/******/ (() => { // webpackBootstrap
/******/ 	var __webpack_modules__ = ({

/***/ "./node_modules/@sentry/browser/esm/backend.js":
/*!*****************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/backend.js ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "BrowserBackend": () => (/* binding */ BrowserBackend)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/core/esm/basebackend.js");
/* harmony import */ var _sentry_types__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/types */ "./node_modules/@sentry/types/esm/severity.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/supports.js");
/* harmony import */ var _eventbuilder__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./eventbuilder */ "./node_modules/@sentry/browser/esm/eventbuilder.js");
/* harmony import */ var _transports__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./transports */ "./node_modules/@sentry/browser/esm/transports/fetch.js");
/* harmony import */ var _transports__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./transports */ "./node_modules/@sentry/browser/esm/transports/xhr.js");






/**
 * The Sentry Browser SDK Backend.
 * @hidden
 */
var BrowserBackend = /** @class */ (function (_super) {
    (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__extends)(BrowserBackend, _super);
    function BrowserBackend() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @inheritDoc
     */
    BrowserBackend.prototype.eventFromException = function (exception, hint) {
        return (0,_eventbuilder__WEBPACK_IMPORTED_MODULE_1__.eventFromException)(this._options, exception, hint);
    };
    /**
     * @inheritDoc
     */
    BrowserBackend.prototype.eventFromMessage = function (message, level, hint) {
        if (level === void 0) { level = _sentry_types__WEBPACK_IMPORTED_MODULE_2__.Severity.Info; }
        return (0,_eventbuilder__WEBPACK_IMPORTED_MODULE_1__.eventFromMessage)(this._options, message, level, hint);
    };
    /**
     * @inheritDoc
     */
    BrowserBackend.prototype._setupTransport = function () {
        if (!this._options.dsn) {
            // We return the noop transport here in case there is no Dsn.
            return _super.prototype._setupTransport.call(this);
        }
        var transportOptions = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._options.transportOptions), { dsn: this._options.dsn, tunnel: this._options.tunnel, _metadata: this._options._metadata });
        if (this._options.transport) {
            return new this._options.transport(transportOptions);
        }
        if ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.supportsFetch)()) {
            return new _transports__WEBPACK_IMPORTED_MODULE_4__.FetchTransport(transportOptions);
        }
        return new _transports__WEBPACK_IMPORTED_MODULE_5__.XHRTransport(transportOptions);
    };
    return BrowserBackend;
}(_sentry_core__WEBPACK_IMPORTED_MODULE_6__.BaseBackend));

//# sourceMappingURL=backend.js.map

/***/ }),

/***/ "./node_modules/@sentry/browser/esm/client.js":
/*!****************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/client.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "BrowserClient": () => (/* binding */ BrowserClient)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/core/esm/version.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/core/esm/baseclient.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _backend__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./backend */ "./node_modules/@sentry/browser/esm/backend.js");
/* harmony import */ var _helpers__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./helpers */ "./node_modules/@sentry/browser/esm/helpers.js");
/* harmony import */ var _integrations__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./integrations */ "./node_modules/@sentry/browser/esm/integrations/breadcrumbs.js");






/**
 * The Sentry Browser SDK Client.
 *
 * @see BrowserOptions for documentation on configuration options.
 * @see SentryClient for usage documentation.
 */
var BrowserClient = /** @class */ (function (_super) {
    (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__extends)(BrowserClient, _super);
    /**
     * Creates a new Browser SDK instance.
     *
     * @param options Configuration options for this SDK.
     */
    function BrowserClient(options) {
        if (options === void 0) { options = {}; }
        var _this = this;
        options._metadata = options._metadata || {};
        options._metadata.sdk = options._metadata.sdk || {
            name: 'sentry.javascript.browser',
            packages: [
                {
                    name: 'npm:@sentry/browser',
                    version: _sentry_core__WEBPACK_IMPORTED_MODULE_1__.SDK_VERSION,
                },
            ],
            version: _sentry_core__WEBPACK_IMPORTED_MODULE_1__.SDK_VERSION,
        };
        _this = _super.call(this, _backend__WEBPACK_IMPORTED_MODULE_2__.BrowserBackend, options) || this;
        return _this;
    }
    /**
     * Show a report dialog to the user to send feedback to a specific event.
     *
     * @param options Set individual options for the dialog
     */
    BrowserClient.prototype.showReportDialog = function (options) {
        if (options === void 0) { options = {}; }
        // doesn't work without a document (React Native)
        var document = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.getGlobalObject)().document;
        if (!document) {
            return;
        }
        if (!this._isEnabled()) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_4__.logger.error('Trying to call showReportDialog with Sentry Client disabled');
            return;
        }
        (0,_helpers__WEBPACK_IMPORTED_MODULE_5__.injectReportDialog)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, options), { dsn: options.dsn || this.getDsn() }));
    };
    /**
     * @inheritDoc
     */
    BrowserClient.prototype._prepareEvent = function (event, scope, hint) {
        event.platform = event.platform || 'javascript';
        return _super.prototype._prepareEvent.call(this, event, scope, hint);
    };
    /**
     * @inheritDoc
     */
    BrowserClient.prototype._sendEvent = function (event) {
        var integration = this.getIntegration(_integrations__WEBPACK_IMPORTED_MODULE_6__.Breadcrumbs);
        if (integration) {
            integration.addSentryBreadcrumb(event);
        }
        _super.prototype._sendEvent.call(this, event);
    };
    return BrowserClient;
}(_sentry_core__WEBPACK_IMPORTED_MODULE_7__.BaseClient));

//# sourceMappingURL=client.js.map

/***/ }),

/***/ "./node_modules/@sentry/browser/esm/eventbuilder.js":
/*!**********************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/eventbuilder.js ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "eventFromException": () => (/* binding */ eventFromException),
/* harmony export */   "eventFromMessage": () => (/* binding */ eventFromMessage),
/* harmony export */   "eventFromString": () => (/* binding */ eventFromString),
/* harmony export */   "eventFromUnknownInput": () => (/* binding */ eventFromUnknownInput)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/types */ "./node_modules/@sentry/types/esm/severity.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/syncpromise.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/is.js");
/* harmony import */ var _parsers__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./parsers */ "./node_modules/@sentry/browser/esm/parsers.js");
/* harmony import */ var _tracekit__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./tracekit */ "./node_modules/@sentry/browser/esm/tracekit.js");





/**
 * Builds and Event from a Exception
 * @hidden
 */
function eventFromException(options, exception, hint) {
    var syntheticException = (hint && hint.syntheticException) || undefined;
    var event = eventFromUnknownInput(exception, syntheticException, {
        attachStacktrace: options.attachStacktrace,
    });
    (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.addExceptionMechanism)(event, {
        handled: true,
        type: 'generic',
    });
    event.level = _sentry_types__WEBPACK_IMPORTED_MODULE_1__.Severity.Error;
    if (hint && hint.event_id) {
        event.event_id = hint.event_id;
    }
    return _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.SyncPromise.resolve(event);
}
/**
 * Builds and Event from a Message
 * @hidden
 */
function eventFromMessage(options, message, level, hint) {
    if (level === void 0) { level = _sentry_types__WEBPACK_IMPORTED_MODULE_1__.Severity.Info; }
    var syntheticException = (hint && hint.syntheticException) || undefined;
    var event = eventFromString(message, syntheticException, {
        attachStacktrace: options.attachStacktrace,
    });
    event.level = level;
    if (hint && hint.event_id) {
        event.event_id = hint.event_id;
    }
    return _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.SyncPromise.resolve(event);
}
/**
 * @hidden
 */
function eventFromUnknownInput(exception, syntheticException, options) {
    if (options === void 0) { options = {}; }
    var event;
    if ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.isErrorEvent)(exception) && exception.error) {
        // If it is an ErrorEvent with `error` property, extract it to get actual Error
        var errorEvent = exception;
        // eslint-disable-next-line no-param-reassign
        exception = errorEvent.error;
        event = (0,_parsers__WEBPACK_IMPORTED_MODULE_4__.eventFromStacktrace)((0,_tracekit__WEBPACK_IMPORTED_MODULE_5__.computeStackTrace)(exception));
        return event;
    }
    if ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.isDOMError)(exception) || (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.isDOMException)(exception)) {
        // If it is a DOMError or DOMException (which are legacy APIs, but still supported in some browsers)
        // then we just extract the name, code, and message, as they don't provide anything else
        // https://developer.mozilla.org/en-US/docs/Web/API/DOMError
        // https://developer.mozilla.org/en-US/docs/Web/API/DOMException
        var domException = exception;
        var name_1 = domException.name || ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.isDOMError)(domException) ? 'DOMError' : 'DOMException');
        var message = domException.message ? name_1 + ": " + domException.message : name_1;
        event = eventFromString(message, syntheticException, options);
        (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.addExceptionTypeValue)(event, message);
        if ('code' in domException) {
            event.tags = (0,tslib__WEBPACK_IMPORTED_MODULE_6__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_6__.__assign)({}, event.tags), { 'DOMException.code': "" + domException.code });
        }
        return event;
    }
    if ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.isError)(exception)) {
        // we have a real Error object, do nothing
        event = (0,_parsers__WEBPACK_IMPORTED_MODULE_4__.eventFromStacktrace)((0,_tracekit__WEBPACK_IMPORTED_MODULE_5__.computeStackTrace)(exception));
        return event;
    }
    if ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.isPlainObject)(exception) || (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.isEvent)(exception)) {
        // If it is plain Object or Event, serialize it manually and extract options
        // This will allow us to group events based on top-level keys
        // which is much better than creating new group when any key/value change
        var objectException = exception;
        event = (0,_parsers__WEBPACK_IMPORTED_MODULE_4__.eventFromPlainObject)(objectException, syntheticException, options.rejection);
        (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.addExceptionMechanism)(event, {
            synthetic: true,
        });
        return event;
    }
    // If none of previous checks were valid, then it means that it's not:
    // - an instance of DOMError
    // - an instance of DOMException
    // - an instance of Event
    // - an instance of Error
    // - a valid ErrorEvent (one with an error property)
    // - a plain Object
    //
    // So bail out and capture it as a simple message:
    event = eventFromString(exception, syntheticException, options);
    (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.addExceptionTypeValue)(event, "" + exception, undefined);
    (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.addExceptionMechanism)(event, {
        synthetic: true,
    });
    return event;
}
/**
 * @hidden
 */
function eventFromString(input, syntheticException, options) {
    if (options === void 0) { options = {}; }
    var event = {
        message: input,
    };
    if (options.attachStacktrace && syntheticException) {
        var stacktrace = (0,_tracekit__WEBPACK_IMPORTED_MODULE_5__.computeStackTrace)(syntheticException);
        var frames_1 = (0,_parsers__WEBPACK_IMPORTED_MODULE_4__.prepareFramesForEvent)(stacktrace.stack);
        event.stacktrace = {
            frames: frames_1,
        };
    }
    return event;
}
//# sourceMappingURL=eventbuilder.js.map

/***/ }),

/***/ "./node_modules/@sentry/browser/esm/helpers.js":
/*!*****************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/helpers.js ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ignoreNextOnError": () => (/* binding */ ignoreNextOnError),
/* harmony export */   "injectReportDialog": () => (/* binding */ injectReportDialog),
/* harmony export */   "shouldIgnoreOnError": () => (/* binding */ shouldIgnoreOnError),
/* harmony export */   "wrap": () => (/* binding */ wrap)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/minimal/esm/index.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/core/esm/api.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");



var ignoreOnError = 0;
/**
 * @hidden
 */
function shouldIgnoreOnError() {
    return ignoreOnError > 0;
}
/**
 * @hidden
 */
function ignoreNextOnError() {
    // onerror should trigger before setTimeout
    ignoreOnError += 1;
    setTimeout(function () {
        ignoreOnError -= 1;
    });
}
/**
 * Instruments the given function and sends an event to Sentry every time the
 * function throws an exception.
 *
 * @param fn A function to wrap.
 * @returns The wrapped function.
 * @hidden
 */
function wrap(fn, options, before) {
    if (options === void 0) { options = {}; }
    if (typeof fn !== 'function') {
        return fn;
    }
    try {
        // We don't wanna wrap it twice
        if (fn.__sentry__) {
            return fn;
        }
        // If this has already been wrapped in the past, return that wrapped function
        if (fn.__sentry_wrapped__) {
            return fn.__sentry_wrapped__;
        }
    }
    catch (e) {
        // Just accessing custom props in some Selenium environments
        // can cause a "Permission denied" exception (see raven-js#495).
        // Bail on wrapping and return the function as-is (defers to window.onerror).
        return fn;
    }
    /* eslint-disable prefer-rest-params */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    var sentryWrapped = function () {
        var args = Array.prototype.slice.call(arguments);
        try {
            if (before && typeof before === 'function') {
                before.apply(this, arguments);
            }
            // eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/no-unsafe-member-access
            var wrappedArguments = args.map(function (arg) { return wrap(arg, options); });
            if (fn.handleEvent) {
                // Attempt to invoke user-land function
                // NOTE: If you are a Sentry user, and you are seeing this stack frame, it
                //       means the sentry.javascript SDK caught an error invoking your application code. This
                //       is expected behavior and NOT indicative of a bug with sentry.javascript.
                // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
                return fn.handleEvent.apply(this, wrappedArguments);
            }
            // Attempt to invoke user-land function
            // NOTE: If you are a Sentry user, and you are seeing this stack frame, it
            //       means the sentry.javascript SDK caught an error invoking your application code. This
            //       is expected behavior and NOT indicative of a bug with sentry.javascript.
            return fn.apply(this, wrappedArguments);
        }
        catch (ex) {
            ignoreNextOnError();
            (0,_sentry_core__WEBPACK_IMPORTED_MODULE_0__.withScope)(function (scope) {
                scope.addEventProcessor(function (event) {
                    var processedEvent = (0,tslib__WEBPACK_IMPORTED_MODULE_1__.__assign)({}, event);
                    if (options.mechanism) {
                        (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.addExceptionTypeValue)(processedEvent, undefined, undefined);
                        (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.addExceptionMechanism)(processedEvent, options.mechanism);
                    }
                    processedEvent.extra = (0,tslib__WEBPACK_IMPORTED_MODULE_1__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_1__.__assign)({}, processedEvent.extra), { arguments: args });
                    return processedEvent;
                });
                (0,_sentry_core__WEBPACK_IMPORTED_MODULE_0__.captureException)(ex);
            });
            throw ex;
        }
    };
    /* eslint-enable prefer-rest-params */
    // Accessing some objects may throw
    // ref: https://github.com/getsentry/sentry-javascript/issues/1168
    try {
        for (var property in fn) {
            if (Object.prototype.hasOwnProperty.call(fn, property)) {
                sentryWrapped[property] = fn[property];
            }
        }
    }
    catch (_oO) { } // eslint-disable-line no-empty
    fn.prototype = fn.prototype || {};
    sentryWrapped.prototype = fn.prototype;
    Object.defineProperty(fn, '__sentry_wrapped__', {
        enumerable: false,
        value: sentryWrapped,
    });
    // Signal that this function has been wrapped/filled already
    // for both debugging and to prevent it to being wrapped/filled twice
    Object.defineProperties(sentryWrapped, {
        __sentry__: {
            enumerable: false,
            value: true,
        },
        __sentry_original__: {
            enumerable: false,
            value: fn,
        },
    });
    // Restore original function name (not all browsers allow that)
    try {
        var descriptor = Object.getOwnPropertyDescriptor(sentryWrapped, 'name');
        if (descriptor.configurable) {
            Object.defineProperty(sentryWrapped, 'name', {
                get: function () {
                    return fn.name;
                },
            });
        }
        // eslint-disable-next-line no-empty
    }
    catch (_oO) { }
    return sentryWrapped;
}
/**
 * Injects the Report Dialog script
 * @hidden
 */
function injectReportDialog(options) {
    if (options === void 0) { options = {}; }
    if (!options.eventId) {
        _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.error("Missing eventId option in showReportDialog call");
        return;
    }
    if (!options.dsn) {
        _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.error("Missing dsn option in showReportDialog call");
        return;
    }
    var script = document.createElement('script');
    script.async = true;
    script.src = new _sentry_core__WEBPACK_IMPORTED_MODULE_4__.API(options.dsn).getReportDialogEndpoint(options);
    if (options.onLoad) {
        // eslint-disable-next-line @typescript-eslint/unbound-method
        script.onload = options.onLoad;
    }
    (document.head || document.body).appendChild(script);
}
//# sourceMappingURL=helpers.js.map

/***/ }),

/***/ "./node_modules/@sentry/browser/esm/integrations/breadcrumbs.js":
/*!**********************************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/integrations/breadcrumbs.js ***!
  \**********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Breadcrumbs": () => (/* binding */ Breadcrumbs)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/hub/esm/hub.js");
/* harmony import */ var _sentry_types__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @sentry/types */ "./node_modules/@sentry/types/esm/severity.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/instrument.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/string.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/browser.js");

/* eslint-disable @typescript-eslint/no-unsafe-member-access */
/* eslint-disable max-lines */



/**
 * Default Breadcrumbs instrumentations
 * TODO: Deprecated - with v6, this will be renamed to `Instrument`
 */
var Breadcrumbs = /** @class */ (function () {
    /**
     * @inheritDoc
     */
    function Breadcrumbs(options) {
        /**
         * @inheritDoc
         */
        this.name = Breadcrumbs.id;
        this._options = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({ console: true, dom: true, fetch: true, history: true, sentry: true, xhr: true }, options);
    }
    /**
     * Create a breadcrumb of `sentry` from the events themselves
     */
    Breadcrumbs.prototype.addSentryBreadcrumb = function (event) {
        if (!this._options.sentry) {
            return;
        }
        (0,_sentry_core__WEBPACK_IMPORTED_MODULE_1__.getCurrentHub)().addBreadcrumb({
            category: "sentry." + (event.type === 'transaction' ? 'transaction' : 'event'),
            event_id: event.event_id,
            level: event.level,
            message: (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.getEventDescription)(event),
        }, {
            event: event,
        });
    };
    /**
     * Instrument browser built-ins w/ breadcrumb capturing
     *  - Console API
     *  - DOM API (click/typing)
     *  - XMLHttpRequest API
     *  - Fetch API
     *  - History API
     */
    Breadcrumbs.prototype.setupOnce = function () {
        var _this = this;
        if (this._options.console) {
            (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.addInstrumentationHandler)({
                callback: function () {
                    var args = [];
                    for (var _i = 0; _i < arguments.length; _i++) {
                        args[_i] = arguments[_i];
                    }
                    _this._consoleBreadcrumb.apply(_this, (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)(args));
                },
                type: 'console',
            });
        }
        if (this._options.dom) {
            (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.addInstrumentationHandler)({
                callback: function () {
                    var args = [];
                    for (var _i = 0; _i < arguments.length; _i++) {
                        args[_i] = arguments[_i];
                    }
                    _this._domBreadcrumb.apply(_this, (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)(args));
                },
                type: 'dom',
            });
        }
        if (this._options.xhr) {
            (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.addInstrumentationHandler)({
                callback: function () {
                    var args = [];
                    for (var _i = 0; _i < arguments.length; _i++) {
                        args[_i] = arguments[_i];
                    }
                    _this._xhrBreadcrumb.apply(_this, (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)(args));
                },
                type: 'xhr',
            });
        }
        if (this._options.fetch) {
            (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.addInstrumentationHandler)({
                callback: function () {
                    var args = [];
                    for (var _i = 0; _i < arguments.length; _i++) {
                        args[_i] = arguments[_i];
                    }
                    _this._fetchBreadcrumb.apply(_this, (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)(args));
                },
                type: 'fetch',
            });
        }
        if (this._options.history) {
            (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.addInstrumentationHandler)({
                callback: function () {
                    var args = [];
                    for (var _i = 0; _i < arguments.length; _i++) {
                        args[_i] = arguments[_i];
                    }
                    _this._historyBreadcrumb.apply(_this, (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)(args));
                },
                type: 'history',
            });
        }
    };
    /**
     * Creates breadcrumbs from console API calls
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    Breadcrumbs.prototype._consoleBreadcrumb = function (handlerData) {
        var breadcrumb = {
            category: 'console',
            data: {
                arguments: handlerData.args,
                logger: 'console',
            },
            level: _sentry_types__WEBPACK_IMPORTED_MODULE_4__.Severity.fromString(handlerData.level),
            message: (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_5__.safeJoin)(handlerData.args, ' '),
        };
        if (handlerData.level === 'assert') {
            if (handlerData.args[0] === false) {
                breadcrumb.message = "Assertion failed: " + ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_5__.safeJoin)(handlerData.args.slice(1), ' ') || 'console.assert');
                breadcrumb.data.arguments = handlerData.args.slice(1);
            }
            else {
                // Don't capture a breadcrumb for passed assertions
                return;
            }
        }
        (0,_sentry_core__WEBPACK_IMPORTED_MODULE_1__.getCurrentHub)().addBreadcrumb(breadcrumb, {
            input: handlerData.args,
            level: handlerData.level,
        });
    };
    /**
     * Creates breadcrumbs from DOM API calls
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    Breadcrumbs.prototype._domBreadcrumb = function (handlerData) {
        var target;
        var keyAttrs = typeof this._options.dom === 'object' ? this._options.dom.serializeAttribute : undefined;
        if (typeof keyAttrs === 'string') {
            keyAttrs = [keyAttrs];
        }
        // Accessing event.target can throw (see getsentry/raven-js#838, #768)
        try {
            target = handlerData.event.target
                ? (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_6__.htmlTreeAsString)(handlerData.event.target, keyAttrs)
                : (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_6__.htmlTreeAsString)(handlerData.event, keyAttrs);
        }
        catch (e) {
            target = '<unknown>';
        }
        if (target.length === 0) {
            return;
        }
        (0,_sentry_core__WEBPACK_IMPORTED_MODULE_1__.getCurrentHub)().addBreadcrumb({
            category: "ui." + handlerData.name,
            message: target,
        }, {
            event: handlerData.event,
            name: handlerData.name,
            global: handlerData.global,
        });
    };
    /**
     * Creates breadcrumbs from XHR API calls
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    Breadcrumbs.prototype._xhrBreadcrumb = function (handlerData) {
        if (handlerData.endTimestamp) {
            // We only capture complete, non-sentry requests
            if (handlerData.xhr.__sentry_own_request__) {
                return;
            }
            var _a = handlerData.xhr.__sentry_xhr__ || {}, method = _a.method, url = _a.url, status_code = _a.status_code, body = _a.body;
            (0,_sentry_core__WEBPACK_IMPORTED_MODULE_1__.getCurrentHub)().addBreadcrumb({
                category: 'xhr',
                data: {
                    method: method,
                    url: url,
                    status_code: status_code,
                },
                type: 'http',
            }, {
                xhr: handlerData.xhr,
                input: body,
            });
            return;
        }
    };
    /**
     * Creates breadcrumbs from fetch API calls
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    Breadcrumbs.prototype._fetchBreadcrumb = function (handlerData) {
        // We only capture complete fetch requests
        if (!handlerData.endTimestamp) {
            return;
        }
        if (handlerData.fetchData.url.match(/sentry_key/) && handlerData.fetchData.method === 'POST') {
            // We will not create breadcrumbs for fetch requests that contain `sentry_key` (internal sentry requests)
            return;
        }
        if (handlerData.error) {
            (0,_sentry_core__WEBPACK_IMPORTED_MODULE_1__.getCurrentHub)().addBreadcrumb({
                category: 'fetch',
                data: handlerData.fetchData,
                level: _sentry_types__WEBPACK_IMPORTED_MODULE_4__.Severity.Error,
                type: 'http',
            }, {
                data: handlerData.error,
                input: handlerData.args,
            });
        }
        else {
            (0,_sentry_core__WEBPACK_IMPORTED_MODULE_1__.getCurrentHub)().addBreadcrumb({
                category: 'fetch',
                data: (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, handlerData.fetchData), { status_code: handlerData.response.status }),
                type: 'http',
            }, {
                input: handlerData.args,
                response: handlerData.response,
            });
        }
    };
    /**
     * Creates breadcrumbs from history API calls
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    Breadcrumbs.prototype._historyBreadcrumb = function (handlerData) {
        var global = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.getGlobalObject)();
        var from = handlerData.from;
        var to = handlerData.to;
        var parsedLoc = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.parseUrl)(global.location.href);
        var parsedFrom = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.parseUrl)(from);
        var parsedTo = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.parseUrl)(to);
        // Initial pushState doesn't provide `from` information
        if (!parsedFrom.path) {
            parsedFrom = parsedLoc;
        }
        // Use only the path component of the URL if the URL matches the current
        // document (almost all the time when using pushState)
        if (parsedLoc.protocol === parsedTo.protocol && parsedLoc.host === parsedTo.host) {
            to = parsedTo.relative;
        }
        if (parsedLoc.protocol === parsedFrom.protocol && parsedLoc.host === parsedFrom.host) {
            from = parsedFrom.relative;
        }
        (0,_sentry_core__WEBPACK_IMPORTED_MODULE_1__.getCurrentHub)().addBreadcrumb({
            category: 'navigation',
            data: {
                from: from,
                to: to,
            },
        });
    };
    /**
     * @inheritDoc
     */
    Breadcrumbs.id = 'Breadcrumbs';
    return Breadcrumbs;
}());

//# sourceMappingURL=breadcrumbs.js.map

/***/ }),

/***/ "./node_modules/@sentry/browser/esm/integrations/dedupe.js":
/*!*****************************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/integrations/dedupe.js ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Dedupe": () => (/* binding */ Dedupe)
/* harmony export */ });
/** Deduplication filter */
var Dedupe = /** @class */ (function () {
    function Dedupe() {
        /**
         * @inheritDoc
         */
        this.name = Dedupe.id;
    }
    /**
     * @inheritDoc
     */
    Dedupe.prototype.setupOnce = function (addGlobalEventProcessor, getCurrentHub) {
        addGlobalEventProcessor(function (currentEvent) {
            var self = getCurrentHub().getIntegration(Dedupe);
            if (self) {
                // Juuust in case something goes wrong
                try {
                    if (self._shouldDropEvent(currentEvent, self._previousEvent)) {
                        return null;
                    }
                }
                catch (_oO) {
                    return (self._previousEvent = currentEvent);
                }
                return (self._previousEvent = currentEvent);
            }
            return currentEvent;
        });
    };
    /** JSDoc */
    Dedupe.prototype._shouldDropEvent = function (currentEvent, previousEvent) {
        if (!previousEvent) {
            return false;
        }
        if (this._isSameMessageEvent(currentEvent, previousEvent)) {
            return true;
        }
        if (this._isSameExceptionEvent(currentEvent, previousEvent)) {
            return true;
        }
        return false;
    };
    /** JSDoc */
    Dedupe.prototype._isSameMessageEvent = function (currentEvent, previousEvent) {
        var currentMessage = currentEvent.message;
        var previousMessage = previousEvent.message;
        // If neither event has a message property, they were both exceptions, so bail out
        if (!currentMessage && !previousMessage) {
            return false;
        }
        // If only one event has a stacktrace, but not the other one, they are not the same
        if ((currentMessage && !previousMessage) || (!currentMessage && previousMessage)) {
            return false;
        }
        if (currentMessage !== previousMessage) {
            return false;
        }
        if (!this._isSameFingerprint(currentEvent, previousEvent)) {
            return false;
        }
        if (!this._isSameStacktrace(currentEvent, previousEvent)) {
            return false;
        }
        return true;
    };
    /** JSDoc */
    Dedupe.prototype._getFramesFromEvent = function (event) {
        var exception = event.exception;
        if (exception) {
            try {
                // @ts-ignore Object could be undefined
                return exception.values[0].stacktrace.frames;
            }
            catch (_oO) {
                return undefined;
            }
        }
        else if (event.stacktrace) {
            return event.stacktrace.frames;
        }
        return undefined;
    };
    /** JSDoc */
    Dedupe.prototype._isSameStacktrace = function (currentEvent, previousEvent) {
        var currentFrames = this._getFramesFromEvent(currentEvent);
        var previousFrames = this._getFramesFromEvent(previousEvent);
        // If neither event has a stacktrace, they are assumed to be the same
        if (!currentFrames && !previousFrames) {
            return true;
        }
        // If only one event has a stacktrace, but not the other one, they are not the same
        if ((currentFrames && !previousFrames) || (!currentFrames && previousFrames)) {
            return false;
        }
        currentFrames = currentFrames;
        previousFrames = previousFrames;
        // If number of frames differ, they are not the same
        if (previousFrames.length !== currentFrames.length) {
            return false;
        }
        // Otherwise, compare the two
        for (var i = 0; i < previousFrames.length; i++) {
            var frameA = previousFrames[i];
            var frameB = currentFrames[i];
            if (frameA.filename !== frameB.filename ||
                frameA.lineno !== frameB.lineno ||
                frameA.colno !== frameB.colno ||
                frameA.function !== frameB.function) {
                return false;
            }
        }
        return true;
    };
    /** JSDoc */
    Dedupe.prototype._getExceptionFromEvent = function (event) {
        return event.exception && event.exception.values && event.exception.values[0];
    };
    /** JSDoc */
    Dedupe.prototype._isSameExceptionEvent = function (currentEvent, previousEvent) {
        var previousException = this._getExceptionFromEvent(previousEvent);
        var currentException = this._getExceptionFromEvent(currentEvent);
        if (!previousException || !currentException) {
            return false;
        }
        if (previousException.type !== currentException.type || previousException.value !== currentException.value) {
            return false;
        }
        if (!this._isSameFingerprint(currentEvent, previousEvent)) {
            return false;
        }
        if (!this._isSameStacktrace(currentEvent, previousEvent)) {
            return false;
        }
        return true;
    };
    /** JSDoc */
    Dedupe.prototype._isSameFingerprint = function (currentEvent, previousEvent) {
        var currentFingerprint = currentEvent.fingerprint;
        var previousFingerprint = previousEvent.fingerprint;
        // If neither event has a fingerprint, they are assumed to be the same
        if (!currentFingerprint && !previousFingerprint) {
            return true;
        }
        // If only one event has a fingerprint, but not the other one, they are not the same
        if ((currentFingerprint && !previousFingerprint) || (!currentFingerprint && previousFingerprint)) {
            return false;
        }
        currentFingerprint = currentFingerprint;
        previousFingerprint = previousFingerprint;
        // Otherwise, compare the two
        try {
            return !!(currentFingerprint.join('') === previousFingerprint.join(''));
        }
        catch (_oO) {
            return false;
        }
    };
    /**
     * @inheritDoc
     */
    Dedupe.id = 'Dedupe';
    return Dedupe;
}());

//# sourceMappingURL=dedupe.js.map

/***/ }),

/***/ "./node_modules/@sentry/browser/esm/integrations/globalhandlers.js":
/*!*************************************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/integrations/globalhandlers.js ***!
  \*************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "GlobalHandlers": () => (/* binding */ GlobalHandlers)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/hub/esm/hub.js");
/* harmony import */ var _sentry_types__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @sentry/types */ "./node_modules/@sentry/types/esm/severity.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/instrument.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/is.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _eventbuilder__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../eventbuilder */ "./node_modules/@sentry/browser/esm/eventbuilder.js");
/* harmony import */ var _helpers__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../helpers */ "./node_modules/@sentry/browser/esm/helpers.js");

/* eslint-disable @typescript-eslint/no-unsafe-member-access */





/** Global handlers */
var GlobalHandlers = /** @class */ (function () {
    /** JSDoc */
    function GlobalHandlers(options) {
        /**
         * @inheritDoc
         */
        this.name = GlobalHandlers.id;
        /** JSDoc */
        this._onErrorHandlerInstalled = false;
        /** JSDoc */
        this._onUnhandledRejectionHandlerInstalled = false;
        this._options = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({ onerror: true, onunhandledrejection: true }, options);
    }
    /**
     * @inheritDoc
     */
    GlobalHandlers.prototype.setupOnce = function () {
        Error.stackTraceLimit = 50;
        if (this._options.onerror) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_1__.logger.log('Global Handler attached: onerror');
            this._installGlobalOnErrorHandler();
        }
        if (this._options.onunhandledrejection) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_1__.logger.log('Global Handler attached: onunhandledrejection');
            this._installGlobalOnUnhandledRejectionHandler();
        }
    };
    /** JSDoc */
    GlobalHandlers.prototype._installGlobalOnErrorHandler = function () {
        var _this = this;
        if (this._onErrorHandlerInstalled) {
            return;
        }
        (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.addInstrumentationHandler)({
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
            callback: function (data) {
                var error = data.error;
                var currentHub = (0,_sentry_core__WEBPACK_IMPORTED_MODULE_3__.getCurrentHub)();
                var hasIntegration = currentHub.getIntegration(GlobalHandlers);
                var isFailedOwnDelivery = error && error.__sentry_own_request__ === true;
                if (!hasIntegration || (0,_helpers__WEBPACK_IMPORTED_MODULE_4__.shouldIgnoreOnError)() || isFailedOwnDelivery) {
                    return;
                }
                var client = currentHub.getClient();
                var event = error === undefined && (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_5__.isString)(data.msg)
                    ? _this._eventFromIncompleteOnError(data.msg, data.url, data.line, data.column)
                    : _this._enhanceEventWithInitialFrame((0,_eventbuilder__WEBPACK_IMPORTED_MODULE_6__.eventFromUnknownInput)(error || data.msg, undefined, {
                        attachStacktrace: client && client.getOptions().attachStacktrace,
                        rejection: false,
                    }), data.url, data.line, data.column);
                (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_7__.addExceptionMechanism)(event, {
                    handled: false,
                    type: 'onerror',
                });
                currentHub.captureEvent(event, {
                    originalException: error,
                });
            },
            type: 'error',
        });
        this._onErrorHandlerInstalled = true;
    };
    /** JSDoc */
    GlobalHandlers.prototype._installGlobalOnUnhandledRejectionHandler = function () {
        var _this = this;
        if (this._onUnhandledRejectionHandlerInstalled) {
            return;
        }
        (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.addInstrumentationHandler)({
            // eslint-disable-next-line @typescript-eslint/no-explicit-any
            callback: function (e) {
                var error = e;
                // dig the object of the rejection out of known event types
                try {
                    // PromiseRejectionEvents store the object of the rejection under 'reason'
                    // see https://developer.mozilla.org/en-US/docs/Web/API/PromiseRejectionEvent
                    if ('reason' in e) {
                        error = e.reason;
                    }
                    // something, somewhere, (likely a browser extension) effectively casts PromiseRejectionEvents
                    // to CustomEvents, moving the `promise` and `reason` attributes of the PRE into
                    // the CustomEvent's `detail` attribute, since they're not part of CustomEvent's spec
                    // see https://developer.mozilla.org/en-US/docs/Web/API/CustomEvent and
                    // https://github.com/getsentry/sentry-javascript/issues/2380
                    else if ('detail' in e && 'reason' in e.detail) {
                        error = e.detail.reason;
                    }
                }
                catch (_oO) {
                    // no-empty
                }
                var currentHub = (0,_sentry_core__WEBPACK_IMPORTED_MODULE_3__.getCurrentHub)();
                var hasIntegration = currentHub.getIntegration(GlobalHandlers);
                var isFailedOwnDelivery = error && error.__sentry_own_request__ === true;
                if (!hasIntegration || (0,_helpers__WEBPACK_IMPORTED_MODULE_4__.shouldIgnoreOnError)() || isFailedOwnDelivery) {
                    return true;
                }
                var client = currentHub.getClient();
                var event = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_5__.isPrimitive)(error)
                    ? _this._eventFromRejectionWithPrimitive(error)
                    : (0,_eventbuilder__WEBPACK_IMPORTED_MODULE_6__.eventFromUnknownInput)(error, undefined, {
                        attachStacktrace: client && client.getOptions().attachStacktrace,
                        rejection: true,
                    });
                event.level = _sentry_types__WEBPACK_IMPORTED_MODULE_8__.Severity.Error;
                (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_7__.addExceptionMechanism)(event, {
                    handled: false,
                    type: 'onunhandledrejection',
                });
                currentHub.captureEvent(event, {
                    originalException: error,
                });
                return;
            },
            type: 'unhandledrejection',
        });
        this._onUnhandledRejectionHandlerInstalled = true;
    };
    /**
     * This function creates a stack from an old, error-less onerror handler.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    GlobalHandlers.prototype._eventFromIncompleteOnError = function (msg, url, line, column) {
        var ERROR_TYPES_RE = /^(?:[Uu]ncaught (?:exception: )?)?(?:((?:Eval|Internal|Range|Reference|Syntax|Type|URI|)Error): )?(.*)$/i;
        // If 'message' is ErrorEvent, get real message from inside
        var message = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_5__.isErrorEvent)(msg) ? msg.message : msg;
        var name;
        var groups = message.match(ERROR_TYPES_RE);
        if (groups) {
            name = groups[1];
            message = groups[2];
        }
        var event = {
            exception: {
                values: [
                    {
                        type: name || 'Error',
                        value: message,
                    },
                ],
            },
        };
        return this._enhanceEventWithInitialFrame(event, url, line, column);
    };
    /**
     * Create an event from a promise rejection where the `reason` is a primitive.
     *
     * @param reason: The `reason` property of the promise rejection
     * @returns An Event object with an appropriate `exception` value
     */
    GlobalHandlers.prototype._eventFromRejectionWithPrimitive = function (reason) {
        return {
            exception: {
                values: [
                    {
                        type: 'UnhandledRejection',
                        // String() is needed because the Primitive type includes symbols (which can't be automatically stringified)
                        value: "Non-Error promise rejection captured with value: " + String(reason),
                    },
                ],
            },
        };
    };
    /** JSDoc */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    GlobalHandlers.prototype._enhanceEventWithInitialFrame = function (event, url, line, column) {
        event.exception = event.exception || {};
        event.exception.values = event.exception.values || [];
        event.exception.values[0] = event.exception.values[0] || {};
        event.exception.values[0].stacktrace = event.exception.values[0].stacktrace || {};
        event.exception.values[0].stacktrace.frames = event.exception.values[0].stacktrace.frames || [];
        var colno = isNaN(parseInt(column, 10)) ? undefined : column;
        var lineno = isNaN(parseInt(line, 10)) ? undefined : line;
        var filename = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_5__.isString)(url) && url.length > 0 ? url : (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_7__.getLocationHref)();
        if (event.exception.values[0].stacktrace.frames.length === 0) {
            event.exception.values[0].stacktrace.frames.push({
                colno: colno,
                filename: filename,
                function: '?',
                in_app: true,
                lineno: lineno,
            });
        }
        return event;
    };
    /**
     * @inheritDoc
     */
    GlobalHandlers.id = 'GlobalHandlers';
    return GlobalHandlers;
}());

//# sourceMappingURL=globalhandlers.js.map

/***/ }),

/***/ "./node_modules/@sentry/browser/esm/integrations/linkederrors.js":
/*!***********************************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/integrations/linkederrors.js ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "LinkedErrors": () => (/* binding */ LinkedErrors)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/hub/esm/scope.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/hub/esm/hub.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/is.js");
/* harmony import */ var _parsers__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../parsers */ "./node_modules/@sentry/browser/esm/parsers.js");
/* harmony import */ var _tracekit__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../tracekit */ "./node_modules/@sentry/browser/esm/tracekit.js");





var DEFAULT_KEY = 'cause';
var DEFAULT_LIMIT = 5;
/** Adds SDK info to an event. */
var LinkedErrors = /** @class */ (function () {
    /**
     * @inheritDoc
     */
    function LinkedErrors(options) {
        if (options === void 0) { options = {}; }
        /**
         * @inheritDoc
         */
        this.name = LinkedErrors.id;
        this._key = options.key || DEFAULT_KEY;
        this._limit = options.limit || DEFAULT_LIMIT;
    }
    /**
     * @inheritDoc
     */
    LinkedErrors.prototype.setupOnce = function () {
        (0,_sentry_core__WEBPACK_IMPORTED_MODULE_0__.addGlobalEventProcessor)(function (event, hint) {
            var self = (0,_sentry_core__WEBPACK_IMPORTED_MODULE_1__.getCurrentHub)().getIntegration(LinkedErrors);
            if (self) {
                return self._handler(event, hint);
            }
            return event;
        });
    };
    /**
     * @inheritDoc
     */
    LinkedErrors.prototype._handler = function (event, hint) {
        if (!event.exception || !event.exception.values || !hint || !(0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.isInstanceOf)(hint.originalException, Error)) {
            return event;
        }
        var linkedErrors = this._walkErrorTree(hint.originalException, this._key);
        event.exception.values = (0,tslib__WEBPACK_IMPORTED_MODULE_3__.__spread)(linkedErrors, event.exception.values);
        return event;
    };
    /**
     * @inheritDoc
     */
    LinkedErrors.prototype._walkErrorTree = function (error, key, stack) {
        if (stack === void 0) { stack = []; }
        if (!(0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.isInstanceOf)(error[key], Error) || stack.length + 1 >= this._limit) {
            return stack;
        }
        var stacktrace = (0,_tracekit__WEBPACK_IMPORTED_MODULE_4__.computeStackTrace)(error[key]);
        var exception = (0,_parsers__WEBPACK_IMPORTED_MODULE_5__.exceptionFromStacktrace)(stacktrace);
        return this._walkErrorTree(error[key], key, (0,tslib__WEBPACK_IMPORTED_MODULE_3__.__spread)([exception], stack));
    };
    /**
     * @inheritDoc
     */
    LinkedErrors.id = 'LinkedErrors';
    return LinkedErrors;
}());

//# sourceMappingURL=linkederrors.js.map

/***/ }),

/***/ "./node_modules/@sentry/browser/esm/integrations/trycatch.js":
/*!*******************************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/integrations/trycatch.js ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "TryCatch": () => (/* binding */ TryCatch)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/object.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/stacktrace.js");
/* harmony import */ var _helpers__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../helpers */ "./node_modules/@sentry/browser/esm/helpers.js");



var DEFAULT_EVENT_TARGET = [
    'EventTarget',
    'Window',
    'Node',
    'ApplicationCache',
    'AudioTrackList',
    'ChannelMergerNode',
    'CryptoOperation',
    'EventSource',
    'FileReader',
    'HTMLUnknownElement',
    'IDBDatabase',
    'IDBRequest',
    'IDBTransaction',
    'KeyOperation',
    'MediaController',
    'MessagePort',
    'ModalWindow',
    'Notification',
    'SVGElementInstance',
    'Screen',
    'TextTrack',
    'TextTrackCue',
    'TextTrackList',
    'WebSocket',
    'WebSocketWorker',
    'Worker',
    'XMLHttpRequest',
    'XMLHttpRequestEventTarget',
    'XMLHttpRequestUpload',
];
/** Wrap timer functions and event targets to catch errors and provide better meta data */
var TryCatch = /** @class */ (function () {
    /**
     * @inheritDoc
     */
    function TryCatch(options) {
        /**
         * @inheritDoc
         */
        this.name = TryCatch.id;
        this._options = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({ XMLHttpRequest: true, eventTarget: true, requestAnimationFrame: true, setInterval: true, setTimeout: true }, options);
    }
    /**
     * Wrap timer functions and event targets to catch errors
     * and provide better metadata.
     */
    TryCatch.prototype.setupOnce = function () {
        var global = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.getGlobalObject)();
        if (this._options.setTimeout) {
            (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.fill)(global, 'setTimeout', this._wrapTimeFunction.bind(this));
        }
        if (this._options.setInterval) {
            (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.fill)(global, 'setInterval', this._wrapTimeFunction.bind(this));
        }
        if (this._options.requestAnimationFrame) {
            (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.fill)(global, 'requestAnimationFrame', this._wrapRAF.bind(this));
        }
        if (this._options.XMLHttpRequest && 'XMLHttpRequest' in global) {
            (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.fill)(XMLHttpRequest.prototype, 'send', this._wrapXHR.bind(this));
        }
        if (this._options.eventTarget) {
            var eventTarget = Array.isArray(this._options.eventTarget) ? this._options.eventTarget : DEFAULT_EVENT_TARGET;
            eventTarget.forEach(this._wrapEventTarget.bind(this));
        }
    };
    /** JSDoc */
    TryCatch.prototype._wrapTimeFunction = function (original) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        return function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var originalCallback = args[0];
            args[0] = (0,_helpers__WEBPACK_IMPORTED_MODULE_3__.wrap)(originalCallback, {
                mechanism: {
                    data: { function: (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_4__.getFunctionName)(original) },
                    handled: true,
                    type: 'instrument',
                },
            });
            return original.apply(this, args);
        };
    };
    /** JSDoc */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    TryCatch.prototype._wrapRAF = function (original) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        return function (callback) {
            // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
            return original.call(this, (0,_helpers__WEBPACK_IMPORTED_MODULE_3__.wrap)(callback, {
                mechanism: {
                    data: {
                        function: 'requestAnimationFrame',
                        handler: (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_4__.getFunctionName)(original),
                    },
                    handled: true,
                    type: 'instrument',
                },
            }));
        };
    };
    /** JSDoc */
    TryCatch.prototype._wrapEventTarget = function (target) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        var global = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.getGlobalObject)();
        // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
        var proto = global[target] && global[target].prototype;
        // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
        if (!proto || !proto.hasOwnProperty || !proto.hasOwnProperty('addEventListener')) {
            return;
        }
        (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.fill)(proto, 'addEventListener', function (original) {
            return function (eventName, fn, options) {
                try {
                    if (typeof fn.handleEvent === 'function') {
                        fn.handleEvent = (0,_helpers__WEBPACK_IMPORTED_MODULE_3__.wrap)(fn.handleEvent.bind(fn), {
                            mechanism: {
                                data: {
                                    function: 'handleEvent',
                                    handler: (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_4__.getFunctionName)(fn),
                                    target: target,
                                },
                                handled: true,
                                type: 'instrument',
                            },
                        });
                    }
                }
                catch (err) {
                    // can sometimes get 'Permission denied to access property "handle Event'
                }
                return original.call(this, eventName, 
                // eslint-disable-next-line @typescript-eslint/no-explicit-any
                (0,_helpers__WEBPACK_IMPORTED_MODULE_3__.wrap)(fn, {
                    mechanism: {
                        data: {
                            function: 'addEventListener',
                            handler: (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_4__.getFunctionName)(fn),
                            target: target,
                        },
                        handled: true,
                        type: 'instrument',
                    },
                }), options);
            };
        });
        (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.fill)(proto, 'removeEventListener', function (originalRemoveEventListener) {
            return function (eventName, fn, options) {
                var _a;
                /**
                 * There are 2 possible scenarios here:
                 *
                 * 1. Someone passes a callback, which was attached prior to Sentry initialization, or by using unmodified
                 * method, eg. `document.addEventListener.call(el, name, handler). In this case, we treat this function
                 * as a pass-through, and call original `removeEventListener` with it.
                 *
                 * 2. Someone passes a callback, which was attached after Sentry was initialized, which means that it was using
                 * our wrapped version of `addEventListener`, which internally calls `wrap` helper.
                 * This helper "wraps" whole callback inside a try/catch statement, and attached appropriate metadata to it,
                 * in order for us to make a distinction between wrapped/non-wrapped functions possible.
                 * If a function was wrapped, it has additional property of `__sentry_wrapped__`, holding the handler.
                 *
                 * When someone adds a handler prior to initialization, and then do it again, but after,
                 * then we have to detach both of them. Otherwise, if we'd detach only wrapped one, it'd be impossible
                 * to get rid of the initial handler and it'd stick there forever.
                 */
                var wrappedEventHandler = fn;
                try {
                    var originalEventHandler = (_a = wrappedEventHandler) === null || _a === void 0 ? void 0 : _a.__sentry_wrapped__;
                    if (originalEventHandler) {
                        originalRemoveEventListener.call(this, eventName, originalEventHandler, options);
                    }
                }
                catch (e) {
                    // ignore, accessing __sentry_wrapped__ will throw in some Selenium environments
                }
                return originalRemoveEventListener.call(this, eventName, wrappedEventHandler, options);
            };
        });
    };
    /** JSDoc */
    TryCatch.prototype._wrapXHR = function (originalSend) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        return function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            // eslint-disable-next-line @typescript-eslint/no-this-alias
            var xhr = this;
            var xmlHttpRequestProps = ['onload', 'onerror', 'onprogress', 'onreadystatechange'];
            xmlHttpRequestProps.forEach(function (prop) {
                if (prop in xhr && typeof xhr[prop] === 'function') {
                    // eslint-disable-next-line @typescript-eslint/no-explicit-any
                    (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.fill)(xhr, prop, function (original) {
                        var wrapOptions = {
                            mechanism: {
                                data: {
                                    function: prop,
                                    handler: (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_4__.getFunctionName)(original),
                                },
                                handled: true,
                                type: 'instrument',
                            },
                        };
                        // If Instrument integration has been called before TryCatch, get the name of original function
                        if (original.__sentry_original__) {
                            wrapOptions.mechanism.data.handler = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_4__.getFunctionName)(original.__sentry_original__);
                        }
                        // Otherwise wrap directly
                        return (0,_helpers__WEBPACK_IMPORTED_MODULE_3__.wrap)(original, wrapOptions);
                    });
                }
            });
            return originalSend.apply(this, args);
        };
    };
    /**
     * @inheritDoc
     */
    TryCatch.id = 'TryCatch';
    return TryCatch;
}());

//# sourceMappingURL=trycatch.js.map

/***/ }),

/***/ "./node_modules/@sentry/browser/esm/integrations/useragent.js":
/*!********************************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/integrations/useragent.js ***!
  \********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "UserAgent": () => (/* binding */ UserAgent)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/hub/esm/scope.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/hub/esm/hub.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");



var global = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.getGlobalObject)();
/** UserAgent */
var UserAgent = /** @class */ (function () {
    function UserAgent() {
        /**
         * @inheritDoc
         */
        this.name = UserAgent.id;
    }
    /**
     * @inheritDoc
     */
    UserAgent.prototype.setupOnce = function () {
        (0,_sentry_core__WEBPACK_IMPORTED_MODULE_1__.addGlobalEventProcessor)(function (event) {
            var _a, _b, _c;
            if ((0,_sentry_core__WEBPACK_IMPORTED_MODULE_2__.getCurrentHub)().getIntegration(UserAgent)) {
                // if none of the information we want exists, don't bother
                if (!global.navigator && !global.location && !global.document) {
                    return event;
                }
                // grab as much info as exists and add it to the event
                var url = ((_a = event.request) === null || _a === void 0 ? void 0 : _a.url) || ((_b = global.location) === null || _b === void 0 ? void 0 : _b.href);
                var referrer = (global.document || {}).referrer;
                var userAgent = (global.navigator || {}).userAgent;
                var headers = (0,tslib__WEBPACK_IMPORTED_MODULE_3__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_3__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_3__.__assign)({}, (_c = event.request) === null || _c === void 0 ? void 0 : _c.headers), (referrer && { Referer: referrer })), (userAgent && { 'User-Agent': userAgent }));
                var request = (0,tslib__WEBPACK_IMPORTED_MODULE_3__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_3__.__assign)({}, (url && { url: url })), { headers: headers });
                return (0,tslib__WEBPACK_IMPORTED_MODULE_3__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_3__.__assign)({}, event), { request: request });
            }
            return event;
        });
    };
    /**
     * @inheritDoc
     */
    UserAgent.id = 'UserAgent';
    return UserAgent;
}());

//# sourceMappingURL=useragent.js.map

/***/ }),

/***/ "./node_modules/@sentry/browser/esm/parsers.js":
/*!*****************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/parsers.js ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "eventFromPlainObject": () => (/* binding */ eventFromPlainObject),
/* harmony export */   "eventFromStacktrace": () => (/* binding */ eventFromStacktrace),
/* harmony export */   "exceptionFromStacktrace": () => (/* binding */ exceptionFromStacktrace),
/* harmony export */   "prepareFramesForEvent": () => (/* binding */ prepareFramesForEvent)
/* harmony export */ });
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/is.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/object.js");
/* harmony import */ var _tracekit__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./tracekit */ "./node_modules/@sentry/browser/esm/tracekit.js");


var STACKTRACE_LIMIT = 50;
/**
 * This function creates an exception from an TraceKitStackTrace
 * @param stacktrace TraceKitStackTrace that will be converted to an exception
 * @hidden
 */
function exceptionFromStacktrace(stacktrace) {
    var frames = prepareFramesForEvent(stacktrace.stack);
    var exception = {
        type: stacktrace.name,
        value: stacktrace.message,
    };
    if (frames && frames.length) {
        exception.stacktrace = { frames: frames };
    }
    if (exception.type === undefined && exception.value === '') {
        exception.value = 'Unrecoverable error caught';
    }
    return exception;
}
/**
 * @hidden
 */
function eventFromPlainObject(exception, syntheticException, rejection) {
    var event = {
        exception: {
            values: [
                {
                    type: (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.isEvent)(exception) ? exception.constructor.name : rejection ? 'UnhandledRejection' : 'Error',
                    value: "Non-Error " + (rejection ? 'promise rejection' : 'exception') + " captured with keys: " + (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.extractExceptionKeysForMessage)(exception),
                },
            ],
        },
        extra: {
            __serialized__: (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.normalizeToSize)(exception),
        },
    };
    if (syntheticException) {
        var stacktrace = (0,_tracekit__WEBPACK_IMPORTED_MODULE_2__.computeStackTrace)(syntheticException);
        var frames_1 = prepareFramesForEvent(stacktrace.stack);
        event.stacktrace = {
            frames: frames_1,
        };
    }
    return event;
}
/**
 * @hidden
 */
function eventFromStacktrace(stacktrace) {
    var exception = exceptionFromStacktrace(stacktrace);
    return {
        exception: {
            values: [exception],
        },
    };
}
/**
 * @hidden
 */
function prepareFramesForEvent(stack) {
    if (!stack || !stack.length) {
        return [];
    }
    var localStack = stack;
    var firstFrameFunction = localStack[0].func || '';
    var lastFrameFunction = localStack[localStack.length - 1].func || '';
    // If stack starts with one of our API calls, remove it (starts, meaning it's the top of the stack - aka last call)
    if (firstFrameFunction.indexOf('captureMessage') !== -1 || firstFrameFunction.indexOf('captureException') !== -1) {
        localStack = localStack.slice(1);
    }
    // If stack ends with one of our internal API calls, remove it (ends, meaning it's the bottom of the stack - aka top-most call)
    if (lastFrameFunction.indexOf('sentryWrapped') !== -1) {
        localStack = localStack.slice(0, -1);
    }
    // The frame where the crash happened, should be the last entry in the array
    return localStack
        .slice(0, STACKTRACE_LIMIT)
        .map(function (frame) { return ({
        colno: frame.column === null ? undefined : frame.column,
        filename: frame.url || localStack[0].url,
        function: frame.func || '?',
        in_app: true,
        lineno: frame.line === null ? undefined : frame.line,
    }); })
        .reverse();
}
//# sourceMappingURL=parsers.js.map

/***/ }),

/***/ "./node_modules/@sentry/browser/esm/sdk.js":
/*!*************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/sdk.js ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "close": () => (/* binding */ close),
/* harmony export */   "defaultIntegrations": () => (/* binding */ defaultIntegrations),
/* harmony export */   "flush": () => (/* binding */ flush),
/* harmony export */   "forceLoad": () => (/* binding */ forceLoad),
/* harmony export */   "init": () => (/* binding */ init),
/* harmony export */   "lastEventId": () => (/* binding */ lastEventId),
/* harmony export */   "onLoad": () => (/* binding */ onLoad),
/* harmony export */   "showReportDialog": () => (/* binding */ showReportDialog),
/* harmony export */   "wrap": () => (/* binding */ wrap)
/* harmony export */ });
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/core/esm/integrations/inboundfilters.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/core/esm/integrations/functiontostring.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/core/esm/sdk.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/hub/esm/hub.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/syncpromise.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/instrument.js");
/* harmony import */ var _client__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./client */ "./node_modules/@sentry/browser/esm/client.js");
/* harmony import */ var _helpers__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./helpers */ "./node_modules/@sentry/browser/esm/helpers.js");
/* harmony import */ var _integrations__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./integrations */ "./node_modules/@sentry/browser/esm/integrations/trycatch.js");
/* harmony import */ var _integrations__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./integrations */ "./node_modules/@sentry/browser/esm/integrations/breadcrumbs.js");
/* harmony import */ var _integrations__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./integrations */ "./node_modules/@sentry/browser/esm/integrations/globalhandlers.js");
/* harmony import */ var _integrations__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./integrations */ "./node_modules/@sentry/browser/esm/integrations/linkederrors.js");
/* harmony import */ var _integrations__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./integrations */ "./node_modules/@sentry/browser/esm/integrations/dedupe.js");
/* harmony import */ var _integrations__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./integrations */ "./node_modules/@sentry/browser/esm/integrations/useragent.js");





var defaultIntegrations = [
    new _sentry_core__WEBPACK_IMPORTED_MODULE_0__.InboundFilters(),
    new _sentry_core__WEBPACK_IMPORTED_MODULE_1__.FunctionToString(),
    new _integrations__WEBPACK_IMPORTED_MODULE_2__.TryCatch(),
    new _integrations__WEBPACK_IMPORTED_MODULE_3__.Breadcrumbs(),
    new _integrations__WEBPACK_IMPORTED_MODULE_4__.GlobalHandlers(),
    new _integrations__WEBPACK_IMPORTED_MODULE_5__.LinkedErrors(),
    new _integrations__WEBPACK_IMPORTED_MODULE_6__.Dedupe(),
    new _integrations__WEBPACK_IMPORTED_MODULE_7__.UserAgent(),
];
/**
 * The Sentry Browser SDK Client.
 *
 * To use this SDK, call the {@link init} function as early as possible when
 * loading the web page. To set context information or send manual events, use
 * the provided methods.
 *
 * @example
 *
 * ```
 *
 * import { init } from '@sentry/browser';
 *
 * init({
 *   dsn: '__DSN__',
 *   // ...
 * });
 * ```
 *
 * @example
 * ```
 *
 * import { configureScope } from '@sentry/browser';
 * configureScope((scope: Scope) => {
 *   scope.setExtra({ battery: 0.7 });
 *   scope.setTag({ user_mode: 'admin' });
 *   scope.setUser({ id: '4711' });
 * });
 * ```
 *
 * @example
 * ```
 *
 * import { addBreadcrumb } from '@sentry/browser';
 * addBreadcrumb({
 *   message: 'My Breadcrumb',
 *   // ...
 * });
 * ```
 *
 * @example
 *
 * ```
 *
 * import * as Sentry from '@sentry/browser';
 * Sentry.captureMessage('Hello, world!');
 * Sentry.captureException(new Error('Good bye'));
 * Sentry.captureEvent({
 *   message: 'Manual',
 *   stacktrace: [
 *     // ...
 *   ],
 * });
 * ```
 *
 * @see {@link BrowserOptions} for documentation on configuration options.
 */
function init(options) {
    if (options === void 0) { options = {}; }
    if (options.defaultIntegrations === undefined) {
        options.defaultIntegrations = defaultIntegrations;
    }
    if (options.release === undefined) {
        var window_1 = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_8__.getGlobalObject)();
        // This supports the variable that sentry-webpack-plugin injects
        if (window_1.SENTRY_RELEASE && window_1.SENTRY_RELEASE.id) {
            options.release = window_1.SENTRY_RELEASE.id;
        }
    }
    if (options.autoSessionTracking === undefined) {
        options.autoSessionTracking = true;
    }
    (0,_sentry_core__WEBPACK_IMPORTED_MODULE_9__.initAndBind)(_client__WEBPACK_IMPORTED_MODULE_10__.BrowserClient, options);
    if (options.autoSessionTracking) {
        startSessionTracking();
    }
}
/**
 * Present the user with a report dialog.
 *
 * @param options Everything is optional, we try to fetch all info need from the global scope.
 */
function showReportDialog(options) {
    if (options === void 0) { options = {}; }
    if (!options.eventId) {
        options.eventId = (0,_sentry_core__WEBPACK_IMPORTED_MODULE_11__.getCurrentHub)().lastEventId();
    }
    var client = (0,_sentry_core__WEBPACK_IMPORTED_MODULE_11__.getCurrentHub)().getClient();
    if (client) {
        client.showReportDialog(options);
    }
}
/**
 * This is the getter for lastEventId.
 *
 * @returns The last event id of a captured event.
 */
function lastEventId() {
    return (0,_sentry_core__WEBPACK_IMPORTED_MODULE_11__.getCurrentHub)().lastEventId();
}
/**
 * This function is here to be API compatible with the loader.
 * @hidden
 */
function forceLoad() {
    // Noop
}
/**
 * This function is here to be API compatible with the loader.
 * @hidden
 */
function onLoad(callback) {
    callback();
}
/**
 * A promise that resolves when all current events have been sent.
 * If you provide a timeout and the queue takes longer to drain the promise returns false.
 *
 * @param timeout Maximum time in ms the client should wait.
 */
function flush(timeout) {
    var client = (0,_sentry_core__WEBPACK_IMPORTED_MODULE_11__.getCurrentHub)().getClient();
    if (client) {
        return client.flush(timeout);
    }
    return _sentry_utils__WEBPACK_IMPORTED_MODULE_12__.SyncPromise.reject(false);
}
/**
 * A promise that resolves when all current events have been sent.
 * If you provide a timeout and the queue takes longer to drain the promise returns false.
 *
 * @param timeout Maximum time in ms the client should wait.
 */
function close(timeout) {
    var client = (0,_sentry_core__WEBPACK_IMPORTED_MODULE_11__.getCurrentHub)().getClient();
    if (client) {
        return client.close(timeout);
    }
    return _sentry_utils__WEBPACK_IMPORTED_MODULE_12__.SyncPromise.reject(false);
}
/**
 * Wrap code within a try/catch block so the SDK is able to capture errors.
 *
 * @param fn A function to wrap.
 *
 * @returns The result of wrapped function call.
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function wrap(fn) {
    return (0,_helpers__WEBPACK_IMPORTED_MODULE_13__.wrap)(fn)();
}
/**
 * Enable automatic Session Tracking for the initial page load.
 */
function startSessionTracking() {
    var window = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_8__.getGlobalObject)();
    var document = window.document;
    if (typeof document === 'undefined') {
        _sentry_utils__WEBPACK_IMPORTED_MODULE_14__.logger.warn('Session tracking in non-browser environment with @sentry/browser is not supported.');
        return;
    }
    var hub = (0,_sentry_core__WEBPACK_IMPORTED_MODULE_11__.getCurrentHub)();
    // The only way for this to be false is for there to be a version mismatch between @sentry/browser (>= 6.0.0) and
    // @sentry/hub (< 5.27.0). In the simple case, there won't ever be such a mismatch, because the two packages are
    // pinned at the same version in package.json, but there are edge cases where it's possible. See
    // https://github.com/getsentry/sentry-javascript/issues/3207 and
    // https://github.com/getsentry/sentry-javascript/issues/3234 and
    // https://github.com/getsentry/sentry-javascript/issues/3278.
    if (typeof hub.startSession !== 'function' || typeof hub.captureSession !== 'function') {
        return;
    }
    // The session duration for browser sessions does not track a meaningful
    // concept that can be used as a metric.
    // Automatically captured sessions are akin to page views, and thus we
    // discard their duration.
    hub.startSession({ ignoreDuration: true });
    hub.captureSession();
    // We want to create a session for every navigation as well
    (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_15__.addInstrumentationHandler)({
        callback: function (_a) {
            var from = _a.from, to = _a.to;
            // Don't create an additional session for the initial route or if the location did not change
            if (from === undefined || from === to) {
                return;
            }
            hub.startSession({ ignoreDuration: true });
            hub.captureSession();
        },
        type: 'history',
    });
}
//# sourceMappingURL=sdk.js.map

/***/ }),

/***/ "./node_modules/@sentry/browser/esm/tracekit.js":
/*!******************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/tracekit.js ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "computeStackTrace": () => (/* binding */ computeStackTrace)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/**
 * This was originally forked from https://github.com/occ/TraceKit, but has since been
 * largely modified and is now maintained as part of Sentry JS SDK.
 */

// global reference to slice
var UNKNOWN_FUNCTION = '?';
// Chromium based browsers: Chrome, Brave, new Opera, new Edge
var chrome = /^\s*at (?:(.*?) ?\()?((?:file|https?|blob|chrome-extension|address|native|eval|webpack|<anonymous>|[-a-z]+:|.*bundle|\/).*?)(?::(\d+))?(?::(\d+))?\)?\s*$/i;
// gecko regex: `(?:bundle|\d+\.js)`: `bundle` is for react native, `\d+\.js` also but specifically for ram bundles because it
// generates filenames without a prefix like `file://` the filenames in the stacktrace are just 42.js
// We need this specific case for now because we want no other regex to match.
var gecko = /^\s*(.*?)(?:\((.*?)\))?(?:^|@)?((?:file|https?|blob|chrome|webpack|resource|moz-extension|capacitor).*?:\/.*?|\[native code\]|[^@]*(?:bundle|\d+\.js)|\/[\w\-. /=]+)(?::(\d+))?(?::(\d+))?\s*$/i;
var winjs = /^\s*at (?:((?:\[object object\])?.+) )?\(?((?:file|ms-appx|https?|webpack|blob):.*?):(\d+)(?::(\d+))?\)?\s*$/i;
var geckoEval = /(\S+) line (\d+)(?: > eval line \d+)* > eval/i;
var chromeEval = /\((\S*)(?::(\d+))(?::(\d+))\)/;
// Based on our own mapping pattern - https://github.com/getsentry/sentry/blob/9f08305e09866c8bd6d0c24f5b0aabdd7dd6c59c/src/sentry/lang/javascript/errormapping.py#L83-L108
var reactMinifiedRegexp = /Minified React error #\d+;/i;
/** JSDoc */
// eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/explicit-module-boundary-types
function computeStackTrace(ex) {
    var stack = null;
    var popSize = 0;
    if (ex) {
        if (typeof ex.framesToPop === 'number') {
            popSize = ex.framesToPop;
        }
        else if (reactMinifiedRegexp.test(ex.message)) {
            popSize = 1;
        }
    }
    try {
        // This must be tried first because Opera 10 *destroys*
        // its stacktrace property if you try to access the stack
        // property first!!
        stack = computeStackTraceFromStacktraceProp(ex);
        if (stack) {
            return popFrames(stack, popSize);
        }
    }
    catch (e) {
        // no-empty
    }
    try {
        stack = computeStackTraceFromStackProp(ex);
        if (stack) {
            return popFrames(stack, popSize);
        }
    }
    catch (e) {
        // no-empty
    }
    return {
        message: extractMessage(ex),
        name: ex && ex.name,
        stack: [],
        failed: true,
    };
}
/** JSDoc */
// eslint-disable-next-line @typescript-eslint/no-explicit-any, complexity
function computeStackTraceFromStackProp(ex) {
    if (!ex || !ex.stack) {
        return null;
    }
    var stack = [];
    var lines = ex.stack.split('\n');
    var isEval;
    var submatch;
    var parts;
    var element;
    for (var i = 0; i < lines.length; ++i) {
        if ((parts = chrome.exec(lines[i]))) {
            var isNative = parts[2] && parts[2].indexOf('native') === 0; // start of line
            isEval = parts[2] && parts[2].indexOf('eval') === 0; // start of line
            if (isEval && (submatch = chromeEval.exec(parts[2]))) {
                // throw out eval line/column and use top-most line/column number
                parts[2] = submatch[1]; // url
                parts[3] = submatch[2]; // line
                parts[4] = submatch[3]; // column
            }
            // Arpad: Working with the regexp above is super painful. it is quite a hack, but just stripping the `address at `
            // prefix here seems like the quickest solution for now.
            var url = parts[2] && parts[2].indexOf('address at ') === 0 ? parts[2].substr('address at '.length) : parts[2];
            // Kamil: One more hack won't hurt us right? Understanding and adding more rules on top of these regexps right now
            // would be way too time consuming. (TODO: Rewrite whole RegExp to be more readable)
            var func = parts[1] || UNKNOWN_FUNCTION;
            var isSafariExtension = func.indexOf('safari-extension') !== -1;
            var isSafariWebExtension = func.indexOf('safari-web-extension') !== -1;
            if (isSafariExtension || isSafariWebExtension) {
                func = func.indexOf('@') !== -1 ? func.split('@')[0] : UNKNOWN_FUNCTION;
                url = isSafariExtension ? "safari-extension:" + url : "safari-web-extension:" + url;
            }
            element = {
                url: url,
                func: func,
                args: isNative ? [parts[2]] : [],
                line: parts[3] ? +parts[3] : null,
                column: parts[4] ? +parts[4] : null,
            };
        }
        else if ((parts = winjs.exec(lines[i]))) {
            element = {
                url: parts[2],
                func: parts[1] || UNKNOWN_FUNCTION,
                args: [],
                line: +parts[3],
                column: parts[4] ? +parts[4] : null,
            };
        }
        else if ((parts = gecko.exec(lines[i]))) {
            isEval = parts[3] && parts[3].indexOf(' > eval') > -1;
            if (isEval && (submatch = geckoEval.exec(parts[3]))) {
                // throw out eval line/column and use top-most line number
                parts[1] = parts[1] || "eval";
                parts[3] = submatch[1];
                parts[4] = submatch[2];
                parts[5] = ''; // no column when eval
            }
            else if (i === 0 && !parts[5] && ex.columnNumber !== void 0) {
                // FireFox uses this awesome columnNumber property for its top frame
                // Also note, Firefox's column number is 0-based and everything else expects 1-based,
                // so adding 1
                // NOTE: this hack doesn't work if top-most frame is eval
                stack[0].column = ex.columnNumber + 1;
            }
            element = {
                url: parts[3],
                func: parts[1] || UNKNOWN_FUNCTION,
                args: parts[2] ? parts[2].split(',') : [],
                line: parts[4] ? +parts[4] : null,
                column: parts[5] ? +parts[5] : null,
            };
        }
        else {
            continue;
        }
        if (!element.func && element.line) {
            element.func = UNKNOWN_FUNCTION;
        }
        stack.push(element);
    }
    if (!stack.length) {
        return null;
    }
    return {
        message: extractMessage(ex),
        name: ex.name,
        stack: stack,
    };
}
/** JSDoc */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function computeStackTraceFromStacktraceProp(ex) {
    if (!ex || !ex.stacktrace) {
        return null;
    }
    // Access and store the stacktrace property before doing ANYTHING
    // else to it because Opera is not very good at providing it
    // reliably in other circumstances.
    var stacktrace = ex.stacktrace;
    var opera10Regex = / line (\d+).*script (?:in )?(\S+)(?:: in function (\S+))?$/i;
    var opera11Regex = / line (\d+), column (\d+)\s*(?:in (?:<anonymous function: ([^>]+)>|([^)]+))\((.*)\))? in (.*):\s*$/i;
    var lines = stacktrace.split('\n');
    var stack = [];
    var parts;
    for (var line = 0; line < lines.length; line += 2) {
        var element = null;
        if ((parts = opera10Regex.exec(lines[line]))) {
            element = {
                url: parts[2],
                func: parts[3],
                args: [],
                line: +parts[1],
                column: null,
            };
        }
        else if ((parts = opera11Regex.exec(lines[line]))) {
            element = {
                url: parts[6],
                func: parts[3] || parts[4],
                args: parts[5] ? parts[5].split(',') : [],
                line: +parts[1],
                column: +parts[2],
            };
        }
        if (element) {
            if (!element.func && element.line) {
                element.func = UNKNOWN_FUNCTION;
            }
            stack.push(element);
        }
    }
    if (!stack.length) {
        return null;
    }
    return {
        message: extractMessage(ex),
        name: ex.name,
        stack: stack,
    };
}
/** Remove N number of frames from the stack */
function popFrames(stacktrace, popSize) {
    try {
        return (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, stacktrace), { stack: stacktrace.stack.slice(popSize) });
    }
    catch (e) {
        return stacktrace;
    }
}
/**
 * There are cases where stacktrace.message is an Event object
 * https://github.com/getsentry/sentry-javascript/issues/1949
 * In this specific case we try to extract stacktrace.message.error.message
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function extractMessage(ex) {
    var message = ex && ex.message;
    if (!message) {
        return 'No error message';
    }
    if (message.error && typeof message.error.message === 'string') {
        return message.error.message;
    }
    return message;
}
//# sourceMappingURL=tracekit.js.map

/***/ }),

/***/ "./node_modules/@sentry/browser/esm/transports/base.js":
/*!*************************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/transports/base.js ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "BaseTransport": () => (/* binding */ BaseTransport)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/core/esm/api.js");
/* harmony import */ var _sentry_types__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/types */ "./node_modules/@sentry/types/esm/status.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/promisebuffer.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/error.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");




var CATEGORY_MAPPING = {
    event: 'error',
    transaction: 'transaction',
    session: 'session',
    attachment: 'attachment',
};
/** Base Transport class implementation */
var BaseTransport = /** @class */ (function () {
    function BaseTransport(options) {
        this.options = options;
        /** A simple buffer holding all requests. */
        this._buffer = new _sentry_utils__WEBPACK_IMPORTED_MODULE_0__.PromiseBuffer(30);
        /** Locks transport after receiving rate limits in a response */
        this._rateLimits = {};
        this._api = new _sentry_core__WEBPACK_IMPORTED_MODULE_1__.API(options.dsn, options._metadata, options.tunnel);
        // eslint-disable-next-line deprecation/deprecation
        this.url = this._api.getStoreEndpointWithUrlEncodedAuth();
    }
    /**
     * @inheritDoc
     */
    BaseTransport.prototype.sendEvent = function (_) {
        throw new _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.SentryError('Transport Class has to implement `sendEvent` method');
    };
    /**
     * @inheritDoc
     */
    BaseTransport.prototype.close = function (timeout) {
        return this._buffer.drain(timeout);
    };
    /**
     * Handle Sentry repsonse for promise-based transports.
     */
    BaseTransport.prototype._handleResponse = function (_a) {
        var requestType = _a.requestType, response = _a.response, headers = _a.headers, resolve = _a.resolve, reject = _a.reject;
        var status = _sentry_types__WEBPACK_IMPORTED_MODULE_3__.Status.fromHttpCode(response.status);
        /**
         * "The name is case-insensitive."
         * https://developer.mozilla.org/en-US/docs/Web/API/Headers/get
         */
        var limited = this._handleRateLimit(headers);
        if (limited)
            _sentry_utils__WEBPACK_IMPORTED_MODULE_4__.logger.warn("Too many " + requestType + " requests, backing off until: " + this._disabledUntil(requestType));
        if (status === _sentry_types__WEBPACK_IMPORTED_MODULE_3__.Status.Success) {
            resolve({ status: status });
            return;
        }
        reject(response);
    };
    /**
     * Gets the time that given category is disabled until for rate limiting
     */
    BaseTransport.prototype._disabledUntil = function (requestType) {
        var category = CATEGORY_MAPPING[requestType];
        return this._rateLimits[category] || this._rateLimits.all;
    };
    /**
     * Checks if a category is rate limited
     */
    BaseTransport.prototype._isRateLimited = function (requestType) {
        return this._disabledUntil(requestType) > new Date(Date.now());
    };
    /**
     * Sets internal _rateLimits from incoming headers. Returns true if headers contains a non-empty rate limiting header.
     */
    BaseTransport.prototype._handleRateLimit = function (headers) {
        var e_1, _a, e_2, _b;
        var now = Date.now();
        var rlHeader = headers['x-sentry-rate-limits'];
        var raHeader = headers['retry-after'];
        if (rlHeader) {
            try {
                // rate limit headers are of the form
                //     <header>,<header>,..
                // where each <header> is of the form
                //     <retry_after>: <categories>: <scope>: <reason_code>
                // where
                //     <retry_after> is a delay in ms
                //     <categories> is the event type(s) (error, transaction, etc) being rate limited and is of the form
                //         <category>;<category>;...
                //     <scope> is what's being limited (org, project, or key) - ignored by SDK
                //     <reason_code> is an arbitrary string like "org_quota" - ignored by SDK
                for (var _c = (0,tslib__WEBPACK_IMPORTED_MODULE_5__.__values)(rlHeader.trim().split(',')), _d = _c.next(); !_d.done; _d = _c.next()) {
                    var limit = _d.value;
                    var parameters = limit.split(':', 2);
                    var headerDelay = parseInt(parameters[0], 10);
                    var delay = (!isNaN(headerDelay) ? headerDelay : 60) * 1000; // 60sec default
                    try {
                        for (var _e = (e_2 = void 0, (0,tslib__WEBPACK_IMPORTED_MODULE_5__.__values)(parameters[1].split(';'))), _f = _e.next(); !_f.done; _f = _e.next()) {
                            var category = _f.value;
                            this._rateLimits[category || 'all'] = new Date(now + delay);
                        }
                    }
                    catch (e_2_1) { e_2 = { error: e_2_1 }; }
                    finally {
                        try {
                            if (_f && !_f.done && (_b = _e.return)) _b.call(_e);
                        }
                        finally { if (e_2) throw e_2.error; }
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_d && !_d.done && (_a = _c.return)) _a.call(_c);
                }
                finally { if (e_1) throw e_1.error; }
            }
            return true;
        }
        else if (raHeader) {
            this._rateLimits.all = new Date(now + (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_6__.parseRetryAfterHeader)(now, raHeader));
            return true;
        }
        return false;
    };
    return BaseTransport;
}());

//# sourceMappingURL=base.js.map

/***/ }),

/***/ "./node_modules/@sentry/browser/esm/transports/fetch.js":
/*!**************************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/transports/fetch.js ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "FetchTransport": () => (/* binding */ FetchTransport)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/core/esm/request.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/supports.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/syncpromise.js");
/* harmony import */ var _base__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./base */ "./node_modules/@sentry/browser/esm/transports/base.js");




/**
 * A special usecase for incorrectly wrapped Fetch APIs in conjunction with ad-blockers.
 * Whenever someone wraps the Fetch API and returns the wrong promise chain,
 * this chain becomes orphaned and there is no possible way to capture it's rejections
 * other than allowing it bubble up to this very handler. eg.
 *
 * const f = window.fetch;
 * window.fetch = function () {
 *   const p = f.apply(this, arguments);
 *
 *   p.then(function() {
 *     console.log('hi.');
 *   });
 *
 *   return p;
 * }
 *
 * `p.then(function () { ... })` is producing a completely separate promise chain,
 * however, what's returned is `p` - the result of original `fetch` call.
 *
 * This mean, that whenever we use the Fetch API to send our own requests, _and_
 * some ad-blocker blocks it, this orphaned chain will _always_ reject,
 * effectively causing another event to be captured.
 * This makes a whole process become an infinite loop, which we need to somehow
 * deal with, and break it in one way or another.
 *
 * To deal with this issue, we are making sure that we _always_ use the real
 * browser Fetch API, instead of relying on what `window.fetch` exposes.
 * The only downside to this would be missing our own requests as breadcrumbs,
 * but because we are already not doing this, it should be just fine.
 *
 * Possible failed fetch error messages per-browser:
 *
 * Chrome:  Failed to fetch
 * Edge:    Failed to Fetch
 * Firefox: NetworkError when attempting to fetch resource
 * Safari:  resource blocked by content blocker
 */
function getNativeFetchImplementation() {
    /* eslint-disable @typescript-eslint/unbound-method */
    var _a, _b;
    // Fast path to avoid DOM I/O
    var global = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.getGlobalObject)();
    if ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.isNativeFetch)(global.fetch)) {
        return global.fetch.bind(global);
    }
    var document = global.document;
    var fetchImpl = global.fetch;
    // eslint-disable-next-line deprecation/deprecation
    if (typeof ((_a = document) === null || _a === void 0 ? void 0 : _a.createElement) === "function") {
        try {
            var sandbox = document.createElement('iframe');
            sandbox.hidden = true;
            document.head.appendChild(sandbox);
            if ((_b = sandbox.contentWindow) === null || _b === void 0 ? void 0 : _b.fetch) {
                fetchImpl = sandbox.contentWindow.fetch;
            }
            document.head.removeChild(sandbox);
        }
        catch (e) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.warn('Could not create sandbox iframe for pure fetch check, bailing to window.fetch: ', e);
        }
    }
    return fetchImpl.bind(global);
    /* eslint-enable @typescript-eslint/unbound-method */
}
/** `fetch` based transport */
var FetchTransport = /** @class */ (function (_super) {
    (0,tslib__WEBPACK_IMPORTED_MODULE_3__.__extends)(FetchTransport, _super);
    function FetchTransport(options, fetchImpl) {
        if (fetchImpl === void 0) { fetchImpl = getNativeFetchImplementation(); }
        var _this = _super.call(this, options) || this;
        _this._fetch = fetchImpl;
        return _this;
    }
    /**
     * @inheritDoc
     */
    FetchTransport.prototype.sendEvent = function (event) {
        return this._sendRequest((0,_sentry_core__WEBPACK_IMPORTED_MODULE_4__.eventToSentryRequest)(event, this._api), event);
    };
    /**
     * @inheritDoc
     */
    FetchTransport.prototype.sendSession = function (session) {
        return this._sendRequest((0,_sentry_core__WEBPACK_IMPORTED_MODULE_4__.sessionToSentryRequest)(session, this._api), session);
    };
    /**
     * @param sentryRequest Prepared SentryRequest to be delivered
     * @param originalPayload Original payload used to create SentryRequest
     */
    FetchTransport.prototype._sendRequest = function (sentryRequest, originalPayload) {
        var _this = this;
        if (this._isRateLimited(sentryRequest.type)) {
            return Promise.reject({
                event: originalPayload,
                type: sentryRequest.type,
                reason: "Transport for " + sentryRequest.type + " requests locked till " + this._disabledUntil(sentryRequest.type) + " due to too many requests.",
                status: 429,
            });
        }
        var options = {
            body: sentryRequest.body,
            method: 'POST',
            // Despite all stars in the sky saying that Edge supports old draft syntax, aka 'never', 'always', 'origin' and 'default
            // https://caniuse.com/#feat=referrer-policy
            // It doesn't. And it throw exception instead of ignoring this parameter...
            // REF: https://github.com/getsentry/raven-js/issues/1233
            referrerPolicy: ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.supportsReferrerPolicy)() ? 'origin' : ''),
        };
        if (this.options.fetchParameters !== undefined) {
            Object.assign(options, this.options.fetchParameters);
        }
        if (this.options.headers !== undefined) {
            options.headers = this.options.headers;
        }
        return this._buffer.add(function () {
            return new _sentry_utils__WEBPACK_IMPORTED_MODULE_5__.SyncPromise(function (resolve, reject) {
                void _this._fetch(sentryRequest.url, options)
                    .then(function (response) {
                    var headers = {
                        'x-sentry-rate-limits': response.headers.get('X-Sentry-Rate-Limits'),
                        'retry-after': response.headers.get('Retry-After'),
                    };
                    _this._handleResponse({
                        requestType: sentryRequest.type,
                        response: response,
                        headers: headers,
                        resolve: resolve,
                        reject: reject,
                    });
                })
                    .catch(reject);
            });
        });
    };
    return FetchTransport;
}(_base__WEBPACK_IMPORTED_MODULE_6__.BaseTransport));

//# sourceMappingURL=fetch.js.map

/***/ }),

/***/ "./node_modules/@sentry/browser/esm/transports/xhr.js":
/*!************************************************************!*\
  !*** ./node_modules/@sentry/browser/esm/transports/xhr.js ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "XHRTransport": () => (/* binding */ XHRTransport)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/core */ "./node_modules/@sentry/core/esm/request.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/syncpromise.js");
/* harmony import */ var _base__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./base */ "./node_modules/@sentry/browser/esm/transports/base.js");




/** `XHR` based transport */
var XHRTransport = /** @class */ (function (_super) {
    (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__extends)(XHRTransport, _super);
    function XHRTransport() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @inheritDoc
     */
    XHRTransport.prototype.sendEvent = function (event) {
        return this._sendRequest((0,_sentry_core__WEBPACK_IMPORTED_MODULE_1__.eventToSentryRequest)(event, this._api), event);
    };
    /**
     * @inheritDoc
     */
    XHRTransport.prototype.sendSession = function (session) {
        return this._sendRequest((0,_sentry_core__WEBPACK_IMPORTED_MODULE_1__.sessionToSentryRequest)(session, this._api), session);
    };
    /**
     * @param sentryRequest Prepared SentryRequest to be delivered
     * @param originalPayload Original payload used to create SentryRequest
     */
    XHRTransport.prototype._sendRequest = function (sentryRequest, originalPayload) {
        var _this = this;
        if (this._isRateLimited(sentryRequest.type)) {
            return Promise.reject({
                event: originalPayload,
                type: sentryRequest.type,
                reason: "Transport for " + sentryRequest.type + " requests locked till " + this._disabledUntil(sentryRequest.type) + " due to too many requests.",
                status: 429,
            });
        }
        return this._buffer.add(function () {
            return new _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.SyncPromise(function (resolve, reject) {
                var request = new XMLHttpRequest();
                request.onreadystatechange = function () {
                    if (request.readyState === 4) {
                        var headers = {
                            'x-sentry-rate-limits': request.getResponseHeader('X-Sentry-Rate-Limits'),
                            'retry-after': request.getResponseHeader('Retry-After'),
                        };
                        _this._handleResponse({ requestType: sentryRequest.type, response: request, headers: headers, resolve: resolve, reject: reject });
                    }
                };
                request.open('POST', sentryRequest.url);
                for (var header in _this.options.headers) {
                    if (_this.options.headers.hasOwnProperty(header)) {
                        request.setRequestHeader(header, _this.options.headers[header]);
                    }
                }
                request.send(sentryRequest.body);
            });
        });
    };
    return XHRTransport;
}(_base__WEBPACK_IMPORTED_MODULE_3__.BaseTransport));

//# sourceMappingURL=xhr.js.map

/***/ }),

/***/ "./node_modules/@sentry/core/esm/api.js":
/*!**********************************************!*\
  !*** ./node_modules/@sentry/core/esm/api.js ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "API": () => (/* binding */ API)
/* harmony export */ });
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/dsn.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/object.js");

var SENTRY_API_VERSION = '7';
/**
 * Helper class to provide urls, headers and metadata that can be used to form
 * different types of requests to Sentry endpoints.
 * Supports both envelopes and regular event requests.
 **/
var API = /** @class */ (function () {
    /** Create a new instance of API */
    function API(dsn, metadata, tunnel) {
        if (metadata === void 0) { metadata = {}; }
        this.dsn = dsn;
        this._dsnObject = new _sentry_utils__WEBPACK_IMPORTED_MODULE_0__.Dsn(dsn);
        this.metadata = metadata;
        this._tunnel = tunnel;
    }
    /** Returns the Dsn object. */
    API.prototype.getDsn = function () {
        return this._dsnObject;
    };
    /** Does this transport force envelopes? */
    API.prototype.forceEnvelope = function () {
        return !!this._tunnel;
    };
    /** Returns the prefix to construct Sentry ingestion API endpoints. */
    API.prototype.getBaseApiEndpoint = function () {
        var dsn = this.getDsn();
        var protocol = dsn.protocol ? dsn.protocol + ":" : '';
        var port = dsn.port ? ":" + dsn.port : '';
        return protocol + "//" + dsn.host + port + (dsn.path ? "/" + dsn.path : '') + "/api/";
    };
    /** Returns the store endpoint URL. */
    API.prototype.getStoreEndpoint = function () {
        return this._getIngestEndpoint('store');
    };
    /**
     * Returns the store endpoint URL with auth in the query string.
     *
     * Sending auth as part of the query string and not as custom HTTP headers avoids CORS preflight requests.
     */
    API.prototype.getStoreEndpointWithUrlEncodedAuth = function () {
        return this.getStoreEndpoint() + "?" + this._encodedAuth();
    };
    /**
     * Returns the envelope endpoint URL with auth in the query string.
     *
     * Sending auth as part of the query string and not as custom HTTP headers avoids CORS preflight requests.
     */
    API.prototype.getEnvelopeEndpointWithUrlEncodedAuth = function () {
        if (this.forceEnvelope()) {
            return this._tunnel;
        }
        return this._getEnvelopeEndpoint() + "?" + this._encodedAuth();
    };
    /** Returns only the path component for the store endpoint. */
    API.prototype.getStoreEndpointPath = function () {
        var dsn = this.getDsn();
        return (dsn.path ? "/" + dsn.path : '') + "/api/" + dsn.projectId + "/store/";
    };
    /**
     * Returns an object that can be used in request headers.
     * This is needed for node and the old /store endpoint in sentry
     */
    API.prototype.getRequestHeaders = function (clientName, clientVersion) {
        // CHANGE THIS to use metadata but keep clientName and clientVersion compatible
        var dsn = this.getDsn();
        var header = ["Sentry sentry_version=" + SENTRY_API_VERSION];
        header.push("sentry_client=" + clientName + "/" + clientVersion);
        header.push("sentry_key=" + dsn.publicKey);
        if (dsn.pass) {
            header.push("sentry_secret=" + dsn.pass);
        }
        return {
            'Content-Type': 'application/json',
            'X-Sentry-Auth': header.join(', '),
        };
    };
    /** Returns the url to the report dialog endpoint. */
    API.prototype.getReportDialogEndpoint = function (dialogOptions) {
        if (dialogOptions === void 0) { dialogOptions = {}; }
        var dsn = this.getDsn();
        var endpoint = this.getBaseApiEndpoint() + "embed/error-page/";
        var encodedOptions = [];
        encodedOptions.push("dsn=" + dsn.toString());
        for (var key in dialogOptions) {
            if (key === 'dsn') {
                continue;
            }
            if (key === 'user') {
                if (!dialogOptions.user) {
                    continue;
                }
                if (dialogOptions.user.name) {
                    encodedOptions.push("name=" + encodeURIComponent(dialogOptions.user.name));
                }
                if (dialogOptions.user.email) {
                    encodedOptions.push("email=" + encodeURIComponent(dialogOptions.user.email));
                }
            }
            else {
                encodedOptions.push(encodeURIComponent(key) + "=" + encodeURIComponent(dialogOptions[key]));
            }
        }
        if (encodedOptions.length) {
            return endpoint + "?" + encodedOptions.join('&');
        }
        return endpoint;
    };
    /** Returns the envelope endpoint URL. */
    API.prototype._getEnvelopeEndpoint = function () {
        return this._getIngestEndpoint('envelope');
    };
    /** Returns the ingest API endpoint for target. */
    API.prototype._getIngestEndpoint = function (target) {
        if (this._tunnel) {
            return this._tunnel;
        }
        var base = this.getBaseApiEndpoint();
        var dsn = this.getDsn();
        return "" + base + dsn.projectId + "/" + target + "/";
    };
    /** Returns a URL-encoded string with auth config suitable for a query string. */
    API.prototype._encodedAuth = function () {
        var dsn = this.getDsn();
        var auth = {
            // We send only the minimum set of required information. See
            // https://github.com/getsentry/sentry-javascript/issues/2572.
            sentry_key: dsn.publicKey,
            sentry_version: SENTRY_API_VERSION,
        };
        return (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.urlEncode)(auth);
    };
    return API;
}());

//# sourceMappingURL=api.js.map

/***/ }),

/***/ "./node_modules/@sentry/core/esm/basebackend.js":
/*!******************************************************!*\
  !*** ./node_modules/@sentry/core/esm/basebackend.js ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "BaseBackend": () => (/* binding */ BaseBackend)
/* harmony export */ });
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/error.js");
/* harmony import */ var _transports_noop__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./transports/noop */ "./node_modules/@sentry/core/esm/transports/noop.js");


/**
 * This is the base implemention of a Backend.
 * @hidden
 */
var BaseBackend = /** @class */ (function () {
    /** Creates a new backend instance. */
    function BaseBackend(options) {
        this._options = options;
        if (!this._options.dsn) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_0__.logger.warn('No DSN provided, backend will not do anything.');
        }
        this._transport = this._setupTransport();
    }
    /**
     * @inheritDoc
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/explicit-module-boundary-types
    BaseBackend.prototype.eventFromException = function (_exception, _hint) {
        throw new _sentry_utils__WEBPACK_IMPORTED_MODULE_1__.SentryError('Backend has to implement `eventFromException` method');
    };
    /**
     * @inheritDoc
     */
    BaseBackend.prototype.eventFromMessage = function (_message, _level, _hint) {
        throw new _sentry_utils__WEBPACK_IMPORTED_MODULE_1__.SentryError('Backend has to implement `eventFromMessage` method');
    };
    /**
     * @inheritDoc
     */
    BaseBackend.prototype.sendEvent = function (event) {
        void this._transport.sendEvent(event).then(null, function (reason) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_0__.logger.error("Error while sending event: " + reason);
        });
    };
    /**
     * @inheritDoc
     */
    BaseBackend.prototype.sendSession = function (session) {
        if (!this._transport.sendSession) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_0__.logger.warn("Dropping session because custom transport doesn't implement sendSession");
            return;
        }
        void this._transport.sendSession(session).then(null, function (reason) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_0__.logger.error("Error while sending session: " + reason);
        });
    };
    /**
     * @inheritDoc
     */
    BaseBackend.prototype.getTransport = function () {
        return this._transport;
    };
    /**
     * Sets up the transport so it can be used later to send requests.
     */
    BaseBackend.prototype._setupTransport = function () {
        return new _transports_noop__WEBPACK_IMPORTED_MODULE_2__.NoopTransport();
    };
    return BaseBackend;
}());

//# sourceMappingURL=basebackend.js.map

/***/ }),

/***/ "./node_modules/@sentry/core/esm/baseclient.js":
/*!*****************************************************!*\
  !*** ./node_modules/@sentry/core/esm/baseclient.js ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "BaseClient": () => (/* binding */ BaseClient)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_hub__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! @sentry/hub */ "./node_modules/@sentry/hub/esm/scope.js");
/* harmony import */ var _sentry_types__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @sentry/types */ "./node_modules/@sentry/types/esm/session.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/dsn.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/is.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/syncpromise.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/time.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/object.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/string.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/error.js");
/* harmony import */ var _integration__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./integration */ "./node_modules/@sentry/core/esm/integration.js");

/* eslint-disable max-lines */




/**
 * Base implementation for all JavaScript SDK clients.
 *
 * Call the constructor with the corresponding backend constructor and options
 * specific to the client subclass. To access these options later, use
 * {@link Client.getOptions}. Also, the Backend instance is available via
 * {@link Client.getBackend}.
 *
 * If a Dsn is specified in the options, it will be parsed and stored. Use
 * {@link Client.getDsn} to retrieve the Dsn at any moment. In case the Dsn is
 * invalid, the constructor will throw a {@link SentryException}. Note that
 * without a valid Dsn, the SDK will not send any events to Sentry.
 *
 * Before sending an event via the backend, it is passed through
 * {@link BaseClient._prepareEvent} to add SDK information and scope data
 * (breadcrumbs and context). To add more custom information, override this
 * method and extend the resulting prepared event.
 *
 * To issue automatically created events (e.g. via instrumentation), use
 * {@link Client.captureEvent}. It will prepare the event and pass it through
 * the callback lifecycle. To issue auto-breadcrumbs, use
 * {@link Client.addBreadcrumb}.
 *
 * @example
 * class NodeClient extends BaseClient<NodeBackend, NodeOptions> {
 *   public constructor(options: NodeOptions) {
 *     super(NodeBackend, options);
 *   }
 *
 *   // ...
 * }
 */
var BaseClient = /** @class */ (function () {
    /**
     * Initializes this client instance.
     *
     * @param backendClass A constructor function to create the backend.
     * @param options Options for the client.
     */
    function BaseClient(backendClass, options) {
        /** Array of used integrations. */
        this._integrations = {};
        /** Number of call being processed */
        this._processing = 0;
        this._backend = new backendClass(options);
        this._options = options;
        if (options.dsn) {
            this._dsn = new _sentry_utils__WEBPACK_IMPORTED_MODULE_0__.Dsn(options.dsn);
        }
    }
    /**
     * @inheritDoc
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/explicit-module-boundary-types
    BaseClient.prototype.captureException = function (exception, hint, scope) {
        var _this = this;
        var eventId = hint && hint.event_id;
        this._process(this._getBackend()
            .eventFromException(exception, hint)
            .then(function (event) { return _this._captureEvent(event, hint, scope); })
            .then(function (result) {
            eventId = result;
        }));
        return eventId;
    };
    /**
     * @inheritDoc
     */
    BaseClient.prototype.captureMessage = function (message, level, hint, scope) {
        var _this = this;
        var eventId = hint && hint.event_id;
        var promisedEvent = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.isPrimitive)(message)
            ? this._getBackend().eventFromMessage(String(message), level, hint)
            : this._getBackend().eventFromException(message, hint);
        this._process(promisedEvent
            .then(function (event) { return _this._captureEvent(event, hint, scope); })
            .then(function (result) {
            eventId = result;
        }));
        return eventId;
    };
    /**
     * @inheritDoc
     */
    BaseClient.prototype.captureEvent = function (event, hint, scope) {
        var eventId = hint && hint.event_id;
        this._process(this._captureEvent(event, hint, scope).then(function (result) {
            eventId = result;
        }));
        return eventId;
    };
    /**
     * @inheritDoc
     */
    BaseClient.prototype.captureSession = function (session) {
        if (!this._isEnabled()) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.warn('SDK not enabled, will not capture session.');
            return;
        }
        if (!(typeof session.release === 'string')) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.warn('Discarded session because of missing or non-string release');
        }
        else {
            this._sendSession(session);
            // After sending, we set init false to indicate it's not the first occurrence
            session.update({ init: false });
        }
    };
    /**
     * @inheritDoc
     */
    BaseClient.prototype.getDsn = function () {
        return this._dsn;
    };
    /**
     * @inheritDoc
     */
    BaseClient.prototype.getOptions = function () {
        return this._options;
    };
    /**
     * @inheritDoc
     */
    BaseClient.prototype.flush = function (timeout) {
        var _this = this;
        return this._isClientProcessing(timeout).then(function (ready) {
            return _this._getBackend()
                .getTransport()
                .close(timeout)
                .then(function (transportFlushed) { return ready && transportFlushed; });
        });
    };
    /**
     * @inheritDoc
     */
    BaseClient.prototype.close = function (timeout) {
        var _this = this;
        return this.flush(timeout).then(function (result) {
            _this.getOptions().enabled = false;
            return result;
        });
    };
    /**
     * Sets up the integrations
     */
    BaseClient.prototype.setupIntegrations = function () {
        if (this._isEnabled()) {
            this._integrations = (0,_integration__WEBPACK_IMPORTED_MODULE_3__.setupIntegrations)(this._options);
        }
    };
    /**
     * @inheritDoc
     */
    BaseClient.prototype.getIntegration = function (integration) {
        try {
            return this._integrations[integration.id] || null;
        }
        catch (_oO) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.warn("Cannot retrieve integration " + integration.id + " from the current Client");
            return null;
        }
    };
    /** Updates existing session based on the provided event */
    BaseClient.prototype._updateSessionFromEvent = function (session, event) {
        var e_1, _a;
        var crashed = false;
        var errored = false;
        var exceptions = event.exception && event.exception.values;
        if (exceptions) {
            errored = true;
            try {
                for (var exceptions_1 = (0,tslib__WEBPACK_IMPORTED_MODULE_4__.__values)(exceptions), exceptions_1_1 = exceptions_1.next(); !exceptions_1_1.done; exceptions_1_1 = exceptions_1.next()) {
                    var ex = exceptions_1_1.value;
                    var mechanism = ex.mechanism;
                    if (mechanism && mechanism.handled === false) {
                        crashed = true;
                        break;
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (exceptions_1_1 && !exceptions_1_1.done && (_a = exceptions_1.return)) _a.call(exceptions_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
        }
        // A session is updated and that session update is sent in only one of the two following scenarios:
        // 1. Session with non terminal status and 0 errors + an error occurred -> Will set error count to 1 and send update
        // 2. Session with non terminal status and 1 error + a crash occurred -> Will set status crashed and send update
        var sessionNonTerminal = session.status === _sentry_types__WEBPACK_IMPORTED_MODULE_5__.SessionStatus.Ok;
        var shouldUpdateAndSend = (sessionNonTerminal && session.errors === 0) || (sessionNonTerminal && crashed);
        if (shouldUpdateAndSend) {
            session.update((0,tslib__WEBPACK_IMPORTED_MODULE_4__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_4__.__assign)({}, (crashed && { status: _sentry_types__WEBPACK_IMPORTED_MODULE_5__.SessionStatus.Crashed })), { errors: session.errors || Number(errored || crashed) }));
            this.captureSession(session);
        }
    };
    /** Deliver captured session to Sentry */
    BaseClient.prototype._sendSession = function (session) {
        this._getBackend().sendSession(session);
    };
    /** Waits for the client to be done with processing. */
    BaseClient.prototype._isClientProcessing = function (timeout) {
        var _this = this;
        return new _sentry_utils__WEBPACK_IMPORTED_MODULE_6__.SyncPromise(function (resolve) {
            var ticked = 0;
            var tick = 1;
            var interval = setInterval(function () {
                if (_this._processing == 0) {
                    clearInterval(interval);
                    resolve(true);
                }
                else {
                    ticked += tick;
                    if (timeout && ticked >= timeout) {
                        clearInterval(interval);
                        resolve(false);
                    }
                }
            }, tick);
        });
    };
    /** Returns the current backend. */
    BaseClient.prototype._getBackend = function () {
        return this._backend;
    };
    /** Determines whether this SDK is enabled and a valid Dsn is present. */
    BaseClient.prototype._isEnabled = function () {
        return this.getOptions().enabled !== false && this._dsn !== undefined;
    };
    /**
     * Adds common information to events.
     *
     * The information includes release and environment from `options`,
     * breadcrumbs and context (extra, tags and user) from the scope.
     *
     * Information that is already present in the event is never overwritten. For
     * nested objects, such as the context, keys are merged.
     *
     * @param event The original event.
     * @param hint May contain additional information about the original exception.
     * @param scope A scope containing event metadata.
     * @returns A new event with more information.
     */
    BaseClient.prototype._prepareEvent = function (event, scope, hint) {
        var _this = this;
        var _a = this.getOptions().normalizeDepth, normalizeDepth = _a === void 0 ? 3 : _a;
        var prepared = (0,tslib__WEBPACK_IMPORTED_MODULE_4__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_4__.__assign)({}, event), { event_id: event.event_id || (hint && hint.event_id ? hint.event_id : (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_7__.uuid4)()), timestamp: event.timestamp || (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_8__.dateTimestampInSeconds)() });
        this._applyClientOptions(prepared);
        this._applyIntegrationsMetadata(prepared);
        // If we have scope given to us, use it as the base for further modifications.
        // This allows us to prevent unnecessary copying of data if `captureContext` is not provided.
        var finalScope = scope;
        if (hint && hint.captureContext) {
            finalScope = _sentry_hub__WEBPACK_IMPORTED_MODULE_9__.Scope.clone(finalScope).update(hint.captureContext);
        }
        // We prepare the result here with a resolved Event.
        var result = _sentry_utils__WEBPACK_IMPORTED_MODULE_6__.SyncPromise.resolve(prepared);
        // This should be the last thing called, since we want that
        // {@link Hub.addEventProcessor} gets the finished prepared event.
        if (finalScope) {
            // In case we have a hub we reassign it.
            result = finalScope.applyToEvent(prepared, hint);
        }
        return result.then(function (evt) {
            if (typeof normalizeDepth === 'number' && normalizeDepth > 0) {
                return _this._normalizeEvent(evt, normalizeDepth);
            }
            return evt;
        });
    };
    /**
     * Applies `normalize` function on necessary `Event` attributes to make them safe for serialization.
     * Normalized keys:
     * - `breadcrumbs.data`
     * - `user`
     * - `contexts`
     * - `extra`
     * @param event Event
     * @returns Normalized event
     */
    BaseClient.prototype._normalizeEvent = function (event, depth) {
        if (!event) {
            return null;
        }
        var normalized = (0,tslib__WEBPACK_IMPORTED_MODULE_4__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_4__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_4__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_4__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_4__.__assign)({}, event), (event.breadcrumbs && {
            breadcrumbs: event.breadcrumbs.map(function (b) { return ((0,tslib__WEBPACK_IMPORTED_MODULE_4__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_4__.__assign)({}, b), (b.data && {
                data: (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_10__.normalize)(b.data, depth),
            }))); }),
        })), (event.user && {
            user: (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_10__.normalize)(event.user, depth),
        })), (event.contexts && {
            contexts: (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_10__.normalize)(event.contexts, depth),
        })), (event.extra && {
            extra: (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_10__.normalize)(event.extra, depth),
        }));
        // event.contexts.trace stores information about a Transaction. Similarly,
        // event.spans[] stores information about child Spans. Given that a
        // Transaction is conceptually a Span, normalization should apply to both
        // Transactions and Spans consistently.
        // For now the decision is to skip normalization of Transactions and Spans,
        // so this block overwrites the normalized event to add back the original
        // Transaction information prior to normalization.
        if (event.contexts && event.contexts.trace) {
            // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
            normalized.contexts.trace = event.contexts.trace;
        }
        return normalized;
    };
    /**
     *  Enhances event using the client configuration.
     *  It takes care of all "static" values like environment, release and `dist`,
     *  as well as truncating overly long values.
     * @param event event instance to be enhanced
     */
    BaseClient.prototype._applyClientOptions = function (event) {
        var options = this.getOptions();
        var environment = options.environment, release = options.release, dist = options.dist, _a = options.maxValueLength, maxValueLength = _a === void 0 ? 250 : _a;
        if (!('environment' in event)) {
            event.environment = 'environment' in options ? environment : 'production';
        }
        if (event.release === undefined && release !== undefined) {
            event.release = release;
        }
        if (event.dist === undefined && dist !== undefined) {
            event.dist = dist;
        }
        if (event.message) {
            event.message = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_11__.truncate)(event.message, maxValueLength);
        }
        var exception = event.exception && event.exception.values && event.exception.values[0];
        if (exception && exception.value) {
            exception.value = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_11__.truncate)(exception.value, maxValueLength);
        }
        var request = event.request;
        if (request && request.url) {
            request.url = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_11__.truncate)(request.url, maxValueLength);
        }
    };
    /**
     * This function adds all used integrations to the SDK info in the event.
     * @param event The event that will be filled with all integrations.
     */
    BaseClient.prototype._applyIntegrationsMetadata = function (event) {
        var integrationsArray = Object.keys(this._integrations);
        if (integrationsArray.length > 0) {
            event.sdk = event.sdk || {};
            event.sdk.integrations = (0,tslib__WEBPACK_IMPORTED_MODULE_4__.__spread)((event.sdk.integrations || []), integrationsArray);
        }
    };
    /**
     * Tells the backend to send this event
     * @param event The Sentry event to send
     */
    BaseClient.prototype._sendEvent = function (event) {
        this._getBackend().sendEvent(event);
    };
    /**
     * Processes the event and logs an error in case of rejection
     * @param event
     * @param hint
     * @param scope
     */
    BaseClient.prototype._captureEvent = function (event, hint, scope) {
        return this._processEvent(event, hint, scope).then(function (finalEvent) {
            return finalEvent.event_id;
        }, function (reason) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.error(reason);
            return undefined;
        });
    };
    /**
     * Processes an event (either error or message) and sends it to Sentry.
     *
     * This also adds breadcrumbs and context information to the event. However,
     * platform specific meta data (such as the User's IP address) must be added
     * by the SDK implementor.
     *
     *
     * @param event The event to send to Sentry.
     * @param hint May contain additional information about the original exception.
     * @param scope A scope containing event metadata.
     * @returns A SyncPromise that resolves with the event or rejects in case event was/will not be send.
     */
    BaseClient.prototype._processEvent = function (event, hint, scope) {
        var _this = this;
        // eslint-disable-next-line @typescript-eslint/unbound-method
        var _a = this.getOptions(), beforeSend = _a.beforeSend, sampleRate = _a.sampleRate;
        if (!this._isEnabled()) {
            return _sentry_utils__WEBPACK_IMPORTED_MODULE_6__.SyncPromise.reject(new _sentry_utils__WEBPACK_IMPORTED_MODULE_12__.SentryError('SDK not enabled, will not capture event.'));
        }
        var isTransaction = event.type === 'transaction';
        // 1.0 === 100% events are sent
        // 0.0 === 0% events are sent
        // Sampling for transaction happens somewhere else
        if (!isTransaction && typeof sampleRate === 'number' && Math.random() > sampleRate) {
            return _sentry_utils__WEBPACK_IMPORTED_MODULE_6__.SyncPromise.reject(new _sentry_utils__WEBPACK_IMPORTED_MODULE_12__.SentryError("Discarding event because it's not included in the random sample (sampling rate = " + sampleRate + ")"));
        }
        return this._prepareEvent(event, scope, hint)
            .then(function (prepared) {
            if (prepared === null) {
                throw new _sentry_utils__WEBPACK_IMPORTED_MODULE_12__.SentryError('An event processor returned null, will not send event.');
            }
            var isInternalException = hint && hint.data && hint.data.__sentry__ === true;
            if (isInternalException || isTransaction || !beforeSend) {
                return prepared;
            }
            var beforeSendResult = beforeSend(prepared, hint);
            return _this._ensureBeforeSendRv(beforeSendResult);
        })
            .then(function (processedEvent) {
            if (processedEvent === null) {
                throw new _sentry_utils__WEBPACK_IMPORTED_MODULE_12__.SentryError('`beforeSend` returned `null`, will not send event.');
            }
            var session = scope && scope.getSession && scope.getSession();
            if (!isTransaction && session) {
                _this._updateSessionFromEvent(session, processedEvent);
            }
            _this._sendEvent(processedEvent);
            return processedEvent;
        })
            .then(null, function (reason) {
            if (reason instanceof _sentry_utils__WEBPACK_IMPORTED_MODULE_12__.SentryError) {
                throw reason;
            }
            _this.captureException(reason, {
                data: {
                    __sentry__: true,
                },
                originalException: reason,
            });
            throw new _sentry_utils__WEBPACK_IMPORTED_MODULE_12__.SentryError("Event processing pipeline threw an error, original event will not be sent. Details have been sent as a new event.\nReason: " + reason);
        });
    };
    /**
     * Occupies the client with processing and event
     */
    BaseClient.prototype._process = function (promise) {
        var _this = this;
        this._processing += 1;
        void promise.then(function (value) {
            _this._processing -= 1;
            return value;
        }, function (reason) {
            _this._processing -= 1;
            return reason;
        });
    };
    /**
     * Verifies that return value of configured `beforeSend` is of expected type.
     */
    BaseClient.prototype._ensureBeforeSendRv = function (rv) {
        var nullErr = '`beforeSend` method has to return `null` or a valid event.';
        if ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.isThenable)(rv)) {
            return rv.then(function (event) {
                if (!((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.isPlainObject)(event) || event === null)) {
                    throw new _sentry_utils__WEBPACK_IMPORTED_MODULE_12__.SentryError(nullErr);
                }
                return event;
            }, function (e) {
                throw new _sentry_utils__WEBPACK_IMPORTED_MODULE_12__.SentryError("beforeSend rejected with " + e);
            });
        }
        else if (!((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.isPlainObject)(rv) || rv === null)) {
            throw new _sentry_utils__WEBPACK_IMPORTED_MODULE_12__.SentryError(nullErr);
        }
        return rv;
    };
    return BaseClient;
}());

//# sourceMappingURL=baseclient.js.map

/***/ }),

/***/ "./node_modules/@sentry/core/esm/integration.js":
/*!******************************************************!*\
  !*** ./node_modules/@sentry/core/esm/integration.js ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "getIntegrationsToSetup": () => (/* binding */ getIntegrationsToSetup),
/* harmony export */   "installedIntegrations": () => (/* binding */ installedIntegrations),
/* harmony export */   "setupIntegration": () => (/* binding */ setupIntegration),
/* harmony export */   "setupIntegrations": () => (/* binding */ setupIntegrations)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_hub__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/hub */ "./node_modules/@sentry/hub/esm/scope.js");
/* harmony import */ var _sentry_hub__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/hub */ "./node_modules/@sentry/hub/esm/hub.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");



var installedIntegrations = [];
/**
 * @private
 */
function filterDuplicates(integrations) {
    return integrations.reduce(function (acc, integrations) {
        if (acc.every(function (accIntegration) { return integrations.name !== accIntegration.name; })) {
            acc.push(integrations);
        }
        return acc;
    }, []);
}
/** Gets integration to install */
function getIntegrationsToSetup(options) {
    var defaultIntegrations = (options.defaultIntegrations && (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)(options.defaultIntegrations)) || [];
    var userIntegrations = options.integrations;
    var integrations = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)(filterDuplicates(defaultIntegrations));
    if (Array.isArray(userIntegrations)) {
        // Filter out integrations that are also included in user options
        integrations = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)(integrations.filter(function (integrations) {
            return userIntegrations.every(function (userIntegration) { return userIntegration.name !== integrations.name; });
        }), filterDuplicates(userIntegrations));
    }
    else if (typeof userIntegrations === 'function') {
        integrations = userIntegrations(integrations);
        integrations = Array.isArray(integrations) ? integrations : [integrations];
    }
    // Make sure that if present, `Debug` integration will always run last
    var integrationsNames = integrations.map(function (i) { return i.name; });
    var alwaysLastToRun = 'Debug';
    if (integrationsNames.indexOf(alwaysLastToRun) !== -1) {
        integrations.push.apply(integrations, (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)(integrations.splice(integrationsNames.indexOf(alwaysLastToRun), 1)));
    }
    return integrations;
}
/** Setup given integration */
function setupIntegration(integration) {
    if (installedIntegrations.indexOf(integration.name) !== -1) {
        return;
    }
    integration.setupOnce(_sentry_hub__WEBPACK_IMPORTED_MODULE_1__.addGlobalEventProcessor, _sentry_hub__WEBPACK_IMPORTED_MODULE_2__.getCurrentHub);
    installedIntegrations.push(integration.name);
    _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log("Integration installed: " + integration.name);
}
/**
 * Given a list of integration instances this installs them all. When `withDefaults` is set to `true` then all default
 * integrations are added unless they were already provided before.
 * @param integrations array of integration instances
 * @param withDefault should enable default integrations
 */
function setupIntegrations(options) {
    var integrations = {};
    getIntegrationsToSetup(options).forEach(function (integration) {
        integrations[integration.name] = integration;
        setupIntegration(integration);
    });
    return integrations;
}
//# sourceMappingURL=integration.js.map

/***/ }),

/***/ "./node_modules/@sentry/core/esm/integrations/functiontostring.js":
/*!************************************************************************!*\
  !*** ./node_modules/@sentry/core/esm/integrations/functiontostring.js ***!
  \************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "FunctionToString": () => (/* binding */ FunctionToString)
/* harmony export */ });
var originalFunctionToString;
/** Patch toString calls to return proper name for wrapped functions */
var FunctionToString = /** @class */ (function () {
    function FunctionToString() {
        /**
         * @inheritDoc
         */
        this.name = FunctionToString.id;
    }
    /**
     * @inheritDoc
     */
    FunctionToString.prototype.setupOnce = function () {
        // eslint-disable-next-line @typescript-eslint/unbound-method
        originalFunctionToString = Function.prototype.toString;
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        Function.prototype.toString = function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var context = this.__sentry_original__ || this;
            return originalFunctionToString.apply(context, args);
        };
    };
    /**
     * @inheritDoc
     */
    FunctionToString.id = 'FunctionToString';
    return FunctionToString;
}());

//# sourceMappingURL=functiontostring.js.map

/***/ }),

/***/ "./node_modules/@sentry/core/esm/integrations/inboundfilters.js":
/*!**********************************************************************!*\
  !*** ./node_modules/@sentry/core/esm/integrations/inboundfilters.js ***!
  \**********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "InboundFilters": () => (/* binding */ InboundFilters)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_hub__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/hub */ "./node_modules/@sentry/hub/esm/scope.js");
/* harmony import */ var _sentry_hub__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/hub */ "./node_modules/@sentry/hub/esm/hub.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/string.js");



// "Script error." is hard coded into browsers for errors that it can't read.
// this is the result of a script being pulled in from an external domain and CORS.
var DEFAULT_IGNORE_ERRORS = [/^Script error\.?$/, /^Javascript error: Script error\.? on line 0$/];
/** Inbound filters configurable by the user */
var InboundFilters = /** @class */ (function () {
    function InboundFilters(_options) {
        if (_options === void 0) { _options = {}; }
        this._options = _options;
        /**
         * @inheritDoc
         */
        this.name = InboundFilters.id;
    }
    /**
     * @inheritDoc
     */
    InboundFilters.prototype.setupOnce = function () {
        (0,_sentry_hub__WEBPACK_IMPORTED_MODULE_0__.addGlobalEventProcessor)(function (event) {
            var hub = (0,_sentry_hub__WEBPACK_IMPORTED_MODULE_1__.getCurrentHub)();
            if (!hub) {
                return event;
            }
            var self = hub.getIntegration(InboundFilters);
            if (self) {
                var client = hub.getClient();
                var clientOptions = client ? client.getOptions() : {};
                // This checks prevents most of the occurrences of the bug linked below:
                // https://github.com/getsentry/sentry-javascript/issues/2622
                // The bug is caused by multiple SDK instances, where one is minified and one is using non-mangled code.
                // Unfortunatelly we cannot fix it reliably (thus reserved property in rollup's terser config),
                // as we cannot force people using multiple instances in their apps to sync SDK versions.
                var options = typeof self._mergeOptions === 'function' ? self._mergeOptions(clientOptions) : {};
                if (typeof self._shouldDropEvent !== 'function') {
                    return event;
                }
                return self._shouldDropEvent(event, options) ? null : event;
            }
            return event;
        });
    };
    /** JSDoc */
    InboundFilters.prototype._shouldDropEvent = function (event, options) {
        if (this._isSentryError(event, options)) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.warn("Event dropped due to being internal Sentry Error.\nEvent: " + (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.getEventDescription)(event));
            return true;
        }
        if (this._isIgnoredError(event, options)) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.warn("Event dropped due to being matched by `ignoreErrors` option.\nEvent: " + (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.getEventDescription)(event));
            return true;
        }
        if (this._isDeniedUrl(event, options)) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.warn("Event dropped due to being matched by `denyUrls` option.\nEvent: " + (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.getEventDescription)(event) + ".\nUrl: " + this._getEventFilterUrl(event));
            return true;
        }
        if (!this._isAllowedUrl(event, options)) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.warn("Event dropped due to not being matched by `allowUrls` option.\nEvent: " + (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.getEventDescription)(event) + ".\nUrl: " + this._getEventFilterUrl(event));
            return true;
        }
        return false;
    };
    /** JSDoc */
    InboundFilters.prototype._isSentryError = function (event, options) {
        if (!options.ignoreInternal) {
            return false;
        }
        try {
            return ((event &&
                event.exception &&
                event.exception.values &&
                event.exception.values[0] &&
                event.exception.values[0].type === 'SentryError') ||
                false);
        }
        catch (_oO) {
            return false;
        }
    };
    /** JSDoc */
    InboundFilters.prototype._isIgnoredError = function (event, options) {
        if (!options.ignoreErrors || !options.ignoreErrors.length) {
            return false;
        }
        return this._getPossibleEventMessages(event).some(function (message) {
            // Not sure why TypeScript complains here...
            return options.ignoreErrors.some(function (pattern) { return (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_4__.isMatchingPattern)(message, pattern); });
        });
    };
    /** JSDoc */
    InboundFilters.prototype._isDeniedUrl = function (event, options) {
        // TODO: Use Glob instead?
        if (!options.denyUrls || !options.denyUrls.length) {
            return false;
        }
        var url = this._getEventFilterUrl(event);
        return !url ? false : options.denyUrls.some(function (pattern) { return (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_4__.isMatchingPattern)(url, pattern); });
    };
    /** JSDoc */
    InboundFilters.prototype._isAllowedUrl = function (event, options) {
        // TODO: Use Glob instead?
        if (!options.allowUrls || !options.allowUrls.length) {
            return true;
        }
        var url = this._getEventFilterUrl(event);
        return !url ? true : options.allowUrls.some(function (pattern) { return (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_4__.isMatchingPattern)(url, pattern); });
    };
    /** JSDoc */
    InboundFilters.prototype._mergeOptions = function (clientOptions) {
        if (clientOptions === void 0) { clientOptions = {}; }
        return {
            allowUrls: (0,tslib__WEBPACK_IMPORTED_MODULE_5__.__spread)((this._options.whitelistUrls || []), (this._options.allowUrls || []), (clientOptions.whitelistUrls || []), (clientOptions.allowUrls || [])),
            denyUrls: (0,tslib__WEBPACK_IMPORTED_MODULE_5__.__spread)((this._options.blacklistUrls || []), (this._options.denyUrls || []), (clientOptions.blacklistUrls || []), (clientOptions.denyUrls || [])),
            ignoreErrors: (0,tslib__WEBPACK_IMPORTED_MODULE_5__.__spread)((this._options.ignoreErrors || []), (clientOptions.ignoreErrors || []), DEFAULT_IGNORE_ERRORS),
            ignoreInternal: typeof this._options.ignoreInternal !== 'undefined' ? this._options.ignoreInternal : true,
        };
    };
    /** JSDoc */
    InboundFilters.prototype._getPossibleEventMessages = function (event) {
        if (event.message) {
            return [event.message];
        }
        if (event.exception) {
            try {
                var _a = (event.exception.values && event.exception.values[0]) || {}, _b = _a.type, type = _b === void 0 ? '' : _b, _c = _a.value, value = _c === void 0 ? '' : _c;
                return ["" + value, type + ": " + value];
            }
            catch (oO) {
                _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.error("Cannot extract message for event " + (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.getEventDescription)(event));
                return [];
            }
        }
        return [];
    };
    /** JSDoc */
    InboundFilters.prototype._getEventFilterUrl = function (event) {
        try {
            if (event.stacktrace) {
                var frames_1 = event.stacktrace.frames;
                return (frames_1 && frames_1[frames_1.length - 1].filename) || null;
            }
            if (event.exception) {
                var frames_2 = event.exception.values && event.exception.values[0].stacktrace && event.exception.values[0].stacktrace.frames;
                return (frames_2 && frames_2[frames_2.length - 1].filename) || null;
            }
            return null;
        }
        catch (oO) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.error("Cannot extract url for event " + (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.getEventDescription)(event));
            return null;
        }
    };
    /**
     * @inheritDoc
     */
    InboundFilters.id = 'InboundFilters';
    return InboundFilters;
}());

//# sourceMappingURL=inboundfilters.js.map

/***/ }),

/***/ "./node_modules/@sentry/core/esm/request.js":
/*!**************************************************!*\
  !*** ./node_modules/@sentry/core/esm/request.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "eventToSentryRequest": () => (/* binding */ eventToSentryRequest),
/* harmony export */   "sessionToSentryRequest": () => (/* binding */ sessionToSentryRequest)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");

/** Extract sdk info from from the API metadata */
function getSdkMetadataForEnvelopeHeader(api) {
    if (!api.metadata || !api.metadata.sdk) {
        return;
    }
    var _a = api.metadata.sdk, name = _a.name, version = _a.version;
    return { name: name, version: version };
}
/**
 * Apply SdkInfo (name, version, packages, integrations) to the corresponding event key.
 * Merge with existing data if any.
 **/
function enhanceEventWithSdkInfo(event, sdkInfo) {
    if (!sdkInfo) {
        return event;
    }
    event.sdk = event.sdk || {};
    event.sdk.name = event.sdk.name || sdkInfo.name;
    event.sdk.version = event.sdk.version || sdkInfo.version;
    event.sdk.integrations = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)((event.sdk.integrations || []), (sdkInfo.integrations || []));
    event.sdk.packages = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)((event.sdk.packages || []), (sdkInfo.packages || []));
    return event;
}
/** Creates a SentryRequest from a Session. */
function sessionToSentryRequest(session, api) {
    var sdkInfo = getSdkMetadataForEnvelopeHeader(api);
    var envelopeHeaders = JSON.stringify((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({ sent_at: new Date().toISOString() }, (sdkInfo && { sdk: sdkInfo })), (api.forceEnvelope() && { dsn: api.getDsn().toString() })));
    // I know this is hacky but we don't want to add `session` to request type since it's never rate limited
    var type = 'aggregates' in session ? 'sessions' : 'session';
    var itemHeaders = JSON.stringify({
        type: type,
    });
    return {
        body: envelopeHeaders + "\n" + itemHeaders + "\n" + JSON.stringify(session),
        type: type,
        url: api.getEnvelopeEndpointWithUrlEncodedAuth(),
    };
}
/** Creates a SentryRequest from an event. */
function eventToSentryRequest(event, api) {
    var sdkInfo = getSdkMetadataForEnvelopeHeader(api);
    var eventType = event.type || 'event';
    var useEnvelope = eventType === 'transaction' || api.forceEnvelope();
    var _a = event.debug_meta || {}, transactionSampling = _a.transactionSampling, metadata = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__rest)(_a, ["transactionSampling"]);
    var _b = transactionSampling || {}, samplingMethod = _b.method, sampleRate = _b.rate;
    if (Object.keys(metadata).length === 0) {
        delete event.debug_meta;
    }
    else {
        event.debug_meta = metadata;
    }
    var req = {
        body: JSON.stringify(sdkInfo ? enhanceEventWithSdkInfo(event, api.metadata.sdk) : event),
        type: eventType,
        url: useEnvelope ? api.getEnvelopeEndpointWithUrlEncodedAuth() : api.getStoreEndpointWithUrlEncodedAuth(),
    };
    // https://develop.sentry.dev/sdk/envelopes/
    // Since we don't need to manipulate envelopes nor store them, there is no
    // exported concept of an Envelope with operations including serialization and
    // deserialization. Instead, we only implement a minimal subset of the spec to
    // serialize events inline here.
    if (useEnvelope) {
        var envelopeHeaders = JSON.stringify((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({ event_id: event.event_id, sent_at: new Date().toISOString() }, (sdkInfo && { sdk: sdkInfo })), (api.forceEnvelope() && { dsn: api.getDsn().toString() })));
        var itemHeaders = JSON.stringify({
            type: eventType,
            // TODO: Right now, sampleRate may or may not be defined (it won't be in the cases of inheritance and
            // explicitly-set sampling decisions). Are we good with that?
            sample_rates: [{ id: samplingMethod, rate: sampleRate }],
        });
        // The trailing newline is optional. We intentionally don't send it to avoid
        // sending unnecessary bytes.
        //
        // const envelope = `${envelopeHeaders}\n${itemHeaders}\n${req.body}\n`;
        var envelope = envelopeHeaders + "\n" + itemHeaders + "\n" + req.body;
        req.body = envelope;
    }
    return req;
}
//# sourceMappingURL=request.js.map

/***/ }),

/***/ "./node_modules/@sentry/core/esm/sdk.js":
/*!**********************************************!*\
  !*** ./node_modules/@sentry/core/esm/sdk.js ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "initAndBind": () => (/* binding */ initAndBind)
/* harmony export */ });
/* harmony import */ var _sentry_hub__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/hub */ "./node_modules/@sentry/hub/esm/hub.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");


/**
 * Internal function to create a new SDK client instance. The client is
 * installed and then bound to the current scope.
 *
 * @param clientClass The client class to instantiate.
 * @param options Options to pass to the client.
 */
function initAndBind(clientClass, options) {
    var _a;
    if (options.debug === true) {
        _sentry_utils__WEBPACK_IMPORTED_MODULE_0__.logger.enable();
    }
    var hub = (0,_sentry_hub__WEBPACK_IMPORTED_MODULE_1__.getCurrentHub)();
    (_a = hub.getScope()) === null || _a === void 0 ? void 0 : _a.update(options.initialScope);
    var client = new clientClass(options);
    hub.bindClient(client);
}
//# sourceMappingURL=sdk.js.map

/***/ }),

/***/ "./node_modules/@sentry/core/esm/transports/noop.js":
/*!**********************************************************!*\
  !*** ./node_modules/@sentry/core/esm/transports/noop.js ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "NoopTransport": () => (/* binding */ NoopTransport)
/* harmony export */ });
/* harmony import */ var _sentry_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/types */ "./node_modules/@sentry/types/esm/status.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/syncpromise.js");


/** Noop transport */
var NoopTransport = /** @class */ (function () {
    function NoopTransport() {
    }
    /**
     * @inheritDoc
     */
    NoopTransport.prototype.sendEvent = function (_) {
        return _sentry_utils__WEBPACK_IMPORTED_MODULE_0__.SyncPromise.resolve({
            reason: "NoopTransport: Event has been skipped because no Dsn is configured.",
            status: _sentry_types__WEBPACK_IMPORTED_MODULE_1__.Status.Skipped,
        });
    };
    /**
     * @inheritDoc
     */
    NoopTransport.prototype.close = function (_) {
        return _sentry_utils__WEBPACK_IMPORTED_MODULE_0__.SyncPromise.resolve(true);
    };
    return NoopTransport;
}());

//# sourceMappingURL=noop.js.map

/***/ }),

/***/ "./node_modules/@sentry/core/esm/version.js":
/*!**************************************************!*\
  !*** ./node_modules/@sentry/core/esm/version.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "SDK_VERSION": () => (/* binding */ SDK_VERSION)
/* harmony export */ });
var SDK_VERSION = '6.8.0';
//# sourceMappingURL=version.js.map

/***/ }),

/***/ "./node_modules/@sentry/hub/esm/hub.js":
/*!*********************************************!*\
  !*** ./node_modules/@sentry/hub/esm/hub.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "API_VERSION": () => (/* binding */ API_VERSION),
/* harmony export */   "Hub": () => (/* binding */ Hub),
/* harmony export */   "getActiveDomain": () => (/* binding */ getActiveDomain),
/* harmony export */   "getCurrentHub": () => (/* binding */ getCurrentHub),
/* harmony export */   "getHubFromCarrier": () => (/* binding */ getHubFromCarrier),
/* harmony export */   "getMainCarrier": () => (/* binding */ getMainCarrier),
/* harmony export */   "makeMain": () => (/* binding */ makeMain),
/* harmony export */   "setHubOnCarrier": () => (/* binding */ setHubOnCarrier)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_types__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @sentry/types */ "./node_modules/@sentry/types/esm/session.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/time.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/node.js");
/* harmony import */ var _scope__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./scope */ "./node_modules/@sentry/hub/esm/scope.js");
/* harmony import */ var _session__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./session */ "./node_modules/@sentry/hub/esm/session.js");

/* eslint-disable max-lines */




/**
 * API compatibility version of this hub.
 *
 * WARNING: This number should only be increased when the global interface
 * changes and new methods are introduced.
 *
 * @hidden
 */
var API_VERSION = 4;
/**
 * Default maximum number of breadcrumbs added to an event. Can be overwritten
 * with {@link Options.maxBreadcrumbs}.
 */
var DEFAULT_BREADCRUMBS = 100;
/**
 * @inheritDoc
 */
var Hub = /** @class */ (function () {
    /**
     * Creates a new instance of the hub, will push one {@link Layer} into the
     * internal stack on creation.
     *
     * @param client bound to the hub.
     * @param scope bound to the hub.
     * @param version number, higher number means higher priority.
     */
    function Hub(client, scope, _version) {
        if (scope === void 0) { scope = new _scope__WEBPACK_IMPORTED_MODULE_0__.Scope(); }
        if (_version === void 0) { _version = API_VERSION; }
        this._version = _version;
        /** Is a {@link Layer}[] containing the client and scope */
        this._stack = [{}];
        this.getStackTop().scope = scope;
        this.bindClient(client);
    }
    /**
     * @inheritDoc
     */
    Hub.prototype.isOlderThan = function (version) {
        return this._version < version;
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.bindClient = function (client) {
        var top = this.getStackTop();
        top.client = client;
        if (client && client.setupIntegrations) {
            client.setupIntegrations();
        }
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.pushScope = function () {
        // We want to clone the content of prev scope
        var scope = _scope__WEBPACK_IMPORTED_MODULE_0__.Scope.clone(this.getScope());
        this.getStack().push({
            client: this.getClient(),
            scope: scope,
        });
        return scope;
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.popScope = function () {
        if (this.getStack().length <= 1)
            return false;
        return !!this.getStack().pop();
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.withScope = function (callback) {
        var scope = this.pushScope();
        try {
            callback(scope);
        }
        finally {
            this.popScope();
        }
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.getClient = function () {
        return this.getStackTop().client;
    };
    /** Returns the scope of the top stack. */
    Hub.prototype.getScope = function () {
        return this.getStackTop().scope;
    };
    /** Returns the scope stack for domains or the process. */
    Hub.prototype.getStack = function () {
        return this._stack;
    };
    /** Returns the topmost scope layer in the order domain > local > process. */
    Hub.prototype.getStackTop = function () {
        return this._stack[this._stack.length - 1];
    };
    /**
     * @inheritDoc
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/explicit-module-boundary-types
    Hub.prototype.captureException = function (exception, hint) {
        var eventId = (this._lastEventId = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.uuid4)());
        var finalHint = hint;
        // If there's no explicit hint provided, mimick the same thing that would happen
        // in the minimal itself to create a consistent behavior.
        // We don't do this in the client, as it's the lowest level API, and doing this,
        // would prevent user from having full control over direct calls.
        if (!hint) {
            var syntheticException = void 0;
            try {
                throw new Error('Sentry syntheticException');
            }
            catch (exception) {
                syntheticException = exception;
            }
            finalHint = {
                originalException: exception,
                syntheticException: syntheticException,
            };
        }
        this._invokeClient('captureException', exception, (0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)({}, finalHint), { event_id: eventId }));
        return eventId;
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.captureMessage = function (message, level, hint) {
        var eventId = (this._lastEventId = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.uuid4)());
        var finalHint = hint;
        // If there's no explicit hint provided, mimick the same thing that would happen
        // in the minimal itself to create a consistent behavior.
        // We don't do this in the client, as it's the lowest level API, and doing this,
        // would prevent user from having full control over direct calls.
        if (!hint) {
            var syntheticException = void 0;
            try {
                throw new Error(message);
            }
            catch (exception) {
                syntheticException = exception;
            }
            finalHint = {
                originalException: message,
                syntheticException: syntheticException,
            };
        }
        this._invokeClient('captureMessage', message, level, (0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)({}, finalHint), { event_id: eventId }));
        return eventId;
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.captureEvent = function (event, hint) {
        var eventId = (this._lastEventId = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.uuid4)());
        this._invokeClient('captureEvent', event, (0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)({}, hint), { event_id: eventId }));
        return eventId;
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.lastEventId = function () {
        return this._lastEventId;
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.addBreadcrumb = function (breadcrumb, hint) {
        var _a = this.getStackTop(), scope = _a.scope, client = _a.client;
        if (!scope || !client)
            return;
        // eslint-disable-next-line @typescript-eslint/unbound-method
        var _b = (client.getOptions && client.getOptions()) || {}, _c = _b.beforeBreadcrumb, beforeBreadcrumb = _c === void 0 ? null : _c, _d = _b.maxBreadcrumbs, maxBreadcrumbs = _d === void 0 ? DEFAULT_BREADCRUMBS : _d;
        if (maxBreadcrumbs <= 0)
            return;
        var timestamp = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.dateTimestampInSeconds)();
        var mergedBreadcrumb = (0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)({ timestamp: timestamp }, breadcrumb);
        var finalBreadcrumb = beforeBreadcrumb
            ? (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.consoleSandbox)(function () { return beforeBreadcrumb(mergedBreadcrumb, hint); })
            : mergedBreadcrumb;
        if (finalBreadcrumb === null)
            return;
        scope.addBreadcrumb(finalBreadcrumb, maxBreadcrumbs);
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.setUser = function (user) {
        var scope = this.getScope();
        if (scope)
            scope.setUser(user);
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.setTags = function (tags) {
        var scope = this.getScope();
        if (scope)
            scope.setTags(tags);
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.setExtras = function (extras) {
        var scope = this.getScope();
        if (scope)
            scope.setExtras(extras);
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.setTag = function (key, value) {
        var scope = this.getScope();
        if (scope)
            scope.setTag(key, value);
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.setExtra = function (key, extra) {
        var scope = this.getScope();
        if (scope)
            scope.setExtra(key, extra);
    };
    /**
     * @inheritDoc
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    Hub.prototype.setContext = function (name, context) {
        var scope = this.getScope();
        if (scope)
            scope.setContext(name, context);
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.configureScope = function (callback) {
        var _a = this.getStackTop(), scope = _a.scope, client = _a.client;
        if (scope && client) {
            callback(scope);
        }
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.run = function (callback) {
        var oldHub = makeMain(this);
        try {
            callback(this);
        }
        finally {
            makeMain(oldHub);
        }
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.getIntegration = function (integration) {
        var client = this.getClient();
        if (!client)
            return null;
        try {
            return client.getIntegration(integration);
        }
        catch (_oO) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_4__.logger.warn("Cannot retrieve integration " + integration.id + " from the current Hub");
            return null;
        }
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.startSpan = function (context) {
        return this._callExtensionMethod('startSpan', context);
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.startTransaction = function (context, customSamplingContext) {
        return this._callExtensionMethod('startTransaction', context, customSamplingContext);
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.traceHeaders = function () {
        return this._callExtensionMethod('traceHeaders');
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.captureSession = function (endSession) {
        if (endSession === void 0) { endSession = false; }
        // both send the update and pull the session from the scope
        if (endSession) {
            return this.endSession();
        }
        // only send the update
        this._sendSessionUpdate();
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.endSession = function () {
        var _a, _b, _c, _d, _e;
        (_c = (_b = (_a = this.getStackTop()) === null || _a === void 0 ? void 0 : _a.scope) === null || _b === void 0 ? void 0 : _b.getSession()) === null || _c === void 0 ? void 0 : _c.close();
        this._sendSessionUpdate();
        // the session is over; take it off of the scope
        (_e = (_d = this.getStackTop()) === null || _d === void 0 ? void 0 : _d.scope) === null || _e === void 0 ? void 0 : _e.setSession();
    };
    /**
     * @inheritDoc
     */
    Hub.prototype.startSession = function (context) {
        var _a = this.getStackTop(), scope = _a.scope, client = _a.client;
        var _b = (client && client.getOptions()) || {}, release = _b.release, environment = _b.environment;
        // Will fetch userAgent if called from browser sdk
        var global = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.getGlobalObject)();
        var userAgent = (global.navigator || {}).userAgent;
        var session = new _session__WEBPACK_IMPORTED_MODULE_5__.Session((0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)({ release: release,
            environment: environment }, (scope && { user: scope.getUser() })), (userAgent && { userAgent: userAgent })), context));
        if (scope) {
            // End existing session if there's one
            var currentSession = scope.getSession && scope.getSession();
            if (currentSession && currentSession.status === _sentry_types__WEBPACK_IMPORTED_MODULE_6__.SessionStatus.Ok) {
                currentSession.update({ status: _sentry_types__WEBPACK_IMPORTED_MODULE_6__.SessionStatus.Exited });
            }
            this.endSession();
            // Afterwards we set the new session on the scope
            scope.setSession(session);
        }
        return session;
    };
    /**
     * Sends the current Session on the scope
     */
    Hub.prototype._sendSessionUpdate = function () {
        var _a = this.getStackTop(), scope = _a.scope, client = _a.client;
        if (!scope)
            return;
        var session = scope.getSession && scope.getSession();
        if (session) {
            if (client && client.captureSession) {
                client.captureSession(session);
            }
        }
    };
    /**
     * Internal helper function to call a method on the top client if it exists.
     *
     * @param method The method to call on the client.
     * @param args Arguments to pass to the client function.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    Hub.prototype._invokeClient = function (method) {
        var _a;
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        var _b = this.getStackTop(), scope = _b.scope, client = _b.client;
        if (client && client[method]) {
            // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access, @typescript-eslint/no-explicit-any
            (_a = client)[method].apply(_a, (0,tslib__WEBPACK_IMPORTED_MODULE_2__.__spread)(args, [scope]));
        }
    };
    /**
     * Calls global extension method and binding current instance to the function call
     */
    // @ts-ignore Function lacks ending return statement and return type does not include 'undefined'. ts(2366)
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    Hub.prototype._callExtensionMethod = function (method) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        var carrier = getMainCarrier();
        var sentry = carrier.__SENTRY__;
        if (sentry && sentry.extensions && typeof sentry.extensions[method] === 'function') {
            return sentry.extensions[method].apply(this, args);
        }
        _sentry_utils__WEBPACK_IMPORTED_MODULE_4__.logger.warn("Extension method " + method + " couldn't be found, doing nothing.");
    };
    return Hub;
}());

/**
 * Returns the global shim registry.
 *
 * FIXME: This function is problematic, because despite always returning a valid Carrier,
 * it has an optional `__SENTRY__` property, which then in turn requires us to always perform an unnecessary check
 * at the call-site. We always access the carrier through this function, so we can guarantee that `__SENTRY__` is there.
 **/
function getMainCarrier() {
    var carrier = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.getGlobalObject)();
    carrier.__SENTRY__ = carrier.__SENTRY__ || {
        extensions: {},
        hub: undefined,
    };
    return carrier;
}
/**
 * Replaces the current main hub with the passed one on the global object
 *
 * @returns The old replaced hub
 */
function makeMain(hub) {
    var registry = getMainCarrier();
    var oldHub = getHubFromCarrier(registry);
    setHubOnCarrier(registry, hub);
    return oldHub;
}
/**
 * Returns the default hub instance.
 *
 * If a hub is already registered in the global carrier but this module
 * contains a more recent version, it replaces the registered version.
 * Otherwise, the currently registered hub will be returned.
 */
function getCurrentHub() {
    // Get main carrier (global for every environment)
    var registry = getMainCarrier();
    // If there's no hub, or its an old API, assign a new one
    if (!hasHubOnCarrier(registry) || getHubFromCarrier(registry).isOlderThan(API_VERSION)) {
        setHubOnCarrier(registry, new Hub());
    }
    // Prefer domains over global if they are there (applicable only to Node environment)
    if ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_7__.isNodeEnv)()) {
        return getHubFromActiveDomain(registry);
    }
    // Return hub that lives on a global object
    return getHubFromCarrier(registry);
}
/**
 * Returns the active domain, if one exists
 * @deprecated No longer used; remove in v7
 * @returns The domain, or undefined if there is no active domain
 */
// eslint-disable-next-line deprecation/deprecation
function getActiveDomain() {
    _sentry_utils__WEBPACK_IMPORTED_MODULE_4__.logger.warn('Function `getActiveDomain` is deprecated and will be removed in a future version.');
    var sentry = getMainCarrier().__SENTRY__;
    return sentry && sentry.extensions && sentry.extensions.domain && sentry.extensions.domain.active;
}
/**
 * Try to read the hub from an active domain, and fallback to the registry if one doesn't exist
 * @returns discovered hub
 */
function getHubFromActiveDomain(registry) {
    var _a, _b, _c;
    try {
        var activeDomain = (_c = (_b = (_a = getMainCarrier().__SENTRY__) === null || _a === void 0 ? void 0 : _a.extensions) === null || _b === void 0 ? void 0 : _b.domain) === null || _c === void 0 ? void 0 : _c.active;
        // If there's no active domain, just return global hub
        if (!activeDomain) {
            return getHubFromCarrier(registry);
        }
        // If there's no hub on current domain, or it's an old API, assign a new one
        if (!hasHubOnCarrier(activeDomain) || getHubFromCarrier(activeDomain).isOlderThan(API_VERSION)) {
            var registryHubTopStack = getHubFromCarrier(registry).getStackTop();
            setHubOnCarrier(activeDomain, new Hub(registryHubTopStack.client, _scope__WEBPACK_IMPORTED_MODULE_0__.Scope.clone(registryHubTopStack.scope)));
        }
        // Return hub that lives on a domain
        return getHubFromCarrier(activeDomain);
    }
    catch (_Oo) {
        // Return hub that lives on a global object
        return getHubFromCarrier(registry);
    }
}
/**
 * This will tell whether a carrier has a hub on it or not
 * @param carrier object
 */
function hasHubOnCarrier(carrier) {
    return !!(carrier && carrier.__SENTRY__ && carrier.__SENTRY__.hub);
}
/**
 * This will create a new {@link Hub} and add to the passed object on
 * __SENTRY__.hub.
 * @param carrier object
 * @hidden
 */
function getHubFromCarrier(carrier) {
    if (carrier && carrier.__SENTRY__ && carrier.__SENTRY__.hub)
        return carrier.__SENTRY__.hub;
    carrier.__SENTRY__ = carrier.__SENTRY__ || {};
    carrier.__SENTRY__.hub = new Hub();
    return carrier.__SENTRY__.hub;
}
/**
 * This will set passed {@link Hub} on the passed object's __SENTRY__.hub attribute
 * @param carrier object
 * @param hub Hub
 * @returns A boolean indicating success or failure
 */
function setHubOnCarrier(carrier, hub) {
    if (!carrier)
        return false;
    carrier.__SENTRY__ = carrier.__SENTRY__ || {};
    carrier.__SENTRY__.hub = hub;
    return true;
}
//# sourceMappingURL=hub.js.map

/***/ }),

/***/ "./node_modules/@sentry/hub/esm/scope.js":
/*!***********************************************!*\
  !*** ./node_modules/@sentry/hub/esm/scope.js ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Scope": () => (/* binding */ Scope),
/* harmony export */   "addGlobalEventProcessor": () => (/* binding */ addGlobalEventProcessor)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/is.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/time.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/syncpromise.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");


/**
 * Absolute maximum number of breadcrumbs added to an event.
 * The `maxBreadcrumbs` option cannot be higher than this value.
 */
var MAX_BREADCRUMBS = 100;
/**
 * Holds additional event information. {@link Scope.applyToEvent} will be
 * called by the client before an event will be sent.
 */
var Scope = /** @class */ (function () {
    function Scope() {
        /** Flag if notifiying is happening. */
        this._notifyingListeners = false;
        /** Callback for client to receive scope changes. */
        this._scopeListeners = [];
        /** Callback list that will be called after {@link applyToEvent}. */
        this._eventProcessors = [];
        /** Array of breadcrumbs. */
        this._breadcrumbs = [];
        /** User */
        this._user = {};
        /** Tags */
        this._tags = {};
        /** Extra */
        this._extra = {};
        /** Contexts */
        this._contexts = {};
    }
    /**
     * Inherit values from the parent scope.
     * @param scope to clone.
     */
    Scope.clone = function (scope) {
        var newScope = new Scope();
        if (scope) {
            newScope._breadcrumbs = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)(scope._breadcrumbs);
            newScope._tags = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, scope._tags);
            newScope._extra = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, scope._extra);
            newScope._contexts = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, scope._contexts);
            newScope._user = scope._user;
            newScope._level = scope._level;
            newScope._span = scope._span;
            newScope._session = scope._session;
            newScope._transactionName = scope._transactionName;
            newScope._fingerprint = scope._fingerprint;
            newScope._eventProcessors = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)(scope._eventProcessors);
            newScope._requestSession = scope._requestSession;
        }
        return newScope;
    };
    /**
     * Add internal on change listener. Used for sub SDKs that need to store the scope.
     * @hidden
     */
    Scope.prototype.addScopeListener = function (callback) {
        this._scopeListeners.push(callback);
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.addEventProcessor = function (callback) {
        this._eventProcessors.push(callback);
        return this;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.setUser = function (user) {
        this._user = user || {};
        if (this._session) {
            this._session.update({ user: user });
        }
        this._notifyScopeListeners();
        return this;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.getUser = function () {
        return this._user;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.getRequestSession = function () {
        return this._requestSession;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.setRequestSession = function (requestSession) {
        this._requestSession = requestSession;
        return this;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.setTags = function (tags) {
        this._tags = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._tags), tags);
        this._notifyScopeListeners();
        return this;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.setTag = function (key, value) {
        var _a;
        this._tags = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._tags), (_a = {}, _a[key] = value, _a));
        this._notifyScopeListeners();
        return this;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.setExtras = function (extras) {
        this._extra = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._extra), extras);
        this._notifyScopeListeners();
        return this;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.setExtra = function (key, extra) {
        var _a;
        this._extra = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._extra), (_a = {}, _a[key] = extra, _a));
        this._notifyScopeListeners();
        return this;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.setFingerprint = function (fingerprint) {
        this._fingerprint = fingerprint;
        this._notifyScopeListeners();
        return this;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.setLevel = function (level) {
        this._level = level;
        this._notifyScopeListeners();
        return this;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.setTransactionName = function (name) {
        this._transactionName = name;
        this._notifyScopeListeners();
        return this;
    };
    /**
     * Can be removed in major version.
     * @deprecated in favor of {@link this.setTransactionName}
     */
    Scope.prototype.setTransaction = function (name) {
        return this.setTransactionName(name);
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.setContext = function (key, context) {
        var _a;
        if (context === null) {
            // eslint-disable-next-line @typescript-eslint/no-dynamic-delete
            delete this._contexts[key];
        }
        else {
            this._contexts = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._contexts), (_a = {}, _a[key] = context, _a));
        }
        this._notifyScopeListeners();
        return this;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.setSpan = function (span) {
        this._span = span;
        this._notifyScopeListeners();
        return this;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.getSpan = function () {
        return this._span;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.getTransaction = function () {
        var _a, _b, _c, _d;
        // often, this span will be a transaction, but it's not guaranteed to be
        var span = this.getSpan();
        // try it the new way first
        if ((_a = span) === null || _a === void 0 ? void 0 : _a.transaction) {
            return (_b = span) === null || _b === void 0 ? void 0 : _b.transaction;
        }
        // fallback to the old way (known bug: this only finds transactions with sampled = true)
        if ((_d = (_c = span) === null || _c === void 0 ? void 0 : _c.spanRecorder) === null || _d === void 0 ? void 0 : _d.spans[0]) {
            return span.spanRecorder.spans[0];
        }
        // neither way found a transaction
        return undefined;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.setSession = function (session) {
        if (!session) {
            delete this._session;
        }
        else {
            this._session = session;
        }
        this._notifyScopeListeners();
        return this;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.getSession = function () {
        return this._session;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.update = function (captureContext) {
        if (!captureContext) {
            return this;
        }
        if (typeof captureContext === 'function') {
            var updatedScope = captureContext(this);
            return updatedScope instanceof Scope ? updatedScope : this;
        }
        if (captureContext instanceof Scope) {
            this._tags = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._tags), captureContext._tags);
            this._extra = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._extra), captureContext._extra);
            this._contexts = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._contexts), captureContext._contexts);
            if (captureContext._user && Object.keys(captureContext._user).length) {
                this._user = captureContext._user;
            }
            if (captureContext._level) {
                this._level = captureContext._level;
            }
            if (captureContext._fingerprint) {
                this._fingerprint = captureContext._fingerprint;
            }
            if (captureContext._requestSession) {
                this._requestSession = captureContext._requestSession;
            }
        }
        else if ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.isPlainObject)(captureContext)) {
            // eslint-disable-next-line no-param-reassign
            captureContext = captureContext;
            this._tags = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._tags), captureContext.tags);
            this._extra = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._extra), captureContext.extra);
            this._contexts = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._contexts), captureContext.contexts);
            if (captureContext.user) {
                this._user = captureContext.user;
            }
            if (captureContext.level) {
                this._level = captureContext.level;
            }
            if (captureContext.fingerprint) {
                this._fingerprint = captureContext.fingerprint;
            }
            if (captureContext.requestSession) {
                this._requestSession = captureContext.requestSession;
            }
        }
        return this;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.clear = function () {
        this._breadcrumbs = [];
        this._tags = {};
        this._extra = {};
        this._user = {};
        this._contexts = {};
        this._level = undefined;
        this._transactionName = undefined;
        this._fingerprint = undefined;
        this._requestSession = undefined;
        this._span = undefined;
        this._session = undefined;
        this._notifyScopeListeners();
        return this;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.addBreadcrumb = function (breadcrumb, maxBreadcrumbs) {
        var maxCrumbs = typeof maxBreadcrumbs === 'number' ? Math.min(maxBreadcrumbs, MAX_BREADCRUMBS) : MAX_BREADCRUMBS;
        // No data has been changed, so don't notify scope listeners
        if (maxCrumbs <= 0) {
            return this;
        }
        var mergedBreadcrumb = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({ timestamp: (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.dateTimestampInSeconds)() }, breadcrumb);
        this._breadcrumbs = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)(this._breadcrumbs, [mergedBreadcrumb]).slice(-maxCrumbs);
        this._notifyScopeListeners();
        return this;
    };
    /**
     * @inheritDoc
     */
    Scope.prototype.clearBreadcrumbs = function () {
        this._breadcrumbs = [];
        this._notifyScopeListeners();
        return this;
    };
    /**
     * Applies the current context and fingerprint to the event.
     * Note that breadcrumbs will be added by the client.
     * Also if the event has already breadcrumbs on it, we do not merge them.
     * @param event Event
     * @param hint May contain additional informartion about the original exception.
     * @hidden
     */
    Scope.prototype.applyToEvent = function (event, hint) {
        var _a;
        if (this._extra && Object.keys(this._extra).length) {
            event.extra = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._extra), event.extra);
        }
        if (this._tags && Object.keys(this._tags).length) {
            event.tags = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._tags), event.tags);
        }
        if (this._user && Object.keys(this._user).length) {
            event.user = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._user), event.user);
        }
        if (this._contexts && Object.keys(this._contexts).length) {
            event.contexts = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this._contexts), event.contexts);
        }
        if (this._level) {
            event.level = this._level;
        }
        if (this._transactionName) {
            event.transaction = this._transactionName;
        }
        // We want to set the trace context for normal events only if there isn't already
        // a trace context on the event. There is a product feature in place where we link
        // errors with transaction and it relys on that.
        if (this._span) {
            event.contexts = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({ trace: this._span.getTraceContext() }, event.contexts);
            var transactionName = (_a = this._span.transaction) === null || _a === void 0 ? void 0 : _a.name;
            if (transactionName) {
                event.tags = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({ transaction: transactionName }, event.tags);
            }
        }
        this._applyFingerprint(event);
        event.breadcrumbs = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)((event.breadcrumbs || []), this._breadcrumbs);
        event.breadcrumbs = event.breadcrumbs.length > 0 ? event.breadcrumbs : undefined;
        return this._notifyEventProcessors((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)(getGlobalEventProcessors(), this._eventProcessors), event, hint);
    };
    /**
     * This will be called after {@link applyToEvent} is finished.
     */
    Scope.prototype._notifyEventProcessors = function (processors, event, hint, index) {
        var _this = this;
        if (index === void 0) { index = 0; }
        return new _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.SyncPromise(function (resolve, reject) {
            var processor = processors[index];
            if (event === null || typeof processor !== 'function') {
                resolve(event);
            }
            else {
                var result = processor((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, event), hint);
                if ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.isThenable)(result)) {
                    void result
                        .then(function (final) { return _this._notifyEventProcessors(processors, final, hint, index + 1).then(resolve); })
                        .then(null, reject);
                }
                else {
                    void _this._notifyEventProcessors(processors, result, hint, index + 1)
                        .then(resolve)
                        .then(null, reject);
                }
            }
        });
    };
    /**
     * This will be called on every set call.
     */
    Scope.prototype._notifyScopeListeners = function () {
        var _this = this;
        // We need this check for this._notifyingListeners to be able to work on scope during updates
        // If this check is not here we'll produce endless recursion when something is done with the scope
        // during the callback.
        if (!this._notifyingListeners) {
            this._notifyingListeners = true;
            this._scopeListeners.forEach(function (callback) {
                callback(_this);
            });
            this._notifyingListeners = false;
        }
    };
    /**
     * Applies fingerprint from the scope to the event if there's one,
     * uses message if there's one instead or get rid of empty fingerprint
     */
    Scope.prototype._applyFingerprint = function (event) {
        // Make sure it's an array first and we actually have something in place
        event.fingerprint = event.fingerprint
            ? Array.isArray(event.fingerprint)
                ? event.fingerprint
                : [event.fingerprint]
            : [];
        // If we have something on the scope, then merge it with event
        if (this._fingerprint) {
            event.fingerprint = event.fingerprint.concat(this._fingerprint);
        }
        // If we have no data at all, remove empty array default
        if (event.fingerprint && !event.fingerprint.length) {
            delete event.fingerprint;
        }
    };
    return Scope;
}());

/**
 * Retruns the global event processors.
 */
function getGlobalEventProcessors() {
    /* eslint-disable @typescript-eslint/no-explicit-any, @typescript-eslint/no-unsafe-member-access  */
    var global = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_4__.getGlobalObject)();
    global.__SENTRY__ = global.__SENTRY__ || {};
    global.__SENTRY__.globalEventProcessors = global.__SENTRY__.globalEventProcessors || [];
    return global.__SENTRY__.globalEventProcessors;
    /* eslint-enable @typescript-eslint/no-explicit-any, @typescript-eslint/no-unsafe-member-access */
}
/**
 * Add a EventProcessor to be kept globally.
 * @param callback EventProcessor to add
 */
function addGlobalEventProcessor(callback) {
    getGlobalEventProcessors().push(callback);
}
//# sourceMappingURL=scope.js.map

/***/ }),

/***/ "./node_modules/@sentry/hub/esm/session.js":
/*!*************************************************!*\
  !*** ./node_modules/@sentry/hub/esm/session.js ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Session": () => (/* binding */ Session)
/* harmony export */ });
/* harmony import */ var _sentry_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/types */ "./node_modules/@sentry/types/esm/session.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/time.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/object.js");


/**
 * @inheritdoc
 */
var Session = /** @class */ (function () {
    function Session(context) {
        this.errors = 0;
        this.sid = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.uuid4)();
        this.duration = 0;
        this.status = _sentry_types__WEBPACK_IMPORTED_MODULE_1__.SessionStatus.Ok;
        this.init = true;
        this.ignoreDuration = false;
        // Both timestamp and started are in seconds since the UNIX epoch.
        var startingTime = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.timestampInSeconds)();
        this.timestamp = startingTime;
        this.started = startingTime;
        if (context) {
            this.update(context);
        }
    }
    /** JSDoc */
    // eslint-disable-next-line complexity
    Session.prototype.update = function (context) {
        if (context === void 0) { context = {}; }
        if (context.user) {
            if (!this.ipAddress && context.user.ip_address) {
                this.ipAddress = context.user.ip_address;
            }
            if (!this.did && !context.did) {
                this.did = context.user.id || context.user.email || context.user.username;
            }
        }
        this.timestamp = context.timestamp || (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.timestampInSeconds)();
        if (context.ignoreDuration) {
            this.ignoreDuration = context.ignoreDuration;
        }
        if (context.sid) {
            // Good enough uuid validation. — Kamil
            this.sid = context.sid.length === 32 ? context.sid : (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.uuid4)();
        }
        if (context.init !== undefined) {
            this.init = context.init;
        }
        if (!this.did && context.did) {
            this.did = "" + context.did;
        }
        if (typeof context.started === 'number') {
            this.started = context.started;
        }
        if (this.ignoreDuration) {
            this.duration = undefined;
        }
        else if (typeof context.duration === 'number') {
            this.duration = context.duration;
        }
        else {
            var duration = this.timestamp - this.started;
            this.duration = duration >= 0 ? duration : 0;
        }
        if (context.release) {
            this.release = context.release;
        }
        if (context.environment) {
            this.environment = context.environment;
        }
        if (!this.ipAddress && context.ipAddress) {
            this.ipAddress = context.ipAddress;
        }
        if (!this.userAgent && context.userAgent) {
            this.userAgent = context.userAgent;
        }
        if (typeof context.errors === 'number') {
            this.errors = context.errors;
        }
        if (context.status) {
            this.status = context.status;
        }
    };
    /** JSDoc */
    Session.prototype.close = function (status) {
        if (status) {
            this.update({ status: status });
        }
        else if (this.status === _sentry_types__WEBPACK_IMPORTED_MODULE_1__.SessionStatus.Ok) {
            this.update({ status: _sentry_types__WEBPACK_IMPORTED_MODULE_1__.SessionStatus.Exited });
        }
        else {
            this.update();
        }
    };
    /** JSDoc */
    Session.prototype.toJSON = function () {
        return (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.dropUndefinedKeys)({
            sid: "" + this.sid,
            init: this.init,
            // Make sure that sec is converted to ms for date constructor
            started: new Date(this.started * 1000).toISOString(),
            timestamp: new Date(this.timestamp * 1000).toISOString(),
            status: this.status,
            errors: this.errors,
            did: typeof this.did === 'number' || typeof this.did === 'string' ? "" + this.did : undefined,
            duration: this.duration,
            attrs: (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.dropUndefinedKeys)({
                release: this.release,
                environment: this.environment,
                ip_address: this.ipAddress,
                user_agent: this.userAgent,
            }),
        });
    };
    return Session;
}());

//# sourceMappingURL=session.js.map

/***/ }),

/***/ "./node_modules/@sentry/minimal/esm/index.js":
/*!***************************************************!*\
  !*** ./node_modules/@sentry/minimal/esm/index.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "_callOnClient": () => (/* binding */ _callOnClient),
/* harmony export */   "addBreadcrumb": () => (/* binding */ addBreadcrumb),
/* harmony export */   "captureEvent": () => (/* binding */ captureEvent),
/* harmony export */   "captureException": () => (/* binding */ captureException),
/* harmony export */   "captureMessage": () => (/* binding */ captureMessage),
/* harmony export */   "configureScope": () => (/* binding */ configureScope),
/* harmony export */   "setContext": () => (/* binding */ setContext),
/* harmony export */   "setExtra": () => (/* binding */ setExtra),
/* harmony export */   "setExtras": () => (/* binding */ setExtras),
/* harmony export */   "setTag": () => (/* binding */ setTag),
/* harmony export */   "setTags": () => (/* binding */ setTags),
/* harmony export */   "setUser": () => (/* binding */ setUser),
/* harmony export */   "startTransaction": () => (/* binding */ startTransaction),
/* harmony export */   "withScope": () => (/* binding */ withScope)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_hub__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/hub */ "./node_modules/@sentry/hub/esm/hub.js");


/**
 * This calls a function on the current hub.
 * @param method function to call on hub.
 * @param args to pass to function.
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function callOnHub(method) {
    var args = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        args[_i - 1] = arguments[_i];
    }
    var hub = (0,_sentry_hub__WEBPACK_IMPORTED_MODULE_0__.getCurrentHub)();
    if (hub && hub[method]) {
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        return hub[method].apply(hub, (0,tslib__WEBPACK_IMPORTED_MODULE_1__.__spread)(args));
    }
    throw new Error("No hub defined or " + method + " was not found on the hub, please open a bug report.");
}
/**
 * Captures an exception event and sends it to Sentry.
 *
 * @param exception An exception-like object.
 * @returns The generated eventId.
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/explicit-module-boundary-types
function captureException(exception, captureContext) {
    var syntheticException;
    try {
        throw new Error('Sentry syntheticException');
    }
    catch (exception) {
        syntheticException = exception;
    }
    return callOnHub('captureException', exception, {
        captureContext: captureContext,
        originalException: exception,
        syntheticException: syntheticException,
    });
}
/**
 * Captures a message event and sends it to Sentry.
 *
 * @param message The message to send to Sentry.
 * @param level Define the level of the message.
 * @returns The generated eventId.
 */
function captureMessage(message, captureContext) {
    var syntheticException;
    try {
        throw new Error(message);
    }
    catch (exception) {
        syntheticException = exception;
    }
    // This is necessary to provide explicit scopes upgrade, without changing the original
    // arity of the `captureMessage(message, level)` method.
    var level = typeof captureContext === 'string' ? captureContext : undefined;
    var context = typeof captureContext !== 'string' ? { captureContext: captureContext } : undefined;
    return callOnHub('captureMessage', message, level, (0,tslib__WEBPACK_IMPORTED_MODULE_1__.__assign)({ originalException: message, syntheticException: syntheticException }, context));
}
/**
 * Captures a manually created event and sends it to Sentry.
 *
 * @param event The event to send to Sentry.
 * @returns The generated eventId.
 */
function captureEvent(event) {
    return callOnHub('captureEvent', event);
}
/**
 * Callback to set context information onto the scope.
 * @param callback Callback function that receives Scope.
 */
function configureScope(callback) {
    callOnHub('configureScope', callback);
}
/**
 * Records a new breadcrumb which will be attached to future events.
 *
 * Breadcrumbs will be added to subsequent events to provide more context on
 * user's actions prior to an error or crash.
 *
 * @param breadcrumb The breadcrumb to record.
 */
function addBreadcrumb(breadcrumb) {
    callOnHub('addBreadcrumb', breadcrumb);
}
/**
 * Sets context data with the given name.
 * @param name of the context
 * @param context Any kind of data. This data will be normalized.
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function setContext(name, context) {
    callOnHub('setContext', name, context);
}
/**
 * Set an object that will be merged sent as extra data with the event.
 * @param extras Extras object to merge into current context.
 */
function setExtras(extras) {
    callOnHub('setExtras', extras);
}
/**
 * Set an object that will be merged sent as tags data with the event.
 * @param tags Tags context object to merge into current context.
 */
function setTags(tags) {
    callOnHub('setTags', tags);
}
/**
 * Set key:value that will be sent as extra data with the event.
 * @param key String of extra
 * @param extra Any kind of data. This data will be normalized.
 */
function setExtra(key, extra) {
    callOnHub('setExtra', key, extra);
}
/**
 * Set key:value that will be sent as tags data with the event.
 *
 * Can also be used to unset a tag, by passing `undefined`.
 *
 * @param key String key of tag
 * @param value Value of tag
 */
function setTag(key, value) {
    callOnHub('setTag', key, value);
}
/**
 * Updates user context information for future events.
 *
 * @param user User context object to be set in the current context. Pass `null` to unset the user.
 */
function setUser(user) {
    callOnHub('setUser', user);
}
/**
 * Creates a new scope with and executes the given operation within.
 * The scope is automatically removed once the operation
 * finishes or throws.
 *
 * This is essentially a convenience function for:
 *
 *     pushScope();
 *     callback();
 *     popScope();
 *
 * @param callback that will be enclosed into push/popScope.
 */
function withScope(callback) {
    callOnHub('withScope', callback);
}
/**
 * Calls a function on the latest client. Use this with caution, it's meant as
 * in "internal" helper so we don't need to expose every possible function in
 * the shim. It is not guaranteed that the client actually implements the
 * function.
 *
 * @param method The method to call on the client/client.
 * @param args Arguments to pass to the client/fontend.
 * @hidden
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function _callOnClient(method) {
    var args = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        args[_i - 1] = arguments[_i];
    }
    callOnHub.apply(void 0, (0,tslib__WEBPACK_IMPORTED_MODULE_1__.__spread)(['_invokeClient', method], args));
}
/**
 * Starts a new `Transaction` and returns it. This is the entry point to manual tracing instrumentation.
 *
 * A tree structure can be built by adding child spans to the transaction, and child spans to other spans. To start a
 * new child span within the transaction or any span, call the respective `.startChild()` method.
 *
 * Every child span must be finished before the transaction is finished, otherwise the unfinished spans are discarded.
 *
 * The transaction must be finished with a call to its `.finish()` method, at which point the transaction with all its
 * finished child spans will be sent to Sentry.
 *
 * @param context Properties of the new `Transaction`.
 * @param customSamplingContext Information given to the transaction sampling function (along with context-dependent
 * default values). See {@link Options.tracesSampler}.
 *
 * @returns The transaction which was just started
 */
function startTransaction(context, customSamplingContext) {
    return callOnHub('startTransaction', (0,tslib__WEBPACK_IMPORTED_MODULE_1__.__assign)({}, context), customSamplingContext);
}
//# sourceMappingURL=index.js.map

/***/ }),

/***/ "./node_modules/@sentry/react/esm/reactrouter.js":
/*!*******************************************************!*\
  !*** ./node_modules/@sentry/react/esm/reactrouter.js ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "reactRouterV4Instrumentation": () => (/* binding */ reactRouterV4Instrumentation),
/* harmony export */   "reactRouterV5Instrumentation": () => (/* binding */ reactRouterV5Instrumentation),
/* harmony export */   "withSentryRouting": () => (/* binding */ withSentryRouting)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! hoist-non-react-statics */ "./node_modules/hoist-non-react-statics/dist/hoist-non-react-statics.cjs.js");
/* harmony import */ var hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");




/* eslint-enable @typescript-eslint/no-explicit-any */
var global = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.getGlobalObject)();
var activeTransaction;
function reactRouterV4Instrumentation(history, routes, matchPath) {
    return createReactRouterInstrumentation(history, 'react-router-v4', routes, matchPath);
}
function reactRouterV5Instrumentation(history, routes, matchPath) {
    return createReactRouterInstrumentation(history, 'react-router-v5', routes, matchPath);
}
function createReactRouterInstrumentation(history, name, allRoutes, matchPath) {
    if (allRoutes === void 0) { allRoutes = []; }
    function getInitPathName() {
        if (history && history.location) {
            return history.location.pathname;
        }
        if (global && global.location) {
            return global.location.pathname;
        }
        return undefined;
    }
    function getTransactionName(pathname) {
        if (allRoutes === [] || !matchPath) {
            return pathname;
        }
        var branches = matchRoutes(allRoutes, pathname, matchPath);
        // eslint-disable-next-line @typescript-eslint/prefer-for-of
        for (var x = 0; x < branches.length; x++) {
            if (branches[x].match.isExact) {
                return branches[x].match.path;
            }
        }
        return pathname;
    }
    return function (customStartTransaction, startTransactionOnPageLoad, startTransactionOnLocationChange) {
        if (startTransactionOnPageLoad === void 0) { startTransactionOnPageLoad = true; }
        if (startTransactionOnLocationChange === void 0) { startTransactionOnLocationChange = true; }
        var initPathName = getInitPathName();
        if (startTransactionOnPageLoad && initPathName) {
            activeTransaction = customStartTransaction({
                name: getTransactionName(initPathName),
                op: 'pageload',
                tags: {
                    'routing.instrumentation': name,
                },
            });
        }
        if (startTransactionOnLocationChange && history.listen) {
            history.listen(function (location, action) {
                if (action && (action === 'PUSH' || action === 'POP')) {
                    if (activeTransaction) {
                        activeTransaction.finish();
                    }
                    var tags = {
                        'routing.instrumentation': name,
                    };
                    activeTransaction = customStartTransaction({
                        name: getTransactionName(location.pathname),
                        op: 'navigation',
                        tags: tags,
                    });
                }
            });
        }
    };
}
/**
 * Matches a set of routes to a pathname
 * Based on implementation from
 */
function matchRoutes(routes, pathname, matchPath, branch) {
    if (branch === void 0) { branch = []; }
    routes.some(function (route) {
        var match = route.path
            ? matchPath(pathname, route)
            : branch.length
                ? branch[branch.length - 1].match // use parent match
                : computeRootMatch(pathname); // use default "root" match
        if (match) {
            branch.push({ route: route, match: match });
            if (route.routes) {
                matchRoutes(route.routes, pathname, matchPath, branch);
            }
        }
        return !!match;
    });
    return branch;
}
function computeRootMatch(pathname) {
    return { path: '/', url: '/', params: {}, isExact: pathname === '/' };
}
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function withSentryRouting(Route) {
    var componentDisplayName = Route.displayName || Route.name;
    var WrappedRoute = function (props) {
        if (activeTransaction && props && props.computedMatch && props.computedMatch.isExact) {
            activeTransaction.setName(props.computedMatch.path);
        }
        return react__WEBPACK_IMPORTED_MODULE_1__.createElement(Route, (0,tslib__WEBPACK_IMPORTED_MODULE_3__.__assign)({}, props));
    };
    WrappedRoute.displayName = "sentryRoute(" + componentDisplayName + ")";
    hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_0___default()(WrappedRoute, Route);
    return WrappedRoute;
}
//# sourceMappingURL=reactrouter.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/browser/backgroundtab.js":
/*!*******************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/browser/backgroundtab.js ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "registerBackgroundTabDetection": () => (/* binding */ registerBackgroundTabDetection)
/* harmony export */ });
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _spanstatus__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../spanstatus */ "./node_modules/@sentry/tracing/esm/spanstatus.js");
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils */ "./node_modules/@sentry/tracing/esm/utils.js");



var global = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.getGlobalObject)();
/**
 * Add a listener that cancels and finishes a transaction when the global
 * document is hidden.
 */
function registerBackgroundTabDetection() {
    if (global && global.document) {
        global.document.addEventListener('visibilitychange', function () {
            var activeTransaction = (0,_utils__WEBPACK_IMPORTED_MODULE_1__.getActiveTransaction)();
            if (global.document.hidden && activeTransaction) {
                _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.log("[Tracing] Transaction: " + _spanstatus__WEBPACK_IMPORTED_MODULE_3__.SpanStatus.Cancelled + " -> since tab moved to the background, op: " + activeTransaction.op);
                // We should not set status if it is already set, this prevent important statuses like
                // error or data loss from being overwritten on transaction.
                if (!activeTransaction.status) {
                    activeTransaction.setStatus(_spanstatus__WEBPACK_IMPORTED_MODULE_3__.SpanStatus.Cancelled);
                }
                activeTransaction.setTag('visibilitychange', 'document.hidden');
                activeTransaction.finish();
            }
        });
    }
    else {
        _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.warn('[Tracing] Could not set up background tab detection due to lack of global document');
    }
}
//# sourceMappingURL=backgroundtab.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/browser/browsertracing.js":
/*!********************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/browser/browsertracing.js ***!
  \********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "BrowserTracing": () => (/* binding */ BrowserTracing),
/* harmony export */   "DEFAULT_MAX_TRANSACTION_DURATION_SECONDS": () => (/* binding */ DEFAULT_MAX_TRANSACTION_DURATION_SECONDS),
/* harmony export */   "getHeaderContext": () => (/* binding */ getHeaderContext),
/* harmony export */   "getMetaContent": () => (/* binding */ getMetaContent)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _hubextensions__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../hubextensions */ "./node_modules/@sentry/tracing/esm/hubextensions.js");
/* harmony import */ var _idletransaction__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../idletransaction */ "./node_modules/@sentry/tracing/esm/idletransaction.js");
/* harmony import */ var _spanstatus__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../spanstatus */ "./node_modules/@sentry/tracing/esm/spanstatus.js");
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../utils */ "./node_modules/@sentry/tracing/esm/utils.js");
/* harmony import */ var _backgroundtab__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./backgroundtab */ "./node_modules/@sentry/tracing/esm/browser/backgroundtab.js");
/* harmony import */ var _metrics__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./metrics */ "./node_modules/@sentry/tracing/esm/browser/metrics.js");
/* harmony import */ var _request__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./request */ "./node_modules/@sentry/tracing/esm/browser/request.js");
/* harmony import */ var _router__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./router */ "./node_modules/@sentry/tracing/esm/browser/router.js");










var DEFAULT_MAX_TRANSACTION_DURATION_SECONDS = 600;
var DEFAULT_BROWSER_TRACING_OPTIONS = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({ idleTimeout: _idletransaction__WEBPACK_IMPORTED_MODULE_1__.DEFAULT_IDLE_TIMEOUT, markBackgroundTransactions: true, maxTransactionDuration: DEFAULT_MAX_TRANSACTION_DURATION_SECONDS, routingInstrumentation: _router__WEBPACK_IMPORTED_MODULE_2__.instrumentRoutingWithDefaults, startTransactionOnLocationChange: true, startTransactionOnPageLoad: true }, _request__WEBPACK_IMPORTED_MODULE_3__.defaultRequestInstrumentationOptions);
/**
 * The Browser Tracing integration automatically instruments browser pageload/navigation
 * actions as transactions, and captures requests, metrics and errors as spans.
 *
 * The integration can be configured with a variety of options, and can be extended to use
 * any routing library. This integration uses {@see IdleTransaction} to create transactions.
 */
var BrowserTracing = /** @class */ (function () {
    function BrowserTracing(_options) {
        /**
         * @inheritDoc
         */
        this.name = BrowserTracing.id;
        this._metrics = new _metrics__WEBPACK_IMPORTED_MODULE_4__.MetricsInstrumentation();
        this._emitOptionsWarning = false;
        var tracingOrigins = _request__WEBPACK_IMPORTED_MODULE_3__.defaultRequestInstrumentationOptions.tracingOrigins;
        // NOTE: Logger doesn't work in constructors, as it's initialized after integrations instances
        if (_options &&
            _options.tracingOrigins &&
            Array.isArray(_options.tracingOrigins) &&
            _options.tracingOrigins.length !== 0) {
            tracingOrigins = _options.tracingOrigins;
        }
        else {
            this._emitOptionsWarning = true;
        }
        this.options = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, DEFAULT_BROWSER_TRACING_OPTIONS), _options), { tracingOrigins: tracingOrigins });
    }
    /**
     * @inheritDoc
     */
    BrowserTracing.prototype.setupOnce = function (_, getCurrentHub) {
        var _this = this;
        this._getCurrentHub = getCurrentHub;
        if (this._emitOptionsWarning) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_5__.logger.warn('[Tracing] You need to define `tracingOrigins` in the options. Set an array of urls or patterns to trace.');
            _sentry_utils__WEBPACK_IMPORTED_MODULE_5__.logger.warn("[Tracing] We added a reasonable default for you: " + _request__WEBPACK_IMPORTED_MODULE_3__.defaultRequestInstrumentationOptions.tracingOrigins);
        }
        // eslint-disable-next-line @typescript-eslint/unbound-method
        var _a = this.options, instrumentRouting = _a.routingInstrumentation, startTransactionOnLocationChange = _a.startTransactionOnLocationChange, startTransactionOnPageLoad = _a.startTransactionOnPageLoad, markBackgroundTransactions = _a.markBackgroundTransactions, traceFetch = _a.traceFetch, traceXHR = _a.traceXHR, tracingOrigins = _a.tracingOrigins, shouldCreateSpanForRequest = _a.shouldCreateSpanForRequest;
        instrumentRouting(function (context) { return _this._createRouteTransaction(context); }, startTransactionOnPageLoad, startTransactionOnLocationChange);
        if (markBackgroundTransactions) {
            (0,_backgroundtab__WEBPACK_IMPORTED_MODULE_6__.registerBackgroundTabDetection)();
        }
        (0,_request__WEBPACK_IMPORTED_MODULE_3__.instrumentOutgoingRequests)({ traceFetch: traceFetch, traceXHR: traceXHR, tracingOrigins: tracingOrigins, shouldCreateSpanForRequest: shouldCreateSpanForRequest });
    };
    /** Create routing idle transaction. */
    BrowserTracing.prototype._createRouteTransaction = function (context) {
        var _this = this;
        if (!this._getCurrentHub) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_5__.logger.warn("[Tracing] Did not create " + context.op + " transaction because _getCurrentHub is invalid.");
            return undefined;
        }
        // eslint-disable-next-line @typescript-eslint/unbound-method
        var _a = this.options, beforeNavigate = _a.beforeNavigate, idleTimeout = _a.idleTimeout, maxTransactionDuration = _a.maxTransactionDuration;
        var parentContextFromHeader = context.op === 'pageload' ? getHeaderContext() : undefined;
        var expandedContext = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, context), parentContextFromHeader), { trimEnd: true });
        var modifiedContext = typeof beforeNavigate === 'function' ? beforeNavigate(expandedContext) : expandedContext;
        // For backwards compatibility reasons, beforeNavigate can return undefined to "drop" the transaction (prevent it
        // from being sent to Sentry).
        var finalContext = modifiedContext === undefined ? (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, expandedContext), { sampled: false }) : modifiedContext;
        if (finalContext.sampled === false) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_5__.logger.log("[Tracing] Will not send " + finalContext.op + " transaction because of beforeNavigate.");
        }
        _sentry_utils__WEBPACK_IMPORTED_MODULE_5__.logger.log("[Tracing] Starting " + finalContext.op + " transaction on scope");
        var hub = this._getCurrentHub();
        var location = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_7__.getGlobalObject)().location;
        var idleTransaction = (0,_hubextensions__WEBPACK_IMPORTED_MODULE_8__.startIdleTransaction)(hub, finalContext, idleTimeout, true, { location: location });
        idleTransaction.registerBeforeFinishCallback(function (transaction, endTimestamp) {
            _this._metrics.addPerformanceEntries(transaction);
            adjustTransactionDuration((0,_utils__WEBPACK_IMPORTED_MODULE_9__.secToMs)(maxTransactionDuration), transaction, endTimestamp);
        });
        return idleTransaction;
    };
    /**
     * @inheritDoc
     */
    BrowserTracing.id = 'BrowserTracing';
    return BrowserTracing;
}());

/**
 * Gets transaction context from a sentry-trace meta.
 *
 * @returns Transaction context data from the header or undefined if there's no header or the header is malformed
 */
function getHeaderContext() {
    var header = getMetaContent('sentry-trace');
    if (header) {
        return (0,_utils__WEBPACK_IMPORTED_MODULE_9__.extractTraceparentData)(header);
    }
    return undefined;
}
/** Returns the value of a meta tag */
function getMetaContent(metaName) {
    var el = document.querySelector("meta[name=" + metaName + "]");
    return el ? el.getAttribute('content') : null;
}
/** Adjusts transaction value based on max transaction duration */
function adjustTransactionDuration(maxDuration, transaction, endTimestamp) {
    var diff = endTimestamp - transaction.startTimestamp;
    var isOutdatedTransaction = endTimestamp && (diff > maxDuration || diff < 0);
    if (isOutdatedTransaction) {
        transaction.setStatus(_spanstatus__WEBPACK_IMPORTED_MODULE_10__.SpanStatus.DeadlineExceeded);
        transaction.setTag('maxTransactionDurationExceeded', 'true');
    }
}
//# sourceMappingURL=browsertracing.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/browser/metrics.js":
/*!*************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/browser/metrics.js ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "MetricsInstrumentation": () => (/* binding */ MetricsInstrumentation),
/* harmony export */   "_startChild": () => (/* binding */ _startChild),
/* harmony export */   "addResourceSpans": () => (/* binding */ addResourceSpans)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/node.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/time.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/browser.js");
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utils */ "./node_modules/@sentry/tracing/esm/utils.js");
/* harmony import */ var _web_vitals_getCLS__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./web-vitals/getCLS */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/getCLS.js");
/* harmony import */ var _web_vitals_getFID__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./web-vitals/getFID */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/getFID.js");
/* harmony import */ var _web_vitals_getLCP__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./web-vitals/getLCP */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/getLCP.js");
/* harmony import */ var _web_vitals_lib_getFirstHidden__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./web-vitals/lib/getFirstHidden */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/getFirstHidden.js");







var global = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.getGlobalObject)();
/** Class tracking metrics  */
var MetricsInstrumentation = /** @class */ (function () {
    function MetricsInstrumentation() {
        var _a;
        this._measurements = {};
        this._performanceCursor = 0;
        if (!(0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.isNodeEnv)() && ((_a = global) === null || _a === void 0 ? void 0 : _a.performance)) {
            if (global.performance.mark) {
                global.performance.mark('sentry-tracing-init');
            }
            this._trackCLS();
            this._trackLCP();
            this._trackFID();
        }
    }
    /** Add performance related spans to a transaction */
    MetricsInstrumentation.prototype.addPerformanceEntries = function (transaction) {
        var _this = this;
        if (!global || !global.performance || !global.performance.getEntries || !_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.browserPerformanceTimeOrigin) {
            // Gatekeeper if performance API not available
            return;
        }
        _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Tracing] Adding & adjusting spans using Performance API');
        var timeOrigin = (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.browserPerformanceTimeOrigin);
        var entryScriptSrc;
        if (global.document) {
            // eslint-disable-next-line @typescript-eslint/prefer-for-of
            for (var i = 0; i < document.scripts.length; i++) {
                // We go through all scripts on the page and look for 'data-entry'
                // We remember the name and measure the time between this script finished loading and
                // our mark 'sentry-tracing-init'
                if (document.scripts[i].dataset.entry === 'true') {
                    entryScriptSrc = document.scripts[i].src;
                    break;
                }
            }
        }
        var entryScriptStartTimestamp;
        var tracingInitMarkStartTime;
        var responseStartTimestamp;
        var requestStartTimestamp;
        global.performance
            .getEntries()
            .slice(this._performanceCursor)
            .forEach(function (entry) {
            var startTime = (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(entry.startTime);
            var duration = (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(entry.duration);
            if (transaction.op === 'navigation' && timeOrigin + startTime < transaction.startTimestamp) {
                return;
            }
            switch (entry.entryType) {
                case 'navigation': {
                    addNavigationSpans(transaction, entry, timeOrigin);
                    responseStartTimestamp = timeOrigin + (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(entry.responseStart);
                    requestStartTimestamp = timeOrigin + (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(entry.requestStart);
                    break;
                }
                case 'mark':
                case 'paint':
                case 'measure': {
                    var startTimestamp = addMeasureSpans(transaction, entry, startTime, duration, timeOrigin);
                    if (tracingInitMarkStartTime === undefined && entry.name === 'sentry-tracing-init') {
                        tracingInitMarkStartTime = startTimestamp;
                    }
                    // capture web vitals
                    var firstHidden = (0,_web_vitals_lib_getFirstHidden__WEBPACK_IMPORTED_MODULE_5__.getFirstHidden)();
                    // Only report if the page wasn't hidden prior to the web vital.
                    var shouldRecord = entry.startTime < firstHidden.timeStamp;
                    if (entry.name === 'first-paint' && shouldRecord) {
                        _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Measurements] Adding FP');
                        _this._measurements['fp'] = { value: entry.startTime };
                        _this._measurements['mark.fp'] = { value: startTimestamp };
                    }
                    if (entry.name === 'first-contentful-paint' && shouldRecord) {
                        _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Measurements] Adding FCP');
                        _this._measurements['fcp'] = { value: entry.startTime };
                        _this._measurements['mark.fcp'] = { value: startTimestamp };
                    }
                    break;
                }
                case 'resource': {
                    var resourceName = entry.name.replace(window.location.origin, '');
                    var endTimestamp = addResourceSpans(transaction, entry, resourceName, startTime, duration, timeOrigin);
                    // We remember the entry script end time to calculate the difference to the first init mark
                    if (entryScriptStartTimestamp === undefined && (entryScriptSrc || '').indexOf(resourceName) > -1) {
                        entryScriptStartTimestamp = endTimestamp;
                    }
                    break;
                }
                default:
                // Ignore other entry types.
            }
        });
        if (entryScriptStartTimestamp !== undefined && tracingInitMarkStartTime !== undefined) {
            _startChild(transaction, {
                description: 'evaluation',
                endTimestamp: tracingInitMarkStartTime,
                op: 'script',
                startTimestamp: entryScriptStartTimestamp,
            });
        }
        this._performanceCursor = Math.max(performance.getEntries().length - 1, 0);
        this._trackNavigator(transaction);
        // Measurements are only available for pageload transactions
        if (transaction.op === 'pageload') {
            // normalize applicable web vital values to be relative to transaction.startTimestamp
            var timeOrigin_1 = (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.browserPerformanceTimeOrigin);
            // Generate TTFB (Time to First Byte), which measured as the time between the beginning of the transaction and the
            // start of the response in milliseconds
            if (typeof responseStartTimestamp === 'number') {
                _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Measurements] Adding TTFB');
                this._measurements['ttfb'] = { value: (responseStartTimestamp - transaction.startTimestamp) * 1000 };
                if (typeof requestStartTimestamp === 'number' && requestStartTimestamp <= responseStartTimestamp) {
                    // Capture the time spent making the request and receiving the first byte of the response.
                    // This is the time between the start of the request and the start of the response in milliseconds.
                    this._measurements['ttfb.requestTime'] = { value: (responseStartTimestamp - requestStartTimestamp) * 1000 };
                }
            }
            ['fcp', 'fp', 'lcp'].forEach(function (name) {
                if (!_this._measurements[name] || timeOrigin_1 >= transaction.startTimestamp) {
                    return;
                }
                // The web vitals, fcp, fp, lcp, and ttfb, all measure relative to timeOrigin.
                // Unfortunately, timeOrigin is not captured within the transaction span data, so these web vitals will need
                // to be adjusted to be relative to transaction.startTimestamp.
                var oldValue = _this._measurements[name].value;
                var measurementTimestamp = timeOrigin_1 + (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(oldValue);
                // normalizedValue should be in milliseconds
                var normalizedValue = Math.abs((measurementTimestamp - transaction.startTimestamp) * 1000);
                var delta = normalizedValue - oldValue;
                _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log("[Measurements] Normalized " + name + " from " + oldValue + " to " + normalizedValue + " (" + delta + ")");
                _this._measurements[name].value = normalizedValue;
            });
            if (this._measurements['mark.fid'] && this._measurements['fid']) {
                // create span for FID
                _startChild(transaction, {
                    description: 'first input delay',
                    endTimestamp: this._measurements['mark.fid'].value + (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(this._measurements['fid'].value),
                    op: 'web.vitals',
                    startTimestamp: this._measurements['mark.fid'].value,
                });
            }
            transaction.setMeasurements(this._measurements);
            this._tagMetricInfo(transaction);
        }
    };
    /** Add LCP / CLS data to transaction to allow debugging */
    MetricsInstrumentation.prototype._tagMetricInfo = function (transaction) {
        if (this._lcpEntry) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Measurements] Adding LCP Data');
            // Capture Properties of the LCP element that contributes to the LCP.
            if (this._lcpEntry.element) {
                transaction.setTag('lcp.element', (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_6__.htmlTreeAsString)(this._lcpEntry.element));
            }
            if (this._lcpEntry.id) {
                transaction.setTag('lcp.id', this._lcpEntry.id);
            }
            if (this._lcpEntry.url) {
                // Trim URL to the first 200 characters.
                transaction.setTag('lcp.url', this._lcpEntry.url.trim().slice(0, 200));
            }
            transaction.setTag('lcp.size', this._lcpEntry.size);
        }
        if (this._clsEntry) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Measurements] Adding CLS Data');
            this._clsEntry.sources.map(function (source, index) {
                return transaction.setTag("cls.source." + (index + 1), (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_6__.htmlTreeAsString)(source.node));
            });
        }
    };
    /** Starts tracking the Cumulative Layout Shift on the current page. */
    MetricsInstrumentation.prototype._trackCLS = function () {
        var _this = this;
        (0,_web_vitals_getCLS__WEBPACK_IMPORTED_MODULE_7__.getCLS)(function (metric) {
            var entry = metric.entries.pop();
            if (!entry) {
                return;
            }
            _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Measurements] Adding CLS');
            _this._measurements['cls'] = { value: metric.value };
            _this._clsEntry = entry;
        });
    };
    /**
     * Capture the information of the user agent.
     */
    MetricsInstrumentation.prototype._trackNavigator = function (transaction) {
        var navigator = global.navigator;
        if (!navigator) {
            return;
        }
        // track network connectivity
        var connection = navigator.connection;
        if (connection) {
            if (connection.effectiveType) {
                transaction.setTag('effectiveConnectionType', connection.effectiveType);
            }
            if (connection.type) {
                transaction.setTag('connectionType', connection.type);
            }
            if (isMeasurementValue(connection.rtt)) {
                this._measurements['connection.rtt'] = { value: connection.rtt };
            }
            if (isMeasurementValue(connection.downlink)) {
                this._measurements['connection.downlink'] = { value: connection.downlink };
            }
        }
        if (isMeasurementValue(navigator.deviceMemory)) {
            transaction.setTag('deviceMemory', String(navigator.deviceMemory));
        }
        if (isMeasurementValue(navigator.hardwareConcurrency)) {
            transaction.setTag('hardwareConcurrency', String(navigator.hardwareConcurrency));
        }
    };
    /** Starts tracking the Largest Contentful Paint on the current page. */
    MetricsInstrumentation.prototype._trackLCP = function () {
        var _this = this;
        (0,_web_vitals_getLCP__WEBPACK_IMPORTED_MODULE_8__.getLCP)(function (metric) {
            var entry = metric.entries.pop();
            if (!entry) {
                return;
            }
            var timeOrigin = (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.browserPerformanceTimeOrigin);
            var startTime = (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(entry.startTime);
            _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Measurements] Adding LCP');
            _this._measurements['lcp'] = { value: metric.value };
            _this._measurements['mark.lcp'] = { value: timeOrigin + startTime };
            _this._lcpEntry = entry;
        });
    };
    /** Starts tracking the First Input Delay on the current page. */
    MetricsInstrumentation.prototype._trackFID = function () {
        var _this = this;
        (0,_web_vitals_getFID__WEBPACK_IMPORTED_MODULE_9__.getFID)(function (metric) {
            var entry = metric.entries.pop();
            if (!entry) {
                return;
            }
            var timeOrigin = (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.browserPerformanceTimeOrigin);
            var startTime = (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(entry.startTime);
            _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Measurements] Adding FID');
            _this._measurements['fid'] = { value: metric.value };
            _this._measurements['mark.fid'] = { value: timeOrigin + startTime };
        });
    };
    return MetricsInstrumentation;
}());

/** Instrument navigation entries */
function addNavigationSpans(transaction, entry, timeOrigin) {
    addPerformanceNavigationTiming({ transaction: transaction, entry: entry, event: 'unloadEvent', timeOrigin: timeOrigin });
    addPerformanceNavigationTiming({ transaction: transaction, entry: entry, event: 'redirect', timeOrigin: timeOrigin });
    addPerformanceNavigationTiming({ transaction: transaction, entry: entry, event: 'domContentLoadedEvent', timeOrigin: timeOrigin });
    addPerformanceNavigationTiming({ transaction: transaction, entry: entry, event: 'loadEvent', timeOrigin: timeOrigin });
    addPerformanceNavigationTiming({ transaction: transaction, entry: entry, event: 'connect', timeOrigin: timeOrigin });
    addPerformanceNavigationTiming({
        transaction: transaction,
        entry: entry,
        event: 'secureConnection',
        timeOrigin: timeOrigin,
        eventEnd: 'connectEnd',
        description: 'TLS/SSL',
    });
    addPerformanceNavigationTiming({
        transaction: transaction,
        entry: entry,
        event: 'fetch',
        timeOrigin: timeOrigin,
        eventEnd: 'domainLookupStart',
        description: 'cache',
    });
    addPerformanceNavigationTiming({ transaction: transaction, entry: entry, event: 'domainLookup', timeOrigin: timeOrigin, description: 'DNS' });
    addRequest(transaction, entry, timeOrigin);
}
/** Create measure related spans */
function addMeasureSpans(transaction, entry, startTime, duration, timeOrigin) {
    var measureStartTimestamp = timeOrigin + startTime;
    var measureEndTimestamp = measureStartTimestamp + duration;
    _startChild(transaction, {
        description: entry.name,
        endTimestamp: measureEndTimestamp,
        op: entry.entryType,
        startTimestamp: measureStartTimestamp,
    });
    return measureStartTimestamp;
}
/** Create resource-related spans */
function addResourceSpans(transaction, entry, resourceName, startTime, duration, timeOrigin) {
    // we already instrument based on fetch and xhr, so we don't need to
    // duplicate spans here.
    if (entry.initiatorType === 'xmlhttprequest' || entry.initiatorType === 'fetch') {
        return undefined;
    }
    var data = {};
    if ('transferSize' in entry) {
        data['Transfer Size'] = entry.transferSize;
    }
    if ('encodedBodySize' in entry) {
        data['Encoded Body Size'] = entry.encodedBodySize;
    }
    if ('decodedBodySize' in entry) {
        data['Decoded Body Size'] = entry.decodedBodySize;
    }
    var startTimestamp = timeOrigin + startTime;
    var endTimestamp = startTimestamp + duration;
    _startChild(transaction, {
        description: resourceName,
        endTimestamp: endTimestamp,
        op: entry.initiatorType ? "resource." + entry.initiatorType : 'resource',
        startTimestamp: startTimestamp,
        data: data,
    });
    return endTimestamp;
}
/** Create performance navigation related spans */
function addPerformanceNavigationTiming(props) {
    var transaction = props.transaction, entry = props.entry, event = props.event, timeOrigin = props.timeOrigin, eventEnd = props.eventEnd, description = props.description;
    var end = eventEnd ? entry[eventEnd] : entry[event + "End"];
    var start = entry[event + "Start"];
    if (!start || !end) {
        return;
    }
    _startChild(transaction, {
        op: 'browser',
        description: (description !== null && description !== void 0 ? description : event),
        startTimestamp: timeOrigin + (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(start),
        endTimestamp: timeOrigin + (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(end),
    });
}
/** Create request and response related spans */
function addRequest(transaction, entry, timeOrigin) {
    _startChild(transaction, {
        op: 'browser',
        description: 'request',
        startTimestamp: timeOrigin + (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(entry.requestStart),
        endTimestamp: timeOrigin + (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(entry.responseEnd),
    });
    _startChild(transaction, {
        op: 'browser',
        description: 'response',
        startTimestamp: timeOrigin + (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(entry.responseStart),
        endTimestamp: timeOrigin + (0,_utils__WEBPACK_IMPORTED_MODULE_4__.msToSec)(entry.responseEnd),
    });
}
/**
 * Helper function to start child on transactions. This function will make sure that the transaction will
 * use the start timestamp of the created child span if it is earlier than the transactions actual
 * start timestamp.
 */
function _startChild(transaction, _a) {
    var startTimestamp = _a.startTimestamp, ctx = (0,tslib__WEBPACK_IMPORTED_MODULE_10__.__rest)(_a, ["startTimestamp"]);
    if (startTimestamp && transaction.startTimestamp > startTimestamp) {
        transaction.startTimestamp = startTimestamp;
    }
    return transaction.startChild((0,tslib__WEBPACK_IMPORTED_MODULE_10__.__assign)({ startTimestamp: startTimestamp }, ctx));
}
/**
 * Checks if a given value is a valid measurement value.
 */
function isMeasurementValue(value) {
    return typeof value === 'number' && isFinite(value);
}
//# sourceMappingURL=metrics.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/browser/request.js":
/*!*************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/browser/request.js ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "DEFAULT_TRACING_ORIGINS": () => (/* binding */ DEFAULT_TRACING_ORIGINS),
/* harmony export */   "defaultRequestInstrumentationOptions": () => (/* binding */ defaultRequestInstrumentationOptions),
/* harmony export */   "fetchCallback": () => (/* binding */ fetchCallback),
/* harmony export */   "instrumentOutgoingRequests": () => (/* binding */ instrumentOutgoingRequests),
/* harmony export */   "xhrCallback": () => (/* binding */ xhrCallback)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/string.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/instrument.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/is.js");
/* harmony import */ var _spanstatus__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../spanstatus */ "./node_modules/@sentry/tracing/esm/spanstatus.js");
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utils */ "./node_modules/@sentry/tracing/esm/utils.js");




var DEFAULT_TRACING_ORIGINS = ['localhost', /^\//];
var defaultRequestInstrumentationOptions = {
    traceFetch: true,
    traceXHR: true,
    tracingOrigins: DEFAULT_TRACING_ORIGINS,
};
/** Registers span creators for xhr and fetch requests  */
function instrumentOutgoingRequests(_options) {
    // eslint-disable-next-line @typescript-eslint/unbound-method
    var _a = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, defaultRequestInstrumentationOptions), _options), traceFetch = _a.traceFetch, traceXHR = _a.traceXHR, tracingOrigins = _a.tracingOrigins, shouldCreateSpanForRequest = _a.shouldCreateSpanForRequest;
    // We should cache url -> decision so that we don't have to compute
    // regexp everytime we create a request.
    var urlMap = {};
    var defaultShouldCreateSpan = function (url) {
        if (urlMap[url]) {
            return urlMap[url];
        }
        var origins = tracingOrigins;
        urlMap[url] =
            origins.some(function (origin) { return (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.isMatchingPattern)(url, origin); }) &&
                !(0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.isMatchingPattern)(url, 'sentry_key');
        return urlMap[url];
    };
    // We want that our users don't have to re-implement shouldCreateSpanForRequest themselves
    // That's why we filter out already unwanted Spans from tracingOrigins
    var shouldCreateSpan = defaultShouldCreateSpan;
    if (typeof shouldCreateSpanForRequest === 'function') {
        shouldCreateSpan = function (url) {
            return defaultShouldCreateSpan(url) && shouldCreateSpanForRequest(url);
        };
    }
    var spans = {};
    if (traceFetch) {
        (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.addInstrumentationHandler)({
            callback: function (handlerData) {
                fetchCallback(handlerData, shouldCreateSpan, spans);
            },
            type: 'fetch',
        });
    }
    if (traceXHR) {
        (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.addInstrumentationHandler)({
            callback: function (handlerData) {
                xhrCallback(handlerData, shouldCreateSpan, spans);
            },
            type: 'xhr',
        });
    }
}
/**
 * Create and track fetch request spans
 */
function fetchCallback(handlerData, shouldCreateSpan, spans) {
    if (!(0,_utils__WEBPACK_IMPORTED_MODULE_3__.hasTracingEnabled)() || !(handlerData.fetchData && shouldCreateSpan(handlerData.fetchData.url))) {
        return;
    }
    if (handlerData.endTimestamp && handlerData.fetchData.__span) {
        var span = spans[handlerData.fetchData.__span];
        if (span) {
            if (handlerData.response) {
                // TODO (kmclb) remove this once types PR goes through
                // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
                span.setHttpStatus(handlerData.response.status);
            }
            else if (handlerData.error) {
                span.setStatus(_spanstatus__WEBPACK_IMPORTED_MODULE_4__.SpanStatus.InternalError);
            }
            span.finish();
            // eslint-disable-next-line @typescript-eslint/no-dynamic-delete
            delete spans[handlerData.fetchData.__span];
        }
        return;
    }
    var activeTransaction = (0,_utils__WEBPACK_IMPORTED_MODULE_3__.getActiveTransaction)();
    if (activeTransaction) {
        var span = activeTransaction.startChild({
            data: (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, handlerData.fetchData), { type: 'fetch' }),
            description: handlerData.fetchData.method + " " + handlerData.fetchData.url,
            op: 'http',
        });
        handlerData.fetchData.__span = span.spanId;
        spans[span.spanId] = span;
        var request = (handlerData.args[0] = handlerData.args[0]);
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        var options = (handlerData.args[1] = handlerData.args[1] || {});
        var headers = options.headers;
        if ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_5__.isInstanceOf)(request, Request)) {
            headers = request.headers;
        }
        if (headers) {
            // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
            if (typeof headers.append === 'function') {
                // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
                headers.append('sentry-trace', span.toTraceparent());
            }
            else if (Array.isArray(headers)) {
                headers = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__spread)(headers, [['sentry-trace', span.toTraceparent()]]);
            }
            else {
                headers = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, headers), { 'sentry-trace': span.toTraceparent() });
            }
        }
        else {
            headers = { 'sentry-trace': span.toTraceparent() };
        }
        options.headers = headers;
    }
}
/**
 * Create and track xhr request spans
 */
function xhrCallback(handlerData, shouldCreateSpan, spans) {
    var _a, _b;
    if (!(0,_utils__WEBPACK_IMPORTED_MODULE_3__.hasTracingEnabled)() || ((_a = handlerData.xhr) === null || _a === void 0 ? void 0 : _a.__sentry_own_request__) ||
        !(((_b = handlerData.xhr) === null || _b === void 0 ? void 0 : _b.__sentry_xhr__) && shouldCreateSpan(handlerData.xhr.__sentry_xhr__.url))) {
        return;
    }
    var xhr = handlerData.xhr.__sentry_xhr__;
    // check first if the request has finished and is tracked by an existing span which should now end
    if (handlerData.endTimestamp && handlerData.xhr.__sentry_xhr_span_id__) {
        var span = spans[handlerData.xhr.__sentry_xhr_span_id__];
        if (span) {
            span.setHttpStatus(xhr.status_code);
            span.finish();
            // eslint-disable-next-line @typescript-eslint/no-dynamic-delete
            delete spans[handlerData.xhr.__sentry_xhr_span_id__];
        }
        return;
    }
    // if not, create a new span to track it
    var activeTransaction = (0,_utils__WEBPACK_IMPORTED_MODULE_3__.getActiveTransaction)();
    if (activeTransaction) {
        var span = activeTransaction.startChild({
            data: (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, xhr.data), { type: 'xhr', method: xhr.method, url: xhr.url }),
            description: xhr.method + " " + xhr.url,
            op: 'http',
        });
        handlerData.xhr.__sentry_xhr_span_id__ = span.spanId;
        spans[handlerData.xhr.__sentry_xhr_span_id__] = span;
        if (handlerData.xhr.setRequestHeader) {
            try {
                handlerData.xhr.setRequestHeader('sentry-trace', span.toTraceparent());
            }
            catch (_) {
                // Error: InvalidStateError: Failed to execute 'setRequestHeader' on 'XMLHttpRequest': The object's state must be OPENED.
            }
        }
    }
}
//# sourceMappingURL=request.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/browser/router.js":
/*!************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/browser/router.js ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "instrumentRoutingWithDefaults": () => (/* binding */ instrumentRoutingWithDefaults)
/* harmony export */ });
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/instrument.js");

var global = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.getGlobalObject)();
/**
 * Default function implementing pageload and navigation transactions
 */
function instrumentRoutingWithDefaults(customStartTransaction, startTransactionOnPageLoad, startTransactionOnLocationChange) {
    if (startTransactionOnPageLoad === void 0) { startTransactionOnPageLoad = true; }
    if (startTransactionOnLocationChange === void 0) { startTransactionOnLocationChange = true; }
    if (!global || !global.location) {
        _sentry_utils__WEBPACK_IMPORTED_MODULE_1__.logger.warn('Could not initialize routing instrumentation due to invalid location');
        return;
    }
    var startingUrl = global.location.href;
    var activeTransaction;
    if (startTransactionOnPageLoad) {
        activeTransaction = customStartTransaction({ name: global.location.pathname, op: 'pageload' });
    }
    if (startTransactionOnLocationChange) {
        (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.addInstrumentationHandler)({
            callback: function (_a) {
                var to = _a.to, from = _a.from;
                /**
                 * This early return is there to account for some cases where a navigation transaction starts right after
                 * long-running pageload. We make sure that if `from` is undefined and a valid `startingURL` exists, we don't
                 * create an uneccessary navigation transaction.
                 *
                 * This was hard to duplicate, but this behavior stopped as soon as this fix was applied. This issue might also
                 * only be caused in certain development environments where the usage of a hot module reloader is causing
                 * errors.
                 */
                if (from === undefined && startingUrl && startingUrl.indexOf(to) !== -1) {
                    startingUrl = undefined;
                    return;
                }
                if (from !== to) {
                    startingUrl = undefined;
                    if (activeTransaction) {
                        _sentry_utils__WEBPACK_IMPORTED_MODULE_1__.logger.log("[Tracing] Finishing current transaction with op: " + activeTransaction.op);
                        // If there's an open transaction on the scope, we need to finish it before creating an new one.
                        activeTransaction.finish();
                    }
                    activeTransaction = customStartTransaction({ name: global.location.pathname, op: 'navigation' });
                }
            },
            type: 'history',
        });
    }
}
//# sourceMappingURL=router.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/browser/web-vitals/getCLS.js":
/*!***********************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/browser/web-vitals/getCLS.js ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "getCLS": () => (/* binding */ getCLS)
/* harmony export */ });
/* harmony import */ var _lib_bindReporter__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./lib/bindReporter */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/bindReporter.js");
/* harmony import */ var _lib_initMetric__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./lib/initMetric */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/initMetric.js");
/* harmony import */ var _lib_observe__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./lib/observe */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/observe.js");
/* harmony import */ var _lib_onHidden__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./lib/onHidden */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/onHidden.js");
/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */




var getCLS = function (onReport, reportAllChanges) {
    if (reportAllChanges === void 0) { reportAllChanges = false; }
    var metric = (0,_lib_initMetric__WEBPACK_IMPORTED_MODULE_0__.initMetric)('CLS', 0);
    var report;
    var entryHandler = function (entry) {
        // Only count layout shifts without recent user input.
        if (!entry.hadRecentInput) {
            metric.value += entry.value;
            metric.entries.push(entry);
            report();
        }
    };
    var po = (0,_lib_observe__WEBPACK_IMPORTED_MODULE_1__.observe)('layout-shift', entryHandler);
    if (po) {
        report = (0,_lib_bindReporter__WEBPACK_IMPORTED_MODULE_2__.bindReporter)(onReport, metric, po, reportAllChanges);
        (0,_lib_onHidden__WEBPACK_IMPORTED_MODULE_3__.onHidden)(function (_a) {
            var isUnloading = _a.isUnloading;
            po.takeRecords().map(entryHandler);
            if (isUnloading) {
                metric.isFinal = true;
            }
            report();
        });
    }
};
//# sourceMappingURL=getCLS.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/browser/web-vitals/getFID.js":
/*!***********************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/browser/web-vitals/getFID.js ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "getFID": () => (/* binding */ getFID)
/* harmony export */ });
/* harmony import */ var _lib_bindReporter__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./lib/bindReporter */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/bindReporter.js");
/* harmony import */ var _lib_getFirstHidden__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./lib/getFirstHidden */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/getFirstHidden.js");
/* harmony import */ var _lib_initMetric__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./lib/initMetric */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/initMetric.js");
/* harmony import */ var _lib_observe__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./lib/observe */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/observe.js");
/* harmony import */ var _lib_onHidden__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./lib/onHidden */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/onHidden.js");
/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */





var getFID = function (onReport) {
    var metric = (0,_lib_initMetric__WEBPACK_IMPORTED_MODULE_0__.initMetric)('FID');
    var firstHidden = (0,_lib_getFirstHidden__WEBPACK_IMPORTED_MODULE_1__.getFirstHidden)();
    var entryHandler = function (entry) {
        // Only report if the page wasn't hidden prior to the first input.
        if (entry.startTime < firstHidden.timeStamp) {
            metric.value = entry.processingStart - entry.startTime;
            metric.entries.push(entry);
            metric.isFinal = true;
            report();
        }
    };
    var po = (0,_lib_observe__WEBPACK_IMPORTED_MODULE_2__.observe)('first-input', entryHandler);
    var report = (0,_lib_bindReporter__WEBPACK_IMPORTED_MODULE_3__.bindReporter)(onReport, metric, po);
    if (po) {
        (0,_lib_onHidden__WEBPACK_IMPORTED_MODULE_4__.onHidden)(function () {
            po.takeRecords().map(entryHandler);
            po.disconnect();
        }, true);
    }
    else {
        if (window.perfMetrics && window.perfMetrics.onFirstInputDelay) {
            window.perfMetrics.onFirstInputDelay(function (value, event) {
                // Only report if the page wasn't hidden prior to the first input.
                if (event.timeStamp < firstHidden.timeStamp) {
                    metric.value = value;
                    metric.isFinal = true;
                    metric.entries = [
                        {
                            entryType: 'first-input',
                            name: event.type,
                            target: event.target,
                            cancelable: event.cancelable,
                            startTime: event.timeStamp,
                            processingStart: event.timeStamp + value,
                        },
                    ];
                    report();
                }
            });
        }
    }
};
//# sourceMappingURL=getFID.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/browser/web-vitals/getLCP.js":
/*!***********************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/browser/web-vitals/getLCP.js ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "getLCP": () => (/* binding */ getLCP)
/* harmony export */ });
/* harmony import */ var _lib_bindReporter__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./lib/bindReporter */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/bindReporter.js");
/* harmony import */ var _lib_getFirstHidden__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./lib/getFirstHidden */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/getFirstHidden.js");
/* harmony import */ var _lib_initMetric__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./lib/initMetric */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/initMetric.js");
/* harmony import */ var _lib_observe__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./lib/observe */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/observe.js");
/* harmony import */ var _lib_onHidden__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./lib/onHidden */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/onHidden.js");
/* harmony import */ var _lib_whenInput__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./lib/whenInput */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/whenInput.js");
/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */






var getLCP = function (onReport, reportAllChanges) {
    if (reportAllChanges === void 0) { reportAllChanges = false; }
    var metric = (0,_lib_initMetric__WEBPACK_IMPORTED_MODULE_0__.initMetric)('LCP');
    var firstHidden = (0,_lib_getFirstHidden__WEBPACK_IMPORTED_MODULE_1__.getFirstHidden)();
    var report;
    var entryHandler = function (entry) {
        // The startTime attribute returns the value of the renderTime if it is not 0,
        // and the value of the loadTime otherwise.
        var value = entry.startTime;
        // If the page was hidden prior to paint time of the entry,
        // ignore it and mark the metric as final, otherwise add the entry.
        if (value < firstHidden.timeStamp) {
            metric.value = value;
            metric.entries.push(entry);
        }
        else {
            metric.isFinal = true;
        }
        report();
    };
    var po = (0,_lib_observe__WEBPACK_IMPORTED_MODULE_2__.observe)('largest-contentful-paint', entryHandler);
    if (po) {
        report = (0,_lib_bindReporter__WEBPACK_IMPORTED_MODULE_3__.bindReporter)(onReport, metric, po, reportAllChanges);
        var onFinal = function () {
            if (!metric.isFinal) {
                po.takeRecords().map(entryHandler);
                metric.isFinal = true;
                report();
            }
        };
        void (0,_lib_whenInput__WEBPACK_IMPORTED_MODULE_4__.whenInput)().then(onFinal);
        (0,_lib_onHidden__WEBPACK_IMPORTED_MODULE_5__.onHidden)(onFinal, true);
    }
};
//# sourceMappingURL=getLCP.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/bindReporter.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/bindReporter.js ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "bindReporter": () => (/* binding */ bindReporter)
/* harmony export */ });
/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var bindReporter = function (callback, metric, po, observeAllUpdates) {
    var prevValue;
    return function () {
        if (po && metric.isFinal) {
            po.disconnect();
        }
        if (metric.value >= 0) {
            if (observeAllUpdates || metric.isFinal || document.visibilityState === 'hidden') {
                metric.delta = metric.value - (prevValue || 0);
                // Report the metric if there's a non-zero delta, if the metric is
                // final, or if no previous value exists (which can happen in the case
                // of the document becoming hidden when the metric value is 0).
                // See: https://github.com/GoogleChrome/web-vitals/issues/14
                if (metric.delta || metric.isFinal || prevValue === undefined) {
                    callback(metric);
                    prevValue = metric.value;
                }
            }
        }
    };
};
//# sourceMappingURL=bindReporter.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/generateUniqueID.js":
/*!*************************************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/generateUniqueID.js ***!
  \*************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "generateUniqueID": () => (/* binding */ generateUniqueID)
/* harmony export */ });
/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * Performantly generate a unique, 27-char string by combining the current
 * timestamp with a 13-digit random number.
 * @return {string}
 */
var generateUniqueID = function () {
    return Date.now() + "-" + (Math.floor(Math.random() * (9e12 - 1)) + 1e12);
};
//# sourceMappingURL=generateUniqueID.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/getFirstHidden.js":
/*!***********************************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/getFirstHidden.js ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "getFirstHidden": () => (/* binding */ getFirstHidden)
/* harmony export */ });
/* harmony import */ var _onHidden__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./onHidden */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/onHidden.js");
/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

var firstHiddenTime;
var getFirstHidden = function () {
    if (firstHiddenTime === undefined) {
        // If the document is hidden when this code runs, assume it was hidden
        // since navigation start. This isn't a perfect heuristic, but it's the
        // best we can do until an API is available to support querying past
        // visibilityState.
        firstHiddenTime = document.visibilityState === 'hidden' ? 0 : Infinity;
        // Update the time if/when the document becomes hidden.
        (0,_onHidden__WEBPACK_IMPORTED_MODULE_0__.onHidden)(function (_a) {
            var timeStamp = _a.timeStamp;
            return (firstHiddenTime = timeStamp);
        }, true);
    }
    return {
        get timeStamp() {
            return firstHiddenTime;
        },
    };
};
//# sourceMappingURL=getFirstHidden.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/initMetric.js":
/*!*******************************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/initMetric.js ***!
  \*******************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "initMetric": () => (/* binding */ initMetric)
/* harmony export */ });
/* harmony import */ var _generateUniqueID__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./generateUniqueID */ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/generateUniqueID.js");
/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

var initMetric = function (name, value) {
    if (value === void 0) { value = -1; }
    return {
        name: name,
        value: value,
        delta: 0,
        entries: [],
        id: (0,_generateUniqueID__WEBPACK_IMPORTED_MODULE_0__.generateUniqueID)(),
        isFinal: false,
    };
};
//# sourceMappingURL=initMetric.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/observe.js":
/*!****************************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/observe.js ***!
  \****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "observe": () => (/* binding */ observe)
/* harmony export */ });
/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * Takes a performance entry type and a callback function, and creates a
 * `PerformanceObserver` instance that will observe the specified entry type
 * with buffering enabled and call the callback _for each entry_.
 *
 * This function also feature-detects entry support and wraps the logic in a
 * try/catch to avoid errors in unsupporting browsers.
 */
var observe = function (type, callback) {
    try {
        if (PerformanceObserver.supportedEntryTypes.includes(type)) {
            var po = new PerformanceObserver(function (l) { return l.getEntries().map(callback); });
            po.observe({ type: type, buffered: true });
            return po;
        }
    }
    catch (e) {
        // Do nothing.
    }
    return;
};
//# sourceMappingURL=observe.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/onHidden.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/onHidden.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "onHidden": () => (/* binding */ onHidden)
/* harmony export */ });
/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var isUnloading = false;
var listenersAdded = false;
var onPageHide = function (event) {
    isUnloading = !event.persisted;
};
var addListeners = function () {
    addEventListener('pagehide', onPageHide);
    // `beforeunload` is needed to fix this bug:
    // https://bugs.chromium.org/p/chromium/issues/detail?id=987409
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    addEventListener('beforeunload', function () { });
};
var onHidden = function (cb, once) {
    if (once === void 0) { once = false; }
    if (!listenersAdded) {
        addListeners();
        listenersAdded = true;
    }
    addEventListener('visibilitychange', function (_a) {
        var timeStamp = _a.timeStamp;
        if (document.visibilityState === 'hidden') {
            cb({ timeStamp: timeStamp, isUnloading: isUnloading });
        }
    }, { capture: true, once: once });
};
//# sourceMappingURL=onHidden.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/whenInput.js":
/*!******************************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/browser/web-vitals/lib/whenInput.js ***!
  \******************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "whenInput": () => (/* binding */ whenInput)
/* harmony export */ });
/*
 * Copyright 2020 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
var inputPromise;
var whenInput = function () {
    if (!inputPromise) {
        inputPromise = new Promise(function (r) {
            return ['scroll', 'keydown', 'pointerdown'].map(function (type) {
                addEventListener(type, r, {
                    once: true,
                    passive: true,
                    capture: true,
                });
            });
        });
    }
    return inputPromise;
};
//# sourceMappingURL=whenInput.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/errors.js":
/*!****************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/errors.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "registerErrorInstrumentation": () => (/* binding */ registerErrorInstrumentation)
/* harmony export */ });
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/instrument.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _spanstatus__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./spanstatus */ "./node_modules/@sentry/tracing/esm/spanstatus.js");
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./utils */ "./node_modules/@sentry/tracing/esm/utils.js");



/**
 * Configures global error listeners
 */
function registerErrorInstrumentation() {
    (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.addInstrumentationHandler)({
        callback: errorCallback,
        type: 'error',
    });
    (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.addInstrumentationHandler)({
        callback: errorCallback,
        type: 'unhandledrejection',
    });
}
/**
 * If an error or unhandled promise occurs, we mark the active transaction as failed
 */
function errorCallback() {
    var activeTransaction = (0,_utils__WEBPACK_IMPORTED_MODULE_1__.getActiveTransaction)();
    if (activeTransaction) {
        _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.log("[Tracing] Transaction: " + _spanstatus__WEBPACK_IMPORTED_MODULE_3__.SpanStatus.InternalError + " -> Global error occured");
        activeTransaction.setStatus(_spanstatus__WEBPACK_IMPORTED_MODULE_3__.SpanStatus.InternalError);
    }
}
//# sourceMappingURL=errors.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/hubextensions.js":
/*!***********************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/hubextensions.js ***!
  \***********************************************************/
/***/ ((module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "_addTracingExtensions": () => (/* binding */ _addTracingExtensions),
/* harmony export */   "addExtensionMethods": () => (/* binding */ addExtensionMethods),
/* harmony export */   "startIdleTransaction": () => (/* binding */ startIdleTransaction)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_hub__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! @sentry/hub */ "./node_modules/@sentry/hub/esm/hub.js");
/* harmony import */ var _sentry_types__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/types */ "./node_modules/@sentry/types/esm/transaction.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/node.js");
/* harmony import */ var _errors__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./errors */ "./node_modules/@sentry/tracing/esm/errors.js");
/* harmony import */ var _idletransaction__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./idletransaction */ "./node_modules/@sentry/tracing/esm/idletransaction.js");
/* harmony import */ var _transaction__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./transaction */ "./node_modules/@sentry/tracing/esm/transaction.js");
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./utils */ "./node_modules/@sentry/tracing/esm/utils.js");
/* module decorator */ module = __webpack_require__.hmd(module);








/** Returns all trace headers that are currently on the top scope. */
function traceHeaders() {
    var scope = this.getScope();
    if (scope) {
        var span = scope.getSpan();
        if (span) {
            return {
                'sentry-trace': span.toTraceparent(),
            };
        }
    }
    return {};
}
/**
 * Makes a sampling decision for the given transaction and stores it on the transaction.
 *
 * Called every time a transaction is created. Only transactions which emerge with a `sampled` value of `true` will be
 * sent to Sentry.
 *
 * @param hub: The hub off of which to read config options
 * @param transaction: The transaction needing a sampling decision
 * @param samplingContext: Default and user-provided data which may be used to help make the decision
 *
 * @returns The given transaction with its `sampled` value set
 */
function sample(transaction, options, samplingContext) {
    // nothing to do if tracing is not enabled
    if (!(0,_utils__WEBPACK_IMPORTED_MODULE_0__.hasTracingEnabled)()) {
        transaction.sampled = false;
        return transaction;
    }
    // if the user has forced a sampling decision by passing a `sampled` value in their transaction context, go with that
    if (transaction.sampled !== undefined) {
        transaction.setMetadata({
            transactionSampling: { method: _sentry_types__WEBPACK_IMPORTED_MODULE_1__.TransactionSamplingMethod.Explicit },
        });
        return transaction;
    }
    // we would have bailed already if neither `tracesSampler` nor `tracesSampleRate` were defined, so one of these should
    // work; prefer the hook if so
    var sampleRate;
    if (typeof options.tracesSampler === 'function') {
        sampleRate = options.tracesSampler(samplingContext);
        transaction.setMetadata({
            transactionSampling: {
                method: _sentry_types__WEBPACK_IMPORTED_MODULE_1__.TransactionSamplingMethod.Sampler,
                // cast to number in case it's a boolean
                rate: Number(sampleRate),
            },
        });
    }
    else if (samplingContext.parentSampled !== undefined) {
        sampleRate = samplingContext.parentSampled;
        transaction.setMetadata({
            transactionSampling: { method: _sentry_types__WEBPACK_IMPORTED_MODULE_1__.TransactionSamplingMethod.Inheritance },
        });
    }
    else {
        sampleRate = options.tracesSampleRate;
        transaction.setMetadata({
            transactionSampling: {
                method: _sentry_types__WEBPACK_IMPORTED_MODULE_1__.TransactionSamplingMethod.Rate,
                // cast to number in case it's a boolean
                rate: Number(sampleRate),
            },
        });
    }
    // Since this is coming from the user (or from a function provided by the user), who knows what we might get. (The
    // only valid values are booleans or numbers between 0 and 1.)
    if (!isValidSampleRate(sampleRate)) {
        _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.warn("[Tracing] Discarding transaction because of invalid sample rate.");
        transaction.sampled = false;
        return transaction;
    }
    // if the function returned 0 (or false), or if `tracesSampleRate` is 0, it's a sign the transaction should be dropped
    if (!sampleRate) {
        _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.log("[Tracing] Discarding transaction because " + (typeof options.tracesSampler === 'function'
            ? 'tracesSampler returned 0 or false'
            : 'a negative sampling decision was inherited or tracesSampleRate is set to 0'));
        transaction.sampled = false;
        return transaction;
    }
    // Now we roll the dice. Math.random is inclusive of 0, but not of 1, so strict < is safe here. In case sampleRate is
    // a boolean, the < comparison will cause it to be automatically cast to 1 if it's true and 0 if it's false.
    transaction.sampled = Math.random() < sampleRate;
    // if we're not going to keep it, we're done
    if (!transaction.sampled) {
        _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.log("[Tracing] Discarding transaction because it's not included in the random sample (sampling rate = " + Number(sampleRate) + ")");
        return transaction;
    }
    _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.log("[Tracing] starting " + transaction.op + " transaction - " + transaction.name);
    return transaction;
}
/**
 * Checks the given sample rate to make sure it is valid type and value (a boolean, or a number between 0 and 1).
 */
function isValidSampleRate(rate) {
    // we need to check NaN explicitly because it's of type 'number' and therefore wouldn't get caught by this typecheck
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    if (isNaN(rate) || !(typeof rate === 'number' || typeof rate === 'boolean')) {
        _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.warn("[Tracing] Given sample rate is invalid. Sample rate must be a boolean or a number between 0 and 1. Got " + JSON.stringify(rate) + " of type " + JSON.stringify(typeof rate) + ".");
        return false;
    }
    // in case sampleRate is a boolean, it will get automatically cast to 1 if it's true and 0 if it's false
    if (rate < 0 || rate > 1) {
        _sentry_utils__WEBPACK_IMPORTED_MODULE_2__.logger.warn("[Tracing] Given sample rate is invalid. Sample rate must be between 0 and 1. Got " + rate + ".");
        return false;
    }
    return true;
}
/**
 * Creates a new transaction and adds a sampling decision if it doesn't yet have one.
 *
 * The Hub.startTransaction method delegates to this method to do its work, passing the Hub instance in as `this`, as if
 * it had been called on the hub directly. Exists as a separate function so that it can be injected into the class as an
 * "extension method."
 *
 * @param this: The Hub starting the transaction
 * @param transactionContext: Data used to configure the transaction
 * @param CustomSamplingContext: Optional data to be provided to the `tracesSampler` function (if any)
 *
 * @returns The new transaction
 *
 * @see {@link Hub.startTransaction}
 */
function _startTransaction(transactionContext, customSamplingContext) {
    var _a, _b;
    var options = ((_a = this.getClient()) === null || _a === void 0 ? void 0 : _a.getOptions()) || {};
    var transaction = new _transaction__WEBPACK_IMPORTED_MODULE_3__.Transaction(transactionContext, this);
    transaction = sample(transaction, options, (0,tslib__WEBPACK_IMPORTED_MODULE_4__.__assign)({ parentSampled: transactionContext.parentSampled, transactionContext: transactionContext }, customSamplingContext));
    if (transaction.sampled) {
        transaction.initSpanRecorder((_b = options._experiments) === null || _b === void 0 ? void 0 : _b.maxSpans);
    }
    return transaction;
}
/**
 * Create new idle transaction.
 */
function startIdleTransaction(hub, transactionContext, idleTimeout, onScope, customSamplingContext) {
    var _a, _b;
    var options = ((_a = hub.getClient()) === null || _a === void 0 ? void 0 : _a.getOptions()) || {};
    var transaction = new _idletransaction__WEBPACK_IMPORTED_MODULE_5__.IdleTransaction(transactionContext, hub, idleTimeout, onScope);
    transaction = sample(transaction, options, (0,tslib__WEBPACK_IMPORTED_MODULE_4__.__assign)({ parentSampled: transactionContext.parentSampled, transactionContext: transactionContext }, customSamplingContext));
    if (transaction.sampled) {
        transaction.initSpanRecorder((_b = options._experiments) === null || _b === void 0 ? void 0 : _b.maxSpans);
    }
    return transaction;
}
/**
 * @private
 */
function _addTracingExtensions() {
    var carrier = (0,_sentry_hub__WEBPACK_IMPORTED_MODULE_6__.getMainCarrier)();
    if (!carrier.__SENTRY__) {
        return;
    }
    carrier.__SENTRY__.extensions = carrier.__SENTRY__.extensions || {};
    if (!carrier.__SENTRY__.extensions.startTransaction) {
        carrier.__SENTRY__.extensions.startTransaction = _startTransaction;
    }
    if (!carrier.__SENTRY__.extensions.traceHeaders) {
        carrier.__SENTRY__.extensions.traceHeaders = traceHeaders;
    }
}
/**
 * @private
 */
function _autoloadDatabaseIntegrations() {
    var carrier = (0,_sentry_hub__WEBPACK_IMPORTED_MODULE_6__.getMainCarrier)();
    if (!carrier.__SENTRY__) {
        return;
    }
    var packageToIntegrationMapping = {
        mongodb: function () {
            var integration = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_7__.dynamicRequire)(module, './integrations/mongo');
            return new integration.Mongo();
        },
        mongoose: function () {
            var integration = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_7__.dynamicRequire)(module, './integrations/mongo');
            return new integration.Mongo({ mongoose: true });
        },
        mysql: function () {
            var integration = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_7__.dynamicRequire)(module, './integrations/mysql');
            return new integration.Mysql();
        },
        pg: function () {
            var integration = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_7__.dynamicRequire)(module, './integrations/postgres');
            return new integration.Postgres();
        },
    };
    var mappedPackages = Object.keys(packageToIntegrationMapping)
        .filter(function (moduleName) { return !!(0,_sentry_utils__WEBPACK_IMPORTED_MODULE_7__.loadModule)(moduleName); })
        .map(function (pkg) {
        try {
            return packageToIntegrationMapping[pkg]();
        }
        catch (e) {
            return undefined;
        }
    })
        .filter(function (p) { return p; });
    if (mappedPackages.length > 0) {
        carrier.__SENTRY__.integrations = (0,tslib__WEBPACK_IMPORTED_MODULE_4__.__spread)((carrier.__SENTRY__.integrations || []), mappedPackages);
    }
}
/**
 * This patches the global object and injects the Tracing extensions methods
 */
function addExtensionMethods() {
    _addTracingExtensions();
    // Detect and automatically load specified integrations.
    if ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_7__.isNodeEnv)()) {
        _autoloadDatabaseIntegrations();
    }
    // If an error happens globally, we should make sure transaction status is set to error.
    (0,_errors__WEBPACK_IMPORTED_MODULE_8__.registerErrorInstrumentation)();
}
//# sourceMappingURL=hubextensions.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/idletransaction.js":
/*!*************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/idletransaction.js ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "DEFAULT_IDLE_TIMEOUT": () => (/* binding */ DEFAULT_IDLE_TIMEOUT),
/* harmony export */   "IdleTransaction": () => (/* binding */ IdleTransaction),
/* harmony export */   "IdleTransactionSpanRecorder": () => (/* binding */ IdleTransactionSpanRecorder)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/time.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _span__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./span */ "./node_modules/@sentry/tracing/esm/span.js");
/* harmony import */ var _spanstatus__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./spanstatus */ "./node_modules/@sentry/tracing/esm/spanstatus.js");
/* harmony import */ var _transaction__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./transaction */ "./node_modules/@sentry/tracing/esm/transaction.js");





var DEFAULT_IDLE_TIMEOUT = 1000;
/**
 * @inheritDoc
 */
var IdleTransactionSpanRecorder = /** @class */ (function (_super) {
    (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__extends)(IdleTransactionSpanRecorder, _super);
    function IdleTransactionSpanRecorder(_pushActivity, _popActivity, transactionSpanId, maxlen) {
        if (transactionSpanId === void 0) { transactionSpanId = ''; }
        var _this = _super.call(this, maxlen) || this;
        _this._pushActivity = _pushActivity;
        _this._popActivity = _popActivity;
        _this.transactionSpanId = transactionSpanId;
        return _this;
    }
    /**
     * @inheritDoc
     */
    IdleTransactionSpanRecorder.prototype.add = function (span) {
        var _this = this;
        // We should make sure we do not push and pop activities for
        // the transaction that this span recorder belongs to.
        if (span.spanId !== this.transactionSpanId) {
            // We patch span.finish() to pop an activity after setting an endTimestamp.
            span.finish = function (endTimestamp) {
                span.endTimestamp = typeof endTimestamp === 'number' ? endTimestamp : (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.timestampWithMs)();
                _this._popActivity(span.spanId);
            };
            // We should only push new activities if the span does not have an end timestamp.
            if (span.endTimestamp === undefined) {
                this._pushActivity(span.spanId);
            }
        }
        _super.prototype.add.call(this, span);
    };
    return IdleTransactionSpanRecorder;
}(_span__WEBPACK_IMPORTED_MODULE_2__.SpanRecorder));

/**
 * An IdleTransaction is a transaction that automatically finishes. It does this by tracking child spans as activities.
 * You can have multiple IdleTransactions active, but if the `onScope` option is specified, the idle transaction will
 * put itself on the scope on creation.
 */
var IdleTransaction = /** @class */ (function (_super) {
    (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__extends)(IdleTransaction, _super);
    function IdleTransaction(transactionContext, _idleHub, 
    // The time to wait in ms until the idle transaction will be finished. Default: 1000
    _idleTimeout, 
    // If an idle transaction should be put itself on and off the scope automatically.
    _onScope) {
        if (_idleTimeout === void 0) { _idleTimeout = DEFAULT_IDLE_TIMEOUT; }
        if (_onScope === void 0) { _onScope = false; }
        var _this = _super.call(this, transactionContext, _idleHub) || this;
        _this._idleHub = _idleHub;
        _this._idleTimeout = _idleTimeout;
        _this._onScope = _onScope;
        // Activities store a list of active spans
        _this.activities = {};
        // Stores reference to the timeout that calls _beat().
        _this._heartbeatTimer = 0;
        // Amount of times heartbeat has counted. Will cause transaction to finish after 3 beats.
        _this._heartbeatCounter = 0;
        // We should not use heartbeat if we finished a transaction
        _this._finished = false;
        _this._beforeFinishCallbacks = [];
        if (_idleHub && _onScope) {
            // There should only be one active transaction on the scope
            clearActiveTransaction(_idleHub);
            // We set the transaction here on the scope so error events pick up the trace
            // context and attach it to the error.
            _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log("Setting idle transaction on scope. Span ID: " + _this.spanId);
            _idleHub.configureScope(function (scope) { return scope.setSpan(_this); });
        }
        _this._initTimeout = setTimeout(function () {
            if (!_this._finished) {
                _this.finish();
            }
        }, _this._idleTimeout);
        return _this;
    }
    /** {@inheritDoc} */
    IdleTransaction.prototype.finish = function (endTimestamp) {
        var e_1, _a;
        var _this = this;
        if (endTimestamp === void 0) { endTimestamp = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.timestampWithMs)(); }
        this._finished = true;
        this.activities = {};
        if (this.spanRecorder) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Tracing] finishing IdleTransaction', new Date(endTimestamp * 1000).toISOString(), this.op);
            try {
                for (var _b = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__values)(this._beforeFinishCallbacks), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var callback = _c.value;
                    callback(this, endTimestamp);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
            this.spanRecorder.spans = this.spanRecorder.spans.filter(function (span) {
                // If we are dealing with the transaction itself, we just return it
                if (span.spanId === _this.spanId) {
                    return true;
                }
                // We cancel all pending spans with status "cancelled" to indicate the idle transaction was finished early
                if (!span.endTimestamp) {
                    span.endTimestamp = endTimestamp;
                    span.setStatus(_spanstatus__WEBPACK_IMPORTED_MODULE_4__.SpanStatus.Cancelled);
                    _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Tracing] cancelling span since transaction ended early', JSON.stringify(span, undefined, 2));
                }
                var keepSpan = span.startTimestamp < endTimestamp;
                if (!keepSpan) {
                    _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Tracing] discarding Span since it happened after Transaction was finished', JSON.stringify(span, undefined, 2));
                }
                return keepSpan;
            });
            _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Tracing] flushing IdleTransaction');
        }
        else {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Tracing] No active IdleTransaction');
        }
        // this._onScope is true if the transaction was previously on the scope.
        if (this._onScope) {
            clearActiveTransaction(this._idleHub);
        }
        return _super.prototype.finish.call(this, endTimestamp);
    };
    /**
     * Register a callback function that gets excecuted before the transaction finishes.
     * Useful for cleanup or if you want to add any additional spans based on current context.
     *
     * This is exposed because users have no other way of running something before an idle transaction
     * finishes.
     */
    IdleTransaction.prototype.registerBeforeFinishCallback = function (callback) {
        this._beforeFinishCallbacks.push(callback);
    };
    /**
     * @inheritDoc
     */
    IdleTransaction.prototype.initSpanRecorder = function (maxlen) {
        var _this = this;
        if (!this.spanRecorder) {
            var pushActivity = function (id) {
                if (_this._finished) {
                    return;
                }
                _this._pushActivity(id);
            };
            var popActivity = function (id) {
                if (_this._finished) {
                    return;
                }
                _this._popActivity(id);
            };
            this.spanRecorder = new IdleTransactionSpanRecorder(pushActivity, popActivity, this.spanId, maxlen);
            // Start heartbeat so that transactions do not run forever.
            _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('Starting heartbeat');
            this._pingHeartbeat();
        }
        this.spanRecorder.add(this);
    };
    /**
     * Start tracking a specific activity.
     * @param spanId The span id that represents the activity
     */
    IdleTransaction.prototype._pushActivity = function (spanId) {
        if (this._initTimeout) {
            clearTimeout(this._initTimeout);
            this._initTimeout = undefined;
        }
        _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log("[Tracing] pushActivity: " + spanId);
        this.activities[spanId] = true;
        _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Tracing] new activities count', Object.keys(this.activities).length);
    };
    /**
     * Remove an activity from usage
     * @param spanId The span id that represents the activity
     */
    IdleTransaction.prototype._popActivity = function (spanId) {
        var _this = this;
        if (this.activities[spanId]) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log("[Tracing] popActivity " + spanId);
            // eslint-disable-next-line @typescript-eslint/no-dynamic-delete
            delete this.activities[spanId];
            _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log('[Tracing] new activities count', Object.keys(this.activities).length);
        }
        if (Object.keys(this.activities).length === 0) {
            var timeout = this._idleTimeout;
            // We need to add the timeout here to have the real endtimestamp of the transaction
            // Remember timestampWithMs is in seconds, timeout is in ms
            var end_1 = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.timestampWithMs)() + timeout / 1000;
            setTimeout(function () {
                if (!_this._finished) {
                    _this.finish(end_1);
                }
            }, timeout);
        }
    };
    /**
     * Checks when entries of this.activities are not changing for 3 beats.
     * If this occurs we finish the transaction.
     */
    IdleTransaction.prototype._beat = function () {
        clearTimeout(this._heartbeatTimer);
        // We should not be running heartbeat if the idle transaction is finished.
        if (this._finished) {
            return;
        }
        var keys = Object.keys(this.activities);
        var heartbeatString = keys.length ? keys.reduce(function (prev, current) { return prev + current; }) : '';
        if (heartbeatString === this._prevHeartbeatString) {
            this._heartbeatCounter += 1;
        }
        else {
            this._heartbeatCounter = 1;
        }
        this._prevHeartbeatString = heartbeatString;
        if (this._heartbeatCounter >= 3) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log("[Tracing] Transaction finished because of no change for 3 heart beats");
            this.setStatus(_spanstatus__WEBPACK_IMPORTED_MODULE_4__.SpanStatus.DeadlineExceeded);
            this.setTag('heartbeat', 'failed');
            this.finish();
        }
        else {
            this._pingHeartbeat();
        }
    };
    /**
     * Pings the heartbeat
     */
    IdleTransaction.prototype._pingHeartbeat = function () {
        var _this = this;
        _sentry_utils__WEBPACK_IMPORTED_MODULE_3__.logger.log("pinging Heartbeat -> current counter: " + this._heartbeatCounter);
        this._heartbeatTimer = setTimeout(function () {
            _this._beat();
        }, 5000);
    };
    return IdleTransaction;
}(_transaction__WEBPACK_IMPORTED_MODULE_5__.Transaction));

/**
 * Reset active transaction on scope
 */
function clearActiveTransaction(hub) {
    if (hub) {
        var scope = hub.getScope();
        if (scope) {
            var transaction = scope.getTransaction();
            if (transaction) {
                scope.setSpan(undefined);
            }
        }
    }
}
//# sourceMappingURL=idletransaction.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/index.js":
/*!***************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/index.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "IdleTransaction": () => (/* reexport safe */ _idletransaction__WEBPACK_IMPORTED_MODULE_7__.IdleTransaction),
/* harmony export */   "Integrations": () => (/* binding */ Integrations),
/* harmony export */   "Span": () => (/* reexport safe */ _span__WEBPACK_IMPORTED_MODULE_3__.Span),
/* harmony export */   "SpanStatus": () => (/* reexport safe */ _spanstatus__WEBPACK_IMPORTED_MODULE_6__.SpanStatus),
/* harmony export */   "TRACEPARENT_REGEXP": () => (/* reexport safe */ _utils__WEBPACK_IMPORTED_MODULE_9__.TRACEPARENT_REGEXP),
/* harmony export */   "Transaction": () => (/* reexport safe */ _transaction__WEBPACK_IMPORTED_MODULE_4__.Transaction),
/* harmony export */   "addExtensionMethods": () => (/* reexport safe */ _hubextensions__WEBPACK_IMPORTED_MODULE_8__.addExtensionMethods),
/* harmony export */   "defaultRequestInstrumentationOptions": () => (/* reexport safe */ _browser__WEBPACK_IMPORTED_MODULE_5__.defaultRequestInstrumentationOptions),
/* harmony export */   "extractTraceparentData": () => (/* reexport safe */ _utils__WEBPACK_IMPORTED_MODULE_9__.extractTraceparentData),
/* harmony export */   "getActiveTransaction": () => (/* reexport safe */ _utils__WEBPACK_IMPORTED_MODULE_9__.getActiveTransaction),
/* harmony export */   "hasTracingEnabled": () => (/* reexport safe */ _utils__WEBPACK_IMPORTED_MODULE_9__.hasTracingEnabled),
/* harmony export */   "registerRequestInstrumentation": () => (/* reexport safe */ _browser__WEBPACK_IMPORTED_MODULE_5__.instrumentOutgoingRequests),
/* harmony export */   "startIdleTransaction": () => (/* reexport safe */ _hubextensions__WEBPACK_IMPORTED_MODULE_8__.startIdleTransaction),
/* harmony export */   "stripUrlQueryAndFragment": () => (/* reexport safe */ _utils__WEBPACK_IMPORTED_MODULE_10__.stripUrlQueryAndFragment)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _browser__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./browser */ "./node_modules/@sentry/tracing/esm/browser/browsertracing.js");
/* harmony import */ var _hubextensions__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./hubextensions */ "./node_modules/@sentry/tracing/esm/hubextensions.js");
/* harmony import */ var _integrations__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./integrations */ "./node_modules/@sentry/tracing/esm/integrations/index.js");
/* harmony import */ var _span__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./span */ "./node_modules/@sentry/tracing/esm/span.js");
/* harmony import */ var _transaction__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./transaction */ "./node_modules/@sentry/tracing/esm/transaction.js");
/* harmony import */ var _browser__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./browser */ "./node_modules/@sentry/tracing/esm/browser/request.js");
/* harmony import */ var _spanstatus__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./spanstatus */ "./node_modules/@sentry/tracing/esm/spanstatus.js");
/* harmony import */ var _idletransaction__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./idletransaction */ "./node_modules/@sentry/tracing/esm/idletransaction.js");
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./utils */ "./node_modules/@sentry/tracing/esm/utils.js");
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./utils */ "./node_modules/@sentry/utils/esm/misc.js");




var Integrations = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, _integrations__WEBPACK_IMPORTED_MODULE_1__), { BrowserTracing: _browser__WEBPACK_IMPORTED_MODULE_2__.BrowserTracing });







// We are patching the global object with our hub extension methods
(0,_hubextensions__WEBPACK_IMPORTED_MODULE_8__.addExtensionMethods)();


//# sourceMappingURL=index.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/integrations/express.js":
/*!******************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/integrations/express.js ***!
  \******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Express": () => (/* binding */ Express)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");


/**
 * Express integration
 *
 * Provides an request and error handler for Express framework as well as tracing capabilities
 */
var Express = /** @class */ (function () {
    /**
     * @inheritDoc
     */
    function Express(options) {
        if (options === void 0) { options = {}; }
        /**
         * @inheritDoc
         */
        this.name = Express.id;
        this._router = options.router || options.app;
        this._methods = (Array.isArray(options.methods) ? options.methods : []).concat('use');
    }
    /**
     * @inheritDoc
     */
    Express.prototype.setupOnce = function () {
        if (!this._router) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_0__.logger.error('ExpressIntegration is missing an Express instance');
            return;
        }
        instrumentMiddlewares(this._router, this._methods);
    };
    /**
     * @inheritDoc
     */
    Express.id = 'Express';
    return Express;
}());

/**
 * Wraps original middleware function in a tracing call, which stores the info about the call as a span,
 * and finishes it once the middleware is done invoking.
 *
 * Express middlewares have 3 various forms, thus we have to take care of all of them:
 * // sync
 * app.use(function (req, res) { ... })
 * // async
 * app.use(function (req, res, next) { ... })
 * // error handler
 * app.use(function (err, req, res, next) { ... })
 *
 * They all internally delegate to the `router[method]` of the given application instance.
 */
// eslint-disable-next-line @typescript-eslint/ban-types, @typescript-eslint/no-explicit-any
function wrap(fn, method) {
    var arity = fn.length;
    switch (arity) {
        case 2: {
            return function (req, res) {
                var transaction = res.__sentry_transaction;
                if (transaction) {
                    var span_1 = transaction.startChild({
                        description: fn.name,
                        op: "middleware." + method,
                    });
                    res.once('finish', function () {
                        span_1.finish();
                    });
                }
                return fn.call(this, req, res);
            };
        }
        case 3: {
            return function (req, res, next) {
                var _a;
                var transaction = res.__sentry_transaction;
                var span = (_a = transaction) === null || _a === void 0 ? void 0 : _a.startChild({
                    description: fn.name,
                    op: "middleware." + method,
                });
                fn.call(this, req, res, function () {
                    var args = [];
                    for (var _i = 0; _i < arguments.length; _i++) {
                        args[_i] = arguments[_i];
                    }
                    var _a;
                    (_a = span) === null || _a === void 0 ? void 0 : _a.finish();
                    next.call.apply(next, (0,tslib__WEBPACK_IMPORTED_MODULE_1__.__spread)([this], args));
                });
            };
        }
        case 4: {
            return function (err, req, res, next) {
                var _a;
                var transaction = res.__sentry_transaction;
                var span = (_a = transaction) === null || _a === void 0 ? void 0 : _a.startChild({
                    description: fn.name,
                    op: "middleware." + method,
                });
                fn.call(this, err, req, res, function () {
                    var args = [];
                    for (var _i = 0; _i < arguments.length; _i++) {
                        args[_i] = arguments[_i];
                    }
                    var _a;
                    (_a = span) === null || _a === void 0 ? void 0 : _a.finish();
                    next.call.apply(next, (0,tslib__WEBPACK_IMPORTED_MODULE_1__.__spread)([this], args));
                });
            };
        }
        default: {
            throw new Error("Express middleware takes 2-4 arguments. Got: " + arity);
        }
    }
}
/**
 * Takes all the function arguments passed to the original `app` or `router` method, eg. `app.use` or `router.use`
 * and wraps every function, as well as array of functions with a call to our `wrap` method.
 * We have to take care of the arrays as well as iterate over all of the arguments,
 * as `app.use` can accept middlewares in few various forms.
 *
 * app.use([<path>], <fn>)
 * app.use([<path>], <fn>, ...<fn>)
 * app.use([<path>], ...<fn>[])
 */
function wrapMiddlewareArgs(args, method) {
    return args.map(function (arg) {
        if (typeof arg === 'function') {
            return wrap(arg, method);
        }
        if (Array.isArray(arg)) {
            return arg.map(function (a) {
                if (typeof a === 'function') {
                    return wrap(a, method);
                }
                return a;
            });
        }
        return arg;
    });
}
/**
 * Patches original router to utilize our tracing functionality
 */
function patchMiddleware(router, method) {
    var originalCallback = router[method];
    router[method] = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        return originalCallback.call.apply(originalCallback, (0,tslib__WEBPACK_IMPORTED_MODULE_1__.__spread)([this], wrapMiddlewareArgs(args, method)));
    };
    return router;
}
/**
 * Patches original router methods
 */
function instrumentMiddlewares(router, methods) {
    if (methods === void 0) { methods = []; }
    methods.forEach(function (method) { return patchMiddleware(router, method); });
}
//# sourceMappingURL=express.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/integrations/index.js":
/*!****************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/integrations/index.js ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Express": () => (/* reexport safe */ _express__WEBPACK_IMPORTED_MODULE_0__.Express),
/* harmony export */   "Mongo": () => (/* reexport safe */ _mongo__WEBPACK_IMPORTED_MODULE_3__.Mongo),
/* harmony export */   "Mysql": () => (/* reexport safe */ _mysql__WEBPACK_IMPORTED_MODULE_2__.Mysql),
/* harmony export */   "Postgres": () => (/* reexport safe */ _postgres__WEBPACK_IMPORTED_MODULE_1__.Postgres)
/* harmony export */ });
/* harmony import */ var _express__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./express */ "./node_modules/@sentry/tracing/esm/integrations/express.js");
/* harmony import */ var _postgres__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./postgres */ "./node_modules/@sentry/tracing/esm/integrations/postgres.js");
/* harmony import */ var _mysql__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./mysql */ "./node_modules/@sentry/tracing/esm/integrations/mysql.js");
/* harmony import */ var _mongo__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./mongo */ "./node_modules/@sentry/tracing/esm/integrations/mongo.js");




//# sourceMappingURL=index.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/integrations/mongo.js":
/*!****************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/integrations/mongo.js ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Mongo": () => (/* binding */ Mongo)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/node.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/object.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/is.js");


var OPERATIONS = [
    'aggregate',
    'bulkWrite',
    'countDocuments',
    'createIndex',
    'createIndexes',
    'deleteMany',
    'deleteOne',
    'distinct',
    'drop',
    'dropIndex',
    'dropIndexes',
    'estimatedDocumentCount',
    'find',
    'findOne',
    'findOneAndDelete',
    'findOneAndReplace',
    'findOneAndUpdate',
    'indexes',
    'indexExists',
    'indexInformation',
    'initializeOrderedBulkOp',
    'insertMany',
    'insertOne',
    'isCapped',
    'mapReduce',
    'options',
    'parallelCollectionScan',
    'rename',
    'replaceOne',
    'stats',
    'updateMany',
    'updateOne',
];
// All of the operations above take `options` and `callback` as their final parameters, but some of them
// take additional parameters as well. For those operations, this is a map of
// { <operation name>:  [<names of additional parameters>] }, as a way to know what to call the operation's
// positional arguments when we add them to the span's `data` object later
var OPERATION_SIGNATURES = {
    // aggregate intentionally not included because `pipeline` arguments are too complex to serialize well
    // see https://github.com/getsentry/sentry-javascript/pull/3102
    bulkWrite: ['operations'],
    countDocuments: ['query'],
    createIndex: ['fieldOrSpec'],
    createIndexes: ['indexSpecs'],
    deleteMany: ['filter'],
    deleteOne: ['filter'],
    distinct: ['key', 'query'],
    dropIndex: ['indexName'],
    find: ['query'],
    findOne: ['query'],
    findOneAndDelete: ['filter'],
    findOneAndReplace: ['filter', 'replacement'],
    findOneAndUpdate: ['filter', 'update'],
    indexExists: ['indexes'],
    insertMany: ['docs'],
    insertOne: ['doc'],
    mapReduce: ['map', 'reduce'],
    rename: ['newName'],
    replaceOne: ['filter', 'doc'],
    updateMany: ['filter', 'update'],
    updateOne: ['filter', 'update'],
};
/** Tracing integration for mongo package */
var Mongo = /** @class */ (function () {
    /**
     * @inheritDoc
     */
    function Mongo(options) {
        if (options === void 0) { options = {}; }
        /**
         * @inheritDoc
         */
        this.name = Mongo.id;
        this._operations = Array.isArray(options.operations)
            ? options.operations
            : OPERATIONS;
        this._describeOperations = 'describeOperations' in options ? options.describeOperations : true;
        this._useMongoose = !!options.useMongoose;
    }
    /**
     * @inheritDoc
     */
    Mongo.prototype.setupOnce = function (_, getCurrentHub) {
        var moduleName = this._useMongoose ? 'mongoose' : 'mongodb';
        var pkg = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.loadModule)(moduleName);
        if (!pkg) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_1__.logger.error("Mongo Integration was unable to require `" + moduleName + "` package.");
            return;
        }
        this._instrumentOperations(pkg.Collection, this._operations, getCurrentHub);
    };
    /**
     * Patches original collection methods
     */
    Mongo.prototype._instrumentOperations = function (collection, operations, getCurrentHub) {
        var _this = this;
        operations.forEach(function (operation) { return _this._patchOperation(collection, operation, getCurrentHub); });
    };
    /**
     * Patches original collection to utilize our tracing functionality
     */
    Mongo.prototype._patchOperation = function (collection, operation, getCurrentHub) {
        if (!(operation in collection.prototype))
            return;
        var getSpanContext = this._getSpanContextFromOperationArguments.bind(this);
        (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.fill)(collection.prototype, operation, function (orig) {
            return function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                var _a, _b, _c, _d;
                var lastArg = args[args.length - 1];
                var scope = getCurrentHub().getScope();
                var parentSpan = (_a = scope) === null || _a === void 0 ? void 0 : _a.getSpan();
                // Check if the operation was passed a callback. (mapReduce requires a different check, as
                // its (non-callback) arguments can also be functions.)
                if (typeof lastArg !== 'function' || (operation === 'mapReduce' && args.length === 2)) {
                    var span_1 = (_b = parentSpan) === null || _b === void 0 ? void 0 : _b.startChild(getSpanContext(this, operation, args));
                    var maybePromise = orig.call.apply(orig, (0,tslib__WEBPACK_IMPORTED_MODULE_3__.__spread)([this], args));
                    if ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_4__.isThenable)(maybePromise)) {
                        return maybePromise.then(function (res) {
                            var _a;
                            (_a = span_1) === null || _a === void 0 ? void 0 : _a.finish();
                            return res;
                        });
                    }
                    else {
                        (_c = span_1) === null || _c === void 0 ? void 0 : _c.finish();
                        return maybePromise;
                    }
                }
                var span = (_d = parentSpan) === null || _d === void 0 ? void 0 : _d.startChild(getSpanContext(this, operation, args.slice(0, -1)));
                return orig.call.apply(orig, (0,tslib__WEBPACK_IMPORTED_MODULE_3__.__spread)([this], args.slice(0, -1), [function (err, result) {
                        var _a;
                        (_a = span) === null || _a === void 0 ? void 0 : _a.finish();
                        lastArg(err, result);
                    }]));
            };
        });
    };
    /**
     * Form a SpanContext based on the user input to a given operation.
     */
    Mongo.prototype._getSpanContextFromOperationArguments = function (collection, operation, args) {
        var data = {
            collectionName: collection.collectionName,
            dbName: collection.dbName,
            namespace: collection.namespace,
        };
        var spanContext = {
            op: "db",
            description: operation,
            data: data,
        };
        // If the operation takes no arguments besides `options` and `callback`, or if argument
        // collection is disabled for this operation, just return early.
        var signature = OPERATION_SIGNATURES[operation];
        var shouldDescribe = Array.isArray(this._describeOperations)
            ? this._describeOperations.includes(operation)
            : this._describeOperations;
        if (!signature || !shouldDescribe) {
            return spanContext;
        }
        try {
            // Special case for `mapReduce`, as the only one accepting functions as arguments.
            if (operation === 'mapReduce') {
                var _a = (0,tslib__WEBPACK_IMPORTED_MODULE_3__.__read)(args, 2), map = _a[0], reduce = _a[1];
                data[signature[0]] = typeof map === 'string' ? map : map.name || '<anonymous>';
                data[signature[1]] = typeof reduce === 'string' ? reduce : reduce.name || '<anonymous>';
            }
            else {
                for (var i = 0; i < signature.length; i++) {
                    data[signature[i]] = JSON.stringify(args[i]);
                }
            }
        }
        catch (_oO) {
            // no-empty
        }
        return spanContext;
    };
    /**
     * @inheritDoc
     */
    Mongo.id = 'Mongo';
    return Mongo;
}());

//# sourceMappingURL=mongo.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/integrations/mysql.js":
/*!****************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/integrations/mysql.js ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Mysql": () => (/* binding */ Mysql)
/* harmony export */ });
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/node.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/object.js");

/** Tracing integration for node-mysql package */
var Mysql = /** @class */ (function () {
    function Mysql() {
        /**
         * @inheritDoc
         */
        this.name = Mysql.id;
    }
    /**
     * @inheritDoc
     */
    Mysql.prototype.setupOnce = function (_, getCurrentHub) {
        var pkg = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.loadModule)('mysql/lib/Connection.js');
        if (!pkg) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_1__.logger.error('Mysql Integration was unable to require `mysql` package.');
            return;
        }
        // The original function will have one of these signatures:
        //    function (callback) => void
        //    function (options, callback) => void
        //    function (options, values, callback) => void
        (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.fill)(pkg, 'createQuery', function (orig) {
            return function (options, values, callback) {
                var _a, _b;
                var scope = getCurrentHub().getScope();
                var parentSpan = (_a = scope) === null || _a === void 0 ? void 0 : _a.getSpan();
                var span = (_b = parentSpan) === null || _b === void 0 ? void 0 : _b.startChild({
                    description: typeof options === 'string' ? options : options.sql,
                    op: "db",
                });
                if (typeof callback === 'function') {
                    return orig.call(this, options, values, function (err, result, fields) {
                        var _a;
                        (_a = span) === null || _a === void 0 ? void 0 : _a.finish();
                        callback(err, result, fields);
                    });
                }
                if (typeof values === 'function') {
                    return orig.call(this, options, function (err, result, fields) {
                        var _a;
                        (_a = span) === null || _a === void 0 ? void 0 : _a.finish();
                        values(err, result, fields);
                    });
                }
                return orig.call(this, options, values, callback);
            };
        });
    };
    /**
     * @inheritDoc
     */
    Mysql.id = 'Mysql';
    return Mysql;
}());

//# sourceMappingURL=mysql.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/integrations/postgres.js":
/*!*******************************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/integrations/postgres.js ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Postgres": () => (/* binding */ Postgres)
/* harmony export */ });
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/node.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/object.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/is.js");

/** Tracing integration for node-postgres package */
var Postgres = /** @class */ (function () {
    function Postgres() {
        /**
         * @inheritDoc
         */
        this.name = Postgres.id;
    }
    /**
     * @inheritDoc
     */
    Postgres.prototype.setupOnce = function (_, getCurrentHub) {
        var pkg = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.loadModule)('pg');
        if (!pkg) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_1__.logger.error('Postgres Integration was unable to require `pg` package.');
            return;
        }
        /**
         * function (query, callback) => void
         * function (query, params, callback) => void
         * function (query) => Promise
         * function (query, params) => Promise
         * function (pg.Cursor) => pg.Cursor
         */
        (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.fill)(pkg.Client.prototype, 'query', function (orig) {
            return function (config, values, callback) {
                var _a, _b, _c;
                var scope = getCurrentHub().getScope();
                var parentSpan = (_a = scope) === null || _a === void 0 ? void 0 : _a.getSpan();
                var span = (_b = parentSpan) === null || _b === void 0 ? void 0 : _b.startChild({
                    description: typeof config === 'string' ? config : config.text,
                    op: "db",
                });
                if (typeof callback === 'function') {
                    return orig.call(this, config, values, function (err, result) {
                        var _a;
                        (_a = span) === null || _a === void 0 ? void 0 : _a.finish();
                        callback(err, result);
                    });
                }
                if (typeof values === 'function') {
                    return orig.call(this, config, function (err, result) {
                        var _a;
                        (_a = span) === null || _a === void 0 ? void 0 : _a.finish();
                        values(err, result);
                    });
                }
                var rv = typeof values !== 'undefined' ? orig.call(this, config, values) : orig.call(this, config);
                if ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_3__.isThenable)(rv)) {
                    return rv.then(function (res) {
                        var _a;
                        (_a = span) === null || _a === void 0 ? void 0 : _a.finish();
                        return res;
                    });
                }
                (_c = span) === null || _c === void 0 ? void 0 : _c.finish();
                return rv;
            };
        });
    };
    /**
     * @inheritDoc
     */
    Postgres.id = 'Postgres';
    return Postgres;
}());

//# sourceMappingURL=postgres.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/span.js":
/*!**************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/span.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Span": () => (/* binding */ Span),
/* harmony export */   "SpanRecorder": () => (/* binding */ SpanRecorder)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/time.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/object.js");
/* harmony import */ var _spanstatus__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./spanstatus */ "./node_modules/@sentry/tracing/esm/spanstatus.js");



/**
 * Keeps track of finished spans for a given transaction
 * @internal
 * @hideconstructor
 * @hidden
 */
var SpanRecorder = /** @class */ (function () {
    function SpanRecorder(maxlen) {
        if (maxlen === void 0) { maxlen = 1000; }
        this.spans = [];
        this._maxlen = maxlen;
    }
    /**
     * This is just so that we don't run out of memory while recording a lot
     * of spans. At some point we just stop and flush out the start of the
     * trace tree (i.e.the first n spans with the smallest
     * start_timestamp).
     */
    SpanRecorder.prototype.add = function (span) {
        if (this.spans.length > this._maxlen) {
            span.spanRecorder = undefined;
        }
        else {
            this.spans.push(span);
        }
    };
    return SpanRecorder;
}());

/**
 * Span contains all data about a span
 */
var Span = /** @class */ (function () {
    /**
     * You should never call the constructor manually, always use `Sentry.startTransaction()`
     * or call `startChild()` on an existing span.
     * @internal
     * @hideconstructor
     * @hidden
     */
    function Span(spanContext) {
        /**
         * @inheritDoc
         */
        this.traceId = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.uuid4)();
        /**
         * @inheritDoc
         */
        this.spanId = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_0__.uuid4)().substring(16);
        /**
         * Timestamp in seconds when the span was created.
         */
        this.startTimestamp = (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.timestampWithMs)();
        /**
         * @inheritDoc
         */
        this.tags = {};
        /**
         * @inheritDoc
         */
        // eslint-disable-next-line @typescript-eslint/no-explicit-any
        this.data = {};
        if (!spanContext) {
            return this;
        }
        if (spanContext.traceId) {
            this.traceId = spanContext.traceId;
        }
        if (spanContext.spanId) {
            this.spanId = spanContext.spanId;
        }
        if (spanContext.parentSpanId) {
            this.parentSpanId = spanContext.parentSpanId;
        }
        // We want to include booleans as well here
        if ('sampled' in spanContext) {
            this.sampled = spanContext.sampled;
        }
        if (spanContext.op) {
            this.op = spanContext.op;
        }
        if (spanContext.description) {
            this.description = spanContext.description;
        }
        if (spanContext.data) {
            this.data = spanContext.data;
        }
        if (spanContext.tags) {
            this.tags = spanContext.tags;
        }
        if (spanContext.status) {
            this.status = spanContext.status;
        }
        if (spanContext.startTimestamp) {
            this.startTimestamp = spanContext.startTimestamp;
        }
        if (spanContext.endTimestamp) {
            this.endTimestamp = spanContext.endTimestamp;
        }
    }
    /**
     * @inheritDoc
     * @deprecated
     */
    Span.prototype.child = function (spanContext) {
        return this.startChild(spanContext);
    };
    /**
     * @inheritDoc
     */
    Span.prototype.startChild = function (spanContext) {
        var childSpan = new Span((0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)({}, spanContext), { parentSpanId: this.spanId, sampled: this.sampled, traceId: this.traceId }));
        childSpan.spanRecorder = this.spanRecorder;
        if (childSpan.spanRecorder) {
            childSpan.spanRecorder.add(childSpan);
        }
        childSpan.transaction = this.transaction;
        return childSpan;
    };
    /**
     * @inheritDoc
     */
    Span.prototype.setTag = function (key, value) {
        var _a;
        this.tags = (0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)({}, this.tags), (_a = {}, _a[key] = value, _a));
        return this;
    };
    /**
     * @inheritDoc
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/explicit-module-boundary-types
    Span.prototype.setData = function (key, value) {
        var _a;
        this.data = (0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)({}, this.data), (_a = {}, _a[key] = value, _a));
        return this;
    };
    /**
     * @inheritDoc
     */
    Span.prototype.setStatus = function (value) {
        this.status = value;
        return this;
    };
    /**
     * @inheritDoc
     */
    Span.prototype.setHttpStatus = function (httpStatus) {
        this.setTag('http.status_code', String(httpStatus));
        var spanStatus = _spanstatus__WEBPACK_IMPORTED_MODULE_3__.SpanStatus.fromHttpCode(httpStatus);
        if (spanStatus !== _spanstatus__WEBPACK_IMPORTED_MODULE_3__.SpanStatus.UnknownError) {
            this.setStatus(spanStatus);
        }
        return this;
    };
    /**
     * @inheritDoc
     */
    Span.prototype.isSuccess = function () {
        return this.status === _spanstatus__WEBPACK_IMPORTED_MODULE_3__.SpanStatus.Ok;
    };
    /**
     * @inheritDoc
     */
    Span.prototype.finish = function (endTimestamp) {
        this.endTimestamp = typeof endTimestamp === 'number' ? endTimestamp : (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_1__.timestampWithMs)();
    };
    /**
     * @inheritDoc
     */
    Span.prototype.toTraceparent = function () {
        var sampledString = '';
        if (this.sampled !== undefined) {
            sampledString = this.sampled ? '-1' : '-0';
        }
        return this.traceId + "-" + this.spanId + sampledString;
    };
    /**
     * @inheritDoc
     */
    Span.prototype.toContext = function () {
        return (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_4__.dropUndefinedKeys)({
            data: this.data,
            description: this.description,
            endTimestamp: this.endTimestamp,
            op: this.op,
            parentSpanId: this.parentSpanId,
            sampled: this.sampled,
            spanId: this.spanId,
            startTimestamp: this.startTimestamp,
            status: this.status,
            tags: this.tags,
            traceId: this.traceId,
        });
    };
    /**
     * @inheritDoc
     */
    Span.prototype.updateWithContext = function (spanContext) {
        var _a, _b, _c, _d, _e;
        this.data = (_a = spanContext.data, (_a !== null && _a !== void 0 ? _a : {}));
        this.description = spanContext.description;
        this.endTimestamp = spanContext.endTimestamp;
        this.op = spanContext.op;
        this.parentSpanId = spanContext.parentSpanId;
        this.sampled = spanContext.sampled;
        this.spanId = (_b = spanContext.spanId, (_b !== null && _b !== void 0 ? _b : this.spanId));
        this.startTimestamp = (_c = spanContext.startTimestamp, (_c !== null && _c !== void 0 ? _c : this.startTimestamp));
        this.status = spanContext.status;
        this.tags = (_d = spanContext.tags, (_d !== null && _d !== void 0 ? _d : {}));
        this.traceId = (_e = spanContext.traceId, (_e !== null && _e !== void 0 ? _e : this.traceId));
        return this;
    };
    /**
     * @inheritDoc
     */
    Span.prototype.getTraceContext = function () {
        return (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_4__.dropUndefinedKeys)({
            data: Object.keys(this.data).length > 0 ? this.data : undefined,
            description: this.description,
            op: this.op,
            parent_span_id: this.parentSpanId,
            span_id: this.spanId,
            status: this.status,
            tags: Object.keys(this.tags).length > 0 ? this.tags : undefined,
            trace_id: this.traceId,
        });
    };
    /**
     * @inheritDoc
     */
    Span.prototype.toJSON = function () {
        return (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_4__.dropUndefinedKeys)({
            data: Object.keys(this.data).length > 0 ? this.data : undefined,
            description: this.description,
            op: this.op,
            parent_span_id: this.parentSpanId,
            span_id: this.spanId,
            start_timestamp: this.startTimestamp,
            status: this.status,
            tags: Object.keys(this.tags).length > 0 ? this.tags : undefined,
            timestamp: this.endTimestamp,
            trace_id: this.traceId,
        });
    };
    return Span;
}());

//# sourceMappingURL=span.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/spanstatus.js":
/*!********************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/spanstatus.js ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "SpanStatus": () => (/* binding */ SpanStatus)
/* harmony export */ });
/** The status of an Span. */
// eslint-disable-next-line import/export
var SpanStatus;
(function (SpanStatus) {
    /** The operation completed successfully. */
    SpanStatus["Ok"] = "ok";
    /** Deadline expired before operation could complete. */
    SpanStatus["DeadlineExceeded"] = "deadline_exceeded";
    /** 401 Unauthorized (actually does mean unauthenticated according to RFC 7235) */
    SpanStatus["Unauthenticated"] = "unauthenticated";
    /** 403 Forbidden */
    SpanStatus["PermissionDenied"] = "permission_denied";
    /** 404 Not Found. Some requested entity (file or directory) was not found. */
    SpanStatus["NotFound"] = "not_found";
    /** 429 Too Many Requests */
    SpanStatus["ResourceExhausted"] = "resource_exhausted";
    /** Client specified an invalid argument. 4xx. */
    SpanStatus["InvalidArgument"] = "invalid_argument";
    /** 501 Not Implemented */
    SpanStatus["Unimplemented"] = "unimplemented";
    /** 503 Service Unavailable */
    SpanStatus["Unavailable"] = "unavailable";
    /** Other/generic 5xx. */
    SpanStatus["InternalError"] = "internal_error";
    /** Unknown. Any non-standard HTTP status code. */
    SpanStatus["UnknownError"] = "unknown_error";
    /** The operation was cancelled (typically by the user). */
    SpanStatus["Cancelled"] = "cancelled";
    /** Already exists (409) */
    SpanStatus["AlreadyExists"] = "already_exists";
    /** Operation was rejected because the system is not in a state required for the operation's */
    SpanStatus["FailedPrecondition"] = "failed_precondition";
    /** The operation was aborted, typically due to a concurrency issue. */
    SpanStatus["Aborted"] = "aborted";
    /** Operation was attempted past the valid range. */
    SpanStatus["OutOfRange"] = "out_of_range";
    /** Unrecoverable data loss or corruption */
    SpanStatus["DataLoss"] = "data_loss";
})(SpanStatus || (SpanStatus = {}));
// eslint-disable-next-line @typescript-eslint/no-namespace, import/export
(function (SpanStatus) {
    /**
     * Converts a HTTP status code into a {@link SpanStatus}.
     *
     * @param httpStatus The HTTP response status code.
     * @returns The span status or {@link SpanStatus.UnknownError}.
     */
    function fromHttpCode(httpStatus) {
        if (httpStatus < 400) {
            return SpanStatus.Ok;
        }
        if (httpStatus >= 400 && httpStatus < 500) {
            switch (httpStatus) {
                case 401:
                    return SpanStatus.Unauthenticated;
                case 403:
                    return SpanStatus.PermissionDenied;
                case 404:
                    return SpanStatus.NotFound;
                case 409:
                    return SpanStatus.AlreadyExists;
                case 413:
                    return SpanStatus.FailedPrecondition;
                case 429:
                    return SpanStatus.ResourceExhausted;
                default:
                    return SpanStatus.InvalidArgument;
            }
        }
        if (httpStatus >= 500 && httpStatus < 600) {
            switch (httpStatus) {
                case 501:
                    return SpanStatus.Unimplemented;
                case 503:
                    return SpanStatus.Unavailable;
                case 504:
                    return SpanStatus.DeadlineExceeded;
                default:
                    return SpanStatus.InternalError;
            }
        }
        return SpanStatus.UnknownError;
    }
    SpanStatus.fromHttpCode = fromHttpCode;
})(SpanStatus || (SpanStatus = {}));
//# sourceMappingURL=spanstatus.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/transaction.js":
/*!*********************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/transaction.js ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Transaction": () => (/* binding */ Transaction)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _sentry_hub__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/hub */ "./node_modules/@sentry/hub/esm/hub.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/is.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/object.js");
/* harmony import */ var _span__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./span */ "./node_modules/@sentry/tracing/esm/span.js");




/** JSDoc */
var Transaction = /** @class */ (function (_super) {
    (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__extends)(Transaction, _super);
    /**
     * This constructor should never be called manually. Those instrumenting tracing should use
     * `Sentry.startTransaction()`, and internal methods should use `hub.startTransaction()`.
     * @internal
     * @hideconstructor
     * @hidden
     */
    function Transaction(transactionContext, hub) {
        var _this = _super.call(this, transactionContext) || this;
        _this._measurements = {};
        /**
         * The reference to the current hub.
         */
        _this._hub = (0,_sentry_hub__WEBPACK_IMPORTED_MODULE_1__.getCurrentHub)();
        if ((0,_sentry_utils__WEBPACK_IMPORTED_MODULE_2__.isInstanceOf)(hub, _sentry_hub__WEBPACK_IMPORTED_MODULE_1__.Hub)) {
            _this._hub = hub;
        }
        _this.name = transactionContext.name || '';
        _this.metadata = transactionContext.metadata || {};
        _this._trimEnd = transactionContext.trimEnd;
        // this is because transactions are also spans, and spans have a transaction pointer
        _this.transaction = _this;
        return _this;
    }
    /**
     * JSDoc
     */
    Transaction.prototype.setName = function (name) {
        this.name = name;
    };
    /**
     * Attaches SpanRecorder to the span itself
     * @param maxlen maximum number of spans that can be recorded
     */
    Transaction.prototype.initSpanRecorder = function (maxlen) {
        if (maxlen === void 0) { maxlen = 1000; }
        if (!this.spanRecorder) {
            this.spanRecorder = new _span__WEBPACK_IMPORTED_MODULE_3__.SpanRecorder(maxlen);
        }
        this.spanRecorder.add(this);
    };
    /**
     * Set observed measurements for this transaction.
     * @hidden
     */
    Transaction.prototype.setMeasurements = function (measurements) {
        this._measurements = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, measurements);
    };
    /**
     * Set metadata for this transaction.
     * @hidden
     */
    Transaction.prototype.setMetadata = function (newMetadata) {
        this.metadata = (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, this.metadata), newMetadata);
    };
    /**
     * @inheritDoc
     */
    Transaction.prototype.finish = function (endTimestamp) {
        var _this = this;
        // This transaction is already finished, so we should not flush it again.
        if (this.endTimestamp !== undefined) {
            return undefined;
        }
        if (!this.name) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_4__.logger.warn('Transaction has no name, falling back to `<unlabeled transaction>`.');
            this.name = '<unlabeled transaction>';
        }
        // just sets the end timestamp
        _super.prototype.finish.call(this, endTimestamp);
        if (this.sampled !== true) {
            // At this point if `sampled !== true` we want to discard the transaction.
            _sentry_utils__WEBPACK_IMPORTED_MODULE_4__.logger.log('[Tracing] Discarding transaction because its trace was not chosen to be sampled.');
            return undefined;
        }
        var finishedSpans = this.spanRecorder ? this.spanRecorder.spans.filter(function (s) { return s !== _this && s.endTimestamp; }) : [];
        if (this._trimEnd && finishedSpans.length > 0) {
            this.endTimestamp = finishedSpans.reduce(function (prev, current) {
                if (prev.endTimestamp && current.endTimestamp) {
                    return prev.endTimestamp > current.endTimestamp ? prev : current;
                }
                return prev;
            }).endTimestamp;
        }
        var transaction = {
            contexts: {
                trace: this.getTraceContext(),
            },
            spans: finishedSpans,
            start_timestamp: this.startTimestamp,
            tags: this.tags,
            timestamp: this.endTimestamp,
            transaction: this.name,
            type: 'transaction',
            debug_meta: this.metadata,
        };
        var hasMeasurements = Object.keys(this._measurements).length > 0;
        if (hasMeasurements) {
            _sentry_utils__WEBPACK_IMPORTED_MODULE_4__.logger.log('[Measurements] Adding measurements to transaction', JSON.stringify(this._measurements, undefined, 2));
            transaction.measurements = this._measurements;
        }
        _sentry_utils__WEBPACK_IMPORTED_MODULE_4__.logger.log("[Tracing] Finishing " + this.op + " transaction: " + this.name + ".");
        return this._hub.captureEvent(transaction);
    };
    /**
     * @inheritDoc
     */
    Transaction.prototype.toContext = function () {
        var spanContext = _super.prototype.toContext.call(this);
        return (0,_sentry_utils__WEBPACK_IMPORTED_MODULE_5__.dropUndefinedKeys)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_0__.__assign)({}, spanContext), { name: this.name, trimEnd: this._trimEnd }));
    };
    /**
     * @inheritDoc
     */
    Transaction.prototype.updateWithContext = function (transactionContext) {
        var _a;
        _super.prototype.updateWithContext.call(this, transactionContext);
        this.name = (_a = transactionContext.name, (_a !== null && _a !== void 0 ? _a : ''));
        this._trimEnd = transactionContext.trimEnd;
        return this;
    };
    return Transaction;
}(_span__WEBPACK_IMPORTED_MODULE_3__.Span));

//# sourceMappingURL=transaction.js.map

/***/ }),

/***/ "./node_modules/@sentry/tracing/esm/utils.js":
/*!***************************************************!*\
  !*** ./node_modules/@sentry/tracing/esm/utils.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "TRACEPARENT_REGEXP": () => (/* binding */ TRACEPARENT_REGEXP),
/* harmony export */   "extractTraceparentData": () => (/* binding */ extractTraceparentData),
/* harmony export */   "getActiveTransaction": () => (/* binding */ getActiveTransaction),
/* harmony export */   "hasTracingEnabled": () => (/* binding */ hasTracingEnabled),
/* harmony export */   "msToSec": () => (/* binding */ msToSec),
/* harmony export */   "secToMs": () => (/* binding */ secToMs),
/* harmony export */   "stripUrlQueryAndFragment": () => (/* reexport safe */ _sentry_utils__WEBPACK_IMPORTED_MODULE_1__.stripUrlQueryAndFragment)
/* harmony export */ });
/* harmony import */ var _sentry_hub__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/hub */ "./node_modules/@sentry/hub/esm/hub.js");
/* harmony import */ var _sentry_utils__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/utils */ "./node_modules/@sentry/utils/esm/misc.js");

var TRACEPARENT_REGEXP = new RegExp('^[ \\t]*' + // whitespace
    '([0-9a-f]{32})?' + // trace_id
    '-?([0-9a-f]{16})?' + // span_id
    '-?([01])?' + // sampled
    '[ \\t]*$');
/**
 * Determines if tracing is currently enabled.
 *
 * Tracing is enabled when at least one of `tracesSampleRate` and `tracesSampler` is defined in the SDK config.
 */
function hasTracingEnabled(options) {
    if (options === void 0) { options = (_a = (0,_sentry_hub__WEBPACK_IMPORTED_MODULE_0__.getCurrentHub)()
        .getClient()) === null || _a === void 0 ? void 0 : _a.getOptions(); }
    var _a;
    if (!options) {
        return false;
    }
    return 'tracesSampleRate' in options || 'tracesSampler' in options;
}
/**
 * Extract transaction context data from a `sentry-trace` header.
 *
 * @param traceparent Traceparent string
 *
 * @returns Object containing data from the header, or undefined if traceparent string is malformed
 */
function extractTraceparentData(traceparent) {
    var matches = traceparent.match(TRACEPARENT_REGEXP);
    if (matches) {
        var parentSampled = void 0;
        if (matches[3] === '1') {
            parentSampled = true;
        }
        else if (matches[3] === '0') {
            parentSampled = false;
        }
        return {
            traceId: matches[1],
            parentSampled: parentSampled,
            parentSpanId: matches[2],
        };
    }
    return undefined;
}
/** Grabs active transaction off scope, if any */
function getActiveTransaction(hub) {
    if (hub === void 0) { hub = (0,_sentry_hub__WEBPACK_IMPORTED_MODULE_0__.getCurrentHub)(); }
    var _a, _b;
    return (_b = (_a = hub) === null || _a === void 0 ? void 0 : _a.getScope()) === null || _b === void 0 ? void 0 : _b.getTransaction();
}
/**
 * Converts from milliseconds to seconds
 * @param time time in ms
 */
function msToSec(time) {
    return time / 1000;
}
/**
 * Converts from seconds to milliseconds
 * @param time time in seconds
 */
function secToMs(time) {
    return time * 1000;
}
// so it can be used in manual instrumentation without necessitating a hard dependency on @sentry/utils

//# sourceMappingURL=utils.js.map

/***/ }),

/***/ "./node_modules/@sentry/types/esm/session.js":
/*!***************************************************!*\
  !*** ./node_modules/@sentry/types/esm/session.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "RequestSessionStatus": () => (/* binding */ RequestSessionStatus),
/* harmony export */   "SessionStatus": () => (/* binding */ SessionStatus)
/* harmony export */ });
/**
 * Session Status
 */
var SessionStatus;
(function (SessionStatus) {
    /** JSDoc */
    SessionStatus["Ok"] = "ok";
    /** JSDoc */
    SessionStatus["Exited"] = "exited";
    /** JSDoc */
    SessionStatus["Crashed"] = "crashed";
    /** JSDoc */
    SessionStatus["Abnormal"] = "abnormal";
})(SessionStatus || (SessionStatus = {}));
var RequestSessionStatus;
(function (RequestSessionStatus) {
    /** JSDoc */
    RequestSessionStatus["Ok"] = "ok";
    /** JSDoc */
    RequestSessionStatus["Errored"] = "errored";
    /** JSDoc */
    RequestSessionStatus["Crashed"] = "crashed";
})(RequestSessionStatus || (RequestSessionStatus = {}));
//# sourceMappingURL=session.js.map

/***/ }),

/***/ "./node_modules/@sentry/types/esm/severity.js":
/*!****************************************************!*\
  !*** ./node_modules/@sentry/types/esm/severity.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Severity": () => (/* binding */ Severity)
/* harmony export */ });
/** JSDoc */
// eslint-disable-next-line import/export
var Severity;
(function (Severity) {
    /** JSDoc */
    Severity["Fatal"] = "fatal";
    /** JSDoc */
    Severity["Error"] = "error";
    /** JSDoc */
    Severity["Warning"] = "warning";
    /** JSDoc */
    Severity["Log"] = "log";
    /** JSDoc */
    Severity["Info"] = "info";
    /** JSDoc */
    Severity["Debug"] = "debug";
    /** JSDoc */
    Severity["Critical"] = "critical";
})(Severity || (Severity = {}));
// eslint-disable-next-line @typescript-eslint/no-namespace, import/export
(function (Severity) {
    /**
     * Converts a string-based level into a {@link Severity}.
     *
     * @param level string representation of Severity
     * @returns Severity
     */
    function fromString(level) {
        switch (level) {
            case 'debug':
                return Severity.Debug;
            case 'info':
                return Severity.Info;
            case 'warn':
            case 'warning':
                return Severity.Warning;
            case 'error':
                return Severity.Error;
            case 'fatal':
                return Severity.Fatal;
            case 'critical':
                return Severity.Critical;
            case 'log':
            default:
                return Severity.Log;
        }
    }
    Severity.fromString = fromString;
})(Severity || (Severity = {}));
//# sourceMappingURL=severity.js.map

/***/ }),

/***/ "./node_modules/@sentry/types/esm/status.js":
/*!**************************************************!*\
  !*** ./node_modules/@sentry/types/esm/status.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Status": () => (/* binding */ Status)
/* harmony export */ });
/** The status of an event. */
// eslint-disable-next-line import/export
var Status;
(function (Status) {
    /** The status could not be determined. */
    Status["Unknown"] = "unknown";
    /** The event was skipped due to configuration or callbacks. */
    Status["Skipped"] = "skipped";
    /** The event was sent to Sentry successfully. */
    Status["Success"] = "success";
    /** The client is currently rate limited and will try again later. */
    Status["RateLimit"] = "rate_limit";
    /** The event could not be processed. */
    Status["Invalid"] = "invalid";
    /** A server-side error ocurred during submission. */
    Status["Failed"] = "failed";
})(Status || (Status = {}));
// eslint-disable-next-line @typescript-eslint/no-namespace, import/export
(function (Status) {
    /**
     * Converts a HTTP status code into a {@link Status}.
     *
     * @param code The HTTP response status code.
     * @returns The send status or {@link Status.Unknown}.
     */
    function fromHttpCode(code) {
        if (code >= 200 && code < 300) {
            return Status.Success;
        }
        if (code === 429) {
            return Status.RateLimit;
        }
        if (code >= 400 && code < 500) {
            return Status.Invalid;
        }
        if (code >= 500) {
            return Status.Failed;
        }
        return Status.Unknown;
    }
    Status.fromHttpCode = fromHttpCode;
})(Status || (Status = {}));
//# sourceMappingURL=status.js.map

/***/ }),

/***/ "./node_modules/@sentry/types/esm/transaction.js":
/*!*******************************************************!*\
  !*** ./node_modules/@sentry/types/esm/transaction.js ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "TransactionSamplingMethod": () => (/* binding */ TransactionSamplingMethod)
/* harmony export */ });
var TransactionSamplingMethod;
(function (TransactionSamplingMethod) {
    TransactionSamplingMethod["Explicit"] = "explicitly_set";
    TransactionSamplingMethod["Sampler"] = "client_sampler";
    TransactionSamplingMethod["Rate"] = "client_rate";
    TransactionSamplingMethod["Inheritance"] = "inheritance";
})(TransactionSamplingMethod || (TransactionSamplingMethod = {}));
//# sourceMappingURL=transaction.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/browser.js":
/*!***************************************************!*\
  !*** ./node_modules/@sentry/utils/esm/browser.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "htmlTreeAsString": () => (/* binding */ htmlTreeAsString)
/* harmony export */ });
/* harmony import */ var _is__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./is */ "./node_modules/@sentry/utils/esm/is.js");

/**
 * Given a child DOM element, returns a query-selector statement describing that
 * and its ancestors
 * e.g. [HTMLElement] => body > div > input#foo.btn[name=baz]
 * @returns generated DOM path
 */
function htmlTreeAsString(elem, keyAttrs) {
    // try/catch both:
    // - accessing event.target (see getsentry/raven-js#838, #768)
    // - `htmlTreeAsString` because it's complex, and just accessing the DOM incorrectly
    // - can throw an exception in some circumstances.
    try {
        var currentElem = elem;
        var MAX_TRAVERSE_HEIGHT = 5;
        var MAX_OUTPUT_LEN = 80;
        var out = [];
        var height = 0;
        var len = 0;
        var separator = ' > ';
        var sepLength = separator.length;
        var nextStr = void 0;
        // eslint-disable-next-line no-plusplus
        while (currentElem && height++ < MAX_TRAVERSE_HEIGHT) {
            nextStr = _htmlElementAsString(currentElem, keyAttrs);
            // bail out if
            // - nextStr is the 'html' element
            // - the length of the string that would be created exceeds MAX_OUTPUT_LEN
            //   (ignore this limit if we are on the first iteration)
            if (nextStr === 'html' || (height > 1 && len + out.length * sepLength + nextStr.length >= MAX_OUTPUT_LEN)) {
                break;
            }
            out.push(nextStr);
            len += nextStr.length;
            currentElem = currentElem.parentNode;
        }
        return out.reverse().join(separator);
    }
    catch (_oO) {
        return '<unknown>';
    }
}
/**
 * Returns a simple, query-selector representation of a DOM element
 * e.g. [HTMLElement] => input#foo.btn[name=baz]
 * @returns generated DOM path
 */
function _htmlElementAsString(el, keyAttrs) {
    var _a, _b;
    var elem = el;
    var out = [];
    var className;
    var classes;
    var key;
    var attr;
    var i;
    if (!elem || !elem.tagName) {
        return '';
    }
    out.push(elem.tagName.toLowerCase());
    // Pairs of attribute keys defined in `serializeAttribute` and their values on element.
    var keyAttrPairs = ((_a = keyAttrs) === null || _a === void 0 ? void 0 : _a.length) ? keyAttrs.filter(function (keyAttr) { return elem.getAttribute(keyAttr); }).map(function (keyAttr) { return [keyAttr, elem.getAttribute(keyAttr)]; })
        : null;
    if ((_b = keyAttrPairs) === null || _b === void 0 ? void 0 : _b.length) {
        keyAttrPairs.forEach(function (keyAttrPair) {
            out.push("[" + keyAttrPair[0] + "=\"" + keyAttrPair[1] + "\"]");
        });
    }
    else {
        if (elem.id) {
            out.push("#" + elem.id);
        }
        // eslint-disable-next-line prefer-const
        className = elem.className;
        if (className && (0,_is__WEBPACK_IMPORTED_MODULE_0__.isString)(className)) {
            classes = className.split(/\s+/);
            for (i = 0; i < classes.length; i++) {
                out.push("." + classes[i]);
            }
        }
    }
    var allowedAttrs = ['type', 'name', 'title', 'alt'];
    for (i = 0; i < allowedAttrs.length; i++) {
        key = allowedAttrs[i];
        attr = elem.getAttribute(key);
        if (attr) {
            out.push("[" + key + "=\"" + attr + "\"]");
        }
    }
    return out.join('');
}
//# sourceMappingURL=browser.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/dsn.js":
/*!***********************************************!*\
  !*** ./node_modules/@sentry/utils/esm/dsn.js ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Dsn": () => (/* binding */ Dsn)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _error__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./error */ "./node_modules/@sentry/utils/esm/error.js");


/** Regular expression used to parse a Dsn. */
var DSN_REGEX = /^(?:(\w+):)\/\/(?:(\w+)(?::(\w+))?@)([\w.-]+)(?::(\d+))?\/(.+)/;
/** Error message */
var ERROR_MESSAGE = 'Invalid Dsn';
/** The Sentry Dsn, identifying a Sentry instance and project. */
var Dsn = /** @class */ (function () {
    /** Creates a new Dsn component */
    function Dsn(from) {
        if (typeof from === 'string') {
            this._fromString(from);
        }
        else {
            this._fromComponents(from);
        }
        this._validate();
    }
    /**
     * Renders the string representation of this Dsn.
     *
     * By default, this will render the public representation without the password
     * component. To get the deprecated private representation, set `withPassword`
     * to true.
     *
     * @param withPassword When set to true, the password will be included.
     */
    Dsn.prototype.toString = function (withPassword) {
        if (withPassword === void 0) { withPassword = false; }
        var _a = this, host = _a.host, path = _a.path, pass = _a.pass, port = _a.port, projectId = _a.projectId, protocol = _a.protocol, publicKey = _a.publicKey;
        return (protocol + "://" + publicKey + (withPassword && pass ? ":" + pass : '') +
            ("@" + host + (port ? ":" + port : '') + "/" + (path ? path + "/" : path) + projectId));
    };
    /** Parses a string into this Dsn. */
    Dsn.prototype._fromString = function (str) {
        var match = DSN_REGEX.exec(str);
        if (!match) {
            throw new _error__WEBPACK_IMPORTED_MODULE_0__.SentryError(ERROR_MESSAGE);
        }
        var _a = (0,tslib__WEBPACK_IMPORTED_MODULE_1__.__read)(match.slice(1), 6), protocol = _a[0], publicKey = _a[1], _b = _a[2], pass = _b === void 0 ? '' : _b, host = _a[3], _c = _a[4], port = _c === void 0 ? '' : _c, lastPath = _a[5];
        var path = '';
        var projectId = lastPath;
        var split = projectId.split('/');
        if (split.length > 1) {
            path = split.slice(0, -1).join('/');
            projectId = split.pop();
        }
        if (projectId) {
            var projectMatch = projectId.match(/^\d+/);
            if (projectMatch) {
                projectId = projectMatch[0];
            }
        }
        this._fromComponents({ host: host, pass: pass, path: path, projectId: projectId, port: port, protocol: protocol, publicKey: publicKey });
    };
    /** Maps Dsn components into this instance. */
    Dsn.prototype._fromComponents = function (components) {
        // TODO this is for backwards compatibility, and can be removed in a future version
        if ('user' in components && !('publicKey' in components)) {
            components.publicKey = components.user;
        }
        this.user = components.publicKey || '';
        this.protocol = components.protocol;
        this.publicKey = components.publicKey || '';
        this.pass = components.pass || '';
        this.host = components.host;
        this.port = components.port || '';
        this.path = components.path || '';
        this.projectId = components.projectId;
    };
    /** Validates this Dsn and throws on error. */
    Dsn.prototype._validate = function () {
        var _this = this;
        ['protocol', 'publicKey', 'host', 'projectId'].forEach(function (component) {
            if (!_this[component]) {
                throw new _error__WEBPACK_IMPORTED_MODULE_0__.SentryError(ERROR_MESSAGE + ": " + component + " missing");
            }
        });
        if (!this.projectId.match(/^\d+$/)) {
            throw new _error__WEBPACK_IMPORTED_MODULE_0__.SentryError(ERROR_MESSAGE + ": Invalid projectId " + this.projectId);
        }
        if (this.protocol !== 'http' && this.protocol !== 'https') {
            throw new _error__WEBPACK_IMPORTED_MODULE_0__.SentryError(ERROR_MESSAGE + ": Invalid protocol " + this.protocol);
        }
        if (this.port && isNaN(parseInt(this.port, 10))) {
            throw new _error__WEBPACK_IMPORTED_MODULE_0__.SentryError(ERROR_MESSAGE + ": Invalid port " + this.port);
        }
    };
    return Dsn;
}());

//# sourceMappingURL=dsn.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/error.js":
/*!*************************************************!*\
  !*** ./node_modules/@sentry/utils/esm/error.js ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "SentryError": () => (/* binding */ SentryError)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _polyfill__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./polyfill */ "./node_modules/@sentry/utils/esm/polyfill.js");


/** An error emitted by Sentry SDKs and related utilities. */
var SentryError = /** @class */ (function (_super) {
    (0,tslib__WEBPACK_IMPORTED_MODULE_0__.__extends)(SentryError, _super);
    function SentryError(message) {
        var _newTarget = this.constructor;
        var _this = _super.call(this, message) || this;
        _this.message = message;
        _this.name = _newTarget.prototype.constructor.name;
        (0,_polyfill__WEBPACK_IMPORTED_MODULE_1__.setPrototypeOf)(_this, _newTarget.prototype);
        return _this;
    }
    return SentryError;
}(Error));

//# sourceMappingURL=error.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/instrument.js":
/*!******************************************************!*\
  !*** ./node_modules/@sentry/utils/esm/instrument.js ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "addInstrumentationHandler": () => (/* binding */ addInstrumentationHandler)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _is__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./is */ "./node_modules/@sentry/utils/esm/is.js");
/* harmony import */ var _logger__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./logger */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _misc__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./misc */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _object__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./object */ "./node_modules/@sentry/utils/esm/object.js");
/* harmony import */ var _stacktrace__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./stacktrace */ "./node_modules/@sentry/utils/esm/stacktrace.js");
/* harmony import */ var _supports__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./supports */ "./node_modules/@sentry/utils/esm/supports.js");







var global = (0,_misc__WEBPACK_IMPORTED_MODULE_0__.getGlobalObject)();
/**
 * Instrument native APIs to call handlers that can be used to create breadcrumbs, APM spans etc.
 *  - Console API
 *  - Fetch API
 *  - XHR API
 *  - History API
 *  - DOM API (click/typing)
 *  - Error API
 *  - UnhandledRejection API
 */
var handlers = {};
var instrumented = {};
/** Instruments given API */
function instrument(type) {
    if (instrumented[type]) {
        return;
    }
    instrumented[type] = true;
    switch (type) {
        case 'console':
            instrumentConsole();
            break;
        case 'dom':
            instrumentDOM();
            break;
        case 'xhr':
            instrumentXHR();
            break;
        case 'fetch':
            instrumentFetch();
            break;
        case 'history':
            instrumentHistory();
            break;
        case 'error':
            instrumentError();
            break;
        case 'unhandledrejection':
            instrumentUnhandledRejection();
            break;
        default:
            _logger__WEBPACK_IMPORTED_MODULE_1__.logger.warn('unknown instrumentation type:', type);
    }
}
/**
 * Add handler that will be called when given type of instrumentation triggers.
 * Use at your own risk, this might break without changelog notice, only used internally.
 * @hidden
 */
function addInstrumentationHandler(handler) {
    if (!handler || typeof handler.type !== 'string' || typeof handler.callback !== 'function') {
        return;
    }
    handlers[handler.type] = handlers[handler.type] || [];
    handlers[handler.type].push(handler.callback);
    instrument(handler.type);
}
/** JSDoc */
function triggerHandlers(type, data) {
    var e_1, _a;
    if (!type || !handlers[type]) {
        return;
    }
    try {
        for (var _b = (0,tslib__WEBPACK_IMPORTED_MODULE_2__.__values)(handlers[type] || []), _c = _b.next(); !_c.done; _c = _b.next()) {
            var handler = _c.value;
            try {
                handler(data);
            }
            catch (e) {
                _logger__WEBPACK_IMPORTED_MODULE_1__.logger.error("Error while triggering instrumentation handler.\nType: " + type + "\nName: " + (0,_stacktrace__WEBPACK_IMPORTED_MODULE_3__.getFunctionName)(handler) + "\nError: " + e);
            }
        }
    }
    catch (e_1_1) { e_1 = { error: e_1_1 }; }
    finally {
        try {
            if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
        }
        finally { if (e_1) throw e_1.error; }
    }
}
/** JSDoc */
function instrumentConsole() {
    if (!('console' in global)) {
        return;
    }
    ['debug', 'info', 'warn', 'error', 'log', 'assert'].forEach(function (level) {
        if (!(level in global.console)) {
            return;
        }
        (0,_object__WEBPACK_IMPORTED_MODULE_4__.fill)(global.console, level, function (originalConsoleLevel) {
            return function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                triggerHandlers('console', { args: args, level: level });
                // this fails for some browsers. :(
                if (originalConsoleLevel) {
                    Function.prototype.apply.call(originalConsoleLevel, global.console, args);
                }
            };
        });
    });
}
/** JSDoc */
function instrumentFetch() {
    if (!(0,_supports__WEBPACK_IMPORTED_MODULE_5__.supportsNativeFetch)()) {
        return;
    }
    (0,_object__WEBPACK_IMPORTED_MODULE_4__.fill)(global, 'fetch', function (originalFetch) {
        return function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var handlerData = {
                args: args,
                fetchData: {
                    method: getFetchMethod(args),
                    url: getFetchUrl(args),
                },
                startTimestamp: Date.now(),
            };
            triggerHandlers('fetch', (0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)({}, handlerData));
            // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
            return originalFetch.apply(global, args).then(function (response) {
                triggerHandlers('fetch', (0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)({}, handlerData), { endTimestamp: Date.now(), response: response }));
                return response;
            }, function (error) {
                triggerHandlers('fetch', (0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)((0,tslib__WEBPACK_IMPORTED_MODULE_2__.__assign)({}, handlerData), { endTimestamp: Date.now(), error: error }));
                // NOTE: If you are a Sentry user, and you are seeing this stack frame,
                //       it means the sentry.javascript SDK caught an error invoking your application code.
                //       This is expected behavior and NOT indicative of a bug with sentry.javascript.
                throw error;
            });
        };
    });
}
/* eslint-disable @typescript-eslint/no-unsafe-member-access */
/** Extract `method` from fetch call arguments */
function getFetchMethod(fetchArgs) {
    if (fetchArgs === void 0) { fetchArgs = []; }
    if ('Request' in global && (0,_is__WEBPACK_IMPORTED_MODULE_6__.isInstanceOf)(fetchArgs[0], Request) && fetchArgs[0].method) {
        return String(fetchArgs[0].method).toUpperCase();
    }
    if (fetchArgs[1] && fetchArgs[1].method) {
        return String(fetchArgs[1].method).toUpperCase();
    }
    return 'GET';
}
/** Extract `url` from fetch call arguments */
function getFetchUrl(fetchArgs) {
    if (fetchArgs === void 0) { fetchArgs = []; }
    if (typeof fetchArgs[0] === 'string') {
        return fetchArgs[0];
    }
    if ('Request' in global && (0,_is__WEBPACK_IMPORTED_MODULE_6__.isInstanceOf)(fetchArgs[0], Request)) {
        return fetchArgs[0].url;
    }
    return String(fetchArgs[0]);
}
/* eslint-enable @typescript-eslint/no-unsafe-member-access */
/** JSDoc */
function instrumentXHR() {
    if (!('XMLHttpRequest' in global)) {
        return;
    }
    // Poor man's implementation of ES6 `Map`, tracking and keeping in sync key and value separately.
    var requestKeys = [];
    var requestValues = [];
    var xhrproto = XMLHttpRequest.prototype;
    (0,_object__WEBPACK_IMPORTED_MODULE_4__.fill)(xhrproto, 'open', function (originalOpen) {
        return function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            // eslint-disable-next-line @typescript-eslint/no-this-alias
            var xhr = this;
            var url = args[1];
            xhr.__sentry_xhr__ = {
                // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
                method: (0,_is__WEBPACK_IMPORTED_MODULE_6__.isString)(args[0]) ? args[0].toUpperCase() : args[0],
                url: args[1],
            };
            // if Sentry key appears in URL, don't capture it as a request
            // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
            if ((0,_is__WEBPACK_IMPORTED_MODULE_6__.isString)(url) && xhr.__sentry_xhr__.method === 'POST' && url.match(/sentry_key/)) {
                xhr.__sentry_own_request__ = true;
            }
            var onreadystatechangeHandler = function () {
                if (xhr.readyState === 4) {
                    try {
                        // touching statusCode in some platforms throws
                        // an exception
                        if (xhr.__sentry_xhr__) {
                            xhr.__sentry_xhr__.status_code = xhr.status;
                        }
                    }
                    catch (e) {
                        /* do nothing */
                    }
                    try {
                        var requestPos = requestKeys.indexOf(xhr);
                        if (requestPos !== -1) {
                            // Make sure to pop both key and value to keep it in sync.
                            requestKeys.splice(requestPos);
                            var args_1 = requestValues.splice(requestPos)[0];
                            if (xhr.__sentry_xhr__ && args_1[0] !== undefined) {
                                xhr.__sentry_xhr__.body = args_1[0];
                            }
                        }
                    }
                    catch (e) {
                        /* do nothing */
                    }
                    triggerHandlers('xhr', {
                        args: args,
                        endTimestamp: Date.now(),
                        startTimestamp: Date.now(),
                        xhr: xhr,
                    });
                }
            };
            if ('onreadystatechange' in xhr && typeof xhr.onreadystatechange === 'function') {
                (0,_object__WEBPACK_IMPORTED_MODULE_4__.fill)(xhr, 'onreadystatechange', function (original) {
                    return function () {
                        var readyStateArgs = [];
                        for (var _i = 0; _i < arguments.length; _i++) {
                            readyStateArgs[_i] = arguments[_i];
                        }
                        onreadystatechangeHandler();
                        return original.apply(xhr, readyStateArgs);
                    };
                });
            }
            else {
                xhr.addEventListener('readystatechange', onreadystatechangeHandler);
            }
            return originalOpen.apply(xhr, args);
        };
    });
    (0,_object__WEBPACK_IMPORTED_MODULE_4__.fill)(xhrproto, 'send', function (originalSend) {
        return function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            requestKeys.push(this);
            requestValues.push(args);
            triggerHandlers('xhr', {
                args: args,
                startTimestamp: Date.now(),
                xhr: this,
            });
            return originalSend.apply(this, args);
        };
    });
}
var lastHref;
/** JSDoc */
function instrumentHistory() {
    if (!(0,_supports__WEBPACK_IMPORTED_MODULE_5__.supportsHistory)()) {
        return;
    }
    var oldOnPopState = global.onpopstate;
    global.onpopstate = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        var to = global.location.href;
        // keep track of the current URL state, as we always receive only the updated state
        var from = lastHref;
        lastHref = to;
        triggerHandlers('history', {
            from: from,
            to: to,
        });
        if (oldOnPopState) {
            // Apparently this can throw in Firefox when incorrectly implemented plugin is installed.
            // https://github.com/getsentry/sentry-javascript/issues/3344
            // https://github.com/bugsnag/bugsnag-js/issues/469
            try {
                return oldOnPopState.apply(this, args);
            }
            catch (_oO) {
                // no-empty
            }
        }
    };
    /** @hidden */
    function historyReplacementFunction(originalHistoryFunction) {
        return function () {
            var args = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                args[_i] = arguments[_i];
            }
            var url = args.length > 2 ? args[2] : undefined;
            if (url) {
                // coerce to string (this is what pushState does)
                var from = lastHref;
                var to = String(url);
                // keep track of the current URL state, as we always receive only the updated state
                lastHref = to;
                triggerHandlers('history', {
                    from: from,
                    to: to,
                });
            }
            return originalHistoryFunction.apply(this, args);
        };
    }
    (0,_object__WEBPACK_IMPORTED_MODULE_4__.fill)(global.history, 'pushState', historyReplacementFunction);
    (0,_object__WEBPACK_IMPORTED_MODULE_4__.fill)(global.history, 'replaceState', historyReplacementFunction);
}
var debounceDuration = 1000;
var debounceTimerID;
var lastCapturedEvent;
/**
 * Decide whether the current event should finish the debounce of previously captured one.
 * @param previous previously captured event
 * @param current event to be captured
 */
function shouldShortcircuitPreviousDebounce(previous, current) {
    // If there was no previous event, it should always be swapped for the new one.
    if (!previous) {
        return true;
    }
    // If both events have different type, then user definitely performed two separate actions. e.g. click + keypress.
    if (previous.type !== current.type) {
        return true;
    }
    try {
        // If both events have the same type, it's still possible that actions were performed on different targets.
        // e.g. 2 clicks on different buttons.
        if (previous.target !== current.target) {
            return true;
        }
    }
    catch (e) {
        // just accessing `target` property can throw an exception in some rare circumstances
        // see: https://github.com/getsentry/sentry-javascript/issues/838
    }
    // If both events have the same type _and_ same `target` (an element which triggered an event, _not necessarily_
    // to which an event listener was attached), we treat them as the same action, as we want to capture
    // only one breadcrumb. e.g. multiple clicks on the same button, or typing inside a user input box.
    return false;
}
/**
 * Decide whether an event should be captured.
 * @param event event to be captured
 */
function shouldSkipDOMEvent(event) {
    // We are only interested in filtering `keypress` events for now.
    if (event.type !== 'keypress') {
        return false;
    }
    try {
        var target = event.target;
        if (!target || !target.tagName) {
            return true;
        }
        // Only consider keypress events on actual input elements. This will disregard keypresses targeting body
        // e.g.tabbing through elements, hotkeys, etc.
        if (target.tagName === 'INPUT' || target.tagName === 'TEXTAREA' || target.isContentEditable) {
            return false;
        }
    }
    catch (e) {
        // just accessing `target` property can throw an exception in some rare circumstances
        // see: https://github.com/getsentry/sentry-javascript/issues/838
    }
    return true;
}
/**
 * Wraps addEventListener to capture UI breadcrumbs
 * @param handler function that will be triggered
 * @param globalListener indicates whether event was captured by the global event listener
 * @returns wrapped breadcrumb events handler
 * @hidden
 */
function makeDOMEventHandler(handler, globalListener) {
    if (globalListener === void 0) { globalListener = false; }
    return function (event) {
        // It's possible this handler might trigger multiple times for the same
        // event (e.g. event propagation through node ancestors).
        // Ignore if we've already captured that event.
        if (!event || lastCapturedEvent === event) {
            return;
        }
        // We always want to skip _some_ events.
        if (shouldSkipDOMEvent(event)) {
            return;
        }
        var name = event.type === 'keypress' ? 'input' : event.type;
        // If there is no debounce timer, it means that we can safely capture the new event and store it for future comparisons.
        if (debounceTimerID === undefined) {
            handler({
                event: event,
                name: name,
                global: globalListener,
            });
            lastCapturedEvent = event;
        }
        // If there is a debounce awaiting, see if the new event is different enough to treat it as a unique one.
        // If that's the case, emit the previous event and store locally the newly-captured DOM event.
        else if (shouldShortcircuitPreviousDebounce(lastCapturedEvent, event)) {
            handler({
                event: event,
                name: name,
                global: globalListener,
            });
            lastCapturedEvent = event;
        }
        // Start a new debounce timer that will prevent us from capturing multiple events that should be grouped together.
        clearTimeout(debounceTimerID);
        debounceTimerID = global.setTimeout(function () {
            debounceTimerID = undefined;
        }, debounceDuration);
    };
}
/** JSDoc */
function instrumentDOM() {
    if (!('document' in global)) {
        return;
    }
    // Make it so that any click or keypress that is unhandled / bubbled up all the way to the document triggers our dom
    // handlers. (Normally we have only one, which captures a breadcrumb for each click or keypress.) Do this before
    // we instrument `addEventListener` so that we don't end up attaching this handler twice.
    var triggerDOMHandler = triggerHandlers.bind(null, 'dom');
    var globalDOMEventHandler = makeDOMEventHandler(triggerDOMHandler, true);
    global.document.addEventListener('click', globalDOMEventHandler, false);
    global.document.addEventListener('keypress', globalDOMEventHandler, false);
    // After hooking into click and keypress events bubbled up to `document`, we also hook into user-handled
    // clicks & keypresses, by adding an event listener of our own to any element to which they add a listener. That
    // way, whenever one of their handlers is triggered, ours will be, too. (This is needed because their handler
    // could potentially prevent the event from bubbling up to our global listeners. This way, our handler are still
    // guaranteed to fire at least once.)
    ['EventTarget', 'Node'].forEach(function (target) {
        // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
        var proto = global[target] && global[target].prototype;
        // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access, no-prototype-builtins
        if (!proto || !proto.hasOwnProperty || !proto.hasOwnProperty('addEventListener')) {
            return;
        }
        (0,_object__WEBPACK_IMPORTED_MODULE_4__.fill)(proto, 'addEventListener', function (originalAddEventListener) {
            return function (type, listener, options) {
                if (type === 'click' || type == 'keypress') {
                    try {
                        var el = this;
                        var handlers_1 = (el.__sentry_instrumentation_handlers__ = el.__sentry_instrumentation_handlers__ || {});
                        var handlerForType = (handlers_1[type] = handlers_1[type] || { refCount: 0 });
                        if (!handlerForType.handler) {
                            var handler = makeDOMEventHandler(triggerDOMHandler);
                            handlerForType.handler = handler;
                            originalAddEventListener.call(this, type, handler, options);
                        }
                        handlerForType.refCount += 1;
                    }
                    catch (e) {
                        // Accessing dom properties is always fragile.
                        // Also allows us to skip `addEventListenrs` calls with no proper `this` context.
                    }
                }
                return originalAddEventListener.call(this, type, listener, options);
            };
        });
        (0,_object__WEBPACK_IMPORTED_MODULE_4__.fill)(proto, 'removeEventListener', function (originalRemoveEventListener) {
            return function (type, listener, options) {
                if (type === 'click' || type == 'keypress') {
                    try {
                        var el = this;
                        var handlers_2 = el.__sentry_instrumentation_handlers__ || {};
                        var handlerForType = handlers_2[type];
                        if (handlerForType) {
                            handlerForType.refCount -= 1;
                            // If there are no longer any custom handlers of the current type on this element, we can remove ours, too.
                            if (handlerForType.refCount <= 0) {
                                originalRemoveEventListener.call(this, type, handlerForType.handler, options);
                                handlerForType.handler = undefined;
                                delete handlers_2[type]; // eslint-disable-line @typescript-eslint/no-dynamic-delete
                            }
                            // If there are no longer any custom handlers of any type on this element, cleanup everything.
                            if (Object.keys(handlers_2).length === 0) {
                                delete el.__sentry_instrumentation_handlers__;
                            }
                        }
                    }
                    catch (e) {
                        // Accessing dom properties is always fragile.
                        // Also allows us to skip `addEventListenrs` calls with no proper `this` context.
                    }
                }
                return originalRemoveEventListener.call(this, type, listener, options);
            };
        });
    });
}
var _oldOnErrorHandler = null;
/** JSDoc */
function instrumentError() {
    _oldOnErrorHandler = global.onerror;
    global.onerror = function (msg, url, line, column, error) {
        triggerHandlers('error', {
            column: column,
            error: error,
            line: line,
            msg: msg,
            url: url,
        });
        if (_oldOnErrorHandler) {
            // eslint-disable-next-line prefer-rest-params
            return _oldOnErrorHandler.apply(this, arguments);
        }
        return false;
    };
}
var _oldOnUnhandledRejectionHandler = null;
/** JSDoc */
function instrumentUnhandledRejection() {
    _oldOnUnhandledRejectionHandler = global.onunhandledrejection;
    global.onunhandledrejection = function (e) {
        triggerHandlers('unhandledrejection', e);
        if (_oldOnUnhandledRejectionHandler) {
            // eslint-disable-next-line prefer-rest-params
            return _oldOnUnhandledRejectionHandler.apply(this, arguments);
        }
        return true;
    };
}
//# sourceMappingURL=instrument.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/is.js":
/*!**********************************************!*\
  !*** ./node_modules/@sentry/utils/esm/is.js ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "isDOMError": () => (/* binding */ isDOMError),
/* harmony export */   "isDOMException": () => (/* binding */ isDOMException),
/* harmony export */   "isElement": () => (/* binding */ isElement),
/* harmony export */   "isError": () => (/* binding */ isError),
/* harmony export */   "isErrorEvent": () => (/* binding */ isErrorEvent),
/* harmony export */   "isEvent": () => (/* binding */ isEvent),
/* harmony export */   "isInstanceOf": () => (/* binding */ isInstanceOf),
/* harmony export */   "isPlainObject": () => (/* binding */ isPlainObject),
/* harmony export */   "isPrimitive": () => (/* binding */ isPrimitive),
/* harmony export */   "isRegExp": () => (/* binding */ isRegExp),
/* harmony export */   "isString": () => (/* binding */ isString),
/* harmony export */   "isSyntheticEvent": () => (/* binding */ isSyntheticEvent),
/* harmony export */   "isThenable": () => (/* binding */ isThenable)
/* harmony export */ });
/* eslint-disable @typescript-eslint/no-explicit-any */
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
/**
 * Checks whether given value's type is one of a few Error or Error-like
 * {@link isError}.
 *
 * @param wat A value to be checked.
 * @returns A boolean representing the result.
 */
function isError(wat) {
    switch (Object.prototype.toString.call(wat)) {
        case '[object Error]':
            return true;
        case '[object Exception]':
            return true;
        case '[object DOMException]':
            return true;
        default:
            return isInstanceOf(wat, Error);
    }
}
/**
 * Checks whether given value's type is ErrorEvent
 * {@link isErrorEvent}.
 *
 * @param wat A value to be checked.
 * @returns A boolean representing the result.
 */
function isErrorEvent(wat) {
    return Object.prototype.toString.call(wat) === '[object ErrorEvent]';
}
/**
 * Checks whether given value's type is DOMError
 * {@link isDOMError}.
 *
 * @param wat A value to be checked.
 * @returns A boolean representing the result.
 */
function isDOMError(wat) {
    return Object.prototype.toString.call(wat) === '[object DOMError]';
}
/**
 * Checks whether given value's type is DOMException
 * {@link isDOMException}.
 *
 * @param wat A value to be checked.
 * @returns A boolean representing the result.
 */
function isDOMException(wat) {
    return Object.prototype.toString.call(wat) === '[object DOMException]';
}
/**
 * Checks whether given value's type is a string
 * {@link isString}.
 *
 * @param wat A value to be checked.
 * @returns A boolean representing the result.
 */
function isString(wat) {
    return Object.prototype.toString.call(wat) === '[object String]';
}
/**
 * Checks whether given value's is a primitive (undefined, null, number, boolean, string, bigint, symbol)
 * {@link isPrimitive}.
 *
 * @param wat A value to be checked.
 * @returns A boolean representing the result.
 */
function isPrimitive(wat) {
    return wat === null || (typeof wat !== 'object' && typeof wat !== 'function');
}
/**
 * Checks whether given value's type is an object literal
 * {@link isPlainObject}.
 *
 * @param wat A value to be checked.
 * @returns A boolean representing the result.
 */
function isPlainObject(wat) {
    return Object.prototype.toString.call(wat) === '[object Object]';
}
/**
 * Checks whether given value's type is an Event instance
 * {@link isEvent}.
 *
 * @param wat A value to be checked.
 * @returns A boolean representing the result.
 */
function isEvent(wat) {
    return typeof Event !== 'undefined' && isInstanceOf(wat, Event);
}
/**
 * Checks whether given value's type is an Element instance
 * {@link isElement}.
 *
 * @param wat A value to be checked.
 * @returns A boolean representing the result.
 */
function isElement(wat) {
    return typeof Element !== 'undefined' && isInstanceOf(wat, Element);
}
/**
 * Checks whether given value's type is an regexp
 * {@link isRegExp}.
 *
 * @param wat A value to be checked.
 * @returns A boolean representing the result.
 */
function isRegExp(wat) {
    return Object.prototype.toString.call(wat) === '[object RegExp]';
}
/**
 * Checks whether given value has a then function.
 * @param wat A value to be checked.
 */
function isThenable(wat) {
    // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
    return Boolean(wat && wat.then && typeof wat.then === 'function');
}
/**
 * Checks whether given value's type is a SyntheticEvent
 * {@link isSyntheticEvent}.
 *
 * @param wat A value to be checked.
 * @returns A boolean representing the result.
 */
function isSyntheticEvent(wat) {
    return isPlainObject(wat) && 'nativeEvent' in wat && 'preventDefault' in wat && 'stopPropagation' in wat;
}
/**
 * Checks whether given value's type is an instance of provided constructor.
 * {@link isInstanceOf}.
 *
 * @param wat A value to be checked.
 * @param base A constructor to be used in a check.
 * @returns A boolean representing the result.
 */
function isInstanceOf(wat, base) {
    try {
        return wat instanceof base;
    }
    catch (_e) {
        return false;
    }
}
//# sourceMappingURL=is.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/logger.js":
/*!**************************************************!*\
  !*** ./node_modules/@sentry/utils/esm/logger.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "logger": () => (/* binding */ logger)
/* harmony export */ });
/* harmony import */ var _misc__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./misc */ "./node_modules/@sentry/utils/esm/misc.js");
/* eslint-disable @typescript-eslint/no-explicit-any */

// TODO: Implement different loggers for different environments
var global = (0,_misc__WEBPACK_IMPORTED_MODULE_0__.getGlobalObject)();
/** Prefix for logging strings */
var PREFIX = 'Sentry Logger ';
/** JSDoc */
var Logger = /** @class */ (function () {
    /** JSDoc */
    function Logger() {
        this._enabled = false;
    }
    /** JSDoc */
    Logger.prototype.disable = function () {
        this._enabled = false;
    };
    /** JSDoc */
    Logger.prototype.enable = function () {
        this._enabled = true;
    };
    /** JSDoc */
    Logger.prototype.log = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        if (!this._enabled) {
            return;
        }
        (0,_misc__WEBPACK_IMPORTED_MODULE_0__.consoleSandbox)(function () {
            global.console.log(PREFIX + "[Log]: " + args.join(' '));
        });
    };
    /** JSDoc */
    Logger.prototype.warn = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        if (!this._enabled) {
            return;
        }
        (0,_misc__WEBPACK_IMPORTED_MODULE_0__.consoleSandbox)(function () {
            global.console.warn(PREFIX + "[Warn]: " + args.join(' '));
        });
    };
    /** JSDoc */
    Logger.prototype.error = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        if (!this._enabled) {
            return;
        }
        (0,_misc__WEBPACK_IMPORTED_MODULE_0__.consoleSandbox)(function () {
            global.console.error(PREFIX + "[Error]: " + args.join(' '));
        });
    };
    return Logger;
}());
// Ensure we only have a single logger instance, even if multiple versions of @sentry/utils are being used
global.__SENTRY__ = global.__SENTRY__ || {};
var logger = global.__SENTRY__.logger || (global.__SENTRY__.logger = new Logger());

//# sourceMappingURL=logger.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/memo.js":
/*!************************************************!*\
  !*** ./node_modules/@sentry/utils/esm/memo.js ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Memo": () => (/* binding */ Memo)
/* harmony export */ });
/* eslint-disable @typescript-eslint/no-unsafe-member-access */
/* eslint-disable @typescript-eslint/no-explicit-any */
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
/**
 * Memo class used for decycle json objects. Uses WeakSet if available otherwise array.
 */
var Memo = /** @class */ (function () {
    function Memo() {
        this._hasWeakSet = typeof WeakSet === 'function';
        this._inner = this._hasWeakSet ? new WeakSet() : [];
    }
    /**
     * Sets obj to remember.
     * @param obj Object to remember
     */
    Memo.prototype.memoize = function (obj) {
        if (this._hasWeakSet) {
            if (this._inner.has(obj)) {
                return true;
            }
            this._inner.add(obj);
            return false;
        }
        // eslint-disable-next-line @typescript-eslint/prefer-for-of
        for (var i = 0; i < this._inner.length; i++) {
            var value = this._inner[i];
            if (value === obj) {
                return true;
            }
        }
        this._inner.push(obj);
        return false;
    };
    /**
     * Removes object from internal storage.
     * @param obj Object to forget
     */
    Memo.prototype.unmemoize = function (obj) {
        if (this._hasWeakSet) {
            this._inner.delete(obj);
        }
        else {
            for (var i = 0; i < this._inner.length; i++) {
                if (this._inner[i] === obj) {
                    this._inner.splice(i, 1);
                    break;
                }
            }
        }
    };
    return Memo;
}());

//# sourceMappingURL=memo.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/misc.js":
/*!************************************************!*\
  !*** ./node_modules/@sentry/utils/esm/misc.js ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "addContextToFrame": () => (/* binding */ addContextToFrame),
/* harmony export */   "addExceptionMechanism": () => (/* binding */ addExceptionMechanism),
/* harmony export */   "addExceptionTypeValue": () => (/* binding */ addExceptionTypeValue),
/* harmony export */   "consoleSandbox": () => (/* binding */ consoleSandbox),
/* harmony export */   "getEventDescription": () => (/* binding */ getEventDescription),
/* harmony export */   "getGlobalObject": () => (/* binding */ getGlobalObject),
/* harmony export */   "getLocationHref": () => (/* binding */ getLocationHref),
/* harmony export */   "parseRetryAfterHeader": () => (/* binding */ parseRetryAfterHeader),
/* harmony export */   "parseSemver": () => (/* binding */ parseSemver),
/* harmony export */   "parseUrl": () => (/* binding */ parseUrl),
/* harmony export */   "stripUrlQueryAndFragment": () => (/* binding */ stripUrlQueryAndFragment),
/* harmony export */   "uuid4": () => (/* binding */ uuid4)
/* harmony export */ });
/* harmony import */ var _node__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./node */ "./node_modules/@sentry/utils/esm/node.js");
/* harmony import */ var _string__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./string */ "./node_modules/@sentry/utils/esm/string.js");


var fallbackGlobalObject = {};
/**
 * Safely get global scope object
 *
 * @returns Global scope object
 */
function getGlobalObject() {
    return ((0,_node__WEBPACK_IMPORTED_MODULE_0__.isNodeEnv)()
        ? __webpack_require__.g
        : typeof window !== 'undefined'
            ? window
            : typeof self !== 'undefined'
                ? self
                : fallbackGlobalObject);
}
/**
 * UUID4 generator
 *
 * @returns string Generated UUID4.
 */
function uuid4() {
    var global = getGlobalObject();
    var crypto = global.crypto || global.msCrypto;
    if (!(crypto === void 0) && crypto.getRandomValues) {
        // Use window.crypto API if available
        var arr = new Uint16Array(8);
        crypto.getRandomValues(arr);
        // set 4 in byte 7
        // eslint-disable-next-line no-bitwise
        arr[3] = (arr[3] & 0xfff) | 0x4000;
        // set 2 most significant bits of byte 9 to '10'
        // eslint-disable-next-line no-bitwise
        arr[4] = (arr[4] & 0x3fff) | 0x8000;
        var pad = function (num) {
            var v = num.toString(16);
            while (v.length < 4) {
                v = "0" + v;
            }
            return v;
        };
        return (pad(arr[0]) + pad(arr[1]) + pad(arr[2]) + pad(arr[3]) + pad(arr[4]) + pad(arr[5]) + pad(arr[6]) + pad(arr[7]));
    }
    // http://stackoverflow.com/questions/105034/how-to-create-a-guid-uuid-in-javascript/2117523#2117523
    return 'xxxxxxxxxxxx4xxxyxxxxxxxxxxxxxxx'.replace(/[xy]/g, function (c) {
        // eslint-disable-next-line no-bitwise
        var r = (Math.random() * 16) | 0;
        // eslint-disable-next-line no-bitwise
        var v = c === 'x' ? r : (r & 0x3) | 0x8;
        return v.toString(16);
    });
}
/**
 * Parses string form of URL into an object
 * // borrowed from https://tools.ietf.org/html/rfc3986#appendix-B
 * // intentionally using regex and not <a/> href parsing trick because React Native and other
 * // environments where DOM might not be available
 * @returns parsed URL object
 */
function parseUrl(url) {
    if (!url) {
        return {};
    }
    var match = url.match(/^(([^:/?#]+):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?$/);
    if (!match) {
        return {};
    }
    // coerce to undefined values to empty string so we don't get 'undefined'
    var query = match[6] || '';
    var fragment = match[8] || '';
    return {
        host: match[4],
        path: match[5],
        protocol: match[2],
        relative: match[5] + query + fragment,
    };
}
/**
 * Extracts either message or type+value from an event that can be used for user-facing logs
 * @returns event's description
 */
function getEventDescription(event) {
    if (event.message) {
        return event.message;
    }
    if (event.exception && event.exception.values && event.exception.values[0]) {
        var exception = event.exception.values[0];
        if (exception.type && exception.value) {
            return exception.type + ": " + exception.value;
        }
        return exception.type || exception.value || event.event_id || '<unknown>';
    }
    return event.event_id || '<unknown>';
}
/** JSDoc */
function consoleSandbox(callback) {
    var global = getGlobalObject();
    var levels = ['debug', 'info', 'warn', 'error', 'log', 'assert'];
    if (!('console' in global)) {
        return callback();
    }
    // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
    var originalConsole = global.console;
    var wrappedLevels = {};
    // Restore all wrapped console methods
    levels.forEach(function (level) {
        // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
        if (level in global.console && originalConsole[level].__sentry_original__) {
            wrappedLevels[level] = originalConsole[level];
            originalConsole[level] = originalConsole[level].__sentry_original__;
        }
    });
    // Perform callback manipulations
    var result = callback();
    // Revert restoration to wrapped state
    Object.keys(wrappedLevels).forEach(function (level) {
        originalConsole[level] = wrappedLevels[level];
    });
    return result;
}
/**
 * Adds exception values, type and value to an synthetic Exception.
 * @param event The event to modify.
 * @param value Value of the exception.
 * @param type Type of the exception.
 * @hidden
 */
function addExceptionTypeValue(event, value, type) {
    event.exception = event.exception || {};
    event.exception.values = event.exception.values || [];
    event.exception.values[0] = event.exception.values[0] || {};
    event.exception.values[0].value = event.exception.values[0].value || value || '';
    event.exception.values[0].type = event.exception.values[0].type || type || 'Error';
}
/**
 * Adds exception mechanism to a given event.
 * @param event The event to modify.
 * @param mechanism Mechanism of the mechanism.
 * @hidden
 */
function addExceptionMechanism(event, mechanism) {
    if (mechanism === void 0) { mechanism = {}; }
    // TODO: Use real type with `keyof Mechanism` thingy and maybe make it better?
    try {
        // @ts-ignore Type 'Mechanism | {}' is not assignable to type 'Mechanism | undefined'
        // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
        event.exception.values[0].mechanism = event.exception.values[0].mechanism || {};
        Object.keys(mechanism).forEach(function (key) {
            // @ts-ignore Mechanism has no index signature
            // eslint-disable-next-line @typescript-eslint/no-non-null-assertion
            event.exception.values[0].mechanism[key] = mechanism[key];
        });
    }
    catch (_oO) {
        // no-empty
    }
}
/**
 * A safe form of location.href
 */
function getLocationHref() {
    try {
        return document.location.href;
    }
    catch (oO) {
        return '';
    }
}
// https://semver.org/#is-there-a-suggested-regular-expression-regex-to-check-a-semver-string
var SEMVER_REGEXP = /^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\.(?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\+([0-9a-zA-Z-]+(?:\.[0-9a-zA-Z-]+)*))?$/;
/**
 * Parses input into a SemVer interface
 * @param input string representation of a semver version
 */
function parseSemver(input) {
    var match = input.match(SEMVER_REGEXP) || [];
    var major = parseInt(match[1], 10);
    var minor = parseInt(match[2], 10);
    var patch = parseInt(match[3], 10);
    return {
        buildmetadata: match[5],
        major: isNaN(major) ? undefined : major,
        minor: isNaN(minor) ? undefined : minor,
        patch: isNaN(patch) ? undefined : patch,
        prerelease: match[4],
    };
}
var defaultRetryAfter = 60 * 1000; // 60 seconds
/**
 * Extracts Retry-After value from the request header or returns default value
 * @param now current unix timestamp
 * @param header string representation of 'Retry-After' header
 */
function parseRetryAfterHeader(now, header) {
    if (!header) {
        return defaultRetryAfter;
    }
    var headerDelay = parseInt("" + header, 10);
    if (!isNaN(headerDelay)) {
        return headerDelay * 1000;
    }
    var headerDate = Date.parse("" + header);
    if (!isNaN(headerDate)) {
        return headerDate - now;
    }
    return defaultRetryAfter;
}
/**
 * This function adds context (pre/post/line) lines to the provided frame
 *
 * @param lines string[] containing all lines
 * @param frame StackFrame that will be mutated
 * @param linesOfContext number of context lines we want to add pre/post
 */
function addContextToFrame(lines, frame, linesOfContext) {
    if (linesOfContext === void 0) { linesOfContext = 5; }
    var lineno = frame.lineno || 0;
    var maxLines = lines.length;
    var sourceLine = Math.max(Math.min(maxLines, lineno - 1), 0);
    frame.pre_context = lines
        .slice(Math.max(0, sourceLine - linesOfContext), sourceLine)
        .map(function (line) { return (0,_string__WEBPACK_IMPORTED_MODULE_1__.snipLine)(line, 0); });
    frame.context_line = (0,_string__WEBPACK_IMPORTED_MODULE_1__.snipLine)(lines[Math.min(maxLines - 1, sourceLine)], frame.colno || 0);
    frame.post_context = lines
        .slice(Math.min(sourceLine + 1, maxLines), sourceLine + 1 + linesOfContext)
        .map(function (line) { return (0,_string__WEBPACK_IMPORTED_MODULE_1__.snipLine)(line, 0); });
}
/**
 * Strip the query string and fragment off of a given URL or path (if present)
 *
 * @param urlPath Full URL or path, including possible query string and/or fragment
 * @returns URL or path without query string or fragment
 */
function stripUrlQueryAndFragment(urlPath) {
    // eslint-disable-next-line no-useless-escape
    return urlPath.split(/[\?#]/, 1)[0];
}
//# sourceMappingURL=misc.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/node.js":
/*!************************************************!*\
  !*** ./node_modules/@sentry/utils/esm/node.js ***!
  \************************************************/
/***/ ((module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "dynamicRequire": () => (/* binding */ dynamicRequire),
/* harmony export */   "isNodeEnv": () => (/* binding */ isNodeEnv),
/* harmony export */   "loadModule": () => (/* binding */ loadModule)
/* harmony export */ });
/* module decorator */ module = __webpack_require__.hmd(module);
/**
 * Checks whether we're in the Node.js or Browser environment
 *
 * @returns Answer to given question
 */
function isNodeEnv() {
    return Object.prototype.toString.call(typeof process !== 'undefined' ? process : 0) === '[object process]';
}
/**
 * Requires a module which is protected against bundler minification.
 *
 * @param request The module path to resolve
 */
// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types, @typescript-eslint/no-explicit-any
function dynamicRequire(mod, request) {
    // eslint-disable-next-line @typescript-eslint/no-unsafe-member-access
    return mod.require(request);
}
/**
 * Helper for dynamically loading module that should work with linked dependencies.
 * The problem is that we _should_ be using `require(require.resolve(moduleName, { paths: [cwd()] }))`
 * However it's _not possible_ to do that with Webpack, as it has to know all the dependencies during
 * build time. `require.resolve` is also not available in any other way, so we cannot create,
 * a fake helper like we do with `dynamicRequire`.
 *
 * We always prefer to use local package, thus the value is not returned early from each `try/catch` block.
 * That is to mimic the behavior of `require.resolve` exactly.
 *
 * @param moduleName module name to require
 * @returns possibly required module
 */
function loadModule(moduleName) {
    var mod;
    try {
        mod = dynamicRequire(module, moduleName);
    }
    catch (e) {
        // no-empty
    }
    try {
        var cwd = dynamicRequire(module, 'process').cwd;
        mod = dynamicRequire(module, cwd() + "/node_modules/" + moduleName);
    }
    catch (e) {
        // no-empty
    }
    return mod;
}
//# sourceMappingURL=node.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/object.js":
/*!**************************************************!*\
  !*** ./node_modules/@sentry/utils/esm/object.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "dropUndefinedKeys": () => (/* binding */ dropUndefinedKeys),
/* harmony export */   "extractExceptionKeysForMessage": () => (/* binding */ extractExceptionKeysForMessage),
/* harmony export */   "fill": () => (/* binding */ fill),
/* harmony export */   "normalize": () => (/* binding */ normalize),
/* harmony export */   "normalizeToSize": () => (/* binding */ normalizeToSize),
/* harmony export */   "urlEncode": () => (/* binding */ urlEncode),
/* harmony export */   "walk": () => (/* binding */ walk)
/* harmony export */ });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _browser__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./browser */ "./node_modules/@sentry/utils/esm/browser.js");
/* harmony import */ var _is__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./is */ "./node_modules/@sentry/utils/esm/is.js");
/* harmony import */ var _memo__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./memo */ "./node_modules/@sentry/utils/esm/memo.js");
/* harmony import */ var _stacktrace__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./stacktrace */ "./node_modules/@sentry/utils/esm/stacktrace.js");
/* harmony import */ var _string__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./string */ "./node_modules/@sentry/utils/esm/string.js");






/**
 * Replace a method in an object with a wrapped version of itself.
 *
 * @param source An object that contains a method to be wrapped.
 * @param name The name of the method to be wrapped.
 * @param replacementFactory A higher-order function that takes the original version of the given method and returns a
 * wrapped version. Note: The function returned by `replacementFactory` needs to be a non-arrow function, in order to
 * preserve the correct value of `this`, and the original method must be called using `origMethod.call(this, <other
 * args>)` or `origMethod.apply(this, [<other args>])` (rather than being called directly), again to preserve `this`.
 * @returns void
 */
function fill(source, name, replacementFactory) {
    if (!(name in source)) {
        return;
    }
    var original = source[name];
    var wrapped = replacementFactory(original);
    // Make sure it's a function first, as we need to attach an empty prototype for `defineProperties` to work
    // otherwise it'll throw "TypeError: Object.defineProperties called on non-object"
    if (typeof wrapped === 'function') {
        try {
            wrapped.prototype = wrapped.prototype || {};
            Object.defineProperties(wrapped, {
                __sentry_original__: {
                    enumerable: false,
                    value: original,
                },
            });
        }
        catch (_Oo) {
            // This can throw if multiple fill happens on a global object like XMLHttpRequest
            // Fixes https://github.com/getsentry/sentry-javascript/issues/2043
        }
    }
    source[name] = wrapped;
}
/**
 * Encodes given object into url-friendly format
 *
 * @param object An object that contains serializable values
 * @returns string Encoded
 */
function urlEncode(object) {
    return Object.keys(object)
        .map(function (key) { return encodeURIComponent(key) + "=" + encodeURIComponent(object[key]); })
        .join('&');
}
/**
 * Transforms any object into an object literal with all its attributes
 * attached to it.
 *
 * @param value Initial source that we have to transform in order for it to be usable by the serializer
 */
function getWalkSource(value) {
    if ((0,_is__WEBPACK_IMPORTED_MODULE_0__.isError)(value)) {
        var error = value;
        var err = {
            message: error.message,
            name: error.name,
            stack: error.stack,
        };
        for (var i in error) {
            if (Object.prototype.hasOwnProperty.call(error, i)) {
                err[i] = error[i];
            }
        }
        return err;
    }
    if ((0,_is__WEBPACK_IMPORTED_MODULE_0__.isEvent)(value)) {
        var event_1 = value;
        var source = {};
        source.type = event_1.type;
        // Accessing event.target can throw (see getsentry/raven-js#838, #768)
        try {
            source.target = (0,_is__WEBPACK_IMPORTED_MODULE_0__.isElement)(event_1.target)
                ? (0,_browser__WEBPACK_IMPORTED_MODULE_1__.htmlTreeAsString)(event_1.target)
                : Object.prototype.toString.call(event_1.target);
        }
        catch (_oO) {
            source.target = '<unknown>';
        }
        try {
            source.currentTarget = (0,_is__WEBPACK_IMPORTED_MODULE_0__.isElement)(event_1.currentTarget)
                ? (0,_browser__WEBPACK_IMPORTED_MODULE_1__.htmlTreeAsString)(event_1.currentTarget)
                : Object.prototype.toString.call(event_1.currentTarget);
        }
        catch (_oO) {
            source.currentTarget = '<unknown>';
        }
        if (typeof CustomEvent !== 'undefined' && (0,_is__WEBPACK_IMPORTED_MODULE_0__.isInstanceOf)(value, CustomEvent)) {
            source.detail = event_1.detail;
        }
        for (var i in event_1) {
            if (Object.prototype.hasOwnProperty.call(event_1, i)) {
                source[i] = event_1;
            }
        }
        return source;
    }
    return value;
}
/** Calculates bytes size of input string */
function utf8Length(value) {
    // eslint-disable-next-line no-bitwise
    return ~-encodeURI(value).split(/%..|./).length;
}
/** Calculates bytes size of input object */
function jsonSize(value) {
    return utf8Length(JSON.stringify(value));
}
/** JSDoc */
function normalizeToSize(object, 
// Default Node.js REPL depth
depth, 
// 100kB, as 200kB is max payload size, so half sounds reasonable
maxSize) {
    if (depth === void 0) { depth = 3; }
    if (maxSize === void 0) { maxSize = 100 * 1024; }
    var serialized = normalize(object, depth);
    if (jsonSize(serialized) > maxSize) {
        return normalizeToSize(object, depth - 1, maxSize);
    }
    return serialized;
}
/**
 * Transform any non-primitive, BigInt, or Symbol-type value into a string. Acts as a no-op on strings, numbers,
 * booleans, null, and undefined.
 *
 * @param value The value to stringify
 * @returns For non-primitive, BigInt, and Symbol-type values, a string denoting the value's type, type and value, or
 *  type and `description` property, respectively. For non-BigInt, non-Symbol primitives, returns the original value,
 *  unchanged.
 */
function serializeValue(value) {
    var type = Object.prototype.toString.call(value);
    // Node.js REPL notation
    if (typeof value === 'string') {
        return value;
    }
    if (type === '[object Object]') {
        return '[Object]';
    }
    if (type === '[object Array]') {
        return '[Array]';
    }
    var normalized = normalizeValue(value);
    return (0,_is__WEBPACK_IMPORTED_MODULE_0__.isPrimitive)(normalized) ? normalized : type;
}
/**
 * normalizeValue()
 *
 * Takes unserializable input and make it serializable friendly
 *
 * - translates undefined/NaN values to "[undefined]"/"[NaN]" respectively,
 * - serializes Error objects
 * - filter global objects
 */
function normalizeValue(value, key) {
    if (key === 'domain' && value && typeof value === 'object' && value._events) {
        return '[Domain]';
    }
    if (key === 'domainEmitter') {
        return '[DomainEmitter]';
    }
    if (typeof __webpack_require__.g !== 'undefined' && value === __webpack_require__.g) {
        return '[Global]';
    }
    if (typeof window !== 'undefined' && value === window) {
        return '[Window]';
    }
    if (typeof document !== 'undefined' && value === document) {
        return '[Document]';
    }
    // React's SyntheticEvent thingy
    if ((0,_is__WEBPACK_IMPORTED_MODULE_0__.isSyntheticEvent)(value)) {
        return '[SyntheticEvent]';
    }
    if (typeof value === 'number' && value !== value) {
        return '[NaN]';
    }
    if (value === void 0) {
        return '[undefined]';
    }
    if (typeof value === 'function') {
        return "[Function: " + (0,_stacktrace__WEBPACK_IMPORTED_MODULE_2__.getFunctionName)(value) + "]";
    }
    // symbols and bigints are considered primitives by TS, but aren't natively JSON-serilaizable
    if (typeof value === 'symbol') {
        return "[" + String(value) + "]";
    }
    if (typeof value === 'bigint') {
        return "[BigInt: " + String(value) + "]";
    }
    return value;
}
/**
 * Walks an object to perform a normalization on it
 *
 * @param key of object that's walked in current iteration
 * @param value object to be walked
 * @param depth Optional number indicating how deep should walking be performed
 * @param memo Optional Memo class handling decycling
 */
// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
function walk(key, value, depth, memo) {
    if (depth === void 0) { depth = +Infinity; }
    if (memo === void 0) { memo = new _memo__WEBPACK_IMPORTED_MODULE_3__.Memo(); }
    // If we reach the maximum depth, serialize whatever has left
    if (depth === 0) {
        return serializeValue(value);
    }
    /* eslint-disable @typescript-eslint/no-unsafe-member-access */
    // If value implements `toJSON` method, call it and return early
    if (value !== null && value !== undefined && typeof value.toJSON === 'function') {
        return value.toJSON();
    }
    /* eslint-enable @typescript-eslint/no-unsafe-member-access */
    // If normalized value is a primitive, there are no branches left to walk, so we can just bail out, as theres no point in going down that branch any further
    var normalized = normalizeValue(value, key);
    if ((0,_is__WEBPACK_IMPORTED_MODULE_0__.isPrimitive)(normalized)) {
        return normalized;
    }
    // Create source that we will use for next itterations, either objectified error object (Error type with extracted keys:value pairs) or the input itself
    var source = getWalkSource(value);
    // Create an accumulator that will act as a parent for all future itterations of that branch
    var acc = Array.isArray(value) ? [] : {};
    // If we already walked that branch, bail out, as it's circular reference
    if (memo.memoize(value)) {
        return '[Circular ~]';
    }
    // Walk all keys of the source
    for (var innerKey in source) {
        // Avoid iterating over fields in the prototype if they've somehow been exposed to enumeration.
        if (!Object.prototype.hasOwnProperty.call(source, innerKey)) {
            continue;
        }
        // Recursively walk through all the child nodes
        acc[innerKey] = walk(innerKey, source[innerKey], depth - 1, memo);
    }
    // Once walked through all the branches, remove the parent from memo storage
    memo.unmemoize(value);
    // Return accumulated values
    return acc;
}
/**
 * normalize()
 *
 * - Creates a copy to prevent original input mutation
 * - Skip non-enumerablers
 * - Calls `toJSON` if implemented
 * - Removes circular references
 * - Translates non-serializeable values (undefined/NaN/Functions) to serializable format
 * - Translates known global objects/Classes to a string representations
 * - Takes care of Error objects serialization
 * - Optionally limit depth of final output
 */
// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
function normalize(input, depth) {
    try {
        return JSON.parse(JSON.stringify(input, function (key, value) { return walk(key, value, depth); }));
    }
    catch (_oO) {
        return '**non-serializable**';
    }
}
/**
 * Given any captured exception, extract its keys and create a sorted
 * and truncated list that will be used inside the event message.
 * eg. `Non-error exception captured with keys: foo, bar, baz`
 */
// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
function extractExceptionKeysForMessage(exception, maxLength) {
    if (maxLength === void 0) { maxLength = 40; }
    var keys = Object.keys(getWalkSource(exception));
    keys.sort();
    if (!keys.length) {
        return '[object has no keys]';
    }
    if (keys[0].length >= maxLength) {
        return (0,_string__WEBPACK_IMPORTED_MODULE_4__.truncate)(keys[0], maxLength);
    }
    for (var includedKeys = keys.length; includedKeys > 0; includedKeys--) {
        var serialized = keys.slice(0, includedKeys).join(', ');
        if (serialized.length > maxLength) {
            continue;
        }
        if (includedKeys === keys.length) {
            return serialized;
        }
        return (0,_string__WEBPACK_IMPORTED_MODULE_4__.truncate)(serialized, maxLength);
    }
    return '';
}
/**
 * Given any object, return the new object with removed keys that value was `undefined`.
 * Works recursively on objects and arrays.
 */
function dropUndefinedKeys(val) {
    var e_1, _a;
    if ((0,_is__WEBPACK_IMPORTED_MODULE_0__.isPlainObject)(val)) {
        var obj = val;
        var rv = {};
        try {
            for (var _b = (0,tslib__WEBPACK_IMPORTED_MODULE_5__.__values)(Object.keys(obj)), _c = _b.next(); !_c.done; _c = _b.next()) {
                var key = _c.value;
                if (typeof obj[key] !== 'undefined') {
                    rv[key] = dropUndefinedKeys(obj[key]);
                }
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
            }
            finally { if (e_1) throw e_1.error; }
        }
        return rv;
    }
    if (Array.isArray(val)) {
        return val.map(dropUndefinedKeys);
    }
    return val;
}
//# sourceMappingURL=object.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/polyfill.js":
/*!****************************************************!*\
  !*** ./node_modules/@sentry/utils/esm/polyfill.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "setPrototypeOf": () => (/* binding */ setPrototypeOf)
/* harmony export */ });
var setPrototypeOf = Object.setPrototypeOf || ({ __proto__: [] } instanceof Array ? setProtoOf : mixinProperties);
/**
 * setPrototypeOf polyfill using __proto__
 */
// eslint-disable-next-line @typescript-eslint/ban-types
function setProtoOf(obj, proto) {
    // @ts-ignore __proto__ does not exist on obj
    obj.__proto__ = proto;
    return obj;
}
/**
 * setPrototypeOf polyfill using mixin
 */
// eslint-disable-next-line @typescript-eslint/ban-types
function mixinProperties(obj, proto) {
    for (var prop in proto) {
        // eslint-disable-next-line no-prototype-builtins
        if (!obj.hasOwnProperty(prop)) {
            // @ts-ignore typescript complains about indexing so we remove
            obj[prop] = proto[prop];
        }
    }
    return obj;
}
//# sourceMappingURL=polyfill.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/promisebuffer.js":
/*!*********************************************************!*\
  !*** ./node_modules/@sentry/utils/esm/promisebuffer.js ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "PromiseBuffer": () => (/* binding */ PromiseBuffer)
/* harmony export */ });
/* harmony import */ var _error__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./error */ "./node_modules/@sentry/utils/esm/error.js");
/* harmony import */ var _syncpromise__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./syncpromise */ "./node_modules/@sentry/utils/esm/syncpromise.js");


/** A simple queue that holds promises. */
var PromiseBuffer = /** @class */ (function () {
    function PromiseBuffer(_limit) {
        this._limit = _limit;
        /** Internal set of queued Promises */
        this._buffer = [];
    }
    /**
     * Says if the buffer is ready to take more requests
     */
    PromiseBuffer.prototype.isReady = function () {
        return this._limit === undefined || this.length() < this._limit;
    };
    /**
     * Add a promise to the queue.
     *
     * @param taskProducer A function producing any PromiseLike<T>; In previous versions this used to be `task: PromiseLike<T>`,
     *        however, Promises were instantly created on the call-site, making them fall through the buffer limit.
     * @returns The original promise.
     */
    PromiseBuffer.prototype.add = function (taskProducer) {
        var _this = this;
        if (!this.isReady()) {
            return _syncpromise__WEBPACK_IMPORTED_MODULE_0__.SyncPromise.reject(new _error__WEBPACK_IMPORTED_MODULE_1__.SentryError('Not adding Promise due to buffer limit reached.'));
        }
        var task = taskProducer();
        if (this._buffer.indexOf(task) === -1) {
            this._buffer.push(task);
        }
        void task
            .then(function () { return _this.remove(task); })
            .then(null, function () {
            return _this.remove(task).then(null, function () {
                // We have to add this catch here otherwise we have an unhandledPromiseRejection
                // because it's a new Promise chain.
            });
        });
        return task;
    };
    /**
     * Remove a promise to the queue.
     *
     * @param task Can be any PromiseLike<T>
     * @returns Removed promise.
     */
    PromiseBuffer.prototype.remove = function (task) {
        var removedTask = this._buffer.splice(this._buffer.indexOf(task), 1)[0];
        return removedTask;
    };
    /**
     * This function returns the number of unresolved promises in the queue.
     */
    PromiseBuffer.prototype.length = function () {
        return this._buffer.length;
    };
    /**
     * This will drain the whole queue, returns true if queue is empty or drained.
     * If timeout is provided and the queue takes longer to drain, the promise still resolves but with false.
     *
     * @param timeout Number in ms to wait until it resolves with false.
     */
    PromiseBuffer.prototype.drain = function (timeout) {
        var _this = this;
        return new _syncpromise__WEBPACK_IMPORTED_MODULE_0__.SyncPromise(function (resolve) {
            var capturedSetTimeout = setTimeout(function () {
                if (timeout && timeout > 0) {
                    resolve(false);
                }
            }, timeout);
            void _syncpromise__WEBPACK_IMPORTED_MODULE_0__.SyncPromise.all(_this._buffer)
                .then(function () {
                clearTimeout(capturedSetTimeout);
                resolve(true);
            })
                .then(null, function () {
                resolve(true);
            });
        });
    };
    return PromiseBuffer;
}());

//# sourceMappingURL=promisebuffer.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/stacktrace.js":
/*!******************************************************!*\
  !*** ./node_modules/@sentry/utils/esm/stacktrace.js ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "getFunctionName": () => (/* binding */ getFunctionName)
/* harmony export */ });
var defaultFunctionName = '<anonymous>';
/**
 * Safely extract function name from itself
 */
function getFunctionName(fn) {
    try {
        if (!fn || typeof fn !== 'function') {
            return defaultFunctionName;
        }
        return fn.name || defaultFunctionName;
    }
    catch (e) {
        // Just accessing custom props in some Selenium environments
        // can cause a "Permission denied" exception (see raven-js#495).
        return defaultFunctionName;
    }
}
//# sourceMappingURL=stacktrace.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/string.js":
/*!**************************************************!*\
  !*** ./node_modules/@sentry/utils/esm/string.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "isMatchingPattern": () => (/* binding */ isMatchingPattern),
/* harmony export */   "safeJoin": () => (/* binding */ safeJoin),
/* harmony export */   "snipLine": () => (/* binding */ snipLine),
/* harmony export */   "truncate": () => (/* binding */ truncate)
/* harmony export */ });
/* harmony import */ var _is__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./is */ "./node_modules/@sentry/utils/esm/is.js");

/**
 * Truncates given string to the maximum characters count
 *
 * @param str An object that contains serializable values
 * @param max Maximum number of characters in truncated string (0 = unlimited)
 * @returns string Encoded
 */
function truncate(str, max) {
    if (max === void 0) { max = 0; }
    if (typeof str !== 'string' || max === 0) {
        return str;
    }
    return str.length <= max ? str : str.substr(0, max) + "...";
}
/**
 * This is basically just `trim_line` from
 * https://github.com/getsentry/sentry/blob/master/src/sentry/lang/javascript/processor.py#L67
 *
 * @param str An object that contains serializable values
 * @param max Maximum number of characters in truncated string
 * @returns string Encoded
 */
function snipLine(line, colno) {
    var newLine = line;
    var ll = newLine.length;
    if (ll <= 150) {
        return newLine;
    }
    if (colno > ll) {
        // eslint-disable-next-line no-param-reassign
        colno = ll;
    }
    var start = Math.max(colno - 60, 0);
    if (start < 5) {
        start = 0;
    }
    var end = Math.min(start + 140, ll);
    if (end > ll - 5) {
        end = ll;
    }
    if (end === ll) {
        start = Math.max(end - 140, 0);
    }
    newLine = newLine.slice(start, end);
    if (start > 0) {
        newLine = "'{snip} " + newLine;
    }
    if (end < ll) {
        newLine += ' {snip}';
    }
    return newLine;
}
/**
 * Join values in array
 * @param input array of values to be joined together
 * @param delimiter string to be placed in-between values
 * @returns Joined values
 */
// eslint-disable-next-line @typescript-eslint/no-explicit-any
function safeJoin(input, delimiter) {
    if (!Array.isArray(input)) {
        return '';
    }
    var output = [];
    // eslint-disable-next-line @typescript-eslint/prefer-for-of
    for (var i = 0; i < input.length; i++) {
        var value = input[i];
        try {
            output.push(String(value));
        }
        catch (e) {
            output.push('[value cannot be serialized]');
        }
    }
    return output.join(delimiter);
}
/**
 * Checks if the value matches a regex or includes the string
 * @param value The string value to be checked against
 * @param pattern Either a regex or a string that must be contained in value
 */
function isMatchingPattern(value, pattern) {
    if (!(0,_is__WEBPACK_IMPORTED_MODULE_0__.isString)(value)) {
        return false;
    }
    if ((0,_is__WEBPACK_IMPORTED_MODULE_0__.isRegExp)(pattern)) {
        return pattern.test(value);
    }
    if (typeof pattern === 'string') {
        return value.indexOf(pattern) !== -1;
    }
    return false;
}
//# sourceMappingURL=string.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/supports.js":
/*!****************************************************!*\
  !*** ./node_modules/@sentry/utils/esm/supports.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "isNativeFetch": () => (/* binding */ isNativeFetch),
/* harmony export */   "supportsDOMError": () => (/* binding */ supportsDOMError),
/* harmony export */   "supportsDOMException": () => (/* binding */ supportsDOMException),
/* harmony export */   "supportsErrorEvent": () => (/* binding */ supportsErrorEvent),
/* harmony export */   "supportsFetch": () => (/* binding */ supportsFetch),
/* harmony export */   "supportsHistory": () => (/* binding */ supportsHistory),
/* harmony export */   "supportsNativeFetch": () => (/* binding */ supportsNativeFetch),
/* harmony export */   "supportsReferrerPolicy": () => (/* binding */ supportsReferrerPolicy),
/* harmony export */   "supportsReportingObserver": () => (/* binding */ supportsReportingObserver)
/* harmony export */ });
/* harmony import */ var _logger__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./logger */ "./node_modules/@sentry/utils/esm/logger.js");
/* harmony import */ var _misc__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./misc */ "./node_modules/@sentry/utils/esm/misc.js");


/**
 * Tells whether current environment supports ErrorEvent objects
 * {@link supportsErrorEvent}.
 *
 * @returns Answer to the given question.
 */
function supportsErrorEvent() {
    try {
        new ErrorEvent('');
        return true;
    }
    catch (e) {
        return false;
    }
}
/**
 * Tells whether current environment supports DOMError objects
 * {@link supportsDOMError}.
 *
 * @returns Answer to the given question.
 */
function supportsDOMError() {
    try {
        // Chrome: VM89:1 Uncaught TypeError: Failed to construct 'DOMError':
        // 1 argument required, but only 0 present.
        // @ts-ignore It really needs 1 argument, not 0.
        new DOMError('');
        return true;
    }
    catch (e) {
        return false;
    }
}
/**
 * Tells whether current environment supports DOMException objects
 * {@link supportsDOMException}.
 *
 * @returns Answer to the given question.
 */
function supportsDOMException() {
    try {
        new DOMException('');
        return true;
    }
    catch (e) {
        return false;
    }
}
/**
 * Tells whether current environment supports Fetch API
 * {@link supportsFetch}.
 *
 * @returns Answer to the given question.
 */
function supportsFetch() {
    if (!('fetch' in (0,_misc__WEBPACK_IMPORTED_MODULE_0__.getGlobalObject)())) {
        return false;
    }
    try {
        new Headers();
        new Request('');
        new Response();
        return true;
    }
    catch (e) {
        return false;
    }
}
/**
 * isNativeFetch checks if the given function is a native implementation of fetch()
 */
// eslint-disable-next-line @typescript-eslint/ban-types
function isNativeFetch(func) {
    return func && /^function fetch\(\)\s+\{\s+\[native code\]\s+\}$/.test(func.toString());
}
/**
 * Tells whether current environment supports Fetch API natively
 * {@link supportsNativeFetch}.
 *
 * @returns true if `window.fetch` is natively implemented, false otherwise
 */
function supportsNativeFetch() {
    if (!supportsFetch()) {
        return false;
    }
    var global = (0,_misc__WEBPACK_IMPORTED_MODULE_0__.getGlobalObject)();
    // Fast path to avoid DOM I/O
    // eslint-disable-next-line @typescript-eslint/unbound-method
    if (isNativeFetch(global.fetch)) {
        return true;
    }
    // window.fetch is implemented, but is polyfilled or already wrapped (e.g: by a chrome extension)
    // so create a "pure" iframe to see if that has native fetch
    var result = false;
    var doc = global.document;
    // eslint-disable-next-line deprecation/deprecation
    if (doc && typeof doc.createElement === "function") {
        try {
            var sandbox = doc.createElement('iframe');
            sandbox.hidden = true;
            doc.head.appendChild(sandbox);
            if (sandbox.contentWindow && sandbox.contentWindow.fetch) {
                // eslint-disable-next-line @typescript-eslint/unbound-method
                result = isNativeFetch(sandbox.contentWindow.fetch);
            }
            doc.head.removeChild(sandbox);
        }
        catch (err) {
            _logger__WEBPACK_IMPORTED_MODULE_1__.logger.warn('Could not create sandbox iframe for pure fetch check, bailing to window.fetch: ', err);
        }
    }
    return result;
}
/**
 * Tells whether current environment supports ReportingObserver API
 * {@link supportsReportingObserver}.
 *
 * @returns Answer to the given question.
 */
function supportsReportingObserver() {
    return 'ReportingObserver' in (0,_misc__WEBPACK_IMPORTED_MODULE_0__.getGlobalObject)();
}
/**
 * Tells whether current environment supports Referrer Policy API
 * {@link supportsReferrerPolicy}.
 *
 * @returns Answer to the given question.
 */
function supportsReferrerPolicy() {
    // Despite all stars in the sky saying that Edge supports old draft syntax, aka 'never', 'always', 'origin' and 'default
    // https://caniuse.com/#feat=referrer-policy
    // It doesn't. And it throw exception instead of ignoring this parameter...
    // REF: https://github.com/getsentry/raven-js/issues/1233
    if (!supportsFetch()) {
        return false;
    }
    try {
        new Request('_', {
            referrerPolicy: 'origin',
        });
        return true;
    }
    catch (e) {
        return false;
    }
}
/**
 * Tells whether current environment supports History API
 * {@link supportsHistory}.
 *
 * @returns Answer to the given question.
 */
function supportsHistory() {
    // NOTE: in Chrome App environment, touching history.pushState, *even inside
    //       a try/catch block*, will cause Chrome to output an error to console.error
    // borrowed from: https://github.com/angular/angular.js/pull/13945/files
    var global = (0,_misc__WEBPACK_IMPORTED_MODULE_0__.getGlobalObject)();
    /* eslint-disable @typescript-eslint/no-unsafe-member-access */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    var chrome = global.chrome;
    var isChromePackagedApp = chrome && chrome.app && chrome.app.runtime;
    /* eslint-enable @typescript-eslint/no-unsafe-member-access */
    var hasHistoryApi = 'history' in global && !!global.history.pushState && !!global.history.replaceState;
    return !isChromePackagedApp && hasHistoryApi;
}
//# sourceMappingURL=supports.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/syncpromise.js":
/*!*******************************************************!*\
  !*** ./node_modules/@sentry/utils/esm/syncpromise.js ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "SyncPromise": () => (/* binding */ SyncPromise)
/* harmony export */ });
/* harmony import */ var _is__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./is */ "./node_modules/@sentry/utils/esm/is.js");
/* eslint-disable @typescript-eslint/explicit-function-return-type */
/* eslint-disable @typescript-eslint/typedef */
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
/* eslint-disable @typescript-eslint/no-explicit-any */

/** SyncPromise internal states */
var States;
(function (States) {
    /** Pending */
    States["PENDING"] = "PENDING";
    /** Resolved / OK */
    States["RESOLVED"] = "RESOLVED";
    /** Rejected / Error */
    States["REJECTED"] = "REJECTED";
})(States || (States = {}));
/**
 * Thenable class that behaves like a Promise and follows it's interface
 * but is not async internally
 */
var SyncPromise = /** @class */ (function () {
    function SyncPromise(executor) {
        var _this = this;
        this._state = States.PENDING;
        this._handlers = [];
        /** JSDoc */
        this._resolve = function (value) {
            _this._setResult(States.RESOLVED, value);
        };
        /** JSDoc */
        this._reject = function (reason) {
            _this._setResult(States.REJECTED, reason);
        };
        /** JSDoc */
        this._setResult = function (state, value) {
            if (_this._state !== States.PENDING) {
                return;
            }
            if ((0,_is__WEBPACK_IMPORTED_MODULE_0__.isThenable)(value)) {
                void value.then(_this._resolve, _this._reject);
                return;
            }
            _this._state = state;
            _this._value = value;
            _this._executeHandlers();
        };
        // TODO: FIXME
        /** JSDoc */
        this._attachHandler = function (handler) {
            _this._handlers = _this._handlers.concat(handler);
            _this._executeHandlers();
        };
        /** JSDoc */
        this._executeHandlers = function () {
            if (_this._state === States.PENDING) {
                return;
            }
            var cachedHandlers = _this._handlers.slice();
            _this._handlers = [];
            cachedHandlers.forEach(function (handler) {
                if (handler.done) {
                    return;
                }
                if (_this._state === States.RESOLVED) {
                    if (handler.onfulfilled) {
                        // eslint-disable-next-line @typescript-eslint/no-floating-promises
                        handler.onfulfilled(_this._value);
                    }
                }
                if (_this._state === States.REJECTED) {
                    if (handler.onrejected) {
                        handler.onrejected(_this._value);
                    }
                }
                handler.done = true;
            });
        };
        try {
            executor(this._resolve, this._reject);
        }
        catch (e) {
            this._reject(e);
        }
    }
    /** JSDoc */
    SyncPromise.resolve = function (value) {
        return new SyncPromise(function (resolve) {
            resolve(value);
        });
    };
    /** JSDoc */
    SyncPromise.reject = function (reason) {
        return new SyncPromise(function (_, reject) {
            reject(reason);
        });
    };
    /** JSDoc */
    SyncPromise.all = function (collection) {
        return new SyncPromise(function (resolve, reject) {
            if (!Array.isArray(collection)) {
                reject(new TypeError("Promise.all requires an array as input."));
                return;
            }
            if (collection.length === 0) {
                resolve([]);
                return;
            }
            var counter = collection.length;
            var resolvedCollection = [];
            collection.forEach(function (item, index) {
                void SyncPromise.resolve(item)
                    .then(function (value) {
                    resolvedCollection[index] = value;
                    counter -= 1;
                    if (counter !== 0) {
                        return;
                    }
                    resolve(resolvedCollection);
                })
                    .then(null, reject);
            });
        });
    };
    /** JSDoc */
    SyncPromise.prototype.then = function (onfulfilled, onrejected) {
        var _this = this;
        return new SyncPromise(function (resolve, reject) {
            _this._attachHandler({
                done: false,
                onfulfilled: function (result) {
                    if (!onfulfilled) {
                        // TODO: ¯\_(ツ)_/¯
                        // TODO: FIXME
                        resolve(result);
                        return;
                    }
                    try {
                        resolve(onfulfilled(result));
                        return;
                    }
                    catch (e) {
                        reject(e);
                        return;
                    }
                },
                onrejected: function (reason) {
                    if (!onrejected) {
                        reject(reason);
                        return;
                    }
                    try {
                        resolve(onrejected(reason));
                        return;
                    }
                    catch (e) {
                        reject(e);
                        return;
                    }
                },
            });
        });
    };
    /** JSDoc */
    SyncPromise.prototype.catch = function (onrejected) {
        return this.then(function (val) { return val; }, onrejected);
    };
    /** JSDoc */
    SyncPromise.prototype.finally = function (onfinally) {
        var _this = this;
        return new SyncPromise(function (resolve, reject) {
            var val;
            var isRejected;
            return _this.then(function (value) {
                isRejected = false;
                val = value;
                if (onfinally) {
                    onfinally();
                }
            }, function (reason) {
                isRejected = true;
                val = reason;
                if (onfinally) {
                    onfinally();
                }
            }).then(function () {
                if (isRejected) {
                    reject(val);
                    return;
                }
                resolve(val);
            });
        });
    };
    /** JSDoc */
    SyncPromise.prototype.toString = function () {
        return '[object SyncPromise]';
    };
    return SyncPromise;
}());

//# sourceMappingURL=syncpromise.js.map

/***/ }),

/***/ "./node_modules/@sentry/utils/esm/time.js":
/*!************************************************!*\
  !*** ./node_modules/@sentry/utils/esm/time.js ***!
  \************************************************/
/***/ ((module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "_browserPerformanceTimeOriginMode": () => (/* binding */ _browserPerformanceTimeOriginMode),
/* harmony export */   "browserPerformanceTimeOrigin": () => (/* binding */ browserPerformanceTimeOrigin),
/* harmony export */   "dateTimestampInSeconds": () => (/* binding */ dateTimestampInSeconds),
/* harmony export */   "timestampInSeconds": () => (/* binding */ timestampInSeconds),
/* harmony export */   "timestampWithMs": () => (/* binding */ timestampWithMs),
/* harmony export */   "usingPerformanceAPI": () => (/* binding */ usingPerformanceAPI)
/* harmony export */ });
/* harmony import */ var _misc__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./misc */ "./node_modules/@sentry/utils/esm/misc.js");
/* harmony import */ var _node__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./node */ "./node_modules/@sentry/utils/esm/node.js");
/* module decorator */ module = __webpack_require__.hmd(module);


/**
 * A TimestampSource implementation for environments that do not support the Performance Web API natively.
 *
 * Note that this TimestampSource does not use a monotonic clock. A call to `nowSeconds` may return a timestamp earlier
 * than a previously returned value. We do not try to emulate a monotonic behavior in order to facilitate debugging. It
 * is more obvious to explain "why does my span have negative duration" than "why my spans have zero duration".
 */
var dateTimestampSource = {
    nowSeconds: function () { return Date.now() / 1000; },
};
/**
 * Returns a wrapper around the native Performance API browser implementation, or undefined for browsers that do not
 * support the API.
 *
 * Wrapping the native API works around differences in behavior from different browsers.
 */
function getBrowserPerformance() {
    var performance = (0,_misc__WEBPACK_IMPORTED_MODULE_0__.getGlobalObject)().performance;
    if (!performance || !performance.now) {
        return undefined;
    }
    // Replace performance.timeOrigin with our own timeOrigin based on Date.now().
    //
    // This is a partial workaround for browsers reporting performance.timeOrigin such that performance.timeOrigin +
    // performance.now() gives a date arbitrarily in the past.
    //
    // Additionally, computing timeOrigin in this way fills the gap for browsers where performance.timeOrigin is
    // undefined.
    //
    // The assumption that performance.timeOrigin + performance.now() ~= Date.now() is flawed, but we depend on it to
    // interact with data coming out of performance entries.
    //
    // Note that despite recommendations against it in the spec, browsers implement the Performance API with a clock that
    // might stop when the computer is asleep (and perhaps under other circumstances). Such behavior causes
    // performance.timeOrigin + performance.now() to have an arbitrary skew over Date.now(). In laptop computers, we have
    // observed skews that can be as long as days, weeks or months.
    //
    // See https://github.com/getsentry/sentry-javascript/issues/2590.
    //
    // BUG: despite our best intentions, this workaround has its limitations. It mostly addresses timings of pageload
    // transactions, but ignores the skew built up over time that can aversely affect timestamps of navigation
    // transactions of long-lived web pages.
    var timeOrigin = Date.now() - performance.now();
    return {
        now: function () { return performance.now(); },
        timeOrigin: timeOrigin,
    };
}
/**
 * Returns the native Performance API implementation from Node.js. Returns undefined in old Node.js versions that don't
 * implement the API.
 */
function getNodePerformance() {
    try {
        var perfHooks = (0,_node__WEBPACK_IMPORTED_MODULE_1__.dynamicRequire)(module, 'perf_hooks');
        return perfHooks.performance;
    }
    catch (_) {
        return undefined;
    }
}
/**
 * The Performance API implementation for the current platform, if available.
 */
var platformPerformance = (0,_node__WEBPACK_IMPORTED_MODULE_1__.isNodeEnv)() ? getNodePerformance() : getBrowserPerformance();
var timestampSource = platformPerformance === undefined
    ? dateTimestampSource
    : {
        nowSeconds: function () { return (platformPerformance.timeOrigin + platformPerformance.now()) / 1000; },
    };
/**
 * Returns a timestamp in seconds since the UNIX epoch using the Date API.
 */
var dateTimestampInSeconds = dateTimestampSource.nowSeconds.bind(dateTimestampSource);
/**
 * Returns a timestamp in seconds since the UNIX epoch using either the Performance or Date APIs, depending on the
 * availability of the Performance API.
 *
 * See `usingPerformanceAPI` to test whether the Performance API is used.
 *
 * BUG: Note that because of how browsers implement the Performance API, the clock might stop when the computer is
 * asleep. This creates a skew between `dateTimestampInSeconds` and `timestampInSeconds`. The
 * skew can grow to arbitrary amounts like days, weeks or months.
 * See https://github.com/getsentry/sentry-javascript/issues/2590.
 */
var timestampInSeconds = timestampSource.nowSeconds.bind(timestampSource);
// Re-exported with an old name for backwards-compatibility.
var timestampWithMs = timestampInSeconds;
/**
 * A boolean that is true when timestampInSeconds uses the Performance API to produce monotonic timestamps.
 */
var usingPerformanceAPI = platformPerformance !== undefined;
/**
 * Internal helper to store what is the source of browserPerformanceTimeOrigin below. For debugging only.
 */
var _browserPerformanceTimeOriginMode;
/**
 * The number of milliseconds since the UNIX epoch. This value is only usable in a browser, and only when the
 * performance API is available.
 */
var browserPerformanceTimeOrigin = (function () {
    // Unfortunately browsers may report an inaccurate time origin data, through either performance.timeOrigin or
    // performance.timing.navigationStart, which results in poor results in performance data. We only treat time origin
    // data as reliable if they are within a reasonable threshold of the current time.
    var performance = (0,_misc__WEBPACK_IMPORTED_MODULE_0__.getGlobalObject)().performance;
    if (!performance || !performance.now) {
        _browserPerformanceTimeOriginMode = 'none';
        return undefined;
    }
    var threshold = 3600 * 1000;
    var performanceNow = performance.now();
    var dateNow = Date.now();
    // if timeOrigin isn't available set delta to threshold so it isn't used
    var timeOriginDelta = performance.timeOrigin
        ? Math.abs(performance.timeOrigin + performanceNow - dateNow)
        : threshold;
    var timeOriginIsReliable = timeOriginDelta < threshold;
    // While performance.timing.navigationStart is deprecated in favor of performance.timeOrigin, performance.timeOrigin
    // is not as widely supported. Namely, performance.timeOrigin is undefined in Safari as of writing.
    // Also as of writing, performance.timing is not available in Web Workers in mainstream browsers, so it is not always
    // a valid fallback. In the absence of an initial time provided by the browser, fallback to the current time from the
    // Date API.
    // eslint-disable-next-line deprecation/deprecation
    var navigationStart = performance.timing && performance.timing.navigationStart;
    var hasNavigationStart = typeof navigationStart === 'number';
    // if navigationStart isn't available set delta to threshold so it isn't used
    var navigationStartDelta = hasNavigationStart ? Math.abs(navigationStart + performanceNow - dateNow) : threshold;
    var navigationStartIsReliable = navigationStartDelta < threshold;
    if (timeOriginIsReliable || navigationStartIsReliable) {
        // Use the more reliable time origin
        if (timeOriginDelta <= navigationStartDelta) {
            _browserPerformanceTimeOriginMode = 'timeOrigin';
            return performance.timeOrigin;
        }
        else {
            _browserPerformanceTimeOriginMode = 'navigationStart';
            return navigationStart;
        }
    }
    // Either both timeOrigin and navigationStart are skewed or neither is available, fallback to Date.
    _browserPerformanceTimeOriginMode = 'dateNow';
    return dateNow;
})();
//# sourceMappingURL=time.js.map

/***/ }),

/***/ "./src/assets/icons/all-projects.svg":
/*!*******************************************!*\
  !*** ./src/assets/icons/all-projects.svg ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _path2, _path3, _path4, _path5, _path6;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgAllProjects = function SvgAllProjects(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 22 21",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#fff",
    d: "M4 13c0-2.828 0-4.243.879-5.121C5.757 7 7.172 7 10 7h6c2.828 0 4.243 0 5.121.879C22 8.757 22 10.172 22 13v2c0 2.828 0 4.243-.879 5.121C20.243 21 18.828 21 16 21h-6c-2.828 0-4.243 0-5.121-.879C4 19.243 4 17.828 4 15v-2Z"
  })), _path2 || (_path2 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    stroke: "#000",
    strokeOpacity: 0.15,
    d: "M21.5 13v2c0 1.428-.001 2.45-.105 3.225-.103.762-.296 1.212-.627 1.543-.331.33-.781.524-1.543.627-.776.104-1.797.105-3.225.105h-6c-1.428 0-2.45-.001-3.225-.105-.762-.103-1.212-.296-1.543-.627-.33-.331-.524-.781-.627-1.543C4.501 17.45 4.5 16.428 4.5 15v-2c0-1.428.001-2.45.105-3.225.103-.762.296-1.212.627-1.543.331-.33.781-.524 1.543-.627C7.55 7.501 8.572 7.5 10 7.5h6c1.428 0 2.45.001 3.225.105.762.103 1.212.296 1.543.627.33.331.524.781.627 1.543.104.776.105 1.797.105 3.225Z"
  })), _path3 || (_path3 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#fff",
    d: "M2 11c0-2.828 0-4.243.879-5.121C3.757 5 5.172 5 8 5h6c2.828 0 4.243 0 5.121.879C20 6.757 20 8.172 20 11v2c0 2.828 0 4.243-.879 5.121C18.243 19 16.828 19 14 19H8c-2.828 0-4.243 0-5.121-.879C2 17.243 2 15.828 2 13v-2Z"
  })), _path4 || (_path4 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    stroke: "#000",
    strokeOpacity: 0.15,
    d: "M19.5 11v2c0 1.428-.001 2.45-.105 3.225-.103.762-.296 1.212-.627 1.543-.331.33-.781.524-1.543.627-.776.104-1.797.105-3.225.105H8c-1.428 0-2.45-.001-3.225-.105-.762-.103-1.212-.296-1.543-.627-.33-.331-.524-.781-.627-1.543C2.501 15.45 2.5 14.428 2.5 13v-2c0-1.428.001-2.45.105-3.225.103-.762.296-1.212.627-1.543.331-.33.781-.524 1.543-.627C5.55 5.501 6.572 5.5 8 5.5h6c1.428 0 2.45.001 3.225.105.762.103 1.212.296 1.543.627.33.331.524.781.627 1.543.104.776.105 1.797.105 3.225Z"
  })), _path5 || (_path5 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#fff",
    d: "M0 5.211c0-2.07 0-3.104.489-3.852a3 3 0 0 1 .87-.87C2.107 0 3.14 0 5.21 0h.986c.192 0 .288 0 .378.005a3 3 0 0 1 2.21 1.183c.055.073.109.152.215.312s.16.24.214.312a3 3 0 0 0 2.21 1.183c.091.005.187.005.379.005h.986c2.07 0 3.104 0 3.852.489a3 3 0 0 1 .87.87C18 5.107 18 6.14 18 8.21V11c0 2.828 0 4.243-.879 5.121C16.243 17 14.828 17 12 17H6c-2.828 0-4.243 0-5.121-.879C0 15.243 0 13.828 0 11V5.211Z"
  })), _path6 || (_path6 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    stroke: "#000",
    strokeOpacity: 0.15,
    d: "M17.5 8.211V11c0 1.428-.001 2.45-.105 3.225-.103.762-.296 1.212-.627 1.543-.331.33-.781.524-1.543.627-.776.104-1.797.105-3.225.105H6c-1.428 0-2.45-.001-3.225-.105-.762-.103-1.212-.296-1.543-.627-.33-.331-.524-.781-.627-1.543C.501 13.45.5 12.428.5 11V5.211C.5 4.166.5 3.42.559 2.84c.057-.572.166-.928.348-1.207a2.5 2.5 0 0 1 .725-.725C1.912.725 2.267.616 2.84.56 3.419.5 4.166.5 5.211.5h.986c.198 0 .276 0 .348.005a2.5 2.5 0 0 1 1.842.985c.044.058.087.123.197.287l.01.015c.097.146.158.237.222.322a3.5 3.5 0 0 0 2.578 1.38c.106.006.216.006.392.006h1.003c1.045 0 1.792 0 2.372.059.572.057.928.166 1.207.348a2.5 2.5 0 0 1 .725.725c.182.28.291.635.348 1.207.058.58.059 1.327.059 2.372Z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgAllProjects);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/annotation.svg":
/*!*****************************************!*\
  !*** ./src/assets/icons/annotation.svg ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgAnnotation = function SvgAnnotation(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 16,
    height: 16,
    fill: "none",
    viewBox: "0 0 16 16",
    ref: ref
  }, props), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("mask", {
    id: "a",
    width: 16,
    height: 16,
    x: 0,
    y: 0,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#D9D9D9",
    d: "M0 0h16v16H0z"
  }))), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    mask: "url(#a)"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#00713B",
    d: "m8 15.334-4.8-3.6a1.324 1.324 0 0 1-.533-1.067v-8c-.001-.367.13-.68.39-.942.262-.261.576-.392.942-.392h8c.367 0 .68.131.942.392.261.261.392.575.392.942v8a1.323 1.323 0 0 1-.534 1.066l-4.8 3.6Zm0-1.667 4-3v-8H4v8l4 3ZM7.3 10l3.766-3.766-.933-.967L7.299 8.1 5.9 6.7l-.966.933L7.299 10Z"
  }))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgAnnotation);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/ban.svg":
/*!**********************************!*\
  !*** ./src/assets/icons/ban.svg ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgBan = function SvgBan(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 16,
    height: 16,
    fill: "none",
    viewBox: "0 0 16 16",
    ref: ref
  }, props), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("mask", {
    id: "a",
    width: 16,
    height: 16,
    x: 0,
    y: 0,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#D9D9D9",
    d: "M0 0h16v16H0z"
  }))), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    mask: "url(#a)"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#FF1850",
    d: "M4.667 8.667h6.667V7.334H4.667v1.333Zm3.334 6a6.492 6.492 0 0 1-2.6-.525 6.732 6.732 0 0 1-2.117-1.425A6.732 6.732 0 0 1 1.859 10.6 6.492 6.492 0 0 1 1.334 8c0-.922.175-1.789.525-2.6a6.732 6.732 0 0 1 1.425-2.117c.6-.6 1.306-1.075 2.117-1.424A6.492 6.492 0 0 1 8 1.333c.922 0 1.789.175 2.6.526.81.35 1.516.825 2.116 1.425.6.6 1.075 1.305 1.425 2.116.35.811.525 1.678.525 2.6 0 .922-.175 1.789-.525 2.6a6.732 6.732 0 0 1-1.425 2.117c-.6.6-1.305 1.075-2.116 1.425a6.492 6.492 0 0 1-2.6.525Zm0-1.333c1.489 0 2.75-.517 3.783-1.55 1.033-1.034 1.55-2.295 1.55-3.784 0-1.489-.517-2.75-1.55-3.783s-2.294-1.55-3.783-1.55c-1.49 0-2.75.517-3.784 1.55C3.184 5.25 2.667 6.51 2.667 8c0 1.49.517 2.75 1.55 3.784 1.034 1.033 2.295 1.55 3.784 1.55Z"
  }))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgBan);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/bell.svg":
/*!***********************************!*\
  !*** ./src/assets/icons/bell.svg ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _path2;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgBell = function SvgBell(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 18,
    height: 20,
    fill: "none",
    viewBox: "0 0 18 20",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#07F",
    fillOpacity: 0.5,
    fillRule: "evenodd",
    d: "M9 0a1.5 1.5 0 0 0-1.5 1.5V5h3V1.5A1.5 1.5 0 0 0 9 0Zm0 20c1.38 0 2.5-1.343 2.5-3s-1.12-3-2.5-3-2.5 1.343-2.5 3 1.12 3 2.5 3Z",
    clipRule: "evenodd"
  })), _path2 || (_path2 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#07F",
    fillRule: "evenodd",
    d: "M.5 14a1.172 1.172 0 0 0 .828 2h15.344a1.172 1.172 0 0 0 .828-2c-1.521-1.521-2.161-.232-2.5-5-.315-4.433-2-6.5-6-6.5S3.32 4.592 3 9c-.346 4.764-.97 3.47-2.5 5Z",
    clipRule: "evenodd"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgBell);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/book.svg":
/*!***********************************!*\
  !*** ./src/assets/icons/book.svg ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _mask, _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgBook = function SvgBook(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 18,
    height: 17,
    fill: "none",
    viewBox: "0 0 18 17",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#000",
    fillOpacity: 0.4,
    fillRule: "evenodd",
    d: "M0 2.992c0-1.023 0-1.535.211-1.89a1.5 1.5 0 0 1 .82-.657c.392-.129.891-.018 1.89.204l5.038 1.12c.388.086.583.13.779.146a3 3 0 0 0 .524 0c.196-.017.39-.06.78-.146l5.037-1.12c.999-.222 1.498-.333 1.89-.204a1.5 1.5 0 0 1 .82.658c.211.354.211.866.211 1.889v9.441c0 .916 0 1.374-.162 1.752a2.001 2.001 0 0 1-.669.833c-.334.24-.78.34-1.675.539l-5.106 1.135c-.518.115-.777.172-1.039.195-.232.02-.466.02-.698 0-.262-.023-.521-.08-1.04-.195l-5.105-1.135c-.894-.199-1.341-.298-1.675-.539a2 2 0 0 1-.669-.833C0 13.807 0 13.349 0 12.433V2.992Z",
    clipRule: "evenodd"
  })), _mask || (_mask = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("mask", {
    id: "a",
    width: 18,
    height: 17,
    x: 0,
    y: 0,
    "mask-type": "alpha",
    maskUnits: "userSpaceOnUse"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#fff",
    fillRule: "evenodd",
    d: "M0 2.992c0-1.023 0-1.535.211-1.89a1.5 1.5 0 0 1 .82-.657c.392-.129.891-.018 1.89.204l5.038 1.12c.388.086.583.13.779.146a3 3 0 0 0 .524 0c.196-.017.39-.06.78-.146l5.037-1.12c.999-.222 1.498-.333 1.89-.204a1.5 1.5 0 0 1 .82.658c.211.354.211.866.211 1.889v9.441c0 .916 0 1.374-.162 1.752a2.001 2.001 0 0 1-.669.833c-.334.24-.78.34-1.675.539l-5.106 1.135c-.518.115-.777.172-1.039.195-.232.02-.466.02-.698 0-.262-.023-.521-.08-1.04-.195l-5.105-1.135c-.894-.199-1.341-.298-1.675-.539a2 2 0 0 1-.669-.833C0 13.807 0 13.349 0 12.433V2.992Z",
    clipRule: "evenodd"
  }))), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    fill: "#000",
    mask: "url(#a)"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    d: "M10-1h9v19h-9zM-1-1h9v19h-9z"
  }))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgBook);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/bulb.svg":
/*!***********************************!*\
  !*** ./src/assets/icons/bulb.svg ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _path2, _path3, _path4, _path5, _path6, _path7, _path8, _path9;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgBulb = function SvgBulb(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 16,
    height: 16,
    viewBox: "0 0 40 40",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#b6dcfe",
    d: "M14.485 28.5c-.208-3.539-2.576-6.599-4.87-9.563C7.499 16.203 5.5 13.62 5.5 11c0-5.238 6.505-9.5 14.5-9.5S34.5 5.762 34.5 11c0 2.644-1.987 5.181-4.09 7.867-2.309 2.948-4.693 5.993-4.896 9.633H14.485z"
  })), _path2 || (_path2 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#4788c7",
    d: "M20 2c7.72 0 14 4.037 14 9 0 2.471-1.935 4.943-3.984 7.559-2.259 2.885-4.589 5.86-4.964 9.441H14.945c-.382-3.487-2.693-6.473-4.934-9.369C7.948 15.966 6 13.449 6 11c0-4.963 6.28-9 14-9m0-1C11.716 1 5 5.477 5 11c0 5.824 9 11.124 9 18h12c0-7.063 9-12.102 9-18 0-5.523-6.716-10-15-10z"
  })), _path3 || (_path3 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#fff",
    d: "M22.714 13a1.88 1.88 0 0 1 1.329 3.207l-1.75 1.75-.293.293v12.414h-4V18.25l-.293-.293-1.75-1.75a1.88 1.88 0 0 1 2.658-2.657l.679.679.706.707.707-.707.679-.679c.355-.355.826-.55 1.328-.55m0-1a2.87 2.87 0 0 0-2.036.843l-.678.679-.679-.679A2.87 2.87 0 0 0 17.286 12a2.879 2.879 0 0 0-2.036 4.914l1.75 1.75v13h6v-13l1.75-1.75a2.879 2.879 0 0 0 0-4.071A2.87 2.87 0 0 0 22.714 12z"
  })), _path4 || (_path4 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#4788c7",
    d: "M20 32a3.5 3.5 0 1 0 0 7 3.5 3.5 0 1 0 0-7Z"
  })), _path5 || (_path5 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#dff0fe",
    d: "M17 36.5a2.503 2.503 0 0 1-2.5-2.5v-5.5h11V34c0 1.378-1.122 2.5-2.5 2.5h-6z"
  })), _path6 || (_path6 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#4788c7",
    d: "M25 29v5c0 1.103-.897 2-2 2h-6c-1.103 0-2-.897-2-2v-5h10m1-1H14v6a3 3 0 0 0 3 3h6a3 3 0 0 0 3-3v-6z"
  })), _path7 || (_path7 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#dff0fe",
    d: "M33.908 10C33.131 5.507 27.193 2 20 2S6.869 5.507 6.092 10h27.816z"
  })), _path8 || (_path8 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#98ccfd",
    d: "M6.365 9a6.17 6.17 0 0 0-.273 1h27.817a6.17 6.17 0 0 0-.273-1H6.365z"
  })), _path9 || (_path9 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#4788c7",
    d: "M25.5 31h-6a.501.501 0 0 1-.5-.5c0-.275.225-.5.5-.5h6c.275 0 .5.225.5.5s-.225.5-.5.5zm0 2h-6a.501.501 0 0 1-.5-.5c0-.275.225-.5.5-.5h6c.275 0 .5.225.5.5s-.225.5-.5.5zm-.512 2H19.5a.501.501 0 0 1-.5-.5c0-.275.225-.5.5-.5h5.488c.275 0 .5.225.5.5s-.225.5-.5.5zM14.5 31h2c.275 0 .5-.225.5-.5s-.225-.5-.5-.5h-2c-.275 0-.5.225-.5.5s.225.5.5.5zm0 2h2c.275 0 .5-.225.5-.5s-.225-.5-.5-.5h-2c-.275 0-.5.225-.5.5s.225.5.5.5zm.407 2H16.5c.275 0 .5-.225.5-.5s-.225-.5-.5-.5h-1.593c-.275 0-.5.225-.5.5s.225.5.5.5z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgBulb);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/check.svg":
/*!************************************!*\
  !*** ./src/assets/icons/check.svg ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _path2, _path3, _path4;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgCheck = function SvgCheck(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 16,
    height: 16,
    viewBox: "0 0 48 48",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#8BC34A",
    d: "M37 6H11a5 5 0 0 0-5 5v26a5 5 0 0 0 5 5h26a5 5 0 0 0 5-5V11a5 5 0 0 0-5-5z"
  })), _path2 || (_path2 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#F1F8E9",
    d: "M11 11h26v26H11z"
  })), _path3 || (_path3 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#558B2F",
    d: "m13.354 23.438 2.829-2.828 8.484 8.486-2.83 2.828z"
  })), _path4 || (_path4 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#558B2F",
    d: "M18.931 29.014 31.66 16.286l2.986 2.985L21.917 32z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgCheck);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/chevron-left.svg":
/*!*******************************************!*\
  !*** ./src/assets/icons/chevron-left.svg ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgChevronLeft = function SvgChevronLeft(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 12,
    height: 20,
    fill: "none",
    viewBox: "0 0 12 20",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "square",
    strokeWidth: 2,
    d: "m10 2-8 8 8 8"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgChevronLeft);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/chevron-right.svg":
/*!********************************************!*\
  !*** ./src/assets/icons/chevron-right.svg ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgChevronRight = function SvgChevronRight(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 12,
    height: 20,
    fill: "none",
    viewBox: "0 0 12 20",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "square",
    strokeWidth: 2,
    d: "m2 2 8 8-8 8"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgChevronRight);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/copy.svg":
/*!***********************************!*\
  !*** ./src/assets/icons/copy.svg ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgCopy = function SvgCopy(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 17,
    height: 17,
    fill: "none",
    viewBox: "0 0 17 17",
    ref: ref
  }, props), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("mask", {
    id: "a",
    width: 17,
    height: 17,
    x: 0,
    y: 0,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#D9D9D9",
    d: "M0 0h17v17H0z"
  }))), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    mask: "url(#a)"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#1A73E8",
    d: "M6.375 12.75c-.39 0-.723-.139-1-.416a1.364 1.364 0 0 1-.417-1v-8.5c0-.39.14-.724.416-1.001.278-.278.611-.416 1.001-.416h6.375c.39 0 .723.138 1 .416.278.277.417.61.417 1v8.5c0 .39-.139.723-.416 1-.278.278-.611.417-1.001.417H6.375Zm0-1.417h6.375v-8.5H6.375v8.5Zm-2.833 4.25c-.39 0-.723-.139-1-.416a1.364 1.364 0 0 1-.417-1V4.25h1.417v9.916h7.791v1.417H3.542Z"
  }))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgCopy);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/cross.svg":
/*!************************************!*\
  !*** ./src/assets/icons/cross.svg ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgCross = function SvgCross(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 16,
    height: 16,
    fill: "none",
    viewBox: "0 0 16 16",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    stroke: "currentColor",
    strokeLinecap: "square",
    strokeWidth: 2,
    d: "M14 2 2 14M2 2l12 12"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgCross);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/delete.svg":
/*!*************************************!*\
  !*** ./src/assets/icons/delete.svg ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgDelete = function SvgDelete(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 20,
    height: 20,
    viewBox: "0 0 30 30",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    d: "M7.979 5.98a2 2 0 0 0-1.393 3.434L12.172 15l-5.586 5.586a2 2 0 1 0 2.828 2.828L15 17.828l5.586 5.586a2 2 0 1 0 2.828-2.828L17.828 15l5.586-5.586a2 2 0 0 0-1.453-3.434 2 2 0 0 0-1.375.606L15 12.172 9.414 6.586A2 2 0 0 0 7.98 5.98z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgDelete);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/desinfo.svg":
/*!**************************************!*\
  !*** ./src/assets/icons/desinfo.svg ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgDesinfo = function SvgDesinfo(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 17,
    height: 17,
    fill: "none",
    viewBox: "0 0 17 17",
    ref: ref
  }, props), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("mask", {
    id: "a",
    width: 17,
    height: 17,
    x: 0,
    y: 0,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#D9D9D9",
    d: "M0 0h17v17H0z"
  }))), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    mask: "url(#a)"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#425466",
    d: "M7.79 12.042h1.416v-4.25H7.789v4.25Zm.707-5.667c.201 0 .37-.068.505-.203a.685.685 0 0 0 .204-.505c0-.2-.068-.369-.204-.505a.685.685 0 0 0-.505-.203c-.2 0-.369.068-.504.203a.685.685 0 0 0-.204.505c0 .2.068.369.204.505a.685.685 0 0 0 .504.203Zm0 9.209c-.98 0-1.9-.186-2.762-.558a7.152 7.152 0 0 1-2.25-1.514 7.153 7.153 0 0 1-1.513-2.25A6.897 6.897 0 0 1 1.414 8.5c0-.98.186-1.9.558-2.762a7.153 7.153 0 0 1 1.514-2.25 7.153 7.153 0 0 1 2.249-1.513 6.897 6.897 0 0 1 2.762-.558c.98 0 1.901.186 2.763.558a7.154 7.154 0 0 1 2.249 1.514 7.153 7.153 0 0 1 1.514 2.249c.372.862.558 1.782.558 2.762s-.186 1.901-.558 2.763a7.154 7.154 0 0 1-1.514 2.249 7.152 7.152 0 0 1-2.25 1.514 6.897 6.897 0 0 1-2.762.558Z"
  }))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgDesinfo);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/deslink.svg":
/*!**************************************!*\
  !*** ./src/assets/icons/deslink.svg ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgDeslink = function SvgDeslink(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 17,
    height: 17,
    fill: "none",
    viewBox: "0 0 17 17",
    ref: ref
  }, props), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("mask", {
    id: "a",
    width: 17,
    height: 17,
    x: 0,
    y: 0,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#D9D9D9",
    d: "M0 0h17v17H0z"
  }))), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    mask: "url(#a)"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#425466",
    d: "M7.79 12.041H4.955c-.98 0-1.815-.345-2.506-1.036A3.413 3.413 0 0 1 1.414 8.5c0-.98.345-1.815 1.036-2.506a3.413 3.413 0 0 1 2.506-1.036h2.833v1.417H4.956a2.05 2.05 0 0 0-1.505.62A2.05 2.05 0 0 0 2.83 8.5c0 .59.206 1.092.62 1.505.413.413.914.62 1.505.62h2.833v1.416ZM5.663 9.208V7.791h5.667v1.417H5.664Zm3.542 2.833v-1.416h2.833a2.05 2.05 0 0 0 1.505-.62 2.05 2.05 0 0 0 .62-1.505 2.05 2.05 0 0 0-.62-1.506 2.05 2.05 0 0 0-1.505-.62H9.206V4.959h2.833c.98 0 1.815.345 2.506 1.036A3.413 3.413 0 0 1 15.58 8.5c0 .98-.346 1.815-1.036 2.505a3.413 3.413 0 0 1-2.506 1.036H9.206Z"
  }))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgDeslink);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/done.svg":
/*!***********************************!*\
  !*** ./src/assets/icons/done.svg ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgDone = function SvgDone(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 16,
    height: 16,
    viewBox: "0 0 24 24",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    d: "M12 2C6.486 2 2 6.486 2 12s4.486 10 10 10 10-4.486 10-10a9.937 9.937 0 0 0-.541-3.217l-1.62 1.62c.106.515.161 1.05.161 1.597 0 4.411-3.589 8-8 8s-8-3.589-8-8 3.589-8 8-8a7.95 7.95 0 0 1 4.42 1.338l1.432-1.432A9.94 9.94 0 0 0 12 2zm9.293 1.293L11 13.586l-3.293-3.293-1.414 1.414L11 16.414 22.707 4.707l-1.414-1.414z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgDone);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/doneimport.svg":
/*!*****************************************!*\
  !*** ./src/assets/icons/doneimport.svg ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgDoneimport = function SvgDoneimport(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 14,
    height: 14,
    viewBox: "0 0 48 48",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    d: "M42.96 8.98a2 2 0 0 0-1.374.606L17 34.172 6.414 23.586a2 2 0 1 0-2.828 2.828l12 12a2 2 0 0 0 2.828 0l26-26a2 2 0 0 0-1.453-3.434z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgDoneimport);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/door.svg":
/*!***********************************!*\
  !*** ./src/assets/icons/door.svg ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgDoor = function SvgDoor(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 14,
    height: 18,
    fill: "none",
    viewBox: "0 0 14 18",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#000",
    fillRule: "evenodd",
    d: "M.163.819C0 1.139 0 1.559 0 2.4v13.2c0 .84 0 1.26.163 1.581a1.5 1.5 0 0 0 .656.655c.32.164.74.164 1.581.164h9.2c.84 0 1.26 0 1.581-.163a1.5 1.5 0 0 0 .655-.656c.164-.32.164-.74.164-1.581V2.4c0-.84 0-1.26-.164-1.581a1.5 1.5 0 0 0-.655-.656C12.861 0 12.441 0 11.6 0H2.4C1.56 0 1.14 0 .819.163A1.5 1.5 0 0 0 .163.82ZM10 11a2 2 0 1 0 0-4 2 2 0 0 0 0 4Z",
    clipRule: "evenodd"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgDoor);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/ellipsis.svg":
/*!***************************************!*\
  !*** ./src/assets/icons/ellipsis.svg ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgEllipsis = function SvgEllipsis(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 96,
    height: 96,
    viewBox: "0 0 64 64",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    d: "M29.055 10a2.748 2.748 0 0 0-2.71 2.283l-.581 3.381c-.306.117-.612.238-.909.371L22.06 14.06c-1.228-.85-2.676-.539-3.532.302l-4.166 4.164a2.75 2.75 0 0 0-.3 3.532l1.974 2.798c-.134.297-.254.6-.37.907l-3.382.582A2.75 2.75 0 0 0 10 29.054v5.891c0 1.34.964 2.483 2.283 2.71l3.381.581c.117.306.238.612.371.909L14.06 41.94a2.75 2.75 0 0 0 .302 3.532l4.164 4.166a2.754 2.754 0 0 0 3.532.3l2.798-1.974c.297.134.6.254.907.37l.582 3.382A2.75 2.75 0 0 0 29.054 54h5.891a2.748 2.748 0 0 0 2.71-2.283l.581-3.381c.306-.117.612-.238.909-.371l2.796 1.976c.825.608 2.403.828 3.532-.302l4.166-4.164a2.75 2.75 0 0 0 .3-3.532l-1.974-2.798c.134-.297.254-.6.37-.907l3.382-.582A2.75 2.75 0 0 0 54 34.946v-5.891a2.748 2.748 0 0 0-2.283-2.71l-3.381-.581a17.618 17.618 0 0 0-.371-.909l1.976-2.796a2.75 2.75 0 0 0-.302-3.532l-4.164-4.166a2.74 2.74 0 0 0-3.532-.3l-2.798 1.974c-.297-.134-.6-.254-.907-.37l-.582-3.382A2.75 2.75 0 0 0 34.946 10h-5.891zm1.16 4h3.572c.061 0 .113.044.123.104l.772 4.486c1.768.635 3.423 1.304 4.908 2.03l3.713-2.624c.05-.035.119-.03.162.014l2.525 2.527c.043.043.05.11.016.16l-2.625 3.715a51.012 51.012 0 0 1 2.03 4.906l4.485.774c.06.01.104.062.104.123v3.572a.125.125 0 0 1-.105.123l-4.485.772a48.517 48.517 0 0 1-2.03 4.908l2.626 3.715a.125.125 0 0 1-.016.16l-2.525 2.527a.127.127 0 0 1-.162.014l-3.713-2.623a55.116 55.116 0 0 1-4.908 2.03l-.774 4.483a.124.124 0 0 1-.123.104h-3.572a.125.125 0 0 1-.123-.105l-.772-4.485a45.883 45.883 0 0 1-4.908-2.03l-3.715 2.626a.125.125 0 0 1-.16-.016l-2.527-2.525a.127.127 0 0 1-.014-.162l2.623-3.713a56.22 56.22 0 0 1-2.03-4.908l-4.483-.774a.124.124 0 0 1-.104-.123v-3.572c0-.061.044-.112.104-.123l4.486-.774a50.515 50.515 0 0 1 2.03-4.906l-2.626-3.715a.125.125 0 0 1 .016-.16l2.525-2.527a.127.127 0 0 1 .162-.014l3.713 2.623a50.973 50.973 0 0 1 4.908-2.03l.774-4.483a.124.124 0 0 1 .123-.104zM32 23a9 9 0 0 0-9 9 9 9 0 0 0 9 9 9 9 0 0 0 9-9 9 9 0 0 0-9-9zm0 4a5 5 0 1 1-.001 10.001A5 5 0 0 1 32 27z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgEllipsis);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/error.svg":
/*!************************************!*\
  !*** ./src/assets/icons/error.svg ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgError = function SvgError(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 14,
    height: 12,
    fill: "none",
    viewBox: "0 0 14 12",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#F5222D",
    d: "M13.348 10.313c.433.75-.11 1.687-.974 1.687H1.126a1.126 1.126 0 0 1-.974-1.687L5.776.563a1.126 1.126 0 0 1 1.948 0l5.624 9.75ZM6.75 8.297a1.078 1.078 0 1 0 0 2.156 1.078 1.078 0 0 0 0-2.156ZM5.726 4.422 5.9 7.609c.008.15.132.266.281.266H7.32c.15 0 .273-.117.28-.266l.175-3.187a.281.281 0 0 0-.281-.297H6.007a.281.281 0 0 0-.28.297Z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgError);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/folder-empty.svg":
/*!*******************************************!*\
  !*** ./src/assets/icons/folder-empty.svg ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgFolderEmpty = function SvgFolderEmpty(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "currentColor",
    stroke: "#000",
    strokeOpacity: 0.15,
    viewBox: "0 0 20 18",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    d: "M.5 5.862c0-1.36.001-2.333.096-3.075.094-.73.272-1.165.574-1.49.04-.044.083-.086.127-.127.325-.302.76-.48 1.49-.574C3.529.501 4.502.5 5.862.5h1.335c.198 0 .276 0 .348.005a2.5 2.5 0 0 1 1.842.985l.399-.302-.399.302c.044.058.087.123.197.287l.01.015c.097.146.158.237.222.322a3.5 3.5 0 0 0 2.578 1.38c.106.006.216.006.392.006h1.351c1.361 0 2.334.001 3.076.096.73.094 1.165.272 1.49.574.044.04.086.083.127.127.302.325.48.76.574 1.49.095.742.096 1.715.096 3.075V12c0 1.428-.001 2.45-.105 3.225-.103.762-.296 1.212-.627 1.543-.331.33-.781.524-1.543.627-.776.104-1.797.105-3.225.105H6c-1.428 0-2.45-.001-3.225-.105-.762-.103-1.212-.296-1.543-.627-.33-.331-.524-.781-.627-1.543C.501 14.45.5 13.428.5 12V5.862Z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgFolderEmpty);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/folder.svg":
/*!*************************************!*\
  !*** ./src/assets/icons/folder.svg ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _path2;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgFolder = function SvgFolder(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 18,
    height: 16,
    fill: "none",
    viewBox: "0 0 18 16",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#000",
    fillOpacity: 0.4,
    fillRule: "evenodd",
    d: "M0 3.2c0-1.12 0-1.68.218-2.108a2 2 0 0 1 .874-.874C1.52 0 2.08 0 3.2 0h2.4c.88 0 1.32 0 1.724.115a3 3 0 0 1 .99.495c.334.254.598.606 1.126 1.31L11 4H0v-.8Z",
    clipRule: "evenodd"
  })), _path2 || (_path2 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#000",
    fillRule: "evenodd",
    d: "M0 5.4c0-.84 0-1.26.163-1.581a1.5 1.5 0 0 1 .656-.656C1.139 3 1.559 3 2.4 3h13.2c.84 0 1.26 0 1.581.163a1.5 1.5 0 0 1 .655.656c.164.32.164.74.164 1.581v8.2c0 .84 0 1.26-.163 1.581a1.5 1.5 0 0 1-.656.655c-.32.164-.74.164-1.581.164H2.4c-.84 0-1.26 0-1.581-.164a1.5 1.5 0 0 1-.656-.655C0 14.861 0 14.441 0 13.6V5.4Z",
    clipRule: "evenodd"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgFolder);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/gear.svg":
/*!***********************************!*\
  !*** ./src/assets/icons/gear.svg ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgGear = function SvgGear(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 24,
    height: 24,
    fill: "none",
    viewBox: "0 0 24 24",
    ref: ref
  }, props), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    stroke: "#000",
    strokeWidth: 2,
    opacity: 0.23
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    strokeLinecap: "square",
    d: "m2.152 10.264 19.696 3.473M21.397 8.58 2.603 15.42M18.428 4.34 5.572 19.66M8.58 2.603l6.84 18.794M4.34 5.572l15.32 12.856M13.736 2.152l-3.473 19.696"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("circle", {
    cx: 12,
    cy: 12,
    r: 8,
    fill: "#fff",
    transform: "rotate(10 12 12)"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    strokeLinecap: "square",
    d: "M12.02 11.993 2.602 15.42M12.026 12.022l7.634 6.406M13.736 2.152 12 12"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("circle", {
    cx: 12,
    cy: 12,
    r: 2,
    fill: "#fff",
    transform: "rotate(10 12 12)"
  }))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgGear);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/github.svg":
/*!*************************************!*\
  !*** ./src/assets/icons/github.svg ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _g, _defs;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgGithub = function SvgGithub(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 18,
    height: 18,
    fill: "none",
    viewBox: "0 0 18 18",
    ref: ref
  }, props), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    fill: "#231E1B",
    clipPath: "url(#a)"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fillRule: "evenodd",
    d: "M9 .223a9 9 0 0 0-2.845 17.54c.45.083.615-.196.615-.435 0-.214-.008-.924-.011-1.675-2.506.544-3.033-1.06-3.033-1.06-.41-1.041-.999-1.318-.999-1.318-.816-.559.061-.547.061-.547.904.064 1.38.927 1.38.927.804 1.375 2.106.978 2.619.748.08-.581.314-.98.57-1.204-1.998-.228-4.1-1-4.1-4.447 0-.982.353-1.786.928-2.416-.094-.227-.401-1.142.086-2.382 0 0 .756-.241 2.476.923.718-.2 1.487-.3 2.253-.303a8.624 8.624 0 0 1 2.255.303c1.718-1.164 2.472-.923 2.472-.923.49 1.24.182 2.155.088 2.382.577.63.926 1.434.926 2.416 0 3.456-2.106 4.217-4.11 4.44.324.28.612.828.612 1.667 0 1.204-.01 2.173-.01 2.47 0 .24.162.52.618.432A9 9 0 0 0 9 .223Z",
    clipRule: "evenodd"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    d: "M3.408 13.144c-.02.044-.091.058-.155.027-.066-.03-.101-.091-.08-.136.019-.046.089-.058.154-.028.066.03.103.092.08.137ZM3.773 13.55c-.043.04-.127.02-.183-.042-.06-.063-.07-.146-.027-.186.045-.04.125-.021.185.042.058.062.07.146.025.186ZM4.128 14.069c-.055.039-.146.003-.201-.078-.055-.08-.055-.175.001-.214.056-.039.145-.005.202.076.055.08.055.177-.002.216ZM4.614 14.57c-.05.055-.155.04-.231-.034-.08-.073-.1-.176-.05-.23.05-.055.154-.038.232.035.077.071.1.175.049.229ZM5.285 14.86c-.023.07-.124.104-.225.074-.102-.031-.169-.114-.148-.185.02-.072.122-.104.225-.073.103.031.168.113.148.185ZM6.02 14.914c.004.075-.083.136-.19.138-.107.003-.195-.059-.195-.132 0-.074.085-.135.192-.137.106-.001.194.058.194.131ZM6.706 14.798c.013.073-.061.146-.169.167-.104.02-.2-.025-.214-.097-.014-.074.062-.149.167-.168.107-.02.202.025.216.098Z"
  }))), _defs || (_defs = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("defs", null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("clipPath", {
    id: "a"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#fff",
    d: "M0 .223h18v17.554H0z"
  })))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgGithub);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/greentech.svg":
/*!****************************************!*\
  !*** ./src/assets/icons/greentech.svg ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgGreentech = function SvgGreentech(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 14,
    height: 14,
    viewBox: "0 0 48 48",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    d: "M24 4.008c-7.72.002-14 6.274-14 13.982 0 3.883 1.559 7.494 4.389 10.168.323.305.55.723.658 1.205l2.467 11.104a4.473 4.473 0 0 0 4.392 3.523h4.19a4.473 4.473 0 0 0 4.392-3.523l2.467-11.104c.107-.483.335-.899.658-1.205C36.441 25.486 38 21.875 38 17.992c0-7.709-6.28-13.982-14-13.984zm0 3.002c6.066.002 11 4.928 11 10.982 0 3.05-1.225 5.886-3.45 7.987a5.326 5.326 0 0 0-1.525 2.734L28.852 34h-3.33c.108-2.044.845-4.126 1.798-6.389C28 26 28.741 25.127 29.162 24.7c2.536-2.58 2.413-6.906-.275-9.642-3.82-3.887-8.576-2.975-8.778-2.934a1.503 1.503 0 0 0-1.097 2.02c.265.674-.045 1.76-.375 2.912-.597 2.082-1.415 4.93.976 7.365.363.37 1.329 1.161 2.819 1.65.027-.033.04-.071.072-.101 1.599-1.52 1.625-5.48 1.5-6.877a1 1 0 0 1 .906-1.086.994.994 0 0 1 1.086.904c.048.524.356 4.58-1.172 7.277-.72 1.273-1.331 2.614-1.72 4.024A16.322 16.322 0 0 0 22.518 34h-3.37l-1.173-5.287a5.326 5.326 0 0 0-1.526-2.734A10.888 10.888 0 0 1 13 17.992c0-6.055 4.934-10.98 11-10.982z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgGreentech);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/info-outline.svg":
/*!*******************************************!*\
  !*** ./src/assets/icons/info-outline.svg ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgInfoOutline = function SvgInfoOutline(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 14,
    height: 14,
    fill: "none",
    viewBox: "0 0 14 14",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "currentColor",
    d: "M6.333 3.667h1.334V5H6.333V3.667Zm0 2.666h1.334v4H6.333v-4Zm.667-6A6.67 6.67 0 0 0 .333 7 6.67 6.67 0 0 0 7 13.667 6.67 6.67 0 0 0 13.667 7 6.67 6.67 0 0 0 7 .333Zm0 12A5.34 5.34 0 0 1 1.667 7 5.34 5.34 0 0 1 7 1.667 5.34 5.34 0 0 1 12.333 7 5.34 5.34 0 0 1 7 12.333Z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgInfoOutline);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/info.svg":
/*!***********************************!*\
  !*** ./src/assets/icons/info.svg ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _path2;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgInfo = function SvgInfo(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 32,
    height: 32,
    fill: "none",
    viewBox: "0 0 32 32",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#09F",
    fillRule: "evenodd",
    d: "M16 2c2.702 0 5.158.655 7.232 1.828a13.01 13.01 0 0 1 4.94 4.94C29.345 10.842 30 13.298 30 16s-.655 5.158-1.828 7.232a13.01 13.01 0 0 1-4.94 4.94C21.158 29.345 18.702 30 16 30s-5.158-.655-7.232-1.828a13.01 13.01 0 0 1-4.94-4.94C2.655 21.158 2 18.702 2 16s.655-5.158 1.828-7.232a13.009 13.009 0 0 1 4.94-4.94C10.842 2.655 13.298 2 16 2Z",
    clipRule: "evenodd"
  })), _path2 || (_path2 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#fff",
    fillRule: "evenodd",
    d: "M16.501 12.5c.552 0 .98.456.957 1.002l-.416 9.995a1.053 1.053 0 0 1-.924.996L16 24.5a1.058 1.058 0 0 1-1.042-1.003l-.355-8.502c-.013-.273-.23-.595-.474-.712l-1.322-.635a.599.599 0 0 1-.307-.498V13c0-.276.23-.5.502-.5H16.5ZM16 7.5a1.5 1.5 0 1 1 0 3 1.5 1.5 0 0 1 0-3Z",
    clipRule: "evenodd"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgInfo);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/link.svg":
/*!***********************************!*\
  !*** ./src/assets/icons/link.svg ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgLink = function SvgLink(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 16,
    height: 16,
    viewBox: "0 0 256 256",
    ref: ref
  }, props), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#42c1e7",
    fillRule: "nonzero",
    stroke: "none",
    strokeDashoffset: 0,
    strokeLinecap: "butt",
    strokeLinejoin: "miter",
    strokeMiterlimit: 10,
    strokeWidth: 1,
    d: "M13 13C6.948 13 2 17.948 2 24s4.948 11 11 11h4a2 2 0 1 0 0-4h-4c-3.89 0-7-3.11-7-7s3.11-7 7-7h4a2 2 0 1 0 0-4zm18 0a2 2 0 1 0 0 4h4c3.89 0 7 3.11 7 7s-3.11 7-7 7h-4a2 2 0 1 0 0 4h4c6.052 0 11-4.948 11-11s-4.948-11-11-11zm-19 9a2 2 0 1 0 0 4h24a2 2 0 1 0 0-4z",
    fontFamily: "none",
    fontSize: "none",
    fontWeight: "none",
    style: {
      mixBlendMode: "normal"
    },
    textAnchor: "none",
    transform: "scale(5.33333)"
  }));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgLink);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/minus.svg":
/*!************************************!*\
  !*** ./src/assets/icons/minus.svg ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _path2;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgMinus = function SvgMinus(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 16,
    height: 16,
    viewBox: "0 0 32 32",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#20528e",
    d: "M24 14v4H8v-4z"
  })), _path2 || (_path2 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#ed0049",
    d: "M16 5c5.728 0 10.442 4.402 10.949 10h4C30.431 7.195 23.934 1 16 1S1.569 7.195 1.051 15h4C5.558 9.402 10.272 5 16 5zM16 27c-5.728 0-10.442-4.402-10.949-10h-4C1.569 24.805 8.066 31 16 31s14.431-6.195 14.949-14h-4C26.442 22.598 21.728 27 16 27z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgMinus);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/mldelete.svg":
/*!***************************************!*\
  !*** ./src/assets/icons/mldelete.svg ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgMldelete = function SvgMldelete(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 17,
    height: 18,
    fill: "none",
    viewBox: "0 0 17 18",
    ref: ref
  }, props), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("mask", {
    id: "a",
    width: 17,
    height: 18,
    x: 0,
    y: 0,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#D9D9D9",
    d: "M0 .5h17v17H0z"
  }))), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    mask: "url(#a)"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#FF1E1E",
    d: "M4.96 15.375c-.389 0-.722-.139-1-.416a1.364 1.364 0 0 1-.416-1V4.75h-.708V3.333h3.542v-.708h4.25v.708h3.541V4.75h-.708v9.208c0 .39-.139.723-.416 1-.278.278-.611.417-1 .417H4.96ZM12.045 4.75H4.961v9.208h7.083V4.75Zm-5.666 7.792h1.416V6.167H6.378v6.375Zm2.833 0h1.417V6.167H9.21v6.375Z"
  }))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgMldelete);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/mledit.svg":
/*!*************************************!*\
  !*** ./src/assets/icons/mledit.svg ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgMledit = function SvgMledit(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 17,
    height: 18,
    fill: "none",
    viewBox: "0 0 17 18",
    ref: ref
  }, props), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("mask", {
    id: "a",
    width: 17,
    height: 18,
    x: 0,
    y: 0,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#D9D9D9",
    d: "M0 .5h17v17H0z"
  }))), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    mask: "url(#a)"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#425466",
    d: "M3.542 13.959h.991l6.11-6.11-.992-.991-6.11 6.109v.992ZM13.67 6.822l-3.01-2.975.991-.991a1.36 1.36 0 0 1 1-.408c.396 0 .73.136 1.001.408l.992.991c.271.272.413.6.425.983a1.28 1.28 0 0 1-.39.983l-1.01 1.01Zm-1.027 1.045-7.509 7.508h-3.01v-3.01l7.508-7.508 3.01 3.01Z"
  }))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgMledit);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/pencil.svg":
/*!*************************************!*\
  !*** ./src/assets/icons/pencil.svg ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgPencil = function SvgPencil(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 12,
    height: 12,
    fill: "none",
    viewBox: "0 0 12 12",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#000",
    fillRule: "evenodd",
    d: "M11.548.453c-.603-.603-1.205-.603-1.808 0l-.78.779L10.77 3.04l.779-.78c.603-.602.603-1.205 0-1.807Zm-1.632 3.44L8.108 2.083 1.905 8.288S-.506 11.3.097 11.904c.602.603 3.616-1.808 3.616-1.808l6.203-6.204Z",
    clipRule: "evenodd"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgPencil);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/person-circle.svg":
/*!********************************************!*\
  !*** ./src/assets/icons/person-circle.svg ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _mask, _circle, _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgPersonCircle = function SvgPersonCircle(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 20,
    height: 20,
    fill: "none",
    viewBox: "0 0 20 20",
    ref: ref
  }, props), _mask || (_mask = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("mask", {
    id: "a",
    width: 20,
    height: 20,
    x: 0,
    y: 0,
    maskUnits: "userSpaceOnUse"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("circle", {
    cx: 10,
    cy: 10,
    r: 10,
    fill: "#fff"
  }))), _circle || (_circle = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("circle", {
    cx: 10,
    cy: 10,
    r: 10,
    fill: "#000",
    fillOpacity: 0.4
  })), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    mask: "url(#a)"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#000",
    d: "M3.605 17.411a3 3 0 0 1 1.32-2.198l2.183-1.454c.563-.376.608-1.204.153-1.705-.7-.77-1.515-1.912-1.515-3.054 0-2 .25-6 4.25-6s4.25 4 4.25 6c0 1.142-.815 2.284-1.515 3.054-.455.5-.41 1.33.153 1.705l2.182 1.454a3 3 0 0 1 1.321 2.198l.249 2.49A1 1 0 0 1 15.641 21H4.351a1 1 0 0 1-.995-1.1z"
  }))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgPersonCircle);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/pin.svg":
/*!**********************************!*\
  !*** ./src/assets/icons/pin.svg ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgPin = function SvgPin(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 18,
    height: 18,
    fill: "none",
    viewBox: "0 0 18 18",
    ref: ref
  }, props), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    fill: "#000",
    fillRule: "evenodd",
    clipRule: "evenodd"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fillOpacity: 0.6,
    d: "M5.08 11.074c.2-.234.3-.351.406-.425a1 1 0 0 1 1.076-.04c.11.064.22.173.438.391.218.218.327.327.392.438a1 1 0 0 1-.041 1.076c-.074.105-.19.206-.425.406l-5.39 4.62A.764.764 0 0 1 .46 16.463l4.62-5.39Z"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    d: "M10.303 1.697c.594-.594.891-.891 1.233-1.002a1.5 1.5 0 0 1 .928 0c.342.111.639.408 1.233 1.002l2.606 2.606c.594.594.891.891 1.002 1.233a1.5 1.5 0 0 1 0 .928c-.111.342-.408.639-1.002 1.233l-2.769 2.769c-.2.2-.299.299-.383.41-.074.099-.14.204-.194.315a4.174 4.174 0 0 0-.196.526l-.942 2.827c-.271.813-.407 1.22-.66 1.408a1 1 0 0 1-.77.182c-.31-.055-.613-.359-1.22-.965L2.831 8.831c-.607-.607-.91-.91-.964-1.22a1 1 0 0 1 .181-.77c.188-.253.595-.389 1.408-.66l2.827-.942c.268-.09.401-.134.526-.196a2 2 0 0 0 .315-.194c.111-.084.211-.184.41-.383l2.769-2.769Z"
  }))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgPin);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/plus.svg":
/*!***********************************!*\
  !*** ./src/assets/icons/plus.svg ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgPlus = function SvgPlus(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 14,
    height: 14,
    fill: "none",
    viewBox: "0 0 14 14",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "currentColor",
    fillRule: "evenodd",
    d: "M8 0v6h6v2H8v6H6V8H0V6h6V0h2Z",
    clipRule: "evenodd"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgPlus);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/plusgray.svg":
/*!***************************************!*\
  !*** ./src/assets/icons/plusgray.svg ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgPlusgray = function SvgPlusgray(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 10,
    height: 11,
    fill: "none",
    viewBox: "0 0 10 11",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#5F6368",
    d: "M4.336 6.167h-4V4.834h4v-4h1.333v4h4v1.333h-4v4H4.336v-4Z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgPlusgray);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/question.svg":
/*!***************************************!*\
  !*** ./src/assets/icons/question.svg ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _defs, _path, _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgQuestion = function SvgQuestion(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 25,
    height: 25,
    viewBox: "0 0 256 256",
    ref: ref
  }, props), _defs || (_defs = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("defs", null, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("linearGradient", {
    id: "a",
    x1: -0.265,
    x2: 16.79,
    y1: 49.829,
    y2: 29.504,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 0,
    stopColor: "#000",
    stopOpacity: 0
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 1,
    stopColor: "#262626"
  })), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("linearGradient", {
    id: "b",
    x1: -7.534,
    x2: 76.129,
    y1: 48.46,
    y2: -21.742,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 0,
    stopColor: "#000",
    stopOpacity: 0
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 1,
    stopColor: "#262626"
  })), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("linearGradient", {
    id: "c",
    x1: 12.607,
    x2: 29.642,
    y1: 51.081,
    y2: 4.278,
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 0,
    stopColor: "#000",
    stopOpacity: 0
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 1,
    stopColor: "#262626"
  })))), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    fillRule: "nonzero",
    stroke: "none",
    strokeDashoffset: 0,
    strokeLinecap: "butt",
    strokeMiterlimit: 10,
    fontFamily: "none",
    fontSize: "none",
    fontWeight: "none",
    textAnchor: "none"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#adacac",
    strokeLinejoin: "miter",
    strokeWidth: 1,
    d: "M-14.222 270.222V-14.222h284.444v284.444z",
    style: {
      mixBlendMode: "normal"
    },
    transform: "matrix(.9 0 0 .9 12.8 12.8)"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#ccc",
    strokeLinejoin: "miter",
    strokeWidth: 1,
    d: "M56.889 270.222c-39.274 0-71.111-31.837-71.111-71.11V56.888c0-39.274 31.837-71.111 71.11-71.111h142.223c39.274 0 71.111 31.837 71.111 71.11v142.223c0 39.274-31.837 71.111-71.11 71.111z",
    style: {
      mixBlendMode: "normal"
    },
    transform: "matrix(.9 0 0 .9 12.8 12.8)"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    fill: "none",
    strokeLinejoin: "none",
    strokeWidth: "none",
    style: {
      mixBlendMode: "normal"
    }
  }, _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#ddd",
    stroke: "#ddd",
    strokeLinejoin: "round",
    strokeWidth: 9.6,
    d: "M32 233.6V75.2c0-15.907 12.893-28.8 28.8-28.8H224v115.2c0 15.907-12.893 28.8-28.8 28.8H94.4z"
  })), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    stroke: "none",
    strokeLinejoin: "miter",
    strokeWidth: 1
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "url(#a)",
    d: "M4 46v-9h13z",
    transform: "matrix(4.8 0 0 4.8 12.8 12.8)"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "url(#b)",
    d: "M38 37H4V13a6 6 0 0 1 6-6h34v24a6 6 0 0 1-6 6z",
    transform: "matrix(4.8 0 0 4.8 12.8 12.8)"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "url(#c)",
    d: "M25.619 27h-3.333c0-4.079 1.435-6.306 2.809-8.057.502-.64.665-1.786.272-2.499a2.12 2.12 0 0 0-1.893-1.111h-.355a2.5 2.5 0 0 1-2.5-2.5V12h2.669c1.972 0 3.875.956 4.89 2.646 1.206 2.008 1.036 4.462-.39 6.264-1.143 1.446-2.169 2.999-2.169 6.09zM24 29a2 2 0 1 0-.001 3.999A2 2 0 0 0 24 29z",
    transform: "matrix(4.8 0 0 4.8 12.8 12.8)"
  }))))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgQuestion);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/reset.svg":
/*!************************************!*\
  !*** ./src/assets/icons/reset.svg ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgReset = function SvgReset(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 17,
    height: 17,
    fill: "none",
    viewBox: "0 0 17 17",
    ref: ref
  }, props), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("mask", {
    id: "a",
    width: 17,
    height: 17,
    x: 0,
    y: 0,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#D9D9D9",
    d: "M0 0h17v17H0z"
  }))), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    mask: "url(#a)"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#1A73E8",
    d: "M8.5 15.584a6.167 6.167 0 0 1-2.488-.505 6.48 6.48 0 0 1-2.019-1.364 6.48 6.48 0 0 1-1.363-2.018 6.167 6.167 0 0 1-.505-2.488h1.417c0 1.38.48 2.552 1.443 3.515.962.962 2.134 1.443 3.515 1.443 1.381 0 2.553-.481 3.515-1.443.962-.963 1.443-2.134 1.443-3.515 0-1.382-.48-2.553-1.443-3.516C11.053 4.731 9.881 4.25 8.5 4.25h-.106l1.098 1.098L8.5 6.375 5.667 3.542 8.5.708l.992 1.028-1.098 1.097H8.5c.885 0 1.715.169 2.488.505a6.48 6.48 0 0 1 2.019 1.364A6.48 6.48 0 0 1 14.37 6.72c.337.774.505 1.603.505 2.489 0 .885-.168 1.714-.505 2.488a6.48 6.48 0 0 1-1.363 2.018 6.48 6.48 0 0 1-2.019 1.364 6.167 6.167 0 0 1-2.488.505Z"
  }))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgReset);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/save.svg":
/*!***********************************!*\
  !*** ./src/assets/icons/save.svg ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgSave = function SvgSave(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 20,
    height: 20,
    viewBox: "0 0 256 256",
    ref: ref
  }, props), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#000",
    fillOpacity: 0.98,
    fillRule: "nonzero",
    stroke: "none",
    strokeDashoffset: 0,
    strokeLinecap: "butt",
    strokeLinejoin: "miter",
    strokeMiterlimit: 10,
    strokeWidth: 1,
    d: "M41.938 8.625a2 2 0 0 0-1.626.938L21.5 38.343 9.312 27.814a1.992 1.992 0 0 0-2.03-.52 1.998 1.998 0 0 0-.595 3.52l13.938 12.062a2.005 2.005 0 0 0 1.582.453 2.01 2.01 0 0 0 1.387-.89L43.687 11.75a1.997 1.997 0 0 0-1.75-3.125z",
    fontFamily: "none",
    fontSize: "none",
    fontWeight: "none",
    style: {
      mixBlendMode: "normal"
    },
    textAnchor: "none",
    transform: "scale(5.12)"
  }));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgSave);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/settings.svg":
/*!***************************************!*\
  !*** ./src/assets/icons/settings.svg ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgSettings = function SvgSettings(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 18,
    height: 18,
    fill: "none",
    viewBox: "0 0 18 18",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#000",
    fillRule: "evenodd",
    d: "M4 0a4 4 0 1 0 0 8h10a4 4 0 0 0 0-8H4Zm0 10a4 4 0 0 0 0 8h10a4 4 0 0 0 0-8H4Zm2 4a2 2 0 1 1-4 0 2 2 0 0 1 4 0Zm8-8a2 2 0 1 0 0-4 2 2 0 0 0 0 4Z",
    clipRule: "evenodd"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgSettings);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/slack.svg":
/*!************************************!*\
  !*** ./src/assets/icons/slack.svg ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _path2, _path3, _path4;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgSlack = function SvgSlack(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 18,
    height: 18,
    fill: "none",
    viewBox: "0 0 18 18",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#E01E5A",
    d: "M3.781 11.375c0 1.041-.85 1.891-1.89 1.891-1.041 0-1.891-.85-1.891-1.89 0-1.041.85-1.892 1.89-1.892h1.891v1.891ZM4.734 11.375c0-1.04.85-1.89 1.891-1.89s1.891.85 1.891 1.89v4.735c0 1.04-.85 1.891-1.89 1.891-1.041 0-1.892-.85-1.892-1.891v-4.735Z"
  })), _path2 || (_path2 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#36C5F0",
    d: "M6.625 3.782c-1.04 0-1.89-.85-1.89-1.891C4.734.85 5.584 0 6.624 0c1.041 0 1.891.85 1.891 1.891v1.89h-1.89ZM6.625 4.734c1.04 0 1.891.85 1.891 1.891s-.85 1.891-1.89 1.891H1.89C.85 8.516 0 7.666 0 6.626c0-1.041.85-1.892 1.89-1.892h4.735Z"
  })), _path3 || (_path3 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#2EB67D",
    d: "M14.219 6.625c0-1.04.85-1.89 1.89-1.89 1.041 0 1.892.85 1.892 1.89 0 1.041-.85 1.891-1.891 1.891h-1.891v-1.89ZM13.266 6.626c0 1.04-.85 1.89-1.891 1.89-1.04 0-1.891-.85-1.891-1.89V1.89c0-1.04.85-1.891 1.89-1.891 1.042 0 1.892.85 1.892 1.891v4.735Z"
  })), _path4 || (_path4 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#ECB22E",
    d: "M11.374 14.219c1.04 0 1.89.85 1.89 1.89 0 1.041-.85 1.892-1.89 1.892s-1.891-.85-1.891-1.891v-1.891h1.89ZM11.374 13.266c-1.04 0-1.89-.85-1.89-1.89 0-1.041.85-1.892 1.89-1.892h4.735c1.04 0 1.891.85 1.891 1.891s-.85 1.891-1.891 1.891h-4.735Z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgSlack);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/spark.svg":
/*!************************************!*\
  !*** ./src/assets/icons/spark.svg ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _path2, _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgSpark = function SvgSpark(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 16,
    height: 16,
    fill: "none",
    viewBox: "0 0 16 16",
    ref: ref
  }, props), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("mask", {
    id: "a",
    width: 16,
    height: 16,
    x: 0,
    y: 0,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#D9D9D9",
    d: "M0 0h16v16H0z"
  }))), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    mask: "url(#a)"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("mask", {
    id: "b",
    width: 16,
    height: 16,
    x: 0,
    y: 0,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path2 || (_path2 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#D9D9D9",
    d: "M0 0h16v16H0z"
  }))), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    mask: "url(#b)"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#3083FF",
    d: "M8 14.667a6.492 6.492 0 0 1-2.6-.525 6.732 6.732 0 0 1-2.116-1.425A6.732 6.732 0 0 1 1.859 10.6 6.492 6.492 0 0 1 1.334 8c0-.922.175-1.789.525-2.6a6.732 6.732 0 0 1 1.425-2.117c.6-.6 1.306-1.075 2.117-1.424A6.492 6.492 0 0 1 8 1.333c.922 0 1.789.175 2.6.526.81.35 1.516.825 2.116 1.425.6.6 1.075 1.305 1.425 2.116.35.811.525 1.678.525 2.6 0 .922-.175 1.789-.525 2.6a6.732 6.732 0 0 1-1.425 2.117c-.6.6-1.305 1.075-2.116 1.425a6.492 6.492 0 0 1-2.6.525Zm0-1.333c1.49 0 2.75-.517 3.784-1.55 1.033-1.034 1.55-2.295 1.55-3.784 0-1.489-.517-2.75-1.55-3.783s-2.294-1.55-3.783-1.55c-1.49 0-2.75.517-3.784 1.55C3.184 5.25 2.667 6.51 2.667 8c0 1.49.517 2.75 1.55 3.784 1.034 1.033 2.295 1.55 3.784 1.55Zm0-.667a.964.964 0 0 0 .709-.292.965.965 0 0 0 .292-.708H7c0 .278.097.514.291.708.195.195.43.292.709.292ZM6 11h4v-1H6v1Zm.017-1.666h3.967c.411-.3.739-.681.983-1.142.245-.461.367-.97.367-1.525 0-.922-.325-1.708-.975-2.358a3.213 3.213 0 0 0-2.358-.976c-.923 0-1.709.325-2.359.976a3.213 3.213 0 0 0-.975 2.358c0 .555.123 1.064.367 1.525.244.46.572.841.983 1.142Zm.367-1a2.543 2.543 0 0 1-.525-.759 2.184 2.184 0 0 1-.192-.908c0-.645.228-1.195.684-1.65A2.248 2.248 0 0 1 8 4.333c.644 0 1.194.228 1.65.684.455.455.683 1.005.683 1.65 0 .322-.064.625-.192.908a2.543 2.543 0 0 1-.525.759H6.384Z"
  })))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgSpark);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/terminal.svg":
/*!***************************************!*\
  !*** ./src/assets/icons/terminal.svg ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgTerminal = function SvgTerminal(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 20,
    height: 16,
    fill: "none",
    viewBox: "0 0 20 16",
    ref: ref
  }, props), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    fill: "#000",
    fillRule: "evenodd",
    clipRule: "evenodd"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fillOpacity: 0.4,
    d: "M1 1h18v14H1V1Z"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    d: "M.163.819C0 1.139 0 1.559 0 2.4v11.2c0 .84 0 1.26.163 1.581a1.5 1.5 0 0 0 .656.655c.32.164.74.164 1.581.164h15.2c.84 0 1.26 0 1.581-.164a1.5 1.5 0 0 0 .655-.655c.164-.32.164-.74.164-1.581V2.4c0-.84 0-1.26-.163-1.581a1.5 1.5 0 0 0-.656-.656C18.861 0 18.441 0 17.6 0H2.4C1.56 0 1.14 0 .819.163A1.5 1.5 0 0 0 .163.82ZM5.42 3.815a1.5 1.5 0 0 0-1.98.124l-.124.142a1.5 1.5 0 0 0 .124 1.98L5.378 8 3.439 9.94l-.124.14a1.5 1.5 0 0 0 2.246 1.98l3-3 .124-.14a1.5 1.5 0 0 0-.124-1.98l-3-3-.142-.125Z"
  }))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgTerminal);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/thumbs-down.svg":
/*!******************************************!*\
  !*** ./src/assets/icons/thumbs-down.svg ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _rect, _path, _path2;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgThumbsDown = function SvgThumbsDown(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 20,
    height: 20,
    fill: "none",
    viewBox: "0 0 20 20",
    ref: ref
  }, props), _rect || (_rect = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("rect", {
    width: 20,
    height: 20,
    fill: "currentColor",
    fillOpacity: 0.3,
    rx: 4
  })), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "currentColor",
    d: "M15.5 9c0-2.485-2.015-4-4.5-4h-.838c-2.326 0-3.488 0-4.339.75-.85.752-.979 1.774-1.234 3.82a9.892 9.892 0 0 0-.089 1.18C4.5 12.578 5.172 13 7 13h4c2.485 0 4.5-1.515 4.5-4Z"
  })), _path2 || (_path2 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "currentColor",
    d: "m12.8 11.6.366.93a1 1 0 0 0-.366-1.93v1ZM8.5 16h-1a1 1 0 0 0 1.939.345L8.5 16Zm1 0c0-.608.169-1.49.657-2.19.45-.644 1.219-1.21 2.643-1.21v-2c-2.076 0-3.457.884-4.282 2.065C7.73 13.79 7.5 15.109 7.5 16h2Zm-1 0 .938.345v.002c0 .001 0 0 0 0 0-.003.003-.008.006-.016l.032-.078a7.95 7.95 0 0 1 .808-1.406c.613-.848 1.548-1.792 2.882-2.316l-.732-1.862c-1.803.708-3.018 1.964-3.771 3.008a9.942 9.942 0 0 0-.827 1.362 7.843 7.843 0 0 0-.272.609l-.001.004-.001.002L8.5 16Z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgThumbsDown);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/thumbs-up.svg":
/*!****************************************!*\
  !*** ./src/assets/icons/thumbs-up.svg ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _rect, _path, _path2;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgThumbsUp = function SvgThumbsUp(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 20,
    height: 20,
    fill: "none",
    viewBox: "0 0 20 20",
    ref: ref
  }, props), _rect || (_rect = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("rect", {
    width: 20,
    height: 20,
    fill: "currentColor",
    fillOpacity: 0.3,
    rx: 4
  })), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "currentColor",
    d: "M4.5 11c0 2.485 2.015 4 4.5 4h.838c2.326 0 3.488 0 4.339-.75.85-.752.979-1.774 1.234-3.82.055-.439.089-.845.089-1.18C15.5 7.422 14.828 7 13 7H9c-2.485 0-4.5 1.515-4.5 4Z"
  })), _path2 || (_path2 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "currentColor",
    d: "m7.2 8.4-.366-.93A1 1 0 0 0 7.2 9.4v-1ZM11.5 4h1a1 1 0 0 0-1.939-.345L11.5 4Zm-1 0c0 .609-.169 1.49-.657 2.19-.45.644-1.219 1.21-2.643 1.21v2c2.076 0 3.457-.884 4.282-2.065C12.27 6.21 12.5 4.891 12.5 4h-2Zm1 0a143.856 143.856 0 0 1-.938-.346v-.002.001a7.938 7.938 0 0 1-.846 1.5C9.103 6 8.168 6.945 6.834 7.469l.732 1.862c1.803-.708 3.018-1.964 3.771-3.008.379-.524.65-1.007.827-1.362a7.928 7.928 0 0 0 .267-.596l.005-.012.002-.005v-.002L11.5 4Z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgThumbsUp);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/tick.svg":
/*!***********************************!*\
  !*** ./src/assets/icons/tick.svg ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _g;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgTick = function SvgTick(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 16,
    height: 17,
    fill: "none",
    viewBox: "0 0 16 17",
    ref: ref
  }, props), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("mask", {
    id: "a",
    width: 16,
    height: 17,
    x: 0,
    y: 0,
    maskUnits: "userSpaceOnUse",
    style: {
      maskType: "alpha"
    }
  }, _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#D9D9D9",
    d: "M0 .5h16v16H0z"
  }))), _g || (_g = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("g", {
    mask: "url(#a)"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#fff",
    d: "m6.366 12.5-3.8-3.8.95-.95 2.85 2.85 6.117-6.117.95.95L6.366 12.5Z"
  }))));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgTick);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/time.svg":
/*!***********************************!*\
  !*** ./src/assets/icons/time.svg ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgTime = function SvgTime(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 16,
    height: 16,
    viewBox: "0 0 24 24",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    d: "M12 2C6.489 2 2 6.489 2 12s4.489 10 10 10 10-4.489 10-10S17.511 2 12 2zm0 2c4.43 0 8 3.57 8 8s-3.57 8-8 8-8-3.57-8-8 3.57-8 8-8zm-1 2v6.414l4.293 4.293 1.414-1.414L13 11.586V6h-2z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgTime);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/upload.svg":
/*!*************************************!*\
  !*** ./src/assets/icons/upload.svg ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _radialGradient, _path, _linearGradient, _path2, _linearGradient2, _path3, _path4, _linearGradient3, _path5;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgUpload = function SvgUpload(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 20,
    height: 20,
    viewBox: "0 0 64 64",
    ref: ref
  }, props), _radialGradient || (_radialGradient = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("radialGradient", {
    id: "a",
    cx: 32,
    cy: -1100.5,
    r: 51.925,
    gradientTransform: "matrix(1 0 0 -1 0 -1068)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 0,
    stopColor: "#9ceeff"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 0.642,
    stopColor: "#c5f5ff"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 1,
    stopColor: "#dcf9ff"
  }))), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "url(#a)",
    d: "M60.5 31a3.5 3.5 0 0 0 3.495-3.688C63.896 25.419 62.197 24 60.302 24H59.5a1.5 1.5 0 1 1 0-3h.802c1.895 0 3.594-1.419 3.693-3.312A3.5 3.5 0 0 0 60.5 14h-1.393c-.996 0-1.92-.681-2.08-1.664A2.001 2.001 0 0 1 59 10h.302c1.895 0 3.594-1.419 3.693-3.312A3.5 3.5 0 0 0 59.5 3H4.698C2.803 3 1.104 4.419 1.005 6.312A3.5 3.5 0 0 0 4.5 10h.393c.996 0 1.92.681 2.08 1.664A2.001 2.001 0 0 1 5 14H3.698C1.803 14 .104 15.419.005 17.312A3.5 3.5 0 0 0 3.5 21a1.5 1.5 0 1 1 0 3h.198C1.803 24 .104 25.419.005 27.312A3.5 3.5 0 0 0 3.5 31a1.5 1.5 0 0 1 0 3 3.5 3.5 0 0 0-3.495 3.688C.104 39.581 1.803 41 3.698 41H4.5a1.5 1.5 0 1 1 0 3h-.802C1.803 44 .104 45.419.005 47.312A3.5 3.5 0 0 0 3.5 51h1.393c.996 0 1.92.681 2.08 1.664A2.002 2.002 0 0 1 5 55h-.302c-1.895 0-3.594 1.419-3.693 3.312A3.5 3.5 0 0 0 4.5 62h54.802c1.895 0 3.594-1.419 3.693-3.312A3.5 3.5 0 0 0 59.5 55H59a2 2 0 0 1 0-4h1.302c1.895 0 3.594-1.419 3.693-3.312A3.5 3.5 0 0 0 60.5 44a1.5 1.5 0 1 1 0-3h-.198c1.895 0 3.594-1.419 3.693-3.312A3.5 3.5 0 0 0 60.5 34a1.5 1.5 0 0 1 0-3z"
  })), _linearGradient || (_linearGradient = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("linearGradient", {
    id: "b",
    x1: 32,
    x2: 32,
    y1: -1124.075,
    y2: -1072.49,
    gradientTransform: "matrix(1 0 0 -1 0 -1068)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 0.128,
    stopColor: "#dbdee1"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 0.202,
    stopColor: "#dee1e4"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 0.657,
    stopColor: "#eff1f2"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 1,
    stopColor: "#f5f6f7"
  }))), _path2 || (_path2 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "url(#b)",
    d: "M18 8h28c5.523 0 10 4.477 10 10v28c0 5.523-4.477 10-10 10H18c-5.523 0-10-4.477-10-10V18c0-5.523 4.477-10 10-10z"
  })), _linearGradient2 || (_linearGradient2 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("linearGradient", {
    id: "c",
    x1: 32,
    x2: 32,
    y1: 39,
    y2: 48,
    gradientTransform: "matrix(1 0 0 -1 0 66)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 0.284,
    stopColor: "#1ca3f6"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 0.34,
    stopColor: "#1ba7f7"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 0.515,
    stopColor: "#19aef8"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 1,
    stopColor: "#19b0f8"
  }))), _path3 || (_path3 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "url(#c)",
    d: "M14 27v-7a2 2 0 0 1 2-2h6.757c.796 0 1.559.316 2.121.879l1.243 1.243a3.004 3.004 0 0 0 2.122.878H48a2 2 0 0 1 2 2v4H14z"
  })), _path4 || (_path4 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#fff",
    d: "M47 27H17a1 1 0 0 1-1-1v-2a1 1 0 0 1 1-1h30a1 1 0 0 1 1 1v2a1 1 0 0 1-1 1z"
  })), _linearGradient3 || (_linearGradient3 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("linearGradient", {
    id: "d",
    x1: 32,
    x2: 32,
    y1: 20,
    y2: 41,
    gradientTransform: "matrix(1 0 0 -1 0 66)",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 0,
    stopColor: "#1c77f1"
  }), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("stop", {
    offset: 1,
    stopColor: "#18bff9"
  }))), _path5 || (_path5 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "url(#d)",
    d: "M14 27v17a2 2 0 0 0 2 2h32a2 2 0 0 0 2-2V27a2 2 0 0 0-2-2H16a2 2 0 0 0-2 2z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgUpload);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/uploadfiles.svg":
/*!******************************************!*\
  !*** ./src/assets/icons/uploadfiles.svg ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgUploadfiles = function SvgUploadfiles(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 65,
    height: 64,
    fill: "none",
    viewBox: "0 0 65 64",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#1A73E8",
    d: "M30.5 53.333H17.232c-3.911 0-7.234-1.366-9.967-4.1-2.733-2.733-4.1-6.055-4.1-9.966 0-3.467 1.111-6.511 3.333-9.134 2.223-2.622 5.045-4.2 8.467-4.733.889-4.311 2.978-7.833 6.267-10.567 3.289-2.733 7.089-4.1 11.4-4.1 4.977 0 9.177 1.811 12.6 5.434 3.422 3.622 5.133 7.966 5.133 13.033v1.6c3.2-.089 5.911.944 8.133 3.1 2.223 2.156 3.334 4.878 3.334 8.167 0 3.066-1.111 5.71-3.334 7.933-2.222 2.222-4.866 3.333-7.933 3.333H34.499v-21.2l5.534 5.534 2.866-2.867-10.4-10.4-10.4 10.4 2.867 2.867 5.533-5.534v21.2Z"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgUploadfiles);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/icons/warning.svg":
/*!**************************************!*\
  !*** ./src/assets/icons/warning.svg ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgWarning = function SvgWarning(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 16,
    height: 16,
    viewBox: "0 0 256 256",
    ref: ref
  }, props), /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#b40808",
    fillRule: "nonzero",
    stroke: "none",
    strokeDashoffset: 0,
    strokeLinecap: "butt",
    strokeLinejoin: "miter",
    strokeMiterlimit: 10,
    strokeWidth: 1,
    d: "M15 3C8.373 3 3 8.373 3 15s5.373 12 12 12 12-5.373 12-12S21.627 3 15 3zm1.212 5-.2 9h-2.024l-.2-9zm-1.209 14.189c-.828 0-1.323-.441-1.323-1.182 0-.755.494-1.196 1.323-1.196.822 0 1.316.441 1.316 1.196 0 .741-.494 1.182-1.316 1.182z",
    fontFamily: "none",
    fontSize: "none",
    fontWeight: "none",
    style: {
      mixBlendMode: "normal"
    },
    textAnchor: "none",
    transform: "scale(8.53333)"
  }));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgWarning);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./src/assets/images/heidi-speaking.svg":
/*!**********************************************!*\
  !*** ./src/assets/images/heidi-speaking.svg ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _path, _ellipse, _path2, _path3, _path4, _path5, _path6, _path7, _path8, _path9, _path10;
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }


var SvgHeidiSpeaking = function SvgHeidiSpeaking(props, ref) {
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    width: 116,
    height: 84,
    fill: "none",
    viewBox: "0 0 116 84",
    ref: ref
  }, props), _path || (_path = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#A3A3A3",
    d: "M15.045 69.368c.317-.18.616-.39.894-.628.634-.445 1.121-.208 1.191.582a4.86 4.86 0 0 1 0 .611.416.416 0 0 0 .217.42c.193.092.291-.095.4-.208.767-.794.963-2.442.546-3.473-.669-1.648-1.874-2.887-2.97-4.21-.257-.308-3.575-2.471-4.132-3.505.224 1.115-.14 2.262.137 3.3.508 1.909-.498 3.748-.095 5.647.042.197-.305.515-.02.706.283.19.476-.089.7-.258.932-.738 1.18-.706 1.51.377.291 1.006.883.968 1.622.64Z"
  })), _ellipse || (_ellipse = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("ellipse", {
    cx: 38.5,
    cy: 80.467,
    fill: "#D9D9D9",
    opacity: 0.5,
    rx: 38.5,
    ry: 2.5
  })), _path2 || (_path2 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#F9C2CF",
    d: "M69.155 54.469a47.505 47.505 0 0 1-.437 5c-.066.5 1.686 2.891 3.29-.258.48-1.224 1.26-2.307 1.532-3.638.507-2.477.074-4.837-.643-7.18a.746.746 0 0 0-.329-.354c-.87-.534-1.692-1.14-2.517-1.738-.55-.4-.882-1.132-1.847-1.235.398 1.787.673 3.6.822 5.425.108 1.327.16 2.647.13 3.978Z"
  })), _path3 || (_path3 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#A3A3A3",
    d: "M14.919 60.069a.676.676 0 0 1 .35.193c1.051 1.263 2.103 2.52 3.126 3.807 1.524 1.935 1.752 4.356 2.4 6.625.102.352.221.704.519.792.389.137.557-.257.7-.546.257-.471.677-.623.916-.14.557 1.122 1.05.506 1.485 0 .554-.651 1.003-.504 1.202.183.267.907.634.38.957.14.2-.151.287-.44.462-.637.41-.46.81-.566 1.157.088.08.152.087.44.441.303.225-1.995.372-4.014.491-6.048a26.374 26.374 0 0 0-.039-5.088c-.063-.45.018-.858.502-1.055.844.981.732 2.174.7 3.328a.849.849 0 0 0 .673.996c.407.123.823.214 1.244.27.701.12 1.258-.351 1.907-.351 1.885.06 3.788.274 5.648-.11 1.052-.214 2.05.071 3.042-.03 2.02-.22 4.06-.22 6.08 0 1.326.178 2.672.143 3.988-.103.956-.197.788-.57.326-1.055-.607-.616-1.328-1.126-1.917-1.76-2.271-2.43-3.389-5.45-4.205-8.602a3.685 3.685 0 0 1 0-1.407.642.642 0 0 1 .61-.567c.252 0 .374.25.35.514-.07 1.717.7 3.22 1.25 4.764a11.69 11.69 0 0 0 3.375 4.926c.93.819 1.738 1.766 2.4 2.814 1.827 2.857 2.804 6.08 3.919 9.3.326-.132.6-.37.774-.676.35-.525.799-1.126 1.198 0 .11.31.26.232.435.088.175-.145.35-.405.582-.127.47.58.904.616 1.373 0a.392.392 0 0 1 .547-.077c.442.316.7-.064.792-.306.385-.986.967-1.928.725-3.079a1.384 1.384 0 0 1 .109-.978 17.116 17.116 0 0 0 1.619-4.447c.54-2.396 1.072-4.789 1.072-7.262 0-1.34-.115-2.681-.15-4.015a25.402 25.402 0 0 0-.796-5.305c-.617-2.537-1.142-5.155-2.705-7.34-1.185-1.66-2.054-3.574-3.855-4.763-1.426-.954-3.073-1.559-4.43-2.548-2.33-1.695-4.961-2.156-7.663-2.564-1.794-.271-3.581-.61-5.386-.764-1.538-.134-3.101 0-4.647-.074-1.195-.046-2.218.577-3.367.732a3.776 3.776 0 0 0-2.26 1.407c-.964 1.123-1.753 2.39-2.93 3.336-.305.246-.585.703-.985.242-.4-.46-.098-.893.33-1.171.398-.211.754-.494 1.051-.834a43.712 43.712 0 0 1 3.084-3.543c2.278-2.378 4.822-4.468 7.24-6.685.122-.112.287-.232.206-.415-.08-.183-.266-.151-.473-.165-1.307-.088-2.572.26-3.791.545-1.826.426-3.7.56-5.506 1.084a.841.841 0 0 1-1.05-.563c-.148-.496.332-.5.658-.672 1.191-.623 2.453-1.133 3.585-1.823 2.253-1.379 4.555-2.624 6.91-3.845 1.84-.957 3.715-1.89 5.13-3.487.151-.169.512-.37.375-.538-.476-.574-.974-1.408-1.59-1.527a8.653 8.653 0 0 0-3.505-.028c-3.91.809-7.884.703-11.827.995-2.022.152-4.058.352-6.066.447-1.138.056-2.151 1.675-3.374.352 0 0-.06.018-.095.021-.928.123-1.857.232-2.779.377-.921.144-1.629.397-1.38 1.569.063.285-.112.489-.298.75-.536.742-1.191.935-2.043.931-.54 0-1.188-.288-1.615.243A16.496 16.496 0 0 0 9.81 18.74c-.947 2.167-1.795 4.377-2.646 6.582-1.36 3.519-1.342 7.21-1.84 10.833a16.507 16.507 0 0 0 .133 4.416c.305 2.262.445 4.574 1.262 6.71 1.356 3.518 2.663 7.1 5.197 10.058.904 1.035 1.5 2.337 3.003 2.73Zm50.615-15.643c.7.106.802.753 1.051 1.228-.017.352-.182.595-.483.556-.66-.081-.985-.57-1.111-1.165a.47.47 0 0 1 .293-.607.464.464 0 0 1 .246-.012h.004Zm-1.983.081c.189.222.375.44.259.764-.084.239-.018.619-.333.66a.584.584 0 0 1-.575-.407c-.333-.813-1.317-1.228-1.384-2.178.067-.222-.08-.475.214-.542a.426.426 0 0 1 .515.211c.287.63.873.989 1.3 1.492h.004ZM60 36.556a.51.51 0 0 1 .603-.23c.946.205 2.35 1.947 2.344 2.939a.543.543 0 0 1-.319.636c-.27.095-.46-.161-.55-.351a7.128 7.128 0 0 0-1.973-2.375.447.447 0 0 1-.105-.62Zm-2.625 2.501a11.837 11.837 0 0 1-1.601-1.822c-.27-.387.024-.68.42-.725.592.035 1.977 1.734 1.913 2.273-.063.538-.56.432-.739.274h.007Zm-2.453-7.195c.035-.278.291-.214.477-.218.546 0 2.733 1.46 2.894 1.956.02.084.031.17.032.257 0 .493-.232.661-.61.408-.88-.58-1.7-1.249-2.684-1.664-.287-.11-.158-.486-.126-.721l.017-.018Zm-1.051 5.563c-.161.513-.624.373-.83.102-.505-.662-1.129-1.207-1.64-1.851-.239-.3-.351-.785.55-.806.515-.02 2.12 1.854 1.899 2.555h.02Zm-5.435-7.36c.137-.504.589-.078.781-.258.894.046 1.546.497 2.2.926a.602.602 0 0 1 .159.812c-.151.328-.417.296-.757.208-.768-.194-1.22-1.01-2.103-1.013-.115.003-.343-.405-.28-.676Zm-3.4.126c.274-.12.446-.183.702.056.399.39.84.736 1.272 1.094a.64.64 0 0 1 .171.736c-.07.228-.326.26-.497.295-.852-.274-1.58-.64-1.865-1.51-.063-.214-.136-.513.232-.675l-.014.004Zm-2.26 2.815c-.031-.264.155-.314.379-.352.428-.043 2.555.883 2.74 1.235a1.133 1.133 0 0 1-.024 1.027c-.907-.52-1.867-.94-2.863-1.252-.375-.141-.179-.444-.218-.676l-.013.018Zm-3.854-3.519a10.218 10.218 0 0 1 2.996.444.41.41 0 0 1 .224.51c-.073.31-.298.39-.596.418-.508.05-.939-.411-1.25-.25-.509.046-.86-.02-1.094.12-.494.296-.662 0-.806-.352a.624.624 0 0 1 .54-.914l-.014.024Zm-.648 5.207a2.796 2.796 0 0 1 1.92.605.35.35 0 0 1 .123.514c-.158.334-.484.3-1.03.278a5.468 5.468 0 0 0-1.315-.215.4.4 0 0 1-.4-.294.406.406 0 0 1-.01-.177.758.758 0 0 1 .712-.71Zm-4.482-4.222c.7-.2 1.454-.302 2.102.215.456.37.165.517-.214.764-.728.478-1.58-.44-2.302.495-.077-.72-.263-1.28.403-1.474h.01Zm-3.056 3.135c.585-.415 1.29-.404 1.98-.327.157 0 .186.158.182.303a.663.663 0 0 1-.456.601c-.497.14-1.026.145-1.482.458-.14.095-.305-.081-.396-.222a.614.614 0 0 1 .165-.806l.007-.007ZM24.079 12.85c.256-.574.89-.12 1.247-.26.936 0 1.752 0 2.425.703.246.257.35.458.277.75a.527.527 0 0 1-.634.352 4.852 4.852 0 0 0-1.945.235c-.63.183-.904-.225-1.237-.566a1.11 1.11 0 0 1-.13-1.207l-.003-.007Z"
  })), _path4 || (_path4 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#fff",
    d: "M14.804 14.321c.85 3.974.772 6.746 2.536 10.541 1.436 3.089 3.648 7.164 7.11 8.433 4.162 1.525 5.901-2.263 8.29-4.86 2.388-2.596 5.186-4.708 7.645-7.143.706-.702 1.305-1.096 1.432-2.013-1.41-.13-2.755.762-4.198.903-1.764.172-3.479-.232-5.084.485 2.657-1.22 5.208-2.913 7.726-4.417 1.73-1.033 7.014-3.162 7.25-5.428.353-3.43-7.377-1.83-9.42-1.652-3.679.324-7.475.13-11.289.468-3.291.291-10.954-.538-11.758 3.513l-.24 1.17Z"
  })), _path5 || (_path5 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#A3A3A3",
    d: "M48.519 64.206c-.53.058-.99-.19-1.483-.249-1.122-.123-2.254-.624-3.376-.208-.6.214-1.245.291-1.882.225a3.152 3.152 0 0 0-1.429.167c-.246.1-.64.205-.521.495.532 1.29.518 2.642.643 3.986.021.232 0 .754.425.782.29.02.432-.341.59-.604a.822.822 0 0 1 .334-.36.878.878 0 0 1 .49-.115c.525.038.247.45.386.659.14.208.2.683.632.498.6-.314.683 0 .793.41.05.177.147.665.411.416.647-.604 1.283-1.106 2.236-1.13.111 0 .211-.307.315-.467.782-1.201 1-2.648 1.875-3.819.196-.276.168-.754-.44-.686Z"
  })), _path6 || (_path6 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#F9C2CF",
    d: "M95.139 59.744c-.212.26.02.873.416 1.065 1.514-.327 3.119-.61 4.668-1.065 1.677-.472 3.043-2.37 2.842-4.08-.032-.263-.042-.497-.371-.437-1.802.355-3.546-.457-5.351-.248-.669.078-.946.188-.87.912.145 1.497-.426 2.746-1.334 3.853ZM103.976 58.871c1.018-.237 5.84-2.993 7.442-4.188-.845-.16-6.39.102-7.157.519-.217.117-.404.073-.261.464.339.954-.15 1.828-.387 2.69-.045.164-.364.23-.143.493.173.201.316.066.506.022ZM71.29 60.984c1.868.5 3.793.751 5.726.75 4.336-.084 8.671-.084 13-.434 1.362-.109 2.622-.053 3.718-1.34a6.274 6.274 0 0 0 1.632-4.053c.021-.649-.28-1.273-1.096-1.27-1.898 0-3.645-.823-5.533-.96-.795-.056-.963.203-.777.747.319.933 0 1.774-.26 2.584a5.987 5.987 0 0 1-2.755 3.345.647.647 0 0 1-.746.046c-.214-.18.028-.35.178-.467A6.026 6.026 0 0 0 87 55.493c.126-1.09-.21-2.223-.928-2.454a27.826 27.826 0 0 0-4.37-1.014c-.35-.056-.732-.052-.581.495.423 1.567.02 3.001-.757 4.344-.7 1.228-1.205 2.63-2.451 3.461-.287.19-.7.663-.998.193-.252-.39.795-.764.865-.87.984-1.476 1.926-2.987 2.451-4.698.462-1.515-.298-3.45-1.44-3.9-1.277-.5-2.566-.991-3.851-1.503-.19-.078-.379-.232-.557-.12-.315.197.263 1.697.277 2.276.066 3.464-.806 6.581-3.37 9.281Z"
  })), _path7 || (_path7 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#000",
    d: "M16.324 75.269c.834-1.443 2.244-2.522 2.685-4.203.06-.23.057-.469.351-.497.395 1.665.682 3.355.86 5.057.129 1.026-.299 2.35-1.522 2.518a.758.758 0 0 0-.67.756c-.025.385 0 .7.47.872a.964.964 0 0 1 .76 1.012c0 .865.617 1.18 1.378.939.586-.186.782-.088.828.511.052.7.606 1.002 1.104.655 1.921-1.338 3.98-2.486 4.817-5 .477-1.43.82-2.897 1.318-4.312.916-2.591 1.147-5.28 1.217-7.995.035-1.4 2.23-1.1 2.612-1.187 1.662-.378 3.338-.094 5.003-.182.35-.018.701-.053.841.35.425 1.313 1.09 2.493.884 4.041-.41 3.037-.701 6.01-3.776 7.705-.22.122-.624.35-.449.7a1.093 1.093 0 0 0 .905.7h.806c.196 0 .42 0 .435.277.056 1.18.736.977 1.521.753.351-.102.838-.427 1.09.287.295.837 1.01.984 1.645.378a25.996 25.996 0 0 0 5.865-8.6c.747-1.713 1.29-3.527 2.363-5.089.4-.585.702-1.232 1.48-1.46a10.532 10.532 0 0 1 2.97-.263.593.593 0 0 1 .623.393c.477 1.19 1.228 2.237 1.655 3.463.624 1.786.75 3.67 1.227 5.474.291 1.103-.098 1.793-.9 2.367-.614.441-1.301.777-1.922 1.212-.445.311-.673.7-.168 1.208.701.7 1.897 1.026 1.64 2.395a.498.498 0 0 0 .702.35c.26-.119.603-.045.873-.154.575-.231.982-.319 1.192.483.098.379.508.547 1.052.445 1.402-.273 2.019-1.156 2.454-2.451.74-2.2 1.17-4.497 2.128-6.636.543-1.22 1.343-2.343 1.521-3.723.12-.91 1.634-5.428 1.887-6.895.105-.61.396-.592.834-.35.55.35 1.158.599 1.795.735 2.223.252 4.404.886 6.661.788 2.718-.12 5.438-.186 8.155-.319 2.353-.116 4.712-.056 7.044-.553.63-.133 1.924-.7 1.567 1.005-.032.154.147.35.249.529.26.455.659.136.981.133.323-.004.484-.266.55-.589.081-.395-.192-.5-.455-.658-.263-.157-.652-.14-.74-.588 1.676-.301 3.338-.515 4.958-.91 1.753-.425 3.506-.841 5.136-1.573a220.806 220.806 0 0 0 6.829-3.271c1.227-.62 2.192-1.492 3.24-2.3.182-.147.328-.333.428-.544.14-.276.199-.455-.056-.7a.539.539 0 0 0-.709-.13c-2.619.998-5.392 1.258-8.144 1.422-2.142.126-4.309.102-6.468.091-3.026 0-5.96-.623-8.87-1.176-1.929-.35-3.857-.729-5.764-1.258-2.23-.623-4.54-.952-6.7-1.845a37.219 37.219 0 0 1-6.514-3.411 19.765 19.765 0 0 1-2.703-2.248c-1.052-1.026-2.998-4.949-3.376-5.565-.45-.728-.86-1.485-1.36-2.178-1.053-1.436-1.918-3.005-3.444-4.048-1.234-.84-7.755-4.423-10.002-4.77-2.104-.33-4.207-.805-6.339-1.023-2.689-.273-5.353-.546-8.063-.15-.197.028-.509-.459-.298-.634 1.17-.974 2.384-1.898 3.506-2.924a14.892 14.892 0 0 0 2.619-2.82c.466-.72.263-1.085-.59-1.081-1.191.017-2.378.15-3.544.395l-4.035.799c.147-.249.182-.4.277-.455 1.465-.883 2.881-1.867 4.42-2.588 1.48-.7 2.847-1.597 4.362-2.224 2.38-.984 3.895-3.047 5.736-4.7a1.38 1.38 0 0 0 .35-1.565c-.189-.476-4.505-.158-5.98-.203-1.997 0-3.99.159-5.96.476-1.337.175-2.672.08-3.998.207-2.654.248-5.315.35-7.976.378-.466 0-.785 0-.54-.659a3.462 3.462 0 0 0-.315-3.204c-.68-1.068-2.542-2.048-3.674-.662a5.315 5.315 0 0 0-1.21 4.395c.102.652-.049.96-.743.942-.926-.024-3.681.287-3.822-.185-.308-1.05-.967-1.87-1.595-2.707-1.37-1.835-2.805-1.793-4.08.024-1.46 2.08-.751 4.637.588 5.975 1.052 1.05 1.034 1.05-.08 2.178a1.55 1.55 0 0 0-.197.35 33.878 33.878 0 0 0-2.163 4.283c-.918 2.353-1.89 4.682-2.587 7.112-.782 2.714-.905 5.537-1.164 8.318-.35 3.687.214 7.354 1.052 10.957.427 1.88 1.29 3.562 2.061 5.292.6 1.34 1.07 2.738 1.672 4.076a16.711 16.711 0 0 1 .824 11.927c-1.09 3.681-2.268 7.355-4.88 10.338a.773.773 0 0 0 .032 1.09c.308.297.645.16.981-.092a2.922 2.922 0 0 1 1.613-.728c0 .213 0 .413.046.606.164.938.54 1.152 1.402.763.56-.255.55.077.638.484.2.913.947 1.19 1.574.588 1.869-1.79 3.881-3.436 5.203-5.722ZM48.81 64.906c-.859 1.198-1.073 2.686-1.84 3.919-.102.168-.2.476-.31.48-.935.028-1.563.54-2.194 1.159-.26.255-.35-.245-.403-.427-.105-.403-.19-.74-.778-.42-.425.188-.467-.26-.62-.512-.155-.252.136-.637-.38-.676a.832.832 0 0 0-.81.487c-.154.27-.297.637-.578.62-.41-.028-.396-.564-.417-.802-.123-1.376-.109-2.767-.631-4.09-.116-.294.27-.403.512-.508.447-.17.928-.228 1.402-.172a4.05 4.05 0 0 0 1.848-.23c1.1-.428 2.212.087 3.313.213.487.056.94.315 1.455.255.606-.07.634.42.431.704Zm54.644-6.58c.245-.844.75-1.66.399-2.577-.144-.372.049-.33.27-.445.793-.4 6.518-.651 7.391-.497-1.655 1.141-6.637 3.785-7.685 4.013-.197.042-.351.175-.523-.021-.228-.252.102-.315.148-.473Zm-6.087-3.246c1.827-.207 3.594.585 5.413.245.333-.063.351.168.376.43.203 1.689-1.175 3.562-2.875 4.028-1.582.434-3.187.7-4.723 1.05-.4-.182-.634-.787-.42-1.05.918-1.096 1.496-2.325 1.342-3.793-.077-.714.186-.826.887-.91Zm-22.915-5.575c.18-.112.351.042.558.119 1.276.514 2.563 1.001 3.856 1.502 1.147.448 1.904 2.385 1.441 3.894-.522 1.71-1.462 3.219-2.454 4.693-.07.102-1.118.476-.866.868.309.47.701 0 1-.192 1.258-.83 1.752-2.231 2.454-3.457.778-1.34 1.181-2.77.757-4.339-.15-.546.249-.553.582-.493a27.91 27.91 0 0 1 4.368 1.022c.701.245 1.052 1.377.93 2.452a6.02 6.02 0 0 1-2.627 4.433c-.15.105-.392.29-.178.466a.649.649 0 0 0 .746-.046 5.983 5.983 0 0 0 2.76-3.34c.273-.81.578-1.654.259-2.582-.186-.546-.018-.802.778-.745 1.886.136 3.636.97 5.54.96.813 0 1.118.619 1.097 1.267a6.258 6.258 0 0 1-1.634 4.048c-1.1 1.285-2.36 1.226-3.723 1.338-4.333.35-8.674.35-13.014.434-1.935 0-3.862-.251-5.732-.75 2.566-2.696 3.439-5.81 3.369-9.276-.01-.57-.59-2.07-.274-2.266l.007-.01ZM70 46.353c.83.592 1.655 1.19 2.524 1.72.146.076.262.2.33.35.7 2.321 1.153 4.657.645 7.105-.274 1.317-1.052 2.388-1.536 3.6-1.609 3.117-3.362.75-3.299.256.234-1.64.38-3.292.438-4.949a39.999 39.999 0 0 0-.119-3.94 38.964 38.964 0 0 0-.838-5.36c.964.1 1.297.84 1.848 1.225l.007-.007Zm-63.458.91c-.82-2.118-.957-4.422-1.262-6.678a16.346 16.346 0 0 1-.119-4.388c.498-3.607.48-7.277 1.84-10.782.853-2.196 1.701-4.395 2.648-6.552a16.413 16.413 0 0 1 2.398-3.61c.428-.533 1.076-.246 1.616-.243.848 0 1.508-.189 2.044-.928.19-.259.35-.465.298-.746-.252-1.166.505-1.425 1.381-1.561.877-.137 1.851-.252 2.78-.375.032 0 .081-.035.095-.021 1.22 1.313 2.233-.298 3.376-.35 2.01-.098 4.046-.294 6.07-.445 3.947-.294 7.919-.186 11.832-.991a8.7 8.7 0 0 1 3.506.028c.617.133 1.114.949 1.591 1.52.14.164-.224.35-.375.536-1.402 1.586-3.292 2.518-5.133 3.47-2.342 1.212-4.659 2.451-6.913 3.828-1.133.7-2.395 1.194-3.587 1.814-.326.168-.806.175-.659.668a.844.844 0 0 0 1.052.56c1.805-.521 3.681-.654 5.508-1.078 1.22-.283 2.485-.627 3.793-.543.21 0 .386-.035.473.165.088.2-.084.298-.206.413-2.42 2.22-4.965 4.3-7.244 6.654a43.56 43.56 0 0 0-3.085 3.526c-.297.34-.653.62-1.052.83-.424.277-.732.7-.33 1.167.404.465.68 0 .986-.242 1.164-.942 1.967-2.203 2.93-3.32a3.78 3.78 0 0 1 2.262-1.4c1.15-.155 2.177-.778 3.37-.73 1.549.06 3.11-.059 4.648.074 1.806.154 3.594.494 5.389.76 2.7.407 5.332.865 7.667 2.553 1.357.984 3.005 1.587 4.432 2.536 1.784 1.183 2.654 3.092 3.856 4.741 1.564 2.175 2.104 4.78 2.707 7.305.452 1.728.719 3.498.796 5.281.038 1.328.15 2.662.15 3.996 0 2.452-.536 4.843-1.072 7.228a16.98 16.98 0 0 1-1.62 4.427c-.155.3-.194.646-.109.973.246 1.145-.35 2.101-.725 3.064-.095.242-.351.62-.793.305a.393.393 0 0 0-.547.077c-.47.606-.9.567-1.374 0-.224-.277-.407-.017-.582.126-.175.144-.326.22-.435-.087-.4-1.11-.834-.512-1.199 0a1.56 1.56 0 0 1-.813.686c-1.126-3.204-2.104-6.412-3.92-9.256a12.996 12.996 0 0 0-2.401-2.801 11.633 11.633 0 0 1-3.377-4.903c-.55-1.537-1.321-3.033-1.251-4.742 0-.262-.109-.507-.35-.51a.638.638 0 0 0-.61.563c-.091.463-.091.938 0 1.4.82 3.152 1.941 6.14 4.206 8.563.59.63 1.312 1.135 1.918 1.75.463.47.631.841-.326 1.052-1.316.245-2.663.279-3.99.101a28.254 28.254 0 0 0-6.083 0c-.992.098-2.001-.182-3.043.032-1.865.381-3.765.168-5.651.108-.649-.02-1.206.466-1.907.35a8.03 8.03 0 0 1-1.245-.27.846.846 0 0 1-.673-.99c.042-1.149.158-2.333-.701-3.313-.484.192-.565.599-.502 1.05.177 1.683.19 3.379.039 5.064-.116 2.02-.267 4.035-.491 6.02-.35.137-.35-.15-.442-.301-.35-.648-.746-.543-1.157-.088-.175.197-.263.484-.462.634-.32.242-.702.767-.958-.14-.2-.683-.645-.83-1.202-.182-.435.511-.93 1.128-1.487 0-.238-.48-.659-.33-.915.14-.154.287-.322.68-.7.543-.295-.102-.418-.43-.52-.788-.634-2.255-.876-4.668-2.401-6.594-1.017-1.285-2.08-2.532-3.128-3.79a.677.677 0 0 0-.35-.192c-1.5-.378-2.104-1.688-3.005-2.742-2.51-2.935-3.818-6.486-5.175-10.002v-.007Zm6.95 21.436c-.334-1.09-.583-1.107-1.512-.375-.214.168-.431.43-.701.256-.27-.175.066-.504.021-.7-.403-1.87.6-3.692.095-5.604-.274-1.03.09-2.167-.137-3.274.557 1.012 3.878 3.173 4.133 3.477 1.098 1.317 2.304 2.546 2.973 4.178.418 1.023.218 2.658-.547 3.446-.108.112-.206.294-.4.207a.41.41 0 0 1-.216-.417 4.785 4.785 0 0 0 0-.606c-.074-.784-.558-1.019-1.193-.578a5.78 5.78 0 0 1-.88.634c-.732.343-1.325.382-1.637-.64v-.004ZM45.638 5.865c.278-.39.622-.586.815-1.032.603-1.39 1.172-2.822 2.345-3.858.266-.235.382-.493.122-.786-.26-.292-.512-.217-.779.033-1.386 1.31-2.085 3.071-2.994 4.693-.306.51.214.59.491.95ZM47.677 5.38c.358.412.733 0 .97-.194a15.437 15.437 0 0 1 2.524-1.719c.171-.093.41-.122.357-.568-.264-.587-.797-.497-1.28-.178a27.16 27.16 0 0 0-2.195 1.656c-.304.234-.776.523-.376 1.002Z"
  })), _path8 || (_path8 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#000",
    d: "M89.447 63.281c-.595.106-1.454.135-1.487 1.087-.026.77.576.815 1.093.733.666.045 1.365.049 1.376-.847a1.072 1.072 0 0 0-.081-.393.993.993 0 0 0-.218-.326.893.893 0 0 0-.317-.204.835.835 0 0 0-.366-.05ZM50.682 5.128c.164.22.341.085.502 0 .607-.314 1.235-.59 1.88-.826.26-.078.762-.173.602-.573-.09-.223-.506-.364-.869-.328a4.085 4.085 0 0 0-1.992 1.22c-.137.166-.288.294-.123.507ZM95.063 50.004c.239-.328.527-.607.85-.823.189-.093.45-.246.364-.63-.086-.383-.367-.412-.66-.394-.311 0-.615.106-.87.306a1.71 1.71 0 0 0-.562.811.897.897 0 0 0-.026.518.809.809 0 0 0 .26.428c.222.238.452-.03.644-.216ZM100.228 52.155c.643 0 1.004-.271 1.004-.943 0-.45-.221-.607-.615-.588-.586.023-1.178.183-1.235.89-.034.45.462.71.846.64ZM102.769 62.819c-.124-.582-.837-.59-1.369-.776-.1.512-.849-.209-.781.338.068.546.353 1.228 1.201 1.205.529-.011 1.017-.52.949-.767ZM88.625 50.005c.222.002.437-.1.6-.286.164-.185.263-.439.278-.71-.1-.174-.104-.696-.396-.506-.382.249-1.043-.1-1.146.632a.98.98 0 0 0 .037.328c.03.105.078.201.14.283a.687.687 0 0 0 .221.191.568.568 0 0 0 .266.068ZM84.294 48.14c.086.068.362-.13.239-.394-.225-.48-.046-1.189-.54-1.445-.604.05-.664.361-.664.798-.01.715.597.759.965 1.04ZM108.289 62.288c-.246-.6-.81-.58-1.501-.531.337.534.199 1.262 1.031 1.21a.577.577 0 0 0 .246-.066.512.512 0 0 0 .184-.161.448.448 0 0 0 .04-.452ZM105.921 51.548c.525 0 .922-.028.861-.431-.046-.315-.325-.498-.789-.494-.465.003-.768.214-.747.513.029.35.479.406.675.412ZM84.111 65.747c.374-.017.377-.425.453-.675 0-.314-.02-.615-.358-.55-.259.047-.587.158-.567.53.02.317.095.712.472.695ZM25.33 14.766a5.302 5.302 0 0 1 2.05-.24.571.571 0 0 0 .409-.049.54.54 0 0 0 .26-.308c.085-.296-.033-.5-.291-.76-.71-.714-1.57-.714-2.556-.714-.37.143-1.046-.318-1.315.264a1.093 1.093 0 0 0 .144 1.246c.347.343.635.757 1.3.56ZM62.059 39.471c.092.172.28.416.557.33a.534.534 0 0 0 .282-.242.476.476 0 0 0 .041-.355c0-.93-1.42-2.567-2.375-2.755a.55.55 0 0 0-.346.005.507.507 0 0 0-.264.21.404.404 0 0 0-.077.314c.01.055.032.107.064.154a.435.435 0 0 0 .123.118 6.834 6.834 0 0 1 1.995 2.221ZM54.802 32.46c1.057.42 1.93 1.097 2.872 1.684.409.257.645.086.653-.413-.001-.087-.012-.175-.034-.26-.173-.502-2.513-1.995-3.098-1.98-.198 0-.472-.061-.51.22-.037.282-.168.638.117.748ZM39.1 30.717c.224-.154.566-.083 1.058-.134.305-.182.72.335 1.211.28.288-.031.505-.122.577-.47a.532.532 0 0 0-.013-.335.434.434 0 0 0-.204-.237 8.64 8.64 0 0 0-2.9-.497.542.542 0 0 0-.28.101.66.66 0 0 0-.204.243.795.795 0 0 0-.022.659c.136.398.299.722.777.39ZM48.732 30.803c.829 0 1.261.754 1.996.936.333.08.576.11.719-.192a.545.545 0 0 0-.15-.75c-.622-.397-1.24-.813-2.089-.856-.186.166-.612-.227-.742.238-.08.247.137.624.266.624ZM51.385 35.65c.474.617 1.05 1.14 1.522 1.775.191.26.62.395.77-.098.205-.675-1.284-2.47-1.782-2.447-.839.017-.732.483-.51.77ZM42.846 33.685c1.041.298 2.044.699 2.992 1.195a1.003 1.003 0 0 0 .026-.98c-.191-.336-2.414-1.223-2.864-1.18-.235.024-.429.068-.396.337.033.268-.165.497.242.628ZM62.09 42.848a.428.428 0 0 0-.203-.217.344.344 0 0 0-.275-.01c-.273.072-.14.345-.199.584.062 1.024.976 1.471 1.285 2.347.036.131.108.245.204.324.096.08.212.12.33.116.29-.045.227-.455.309-.713.107-.349-.065-.584-.24-.823-.398-.542-.941-.929-1.211-1.608ZM46.667 32.41c.172-.037.427-.071.497-.318a.746.746 0 0 0 .034-.427.704.704 0 0 0-.206-.366c-.43-.38-.874-.76-1.27-1.18-.245-.259-.413-.194-.7-.061-.35.174-.294.493-.227.72.297.942 1.029 1.337 1.872 1.633ZM56.083 36.423c-.4.048-.708.364-.425.75a12.149 12.149 0 0 0 1.618 1.883c.166.164.672.313.74-.284.067-.596-1.335-2.312-1.933-2.349ZM37.728 35.866c.441.02.878.099 1.302.236.542.023.865.057 1.021-.305a.41.41 0 0 0 .054-.313.404.404 0 0 0-.063-.146.359.359 0 0 0-.112-.105 2.595 2.595 0 0 0-1.893-.655c-.18.013-.35.099-.478.24a.873.873 0 0 0-.217.531.49.49 0 0 0 .087.357c.036.049.082.088.133.116a.367.367 0 0 0 .166.044ZM35.618 31.325c.41-.232.726-.372.232-.72-.688-.485-1.494-.39-2.28-.203-.787.186-.525.707-.464 1.391.787-.883 1.722-.016 2.512-.468ZM30.728 34.547c.465-.27 1.005-.273 1.513-.395a.683.683 0 0 0 .329-.197.521.521 0 0 0 .137-.322c0-.125-.026-.246-.187-.261-.715-.064-1.43-.076-2.021.282a.53.53 0 0 0-.248.32.46.46 0 0 0 .072.379c.093.124.258.28.405.194ZM65.895 46.297c.285.04.44-.206.457-.571-.225-.485-.33-1.153-.993-1.262a.404.404 0 0 0-.237.005.437.437 0 0 0-.2.139.521.521 0 0 0-.086.49c.13.613.437 1.12 1.06 1.199Z"
  })), _path9 || (_path9 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    fill: "#fff",
    d: "m53 18 3-6.5v-1h12v1L53 18Z"
  })), _path10 || (_path10 = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement("path", {
    stroke: "#BFBFBF",
    strokeLinecap: "round",
    d: "M56 11.5 53 18l15-6.5"
  })));
};
var ForwardRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(SvgHeidiSpeaking);
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ForwardRef);

/***/ }),

/***/ "./node_modules/axios/index.js":
/*!*************************************!*\
  !*** ./node_modules/axios/index.js ***!
  \*************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

module.exports = __webpack_require__(/*! ./lib/axios */ "./node_modules/axios/lib/axios.js");

/***/ }),

/***/ "./node_modules/axios/lib/adapters/xhr.js":
/*!************************************************!*\
  !*** ./node_modules/axios/lib/adapters/xhr.js ***!
  \************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");
var settle = __webpack_require__(/*! ./../core/settle */ "./node_modules/axios/lib/core/settle.js");
var cookies = __webpack_require__(/*! ./../helpers/cookies */ "./node_modules/axios/lib/helpers/cookies.js");
var buildURL = __webpack_require__(/*! ./../helpers/buildURL */ "./node_modules/axios/lib/helpers/buildURL.js");
var buildFullPath = __webpack_require__(/*! ../core/buildFullPath */ "./node_modules/axios/lib/core/buildFullPath.js");
var parseHeaders = __webpack_require__(/*! ./../helpers/parseHeaders */ "./node_modules/axios/lib/helpers/parseHeaders.js");
var isURLSameOrigin = __webpack_require__(/*! ./../helpers/isURLSameOrigin */ "./node_modules/axios/lib/helpers/isURLSameOrigin.js");
var transitionalDefaults = __webpack_require__(/*! ../defaults/transitional */ "./node_modules/axios/lib/defaults/transitional.js");
var AxiosError = __webpack_require__(/*! ../core/AxiosError */ "./node_modules/axios/lib/core/AxiosError.js");
var CanceledError = __webpack_require__(/*! ../cancel/CanceledError */ "./node_modules/axios/lib/cancel/CanceledError.js");
var parseProtocol = __webpack_require__(/*! ../helpers/parseProtocol */ "./node_modules/axios/lib/helpers/parseProtocol.js");

module.exports = function xhrAdapter(config) {
  return new Promise(function dispatchXhrRequest(resolve, reject) {
    var requestData = config.data;
    var requestHeaders = config.headers;
    var responseType = config.responseType;
    var onCanceled;
    function done() {
      if (config.cancelToken) {
        config.cancelToken.unsubscribe(onCanceled);
      }

      if (config.signal) {
        config.signal.removeEventListener('abort', onCanceled);
      }
    }

    if (utils.isFormData(requestData) && utils.isStandardBrowserEnv()) {
      delete requestHeaders['Content-Type']; // Let the browser set it
    }

    var request = new XMLHttpRequest();

    // HTTP basic authentication
    if (config.auth) {
      var username = config.auth.username || '';
      var password = config.auth.password ? unescape(encodeURIComponent(config.auth.password)) : '';
      requestHeaders.Authorization = 'Basic ' + btoa(username + ':' + password);
    }

    var fullPath = buildFullPath(config.baseURL, config.url);

    request.open(config.method.toUpperCase(), buildURL(fullPath, config.params, config.paramsSerializer), true);

    // Set the request timeout in MS
    request.timeout = config.timeout;

    function onloadend() {
      if (!request) {
        return;
      }
      // Prepare the response
      var responseHeaders = 'getAllResponseHeaders' in request ? parseHeaders(request.getAllResponseHeaders()) : null;
      var responseData = !responseType || responseType === 'text' ||  responseType === 'json' ?
        request.responseText : request.response;
      var response = {
        data: responseData,
        status: request.status,
        statusText: request.statusText,
        headers: responseHeaders,
        config: config,
        request: request
      };

      settle(function _resolve(value) {
        resolve(value);
        done();
      }, function _reject(err) {
        reject(err);
        done();
      }, response);

      // Clean up request
      request = null;
    }

    if ('onloadend' in request) {
      // Use onloadend if available
      request.onloadend = onloadend;
    } else {
      // Listen for ready state to emulate onloadend
      request.onreadystatechange = function handleLoad() {
        if (!request || request.readyState !== 4) {
          return;
        }

        // The request errored out and we didn't get a response, this will be
        // handled by onerror instead
        // With one exception: request that using file: protocol, most browsers
        // will return status as 0 even though it's a successful request
        if (request.status === 0 && !(request.responseURL && request.responseURL.indexOf('file:') === 0)) {
          return;
        }
        // readystate handler is calling before onerror or ontimeout handlers,
        // so we should call onloadend on the next 'tick'
        setTimeout(onloadend);
      };
    }

    // Handle browser request cancellation (as opposed to a manual cancellation)
    request.onabort = function handleAbort() {
      if (!request) {
        return;
      }

      reject(new AxiosError('Request aborted', AxiosError.ECONNABORTED, config, request));

      // Clean up request
      request = null;
    };

    // Handle low level network errors
    request.onerror = function handleError() {
      // Real errors are hidden from us by the browser
      // onerror should only fire if it's a network error
      reject(new AxiosError('Network Error', AxiosError.ERR_NETWORK, config, request, request));

      // Clean up request
      request = null;
    };

    // Handle timeout
    request.ontimeout = function handleTimeout() {
      var timeoutErrorMessage = config.timeout ? 'timeout of ' + config.timeout + 'ms exceeded' : 'timeout exceeded';
      var transitional = config.transitional || transitionalDefaults;
      if (config.timeoutErrorMessage) {
        timeoutErrorMessage = config.timeoutErrorMessage;
      }
      reject(new AxiosError(
        timeoutErrorMessage,
        transitional.clarifyTimeoutError ? AxiosError.ETIMEDOUT : AxiosError.ECONNABORTED,
        config,
        request));

      // Clean up request
      request = null;
    };

    // Add xsrf header
    // This is only done if running in a standard browser environment.
    // Specifically not if we're in a web worker, or react-native.
    if (utils.isStandardBrowserEnv()) {
      // Add xsrf header
      var xsrfValue = (config.withCredentials || isURLSameOrigin(fullPath)) && config.xsrfCookieName ?
        cookies.read(config.xsrfCookieName) :
        undefined;

      if (xsrfValue) {
        requestHeaders[config.xsrfHeaderName] = xsrfValue;
      }
    }

    // Add headers to the request
    if ('setRequestHeader' in request) {
      utils.forEach(requestHeaders, function setRequestHeader(val, key) {
        if (typeof requestData === 'undefined' && key.toLowerCase() === 'content-type') {
          // Remove Content-Type if data is undefined
          delete requestHeaders[key];
        } else {
          // Otherwise add header to the request
          request.setRequestHeader(key, val);
        }
      });
    }

    // Add withCredentials to request if needed
    if (!utils.isUndefined(config.withCredentials)) {
      request.withCredentials = !!config.withCredentials;
    }

    // Add responseType to request if needed
    if (responseType && responseType !== 'json') {
      request.responseType = config.responseType;
    }

    // Handle progress if needed
    if (typeof config.onDownloadProgress === 'function') {
      request.addEventListener('progress', config.onDownloadProgress);
    }

    // Not all browsers support upload events
    if (typeof config.onUploadProgress === 'function' && request.upload) {
      request.upload.addEventListener('progress', config.onUploadProgress);
    }

    if (config.cancelToken || config.signal) {
      // Handle cancellation
      // eslint-disable-next-line func-names
      onCanceled = function(cancel) {
        if (!request) {
          return;
        }
        reject(!cancel || (cancel && cancel.type) ? new CanceledError() : cancel);
        request.abort();
        request = null;
      };

      config.cancelToken && config.cancelToken.subscribe(onCanceled);
      if (config.signal) {
        config.signal.aborted ? onCanceled() : config.signal.addEventListener('abort', onCanceled);
      }
    }

    if (!requestData) {
      requestData = null;
    }

    var protocol = parseProtocol(fullPath);

    if (protocol && [ 'http', 'https', 'file' ].indexOf(protocol) === -1) {
      reject(new AxiosError('Unsupported protocol ' + protocol + ':', AxiosError.ERR_BAD_REQUEST, config));
      return;
    }


    // Send the request
    request.send(requestData);
  });
};


/***/ }),

/***/ "./node_modules/axios/lib/axios.js":
/*!*****************************************!*\
  !*** ./node_modules/axios/lib/axios.js ***!
  \*****************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ./utils */ "./node_modules/axios/lib/utils.js");
var bind = __webpack_require__(/*! ./helpers/bind */ "./node_modules/axios/lib/helpers/bind.js");
var Axios = __webpack_require__(/*! ./core/Axios */ "./node_modules/axios/lib/core/Axios.js");
var mergeConfig = __webpack_require__(/*! ./core/mergeConfig */ "./node_modules/axios/lib/core/mergeConfig.js");
var defaults = __webpack_require__(/*! ./defaults */ "./node_modules/axios/lib/defaults/index.js");

/**
 * Create an instance of Axios
 *
 * @param {Object} defaultConfig The default config for the instance
 * @return {Axios} A new instance of Axios
 */
function createInstance(defaultConfig) {
  var context = new Axios(defaultConfig);
  var instance = bind(Axios.prototype.request, context);

  // Copy axios.prototype to instance
  utils.extend(instance, Axios.prototype, context);

  // Copy context to instance
  utils.extend(instance, context);

  // Factory for creating new instances
  instance.create = function create(instanceConfig) {
    return createInstance(mergeConfig(defaultConfig, instanceConfig));
  };

  return instance;
}

// Create the default instance to be exported
var axios = createInstance(defaults);

// Expose Axios class to allow class inheritance
axios.Axios = Axios;

// Expose Cancel & CancelToken
axios.CanceledError = __webpack_require__(/*! ./cancel/CanceledError */ "./node_modules/axios/lib/cancel/CanceledError.js");
axios.CancelToken = __webpack_require__(/*! ./cancel/CancelToken */ "./node_modules/axios/lib/cancel/CancelToken.js");
axios.isCancel = __webpack_require__(/*! ./cancel/isCancel */ "./node_modules/axios/lib/cancel/isCancel.js");
axios.VERSION = (__webpack_require__(/*! ./env/data */ "./node_modules/axios/lib/env/data.js").version);
axios.toFormData = __webpack_require__(/*! ./helpers/toFormData */ "./node_modules/axios/lib/helpers/toFormData.js");

// Expose AxiosError class
axios.AxiosError = __webpack_require__(/*! ../lib/core/AxiosError */ "./node_modules/axios/lib/core/AxiosError.js");

// alias for CanceledError for backward compatibility
axios.Cancel = axios.CanceledError;

// Expose all/spread
axios.all = function all(promises) {
  return Promise.all(promises);
};
axios.spread = __webpack_require__(/*! ./helpers/spread */ "./node_modules/axios/lib/helpers/spread.js");

// Expose isAxiosError
axios.isAxiosError = __webpack_require__(/*! ./helpers/isAxiosError */ "./node_modules/axios/lib/helpers/isAxiosError.js");

module.exports = axios;

// Allow use of default import syntax in TypeScript
module.exports["default"] = axios;


/***/ }),

/***/ "./node_modules/axios/lib/cancel/CancelToken.js":
/*!******************************************************!*\
  !*** ./node_modules/axios/lib/cancel/CancelToken.js ***!
  \******************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var CanceledError = __webpack_require__(/*! ./CanceledError */ "./node_modules/axios/lib/cancel/CanceledError.js");

/**
 * A `CancelToken` is an object that can be used to request cancellation of an operation.
 *
 * @class
 * @param {Function} executor The executor function.
 */
function CancelToken(executor) {
  if (typeof executor !== 'function') {
    throw new TypeError('executor must be a function.');
  }

  var resolvePromise;

  this.promise = new Promise(function promiseExecutor(resolve) {
    resolvePromise = resolve;
  });

  var token = this;

  // eslint-disable-next-line func-names
  this.promise.then(function(cancel) {
    if (!token._listeners) return;

    var i;
    var l = token._listeners.length;

    for (i = 0; i < l; i++) {
      token._listeners[i](cancel);
    }
    token._listeners = null;
  });

  // eslint-disable-next-line func-names
  this.promise.then = function(onfulfilled) {
    var _resolve;
    // eslint-disable-next-line func-names
    var promise = new Promise(function(resolve) {
      token.subscribe(resolve);
      _resolve = resolve;
    }).then(onfulfilled);

    promise.cancel = function reject() {
      token.unsubscribe(_resolve);
    };

    return promise;
  };

  executor(function cancel(message) {
    if (token.reason) {
      // Cancellation has already been requested
      return;
    }

    token.reason = new CanceledError(message);
    resolvePromise(token.reason);
  });
}

/**
 * Throws a `CanceledError` if cancellation has been requested.
 */
CancelToken.prototype.throwIfRequested = function throwIfRequested() {
  if (this.reason) {
    throw this.reason;
  }
};

/**
 * Subscribe to the cancel signal
 */

CancelToken.prototype.subscribe = function subscribe(listener) {
  if (this.reason) {
    listener(this.reason);
    return;
  }

  if (this._listeners) {
    this._listeners.push(listener);
  } else {
    this._listeners = [listener];
  }
};

/**
 * Unsubscribe from the cancel signal
 */

CancelToken.prototype.unsubscribe = function unsubscribe(listener) {
  if (!this._listeners) {
    return;
  }
  var index = this._listeners.indexOf(listener);
  if (index !== -1) {
    this._listeners.splice(index, 1);
  }
};

/**
 * Returns an object that contains a new `CancelToken` and a function that, when called,
 * cancels the `CancelToken`.
 */
CancelToken.source = function source() {
  var cancel;
  var token = new CancelToken(function executor(c) {
    cancel = c;
  });
  return {
    token: token,
    cancel: cancel
  };
};

module.exports = CancelToken;


/***/ }),

/***/ "./node_modules/axios/lib/cancel/CanceledError.js":
/*!********************************************************!*\
  !*** ./node_modules/axios/lib/cancel/CanceledError.js ***!
  \********************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var AxiosError = __webpack_require__(/*! ../core/AxiosError */ "./node_modules/axios/lib/core/AxiosError.js");
var utils = __webpack_require__(/*! ../utils */ "./node_modules/axios/lib/utils.js");

/**
 * A `CanceledError` is an object that is thrown when an operation is canceled.
 *
 * @class
 * @param {string=} message The message.
 */
function CanceledError(message) {
  // eslint-disable-next-line no-eq-null,eqeqeq
  AxiosError.call(this, message == null ? 'canceled' : message, AxiosError.ERR_CANCELED);
  this.name = 'CanceledError';
}

utils.inherits(CanceledError, AxiosError, {
  __CANCEL__: true
});

module.exports = CanceledError;


/***/ }),

/***/ "./node_modules/axios/lib/cancel/isCancel.js":
/*!***************************************************!*\
  !*** ./node_modules/axios/lib/cancel/isCancel.js ***!
  \***************************************************/
/***/ ((module) => {

"use strict";


module.exports = function isCancel(value) {
  return !!(value && value.__CANCEL__);
};


/***/ }),

/***/ "./node_modules/axios/lib/core/Axios.js":
/*!**********************************************!*\
  !*** ./node_modules/axios/lib/core/Axios.js ***!
  \**********************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");
var buildURL = __webpack_require__(/*! ../helpers/buildURL */ "./node_modules/axios/lib/helpers/buildURL.js");
var InterceptorManager = __webpack_require__(/*! ./InterceptorManager */ "./node_modules/axios/lib/core/InterceptorManager.js");
var dispatchRequest = __webpack_require__(/*! ./dispatchRequest */ "./node_modules/axios/lib/core/dispatchRequest.js");
var mergeConfig = __webpack_require__(/*! ./mergeConfig */ "./node_modules/axios/lib/core/mergeConfig.js");
var buildFullPath = __webpack_require__(/*! ./buildFullPath */ "./node_modules/axios/lib/core/buildFullPath.js");
var validator = __webpack_require__(/*! ../helpers/validator */ "./node_modules/axios/lib/helpers/validator.js");

var validators = validator.validators;
/**
 * Create a new instance of Axios
 *
 * @param {Object} instanceConfig The default config for the instance
 */
function Axios(instanceConfig) {
  this.defaults = instanceConfig;
  this.interceptors = {
    request: new InterceptorManager(),
    response: new InterceptorManager()
  };
}

/**
 * Dispatch a request
 *
 * @param {Object} config The config specific for this request (merged with this.defaults)
 */
Axios.prototype.request = function request(configOrUrl, config) {
  /*eslint no-param-reassign:0*/
  // Allow for axios('example/url'[, config]) a la fetch API
  if (typeof configOrUrl === 'string') {
    config = config || {};
    config.url = configOrUrl;
  } else {
    config = configOrUrl || {};
  }

  config = mergeConfig(this.defaults, config);

  // Set config.method
  if (config.method) {
    config.method = config.method.toLowerCase();
  } else if (this.defaults.method) {
    config.method = this.defaults.method.toLowerCase();
  } else {
    config.method = 'get';
  }

  var transitional = config.transitional;

  if (transitional !== undefined) {
    validator.assertOptions(transitional, {
      silentJSONParsing: validators.transitional(validators.boolean),
      forcedJSONParsing: validators.transitional(validators.boolean),
      clarifyTimeoutError: validators.transitional(validators.boolean)
    }, false);
  }

  // filter out skipped interceptors
  var requestInterceptorChain = [];
  var synchronousRequestInterceptors = true;
  this.interceptors.request.forEach(function unshiftRequestInterceptors(interceptor) {
    if (typeof interceptor.runWhen === 'function' && interceptor.runWhen(config) === false) {
      return;
    }

    synchronousRequestInterceptors = synchronousRequestInterceptors && interceptor.synchronous;

    requestInterceptorChain.unshift(interceptor.fulfilled, interceptor.rejected);
  });

  var responseInterceptorChain = [];
  this.interceptors.response.forEach(function pushResponseInterceptors(interceptor) {
    responseInterceptorChain.push(interceptor.fulfilled, interceptor.rejected);
  });

  var promise;

  if (!synchronousRequestInterceptors) {
    var chain = [dispatchRequest, undefined];

    Array.prototype.unshift.apply(chain, requestInterceptorChain);
    chain = chain.concat(responseInterceptorChain);

    promise = Promise.resolve(config);
    while (chain.length) {
      promise = promise.then(chain.shift(), chain.shift());
    }

    return promise;
  }


  var newConfig = config;
  while (requestInterceptorChain.length) {
    var onFulfilled = requestInterceptorChain.shift();
    var onRejected = requestInterceptorChain.shift();
    try {
      newConfig = onFulfilled(newConfig);
    } catch (error) {
      onRejected(error);
      break;
    }
  }

  try {
    promise = dispatchRequest(newConfig);
  } catch (error) {
    return Promise.reject(error);
  }

  while (responseInterceptorChain.length) {
    promise = promise.then(responseInterceptorChain.shift(), responseInterceptorChain.shift());
  }

  return promise;
};

Axios.prototype.getUri = function getUri(config) {
  config = mergeConfig(this.defaults, config);
  var fullPath = buildFullPath(config.baseURL, config.url);
  return buildURL(fullPath, config.params, config.paramsSerializer);
};

// Provide aliases for supported request methods
utils.forEach(['delete', 'get', 'head', 'options'], function forEachMethodNoData(method) {
  /*eslint func-names:0*/
  Axios.prototype[method] = function(url, config) {
    return this.request(mergeConfig(config || {}, {
      method: method,
      url: url,
      data: (config || {}).data
    }));
  };
});

utils.forEach(['post', 'put', 'patch'], function forEachMethodWithData(method) {
  /*eslint func-names:0*/

  function generateHTTPMethod(isForm) {
    return function httpMethod(url, data, config) {
      return this.request(mergeConfig(config || {}, {
        method: method,
        headers: isForm ? {
          'Content-Type': 'multipart/form-data'
        } : {},
        url: url,
        data: data
      }));
    };
  }

  Axios.prototype[method] = generateHTTPMethod();

  Axios.prototype[method + 'Form'] = generateHTTPMethod(true);
});

module.exports = Axios;


/***/ }),

/***/ "./node_modules/axios/lib/core/AxiosError.js":
/*!***************************************************!*\
  !*** ./node_modules/axios/lib/core/AxiosError.js ***!
  \***************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ../utils */ "./node_modules/axios/lib/utils.js");

/**
 * Create an Error with the specified message, config, error code, request and response.
 *
 * @param {string} message The error message.
 * @param {string} [code] The error code (for example, 'ECONNABORTED').
 * @param {Object} [config] The config.
 * @param {Object} [request] The request.
 * @param {Object} [response] The response.
 * @returns {Error} The created error.
 */
function AxiosError(message, code, config, request, response) {
  Error.call(this);
  this.message = message;
  this.name = 'AxiosError';
  code && (this.code = code);
  config && (this.config = config);
  request && (this.request = request);
  response && (this.response = response);
}

utils.inherits(AxiosError, Error, {
  toJSON: function toJSON() {
    return {
      // Standard
      message: this.message,
      name: this.name,
      // Microsoft
      description: this.description,
      number: this.number,
      // Mozilla
      fileName: this.fileName,
      lineNumber: this.lineNumber,
      columnNumber: this.columnNumber,
      stack: this.stack,
      // Axios
      config: this.config,
      code: this.code,
      status: this.response && this.response.status ? this.response.status : null
    };
  }
});

var prototype = AxiosError.prototype;
var descriptors = {};

[
  'ERR_BAD_OPTION_VALUE',
  'ERR_BAD_OPTION',
  'ECONNABORTED',
  'ETIMEDOUT',
  'ERR_NETWORK',
  'ERR_FR_TOO_MANY_REDIRECTS',
  'ERR_DEPRECATED',
  'ERR_BAD_RESPONSE',
  'ERR_BAD_REQUEST',
  'ERR_CANCELED'
// eslint-disable-next-line func-names
].forEach(function(code) {
  descriptors[code] = {value: code};
});

Object.defineProperties(AxiosError, descriptors);
Object.defineProperty(prototype, 'isAxiosError', {value: true});

// eslint-disable-next-line func-names
AxiosError.from = function(error, code, config, request, response, customProps) {
  var axiosError = Object.create(prototype);

  utils.toFlatObject(error, axiosError, function filter(obj) {
    return obj !== Error.prototype;
  });

  AxiosError.call(axiosError, error.message, code, config, request, response);

  axiosError.name = error.name;

  customProps && Object.assign(axiosError, customProps);

  return axiosError;
};

module.exports = AxiosError;


/***/ }),

/***/ "./node_modules/axios/lib/core/InterceptorManager.js":
/*!***********************************************************!*\
  !*** ./node_modules/axios/lib/core/InterceptorManager.js ***!
  \***********************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");

function InterceptorManager() {
  this.handlers = [];
}

/**
 * Add a new interceptor to the stack
 *
 * @param {Function} fulfilled The function to handle `then` for a `Promise`
 * @param {Function} rejected The function to handle `reject` for a `Promise`
 *
 * @return {Number} An ID used to remove interceptor later
 */
InterceptorManager.prototype.use = function use(fulfilled, rejected, options) {
  this.handlers.push({
    fulfilled: fulfilled,
    rejected: rejected,
    synchronous: options ? options.synchronous : false,
    runWhen: options ? options.runWhen : null
  });
  return this.handlers.length - 1;
};

/**
 * Remove an interceptor from the stack
 *
 * @param {Number} id The ID that was returned by `use`
 */
InterceptorManager.prototype.eject = function eject(id) {
  if (this.handlers[id]) {
    this.handlers[id] = null;
  }
};

/**
 * Iterate over all the registered interceptors
 *
 * This method is particularly useful for skipping over any
 * interceptors that may have become `null` calling `eject`.
 *
 * @param {Function} fn The function to call for each interceptor
 */
InterceptorManager.prototype.forEach = function forEach(fn) {
  utils.forEach(this.handlers, function forEachHandler(h) {
    if (h !== null) {
      fn(h);
    }
  });
};

module.exports = InterceptorManager;


/***/ }),

/***/ "./node_modules/axios/lib/core/buildFullPath.js":
/*!******************************************************!*\
  !*** ./node_modules/axios/lib/core/buildFullPath.js ***!
  \******************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var isAbsoluteURL = __webpack_require__(/*! ../helpers/isAbsoluteURL */ "./node_modules/axios/lib/helpers/isAbsoluteURL.js");
var combineURLs = __webpack_require__(/*! ../helpers/combineURLs */ "./node_modules/axios/lib/helpers/combineURLs.js");

/**
 * Creates a new URL by combining the baseURL with the requestedURL,
 * only when the requestedURL is not already an absolute URL.
 * If the requestURL is absolute, this function returns the requestedURL untouched.
 *
 * @param {string} baseURL The base URL
 * @param {string} requestedURL Absolute or relative URL to combine
 * @returns {string} The combined full path
 */
module.exports = function buildFullPath(baseURL, requestedURL) {
  if (baseURL && !isAbsoluteURL(requestedURL)) {
    return combineURLs(baseURL, requestedURL);
  }
  return requestedURL;
};


/***/ }),

/***/ "./node_modules/axios/lib/core/dispatchRequest.js":
/*!********************************************************!*\
  !*** ./node_modules/axios/lib/core/dispatchRequest.js ***!
  \********************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");
var transformData = __webpack_require__(/*! ./transformData */ "./node_modules/axios/lib/core/transformData.js");
var isCancel = __webpack_require__(/*! ../cancel/isCancel */ "./node_modules/axios/lib/cancel/isCancel.js");
var defaults = __webpack_require__(/*! ../defaults */ "./node_modules/axios/lib/defaults/index.js");
var CanceledError = __webpack_require__(/*! ../cancel/CanceledError */ "./node_modules/axios/lib/cancel/CanceledError.js");

/**
 * Throws a `CanceledError` if cancellation has been requested.
 */
function throwIfCancellationRequested(config) {
  if (config.cancelToken) {
    config.cancelToken.throwIfRequested();
  }

  if (config.signal && config.signal.aborted) {
    throw new CanceledError();
  }
}

/**
 * Dispatch a request to the server using the configured adapter.
 *
 * @param {object} config The config that is to be used for the request
 * @returns {Promise} The Promise to be fulfilled
 */
module.exports = function dispatchRequest(config) {
  throwIfCancellationRequested(config);

  // Ensure headers exist
  config.headers = config.headers || {};

  // Transform request data
  config.data = transformData.call(
    config,
    config.data,
    config.headers,
    config.transformRequest
  );

  // Flatten headers
  config.headers = utils.merge(
    config.headers.common || {},
    config.headers[config.method] || {},
    config.headers
  );

  utils.forEach(
    ['delete', 'get', 'head', 'post', 'put', 'patch', 'common'],
    function cleanHeaderConfig(method) {
      delete config.headers[method];
    }
  );

  var adapter = config.adapter || defaults.adapter;

  return adapter(config).then(function onAdapterResolution(response) {
    throwIfCancellationRequested(config);

    // Transform response data
    response.data = transformData.call(
      config,
      response.data,
      response.headers,
      config.transformResponse
    );

    return response;
  }, function onAdapterRejection(reason) {
    if (!isCancel(reason)) {
      throwIfCancellationRequested(config);

      // Transform response data
      if (reason && reason.response) {
        reason.response.data = transformData.call(
          config,
          reason.response.data,
          reason.response.headers,
          config.transformResponse
        );
      }
    }

    return Promise.reject(reason);
  });
};


/***/ }),

/***/ "./node_modules/axios/lib/core/mergeConfig.js":
/*!****************************************************!*\
  !*** ./node_modules/axios/lib/core/mergeConfig.js ***!
  \****************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ../utils */ "./node_modules/axios/lib/utils.js");

/**
 * Config-specific merge-function which creates a new config-object
 * by merging two configuration objects together.
 *
 * @param {Object} config1
 * @param {Object} config2
 * @returns {Object} New object resulting from merging config2 to config1
 */
module.exports = function mergeConfig(config1, config2) {
  // eslint-disable-next-line no-param-reassign
  config2 = config2 || {};
  var config = {};

  function getMergedValue(target, source) {
    if (utils.isPlainObject(target) && utils.isPlainObject(source)) {
      return utils.merge(target, source);
    } else if (utils.isPlainObject(source)) {
      return utils.merge({}, source);
    } else if (utils.isArray(source)) {
      return source.slice();
    }
    return source;
  }

  // eslint-disable-next-line consistent-return
  function mergeDeepProperties(prop) {
    if (!utils.isUndefined(config2[prop])) {
      return getMergedValue(config1[prop], config2[prop]);
    } else if (!utils.isUndefined(config1[prop])) {
      return getMergedValue(undefined, config1[prop]);
    }
  }

  // eslint-disable-next-line consistent-return
  function valueFromConfig2(prop) {
    if (!utils.isUndefined(config2[prop])) {
      return getMergedValue(undefined, config2[prop]);
    }
  }

  // eslint-disable-next-line consistent-return
  function defaultToConfig2(prop) {
    if (!utils.isUndefined(config2[prop])) {
      return getMergedValue(undefined, config2[prop]);
    } else if (!utils.isUndefined(config1[prop])) {
      return getMergedValue(undefined, config1[prop]);
    }
  }

  // eslint-disable-next-line consistent-return
  function mergeDirectKeys(prop) {
    if (prop in config2) {
      return getMergedValue(config1[prop], config2[prop]);
    } else if (prop in config1) {
      return getMergedValue(undefined, config1[prop]);
    }
  }

  var mergeMap = {
    'url': valueFromConfig2,
    'method': valueFromConfig2,
    'data': valueFromConfig2,
    'baseURL': defaultToConfig2,
    'transformRequest': defaultToConfig2,
    'transformResponse': defaultToConfig2,
    'paramsSerializer': defaultToConfig2,
    'timeout': defaultToConfig2,
    'timeoutMessage': defaultToConfig2,
    'withCredentials': defaultToConfig2,
    'adapter': defaultToConfig2,
    'responseType': defaultToConfig2,
    'xsrfCookieName': defaultToConfig2,
    'xsrfHeaderName': defaultToConfig2,
    'onUploadProgress': defaultToConfig2,
    'onDownloadProgress': defaultToConfig2,
    'decompress': defaultToConfig2,
    'maxContentLength': defaultToConfig2,
    'maxBodyLength': defaultToConfig2,
    'beforeRedirect': defaultToConfig2,
    'transport': defaultToConfig2,
    'httpAgent': defaultToConfig2,
    'httpsAgent': defaultToConfig2,
    'cancelToken': defaultToConfig2,
    'socketPath': defaultToConfig2,
    'responseEncoding': defaultToConfig2,
    'validateStatus': mergeDirectKeys
  };

  utils.forEach(Object.keys(config1).concat(Object.keys(config2)), function computeConfigValue(prop) {
    var merge = mergeMap[prop] || mergeDeepProperties;
    var configValue = merge(prop);
    (utils.isUndefined(configValue) && merge !== mergeDirectKeys) || (config[prop] = configValue);
  });

  return config;
};


/***/ }),

/***/ "./node_modules/axios/lib/core/settle.js":
/*!***********************************************!*\
  !*** ./node_modules/axios/lib/core/settle.js ***!
  \***********************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var AxiosError = __webpack_require__(/*! ./AxiosError */ "./node_modules/axios/lib/core/AxiosError.js");

/**
 * Resolve or reject a Promise based on response status.
 *
 * @param {Function} resolve A function that resolves the promise.
 * @param {Function} reject A function that rejects the promise.
 * @param {object} response The response.
 */
module.exports = function settle(resolve, reject, response) {
  var validateStatus = response.config.validateStatus;
  if (!response.status || !validateStatus || validateStatus(response.status)) {
    resolve(response);
  } else {
    reject(new AxiosError(
      'Request failed with status code ' + response.status,
      [AxiosError.ERR_BAD_REQUEST, AxiosError.ERR_BAD_RESPONSE][Math.floor(response.status / 100) - 4],
      response.config,
      response.request,
      response
    ));
  }
};


/***/ }),

/***/ "./node_modules/axios/lib/core/transformData.js":
/*!******************************************************!*\
  !*** ./node_modules/axios/lib/core/transformData.js ***!
  \******************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");
var defaults = __webpack_require__(/*! ../defaults */ "./node_modules/axios/lib/defaults/index.js");

/**
 * Transform the data for a request or a response
 *
 * @param {Object|String} data The data to be transformed
 * @param {Array} headers The headers for the request or response
 * @param {Array|Function} fns A single function or Array of functions
 * @returns {*} The resulting transformed data
 */
module.exports = function transformData(data, headers, fns) {
  var context = this || defaults;
  /*eslint no-param-reassign:0*/
  utils.forEach(fns, function transform(fn) {
    data = fn.call(context, data, headers);
  });

  return data;
};


/***/ }),

/***/ "./node_modules/axios/lib/defaults/index.js":
/*!**************************************************!*\
  !*** ./node_modules/axios/lib/defaults/index.js ***!
  \**************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ../utils */ "./node_modules/axios/lib/utils.js");
var normalizeHeaderName = __webpack_require__(/*! ../helpers/normalizeHeaderName */ "./node_modules/axios/lib/helpers/normalizeHeaderName.js");
var AxiosError = __webpack_require__(/*! ../core/AxiosError */ "./node_modules/axios/lib/core/AxiosError.js");
var transitionalDefaults = __webpack_require__(/*! ./transitional */ "./node_modules/axios/lib/defaults/transitional.js");
var toFormData = __webpack_require__(/*! ../helpers/toFormData */ "./node_modules/axios/lib/helpers/toFormData.js");

var DEFAULT_CONTENT_TYPE = {
  'Content-Type': 'application/x-www-form-urlencoded'
};

function setContentTypeIfUnset(headers, value) {
  if (!utils.isUndefined(headers) && utils.isUndefined(headers['Content-Type'])) {
    headers['Content-Type'] = value;
  }
}

function getDefaultAdapter() {
  var adapter;
  if (typeof XMLHttpRequest !== 'undefined') {
    // For browsers use XHR adapter
    adapter = __webpack_require__(/*! ../adapters/xhr */ "./node_modules/axios/lib/adapters/xhr.js");
  } else if (typeof process !== 'undefined' && Object.prototype.toString.call(process) === '[object process]') {
    // For node use HTTP adapter
    adapter = __webpack_require__(/*! ../adapters/http */ "./node_modules/axios/lib/adapters/xhr.js");
  }
  return adapter;
}

function stringifySafely(rawValue, parser, encoder) {
  if (utils.isString(rawValue)) {
    try {
      (parser || JSON.parse)(rawValue);
      return utils.trim(rawValue);
    } catch (e) {
      if (e.name !== 'SyntaxError') {
        throw e;
      }
    }
  }

  return (encoder || JSON.stringify)(rawValue);
}

var defaults = {

  transitional: transitionalDefaults,

  adapter: getDefaultAdapter(),

  transformRequest: [function transformRequest(data, headers) {
    normalizeHeaderName(headers, 'Accept');
    normalizeHeaderName(headers, 'Content-Type');

    if (utils.isFormData(data) ||
      utils.isArrayBuffer(data) ||
      utils.isBuffer(data) ||
      utils.isStream(data) ||
      utils.isFile(data) ||
      utils.isBlob(data)
    ) {
      return data;
    }
    if (utils.isArrayBufferView(data)) {
      return data.buffer;
    }
    if (utils.isURLSearchParams(data)) {
      setContentTypeIfUnset(headers, 'application/x-www-form-urlencoded;charset=utf-8');
      return data.toString();
    }

    var isObjectPayload = utils.isObject(data);
    var contentType = headers && headers['Content-Type'];

    var isFileList;

    if ((isFileList = utils.isFileList(data)) || (isObjectPayload && contentType === 'multipart/form-data')) {
      var _FormData = this.env && this.env.FormData;
      return toFormData(isFileList ? {'files[]': data} : data, _FormData && new _FormData());
    } else if (isObjectPayload || contentType === 'application/json') {
      setContentTypeIfUnset(headers, 'application/json');
      return stringifySafely(data);
    }

    return data;
  }],

  transformResponse: [function transformResponse(data) {
    var transitional = this.transitional || defaults.transitional;
    var silentJSONParsing = transitional && transitional.silentJSONParsing;
    var forcedJSONParsing = transitional && transitional.forcedJSONParsing;
    var strictJSONParsing = !silentJSONParsing && this.responseType === 'json';

    if (strictJSONParsing || (forcedJSONParsing && utils.isString(data) && data.length)) {
      try {
        return JSON.parse(data);
      } catch (e) {
        if (strictJSONParsing) {
          if (e.name === 'SyntaxError') {
            throw AxiosError.from(e, AxiosError.ERR_BAD_RESPONSE, this, null, this.response);
          }
          throw e;
        }
      }
    }

    return data;
  }],

  /**
   * A timeout in milliseconds to abort a request. If set to 0 (default) a
   * timeout is not created.
   */
  timeout: 0,

  xsrfCookieName: 'XSRF-TOKEN',
  xsrfHeaderName: 'X-XSRF-TOKEN',

  maxContentLength: -1,
  maxBodyLength: -1,

  env: {
    FormData: __webpack_require__(/*! ./env/FormData */ "./node_modules/axios/lib/helpers/null.js")
  },

  validateStatus: function validateStatus(status) {
    return status >= 200 && status < 300;
  },

  headers: {
    common: {
      'Accept': 'application/json, text/plain, */*'
    }
  }
};

utils.forEach(['delete', 'get', 'head'], function forEachMethodNoData(method) {
  defaults.headers[method] = {};
});

utils.forEach(['post', 'put', 'patch'], function forEachMethodWithData(method) {
  defaults.headers[method] = utils.merge(DEFAULT_CONTENT_TYPE);
});

module.exports = defaults;


/***/ }),

/***/ "./node_modules/axios/lib/defaults/transitional.js":
/*!*********************************************************!*\
  !*** ./node_modules/axios/lib/defaults/transitional.js ***!
  \*********************************************************/
/***/ ((module) => {

"use strict";


module.exports = {
  silentJSONParsing: true,
  forcedJSONParsing: true,
  clarifyTimeoutError: false
};


/***/ }),

/***/ "./node_modules/axios/lib/env/data.js":
/*!********************************************!*\
  !*** ./node_modules/axios/lib/env/data.js ***!
  \********************************************/
/***/ ((module) => {

module.exports = {
  "version": "0.27.2"
};

/***/ }),

/***/ "./node_modules/axios/lib/helpers/bind.js":
/*!************************************************!*\
  !*** ./node_modules/axios/lib/helpers/bind.js ***!
  \************************************************/
/***/ ((module) => {

"use strict";


module.exports = function bind(fn, thisArg) {
  return function wrap() {
    var args = new Array(arguments.length);
    for (var i = 0; i < args.length; i++) {
      args[i] = arguments[i];
    }
    return fn.apply(thisArg, args);
  };
};


/***/ }),

/***/ "./node_modules/axios/lib/helpers/buildURL.js":
/*!****************************************************!*\
  !*** ./node_modules/axios/lib/helpers/buildURL.js ***!
  \****************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");

function encode(val) {
  return encodeURIComponent(val).
    replace(/%3A/gi, ':').
    replace(/%24/g, '$').
    replace(/%2C/gi, ',').
    replace(/%20/g, '+').
    replace(/%5B/gi, '[').
    replace(/%5D/gi, ']');
}

/**
 * Build a URL by appending params to the end
 *
 * @param {string} url The base of the url (e.g., http://www.google.com)
 * @param {object} [params] The params to be appended
 * @returns {string} The formatted url
 */
module.exports = function buildURL(url, params, paramsSerializer) {
  /*eslint no-param-reassign:0*/
  if (!params) {
    return url;
  }

  var serializedParams;
  if (paramsSerializer) {
    serializedParams = paramsSerializer(params);
  } else if (utils.isURLSearchParams(params)) {
    serializedParams = params.toString();
  } else {
    var parts = [];

    utils.forEach(params, function serialize(val, key) {
      if (val === null || typeof val === 'undefined') {
        return;
      }

      if (utils.isArray(val)) {
        key = key + '[]';
      } else {
        val = [val];
      }

      utils.forEach(val, function parseValue(v) {
        if (utils.isDate(v)) {
          v = v.toISOString();
        } else if (utils.isObject(v)) {
          v = JSON.stringify(v);
        }
        parts.push(encode(key) + '=' + encode(v));
      });
    });

    serializedParams = parts.join('&');
  }

  if (serializedParams) {
    var hashmarkIndex = url.indexOf('#');
    if (hashmarkIndex !== -1) {
      url = url.slice(0, hashmarkIndex);
    }

    url += (url.indexOf('?') === -1 ? '?' : '&') + serializedParams;
  }

  return url;
};


/***/ }),

/***/ "./node_modules/axios/lib/helpers/combineURLs.js":
/*!*******************************************************!*\
  !*** ./node_modules/axios/lib/helpers/combineURLs.js ***!
  \*******************************************************/
/***/ ((module) => {

"use strict";


/**
 * Creates a new URL by combining the specified URLs
 *
 * @param {string} baseURL The base URL
 * @param {string} relativeURL The relative URL
 * @returns {string} The combined URL
 */
module.exports = function combineURLs(baseURL, relativeURL) {
  return relativeURL
    ? baseURL.replace(/\/+$/, '') + '/' + relativeURL.replace(/^\/+/, '')
    : baseURL;
};


/***/ }),

/***/ "./node_modules/axios/lib/helpers/cookies.js":
/*!***************************************************!*\
  !*** ./node_modules/axios/lib/helpers/cookies.js ***!
  \***************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");

module.exports = (
  utils.isStandardBrowserEnv() ?

  // Standard browser envs support document.cookie
    (function standardBrowserEnv() {
      return {
        write: function write(name, value, expires, path, domain, secure) {
          var cookie = [];
          cookie.push(name + '=' + encodeURIComponent(value));

          if (utils.isNumber(expires)) {
            cookie.push('expires=' + new Date(expires).toGMTString());
          }

          if (utils.isString(path)) {
            cookie.push('path=' + path);
          }

          if (utils.isString(domain)) {
            cookie.push('domain=' + domain);
          }

          if (secure === true) {
            cookie.push('secure');
          }

          document.cookie = cookie.join('; ');
        },

        read: function read(name) {
          var match = document.cookie.match(new RegExp('(^|;\\s*)(' + name + ')=([^;]*)'));
          return (match ? decodeURIComponent(match[3]) : null);
        },

        remove: function remove(name) {
          this.write(name, '', Date.now() - 86400000);
        }
      };
    })() :

  // Non standard browser env (web workers, react-native) lack needed support.
    (function nonStandardBrowserEnv() {
      return {
        write: function write() {},
        read: function read() { return null; },
        remove: function remove() {}
      };
    })()
);


/***/ }),

/***/ "./node_modules/axios/lib/helpers/isAbsoluteURL.js":
/*!*********************************************************!*\
  !*** ./node_modules/axios/lib/helpers/isAbsoluteURL.js ***!
  \*********************************************************/
/***/ ((module) => {

"use strict";


/**
 * Determines whether the specified URL is absolute
 *
 * @param {string} url The URL to test
 * @returns {boolean} True if the specified URL is absolute, otherwise false
 */
module.exports = function isAbsoluteURL(url) {
  // A URL is considered absolute if it begins with "<scheme>://" or "//" (protocol-relative URL).
  // RFC 3986 defines scheme name as a sequence of characters beginning with a letter and followed
  // by any combination of letters, digits, plus, period, or hyphen.
  return /^([a-z][a-z\d+\-.]*:)?\/\//i.test(url);
};


/***/ }),

/***/ "./node_modules/axios/lib/helpers/isAxiosError.js":
/*!********************************************************!*\
  !*** ./node_modules/axios/lib/helpers/isAxiosError.js ***!
  \********************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");

/**
 * Determines whether the payload is an error thrown by Axios
 *
 * @param {*} payload The value to test
 * @returns {boolean} True if the payload is an error thrown by Axios, otherwise false
 */
module.exports = function isAxiosError(payload) {
  return utils.isObject(payload) && (payload.isAxiosError === true);
};


/***/ }),

/***/ "./node_modules/axios/lib/helpers/isURLSameOrigin.js":
/*!***********************************************************!*\
  !*** ./node_modules/axios/lib/helpers/isURLSameOrigin.js ***!
  \***********************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");

module.exports = (
  utils.isStandardBrowserEnv() ?

  // Standard browser envs have full support of the APIs needed to test
  // whether the request URL is of the same origin as current location.
    (function standardBrowserEnv() {
      var msie = /(msie|trident)/i.test(navigator.userAgent);
      var urlParsingNode = document.createElement('a');
      var originURL;

      /**
    * Parse a URL to discover it's components
    *
    * @param {String} url The URL to be parsed
    * @returns {Object}
    */
      function resolveURL(url) {
        var href = url;

        if (msie) {
        // IE needs attribute set twice to normalize properties
          urlParsingNode.setAttribute('href', href);
          href = urlParsingNode.href;
        }

        urlParsingNode.setAttribute('href', href);

        // urlParsingNode provides the UrlUtils interface - http://url.spec.whatwg.org/#urlutils
        return {
          href: urlParsingNode.href,
          protocol: urlParsingNode.protocol ? urlParsingNode.protocol.replace(/:$/, '') : '',
          host: urlParsingNode.host,
          search: urlParsingNode.search ? urlParsingNode.search.replace(/^\?/, '') : '',
          hash: urlParsingNode.hash ? urlParsingNode.hash.replace(/^#/, '') : '',
          hostname: urlParsingNode.hostname,
          port: urlParsingNode.port,
          pathname: (urlParsingNode.pathname.charAt(0) === '/') ?
            urlParsingNode.pathname :
            '/' + urlParsingNode.pathname
        };
      }

      originURL = resolveURL(window.location.href);

      /**
    * Determine if a URL shares the same origin as the current location
    *
    * @param {String} requestURL The URL to test
    * @returns {boolean} True if URL shares the same origin, otherwise false
    */
      return function isURLSameOrigin(requestURL) {
        var parsed = (utils.isString(requestURL)) ? resolveURL(requestURL) : requestURL;
        return (parsed.protocol === originURL.protocol &&
            parsed.host === originURL.host);
      };
    })() :

  // Non standard browser envs (web workers, react-native) lack needed support.
    (function nonStandardBrowserEnv() {
      return function isURLSameOrigin() {
        return true;
      };
    })()
);


/***/ }),

/***/ "./node_modules/axios/lib/helpers/normalizeHeaderName.js":
/*!***************************************************************!*\
  !*** ./node_modules/axios/lib/helpers/normalizeHeaderName.js ***!
  \***************************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ../utils */ "./node_modules/axios/lib/utils.js");

module.exports = function normalizeHeaderName(headers, normalizedName) {
  utils.forEach(headers, function processHeader(value, name) {
    if (name !== normalizedName && name.toUpperCase() === normalizedName.toUpperCase()) {
      headers[normalizedName] = value;
      delete headers[name];
    }
  });
};


/***/ }),

/***/ "./node_modules/axios/lib/helpers/null.js":
/*!************************************************!*\
  !*** ./node_modules/axios/lib/helpers/null.js ***!
  \************************************************/
/***/ ((module) => {

// eslint-disable-next-line strict
module.exports = null;


/***/ }),

/***/ "./node_modules/axios/lib/helpers/parseHeaders.js":
/*!********************************************************!*\
  !*** ./node_modules/axios/lib/helpers/parseHeaders.js ***!
  \********************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ./../utils */ "./node_modules/axios/lib/utils.js");

// Headers whose duplicates are ignored by node
// c.f. https://nodejs.org/api/http.html#http_message_headers
var ignoreDuplicateOf = [
  'age', 'authorization', 'content-length', 'content-type', 'etag',
  'expires', 'from', 'host', 'if-modified-since', 'if-unmodified-since',
  'last-modified', 'location', 'max-forwards', 'proxy-authorization',
  'referer', 'retry-after', 'user-agent'
];

/**
 * Parse headers into an object
 *
 * ```
 * Date: Wed, 27 Aug 2014 08:58:49 GMT
 * Content-Type: application/json
 * Connection: keep-alive
 * Transfer-Encoding: chunked
 * ```
 *
 * @param {String} headers Headers needing to be parsed
 * @returns {Object} Headers parsed into an object
 */
module.exports = function parseHeaders(headers) {
  var parsed = {};
  var key;
  var val;
  var i;

  if (!headers) { return parsed; }

  utils.forEach(headers.split('\n'), function parser(line) {
    i = line.indexOf(':');
    key = utils.trim(line.substr(0, i)).toLowerCase();
    val = utils.trim(line.substr(i + 1));

    if (key) {
      if (parsed[key] && ignoreDuplicateOf.indexOf(key) >= 0) {
        return;
      }
      if (key === 'set-cookie') {
        parsed[key] = (parsed[key] ? parsed[key] : []).concat([val]);
      } else {
        parsed[key] = parsed[key] ? parsed[key] + ', ' + val : val;
      }
    }
  });

  return parsed;
};


/***/ }),

/***/ "./node_modules/axios/lib/helpers/parseProtocol.js":
/*!*********************************************************!*\
  !*** ./node_modules/axios/lib/helpers/parseProtocol.js ***!
  \*********************************************************/
/***/ ((module) => {

"use strict";


module.exports = function parseProtocol(url) {
  var match = /^([-+\w]{1,25})(:?\/\/|:)/.exec(url);
  return match && match[1] || '';
};


/***/ }),

/***/ "./node_modules/axios/lib/helpers/spread.js":
/*!**************************************************!*\
  !*** ./node_modules/axios/lib/helpers/spread.js ***!
  \**************************************************/
/***/ ((module) => {

"use strict";


/**
 * Syntactic sugar for invoking a function and expanding an array for arguments.
 *
 * Common use case would be to use `Function.prototype.apply`.
 *
 *  ```js
 *  function f(x, y, z) {}
 *  var args = [1, 2, 3];
 *  f.apply(null, args);
 *  ```
 *
 * With `spread` this example can be re-written.
 *
 *  ```js
 *  spread(function(x, y, z) {})([1, 2, 3]);
 *  ```
 *
 * @param {Function} callback
 * @returns {Function}
 */
module.exports = function spread(callback) {
  return function wrap(arr) {
    return callback.apply(null, arr);
  };
};


/***/ }),

/***/ "./node_modules/axios/lib/helpers/toFormData.js":
/*!******************************************************!*\
  !*** ./node_modules/axios/lib/helpers/toFormData.js ***!
  \******************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var utils = __webpack_require__(/*! ../utils */ "./node_modules/axios/lib/utils.js");

/**
 * Convert a data object to FormData
 * @param {Object} obj
 * @param {?Object} [formData]
 * @returns {Object}
 **/

function toFormData(obj, formData) {
  // eslint-disable-next-line no-param-reassign
  formData = formData || new FormData();

  var stack = [];

  function convertValue(value) {
    if (value === null) return '';

    if (utils.isDate(value)) {
      return value.toISOString();
    }

    if (utils.isArrayBuffer(value) || utils.isTypedArray(value)) {
      return typeof Blob === 'function' ? new Blob([value]) : Buffer.from(value);
    }

    return value;
  }

  function build(data, parentKey) {
    if (utils.isPlainObject(data) || utils.isArray(data)) {
      if (stack.indexOf(data) !== -1) {
        throw Error('Circular reference detected in ' + parentKey);
      }

      stack.push(data);

      utils.forEach(data, function each(value, key) {
        if (utils.isUndefined(value)) return;
        var fullKey = parentKey ? parentKey + '.' + key : key;
        var arr;

        if (value && !parentKey && typeof value === 'object') {
          if (utils.endsWith(key, '{}')) {
            // eslint-disable-next-line no-param-reassign
            value = JSON.stringify(value);
          } else if (utils.endsWith(key, '[]') && (arr = utils.toArray(value))) {
            // eslint-disable-next-line func-names
            arr.forEach(function(el) {
              !utils.isUndefined(el) && formData.append(fullKey, convertValue(el));
            });
            return;
          }
        }

        build(value, fullKey);
      });

      stack.pop();
    } else {
      formData.append(parentKey, convertValue(data));
    }
  }

  build(obj);

  return formData;
}

module.exports = toFormData;


/***/ }),

/***/ "./node_modules/axios/lib/helpers/validator.js":
/*!*****************************************************!*\
  !*** ./node_modules/axios/lib/helpers/validator.js ***!
  \*****************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var VERSION = (__webpack_require__(/*! ../env/data */ "./node_modules/axios/lib/env/data.js").version);
var AxiosError = __webpack_require__(/*! ../core/AxiosError */ "./node_modules/axios/lib/core/AxiosError.js");

var validators = {};

// eslint-disable-next-line func-names
['object', 'boolean', 'number', 'function', 'string', 'symbol'].forEach(function(type, i) {
  validators[type] = function validator(thing) {
    return typeof thing === type || 'a' + (i < 1 ? 'n ' : ' ') + type;
  };
});

var deprecatedWarnings = {};

/**
 * Transitional option validator
 * @param {function|boolean?} validator - set to false if the transitional option has been removed
 * @param {string?} version - deprecated version / removed since version
 * @param {string?} message - some message with additional info
 * @returns {function}
 */
validators.transitional = function transitional(validator, version, message) {
  function formatMessage(opt, desc) {
    return '[Axios v' + VERSION + '] Transitional option \'' + opt + '\'' + desc + (message ? '. ' + message : '');
  }

  // eslint-disable-next-line func-names
  return function(value, opt, opts) {
    if (validator === false) {
      throw new AxiosError(
        formatMessage(opt, ' has been removed' + (version ? ' in ' + version : '')),
        AxiosError.ERR_DEPRECATED
      );
    }

    if (version && !deprecatedWarnings[opt]) {
      deprecatedWarnings[opt] = true;
      // eslint-disable-next-line no-console
      console.warn(
        formatMessage(
          opt,
          ' has been deprecated since v' + version + ' and will be removed in the near future'
        )
      );
    }

    return validator ? validator(value, opt, opts) : true;
  };
};

/**
 * Assert object's properties type
 * @param {object} options
 * @param {object} schema
 * @param {boolean?} allowUnknown
 */

function assertOptions(options, schema, allowUnknown) {
  if (typeof options !== 'object') {
    throw new AxiosError('options must be an object', AxiosError.ERR_BAD_OPTION_VALUE);
  }
  var keys = Object.keys(options);
  var i = keys.length;
  while (i-- > 0) {
    var opt = keys[i];
    var validator = schema[opt];
    if (validator) {
      var value = options[opt];
      var result = value === undefined || validator(value, opt, options);
      if (result !== true) {
        throw new AxiosError('option ' + opt + ' must be ' + result, AxiosError.ERR_BAD_OPTION_VALUE);
      }
      continue;
    }
    if (allowUnknown !== true) {
      throw new AxiosError('Unknown option ' + opt, AxiosError.ERR_BAD_OPTION);
    }
  }
}

module.exports = {
  assertOptions: assertOptions,
  validators: validators
};


/***/ }),

/***/ "./node_modules/axios/lib/utils.js":
/*!*****************************************!*\
  !*** ./node_modules/axios/lib/utils.js ***!
  \*****************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var bind = __webpack_require__(/*! ./helpers/bind */ "./node_modules/axios/lib/helpers/bind.js");

// utils is a library of generic helper functions non-specific to axios

var toString = Object.prototype.toString;

// eslint-disable-next-line func-names
var kindOf = (function(cache) {
  // eslint-disable-next-line func-names
  return function(thing) {
    var str = toString.call(thing);
    return cache[str] || (cache[str] = str.slice(8, -1).toLowerCase());
  };
})(Object.create(null));

function kindOfTest(type) {
  type = type.toLowerCase();
  return function isKindOf(thing) {
    return kindOf(thing) === type;
  };
}

/**
 * Determine if a value is an Array
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is an Array, otherwise false
 */
function isArray(val) {
  return Array.isArray(val);
}

/**
 * Determine if a value is undefined
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if the value is undefined, otherwise false
 */
function isUndefined(val) {
  return typeof val === 'undefined';
}

/**
 * Determine if a value is a Buffer
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Buffer, otherwise false
 */
function isBuffer(val) {
  return val !== null && !isUndefined(val) && val.constructor !== null && !isUndefined(val.constructor)
    && typeof val.constructor.isBuffer === 'function' && val.constructor.isBuffer(val);
}

/**
 * Determine if a value is an ArrayBuffer
 *
 * @function
 * @param {Object} val The value to test
 * @returns {boolean} True if value is an ArrayBuffer, otherwise false
 */
var isArrayBuffer = kindOfTest('ArrayBuffer');


/**
 * Determine if a value is a view on an ArrayBuffer
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a view on an ArrayBuffer, otherwise false
 */
function isArrayBufferView(val) {
  var result;
  if ((typeof ArrayBuffer !== 'undefined') && (ArrayBuffer.isView)) {
    result = ArrayBuffer.isView(val);
  } else {
    result = (val) && (val.buffer) && (isArrayBuffer(val.buffer));
  }
  return result;
}

/**
 * Determine if a value is a String
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a String, otherwise false
 */
function isString(val) {
  return typeof val === 'string';
}

/**
 * Determine if a value is a Number
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Number, otherwise false
 */
function isNumber(val) {
  return typeof val === 'number';
}

/**
 * Determine if a value is an Object
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is an Object, otherwise false
 */
function isObject(val) {
  return val !== null && typeof val === 'object';
}

/**
 * Determine if a value is a plain Object
 *
 * @param {Object} val The value to test
 * @return {boolean} True if value is a plain Object, otherwise false
 */
function isPlainObject(val) {
  if (kindOf(val) !== 'object') {
    return false;
  }

  var prototype = Object.getPrototypeOf(val);
  return prototype === null || prototype === Object.prototype;
}

/**
 * Determine if a value is a Date
 *
 * @function
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Date, otherwise false
 */
var isDate = kindOfTest('Date');

/**
 * Determine if a value is a File
 *
 * @function
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a File, otherwise false
 */
var isFile = kindOfTest('File');

/**
 * Determine if a value is a Blob
 *
 * @function
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Blob, otherwise false
 */
var isBlob = kindOfTest('Blob');

/**
 * Determine if a value is a FileList
 *
 * @function
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a File, otherwise false
 */
var isFileList = kindOfTest('FileList');

/**
 * Determine if a value is a Function
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Function, otherwise false
 */
function isFunction(val) {
  return toString.call(val) === '[object Function]';
}

/**
 * Determine if a value is a Stream
 *
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a Stream, otherwise false
 */
function isStream(val) {
  return isObject(val) && isFunction(val.pipe);
}

/**
 * Determine if a value is a FormData
 *
 * @param {Object} thing The value to test
 * @returns {boolean} True if value is an FormData, otherwise false
 */
function isFormData(thing) {
  var pattern = '[object FormData]';
  return thing && (
    (typeof FormData === 'function' && thing instanceof FormData) ||
    toString.call(thing) === pattern ||
    (isFunction(thing.toString) && thing.toString() === pattern)
  );
}

/**
 * Determine if a value is a URLSearchParams object
 * @function
 * @param {Object} val The value to test
 * @returns {boolean} True if value is a URLSearchParams object, otherwise false
 */
var isURLSearchParams = kindOfTest('URLSearchParams');

/**
 * Trim excess whitespace off the beginning and end of a string
 *
 * @param {String} str The String to trim
 * @returns {String} The String freed of excess whitespace
 */
function trim(str) {
  return str.trim ? str.trim() : str.replace(/^\s+|\s+$/g, '');
}

/**
 * Determine if we're running in a standard browser environment
 *
 * This allows axios to run in a web worker, and react-native.
 * Both environments support XMLHttpRequest, but not fully standard globals.
 *
 * web workers:
 *  typeof window -> undefined
 *  typeof document -> undefined
 *
 * react-native:
 *  navigator.product -> 'ReactNative'
 * nativescript
 *  navigator.product -> 'NativeScript' or 'NS'
 */
function isStandardBrowserEnv() {
  if (typeof navigator !== 'undefined' && (navigator.product === 'ReactNative' ||
                                           navigator.product === 'NativeScript' ||
                                           navigator.product === 'NS')) {
    return false;
  }
  return (
    typeof window !== 'undefined' &&
    typeof document !== 'undefined'
  );
}

/**
 * Iterate over an Array or an Object invoking a function for each item.
 *
 * If `obj` is an Array callback will be called passing
 * the value, index, and complete array for each item.
 *
 * If 'obj' is an Object callback will be called passing
 * the value, key, and complete object for each property.
 *
 * @param {Object|Array} obj The object to iterate
 * @param {Function} fn The callback to invoke for each item
 */
function forEach(obj, fn) {
  // Don't bother if no value provided
  if (obj === null || typeof obj === 'undefined') {
    return;
  }

  // Force an array if not already something iterable
  if (typeof obj !== 'object') {
    /*eslint no-param-reassign:0*/
    obj = [obj];
  }

  if (isArray(obj)) {
    // Iterate over array values
    for (var i = 0, l = obj.length; i < l; i++) {
      fn.call(null, obj[i], i, obj);
    }
  } else {
    // Iterate over object keys
    for (var key in obj) {
      if (Object.prototype.hasOwnProperty.call(obj, key)) {
        fn.call(null, obj[key], key, obj);
      }
    }
  }
}

/**
 * Accepts varargs expecting each argument to be an object, then
 * immutably merges the properties of each object and returns result.
 *
 * When multiple objects contain the same key the later object in
 * the arguments list will take precedence.
 *
 * Example:
 *
 * ```js
 * var result = merge({foo: 123}, {foo: 456});
 * console.log(result.foo); // outputs 456
 * ```
 *
 * @param {Object} obj1 Object to merge
 * @returns {Object} Result of all merge properties
 */
function merge(/* obj1, obj2, obj3, ... */) {
  var result = {};
  function assignValue(val, key) {
    if (isPlainObject(result[key]) && isPlainObject(val)) {
      result[key] = merge(result[key], val);
    } else if (isPlainObject(val)) {
      result[key] = merge({}, val);
    } else if (isArray(val)) {
      result[key] = val.slice();
    } else {
      result[key] = val;
    }
  }

  for (var i = 0, l = arguments.length; i < l; i++) {
    forEach(arguments[i], assignValue);
  }
  return result;
}

/**
 * Extends object a by mutably adding to it the properties of object b.
 *
 * @param {Object} a The object to be extended
 * @param {Object} b The object to copy properties from
 * @param {Object} thisArg The object to bind function to
 * @return {Object} The resulting value of object a
 */
function extend(a, b, thisArg) {
  forEach(b, function assignValue(val, key) {
    if (thisArg && typeof val === 'function') {
      a[key] = bind(val, thisArg);
    } else {
      a[key] = val;
    }
  });
  return a;
}

/**
 * Remove byte order marker. This catches EF BB BF (the UTF-8 BOM)
 *
 * @param {string} content with BOM
 * @return {string} content value without BOM
 */
function stripBOM(content) {
  if (content.charCodeAt(0) === 0xFEFF) {
    content = content.slice(1);
  }
  return content;
}

/**
 * Inherit the prototype methods from one constructor into another
 * @param {function} constructor
 * @param {function} superConstructor
 * @param {object} [props]
 * @param {object} [descriptors]
 */

function inherits(constructor, superConstructor, props, descriptors) {
  constructor.prototype = Object.create(superConstructor.prototype, descriptors);
  constructor.prototype.constructor = constructor;
  props && Object.assign(constructor.prototype, props);
}

/**
 * Resolve object with deep prototype chain to a flat object
 * @param {Object} sourceObj source object
 * @param {Object} [destObj]
 * @param {Function} [filter]
 * @returns {Object}
 */

function toFlatObject(sourceObj, destObj, filter) {
  var props;
  var i;
  var prop;
  var merged = {};

  destObj = destObj || {};

  do {
    props = Object.getOwnPropertyNames(sourceObj);
    i = props.length;
    while (i-- > 0) {
      prop = props[i];
      if (!merged[prop]) {
        destObj[prop] = sourceObj[prop];
        merged[prop] = true;
      }
    }
    sourceObj = Object.getPrototypeOf(sourceObj);
  } while (sourceObj && (!filter || filter(sourceObj, destObj)) && sourceObj !== Object.prototype);

  return destObj;
}

/*
 * determines whether a string ends with the characters of a specified string
 * @param {String} str
 * @param {String} searchString
 * @param {Number} [position= 0]
 * @returns {boolean}
 */
function endsWith(str, searchString, position) {
  str = String(str);
  if (position === undefined || position > str.length) {
    position = str.length;
  }
  position -= searchString.length;
  var lastIndex = str.indexOf(searchString, position);
  return lastIndex !== -1 && lastIndex === position;
}


/**
 * Returns new array from array like object
 * @param {*} [thing]
 * @returns {Array}
 */
function toArray(thing) {
  if (!thing) return null;
  var i = thing.length;
  if (isUndefined(i)) return null;
  var arr = new Array(i);
  while (i-- > 0) {
    arr[i] = thing[i];
  }
  return arr;
}

// eslint-disable-next-line func-names
var isTypedArray = (function(TypedArray) {
  // eslint-disable-next-line func-names
  return function(thing) {
    return TypedArray && thing instanceof TypedArray;
  };
})(typeof Uint8Array !== 'undefined' && Object.getPrototypeOf(Uint8Array));

module.exports = {
  isArray: isArray,
  isArrayBuffer: isArrayBuffer,
  isBuffer: isBuffer,
  isFormData: isFormData,
  isArrayBufferView: isArrayBufferView,
  isString: isString,
  isNumber: isNumber,
  isObject: isObject,
  isPlainObject: isPlainObject,
  isUndefined: isUndefined,
  isDate: isDate,
  isFile: isFile,
  isBlob: isBlob,
  isFunction: isFunction,
  isStream: isStream,
  isURLSearchParams: isURLSearchParams,
  isStandardBrowserEnv: isStandardBrowserEnv,
  forEach: forEach,
  merge: merge,
  extend: extend,
  trim: trim,
  stripBOM: stripBOM,
  inherits: inherits,
  toFlatObject: toFlatObject,
  kindOf: kindOf,
  kindOfTest: kindOfTest,
  endsWith: endsWith,
  toArray: toArray,
  isTypedArray: isTypedArray,
  isFileList: isFileList
};


/***/ }),

/***/ "./src/app/App.js":
/*!************************!*\
  !*** ./src/app/App.js ***!
  \************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var history__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! history */ "./node_modules/history/esm/history.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react-dom */ "./node_modules/react-dom/index.js");
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! react-router-dom */ "./node_modules/react-router/esm/react-router.js");
/* harmony import */ var _config_Sentry__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../config/Sentry */ "./src/config/Sentry.ts");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _providers_AppStoreProvider__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../providers/AppStoreProvider */ "./src/providers/AppStoreProvider.tsx");
/* harmony import */ var _providers_ConfigProvider__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../providers/ConfigProvider */ "./src/providers/ConfigProvider.js");
/* harmony import */ var _providers_LibraryProvider__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../providers/LibraryProvider */ "./src/providers/LibraryProvider.js");
/* harmony import */ var _providers_MultiProvider__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../providers/MultiProvider */ "./src/providers/MultiProvider.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var _providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../providers/RoutesProvider */ "./src/providers/RoutesProvider.js");
/* harmony import */ var _App_styl__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./App.styl */ "./src/app/App.styl");
/* harmony import */ var _AsyncPage_AsyncPage__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./AsyncPage/AsyncPage */ "./src/app/AsyncPage/AsyncPage.js");
/* harmony import */ var _ErrorBoundary__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./ErrorBoundary */ "./src/app/ErrorBoundary.js");
/* harmony import */ var _RootPage__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./RootPage */ "./src/app/RootPage.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");
/* global Sentry */

















const baseURL = new URL(APP_SETTINGS.hostname || location.origin);
const browserHistory = (0,history__WEBPACK_IMPORTED_MODULE_15__.createBrowserHistory)({
  basename: baseURL.pathname || "/"
});
window.LSH = browserHistory;
(0,_config_Sentry__WEBPACK_IMPORTED_MODULE_2__.initSentry)(browserHistory);

const App = ({
  content
}) => {
  const libraries = {
    lsf: {
      scriptSrc: window.EDITOR_JS,
      cssSrc: window.EDITOR_CSS,
      checkAvailability: () => !!window.LabelStudio
    },
    dm: {
      scriptSrc: window.DM_JS,
      cssSrc: window.DM_CSS,
      checkAvailability: () => !!window.DataManager
    }
  };
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_ErrorBoundary__WEBPACK_IMPORTED_MODULE_12__["default"], {
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(react_router_dom__WEBPACK_IMPORTED_MODULE_16__.Router, {
      history: browserHistory,
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_providers_MultiProvider__WEBPACK_IMPORTED_MODULE_7__.MultiProvider, {
        providers: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_providers_AppStoreProvider__WEBPACK_IMPORTED_MODULE_4__.AppStoreProvider, {}, "app-store"), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_3__.ApiProvider, {}, "api"), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_providers_ConfigProvider__WEBPACK_IMPORTED_MODULE_5__.ConfigProvider, {}, "config"), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_providers_LibraryProvider__WEBPACK_IMPORTED_MODULE_6__.LibraryProvider, {
          libraries: libraries
        }, "lsf"), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_9__.RoutesProvider, {}, "rotes"), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_8__.ProjectProvider, {}, "project")],
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_AsyncPage_AsyncPage__WEBPACK_IMPORTED_MODULE_11__.AsyncPage, {
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_RootPage__WEBPACK_IMPORTED_MODULE_13__.RootPage, {
            content: content
          })
        })
      })
    })
  });
};

const root = document.querySelector('.app-wrapper');
const content = document.querySelector('#main-content');
(0,react_dom__WEBPACK_IMPORTED_MODULE_1__.render)( /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(App, {
  content: content.innerHTML
}), root);

/***/ }),

/***/ "./src/app/AsyncPage/AsyncPage.js":
/*!****************************************!*\
  !*** ./src/app/AsyncPage/AsyncPage.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "AsyncPage": () => (/* binding */ AsyncPage),
/* harmony export */   "AsyncPageConsumer": () => (/* binding */ AsyncPageConsumer),
/* harmony export */   "AsyncPageContext": () => (/* binding */ AsyncPageContext)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! react-router */ "./node_modules/react-router/esm/react-router.js");
/* harmony import */ var _components_Error_Error__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components/Error/Error */ "./src/components/Error/Error.js");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _providers_ConfigProvider__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../providers/ConfigProvider */ "./src/providers/ConfigProvider.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _utils_scripts__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/scripts */ "./src/utils/scripts.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");








const pageCache = new Map();

const pageFromHTML = html => {
  const parser = new DOMParser();
  const document = parser.parseFromString(html, 'text/html');
  return document;
};

const loadAsyncPage = async url => {
  try {
    if (pageCache.has(url)) {
      return pageCache.get(url);
    } else {
      const response = await fetch(url);
      const html = await response.text();

      if (response.status === 401) {
        location.href = (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_4__.absoluteURL)("/");
        return;
      }

      if (!response.ok) {
        (0,_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_2__.modal)({
          body: () => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_components_Error_Error__WEBPACK_IMPORTED_MODULE_1__.ErrorWrapper, {
            title: `Error ${response.status}: ${response.statusText}`,
            errorId: response.status,
            stacktrace: `Cannot load url ${url}\n\n${html}`
          }),
          allowClose: false,
          style: {
            width: 680
          }
        });
        return null;
      }

      pageCache.set(url, html);
      return html;
    }
  } catch (err) {
    (0,_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_2__.modal)({
      body: () => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_components_Error_Error__WEBPACK_IMPORTED_MODULE_1__.ErrorWrapper, {
        possum: false,
        title: "Connection refused",
        message: "Server not responding. Is it still running?"
      }),
      simple: true,
      allowClose: false,
      style: {
        width: 680
      }
    });
    return null;
  }
};
/**
 * @param {HTMLElement} oldNode
 * @param {HTMLElement} newNode
 */


const swapNodes = async (oldNode, newNode) => {
  if (oldNode && newNode) {
    oldNode.replaceWith(newNode);
    await (0,_utils_scripts__WEBPACK_IMPORTED_MODULE_5__.reInsertScripts)(newNode);
  }
};
/**
 * @param {Document} oldPage
 * @param {Document} newPage
 */


const swapAppSettings = async (oldPage, newPage) => {
  const oldSettings = oldPage.querySelector('script#app-settings');
  const newSettings = newPage.querySelector('script#app-settings');

  if (oldSettings && newSettings) {
    await (0,_utils_scripts__WEBPACK_IMPORTED_MODULE_5__.replaceScript)(oldSettings, {
      sourceScript: newSettings,
      forceUpdate: true
    });
  }
};
/**
 * @param {Document} oldPage
 * @param {Document} newPage
 */


const swapContent = async (oldPage, newPage) => {
  const currentContent = oldPage.querySelector('#dynamic-content');
  const newContent = newPage.querySelector('#dynamic-content');

  if (currentContent && newContent) {
    await swapNodes(currentContent, newContent);
  } else {
    await swapNodes(oldPage.body.children[0], newContent, {
      removeOld: false
    });
  }
};
/** @param {HTMLElement} nodes */


const nodesToSignatures = nodes => {
  return new Set(Array.from(nodes).map(n => n.outerHTML));
};
/**
 * @param {HTMLHeadElement} oldHead
 * @param {HTMLHeadElement} newHead
 */


const swapHeadScripts = async (oldHead, newHead) => {
  swapNodes(oldHead.querySelector('title'), newHead.querySelector('title'));
  const fragment = document.createDocumentFragment();
  Array.from(newHead.querySelectorAll('script')).filter(script => (0,_utils_scripts__WEBPACK_IMPORTED_MODULE_5__.isScriptValid)(script)).forEach(script => fragment.appendChild(script));
  Array.from(oldHead.querySelectorAll('script')).filter(script => (0,_utils_scripts__WEBPACK_IMPORTED_MODULE_5__.isScriptValid)(script)).forEach(script => script.remove());
  oldHead.appendChild(fragment);
  await (0,_utils_scripts__WEBPACK_IMPORTED_MODULE_5__.reInsertScripts)(oldHead);
};
/**
 * @param {Document} oldPage
 * @param {Document} newPage
 */


const swapStylesheets = async (oldPage, newPage) => {
  const linkSelector = ['style:not([data-replaced])', 'link[rel=stylesheet]:not([data-replaced])'].join(', ');
  const oldStyles = Array.from(oldPage.querySelectorAll(linkSelector));
  const newStyles = Array.from(newPage.querySelectorAll(linkSelector));
  const existingSignatures = nodesToSignatures(oldStyles);
  const stylesToReplace = newStyles.filter(style => !existingSignatures.has(style.outerHTML));
  await Promise.all(stylesToReplace.map(style => new Promise(resolve => {
    style.onload = () => resolve(style.outerHTML);

    document.head.append(style);
  })));
};
/** @param {Document} newPage */


const swapPageParts = async (newPage, onReady) => {
  document.title = newPage.title;
  await swapStylesheets(document, newPage);
  await swapHeadScripts(document.head, newPage.head);
  await swapAppSettings(document, newPage);
  await swapContent(document, newPage);
  onReady === null || onReady === void 0 ? void 0 : onReady();
};

const isVisitable = target => {
  if (!target) return false;
  if (target.dataset.external) return false;
  if (target.getAttribute('href').match(/#/)) return false;
  if (target.origin !== location.origin) return false;
  return true;
};

const locationWithoutHash = () => {
  const {
    href
  } = location;
  return href.replace(/#(.*)/g, '');
};

const fetchPage = async locationUrl => {
  const html = await loadAsyncPage(locationUrl);
  return html ? pageFromHTML(html) : null;
};

let currentLocation = locationWithoutHash();

const useStaticContent = (initialContent, onContentLoad) => {
  const [staticContent, setStaticContent] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(initialContent);
  const fetchCallback = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async locationUrl => {
    currentLocation = locationUrl;
    (0,_utils_scripts__WEBPACK_IMPORTED_MODULE_5__.clearScriptsCache)();
    const result = await fetchPage(locationUrl);

    if (result) {
      await swapPageParts(result, onContentLoad);
      setStaticContent(result);
      return true;
    }

    return false;
  }, []);
  return [staticContent, fetchCallback];
};

const AsyncPageContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)(null);
const AsyncPageConsumer = AsyncPageContext.Consumer;
const AsyncPage = ({
  children
}) => {
  const initialContent = document;
  const history = (0,react_router__WEBPACK_IMPORTED_MODULE_7__.useHistory)();
  const config = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_providers_ConfigProvider__WEBPACK_IMPORTED_MODULE_3__.ConfigContext);
  const onLoadCallback = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    config.update(window.APP_SETTINGS);
  }, []);
  const [staticContent, fetchStatic] = useStaticContent(initialContent, onLoadCallback);
  const onLinkClick = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async e => {
    /**@type {HTMLAnchorElement} */
    const target = e.target.closest('a[href]:not([target]):not([download])');
    if (!isVisitable(target)) return;
    if (target.matches('[data-external]')) return;
    if (e.metaKey || e.ctrlKey) return;
    e.preventDefault();
    const fetched = await fetchStatic(target.href);

    if (fetched) {
      history.push(`${(0,_utils_helpers__WEBPACK_IMPORTED_MODULE_4__.removePrefix)(target.pathname)}${target.search}`);
    }
  }, []);
  const onPopState = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    const newLocation = locationWithoutHash();
    const isSameLocation = newLocation === currentLocation;

    if (!isSameLocation) {
      currentLocation = newLocation;
      fetchStatic(newLocation);
    }
  }, []); // useEffect(onPopState, [location]);

  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    document.addEventListener('click', onLinkClick, {
      capture: true
    });
    window.addEventListener('popstate', onPopState);
    return () => {
      document.removeEventListener('click', onLinkClick, {
        capture: true
      });
      window.removeEventListener('popstate', onPopState);
    };
  }, []);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(AsyncPageContext.Provider, {
    value: staticContent,
    children: children
  });
};

/***/ }),

/***/ "./src/app/ErrorBoundary.js":
/*!**********************************!*\
  !*** ./src/app/ErrorBoundary.js ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ErrorContext": () => (/* binding */ ErrorContext),
/* harmony export */   "ErrorUI": () => (/* binding */ ErrorUI),
/* harmony export */   "default": () => (/* binding */ ErrorBoundary)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components_Error_Error__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../components/Error/Error */ "./src/components/Error/Error.js");
/* harmony import */ var _components_Modal_ModalPopup__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../components/Modal/ModalPopup */ "./src/components/Modal/ModalPopup.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");




const ErrorContext = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createContext();
class ErrorBoundary extends react__WEBPACK_IMPORTED_MODULE_0__.Component {
  constructor(props) {
    super(props);
    this.state = {
      hasError: false
    };
  }

  static getDerivedStateFromError(error) {
    // Update state so the next render will show the fallback UI.
    return {
      hasError: true,
      error
    };
  }

  componentDidCatch(error, {
    componentStack
  }) {
    // You can also log the error to an error reporting service
    this.setState({
      error,
      hasError: true,
      errorInfo: componentStack
    });
  }

  render() {
    if (this.state.hasError) {
      var _this$state$error$sta, _this$state$error;

      const {
        error,
        errorInfo
      } = this.state;

      const goBack = () => {
        // usually this will trigger React Router in the broken app, which is not helpful
        history.back(); // so we reload app totally on that previous page after some delay for Router's stuff

        setTimeout(() => location.reload(), 32);
      };

      return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(_components_Modal_ModalPopup__WEBPACK_IMPORTED_MODULE_2__.Modal, {
        onHide: () => location.reload(),
        style: {
          width: "60vw"
        },
        visible: true,
        bare: true,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
          style: {
            padding: 40
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(_components_Error_Error__WEBPACK_IMPORTED_MODULE_1__.ErrorWrapper, {
            title: "Runtime error",
            message: error,
            stacktrace: `${errorInfo ? `Component Stack: ${errorInfo}` : ''}\n\n${(_this$state$error$sta = (_this$state$error = this.state.error) === null || _this$state$error === void 0 ? void 0 : _this$state$error.stack) !== null && _this$state$error$sta !== void 0 ? _this$state$error$sta : ''}`,
            onGoBack: goBack,
            onReload: () => location.reload()
          })
        })
      });
    }

    return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(ErrorContext.Provider, {
      value: {
        hasError: this.state.hasError,
        error: this.state.error,
        errorInfo: this.state.errorInfo,
        silence: this.silence,
        unsilence: this.unsilence
      },
      children: this.props.children
    });
  }

}
const ErrorUI = () => {
  const context = react__WEBPACK_IMPORTED_MODULE_0__.useContext(ErrorContext);
  return context.hasError && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
    className: "error",
    children: "Error occurred"
  });
};

/***/ }),

/***/ "./src/app/RootPage.js":
/*!*****************************!*\
  !*** ./src/app/RootPage.js ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "RootPage": () => (/* binding */ RootPage)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components_Menubar_Menubar__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../components/Menubar/Menubar */ "./src/components/Menubar/Menubar.js");
/* harmony import */ var _routes_ProjectRoutes__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../routes/ProjectRoutes */ "./src/routes/ProjectRoutes.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");




const RootPage = ({
  content
}) => {
  const pinned = localStorage.getItem('sidebar-pinned') === 'true';
  const opened = pinned && localStorage.getItem('sidebar-opened') === 'true';
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(_components_Menubar_Menubar__WEBPACK_IMPORTED_MODULE_1__.Menubar, {
    enabled: true,
    defaultOpened: opened,
    defaultPinned: pinned,
    onSidebarToggle: visible => localStorage.setItem('sidebar-opened', visible),
    onSidebarPin: pinned => localStorage.setItem('sidebar-pinned', pinned),
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(_routes_ProjectRoutes__WEBPACK_IMPORTED_MODULE_2__.ProjectRoutes, {
      content: content
    })
  });
};

/***/ }),

/***/ "./src/app/StaticContent/StaticContent.js":
/*!************************************************!*\
  !*** ./src/app/StaticContent/StaticContent.js ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "StaticContent": () => (/* binding */ StaticContent)
/* harmony export */ });
/* harmony import */ var html_react_parser__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! html-react-parser */ "./node_modules/html-react-parser/index.mjs");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_scripts__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/scripts */ "./src/utils/scripts.js");
/* harmony import */ var _AsyncPage_AsyncPage__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../AsyncPage/AsyncPage */ "./src/app/AsyncPage/AsyncPage.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");






const parseContent = (id, source, children, parse) => {
  let result;
  let setInnerHTML = false;

  if (!children || children.length === 0 || children instanceof Function) {
    var _template$innerHTML;

    const template = source.querySelector(`template#${id}`);
    const templateHTML = (_template$innerHTML = template.innerHTML) !== null && _template$innerHTML !== void 0 ? _template$innerHTML : "";

    if (parse) {
      const parsed = (0,html_react_parser__WEBPACK_IMPORTED_MODULE_0__["default"])(templateHTML);
      const childResult = children instanceof Function ? children(parsed) : false;
      result = childResult || parsed;
    } else {
      const childResult = children instanceof Function ? children(template) : false;

      if (childResult) {
        result = childResult;
      } else {
        result = templateHTML;
        setInnerHTML = true;
      }
    }
  } else {
    result = children;
  }

  return {
    children: result,
    setInnerHTML
  };
};

const StaticContentDrawer = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_1__.forwardRef(({
  id,
  tagName,
  children,
  source,
  onRenderFinished,
  parse = false,
  raw = false,
  ...props
}, ref) => {
  const rootRef = ref !== null && ref !== void 0 ? ref : react__WEBPACK_IMPORTED_MODULE_1__.useRef();
  const [content, setContent] = react__WEBPACK_IMPORTED_MODULE_1__.useState(parseContent(id, source, children, parse));
  react__WEBPACK_IMPORTED_MODULE_1__.useEffect(() => {
    setContent(parseContent(id, source, children, parse));
  }, [source, children]);
  react__WEBPACK_IMPORTED_MODULE_1__.useEffect(() => {
    if (rootRef.current) (0,_utils_scripts__WEBPACK_IMPORTED_MODULE_2__.reInsertScripts)(rootRef.current);
    onRenderFinished === null || onRenderFinished === void 0 ? void 0 : onRenderFinished();
  }, [content]);

  if (content.setInnerHTML) {
    props.dangerouslySetInnerHTML = {
      __html: content.children
    };
  } else {
    props.children = content.children;
  }

  return raw === true && content.children ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(react__WEBPACK_IMPORTED_MODULE_1__.Fragment, {
    children: content.children
  }) : /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_1__.createElement(tagName !== null && tagName !== void 0 ? tagName : 'div', { ...props,
    ref: rootRef
  });
});
const StaticContent = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_1__.forwardRef((props, ref) => {
  const pageSource = react__WEBPACK_IMPORTED_MODULE_1__.useContext(_AsyncPage_AsyncPage__WEBPACK_IMPORTED_MODULE_3__.AsyncPageContext);
  return pageSource ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(StaticContentDrawer, { ...props,
    source: pageSource,
    ref: ref
  }) : null;
});

/***/ }),

/***/ "./src/assets/icons/index.js":
/*!***********************************!*\
  !*** ./src/assets/icons/index.js ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "IconAllProjects": () => (/* reexport safe */ _all_projects_svg__WEBPACK_IMPORTED_MODULE_0__["default"]),
/* harmony export */   "IconBell": () => (/* reexport safe */ _bell_svg__WEBPACK_IMPORTED_MODULE_1__["default"]),
/* harmony export */   "IconBook": () => (/* reexport safe */ _book_svg__WEBPACK_IMPORTED_MODULE_2__["default"]),
/* harmony export */   "IconCopy": () => (/* reexport safe */ _copy_svg__WEBPACK_IMPORTED_MODULE_47__["default"]),
/* harmony export */   "IconDelete": () => (/* reexport safe */ _delete_svg__WEBPACK_IMPORTED_MODULE_37__["default"]),
/* harmony export */   "IconDone": () => (/* reexport safe */ _done_svg__WEBPACK_IMPORTED_MODULE_30__["default"]),
/* harmony export */   "IconDoneimport": () => (/* reexport safe */ _doneimport_svg__WEBPACK_IMPORTED_MODULE_36__["default"]),
/* harmony export */   "IconEmptyFolder": () => (/* reexport safe */ _folder_empty_svg__WEBPACK_IMPORTED_MODULE_10__["default"]),
/* harmony export */   "IconError": () => (/* reexport safe */ _error_svg__WEBPACK_IMPORTED_MODULE_11__["default"]),
/* harmony export */   "IconFolder": () => (/* reexport safe */ _folder_svg__WEBPACK_IMPORTED_MODULE_12__["default"]),
/* harmony export */   "IconGear": () => (/* reexport safe */ _gear_svg__WEBPACK_IMPORTED_MODULE_13__["default"]),
/* harmony export */   "IconGreentech": () => (/* reexport safe */ _greentech_svg__WEBPACK_IMPORTED_MODULE_35__["default"]),
/* harmony export */   "IconInfo": () => (/* reexport safe */ _info_svg__WEBPACK_IMPORTED_MODULE_15__["default"]),
/* harmony export */   "IconInfoOutline": () => (/* reexport safe */ _info_outline_svg__WEBPACK_IMPORTED_MODULE_27__["default"]),
/* harmony export */   "IconLink": () => (/* reexport safe */ _link_svg__WEBPACK_IMPORTED_MODULE_34__["default"]),
/* harmony export */   "IconPersonInCircle": () => (/* reexport safe */ _person_circle_svg__WEBPACK_IMPORTED_MODULE_17__["default"]),
/* harmony export */   "IconPin": () => (/* reexport safe */ _pin_svg__WEBPACK_IMPORTED_MODULE_18__["default"]),
/* harmony export */   "IconQuestion": () => (/* reexport safe */ _question_svg__WEBPACK_IMPORTED_MODULE_29__["default"]),
/* harmony export */   "IconReset": () => (/* reexport safe */ _reset_svg__WEBPACK_IMPORTED_MODULE_48__["default"]),
/* harmony export */   "IconSave": () => (/* reexport safe */ _save_svg__WEBPACK_IMPORTED_MODULE_38__["default"]),
/* harmony export */   "IconSpark": () => (/* reexport safe */ _spark_svg__WEBPACK_IMPORTED_MODULE_28__["default"]),
/* harmony export */   "IconTerminal": () => (/* reexport safe */ _terminal_svg__WEBPACK_IMPORTED_MODULE_22__["default"]),
/* harmony export */   "IconTick": () => (/* reexport safe */ _tick_svg__WEBPACK_IMPORTED_MODULE_41__["default"]),
/* harmony export */   "IconTime": () => (/* reexport safe */ _time_svg__WEBPACK_IMPORTED_MODULE_31__["default"]),
/* harmony export */   "IconUpload": () => (/* reexport safe */ _upload_svg__WEBPACK_IMPORTED_MODULE_25__["default"]),
/* harmony export */   "IconUploadfiles": () => (/* reexport safe */ _uploadfiles_svg__WEBPACK_IMPORTED_MODULE_33__["default"]),
/* harmony export */   "IconWarning": () => (/* reexport safe */ _warning_svg__WEBPACK_IMPORTED_MODULE_32__["default"]),
/* harmony export */   "Icondesinfo": () => (/* reexport safe */ _desinfo_svg__WEBPACK_IMPORTED_MODULE_42__["default"]),
/* harmony export */   "Icondeslink": () => (/* reexport safe */ _deslink_svg__WEBPACK_IMPORTED_MODULE_43__["default"]),
/* harmony export */   "Iconmldelete": () => (/* reexport safe */ _mldelete_svg__WEBPACK_IMPORTED_MODULE_44__["default"]),
/* harmony export */   "Iconmledit": () => (/* reexport safe */ _mledit_svg__WEBPACK_IMPORTED_MODULE_45__["default"]),
/* harmony export */   "LsBulb": () => (/* reexport safe */ _bulb_svg__WEBPACK_IMPORTED_MODULE_3__["default"]),
/* harmony export */   "LsCheck": () => (/* reexport safe */ _check_svg__WEBPACK_IMPORTED_MODULE_4__["default"]),
/* harmony export */   "LsChevronLeft": () => (/* reexport safe */ _chevron_left_svg__WEBPACK_IMPORTED_MODULE_5__["default"]),
/* harmony export */   "LsChevronRight": () => (/* reexport safe */ _chevron_right_svg__WEBPACK_IMPORTED_MODULE_6__["default"]),
/* harmony export */   "LsCross": () => (/* reexport safe */ _cross_svg__WEBPACK_IMPORTED_MODULE_7__["default"]),
/* harmony export */   "LsDoor": () => (/* reexport safe */ _door_svg__WEBPACK_IMPORTED_MODULE_8__["default"]),
/* harmony export */   "LsEllipsis": () => (/* reexport safe */ _ellipsis_svg__WEBPACK_IMPORTED_MODULE_9__["default"]),
/* harmony export */   "LsGitHub": () => (/* reexport safe */ _github_svg__WEBPACK_IMPORTED_MODULE_14__["default"]),
/* harmony export */   "LsMinus": () => (/* reexport safe */ _minus_svg__WEBPACK_IMPORTED_MODULE_16__["default"]),
/* harmony export */   "LsPencil": () => (/* reexport safe */ _pencil_svg__WEBPACK_IMPORTED_MODULE_26__["default"]),
/* harmony export */   "LsPlus": () => (/* reexport safe */ _plus_svg__WEBPACK_IMPORTED_MODULE_19__["default"]),
/* harmony export */   "LsPlusgray": () => (/* reexport safe */ _plusgray_svg__WEBPACK_IMPORTED_MODULE_46__["default"]),
/* harmony export */   "LsSettings": () => (/* reexport safe */ _settings_svg__WEBPACK_IMPORTED_MODULE_20__["default"]),
/* harmony export */   "LsSlack": () => (/* reexport safe */ _slack_svg__WEBPACK_IMPORTED_MODULE_21__["default"]),
/* harmony export */   "LsThumbsDown": () => (/* reexport safe */ _thumbs_down_svg__WEBPACK_IMPORTED_MODULE_23__["default"]),
/* harmony export */   "LsThumbsUp": () => (/* reexport safe */ _thumbs_up_svg__WEBPACK_IMPORTED_MODULE_24__["default"]),
/* harmony export */   "annotation": () => (/* reexport safe */ _annotation_svg__WEBPACK_IMPORTED_MODULE_39__["default"]),
/* harmony export */   "ban": () => (/* reexport safe */ _ban_svg__WEBPACK_IMPORTED_MODULE_40__["default"]),
/* harmony export */   "spark": () => (/* reexport safe */ _spark_svg__WEBPACK_IMPORTED_MODULE_28__["default"])
/* harmony export */ });
/* harmony import */ var _all_projects_svg__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./all-projects.svg */ "./src/assets/icons/all-projects.svg");
/* harmony import */ var _bell_svg__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./bell.svg */ "./src/assets/icons/bell.svg");
/* harmony import */ var _book_svg__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./book.svg */ "./src/assets/icons/book.svg");
/* harmony import */ var _bulb_svg__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./bulb.svg */ "./src/assets/icons/bulb.svg");
/* harmony import */ var _check_svg__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./check.svg */ "./src/assets/icons/check.svg");
/* harmony import */ var _chevron_left_svg__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./chevron-left.svg */ "./src/assets/icons/chevron-left.svg");
/* harmony import */ var _chevron_right_svg__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./chevron-right.svg */ "./src/assets/icons/chevron-right.svg");
/* harmony import */ var _cross_svg__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./cross.svg */ "./src/assets/icons/cross.svg");
/* harmony import */ var _door_svg__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./door.svg */ "./src/assets/icons/door.svg");
/* harmony import */ var _ellipsis_svg__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./ellipsis.svg */ "./src/assets/icons/ellipsis.svg");
/* harmony import */ var _folder_empty_svg__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./folder-empty.svg */ "./src/assets/icons/folder-empty.svg");
/* harmony import */ var _error_svg__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./error.svg */ "./src/assets/icons/error.svg");
/* harmony import */ var _folder_svg__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./folder.svg */ "./src/assets/icons/folder.svg");
/* harmony import */ var _gear_svg__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./gear.svg */ "./src/assets/icons/gear.svg");
/* harmony import */ var _github_svg__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./github.svg */ "./src/assets/icons/github.svg");
/* harmony import */ var _info_svg__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./info.svg */ "./src/assets/icons/info.svg");
/* harmony import */ var _minus_svg__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./minus.svg */ "./src/assets/icons/minus.svg");
/* harmony import */ var _person_circle_svg__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./person-circle.svg */ "./src/assets/icons/person-circle.svg");
/* harmony import */ var _pin_svg__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./pin.svg */ "./src/assets/icons/pin.svg");
/* harmony import */ var _plus_svg__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ./plus.svg */ "./src/assets/icons/plus.svg");
/* harmony import */ var _settings_svg__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ./settings.svg */ "./src/assets/icons/settings.svg");
/* harmony import */ var _slack_svg__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! ./slack.svg */ "./src/assets/icons/slack.svg");
/* harmony import */ var _terminal_svg__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! ./terminal.svg */ "./src/assets/icons/terminal.svg");
/* harmony import */ var _thumbs_down_svg__WEBPACK_IMPORTED_MODULE_23__ = __webpack_require__(/*! ./thumbs-down.svg */ "./src/assets/icons/thumbs-down.svg");
/* harmony import */ var _thumbs_up_svg__WEBPACK_IMPORTED_MODULE_24__ = __webpack_require__(/*! ./thumbs-up.svg */ "./src/assets/icons/thumbs-up.svg");
/* harmony import */ var _upload_svg__WEBPACK_IMPORTED_MODULE_25__ = __webpack_require__(/*! ./upload.svg */ "./src/assets/icons/upload.svg");
/* harmony import */ var _pencil_svg__WEBPACK_IMPORTED_MODULE_26__ = __webpack_require__(/*! ./pencil.svg */ "./src/assets/icons/pencil.svg");
/* harmony import */ var _info_outline_svg__WEBPACK_IMPORTED_MODULE_27__ = __webpack_require__(/*! ./info-outline.svg */ "./src/assets/icons/info-outline.svg");
/* harmony import */ var _spark_svg__WEBPACK_IMPORTED_MODULE_28__ = __webpack_require__(/*! ./spark.svg */ "./src/assets/icons/spark.svg");
/* harmony import */ var _question_svg__WEBPACK_IMPORTED_MODULE_29__ = __webpack_require__(/*! ./question.svg */ "./src/assets/icons/question.svg");
/* harmony import */ var _done_svg__WEBPACK_IMPORTED_MODULE_30__ = __webpack_require__(/*! ./done.svg */ "./src/assets/icons/done.svg");
/* harmony import */ var _time_svg__WEBPACK_IMPORTED_MODULE_31__ = __webpack_require__(/*! ./time.svg */ "./src/assets/icons/time.svg");
/* harmony import */ var _warning_svg__WEBPACK_IMPORTED_MODULE_32__ = __webpack_require__(/*! ./warning.svg */ "./src/assets/icons/warning.svg");
/* harmony import */ var _uploadfiles_svg__WEBPACK_IMPORTED_MODULE_33__ = __webpack_require__(/*! ./uploadfiles.svg */ "./src/assets/icons/uploadfiles.svg");
/* harmony import */ var _link_svg__WEBPACK_IMPORTED_MODULE_34__ = __webpack_require__(/*! ./link.svg */ "./src/assets/icons/link.svg");
/* harmony import */ var _greentech_svg__WEBPACK_IMPORTED_MODULE_35__ = __webpack_require__(/*! ./greentech.svg */ "./src/assets/icons/greentech.svg");
/* harmony import */ var _doneimport_svg__WEBPACK_IMPORTED_MODULE_36__ = __webpack_require__(/*! ./doneimport.svg */ "./src/assets/icons/doneimport.svg");
/* harmony import */ var _delete_svg__WEBPACK_IMPORTED_MODULE_37__ = __webpack_require__(/*! ./delete.svg */ "./src/assets/icons/delete.svg");
/* harmony import */ var _save_svg__WEBPACK_IMPORTED_MODULE_38__ = __webpack_require__(/*! ./save.svg */ "./src/assets/icons/save.svg");
/* harmony import */ var _annotation_svg__WEBPACK_IMPORTED_MODULE_39__ = __webpack_require__(/*! ./annotation.svg */ "./src/assets/icons/annotation.svg");
/* harmony import */ var _ban_svg__WEBPACK_IMPORTED_MODULE_40__ = __webpack_require__(/*! ./ban.svg */ "./src/assets/icons/ban.svg");
/* harmony import */ var _tick_svg__WEBPACK_IMPORTED_MODULE_41__ = __webpack_require__(/*! ./tick.svg */ "./src/assets/icons/tick.svg");
/* harmony import */ var _desinfo_svg__WEBPACK_IMPORTED_MODULE_42__ = __webpack_require__(/*! ./desinfo.svg */ "./src/assets/icons/desinfo.svg");
/* harmony import */ var _deslink_svg__WEBPACK_IMPORTED_MODULE_43__ = __webpack_require__(/*! ./deslink.svg */ "./src/assets/icons/deslink.svg");
/* harmony import */ var _mldelete_svg__WEBPACK_IMPORTED_MODULE_44__ = __webpack_require__(/*! ./mldelete.svg */ "./src/assets/icons/mldelete.svg");
/* harmony import */ var _mledit_svg__WEBPACK_IMPORTED_MODULE_45__ = __webpack_require__(/*! ./mledit.svg */ "./src/assets/icons/mledit.svg");
/* harmony import */ var _plusgray_svg__WEBPACK_IMPORTED_MODULE_46__ = __webpack_require__(/*! ./plusgray.svg */ "./src/assets/icons/plusgray.svg");
/* harmony import */ var _copy_svg__WEBPACK_IMPORTED_MODULE_47__ = __webpack_require__(/*! ./copy.svg */ "./src/assets/icons/copy.svg");
/* harmony import */ var _reset_svg__WEBPACK_IMPORTED_MODULE_48__ = __webpack_require__(/*! ./reset.svg */ "./src/assets/icons/reset.svg");



















































/***/ }),

/***/ "./src/assets/images/index.js":
/*!************************************!*\
  !*** ./src/assets/images/index.js ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "HeidiSpeaking": () => (/* reexport safe */ _heidi_speaking_svg__WEBPACK_IMPORTED_MODULE_0__["default"])
/* harmony export */ });
/* harmony import */ var _heidi_speaking_svg__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./heidi-speaking.svg */ "./src/assets/images/heidi-speaking.svg");


/***/ }),

/***/ "./src/components/Breadcrumbs/Breadcrumbs.js":
/*!***************************************************!*\
  !*** ./src/components/Breadcrumbs/Breadcrumbs.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Breadcrumbs": () => (/* binding */ Breadcrumbs)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! react-router-dom */ "./node_modules/react-router-dom/esm/react-router-dom.js");
/* harmony import */ var _providers_ConfigProvider__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../providers/ConfigProvider */ "./src/providers/ConfigProvider.js");
/* harmony import */ var _providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../providers/RoutesProvider */ "./src/providers/RoutesProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _Dropdown_Dropdown__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../Dropdown/Dropdown */ "./src/components/Dropdown/Dropdown.js");
/* harmony import */ var _Menu_Menu__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../Menu/Menu */ "./src/components/Menu/Menu.js");
/* harmony import */ var _Breadcrumbs_styl__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./Breadcrumbs.styl */ "./src/components/Breadcrumbs/Breadcrumbs.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");










const {
  Block,
  Elem
} = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_3__.BemWithSpecifiContext)();
const Breadcrumbs = () => {
  const config = (0,_providers_ConfigProvider__WEBPACK_IMPORTED_MODULE_1__.useConfig)();
  const reactBreadcrumbs = (0,_providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_2__.useBreadcrumbs)();
  const findComponent = (0,_providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_2__.useFindRouteComponent)();
  const [breadcrumbs, setBreadcrumbs] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(reactBreadcrumbs);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (reactBreadcrumbs.length) {
      setBreadcrumbs(reactBreadcrumbs);
    } else if (config.breadcrumbs) {
      setBreadcrumbs(config.breadcrumbs);
    }
  }, [reactBreadcrumbs, config]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(Block, {
    name: "breadcrumbs",
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(Elem, {
      tag: "ul",
      name: "list",
      children: breadcrumbs.map((item, index, list) => {
        var _item$href;

        const isLastItem = index === list.length - 1;
        const key = `item-${index}-${item.title}`;
        const href = (_item$href = item.href) !== null && _item$href !== void 0 ? _item$href : item.path;
        const isInternal = findComponent(href) !== null;

        const title = /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(Elem, {
          tag: "span",
          name: "label",
          mod: {
            faded: index === item.length - 1
          },
          children: item.title
        });

        const dropdownSubmenu = item.submenu ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_Dropdown_Dropdown__WEBPACK_IMPORTED_MODULE_5__.Dropdown, {
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_6__.Menu, {
            children: item.submenu.map((sub, index) => {
              var _sub$href;

              return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_6__.Menu.Item, {
                label: sub.title,
                icon: sub.icon,
                href: (_sub$href = sub.href) !== null && _sub$href !== void 0 ? _sub$href : sub.path,
                active: sub.active
              }, `${index}-${item.title}`);
            })
          })
        }) : null;
        return item.onClick ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(Elem, {
          tag: "li",
          name: "item",
          mod: {
            last: isLastItem
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)("span", {
            onClick: item.onClick,
            children: title
          })
        }, key) : dropdownSubmenu ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(Elem, {
          tag: "li",
          component: _Dropdown_Dropdown__WEBPACK_IMPORTED_MODULE_5__.Dropdown.Trigger,
          name: "item",
          mod: {
            last: isLastItem
          },
          content: dropdownSubmenu,
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)("span", {
            children: title
          })
        }, key) : href && !isLastItem ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(Elem, {
          tag: "li",
          name: "item",
          mod: {
            last: isLastItem
          },
          children: isInternal ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(react_router_dom__WEBPACK_IMPORTED_MODULE_9__.NavLink, {
            to: href,
            "data-external": true,
            children: title
          }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)("a", {
            href: (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_4__.absoluteURL)(href),
            children: title
          })
        }, key) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(Elem, {
          tag: "li",
          name: "item",
          mod: {
            last: isLastItem
          },
          children: title
        }, key);
      })
    })
  });
};

/***/ }),

/***/ "./src/components/Button/Button.js":
/*!*****************************************!*\
  !*** ./src/components/Button/Button.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Button": () => (/* binding */ Button)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _Form_FormContext__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../Form/FormContext */ "./src/components/Form/FormContext.js");
/* harmony import */ var _Button_styl__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./Button.styl */ "./src/components/Button/Button.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");








const Button = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.forwardRef(({
  children,
  type,
  extra,
  className,
  size,
  waiting,
  icon,
  tag,
  look,
  ...rest
}, ref) => {
  const finalTag = tag !== null && tag !== void 0 ? tag : rest.href ? "a" : "button";
  const mods = {
    size,
    waiting,
    type,
    look: look !== null && look !== void 0 ? look : [],
    withIcon: !!icon,
    withExtra: !!extra
  };
  const formSubmitting = react__WEBPACK_IMPORTED_MODULE_0__.useContext(_Form_FormContext__WEBPACK_IMPORTED_MODULE_3__.FormSubmissionContext);

  if (formSubmitting === true) {
    var _mods$look, _mods$look$includes;

    if ((_mods$look = mods.look) !== null && _mods$look !== void 0 && (_mods$look$includes = _mods$look.includes) !== null && _mods$look$includes !== void 0 && _mods$look$includes.call(_mods$look, "primary") && type === 'submit') {
      mods.waiting = true;
    } else {
      rest.disabled = true;
    }
  }

  if (rest.primary) {
    mods.look = 'primary';
    delete rest.primary;
  }

  const iconElem = react__WEBPACK_IMPORTED_MODULE_0__.useMemo(() => {
    if (!icon) return null;
    if ((0,_utils_helpers__WEBPACK_IMPORTED_MODULE_2__.isDefined)(icon.props.size)) return icon;

    switch (size) {
      case "small":
        return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.cloneElement(icon, { ...icon.props,
          size: 12,
          width: 12,
          height: 12
        });

      case "compact":
        return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.cloneElement(icon, { ...icon.props,
          size: 14,
          width: 14,
          height: 14
        });

      default:
        return icon;
    }
  }, [icon, size]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Block, {
    name: "button",
    mod: mods,
    mix: className,
    ref: ref,
    tag: finalTag,
    type: type,
    ...rest,
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.Fragment, {
      children: [iconElem && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
        tag: "span",
        name: "icon",
        children: iconElem
      }), iconElem && children ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("span", {
        children: children
      }) : children, extra !== undefined ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
        name: "extra",
        children: extra
      }) : null]
    })
  });
});
Button.displayName = "Button";

Button.Group = ({
  className,
  children,
  collapsed
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Block, {
    name: "button-group",
    mod: {
      collapsed
    },
    mix: className,
    children: children
  });
};

/***/ }),

/***/ "./src/components/Card/Card.js":
/*!*************************************!*\
  !*** ./src/components/Card/Card.js ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Card": () => (/* binding */ Card)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Card_styl__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./Card.styl */ "./src/components/Card/Card.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");





const Card = ({
  header,
  extra,
  children,
  style
}) => {
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)("card");
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)("div", {
    className: rootClass,
    style: style,
    children: [(header || extra) && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)("div", {
      className: rootClass.elem("header"),
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
        className: rootClass.elem("header-content"),
        children: header
      }), extra && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
        className: rootClass.elem("header-extra"),
        children: extra
      })]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
      className: rootClass.elem("content"),
      children: children
    })]
  });
};

/***/ }),

/***/ "./src/components/Checkbox/Checkbox.js":
/*!*********************************************!*\
  !*** ./src/components/Checkbox/Checkbox.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Checkbox": () => (/* binding */ Checkbox)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Checkbox_styl__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./Checkbox.styl */ "./src/components/Checkbox/Checkbox.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");





const Checkbox = ({
  checked,
  indeterminate,
  style,
  onChange,
  children,
  ...props
}) => {
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)("checkbox");
  const checkboxRef = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createRef();
  const withLabel = !!children;
  react__WEBPACK_IMPORTED_MODULE_0__.useEffect(() => {
    checkboxRef.current.indeterminate = indeterminate;
  }, [checkboxRef, indeterminate]);

  const checkboxContent = /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)("span", {
    className: rootClass.elem("box"),
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("input", { ...props,
      ref: checkboxRef,
      checked: !!checked,
      className: rootClass.elem("input"),
      type: "checkbox",
      onChange: e => {
        onChange === null || onChange === void 0 ? void 0 : onChange(e);
      }
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("span", {
      className: rootClass.elem("check").mod({
        checked,
        indeterminate
      })
    })]
  });

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
    className: rootClass.mod({
      withLabel
    }).mix(props.className),
    style: style,
    children: children ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)("label", {
      className: rootClass.elem("label"),
      children: [checkboxContent, " ", children]
    }) : checkboxContent
  });
};

/***/ }),

/***/ "./src/components/Columns/Columns.js":
/*!*******************************************!*\
  !*** ./src/components/Columns/Columns.js ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Columns": () => (/* binding */ Columns)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Columns_styl__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./Columns.styl */ "./src/components/Columns/Columns.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");





const Columns = ({
  children,
  count,
  size,
  gap
}) => {
  /**@type {import('react').RefObject<HTMLElement>} */
  const ref = react__WEBPACK_IMPORTED_MODULE_0__.useRef();
  /**@type {import('react').CSSProperties} */

  const style = {
    "--columns": Math.max(1, count !== null && count !== void 0 ? count : 1),
    "--column-width": size,
    "--column-gap": gap
  };
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
    ref: ref,
    className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)("columns"),
    style: style,
    children: children
  });
};

Columns.Column = ({
  title,
  children
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)("div", {
    className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)("columns").elem("item"),
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
      className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)("columns").elem("title"),
      children: title
    }), children]
  });
};

/***/ }),

/***/ "./src/components/CopyableTooltip/CopyableTooltip.js":
/*!***********************************************************!*\
  !*** ./src/components/CopyableTooltip/CopyableTooltip.js ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CopyableTooltip": () => (/* binding */ CopyableTooltip)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _hooks_useCopyText__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../hooks/useCopyText */ "./src/hooks/useCopyText.ts");
/* harmony import */ var _Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../Tooltip/Tooltip */ "./src/components/Tooltip/Tooltip.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");





const CopyableTooltip = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(({
  children,
  title,
  textForCopy,
  ...restProps
}, ref) => {
  const [copied, copyText] = (0,_hooks_useCopyText__WEBPACK_IMPORTED_MODULE_1__.useCopyText)({
    defaultText: textForCopy
  });
  const clickHandler = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(e => {
    e.preventDefault();
    e.stopPropagation();
    copyText();
  }, []);
  const child = react__WEBPACK_IMPORTED_MODULE_0__.Children.only(children);
  const clone = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.cloneElement)(child, { ...child.props,
    ref,
    onClick: clickHandler
  });
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(_Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_2__.Tooltip, {
    title: copied ? "Copied!" : title,
    onClick: clickHandler,
    ...restProps,
    children: clone
  });
});

/***/ }),

/***/ "./src/components/DescriptionList/DescriptionList.js":
/*!***********************************************************!*\
  !*** ./src/components/DescriptionList/DescriptionList.js ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "DescriptionList": () => (/* binding */ DescriptionList)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _DescriptionList_styl__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./DescriptionList.styl */ "./src/components/DescriptionList/DescriptionList.styl");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var _components_Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../components/Tooltip/Tooltip */ "./src/components/Tooltip/Tooltip.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");








const DescriptionList = ({
  style,
  className,
  children
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("dl", {
    className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('dl').mix(className),
    style: style,
    children: children
  });
};

DescriptionList.Item = ({
  retmClassName,
  descriptionClassName,
  term,
  descriptionStyle,
  termStyle,
  children,
  help
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.Fragment, {
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)("dt", {
      className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('dl').elem('dt').mix(retmClassName),
      style: descriptionStyle,
      children: [term, " ", help ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_components_Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_4__.Tooltip, {
        style: {
          whiteSpace: "pre-wrap"
        },
        title: help,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_3__.IconInfoOutline, {
          className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('help-icon'),
          width: "14",
          height: "14"
        })
      }) : ""]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("dd", {
      className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('dl').elem('dd').mix(descriptionClassName),
      style: termStyle,
      children: children
    })]
  });
};

/***/ }),

/***/ "./src/components/Description/Description.js":
/*!***************************************************!*\
  !*** ./src/components/Description/Description.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Description": () => (/* binding */ Description)
/* harmony export */ });
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Description_styl__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Description.styl */ "./src/components/Description/Description.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");



const Description = ({
  children,
  className,
  size = 'medium',
  noOffset = false,
  ...rest
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_0__.Block, {
    name: "description",
    mod: {
      size,
      noOffset
    },
    mix: className,
    ...rest,
    children: children
  });
};

/***/ }),

/***/ "./src/components/Divider/Divider.js":
/*!*******************************************!*\
  !*** ./src/components/Divider/Divider.js ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Divider": () => (/* binding */ Divider)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");


const Divider = ({
  height
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx)("div", {
    style: {
      height: height
    }
  });
};

/***/ }),

/***/ "./src/components/Dropdown/Dropdown.js":
/*!*********************************************!*\
  !*** ./src/components/Dropdown/Dropdown.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Dropdown": () => (/* reexport safe */ _DropdownComponent__WEBPACK_IMPORTED_MODULE_0__.Dropdown)
/* harmony export */ });
/* harmony import */ var _DropdownComponent__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./DropdownComponent */ "./src/components/Dropdown/DropdownComponent.js");
/* harmony import */ var _DropdownTrigger__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./DropdownTrigger */ "./src/components/Dropdown/DropdownTrigger.js");


_DropdownComponent__WEBPACK_IMPORTED_MODULE_0__.Dropdown.Trigger = _DropdownTrigger__WEBPACK_IMPORTED_MODULE_1__.DropdownTrigger;


/***/ }),

/***/ "./src/components/Dropdown/DropdownComponent.js":
/*!******************************************************!*\
  !*** ./src/components/Dropdown/DropdownComponent.js ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Dropdown": () => (/* binding */ Dropdown)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react-dom */ "./node_modules/react-dom/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_dom__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/dom */ "./src/utils/dom.js");
/* harmony import */ var _utils_transition__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/transition */ "./src/utils/transition.js");
/* harmony import */ var _Dropdown_styl__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./Dropdown.styl */ "./src/components/Dropdown/Dropdown.styl");
/* harmony import */ var _DropdownContext__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./DropdownContext */ "./src/components/Dropdown/DropdownContext.js");
/* harmony import */ var _DropdownTrigger__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./DropdownTrigger */ "./src/components/Dropdown/DropdownTrigger.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");









let lastIndex = 1;
const Dropdown = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(({
  animated = true,
  visible = false,
  ...props
}, ref) => {
  var _useContext, _props$style;

  const rootName = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_2__.cn)("dropdown");
  /**@type {import('react').RefObject<HTMLElement>} */

  const dropdown = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const {
    triggerRef
  } = (_useContext = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_DropdownContext__WEBPACK_IMPORTED_MODULE_6__.DropdownContext)) !== null && _useContext !== void 0 ? _useContext : {};
  const isInline = triggerRef === undefined;
  const {
    children
  } = props;
  const [renderable, setRenderable] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(visible);
  const [currentVisible, setVisible] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(visible);
  const [offset, setOffset] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)({});
  const [visibility, setVisibility] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(visible ? "visible" : null);
  const calculatePosition = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    var _triggerRef$current, _props$align;

    const dropdownEl = dropdown.current;
    const parent = (_triggerRef$current = triggerRef === null || triggerRef === void 0 ? void 0 : triggerRef.current) !== null && _triggerRef$current !== void 0 ? _triggerRef$current : dropdownEl.parentNode;
    const {
      left,
      top
    } = (0,_utils_dom__WEBPACK_IMPORTED_MODULE_3__.alignElements)(parent, dropdownEl, `bottom-${(_props$align = props.align) !== null && _props$align !== void 0 ? _props$align : 'left'}`);
    setOffset({
      left,
      top
    });
  }, [triggerRef]);
  const dropdownIndex = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    return lastIndex++;
  }, []);
  const performAnimation = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async (visible = false) => {
    if (props.enabled === false && visible === true) return;
    return new Promise(resolve => {
      const menu = dropdown.current;

      if (animated !== false) {
        (0,_utils_transition__WEBPACK_IMPORTED_MODULE_4__.aroundTransition)(menu, {
          transition: () => {
            setVisibility(visible ? "appear" : "disappear");
          },
          beforeTransition: () => {
            setVisibility(visible ? "before-appear" : "before-disappear");
          },
          afterTransition: () => {
            setVisibility(visible ? "visible" : null);
            resolve();
          }
        });
      } else {
        setVisibility(visible ? "visible" : null);
        resolve();
      }
    });
  }, [animated]);
  const changeVisibility = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async visibility => {
    var _props$onToggle, _props$onVisibilityCh;

    (_props$onToggle = props.onToggle) === null || _props$onToggle === void 0 ? void 0 : _props$onToggle.call(props, visibility);
    await performAnimation(visibility);
    setVisible(visibility);
    (_props$onVisibilityCh = props.onVisibilityChanged) === null || _props$onVisibilityCh === void 0 ? void 0 : _props$onVisibilityCh.call(props, visibility);
  }, [props, performAnimation]);
  const close = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    if (currentVisible === false || renderable === false) return;
    await changeVisibility(false);
    setRenderable(false);
  }, [currentVisible, performAnimation, props, renderable]);
  const open = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    if (currentVisible === true || renderable === true) return;
    setRenderable(true);
  }, [currentVisible, performAnimation, props, renderable]);
  const toggle = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    const newState = !currentVisible;

    if (newState) {
      open();
    } else {
      close();
    }
  }, [close, currentVisible, open]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (!ref) return;
    ref.current = {
      dropdown: dropdown.current,
      visible: visibility !== null,
      toggle,
      open,
      close
    };
  }, [close, open, ref, toggle, dropdown, visibility]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    setVisible(visible);
  }, [visible]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (!isInline && visibility === "before-appear") {
      calculatePosition();
    }
  }, [visibility, calculatePosition, isInline]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (props.enabled === false) performAnimation(false);
  }, [props.enabled]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (renderable) changeVisibility(true);
  }, [renderable]);
  const content = children.props && children.props.type === "Menu" ? /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.cloneElement)(children, { ...children.props,
    className: rootName.elem("menu").mix(children.props.className)
  }) : children;
  const visibilityClasses = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    switch (visibility) {
      case "before-appear":
        return "before-appear";

      case "appear":
        return "appear before-appear";

      case "before-disappear":
        return "before-disappear";

      case "disappear":
        return "disappear before-disappear";

      case "visible":
        return "visible";

      default:
        return visible ? "visible" : null;
    }
  }, [visibility, visible]);
  const compositeStyles = { ...((_props$style = props.style) !== null && _props$style !== void 0 ? _props$style : {}),
    ...(offset !== null && offset !== void 0 ? offset : {}),
    zIndex: 1000 + dropdownIndex
  };

  const result = /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Block, {
    ref: dropdown,
    name: "dropdown",
    mix: [props.className, visibilityClasses],
    style: compositeStyles,
    onClick: e => e.stopPropagation(),
    children: content
  });

  return renderable ? props.inline === true ? result : /*#__PURE__*/react_dom__WEBPACK_IMPORTED_MODULE_1__.createPortal(result, document.body) : null;
});
Dropdown.displayName = "Dropdown";
Dropdown.Trigger = _DropdownTrigger__WEBPACK_IMPORTED_MODULE_7__.DropdownTrigger;

/***/ }),

/***/ "./src/components/Dropdown/DropdownContext.js":
/*!****************************************************!*\
  !*** ./src/components/Dropdown/DropdownContext.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "DropdownContext": () => (/* binding */ DropdownContext)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");

const DropdownContext = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createContext();

/***/ }),

/***/ "./src/components/Dropdown/DropdownTrigger.js":
/*!****************************************************!*\
  !*** ./src/components/Dropdown/DropdownTrigger.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "DropdownTrigger": () => (/* binding */ DropdownTrigger),
/* harmony export */   "useDropdown": () => (/* binding */ useDropdown)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _DropdownComponent__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./DropdownComponent */ "./src/components/Dropdown/DropdownComponent.js");
/* harmony import */ var _DropdownContext__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./DropdownContext */ "./src/components/Dropdown/DropdownContext.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");





const DropdownTrigger = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(({
  tag,
  children,
  dropdown,
  content,
  toggle,
  closeOnClickOutside = true,
  ...props
}, ref) => {
  var _ref, _triggerEL$props$ref, _triggerEL$props;

  const dropdownRef = (_ref = ref !== null && ref !== void 0 ? ref : dropdown) !== null && _ref !== void 0 ? _ref : (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const triggerEL = react__WEBPACK_IMPORTED_MODULE_0__.Children.only(children);
  const [childset] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(new Set());
  /** @type {import('react').RefObject<HTMLElement>} */

  const triggerRef = (_triggerEL$props$ref = triggerEL.props.ref) !== null && _triggerEL$props$ref !== void 0 ? _triggerEL$props$ref : (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const parentDropdown = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_DropdownContext__WEBPACK_IMPORTED_MODULE_2__.DropdownContext);
  const targetIsInsideDropdown = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(target => {
    var _triggerRef$current, _triggerRef$current$c, _dropdownRef$current, _dropdownRef$current$, _dropdownRef$current$2;

    const triggerClicked = (_triggerRef$current = triggerRef.current) === null || _triggerRef$current === void 0 ? void 0 : (_triggerRef$current$c = _triggerRef$current.contains) === null || _triggerRef$current$c === void 0 ? void 0 : _triggerRef$current$c.call(_triggerRef$current, target);
    const dropdownClicked = (_dropdownRef$current = dropdownRef.current) === null || _dropdownRef$current === void 0 ? void 0 : (_dropdownRef$current$ = _dropdownRef$current.dropdown) === null || _dropdownRef$current$ === void 0 ? void 0 : (_dropdownRef$current$2 = _dropdownRef$current$.contains) === null || _dropdownRef$current$2 === void 0 ? void 0 : _dropdownRef$current$2.call(_dropdownRef$current$, target);
    const childDropdownClicked = Array.from(childset).reduce((res, child) => {
      return res || child.hasTarget(target);
    }, false);
    return triggerClicked || dropdownClicked || childDropdownClicked;
  }, [triggerRef, dropdownRef]);
  const handleClick = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(e => {
    var _dropdownRef$current2, _dropdownRef$current3;

    if (!closeOnClickOutside) return;
    if (targetIsInsideDropdown(e.target)) return;
    (_dropdownRef$current2 = dropdownRef.current) === null || _dropdownRef$current2 === void 0 ? void 0 : (_dropdownRef$current3 = _dropdownRef$current2.close) === null || _dropdownRef$current3 === void 0 ? void 0 : _dropdownRef$current3.call(_dropdownRef$current2);
  }, [closeOnClickOutside, targetIsInsideDropdown]);
  const handleToggle = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(e => {
    var _dropdownRef$current4, _dropdownRef$current5, _dropdownRef$current6, _dropdownRef$current7, _dropdownRef$current8;

    const inDropdown = (_dropdownRef$current4 = dropdownRef.current) === null || _dropdownRef$current4 === void 0 ? void 0 : (_dropdownRef$current5 = _dropdownRef$current4.dropdown) === null || _dropdownRef$current5 === void 0 ? void 0 : (_dropdownRef$current6 = _dropdownRef$current5.contains) === null || _dropdownRef$current6 === void 0 ? void 0 : _dropdownRef$current6.call(_dropdownRef$current5, e.target);
    if (inDropdown) return e.stopPropagation();
    if (toggle === false) return dropdownRef === null || dropdownRef === void 0 ? void 0 : (_dropdownRef$current7 = dropdownRef.current) === null || _dropdownRef$current7 === void 0 ? void 0 : _dropdownRef$current7.open();
    dropdownRef === null || dropdownRef === void 0 ? void 0 : (_dropdownRef$current8 = dropdownRef.current) === null || _dropdownRef$current8 === void 0 ? void 0 : _dropdownRef$current8.toggle();
  }, [dropdownRef]);
  const triggerClone = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.cloneElement)(triggerEL, { ...triggerEL.props,
    tag,
    key: "dd-trigger",
    ref: triggerRef,
    onClickCapture: (_triggerEL$props = triggerEL.props) !== null && _triggerEL$props !== void 0 && _triggerEL$props.onClick ? null : handleToggle
  });
  const dropdownClone = content ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(_DropdownComponent__WEBPACK_IMPORTED_MODULE_1__.Dropdown, { ...props,
    ref: dropdownRef,
    children: content
  }) : null;
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    document.addEventListener("click", handleClick, {
      capture: true
    });
    return () => document.removeEventListener("click", handleClick, {
      capture: true
    });
  }, [handleClick]);
  const contextValue = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => ({
    triggerRef,
    dropdown: dropdownRef,
    hasTarget: targetIsInsideDropdown,
    addChild: child => childset.add(child),
    removeChild: child => childset.delete(child),
    open: () => {
      var _dropdownRef$current9, _dropdownRef$current10;

      return dropdownRef === null || dropdownRef === void 0 ? void 0 : (_dropdownRef$current9 = dropdownRef.current) === null || _dropdownRef$current9 === void 0 ? void 0 : (_dropdownRef$current10 = _dropdownRef$current9.open) === null || _dropdownRef$current10 === void 0 ? void 0 : _dropdownRef$current10.call(_dropdownRef$current9);
    },
    close: () => {
      var _dropdownRef$current11, _dropdownRef$current12;

      return dropdownRef === null || dropdownRef === void 0 ? void 0 : (_dropdownRef$current11 = dropdownRef.current) === null || _dropdownRef$current11 === void 0 ? void 0 : (_dropdownRef$current12 = _dropdownRef$current11.close) === null || _dropdownRef$current12 === void 0 ? void 0 : _dropdownRef$current12.call(_dropdownRef$current11);
    }
  }), [triggerRef, dropdownRef]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (!parentDropdown) return;
    parentDropdown.addChild(contextValue);
    return () => parentDropdown.removeChild(contextValue);
  }, []);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)(_DropdownContext__WEBPACK_IMPORTED_MODULE_2__.DropdownContext.Provider, {
    value: contextValue,
    children: [triggerClone, dropdownClone]
  });
});
const useDropdown = () => {
  return (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_DropdownContext__WEBPACK_IMPORTED_MODULE_2__.DropdownContext);
};

/***/ }),

/***/ "./src/components/Error/Error.js":
/*!***************************************!*\
  !*** ./src/components/Error/Error.js ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ErrorWrapper": () => (/* binding */ ErrorWrapper)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _Button_Button__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../Button/Button */ "./src/components/Button/Button.js");
/* harmony import */ var _Space_Space__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../Space/Space */ "./src/components/Space/Space.js");
/* harmony import */ var _Error_styl__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./Error.styl */ "./src/components/Error/Error.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");









const SLACK_INVITE_URL = "https://slack.labelstud.io/?source=product-error-msg";
const ErrorWrapper = ({
  title,
  message,
  errorId,
  stacktrace,
  validation,
  version,
  onGoBack,
  onReload,
  possum = false
}) => {
  const preparedStackTrace = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    return (stacktrace !== null && stacktrace !== void 0 ? stacktrace : "").trim();
  }, [stacktrace]);
  const [copied, setCopied] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const copyStacktrace = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    setCopied(true);
    (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_3__.copyText)(preparedStackTrace);
    setTimeout(() => setCopied(false), 1200);
  }, [preparedStackTrace]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Block, {
    name: "error-message",
    children: [possum !== false && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
      tag: "img",
      name: "heidi",
      src: (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_3__.absoluteURL)("/static/images/opossum_broken.svg"),
      height: "111",
      alt: "Heidi's down"
    }), title && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
      name: "title",
      children: title
    }), message && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
      name: "detail",
      dangerouslySetInnerHTML: {
        __html: String(message)
      }
    }), preparedStackTrace && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
      name: "stracktrace",
      dangerouslySetInnerHTML: {
        __html: preparedStackTrace.replace(/(\n)/g, '<br>')
      }
    }), (validation === null || validation === void 0 ? void 0 : validation.length) > 0 && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
      tag: "ul",
      name: "validation",
      children: validation.map(([field, errors]) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(react__WEBPACK_IMPORTED_MODULE_0__.Fragment, {
        children: [].concat(errors).map((err, i) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
          tag: "li",
          name: "message",
          dangerouslySetInnerHTML: {
            __html: err
          }
        }, i))
      }, field))
    }), (version || errorId) && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
      name: "version",
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_Space_Space__WEBPACK_IMPORTED_MODULE_5__.Space, {
        children: [version && `Version: ${version}`, errorId && `Error ID: ${errorId}`]
      })
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
      name: "actions",
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_Space_Space__WEBPACK_IMPORTED_MODULE_5__.Space, {
        spread: true,
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
          tag: _Button_Button__WEBPACK_IMPORTED_MODULE_4__.Button,
          name: "action-slack",
          target: "_blank",
          icon: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_1__.LsSlack, {}),
          href: SLACK_INVITE_URL,
          children: "Ask on Slack"
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_Space_Space__WEBPACK_IMPORTED_MODULE_5__.Space, {
          size: "small",
          children: [preparedStackTrace && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_Button_Button__WEBPACK_IMPORTED_MODULE_4__.Button, {
            disabled: copied,
            onClick: copyStacktrace,
            style: {
              width: 180
            },
            children: copied ? "Copied" : "Copy Stacktrace"
          }), onGoBack && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_Button_Button__WEBPACK_IMPORTED_MODULE_4__.Button, {
            onClick: onGoBack,
            children: "Go Back"
          }), onReload && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_Button_Button__WEBPACK_IMPORTED_MODULE_4__.Button, {
            onClick: onReload,
            children: "Reload"
          })]
        })]
      })
    })]
  });
};

/***/ }),

/***/ "./src/components/Error/InlineError.js":
/*!*********************************************!*\
  !*** ./src/components/Error/InlineError.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "InlineError": () => (/* binding */ InlineError)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Error__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./Error */ "./src/components/Error/Error.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");






const InlineError = ({
  children,
  includeValidation,
  className,
  style
}) => {
  const context = react__WEBPACK_IMPORTED_MODULE_0__.useContext(_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_1__.ApiContext);
  react__WEBPACK_IMPORTED_MODULE_0__.useEffect(() => {
    context.showModal = false;
  }, [context]);
  return context.error ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Block, {
    name: "inline-error",
    mix: className,
    style: style,
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_Error__WEBPACK_IMPORTED_MODULE_3__.ErrorWrapper, {
      possum: false,
      ...context.errorFormatter(context.error, {
        includeValidation
      })
    }), children]
  }) : null;
};

/***/ }),

/***/ "./src/components/Form/Elements/Checkbox/Checkbox.js":
/*!***********************************************************!*\
  !*** ./src/components/Form/Elements/Checkbox/Checkbox.js ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _FormField__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../FormField */ "./src/components/Form/FormField.js");
/* harmony import */ var _Utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../Utils */ "./src/components/Form/Utils.ts");
/* harmony import */ var _Label_Label__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../Label/Label */ "./src/components/Form/Elements/Label/Label.js");
/* harmony import */ var _Checkbox_styl__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./Checkbox.styl */ "./src/components/Form/Elements/Checkbox/Checkbox.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");





 // Styles specific to Checkbox



const Checkbox = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(({
  className,
  label,
  labelProps,
  description,
  checked,
  defaultChecked,
  onChange,
  validate,
  required,
  skip,
  ...props
}, ref) => {
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('checkbox'); // Class name specific to Checkbox

  const initialChecked = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    var _ref;

    return (_ref = defaultChecked !== null && defaultChecked !== void 0 ? defaultChecked : checked) !== null && _ref !== void 0 ? _ref : false;
  }, [defaultChecked, checked]);
  const [isChecked, setIsChecked] = (0,_Utils__WEBPACK_IMPORTED_MODULE_3__.useValueTracker)(checked, defaultChecked !== null && defaultChecked !== void 0 ? defaultChecked : false);
  const classList = [rootClass];
  const mods = {};
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    setIsChecked(initialChecked);
  }, [initialChecked]);
  if (isChecked) mods.checked = isChecked;
  mods.disabled = props.disabled;
  classList.push(rootClass.mod(mods), className);

  const formField = /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_FormField__WEBPACK_IMPORTED_MODULE_2__.FormField, {
    ref: label ? null : ref,
    label: label,
    name: props.name,
    validate: validate,
    required: required,
    skip: skip,
    setValue: value => setIsChecked(value),
    ...props,
    children: ref => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("div", {
      className: classList.join(" "),
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("input", {
        ref: ref,
        ...props,
        className: rootClass.elem('input'),
        type: "checkbox",
        checked: isChecked,
        onChange: e => {
          setIsChecked(e.target.checked);
          onChange === null || onChange === void 0 ? void 0 : onChange(e);
        }
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("span", {
        className: rootClass.elem('indicator')
      })]
    })
  });

  return label ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_Label_Label__WEBPACK_IMPORTED_MODULE_4__["default"], {
    ref: ref,
    placement: "right",
    required: required,
    text: label,
    children: formField,
    description: description,
    ...(labelProps !== null && labelProps !== void 0 ? labelProps : {})
  }) : formField;
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Checkbox);

/***/ }),

/***/ "./src/components/Form/Elements/Counter/Counter.js":
/*!*********************************************************!*\
  !*** ./src/components/Form/Elements/Counter/Counter.js ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_icons_fa__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! react-icons/fa */ "./node_modules/react-icons/fa/index.esm.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Oneof_Oneof__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../Oneof/Oneof */ "./src/components/Oneof/Oneof.js");
/* harmony import */ var _FormField__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../FormField */ "./src/components/Form/FormField.js");
/* harmony import */ var _Label_Label__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../Label/Label */ "./src/components/Form/Elements/Label/Label.js");
/* harmony import */ var _Counter_styl__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./Counter.styl */ "./src/components/Form/Elements/Counter/Counter.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");









const allowedKeys = ['ArrowUp', 'ArrowDown', 'Backspace', 'Delete', /[0-9]/];
const CounterContext = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createContext(null);

const Counter = ({
  label,
  className,
  validate,
  required,
  skip,
  labelProps,
  ...props
}) => {
  var _props$min, _props$max, _props$value, _props$autofocus, _props$disabled;

  const [min, max] = [(_props$min = props.min) !== null && _props$min !== void 0 ? _props$min : -Infinity, (_props$max = props.max) !== null && _props$max !== void 0 ? _props$max : Infinity];

  const normalizeValue = value => Math.max(min, Math.min(max, value));

  const [currentValue, setCurrentValue] = react__WEBPACK_IMPORTED_MODULE_0__.useState(normalizeValue((_props$value = props.value) !== null && _props$value !== void 0 ? _props$value : 0));
  const [focused, setFocused] = react__WEBPACK_IMPORTED_MODULE_0__.useState((_props$autofocus = props.autofocus) !== null && _props$autofocus !== void 0 ? _props$autofocus : false);
  const [disabled, setDisabled] = react__WEBPACK_IMPORTED_MODULE_0__.useState((_props$disabled = props.disabled) !== null && _props$disabled !== void 0 ? _props$disabled : null);

  const setNewValue = value => {
    setCurrentValue(normalizeValue(Number(value)));
  };

  const increase = react__WEBPACK_IMPORTED_MODULE_0__.useCallback(() => {
    var _props$step;

    setNewValue((currentValue !== null && currentValue !== void 0 ? currentValue : 0) + ((_props$step = props.step) !== null && _props$step !== void 0 ? _props$step : 1));
  }, [currentValue, props.step]);
  const decrease = react__WEBPACK_IMPORTED_MODULE_0__.useCallback(() => {
    var _props$step2;

    setNewValue((currentValue !== null && currentValue !== void 0 ? currentValue : 0) - ((_props$step2 = props.step) !== null && _props$step2 !== void 0 ? _props$step2 : 1));
  }, [currentValue, props.step]);
  /**@type {(e: import('react').SyntheticEvent<HTMLInputElement, KeyboardEvent>)} */

  const onInputHandler = e => {
    const allowedKey = allowedKeys.find(k => k instanceof RegExp ? k.test(e.key) : k === e.key);
    if (!allowedKey && !e.metaKey) e.preventDefault();

    if (allowedKey === 'ArrowUp') {
      increase();
      e.preventDefault();
    } else if (allowedKey === 'ArrowDown') {
      decrease();
      e.preventDefault();
    }
  };
  /**@type {(e: import('react').SyntheticEvent<HTMLInputElement, ClipboardEvent>)} */


  const onPasteHandler = e => {
    const content = e.nativeEvent.clipboardData.getData('text');
    const isNumerical = /([0-9]+)/.test(content);
    if (!isNumerical) e.preventDefault();
  };
  /**@type {(e: import('react').SyntheticEvent<HTMLInputElement>)} */


  const onChangeHandler = e => {
    var _props$onChange;

    if (e.target.value) {
      setCurrentValue(normalizeValue(Number(e.target.value)));
    } else {
      setCurrentValue("");
    }

    (_props$onChange = props.onChange) === null || _props$onChange === void 0 ? void 0 : _props$onChange.call(props, e);
  };

  const onFocusHandler = e => {
    var _props$onFocus;

    setFocused(true);
    (_props$onFocus = props.onFocus) === null || _props$onFocus === void 0 ? void 0 : _props$onFocus.call(props, e);
  };

  const onBlurHandler = e => {
    var _props$onBlur;

    setFocused(false);
    (_props$onBlur = props.onBlur) === null || _props$onBlur === void 0 ? void 0 : _props$onBlur.call(props, e);
  };

  const onClickHandler = (type, input) => e => {
    var _document$activeEleme;

    e.preventDefault();
    e.stopPropagation();
    (_document$activeEleme = document.activeElement) === null || _document$activeEleme === void 0 ? void 0 : _document$activeEleme.blur();
    setFocused();
    input.current.focus();
    getSelection().removeAllRanges();
    if (type === 'increase') return increase();else if (type === 'decrease') return decrease();
  };

  const field = /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_FormField__WEBPACK_IMPORTED_MODULE_3__.FormField, {
    label: label,
    name: props.name,
    validate: validate,
    required: required,
    setValue: setNewValue,
    skip: skip,
    onDependencyChanged: f => {
      if (f.type === 'checkbox') setDisabled(!f.checked);
    },
    ...props,
    children: (ref, dep) => {
      const depDisabled = (dep === null || dep === void 0 ? void 0 : dep.type) === 'checkbox' && (dep === null || dep === void 0 ? void 0 : dep.checked) === false || false;
      const fieldDisabled = disabled !== null && disabled !== void 0 ? disabled : depDisabled;
      const contextValue = {
        currentValue,
        min,
        max,
        disabled: fieldDisabled,
        ref,
        onClickHandler
      };
      return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(CounterContext.Provider, {
        value: contextValue,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Block, {
          name: "counter",
          mod: {
            focused,
            disabled: fieldDisabled
          },
          mix: className,
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(CounterButton, {
            type: "decrease"
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
            ref: ref,
            tag: "input",
            name: "input",
            type: "text",
            disabled: fieldDisabled,
            value: currentValue,
            onKeyDown: onInputHandler,
            onPaste: onPasteHandler,
            onChange: onChangeHandler,
            onFocus: onFocusHandler,
            onBlur: onBlurHandler
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(CounterButton, {
            type: "increase"
          })]
        })
      });
    }
  });

  return label ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_Label_Label__WEBPACK_IMPORTED_MODULE_4__["default"], { ...(labelProps !== null && labelProps !== void 0 ? labelProps : {}),
    text: label,
    required: required,
    children: field
  }) : field;
};

const CounterButton = ({
  type
}) => {
  const {
    currentValue,
    min,
    max,
    disabled,
    ref,
    onClickHandler
  } = react__WEBPACK_IMPORTED_MODULE_0__.useContext(CounterContext);
  const compareLimit = type === 'increase' ? max : min;
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
    tag: "a",
    href: "#",
    name: "btn",
    mod: {
      type,
      disabled: currentValue === compareLimit || disabled
    },
    onClick: onClickHandler(type, ref),
    onMouseDownCapture: e => e.preventDefault(),
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)(_Oneof_Oneof__WEBPACK_IMPORTED_MODULE_2__.Oneof, {
      value: type,
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(react_icons_fa__WEBPACK_IMPORTED_MODULE_7__.FaMinus, {
        case: "decrease"
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(react_icons_fa__WEBPACK_IMPORTED_MODULE_7__.FaPlus, {
        case: "increase"
      })]
    })
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Counter);

/***/ }),

/***/ "./src/components/Form/Elements/Input/Input.js":
/*!*****************************************************!*\
  !*** ./src/components/Form/Elements/Input/Input.js ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _FormField__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../FormField */ "./src/components/Form/FormField.js");
/* harmony import */ var _Label_Label__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../Label/Label */ "./src/components/Form/Elements/Label/Label.js");
/* harmony import */ var _Input_styl__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./Input.styl */ "./src/components/Form/Elements/Input/Input.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");







const Input = ({
  label,
  className,
  validate,
  required,
  skip,
  labelProps,
  ghost,
  ...props
}) => {
  const classList = [(0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('input').mod({
    ghost
  }), className].join(" ").trim();

  const input = /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_FormField__WEBPACK_IMPORTED_MODULE_2__.FormField, {
    label: label,
    name: props.name,
    validate: validate,
    required: required,
    skip: skip,
    ...props,
    children: ref => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("input", { ...props,
      ref: ref,
      className: classList
    })
  });

  return label ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_Label_Label__WEBPACK_IMPORTED_MODULE_3__["default"], { ...(labelProps !== null && labelProps !== void 0 ? labelProps : {}),
    text: label,
    required: required,
    children: input
  }) : input;
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Input);

/***/ }),

/***/ "./src/components/Form/Elements/Label/Label.js":
/*!*****************************************************!*\
  !*** ./src/components/Form/Elements/Label/Label.js ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Label_styl__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./Label.styl */ "./src/components/Form/Elements/Label/Label.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");







const Label = ({
  text,
  children,
  required,
  placement,
  description,
  size,
  large,
  style,
  simple,
  flat
}) => {
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('label');
  const classList = [rootClass];
  const tagName = simple ? 'div' : 'label';
  const mods = {
    size,
    large,
    flat,
    placement,
    withDescription: !!description,
    empty: !children
  };
  classList.push(rootClass.mod(mods));
  return /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(tagName, {
    'className': classList.join(" "),
    'data-required': required,
    'style': style
  }, /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.Fragment, {
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
      className: rootClass.elem('text'),
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)("div", {
        className: rootClass.elem('content'),
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
          className: rootClass.elem('label'),
          children: text
        }), description && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
          className: rootClass.elem("description"),
          children: description
        })]
      })
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
      className: rootClass.elem('field'),
      children: children
    })]
  }));
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Label);

/***/ }),

/***/ "./src/components/Form/Elements/RadioGroup/RadioGroup.js":
/*!***************************************************************!*\
  !*** ./src/components/Form/Elements/RadioGroup/RadioGroup.js ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "RadioGroup": () => (/* binding */ RadioGroup)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var ___WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! .. */ "./src/components/Form/Elements/index.ts");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _FormField__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../FormField */ "./src/components/Form/FormField.js");
/* harmony import */ var _RadioGroup_styl__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./RadioGroup.styl */ "./src/components/Form/Elements/RadioGroup/RadioGroup.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");







const RadioContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)();
const {
  Block,
  Elem
} = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_2__.BemWithSpecifiContext)();
const RadioGroup = ({
  label,
  className,
  validate,
  required,
  skip,
  simple,
  labelProps,
  size,
  value,
  onChange,
  children,
  ...props
}) => {
  const [currentValue, setCurrentValue] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(value);

  const onRadioChange = value => {
    setCurrentValue(value);
    onChange === null || onChange === void 0 ? void 0 : onChange(value);
  };

  const field = /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_FormField__WEBPACK_IMPORTED_MODULE_3__.FormField, {
    name: props.name,
    label: label,
    validate: validate,
    required: required,
    skip: skip,
    setValue: value => setCurrentValue(value),
    ...props,
    children: (ref, dep, form) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(RadioContext.Provider, {
      value: {
        value: currentValue,
        onChange: value => {
          onRadioChange(value);
          form.autosubmit();
        },
        setValue: setCurrentValue,
        isSimple: simple === true
      },
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)(Block, {
        name: "radio-group",
        mod: {
          size,
          simple
        },
        mix: className,
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("input", {
          ref: ref,
          name: props.name,
          type: "hidden",
          defaultValue: currentValue
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(Elem, {
          name: "buttons",
          children: children
        })]
      })
    })
  });

  return label ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(___WEBPACK_IMPORTED_MODULE_1__.Label, { ...(labelProps !== null && labelProps !== void 0 ? labelProps : {}),
    text: label,
    simple: simple,
    required: required,
    children: field
  }) : field;
};

const RadioButton = ({
  value,
  disabled,
  children,
  label,
  description,
  ...props
}) => {
  const {
    onChange,
    setValue,
    value: currentValue,
    isSimple
  } = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(RadioContext);
  const checked = value === currentValue;
  const clickHandler = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(e => {
    e.preventDefault();
    e.stopPropagation();
    if (disabled) return;
    onChange(value);
  }, [value, disabled]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (props.checked) setValue(value);
  }, [props.checked]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(Elem, {
    name: "button",
    mod: {
      checked,
      disabled
    },
    onClickCapture: clickHandler,
    children: isSimple ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(___WEBPACK_IMPORTED_MODULE_1__.Label, {
      placement: "right",
      text: label,
      description: description,
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("input", {
        type: "radio",
        value: value,
        checked: checked,
        disabled: disabled,
        readOnly: true,
        style: {
          pointerEvents: 'none'
        }
      })
    }) : children
  });
};

RadioGroup.Button = RadioButton;

/***/ }),

/***/ "./src/components/Form/Elements/Select/Select.js":
/*!*******************************************************!*\
  !*** ./src/components/Form/Elements/Select/Select.js ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _FormField__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../FormField */ "./src/components/Form/FormField.js");
/* harmony import */ var _Label_Label__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../Label/Label */ "./src/components/Form/Elements/Label/Label.js");
/* harmony import */ var _Select_styl__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./Select.styl */ "./src/components/Form/Elements/Select/Select.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");








const Select = ({
  label,
  className,
  options,
  validate,
  required,
  skip,
  labelProps,
  ghost,
  ...props
}) => {
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('select');
  const initialValue = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    var _props$value;

    return (_props$value = props.value) !== null && _props$value !== void 0 ? _props$value : "";
  }, [props.value]);
  const [value, setValue] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(initialValue);
  const classList = rootClass.mod({
    ghost
  }).mix(className);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    setValue(initialValue);
  }, [initialValue]);

  const selectWrapper = /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_FormField__WEBPACK_IMPORTED_MODULE_2__.FormField, {
    name: props.name,
    label: label,
    validate: validate,
    required: required,
    skip: skip,
    setValue: val => setValue(val),
    ...props,
    children: ref => {
      return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("div", {
        className: classList,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)("select", { ...props,
          value: value,
          onChange: e => {
            var _props$onChange;

            setValue(e.target.value), (_props$onChange = props.onChange) === null || _props$onChange === void 0 ? void 0 : _props$onChange.call(props, e);
          },
          ref: ref,
          className: rootClass.elem('list'),
          children: [props.placeholder && (!props.defaulValue || !props.value) && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("option", {
            value: "",
            disabled: true,
            hidden: true,
            children: props.placeholder
          }), (options !== null && options !== void 0 ? options : []).map(option => {
            var _option$value, _option$label, _option$disabled, _option$hidden;

            const value = (_option$value = option.value) !== null && _option$value !== void 0 ? _option$value : option;
            const label = (_option$label = option.label) !== null && _option$label !== void 0 ? _option$label : value;
            const disabled = (_option$disabled = option.disabled) !== null && _option$disabled !== void 0 ? _option$disabled : false;
            const hidden = (_option$hidden = option.hidden) !== null && _option$hidden !== void 0 ? _option$hidden : false;
            return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("option", {
              value: value,
              disabled: disabled,
              hidden: hidden,
              children: label
            }, value);
          })]
        })
      });
    }
  });

  return label ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_Label_Label__WEBPACK_IMPORTED_MODULE_3__["default"], { ...(labelProps !== null && labelProps !== void 0 ? labelProps : {}),
    text: label,
    required: required,
    children: selectWrapper
  }) : selectWrapper;
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Select);

/***/ }),

/***/ "./src/components/Form/Elements/TextArea/TextArea.js":
/*!***********************************************************!*\
  !*** ./src/components/Form/Elements/TextArea/TextArea.js ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _FormField__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../FormField */ "./src/components/Form/FormField.js");
/* harmony import */ var _Label_Label__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../Label/Label */ "./src/components/Form/Elements/Label/Label.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");






const TextArea = ({
  label,
  className,
  validate,
  required,
  skip,
  labelProps,
  ...props
}) => {
  const classList = [(0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('textarea'), className].join(" ").trim();

  const input = /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_FormField__WEBPACK_IMPORTED_MODULE_2__.FormField, {
    label: label,
    name: props.name,
    validate: validate,
    required: required,
    skip: skip,
    ...props,
    children: ref => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)("textarea", { ...props,
      ref: ref,
      className: classList
    })
  });

  return label ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_Label_Label__WEBPACK_IMPORTED_MODULE_3__["default"], { ...(labelProps !== null && labelProps !== void 0 ? labelProps : {}),
    text: label,
    required: required,
    children: input
  }) : input;
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (TextArea);

/***/ }),

/***/ "./src/components/Form/Elements/Toggle/Toggle.js":
/*!*******************************************************!*\
  !*** ./src/components/Form/Elements/Toggle/Toggle.js ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _FormField__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../FormField */ "./src/components/Form/FormField.js");
/* harmony import */ var _Utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../Utils */ "./src/components/Form/Utils.ts");
/* harmony import */ var _Label_Label__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../Label/Label */ "./src/components/Form/Elements/Label/Label.js");
/* harmony import */ var _Toggle_styl__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./Toggle.styl */ "./src/components/Form/Elements/Toggle/Toggle.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");








const Toggle = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(({
  className,
  label,
  labelProps,
  description,
  checked,
  defaultChecked,
  onChange,
  validate,
  required,
  skip,
  ...props
}, ref) => {
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('toggle');
  const initialChecked = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    var _ref;

    return (_ref = defaultChecked !== null && defaultChecked !== void 0 ? defaultChecked : checked) !== null && _ref !== void 0 ? _ref : false;
  }, [defaultChecked, checked]);
  const [isChecked, setIsChecked] = (0,_Utils__WEBPACK_IMPORTED_MODULE_3__.useValueTracker)(checked, defaultChecked !== null && defaultChecked !== void 0 ? defaultChecked : false);
  const classList = [rootClass];
  const mods = {};
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    setIsChecked(initialChecked);
  }, [initialChecked]);
  if (isChecked) mods.checked = isChecked;
  mods.disabled = props.disabled;
  classList.push(rootClass.mod(mods), className);

  const formField = /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_FormField__WEBPACK_IMPORTED_MODULE_2__.FormField, {
    ref: label ? null : ref,
    label: label,
    name: props.name,
    validate: validate,
    required: required,
    skip: skip,
    setValue: value => setIsChecked(value),
    ...props,
    children: ref => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("div", {
      className: classList.join(" "),
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("input", {
        ref: ref,
        ...props,
        className: rootClass.elem('input'),
        type: "checkbox",
        checked: isChecked,
        onChange: e => {
          setIsChecked(e.target.checked);
          onChange === null || onChange === void 0 ? void 0 : onChange(e);
        }
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("span", {
        className: rootClass.elem('indicator')
      })]
    })
  });

  return label ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_Label_Label__WEBPACK_IMPORTED_MODULE_4__["default"], {
    ref: ref,
    placement: "right",
    required: required,
    text: label,
    children: formField,
    description: description,
    ...(labelProps !== null && labelProps !== void 0 ? labelProps : {})
  }) : formField;
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Toggle);

/***/ }),

/***/ "./src/components/Form/Form.js":
/*!*************************************!*\
  !*** ./src/components/Form/Form.js ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ Form)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var shallow_equal__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! shallow-equal */ "./node_modules/shallow-equal/dist/index.esm.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _providers_MultiProvider__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../providers/MultiProvider */ "./src/providers/MultiProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_debounce__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/debounce */ "./src/utils/debounce.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _Button_Button__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../Button/Button */ "./src/components/Button/Button.js");
/* harmony import */ var _Oneof_Oneof__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../Oneof/Oneof */ "./src/components/Oneof/Oneof.js");
/* harmony import */ var _Space_Space__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../Space/Space */ "./src/components/Space/Space.js");
/* harmony import */ var _Elements__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./Elements */ "./src/components/Form/Elements/index.ts");
/* harmony import */ var _Form_styl__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./Form.styl */ "./src/components/Form/Form.styl");
/* harmony import */ var _FormContext__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./FormContext */ "./src/components/Form/FormContext.js");
/* harmony import */ var _Validation_Validators__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./Validation/Validators */ "./src/components/Form/Validation/Validators.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}


















const PASSWORD_PROTECTED_VALUE = 'got ya, suspicious hacker!';
class Form extends react__WEBPACK_IMPORTED_MODULE_0__.Component {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "state", {
      validation: null,
      showValidation: true,
      submitting: false
    });

    _defineProperty(this, "formElement", /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createRef());

    _defineProperty(this, "apiRef", /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createRef());

    _defineProperty(this, "fields", new Set());

    _defineProperty(this, "validation", new Map());

    _defineProperty(this, "onFormSubmitted", async e => {
      e.preventDefault();
      this.validateFields();

      if (!this.validation.size) {
        this.setState({
          step: "submitting"
        });
        this.submit();
      } else {
        this.setState({
          step: "invalid"
        });
      }
    });

    _defineProperty(this, "_onAutoSubmit", () => {
      this.validateFields();

      if (!this.validation.size) {
        this.submit();
      }
    });

    _defineProperty(this, "onAutoSubmit", this.props.debounce ? (0,_utils_debounce__WEBPACK_IMPORTED_MODULE_5__.debounce)(this._onAutoSubmit, this.props.debounce) : this._onAutoSubmit);

    _defineProperty(this, "onFormChanged", async e => {
      var _this$props$onChange, _this$props;

      e.stopPropagation();
      (_this$props$onChange = (_this$props = this.props).onChange) === null || _this$props$onChange === void 0 ? void 0 : _this$props$onChange.call(_this$props, e);
      this.autosubmit();
    });
  }

  get api() {
    return this.apiRef.current;
  }

  componentDidMount() {
    if (this.props.formData) {
      setTimeout(() => {
        this.fillFormData();
      }, 50);
    }
  }

  componentDidUpdate(prevProps) {
    var _prevProps$formData, _this$props$formData;

    const equal = (0,shallow_equal__WEBPACK_IMPORTED_MODULE_1__.shallowEqualObjects)((_prevProps$formData = prevProps.formData) !== null && _prevProps$formData !== void 0 ? _prevProps$formData : {}, (_this$props$formData = this.props.formData) !== null && _this$props$formData !== void 0 ? _this$props$formData : {});

    if (!equal) {
      this.fillFormData();
    }
  }

  render() {
    const providers = [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_FormContext__WEBPACK_IMPORTED_MODULE_12__.FormContext.Provider, {
      value: this
    }, "form-ctx"), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_FormContext__WEBPACK_IMPORTED_MODULE_12__.FormValidationContext.Provider, {
      value: this.state.validation
    }, "form-validation-ctx"), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_FormContext__WEBPACK_IMPORTED_MODULE_12__.FormSubmissionContext.Provider, {
      value: this.state.submitting
    }, "form-submission-ctx"), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_FormContext__WEBPACK_IMPORTED_MODULE_12__.FormStateContext.Provider, {
      value: this.state.state
    }, "form-state-ctx"), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_FormContext__WEBPACK_IMPORTED_MODULE_12__.FormResponseContext.Provider, {
      value: this.state.lastResponse
    }, "form-response"), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_2__.ApiProvider, {
      ref: this.apiRef
    }, "form-api")];
    return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_providers_MultiProvider__WEBPACK_IMPORTED_MODULE_3__.MultiProvider, {
      providers: providers,
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsxs)("form", {
        ref: this.formElement,
        className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_4__.cn)('form'),
        action: this.props.action,
        onSubmit: this.onFormSubmitted,
        onChange: this.onFormChanged,
        autoComplete: this.props.autoComplete,
        autoSave: this.props.autoSave,
        style: this.props.style,
        children: [this.props.children, this.state.validation && this.state.showValidation && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(ValidationRenderer, {
          validation: this.state.validation
        })]
      })
    });
  }

  registerField(field) {
    const existingField = this.getFieldContext(field.name);

    if (!existingField) {
      this.fields.add(field);
      setTimeout(() => {
        this.fillWithFormData(field);
      }, 0);
    } else {
      Object.assign(existingField, field);
    }
  }

  unregisterField(name) {
    const field = this.getFieldContext(name);
    if (field) this.fields.delete(field);
  }

  getField(name) {
    var _this$getFieldContext;

    return (_this$getFieldContext = this.getFieldContext(name)) === null || _this$getFieldContext === void 0 ? void 0 : _this$getFieldContext.field;
  }

  getFieldContext(name) {
    return Array.from(this.fields).find(f => f.name === name);
  }

  disableValidationMessage() {
    this.setState({
      showValidation: false
    });
  }

  enableValidationMessage() {
    this.setState({
      showValidation: true
    });
  }

  autosubmit() {
    if (this.props.autosubmit) {
      setTimeout(() => {
        this.onAutoSubmit();
      }, 100);
    }
  }

  assembleFormData({
    asJSON = false,
    full = false,
    booleansAsNumbers = false,
    fieldsFilter
  } = {}) {
    let fields = Array.from(this.fields);

    if (fieldsFilter instanceof Function) {
      fields = fields.filter(fieldsFilter);
    }

    const requestBody = fields.reduce((res, {
      name,
      field,
      skip,
      allowEmpty,
      isProtected
    }) => {
      const skipProtected = isProtected && field.value === PASSWORD_PROTECTED_VALUE;
      const skipField = skip || skipProtected || (this.props.skipEmpty || allowEmpty === false) && !field.value;

      if (full === true || !skipField) {
        const value = (() => {
          const inputValue = field.value;

          if (['checkbox', 'radio'].includes(field.type)) {
            if ((0,_utils_helpers__WEBPACK_IMPORTED_MODULE_6__.isDefined)(inputValue) && !['', 'on', 'off', 'true', 'false'].includes(inputValue)) {
              return field.checked ? inputValue : null;
            }

            return booleansAsNumbers ? Number(field.checked) : field.checked;
          }

          return inputValue;
        })();

        if (value !== null) res.push([name, value]);
      }

      return res;
    }, []);

    if (asJSON) {
      return requestBody.reduce((res, [key, value]) => ({ ...res,
        [key]: value
      }), {});
    } else {
      const formData = new FormData();
      requestBody.forEach(([key, value]) => formData.append(key, value));
      return formData;
    }
  }

  async submit({
    fieldsFilter
  } = {}) {
    var _this$props$prepareDa, _this$props$prepareDa2, _this$props2;

    this.setState({
      submitting: true,
      lastResponse: null
    });
    const rawAction = this.formElement.current.getAttribute("action");
    const useApi = this.api.isValidMethod(rawAction);
    const data = this.assembleFormData({
      asJSON: useApi,
      fieldsFilter
    });
    const body = (_this$props$prepareDa = (_this$props$prepareDa2 = (_this$props2 = this.props).prepareData) === null || _this$props$prepareDa2 === void 0 ? void 0 : _this$props$prepareDa2.call(_this$props2, data)) !== null && _this$props$prepareDa !== void 0 ? _this$props$prepareDa : data;
    let success = false;

    if (useApi) {
      success = await this.submitWithAPI(rawAction, body);
    } else {
      success = await this.submitWithFetch(body);
    }

    this.setState({
      submitting: false,
      state: success ? "success" : "fail"
    }, () => {
      setTimeout(() => {
        this.setState({
          state: null
        });
      }, 1500);
    });
  }

  async submitWithAPI(action, body) {
    var _this$props$params;

    const urlParams = (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_6__.objectClean)((_this$props$params = this.props.params) !== null && _this$props$params !== void 0 ? _this$props$params : {});
    const response = await this.api.callApi(action, {
      params: urlParams,
      body
    });
    this.setState({
      lastResponse: response
    });

    if (response === null) {
      var _this$props$onError, _this$props3;

      (_this$props$onError = (_this$props3 = this.props).onError) === null || _this$props$onError === void 0 ? void 0 : _this$props$onError.call(_this$props3);
      return false;
    } else {
      var _this$props$onSubmit, _this$props4;

      (_this$props$onSubmit = (_this$props4 = this.props).onSubmit) === null || _this$props$onSubmit === void 0 ? void 0 : _this$props$onSubmit.call(_this$props4, response);
      return true;
    }
  }

  async submitWithFetch(body) {
    var _this$props$method;

    const action = this.formElement.current.action;
    const method = ((_this$props$method = this.props.method) !== null && _this$props$method !== void 0 ? _this$props$method : 'POST').toUpperCase();
    const response = await fetch(action, {
      method,
      body
    });

    try {
      const result = await response.json();
      this.setState({
        lastResponse: result
      });

      if (result.validation_errors) {
        Object.entries(result.validation_errors).forEach(([key, messages]) => {
          const field = this.getField(key);
          this.validation.set(field.name, {
            label: field.label,
            field: field.field,
            messages
          });
        });
        this.setState({
          validation: this.validation
        });
      }

      if (response.ok) {
        var _this$props$onSubmit2, _this$props5;

        (_this$props$onSubmit2 = (_this$props5 = this.props).onSubmit) === null || _this$props$onSubmit2 === void 0 ? void 0 : _this$props$onSubmit2.call(_this$props5, result);
        return true;
      } else {
        var _this$props$onError2, _this$props6;

        (_this$props$onError2 = (_this$props6 = this.props).onError) === null || _this$props$onError2 === void 0 ? void 0 : _this$props$onError2.call(_this$props6, result);
      }
    } catch (err) {
      var _this$props$onError3, _this$props7;

      console.log(err);
      (_this$props$onError3 = (_this$props7 = this.props).onError) === null || _this$props$onError3 === void 0 ? void 0 : _this$props$onError3.call(_this$props7, err);
    }

    return false;
  }

  validateFields() {
    this.validation.clear();

    for (const field of this.fields) {
      const result = this.validateField(field);

      if (result.length) {
        this.validation.set(field.name, {
          label: field.label,
          messages: result,
          field: field.field
        });
      }
    }

    if (this.validation.size) {
      this.setState({
        validation: this.validation
      });
    } else {
      this.setState({
        validation: null
      });
    }

    return this.validation.size === 0;
  }

  validateField(field) {
    var _element$value;

    const messages = [];
    const {
      validation,
      field: element
    } = field;
    const value = ((_element$value = element.value) === null || _element$value === void 0 ? void 0 : _element$value.trim()) || null;

    if (field.isProtected && value === PASSWORD_PROTECTED_VALUE) {
      return messages;
    }

    validation.forEach(validator => {
      const result = validator(field.label, value);
      if (result) messages.push(result);
    });
    return messages;
  }

  fillFormData() {
    if (!this.props.formData) return;
    if (this.fields.size === 0) return;
    Array.from(this.fields).forEach(field => {
      this.fillWithFormData(field);
    });
  }

  fillWithFormData(field) {
    var _this$props$formData2;

    const value = ((_this$props$formData2 = this.props.formData) !== null && _this$props$formData2 !== void 0 ? _this$props$formData2 : {})[field.name];

    if (field.isProtected && this.props.formData) {
      field.setValue(PASSWORD_PROTECTED_VALUE);
    } else if ((0,_utils_helpers__WEBPACK_IMPORTED_MODULE_6__.isDefined)(value) && field.value !== value && !field.skipAutofill) {
      field.setValue(value);
    }
  }

}

const ValidationRenderer = ({
  validation
}) => {
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_4__.cn)('form-validation');
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("div", {
    className: rootClass,
    children: Array.from(validation).map(([name, result]) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsxs)("div", {
      className: rootClass.elem('group'),
      onClick: () => result.field.focus(),
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("div", {
        className: rootClass.elem('field'),
        children: result.label
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("div", {
        className: rootClass.elem('messages'),
        children: result.messages.map((message, i) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("div", {
          className: rootClass.elem('message'),
          children: message
        }, `${name}-${i}`))
      })]
    }, name))
  });
};

Form.Validator = _Validation_Validators__WEBPACK_IMPORTED_MODULE_13__;

Form.Row = ({
  columnCount,
  rowGap,
  children,
  style,
  spread = false
}) => {
  const styles = {};
  if (columnCount) styles['--column-count'] = columnCount;
  if (rowGap) styles['--row-gap'] = rowGap;
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("div", {
    className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_4__.cn)('form').elem('row').mod({
      spread
    }),
    style: { ...(style !== null && style !== void 0 ? style : {}),
      ...styles
    },
    children: children
  });
};

Form.Builder = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.forwardRef(({
  fields: defaultFields,
  formData: defaultFormData,
  fetchFields,
  fetchFormData,
  children,
  formRowStyle,
  onSubmit,
  withActions,
  ...props
}, ref) => {
  const formRef = ref !== null && ref !== void 0 ? ref : (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const [fields, setFields] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(defaultFields !== null && defaultFields !== void 0 ? defaultFields : []);
  const [formData, setFormData] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(defaultFormData !== null && defaultFormData !== void 0 ? defaultFormData : {});

  const renderFields = fields => {
    return fields.map((field, index) => {
      var _formData$field$name, _field$name;

      if (!field) return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("div", {}, `spacer-${index}`);
      const currentValue = (_formData$field$name = formData === null || formData === void 0 ? void 0 : formData[field.name]) !== null && _formData$field$name !== void 0 ? _formData$field$name : undefined;
      const triggerUpdate = props.autosubmit !== true && field.trigger_form_update === true;

      const getValue = () => {
        const isProtected = field.skipAutofill && (!field.allowEmpty || field.protectedValue) && field.type === 'password';

        if (isProtected) {
          return PASSWORD_PROTECTED_VALUE;
        }

        if (field.skipAutofill) {
          return null;
        }

        return currentValue !== null && currentValue !== void 0 ? currentValue : field.value;
      };

      const commonProps = {};

      if (triggerUpdate) {
        commonProps.onChange = async () => {
          await formRef.current.submit({
            fieldsFilter: f => f.name === field.name
          });
          await updateFields();
          await updateFormData();
        };
      }

      const InputComponent = (() => {
        switch (field.type) {
          case "select":
            return _Elements__WEBPACK_IMPORTED_MODULE_10__.Select;

          case "counter":
            return _Elements__WEBPACK_IMPORTED_MODULE_10__.Counter;

          case "toggle":
            return _Elements__WEBPACK_IMPORTED_MODULE_10__.Toggle;

          case "checkbox":
            return _Elements__WEBPACK_IMPORTED_MODULE_10__.Checkbox;

          default:
            return _Elements__WEBPACK_IMPORTED_MODULE_10__.Input;
        }
      })();

      if (['checkbox', 'radio', 'toggle'].includes(field.type)) {
        commonProps.checked = getValue();
      } else if (field.type === 'counter') {
        commonProps.value = getValue();
      } else {
        commonProps.defaultValue = getValue();
      }

      return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(InputComponent, { ...field,
        ...commonProps
      }, (_field$name = field.name) !== null && _field$name !== void 0 ? _field$name : index);
    });
  };

  const renderColumns = columns => {
    return columns.map((col, index) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("div", {
      className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_4__.cn)('form').elem('column'),
      style: {
        width: col.width
      },
      children: renderFields(col.fields)
    }, index));
  };

  const updateFields = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    if (fetchFields) {
      const newFields = await fetchFields();

      if (JSON.stringify(fields) !== JSON.stringify(newFields)) {
        setFields(newFields);
      }
    }
  }, [fetchFields]);
  const updateFormData = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    if (fetchFormData) {
      const newFormData = await fetchFormData();

      if ((0,shallow_equal__WEBPACK_IMPORTED_MODULE_1__.shallowEqualObjects)(formData, newFormData) === false) {
        setFormData(newFormData);
      }
    }
  }, [fetchFormData]);
  const handleOnSubmit = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async (...args) => {
    onSubmit === null || onSubmit === void 0 ? void 0 : onSubmit(...args);
    await updateFields();
    await updateFormData();
  }, [onSubmit, fetchFormData]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    updateFields();
  }, [updateFields]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    updateFormData();
  }, [updateFormData]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    setFields(defaultFields);
  }, [defaultFields]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsxs)(Form, { ...props,
    onSubmit: handleOnSubmit,
    ref: formRef,
    children: [(fields !== null && fields !== void 0 ? fields : []).map(({
      columnCount,
      fields,
      columns
    }, index) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(Form.Row, {
      columnCount: columnCount,
      style: formRowStyle,
      spread: true,
      children: columns ? renderColumns(columns) : renderFields(fields)
    }, index)), children, props.autosubmit !== true && withActions === true && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(Form.Actions, {
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_Button_Button__WEBPACK_IMPORTED_MODULE_7__.Button, {
        type: "submit",
        look: "primary",
        style: {
          width: 120
        },
        children: "Save"
      })
    })]
  });
});

Form.Actions = ({
  children,
  valid,
  extra,
  size
}) => {
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_4__.cn)('form');
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsxs)("div", {
    className: rootClass.elem('submit').mod({
      size
    }),
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("div", {
      className: rootClass.elem('info').mod({
        valid
      }),
      children: extra
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_Space_Space__WEBPACK_IMPORTED_MODULE_9__.Space, {
      children: children
    })]
  });
};

Form.Indicator = () => {
  const state = react__WEBPACK_IMPORTED_MODULE_0__.useContext(_FormContext__WEBPACK_IMPORTED_MODULE_12__.FormStateContext);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Block, {
    name: "form-indicator",
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_Oneof_Oneof__WEBPACK_IMPORTED_MODULE_8__.Oneof, {
      value: state,
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
        tag: "span",
        mod: {
          type: state
        },
        name: "item",
        case: "success",
        children: "Saved!"
      })
    })
  });
};

Form.ResponseParser = ({
  children
}) => {
  const callback = children;

  if (callback instanceof Function === false) {
    throw new Error("Response Parser only accepts function as a child");
  }

  const response = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_FormContext__WEBPACK_IMPORTED_MODULE_12__.FormResponseContext);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.Fragment, {
    children: response ? callback(response) : null
  });
};

/***/ }),

/***/ "./src/components/Form/FormContext.js":
/*!********************************************!*\
  !*** ./src/components/Form/FormContext.js ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "FormContext": () => (/* binding */ FormContext),
/* harmony export */   "FormResponseContext": () => (/* binding */ FormResponseContext),
/* harmony export */   "FormStateContext": () => (/* binding */ FormStateContext),
/* harmony export */   "FormSubmissionContext": () => (/* binding */ FormSubmissionContext),
/* harmony export */   "FormValidationContext": () => (/* binding */ FormValidationContext)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");

const FormContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)();
FormContext.displayName = 'FormContext';
const FormValidationContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)();
FormValidationContext.displayName = 'FormValidationContext';
const FormSubmissionContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)();
FormSubmissionContext.displayName = 'FormSubmissionContext';
const FormStateContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)();
FormStateContext.displayName = 'FormStateContext';
const FormResponseContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)();
FormResponseContext.displayName = 'FormResponseContext';

/***/ }),

/***/ "./src/components/Form/FormField.js":
/*!******************************************!*\
  !*** ./src/components/Form/FormField.js ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "FormField": () => (/* binding */ FormField)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _FormContext__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./FormContext */ "./src/components/Form/FormContext.js");
/* harmony import */ var _Validation_Validators__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./Validation/Validators */ "./src/components/Form/Validation/Validators.js");




const FormField = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(({
  label,
  name,
  children,
  required,
  validate,
  skip,
  allowEmpty,
  protectedValue,
  skipAutofill,
  setValue,
  dependency,
  validators,
  ...props
}, ref) => {
  var _validators$forEach;
  /**@type {Form} */


  const context = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_FormContext__WEBPACK_IMPORTED_MODULE_2__.FormContext);
  const [dependencyField, setDependencyField] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);
  const field = ref !== null && ref !== void 0 ? ref : (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const validation = [...(validate !== null && validate !== void 0 ? validate : [])];
  validators === null || validators === void 0 ? void 0 : (_validators$forEach = validators.forEach) === null || _validators$forEach === void 0 ? void 0 : _validators$forEach.call(validators, validator => {
    const [name, value] = validator.split(/:(.+)/).slice(0, 2);
    const validatorFunc = _Validation_Validators__WEBPACK_IMPORTED_MODULE_3__[name];

    if ((0,_utils_helpers__WEBPACK_IMPORTED_MODULE_1__.isDefined)(validatorFunc)) {
      if ((0,_utils_helpers__WEBPACK_IMPORTED_MODULE_1__.isDefined)(value)) {
        validation.push(validatorFunc(value));
      } else {
        validation.push(validatorFunc);
      }
    }
  });
  if (required) validation.push(_Validation_Validators__WEBPACK_IMPORTED_MODULE_3__.required);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (!context || !dependency) return;
    let field = null;
    const dep = context.getFieldContext(dependency);

    const handler = () => {
      var _props$onDependencyCh;

      (_props$onDependencyCh = props.onDependencyChanged) === null || _props$onDependencyCh === void 0 ? void 0 : _props$onDependencyCh.call(props, dep.field);
    };

    if (dep) {
      dep.field.addEventListener('change', handler);
      field = dep.field;
    } else {
      console.warn(`Dependency field not found ${dependency}`);
    }

    setDependencyField(field);
    return () => dep.field.removeEventListener('change', handler);
  }, [context, field, dependency]);
  const setValueCallback = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(value => {
    if (!field || !field.current) return;
    /**@type {HTMLInputElement|HTMLTextAreaElement} */

    const input = field.current;

    if (setValue instanceof Function) {
      setValue(value);
    } else if (input.type === 'checkbox' || input.type === 'radio') {
      input.checked = value !== null && value !== void 0 ? value : input.checked;
    } else if (value === null) {
      input.value = "";
    } else {
      input.value = value;
    }

    const evt = document.createEvent("HTMLEvents");
    evt.initEvent("change", false, true);
    input.dispatchEvent(evt);
  }, [field]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    const isProtected = skipAutofill && (!allowEmpty || protectedValue) && field.current.type === 'password';
    context === null || context === void 0 ? void 0 : context.registerField({
      label,
      name,
      validation,
      skip,
      allowEmpty,
      skipAutofill,
      isProtected,
      protectedValue,
      field: field.current,
      setValue: setValueCallback
    });
    return () => context === null || context === void 0 ? void 0 : context.unregisterField(name);
  }, [field, setValueCallback]);
  return children(field, dependencyField, context);
});

/***/ }),

/***/ "./src/components/Form/Validation/Validators.js":
/*!******************************************************!*\
  !*** ./src/components/Form/Validation/Validators.js ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "json": () => (/* binding */ json),
/* harmony export */   "matchPattern": () => (/* binding */ matchPattern),
/* harmony export */   "regexp": () => (/* binding */ regexp),
/* harmony export */   "required": () => (/* binding */ required)
/* harmony export */ });
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _Validation_styl__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Validation.styl */ "./src/components/Form/Validation/Validation.styl");


const required = (fieldName, value) => {
  if (!(0,_utils_helpers__WEBPACK_IMPORTED_MODULE_0__.isDefined)(value) || (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_0__.isEmptyString)(value)) {
    return `${fieldName} is required`;
  }
};
const matchPattern = pattern => (fieldName, value) => {
  pattern = typeof pattern === 'string' ? new RegExp(pattern) : pattern;

  if (!(0,_utils_helpers__WEBPACK_IMPORTED_MODULE_0__.isEmptyString)(value) && value.match(pattern) === null) {
    return `${fieldName} must match the pattern ${pattern}`;
  }
};
const json = (fieldName, value) => {
  const err = `${fieldName} must be valid JSON string`;
  if (!(0,_utils_helpers__WEBPACK_IMPORTED_MODULE_0__.isDefined)(value) || value.trim().length === 0) return;

  if (/^(\{|\[)/.test(value) === false || /(\}|\])$/.test(value) === false) {
    return err;
  }

  try {
    JSON.parse(value);
  } catch (e) {
    return err;
  }
};
const regexp = (fieldName, value) => {
  try {
    new RegExp(value);
  } catch (err) {
    return `${fieldName} must be a valid regular expression`;
  }
};

/***/ }),

/***/ "./src/components/Form/index.js":
/*!**************************************!*\
  !*** ./src/components/Form/index.js ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Checkbox": () => (/* reexport safe */ _Elements__WEBPACK_IMPORTED_MODULE_0__.Checkbox),
/* harmony export */   "Counter": () => (/* reexport safe */ _Elements__WEBPACK_IMPORTED_MODULE_0__.Counter),
/* harmony export */   "Form": () => (/* reexport safe */ _Form__WEBPACK_IMPORTED_MODULE_1__["default"]),
/* harmony export */   "Input": () => (/* reexport safe */ _Elements__WEBPACK_IMPORTED_MODULE_0__.Input),
/* harmony export */   "Label": () => (/* reexport safe */ _Elements__WEBPACK_IMPORTED_MODULE_0__.Label),
/* harmony export */   "Select": () => (/* reexport safe */ _Elements__WEBPACK_IMPORTED_MODULE_0__.Select),
/* harmony export */   "TextArea": () => (/* reexport safe */ _Elements__WEBPACK_IMPORTED_MODULE_0__.TextArea),
/* harmony export */   "Toggle": () => (/* reexport safe */ _Elements__WEBPACK_IMPORTED_MODULE_0__.Toggle)
/* harmony export */ });
/* harmony import */ var _Elements__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./Elements */ "./src/components/Form/Elements/index.ts");
/* harmony import */ var _Form__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Form */ "./src/components/Form/Form.js");



/***/ }),

/***/ "./src/components/Hamburger/Hamburger.js":
/*!***********************************************!*\
  !*** ./src/components/Hamburger/Hamburger.js ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Hamburger": () => (/* binding */ Hamburger)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Hamburger_styl__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./Hamburger.styl */ "./src/components/Hamburger/Hamburger.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");





const Hamburger = ({
  opened,
  animated = true
}) => {
  const root = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('hamburger');
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)("span", {
    className: root.mod({
      animated,
      opened
    }),
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("span", {}), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("span", {}), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("span", {})]
  });
};

/***/ }),

/***/ "./src/components/Menu/Menu.js":
/*!*************************************!*\
  !*** ./src/components/Menu/Menu.js ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Menu": () => (/* binding */ Menu)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Dropdown_DropdownTrigger__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../Dropdown/DropdownTrigger */ "./src/components/Dropdown/DropdownTrigger.js");
/* harmony import */ var _Menu_styl__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./Menu.styl */ "./src/components/Menu/Menu.styl");
/* harmony import */ var _MenuContext__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./MenuContext */ "./src/components/Menu/MenuContext.js");
/* harmony import */ var _MenuItem__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./MenuItem */ "./src/components/Menu/MenuItem.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");








const Menu = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(({
  children,
  className,
  style,
  size,
  selectedKeys,
  closeDropdownOnItemClick
}, ref) => {
  const dropdown = (0,_Dropdown_DropdownTrigger__WEBPACK_IMPORTED_MODULE_2__.useDropdown)();
  const selected = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    return new Set(selectedKeys !== null && selectedKeys !== void 0 ? selectedKeys : []);
  }, [selectedKeys]);
  const clickHandler = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(e => {
    const elem = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('main-menu').elem('item').closest(e.target);

    if (dropdown && elem && closeDropdownOnItemClick !== false) {
      dropdown.close();
    }
  }, [dropdown]);
  const collapsed = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    return !!dropdown;
  }, [dropdown]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_MenuContext__WEBPACK_IMPORTED_MODULE_4__.MenuContext.Provider, {
    value: {
      selected
    },
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_MenuContext__WEBPACK_IMPORTED_MODULE_4__.Block, {
      ref: ref,
      tag: "ul",
      name: "main-menu",
      mod: {
        size,
        collapsed
      },
      mix: className,
      style: style,
      onClick: clickHandler,
      children: children
    })
  });
});
Menu.Item = _MenuItem__WEBPACK_IMPORTED_MODULE_5__.MenuItem;

Menu.Spacer = () => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_MenuContext__WEBPACK_IMPORTED_MODULE_4__.Elem, {
  block: "main-menu",
  tag: "li",
  name: "spacer"
});

Menu.Divider = () => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_MenuContext__WEBPACK_IMPORTED_MODULE_4__.Elem, {
  block: "main-menu",
  tag: "li",
  name: "divider"
}); // Menu.Builder = (url, menuItems) => {
//   return (menuItems ?? []).map((item, index) => {
//     if (item === "SPACER") return <Menu.Spacer key={index} />;
//     if (item === "DIVIDER") return <Menu.Divider key={index} />;
//     let pageLabel, pagePath;
//     if (Array.isArray(item)) {
//       [pagePath, pageLabel] = item;
//     } else {
//       const { menuItem, title, path } = item;
//       pageLabel = title ?? menuItem;
//       pagePath = path;
//     }
//     if (typeof pagePath === "function") {
//       return <Menu.Item key={index} onClick={pagePath}>{pageLabel}</Menu.Item>;
//     }
//     const location = `${url}${pagePath}`.replace(/([/]+)/g, '/');
//     return <Menu.Item key={index} to={location} exact>{pageLabel}</Menu.Item>;
//   });
// };


Menu.Builder = (url, menuItems) => {
  return (menuItems !== null && menuItems !== void 0 ? menuItems : []).map((item, index) => {
    if (item === "SPACER") return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(Menu.Spacer, {}, index);
    if (item === "DIVIDER") return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(Menu.Divider, {}, index);
    let pageLabel, pagePath;

    if (Array.isArray(item)) {
      [pagePath, pageLabel] = item;
    } else {
      const {
        menuItem,
        title,
        path
      } = item;
      pageLabel = title !== null && title !== void 0 ? title : menuItem;
      pagePath = path;
    }

    if (typeof pagePath === "function") {
      return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)(Menu.Item, {
        onClick: pagePath,
        className: "horizontal-menu-item",
        children: [" ", pageLabel]
      }, index);
    }

    const location = `${url}${pagePath}`.replace(/([/]+)/g, '/');
    return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)(Menu.Item, {
      to: location,
      exact: true,
      className: "horizontal-menu-item",
      children: [" ", pageLabel]
    }, index);
  });
};

Menu.Group = ({
  children,
  title,
  className,
  style
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)(_MenuContext__WEBPACK_IMPORTED_MODULE_4__.Block, {
    name: "menu-group",
    mix: className,
    style: style,
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_MenuContext__WEBPACK_IMPORTED_MODULE_4__.Elem, {
      name: "title",
      children: title
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_MenuContext__WEBPACK_IMPORTED_MODULE_4__.Elem, {
      tag: "ul",
      name: "list",
      children: children
    })]
  });
};

/***/ }),

/***/ "./src/components/Menu/MenuContext.js":
/*!********************************************!*\
  !*** ./src/components/Menu/MenuContext.js ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Block": () => (/* binding */ Block),
/* harmony export */   "Elem": () => (/* binding */ Elem),
/* harmony export */   "MenuContext": () => (/* binding */ MenuContext)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");


const MenuContext = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createContext();
const {
  Block,
  Elem
} = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.BemWithSpecifiContext)();

/***/ }),

/***/ "./src/components/Menu/MenuItem.js":
/*!*****************************************!*\
  !*** ./src/components/Menu/MenuItem.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "MenuItem": () => (/* binding */ MenuItem)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! react-router-dom */ "./node_modules/react-router-dom/esm/react-router-dom.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");







const MenuItem = ({
  children,
  label,
  icon,
  to,
  className,
  href,
  exact = false,
  forceReload = false,
  active = false,
  onClick,
  ...rest
}) => {
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)("main-menu", {
    elem: "item"
  });
  const classList = [rootClass.toClassName()];

  const isActive = (() => {
    const pathname = location.pathname.replace(/\/$/, '');
    const url = to !== null && to !== void 0 ? to : href;

    if (exact) {
      return pathname === url;
    } else {
      return pathname.includes(url);
    }
  })();

  if (isActive || active) classList.push(rootClass.mod({
    active: true
  }));
  if (className) classList.push(className);

  const linkContent = /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.Fragment, {
    children: [icon && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("span", {
      className: rootClass.elem('item-icon'),
      children: icon
    }), children !== null && children !== void 0 ? children : label]
  });

  const linkAttributes = {
    className: classList.join(' '),
    onClick,
    ...rest
  };
  const activeClassName = rootClass.mod({
    active: true
  }).toClassName();
  const finalHref = to !== null && to !== void 0 ? to : href;

  if (forceReload) {
    linkAttributes.onClick = () => location.href = to !== null && to !== void 0 ? to : href;
  }

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("li", {
    children: to ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(react_router_dom__WEBPACK_IMPORTED_MODULE_4__.NavLink, {
      to: finalHref,
      ...linkAttributes,
      exact: exact,
      activeClassName: activeClassName,
      "data-external": true,
      children: linkContent
    }) : finalHref ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("a", {
      href: (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_2__.absoluteURL)(finalHref),
      ...linkAttributes,
      children: linkContent
    }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("span", { ...linkAttributes,
      children: linkContent
    })
  });
};

/***/ }),

/***/ "./src/components/Menubar/Menubar.js":
/*!*******************************************!*\
  !*** ./src/components/Menubar/Menubar.js ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Menubar": () => (/* binding */ Menubar),
/* harmony export */   "MenubarContext": () => (/* binding */ MenubarContext)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! react-router */ "./node_modules/react-router/esm/react-router.js");
/* harmony import */ var _app_StaticContent_StaticContent__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../app/StaticContent/StaticContent */ "./src/app/StaticContent/StaticContent.js");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var _providers_ConfigProvider__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../providers/ConfigProvider */ "./src/providers/ConfigProvider.js");
/* harmony import */ var _providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../providers/RoutesProvider */ "./src/providers/RoutesProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _Dropdown_Dropdown__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../Dropdown/Dropdown */ "./src/components/Dropdown/Dropdown.js");
/* harmony import */ var _Hamburger_Hamburger__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../Hamburger/Hamburger */ "./src/components/Hamburger/Hamburger.js");
/* harmony import */ var _Menu_Menu__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../Menu/Menu */ "./src/components/Menu/Menu.js");
/* harmony import */ var _Userpic_Userpic__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../Userpic/Userpic */ "./src/components/Userpic/Userpic.js");
/* harmony import */ var _Userpic_UserInfo__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../Userpic/UserInfo */ "./src/components/Userpic/UserInfo.js");
/* harmony import */ var _VersionNotifier_VersionNotifier__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../VersionNotifier/VersionNotifier */ "./src/components/VersionNotifier/VersionNotifier.js");
/* harmony import */ var _Menubar_styl__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./Menubar.styl */ "./src/components/Menubar/Menubar.styl");
/* harmony import */ var _MenuContent_styl__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./MenuContent.styl */ "./src/components/Menubar/MenuContent.styl");
/* harmony import */ var _MenuSidebar_styl__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./MenuSidebar.styl */ "./src/components/Menubar/MenuSidebar.styl");
/* harmony import */ var react_icons_io__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! react-icons/io */ "./node_modules/react-icons/io/index.esm.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");







 //import { Breadcrumbs } from '../Breadcrumbs/Breadcrumbs';










 //import { IconQuestion } from '../../assets/icons';




const MenubarContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)();

const LeftContextMenu = ({
  className
}) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_app_StaticContent_StaticContent__WEBPACK_IMPORTED_MODULE_1__.StaticContent, {
  id: "context-menu-left",
  className: className,
  children: template => {
    template;
  }
});

const RightContextMenu = ({
  className,
  ...props
}) => {
  const {
    ContextComponent,
    contextProps
  } = (0,_providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_4__.useContextComponent)();
  return ContextComponent ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)("div", {
    className: className,
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(ContextComponent, { ...props,
      ...(contextProps !== null && contextProps !== void 0 ? contextProps : {})
    })
  }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_app_StaticContent_StaticContent__WEBPACK_IMPORTED_MODULE_1__.StaticContent, {
    id: "context-menu-right",
    className: className
  });
};

const Menubar = ({
  enabled,
  defaultOpened,
  defaultPinned,
  children,
  onSidebarToggle,
  onSidebarPin
}) => {
  const menuDropdownRef = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const useMenuRef = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const location = (0,react_router__WEBPACK_IMPORTED_MODULE_17__.useLocation)();
  const helpDropdownRef = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const config = (0,_providers_ConfigProvider__WEBPACK_IMPORTED_MODULE_3__.useConfig)();
  const [sidebarOpened, setSidebarOpened] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(defaultOpened !== null && defaultOpened !== void 0 ? defaultOpened : false);
  const [sidebarPinned, setSidebarPinned] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(defaultPinned !== null && defaultPinned !== void 0 ? defaultPinned : false);
  const [PageContext, setPageContext] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)({
    Component: null,
    props: {}
  }); // const getInitials = (name) => {
  //   const parts = name.split(' ');
  //   if (parts.length === 1) return parts[0][0];
  //   return parts[0][0] + parts[parts.length - 1][0];
  // };
  // const userInitials = getInitials(config.user.name || "");

  const menubarClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_5__.cn)('menu-header');
  const menubarContext = menubarClass.elem('context');
  const contextItem = menubarClass.elem('context-item');
  const sidebarClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_5__.cn)('sidebar');
  const contentClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_5__.cn)('content-wrapper');
  const userMenuClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_5__.cn)('user-menu');
  const showNewsletterDot = !(0,_utils_helpers__WEBPACK_IMPORTED_MODULE_6__.isDefined)(config.user.allow_newsletters);
  const sidebarPin = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(e => {
    e.preventDefault();
    const newState = !sidebarPinned;
    setSidebarPinned(newState);
    onSidebarPin === null || onSidebarPin === void 0 ? void 0 : onSidebarPin(newState);
  }, [sidebarPinned]);
  const sidebarToggle = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(visible => {
    const newState = visible;
    setSidebarOpened(newState);
    onSidebarToggle === null || onSidebarToggle === void 0 ? void 0 : onSidebarToggle(newState);
  }, [sidebarOpened]);
  const providerValue = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => ({
    PageContext,

    setContext(ctx) {
      setTimeout(() => {
        setPageContext({ ...PageContext,
          Component: ctx
        });
      });
    },

    setProps(props) {
      setTimeout(() => {
        setPageContext({ ...PageContext,
          props
        });
      });
    },

    contextIsSet(ctx) {
      return PageContext.Component === ctx;
    }

  }), [PageContext]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    var _useMenuRef$current;

    if (!sidebarPinned) {
      var _menuDropdownRef$curr;

      menuDropdownRef === null || menuDropdownRef === void 0 ? void 0 : (_menuDropdownRef$curr = menuDropdownRef.current) === null || _menuDropdownRef$curr === void 0 ? void 0 : _menuDropdownRef$curr.close();
    }

    useMenuRef === null || useMenuRef === void 0 ? void 0 : (_useMenuRef$current = useMenuRef.current) === null || _useMenuRef$current === void 0 ? void 0 : _useMenuRef$current.close();
  }, [location]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsxs)("div", {
    className: contentClass,
    children: [enabled && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsxs)("div", {
      className: menubarClass,
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Dropdown_Dropdown__WEBPACK_IMPORTED_MODULE_7__.Dropdown.Trigger, {
        dropdown: menuDropdownRef,
        closeOnClickOutside: !sidebarPinned,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsxs)("div", {
          className: `${menubarClass.elem('trigger')} main-menu-trigger`,
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)("img", {
            src: (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_6__.absoluteURL)("/static/icons/DATA.jpg"),
            alt: "Data Studio Logo",
            height: "42",
            style: {
              marginRight: '5px'
            }
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Hamburger_Hamburger__WEBPACK_IMPORTED_MODULE_8__.Hamburger, {
            opened: sidebarOpened
          })]
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsxs)("div", {
        className: menubarContext,
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(LeftContextMenu, {
          className: contextItem.mod({
            left: true
          })
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(RightContextMenu, {
          className: contextItem.mod({
            left: true
          })
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Dropdown_Dropdown__WEBPACK_IMPORTED_MODULE_7__.Dropdown.Trigger, {
        ref: helpDropdownRef,
        align: "right",
        content: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsxs)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_9__.Menu, {
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_9__.Menu.Item, {
            icon: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_2__.IconTerminal, {}),
            label: "API",
            href: "",
            "data-external": true
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_9__.Menu.Item, {
            icon: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_2__.IconBook, {}),
            label: "Docs",
            href: "",
            "data-external": true
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_9__.Menu.Item, {
            icon: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_2__.LsGitHub, {}),
            label: "GitHub",
            href: "",
            "data-external": true
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_9__.Menu.Item, {
            icon: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_2__.LsSlack, {}),
            label: "Slack",
            href: "",
            "data-external": true
          })]
        }),
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)("div", {
          className: "menubar-help-button-box",
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)("div", {
            className: menubarClass.elem('help-button'),
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)("button", {
              className: "help-icon",
              style: {
                position: 'relative',
                top: '5px',
                right: '0px',
                width: '60px',
                height: '31px',
                background: '#f6f6f6',
                border: '1px solid rgba(0,0,0,0.1)',
                display: 'flex',
                alignItems: 'center',
                justifyContent: 'center',
                borderRadius: '4px'
              },
              children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(react_icons_io__WEBPACK_IMPORTED_MODULE_18__.IoMdHelp, {})
            })
          })
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Dropdown_Dropdown__WEBPACK_IMPORTED_MODULE_7__.Dropdown.Trigger, {
        ref: useMenuRef,
        align: "right",
        content: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsxs)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_9__.Menu, {
          className: userMenuClass,
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_9__.Menu.Item, {
            icon: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_2__.LsSettings, {}),
            label: "Account & Settings",
            href: "/user/account",
            "data-external": true
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_9__.Menu.Item, {
            icon: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_2__.IconPersonInCircle, {}),
            label: "Organization",
            href: "/organization",
            "data-external": true,
            exact: true
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_9__.Menu.Item, {
            icon: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_2__.LsDoor, {}),
            label: "Log Out",
            href: (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_6__.absoluteURL)("/logout"),
            "data-external": true
          }), showNewsletterDot && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.Fragment, {
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_9__.Menu.Divider, {}), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsxs)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_9__.Menu.Item, {
              className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_5__.cn)("newsletter-menu-item"),
              href: "/user/account",
              "data-external": true,
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)("span", {
                children: "Please check new notification settings in the Account & Settings page"
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)("span", {
                className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_5__.cn)("newsletter-menu-badge")
              })]
            })]
          })]
        }),
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsxs)("div", {
          title: config.user.email,
          className: menubarClass.elem('user'),
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Userpic_Userpic__WEBPACK_IMPORTED_MODULE_10__.Userpic, {
            user: config.user
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Userpic_UserInfo__WEBPACK_IMPORTED_MODULE_11__.UserInfo, {
            user: config.user
          }), showNewsletterDot && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)("div", {
            className: menubarClass.elem('userpic-badge')
          })]
        })
      })]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_VersionNotifier_VersionNotifier__WEBPACK_IMPORTED_MODULE_12__.VersionProvider, {
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsxs)("div", {
        className: contentClass.elem('body'),
        children: [enabled && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Dropdown_Dropdown__WEBPACK_IMPORTED_MODULE_7__.Dropdown, {
          ref: menuDropdownRef,
          onToggle: sidebarToggle,
          onVisibilityChanged: () => window.dispatchEvent(new Event('resize')),
          visible: sidebarOpened,
          className: [sidebarClass, sidebarClass.mod({
            floating: !sidebarPinned
          })].join(" "),
          style: {
            width: 240
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsxs)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_9__.Menu, {
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_9__.Menu.Item, {
              label: "Projects",
              to: "/projects",
              icon: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_2__.IconFolder, {}),
              "data-external": true,
              exact: true
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_9__.Menu.Spacer, {}), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_VersionNotifier_VersionNotifier__WEBPACK_IMPORTED_MODULE_12__.VersionNotifier, {
              showCurrentVersion: true
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_9__.Menu.Divider, {})]
          })
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(MenubarContext.Provider, {
          value: providerValue,
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)("div", {
            className: contentClass.elem('content').mod({
              withSidebar: sidebarPinned && sidebarOpened
            }),
            children: children
          })
        })]
      })
    })]
  });
};

/***/ }),

/***/ "./src/components/Modal/Modal.js":
/*!***************************************!*\
  !*** ./src/components/Modal/Modal.js ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Modal": () => (/* reexport safe */ _ModalPopup__WEBPACK_IMPORTED_MODULE_9__.Modal),
/* harmony export */   "confirm": () => (/* binding */ confirm),
/* harmony export */   "info": () => (/* binding */ info),
/* harmony export */   "modal": () => (/* binding */ standaloneModal)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react-dom */ "./node_modules/react-dom/index.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _providers_ConfigProvider__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../providers/ConfigProvider */ "./src/providers/ConfigProvider.js");
/* harmony import */ var _providers_CurrentUser__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../providers/CurrentUser */ "./src/providers/CurrentUser.js");
/* harmony import */ var _providers_MultiProvider__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../providers/MultiProvider */ "./src/providers/MultiProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Button_Button__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../Button/Button */ "./src/components/Button/Button.js");
/* harmony import */ var _Space_Space__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../Space/Space */ "./src/components/Space/Space.js");
/* harmony import */ var _ModalPopup__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./ModalPopup */ "./src/components/Modal/ModalPopup.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");













const standaloneModal = props => {
  const modalRef = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createRef)();
  const rootDiv = document.createElement("div");
  let renderCount = 0;
  rootDiv.className = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_6__.cn)("modal-holder").toClassName();
  document.body.appendChild(rootDiv);

  const renderModal = (props, animate) => {
    renderCount++; // simple modals don't require any parts of the app and can't cause the loop of death

    (0,react_dom__WEBPACK_IMPORTED_MODULE_1__.render)( /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_providers_MultiProvider__WEBPACK_IMPORTED_MODULE_5__.MultiProvider, {
      providers: props.simple ? [] : [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_providers_ConfigProvider__WEBPACK_IMPORTED_MODULE_3__.ConfigProvider, {}, "config"), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_2__.ApiProvider, {}, "api"), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_providers_CurrentUser__WEBPACK_IMPORTED_MODULE_4__.CurrentUserProvider, {}, "current-user")],
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_ModalPopup__WEBPACK_IMPORTED_MODULE_9__.Modal, {
        ref: modalRef,
        ...props,
        onHide: () => {
          var _props$onHidden;

          (_props$onHidden = props.onHidden) === null || _props$onHidden === void 0 ? void 0 : _props$onHidden.call(props);
          (0,react_dom__WEBPACK_IMPORTED_MODULE_1__.unmountComponentAtNode)(rootDiv);
          rootDiv.remove();
        },
        animateAppearance: animate
      })
    }, `modal-${renderCount}`), rootDiv);
  };

  renderModal(props, true);
  return {
    update(newProps) {
      renderModal({ ...props,
        ...(newProps !== null && newProps !== void 0 ? newProps : {}),
        visible: true
      }, false);
    },

    close() {
      const result = modalRef.current.hide();
      (0,react_dom__WEBPACK_IMPORTED_MODULE_1__.unmountComponentAtNode)(rootDiv);
      rootDiv.remove();
      return result;
    }

  };
};

const confirm = ({
  okText,
  onOk,
  cancelText,
  onCancel,
  buttonLook,
  ...props
}) => {
  const modal = standaloneModal({ ...props,
    allowClose: false,
    footer: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(_Space_Space__WEBPACK_IMPORTED_MODULE_8__.Space, {
      align: "end",
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_Button_Button__WEBPACK_IMPORTED_MODULE_7__.Button, {
        onClick: () => {
          onCancel === null || onCancel === void 0 ? void 0 : onCancel();
          modal.close();
        },
        size: "compact",
        autoFocus: true,
        children: cancelText !== null && cancelText !== void 0 ? cancelText : "Cancel"
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_Button_Button__WEBPACK_IMPORTED_MODULE_7__.Button, {
        onClick: () => {
          onOk === null || onOk === void 0 ? void 0 : onOk();
          modal.close();
        },
        size: "compact",
        look: buttonLook !== null && buttonLook !== void 0 ? buttonLook : 'primary',
        children: okText !== null && okText !== void 0 ? okText : "OK"
      })]
    })
  });
  return modal;
};
const info = ({
  okText,
  onOkPress,
  ...props
}) => {
  const modal = standaloneModal({ ...props,
    footer: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_Space_Space__WEBPACK_IMPORTED_MODULE_8__.Space, {
      align: "end",
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_Button_Button__WEBPACK_IMPORTED_MODULE_7__.Button, {
        onClick: () => {
          onOkPress === null || onOkPress === void 0 ? void 0 : onOkPress();
          modal.close();
        },
        look: "primary",
        size: "compact",
        children: okText !== null && okText !== void 0 ? okText : "OK"
      })
    })
  });
  return modal;
};


Object.assign(_ModalPopup__WEBPACK_IMPORTED_MODULE_9__.Modal, {
  info,
  confirm,
  modal: standaloneModal
});

/***/ }),

/***/ "./src/components/Modal/ModalPopup.js":
/*!********************************************!*\
  !*** ./src/components/Modal/ModalPopup.js ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Modal": () => (/* binding */ Modal),
/* harmony export */   "useModalControls": () => (/* binding */ useModalControls)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react-dom */ "./node_modules/react-dom/index.js");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_transition__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/transition */ "./src/utils/transition.js");
/* harmony import */ var _Button_Button__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../Button/Button */ "./src/components/Button/Button.js");
/* harmony import */ var _Modal_styl__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./Modal.styl */ "./src/components/Modal/Modal.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}










const {
  Block,
  Elem
} = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_3__.BemWithSpecifiContext)();
const ModalContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)();
class Modal extends react__WEBPACK_IMPORTED_MODULE_0__.Component {
  constructor(props) {
    var _props$visible;

    super(props);

    _defineProperty(this, "modalRef", /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createRef());

    _defineProperty(this, "onClickOutside", e => {
      if (!this.modalRef.current) return;
      const {
        closeOnClickOutside
      } = this.props;
      const allowClose = this.props.allowClose !== false;
      const isInModal = this.modalRef.current.contains(e.target);
      const content = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_3__.cn)('modal').elem('content').closest(e.target);
      const close = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_3__.cn)('modal').elem('close').closest(e.target);

      if (allowClose && (isInModal && close || content === null && closeOnClickOutside !== false)) {
        this.hide();
      }
    });

    _defineProperty(this, "closeOnEscape", e => {
      if (this.props.allowClose === false) return;
      if (e.key !== 'Escape') return;
      if (!this.state.visible) return;
      e.stopPropagation();
      e.preventDefault();
      this.hide();
    });

    this.state = {
      title: props.title,
      body: props.body,
      footer: props.footer,
      visible: props.animateAppearance ? false : (_props$visible = props.visible) !== null && _props$visible !== void 0 ? _props$visible : false,
      transition: props.visible ? 'visible' : null
    };
  }

  componentDidMount() {
    if (this.props.animateAppearance) {
      setTimeout(() => this.show(), 30);
    } // with `allowToInterceptEscape` we can prevent closing modal on escape
    // by handling it inside modal, before event will be bubbled here


    document.addEventListener('keydown', this.closeOnEscape, {
      capture: !this.props.allowToInterceptEscape
    });
  }

  componentWillUnmount() {
    document.removeEventListener('keydown', this.closeOnEscape, {
      capture: !this.props.allowToInterceptEscape
    });
  }

  componentDidUpdate(prevProps, prevState) {
    if (prevState.visible !== this.state.visible) {
      document.body.style.overflow = this.state.visible ? 'hidden' : '';
    }
  }

  setBody(body) {
    this.setState({
      body
    });
  }

  show(onShow) {
    return new Promise(resolve => {
      this.setState({
        visible: true
      }, async () => {
        var _this$props$onShow, _this$props;

        onShow === null || onShow === void 0 ? void 0 : onShow();
        (_this$props$onShow = (_this$props = this.props).onShow) === null || _this$props$onShow === void 0 ? void 0 : _this$props$onShow.call(_this$props);
        await this.transition("appear", resolve);
      });
    });
  }

  hide(onHidden) {
    return new Promise(resolve => {
      this.transition('disappear', () => {
        this.setState({
          visible: false
        }, () => {
          var _this$props$onHide, _this$props2;

          (_this$props$onHide = (_this$props2 = this.props).onHide) === null || _this$props$onHide === void 0 ? void 0 : _this$props$onHide.call(_this$props2);
          resolve();
          onHidden === null || onHidden === void 0 ? void 0 : onHidden();
        });
      });
    });
  }

  render() {
    if (!this.state.visible) return null;
    const bare = this.props.bare;
    const mods = {
      fullscreen: !!this.props.fullscreen,
      halfscreen: !!this.props.halfscreen,
      bare: this.props.bare,
      visible: this.props.visible || this.state.visible
    };
    const mixes = [this.transitionClass, this.props.className];
    const modalSizeStyle = {};
    if (this.props.width) modalSizeStyle.width = this.props.width;
    if (this.props.height) modalSizeStyle.height = this.props.height;

    const modalContent = /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(ModalContext.Provider, {
      value: this,
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(Block, {
        name: "modal",
        ref: this.modalRef,
        mod: mods,
        mix: mixes,
        onClick: this.onClickOutside,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(Elem, {
          name: "wrapper",
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(Elem, {
            name: "content",
            style: Object.assign({}, this.props.style, modalSizeStyle),
            children: [!bare && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(Modal.Header, {
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(Elem, {
                name: "title",
                children: this.state.title
              }), this.props.allowClose !== false && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(Elem, {
                tag: _Button_Button__WEBPACK_IMPORTED_MODULE_5__.Button,
                name: "close",
                type: "text",
                icon: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_2__.LsCross, {})
              })]
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(Elem, {
              name: "body",
              mod: {
                bare
              },
              children: this.body
            }), this.props.footer && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(Modal.Footer, {
              bare: this.props.bareFooter,
              children: this.footer
            })]
          })
        })
      })
    });

    return /*#__PURE__*/(0,react_dom__WEBPACK_IMPORTED_MODULE_1__.createPortal)(modalContent, document.body);
  }

  transition(type, onFinish) {
    return (0,_utils_transition__WEBPACK_IMPORTED_MODULE_4__.aroundTransition)(this.modalRef.current, {
      transition: async () => new Promise(resolve => {
        this.setState({
          transition: type
        }, () => {
          resolve();
        });
      }),
      beforeTransition: async () => new Promise(resolve => {
        this.setState({
          transition: `before-${type}`
        }, () => {
          resolve();
        });
      }),
      afterTransition: async () => new Promise(resolve => {
        this.setState({
          transition: type === 'appear' ? "visible" : null
        }, () => {
          onFinish === null || onFinish === void 0 ? void 0 : onFinish();
          resolve();
        });
      })
    });
  }

  get transitionClass() {
    switch (this.state.transition) {
      case "before-appear":
        return "before-appear";

      case "appear":
        return "appear before-appear";

      case "before-disappear":
        return "before-disappear";

      case "disappear":
        return "disappear before-disappear";

      case "visible":
        return "visible";
    }

    return null;
  }

  get body() {
    if (this.state.body) {
      const Content = this.state.body;
      return Content instanceof Function ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(Content, {}) : Content;
    } else {
      return this.props.children;
    }
  }

  get footer() {
    if (this.state.footer) {
      const Content = this.state.footer;
      return Content instanceof Function ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(Content, {}) : Content;
    }

    return null;
  }

}

Modal.Header = ({
  children,
  divided
}) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(Elem, {
  name: "header",
  mod: {
    divided
  },
  children: children
});

Modal.Footer = ({
  children,
  bare
}) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(Elem, {
  name: "footer",
  mod: {
    bare
  },
  children: children
});

const useModalControls = () => {
  return (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(ModalContext);
};

/***/ }),

/***/ "./src/components/Oneof/Oneof.js":
/*!***************************************!*\
  !*** ./src/components/Oneof/Oneof.js ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Oneof": () => (/* binding */ Oneof)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");

const Oneof = ({
  value,
  children,
  className
}) => {
  const selectedChild = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    if (Array.isArray(children)) {
      return children.find(c => c.props.case === value) || null;
    } else if (children.props.case === value) {
      return children;
    }
  }, [children, value]);
  return selectedChild ? /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.cloneElement(selectedChild, { ...selectedChild.props,
    className: [className, selectedChild.props.className].join(" ")
  }) : null;
};

/***/ }),

/***/ "./src/components/ProjectMenu/ProjectMenu.js":
/*!***************************************************!*\
  !*** ./src/components/ProjectMenu/ProjectMenu.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ProjectMenu": () => (/* binding */ ProjectMenu)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react-router-dom */ "./node_modules/react-router-dom/esm/react-router-dom.js");
/* harmony import */ var _components_Button_Button__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components/Button/Button */ "./src/components/Button/Button.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _ProjectMenu_styl__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./ProjectMenu.styl */ "./src/components/ProjectMenu/ProjectMenu.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");







const ProjectMenu = () => {
  const {
    project
  } = (0,_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_2__.useProject)();
  const links = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    const result = {
      '/data': {
        label: 'Data Manager'
      }
    };
    return result;
  }, [project]);
  if ((project === null || project === void 0 ? void 0 : project.id) === undefined) return null;
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Block, {
    name: "project-menu",
    children: Object.entries(links).map(([path, options], i) => {
      return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(MenuItem, {
        path: path,
        project: project,
        ...options
      }, `${path}-${i}`);
    })
  });
};

const MenuItem = ({
  path,
  access,
  exact,
  project,
  label
}) => {
  const elem = /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_components_Button_Button__WEBPACK_IMPORTED_MODULE_1__.Button, {
    tag: react_router_dom__WEBPACK_IMPORTED_MODULE_6__.NavLink,
    exact: exact !== null && exact !== void 0 ? exact : true,
    to: `/projects/${project.id}${path}`,
    "data-external": true,
    size: "medium",
    children: label
  });

  const result = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    if (access === false) {
      return elem;
    } else {
      return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("div", {
        fallback: null,
        children: elem
      }, path);
    }
  }, [access, path]);
  return result;
};

/***/ }),

/***/ "./src/components/SidebarMenu/SidebarMenu.js":
/*!***************************************************!*\
  !*** ./src/components/SidebarMenu/SidebarMenu.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "SidebarMenu": () => (/* binding */ SidebarMenu)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Menu_Menu__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../Menu/Menu */ "./src/components/Menu/Menu.js");
/* harmony import */ var _SidebarMenu_styl__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./SidebarMenu.styl */ "./src/components/SidebarMenu/SidebarMenu.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");






const SidebarMenu = ({
  children,
  menu,
  path,
  menuItems
}) => {
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('sidebar-menu');
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)("div", {
    className: rootClass,
    children: [menuItems && menuItems.length > 1 ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)("div", {
      className: rootClass.elem('navigation'),
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_Menu_Menu__WEBPACK_IMPORTED_MODULE_2__.Menu, {
        style: {
          flexDirection: 'row',
          margin: '0px 45px'
        },
        children: menuItems ? _Menu_Menu__WEBPACK_IMPORTED_MODULE_2__.Menu.Builder(path, menuItems) : menu
      })
    }) : null, /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)("div", {
      className: rootClass.elem('content'),
      children: children
    })]
  });
};

/***/ }),

/***/ "./src/components/Space/Space.js":
/*!***************************************!*\
  !*** ./src/components/Space/Space.js ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Space": () => (/* binding */ Space)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Space_styl__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./Space.styl */ "./src/components/Space/Space.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");




const {
  Block
} = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.BemWithSpecifiContext)();
const Space = ({
  direction = "horizontal",
  size,
  className,
  style,
  children,
  spread,
  stretch,
  align
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(Block, {
    name: "space",
    mod: {
      direction,
      size,
      spread,
      stretch,
      align
    },
    mix: className,
    style: style,
    children: children
  });
};

/***/ }),

/***/ "./src/components/Spinner/Spinner.js":
/*!*******************************************!*\
  !*** ./src/components/Spinner/Spinner.js ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Spinner": () => (/* binding */ Spinner)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Spinner_styl__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./Spinner.styl */ "./src/components/Spinner/Spinner.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");
// import React from 'react';
// import { cn } from '../../utils/bem';
// import './Spinner.styl';
// export const Spinner = ({ className, style, size = 32, stopped = false }) => {
//   const rootClass = cn('spinner');
//   const sizeWithUnit = typeof size === 'number' ? `${size}px` : size;
//   return (
//     <div className={rootClass.mix(className)} style={{ ...(style ?? {}), '--spinner-size': sizeWithUnit }}>
//       <div className={rootClass.elem('body').mod({ stopped })}>
//         <span/>
//         <span/>
//         <span/>
//         <span/>
//       </div>
//     </div>
//   );
// };
// import React from 'react';
// import { cn } from '../../utils/bem';
// import './Spinner.styl';
// export const Spinner = ({ className, style, size = 32, stopped = false }) => {
//   const rootClass = cn('spinner');
//   const containerStyle = {
//     width: `${size}px`,
//     height: `${size}px`,
//     position: 'relative',
//     ...style,
//   };
//   const spinnerStyle = {
//     width: '100%',
//     height: '100%',
//     position: 'absolute',
//     backgroundImage: `url(${spinnerImage})`, // replace with your image path
//     backgroundSize: 'contain',
//     backgroundRepeat: 'no-repeat',
//     animation: stopped ? 'none' : 'spin 1s linear infinite',
//   };
//   return (
//     <div className={rootClass.mix(className)} style={{ ...(style ?? {}), '--spinner-size': sizeWithUnit }}>
//       <div className={rootClass.elem('body').mod({ stopped })}>
//         <span/>
//         <span/>
//         <span/>
//         <span/>
//       </div>
//     </div>
//   );
// };





const Spinner = ({
  className,
  style,
  size = 32,
  stopped = false
}) => {
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('spinner');
  const sizeWithUnit = typeof size === 'number' ? `${size}px` : size;
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
    className: rootClass.mix(className),
    style: { ...(style !== null && style !== void 0 ? style : {}),
      '--spinner-size': sizeWithUnit
    },
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)("div", {
      className: rootClass.elem('body').mod({
        stopped
      }),
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
        className: rootClass.elem('bar')
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
        className: rootClass.elem('bar')
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
        className: rootClass.elem('bar')
      })]
    })
  });
};

/***/ }),

/***/ "./src/components/Tooltip/Tooltip.js":
/*!*******************************************!*\
  !*** ./src/components/Tooltip/Tooltip.js ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Tooltip": () => (/* binding */ Tooltip)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react-dom */ "./node_modules/react-dom/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_dom__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/dom */ "./src/utils/dom.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _utils_transition__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/transition */ "./src/utils/transition.js");
/* harmony import */ var _Tooltip_styl__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./Tooltip.styl */ "./src/components/Tooltip/Tooltip.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");










const Tooltip = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(({
  title,
  children,
  alignment,
  defaultVisible,
  disabled,
  style
}, ref) => {
  if (!children || Array.isArray(children)) {
    throw new Error("Tooltip does accept a single child only");
  }

  const triggerElement = ref !== null && ref !== void 0 ? ref : (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const tooltipElement = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const [offset, setOffset] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)({});
  const [visibility, setVisibility] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(defaultVisible ? "visible" : null);
  const [injected, setInjected] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const [align, setAlign] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(alignment !== null && alignment !== void 0 ? alignment : 'top-center');
  const calculatePosition = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    const parent = triggerElement.current;
    const target = tooltipElement.current;

    if ((0,_utils_helpers__WEBPACK_IMPORTED_MODULE_4__.isDefined)(parent) && (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_4__.isDefined)(target)) {
      const {
        left,
        top,
        align: resultAlign
      } = (0,_utils_dom__WEBPACK_IMPORTED_MODULE_3__.alignElements)(parent, target, align, 10);
      setOffset({
        left,
        top
      });
      setAlign(resultAlign);
    }
  }, [triggerElement.current, tooltipElement.current]);
  const performAnimation = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(visible => {
    if (tooltipElement.current) {
      (0,_utils_transition__WEBPACK_IMPORTED_MODULE_5__.aroundTransition)(tooltipElement.current, {
        beforeTransition() {
          setVisibility(visible ? "before-appear" : "before-disappear");
        },

        transition() {
          if (visible) calculatePosition();
          setVisibility(visible ? "appear" : "disappear");
        },

        afterTransition() {
          setVisibility(visible ? "visible" : null);
          if (visible === false) setInjected(false);
        }

      });
    }
  }, [injected, calculatePosition, tooltipElement]);
  const visibilityClasses = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    switch (visibility) {
      case "before-appear":
        return "before-appear";

      case "appear":
        return "appear before-appear";

      case "before-disappear":
        return "before-disappear";

      case "disappear":
        return "disappear before-disappear";

      case "visible":
        return "visible";

      default:
        return visibility ? "visible" : null;
    }
  }, [visibility]);
  const tooltip = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => injected ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Block, {
    ref: tooltipElement,
    name: "tooltip",
    mod: {
      align
    },
    mix: visibilityClasses,
    style: { ...offset,
      ...(style !== null && style !== void 0 ? style : {})
    },
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
      name: "body",
      children: title
    })
  }) : null, [injected, offset, title, visibilityClasses, tooltipElement]);
  const child = react__WEBPACK_IMPORTED_MODULE_0__.Children.only(children);
  const clone = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.cloneElement)(child, { ...child.props,
    ref: triggerElement,

    onMouseEnter(e) {
      var _child$props$onMouseE, _child$props;

      if (disabled === true) return;
      setInjected(true);
      (_child$props$onMouseE = (_child$props = child.props).onMouseEnter) === null || _child$props$onMouseE === void 0 ? void 0 : _child$props$onMouseE.call(_child$props, e);
    },

    onMouseLeave(e) {
      var _child$props$onMouseL, _child$props2;

      if (disabled === true) return;
      performAnimation(false);
      (_child$props$onMouseL = (_child$props2 = child.props).onMouseLeave) === null || _child$props$onMouseL === void 0 ? void 0 : _child$props$onMouseL.call(_child$props2, e);
    }

  });
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (injected) performAnimation(true);
  }, [injected]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.Fragment, {
    children: [clone, /*#__PURE__*/(0,react_dom__WEBPACK_IMPORTED_MODULE_1__.createPortal)(tooltip, document.body)]
  });
});
Tooltip.displayName = "Tooltip";

/***/ }),

/***/ "./src/components/Userpic/UserInfo.js":
/*!********************************************!*\
  !*** ./src/components/Userpic/UserInfo.js ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "UserInfo": () => (/* binding */ UserInfo)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");




const UserInfo = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(({
  user,
  className,
  //   showFullName,
  style,
  ...rest
}, ref) => {
  //   const [fullNameVisible, setFullNameVisible] = useState(showFullName);
  //   setFullNameVisible(true);
  const fullName = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    console.log("user: ", user);
    const {
      firstName,
      lastName,
      email,
      username
    } = user;
    console.log("first_name: ", firstName);
    console.log("last_name: ", lastName);
    console.log("email: ", email);
    console.log("username: ", username);

    if (firstName && lastName) {
      return `${firstName}`;
    } else if (email) {
      return email;
    } else {
      return username || '';
    }
  }, [user]); //   const onMouseEnter = useCallback(() => {
  //     setFullNameVisible(true);
  //   }, []);
  //   const onMouseLeave = useCallback(() => {
  //     setFullNameVisible(false);
  //   }, []);

  const userInfo = /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Block, {
    ref: ref,
    name: "userinfo",
    mix: className,
    style: style,
    ...rest,
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx)("div", {
      name: "user-info" // onMouseEnter={onMouseEnter}
      // onMouseLeave={onMouseLeave}
      ,
      style: {
        margin: '5px'
      },
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx)("div", {
        title: fullName,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
          tag: "span",
          name: "full-name",
          children: fullName
        })
      })
    })
  });

  return userInfo;
});
UserInfo.displayName = 'UserInfo';

/***/ }),

/***/ "./src/components/Userpic/Userpic.js":
/*!*******************************************!*\
  !*** ./src/components/Userpic/Userpic.js ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Userpic": () => (/* binding */ Userpic)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../Tooltip/Tooltip */ "./src/components/Tooltip/Tooltip.js");
/* harmony import */ var _Userpic_styl__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./Userpic.styl */ "./src/components/Userpic/Userpic.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");






const FALLBACK_IMAGE = 'data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mNkYAAAAAYAAjCB0C8AAAAASUVORK5CYII=';
const Userpic = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(({
  username,
  size,
  src,
  user,
  className,
  showUsername,
  style,
  ...rest
}, ref) => {
  var _user$avatar;

  const imgRef = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const [finalUsername, setFinalUsername] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(username);
  const [finalSrc, setFinalSrc] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)((_user$avatar = user === null || user === void 0 ? void 0 : user.avatar) !== null && _user$avatar !== void 0 ? _user$avatar : src);
  const [imgVisible, setImgVisible] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const [nameVisible, setNameVisible] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(true);

  if (size) {
    style = Object.assign({
      width: size,
      height: size,
      fontSize: size * 0.4
    }, style);
  }

  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (user) {
      const {
        first_name,
        last_name,
        email,
        initials,
        username
      } = user;

      if (initials) {
        setFinalUsername(initials);
      } else if (username) {
        setFinalUsername(username);
      } else if (first_name && last_name) {
        setFinalUsername(`${first_name[0]}${last_name[0]}`);
      } else if (email) {
        setFinalUsername(email.substring(0, 2));
      }

      if (user.avatar) setFinalSrc(user.avatar);
    } else {
      setFinalUsername(username);
      setFinalSrc(src);
    }
  }, [user]);
  const onImageLoaded = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    setImgVisible(true);
    if (finalSrc !== FALLBACK_IMAGE) setNameVisible(false);
  }, [finalSrc]);

  const userpic = /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Block, {
    ref: ref,
    name: "userpic",
    mix: className,
    style: style,
    ...rest,
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
      tag: "img",
      name: "avatar",
      ref: imgRef,
      src: finalSrc,
      alt: (finalUsername !== null && finalUsername !== void 0 ? finalUsername : "").toUpperCase(),
      style: {
        opacity: imgVisible ? 1 : 0
      },
      onLoad: onImageLoaded,
      onError: () => setFinalSrc(FALLBACK_IMAGE)
    }), nameVisible && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
      tag: "span",
      name: "username",
      children: (finalUsername !== null && finalUsername !== void 0 ? finalUsername : "").toUpperCase()
    })]
  });

  const userFullName = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    if (user !== null && user !== void 0 && user.first_name || user !== null && user !== void 0 && user.last_name) {
      var _user$first_name, _user$last_name;

      return `${(_user$first_name = user === null || user === void 0 ? void 0 : user.first_name) !== null && _user$first_name !== void 0 ? _user$first_name : ''} ${(_user$last_name = user === null || user === void 0 ? void 0 : user.last_name) !== null && _user$last_name !== void 0 ? _user$last_name : ''}`.trim();
    } else if (user !== null && user !== void 0 && user.email) {
      return user.email;
    } else {
      return username;
    }
  }, [user, username]);
  return showUsername && userFullName ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_2__.Tooltip, {
    title: userFullName,
    children: userpic
  }) : userpic;
});
Userpic.displayName = 'Userpic';

/***/ }),

/***/ "./src/components/VersionNotifier/VersionNotifier.js":
/*!***********************************************************!*\
  !*** ./src/components/VersionNotifier/VersionNotifier.js ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "VersionNotifier": () => (/* binding */ VersionNotifier),
/* harmony export */   "VersionProvider": () => (/* binding */ VersionProvider)
/* harmony export */ });
/* harmony import */ var date_fns__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! date-fns */ "./node_modules/date-fns/esm/format/index.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! react-router-dom */ "./node_modules/react-router-dom/esm/react-router-dom.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _VersionNotifier_styl__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./VersionNotifier.styl */ "./src/components/VersionNotifier/VersionNotifier.styl");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");









const VersionContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)();
const VersionProvider = ({
  children
}) => {
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_1__.useAPI)();
  const [state, dispatch] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useReducer)((state, action) => {
    if (action.type === 'fetch-version') {
      return { ...state,
        ...action.payload
      };
    }
  });
  const fetchVersion = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    const response = await api.callApi("version");

    if (response !== null) {
      const data = response['label-studio-os-package'];
      dispatch({
        type: "fetch-version",
        payload: {
          version: data.version,
          latestVersion: data.latest_version_from_pypi,
          newVersion: data.current_version_is_outdated,
          updateTime: (0,date_fns__WEBPACK_IMPORTED_MODULE_6__["default"])(new Date(data.latest_version_upload_time), 'MMM d')
        }
      });
    }
  }, []);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    fetchVersion();
  }, []);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(VersionContext.Provider, {
    value: state,
    children: children
  });
};
const VersionNotifier = ({
  showNewVersion,
  showCurrentVersion
}) => {
  var _useContext;

  const url = "https://pypi.org/project/label-studio/#history";
  const {
    newVersion,
    updateTime,
    latestVersion,
    version
  } = (_useContext = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(VersionContext)) !== null && _useContext !== void 0 ? _useContext : {};
  return newVersion && showNewVersion ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Block, {
    tag: "li",
    name: "version-notifier",
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)("a", {
      href: url,
      target: "_blank",
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
        name: "icon",
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_4__.IconBell, {})
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
        name: "content",
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
          name: "title",
          "data-date": updateTime,
          children: [latestVersion, " Available"]
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
          name: "description",
          children: ["Current version: ", version]
        })]
      })]
    })
  }) : version && showCurrentVersion ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Block, {
    tag: react_router_dom__WEBPACK_IMPORTED_MODULE_7__.Link,
    name: "current-version",
    to: "/version",
    target: "_blank",
    children: ["v", version]
  }) : null;
};

/***/ }),

/***/ "./src/components/index.js":
/*!*********************************!*\
  !*** ./src/components/index.js ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Breadcrumbs": () => (/* reexport safe */ _Breadcrumbs_Breadcrumbs__WEBPACK_IMPORTED_MODULE_0__.Breadcrumbs),
/* harmony export */   "Button": () => (/* reexport safe */ _Button_Button__WEBPACK_IMPORTED_MODULE_1__.Button),
/* harmony export */   "Card": () => (/* reexport safe */ _Card_Card__WEBPACK_IMPORTED_MODULE_2__.Card),
/* harmony export */   "Checkbox": () => (/* reexport safe */ _Checkbox_Checkbox__WEBPACK_IMPORTED_MODULE_3__.Checkbox),
/* harmony export */   "Columns": () => (/* reexport safe */ _Columns_Columns__WEBPACK_IMPORTED_MODULE_4__.Columns),
/* harmony export */   "Dropdown": () => (/* reexport safe */ _Dropdown_Dropdown__WEBPACK_IMPORTED_MODULE_5__.Dropdown),
/* harmony export */   "Hamburger": () => (/* reexport safe */ _Hamburger_Hamburger__WEBPACK_IMPORTED_MODULE_6__.Hamburger),
/* harmony export */   "Menu": () => (/* reexport safe */ _Menu_Menu__WEBPACK_IMPORTED_MODULE_7__.Menu),
/* harmony export */   "Menubar": () => (/* reexport safe */ _Menubar_Menubar__WEBPACK_IMPORTED_MODULE_8__.Menubar),
/* harmony export */   "Pagination": () => (/* reexport safe */ _Pagination_Pagination__WEBPACK_IMPORTED_MODULE_14__.Pagination),
/* harmony export */   "SidebarMenu": () => (/* reexport safe */ _SidebarMenu_SidebarMenu__WEBPACK_IMPORTED_MODULE_9__.SidebarMenu),
/* harmony export */   "Spinner": () => (/* reexport safe */ _Spinner_Spinner__WEBPACK_IMPORTED_MODULE_10__.Spinner),
/* harmony export */   "ToggleItems": () => (/* reexport safe */ _ToggleItems_ToggleItems__WEBPACK_IMPORTED_MODULE_11__.ToggleItems),
/* harmony export */   "Userpic": () => (/* reexport safe */ _Userpic_Userpic__WEBPACK_IMPORTED_MODULE_12__.Userpic),
/* harmony export */   "VersionNotifier": () => (/* reexport safe */ _VersionNotifier_VersionNotifier__WEBPACK_IMPORTED_MODULE_13__.VersionNotifier)
/* harmony export */ });
/* harmony import */ var _Breadcrumbs_Breadcrumbs__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./Breadcrumbs/Breadcrumbs */ "./src/components/Breadcrumbs/Breadcrumbs.js");
/* harmony import */ var _Button_Button__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Button/Button */ "./src/components/Button/Button.js");
/* harmony import */ var _Card_Card__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./Card/Card */ "./src/components/Card/Card.js");
/* harmony import */ var _Checkbox_Checkbox__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./Checkbox/Checkbox */ "./src/components/Checkbox/Checkbox.js");
/* harmony import */ var _Columns_Columns__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./Columns/Columns */ "./src/components/Columns/Columns.js");
/* harmony import */ var _Dropdown_Dropdown__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./Dropdown/Dropdown */ "./src/components/Dropdown/Dropdown.js");
/* harmony import */ var _Hamburger_Hamburger__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./Hamburger/Hamburger */ "./src/components/Hamburger/Hamburger.js");
/* harmony import */ var _Menu_Menu__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./Menu/Menu */ "./src/components/Menu/Menu.js");
/* harmony import */ var _Menubar_Menubar__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./Menubar/Menubar */ "./src/components/Menubar/Menubar.js");
/* harmony import */ var _SidebarMenu_SidebarMenu__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./SidebarMenu/SidebarMenu */ "./src/components/SidebarMenu/SidebarMenu.js");
/* harmony import */ var _Spinner_Spinner__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./Spinner/Spinner */ "./src/components/Spinner/Spinner.js");
/* harmony import */ var _ToggleItems_ToggleItems__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./ToggleItems/ToggleItems */ "./src/components/ToggleItems/ToggleItems.tsx");
/* harmony import */ var _Userpic_Userpic__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./Userpic/Userpic */ "./src/components/Userpic/Userpic.js");
/* harmony import */ var _VersionNotifier_VersionNotifier__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./VersionNotifier/VersionNotifier */ "./src/components/VersionNotifier/VersionNotifier.js");
/* harmony import */ var _Pagination_Pagination__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./Pagination/Pagination */ "./src/components/Pagination/Pagination.tsx");
















/***/ }),

/***/ "./src/config/ApiConfig.js":
/*!*********************************!*\
  !*** ./src/config/ApiConfig.js ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "API_CONFIG": () => (/* binding */ API_CONFIG)
/* harmony export */ });
const API_CONFIG = {
  gateway: `${window.APP_SETTINGS.hostname}/api`,
  endpoints: {
    // Users
    users: "/users",
    me: "/current-user/whoami",
    // Organization
    memberships: "/organizations/:pk/memberships",
    inviteLink: "/invite",
    resetInviteLink: "POST:/invite/reset-token",
    // Project
    projects: "/projects",
    project: "/projects/:pk",
    updateProject: "PATCH:/projects/:pk",
    createProject: "POST:/projects",
    deleteProject: "DELETE:/projects/:pk",
    // Config and Import
    configTemplates: "/templates",
    validateConfig: "POST:/projects/:pk/validate",
    createSampleTask: "POST:/projects/:pk/sample-task",
    fileUploads: "/projects/:pk/file-uploads",
    deleteFileUploads: "DELETE:/projects/:pk/file-uploads",
    importFiles: "POST:/projects/:pk/import",
    reimportFiles: "POST:/projects/:pk/reimport",
    dataSummary: "/projects/:pk/summary",
    // DM
    deleteTabs: 'DELETE:/dm/views/reset',
    // Storages
    listStorages: "/storages/:target?",
    storageTypes: "/storages/:target?/types",
    storageForms: "/storages/:target?/:type/form",
    createStorage: "POST:/storages/:target?/:type",
    deleteStorage: "DELETE:/storages/:target?/:type/:pk",
    updateStorage: "PATCH:/storages/:target?/:type/:pk",
    syncStorage: "POST:/storages/:target?/:type/:pk/sync",
    validateStorage: "POST:/storages/:target?/:type/validate",
    // ML
    mlBackends: "GET:/ml",
    mlBackend: "GET:/ml/:pk",
    addMLBackend: "POST:/ml",
    updateMLBackend: "PATCH:/ml/:pk",
    deleteMLBackend: "DELETE:/ml/:pk",
    trainMLBackend: "POST:/ml/:pk/train",
    predictWithML: "POST:/ml/:pk/predict",
    projectModelVersions: "/projects/:pk/model-versions",
    modelVersions: "/ml/:pk/versions",
    mlInteractive: "POST:/ml/:pk/interactive-annotating",
    // Export
    export: "/projects/:pk/export",
    previousExports: "/projects/:pk/export/files",
    exportFormats: "/projects/:pk/export/formats",
    // Version
    version: '/version',
    // Webhook
    webhooks: "/webhooks",
    webhook: "/webhooks/:pk",
    updateWebhook: "PATCH:/webhooks/:pk",
    createWebhook: "POST:/webhooks",
    deleteWebhook: "DELETE:/webhooks/:pk",
    webhooksInfo: "/webhooks/info"
  },
  alwaysExpectJSON: false
};

/***/ }),

/***/ "./src/pages/CreateProject/Config/Config.js":
/*!**************************************************!*\
  !*** ./src/pages/CreateProject/Config/Config.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ConfigPage": () => (/* binding */ ConfigPage)
/* harmony export */ });
/* harmony import */ var codemirror_lib_codemirror_css__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! codemirror/lib/codemirror.css */ "./node_modules/codemirror/lib/codemirror.css");
/* harmony import */ var codemirror_mode_xml_xml__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! codemirror/mode/xml/xml */ "./node_modules/codemirror/mode/xml/xml.js");
/* harmony import */ var codemirror_mode_xml_xml__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(codemirror_mode_xml_xml__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_codemirror2__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react-codemirror2 */ "./node_modules/react-codemirror2/index.js");
/* harmony import */ var codemirror__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! codemirror */ "./node_modules/codemirror/lib/codemirror.js");
/* harmony import */ var codemirror__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(codemirror__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var codemirror_addon_hint_show_hint__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! codemirror/addon/hint/show-hint */ "./node_modules/codemirror/addon/hint/show-hint.js");
/* harmony import */ var codemirror_addon_hint_show_hint__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(codemirror_addon_hint_show_hint__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var codemirror_addon_hint_show_hint_css__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! codemirror/addon/hint/show-hint.css */ "./node_modules/codemirror/addon/hint/show-hint.css");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _components_ToggleItems_SwitchToogle__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../components/ToggleItems/SwitchToogle */ "./src/components/ToggleItems/SwitchToogle.tsx");
/* harmony import */ var _components_Form__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../../components/Form */ "./src/components/Form/index.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_colors__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../../../utils/colors */ "./src/utils/colors.js");
/* harmony import */ var _colors__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./colors */ "./src/pages/CreateProject/Config/colors.js");
/* harmony import */ var _Config_styl__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./Config.styl */ "./src/pages/CreateProject/Config/Config.styl");
/* harmony import */ var _Preview__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./Preview */ "./src/pages/CreateProject/Config/Preview.js");
/* harmony import */ var _Template__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./Template */ "./src/pages/CreateProject/Config/Template.js");
/* harmony import */ var _TemplatesList__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./TemplatesList */ "./src/pages/CreateProject/Config/TemplatesList.js");
/* harmony import */ var react_icons_bi__WEBPACK_IMPORTED_MODULE_22__ = __webpack_require__(/*! react-icons/bi */ "./node_modules/react-icons/bi/index.esm.js");
/* harmony import */ var _codemirror_css__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./codemirror.css */ "./src/pages/CreateProject/Config/codemirror.css");
/* harmony import */ var _config_hint__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! ./config-hint */ "./src/pages/CreateProject/Config/config-hint.ts");
/* harmony import */ var _schema_json__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! ./schema.json */ "./src/pages/CreateProject/Config/schema.json");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");
























const wizardClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_11__.cn)("wizard");
const configClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_11__.cn)("configure");

const EmptyConfigPlaceholder = () => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("div", {
  className: configClass.elem("empty-config"),
  children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("p", {
    children: "Your labeling configuration is empty. It is required to label your data."
  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("p", {
    children: ["Start from one of our predefined templates or create your own config on the Code panel. The labeling config is XML-based and you can ", /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("a", {
      href: "https://labelstud.io/tags/",
      target: "_blank",
      children: "read about the available tags in our documentation"
    }), "."]
  })]
});

const Label = ({
  label,
  template,
  color
}) => {
  const value = label.getAttribute("value");
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("li", {
    className: configClass.elem("label").mod({
      choice: label.tagName === "Choice"
    }),
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("label", {
      style: {
        background: color
      },
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("input", {
        type: "color",
        className: configClass.elem("label-color"),
        value: _colors__WEBPACK_IMPORTED_MODULE_13__.colorNames[color] || color,
        onChange: e => template.changeLabel(label, {
          background: e.target.value
        })
      })
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("span", {
      children: value
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("button", {
      type: "button",
      className: configClass.elem("delete-label"),
      onClick: () => template.removeLabel(label),
      "aria-label": "delete label",
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("svg", {
        xmlns: "http://www.w3.org/2000/svg",
        x: "0px",
        y: "0px",
        width: "12",
        height: "12",
        viewBox: "0 0 24 24",
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("path", {
          d: "M 10 2 L 9 3 L 4 3 L 4 5 L 5 5 L 5 20 C 5 20.522222 5.1913289 21.05461 5.5683594 21.431641 C 5.9453899 21.808671 6.4777778 22 7 22 L 17 22 C 17.522222 22 18.05461 21.808671 18.431641 21.431641 C 18.808671 21.05461 19 20.522222 19 20 L 19 5 L 20 5 L 20 3 L 15 3 L 14 2 L 10 2 z M 7 5 L 17 5 L 17 20 L 7 20 L 7 5 z M 9 7 L 9 18 L 11 18 L 11 7 L 9 7 z M 13 7 L 13 18 L 15 18 L 15 7 L 13 7 z"
        })
      })
    })]
  });
};

const ConfigureControl = ({
  control,
  template
}) => {
  const refLabels = react__WEBPACK_IMPORTED_MODULE_2__.useRef();
  const tagname = control.tagName;
  if (tagname !== "Choices" && !tagname.endsWith("Labels")) return null;
  const palette = (0,_utils_colors__WEBPACK_IMPORTED_MODULE_12__.Palette)();

  const onAddLabels = () => {
    if (!refLabels.current) return;
    template.addLabels(control, refLabels.current.value);
    refLabels.current.value = "";
  };

  const onKeyPress = e => {
    if (e.key === "Enter" && e.ctrlKey) {
      e.preventDefault();
      onAddLabels();
    }
  };

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("div", {
    className: configClass.elem("labels"),
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("div", {
      className: "object-title",
      style: {
        backgroundColor: '#f0f0f0',
        padding: '1px',
        border: '1px solid #ccc',
        margin: '0',
        display: 'flex',
        alignItems: 'center'
      },
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("h4", {
        children: "Configure labels"
      })
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("div", {
      className: configClass.elem("current-labels"),
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("ul", {
        children: Array.from(control.children).map(label => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)(Label, {
          label: label,
          template: template,
          color: label.getAttribute("background") || palette.next().value
        }, label.getAttribute("value")))
      })
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("div", {
      className: configClass.elem("labels-form"),
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("form", {
        className: configClass.elem("add-labels"),
        action: "",
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("div", {
          className: configClass.elem("add-labels-header"),
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("h4", {
            children: tagname === "Choices" ? "Add choices" : "Add a new label"
          })
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("div", {
          className: configClass.elem("add-labels-input"),
          style: {
            display: 'flex',
            gap: '5px'
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("textarea", {
            name: "labels",
            id: "",
            placeholder: "Enter a label name",
            cols: "30",
            rows: "5",
            ref: refLabels,
            onKeyPress: onKeyPress,
            style: {
              flexGrow: '1',
              margin: '8px 10px 8px 0px',
              borderColor: '#dededf',
              font: 'inherit',
              height: '40px'
            }
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("input", {
            type: "button",
            value: "+ Add",
            onClick: onAddLabels,
            style: {
              height: '40px',
              font: 'inherit',
              marginTop: '8px',
              color: '#40a9ff',
              border: '1px solid #40a9ff',
              borderRadius: '2px'
            }
          })]
        })]
      })
    })]
  });
};

const ConfigureSettings = ({
  template
}) => {
  const {
    settings
  } = template;
  if (!settings) return null;
  const keys = Object.keys(settings);
  const items = keys.map(key => {
    const options = settings[key];
    const type = Array.isArray(options.type) ? Array : options.type;
    const $object = options.object;
    const $tag = options.control ? options.control : $object;
    if (!$tag) return null;
    if (options.when && !options.when($tag)) return;
    let value = true;
    if (options.value) value = options.value($tag);else if (typeof options.param === "string") value = $tag.getAttribute(options.param);
    if (value === "true") value = true;
    if (value === "false") value = false;
    let onChange;
    let size;

    switch (type) {
      case Array:
        onChange = e => {
          if (typeof options.param === "function") {
            options.param($tag, e.target.value);
          } else {
            $object.setAttribute(options.param, e.target.value);
          }

          template.render();
        };

        return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("li", {
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("label", {
            children: [options.title, " ", /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("select", {
              value: value,
              onChange: onChange,
              children: options.type.map(option => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("option", {
                value: option,
                children: option
              }, option))
            })]
          })
        }, key);

      case Boolean:
        onChange = e => {
          if (typeof options.param === "function") {
            options.param($tag, e.target.checked);
          } else {
            $object.setAttribute(options.param, e.target.checked ? 'true' : 'false');
          }

          template.render();
        };

        return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("li", {
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("label", {
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("input", {
              type: "checkbox",
              checked: value,
              onChange: onChange
            }), " ", options.title]
          })
        }, key);

      case String:
      case Number:
        size = options.type === Number ? 5 : undefined;

        onChange = e => {
          if (typeof options.param === "function") {
            options.param($tag, e.target.value);
          } else {
            $object.setAttribute(options.param, e.target.value);
          }

          template.render();
        };

        return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("li", {
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("label", {
            children: [options.title, " ", /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("input", {
              type: "text",
              onInput: onChange,
              value: value,
              size: size
            })]
          })
        }, key);
    }
  }); // check for active settings

  if (!items.filter(Boolean).length) return null;
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("ul", {
    className: configClass.elem("settings"),
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("li", {
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("div", {
        className: "object-title",
        style: {
          backgroundColor: '#f0f0f0',
          padding: '1px',
          border: '1px solid #ccc',
          margin: '0',
          display: 'flex',
          alignItems: 'center'
        },
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("h4", {
          children: "Configure settings"
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("ul", {
        className: configClass.elem("object-settings"),
        children: items
      })]
    })
  });
}; // configure value source for `obj` object tag


const ConfigureColumn = ({
  template,
  obj,
  columns
}) => {
  var _obj$getAttribute;

  const value = (_obj$getAttribute = obj.getAttribute("value")) === null || _obj$getAttribute === void 0 ? void 0 : _obj$getAttribute.replace(/^\$/, ""); // if there is a value set already and it's not in the columns
  // or data was not uploaded yet

  const [isManual, setIsManual] = (0,react__WEBPACK_IMPORTED_MODULE_2__.useState)(!!value && !(columns !== null && columns !== void 0 && columns.includes(value))); // value is stored in state to make input conrollable
  // changes will be sent by Enter and blur

  const [newValue, setNewValue] = (0,react__WEBPACK_IMPORTED_MODULE_2__.useState)("$" + value); // update local state when external value changes

  (0,react__WEBPACK_IMPORTED_MODULE_2__.useEffect)(() => setNewValue("$" + value), [value]);

  const updateValue = value => {
    const newValue = value.replace(/^\$/, "");
    obj.setAttribute("value", "$" + newValue);
    template.render();
  };

  const selectValue = e => {
    const value = e.target.value;

    if (value === "-") {
      setIsManual(true);
      return;
    } else if (isManual) {
      setIsManual(false);
    }

    updateValue(value);
  };

  const handleChange = e => {
    const newValue = e.target.value.replace(/^\$/, "");
    setNewValue("$" + newValue);
  };

  const handleBlur = () => {
    updateValue(newValue);
  };

  const handleKeyDown = e => {
    if (e.key === "Enter") {
      e.preventDefault();
      updateValue(e.target.value);
    }
  };

  return (
    /*#__PURE__*/
    // <p>
    //   Use {obj.tagName.toLowerCase()}
    //   {template.objects > 1 && ` for ${obj.getAttribute("name")}`}
    //   {" from "}
    //   {columns?.length > 0 && columns[0] !== DEFAULT_COLUMN && "field "}
    //   <select onChange={selectValue} value={isManual ? "-" : value}>
    //     {columns?.map(column => (
    //       <option key={column} value={column}>
    //         {column === DEFAULT_COLUMN ? "<imported file>" : `$${column}`}
    //       </option>
    //     ))}
    //     {!columns?.length && (
    //       <option value={value}>{"<imported file>"}</option>
    //     )}
    //     <option value="-">{"<set manually>"}</option>
    //   </select>
    //   {isManual && (
    //     <input value={newValue} onChange={handleChange} onBlur={handleBlur} onKeyDown={handleKeyDown}/>
    //   )}
    // </p>
    (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("div", {
      className: configClass.elem("image-data-container"),
      style: {
        marginTop: '10px'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("div", {
        className: configClass.elem("image-data-text"),
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("p", {
          children: ["Use ", obj.tagName.toLowerCase(), template.objects > 1 && ` for ${obj.getAttribute("name")}`, " from ", (columns === null || columns === void 0 ? void 0 : columns.length) > 0 && columns[0] !== _Template__WEBPACK_IMPORTED_MODULE_16__.DEFAULT_COLUMN && "field "]
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("div", {
        className: configClass.elem("image-data-select"),
        style: {
          display: 'flex',
          width: '100%'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("select", {
          onChange: selectValue,
          value: isManual ? "-" : value,
          style: {
            flexGrow: '1',
            width: 'auto'
          },
          children: [columns === null || columns === void 0 ? void 0 : columns.map(column => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("option", {
            value: column,
            children: column === _Template__WEBPACK_IMPORTED_MODULE_16__.DEFAULT_COLUMN ? "<imported file>" : `$${column}`
          }, column)), !(columns !== null && columns !== void 0 && columns.length) && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("option", {
            value: value,
            children: "<imported file>"
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("option", {
            value: "-",
            children: "<set manually>"
          })]
        }), isManual && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("input", {
          value: newValue,
          onChange: handleChange,
          onBlur: handleBlur,
          onKeyDown: handleKeyDown,
          style: {
            flexGrow: '1',
            width: 'auto',
            marginLeft: '10px'
          }
        })]
      })]
    })
  );
};

const ConfigureColumns = ({
  columns,
  template
}) => {
  if (!template.objects.length) return null;
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("div", {
    className: configClass.elem("object"),
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("div", {
      className: "object-title",
      style: {
        backgroundColor: '#f0f0f0',
        padding: '1px',
        border: '1px solid #ccc',
        margin: '0',
        display: 'flex',
        alignItems: 'center'
      },
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("h4", {
        children: "Configure data"
      })
    }), template.objects.length > 1 && (columns === null || columns === void 0 ? void 0 : columns.length) > 0 && columns.length < template.objects.length && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("p", {
      className: configClass.elem("object-error"),
      children: "This template requires more data then you have for now"
    }), (columns === null || columns === void 0 ? void 0 : columns.length) === 0 && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("p", {
      className: configClass.elem("object-error"),
      children: "To select which field(s) to label you need to upload the data. Alternatively, you can provide it using Code mode."
    }), template.objects.map(obj => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)(ConfigureColumn, {
      obj,
      template,
      columns
    }, obj.getAttribute("name")))]
  });
};

const Configurator = ({
  columns,
  config,
  project,
  template,
  setTemplate,
  onBrowse,
  onSaveClick,
  onValidate,
  disableSaveButton,
  warning
}) => {
  const [configure, setConfigure] = react__WEBPACK_IMPORTED_MODULE_2__.useState((0,_Template__WEBPACK_IMPORTED_MODULE_16__.isEmptyConfig)(config) ? "code" : "visual");
  const [visualLoaded, loadVisual] = react__WEBPACK_IMPORTED_MODULE_2__.useState(configure === "visual");
  const [waiting, setWaiting] = react__WEBPACK_IMPORTED_MODULE_2__.useState(false);
  const [saved, setSaved] = react__WEBPACK_IMPORTED_MODULE_2__.useState(false); // config update is debounced because of user input

  const [configToCheck, setConfigToCheck] = react__WEBPACK_IMPORTED_MODULE_2__.useState(); // then we wait for validation and sample data for this config

  const [error, setError] = react__WEBPACK_IMPORTED_MODULE_2__.useState();
  const [parserError, setParserError] = react__WEBPACK_IMPORTED_MODULE_2__.useState();
  const [data, setData] = react__WEBPACK_IMPORTED_MODULE_2__.useState();
  const [loading, setLoading] = (0,react__WEBPACK_IMPORTED_MODULE_2__.useState)(false); // and only with them we'll update config in preview

  const [configToDisplay, setConfigToDisplay] = react__WEBPACK_IMPORTED_MODULE_2__.useState(config);
  const debounceTimer = react__WEBPACK_IMPORTED_MODULE_2__.useRef();
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_10__.useAPI)();
  react__WEBPACK_IMPORTED_MODULE_2__.useEffect(() => {
    // config may change during init, so wait for that, but for a very short time only
    debounceTimer.current = window.setTimeout(() => setConfigToCheck(config), configToCheck ? 500 : 30);
    return () => window.clearTimeout(debounceTimer.current);
  }, [config]);
  react__WEBPACK_IMPORTED_MODULE_2__.useEffect(async () => {
    if (!configToCheck) return;
    setLoading(true);
    const validation = await api.callApi(`validateConfig`, {
      params: {
        pk: project.id
      },
      body: {
        label_config: configToCheck
      },
      errorFilter: () => true
    });

    if (validation !== null && validation !== void 0 && validation.error) {
      setError(validation.response);
      setLoading(false);
      return;
    }

    setError(null);
    onValidate === null || onValidate === void 0 ? void 0 : onValidate(validation);
    const sample = await api.callApi("createSampleTask", {
      params: {
        pk: project.id
      },
      body: {
        label_config: configToCheck
      },
      errorFilter: () => true
    });
    setLoading(false);

    if (sample && !sample.error) {
      setData(sample.sample_task);
      setConfigToDisplay(configToCheck);
    } else {
      // @todo validation can be done in this place,
      // @todo but for now it's extremely slow in /sample-task endpoint
      setError(sample === null || sample === void 0 ? void 0 : sample.response);
    }
  }, [configToCheck]); // code should be reloaded on every render because of uncontrolled codemirror
  // visuals should be always rendered after first render
  // so load it on the first access, then just show/hide

  const onSelect = value => {
    setConfigure(value);
    if (value === "visual") loadVisual(true);
  };

  const onChange = react__WEBPACK_IMPORTED_MODULE_2__.useCallback(config => {
    try {
      setParserError(null);
      setTemplate(config);
    } catch (e) {
      setParserError({
        detail: `Parser error`,
        validation_errors: [e.message]
      });
    }
  }, [setTemplate]);

  const onSave = async () => {
    setError(null);
    setWaiting(true);
    const res = await onSaveClick();
    setWaiting(false);

    if (res === true) {
      setSaved(true);
      setTimeout(() => setSaved(false), 1500);
    } else {
      setError(res);
    }
  };

  function completeAfter(cm, pred) {
    if (!pred || pred()) {
      setTimeout(function () {
        if (!cm.state.completionActive) cm.showHint({
          completeSingle: false
        });
      }, 100);
    }

    return (codemirror__WEBPACK_IMPORTED_MODULE_4___default().Pass);
  }

  function completeIfInTag(cm) {
    return completeAfter(cm, function () {
      const token = cm.getTokenAt(cm.getCursor());
      if (token.type === "string" && (!/['"]$/.test(token.string) || token.string.length === 1)) return false;
      const inner = codemirror__WEBPACK_IMPORTED_MODULE_4___default().innerMode(cm.getMode(), token.state).state;
      return inner.tagName;
    });
  } // const extra = (
  //   <p className={configClass.elem('tags-link')}>
  //     Configure the labeling interface with tags.
  //     <br />
  //     <a href="https://labelstud.io/tags/" target="_blank">See all available tags</a>
  //     .
  //   </p>
  // );


  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("div", {
    className: configClass,
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("div", {
      className: configClass.elem("container"),
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("header", {
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("button", {
          onClick: onBrowse,
          style: {
            border: '1px solid #1A73E8',
            borderRadius: '4px',
            padding: '8px',
            display: 'flex',
            alignItems: 'center'
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)(react_icons_bi__WEBPACK_IMPORTED_MODULE_22__.BiRefresh, {
            style: {
              marginRight: '8px',
              color: '#1A73E8'
            }
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("span", {
            style: {
              color: '#1A73E8'
            },
            children: "Choose Templates"
          })]
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)(_components__WEBPACK_IMPORTED_MODULE_7__.ToggleItems, {
          items: {
            code: "Code",
            visual: "Visual"
          },
          active: configure,
          onSelect: onSelect
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("div", {
        className: configClass.elem('editor'),
        children: [configure === "code" && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)("div", {
          className: configClass.elem("code"),
          style: {
            display: configure === "code" ? undefined : "none"
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)(react_codemirror2__WEBPACK_IMPORTED_MODULE_3__.UnControlled, {
            name: "code",
            id: "edit_code",
            value: config,
            autoCloseTags: true,
            smartIndent: true,
            detach: true,
            extensions: ["hint", "xml-hint"],
            options: {
              mode: "xml",
              theme: "default",
              lineNumbers: true,
              extraKeys: {
                "'<'": completeAfter,
                // "'/'": completeIfAfterLt,
                "' '": completeIfInTag,
                "'='": completeIfInTag,
                "Ctrl-Space": "autocomplete"
              },
              hintOptions: {
                schemaInfo: _schema_json__WEBPACK_IMPORTED_MODULE_20__
              }
            } // don't close modal with Escape while editing config
            ,
            onKeyDown: (editor, e) => {
              if (e.code === 'Escape') e.stopPropagation();
            },
            onChange: (editor, data, value) => onChange(value)
          })
        }), visualLoaded && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("div", {
          className: configClass.elem("visual"),
          style: {
            display: configure === "visual" ? undefined : "none"
          },
          children: [(0,_Template__WEBPACK_IMPORTED_MODULE_16__.isEmptyConfig)(config) && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)(EmptyConfigPlaceholder, {}), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)(ConfigureColumns, {
            columns: columns,
            project: project,
            template: template
          }), template.controls.map(control => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)(ConfigureControl, {
            control: control,
            template: template
          }, control.getAttribute("name"))), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)(ConfigureSettings, {
            template: template
          })]
        })]
      }), disableSaveButton !== true && onSaveClick &&
      /*#__PURE__*/
      // <Form.Actions size="small" extra={configure === "code" && extra} valid>
      (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_9__.Form.Actions, {
        size: "small",
        extra: configure === "code",
        valid: true,
        children: [saved && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_11__.Block, {
          name: "form-indicator",
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_11__.Elem, {
            tag: "span",
            mod: {
              type: 'success'
            },
            name: "item",
            children: "Saved!"
          })
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)(_components__WEBPACK_IMPORTED_MODULE_7__.Button, {
          look: "primary",
          size: "compact",
          style: {
            width: 120
          },
          onClick: onSave,
          waiting: waiting,
          children: waiting ? "Saving..." : "Save"
        })]
      })]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)(_Preview__WEBPACK_IMPORTED_MODULE_15__.Preview, {
      config: configToDisplay,
      data: data,
      loading: loading,
      error: parserError || error || configure === "code" && warning
    })]
  });
};

const ConfigPage = ({
  config: initialConfig = "",
  columns: externalColumns,
  project,
  onUpdate,
  onSaveClick,
  onValidate,
  disableSaveButton,
  show = true
}) => {
  const [config, _setConfig] = react__WEBPACK_IMPORTED_MODULE_2__.useState("");
  const [mode, setMode] = react__WEBPACK_IMPORTED_MODULE_2__.useState("list"); // view | list

  const [selectedGroup, setSelectedGroup] = react__WEBPACK_IMPORTED_MODULE_2__.useState(null);
  const [selectedRecipe, setSelectedRecipe] = react__WEBPACK_IMPORTED_MODULE_2__.useState(null);
  const [template, setCurrentTemplate] = react__WEBPACK_IMPORTED_MODULE_2__.useState(null);
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_10__.useAPI)();
  const setConfig = react__WEBPACK_IMPORTED_MODULE_2__.useCallback(config => {
    _setConfig(config);

    onUpdate(config);
  }, [_setConfig, onUpdate]);
  const setTemplate = react__WEBPACK_IMPORTED_MODULE_2__.useCallback(config => {
    const tpl = new _Template__WEBPACK_IMPORTED_MODULE_16__.Template({
      config
    });
    tpl.onConfigUpdate = setConfig;
    setConfig(config);
    setCurrentTemplate(tpl);
  }, [setConfig, setCurrentTemplate]);
  const [columns, setColumns] = react__WEBPACK_IMPORTED_MODULE_2__.useState();
  react__WEBPACK_IMPORTED_MODULE_2__.useEffect(() => {
    if (externalColumns !== null && externalColumns !== void 0 && externalColumns.length) setColumns(externalColumns);
  }, [externalColumns]);
  const [warning, setWarning] = react__WEBPACK_IMPORTED_MODULE_2__.useState();
  react__WEBPACK_IMPORTED_MODULE_2__.useEffect(async () => {
    if (externalColumns) return; // we are in Create Project dialog, so this request is useless

    if (!project || columns) return;
    const res = await api.callApi("dataSummary", {
      params: {
        pk: project.id
      },
      // 404 is ok, and errors here don't matter
      errorFilter: () => true
    });

    if (res !== null && res !== void 0 && res.common_data_columns) {
      setColumns(res.common_data_columns);
    }
  }, [columns, project]);
  const onSelectRecipe = react__WEBPACK_IMPORTED_MODULE_2__.useCallback(recipe => {
    if (!recipe) {
      setSelectedRecipe(null);
      setMode("list");
      return;
    }

    setTemplate(recipe.config);
    setSelectedRecipe(recipe);
    setMode("view");
  });
  const onCustomTemplate = react__WEBPACK_IMPORTED_MODULE_2__.useCallback(() => {
    setTemplate(_Template__WEBPACK_IMPORTED_MODULE_16__.EMPTY_CONFIG);
    setMode("view");
  });
  react__WEBPACK_IMPORTED_MODULE_2__.useEffect(() => {
    if (initialConfig) {
      setTemplate(initialConfig);
      setMode("view");
    }
  }, []);
  if (!show) return null;
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsxs)("div", {
    className: wizardClass,
    "data-mode": "list",
    id: "config-wizard",
    children: [mode === "list" && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)(_TemplatesList__WEBPACK_IMPORTED_MODULE_17__.TemplatesList, {
      case: "list",
      selectedGroup: selectedGroup,
      selectedRecipe: selectedRecipe,
      onSelectGroup: setSelectedGroup,
      onSelectRecipe: onSelectRecipe,
      onCustomTemplate: onCustomTemplate
    }), mode === "view" && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_21__.jsx)(Configurator, {
      case: "view",
      columns: columns,
      config: config,
      project: project,
      selectedRecipe: selectedRecipe,
      template: template,
      setTemplate: setTemplate,
      onBrowse: setMode.bind(null, "list"),
      onValidate: onValidate,
      disableSaveButton: disableSaveButton,
      onSaveClick: onSaveClick,
      warning: warning
    })]
  });
};

/***/ }),

/***/ "./src/pages/CreateProject/Config/Preview.js":
/*!***************************************************!*\
  !*** ./src/pages/CreateProject/Config/Preview.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Preview": () => (/* binding */ Preview)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _providers_LibraryProvider__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../providers/LibraryProvider */ "./src/providers/LibraryProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Config_styl__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./Config.styl */ "./src/pages/CreateProject/Config/Config.styl");
/* harmony import */ var _Template__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./Template */ "./src/pages/CreateProject/Config/Template.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");








const configClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_3__.cn)("configure");
const Preview = ({
  config,
  data,
  error,
  loading
}) => {
  var _error$validation_err, _error$validation_err2, _error$validation_err3, _error$validation_err4, _error$validation_err5, _error$validation_err6, _error$validation_err7, _error$validation_err8;

  const LabelStudio = (0,_providers_LibraryProvider__WEBPACK_IMPORTED_MODULE_2__.useLibrary)('lsf');
  const lsf = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)(null);
  const rootRef = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const currentTask = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    return {
      id: 1,
      annotations: [],
      predictions: [],
      data
    };
  }, [data]);
  const currentConfig = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    // empty string causes error in LSF
    return config !== null && config !== void 0 ? config : _Template__WEBPACK_IMPORTED_MODULE_5__.EMPTY_CONFIG;
  }, [config]);
  const initLabelStudio = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)((config, task) => {
    if (!LabelStudio) return;
    if (!task.data) return;
    console.info("Initializing LSF preview", {
      config,
      task
    });

    try {
      return new window.LabelStudio(rootRef.current, {
        config,
        task,
        interfaces: ["side-column", "annotations:comments"],

        onLabelStudioLoad(LS) {
          LS.settings.bottomSidePanel = true;
          const as = LS.annotationStore;
          const c = as.createAnnotation();
          as.selectAnnotation(c.id);
        }

      });
    } catch (err) {
      console.error(err);
      return null;
    }
  }, [LabelStudio]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    const opacity = loading || error ? 0.6 : 1; // to avoid rerenders and data loss we do it this way

    document.getElementById("label-studio").style.opacity = opacity;
  }, [loading, error]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (!lsf.current) {
      lsf.current = initLabelStudio(currentConfig, currentTask);
    }

    return () => {
      if (lsf.current) {
        console.info('Destroying DS'); // there is can be weird error from LSF, but we can just skip it for now

        try {
          lsf.current.destroy();
        } catch (e) {}

        lsf.current = null;
      }
    };
  }, [initLabelStudio, currentConfig, currentTask]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    var _lsf$current;

    if ((_lsf$current = lsf.current) !== null && _lsf$current !== void 0 && _lsf$current.store) {
      lsf.current.store.assignConfig(currentConfig);
      console.log("DS config updated");
    }
  }, [currentConfig]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    var _lsf$current2;

    if ((_lsf$current2 = lsf.current) !== null && _lsf$current2 !== void 0 && _lsf$current2.store) {
      const store = lsf.current.store;
      store.resetState();
      store.assignTask(currentTask);
      store.initializeStore(currentTask);
      const c = store.annotationStore.addAnnotation({
        userGenerate: true
      });
      store.annotationStore.selectAnnotation(c.id);
      console.log("DS task updated");
    }
  }, [currentTask]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("div", {
    className: configClass.elem("preview"),
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("h4", {
      children: "UI Preview"
    }), error && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("div", {
      className: configClass.elem("preview-error"),
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("h2", {
        children: [error.detail, " ", error.id]
      }), (_error$validation_err = error.validation_errors) === null || _error$validation_err === void 0 ? void 0 : (_error$validation_err2 = _error$validation_err.non_field_errors) === null || _error$validation_err2 === void 0 ? void 0 : (_error$validation_err3 = _error$validation_err2.map) === null || _error$validation_err3 === void 0 ? void 0 : _error$validation_err3.call(_error$validation_err2, err => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("p", {
        children: err
      }, err)), (_error$validation_err4 = error.validation_errors) === null || _error$validation_err4 === void 0 ? void 0 : (_error$validation_err5 = _error$validation_err4.label_config) === null || _error$validation_err5 === void 0 ? void 0 : (_error$validation_err6 = _error$validation_err5.map) === null || _error$validation_err6 === void 0 ? void 0 : _error$validation_err6.call(_error$validation_err5, err => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("p", {
        children: err
      }, err)), (_error$validation_err7 = error.validation_errors) === null || _error$validation_err7 === void 0 ? void 0 : (_error$validation_err8 = _error$validation_err7.map) === null || _error$validation_err8 === void 0 ? void 0 : _error$validation_err8.call(_error$validation_err7, err => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("p", {
        children: err
      }, err))]
    }), !data && loading && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Spinner, {
      style: {
        width: "100%",
        height: "50vh"
      }
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("div", {
      id: "label-studio",
      className: configClass.elem("preview-ui"),
      ref: rootRef
    })]
  });
};

/***/ }),

/***/ "./src/pages/CreateProject/Config/Template.js":
/*!****************************************************!*\
  !*** ./src/pages/CreateProject/Config/Template.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "DEFAULT_COLUMN": () => (/* binding */ DEFAULT_COLUMN),
/* harmony export */   "EMPTY_CONFIG": () => (/* binding */ EMPTY_CONFIG),
/* harmony export */   "Template": () => (/* binding */ Template),
/* harmony export */   "isEmptyConfig": () => (/* binding */ isEmptyConfig)
/* harmony export */ });
/* harmony import */ var _tags__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./tags */ "./src/pages/CreateProject/Config/tags.js");
/* harmony import */ var _utils_colors__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../utils/colors */ "./src/utils/colors.js");
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}



const EMPTY_CONFIG = "<View></View>";
const DEFAULT_COLUMN = "$undefined$";
const isEmptyConfig = config => ["", EMPTY_CONFIG].includes(config.replace(/\s+/g, ''));
class Template {
  constructor(tpl) {
    _defineProperty(this, "objects", []);

    _defineProperty(this, "controls", []);

    _defineProperty(this, "details", false);

    _defineProperty(this, "palette", (0,_utils_colors__WEBPACK_IMPORTED_MODULE_1__.Palette)());

    this.tpl = tpl;
    this.config = tpl.config;
    const parser = new DOMParser();
    this.$root = parser.parseFromString(this.config, 'application/xml');
    this.serializer = new XMLSerializer();
    this.initRoot();
  }

  flatten(el) {
    const tags = [];

    for (let tag of el.children) {
      tags.push(tag);
      if (tag.children.length) tags.push(...this.flatten(tag));
    }

    return tags;
  }

  onConfigUpdate() {// should be overwritten
  }

  render() {
    const config = this.serializer.serializeToString(this.$root);
    this.onConfigUpdate(config);
  }

  initRoot() {
    const tags = this.flatten(this.$root);
    this.objects = tags.filter($tag => $tag.tagName in _tags__WEBPACK_IMPORTED_MODULE_0__.OBJECTS && $tag.getAttribute("value"));
    const names = this.objects.map($tag => $tag.getAttribute('name'));
    this.controls = tags.filter($tag => names.includes($tag.getAttribute('toName')));

    for (let $object of this.objects) {
      const object = _tags__WEBPACK_IMPORTED_MODULE_0__.OBJECTS[$object.tagName];
      $object.$controls = this.controls.filter($tag => $tag.getAttribute('toName') === $object.getAttribute('name'));
      $object.$controls.forEach($control => $control.$object = $object);

      for (let item in object.settings) {
        object.settings[item].object = $object;
      }

      let settings = { ...object.settings
      };
      $object.$controls.forEach($control => {
        let control = _tags__WEBPACK_IMPORTED_MODULE_0__.CONTROLS[$control.tagName];

        if (control) {
          for (let item in control.settings) {
            control.settings[item].control = $control;
            control.settings[item].object = $object;
          }

          settings = { ...settings,
            ...control.settings
          };
        }
      });
      this.settings = settings;
    }
  } // fix `value` of object tags according to current columns from data


  fixColumns(columns) {
    if (columns.length === 1 && columns[0] === DEFAULT_COLUMN) return;
    const existing = this.objects.map(obj => obj.getAttribute("value").replace(/^\$/, ''));
    let free = columns.filter(c => !existing.includes(c));

    for (let obj of this.objects) {
      if (!columns.includes(obj.getAttribute("value").replace(/^\$/, ''))) {
        var _free$shift;

        obj.setAttribute("value", "$" + ((_free$shift = free.shift()) !== null && _free$shift !== void 0 ? _free$shift : columns[0]));
      }
    }

    this.render();
  }

  addLabels(control, labels) {
    if (!labels) return;

    if (!Array.isArray(labels)) {
      labels = labels.split("\n").map(s => s.trim()).filter(Boolean);
    }

    if (!labels.length) return;
    const existing = [...control.children].map(ch => ch.getAttribute("value"));
    const isChoices = control.tagName === "Choices";
    labels.forEach(label => {
      if (existing.includes(label)) return;
      existing.push(label);
      const $label = this.$root.createElement(isChoices ? "Choice" : "Label");
      $label.setAttribute("value", label);
      if (!isChoices) $label.setAttribute("background", this.palette.next().value);
      control.appendChild($label);
    });
    this.render();
  }

  removeLabel($label) {
    $label.parentNode.removeChild($label);
    this.render();
  }

  changeLabel($label, attrs) {
    for (let attr of Object.keys(attrs)) {
      $label.setAttribute(attr, attrs[attr]);
    }

    this.render();
  }

}

/***/ }),

/***/ "./src/pages/CreateProject/Config/TemplatesList.js":
/*!*********************************************************!*\
  !*** ./src/pages/CreateProject/Config/TemplatesList.js ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "TemplatesList": () => (/* binding */ TemplatesList)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Config_styl__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./Config.styl */ "./src/pages/CreateProject/Config/Config.styl");
/* harmony import */ var react_icons_fa__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! react-icons/fa */ "./node_modules/react-icons/fa/index.esm.js");
/* harmony import */ var react_icons_gi__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react-icons/gi */ "./node_modules/react-icons/gi/index.esm.js");
/* harmony import */ var react_icons_ai__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! react-icons/ai */ "./node_modules/react-icons/ai/index.esm.js");
/* harmony import */ var react_icons_hi__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! react-icons/hi */ "./node_modules/react-icons/hi/index.esm.js");
/* harmony import */ var react_icons_bi__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! react-icons/bi */ "./node_modules/react-icons/bi/index.esm.js");
/* harmony import */ var react_icons_md__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! react-icons/md */ "./node_modules/react-icons/md/index.esm.js");
/* harmony import */ var react_icons_io__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! react-icons/io */ "./node_modules/react-icons/io/index.esm.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");














const listClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_3__.cn)("templates-list");

const TemplatesInGroup = ({
  templates,
  group,
  onSelectRecipe
}) => {
  const picked = templates.filter(recipe => recipe.group === group) // templates without `order` go to the end of the list
  .sort((a, b) => {
    var _a$order, _b$order;

    return ((_a$order = a.order) !== null && _a$order !== void 0 ? _a$order : Infinity) - ((_b$order = b.order) !== null && _b$order !== void 0 ? _b$order : Infinity);
  });
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("ul", {
    children: picked.map(recipe => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)("li", {
      onClick: () => onSelectRecipe(recipe),
      className: listClass.elem("template"),
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("img", {
        src: recipe.image
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("h3", {
        children: recipe.title
      })]
    }, recipe.title))
  });
};

const groupIcons = {
  'Generative AI': /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(react_icons_gi__WEBPACK_IMPORTED_MODULE_6__.GiArtificialIntelligence, {}),
  'Conversational AI': /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(react_icons_hi__WEBPACK_IMPORTED_MODULE_7__.HiOutlineChatAlt, {}),
  'Computer Vision': /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(react_icons_fa__WEBPACK_IMPORTED_MODULE_8__.FaRegImages, {}),
  'Natural Language Processing': /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(react_icons_gi__WEBPACK_IMPORTED_MODULE_6__.GiBrain, {}),
  'Structured Data Parsing': /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(react_icons_bi__WEBPACK_IMPORTED_MODULE_9__.BiBarChart, {}),
  'Audio/Speech Processing': /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(react_icons_ai__WEBPACK_IMPORTED_MODULE_10__.AiFillAudio, {}),
  'Ranking & Scoring': /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(react_icons_md__WEBPACK_IMPORTED_MODULE_11__.MdDashboard, {}),
  'Time Series Analysis': /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(react_icons_io__WEBPACK_IMPORTED_MODULE_12__.IoIosTimer, {}),
  'Videos': /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(react_icons_md__WEBPACK_IMPORTED_MODULE_11__.MdVideocam, {})
};
const TemplatesList = ({
  selectedGroup,
  selectedRecipe,
  onCustomTemplate,
  onSelectGroup,
  onSelectRecipe
}) => {
  const [groups, setGroups] = react__WEBPACK_IMPORTED_MODULE_0__.useState([]);
  const [templates, setTemplates] = react__WEBPACK_IMPORTED_MODULE_0__.useState();
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_2__.useAPI)();
  react__WEBPACK_IMPORTED_MODULE_0__.useEffect(async () => {
    const res = await api.callApi('configTemplates');
    if (!res) return;
    const {
      templates,
      groups
    } = res;
    setTemplates(templates);
    setGroups(groups);
  }, []);
  const selected = selectedGroup || groups[0];
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)("div", {
    className: listClass,
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("aside", {
      className: listClass.elem("sidebar"),
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("ul", {
        children: groups.map(group => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)("li", {
          onClick: () => onSelectGroup(group),
          className: listClass.elem("group").mod({
            active: selected === group,
            selected: (selectedRecipe === null || selectedRecipe === void 0 ? void 0 : selectedRecipe.group) === group
          }),
          children: [groupIcons[group], group]
        }, group))
      })
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)("main", {
      children: [!templates && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Spinner, {
        style: {
          width: "100%",
          height: 200
        }
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(TemplatesInGroup, {
        templates: templates || [],
        group: selected,
        onSelectRecipe: onSelectRecipe
      })]
    })]
  });
};

/***/ }),

/***/ "./src/pages/CreateProject/Config/colors.js":
/*!**************************************************!*\
  !*** ./src/pages/CreateProject/Config/colors.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "colorNames": () => (/* binding */ colorNames)
/* harmony export */ });
const colorNames = {
  aliceblue: "#f0f8ff",
  antiquewhite: "#faebd7",
  aqua: "#00ffff",
  aquamarine: "#7fffd4",
  azure: "#f0ffff",
  beige: "#f5f5dc",
  bisque: "#ffe4c4",
  black: "#000000",
  blanchedalmond: "#ffebcd",
  blue: "#0000ff",
  blueviolet: "#8a2be2",
  brown: "#a52a2a",
  burlywood: "#deb887",
  cadetblue: "#5f9ea0",
  chartreuse: "#7fff00",
  chocolate: "#d2691e",
  coral: "#ff7f50",
  cornflowerblue: "#6495ed",
  cornsilk: "#fff8dc",
  crimson: "#dc143c",
  cyan: "#00ffff",
  darkblue: "#00008b",
  darkcyan: "#008b8b",
  darkgoldenrod: "#b8860b",
  darkgray: "#a9a9a9",
  darkgreen: "#006400",
  darkkhaki: "#bdb76b",
  darkmagenta: "#8b008b",
  darkolivegreen: "#556b2f",
  darkorange: "#ff8c00",
  darkorchid: "#9932cc",
  darkred: "#8b0000",
  darksalmon: "#e9967a",
  darkseagreen: "#8fbc8f",
  darkslateblue: "#483d8b",
  darkslategray: "#2f4f4f",
  darkturquoise: "#00ced1",
  darkviolet: "#9400d3",
  deeppink: "#ff1493",
  deepskyblue: "#00bfff",
  dimgray: "#696969",
  dodgerblue: "#1e90ff",
  firebrick: "#b22222",
  floralwhite: "#fffaf0",
  forestgreen: "#228b22",
  fuchsia: "#ff00ff",
  gainsboro: "#dcdcdc",
  ghostwhite: "#f8f8ff",
  gold: "#ffd700",
  goldenrod: "#daa520",
  gray: "#808080",
  green: "#008000",
  greenyellow: "#adff2f",
  honeydew: "#f0fff0",
  hotpink: "#ff69b4",
  indianred: "#cd5c5c",
  indigo: "#4b0082",
  ivory: "#fffff0",
  khaki: "#f0e68c",
  lavender: "#e6e6fa",
  lavenderblush: "#fff0f5",
  lawngreen: "#7cfc00",
  lemonchiffon: "#fffacd",
  lightblue: "#add8e6",
  lightcoral: "#f08080",
  lightcyan: "#e0ffff",
  lightgoldenrodyellow: "#fafad2",
  lightgrey: "#d3d3d3",
  lightgreen: "#90ee90",
  lightpink: "#ffb6c1",
  lightsalmon: "#ffa07a",
  lightseagreen: "#20b2aa",
  lightskyblue: "#87cefa",
  lightslategray: "#778899",
  lightsteelblue: "#b0c4de",
  lightyellow: "#ffffe0",
  lime: "#00ff00",
  limegreen: "#32cd32",
  linen: "#faf0e6",
  magenta: "#ff00ff",
  maroon: "#800000",
  mediumaquamarine: "#66cdaa",
  mediumblue: "#0000cd",
  mediumorchid: "#ba55d3",
  mediumpurple: "#9370d8",
  mediumseagreen: "#3cb371",
  mediumslateblue: "#7b68ee",
  mediumspringgreen: "#00fa9a",
  mediumturquoise: "#48d1cc",
  mediumvioletred: "#c71585",
  midnightblue: "#191970",
  mintcream: "#f5fffa",
  mistyrose: "#ffe4e1",
  moccasin: "#ffe4b5",
  navajowhite: "#ffdead",
  navy: "#000080",
  oldlace: "#fdf5e6",
  olive: "#808000",
  olivedrab: "#6b8e23",
  orange: "#ffa500",
  orangered: "#ff4500",
  orchid: "#da70d6",
  palegoldenrod: "#eee8aa",
  palegreen: "#98fb98",
  paleturquoise: "#afeeee",
  palevioletred: "#d87093",
  papayawhip: "#ffefd5",
  peachpuff: "#ffdab9",
  peru: "#cd853f",
  pink: "#ffc0cb",
  plum: "#dda0dd",
  powderblue: "#b0e0e6",
  purple: "#800080",
  rebeccapurple: "#663399",
  red: "#ff0000",
  rosybrown: "#bc8f8f",
  royalblue: "#4169e1",
  saddlebrown: "#8b4513",
  salmon: "#fa8072",
  sandybrown: "#f4a460",
  seagreen: "#2e8b57",
  seashell: "#fff5ee",
  sienna: "#a0522d",
  silver: "#c0c0c0",
  skyblue: "#87ceeb",
  slateblue: "#6a5acd",
  slategray: "#708090",
  snow: "#fffafa",
  springgreen: "#00ff7f",
  steelblue: "#4682b4",
  tan: "#d2b48c",
  teal: "#008080",
  thistle: "#d8bfd8",
  tomato: "#ff6347",
  turquoise: "#40e0d0",
  violet: "#ee82ee",
  wheat: "#f5deb3",
  white: "#ffffff",
  whitesmoke: "#f5f5f5",
  yellow: "#ffff00",
  yellowgreen: "#9acd32"
};

/***/ }),

/***/ "./src/pages/CreateProject/Config/tags.js":
/*!************************************************!*\
  !*** ./src/pages/CreateProject/Config/tags.js ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CONTROLS": () => (/* binding */ CONTROLS),
/* harmony export */   "OBJECTS": () => (/* binding */ OBJECTS),
/* harmony export */   "TAGS": () => (/* binding */ TAGS)
/* harmony export */ });
const OBJECTS = {
  Image: {
    type: 'Image',
    settings: {
      strokeWidth: {
        title: 'region border width',
        type: Number,
        param: ($obj, value) => $obj.$controls.forEach($control => $control.setAttribute('strokeWidth', value)),
        value: $obj => {
          var _$obj$$controls$0$get, _$obj$$controls$;

          return (_$obj$$controls$0$get = (_$obj$$controls$ = $obj.$controls[0]) === null || _$obj$$controls$ === void 0 ? void 0 : _$obj$$controls$.getAttribute('strokeWidth')) !== null && _$obj$$controls$0$get !== void 0 ? _$obj$$controls$0$get : 1;
        }
      },
      zoom: {
        title: 'Allow image zoom (ctrl+wheel)',
        type: Boolean,
        param: 'zoom'
      },
      zoomControl: {
        title: 'Show controls to zoom in and out',
        type: Boolean,
        param: 'zoomControl'
      },
      rotateControl: {
        title: 'Show controls to rotate image',
        type: Boolean,
        param: 'rotateControl'
      }
    }
  },
  Text: {
    type: 'Text',
    settings: {
      granularity: {
        title: 'Select text by words',
        type: Boolean,
        param: ($obj, value) => value ? $obj.setAttribute('granularity', 'word') : $obj.removeAttribute('granularity'),
        value: $obj => $obj.getAttribute('granularity') === 'word',
        when: $obj => $obj.$controls.filter(c => c.tagName.endsWith('Labels')).length > 0
      }
    }
  },
  HyperText: {
    type: 'HyperText'
  },
  Audio: {
    type: 'Audio'
  },
  AudioPlus: {
    type: 'Audio'
  },
  List: {
    type: 'List'
  },
  Paragraphs: {
    type: 'Paragraphs'
  },
  Table: {
    type: 'Table'
  },
  TimeSeries: {
    type: 'TimeSeries'
  },
  Video: {
    type: 'Video'
  }
};
const Labels = {
  type: 'Labels',
  settings: {
    placeLabelsLeft: {
      title: 'Display labels:',
      type: ["bottom", "left", "right", "top"],
      control: true,
      when: $tag => $tag.$object.tagName !== "Video",
      param: ($control, value) => {
        var _$container$firstChil, _$container$firstChil2, _$container$getAttrib;

        let $container = $control.parentNode;
        let $labels = $control;

        if (((_$container$firstChil = $container.firstChild) === null || _$container$firstChil === void 0 ? void 0 : (_$container$firstChil2 = _$container$firstChil.tagName) === null || _$container$firstChil2 === void 0 ? void 0 : _$container$firstChil2.toUpperCase()) === "FILTER") {
          $labels = $container;
          $container = $labels.parentNode;
        }

        const $obj = $control.$object;
        const inline = ["top", "bottom"].includes(value);
        const reversed = ["top", "left"].includes(value);
        const direction = (inline ? "column" : "row") + (reversed ? "-reverse" : "");
        const alreadyApplied = (_$container$getAttrib = $container.getAttribute("style")) === null || _$container$getAttrib === void 0 ? void 0 : _$container$getAttrib.includes("flex");

        if (!alreadyApplied) {
          $container = $obj.ownerDocument.createElement('View');
          $labels.parentNode.insertBefore($container, $obj);
          $container.appendChild($obj);
          $container.appendChild($labels);
        }

        $control.setAttribute('showInline', JSON.stringify(inline));
        $container.setAttribute('style', 'display:flex;align-items:start;gap:8px;flex-direction:' + direction);
      },
      value: $control => {
        var _$container$firstChil3, _$container$firstChil4;

        let $container = $control.parentNode;

        if (((_$container$firstChil3 = $container.firstChild) === null || _$container$firstChil3 === void 0 ? void 0 : (_$container$firstChil4 = _$container$firstChil3.tagName) === null || _$container$firstChil4 === void 0 ? void 0 : _$container$firstChil4.toUpperCase()) === "FILTER") {
          $container = $container.parentNode;
        }

        const style = $container.getAttribute("style");
        const direction = style === null || style === void 0 ? void 0 : style.match(/direction:(row|column)(-reverse)?/);

        if (!direction) {
          const position = $control.compareDocumentPosition($control.$object);
          return position & Node.DOCUMENT_POSITION_FOLLOWING ? "top" : "left";
        }

        if (direction[1] === "column") return direction[2] ? "top" : "bottom";else return direction[2] ? "left" : "right";
      }
    },
    filter: {
      title: 'Add filter for long list of labels',
      type: Boolean,
      control: true,
      param: ($obj, value) => {
        if (value) {
          const $filter = $obj.ownerDocument.createElement('Filter');
          const $container = $obj.ownerDocument.createElement('View');
          $filter.setAttribute('toName', $obj.getAttribute('name'));
          $filter.setAttribute('minlength', 0);
          $filter.setAttribute('name', 'filter'); // @todo should be unique

          $obj.parentNode.insertBefore($container, $obj);
          $container.appendChild($filter);
          $container.appendChild($obj);
        } else {
          const $filter = $obj.previousElementSibling;

          if ($filter.tagName.toUpperCase() === "FILTER") {
            const $container = $obj.parentNode;
            $container.parentNode.insertBefore($obj, $container);
            $container.parentNode.removeChild($container);
          }
        }
      },
      value: $control => {
        var _$control$previousEle;

        return ((_$control$previousEle = $control.previousElementSibling) === null || _$control$previousEle === void 0 ? void 0 : _$control$previousEle.tagName.toUpperCase()) === "FILTER";
      }
    }
  }
};
const CONTROLS = {
  Labels,
  RectangleLabels: Labels,
  PolygonLabels: Labels
};
const TAGS = { ...OBJECTS,
  ...CONTROLS
};


/***/ }),

/***/ "./src/pages/CreateProject/CreateProject.js":
/*!**************************************************!*\
  !*** ./src/pages/CreateProject/CreateProject.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CreateProject": () => (/* binding */ CreateProject)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! react-router */ "./node_modules/react-router/esm/react-router.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components */ "./src/components/index.js");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _components_Space_Space__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../components/Space/Space */ "./src/components/Space/Space.js");
/* harmony import */ var _components_HeidiTips_HeidiTips__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../components/HeidiTips/HeidiTips */ "./src/components/HeidiTips/HeidiTips.tsx");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Config_Config__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./Config/Config */ "./src/pages/CreateProject/Config/Config.js");
/* harmony import */ var _CreateProject_styl__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./CreateProject.styl */ "./src/pages/CreateProject/CreateProject.styl");
/* harmony import */ var _Import_Import__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./Import/Import */ "./src/pages/CreateProject/Import/Import.js");
/* harmony import */ var _Import_useImportPage__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./Import/useImportPage */ "./src/pages/CreateProject/Import/useImportPage.js");
/* harmony import */ var _utils_useDraftProject__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./utils/useDraftProject */ "./src/pages/CreateProject/utils/useDraftProject.js");
/* harmony import */ var _components_Form__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../../components/Form */ "./src/components/Form/index.js");
/* harmony import */ var _components_Badges_Enterprise__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../../components/Badges/Enterprise */ "./src/components/Badges/Enterprise.tsx");
/* harmony import */ var _components_Caption_Caption__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ../../components/Caption/Caption */ "./src/components/Caption/Caption.tsx");
/* harmony import */ var _utils_feature_flags__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ../../utils/feature-flags */ "./src/utils/feature-flags.js");
/* harmony import */ var _components_HeidiTips_utils__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ../../components/HeidiTips/utils */ "./src/components/HeidiTips/utils.ts");
/* harmony import */ var react_icons_md__WEBPACK_IMPORTED_MODULE_20__ = __webpack_require__(/*! react-icons/md */ "./node_modules/react-icons/md/index.esm.js");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");























const ProjectName = ({
  name,
  setName,
  onSaveName,
  onSubmit,
  error,
  description,
  setDescription,
  show = true,
  isPublic,
  setIsPublic
}) => !show ? null : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("form", {
  className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_6__.cn)("project-name"),
  onSubmit: e => {
    e.preventDefault();
    onSubmit();
  },
  children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("div", {
    className: "field field--wide",
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("label", {
      htmlFor: "project_name",
      children: "Project Name"
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("input", {
      name: "name",
      id: "project_name",
      value: name,
      onChange: e => setName(e.target.value),
      onBlur: onSaveName
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("p", {
      style: {
        fontSize: 'xx-small',
        color: 'tomato',
        display: 'flex',
        alignItems: 'center'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_17__.IconWarning, {
        style: {
          fontSize: 'xx-small',
          verticalAlign: 'middle'
        }
      }), " Project names should be unique"]
    }), error && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("span", {
      className: "error",
      children: error
    })]
  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("div", {
    className: "field field--wide",
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("label", {
      htmlFor: "project_description",
      children: "Projet Description (Optional)"
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("textarea", {
      name: "description",
      id: "project_description",
      placeholder: "Optional description of your project",
      rows: "4",
      value: description,
      onChange: e => setDescription(e.target.value)
    })]
  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("div", {
    className: "field field--wide",
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("label", {
      htmlFor: "project_visibility",
      children: "Visibility"
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("input", {
      type: "checkbox",
      id: "project_visibility",
      checked: isPublic,
      onChange: e => setIsPublic(e.target.checked)
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("label", {
      htmlFor: "project_visibility",
      children: "Make Project Public"
    })]
  }), (0,_utils_feature_flags__WEBPACK_IMPORTED_MODULE_15__.isFF)(_utils_feature_flags__WEBPACK_IMPORTED_MODULE_15__.FF_LSDV_E_297) && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("div", {
    className: "field field--wide",
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("label", {
      children: ["Workspace", /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Badges_Enterprise__WEBPACK_IMPORTED_MODULE_13__.EnterpriseBadge, {})]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_12__.Select, {
      placeholder: "Select an option",
      disabled: true,
      options: []
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)(_components_Caption_Caption__WEBPACK_IMPORTED_MODULE_14__.Caption, {
      children: ["Simplify project management by organizing projects into workspaces.", /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("a", {
        href: (0,_components_HeidiTips_utils__WEBPACK_IMPORTED_MODULE_16__.createURL)('https://docs.humansignal.com/guide/manage_projects#Create-workspaces-to-organize-projects', {
          experiment: "project_creation_dropdown",
          treatment: "simplify_project_management"
        }),
        target: "_blank",
        children: "Learn more"
      })]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_HeidiTips_HeidiTips__WEBPACK_IMPORTED_MODULE_4__.HeidiTips, {
      collection: "projectCreation"
    })]
  })]
}); // const ProjectName = ({ name, setName, onSaveName, onSubmit, error, description, setDescription, show = true, onNext }) => {
//   const handleNext = () => {
//     // Perform validation for unique and non-empty project name
//     if (name.trim() === '') {
//       setError('Project name cannot be empty.');
//     } else if (name === ) {
//       setError('Project name must be unique.');
//   } else {
//     // Validation passed, move to the next step
//     setError(null); // Clear any previous error
//   onNext();
// }
//   };
// const handleSaveName = async () => {
//   // Perform validation for non-empty project name
//   if (name.trim() === '') {
//     setError('Project name cannot be empty.');
//   } else if (name === ) {
//     setError('Project name must be unique.');
// } else {
//   // Validation passed, save the project name
//   setError(null); // Clear any previous error
// await onSaveName();
//     }
//   };
// return !show ? null : (
//   <form className={cn("project-name")} onSubmit={e => { e.preventDefault(); onSubmit(); }}>
//     <div className="field field--wide">
//       <label htmlFor="project_name">Project Name</label>
//       <input name="name" id="project_name" value={name} onChange={e => setName(e.target.value)} onBlur={onSaveName} />
//       {error && <span className="error">{error}</span>}
//     </div>
//     <div className="field field--wide">
//       <label htmlFor="project_description">Projet Description (Optional)</label>
//       <textarea
//         name="description"
//         id="project_description"
//         placeholder="Optional description of your project"
//         rows="4"
//         value={description}
//         onChange={e => setDescription(e.target.value)}
//       />
//     </div>
//   </form>
//       { error && <span className="error">{error}</span> }
// <button type="button" onClick={handleNext}>Next</button>
//     </form >
//   );
// };


const CreateProject = ({
  onClose
}) => {
  const [step, setStep] = react__WEBPACK_IMPORTED_MODULE_0__.useState("name"); // name | import | config

  const [waiting, setWaitingStatus] = react__WEBPACK_IMPORTED_MODULE_0__.useState(false);
  const [isPublic, setIsPublic] = react__WEBPACK_IMPORTED_MODULE_0__.useState(false); // default to private

  const project = (0,_utils_useDraftProject__WEBPACK_IMPORTED_MODULE_11__.useDraftProject)();
  const history = (0,react_router__WEBPACK_IMPORTED_MODULE_19__.useHistory)();
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_5__.useAPI)();
  const [name, setName] = react__WEBPACK_IMPORTED_MODULE_0__.useState("");
  const [error, setError] = react__WEBPACK_IMPORTED_MODULE_0__.useState();
  const [description, setDescription] = react__WEBPACK_IMPORTED_MODULE_0__.useState("");
  const [config, setConfig] = react__WEBPACK_IMPORTED_MODULE_0__.useState("<View></View>");
  react__WEBPACK_IMPORTED_MODULE_0__.useEffect(() => {
    setError(null);
  }, [name]);
  const {
    columns,
    uploading,
    uploadDisabled,
    finishUpload,
    pageProps
  } = (0,_Import_useImportPage__WEBPACK_IMPORTED_MODULE_10__.useImportPage)(project);
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_6__.cn)("create-project"); //const tabClass = rootClass.elem("tab");

  const scrollContainerRef = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)(null);
  react__WEBPACK_IMPORTED_MODULE_0__.useEffect(() => {
    const scrollContainer = scrollContainerRef.current;

    if (scrollContainer) {
      scrollContainer.scrollTop = 0;
    }
  }, [step]);

  const toggleForm = formName => {
    setStep(formName); // Update the currently active form
  };

  const projectBody = react__WEBPACK_IMPORTED_MODULE_0__.useMemo(() => ({
    title: name,
    description,
    label_config: config,
    is_public: isPublic
  }), [name, description, config, isPublic]); // added isPublic to dependency array

  const tabClass = rootClass.elem("tab");
  const steps = {
    name: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("span", {
      className: tabClass.mod({
        disabled: !!error
      }),
      children: "Project Information"
    }),
    config: "Configure Template",
    import: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("span", {
      className: tabClass.mod({
        disabled: uploadDisabled
      }),
      children: "Import Files"
    })
  }; // name intentionally skipped from deps:
  // this should trigger only once when we got project loaded

  react__WEBPACK_IMPORTED_MODULE_0__.useEffect(() => project && !name && setName(project.title), [project]); // const projectBody = React.useMemo(() => ({
  //   title: name,
  //   description,
  //   label_config: config,
  // }), [name, description, config]);

  const onCreate = react__WEBPACK_IMPORTED_MODULE_0__.useCallback(async () => {
    const imported = await finishUpload();
    if (!imported) return;
    setWaitingStatus(true);
    const response = await api.callApi('updateProject', {
      params: {
        pk: project.id
      },
      body: projectBody
    });
    setWaitingStatus(false);

    if (response !== null) {
      history.push(`/projects/${response.id}/data`);
    }
  }, [project, projectBody, finishUpload]);

  const onSaveName = async () => {
    var _err$validation_error;

    if (error) return;
    const res = await api.callApi('updateProjectRaw', {
      params: {
        pk: project.id
      },
      body: {
        title: name
      }
    });
    if (res.ok) return;
    const err = await res.json();
    setError((_err$validation_error = err.validation_errors) === null || _err$validation_error === void 0 ? void 0 : _err$validation_error.title);
  };

  const onDelete = react__WEBPACK_IMPORTED_MODULE_0__.useCallback(async () => {
    setWaitingStatus(true);
    if (project) await api.callApi('deleteProject', {
      params: {
        pk: project.id
      }
    });
    setWaitingStatus(false);
    history.replace("/projects");
    onClose === null || onClose === void 0 ? void 0 : onClose();
  }, [project]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_2__.Modal, {
    onHide: onDelete,
    closeOnClickOutside: false,
    allowToInterceptEscape: true,
    fullscreen: true,
    visible: true,
    bare: true,
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("div", {
      className: rootClass,
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)(_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_2__.Modal.Header, {
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_3__.Space, {
          direction: "horizontal",
          size: "large",
          className: "space-container",
          align: "start spread",
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
            look: "danger",
            size: "compact",
            onClick: onDelete,
            waiting: waiting,
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_17__.IconDelete, {})
          })
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("h1", {
          children: "    Create Project"
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_3__.Space, {
          direction: "horizontal",
          size: "large",
          className: "space-container",
          align: "start spread",
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
            look: "primary",
            size: "compact",
            onClick: onCreate,
            waiting: waiting || uploading,
            disabled: !project || uploadDisabled || error,
            className: "save-button",
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_17__.IconTick, {}), " Save Project"]
          })
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
        className: "toggle",
        ref: scrollContainerRef,
        style: {
          position: 'relative',
          maxWidth: '100%',
          borderRadius: '16px',
          boxSizing: 'border-box'
        },
        children: Object.entries(steps).map(([stepKey, stepValue], index) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("div", {
          className: "project-step",
          style: {
            border: '1px solid #ccc',
            borderRadius: '8px',
            padding: '0px',
            backgroundColor: '#fff',
            margin: '10px 3%'
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("div", {
            className: "project-create",
            onClick: () => toggleForm(stepKey),
            style: {
              backgroundColor: '#5a585800',
              padding: '1px',
              display: 'flex',
              justifyContent: 'space-between',
              alignItems: 'center',
              cursor: 'pointer',
              width: '93%',
              height: '3rem',
              margin: '0 3%'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("h4", {
              style: {
                fontSize: 'large',
                fontStyle: 'normal',
                marginTop: '0',
                marginBottom: '0'
              },
              children: stepValue
            }), step === stepKey ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(react_icons_md__WEBPACK_IMPORTED_MODULE_20__.MdKeyboardArrowUp, {
              className: "expand-icon"
            }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(react_icons_md__WEBPACK_IMPORTED_MODULE_20__.MdKeyboardArrowDown, {
              className: "expand-icon"
            })]
          }), step === stepKey && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("div", {
            className: "form-content",
            style: {
              width: '95%',
              margin: 'auto'
            },
            children: [stepKey === 'name' && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
              className: "project-naming",
              style: {
                textAlign: 'left',
                marginBottom: '30px'
              },
              children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(ProjectName, {
                name: name,
                setName: setName,
                error: error,
                onSaveName: onSaveName,
                onSubmit: onCreate,
                description: description,
                setDescription: setDescription,
                show: step === "name",
                isPublic: isPublic,
                setIsPublic: setIsPublic
              })
            }), stepKey === 'config' && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
              children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_Config_Config__WEBPACK_IMPORTED_MODULE_7__.ConfigPage, {
                project: project,
                onUpdate: setConfig,
                show: step === "config",
                columns: columns,
                disableSaveButton: true
              })
            }), stepKey === 'import' && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
              children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_Import_Import__WEBPACK_IMPORTED_MODULE_9__.ImportPage, {
                project: project,
                show: step === "import",
                ...pageProps
              })
            })]
          })]
        }, index))
      })]
    })
  });
};

/***/ }),

/***/ "./src/pages/CreateProject/Import/Import.js":
/*!**************************************************!*\
  !*** ./src/pages/CreateProject/Import/Import.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ImportPage": () => (/* binding */ ImportPage)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _components_Space_Space__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../components/Space/Space */ "./src/components/Space/Space.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _Import_styl__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./Import.styl */ "./src/pages/CreateProject/Import/Import.styl");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");












const importClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_2__.cn)("upload_page");
const dropzoneClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_2__.cn)("dropzone");

function flatten(nested) {
  return [].concat(...nested);
} // Keep in sync with core.settings.SUPPORTED_EXTENSIONS on the BE.


const supportedExtensions = {
  text: ['txt'],
  audio: ['wav', 'mp3', 'flac', 'm4a', 'ogg'],
  video: ['mp4', 'webp', 'webm'],
  image: ['jpg', 'jpeg', 'png', 'gif', 'bmp', 'svg', 'webp'],
  html: ['html', 'htm', 'xml'],
  timeSeries: ['csv', 'tsv'],
  common: ['csv', 'tsv', 'txt', 'json']
};
const allSupportedExtensions = flatten(Object.values(supportedExtensions));

function getFileExtension(fileName) {
  if (!fileName) {
    return fileName;
  }

  return fileName.split('.').pop().toLowerCase();
}

function traverseFileTree(item, path) {
  return new Promise(resolve => {
    path = path || "";

    if (item.isFile) {
      // Avoid hidden files
      if (item.name[0] === ".") return resolve([]);
      resolve([item]);
    } else if (item.isDirectory) {
      // Get folder contents
      const dirReader = item.createReader();
      const dirPath = path + item.name + "/";
      dirReader.readEntries(function (entries) {
        Promise.all(entries.map(entry => traverseFileTree(entry, dirPath))).then(flatten).then(resolve);
      });
    }
  });
}

function getFiles(files) {
  // @todo this can be not a files, but text or any other draggable stuff
  return new Promise(resolve => {
    if (!files.length) return resolve([]);
    if (!files[0].webkitGetAsEntry) return resolve(files); // Use DataTransferItemList interface to access the file(s)

    const entries = Array.from(files).map(file => file.webkitGetAsEntry());
    Promise.all(entries.map(traverseFileTree)).then(flatten).then(fileEntries => fileEntries.map(fileEntry => new Promise(res => fileEntry.file(res)))).then(filePromises => Promise.all(filePromises)).then(resolve);
  });
} // const Footer = () => {
//   return (
//     <Modal.Footer>
//       <IconInfo className={importClass.elem("info-icon")} width="20" height="20" />
//       See the&nbsp;documentation to <a target="_blank" href="https://labelstud.io/guide/predictions.html">import preannotated data</a>{" "}
//       or&nbsp;to <a target="_blank" href="https://labelstud.io/guide/storage.html">sync data from a&nbsp;database or&nbsp;cloud storage</a>.
//     </Modal.Footer>
//   );
// };


const PopupContent = ({
  onClose
}) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_1__.Modal, {
  title: "Import File Guideline",
  halfscreen: true,
  visible: true,
  bare: true,
  children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
    className: "popup-content",
    style: {
      flex: '1',
      minHeight: '0',
      display: 'flex',
      flexDirection: 'column',
      overflowY: 'auto'
    },
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)(_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_1__.Modal.Header, {
      divided: true,
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
        block: "modal",
        name: "title",
        children: "Import File Guideline"
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_3__.Space, {
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components__WEBPACK_IMPORTED_MODULE_4__.Button, {
          onClick: onClose,
          className: "close-button",
          children: "Close"
        })
      })]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
      className: "table-container",
      style: {
        display: 'flex',
        flexDirection: 'column',
        padding: '10px',
        alignItems: 'flex-start'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
        className: "table-left",
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
          className: dropzoneClass.elem("content"),
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("h4", {
            style: {
              display: 'flex',
              alignItems: 'center',
              fontWeight: 'bold'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_7__.IconDoneimport, {
              style: {
                verticalAlign: 'middle'
              }
            }), " Support File Formats"]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("dl", {
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dt", {
              children: "Common Formats"
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dd", {
              children: supportedExtensions.common.join(', ')
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dt", {
              children: "Text"
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dd", {
              children: supportedExtensions.text.join(', ')
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dt", {
              children: "Audio"
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dd", {
              children: supportedExtensions.audio.join(', ')
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dt", {
              children: "Video"
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dd", {
              children: "mpeg4/H.264 webp, webm* "
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dt", {
              children: "Images"
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dd", {
              children: supportedExtensions.image.join(', ')
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dt", {
              children: "HTML"
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dd", {
              children: supportedExtensions.html.join(', ')
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dt", {
              children: "Time Series"
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dd", {
              children: supportedExtensions.timeSeries.join(', ')
            })]
          })]
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
        className: "table-right",
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
          className: dropzoneClass.elem("content"),
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("h4", {
            style: {
              display: 'flex',
              alignItems: 'baseline',
              marginRight: '330px',
              fontWeight: 'bold'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_7__.IconGreentech, {
              style: {
                verticalAlign: 'middle'
              }
            }), " Import File Guideline"]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("dl", {
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dt", {
              children: "\u2022 Make sure you upload or import files according to your configured template"
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dd", {}), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dt", {
              children: "\u2022 Use cloud storages for importing a large number of files"
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dd", {}), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dt", {
              children: "* Video files support depends on the browser"
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("dd", {})]
          })]
        })
      })]
    })]
  })
});

const Upload = ({
  children,
  sendFiles
}) => {
  const [hovered, setHovered] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);

  const onHover = e => {
    e.preventDefault();
    setHovered(true);
  };

  const onLeave = setHovered.bind(null, false);
  const dropzoneRef = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const onDrop = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(e => {
    e.preventDefault();
    onLeave();
    getFiles(e.dataTransfer.items).then(files => sendFiles(files));
  }, [onLeave, sendFiles]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
    id: "holder",
    className: dropzoneClass.mod({
      hovered
    }),
    ref: dropzoneRef,
    onDragStart: onHover,
    onDragOver: onHover,
    onDragLeave: onLeave,
    onDrop: onDrop // {...getRootProps}
    ,
    children: children
  });
};

const ErrorMessage = ({
  error
}) => {
  var _error$validation_err;

  if (!error) return null;
  let extra = (_error$validation_err = error.validation_errors) !== null && _error$validation_err !== void 0 ? _error$validation_err : error.extra; // support all possible responses

  if (extra && typeof extra === "object" && !Array.isArray(extra)) {
    var _extra$non_field_erro;

    extra = (_extra$non_field_erro = extra.non_field_errors) !== null && _extra$non_field_erro !== void 0 ? _extra$non_field_erro : Object.values(extra);
  }

  if (Array.isArray(extra)) extra = extra.join("; ");
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
    className: importClass.elem("error"),
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_7__.IconError, {
      style: {
        marginRight: 8
      }
    }), error.id && `[${error.id}] `, error.detail || error.message, extra && ` (${extra})`]
  });
};

const ImportPage = ({
  project,
  show = true,
  onWaiting,
  onFileListUpdate,
  highlightCsvHandling,
  dontCommitToProject = false,
  csvHandling,
  setCsvHandling,
  addColumns
}) => {
  var _files$uploaded, _files$uploading;

  const [loading, setLoading] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const [selectedFiles, setSelectedFiles] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)([]);
  const [error, setError] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)();
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_8__.useAPI)();

  const processFiles = (state, action) => {
    console.log('Reducer action received:', action);

    if (action.sending) {
      const newState = { ...state,
        uploading: [...action.sending, ...state.uploading]
      };
      return newState;
    }

    if (action.sent) {
      const newState = { ...state,
        uploading: state.uploading.filter(f => !action.sent.includes(f))
      };
      return newState;
    }

    if (action.uploaded) {
      const newState = { ...state,
        uploaded: (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_5__.unique)([...state.uploaded, ...action.uploaded], (a, b) => a.id === b.id)
      };
      return newState;
    }

    if (action.type === 'DELETE_FILE') {
      const newState = { ...state,
        uploaded: state.uploaded.filter(file => file.id !== action.deletedFileId)
      };
      return newState;
    }

    if (action.ids) {
      const ids = (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_5__.unique)([...state.ids, ...action.ids]);
      onFileListUpdate === null || onFileListUpdate === void 0 ? void 0 : onFileListUpdate(ids);
      return { ...state,
        ids
      };
    }

    return state;
  };

  const [files, dispatch] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useReducer)(processFiles, {
    uploaded: [],
    uploading: [],
    ids: []
  });
  const showList = Boolean(((_files$uploaded = files.uploaded) === null || _files$uploaded === void 0 ? void 0 : _files$uploaded.length) || ((_files$uploading = files.uploading) === null || _files$uploading === void 0 ? void 0 : _files$uploading.length));
  const loadFilesList = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async file_upload_ids => {
    const query = {};

    if (file_upload_ids) {
      // should be stringified array "[1,2]"
      query.ids = JSON.stringify(file_upload_ids);
    }

    const files = await api.callApi("fileUploads", {
      params: {
        pk: project.id,
        ...query
      }
    });
    dispatch({
      uploaded: files !== null && files !== void 0 ? files : []
    });

    if (files !== null && files !== void 0 && files.length) {
      dispatch({
        ids: files.map(f => f.id)
      });
    }

    return files;
  }, [project]);

  const onStart = () => {
    setLoading(true);
    setError(null);
  };

  const onError = err => {
    console.error(err); // @todo workaround for error about input size in a wrong html format

    if (typeof err === "string" && err.includes("RequestDataTooBig")) {
      var _err$match;

      const message = "Imported file is too big";
      const extra = (_err$match = err.match(/"exception_value">(.*)<\/pre>/)) === null || _err$match === void 0 ? void 0 : _err$match[1];
      err = {
        message,
        extra
      };
    }

    setError(err);
    setLoading(false);
    onWaiting === null || onWaiting === void 0 ? void 0 : onWaiting(false);
  };

  const onFinish = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async res => {
    const {
      could_be_tasks_list,
      data_columns,
      file_upload_ids
    } = res;
    dispatch({
      ids: file_upload_ids
    });
    if (could_be_tasks_list && !csvHandling) setCsvHandling("choose");
    setLoading(true);
    onWaiting === null || onWaiting === void 0 ? void 0 : onWaiting(false);
    addColumns(data_columns);
    return loadFilesList(file_upload_ids).then(() => setLoading(false));
  }, [addColumns, loadFilesList, setLoading]);
  const importFiles = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async (files, body) => {
    dispatch({
      sending: files
    });
    const query = dontCommitToProject ? {
      commit_to_project: "false"
    } : {}; // @todo use json for dataset uploads by URL

    const contentType = body instanceof FormData ? 'multipart/form-data' // usual multipart for usual files
    : 'application/x-www-form-urlencoded'; // chad urlencoded for URL uploads

    const res = await api.callApi("importFiles", {
      params: {
        pk: project.id,
        ...query
      },
      headers: {
        'Content-Type': contentType
      },
      body,
      errorFilter: () => true
    });
    if (res && !res.error) onFinish === null || onFinish === void 0 ? void 0 : onFinish(res);else onError === null || onError === void 0 ? void 0 : onError(res === null || res === void 0 ? void 0 : res.response);
    dispatch({
      sent: files
    });
  }, [project, onFinish]);
  const sendFiles = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(files => {
    onStart();
    onWaiting === null || onWaiting === void 0 ? void 0 : onWaiting(true);
    files = [...files]; // they can be array-like object

    const fd = new FormData();

    for (let f of files) {
      if (!allSupportedExtensions.includes(getFileExtension(f.name))) {
        onError(new Error(`The filetype of file "${f.name}" is not supported.`));
        return;
      }

      fd.append(f.name, f);
    }

    return importFiles(files, fd);
  }, [importFiles, onStart]);
  const onUpload = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(e => {
    sendFiles(e.target.files);
    e.target.value = "";
  }, [sendFiles]);
  const onLoadURL = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(e => {
    var _urlRef$current;

    e.preventDefault();
    onStart();
    const url = (_urlRef$current = urlRef.current) === null || _urlRef$current === void 0 ? void 0 : _urlRef$current.value;

    if (!url) {
      setLoading(false);
      return;
    }

    urlRef.current.value = "";
    onWaiting === null || onWaiting === void 0 ? void 0 : onWaiting(true);
    const body = new URLSearchParams({
      url
    });
    importFiles([{
      name: url
    }], body);
  }, [importFiles]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if ((project === null || project === void 0 ? void 0 : project.id) !== undefined) {
      loadFilesList().then(files => {
        if (csvHandling) return; // empirical guess on start if we have some possible tasks list/time series problem

        if (Array.isArray(files) && files.some(({
          file
        }) => /\.[ct]sv$/.test(file))) {
          setCsvHandling("choose");
        }
      });
    }
  }, [project, loadFilesList]);
  const urlRef = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  if (!project) return null;
  if (!show) return null;
  const csvProps = {
    name: "csv",
    type: "radio",
    onChange: e => setCsvHandling(e.target.value)
  };

  const handlePasteFromClipboard = () => {
    // Access the clipboard data
    navigator.clipboard.readText().then(clipboardData => {
      if (urlRef.current) {
        urlRef.current.value = clipboardData;
      }
    }).catch(error => {
      console.error('Failed to read clipboard data:', error);
    });
  };

  const handleSelectAll = allFiles => {
    if (selectedFiles.length === allFiles.length) {
      setSelectedFiles([]);
    } else {
      setSelectedFiles(allFiles);
    }
  };

  const handleFileSelect = file => {
    const newSelectedFiles = [...selectedFiles];

    if (newSelectedFiles.includes(file)) {
      newSelectedFiles.splice(newSelectedFiles.indexOf(file), 1);
    } else {
      newSelectedFiles.push(file);
    }

    setSelectedFiles(newSelectedFiles);
  }; // Existing deleteFileApi function with enhanced error handling


  const deleteFileApi = async fileId => {
    try {
      console.log("Deleting file with ID:", fileId);
      const response = await api.callApi('deleteFileUploads', {
        method: 'DELETE',
        params: {
          pk: project.id
        },
        body: {
          file_upload_ids: [fileId]
        }
      });
      console.log("Response from delete API:", response);
      return response;
    } catch (error) {
      console.error("Error deleting file:", error);
      alert("Error deleting file: " + error.message);
      return {
        deleted: false
      }; // Ensure a consistent response structure
    }
  };

  const handleDeleteFile = async file => {
    if (file && file.id) {
      const response = await deleteFileApi(file.id);

      if (response && response.deleted) {
        const updatedSelectedFiles = selectedFiles.filter(f => f.id !== file.id);
        setSelectedFiles(updatedSelectedFiles);
        dispatch({
          type: 'DELETE_FILE',
          deletedFileId: file.id
        });
      } else {
        console.error('File deletion failed:', file);
      }
    } else {
      console.error("Invalid file or file ID");
    }
  }; // Function to delete multiple files


  const deleteMultipleFilesApi = async fileIds => {
    try {
      console.log("Deleting files with IDs:", fileIds);
      const response = await api.callApi('deleteFileUploads', {
        method: 'DELETE',
        params: {
          pk: project.id
        },
        body: {
          file_upload_ids: fileIds
        }
      });
      console.log("Response from delete API:", response);
      return response;
    } catch (error) {
      console.error("Error deleting files:", error);
      alert("Error deleting files: " + error.message);
      return {
        deleted: false
      }; // Ensure a consistent response structure
    }
  };

  const handleDeleteAll = async () => {
    const fileIdsToDelete = selectedFiles.map(file => file.id);
    const response = await deleteMultipleFilesApi(fileIdsToDelete);

    if (response && response.deleted) {
      // Clear selected files and update the state
      setSelectedFiles([]);
      fileIdsToDelete.forEach(fileId => {
        dispatch({
          type: 'DELETE_FILE',
          deletedFileId: fileId
        });
      });
    } else {
      console.error('Files deletion failed:', selectedFiles);
    }
  };

  const [showPopup, setShowPopup] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);

  const handleShowPopup = () => {
    setShowPopup(true);
  };

  const handleClosePopup = () => {
    setShowPopup(false);
  }; // const TextPreview = ({ file }) => {
  //   // Placeholder for text content preview
  //   return <span>Text: {file.name}</span>;
  // };
  // const AudioPreview = ({ file }) => (
  //   <audio controls src={file.url} style={{ maxWidth: '100%' }} />
  // );
  // const VideoPreview = ({ file }) => (
  //   <video controls src={file.url} style={{ maxWidth: '100%' }} width="320" height="240" />
  // );
  // const ImagePreview = ({ file }) => (
  //   <img src={file.url} alt={file.name} style={{ maxWidth: '100%' }} />
  // );
  // const HTMLPreview = ({ file }) => {
  //   // Caution: Ensure to sanitize the HTML content
  //   return <iframe src={file.url} title={file.name} style={{ maxWidth: '100%' }} width="320" height="240" />;
  // };
  // const UnsupportedPreview = () => <span>Unsupported file type</span>;
  // const FilePreview = ({ file }) => {
  //   const fileExtension = getFileExtension(file.name);
  //   console.log(`Previewing file: ${file.name}, Extension: ${fileExtension}`);
  //   switch (fileExtension) {
  //     case 'txt':
  //     case 'csv':
  //     case 'tsv':
  //     case 'json':
  //       return <TextPreview file={file} />;
  //     case 'wav':
  //     case 'mp3':
  //     case 'flac':
  //     case 'm4a':
  //     case 'ogg':
  //       return <AudioPreview file={file} />;
  //     case 'mp4':
  //     case 'webm':
  //       return <VideoPreview file={file} />;
  //     case 'jpg':
  //     case 'jpeg':
  //     case 'png':
  //     case 'gif':
  //     case 'bmp':
  //     case 'svg':
  //     case 'webp':
  //       return <ImagePreview file={file} />;
  //     case 'html':
  //     case 'htm':
  //     case 'xml':
  //       return <HTMLPreview file={file} />;
  //     default:
  //       return <UnsupportedPreview />;
  //   }
  // };


  const countSelectedFiles = () => {
    return selectedFiles.length;
  };

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
    className: importClass,
    children: [highlightCsvHandling && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
      className: importClass.elem("csv-splash")
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("input", {
      id: "file-input",
      type: "file",
      name: "file",
      multiple: true,
      onChange: onUpload,
      style: {
        display: "none"
      }
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("header", {
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
        className: `${importClass.elem("upload-container")}`,
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
          className: "upload-files",
          style: {
            display: 'flex',
            flexDirection: 'column',
            alignItems: 'center',
            justifyContent: 'center'
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_7__.IconUploadfiles, {}), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("h2", {
            children: "Drag and drop files here"
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("p", {
            children: "Text, Audio, Video, Image, HTML, and more"
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("button", {
            onClick: () => document.getElementById('file-input').click(),
            className: importClass.elem("upload-button"),
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_7__.IconUpload, {
              width: "16",
              height: "16",
              className: importClass.elem("upload-icon")
            }), "Browse Local ", files.uploaded.length ? "More " : "", "Device"]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("span", {
            onClick: handleShowPopup,
            className: "guide-button",
            style: {
              color: '#00bfff',
              marginTop: '10px',
              cursor: 'pointer'
            },
            children: "Click Me!"
          }), showPopup && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
            className: "overlay",
            onClick: handleClosePopup,
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(PopupContent, {
              onClose: handleClosePopup
            })
          })]
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
          className: importClass.elem("csv-handling").mod({
            highlighted: highlightCsvHandling,
            hidden: !csvHandling
          }),
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("span", {
            children: "Treat CSV/TSV as"
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("label", {
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("input", { ...csvProps,
              value: "tasks",
              checked: csvHandling === "tasks"
            }), " List of tasks"]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("label", {
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("input", { ...csvProps,
              value: "ts",
              checked: csvHandling === "ts"
            }), " Time Series or Whole Text File"]
          })]
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
        className: importClass.elem("url-container"),
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("form", {
          className: importClass.elem("url-form"),
          method: "POST",
          onSubmit: onLoadURL,
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
            className: importClass.elem("button-container"),
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("button", {
              type: "button",
              onClick: handlePasteFromClipboard,
              children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_7__.IconLink, {})
            })
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("input", {
            placeholder: "Enter Dataset URL",
            name: "url",
            ref: urlRef
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
            className: importClass.elem("button-container"),
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("button", {
              type: "submit",
              children: "+ Add Files"
            })
          })]
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(ErrorMessage, {
        error: error
      })]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("main", {
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(Upload, {
        sendFiles: sendFiles,
        project: project,
        children: showList && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
          style: {
            display: 'flex',
            flexDirection: 'column',
            gap: '10px'
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
            style: {
              display: 'flex',
              alignItems: 'center',
              justifyContent: 'end',
              gap: '5px'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("span", {
              children: [countSelectedFiles(), " Selected Files"]
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("button", {
              onClick: selectedFiles.length > 1 ? handleDeleteAll : null,
              disabled: selectedFiles.length <= 1,
              style: {
                cursor: selectedFiles.length > 1 ? 'pointer' : 'not-allowed',
                color: selectedFiles.length > 1 ? 'red' : '#a9a9a9',
                borderColor: selectedFiles.length > 1 ? 'red' : '#a9a9a9'
              },
              children: "Delete Files"
            })]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("table", {
              style: {
                margin: 'auto'
              },
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("thead", {
                children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("tr", {
                  children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("th", {
                    style: {
                      fontWeight: 'normal',
                      fontSize: '1em',
                      padding: '16px',
                      textAlign: 'left',
                      borderBottom: '2px solid #e5e5e5',
                      backgroundColor: '#F2F2F2'
                    },
                    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("input", {
                      type: "checkbox",
                      onChange: () => handleSelectAll(files.uploading.concat(files.uploaded)),
                      checked: selectedFiles.length === files.uploading.length + files.uploaded.length
                    })
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("th", {
                    style: {
                      fontWeight: 'normal',
                      fontSize: '1em',
                      padding: '16px',
                      textAlign: 'left',
                      borderBottom: '2px solid #e5e5e5',
                      backgroundColor: '#F2F2F2'
                    },
                    children: "File Name"
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("th", {
                    style: {
                      fontWeight: 'normal',
                      fontSize: '1em',
                      padding: '16px',
                      textAlign: 'left',
                      borderBottom: '2px solid #e5e5e5',
                      backgroundColor: '#F2F2F2'
                    },
                    children: "File Type"
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("th", {
                    style: {
                      fontWeight: 'normal',
                      fontSize: '1em',
                      padding: '16px',
                      textAlign: 'left',
                      borderBottom: '2px solid #e5e5e5',
                      backgroundColor: '#F2F2F2'
                    },
                    children: "Status"
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("th", {
                    style: {
                      fontWeight: 'normal',
                      fontSize: '1em',
                      padding: '18px',
                      textAlign: 'left',
                      borderBottom: '2px solid #e5e5e5',
                      backgroundColor: '#F2F2F2'
                    },
                    children: "Action"
                  })]
                })
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("tbody", {
                children: [files.uploading.map((file, idx) => (console.log('Uploading File:', file), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("tr", {
                  children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("td", {
                    style: {
                      padding: '16px',
                      borderBottom: '1px solid #e5e5e5',
                      textAlign: 'left'
                    },
                    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("input", {
                      type: "checkbox",
                      onChange: () => handleFileSelect(file),
                      checked: selectedFiles.includes(file)
                    })
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("td", {
                    style: {
                      padding: '16px',
                      borderBottom: '1px solid #e5e5e5',
                      textAlign: 'left'
                    },
                    children: file.name
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("td", {
                    style: {
                      padding: '16px',
                      borderBottom: '1px solid #e5e5e5',
                      textAlign: 'left'
                    },
                    children: getFileExtension(file.name)
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("td", {
                    style: {
                      padding: '16px',
                      borderBottom: '1px solid #e5e5e5',
                      textAlign: 'left'
                    },
                    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("span", {
                      className: importClass.elem("file-status").mod({
                        uploading: true
                      })
                    })
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("td", {
                    style: {
                      padding: '0px',
                      borderBottom: '1px solid #e5e5e5',
                      textAlign: 'left'
                    },
                    children: selectedFiles.includes(file) ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("button", {
                      onClick: () => handleDeleteFile(file),
                      className: "button-active",
                      children: "Delete"
                    }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("button", {
                      disabled: true,
                      className: "button-inactive",
                      children: "Delete"
                    })
                  })]
                }, `${idx}-${file.name}`))), files.uploaded.map(file => (console.log('Uploaded File:', file), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("tr", {
                  children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("td", {
                    style: {
                      padding: '16px',
                      borderBottom: '1px solid #e5e5e5',
                      textAlign: 'left'
                    },
                    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("input", {
                      type: "checkbox",
                      onChange: () => handleFileSelect(file),
                      checked: selectedFiles.includes(file)
                    })
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("td", {
                    style: {
                      padding: '16px',
                      borderBottom: '1px solid #e5e5e5',
                      textAlign: 'left'
                    },
                    children: file.file
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("td", {
                    style: {
                      padding: '16px',
                      borderBottom: '1px solid #e5e5e5',
                      textAlign: 'left'
                    },
                    children: getFileExtension(file.file)
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("td", {
                    style: {
                      padding: '16px',
                      borderBottom: '1px solid #e5e5e5',
                      textAlign: 'left'
                    },
                    children: "Imported"
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("td", {
                    style: {
                      padding: '0px',
                      borderBottom: '1px solid #e5e5e5',
                      textAlign: 'left'
                    },
                    children: selectedFiles.includes(file) ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("button", {
                      onClick: () => handleDeleteFile(file),
                      style: {
                        cursor: 'pointer',
                        color: 'red',
                        borderColor: 'red'
                      },
                      children: "Delete"
                    }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("button", {
                      disabled: true,
                      style: {
                        cursor: 'not-allowed',
                        color: '#a9a9a9',
                        borderColor: '#a9a9a9'
                      },
                      children: "Delete"
                    })
                  })]
                }, file.file)))]
              })]
            })
          })]
        })
      })
    })]
  });
};

/***/ }),

/***/ "./src/pages/CreateProject/Import/ImportModal.js":
/*!*******************************************************!*\
  !*** ./src/pages/CreateProject/Import/ImportModal.js ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ImportModal": () => (/* binding */ ImportModal),
/* harmony export */   "Inner": () => (/* binding */ Inner)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! react-router */ "./node_modules/react-router/esm/react-router.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _components_Space_Space__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../components/Space/Space */ "./src/components/Space/Space.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var _providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../providers/RoutesProvider */ "./src/providers/RoutesProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_hooks__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../utils/hooks */ "./src/utils/hooks.ts");
/* harmony import */ var _Import__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./Import */ "./src/pages/CreateProject/Import/Import.js");
/* harmony import */ var _useImportPage__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./useImportPage */ "./src/pages/CreateProject/Import/useImportPage.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");














const Inner = () => {
  const history = (0,react_router__WEBPACK_IMPORTED_MODULE_12__.useHistory)();
  const location = (0,_providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_6__.useFixedLocation)();
  const modal = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const refresh = (0,_utils_hooks__WEBPACK_IMPORTED_MODULE_8__.useRefresh)();
  const {
    project
  } = (0,_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_5__.useProject)();
  const [waiting, setWaitingStatus] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_4__.useAPI)();
  const {
    uploading,
    uploadDisabled,
    finishUpload,
    fileIds,
    pageProps
  } = (0,_useImportPage__WEBPACK_IMPORTED_MODULE_10__.useImportPage)(project);
  const backToDM = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    const path = location.pathname.replace(ImportModal.path, '');
    const search = location.search;
    const pathname = `${path}${search !== '?' ? search : ''}`;
    return refresh(pathname);
  }, [location, history]);
  const onCancel = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    var _modal$current;

    setWaitingStatus(true);
    await api.callApi('deleteFileUploads', {
      params: {
        pk: project.id
      },
      body: {
        file_upload_ids: fileIds
      }
    });
    setWaitingStatus(false);
    modal === null || modal === void 0 ? void 0 : (_modal$current = modal.current) === null || _modal$current === void 0 ? void 0 : _modal$current.hide();
    backToDM();
  }, [modal, project, fileIds, backToDM]);
  const onFinish = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    const imported = await finishUpload();
    if (!imported) return;
    backToDM();
  }, [backToDM, finishUpload]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_11__.jsx)(_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_2__.Modal, {
    title: "Import data",
    ref: modal,
    onHide: () => backToDM(),
    closeOnClickOutside: false,
    fullscreen: true,
    visible: true,
    bare: true,
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_11__.jsxs)("div", {
      className: "rootclass",
      style: {
        flex: '1',
        minHeight: '0',
        display: 'flex',
        flexDirection: 'column',
        overflowY: 'auto'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_11__.jsxs)(_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_2__.Modal.Header, {
        divided: true,
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_11__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_7__.Elem, {
          block: "modal",
          name: "title",
          children: "Import Data"
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_11__.jsxs)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_3__.Space, {
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_11__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
            waiting: waiting,
            onClick: onCancel,
            children: "Cancel"
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_11__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
            look: "primary",
            onClick: onFinish,
            waiting: waiting || uploading,
            disabled: uploadDisabled,
            children: "Import"
          })]
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_11__.jsx)("div", {
        className: "toggle",
        style: {
          position: 'relative',
          maxWidth: '100%',
          height: '100%',
          display: 'grid',
          borderRadius: '16px',
          gridTemplateColumns: 'repeat(1, 1fr)',
          boxSizing: 'border-box'
        },
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_11__.jsx)("div", {
          className: "import-step",
          style: {
            border: '1px solid #ccc',
            borderRadius: '8px',
            padding: '0px',
            backgroundColor: '#fff',
            width: '80%',
            margin: '10px 10%'
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_11__.jsx)("div", {
            className: "import-create",
            style: {
              backgroundColor: '#5a585800',
              padding: '1px',
              display: 'flex',
              justifyContent: 'space-between',
              alignItems: 'center',
              cursor: 'pointer',
              width: '93%',
              margin: '0 3%'
            },
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_11__.jsx)("div", {
              className: "import-content",
              style: {
                width: '90%',
                margin: '0 4%'
              },
              children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_11__.jsx)(_Import__WEBPACK_IMPORTED_MODULE_9__.ImportPage, {
                project: project,
                ...pageProps
              })
            })
          })
        })
      })]
    })
  });
};
const ImportModal = () => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_11__.jsx)(_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_5__.ProjectProvider, {
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_11__.jsx)(Inner, {})
  });
};
ImportModal.path = "/import";
ImportModal.modal = true;

/***/ }),

/***/ "./src/pages/CreateProject/Import/useImportPage.js":
/*!*********************************************************!*\
  !*** ./src/pages/CreateProject/Import/useImportPage.js ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "useImportPage": () => (/* binding */ useImportPage)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../utils/helpers */ "./src/utils/helpers.ts");



const DEFAULT_COLUMN = "$undefined$";
const useImportPage = project => {
  const [uploading, setUploadingStatus] = react__WEBPACK_IMPORTED_MODULE_0__.useState(false);
  const [fileIds, setFileIds] = react__WEBPACK_IMPORTED_MODULE_0__.useState([]);
  const [_columns, _setColumns] = react__WEBPACK_IMPORTED_MODULE_0__.useState([]);

  const addColumns = cols => _setColumns(current => (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_2__.unique)(current.concat(cols))); // undefined - no csv added, all good, keep moving
  // choose - csv added, block modal until user chooses a way to hangle csv
  // tasks | ts — choice made, all good, this cannot be undone


  const [csvHandling, setCsvHandling] = react__WEBPACK_IMPORTED_MODULE_0__.useState(); // undefined | choose | tasks | ts

  const uploadDisabled = csvHandling === "choose";
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_1__.useAPI)(); // don't use columns from csv if we'll not use it as csv

  const columns = ["choose", "ts"].includes(csvHandling) ? [DEFAULT_COLUMN] : _columns;

  const finishUpload = async () => {
    setUploadingStatus(true);
    const imported = await api.callApi('reimportFiles', {
      params: {
        pk: project.id
      },
      body: {
        file_upload_ids: fileIds,
        files_as_tasks_list: csvHandling === 'tasks'
      }
    });
    setUploadingStatus(false);
    return imported;
  };

  const pageProps = {
    onWaiting: setUploadingStatus,
    // onDisableSubmit: onDisableSubmit,
    highlightCsvHandling: uploadDisabled,
    addColumns,
    csvHandling,
    setCsvHandling,
    onFileListUpdate: setFileIds,
    dontCommitToProject: true
  };
  return {
    columns,
    uploading,
    uploadDisabled,
    finishUpload,
    fileIds,
    pageProps
  };
};

/***/ }),

/***/ "./src/pages/CreateProject/utils/useDraftProject.js":
/*!**********************************************************!*\
  !*** ./src/pages/CreateProject/utils/useDraftProject.js ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "useDraftProject": () => (/* binding */ useDraftProject)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");


const useDraftProject = () => {
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_1__.useAPI)();
  const [project, setProject] = react__WEBPACK_IMPORTED_MODULE_0__.useState();
  const fetchDraftProject = react__WEBPACK_IMPORTED_MODULE_0__.useCallback(async () => {
    var _response$results;

    const response = await api.callApi('projects'); // always create the new one

    const projects = (_response$results = response === null || response === void 0 ? void 0 : response.results) !== null && _response$results !== void 0 ? _response$results : [];
    const lastIndex = projects.length;
    let projectNumber = lastIndex + 1;
    let projectName = `New Project #${projectNumber}`; // dirty hack to get proper non-duplicate name

    while (projects.find(({
      title
    }) => title === projectName)) {
      projectNumber++;
      projectName = `New Project #${projectNumber}`;
    }

    const draft = await api.callApi('createProject', {
      body: {
        title: projectName
      }
    });
    if (draft) setProject(draft);
  }, []);
  react__WEBPACK_IMPORTED_MODULE_0__.useEffect(() => {
    fetchDraftProject();
  }, []);
  return project;
};

/***/ }),

/***/ "./src/pages/DataManager/DataManager.js":
/*!**********************************************!*\
  !*** ./src/pages/DataManager/DataManager.js ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "DataManagerPage": () => (/* binding */ DataManagerPage)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! react-router */ "./node_modules/react-router/esm/react-router.js");
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! react-router-dom */ "./node_modules/react-router-dom/esm/react-router-dom.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components */ "./src/components/index.js");
/* harmony import */ var _components_Button_Button__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../components/Button/Button */ "./src/components/Button/Button.js");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _components_Space_Space__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../components/Space/Space */ "./src/components/Space/Space.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _providers_LibraryProvider__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../providers/LibraryProvider */ "./src/providers/LibraryProvider.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var _providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../providers/RoutesProvider */ "./src/providers/RoutesProvider.js");
/* harmony import */ var _services_breadrumbs__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../services/breadrumbs */ "./src/services/breadrumbs.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _CreateProject_Import_ImportModal__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../CreateProject/Import/ImportModal */ "./src/pages/CreateProject/Import/ImportModal.js");
/* harmony import */ var _ExportPage_ExportPage__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../ExportPage/ExportPage */ "./src/pages/ExportPage/ExportPage.js");
/* harmony import */ var _api_config__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./api-config */ "./src/pages/DataManager/api-config.js");
/* harmony import */ var _DataManager_styl__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./DataManager.styl */ "./src/pages/DataManager/DataManager.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");





















const initializeDataManager = async (root, props, params) => {
  if (!window.LabelStudio) throw Error("Data Studio Frontend doesn't exist on the page");
  if (!root && root.dataset.dmInitialized) return;
  root.dataset.dmInitialized = true;
  const { ...settings
  } = root.dataset;
  const dmConfig = {
    root,
    projectId: params.id,
    apiGateway: `${window.APP_SETTINGS.hostname}/api/dm`,
    apiVersion: 2,
    project: params.project,
    polling: !window.APP_SETTINGS,
    showPreviews: false,
    apiEndpoints: _api_config__WEBPACK_IMPORTED_MODULE_14__.APIConfig.endpoints,
    interfaces: {
      import: true,
      export: true,
      backButton: true,
      labelingHeader: false,
      autoAnnotation: params.autoAnnotation
    },
    labelStudio: {
      keymap: window.APP_SETTINGS.editor_keymap
    },
    ...props,
    ...settings
  };
  return new window.DataManager(dmConfig);
};

const buildLink = (path, params) => {
  return (0,react_router__WEBPACK_IMPORTED_MODULE_17__.generatePath)(`/projects/:id${path}`, params);
};

const DataManagerPage = ({ ...props
}) => {
  const root = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const params = (0,_providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_8__.useParams)();
  const history = (0,react_router__WEBPACK_IMPORTED_MODULE_17__.useHistory)();
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_5__.useAPI)();
  const {
    project
  } = (0,_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_7__.useProject)();
  const LabelStudio = (0,_providers_LibraryProvider__WEBPACK_IMPORTED_MODULE_6__.useLibrary)('lsf');
  const DataManager = (0,_providers_LibraryProvider__WEBPACK_IMPORTED_MODULE_6__.useLibrary)('dm');
  const setContextProps = (0,_providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_8__.useContextProps)();
  const [crashed, setCrashed] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const dataManagerRef = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const projectId = project === null || project === void 0 ? void 0 : project.id;
  const init = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    var _dataManagerRef$curre;

    if (!LabelStudio) return;
    if (!DataManager) return;
    if (!root.current) return;
    if (!(project !== null && project !== void 0 && project.id)) return;
    if (dataManagerRef.current) return;
    const mlBackends = await api.callApi("mlBackends", {
      params: {
        project: project.id
      }
    });
    const interactiveBacked = (mlBackends !== null && mlBackends !== void 0 ? mlBackends : []).find(({
      is_interactive
    }) => is_interactive);
    const dataManager = dataManagerRef.current = (_dataManagerRef$curre = dataManagerRef.current) !== null && _dataManagerRef$curre !== void 0 ? _dataManagerRef$curre : await initializeDataManager(root.current, props, { ...params,
      project,
      autoAnnotation: (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_11__.isDefined)(interactiveBacked)
    });
    Object.assign(window, {
      dataManager
    });
    dataManager.on("crash", () => setCrashed());
    dataManager.on("settingsClicked", () => {
      history.push(buildLink("/settings/labeling", {
        id: params.id
      }));
    });
    dataManager.on("importClicked", () => {
      history.push(buildLink("/data/import", {
        id: params.id
      }));
    });
    dataManager.on("exportClicked", () => {
      history.push(buildLink("/data/export", {
        id: params.id
      }));
    });
    dataManager.on("error", response => {
      api.handleError(response);
    });

    if (interactiveBacked) {
      dataManager.on("lsf:regionFinishedDrawing", (reg, group) => {
        const {
          lsf,
          task,
          currentAnnotation: annotation
        } = dataManager.lsf;
        const ids = group.map(r => r.id);
        const result = annotation.serializeAnnotation().filter(res => ids.includes(res.id));
        const suggestionsRequest = api.callApi("mlInteractive", {
          params: {
            pk: interactiveBacked.id
          },
          body: {
            task: task.id,
            context: {
              result
            }
          }
        });
        lsf.loadSuggestions(suggestionsRequest, response => {
          if (response.data) {
            return response.data.result;
          }

          return [];
        });
      });
    }

    setContextProps({
      dmRef: dataManager
    });
  }, [LabelStudio, DataManager, projectId]);
  const destroyDM = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    if (dataManagerRef.current) {
      dataManagerRef.current.destroy();
      dataManagerRef.current = null;
    }
  }, [dataManagerRef]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    init();
    return () => destroyDM();
  }, [root, init]);

  if (!DataManager || !LabelStudio) {
    return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)("div", {
      style: {
        flex: 1,
        width: '100%',
        height: '100%',
        display: "flex",
        alignItems: 'center',
        justifyContent: 'center'
      },
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Spinner, {
        size: 64
      })
    });
  }

  return crashed ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_10__.Block, {
    name: "crash",
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_10__.Elem, {
      name: "info",
      children: "Project was deleted or not yet created"
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_components_Button_Button__WEBPACK_IMPORTED_MODULE_2__.Button, {
      to: "/projects",
      children: "Back to projects"
    })]
  }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_10__.Block, {
    ref: root,
    name: "datamanager"
  });
};
DataManagerPage.path = "/data";
DataManagerPage.pages = {
  ExportPage: _ExportPage_ExportPage__WEBPACK_IMPORTED_MODULE_13__.ExportPage,
  ImportModal: _CreateProject_Import_ImportModal__WEBPACK_IMPORTED_MODULE_12__.ImportModal
};

DataManagerPage.context = ({
  dmRef
}) => {
  var _dmRef$mode;

  const location = (0,_providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_8__.useFixedLocation)();
  const {
    project
  } = (0,_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_7__.useProject)();
  const [mode, setMode] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)((_dmRef$mode = dmRef === null || dmRef === void 0 ? void 0 : dmRef.mode) !== null && _dmRef$mode !== void 0 ? _dmRef$mode : "explorer");
  const links = {
    '/settings': 'Settings'
  };

  const updateCrumbs = currentMode => {
    const isExplorer = currentMode === 'explorer';
    const dmPath = location.pathname.replace(DataManagerPage.path, '');

    if (isExplorer) {
      (0,_services_breadrumbs__WEBPACK_IMPORTED_MODULE_9__.deleteAction)(dmPath);
      (0,_services_breadrumbs__WEBPACK_IMPORTED_MODULE_9__.deleteCrumb)('dm-crumb');
    } else {
      (0,_services_breadrumbs__WEBPACK_IMPORTED_MODULE_9__.addAction)(dmPath, e => {
        var _dmRef$store, _dmRef$store$closeLab;

        e.preventDefault();
        e.stopPropagation();
        dmRef === null || dmRef === void 0 ? void 0 : (_dmRef$store = dmRef.store) === null || _dmRef$store === void 0 ? void 0 : (_dmRef$store$closeLab = _dmRef$store.closeLabeling) === null || _dmRef$store$closeLab === void 0 ? void 0 : _dmRef$store$closeLab.call(_dmRef$store);
      });
      (0,_services_breadrumbs__WEBPACK_IMPORTED_MODULE_9__.addCrumb)({
        key: "dm-crumb",
        title: "Labeling"
      });
    }
  };

  const showLabelingInstruction = currentMode => {
    const isLabelStream = currentMode === 'labelstream';
    const {
      expert_instruction,
      show_instruction
    } = project;

    if (isLabelStream && show_instruction && expert_instruction) {
      (0,_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_3__.modal)({
        title: "Labeling Instructions",
        body: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)("div", {
          dangerouslySetInnerHTML: {
            __html: expert_instruction
          }
        }),
        style: {
          width: 680
        }
      });
    }
  };

  const onDMModeChanged = currentMode => {
    setMode(currentMode);
    updateCrumbs(currentMode);
    showLabelingInstruction(currentMode);
  };

  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (dmRef) {
      dmRef.on('modeChanged', onDMModeChanged);
    }

    return () => {
      var _dmRef$off;

      dmRef === null || dmRef === void 0 ? void 0 : (_dmRef$off = dmRef.off) === null || _dmRef$off === void 0 ? void 0 : _dmRef$off.call(dmRef, 'modeChanged', onDMModeChanged);
    };
  }, [dmRef, project]);
  return project && project.id ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsxs)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_4__.Space, {
    size: "small",
    children: [project.expert_instruction && mode !== 'explorer' && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_components_Button_Button__WEBPACK_IMPORTED_MODULE_2__.Button, {
      size: "compact",
      onClick: () => {
        (0,_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_3__.modal)({
          title: "Instructions",
          body: () => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)("div", {
            dangerouslySetInnerHTML: {
              __html: project.expert_instruction
            }
          })
        });
      },
      children: "Instructions"
    }), Object.entries(links).map(([path, label]) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_16__.jsx)(_components_Button_Button__WEBPACK_IMPORTED_MODULE_2__.Button, {
      tag: react_router_dom__WEBPACK_IMPORTED_MODULE_18__.NavLink,
      size: "compact",
      to: `/projects/${project.id}${path}`,
      "data-external": true,
      children: label
    }, path))]
  }) : null;
};

/***/ }),

/***/ "./src/pages/DataManager/api-config.js":
/*!*********************************************!*\
  !*** ./src/pages/DataManager/api-config.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "APIConfig": () => (/* binding */ APIConfig)
/* harmony export */ });
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/helpers */ "./src/utils/helpers.ts");

/** @type {import("../utils/api-proxy").APIProxyOptions} */

const APIConfig = {
  gateway: "/api/dm",
  endpoints: {
    /** Project base info */
    project: "/project",

    /** Available columns/fields of the dataset */
    columns: "/columns",

    /** Tabs (materialized views) */
    tabs: "/views",

    /** Creates a new tab */
    createTab: "POST:/views",

    /** Update particular tab (PATCH) */
    updateTab: "PATCH:/views/:tabID",

    /** Delete particular tab (DELETE) */
    deleteTab: "DELETE:/views/:tabID",

    /** Per-task annotations (annotations, predictions) */
    annotations: "/views/:tabID/annotations",

    /** Single task (sample) */
    task: "/../tasks/:taskID",

    /** List of tasks (samples) in the dataset */
    tasks: "/../tasks",

    /** Next task (labelstream, default sequential) */
    nextTask: "/tasks/next",

    /** Single annotation */
    annotation: "/../annotations/:id",

    /** Mark sample as skipped */
    skipTask: {
      method: "post",
      path: params => {
        const pathBase = "/../tasks/:taskID/annotations";
        const isNewAnnotation = !(0,_utils_helpers__WEBPACK_IMPORTED_MODULE_0__.isDefined)(params.annotationID);
        return isNewAnnotation ? pathBase : `${pathBase}/:annotationID`;
      }
    },

    /** Submit annotation */
    submitAnnotation: "POST:/../tasks/:taskID/annotations",

    /** Update annotation */
    updateAnnotation: "PATCH:/../annotations/:annotationID",

    /** Delete annotation */
    deleteAnnotation: "DELETE:/../annotations/:annotationID",

    /** Override selected items list (checkboxes) */
    setSelectedItems: "POST:/views/:tabID/selected-items",

    /** Add item to the current selection */
    addSelectedItem: "PATCH:/views/:tabID/selected-items",

    /** List of available actions */
    actions: "/actions",

    /** Subtract item from the current selection */
    deleteSelectedItem: "DELETE:/views/:tabID/selected-items",

    /** Invoke a particular action */
    invokeAction: "POST:/actions"
  }
};

/***/ }),

/***/ "./src/pages/ExportPage/ExportPage.js":
/*!********************************************!*\
  !*** ./src/pages/ExportPage/ExportPage.js ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ExportPage": () => (/* binding */ ExportPage)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! react-router */ "./node_modules/react-router/esm/react-router.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components */ "./src/components/index.js");
/* harmony import */ var _components_Form__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../components/Form */ "./src/components/Form/index.js");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _components_Space_Space__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../components/Space/Space */ "./src/components/Space/Space.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../providers/RoutesProvider */ "./src/providers/RoutesProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _ExportPage_styl__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./ExportPage.styl */ "./src/pages/ExportPage/ExportPage.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");










 // const formats = {
//   json: 'JSON',
//   csv: 'CSV',
// };




const downloadFile = (blob, filename) => {
  const link = document.createElement('a');
  link.href = URL.createObjectURL(blob);
  link.download = filename;
  link.click();
};

const {
  Block,
  Elem
} = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_7__.BemWithSpecifiContext)();

const wait = () => new Promise(resolve => setTimeout(resolve, 5000));

const ExportPage = () => {
  const history = (0,react_router__WEBPACK_IMPORTED_MODULE_11__.useHistory)();
  const location = (0,_providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_6__.useFixedLocation)();
  const pageParams = (0,_providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_6__.useParams)();
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_5__.useAPI)();
  const [previousExports, setPreviousExports] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)([]);
  const [downloading, setDownloading] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const [downloadingMessage, setDownloadingMessage] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const [availableFormats, setAvailableFormats] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)([]);
  const [currentFormat, setCurrentFormat] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)('JSON');
  /** @type {import('react').RefObject<Form>} */

  const form = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();

  const proceedExport = async () => {
    setDownloading(true);
    const message = setTimeout(() => {
      setDownloadingMessage(true);
    }, 1000);
    const params = form.current.assembleFormData({
      asJSON: true,
      full: true,
      booleansAsNumbers: true
    });
    const response = await api.callApi('exportRaw', {
      params: {
        pk: pageParams.id,
        ...params
      }
    });

    if (response.ok) {
      const blob = await response.blob();
      downloadFile(blob, response.headers.get('filename'));
    } else {
      api.handleError(response);
    }

    setDownloading(false);
    setDownloadingMessage(false);
    clearTimeout(message);
  };

  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if ((0,_utils_helpers__WEBPACK_IMPORTED_MODULE_8__.isDefined)(pageParams.id)) {
      api.callApi("previousExports", {
        params: {
          pk: pageParams.id
        }
      }).then(({
        export_files
      }) => {
        setPreviousExports(export_files.slice(0, 1));
      });
      api.callApi("exportFormats", {
        params: {
          pk: pageParams.id
        }
      }).then(formats => {
        var _formats$;

        setAvailableFormats(formats);
        setCurrentFormat((_formats$ = formats[0]) === null || _formats$ === void 0 ? void 0 : _formats$.name);
      });
    }
  }, [pageParams]); // const formatSelect = (
  //   <Label text="Export format" style={{display: "block", width: "mix-content"}} flat>
  //     <Dropdown.Trigger content={(
  //       <Menu size="medium">
  //         {Object.entries(formats).map(([key, value]) => {
  //           return <Menu.Item key={key} onClick={() => setFormat(key)}>{value}</Menu.Item>;
  //         })}
  //       </Menu>
  //     )}>
  //       <Button size="small" style={{textAlign: "left"}}>
  //         <span>{formats[format]}</span>
  //       </Button>
  //     </Dropdown.Trigger>
  //   </Label>
  // );
  // const aggregation = (
  //   <Form.Row columnCount={2}>
  //     {/* TODO: We don't have api for different formats yet, so let's hide the select for now */}
  //     {/* {formatSelect} */}
  //     <RadioGroup label="Aggregation of annotations" size="small" name="aggregator_type" labelProps={{size: "large", flat: true}}>
  //       <RadioGroup.Button value="majority_vote" checked>
  //         Majority vote
  //       </RadioGroup.Button>
  //       <RadioGroup.Button value="no_aggregation">
  //         No aggregation
  //       </RadioGroup.Button>
  //     </RadioGroup>
  //   </Form.Row>
  // );
  // const exportHistory = (
  //   <Label text="Previous exports" size="large" flat>
  //     {previousExports.map(file => {
  //       const basename = file.url.split('/').reverse()[0];
  //       return (
  //         <Button key={file.url} href={file.url} size="medium" download={basename} icon={<FaFileDownload/>}>
  //           {basename}
  //         </Button>
  //       );
  //     })}
  //   </Label>
  // );

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_3__.Modal, {
    onHide: () => {
      const path = location.pathname.replace(ExportPage.path, '');
      const search = location.search;
      history.replace(`${path}${search !== '?' ? search : ''}`);
    },
    title: "Export data",
    style: {
      width: 720
    },
    closeOnClickOutside: false,
    allowClose: !downloading // footer="Read more about supported export formats in the Documentation."
    ,
    visible: true,
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(Block, {
      name: "export-page",
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(FormatInfo, {
        availableFormats: availableFormats,
        selected: currentFormat,
        onClick: format => setCurrentFormat(format.name)
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Form, {
        ref: form,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Input, {
          type: "hidden",
          name: "exportType",
          value: currentFormat
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(Elem, {
        name: "footer",
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_4__.Space, {
          style: {
            width: '100%'
          },
          spread: true,
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(Elem, {
            name: "recent"
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(Elem, {
            name: "actions",
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_4__.Space, {
              children: [downloadingMessage && "Files are being prepared. It might take some time.", /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(Elem, {
                tag: _components__WEBPACK_IMPORTED_MODULE_1__.Button,
                name: "finish",
                look: "primary",
                onClick: proceedExport,
                waiting: downloading,
                children: "Export"
              })]
            })
          })]
        })
      })]
    })
  });
};

const FormatInfo = ({
  availableFormats,
  selected,
  onClick
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(Block, {
    name: "formats",
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(Elem, {
      name: "info",
      children: "You can export dataset in one of the following formats:"
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(Elem, {
      name: "list",
      children: availableFormats.map(format => {
        var _format$tags, _format$tags$map;

        return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(Elem, {
          name: "item",
          mod: {
            active: !format.disabled,
            selected: format.name === selected
          },
          onClick: !format.disabled ? () => onClick(format) : null,
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(Elem, {
            name: "name",
            children: [format.title, /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_4__.Space, {
              size: "small",
              children: (_format$tags = format.tags) === null || _format$tags === void 0 ? void 0 : (_format$tags$map = _format$tags.map) === null || _format$tags$map === void 0 ? void 0 : _format$tags$map.call(_format$tags, (tag, index) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(Elem, {
                name: "tag",
                children: tag
              }, index))
            })]
          }), format.description && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(Elem, {
            name: "description",
            children: format.description
          })]
        }, format.name);
      })
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(Elem, {
      name: "feedback",
      children: ["Can't find an export format?", /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)("br", {}), "Please let us know in ", /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)("a", {
        className: "no-go",
        href: "https://slack.labelstud.io/?source=product-export",
        children: "Slack"
      }), " or submit an issue to the ", /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)("a", {
        className: "no-go",
        href: "https://github.com/heartexlabs/label-studio-converter/issues",
        children: "Repository"
      })]
    })]
  });
};

ExportPage.path = "/export";
ExportPage.modal = true;

/***/ }),

/***/ "./src/pages/Organization/PeoplePage/OrgData.js":
/*!******************************************************!*\
  !*** ./src/pages/Organization/PeoplePage/OrgData.js ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "OrgData": () => (/* binding */ OrgData)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");






const OrgData = () => {
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_3__.useAPI)();
  const [userData, setUserData] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)({});
  const [loading, setLoading] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(true);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    const fetchData = async () => {
      try {
        const response = await api.callApi('/api/user/data/');
        console.log('API Response:', response.data);
        setUserData(response.data);
      } catch (error) {
        console.error('Error fetching data:', error);
      } finally {
        setLoading(false);
      }
    };

    fetchData();
  }, []);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Block, {
    children: loading ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)("div", {
      style: {
        flex: 1,
        width: '100%',
        height: '100%',
        display: "flex",
        alignItems: 'center',
        justifyContent: 'center'
      },
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_components__WEBPACK_IMPORTED_MODULE_2__.Spinner, {
        size: 64
      })
    }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)("div", {
      style: {
        margin: '20px 8px'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)("div", {
        style: {
          margin: '10px 8px',
          border: '1px solid #D1D3D6',
          borderRadius: '5px'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)("div", {
          style: {
            background: '#E6E6E6',
            color: '#616161',
            padding: '5px 10px',
            textAlign: 'start'
          },
          children: "Active Organization"
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)("div", {
          style: {
            padding: '10px',
            textAlign: 'start'
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)("p", {
            children: userData.active_organization_title
          })
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)("div", {
        style: {
          margin: '10px 8px',
          border: '1px solid #D1D3D6',
          borderRadius: '5px'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)("div", {
          style: {
            background: '#E6E6E6',
            color: '#616161',
            padding: '5px 10px',
            textAlign: 'start'
          },
          children: "Organization Information"
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)("div", {
          style: {
            padding: '10px',
            textAlign: 'start'
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)("p", {
            children: ["Your Role ", userData.pretty_role]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)("p", {
            children: ["Organization ID ", userData.active_organization_id]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)("p", {
            children: ["Owner ", userData.active_organization_created_by]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)("p", {
            children: ["Created at ", userData.active_organization_created_at]
          })]
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)("div", {
        style: {
          margin: '10px 8px',
          border: '1px solid #D1D3D6',
          borderRadius: '5px'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)("div", {
          style: {
            background: '#E6E6E6',
            color: '#616161',
            padding: '5px 10px',
            textAlign: 'start'
          },
          children: "Your Contributions"
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)("div", {
          style: {
            padding: '10px',
            textAlign: 'start'
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)("p", {
            children: ["Annotations you completed ", userData.active_organization_annotations_count]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)("p", {
            children: ["Projects you contributed to ", userData.active_organization_contributed_project_count]
          })]
        })]
      })]
    })
  });
};

/***/ }),

/***/ "./src/pages/Organization/PeoplePage/PeopleList.js":
/*!*********************************************************!*\
  !*** ./src/pages/Organization/PeoplePage/PeopleList.js ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "PeopleList": () => (/* binding */ PeopleList)
/* harmony export */ });
/* harmony import */ var date_fns__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! date-fns */ "./node_modules/date-fns/esm/formatDistance/index.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _components_Pagination_Pagination__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../components/Pagination/Pagination */ "./src/components/Pagination/Pagination.tsx");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _utils_hooks__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../utils/hooks */ "./src/utils/hooks.ts");
/* harmony import */ var _PeopleList_styl__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./PeopleList.styl */ "./src/pages/Organization/PeoplePage/PeopleList.styl");
/* harmony import */ var _components_CopyableTooltip_CopyableTooltip__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../components/CopyableTooltip/CopyableTooltip */ "./src/components/CopyableTooltip/CopyableTooltip.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");













const PeopleList = ({
  onSelect,
  selectedUser,
  defaultSelected
}) => {
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_3__.useAPI)();
  const [usersList, setUsersList] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)();
  const [currentPage] = (0,_components_Pagination_Pagination__WEBPACK_IMPORTED_MODULE_2__.usePage)('page', 1);
  const [currentPageSize] = (0,_components_Pagination_Pagination__WEBPACK_IMPORTED_MODULE_2__.usePageSize)('page_size', 30);
  const [totalItems, setTotalItems] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(0);
  console.log({
    currentPage,
    currentPageSize
  });
  const fetchUsers = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async (page, pageSize) => {
    const response = await api.callApi('memberships', {
      params: {
        pk: 1,
        contributed_to_projects: 1,
        page,
        page_size: pageSize
      }
    });

    if (response.results) {
      setUsersList(response.results);
      setTotalItems(response.count);
    }
  }, []);
  const selectUser = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(user => {
    if ((selectedUser === null || selectedUser === void 0 ? void 0 : selectedUser.id) === user.id) {
      onSelect === null || onSelect === void 0 ? void 0 : onSelect(null);
    } else {
      onSelect === null || onSelect === void 0 ? void 0 : onSelect(user);
    }
  }, [selectedUser]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    fetchUsers(currentPage, currentPageSize);
  }, []);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if ((0,_utils_helpers__WEBPACK_IMPORTED_MODULE_5__.isDefined)(defaultSelected) && usersList) {
      const selected = usersList.find(({
        user
      }) => user.id === Number(defaultSelected));
      if (selected) selectUser(selected.user);
    }
  }, [usersList, defaultSelected]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.Fragment, {
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Block, {
      name: "people-list",
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
        style: {
          margin: '5px 8px',
          border: '1px solid #D1D3D6',
          borderRadius: '5px'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
          style: {
            background: '#E6E6E6',
            color: '#616161',
            padding: '5px 10px',
            textAlign: 'start'
          },
          children: "Organization Members"
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
          name: "wrapper",
          children: usersList ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
            name: "users",
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
              name: "header",
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                name: "column",
                mix: "avatar",
                children: "Avatar"
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                name: "column",
                mix: "email",
                children: "Email"
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                name: "column",
                mix: "name",
                children: "Name"
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                name: "column",
                mix: "last-activity",
                children: "Last Activity"
              })]
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
              name: "body",
              children: usersList.map(({
                user
              }) => {
                const active = user.id === (selectedUser === null || selectedUser === void 0 ? void 0 : selectedUser.id);
                return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                  name: "user",
                  mod: {
                    active
                  },
                  onClick: () => selectUser(user),
                  children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                    name: "field",
                    mix: "avatar",
                    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components_CopyableTooltip_CopyableTooltip__WEBPACK_IMPORTED_MODULE_8__.CopyableTooltip, {
                      title: 'User ID: ' + user.id,
                      textForCopy: user.id,
                      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Userpic, {
                        user: user,
                        style: {
                          width: 28,
                          height: 28
                        }
                      })
                    })
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                    name: "field",
                    mix: "email",
                    children: user.email
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                    name: "field",
                    mix: "name",
                    children: [user.first_name, " ", user.last_name]
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                    name: "field",
                    mix: "last-activity",
                    children: (0,date_fns__WEBPACK_IMPORTED_MODULE_10__["default"])(new Date(user.last_activity), new Date(), {
                      addSuffix: true
                    })
                  })]
                }, `user-${user.id}`);
              })
            })]
          }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
            name: "loading",
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Spinner, {
              size: 36
            })
          })
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Pagination, {
          page: currentPage,
          urlParamName: "page",
          totalItems: totalItems,
          pageSize: currentPageSize,
          pageSizeOptions: [30, 50, 100],
          onPageLoad: fetchUsers,
          style: {
            paddingTop: 16
          }
        })]
      })
    })
  });
};

/***/ }),

/***/ "./src/pages/Organization/PeoplePage/PeoplePage.js":
/*!*********************************************************!*\
  !*** ./src/pages/Organization/PeoplePage/PeoplePage.js ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "PeoplePage": () => (/* binding */ PeoplePage)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _components_Description_Description__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../components/Description/Description */ "./src/components/Description/Description.js");
/* harmony import */ var _components_Form__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../components/Form */ "./src/components/Form/index.js");
/* harmony import */ var _components_HeidiTips_HeidiTips__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../components/HeidiTips/HeidiTips */ "./src/components/HeidiTips/HeidiTips.tsx");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _components_Space_Space__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../components/Space/Space */ "./src/components/Space/Space.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _providers_ConfigProvider__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../../providers/ConfigProvider */ "./src/providers/ConfigProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_feature_flags__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../../utils/feature-flags */ "./src/utils/feature-flags.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ../../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _PeopleInvitation_styl__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./PeopleInvitation.styl */ "./src/pages/Organization/PeoplePage/PeopleInvitation.styl");
/* harmony import */ var _PeopleList__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./PeopleList */ "./src/pages/Organization/PeoplePage/PeopleList.js");
/* harmony import */ var _PeoplePage_styl__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./PeoplePage.styl */ "./src/pages/Organization/PeoplePage/PeoplePage.styl");
/* harmony import */ var _SelectedUser__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./SelectedUser */ "./src/pages/Organization/PeoplePage/SelectedUser.js");
/* harmony import */ var _Peopledata__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ./Peopledata */ "./src/pages/Organization/PeoplePage/Peopledata.js");
/* harmony import */ var _OrgData__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! ./OrgData */ "./src/pages/Organization/PeoplePage/OrgData.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");























const Invitation = ({
  link,
  updateLink
}) => {
  const [copied, setCopied] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const copyLink = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    setCopied(true);
    (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_12__.copyText)(link);
    setTimeout(() => setCopied(false), 1500);
  }, [link]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_10__.Elem, {
    name: "invite",
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsxs)("div", {
      style: {
        margin: '5px 8px',
        border: '1px solid #D1D3D6',
        borderRadius: '5px'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)("div", {
        style: {
          background: '#E6E6E6',
          color: '#616161',
          padding: '5px 10px',
          textAlign: 'start'
        },
        children: "Invite people to join your organization"
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsxs)("div", {
        style: {
          padding: '10px',
          textAlign: 'start'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_components_Description_Description__WEBPACK_IMPORTED_MODULE_3__.Description, {
          children: "You can invite people via a link to join your Data Studio instance. People you invite will have full access to your projects."
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_4__.Input, {
          value: link,
          style: {
            width: '100%'
          },
          readOnly: true
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsxs)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_7__.Space, {
          style: {
            justifyContent: 'left',
            marginTop: '10px'
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsxs)("button", {
            style: {
              border: '1px solid #1A73E8',
              color: '#1A73E8',
              display: 'flex'
            },
            onClick: updateLink,
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_1__.IconReset, {
              style: {
                marginRight: '8px'
              }
            }), " Reset Link"]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsxs)("button", {
            primary: true,
            style: {
              border: '1px solid #1A73E8',
              color: '#1A73E8',
              display: 'flex'
            },
            onClick: copyLink,
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_1__.IconCopy, {
              style: {
                marginRight: '8px'
              }
            }), " ", copied ? "Copied!" : "Copy"]
          })]
        })]
      })]
    })
  });
};

const PeoplePage = () => {
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_8__.useAPI)();
  const inviteModal = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const config = (0,_providers_ConfigProvider__WEBPACK_IMPORTED_MODULE_9__.useConfig)();
  const [selectedUser, setSelectedUser] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);
  const [link, setLink] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)();
  const selectUser = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(user => {
    setSelectedUser(user);
    localStorage.setItem('selectedUser', user === null || user === void 0 ? void 0 : user.id);
  }, [setSelectedUser]);
  const setInviteLink = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(link => {
    const hostname = config.hostname || location.origin;
    setLink(`${hostname}${link}`);
  }, [config, setLink]);
  const updateLink = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    api.callApi('resetInviteLink').then(({
      invite_url
    }) => {
      setInviteLink(invite_url);
    });
  }, [setInviteLink]); // const inviteModalProps = useCallback((link) => ({
  //   title: "Invite people",
  //   style: { width: 640, height: 472 },
  //   body: () => (
  //     <InvitationModal link={link} />
  //   ),
  //   footer: () => {
  //     const [copied, setCopied] = useState(false);
  //     const copyLink = useCallback(() => {
  //       setCopied(true);
  //       copyText(link);
  //       setTimeout(() => setCopied(false), 1500);
  //     }, []);
  //     return (
  //       <Space spread>
  //         <Space>
  //           <Button style={{ width: 170 }} onClick={() => updateLink()}>
  //             Reset Link
  //           </Button>
  //         </Space>
  //         <Space>
  //           <Button primary style={{ width: 170 }} onClick={copyLink}>
  //             {copied ? "Copied!" : "Copy link"}
  //           </Button>
  //         </Space>
  //       </Space>
  //     );
  //   },
  //   bareFooter: true,
  // }), []);
  // const showInvitationModal = useCallback(() => {
  //   inviteModal.current = modal(inviteModalProps(link));
  // }, [inviteModalProps, link]);

  const defaultSelected = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    return localStorage.getItem('selectedUser');
  }, []);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    api.callApi("inviteLink").then(({
      invite_url
    }) => {
      setInviteLink(invite_url);
    });
  }, []); // useEffect(() => {
  //   inviteModal.current?.update(inviteModalProps(link));
  // }, [link]);

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_10__.Block, {
    name: "people",
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_10__.Elem, {
      name: "peopledetail",
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_OrgData__WEBPACK_IMPORTED_MODULE_18__.OrgData, {})
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_10__.Elem, {
      name: "peoplecontrol",
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_10__.Elem, {
        name: "controls",
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_10__.Elem, {
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_10__.Elem, {
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(Invitation, {
              link: link,
              updateLink: updateLink
            })
          })
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_10__.Elem, {
        name: "list",
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_10__.Elem, {
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_10__.Elem, {
            name: "content",
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_PeopleList__WEBPACK_IMPORTED_MODULE_14__.PeopleList, {
              selectedUser: selectedUser,
              defaultSelected: defaultSelected,
              onSelect: user => selectUser(user)
            }), selectedUser ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_SelectedUser__WEBPACK_IMPORTED_MODULE_16__.SelectedUser, {
              user: selectedUser,
              onClose: () => selectUser(null)
            }) : (0,_utils_feature_flags__WEBPACK_IMPORTED_MODULE_11__.isFF)(_utils_feature_flags__WEBPACK_IMPORTED_MODULE_11__.FF_LSDV_E_297) && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_components_HeidiTips_HeidiTips__WEBPACK_IMPORTED_MODULE_5__.HeidiTips, {
              collection: "organizationPage"
            })]
          })
        })
      })]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_10__.Elem, {
      name: "userdata",
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_Peopledata__WEBPACK_IMPORTED_MODULE_17__.PeopleData, {})
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_10__.Elem, {
      name: "userdata",
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_19__.jsx)(_Peopledata__WEBPACK_IMPORTED_MODULE_17__.PeopleData, {})
    })]
  });
};
PeoplePage.title = "People";
PeoplePage.path = "/";

/***/ }),

/***/ "./src/pages/Organization/PeoplePage/Peopledata.js":
/*!*********************************************************!*\
  !*** ./src/pages/Organization/PeoplePage/Peopledata.js ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "PeopleData": () => (/* binding */ PeopleData)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! axios */ "./node_modules/axios/index.js");
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");




const PeopleData = () => {
  const [userData, setUserData] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)({});
  const [loading, setLoading] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(true);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    const fetchData = async () => {
      try {
        // Update the URL to match the new endpoint
        const response = await axios__WEBPACK_IMPORTED_MODULE_1___default().get('/api/user/organization-detail/');
        console.log('API Response:', response.data);
        setUserData(response.data);
      } catch (error) {
        console.error('Error fetching data:', error);
      } finally {
        setLoading(false);
      }
    };

    fetchData();
  }, []);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx)("div", {
    children: loading ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx)("p", {
      children: "Loading..."
    }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsxs)("div", {
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx)("h2", {
        children: "User Data:"
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsxs)("p", {
        children: ["Organization: ", userData.active_organization_title]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsxs)("p", {
        children: ["Annotations Count: ", userData.active_organization_annotations_count]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsxs)("p", {
        children: ["Contributed Projects Count: ", userData.active_organization_contributed_project_count]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsxs)("p", {
        children: ["Organization ID: ", userData.active_organization_id]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsxs)("p", {
        children: ["Created By: ", userData.active_organization_created_by]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsxs)("p", {
        children: ["Created At: ", userData.active_organization_created_at ? new Date(userData.active_organization_created_at).toLocaleString() : '']
      })]
    })
  });
};

/***/ }),

/***/ "./src/pages/Organization/PeoplePage/SelectedUser.js":
/*!***********************************************************!*\
  !*** ./src/pages/Organization/PeoplePage/SelectedUser.js ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "SelectedUser": () => (/* binding */ SelectedUser)
/* harmony export */ });
/* harmony import */ var date_fns__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! date-fns */ "./node_modules/date-fns/esm/format/index.js");
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! react-router-dom */ "./node_modules/react-router-dom/esm/react-router-dom.js");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _SelectedUser_styl__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./SelectedUser.styl */ "./src/pages/Organization/PeoplePage/SelectedUser.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");









const UserProjectsLinks = ({
  projects
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
    name: "links-list",
    children: projects.map(project => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
      tag: react_router_dom__WEBPACK_IMPORTED_MODULE_5__.NavLink,
      name: "project-link",
      to: `/projects/${project.id}`,
      "data-external": true,
      children: project.title
    }, `project-${project.id}`))
  });
};

const SelectedUser = ({
  user,
  onClose
}) => {
  const fullName = [user.first_name, user.last_name].filter(n => !!n).join(" ").trim();
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Block, {
    name: "user-info",
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
      name: "close",
      tag: _components__WEBPACK_IMPORTED_MODULE_1__.Button,
      type: "link",
      onClick: onClose,
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_0__.LsCross, {})
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
      name: "header",
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Userpic, {
        user: user,
        style: {
          width: 64,
          height: 64,
          fontSize: 28
        }
      }), fullName && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
        name: "full-name",
        children: fullName
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
        tag: "p",
        name: "email",
        children: user.email
      })]
    }), user.phone && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
      name: "section",
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)("a", {
        href: `tel:${user.phone}`,
        children: user.phone
      })
    }), !!user.created_projects.length && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
      name: "section",
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
        name: "section-title",
        children: "Created Projects"
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(UserProjectsLinks, {
        projects: user.created_projects
      })]
    }), !!user.contributed_to_projects.length && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
      name: "section",
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
        name: "section-title",
        children: "Contributed to"
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(UserProjectsLinks, {
        projects: user.contributed_to_projects
      })]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_2__.Elem, {
      tag: "p",
      name: "last-active",
      children: ["Last activity on: ", (0,date_fns__WEBPACK_IMPORTED_MODULE_6__["default"])(new Date(user.last_activity), 'dd MMM yyyy, KK:mm a')]
    })]
  });
};

/***/ }),

/***/ "./src/pages/Organization/index.js":
/*!*****************************************!*\
  !*** ./src/pages/Organization/index.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "OrganizationPage": () => (/* binding */ OrganizationPage)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components_SidebarMenu_SidebarMenu__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components/SidebarMenu/SidebarMenu */ "./src/components/SidebarMenu/SidebarMenu.js");
/* harmony import */ var _PeoplePage_PeoplePage__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./PeoplePage/PeoplePage */ "./src/pages/Organization/PeoplePage/PeoplePage.js");
/* harmony import */ var _WebhookPage_WebhookPage__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../WebhookPage/WebhookPage */ "./src/pages/WebhookPage/WebhookPage.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");
var _window$APP_SETTINGS$;






const ALLOW_ORGANIZATION_WEBHOOKS = (_window$APP_SETTINGS$ = window.APP_SETTINGS.flags) === null || _window$APP_SETTINGS$ === void 0 ? void 0 : _window$APP_SETTINGS$.allow_organization_webhooks;

const MenuLayout = ({
  children,
  ...routeProps
}) => {
  let menuItems = [_PeoplePage_PeoplePage__WEBPACK_IMPORTED_MODULE_2__.PeoplePage];

  if (ALLOW_ORGANIZATION_WEBHOOKS) {
    menuItems.push(_WebhookPage_WebhookPage__WEBPACK_IMPORTED_MODULE_3__.WebhookPage);
  }

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_components_SidebarMenu_SidebarMenu__WEBPACK_IMPORTED_MODULE_1__.SidebarMenu, {
    menuItems: menuItems,
    path: routeProps.match.url,
    children: children
  });
};

const organizationPages = {};

if (ALLOW_ORGANIZATION_WEBHOOKS) {
  organizationPages[_WebhookPage_WebhookPage__WEBPACK_IMPORTED_MODULE_3__.WebhookPage] = _WebhookPage_WebhookPage__WEBPACK_IMPORTED_MODULE_3__.WebhookPage;
}

const OrganizationPage = {
  title: "Organization",
  path: "/organization",
  exact: true,
  layout: MenuLayout,
  component: _PeoplePage_PeoplePage__WEBPACK_IMPORTED_MODULE_2__.PeoplePage,
  pages: organizationPages
};

/***/ }),

/***/ "./src/pages/Projects/Projects.js":
/*!****************************************!*\
  !*** ./src/pages/Projects/Projects.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ProjectsPage": () => (/* binding */ ProjectsPage)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! react-router-dom */ "./node_modules/react-router/esm/react-router.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components */ "./src/components/index.js");
/* harmony import */ var _components_Oneof_Oneof__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../components/Oneof/Oneof */ "./src/components/Oneof/Oneof.js");
/* harmony import */ var _components_Spinner_Spinner__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../components/Spinner/Spinner */ "./src/components/Spinner/Spinner.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../providers/RoutesProvider */ "./src/providers/RoutesProvider.js");
/* harmony import */ var _hooks_useAbortController__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../hooks/useAbortController */ "./src/hooks/useAbortController.ts");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_feature_flags__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../utils/feature-flags */ "./src/utils/feature-flags.js");
/* harmony import */ var _CreateProject_CreateProject__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../CreateProject/CreateProject */ "./src/pages/CreateProject/CreateProject.js");
/* harmony import */ var _DataManager_DataManager__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../DataManager/DataManager */ "./src/pages/DataManager/DataManager.js");
/* harmony import */ var _Settings__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../Settings */ "./src/pages/Settings/index.js");
/* harmony import */ var _Projects_styl__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./Projects.styl */ "./src/pages/Projects/Projects.styl");
/* harmony import */ var _ProjectsList__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ./ProjectsList */ "./src/pages/Projects/ProjectsList.js");
/* harmony import */ var react_icons_fa__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! react-icons/fa */ "./node_modules/react-icons/fa/index.esm.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");





















const getCurrentPage = () => {
  const pageNumberFromURL = new URLSearchParams(location.search).get("page");
  return pageNumberFromURL ? parseInt(pageNumberFromURL) : 1;
};

const ProjectsPage = () => {
  const api = react__WEBPACK_IMPORTED_MODULE_0__.useContext(_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_4__.ApiContext);
  const abortController = (0,_hooks_useAbortController__WEBPACK_IMPORTED_MODULE_6__.useAbortController)();
  const [projectsList, setProjectsList] = react__WEBPACK_IMPORTED_MODULE_0__.useState([]);
  const [networkState, setNetworkState] = react__WEBPACK_IMPORTED_MODULE_0__.useState(null);
  const [currentPage, setCurrentPage] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(getCurrentPage());
  const [totalItems, setTotalItems] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(1);
  const setContextProps = (0,_providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_5__.useContextProps)(); //const defaultPageSize = parseInt(localStorage.getItem('pages:projects-list') ?? 10);

  const defaultPageSize = 10;
  const [modal, setModal] = react__WEBPACK_IMPORTED_MODULE_0__.useState(false);
  const openModal = setModal.bind(null, true);
  const closeModal = setModal.bind(null, false);
  const [searchQuery, setSearchQuery] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)('');

  const fetchProjects = async () => {
    var _data$count, _data$results, _data$results2;

    setNetworkState('loading');
    abortController.renew(); // Cancel any in flight requests

    const requestParams = {
      page: 1,
      page_size: 9999
    };

    if ((0,_utils_feature_flags__WEBPACK_IMPORTED_MODULE_8__.isFF)(_utils_feature_flags__WEBPACK_IMPORTED_MODULE_8__.FF_DEV_2575)) {
      requestParams.include = ['id', 'title', 'created_by', 'created_at', 'color', 'is_published', 'assignment_settings', 'is_public'].join(',');
    }

    const data = await api.callApi("projects", {
      params: requestParams,
      ...((0,_utils_feature_flags__WEBPACK_IMPORTED_MODULE_8__.isFF)(_utils_feature_flags__WEBPACK_IMPORTED_MODULE_8__.FF_DEV_2575) ? {
        signal: abortController.controller.current.signal,
        errorFilter: e => e.error.includes('aborted')
      } : null)
    });
    setTotalItems((_data$count = data === null || data === void 0 ? void 0 : data.count) !== null && _data$count !== void 0 ? _data$count : 1);
    setProjectsList((_data$results = data.results) !== null && _data$results !== void 0 ? _data$results : []);
    setNetworkState('loaded');

    if ((0,_utils_feature_flags__WEBPACK_IMPORTED_MODULE_8__.isFF)(_utils_feature_flags__WEBPACK_IMPORTED_MODULE_8__.FF_DEV_2575) && data !== null && data !== void 0 && (_data$results2 = data.results) !== null && _data$results2 !== void 0 && _data$results2.length) {
      var _data$results3, _additionalData$resul;

      const additionalData = await api.callApi("projects", {
        params: {
          ids: data === null || data === void 0 ? void 0 : (_data$results3 = data.results) === null || _data$results3 === void 0 ? void 0 : _data$results3.map(({
            id
          }) => id).join(','),
          include: ['id', 'description', 'num_tasks_with_annotations', 'task_number', 'skipped_annotations_number', 'total_annotations_number', 'total_predictions_number', 'ground_truth_number', 'finished_task_number'].join(','),
          page_size: data.count
        },
        signal: abortController.controller.current.signal,
        errorFilter: e => e.error.includes('aborted')
      });

      if (additionalData !== null && additionalData !== void 0 && (_additionalData$resul = additionalData.results) !== null && _additionalData$resul !== void 0 && _additionalData$resul.length) {
        setProjectsList(prev => additionalData.results.map(project => {
          const prevProject = prev.find(({
            id
          }) => id === project.id);
          return { ...prevProject,
            ...project
          };
        }));
      }
    }
  };

  const loadNextPage = async (page, pageSize) => {
    setCurrentPage(page);
    await fetchProjects(page, pageSize);
  }; // Filter projects based on the search query


  const filteredProjects = projectsList.filter(project => project.title.toLowerCase().includes(searchQuery.toLowerCase()));
  react__WEBPACK_IMPORTED_MODULE_0__.useEffect(() => {
    fetchProjects();
  }, []);
  react__WEBPACK_IMPORTED_MODULE_0__.useEffect(() => {
    // there is a nice page with Create button when list is empty
    // so don't show the context button in that case
    setContextProps({
      openModal,
      showButton: projectsList.length > 0,
      searchQuery,
      setSearchQuery
    });
  }, [projectsList.length, searchQuery, setSearchQuery]);
  const pageTitle = "Create a New Projects";
  const pageDescription = "Set up tasks and import photos, videos, text, and audio to annotate";
  const showCreateButton = !searchQuery && projectsList.length > 0;
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_7__.Block, {
    name: "projects-page",
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsxs)(_components_Oneof_Oneof__WEBPACK_IMPORTED_MODULE_2__.Oneof, {
      value: networkState,
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_7__.Elem, {
        name: "loading",
        case: "loading",
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_components_Spinner_Spinner__WEBPACK_IMPORTED_MODULE_3__.Spinner, {
          size: 64
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_7__.Elem, {
        name: "content",
        case: "loaded",
        children: [showCreateButton && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_7__.Elem, {
          name: "title-container",
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_7__.Elem, {
            name: "title-info",
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("h3", {
              children: pageTitle
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("p", {
              children: pageDescription
            })]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_7__.Elem, {
            name: "create-project-button",
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
              onClick: openModal,
              look: "primary",
              size: "compact",
              children: "+ Create Project"
            })
          })]
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_7__.Elem, {
          name: "projects-list-container",
          children: [searchQuery && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_7__.Elem, {
            name: "search-query-result",
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsxs)("h3", {
              children: ["All Projects ", '>', " ", /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("span", {
                children: "Search Results"
              })]
            })
          }), filteredProjects.length ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_ProjectsList__WEBPACK_IMPORTED_MODULE_13__.ProjectsList, {
            projects: filteredProjects,
            currentPage: currentPage,
            totalItems: totalItems,
            loadNextPage: loadNextPage,
            pageSize: defaultPageSize,
            searchQuery: searchQuery,
            setSearchQuery: setSearchQuery
          }) : projectsList.length === 0 ?
          /*#__PURE__*/
          // Display EmptyProjectsList if there are no projects
          (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_ProjectsList__WEBPACK_IMPORTED_MODULE_13__.EmptyProjectsList, {
            openModal: openModal
          }) :
          /*#__PURE__*/
          // Display EmptySearchList if there are projects but no matching search results
          (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_ProjectsList__WEBPACK_IMPORTED_MODULE_13__.EmptySearchList, {
            searchQuery: searchQuery,
            setSearchQuery: setSearchQuery
          })]
        }), modal && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(_CreateProject_CreateProject__WEBPACK_IMPORTED_MODULE_9__.CreateProject, {
          onClose: closeModal
        })]
      })]
    })
  });
};

ProjectsPage.context = ({
  showButton,
  searchQuery,
  setSearchQuery
}) => {
  if (!showButton) return null;
  const [recentSearches, setRecentSearches] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)([]);
  const [isSearchFocused, setIsSearchFocused] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);

  const updateRecentSearches = query => {
    const updatedSearches = [query, ...recentSearches.filter(search => search !== query)].slice(0, 3);
    setRecentSearches(updatedSearches);
  };

  const RecentSearchDropdown = ({
    recentSearches,
    onSelect
  }) => {
    return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsxs)("div", {
      className: "recent-searches-dropdown",
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("h4", {
        children: "Recent Searches"
      }), recentSearches.map((recentSearch, index) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("div", {
        className: "recent-search-item",
        onClick: () => onSelect(recentSearch),
        children: recentSearch
      }, index))]
    });
  };

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsxs)("div", {
    className: "context-area",
    style: {
      display: 'flex',
      flexDirection: 'column',
      justifyContent: 'center',
      alignItems: 'center'
    },
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsxs)("div", {
      className: "search-box",
      style: {
        position: 'relative',
        width: '500px',
        marginRight: '215px'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("div", {
        style: {
          position: 'absolute',
          left: '10px',
          top: '58%',
          transform: 'translateY(-50%)'
        },
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(react_icons_fa__WEBPACK_IMPORTED_MODULE_15__.FaSearch, {
          style: {
            color: '#999',
            fontSize: '1.2rem'
          }
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("input", {
        className: "input-context",
        id: "search-input",
        type: "text",
        placeholder: "Search...",
        style: {
          width: '100%',
          borderRadius: '5px',
          padding: '6px',
          paddingLeft: '40px',
          fontSize: '1rem',
          lineHeight: '1.2',
          backgroundColor: '#f6f6f6'
        },
        value: searchQuery,
        onChange: e => {
          setSearchQuery(e.target.value);
        },
        onKeyDown: e => {
          if (e.key === 'Enter') {
            updateRecentSearches(e.target.value);
          }
        },
        onFocus: () => setIsSearchFocused(true),
        onBlur: () => setIsSearchFocused(false)
      }), searchQuery && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("button", {
        className: "clear-input-button",
        onClick: () => setSearchQuery('') // Clear the input when clicked
        ,
        style: {
          position: 'absolute',
          top: '50%',
          right: '-50px',
          transform: 'translateY(-50%)',
          background: 'none',
          border: 'none',
          cursor: 'pointer'
        },
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(react_icons_fa__WEBPACK_IMPORTED_MODULE_15__.FaTimes, {})
      })]
    }), isSearchFocused && recentSearches.length > 0 && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsxs)("div", {
      className: "recent-searches-box",
      style: {
        position: 'absolute',
        top: '100%',
        width: '550px',
        background: '#fff',
        border: '1px solid #ccc',
        borderRadius: '5px',
        marginTop: '1px',
        marginRight: '50px',
        padding: '2px'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("h4", {
        style: {
          margin: '0 0 0px',
          padding: '1px'
        },
        children: "Recent Searches"
      }), recentSearches.map((recentSearch, index) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)("div", {
        className: "recent-search-item",
        style: {
          padding: '5px',
          cursor: 'pointer'
        },
        onClick: () => {
          setSearchQuery(recentSearch);
          setIsSearchFocused(false);
        },
        children: recentSearch
      }, index))]
    })]
  });
};

ProjectsPage.path = "/projects";
ProjectsPage.exact = true;

ProjectsPage.routes = ({
  store
}) => [{
  //title: store.project?.title,
  // set the title to empty string to remove the route title from the page
  title: "",
  path: "/:id(\\d+)",
  exact: true,
  component: () => {
    const params = (0,react_router__WEBPACK_IMPORTED_MODULE_16__.useParams)();
    return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.Fragment, {
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_14__.jsx)(react_router__WEBPACK_IMPORTED_MODULE_16__.Redirect, {
        to: `/projects/${params.id}/data`
      })
    });
  },
  pages: {
    DataManagerPage: _DataManager_DataManager__WEBPACK_IMPORTED_MODULE_10__.DataManagerPage,
    SettingsPage: _Settings__WEBPACK_IMPORTED_MODULE_11__.SettingsPage
  }
}];

/***/ }),

/***/ "./src/pages/Projects/ProjectsList.js":
/*!********************************************!*\
  !*** ./src/pages/Projects/ProjectsList.js ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "EmptyProjectsList": () => (/* binding */ EmptyProjectsList),
/* harmony export */   "EmptySearchList": () => (/* binding */ EmptySearchList),
/* harmony export */   "ProjectsList": () => (/* binding */ ProjectsList)
/* harmony export */ });
/* harmony import */ var chroma_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! chroma-js */ "./node_modules/chroma-js/chroma.js");
/* harmony import */ var chroma_js__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(chroma_js__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var date_fns__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! date-fns */ "./node_modules/date-fns/esm/format/index.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! react-router-dom */ "./node_modules/react-router-dom/esm/react-router-dom.js");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../components */ "./src/components/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var react_icons_io__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! react-icons/io */ "./node_modules/react-icons/io/index.esm.js");
/* harmony import */ var _components_Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../components/Tooltip/Tooltip */ "./src/components/Tooltip/Tooltip.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");













const ProjectsList = ({
  projects,
  currentPage,
  totalItems,
  totalPages,
  loadNextPage,
  pageSize,
  searchQuery,
  setSearchQuery
}) => {
  const startIndex = (currentPage - 1) * pageSize;
  const endIndex = startIndex + pageSize; // Slice the projects array to display only the projects for the current page

  const visibleProjects = projects.slice(startIndex, endIndex);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.Fragment, {
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
      name: "projects-container",
      children: [searchQuery && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
        name: "search-query",
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("button", {
          className: "clear-button",
          onClick: () => setSearchQuery(''),
          style: {
            border: '1px solid #1a73e8',
            backgroundColor: 'white',
            color: '#1a73e8',
            padding: '8px 12px',
            cursor: 'pointer',
            display: 'flex'
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("span", {
            className: "back-icon",
            style: {
              marginRight: '5px'
            },
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(react_icons_io__WEBPACK_IMPORTED_MODULE_8__.IoMdArrowRoundBack, {})
          }), " Back to All Projects"]
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("h3", {
          children: ["Search For \"", searchQuery, "\""]
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
        name: "list",
        children: visibleProjects.map(project => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(ProjectCard, {
          project: project
        }, project.id))
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
        name: "pages",
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components__WEBPACK_IMPORTED_MODULE_3__.Pagination, {
          name: "projects-list" //label="Projects"
          ,
          page: currentPage,
          totalItems: totalItems,
          urlParamName: "page",
          pageSize: pageSize //pageSizeOptions={[10, 30, 50, 100]}
          ,
          onPageLoad: (page, pageSize) => loadNextPage(page, pageSize),
          totalPages: totalPages,
          customRender: () => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("div", {
            className: "project-container",
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("div", {
              className: "project-list",
              children: projects.map(project => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(ProjectCard, {
                project: project
              }, project.id))
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("div", {
              className: "pagination-container",
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("button", {
                className: "pagination-button",
                onClick: () => loadNextPage(1),
                disabled: currentPage === 1,
                children: "<<"
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("button", {
                className: "pagination-button",
                onClick: () => loadNextPage(currentPage - 1),
                disabled: currentPage === 1,
                children: "<"
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("span", {
                className: "pagination-text",
                children: [currentPage, " of ", totalPages, " page"]
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("button", {
                className: "pagination-button",
                onClick: () => loadNextPage(currentPage + 1),
                disabled: currentPage === totalPages,
                children: ">"
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("button", {
                className: "pagination-button",
                onClick: () => loadNextPage(totalPages),
                disabled: currentPage === totalPages,
                children: ">>"
              })]
            })]
          })
        })
      })]
    })
  });
};
const EmptyProjectsList = ({
  openModal
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Block, {
    name: "empty-projects-page",
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
      name: "heidi",
      tag: "img",
      src: (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_5__.absoluteURL)("/static/icons/slack.jpg")
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
      name: "header",
      tag: "h1",
      children: "Data Studio doesn\u2019t see any projects here"
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("p", {
      children: "Create one and start labeling your data"
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
      name: "action",
      tag: _components__WEBPACK_IMPORTED_MODULE_3__.Button,
      onClick: openModal,
      look: "primary",
      children: "Create New Project"
    })]
  });
};
const EmptySearchList = ({
  searchQuery,
  setSearchQuery
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Block, {
    name: "empty-search-page",
    children: [searchQuery && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
      name: "search-query",
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("button", {
        className: "clear-button",
        onClick: () => setSearchQuery(''),
        style: {
          border: '1px solid #1a73e8',
          backgroundColor: 'white',
          color: '#1a73e8',
          padding: '8px 12px',
          cursor: 'pointer',
          display: 'flex',
          margin: '8px'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("span", {
          className: "back-icon",
          style: {
            marginRight: '5px'
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(react_icons_io__WEBPACK_IMPORTED_MODULE_8__.IoMdArrowRoundBack, {})
        }), " Back to All Projects"]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("h3", {
        children: ["Search For \"", searchQuery, "\""]
      })]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
      name: "error404",
      tag: "img",
      src: (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_5__.absoluteURL)("/static/icons/slack.svg")
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
      name: "header",
      tag: "p",
      children: ["Nothing found for the query \"", searchQuery, "\". Please try again with another search query."]
    })]
  });
};

const ProjectCard = ({
  project
}) => {
  var _project$title; // const isContributor = project.contributors.some(contributor => contributor.id === currentUser.id);


  const projectStatus = project.is_public ? "Public" : "Private";
  console.log({
    projectStatus,
    p: project,
    projectISpublic: project.is_public
  }); // const progress = useMemo(() => {
  //   return project.task_number > 0 ? (project.finished_task_number / project.task_number * 100).toFixed(0) : 0;
  // }, [project]);
  // const headerStyle = useMemo(() => {
  //   const backgroundColor = progress < 50 ? 'lightcoral' : progress < 75 ? 'lightyellow' : 'lightgreen';
  //   return {
  //     background: `linear-gradient(to right, ${backgroundColor} ${progress}%, transparent ${progress}%)`,
  //   };
  // }, [progress]);

  const color = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
    return project.color === '#FFFFFF' ? null : project.color;
  }, [project]);
  const projectColors = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
    return color ? {
      '--header-color': color,
      '--background-color': chroma_js__WEBPACK_IMPORTED_MODULE_0___default()(color).alpha(0.2).css()
    } : {};
  }, [color]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
    tag: react_router_dom__WEBPACK_IMPORTED_MODULE_9__.NavLink,
    name: "link",
    to: `/projects/${project.id}/data`,
    "data-external": true,
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Block, {
      name: "project-card",
      mod: {
        colored: !!color
      },
      style: projectColors,
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
        name: "header",
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
          name: "title",
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
            name: "title-text",
            children: (_project$title = project.title) !== null && _project$title !== void 0 ? _project$title : "New project"
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
            name: "title-created-by",
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components__WEBPACK_IMPORTED_MODULE_3__.Userpic, {
              src: "#",
              user: project.created_by,
              showUsername: true
            })
          })]
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
          name: "description",
          children: project.description
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
          name: "status",
          children: projectStatus
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
        name: "info",
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
          name: "summary",
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
            name: "annotation",
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
              name: "total",
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_2__.IconDone, {}), project.finished_task_number, " of ", project.task_number, " tasks completed"]
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
              name: "detail",
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_6__.Tooltip, {
                title: "Annotation",
                children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                  name: "detail-item",
                  mod: {
                    type: "completed"
                  },
                  children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                    tag: _assets_icons__WEBPACK_IMPORTED_MODULE_2__.annotation,
                    name: "icon"
                  }), project.total_annotations_number]
                })
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_6__.Tooltip, {
                title: "Skipped",
                children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                  name: "detail-item",
                  mod: {
                    type: "rejected"
                  },
                  children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                    tag: _assets_icons__WEBPACK_IMPORTED_MODULE_2__.ban,
                    name: "icon"
                  }), project.skipped_annotations_number]
                })
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_6__.Tooltip, {
                title: "Predictions",
                children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                  name: "detail-item",
                  mod: {
                    type: "predictions"
                  },
                  children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                    tag: _assets_icons__WEBPACK_IMPORTED_MODULE_2__.spark,
                    name: "icon"
                  }), project.total_predictions_number]
                })
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
                name: "menu",
                onClick: e => {
                  e.stopPropagation();
                  e.preventDefault();
                },
                children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components__WEBPACK_IMPORTED_MODULE_3__.Dropdown.Trigger, {
                  content: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_components__WEBPACK_IMPORTED_MODULE_3__.Menu, {
                    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components__WEBPACK_IMPORTED_MODULE_3__.Menu.Item, {
                      href: `/projects/${project.id}/settings`,
                      children: "Settings"
                    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components__WEBPACK_IMPORTED_MODULE_3__.Menu.Item, {
                      href: `/projects/${project.id}/data?labeling=1`,
                      children: "Label"
                    })]
                  }),
                  children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components__WEBPACK_IMPORTED_MODULE_3__.Button, {
                    size: "large",
                    type: "text",
                    icon: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_2__.LsEllipsis, {})
                  })
                })
              })]
            })]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_4__.Elem, {
            name: "created-date",
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_2__.IconTime, {}), (0,date_fns__WEBPACK_IMPORTED_MODULE_10__["default"])(new Date(project.created_at), "dd/MM/yyyy 'at' HH:mm")]
          })]
        })
      })]
    })
  });
};

/***/ }),

/***/ "./src/pages/Settings/ContributionSettings.js":
/*!****************************************************!*\
  !*** ./src/pages/Settings/ContributionSettings.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ContributionSettings": () => (/* binding */ ContributionSettings)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var _contribution_styl__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./contribution.styl */ "./src/pages/Settings/contribution.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");

 // Import useProject hook




const ContributionSettings = () => {
  const [users, setUsers] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)([]);
  const [selectedUsers, setSelectedUsers] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)([]);
  const [isLoading, setIsLoading] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(true);
  const [error, setError] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);
  const [contributors, setContributors] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)([]);
  const {
    project
  } = (0,_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_1__.useProject)(); // Use the useProject hook

  const projectId = project ? project.id : null; // Get projectId from the project context

  console.log('ProjectId:', projectId);
  const organizationId = 1; // Get projectId from the project context

  const fetchUsers = async () => {
    if (!projectId) {
      return;
    }

    setIsLoading(true);
    let allUsers = [];
    let nextPageUrl = `/api/organizations/${organizationId}/memberships`;

    try {
      const response = await fetch(nextPageUrl);

      if (!response.ok) {
        throw new Error(`Network response was not ok: ${response.status}`);
      }

      const data = await response.json();
      const processedUsers = data.results.map(user => {
        const name = user.user.first_name || user.user.last_name ? `${user.user.first_name || ''} ${user.user.last_name || ''}`.trim() : user.user.email.split('@')[0]; // Use email before '@' if name is not available

        return {
          member_id: user.user.id,
          name: name
        };
      });
      allUsers = allUsers.concat(processedUsers);
      setUsers(allUsers);
    } catch (error) {
      setError(error);
    } finally {
      setIsLoading(false);
    }
  };

  const fetchContributors1 = async () => {
    try {
      const response = await fetch(`/api/projects/${projectId}/contributors/`);

      if (!response.ok) {
        throw new Error(`HTTP error! Status: ${response.status}`);
      }

      const data = await response.json();
      console.log('Contributors:', data);
      setContributors(data.map(contributor => ({
        member_id: contributor.user_id,
        name: `${contributor.username}`.trim()
      })));
    } catch (error) {
      console.error('Error fetching contributors:', error);
      setError(error);
    }
  };

  const fetchContributors = async () => {
    if (!projectId) {
      return;
    }

    try {
      const response = await fetch(`/api/projects/${projectId}/contributors/`);

      if (!response.ok) {
        throw new Error(`HTTP error! Status: ${response.status}`);
      }

      const data = await response.json();
      console.log('Contributors:', data);
      setContributors(data.map(contributor => ({
        // member_id: contributor.user.user_id,
        // name: `${contributor.user.first_name || ''} ${contributor.user.last_name || ''}`.trim(),
        member_id: contributor.user_id,
        name: contributor.name
      }))); // Use the data directly as it contains user names and IDs

      console.log('Contributors:', contributors);
    } catch (error) {
      setError(error);
    }
  }; // const fetchData = async () => {
  //     if (projectId) {
  //         // Fetch users and contributors
  //         await fetchUsers();
  //         await fetchContributors();
  //     } else {
  //         console.log('Project ID is not available yet');
  //     }
  // }, ;
  // useEffect(() => {
  //     fetchData().finally(() => setIsLoading(false));
  // }, [project.id]);


  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (projectId) {
      fetchUsers();
      fetchContributors();
    } else {
      console.log('Waiting for projectId...');
    }
  }, [projectId]); // useEffect(() => {
  //     fetchUsers();
  //     fetchContributors();
  // }, []);

  const handleCheckboxChange = user => {
    setSelectedUsers(prev => {
      if (prev.find(u => u.member_id === user.member_id)) {
        return prev.filter(u => u.member_id !== user.member_id);
      } else {
        return [...prev, user];
      }
    });
  };

  const handleButtonClick = async () => {
    const apiEndpoint = `/api/projects/${project.id}/add_contributors`; // Use projectId in the API endpoint

    const requestOptions = {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json'
      },
      body: JSON.stringify({
        user_ids: selectedUsers.map(user => user.member_id)
      })
    };

    try {
      const response = await fetch(apiEndpoint, requestOptions);

      if (!response.ok) {
        const errorData = await response.json();
        throw new Error(`errorData.message || HTTP error! Status: ${response.status}`);
      } // Fetch and log the response data


      const responseData = await response.json();
      console.log('Contributors added:', responseData);
      console.log('Contributors updated successfully');
      setSelectedUsers([]);
      fetchUsers(); // Update the UI with the new list of contributors

      fetchContributors();
    } catch (error) {
      console.error('Error updating contributors:', error);
      setError(error);
    }
  };

  const handleRemoveAllContributors = async () => {
    const apiEndpoint = `/api/projects/${project.id}/remove_contributors/`; // Ensure this matches your Django URL configuration

    const requestOptions = {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json'
      },
      body: JSON.stringify({
        user_ids: contributors.map(contributor => contributor.member_id)
      })
    };

    try {
      const response = await fetch(apiEndpoint, requestOptions);

      if (!response.ok) {
        const errorData = await response.json();
        throw new Error(errorData.message || `HTTP error! Status: ${response.status}`);
      }

      console.log('Contributors removed successfully');
      setSelectedUsers([]); // Reset selected users

      fetchUsers(); // Fetch the updated list of users

      fetchContributors(); // Fetch the updated list of contributors
    } catch (error) {
      console.error('Error removing contributors:', error);
      setError(error); // Set error to show error message to user
    }
  };

  if (isLoading) {
    return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
      children: "Loading..."
    });
  }

  if (error) {
    return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)("div", {
      children: ["Error: ", error.message]
    });
  }

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
    className: "contribution-settings",
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)("div", {
      className: "contribution-settings__wrapper",
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
        className: "contribution-settings__title",
        children: "Contribution Settings"
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
        className: "user-list",
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("ul", {
          className: "contribution-settings__list",
          children: users.map(user => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)("li", {
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("input", {
              type: "checkbox",
              className: "contribution-settings__checkbox",
              checked: selectedUsers.some(u => u.member_id === user.member_id),
              onChange: () => handleCheckboxChange(user)
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("span", {
              className: "contribution-settings__user-name",
              children: user.name
            })]
          }, user.member_id))
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
        className: "selected-user-list",
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("ul", {
          children: selectedUsers.map(user => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("li", {
            children: user.name
          }, user.member_id))
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("button", {
        className: "contribution-settings__button",
        onClick: handleButtonClick,
        children: "Add Selected to Contributors"
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)("div", {
        className: "contributor-list",
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("h3", {
          children: "Current Contributors"
        }), contributors.length > 0 ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("ul", {
          children: contributors.map(contributor => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("li", {
            children: contributor.name
          }, contributor.member_id))
        }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
          children: "No contributors found"
        })]
      }), contributors.length > 0 && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("button", {
        className: "contribution-settings__button",
        onClick: handleRemoveAllContributors,
        children: "Remove All Contributors"
      })]
    })
  });
};
ContributionSettings.menuItem = "Contribution";
ContributionSettings.path = "/contribution";
ContributionSettings.exact = true;

/***/ }),

/***/ "./src/pages/Settings/DangerZone.js":
/*!******************************************!*\
  !*** ./src/pages/Settings/DangerZone.js ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "DangerZone": () => (/* binding */ DangerZone)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! react-router */ "./node_modules/react-router/esm/react-router.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components */ "./src/components/index.js");
/* harmony import */ var _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../components/ProjectMenu/ProjectMenu */ "./src/components/ProjectMenu/ProjectMenu.js");
/* harmony import */ var _components_Description_Description__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../components/Description/Description */ "./src/components/Description/Description.js");
/* harmony import */ var _components_Form__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../components/Form */ "./src/components/Form/index.js");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _components_Space_Space__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../components/Space/Space */ "./src/components/Space/Space.js");
/* harmony import */ var _components_Spinner_Spinner__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../components/Spinner/Spinner */ "./src/components/Spinner/Spinner.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var react_icons_md__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! react-icons/md */ "./node_modules/react-icons/md/index.esm.js");
/* harmony import */ var _providers_ConfigProvider__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../../providers/ConfigProvider */ "./src/providers/ConfigProvider.js");
/* harmony import */ var _components_Userpic_UserInfo__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../components/Userpic/UserInfo */ "./src/components/Userpic/UserInfo.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");
















const DangerZone = () => {
  const {
    project
  } = (0,_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_9__.useProject)();
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_8__.useAPI)();
  const history = (0,react_router__WEBPACK_IMPORTED_MODULE_13__.useHistory)(); // const currentUser = useCurrentUser();

  const [processing, setProcessing] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);
  const currentUser = (0,_providers_ConfigProvider__WEBPACK_IMPORTED_MODULE_10__.useConfig)();
  const [isCreator, setIsCreator] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const [isPublic, setIsPublic] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false); // const currentUserId = currentUser?.user?.id ?? null;
  // const projectCreatorId = project.created_by;
  // const projectIDs = project?.created_by?.id ?? null;
  // const projectIDs = project.created_by.id;
  // const currentUserId = currentUser.user.id;
  // const isCreator = currentUserId === projectIDs;
  // const [isCreator, setIsCreator] = useState(false);
  // const [isPublic, setIsPublic] = useState(project?.is_public ?? false);
  // console.log('DangerZone projectCreatorId:', projectCreatorId);
  // console.log('DangerZone currentUserId:', currentUserId);
  // console.log('DangerZone currentUser:', currentUser);
  // // const isCurrentUserCreator = project.created_by.id === currentUser;
  // console.log('isCurrentUserCreator:', project.created_by);
  // console.log('isCurrentUserCreator:', projectIDs);
  // useEffect(() => {
  //   if (project && currentUser?.user) {
  //     setIsPublic(project.is_public);
  //     setIsCreator(currentUserId === projectIDs);
  //     setIsLoading(false);
  //   }
  // }, [currentUser, project]);
  // useEffect(() => {
  //   if (project && currentUser?.user) {
  //       setIsPublic(project.is_public);
  //       setIsCreator(currentUser.user.id === project.created_by?.id);
  //   }
  // }, [project, currentUser]);

  if (!project || !(currentUser !== null && currentUser !== void 0 && currentUser.user)) {
    return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(_components_Spinner_Spinner__WEBPACK_IMPORTED_MODULE_7__.Spinner, {
      size: 32
    });
  }

  const handleOnClick = type => () => {
    (0,_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_5__.confirm)({
      title: "Action confirmation",
      body: "You're about to delete all things. This action cannot be undone.",
      okText: "Proceed",
      buttonLook: "destructive",
      onOk: async () => {
        setProcessing(type);

        if (type === 'annotations') {// console.log('delete annotations');
        } else if (type === 'tasks') {// console.log('delete tasks');
        } else if (type === 'predictions') {// console.log('delete predictions');
        } else if (type === 'tabs') {
          await api.callApi('deleteTabs', {
            body: {
              project: project.id
            }
          });
        } else if (type === 'project') {
          await api.callApi('deleteProject', {
            params: {
              pk: project.id
            }
          });
          history.replace('/projects');
        }

        setProcessing(null);
      }
    });
  };

  const toggleVisibility = async () => {
    // if (!isCreator) return;
    setProcessing(true);

    try {
      await api.callApi('updateProject', {
        params: {
          pk: project === null || project === void 0 ? void 0 : project.id
        },
        body: {
          is_public: !isPublic
        }
      });
      setIsPublic(!isPublic); // Update the local state to reflect the change
    } catch (error) {
      console.error('Error updating project visibility:', error);
    }

    setProcessing(false);
  }; // if (isLoading) {
  //   return <Spinner size={32} />; // Or any other loading indicator you prefer
  // }


  const cardStyle = {
    width: '45%',
    margin: 'auto',
    backgroundColor: '#f6f6f6',
    border: '1px solid #D1D3D6',
    marginBottom: '10px'
  };
  const headerStyle = {
    background: '#E6E6E6',
    color: '#616161',
    padding: '5px 10px',
    textAlign: 'start'
  };
  const contentStyle = {
    padding: '10px',
    textAlign: 'start'
  }; // return (
  //   <div style={{ /* styling code */ }}>
  //     {/* ... existing cards ... */}
  //     {/* Visibility Toggle Card */}
  //     <div style={{ /* card styling code */ }}>
  //       <Description>
  //         <div style={{ /* styling code */ }}>
  //           <p style={{ /* styling code */ }}>
  //             <MdInfo size={18} />Toggle project visibility between public and private.
  //           </p>
  //         </div>
  //       </Description>
  //       <div style={{ /* styling code */ }}>
  //         <div style={{ /* styling code */ }}>
  //           Project Visibility
  //         </div>
  //         <div style={{ /* styling code */ }}>
  //           {isPublic ? "This project is currently public." : "This project is currently private."}
  //           <Button onClick={toggleVisibility} look="primary">
  //             {isPublic ? "Make Private" : "Make Public"}
  //           </Button>
  //         </div>
  //       </div>
  //     </div>
  //   </div>
  // );

  const buttons = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => [{
    type: 'annotations',
    disabled: true,
    //&& !project.total_annotations_number,
    label: `Delete ${project.total_annotations_number} Annotations`
  }, {
    type: 'tasks',
    disabled: true,
    //&& !project.task_number,
    label: `Delete ${project.task_number} Tasks`
  }, {
    type: 'predictions',
    disabled: true,
    //&& !project.total_predictions_number,
    label: `Delete ${project.total_predictions_number} Predictions`
  }, {
    type: 'tabs',
    label: `Drop`
  }, {
    type: 'project',
    label: 'Delete Project'
  }], [project]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("div", {
    style: {
      width: '100%',
      maxWidth: '95%',
      display: 'flex',
      margin: 'auto',
      marginBottom: '20px',
      //backgroundColor: '#f6f6f6',
      //border: '1px solid #f6f6f6',
      padding: '20px',
      borderRadius: '5px',
      //boxShadow: 'rgba(0, 0, 0, 0.1) 0px 4px 6px',
      color: 'rgb(51, 51, 51)',
      fontSize: '16px'
    },
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("div", {
      style: {
        width: '45%',
        margin: 'auto',
        backgroundColor: '#f6f6f6',
        border: '1px solid #D1D3D6',
        marginBottom: '10px'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(_components_Description_Description__WEBPACK_IMPORTED_MODULE_3__.Description, {
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)("div", {
          style: {
            padding: '3px',
            width: '95%',
            color: '#D72C0D',
            backgroundColor: '#FFF6F4',
            fontSize: '12px',
            boxSizing: 'border-box',
            borderRadius: '20px',
            boxShadow: '0px 0px 0px 0px',
            margin: 'auto'
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("p", {
            style: {
              display: 'flex',
              alignItems: 'center',
              margin: 'auto',
              gap: '5px',
              lineHeight: '1rem'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(react_icons_md__WEBPACK_IMPORTED_MODULE_14__.MdInfo, {
              size: 18
            }), "Dropping all tabs cannot be reverted. Perform this action at your own risk."]
          })
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(_components_Userpic_UserInfo__WEBPACK_IMPORTED_MODULE_11__.UserInfo, {
        user: currentUser.user
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("div", {
        style: {
          width: '95%',
          margin: '10px auto',
          border: '1px solid #D1D3D6'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)("div", {
          style: {
            background: '#E6E6E6',
            color: '#616161',
            padding: '5px 10px',
            textAlign: 'start'
          },
          children: "Drop all tabs"
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("div", {
          style: {
            padding: '10px',
            textAlign: 'start'
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)("div", {
            children: "Are you sure you want to drop all tabs?"
          }), project.id ?
          /*#__PURE__*/
          // isCurrentUserCreator &&
          (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_6__.Space, {
            direction: "vertical",
            spread: true,
            style: {
              marginTop: 32,
              display: 'flex'
            },
            children: buttons.filter(btn => btn.type === 'tabs').map(btn => {
              const waiting = processing === btn.type;
              const disabled = btn.disabled || processing && !waiting;
              return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
                look: "danger",
                disabled: disabled,
                waiting: waiting,
                onClick: handleOnClick(btn.type),
                children: btn.label
              }, btn.type);
            })
          }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)("div", {
            style: {
              display: "flex",
              justifyContent: "center",
              marginTop: 32
            },
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(_components_Spinner_Spinner__WEBPACK_IMPORTED_MODULE_7__.Spinner, {
              size: 32
            })
          })]
        })]
      })]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("div", {
      style: {
        width: '45%',
        margin: 'auto',
        backgroundColor: '#f6f6f6',
        border: '1px solid #D1D3D6',
        marginBottom: '10px'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(_components_Description_Description__WEBPACK_IMPORTED_MODULE_3__.Description, {
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)("div", {
          style: {
            padding: '3px',
            width: '95%',
            color: '#D72C0D',
            backgroundColor: '#FFF6F4',
            fontSize: '12px',
            boxSizing: 'border-box',
            borderRadius: '20px',
            boxShadow: '0px 0px 0px 0px',
            margin: 'auto'
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("p", {
            style: {
              display: 'flex',
              alignItems: 'center',
              margin: 'auto',
              gap: '5px',
              lineHeight: '1rem'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(react_icons_md__WEBPACK_IMPORTED_MODULE_14__.MdInfo, {
              size: 18
            }), "Deleting a project can not be reverted. Make sure your data is backed up."]
          })
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("div", {
        style: {
          width: '95%',
          margin: '10px auto',
          border: '1px solid #D1D3D6'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)("div", {
          style: {
            background: '#E6E6E6',
            color: '#616161',
            padding: '5px 10px',
            textAlign: 'start'
          },
          children: "Delete this project"
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("div", {
          style: {
            padding: '10px',
            textAlign: 'start'
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)("div", {
            children: "Are you sure you want to delete this project and all its data?"
          }), project.id ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_6__.Space, {
            direction: "vertical",
            spread: true,
            style: {
              marginTop: 32,
              display: 'flex'
            },
            children: buttons.filter(btn => btn.type === 'project').map(btn => {
              const waiting = processing === btn.type;
              const disabled = btn.disabled || processing && !waiting;
              return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
                look: "danger",
                disabled: disabled,
                waiting: waiting,
                onClick: handleOnClick(btn.type),
                children: btn.label
              }, btn.type);
            })
          }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)("div", {
            style: {
              display: "flex",
              justifyContent: "center",
              marginTop: 32
            },
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(_components_Spinner_Spinner__WEBPACK_IMPORTED_MODULE_7__.Spinner, {
              size: 32
            })
          })]
        })]
      })]
    }), project.id ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("div", {
      style: cardStyle,
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(_components_Description_Description__WEBPACK_IMPORTED_MODULE_3__.Description, {
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)("div", {
          style: {
            padding: '3px',
            width: '95%',
            color: '#D72C0D',
            backgroundColor: '#FFF6F4',
            fontSize: '12px',
            margin: 'auto'
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("p", {
            style: {
              display: 'flex',
              alignItems: 'center',
              gap: '5px'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(react_icons_md__WEBPACK_IMPORTED_MODULE_14__.MdInfo, {
              size: 18
            }), "Toggle project visibility between public and private."]
          })
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("div", {
        style: contentStyle,
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)("div", {
          style: headerStyle,
          children: "Project Visibility"
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("div", {
          children: [isPublic ? "This project is currently public." : "This project is currently private.", /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_6__.Space, {
            direction: "vertical",
            spread: true,
            style: {
              marginTop: 32,
              display: 'flex'
            },
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
              onClick: toggleVisibility,
              look: "primary",
              disabled: processing,
              children: isPublic ? "Make Private" : "Make Public"
            })
          })]
        })]
      })]
    }) :
    /*#__PURE__*/
    //give message that user is not creator
    (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("div", {
      style: cardStyle,
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(_components_Description_Description__WEBPACK_IMPORTED_MODULE_3__.Description, {
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)("div", {
          style: {
            padding: '3px',
            width: '95%',
            color: '#D72C0D',
            backgroundColor: '#FFF6F4',
            fontSize: '12px',
            margin: 'auto'
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("p", {
            style: {
              display: 'flex',
              alignItems: 'center',
              gap: '5px'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(react_icons_md__WEBPACK_IMPORTED_MODULE_14__.MdInfo, {
              size: 18
            }), "Toggle project visibility between public and private."]
          })
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("div", {
        style: contentStyle,
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)("div", {
          style: headerStyle,
          children: "Project Visibility"
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)("div", {
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsxs)("p", {
            style: {
              display: 'flex',
              alignItems: 'center',
              gap: '5px'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(react_icons_md__WEBPACK_IMPORTED_MODULE_14__.MdInfo, {
              size: 18
            }), "Only the creator of this project can change the visibility."]
          })
        })]
      })]
    })]
  });
};
DangerZone.title = "Manage Project";
DangerZone.context = _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_2__.ProjectMenu;
DangerZone.path = "/danger-zone";

/***/ }),

/***/ "./src/pages/Settings/GeneralSettings.js":
/*!***********************************************!*\
  !*** ./src/pages/Settings/GeneralSettings.js ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "GeneralSettings": () => (/* binding */ GeneralSettings)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components_Menubar_Menubar__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components/Menubar/Menubar */ "./src/components/Menubar/Menubar.js");
/* harmony import */ var _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../components/ProjectMenu/ProjectMenu */ "./src/components/ProjectMenu/ProjectMenu.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../components */ "./src/components/index.js");
/* harmony import */ var _components_Form__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../components/Form */ "./src/components/Form/index.js");
/* harmony import */ var _components_Form_Elements_RadioGroup_RadioGroup__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../components/Form/Elements/RadioGroup/RadioGroup */ "./src/components/Form/Elements/RadioGroup/RadioGroup.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _settings_styl__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./settings.styl */ "./src/pages/Settings/settings.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");











const GeneralSettings = () => {
  const {
    project,
    fetchProject
  } = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_6__.ProjectContext);
  const pageContext = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_components_Menubar_Menubar__WEBPACK_IMPORTED_MODULE_1__.MenubarContext);
  const formRef = react__WEBPACK_IMPORTED_MODULE_0__.useRef();
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    pageContext.setProps({
      formRef
    });
  }, [formRef]);
  const updateProject = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    if (project.id) fetchProject(project.id, true);
  }, [project]);
  const colors = ['#FFFFFF', '#F52B4F', '#FA8C16', '#F6C549', '#9ACA4F', '#51AAFD', '#7F64FF', '#D55C9D'];
  const samplings = [{
    value: "Sequential",
    label: "Sequential",
    description: "Tasks are ordered by Data manager ordering"
  }, {
    value: "Uniform",
    label: "Random",
    description: "Tasks are chosen with uniform random"
  }];
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
    className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_7__.cn)("simple-settings"),
    style: {
      width: '100%',
      maxWidth: '95%',
      margin: 'auto',
      marginBottom: '20px',
      //backgroundColor: '#f6f6f6',
      //border: '1px solid #f6f6f6',
      padding: '20px',
      borderRadius: '5px',
      //boxShadow: 'rgba(0, 0, 0, 0.1) 0px 4px 6px',
      color: 'rgb(51, 51, 51)',
      fontSize: '16px'
    },
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_7__.Block, {
      name: "general-settings",
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_7__.Elem, {
        name: 'wrapper',
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_4__.Form, {
          ref: formRef,
          action: "updateProject",
          formData: { ...project
          },
          params: {
            pk: project.id
          },
          onSubmit: updateProject,
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
            className: "general-settings-container",
            style: {
              display: 'flex',
              flexDirection: 'row',
              alignItems: 'center',
              justifyContent: 'space-evenly'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
              className: "form-input-container",
              style: {
                width: '100%',
                maxWidth: '528px',
                marginBottom: '20px',
                backgroundColor: '#ffffff',
                border: '1px solid #ddd',
                padding: '20px',
                borderRadius: '5px',
                boxShadow: '0 4px 6px rgba(0, 0, 0, 0.1)',
                color: '#333',
                fontSize: '16px'
              },
              children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_4__.Form.Row, {
                columnCount: 1,
                rowGap: "0px",
                children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_4__.Input, {
                  name: "title",
                  label: "Project Name",
                  labelProps: {
                    large: true
                  }
                }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_4__.TextArea, {
                  name: "description",
                  label: "Description",
                  labelProps: {
                    large: true
                  },
                  style: {
                    minHeight: 128
                  }
                })]
              })
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
              className: "radiogroup-container",
              style: {
                width: '100%',
                maxWidth: '528px',
                marginBottom: '20px',
                backgroundColor: '#ffffff',
                border: '1px solid #ddd',
                padding: '20px',
                borderRadius: '5px',
                boxShadow: '0 4px 6px rgba(0, 0, 0, 0.1)',
                color: '#333',
                fontSize: '16px'
              },
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components_Form_Elements_RadioGroup_RadioGroup__WEBPACK_IMPORTED_MODULE_5__.RadioGroup, {
                name: "color",
                label: "Color",
                size: "large",
                labelProps: {
                  size: "large"
                },
                children: colors.map(color => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components_Form_Elements_RadioGroup_RadioGroup__WEBPACK_IMPORTED_MODULE_5__.RadioGroup.Button, {
                  value: color,
                  children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_7__.Block, {
                    name: "color",
                    style: {
                      '--background': color
                    }
                  })
                }, color))
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components_Form_Elements_RadioGroup_RadioGroup__WEBPACK_IMPORTED_MODULE_5__.RadioGroup, {
                label: "Task Sampling",
                labelProps: {
                  size: "large"
                },
                name: "sampling",
                simple: true,
                children: samplings.map(({
                  value,
                  label,
                  description
                }) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components_Form_Elements_RadioGroup_RadioGroup__WEBPACK_IMPORTED_MODULE_5__.RadioGroup.Button, {
                  value: `${value} sampling`,
                  label: `${label} sampling`,
                  description: description
                }, value))
              })]
            })]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_4__.Form.Actions, {
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_4__.Form.Indicator, {
              children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("span", {
                case: "success",
                children: "Saved!"
              })
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components__WEBPACK_IMPORTED_MODULE_3__.Button, {
              type: "submit",
              look: "primary",
              style: {
                width: 120,
                marginRight: 27
              },
              children: "Save"
            })]
          })]
        })
      })
    })
  });
};
GeneralSettings.menuItem = "General";
GeneralSettings.path = "/";
GeneralSettings.context = _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_2__.ProjectMenu;
GeneralSettings.exact = true;

/***/ }),

/***/ "./src/pages/Settings/InstructionsSettings.js":
/*!****************************************************!*\
  !*** ./src/pages/Settings/InstructionsSettings.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "InstructionsSettings": () => (/* binding */ InstructionsSettings)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components/ProjectMenu/ProjectMenu */ "./src/components/ProjectMenu/ProjectMenu.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../components */ "./src/components/index.js");
/* harmony import */ var _components_Form__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../components/Form */ "./src/components/Form/index.js");
/* harmony import */ var _components_Menubar_Menubar__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../components/Menubar/Menubar */ "./src/components/Menubar/Menubar.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var react_icons_fc__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! react-icons/fc */ "./node_modules/react-icons/fc/index.esm.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");









const InstructionsSettings = () => {
  const {
    project,
    fetchProject
  } = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_5__.ProjectContext);
  const pageContext = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_components_Menubar_Menubar__WEBPACK_IMPORTED_MODULE_4__.MenubarContext);
  const formRef = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    pageContext.setProps({
      formRef
    });
  }, [formRef]);
  const updateProject = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    fetchProject(project.id, true);
  }, [project]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("div", {
    style: {
      width: '100%',
      maxWidth: '90%',
      margin: 'auto',
      marginBottom: '20px',
      backgroundColor: '#f6f6f6',
      border: '1px solid #f6f6f6',
      padding: '20px',
      borderRadius: '5px',
      boxShadow: 'rgba(0, 0, 0, 0.1) 0px 4px 6px',
      color: 'rgb(51, 51, 51)',
      fontSize: '16px'
    },
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Form, {
      ref: formRef,
      action: "updateProject",
      formData: { ...project
      },
      params: {
        pk: project.id
      },
      onSubmit: updateProject,
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Form.Row, {
        columnCount: 1,
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Label, {
          text: "Labeling Instructions",
          large: true
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("div", {
          style: {
            padding: '3px',
            width: '47.7%',
            color: '#1A73E8',
            backgroundColor: '#D7E2FF',
            fontSize: '14px',
            boxSizing: 'border-box',
            borderRadius: '20px',
            boxShadow: '0px 0px 0px 0px',
            marginLeft: '17px'
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("p", {
            style: {
              display: 'flex',
              alignItems: 'center',
              margin: 'auto',
              gap: '5px',
              lineHeight: '1rem'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(react_icons_fc__WEBPACK_IMPORTED_MODULE_7__.FcInfo, {
              size: 20
            }), " The instruction field supports HTML markup and integrate with images and iframes (PDF)."]
          })
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Form.Row, {
        columnCount: 2,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.TextArea, {
          name: "expert_instruction",
          style: {
            minHeight: '128px',
            marginLeft: '17px'
          }
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Form.Row, {
        columnCount: 1,
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Label, {
          text: "Instructions Display",
          large: true
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("div", {
          style: {
            paddingLeft: 16
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Checkbox, {
            label: "Show instructions on labeling UI",
            name: "show_instruction",
            small: true
          })
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Form.Actions, {
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Form.Indicator, {
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("span", {
            case: "success",
            children: "Saved!"
          })
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_components__WEBPACK_IMPORTED_MODULE_2__.Button, {
          type: "submit",
          look: "primary",
          style: {
            width: 120
          },
          children: "Save Changes"
        })]
      })]
    })
  });
};
InstructionsSettings.title = "Instructions";
InstructionsSettings.path = "/instruction";
InstructionsSettings.context = _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_1__.ProjectMenu;
InstructionsSettings.alias = "instructions-settings";

/***/ }),

/***/ "./src/pages/Settings/LabelingSettings.js":
/*!************************************************!*\
  !*** ./src/pages/Settings/LabelingSettings.js ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "LabelingSettings": () => (/* binding */ LabelingSettings)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components/ProjectMenu/ProjectMenu */ "./src/components/ProjectMenu/ProjectMenu.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _CreateProject_Config_Config__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../CreateProject/Config/Config */ "./src/pages/CreateProject/Config/Config.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");







const LabelingSettings = () => {
  const {
    project,
    fetchProject
  } = (0,_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_3__.useProject)();
  const [config, setConfig] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)("");
  const [essentialDataChanged, setEssentialDataChanged] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_2__.useAPI)();
  const saveConfig = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    const res = await api.callApi("updateProjectRaw", {
      params: {
        pk: project.id
      },
      body: {
        label_config: config
      }
    });

    if (res.ok) {
      return true;
    }

    const error = await res.json();
    fetchProject();
    return error;
  }, [project, config]);
  const projectAlreadySetUp = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    if (project.label_config) {
      const hasConfig = !(0,_utils_helpers__WEBPACK_IMPORTED_MODULE_4__.isEmptyString)(project.label_config);
      const configIsEmpty = project.label_config.replace(/\s/g, '') === '<View></View>';
      const hasTasks = project.task_number > 0;
      console.log({
        hasConfig,
        configIsEmpty,
        hasTasks,
        project
      });
      return hasConfig && !configIsEmpty && hasTasks;
    }

    return false;
  }, [project]);
  const onSave = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    return saveConfig();
  }, [essentialDataChanged, saveConfig]);
  const onUpdate = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(config => {
    setConfig(config);
    fetchProject();
  });
  const onValidate = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(validation => {
    setEssentialDataChanged(validation.config_essential_data_has_changed);
  }, []);
  if (!project.id) return null;
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_CreateProject_Config_Config__WEBPACK_IMPORTED_MODULE_5__.ConfigPage, {
    config: project.label_config,
    project: project,
    onUpdate: onUpdate,
    onSaveClick: onSave,
    onValidate: onValidate
  });
};
LabelingSettings.title = "Interface";
LabelingSettings.path = "/labeling";
LabelingSettings.context = _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_1__.ProjectMenu;
LabelingSettings.alias = "labeling-settings";

/***/ }),

/***/ "./src/pages/Settings/MachineLearningSettings/MachineLearningList.js":
/*!***************************************************************************!*\
  !*** ./src/pages/Settings/MachineLearningSettings/MachineLearningList.js ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "MachineLearningList": () => (/* binding */ MachineLearningList)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var truncate_middle__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! truncate-middle */ "./node_modules/truncate-middle/index.js");
/* harmony import */ var truncate_middle__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(truncate_middle__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _components_DescriptionList_DescriptionList__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../components/DescriptionList/DescriptionList */ "./src/components/DescriptionList/DescriptionList.js");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _components_Oneof_Oneof__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../components/Oneof/Oneof */ "./src/components/Oneof/Oneof.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");













const MachineLearningList = ({
  backends,
  fetchBackends,
  onEdit,
  totalCount
}) => {
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_7__.cn)('ml');
  const api = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_6__.ApiContext);
  const onDeleteModel = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async backend => {
    await api.callApi('deleteMLBackend', {
      params: {
        pk: backend.id
      }
    });
    await fetchBackends();
  }, [fetchBackends, api]);
  const onStartTraining = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async backend => {
    await api.callApi('trainMLBackend', {
      params: {
        pk: backend.id
      }
    });
    await fetchBackends();
  }, [fetchBackends, api]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
    className: rootClass,
    children: backends.map(backend => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(BackendCard, {
      backend: backend,
      onStartTrain: onStartTraining,
      onDelete: onDeleteModel,
      onEdit: onEdit
    }, backend.id))
  });
};

const BackendCard = ({
  backend,
  onStartTrain,
  onEdit,
  onDelete
}) => {
  const confirmDelete = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(backend => {
    (0,_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_4__.confirm)({
      title: "Delete ML Backend",
      body: "This action cannot be undone. Are you sure?",
      buttonLook: "destructive",

      onOk() {
        onDelete === null || onDelete === void 0 ? void 0 : onDelete(backend);
      }

    });
  }, [backend, onDelete]);
  return (
    /*#__PURE__*/
    // <Card style={{ marginTop: 0 }} header={backend.title} extra={(
    //   <div className={cn('ml').elem('info')}>
    //     <BackendState backend={backend}/>
    //     <Dropdown.Trigger align="right" content={(
    //       <Menu size="small">
    //         <Menu.Item onClick={() => onEdit(backend)}>Edit</Menu.Item>
    //         <Menu.Item onClick={() => confirmDelete(backend)}>Delete</Menu.Item>
    //       </Menu>
    //     )}>
    //       <Button type="link" icon={<FaEllipsisV/>}/>
    //     </Dropdown.Trigger>
    //   </div>
    // )}>
    //   <DescriptionList className={cn('ml').elem('summary')}>
    //     <DescriptionList.Item termStyle={{ whiteSpace: 'nowrap' }}>
    //       {truncate(backend.url, 20, 10, '...')}
    //     </DescriptionList.Item>
    //     {backend.description && (
    //       <DescriptionList.Item
    //         children={backend.description}
    //       />
    //     )}
    //     {/* <DescriptionList.Item term="Version">
    //       {backend.model_version && isValid(backend.model_version) ?
    //         format(new Date(isNaN(backend.model_version) ? backend.model_version: Number(backend.model_version)), 'MMMM dd, yyyy ∙ HH:mm:ss')
    //         : backend.model_version || 'unknown'}
    //     </DescriptionList.Item> */}
    //   </DescriptionList>
    //   <Button disabled={backend.state !== "CO"} onClick={() => onStartTrain(backend)}>
    //     Start Training
    //   </Button>
    // </Card>
    (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
      style: {
        display: 'flex',
        flexDirection: 'column',
        width: '95%'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
          style: {
            display: 'flex',
            flexDirection: 'row',
            alignItems: 'center',
            justifyContent: 'space-between'
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
            children: backend.title
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
            children: BackendState({
              backend
            })
          })]
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
        style: {
          display: 'flex',
          flexDirection: 'row',
          justifyContent: 'space-between',
          alignItems: 'center'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("p", {
            style: {
              display: 'flex',
              alignItems: 'center',
              gap: '5px'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_8__.Icondesinfo, {}), backend.description]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("p", {
            style: {
              display: 'flex',
              alignItems: 'center',
              gap: '5px'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_8__.Icondeslink, {}), truncate_middle__WEBPACK_IMPORTED_MODULE_1___default()(backend.url, 20, 10, '...')]
          })]
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
            style: {
              display: 'flex',
              flexDirection: 'row',
              gap: '10px'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("button", {
              onClick: () => onEdit(backend),
              style: {
                display: 'flex',
                alignItems: 'center',
                gap: '5px',
                border: '1px solid black'
              },
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_8__.Iconmledit, {}), " Edit"]
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("button", {
              onClick: () => confirmDelete(backend),
              style: {
                display: 'flex',
                alignItems: 'center',
                gap: '5px',
                border: '1px solid #ff0000',
                color: '#ff0000'
              },
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_8__.Iconmldelete, {}), " Delete"]
            })]
          })
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components__WEBPACK_IMPORTED_MODULE_2__.Button, {
          disabled: backend.state !== 'CO',
          onClick: () => onStartTrain(backend),
          children: "Start Training"
        })
      })]
    })
  );
};

const BackendState = ({
  backend
}) => {
  const {
    state
  } = backend;
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
    className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_7__.cn)('ml').elem('status'),
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("span", {
      className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_7__.cn)('ml').elem('indicator').mod({
        state
      })
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)(_components_Oneof_Oneof__WEBPACK_IMPORTED_MODULE_5__.Oneof, {
      value: state,
      className: (0,_utils_bem__WEBPACK_IMPORTED_MODULE_7__.cn)('ml').elem('status-label'),
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("span", {
        case: "DI",
        children: "Disconnected"
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("span", {
        case: "CO",
        children: "Connected"
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("span", {
        case: "ER",
        children: "Error"
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("span", {
        case: "TR",
        children: "Training"
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("span", {
        case: "PR",
        children: "Predicting"
      })]
    })]
  });
};

/***/ }),

/***/ "./src/pages/Settings/MachineLearningSettings/MachineLearningSettings.js":
/*!*******************************************************************************!*\
  !*** ./src/pages/Settings/MachineLearningSettings/MachineLearningSettings.js ***!
  \*******************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "MachineLearningSettings": () => (/* binding */ MachineLearningSettings)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _components_Description_Description__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../components/Description/Description */ "./src/components/Description/Description.js");
/* harmony import */ var _components_Divider_Divider__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../components/Divider/Divider */ "./src/components/Divider/Divider.js");
/* harmony import */ var _components_Error_Error__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../components/Error/Error */ "./src/components/Error/Error.js");
/* harmony import */ var _components_Error_InlineError__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../components/Error/InlineError */ "./src/components/Error/InlineError.js");
/* harmony import */ var _components_Form__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../components/Form */ "./src/components/Form/index.js");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var _MachineLearningList__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./MachineLearningList */ "./src/pages/Settings/MachineLearningSettings/MachineLearningList.js");
/* harmony import */ var _ProjectModelVersionSelector__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ./ProjectModelVersionSelector */ "./src/pages/Settings/MachineLearningSettings/ProjectModelVersionSelector.js");
/* harmony import */ var _ModelVersionSelector__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./ModelVersionSelector */ "./src/pages/Settings/MachineLearningSettings/ModelVersionSelector.js");
/* harmony import */ var _utils_feature_flags__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! ../../../utils/feature-flags */ "./src/utils/feature-flags.js");
/* harmony import */ var _MachineLearningSettings_styl__WEBPACK_IMPORTED_MODULE_14__ = __webpack_require__(/*! ./MachineLearningSettings.styl */ "./src/pages/Settings/MachineLearningSettings/MachineLearningSettings.styl");
/* harmony import */ var react_icons_fc__WEBPACK_IMPORTED_MODULE_19__ = __webpack_require__(/*! react-icons/fc */ "./node_modules/react-icons/fc/index.esm.js");
/* harmony import */ var _ModelListDropdown__WEBPACK_IMPORTED_MODULE_15__ = __webpack_require__(/*! ./ModelListDropdown */ "./src/pages/Settings/MachineLearningSettings/ModelListDropdown.js");
/* harmony import */ var _models_json__WEBPACK_IMPORTED_MODULE_16__ = __webpack_require__(/*! ./models.json */ "./src/pages/Settings/MachineLearningSettings/models.json");
/* harmony import */ var _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_17__ = __webpack_require__(/*! ../../../components/ProjectMenu/ProjectMenu */ "./src/components/ProjectMenu/ProjectMenu.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");






















const MachineLearningSettings = () => {
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_8__.useAPI)();
  const {
    project,
    fetchProject
  } = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_9__.ProjectContext);
  const [mlError, setMLError] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)();
  const [backends, setBackends] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)([]); //const [cardCount, setCardCount] = useState(backends.length);

  const [loading, setLoading] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(true);
  const [totalCount, setTotalCount] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(0);
  const [selectedBackend, setSelectedBackend] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);
  const [showModal, setShowModal] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const [selectedModel, setSelectedModel] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);
  const [showMLFormModal, setShowMLFormModal] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);

  const handleModelSelect = model => {
    setSelectedModel(model);
    setSelectedBackend(null); // Resetting the selected backend ensures the form is in "add" mode

    setShowMLFormModal(true); // Assuming you have a state to control the visibility of the modal
  }; // Function to reset the selected model


  const resetSelectedModel = () => {
    setSelectedModel(null);
  };

  const fetchAndSetBackends = async () => {
    if (!project.id) {
      // Project ID is undefined, return early
      return;
    }

    try {
      const fetchedBackends = await fetchBackends();
      setTotalCount(fetchedBackends.length);
    } catch (error) {
      console.error('Error fetching backends:', error); // Handle the error if needed
    }
  };

  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    fetchAndSetBackends();
  }, [project]);
  const fetchBackends = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    const models = await api.callApi('mlBackends', {
      params: {
        project: project.id
      }
    });
    if (models) setBackends(models);
    setTotalCount(models.length);
  }, [project, setBackends, setTotalCount]);
  const formTitle = selectedBackend ? 'Edit ML Model' : 'Add New ML Model';

  const ShowMLFormModal = ({
    project,
    fetchBackends,
    backend,
    setMLError,
    setSelectedBackend,
    selectedModelData
  }) => {
    var _ref; //const [formData, setFormData] = useState(backend ?? {});
    //const formTitle = `${backend ? 'Edit' : 'Add'} model`;


    const [formData, setFormData] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)((_ref = selectedModelData !== null && selectedModelData !== void 0 ? selectedModelData : backend) !== null && _ref !== void 0 ? _ref : {});
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
      if (selectedModelData) {
        setFormData(selectedModelData);
      } else {
        setFormData(backend !== null && backend !== void 0 ? backend : {});
      }
    }, [selectedModelData, backend]); // const resetForm = () => {
    //   setFormData({});
    //   setSelectedBackend(null);
    // };

    const resetForm = () => {
      setFormData(backend !== null && backend !== void 0 ? backend : {});
      setSelectedBackend(null);

      if (resetSelectedModel) {
        resetSelectedModel();
      }
    };

    const handleSubmit = async response => {
      try {
        if (!response.error_message) {
          await fetchBackends();
          setFormData({}); // Clear form data

          setSelectedBackend(null);
        }
      } catch (error) {
        console.error('Error fetching backends:', error);
      }
    };

    return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Form //action={backend ? "updateMLBackend" : "addMLBackend"}
    , {
      action: selectedModelData ? "addMLBackend" : backend ? "updateMLBackend" : "addMLBackend",
      formData: formData,
      params: {
        pk: backend === null || backend === void 0 ? void 0 : backend.id
      },
      onSubmit: handleSubmit,
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Input, {
        type: "hidden",
        name: "project",
        value: project.id
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Form.Row, {
        columnCount: 1,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Input, {
          name: "title",
          label: "Model Name",
          placeholder: "Enter the model name"
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Form.Row, {
        columnCount: 1,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Input, {
          name: "url",
          label: "Model URL",
          placeholder: "Enter a valid URL for this model",
          required: true
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Form.Row, {
        columnCount: 1,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.TextArea, {
          name: "description",
          label: "Model Description (Optional)",
          placeholder: "Describe this ML model in a few words",
          style: {
            minHeight: 60
          }
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Form.Row, {
        columnCount: 1,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Checkbox, {
            name: "is_interactive",
            label: "Use for interactive preannotations"
          })
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Form.Actions, {
        children: [Object.keys(formData).length > 0 && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("span", {
          style: {
            color: 'red',
            cursor: 'pointer',
            marginLeft: '10px'
          },
          onClick: resetForm,
          children: "Discard Changes"
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
          type: "submit",
          look: "primary",
          onClick: () => setMLError(null),
          children: "Save Changes"
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Form.ResponseParser, {
        children: response => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.Fragment, {
          children: response.error_message && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Error_Error__WEBPACK_IMPORTED_MODULE_4__.ErrorWrapper, {
            error: {
              response: {
                detail: `Failed to ${backend ? 'save' : 'add new'} ML backend.`,
                exc_info: response.error_message
              }
            }
          })
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Error_InlineError__WEBPACK_IMPORTED_MODULE_5__.InlineError, {})]
    });
  }; // const onEditBackend = useCallback((backend) => {
  //   setSelectedBackend(backend);
  // }, []);


  const onEditBackend = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(backend => {
    setSelectedBackend(backend); // Also reset the selected model if editing is distinct from selecting a model

    setSelectedModel(null);
  }, [setSelectedBackend, setSelectedModel]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (project.id) {
      fetchBackends().catch(error => {
        console.error('Error fetching backends:', error); // Handle the error, if needed
      });
    }
  }, [project]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.Fragment, {
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("div", {
      style: {
        width: '100%',
        maxWidth: '90%',
        margin: 'auto',
        marginBottom: '10px',
        backgroundColor: '#f6f6f6',
        //border: '1px solid #f6f6f6',
        padding: '0px 20px',
        borderRadius: '5px',
        //boxShadow: 'rgba(0, 0, 0, 0.1) 0px 4px 6px',
        color: 'rgb(51, 51, 51)',
        fontSize: '16px',
        display: 'flex',
        justifyContent: 'center'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("div", {
        style: {
          width: '50%'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Description_Description__WEBPACK_IMPORTED_MODULE_2__.Description, {
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
            style: {
              padding: '3px',
              width: '95%',
              color: '#1A73E8',
              backgroundColor: '#D7E2FF',
              fontSize: '12px',
              boxSizing: 'border-box',
              borderRadius: '20px',
              boxShadow: '0px 0px 0px 0px' //marginLeft: '17px',

            },
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("p", {
              style: {
                display: 'flex',
                alignItems: 'center',
                margin: 'auto',
                gap: '5px',
                lineHeight: '1rem'
              },
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(react_icons_fc__WEBPACK_IMPORTED_MODULE_19__.FcInfo, {
                size: 20
              }), "You can add one or more machine learning models to predict labels for your data."]
            })
          })
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
          style: {
            width: '95%',
            gap: '10px',
            marginBottom: '10px'
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_ModelListDropdown__WEBPACK_IMPORTED_MODULE_15__.ModelListDropdown, {
            models: _models_json__WEBPACK_IMPORTED_MODULE_16__,
            selectedModelTitle: selectedModel === null || selectedModel === void 0 ? void 0 : selectedModel.title,
            onSelectModel: handleModelSelect
          })
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("hr", {
          style: {
            marginLeft: 'initial',
            width: '95%'
          }
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
          style: {
            width: '95%',
            gap: '10px'
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Form, {
            action: "updateProject",
            formData: { ...project
            },
            params: {
              pk: project.id
            },
            onSubmit: () => fetchProject(),
            autosubmit: true,
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
              style: {
                background: '#F6F6F6',
                color: 'black',
                padding: '10px',
                textAlign: 'start'
              },
              children: "ML Assisted Labeling Preferences"
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Form.Row, {
              columnCount: 1,
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
                style: {
                  paddingLeft: 0,
                  fontSize: 12
                },
                children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Checkbox, {
                  style: {
                    fontSize: '12px !important'
                  },
                  label: "Start model training after annotations are submitted or updated",
                  name: "start_training_on_annotation_update"
                })
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
                style: {
                  paddingLeft: 0,
                  fontSize: 12
                },
                children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Checkbox, {
                  label: "Retrieve predictions when loading a task automatically",
                  name: "evaluate_predictions_automatically"
                })
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
                style: {
                  paddingLeft: 0,
                  fontSize: 12
                },
                children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Checkbox, {
                  label: "Show predictions in the Label Stream and Quick View",
                  name: "show_collab_predictions"
                })
              })]
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Form.Actions, {
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_6__.Form.Indicator, {
                children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("span", {
                  case: "success",
                  children: "Saved!"
                })
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
                type: "submit",
                look: "primary",
                style: {
                  width: 120
                },
                children: "Save"
              })]
            })]
          })
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("hr", {
          style: {
            marginLeft: 'initial',
            width: '95%'
          }
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("div", {
          style: {
            width: '95%',
            gap: '10px',
            border: '1px solid #D1D3D6',
            boxShadow: 'rgba(0, 0, 0, 0.1) 0px 4px 6px',
            marginTop: '20px',
            marginBottom: '10px'
          },
          children: [totalCount > 0 ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("div", {
            style: {
              background: '#E6E6E6',
              color: '#616161',
              padding: '10px',
              textAlign: 'start',
              fontWeight: 'bold'
            },
            children: [totalCount, " ML models added"]
          }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
            style: {
              background: '#E6E6E6',
              color: '#616161',
              padding: '10px',
              textAlign: 'start',
              fontWeight: 'bold'
            },
            children: "No ML models added"
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
            style: {
              display: 'flex',
              flexDirection: 'column'
            },
            children: backends.length > 0 ? backends.map((backend, index) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("div", {
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(_MachineLearningList__WEBPACK_IMPORTED_MODULE_10__.MachineLearningList, {
                onEdit: onEditBackend,
                fetchBackends: fetchBackends,
                backends: [backend],
                totalCount: totalCount
              }), index < backends.length - 1 && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("hr", {
                style: {
                  margin: 'auto',
                  width: '95%'
                }
              })]
            }, backend.id)) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
              style: {
                padding: '10px',
                textAlign: 'start'
              },
              children: "You can add a model using the dropdown or the right pane."
            })
          })]
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
        style: {
          width: '50%'
        },
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsxs)("div", {
          style: {
            width: '95%',
            margin: '10px auto',
            border: '1px solid #D1D3D6',
            boxShadow: 'rgba(0, 0, 0, 0.1) 0px 4px 6px'
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
            style: {
              background: '#F6F6F6',
              color: 'black',
              padding: '10px',
              textAlign: 'start'
            },
            children: formTitle
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)("div", {
            style: {
              padding: '5px'
            },
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_18__.jsx)(ShowMLFormModal, {
              project: project,
              fetchBackends: fetchBackends,
              backend: selectedBackend,
              selectedModelData: selectedModel,
              resetSelectedModel: resetSelectedModel,
              setMLError: setMLError,
              setSelectedBackend: setSelectedBackend
            })
          })]
        })
      })]
    })
  });
};
MachineLearningSettings.title = "ML Model";
MachineLearningSettings.context = _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_17__.ProjectMenu;
MachineLearningSettings.path = "/ml";

/***/ }),

/***/ "./src/pages/Settings/MachineLearningSettings/ModelListDropdown.js":
/*!*************************************************************************!*\
  !*** ./src/pages/Settings/MachineLearningSettings/ModelListDropdown.js ***!
  \*************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ModelListDropdown": () => (/* binding */ ModelListDropdown)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");
// import React from 'react';
// export const ModelListDropdown = ({ models, onSelectModel }) => {
//   const handleSelectModel = (event) => {
//     const selectedModelTitle = event.target.value;
//     const selectedModel = models.find((model) => model.title === selectedModelTitle);
//     onSelectModel(selectedModel); // Pass the entire selected model object
//   };
//   return (
//     // <select 
//     //   aria-label="Select Model" 
//     //   onChange={handleSelectModel}
//     //   defaultValue="" // Set the default value to an empty string
//     // >
//     //   <option value="" disabled hidden>Select Model</option>
//     //   {models.map((model) => (
//     //     <option key={ model.title} value={model.title}>
//     //       {model.title}
//     //     </option>
//     //   ))}
//     // </select>
//     <select 
//       aria-label="Select Model" 
//       onChange={handleSelectModel}
//       value={selectedModel || ''} // Ensure this is controlled by a state variable
//     >
//       <option value="" disabled>Select Model</option>
//       {models.map((model) => (
//         <option key={model.title} value={model.title}>
//           {model.title}
//         </option>
//       ))}
//     </select>
//   );
// };
// ModelListDropdown.js




const ModelListDropdown = ({
  models,
  selectedModelTitle,
  onSelectModel,
  onReset
}) => {
  const handleSelectModel = event => {
    const selectedModelTitle = event.target.value;
    const selectedModel = models.find(model => model.title === selectedModelTitle);
    onSelectModel(selectedModel); // Pass the entire selected model object
  };

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx)("div", {
    style: {
      display: 'flex',
      alignItems: 'center'
    },
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsxs)("select", {
      "aria-label": "Select Model",
      onChange: handleSelectModel,
      value: selectedModelTitle || '',
      style: {
        width: '100%',
        height: '35px'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx)("option", {
        value: "",
        disabled: true,
        children: "Select Model"
      }), models.map(model => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx)("option", {
        value: model.title,
        children: model.title
      }, model.title))]
    })
  });
};

/***/ }),

/***/ "./src/pages/Settings/MachineLearningSettings/ModelVersionSelector.js":
/*!****************************************************************************!*\
  !*** ./src/pages/Settings/MachineLearningSettings/ModelVersionSelector.js ***!
  \****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ModelVersionSelector": () => (/* binding */ ModelVersionSelector)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _components_Form__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../components/Form */ "./src/components/Form/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _ModelVersionSelector_styl__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./ModelVersionSelector.styl */ "./src/pages/Settings/MachineLearningSettings/ModelVersionSelector.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");







const ModelVersionSelector = ({
  name = "model_version",
  valueName = "model_version",
  apiName = "modelVersions",
  placeholder = "No model version selected",
  object,
  ...props
}) => {
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_1__.useAPI)();
  const [error, setError] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);
  const [loading, setLoading] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(true);
  const [versions, setVersions] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)([]);
  const [version, setVersion] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (versions.length && object !== null && object !== void 0 && object[valueName]) {
      const selectedVersion = versions.find(version => version.value === parseInt(object === null || object === void 0 ? void 0 : object[valueName]));
      setVersion(selectedVersion);
    }
  }, [object === null || object === void 0 ? void 0 : object[valueName], versions]);
  const fetchMLVersions = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    var _modelVersions$versio;

    const pk = object === null || object === void 0 ? void 0 : object.id;
    if (!pk) return;
    const modelVersions = await api.callApi(apiName, {
      params: {
        pk
      }
    }); // handle possible error

    if (modelVersions !== null && modelVersions !== void 0 && modelVersions.message) {
      setError(modelVersions.message);
    }

    if (modelVersions !== null && modelVersions !== void 0 && (_modelVersions$versio = modelVersions.versions) !== null && _modelVersions$versio !== void 0 && _modelVersions$versio.length) {
      setVersions(modelVersions.versions.map(version => ({
        value: version,
        label: version
      })));
    }

    setLoading(false);
  }, [object === null || object === void 0 ? void 0 : object.id, apiName]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(fetchMLVersions, []);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Block, {
    name: "modelVersionSelector",
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Select, {
      name: name,
      disabled: !versions.length,
      value: version,
      onChange: e => setVersion(e.target.value),
      options: versions,
      placeholder: loading ? "Loading ..." : placeholder,
      ...props
    }), error && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Elem, {
      name: "message",
      children: error
    })]
  });
};

/***/ }),

/***/ "./src/pages/Settings/MachineLearningSettings/ProjectModelVersionSelector.js":
/*!***********************************************************************************!*\
  !*** ./src/pages/Settings/MachineLearningSettings/ProjectModelVersionSelector.js ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ProjectModelVersionSelector": () => (/* binding */ ProjectModelVersionSelector)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _components_Form__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../components/Form */ "./src/components/Form/index.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");








const ProjectModelVersionSelector = ({
  name = "model_version",
  valueName = "model_version",
  apiName = "projectModelVersions",
  placeholder = "No model version selected",
  ...props
}) => {
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_1__.useAPI)();
  const {
    project,
    updateProject
  } = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_4__.ProjectContext);
  const [loading, setLoading] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(true);
  const [versions, setVersions] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)([]);
  const [version, setVersion] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    setVersion((project === null || project === void 0 ? void 0 : project[valueName]) || null);
  }, [project === null || project === void 0 ? void 0 : project[valueName], versions]);
  const resetMLVersion = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async e => {
    e.preventDefault();
    e.stopPropagation();
    await updateProject({
      model_version: null
    });
  }, [updateProject]);
  const fetchMLVersions = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    const pk = project === null || project === void 0 ? void 0 : project.id;
    if (!pk) return;
    const modelVersions = await api.callApi(apiName, {
      params: {
        pk
      }
    });

    if (modelVersions) {
      setVersions(Object.entries(modelVersions).reduce((v, [key, value]) => [...v, {
        value: key,
        label: `${key} (${value} predictions)`
      }], []));
    }

    setLoading(false);
  }, [project === null || project === void 0 ? void 0 : project.id, apiName]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(fetchMLVersions, [fetchMLVersions]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Form.Row, {
    columnCount: 1,
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Label, {
      text: "Model Version",
      description: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.Fragment, {
        children: ["Model version allows you to specify which prediction will be shown to the annotators.", version && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.Fragment, {
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("br", {}), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)("b", {
            children: ["Current project model version: ", version]
          })]
        })]
      }),
      style: {
        marginTop: 16
      },
      large: true
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)("div", {
      style: {
        display: 'flex',
        alignItems: 'center',
        width: 400,
        paddingLeft: 16
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)("div", {
        style: {
          flex: 1,
          paddingRight: 16
        },
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Select, {
          name: name,
          disabled: !versions.length,
          value: version,
          onChange: e => setVersion(e.target.value),
          options: versions,
          placeholder: loading ? "Loading ..." : placeholder,
          ...props
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx)(_components__WEBPACK_IMPORTED_MODULE_2__.Button, {
        onClick: resetMLVersion,
        children: "Reset"
      })]
    })]
  });
};

/***/ }),

/***/ "./src/pages/Settings/StorageSettings/StorageCard.js":
/*!***********************************************************!*\
  !*** ./src/pages/Settings/StorageSettings/StorageCard.js ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "StorageCard": () => (/* binding */ StorageCard)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _components_Space_Space__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../components/Space/Space */ "./src/components/Space/Space.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _StorageSummary__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./StorageSummary */ "./src/pages/Settings/StorageSettings/StorageSummary.js");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");









const StorageCard = ({
  rootClass,
  target,
  storage,
  onEditStorage,
  onDeleteStorage,
  storageTypes
}) => {
  var _storageData$title$sl;

  const [syncing, setSyncing] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const api = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_3__.ApiContext);
  const [storageData, setStorageData] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)({ ...storage
  });
  const [synced, setSynced] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);
  const startSync = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    setSyncing(true);
    setSynced(null);
    const result = await api.callApi('syncStorage', {
      params: {
        target,
        type: storageData.type,
        pk: storageData.id
      }
    });

    if (result) {
      setStorageData(result);
      setSynced(result.last_sync_count);
    }

    setSyncing(false);
  }, [storage]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    setStorageData(storage);
  }, [storage]);
  const notSyncedYet = synced !== null || ['in_progress', 'queued'].includes(storageData.status); // return (
  //   <div
  //     header={storageData.title.slice(0, 70) ?? `Untitled ${storageData.type}`}
  //     extra={(
  //       <Dropdown.Trigger align="right" content={(
  //         <Menu size="compact" style={{ width: 110 }}>
  //           <Menu.Item onClick={() => onEditStorage(storageData)}>Edit</Menu.Item>
  //           <Menu.Item onClick={() => onDeleteStorage(storageData)}>Delete</Menu.Item>
  //         </Menu>
  //       )}>
  //         <Button type="link" style={{ width: 32, height: 32, marginRight: -10 }} icon={<FaEllipsisV/>}/>
  //       </Dropdown.Trigger>
  //     )}
  //   >
  //     <StorageSummary
  //       target={target}
  //       storage={storageData}
  //       className={rootClass.elem('summary')}
  //       storageTypes={storageTypes}
  //     />
  //     <div className={rootClass.elem('sync')}>
  //       <div>
  //         <Button
  //           waiting={syncing}
  //           onClick={startSync}
  //           disabled={notSyncedYet}
  //         >
  //             Sync Storage
  //         </Button>
  //         {notSyncedYet && (
  //           <div className={rootClass.elem('sync-count')}>
  //             Syncing may take some time, please refresh the page to see the current status.
  //           </div>
  //         )}
  //       </div>
  //     </div>
  //   </div>
  // );

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("div", {
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("div", {
      style: {
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'space-between'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("div", {
        children: (_storageData$title$sl = storageData.title.slice(0, 70)) !== null && _storageData$title$sl !== void 0 ? _storageData$title$sl : `Untitled ${storageData.type}`
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("div", {
        className: rootClass.elem('actions'),
        style: {
          display: 'flex',
          flexDirection: 'row',
          gap: '10px'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("button", {
          onClick: () => onEditStorage(storageData),
          style: {
            display: 'flex',
            alignItems: 'center',
            gap: '5px',
            border: '1px solid black'
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_5__.Iconmledit, {}), "Edit"]
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("button", {
          onClick: () => onDeleteStorage(storageData),
          style: {
            display: 'flex',
            alignItems: 'center',
            gap: '5px',
            border: '1px solid #ff0000',
            color: '#ff0000'
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_5__.Iconmldelete, {}), "Delete"]
        })]
      })]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("div", {
      className: rootClass.elem('content'),
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_StorageSummary__WEBPACK_IMPORTED_MODULE_4__.StorageSummary, {
        target: target,
        storage: storageData,
        className: rootClass.elem('summary'),
        storageTypes: storageTypes
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("div", {
        className: rootClass.elem('sync'),
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsxs)("div", {
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
            waiting: syncing,
            onClick: startSync,
            disabled: notSyncedYet,
            children: "Sync Storage"
          }), notSyncedYet && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)("div", {
            className: rootClass.elem('sync-count'),
            children: "Syncing may take some time, please refresh the page to see the current status."
          })]
        })
      })]
    })]
  });
};

/***/ }),

/***/ "./src/pages/Settings/StorageSettings/StorageForm.js":
/*!***********************************************************!*\
  !*** ./src/pages/Settings/StorageSettings/StorageForm.js ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "StorageForm": () => (/* binding */ StorageForm)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _components_Error_InlineError__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../components/Error/InlineError */ "./src/components/Error/InlineError.js");
/* harmony import */ var _components_Form__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../components/Form */ "./src/components/Form/index.js");
/* harmony import */ var _components_Oneof_Oneof__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../components/Oneof/Oneof */ "./src/components/Oneof/Oneof.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");










const StorageForm = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(({
  onSubmit,
  target,
  project,
  rootClass,
  storage,
  storageTypes
}, ref) => {
  var _ref, _storage$type, _storageTypes$, _storage$type2;
  /**@type {import('react').RefObject<Form>} */


  const api = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_5__.ApiContext);
  const formRef = ref !== null && ref !== void 0 ? ref : (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)();
  const [type, setType] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)((_ref = (_storage$type = storage === null || storage === void 0 ? void 0 : storage.type) !== null && _storage$type !== void 0 ? _storage$type : storageTypes === null || storageTypes === void 0 ? void 0 : (_storageTypes$ = storageTypes[0]) === null || _storageTypes$ === void 0 ? void 0 : _storageTypes$.name) !== null && _ref !== void 0 ? _ref : 's3');
  const [checking, setChecking] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const [connectionValid, setConnectionValid] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);
  const [formFields, setFormFields] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)([]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    api.callApi('storageForms', {
      params: {
        target,
        type
      }
    }).then(formFields => setFormFields(formFields !== null && formFields !== void 0 ? formFields : []));
  }, [type]);
  const storageTypeSelect = {
    columnCount: 2,
    fields: [{
      skip: true,
      type: "select",
      name: "storage_type",
      label: "Storage Type",
      disabled: !!storage,
      options: storageTypes.map(({
        name,
        title
      }) => ({
        value: name,
        label: title
      })),
      value: (_storage$type2 = storage === null || storage === void 0 ? void 0 : storage.type) !== null && _storage$type2 !== void 0 ? _storage$type2 : type,
      onChange: e => {
        setType(e.target.value);
      }
    }]
  };
  const validateStorageConnection = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    setChecking(true);
    setConnectionValid(null);
    const form = formRef.current;

    if (form && form.validateFields()) {
      const body = form.assembleFormData({
        asJSON: true
      });
      const type = form.getField('storage_type').value;

      if ((0,_utils_helpers__WEBPACK_IMPORTED_MODULE_7__.isDefined)(storage === null || storage === void 0 ? void 0 : storage.id)) {
        body.id = storage.id;
      } // we're using api provided by the form to be able to save
      // current api context and render inline erorrs properly


      const response = await form.api.callApi('validateStorage', {
        params: {
          target,
          type
        },
        body
      });
      if (response !== null) setConnectionValid(true);else setConnectionValid(false);
    }

    setChecking(false);
  }, [formRef, target, type, storage]);
  const action = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    return storage ? "updateStorage" : "createStorage";
  }, [storage]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Form.Builder, {
    ref: formRef,
    action: action,
    params: {
      target,
      type,
      project,
      pk: storage === null || storage === void 0 ? void 0 : storage.id
    },
    fields: [storageTypeSelect, ...(formFields !== null && formFields !== void 0 ? formFields : [])],
    formData: { ...(storage !== null && storage !== void 0 ? storage : {})
    },
    skipEmpty: false,
    onSubmit: onSubmit,
    autoFill: "off",
    autoComplete: "off",
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Input, {
      type: "hidden",
      name: "project",
      value: project
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Form.Actions, {
      valid: connectionValid,
      extra: connectionValid !== null && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_6__.Block, {
        name: "form-indicator",
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsxs)(_components_Oneof_Oneof__WEBPACK_IMPORTED_MODULE_4__.Oneof, {
          value: connectionValid,
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_6__.Elem, {
            tag: "span",
            mod: {
              type: "success"
            },
            name: "item",
            case: true,
            children: "Successfully connected!"
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_6__.Elem, {
            tag: "span",
            mod: {
              type: "fail"
            },
            name: "item",
            case: false,
            children: "Connection failed"
          })]
        })
      }),
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Input, {
        type: "hidden",
        name: "project",
        value: project
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsxs)(_components__WEBPACK_IMPORTED_MODULE_1__.Button.Group, {
        className: rootClass.elem('buttons'),
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
          type: "button",
          waiting: checking,
          onClick: validateStorageConnection,
          children: "Check Connection"
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
          type: "submit",
          look: "primary",
          children: storage ? "Save" : "Add Storage"
        })]
      })]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_components_Error_InlineError__WEBPACK_IMPORTED_MODULE_2__.InlineError, {})]
  });
});

/***/ }),

/***/ "./src/pages/Settings/StorageSettings/StorageSet.js":
/*!**********************************************************!*\
  !*** ./src/pages/Settings/StorageSettings/StorageSet.js ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "StorageSet": () => (/* binding */ StorageSet)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _components_Spinner_Spinner__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../components/Spinner/Spinner */ "./src/components/Spinner/Spinner.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var _StorageCard__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./StorageCard */ "./src/pages/Settings/StorageSettings/StorageCard.js");
/* harmony import */ var _StorageForm__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./StorageForm */ "./src/pages/Settings/StorageSettings/StorageForm.js");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");











const StorageSet = ({
  title,
  target,
  rootClass,
  buttonLabel,
  onStoragesUpdated
}) => {
  const api = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_4__.ApiContext);
  const {
    project
  } = (0,_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_5__.useProject)();
  const [storages, setStorages] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)([]);
  const [loading, setLoading] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const [loaded, setLoaded] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const [storageTypes, setStorageTypes] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)([]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    api.callApi('storageTypes', {
      params: {
        target
      }
    }).then(types => {
      setStorageTypes(types !== null && types !== void 0 ? types : []);
    });
  }, []);
  const fetchStorages = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    if (!project.id) {
      console.warn("Project ID not provided");
      return;
    }

    setLoading(true);
    const result = await api.callApi('listStorages', {
      params: {
        project: project.id,
        target
      }
    });
    const storageTypes = await api.callApi('storageTypes', {
      params: {
        target
      }
    });
    setStorageTypes(storageTypes);

    if (result !== null) {
      setStorages(result);
      setLoaded(true);
    }

    setLoading(false);
  }, [project]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    fetchStorages();
  }, [fetchStorages]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    onStoragesUpdated(storages.length);
  }, [storages, onStoragesUpdated]);
  const showStorageFormModal = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(storage => {
    const action = storage ? "Edit" : "Add";
    const actionTarget = target === 'export' ? 'Target' : 'Source';
    const title = `${action} ${actionTarget} Storage`;
    const modalRef = (0,_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_2__.modal)({
      title,
      closeOnClickOutside: false,
      style: {
        width: '760px',
        height: '500px',
        overflow: 'auto'
      },
      body: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_StorageForm__WEBPACK_IMPORTED_MODULE_7__.StorageForm, {
        target: target,
        storage: storage,
        project: project.id,
        rootClass: rootClass,
        storageTypes: storageTypes,
        onSubmit: async () => {
          await fetchStorages();
          modalRef.close();
        }
      }) // footer: (
      //   <>
      //     Save completed annotations to Amazon S3, Google Cloud, Microsoft Azure, or Redis.
      //     <br/>
      //     <a href="https://labelstud.io/guide/storage.html">See more in the documentation</a>.
      //   </>
      // ),

    });
  }, [project, fetchStorages, target, rootClass]);
  const onEditStorage = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async storage => {
    showStorageFormModal(storage);
  }, [showStorageFormModal]);
  const onDeleteStorage = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async storage => {
    (0,_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_2__.confirm)({
      title: "Deleting storage",
      body: "This action cannot be undone. Are you sure?",
      buttonLook: "destructive",
      onOk: async () => {
        const response = await api.callApi('deleteStorage', {
          params: {
            type: storage.type,
            pk: storage.id,
            target
          }
        });
        if (response !== null) fetchStorages();
      }
    });
  }, [fetchStorages]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    fetchStorages();
  }, [fetchStorages]); // return (
  //   <Columns.Column>
  //     {(loading && !loaded) ? (
  //       <div className={rootClass.elem("empty")}>
  //         <Spinner size={32} />
  //         {/* <Spinner /> */}
  //       </div>
  //     ) : storages.length === 0 ? (
  //       null
  //     ) : storages.map(storage => (
  //       <StorageCard
  //         key={storage.id}
  //         storage={storage}
  //         target={target}
  //         rootClass={rootClass}
  //         storageTypes={storageTypes}
  //         onEditStorage={onEditStorage}
  //         onDeleteStorage={onDeleteStorage}
  //       />
  //     ))}
  //     <div className={rootClass.elem("controls")} style={{ marginTop: '10px' }}>
  //       <Button onClick={() => showStorageFormModal()}>
  //         {buttonLabel}
  //       </Button>
  //     </div>
  //   </Columns.Column>
  // );

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)(_components__WEBPACK_IMPORTED_MODULE_1__.Columns.Column, {
    children: [loading && !loaded ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
      className: rootClass.elem("empty"),
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_components_Spinner_Spinner__WEBPACK_IMPORTED_MODULE_3__.Spinner, {
        size: 32
      })
    }) : storages.length === 0 ? null : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
      children: storages.map((storage, index) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)("div", {
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_StorageCard__WEBPACK_IMPORTED_MODULE_6__.StorageCard, {
          storage: storage,
          target: target,
          rootClass: rootClass,
          storageTypes: storageTypes,
          onEditStorage: onEditStorage,
          onDeleteStorage: onDeleteStorage
        }), index < storages.length - 1 && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("hr", {}), " "]
      }, storage.id))
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)("div", {
      className: rootClass.elem("controls"),
      style: {
        marginTop: '10px'
      },
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsxs)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
        look: "primary",
        onClick: () => showStorageFormModal(),
        style: {
          display: 'flex',
          gap: '5px'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_9__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_8__.LsPlus, {}), " ", buttonLabel]
      })
    })]
  });
};

/***/ }),

/***/ "./src/pages/Settings/StorageSettings/StorageSettings.js":
/*!***************************************************************!*\
  !*** ./src/pages/Settings/StorageSettings/StorageSettings.js ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "StorageSettings": () => (/* binding */ StorageSettings)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components_Columns_Columns__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../components/Columns/Columns */ "./src/components/Columns/Columns.js");
/* harmony import */ var _components_Description_Description__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../components/Description/Description */ "./src/components/Description/Description.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _StorageSet__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./StorageSet */ "./src/pages/Settings/StorageSettings/StorageSet.js");
/* harmony import */ var react_icons_fc__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! react-icons/fc */ "./node_modules/react-icons/fc/index.esm.js");
/* harmony import */ var _StorageSettings_styl__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./StorageSettings.styl */ "./src/pages/Settings/StorageSettings/StorageSettings.styl");
/* harmony import */ var _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../components/ProjectMenu/ProjectMenu */ "./src/components/ProjectMenu/ProjectMenu.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");











const StorageSettings = () => {
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_3__.cn)("storage-settings");
  const [sourceStorageCount, setSourceStorageCount] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(0);
  const [targetStorageCount, setTargetStorageCount] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(0);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Block, {
    name: "storage-settings",
    style: {
      width: '100%',
      maxWidth: '90%',
      margin: 'auto',
      marginBottom: '10px',
      //backgroundColor: '#f6f6f6',
      //border: '1px solid #f6f6f6',
      padding: '0px 20px',
      borderRadius: '5px,',
      //boxShadow: 'rgba(0, 0, 0, 0.1) 0px 4px 6px',
      color: 'rgb(51, 51, 51)',
      fontSize: '16px'
    },
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_Description_Description__WEBPACK_IMPORTED_MODULE_2__.Description, {
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("p", {
        style: {
          display: 'flex',
          alignItems: 'center',
          gap: '5px',
          lineHeight: '1.5rem',
          padding: '3px',
          width: '100%',
          color: '#1A73E8',
          backgroundColor: '#FFFFFF',
          fontSize: '14px',
          boxSizing: 'border-box',
          borderRadius: '20px',
          boxShadow: '0px 0px 0px 0px'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(react_icons_fc__WEBPACK_IMPORTED_MODULE_8__.FcInfo, {}), "Use cloud or database storage as the source for your labeling tasks or the target of your completed annotations."]
      })
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("div", {
      style: {
        display: 'flex',
        flexDirection: 'row',
        margin: 'auto',
        gap: '20px'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("div", {
        style: {
          width: '95%',
          border: '1px solid #D1D3D6',
          boxShadow: 'rgba(0, 0, 0, 0.1) 0px 4px 6px',
          marginBottom: '10px',
          backgroundColor: '#ffffff'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("div", {
          style: {
            background: '#E6E6E6',
            color: '#616161',
            padding: '10px',
            textAlign: 'start',
            fontWeight: 'bold'
          },
          children: sourceStorageCount > 0 ? `${sourceStorageCount} Source Cloud Storage${sourceStorageCount > 1 ? 's' : ''} Added` : 'Source Cloud Storage'
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("div", {
          style: {
            display: 'flex',
            flexDirection: 'column',
            padding: '10px'
          },
          children: [sourceStorageCount === 0 && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("div", {
            style: {
              padding: '10px 0px',
              textAlign: 'start'
            },
            children: "No source storage is added."
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_StorageSet__WEBPACK_IMPORTED_MODULE_4__.StorageSet, {
            rootClass: rootClass,
            onStoragesUpdated: setSourceStorageCount,
            buttonLabel: "Add Source Storage"
          })]
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("div", {
        style: {
          width: '95%',
          gap: '10px',
          border: '1px solid #D1D3D6',
          boxShadow: 'rgba(0, 0, 0, 0.1) 0px 4px 6px',
          marginBottom: '10px',
          backgroundColor: '#ffffff'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("div", {
          style: {
            background: '#E6E6E6',
            color: '#616161',
            padding: '10px',
            textAlign: 'start',
            fontWeight: 'bold'
          },
          children: targetStorageCount > 0 ? `${targetStorageCount} Target Cloud Storage${targetStorageCount > 1 ? 's' : ''} Added` : 'Target Cloud Storage'
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("div", {
          style: {
            display: 'flex',
            flexDirection: 'column',
            padding: '10px'
          },
          children: [targetStorageCount === 0 && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("div", {
            style: {
              padding: '10px 0px',
              textAlign: 'start'
            },
            children: "No target storage is added."
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_StorageSet__WEBPACK_IMPORTED_MODULE_4__.StorageSet, {
            target: "export",
            buttonLabel: "Add Target Storage",
            rootClass: rootClass,
            onStoragesUpdated: setTargetStorageCount
          })]
        })]
      })]
    })]
  });
};
StorageSettings.title = "Cloud Storage";
StorageSettings.context = _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_6__.ProjectMenu;
StorageSettings.path = "/storage";

/***/ }),

/***/ "./src/pages/Settings/StorageSettings/StorageSummary.js":
/*!**************************************************************!*\
  !*** ./src/pages/Settings/StorageSettings/StorageSummary.js ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "StorageSummary": () => (/* binding */ StorageSummary)
/* harmony export */ });
/* harmony import */ var date_fns_esm__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! date-fns/esm */ "./node_modules/date-fns/esm/format/index.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../components */ "./src/components/index.js");
/* harmony import */ var _components_DescriptionList_DescriptionList__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../../components/DescriptionList/DescriptionList */ "./src/components/DescriptionList/DescriptionList.js");
/* harmony import */ var _components_Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../components/Tooltip/Tooltip */ "./src/components/Tooltip/Tooltip.js");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _components_Oneof_Oneof__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../components/Oneof/Oneof */ "./src/components/Oneof/Oneof.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");











const StorageSummary = ({
  target,
  storage,
  className,
  storageTypes = []
}) => {
  var _storage$meta, _storage$meta2, _storage$meta3, _storage$meta4, _storage$meta5, _find$title, _find;

  const storageStatus = storage.status.replace(/_/g, ' ').replace(/(^\w)/, match => match.toUpperCase());
  const last_sync_count = storage.last_sync_count ? storage.last_sync_count : 0;
  const tasks_existed = typeof ((_storage$meta = storage.meta) === null || _storage$meta === void 0 ? void 0 : _storage$meta.tasks_existed) !== 'undefined' && ((_storage$meta2 = storage.meta) === null || _storage$meta2 === void 0 ? void 0 : _storage$meta2.tasks_existed) !== null ? storage.meta.tasks_existed : 0;
  const total_annotations = typeof ((_storage$meta3 = storage.meta) === null || _storage$meta3 === void 0 ? void 0 : _storage$meta3.total_annotations) !== 'undefined' && ((_storage$meta4 = storage.meta) === null || _storage$meta4 === void 0 ? void 0 : _storage$meta4.total_annotations) !== null ? storage.meta.total_annotations : 0; // help text for tasks and annotations

  const tasks_added_help = last_sync_count + ' new tasks added during the last sync.';
  const tasks_total_help = tasks_existed + " tasks that have been found and already synced will not be added to the project again.\n" + (tasks_existed + last_sync_count) + " tasks have been added in total for this storage.";
  const annotations_help = last_sync_count + ' annotations successfully saved during the last sync.';
  const total_annotations_help = typeof ((_storage$meta5 = storage.meta) === null || _storage$meta5 === void 0 ? void 0 : _storage$meta5.total_annotations) !== 'undefined' ? storage.meta.total_annotations + ` total annotations seen in the project at the sync moment.` : '';

  const handleButtonClick = () => {
    const msg = `Error logs for ${target === 'export' ? 'export ' : ''}${storage.type} ` + `storage ${storage.id} in project ${storage.project} and job ${storage.last_sync_job}:\n\n` + `${(0,_utils_helpers__WEBPACK_IMPORTED_MODULE_6__.getLastTraceback)(storage.traceback)}\n\n` + `meta = ${JSON.stringify(storage.meta)}\n`;
    (0,_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_4__.modal)({
      title: "Storage error logs",
      body: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.Fragment, {
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("pre", {
          style: {
            background: "#eee",
            borderRadius: 5,
            padding: 10
          },
          children: msg
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
          size: "compact",
          onClick: () => {
            navigator.clipboard.writeText(msg);
          },
          children: "Copy"
        }), target === 'export' ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("a", {
          style: {
            float: "right"
          },
          target: "_blank",
          href: "https://labelstud.io/guide/storage.html#Target-storage-permissions",
          children: "Check Target Storage documentation"
        }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("a", {
          style: {
            float: "right"
          },
          target: "_blank",
          href: "https://labelstud.io/guide/storage.html#Source-storage-permissions",
          children: "Check Source Storage documentation"
        })]
      }),
      style: {
        width: "700px"
      },
      optimize: false,
      allowClose: true
    });
  };

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("div", {
    className: className,
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_components_DescriptionList_DescriptionList__WEBPACK_IMPORTED_MODULE_2__.DescriptionList, {
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_DescriptionList_DescriptionList__WEBPACK_IMPORTED_MODULE_2__.DescriptionList.Item, {
        term: "Type",
        children: (_find$title = (_find = (storageTypes !== null && storageTypes !== void 0 ? storageTypes : []).find(s => s.name === storage.type)) === null || _find === void 0 ? void 0 : _find.title) !== null && _find$title !== void 0 ? _find$title : storage.type
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_components_Oneof_Oneof__WEBPACK_IMPORTED_MODULE_5__.Oneof, {
        value: storage.type,
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(SummaryS3, {
          case: ["s3", "s3s"],
          storage: storage
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(GSCStorage, {
          case: "gcs",
          storage: storage
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(AzureStorage, {
          case: "azure",
          storage: storage
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(RedisStorage, {
          case: "redis",
          storage: storage
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(LocalStorage, {
          case: "localfiles",
          storage: storage
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_DescriptionList_DescriptionList__WEBPACK_IMPORTED_MODULE_2__.DescriptionList.Item, {
        term: "Status",
        help: ['Initialized: storage was added, but never synced; sufficient for starting URI link resolving', 'Queued: sync job is in the queue, but not yet started', 'In progress: sync job is running', 'Failed: sync job stopped, some errors occurred', 'Completed: sync job completed successfully'].join('\n'),
        children: storageStatus === 'Failed' ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("span", {
          style: {
            cursor: "pointer",
            borderBottom: "1px dashed gray"
          },
          onClick: handleButtonClick,
          children: "Failed"
        }) : storageStatus
      }), target === 'export' ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_components_DescriptionList_DescriptionList__WEBPACK_IMPORTED_MODULE_2__.DescriptionList.Item, {
        term: "Annotations",
        help: annotations_help + '\n' + total_annotations_help,
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_3__.Tooltip, {
          title: annotations_help,
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("span", {
            children: last_sync_count
          })
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_3__.Tooltip, {
          title: total_annotations_help,
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("span", {
            children: [" (", total_annotations, " total)"]
          })
        })]
      }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_components_DescriptionList_DescriptionList__WEBPACK_IMPORTED_MODULE_2__.DescriptionList.Item, {
        term: "Tasks",
        help: tasks_added_help + '\n' + tasks_total_help,
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_3__.Tooltip, {
          title: tasks_added_help + '\n' + tasks_total_help,
          style: {
            whiteSpace: "pre-wrap"
          },
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("span", {
            children: last_sync_count + tasks_existed
          })
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_3__.Tooltip, {
          title: tasks_added_help,
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("span", {
            children: [" (", last_sync_count, " new)"]
          })
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_DescriptionList_DescriptionList__WEBPACK_IMPORTED_MODULE_2__.DescriptionList.Item, {
        term: "Last Sync",
        children: storage.last_sync ? (0,date_fns_esm__WEBPACK_IMPORTED_MODULE_8__["default"])(new Date(storage.last_sync), 'MMMM dd, yyyy ∙ HH:mm:ss') : "Not synced yet"
      })]
    })
  });
};

const SummaryS3 = ({
  storage
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_DescriptionList_DescriptionList__WEBPACK_IMPORTED_MODULE_2__.DescriptionList.Item, {
    term: "Bucket",
    children: storage.bucket
  });
};

const GSCStorage = ({
  storage
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_DescriptionList_DescriptionList__WEBPACK_IMPORTED_MODULE_2__.DescriptionList.Item, {
    term: "Bucket",
    children: storage.bucket
  });
};

const AzureStorage = ({
  storage
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_DescriptionList_DescriptionList__WEBPACK_IMPORTED_MODULE_2__.DescriptionList.Item, {
    term: "Container",
    children: storage.container
  });
};

const RedisStorage = ({
  storage
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.Fragment, {
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_DescriptionList_DescriptionList__WEBPACK_IMPORTED_MODULE_2__.DescriptionList.Item, {
      term: "Path",
      children: storage.path
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_components_DescriptionList_DescriptionList__WEBPACK_IMPORTED_MODULE_2__.DescriptionList.Item, {
      term: "Host",
      children: [storage.host, storage.port ? `:${storage.post}` : '']
    })]
  });
};

const LocalStorage = ({
  storage
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_components_DescriptionList_DescriptionList__WEBPACK_IMPORTED_MODULE_2__.DescriptionList.Item, {
    term: "Path",
    children: storage.path
  });
};

/***/ }),

/***/ "./src/pages/Settings/index.js":
/*!*************************************!*\
  !*** ./src/pages/Settings/index.js ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "MenuLayout": () => (/* binding */ MenuLayout),
/* harmony export */   "SettingsPage": () => (/* binding */ SettingsPage)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components/ProjectMenu/ProjectMenu */ "./src/components/ProjectMenu/ProjectMenu.js");
/* harmony import */ var _components_SidebarMenu_SidebarMenu__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../components/SidebarMenu/SidebarMenu */ "./src/components/SidebarMenu/SidebarMenu.js");
/* harmony import */ var _WebhookPage_WebhookPage__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../WebhookPage/WebhookPage */ "./src/pages/WebhookPage/WebhookPage.js");
/* harmony import */ var _InstructionsSettings__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./InstructionsSettings */ "./src/pages/Settings/InstructionsSettings.js");
/* harmony import */ var _DangerZone__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./DangerZone */ "./src/pages/Settings/DangerZone.js");
/* harmony import */ var _GeneralSettings__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./GeneralSettings */ "./src/pages/Settings/GeneralSettings.js");
/* harmony import */ var _LabelingSettings__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./LabelingSettings */ "./src/pages/Settings/LabelingSettings.js");
/* harmony import */ var _MachineLearningSettings_MachineLearningSettings__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./MachineLearningSettings/MachineLearningSettings */ "./src/pages/Settings/MachineLearningSettings/MachineLearningSettings.js");
/* harmony import */ var _StorageSettings_StorageSettings__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ./StorageSettings/StorageSettings */ "./src/pages/Settings/StorageSettings/StorageSettings.js");
/* harmony import */ var _ContributionSettings__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ./ContributionSettings */ "./src/pages/Settings/ContributionSettings.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");













const MenuLayout = ({
  children,
  ...routeProps
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_12__.jsx)(_components_SidebarMenu_SidebarMenu__WEBPACK_IMPORTED_MODULE_2__.SidebarMenu, {
    menuItems: [_GeneralSettings__WEBPACK_IMPORTED_MODULE_6__.GeneralSettings, _LabelingSettings__WEBPACK_IMPORTED_MODULE_7__.LabelingSettings, _InstructionsSettings__WEBPACK_IMPORTED_MODULE_4__.InstructionsSettings, _MachineLearningSettings_MachineLearningSettings__WEBPACK_IMPORTED_MODULE_8__.MachineLearningSettings, _ContributionSettings__WEBPACK_IMPORTED_MODULE_10__.ContributionSettings, _StorageSettings_StorageSettings__WEBPACK_IMPORTED_MODULE_9__.StorageSettings, _WebhookPage_WebhookPage__WEBPACK_IMPORTED_MODULE_3__.WebhookPage, _DangerZone__WEBPACK_IMPORTED_MODULE_5__.DangerZone],
    path: routeProps.match.url,
    children: children
  });
};
const SettingsPage = {
  title: "Settings",
  path: "/settings",
  exact: true,
  alias: "project-settings",
  layout: MenuLayout,
  component: _GeneralSettings__WEBPACK_IMPORTED_MODULE_6__.GeneralSettings,
  context: _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_1__.ProjectMenu,
  pages: {
    InstructionsSettings: _InstructionsSettings__WEBPACK_IMPORTED_MODULE_4__.InstructionsSettings,
    LabelingSettings: _LabelingSettings__WEBPACK_IMPORTED_MODULE_7__.LabelingSettings,
    MachineLearningSettings: _MachineLearningSettings_MachineLearningSettings__WEBPACK_IMPORTED_MODULE_8__.MachineLearningSettings,
    ContributionSettings: _ContributionSettings__WEBPACK_IMPORTED_MODULE_10__.ContributionSettings,
    StorageSettings: _StorageSettings_StorageSettings__WEBPACK_IMPORTED_MODULE_9__.StorageSettings,
    WebhookPage: _WebhookPage_WebhookPage__WEBPACK_IMPORTED_MODULE_3__.WebhookPage,
    DangerZone: _DangerZone__WEBPACK_IMPORTED_MODULE_5__.DangerZone
  }
}; // export const SettingsPage = {
//   title: "Settings",
//   path: "/settings",
//   exact: true,
//   alias: "project-settings",
//   layout: MenuLayout,
//   component: GeneralSettings,
//   context: ProjectMenu,
//   pages: {
//     InstructionsSettings,
//     LabelingSettings,
//     MachineLearningSettings,
//     ContributionSettings,
//     StorageSettings,
//     WebhookPage,
//     DangerZone,
//   },
// };
// export const MenuLayout = ({ children, ...routeProps}) => {
//   // const project = useContext(ProjectContext);
//   const menuItems = useMemo(() => {
//     const items = [
//       GeneralSettings,
//       LabelingSettings,
//       InstructionsSettings,
//       MachineLearningSettings,
//       StorageSettings,
//       WebhookPage,
//       DangerZone,
//     ];
//     if (Project && !Project.is_public) {
//       items.splice(5, 0, ContributionSettings); // Insert ContributionSettings at the desired position
//     }
//     return items;
//   }, [project?.is_public]);
//   return (
//     <SidebarMenu
//       menuItems={menuItems}
//       path={routeProps.match.url}
//       children={children}
//     />
//   );
// };
//SettingsPage.context = ProjectMenu;

/***/ }),

/***/ "./src/pages/WebhookPage/WebhookDeleteModal.js":
/*!*****************************************************!*\
  !*** ./src/pages/WebhookPage/WebhookDeleteModal.js ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "WebhookDeleteModal": () => (/* binding */ WebhookDeleteModal)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components */ "./src/components/index.js");
/* harmony import */ var _components_Menu_MenuContext__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../components/Menu/MenuContext */ "./src/components/Menu/MenuContext.js");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _components_Modal_ModalPopup__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../components/Modal/ModalPopup */ "./src/components/Modal/ModalPopup.js");
/* harmony import */ var _components_Space_Space__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../components/Space/Space */ "./src/components/Space/Space.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");










const WebhookDeleteModal = ({
  onDelete
}) => {
  return (0,_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_3__.modal)({
    title: "Delete",
    body: () => {
      const ctrl = (0,_components_Modal_ModalPopup__WEBPACK_IMPORTED_MODULE_4__.useModalControls)();
      const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_7__.cn)('webhook-delete-modal');
      return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)("div", {
        className: rootClass,
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)("div", {
          className: rootClass.elem('modal-text'),
          children: "Are you sure you want to delete the webhook? This action cannot be undone."
        })
      });
    },
    footer: () => {
      const ctrl = (0,_components_Modal_ModalPopup__WEBPACK_IMPORTED_MODULE_4__.useModalControls)();
      const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_7__.cn)('webhook-delete-modal');
      return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsxs)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_5__.Space, {
        align: "end",
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
          className: rootClass.elem('width-button'),
          onClick: () => {
            ctrl.hide();
          },
          children: "Cancel"
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
          look: "destructive",
          className: rootClass.elem('width-button'),
          onClick: async () => {
            await onDelete();
            ctrl.hide();
          },
          children: "Delete"
        })]
      });
    },
    style: {
      width: 512
    }
  });
};

/***/ }),

/***/ "./src/pages/WebhookPage/WebhookDetail.js":
/*!************************************************!*\
  !*** ./src/pages/WebhookPage/WebhookDetail.js ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../components */ "./src/components/index.js");
/* harmony import */ var _components_Form__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../components/Form */ "./src/components/Form/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! lodash */ "./node_modules/lodash/lodash.js");
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _WebhookPage_styl__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./WebhookPage.styl */ "./src/pages/WebhookPage/WebhookPage.styl");
/* harmony import */ var _components_Space_Space__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../components/Space/Space */ "./src/components/Space/Space.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! ../../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _components_Modal_ModalPopup__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! ../../components/Modal/ModalPopup */ "./src/components/Modal/ModalPopup.js");
/* harmony import */ var _WebhookDeleteModal__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! ./WebhookDeleteModal */ "./src/pages/WebhookPage/WebhookDeleteModal.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");


















const WebhookDetail = ({
  webhook,
  webhooksInfo,
  fetchWebhooks,
  onBack,
  onSelectActive
}) => {
  // if webhook === null - create mod
  // else update
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_3__.cn)('webhook-detail');
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_6__.useAPI)();
  const [headers, setHeaders] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(Object.entries((webhook === null || webhook === void 0 ? void 0 : webhook.headers) || []));
  const [sendForAllActions, setSendForAllActions] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(webhook ? webhook.send_for_all_actions : true);
  const [actions, setActions] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(new Set(webhook === null || webhook === void 0 ? void 0 : webhook.actions));
  const [isActive, setIsActive] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(webhook ? webhook.is_active : true);
  const [sendPayload, setSendPayload] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(webhook ? webhook.send_payload : true);
  const {
    project
  } = (0,_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_9__.useProject)();
  const [projectId, setProjectId] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(project.id);
  const [url, setUrl] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)('');
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (Object.keys(project).length === 0) {
      setProjectId(null);
    } else {
      setProjectId(project.id);
    }
  }, [project]);

  const onAddHeaderClick = () => {
    setHeaders([...headers, ['', '']]);
  };

  const onHeaderRemove = index => {
    let newHeaders = (0,lodash__WEBPACK_IMPORTED_MODULE_4__.cloneDeep)(headers);
    newHeaders.splice(index, 1);
    setHeaders(newHeaders);
  };

  const onHeaderChange = (aim, event, index) => {
    let newHeaders = (0,lodash__WEBPACK_IMPORTED_MODULE_4__.cloneDeep)(headers);

    if (aim === 'key') {
      newHeaders[index][0] = event.target.value;
    }

    if (aim === 'value') {
      newHeaders[index][1] = event.target.value;
    }

    setHeaders(newHeaders);
  };

  const onActionChange = event => {
    let newActions = new Set(actions);

    if (event.target.checked) {
      newActions.add(event.target.name);
    } else {
      newActions.delete(event.target.name);
    }

    setActions(newActions);
  };

  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (webhook === null) {
      setHeaders([]);
      setSendForAllActions(true);
      setActions(new Set());
      setIsActive(true);
      setSendPayload(true);
      setUrl(''); // Reset the URL for new webhook creation

      return;
    } // Set all states for editing an existing webhook


    setHeaders(Object.entries(webhook.headers));
    setSendForAllActions(webhook.send_for_all_actions);
    setActions(new Set(webhook.actions));
    setIsActive(webhook.is_active);
    setSendPayload(webhook.send_payload);
    setUrl(webhook.url || ''); // Set the URL from the webhook prop
  }, [webhook]);

  const resetForm = () => {
    setHeaders([]);
    setSendForAllActions(true);
    setActions(new Set());
    setIsActive(true);
    setSendPayload(true);
    setUrl(''); // Reset the URL state
  };

  if (projectId === undefined) return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.Fragment, {});
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Block, {
    name: "webhook",
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Elem, {
      name: "title",
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.Fragment, {
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Elem, {
          tag: "span",
          name: "title-base",
          onClick: () => {
            onSelectActive(null);
          }
        }), "  ", webhook === null ? 'New Webhook' : 'Edit Webhook']
      })
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Elem, {
      name: "content",
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Block, {
        name: 'webhook-detail',
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Form, {
          action: webhook === null ? 'createWebhook' : 'updateWebhook',
          params: webhook === null ? {} : {
            pk: webhook.id
          },
          formData: webhook,
          prepareData: data => {
            return { ...data,
              'project': projectId,
              'send_for_all_actions': sendForAllActions,
              'headers': Object.fromEntries(headers.filter(([key]) => key !== '')),
              'actions': Array.from(actions),
              'is_active': isActive,
              'send_payload': sendPayload
            };
          },
          onSubmit: async response => {
            if (!response.error_message) {
              await fetchWebhooks();
              onSelectActive(null);
              resetForm();
            }
          },
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Form.Row, {
            style: {
              display: 'flex',
              flexDirection: 'column',
              padding: '8px 10px',
              gap: '0px'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Label, {
              text: "Payload URL",
              style: {
                marginLeft: '-16px'
              },
              large: true
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsxs)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_8__.Space, {
              className: rootClass.elem('url-space'),
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Input, {
                name: "url",
                value: url,
                onChange: e => setUrl(e.target.value),
                className: rootClass.elem('url-input'),
                placeholder: "URL"
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsxs)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_8__.Space, {
                align: "end",
                className: rootClass.elem('activator'),
                children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)("div", {
                  children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Toggle, {
                    skip: true,
                    checked: isActive,
                    onChange: e => {
                      setIsActive(e.target.checked);
                    }
                  })
                }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)("span", {
                  className: rootClass.elem('black-text'),
                  children: "Active"
                })]
              })]
            })]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsxs)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Form.Row, {
            style: {
              display: 'flex',
              flexDirection: 'column',
              padding: '2px 10px',
              gap: '0px'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Label, {
              text: "Headers",
              style: {
                marginLeft: '-16px'
              },
              large: true
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)("div", {
              className: rootClass.elem('headers'),
              children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsxs)("div", {
                className: rootClass.elem('headers-content'),
                children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_8__.Space, {
                  spread: true,
                  className: rootClass.elem('headers-control'),
                  children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
                    type: "button",
                    onClick: onAddHeaderClick,
                    className: rootClass.elem('headers-add'),
                    icon: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_5__.LsPlusgray, {})
                  })
                }), headers.map(([headKey, headValue], index) => {
                  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsxs)(_components_Space_Space__WEBPACK_IMPORTED_MODULE_8__.Space, {
                    className: rootClass.elem('headers-row'),
                    columnCount: 3,
                    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Input, {
                      className: rootClass.elem('headers-input'),
                      skip: true,
                      placeholder: "header",
                      value: headKey,
                      onChange: e => onHeaderChange('key', e, index)
                    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Input, {
                      className: rootClass.elem('headers-input'),
                      skip: true,
                      placeholder: "value",
                      value: headValue,
                      onChange: e => onHeaderChange('value', e, index)
                    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)("div", {
                      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
                        className: rootClass.elem('headers-remove'),
                        type: "button",
                        icon: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_5__.Iconmldelete, {}),
                        onClick: () => onHeaderRemove(index)
                      })
                    })]
                  }, index);
                })]
              })
            })]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Block, {
            name: "webhook-payload",
            style: {
              marginLeft: '-6px',
              marginTop: '10px',
              marginBottom: '5px'
            },
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Elem, {
              name: "title",
              children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Label, {
                text: "Payload Customization",
                large: true
              })
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Elem, {
              name: "content",
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Elem, {
                name: "content-row",
                children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Checkbox, {
                  skip: true,
                  checked: sendPayload,
                  onChange: e => {
                    setSendPayload(e.target.checked);
                  },
                  label: "Send payload"
                })
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Elem, {
                name: "content-row",
                children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Checkbox, {
                  skip: true,
                  checked: sendForAllActions,
                  label: "Send for all actions",
                  onChange: e => {
                    const checked = e.target.checked;
                    setSendForAllActions(checked); // If unchecked, clear the actions

                    if (!checked) {
                      setActions(new Set());
                    }
                  }
                })
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)("div", {
                children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Elem, {
                  name: "content-row-actions",
                  children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)("div", {
                    style: {
                      padding: '5px 0px'
                    },
                    children: "Customize Payload Send Actions"
                  }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Elem, {
                    name: "actions",
                    children: Object.entries(webhooksInfo).map(([key, value]) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)("div", {
                      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)("div", {
                        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Checkbox, {
                          skip: true,
                          name: key,
                          type: "checkbox",
                          label: value.name,
                          onChange: e => {
                            onActionChange(e); // If unchecked, set sendForAllActions to false

                            if (!e.target.checked) {
                              setSendForAllActions(false);
                            } else {
                              // If checked, check if all individual checkboxes are checked
                              const allChecked = Object.keys(webhooksInfo).every(key => actions.has(key)); // If all are checked, set sendForAllActions to true

                              if (allChecked) {
                                setSendForAllActions(true);
                              }
                            }
                          },
                          checked: actions.has(key) || sendForAllActions
                        })
                      })
                    }, key))
                  })]
                })
              })]
            })]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_3__.Elem, {
            name: "controls",
            children: [webhook === null ? null : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
              look: "danger",
              type: "button",
              className: rootClass.elem('delete-button'),
              onClick: () => (0,_WebhookDeleteModal__WEBPACK_IMPORTED_MODULE_12__.WebhookDeleteModal)({
                onDelete: async () => {
                  await api.callApi('deleteWebhook', {
                    params: {
                      pk: webhook.id
                    }
                  });
                  onBack();
                  await fetchWebhooks();
                }
              }),
              children: "Delete Webhook..."
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)("div", {
              className: rootClass.elem('status'),
              children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_2__.Form.Indicator, {})
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)("span", {
              style: {
                color: 'red',
                cursor: 'pointer'
              },
              className: rootClass.elem('cancel-button'),
              onClick: () => {
                onBack();
                resetForm();
              },
              children: "Discard Changes"
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_13__.jsx)(_components__WEBPACK_IMPORTED_MODULE_1__.Button, {
              primary: true,
              className: rootClass.elem('save-button'),
              children: webhook === null ? 'Add Webhook' : 'Save'
            })]
          })]
        })
      })
    })]
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (WebhookDetail);

/***/ }),

/***/ "./src/pages/WebhookPage/WebhookList.js":
/*!**********************************************!*\
  !*** ./src/pages/WebhookPage/WebhookList.js ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../components */ "./src/components/index.js");
/* harmony import */ var _components_Form__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../components/Form */ "./src/components/Form/index.js");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _WebhookPage_styl__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./WebhookPage.styl */ "./src/pages/WebhookPage/WebhookPage.styl");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _WebhookDeleteModal__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ./WebhookDeleteModal */ "./src/pages/WebhookPage/WebhookDeleteModal.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");



 //import { Checkbox } from '../../components';







 //Test





const WebhookList = ({
  onSelectActive,
  onAddWebhook,
  webhooks,
  fetchWebhooks
}) => {
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_7__.useAPI)();
  if (webhooks === null) return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.Fragment, {});
  const onActiveChange = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async event => {
    console.log('Checkbox changed:', event.target.checked);
    let value = event.target.checked;
    await api.callApi('updateWebhook', {
      params: {
        pk: event.target.name
      },
      body: {
        is_active: value
      }
    });
    await fetchWebhooks();
  }, []);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_5__.Block, {
    name: "webhook",
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_5__.Elem, {
      children: webhooks.length === 0 ? null : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_5__.Block, {
        name: "webhook-list",
        children: webhooks.map((obj, index) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(react__WEBPACK_IMPORTED_MODULE_0__.Fragment, {
          children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_5__.Elem, {
            name: "item",
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_5__.Elem, {
              name: "list-info",
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_5__.Elem, {
                name: "item-url",
                onClick: () => onSelectActive(obj.id),
                children: obj.url
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_5__.Elem, {
                name: "item-active",
                style: {
                  display: 'flex',
                  alignItems: 'center',
                  gap: '10px',
                  marginTop: '5px'
                },
                children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_components_Form__WEBPACK_IMPORTED_MODULE_3__.Toggle, {
                  name: obj.id,
                  checked: obj.is_active,
                  onChange: onActiveChange
                }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)("span", {
                  className: "status-text",
                  children: obj.is_active ? 'Active' : 'Inactive'
                })]
              })]
            }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_5__.Elem, {
              name: "item-control",
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("button", {
                onClick: () => onSelectActive(obj.id),
                style: {
                  display: 'flex',
                  alignItems: 'center',
                  gap: '5px'
                },
                children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_1__.Iconmledit, {}), " Edit"]
              }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("button", {
                onClick: () => (0,_WebhookDeleteModal__WEBPACK_IMPORTED_MODULE_8__.WebhookDeleteModal)({
                  onDelete: async () => {
                    await api.callApi('deleteWebhook', {
                      params: {
                        pk: obj.id
                      }
                    });
                    await fetchWebhooks();
                  }
                }),
                style: {
                  border: '1px solid #ff0000',
                  color: '#ff0000',
                  display: 'flex',
                  alignItems: 'center',
                  gap: '5px'
                },
                children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_1__.Iconmldelete, {}), " Delete"]
              })]
            })]
          }), index < webhooks.length - 1 && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)("hr", {
            style: {
              margin: 'auto',
              width: '95%'
            }
          })]
        }, obj.id))
      })
    })
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (WebhookList);

/***/ }),

/***/ "./src/pages/WebhookPage/WebhookPage.js":
/*!**********************************************!*\
  !*** ./src/pages/WebhookPage/WebhookPage.js ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "WebhookPage": () => (/* binding */ WebhookPage)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _providers_ApiProvider__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../providers/ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _WebhookPage_styl__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./WebhookPage.styl */ "./src/pages/WebhookPage/WebhookPage.styl");
/* harmony import */ var _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../components/ProjectMenu/ProjectMenu */ "./src/components/ProjectMenu/ProjectMenu.js");
/* harmony import */ var _WebhookList__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./WebhookList */ "./src/pages/WebhookPage/WebhookList.js");
/* harmony import */ var _WebhookDetail__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./WebhookDetail */ "./src/pages/WebhookPage/WebhookDetail.js");
/* harmony import */ var _providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../providers/ProjectProvider */ "./src/providers/ProjectProvider.tsx");
/* harmony import */ var _components__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../../components */ "./src/components/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! react-router */ "./node_modules/react-router/esm/react-router.js");
/* harmony import */ var react_icons_fc__WEBPACK_IMPORTED_MODULE_12__ = __webpack_require__(/*! react-icons/fc */ "./node_modules/react-icons/fc/index.esm.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");















const Webhook = () => {
  const [activeWebhook, setActiveWebhook] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);
  const [webhooks, setWebhooks] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);
  const [webhooksInfo, setWebhooksInfo] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);
  const history = (0,react_router__WEBPACK_IMPORTED_MODULE_11__.useHistory)();
  const api = (0,_providers_ApiProvider__WEBPACK_IMPORTED_MODULE_1__.useAPI)();
  const {
    project
  } = (0,_providers_ProjectProvider__WEBPACK_IMPORTED_MODULE_6__.useProject)();
  const projectId = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    if (history.location.pathname.startsWith('/projects')) {
      if (Object.keys(project).length === 0) {
        return null;
      } else {
        return project.id;
      }
    } else {
      return undefined;
    }
  }, [project, history]);
  console.log(projectId, history.location.pathname);
  const fetchWebhooks = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    if (projectId === null) {
      setWebhooks(null);
      return;
    }

    let params = {};

    if (projectId !== undefined) {
      params['project'] = projectId;
    } else {
      params['project'] = null;
    }

    const webhooks = await api.callApi('webhooks', {
      params
    });
    if (webhooks) setWebhooks(webhooks);
  }, [projectId]);
  const fetchWebhooksInfo = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    if (projectId === null) {
      setWebhooksInfo(null);
      return;
    }

    let params = {};

    if (projectId !== undefined) {
      params['organization-only'] = false;
    }

    const info = await api.callApi('webhooksInfo', {
      params
    });
    if (info) setWebhooksInfo(info);
  }, [projectId]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    fetchWebhooks();
    fetchWebhooksInfo();
  }, [project, projectId]);

  if (webhooks === null || webhooksInfo === null || projectId === null) {
    return null;
  }

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_8__.Block, {
    name: "webhook-wrap",
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("div", {
      style: {
        display: 'flex',
        flexDirection: 'row',
        margin: 'auto',
        gap: '20px'
      },
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("div", {
        style: {
          width: '100%'
        },
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_8__.Elem, {
          name: "header",
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("p", {
            children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(react_icons_fc__WEBPACK_IMPORTED_MODULE_12__.FcInfo, {
              size: 25
            }), "Webhooks notify external services in case of a certain event. When any specified event occurs, a POST request is sent to your provided URLs."]
          })
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("div", {
          style: {
            width: '100%',
            border: '1px solid #D1D3D6',
            boxShadow: 'rgba(0, 0, 0, 0.1) 0px 4px 6px',
            marginTop: '10px',
            marginBottom: '10px'
          },
          children: [webhooks && webhooks.length > 0 ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("div", {
            style: {
              background: '#E6E6E6',
              color: '#616161',
              padding: '10px',
              textAlign: 'start'
            },
            children: [webhooks.length, " Webhook", webhooks.length !== 1 ? 's' : '', " added"]
          }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)("div", {
            style: {
              background: '#E6E6E6',
              color: '#616161',
              padding: '10px',
              textAlign: 'start'
            },
            children: "No webhook added"
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)("div", {
            style: {
              display: 'flex',
              flexDirection: 'column'
            },
            children: webhooks && webhooks.length > 0 ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_WebhookList__WEBPACK_IMPORTED_MODULE_4__["default"], {
              onSelectActive: setActiveWebhook,
              fetchWebhooks: fetchWebhooks,
              webhooks: webhooks
            }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)("div", {
              style: {
                padding: '10px',
                textAlign: 'start'
              },
              children: "You can add a webhook using the right pane."
            })
          })]
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)("div", {
        style: {
          width: '100%',
          border: '1px solid #D1D3D6',
          boxShadow: 'rgba(0, 0, 0, 0.1) 0px 4px 6px',
          marginBottom: '10px'
        },
        children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx)(_WebhookDetail__WEBPACK_IMPORTED_MODULE_5__["default"], {
          onSelectActive: setActiveWebhook,
          onBack: () => setActiveWebhook(null) //webhook={null}
          ,
          webhook: activeWebhook ? webhooks.find(obj => obj.id === activeWebhook) : null,
          fetchWebhooks: fetchWebhooks,
          webhooksInfo: webhooksInfo
        })
      })]
    })
  });
};

const WebhookPage = {
  title: "Webhooks",
  path: "/webhooks",
  component: Webhook
};
WebhookPage.context = _components_ProjectMenu_ProjectMenu__WEBPACK_IMPORTED_MODULE_3__.ProjectMenu;

/***/ }),

/***/ "./src/pages/index.js":
/*!****************************!*\
  !*** ./src/pages/index.js ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Pages": () => (/* binding */ Pages)
/* harmony export */ });
/* harmony import */ var _Projects_Projects__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./Projects/Projects */ "./src/pages/Projects/Projects.js");
/* harmony import */ var _Organization__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Organization */ "./src/pages/Organization/index.js");


const Pages = [_Projects_Projects__WEBPACK_IMPORTED_MODULE_0__.ProjectsPage, _Organization__WEBPACK_IMPORTED_MODULE_1__.OrganizationPage];

/***/ }),

/***/ "./src/providers/ApiProvider.js":
/*!**************************************!*\
  !*** ./src/providers/ApiProvider.js ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ApiContext": () => (/* binding */ ApiContext),
/* harmony export */   "ApiProvider": () => (/* binding */ ApiProvider),
/* harmony export */   "useAPI": () => (/* binding */ useAPI)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components_Error_Error__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../components/Error/Error */ "./src/components/Error/Error.js");
/* harmony import */ var _components_Modal_Modal__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../components/Modal/Modal */ "./src/components/Modal/Modal.js");
/* harmony import */ var _config_ApiConfig__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../config/ApiConfig */ "./src/config/ApiConfig.js");
/* harmony import */ var _utils_api_proxy__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utils/api-proxy */ "./src/utils/api-proxy.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");



 //import { API_CONFIG_LSE } from '../config/ApiConfigLSE';




Object.assign(_config_ApiConfig__WEBPACK_IMPORTED_MODULE_3__.API_CONFIG.endpoints //API_CONFIG_LSE.endpoints,
);
const API = new _utils_api_proxy__WEBPACK_IMPORTED_MODULE_4__.APIProxy(_config_ApiConfig__WEBPACK_IMPORTED_MODULE_3__.API_CONFIG);
let apiLocked = false;
const ApiContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)();
ApiContext.displayName = 'ApiContext';

const errorFormatter = result => {
  var _response$detail, _response$exc_info, _response$validation_;

  const {
    response
  } = result; // we should not block app because of some network issue

  const isShutdown = false;
  return {
    isShutdown,
    title: result.error ? "Runtime error" : "Server error",
    message: (_response$detail = response === null || response === void 0 ? void 0 : response.detail) !== null && _response$detail !== void 0 ? _response$detail : result === null || result === void 0 ? void 0 : result.error,
    stacktrace: (_response$exc_info = response === null || response === void 0 ? void 0 : response.exc_info) !== null && _response$exc_info !== void 0 ? _response$exc_info : null,
    version: response === null || response === void 0 ? void 0 : response.version,
    validation: Object.entries((_response$validation_ = response === null || response === void 0 ? void 0 : response.validation_errors) !== null && _response$validation_ !== void 0 ? _response$validation_ : {})
  };
};

const handleError = async (response, showModal = true) => {
  let result = response;

  if (result instanceof Response) {
    result = await API.generateError(response);
  }

  const {
    isShutdown,
    ...formattedError
  } = errorFormatter(result);

  if (showModal) {
    (0,_components_Modal_Modal__WEBPACK_IMPORTED_MODULE_2__.modal)({
      unique: "network-error",
      allowClose: !isShutdown,
      body: isShutdown ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_components_Error_Error__WEBPACK_IMPORTED_MODULE_1__.ErrorWrapper, {
        possum: false,
        title: "Connection refused",
        message: "Server not responding. Is it still running?"
      }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(_components_Error_Error__WEBPACK_IMPORTED_MODULE_1__.ErrorWrapper, { ...formattedError
      }),
      simple: true,
      style: {
        width: 680
      }
    });
  }

  return isShutdown;
};

const ApiProvider = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(({
  children
}, ref) => {
  const [error, setError] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(null);

  const resetError = () => setError(null);

  const callApi = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async (method, {
    params = {},
    errorFilter,
    ...rest
  } = {}) => {
    if (apiLocked) return;
    setError(null);
    const result = await API[method](params, rest);

    if (result.status === 401) {
      apiLocked = true;
      location.href = (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_5__.absoluteURL)("/");
      return;
    }

    if (result.error) {
      const shouldCatchError = !(0,_utils_helpers__WEBPACK_IMPORTED_MODULE_5__.isDefined)(errorFilter) || errorFilter(result) === false;

      if (shouldCatchError) {
        setError(result);
        const isShutdown = await handleError(result, contextValue.showModal);
        apiLocked = apiLocked || isShutdown;
        return null;
      }
    }

    return result;
  }, []);
  const contextValue = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => ({
    api: API,
    callApi,
    handleError,
    resetError,
    error,
    showModal: true,
    errorFormatter,

    isValidMethod(...args) {
      return API.isValidMethod(...args);
    }

  }), [error]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (ref) {
      ref.current = contextValue;
    }
  }, [ref]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(ApiContext.Provider, {
    value: contextValue,
    children: children
  });
});
const useAPI = () => {
  return (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(ApiContext);
};

/***/ }),

/***/ "./src/providers/ConfigProvider.js":
/*!*****************************************!*\
  !*** ./src/providers/ConfigProvider.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ConfigConsumer": () => (/* binding */ ConfigConsumer),
/* harmony export */   "ConfigContext": () => (/* binding */ ConfigContext),
/* harmony export */   "ConfigProvider": () => (/* binding */ ConfigProvider),
/* harmony export */   "useConfig": () => (/* binding */ useConfig)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");


const ConfigContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)(window.APP_SETTINGS);
ConfigContext.displayName = "ConfigContext";
const ConfigConsumer = ConfigContext.Consumer;
const ConfigProvider = ({
  children
}) => {
  var _window$APP_SETTINGS;

  const [config, setConfig] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)((_window$APP_SETTINGS = window.APP_SETTINGS) !== null && _window$APP_SETTINGS !== void 0 ? _window$APP_SETTINGS : {});

  const update = newConfig => {
    if (!newConfig) return;
    setConfig(newConfig);
  };

  const contextValue = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    return { ...config,
      update
    };
  }, [config]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx)(ConfigContext.Provider, {
    value: contextValue,
    children: children
  });
};
const useConfig = () => {
  return (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(ConfigContext);
};

/***/ }),

/***/ "./src/providers/CurrentUser.js":
/*!**************************************!*\
  !*** ./src/providers/CurrentUser.js ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "CurrentUserProvider": () => (/* binding */ CurrentUserProvider),
/* harmony export */   "useCurrentUser": () => (/* binding */ useCurrentUser)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _ApiProvider__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");



const CurrentUserContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)();
const CurrentUserProvider = ({
  children
}) => {
  const api = (0,_ApiProvider__WEBPACK_IMPORTED_MODULE_1__.useAPI)();
  const [user, setUser] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)();
  const fetch = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    api.callApi('me').then(user => {
      setUser(user);
    });
  }, []);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    fetch();
  }, [fetch]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx)(CurrentUserContext.Provider, {
    value: {
      user,
      fetch
    },
    children: children
  });
};
const useCurrentUser = () => {
  var _useContext;

  return (_useContext = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(CurrentUserContext)) !== null && _useContext !== void 0 ? _useContext : {};
};

/***/ }),

/***/ "./src/providers/LibraryProvider.js":
/*!******************************************!*\
  !*** ./src/providers/LibraryProvider.js ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "LibraryContext": () => (/* binding */ LibraryContext),
/* harmony export */   "LibraryProvider": () => (/* binding */ LibraryProvider),
/* harmony export */   "useLibrary": () => (/* binding */ useLibrary)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");


const libraryQueue = new Map();
const libRequest = new Map();

const requestLabelStudio = libraries => async library => {
  var _libraryQueue$get;

  const {
    scriptSrc,
    cssSrc,
    checkAvailability
  } = libraries[library];
  const availableLibrary = checkAvailability();
  const queueSet = (_libraryQueue$get = libraryQueue.get(library)) !== null && _libraryQueue$get !== void 0 ? _libraryQueue$get : new Set();
  libraryQueue.set(library, queueSet);
  if (availableLibrary) return availableLibrary;
  const requestResolver = new Promise(resolve => {
    queueSet.add(() => {
      setTimeout(() => {
        resolve(checkAvailability());
      }, 10);
    });
  });

  if (!libRequest.has(library)) {
    libRequest.set(library, (async () => {
      const assets = [];

      if (scriptSrc) {
        assets.push(new Promise(resolve => {
          const script = document.createElement('script');
          script.type = 'text/javascript';

          script.onload = () => {
            resolve();
          };

          script.src = scriptSrc;
          script.dataset.replaced = true;
          document.head.appendChild(script);
        }));
      }

      if (cssSrc) {
        assets.push(new Promise(resolve => {
          const link = document.createElement('link');
          link.rel = "stylesheet";
          link.type = "text/css";

          link.onload = () => {
            resolve();
          };

          link.href = cssSrc;
          link.dataset.replaced = true;
          document.head.appendChild(link);
        }));
      }

      await Promise.all(assets);
      queueSet.forEach(resolver => resolver());
    })());
  }

  return requestResolver;
};

const LibraryContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)({});
const LibraryProvider = ({
  libraries,
  children
}) => {
  const requestLibrary = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    return requestLabelStudio(libraries);
  }, [libraries]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx)(LibraryContext.Provider, {
    value: {
      requestLibrary
    },
    children: children
  });
};
const useLibrary = libraryName => {
  const ctx = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(LibraryContext);
  const [library, setLibrary] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)();
  const fetchLibrary = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async () => {
    const libLoaded = await ctx.requestLibrary(libraryName);
    setLibrary(!!libLoaded);
  }, [ctx, libraryName]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    fetchLibrary();
  }, [fetchLibrary]);
  return library;
};

/***/ }),

/***/ "./src/providers/MultiProvider.js":
/*!****************************************!*\
  !*** ./src/providers/MultiProvider.js ***!
  \****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "MultiProvider": () => (/* binding */ MultiProvider)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");

const MultiProvider = props => {
  var _props$providers;

  let content = props.children || null;
  /* Error/Validation */

  if (!props.providers) {
    throw "MultiProvider: Missing providers prop";
  }

  if (!props.children) {
    throw "MultiProvider: Missing children";
  } // Turn object into an array
  // const numberOfProviders = props.providers.size;


  const numberOfProviders = props.providers.length;

  if (!numberOfProviders) {
    // Providers prop is empty, r
    return content;
  }

  [...((_props$providers = props.providers) !== null && _props$providers !== void 0 ? _props$providers : [])].reverse().forEach(provider => {
    content = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.cloneElement(provider, null, content);
  });
  return content;
};

/***/ }),

/***/ "./src/providers/RoutesProvider.js":
/*!*****************************************!*\
  !*** ./src/providers/RoutesProvider.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "RoutesContext": () => (/* binding */ RoutesContext),
/* harmony export */   "RoutesProvider": () => (/* binding */ RoutesProvider),
/* harmony export */   "useBreadcrumbs": () => (/* binding */ useBreadcrumbs),
/* harmony export */   "useContextComponent": () => (/* binding */ useContextComponent),
/* harmony export */   "useContextProps": () => (/* binding */ useContextProps),
/* harmony export */   "useCurrentPath": () => (/* binding */ useCurrentPath),
/* harmony export */   "useFindRouteComponent": () => (/* binding */ useFindRouteComponent),
/* harmony export */   "useFixedLocation": () => (/* binding */ useFixedLocation),
/* harmony export */   "useNavigation": () => (/* binding */ useNavigation),
/* harmony export */   "useParams": () => (/* binding */ useParams),
/* harmony export */   "useRoutes": () => (/* binding */ useRoutes),
/* harmony export */   "useRoutesMap": () => (/* binding */ useRoutesMap)
/* harmony export */ });
/* harmony import */ var path_to_regexp__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! path-to-regexp */ "./node_modules/path-to-regexp/index.js");
/* harmony import */ var path_to_regexp__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(path_to_regexp__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! react-router */ "./node_modules/react-router/esm/react-router.js");
/* harmony import */ var _pages__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../pages */ "./src/pages/index.js");
/* harmony import */ var _services_breadrumbs__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../services/breadrumbs */ "./src/services/breadrumbs.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _utils_routeHelpers__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../utils/routeHelpers */ "./src/utils/routeHelpers.js");
/* harmony import */ var _AppStoreProvider__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./AppStoreProvider */ "./src/providers/AppStoreProvider.tsx");
/* harmony import */ var _ConfigProvider__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./ConfigProvider */ "./src/providers/ConfigProvider.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");










const RoutesContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_1__.createContext)();

const findMacthingComponents = (path, routesMap, parentPath = "") => {
  const result = [];
  const match = routesMap.find(route => {
    const matchingPath = `${parentPath}${route.path}`;
    const match = (0,react_router__WEBPACK_IMPORTED_MODULE_9__.matchPath)(path, {
      path: matchingPath
    });
    return match;
  });

  if (match) {
    const routePath = `${parentPath}${match.path}`;
    result.push({ ...match,
      path: routePath
    });

    if (match.routes) {
      result.push(...findMacthingComponents(path, match.routes, routePath));
    }
  }

  return result;
};

const flattenRoutesMap = routesMap => {
  const result = [];

  const collect = (items, parentPath) => {
    items.forEach(item => {
      const {
        routes,
        ...rest
      } = item;
      const path = (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_4__.arrayClean)([parentPath, rest.path]).join("");
      result.push({ ...rest,
        path
      });

      if (Array.isArray(routes)) {
        collect(routes, path);
      }
    });
  };

  collect(routesMap);
  return result;
};

const extractNamedRoutesFlat = routesMap => {
  const namedRoutes = {};

  const collect = (routes, parent = "/") => {
    let i = 0,
        l = routes.length;

    for (i; i < l; i++) {
      const route = routes[i];
      const path = `/${parent}/${route.path}`.replace(/([/]+)/ig, '/');
      const name = route.alias;

      if ((0,_utils_helpers__WEBPACK_IMPORTED_MODULE_4__.isDefined)(name)) {
        if (Object.prototype.hasOwnProperty.call(namedRoutes, name)) {
          throw Error(`Duplicate route name ${name} [${path}]: ${namedRoutes[name]} already exists`);
        }

        namedRoutes[name] = path;
      }

      if (route.routes) {
        collect(route.routes, path);
      }
    }

    return namedRoutes;
  };

  return collect(routesMap, "/");
};

const RoutesProvider = ({
  children
}) => {
  const history = (0,react_router__WEBPACK_IMPORTED_MODULE_9__.useHistory)();
  const location = (0,react_router__WEBPACK_IMPORTED_MODULE_9__.useLocation)();
  const config = (0,_ConfigProvider__WEBPACK_IMPORTED_MODULE_7__.useConfig)();
  const {
    store
  } = (0,_AppStoreProvider__WEBPACK_IMPORTED_MODULE_6__.useAppStore)();
  const breadcrumbs = (0,_services_breadrumbs__WEBPACK_IMPORTED_MODULE_3__.useBreadcrumbControls)();
  const [currentContext, setCurrentContext] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(null);
  const [currentContextProps, setCurrentContextProps] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(null);
  const routesMap = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
    return (0,_utils_routeHelpers__WEBPACK_IMPORTED_MODULE_5__.pageSetToRoutes)(_pages__WEBPACK_IMPORTED_MODULE_2__.Pages, {
      config,
      store
    });
  }, [location, config, store, history]);
  const flatRoutesList = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
    return flattenRoutesMap(routesMap);
  }, [routesMap]);
  const routesChain = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
    return findMacthingComponents(location.pathname, routesMap);
  }, [location, routesMap]);
  const lastRoute = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
    return routesChain.filter(r => !r.modal).slice(-1)[0];
  }, [routesChain]);
  const lastContext = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
    var _routes$find;

    const routes = routesChain.filter(r => !r.modal).reverse();
    return (_routes$find = routes.find(r => (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_4__.isDefined)(r.context))) === null || _routes$find === void 0 ? void 0 : _routes$find.context;
  }, [routesChain]);
  const flatNamedRoutes = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
    return extractNamedRoutesFlat(routesMap);
  }, [routesMap]);
  const isInternalPath = (0,react__WEBPACK_IMPORTED_MODULE_1__.useCallback)(path => {
    return flatRoutesList.reduce((res, route) => {
      const matched = !!(0,react_router__WEBPACK_IMPORTED_MODULE_9__.matchPath)(path, route);
      return matched || res;
    }, false);
  }, [flatRoutesList]);
  const [currentPath, setCurrentPath] = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(lastRoute === null || lastRoute === void 0 ? void 0 : lastRoute.path);
  const contextValue = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => ({
    routesMap,
    breadcrumbs,
    currentContext,
    isInternalPath,
    routes: flatNamedRoutes,
    setContextProps: setCurrentContextProps,
    path: currentPath,
    findComponent: path => findMacthingComponents(path, routesMap)
  }), [breadcrumbs, routesMap, currentContext, currentPath, setCurrentContext, flatNamedRoutes, isInternalPath]);
  (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    //clear();
    const ContextComponent = lastContext;
    setCurrentContext({
      component: ContextComponent !== null && ContextComponent !== void 0 ? ContextComponent : null,
      props: currentContextProps
    });
    setCurrentPath(lastRoute === null || lastRoute === void 0 ? void 0 : lastRoute.path);

    try {
      // show only first two items
      const crumbs = routesChain.slice(0, 2).map(route => {
        var _ref, _route$component$disp, _route$component, _route$component$beta, _route$component2;

        const params = (0,react_router__WEBPACK_IMPORTED_MODULE_9__.matchPath)(location.pathname, {
          path: route.path
        });
        const path = (0,react_router__WEBPACK_IMPORTED_MODULE_9__.generatePath)(route.path, params.params);
        const title = route.title instanceof Function ? route.title() : route.title;
        const key = (_ref = (_route$component$disp = (_route$component = route.component) === null || _route$component === void 0 ? void 0 : _route$component.displayName) !== null && _route$component$disp !== void 0 ? _route$component$disp : route.key) !== null && _ref !== void 0 ? _ref : path;
        const beta = (_route$component$beta = (_route$component2 = route.component) === null || _route$component2 === void 0 ? void 0 : _route$component2.beta) !== null && _route$component$beta !== void 0 ? _route$component$beta : false;
        const titleRaw = route.titleRaw;
        return {
          path,
          title,
          key,
          beta,
          titleRaw
        };
      }).filter(c => !!c.title);
      (0,_services_breadrumbs__WEBPACK_IMPORTED_MODULE_3__.setBreadcrumbs)(crumbs);
    } catch (err) {
      console.log(err);
    }
  }, [location, routesMap, currentContextProps, routesChain, lastRoute]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(RoutesContext.Provider, {
    value: contextValue,
    children: children
  });
};
const useRoutesMap = () => {
  var _useContext$routesMap, _useContext;

  return (_useContext$routesMap = (_useContext = (0,react__WEBPACK_IMPORTED_MODULE_1__.useContext)(RoutesContext)) === null || _useContext === void 0 ? void 0 : _useContext.routesMap) !== null && _useContext$routesMap !== void 0 ? _useContext$routesMap : [];
};
const useFindRouteComponent = () => {
  var _useContext$findCompo, _useContext2;

  return (_useContext$findCompo = (_useContext2 = (0,react__WEBPACK_IMPORTED_MODULE_1__.useContext)(RoutesContext)) === null || _useContext2 === void 0 ? void 0 : _useContext2.findComponent) !== null && _useContext$findCompo !== void 0 ? _useContext$findCompo : () => null;
};
const useBreadcrumbs = () => {
  var _useContext$breadcrum, _useContext3;

  return (_useContext$breadcrum = (_useContext3 = (0,react__WEBPACK_IMPORTED_MODULE_1__.useContext)(RoutesContext)) === null || _useContext3 === void 0 ? void 0 : _useContext3.breadcrumbs) !== null && _useContext$breadcrum !== void 0 ? _useContext$breadcrum : [];
};
const useCurrentPath = () => {
  var _useContext4;

  return (_useContext4 = (0,react__WEBPACK_IMPORTED_MODULE_1__.useContext)(RoutesContext)) === null || _useContext4 === void 0 ? void 0 : _useContext4.path;
};
const useNavigation = () => {
  var _useContext$routes, _useContext5;

  const routes = (_useContext$routes = (_useContext5 = (0,react__WEBPACK_IMPORTED_MODULE_1__.useContext)(RoutesContext)) === null || _useContext5 === void 0 ? void 0 : _useContext5.routes) !== null && _useContext$routes !== void 0 ? _useContext$routes : {};
  const history = (0,react_router__WEBPACK_IMPORTED_MODULE_9__.useHistory)();

  const lookupPath = name => {
    if (!(0,_utils_helpers__WEBPACK_IMPORTED_MODULE_4__.isDefined)(routes[name])) {
      throw new Error(`Undeclared route alias: ${name}`);
    }

    return routes[name];
  };

  return (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
    return {
      generatePath(name, params) {
        const path = lookupPath(name);
        const keys = [];
        (0,path_to_regexp__WEBPACK_IMPORTED_MODULE_0__.pathToRegexp)(path, keys);
        const names = keys.map(ent => ent.name);
        const queryParams = Object.fromEntries(Object.entries(params !== null && params !== void 0 ? params : {}).filter(p => {
          return !names.includes(p[0]);
        }));

        try {
          const resultPath = (0,react_router__WEBPACK_IMPORTED_MODULE_9__.generatePath)(path, params);
          const searchParams = new URLSearchParams(queryParams);
          return resultPath + (searchParams ? `?${searchParams}` : '');
        } catch (err) {
          throw new Error(`Failed to generate path for ${name} [${path}]: ${err.message}`);
        }
      },

      go(name, params) {
        history.push(this.generatePath(name, params));
      },

      replace(name, params) {
        history.replace(this.generatePath(name, params));
      }

    };
  }, [history, routes]);
};
const useParams = () => {
  const location = (0,react_router__WEBPACK_IMPORTED_MODULE_9__.useLocation)();
  const currentPath = useCurrentPath();
  const match = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
    var _urlParams$params;

    const search = Object.fromEntries(location.search.replace(/^\?/, '').split("&").map(pair => {
      const [key, value] = pair.split('=').map(p => decodeURIComponent(p));
      return [key, value];
    }));
    const urlParams = (0,react_router__WEBPACK_IMPORTED_MODULE_9__.matchPath)(location.pathname, currentPath !== null && currentPath !== void 0 ? currentPath : "");
    return { ...search,
      ...((_urlParams$params = urlParams === null || urlParams === void 0 ? void 0 : urlParams.params) !== null && _urlParams$params !== void 0 ? _urlParams$params : {})
    };
  }, [location, currentPath]);
  return match !== null && match !== void 0 ? match : {};
};
const useContextComponent = () => {
  var _ctx$currentContext;

  const ctx = (0,react__WEBPACK_IMPORTED_MODULE_1__.useContext)(RoutesContext);
  const {
    component: ContextComponent,
    props: contextProps
  } = (_ctx$currentContext = ctx === null || ctx === void 0 ? void 0 : ctx.currentContext) !== null && _ctx$currentContext !== void 0 ? _ctx$currentContext : {};
  return {
    ContextComponent,
    contextProps
  };
};
const useContextProps = () => {
  const setProps = (0,react__WEBPACK_IMPORTED_MODULE_1__.useContext)(RoutesContext).setContextProps;
  return (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => setProps, [setProps]);
};
const useFixedLocation = () => {
  const location = (0,react_router__WEBPACK_IMPORTED_MODULE_9__.useLocation)();
  const result = (0,react__WEBPACK_IMPORTED_MODULE_1__.useMemo)(() => {
    var _location$location;

    return (_location$location = location.location) !== null && _location$location !== void 0 ? _location$location : location;
  }, [location]);
  return result;
};
const useRoutes = () => {
  var _useContext6;

  return (_useContext6 = (0,react__WEBPACK_IMPORTED_MODULE_1__.useContext)(RoutesContext)) !== null && _useContext6 !== void 0 ? _useContext6 : {};
};

/***/ }),

/***/ "./src/routes/ProjectRoutes.js":
/*!*************************************!*\
  !*** ./src/routes/ProjectRoutes.js ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ProjectRoutes": () => (/* binding */ ProjectRoutes)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../providers/RoutesProvider */ "./src/providers/RoutesProvider.js");
/* harmony import */ var _utils_routeHelpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../utils/routeHelpers */ "./src/utils/routeHelpers.js");
/* harmony import */ var _RouteWithStaticFallback__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./RouteWithStaticFallback */ "./src/routes/RouteWithStaticFallback.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");





const ProjectRoutes = ({
  content
}) => {
  const routes = (0,_providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_1__.useRoutesMap)();
  const resolvedRoutes = (0,_utils_routeHelpers__WEBPACK_IMPORTED_MODULE_2__.resolveRoutes)(routes, {
    content
  });
  return resolvedRoutes ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_RouteWithStaticFallback__WEBPACK_IMPORTED_MODULE_3__.RouteWithStaticFallback, {
    path: "/",
    children: resolvedRoutes
  }) : null;
};

/***/ }),

/***/ "./src/routes/RouteWithStaticFallback.js":
/*!***********************************************!*\
  !*** ./src/routes/RouteWithStaticFallback.js ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "RouteWithStaticFallback": () => (/* binding */ RouteWithStaticFallback)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! react-router */ "./node_modules/react-router/esm/react-router.js");
/* harmony import */ var _app_StaticContent_StaticContent__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../app/StaticContent/StaticContent */ "./src/app/StaticContent/StaticContent.js");
/* harmony import */ var _components_Menubar_Menubar__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../components/Menubar/Menubar */ "./src/components/Menubar/Menubar.js");
/* harmony import */ var _config_Sentry__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../config/Sentry */ "./src/config/Sentry.ts");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");









const extractModalRoutes = children => {
  const modalRoutes = [];
  const regularRoutes = [];

  try {
    react__WEBPACK_IMPORTED_MODULE_0__.Children.toArray(children).forEach(child => {
      var _child$props;

      if (child !== null && child !== void 0 && (_child$props = child.props) !== null && _child$props !== void 0 && _child$props.modal) modalRoutes.push(child);else regularRoutes.push(child);
    });
  } catch (err) {
    console.log(err);
    console.log({
      children
    });
  }

  return [modalRoutes, regularRoutes];
};
/**
 * Router wrapper that handles 404 pages
 */


const RouteWithStaticFallback = ({
  children,
  render,
  route,
  component,
  staticComponent,
  ...props
}) => {
  const menubar = react__WEBPACK_IMPORTED_MODULE_0__.useContext(_components_Menubar_Menubar__WEBPACK_IMPORTED_MODULE_2__.MenubarContext);

  const notFoundRenderer = children => {
    let modalRoutes = [];
    let regularRoutes = [];

    if (children.props && children.props.children) {
      [modalRoutes, regularRoutes] = extractModalRoutes(children.props.children);
      children = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.cloneElement(children, {
        children: regularRoutes
      });
    } else if (Array.isArray(children)) {
      [modalRoutes, regularRoutes] = extractModalRoutes(children);
      children = regularRoutes;
    }

    const Static = () => {
      if ((menubar === null || menubar === void 0 ? void 0 : menubar.contextIsSet(null)) === false) menubar === null || menubar === void 0 ? void 0 : menubar.setContext(null);
      return staticComponent !== null && staticComponent !== void 0 ? staticComponent : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_app_StaticContent_StaticContent__WEBPACK_IMPORTED_MODULE_1__.StaticContent, {
        id: "main-content"
      });
    };

    const exactRoutes = modalRoutes.reduce((res, route) => {
      if (route.props.exact) {
        res.exact.push(route);
      } else {
        res.modal.push(route);
      }

      return res;
    }, {
      exact: [],
      modal: []
    });
    return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.Fragment, {
      children: [exactRoutes.modal, /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsxs)(react_router__WEBPACK_IMPORTED_MODULE_5__.Switch, {
        children: [exactRoutes.exact, children, /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_config_Sentry__WEBPACK_IMPORTED_MODULE_3__.SentryRoute, {
          exact: true,
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(Static, {})
        })]
      })]
    });
  };

  const routeProps = {};

  if (render) {
    routeProps.render = props => notFoundRenderer(render(props));
  } else if (children instanceof Function) {
    routeProps.children = props => notFoundRenderer(children(props));
  } else if (component) {
    routeProps.component = props => notFoundRenderer(component(props));
  } else {
    routeProps.children = notFoundRenderer(children);
  }

  return route !== false ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_4__.jsx)(_config_Sentry__WEBPACK_IMPORTED_MODULE_3__.SentryRoute, { ...props,
    ...routeProps
  }) : notFoundRenderer(children);
};

/***/ }),

/***/ "./src/services/breadrumbs.js":
/*!************************************!*\
  !*** ./src/services/breadrumbs.js ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "addAction": () => (/* binding */ addAction),
/* harmony export */   "addCrumb": () => (/* binding */ addCrumb),
/* harmony export */   "deleteAction": () => (/* binding */ deleteAction),
/* harmony export */   "deleteCrumb": () => (/* binding */ deleteCrumb),
/* harmony export */   "setBreadcrumbs": () => (/* binding */ setBreadcrumbs),
/* harmony export */   "useBreadcrumbControls": () => (/* binding */ useBreadcrumbControls)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_singleton_hook__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react-singleton-hook */ "./node_modules/react-singleton-hook/es/index.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../utils/helpers */ "./src/utils/helpers.ts");



const initialBreadcrumbs = [];

const noop = () => {
  if (true) {
    console.warn("Breadcrumbs must be initialized first");
  }
};

let setBreadcrumbs = noop;
let addCrumb = noop;
let deleteCrumb = noop;
let addAction = noop;
let deleteAction = noop;
let localCrumbs = [];
const useBreadcrumbControls = (0,react_singleton_hook__WEBPACK_IMPORTED_MODULE_1__.singletonHook)(initialBreadcrumbs, () => {
  const [breadcrumbs, setBreadcrumbsState] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(initialBreadcrumbs);
  localCrumbs = breadcrumbs;

  setBreadcrumbs = newCrumbs => {
    const crumbs = [...(newCrumbs !== null && newCrumbs !== void 0 ? newCrumbs : [])];
    setBreadcrumbsState(crumbs);
    localCrumbs = crumbs;
  };

  addCrumb = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(crumb => {
    if (!(0,_utils_helpers__WEBPACK_IMPORTED_MODULE_2__.isDefined)(crumb === null || crumb === void 0 ? void 0 : crumb.key)) throw Error("Crumb must have a key");
    const crumbs = [...localCrumbs, crumb];
    setBreadcrumbs(crumbs);
    localCrumbs = crumbs;
  }, [breadcrumbs]);
  deleteCrumb = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(key => {
    const crumbs = localCrumbs.filter(c => c.key !== key);
    setBreadcrumbs(crumbs);
    localCrumbs = crumbs;
  }, [breadcrumbs]);
  addAction = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)((key, onClick) => {
    const crumbs = localCrumbs.map(crumb => {
      if (crumb.key === key) {
        return { ...crumb,
          onClick: onClick
        };
      }

      return crumb;
    });
    setBreadcrumbs(crumbs);
    localCrumbs = crumbs;
  }, [breadcrumbs]);
  deleteAction = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(key => {
    const crumbs = localCrumbs.map(crumb => {
      if (crumb.key === key) delete crumb.onClick;
      return crumb;
    });
    setBreadcrumbs(crumbs);
    localCrumbs = crumbs;
  }, [breadcrumbs]);
  return breadcrumbs;
});

/***/ }),

/***/ "./src/utils/api-proxy.js":
/*!********************************!*\
  !*** ./src/utils/api-proxy.js ***!
  \********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "APIProxy": () => (/* binding */ APIProxy)
/* harmony export */ });
/* harmony import */ var _helpers__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./helpers */ "./src/utils/helpers.ts");
function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}
/**
 * @typedef {string | {
  * path: string,
  * method: RequestMethod,
  * convert: ResponseConverter,
  * mock: (url: string, request: Request) => Dict
  * body: Dict,
  * headers: Headers,
  * }} EndpointConfig
  */



/**
  * @typedef {Dict<string, EndpointConfig>} Endpoints
  */

/**
  * @typedef {{
  * gateway: string | URL,
  * endpoints: Dict<EndpointConfig>,
  * commonHeaders: Dict<string>,
  * mockDelay: number,
  * mockDisabled: boolean,
  * sharedParams: Dict<any>,
  * alwaysExpectJSON: boolean,
  * }} APIProxyOptions
  */

/**
  * Proxy layer for any type of API's
  */

class APIProxy {
  /** @type {string} */

  /** @type {Dict<string>} */

  /** @type {number} */

  /** @type {boolean} */

  /** @type {"same-origin"|"cors"} */

  /** @type {Dict} */

  /**
    * Constructor
    * @param {APIProxyOptions} options
    */
  constructor(options) {
    var _options$commonHeader, _options$mockDelay, _options$mockDisabled, _options$sharedParams, _options$alwaysExpect;

    _defineProperty(this, "gateway", null);

    _defineProperty(this, "commonHeaders", {});

    _defineProperty(this, "mockDelay", 0);

    _defineProperty(this, "mockDisabled", false);

    _defineProperty(this, "requestMode", "same-origin");

    _defineProperty(this, "sharedParams", {});

    this.commonHeaders = (_options$commonHeader = options.commonHeaders) !== null && _options$commonHeader !== void 0 ? _options$commonHeader : {};
    this.gateway = this.resolveGateway(options.gateway);
    this.requestMode = this.detectMode();
    this.mockDelay = (_options$mockDelay = options.mockDelay) !== null && _options$mockDelay !== void 0 ? _options$mockDelay : 0;
    this.mockDisabled = (_options$mockDisabled = options.mockDisabled) !== null && _options$mockDisabled !== void 0 ? _options$mockDisabled : false;
    this.sharedParams = (_options$sharedParams = options.sharedParams) !== null && _options$sharedParams !== void 0 ? _options$sharedParams : {};
    this.alwaysExpectJSON = (_options$alwaysExpect = options.alwaysExpectJSON) !== null && _options$alwaysExpect !== void 0 ? _options$alwaysExpect : true;
    this.resolveMethods(options.endpoints);
  }
  /**
    * Check if method exists
    * @param {String} method
    */


  isValidMethod(method) {
    return this[method] instanceof Function;
  }
  /**
    * Resolves gateway to a full URL
    * @returns {string}
    */


  resolveGateway(url) {
    if (url instanceof URL) {
      return url.toString();
    }

    try {
      return new URL(url).toString();
    } catch (e) {
      const gateway = new URL(window.location.href);
      gateway.search = "";
      gateway.hash = "";

      if (url[0] === "/") {
        gateway.pathname = url.replace(/([/])$/, "");
      } else {
        gateway.pathname = `${gateway.pathname}/${url}`.replace(/([/]+)/g, "/").replace(/([/])$/, "");
      }

      return gateway.toString();
    }
  }
  /**
    * Detect RequestMode.
    * @returns {"same-origin"|"cors"}
    */


  detectMode() {
    const currentOrigin = window.location.origin;
    const gatewayOrigin = new URL(this.gateway).origin;
    return currentOrigin === gatewayOrigin ? "same-origin" : "cors";
  }
  /**
    * Build methods list from endpoints
    * @private
    */


  resolveMethods(endpoints, parentPath) {
    if (endpoints) {
      const methods = new Map(Object.entries(endpoints));
      methods.forEach((settings, methodName) => {
        const {
          scope,
          ...restSettings
        } = this.getSettings(settings);
        Object.defineProperty(this, methodName, {
          value: this.createApiCallExecutor(restSettings, [parentPath])
        });
        Object.defineProperty(this, `${methodName}Raw`, {
          value: this.createApiCallExecutor(restSettings, [parentPath], true)
        });
        if (scope) this.resolveMethods(scope, [...(parentPath !== null && parentPath !== void 0 ? parentPath : []), restSettings.path]);
      });
    }
  }
  /**
    * Actual API call
    * @param {EndpointConfig} settings
    * @private
    */


  createApiCallExecutor(methodSettings, parentPath, raw = false) {
    return async (urlParams, {
      headers,
      signal,
      body
    } = {}) => {
      let responseResult, responseMeta;

      try {
        var _this$sharedParams, _methodSettings$metho, _this$commonHeaders, _methodSettings$heade;

        const finalParams = { ...(urlParams !== null && urlParams !== void 0 ? urlParams : {}),
          ...((_this$sharedParams = this.sharedParams) !== null && _this$sharedParams !== void 0 ? _this$sharedParams : {})
        };
        const {
          method,
          url: apiCallURL
        } = this.createUrl(methodSettings.path, finalParams, parentPath);
        const requestMethod = method !== null && method !== void 0 ? method : ((_methodSettings$metho = methodSettings.method) !== null && _methodSettings$metho !== void 0 ? _methodSettings$metho : "get").toUpperCase();
        const initialheaders = Object.assign(this.getDefaultHeaders(requestMethod), (_this$commonHeaders = this.commonHeaders) !== null && _this$commonHeaders !== void 0 ? _this$commonHeaders : {}, (_methodSettings$heade = methodSettings.headers) !== null && _methodSettings$heade !== void 0 ? _methodSettings$heade : {}, headers !== null && headers !== void 0 ? headers : {});
        const requestHeaders = new Headers(initialheaders);
        const requestParams = {
          method: requestMethod,
          headers: requestHeaders,
          mode: this.requestMode,
          credentials: this.requestMode === "cors" ? "omit" : "same-origin"
        };

        if (signal) {
          requestParams.signal = signal;
        }

        if (requestMethod !== "GET") {
          const contentType = requestHeaders.get("Content-Type");
          const {
            sharedParams
          } = this;
          let extendedBody = body !== null && body !== void 0 ? body : {};

          if (extendedBody instanceof FormData) {
            Object.entries(sharedParams !== null && sharedParams !== void 0 ? sharedParams : {}).forEach(([key, value]) => {
              extendedBody.append(key, value);
            });
          } else {
            Object.assign(extendedBody, { ...(sharedParams !== null && sharedParams !== void 0 ? sharedParams : {}),
              ...(body !== null && body !== void 0 ? body : {})
            });
          }

          if (extendedBody instanceof FormData) {
            requestParams.body = extendedBody;
          } else if (contentType === "multipart/form-data") {
            requestParams.body = this.createRequestBody(extendedBody);
          } else if (contentType === "application/json") {
            requestParams.body = this.bodyToJSON(extendedBody);
          } else {
            requestParams.body = extendedBody;
          } // @todo better check for files maybe?


          if (contentType === "multipart/form-data") {
            // fetch will set correct header with boundaries
            requestHeaders.delete('Content-Type');
          }
        }
        /** @type {Response} */


        let rawResponse;

        if (methodSettings.mock && "development" === "development" && !this.mockDisabled) {
          rawResponse = await this.mockRequest(apiCallURL, urlParams, requestParams, methodSettings);
        } else {
          rawResponse = await fetch(apiCallURL, requestParams);
        }

        responseMeta = {
          headers: new Map(Array.from(rawResponse.headers)),
          status: rawResponse.status,
          url: rawResponse.url
        };
        if (raw) return rawResponse;

        if (rawResponse.ok) {
          const responseText = await rawResponse.text();

          try {
            const responseData = rawResponse.status !== 204 ? JSON.parse(this.alwaysExpectJSON ? responseText : responseText || "{}") : {
              ok: true
            };

            if (methodSettings.convert instanceof Function) {
              return await methodSettings.convert(responseData);
            }

            responseResult = responseData;
          } catch (err) {
            responseResult = this.generateException(err, responseText);
          }
        } else {
          responseResult = this.generateError(rawResponse);
        }
      } catch (exception) {
        responseResult = this.generateException(exception);
      }

      Object.defineProperty(responseResult, '$meta', {
        value: responseMeta,
        configurable: false,
        enumerable: false,
        writable: false
      });
      return responseResult;
    };
  }
  /**
    * Retrieve method-specific settings
    * @private
    * @param {EndpointConfig} settings
    * @returns {EndpointConfig}
    */


  getSettings(settings) {
    if (typeof settings === "string") {
      settings = {
        path: settings
      };
    }

    return {
      method: "GET",
      mock: undefined,
      convert: undefined,
      scope: undefined,
      ...settings
    };
  }

  getDefaultHeaders(method) {
    switch (method) {
      case "POST":
      case "PATCH":
      case "DELETE":
        {
          return {
            "Content-Type": "application/json"
          };
        }

      default:
        return {};
    }
  }
  /**
    * Creates a URL from gateway + endpoint path + params
    * @param {string} path
    * @param {Dict} data
    * @private
    */


  createUrl(endpoint, data = {}, parentPath) {
    const url = new URL(this.gateway);
    const usedKeys = [];
    const {
      path: resolvedPath,
      method: resolvedMethod
    } = this.resolveEndpoint(endpoint, data);
    const path = [].concat(...(parentPath !== null && parentPath !== void 0 ? parentPath : []), resolvedPath).filter(p => p !== undefined).join("/").replace(/([/]+)/g, "/");
    const processedPath = path.replace(/:([^/]+)/g, (...res) => {
      const keyRaw = res[1];
      const [key, optional] = keyRaw.match(/([^?]+)(\??)/).slice(1, 3);
      const result = data[key];
      usedKeys.push(key);

      if (result === undefined) {
        if (optional === "?") return "";
        throw new Error(`Can't find key \`${key}\` in data`);
      }

      return result;
    });
    url.pathname += processedPath.replace(/\/+/g, "/").replace(/\/+$/g, "");

    if (data && typeof data === "object") {
      Object.entries(data).forEach(([key, value]) => {
        if (!usedKeys.includes(key)) {
          url.searchParams.set(key, value);
        }
      });
    }

    return {
      url: url.toString(),
      method: resolvedMethod
    };
  }
  /**
    * Resolves an endpoint
    * @param {string|Function} endpoint
    * @param {Dict} data
    */


  resolveEndpoint(endpoint, data) {
    var _finalEndpoint$match;

    let finalEndpoint;

    if (endpoint instanceof Function) {
      finalEndpoint = endpoint(data);
    } else {
      finalEndpoint = endpoint;
    }

    const methodRegexp = /^(GET|POST|PATCH|DELETE|PUT|HEAD|OPTIONS):/;
    const method = (_finalEndpoint$match = finalEndpoint.match(methodRegexp)) === null || _finalEndpoint$match === void 0 ? void 0 : _finalEndpoint$match[1];
    const path = finalEndpoint.replace(methodRegexp, "");
    return {
      method,
      path
    };
  }
  /**
    * Create FormData object from raw JS object
    * @private
    * @param {Dict} body
    */


  createRequestBody(body) {
    if (body instanceof FormData) return body;
    const formData = new FormData();
    Object.entries(body).forEach(([key, value]) => {
      formData.append(key, value);
    });
    return formData;
  }
  /**
    * Converts body to JSON string
    * @param {Object|FormData} body
    */


  bodyToJSON(body) {
    const object = (0,_helpers__WEBPACK_IMPORTED_MODULE_0__.formDataToJPO)(body);
    return JSON.stringify(object);
  }
  /**
    * Generates an error from a Response object
    * @param {Response} fetchResponse
    * @private
    */


  async generateError(fetchResponse, exception) {
    var _exception$message;

    const result = (async () => {
      const text = await fetchResponse.text();

      try {
        return JSON.parse(text);
      } catch (e) {
        return text;
      }
    })();

    return {
      status: fetchResponse.status,
      error: ((_exception$message = exception === null || exception === void 0 ? void 0 : exception.message) !== null && _exception$message !== void 0 ? _exception$message : fetchResponse.statusText) || "Server Error",
      response: await result
    };
  }
  /**
    * Generates an error from a caught exception
    * @param {Error} exception
    * @private
    */


  generateException(exception, details) {
    console.error(exception);

    const parsedDetails = () => {
      try {
        return JSON.parse(details);
      } catch (e) {
        return details;
      }
    };

    return {
      error: exception.message,
      details: parsedDetails()
    };
  }
  /**
    * Emulate server call
    * @param {string} url
    * @param {Request} params
    * @param {EndpointConfig} settings
    */


  mockRequest(url, params, request, settings) {
    return new Promise(async resolve => {
      let response = null;
      let ok = true;

      try {
        const fakeRequest = new Request(request);

        if (typeof request.body === "string") {
          fakeRequest.body = JSON.parse(request.body);
        }

        response = await settings.mock(url, params !== null && params !== void 0 ? params : {}, fakeRequest);
      } catch (err) {
        console.error(err);
        ok = false;
      }

      setTimeout(() => {
        resolve({
          ok,

          json() {
            return Promise.resolve(response);
          }

        });
      }, this.mockDelay);
    });
  }

}

/***/ }),

/***/ "./src/utils/colors.js":
/*!*****************************!*\
  !*** ./src/utils/colors.js ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "LABELS_PALETTE": () => (/* binding */ LABELS_PALETTE),
/* harmony export */   "Palette": () => (/* binding */ Palette)
/* harmony export */ });
const LABELS_PALETTE = "FFA39E D4380D FFC069 AD8B00 D3F261 389E0D 5CDBD3 096DD9 ADC6FF 9254DE F759AB".split(" ").map(s => "#" + s);
function* Palette(colors = LABELS_PALETTE) {
  let index = 0;

  while (true) {
    yield colors[index];
    index = (index + 1) % colors.length;
  }
}
window.Palette = Palette;

/***/ }),

/***/ "./src/utils/debounce.js":
/*!*******************************!*\
  !*** ./src/utils/debounce.js ***!
  \*******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "debounce": () => (/* binding */ debounce)
/* harmony export */ });
/**
 * Returns a function, that, as long as it continues to be invoked,
 * will not be triggered. The function will be called after it
 * stops being called for N milliseconds. If `immediate` is passed,
 * trigger the function on the leading edge, instead of the trailing.
 *
 * @param {function} func
 * @param {number} wait
 * @param {boolean} immediate
 */
function debounce(func, wait, immediate) {
  let timeout;
  return function (...args) {
    const later = () => {
      timeout = null;

      if (!immediate) {
        func.apply(this, args);
      }
    };

    const callNow = immediate && !timeout;
    clearTimeout(timeout);
    timeout = setTimeout(later, wait);
    if (callNow) func.apply(this, args);
  };
}

/***/ }),

/***/ "./src/utils/dom.js":
/*!**************************!*\
  !*** ./src/utils/dom.js ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "alignElements": () => (/* binding */ alignElements)
/* harmony export */ });
/**
 * @param {HTMLElement} source
 * @param {HTMLElement} target
 */
const positioner = (source, target) => {
  const sourcePosition = source.getBoundingClientRect();
  const targetPosition = target.getBoundingClientRect();
  return {
    source: sourcePosition,
    target: targetPosition,

    get top() {
      return sourcePosition.top - targetPosition.height;
    },

    get bottom() {
      return sourcePosition.top + sourcePosition.height;
    },

    get horizontalCenter() {
      return sourcePosition.left + sourcePosition.width / 2 - targetPosition.width / 2;
    },

    get horizontalLeft() {
      return sourcePosition.left;
    },

    get horizontalRight() {
      return sourcePosition.left + sourcePosition.width - targetPosition.width;
    }

  };
};

const alignElements = (elem, target, align = 'bottom-left', padding = 0) => {
  let offsetLeft = 0;
  let offsetTop = 0;
  const pos = positioner(elem, target);
  let resultAlign = align.split('-');

  switch (align) {
    case "top-center":
      offsetTop = pos.top - padding;
      offsetLeft = pos.horizontalCenter;
      break;

    case "top-left":
      offsetTop = pos.top - padding;
      offsetLeft = pos.horizontalLeft;
      break;

    case "top-right":
      offsetTop = pos.top - padding;
      offsetLeft = pos.horizontalRight;
      break;

    case "bottom-center":
      offsetTop = pos.bottom + padding;
      offsetLeft = pos.horizontalCenter;
      break;

    case "bottom-left":
      offsetTop = pos.bottom + padding;
      offsetLeft = pos.horizontalLeft;
      break;

    case "bottom-right":
      offsetTop = pos.bottom + padding;
      offsetLeft = pos.horizontalRight;
      break;

    default:
      break;
  }

  if (offsetTop < window.scrollX) {
    offsetTop = pos.bottom + padding;
    resultAlign[0] = 'bottom';
  } else if (offsetTop + pos.target.height > window.scrollX + window.innerHeight) {
    offsetTop = pos.top - padding;
    resultAlign[0] = 'top';
  }

  if (offsetLeft < 0) {
    offsetLeft = pos.horizontalLeft;
    resultAlign[1] = 'left';
  } else if (offsetLeft + pos.target.width > window.innerWidth) {
    offsetLeft = pos.horizontalRight;
    resultAlign[1] = 'right';
  }

  return {
    top: offsetTop,
    left: offsetLeft,
    pos,
    align: resultAlign.join('-')
  };
};

/***/ }),

/***/ "./src/utils/feature-flags.js":
/*!************************************!*\
  !*** ./src/utils/feature-flags.js ***!
  \************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "FF_DEV_1480": () => (/* binding */ FF_DEV_1480),
/* harmony export */   "FF_DEV_1495": () => (/* binding */ FF_DEV_1495),
/* harmony export */   "FF_DEV_1614": () => (/* binding */ FF_DEV_1614),
/* harmony export */   "FF_DEV_1658": () => (/* binding */ FF_DEV_1658),
/* harmony export */   "FF_DEV_1682": () => (/* binding */ FF_DEV_1682),
/* harmony export */   "FF_DEV_2575": () => (/* binding */ FF_DEV_2575),
/* harmony export */   "FF_LSDV_4711": () => (/* binding */ FF_LSDV_4711),
/* harmony export */   "FF_LSDV_E_297": () => (/* binding */ FF_LSDV_E_297),
/* harmony export */   "isFF": () => (/* binding */ isFF)
/* harmony export */ });
var _window$APP_SETTINGS;

const FEATURE_FLAGS = ((_window$APP_SETTINGS = window.APP_SETTINGS) === null || _window$APP_SETTINGS === void 0 ? void 0 : _window$APP_SETTINGS.feature_flags) || {}; // Fix displaying of created_at in the review mode

const FF_DEV_1480 = "ff_front_dev_1480_created_on_in_review_180122_short"; // Fix avatar blinking and stuck on organization page

const FF_DEV_1495 = "ff_front_dev_1495_avatar_mess_210122_short"; // Notifications

const FF_DEV_1658 = "ff_front_dev_1658_notification_center_170222_short"; // Add rejected icon on the cards

const FF_DEV_1614 = "ff_back_1614_rejected_queue_17022022_short"; // Model version selector per model backend

const FF_DEV_1682 = "ff_front_dev_1682_model_version_dropdown_070622_short"; // Project list performance improvements

const FF_DEV_2575 = "ff_front_dev_2575_projects_list_performance_280622_short"; // Fixes how presigned urls are generated and accessed to remove possibility of CORS errors.

const FF_LSDV_4711 = "fflag_fix_all_lsdv_4711_cors_errors_accessing_task_data_short"; // Enables "Enterprise Awareness" features

const FF_LSDV_E_297 = "fflag_feat_front_lsdv_e_297_increase_oss_to_enterprise_adoption_short";
function isFF(id) {
  if (id in FEATURE_FLAGS) {
    return FEATURE_FLAGS[id] === true;
  } else {
    var _window$APP_SETTINGS2;

    return ((_window$APP_SETTINGS2 = window.APP_SETTINGS) === null || _window$APP_SETTINGS2 === void 0 ? void 0 : _window$APP_SETTINGS2.feature_flags_default_value) === true;
  }
}

/***/ }),

/***/ "./src/utils/routeHelpers.js":
/*!***********************************!*\
  !*** ./src/utils/routeHelpers.js ***!
  \***********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "RouteContext": () => (/* binding */ RouteContext),
/* harmony export */   "pageSetToRoutes": () => (/* binding */ pageSetToRoutes),
/* harmony export */   "resolveRoutes": () => (/* binding */ resolveRoutes)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _config_Sentry__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../config/Sentry */ "./src/config/Sentry.ts");
/* harmony import */ var _routes_RouteWithStaticFallback__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../routes/RouteWithStaticFallback */ "./src/routes/RouteWithStaticFallback.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");




const RouteContext = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createContext();

const resolveWithConfig = (routes, config) => {
  return routes instanceof Function ? routes(config) : routes;
};
/**
 * Resolves a set of components in a set of routes usign component
 * properties.
 *
 * Component can has:
 * @param {String|Function} title Title of a page. Can be either a string or a function that accepts route props as an argument
 * @param {String} path Path of the page. It is always relative to the parent
 * @param {boolean} exact Exact match of the route
 * @param {Array} routes A list of raw routes
 * @param {Object} pages Object with component that define pages. If provided, the function will run recursively
 *
 * The function itself accepts only pages argument.
 * @param {Object} pages Object with components that define pages
 */


const pageSetToRoutes = (pages, config) => {
  const pageProcessor = ([name, page]) => {
    var _route$component;

    const route = {
      path: page.path
    };
    route.exact = !!page.exact;
    route.modal = !!page.modal;
    if (page.title) route.title = page.title;
    if (page.render) route.render = page.render;

    if (page instanceof react__WEBPACK_IMPORTED_MODULE_0__.Component || page instanceof Function) {
      if (name && /Layout/.test(name)) route.layout = page;else route.component = page;
    } else {
      route.component = page.component;
      route.layout = page.layout;
    }

    if (page.pages) {
      route.routes = pageSetToRoutes(resolveWithConfig(page.pages, config), config);
    } else if (page.routes) {
      route.routes = pageSetToRoutes(resolveWithConfig(page.routes, config), config);
    }

    if ((_route$component = route.component) !== null && _route$component !== void 0 && _route$component.context) route.context = route.component.context;
    return route;
  };

  try {
    if (Array.isArray(pages)) {
      return pages.map(page => pageProcessor([null, page]));
    } else {
      return Object.entries(pages).map(pageProcessor);
    }
  } catch (err) {
    console.log(err);
    return [];
  }
};
/**
 *
 * @param {Array} routes List of routes
 * @param {*} props Props to pass to every component and layout
 * @param {*} onRender Callback that runs on every route render
 */

const resolveRoutes = (routes, props) => {
  const resolver = (route, parentPath) => {
    const {
      component: Component,
      layout: Layout,
      path,
      modal,
      routes: _routes,
      ...rest
    } = route;
    const fullPath = parentPath ? `${parentPath}${path}` : path;

    if (_routes) {
      const resolvedNestedRoutes = processRoutes(_routes, fullPath);

      const RouteComponent = routeProps => {
        const children = []; // If a component provided for the set of routes/pages,
        // we render in one level higher to preserve nesting

        if (Component) {
          children.push(processRoutes([{
            path,
            modal,
            ...rest,
            component: Component
          }], parentPath));
        }

        children.push(...resolvedNestedRoutes);
        return Layout ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(Layout, { ...routeProps,
          children: children
        }) : children;
      };

      return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(_routes_RouteWithStaticFallback__WEBPACK_IMPORTED_MODULE_2__.RouteWithStaticFallback, {
        path: fullPath,
        render: RouteComponent
      }, fullPath);
    } else {
      const routeProps = {
        key: fullPath,
        path: fullPath,
        modal: !!Component.modal
      };
      return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(_config_Sentry__WEBPACK_IMPORTED_MODULE_1__.SentryRoute, { ...routeProps,
        exact: true,
        render: () => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(Component, { ...(props !== null && props !== void 0 ? props : {})
        }),
        ...rest
      });
    }
  };

  const processRoutes = (routes, fullPath) => {
    return routes.map(route => resolver(route, fullPath));
  };

  return processRoutes(routes);
};

/***/ }),

/***/ "./src/utils/scripts.js":
/*!******************************!*\
  !*** ./src/utils/scripts.js ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "clearScriptsCache": () => (/* binding */ clearScriptsCache),
/* harmony export */   "isScriptValid": () => (/* binding */ isScriptValid),
/* harmony export */   "reInsertScripts": () => (/* binding */ reInsertScripts),
/* harmony export */   "replaceScript": () => (/* binding */ replaceScript)
/* harmony export */ });
const loadedScripts = new Set();
/**
 * Check wether it's a real script tag or not
 * @param {HTMLScriptElement} script
 */

const isScriptTag = script => {
  return [null, undefined, '', 'text/javascript'].includes(script.type);
};
/**
 * Create a blob url from inline script
 * @param {String} scriptContent
 */


const createScriptLink = scriptContent => {
  const blob = new Blob([scriptContent], {
    type: "text/javascript"
  });
  return URL.createObjectURL(blob).toString();
};

const isScriptValid = (scriptTag, forceUpdate) => {
  // Check wether the tag is a real script or not
  if (!isScriptTag(scriptTag)) {
    return false;
  } // Skip loading already existing scripts


  if (scriptTag.dataset.alwaysReload === undefined) {
    if (forceUpdate !== true && loadedScripts.has(scriptTag.outerHTML)) {
      return false;
    }
  } // Skip if the script is not attached to DOM


  if (!scriptTag.parentNode) {
    return false;
  }

  return true;
};
const clearScriptsCache = () => {
  loadedScripts.clear();
};
/**
 * @param {HTMLScriptElement} targetScript
 * @param {HTMLScriptElement} sourceScript
 */

const swapScripts = (targetScript, sourceScript) => {
  return new Promise(resolve => {
    var _sourceScript;
    /**@type {HTMLScriptElement} */


    const newScript = document.createElement('script');
    sourceScript = (_sourceScript = sourceScript) !== null && _sourceScript !== void 0 ? _sourceScript : targetScript; // Use existing src or create url from script content
    // This is necessary for onload event to work properly

    const src = sourceScript.src || createScriptLink(sourceScript.text); // Remember the script to prevent loading it more than once

    loadedScripts.add(sourceScript.outerHTML); // We respect async attribute, so we only wait for script to load
    // when it's explicitly no async attribute

    if (!sourceScript.async) {
      const onScriptLoaded = ({
        type
      }) => {
        newScript.removeEventListener('load', onScriptLoaded);
        newScript.removeEventListener('error', onScriptLoaded);
        resolve(type === 'error' ? false : newScript);
      };

      newScript.addEventListener('load', onScriptLoaded);
      newScript.addEventListener('error', onScriptLoaded);
    } else {
      resolve();
    }

    if (sourceScript.dataset.alwaysReload !== undefined) {
      newScript.dataset.alwaysReload = "";
    }

    if (sourceScript.id) newScript.id = sourceScript.id;
    if (sourceScript.className) newScript.className = sourceScript.className;
    newScript.dataset.replaced = 'true';
    newScript.async = sourceScript.async;
    newScript.defer = sourceScript.defer;
    newScript.type = 'text/javascript';
    newScript.src = src;
    targetScript.parentNode.insertBefore(newScript, targetScript);
    targetScript.remove();
  });
};
/**
 * @param {HTMLScriptElement} scriptTag
 * @param {Function} onReplace
 */


const replaceScript = async (scriptTag, {
  sourceScript,
  forceUpdate = false
} = {}) => {
  var _sourceScript2;

  sourceScript = (_sourceScript2 = sourceScript) !== null && _sourceScript2 !== void 0 ? _sourceScript2 : scriptTag;
  if (!isScriptValid(scriptTag, forceUpdate)) return;
  if (sourceScript !== scriptTag && !isScriptValid(sourceScript, forceUpdate)) return;
  return swapScripts(scriptTag, sourceScript);
};

const scriptIterator = function* (scripts) {
  while (scripts.length) {
    const nextScript = scripts.shift();
    yield replaceScript(nextScript).then(result => {
      return result;
    });
  }
};
/**
 * Re-inserts script tags inside a given element
 * Only scripts with src or with empty type, or with
 * type text/javascript will be processed
 * @param {HTMLElement} root
 */


const reInsertScripts = async root => {
  const scripts = root.querySelectorAll('script');
  if (!scripts.length) return [];
  const iterarot = scriptIterator(Array.from(scripts));
  const result = [];

  for await (const script of iterarot) {
    result.push(script);
  }

  return result;
};

/***/ }),

/***/ "./src/utils/service-worker.js":
/*!*************************************!*\
  !*** ./src/utils/service-worker.js ***!
  \*************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _feature_flags__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./feature-flags */ "./src/utils/feature-flags.js");


function registerServiceWorker(serviceWorkerFileName) {
  if ("serviceWorker" in navigator) {
    navigator.serviceWorker.register(serviceWorkerFileName).then(function (registration) {
      console.log("Service Worker registered with scope:", registration.scope);
    }).catch(function (error) {
      console.log("Service Worker registration failed:", error);
    });
  }
}

function awakenServiceWorker() {
  if ("serviceWorker" in navigator) {
    navigator.serviceWorker.ready.then(registration => {
      registration.active.postMessage({
        type: "awaken"
      });
    });
  }
}

if ((0,_feature_flags__WEBPACK_IMPORTED_MODULE_0__.isFF)(_feature_flags__WEBPACK_IMPORTED_MODULE_0__.FF_LSDV_4711)) {
  // sw.js and sw-fallback.js are part of the label-studio/label_studio/core/static/js/ directory
  // and are copied with the rest of the static files when running `python manage.py collectstatic`
  registerServiceWorker("/sw.js"); // Wake up the service worker when the page becomes visible
  // This is needed to ensure we are cleaning up cache when the user is using the application
  // and not only when the user is closing the tab.

  document.addEventListener("visibilitychange", () => {
    if (!document.hidden) {
      awakenServiceWorker();
    }
  });
} else {
  // Fallback service worker to disable all caching and just use the network
  registerServiceWorker("/sw-fallback.js");
}

/***/ }),

/***/ "./src/utils/transition.js":
/*!*********************************!*\
  !*** ./src/utils/transition.js ***!
  \*********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "aroundTransition": () => (/* binding */ aroundTransition)
/* harmony export */ });
/**
 * Performs a transition on an element
 * @param {HTMLElement} element
 * @param {Function} transition
 * @param {{
 * init: (element: HTMLElement) => void,
 * transition: (element: HTMLElement) => void,
 * onStart: (element: HTMLElement) => void,
 * beforeTransition: (element: HTMLElement) => void,
 * afterTransition: (element: HTMLElement) => void
 * }} param2
 */
const aroundTransition = (element, {
  init,
  transition,
  onStart,
  beforeTransition,
  afterTransition
} = {}) => {
  return new Promise(async resolve => {
    init === null || init === void 0 ? void 0 : init(element);

    const onTransitionStarted = () => {
      onStart === null || onStart === void 0 ? void 0 : onStart(element);
    };

    const onTransitionEnded = async () => {
      await (afterTransition === null || afterTransition === void 0 ? void 0 : afterTransition(element));
      element.removeEventListener('transitionstart', onTransitionStarted);
      element.removeEventListener('transitionend', onTransitionEnded);
      resolve();
    };

    element.addEventListener('transitionstart', onTransitionStarted);
    element.addEventListener('transitionend', onTransitionEnded);
    await (beforeTransition === null || beforeTransition === void 0 ? void 0 : beforeTransition());
    setTimeout(() => transition(element), 30);
  });
};

/***/ }),

/***/ "./src/components/Badges/Enterprise.tsx":
/*!**********************************************!*\
  !*** ./src/components/Badges/Enterprise.tsx ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "EnterpriseBadge": () => (/* binding */ EnterpriseBadge)
/* harmony export */ });
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Enterprise_styl__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./Enterprise.styl */ "./src/components/Badges/Enterprise.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");





const EnterpriseBadge = ({
  filled
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Block, {
    name: "enterprise-badge",
    mod: {
      filled
    },
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
      name: "label",
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
        name: "icon",
        tag: _assets_icons__WEBPACK_IMPORTED_MODULE_0__.IconSpark
      }), "Enterprise"]
    })
  });
};

/***/ }),

/***/ "./src/components/Caption/Caption.tsx":
/*!********************************************!*\
  !*** ./src/components/Caption/Caption.tsx ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Caption": () => (/* binding */ Caption)
/* harmony export */ });
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _Caption_styl__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Caption.styl */ "./src/components/Caption/Caption.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");



const Caption = ({
  children
}) => {
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_0__.Block, {
    name: "caption",
    tag: "p",
    children: children
  });
};

/***/ }),

/***/ "./src/components/Form/Elements/index.ts":
/*!***********************************************!*\
  !*** ./src/components/Form/Elements/index.ts ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Checkbox": () => (/* reexport safe */ _Checkbox_Checkbox__WEBPACK_IMPORTED_MODULE_6__["default"]),
/* harmony export */   "Counter": () => (/* reexport safe */ _Counter_Counter__WEBPACK_IMPORTED_MODULE_0__["default"]),
/* harmony export */   "Input": () => (/* reexport safe */ _Input_Input__WEBPACK_IMPORTED_MODULE_1__["default"]),
/* harmony export */   "Label": () => (/* reexport safe */ _Label_Label__WEBPACK_IMPORTED_MODULE_2__["default"]),
/* harmony export */   "Select": () => (/* reexport safe */ _Select_Select__WEBPACK_IMPORTED_MODULE_3__["default"]),
/* harmony export */   "TextArea": () => (/* reexport safe */ _TextArea_TextArea__WEBPACK_IMPORTED_MODULE_4__["default"]),
/* harmony export */   "Toggle": () => (/* reexport safe */ _Toggle_Toggle__WEBPACK_IMPORTED_MODULE_5__["default"])
/* harmony export */ });
/* harmony import */ var _Counter_Counter__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./Counter/Counter */ "./src/components/Form/Elements/Counter/Counter.js");
/* harmony import */ var _Input_Input__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./Input/Input */ "./src/components/Form/Elements/Input/Input.js");
/* harmony import */ var _Label_Label__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./Label/Label */ "./src/components/Form/Elements/Label/Label.js");
/* harmony import */ var _Select_Select__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./Select/Select */ "./src/components/Form/Elements/Select/Select.js");
/* harmony import */ var _TextArea_TextArea__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./TextArea/TextArea */ "./src/components/Form/Elements/TextArea/TextArea.js");
/* harmony import */ var _Toggle_Toggle__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./Toggle/Toggle */ "./src/components/Form/Elements/Toggle/Toggle.js");
/* harmony import */ var _Checkbox_Checkbox__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./Checkbox/Checkbox */ "./src/components/Form/Elements/Checkbox/Checkbox.js");








/***/ }),

/***/ "./src/components/Form/Utils.ts":
/*!**************************************!*\
  !*** ./src/components/Form/Utils.ts ***!
  \**************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "useValueTracker": () => (/* binding */ useValueTracker)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");

const useValueTracker = (value, defaultValue) => {
  const initialValue = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    var _ref;

    return (_ref = value !== null && value !== void 0 ? value : defaultValue) !== null && _ref !== void 0 ? _ref : "";
  }, [value, defaultValue]);
  const [finalValue, setValue] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(initialValue);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    setValue(initialValue);
  }, [initialValue]);
  return [finalValue, setValue];
};

/***/ }),

/***/ "./src/components/HeidiTips/HeidiTip.tsx":
/*!***********************************************!*\
  !*** ./src/components/HeidiTips/HeidiTip.tsx ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "HeidiTip": () => (/* binding */ HeidiTip)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _assets_icons__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../assets/icons */ "./src/assets/icons/index.js");
/* harmony import */ var _HeidiTip_styl__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./HeidiTip.styl */ "./src/components/HeidiTips/HeidiTip.styl");
/* harmony import */ var _Button_Button__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../Button/Button */ "./src/components/Button/Button.js");
/* harmony import */ var _assets_images__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../assets/images */ "./src/assets/images/index.js");
/* harmony import */ var _Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../Tooltip/Tooltip */ "./src/components/Tooltip/Tooltip.js");
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ./utils */ "./src/components/HeidiTips/utils.ts");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");











const HeidiLink = ({
  link
}) => {
  const url = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    var _link$params;

    const params = (_link$params = link.params) !== null && _link$params !== void 0 ? _link$params : {};
    /* if needed, add server ID here */

    return (0,_utils__WEBPACK_IMPORTED_MODULE_7__.createURL)(link.url, params);
  }, [link]);
  return (
    /*#__PURE__*/

    /* @ts-ignore-next-line */
    (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
      name: "link",
      tag: "a",
      href: url,
      target: "_blank",
      children: link.label
    })
  );
};

const HeidiTip = ({
  tip,
  onDismiss
}) => {
  const handleClick = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(event => {
    event.preventDefault();
    event.stopPropagation();
    onDismiss();
  }, []);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Block, {
    name: "heidy-tip",
    children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
      name: "content",
      children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
        name: "header",
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
          name: "title",
          children: tip.title
        }), tip.closable &&
        /*#__PURE__*/

        /* @ts-ignore-next-line */
        (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_Tooltip_Tooltip__WEBPACK_IMPORTED_MODULE_6__.Tooltip, {
          title: "Don't show",
          children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
            name: "dismiss",
            tag: _Button_Button__WEBPACK_IMPORTED_MODULE_4__.Button,
            type: "text",
            onClick: handleClick,
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_assets_icons__WEBPACK_IMPORTED_MODULE_2__.LsCross, {})
          })
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
        name: "text",
        children: [tip.content, /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(HeidiLink, {
          link: tip.link
        })]
      })]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
      name: "heidi",
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_8__.jsx)(_assets_images__WEBPACK_IMPORTED_MODULE_5__.HeidiSpeaking, {})
    })]
  });
};

/***/ }),

/***/ "./src/components/HeidiTips/HeidiTips.tsx":
/*!************************************************!*\
  !*** ./src/components/HeidiTips/HeidiTips.tsx ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "HeidiTips": () => (/* binding */ HeidiTips)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _HeidiTip__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./HeidiTip */ "./src/components/HeidiTips/HeidiTip.tsx");
/* harmony import */ var _utils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./utils */ "./src/components/HeidiTips/utils.ts");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");




const HeidiTips = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.memo)(({
  collection
}) => {
  const [tip, setTip] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)((0,_utils__WEBPACK_IMPORTED_MODULE_2__.getRandomTip)(collection));
  const dismiss = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    (0,_utils__WEBPACK_IMPORTED_MODULE_2__.dismissTip)(collection);
    setTip(null);
  }, []);
  return tip && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)(_HeidiTip__WEBPACK_IMPORTED_MODULE_1__.HeidiTip, {
    tip: tip,
    onDismiss: dismiss
  });
});

/***/ }),

/***/ "./src/components/HeidiTips/content.ts":
/*!*********************************************!*\
  !*** ./src/components/HeidiTips/content.ts ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "TipsCollection": () => (/* binding */ TipsCollection)
/* harmony export */ });
const TipsCollection = {
  projectCreation: [{
    title: "Did you know?",
    content: "It’s easier to find the projects when you organize them into workspaces using Label Studio Enterprise.",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://docs.humansignal.com/guide/manage_projects#Create-workspaces-to-organize-projects",
      params: {
        experiment: "project_creation_tip",
        treatment: "find_and_manage_projects"
      }
    }
  }, {
    title: "Unlock faster access provisioning",
    content: "Streamline assigning staff to multiple projects by assigning them to workspaces in Label Studio Enterprise.",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://docs.humansignal.com/guide/manage_projects#Add-or-remove-members-to-a-workspace",
      params: {
        experiment: "project_creation_tip",
        treatment: "faster_provisioning"
      }
    }
  }, {
    title: "Did you know?",
    content: "Users with the Manager role can supervise a set of projects by assigning them to workspaces in Label Studio Enterprise.",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://docs.humansignal.com/guide/manage_users#Roles-in-Label-Studio-Enterprise",
      params: {
        experiment: "project_creation_tip",
        treatment: "supervise_projects"
      }
    }
  }, {
    title: "Did you know?",
    content: "You can control access to specific projects and workspaces for internal team members and external annotators using Label Studio Enterprise.",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://docs.humansignal.com/guide/manage_users#Roles-in-Label-Studio-Enterprise",
      params: {
        experiment: "project_creation_tip",
        treatment: "access_to_projects"
      }
    }
  }, {
    title: "Did you know?",
    content: "You can use or modify dozens or templates to configure your labeling UI, or create a custom configuration from scratch using simple XML-like tag.",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://labelstud.io/guide/setup",
      params: {
        experiment: "project_creation_tip",
        treatment: "templates"
      }
    }
  }, {
    title: "Did you know?",
    content: "You can label tasks with collaborators by setting the minimum number of annotations to more than one. ",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://labelstud.io/guide/labeling#Label-with-collaborators",
      params: {
        experiment: "project_creation_tip",
        treatment: "label_with_collaborators"
      }
    }
  }],
  organizationPage: [{
    title: "It looks like your team is growing!",
    content: "Assign roles to your team using Label Studio Enterprise and control access to sensitive data at the project and workspace levels.",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://docs.humansignal.com/guide/manage_users#Roles-in-Label-Studio-Enterprise",
      params: {
        experiment: "organization_page_tip",
        treatment: "team_growing"
      }
    }
  }, {
    title: "Want to simplify and secure logging in?",
    content: "Enable Single Sign-On for your team using SAML, SCIM2 or LDAP with Label Studio Enterprise.",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://docs.humansignal.com/guide/auth_setup",
      params: {
        experiment: "organization_page_tip",
        treatment: "enable_sso"
      }
    }
  }, {
    title: "Want to improve your labeling team’s efficiency?",
    content: "Gain insight into your annotators’ productivity with project performance dashboards in Label Studio Enterprise.",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://docs.humansignal.com/guide/dashboards",
      params: {
        experiment: "organization_page_tip",
        treatment: "project_performance"
      }
    }
  }, {
    title: "Want to automate task distribution?",
    content: "Create rules, automate how tasks are distributed to annotators, and only show tasks assigned to each annotator in their view.and control task visibility for each annotator.",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://docs.humansignal.com/guide/setup_project#Set-up-annotation-settings-for-your-project",
      params: {
        experiment: "organization_page_tip",
        treatment: "automate_distribution"
      }
    }
  }, {
    title: "Share knowledge with the community",
    content: "Have questions or a tip to share with other Label Studio users? Join the community slack channel for the latest updates. ",
    closable: true,
    link: {
      label: "Join the community",
      url: "https://label-studio.slack.com",
      params: {
        experiment: "organization_page_tip",
        treatment: "share_knowledge"
      }
    }
  }, {
    title: "Did you know?",
    content: "Label Studio supports multiple points of integration with cloud storage, machine learning models, and popular tools to automate your machine learning pipeline.",
    closable: true,
    link: {
      label: "Check out the integrations directory",
      url: "https://labelstud.io/integrations/",
      params: {
        experiment: "organization_page_tip",
        treatment: "integration_points"
      }
    }
  }],
  projectSettings: [{
    title: "Did you know?",
    content: "You can automatically label and sort tasks by prediction score to maximize labeling efficiency in Label Studio Enterprise.",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://docs.humansignal.com/guide/active_learning.html#Set-up-task-sampling-with-prediction-scores",
      params: {
        experiment: "project_settings_tip",
        treatment: "prediction_score"
      }
    }
  }, {
    title: "Did you know?",
    content: "You can increase the quality of your labeled data with reviewer workflows and task agreement scores using Label Studio Enterprise.",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://docs.humansignal.com/guide/quality",
      params: {
        experiment: "project_settings_tip",
        treatment: "quality_and_agreement"
      }
    }
  }, {
    title: "Did you know?",
    content: "You can minimize the number of tasks to be labeled by setting up an automated active learning loop in Label Studio Enterprise.",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://docs.humansignal.com/guide/active_learning",
      params: {
        experiment: "project_settings_tip",
        treatment: "active_learning"
      }
    }
  }, {
    title: "Did you know?",
    content: "You can save time managing infrastructure and upgrades, plus access more features for automation, quality, and team management, by using the Enterprise cloud service.",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://humansignal.com/platform/",
      params: {
        experiment: "project_settings_tip",
        treatment: "infrastructure_and_upgrades"
      }
    }
  }, {
    title: "Did you know?",
    content: "You can connect ML models using the backend SDK to save time with pre-labeling or active learning.",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://labelstud.io/guide/ml",
      params: {
        experiment: "project_settings_tip",
        treatment: "connect_ml_models"
      }
    }
  }, {
    title: "Faster image labeling",
    content: "You can add a rectangle or an ellipse to your image with just two clicks, or double click to create a polygon, rectangle, or ellipse.",
    closable: true,
    link: {
      label: "Learn more",
      url: "https://labelstud.io/guide/labeling#Faster-image-labeling",
      params: {
        experiment: "project_settings_tip",
        treatment: "two_clicks"
      }
    }
  }]
};

/***/ }),

/***/ "./src/components/HeidiTips/utils.ts":
/*!*******************************************!*\
  !*** ./src/components/HeidiTips/utils.ts ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "createURL": () => (/* binding */ createURL),
/* harmony export */   "dismissTip": () => (/* binding */ dismissTip),
/* harmony export */   "getRandomTip": () => (/* binding */ getRandomTip),
/* harmony export */   "isTipDismissed": () => (/* binding */ isTipDismissed)
/* harmony export */ });
/* harmony import */ var _content__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./content */ "./src/components/HeidiTips/content.ts");

const STORE_KEY = "heidi_ignored_tips";

function getKey(collection) {
  return `${STORE_KEY}:${collection}`;
}

function getRandomTip(collection) {
  if (isTipDismissed(collection)) return null;
  const tips = _content__WEBPACK_IMPORTED_MODULE_0__.TipsCollection[collection];
  const index = Math.floor(Math.random() * tips.length);
  return tips[index];
}
/**
 * Set a cookie that indicates that a collection of tips is dismissed
 * for 30 days
 */

function dismissTip(collection) {
  // will expire in 30 days
  const cookieExpiryTime = 1000 * 60 * 60 * 24 * 30;
  const cookieExpiryDate = new Date();
  cookieExpiryDate.setTime(cookieExpiryDate.getTime() + cookieExpiryTime);
  const finalKey = getKey(collection);
  const cookieValue = `${finalKey}=true`;
  const cookieExpiry = `expires=${cookieExpiryDate.toUTCString()}`;
  const cookiePath = 'path=/';
  const cookieString = [cookieValue, cookieExpiry, cookiePath].join("; ");
  document.cookie = cookieString;
}
function isTipDismissed(collection) {
  const cookies = Object.fromEntries(document.cookie.split(";").map(item => item.trim().split('=')));
  const finalKey = getKey(collection);
  return cookies[finalKey] === 'true';
}
function createURL(url, params) {
  var _APP_SETTINGS$user;

  const base = new URL(url);
  Object.entries(params !== null && params !== void 0 ? params : {}).forEach(([key, value]) => {
    base.searchParams.set(key, value);
  });
  const userID = (_APP_SETTINGS$user = APP_SETTINGS.user) === null || _APP_SETTINGS$user === void 0 ? void 0 : _APP_SETTINGS$user.id;
  const serverID = APP_SETTINGS.server_id;
  if (serverID) base.searchParams.set("server_id", serverID);
  if (userID) base.searchParams.set("user_id", userID);
  return base.toString();
}

/***/ }),

/***/ "./src/components/Pagination/Pagination.tsx":
/*!**************************************************!*\
  !*** ./src/components/Pagination/Pagination.tsx ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Pagination": () => (/* binding */ Pagination),
/* harmony export */   "usePage": () => (/* binding */ usePage),
/* harmony export */   "usePageSize": () => (/* binding */ usePageSize)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _Form_Utils__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../Form/Utils */ "./src/components/Form/Utils.ts");
/* harmony import */ var _Form_Elements__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../Form/Elements */ "./src/components/Form/Elements/index.ts");
/* harmony import */ var _Pagination_styl__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./Pagination.styl */ "./src/components/Pagination/Pagination.styl");
/* harmony import */ var _utils_hooks__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../utils/hooks */ "./src/utils/hooks.ts");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");











const isSystemEvent = e => {
  return e.code.match(/arrow/i) !== null || e.shiftKey && e.code.match(/arrow/i) !== null || e.metaKey || e.ctrlKey || e.code === 'Backspace';
};

const getStoredPageSize = name => {
  const value = localStorage.getItem(`pages:${name}`);

  if ((0,_utils_helpers__WEBPACK_IMPORTED_MODULE_2__.isDefined)(value)) {
    return parseInt(value);
  }

  return undefined;
};

const setStoredPageSize = (name, pageSize) => {
  localStorage.setItem(`pages:${name}`, pageSize.toString());
};

const Pagination = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(({
  allowInput = true,
  allowRewind = true,
  disabled = false,
  size = "medium",
  pageSizeOptions = [],
  ...props
}, ref) => {
  var _ref, _getStoredPageSize;

  const [inputMode, setInputMode] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const [currentPage, setCurrentPage] = (0,_Form_Utils__WEBPACK_IMPORTED_MODULE_3__.useValueTracker)(props.page);
  const [waiting, setWaiting] = (0,_Form_Utils__WEBPACK_IMPORTED_MODULE_3__.useValueTracker)(props.waiting);
  const [pageSize, setPageSize] = (0,_Form_Utils__WEBPACK_IMPORTED_MODULE_3__.useValueTracker)(props.pageSize, (_ref = (_getStoredPageSize = getStoredPageSize(props.name)) !== null && _getStoredPageSize !== void 0 ? _getStoredPageSize : pageSizeOptions === null || pageSizeOptions === void 0 ? void 0 : pageSizeOptions[0]) !== null && _ref !== void 0 ? _ref : 10);
  const totalPages = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    var _props$totalPages;

    return (_props$totalPages = props.totalPages) !== null && _props$totalPages !== void 0 ? _props$totalPages : Math.ceil(props.totalItems / pageSize);
  }, [pageSize, props.totalItems, props.totalPages]);
  const visibleItems = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    const {
      totalItems
    } = props;
    const start = pageSize * currentPage - pageSize + 1;
    const end = start + pageSize - 1;
    return {
      start: (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_2__.clamp)(start, 1, totalItems),
      end: (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_2__.clamp)(end, 1, totalItems)
    };
  }, [currentPage, totalPages, pageSize, props.totalItems]);
  const handlePageLoad = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async (pageNumber, pageSize) => {
    if (props.onPageLoad) {
      setWaiting(true);
      await props.onPageLoad(pageNumber, pageSize);
      setWaiting(false);
    }
  }, [props.onPageLoad]);
  const setPageClamped = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)((value, force = false) => {
    const pageNumber = (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_2__.clamp)(value, 1, totalPages);

    if (pageNumber !== currentPage || force === true) {
      setCurrentPage(pageNumber);
      updateURL(pageNumber);
    }
  }, [totalPages, currentPage, pageSize, handlePageLoad]);
  const updateURL = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)((page, options = {}) => {
    if (!props.urlParamName) return;
    const urlParams = new URLSearchParams(location.search);
    urlParams.set(props.urlParamName, page.toString());
    const historyArgs = [{
      page
    }, "", `${location.pathname}?${urlParams.toString()}`];

    if (options.replace) {
      history.replaceState(...historyArgs);
    } else {
      history.pushState(...historyArgs);
    }
  }, [props.urlParamName]);

  const applyPageNumberFromEvent = e => {
    const result = parseInt(e.target.value);
    setPageClamped(result);
    setInputMode(false);
  };

  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    var _props$onInit;

    (_props$onInit = props.onInit) === null || _props$onInit === void 0 ? void 0 : _props$onInit.call(props, currentPage, pageSize);
    updateURL(currentPage, {
      replace: true
    });
  }, []);
  (0,_utils_hooks__WEBPACK_IMPORTED_MODULE_6__.useUpdateEffect)(() => {
    if (currentPage > totalPages) {
      setPageClamped(1, true);
    } else {
      var _props$onChange;

      (_props$onChange = props.onChange) === null || _props$onChange === void 0 ? void 0 : _props$onChange.call(props, currentPage, pageSize);
      handlePageLoad(currentPage, pageSize);
    }
  }, [pageSize, totalPages]);
  (0,_utils_hooks__WEBPACK_IMPORTED_MODULE_6__.useUpdateEffect)(() => {
    var _props$onChange2;

    (_props$onChange2 = props.onChange) === null || _props$onChange2 === void 0 ? void 0 : _props$onChange2.call(props, currentPage, pageSize);
    handlePageLoad(currentPage, pageSize);
  }, [currentPage]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    const popStateHandler = () => {
      var _urlParams$get;

      if (!props.urlParamName) return;
      const urlParams = new URLSearchParams(location.search);
      const pageNumberFromURL = parseInt((_urlParams$get = urlParams.get(props.urlParamName)) !== null && _urlParams$get !== void 0 ? _urlParams$get : "");

      if (!isNaN(pageNumberFromURL) && pageNumberFromURL !== currentPage) {
        setCurrentPage(pageNumberFromURL);
      }
    };

    window.addEventListener('popstate', popStateHandler);
    return () => window.removeEventListener('popstate', popStateHandler);
  }, [props.urlParamName]);
  return totalPages > 1 ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Block, {
    name: "pagination",
    mod: {
      disabled,
      size,
      waiting
    },
    style: props.style,
    children: [props.label && (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_2__.isDefined)(pageSize) && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
      name: "label",
      children: [props.label, ": ", visibleItems.start, "-", visibleItems.end]
    }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
      name: "navigation",
      children: [allowRewind && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.Fragment, {
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(NavigationButton, {
          mod: ['arrow-left', 'arrow-left-double'],
          onClick: () => setPageClamped(1),
          disabled: currentPage === 1
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
          name: "divider"
        })]
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(NavigationButton, {
        mod: ['arrow-left'],
        onClick: () => setPageClamped(currentPage - 1),
        disabled: currentPage === 1
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
        name: "input",
        children: inputMode ? /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("input", {
          type: "text",
          autoFocus: true,
          defaultValue: currentPage,
          pattern: "[0-9]",
          onKeyDown: e => {
            if (e.code === 'Escape') {
              setInputMode(false);
            } else if (e.code === 'Enter') {
              applyPageNumberFromEvent(e);
            } else if (e.code.match(/[0-9]/) === null && !isSystemEvent(e)) {
              e.preventDefault();
              e.stopPropagation();
            }
          },
          onBlur: e => {
            applyPageNumberFromEvent(e);
          }
        }) : /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
          name: "page-indicator",
          onClick: () => {
            if (allowInput) setInputMode(true);
          },
          children: [currentPage, " ", /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)("span", {
            children: ["of ", totalPages]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)("div", {
            onClick: () => {
              /*  */
            }
          })]
        })
      }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(NavigationButton, {
        mod: ['arrow-right'],
        onClick: () => setPageClamped(currentPage + 1),
        disabled: currentPage === totalPages
      }), allowRewind && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.Fragment, {
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
          name: "divider"
        }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(NavigationButton, {
          mod: ['arrow-right', 'arrow-right-double'],
          onClick: () => setPageClamped(totalPages),
          disabled: currentPage === totalPages
        })]
      })]
    }), (pageSizeOptions === null || pageSizeOptions === void 0 ? void 0 : pageSizeOptions.length) > 0 && /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
      name: "page-size",
      children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_Form_Elements__WEBPACK_IMPORTED_MODULE_4__.Select, {
        name: "select-class",
        value: pageSize,
        options: pageSizeOptions.map(v => ({
          label: `${v} per page`,
          value: v
        })),
        onChange: e => {
          const newPageSize = parseInt(e.target.value);
          setPageSize(newPageSize);

          if (props.name) {
            setStoredPageSize(props.name, newPageSize);
          }
        },
        label: "Page Size",
        className: "" // You can replace this with a suitable class if needed
        ,
        validate: value => pageSizeOptions.includes(value) // Basic validation
        ,
        required: true,
        skip: false,
        labelProps: {},
        ghost: false
      })
    })]
  }) : null;
});

const NavigationButton = props => {
  const mod = Object.fromEntries(props.mod.map(m => [m, true]));
  mod.disabled = props.disabled === true;
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx)(_utils_bem__WEBPACK_IMPORTED_MODULE_1__.Elem, {
    name: "btn",
    mod: mod,
    onClick: props.onClick
  });
};

const usePage = (paramName, initialValue = 1) => {
  const params = new URLSearchParams(location.search);
  const urlValue = params.get(paramName);
  const [page, setPage] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(urlValue ? parseInt(urlValue) : initialValue);
  return [page, setPage];
};
const usePageSize = (paramName, initialValue = 1) => {
  const params = new URLSearchParams(location.search);
  const urlValue = params.get(paramName);
  const [pageSize, setPageSize] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(urlValue ? parseInt(urlValue) : initialValue);
  return [pageSize, setPageSize];
};

/***/ }),

/***/ "./src/components/ToggleItems/SwitchToogle.tsx":
/*!*****************************************************!*\
  !*** ./src/components/ToggleItems/SwitchToogle.tsx ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "SwitchToggle": () => (/* binding */ SwitchToggle)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _ToggleItems_styl__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./ToggleItems.styl */ "./src/components/ToggleItems/ToggleItems.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");
// import React, { CSSProperties, useState } from "react";
// import { cn } from "../../utils/bem";
// import "./ToggleItems.styl";
// // Create a new component with the same structure and styling
// export const SwitchToggle = ({
//   className,
//   style,
//   big,
//   items,
//   active,
//   onSelect,
// }: {
//   className: string;
//   style?: CSSProperties;
//   big?: boolean;
//   items: { [name: string]: string };
//   active: string;
//   onSelect: (name: string) => any;
// }) => {
//   const rootClass = cn('toggle-items'); // Keep using the same class name
//   const [isExpanded, setIsExpanded] = useState(false);
//   const handleToggleClick = () => {
//     setIsExpanded(!isExpanded);
//   };
//   return (
//     <div className={rootClass.mod({ big }).mix(className).toString()} style={style}>
//       <button className={rootClass.elem("toggle-button").toString()} onClick={handleToggleClick}>
//         {isExpanded ? '▼' : '▲'} Change the button text to '▼' and '▲'
//       </button>
//       {isExpanded && (
//         <ul>
//           {Object.keys(items).map(option => (
//             <li
//               key={option}
//               className={rootClass.elem("item").mod({ active: option === active }).toString()}
//               onClick={() => onSelect(option)}
//             >
//               {items[option]}
//             </li>
//           ))}
//         </ul>
//       )}
//     </div>
//   );
// };


 // Create a new component to display the list by default


const SwitchToggle = ({
  className,
  style,
  big,
  items,
  active,
  onSelect
}) => {
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('toggle-items'); // Keep using the same class name

  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
    className: `${rootClass.mod({
      big
    }).mix(className).toString()}`,
    style: style,
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("div", {
      className: `${rootClass.elem("item-container")}`,
      children: Object.keys(items).map(option => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("button", {
        className: rootClass.elem("item").mod({
          active: option === active
        }).toString(),
        onClick: () => onSelect(option),
        children: items[option]
      }, option))
    })
  });
};

/***/ }),

/***/ "./src/components/ToggleItems/ToggleItems.tsx":
/*!****************************************************!*\
  !*** ./src/components/ToggleItems/ToggleItems.tsx ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ToggleItems": () => (/* binding */ ToggleItems)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_bem__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../utils/bem */ "./src/utils/bem.tsx");
/* harmony import */ var _ToggleItems_styl__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./ToggleItems.styl */ "./src/components/ToggleItems/ToggleItems.styl");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");
// import React, { CSSProperties, useState } from "react";
// import { cn } from "../../utils/bem";
// import "./ToggleItems.styl";
// export const ToggleItems = ({
//   className,
//   style,
//   big,
//   items,
//   active,
//   onSelect,
// }: {
//   className: string;
//   style?: CSSProperties;
//   big?: boolean;
//   items: { [name: string]: string };
//   active: string;
//   onSelect: (name: string) => any;
// }) => {
//   const rootClass = cn('toggle-items');
//   const [isExpanded, setIsExpanded] = useState(false);
//   const handleToggleClick = () => {
//     setIsExpanded(!isExpanded);
//   };
//   return (
//     <div className={rootClass.mod({ big }).mix(className).toString()} style={style}>
//       <button className={rootClass.elem("toggle-button").toString()} onClick={handleToggleClick}>
//         {isExpanded ? '▲' : '▼'}
//       </button>
//       {isExpanded && (
//         <ul>
//           {Object.keys(items).map(item => (
//             <li
//               key={item}
//               className={rootClass.elem("item").mod({ active: item === active }).toString()}
//               onClick={() => onSelect(item)}
//             >
//               {items[item]}
//             </li>
//           ))}
//         </ul>
//       )}
//     </div>
//   );
// };




const ToggleItems = ({
  className,
  style,
  big,
  items,
  active,
  onSelect
}) => {
  const rootClass = (0,_utils_bem__WEBPACK_IMPORTED_MODULE_1__.cn)('toggle-items');
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("ul", {
    className: rootClass.mod({
      big
    }).mix(className).toString(),
    style: style,
    children: Object.keys(items).map(item => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx)("li", {
      className: rootClass.elem("item").mod({
        active: item === active
      }).toString(),
      onClick: () => onSelect(item),
      children: items[item]
    }, item))
  });
};

/***/ }),

/***/ "./src/config/Sentry.ts":
/*!******************************!*\
  !*** ./src/config/Sentry.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "SentryRoute": () => (/* binding */ SentryRoute),
/* harmony export */   "initSentry": () => (/* binding */ initSentry)
/* harmony export */ });
/* harmony import */ var _sentry_browser__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @sentry/browser */ "./node_modules/@sentry/browser/esm/sdk.js");
/* harmony import */ var _sentry_browser__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! @sentry/browser */ "./node_modules/@sentry/minimal/esm/index.js");
/* harmony import */ var _sentry_react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @sentry/react */ "./node_modules/@sentry/react/esm/reactrouter.js");
/* harmony import */ var _sentry_tracing__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @sentry/tracing */ "./node_modules/@sentry/tracing/esm/index.js");
/* harmony import */ var react_router_dom__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! react-router-dom */ "./node_modules/react-router/esm/react-router.js");




const initSentry = history => {
  setTags();
  _sentry_browser__WEBPACK_IMPORTED_MODULE_1__.init({
    dsn: "https://5f51920ff82a4675a495870244869c6b@o227124.ingest.sentry.io/5838868",
    integrations: [new _sentry_tracing__WEBPACK_IMPORTED_MODULE_0__.Integrations.BrowserTracing({
      routingInstrumentation: _sentry_react__WEBPACK_IMPORTED_MODULE_2__.reactRouterV5Instrumentation(history)
    })],
    environment: "development",
    // Set tracesSampleRate to 1.0 to capture 100%
    // of transactions for performance monitoring.
    // We recommend adjusting this value in production
    tracesSampleRate: 0.25,
    release: getVersion()
  });
};

const setTags = () => {
  const tags = {};

  if (APP_SETTINGS.user.email) {
    _sentry_browser__WEBPACK_IMPORTED_MODULE_3__.setUser({
      email: APP_SETTINGS.user.email,
      username: APP_SETTINGS.user.username
    });
  }

  if (APP_SETTINGS.version) {
    Object.entries(APP_SETTINGS.version).forEach(([packageName, data]) => {
      const {
        version,
        commit
      } = data !== null && data !== void 0 ? data : {};

      if (version) {
        tags['version-' + packageName] = version;
      }

      if (commit) {
        tags['commit-' + packageName] = commit;
      }
    });
  }

  _sentry_browser__WEBPACK_IMPORTED_MODULE_3__.setTags(tags);
};

const getVersion = () => {
  var _APP_SETTINGS$version, _APP_SETTINGS$version2;

  const version = (_APP_SETTINGS$version = APP_SETTINGS.version) === null || _APP_SETTINGS$version === void 0 ? void 0 : (_APP_SETTINGS$version2 = _APP_SETTINGS$version["label-studio-os-package"]) === null || _APP_SETTINGS$version2 === void 0 ? void 0 : _APP_SETTINGS$version2.version;
  return version ? version : "label-studio@1.8.3dev-frontend";
};

const SentryRoute = _sentry_react__WEBPACK_IMPORTED_MODULE_2__.withSentryRouting(react_router_dom__WEBPACK_IMPORTED_MODULE_4__.Route);

/***/ }),

/***/ "./src/hooks/useAbortController.ts":
/*!*****************************************!*\
  !*** ./src/hooks/useAbortController.ts ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "useAbortController": () => (/* binding */ useAbortController)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");

/**
 * Creates a shared AbortController, which can be used to abort requests.
 * Automatically cancels the current controller when the component unmounts.
 */

const useAbortController = () => {
  const controller = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)(new AbortController());
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    return () => {
      controller.current.abort();
    };
  }, []);
  const renew = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    var _controller$current, _controller$current$a;

    (_controller$current = controller.current) === null || _controller$current === void 0 ? void 0 : (_controller$current$a = _controller$current.abort) === null || _controller$current$a === void 0 ? void 0 : _controller$current$a.call(_controller$current);
    controller.current = new AbortController();
  }, []);
  return {
    controller,
    renew
  };
};

/***/ }),

/***/ "./src/hooks/useCopyText.ts":
/*!**********************************!*\
  !*** ./src/hooks/useCopyText.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "useCopyText": () => (/* binding */ useCopyText)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../utils/helpers */ "./src/utils/helpers.ts");


const useCopyText = ({
  defaultText = "",
  timeout = 1200
}) => {
  const [copied, setCopied] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(false);
  const copyTextCallback = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(text => {
    setCopied(true);
    (0,_utils_helpers__WEBPACK_IMPORTED_MODULE_1__.copyText)((0,_utils_helpers__WEBPACK_IMPORTED_MODULE_1__.isDefined)(text) ? text : defaultText);
    setTimeout(() => setCopied(false), timeout);
  }, [defaultText, timeout]);
  return [copied, copyTextCallback];
};

/***/ }),

/***/ "./src/pages/CreateProject/Config/config-hint.ts":
/*!*******************************************************!*\
  !*** ./src/pages/CreateProject/Config/config-hint.ts ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var codemirror__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! codemirror */ "./node_modules/codemirror/lib/codemirror.js");
/* harmony import */ var codemirror__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(codemirror__WEBPACK_IMPORTED_MODULE_0__);
/**
 * Highly improved version of CodeMirror's XML hint addon
 * https://codemirror.net/5/addon/hint/xml-hint.js
 */

const Pos = (codemirror__WEBPACK_IMPORTED_MODULE_0___default().Pos);
const topTags = ["View"];

function matches(hint, typed, matchInMiddle) {
  if (matchInMiddle) return hint.includes(typed);else return hint.startsWith(typed);
}

/**
 * Renders hint with nice formatting
 * @param el CodeMirror hint item
 * @param self list of all hints
 * @param data current hint
 */
function richHint(el, self, data) {
  var _data$name;

  const name = document.createElement("b");
  name.appendChild(document.createTextNode((_data$name = data.name) !== null && _data$name !== void 0 ? _data$name : data.text));
  name.className = "CodeMirror-hint-name";

  if (data.link) {
    const link = document.createElement("a");
    link.href = data.link;
    link.appendChild(name);
    el.appendChild(link);
  } else {
    el.appendChild(name);
  }

  if (data.type) {
    const type = document.createElement("span");
    const value = Array.isArray(data.type) ? data.type.join(" | ") : data.type;
    type.appendChild(document.createTextNode(value));
    type.className = "CodeMirror-hint-type";
    el.appendChild(document.createTextNode(" "));
    el.appendChild(type);
  }

  if (data.description) {
    const description = document.createElement("span");
    description.className = "CodeMirror-hint-description";
    description.appendChild(document.createTextNode(data.description));
    el.appendChild(document.createTextNode(" — "));
    el.appendChild(description);
  }

  el.classList.add("CodeMirror-hint-tag");
}

function getHints(cm, options) {
  const tags = options && options.schemaInfo;
  let quote = options && options.quoteChar || '"';
  const matchInMiddle = options && options.matchInMiddle;
  if (!tags) return;
  const cur = cm.getCursor();
  const token = cm.getTokenAt(cur);

  if (token.end > cur.ch) {
    token.end = cur.ch;
    token.string = token.string.slice(0, cur.ch - token.start);
  }

  let inner = codemirror__WEBPACK_IMPORTED_MODULE_0___default().innerMode(cm.getMode(), token.state);
  if (!inner.mode.xmlCurrentTag) return;
  const result = [];
  let replaceToken = false;
  let prefix;
  const tag = /\btag\b/.test(token.type) && !/>$/.test(token.string);
  const tagName = tag && /^\w/.test(token.string);
  let tagStart;
  let tagType = null;

  if (tagName) {
    const before = cm.getLine(cur.line).slice(Math.max(0, token.start - 2), token.start);
    tagType = /<\/$/.test(before) ? "close" : /<$/.test(before) ? "open" : null;
    if (tagType) tagStart = token.start - (tagType === "close" ? 2 : 1);
  } else if (tag && token.string === "<") {
    tagType = "open";
  } else if (tag && token.string === "</") {
    tagType = "close";
  }

  const tagInfo = inner.mode.xmlCurrentTag(inner.state);

  if (!tag && !tagInfo || tagType) {
    // Tag name completion
    if (tagName) {
      prefix = token.string;
    }

    replaceToken = !!tagType;
    const context = inner.mode.xmlCurrentContext ? inner.mode.xmlCurrentContext(inner.state) : [];
    inner = context.length && context[context.length - 1];
    const curTag = inner && tags[inner];
    const childList = inner ? curTag && curTag.children : topTags;

    if (childList && tagType !== "close") {
      for (const name of childList) if (!prefix || matches(name, prefix, matchInMiddle)) result.push({
        text: "<" + name,
        name,
        description: tags[name].description,
        render: richHint
      });
    } else if (tagType !== "close") {
      for (const name in tags) if (name !== "!attrs" && (!prefix || matches(name, prefix, matchInMiddle))) result.push({
        text: "<" + name,
        name,
        description: tags[name].description,
        render: richHint
      });
    }

    if (inner && (!prefix || tagType === "close" && matches(inner, prefix, matchInMiddle))) result.push({
      text: "</" + inner + ">",
      render: richHint
    });
  } else {
    // Attribute completion
    const curTag = tagInfo && tags[tagInfo.name];
    const attrs = curTag && curTag.attrs;
    if (!attrs) return;

    if (token.type === "string" || token.string === "=") {
      var _attrs$atName$;

      // Attribute value completion
      const before = cm.getRange(Pos(cur.line, Math.max(0, cur.ch - 60)), Pos(cur.line, token.type === "string" ? token.start : token.end));
      const atName = before.match(/([^\s\u00a0=<>"']+)=$/);
      const atValues = atName !== null && atName !== void 0 && atName[1] ? (_attrs$atName$ = attrs[atName[1]]) === null || _attrs$atName$ === void 0 ? void 0 : _attrs$atName$.type : undefined;
      if (!atName || !Object.prototype.hasOwnProperty.call(attrs, atName[1])) return;
      if (!atValues || !Array.isArray(atValues)) return;

      if (token.type === "string") {
        prefix = token.string;
        let n = 0;

        if (/['"]/.test(token.string.charAt(0))) {
          quote = token.string.charAt(0);
          prefix = token.string.slice(1);
          n++;
        }

        const len = token.string.length;

        if (/['"]/.test(token.string.charAt(len - 1))) {
          quote = token.string.charAt(len - 1);
          prefix = token.string.substr(n, len - 2);
        }

        if (n) {
          // an opening quote
          const line = cm.getLine(cur.line);
          if (line.length > token.end && line.charAt(token.end) === quote) token.end++; // include a closing quote
        }

        replaceToken = true;
      }

      const returnHintsFromAtValues = function (atValues) {
        for (const value of atValues) if (!prefix || matches(value, prefix, matchInMiddle)) result.push({
          text: quote + value + quote,
          render: richHint
        });

        return returnHints();
      };

      return returnHintsFromAtValues(atValues);
    } else {
      // An attribute name completion
      if (token.type === "attribute") {
        prefix = token.string;
        replaceToken = true;
      }

      for (const attr in attrs) {
        if (prefix && !matches(attr, prefix, matchInMiddle)) continue;
        const name = attrs[attr].required ? attr + "*" : attr;
        const type = attrs[attr].type;
        result.push({
          text: attr,
          name,
          type,
          description: attrs[attr].description,
          render: richHint
        });
      }
    }
  }

  function returnHints() {
    return {
      list: result,
      from: replaceToken ? Pos(cur.line, tagStart === undefined ? token.start : tagStart) : cur,
      to: replaceToken ? Pos(cur.line, token.end) : cur
    };
  }

  return returnHints();
}

codemirror__WEBPACK_IMPORTED_MODULE_0___default().registerHelper("hint", "xml", getHints);

/***/ }),

/***/ "./src/providers/AppStoreProvider.tsx":
/*!********************************************!*\
  !*** ./src/providers/AppStoreProvider.tsx ***!
  \********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "AppStoreProvider": () => (/* binding */ AppStoreProvider),
/* harmony export */   "useAppStore": () => (/* binding */ useAppStore)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");


const AppStoreContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)({});
AppStoreContext.displayName = 'AppStoreContext';
const AppStoreProvider = ({
  children
}) => {
  const [store, setStore] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)({});
  const update = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(newData => {
    setStore({ ...store,
      ...(newData !== null && newData !== void 0 ? newData : {})
    });
  }, [store]);
  const contextValue = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => ({
    store,
    update
  }), [store, update]);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_1__.jsx)(AppStoreContext.Provider, {
    value: contextValue,
    children: children
  });
};
const useAppStore = () => {
  return (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(AppStoreContext);
};

/***/ }),

/***/ "./src/providers/ProjectProvider.tsx":
/*!*******************************************!*\
  !*** ./src/providers/ProjectProvider.tsx ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ProjectContext": () => (/* binding */ ProjectContext),
/* harmony export */   "ProjectProvider": () => (/* binding */ ProjectProvider),
/* harmony export */   "useProject": () => (/* binding */ useProject)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var shallow_equal__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! shallow-equal */ "./node_modules/shallow-equal/dist/index.esm.js");
/* harmony import */ var _utils_helpers__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../utils/helpers */ "./src/utils/helpers.ts");
/* harmony import */ var _ApiProvider__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./ApiProvider */ "./src/providers/ApiProvider.js");
/* harmony import */ var _AppStoreProvider__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./AppStoreProvider */ "./src/providers/AppStoreProvider.tsx");
/* harmony import */ var _RoutesProvider__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./RoutesProvider */ "./src/providers/RoutesProvider.js");
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! react-router */ "./node_modules/react-router/esm/react-router.js");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");






 //import { useProjectsPermissions } from "./PermissionProvider";
//import { FF_LSDV_E_295, isFF } from "../utils/feature-flags";


const ProjectContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)({});
ProjectContext.displayName = 'ProjectContext';
const projectCache = new Map();
const ProjectProvider = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.memo)(({
  children
}) => {
  var _projectCache$get;

  const api = (0,_ApiProvider__WEBPACK_IMPORTED_MODULE_3__.useAPI)();
  const params = (0,_RoutesProvider__WEBPACK_IMPORTED_MODULE_5__.useParams)();
  const location = (0,react_router__WEBPACK_IMPORTED_MODULE_7__.useLocation)();
  const {
    update: updateStore
  } = (0,_AppStoreProvider__WEBPACK_IMPORTED_MODULE_4__.useAppStore)(); // @todo use null for missed project data

  const [projectData, setProjectData] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)((_projectCache$get = projectCache.get(+params.id)) !== null && _projectCache$get !== void 0 ? _projectCache$get : {}); //const { fetchProjectPermissions, projectsPermissions } = useProjectsPermissions();

  const fetchProject = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async (id, force = false) => {
    const finalProjectId = +(id !== null && id !== void 0 ? id : params.id);
    if (isNaN(finalProjectId)) return;

    if (!force && projectCache.has(finalProjectId)) {
      setProjectData({ ...projectCache.get(finalProjectId)
      });
    }

    const result = await api.callApi('project', {
      params: {
        pk: finalProjectId
      },
      errorFilter: () => false
    }); // if (isFF(FF_LSDV_E_295) && !projectsPermissions.current?.some(p => p.project === finalProjectId))
    //   await fetchProjectPermissions([finalProjectId]);

    const projectInfo = result;

    if ((0,_utils_helpers__WEBPACK_IMPORTED_MODULE_2__.isDefined)(projectInfo) && (0,shallow_equal__WEBPACK_IMPORTED_MODULE_1__.shallowEqualObjects)(projectData, projectInfo) === false) {
      setProjectData(projectInfo);
      updateStore({
        project: projectInfo
      });
      projectCache.set(projectInfo.id, projectInfo);
    }

    return projectInfo;
  }, [params]);
  const updateProject = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(async fields => {
    const result = await api.callApi('updateProject', {
      params: {
        pk: projectData.id
      },
      body: fields
    });

    if (result.$meta) {
      setProjectData(result);
      updateStore({
        project: result
      });
    }

    return result;
  }, [projectData, setProjectData, updateStore]);
  const invalidateCache = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(() => {
    projectCache.clear();
    setProjectData({});
  }, []);
  const contextValue = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    return {
      project: projectData,
      fetchProject,
      updateProject,
      invalidateCache
    };
  }, [projectData, fetchProject, updateProject, invalidateCache]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (location.pathname.startsWith(`/projects`)) {
      if (+params.id !== (projectData === null || projectData === void 0 ? void 0 : projectData.id)) {
        setProjectData({});
      }

      fetchProject();
    }
  }, [location, params]);
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    return () => projectCache.clear();
  }, []);
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_6__.jsx)(ProjectContext.Provider, {
    value: contextValue,
    children: children
  });
}); // without this extra typing VSCode doesn't see the type after import :(

const useProject = () => {
  var _useContext;

  return (_useContext = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(ProjectContext)) !== null && _useContext !== void 0 ? _useContext : {};
};

/***/ }),

/***/ "./src/utils/bem.tsx":
/*!***************************!*\
  !*** ./src/utils/bem.tsx ***!
  \***************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "BemWithSpecifiContext": () => (/* binding */ BemWithSpecifiContext),
/* harmony export */   "Block": () => (/* binding */ Block),
/* harmony export */   "Elem": () => (/* binding */ Elem),
/* harmony export */   "cn": () => (/* binding */ cn)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _helpers__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./helpers */ "./src/utils/helpers.ts");
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react/jsx-runtime */ "./node_modules/react/jsx-runtime.js");
var _process$env$CSS_PREF;




const CSS_PREFIX = (_process$env$CSS_PREF = "ls-") !== null && _process$env$CSS_PREF !== void 0 ? _process$env$CSS_PREF : 'dm-';

const assembleClass = (block, elem, mix, mod) => {
  const rootName = block;
  const elemName = elem ? `${rootName}__${elem}` : null;
  const stateName = Object.entries(mod !== null && mod !== void 0 ? mod : {}).reduce((res, [key, value]) => {
    const stateClass = [elemName !== null && elemName !== void 0 ? elemName : rootName];
    if (value === null || value === undefined) return res;

    if (value !== false) {
      stateClass.push(key);
      if (value !== true) stateClass.push(value);
      res.push(stateClass.join('_'));
    }

    return res;
  }, []);
  const finalClass = [];
  finalClass.push(elemName !== null && elemName !== void 0 ? elemName : rootName);
  finalClass.push(...stateName);

  if (mix) {
    const mixes = Array.isArray(mix) ? mix : [mix];
    const mixMap = [].concat(...mixes).filter(m => (0,_helpers__WEBPACK_IMPORTED_MODULE_1__.isDefined)(m) && m !== "").map(m => {
      if (typeof m === 'string') {
        return m;
      } else {
        var _m$toClassName;

        return m === null || m === void 0 ? void 0 : (_m$toClassName = m.toClassName) === null || _m$toClassName === void 0 ? void 0 : _m$toClassName.call(m);
      }
    }).reduce((res, cls) => [...res, ...cls.split(/\s+/)], []);
    finalClass.push(...mixMap);
  }

  const attachNamespace = cls => {
    if (new RegExp(CSS_PREFIX).test(cls)) return cls;else return `${CSS_PREFIX}${cls}`;
  };

  return finalClass.filter(cls => !(0,_helpers__WEBPACK_IMPORTED_MODULE_1__.isEmptyString)(cls)).map(attachNamespace).join(" ");
};

const BlockContext = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)(null);
const cn = (block, options = {}) => {
  const {
    elem,
    mix,
    mod
  } = options !== null && options !== void 0 ? options : {};
  const blockName = block;
  const classNameBuilder = {
    block(name) {
      return cn(name, {
        elem,
        mix,
        mod
      });
    },

    elem(name) {
      return cn(block, {
        elem: name,
        mix,
        mod
      });
    },

    mod(newMod = {}) {
      const stateOverride = Object.assign({}, mod !== null && mod !== void 0 ? mod : {}, newMod);
      return cn(block !== null && block !== void 0 ? block : blockName, {
        elem,
        mix,
        mod: stateOverride
      });
    },

    mix(...mixes) {
      return cn(block, {
        elem,
        mix: mixes,
        mod
      });
    },

    select(root = document) {
      return root.querySelector(this.toCSSSelector());
    },

    selectAll(root = document) {
      return root.querySelectorAll(this.toCSSSelector());
    },

    closest(root) {
      return root.closest(this.toCSSSelector());
    },

    toString() {
      return assembleClass(block, elem, mix, mod);
    },

    toClassName() {
      return this.toString();
    },

    toCSSSelector() {
      return `.${this.toClassName().replace(/(\s+)/g, '.')}`;
    }

  };
  Object.defineProperty(classNameBuilder, 'Block', {
    value: Block
  });
  Object.defineProperty(classNameBuilder, 'Elem', {
    value: Elem
  });
  Object.defineProperty(classNameBuilder, '__class', {
    value: {
      block,
      elem,
      mix,
      mod
    }
  });
  return classNameBuilder;
};
const BemWithSpecifiContext = context => {
  const LocalContext = context !== null && context !== void 0 ? context : /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createContext)(null);
  const Block = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(({
    tag = 'div',
    name,
    mod,
    mix,
    ...rest
  }, ref) => {
    const rootClass = cn(name);
    const finalMix = [].concat(mix).filter(cnm => !!cnm);
    const className = rootClass.mod(mod).mix(...finalMix, rest.className).toClassName();
    const finalProps = { ...rest,
      ref,
      className
    };
    return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx)(LocalContext.Provider, {
      value: rootClass,
      children: /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(tag, finalProps)
    });
  });
  Block.displayName = 'Block';
  const Elem = /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.forwardRef)(({
    component,
    block,
    name,
    mod,
    mix,
    ...rest
  }, ref) => {
    var _rest$tag;

    const blockCtx = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(LocalContext);
    const finalMix = [].concat(mix).filter(cnm => !!cnm);
    const finalTag = (_rest$tag = rest.tag) !== null && _rest$tag !== void 0 ? _rest$tag : 'div';
    const className = (block ? cn(block) : blockCtx).elem(name).mod(mod).mix(...finalMix, rest.className).toClassName();
    const finalProps = { ...rest,
      ref,
      className
    };
    if (typeof finalTag !== 'string') finalProps.block = blockCtx;
    return /*#__PURE__*/(0,react__WEBPACK_IMPORTED_MODULE_0__.createElement)(component !== null && component !== void 0 ? component : finalTag, finalProps);
  });
  Elem.displayName = 'Elem';
  return {
    Block,
    Elem,
    Context: LocalContext
  };
};
const {
  Block,
  Elem
} = BemWithSpecifiContext(BlockContext);

/***/ }),

/***/ "./src/utils/helpers.ts":
/*!******************************!*\
  !*** ./src/utils/helpers.ts ***!
  \******************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "absoluteURL": () => (/* binding */ absoluteURL),
/* harmony export */   "arrayClean": () => (/* binding */ arrayClean),
/* harmony export */   "avg": () => (/* binding */ avg),
/* harmony export */   "chunks": () => (/* binding */ chunks),
/* harmony export */   "clamp": () => (/* binding */ clamp),
/* harmony export */   "copyText": () => (/* binding */ copyText),
/* harmony export */   "countDecimals": () => (/* binding */ countDecimals),
/* harmony export */   "dispatchReactEvent": () => (/* binding */ dispatchReactEvent),
/* harmony export */   "formDataToJPO": () => (/* binding */ formDataToJPO),
/* harmony export */   "getLastTraceback": () => (/* binding */ getLastTraceback),
/* harmony export */   "humanReadableNumber": () => (/* binding */ humanReadableNumber),
/* harmony export */   "isDefined": () => (/* binding */ isDefined),
/* harmony export */   "isEmptyString": () => (/* binding */ isEmptyString),
/* harmony export */   "numberWithPrecision": () => (/* binding */ numberWithPrecision),
/* harmony export */   "objectClean": () => (/* binding */ objectClean),
/* harmony export */   "removePrefix": () => (/* binding */ removePrefix),
/* harmony export */   "reverseMap": () => (/* binding */ reverseMap),
/* harmony export */   "stringToColor": () => (/* binding */ stringToColor),
/* harmony export */   "unique": () => (/* binding */ unique),
/* harmony export */   "userDisplayName": () => (/* binding */ userDisplayName)
/* harmony export */ });
/* harmony import */ var chroma_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! chroma-js */ "./node_modules/chroma-js/chroma.js");
/* harmony import */ var chroma_js__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(chroma_js__WEBPACK_IMPORTED_MODULE_0__);

const formDataToJPO = formData => {
  if (formData instanceof FormData) {
    const entries = formData.entries();
    return Array.from(entries).reduce((res, [key, value]) => {
      return { ...res,
        [key]: value
      };
    }, {});
  }

  return formData;
};
const unique = (list, expression) => {
  const comparator = expression !== null && expression !== void 0 ? expression : (a, b) => a === b;
  return (list !== null && list !== void 0 ? list : []).reduce((res, item) => {
    const index = res.findIndex(elem => comparator(elem, item));
    if (index < 0) res.push(item);
    return res;
  }, []);
};
const isDefined = value => {
  return value !== null && value !== undefined;
};
const isEmptyString = value => {
  return typeof value === 'string' && value.trim() === "";
};
const objectClean = source => {
  const cleanObject = Object.entries(source).reduce((res, [key, value]) => {
    const valueIsDefined = isDefined(value) && !isEmptyString(value);

    if (!valueIsDefined) {
      return res;
    }

    if (Object.prototype.toString.call(value) === '[object Object]') {
      return [...res, [key, objectClean(value)]];
    } else {
      return [...res, [key, value]];
    }
  }, []);
  return Object.fromEntries(cleanObject);
};
const numberWithPrecision = (n, precision = 1, removeTrailinZero = false) => {
  if (typeof n !== 'number' || isNaN(n)) return '';
  let finalNum = n.toFixed(precision);

  if (removeTrailinZero) {
    finalNum = finalNum.replace(/.(0+)$/, '');
  }

  return finalNum;
};
const humanReadableNumber = n => {
  const abs = Math.abs(n);
  if (isNaN(abs) || n === null) return "—";

  const normalizeNumber = n => numberWithPrecision(n, 1, true);

  let result;

  if (abs < 1e3) {
    result = normalizeNumber(n);
  } else if (abs >= 1e3 && abs < 1e6) {
    result = `${normalizeNumber(n / 1e3)}K`;
  } else if (abs >= 1e6 && abs < 1e9) {
    result = `${normalizeNumber(n / 1e6)}M`;
  } else {
    result = `${normalizeNumber(n / 1e9)}B`;
  }

  return result || null;
};
const absoluteURL = (path = "") => {
  if (path.match(/^https?/) || path.match(/^\/\//)) {
    return path;
  } else {
    return [APP_SETTINGS.hostname.replace(/([/]+)$/, ''), path.replace(/^([/]+)/, '')].join("/");
  }
};
const removePrefix = path => {
  if (APP_SETTINGS.hostname) {
    const hostname = APP_SETTINGS.hostname;
    const prefix = new URL(hostname).pathname.replace(/([/]+)$/, '');
    return path.replace(new RegExp(`^${prefix}`), '');
  }

  return path || "/";
};
const copyText = text => {
  const input = document.createElement('textarea');
  input.style.position = "fixed"; // don't mess up with scroll

  document.body.appendChild(input);
  input.value = text;
  input.focus();
  input.select();
  document.execCommand('copy');
  input.remove();
};
const userDisplayName = user => {
  var _ref, _user$username;

  const firstName = user === null || user === void 0 ? void 0 : user.first_name;
  const lastName = user === null || user === void 0 ? void 0 : user.last_name;
  return firstName || lastName ? [firstName, lastName].filter(n => !!n).join(" ").trim() : (_ref = (_user$username = user === null || user === void 0 ? void 0 : user.username) !== null && _user$username !== void 0 ? _user$username : user === null || user === void 0 ? void 0 : user.email) !== null && _ref !== void 0 ? _ref : "";
};
const chunks = (source, chunkSize) => {
  const result = [];
  let i, j;

  for (i = 0, j = source.length; i < j; i += chunkSize) {
    result.push(source.slice(i, i + chunkSize));
  }

  return result;
};
const avg = nums => nums.reduce((a, b) => a + b, 0) / nums.length;
const stringToColor = str => {
  const chars = [...btoa(str)].map(c => c.charCodeAt(0));
  const numPerChunk = Math.ceil(chars.length / 3);
  const channels = chunks(chars, numPerChunk);

  if (channels.length < 3) {
    const padding = new Array(3 - channels.length);
    padding.fill([0]);
    channels.push(padding);
  }

  const color = channels.map(chunk => {
    const padding = new Array(numPerChunk - chunk.length);

    if (padding.length > 0) {
      padding.fill(0);
      chunk.push(...padding);
    }

    return Math.round(avg(chunk));
  });
  return chroma_js__WEBPACK_IMPORTED_MODULE_0___default()(`rgb(${color})`);
};
const reverseMap = source => {
  const reversed = Object.entries(source).map(ent => ent.reverse());
  return Object.fromEntries(reversed);
};
const arrayClean = source => {
  return source.reduce((res, value) => {
    if (value) res.push(value);
    return res;
  }, []);
};
const clamp = (value, min, max) => {
  return Math.max(min, Math.min(value, max));
};
const dispatchReactEvent = (elem, eventName, value) => {
  var _window, _Object$getOwnPropert;

  const elementTypeName = Object.prototype.toString.call(elem).replace(/^\[object |\]$/g, '');
  const elementType = (_window = window[elementTypeName]) === null || _window === void 0 ? void 0 : _window.prototype;
  const trigger = (_Object$getOwnPropert = Object.getOwnPropertyDescriptor(elementType, "value")) === null || _Object$getOwnPropert === void 0 ? void 0 : _Object$getOwnPropert.set;
  if (trigger && value) trigger.call(elem, value);
  const event = new Event(eventName, {
    bubbles: true,
    cancelable: false
  });
  elem.dispatchEvent(event);
};
const getLastTraceback = traceback => {
  const lines = traceback.split('\n');
  let lastTraceIndex = -1;

  for (let i = lines.length - 1; i >= 0; i--) {
    if (lines[i].startsWith('  File')) {
      lastTraceIndex = i;
      break;
    }
  }

  return lastTraceIndex >= 0 ? lines.slice(lastTraceIndex).join('\n') : traceback;
};
const countDecimals = value => {
  if (Math.floor(value) === value) return 0;
  return value.toString().split(".")[1].length || 0;
};

/***/ }),

/***/ "./src/utils/hooks.ts":
/*!****************************!*\
  !*** ./src/utils/hooks.ts ***!
  \****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "useFirstMountState": () => (/* binding */ useFirstMountState),
/* harmony export */   "useRefresh": () => (/* binding */ useRefresh),
/* harmony export */   "useSet": () => (/* binding */ useSet),
/* harmony export */   "useUpdateEffect": () => (/* binding */ useUpdateEffect)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react-router */ "./node_modules/react-router/esm/react-router.js");
/* harmony import */ var _providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../providers/RoutesProvider */ "./src/providers/RoutesProvider.js");



const useSet = (initialSet = new Set()) => {
  const [set, setSet] = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(initialSet);
  const stableActions = (0,react__WEBPACK_IMPORTED_MODULE_0__.useMemo)(() => {
    const add = item => setSet(prevSet => {
      return new Set([...Array.from(prevSet), item]);
    });

    const remove = item => setSet(prevSet => {
      return new Set(Array.from(prevSet).filter(i => i !== item));
    });

    const toggle = item => setSet(prevSet => {
      return prevSet.has(item) ? new Set(Array.from(prevSet).filter(i => i !== item)) : new Set([...Array.from(prevSet), item]);
    });

    return {
      add,
      remove,
      toggle,
      reset: () => setSet(initialSet)
    };
  }, [setSet]);
  const utils = {
    has: (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(item => set.has(item), [set]),
    ...stableActions
  };
  return [set, utils];
};
const useRefresh = () => {
  const history = (0,react_router__WEBPACK_IMPORTED_MODULE_2__.useHistory)();
  const {
    pathname
  } = (0,_providers_RoutesProvider__WEBPACK_IMPORTED_MODULE_1__.useFixedLocation)();
  const refresh = (0,react__WEBPACK_IMPORTED_MODULE_0__.useCallback)(redirectPath => {
    history.replace("/");
    setTimeout(() => {
      history.replace(redirectPath !== null && redirectPath !== void 0 ? redirectPath : pathname);
    }, 10);
    return pathname;
  }, [pathname]);
  return refresh;
};
function useFirstMountState() {
  const isFirst = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)(true);

  if (isFirst.current) {
    isFirst.current = false;
    return true;
  }

  return isFirst.current;
}
const useUpdateEffect = (effect, deps) => {
  const isFirstMount = useFirstMountState();
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(() => {
    if (!isFirstMount) {
      return effect();
    }
  }, deps);
};

/***/ }),

/***/ "./node_modules/chroma-js/chroma.js":
/*!******************************************!*\
  !*** ./node_modules/chroma-js/chroma.js ***!
  \******************************************/
/***/ (function(module) {

/**
 * chroma.js - JavaScript library for color conversions
 *
 * Copyright (c) 2011-2019, Gregor Aisch
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this
 * list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution.
 *
 * 3. The name Gregor Aisch may not be used to endorse or promote products
 * derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL GREGOR AISCH OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * -------------------------------------------------------
 *
 * chroma.js includes colors from colorbrewer2.org, which are released under
 * the following license:
 *
 * Copyright (c) 2002 Cynthia Brewer, Mark Harrower,
 * and The Pennsylvania State University.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific
 * language governing permissions and limitations under the License.
 *
 * ------------------------------------------------------
 *
 * Named colors are taken from X11 Color Names.
 * http://www.w3.org/TR/css3-color/#svg-color
 *
 * @preserve
 */

(function (global, factory) {
     true ? module.exports = factory() :
    0;
}(this, (function () { 'use strict';

    var limit = function (x, min, max) {
        if ( min === void 0 ) min=0;
        if ( max === void 0 ) max=1;

        return x < min ? min : x > max ? max : x;
    };

    var clip_rgb = function (rgb) {
        rgb._clipped = false;
        rgb._unclipped = rgb.slice(0);
        for (var i=0; i<=3; i++) {
            if (i < 3) {
                if (rgb[i] < 0 || rgb[i] > 255) { rgb._clipped = true; }
                rgb[i] = limit(rgb[i], 0, 255);
            } else if (i === 3) {
                rgb[i] = limit(rgb[i], 0, 1);
            }
        }
        return rgb;
    };

    // ported from jQuery's $.type
    var classToType = {};
    for (var i = 0, list = ['Boolean', 'Number', 'String', 'Function', 'Array', 'Date', 'RegExp', 'Undefined', 'Null']; i < list.length; i += 1) {
        var name = list[i];

        classToType[("[object " + name + "]")] = name.toLowerCase();
    }
    var type = function(obj) {
        return classToType[Object.prototype.toString.call(obj)] || "object";
    };

    var unpack = function (args, keyOrder) {
        if ( keyOrder === void 0 ) keyOrder=null;

    	// if called with more than 3 arguments, we return the arguments
        if (args.length >= 3) { return Array.prototype.slice.call(args); }
        // with less than 3 args we check if first arg is object
        // and use the keyOrder string to extract and sort properties
    	if (type(args[0]) == 'object' && keyOrder) {
    		return keyOrder.split('')
    			.filter(function (k) { return args[0][k] !== undefined; })
    			.map(function (k) { return args[0][k]; });
    	}
    	// otherwise we just return the first argument
    	// (which we suppose is an array of args)
        return args[0];
    };

    var last = function (args) {
        if (args.length < 2) { return null; }
        var l = args.length-1;
        if (type(args[l]) == 'string') { return args[l].toLowerCase(); }
        return null;
    };

    var PI = Math.PI;

    var utils = {
    	clip_rgb: clip_rgb,
    	limit: limit,
    	type: type,
    	unpack: unpack,
    	last: last,
    	PI: PI,
    	TWOPI: PI*2,
    	PITHIRD: PI/3,
    	DEG2RAD: PI / 180,
    	RAD2DEG: 180 / PI
    };

    var input = {
    	format: {},
    	autodetect: []
    };

    var last$1 = utils.last;
    var clip_rgb$1 = utils.clip_rgb;
    var type$1 = utils.type;


    var Color = function Color() {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        var me = this;
        if (type$1(args[0]) === 'object' &&
            args[0].constructor &&
            args[0].constructor === this.constructor) {
            // the argument is already a Color instance
            return args[0];
        }

        // last argument could be the mode
        var mode = last$1(args);
        var autodetect = false;

        if (!mode) {
            autodetect = true;
            if (!input.sorted) {
                input.autodetect = input.autodetect.sort(function (a,b) { return b.p - a.p; });
                input.sorted = true;
            }
            // auto-detect format
            for (var i = 0, list = input.autodetect; i < list.length; i += 1) {
                var chk = list[i];

                mode = chk.test.apply(chk, args);
                if (mode) { break; }
            }
        }

        if (input.format[mode]) {
            var rgb = input.format[mode].apply(null, autodetect ? args : args.slice(0,-1));
            me._rgb = clip_rgb$1(rgb);
        } else {
            throw new Error('unknown format: '+args);
        }

        // add alpha channel
        if (me._rgb.length === 3) { me._rgb.push(1); }
    };

    Color.prototype.toString = function toString () {
        if (type$1(this.hex) == 'function') { return this.hex(); }
        return ("[" + (this._rgb.join(',')) + "]");
    };

    var Color_1 = Color;

    var chroma = function () {
    	var args = [], len = arguments.length;
    	while ( len-- ) args[ len ] = arguments[ len ];

    	return new (Function.prototype.bind.apply( chroma.Color, [ null ].concat( args) ));
    };

    chroma.Color = Color_1;
    chroma.version = '2.1.1';

    var chroma_1 = chroma;

    var unpack$1 = utils.unpack;
    var max = Math.max;

    var rgb2cmyk = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        var ref = unpack$1(args, 'rgb');
        var r = ref[0];
        var g = ref[1];
        var b = ref[2];
        r = r / 255;
        g = g / 255;
        b = b / 255;
        var k = 1 - max(r,max(g,b));
        var f = k < 1 ? 1 / (1-k) : 0;
        var c = (1-r-k) * f;
        var m = (1-g-k) * f;
        var y = (1-b-k) * f;
        return [c,m,y,k];
    };

    var rgb2cmyk_1 = rgb2cmyk;

    var unpack$2 = utils.unpack;

    var cmyk2rgb = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        args = unpack$2(args, 'cmyk');
        var c = args[0];
        var m = args[1];
        var y = args[2];
        var k = args[3];
        var alpha = args.length > 4 ? args[4] : 1;
        if (k === 1) { return [0,0,0,alpha]; }
        return [
            c >= 1 ? 0 : 255 * (1-c) * (1-k), // r
            m >= 1 ? 0 : 255 * (1-m) * (1-k), // g
            y >= 1 ? 0 : 255 * (1-y) * (1-k), // b
            alpha
        ];
    };

    var cmyk2rgb_1 = cmyk2rgb;

    var unpack$3 = utils.unpack;
    var type$2 = utils.type;



    Color_1.prototype.cmyk = function() {
        return rgb2cmyk_1(this._rgb);
    };

    chroma_1.cmyk = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        return new (Function.prototype.bind.apply( Color_1, [ null ].concat( args, ['cmyk']) ));
    };

    input.format.cmyk = cmyk2rgb_1;

    input.autodetect.push({
        p: 2,
        test: function () {
            var args = [], len = arguments.length;
            while ( len-- ) args[ len ] = arguments[ len ];

            args = unpack$3(args, 'cmyk');
            if (type$2(args) === 'array' && args.length === 4) {
                return 'cmyk';
            }
        }
    });

    var unpack$4 = utils.unpack;
    var last$2 = utils.last;
    var rnd = function (a) { return Math.round(a*100)/100; };

    /*
     * supported arguments:
     * - hsl2css(h,s,l)
     * - hsl2css(h,s,l,a)
     * - hsl2css([h,s,l], mode)
     * - hsl2css([h,s,l,a], mode)
     * - hsl2css({h,s,l,a}, mode)
     */
    var hsl2css = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        var hsla = unpack$4(args, 'hsla');
        var mode = last$2(args) || 'lsa';
        hsla[0] = rnd(hsla[0] || 0);
        hsla[1] = rnd(hsla[1]*100) + '%';
        hsla[2] = rnd(hsla[2]*100) + '%';
        if (mode === 'hsla' || (hsla.length > 3 && hsla[3]<1)) {
            hsla[3] = hsla.length > 3 ? hsla[3] : 1;
            mode = 'hsla';
        } else {
            hsla.length = 3;
        }
        return (mode + "(" + (hsla.join(',')) + ")");
    };

    var hsl2css_1 = hsl2css;

    var unpack$5 = utils.unpack;

    /*
     * supported arguments:
     * - rgb2hsl(r,g,b)
     * - rgb2hsl(r,g,b,a)
     * - rgb2hsl([r,g,b])
     * - rgb2hsl([r,g,b,a])
     * - rgb2hsl({r,g,b,a})
     */
    var rgb2hsl = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        args = unpack$5(args, 'rgba');
        var r = args[0];
        var g = args[1];
        var b = args[2];

        r /= 255;
        g /= 255;
        b /= 255;

        var min = Math.min(r, g, b);
        var max = Math.max(r, g, b);

        var l = (max + min) / 2;
        var s, h;

        if (max === min){
            s = 0;
            h = Number.NaN;
        } else {
            s = l < 0.5 ? (max - min) / (max + min) : (max - min) / (2 - max - min);
        }

        if (r == max) { h = (g - b) / (max - min); }
        else if (g == max) { h = 2 + (b - r) / (max - min); }
        else if (b == max) { h = 4 + (r - g) / (max - min); }

        h *= 60;
        if (h < 0) { h += 360; }
        if (args.length>3 && args[3]!==undefined) { return [h,s,l,args[3]]; }
        return [h,s,l];
    };

    var rgb2hsl_1 = rgb2hsl;

    var unpack$6 = utils.unpack;
    var last$3 = utils.last;


    var round = Math.round;

    /*
     * supported arguments:
     * - rgb2css(r,g,b)
     * - rgb2css(r,g,b,a)
     * - rgb2css([r,g,b], mode)
     * - rgb2css([r,g,b,a], mode)
     * - rgb2css({r,g,b,a}, mode)
     */
    var rgb2css = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        var rgba = unpack$6(args, 'rgba');
        var mode = last$3(args) || 'rgb';
        if (mode.substr(0,3) == 'hsl') {
            return hsl2css_1(rgb2hsl_1(rgba), mode);
        }
        rgba[0] = round(rgba[0]);
        rgba[1] = round(rgba[1]);
        rgba[2] = round(rgba[2]);
        if (mode === 'rgba' || (rgba.length > 3 && rgba[3]<1)) {
            rgba[3] = rgba.length > 3 ? rgba[3] : 1;
            mode = 'rgba';
        }
        return (mode + "(" + (rgba.slice(0,mode==='rgb'?3:4).join(',')) + ")");
    };

    var rgb2css_1 = rgb2css;

    var unpack$7 = utils.unpack;
    var round$1 = Math.round;

    var hsl2rgb = function () {
        var assign;

        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];
        args = unpack$7(args, 'hsl');
        var h = args[0];
        var s = args[1];
        var l = args[2];
        var r,g,b;
        if (s === 0) {
            r = g = b = l*255;
        } else {
            var t3 = [0,0,0];
            var c = [0,0,0];
            var t2 = l < 0.5 ? l * (1+s) : l+s-l*s;
            var t1 = 2 * l - t2;
            var h_ = h / 360;
            t3[0] = h_ + 1/3;
            t3[1] = h_;
            t3[2] = h_ - 1/3;
            for (var i=0; i<3; i++) {
                if (t3[i] < 0) { t3[i] += 1; }
                if (t3[i] > 1) { t3[i] -= 1; }
                if (6 * t3[i] < 1)
                    { c[i] = t1 + (t2 - t1) * 6 * t3[i]; }
                else if (2 * t3[i] < 1)
                    { c[i] = t2; }
                else if (3 * t3[i] < 2)
                    { c[i] = t1 + (t2 - t1) * ((2 / 3) - t3[i]) * 6; }
                else
                    { c[i] = t1; }
            }
            (assign = [round$1(c[0]*255),round$1(c[1]*255),round$1(c[2]*255)], r = assign[0], g = assign[1], b = assign[2]);
        }
        if (args.length > 3) {
            // keep alpha channel
            return [r,g,b,args[3]];
        }
        return [r,g,b,1];
    };

    var hsl2rgb_1 = hsl2rgb;

    var RE_RGB = /^rgb\(\s*(-?\d+),\s*(-?\d+)\s*,\s*(-?\d+)\s*\)$/;
    var RE_RGBA = /^rgba\(\s*(-?\d+),\s*(-?\d+)\s*,\s*(-?\d+)\s*,\s*([01]|[01]?\.\d+)\)$/;
    var RE_RGB_PCT = /^rgb\(\s*(-?\d+(?:\.\d+)?)%,\s*(-?\d+(?:\.\d+)?)%\s*,\s*(-?\d+(?:\.\d+)?)%\s*\)$/;
    var RE_RGBA_PCT = /^rgba\(\s*(-?\d+(?:\.\d+)?)%,\s*(-?\d+(?:\.\d+)?)%\s*,\s*(-?\d+(?:\.\d+)?)%\s*,\s*([01]|[01]?\.\d+)\)$/;
    var RE_HSL = /^hsl\(\s*(-?\d+(?:\.\d+)?),\s*(-?\d+(?:\.\d+)?)%\s*,\s*(-?\d+(?:\.\d+)?)%\s*\)$/;
    var RE_HSLA = /^hsla\(\s*(-?\d+(?:\.\d+)?),\s*(-?\d+(?:\.\d+)?)%\s*,\s*(-?\d+(?:\.\d+)?)%\s*,\s*([01]|[01]?\.\d+)\)$/;

    var round$2 = Math.round;

    var css2rgb = function (css) {
        css = css.toLowerCase().trim();
        var m;

        if (input.format.named) {
            try {
                return input.format.named(css);
            } catch (e) {
                // eslint-disable-next-line
            }
        }

        // rgb(250,20,0)
        if ((m = css.match(RE_RGB))) {
            var rgb = m.slice(1,4);
            for (var i=0; i<3; i++) {
                rgb[i] = +rgb[i];
            }
            rgb[3] = 1;  // default alpha
            return rgb;
        }

        // rgba(250,20,0,0.4)
        if ((m = css.match(RE_RGBA))) {
            var rgb$1 = m.slice(1,5);
            for (var i$1=0; i$1<4; i$1++) {
                rgb$1[i$1] = +rgb$1[i$1];
            }
            return rgb$1;
        }

        // rgb(100%,0%,0%)
        if ((m = css.match(RE_RGB_PCT))) {
            var rgb$2 = m.slice(1,4);
            for (var i$2=0; i$2<3; i$2++) {
                rgb$2[i$2] = round$2(rgb$2[i$2] * 2.55);
            }
            rgb$2[3] = 1;  // default alpha
            return rgb$2;
        }

        // rgba(100%,0%,0%,0.4)
        if ((m = css.match(RE_RGBA_PCT))) {
            var rgb$3 = m.slice(1,5);
            for (var i$3=0; i$3<3; i$3++) {
                rgb$3[i$3] = round$2(rgb$3[i$3] * 2.55);
            }
            rgb$3[3] = +rgb$3[3];
            return rgb$3;
        }

        // hsl(0,100%,50%)
        if ((m = css.match(RE_HSL))) {
            var hsl = m.slice(1,4);
            hsl[1] *= 0.01;
            hsl[2] *= 0.01;
            var rgb$4 = hsl2rgb_1(hsl);
            rgb$4[3] = 1;
            return rgb$4;
        }

        // hsla(0,100%,50%,0.5)
        if ((m = css.match(RE_HSLA))) {
            var hsl$1 = m.slice(1,4);
            hsl$1[1] *= 0.01;
            hsl$1[2] *= 0.01;
            var rgb$5 = hsl2rgb_1(hsl$1);
            rgb$5[3] = +m[4];  // default alpha = 1
            return rgb$5;
        }
    };

    css2rgb.test = function (s) {
        return RE_RGB.test(s) ||
            RE_RGBA.test(s) ||
            RE_RGB_PCT.test(s) ||
            RE_RGBA_PCT.test(s) ||
            RE_HSL.test(s) ||
            RE_HSLA.test(s);
    };

    var css2rgb_1 = css2rgb;

    var type$3 = utils.type;




    Color_1.prototype.css = function(mode) {
        return rgb2css_1(this._rgb, mode);
    };

    chroma_1.css = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        return new (Function.prototype.bind.apply( Color_1, [ null ].concat( args, ['css']) ));
    };

    input.format.css = css2rgb_1;

    input.autodetect.push({
        p: 5,
        test: function (h) {
            var rest = [], len = arguments.length - 1;
            while ( len-- > 0 ) rest[ len ] = arguments[ len + 1 ];

            if (!rest.length && type$3(h) === 'string' && css2rgb_1.test(h)) {
                return 'css';
            }
        }
    });

    var unpack$8 = utils.unpack;

    input.format.gl = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        var rgb = unpack$8(args, 'rgba');
        rgb[0] *= 255;
        rgb[1] *= 255;
        rgb[2] *= 255;
        return rgb;
    };

    chroma_1.gl = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        return new (Function.prototype.bind.apply( Color_1, [ null ].concat( args, ['gl']) ));
    };

    Color_1.prototype.gl = function() {
        var rgb = this._rgb;
        return [rgb[0]/255, rgb[1]/255, rgb[2]/255, rgb[3]];
    };

    var unpack$9 = utils.unpack;

    var rgb2hcg = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        var ref = unpack$9(args, 'rgb');
        var r = ref[0];
        var g = ref[1];
        var b = ref[2];
        var min = Math.min(r, g, b);
        var max = Math.max(r, g, b);
        var delta = max - min;
        var c = delta * 100 / 255;
        var _g = min / (255 - delta) * 100;
        var h;
        if (delta === 0) {
            h = Number.NaN;
        } else {
            if (r === max) { h = (g - b) / delta; }
            if (g === max) { h = 2+(b - r) / delta; }
            if (b === max) { h = 4+(r - g) / delta; }
            h *= 60;
            if (h < 0) { h += 360; }
        }
        return [h, c, _g];
    };

    var rgb2hcg_1 = rgb2hcg;

    var unpack$a = utils.unpack;
    var floor = Math.floor;

    /*
     * this is basically just HSV with some minor tweaks
     *
     * hue.. [0..360]
     * chroma .. [0..1]
     * grayness .. [0..1]
     */

    var hcg2rgb = function () {
        var assign, assign$1, assign$2, assign$3, assign$4, assign$5;

        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];
        args = unpack$a(args, 'hcg');
        var h = args[0];
        var c = args[1];
        var _g = args[2];
        var r,g,b;
        _g = _g * 255;
        var _c = c * 255;
        if (c === 0) {
            r = g = b = _g;
        } else {
            if (h === 360) { h = 0; }
            if (h > 360) { h -= 360; }
            if (h < 0) { h += 360; }
            h /= 60;
            var i = floor(h);
            var f = h - i;
            var p = _g * (1 - c);
            var q = p + _c * (1 - f);
            var t = p + _c * f;
            var v = p + _c;
            switch (i) {
                case 0: (assign = [v, t, p], r = assign[0], g = assign[1], b = assign[2]); break
                case 1: (assign$1 = [q, v, p], r = assign$1[0], g = assign$1[1], b = assign$1[2]); break
                case 2: (assign$2 = [p, v, t], r = assign$2[0], g = assign$2[1], b = assign$2[2]); break
                case 3: (assign$3 = [p, q, v], r = assign$3[0], g = assign$3[1], b = assign$3[2]); break
                case 4: (assign$4 = [t, p, v], r = assign$4[0], g = assign$4[1], b = assign$4[2]); break
                case 5: (assign$5 = [v, p, q], r = assign$5[0], g = assign$5[1], b = assign$5[2]); break
            }
        }
        return [r, g, b, args.length > 3 ? args[3] : 1];
    };

    var hcg2rgb_1 = hcg2rgb;

    var unpack$b = utils.unpack;
    var type$4 = utils.type;






    Color_1.prototype.hcg = function() {
        return rgb2hcg_1(this._rgb);
    };

    chroma_1.hcg = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        return new (Function.prototype.bind.apply( Color_1, [ null ].concat( args, ['hcg']) ));
    };

    input.format.hcg = hcg2rgb_1;

    input.autodetect.push({
        p: 1,
        test: function () {
            var args = [], len = arguments.length;
            while ( len-- ) args[ len ] = arguments[ len ];

            args = unpack$b(args, 'hcg');
            if (type$4(args) === 'array' && args.length === 3) {
                return 'hcg';
            }
        }
    });

    var unpack$c = utils.unpack;
    var last$4 = utils.last;
    var round$3 = Math.round;

    var rgb2hex = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        var ref = unpack$c(args, 'rgba');
        var r = ref[0];
        var g = ref[1];
        var b = ref[2];
        var a = ref[3];
        var mode = last$4(args) || 'auto';
        if (a === undefined) { a = 1; }
        if (mode === 'auto') {
            mode = a < 1 ? 'rgba' : 'rgb';
        }
        r = round$3(r);
        g = round$3(g);
        b = round$3(b);
        var u = r << 16 | g << 8 | b;
        var str = "000000" + u.toString(16); //#.toUpperCase();
        str = str.substr(str.length - 6);
        var hxa = '0' + round$3(a * 255).toString(16);
        hxa = hxa.substr(hxa.length - 2);
        switch (mode.toLowerCase()) {
            case 'rgba': return ("#" + str + hxa);
            case 'argb': return ("#" + hxa + str);
            default: return ("#" + str);
        }
    };

    var rgb2hex_1 = rgb2hex;

    var RE_HEX = /^#?([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$/;
    var RE_HEXA = /^#?([A-Fa-f0-9]{8}|[A-Fa-f0-9]{4})$/;

    var hex2rgb = function (hex) {
        if (hex.match(RE_HEX)) {
            // remove optional leading #
            if (hex.length === 4 || hex.length === 7) {
                hex = hex.substr(1);
            }
            // expand short-notation to full six-digit
            if (hex.length === 3) {
                hex = hex.split('');
                hex = hex[0]+hex[0]+hex[1]+hex[1]+hex[2]+hex[2];
            }
            var u = parseInt(hex, 16);
            var r = u >> 16;
            var g = u >> 8 & 0xFF;
            var b = u & 0xFF;
            return [r,g,b,1];
        }

        // match rgba hex format, eg #FF000077
        if (hex.match(RE_HEXA)) {
            if (hex.length === 5 || hex.length === 9) {
                // remove optional leading #
                hex = hex.substr(1);
            }
            // expand short-notation to full eight-digit
            if (hex.length === 4) {
                hex = hex.split('');
                hex = hex[0]+hex[0]+hex[1]+hex[1]+hex[2]+hex[2]+hex[3]+hex[3];
            }
            var u$1 = parseInt(hex, 16);
            var r$1 = u$1 >> 24 & 0xFF;
            var g$1 = u$1 >> 16 & 0xFF;
            var b$1 = u$1 >> 8 & 0xFF;
            var a = Math.round((u$1 & 0xFF) / 0xFF * 100) / 100;
            return [r$1,g$1,b$1,a];
        }

        // we used to check for css colors here
        // if _input.css? and rgb = _input.css hex
        //     return rgb

        throw new Error(("unknown hex color: " + hex));
    };

    var hex2rgb_1 = hex2rgb;

    var type$5 = utils.type;




    Color_1.prototype.hex = function(mode) {
        return rgb2hex_1(this._rgb, mode);
    };

    chroma_1.hex = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        return new (Function.prototype.bind.apply( Color_1, [ null ].concat( args, ['hex']) ));
    };

    input.format.hex = hex2rgb_1;
    input.autodetect.push({
        p: 4,
        test: function (h) {
            var rest = [], len = arguments.length - 1;
            while ( len-- > 0 ) rest[ len ] = arguments[ len + 1 ];

            if (!rest.length && type$5(h) === 'string' && [3,4,5,6,7,8,9].indexOf(h.length) >= 0) {
                return 'hex';
            }
        }
    });

    var unpack$d = utils.unpack;
    var TWOPI = utils.TWOPI;
    var min = Math.min;
    var sqrt = Math.sqrt;
    var acos = Math.acos;

    var rgb2hsi = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        /*
        borrowed from here:
        http://hummer.stanford.edu/museinfo/doc/examples/humdrum/keyscape2/rgb2hsi.cpp
        */
        var ref = unpack$d(args, 'rgb');
        var r = ref[0];
        var g = ref[1];
        var b = ref[2];
        r /= 255;
        g /= 255;
        b /= 255;
        var h;
        var min_ = min(r,g,b);
        var i = (r+g+b) / 3;
        var s = i > 0 ? 1 - min_/i : 0;
        if (s === 0) {
            h = NaN;
        } else {
            h = ((r-g)+(r-b)) / 2;
            h /= sqrt((r-g)*(r-g) + (r-b)*(g-b));
            h = acos(h);
            if (b > g) {
                h = TWOPI - h;
            }
            h /= TWOPI;
        }
        return [h*360,s,i];
    };

    var rgb2hsi_1 = rgb2hsi;

    var unpack$e = utils.unpack;
    var limit$1 = utils.limit;
    var TWOPI$1 = utils.TWOPI;
    var PITHIRD = utils.PITHIRD;
    var cos = Math.cos;

    /*
     * hue [0..360]
     * saturation [0..1]
     * intensity [0..1]
     */
    var hsi2rgb = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        /*
        borrowed from here:
        http://hummer.stanford.edu/museinfo/doc/examples/humdrum/keyscape2/hsi2rgb.cpp
        */
        args = unpack$e(args, 'hsi');
        var h = args[0];
        var s = args[1];
        var i = args[2];
        var r,g,b;

        if (isNaN(h)) { h = 0; }
        if (isNaN(s)) { s = 0; }
        // normalize hue
        if (h > 360) { h -= 360; }
        if (h < 0) { h += 360; }
        h /= 360;
        if (h < 1/3) {
            b = (1-s)/3;
            r = (1+s*cos(TWOPI$1*h)/cos(PITHIRD-TWOPI$1*h))/3;
            g = 1 - (b+r);
        } else if (h < 2/3) {
            h -= 1/3;
            r = (1-s)/3;
            g = (1+s*cos(TWOPI$1*h)/cos(PITHIRD-TWOPI$1*h))/3;
            b = 1 - (r+g);
        } else {
            h -= 2/3;
            g = (1-s)/3;
            b = (1+s*cos(TWOPI$1*h)/cos(PITHIRD-TWOPI$1*h))/3;
            r = 1 - (g+b);
        }
        r = limit$1(i*r*3);
        g = limit$1(i*g*3);
        b = limit$1(i*b*3);
        return [r*255, g*255, b*255, args.length > 3 ? args[3] : 1];
    };

    var hsi2rgb_1 = hsi2rgb;

    var unpack$f = utils.unpack;
    var type$6 = utils.type;






    Color_1.prototype.hsi = function() {
        return rgb2hsi_1(this._rgb);
    };

    chroma_1.hsi = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        return new (Function.prototype.bind.apply( Color_1, [ null ].concat( args, ['hsi']) ));
    };

    input.format.hsi = hsi2rgb_1;

    input.autodetect.push({
        p: 2,
        test: function () {
            var args = [], len = arguments.length;
            while ( len-- ) args[ len ] = arguments[ len ];

            args = unpack$f(args, 'hsi');
            if (type$6(args) === 'array' && args.length === 3) {
                return 'hsi';
            }
        }
    });

    var unpack$g = utils.unpack;
    var type$7 = utils.type;






    Color_1.prototype.hsl = function() {
        return rgb2hsl_1(this._rgb);
    };

    chroma_1.hsl = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        return new (Function.prototype.bind.apply( Color_1, [ null ].concat( args, ['hsl']) ));
    };

    input.format.hsl = hsl2rgb_1;

    input.autodetect.push({
        p: 2,
        test: function () {
            var args = [], len = arguments.length;
            while ( len-- ) args[ len ] = arguments[ len ];

            args = unpack$g(args, 'hsl');
            if (type$7(args) === 'array' && args.length === 3) {
                return 'hsl';
            }
        }
    });

    var unpack$h = utils.unpack;
    var min$1 = Math.min;
    var max$1 = Math.max;

    /*
     * supported arguments:
     * - rgb2hsv(r,g,b)
     * - rgb2hsv([r,g,b])
     * - rgb2hsv({r,g,b})
     */
    var rgb2hsl$1 = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        args = unpack$h(args, 'rgb');
        var r = args[0];
        var g = args[1];
        var b = args[2];
        var min_ = min$1(r, g, b);
        var max_ = max$1(r, g, b);
        var delta = max_ - min_;
        var h,s,v;
        v = max_ / 255.0;
        if (max_ === 0) {
            h = Number.NaN;
            s = 0;
        } else {
            s = delta / max_;
            if (r === max_) { h = (g - b) / delta; }
            if (g === max_) { h = 2+(b - r) / delta; }
            if (b === max_) { h = 4+(r - g) / delta; }
            h *= 60;
            if (h < 0) { h += 360; }
        }
        return [h, s, v]
    };

    var rgb2hsv = rgb2hsl$1;

    var unpack$i = utils.unpack;
    var floor$1 = Math.floor;

    var hsv2rgb = function () {
        var assign, assign$1, assign$2, assign$3, assign$4, assign$5;

        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];
        args = unpack$i(args, 'hsv');
        var h = args[0];
        var s = args[1];
        var v = args[2];
        var r,g,b;
        v *= 255;
        if (s === 0) {
            r = g = b = v;
        } else {
            if (h === 360) { h = 0; }
            if (h > 360) { h -= 360; }
            if (h < 0) { h += 360; }
            h /= 60;

            var i = floor$1(h);
            var f = h - i;
            var p = v * (1 - s);
            var q = v * (1 - s * f);
            var t = v * (1 - s * (1 - f));

            switch (i) {
                case 0: (assign = [v, t, p], r = assign[0], g = assign[1], b = assign[2]); break
                case 1: (assign$1 = [q, v, p], r = assign$1[0], g = assign$1[1], b = assign$1[2]); break
                case 2: (assign$2 = [p, v, t], r = assign$2[0], g = assign$2[1], b = assign$2[2]); break
                case 3: (assign$3 = [p, q, v], r = assign$3[0], g = assign$3[1], b = assign$3[2]); break
                case 4: (assign$4 = [t, p, v], r = assign$4[0], g = assign$4[1], b = assign$4[2]); break
                case 5: (assign$5 = [v, p, q], r = assign$5[0], g = assign$5[1], b = assign$5[2]); break
            }
        }
        return [r,g,b,args.length > 3?args[3]:1];
    };

    var hsv2rgb_1 = hsv2rgb;

    var unpack$j = utils.unpack;
    var type$8 = utils.type;






    Color_1.prototype.hsv = function() {
        return rgb2hsv(this._rgb);
    };

    chroma_1.hsv = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        return new (Function.prototype.bind.apply( Color_1, [ null ].concat( args, ['hsv']) ));
    };

    input.format.hsv = hsv2rgb_1;

    input.autodetect.push({
        p: 2,
        test: function () {
            var args = [], len = arguments.length;
            while ( len-- ) args[ len ] = arguments[ len ];

            args = unpack$j(args, 'hsv');
            if (type$8(args) === 'array' && args.length === 3) {
                return 'hsv';
            }
        }
    });

    var labConstants = {
        // Corresponds roughly to RGB brighter/darker
        Kn: 18,

        // D65 standard referent
        Xn: 0.950470,
        Yn: 1,
        Zn: 1.088830,

        t0: 0.137931034,  // 4 / 29
        t1: 0.206896552,  // 6 / 29
        t2: 0.12841855,   // 3 * t1 * t1
        t3: 0.008856452,  // t1 * t1 * t1
    };

    var unpack$k = utils.unpack;
    var pow = Math.pow;

    var rgb2lab = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        var ref = unpack$k(args, 'rgb');
        var r = ref[0];
        var g = ref[1];
        var b = ref[2];
        var ref$1 = rgb2xyz(r,g,b);
        var x = ref$1[0];
        var y = ref$1[1];
        var z = ref$1[2];
        var l = 116 * y - 16;
        return [l < 0 ? 0 : l, 500 * (x - y), 200 * (y - z)];
    };

    var rgb_xyz = function (r) {
        if ((r /= 255) <= 0.04045) { return r / 12.92; }
        return pow((r + 0.055) / 1.055, 2.4);
    };

    var xyz_lab = function (t) {
        if (t > labConstants.t3) { return pow(t, 1 / 3); }
        return t / labConstants.t2 + labConstants.t0;
    };

    var rgb2xyz = function (r,g,b) {
        r = rgb_xyz(r);
        g = rgb_xyz(g);
        b = rgb_xyz(b);
        var x = xyz_lab((0.4124564 * r + 0.3575761 * g + 0.1804375 * b) / labConstants.Xn);
        var y = xyz_lab((0.2126729 * r + 0.7151522 * g + 0.0721750 * b) / labConstants.Yn);
        var z = xyz_lab((0.0193339 * r + 0.1191920 * g + 0.9503041 * b) / labConstants.Zn);
        return [x,y,z];
    };

    var rgb2lab_1 = rgb2lab;

    var unpack$l = utils.unpack;
    var pow$1 = Math.pow;

    /*
     * L* [0..100]
     * a [-100..100]
     * b [-100..100]
     */
    var lab2rgb = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        args = unpack$l(args, 'lab');
        var l = args[0];
        var a = args[1];
        var b = args[2];
        var x,y,z, r,g,b_;

        y = (l + 16) / 116;
        x = isNaN(a) ? y : y + a / 500;
        z = isNaN(b) ? y : y - b / 200;

        y = labConstants.Yn * lab_xyz(y);
        x = labConstants.Xn * lab_xyz(x);
        z = labConstants.Zn * lab_xyz(z);

        r = xyz_rgb(3.2404542 * x - 1.5371385 * y - 0.4985314 * z);  // D65 -> sRGB
        g = xyz_rgb(-0.9692660 * x + 1.8760108 * y + 0.0415560 * z);
        b_ = xyz_rgb(0.0556434 * x - 0.2040259 * y + 1.0572252 * z);

        return [r,g,b_,args.length > 3 ? args[3] : 1];
    };

    var xyz_rgb = function (r) {
        return 255 * (r <= 0.00304 ? 12.92 * r : 1.055 * pow$1(r, 1 / 2.4) - 0.055)
    };

    var lab_xyz = function (t) {
        return t > labConstants.t1 ? t * t * t : labConstants.t2 * (t - labConstants.t0)
    };

    var lab2rgb_1 = lab2rgb;

    var unpack$m = utils.unpack;
    var type$9 = utils.type;






    Color_1.prototype.lab = function() {
        return rgb2lab_1(this._rgb);
    };

    chroma_1.lab = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        return new (Function.prototype.bind.apply( Color_1, [ null ].concat( args, ['lab']) ));
    };

    input.format.lab = lab2rgb_1;

    input.autodetect.push({
        p: 2,
        test: function () {
            var args = [], len = arguments.length;
            while ( len-- ) args[ len ] = arguments[ len ];

            args = unpack$m(args, 'lab');
            if (type$9(args) === 'array' && args.length === 3) {
                return 'lab';
            }
        }
    });

    var unpack$n = utils.unpack;
    var RAD2DEG = utils.RAD2DEG;
    var sqrt$1 = Math.sqrt;
    var atan2 = Math.atan2;
    var round$4 = Math.round;

    var lab2lch = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        var ref = unpack$n(args, 'lab');
        var l = ref[0];
        var a = ref[1];
        var b = ref[2];
        var c = sqrt$1(a * a + b * b);
        var h = (atan2(b, a) * RAD2DEG + 360) % 360;
        if (round$4(c*10000) === 0) { h = Number.NaN; }
        return [l, c, h];
    };

    var lab2lch_1 = lab2lch;

    var unpack$o = utils.unpack;



    var rgb2lch = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        var ref = unpack$o(args, 'rgb');
        var r = ref[0];
        var g = ref[1];
        var b = ref[2];
        var ref$1 = rgb2lab_1(r,g,b);
        var l = ref$1[0];
        var a = ref$1[1];
        var b_ = ref$1[2];
        return lab2lch_1(l,a,b_);
    };

    var rgb2lch_1 = rgb2lch;

    var unpack$p = utils.unpack;
    var DEG2RAD = utils.DEG2RAD;
    var sin = Math.sin;
    var cos$1 = Math.cos;

    var lch2lab = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        /*
        Convert from a qualitative parameter h and a quantitative parameter l to a 24-bit pixel.
        These formulas were invented by David Dalrymple to obtain maximum contrast without going
        out of gamut if the parameters are in the range 0-1.

        A saturation multiplier was added by Gregor Aisch
        */
        var ref = unpack$p(args, 'lch');
        var l = ref[0];
        var c = ref[1];
        var h = ref[2];
        if (isNaN(h)) { h = 0; }
        h = h * DEG2RAD;
        return [l, cos$1(h) * c, sin(h) * c]
    };

    var lch2lab_1 = lch2lab;

    var unpack$q = utils.unpack;



    var lch2rgb = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        args = unpack$q(args, 'lch');
        var l = args[0];
        var c = args[1];
        var h = args[2];
        var ref = lch2lab_1 (l,c,h);
        var L = ref[0];
        var a = ref[1];
        var b_ = ref[2];
        var ref$1 = lab2rgb_1 (L,a,b_);
        var r = ref$1[0];
        var g = ref$1[1];
        var b = ref$1[2];
        return [r, g, b, args.length > 3 ? args[3] : 1];
    };

    var lch2rgb_1 = lch2rgb;

    var unpack$r = utils.unpack;


    var hcl2rgb = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        var hcl = unpack$r(args, 'hcl').reverse();
        return lch2rgb_1.apply(void 0, hcl);
    };

    var hcl2rgb_1 = hcl2rgb;

    var unpack$s = utils.unpack;
    var type$a = utils.type;






    Color_1.prototype.lch = function() { return rgb2lch_1(this._rgb); };
    Color_1.prototype.hcl = function() { return rgb2lch_1(this._rgb).reverse(); };

    chroma_1.lch = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        return new (Function.prototype.bind.apply( Color_1, [ null ].concat( args, ['lch']) ));
    };
    chroma_1.hcl = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        return new (Function.prototype.bind.apply( Color_1, [ null ].concat( args, ['hcl']) ));
    };

    input.format.lch = lch2rgb_1;
    input.format.hcl = hcl2rgb_1;

    ['lch','hcl'].forEach(function (m) { return input.autodetect.push({
        p: 2,
        test: function () {
            var args = [], len = arguments.length;
            while ( len-- ) args[ len ] = arguments[ len ];

            args = unpack$s(args, m);
            if (type$a(args) === 'array' && args.length === 3) {
                return m;
            }
        }
    }); });

    /**
    	X11 color names

    	http://www.w3.org/TR/css3-color/#svg-color
    */

    var w3cx11 = {
        aliceblue: '#f0f8ff',
        antiquewhite: '#faebd7',
        aqua: '#00ffff',
        aquamarine: '#7fffd4',
        azure: '#f0ffff',
        beige: '#f5f5dc',
        bisque: '#ffe4c4',
        black: '#000000',
        blanchedalmond: '#ffebcd',
        blue: '#0000ff',
        blueviolet: '#8a2be2',
        brown: '#a52a2a',
        burlywood: '#deb887',
        cadetblue: '#5f9ea0',
        chartreuse: '#7fff00',
        chocolate: '#d2691e',
        coral: '#ff7f50',
        cornflower: '#6495ed',
        cornflowerblue: '#6495ed',
        cornsilk: '#fff8dc',
        crimson: '#dc143c',
        cyan: '#00ffff',
        darkblue: '#00008b',
        darkcyan: '#008b8b',
        darkgoldenrod: '#b8860b',
        darkgray: '#a9a9a9',
        darkgreen: '#006400',
        darkgrey: '#a9a9a9',
        darkkhaki: '#bdb76b',
        darkmagenta: '#8b008b',
        darkolivegreen: '#556b2f',
        darkorange: '#ff8c00',
        darkorchid: '#9932cc',
        darkred: '#8b0000',
        darksalmon: '#e9967a',
        darkseagreen: '#8fbc8f',
        darkslateblue: '#483d8b',
        darkslategray: '#2f4f4f',
        darkslategrey: '#2f4f4f',
        darkturquoise: '#00ced1',
        darkviolet: '#9400d3',
        deeppink: '#ff1493',
        deepskyblue: '#00bfff',
        dimgray: '#696969',
        dimgrey: '#696969',
        dodgerblue: '#1e90ff',
        firebrick: '#b22222',
        floralwhite: '#fffaf0',
        forestgreen: '#228b22',
        fuchsia: '#ff00ff',
        gainsboro: '#dcdcdc',
        ghostwhite: '#f8f8ff',
        gold: '#ffd700',
        goldenrod: '#daa520',
        gray: '#808080',
        green: '#008000',
        greenyellow: '#adff2f',
        grey: '#808080',
        honeydew: '#f0fff0',
        hotpink: '#ff69b4',
        indianred: '#cd5c5c',
        indigo: '#4b0082',
        ivory: '#fffff0',
        khaki: '#f0e68c',
        laserlemon: '#ffff54',
        lavender: '#e6e6fa',
        lavenderblush: '#fff0f5',
        lawngreen: '#7cfc00',
        lemonchiffon: '#fffacd',
        lightblue: '#add8e6',
        lightcoral: '#f08080',
        lightcyan: '#e0ffff',
        lightgoldenrod: '#fafad2',
        lightgoldenrodyellow: '#fafad2',
        lightgray: '#d3d3d3',
        lightgreen: '#90ee90',
        lightgrey: '#d3d3d3',
        lightpink: '#ffb6c1',
        lightsalmon: '#ffa07a',
        lightseagreen: '#20b2aa',
        lightskyblue: '#87cefa',
        lightslategray: '#778899',
        lightslategrey: '#778899',
        lightsteelblue: '#b0c4de',
        lightyellow: '#ffffe0',
        lime: '#00ff00',
        limegreen: '#32cd32',
        linen: '#faf0e6',
        magenta: '#ff00ff',
        maroon: '#800000',
        maroon2: '#7f0000',
        maroon3: '#b03060',
        mediumaquamarine: '#66cdaa',
        mediumblue: '#0000cd',
        mediumorchid: '#ba55d3',
        mediumpurple: '#9370db',
        mediumseagreen: '#3cb371',
        mediumslateblue: '#7b68ee',
        mediumspringgreen: '#00fa9a',
        mediumturquoise: '#48d1cc',
        mediumvioletred: '#c71585',
        midnightblue: '#191970',
        mintcream: '#f5fffa',
        mistyrose: '#ffe4e1',
        moccasin: '#ffe4b5',
        navajowhite: '#ffdead',
        navy: '#000080',
        oldlace: '#fdf5e6',
        olive: '#808000',
        olivedrab: '#6b8e23',
        orange: '#ffa500',
        orangered: '#ff4500',
        orchid: '#da70d6',
        palegoldenrod: '#eee8aa',
        palegreen: '#98fb98',
        paleturquoise: '#afeeee',
        palevioletred: '#db7093',
        papayawhip: '#ffefd5',
        peachpuff: '#ffdab9',
        peru: '#cd853f',
        pink: '#ffc0cb',
        plum: '#dda0dd',
        powderblue: '#b0e0e6',
        purple: '#800080',
        purple2: '#7f007f',
        purple3: '#a020f0',
        rebeccapurple: '#663399',
        red: '#ff0000',
        rosybrown: '#bc8f8f',
        royalblue: '#4169e1',
        saddlebrown: '#8b4513',
        salmon: '#fa8072',
        sandybrown: '#f4a460',
        seagreen: '#2e8b57',
        seashell: '#fff5ee',
        sienna: '#a0522d',
        silver: '#c0c0c0',
        skyblue: '#87ceeb',
        slateblue: '#6a5acd',
        slategray: '#708090',
        slategrey: '#708090',
        snow: '#fffafa',
        springgreen: '#00ff7f',
        steelblue: '#4682b4',
        tan: '#d2b48c',
        teal: '#008080',
        thistle: '#d8bfd8',
        tomato: '#ff6347',
        turquoise: '#40e0d0',
        violet: '#ee82ee',
        wheat: '#f5deb3',
        white: '#ffffff',
        whitesmoke: '#f5f5f5',
        yellow: '#ffff00',
        yellowgreen: '#9acd32'
    };

    var w3cx11_1 = w3cx11;

    var type$b = utils.type;





    Color_1.prototype.name = function() {
        var hex = rgb2hex_1(this._rgb, 'rgb');
        for (var i = 0, list = Object.keys(w3cx11_1); i < list.length; i += 1) {
            var n = list[i];

            if (w3cx11_1[n] === hex) { return n.toLowerCase(); }
        }
        return hex;
    };

    input.format.named = function (name) {
        name = name.toLowerCase();
        if (w3cx11_1[name]) { return hex2rgb_1(w3cx11_1[name]); }
        throw new Error('unknown color name: '+name);
    };

    input.autodetect.push({
        p: 5,
        test: function (h) {
            var rest = [], len = arguments.length - 1;
            while ( len-- > 0 ) rest[ len ] = arguments[ len + 1 ];

            if (!rest.length && type$b(h) === 'string' && w3cx11_1[h.toLowerCase()]) {
                return 'named';
            }
        }
    });

    var unpack$t = utils.unpack;

    var rgb2num = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        var ref = unpack$t(args, 'rgb');
        var r = ref[0];
        var g = ref[1];
        var b = ref[2];
        return (r << 16) + (g << 8) + b;
    };

    var rgb2num_1 = rgb2num;

    var type$c = utils.type;

    var num2rgb = function (num) {
        if (type$c(num) == "number" && num >= 0 && num <= 0xFFFFFF) {
            var r = num >> 16;
            var g = (num >> 8) & 0xFF;
            var b = num & 0xFF;
            return [r,g,b,1];
        }
        throw new Error("unknown num color: "+num);
    };

    var num2rgb_1 = num2rgb;

    var type$d = utils.type;



    Color_1.prototype.num = function() {
        return rgb2num_1(this._rgb);
    };

    chroma_1.num = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        return new (Function.prototype.bind.apply( Color_1, [ null ].concat( args, ['num']) ));
    };

    input.format.num = num2rgb_1;

    input.autodetect.push({
        p: 5,
        test: function () {
            var args = [], len = arguments.length;
            while ( len-- ) args[ len ] = arguments[ len ];

            if (args.length === 1 && type$d(args[0]) === 'number' && args[0] >= 0 && args[0] <= 0xFFFFFF) {
                return 'num';
            }
        }
    });

    var unpack$u = utils.unpack;
    var type$e = utils.type;
    var round$5 = Math.round;

    Color_1.prototype.rgb = function(rnd) {
        if ( rnd === void 0 ) rnd=true;

        if (rnd === false) { return this._rgb.slice(0,3); }
        return this._rgb.slice(0,3).map(round$5);
    };

    Color_1.prototype.rgba = function(rnd) {
        if ( rnd === void 0 ) rnd=true;

        return this._rgb.slice(0,4).map(function (v,i) {
            return i<3 ? (rnd === false ? v : round$5(v)) : v;
        });
    };

    chroma_1.rgb = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        return new (Function.prototype.bind.apply( Color_1, [ null ].concat( args, ['rgb']) ));
    };

    input.format.rgb = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        var rgba = unpack$u(args, 'rgba');
        if (rgba[3] === undefined) { rgba[3] = 1; }
        return rgba;
    };

    input.autodetect.push({
        p: 3,
        test: function () {
            var args = [], len = arguments.length;
            while ( len-- ) args[ len ] = arguments[ len ];

            args = unpack$u(args, 'rgba');
            if (type$e(args) === 'array' && (args.length === 3 ||
                args.length === 4 && type$e(args[3]) == 'number' && args[3] >= 0 && args[3] <= 1)) {
                return 'rgb';
            }
        }
    });

    /*
     * Based on implementation by Neil Bartlett
     * https://github.com/neilbartlett/color-temperature
     */

    var log = Math.log;

    var temperature2rgb = function (kelvin) {
        var temp = kelvin / 100;
        var r,g,b;
        if (temp < 66) {
            r = 255;
            g = -155.25485562709179 - 0.44596950469579133 * (g = temp-2) + 104.49216199393888 * log(g);
            b = temp < 20 ? 0 : -254.76935184120902 + 0.8274096064007395 * (b = temp-10) + 115.67994401066147 * log(b);
        } else {
            r = 351.97690566805693 + 0.114206453784165 * (r = temp-55) - 40.25366309332127 * log(r);
            g = 325.4494125711974 + 0.07943456536662342 * (g = temp-50) - 28.0852963507957 * log(g);
            b = 255;
        }
        return [r,g,b,1];
    };

    var temperature2rgb_1 = temperature2rgb;

    /*
     * Based on implementation by Neil Bartlett
     * https://github.com/neilbartlett/color-temperature
     **/


    var unpack$v = utils.unpack;
    var round$6 = Math.round;

    var rgb2temperature = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        var rgb = unpack$v(args, 'rgb');
        var r = rgb[0], b = rgb[2];
        var minTemp = 1000;
        var maxTemp = 40000;
        var eps = 0.4;
        var temp;
        while (maxTemp - minTemp > eps) {
            temp = (maxTemp + minTemp) * 0.5;
            var rgb$1 = temperature2rgb_1(temp);
            if ((rgb$1[2] / rgb$1[0]) >= (b / r)) {
                maxTemp = temp;
            } else {
                minTemp = temp;
            }
        }
        return round$6(temp);
    };

    var rgb2temperature_1 = rgb2temperature;

    Color_1.prototype.temp =
    Color_1.prototype.kelvin =
    Color_1.prototype.temperature = function() {
        return rgb2temperature_1(this._rgb);
    };

    chroma_1.temp =
    chroma_1.kelvin =
    chroma_1.temperature = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        return new (Function.prototype.bind.apply( Color_1, [ null ].concat( args, ['temp']) ));
    };

    input.format.temp =
    input.format.kelvin =
    input.format.temperature = temperature2rgb_1;

    var type$f = utils.type;

    Color_1.prototype.alpha = function(a, mutate) {
        if ( mutate === void 0 ) mutate=false;

        if (a !== undefined && type$f(a) === 'number') {
            if (mutate) {
                this._rgb[3] = a;
                return this;
            }
            return new Color_1([this._rgb[0], this._rgb[1], this._rgb[2], a], 'rgb');
        }
        return this._rgb[3];
    };

    Color_1.prototype.clipped = function() {
        return this._rgb._clipped || false;
    };

    Color_1.prototype.darken = function(amount) {
    	if ( amount === void 0 ) amount=1;

    	var me = this;
    	var lab = me.lab();
    	lab[0] -= labConstants.Kn * amount;
    	return new Color_1(lab, 'lab').alpha(me.alpha(), true);
    };

    Color_1.prototype.brighten = function(amount) {
    	if ( amount === void 0 ) amount=1;

    	return this.darken(-amount);
    };

    Color_1.prototype.darker = Color_1.prototype.darken;
    Color_1.prototype.brighter = Color_1.prototype.brighten;

    Color_1.prototype.get = function(mc) {
        var ref = mc.split('.');
        var mode = ref[0];
        var channel = ref[1];
        var src = this[mode]();
        if (channel) {
            var i = mode.indexOf(channel);
            if (i > -1) { return src[i]; }
            throw new Error(("unknown channel " + channel + " in mode " + mode));
        } else {
            return src;
        }
    };

    var type$g = utils.type;
    var pow$2 = Math.pow;

    var EPS = 1e-7;
    var MAX_ITER = 20;

    Color_1.prototype.luminance = function(lum) {
        if (lum !== undefined && type$g(lum) === 'number') {
            if (lum === 0) {
                // return pure black
                return new Color_1([0,0,0,this._rgb[3]], 'rgb');
            }
            if (lum === 1) {
                // return pure white
                return new Color_1([255,255,255,this._rgb[3]], 'rgb');
            }
            // compute new color using...
            var cur_lum = this.luminance();
            var mode = 'rgb';
            var max_iter = MAX_ITER;

            var test = function (low, high) {
                var mid = low.interpolate(high, 0.5, mode);
                var lm = mid.luminance();
                if (Math.abs(lum - lm) < EPS || !max_iter--) {
                    // close enough
                    return mid;
                }
                return lm > lum ? test(low, mid) : test(mid, high);
            };

            var rgb = (cur_lum > lum ? test(new Color_1([0,0,0]), this) : test(this, new Color_1([255,255,255]))).rgb();
            return new Color_1(rgb.concat( [this._rgb[3]]));
        }
        return rgb2luminance.apply(void 0, (this._rgb).slice(0,3));
    };


    var rgb2luminance = function (r,g,b) {
        // relative luminance
        // see http://www.w3.org/TR/2008/REC-WCAG20-20081211/#relativeluminancedef
        r = luminance_x(r);
        g = luminance_x(g);
        b = luminance_x(b);
        return 0.2126 * r + 0.7152 * g + 0.0722 * b;
    };

    var luminance_x = function (x) {
        x /= 255;
        return x <= 0.03928 ? x/12.92 : pow$2((x+0.055)/1.055, 2.4);
    };

    var interpolator = {};

    var type$h = utils.type;


    var mix = function (col1, col2, f) {
        if ( f === void 0 ) f=0.5;
        var rest = [], len = arguments.length - 3;
        while ( len-- > 0 ) rest[ len ] = arguments[ len + 3 ];

        var mode = rest[0] || 'lrgb';
        if (!interpolator[mode] && !rest.length) {
            // fall back to the first supported mode
            mode = Object.keys(interpolator)[0];
        }
        if (!interpolator[mode]) {
            throw new Error(("interpolation mode " + mode + " is not defined"));
        }
        if (type$h(col1) !== 'object') { col1 = new Color_1(col1); }
        if (type$h(col2) !== 'object') { col2 = new Color_1(col2); }
        return interpolator[mode](col1, col2, f)
            .alpha(col1.alpha() + f * (col2.alpha() - col1.alpha()));
    };

    Color_1.prototype.mix =
    Color_1.prototype.interpolate = function(col2, f) {
    	if ( f === void 0 ) f=0.5;
    	var rest = [], len = arguments.length - 2;
    	while ( len-- > 0 ) rest[ len ] = arguments[ len + 2 ];

    	return mix.apply(void 0, [ this, col2, f ].concat( rest ));
    };

    Color_1.prototype.premultiply = function(mutate) {
    	if ( mutate === void 0 ) mutate=false;

    	var rgb = this._rgb;
    	var a = rgb[3];
    	if (mutate) {
    		this._rgb = [rgb[0]*a, rgb[1]*a, rgb[2]*a, a];
    		return this;
    	} else {
    		return new Color_1([rgb[0]*a, rgb[1]*a, rgb[2]*a, a], 'rgb');
    	}
    };

    Color_1.prototype.saturate = function(amount) {
    	if ( amount === void 0 ) amount=1;

    	var me = this;
    	var lch = me.lch();
    	lch[1] += labConstants.Kn * amount;
    	if (lch[1] < 0) { lch[1] = 0; }
    	return new Color_1(lch, 'lch').alpha(me.alpha(), true);
    };

    Color_1.prototype.desaturate = function(amount) {
    	if ( amount === void 0 ) amount=1;

    	return this.saturate(-amount);
    };

    var type$i = utils.type;

    Color_1.prototype.set = function(mc, value, mutate) {
        if ( mutate === void 0 ) mutate=false;

        var ref = mc.split('.');
        var mode = ref[0];
        var channel = ref[1];
        var src = this[mode]();
        if (channel) {
            var i = mode.indexOf(channel);
            if (i > -1) {
                if (type$i(value) == 'string') {
                    switch(value.charAt(0)) {
                        case '+': src[i] += +value; break;
                        case '-': src[i] += +value; break;
                        case '*': src[i] *= +(value.substr(1)); break;
                        case '/': src[i] /= +(value.substr(1)); break;
                        default: src[i] = +value;
                    }
                } else if (type$i(value) === 'number') {
                    src[i] = value;
                } else {
                    throw new Error("unsupported value for Color.set");
                }
                var out = new Color_1(src, mode);
                if (mutate) {
                    this._rgb = out._rgb;
                    return this;
                }
                return out;
            }
            throw new Error(("unknown channel " + channel + " in mode " + mode));
        } else {
            return src;
        }
    };

    var rgb$1 = function (col1, col2, f) {
        var xyz0 = col1._rgb;
        var xyz1 = col2._rgb;
        return new Color_1(
            xyz0[0] + f * (xyz1[0]-xyz0[0]),
            xyz0[1] + f * (xyz1[1]-xyz0[1]),
            xyz0[2] + f * (xyz1[2]-xyz0[2]),
            'rgb'
        )
    };

    // register interpolator
    interpolator.rgb = rgb$1;

    var sqrt$2 = Math.sqrt;
    var pow$3 = Math.pow;

    var lrgb = function (col1, col2, f) {
        var ref = col1._rgb;
        var x1 = ref[0];
        var y1 = ref[1];
        var z1 = ref[2];
        var ref$1 = col2._rgb;
        var x2 = ref$1[0];
        var y2 = ref$1[1];
        var z2 = ref$1[2];
        return new Color_1(
            sqrt$2(pow$3(x1,2) * (1-f) + pow$3(x2,2) * f),
            sqrt$2(pow$3(y1,2) * (1-f) + pow$3(y2,2) * f),
            sqrt$2(pow$3(z1,2) * (1-f) + pow$3(z2,2) * f),
            'rgb'
        )
    };

    // register interpolator
    interpolator.lrgb = lrgb;

    var lab$1 = function (col1, col2, f) {
        var xyz0 = col1.lab();
        var xyz1 = col2.lab();
        return new Color_1(
            xyz0[0] + f * (xyz1[0]-xyz0[0]),
            xyz0[1] + f * (xyz1[1]-xyz0[1]),
            xyz0[2] + f * (xyz1[2]-xyz0[2]),
            'lab'
        )
    };

    // register interpolator
    interpolator.lab = lab$1;

    var _hsx = function (col1, col2, f, m) {
        var assign, assign$1;

        var xyz0, xyz1;
        if (m === 'hsl') {
            xyz0 = col1.hsl();
            xyz1 = col2.hsl();
        } else if (m === 'hsv') {
            xyz0 = col1.hsv();
            xyz1 = col2.hsv();
        } else if (m === 'hcg') {
            xyz0 = col1.hcg();
            xyz1 = col2.hcg();
        } else if (m === 'hsi') {
            xyz0 = col1.hsi();
            xyz1 = col2.hsi();
        } else if (m === 'lch' || m === 'hcl') {
            m = 'hcl';
            xyz0 = col1.hcl();
            xyz1 = col2.hcl();
        }

        var hue0, hue1, sat0, sat1, lbv0, lbv1;
        if (m.substr(0, 1) === 'h') {
            (assign = xyz0, hue0 = assign[0], sat0 = assign[1], lbv0 = assign[2]);
            (assign$1 = xyz1, hue1 = assign$1[0], sat1 = assign$1[1], lbv1 = assign$1[2]);
        }

        var sat, hue, lbv, dh;

        if (!isNaN(hue0) && !isNaN(hue1)) {
            // both colors have hue
            if (hue1 > hue0 && hue1 - hue0 > 180) {
                dh = hue1-(hue0+360);
            } else if (hue1 < hue0 && hue0 - hue1 > 180) {
                dh = hue1+360-hue0;
            } else{
                dh = hue1 - hue0;
            }
            hue = hue0 + f * dh;
        } else if (!isNaN(hue0)) {
            hue = hue0;
            if ((lbv1 == 1 || lbv1 == 0) && m != 'hsv') { sat = sat0; }
        } else if (!isNaN(hue1)) {
            hue = hue1;
            if ((lbv0 == 1 || lbv0 == 0) && m != 'hsv') { sat = sat1; }
        } else {
            hue = Number.NaN;
        }

        if (sat === undefined) { sat = sat0 + f * (sat1 - sat0); }
        lbv = lbv0 + f * (lbv1-lbv0);
        return new Color_1([hue, sat, lbv], m);
    };

    var lch$1 = function (col1, col2, f) {
    	return _hsx(col1, col2, f, 'lch');
    };

    // register interpolator
    interpolator.lch = lch$1;
    interpolator.hcl = lch$1;

    var num$1 = function (col1, col2, f) {
        var c1 = col1.num();
        var c2 = col2.num();
        return new Color_1(c1 + f * (c2-c1), 'num')
    };

    // register interpolator
    interpolator.num = num$1;

    var hcg$1 = function (col1, col2, f) {
    	return _hsx(col1, col2, f, 'hcg');
    };

    // register interpolator
    interpolator.hcg = hcg$1;

    var hsi$1 = function (col1, col2, f) {
    	return _hsx(col1, col2, f, 'hsi');
    };

    // register interpolator
    interpolator.hsi = hsi$1;

    var hsl$1 = function (col1, col2, f) {
    	return _hsx(col1, col2, f, 'hsl');
    };

    // register interpolator
    interpolator.hsl = hsl$1;

    var hsv$1 = function (col1, col2, f) {
    	return _hsx(col1, col2, f, 'hsv');
    };

    // register interpolator
    interpolator.hsv = hsv$1;

    var clip_rgb$2 = utils.clip_rgb;
    var pow$4 = Math.pow;
    var sqrt$3 = Math.sqrt;
    var PI$1 = Math.PI;
    var cos$2 = Math.cos;
    var sin$1 = Math.sin;
    var atan2$1 = Math.atan2;

    var average = function (colors, mode, weights) {
        if ( mode === void 0 ) mode='lrgb';
        if ( weights === void 0 ) weights=null;

        var l = colors.length;
        if (!weights) { weights = Array.from(new Array(l)).map(function () { return 1; }); }
        // normalize weights
        var k = l / weights.reduce(function(a, b) { return a + b; });
        weights.forEach(function (w,i) { weights[i] *= k; });
        // convert colors to Color objects
        colors = colors.map(function (c) { return new Color_1(c); });
        if (mode === 'lrgb') {
            return _average_lrgb(colors, weights)
        }
        var first = colors.shift();
        var xyz = first.get(mode);
        var cnt = [];
        var dx = 0;
        var dy = 0;
        // initial color
        for (var i=0; i<xyz.length; i++) {
            xyz[i] = (xyz[i] || 0) * weights[0];
            cnt.push(isNaN(xyz[i]) ? 0 : weights[0]);
            if (mode.charAt(i) === 'h' && !isNaN(xyz[i])) {
                var A = xyz[i] / 180 * PI$1;
                dx += cos$2(A) * weights[0];
                dy += sin$1(A) * weights[0];
            }
        }

        var alpha = first.alpha() * weights[0];
        colors.forEach(function (c,ci) {
            var xyz2 = c.get(mode);
            alpha += c.alpha() * weights[ci+1];
            for (var i=0; i<xyz.length; i++) {
                if (!isNaN(xyz2[i])) {
                    cnt[i] += weights[ci+1];
                    if (mode.charAt(i) === 'h') {
                        var A = xyz2[i] / 180 * PI$1;
                        dx += cos$2(A) * weights[ci+1];
                        dy += sin$1(A) * weights[ci+1];
                    } else {
                        xyz[i] += xyz2[i] * weights[ci+1];
                    }
                }
            }
        });

        for (var i$1=0; i$1<xyz.length; i$1++) {
            if (mode.charAt(i$1) === 'h') {
                var A$1 = atan2$1(dy / cnt[i$1], dx / cnt[i$1]) / PI$1 * 180;
                while (A$1 < 0) { A$1 += 360; }
                while (A$1 >= 360) { A$1 -= 360; }
                xyz[i$1] = A$1;
            } else {
                xyz[i$1] = xyz[i$1]/cnt[i$1];
            }
        }
        alpha /= l;
        return (new Color_1(xyz, mode)).alpha(alpha > 0.99999 ? 1 : alpha, true);
    };


    var _average_lrgb = function (colors, weights) {
        var l = colors.length;
        var xyz = [0,0,0,0];
        for (var i=0; i < colors.length; i++) {
            var col = colors[i];
            var f = weights[i] / l;
            var rgb = col._rgb;
            xyz[0] += pow$4(rgb[0],2) * f;
            xyz[1] += pow$4(rgb[1],2) * f;
            xyz[2] += pow$4(rgb[2],2) * f;
            xyz[3] += rgb[3] * f;
        }
        xyz[0] = sqrt$3(xyz[0]);
        xyz[1] = sqrt$3(xyz[1]);
        xyz[2] = sqrt$3(xyz[2]);
        if (xyz[3] > 0.9999999) { xyz[3] = 1; }
        return new Color_1(clip_rgb$2(xyz));
    };

    // minimal multi-purpose interface

    // @requires utils color analyze


    var type$j = utils.type;

    var pow$5 = Math.pow;

    var scale = function(colors) {

        // constructor
        var _mode = 'rgb';
        var _nacol = chroma_1('#ccc');
        var _spread = 0;
        // const _fixed = false;
        var _domain = [0, 1];
        var _pos = [];
        var _padding = [0,0];
        var _classes = false;
        var _colors = [];
        var _out = false;
        var _min = 0;
        var _max = 1;
        var _correctLightness = false;
        var _colorCache = {};
        var _useCache = true;
        var _gamma = 1;

        // private methods

        var setColors = function(colors) {
            colors = colors || ['#fff', '#000'];
            if (colors && type$j(colors) === 'string' && chroma_1.brewer &&
                chroma_1.brewer[colors.toLowerCase()]) {
                colors = chroma_1.brewer[colors.toLowerCase()];
            }
            if (type$j(colors) === 'array') {
                // handle single color
                if (colors.length === 1) {
                    colors = [colors[0], colors[0]];
                }
                // make a copy of the colors
                colors = colors.slice(0);
                // convert to chroma classes
                for (var c=0; c<colors.length; c++) {
                    colors[c] = chroma_1(colors[c]);
                }
                // auto-fill color position
                _pos.length = 0;
                for (var c$1=0; c$1<colors.length; c$1++) {
                    _pos.push(c$1/(colors.length-1));
                }
            }
            resetCache();
            return _colors = colors;
        };

        var getClass = function(value) {
            if (_classes != null) {
                var n = _classes.length-1;
                var i = 0;
                while (i < n && value >= _classes[i]) {
                    i++;
                }
                return i-1;
            }
            return 0;
        };

        var tMapLightness = function (t) { return t; };
        var tMapDomain = function (t) { return t; };

        // const classifyValue = function(value) {
        //     let val = value;
        //     if (_classes.length > 2) {
        //         const n = _classes.length-1;
        //         const i = getClass(value);
        //         const minc = _classes[0] + ((_classes[1]-_classes[0]) * (0 + (_spread * 0.5)));  // center of 1st class
        //         const maxc = _classes[n-1] + ((_classes[n]-_classes[n-1]) * (1 - (_spread * 0.5)));  // center of last class
        //         val = _min + ((((_classes[i] + ((_classes[i+1] - _classes[i]) * 0.5)) - minc) / (maxc-minc)) * (_max - _min));
        //     }
        //     return val;
        // };

        var getColor = function(val, bypassMap) {
            var col, t;
            if (bypassMap == null) { bypassMap = false; }
            if (isNaN(val) || (val === null)) { return _nacol; }
            if (!bypassMap) {
                if (_classes && (_classes.length > 2)) {
                    // find the class
                    var c = getClass(val);
                    t = c / (_classes.length-2);
                } else if (_max !== _min) {
                    // just interpolate between min/max
                    t = (val - _min) / (_max - _min);
                } else {
                    t = 1;
                }
            } else {
                t = val;
            }

            // domain map
            t = tMapDomain(t);

            if (!bypassMap) {
                t = tMapLightness(t);  // lightness correction
            }

            if (_gamma !== 1) { t = pow$5(t, _gamma); }

            t = _padding[0] + (t * (1 - _padding[0] - _padding[1]));

            t = Math.min(1, Math.max(0, t));

            var k = Math.floor(t * 10000);

            if (_useCache && _colorCache[k]) {
                col = _colorCache[k];
            } else {
                if (type$j(_colors) === 'array') {
                    //for i in [0.._pos.length-1]
                    for (var i=0; i<_pos.length; i++) {
                        var p = _pos[i];
                        if (t <= p) {
                            col = _colors[i];
                            break;
                        }
                        if ((t >= p) && (i === (_pos.length-1))) {
                            col = _colors[i];
                            break;
                        }
                        if (t > p && t < _pos[i+1]) {
                            t = (t-p)/(_pos[i+1]-p);
                            col = chroma_1.interpolate(_colors[i], _colors[i+1], t, _mode);
                            break;
                        }
                    }
                } else if (type$j(_colors) === 'function') {
                    col = _colors(t);
                }
                if (_useCache) { _colorCache[k] = col; }
            }
            return col;
        };

        var resetCache = function () { return _colorCache = {}; };

        setColors(colors);

        // public interface

        var f = function(v) {
            var c = chroma_1(getColor(v));
            if (_out && c[_out]) { return c[_out](); } else { return c; }
        };

        f.classes = function(classes) {
            if (classes != null) {
                if (type$j(classes) === 'array') {
                    _classes = classes;
                    _domain = [classes[0], classes[classes.length-1]];
                } else {
                    var d = chroma_1.analyze(_domain);
                    if (classes === 0) {
                        _classes = [d.min, d.max];
                    } else {
                        _classes = chroma_1.limits(d, 'e', classes);
                    }
                }
                return f;
            }
            return _classes;
        };


        f.domain = function(domain) {
            if (!arguments.length) {
                return _domain;
            }
            _min = domain[0];
            _max = domain[domain.length-1];
            _pos = [];
            var k = _colors.length;
            if ((domain.length === k) && (_min !== _max)) {
                // update positions
                for (var i = 0, list = Array.from(domain); i < list.length; i += 1) {
                    var d = list[i];

                  _pos.push((d-_min) / (_max-_min));
                }
            } else {
                for (var c=0; c<k; c++) {
                    _pos.push(c/(k-1));
                }
                if (domain.length > 2) {
                    // set domain map
                    var tOut = domain.map(function (d,i) { return i/(domain.length-1); });
                    var tBreaks = domain.map(function (d) { return (d - _min) / (_max - _min); });
                    if (!tBreaks.every(function (val, i) { return tOut[i] === val; })) {
                        tMapDomain = function (t) {
                            if (t <= 0 || t >= 1) { return t; }
                            var i = 0;
                            while (t >= tBreaks[i+1]) { i++; }
                            var f = (t - tBreaks[i]) / (tBreaks[i+1] - tBreaks[i]);
                            var out = tOut[i] + f * (tOut[i+1] - tOut[i]);
                            return out;
                        };
                    }

                }
            }
            _domain = [_min, _max];
            return f;
        };

        f.mode = function(_m) {
            if (!arguments.length) {
                return _mode;
            }
            _mode = _m;
            resetCache();
            return f;
        };

        f.range = function(colors, _pos) {
            setColors(colors, _pos);
            return f;
        };

        f.out = function(_o) {
            _out = _o;
            return f;
        };

        f.spread = function(val) {
            if (!arguments.length) {
                return _spread;
            }
            _spread = val;
            return f;
        };

        f.correctLightness = function(v) {
            if (v == null) { v = true; }
            _correctLightness = v;
            resetCache();
            if (_correctLightness) {
                tMapLightness = function(t) {
                    var L0 = getColor(0, true).lab()[0];
                    var L1 = getColor(1, true).lab()[0];
                    var pol = L0 > L1;
                    var L_actual = getColor(t, true).lab()[0];
                    var L_ideal = L0 + ((L1 - L0) * t);
                    var L_diff = L_actual - L_ideal;
                    var t0 = 0;
                    var t1 = 1;
                    var max_iter = 20;
                    while ((Math.abs(L_diff) > 1e-2) && (max_iter-- > 0)) {
                        (function() {
                            if (pol) { L_diff *= -1; }
                            if (L_diff < 0) {
                                t0 = t;
                                t += (t1 - t) * 0.5;
                            } else {
                                t1 = t;
                                t += (t0 - t) * 0.5;
                            }
                            L_actual = getColor(t, true).lab()[0];
                            return L_diff = L_actual - L_ideal;
                        })();
                    }
                    return t;
                };
            } else {
                tMapLightness = function (t) { return t; };
            }
            return f;
        };

        f.padding = function(p) {
            if (p != null) {
                if (type$j(p) === 'number') {
                    p = [p,p];
                }
                _padding = p;
                return f;
            } else {
                return _padding;
            }
        };

        f.colors = function(numColors, out) {
            // If no arguments are given, return the original colors that were provided
            if (arguments.length < 2) { out = 'hex'; }
            var result = [];

            if (arguments.length === 0) {
                result = _colors.slice(0);

            } else if (numColors === 1) {
                result = [f(0.5)];

            } else if (numColors > 1) {
                var dm = _domain[0];
                var dd = _domain[1] - dm;
                result = __range__(0, numColors, false).map(function (i) { return f( dm + ((i/(numColors-1)) * dd) ); });

            } else { // returns all colors based on the defined classes
                colors = [];
                var samples = [];
                if (_classes && (_classes.length > 2)) {
                    for (var i = 1, end = _classes.length, asc = 1 <= end; asc ? i < end : i > end; asc ? i++ : i--) {
                        samples.push((_classes[i-1]+_classes[i])*0.5);
                    }
                } else {
                    samples = _domain;
                }
                result = samples.map(function (v) { return f(v); });
            }

            if (chroma_1[out]) {
                result = result.map(function (c) { return c[out](); });
            }
            return result;
        };

        f.cache = function(c) {
            if (c != null) {
                _useCache = c;
                return f;
            } else {
                return _useCache;
            }
        };

        f.gamma = function(g) {
            if (g != null) {
                _gamma = g;
                return f;
            } else {
                return _gamma;
            }
        };

        f.nodata = function(d) {
            if (d != null) {
                _nacol = chroma_1(d);
                return f;
            } else {
                return _nacol;
            }
        };

        return f;
    };

    function __range__(left, right, inclusive) {
      var range = [];
      var ascending = left < right;
      var end = !inclusive ? right : ascending ? right + 1 : right - 1;
      for (var i = left; ascending ? i < end : i > end; ascending ? i++ : i--) {
        range.push(i);
      }
      return range;
    }

    //
    // interpolates between a set of colors uzing a bezier spline
    //

    // @requires utils lab




    var bezier = function(colors) {
        var assign, assign$1, assign$2;

        var I, lab0, lab1, lab2;
        colors = colors.map(function (c) { return new Color_1(c); });
        if (colors.length === 2) {
            // linear interpolation
            (assign = colors.map(function (c) { return c.lab(); }), lab0 = assign[0], lab1 = assign[1]);
            I = function(t) {
                var lab = ([0, 1, 2].map(function (i) { return lab0[i] + (t * (lab1[i] - lab0[i])); }));
                return new Color_1(lab, 'lab');
            };
        } else if (colors.length === 3) {
            // quadratic bezier interpolation
            (assign$1 = colors.map(function (c) { return c.lab(); }), lab0 = assign$1[0], lab1 = assign$1[1], lab2 = assign$1[2]);
            I = function(t) {
                var lab = ([0, 1, 2].map(function (i) { return ((1-t)*(1-t) * lab0[i]) + (2 * (1-t) * t * lab1[i]) + (t * t * lab2[i]); }));
                return new Color_1(lab, 'lab');
            };
        } else if (colors.length === 4) {
            // cubic bezier interpolation
            var lab3;
            (assign$2 = colors.map(function (c) { return c.lab(); }), lab0 = assign$2[0], lab1 = assign$2[1], lab2 = assign$2[2], lab3 = assign$2[3]);
            I = function(t) {
                var lab = ([0, 1, 2].map(function (i) { return ((1-t)*(1-t)*(1-t) * lab0[i]) + (3 * (1-t) * (1-t) * t * lab1[i]) + (3 * (1-t) * t * t * lab2[i]) + (t*t*t * lab3[i]); }));
                return new Color_1(lab, 'lab');
            };
        } else if (colors.length === 5) {
            var I0 = bezier(colors.slice(0, 3));
            var I1 = bezier(colors.slice(2, 5));
            I = function(t) {
                if (t < 0.5) {
                    return I0(t*2);
                } else {
                    return I1((t-0.5)*2);
                }
            };
        }
        return I;
    };

    var bezier_1 = function (colors) {
        var f = bezier(colors);
        f.scale = function () { return scale(f); };
        return f;
    };

    /*
     * interpolates between a set of colors uzing a bezier spline
     * blend mode formulas taken from http://www.venture-ware.com/kevin/coding/lets-learn-math-photoshop-blend-modes/
     */




    var blend = function (bottom, top, mode) {
        if (!blend[mode]) {
            throw new Error('unknown blend mode ' + mode);
        }
        return blend[mode](bottom, top);
    };

    var blend_f = function (f) { return function (bottom,top) {
            var c0 = chroma_1(top).rgb();
            var c1 = chroma_1(bottom).rgb();
            return chroma_1.rgb(f(c0, c1));
        }; };

    var each = function (f) { return function (c0, c1) {
            var out = [];
            out[0] = f(c0[0], c1[0]);
            out[1] = f(c0[1], c1[1]);
            out[2] = f(c0[2], c1[2]);
            return out;
        }; };

    var normal = function (a) { return a; };
    var multiply = function (a,b) { return a * b / 255; };
    var darken$1 = function (a,b) { return a > b ? b : a; };
    var lighten = function (a,b) { return a > b ? a : b; };
    var screen = function (a,b) { return 255 * (1 - (1-a/255) * (1-b/255)); };
    var overlay = function (a,b) { return b < 128 ? 2 * a * b / 255 : 255 * (1 - 2 * (1 - a / 255 ) * ( 1 - b / 255 )); };
    var burn = function (a,b) { return 255 * (1 - (1 - b / 255) / (a/255)); };
    var dodge = function (a,b) {
        if (a === 255) { return 255; }
        a = 255 * (b / 255) / (1 - a / 255);
        return a > 255 ? 255 : a
    };

    // # add = (a,b) ->
    // #     if (a + b > 255) then 255 else a + b

    blend.normal = blend_f(each(normal));
    blend.multiply = blend_f(each(multiply));
    blend.screen = blend_f(each(screen));
    blend.overlay = blend_f(each(overlay));
    blend.darken = blend_f(each(darken$1));
    blend.lighten = blend_f(each(lighten));
    blend.dodge = blend_f(each(dodge));
    blend.burn = blend_f(each(burn));
    // blend.add = blend_f(each(add));

    var blend_1 = blend;

    // cubehelix interpolation
    // based on D.A. Green "A colour scheme for the display of astronomical intensity images"
    // http://astron-soc.in/bulletin/11June/289392011.pdf

    var type$k = utils.type;
    var clip_rgb$3 = utils.clip_rgb;
    var TWOPI$2 = utils.TWOPI;
    var pow$6 = Math.pow;
    var sin$2 = Math.sin;
    var cos$3 = Math.cos;


    var cubehelix = function(start, rotations, hue, gamma, lightness) {
        if ( start === void 0 ) start=300;
        if ( rotations === void 0 ) rotations=-1.5;
        if ( hue === void 0 ) hue=1;
        if ( gamma === void 0 ) gamma=1;
        if ( lightness === void 0 ) lightness=[0,1];

        var dh = 0, dl;
        if (type$k(lightness) === 'array') {
            dl = lightness[1] - lightness[0];
        } else {
            dl = 0;
            lightness = [lightness, lightness];
        }

        var f = function(fract) {
            var a = TWOPI$2 * (((start+120)/360) + (rotations * fract));
            var l = pow$6(lightness[0] + (dl * fract), gamma);
            var h = dh !== 0 ? hue[0] + (fract * dh) : hue;
            var amp = (h * l * (1-l)) / 2;
            var cos_a = cos$3(a);
            var sin_a = sin$2(a);
            var r = l + (amp * ((-0.14861 * cos_a) + (1.78277* sin_a)));
            var g = l + (amp * ((-0.29227 * cos_a) - (0.90649* sin_a)));
            var b = l + (amp * (+1.97294 * cos_a));
            return chroma_1(clip_rgb$3([r*255,g*255,b*255,1]));
        };

        f.start = function(s) {
            if ((s == null)) { return start; }
            start = s;
            return f;
        };

        f.rotations = function(r) {
            if ((r == null)) { return rotations; }
            rotations = r;
            return f;
        };

        f.gamma = function(g) {
            if ((g == null)) { return gamma; }
            gamma = g;
            return f;
        };

        f.hue = function(h) {
            if ((h == null)) { return hue; }
            hue = h;
            if (type$k(hue) === 'array') {
                dh = hue[1] - hue[0];
                if (dh === 0) { hue = hue[1]; }
            } else {
                dh = 0;
            }
            return f;
        };

        f.lightness = function(h) {
            if ((h == null)) { return lightness; }
            if (type$k(h) === 'array') {
                lightness = h;
                dl = h[1] - h[0];
            } else {
                lightness = [h,h];
                dl = 0;
            }
            return f;
        };

        f.scale = function () { return chroma_1.scale(f); };

        f.hue(hue);

        return f;
    };

    var digits = '0123456789abcdef';

    var floor$2 = Math.floor;
    var random = Math.random;

    var random_1 = function () {
        var code = '#';
        for (var i=0; i<6; i++) {
            code += digits.charAt(floor$2(random() * 16));
        }
        return new Color_1(code, 'hex');
    };

    var log$1 = Math.log;
    var pow$7 = Math.pow;
    var floor$3 = Math.floor;
    var abs = Math.abs;


    var analyze = function (data, key) {
        if ( key === void 0 ) key=null;

        var r = {
            min: Number.MAX_VALUE,
            max: Number.MAX_VALUE*-1,
            sum: 0,
            values: [],
            count: 0
        };
        if (type(data) === 'object') {
            data = Object.values(data);
        }
        data.forEach(function (val) {
            if (key && type(val) === 'object') { val = val[key]; }
            if (val !== undefined && val !== null && !isNaN(val)) {
                r.values.push(val);
                r.sum += val;
                if (val < r.min) { r.min = val; }
                if (val > r.max) { r.max = val; }
                r.count += 1;
            }
        });

        r.domain = [r.min, r.max];

        r.limits = function (mode, num) { return limits(r, mode, num); };

        return r;
    };


    var limits = function (data, mode, num) {
        if ( mode === void 0 ) mode='equal';
        if ( num === void 0 ) num=7;

        if (type(data) == 'array') {
            data = analyze(data);
        }
        var min = data.min;
        var max = data.max;
        var values = data.values.sort(function (a,b) { return a-b; });

        if (num === 1) { return [min,max]; }

        var limits = [];

        if (mode.substr(0,1) === 'c') { // continuous
            limits.push(min);
            limits.push(max);
        }

        if (mode.substr(0,1) === 'e') { // equal interval
            limits.push(min);
            for (var i=1; i<num; i++) {
                limits.push(min+((i/num)*(max-min)));
            }
            limits.push(max);
        }

        else if (mode.substr(0,1) === 'l') { // log scale
            if (min <= 0) {
                throw new Error('Logarithmic scales are only possible for values > 0');
            }
            var min_log = Math.LOG10E * log$1(min);
            var max_log = Math.LOG10E * log$1(max);
            limits.push(min);
            for (var i$1=1; i$1<num; i$1++) {
                limits.push(pow$7(10, min_log + ((i$1/num) * (max_log - min_log))));
            }
            limits.push(max);
        }

        else if (mode.substr(0,1) === 'q') { // quantile scale
            limits.push(min);
            for (var i$2=1; i$2<num; i$2++) {
                var p = ((values.length-1) * i$2)/num;
                var pb = floor$3(p);
                if (pb === p) {
                    limits.push(values[pb]);
                } else { // p > pb
                    var pr = p - pb;
                    limits.push((values[pb]*(1-pr)) + (values[pb+1]*pr));
                }
            }
            limits.push(max);

        }

        else if (mode.substr(0,1) === 'k') { // k-means clustering
            /*
            implementation based on
            http://code.google.com/p/figue/source/browse/trunk/figue.js#336
            simplified for 1-d input values
            */
            var cluster;
            var n = values.length;
            var assignments = new Array(n);
            var clusterSizes = new Array(num);
            var repeat = true;
            var nb_iters = 0;
            var centroids = null;

            // get seed values
            centroids = [];
            centroids.push(min);
            for (var i$3=1; i$3<num; i$3++) {
                centroids.push(min + ((i$3/num) * (max-min)));
            }
            centroids.push(max);

            while (repeat) {
                // assignment step
                for (var j=0; j<num; j++) {
                    clusterSizes[j] = 0;
                }
                for (var i$4=0; i$4<n; i$4++) {
                    var value = values[i$4];
                    var mindist = Number.MAX_VALUE;
                    var best = (void 0);
                    for (var j$1=0; j$1<num; j$1++) {
                        var dist = abs(centroids[j$1]-value);
                        if (dist < mindist) {
                            mindist = dist;
                            best = j$1;
                        }
                        clusterSizes[best]++;
                        assignments[i$4] = best;
                    }
                }

                // update centroids step
                var newCentroids = new Array(num);
                for (var j$2=0; j$2<num; j$2++) {
                    newCentroids[j$2] = null;
                }
                for (var i$5=0; i$5<n; i$5++) {
                    cluster = assignments[i$5];
                    if (newCentroids[cluster] === null) {
                        newCentroids[cluster] = values[i$5];
                    } else {
                        newCentroids[cluster] += values[i$5];
                    }
                }
                for (var j$3=0; j$3<num; j$3++) {
                    newCentroids[j$3] *= 1/clusterSizes[j$3];
                }

                // check convergence
                repeat = false;
                for (var j$4=0; j$4<num; j$4++) {
                    if (newCentroids[j$4] !== centroids[j$4]) {
                        repeat = true;
                        break;
                    }
                }

                centroids = newCentroids;
                nb_iters++;

                if (nb_iters > 200) {
                    repeat = false;
                }
            }

            // finished k-means clustering
            // the next part is borrowed from gabrielflor.it
            var kClusters = {};
            for (var j$5=0; j$5<num; j$5++) {
                kClusters[j$5] = [];
            }
            for (var i$6=0; i$6<n; i$6++) {
                cluster = assignments[i$6];
                kClusters[cluster].push(values[i$6]);
            }
            var tmpKMeansBreaks = [];
            for (var j$6=0; j$6<num; j$6++) {
                tmpKMeansBreaks.push(kClusters[j$6][0]);
                tmpKMeansBreaks.push(kClusters[j$6][kClusters[j$6].length-1]);
            }
            tmpKMeansBreaks = tmpKMeansBreaks.sort(function (a,b){ return a-b; });
            limits.push(tmpKMeansBreaks[0]);
            for (var i$7=1; i$7 < tmpKMeansBreaks.length; i$7+= 2) {
                var v = tmpKMeansBreaks[i$7];
                if (!isNaN(v) && (limits.indexOf(v) === -1)) {
                    limits.push(v);
                }
            }
        }
        return limits;
    };

    var analyze_1 = {analyze: analyze, limits: limits};

    var contrast = function (a, b) {
        // WCAG contrast ratio
        // see http://www.w3.org/TR/2008/REC-WCAG20-20081211/#contrast-ratiodef
        a = new Color_1(a);
        b = new Color_1(b);
        var l1 = a.luminance();
        var l2 = b.luminance();
        return l1 > l2 ? (l1 + 0.05) / (l2 + 0.05) : (l2 + 0.05) / (l1 + 0.05);
    };

    var sqrt$4 = Math.sqrt;
    var atan2$2 = Math.atan2;
    var abs$1 = Math.abs;
    var cos$4 = Math.cos;
    var PI$2 = Math.PI;

    var deltaE = function(a, b, L, C) {
        if ( L === void 0 ) L=1;
        if ( C === void 0 ) C=1;

        // Delta E (CMC)
        // see http://www.brucelindbloom.com/index.html?Eqn_DeltaE_CMC.html
        a = new Color_1(a);
        b = new Color_1(b);
        var ref = Array.from(a.lab());
        var L1 = ref[0];
        var a1 = ref[1];
        var b1 = ref[2];
        var ref$1 = Array.from(b.lab());
        var L2 = ref$1[0];
        var a2 = ref$1[1];
        var b2 = ref$1[2];
        var c1 = sqrt$4((a1 * a1) + (b1 * b1));
        var c2 = sqrt$4((a2 * a2) + (b2 * b2));
        var sl = L1 < 16.0 ? 0.511 : (0.040975 * L1) / (1.0 + (0.01765 * L1));
        var sc = ((0.0638 * c1) / (1.0 + (0.0131 * c1))) + 0.638;
        var h1 = c1 < 0.000001 ? 0.0 : (atan2$2(b1, a1) * 180.0) / PI$2;
        while (h1 < 0) { h1 += 360; }
        while (h1 >= 360) { h1 -= 360; }
        var t = (h1 >= 164.0) && (h1 <= 345.0) ? (0.56 + abs$1(0.2 * cos$4((PI$2 * (h1 + 168.0)) / 180.0))) : (0.36 + abs$1(0.4 * cos$4((PI$2 * (h1 + 35.0)) / 180.0)));
        var c4 = c1 * c1 * c1 * c1;
        var f = sqrt$4(c4 / (c4 + 1900.0));
        var sh = sc * (((f * t) + 1.0) - f);
        var delL = L1 - L2;
        var delC = c1 - c2;
        var delA = a1 - a2;
        var delB = b1 - b2;
        var dH2 = ((delA * delA) + (delB * delB)) - (delC * delC);
        var v1 = delL / (L * sl);
        var v2 = delC / (C * sc);
        var v3 = sh;
        return sqrt$4((v1 * v1) + (v2 * v2) + (dH2 / (v3 * v3)));
    };

    // simple Euclidean distance
    var distance = function(a, b, mode) {
        if ( mode === void 0 ) mode='lab';

        // Delta E (CIE 1976)
        // see http://www.brucelindbloom.com/index.html?Equations.html
        a = new Color_1(a);
        b = new Color_1(b);
        var l1 = a.get(mode);
        var l2 = b.get(mode);
        var sum_sq = 0;
        for (var i in l1) {
            var d = (l1[i] || 0) - (l2[i] || 0);
            sum_sq += d*d;
        }
        return Math.sqrt(sum_sq);
    };

    var valid = function () {
        var args = [], len = arguments.length;
        while ( len-- ) args[ len ] = arguments[ len ];

        try {
            new (Function.prototype.bind.apply( Color_1, [ null ].concat( args) ));
            return true;
        } catch (e) {
            return false;
        }
    };

    // some pre-defined color scales:




    var scales = {
    	cool: function cool() { return scale([chroma_1.hsl(180,1,.9), chroma_1.hsl(250,.7,.4)]) },
    	hot: function hot() { return scale(['#000','#f00','#ff0','#fff'], [0,.25,.75,1]).mode('rgb') }
    };

    /**
        ColorBrewer colors for chroma.js

        Copyright (c) 2002 Cynthia Brewer, Mark Harrower, and The
        Pennsylvania State University.

        Licensed under the Apache License, Version 2.0 (the "License");
        you may not use this file except in compliance with the License.
        You may obtain a copy of the License at
        http://www.apache.org/licenses/LICENSE-2.0

        Unless required by applicable law or agreed to in writing, software distributed
        under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
        CONDITIONS OF ANY KIND, either express or implied. See the License for the
        specific language governing permissions and limitations under the License.
    */

    var colorbrewer = {
        // sequential
        OrRd: ['#fff7ec', '#fee8c8', '#fdd49e', '#fdbb84', '#fc8d59', '#ef6548', '#d7301f', '#b30000', '#7f0000'],
        PuBu: ['#fff7fb', '#ece7f2', '#d0d1e6', '#a6bddb', '#74a9cf', '#3690c0', '#0570b0', '#045a8d', '#023858'],
        BuPu: ['#f7fcfd', '#e0ecf4', '#bfd3e6', '#9ebcda', '#8c96c6', '#8c6bb1', '#88419d', '#810f7c', '#4d004b'],
        Oranges: ['#fff5eb', '#fee6ce', '#fdd0a2', '#fdae6b', '#fd8d3c', '#f16913', '#d94801', '#a63603', '#7f2704'],
        BuGn: ['#f7fcfd', '#e5f5f9', '#ccece6', '#99d8c9', '#66c2a4', '#41ae76', '#238b45', '#006d2c', '#00441b'],
        YlOrBr: ['#ffffe5', '#fff7bc', '#fee391', '#fec44f', '#fe9929', '#ec7014', '#cc4c02', '#993404', '#662506'],
        YlGn: ['#ffffe5', '#f7fcb9', '#d9f0a3', '#addd8e', '#78c679', '#41ab5d', '#238443', '#006837', '#004529'],
        Reds: ['#fff5f0', '#fee0d2', '#fcbba1', '#fc9272', '#fb6a4a', '#ef3b2c', '#cb181d', '#a50f15', '#67000d'],
        RdPu: ['#fff7f3', '#fde0dd', '#fcc5c0', '#fa9fb5', '#f768a1', '#dd3497', '#ae017e', '#7a0177', '#49006a'],
        Greens: ['#f7fcf5', '#e5f5e0', '#c7e9c0', '#a1d99b', '#74c476', '#41ab5d', '#238b45', '#006d2c', '#00441b'],
        YlGnBu: ['#ffffd9', '#edf8b1', '#c7e9b4', '#7fcdbb', '#41b6c4', '#1d91c0', '#225ea8', '#253494', '#081d58'],
        Purples: ['#fcfbfd', '#efedf5', '#dadaeb', '#bcbddc', '#9e9ac8', '#807dba', '#6a51a3', '#54278f', '#3f007d'],
        GnBu: ['#f7fcf0', '#e0f3db', '#ccebc5', '#a8ddb5', '#7bccc4', '#4eb3d3', '#2b8cbe', '#0868ac', '#084081'],
        Greys: ['#ffffff', '#f0f0f0', '#d9d9d9', '#bdbdbd', '#969696', '#737373', '#525252', '#252525', '#000000'],
        YlOrRd: ['#ffffcc', '#ffeda0', '#fed976', '#feb24c', '#fd8d3c', '#fc4e2a', '#e31a1c', '#bd0026', '#800026'],
        PuRd: ['#f7f4f9', '#e7e1ef', '#d4b9da', '#c994c7', '#df65b0', '#e7298a', '#ce1256', '#980043', '#67001f'],
        Blues: ['#f7fbff', '#deebf7', '#c6dbef', '#9ecae1', '#6baed6', '#4292c6', '#2171b5', '#08519c', '#08306b'],
        PuBuGn: ['#fff7fb', '#ece2f0', '#d0d1e6', '#a6bddb', '#67a9cf', '#3690c0', '#02818a', '#016c59', '#014636'],
        Viridis: ['#440154', '#482777', '#3f4a8a', '#31678e', '#26838f', '#1f9d8a', '#6cce5a', '#b6de2b', '#fee825'],

        // diverging

        Spectral: ['#9e0142', '#d53e4f', '#f46d43', '#fdae61', '#fee08b', '#ffffbf', '#e6f598', '#abdda4', '#66c2a5', '#3288bd', '#5e4fa2'],
        RdYlGn: ['#a50026', '#d73027', '#f46d43', '#fdae61', '#fee08b', '#ffffbf', '#d9ef8b', '#a6d96a', '#66bd63', '#1a9850', '#006837'],
        RdBu: ['#67001f', '#b2182b', '#d6604d', '#f4a582', '#fddbc7', '#f7f7f7', '#d1e5f0', '#92c5de', '#4393c3', '#2166ac', '#053061'],
        PiYG: ['#8e0152', '#c51b7d', '#de77ae', '#f1b6da', '#fde0ef', '#f7f7f7', '#e6f5d0', '#b8e186', '#7fbc41', '#4d9221', '#276419'],
        PRGn: ['#40004b', '#762a83', '#9970ab', '#c2a5cf', '#e7d4e8', '#f7f7f7', '#d9f0d3', '#a6dba0', '#5aae61', '#1b7837', '#00441b'],
        RdYlBu: ['#a50026', '#d73027', '#f46d43', '#fdae61', '#fee090', '#ffffbf', '#e0f3f8', '#abd9e9', '#74add1', '#4575b4', '#313695'],
        BrBG: ['#543005', '#8c510a', '#bf812d', '#dfc27d', '#f6e8c3', '#f5f5f5', '#c7eae5', '#80cdc1', '#35978f', '#01665e', '#003c30'],
        RdGy: ['#67001f', '#b2182b', '#d6604d', '#f4a582', '#fddbc7', '#ffffff', '#e0e0e0', '#bababa', '#878787', '#4d4d4d', '#1a1a1a'],
        PuOr: ['#7f3b08', '#b35806', '#e08214', '#fdb863', '#fee0b6', '#f7f7f7', '#d8daeb', '#b2abd2', '#8073ac', '#542788', '#2d004b'],

        // qualitative

        Set2: ['#66c2a5', '#fc8d62', '#8da0cb', '#e78ac3', '#a6d854', '#ffd92f', '#e5c494', '#b3b3b3'],
        Accent: ['#7fc97f', '#beaed4', '#fdc086', '#ffff99', '#386cb0', '#f0027f', '#bf5b17', '#666666'],
        Set1: ['#e41a1c', '#377eb8', '#4daf4a', '#984ea3', '#ff7f00', '#ffff33', '#a65628', '#f781bf', '#999999'],
        Set3: ['#8dd3c7', '#ffffb3', '#bebada', '#fb8072', '#80b1d3', '#fdb462', '#b3de69', '#fccde5', '#d9d9d9', '#bc80bd', '#ccebc5', '#ffed6f'],
        Dark2: ['#1b9e77', '#d95f02', '#7570b3', '#e7298a', '#66a61e', '#e6ab02', '#a6761d', '#666666'],
        Paired: ['#a6cee3', '#1f78b4', '#b2df8a', '#33a02c', '#fb9a99', '#e31a1c', '#fdbf6f', '#ff7f00', '#cab2d6', '#6a3d9a', '#ffff99', '#b15928'],
        Pastel2: ['#b3e2cd', '#fdcdac', '#cbd5e8', '#f4cae4', '#e6f5c9', '#fff2ae', '#f1e2cc', '#cccccc'],
        Pastel1: ['#fbb4ae', '#b3cde3', '#ccebc5', '#decbe4', '#fed9a6', '#ffffcc', '#e5d8bd', '#fddaec', '#f2f2f2'],
    };

    // add lowercase aliases for case-insensitive matches
    for (var i$1 = 0, list$1 = Object.keys(colorbrewer); i$1 < list$1.length; i$1 += 1) {
        var key = list$1[i$1];

        colorbrewer[key.toLowerCase()] = colorbrewer[key];
    }

    var colorbrewer_1 = colorbrewer;

    // feel free to comment out anything to rollup
    // a smaller chroma.js built

    // io --> convert colors















    // operators --> modify existing Colors










    // interpolators










    // generators -- > create new colors
    chroma_1.average = average;
    chroma_1.bezier = bezier_1;
    chroma_1.blend = blend_1;
    chroma_1.cubehelix = cubehelix;
    chroma_1.mix = chroma_1.interpolate = mix;
    chroma_1.random = random_1;
    chroma_1.scale = scale;

    // other utility methods
    chroma_1.analyze = analyze_1.analyze;
    chroma_1.contrast = contrast;
    chroma_1.deltaE = deltaE;
    chroma_1.distance = distance;
    chroma_1.limits = analyze_1.limits;
    chroma_1.valid = valid;

    // scale
    chroma_1.scales = scales;

    // colors
    chroma_1.colors = w3cx11_1;
    chroma_1.brewer = colorbrewer_1;

    var chroma_js = chroma_1;

    return chroma_js;

})));


/***/ }),

/***/ "./node_modules/codemirror/addon/hint/show-hint.js":
/*!*********************************************************!*\
  !*** ./node_modules/codemirror/addon/hint/show-hint.js ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __unused_webpack_exports, __webpack_require__) => {

// CodeMirror, copyright (c) by Marijn Haverbeke and others
// Distributed under an MIT license: https://codemirror.net/LICENSE

// declare global: DOMRect

(function(mod) {
  if (true) // CommonJS
    mod(__webpack_require__(/*! ../../lib/codemirror */ "./node_modules/codemirror/lib/codemirror.js"));
  else {}
})(function(CodeMirror) {
  "use strict";

  var HINT_ELEMENT_CLASS        = "CodeMirror-hint";
  var ACTIVE_HINT_ELEMENT_CLASS = "CodeMirror-hint-active";

  // This is the old interface, kept around for now to stay
  // backwards-compatible.
  CodeMirror.showHint = function(cm, getHints, options) {
    if (!getHints) return cm.showHint(options);
    if (options && options.async) getHints.async = true;
    var newOpts = {hint: getHints};
    if (options) for (var prop in options) newOpts[prop] = options[prop];
    return cm.showHint(newOpts);
  };

  CodeMirror.defineExtension("showHint", function(options) {
    options = parseOptions(this, this.getCursor("start"), options);
    var selections = this.listSelections()
    if (selections.length > 1) return;
    // By default, don't allow completion when something is selected.
    // A hint function can have a `supportsSelection` property to
    // indicate that it can handle selections.
    if (this.somethingSelected()) {
      if (!options.hint.supportsSelection) return;
      // Don't try with cross-line selections
      for (var i = 0; i < selections.length; i++)
        if (selections[i].head.line != selections[i].anchor.line) return;
    }

    if (this.state.completionActive) this.state.completionActive.close();
    var completion = this.state.completionActive = new Completion(this, options);
    if (!completion.options.hint) return;

    CodeMirror.signal(this, "startCompletion", this);
    completion.update(true);
  });

  CodeMirror.defineExtension("closeHint", function() {
    if (this.state.completionActive) this.state.completionActive.close()
  })

  function Completion(cm, options) {
    this.cm = cm;
    this.options = options;
    this.widget = null;
    this.debounce = 0;
    this.tick = 0;
    this.startPos = this.cm.getCursor("start");
    this.startLen = this.cm.getLine(this.startPos.line).length - this.cm.getSelection().length;

    if (this.options.updateOnCursorActivity) {
      var self = this;
      cm.on("cursorActivity", this.activityFunc = function() { self.cursorActivity(); });
    }
  }

  var requestAnimationFrame = window.requestAnimationFrame || function(fn) {
    return setTimeout(fn, 1000/60);
  };
  var cancelAnimationFrame = window.cancelAnimationFrame || clearTimeout;

  Completion.prototype = {
    close: function() {
      if (!this.active()) return;
      this.cm.state.completionActive = null;
      this.tick = null;
      if (this.options.updateOnCursorActivity) {
        this.cm.off("cursorActivity", this.activityFunc);
      }

      if (this.widget && this.data) CodeMirror.signal(this.data, "close");
      if (this.widget) this.widget.close();
      CodeMirror.signal(this.cm, "endCompletion", this.cm);
    },

    active: function() {
      return this.cm.state.completionActive == this;
    },

    pick: function(data, i) {
      var completion = data.list[i], self = this;
      this.cm.operation(function() {
        if (completion.hint)
          completion.hint(self.cm, data, completion);
        else
          self.cm.replaceRange(getText(completion), completion.from || data.from,
                               completion.to || data.to, "complete");
        CodeMirror.signal(data, "pick", completion);
        self.cm.scrollIntoView();
      });
      if (this.options.closeOnPick) {
        this.close();
      }
    },

    cursorActivity: function() {
      if (this.debounce) {
        cancelAnimationFrame(this.debounce);
        this.debounce = 0;
      }

      var identStart = this.startPos;
      if(this.data) {
        identStart = this.data.from;
      }

      var pos = this.cm.getCursor(), line = this.cm.getLine(pos.line);
      if (pos.line != this.startPos.line || line.length - pos.ch != this.startLen - this.startPos.ch ||
          pos.ch < identStart.ch || this.cm.somethingSelected() ||
          (!pos.ch || this.options.closeCharacters.test(line.charAt(pos.ch - 1)))) {
        this.close();
      } else {
        var self = this;
        this.debounce = requestAnimationFrame(function() {self.update();});
        if (this.widget) this.widget.disable();
      }
    },

    update: function(first) {
      if (this.tick == null) return
      var self = this, myTick = ++this.tick
      fetchHints(this.options.hint, this.cm, this.options, function(data) {
        if (self.tick == myTick) self.finishUpdate(data, first)
      })
    },

    finishUpdate: function(data, first) {
      if (this.data) CodeMirror.signal(this.data, "update");

      var picked = (this.widget && this.widget.picked) || (first && this.options.completeSingle);
      if (this.widget) this.widget.close();

      this.data = data;

      if (data && data.list.length) {
        if (picked && data.list.length == 1) {
          this.pick(data, 0);
        } else {
          this.widget = new Widget(this, data);
          CodeMirror.signal(data, "shown");
        }
      }
    }
  };

  function parseOptions(cm, pos, options) {
    var editor = cm.options.hintOptions;
    var out = {};
    for (var prop in defaultOptions) out[prop] = defaultOptions[prop];
    if (editor) for (var prop in editor)
      if (editor[prop] !== undefined) out[prop] = editor[prop];
    if (options) for (var prop in options)
      if (options[prop] !== undefined) out[prop] = options[prop];
    if (out.hint.resolve) out.hint = out.hint.resolve(cm, pos)
    return out;
  }

  function getText(completion) {
    if (typeof completion == "string") return completion;
    else return completion.text;
  }

  function buildKeyMap(completion, handle) {
    var baseMap = {
      Up: function() {handle.moveFocus(-1);},
      Down: function() {handle.moveFocus(1);},
      PageUp: function() {handle.moveFocus(-handle.menuSize() + 1, true);},
      PageDown: function() {handle.moveFocus(handle.menuSize() - 1, true);},
      Home: function() {handle.setFocus(0);},
      End: function() {handle.setFocus(handle.length - 1);},
      Enter: handle.pick,
      Tab: handle.pick,
      Esc: handle.close
    };

    var mac = /Mac/.test(navigator.platform);

    if (mac) {
      baseMap["Ctrl-P"] = function() {handle.moveFocus(-1);};
      baseMap["Ctrl-N"] = function() {handle.moveFocus(1);};
    }

    var custom = completion.options.customKeys;
    var ourMap = custom ? {} : baseMap;
    function addBinding(key, val) {
      var bound;
      if (typeof val != "string")
        bound = function(cm) { return val(cm, handle); };
      // This mechanism is deprecated
      else if (baseMap.hasOwnProperty(val))
        bound = baseMap[val];
      else
        bound = val;
      ourMap[key] = bound;
    }
    if (custom)
      for (var key in custom) if (custom.hasOwnProperty(key))
        addBinding(key, custom[key]);
    var extra = completion.options.extraKeys;
    if (extra)
      for (var key in extra) if (extra.hasOwnProperty(key))
        addBinding(key, extra[key]);
    return ourMap;
  }

  function getHintElement(hintsElement, el) {
    while (el && el != hintsElement) {
      if (el.nodeName.toUpperCase() === "LI" && el.parentNode == hintsElement) return el;
      el = el.parentNode;
    }
  }

  function Widget(completion, data) {
    this.completion = completion;
    this.data = data;
    this.picked = false;
    var widget = this, cm = completion.cm;
    var ownerDocument = cm.getInputField().ownerDocument;
    var parentWindow = ownerDocument.defaultView || ownerDocument.parentWindow;

    var hints = this.hints = ownerDocument.createElement("ul");
    var theme = completion.cm.options.theme;
    hints.className = "CodeMirror-hints " + theme;
    this.selectedHint = data.selectedHint || 0;

    var completions = data.list;
    for (var i = 0; i < completions.length; ++i) {
      var elt = hints.appendChild(ownerDocument.createElement("li")), cur = completions[i];
      var className = HINT_ELEMENT_CLASS + (i != this.selectedHint ? "" : " " + ACTIVE_HINT_ELEMENT_CLASS);
      if (cur.className != null) className = cur.className + " " + className;
      elt.className = className;
      if (cur.render) cur.render(elt, data, cur);
      else elt.appendChild(ownerDocument.createTextNode(cur.displayText || getText(cur)));
      elt.hintId = i;
    }

    var container = completion.options.container || ownerDocument.body;
    var pos = cm.cursorCoords(completion.options.alignWithWord ? data.from : null);
    var left = pos.left, top = pos.bottom, below = true;
    var offsetLeft = 0, offsetTop = 0;
    if (container !== ownerDocument.body) {
      // We offset the cursor position because left and top are relative to the offsetParent's top left corner.
      var isContainerPositioned = ['absolute', 'relative', 'fixed'].indexOf(parentWindow.getComputedStyle(container).position) !== -1;
      var offsetParent = isContainerPositioned ? container : container.offsetParent;
      var offsetParentPosition = offsetParent.getBoundingClientRect();
      var bodyPosition = ownerDocument.body.getBoundingClientRect();
      offsetLeft = (offsetParentPosition.left - bodyPosition.left - offsetParent.scrollLeft);
      offsetTop = (offsetParentPosition.top - bodyPosition.top - offsetParent.scrollTop);
    }
    hints.style.left = (left - offsetLeft) + "px";
    hints.style.top = (top - offsetTop) + "px";

    // If we're at the edge of the screen, then we want the menu to appear on the left of the cursor.
    var winW = parentWindow.innerWidth || Math.max(ownerDocument.body.offsetWidth, ownerDocument.documentElement.offsetWidth);
    var winH = parentWindow.innerHeight || Math.max(ownerDocument.body.offsetHeight, ownerDocument.documentElement.offsetHeight);
    container.appendChild(hints);

    var box = completion.options.moveOnOverlap ? hints.getBoundingClientRect() : new DOMRect();
    var scrolls = completion.options.paddingForScrollbar ? hints.scrollHeight > hints.clientHeight + 1 : false;

    // Compute in the timeout to avoid reflow on init
    var startScroll;
    setTimeout(function() { startScroll = cm.getScrollInfo(); });

    var overlapY = box.bottom - winH;
    if (overlapY > 0) {
      var height = box.bottom - box.top, curTop = pos.top - (pos.bottom - box.top);
      if (curTop - height > 0) { // Fits above cursor
        hints.style.top = (top = pos.top - height - offsetTop) + "px";
        below = false;
      } else if (height > winH) {
        hints.style.height = (winH - 5) + "px";
        hints.style.top = (top = pos.bottom - box.top - offsetTop) + "px";
        var cursor = cm.getCursor();
        if (data.from.ch != cursor.ch) {
          pos = cm.cursorCoords(cursor);
          hints.style.left = (left = pos.left - offsetLeft) + "px";
          box = hints.getBoundingClientRect();
        }
      }
    }
    var overlapX = box.right - winW;
    if (overlapX > 0) {
      if (box.right - box.left > winW) {
        hints.style.width = (winW - 5) + "px";
        overlapX -= (box.right - box.left) - winW;
      }
      hints.style.left = (left = pos.left - overlapX - offsetLeft) + "px";
    }
    if (scrolls) for (var node = hints.firstChild; node; node = node.nextSibling)
      node.style.paddingRight = cm.display.nativeBarWidth + "px"

    cm.addKeyMap(this.keyMap = buildKeyMap(completion, {
      moveFocus: function(n, avoidWrap) { widget.changeActive(widget.selectedHint + n, avoidWrap); },
      setFocus: function(n) { widget.changeActive(n); },
      menuSize: function() { return widget.screenAmount(); },
      length: completions.length,
      close: function() { completion.close(); },
      pick: function() { widget.pick(); },
      data: data
    }));

    if (completion.options.closeOnUnfocus) {
      var closingOnBlur;
      cm.on("blur", this.onBlur = function() { closingOnBlur = setTimeout(function() { completion.close(); }, 100); });
      cm.on("focus", this.onFocus = function() { clearTimeout(closingOnBlur); });
    }

    cm.on("scroll", this.onScroll = function() {
      var curScroll = cm.getScrollInfo(), editor = cm.getWrapperElement().getBoundingClientRect();
      var newTop = top + startScroll.top - curScroll.top;
      var point = newTop - (parentWindow.pageYOffset || (ownerDocument.documentElement || ownerDocument.body).scrollTop);
      if (!below) point += hints.offsetHeight;
      if (point <= editor.top || point >= editor.bottom) return completion.close();
      hints.style.top = newTop + "px";
      hints.style.left = (left + startScroll.left - curScroll.left) + "px";
    });

    CodeMirror.on(hints, "dblclick", function(e) {
      var t = getHintElement(hints, e.target || e.srcElement);
      if (t && t.hintId != null) {widget.changeActive(t.hintId); widget.pick();}
    });

    CodeMirror.on(hints, "click", function(e) {
      var t = getHintElement(hints, e.target || e.srcElement);
      if (t && t.hintId != null) {
        widget.changeActive(t.hintId);
        if (completion.options.completeOnSingleClick) widget.pick();
      }
    });

    CodeMirror.on(hints, "mousedown", function() {
      setTimeout(function(){cm.focus();}, 20);
    });

    // The first hint doesn't need to be scrolled to on init
    var selectedHintRange = this.getSelectedHintRange();
    if (selectedHintRange.from !== 0 || selectedHintRange.to !== 0) {
      this.scrollToActive();
    }

    CodeMirror.signal(data, "select", completions[this.selectedHint], hints.childNodes[this.selectedHint]);
    return true;
  }

  Widget.prototype = {
    close: function() {
      if (this.completion.widget != this) return;
      this.completion.widget = null;
      this.hints.parentNode.removeChild(this.hints);
      this.completion.cm.removeKeyMap(this.keyMap);

      var cm = this.completion.cm;
      if (this.completion.options.closeOnUnfocus) {
        cm.off("blur", this.onBlur);
        cm.off("focus", this.onFocus);
      }
      cm.off("scroll", this.onScroll);
    },

    disable: function() {
      this.completion.cm.removeKeyMap(this.keyMap);
      var widget = this;
      this.keyMap = {Enter: function() { widget.picked = true; }};
      this.completion.cm.addKeyMap(this.keyMap);
    },

    pick: function() {
      this.completion.pick(this.data, this.selectedHint);
    },

    changeActive: function(i, avoidWrap) {
      if (i >= this.data.list.length)
        i = avoidWrap ? this.data.list.length - 1 : 0;
      else if (i < 0)
        i = avoidWrap ? 0  : this.data.list.length - 1;
      if (this.selectedHint == i) return;
      var node = this.hints.childNodes[this.selectedHint];
      if (node) node.className = node.className.replace(" " + ACTIVE_HINT_ELEMENT_CLASS, "");
      node = this.hints.childNodes[this.selectedHint = i];
      node.className += " " + ACTIVE_HINT_ELEMENT_CLASS;
      this.scrollToActive()
      CodeMirror.signal(this.data, "select", this.data.list[this.selectedHint], node);
    },

    scrollToActive: function() {
      var selectedHintRange = this.getSelectedHintRange();
      var node1 = this.hints.childNodes[selectedHintRange.from];
      var node2 = this.hints.childNodes[selectedHintRange.to];
      var firstNode = this.hints.firstChild;
      if (node1.offsetTop < this.hints.scrollTop)
        this.hints.scrollTop = node1.offsetTop - firstNode.offsetTop;
      else if (node2.offsetTop + node2.offsetHeight > this.hints.scrollTop + this.hints.clientHeight)
        this.hints.scrollTop = node2.offsetTop + node2.offsetHeight - this.hints.clientHeight + firstNode.offsetTop;
    },

    screenAmount: function() {
      return Math.floor(this.hints.clientHeight / this.hints.firstChild.offsetHeight) || 1;
    },

    getSelectedHintRange: function() {
      var margin = this.completion.options.scrollMargin || 0;
      return {
        from: Math.max(0, this.selectedHint - margin),
        to: Math.min(this.data.list.length - 1, this.selectedHint + margin),
      };
    }
  };

  function applicableHelpers(cm, helpers) {
    if (!cm.somethingSelected()) return helpers
    var result = []
    for (var i = 0; i < helpers.length; i++)
      if (helpers[i].supportsSelection) result.push(helpers[i])
    return result
  }

  function fetchHints(hint, cm, options, callback) {
    if (hint.async) {
      hint(cm, callback, options)
    } else {
      var result = hint(cm, options)
      if (result && result.then) result.then(callback)
      else callback(result)
    }
  }

  function resolveAutoHints(cm, pos) {
    var helpers = cm.getHelpers(pos, "hint"), words
    if (helpers.length) {
      var resolved = function(cm, callback, options) {
        var app = applicableHelpers(cm, helpers);
        function run(i) {
          if (i == app.length) return callback(null)
          fetchHints(app[i], cm, options, function(result) {
            if (result && result.list.length > 0) callback(result)
            else run(i + 1)
          })
        }
        run(0)
      }
      resolved.async = true
      resolved.supportsSelection = true
      return resolved
    } else if (words = cm.getHelper(cm.getCursor(), "hintWords")) {
      return function(cm) { return CodeMirror.hint.fromList(cm, {words: words}) }
    } else if (CodeMirror.hint.anyword) {
      return function(cm, options) { return CodeMirror.hint.anyword(cm, options) }
    } else {
      return function() {}
    }
  }

  CodeMirror.registerHelper("hint", "auto", {
    resolve: resolveAutoHints
  });

  CodeMirror.registerHelper("hint", "fromList", function(cm, options) {
    var cur = cm.getCursor(), token = cm.getTokenAt(cur)
    var term, from = CodeMirror.Pos(cur.line, token.start), to = cur
    if (token.start < cur.ch && /\w/.test(token.string.charAt(cur.ch - token.start - 1))) {
      term = token.string.substr(0, cur.ch - token.start)
    } else {
      term = ""
      from = cur
    }
    var found = [];
    for (var i = 0; i < options.words.length; i++) {
      var word = options.words[i];
      if (word.slice(0, term.length) == term)
        found.push(word);
    }

    if (found.length) return {list: found, from: from, to: to};
  });

  CodeMirror.commands.autocomplete = CodeMirror.showHint;

  var defaultOptions = {
    hint: CodeMirror.hint.auto,
    completeSingle: true,
    alignWithWord: true,
    closeCharacters: /[\s()\[\]{};:>,]/,
    closeOnPick: true,
    closeOnUnfocus: true,
    updateOnCursorActivity: true,
    completeOnSingleClick: true,
    container: null,
    customKeys: null,
    extraKeys: null,
    paddingForScrollbar: true,
    moveOnOverlap: true,
  };

  CodeMirror.defineOption("hintOptions", null);
});


/***/ }),

/***/ "./node_modules/codemirror/lib/codemirror.js":
/*!***************************************************!*\
  !*** ./node_modules/codemirror/lib/codemirror.js ***!
  \***************************************************/
/***/ (function(module) {

// CodeMirror, copyright (c) by Marijn Haverbeke and others
// Distributed under an MIT license: https://codemirror.net/LICENSE

// This is CodeMirror (https://codemirror.net), a code editor
// implemented in JavaScript on top of the browser's DOM.
//
// You can find some technical background for some of the code below
// at http://marijnhaverbeke.nl/blog/#cm-internals .

(function (global, factory) {
   true ? module.exports = factory() :
  0;
}(this, (function () { 'use strict';

  // Kludges for bugs and behavior differences that can't be feature
  // detected are enabled based on userAgent etc sniffing.
  var userAgent = navigator.userAgent;
  var platform = navigator.platform;

  var gecko = /gecko\/\d/i.test(userAgent);
  var ie_upto10 = /MSIE \d/.test(userAgent);
  var ie_11up = /Trident\/(?:[7-9]|\d{2,})\..*rv:(\d+)/.exec(userAgent);
  var edge = /Edge\/(\d+)/.exec(userAgent);
  var ie = ie_upto10 || ie_11up || edge;
  var ie_version = ie && (ie_upto10 ? document.documentMode || 6 : +(edge || ie_11up)[1]);
  var webkit = !edge && /WebKit\//.test(userAgent);
  var qtwebkit = webkit && /Qt\/\d+\.\d+/.test(userAgent);
  var chrome = !edge && /Chrome\//.test(userAgent);
  var presto = /Opera\//.test(userAgent);
  var safari = /Apple Computer/.test(navigator.vendor);
  var mac_geMountainLion = /Mac OS X 1\d\D([8-9]|\d\d)\D/.test(userAgent);
  var phantom = /PhantomJS/.test(userAgent);

  var ios = safari && (/Mobile\/\w+/.test(userAgent) || navigator.maxTouchPoints > 2);
  var android = /Android/.test(userAgent);
  // This is woefully incomplete. Suggestions for alternative methods welcome.
  var mobile = ios || android || /webOS|BlackBerry|Opera Mini|Opera Mobi|IEMobile/i.test(userAgent);
  var mac = ios || /Mac/.test(platform);
  var chromeOS = /\bCrOS\b/.test(userAgent);
  var windows = /win/i.test(platform);

  var presto_version = presto && userAgent.match(/Version\/(\d*\.\d*)/);
  if (presto_version) { presto_version = Number(presto_version[1]); }
  if (presto_version && presto_version >= 15) { presto = false; webkit = true; }
  // Some browsers use the wrong event properties to signal cmd/ctrl on OS X
  var flipCtrlCmd = mac && (qtwebkit || presto && (presto_version == null || presto_version < 12.11));
  var captureRightClick = gecko || (ie && ie_version >= 9);

  function classTest(cls) { return new RegExp("(^|\\s)" + cls + "(?:$|\\s)\\s*") }

  var rmClass = function(node, cls) {
    var current = node.className;
    var match = classTest(cls).exec(current);
    if (match) {
      var after = current.slice(match.index + match[0].length);
      node.className = current.slice(0, match.index) + (after ? match[1] + after : "");
    }
  };

  function removeChildren(e) {
    for (var count = e.childNodes.length; count > 0; --count)
      { e.removeChild(e.firstChild); }
    return e
  }

  function removeChildrenAndAdd(parent, e) {
    return removeChildren(parent).appendChild(e)
  }

  function elt(tag, content, className, style) {
    var e = document.createElement(tag);
    if (className) { e.className = className; }
    if (style) { e.style.cssText = style; }
    if (typeof content == "string") { e.appendChild(document.createTextNode(content)); }
    else if (content) { for (var i = 0; i < content.length; ++i) { e.appendChild(content[i]); } }
    return e
  }
  // wrapper for elt, which removes the elt from the accessibility tree
  function eltP(tag, content, className, style) {
    var e = elt(tag, content, className, style);
    e.setAttribute("role", "presentation");
    return e
  }

  var range;
  if (document.createRange) { range = function(node, start, end, endNode) {
    var r = document.createRange();
    r.setEnd(endNode || node, end);
    r.setStart(node, start);
    return r
  }; }
  else { range = function(node, start, end) {
    var r = document.body.createTextRange();
    try { r.moveToElementText(node.parentNode); }
    catch(e) { return r }
    r.collapse(true);
    r.moveEnd("character", end);
    r.moveStart("character", start);
    return r
  }; }

  function contains(parent, child) {
    if (child.nodeType == 3) // Android browser always returns false when child is a textnode
      { child = child.parentNode; }
    if (parent.contains)
      { return parent.contains(child) }
    do {
      if (child.nodeType == 11) { child = child.host; }
      if (child == parent) { return true }
    } while (child = child.parentNode)
  }

  function activeElt() {
    // IE and Edge may throw an "Unspecified Error" when accessing document.activeElement.
    // IE < 10 will throw when accessed while the page is loading or in an iframe.
    // IE > 9 and Edge will throw when accessed in an iframe if document.body is unavailable.
    var activeElement;
    try {
      activeElement = document.activeElement;
    } catch(e) {
      activeElement = document.body || null;
    }
    while (activeElement && activeElement.shadowRoot && activeElement.shadowRoot.activeElement)
      { activeElement = activeElement.shadowRoot.activeElement; }
    return activeElement
  }

  function addClass(node, cls) {
    var current = node.className;
    if (!classTest(cls).test(current)) { node.className += (current ? " " : "") + cls; }
  }
  function joinClasses(a, b) {
    var as = a.split(" ");
    for (var i = 0; i < as.length; i++)
      { if (as[i] && !classTest(as[i]).test(b)) { b += " " + as[i]; } }
    return b
  }

  var selectInput = function(node) { node.select(); };
  if (ios) // Mobile Safari apparently has a bug where select() is broken.
    { selectInput = function(node) { node.selectionStart = 0; node.selectionEnd = node.value.length; }; }
  else if (ie) // Suppress mysterious IE10 errors
    { selectInput = function(node) { try { node.select(); } catch(_e) {} }; }

  function bind(f) {
    var args = Array.prototype.slice.call(arguments, 1);
    return function(){return f.apply(null, args)}
  }

  function copyObj(obj, target, overwrite) {
    if (!target) { target = {}; }
    for (var prop in obj)
      { if (obj.hasOwnProperty(prop) && (overwrite !== false || !target.hasOwnProperty(prop)))
        { target[prop] = obj[prop]; } }
    return target
  }

  // Counts the column offset in a string, taking tabs into account.
  // Used mostly to find indentation.
  function countColumn(string, end, tabSize, startIndex, startValue) {
    if (end == null) {
      end = string.search(/[^\s\u00a0]/);
      if (end == -1) { end = string.length; }
    }
    for (var i = startIndex || 0, n = startValue || 0;;) {
      var nextTab = string.indexOf("\t", i);
      if (nextTab < 0 || nextTab >= end)
        { return n + (end - i) }
      n += nextTab - i;
      n += tabSize - (n % tabSize);
      i = nextTab + 1;
    }
  }

  var Delayed = function() {
    this.id = null;
    this.f = null;
    this.time = 0;
    this.handler = bind(this.onTimeout, this);
  };
  Delayed.prototype.onTimeout = function (self) {
    self.id = 0;
    if (self.time <= +new Date) {
      self.f();
    } else {
      setTimeout(self.handler, self.time - +new Date);
    }
  };
  Delayed.prototype.set = function (ms, f) {
    this.f = f;
    var time = +new Date + ms;
    if (!this.id || time < this.time) {
      clearTimeout(this.id);
      this.id = setTimeout(this.handler, ms);
      this.time = time;
    }
  };

  function indexOf(array, elt) {
    for (var i = 0; i < array.length; ++i)
      { if (array[i] == elt) { return i } }
    return -1
  }

  // Number of pixels added to scroller and sizer to hide scrollbar
  var scrollerGap = 50;

  // Returned or thrown by various protocols to signal 'I'm not
  // handling this'.
  var Pass = {toString: function(){return "CodeMirror.Pass"}};

  // Reused option objects for setSelection & friends
  var sel_dontScroll = {scroll: false}, sel_mouse = {origin: "*mouse"}, sel_move = {origin: "+move"};

  // The inverse of countColumn -- find the offset that corresponds to
  // a particular column.
  function findColumn(string, goal, tabSize) {
    for (var pos = 0, col = 0;;) {
      var nextTab = string.indexOf("\t", pos);
      if (nextTab == -1) { nextTab = string.length; }
      var skipped = nextTab - pos;
      if (nextTab == string.length || col + skipped >= goal)
        { return pos + Math.min(skipped, goal - col) }
      col += nextTab - pos;
      col += tabSize - (col % tabSize);
      pos = nextTab + 1;
      if (col >= goal) { return pos }
    }
  }

  var spaceStrs = [""];
  function spaceStr(n) {
    while (spaceStrs.length <= n)
      { spaceStrs.push(lst(spaceStrs) + " "); }
    return spaceStrs[n]
  }

  function lst(arr) { return arr[arr.length-1] }

  function map(array, f) {
    var out = [];
    for (var i = 0; i < array.length; i++) { out[i] = f(array[i], i); }
    return out
  }

  function insertSorted(array, value, score) {
    var pos = 0, priority = score(value);
    while (pos < array.length && score(array[pos]) <= priority) { pos++; }
    array.splice(pos, 0, value);
  }

  function nothing() {}

  function createObj(base, props) {
    var inst;
    if (Object.create) {
      inst = Object.create(base);
    } else {
      nothing.prototype = base;
      inst = new nothing();
    }
    if (props) { copyObj(props, inst); }
    return inst
  }

  var nonASCIISingleCaseWordChar = /[\u00df\u0587\u0590-\u05f4\u0600-\u06ff\u3040-\u309f\u30a0-\u30ff\u3400-\u4db5\u4e00-\u9fcc\uac00-\ud7af]/;
  function isWordCharBasic(ch) {
    return /\w/.test(ch) || ch > "\x80" &&
      (ch.toUpperCase() != ch.toLowerCase() || nonASCIISingleCaseWordChar.test(ch))
  }
  function isWordChar(ch, helper) {
    if (!helper) { return isWordCharBasic(ch) }
    if (helper.source.indexOf("\\w") > -1 && isWordCharBasic(ch)) { return true }
    return helper.test(ch)
  }

  function isEmpty(obj) {
    for (var n in obj) { if (obj.hasOwnProperty(n) && obj[n]) { return false } }
    return true
  }

  // Extending unicode characters. A series of a non-extending char +
  // any number of extending chars is treated as a single unit as far
  // as editing and measuring is concerned. This is not fully correct,
  // since some scripts/fonts/browsers also treat other configurations
  // of code points as a group.
  var extendingChars = /[\u0300-\u036f\u0483-\u0489\u0591-\u05bd\u05bf\u05c1\u05c2\u05c4\u05c5\u05c7\u0610-\u061a\u064b-\u065e\u0670\u06d6-\u06dc\u06de-\u06e4\u06e7\u06e8\u06ea-\u06ed\u0711\u0730-\u074a\u07a6-\u07b0\u07eb-\u07f3\u0816-\u0819\u081b-\u0823\u0825-\u0827\u0829-\u082d\u0900-\u0902\u093c\u0941-\u0948\u094d\u0951-\u0955\u0962\u0963\u0981\u09bc\u09be\u09c1-\u09c4\u09cd\u09d7\u09e2\u09e3\u0a01\u0a02\u0a3c\u0a41\u0a42\u0a47\u0a48\u0a4b-\u0a4d\u0a51\u0a70\u0a71\u0a75\u0a81\u0a82\u0abc\u0ac1-\u0ac5\u0ac7\u0ac8\u0acd\u0ae2\u0ae3\u0b01\u0b3c\u0b3e\u0b3f\u0b41-\u0b44\u0b4d\u0b56\u0b57\u0b62\u0b63\u0b82\u0bbe\u0bc0\u0bcd\u0bd7\u0c3e-\u0c40\u0c46-\u0c48\u0c4a-\u0c4d\u0c55\u0c56\u0c62\u0c63\u0cbc\u0cbf\u0cc2\u0cc6\u0ccc\u0ccd\u0cd5\u0cd6\u0ce2\u0ce3\u0d3e\u0d41-\u0d44\u0d4d\u0d57\u0d62\u0d63\u0dca\u0dcf\u0dd2-\u0dd4\u0dd6\u0ddf\u0e31\u0e34-\u0e3a\u0e47-\u0e4e\u0eb1\u0eb4-\u0eb9\u0ebb\u0ebc\u0ec8-\u0ecd\u0f18\u0f19\u0f35\u0f37\u0f39\u0f71-\u0f7e\u0f80-\u0f84\u0f86\u0f87\u0f90-\u0f97\u0f99-\u0fbc\u0fc6\u102d-\u1030\u1032-\u1037\u1039\u103a\u103d\u103e\u1058\u1059\u105e-\u1060\u1071-\u1074\u1082\u1085\u1086\u108d\u109d\u135f\u1712-\u1714\u1732-\u1734\u1752\u1753\u1772\u1773\u17b7-\u17bd\u17c6\u17c9-\u17d3\u17dd\u180b-\u180d\u18a9\u1920-\u1922\u1927\u1928\u1932\u1939-\u193b\u1a17\u1a18\u1a56\u1a58-\u1a5e\u1a60\u1a62\u1a65-\u1a6c\u1a73-\u1a7c\u1a7f\u1b00-\u1b03\u1b34\u1b36-\u1b3a\u1b3c\u1b42\u1b6b-\u1b73\u1b80\u1b81\u1ba2-\u1ba5\u1ba8\u1ba9\u1c2c-\u1c33\u1c36\u1c37\u1cd0-\u1cd2\u1cd4-\u1ce0\u1ce2-\u1ce8\u1ced\u1dc0-\u1de6\u1dfd-\u1dff\u200c\u200d\u20d0-\u20f0\u2cef-\u2cf1\u2de0-\u2dff\u302a-\u302f\u3099\u309a\ua66f-\ua672\ua67c\ua67d\ua6f0\ua6f1\ua802\ua806\ua80b\ua825\ua826\ua8c4\ua8e0-\ua8f1\ua926-\ua92d\ua947-\ua951\ua980-\ua982\ua9b3\ua9b6-\ua9b9\ua9bc\uaa29-\uaa2e\uaa31\uaa32\uaa35\uaa36\uaa43\uaa4c\uaab0\uaab2-\uaab4\uaab7\uaab8\uaabe\uaabf\uaac1\uabe5\uabe8\uabed\udc00-\udfff\ufb1e\ufe00-\ufe0f\ufe20-\ufe26\uff9e\uff9f]/;
  function isExtendingChar(ch) { return ch.charCodeAt(0) >= 768 && extendingChars.test(ch) }

  // Returns a number from the range [`0`; `str.length`] unless `pos` is outside that range.
  function skipExtendingChars(str, pos, dir) {
    while ((dir < 0 ? pos > 0 : pos < str.length) && isExtendingChar(str.charAt(pos))) { pos += dir; }
    return pos
  }

  // Returns the value from the range [`from`; `to`] that satisfies
  // `pred` and is closest to `from`. Assumes that at least `to`
  // satisfies `pred`. Supports `from` being greater than `to`.
  function findFirst(pred, from, to) {
    // At any point we are certain `to` satisfies `pred`, don't know
    // whether `from` does.
    var dir = from > to ? -1 : 1;
    for (;;) {
      if (from == to) { return from }
      var midF = (from + to) / 2, mid = dir < 0 ? Math.ceil(midF) : Math.floor(midF);
      if (mid == from) { return pred(mid) ? from : to }
      if (pred(mid)) { to = mid; }
      else { from = mid + dir; }
    }
  }

  // BIDI HELPERS

  function iterateBidiSections(order, from, to, f) {
    if (!order) { return f(from, to, "ltr", 0) }
    var found = false;
    for (var i = 0; i < order.length; ++i) {
      var part = order[i];
      if (part.from < to && part.to > from || from == to && part.to == from) {
        f(Math.max(part.from, from), Math.min(part.to, to), part.level == 1 ? "rtl" : "ltr", i);
        found = true;
      }
    }
    if (!found) { f(from, to, "ltr"); }
  }

  var bidiOther = null;
  function getBidiPartAt(order, ch, sticky) {
    var found;
    bidiOther = null;
    for (var i = 0; i < order.length; ++i) {
      var cur = order[i];
      if (cur.from < ch && cur.to > ch) { return i }
      if (cur.to == ch) {
        if (cur.from != cur.to && sticky == "before") { found = i; }
        else { bidiOther = i; }
      }
      if (cur.from == ch) {
        if (cur.from != cur.to && sticky != "before") { found = i; }
        else { bidiOther = i; }
      }
    }
    return found != null ? found : bidiOther
  }

  // Bidirectional ordering algorithm
  // See http://unicode.org/reports/tr9/tr9-13.html for the algorithm
  // that this (partially) implements.

  // One-char codes used for character types:
  // L (L):   Left-to-Right
  // R (R):   Right-to-Left
  // r (AL):  Right-to-Left Arabic
  // 1 (EN):  European Number
  // + (ES):  European Number Separator
  // % (ET):  European Number Terminator
  // n (AN):  Arabic Number
  // , (CS):  Common Number Separator
  // m (NSM): Non-Spacing Mark
  // b (BN):  Boundary Neutral
  // s (B):   Paragraph Separator
  // t (S):   Segment Separator
  // w (WS):  Whitespace
  // N (ON):  Other Neutrals

  // Returns null if characters are ordered as they appear
  // (left-to-right), or an array of sections ({from, to, level}
  // objects) in the order in which they occur visually.
  var bidiOrdering = (function() {
    // Character types for codepoints 0 to 0xff
    var lowTypes = "bbbbbbbbbtstwsbbbbbbbbbbbbbbssstwNN%%%NNNNNN,N,N1111111111NNNNNNNLLLLLLLLLLLLLLLLLLLLLLLLLLNNNNNNLLLLLLLLLLLLLLLLLLLLLLLLLLNNNNbbbbbbsbbbbbbbbbbbbbbbbbbbbbbbbbb,N%%%%NNNNLNNNNN%%11NLNNN1LNNNNNLLLLLLLLLLLLLLLLLLLLLLLNLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLN";
    // Character types for codepoints 0x600 to 0x6f9
    var arabicTypes = "nnnnnnNNr%%r,rNNmmmmmmmmmmmrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrmmmmmmmmmmmmmmmmmmmmmnnnnnnnnnn%nnrrrmrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrmmmmmmmnNmmmmmmrrmmNmmmmrr1111111111";
    function charType(code) {
      if (code <= 0xf7) { return lowTypes.charAt(code) }
      else if (0x590 <= code && code <= 0x5f4) { return "R" }
      else if (0x600 <= code && code <= 0x6f9) { return arabicTypes.charAt(code - 0x600) }
      else if (0x6ee <= code && code <= 0x8ac) { return "r" }
      else if (0x2000 <= code && code <= 0x200b) { return "w" }
      else if (code == 0x200c) { return "b" }
      else { return "L" }
    }

    var bidiRE = /[\u0590-\u05f4\u0600-\u06ff\u0700-\u08ac]/;
    var isNeutral = /[stwN]/, isStrong = /[LRr]/, countsAsLeft = /[Lb1n]/, countsAsNum = /[1n]/;

    function BidiSpan(level, from, to) {
      this.level = level;
      this.from = from; this.to = to;
    }

    return function(str, direction) {
      var outerType = direction == "ltr" ? "L" : "R";

      if (str.length == 0 || direction == "ltr" && !bidiRE.test(str)) { return false }
      var len = str.length, types = [];
      for (var i = 0; i < len; ++i)
        { types.push(charType(str.charCodeAt(i))); }

      // W1. Examine each non-spacing mark (NSM) in the level run, and
      // change the type of the NSM to the type of the previous
      // character. If the NSM is at the start of the level run, it will
      // get the type of sor.
      for (var i$1 = 0, prev = outerType; i$1 < len; ++i$1) {
        var type = types[i$1];
        if (type == "m") { types[i$1] = prev; }
        else { prev = type; }
      }

      // W2. Search backwards from each instance of a European number
      // until the first strong type (R, L, AL, or sor) is found. If an
      // AL is found, change the type of the European number to Arabic
      // number.
      // W3. Change all ALs to R.
      for (var i$2 = 0, cur = outerType; i$2 < len; ++i$2) {
        var type$1 = types[i$2];
        if (type$1 == "1" && cur == "r") { types[i$2] = "n"; }
        else if (isStrong.test(type$1)) { cur = type$1; if (type$1 == "r") { types[i$2] = "R"; } }
      }

      // W4. A single European separator between two European numbers
      // changes to a European number. A single common separator between
      // two numbers of the same type changes to that type.
      for (var i$3 = 1, prev$1 = types[0]; i$3 < len - 1; ++i$3) {
        var type$2 = types[i$3];
        if (type$2 == "+" && prev$1 == "1" && types[i$3+1] == "1") { types[i$3] = "1"; }
        else if (type$2 == "," && prev$1 == types[i$3+1] &&
                 (prev$1 == "1" || prev$1 == "n")) { types[i$3] = prev$1; }
        prev$1 = type$2;
      }

      // W5. A sequence of European terminators adjacent to European
      // numbers changes to all European numbers.
      // W6. Otherwise, separators and terminators change to Other
      // Neutral.
      for (var i$4 = 0; i$4 < len; ++i$4) {
        var type$3 = types[i$4];
        if (type$3 == ",") { types[i$4] = "N"; }
        else if (type$3 == "%") {
          var end = (void 0);
          for (end = i$4 + 1; end < len && types[end] == "%"; ++end) {}
          var replace = (i$4 && types[i$4-1] == "!") || (end < len && types[end] == "1") ? "1" : "N";
          for (var j = i$4; j < end; ++j) { types[j] = replace; }
          i$4 = end - 1;
        }
      }

      // W7. Search backwards from each instance of a European number
      // until the first strong type (R, L, or sor) is found. If an L is
      // found, then change the type of the European number to L.
      for (var i$5 = 0, cur$1 = outerType; i$5 < len; ++i$5) {
        var type$4 = types[i$5];
        if (cur$1 == "L" && type$4 == "1") { types[i$5] = "L"; }
        else if (isStrong.test(type$4)) { cur$1 = type$4; }
      }

      // N1. A sequence of neutrals takes the direction of the
      // surrounding strong text if the text on both sides has the same
      // direction. European and Arabic numbers act as if they were R in
      // terms of their influence on neutrals. Start-of-level-run (sor)
      // and end-of-level-run (eor) are used at level run boundaries.
      // N2. Any remaining neutrals take the embedding direction.
      for (var i$6 = 0; i$6 < len; ++i$6) {
        if (isNeutral.test(types[i$6])) {
          var end$1 = (void 0);
          for (end$1 = i$6 + 1; end$1 < len && isNeutral.test(types[end$1]); ++end$1) {}
          var before = (i$6 ? types[i$6-1] : outerType) == "L";
          var after = (end$1 < len ? types[end$1] : outerType) == "L";
          var replace$1 = before == after ? (before ? "L" : "R") : outerType;
          for (var j$1 = i$6; j$1 < end$1; ++j$1) { types[j$1] = replace$1; }
          i$6 = end$1 - 1;
        }
      }

      // Here we depart from the documented algorithm, in order to avoid
      // building up an actual levels array. Since there are only three
      // levels (0, 1, 2) in an implementation that doesn't take
      // explicit embedding into account, we can build up the order on
      // the fly, without following the level-based algorithm.
      var order = [], m;
      for (var i$7 = 0; i$7 < len;) {
        if (countsAsLeft.test(types[i$7])) {
          var start = i$7;
          for (++i$7; i$7 < len && countsAsLeft.test(types[i$7]); ++i$7) {}
          order.push(new BidiSpan(0, start, i$7));
        } else {
          var pos = i$7, at = order.length, isRTL = direction == "rtl" ? 1 : 0;
          for (++i$7; i$7 < len && types[i$7] != "L"; ++i$7) {}
          for (var j$2 = pos; j$2 < i$7;) {
            if (countsAsNum.test(types[j$2])) {
              if (pos < j$2) { order.splice(at, 0, new BidiSpan(1, pos, j$2)); at += isRTL; }
              var nstart = j$2;
              for (++j$2; j$2 < i$7 && countsAsNum.test(types[j$2]); ++j$2) {}
              order.splice(at, 0, new BidiSpan(2, nstart, j$2));
              at += isRTL;
              pos = j$2;
            } else { ++j$2; }
          }
          if (pos < i$7) { order.splice(at, 0, new BidiSpan(1, pos, i$7)); }
        }
      }
      if (direction == "ltr") {
        if (order[0].level == 1 && (m = str.match(/^\s+/))) {
          order[0].from = m[0].length;
          order.unshift(new BidiSpan(0, 0, m[0].length));
        }
        if (lst(order).level == 1 && (m = str.match(/\s+$/))) {
          lst(order).to -= m[0].length;
          order.push(new BidiSpan(0, len - m[0].length, len));
        }
      }

      return direction == "rtl" ? order.reverse() : order
    }
  })();

  // Get the bidi ordering for the given line (and cache it). Returns
  // false for lines that are fully left-to-right, and an array of
  // BidiSpan objects otherwise.
  function getOrder(line, direction) {
    var order = line.order;
    if (order == null) { order = line.order = bidiOrdering(line.text, direction); }
    return order
  }

  // EVENT HANDLING

  // Lightweight event framework. on/off also work on DOM nodes,
  // registering native DOM handlers.

  var noHandlers = [];

  var on = function(emitter, type, f) {
    if (emitter.addEventListener) {
      emitter.addEventListener(type, f, false);
    } else if (emitter.attachEvent) {
      emitter.attachEvent("on" + type, f);
    } else {
      var map = emitter._handlers || (emitter._handlers = {});
      map[type] = (map[type] || noHandlers).concat(f);
    }
  };

  function getHandlers(emitter, type) {
    return emitter._handlers && emitter._handlers[type] || noHandlers
  }

  function off(emitter, type, f) {
    if (emitter.removeEventListener) {
      emitter.removeEventListener(type, f, false);
    } else if (emitter.detachEvent) {
      emitter.detachEvent("on" + type, f);
    } else {
      var map = emitter._handlers, arr = map && map[type];
      if (arr) {
        var index = indexOf(arr, f);
        if (index > -1)
          { map[type] = arr.slice(0, index).concat(arr.slice(index + 1)); }
      }
    }
  }

  function signal(emitter, type /*, values...*/) {
    var handlers = getHandlers(emitter, type);
    if (!handlers.length) { return }
    var args = Array.prototype.slice.call(arguments, 2);
    for (var i = 0; i < handlers.length; ++i) { handlers[i].apply(null, args); }
  }

  // The DOM events that CodeMirror handles can be overridden by
  // registering a (non-DOM) handler on the editor for the event name,
  // and preventDefault-ing the event in that handler.
  function signalDOMEvent(cm, e, override) {
    if (typeof e == "string")
      { e = {type: e, preventDefault: function() { this.defaultPrevented = true; }}; }
    signal(cm, override || e.type, cm, e);
    return e_defaultPrevented(e) || e.codemirrorIgnore
  }

  function signalCursorActivity(cm) {
    var arr = cm._handlers && cm._handlers.cursorActivity;
    if (!arr) { return }
    var set = cm.curOp.cursorActivityHandlers || (cm.curOp.cursorActivityHandlers = []);
    for (var i = 0; i < arr.length; ++i) { if (indexOf(set, arr[i]) == -1)
      { set.push(arr[i]); } }
  }

  function hasHandler(emitter, type) {
    return getHandlers(emitter, type).length > 0
  }

  // Add on and off methods to a constructor's prototype, to make
  // registering events on such objects more convenient.
  function eventMixin(ctor) {
    ctor.prototype.on = function(type, f) {on(this, type, f);};
    ctor.prototype.off = function(type, f) {off(this, type, f);};
  }

  // Due to the fact that we still support jurassic IE versions, some
  // compatibility wrappers are needed.

  function e_preventDefault(e) {
    if (e.preventDefault) { e.preventDefault(); }
    else { e.returnValue = false; }
  }
  function e_stopPropagation(e) {
    if (e.stopPropagation) { e.stopPropagation(); }
    else { e.cancelBubble = true; }
  }
  function e_defaultPrevented(e) {
    return e.defaultPrevented != null ? e.defaultPrevented : e.returnValue == false
  }
  function e_stop(e) {e_preventDefault(e); e_stopPropagation(e);}

  function e_target(e) {return e.target || e.srcElement}
  function e_button(e) {
    var b = e.which;
    if (b == null) {
      if (e.button & 1) { b = 1; }
      else if (e.button & 2) { b = 3; }
      else if (e.button & 4) { b = 2; }
    }
    if (mac && e.ctrlKey && b == 1) { b = 3; }
    return b
  }

  // Detect drag-and-drop
  var dragAndDrop = function() {
    // There is *some* kind of drag-and-drop support in IE6-8, but I
    // couldn't get it to work yet.
    if (ie && ie_version < 9) { return false }
    var div = elt('div');
    return "draggable" in div || "dragDrop" in div
  }();

  var zwspSupported;
  function zeroWidthElement(measure) {
    if (zwspSupported == null) {
      var test = elt("span", "\u200b");
      removeChildrenAndAdd(measure, elt("span", [test, document.createTextNode("x")]));
      if (measure.firstChild.offsetHeight != 0)
        { zwspSupported = test.offsetWidth <= 1 && test.offsetHeight > 2 && !(ie && ie_version < 8); }
    }
    var node = zwspSupported ? elt("span", "\u200b") :
      elt("span", "\u00a0", null, "display: inline-block; width: 1px; margin-right: -1px");
    node.setAttribute("cm-text", "");
    return node
  }

  // Feature-detect IE's crummy client rect reporting for bidi text
  var badBidiRects;
  function hasBadBidiRects(measure) {
    if (badBidiRects != null) { return badBidiRects }
    var txt = removeChildrenAndAdd(measure, document.createTextNode("A\u062eA"));
    var r0 = range(txt, 0, 1).getBoundingClientRect();
    var r1 = range(txt, 1, 2).getBoundingClientRect();
    removeChildren(measure);
    if (!r0 || r0.left == r0.right) { return false } // Safari returns null in some cases (#2780)
    return badBidiRects = (r1.right - r0.right < 3)
  }

  // See if "".split is the broken IE version, if so, provide an
  // alternative way to split lines.
  var splitLinesAuto = "\n\nb".split(/\n/).length != 3 ? function (string) {
    var pos = 0, result = [], l = string.length;
    while (pos <= l) {
      var nl = string.indexOf("\n", pos);
      if (nl == -1) { nl = string.length; }
      var line = string.slice(pos, string.charAt(nl - 1) == "\r" ? nl - 1 : nl);
      var rt = line.indexOf("\r");
      if (rt != -1) {
        result.push(line.slice(0, rt));
        pos += rt + 1;
      } else {
        result.push(line);
        pos = nl + 1;
      }
    }
    return result
  } : function (string) { return string.split(/\r\n?|\n/); };

  var hasSelection = window.getSelection ? function (te) {
    try { return te.selectionStart != te.selectionEnd }
    catch(e) { return false }
  } : function (te) {
    var range;
    try {range = te.ownerDocument.selection.createRange();}
    catch(e) {}
    if (!range || range.parentElement() != te) { return false }
    return range.compareEndPoints("StartToEnd", range) != 0
  };

  var hasCopyEvent = (function () {
    var e = elt("div");
    if ("oncopy" in e) { return true }
    e.setAttribute("oncopy", "return;");
    return typeof e.oncopy == "function"
  })();

  var badZoomedRects = null;
  function hasBadZoomedRects(measure) {
    if (badZoomedRects != null) { return badZoomedRects }
    var node = removeChildrenAndAdd(measure, elt("span", "x"));
    var normal = node.getBoundingClientRect();
    var fromRange = range(node, 0, 1).getBoundingClientRect();
    return badZoomedRects = Math.abs(normal.left - fromRange.left) > 1
  }

  // Known modes, by name and by MIME
  var modes = {}, mimeModes = {};

  // Extra arguments are stored as the mode's dependencies, which is
  // used by (legacy) mechanisms like loadmode.js to automatically
  // load a mode. (Preferred mechanism is the require/define calls.)
  function defineMode(name, mode) {
    if (arguments.length > 2)
      { mode.dependencies = Array.prototype.slice.call(arguments, 2); }
    modes[name] = mode;
  }

  function defineMIME(mime, spec) {
    mimeModes[mime] = spec;
  }

  // Given a MIME type, a {name, ...options} config object, or a name
  // string, return a mode config object.
  function resolveMode(spec) {
    if (typeof spec == "string" && mimeModes.hasOwnProperty(spec)) {
      spec = mimeModes[spec];
    } else if (spec && typeof spec.name == "string" && mimeModes.hasOwnProperty(spec.name)) {
      var found = mimeModes[spec.name];
      if (typeof found == "string") { found = {name: found}; }
      spec = createObj(found, spec);
      spec.name = found.name;
    } else if (typeof spec == "string" && /^[\w\-]+\/[\w\-]+\+xml$/.test(spec)) {
      return resolveMode("application/xml")
    } else if (typeof spec == "string" && /^[\w\-]+\/[\w\-]+\+json$/.test(spec)) {
      return resolveMode("application/json")
    }
    if (typeof spec == "string") { return {name: spec} }
    else { return spec || {name: "null"} }
  }

  // Given a mode spec (anything that resolveMode accepts), find and
  // initialize an actual mode object.
  function getMode(options, spec) {
    spec = resolveMode(spec);
    var mfactory = modes[spec.name];
    if (!mfactory) { return getMode(options, "text/plain") }
    var modeObj = mfactory(options, spec);
    if (modeExtensions.hasOwnProperty(spec.name)) {
      var exts = modeExtensions[spec.name];
      for (var prop in exts) {
        if (!exts.hasOwnProperty(prop)) { continue }
        if (modeObj.hasOwnProperty(prop)) { modeObj["_" + prop] = modeObj[prop]; }
        modeObj[prop] = exts[prop];
      }
    }
    modeObj.name = spec.name;
    if (spec.helperType) { modeObj.helperType = spec.helperType; }
    if (spec.modeProps) { for (var prop$1 in spec.modeProps)
      { modeObj[prop$1] = spec.modeProps[prop$1]; } }

    return modeObj
  }

  // This can be used to attach properties to mode objects from
  // outside the actual mode definition.
  var modeExtensions = {};
  function extendMode(mode, properties) {
    var exts = modeExtensions.hasOwnProperty(mode) ? modeExtensions[mode] : (modeExtensions[mode] = {});
    copyObj(properties, exts);
  }

  function copyState(mode, state) {
    if (state === true) { return state }
    if (mode.copyState) { return mode.copyState(state) }
    var nstate = {};
    for (var n in state) {
      var val = state[n];
      if (val instanceof Array) { val = val.concat([]); }
      nstate[n] = val;
    }
    return nstate
  }

  // Given a mode and a state (for that mode), find the inner mode and
  // state at the position that the state refers to.
  function innerMode(mode, state) {
    var info;
    while (mode.innerMode) {
      info = mode.innerMode(state);
      if (!info || info.mode == mode) { break }
      state = info.state;
      mode = info.mode;
    }
    return info || {mode: mode, state: state}
  }

  function startState(mode, a1, a2) {
    return mode.startState ? mode.startState(a1, a2) : true
  }

  // STRING STREAM

  // Fed to the mode parsers, provides helper functions to make
  // parsers more succinct.

  var StringStream = function(string, tabSize, lineOracle) {
    this.pos = this.start = 0;
    this.string = string;
    this.tabSize = tabSize || 8;
    this.lastColumnPos = this.lastColumnValue = 0;
    this.lineStart = 0;
    this.lineOracle = lineOracle;
  };

  StringStream.prototype.eol = function () {return this.pos >= this.string.length};
  StringStream.prototype.sol = function () {return this.pos == this.lineStart};
  StringStream.prototype.peek = function () {return this.string.charAt(this.pos) || undefined};
  StringStream.prototype.next = function () {
    if (this.pos < this.string.length)
      { return this.string.charAt(this.pos++) }
  };
  StringStream.prototype.eat = function (match) {
    var ch = this.string.charAt(this.pos);
    var ok;
    if (typeof match == "string") { ok = ch == match; }
    else { ok = ch && (match.test ? match.test(ch) : match(ch)); }
    if (ok) {++this.pos; return ch}
  };
  StringStream.prototype.eatWhile = function (match) {
    var start = this.pos;
    while (this.eat(match)){}
    return this.pos > start
  };
  StringStream.prototype.eatSpace = function () {
    var start = this.pos;
    while (/[\s\u00a0]/.test(this.string.charAt(this.pos))) { ++this.pos; }
    return this.pos > start
  };
  StringStream.prototype.skipToEnd = function () {this.pos = this.string.length;};
  StringStream.prototype.skipTo = function (ch) {
    var found = this.string.indexOf(ch, this.pos);
    if (found > -1) {this.pos = found; return true}
  };
  StringStream.prototype.backUp = function (n) {this.pos -= n;};
  StringStream.prototype.column = function () {
    if (this.lastColumnPos < this.start) {
      this.lastColumnValue = countColumn(this.string, this.start, this.tabSize, this.lastColumnPos, this.lastColumnValue);
      this.lastColumnPos = this.start;
    }
    return this.lastColumnValue - (this.lineStart ? countColumn(this.string, this.lineStart, this.tabSize) : 0)
  };
  StringStream.prototype.indentation = function () {
    return countColumn(this.string, null, this.tabSize) -
      (this.lineStart ? countColumn(this.string, this.lineStart, this.tabSize) : 0)
  };
  StringStream.prototype.match = function (pattern, consume, caseInsensitive) {
    if (typeof pattern == "string") {
      var cased = function (str) { return caseInsensitive ? str.toLowerCase() : str; };
      var substr = this.string.substr(this.pos, pattern.length);
      if (cased(substr) == cased(pattern)) {
        if (consume !== false) { this.pos += pattern.length; }
        return true
      }
    } else {
      var match = this.string.slice(this.pos).match(pattern);
      if (match && match.index > 0) { return null }
      if (match && consume !== false) { this.pos += match[0].length; }
      return match
    }
  };
  StringStream.prototype.current = function (){return this.string.slice(this.start, this.pos)};
  StringStream.prototype.hideFirstChars = function (n, inner) {
    this.lineStart += n;
    try { return inner() }
    finally { this.lineStart -= n; }
  };
  StringStream.prototype.lookAhead = function (n) {
    var oracle = this.lineOracle;
    return oracle && oracle.lookAhead(n)
  };
  StringStream.prototype.baseToken = function () {
    var oracle = this.lineOracle;
    return oracle && oracle.baseToken(this.pos)
  };

  // Find the line object corresponding to the given line number.
  function getLine(doc, n) {
    n -= doc.first;
    if (n < 0 || n >= doc.size) { throw new Error("There is no line " + (n + doc.first) + " in the document.") }
    var chunk = doc;
    while (!chunk.lines) {
      for (var i = 0;; ++i) {
        var child = chunk.children[i], sz = child.chunkSize();
        if (n < sz) { chunk = child; break }
        n -= sz;
      }
    }
    return chunk.lines[n]
  }

  // Get the part of a document between two positions, as an array of
  // strings.
  function getBetween(doc, start, end) {
    var out = [], n = start.line;
    doc.iter(start.line, end.line + 1, function (line) {
      var text = line.text;
      if (n == end.line) { text = text.slice(0, end.ch); }
      if (n == start.line) { text = text.slice(start.ch); }
      out.push(text);
      ++n;
    });
    return out
  }
  // Get the lines between from and to, as array of strings.
  function getLines(doc, from, to) {
    var out = [];
    doc.iter(from, to, function (line) { out.push(line.text); }); // iter aborts when callback returns truthy value
    return out
  }

  // Update the height of a line, propagating the height change
  // upwards to parent nodes.
  function updateLineHeight(line, height) {
    var diff = height - line.height;
    if (diff) { for (var n = line; n; n = n.parent) { n.height += diff; } }
  }

  // Given a line object, find its line number by walking up through
  // its parent links.
  function lineNo(line) {
    if (line.parent == null) { return null }
    var cur = line.parent, no = indexOf(cur.lines, line);
    for (var chunk = cur.parent; chunk; cur = chunk, chunk = chunk.parent) {
      for (var i = 0;; ++i) {
        if (chunk.children[i] == cur) { break }
        no += chunk.children[i].chunkSize();
      }
    }
    return no + cur.first
  }

  // Find the line at the given vertical position, using the height
  // information in the document tree.
  function lineAtHeight(chunk, h) {
    var n = chunk.first;
    outer: do {
      for (var i$1 = 0; i$1 < chunk.children.length; ++i$1) {
        var child = chunk.children[i$1], ch = child.height;
        if (h < ch) { chunk = child; continue outer }
        h -= ch;
        n += child.chunkSize();
      }
      return n
    } while (!chunk.lines)
    var i = 0;
    for (; i < chunk.lines.length; ++i) {
      var line = chunk.lines[i], lh = line.height;
      if (h < lh) { break }
      h -= lh;
    }
    return n + i
  }

  function isLine(doc, l) {return l >= doc.first && l < doc.first + doc.size}

  function lineNumberFor(options, i) {
    return String(options.lineNumberFormatter(i + options.firstLineNumber))
  }

  // A Pos instance represents a position within the text.
  function Pos(line, ch, sticky) {
    if ( sticky === void 0 ) sticky = null;

    if (!(this instanceof Pos)) { return new Pos(line, ch, sticky) }
    this.line = line;
    this.ch = ch;
    this.sticky = sticky;
  }

  // Compare two positions, return 0 if they are the same, a negative
  // number when a is less, and a positive number otherwise.
  function cmp(a, b) { return a.line - b.line || a.ch - b.ch }

  function equalCursorPos(a, b) { return a.sticky == b.sticky && cmp(a, b) == 0 }

  function copyPos(x) {return Pos(x.line, x.ch)}
  function maxPos(a, b) { return cmp(a, b) < 0 ? b : a }
  function minPos(a, b) { return cmp(a, b) < 0 ? a : b }

  // Most of the external API clips given positions to make sure they
  // actually exist within the document.
  function clipLine(doc, n) {return Math.max(doc.first, Math.min(n, doc.first + doc.size - 1))}
  function clipPos(doc, pos) {
    if (pos.line < doc.first) { return Pos(doc.first, 0) }
    var last = doc.first + doc.size - 1;
    if (pos.line > last) { return Pos(last, getLine(doc, last).text.length) }
    return clipToLen(pos, getLine(doc, pos.line).text.length)
  }
  function clipToLen(pos, linelen) {
    var ch = pos.ch;
    if (ch == null || ch > linelen) { return Pos(pos.line, linelen) }
    else if (ch < 0) { return Pos(pos.line, 0) }
    else { return pos }
  }
  function clipPosArray(doc, array) {
    var out = [];
    for (var i = 0; i < array.length; i++) { out[i] = clipPos(doc, array[i]); }
    return out
  }

  var SavedContext = function(state, lookAhead) {
    this.state = state;
    this.lookAhead = lookAhead;
  };

  var Context = function(doc, state, line, lookAhead) {
    this.state = state;
    this.doc = doc;
    this.line = line;
    this.maxLookAhead = lookAhead || 0;
    this.baseTokens = null;
    this.baseTokenPos = 1;
  };

  Context.prototype.lookAhead = function (n) {
    var line = this.doc.getLine(this.line + n);
    if (line != null && n > this.maxLookAhead) { this.maxLookAhead = n; }
    return line
  };

  Context.prototype.baseToken = function (n) {
    if (!this.baseTokens) { return null }
    while (this.baseTokens[this.baseTokenPos] <= n)
      { this.baseTokenPos += 2; }
    var type = this.baseTokens[this.baseTokenPos + 1];
    return {type: type && type.replace(/( |^)overlay .*/, ""),
            size: this.baseTokens[this.baseTokenPos] - n}
  };

  Context.prototype.nextLine = function () {
    this.line++;
    if (this.maxLookAhead > 0) { this.maxLookAhead--; }
  };

  Context.fromSaved = function (doc, saved, line) {
    if (saved instanceof SavedContext)
      { return new Context(doc, copyState(doc.mode, saved.state), line, saved.lookAhead) }
    else
      { return new Context(doc, copyState(doc.mode, saved), line) }
  };

  Context.prototype.save = function (copy) {
    var state = copy !== false ? copyState(this.doc.mode, this.state) : this.state;
    return this.maxLookAhead > 0 ? new SavedContext(state, this.maxLookAhead) : state
  };


  // Compute a style array (an array starting with a mode generation
  // -- for invalidation -- followed by pairs of end positions and
  // style strings), which is used to highlight the tokens on the
  // line.
  function highlightLine(cm, line, context, forceToEnd) {
    // A styles array always starts with a number identifying the
    // mode/overlays that it is based on (for easy invalidation).
    var st = [cm.state.modeGen], lineClasses = {};
    // Compute the base array of styles
    runMode(cm, line.text, cm.doc.mode, context, function (end, style) { return st.push(end, style); },
            lineClasses, forceToEnd);
    var state = context.state;

    // Run overlays, adjust style array.
    var loop = function ( o ) {
      context.baseTokens = st;
      var overlay = cm.state.overlays[o], i = 1, at = 0;
      context.state = true;
      runMode(cm, line.text, overlay.mode, context, function (end, style) {
        var start = i;
        // Ensure there's a token end at the current position, and that i points at it
        while (at < end) {
          var i_end = st[i];
          if (i_end > end)
            { st.splice(i, 1, end, st[i+1], i_end); }
          i += 2;
          at = Math.min(end, i_end);
        }
        if (!style) { return }
        if (overlay.opaque) {
          st.splice(start, i - start, end, "overlay " + style);
          i = start + 2;
        } else {
          for (; start < i; start += 2) {
            var cur = st[start+1];
            st[start+1] = (cur ? cur + " " : "") + "overlay " + style;
          }
        }
      }, lineClasses);
      context.state = state;
      context.baseTokens = null;
      context.baseTokenPos = 1;
    };

    for (var o = 0; o < cm.state.overlays.length; ++o) loop( o );

    return {styles: st, classes: lineClasses.bgClass || lineClasses.textClass ? lineClasses : null}
  }

  function getLineStyles(cm, line, updateFrontier) {
    if (!line.styles || line.styles[0] != cm.state.modeGen) {
      var context = getContextBefore(cm, lineNo(line));
      var resetState = line.text.length > cm.options.maxHighlightLength && copyState(cm.doc.mode, context.state);
      var result = highlightLine(cm, line, context);
      if (resetState) { context.state = resetState; }
      line.stateAfter = context.save(!resetState);
      line.styles = result.styles;
      if (result.classes) { line.styleClasses = result.classes; }
      else if (line.styleClasses) { line.styleClasses = null; }
      if (updateFrontier === cm.doc.highlightFrontier)
        { cm.doc.modeFrontier = Math.max(cm.doc.modeFrontier, ++cm.doc.highlightFrontier); }
    }
    return line.styles
  }

  function getContextBefore(cm, n, precise) {
    var doc = cm.doc, display = cm.display;
    if (!doc.mode.startState) { return new Context(doc, true, n) }
    var start = findStartLine(cm, n, precise);
    var saved = start > doc.first && getLine(doc, start - 1).stateAfter;
    var context = saved ? Context.fromSaved(doc, saved, start) : new Context(doc, startState(doc.mode), start);

    doc.iter(start, n, function (line) {
      processLine(cm, line.text, context);
      var pos = context.line;
      line.stateAfter = pos == n - 1 || pos % 5 == 0 || pos >= display.viewFrom && pos < display.viewTo ? context.save() : null;
      context.nextLine();
    });
    if (precise) { doc.modeFrontier = context.line; }
    return context
  }

  // Lightweight form of highlight -- proceed over this line and
  // update state, but don't save a style array. Used for lines that
  // aren't currently visible.
  function processLine(cm, text, context, startAt) {
    var mode = cm.doc.mode;
    var stream = new StringStream(text, cm.options.tabSize, context);
    stream.start = stream.pos = startAt || 0;
    if (text == "") { callBlankLine(mode, context.state); }
    while (!stream.eol()) {
      readToken(mode, stream, context.state);
      stream.start = stream.pos;
    }
  }

  function callBlankLine(mode, state) {
    if (mode.blankLine) { return mode.blankLine(state) }
    if (!mode.innerMode) { return }
    var inner = innerMode(mode, state);
    if (inner.mode.blankLine) { return inner.mode.blankLine(inner.state) }
  }

  function readToken(mode, stream, state, inner) {
    for (var i = 0; i < 10; i++) {
      if (inner) { inner[0] = innerMode(mode, state).mode; }
      var style = mode.token(stream, state);
      if (stream.pos > stream.start) { return style }
    }
    throw new Error("Mode " + mode.name + " failed to advance stream.")
  }

  var Token = function(stream, type, state) {
    this.start = stream.start; this.end = stream.pos;
    this.string = stream.current();
    this.type = type || null;
    this.state = state;
  };

  // Utility for getTokenAt and getLineTokens
  function takeToken(cm, pos, precise, asArray) {
    var doc = cm.doc, mode = doc.mode, style;
    pos = clipPos(doc, pos);
    var line = getLine(doc, pos.line), context = getContextBefore(cm, pos.line, precise);
    var stream = new StringStream(line.text, cm.options.tabSize, context), tokens;
    if (asArray) { tokens = []; }
    while ((asArray || stream.pos < pos.ch) && !stream.eol()) {
      stream.start = stream.pos;
      style = readToken(mode, stream, context.state);
      if (asArray) { tokens.push(new Token(stream, style, copyState(doc.mode, context.state))); }
    }
    return asArray ? tokens : new Token(stream, style, context.state)
  }

  function extractLineClasses(type, output) {
    if (type) { for (;;) {
      var lineClass = type.match(/(?:^|\s+)line-(background-)?(\S+)/);
      if (!lineClass) { break }
      type = type.slice(0, lineClass.index) + type.slice(lineClass.index + lineClass[0].length);
      var prop = lineClass[1] ? "bgClass" : "textClass";
      if (output[prop] == null)
        { output[prop] = lineClass[2]; }
      else if (!(new RegExp("(?:^|\\s)" + lineClass[2] + "(?:$|\\s)")).test(output[prop]))
        { output[prop] += " " + lineClass[2]; }
    } }
    return type
  }

  // Run the given mode's parser over a line, calling f for each token.
  function runMode(cm, text, mode, context, f, lineClasses, forceToEnd) {
    var flattenSpans = mode.flattenSpans;
    if (flattenSpans == null) { flattenSpans = cm.options.flattenSpans; }
    var curStart = 0, curStyle = null;
    var stream = new StringStream(text, cm.options.tabSize, context), style;
    var inner = cm.options.addModeClass && [null];
    if (text == "") { extractLineClasses(callBlankLine(mode, context.state), lineClasses); }
    while (!stream.eol()) {
      if (stream.pos > cm.options.maxHighlightLength) {
        flattenSpans = false;
        if (forceToEnd) { processLine(cm, text, context, stream.pos); }
        stream.pos = text.length;
        style = null;
      } else {
        style = extractLineClasses(readToken(mode, stream, context.state, inner), lineClasses);
      }
      if (inner) {
        var mName = inner[0].name;
        if (mName) { style = "m-" + (style ? mName + " " + style : mName); }
      }
      if (!flattenSpans || curStyle != style) {
        while (curStart < stream.start) {
          curStart = Math.min(stream.start, curStart + 5000);
          f(curStart, curStyle);
        }
        curStyle = style;
      }
      stream.start = stream.pos;
    }
    while (curStart < stream.pos) {
      // Webkit seems to refuse to render text nodes longer than 57444
      // characters, and returns inaccurate measurements in nodes
      // starting around 5000 chars.
      var pos = Math.min(stream.pos, curStart + 5000);
      f(pos, curStyle);
      curStart = pos;
    }
  }

  // Finds the line to start with when starting a parse. Tries to
  // find a line with a stateAfter, so that it can start with a
  // valid state. If that fails, it returns the line with the
  // smallest indentation, which tends to need the least context to
  // parse correctly.
  function findStartLine(cm, n, precise) {
    var minindent, minline, doc = cm.doc;
    var lim = precise ? -1 : n - (cm.doc.mode.innerMode ? 1000 : 100);
    for (var search = n; search > lim; --search) {
      if (search <= doc.first) { return doc.first }
      var line = getLine(doc, search - 1), after = line.stateAfter;
      if (after && (!precise || search + (after instanceof SavedContext ? after.lookAhead : 0) <= doc.modeFrontier))
        { return search }
      var indented = countColumn(line.text, null, cm.options.tabSize);
      if (minline == null || minindent > indented) {
        minline = search - 1;
        minindent = indented;
      }
    }
    return minline
  }

  function retreatFrontier(doc, n) {
    doc.modeFrontier = Math.min(doc.modeFrontier, n);
    if (doc.highlightFrontier < n - 10) { return }
    var start = doc.first;
    for (var line = n - 1; line > start; line--) {
      var saved = getLine(doc, line).stateAfter;
      // change is on 3
      // state on line 1 looked ahead 2 -- so saw 3
      // test 1 + 2 < 3 should cover this
      if (saved && (!(saved instanceof SavedContext) || line + saved.lookAhead < n)) {
        start = line + 1;
        break
      }
    }
    doc.highlightFrontier = Math.min(doc.highlightFrontier, start);
  }

  // Optimize some code when these features are not used.
  var sawReadOnlySpans = false, sawCollapsedSpans = false;

  function seeReadOnlySpans() {
    sawReadOnlySpans = true;
  }

  function seeCollapsedSpans() {
    sawCollapsedSpans = true;
  }

  // TEXTMARKER SPANS

  function MarkedSpan(marker, from, to) {
    this.marker = marker;
    this.from = from; this.to = to;
  }

  // Search an array of spans for a span matching the given marker.
  function getMarkedSpanFor(spans, marker) {
    if (spans) { for (var i = 0; i < spans.length; ++i) {
      var span = spans[i];
      if (span.marker == marker) { return span }
    } }
  }
  // Remove a span from an array, returning undefined if no spans are
  // left (we don't store arrays for lines without spans).
  function removeMarkedSpan(spans, span) {
    var r;
    for (var i = 0; i < spans.length; ++i)
      { if (spans[i] != span) { (r || (r = [])).push(spans[i]); } }
    return r
  }
  // Add a span to a line.
  function addMarkedSpan(line, span) {
    line.markedSpans = line.markedSpans ? line.markedSpans.concat([span]) : [span];
    span.marker.attachLine(line);
  }

  // Used for the algorithm that adjusts markers for a change in the
  // document. These functions cut an array of spans at a given
  // character position, returning an array of remaining chunks (or
  // undefined if nothing remains).
  function markedSpansBefore(old, startCh, isInsert) {
    var nw;
    if (old) { for (var i = 0; i < old.length; ++i) {
      var span = old[i], marker = span.marker;
      var startsBefore = span.from == null || (marker.inclusiveLeft ? span.from <= startCh : span.from < startCh);
      if (startsBefore || span.from == startCh && marker.type == "bookmark" && (!isInsert || !span.marker.insertLeft)) {
        var endsAfter = span.to == null || (marker.inclusiveRight ? span.to >= startCh : span.to > startCh)
        ;(nw || (nw = [])).push(new MarkedSpan(marker, span.from, endsAfter ? null : span.to));
      }
    } }
    return nw
  }
  function markedSpansAfter(old, endCh, isInsert) {
    var nw;
    if (old) { for (var i = 0; i < old.length; ++i) {
      var span = old[i], marker = span.marker;
      var endsAfter = span.to == null || (marker.inclusiveRight ? span.to >= endCh : span.to > endCh);
      if (endsAfter || span.from == endCh && marker.type == "bookmark" && (!isInsert || span.marker.insertLeft)) {
        var startsBefore = span.from == null || (marker.inclusiveLeft ? span.from <= endCh : span.from < endCh)
        ;(nw || (nw = [])).push(new MarkedSpan(marker, startsBefore ? null : span.from - endCh,
                                              span.to == null ? null : span.to - endCh));
      }
    } }
    return nw
  }

  // Given a change object, compute the new set of marker spans that
  // cover the line in which the change took place. Removes spans
  // entirely within the change, reconnects spans belonging to the
  // same marker that appear on both sides of the change, and cuts off
  // spans partially within the change. Returns an array of span
  // arrays with one element for each line in (after) the change.
  function stretchSpansOverChange(doc, change) {
    if (change.full) { return null }
    var oldFirst = isLine(doc, change.from.line) && getLine(doc, change.from.line).markedSpans;
    var oldLast = isLine(doc, change.to.line) && getLine(doc, change.to.line).markedSpans;
    if (!oldFirst && !oldLast) { return null }

    var startCh = change.from.ch, endCh = change.to.ch, isInsert = cmp(change.from, change.to) == 0;
    // Get the spans that 'stick out' on both sides
    var first = markedSpansBefore(oldFirst, startCh, isInsert);
    var last = markedSpansAfter(oldLast, endCh, isInsert);

    // Next, merge those two ends
    var sameLine = change.text.length == 1, offset = lst(change.text).length + (sameLine ? startCh : 0);
    if (first) {
      // Fix up .to properties of first
      for (var i = 0; i < first.length; ++i) {
        var span = first[i];
        if (span.to == null) {
          var found = getMarkedSpanFor(last, span.marker);
          if (!found) { span.to = startCh; }
          else if (sameLine) { span.to = found.to == null ? null : found.to + offset; }
        }
      }
    }
    if (last) {
      // Fix up .from in last (or move them into first in case of sameLine)
      for (var i$1 = 0; i$1 < last.length; ++i$1) {
        var span$1 = last[i$1];
        if (span$1.to != null) { span$1.to += offset; }
        if (span$1.from == null) {
          var found$1 = getMarkedSpanFor(first, span$1.marker);
          if (!found$1) {
            span$1.from = offset;
            if (sameLine) { (first || (first = [])).push(span$1); }
          }
        } else {
          span$1.from += offset;
          if (sameLine) { (first || (first = [])).push(span$1); }
        }
      }
    }
    // Make sure we didn't create any zero-length spans
    if (first) { first = clearEmptySpans(first); }
    if (last && last != first) { last = clearEmptySpans(last); }

    var newMarkers = [first];
    if (!sameLine) {
      // Fill gap with whole-line-spans
      var gap = change.text.length - 2, gapMarkers;
      if (gap > 0 && first)
        { for (var i$2 = 0; i$2 < first.length; ++i$2)
          { if (first[i$2].to == null)
            { (gapMarkers || (gapMarkers = [])).push(new MarkedSpan(first[i$2].marker, null, null)); } } }
      for (var i$3 = 0; i$3 < gap; ++i$3)
        { newMarkers.push(gapMarkers); }
      newMarkers.push(last);
    }
    return newMarkers
  }

  // Remove spans that are empty and don't have a clearWhenEmpty
  // option of false.
  function clearEmptySpans(spans) {
    for (var i = 0; i < spans.length; ++i) {
      var span = spans[i];
      if (span.from != null && span.from == span.to && span.marker.clearWhenEmpty !== false)
        { spans.splice(i--, 1); }
    }
    if (!spans.length) { return null }
    return spans
  }

  // Used to 'clip' out readOnly ranges when making a change.
  function removeReadOnlyRanges(doc, from, to) {
    var markers = null;
    doc.iter(from.line, to.line + 1, function (line) {
      if (line.markedSpans) { for (var i = 0; i < line.markedSpans.length; ++i) {
        var mark = line.markedSpans[i].marker;
        if (mark.readOnly && (!markers || indexOf(markers, mark) == -1))
          { (markers || (markers = [])).push(mark); }
      } }
    });
    if (!markers) { return null }
    var parts = [{from: from, to: to}];
    for (var i = 0; i < markers.length; ++i) {
      var mk = markers[i], m = mk.find(0);
      for (var j = 0; j < parts.length; ++j) {
        var p = parts[j];
        if (cmp(p.to, m.from) < 0 || cmp(p.from, m.to) > 0) { continue }
        var newParts = [j, 1], dfrom = cmp(p.from, m.from), dto = cmp(p.to, m.to);
        if (dfrom < 0 || !mk.inclusiveLeft && !dfrom)
          { newParts.push({from: p.from, to: m.from}); }
        if (dto > 0 || !mk.inclusiveRight && !dto)
          { newParts.push({from: m.to, to: p.to}); }
        parts.splice.apply(parts, newParts);
        j += newParts.length - 3;
      }
    }
    return parts
  }

  // Connect or disconnect spans from a line.
  function detachMarkedSpans(line) {
    var spans = line.markedSpans;
    if (!spans) { return }
    for (var i = 0; i < spans.length; ++i)
      { spans[i].marker.detachLine(line); }
    line.markedSpans = null;
  }
  function attachMarkedSpans(line, spans) {
    if (!spans) { return }
    for (var i = 0; i < spans.length; ++i)
      { spans[i].marker.attachLine(line); }
    line.markedSpans = spans;
  }

  // Helpers used when computing which overlapping collapsed span
  // counts as the larger one.
  function extraLeft(marker) { return marker.inclusiveLeft ? -1 : 0 }
  function extraRight(marker) { return marker.inclusiveRight ? 1 : 0 }

  // Returns a number indicating which of two overlapping collapsed
  // spans is larger (and thus includes the other). Falls back to
  // comparing ids when the spans cover exactly the same range.
  function compareCollapsedMarkers(a, b) {
    var lenDiff = a.lines.length - b.lines.length;
    if (lenDiff != 0) { return lenDiff }
    var aPos = a.find(), bPos = b.find();
    var fromCmp = cmp(aPos.from, bPos.from) || extraLeft(a) - extraLeft(b);
    if (fromCmp) { return -fromCmp }
    var toCmp = cmp(aPos.to, bPos.to) || extraRight(a) - extraRight(b);
    if (toCmp) { return toCmp }
    return b.id - a.id
  }

  // Find out whether a line ends or starts in a collapsed span. If
  // so, return the marker for that span.
  function collapsedSpanAtSide(line, start) {
    var sps = sawCollapsedSpans && line.markedSpans, found;
    if (sps) { for (var sp = (void 0), i = 0; i < sps.length; ++i) {
      sp = sps[i];
      if (sp.marker.collapsed && (start ? sp.from : sp.to) == null &&
          (!found || compareCollapsedMarkers(found, sp.marker) < 0))
        { found = sp.marker; }
    } }
    return found
  }
  function collapsedSpanAtStart(line) { return collapsedSpanAtSide(line, true) }
  function collapsedSpanAtEnd(line) { return collapsedSpanAtSide(line, false) }

  function collapsedSpanAround(line, ch) {
    var sps = sawCollapsedSpans && line.markedSpans, found;
    if (sps) { for (var i = 0; i < sps.length; ++i) {
      var sp = sps[i];
      if (sp.marker.collapsed && (sp.from == null || sp.from < ch) && (sp.to == null || sp.to > ch) &&
          (!found || compareCollapsedMarkers(found, sp.marker) < 0)) { found = sp.marker; }
    } }
    return found
  }

  // Test whether there exists a collapsed span that partially
  // overlaps (covers the start or end, but not both) of a new span.
  // Such overlap is not allowed.
  function conflictingCollapsedRange(doc, lineNo, from, to, marker) {
    var line = getLine(doc, lineNo);
    var sps = sawCollapsedSpans && line.markedSpans;
    if (sps) { for (var i = 0; i < sps.length; ++i) {
      var sp = sps[i];
      if (!sp.marker.collapsed) { continue }
      var found = sp.marker.find(0);
      var fromCmp = cmp(found.from, from) || extraLeft(sp.marker) - extraLeft(marker);
      var toCmp = cmp(found.to, to) || extraRight(sp.marker) - extraRight(marker);
      if (fromCmp >= 0 && toCmp <= 0 || fromCmp <= 0 && toCmp >= 0) { continue }
      if (fromCmp <= 0 && (sp.marker.inclusiveRight && marker.inclusiveLeft ? cmp(found.to, from) >= 0 : cmp(found.to, from) > 0) ||
          fromCmp >= 0 && (sp.marker.inclusiveRight && marker.inclusiveLeft ? cmp(found.from, to) <= 0 : cmp(found.from, to) < 0))
        { return true }
    } }
  }

  // A visual line is a line as drawn on the screen. Folding, for
  // example, can cause multiple logical lines to appear on the same
  // visual line. This finds the start of the visual line that the
  // given line is part of (usually that is the line itself).
  function visualLine(line) {
    var merged;
    while (merged = collapsedSpanAtStart(line))
      { line = merged.find(-1, true).line; }
    return line
  }

  function visualLineEnd(line) {
    var merged;
    while (merged = collapsedSpanAtEnd(line))
      { line = merged.find(1, true).line; }
    return line
  }

  // Returns an array of logical lines that continue the visual line
  // started by the argument, or undefined if there are no such lines.
  function visualLineContinued(line) {
    var merged, lines;
    while (merged = collapsedSpanAtEnd(line)) {
      line = merged.find(1, true).line
      ;(lines || (lines = [])).push(line);
    }
    return lines
  }

  // Get the line number of the start of the visual line that the
  // given line number is part of.
  function visualLineNo(doc, lineN) {
    var line = getLine(doc, lineN), vis = visualLine(line);
    if (line == vis) { return lineN }
    return lineNo(vis)
  }

  // Get the line number of the start of the next visual line after
  // the given line.
  function visualLineEndNo(doc, lineN) {
    if (lineN > doc.lastLine()) { return lineN }
    var line = getLine(doc, lineN), merged;
    if (!lineIsHidden(doc, line)) { return lineN }
    while (merged = collapsedSpanAtEnd(line))
      { line = merged.find(1, true).line; }
    return lineNo(line) + 1
  }

  // Compute whether a line is hidden. Lines count as hidden when they
  // are part of a visual line that starts with another line, or when
  // they are entirely covered by collapsed, non-widget span.
  function lineIsHidden(doc, line) {
    var sps = sawCollapsedSpans && line.markedSpans;
    if (sps) { for (var sp = (void 0), i = 0; i < sps.length; ++i) {
      sp = sps[i];
      if (!sp.marker.collapsed) { continue }
      if (sp.from == null) { return true }
      if (sp.marker.widgetNode) { continue }
      if (sp.from == 0 && sp.marker.inclusiveLeft && lineIsHiddenInner(doc, line, sp))
        { return true }
    } }
  }
  function lineIsHiddenInner(doc, line, span) {
    if (span.to == null) {
      var end = span.marker.find(1, true);
      return lineIsHiddenInner(doc, end.line, getMarkedSpanFor(end.line.markedSpans, span.marker))
    }
    if (span.marker.inclusiveRight && span.to == line.text.length)
      { return true }
    for (var sp = (void 0), i = 0; i < line.markedSpans.length; ++i) {
      sp = line.markedSpans[i];
      if (sp.marker.collapsed && !sp.marker.widgetNode && sp.from == span.to &&
          (sp.to == null || sp.to != span.from) &&
          (sp.marker.inclusiveLeft || span.marker.inclusiveRight) &&
          lineIsHiddenInner(doc, line, sp)) { return true }
    }
  }

  // Find the height above the given line.
  function heightAtLine(lineObj) {
    lineObj = visualLine(lineObj);

    var h = 0, chunk = lineObj.parent;
    for (var i = 0; i < chunk.lines.length; ++i) {
      var line = chunk.lines[i];
      if (line == lineObj) { break }
      else { h += line.height; }
    }
    for (var p = chunk.parent; p; chunk = p, p = chunk.parent) {
      for (var i$1 = 0; i$1 < p.children.length; ++i$1) {
        var cur = p.children[i$1];
        if (cur == chunk) { break }
        else { h += cur.height; }
      }
    }
    return h
  }

  // Compute the character length of a line, taking into account
  // collapsed ranges (see markText) that might hide parts, and join
  // other lines onto it.
  function lineLength(line) {
    if (line.height == 0) { return 0 }
    var len = line.text.length, merged, cur = line;
    while (merged = collapsedSpanAtStart(cur)) {
      var found = merged.find(0, true);
      cur = found.from.line;
      len += found.from.ch - found.to.ch;
    }
    cur = line;
    while (merged = collapsedSpanAtEnd(cur)) {
      var found$1 = merged.find(0, true);
      len -= cur.text.length - found$1.from.ch;
      cur = found$1.to.line;
      len += cur.text.length - found$1.to.ch;
    }
    return len
  }

  // Find the longest line in the document.
  function findMaxLine(cm) {
    var d = cm.display, doc = cm.doc;
    d.maxLine = getLine(doc, doc.first);
    d.maxLineLength = lineLength(d.maxLine);
    d.maxLineChanged = true;
    doc.iter(function (line) {
      var len = lineLength(line);
      if (len > d.maxLineLength) {
        d.maxLineLength = len;
        d.maxLine = line;
      }
    });
  }

  // LINE DATA STRUCTURE

  // Line objects. These hold state related to a line, including
  // highlighting info (the styles array).
  var Line = function(text, markedSpans, estimateHeight) {
    this.text = text;
    attachMarkedSpans(this, markedSpans);
    this.height = estimateHeight ? estimateHeight(this) : 1;
  };

  Line.prototype.lineNo = function () { return lineNo(this) };
  eventMixin(Line);

  // Change the content (text, markers) of a line. Automatically
  // invalidates cached information and tries to re-estimate the
  // line's height.
  function updateLine(line, text, markedSpans, estimateHeight) {
    line.text = text;
    if (line.stateAfter) { line.stateAfter = null; }
    if (line.styles) { line.styles = null; }
    if (line.order != null) { line.order = null; }
    detachMarkedSpans(line);
    attachMarkedSpans(line, markedSpans);
    var estHeight = estimateHeight ? estimateHeight(line) : 1;
    if (estHeight != line.height) { updateLineHeight(line, estHeight); }
  }

  // Detach a line from the document tree and its markers.
  function cleanUpLine(line) {
    line.parent = null;
    detachMarkedSpans(line);
  }

  // Convert a style as returned by a mode (either null, or a string
  // containing one or more styles) to a CSS style. This is cached,
  // and also looks for line-wide styles.
  var styleToClassCache = {}, styleToClassCacheWithMode = {};
  function interpretTokenStyle(style, options) {
    if (!style || /^\s*$/.test(style)) { return null }
    var cache = options.addModeClass ? styleToClassCacheWithMode : styleToClassCache;
    return cache[style] ||
      (cache[style] = style.replace(/\S+/g, "cm-$&"))
  }

  // Render the DOM representation of the text of a line. Also builds
  // up a 'line map', which points at the DOM nodes that represent
  // specific stretches of text, and is used by the measuring code.
  // The returned object contains the DOM node, this map, and
  // information about line-wide styles that were set by the mode.
  function buildLineContent(cm, lineView) {
    // The padding-right forces the element to have a 'border', which
    // is needed on Webkit to be able to get line-level bounding
    // rectangles for it (in measureChar).
    var content = eltP("span", null, null, webkit ? "padding-right: .1px" : null);
    var builder = {pre: eltP("pre", [content], "CodeMirror-line"), content: content,
                   col: 0, pos: 0, cm: cm,
                   trailingSpace: false,
                   splitSpaces: cm.getOption("lineWrapping")};
    lineView.measure = {};

    // Iterate over the logical lines that make up this visual line.
    for (var i = 0; i <= (lineView.rest ? lineView.rest.length : 0); i++) {
      var line = i ? lineView.rest[i - 1] : lineView.line, order = (void 0);
      builder.pos = 0;
      builder.addToken = buildToken;
      // Optionally wire in some hacks into the token-rendering
      // algorithm, to deal with browser quirks.
      if (hasBadBidiRects(cm.display.measure) && (order = getOrder(line, cm.doc.direction)))
        { builder.addToken = buildTokenBadBidi(builder.addToken, order); }
      builder.map = [];
      var allowFrontierUpdate = lineView != cm.display.externalMeasured && lineNo(line);
      insertLineContent(line, builder, getLineStyles(cm, line, allowFrontierUpdate));
      if (line.styleClasses) {
        if (line.styleClasses.bgClass)
          { builder.bgClass = joinClasses(line.styleClasses.bgClass, builder.bgClass || ""); }
        if (line.styleClasses.textClass)
          { builder.textClass = joinClasses(line.styleClasses.textClass, builder.textClass || ""); }
      }

      // Ensure at least a single node is present, for measuring.
      if (builder.map.length == 0)
        { builder.map.push(0, 0, builder.content.appendChild(zeroWidthElement(cm.display.measure))); }

      // Store the map and a cache object for the current logical line
      if (i == 0) {
        lineView.measure.map = builder.map;
        lineView.measure.cache = {};
      } else {
  (lineView.measure.maps || (lineView.measure.maps = [])).push(builder.map)
        ;(lineView.measure.caches || (lineView.measure.caches = [])).push({});
      }
    }

    // See issue #2901
    if (webkit) {
      var last = builder.content.lastChild;
      if (/\bcm-tab\b/.test(last.className) || (last.querySelector && last.querySelector(".cm-tab")))
        { builder.content.className = "cm-tab-wrap-hack"; }
    }

    signal(cm, "renderLine", cm, lineView.line, builder.pre);
    if (builder.pre.className)
      { builder.textClass = joinClasses(builder.pre.className, builder.textClass || ""); }

    return builder
  }

  function defaultSpecialCharPlaceholder(ch) {
    var token = elt("span", "\u2022", "cm-invalidchar");
    token.title = "\\u" + ch.charCodeAt(0).toString(16);
    token.setAttribute("aria-label", token.title);
    return token
  }

  // Build up the DOM representation for a single token, and add it to
  // the line map. Takes care to render special characters separately.
  function buildToken(builder, text, style, startStyle, endStyle, css, attributes) {
    if (!text) { return }
    var displayText = builder.splitSpaces ? splitSpaces(text, builder.trailingSpace) : text;
    var special = builder.cm.state.specialChars, mustWrap = false;
    var content;
    if (!special.test(text)) {
      builder.col += text.length;
      content = document.createTextNode(displayText);
      builder.map.push(builder.pos, builder.pos + text.length, content);
      if (ie && ie_version < 9) { mustWrap = true; }
      builder.pos += text.length;
    } else {
      content = document.createDocumentFragment();
      var pos = 0;
      while (true) {
        special.lastIndex = pos;
        var m = special.exec(text);
        var skipped = m ? m.index - pos : text.length - pos;
        if (skipped) {
          var txt = document.createTextNode(displayText.slice(pos, pos + skipped));
          if (ie && ie_version < 9) { content.appendChild(elt("span", [txt])); }
          else { content.appendChild(txt); }
          builder.map.push(builder.pos, builder.pos + skipped, txt);
          builder.col += skipped;
          builder.pos += skipped;
        }
        if (!m) { break }
        pos += skipped + 1;
        var txt$1 = (void 0);
        if (m[0] == "\t") {
          var tabSize = builder.cm.options.tabSize, tabWidth = tabSize - builder.col % tabSize;
          txt$1 = content.appendChild(elt("span", spaceStr(tabWidth), "cm-tab"));
          txt$1.setAttribute("role", "presentation");
          txt$1.setAttribute("cm-text", "\t");
          builder.col += tabWidth;
        } else if (m[0] == "\r" || m[0] == "\n") {
          txt$1 = content.appendChild(elt("span", m[0] == "\r" ? "\u240d" : "\u2424", "cm-invalidchar"));
          txt$1.setAttribute("cm-text", m[0]);
          builder.col += 1;
        } else {
          txt$1 = builder.cm.options.specialCharPlaceholder(m[0]);
          txt$1.setAttribute("cm-text", m[0]);
          if (ie && ie_version < 9) { content.appendChild(elt("span", [txt$1])); }
          else { content.appendChild(txt$1); }
          builder.col += 1;
        }
        builder.map.push(builder.pos, builder.pos + 1, txt$1);
        builder.pos++;
      }
    }
    builder.trailingSpace = displayText.charCodeAt(text.length - 1) == 32;
    if (style || startStyle || endStyle || mustWrap || css || attributes) {
      var fullStyle = style || "";
      if (startStyle) { fullStyle += startStyle; }
      if (endStyle) { fullStyle += endStyle; }
      var token = elt("span", [content], fullStyle, css);
      if (attributes) {
        for (var attr in attributes) { if (attributes.hasOwnProperty(attr) && attr != "style" && attr != "class")
          { token.setAttribute(attr, attributes[attr]); } }
      }
      return builder.content.appendChild(token)
    }
    builder.content.appendChild(content);
  }

  // Change some spaces to NBSP to prevent the browser from collapsing
  // trailing spaces at the end of a line when rendering text (issue #1362).
  function splitSpaces(text, trailingBefore) {
    if (text.length > 1 && !/  /.test(text)) { return text }
    var spaceBefore = trailingBefore, result = "";
    for (var i = 0; i < text.length; i++) {
      var ch = text.charAt(i);
      if (ch == " " && spaceBefore && (i == text.length - 1 || text.charCodeAt(i + 1) == 32))
        { ch = "\u00a0"; }
      result += ch;
      spaceBefore = ch == " ";
    }
    return result
  }

  // Work around nonsense dimensions being reported for stretches of
  // right-to-left text.
  function buildTokenBadBidi(inner, order) {
    return function (builder, text, style, startStyle, endStyle, css, attributes) {
      style = style ? style + " cm-force-border" : "cm-force-border";
      var start = builder.pos, end = start + text.length;
      for (;;) {
        // Find the part that overlaps with the start of this text
        var part = (void 0);
        for (var i = 0; i < order.length; i++) {
          part = order[i];
          if (part.to > start && part.from <= start) { break }
        }
        if (part.to >= end) { return inner(builder, text, style, startStyle, endStyle, css, attributes) }
        inner(builder, text.slice(0, part.to - start), style, startStyle, null, css, attributes);
        startStyle = null;
        text = text.slice(part.to - start);
        start = part.to;
      }
    }
  }

  function buildCollapsedSpan(builder, size, marker, ignoreWidget) {
    var widget = !ignoreWidget && marker.widgetNode;
    if (widget) { builder.map.push(builder.pos, builder.pos + size, widget); }
    if (!ignoreWidget && builder.cm.display.input.needsContentAttribute) {
      if (!widget)
        { widget = builder.content.appendChild(document.createElement("span")); }
      widget.setAttribute("cm-marker", marker.id);
    }
    if (widget) {
      builder.cm.display.input.setUneditable(widget);
      builder.content.appendChild(widget);
    }
    builder.pos += size;
    builder.trailingSpace = false;
  }

  // Outputs a number of spans to make up a line, taking highlighting
  // and marked text into account.
  function insertLineContent(line, builder, styles) {
    var spans = line.markedSpans, allText = line.text, at = 0;
    if (!spans) {
      for (var i$1 = 1; i$1 < styles.length; i$1+=2)
        { builder.addToken(builder, allText.slice(at, at = styles[i$1]), interpretTokenStyle(styles[i$1+1], builder.cm.options)); }
      return
    }

    var len = allText.length, pos = 0, i = 1, text = "", style, css;
    var nextChange = 0, spanStyle, spanEndStyle, spanStartStyle, collapsed, attributes;
    for (;;) {
      if (nextChange == pos) { // Update current marker set
        spanStyle = spanEndStyle = spanStartStyle = css = "";
        attributes = null;
        collapsed = null; nextChange = Infinity;
        var foundBookmarks = [], endStyles = (void 0);
        for (var j = 0; j < spans.length; ++j) {
          var sp = spans[j], m = sp.marker;
          if (m.type == "bookmark" && sp.from == pos && m.widgetNode) {
            foundBookmarks.push(m);
          } else if (sp.from <= pos && (sp.to == null || sp.to > pos || m.collapsed && sp.to == pos && sp.from == pos)) {
            if (sp.to != null && sp.to != pos && nextChange > sp.to) {
              nextChange = sp.to;
              spanEndStyle = "";
            }
            if (m.className) { spanStyle += " " + m.className; }
            if (m.css) { css = (css ? css + ";" : "") + m.css; }
            if (m.startStyle && sp.from == pos) { spanStartStyle += " " + m.startStyle; }
            if (m.endStyle && sp.to == nextChange) { (endStyles || (endStyles = [])).push(m.endStyle, sp.to); }
            // support for the old title property
            // https://github.com/codemirror/CodeMirror/pull/5673
            if (m.title) { (attributes || (attributes = {})).title = m.title; }
            if (m.attributes) {
              for (var attr in m.attributes)
                { (attributes || (attributes = {}))[attr] = m.attributes[attr]; }
            }
            if (m.collapsed && (!collapsed || compareCollapsedMarkers(collapsed.marker, m) < 0))
              { collapsed = sp; }
          } else if (sp.from > pos && nextChange > sp.from) {
            nextChange = sp.from;
          }
        }
        if (endStyles) { for (var j$1 = 0; j$1 < endStyles.length; j$1 += 2)
          { if (endStyles[j$1 + 1] == nextChange) { spanEndStyle += " " + endStyles[j$1]; } } }

        if (!collapsed || collapsed.from == pos) { for (var j$2 = 0; j$2 < foundBookmarks.length; ++j$2)
          { buildCollapsedSpan(builder, 0, foundBookmarks[j$2]); } }
        if (collapsed && (collapsed.from || 0) == pos) {
          buildCollapsedSpan(builder, (collapsed.to == null ? len + 1 : collapsed.to) - pos,
                             collapsed.marker, collapsed.from == null);
          if (collapsed.to == null) { return }
          if (collapsed.to == pos) { collapsed = false; }
        }
      }
      if (pos >= len) { break }

      var upto = Math.min(len, nextChange);
      while (true) {
        if (text) {
          var end = pos + text.length;
          if (!collapsed) {
            var tokenText = end > upto ? text.slice(0, upto - pos) : text;
            builder.addToken(builder, tokenText, style ? style + spanStyle : spanStyle,
                             spanStartStyle, pos + tokenText.length == nextChange ? spanEndStyle : "", css, attributes);
          }
          if (end >= upto) {text = text.slice(upto - pos); pos = upto; break}
          pos = end;
          spanStartStyle = "";
        }
        text = allText.slice(at, at = styles[i++]);
        style = interpretTokenStyle(styles[i++], builder.cm.options);
      }
    }
  }


  // These objects are used to represent the visible (currently drawn)
  // part of the document. A LineView may correspond to multiple
  // logical lines, if those are connected by collapsed ranges.
  function LineView(doc, line, lineN) {
    // The starting line
    this.line = line;
    // Continuing lines, if any
    this.rest = visualLineContinued(line);
    // Number of logical lines in this visual line
    this.size = this.rest ? lineNo(lst(this.rest)) - lineN + 1 : 1;
    this.node = this.text = null;
    this.hidden = lineIsHidden(doc, line);
  }

  // Create a range of LineView objects for the given lines.
  function buildViewArray(cm, from, to) {
    var array = [], nextPos;
    for (var pos = from; pos < to; pos = nextPos) {
      var view = new LineView(cm.doc, getLine(cm.doc, pos), pos);
      nextPos = pos + view.size;
      array.push(view);
    }
    return array
  }

  var operationGroup = null;

  function pushOperation(op) {
    if (operationGroup) {
      operationGroup.ops.push(op);
    } else {
      op.ownsGroup = operationGroup = {
        ops: [op],
        delayedCallbacks: []
      };
    }
  }

  function fireCallbacksForOps(group) {
    // Calls delayed callbacks and cursorActivity handlers until no
    // new ones appear
    var callbacks = group.delayedCallbacks, i = 0;
    do {
      for (; i < callbacks.length; i++)
        { callbacks[i].call(null); }
      for (var j = 0; j < group.ops.length; j++) {
        var op = group.ops[j];
        if (op.cursorActivityHandlers)
          { while (op.cursorActivityCalled < op.cursorActivityHandlers.length)
            { op.cursorActivityHandlers[op.cursorActivityCalled++].call(null, op.cm); } }
      }
    } while (i < callbacks.length)
  }

  function finishOperation(op, endCb) {
    var group = op.ownsGroup;
    if (!group) { return }

    try { fireCallbacksForOps(group); }
    finally {
      operationGroup = null;
      endCb(group);
    }
  }

  var orphanDelayedCallbacks = null;

  // Often, we want to signal events at a point where we are in the
  // middle of some work, but don't want the handler to start calling
  // other methods on the editor, which might be in an inconsistent
  // state or simply not expect any other events to happen.
  // signalLater looks whether there are any handlers, and schedules
  // them to be executed when the last operation ends, or, if no
  // operation is active, when a timeout fires.
  function signalLater(emitter, type /*, values...*/) {
    var arr = getHandlers(emitter, type);
    if (!arr.length) { return }
    var args = Array.prototype.slice.call(arguments, 2), list;
    if (operationGroup) {
      list = operationGroup.delayedCallbacks;
    } else if (orphanDelayedCallbacks) {
      list = orphanDelayedCallbacks;
    } else {
      list = orphanDelayedCallbacks = [];
      setTimeout(fireOrphanDelayed, 0);
    }
    var loop = function ( i ) {
      list.push(function () { return arr[i].apply(null, args); });
    };

    for (var i = 0; i < arr.length; ++i)
      loop( i );
  }

  function fireOrphanDelayed() {
    var delayed = orphanDelayedCallbacks;
    orphanDelayedCallbacks = null;
    for (var i = 0; i < delayed.length; ++i) { delayed[i](); }
  }

  // When an aspect of a line changes, a string is added to
  // lineView.changes. This updates the relevant part of the line's
  // DOM structure.
  function updateLineForChanges(cm, lineView, lineN, dims) {
    for (var j = 0; j < lineView.changes.length; j++) {
      var type = lineView.changes[j];
      if (type == "text") { updateLineText(cm, lineView); }
      else if (type == "gutter") { updateLineGutter(cm, lineView, lineN, dims); }
      else if (type == "class") { updateLineClasses(cm, lineView); }
      else if (type == "widget") { updateLineWidgets(cm, lineView, dims); }
    }
    lineView.changes = null;
  }

  // Lines with gutter elements, widgets or a background class need to
  // be wrapped, and have the extra elements added to the wrapper div
  function ensureLineWrapped(lineView) {
    if (lineView.node == lineView.text) {
      lineView.node = elt("div", null, null, "position: relative");
      if (lineView.text.parentNode)
        { lineView.text.parentNode.replaceChild(lineView.node, lineView.text); }
      lineView.node.appendChild(lineView.text);
      if (ie && ie_version < 8) { lineView.node.style.zIndex = 2; }
    }
    return lineView.node
  }

  function updateLineBackground(cm, lineView) {
    var cls = lineView.bgClass ? lineView.bgClass + " " + (lineView.line.bgClass || "") : lineView.line.bgClass;
    if (cls) { cls += " CodeMirror-linebackground"; }
    if (lineView.background) {
      if (cls) { lineView.background.className = cls; }
      else { lineView.background.parentNode.removeChild(lineView.background); lineView.background = null; }
    } else if (cls) {
      var wrap = ensureLineWrapped(lineView);
      lineView.background = wrap.insertBefore(elt("div", null, cls), wrap.firstChild);
      cm.display.input.setUneditable(lineView.background);
    }
  }

  // Wrapper around buildLineContent which will reuse the structure
  // in display.externalMeasured when possible.
  function getLineContent(cm, lineView) {
    var ext = cm.display.externalMeasured;
    if (ext && ext.line == lineView.line) {
      cm.display.externalMeasured = null;
      lineView.measure = ext.measure;
      return ext.built
    }
    return buildLineContent(cm, lineView)
  }

  // Redraw the line's text. Interacts with the background and text
  // classes because the mode may output tokens that influence these
  // classes.
  function updateLineText(cm, lineView) {
    var cls = lineView.text.className;
    var built = getLineContent(cm, lineView);
    if (lineView.text == lineView.node) { lineView.node = built.pre; }
    lineView.text.parentNode.replaceChild(built.pre, lineView.text);
    lineView.text = built.pre;
    if (built.bgClass != lineView.bgClass || built.textClass != lineView.textClass) {
      lineView.bgClass = built.bgClass;
      lineView.textClass = built.textClass;
      updateLineClasses(cm, lineView);
    } else if (cls) {
      lineView.text.className = cls;
    }
  }

  function updateLineClasses(cm, lineView) {
    updateLineBackground(cm, lineView);
    if (lineView.line.wrapClass)
      { ensureLineWrapped(lineView).className = lineView.line.wrapClass; }
    else if (lineView.node != lineView.text)
      { lineView.node.className = ""; }
    var textClass = lineView.textClass ? lineView.textClass + " " + (lineView.line.textClass || "") : lineView.line.textClass;
    lineView.text.className = textClass || "";
  }

  function updateLineGutter(cm, lineView, lineN, dims) {
    if (lineView.gutter) {
      lineView.node.removeChild(lineView.gutter);
      lineView.gutter = null;
    }
    if (lineView.gutterBackground) {
      lineView.node.removeChild(lineView.gutterBackground);
      lineView.gutterBackground = null;
    }
    if (lineView.line.gutterClass) {
      var wrap = ensureLineWrapped(lineView);
      lineView.gutterBackground = elt("div", null, "CodeMirror-gutter-background " + lineView.line.gutterClass,
                                      ("left: " + (cm.options.fixedGutter ? dims.fixedPos : -dims.gutterTotalWidth) + "px; width: " + (dims.gutterTotalWidth) + "px"));
      cm.display.input.setUneditable(lineView.gutterBackground);
      wrap.insertBefore(lineView.gutterBackground, lineView.text);
    }
    var markers = lineView.line.gutterMarkers;
    if (cm.options.lineNumbers || markers) {
      var wrap$1 = ensureLineWrapped(lineView);
      var gutterWrap = lineView.gutter = elt("div", null, "CodeMirror-gutter-wrapper", ("left: " + (cm.options.fixedGutter ? dims.fixedPos : -dims.gutterTotalWidth) + "px"));
      cm.display.input.setUneditable(gutterWrap);
      wrap$1.insertBefore(gutterWrap, lineView.text);
      if (lineView.line.gutterClass)
        { gutterWrap.className += " " + lineView.line.gutterClass; }
      if (cm.options.lineNumbers && (!markers || !markers["CodeMirror-linenumbers"]))
        { lineView.lineNumber = gutterWrap.appendChild(
          elt("div", lineNumberFor(cm.options, lineN),
              "CodeMirror-linenumber CodeMirror-gutter-elt",
              ("left: " + (dims.gutterLeft["CodeMirror-linenumbers"]) + "px; width: " + (cm.display.lineNumInnerWidth) + "px"))); }
      if (markers) { for (var k = 0; k < cm.display.gutterSpecs.length; ++k) {
        var id = cm.display.gutterSpecs[k].className, found = markers.hasOwnProperty(id) && markers[id];
        if (found)
          { gutterWrap.appendChild(elt("div", [found], "CodeMirror-gutter-elt",
                                     ("left: " + (dims.gutterLeft[id]) + "px; width: " + (dims.gutterWidth[id]) + "px"))); }
      } }
    }
  }

  function updateLineWidgets(cm, lineView, dims) {
    if (lineView.alignable) { lineView.alignable = null; }
    var isWidget = classTest("CodeMirror-linewidget");
    for (var node = lineView.node.firstChild, next = (void 0); node; node = next) {
      next = node.nextSibling;
      if (isWidget.test(node.className)) { lineView.node.removeChild(node); }
    }
    insertLineWidgets(cm, lineView, dims);
  }

  // Build a line's DOM representation from scratch
  function buildLineElement(cm, lineView, lineN, dims) {
    var built = getLineContent(cm, lineView);
    lineView.text = lineView.node = built.pre;
    if (built.bgClass) { lineView.bgClass = built.bgClass; }
    if (built.textClass) { lineView.textClass = built.textClass; }

    updateLineClasses(cm, lineView);
    updateLineGutter(cm, lineView, lineN, dims);
    insertLineWidgets(cm, lineView, dims);
    return lineView.node
  }

  // A lineView may contain multiple logical lines (when merged by
  // collapsed spans). The widgets for all of them need to be drawn.
  function insertLineWidgets(cm, lineView, dims) {
    insertLineWidgetsFor(cm, lineView.line, lineView, dims, true);
    if (lineView.rest) { for (var i = 0; i < lineView.rest.length; i++)
      { insertLineWidgetsFor(cm, lineView.rest[i], lineView, dims, false); } }
  }

  function insertLineWidgetsFor(cm, line, lineView, dims, allowAbove) {
    if (!line.widgets) { return }
    var wrap = ensureLineWrapped(lineView);
    for (var i = 0, ws = line.widgets; i < ws.length; ++i) {
      var widget = ws[i], node = elt("div", [widget.node], "CodeMirror-linewidget" + (widget.className ? " " + widget.className : ""));
      if (!widget.handleMouseEvents) { node.setAttribute("cm-ignore-events", "true"); }
      positionLineWidget(widget, node, lineView, dims);
      cm.display.input.setUneditable(node);
      if (allowAbove && widget.above)
        { wrap.insertBefore(node, lineView.gutter || lineView.text); }
      else
        { wrap.appendChild(node); }
      signalLater(widget, "redraw");
    }
  }

  function positionLineWidget(widget, node, lineView, dims) {
    if (widget.noHScroll) {
  (lineView.alignable || (lineView.alignable = [])).push(node);
      var width = dims.wrapperWidth;
      node.style.left = dims.fixedPos + "px";
      if (!widget.coverGutter) {
        width -= dims.gutterTotalWidth;
        node.style.paddingLeft = dims.gutterTotalWidth + "px";
      }
      node.style.width = width + "px";
    }
    if (widget.coverGutter) {
      node.style.zIndex = 5;
      node.style.position = "relative";
      if (!widget.noHScroll) { node.style.marginLeft = -dims.gutterTotalWidth + "px"; }
    }
  }

  function widgetHeight(widget) {
    if (widget.height != null) { return widget.height }
    var cm = widget.doc.cm;
    if (!cm) { return 0 }
    if (!contains(document.body, widget.node)) {
      var parentStyle = "position: relative;";
      if (widget.coverGutter)
        { parentStyle += "margin-left: -" + cm.display.gutters.offsetWidth + "px;"; }
      if (widget.noHScroll)
        { parentStyle += "width: " + cm.display.wrapper.clientWidth + "px;"; }
      removeChildrenAndAdd(cm.display.measure, elt("div", [widget.node], null, parentStyle));
    }
    return widget.height = widget.node.parentNode.offsetHeight
  }

  // Return true when the given mouse event happened in a widget
  function eventInWidget(display, e) {
    for (var n = e_target(e); n != display.wrapper; n = n.parentNode) {
      if (!n || (n.nodeType == 1 && n.getAttribute("cm-ignore-events") == "true") ||
          (n.parentNode == display.sizer && n != display.mover))
        { return true }
    }
  }

  // POSITION MEASUREMENT

  function paddingTop(display) {return display.lineSpace.offsetTop}
  function paddingVert(display) {return display.mover.offsetHeight - display.lineSpace.offsetHeight}
  function paddingH(display) {
    if (display.cachedPaddingH) { return display.cachedPaddingH }
    var e = removeChildrenAndAdd(display.measure, elt("pre", "x", "CodeMirror-line-like"));
    var style = window.getComputedStyle ? window.getComputedStyle(e) : e.currentStyle;
    var data = {left: parseInt(style.paddingLeft), right: parseInt(style.paddingRight)};
    if (!isNaN(data.left) && !isNaN(data.right)) { display.cachedPaddingH = data; }
    return data
  }

  function scrollGap(cm) { return scrollerGap - cm.display.nativeBarWidth }
  function displayWidth(cm) {
    return cm.display.scroller.clientWidth - scrollGap(cm) - cm.display.barWidth
  }
  function displayHeight(cm) {
    return cm.display.scroller.clientHeight - scrollGap(cm) - cm.display.barHeight
  }

  // Ensure the lineView.wrapping.heights array is populated. This is
  // an array of bottom offsets for the lines that make up a drawn
  // line. When lineWrapping is on, there might be more than one
  // height.
  function ensureLineHeights(cm, lineView, rect) {
    var wrapping = cm.options.lineWrapping;
    var curWidth = wrapping && displayWidth(cm);
    if (!lineView.measure.heights || wrapping && lineView.measure.width != curWidth) {
      var heights = lineView.measure.heights = [];
      if (wrapping) {
        lineView.measure.width = curWidth;
        var rects = lineView.text.firstChild.getClientRects();
        for (var i = 0; i < rects.length - 1; i++) {
          var cur = rects[i], next = rects[i + 1];
          if (Math.abs(cur.bottom - next.bottom) > 2)
            { heights.push((cur.bottom + next.top) / 2 - rect.top); }
        }
      }
      heights.push(rect.bottom - rect.top);
    }
  }

  // Find a line map (mapping character offsets to text nodes) and a
  // measurement cache for the given line number. (A line view might
  // contain multiple lines when collapsed ranges are present.)
  function mapFromLineView(lineView, line, lineN) {
    if (lineView.line == line)
      { return {map: lineView.measure.map, cache: lineView.measure.cache} }
    for (var i = 0; i < lineView.rest.length; i++)
      { if (lineView.rest[i] == line)
        { return {map: lineView.measure.maps[i], cache: lineView.measure.caches[i]} } }
    for (var i$1 = 0; i$1 < lineView.rest.length; i$1++)
      { if (lineNo(lineView.rest[i$1]) > lineN)
        { return {map: lineView.measure.maps[i$1], cache: lineView.measure.caches[i$1], before: true} } }
  }

  // Render a line into the hidden node display.externalMeasured. Used
  // when measurement is needed for a line that's not in the viewport.
  function updateExternalMeasurement(cm, line) {
    line = visualLine(line);
    var lineN = lineNo(line);
    var view = cm.display.externalMeasured = new LineView(cm.doc, line, lineN);
    view.lineN = lineN;
    var built = view.built = buildLineContent(cm, view);
    view.text = built.pre;
    removeChildrenAndAdd(cm.display.lineMeasure, built.pre);
    return view
  }

  // Get a {top, bottom, left, right} box (in line-local coordinates)
  // for a given character.
  function measureChar(cm, line, ch, bias) {
    return measureCharPrepared(cm, prepareMeasureForLine(cm, line), ch, bias)
  }

  // Find a line view that corresponds to the given line number.
  function findViewForLine(cm, lineN) {
    if (lineN >= cm.display.viewFrom && lineN < cm.display.viewTo)
      { return cm.display.view[findViewIndex(cm, lineN)] }
    var ext = cm.display.externalMeasured;
    if (ext && lineN >= ext.lineN && lineN < ext.lineN + ext.size)
      { return ext }
  }

  // Measurement can be split in two steps, the set-up work that
  // applies to the whole line, and the measurement of the actual
  // character. Functions like coordsChar, that need to do a lot of
  // measurements in a row, can thus ensure that the set-up work is
  // only done once.
  function prepareMeasureForLine(cm, line) {
    var lineN = lineNo(line);
    var view = findViewForLine(cm, lineN);
    if (view && !view.text) {
      view = null;
    } else if (view && view.changes) {
      updateLineForChanges(cm, view, lineN, getDimensions(cm));
      cm.curOp.forceUpdate = true;
    }
    if (!view)
      { view = updateExternalMeasurement(cm, line); }

    var info = mapFromLineView(view, line, lineN);
    return {
      line: line, view: view, rect: null,
      map: info.map, cache: info.cache, before: info.before,
      hasHeights: false
    }
  }

  // Given a prepared measurement object, measures the position of an
  // actual character (or fetches it from the cache).
  function measureCharPrepared(cm, prepared, ch, bias, varHeight) {
    if (prepared.before) { ch = -1; }
    var key = ch + (bias || ""), found;
    if (prepared.cache.hasOwnProperty(key)) {
      found = prepared.cache[key];
    } else {
      if (!prepared.rect)
        { prepared.rect = prepared.view.text.getBoundingClientRect(); }
      if (!prepared.hasHeights) {
        ensureLineHeights(cm, prepared.view, prepared.rect);
        prepared.hasHeights = true;
      }
      found = measureCharInner(cm, prepared, ch, bias);
      if (!found.bogus) { prepared.cache[key] = found; }
    }
    return {left: found.left, right: found.right,
            top: varHeight ? found.rtop : found.top,
            bottom: varHeight ? found.rbottom : found.bottom}
  }

  var nullRect = {left: 0, right: 0, top: 0, bottom: 0};

  function nodeAndOffsetInLineMap(map, ch, bias) {
    var node, start, end, collapse, mStart, mEnd;
    // First, search the line map for the text node corresponding to,
    // or closest to, the target character.
    for (var i = 0; i < map.length; i += 3) {
      mStart = map[i];
      mEnd = map[i + 1];
      if (ch < mStart) {
        start = 0; end = 1;
        collapse = "left";
      } else if (ch < mEnd) {
        start = ch - mStart;
        end = start + 1;
      } else if (i == map.length - 3 || ch == mEnd && map[i + 3] > ch) {
        end = mEnd - mStart;
        start = end - 1;
        if (ch >= mEnd) { collapse = "right"; }
      }
      if (start != null) {
        node = map[i + 2];
        if (mStart == mEnd && bias == (node.insertLeft ? "left" : "right"))
          { collapse = bias; }
        if (bias == "left" && start == 0)
          { while (i && map[i - 2] == map[i - 3] && map[i - 1].insertLeft) {
            node = map[(i -= 3) + 2];
            collapse = "left";
          } }
        if (bias == "right" && start == mEnd - mStart)
          { while (i < map.length - 3 && map[i + 3] == map[i + 4] && !map[i + 5].insertLeft) {
            node = map[(i += 3) + 2];
            collapse = "right";
          } }
        break
      }
    }
    return {node: node, start: start, end: end, collapse: collapse, coverStart: mStart, coverEnd: mEnd}
  }

  function getUsefulRect(rects, bias) {
    var rect = nullRect;
    if (bias == "left") { for (var i = 0; i < rects.length; i++) {
      if ((rect = rects[i]).left != rect.right) { break }
    } } else { for (var i$1 = rects.length - 1; i$1 >= 0; i$1--) {
      if ((rect = rects[i$1]).left != rect.right) { break }
    } }
    return rect
  }

  function measureCharInner(cm, prepared, ch, bias) {
    var place = nodeAndOffsetInLineMap(prepared.map, ch, bias);
    var node = place.node, start = place.start, end = place.end, collapse = place.collapse;

    var rect;
    if (node.nodeType == 3) { // If it is a text node, use a range to retrieve the coordinates.
      for (var i$1 = 0; i$1 < 4; i$1++) { // Retry a maximum of 4 times when nonsense rectangles are returned
        while (start && isExtendingChar(prepared.line.text.charAt(place.coverStart + start))) { --start; }
        while (place.coverStart + end < place.coverEnd && isExtendingChar(prepared.line.text.charAt(place.coverStart + end))) { ++end; }
        if (ie && ie_version < 9 && start == 0 && end == place.coverEnd - place.coverStart)
          { rect = node.parentNode.getBoundingClientRect(); }
        else
          { rect = getUsefulRect(range(node, start, end).getClientRects(), bias); }
        if (rect.left || rect.right || start == 0) { break }
        end = start;
        start = start - 1;
        collapse = "right";
      }
      if (ie && ie_version < 11) { rect = maybeUpdateRectForZooming(cm.display.measure, rect); }
    } else { // If it is a widget, simply get the box for the whole widget.
      if (start > 0) { collapse = bias = "right"; }
      var rects;
      if (cm.options.lineWrapping && (rects = node.getClientRects()).length > 1)
        { rect = rects[bias == "right" ? rects.length - 1 : 0]; }
      else
        { rect = node.getBoundingClientRect(); }
    }
    if (ie && ie_version < 9 && !start && (!rect || !rect.left && !rect.right)) {
      var rSpan = node.parentNode.getClientRects()[0];
      if (rSpan)
        { rect = {left: rSpan.left, right: rSpan.left + charWidth(cm.display), top: rSpan.top, bottom: rSpan.bottom}; }
      else
        { rect = nullRect; }
    }

    var rtop = rect.top - prepared.rect.top, rbot = rect.bottom - prepared.rect.top;
    var mid = (rtop + rbot) / 2;
    var heights = prepared.view.measure.heights;
    var i = 0;
    for (; i < heights.length - 1; i++)
      { if (mid < heights[i]) { break } }
    var top = i ? heights[i - 1] : 0, bot = heights[i];
    var result = {left: (collapse == "right" ? rect.right : rect.left) - prepared.rect.left,
                  right: (collapse == "left" ? rect.left : rect.right) - prepared.rect.left,
                  top: top, bottom: bot};
    if (!rect.left && !rect.right) { result.bogus = true; }
    if (!cm.options.singleCursorHeightPerLine) { result.rtop = rtop; result.rbottom = rbot; }

    return result
  }

  // Work around problem with bounding client rects on ranges being
  // returned incorrectly when zoomed on IE10 and below.
  function maybeUpdateRectForZooming(measure, rect) {
    if (!window.screen || screen.logicalXDPI == null ||
        screen.logicalXDPI == screen.deviceXDPI || !hasBadZoomedRects(measure))
      { return rect }
    var scaleX = screen.logicalXDPI / screen.deviceXDPI;
    var scaleY = screen.logicalYDPI / screen.deviceYDPI;
    return {left: rect.left * scaleX, right: rect.right * scaleX,
            top: rect.top * scaleY, bottom: rect.bottom * scaleY}
  }

  function clearLineMeasurementCacheFor(lineView) {
    if (lineView.measure) {
      lineView.measure.cache = {};
      lineView.measure.heights = null;
      if (lineView.rest) { for (var i = 0; i < lineView.rest.length; i++)
        { lineView.measure.caches[i] = {}; } }
    }
  }

  function clearLineMeasurementCache(cm) {
    cm.display.externalMeasure = null;
    removeChildren(cm.display.lineMeasure);
    for (var i = 0; i < cm.display.view.length; i++)
      { clearLineMeasurementCacheFor(cm.display.view[i]); }
  }

  function clearCaches(cm) {
    clearLineMeasurementCache(cm);
    cm.display.cachedCharWidth = cm.display.cachedTextHeight = cm.display.cachedPaddingH = null;
    if (!cm.options.lineWrapping) { cm.display.maxLineChanged = true; }
    cm.display.lineNumChars = null;
  }

  function pageScrollX() {
    // Work around https://bugs.chromium.org/p/chromium/issues/detail?id=489206
    // which causes page_Offset and bounding client rects to use
    // different reference viewports and invalidate our calculations.
    if (chrome && android) { return -(document.body.getBoundingClientRect().left - parseInt(getComputedStyle(document.body).marginLeft)) }
    return window.pageXOffset || (document.documentElement || document.body).scrollLeft
  }
  function pageScrollY() {
    if (chrome && android) { return -(document.body.getBoundingClientRect().top - parseInt(getComputedStyle(document.body).marginTop)) }
    return window.pageYOffset || (document.documentElement || document.body).scrollTop
  }

  function widgetTopHeight(lineObj) {
    var height = 0;
    if (lineObj.widgets) { for (var i = 0; i < lineObj.widgets.length; ++i) { if (lineObj.widgets[i].above)
      { height += widgetHeight(lineObj.widgets[i]); } } }
    return height
  }

  // Converts a {top, bottom, left, right} box from line-local
  // coordinates into another coordinate system. Context may be one of
  // "line", "div" (display.lineDiv), "local"./null (editor), "window",
  // or "page".
  function intoCoordSystem(cm, lineObj, rect, context, includeWidgets) {
    if (!includeWidgets) {
      var height = widgetTopHeight(lineObj);
      rect.top += height; rect.bottom += height;
    }
    if (context == "line") { return rect }
    if (!context) { context = "local"; }
    var yOff = heightAtLine(lineObj);
    if (context == "local") { yOff += paddingTop(cm.display); }
    else { yOff -= cm.display.viewOffset; }
    if (context == "page" || context == "window") {
      var lOff = cm.display.lineSpace.getBoundingClientRect();
      yOff += lOff.top + (context == "window" ? 0 : pageScrollY());
      var xOff = lOff.left + (context == "window" ? 0 : pageScrollX());
      rect.left += xOff; rect.right += xOff;
    }
    rect.top += yOff; rect.bottom += yOff;
    return rect
  }

  // Coverts a box from "div" coords to another coordinate system.
  // Context may be "window", "page", "div", or "local"./null.
  function fromCoordSystem(cm, coords, context) {
    if (context == "div") { return coords }
    var left = coords.left, top = coords.top;
    // First move into "page" coordinate system
    if (context == "page") {
      left -= pageScrollX();
      top -= pageScrollY();
    } else if (context == "local" || !context) {
      var localBox = cm.display.sizer.getBoundingClientRect();
      left += localBox.left;
      top += localBox.top;
    }

    var lineSpaceBox = cm.display.lineSpace.getBoundingClientRect();
    return {left: left - lineSpaceBox.left, top: top - lineSpaceBox.top}
  }

  function charCoords(cm, pos, context, lineObj, bias) {
    if (!lineObj) { lineObj = getLine(cm.doc, pos.line); }
    return intoCoordSystem(cm, lineObj, measureChar(cm, lineObj, pos.ch, bias), context)
  }

  // Returns a box for a given cursor position, which may have an
  // 'other' property containing the position of the secondary cursor
  // on a bidi boundary.
  // A cursor Pos(line, char, "before") is on the same visual line as `char - 1`
  // and after `char - 1` in writing order of `char - 1`
  // A cursor Pos(line, char, "after") is on the same visual line as `char`
  // and before `char` in writing order of `char`
  // Examples (upper-case letters are RTL, lower-case are LTR):
  //     Pos(0, 1, ...)
  //     before   after
  // ab     a|b     a|b
  // aB     a|B     aB|
  // Ab     |Ab     A|b
  // AB     B|A     B|A
  // Every position after the last character on a line is considered to stick
  // to the last character on the line.
  function cursorCoords(cm, pos, context, lineObj, preparedMeasure, varHeight) {
    lineObj = lineObj || getLine(cm.doc, pos.line);
    if (!preparedMeasure) { preparedMeasure = prepareMeasureForLine(cm, lineObj); }
    function get(ch, right) {
      var m = measureCharPrepared(cm, preparedMeasure, ch, right ? "right" : "left", varHeight);
      if (right) { m.left = m.right; } else { m.right = m.left; }
      return intoCoordSystem(cm, lineObj, m, context)
    }
    var order = getOrder(lineObj, cm.doc.direction), ch = pos.ch, sticky = pos.sticky;
    if (ch >= lineObj.text.length) {
      ch = lineObj.text.length;
      sticky = "before";
    } else if (ch <= 0) {
      ch = 0;
      sticky = "after";
    }
    if (!order) { return get(sticky == "before" ? ch - 1 : ch, sticky == "before") }

    function getBidi(ch, partPos, invert) {
      var part = order[partPos], right = part.level == 1;
      return get(invert ? ch - 1 : ch, right != invert)
    }
    var partPos = getBidiPartAt(order, ch, sticky);
    var other = bidiOther;
    var val = getBidi(ch, partPos, sticky == "before");
    if (other != null) { val.other = getBidi(ch, other, sticky != "before"); }
    return val
  }

  // Used to cheaply estimate the coordinates for a position. Used for
  // intermediate scroll updates.
  function estimateCoords(cm, pos) {
    var left = 0;
    pos = clipPos(cm.doc, pos);
    if (!cm.options.lineWrapping) { left = charWidth(cm.display) * pos.ch; }
    var lineObj = getLine(cm.doc, pos.line);
    var top = heightAtLine(lineObj) + paddingTop(cm.display);
    return {left: left, right: left, top: top, bottom: top + lineObj.height}
  }

  // Positions returned by coordsChar contain some extra information.
  // xRel is the relative x position of the input coordinates compared
  // to the found position (so xRel > 0 means the coordinates are to
  // the right of the character position, for example). When outside
  // is true, that means the coordinates lie outside the line's
  // vertical range.
  function PosWithInfo(line, ch, sticky, outside, xRel) {
    var pos = Pos(line, ch, sticky);
    pos.xRel = xRel;
    if (outside) { pos.outside = outside; }
    return pos
  }

  // Compute the character position closest to the given coordinates.
  // Input must be lineSpace-local ("div" coordinate system).
  function coordsChar(cm, x, y) {
    var doc = cm.doc;
    y += cm.display.viewOffset;
    if (y < 0) { return PosWithInfo(doc.first, 0, null, -1, -1) }
    var lineN = lineAtHeight(doc, y), last = doc.first + doc.size - 1;
    if (lineN > last)
      { return PosWithInfo(doc.first + doc.size - 1, getLine(doc, last).text.length, null, 1, 1) }
    if (x < 0) { x = 0; }

    var lineObj = getLine(doc, lineN);
    for (;;) {
      var found = coordsCharInner(cm, lineObj, lineN, x, y);
      var collapsed = collapsedSpanAround(lineObj, found.ch + (found.xRel > 0 || found.outside > 0 ? 1 : 0));
      if (!collapsed) { return found }
      var rangeEnd = collapsed.find(1);
      if (rangeEnd.line == lineN) { return rangeEnd }
      lineObj = getLine(doc, lineN = rangeEnd.line);
    }
  }

  function wrappedLineExtent(cm, lineObj, preparedMeasure, y) {
    y -= widgetTopHeight(lineObj);
    var end = lineObj.text.length;
    var begin = findFirst(function (ch) { return measureCharPrepared(cm, preparedMeasure, ch - 1).bottom <= y; }, end, 0);
    end = findFirst(function (ch) { return measureCharPrepared(cm, preparedMeasure, ch).top > y; }, begin, end);
    return {begin: begin, end: end}
  }

  function wrappedLineExtentChar(cm, lineObj, preparedMeasure, target) {
    if (!preparedMeasure) { preparedMeasure = prepareMeasureForLine(cm, lineObj); }
    var targetTop = intoCoordSystem(cm, lineObj, measureCharPrepared(cm, preparedMeasure, target), "line").top;
    return wrappedLineExtent(cm, lineObj, preparedMeasure, targetTop)
  }

  // Returns true if the given side of a box is after the given
  // coordinates, in top-to-bottom, left-to-right order.
  function boxIsAfter(box, x, y, left) {
    return box.bottom <= y ? false : box.top > y ? true : (left ? box.left : box.right) > x
  }

  function coordsCharInner(cm, lineObj, lineNo, x, y) {
    // Move y into line-local coordinate space
    y -= heightAtLine(lineObj);
    var preparedMeasure = prepareMeasureForLine(cm, lineObj);
    // When directly calling `measureCharPrepared`, we have to adjust
    // for the widgets at this line.
    var widgetHeight = widgetTopHeight(lineObj);
    var begin = 0, end = lineObj.text.length, ltr = true;

    var order = getOrder(lineObj, cm.doc.direction);
    // If the line isn't plain left-to-right text, first figure out
    // which bidi section the coordinates fall into.
    if (order) {
      var part = (cm.options.lineWrapping ? coordsBidiPartWrapped : coordsBidiPart)
                   (cm, lineObj, lineNo, preparedMeasure, order, x, y);
      ltr = part.level != 1;
      // The awkward -1 offsets are needed because findFirst (called
      // on these below) will treat its first bound as inclusive,
      // second as exclusive, but we want to actually address the
      // characters in the part's range
      begin = ltr ? part.from : part.to - 1;
      end = ltr ? part.to : part.from - 1;
    }

    // A binary search to find the first character whose bounding box
    // starts after the coordinates. If we run across any whose box wrap
    // the coordinates, store that.
    var chAround = null, boxAround = null;
    var ch = findFirst(function (ch) {
      var box = measureCharPrepared(cm, preparedMeasure, ch);
      box.top += widgetHeight; box.bottom += widgetHeight;
      if (!boxIsAfter(box, x, y, false)) { return false }
      if (box.top <= y && box.left <= x) {
        chAround = ch;
        boxAround = box;
      }
      return true
    }, begin, end);

    var baseX, sticky, outside = false;
    // If a box around the coordinates was found, use that
    if (boxAround) {
      // Distinguish coordinates nearer to the left or right side of the box
      var atLeft = x - boxAround.left < boxAround.right - x, atStart = atLeft == ltr;
      ch = chAround + (atStart ? 0 : 1);
      sticky = atStart ? "after" : "before";
      baseX = atLeft ? boxAround.left : boxAround.right;
    } else {
      // (Adjust for extended bound, if necessary.)
      if (!ltr && (ch == end || ch == begin)) { ch++; }
      // To determine which side to associate with, get the box to the
      // left of the character and compare it's vertical position to the
      // coordinates
      sticky = ch == 0 ? "after" : ch == lineObj.text.length ? "before" :
        (measureCharPrepared(cm, preparedMeasure, ch - (ltr ? 1 : 0)).bottom + widgetHeight <= y) == ltr ?
        "after" : "before";
      // Now get accurate coordinates for this place, in order to get a
      // base X position
      var coords = cursorCoords(cm, Pos(lineNo, ch, sticky), "line", lineObj, preparedMeasure);
      baseX = coords.left;
      outside = y < coords.top ? -1 : y >= coords.bottom ? 1 : 0;
    }

    ch = skipExtendingChars(lineObj.text, ch, 1);
    return PosWithInfo(lineNo, ch, sticky, outside, x - baseX)
  }

  function coordsBidiPart(cm, lineObj, lineNo, preparedMeasure, order, x, y) {
    // Bidi parts are sorted left-to-right, and in a non-line-wrapping
    // situation, we can take this ordering to correspond to the visual
    // ordering. This finds the first part whose end is after the given
    // coordinates.
    var index = findFirst(function (i) {
      var part = order[i], ltr = part.level != 1;
      return boxIsAfter(cursorCoords(cm, Pos(lineNo, ltr ? part.to : part.from, ltr ? "before" : "after"),
                                     "line", lineObj, preparedMeasure), x, y, true)
    }, 0, order.length - 1);
    var part = order[index];
    // If this isn't the first part, the part's start is also after
    // the coordinates, and the coordinates aren't on the same line as
    // that start, move one part back.
    if (index > 0) {
      var ltr = part.level != 1;
      var start = cursorCoords(cm, Pos(lineNo, ltr ? part.from : part.to, ltr ? "after" : "before"),
                               "line", lineObj, preparedMeasure);
      if (boxIsAfter(start, x, y, true) && start.top > y)
        { part = order[index - 1]; }
    }
    return part
  }

  function coordsBidiPartWrapped(cm, lineObj, _lineNo, preparedMeasure, order, x, y) {
    // In a wrapped line, rtl text on wrapping boundaries can do things
    // that don't correspond to the ordering in our `order` array at
    // all, so a binary search doesn't work, and we want to return a
    // part that only spans one line so that the binary search in
    // coordsCharInner is safe. As such, we first find the extent of the
    // wrapped line, and then do a flat search in which we discard any
    // spans that aren't on the line.
    var ref = wrappedLineExtent(cm, lineObj, preparedMeasure, y);
    var begin = ref.begin;
    var end = ref.end;
    if (/\s/.test(lineObj.text.charAt(end - 1))) { end--; }
    var part = null, closestDist = null;
    for (var i = 0; i < order.length; i++) {
      var p = order[i];
      if (p.from >= end || p.to <= begin) { continue }
      var ltr = p.level != 1;
      var endX = measureCharPrepared(cm, preparedMeasure, ltr ? Math.min(end, p.to) - 1 : Math.max(begin, p.from)).right;
      // Weigh against spans ending before this, so that they are only
      // picked if nothing ends after
      var dist = endX < x ? x - endX + 1e9 : endX - x;
      if (!part || closestDist > dist) {
        part = p;
        closestDist = dist;
      }
    }
    if (!part) { part = order[order.length - 1]; }
    // Clip the part to the wrapped line.
    if (part.from < begin) { part = {from: begin, to: part.to, level: part.level}; }
    if (part.to > end) { part = {from: part.from, to: end, level: part.level}; }
    return part
  }

  var measureText;
  // Compute the default text height.
  function textHeight(display) {
    if (display.cachedTextHeight != null) { return display.cachedTextHeight }
    if (measureText == null) {
      measureText = elt("pre", null, "CodeMirror-line-like");
      // Measure a bunch of lines, for browsers that compute
      // fractional heights.
      for (var i = 0; i < 49; ++i) {
        measureText.appendChild(document.createTextNode("x"));
        measureText.appendChild(elt("br"));
      }
      measureText.appendChild(document.createTextNode("x"));
    }
    removeChildrenAndAdd(display.measure, measureText);
    var height = measureText.offsetHeight / 50;
    if (height > 3) { display.cachedTextHeight = height; }
    removeChildren(display.measure);
    return height || 1
  }

  // Compute the default character width.
  function charWidth(display) {
    if (display.cachedCharWidth != null) { return display.cachedCharWidth }
    var anchor = elt("span", "xxxxxxxxxx");
    var pre = elt("pre", [anchor], "CodeMirror-line-like");
    removeChildrenAndAdd(display.measure, pre);
    var rect = anchor.getBoundingClientRect(), width = (rect.right - rect.left) / 10;
    if (width > 2) { display.cachedCharWidth = width; }
    return width || 10
  }

  // Do a bulk-read of the DOM positions and sizes needed to draw the
  // view, so that we don't interleave reading and writing to the DOM.
  function getDimensions(cm) {
    var d = cm.display, left = {}, width = {};
    var gutterLeft = d.gutters.clientLeft;
    for (var n = d.gutters.firstChild, i = 0; n; n = n.nextSibling, ++i) {
      var id = cm.display.gutterSpecs[i].className;
      left[id] = n.offsetLeft + n.clientLeft + gutterLeft;
      width[id] = n.clientWidth;
    }
    return {fixedPos: compensateForHScroll(d),
            gutterTotalWidth: d.gutters.offsetWidth,
            gutterLeft: left,
            gutterWidth: width,
            wrapperWidth: d.wrapper.clientWidth}
  }

  // Computes display.scroller.scrollLeft + display.gutters.offsetWidth,
  // but using getBoundingClientRect to get a sub-pixel-accurate
  // result.
  function compensateForHScroll(display) {
    return display.scroller.getBoundingClientRect().left - display.sizer.getBoundingClientRect().left
  }

  // Returns a function that estimates the height of a line, to use as
  // first approximation until the line becomes visible (and is thus
  // properly measurable).
  function estimateHeight(cm) {
    var th = textHeight(cm.display), wrapping = cm.options.lineWrapping;
    var perLine = wrapping && Math.max(5, cm.display.scroller.clientWidth / charWidth(cm.display) - 3);
    return function (line) {
      if (lineIsHidden(cm.doc, line)) { return 0 }

      var widgetsHeight = 0;
      if (line.widgets) { for (var i = 0; i < line.widgets.length; i++) {
        if (line.widgets[i].height) { widgetsHeight += line.widgets[i].height; }
      } }

      if (wrapping)
        { return widgetsHeight + (Math.ceil(line.text.length / perLine) || 1) * th }
      else
        { return widgetsHeight + th }
    }
  }

  function estimateLineHeights(cm) {
    var doc = cm.doc, est = estimateHeight(cm);
    doc.iter(function (line) {
      var estHeight = est(line);
      if (estHeight != line.height) { updateLineHeight(line, estHeight); }
    });
  }

  // Given a mouse event, find the corresponding position. If liberal
  // is false, it checks whether a gutter or scrollbar was clicked,
  // and returns null if it was. forRect is used by rectangular
  // selections, and tries to estimate a character position even for
  // coordinates beyond the right of the text.
  function posFromMouse(cm, e, liberal, forRect) {
    var display = cm.display;
    if (!liberal && e_target(e).getAttribute("cm-not-content") == "true") { return null }

    var x, y, space = display.lineSpace.getBoundingClientRect();
    // Fails unpredictably on IE[67] when mouse is dragged around quickly.
    try { x = e.clientX - space.left; y = e.clientY - space.top; }
    catch (e$1) { return null }
    var coords = coordsChar(cm, x, y), line;
    if (forRect && coords.xRel > 0 && (line = getLine(cm.doc, coords.line).text).length == coords.ch) {
      var colDiff = countColumn(line, line.length, cm.options.tabSize) - line.length;
      coords = Pos(coords.line, Math.max(0, Math.round((x - paddingH(cm.display).left) / charWidth(cm.display)) - colDiff));
    }
    return coords
  }

  // Find the view element corresponding to a given line. Return null
  // when the line isn't visible.
  function findViewIndex(cm, n) {
    if (n >= cm.display.viewTo) { return null }
    n -= cm.display.viewFrom;
    if (n < 0) { return null }
    var view = cm.display.view;
    for (var i = 0; i < view.length; i++) {
      n -= view[i].size;
      if (n < 0) { return i }
    }
  }

  // Updates the display.view data structure for a given change to the
  // document. From and to are in pre-change coordinates. Lendiff is
  // the amount of lines added or subtracted by the change. This is
  // used for changes that span multiple lines, or change the way
  // lines are divided into visual lines. regLineChange (below)
  // registers single-line changes.
  function regChange(cm, from, to, lendiff) {
    if (from == null) { from = cm.doc.first; }
    if (to == null) { to = cm.doc.first + cm.doc.size; }
    if (!lendiff) { lendiff = 0; }

    var display = cm.display;
    if (lendiff && to < display.viewTo &&
        (display.updateLineNumbers == null || display.updateLineNumbers > from))
      { display.updateLineNumbers = from; }

    cm.curOp.viewChanged = true;

    if (from >= display.viewTo) { // Change after
      if (sawCollapsedSpans && visualLineNo(cm.doc, from) < display.viewTo)
        { resetView(cm); }
    } else if (to <= display.viewFrom) { // Change before
      if (sawCollapsedSpans && visualLineEndNo(cm.doc, to + lendiff) > display.viewFrom) {
        resetView(cm);
      } else {
        display.viewFrom += lendiff;
        display.viewTo += lendiff;
      }
    } else if (from <= display.viewFrom && to >= display.viewTo) { // Full overlap
      resetView(cm);
    } else if (from <= display.viewFrom) { // Top overlap
      var cut = viewCuttingPoint(cm, to, to + lendiff, 1);
      if (cut) {
        display.view = display.view.slice(cut.index);
        display.viewFrom = cut.lineN;
        display.viewTo += lendiff;
      } else {
        resetView(cm);
      }
    } else if (to >= display.viewTo) { // Bottom overlap
      var cut$1 = viewCuttingPoint(cm, from, from, -1);
      if (cut$1) {
        display.view = display.view.slice(0, cut$1.index);
        display.viewTo = cut$1.lineN;
      } else {
        resetView(cm);
      }
    } else { // Gap in the middle
      var cutTop = viewCuttingPoint(cm, from, from, -1);
      var cutBot = viewCuttingPoint(cm, to, to + lendiff, 1);
      if (cutTop && cutBot) {
        display.view = display.view.slice(0, cutTop.index)
          .concat(buildViewArray(cm, cutTop.lineN, cutBot.lineN))
          .concat(display.view.slice(cutBot.index));
        display.viewTo += lendiff;
      } else {
        resetView(cm);
      }
    }

    var ext = display.externalMeasured;
    if (ext) {
      if (to < ext.lineN)
        { ext.lineN += lendiff; }
      else if (from < ext.lineN + ext.size)
        { display.externalMeasured = null; }
    }
  }

  // Register a change to a single line. Type must be one of "text",
  // "gutter", "class", "widget"
  function regLineChange(cm, line, type) {
    cm.curOp.viewChanged = true;
    var display = cm.display, ext = cm.display.externalMeasured;
    if (ext && line >= ext.lineN && line < ext.lineN + ext.size)
      { display.externalMeasured = null; }

    if (line < display.viewFrom || line >= display.viewTo) { return }
    var lineView = display.view[findViewIndex(cm, line)];
    if (lineView.node == null) { return }
    var arr = lineView.changes || (lineView.changes = []);
    if (indexOf(arr, type) == -1) { arr.push(type); }
  }

  // Clear the view.
  function resetView(cm) {
    cm.display.viewFrom = cm.display.viewTo = cm.doc.first;
    cm.display.view = [];
    cm.display.viewOffset = 0;
  }

  function viewCuttingPoint(cm, oldN, newN, dir) {
    var index = findViewIndex(cm, oldN), diff, view = cm.display.view;
    if (!sawCollapsedSpans || newN == cm.doc.first + cm.doc.size)
      { return {index: index, lineN: newN} }
    var n = cm.display.viewFrom;
    for (var i = 0; i < index; i++)
      { n += view[i].size; }
    if (n != oldN) {
      if (dir > 0) {
        if (index == view.length - 1) { return null }
        diff = (n + view[index].size) - oldN;
        index++;
      } else {
        diff = n - oldN;
      }
      oldN += diff; newN += diff;
    }
    while (visualLineNo(cm.doc, newN) != newN) {
      if (index == (dir < 0 ? 0 : view.length - 1)) { return null }
      newN += dir * view[index - (dir < 0 ? 1 : 0)].size;
      index += dir;
    }
    return {index: index, lineN: newN}
  }

  // Force the view to cover a given range, adding empty view element
  // or clipping off existing ones as needed.
  function adjustView(cm, from, to) {
    var display = cm.display, view = display.view;
    if (view.length == 0 || from >= display.viewTo || to <= display.viewFrom) {
      display.view = buildViewArray(cm, from, to);
      display.viewFrom = from;
    } else {
      if (display.viewFrom > from)
        { display.view = buildViewArray(cm, from, display.viewFrom).concat(display.view); }
      else if (display.viewFrom < from)
        { display.view = display.view.slice(findViewIndex(cm, from)); }
      display.viewFrom = from;
      if (display.viewTo < to)
        { display.view = display.view.concat(buildViewArray(cm, display.viewTo, to)); }
      else if (display.viewTo > to)
        { display.view = display.view.slice(0, findViewIndex(cm, to)); }
    }
    display.viewTo = to;
  }

  // Count the number of lines in the view whose DOM representation is
  // out of date (or nonexistent).
  function countDirtyView(cm) {
    var view = cm.display.view, dirty = 0;
    for (var i = 0; i < view.length; i++) {
      var lineView = view[i];
      if (!lineView.hidden && (!lineView.node || lineView.changes)) { ++dirty; }
    }
    return dirty
  }

  function updateSelection(cm) {
    cm.display.input.showSelection(cm.display.input.prepareSelection());
  }

  function prepareSelection(cm, primary) {
    if ( primary === void 0 ) primary = true;

    var doc = cm.doc, result = {};
    var curFragment = result.cursors = document.createDocumentFragment();
    var selFragment = result.selection = document.createDocumentFragment();

    for (var i = 0; i < doc.sel.ranges.length; i++) {
      if (!primary && i == doc.sel.primIndex) { continue }
      var range = doc.sel.ranges[i];
      if (range.from().line >= cm.display.viewTo || range.to().line < cm.display.viewFrom) { continue }
      var collapsed = range.empty();
      if (collapsed || cm.options.showCursorWhenSelecting)
        { drawSelectionCursor(cm, range.head, curFragment); }
      if (!collapsed)
        { drawSelectionRange(cm, range, selFragment); }
    }
    return result
  }

  // Draws a cursor for the given range
  function drawSelectionCursor(cm, head, output) {
    var pos = cursorCoords(cm, head, "div", null, null, !cm.options.singleCursorHeightPerLine);

    var cursor = output.appendChild(elt("div", "\u00a0", "CodeMirror-cursor"));
    cursor.style.left = pos.left + "px";
    cursor.style.top = pos.top + "px";
    cursor.style.height = Math.max(0, pos.bottom - pos.top) * cm.options.cursorHeight + "px";

    if (pos.other) {
      // Secondary cursor, shown when on a 'jump' in bi-directional text
      var otherCursor = output.appendChild(elt("div", "\u00a0", "CodeMirror-cursor CodeMirror-secondarycursor"));
      otherCursor.style.display = "";
      otherCursor.style.left = pos.other.left + "px";
      otherCursor.style.top = pos.other.top + "px";
      otherCursor.style.height = (pos.other.bottom - pos.other.top) * .85 + "px";
    }
  }

  function cmpCoords(a, b) { return a.top - b.top || a.left - b.left }

  // Draws the given range as a highlighted selection
  function drawSelectionRange(cm, range, output) {
    var display = cm.display, doc = cm.doc;
    var fragment = document.createDocumentFragment();
    var padding = paddingH(cm.display), leftSide = padding.left;
    var rightSide = Math.max(display.sizerWidth, displayWidth(cm) - display.sizer.offsetLeft) - padding.right;
    var docLTR = doc.direction == "ltr";

    function add(left, top, width, bottom) {
      if (top < 0) { top = 0; }
      top = Math.round(top);
      bottom = Math.round(bottom);
      fragment.appendChild(elt("div", null, "CodeMirror-selected", ("position: absolute; left: " + left + "px;\n                             top: " + top + "px; width: " + (width == null ? rightSide - left : width) + "px;\n                             height: " + (bottom - top) + "px")));
    }

    function drawForLine(line, fromArg, toArg) {
      var lineObj = getLine(doc, line);
      var lineLen = lineObj.text.length;
      var start, end;
      function coords(ch, bias) {
        return charCoords(cm, Pos(line, ch), "div", lineObj, bias)
      }

      function wrapX(pos, dir, side) {
        var extent = wrappedLineExtentChar(cm, lineObj, null, pos);
        var prop = (dir == "ltr") == (side == "after") ? "left" : "right";
        var ch = side == "after" ? extent.begin : extent.end - (/\s/.test(lineObj.text.charAt(extent.end - 1)) ? 2 : 1);
        return coords(ch, prop)[prop]
      }

      var order = getOrder(lineObj, doc.direction);
      iterateBidiSections(order, fromArg || 0, toArg == null ? lineLen : toArg, function (from, to, dir, i) {
        var ltr = dir == "ltr";
        var fromPos = coords(from, ltr ? "left" : "right");
        var toPos = coords(to - 1, ltr ? "right" : "left");

        var openStart = fromArg == null && from == 0, openEnd = toArg == null && to == lineLen;
        var first = i == 0, last = !order || i == order.length - 1;
        if (toPos.top - fromPos.top <= 3) { // Single line
          var openLeft = (docLTR ? openStart : openEnd) && first;
          var openRight = (docLTR ? openEnd : openStart) && last;
          var left = openLeft ? leftSide : (ltr ? fromPos : toPos).left;
          var right = openRight ? rightSide : (ltr ? toPos : fromPos).right;
          add(left, fromPos.top, right - left, fromPos.bottom);
        } else { // Multiple lines
          var topLeft, topRight, botLeft, botRight;
          if (ltr) {
            topLeft = docLTR && openStart && first ? leftSide : fromPos.left;
            topRight = docLTR ? rightSide : wrapX(from, dir, "before");
            botLeft = docLTR ? leftSide : wrapX(to, dir, "after");
            botRight = docLTR && openEnd && last ? rightSide : toPos.right;
          } else {
            topLeft = !docLTR ? leftSide : wrapX(from, dir, "before");
            topRight = !docLTR && openStart && first ? rightSide : fromPos.right;
            botLeft = !docLTR && openEnd && last ? leftSide : toPos.left;
            botRight = !docLTR ? rightSide : wrapX(to, dir, "after");
          }
          add(topLeft, fromPos.top, topRight - topLeft, fromPos.bottom);
          if (fromPos.bottom < toPos.top) { add(leftSide, fromPos.bottom, null, toPos.top); }
          add(botLeft, toPos.top, botRight - botLeft, toPos.bottom);
        }

        if (!start || cmpCoords(fromPos, start) < 0) { start = fromPos; }
        if (cmpCoords(toPos, start) < 0) { start = toPos; }
        if (!end || cmpCoords(fromPos, end) < 0) { end = fromPos; }
        if (cmpCoords(toPos, end) < 0) { end = toPos; }
      });
      return {start: start, end: end}
    }

    var sFrom = range.from(), sTo = range.to();
    if (sFrom.line == sTo.line) {
      drawForLine(sFrom.line, sFrom.ch, sTo.ch);
    } else {
      var fromLine = getLine(doc, sFrom.line), toLine = getLine(doc, sTo.line);
      var singleVLine = visualLine(fromLine) == visualLine(toLine);
      var leftEnd = drawForLine(sFrom.line, sFrom.ch, singleVLine ? fromLine.text.length + 1 : null).end;
      var rightStart = drawForLine(sTo.line, singleVLine ? 0 : null, sTo.ch).start;
      if (singleVLine) {
        if (leftEnd.top < rightStart.top - 2) {
          add(leftEnd.right, leftEnd.top, null, leftEnd.bottom);
          add(leftSide, rightStart.top, rightStart.left, rightStart.bottom);
        } else {
          add(leftEnd.right, leftEnd.top, rightStart.left - leftEnd.right, leftEnd.bottom);
        }
      }
      if (leftEnd.bottom < rightStart.top)
        { add(leftSide, leftEnd.bottom, null, rightStart.top); }
    }

    output.appendChild(fragment);
  }

  // Cursor-blinking
  function restartBlink(cm) {
    if (!cm.state.focused) { return }
    var display = cm.display;
    clearInterval(display.blinker);
    var on = true;
    display.cursorDiv.style.visibility = "";
    if (cm.options.cursorBlinkRate > 0)
      { display.blinker = setInterval(function () {
        if (!cm.hasFocus()) { onBlur(cm); }
        display.cursorDiv.style.visibility = (on = !on) ? "" : "hidden";
      }, cm.options.cursorBlinkRate); }
    else if (cm.options.cursorBlinkRate < 0)
      { display.cursorDiv.style.visibility = "hidden"; }
  }

  function ensureFocus(cm) {
    if (!cm.hasFocus()) {
      cm.display.input.focus();
      if (!cm.state.focused) { onFocus(cm); }
    }
  }

  function delayBlurEvent(cm) {
    cm.state.delayingBlurEvent = true;
    setTimeout(function () { if (cm.state.delayingBlurEvent) {
      cm.state.delayingBlurEvent = false;
      if (cm.state.focused) { onBlur(cm); }
    } }, 100);
  }

  function onFocus(cm, e) {
    if (cm.state.delayingBlurEvent && !cm.state.draggingText) { cm.state.delayingBlurEvent = false; }

    if (cm.options.readOnly == "nocursor") { return }
    if (!cm.state.focused) {
      signal(cm, "focus", cm, e);
      cm.state.focused = true;
      addClass(cm.display.wrapper, "CodeMirror-focused");
      // This test prevents this from firing when a context
      // menu is closed (since the input reset would kill the
      // select-all detection hack)
      if (!cm.curOp && cm.display.selForContextMenu != cm.doc.sel) {
        cm.display.input.reset();
        if (webkit) { setTimeout(function () { return cm.display.input.reset(true); }, 20); } // Issue #1730
      }
      cm.display.input.receivedFocus();
    }
    restartBlink(cm);
  }
  function onBlur(cm, e) {
    if (cm.state.delayingBlurEvent) { return }

    if (cm.state.focused) {
      signal(cm, "blur", cm, e);
      cm.state.focused = false;
      rmClass(cm.display.wrapper, "CodeMirror-focused");
    }
    clearInterval(cm.display.blinker);
    setTimeout(function () { if (!cm.state.focused) { cm.display.shift = false; } }, 150);
  }

  // Read the actual heights of the rendered lines, and update their
  // stored heights to match.
  function updateHeightsInViewport(cm) {
    var display = cm.display;
    var prevBottom = display.lineDiv.offsetTop;
    for (var i = 0; i < display.view.length; i++) {
      var cur = display.view[i], wrapping = cm.options.lineWrapping;
      var height = (void 0), width = 0;
      if (cur.hidden) { continue }
      if (ie && ie_version < 8) {
        var bot = cur.node.offsetTop + cur.node.offsetHeight;
        height = bot - prevBottom;
        prevBottom = bot;
      } else {
        var box = cur.node.getBoundingClientRect();
        height = box.bottom - box.top;
        // Check that lines don't extend past the right of the current
        // editor width
        if (!wrapping && cur.text.firstChild)
          { width = cur.text.firstChild.getBoundingClientRect().right - box.left - 1; }
      }
      var diff = cur.line.height - height;
      if (diff > .005 || diff < -.005) {
        updateLineHeight(cur.line, height);
        updateWidgetHeight(cur.line);
        if (cur.rest) { for (var j = 0; j < cur.rest.length; j++)
          { updateWidgetHeight(cur.rest[j]); } }
      }
      if (width > cm.display.sizerWidth) {
        var chWidth = Math.ceil(width / charWidth(cm.display));
        if (chWidth > cm.display.maxLineLength) {
          cm.display.maxLineLength = chWidth;
          cm.display.maxLine = cur.line;
          cm.display.maxLineChanged = true;
        }
      }
    }
  }

  // Read and store the height of line widgets associated with the
  // given line.
  function updateWidgetHeight(line) {
    if (line.widgets) { for (var i = 0; i < line.widgets.length; ++i) {
      var w = line.widgets[i], parent = w.node.parentNode;
      if (parent) { w.height = parent.offsetHeight; }
    } }
  }

  // Compute the lines that are visible in a given viewport (defaults
  // the the current scroll position). viewport may contain top,
  // height, and ensure (see op.scrollToPos) properties.
  function visibleLines(display, doc, viewport) {
    var top = viewport && viewport.top != null ? Math.max(0, viewport.top) : display.scroller.scrollTop;
    top = Math.floor(top - paddingTop(display));
    var bottom = viewport && viewport.bottom != null ? viewport.bottom : top + display.wrapper.clientHeight;

    var from = lineAtHeight(doc, top), to = lineAtHeight(doc, bottom);
    // Ensure is a {from: {line, ch}, to: {line, ch}} object, and
    // forces those lines into the viewport (if possible).
    if (viewport && viewport.ensure) {
      var ensureFrom = viewport.ensure.from.line, ensureTo = viewport.ensure.to.line;
      if (ensureFrom < from) {
        from = ensureFrom;
        to = lineAtHeight(doc, heightAtLine(getLine(doc, ensureFrom)) + display.wrapper.clientHeight);
      } else if (Math.min(ensureTo, doc.lastLine()) >= to) {
        from = lineAtHeight(doc, heightAtLine(getLine(doc, ensureTo)) - display.wrapper.clientHeight);
        to = ensureTo;
      }
    }
    return {from: from, to: Math.max(to, from + 1)}
  }

  // SCROLLING THINGS INTO VIEW

  // If an editor sits on the top or bottom of the window, partially
  // scrolled out of view, this ensures that the cursor is visible.
  function maybeScrollWindow(cm, rect) {
    if (signalDOMEvent(cm, "scrollCursorIntoView")) { return }

    var display = cm.display, box = display.sizer.getBoundingClientRect(), doScroll = null;
    if (rect.top + box.top < 0) { doScroll = true; }
    else if (rect.bottom + box.top > (window.innerHeight || document.documentElement.clientHeight)) { doScroll = false; }
    if (doScroll != null && !phantom) {
      var scrollNode = elt("div", "\u200b", null, ("position: absolute;\n                         top: " + (rect.top - display.viewOffset - paddingTop(cm.display)) + "px;\n                         height: " + (rect.bottom - rect.top + scrollGap(cm) + display.barHeight) + "px;\n                         left: " + (rect.left) + "px; width: " + (Math.max(2, rect.right - rect.left)) + "px;"));
      cm.display.lineSpace.appendChild(scrollNode);
      scrollNode.scrollIntoView(doScroll);
      cm.display.lineSpace.removeChild(scrollNode);
    }
  }

  // Scroll a given position into view (immediately), verifying that
  // it actually became visible (as line heights are accurately
  // measured, the position of something may 'drift' during drawing).
  function scrollPosIntoView(cm, pos, end, margin) {
    if (margin == null) { margin = 0; }
    var rect;
    if (!cm.options.lineWrapping && pos == end) {
      // Set pos and end to the cursor positions around the character pos sticks to
      // If pos.sticky == "before", that is around pos.ch - 1, otherwise around pos.ch
      // If pos == Pos(_, 0, "before"), pos and end are unchanged
      pos = pos.ch ? Pos(pos.line, pos.sticky == "before" ? pos.ch - 1 : pos.ch, "after") : pos;
      end = pos.sticky == "before" ? Pos(pos.line, pos.ch + 1, "before") : pos;
    }
    for (var limit = 0; limit < 5; limit++) {
      var changed = false;
      var coords = cursorCoords(cm, pos);
      var endCoords = !end || end == pos ? coords : cursorCoords(cm, end);
      rect = {left: Math.min(coords.left, endCoords.left),
              top: Math.min(coords.top, endCoords.top) - margin,
              right: Math.max(coords.left, endCoords.left),
              bottom: Math.max(coords.bottom, endCoords.bottom) + margin};
      var scrollPos = calculateScrollPos(cm, rect);
      var startTop = cm.doc.scrollTop, startLeft = cm.doc.scrollLeft;
      if (scrollPos.scrollTop != null) {
        updateScrollTop(cm, scrollPos.scrollTop);
        if (Math.abs(cm.doc.scrollTop - startTop) > 1) { changed = true; }
      }
      if (scrollPos.scrollLeft != null) {
        setScrollLeft(cm, scrollPos.scrollLeft);
        if (Math.abs(cm.doc.scrollLeft - startLeft) > 1) { changed = true; }
      }
      if (!changed) { break }
    }
    return rect
  }

  // Scroll a given set of coordinates into view (immediately).
  function scrollIntoView(cm, rect) {
    var scrollPos = calculateScrollPos(cm, rect);
    if (scrollPos.scrollTop != null) { updateScrollTop(cm, scrollPos.scrollTop); }
    if (scrollPos.scrollLeft != null) { setScrollLeft(cm, scrollPos.scrollLeft); }
  }

  // Calculate a new scroll position needed to scroll the given
  // rectangle into view. Returns an object with scrollTop and
  // scrollLeft properties. When these are undefined, the
  // vertical/horizontal position does not need to be adjusted.
  function calculateScrollPos(cm, rect) {
    var display = cm.display, snapMargin = textHeight(cm.display);
    if (rect.top < 0) { rect.top = 0; }
    var screentop = cm.curOp && cm.curOp.scrollTop != null ? cm.curOp.scrollTop : display.scroller.scrollTop;
    var screen = displayHeight(cm), result = {};
    if (rect.bottom - rect.top > screen) { rect.bottom = rect.top + screen; }
    var docBottom = cm.doc.height + paddingVert(display);
    var atTop = rect.top < snapMargin, atBottom = rect.bottom > docBottom - snapMargin;
    if (rect.top < screentop) {
      result.scrollTop = atTop ? 0 : rect.top;
    } else if (rect.bottom > screentop + screen) {
      var newTop = Math.min(rect.top, (atBottom ? docBottom : rect.bottom) - screen);
      if (newTop != screentop) { result.scrollTop = newTop; }
    }

    var gutterSpace = cm.options.fixedGutter ? 0 : display.gutters.offsetWidth;
    var screenleft = cm.curOp && cm.curOp.scrollLeft != null ? cm.curOp.scrollLeft : display.scroller.scrollLeft - gutterSpace;
    var screenw = displayWidth(cm) - display.gutters.offsetWidth;
    var tooWide = rect.right - rect.left > screenw;
    if (tooWide) { rect.right = rect.left + screenw; }
    if (rect.left < 10)
      { result.scrollLeft = 0; }
    else if (rect.left < screenleft)
      { result.scrollLeft = Math.max(0, rect.left + gutterSpace - (tooWide ? 0 : 10)); }
    else if (rect.right > screenw + screenleft - 3)
      { result.scrollLeft = rect.right + (tooWide ? 0 : 10) - screenw; }
    return result
  }

  // Store a relative adjustment to the scroll position in the current
  // operation (to be applied when the operation finishes).
  function addToScrollTop(cm, top) {
    if (top == null) { return }
    resolveScrollToPos(cm);
    cm.curOp.scrollTop = (cm.curOp.scrollTop == null ? cm.doc.scrollTop : cm.curOp.scrollTop) + top;
  }

  // Make sure that at the end of the operation the current cursor is
  // shown.
  function ensureCursorVisible(cm) {
    resolveScrollToPos(cm);
    var cur = cm.getCursor();
    cm.curOp.scrollToPos = {from: cur, to: cur, margin: cm.options.cursorScrollMargin};
  }

  function scrollToCoords(cm, x, y) {
    if (x != null || y != null) { resolveScrollToPos(cm); }
    if (x != null) { cm.curOp.scrollLeft = x; }
    if (y != null) { cm.curOp.scrollTop = y; }
  }

  function scrollToRange(cm, range) {
    resolveScrollToPos(cm);
    cm.curOp.scrollToPos = range;
  }

  // When an operation has its scrollToPos property set, and another
  // scroll action is applied before the end of the operation, this
  // 'simulates' scrolling that position into view in a cheap way, so
  // that the effect of intermediate scroll commands is not ignored.
  function resolveScrollToPos(cm) {
    var range = cm.curOp.scrollToPos;
    if (range) {
      cm.curOp.scrollToPos = null;
      var from = estimateCoords(cm, range.from), to = estimateCoords(cm, range.to);
      scrollToCoordsRange(cm, from, to, range.margin);
    }
  }

  function scrollToCoordsRange(cm, from, to, margin) {
    var sPos = calculateScrollPos(cm, {
      left: Math.min(from.left, to.left),
      top: Math.min(from.top, to.top) - margin,
      right: Math.max(from.right, to.right),
      bottom: Math.max(from.bottom, to.bottom) + margin
    });
    scrollToCoords(cm, sPos.scrollLeft, sPos.scrollTop);
  }

  // Sync the scrollable area and scrollbars, ensure the viewport
  // covers the visible area.
  function updateScrollTop(cm, val) {
    if (Math.abs(cm.doc.scrollTop - val) < 2) { return }
    if (!gecko) { updateDisplaySimple(cm, {top: val}); }
    setScrollTop(cm, val, true);
    if (gecko) { updateDisplaySimple(cm); }
    startWorker(cm, 100);
  }

  function setScrollTop(cm, val, forceScroll) {
    val = Math.max(0, Math.min(cm.display.scroller.scrollHeight - cm.display.scroller.clientHeight, val));
    if (cm.display.scroller.scrollTop == val && !forceScroll) { return }
    cm.doc.scrollTop = val;
    cm.display.scrollbars.setScrollTop(val);
    if (cm.display.scroller.scrollTop != val) { cm.display.scroller.scrollTop = val; }
  }

  // Sync scroller and scrollbar, ensure the gutter elements are
  // aligned.
  function setScrollLeft(cm, val, isScroller, forceScroll) {
    val = Math.max(0, Math.min(val, cm.display.scroller.scrollWidth - cm.display.scroller.clientWidth));
    if ((isScroller ? val == cm.doc.scrollLeft : Math.abs(cm.doc.scrollLeft - val) < 2) && !forceScroll) { return }
    cm.doc.scrollLeft = val;
    alignHorizontally(cm);
    if (cm.display.scroller.scrollLeft != val) { cm.display.scroller.scrollLeft = val; }
    cm.display.scrollbars.setScrollLeft(val);
  }

  // SCROLLBARS

  // Prepare DOM reads needed to update the scrollbars. Done in one
  // shot to minimize update/measure roundtrips.
  function measureForScrollbars(cm) {
    var d = cm.display, gutterW = d.gutters.offsetWidth;
    var docH = Math.round(cm.doc.height + paddingVert(cm.display));
    return {
      clientHeight: d.scroller.clientHeight,
      viewHeight: d.wrapper.clientHeight,
      scrollWidth: d.scroller.scrollWidth, clientWidth: d.scroller.clientWidth,
      viewWidth: d.wrapper.clientWidth,
      barLeft: cm.options.fixedGutter ? gutterW : 0,
      docHeight: docH,
      scrollHeight: docH + scrollGap(cm) + d.barHeight,
      nativeBarWidth: d.nativeBarWidth,
      gutterWidth: gutterW
    }
  }

  var NativeScrollbars = function(place, scroll, cm) {
    this.cm = cm;
    var vert = this.vert = elt("div", [elt("div", null, null, "min-width: 1px")], "CodeMirror-vscrollbar");
    var horiz = this.horiz = elt("div", [elt("div", null, null, "height: 100%; min-height: 1px")], "CodeMirror-hscrollbar");
    vert.tabIndex = horiz.tabIndex = -1;
    place(vert); place(horiz);

    on(vert, "scroll", function () {
      if (vert.clientHeight) { scroll(vert.scrollTop, "vertical"); }
    });
    on(horiz, "scroll", function () {
      if (horiz.clientWidth) { scroll(horiz.scrollLeft, "horizontal"); }
    });

    this.checkedZeroWidth = false;
    // Need to set a minimum width to see the scrollbar on IE7 (but must not set it on IE8).
    if (ie && ie_version < 8) { this.horiz.style.minHeight = this.vert.style.minWidth = "18px"; }
  };

  NativeScrollbars.prototype.update = function (measure) {
    var needsH = measure.scrollWidth > measure.clientWidth + 1;
    var needsV = measure.scrollHeight > measure.clientHeight + 1;
    var sWidth = measure.nativeBarWidth;

    if (needsV) {
      this.vert.style.display = "block";
      this.vert.style.bottom = needsH ? sWidth + "px" : "0";
      var totalHeight = measure.viewHeight - (needsH ? sWidth : 0);
      // A bug in IE8 can cause this value to be negative, so guard it.
      this.vert.firstChild.style.height =
        Math.max(0, measure.scrollHeight - measure.clientHeight + totalHeight) + "px";
    } else {
      this.vert.style.display = "";
      this.vert.firstChild.style.height = "0";
    }

    if (needsH) {
      this.horiz.style.display = "block";
      this.horiz.style.right = needsV ? sWidth + "px" : "0";
      this.horiz.style.left = measure.barLeft + "px";
      var totalWidth = measure.viewWidth - measure.barLeft - (needsV ? sWidth : 0);
      this.horiz.firstChild.style.width =
        Math.max(0, measure.scrollWidth - measure.clientWidth + totalWidth) + "px";
    } else {
      this.horiz.style.display = "";
      this.horiz.firstChild.style.width = "0";
    }

    if (!this.checkedZeroWidth && measure.clientHeight > 0) {
      if (sWidth == 0) { this.zeroWidthHack(); }
      this.checkedZeroWidth = true;
    }

    return {right: needsV ? sWidth : 0, bottom: needsH ? sWidth : 0}
  };

  NativeScrollbars.prototype.setScrollLeft = function (pos) {
    if (this.horiz.scrollLeft != pos) { this.horiz.scrollLeft = pos; }
    if (this.disableHoriz) { this.enableZeroWidthBar(this.horiz, this.disableHoriz, "horiz"); }
  };

  NativeScrollbars.prototype.setScrollTop = function (pos) {
    if (this.vert.scrollTop != pos) { this.vert.scrollTop = pos; }
    if (this.disableVert) { this.enableZeroWidthBar(this.vert, this.disableVert, "vert"); }
  };

  NativeScrollbars.prototype.zeroWidthHack = function () {
    var w = mac && !mac_geMountainLion ? "12px" : "18px";
    this.horiz.style.height = this.vert.style.width = w;
    this.horiz.style.pointerEvents = this.vert.style.pointerEvents = "none";
    this.disableHoriz = new Delayed;
    this.disableVert = new Delayed;
  };

  NativeScrollbars.prototype.enableZeroWidthBar = function (bar, delay, type) {
    bar.style.pointerEvents = "auto";
    function maybeDisable() {
      // To find out whether the scrollbar is still visible, we
      // check whether the element under the pixel in the bottom
      // right corner of the scrollbar box is the scrollbar box
      // itself (when the bar is still visible) or its filler child
      // (when the bar is hidden). If it is still visible, we keep
      // it enabled, if it's hidden, we disable pointer events.
      var box = bar.getBoundingClientRect();
      var elt = type == "vert" ? document.elementFromPoint(box.right - 1, (box.top + box.bottom) / 2)
          : document.elementFromPoint((box.right + box.left) / 2, box.bottom - 1);
      if (elt != bar) { bar.style.pointerEvents = "none"; }
      else { delay.set(1000, maybeDisable); }
    }
    delay.set(1000, maybeDisable);
  };

  NativeScrollbars.prototype.clear = function () {
    var parent = this.horiz.parentNode;
    parent.removeChild(this.horiz);
    parent.removeChild(this.vert);
  };

  var NullScrollbars = function () {};

  NullScrollbars.prototype.update = function () { return {bottom: 0, right: 0} };
  NullScrollbars.prototype.setScrollLeft = function () {};
  NullScrollbars.prototype.setScrollTop = function () {};
  NullScrollbars.prototype.clear = function () {};

  function updateScrollbars(cm, measure) {
    if (!measure) { measure = measureForScrollbars(cm); }
    var startWidth = cm.display.barWidth, startHeight = cm.display.barHeight;
    updateScrollbarsInner(cm, measure);
    for (var i = 0; i < 4 && startWidth != cm.display.barWidth || startHeight != cm.display.barHeight; i++) {
      if (startWidth != cm.display.barWidth && cm.options.lineWrapping)
        { updateHeightsInViewport(cm); }
      updateScrollbarsInner(cm, measureForScrollbars(cm));
      startWidth = cm.display.barWidth; startHeight = cm.display.barHeight;
    }
  }

  // Re-synchronize the fake scrollbars with the actual size of the
  // content.
  function updateScrollbarsInner(cm, measure) {
    var d = cm.display;
    var sizes = d.scrollbars.update(measure);

    d.sizer.style.paddingRight = (d.barWidth = sizes.right) + "px";
    d.sizer.style.paddingBottom = (d.barHeight = sizes.bottom) + "px";
    d.heightForcer.style.borderBottom = sizes.bottom + "px solid transparent";

    if (sizes.right && sizes.bottom) {
      d.scrollbarFiller.style.display = "block";
      d.scrollbarFiller.style.height = sizes.bottom + "px";
      d.scrollbarFiller.style.width = sizes.right + "px";
    } else { d.scrollbarFiller.style.display = ""; }
    if (sizes.bottom && cm.options.coverGutterNextToScrollbar && cm.options.fixedGutter) {
      d.gutterFiller.style.display = "block";
      d.gutterFiller.style.height = sizes.bottom + "px";
      d.gutterFiller.style.width = measure.gutterWidth + "px";
    } else { d.gutterFiller.style.display = ""; }
  }

  var scrollbarModel = {"native": NativeScrollbars, "null": NullScrollbars};

  function initScrollbars(cm) {
    if (cm.display.scrollbars) {
      cm.display.scrollbars.clear();
      if (cm.display.scrollbars.addClass)
        { rmClass(cm.display.wrapper, cm.display.scrollbars.addClass); }
    }

    cm.display.scrollbars = new scrollbarModel[cm.options.scrollbarStyle](function (node) {
      cm.display.wrapper.insertBefore(node, cm.display.scrollbarFiller);
      // Prevent clicks in the scrollbars from killing focus
      on(node, "mousedown", function () {
        if (cm.state.focused) { setTimeout(function () { return cm.display.input.focus(); }, 0); }
      });
      node.setAttribute("cm-not-content", "true");
    }, function (pos, axis) {
      if (axis == "horizontal") { setScrollLeft(cm, pos); }
      else { updateScrollTop(cm, pos); }
    }, cm);
    if (cm.display.scrollbars.addClass)
      { addClass(cm.display.wrapper, cm.display.scrollbars.addClass); }
  }

  // Operations are used to wrap a series of changes to the editor
  // state in such a way that each change won't have to update the
  // cursor and display (which would be awkward, slow, and
  // error-prone). Instead, display updates are batched and then all
  // combined and executed at once.

  var nextOpId = 0;
  // Start a new operation.
  function startOperation(cm) {
    cm.curOp = {
      cm: cm,
      viewChanged: false,      // Flag that indicates that lines might need to be redrawn
      startHeight: cm.doc.height, // Used to detect need to update scrollbar
      forceUpdate: false,      // Used to force a redraw
      updateInput: 0,       // Whether to reset the input textarea
      typing: false,           // Whether this reset should be careful to leave existing text (for compositing)
      changeObjs: null,        // Accumulated changes, for firing change events
      cursorActivityHandlers: null, // Set of handlers to fire cursorActivity on
      cursorActivityCalled: 0, // Tracks which cursorActivity handlers have been called already
      selectionChanged: false, // Whether the selection needs to be redrawn
      updateMaxLine: false,    // Set when the widest line needs to be determined anew
      scrollLeft: null, scrollTop: null, // Intermediate scroll position, not pushed to DOM yet
      scrollToPos: null,       // Used to scroll to a specific position
      focus: false,
      id: ++nextOpId           // Unique ID
    };
    pushOperation(cm.curOp);
  }

  // Finish an operation, updating the display and signalling delayed events
  function endOperation(cm) {
    var op = cm.curOp;
    if (op) { finishOperation(op, function (group) {
      for (var i = 0; i < group.ops.length; i++)
        { group.ops[i].cm.curOp = null; }
      endOperations(group);
    }); }
  }

  // The DOM updates done when an operation finishes are batched so
  // that the minimum number of relayouts are required.
  function endOperations(group) {
    var ops = group.ops;
    for (var i = 0; i < ops.length; i++) // Read DOM
      { endOperation_R1(ops[i]); }
    for (var i$1 = 0; i$1 < ops.length; i$1++) // Write DOM (maybe)
      { endOperation_W1(ops[i$1]); }
    for (var i$2 = 0; i$2 < ops.length; i$2++) // Read DOM
      { endOperation_R2(ops[i$2]); }
    for (var i$3 = 0; i$3 < ops.length; i$3++) // Write DOM (maybe)
      { endOperation_W2(ops[i$3]); }
    for (var i$4 = 0; i$4 < ops.length; i$4++) // Read DOM
      { endOperation_finish(ops[i$4]); }
  }

  function endOperation_R1(op) {
    var cm = op.cm, display = cm.display;
    maybeClipScrollbars(cm);
    if (op.updateMaxLine) { findMaxLine(cm); }

    op.mustUpdate = op.viewChanged || op.forceUpdate || op.scrollTop != null ||
      op.scrollToPos && (op.scrollToPos.from.line < display.viewFrom ||
                         op.scrollToPos.to.line >= display.viewTo) ||
      display.maxLineChanged && cm.options.lineWrapping;
    op.update = op.mustUpdate &&
      new DisplayUpdate(cm, op.mustUpdate && {top: op.scrollTop, ensure: op.scrollToPos}, op.forceUpdate);
  }

  function endOperation_W1(op) {
    op.updatedDisplay = op.mustUpdate && updateDisplayIfNeeded(op.cm, op.update);
  }

  function endOperation_R2(op) {
    var cm = op.cm, display = cm.display;
    if (op.updatedDisplay) { updateHeightsInViewport(cm); }

    op.barMeasure = measureForScrollbars(cm);

    // If the max line changed since it was last measured, measure it,
    // and ensure the document's width matches it.
    // updateDisplay_W2 will use these properties to do the actual resizing
    if (display.maxLineChanged && !cm.options.lineWrapping) {
      op.adjustWidthTo = measureChar(cm, display.maxLine, display.maxLine.text.length).left + 3;
      cm.display.sizerWidth = op.adjustWidthTo;
      op.barMeasure.scrollWidth =
        Math.max(display.scroller.clientWidth, display.sizer.offsetLeft + op.adjustWidthTo + scrollGap(cm) + cm.display.barWidth);
      op.maxScrollLeft = Math.max(0, display.sizer.offsetLeft + op.adjustWidthTo - displayWidth(cm));
    }

    if (op.updatedDisplay || op.selectionChanged)
      { op.preparedSelection = display.input.prepareSelection(); }
  }

  function endOperation_W2(op) {
    var cm = op.cm;

    if (op.adjustWidthTo != null) {
      cm.display.sizer.style.minWidth = op.adjustWidthTo + "px";
      if (op.maxScrollLeft < cm.doc.scrollLeft)
        { setScrollLeft(cm, Math.min(cm.display.scroller.scrollLeft, op.maxScrollLeft), true); }
      cm.display.maxLineChanged = false;
    }

    var takeFocus = op.focus && op.focus == activeElt();
    if (op.preparedSelection)
      { cm.display.input.showSelection(op.preparedSelection, takeFocus); }
    if (op.updatedDisplay || op.startHeight != cm.doc.height)
      { updateScrollbars(cm, op.barMeasure); }
    if (op.updatedDisplay)
      { setDocumentHeight(cm, op.barMeasure); }

    if (op.selectionChanged) { restartBlink(cm); }

    if (cm.state.focused && op.updateInput)
      { cm.display.input.reset(op.typing); }
    if (takeFocus) { ensureFocus(op.cm); }
  }

  function endOperation_finish(op) {
    var cm = op.cm, display = cm.display, doc = cm.doc;

    if (op.updatedDisplay) { postUpdateDisplay(cm, op.update); }

    // Abort mouse wheel delta measurement, when scrolling explicitly
    if (display.wheelStartX != null && (op.scrollTop != null || op.scrollLeft != null || op.scrollToPos))
      { display.wheelStartX = display.wheelStartY = null; }

    // Propagate the scroll position to the actual DOM scroller
    if (op.scrollTop != null) { setScrollTop(cm, op.scrollTop, op.forceScroll); }

    if (op.scrollLeft != null) { setScrollLeft(cm, op.scrollLeft, true, true); }
    // If we need to scroll a specific position into view, do so.
    if (op.scrollToPos) {
      var rect = scrollPosIntoView(cm, clipPos(doc, op.scrollToPos.from),
                                   clipPos(doc, op.scrollToPos.to), op.scrollToPos.margin);
      maybeScrollWindow(cm, rect);
    }

    // Fire events for markers that are hidden/unidden by editing or
    // undoing
    var hidden = op.maybeHiddenMarkers, unhidden = op.maybeUnhiddenMarkers;
    if (hidden) { for (var i = 0; i < hidden.length; ++i)
      { if (!hidden[i].lines.length) { signal(hidden[i], "hide"); } } }
    if (unhidden) { for (var i$1 = 0; i$1 < unhidden.length; ++i$1)
      { if (unhidden[i$1].lines.length) { signal(unhidden[i$1], "unhide"); } } }

    if (display.wrapper.offsetHeight)
      { doc.scrollTop = cm.display.scroller.scrollTop; }

    // Fire change events, and delayed event handlers
    if (op.changeObjs)
      { signal(cm, "changes", cm, op.changeObjs); }
    if (op.update)
      { op.update.finish(); }
  }

  // Run the given function in an operation
  function runInOp(cm, f) {
    if (cm.curOp) { return f() }
    startOperation(cm);
    try { return f() }
    finally { endOperation(cm); }
  }
  // Wraps a function in an operation. Returns the wrapped function.
  function operation(cm, f) {
    return function() {
      if (cm.curOp) { return f.apply(cm, arguments) }
      startOperation(cm);
      try { return f.apply(cm, arguments) }
      finally { endOperation(cm); }
    }
  }
  // Used to add methods to editor and doc instances, wrapping them in
  // operations.
  function methodOp(f) {
    return function() {
      if (this.curOp) { return f.apply(this, arguments) }
      startOperation(this);
      try { return f.apply(this, arguments) }
      finally { endOperation(this); }
    }
  }
  function docMethodOp(f) {
    return function() {
      var cm = this.cm;
      if (!cm || cm.curOp) { return f.apply(this, arguments) }
      startOperation(cm);
      try { return f.apply(this, arguments) }
      finally { endOperation(cm); }
    }
  }

  // HIGHLIGHT WORKER

  function startWorker(cm, time) {
    if (cm.doc.highlightFrontier < cm.display.viewTo)
      { cm.state.highlight.set(time, bind(highlightWorker, cm)); }
  }

  function highlightWorker(cm) {
    var doc = cm.doc;
    if (doc.highlightFrontier >= cm.display.viewTo) { return }
    var end = +new Date + cm.options.workTime;
    var context = getContextBefore(cm, doc.highlightFrontier);
    var changedLines = [];

    doc.iter(context.line, Math.min(doc.first + doc.size, cm.display.viewTo + 500), function (line) {
      if (context.line >= cm.display.viewFrom) { // Visible
        var oldStyles = line.styles;
        var resetState = line.text.length > cm.options.maxHighlightLength ? copyState(doc.mode, context.state) : null;
        var highlighted = highlightLine(cm, line, context, true);
        if (resetState) { context.state = resetState; }
        line.styles = highlighted.styles;
        var oldCls = line.styleClasses, newCls = highlighted.classes;
        if (newCls) { line.styleClasses = newCls; }
        else if (oldCls) { line.styleClasses = null; }
        var ischange = !oldStyles || oldStyles.length != line.styles.length ||
          oldCls != newCls && (!oldCls || !newCls || oldCls.bgClass != newCls.bgClass || oldCls.textClass != newCls.textClass);
        for (var i = 0; !ischange && i < oldStyles.length; ++i) { ischange = oldStyles[i] != line.styles[i]; }
        if (ischange) { changedLines.push(context.line); }
        line.stateAfter = context.save();
        context.nextLine();
      } else {
        if (line.text.length <= cm.options.maxHighlightLength)
          { processLine(cm, line.text, context); }
        line.stateAfter = context.line % 5 == 0 ? context.save() : null;
        context.nextLine();
      }
      if (+new Date > end) {
        startWorker(cm, cm.options.workDelay);
        return true
      }
    });
    doc.highlightFrontier = context.line;
    doc.modeFrontier = Math.max(doc.modeFrontier, context.line);
    if (changedLines.length) { runInOp(cm, function () {
      for (var i = 0; i < changedLines.length; i++)
        { regLineChange(cm, changedLines[i], "text"); }
    }); }
  }

  // DISPLAY DRAWING

  var DisplayUpdate = function(cm, viewport, force) {
    var display = cm.display;

    this.viewport = viewport;
    // Store some values that we'll need later (but don't want to force a relayout for)
    this.visible = visibleLines(display, cm.doc, viewport);
    this.editorIsHidden = !display.wrapper.offsetWidth;
    this.wrapperHeight = display.wrapper.clientHeight;
    this.wrapperWidth = display.wrapper.clientWidth;
    this.oldDisplayWidth = displayWidth(cm);
    this.force = force;
    this.dims = getDimensions(cm);
    this.events = [];
  };

  DisplayUpdate.prototype.signal = function (emitter, type) {
    if (hasHandler(emitter, type))
      { this.events.push(arguments); }
  };
  DisplayUpdate.prototype.finish = function () {
    for (var i = 0; i < this.events.length; i++)
      { signal.apply(null, this.events[i]); }
  };

  function maybeClipScrollbars(cm) {
    var display = cm.display;
    if (!display.scrollbarsClipped && display.scroller.offsetWidth) {
      display.nativeBarWidth = display.scroller.offsetWidth - display.scroller.clientWidth;
      display.heightForcer.style.height = scrollGap(cm) + "px";
      display.sizer.style.marginBottom = -display.nativeBarWidth + "px";
      display.sizer.style.borderRightWidth = scrollGap(cm) + "px";
      display.scrollbarsClipped = true;
    }
  }

  function selectionSnapshot(cm) {
    if (cm.hasFocus()) { return null }
    var active = activeElt();
    if (!active || !contains(cm.display.lineDiv, active)) { return null }
    var result = {activeElt: active};
    if (window.getSelection) {
      var sel = window.getSelection();
      if (sel.anchorNode && sel.extend && contains(cm.display.lineDiv, sel.anchorNode)) {
        result.anchorNode = sel.anchorNode;
        result.anchorOffset = sel.anchorOffset;
        result.focusNode = sel.focusNode;
        result.focusOffset = sel.focusOffset;
      }
    }
    return result
  }

  function restoreSelection(snapshot) {
    if (!snapshot || !snapshot.activeElt || snapshot.activeElt == activeElt()) { return }
    snapshot.activeElt.focus();
    if (!/^(INPUT|TEXTAREA)$/.test(snapshot.activeElt.nodeName) &&
        snapshot.anchorNode && contains(document.body, snapshot.anchorNode) && contains(document.body, snapshot.focusNode)) {
      var sel = window.getSelection(), range = document.createRange();
      range.setEnd(snapshot.anchorNode, snapshot.anchorOffset);
      range.collapse(false);
      sel.removeAllRanges();
      sel.addRange(range);
      sel.extend(snapshot.focusNode, snapshot.focusOffset);
    }
  }

  // Does the actual updating of the line display. Bails out
  // (returning false) when there is nothing to be done and forced is
  // false.
  function updateDisplayIfNeeded(cm, update) {
    var display = cm.display, doc = cm.doc;

    if (update.editorIsHidden) {
      resetView(cm);
      return false
    }

    // Bail out if the visible area is already rendered and nothing changed.
    if (!update.force &&
        update.visible.from >= display.viewFrom && update.visible.to <= display.viewTo &&
        (display.updateLineNumbers == null || display.updateLineNumbers >= display.viewTo) &&
        display.renderedView == display.view && countDirtyView(cm) == 0)
      { return false }

    if (maybeUpdateLineNumberWidth(cm)) {
      resetView(cm);
      update.dims = getDimensions(cm);
    }

    // Compute a suitable new viewport (from & to)
    var end = doc.first + doc.size;
    var from = Math.max(update.visible.from - cm.options.viewportMargin, doc.first);
    var to = Math.min(end, update.visible.to + cm.options.viewportMargin);
    if (display.viewFrom < from && from - display.viewFrom < 20) { from = Math.max(doc.first, display.viewFrom); }
    if (display.viewTo > to && display.viewTo - to < 20) { to = Math.min(end, display.viewTo); }
    if (sawCollapsedSpans) {
      from = visualLineNo(cm.doc, from);
      to = visualLineEndNo(cm.doc, to);
    }

    var different = from != display.viewFrom || to != display.viewTo ||
      display.lastWrapHeight != update.wrapperHeight || display.lastWrapWidth != update.wrapperWidth;
    adjustView(cm, from, to);

    display.viewOffset = heightAtLine(getLine(cm.doc, display.viewFrom));
    // Position the mover div to align with the current scroll position
    cm.display.mover.style.top = display.viewOffset + "px";

    var toUpdate = countDirtyView(cm);
    if (!different && toUpdate == 0 && !update.force && display.renderedView == display.view &&
        (display.updateLineNumbers == null || display.updateLineNumbers >= display.viewTo))
      { return false }

    // For big changes, we hide the enclosing element during the
    // update, since that speeds up the operations on most browsers.
    var selSnapshot = selectionSnapshot(cm);
    if (toUpdate > 4) { display.lineDiv.style.display = "none"; }
    patchDisplay(cm, display.updateLineNumbers, update.dims);
    if (toUpdate > 4) { display.lineDiv.style.display = ""; }
    display.renderedView = display.view;
    // There might have been a widget with a focused element that got
    // hidden or updated, if so re-focus it.
    restoreSelection(selSnapshot);

    // Prevent selection and cursors from interfering with the scroll
    // width and height.
    removeChildren(display.cursorDiv);
    removeChildren(display.selectionDiv);
    display.gutters.style.height = display.sizer.style.minHeight = 0;

    if (different) {
      display.lastWrapHeight = update.wrapperHeight;
      display.lastWrapWidth = update.wrapperWidth;
      startWorker(cm, 400);
    }

    display.updateLineNumbers = null;

    return true
  }

  function postUpdateDisplay(cm, update) {
    var viewport = update.viewport;

    for (var first = true;; first = false) {
      if (!first || !cm.options.lineWrapping || update.oldDisplayWidth == displayWidth(cm)) {
        // Clip forced viewport to actual scrollable area.
        if (viewport && viewport.top != null)
          { viewport = {top: Math.min(cm.doc.height + paddingVert(cm.display) - displayHeight(cm), viewport.top)}; }
        // Updated line heights might result in the drawn area not
        // actually covering the viewport. Keep looping until it does.
        update.visible = visibleLines(cm.display, cm.doc, viewport);
        if (update.visible.from >= cm.display.viewFrom && update.visible.to <= cm.display.viewTo)
          { break }
      } else if (first) {
        update.visible = visibleLines(cm.display, cm.doc, viewport);
      }
      if (!updateDisplayIfNeeded(cm, update)) { break }
      updateHeightsInViewport(cm);
      var barMeasure = measureForScrollbars(cm);
      updateSelection(cm);
      updateScrollbars(cm, barMeasure);
      setDocumentHeight(cm, barMeasure);
      update.force = false;
    }

    update.signal(cm, "update", cm);
    if (cm.display.viewFrom != cm.display.reportedViewFrom || cm.display.viewTo != cm.display.reportedViewTo) {
      update.signal(cm, "viewportChange", cm, cm.display.viewFrom, cm.display.viewTo);
      cm.display.reportedViewFrom = cm.display.viewFrom; cm.display.reportedViewTo = cm.display.viewTo;
    }
  }

  function updateDisplaySimple(cm, viewport) {
    var update = new DisplayUpdate(cm, viewport);
    if (updateDisplayIfNeeded(cm, update)) {
      updateHeightsInViewport(cm);
      postUpdateDisplay(cm, update);
      var barMeasure = measureForScrollbars(cm);
      updateSelection(cm);
      updateScrollbars(cm, barMeasure);
      setDocumentHeight(cm, barMeasure);
      update.finish();
    }
  }

  // Sync the actual display DOM structure with display.view, removing
  // nodes for lines that are no longer in view, and creating the ones
  // that are not there yet, and updating the ones that are out of
  // date.
  function patchDisplay(cm, updateNumbersFrom, dims) {
    var display = cm.display, lineNumbers = cm.options.lineNumbers;
    var container = display.lineDiv, cur = container.firstChild;

    function rm(node) {
      var next = node.nextSibling;
      // Works around a throw-scroll bug in OS X Webkit
      if (webkit && mac && cm.display.currentWheelTarget == node)
        { node.style.display = "none"; }
      else
        { node.parentNode.removeChild(node); }
      return next
    }

    var view = display.view, lineN = display.viewFrom;
    // Loop over the elements in the view, syncing cur (the DOM nodes
    // in display.lineDiv) with the view as we go.
    for (var i = 0; i < view.length; i++) {
      var lineView = view[i];
      if (lineView.hidden) ; else if (!lineView.node || lineView.node.parentNode != container) { // Not drawn yet
        var node = buildLineElement(cm, lineView, lineN, dims);
        container.insertBefore(node, cur);
      } else { // Already drawn
        while (cur != lineView.node) { cur = rm(cur); }
        var updateNumber = lineNumbers && updateNumbersFrom != null &&
          updateNumbersFrom <= lineN && lineView.lineNumber;
        if (lineView.changes) {
          if (indexOf(lineView.changes, "gutter") > -1) { updateNumber = false; }
          updateLineForChanges(cm, lineView, lineN, dims);
        }
        if (updateNumber) {
          removeChildren(lineView.lineNumber);
          lineView.lineNumber.appendChild(document.createTextNode(lineNumberFor(cm.options, lineN)));
        }
        cur = lineView.node.nextSibling;
      }
      lineN += lineView.size;
    }
    while (cur) { cur = rm(cur); }
  }

  function updateGutterSpace(display) {
    var width = display.gutters.offsetWidth;
    display.sizer.style.marginLeft = width + "px";
  }

  function setDocumentHeight(cm, measure) {
    cm.display.sizer.style.minHeight = measure.docHeight + "px";
    cm.display.heightForcer.style.top = measure.docHeight + "px";
    cm.display.gutters.style.height = (measure.docHeight + cm.display.barHeight + scrollGap(cm)) + "px";
  }

  // Re-align line numbers and gutter marks to compensate for
  // horizontal scrolling.
  function alignHorizontally(cm) {
    var display = cm.display, view = display.view;
    if (!display.alignWidgets && (!display.gutters.firstChild || !cm.options.fixedGutter)) { return }
    var comp = compensateForHScroll(display) - display.scroller.scrollLeft + cm.doc.scrollLeft;
    var gutterW = display.gutters.offsetWidth, left = comp + "px";
    for (var i = 0; i < view.length; i++) { if (!view[i].hidden) {
      if (cm.options.fixedGutter) {
        if (view[i].gutter)
          { view[i].gutter.style.left = left; }
        if (view[i].gutterBackground)
          { view[i].gutterBackground.style.left = left; }
      }
      var align = view[i].alignable;
      if (align) { for (var j = 0; j < align.length; j++)
        { align[j].style.left = left; } }
    } }
    if (cm.options.fixedGutter)
      { display.gutters.style.left = (comp + gutterW) + "px"; }
  }

  // Used to ensure that the line number gutter is still the right
  // size for the current document size. Returns true when an update
  // is needed.
  function maybeUpdateLineNumberWidth(cm) {
    if (!cm.options.lineNumbers) { return false }
    var doc = cm.doc, last = lineNumberFor(cm.options, doc.first + doc.size - 1), display = cm.display;
    if (last.length != display.lineNumChars) {
      var test = display.measure.appendChild(elt("div", [elt("div", last)],
                                                 "CodeMirror-linenumber CodeMirror-gutter-elt"));
      var innerW = test.firstChild.offsetWidth, padding = test.offsetWidth - innerW;
      display.lineGutter.style.width = "";
      display.lineNumInnerWidth = Math.max(innerW, display.lineGutter.offsetWidth - padding) + 1;
      display.lineNumWidth = display.lineNumInnerWidth + padding;
      display.lineNumChars = display.lineNumInnerWidth ? last.length : -1;
      display.lineGutter.style.width = display.lineNumWidth + "px";
      updateGutterSpace(cm.display);
      return true
    }
    return false
  }

  function getGutters(gutters, lineNumbers) {
    var result = [], sawLineNumbers = false;
    for (var i = 0; i < gutters.length; i++) {
      var name = gutters[i], style = null;
      if (typeof name != "string") { style = name.style; name = name.className; }
      if (name == "CodeMirror-linenumbers") {
        if (!lineNumbers) { continue }
        else { sawLineNumbers = true; }
      }
      result.push({className: name, style: style});
    }
    if (lineNumbers && !sawLineNumbers) { result.push({className: "CodeMirror-linenumbers", style: null}); }
    return result
  }

  // Rebuild the gutter elements, ensure the margin to the left of the
  // code matches their width.
  function renderGutters(display) {
    var gutters = display.gutters, specs = display.gutterSpecs;
    removeChildren(gutters);
    display.lineGutter = null;
    for (var i = 0; i < specs.length; ++i) {
      var ref = specs[i];
      var className = ref.className;
      var style = ref.style;
      var gElt = gutters.appendChild(elt("div", null, "CodeMirror-gutter " + className));
      if (style) { gElt.style.cssText = style; }
      if (className == "CodeMirror-linenumbers") {
        display.lineGutter = gElt;
        gElt.style.width = (display.lineNumWidth || 1) + "px";
      }
    }
    gutters.style.display = specs.length ? "" : "none";
    updateGutterSpace(display);
  }

  function updateGutters(cm) {
    renderGutters(cm.display);
    regChange(cm);
    alignHorizontally(cm);
  }

  // The display handles the DOM integration, both for input reading
  // and content drawing. It holds references to DOM nodes and
  // display-related state.

  function Display(place, doc, input, options) {
    var d = this;
    this.input = input;

    // Covers bottom-right square when both scrollbars are present.
    d.scrollbarFiller = elt("div", null, "CodeMirror-scrollbar-filler");
    d.scrollbarFiller.setAttribute("cm-not-content", "true");
    // Covers bottom of gutter when coverGutterNextToScrollbar is on
    // and h scrollbar is present.
    d.gutterFiller = elt("div", null, "CodeMirror-gutter-filler");
    d.gutterFiller.setAttribute("cm-not-content", "true");
    // Will contain the actual code, positioned to cover the viewport.
    d.lineDiv = eltP("div", null, "CodeMirror-code");
    // Elements are added to these to represent selection and cursors.
    d.selectionDiv = elt("div", null, null, "position: relative; z-index: 1");
    d.cursorDiv = elt("div", null, "CodeMirror-cursors");
    // A visibility: hidden element used to find the size of things.
    d.measure = elt("div", null, "CodeMirror-measure");
    // When lines outside of the viewport are measured, they are drawn in this.
    d.lineMeasure = elt("div", null, "CodeMirror-measure");
    // Wraps everything that needs to exist inside the vertically-padded coordinate system
    d.lineSpace = eltP("div", [d.measure, d.lineMeasure, d.selectionDiv, d.cursorDiv, d.lineDiv],
                      null, "position: relative; outline: none");
    var lines = eltP("div", [d.lineSpace], "CodeMirror-lines");
    // Moved around its parent to cover visible view.
    d.mover = elt("div", [lines], null, "position: relative");
    // Set to the height of the document, allowing scrolling.
    d.sizer = elt("div", [d.mover], "CodeMirror-sizer");
    d.sizerWidth = null;
    // Behavior of elts with overflow: auto and padding is
    // inconsistent across browsers. This is used to ensure the
    // scrollable area is big enough.
    d.heightForcer = elt("div", null, null, "position: absolute; height: " + scrollerGap + "px; width: 1px;");
    // Will contain the gutters, if any.
    d.gutters = elt("div", null, "CodeMirror-gutters");
    d.lineGutter = null;
    // Actual scrollable element.
    d.scroller = elt("div", [d.sizer, d.heightForcer, d.gutters], "CodeMirror-scroll");
    d.scroller.setAttribute("tabIndex", "-1");
    // The element in which the editor lives.
    d.wrapper = elt("div", [d.scrollbarFiller, d.gutterFiller, d.scroller], "CodeMirror");

    // Work around IE7 z-index bug (not perfect, hence IE7 not really being supported)
    if (ie && ie_version < 8) { d.gutters.style.zIndex = -1; d.scroller.style.paddingRight = 0; }
    if (!webkit && !(gecko && mobile)) { d.scroller.draggable = true; }

    if (place) {
      if (place.appendChild) { place.appendChild(d.wrapper); }
      else { place(d.wrapper); }
    }

    // Current rendered range (may be bigger than the view window).
    d.viewFrom = d.viewTo = doc.first;
    d.reportedViewFrom = d.reportedViewTo = doc.first;
    // Information about the rendered lines.
    d.view = [];
    d.renderedView = null;
    // Holds info about a single rendered line when it was rendered
    // for measurement, while not in view.
    d.externalMeasured = null;
    // Empty space (in pixels) above the view
    d.viewOffset = 0;
    d.lastWrapHeight = d.lastWrapWidth = 0;
    d.updateLineNumbers = null;

    d.nativeBarWidth = d.barHeight = d.barWidth = 0;
    d.scrollbarsClipped = false;

    // Used to only resize the line number gutter when necessary (when
    // the amount of lines crosses a boundary that makes its width change)
    d.lineNumWidth = d.lineNumInnerWidth = d.lineNumChars = null;
    // Set to true when a non-horizontal-scrolling line widget is
    // added. As an optimization, line widget aligning is skipped when
    // this is false.
    d.alignWidgets = false;

    d.cachedCharWidth = d.cachedTextHeight = d.cachedPaddingH = null;

    // Tracks the maximum line length so that the horizontal scrollbar
    // can be kept static when scrolling.
    d.maxLine = null;
    d.maxLineLength = 0;
    d.maxLineChanged = false;

    // Used for measuring wheel scrolling granularity
    d.wheelDX = d.wheelDY = d.wheelStartX = d.wheelStartY = null;

    // True when shift is held down.
    d.shift = false;

    // Used to track whether anything happened since the context menu
    // was opened.
    d.selForContextMenu = null;

    d.activeTouch = null;

    d.gutterSpecs = getGutters(options.gutters, options.lineNumbers);
    renderGutters(d);

    input.init(d);
  }

  // Since the delta values reported on mouse wheel events are
  // unstandardized between browsers and even browser versions, and
  // generally horribly unpredictable, this code starts by measuring
  // the scroll effect that the first few mouse wheel events have,
  // and, from that, detects the way it can convert deltas to pixel
  // offsets afterwards.
  //
  // The reason we want to know the amount a wheel event will scroll
  // is that it gives us a chance to update the display before the
  // actual scrolling happens, reducing flickering.

  var wheelSamples = 0, wheelPixelsPerUnit = null;
  // Fill in a browser-detected starting value on browsers where we
  // know one. These don't have to be accurate -- the result of them
  // being wrong would just be a slight flicker on the first wheel
  // scroll (if it is large enough).
  if (ie) { wheelPixelsPerUnit = -.53; }
  else if (gecko) { wheelPixelsPerUnit = 15; }
  else if (chrome) { wheelPixelsPerUnit = -.7; }
  else if (safari) { wheelPixelsPerUnit = -1/3; }

  function wheelEventDelta(e) {
    var dx = e.wheelDeltaX, dy = e.wheelDeltaY;
    if (dx == null && e.detail && e.axis == e.HORIZONTAL_AXIS) { dx = e.detail; }
    if (dy == null && e.detail && e.axis == e.VERTICAL_AXIS) { dy = e.detail; }
    else if (dy == null) { dy = e.wheelDelta; }
    return {x: dx, y: dy}
  }
  function wheelEventPixels(e) {
    var delta = wheelEventDelta(e);
    delta.x *= wheelPixelsPerUnit;
    delta.y *= wheelPixelsPerUnit;
    return delta
  }

  function onScrollWheel(cm, e) {
    var delta = wheelEventDelta(e), dx = delta.x, dy = delta.y;

    var display = cm.display, scroll = display.scroller;
    // Quit if there's nothing to scroll here
    var canScrollX = scroll.scrollWidth > scroll.clientWidth;
    var canScrollY = scroll.scrollHeight > scroll.clientHeight;
    if (!(dx && canScrollX || dy && canScrollY)) { return }

    // Webkit browsers on OS X abort momentum scrolls when the target
    // of the scroll event is removed from the scrollable element.
    // This hack (see related code in patchDisplay) makes sure the
    // element is kept around.
    if (dy && mac && webkit) {
      outer: for (var cur = e.target, view = display.view; cur != scroll; cur = cur.parentNode) {
        for (var i = 0; i < view.length; i++) {
          if (view[i].node == cur) {
            cm.display.currentWheelTarget = cur;
            break outer
          }
        }
      }
    }

    // On some browsers, horizontal scrolling will cause redraws to
    // happen before the gutter has been realigned, causing it to
    // wriggle around in a most unseemly way. When we have an
    // estimated pixels/delta value, we just handle horizontal
    // scrolling entirely here. It'll be slightly off from native, but
    // better than glitching out.
    if (dx && !gecko && !presto && wheelPixelsPerUnit != null) {
      if (dy && canScrollY)
        { updateScrollTop(cm, Math.max(0, scroll.scrollTop + dy * wheelPixelsPerUnit)); }
      setScrollLeft(cm, Math.max(0, scroll.scrollLeft + dx * wheelPixelsPerUnit));
      // Only prevent default scrolling if vertical scrolling is
      // actually possible. Otherwise, it causes vertical scroll
      // jitter on OSX trackpads when deltaX is small and deltaY
      // is large (issue #3579)
      if (!dy || (dy && canScrollY))
        { e_preventDefault(e); }
      display.wheelStartX = null; // Abort measurement, if in progress
      return
    }

    // 'Project' the visible viewport to cover the area that is being
    // scrolled into view (if we know enough to estimate it).
    if (dy && wheelPixelsPerUnit != null) {
      var pixels = dy * wheelPixelsPerUnit;
      var top = cm.doc.scrollTop, bot = top + display.wrapper.clientHeight;
      if (pixels < 0) { top = Math.max(0, top + pixels - 50); }
      else { bot = Math.min(cm.doc.height, bot + pixels + 50); }
      updateDisplaySimple(cm, {top: top, bottom: bot});
    }

    if (wheelSamples < 20) {
      if (display.wheelStartX == null) {
        display.wheelStartX = scroll.scrollLeft; display.wheelStartY = scroll.scrollTop;
        display.wheelDX = dx; display.wheelDY = dy;
        setTimeout(function () {
          if (display.wheelStartX == null) { return }
          var movedX = scroll.scrollLeft - display.wheelStartX;
          var movedY = scroll.scrollTop - display.wheelStartY;
          var sample = (movedY && display.wheelDY && movedY / display.wheelDY) ||
            (movedX && display.wheelDX && movedX / display.wheelDX);
          display.wheelStartX = display.wheelStartY = null;
          if (!sample) { return }
          wheelPixelsPerUnit = (wheelPixelsPerUnit * wheelSamples + sample) / (wheelSamples + 1);
          ++wheelSamples;
        }, 200);
      } else {
        display.wheelDX += dx; display.wheelDY += dy;
      }
    }
  }

  // Selection objects are immutable. A new one is created every time
  // the selection changes. A selection is one or more non-overlapping
  // (and non-touching) ranges, sorted, and an integer that indicates
  // which one is the primary selection (the one that's scrolled into
  // view, that getCursor returns, etc).
  var Selection = function(ranges, primIndex) {
    this.ranges = ranges;
    this.primIndex = primIndex;
  };

  Selection.prototype.primary = function () { return this.ranges[this.primIndex] };

  Selection.prototype.equals = function (other) {
    if (other == this) { return true }
    if (other.primIndex != this.primIndex || other.ranges.length != this.ranges.length) { return false }
    for (var i = 0; i < this.ranges.length; i++) {
      var here = this.ranges[i], there = other.ranges[i];
      if (!equalCursorPos(here.anchor, there.anchor) || !equalCursorPos(here.head, there.head)) { return false }
    }
    return true
  };

  Selection.prototype.deepCopy = function () {
    var out = [];
    for (var i = 0; i < this.ranges.length; i++)
      { out[i] = new Range(copyPos(this.ranges[i].anchor), copyPos(this.ranges[i].head)); }
    return new Selection(out, this.primIndex)
  };

  Selection.prototype.somethingSelected = function () {
    for (var i = 0; i < this.ranges.length; i++)
      { if (!this.ranges[i].empty()) { return true } }
    return false
  };

  Selection.prototype.contains = function (pos, end) {
    if (!end) { end = pos; }
    for (var i = 0; i < this.ranges.length; i++) {
      var range = this.ranges[i];
      if (cmp(end, range.from()) >= 0 && cmp(pos, range.to()) <= 0)
        { return i }
    }
    return -1
  };

  var Range = function(anchor, head) {
    this.anchor = anchor; this.head = head;
  };

  Range.prototype.from = function () { return minPos(this.anchor, this.head) };
  Range.prototype.to = function () { return maxPos(this.anchor, this.head) };
  Range.prototype.empty = function () { return this.head.line == this.anchor.line && this.head.ch == this.anchor.ch };

  // Take an unsorted, potentially overlapping set of ranges, and
  // build a selection out of it. 'Consumes' ranges array (modifying
  // it).
  function normalizeSelection(cm, ranges, primIndex) {
    var mayTouch = cm && cm.options.selectionsMayTouch;
    var prim = ranges[primIndex];
    ranges.sort(function (a, b) { return cmp(a.from(), b.from()); });
    primIndex = indexOf(ranges, prim);
    for (var i = 1; i < ranges.length; i++) {
      var cur = ranges[i], prev = ranges[i - 1];
      var diff = cmp(prev.to(), cur.from());
      if (mayTouch && !cur.empty() ? diff > 0 : diff >= 0) {
        var from = minPos(prev.from(), cur.from()), to = maxPos(prev.to(), cur.to());
        var inv = prev.empty() ? cur.from() == cur.head : prev.from() == prev.head;
        if (i <= primIndex) { --primIndex; }
        ranges.splice(--i, 2, new Range(inv ? to : from, inv ? from : to));
      }
    }
    return new Selection(ranges, primIndex)
  }

  function simpleSelection(anchor, head) {
    return new Selection([new Range(anchor, head || anchor)], 0)
  }

  // Compute the position of the end of a change (its 'to' property
  // refers to the pre-change end).
  function changeEnd(change) {
    if (!change.text) { return change.to }
    return Pos(change.from.line + change.text.length - 1,
               lst(change.text).length + (change.text.length == 1 ? change.from.ch : 0))
  }

  // Adjust a position to refer to the post-change position of the
  // same text, or the end of the change if the change covers it.
  function adjustForChange(pos, change) {
    if (cmp(pos, change.from) < 0) { return pos }
    if (cmp(pos, change.to) <= 0) { return changeEnd(change) }

    var line = pos.line + change.text.length - (change.to.line - change.from.line) - 1, ch = pos.ch;
    if (pos.line == change.to.line) { ch += changeEnd(change).ch - change.to.ch; }
    return Pos(line, ch)
  }

  function computeSelAfterChange(doc, change) {
    var out = [];
    for (var i = 0; i < doc.sel.ranges.length; i++) {
      var range = doc.sel.ranges[i];
      out.push(new Range(adjustForChange(range.anchor, change),
                         adjustForChange(range.head, change)));
    }
    return normalizeSelection(doc.cm, out, doc.sel.primIndex)
  }

  function offsetPos(pos, old, nw) {
    if (pos.line == old.line)
      { return Pos(nw.line, pos.ch - old.ch + nw.ch) }
    else
      { return Pos(nw.line + (pos.line - old.line), pos.ch) }
  }

  // Used by replaceSelections to allow moving the selection to the
  // start or around the replaced test. Hint may be "start" or "around".
  function computeReplacedSel(doc, changes, hint) {
    var out = [];
    var oldPrev = Pos(doc.first, 0), newPrev = oldPrev;
    for (var i = 0; i < changes.length; i++) {
      var change = changes[i];
      var from = offsetPos(change.from, oldPrev, newPrev);
      var to = offsetPos(changeEnd(change), oldPrev, newPrev);
      oldPrev = change.to;
      newPrev = to;
      if (hint == "around") {
        var range = doc.sel.ranges[i], inv = cmp(range.head, range.anchor) < 0;
        out[i] = new Range(inv ? to : from, inv ? from : to);
      } else {
        out[i] = new Range(from, from);
      }
    }
    return new Selection(out, doc.sel.primIndex)
  }

  // Used to get the editor into a consistent state again when options change.

  function loadMode(cm) {
    cm.doc.mode = getMode(cm.options, cm.doc.modeOption);
    resetModeState(cm);
  }

  function resetModeState(cm) {
    cm.doc.iter(function (line) {
      if (line.stateAfter) { line.stateAfter = null; }
      if (line.styles) { line.styles = null; }
    });
    cm.doc.modeFrontier = cm.doc.highlightFrontier = cm.doc.first;
    startWorker(cm, 100);
    cm.state.modeGen++;
    if (cm.curOp) { regChange(cm); }
  }

  // DOCUMENT DATA STRUCTURE

  // By default, updates that start and end at the beginning of a line
  // are treated specially, in order to make the association of line
  // widgets and marker elements with the text behave more intuitive.
  function isWholeLineUpdate(doc, change) {
    return change.from.ch == 0 && change.to.ch == 0 && lst(change.text) == "" &&
      (!doc.cm || doc.cm.options.wholeLineUpdateBefore)
  }

  // Perform a change on the document data structure.
  function updateDoc(doc, change, markedSpans, estimateHeight) {
    function spansFor(n) {return markedSpans ? markedSpans[n] : null}
    function update(line, text, spans) {
      updateLine(line, text, spans, estimateHeight);
      signalLater(line, "change", line, change);
    }
    function linesFor(start, end) {
      var result = [];
      for (var i = start; i < end; ++i)
        { result.push(new Line(text[i], spansFor(i), estimateHeight)); }
      return result
    }

    var from = change.from, to = change.to, text = change.text;
    var firstLine = getLine(doc, from.line), lastLine = getLine(doc, to.line);
    var lastText = lst(text), lastSpans = spansFor(text.length - 1), nlines = to.line - from.line;

    // Adjust the line structure
    if (change.full) {
      doc.insert(0, linesFor(0, text.length));
      doc.remove(text.length, doc.size - text.length);
    } else if (isWholeLineUpdate(doc, change)) {
      // This is a whole-line replace. Treated specially to make
      // sure line objects move the way they are supposed to.
      var added = linesFor(0, text.length - 1);
      update(lastLine, lastLine.text, lastSpans);
      if (nlines) { doc.remove(from.line, nlines); }
      if (added.length) { doc.insert(from.line, added); }
    } else if (firstLine == lastLine) {
      if (text.length == 1) {
        update(firstLine, firstLine.text.slice(0, from.ch) + lastText + firstLine.text.slice(to.ch), lastSpans);
      } else {
        var added$1 = linesFor(1, text.length - 1);
        added$1.push(new Line(lastText + firstLine.text.slice(to.ch), lastSpans, estimateHeight));
        update(firstLine, firstLine.text.slice(0, from.ch) + text[0], spansFor(0));
        doc.insert(from.line + 1, added$1);
      }
    } else if (text.length == 1) {
      update(firstLine, firstLine.text.slice(0, from.ch) + text[0] + lastLine.text.slice(to.ch), spansFor(0));
      doc.remove(from.line + 1, nlines);
    } else {
      update(firstLine, firstLine.text.slice(0, from.ch) + text[0], spansFor(0));
      update(lastLine, lastText + lastLine.text.slice(to.ch), lastSpans);
      var added$2 = linesFor(1, text.length - 1);
      if (nlines > 1) { doc.remove(from.line + 1, nlines - 1); }
      doc.insert(from.line + 1, added$2);
    }

    signalLater(doc, "change", doc, change);
  }

  // Call f for all linked documents.
  function linkedDocs(doc, f, sharedHistOnly) {
    function propagate(doc, skip, sharedHist) {
      if (doc.linked) { for (var i = 0; i < doc.linked.length; ++i) {
        var rel = doc.linked[i];
        if (rel.doc == skip) { continue }
        var shared = sharedHist && rel.sharedHist;
        if (sharedHistOnly && !shared) { continue }
        f(rel.doc, shared);
        propagate(rel.doc, doc, shared);
      } }
    }
    propagate(doc, null, true);
  }

  // Attach a document to an editor.
  function attachDoc(cm, doc) {
    if (doc.cm) { throw new Error("This document is already in use.") }
    cm.doc = doc;
    doc.cm = cm;
    estimateLineHeights(cm);
    loadMode(cm);
    setDirectionClass(cm);
    if (!cm.options.lineWrapping) { findMaxLine(cm); }
    cm.options.mode = doc.modeOption;
    regChange(cm);
  }

  function setDirectionClass(cm) {
  (cm.doc.direction == "rtl" ? addClass : rmClass)(cm.display.lineDiv, "CodeMirror-rtl");
  }

  function directionChanged(cm) {
    runInOp(cm, function () {
      setDirectionClass(cm);
      regChange(cm);
    });
  }

  function History(prev) {
    // Arrays of change events and selections. Doing something adds an
    // event to done and clears undo. Undoing moves events from done
    // to undone, redoing moves them in the other direction.
    this.done = []; this.undone = [];
    this.undoDepth = prev ? prev.undoDepth : Infinity;
    // Used to track when changes can be merged into a single undo
    // event
    this.lastModTime = this.lastSelTime = 0;
    this.lastOp = this.lastSelOp = null;
    this.lastOrigin = this.lastSelOrigin = null;
    // Used by the isClean() method
    this.generation = this.maxGeneration = prev ? prev.maxGeneration : 1;
  }

  // Create a history change event from an updateDoc-style change
  // object.
  function historyChangeFromChange(doc, change) {
    var histChange = {from: copyPos(change.from), to: changeEnd(change), text: getBetween(doc, change.from, change.to)};
    attachLocalSpans(doc, histChange, change.from.line, change.to.line + 1);
    linkedDocs(doc, function (doc) { return attachLocalSpans(doc, histChange, change.from.line, change.to.line + 1); }, true);
    return histChange
  }

  // Pop all selection events off the end of a history array. Stop at
  // a change event.
  function clearSelectionEvents(array) {
    while (array.length) {
      var last = lst(array);
      if (last.ranges) { array.pop(); }
      else { break }
    }
  }

  // Find the top change event in the history. Pop off selection
  // events that are in the way.
  function lastChangeEvent(hist, force) {
    if (force) {
      clearSelectionEvents(hist.done);
      return lst(hist.done)
    } else if (hist.done.length && !lst(hist.done).ranges) {
      return lst(hist.done)
    } else if (hist.done.length > 1 && !hist.done[hist.done.length - 2].ranges) {
      hist.done.pop();
      return lst(hist.done)
    }
  }

  // Register a change in the history. Merges changes that are within
  // a single operation, or are close together with an origin that
  // allows merging (starting with "+") into a single event.
  function addChangeToHistory(doc, change, selAfter, opId) {
    var hist = doc.history;
    hist.undone.length = 0;
    var time = +new Date, cur;
    var last;

    if ((hist.lastOp == opId ||
         hist.lastOrigin == change.origin && change.origin &&
         ((change.origin.charAt(0) == "+" && hist.lastModTime > time - (doc.cm ? doc.cm.options.historyEventDelay : 500)) ||
          change.origin.charAt(0) == "*")) &&
        (cur = lastChangeEvent(hist, hist.lastOp == opId))) {
      // Merge this change into the last event
      last = lst(cur.changes);
      if (cmp(change.from, change.to) == 0 && cmp(change.from, last.to) == 0) {
        // Optimized case for simple insertion -- don't want to add
        // new changesets for every character typed
        last.to = changeEnd(change);
      } else {
        // Add new sub-event
        cur.changes.push(historyChangeFromChange(doc, change));
      }
    } else {
      // Can not be merged, start a new event.
      var before = lst(hist.done);
      if (!before || !before.ranges)
        { pushSelectionToHistory(doc.sel, hist.done); }
      cur = {changes: [historyChangeFromChange(doc, change)],
             generation: hist.generation};
      hist.done.push(cur);
      while (hist.done.length > hist.undoDepth) {
        hist.done.shift();
        if (!hist.done[0].ranges) { hist.done.shift(); }
      }
    }
    hist.done.push(selAfter);
    hist.generation = ++hist.maxGeneration;
    hist.lastModTime = hist.lastSelTime = time;
    hist.lastOp = hist.lastSelOp = opId;
    hist.lastOrigin = hist.lastSelOrigin = change.origin;

    if (!last) { signal(doc, "historyAdded"); }
  }

  function selectionEventCanBeMerged(doc, origin, prev, sel) {
    var ch = origin.charAt(0);
    return ch == "*" ||
      ch == "+" &&
      prev.ranges.length == sel.ranges.length &&
      prev.somethingSelected() == sel.somethingSelected() &&
      new Date - doc.history.lastSelTime <= (doc.cm ? doc.cm.options.historyEventDelay : 500)
  }

  // Called whenever the selection changes, sets the new selection as
  // the pending selection in the history, and pushes the old pending
  // selection into the 'done' array when it was significantly
  // different (in number of selected ranges, emptiness, or time).
  function addSelectionToHistory(doc, sel, opId, options) {
    var hist = doc.history, origin = options && options.origin;

    // A new event is started when the previous origin does not match
    // the current, or the origins don't allow matching. Origins
    // starting with * are always merged, those starting with + are
    // merged when similar and close together in time.
    if (opId == hist.lastSelOp ||
        (origin && hist.lastSelOrigin == origin &&
         (hist.lastModTime == hist.lastSelTime && hist.lastOrigin == origin ||
          selectionEventCanBeMerged(doc, origin, lst(hist.done), sel))))
      { hist.done[hist.done.length - 1] = sel; }
    else
      { pushSelectionToHistory(sel, hist.done); }

    hist.lastSelTime = +new Date;
    hist.lastSelOrigin = origin;
    hist.lastSelOp = opId;
    if (options && options.clearRedo !== false)
      { clearSelectionEvents(hist.undone); }
  }

  function pushSelectionToHistory(sel, dest) {
    var top = lst(dest);
    if (!(top && top.ranges && top.equals(sel)))
      { dest.push(sel); }
  }

  // Used to store marked span information in the history.
  function attachLocalSpans(doc, change, from, to) {
    var existing = change["spans_" + doc.id], n = 0;
    doc.iter(Math.max(doc.first, from), Math.min(doc.first + doc.size, to), function (line) {
      if (line.markedSpans)
        { (existing || (existing = change["spans_" + doc.id] = {}))[n] = line.markedSpans; }
      ++n;
    });
  }

  // When un/re-doing restores text containing marked spans, those
  // that have been explicitly cleared should not be restored.
  function removeClearedSpans(spans) {
    if (!spans) { return null }
    var out;
    for (var i = 0; i < spans.length; ++i) {
      if (spans[i].marker.explicitlyCleared) { if (!out) { out = spans.slice(0, i); } }
      else if (out) { out.push(spans[i]); }
    }
    return !out ? spans : out.length ? out : null
  }

  // Retrieve and filter the old marked spans stored in a change event.
  function getOldSpans(doc, change) {
    var found = change["spans_" + doc.id];
    if (!found) { return null }
    var nw = [];
    for (var i = 0; i < change.text.length; ++i)
      { nw.push(removeClearedSpans(found[i])); }
    return nw
  }

  // Used for un/re-doing changes from the history. Combines the
  // result of computing the existing spans with the set of spans that
  // existed in the history (so that deleting around a span and then
  // undoing brings back the span).
  function mergeOldSpans(doc, change) {
    var old = getOldSpans(doc, change);
    var stretched = stretchSpansOverChange(doc, change);
    if (!old) { return stretched }
    if (!stretched) { return old }

    for (var i = 0; i < old.length; ++i) {
      var oldCur = old[i], stretchCur = stretched[i];
      if (oldCur && stretchCur) {
        spans: for (var j = 0; j < stretchCur.length; ++j) {
          var span = stretchCur[j];
          for (var k = 0; k < oldCur.length; ++k)
            { if (oldCur[k].marker == span.marker) { continue spans } }
          oldCur.push(span);
        }
      } else if (stretchCur) {
        old[i] = stretchCur;
      }
    }
    return old
  }

  // Used both to provide a JSON-safe object in .getHistory, and, when
  // detaching a document, to split the history in two
  function copyHistoryArray(events, newGroup, instantiateSel) {
    var copy = [];
    for (var i = 0; i < events.length; ++i) {
      var event = events[i];
      if (event.ranges) {
        copy.push(instantiateSel ? Selection.prototype.deepCopy.call(event) : event);
        continue
      }
      var changes = event.changes, newChanges = [];
      copy.push({changes: newChanges});
      for (var j = 0; j < changes.length; ++j) {
        var change = changes[j], m = (void 0);
        newChanges.push({from: change.from, to: change.to, text: change.text});
        if (newGroup) { for (var prop in change) { if (m = prop.match(/^spans_(\d+)$/)) {
          if (indexOf(newGroup, Number(m[1])) > -1) {
            lst(newChanges)[prop] = change[prop];
            delete change[prop];
          }
        } } }
      }
    }
    return copy
  }

  // The 'scroll' parameter given to many of these indicated whether
  // the new cursor position should be scrolled into view after
  // modifying the selection.

  // If shift is held or the extend flag is set, extends a range to
  // include a given position (and optionally a second position).
  // Otherwise, simply returns the range between the given positions.
  // Used for cursor motion and such.
  function extendRange(range, head, other, extend) {
    if (extend) {
      var anchor = range.anchor;
      if (other) {
        var posBefore = cmp(head, anchor) < 0;
        if (posBefore != (cmp(other, anchor) < 0)) {
          anchor = head;
          head = other;
        } else if (posBefore != (cmp(head, other) < 0)) {
          head = other;
        }
      }
      return new Range(anchor, head)
    } else {
      return new Range(other || head, head)
    }
  }

  // Extend the primary selection range, discard the rest.
  function extendSelection(doc, head, other, options, extend) {
    if (extend == null) { extend = doc.cm && (doc.cm.display.shift || doc.extend); }
    setSelection(doc, new Selection([extendRange(doc.sel.primary(), head, other, extend)], 0), options);
  }

  // Extend all selections (pos is an array of selections with length
  // equal the number of selections)
  function extendSelections(doc, heads, options) {
    var out = [];
    var extend = doc.cm && (doc.cm.display.shift || doc.extend);
    for (var i = 0; i < doc.sel.ranges.length; i++)
      { out[i] = extendRange(doc.sel.ranges[i], heads[i], null, extend); }
    var newSel = normalizeSelection(doc.cm, out, doc.sel.primIndex);
    setSelection(doc, newSel, options);
  }

  // Updates a single range in the selection.
  function replaceOneSelection(doc, i, range, options) {
    var ranges = doc.sel.ranges.slice(0);
    ranges[i] = range;
    setSelection(doc, normalizeSelection(doc.cm, ranges, doc.sel.primIndex), options);
  }

  // Reset the selection to a single range.
  function setSimpleSelection(doc, anchor, head, options) {
    setSelection(doc, simpleSelection(anchor, head), options);
  }

  // Give beforeSelectionChange handlers a change to influence a
  // selection update.
  function filterSelectionChange(doc, sel, options) {
    var obj = {
      ranges: sel.ranges,
      update: function(ranges) {
        this.ranges = [];
        for (var i = 0; i < ranges.length; i++)
          { this.ranges[i] = new Range(clipPos(doc, ranges[i].anchor),
                                     clipPos(doc, ranges[i].head)); }
      },
      origin: options && options.origin
    };
    signal(doc, "beforeSelectionChange", doc, obj);
    if (doc.cm) { signal(doc.cm, "beforeSelectionChange", doc.cm, obj); }
    if (obj.ranges != sel.ranges) { return normalizeSelection(doc.cm, obj.ranges, obj.ranges.length - 1) }
    else { return sel }
  }

  function setSelectionReplaceHistory(doc, sel, options) {
    var done = doc.history.done, last = lst(done);
    if (last && last.ranges) {
      done[done.length - 1] = sel;
      setSelectionNoUndo(doc, sel, options);
    } else {
      setSelection(doc, sel, options);
    }
  }

  // Set a new selection.
  function setSelection(doc, sel, options) {
    setSelectionNoUndo(doc, sel, options);
    addSelectionToHistory(doc, doc.sel, doc.cm ? doc.cm.curOp.id : NaN, options);
  }

  function setSelectionNoUndo(doc, sel, options) {
    if (hasHandler(doc, "beforeSelectionChange") || doc.cm && hasHandler(doc.cm, "beforeSelectionChange"))
      { sel = filterSelectionChange(doc, sel, options); }

    var bias = options && options.bias ||
      (cmp(sel.primary().head, doc.sel.primary().head) < 0 ? -1 : 1);
    setSelectionInner(doc, skipAtomicInSelection(doc, sel, bias, true));

    if (!(options && options.scroll === false) && doc.cm && doc.cm.getOption("readOnly") != "nocursor")
      { ensureCursorVisible(doc.cm); }
  }

  function setSelectionInner(doc, sel) {
    if (sel.equals(doc.sel)) { return }

    doc.sel = sel;

    if (doc.cm) {
      doc.cm.curOp.updateInput = 1;
      doc.cm.curOp.selectionChanged = true;
      signalCursorActivity(doc.cm);
    }
    signalLater(doc, "cursorActivity", doc);
  }

  // Verify that the selection does not partially select any atomic
  // marked ranges.
  function reCheckSelection(doc) {
    setSelectionInner(doc, skipAtomicInSelection(doc, doc.sel, null, false));
  }

  // Return a selection that does not partially select any atomic
  // ranges.
  function skipAtomicInSelection(doc, sel, bias, mayClear) {
    var out;
    for (var i = 0; i < sel.ranges.length; i++) {
      var range = sel.ranges[i];
      var old = sel.ranges.length == doc.sel.ranges.length && doc.sel.ranges[i];
      var newAnchor = skipAtomic(doc, range.anchor, old && old.anchor, bias, mayClear);
      var newHead = skipAtomic(doc, range.head, old && old.head, bias, mayClear);
      if (out || newAnchor != range.anchor || newHead != range.head) {
        if (!out) { out = sel.ranges.slice(0, i); }
        out[i] = new Range(newAnchor, newHead);
      }
    }
    return out ? normalizeSelection(doc.cm, out, sel.primIndex) : sel
  }

  function skipAtomicInner(doc, pos, oldPos, dir, mayClear) {
    var line = getLine(doc, pos.line);
    if (line.markedSpans) { for (var i = 0; i < line.markedSpans.length; ++i) {
      var sp = line.markedSpans[i], m = sp.marker;

      // Determine if we should prevent the cursor being placed to the left/right of an atomic marker
      // Historically this was determined using the inclusiveLeft/Right option, but the new way to control it
      // is with selectLeft/Right
      var preventCursorLeft = ("selectLeft" in m) ? !m.selectLeft : m.inclusiveLeft;
      var preventCursorRight = ("selectRight" in m) ? !m.selectRight : m.inclusiveRight;

      if ((sp.from == null || (preventCursorLeft ? sp.from <= pos.ch : sp.from < pos.ch)) &&
          (sp.to == null || (preventCursorRight ? sp.to >= pos.ch : sp.to > pos.ch))) {
        if (mayClear) {
          signal(m, "beforeCursorEnter");
          if (m.explicitlyCleared) {
            if (!line.markedSpans) { break }
            else {--i; continue}
          }
        }
        if (!m.atomic) { continue }

        if (oldPos) {
          var near = m.find(dir < 0 ? 1 : -1), diff = (void 0);
          if (dir < 0 ? preventCursorRight : preventCursorLeft)
            { near = movePos(doc, near, -dir, near && near.line == pos.line ? line : null); }
          if (near && near.line == pos.line && (diff = cmp(near, oldPos)) && (dir < 0 ? diff < 0 : diff > 0))
            { return skipAtomicInner(doc, near, pos, dir, mayClear) }
        }

        var far = m.find(dir < 0 ? -1 : 1);
        if (dir < 0 ? preventCursorLeft : preventCursorRight)
          { far = movePos(doc, far, dir, far.line == pos.line ? line : null); }
        return far ? skipAtomicInner(doc, far, pos, dir, mayClear) : null
      }
    } }
    return pos
  }

  // Ensure a given position is not inside an atomic range.
  function skipAtomic(doc, pos, oldPos, bias, mayClear) {
    var dir = bias || 1;
    var found = skipAtomicInner(doc, pos, oldPos, dir, mayClear) ||
        (!mayClear && skipAtomicInner(doc, pos, oldPos, dir, true)) ||
        skipAtomicInner(doc, pos, oldPos, -dir, mayClear) ||
        (!mayClear && skipAtomicInner(doc, pos, oldPos, -dir, true));
    if (!found) {
      doc.cantEdit = true;
      return Pos(doc.first, 0)
    }
    return found
  }

  function movePos(doc, pos, dir, line) {
    if (dir < 0 && pos.ch == 0) {
      if (pos.line > doc.first) { return clipPos(doc, Pos(pos.line - 1)) }
      else { return null }
    } else if (dir > 0 && pos.ch == (line || getLine(doc, pos.line)).text.length) {
      if (pos.line < doc.first + doc.size - 1) { return Pos(pos.line + 1, 0) }
      else { return null }
    } else {
      return new Pos(pos.line, pos.ch + dir)
    }
  }

  function selectAll(cm) {
    cm.setSelection(Pos(cm.firstLine(), 0), Pos(cm.lastLine()), sel_dontScroll);
  }

  // UPDATING

  // Allow "beforeChange" event handlers to influence a change
  function filterChange(doc, change, update) {
    var obj = {
      canceled: false,
      from: change.from,
      to: change.to,
      text: change.text,
      origin: change.origin,
      cancel: function () { return obj.canceled = true; }
    };
    if (update) { obj.update = function (from, to, text, origin) {
      if (from) { obj.from = clipPos(doc, from); }
      if (to) { obj.to = clipPos(doc, to); }
      if (text) { obj.text = text; }
      if (origin !== undefined) { obj.origin = origin; }
    }; }
    signal(doc, "beforeChange", doc, obj);
    if (doc.cm) { signal(doc.cm, "beforeChange", doc.cm, obj); }

    if (obj.canceled) {
      if (doc.cm) { doc.cm.curOp.updateInput = 2; }
      return null
    }
    return {from: obj.from, to: obj.to, text: obj.text, origin: obj.origin}
  }

  // Apply a change to a document, and add it to the document's
  // history, and propagating it to all linked documents.
  function makeChange(doc, change, ignoreReadOnly) {
    if (doc.cm) {
      if (!doc.cm.curOp) { return operation(doc.cm, makeChange)(doc, change, ignoreReadOnly) }
      if (doc.cm.state.suppressEdits) { return }
    }

    if (hasHandler(doc, "beforeChange") || doc.cm && hasHandler(doc.cm, "beforeChange")) {
      change = filterChange(doc, change, true);
      if (!change) { return }
    }

    // Possibly split or suppress the update based on the presence
    // of read-only spans in its range.
    var split = sawReadOnlySpans && !ignoreReadOnly && removeReadOnlyRanges(doc, change.from, change.to);
    if (split) {
      for (var i = split.length - 1; i >= 0; --i)
        { makeChangeInner(doc, {from: split[i].from, to: split[i].to, text: i ? [""] : change.text, origin: change.origin}); }
    } else {
      makeChangeInner(doc, change);
    }
  }

  function makeChangeInner(doc, change) {
    if (change.text.length == 1 && change.text[0] == "" && cmp(change.from, change.to) == 0) { return }
    var selAfter = computeSelAfterChange(doc, change);
    addChangeToHistory(doc, change, selAfter, doc.cm ? doc.cm.curOp.id : NaN);

    makeChangeSingleDoc(doc, change, selAfter, stretchSpansOverChange(doc, change));
    var rebased = [];

    linkedDocs(doc, function (doc, sharedHist) {
      if (!sharedHist && indexOf(rebased, doc.history) == -1) {
        rebaseHist(doc.history, change);
        rebased.push(doc.history);
      }
      makeChangeSingleDoc(doc, change, null, stretchSpansOverChange(doc, change));
    });
  }

  // Revert a change stored in a document's history.
  function makeChangeFromHistory(doc, type, allowSelectionOnly) {
    var suppress = doc.cm && doc.cm.state.suppressEdits;
    if (suppress && !allowSelectionOnly) { return }

    var hist = doc.history, event, selAfter = doc.sel;
    var source = type == "undo" ? hist.done : hist.undone, dest = type == "undo" ? hist.undone : hist.done;

    // Verify that there is a useable event (so that ctrl-z won't
    // needlessly clear selection events)
    var i = 0;
    for (; i < source.length; i++) {
      event = source[i];
      if (allowSelectionOnly ? event.ranges && !event.equals(doc.sel) : !event.ranges)
        { break }
    }
    if (i == source.length) { return }
    hist.lastOrigin = hist.lastSelOrigin = null;

    for (;;) {
      event = source.pop();
      if (event.ranges) {
        pushSelectionToHistory(event, dest);
        if (allowSelectionOnly && !event.equals(doc.sel)) {
          setSelection(doc, event, {clearRedo: false});
          return
        }
        selAfter = event;
      } else if (suppress) {
        source.push(event);
        return
      } else { break }
    }

    // Build up a reverse change object to add to the opposite history
    // stack (redo when undoing, and vice versa).
    var antiChanges = [];
    pushSelectionToHistory(selAfter, dest);
    dest.push({changes: antiChanges, generation: hist.generation});
    hist.generation = event.generation || ++hist.maxGeneration;

    var filter = hasHandler(doc, "beforeChange") || doc.cm && hasHandler(doc.cm, "beforeChange");

    var loop = function ( i ) {
      var change = event.changes[i];
      change.origin = type;
      if (filter && !filterChange(doc, change, false)) {
        source.length = 0;
        return {}
      }

      antiChanges.push(historyChangeFromChange(doc, change));

      var after = i ? computeSelAfterChange(doc, change) : lst(source);
      makeChangeSingleDoc(doc, change, after, mergeOldSpans(doc, change));
      if (!i && doc.cm) { doc.cm.scrollIntoView({from: change.from, to: changeEnd(change)}); }
      var rebased = [];

      // Propagate to the linked documents
      linkedDocs(doc, function (doc, sharedHist) {
        if (!sharedHist && indexOf(rebased, doc.history) == -1) {
          rebaseHist(doc.history, change);
          rebased.push(doc.history);
        }
        makeChangeSingleDoc(doc, change, null, mergeOldSpans(doc, change));
      });
    };

    for (var i$1 = event.changes.length - 1; i$1 >= 0; --i$1) {
      var returned = loop( i$1 );

      if ( returned ) return returned.v;
    }
  }

  // Sub-views need their line numbers shifted when text is added
  // above or below them in the parent document.
  function shiftDoc(doc, distance) {
    if (distance == 0) { return }
    doc.first += distance;
    doc.sel = new Selection(map(doc.sel.ranges, function (range) { return new Range(
      Pos(range.anchor.line + distance, range.anchor.ch),
      Pos(range.head.line + distance, range.head.ch)
    ); }), doc.sel.primIndex);
    if (doc.cm) {
      regChange(doc.cm, doc.first, doc.first - distance, distance);
      for (var d = doc.cm.display, l = d.viewFrom; l < d.viewTo; l++)
        { regLineChange(doc.cm, l, "gutter"); }
    }
  }

  // More lower-level change function, handling only a single document
  // (not linked ones).
  function makeChangeSingleDoc(doc, change, selAfter, spans) {
    if (doc.cm && !doc.cm.curOp)
      { return operation(doc.cm, makeChangeSingleDoc)(doc, change, selAfter, spans) }

    if (change.to.line < doc.first) {
      shiftDoc(doc, change.text.length - 1 - (change.to.line - change.from.line));
      return
    }
    if (change.from.line > doc.lastLine()) { return }

    // Clip the change to the size of this doc
    if (change.from.line < doc.first) {
      var shift = change.text.length - 1 - (doc.first - change.from.line);
      shiftDoc(doc, shift);
      change = {from: Pos(doc.first, 0), to: Pos(change.to.line + shift, change.to.ch),
                text: [lst(change.text)], origin: change.origin};
    }
    var last = doc.lastLine();
    if (change.to.line > last) {
      change = {from: change.from, to: Pos(last, getLine(doc, last).text.length),
                text: [change.text[0]], origin: change.origin};
    }

    change.removed = getBetween(doc, change.from, change.to);

    if (!selAfter) { selAfter = computeSelAfterChange(doc, change); }
    if (doc.cm) { makeChangeSingleDocInEditor(doc.cm, change, spans); }
    else { updateDoc(doc, change, spans); }
    setSelectionNoUndo(doc, selAfter, sel_dontScroll);

    if (doc.cantEdit && skipAtomic(doc, Pos(doc.firstLine(), 0)))
      { doc.cantEdit = false; }
  }

  // Handle the interaction of a change to a document with the editor
  // that this document is part of.
  function makeChangeSingleDocInEditor(cm, change, spans) {
    var doc = cm.doc, display = cm.display, from = change.from, to = change.to;

    var recomputeMaxLength = false, checkWidthStart = from.line;
    if (!cm.options.lineWrapping) {
      checkWidthStart = lineNo(visualLine(getLine(doc, from.line)));
      doc.iter(checkWidthStart, to.line + 1, function (line) {
        if (line == display.maxLine) {
          recomputeMaxLength = true;
          return true
        }
      });
    }

    if (doc.sel.contains(change.from, change.to) > -1)
      { signalCursorActivity(cm); }

    updateDoc(doc, change, spans, estimateHeight(cm));

    if (!cm.options.lineWrapping) {
      doc.iter(checkWidthStart, from.line + change.text.length, function (line) {
        var len = lineLength(line);
        if (len > display.maxLineLength) {
          display.maxLine = line;
          display.maxLineLength = len;
          display.maxLineChanged = true;
          recomputeMaxLength = false;
        }
      });
      if (recomputeMaxLength) { cm.curOp.updateMaxLine = true; }
    }

    retreatFrontier(doc, from.line);
    startWorker(cm, 400);

    var lendiff = change.text.length - (to.line - from.line) - 1;
    // Remember that these lines changed, for updating the display
    if (change.full)
      { regChange(cm); }
    else if (from.line == to.line && change.text.length == 1 && !isWholeLineUpdate(cm.doc, change))
      { regLineChange(cm, from.line, "text"); }
    else
      { regChange(cm, from.line, to.line + 1, lendiff); }

    var changesHandler = hasHandler(cm, "changes"), changeHandler = hasHandler(cm, "change");
    if (changeHandler || changesHandler) {
      var obj = {
        from: from, to: to,
        text: change.text,
        removed: change.removed,
        origin: change.origin
      };
      if (changeHandler) { signalLater(cm, "change", cm, obj); }
      if (changesHandler) { (cm.curOp.changeObjs || (cm.curOp.changeObjs = [])).push(obj); }
    }
    cm.display.selForContextMenu = null;
  }

  function replaceRange(doc, code, from, to, origin) {
    var assign;

    if (!to) { to = from; }
    if (cmp(to, from) < 0) { (assign = [to, from], from = assign[0], to = assign[1]); }
    if (typeof code == "string") { code = doc.splitLines(code); }
    makeChange(doc, {from: from, to: to, text: code, origin: origin});
  }

  // Rebasing/resetting history to deal with externally-sourced changes

  function rebaseHistSelSingle(pos, from, to, diff) {
    if (to < pos.line) {
      pos.line += diff;
    } else if (from < pos.line) {
      pos.line = from;
      pos.ch = 0;
    }
  }

  // Tries to rebase an array of history events given a change in the
  // document. If the change touches the same lines as the event, the
  // event, and everything 'behind' it, is discarded. If the change is
  // before the event, the event's positions are updated. Uses a
  // copy-on-write scheme for the positions, to avoid having to
  // reallocate them all on every rebase, but also avoid problems with
  // shared position objects being unsafely updated.
  function rebaseHistArray(array, from, to, diff) {
    for (var i = 0; i < array.length; ++i) {
      var sub = array[i], ok = true;
      if (sub.ranges) {
        if (!sub.copied) { sub = array[i] = sub.deepCopy(); sub.copied = true; }
        for (var j = 0; j < sub.ranges.length; j++) {
          rebaseHistSelSingle(sub.ranges[j].anchor, from, to, diff);
          rebaseHistSelSingle(sub.ranges[j].head, from, to, diff);
        }
        continue
      }
      for (var j$1 = 0; j$1 < sub.changes.length; ++j$1) {
        var cur = sub.changes[j$1];
        if (to < cur.from.line) {
          cur.from = Pos(cur.from.line + diff, cur.from.ch);
          cur.to = Pos(cur.to.line + diff, cur.to.ch);
        } else if (from <= cur.to.line) {
          ok = false;
          break
        }
      }
      if (!ok) {
        array.splice(0, i + 1);
        i = 0;
      }
    }
  }

  function rebaseHist(hist, change) {
    var from = change.from.line, to = change.to.line, diff = change.text.length - (to - from) - 1;
    rebaseHistArray(hist.done, from, to, diff);
    rebaseHistArray(hist.undone, from, to, diff);
  }

  // Utility for applying a change to a line by handle or number,
  // returning the number and optionally registering the line as
  // changed.
  function changeLine(doc, handle, changeType, op) {
    var no = handle, line = handle;
    if (typeof handle == "number") { line = getLine(doc, clipLine(doc, handle)); }
    else { no = lineNo(handle); }
    if (no == null) { return null }
    if (op(line, no) && doc.cm) { regLineChange(doc.cm, no, changeType); }
    return line
  }

  // The document is represented as a BTree consisting of leaves, with
  // chunk of lines in them, and branches, with up to ten leaves or
  // other branch nodes below them. The top node is always a branch
  // node, and is the document object itself (meaning it has
  // additional methods and properties).
  //
  // All nodes have parent links. The tree is used both to go from
  // line numbers to line objects, and to go from objects to numbers.
  // It also indexes by height, and is used to convert between height
  // and line object, and to find the total height of the document.
  //
  // See also http://marijnhaverbeke.nl/blog/codemirror-line-tree.html

  function LeafChunk(lines) {
    this.lines = lines;
    this.parent = null;
    var height = 0;
    for (var i = 0; i < lines.length; ++i) {
      lines[i].parent = this;
      height += lines[i].height;
    }
    this.height = height;
  }

  LeafChunk.prototype = {
    chunkSize: function() { return this.lines.length },

    // Remove the n lines at offset 'at'.
    removeInner: function(at, n) {
      for (var i = at, e = at + n; i < e; ++i) {
        var line = this.lines[i];
        this.height -= line.height;
        cleanUpLine(line);
        signalLater(line, "delete");
      }
      this.lines.splice(at, n);
    },

    // Helper used to collapse a small branch into a single leaf.
    collapse: function(lines) {
      lines.push.apply(lines, this.lines);
    },

    // Insert the given array of lines at offset 'at', count them as
    // having the given height.
    insertInner: function(at, lines, height) {
      this.height += height;
      this.lines = this.lines.slice(0, at).concat(lines).concat(this.lines.slice(at));
      for (var i = 0; i < lines.length; ++i) { lines[i].parent = this; }
    },

    // Used to iterate over a part of the tree.
    iterN: function(at, n, op) {
      for (var e = at + n; at < e; ++at)
        { if (op(this.lines[at])) { return true } }
    }
  };

  function BranchChunk(children) {
    this.children = children;
    var size = 0, height = 0;
    for (var i = 0; i < children.length; ++i) {
      var ch = children[i];
      size += ch.chunkSize(); height += ch.height;
      ch.parent = this;
    }
    this.size = size;
    this.height = height;
    this.parent = null;
  }

  BranchChunk.prototype = {
    chunkSize: function() { return this.size },

    removeInner: function(at, n) {
      this.size -= n;
      for (var i = 0; i < this.children.length; ++i) {
        var child = this.children[i], sz = child.chunkSize();
        if (at < sz) {
          var rm = Math.min(n, sz - at), oldHeight = child.height;
          child.removeInner(at, rm);
          this.height -= oldHeight - child.height;
          if (sz == rm) { this.children.splice(i--, 1); child.parent = null; }
          if ((n -= rm) == 0) { break }
          at = 0;
        } else { at -= sz; }
      }
      // If the result is smaller than 25 lines, ensure that it is a
      // single leaf node.
      if (this.size - n < 25 &&
          (this.children.length > 1 || !(this.children[0] instanceof LeafChunk))) {
        var lines = [];
        this.collapse(lines);
        this.children = [new LeafChunk(lines)];
        this.children[0].parent = this;
      }
    },

    collapse: function(lines) {
      for (var i = 0; i < this.children.length; ++i) { this.children[i].collapse(lines); }
    },

    insertInner: function(at, lines, height) {
      this.size += lines.length;
      this.height += height;
      for (var i = 0; i < this.children.length; ++i) {
        var child = this.children[i], sz = child.chunkSize();
        if (at <= sz) {
          child.insertInner(at, lines, height);
          if (child.lines && child.lines.length > 50) {
            // To avoid memory thrashing when child.lines is huge (e.g. first view of a large file), it's never spliced.
            // Instead, small slices are taken. They're taken in order because sequential memory accesses are fastest.
            var remaining = child.lines.length % 25 + 25;
            for (var pos = remaining; pos < child.lines.length;) {
              var leaf = new LeafChunk(child.lines.slice(pos, pos += 25));
              child.height -= leaf.height;
              this.children.splice(++i, 0, leaf);
              leaf.parent = this;
            }
            child.lines = child.lines.slice(0, remaining);
            this.maybeSpill();
          }
          break
        }
        at -= sz;
      }
    },

    // When a node has grown, check whether it should be split.
    maybeSpill: function() {
      if (this.children.length <= 10) { return }
      var me = this;
      do {
        var spilled = me.children.splice(me.children.length - 5, 5);
        var sibling = new BranchChunk(spilled);
        if (!me.parent) { // Become the parent node
          var copy = new BranchChunk(me.children);
          copy.parent = me;
          me.children = [copy, sibling];
          me = copy;
       } else {
          me.size -= sibling.size;
          me.height -= sibling.height;
          var myIndex = indexOf(me.parent.children, me);
          me.parent.children.splice(myIndex + 1, 0, sibling);
        }
        sibling.parent = me.parent;
      } while (me.children.length > 10)
      me.parent.maybeSpill();
    },

    iterN: function(at, n, op) {
      for (var i = 0; i < this.children.length; ++i) {
        var child = this.children[i], sz = child.chunkSize();
        if (at < sz) {
          var used = Math.min(n, sz - at);
          if (child.iterN(at, used, op)) { return true }
          if ((n -= used) == 0) { break }
          at = 0;
        } else { at -= sz; }
      }
    }
  };

  // Line widgets are block elements displayed above or below a line.

  var LineWidget = function(doc, node, options) {
    if (options) { for (var opt in options) { if (options.hasOwnProperty(opt))
      { this[opt] = options[opt]; } } }
    this.doc = doc;
    this.node = node;
  };

  LineWidget.prototype.clear = function () {
    var cm = this.doc.cm, ws = this.line.widgets, line = this.line, no = lineNo(line);
    if (no == null || !ws) { return }
    for (var i = 0; i < ws.length; ++i) { if (ws[i] == this) { ws.splice(i--, 1); } }
    if (!ws.length) { line.widgets = null; }
    var height = widgetHeight(this);
    updateLineHeight(line, Math.max(0, line.height - height));
    if (cm) {
      runInOp(cm, function () {
        adjustScrollWhenAboveVisible(cm, line, -height);
        regLineChange(cm, no, "widget");
      });
      signalLater(cm, "lineWidgetCleared", cm, this, no);
    }
  };

  LineWidget.prototype.changed = function () {
      var this$1 = this;

    var oldH = this.height, cm = this.doc.cm, line = this.line;
    this.height = null;
    var diff = widgetHeight(this) - oldH;
    if (!diff) { return }
    if (!lineIsHidden(this.doc, line)) { updateLineHeight(line, line.height + diff); }
    if (cm) {
      runInOp(cm, function () {
        cm.curOp.forceUpdate = true;
        adjustScrollWhenAboveVisible(cm, line, diff);
        signalLater(cm, "lineWidgetChanged", cm, this$1, lineNo(line));
      });
    }
  };
  eventMixin(LineWidget);

  function adjustScrollWhenAboveVisible(cm, line, diff) {
    if (heightAtLine(line) < ((cm.curOp && cm.curOp.scrollTop) || cm.doc.scrollTop))
      { addToScrollTop(cm, diff); }
  }

  function addLineWidget(doc, handle, node, options) {
    var widget = new LineWidget(doc, node, options);
    var cm = doc.cm;
    if (cm && widget.noHScroll) { cm.display.alignWidgets = true; }
    changeLine(doc, handle, "widget", function (line) {
      var widgets = line.widgets || (line.widgets = []);
      if (widget.insertAt == null) { widgets.push(widget); }
      else { widgets.splice(Math.min(widgets.length, Math.max(0, widget.insertAt)), 0, widget); }
      widget.line = line;
      if (cm && !lineIsHidden(doc, line)) {
        var aboveVisible = heightAtLine(line) < doc.scrollTop;
        updateLineHeight(line, line.height + widgetHeight(widget));
        if (aboveVisible) { addToScrollTop(cm, widget.height); }
        cm.curOp.forceUpdate = true;
      }
      return true
    });
    if (cm) { signalLater(cm, "lineWidgetAdded", cm, widget, typeof handle == "number" ? handle : lineNo(handle)); }
    return widget
  }

  // TEXTMARKERS

  // Created with markText and setBookmark methods. A TextMarker is a
  // handle that can be used to clear or find a marked position in the
  // document. Line objects hold arrays (markedSpans) containing
  // {from, to, marker} object pointing to such marker objects, and
  // indicating that such a marker is present on that line. Multiple
  // lines may point to the same marker when it spans across lines.
  // The spans will have null for their from/to properties when the
  // marker continues beyond the start/end of the line. Markers have
  // links back to the lines they currently touch.

  // Collapsed markers have unique ids, in order to be able to order
  // them, which is needed for uniquely determining an outer marker
  // when they overlap (they may nest, but not partially overlap).
  var nextMarkerId = 0;

  var TextMarker = function(doc, type) {
    this.lines = [];
    this.type = type;
    this.doc = doc;
    this.id = ++nextMarkerId;
  };

  // Clear the marker.
  TextMarker.prototype.clear = function () {
    if (this.explicitlyCleared) { return }
    var cm = this.doc.cm, withOp = cm && !cm.curOp;
    if (withOp) { startOperation(cm); }
    if (hasHandler(this, "clear")) {
      var found = this.find();
      if (found) { signalLater(this, "clear", found.from, found.to); }
    }
    var min = null, max = null;
    for (var i = 0; i < this.lines.length; ++i) {
      var line = this.lines[i];
      var span = getMarkedSpanFor(line.markedSpans, this);
      if (cm && !this.collapsed) { regLineChange(cm, lineNo(line), "text"); }
      else if (cm) {
        if (span.to != null) { max = lineNo(line); }
        if (span.from != null) { min = lineNo(line); }
      }
      line.markedSpans = removeMarkedSpan(line.markedSpans, span);
      if (span.from == null && this.collapsed && !lineIsHidden(this.doc, line) && cm)
        { updateLineHeight(line, textHeight(cm.display)); }
    }
    if (cm && this.collapsed && !cm.options.lineWrapping) { for (var i$1 = 0; i$1 < this.lines.length; ++i$1) {
      var visual = visualLine(this.lines[i$1]), len = lineLength(visual);
      if (len > cm.display.maxLineLength) {
        cm.display.maxLine = visual;
        cm.display.maxLineLength = len;
        cm.display.maxLineChanged = true;
      }
    } }

    if (min != null && cm && this.collapsed) { regChange(cm, min, max + 1); }
    this.lines.length = 0;
    this.explicitlyCleared = true;
    if (this.atomic && this.doc.cantEdit) {
      this.doc.cantEdit = false;
      if (cm) { reCheckSelection(cm.doc); }
    }
    if (cm) { signalLater(cm, "markerCleared", cm, this, min, max); }
    if (withOp) { endOperation(cm); }
    if (this.parent) { this.parent.clear(); }
  };

  // Find the position of the marker in the document. Returns a {from,
  // to} object by default. Side can be passed to get a specific side
  // -- 0 (both), -1 (left), or 1 (right). When lineObj is true, the
  // Pos objects returned contain a line object, rather than a line
  // number (used to prevent looking up the same line twice).
  TextMarker.prototype.find = function (side, lineObj) {
    if (side == null && this.type == "bookmark") { side = 1; }
    var from, to;
    for (var i = 0; i < this.lines.length; ++i) {
      var line = this.lines[i];
      var span = getMarkedSpanFor(line.markedSpans, this);
      if (span.from != null) {
        from = Pos(lineObj ? line : lineNo(line), span.from);
        if (side == -1) { return from }
      }
      if (span.to != null) {
        to = Pos(lineObj ? line : lineNo(line), span.to);
        if (side == 1) { return to }
      }
    }
    return from && {from: from, to: to}
  };

  // Signals that the marker's widget changed, and surrounding layout
  // should be recomputed.
  TextMarker.prototype.changed = function () {
      var this$1 = this;

    var pos = this.find(-1, true), widget = this, cm = this.doc.cm;
    if (!pos || !cm) { return }
    runInOp(cm, function () {
      var line = pos.line, lineN = lineNo(pos.line);
      var view = findViewForLine(cm, lineN);
      if (view) {
        clearLineMeasurementCacheFor(view);
        cm.curOp.selectionChanged = cm.curOp.forceUpdate = true;
      }
      cm.curOp.updateMaxLine = true;
      if (!lineIsHidden(widget.doc, line) && widget.height != null) {
        var oldHeight = widget.height;
        widget.height = null;
        var dHeight = widgetHeight(widget) - oldHeight;
        if (dHeight)
          { updateLineHeight(line, line.height + dHeight); }
      }
      signalLater(cm, "markerChanged", cm, this$1);
    });
  };

  TextMarker.prototype.attachLine = function (line) {
    if (!this.lines.length && this.doc.cm) {
      var op = this.doc.cm.curOp;
      if (!op.maybeHiddenMarkers || indexOf(op.maybeHiddenMarkers, this) == -1)
        { (op.maybeUnhiddenMarkers || (op.maybeUnhiddenMarkers = [])).push(this); }
    }
    this.lines.push(line);
  };

  TextMarker.prototype.detachLine = function (line) {
    this.lines.splice(indexOf(this.lines, line), 1);
    if (!this.lines.length && this.doc.cm) {
      var op = this.doc.cm.curOp
      ;(op.maybeHiddenMarkers || (op.maybeHiddenMarkers = [])).push(this);
    }
  };
  eventMixin(TextMarker);

  // Create a marker, wire it up to the right lines, and
  function markText(doc, from, to, options, type) {
    // Shared markers (across linked documents) are handled separately
    // (markTextShared will call out to this again, once per
    // document).
    if (options && options.shared) { return markTextShared(doc, from, to, options, type) }
    // Ensure we are in an operation.
    if (doc.cm && !doc.cm.curOp) { return operation(doc.cm, markText)(doc, from, to, options, type) }

    var marker = new TextMarker(doc, type), diff = cmp(from, to);
    if (options) { copyObj(options, marker, false); }
    // Don't connect empty markers unless clearWhenEmpty is false
    if (diff > 0 || diff == 0 && marker.clearWhenEmpty !== false)
      { return marker }
    if (marker.replacedWith) {
      // Showing up as a widget implies collapsed (widget replaces text)
      marker.collapsed = true;
      marker.widgetNode = eltP("span", [marker.replacedWith], "CodeMirror-widget");
      if (!options.handleMouseEvents) { marker.widgetNode.setAttribute("cm-ignore-events", "true"); }
      if (options.insertLeft) { marker.widgetNode.insertLeft = true; }
    }
    if (marker.collapsed) {
      if (conflictingCollapsedRange(doc, from.line, from, to, marker) ||
          from.line != to.line && conflictingCollapsedRange(doc, to.line, from, to, marker))
        { throw new Error("Inserting collapsed marker partially overlapping an existing one") }
      seeCollapsedSpans();
    }

    if (marker.addToHistory)
      { addChangeToHistory(doc, {from: from, to: to, origin: "markText"}, doc.sel, NaN); }

    var curLine = from.line, cm = doc.cm, updateMaxLine;
    doc.iter(curLine, to.line + 1, function (line) {
      if (cm && marker.collapsed && !cm.options.lineWrapping && visualLine(line) == cm.display.maxLine)
        { updateMaxLine = true; }
      if (marker.collapsed && curLine != from.line) { updateLineHeight(line, 0); }
      addMarkedSpan(line, new MarkedSpan(marker,
                                         curLine == from.line ? from.ch : null,
                                         curLine == to.line ? to.ch : null));
      ++curLine;
    });
    // lineIsHidden depends on the presence of the spans, so needs a second pass
    if (marker.collapsed) { doc.iter(from.line, to.line + 1, function (line) {
      if (lineIsHidden(doc, line)) { updateLineHeight(line, 0); }
    }); }

    if (marker.clearOnEnter) { on(marker, "beforeCursorEnter", function () { return marker.clear(); }); }

    if (marker.readOnly) {
      seeReadOnlySpans();
      if (doc.history.done.length || doc.history.undone.length)
        { doc.clearHistory(); }
    }
    if (marker.collapsed) {
      marker.id = ++nextMarkerId;
      marker.atomic = true;
    }
    if (cm) {
      // Sync editor state
      if (updateMaxLine) { cm.curOp.updateMaxLine = true; }
      if (marker.collapsed)
        { regChange(cm, from.line, to.line + 1); }
      else if (marker.className || marker.startStyle || marker.endStyle || marker.css ||
               marker.attributes || marker.title)
        { for (var i = from.line; i <= to.line; i++) { regLineChange(cm, i, "text"); } }
      if (marker.atomic) { reCheckSelection(cm.doc); }
      signalLater(cm, "markerAdded", cm, marker);
    }
    return marker
  }

  // SHARED TEXTMARKERS

  // A shared marker spans multiple linked documents. It is
  // implemented as a meta-marker-object controlling multiple normal
  // markers.
  var SharedTextMarker = function(markers, primary) {
    this.markers = markers;
    this.primary = primary;
    for (var i = 0; i < markers.length; ++i)
      { markers[i].parent = this; }
  };

  SharedTextMarker.prototype.clear = function () {
    if (this.explicitlyCleared) { return }
    this.explicitlyCleared = true;
    for (var i = 0; i < this.markers.length; ++i)
      { this.markers[i].clear(); }
    signalLater(this, "clear");
  };

  SharedTextMarker.prototype.find = function (side, lineObj) {
    return this.primary.find(side, lineObj)
  };
  eventMixin(SharedTextMarker);

  function markTextShared(doc, from, to, options, type) {
    options = copyObj(options);
    options.shared = false;
    var markers = [markText(doc, from, to, options, type)], primary = markers[0];
    var widget = options.widgetNode;
    linkedDocs(doc, function (doc) {
      if (widget) { options.widgetNode = widget.cloneNode(true); }
      markers.push(markText(doc, clipPos(doc, from), clipPos(doc, to), options, type));
      for (var i = 0; i < doc.linked.length; ++i)
        { if (doc.linked[i].isParent) { return } }
      primary = lst(markers);
    });
    return new SharedTextMarker(markers, primary)
  }

  function findSharedMarkers(doc) {
    return doc.findMarks(Pos(doc.first, 0), doc.clipPos(Pos(doc.lastLine())), function (m) { return m.parent; })
  }

  function copySharedMarkers(doc, markers) {
    for (var i = 0; i < markers.length; i++) {
      var marker = markers[i], pos = marker.find();
      var mFrom = doc.clipPos(pos.from), mTo = doc.clipPos(pos.to);
      if (cmp(mFrom, mTo)) {
        var subMark = markText(doc, mFrom, mTo, marker.primary, marker.primary.type);
        marker.markers.push(subMark);
        subMark.parent = marker;
      }
    }
  }

  function detachSharedMarkers(markers) {
    var loop = function ( i ) {
      var marker = markers[i], linked = [marker.primary.doc];
      linkedDocs(marker.primary.doc, function (d) { return linked.push(d); });
      for (var j = 0; j < marker.markers.length; j++) {
        var subMarker = marker.markers[j];
        if (indexOf(linked, subMarker.doc) == -1) {
          subMarker.parent = null;
          marker.markers.splice(j--, 1);
        }
      }
    };

    for (var i = 0; i < markers.length; i++) loop( i );
  }

  var nextDocId = 0;
  var Doc = function(text, mode, firstLine, lineSep, direction) {
    if (!(this instanceof Doc)) { return new Doc(text, mode, firstLine, lineSep, direction) }
    if (firstLine == null) { firstLine = 0; }

    BranchChunk.call(this, [new LeafChunk([new Line("", null)])]);
    this.first = firstLine;
    this.scrollTop = this.scrollLeft = 0;
    this.cantEdit = false;
    this.cleanGeneration = 1;
    this.modeFrontier = this.highlightFrontier = firstLine;
    var start = Pos(firstLine, 0);
    this.sel = simpleSelection(start);
    this.history = new History(null);
    this.id = ++nextDocId;
    this.modeOption = mode;
    this.lineSep = lineSep;
    this.direction = (direction == "rtl") ? "rtl" : "ltr";
    this.extend = false;

    if (typeof text == "string") { text = this.splitLines(text); }
    updateDoc(this, {from: start, to: start, text: text});
    setSelection(this, simpleSelection(start), sel_dontScroll);
  };

  Doc.prototype = createObj(BranchChunk.prototype, {
    constructor: Doc,
    // Iterate over the document. Supports two forms -- with only one
    // argument, it calls that for each line in the document. With
    // three, it iterates over the range given by the first two (with
    // the second being non-inclusive).
    iter: function(from, to, op) {
      if (op) { this.iterN(from - this.first, to - from, op); }
      else { this.iterN(this.first, this.first + this.size, from); }
    },

    // Non-public interface for adding and removing lines.
    insert: function(at, lines) {
      var height = 0;
      for (var i = 0; i < lines.length; ++i) { height += lines[i].height; }
      this.insertInner(at - this.first, lines, height);
    },
    remove: function(at, n) { this.removeInner(at - this.first, n); },

    // From here, the methods are part of the public interface. Most
    // are also available from CodeMirror (editor) instances.

    getValue: function(lineSep) {
      var lines = getLines(this, this.first, this.first + this.size);
      if (lineSep === false) { return lines }
      return lines.join(lineSep || this.lineSeparator())
    },
    setValue: docMethodOp(function(code) {
      var top = Pos(this.first, 0), last = this.first + this.size - 1;
      makeChange(this, {from: top, to: Pos(last, getLine(this, last).text.length),
                        text: this.splitLines(code), origin: "setValue", full: true}, true);
      if (this.cm) { scrollToCoords(this.cm, 0, 0); }
      setSelection(this, simpleSelection(top), sel_dontScroll);
    }),
    replaceRange: function(code, from, to, origin) {
      from = clipPos(this, from);
      to = to ? clipPos(this, to) : from;
      replaceRange(this, code, from, to, origin);
    },
    getRange: function(from, to, lineSep) {
      var lines = getBetween(this, clipPos(this, from), clipPos(this, to));
      if (lineSep === false) { return lines }
      return lines.join(lineSep || this.lineSeparator())
    },

    getLine: function(line) {var l = this.getLineHandle(line); return l && l.text},

    getLineHandle: function(line) {if (isLine(this, line)) { return getLine(this, line) }},
    getLineNumber: function(line) {return lineNo(line)},

    getLineHandleVisualStart: function(line) {
      if (typeof line == "number") { line = getLine(this, line); }
      return visualLine(line)
    },

    lineCount: function() {return this.size},
    firstLine: function() {return this.first},
    lastLine: function() {return this.first + this.size - 1},

    clipPos: function(pos) {return clipPos(this, pos)},

    getCursor: function(start) {
      var range = this.sel.primary(), pos;
      if (start == null || start == "head") { pos = range.head; }
      else if (start == "anchor") { pos = range.anchor; }
      else if (start == "end" || start == "to" || start === false) { pos = range.to(); }
      else { pos = range.from(); }
      return pos
    },
    listSelections: function() { return this.sel.ranges },
    somethingSelected: function() {return this.sel.somethingSelected()},

    setCursor: docMethodOp(function(line, ch, options) {
      setSimpleSelection(this, clipPos(this, typeof line == "number" ? Pos(line, ch || 0) : line), null, options);
    }),
    setSelection: docMethodOp(function(anchor, head, options) {
      setSimpleSelection(this, clipPos(this, anchor), clipPos(this, head || anchor), options);
    }),
    extendSelection: docMethodOp(function(head, other, options) {
      extendSelection(this, clipPos(this, head), other && clipPos(this, other), options);
    }),
    extendSelections: docMethodOp(function(heads, options) {
      extendSelections(this, clipPosArray(this, heads), options);
    }),
    extendSelectionsBy: docMethodOp(function(f, options) {
      var heads = map(this.sel.ranges, f);
      extendSelections(this, clipPosArray(this, heads), options);
    }),
    setSelections: docMethodOp(function(ranges, primary, options) {
      if (!ranges.length) { return }
      var out = [];
      for (var i = 0; i < ranges.length; i++)
        { out[i] = new Range(clipPos(this, ranges[i].anchor),
                           clipPos(this, ranges[i].head)); }
      if (primary == null) { primary = Math.min(ranges.length - 1, this.sel.primIndex); }
      setSelection(this, normalizeSelection(this.cm, out, primary), options);
    }),
    addSelection: docMethodOp(function(anchor, head, options) {
      var ranges = this.sel.ranges.slice(0);
      ranges.push(new Range(clipPos(this, anchor), clipPos(this, head || anchor)));
      setSelection(this, normalizeSelection(this.cm, ranges, ranges.length - 1), options);
    }),

    getSelection: function(lineSep) {
      var ranges = this.sel.ranges, lines;
      for (var i = 0; i < ranges.length; i++) {
        var sel = getBetween(this, ranges[i].from(), ranges[i].to());
        lines = lines ? lines.concat(sel) : sel;
      }
      if (lineSep === false) { return lines }
      else { return lines.join(lineSep || this.lineSeparator()) }
    },
    getSelections: function(lineSep) {
      var parts = [], ranges = this.sel.ranges;
      for (var i = 0; i < ranges.length; i++) {
        var sel = getBetween(this, ranges[i].from(), ranges[i].to());
        if (lineSep !== false) { sel = sel.join(lineSep || this.lineSeparator()); }
        parts[i] = sel;
      }
      return parts
    },
    replaceSelection: function(code, collapse, origin) {
      var dup = [];
      for (var i = 0; i < this.sel.ranges.length; i++)
        { dup[i] = code; }
      this.replaceSelections(dup, collapse, origin || "+input");
    },
    replaceSelections: docMethodOp(function(code, collapse, origin) {
      var changes = [], sel = this.sel;
      for (var i = 0; i < sel.ranges.length; i++) {
        var range = sel.ranges[i];
        changes[i] = {from: range.from(), to: range.to(), text: this.splitLines(code[i]), origin: origin};
      }
      var newSel = collapse && collapse != "end" && computeReplacedSel(this, changes, collapse);
      for (var i$1 = changes.length - 1; i$1 >= 0; i$1--)
        { makeChange(this, changes[i$1]); }
      if (newSel) { setSelectionReplaceHistory(this, newSel); }
      else if (this.cm) { ensureCursorVisible(this.cm); }
    }),
    undo: docMethodOp(function() {makeChangeFromHistory(this, "undo");}),
    redo: docMethodOp(function() {makeChangeFromHistory(this, "redo");}),
    undoSelection: docMethodOp(function() {makeChangeFromHistory(this, "undo", true);}),
    redoSelection: docMethodOp(function() {makeChangeFromHistory(this, "redo", true);}),

    setExtending: function(val) {this.extend = val;},
    getExtending: function() {return this.extend},

    historySize: function() {
      var hist = this.history, done = 0, undone = 0;
      for (var i = 0; i < hist.done.length; i++) { if (!hist.done[i].ranges) { ++done; } }
      for (var i$1 = 0; i$1 < hist.undone.length; i$1++) { if (!hist.undone[i$1].ranges) { ++undone; } }
      return {undo: done, redo: undone}
    },
    clearHistory: function() {
      var this$1 = this;

      this.history = new History(this.history);
      linkedDocs(this, function (doc) { return doc.history = this$1.history; }, true);
    },

    markClean: function() {
      this.cleanGeneration = this.changeGeneration(true);
    },
    changeGeneration: function(forceSplit) {
      if (forceSplit)
        { this.history.lastOp = this.history.lastSelOp = this.history.lastOrigin = null; }
      return this.history.generation
    },
    isClean: function (gen) {
      return this.history.generation == (gen || this.cleanGeneration)
    },

    getHistory: function() {
      return {done: copyHistoryArray(this.history.done),
              undone: copyHistoryArray(this.history.undone)}
    },
    setHistory: function(histData) {
      var hist = this.history = new History(this.history);
      hist.done = copyHistoryArray(histData.done.slice(0), null, true);
      hist.undone = copyHistoryArray(histData.undone.slice(0), null, true);
    },

    setGutterMarker: docMethodOp(function(line, gutterID, value) {
      return changeLine(this, line, "gutter", function (line) {
        var markers = line.gutterMarkers || (line.gutterMarkers = {});
        markers[gutterID] = value;
        if (!value && isEmpty(markers)) { line.gutterMarkers = null; }
        return true
      })
    }),

    clearGutter: docMethodOp(function(gutterID) {
      var this$1 = this;

      this.iter(function (line) {
        if (line.gutterMarkers && line.gutterMarkers[gutterID]) {
          changeLine(this$1, line, "gutter", function () {
            line.gutterMarkers[gutterID] = null;
            if (isEmpty(line.gutterMarkers)) { line.gutterMarkers = null; }
            return true
          });
        }
      });
    }),

    lineInfo: function(line) {
      var n;
      if (typeof line == "number") {
        if (!isLine(this, line)) { return null }
        n = line;
        line = getLine(this, line);
        if (!line) { return null }
      } else {
        n = lineNo(line);
        if (n == null) { return null }
      }
      return {line: n, handle: line, text: line.text, gutterMarkers: line.gutterMarkers,
              textClass: line.textClass, bgClass: line.bgClass, wrapClass: line.wrapClass,
              widgets: line.widgets}
    },

    addLineClass: docMethodOp(function(handle, where, cls) {
      return changeLine(this, handle, where == "gutter" ? "gutter" : "class", function (line) {
        var prop = where == "text" ? "textClass"
                 : where == "background" ? "bgClass"
                 : where == "gutter" ? "gutterClass" : "wrapClass";
        if (!line[prop]) { line[prop] = cls; }
        else if (classTest(cls).test(line[prop])) { return false }
        else { line[prop] += " " + cls; }
        return true
      })
    }),
    removeLineClass: docMethodOp(function(handle, where, cls) {
      return changeLine(this, handle, where == "gutter" ? "gutter" : "class", function (line) {
        var prop = where == "text" ? "textClass"
                 : where == "background" ? "bgClass"
                 : where == "gutter" ? "gutterClass" : "wrapClass";
        var cur = line[prop];
        if (!cur) { return false }
        else if (cls == null) { line[prop] = null; }
        else {
          var found = cur.match(classTest(cls));
          if (!found) { return false }
          var end = found.index + found[0].length;
          line[prop] = cur.slice(0, found.index) + (!found.index || end == cur.length ? "" : " ") + cur.slice(end) || null;
        }
        return true
      })
    }),

    addLineWidget: docMethodOp(function(handle, node, options) {
      return addLineWidget(this, handle, node, options)
    }),
    removeLineWidget: function(widget) { widget.clear(); },

    markText: function(from, to, options) {
      return markText(this, clipPos(this, from), clipPos(this, to), options, options && options.type || "range")
    },
    setBookmark: function(pos, options) {
      var realOpts = {replacedWith: options && (options.nodeType == null ? options.widget : options),
                      insertLeft: options && options.insertLeft,
                      clearWhenEmpty: false, shared: options && options.shared,
                      handleMouseEvents: options && options.handleMouseEvents};
      pos = clipPos(this, pos);
      return markText(this, pos, pos, realOpts, "bookmark")
    },
    findMarksAt: function(pos) {
      pos = clipPos(this, pos);
      var markers = [], spans = getLine(this, pos.line).markedSpans;
      if (spans) { for (var i = 0; i < spans.length; ++i) {
        var span = spans[i];
        if ((span.from == null || span.from <= pos.ch) &&
            (span.to == null || span.to >= pos.ch))
          { markers.push(span.marker.parent || span.marker); }
      } }
      return markers
    },
    findMarks: function(from, to, filter) {
      from = clipPos(this, from); to = clipPos(this, to);
      var found = [], lineNo = from.line;
      this.iter(from.line, to.line + 1, function (line) {
        var spans = line.markedSpans;
        if (spans) { for (var i = 0; i < spans.length; i++) {
          var span = spans[i];
          if (!(span.to != null && lineNo == from.line && from.ch >= span.to ||
                span.from == null && lineNo != from.line ||
                span.from != null && lineNo == to.line && span.from >= to.ch) &&
              (!filter || filter(span.marker)))
            { found.push(span.marker.parent || span.marker); }
        } }
        ++lineNo;
      });
      return found
    },
    getAllMarks: function() {
      var markers = [];
      this.iter(function (line) {
        var sps = line.markedSpans;
        if (sps) { for (var i = 0; i < sps.length; ++i)
          { if (sps[i].from != null) { markers.push(sps[i].marker); } } }
      });
      return markers
    },

    posFromIndex: function(off) {
      var ch, lineNo = this.first, sepSize = this.lineSeparator().length;
      this.iter(function (line) {
        var sz = line.text.length + sepSize;
        if (sz > off) { ch = off; return true }
        off -= sz;
        ++lineNo;
      });
      return clipPos(this, Pos(lineNo, ch))
    },
    indexFromPos: function (coords) {
      coords = clipPos(this, coords);
      var index = coords.ch;
      if (coords.line < this.first || coords.ch < 0) { return 0 }
      var sepSize = this.lineSeparator().length;
      this.iter(this.first, coords.line, function (line) { // iter aborts when callback returns a truthy value
        index += line.text.length + sepSize;
      });
      return index
    },

    copy: function(copyHistory) {
      var doc = new Doc(getLines(this, this.first, this.first + this.size),
                        this.modeOption, this.first, this.lineSep, this.direction);
      doc.scrollTop = this.scrollTop; doc.scrollLeft = this.scrollLeft;
      doc.sel = this.sel;
      doc.extend = false;
      if (copyHistory) {
        doc.history.undoDepth = this.history.undoDepth;
        doc.setHistory(this.getHistory());
      }
      return doc
    },

    linkedDoc: function(options) {
      if (!options) { options = {}; }
      var from = this.first, to = this.first + this.size;
      if (options.from != null && options.from > from) { from = options.from; }
      if (options.to != null && options.to < to) { to = options.to; }
      var copy = new Doc(getLines(this, from, to), options.mode || this.modeOption, from, this.lineSep, this.direction);
      if (options.sharedHist) { copy.history = this.history
      ; }(this.linked || (this.linked = [])).push({doc: copy, sharedHist: options.sharedHist});
      copy.linked = [{doc: this, isParent: true, sharedHist: options.sharedHist}];
      copySharedMarkers(copy, findSharedMarkers(this));
      return copy
    },
    unlinkDoc: function(other) {
      if (other instanceof CodeMirror) { other = other.doc; }
      if (this.linked) { for (var i = 0; i < this.linked.length; ++i) {
        var link = this.linked[i];
        if (link.doc != other) { continue }
        this.linked.splice(i, 1);
        other.unlinkDoc(this);
        detachSharedMarkers(findSharedMarkers(this));
        break
      } }
      // If the histories were shared, split them again
      if (other.history == this.history) {
        var splitIds = [other.id];
        linkedDocs(other, function (doc) { return splitIds.push(doc.id); }, true);
        other.history = new History(null);
        other.history.done = copyHistoryArray(this.history.done, splitIds);
        other.history.undone = copyHistoryArray(this.history.undone, splitIds);
      }
    },
    iterLinkedDocs: function(f) {linkedDocs(this, f);},

    getMode: function() {return this.mode},
    getEditor: function() {return this.cm},

    splitLines: function(str) {
      if (this.lineSep) { return str.split(this.lineSep) }
      return splitLinesAuto(str)
    },
    lineSeparator: function() { return this.lineSep || "\n" },

    setDirection: docMethodOp(function (dir) {
      if (dir != "rtl") { dir = "ltr"; }
      if (dir == this.direction) { return }
      this.direction = dir;
      this.iter(function (line) { return line.order = null; });
      if (this.cm) { directionChanged(this.cm); }
    })
  });

  // Public alias.
  Doc.prototype.eachLine = Doc.prototype.iter;

  // Kludge to work around strange IE behavior where it'll sometimes
  // re-fire a series of drag-related events right after the drop (#1551)
  var lastDrop = 0;

  function onDrop(e) {
    var cm = this;
    clearDragCursor(cm);
    if (signalDOMEvent(cm, e) || eventInWidget(cm.display, e))
      { return }
    e_preventDefault(e);
    if (ie) { lastDrop = +new Date; }
    var pos = posFromMouse(cm, e, true), files = e.dataTransfer.files;
    if (!pos || cm.isReadOnly()) { return }
    // Might be a file drop, in which case we simply extract the text
    // and insert it.
    if (files && files.length && window.FileReader && window.File) {
      var n = files.length, text = Array(n), read = 0;
      var markAsReadAndPasteIfAllFilesAreRead = function () {
        if (++read == n) {
          operation(cm, function () {
            pos = clipPos(cm.doc, pos);
            var change = {from: pos, to: pos,
                          text: cm.doc.splitLines(
                              text.filter(function (t) { return t != null; }).join(cm.doc.lineSeparator())),
                          origin: "paste"};
            makeChange(cm.doc, change);
            setSelectionReplaceHistory(cm.doc, simpleSelection(clipPos(cm.doc, pos), clipPos(cm.doc, changeEnd(change))));
          })();
        }
      };
      var readTextFromFile = function (file, i) {
        if (cm.options.allowDropFileTypes &&
            indexOf(cm.options.allowDropFileTypes, file.type) == -1) {
          markAsReadAndPasteIfAllFilesAreRead();
          return
        }
        var reader = new FileReader;
        reader.onerror = function () { return markAsReadAndPasteIfAllFilesAreRead(); };
        reader.onload = function () {
          var content = reader.result;
          if (/[\x00-\x08\x0e-\x1f]{2}/.test(content)) {
            markAsReadAndPasteIfAllFilesAreRead();
            return
          }
          text[i] = content;
          markAsReadAndPasteIfAllFilesAreRead();
        };
        reader.readAsText(file);
      };
      for (var i = 0; i < files.length; i++) { readTextFromFile(files[i], i); }
    } else { // Normal drop
      // Don't do a replace if the drop happened inside of the selected text.
      if (cm.state.draggingText && cm.doc.sel.contains(pos) > -1) {
        cm.state.draggingText(e);
        // Ensure the editor is re-focused
        setTimeout(function () { return cm.display.input.focus(); }, 20);
        return
      }
      try {
        var text$1 = e.dataTransfer.getData("Text");
        if (text$1) {
          var selected;
          if (cm.state.draggingText && !cm.state.draggingText.copy)
            { selected = cm.listSelections(); }
          setSelectionNoUndo(cm.doc, simpleSelection(pos, pos));
          if (selected) { for (var i$1 = 0; i$1 < selected.length; ++i$1)
            { replaceRange(cm.doc, "", selected[i$1].anchor, selected[i$1].head, "drag"); } }
          cm.replaceSelection(text$1, "around", "paste");
          cm.display.input.focus();
        }
      }
      catch(e$1){}
    }
  }

  function onDragStart(cm, e) {
    if (ie && (!cm.state.draggingText || +new Date - lastDrop < 100)) { e_stop(e); return }
    if (signalDOMEvent(cm, e) || eventInWidget(cm.display, e)) { return }

    e.dataTransfer.setData("Text", cm.getSelection());
    e.dataTransfer.effectAllowed = "copyMove";

    // Use dummy image instead of default browsers image.
    // Recent Safari (~6.0.2) have a tendency to segfault when this happens, so we don't do it there.
    if (e.dataTransfer.setDragImage && !safari) {
      var img = elt("img", null, null, "position: fixed; left: 0; top: 0;");
      img.src = "data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==";
      if (presto) {
        img.width = img.height = 1;
        cm.display.wrapper.appendChild(img);
        // Force a relayout, or Opera won't use our image for some obscure reason
        img._top = img.offsetTop;
      }
      e.dataTransfer.setDragImage(img, 0, 0);
      if (presto) { img.parentNode.removeChild(img); }
    }
  }

  function onDragOver(cm, e) {
    var pos = posFromMouse(cm, e);
    if (!pos) { return }
    var frag = document.createDocumentFragment();
    drawSelectionCursor(cm, pos, frag);
    if (!cm.display.dragCursor) {
      cm.display.dragCursor = elt("div", null, "CodeMirror-cursors CodeMirror-dragcursors");
      cm.display.lineSpace.insertBefore(cm.display.dragCursor, cm.display.cursorDiv);
    }
    removeChildrenAndAdd(cm.display.dragCursor, frag);
  }

  function clearDragCursor(cm) {
    if (cm.display.dragCursor) {
      cm.display.lineSpace.removeChild(cm.display.dragCursor);
      cm.display.dragCursor = null;
    }
  }

  // These must be handled carefully, because naively registering a
  // handler for each editor will cause the editors to never be
  // garbage collected.

  function forEachCodeMirror(f) {
    if (!document.getElementsByClassName) { return }
    var byClass = document.getElementsByClassName("CodeMirror"), editors = [];
    for (var i = 0; i < byClass.length; i++) {
      var cm = byClass[i].CodeMirror;
      if (cm) { editors.push(cm); }
    }
    if (editors.length) { editors[0].operation(function () {
      for (var i = 0; i < editors.length; i++) { f(editors[i]); }
    }); }
  }

  var globalsRegistered = false;
  function ensureGlobalHandlers() {
    if (globalsRegistered) { return }
    registerGlobalHandlers();
    globalsRegistered = true;
  }
  function registerGlobalHandlers() {
    // When the window resizes, we need to refresh active editors.
    var resizeTimer;
    on(window, "resize", function () {
      if (resizeTimer == null) { resizeTimer = setTimeout(function () {
        resizeTimer = null;
        forEachCodeMirror(onResize);
      }, 100); }
    });
    // When the window loses focus, we want to show the editor as blurred
    on(window, "blur", function () { return forEachCodeMirror(onBlur); });
  }
  // Called when the window resizes
  function onResize(cm) {
    var d = cm.display;
    // Might be a text scaling operation, clear size caches.
    d.cachedCharWidth = d.cachedTextHeight = d.cachedPaddingH = null;
    d.scrollbarsClipped = false;
    cm.setSize();
  }

  var keyNames = {
    3: "Pause", 8: "Backspace", 9: "Tab", 13: "Enter", 16: "Shift", 17: "Ctrl", 18: "Alt",
    19: "Pause", 20: "CapsLock", 27: "Esc", 32: "Space", 33: "PageUp", 34: "PageDown", 35: "End",
    36: "Home", 37: "Left", 38: "Up", 39: "Right", 40: "Down", 44: "PrintScrn", 45: "Insert",
    46: "Delete", 59: ";", 61: "=", 91: "Mod", 92: "Mod", 93: "Mod",
    106: "*", 107: "=", 109: "-", 110: ".", 111: "/", 145: "ScrollLock",
    173: "-", 186: ";", 187: "=", 188: ",", 189: "-", 190: ".", 191: "/", 192: "`", 219: "[", 220: "\\",
    221: "]", 222: "'", 224: "Mod", 63232: "Up", 63233: "Down", 63234: "Left", 63235: "Right", 63272: "Delete",
    63273: "Home", 63275: "End", 63276: "PageUp", 63277: "PageDown", 63302: "Insert"
  };

  // Number keys
  for (var i = 0; i < 10; i++) { keyNames[i + 48] = keyNames[i + 96] = String(i); }
  // Alphabetic keys
  for (var i$1 = 65; i$1 <= 90; i$1++) { keyNames[i$1] = String.fromCharCode(i$1); }
  // Function keys
  for (var i$2 = 1; i$2 <= 12; i$2++) { keyNames[i$2 + 111] = keyNames[i$2 + 63235] = "F" + i$2; }

  var keyMap = {};

  keyMap.basic = {
    "Left": "goCharLeft", "Right": "goCharRight", "Up": "goLineUp", "Down": "goLineDown",
    "End": "goLineEnd", "Home": "goLineStartSmart", "PageUp": "goPageUp", "PageDown": "goPageDown",
    "Delete": "delCharAfter", "Backspace": "delCharBefore", "Shift-Backspace": "delCharBefore",
    "Tab": "defaultTab", "Shift-Tab": "indentAuto",
    "Enter": "newlineAndIndent", "Insert": "toggleOverwrite",
    "Esc": "singleSelection"
  };
  // Note that the save and find-related commands aren't defined by
  // default. User code or addons can define them. Unknown commands
  // are simply ignored.
  keyMap.pcDefault = {
    "Ctrl-A": "selectAll", "Ctrl-D": "deleteLine", "Ctrl-Z": "undo", "Shift-Ctrl-Z": "redo", "Ctrl-Y": "redo",
    "Ctrl-Home": "goDocStart", "Ctrl-End": "goDocEnd", "Ctrl-Up": "goLineUp", "Ctrl-Down": "goLineDown",
    "Ctrl-Left": "goGroupLeft", "Ctrl-Right": "goGroupRight", "Alt-Left": "goLineStart", "Alt-Right": "goLineEnd",
    "Ctrl-Backspace": "delGroupBefore", "Ctrl-Delete": "delGroupAfter", "Ctrl-S": "save", "Ctrl-F": "find",
    "Ctrl-G": "findNext", "Shift-Ctrl-G": "findPrev", "Shift-Ctrl-F": "replace", "Shift-Ctrl-R": "replaceAll",
    "Ctrl-[": "indentLess", "Ctrl-]": "indentMore",
    "Ctrl-U": "undoSelection", "Shift-Ctrl-U": "redoSelection", "Alt-U": "redoSelection",
    "fallthrough": "basic"
  };
  // Very basic readline/emacs-style bindings, which are standard on Mac.
  keyMap.emacsy = {
    "Ctrl-F": "goCharRight", "Ctrl-B": "goCharLeft", "Ctrl-P": "goLineUp", "Ctrl-N": "goLineDown",
    "Alt-F": "goWordRight", "Alt-B": "goWordLeft", "Ctrl-A": "goLineStart", "Ctrl-E": "goLineEnd",
    "Ctrl-V": "goPageDown", "Shift-Ctrl-V": "goPageUp", "Ctrl-D": "delCharAfter", "Ctrl-H": "delCharBefore",
    "Alt-D": "delWordAfter", "Alt-Backspace": "delWordBefore", "Ctrl-K": "killLine", "Ctrl-T": "transposeChars",
    "Ctrl-O": "openLine"
  };
  keyMap.macDefault = {
    "Cmd-A": "selectAll", "Cmd-D": "deleteLine", "Cmd-Z": "undo", "Shift-Cmd-Z": "redo", "Cmd-Y": "redo",
    "Cmd-Home": "goDocStart", "Cmd-Up": "goDocStart", "Cmd-End": "goDocEnd", "Cmd-Down": "goDocEnd", "Alt-Left": "goGroupLeft",
    "Alt-Right": "goGroupRight", "Cmd-Left": "goLineLeft", "Cmd-Right": "goLineRight", "Alt-Backspace": "delGroupBefore",
    "Ctrl-Alt-Backspace": "delGroupAfter", "Alt-Delete": "delGroupAfter", "Cmd-S": "save", "Cmd-F": "find",
    "Cmd-G": "findNext", "Shift-Cmd-G": "findPrev", "Cmd-Alt-F": "replace", "Shift-Cmd-Alt-F": "replaceAll",
    "Cmd-[": "indentLess", "Cmd-]": "indentMore", "Cmd-Backspace": "delWrappedLineLeft", "Cmd-Delete": "delWrappedLineRight",
    "Cmd-U": "undoSelection", "Shift-Cmd-U": "redoSelection", "Ctrl-Up": "goDocStart", "Ctrl-Down": "goDocEnd",
    "fallthrough": ["basic", "emacsy"]
  };
  keyMap["default"] = mac ? keyMap.macDefault : keyMap.pcDefault;

  // KEYMAP DISPATCH

  function normalizeKeyName(name) {
    var parts = name.split(/-(?!$)/);
    name = parts[parts.length - 1];
    var alt, ctrl, shift, cmd;
    for (var i = 0; i < parts.length - 1; i++) {
      var mod = parts[i];
      if (/^(cmd|meta|m)$/i.test(mod)) { cmd = true; }
      else if (/^a(lt)?$/i.test(mod)) { alt = true; }
      else if (/^(c|ctrl|control)$/i.test(mod)) { ctrl = true; }
      else if (/^s(hift)?$/i.test(mod)) { shift = true; }
      else { throw new Error("Unrecognized modifier name: " + mod) }
    }
    if (alt) { name = "Alt-" + name; }
    if (ctrl) { name = "Ctrl-" + name; }
    if (cmd) { name = "Cmd-" + name; }
    if (shift) { name = "Shift-" + name; }
    return name
  }

  // This is a kludge to keep keymaps mostly working as raw objects
  // (backwards compatibility) while at the same time support features
  // like normalization and multi-stroke key bindings. It compiles a
  // new normalized keymap, and then updates the old object to reflect
  // this.
  function normalizeKeyMap(keymap) {
    var copy = {};
    for (var keyname in keymap) { if (keymap.hasOwnProperty(keyname)) {
      var value = keymap[keyname];
      if (/^(name|fallthrough|(de|at)tach)$/.test(keyname)) { continue }
      if (value == "...") { delete keymap[keyname]; continue }

      var keys = map(keyname.split(" "), normalizeKeyName);
      for (var i = 0; i < keys.length; i++) {
        var val = (void 0), name = (void 0);
        if (i == keys.length - 1) {
          name = keys.join(" ");
          val = value;
        } else {
          name = keys.slice(0, i + 1).join(" ");
          val = "...";
        }
        var prev = copy[name];
        if (!prev) { copy[name] = val; }
        else if (prev != val) { throw new Error("Inconsistent bindings for " + name) }
      }
      delete keymap[keyname];
    } }
    for (var prop in copy) { keymap[prop] = copy[prop]; }
    return keymap
  }

  function lookupKey(key, map, handle, context) {
    map = getKeyMap(map);
    var found = map.call ? map.call(key, context) : map[key];
    if (found === false) { return "nothing" }
    if (found === "...") { return "multi" }
    if (found != null && handle(found)) { return "handled" }

    if (map.fallthrough) {
      if (Object.prototype.toString.call(map.fallthrough) != "[object Array]")
        { return lookupKey(key, map.fallthrough, handle, context) }
      for (var i = 0; i < map.fallthrough.length; i++) {
        var result = lookupKey(key, map.fallthrough[i], handle, context);
        if (result) { return result }
      }
    }
  }

  // Modifier key presses don't count as 'real' key presses for the
  // purpose of keymap fallthrough.
  function isModifierKey(value) {
    var name = typeof value == "string" ? value : keyNames[value.keyCode];
    return name == "Ctrl" || name == "Alt" || name == "Shift" || name == "Mod"
  }

  function addModifierNames(name, event, noShift) {
    var base = name;
    if (event.altKey && base != "Alt") { name = "Alt-" + name; }
    if ((flipCtrlCmd ? event.metaKey : event.ctrlKey) && base != "Ctrl") { name = "Ctrl-" + name; }
    if ((flipCtrlCmd ? event.ctrlKey : event.metaKey) && base != "Mod") { name = "Cmd-" + name; }
    if (!noShift && event.shiftKey && base != "Shift") { name = "Shift-" + name; }
    return name
  }

  // Look up the name of a key as indicated by an event object.
  function keyName(event, noShift) {
    if (presto && event.keyCode == 34 && event["char"]) { return false }
    var name = keyNames[event.keyCode];
    if (name == null || event.altGraphKey) { return false }
    // Ctrl-ScrollLock has keyCode 3, same as Ctrl-Pause,
    // so we'll use event.code when available (Chrome 48+, FF 38+, Safari 10.1+)
    if (event.keyCode == 3 && event.code) { name = event.code; }
    return addModifierNames(name, event, noShift)
  }

  function getKeyMap(val) {
    return typeof val == "string" ? keyMap[val] : val
  }

  // Helper for deleting text near the selection(s), used to implement
  // backspace, delete, and similar functionality.
  function deleteNearSelection(cm, compute) {
    var ranges = cm.doc.sel.ranges, kill = [];
    // Build up a set of ranges to kill first, merging overlapping
    // ranges.
    for (var i = 0; i < ranges.length; i++) {
      var toKill = compute(ranges[i]);
      while (kill.length && cmp(toKill.from, lst(kill).to) <= 0) {
        var replaced = kill.pop();
        if (cmp(replaced.from, toKill.from) < 0) {
          toKill.from = replaced.from;
          break
        }
      }
      kill.push(toKill);
    }
    // Next, remove those actual ranges.
    runInOp(cm, function () {
      for (var i = kill.length - 1; i >= 0; i--)
        { replaceRange(cm.doc, "", kill[i].from, kill[i].to, "+delete"); }
      ensureCursorVisible(cm);
    });
  }

  function moveCharLogically(line, ch, dir) {
    var target = skipExtendingChars(line.text, ch + dir, dir);
    return target < 0 || target > line.text.length ? null : target
  }

  function moveLogically(line, start, dir) {
    var ch = moveCharLogically(line, start.ch, dir);
    return ch == null ? null : new Pos(start.line, ch, dir < 0 ? "after" : "before")
  }

  function endOfLine(visually, cm, lineObj, lineNo, dir) {
    if (visually) {
      if (cm.doc.direction == "rtl") { dir = -dir; }
      var order = getOrder(lineObj, cm.doc.direction);
      if (order) {
        var part = dir < 0 ? lst(order) : order[0];
        var moveInStorageOrder = (dir < 0) == (part.level == 1);
        var sticky = moveInStorageOrder ? "after" : "before";
        var ch;
        // With a wrapped rtl chunk (possibly spanning multiple bidi parts),
        // it could be that the last bidi part is not on the last visual line,
        // since visual lines contain content order-consecutive chunks.
        // Thus, in rtl, we are looking for the first (content-order) character
        // in the rtl chunk that is on the last line (that is, the same line
        // as the last (content-order) character).
        if (part.level > 0 || cm.doc.direction == "rtl") {
          var prep = prepareMeasureForLine(cm, lineObj);
          ch = dir < 0 ? lineObj.text.length - 1 : 0;
          var targetTop = measureCharPrepared(cm, prep, ch).top;
          ch = findFirst(function (ch) { return measureCharPrepared(cm, prep, ch).top == targetTop; }, (dir < 0) == (part.level == 1) ? part.from : part.to - 1, ch);
          if (sticky == "before") { ch = moveCharLogically(lineObj, ch, 1); }
        } else { ch = dir < 0 ? part.to : part.from; }
        return new Pos(lineNo, ch, sticky)
      }
    }
    return new Pos(lineNo, dir < 0 ? lineObj.text.length : 0, dir < 0 ? "before" : "after")
  }

  function moveVisually(cm, line, start, dir) {
    var bidi = getOrder(line, cm.doc.direction);
    if (!bidi) { return moveLogically(line, start, dir) }
    if (start.ch >= line.text.length) {
      start.ch = line.text.length;
      start.sticky = "before";
    } else if (start.ch <= 0) {
      start.ch = 0;
      start.sticky = "after";
    }
    var partPos = getBidiPartAt(bidi, start.ch, start.sticky), part = bidi[partPos];
    if (cm.doc.direction == "ltr" && part.level % 2 == 0 && (dir > 0 ? part.to > start.ch : part.from < start.ch)) {
      // Case 1: We move within an ltr part in an ltr editor. Even with wrapped lines,
      // nothing interesting happens.
      return moveLogically(line, start, dir)
    }

    var mv = function (pos, dir) { return moveCharLogically(line, pos instanceof Pos ? pos.ch : pos, dir); };
    var prep;
    var getWrappedLineExtent = function (ch) {
      if (!cm.options.lineWrapping) { return {begin: 0, end: line.text.length} }
      prep = prep || prepareMeasureForLine(cm, line);
      return wrappedLineExtentChar(cm, line, prep, ch)
    };
    var wrappedLineExtent = getWrappedLineExtent(start.sticky == "before" ? mv(start, -1) : start.ch);

    if (cm.doc.direction == "rtl" || part.level == 1) {
      var moveInStorageOrder = (part.level == 1) == (dir < 0);
      var ch = mv(start, moveInStorageOrder ? 1 : -1);
      if (ch != null && (!moveInStorageOrder ? ch >= part.from && ch >= wrappedLineExtent.begin : ch <= part.to && ch <= wrappedLineExtent.end)) {
        // Case 2: We move within an rtl part or in an rtl editor on the same visual line
        var sticky = moveInStorageOrder ? "before" : "after";
        return new Pos(start.line, ch, sticky)
      }
    }

    // Case 3: Could not move within this bidi part in this visual line, so leave
    // the current bidi part

    var searchInVisualLine = function (partPos, dir, wrappedLineExtent) {
      var getRes = function (ch, moveInStorageOrder) { return moveInStorageOrder
        ? new Pos(start.line, mv(ch, 1), "before")
        : new Pos(start.line, ch, "after"); };

      for (; partPos >= 0 && partPos < bidi.length; partPos += dir) {
        var part = bidi[partPos];
        var moveInStorageOrder = (dir > 0) == (part.level != 1);
        var ch = moveInStorageOrder ? wrappedLineExtent.begin : mv(wrappedLineExtent.end, -1);
        if (part.from <= ch && ch < part.to) { return getRes(ch, moveInStorageOrder) }
        ch = moveInStorageOrder ? part.from : mv(part.to, -1);
        if (wrappedLineExtent.begin <= ch && ch < wrappedLineExtent.end) { return getRes(ch, moveInStorageOrder) }
      }
    };

    // Case 3a: Look for other bidi parts on the same visual line
    var res = searchInVisualLine(partPos + dir, dir, wrappedLineExtent);
    if (res) { return res }

    // Case 3b: Look for other bidi parts on the next visual line
    var nextCh = dir > 0 ? wrappedLineExtent.end : mv(wrappedLineExtent.begin, -1);
    if (nextCh != null && !(dir > 0 && nextCh == line.text.length)) {
      res = searchInVisualLine(dir > 0 ? 0 : bidi.length - 1, dir, getWrappedLineExtent(nextCh));
      if (res) { return res }
    }

    // Case 4: Nowhere to move
    return null
  }

  // Commands are parameter-less actions that can be performed on an
  // editor, mostly used for keybindings.
  var commands = {
    selectAll: selectAll,
    singleSelection: function (cm) { return cm.setSelection(cm.getCursor("anchor"), cm.getCursor("head"), sel_dontScroll); },
    killLine: function (cm) { return deleteNearSelection(cm, function (range) {
      if (range.empty()) {
        var len = getLine(cm.doc, range.head.line).text.length;
        if (range.head.ch == len && range.head.line < cm.lastLine())
          { return {from: range.head, to: Pos(range.head.line + 1, 0)} }
        else
          { return {from: range.head, to: Pos(range.head.line, len)} }
      } else {
        return {from: range.from(), to: range.to()}
      }
    }); },
    deleteLine: function (cm) { return deleteNearSelection(cm, function (range) { return ({
      from: Pos(range.from().line, 0),
      to: clipPos(cm.doc, Pos(range.to().line + 1, 0))
    }); }); },
    delLineLeft: function (cm) { return deleteNearSelection(cm, function (range) { return ({
      from: Pos(range.from().line, 0), to: range.from()
    }); }); },
    delWrappedLineLeft: function (cm) { return deleteNearSelection(cm, function (range) {
      var top = cm.charCoords(range.head, "div").top + 5;
      var leftPos = cm.coordsChar({left: 0, top: top}, "div");
      return {from: leftPos, to: range.from()}
    }); },
    delWrappedLineRight: function (cm) { return deleteNearSelection(cm, function (range) {
      var top = cm.charCoords(range.head, "div").top + 5;
      var rightPos = cm.coordsChar({left: cm.display.lineDiv.offsetWidth + 100, top: top}, "div");
      return {from: range.from(), to: rightPos }
    }); },
    undo: function (cm) { return cm.undo(); },
    redo: function (cm) { return cm.redo(); },
    undoSelection: function (cm) { return cm.undoSelection(); },
    redoSelection: function (cm) { return cm.redoSelection(); },
    goDocStart: function (cm) { return cm.extendSelection(Pos(cm.firstLine(), 0)); },
    goDocEnd: function (cm) { return cm.extendSelection(Pos(cm.lastLine())); },
    goLineStart: function (cm) { return cm.extendSelectionsBy(function (range) { return lineStart(cm, range.head.line); },
      {origin: "+move", bias: 1}
    ); },
    goLineStartSmart: function (cm) { return cm.extendSelectionsBy(function (range) { return lineStartSmart(cm, range.head); },
      {origin: "+move", bias: 1}
    ); },
    goLineEnd: function (cm) { return cm.extendSelectionsBy(function (range) { return lineEnd(cm, range.head.line); },
      {origin: "+move", bias: -1}
    ); },
    goLineRight: function (cm) { return cm.extendSelectionsBy(function (range) {
      var top = cm.cursorCoords(range.head, "div").top + 5;
      return cm.coordsChar({left: cm.display.lineDiv.offsetWidth + 100, top: top}, "div")
    }, sel_move); },
    goLineLeft: function (cm) { return cm.extendSelectionsBy(function (range) {
      var top = cm.cursorCoords(range.head, "div").top + 5;
      return cm.coordsChar({left: 0, top: top}, "div")
    }, sel_move); },
    goLineLeftSmart: function (cm) { return cm.extendSelectionsBy(function (range) {
      var top = cm.cursorCoords(range.head, "div").top + 5;
      var pos = cm.coordsChar({left: 0, top: top}, "div");
      if (pos.ch < cm.getLine(pos.line).search(/\S/)) { return lineStartSmart(cm, range.head) }
      return pos
    }, sel_move); },
    goLineUp: function (cm) { return cm.moveV(-1, "line"); },
    goLineDown: function (cm) { return cm.moveV(1, "line"); },
    goPageUp: function (cm) { return cm.moveV(-1, "page"); },
    goPageDown: function (cm) { return cm.moveV(1, "page"); },
    goCharLeft: function (cm) { return cm.moveH(-1, "char"); },
    goCharRight: function (cm) { return cm.moveH(1, "char"); },
    goColumnLeft: function (cm) { return cm.moveH(-1, "column"); },
    goColumnRight: function (cm) { return cm.moveH(1, "column"); },
    goWordLeft: function (cm) { return cm.moveH(-1, "word"); },
    goGroupRight: function (cm) { return cm.moveH(1, "group"); },
    goGroupLeft: function (cm) { return cm.moveH(-1, "group"); },
    goWordRight: function (cm) { return cm.moveH(1, "word"); },
    delCharBefore: function (cm) { return cm.deleteH(-1, "codepoint"); },
    delCharAfter: function (cm) { return cm.deleteH(1, "char"); },
    delWordBefore: function (cm) { return cm.deleteH(-1, "word"); },
    delWordAfter: function (cm) { return cm.deleteH(1, "word"); },
    delGroupBefore: function (cm) { return cm.deleteH(-1, "group"); },
    delGroupAfter: function (cm) { return cm.deleteH(1, "group"); },
    indentAuto: function (cm) { return cm.indentSelection("smart"); },
    indentMore: function (cm) { return cm.indentSelection("add"); },
    indentLess: function (cm) { return cm.indentSelection("subtract"); },
    insertTab: function (cm) { return cm.replaceSelection("\t"); },
    insertSoftTab: function (cm) {
      var spaces = [], ranges = cm.listSelections(), tabSize = cm.options.tabSize;
      for (var i = 0; i < ranges.length; i++) {
        var pos = ranges[i].from();
        var col = countColumn(cm.getLine(pos.line), pos.ch, tabSize);
        spaces.push(spaceStr(tabSize - col % tabSize));
      }
      cm.replaceSelections(spaces);
    },
    defaultTab: function (cm) {
      if (cm.somethingSelected()) { cm.indentSelection("add"); }
      else { cm.execCommand("insertTab"); }
    },
    // Swap the two chars left and right of each selection's head.
    // Move cursor behind the two swapped characters afterwards.
    //
    // Doesn't consider line feeds a character.
    // Doesn't scan more than one line above to find a character.
    // Doesn't do anything on an empty line.
    // Doesn't do anything with non-empty selections.
    transposeChars: function (cm) { return runInOp(cm, function () {
      var ranges = cm.listSelections(), newSel = [];
      for (var i = 0; i < ranges.length; i++) {
        if (!ranges[i].empty()) { continue }
        var cur = ranges[i].head, line = getLine(cm.doc, cur.line).text;
        if (line) {
          if (cur.ch == line.length) { cur = new Pos(cur.line, cur.ch - 1); }
          if (cur.ch > 0) {
            cur = new Pos(cur.line, cur.ch + 1);
            cm.replaceRange(line.charAt(cur.ch - 1) + line.charAt(cur.ch - 2),
                            Pos(cur.line, cur.ch - 2), cur, "+transpose");
          } else if (cur.line > cm.doc.first) {
            var prev = getLine(cm.doc, cur.line - 1).text;
            if (prev) {
              cur = new Pos(cur.line, 1);
              cm.replaceRange(line.charAt(0) + cm.doc.lineSeparator() +
                              prev.charAt(prev.length - 1),
                              Pos(cur.line - 1, prev.length - 1), cur, "+transpose");
            }
          }
        }
        newSel.push(new Range(cur, cur));
      }
      cm.setSelections(newSel);
    }); },
    newlineAndIndent: function (cm) { return runInOp(cm, function () {
      var sels = cm.listSelections();
      for (var i = sels.length - 1; i >= 0; i--)
        { cm.replaceRange(cm.doc.lineSeparator(), sels[i].anchor, sels[i].head, "+input"); }
      sels = cm.listSelections();
      for (var i$1 = 0; i$1 < sels.length; i$1++)
        { cm.indentLine(sels[i$1].from().line, null, true); }
      ensureCursorVisible(cm);
    }); },
    openLine: function (cm) { return cm.replaceSelection("\n", "start"); },
    toggleOverwrite: function (cm) { return cm.toggleOverwrite(); }
  };


  function lineStart(cm, lineN) {
    var line = getLine(cm.doc, lineN);
    var visual = visualLine(line);
    if (visual != line) { lineN = lineNo(visual); }
    return endOfLine(true, cm, visual, lineN, 1)
  }
  function lineEnd(cm, lineN) {
    var line = getLine(cm.doc, lineN);
    var visual = visualLineEnd(line);
    if (visual != line) { lineN = lineNo(visual); }
    return endOfLine(true, cm, line, lineN, -1)
  }
  function lineStartSmart(cm, pos) {
    var start = lineStart(cm, pos.line);
    var line = getLine(cm.doc, start.line);
    var order = getOrder(line, cm.doc.direction);
    if (!order || order[0].level == 0) {
      var firstNonWS = Math.max(start.ch, line.text.search(/\S/));
      var inWS = pos.line == start.line && pos.ch <= firstNonWS && pos.ch;
      return Pos(start.line, inWS ? 0 : firstNonWS, start.sticky)
    }
    return start
  }

  // Run a handler that was bound to a key.
  function doHandleBinding(cm, bound, dropShift) {
    if (typeof bound == "string") {
      bound = commands[bound];
      if (!bound) { return false }
    }
    // Ensure previous input has been read, so that the handler sees a
    // consistent view of the document
    cm.display.input.ensurePolled();
    var prevShift = cm.display.shift, done = false;
    try {
      if (cm.isReadOnly()) { cm.state.suppressEdits = true; }
      if (dropShift) { cm.display.shift = false; }
      done = bound(cm) != Pass;
    } finally {
      cm.display.shift = prevShift;
      cm.state.suppressEdits = false;
    }
    return done
  }

  function lookupKeyForEditor(cm, name, handle) {
    for (var i = 0; i < cm.state.keyMaps.length; i++) {
      var result = lookupKey(name, cm.state.keyMaps[i], handle, cm);
      if (result) { return result }
    }
    return (cm.options.extraKeys && lookupKey(name, cm.options.extraKeys, handle, cm))
      || lookupKey(name, cm.options.keyMap, handle, cm)
  }

  // Note that, despite the name, this function is also used to check
  // for bound mouse clicks.

  var stopSeq = new Delayed;

  function dispatchKey(cm, name, e, handle) {
    var seq = cm.state.keySeq;
    if (seq) {
      if (isModifierKey(name)) { return "handled" }
      if (/\'$/.test(name))
        { cm.state.keySeq = null; }
      else
        { stopSeq.set(50, function () {
          if (cm.state.keySeq == seq) {
            cm.state.keySeq = null;
            cm.display.input.reset();
          }
        }); }
      if (dispatchKeyInner(cm, seq + " " + name, e, handle)) { return true }
    }
    return dispatchKeyInner(cm, name, e, handle)
  }

  function dispatchKeyInner(cm, name, e, handle) {
    var result = lookupKeyForEditor(cm, name, handle);

    if (result == "multi")
      { cm.state.keySeq = name; }
    if (result == "handled")
      { signalLater(cm, "keyHandled", cm, name, e); }

    if (result == "handled" || result == "multi") {
      e_preventDefault(e);
      restartBlink(cm);
    }

    return !!result
  }

  // Handle a key from the keydown event.
  function handleKeyBinding(cm, e) {
    var name = keyName(e, true);
    if (!name) { return false }

    if (e.shiftKey && !cm.state.keySeq) {
      // First try to resolve full name (including 'Shift-'). Failing
      // that, see if there is a cursor-motion command (starting with
      // 'go') bound to the keyname without 'Shift-'.
      return dispatchKey(cm, "Shift-" + name, e, function (b) { return doHandleBinding(cm, b, true); })
          || dispatchKey(cm, name, e, function (b) {
               if (typeof b == "string" ? /^go[A-Z]/.test(b) : b.motion)
                 { return doHandleBinding(cm, b) }
             })
    } else {
      return dispatchKey(cm, name, e, function (b) { return doHandleBinding(cm, b); })
    }
  }

  // Handle a key from the keypress event
  function handleCharBinding(cm, e, ch) {
    return dispatchKey(cm, "'" + ch + "'", e, function (b) { return doHandleBinding(cm, b, true); })
  }

  var lastStoppedKey = null;
  function onKeyDown(e) {
    var cm = this;
    if (e.target && e.target != cm.display.input.getField()) { return }
    cm.curOp.focus = activeElt();
    if (signalDOMEvent(cm, e)) { return }
    // IE does strange things with escape.
    if (ie && ie_version < 11 && e.keyCode == 27) { e.returnValue = false; }
    var code = e.keyCode;
    cm.display.shift = code == 16 || e.shiftKey;
    var handled = handleKeyBinding(cm, e);
    if (presto) {
      lastStoppedKey = handled ? code : null;
      // Opera has no cut event... we try to at least catch the key combo
      if (!handled && code == 88 && !hasCopyEvent && (mac ? e.metaKey : e.ctrlKey))
        { cm.replaceSelection("", null, "cut"); }
    }
    if (gecko && !mac && !handled && code == 46 && e.shiftKey && !e.ctrlKey && document.execCommand)
      { document.execCommand("cut"); }

    // Turn mouse into crosshair when Alt is held on Mac.
    if (code == 18 && !/\bCodeMirror-crosshair\b/.test(cm.display.lineDiv.className))
      { showCrossHair(cm); }
  }

  function showCrossHair(cm) {
    var lineDiv = cm.display.lineDiv;
    addClass(lineDiv, "CodeMirror-crosshair");

    function up(e) {
      if (e.keyCode == 18 || !e.altKey) {
        rmClass(lineDiv, "CodeMirror-crosshair");
        off(document, "keyup", up);
        off(document, "mouseover", up);
      }
    }
    on(document, "keyup", up);
    on(document, "mouseover", up);
  }

  function onKeyUp(e) {
    if (e.keyCode == 16) { this.doc.sel.shift = false; }
    signalDOMEvent(this, e);
  }

  function onKeyPress(e) {
    var cm = this;
    if (e.target && e.target != cm.display.input.getField()) { return }
    if (eventInWidget(cm.display, e) || signalDOMEvent(cm, e) || e.ctrlKey && !e.altKey || mac && e.metaKey) { return }
    var keyCode = e.keyCode, charCode = e.charCode;
    if (presto && keyCode == lastStoppedKey) {lastStoppedKey = null; e_preventDefault(e); return}
    if ((presto && (!e.which || e.which < 10)) && handleKeyBinding(cm, e)) { return }
    var ch = String.fromCharCode(charCode == null ? keyCode : charCode);
    // Some browsers fire keypress events for backspace
    if (ch == "\x08") { return }
    if (handleCharBinding(cm, e, ch)) { return }
    cm.display.input.onKeyPress(e);
  }

  var DOUBLECLICK_DELAY = 400;

  var PastClick = function(time, pos, button) {
    this.time = time;
    this.pos = pos;
    this.button = button;
  };

  PastClick.prototype.compare = function (time, pos, button) {
    return this.time + DOUBLECLICK_DELAY > time &&
      cmp(pos, this.pos) == 0 && button == this.button
  };

  var lastClick, lastDoubleClick;
  function clickRepeat(pos, button) {
    var now = +new Date;
    if (lastDoubleClick && lastDoubleClick.compare(now, pos, button)) {
      lastClick = lastDoubleClick = null;
      return "triple"
    } else if (lastClick && lastClick.compare(now, pos, button)) {
      lastDoubleClick = new PastClick(now, pos, button);
      lastClick = null;
      return "double"
    } else {
      lastClick = new PastClick(now, pos, button);
      lastDoubleClick = null;
      return "single"
    }
  }

  // A mouse down can be a single click, double click, triple click,
  // start of selection drag, start of text drag, new cursor
  // (ctrl-click), rectangle drag (alt-drag), or xwin
  // middle-click-paste. Or it might be a click on something we should
  // not interfere with, such as a scrollbar or widget.
  function onMouseDown(e) {
    var cm = this, display = cm.display;
    if (signalDOMEvent(cm, e) || display.activeTouch && display.input.supportsTouch()) { return }
    display.input.ensurePolled();
    display.shift = e.shiftKey;

    if (eventInWidget(display, e)) {
      if (!webkit) {
        // Briefly turn off draggability, to allow widgets to do
        // normal dragging things.
        display.scroller.draggable = false;
        setTimeout(function () { return display.scroller.draggable = true; }, 100);
      }
      return
    }
    if (clickInGutter(cm, e)) { return }
    var pos = posFromMouse(cm, e), button = e_button(e), repeat = pos ? clickRepeat(pos, button) : "single";
    window.focus();

    // #3261: make sure, that we're not starting a second selection
    if (button == 1 && cm.state.selectingText)
      { cm.state.selectingText(e); }

    if (pos && handleMappedButton(cm, button, pos, repeat, e)) { return }

    if (button == 1) {
      if (pos) { leftButtonDown(cm, pos, repeat, e); }
      else if (e_target(e) == display.scroller) { e_preventDefault(e); }
    } else if (button == 2) {
      if (pos) { extendSelection(cm.doc, pos); }
      setTimeout(function () { return display.input.focus(); }, 20);
    } else if (button == 3) {
      if (captureRightClick) { cm.display.input.onContextMenu(e); }
      else { delayBlurEvent(cm); }
    }
  }

  function handleMappedButton(cm, button, pos, repeat, event) {
    var name = "Click";
    if (repeat == "double") { name = "Double" + name; }
    else if (repeat == "triple") { name = "Triple" + name; }
    name = (button == 1 ? "Left" : button == 2 ? "Middle" : "Right") + name;

    return dispatchKey(cm,  addModifierNames(name, event), event, function (bound) {
      if (typeof bound == "string") { bound = commands[bound]; }
      if (!bound) { return false }
      var done = false;
      try {
        if (cm.isReadOnly()) { cm.state.suppressEdits = true; }
        done = bound(cm, pos) != Pass;
      } finally {
        cm.state.suppressEdits = false;
      }
      return done
    })
  }

  function configureMouse(cm, repeat, event) {
    var option = cm.getOption("configureMouse");
    var value = option ? option(cm, repeat, event) : {};
    if (value.unit == null) {
      var rect = chromeOS ? event.shiftKey && event.metaKey : event.altKey;
      value.unit = rect ? "rectangle" : repeat == "single" ? "char" : repeat == "double" ? "word" : "line";
    }
    if (value.extend == null || cm.doc.extend) { value.extend = cm.doc.extend || event.shiftKey; }
    if (value.addNew == null) { value.addNew = mac ? event.metaKey : event.ctrlKey; }
    if (value.moveOnDrag == null) { value.moveOnDrag = !(mac ? event.altKey : event.ctrlKey); }
    return value
  }

  function leftButtonDown(cm, pos, repeat, event) {
    if (ie) { setTimeout(bind(ensureFocus, cm), 0); }
    else { cm.curOp.focus = activeElt(); }

    var behavior = configureMouse(cm, repeat, event);

    var sel = cm.doc.sel, contained;
    if (cm.options.dragDrop && dragAndDrop && !cm.isReadOnly() &&
        repeat == "single" && (contained = sel.contains(pos)) > -1 &&
        (cmp((contained = sel.ranges[contained]).from(), pos) < 0 || pos.xRel > 0) &&
        (cmp(contained.to(), pos) > 0 || pos.xRel < 0))
      { leftButtonStartDrag(cm, event, pos, behavior); }
    else
      { leftButtonSelect(cm, event, pos, behavior); }
  }

  // Start a text drag. When it ends, see if any dragging actually
  // happen, and treat as a click if it didn't.
  function leftButtonStartDrag(cm, event, pos, behavior) {
    var display = cm.display, moved = false;
    var dragEnd = operation(cm, function (e) {
      if (webkit) { display.scroller.draggable = false; }
      cm.state.draggingText = false;
      if (cm.state.delayingBlurEvent) {
        if (cm.hasFocus()) { cm.state.delayingBlurEvent = false; }
        else { delayBlurEvent(cm); }
      }
      off(display.wrapper.ownerDocument, "mouseup", dragEnd);
      off(display.wrapper.ownerDocument, "mousemove", mouseMove);
      off(display.scroller, "dragstart", dragStart);
      off(display.scroller, "drop", dragEnd);
      if (!moved) {
        e_preventDefault(e);
        if (!behavior.addNew)
          { extendSelection(cm.doc, pos, null, null, behavior.extend); }
        // Work around unexplainable focus problem in IE9 (#2127) and Chrome (#3081)
        if ((webkit && !safari) || ie && ie_version == 9)
          { setTimeout(function () {display.wrapper.ownerDocument.body.focus({preventScroll: true}); display.input.focus();}, 20); }
        else
          { display.input.focus(); }
      }
    });
    var mouseMove = function(e2) {
      moved = moved || Math.abs(event.clientX - e2.clientX) + Math.abs(event.clientY - e2.clientY) >= 10;
    };
    var dragStart = function () { return moved = true; };
    // Let the drag handler handle this.
    if (webkit) { display.scroller.draggable = true; }
    cm.state.draggingText = dragEnd;
    dragEnd.copy = !behavior.moveOnDrag;
    on(display.wrapper.ownerDocument, "mouseup", dragEnd);
    on(display.wrapper.ownerDocument, "mousemove", mouseMove);
    on(display.scroller, "dragstart", dragStart);
    on(display.scroller, "drop", dragEnd);

    cm.state.delayingBlurEvent = true;
    setTimeout(function () { return display.input.focus(); }, 20);
    // IE's approach to draggable
    if (display.scroller.dragDrop) { display.scroller.dragDrop(); }
  }

  function rangeForUnit(cm, pos, unit) {
    if (unit == "char") { return new Range(pos, pos) }
    if (unit == "word") { return cm.findWordAt(pos) }
    if (unit == "line") { return new Range(Pos(pos.line, 0), clipPos(cm.doc, Pos(pos.line + 1, 0))) }
    var result = unit(cm, pos);
    return new Range(result.from, result.to)
  }

  // Normal selection, as opposed to text dragging.
  function leftButtonSelect(cm, event, start, behavior) {
    if (ie) { delayBlurEvent(cm); }
    var display = cm.display, doc = cm.doc;
    e_preventDefault(event);

    var ourRange, ourIndex, startSel = doc.sel, ranges = startSel.ranges;
    if (behavior.addNew && !behavior.extend) {
      ourIndex = doc.sel.contains(start);
      if (ourIndex > -1)
        { ourRange = ranges[ourIndex]; }
      else
        { ourRange = new Range(start, start); }
    } else {
      ourRange = doc.sel.primary();
      ourIndex = doc.sel.primIndex;
    }

    if (behavior.unit == "rectangle") {
      if (!behavior.addNew) { ourRange = new Range(start, start); }
      start = posFromMouse(cm, event, true, true);
      ourIndex = -1;
    } else {
      var range = rangeForUnit(cm, start, behavior.unit);
      if (behavior.extend)
        { ourRange = extendRange(ourRange, range.anchor, range.head, behavior.extend); }
      else
        { ourRange = range; }
    }

    if (!behavior.addNew) {
      ourIndex = 0;
      setSelection(doc, new Selection([ourRange], 0), sel_mouse);
      startSel = doc.sel;
    } else if (ourIndex == -1) {
      ourIndex = ranges.length;
      setSelection(doc, normalizeSelection(cm, ranges.concat([ourRange]), ourIndex),
                   {scroll: false, origin: "*mouse"});
    } else if (ranges.length > 1 && ranges[ourIndex].empty() && behavior.unit == "char" && !behavior.extend) {
      setSelection(doc, normalizeSelection(cm, ranges.slice(0, ourIndex).concat(ranges.slice(ourIndex + 1)), 0),
                   {scroll: false, origin: "*mouse"});
      startSel = doc.sel;
    } else {
      replaceOneSelection(doc, ourIndex, ourRange, sel_mouse);
    }

    var lastPos = start;
    function extendTo(pos) {
      if (cmp(lastPos, pos) == 0) { return }
      lastPos = pos;

      if (behavior.unit == "rectangle") {
        var ranges = [], tabSize = cm.options.tabSize;
        var startCol = countColumn(getLine(doc, start.line).text, start.ch, tabSize);
        var posCol = countColumn(getLine(doc, pos.line).text, pos.ch, tabSize);
        var left = Math.min(startCol, posCol), right = Math.max(startCol, posCol);
        for (var line = Math.min(start.line, pos.line), end = Math.min(cm.lastLine(), Math.max(start.line, pos.line));
             line <= end; line++) {
          var text = getLine(doc, line).text, leftPos = findColumn(text, left, tabSize);
          if (left == right)
            { ranges.push(new Range(Pos(line, leftPos), Pos(line, leftPos))); }
          else if (text.length > leftPos)
            { ranges.push(new Range(Pos(line, leftPos), Pos(line, findColumn(text, right, tabSize)))); }
        }
        if (!ranges.length) { ranges.push(new Range(start, start)); }
        setSelection(doc, normalizeSelection(cm, startSel.ranges.slice(0, ourIndex).concat(ranges), ourIndex),
                     {origin: "*mouse", scroll: false});
        cm.scrollIntoView(pos);
      } else {
        var oldRange = ourRange;
        var range = rangeForUnit(cm, pos, behavior.unit);
        var anchor = oldRange.anchor, head;
        if (cmp(range.anchor, anchor) > 0) {
          head = range.head;
          anchor = minPos(oldRange.from(), range.anchor);
        } else {
          head = range.anchor;
          anchor = maxPos(oldRange.to(), range.head);
        }
        var ranges$1 = startSel.ranges.slice(0);
        ranges$1[ourIndex] = bidiSimplify(cm, new Range(clipPos(doc, anchor), head));
        setSelection(doc, normalizeSelection(cm, ranges$1, ourIndex), sel_mouse);
      }
    }

    var editorSize = display.wrapper.getBoundingClientRect();
    // Used to ensure timeout re-tries don't fire when another extend
    // happened in the meantime (clearTimeout isn't reliable -- at
    // least on Chrome, the timeouts still happen even when cleared,
    // if the clear happens after their scheduled firing time).
    var counter = 0;

    function extend(e) {
      var curCount = ++counter;
      var cur = posFromMouse(cm, e, true, behavior.unit == "rectangle");
      if (!cur) { return }
      if (cmp(cur, lastPos) != 0) {
        cm.curOp.focus = activeElt();
        extendTo(cur);
        var visible = visibleLines(display, doc);
        if (cur.line >= visible.to || cur.line < visible.from)
          { setTimeout(operation(cm, function () {if (counter == curCount) { extend(e); }}), 150); }
      } else {
        var outside = e.clientY < editorSize.top ? -20 : e.clientY > editorSize.bottom ? 20 : 0;
        if (outside) { setTimeout(operation(cm, function () {
          if (counter != curCount) { return }
          display.scroller.scrollTop += outside;
          extend(e);
        }), 50); }
      }
    }

    function done(e) {
      cm.state.selectingText = false;
      counter = Infinity;
      // If e is null or undefined we interpret this as someone trying
      // to explicitly cancel the selection rather than the user
      // letting go of the mouse button.
      if (e) {
        e_preventDefault(e);
        display.input.focus();
      }
      off(display.wrapper.ownerDocument, "mousemove", move);
      off(display.wrapper.ownerDocument, "mouseup", up);
      doc.history.lastSelOrigin = null;
    }

    var move = operation(cm, function (e) {
      if (e.buttons === 0 || !e_button(e)) { done(e); }
      else { extend(e); }
    });
    var up = operation(cm, done);
    cm.state.selectingText = up;
    on(display.wrapper.ownerDocument, "mousemove", move);
    on(display.wrapper.ownerDocument, "mouseup", up);
  }

  // Used when mouse-selecting to adjust the anchor to the proper side
  // of a bidi jump depending on the visual position of the head.
  function bidiSimplify(cm, range) {
    var anchor = range.anchor;
    var head = range.head;
    var anchorLine = getLine(cm.doc, anchor.line);
    if (cmp(anchor, head) == 0 && anchor.sticky == head.sticky) { return range }
    var order = getOrder(anchorLine);
    if (!order) { return range }
    var index = getBidiPartAt(order, anchor.ch, anchor.sticky), part = order[index];
    if (part.from != anchor.ch && part.to != anchor.ch) { return range }
    var boundary = index + ((part.from == anchor.ch) == (part.level != 1) ? 0 : 1);
    if (boundary == 0 || boundary == order.length) { return range }

    // Compute the relative visual position of the head compared to the
    // anchor (<0 is to the left, >0 to the right)
    var leftSide;
    if (head.line != anchor.line) {
      leftSide = (head.line - anchor.line) * (cm.doc.direction == "ltr" ? 1 : -1) > 0;
    } else {
      var headIndex = getBidiPartAt(order, head.ch, head.sticky);
      var dir = headIndex - index || (head.ch - anchor.ch) * (part.level == 1 ? -1 : 1);
      if (headIndex == boundary - 1 || headIndex == boundary)
        { leftSide = dir < 0; }
      else
        { leftSide = dir > 0; }
    }

    var usePart = order[boundary + (leftSide ? -1 : 0)];
    var from = leftSide == (usePart.level == 1);
    var ch = from ? usePart.from : usePart.to, sticky = from ? "after" : "before";
    return anchor.ch == ch && anchor.sticky == sticky ? range : new Range(new Pos(anchor.line, ch, sticky), head)
  }


  // Determines whether an event happened in the gutter, and fires the
  // handlers for the corresponding event.
  function gutterEvent(cm, e, type, prevent) {
    var mX, mY;
    if (e.touches) {
      mX = e.touches[0].clientX;
      mY = e.touches[0].clientY;
    } else {
      try { mX = e.clientX; mY = e.clientY; }
      catch(e$1) { return false }
    }
    if (mX >= Math.floor(cm.display.gutters.getBoundingClientRect().right)) { return false }
    if (prevent) { e_preventDefault(e); }

    var display = cm.display;
    var lineBox = display.lineDiv.getBoundingClientRect();

    if (mY > lineBox.bottom || !hasHandler(cm, type)) { return e_defaultPrevented(e) }
    mY -= lineBox.top - display.viewOffset;

    for (var i = 0; i < cm.display.gutterSpecs.length; ++i) {
      var g = display.gutters.childNodes[i];
      if (g && g.getBoundingClientRect().right >= mX) {
        var line = lineAtHeight(cm.doc, mY);
        var gutter = cm.display.gutterSpecs[i];
        signal(cm, type, cm, line, gutter.className, e);
        return e_defaultPrevented(e)
      }
    }
  }

  function clickInGutter(cm, e) {
    return gutterEvent(cm, e, "gutterClick", true)
  }

  // CONTEXT MENU HANDLING

  // To make the context menu work, we need to briefly unhide the
  // textarea (making it as unobtrusive as possible) to let the
  // right-click take effect on it.
  function onContextMenu(cm, e) {
    if (eventInWidget(cm.display, e) || contextMenuInGutter(cm, e)) { return }
    if (signalDOMEvent(cm, e, "contextmenu")) { return }
    if (!captureRightClick) { cm.display.input.onContextMenu(e); }
  }

  function contextMenuInGutter(cm, e) {
    if (!hasHandler(cm, "gutterContextMenu")) { return false }
    return gutterEvent(cm, e, "gutterContextMenu", false)
  }

  function themeChanged(cm) {
    cm.display.wrapper.className = cm.display.wrapper.className.replace(/\s*cm-s-\S+/g, "") +
      cm.options.theme.replace(/(^|\s)\s*/g, " cm-s-");
    clearCaches(cm);
  }

  var Init = {toString: function(){return "CodeMirror.Init"}};

  var defaults = {};
  var optionHandlers = {};

  function defineOptions(CodeMirror) {
    var optionHandlers = CodeMirror.optionHandlers;

    function option(name, deflt, handle, notOnInit) {
      CodeMirror.defaults[name] = deflt;
      if (handle) { optionHandlers[name] =
        notOnInit ? function (cm, val, old) {if (old != Init) { handle(cm, val, old); }} : handle; }
    }

    CodeMirror.defineOption = option;

    // Passed to option handlers when there is no old value.
    CodeMirror.Init = Init;

    // These two are, on init, called from the constructor because they
    // have to be initialized before the editor can start at all.
    option("value", "", function (cm, val) { return cm.setValue(val); }, true);
    option("mode", null, function (cm, val) {
      cm.doc.modeOption = val;
      loadMode(cm);
    }, true);

    option("indentUnit", 2, loadMode, true);
    option("indentWithTabs", false);
    option("smartIndent", true);
    option("tabSize", 4, function (cm) {
      resetModeState(cm);
      clearCaches(cm);
      regChange(cm);
    }, true);

    option("lineSeparator", null, function (cm, val) {
      cm.doc.lineSep = val;
      if (!val) { return }
      var newBreaks = [], lineNo = cm.doc.first;
      cm.doc.iter(function (line) {
        for (var pos = 0;;) {
          var found = line.text.indexOf(val, pos);
          if (found == -1) { break }
          pos = found + val.length;
          newBreaks.push(Pos(lineNo, found));
        }
        lineNo++;
      });
      for (var i = newBreaks.length - 1; i >= 0; i--)
        { replaceRange(cm.doc, val, newBreaks[i], Pos(newBreaks[i].line, newBreaks[i].ch + val.length)); }
    });
    option("specialChars", /[\u0000-\u001f\u007f-\u009f\u00ad\u061c\u200b\u200e\u200f\u2028\u2029\ufeff\ufff9-\ufffc]/g, function (cm, val, old) {
      cm.state.specialChars = new RegExp(val.source + (val.test("\t") ? "" : "|\t"), "g");
      if (old != Init) { cm.refresh(); }
    });
    option("specialCharPlaceholder", defaultSpecialCharPlaceholder, function (cm) { return cm.refresh(); }, true);
    option("electricChars", true);
    option("inputStyle", mobile ? "contenteditable" : "textarea", function () {
      throw new Error("inputStyle can not (yet) be changed in a running editor") // FIXME
    }, true);
    option("spellcheck", false, function (cm, val) { return cm.getInputField().spellcheck = val; }, true);
    option("autocorrect", false, function (cm, val) { return cm.getInputField().autocorrect = val; }, true);
    option("autocapitalize", false, function (cm, val) { return cm.getInputField().autocapitalize = val; }, true);
    option("rtlMoveVisually", !windows);
    option("wholeLineUpdateBefore", true);

    option("theme", "default", function (cm) {
      themeChanged(cm);
      updateGutters(cm);
    }, true);
    option("keyMap", "default", function (cm, val, old) {
      var next = getKeyMap(val);
      var prev = old != Init && getKeyMap(old);
      if (prev && prev.detach) { prev.detach(cm, next); }
      if (next.attach) { next.attach(cm, prev || null); }
    });
    option("extraKeys", null);
    option("configureMouse", null);

    option("lineWrapping", false, wrappingChanged, true);
    option("gutters", [], function (cm, val) {
      cm.display.gutterSpecs = getGutters(val, cm.options.lineNumbers);
      updateGutters(cm);
    }, true);
    option("fixedGutter", true, function (cm, val) {
      cm.display.gutters.style.left = val ? compensateForHScroll(cm.display) + "px" : "0";
      cm.refresh();
    }, true);
    option("coverGutterNextToScrollbar", false, function (cm) { return updateScrollbars(cm); }, true);
    option("scrollbarStyle", "native", function (cm) {
      initScrollbars(cm);
      updateScrollbars(cm);
      cm.display.scrollbars.setScrollTop(cm.doc.scrollTop);
      cm.display.scrollbars.setScrollLeft(cm.doc.scrollLeft);
    }, true);
    option("lineNumbers", false, function (cm, val) {
      cm.display.gutterSpecs = getGutters(cm.options.gutters, val);
      updateGutters(cm);
    }, true);
    option("firstLineNumber", 1, updateGutters, true);
    option("lineNumberFormatter", function (integer) { return integer; }, updateGutters, true);
    option("showCursorWhenSelecting", false, updateSelection, true);

    option("resetSelectionOnContextMenu", true);
    option("lineWiseCopyCut", true);
    option("pasteLinesPerSelection", true);
    option("selectionsMayTouch", false);

    option("readOnly", false, function (cm, val) {
      if (val == "nocursor") {
        onBlur(cm);
        cm.display.input.blur();
      }
      cm.display.input.readOnlyChanged(val);
    });

    option("screenReaderLabel", null, function (cm, val) {
      val = (val === '') ? null : val;
      cm.display.input.screenReaderLabelChanged(val);
    });

    option("disableInput", false, function (cm, val) {if (!val) { cm.display.input.reset(); }}, true);
    option("dragDrop", true, dragDropChanged);
    option("allowDropFileTypes", null);

    option("cursorBlinkRate", 530);
    option("cursorScrollMargin", 0);
    option("cursorHeight", 1, updateSelection, true);
    option("singleCursorHeightPerLine", true, updateSelection, true);
    option("workTime", 100);
    option("workDelay", 100);
    option("flattenSpans", true, resetModeState, true);
    option("addModeClass", false, resetModeState, true);
    option("pollInterval", 100);
    option("undoDepth", 200, function (cm, val) { return cm.doc.history.undoDepth = val; });
    option("historyEventDelay", 1250);
    option("viewportMargin", 10, function (cm) { return cm.refresh(); }, true);
    option("maxHighlightLength", 10000, resetModeState, true);
    option("moveInputWithCursor", true, function (cm, val) {
      if (!val) { cm.display.input.resetPosition(); }
    });

    option("tabindex", null, function (cm, val) { return cm.display.input.getField().tabIndex = val || ""; });
    option("autofocus", null);
    option("direction", "ltr", function (cm, val) { return cm.doc.setDirection(val); }, true);
    option("phrases", null);
  }

  function dragDropChanged(cm, value, old) {
    var wasOn = old && old != Init;
    if (!value != !wasOn) {
      var funcs = cm.display.dragFunctions;
      var toggle = value ? on : off;
      toggle(cm.display.scroller, "dragstart", funcs.start);
      toggle(cm.display.scroller, "dragenter", funcs.enter);
      toggle(cm.display.scroller, "dragover", funcs.over);
      toggle(cm.display.scroller, "dragleave", funcs.leave);
      toggle(cm.display.scroller, "drop", funcs.drop);
    }
  }

  function wrappingChanged(cm) {
    if (cm.options.lineWrapping) {
      addClass(cm.display.wrapper, "CodeMirror-wrap");
      cm.display.sizer.style.minWidth = "";
      cm.display.sizerWidth = null;
    } else {
      rmClass(cm.display.wrapper, "CodeMirror-wrap");
      findMaxLine(cm);
    }
    estimateLineHeights(cm);
    regChange(cm);
    clearCaches(cm);
    setTimeout(function () { return updateScrollbars(cm); }, 100);
  }

  // A CodeMirror instance represents an editor. This is the object
  // that user code is usually dealing with.

  function CodeMirror(place, options) {
    var this$1 = this;

    if (!(this instanceof CodeMirror)) { return new CodeMirror(place, options) }

    this.options = options = options ? copyObj(options) : {};
    // Determine effective options based on given values and defaults.
    copyObj(defaults, options, false);

    var doc = options.value;
    if (typeof doc == "string") { doc = new Doc(doc, options.mode, null, options.lineSeparator, options.direction); }
    else if (options.mode) { doc.modeOption = options.mode; }
    this.doc = doc;

    var input = new CodeMirror.inputStyles[options.inputStyle](this);
    var display = this.display = new Display(place, doc, input, options);
    display.wrapper.CodeMirror = this;
    themeChanged(this);
    if (options.lineWrapping)
      { this.display.wrapper.className += " CodeMirror-wrap"; }
    initScrollbars(this);

    this.state = {
      keyMaps: [],  // stores maps added by addKeyMap
      overlays: [], // highlighting overlays, as added by addOverlay
      modeGen: 0,   // bumped when mode/overlay changes, used to invalidate highlighting info
      overwrite: false,
      delayingBlurEvent: false,
      focused: false,
      suppressEdits: false, // used to disable editing during key handlers when in readOnly mode
      pasteIncoming: -1, cutIncoming: -1, // help recognize paste/cut edits in input.poll
      selectingText: false,
      draggingText: false,
      highlight: new Delayed(), // stores highlight worker timeout
      keySeq: null,  // Unfinished key sequence
      specialChars: null
    };

    if (options.autofocus && !mobile) { display.input.focus(); }

    // Override magic textarea content restore that IE sometimes does
    // on our hidden textarea on reload
    if (ie && ie_version < 11) { setTimeout(function () { return this$1.display.input.reset(true); }, 20); }

    registerEventHandlers(this);
    ensureGlobalHandlers();

    startOperation(this);
    this.curOp.forceUpdate = true;
    attachDoc(this, doc);

    if ((options.autofocus && !mobile) || this.hasFocus())
      { setTimeout(function () {
        if (this$1.hasFocus() && !this$1.state.focused) { onFocus(this$1); }
      }, 20); }
    else
      { onBlur(this); }

    for (var opt in optionHandlers) { if (optionHandlers.hasOwnProperty(opt))
      { optionHandlers[opt](this, options[opt], Init); } }
    maybeUpdateLineNumberWidth(this);
    if (options.finishInit) { options.finishInit(this); }
    for (var i = 0; i < initHooks.length; ++i) { initHooks[i](this); }
    endOperation(this);
    // Suppress optimizelegibility in Webkit, since it breaks text
    // measuring on line wrapping boundaries.
    if (webkit && options.lineWrapping &&
        getComputedStyle(display.lineDiv).textRendering == "optimizelegibility")
      { display.lineDiv.style.textRendering = "auto"; }
  }

  // The default configuration options.
  CodeMirror.defaults = defaults;
  // Functions to run when options are changed.
  CodeMirror.optionHandlers = optionHandlers;

  // Attach the necessary event handlers when initializing the editor
  function registerEventHandlers(cm) {
    var d = cm.display;
    on(d.scroller, "mousedown", operation(cm, onMouseDown));
    // Older IE's will not fire a second mousedown for a double click
    if (ie && ie_version < 11)
      { on(d.scroller, "dblclick", operation(cm, function (e) {
        if (signalDOMEvent(cm, e)) { return }
        var pos = posFromMouse(cm, e);
        if (!pos || clickInGutter(cm, e) || eventInWidget(cm.display, e)) { return }
        e_preventDefault(e);
        var word = cm.findWordAt(pos);
        extendSelection(cm.doc, word.anchor, word.head);
      })); }
    else
      { on(d.scroller, "dblclick", function (e) { return signalDOMEvent(cm, e) || e_preventDefault(e); }); }
    // Some browsers fire contextmenu *after* opening the menu, at
    // which point we can't mess with it anymore. Context menu is
    // handled in onMouseDown for these browsers.
    on(d.scroller, "contextmenu", function (e) { return onContextMenu(cm, e); });
    on(d.input.getField(), "contextmenu", function (e) {
      if (!d.scroller.contains(e.target)) { onContextMenu(cm, e); }
    });

    // Used to suppress mouse event handling when a touch happens
    var touchFinished, prevTouch = {end: 0};
    function finishTouch() {
      if (d.activeTouch) {
        touchFinished = setTimeout(function () { return d.activeTouch = null; }, 1000);
        prevTouch = d.activeTouch;
        prevTouch.end = +new Date;
      }
    }
    function isMouseLikeTouchEvent(e) {
      if (e.touches.length != 1) { return false }
      var touch = e.touches[0];
      return touch.radiusX <= 1 && touch.radiusY <= 1
    }
    function farAway(touch, other) {
      if (other.left == null) { return true }
      var dx = other.left - touch.left, dy = other.top - touch.top;
      return dx * dx + dy * dy > 20 * 20
    }
    on(d.scroller, "touchstart", function (e) {
      if (!signalDOMEvent(cm, e) && !isMouseLikeTouchEvent(e) && !clickInGutter(cm, e)) {
        d.input.ensurePolled();
        clearTimeout(touchFinished);
        var now = +new Date;
        d.activeTouch = {start: now, moved: false,
                         prev: now - prevTouch.end <= 300 ? prevTouch : null};
        if (e.touches.length == 1) {
          d.activeTouch.left = e.touches[0].pageX;
          d.activeTouch.top = e.touches[0].pageY;
        }
      }
    });
    on(d.scroller, "touchmove", function () {
      if (d.activeTouch) { d.activeTouch.moved = true; }
    });
    on(d.scroller, "touchend", function (e) {
      var touch = d.activeTouch;
      if (touch && !eventInWidget(d, e) && touch.left != null &&
          !touch.moved && new Date - touch.start < 300) {
        var pos = cm.coordsChar(d.activeTouch, "page"), range;
        if (!touch.prev || farAway(touch, touch.prev)) // Single tap
          { range = new Range(pos, pos); }
        else if (!touch.prev.prev || farAway(touch, touch.prev.prev)) // Double tap
          { range = cm.findWordAt(pos); }
        else // Triple tap
          { range = new Range(Pos(pos.line, 0), clipPos(cm.doc, Pos(pos.line + 1, 0))); }
        cm.setSelection(range.anchor, range.head);
        cm.focus();
        e_preventDefault(e);
      }
      finishTouch();
    });
    on(d.scroller, "touchcancel", finishTouch);

    // Sync scrolling between fake scrollbars and real scrollable
    // area, ensure viewport is updated when scrolling.
    on(d.scroller, "scroll", function () {
      if (d.scroller.clientHeight) {
        updateScrollTop(cm, d.scroller.scrollTop);
        setScrollLeft(cm, d.scroller.scrollLeft, true);
        signal(cm, "scroll", cm);
      }
    });

    // Listen to wheel events in order to try and update the viewport on time.
    on(d.scroller, "mousewheel", function (e) { return onScrollWheel(cm, e); });
    on(d.scroller, "DOMMouseScroll", function (e) { return onScrollWheel(cm, e); });

    // Prevent wrapper from ever scrolling
    on(d.wrapper, "scroll", function () { return d.wrapper.scrollTop = d.wrapper.scrollLeft = 0; });

    d.dragFunctions = {
      enter: function (e) {if (!signalDOMEvent(cm, e)) { e_stop(e); }},
      over: function (e) {if (!signalDOMEvent(cm, e)) { onDragOver(cm, e); e_stop(e); }},
      start: function (e) { return onDragStart(cm, e); },
      drop: operation(cm, onDrop),
      leave: function (e) {if (!signalDOMEvent(cm, e)) { clearDragCursor(cm); }}
    };

    var inp = d.input.getField();
    on(inp, "keyup", function (e) { return onKeyUp.call(cm, e); });
    on(inp, "keydown", operation(cm, onKeyDown));
    on(inp, "keypress", operation(cm, onKeyPress));
    on(inp, "focus", function (e) { return onFocus(cm, e); });
    on(inp, "blur", function (e) { return onBlur(cm, e); });
  }

  var initHooks = [];
  CodeMirror.defineInitHook = function (f) { return initHooks.push(f); };

  // Indent the given line. The how parameter can be "smart",
  // "add"/null, "subtract", or "prev". When aggressive is false
  // (typically set to true for forced single-line indents), empty
  // lines are not indented, and places where the mode returns Pass
  // are left alone.
  function indentLine(cm, n, how, aggressive) {
    var doc = cm.doc, state;
    if (how == null) { how = "add"; }
    if (how == "smart") {
      // Fall back to "prev" when the mode doesn't have an indentation
      // method.
      if (!doc.mode.indent) { how = "prev"; }
      else { state = getContextBefore(cm, n).state; }
    }

    var tabSize = cm.options.tabSize;
    var line = getLine(doc, n), curSpace = countColumn(line.text, null, tabSize);
    if (line.stateAfter) { line.stateAfter = null; }
    var curSpaceString = line.text.match(/^\s*/)[0], indentation;
    if (!aggressive && !/\S/.test(line.text)) {
      indentation = 0;
      how = "not";
    } else if (how == "smart") {
      indentation = doc.mode.indent(state, line.text.slice(curSpaceString.length), line.text);
      if (indentation == Pass || indentation > 150) {
        if (!aggressive) { return }
        how = "prev";
      }
    }
    if (how == "prev") {
      if (n > doc.first) { indentation = countColumn(getLine(doc, n-1).text, null, tabSize); }
      else { indentation = 0; }
    } else if (how == "add") {
      indentation = curSpace + cm.options.indentUnit;
    } else if (how == "subtract") {
      indentation = curSpace - cm.options.indentUnit;
    } else if (typeof how == "number") {
      indentation = curSpace + how;
    }
    indentation = Math.max(0, indentation);

    var indentString = "", pos = 0;
    if (cm.options.indentWithTabs)
      { for (var i = Math.floor(indentation / tabSize); i; --i) {pos += tabSize; indentString += "\t";} }
    if (pos < indentation) { indentString += spaceStr(indentation - pos); }

    if (indentString != curSpaceString) {
      replaceRange(doc, indentString, Pos(n, 0), Pos(n, curSpaceString.length), "+input");
      line.stateAfter = null;
      return true
    } else {
      // Ensure that, if the cursor was in the whitespace at the start
      // of the line, it is moved to the end of that space.
      for (var i$1 = 0; i$1 < doc.sel.ranges.length; i$1++) {
        var range = doc.sel.ranges[i$1];
        if (range.head.line == n && range.head.ch < curSpaceString.length) {
          var pos$1 = Pos(n, curSpaceString.length);
          replaceOneSelection(doc, i$1, new Range(pos$1, pos$1));
          break
        }
      }
    }
  }

  // This will be set to a {lineWise: bool, text: [string]} object, so
  // that, when pasting, we know what kind of selections the copied
  // text was made out of.
  var lastCopied = null;

  function setLastCopied(newLastCopied) {
    lastCopied = newLastCopied;
  }

  function applyTextInput(cm, inserted, deleted, sel, origin) {
    var doc = cm.doc;
    cm.display.shift = false;
    if (!sel) { sel = doc.sel; }

    var recent = +new Date - 200;
    var paste = origin == "paste" || cm.state.pasteIncoming > recent;
    var textLines = splitLinesAuto(inserted), multiPaste = null;
    // When pasting N lines into N selections, insert one line per selection
    if (paste && sel.ranges.length > 1) {
      if (lastCopied && lastCopied.text.join("\n") == inserted) {
        if (sel.ranges.length % lastCopied.text.length == 0) {
          multiPaste = [];
          for (var i = 0; i < lastCopied.text.length; i++)
            { multiPaste.push(doc.splitLines(lastCopied.text[i])); }
        }
      } else if (textLines.length == sel.ranges.length && cm.options.pasteLinesPerSelection) {
        multiPaste = map(textLines, function (l) { return [l]; });
      }
    }

    var updateInput = cm.curOp.updateInput;
    // Normal behavior is to insert the new text into every selection
    for (var i$1 = sel.ranges.length - 1; i$1 >= 0; i$1--) {
      var range = sel.ranges[i$1];
      var from = range.from(), to = range.to();
      if (range.empty()) {
        if (deleted && deleted > 0) // Handle deletion
          { from = Pos(from.line, from.ch - deleted); }
        else if (cm.state.overwrite && !paste) // Handle overwrite
          { to = Pos(to.line, Math.min(getLine(doc, to.line).text.length, to.ch + lst(textLines).length)); }
        else if (paste && lastCopied && lastCopied.lineWise && lastCopied.text.join("\n") == textLines.join("\n"))
          { from = to = Pos(from.line, 0); }
      }
      var changeEvent = {from: from, to: to, text: multiPaste ? multiPaste[i$1 % multiPaste.length] : textLines,
                         origin: origin || (paste ? "paste" : cm.state.cutIncoming > recent ? "cut" : "+input")};
      makeChange(cm.doc, changeEvent);
      signalLater(cm, "inputRead", cm, changeEvent);
    }
    if (inserted && !paste)
      { triggerElectric(cm, inserted); }

    ensureCursorVisible(cm);
    if (cm.curOp.updateInput < 2) { cm.curOp.updateInput = updateInput; }
    cm.curOp.typing = true;
    cm.state.pasteIncoming = cm.state.cutIncoming = -1;
  }

  function handlePaste(e, cm) {
    var pasted = e.clipboardData && e.clipboardData.getData("Text");
    if (pasted) {
      e.preventDefault();
      if (!cm.isReadOnly() && !cm.options.disableInput)
        { runInOp(cm, function () { return applyTextInput(cm, pasted, 0, null, "paste"); }); }
      return true
    }
  }

  function triggerElectric(cm, inserted) {
    // When an 'electric' character is inserted, immediately trigger a reindent
    if (!cm.options.electricChars || !cm.options.smartIndent) { return }
    var sel = cm.doc.sel;

    for (var i = sel.ranges.length - 1; i >= 0; i--) {
      var range = sel.ranges[i];
      if (range.head.ch > 100 || (i && sel.ranges[i - 1].head.line == range.head.line)) { continue }
      var mode = cm.getModeAt(range.head);
      var indented = false;
      if (mode.electricChars) {
        for (var j = 0; j < mode.electricChars.length; j++)
          { if (inserted.indexOf(mode.electricChars.charAt(j)) > -1) {
            indented = indentLine(cm, range.head.line, "smart");
            break
          } }
      } else if (mode.electricInput) {
        if (mode.electricInput.test(getLine(cm.doc, range.head.line).text.slice(0, range.head.ch)))
          { indented = indentLine(cm, range.head.line, "smart"); }
      }
      if (indented) { signalLater(cm, "electricInput", cm, range.head.line); }
    }
  }

  function copyableRanges(cm) {
    var text = [], ranges = [];
    for (var i = 0; i < cm.doc.sel.ranges.length; i++) {
      var line = cm.doc.sel.ranges[i].head.line;
      var lineRange = {anchor: Pos(line, 0), head: Pos(line + 1, 0)};
      ranges.push(lineRange);
      text.push(cm.getRange(lineRange.anchor, lineRange.head));
    }
    return {text: text, ranges: ranges}
  }

  function disableBrowserMagic(field, spellcheck, autocorrect, autocapitalize) {
    field.setAttribute("autocorrect", autocorrect ? "" : "off");
    field.setAttribute("autocapitalize", autocapitalize ? "" : "off");
    field.setAttribute("spellcheck", !!spellcheck);
  }

  function hiddenTextarea() {
    var te = elt("textarea", null, null, "position: absolute; bottom: -1em; padding: 0; width: 1px; height: 1em; outline: none");
    var div = elt("div", [te], null, "overflow: hidden; position: relative; width: 3px; height: 0px;");
    // The textarea is kept positioned near the cursor to prevent the
    // fact that it'll be scrolled into view on input from scrolling
    // our fake cursor out of view. On webkit, when wrap=off, paste is
    // very slow. So make the area wide instead.
    if (webkit) { te.style.width = "1000px"; }
    else { te.setAttribute("wrap", "off"); }
    // If border: 0; -- iOS fails to open keyboard (issue #1287)
    if (ios) { te.style.border = "1px solid black"; }
    disableBrowserMagic(te);
    return div
  }

  // The publicly visible API. Note that methodOp(f) means
  // 'wrap f in an operation, performed on its `this` parameter'.

  // This is not the complete set of editor methods. Most of the
  // methods defined on the Doc type are also injected into
  // CodeMirror.prototype, for backwards compatibility and
  // convenience.

  function addEditorMethods(CodeMirror) {
    var optionHandlers = CodeMirror.optionHandlers;

    var helpers = CodeMirror.helpers = {};

    CodeMirror.prototype = {
      constructor: CodeMirror,
      focus: function(){window.focus(); this.display.input.focus();},

      setOption: function(option, value) {
        var options = this.options, old = options[option];
        if (options[option] == value && option != "mode") { return }
        options[option] = value;
        if (optionHandlers.hasOwnProperty(option))
          { operation(this, optionHandlers[option])(this, value, old); }
        signal(this, "optionChange", this, option);
      },

      getOption: function(option) {return this.options[option]},
      getDoc: function() {return this.doc},

      addKeyMap: function(map, bottom) {
        this.state.keyMaps[bottom ? "push" : "unshift"](getKeyMap(map));
      },
      removeKeyMap: function(map) {
        var maps = this.state.keyMaps;
        for (var i = 0; i < maps.length; ++i)
          { if (maps[i] == map || maps[i].name == map) {
            maps.splice(i, 1);
            return true
          } }
      },

      addOverlay: methodOp(function(spec, options) {
        var mode = spec.token ? spec : CodeMirror.getMode(this.options, spec);
        if (mode.startState) { throw new Error("Overlays may not be stateful.") }
        insertSorted(this.state.overlays,
                     {mode: mode, modeSpec: spec, opaque: options && options.opaque,
                      priority: (options && options.priority) || 0},
                     function (overlay) { return overlay.priority; });
        this.state.modeGen++;
        regChange(this);
      }),
      removeOverlay: methodOp(function(spec) {
        var overlays = this.state.overlays;
        for (var i = 0; i < overlays.length; ++i) {
          var cur = overlays[i].modeSpec;
          if (cur == spec || typeof spec == "string" && cur.name == spec) {
            overlays.splice(i, 1);
            this.state.modeGen++;
            regChange(this);
            return
          }
        }
      }),

      indentLine: methodOp(function(n, dir, aggressive) {
        if (typeof dir != "string" && typeof dir != "number") {
          if (dir == null) { dir = this.options.smartIndent ? "smart" : "prev"; }
          else { dir = dir ? "add" : "subtract"; }
        }
        if (isLine(this.doc, n)) { indentLine(this, n, dir, aggressive); }
      }),
      indentSelection: methodOp(function(how) {
        var ranges = this.doc.sel.ranges, end = -1;
        for (var i = 0; i < ranges.length; i++) {
          var range = ranges[i];
          if (!range.empty()) {
            var from = range.from(), to = range.to();
            var start = Math.max(end, from.line);
            end = Math.min(this.lastLine(), to.line - (to.ch ? 0 : 1)) + 1;
            for (var j = start; j < end; ++j)
              { indentLine(this, j, how); }
            var newRanges = this.doc.sel.ranges;
            if (from.ch == 0 && ranges.length == newRanges.length && newRanges[i].from().ch > 0)
              { replaceOneSelection(this.doc, i, new Range(from, newRanges[i].to()), sel_dontScroll); }
          } else if (range.head.line > end) {
            indentLine(this, range.head.line, how, true);
            end = range.head.line;
            if (i == this.doc.sel.primIndex) { ensureCursorVisible(this); }
          }
        }
      }),

      // Fetch the parser token for a given character. Useful for hacks
      // that want to inspect the mode state (say, for completion).
      getTokenAt: function(pos, precise) {
        return takeToken(this, pos, precise)
      },

      getLineTokens: function(line, precise) {
        return takeToken(this, Pos(line), precise, true)
      },

      getTokenTypeAt: function(pos) {
        pos = clipPos(this.doc, pos);
        var styles = getLineStyles(this, getLine(this.doc, pos.line));
        var before = 0, after = (styles.length - 1) / 2, ch = pos.ch;
        var type;
        if (ch == 0) { type = styles[2]; }
        else { for (;;) {
          var mid = (before + after) >> 1;
          if ((mid ? styles[mid * 2 - 1] : 0) >= ch) { after = mid; }
          else if (styles[mid * 2 + 1] < ch) { before = mid + 1; }
          else { type = styles[mid * 2 + 2]; break }
        } }
        var cut = type ? type.indexOf("overlay ") : -1;
        return cut < 0 ? type : cut == 0 ? null : type.slice(0, cut - 1)
      },

      getModeAt: function(pos) {
        var mode = this.doc.mode;
        if (!mode.innerMode) { return mode }
        return CodeMirror.innerMode(mode, this.getTokenAt(pos).state).mode
      },

      getHelper: function(pos, type) {
        return this.getHelpers(pos, type)[0]
      },

      getHelpers: function(pos, type) {
        var found = [];
        if (!helpers.hasOwnProperty(type)) { return found }
        var help = helpers[type], mode = this.getModeAt(pos);
        if (typeof mode[type] == "string") {
          if (help[mode[type]]) { found.push(help[mode[type]]); }
        } else if (mode[type]) {
          for (var i = 0; i < mode[type].length; i++) {
            var val = help[mode[type][i]];
            if (val) { found.push(val); }
          }
        } else if (mode.helperType && help[mode.helperType]) {
          found.push(help[mode.helperType]);
        } else if (help[mode.name]) {
          found.push(help[mode.name]);
        }
        for (var i$1 = 0; i$1 < help._global.length; i$1++) {
          var cur = help._global[i$1];
          if (cur.pred(mode, this) && indexOf(found, cur.val) == -1)
            { found.push(cur.val); }
        }
        return found
      },

      getStateAfter: function(line, precise) {
        var doc = this.doc;
        line = clipLine(doc, line == null ? doc.first + doc.size - 1: line);
        return getContextBefore(this, line + 1, precise).state
      },

      cursorCoords: function(start, mode) {
        var pos, range = this.doc.sel.primary();
        if (start == null) { pos = range.head; }
        else if (typeof start == "object") { pos = clipPos(this.doc, start); }
        else { pos = start ? range.from() : range.to(); }
        return cursorCoords(this, pos, mode || "page")
      },

      charCoords: function(pos, mode) {
        return charCoords(this, clipPos(this.doc, pos), mode || "page")
      },

      coordsChar: function(coords, mode) {
        coords = fromCoordSystem(this, coords, mode || "page");
        return coordsChar(this, coords.left, coords.top)
      },

      lineAtHeight: function(height, mode) {
        height = fromCoordSystem(this, {top: height, left: 0}, mode || "page").top;
        return lineAtHeight(this.doc, height + this.display.viewOffset)
      },
      heightAtLine: function(line, mode, includeWidgets) {
        var end = false, lineObj;
        if (typeof line == "number") {
          var last = this.doc.first + this.doc.size - 1;
          if (line < this.doc.first) { line = this.doc.first; }
          else if (line > last) { line = last; end = true; }
          lineObj = getLine(this.doc, line);
        } else {
          lineObj = line;
        }
        return intoCoordSystem(this, lineObj, {top: 0, left: 0}, mode || "page", includeWidgets || end).top +
          (end ? this.doc.height - heightAtLine(lineObj) : 0)
      },

      defaultTextHeight: function() { return textHeight(this.display) },
      defaultCharWidth: function() { return charWidth(this.display) },

      getViewport: function() { return {from: this.display.viewFrom, to: this.display.viewTo}},

      addWidget: function(pos, node, scroll, vert, horiz) {
        var display = this.display;
        pos = cursorCoords(this, clipPos(this.doc, pos));
        var top = pos.bottom, left = pos.left;
        node.style.position = "absolute";
        node.setAttribute("cm-ignore-events", "true");
        this.display.input.setUneditable(node);
        display.sizer.appendChild(node);
        if (vert == "over") {
          top = pos.top;
        } else if (vert == "above" || vert == "near") {
          var vspace = Math.max(display.wrapper.clientHeight, this.doc.height),
          hspace = Math.max(display.sizer.clientWidth, display.lineSpace.clientWidth);
          // Default to positioning above (if specified and possible); otherwise default to positioning below
          if ((vert == 'above' || pos.bottom + node.offsetHeight > vspace) && pos.top > node.offsetHeight)
            { top = pos.top - node.offsetHeight; }
          else if (pos.bottom + node.offsetHeight <= vspace)
            { top = pos.bottom; }
          if (left + node.offsetWidth > hspace)
            { left = hspace - node.offsetWidth; }
        }
        node.style.top = top + "px";
        node.style.left = node.style.right = "";
        if (horiz == "right") {
          left = display.sizer.clientWidth - node.offsetWidth;
          node.style.right = "0px";
        } else {
          if (horiz == "left") { left = 0; }
          else if (horiz == "middle") { left = (display.sizer.clientWidth - node.offsetWidth) / 2; }
          node.style.left = left + "px";
        }
        if (scroll)
          { scrollIntoView(this, {left: left, top: top, right: left + node.offsetWidth, bottom: top + node.offsetHeight}); }
      },

      triggerOnKeyDown: methodOp(onKeyDown),
      triggerOnKeyPress: methodOp(onKeyPress),
      triggerOnKeyUp: onKeyUp,
      triggerOnMouseDown: methodOp(onMouseDown),

      execCommand: function(cmd) {
        if (commands.hasOwnProperty(cmd))
          { return commands[cmd].call(null, this) }
      },

      triggerElectric: methodOp(function(text) { triggerElectric(this, text); }),

      findPosH: function(from, amount, unit, visually) {
        var dir = 1;
        if (amount < 0) { dir = -1; amount = -amount; }
        var cur = clipPos(this.doc, from);
        for (var i = 0; i < amount; ++i) {
          cur = findPosH(this.doc, cur, dir, unit, visually);
          if (cur.hitSide) { break }
        }
        return cur
      },

      moveH: methodOp(function(dir, unit) {
        var this$1 = this;

        this.extendSelectionsBy(function (range) {
          if (this$1.display.shift || this$1.doc.extend || range.empty())
            { return findPosH(this$1.doc, range.head, dir, unit, this$1.options.rtlMoveVisually) }
          else
            { return dir < 0 ? range.from() : range.to() }
        }, sel_move);
      }),

      deleteH: methodOp(function(dir, unit) {
        var sel = this.doc.sel, doc = this.doc;
        if (sel.somethingSelected())
          { doc.replaceSelection("", null, "+delete"); }
        else
          { deleteNearSelection(this, function (range) {
            var other = findPosH(doc, range.head, dir, unit, false);
            return dir < 0 ? {from: other, to: range.head} : {from: range.head, to: other}
          }); }
      }),

      findPosV: function(from, amount, unit, goalColumn) {
        var dir = 1, x = goalColumn;
        if (amount < 0) { dir = -1; amount = -amount; }
        var cur = clipPos(this.doc, from);
        for (var i = 0; i < amount; ++i) {
          var coords = cursorCoords(this, cur, "div");
          if (x == null) { x = coords.left; }
          else { coords.left = x; }
          cur = findPosV(this, coords, dir, unit);
          if (cur.hitSide) { break }
        }
        return cur
      },

      moveV: methodOp(function(dir, unit) {
        var this$1 = this;

        var doc = this.doc, goals = [];
        var collapse = !this.display.shift && !doc.extend && doc.sel.somethingSelected();
        doc.extendSelectionsBy(function (range) {
          if (collapse)
            { return dir < 0 ? range.from() : range.to() }
          var headPos = cursorCoords(this$1, range.head, "div");
          if (range.goalColumn != null) { headPos.left = range.goalColumn; }
          goals.push(headPos.left);
          var pos = findPosV(this$1, headPos, dir, unit);
          if (unit == "page" && range == doc.sel.primary())
            { addToScrollTop(this$1, charCoords(this$1, pos, "div").top - headPos.top); }
          return pos
        }, sel_move);
        if (goals.length) { for (var i = 0; i < doc.sel.ranges.length; i++)
          { doc.sel.ranges[i].goalColumn = goals[i]; } }
      }),

      // Find the word at the given position (as returned by coordsChar).
      findWordAt: function(pos) {
        var doc = this.doc, line = getLine(doc, pos.line).text;
        var start = pos.ch, end = pos.ch;
        if (line) {
          var helper = this.getHelper(pos, "wordChars");
          if ((pos.sticky == "before" || end == line.length) && start) { --start; } else { ++end; }
          var startChar = line.charAt(start);
          var check = isWordChar(startChar, helper)
            ? function (ch) { return isWordChar(ch, helper); }
            : /\s/.test(startChar) ? function (ch) { return /\s/.test(ch); }
            : function (ch) { return (!/\s/.test(ch) && !isWordChar(ch)); };
          while (start > 0 && check(line.charAt(start - 1))) { --start; }
          while (end < line.length && check(line.charAt(end))) { ++end; }
        }
        return new Range(Pos(pos.line, start), Pos(pos.line, end))
      },

      toggleOverwrite: function(value) {
        if (value != null && value == this.state.overwrite) { return }
        if (this.state.overwrite = !this.state.overwrite)
          { addClass(this.display.cursorDiv, "CodeMirror-overwrite"); }
        else
          { rmClass(this.display.cursorDiv, "CodeMirror-overwrite"); }

        signal(this, "overwriteToggle", this, this.state.overwrite);
      },
      hasFocus: function() { return this.display.input.getField() == activeElt() },
      isReadOnly: function() { return !!(this.options.readOnly || this.doc.cantEdit) },

      scrollTo: methodOp(function (x, y) { scrollToCoords(this, x, y); }),
      getScrollInfo: function() {
        var scroller = this.display.scroller;
        return {left: scroller.scrollLeft, top: scroller.scrollTop,
                height: scroller.scrollHeight - scrollGap(this) - this.display.barHeight,
                width: scroller.scrollWidth - scrollGap(this) - this.display.barWidth,
                clientHeight: displayHeight(this), clientWidth: displayWidth(this)}
      },

      scrollIntoView: methodOp(function(range, margin) {
        if (range == null) {
          range = {from: this.doc.sel.primary().head, to: null};
          if (margin == null) { margin = this.options.cursorScrollMargin; }
        } else if (typeof range == "number") {
          range = {from: Pos(range, 0), to: null};
        } else if (range.from == null) {
          range = {from: range, to: null};
        }
        if (!range.to) { range.to = range.from; }
        range.margin = margin || 0;

        if (range.from.line != null) {
          scrollToRange(this, range);
        } else {
          scrollToCoordsRange(this, range.from, range.to, range.margin);
        }
      }),

      setSize: methodOp(function(width, height) {
        var this$1 = this;

        var interpret = function (val) { return typeof val == "number" || /^\d+$/.test(String(val)) ? val + "px" : val; };
        if (width != null) { this.display.wrapper.style.width = interpret(width); }
        if (height != null) { this.display.wrapper.style.height = interpret(height); }
        if (this.options.lineWrapping) { clearLineMeasurementCache(this); }
        var lineNo = this.display.viewFrom;
        this.doc.iter(lineNo, this.display.viewTo, function (line) {
          if (line.widgets) { for (var i = 0; i < line.widgets.length; i++)
            { if (line.widgets[i].noHScroll) { regLineChange(this$1, lineNo, "widget"); break } } }
          ++lineNo;
        });
        this.curOp.forceUpdate = true;
        signal(this, "refresh", this);
      }),

      operation: function(f){return runInOp(this, f)},
      startOperation: function(){return startOperation(this)},
      endOperation: function(){return endOperation(this)},

      refresh: methodOp(function() {
        var oldHeight = this.display.cachedTextHeight;
        regChange(this);
        this.curOp.forceUpdate = true;
        clearCaches(this);
        scrollToCoords(this, this.doc.scrollLeft, this.doc.scrollTop);
        updateGutterSpace(this.display);
        if (oldHeight == null || Math.abs(oldHeight - textHeight(this.display)) > .5 || this.options.lineWrapping)
          { estimateLineHeights(this); }
        signal(this, "refresh", this);
      }),

      swapDoc: methodOp(function(doc) {
        var old = this.doc;
        old.cm = null;
        // Cancel the current text selection if any (#5821)
        if (this.state.selectingText) { this.state.selectingText(); }
        attachDoc(this, doc);
        clearCaches(this);
        this.display.input.reset();
        scrollToCoords(this, doc.scrollLeft, doc.scrollTop);
        this.curOp.forceScroll = true;
        signalLater(this, "swapDoc", this, old);
        return old
      }),

      phrase: function(phraseText) {
        var phrases = this.options.phrases;
        return phrases && Object.prototype.hasOwnProperty.call(phrases, phraseText) ? phrases[phraseText] : phraseText
      },

      getInputField: function(){return this.display.input.getField()},
      getWrapperElement: function(){return this.display.wrapper},
      getScrollerElement: function(){return this.display.scroller},
      getGutterElement: function(){return this.display.gutters}
    };
    eventMixin(CodeMirror);

    CodeMirror.registerHelper = function(type, name, value) {
      if (!helpers.hasOwnProperty(type)) { helpers[type] = CodeMirror[type] = {_global: []}; }
      helpers[type][name] = value;
    };
    CodeMirror.registerGlobalHelper = function(type, name, predicate, value) {
      CodeMirror.registerHelper(type, name, value);
      helpers[type]._global.push({pred: predicate, val: value});
    };
  }

  // Used for horizontal relative motion. Dir is -1 or 1 (left or
  // right), unit can be "codepoint", "char", "column" (like char, but
  // doesn't cross line boundaries), "word" (across next word), or
  // "group" (to the start of next group of word or
  // non-word-non-whitespace chars). The visually param controls
  // whether, in right-to-left text, direction 1 means to move towards
  // the next index in the string, or towards the character to the right
  // of the current position. The resulting position will have a
  // hitSide=true property if it reached the end of the document.
  function findPosH(doc, pos, dir, unit, visually) {
    var oldPos = pos;
    var origDir = dir;
    var lineObj = getLine(doc, pos.line);
    var lineDir = visually && doc.direction == "rtl" ? -dir : dir;
    function findNextLine() {
      var l = pos.line + lineDir;
      if (l < doc.first || l >= doc.first + doc.size) { return false }
      pos = new Pos(l, pos.ch, pos.sticky);
      return lineObj = getLine(doc, l)
    }
    function moveOnce(boundToLine) {
      var next;
      if (unit == "codepoint") {
        var ch = lineObj.text.charCodeAt(pos.ch + (dir > 0 ? 0 : -1));
        if (isNaN(ch)) {
          next = null;
        } else {
          var astral = dir > 0 ? ch >= 0xD800 && ch < 0xDC00 : ch >= 0xDC00 && ch < 0xDFFF;
          next = new Pos(pos.line, Math.max(0, Math.min(lineObj.text.length, pos.ch + dir * (astral ? 2 : 1))), -dir);
        }
      } else if (visually) {
        next = moveVisually(doc.cm, lineObj, pos, dir);
      } else {
        next = moveLogically(lineObj, pos, dir);
      }
      if (next == null) {
        if (!boundToLine && findNextLine())
          { pos = endOfLine(visually, doc.cm, lineObj, pos.line, lineDir); }
        else
          { return false }
      } else {
        pos = next;
      }
      return true
    }

    if (unit == "char" || unit == "codepoint") {
      moveOnce();
    } else if (unit == "column") {
      moveOnce(true);
    } else if (unit == "word" || unit == "group") {
      var sawType = null, group = unit == "group";
      var helper = doc.cm && doc.cm.getHelper(pos, "wordChars");
      for (var first = true;; first = false) {
        if (dir < 0 && !moveOnce(!first)) { break }
        var cur = lineObj.text.charAt(pos.ch) || "\n";
        var type = isWordChar(cur, helper) ? "w"
          : group && cur == "\n" ? "n"
          : !group || /\s/.test(cur) ? null
          : "p";
        if (group && !first && !type) { type = "s"; }
        if (sawType && sawType != type) {
          if (dir < 0) {dir = 1; moveOnce(); pos.sticky = "after";}
          break
        }

        if (type) { sawType = type; }
        if (dir > 0 && !moveOnce(!first)) { break }
      }
    }
    var result = skipAtomic(doc, pos, oldPos, origDir, true);
    if (equalCursorPos(oldPos, result)) { result.hitSide = true; }
    return result
  }

  // For relative vertical movement. Dir may be -1 or 1. Unit can be
  // "page" or "line". The resulting position will have a hitSide=true
  // property if it reached the end of the document.
  function findPosV(cm, pos, dir, unit) {
    var doc = cm.doc, x = pos.left, y;
    if (unit == "page") {
      var pageSize = Math.min(cm.display.wrapper.clientHeight, window.innerHeight || document.documentElement.clientHeight);
      var moveAmount = Math.max(pageSize - .5 * textHeight(cm.display), 3);
      y = (dir > 0 ? pos.bottom : pos.top) + dir * moveAmount;

    } else if (unit == "line") {
      y = dir > 0 ? pos.bottom + 3 : pos.top - 3;
    }
    var target;
    for (;;) {
      target = coordsChar(cm, x, y);
      if (!target.outside) { break }
      if (dir < 0 ? y <= 0 : y >= doc.height) { target.hitSide = true; break }
      y += dir * 5;
    }
    return target
  }

  // CONTENTEDITABLE INPUT STYLE

  var ContentEditableInput = function(cm) {
    this.cm = cm;
    this.lastAnchorNode = this.lastAnchorOffset = this.lastFocusNode = this.lastFocusOffset = null;
    this.polling = new Delayed();
    this.composing = null;
    this.gracePeriod = false;
    this.readDOMTimeout = null;
  };

  ContentEditableInput.prototype.init = function (display) {
      var this$1 = this;

    var input = this, cm = input.cm;
    var div = input.div = display.lineDiv;
    disableBrowserMagic(div, cm.options.spellcheck, cm.options.autocorrect, cm.options.autocapitalize);

    function belongsToInput(e) {
      for (var t = e.target; t; t = t.parentNode) {
        if (t == div) { return true }
        if (/\bCodeMirror-(?:line)?widget\b/.test(t.className)) { break }
      }
      return false
    }

    on(div, "paste", function (e) {
      if (!belongsToInput(e) || signalDOMEvent(cm, e) || handlePaste(e, cm)) { return }
      // IE doesn't fire input events, so we schedule a read for the pasted content in this way
      if (ie_version <= 11) { setTimeout(operation(cm, function () { return this$1.updateFromDOM(); }), 20); }
    });

    on(div, "compositionstart", function (e) {
      this$1.composing = {data: e.data, done: false};
    });
    on(div, "compositionupdate", function (e) {
      if (!this$1.composing) { this$1.composing = {data: e.data, done: false}; }
    });
    on(div, "compositionend", function (e) {
      if (this$1.composing) {
        if (e.data != this$1.composing.data) { this$1.readFromDOMSoon(); }
        this$1.composing.done = true;
      }
    });

    on(div, "touchstart", function () { return input.forceCompositionEnd(); });

    on(div, "input", function () {
      if (!this$1.composing) { this$1.readFromDOMSoon(); }
    });

    function onCopyCut(e) {
      if (!belongsToInput(e) || signalDOMEvent(cm, e)) { return }
      if (cm.somethingSelected()) {
        setLastCopied({lineWise: false, text: cm.getSelections()});
        if (e.type == "cut") { cm.replaceSelection("", null, "cut"); }
      } else if (!cm.options.lineWiseCopyCut) {
        return
      } else {
        var ranges = copyableRanges(cm);
        setLastCopied({lineWise: true, text: ranges.text});
        if (e.type == "cut") {
          cm.operation(function () {
            cm.setSelections(ranges.ranges, 0, sel_dontScroll);
            cm.replaceSelection("", null, "cut");
          });
        }
      }
      if (e.clipboardData) {
        e.clipboardData.clearData();
        var content = lastCopied.text.join("\n");
        // iOS exposes the clipboard API, but seems to discard content inserted into it
        e.clipboardData.setData("Text", content);
        if (e.clipboardData.getData("Text") == content) {
          e.preventDefault();
          return
        }
      }
      // Old-fashioned briefly-focus-a-textarea hack
      var kludge = hiddenTextarea(), te = kludge.firstChild;
      cm.display.lineSpace.insertBefore(kludge, cm.display.lineSpace.firstChild);
      te.value = lastCopied.text.join("\n");
      var hadFocus = document.activeElement;
      selectInput(te);
      setTimeout(function () {
        cm.display.lineSpace.removeChild(kludge);
        hadFocus.focus();
        if (hadFocus == div) { input.showPrimarySelection(); }
      }, 50);
    }
    on(div, "copy", onCopyCut);
    on(div, "cut", onCopyCut);
  };

  ContentEditableInput.prototype.screenReaderLabelChanged = function (label) {
    // Label for screenreaders, accessibility
    if(label) {
      this.div.setAttribute('aria-label', label);
    } else {
      this.div.removeAttribute('aria-label');
    }
  };

  ContentEditableInput.prototype.prepareSelection = function () {
    var result = prepareSelection(this.cm, false);
    result.focus = document.activeElement == this.div;
    return result
  };

  ContentEditableInput.prototype.showSelection = function (info, takeFocus) {
    if (!info || !this.cm.display.view.length) { return }
    if (info.focus || takeFocus) { this.showPrimarySelection(); }
    this.showMultipleSelections(info);
  };

  ContentEditableInput.prototype.getSelection = function () {
    return this.cm.display.wrapper.ownerDocument.getSelection()
  };

  ContentEditableInput.prototype.showPrimarySelection = function () {
    var sel = this.getSelection(), cm = this.cm, prim = cm.doc.sel.primary();
    var from = prim.from(), to = prim.to();

    if (cm.display.viewTo == cm.display.viewFrom || from.line >= cm.display.viewTo || to.line < cm.display.viewFrom) {
      sel.removeAllRanges();
      return
    }

    var curAnchor = domToPos(cm, sel.anchorNode, sel.anchorOffset);
    var curFocus = domToPos(cm, sel.focusNode, sel.focusOffset);
    if (curAnchor && !curAnchor.bad && curFocus && !curFocus.bad &&
        cmp(minPos(curAnchor, curFocus), from) == 0 &&
        cmp(maxPos(curAnchor, curFocus), to) == 0)
      { return }

    var view = cm.display.view;
    var start = (from.line >= cm.display.viewFrom && posToDOM(cm, from)) ||
        {node: view[0].measure.map[2], offset: 0};
    var end = to.line < cm.display.viewTo && posToDOM(cm, to);
    if (!end) {
      var measure = view[view.length - 1].measure;
      var map = measure.maps ? measure.maps[measure.maps.length - 1] : measure.map;
      end = {node: map[map.length - 1], offset: map[map.length - 2] - map[map.length - 3]};
    }

    if (!start || !end) {
      sel.removeAllRanges();
      return
    }

    var old = sel.rangeCount && sel.getRangeAt(0), rng;
    try { rng = range(start.node, start.offset, end.offset, end.node); }
    catch(e) {} // Our model of the DOM might be outdated, in which case the range we try to set can be impossible
    if (rng) {
      if (!gecko && cm.state.focused) {
        sel.collapse(start.node, start.offset);
        if (!rng.collapsed) {
          sel.removeAllRanges();
          sel.addRange(rng);
        }
      } else {
        sel.removeAllRanges();
        sel.addRange(rng);
      }
      if (old && sel.anchorNode == null) { sel.addRange(old); }
      else if (gecko) { this.startGracePeriod(); }
    }
    this.rememberSelection();
  };

  ContentEditableInput.prototype.startGracePeriod = function () {
      var this$1 = this;

    clearTimeout(this.gracePeriod);
    this.gracePeriod = setTimeout(function () {
      this$1.gracePeriod = false;
      if (this$1.selectionChanged())
        { this$1.cm.operation(function () { return this$1.cm.curOp.selectionChanged = true; }); }
    }, 20);
  };

  ContentEditableInput.prototype.showMultipleSelections = function (info) {
    removeChildrenAndAdd(this.cm.display.cursorDiv, info.cursors);
    removeChildrenAndAdd(this.cm.display.selectionDiv, info.selection);
  };

  ContentEditableInput.prototype.rememberSelection = function () {
    var sel = this.getSelection();
    this.lastAnchorNode = sel.anchorNode; this.lastAnchorOffset = sel.anchorOffset;
    this.lastFocusNode = sel.focusNode; this.lastFocusOffset = sel.focusOffset;
  };

  ContentEditableInput.prototype.selectionInEditor = function () {
    var sel = this.getSelection();
    if (!sel.rangeCount) { return false }
    var node = sel.getRangeAt(0).commonAncestorContainer;
    return contains(this.div, node)
  };

  ContentEditableInput.prototype.focus = function () {
    if (this.cm.options.readOnly != "nocursor") {
      if (!this.selectionInEditor() || document.activeElement != this.div)
        { this.showSelection(this.prepareSelection(), true); }
      this.div.focus();
    }
  };
  ContentEditableInput.prototype.blur = function () { this.div.blur(); };
  ContentEditableInput.prototype.getField = function () { return this.div };

  ContentEditableInput.prototype.supportsTouch = function () { return true };

  ContentEditableInput.prototype.receivedFocus = function () {
    var input = this;
    if (this.selectionInEditor())
      { this.pollSelection(); }
    else
      { runInOp(this.cm, function () { return input.cm.curOp.selectionChanged = true; }); }

    function poll() {
      if (input.cm.state.focused) {
        input.pollSelection();
        input.polling.set(input.cm.options.pollInterval, poll);
      }
    }
    this.polling.set(this.cm.options.pollInterval, poll);
  };

  ContentEditableInput.prototype.selectionChanged = function () {
    var sel = this.getSelection();
    return sel.anchorNode != this.lastAnchorNode || sel.anchorOffset != this.lastAnchorOffset ||
      sel.focusNode != this.lastFocusNode || sel.focusOffset != this.lastFocusOffset
  };

  ContentEditableInput.prototype.pollSelection = function () {
    if (this.readDOMTimeout != null || this.gracePeriod || !this.selectionChanged()) { return }
    var sel = this.getSelection(), cm = this.cm;
    // On Android Chrome (version 56, at least), backspacing into an
    // uneditable block element will put the cursor in that element,
    // and then, because it's not editable, hide the virtual keyboard.
    // Because Android doesn't allow us to actually detect backspace
    // presses in a sane way, this code checks for when that happens
    // and simulates a backspace press in this case.
    if (android && chrome && this.cm.display.gutterSpecs.length && isInGutter(sel.anchorNode)) {
      this.cm.triggerOnKeyDown({type: "keydown", keyCode: 8, preventDefault: Math.abs});
      this.blur();
      this.focus();
      return
    }
    if (this.composing) { return }
    this.rememberSelection();
    var anchor = domToPos(cm, sel.anchorNode, sel.anchorOffset);
    var head = domToPos(cm, sel.focusNode, sel.focusOffset);
    if (anchor && head) { runInOp(cm, function () {
      setSelection(cm.doc, simpleSelection(anchor, head), sel_dontScroll);
      if (anchor.bad || head.bad) { cm.curOp.selectionChanged = true; }
    }); }
  };

  ContentEditableInput.prototype.pollContent = function () {
    if (this.readDOMTimeout != null) {
      clearTimeout(this.readDOMTimeout);
      this.readDOMTimeout = null;
    }

    var cm = this.cm, display = cm.display, sel = cm.doc.sel.primary();
    var from = sel.from(), to = sel.to();
    if (from.ch == 0 && from.line > cm.firstLine())
      { from = Pos(from.line - 1, getLine(cm.doc, from.line - 1).length); }
    if (to.ch == getLine(cm.doc, to.line).text.length && to.line < cm.lastLine())
      { to = Pos(to.line + 1, 0); }
    if (from.line < display.viewFrom || to.line > display.viewTo - 1) { return false }

    var fromIndex, fromLine, fromNode;
    if (from.line == display.viewFrom || (fromIndex = findViewIndex(cm, from.line)) == 0) {
      fromLine = lineNo(display.view[0].line);
      fromNode = display.view[0].node;
    } else {
      fromLine = lineNo(display.view[fromIndex].line);
      fromNode = display.view[fromIndex - 1].node.nextSibling;
    }
    var toIndex = findViewIndex(cm, to.line);
    var toLine, toNode;
    if (toIndex == display.view.length - 1) {
      toLine = display.viewTo - 1;
      toNode = display.lineDiv.lastChild;
    } else {
      toLine = lineNo(display.view[toIndex + 1].line) - 1;
      toNode = display.view[toIndex + 1].node.previousSibling;
    }

    if (!fromNode) { return false }
    var newText = cm.doc.splitLines(domTextBetween(cm, fromNode, toNode, fromLine, toLine));
    var oldText = getBetween(cm.doc, Pos(fromLine, 0), Pos(toLine, getLine(cm.doc, toLine).text.length));
    while (newText.length > 1 && oldText.length > 1) {
      if (lst(newText) == lst(oldText)) { newText.pop(); oldText.pop(); toLine--; }
      else if (newText[0] == oldText[0]) { newText.shift(); oldText.shift(); fromLine++; }
      else { break }
    }

    var cutFront = 0, cutEnd = 0;
    var newTop = newText[0], oldTop = oldText[0], maxCutFront = Math.min(newTop.length, oldTop.length);
    while (cutFront < maxCutFront && newTop.charCodeAt(cutFront) == oldTop.charCodeAt(cutFront))
      { ++cutFront; }
    var newBot = lst(newText), oldBot = lst(oldText);
    var maxCutEnd = Math.min(newBot.length - (newText.length == 1 ? cutFront : 0),
                             oldBot.length - (oldText.length == 1 ? cutFront : 0));
    while (cutEnd < maxCutEnd &&
           newBot.charCodeAt(newBot.length - cutEnd - 1) == oldBot.charCodeAt(oldBot.length - cutEnd - 1))
      { ++cutEnd; }
    // Try to move start of change to start of selection if ambiguous
    if (newText.length == 1 && oldText.length == 1 && fromLine == from.line) {
      while (cutFront && cutFront > from.ch &&
             newBot.charCodeAt(newBot.length - cutEnd - 1) == oldBot.charCodeAt(oldBot.length - cutEnd - 1)) {
        cutFront--;
        cutEnd++;
      }
    }

    newText[newText.length - 1] = newBot.slice(0, newBot.length - cutEnd).replace(/^\u200b+/, "");
    newText[0] = newText[0].slice(cutFront).replace(/\u200b+$/, "");

    var chFrom = Pos(fromLine, cutFront);
    var chTo = Pos(toLine, oldText.length ? lst(oldText).length - cutEnd : 0);
    if (newText.length > 1 || newText[0] || cmp(chFrom, chTo)) {
      replaceRange(cm.doc, newText, chFrom, chTo, "+input");
      return true
    }
  };

  ContentEditableInput.prototype.ensurePolled = function () {
    this.forceCompositionEnd();
  };
  ContentEditableInput.prototype.reset = function () {
    this.forceCompositionEnd();
  };
  ContentEditableInput.prototype.forceCompositionEnd = function () {
    if (!this.composing) { return }
    clearTimeout(this.readDOMTimeout);
    this.composing = null;
    this.updateFromDOM();
    this.div.blur();
    this.div.focus();
  };
  ContentEditableInput.prototype.readFromDOMSoon = function () {
      var this$1 = this;

    if (this.readDOMTimeout != null) { return }
    this.readDOMTimeout = setTimeout(function () {
      this$1.readDOMTimeout = null;
      if (this$1.composing) {
        if (this$1.composing.done) { this$1.composing = null; }
        else { return }
      }
      this$1.updateFromDOM();
    }, 80);
  };

  ContentEditableInput.prototype.updateFromDOM = function () {
      var this$1 = this;

    if (this.cm.isReadOnly() || !this.pollContent())
      { runInOp(this.cm, function () { return regChange(this$1.cm); }); }
  };

  ContentEditableInput.prototype.setUneditable = function (node) {
    node.contentEditable = "false";
  };

  ContentEditableInput.prototype.onKeyPress = function (e) {
    if (e.charCode == 0 || this.composing) { return }
    e.preventDefault();
    if (!this.cm.isReadOnly())
      { operation(this.cm, applyTextInput)(this.cm, String.fromCharCode(e.charCode == null ? e.keyCode : e.charCode), 0); }
  };

  ContentEditableInput.prototype.readOnlyChanged = function (val) {
    this.div.contentEditable = String(val != "nocursor");
  };

  ContentEditableInput.prototype.onContextMenu = function () {};
  ContentEditableInput.prototype.resetPosition = function () {};

  ContentEditableInput.prototype.needsContentAttribute = true;

  function posToDOM(cm, pos) {
    var view = findViewForLine(cm, pos.line);
    if (!view || view.hidden) { return null }
    var line = getLine(cm.doc, pos.line);
    var info = mapFromLineView(view, line, pos.line);

    var order = getOrder(line, cm.doc.direction), side = "left";
    if (order) {
      var partPos = getBidiPartAt(order, pos.ch);
      side = partPos % 2 ? "right" : "left";
    }
    var result = nodeAndOffsetInLineMap(info.map, pos.ch, side);
    result.offset = result.collapse == "right" ? result.end : result.start;
    return result
  }

  function isInGutter(node) {
    for (var scan = node; scan; scan = scan.parentNode)
      { if (/CodeMirror-gutter-wrapper/.test(scan.className)) { return true } }
    return false
  }

  function badPos(pos, bad) { if (bad) { pos.bad = true; } return pos }

  function domTextBetween(cm, from, to, fromLine, toLine) {
    var text = "", closing = false, lineSep = cm.doc.lineSeparator(), extraLinebreak = false;
    function recognizeMarker(id) { return function (marker) { return marker.id == id; } }
    function close() {
      if (closing) {
        text += lineSep;
        if (extraLinebreak) { text += lineSep; }
        closing = extraLinebreak = false;
      }
    }
    function addText(str) {
      if (str) {
        close();
        text += str;
      }
    }
    function walk(node) {
      if (node.nodeType == 1) {
        var cmText = node.getAttribute("cm-text");
        if (cmText) {
          addText(cmText);
          return
        }
        var markerID = node.getAttribute("cm-marker"), range;
        if (markerID) {
          var found = cm.findMarks(Pos(fromLine, 0), Pos(toLine + 1, 0), recognizeMarker(+markerID));
          if (found.length && (range = found[0].find(0)))
            { addText(getBetween(cm.doc, range.from, range.to).join(lineSep)); }
          return
        }
        if (node.getAttribute("contenteditable") == "false") { return }
        var isBlock = /^(pre|div|p|li|table|br)$/i.test(node.nodeName);
        if (!/^br$/i.test(node.nodeName) && node.textContent.length == 0) { return }

        if (isBlock) { close(); }
        for (var i = 0; i < node.childNodes.length; i++)
          { walk(node.childNodes[i]); }

        if (/^(pre|p)$/i.test(node.nodeName)) { extraLinebreak = true; }
        if (isBlock) { closing = true; }
      } else if (node.nodeType == 3) {
        addText(node.nodeValue.replace(/\u200b/g, "").replace(/\u00a0/g, " "));
      }
    }
    for (;;) {
      walk(from);
      if (from == to) { break }
      from = from.nextSibling;
      extraLinebreak = false;
    }
    return text
  }

  function domToPos(cm, node, offset) {
    var lineNode;
    if (node == cm.display.lineDiv) {
      lineNode = cm.display.lineDiv.childNodes[offset];
      if (!lineNode) { return badPos(cm.clipPos(Pos(cm.display.viewTo - 1)), true) }
      node = null; offset = 0;
    } else {
      for (lineNode = node;; lineNode = lineNode.parentNode) {
        if (!lineNode || lineNode == cm.display.lineDiv) { return null }
        if (lineNode.parentNode && lineNode.parentNode == cm.display.lineDiv) { break }
      }
    }
    for (var i = 0; i < cm.display.view.length; i++) {
      var lineView = cm.display.view[i];
      if (lineView.node == lineNode)
        { return locateNodeInLineView(lineView, node, offset) }
    }
  }

  function locateNodeInLineView(lineView, node, offset) {
    var wrapper = lineView.text.firstChild, bad = false;
    if (!node || !contains(wrapper, node)) { return badPos(Pos(lineNo(lineView.line), 0), true) }
    if (node == wrapper) {
      bad = true;
      node = wrapper.childNodes[offset];
      offset = 0;
      if (!node) {
        var line = lineView.rest ? lst(lineView.rest) : lineView.line;
        return badPos(Pos(lineNo(line), line.text.length), bad)
      }
    }

    var textNode = node.nodeType == 3 ? node : null, topNode = node;
    if (!textNode && node.childNodes.length == 1 && node.firstChild.nodeType == 3) {
      textNode = node.firstChild;
      if (offset) { offset = textNode.nodeValue.length; }
    }
    while (topNode.parentNode != wrapper) { topNode = topNode.parentNode; }
    var measure = lineView.measure, maps = measure.maps;

    function find(textNode, topNode, offset) {
      for (var i = -1; i < (maps ? maps.length : 0); i++) {
        var map = i < 0 ? measure.map : maps[i];
        for (var j = 0; j < map.length; j += 3) {
          var curNode = map[j + 2];
          if (curNode == textNode || curNode == topNode) {
            var line = lineNo(i < 0 ? lineView.line : lineView.rest[i]);
            var ch = map[j] + offset;
            if (offset < 0 || curNode != textNode) { ch = map[j + (offset ? 1 : 0)]; }
            return Pos(line, ch)
          }
        }
      }
    }
    var found = find(textNode, topNode, offset);
    if (found) { return badPos(found, bad) }

    // FIXME this is all really shaky. might handle the few cases it needs to handle, but likely to cause problems
    for (var after = topNode.nextSibling, dist = textNode ? textNode.nodeValue.length - offset : 0; after; after = after.nextSibling) {
      found = find(after, after.firstChild, 0);
      if (found)
        { return badPos(Pos(found.line, found.ch - dist), bad) }
      else
        { dist += after.textContent.length; }
    }
    for (var before = topNode.previousSibling, dist$1 = offset; before; before = before.previousSibling) {
      found = find(before, before.firstChild, -1);
      if (found)
        { return badPos(Pos(found.line, found.ch + dist$1), bad) }
      else
        { dist$1 += before.textContent.length; }
    }
  }

  // TEXTAREA INPUT STYLE

  var TextareaInput = function(cm) {
    this.cm = cm;
    // See input.poll and input.reset
    this.prevInput = "";

    // Flag that indicates whether we expect input to appear real soon
    // now (after some event like 'keypress' or 'input') and are
    // polling intensively.
    this.pollingFast = false;
    // Self-resetting timeout for the poller
    this.polling = new Delayed();
    // Used to work around IE issue with selection being forgotten when focus moves away from textarea
    this.hasSelection = false;
    this.composing = null;
  };

  TextareaInput.prototype.init = function (display) {
      var this$1 = this;

    var input = this, cm = this.cm;
    this.createField(display);
    var te = this.textarea;

    display.wrapper.insertBefore(this.wrapper, display.wrapper.firstChild);

    // Needed to hide big blue blinking cursor on Mobile Safari (doesn't seem to work in iOS 8 anymore)
    if (ios) { te.style.width = "0px"; }

    on(te, "input", function () {
      if (ie && ie_version >= 9 && this$1.hasSelection) { this$1.hasSelection = null; }
      input.poll();
    });

    on(te, "paste", function (e) {
      if (signalDOMEvent(cm, e) || handlePaste(e, cm)) { return }

      cm.state.pasteIncoming = +new Date;
      input.fastPoll();
    });

    function prepareCopyCut(e) {
      if (signalDOMEvent(cm, e)) { return }
      if (cm.somethingSelected()) {
        setLastCopied({lineWise: false, text: cm.getSelections()});
      } else if (!cm.options.lineWiseCopyCut) {
        return
      } else {
        var ranges = copyableRanges(cm);
        setLastCopied({lineWise: true, text: ranges.text});
        if (e.type == "cut") {
          cm.setSelections(ranges.ranges, null, sel_dontScroll);
        } else {
          input.prevInput = "";
          te.value = ranges.text.join("\n");
          selectInput(te);
        }
      }
      if (e.type == "cut") { cm.state.cutIncoming = +new Date; }
    }
    on(te, "cut", prepareCopyCut);
    on(te, "copy", prepareCopyCut);

    on(display.scroller, "paste", function (e) {
      if (eventInWidget(display, e) || signalDOMEvent(cm, e)) { return }
      if (!te.dispatchEvent) {
        cm.state.pasteIncoming = +new Date;
        input.focus();
        return
      }

      // Pass the `paste` event to the textarea so it's handled by its event listener.
      var event = new Event("paste");
      event.clipboardData = e.clipboardData;
      te.dispatchEvent(event);
    });

    // Prevent normal selection in the editor (we handle our own)
    on(display.lineSpace, "selectstart", function (e) {
      if (!eventInWidget(display, e)) { e_preventDefault(e); }
    });

    on(te, "compositionstart", function () {
      var start = cm.getCursor("from");
      if (input.composing) { input.composing.range.clear(); }
      input.composing = {
        start: start,
        range: cm.markText(start, cm.getCursor("to"), {className: "CodeMirror-composing"})
      };
    });
    on(te, "compositionend", function () {
      if (input.composing) {
        input.poll();
        input.composing.range.clear();
        input.composing = null;
      }
    });
  };

  TextareaInput.prototype.createField = function (_display) {
    // Wraps and hides input textarea
    this.wrapper = hiddenTextarea();
    // The semihidden textarea that is focused when the editor is
    // focused, and receives input.
    this.textarea = this.wrapper.firstChild;
  };

  TextareaInput.prototype.screenReaderLabelChanged = function (label) {
    // Label for screenreaders, accessibility
    if(label) {
      this.textarea.setAttribute('aria-label', label);
    } else {
      this.textarea.removeAttribute('aria-label');
    }
  };

  TextareaInput.prototype.prepareSelection = function () {
    // Redraw the selection and/or cursor
    var cm = this.cm, display = cm.display, doc = cm.doc;
    var result = prepareSelection(cm);

    // Move the hidden textarea near the cursor to prevent scrolling artifacts
    if (cm.options.moveInputWithCursor) {
      var headPos = cursorCoords(cm, doc.sel.primary().head, "div");
      var wrapOff = display.wrapper.getBoundingClientRect(), lineOff = display.lineDiv.getBoundingClientRect();
      result.teTop = Math.max(0, Math.min(display.wrapper.clientHeight - 10,
                                          headPos.top + lineOff.top - wrapOff.top));
      result.teLeft = Math.max(0, Math.min(display.wrapper.clientWidth - 10,
                                           headPos.left + lineOff.left - wrapOff.left));
    }

    return result
  };

  TextareaInput.prototype.showSelection = function (drawn) {
    var cm = this.cm, display = cm.display;
    removeChildrenAndAdd(display.cursorDiv, drawn.cursors);
    removeChildrenAndAdd(display.selectionDiv, drawn.selection);
    if (drawn.teTop != null) {
      this.wrapper.style.top = drawn.teTop + "px";
      this.wrapper.style.left = drawn.teLeft + "px";
    }
  };

  // Reset the input to correspond to the selection (or to be empty,
  // when not typing and nothing is selected)
  TextareaInput.prototype.reset = function (typing) {
    if (this.contextMenuPending || this.composing) { return }
    var cm = this.cm;
    if (cm.somethingSelected()) {
      this.prevInput = "";
      var content = cm.getSelection();
      this.textarea.value = content;
      if (cm.state.focused) { selectInput(this.textarea); }
      if (ie && ie_version >= 9) { this.hasSelection = content; }
    } else if (!typing) {
      this.prevInput = this.textarea.value = "";
      if (ie && ie_version >= 9) { this.hasSelection = null; }
    }
  };

  TextareaInput.prototype.getField = function () { return this.textarea };

  TextareaInput.prototype.supportsTouch = function () { return false };

  TextareaInput.prototype.focus = function () {
    if (this.cm.options.readOnly != "nocursor" && (!mobile || activeElt() != this.textarea)) {
      try { this.textarea.focus(); }
      catch (e) {} // IE8 will throw if the textarea is display: none or not in DOM
    }
  };

  TextareaInput.prototype.blur = function () { this.textarea.blur(); };

  TextareaInput.prototype.resetPosition = function () {
    this.wrapper.style.top = this.wrapper.style.left = 0;
  };

  TextareaInput.prototype.receivedFocus = function () { this.slowPoll(); };

  // Poll for input changes, using the normal rate of polling. This
  // runs as long as the editor is focused.
  TextareaInput.prototype.slowPoll = function () {
      var this$1 = this;

    if (this.pollingFast) { return }
    this.polling.set(this.cm.options.pollInterval, function () {
      this$1.poll();
      if (this$1.cm.state.focused) { this$1.slowPoll(); }
    });
  };

  // When an event has just come in that is likely to add or change
  // something in the input textarea, we poll faster, to ensure that
  // the change appears on the screen quickly.
  TextareaInput.prototype.fastPoll = function () {
    var missed = false, input = this;
    input.pollingFast = true;
    function p() {
      var changed = input.poll();
      if (!changed && !missed) {missed = true; input.polling.set(60, p);}
      else {input.pollingFast = false; input.slowPoll();}
    }
    input.polling.set(20, p);
  };

  // Read input from the textarea, and update the document to match.
  // When something is selected, it is present in the textarea, and
  // selected (unless it is huge, in which case a placeholder is
  // used). When nothing is selected, the cursor sits after previously
  // seen text (can be empty), which is stored in prevInput (we must
  // not reset the textarea when typing, because that breaks IME).
  TextareaInput.prototype.poll = function () {
      var this$1 = this;

    var cm = this.cm, input = this.textarea, prevInput = this.prevInput;
    // Since this is called a *lot*, try to bail out as cheaply as
    // possible when it is clear that nothing happened. hasSelection
    // will be the case when there is a lot of text in the textarea,
    // in which case reading its value would be expensive.
    if (this.contextMenuPending || !cm.state.focused ||
        (hasSelection(input) && !prevInput && !this.composing) ||
        cm.isReadOnly() || cm.options.disableInput || cm.state.keySeq)
      { return false }

    var text = input.value;
    // If nothing changed, bail.
    if (text == prevInput && !cm.somethingSelected()) { return false }
    // Work around nonsensical selection resetting in IE9/10, and
    // inexplicable appearance of private area unicode characters on
    // some key combos in Mac (#2689).
    if (ie && ie_version >= 9 && this.hasSelection === text ||
        mac && /[\uf700-\uf7ff]/.test(text)) {
      cm.display.input.reset();
      return false
    }

    if (cm.doc.sel == cm.display.selForContextMenu) {
      var first = text.charCodeAt(0);
      if (first == 0x200b && !prevInput) { prevInput = "\u200b"; }
      if (first == 0x21da) { this.reset(); return this.cm.execCommand("undo") }
    }
    // Find the part of the input that is actually new
    var same = 0, l = Math.min(prevInput.length, text.length);
    while (same < l && prevInput.charCodeAt(same) == text.charCodeAt(same)) { ++same; }

    runInOp(cm, function () {
      applyTextInput(cm, text.slice(same), prevInput.length - same,
                     null, this$1.composing ? "*compose" : null);

      // Don't leave long text in the textarea, since it makes further polling slow
      if (text.length > 1000 || text.indexOf("\n") > -1) { input.value = this$1.prevInput = ""; }
      else { this$1.prevInput = text; }

      if (this$1.composing) {
        this$1.composing.range.clear();
        this$1.composing.range = cm.markText(this$1.composing.start, cm.getCursor("to"),
                                           {className: "CodeMirror-composing"});
      }
    });
    return true
  };

  TextareaInput.prototype.ensurePolled = function () {
    if (this.pollingFast && this.poll()) { this.pollingFast = false; }
  };

  TextareaInput.prototype.onKeyPress = function () {
    if (ie && ie_version >= 9) { this.hasSelection = null; }
    this.fastPoll();
  };

  TextareaInput.prototype.onContextMenu = function (e) {
    var input = this, cm = input.cm, display = cm.display, te = input.textarea;
    if (input.contextMenuPending) { input.contextMenuPending(); }
    var pos = posFromMouse(cm, e), scrollPos = display.scroller.scrollTop;
    if (!pos || presto) { return } // Opera is difficult.

    // Reset the current text selection only if the click is done outside of the selection
    // and 'resetSelectionOnContextMenu' option is true.
    var reset = cm.options.resetSelectionOnContextMenu;
    if (reset && cm.doc.sel.contains(pos) == -1)
      { operation(cm, setSelection)(cm.doc, simpleSelection(pos), sel_dontScroll); }

    var oldCSS = te.style.cssText, oldWrapperCSS = input.wrapper.style.cssText;
    var wrapperBox = input.wrapper.offsetParent.getBoundingClientRect();
    input.wrapper.style.cssText = "position: static";
    te.style.cssText = "position: absolute; width: 30px; height: 30px;\n      top: " + (e.clientY - wrapperBox.top - 5) + "px; left: " + (e.clientX - wrapperBox.left - 5) + "px;\n      z-index: 1000; background: " + (ie ? "rgba(255, 255, 255, .05)" : "transparent") + ";\n      outline: none; border-width: 0; outline: none; overflow: hidden; opacity: .05; filter: alpha(opacity=5);";
    var oldScrollY;
    if (webkit) { oldScrollY = window.scrollY; } // Work around Chrome issue (#2712)
    display.input.focus();
    if (webkit) { window.scrollTo(null, oldScrollY); }
    display.input.reset();
    // Adds "Select all" to context menu in FF
    if (!cm.somethingSelected()) { te.value = input.prevInput = " "; }
    input.contextMenuPending = rehide;
    display.selForContextMenu = cm.doc.sel;
    clearTimeout(display.detectingSelectAll);

    // Select-all will be greyed out if there's nothing to select, so
    // this adds a zero-width space so that we can later check whether
    // it got selected.
    function prepareSelectAllHack() {
      if (te.selectionStart != null) {
        var selected = cm.somethingSelected();
        var extval = "\u200b" + (selected ? te.value : "");
        te.value = "\u21da"; // Used to catch context-menu undo
        te.value = extval;
        input.prevInput = selected ? "" : "\u200b";
        te.selectionStart = 1; te.selectionEnd = extval.length;
        // Re-set this, in case some other handler touched the
        // selection in the meantime.
        display.selForContextMenu = cm.doc.sel;
      }
    }
    function rehide() {
      if (input.contextMenuPending != rehide) { return }
      input.contextMenuPending = false;
      input.wrapper.style.cssText = oldWrapperCSS;
      te.style.cssText = oldCSS;
      if (ie && ie_version < 9) { display.scrollbars.setScrollTop(display.scroller.scrollTop = scrollPos); }

      // Try to detect the user choosing select-all
      if (te.selectionStart != null) {
        if (!ie || (ie && ie_version < 9)) { prepareSelectAllHack(); }
        var i = 0, poll = function () {
          if (display.selForContextMenu == cm.doc.sel && te.selectionStart == 0 &&
              te.selectionEnd > 0 && input.prevInput == "\u200b") {
            operation(cm, selectAll)(cm);
          } else if (i++ < 10) {
            display.detectingSelectAll = setTimeout(poll, 500);
          } else {
            display.selForContextMenu = null;
            display.input.reset();
          }
        };
        display.detectingSelectAll = setTimeout(poll, 200);
      }
    }

    if (ie && ie_version >= 9) { prepareSelectAllHack(); }
    if (captureRightClick) {
      e_stop(e);
      var mouseup = function () {
        off(window, "mouseup", mouseup);
        setTimeout(rehide, 20);
      };
      on(window, "mouseup", mouseup);
    } else {
      setTimeout(rehide, 50);
    }
  };

  TextareaInput.prototype.readOnlyChanged = function (val) {
    if (!val) { this.reset(); }
    this.textarea.disabled = val == "nocursor";
    this.textarea.readOnly = !!val;
  };

  TextareaInput.prototype.setUneditable = function () {};

  TextareaInput.prototype.needsContentAttribute = false;

  function fromTextArea(textarea, options) {
    options = options ? copyObj(options) : {};
    options.value = textarea.value;
    if (!options.tabindex && textarea.tabIndex)
      { options.tabindex = textarea.tabIndex; }
    if (!options.placeholder && textarea.placeholder)
      { options.placeholder = textarea.placeholder; }
    // Set autofocus to true if this textarea is focused, or if it has
    // autofocus and no other element is focused.
    if (options.autofocus == null) {
      var hasFocus = activeElt();
      options.autofocus = hasFocus == textarea ||
        textarea.getAttribute("autofocus") != null && hasFocus == document.body;
    }

    function save() {textarea.value = cm.getValue();}

    var realSubmit;
    if (textarea.form) {
      on(textarea.form, "submit", save);
      // Deplorable hack to make the submit method do the right thing.
      if (!options.leaveSubmitMethodAlone) {
        var form = textarea.form;
        realSubmit = form.submit;
        try {
          var wrappedSubmit = form.submit = function () {
            save();
            form.submit = realSubmit;
            form.submit();
            form.submit = wrappedSubmit;
          };
        } catch(e) {}
      }
    }

    options.finishInit = function (cm) {
      cm.save = save;
      cm.getTextArea = function () { return textarea; };
      cm.toTextArea = function () {
        cm.toTextArea = isNaN; // Prevent this from being ran twice
        save();
        textarea.parentNode.removeChild(cm.getWrapperElement());
        textarea.style.display = "";
        if (textarea.form) {
          off(textarea.form, "submit", save);
          if (!options.leaveSubmitMethodAlone && typeof textarea.form.submit == "function")
            { textarea.form.submit = realSubmit; }
        }
      };
    };

    textarea.style.display = "none";
    var cm = CodeMirror(function (node) { return textarea.parentNode.insertBefore(node, textarea.nextSibling); },
      options);
    return cm
  }

  function addLegacyProps(CodeMirror) {
    CodeMirror.off = off;
    CodeMirror.on = on;
    CodeMirror.wheelEventPixels = wheelEventPixels;
    CodeMirror.Doc = Doc;
    CodeMirror.splitLines = splitLinesAuto;
    CodeMirror.countColumn = countColumn;
    CodeMirror.findColumn = findColumn;
    CodeMirror.isWordChar = isWordCharBasic;
    CodeMirror.Pass = Pass;
    CodeMirror.signal = signal;
    CodeMirror.Line = Line;
    CodeMirror.changeEnd = changeEnd;
    CodeMirror.scrollbarModel = scrollbarModel;
    CodeMirror.Pos = Pos;
    CodeMirror.cmpPos = cmp;
    CodeMirror.modes = modes;
    CodeMirror.mimeModes = mimeModes;
    CodeMirror.resolveMode = resolveMode;
    CodeMirror.getMode = getMode;
    CodeMirror.modeExtensions = modeExtensions;
    CodeMirror.extendMode = extendMode;
    CodeMirror.copyState = copyState;
    CodeMirror.startState = startState;
    CodeMirror.innerMode = innerMode;
    CodeMirror.commands = commands;
    CodeMirror.keyMap = keyMap;
    CodeMirror.keyName = keyName;
    CodeMirror.isModifierKey = isModifierKey;
    CodeMirror.lookupKey = lookupKey;
    CodeMirror.normalizeKeyMap = normalizeKeyMap;
    CodeMirror.StringStream = StringStream;
    CodeMirror.SharedTextMarker = SharedTextMarker;
    CodeMirror.TextMarker = TextMarker;
    CodeMirror.LineWidget = LineWidget;
    CodeMirror.e_preventDefault = e_preventDefault;
    CodeMirror.e_stopPropagation = e_stopPropagation;
    CodeMirror.e_stop = e_stop;
    CodeMirror.addClass = addClass;
    CodeMirror.contains = contains;
    CodeMirror.rmClass = rmClass;
    CodeMirror.keyNames = keyNames;
  }

  // EDITOR CONSTRUCTOR

  defineOptions(CodeMirror);

  addEditorMethods(CodeMirror);

  // Set up methods on CodeMirror's prototype to redirect to the editor's document.
  var dontDelegate = "iter insert remove copy getEditor constructor".split(" ");
  for (var prop in Doc.prototype) { if (Doc.prototype.hasOwnProperty(prop) && indexOf(dontDelegate, prop) < 0)
    { CodeMirror.prototype[prop] = (function(method) {
      return function() {return method.apply(this.doc, arguments)}
    })(Doc.prototype[prop]); } }

  eventMixin(Doc);
  CodeMirror.inputStyles = {"textarea": TextareaInput, "contenteditable": ContentEditableInput};

  // Extra arguments are stored as the mode's dependencies, which is
  // used by (legacy) mechanisms like loadmode.js to automatically
  // load a mode. (Preferred mechanism is the require/define calls.)
  CodeMirror.defineMode = function(name/*, mode, …*/) {
    if (!CodeMirror.defaults.mode && name != "null") { CodeMirror.defaults.mode = name; }
    defineMode.apply(this, arguments);
  };

  CodeMirror.defineMIME = defineMIME;

  // Minimal default mode.
  CodeMirror.defineMode("null", function () { return ({token: function (stream) { return stream.skipToEnd(); }}); });
  CodeMirror.defineMIME("text/plain", "null");

  // EXTENSIONS

  CodeMirror.defineExtension = function (name, func) {
    CodeMirror.prototype[name] = func;
  };
  CodeMirror.defineDocExtension = function (name, func) {
    Doc.prototype[name] = func;
  };

  CodeMirror.fromTextArea = fromTextArea;

  addLegacyProps(CodeMirror);

  CodeMirror.version = "5.59.4";

  return CodeMirror;

})));


/***/ }),

/***/ "./node_modules/codemirror/mode/xml/xml.js":
/*!*************************************************!*\
  !*** ./node_modules/codemirror/mode/xml/xml.js ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __unused_webpack_exports, __webpack_require__) => {

// CodeMirror, copyright (c) by Marijn Haverbeke and others
// Distributed under an MIT license: https://codemirror.net/LICENSE

(function(mod) {
  if (true) // CommonJS
    mod(__webpack_require__(/*! ../../lib/codemirror */ "./node_modules/codemirror/lib/codemirror.js"));
  else {}
})(function(CodeMirror) {
"use strict";

var htmlConfig = {
  autoSelfClosers: {'area': true, 'base': true, 'br': true, 'col': true, 'command': true,
                    'embed': true, 'frame': true, 'hr': true, 'img': true, 'input': true,
                    'keygen': true, 'link': true, 'meta': true, 'param': true, 'source': true,
                    'track': true, 'wbr': true, 'menuitem': true},
  implicitlyClosed: {'dd': true, 'li': true, 'optgroup': true, 'option': true, 'p': true,
                     'rp': true, 'rt': true, 'tbody': true, 'td': true, 'tfoot': true,
                     'th': true, 'tr': true},
  contextGrabbers: {
    'dd': {'dd': true, 'dt': true},
    'dt': {'dd': true, 'dt': true},
    'li': {'li': true},
    'option': {'option': true, 'optgroup': true},
    'optgroup': {'optgroup': true},
    'p': {'address': true, 'article': true, 'aside': true, 'blockquote': true, 'dir': true,
          'div': true, 'dl': true, 'fieldset': true, 'footer': true, 'form': true,
          'h1': true, 'h2': true, 'h3': true, 'h4': true, 'h5': true, 'h6': true,
          'header': true, 'hgroup': true, 'hr': true, 'menu': true, 'nav': true, 'ol': true,
          'p': true, 'pre': true, 'section': true, 'table': true, 'ul': true},
    'rp': {'rp': true, 'rt': true},
    'rt': {'rp': true, 'rt': true},
    'tbody': {'tbody': true, 'tfoot': true},
    'td': {'td': true, 'th': true},
    'tfoot': {'tbody': true},
    'th': {'td': true, 'th': true},
    'thead': {'tbody': true, 'tfoot': true},
    'tr': {'tr': true}
  },
  doNotIndent: {"pre": true},
  allowUnquoted: true,
  allowMissing: true,
  caseFold: true
}

var xmlConfig = {
  autoSelfClosers: {},
  implicitlyClosed: {},
  contextGrabbers: {},
  doNotIndent: {},
  allowUnquoted: false,
  allowMissing: false,
  allowMissingTagName: false,
  caseFold: false
}

CodeMirror.defineMode("xml", function(editorConf, config_) {
  var indentUnit = editorConf.indentUnit
  var config = {}
  var defaults = config_.htmlMode ? htmlConfig : xmlConfig
  for (var prop in defaults) config[prop] = defaults[prop]
  for (var prop in config_) config[prop] = config_[prop]

  // Return variables for tokenizers
  var type, setStyle;

  function inText(stream, state) {
    function chain(parser) {
      state.tokenize = parser;
      return parser(stream, state);
    }

    var ch = stream.next();
    if (ch == "<") {
      if (stream.eat("!")) {
        if (stream.eat("[")) {
          if (stream.match("CDATA[")) return chain(inBlock("atom", "]]>"));
          else return null;
        } else if (stream.match("--")) {
          return chain(inBlock("comment", "-->"));
        } else if (stream.match("DOCTYPE", true, true)) {
          stream.eatWhile(/[\w\._\-]/);
          return chain(doctype(1));
        } else {
          return null;
        }
      } else if (stream.eat("?")) {
        stream.eatWhile(/[\w\._\-]/);
        state.tokenize = inBlock("meta", "?>");
        return "meta";
      } else {
        type = stream.eat("/") ? "closeTag" : "openTag";
        state.tokenize = inTag;
        return "tag bracket";
      }
    } else if (ch == "&") {
      var ok;
      if (stream.eat("#")) {
        if (stream.eat("x")) {
          ok = stream.eatWhile(/[a-fA-F\d]/) && stream.eat(";");
        } else {
          ok = stream.eatWhile(/[\d]/) && stream.eat(";");
        }
      } else {
        ok = stream.eatWhile(/[\w\.\-:]/) && stream.eat(";");
      }
      return ok ? "atom" : "error";
    } else {
      stream.eatWhile(/[^&<]/);
      return null;
    }
  }
  inText.isInText = true;

  function inTag(stream, state) {
    var ch = stream.next();
    if (ch == ">" || (ch == "/" && stream.eat(">"))) {
      state.tokenize = inText;
      type = ch == ">" ? "endTag" : "selfcloseTag";
      return "tag bracket";
    } else if (ch == "=") {
      type = "equals";
      return null;
    } else if (ch == "<") {
      state.tokenize = inText;
      state.state = baseState;
      state.tagName = state.tagStart = null;
      var next = state.tokenize(stream, state);
      return next ? next + " tag error" : "tag error";
    } else if (/[\'\"]/.test(ch)) {
      state.tokenize = inAttribute(ch);
      state.stringStartCol = stream.column();
      return state.tokenize(stream, state);
    } else {
      stream.match(/^[^\s\u00a0=<>\"\']*[^\s\u00a0=<>\"\'\/]/);
      return "word";
    }
  }

  function inAttribute(quote) {
    var closure = function(stream, state) {
      while (!stream.eol()) {
        if (stream.next() == quote) {
          state.tokenize = inTag;
          break;
        }
      }
      return "string";
    };
    closure.isInAttribute = true;
    return closure;
  }

  function inBlock(style, terminator) {
    return function(stream, state) {
      while (!stream.eol()) {
        if (stream.match(terminator)) {
          state.tokenize = inText;
          break;
        }
        stream.next();
      }
      return style;
    }
  }

  function doctype(depth) {
    return function(stream, state) {
      var ch;
      while ((ch = stream.next()) != null) {
        if (ch == "<") {
          state.tokenize = doctype(depth + 1);
          return state.tokenize(stream, state);
        } else if (ch == ">") {
          if (depth == 1) {
            state.tokenize = inText;
            break;
          } else {
            state.tokenize = doctype(depth - 1);
            return state.tokenize(stream, state);
          }
        }
      }
      return "meta";
    };
  }

  function Context(state, tagName, startOfLine) {
    this.prev = state.context;
    this.tagName = tagName || "";
    this.indent = state.indented;
    this.startOfLine = startOfLine;
    if (config.doNotIndent.hasOwnProperty(tagName) || (state.context && state.context.noIndent))
      this.noIndent = true;
  }
  function popContext(state) {
    if (state.context) state.context = state.context.prev;
  }
  function maybePopContext(state, nextTagName) {
    var parentTagName;
    while (true) {
      if (!state.context) {
        return;
      }
      parentTagName = state.context.tagName;
      if (!config.contextGrabbers.hasOwnProperty(parentTagName) ||
          !config.contextGrabbers[parentTagName].hasOwnProperty(nextTagName)) {
        return;
      }
      popContext(state);
    }
  }

  function baseState(type, stream, state) {
    if (type == "openTag") {
      state.tagStart = stream.column();
      return tagNameState;
    } else if (type == "closeTag") {
      return closeTagNameState;
    } else {
      return baseState;
    }
  }
  function tagNameState(type, stream, state) {
    if (type == "word") {
      state.tagName = stream.current();
      setStyle = "tag";
      return attrState;
    } else if (config.allowMissingTagName && type == "endTag") {
      setStyle = "tag bracket";
      return attrState(type, stream, state);
    } else {
      setStyle = "error";
      return tagNameState;
    }
  }
  function closeTagNameState(type, stream, state) {
    if (type == "word") {
      var tagName = stream.current();
      if (state.context && state.context.tagName != tagName &&
          config.implicitlyClosed.hasOwnProperty(state.context.tagName))
        popContext(state);
      if ((state.context && state.context.tagName == tagName) || config.matchClosing === false) {
        setStyle = "tag";
        return closeState;
      } else {
        setStyle = "tag error";
        return closeStateErr;
      }
    } else if (config.allowMissingTagName && type == "endTag") {
      setStyle = "tag bracket";
      return closeState(type, stream, state);
    } else {
      setStyle = "error";
      return closeStateErr;
    }
  }

  function closeState(type, _stream, state) {
    if (type != "endTag") {
      setStyle = "error";
      return closeState;
    }
    popContext(state);
    return baseState;
  }
  function closeStateErr(type, stream, state) {
    setStyle = "error";
    return closeState(type, stream, state);
  }

  function attrState(type, _stream, state) {
    if (type == "word") {
      setStyle = "attribute";
      return attrEqState;
    } else if (type == "endTag" || type == "selfcloseTag") {
      var tagName = state.tagName, tagStart = state.tagStart;
      state.tagName = state.tagStart = null;
      if (type == "selfcloseTag" ||
          config.autoSelfClosers.hasOwnProperty(tagName)) {
        maybePopContext(state, tagName);
      } else {
        maybePopContext(state, tagName);
        state.context = new Context(state, tagName, tagStart == state.indented);
      }
      return baseState;
    }
    setStyle = "error";
    return attrState;
  }
  function attrEqState(type, stream, state) {
    if (type == "equals") return attrValueState;
    if (!config.allowMissing) setStyle = "error";
    return attrState(type, stream, state);
  }
  function attrValueState(type, stream, state) {
    if (type == "string") return attrContinuedState;
    if (type == "word" && config.allowUnquoted) {setStyle = "string"; return attrState;}
    setStyle = "error";
    return attrState(type, stream, state);
  }
  function attrContinuedState(type, stream, state) {
    if (type == "string") return attrContinuedState;
    return attrState(type, stream, state);
  }

  return {
    startState: function(baseIndent) {
      var state = {tokenize: inText,
                   state: baseState,
                   indented: baseIndent || 0,
                   tagName: null, tagStart: null,
                   context: null}
      if (baseIndent != null) state.baseIndent = baseIndent
      return state
    },

    token: function(stream, state) {
      if (!state.tagName && stream.sol())
        state.indented = stream.indentation();

      if (stream.eatSpace()) return null;
      type = null;
      var style = state.tokenize(stream, state);
      if ((style || type) && style != "comment") {
        setStyle = null;
        state.state = state.state(type || style, stream, state);
        if (setStyle)
          style = setStyle == "error" ? style + " error" : setStyle;
      }
      return style;
    },

    indent: function(state, textAfter, fullLine) {
      var context = state.context;
      // Indent multi-line strings (e.g. css).
      if (state.tokenize.isInAttribute) {
        if (state.tagStart == state.indented)
          return state.stringStartCol + 1;
        else
          return state.indented + indentUnit;
      }
      if (context && context.noIndent) return CodeMirror.Pass;
      if (state.tokenize != inTag && state.tokenize != inText)
        return fullLine ? fullLine.match(/^(\s*)/)[0].length : 0;
      // Indent the starts of attribute names.
      if (state.tagName) {
        if (config.multilineTagIndentPastTag !== false)
          return state.tagStart + state.tagName.length + 2;
        else
          return state.tagStart + indentUnit * (config.multilineTagIndentFactor || 1);
      }
      if (config.alignCDATA && /<!\[CDATA\[/.test(textAfter)) return 0;
      var tagAfter = textAfter && /^<(\/)?([\w_:\.-]*)/.exec(textAfter);
      if (tagAfter && tagAfter[1]) { // Closing tag spotted
        while (context) {
          if (context.tagName == tagAfter[2]) {
            context = context.prev;
            break;
          } else if (config.implicitlyClosed.hasOwnProperty(context.tagName)) {
            context = context.prev;
          } else {
            break;
          }
        }
      } else if (tagAfter) { // Opening tag spotted
        while (context) {
          var grabbers = config.contextGrabbers[context.tagName];
          if (grabbers && grabbers.hasOwnProperty(tagAfter[2]))
            context = context.prev;
          else
            break;
        }
      }
      while (context && context.prev && !context.startOfLine)
        context = context.prev;
      if (context) return context.indent + indentUnit;
      else return state.baseIndent || 0;
    },

    electricInput: /<\/[\s\w:]+>$/,
    blockCommentStart: "<!--",
    blockCommentEnd: "-->",

    configuration: config.htmlMode ? "html" : "xml",
    helperType: config.htmlMode ? "html" : "xml",

    skipAttribute: function(state) {
      if (state.state == attrValueState)
        state.state = attrState
    },

    xmlCurrentTag: function(state) {
      return state.tagName ? {name: state.tagName, close: state.type == "closeTag"} : null
    },

    xmlCurrentContext: function(state) {
      var context = []
      for (var cx = state.context; cx; cx = cx.prev)
        context.push(cx.tagName)
      return context.reverse()
    }
  };
});

CodeMirror.defineMIME("text/xml", "xml");
CodeMirror.defineMIME("application/xml", "xml");
if (!CodeMirror.mimeModes.hasOwnProperty("text/html"))
  CodeMirror.defineMIME("text/html", {name: "xml", htmlMode: true});

});


/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/addLeadingZeros/index.js":
/*!*****************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/addLeadingZeros/index.js ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ addLeadingZeros)
/* harmony export */ });
function addLeadingZeros(number, targetLength) {
  var sign = number < 0 ? '-' : '';
  var output = Math.abs(number).toString();

  while (output.length < targetLength) {
    output = '0' + output;
  }

  return sign + output;
}

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/assign/index.js":
/*!********************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/assign/index.js ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ assign)
/* harmony export */ });
function assign(target, dirtyObject) {
  if (target == null) {
    throw new TypeError('assign requires that input parameter not be null or undefined');
  }

  dirtyObject = dirtyObject || {};

  for (var property in dirtyObject) {
    if (dirtyObject.hasOwnProperty(property)) {
      target[property] = dirtyObject[property];
    }
  }

  return target;
}

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/cloneObject/index.js":
/*!*************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/cloneObject/index.js ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ cloneObject)
/* harmony export */ });
/* harmony import */ var _assign_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../assign/index.js */ "./node_modules/date-fns/esm/_lib/assign/index.js");

function cloneObject(dirtyObject) {
  return (0,_assign_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])({}, dirtyObject);
}

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/format/formatters/index.js":
/*!*******************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/format/formatters/index.js ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lightFormatters_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../lightFormatters/index.js */ "./node_modules/date-fns/esm/_lib/format/lightFormatters/index.js");
/* harmony import */ var _lib_getUTCDayOfYear_index_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../../../_lib/getUTCDayOfYear/index.js */ "./node_modules/date-fns/esm/_lib/getUTCDayOfYear/index.js");
/* harmony import */ var _lib_getUTCISOWeek_index_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../../../_lib/getUTCISOWeek/index.js */ "./node_modules/date-fns/esm/_lib/getUTCISOWeek/index.js");
/* harmony import */ var _lib_getUTCISOWeekYear_index_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../../_lib/getUTCISOWeekYear/index.js */ "./node_modules/date-fns/esm/_lib/getUTCISOWeekYear/index.js");
/* harmony import */ var _lib_getUTCWeek_index_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../../../_lib/getUTCWeek/index.js */ "./node_modules/date-fns/esm/_lib/getUTCWeek/index.js");
/* harmony import */ var _lib_getUTCWeekYear_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../_lib/getUTCWeekYear/index.js */ "./node_modules/date-fns/esm/_lib/getUTCWeekYear/index.js");
/* harmony import */ var _addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../addLeadingZeros/index.js */ "./node_modules/date-fns/esm/_lib/addLeadingZeros/index.js");







var dayPeriodEnum = {
  am: 'am',
  pm: 'pm',
  midnight: 'midnight',
  noon: 'noon',
  morning: 'morning',
  afternoon: 'afternoon',
  evening: 'evening',
  night: 'night'
  /*
   * |     | Unit                           |     | Unit                           |
   * |-----|--------------------------------|-----|--------------------------------|
   * |  a  | AM, PM                         |  A* | Milliseconds in day            |
   * |  b  | AM, PM, noon, midnight         |  B  | Flexible day period            |
   * |  c  | Stand-alone local day of week  |  C* | Localized hour w/ day period   |
   * |  d  | Day of month                   |  D  | Day of year                    |
   * |  e  | Local day of week              |  E  | Day of week                    |
   * |  f  |                                |  F* | Day of week in month           |
   * |  g* | Modified Julian day            |  G  | Era                            |
   * |  h  | Hour [1-12]                    |  H  | Hour [0-23]                    |
   * |  i! | ISO day of week                |  I! | ISO week of year               |
   * |  j* | Localized hour w/ day period   |  J* | Localized hour w/o day period  |
   * |  k  | Hour [1-24]                    |  K  | Hour [0-11]                    |
   * |  l* | (deprecated)                   |  L  | Stand-alone month              |
   * |  m  | Minute                         |  M  | Month                          |
   * |  n  |                                |  N  |                                |
   * |  o! | Ordinal number modifier        |  O  | Timezone (GMT)                 |
   * |  p! | Long localized time            |  P! | Long localized date            |
   * |  q  | Stand-alone quarter            |  Q  | Quarter                        |
   * |  r* | Related Gregorian year         |  R! | ISO week-numbering year        |
   * |  s  | Second                         |  S  | Fraction of second             |
   * |  t! | Seconds timestamp              |  T! | Milliseconds timestamp         |
   * |  u  | Extended year                  |  U* | Cyclic year                    |
   * |  v* | Timezone (generic non-locat.)  |  V* | Timezone (location)            |
   * |  w  | Local week of year             |  W* | Week of month                  |
   * |  x  | Timezone (ISO-8601 w/o Z)      |  X  | Timezone (ISO-8601)            |
   * |  y  | Year (abs)                     |  Y  | Local week-numbering year      |
   * |  z  | Timezone (specific non-locat.) |  Z* | Timezone (aliases)             |
   *
   * Letters marked by * are not implemented but reserved by Unicode standard.
   *
   * Letters marked by ! are non-standard, but implemented by date-fns:
   * - `o` modifies the previous token to turn it into an ordinal (see `format` docs)
   * - `i` is ISO day of week. For `i` and `ii` is returns numeric ISO week days,
   *   i.e. 7 for Sunday, 1 for Monday, etc.
   * - `I` is ISO week of year, as opposed to `w` which is local week of year.
   * - `R` is ISO week-numbering year, as opposed to `Y` which is local week-numbering year.
   *   `R` is supposed to be used in conjunction with `I` and `i`
   *   for universal ISO week-numbering date, whereas
   *   `Y` is supposed to be used in conjunction with `w` and `e`
   *   for week-numbering date specific to the locale.
   * - `P` is long localized date format
   * - `p` is long localized time format
   */

};
var formatters = {
  // Era
  G: function (date, token, localize) {
    var era = date.getUTCFullYear() > 0 ? 1 : 0;

    switch (token) {
      // AD, BC
      case 'G':
      case 'GG':
      case 'GGG':
        return localize.era(era, {
          width: 'abbreviated'
        });
      // A, B

      case 'GGGGG':
        return localize.era(era, {
          width: 'narrow'
        });
      // Anno Domini, Before Christ

      case 'GGGG':
      default:
        return localize.era(era, {
          width: 'wide'
        });
    }
  },
  // Year
  y: function (date, token, localize) {
    // Ordinal number
    if (token === 'yo') {
      var signedYear = date.getUTCFullYear(); // Returns 1 for 1 BC (which is year 0 in JavaScript)

      var year = signedYear > 0 ? signedYear : 1 - signedYear;
      return localize.ordinalNumber(year, {
        unit: 'year'
      });
    }

    return _lightFormatters_index_js__WEBPACK_IMPORTED_MODULE_0__["default"].y(date, token);
  },
  // Local week-numbering year
  Y: function (date, token, localize, options) {
    var signedWeekYear = (0,_lib_getUTCWeekYear_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(date, options); // Returns 1 for 1 BC (which is year 0 in JavaScript)

    var weekYear = signedWeekYear > 0 ? signedWeekYear : 1 - signedWeekYear; // Two digit year

    if (token === 'YY') {
      var twoDigitYear = weekYear % 100;
      return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(twoDigitYear, 2);
    } // Ordinal number


    if (token === 'Yo') {
      return localize.ordinalNumber(weekYear, {
        unit: 'year'
      });
    } // Padding


    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(weekYear, token.length);
  },
  // ISO week-numbering year
  R: function (date, token) {
    var isoWeekYear = (0,_lib_getUTCISOWeekYear_index_js__WEBPACK_IMPORTED_MODULE_3__["default"])(date); // Padding

    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(isoWeekYear, token.length);
  },
  // Extended year. This is a single number designating the year of this calendar system.
  // The main difference between `y` and `u` localizers are B.C. years:
  // | Year | `y` | `u` |
  // |------|-----|-----|
  // | AC 1 |   1 |   1 |
  // | BC 1 |   1 |   0 |
  // | BC 2 |   2 |  -1 |
  // Also `yy` always returns the last two digits of a year,
  // while `uu` pads single digit years to 2 characters and returns other years unchanged.
  u: function (date, token) {
    var year = date.getUTCFullYear();
    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(year, token.length);
  },
  // Quarter
  Q: function (date, token, localize) {
    var quarter = Math.ceil((date.getUTCMonth() + 1) / 3);

    switch (token) {
      // 1, 2, 3, 4
      case 'Q':
        return String(quarter);
      // 01, 02, 03, 04

      case 'QQ':
        return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(quarter, 2);
      // 1st, 2nd, 3rd, 4th

      case 'Qo':
        return localize.ordinalNumber(quarter, {
          unit: 'quarter'
        });
      // Q1, Q2, Q3, Q4

      case 'QQQ':
        return localize.quarter(quarter, {
          width: 'abbreviated',
          context: 'formatting'
        });
      // 1, 2, 3, 4 (narrow quarter; could be not numerical)

      case 'QQQQQ':
        return localize.quarter(quarter, {
          width: 'narrow',
          context: 'formatting'
        });
      // 1st quarter, 2nd quarter, ...

      case 'QQQQ':
      default:
        return localize.quarter(quarter, {
          width: 'wide',
          context: 'formatting'
        });
    }
  },
  // Stand-alone quarter
  q: function (date, token, localize) {
    var quarter = Math.ceil((date.getUTCMonth() + 1) / 3);

    switch (token) {
      // 1, 2, 3, 4
      case 'q':
        return String(quarter);
      // 01, 02, 03, 04

      case 'qq':
        return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(quarter, 2);
      // 1st, 2nd, 3rd, 4th

      case 'qo':
        return localize.ordinalNumber(quarter, {
          unit: 'quarter'
        });
      // Q1, Q2, Q3, Q4

      case 'qqq':
        return localize.quarter(quarter, {
          width: 'abbreviated',
          context: 'standalone'
        });
      // 1, 2, 3, 4 (narrow quarter; could be not numerical)

      case 'qqqqq':
        return localize.quarter(quarter, {
          width: 'narrow',
          context: 'standalone'
        });
      // 1st quarter, 2nd quarter, ...

      case 'qqqq':
      default:
        return localize.quarter(quarter, {
          width: 'wide',
          context: 'standalone'
        });
    }
  },
  // Month
  M: function (date, token, localize) {
    var month = date.getUTCMonth();

    switch (token) {
      case 'M':
      case 'MM':
        return _lightFormatters_index_js__WEBPACK_IMPORTED_MODULE_0__["default"].M(date, token);
      // 1st, 2nd, ..., 12th

      case 'Mo':
        return localize.ordinalNumber(month + 1, {
          unit: 'month'
        });
      // Jan, Feb, ..., Dec

      case 'MMM':
        return localize.month(month, {
          width: 'abbreviated',
          context: 'formatting'
        });
      // J, F, ..., D

      case 'MMMMM':
        return localize.month(month, {
          width: 'narrow',
          context: 'formatting'
        });
      // January, February, ..., December

      case 'MMMM':
      default:
        return localize.month(month, {
          width: 'wide',
          context: 'formatting'
        });
    }
  },
  // Stand-alone month
  L: function (date, token, localize) {
    var month = date.getUTCMonth();

    switch (token) {
      // 1, 2, ..., 12
      case 'L':
        return String(month + 1);
      // 01, 02, ..., 12

      case 'LL':
        return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(month + 1, 2);
      // 1st, 2nd, ..., 12th

      case 'Lo':
        return localize.ordinalNumber(month + 1, {
          unit: 'month'
        });
      // Jan, Feb, ..., Dec

      case 'LLL':
        return localize.month(month, {
          width: 'abbreviated',
          context: 'standalone'
        });
      // J, F, ..., D

      case 'LLLLL':
        return localize.month(month, {
          width: 'narrow',
          context: 'standalone'
        });
      // January, February, ..., December

      case 'LLLL':
      default:
        return localize.month(month, {
          width: 'wide',
          context: 'standalone'
        });
    }
  },
  // Local week of year
  w: function (date, token, localize, options) {
    var week = (0,_lib_getUTCWeek_index_js__WEBPACK_IMPORTED_MODULE_4__["default"])(date, options);

    if (token === 'wo') {
      return localize.ordinalNumber(week, {
        unit: 'week'
      });
    }

    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(week, token.length);
  },
  // ISO week of year
  I: function (date, token, localize) {
    var isoWeek = (0,_lib_getUTCISOWeek_index_js__WEBPACK_IMPORTED_MODULE_5__["default"])(date);

    if (token === 'Io') {
      return localize.ordinalNumber(isoWeek, {
        unit: 'week'
      });
    }

    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(isoWeek, token.length);
  },
  // Day of the month
  d: function (date, token, localize) {
    if (token === 'do') {
      return localize.ordinalNumber(date.getUTCDate(), {
        unit: 'date'
      });
    }

    return _lightFormatters_index_js__WEBPACK_IMPORTED_MODULE_0__["default"].d(date, token);
  },
  // Day of year
  D: function (date, token, localize) {
    var dayOfYear = (0,_lib_getUTCDayOfYear_index_js__WEBPACK_IMPORTED_MODULE_6__["default"])(date);

    if (token === 'Do') {
      return localize.ordinalNumber(dayOfYear, {
        unit: 'dayOfYear'
      });
    }

    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(dayOfYear, token.length);
  },
  // Day of week
  E: function (date, token, localize) {
    var dayOfWeek = date.getUTCDay();

    switch (token) {
      // Tue
      case 'E':
      case 'EE':
      case 'EEE':
        return localize.day(dayOfWeek, {
          width: 'abbreviated',
          context: 'formatting'
        });
      // T

      case 'EEEEE':
        return localize.day(dayOfWeek, {
          width: 'narrow',
          context: 'formatting'
        });
      // Tu

      case 'EEEEEE':
        return localize.day(dayOfWeek, {
          width: 'short',
          context: 'formatting'
        });
      // Tuesday

      case 'EEEE':
      default:
        return localize.day(dayOfWeek, {
          width: 'wide',
          context: 'formatting'
        });
    }
  },
  // Local day of week
  e: function (date, token, localize, options) {
    var dayOfWeek = date.getUTCDay();
    var localDayOfWeek = (dayOfWeek - options.weekStartsOn + 8) % 7 || 7;

    switch (token) {
      // Numerical value (Nth day of week with current locale or weekStartsOn)
      case 'e':
        return String(localDayOfWeek);
      // Padded numerical value

      case 'ee':
        return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(localDayOfWeek, 2);
      // 1st, 2nd, ..., 7th

      case 'eo':
        return localize.ordinalNumber(localDayOfWeek, {
          unit: 'day'
        });

      case 'eee':
        return localize.day(dayOfWeek, {
          width: 'abbreviated',
          context: 'formatting'
        });
      // T

      case 'eeeee':
        return localize.day(dayOfWeek, {
          width: 'narrow',
          context: 'formatting'
        });
      // Tu

      case 'eeeeee':
        return localize.day(dayOfWeek, {
          width: 'short',
          context: 'formatting'
        });
      // Tuesday

      case 'eeee':
      default:
        return localize.day(dayOfWeek, {
          width: 'wide',
          context: 'formatting'
        });
    }
  },
  // Stand-alone local day of week
  c: function (date, token, localize, options) {
    var dayOfWeek = date.getUTCDay();
    var localDayOfWeek = (dayOfWeek - options.weekStartsOn + 8) % 7 || 7;

    switch (token) {
      // Numerical value (same as in `e`)
      case 'c':
        return String(localDayOfWeek);
      // Padded numerical value

      case 'cc':
        return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(localDayOfWeek, token.length);
      // 1st, 2nd, ..., 7th

      case 'co':
        return localize.ordinalNumber(localDayOfWeek, {
          unit: 'day'
        });

      case 'ccc':
        return localize.day(dayOfWeek, {
          width: 'abbreviated',
          context: 'standalone'
        });
      // T

      case 'ccccc':
        return localize.day(dayOfWeek, {
          width: 'narrow',
          context: 'standalone'
        });
      // Tu

      case 'cccccc':
        return localize.day(dayOfWeek, {
          width: 'short',
          context: 'standalone'
        });
      // Tuesday

      case 'cccc':
      default:
        return localize.day(dayOfWeek, {
          width: 'wide',
          context: 'standalone'
        });
    }
  },
  // ISO day of week
  i: function (date, token, localize) {
    var dayOfWeek = date.getUTCDay();
    var isoDayOfWeek = dayOfWeek === 0 ? 7 : dayOfWeek;

    switch (token) {
      // 2
      case 'i':
        return String(isoDayOfWeek);
      // 02

      case 'ii':
        return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(isoDayOfWeek, token.length);
      // 2nd

      case 'io':
        return localize.ordinalNumber(isoDayOfWeek, {
          unit: 'day'
        });
      // Tue

      case 'iii':
        return localize.day(dayOfWeek, {
          width: 'abbreviated',
          context: 'formatting'
        });
      // T

      case 'iiiii':
        return localize.day(dayOfWeek, {
          width: 'narrow',
          context: 'formatting'
        });
      // Tu

      case 'iiiiii':
        return localize.day(dayOfWeek, {
          width: 'short',
          context: 'formatting'
        });
      // Tuesday

      case 'iiii':
      default:
        return localize.day(dayOfWeek, {
          width: 'wide',
          context: 'formatting'
        });
    }
  },
  // AM or PM
  a: function (date, token, localize) {
    var hours = date.getUTCHours();
    var dayPeriodEnumValue = hours / 12 >= 1 ? 'pm' : 'am';

    switch (token) {
      case 'a':
      case 'aa':
        return localize.dayPeriod(dayPeriodEnumValue, {
          width: 'abbreviated',
          context: 'formatting'
        });

      case 'aaa':
        return localize.dayPeriod(dayPeriodEnumValue, {
          width: 'abbreviated',
          context: 'formatting'
        }).toLowerCase();

      case 'aaaaa':
        return localize.dayPeriod(dayPeriodEnumValue, {
          width: 'narrow',
          context: 'formatting'
        });

      case 'aaaa':
      default:
        return localize.dayPeriod(dayPeriodEnumValue, {
          width: 'wide',
          context: 'formatting'
        });
    }
  },
  // AM, PM, midnight, noon
  b: function (date, token, localize) {
    var hours = date.getUTCHours();
    var dayPeriodEnumValue;

    if (hours === 12) {
      dayPeriodEnumValue = dayPeriodEnum.noon;
    } else if (hours === 0) {
      dayPeriodEnumValue = dayPeriodEnum.midnight;
    } else {
      dayPeriodEnumValue = hours / 12 >= 1 ? 'pm' : 'am';
    }

    switch (token) {
      case 'b':
      case 'bb':
        return localize.dayPeriod(dayPeriodEnumValue, {
          width: 'abbreviated',
          context: 'formatting'
        });

      case 'bbb':
        return localize.dayPeriod(dayPeriodEnumValue, {
          width: 'abbreviated',
          context: 'formatting'
        }).toLowerCase();

      case 'bbbbb':
        return localize.dayPeriod(dayPeriodEnumValue, {
          width: 'narrow',
          context: 'formatting'
        });

      case 'bbbb':
      default:
        return localize.dayPeriod(dayPeriodEnumValue, {
          width: 'wide',
          context: 'formatting'
        });
    }
  },
  // in the morning, in the afternoon, in the evening, at night
  B: function (date, token, localize) {
    var hours = date.getUTCHours();
    var dayPeriodEnumValue;

    if (hours >= 17) {
      dayPeriodEnumValue = dayPeriodEnum.evening;
    } else if (hours >= 12) {
      dayPeriodEnumValue = dayPeriodEnum.afternoon;
    } else if (hours >= 4) {
      dayPeriodEnumValue = dayPeriodEnum.morning;
    } else {
      dayPeriodEnumValue = dayPeriodEnum.night;
    }

    switch (token) {
      case 'B':
      case 'BB':
      case 'BBB':
        return localize.dayPeriod(dayPeriodEnumValue, {
          width: 'abbreviated',
          context: 'formatting'
        });

      case 'BBBBB':
        return localize.dayPeriod(dayPeriodEnumValue, {
          width: 'narrow',
          context: 'formatting'
        });

      case 'BBBB':
      default:
        return localize.dayPeriod(dayPeriodEnumValue, {
          width: 'wide',
          context: 'formatting'
        });
    }
  },
  // Hour [1-12]
  h: function (date, token, localize) {
    if (token === 'ho') {
      var hours = date.getUTCHours() % 12;
      if (hours === 0) hours = 12;
      return localize.ordinalNumber(hours, {
        unit: 'hour'
      });
    }

    return _lightFormatters_index_js__WEBPACK_IMPORTED_MODULE_0__["default"].h(date, token);
  },
  // Hour [0-23]
  H: function (date, token, localize) {
    if (token === 'Ho') {
      return localize.ordinalNumber(date.getUTCHours(), {
        unit: 'hour'
      });
    }

    return _lightFormatters_index_js__WEBPACK_IMPORTED_MODULE_0__["default"].H(date, token);
  },
  // Hour [0-11]
  K: function (date, token, localize) {
    var hours = date.getUTCHours() % 12;

    if (token === 'Ko') {
      return localize.ordinalNumber(hours, {
        unit: 'hour'
      });
    }

    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(hours, token.length);
  },
  // Hour [1-24]
  k: function (date, token, localize) {
    var hours = date.getUTCHours();
    if (hours === 0) hours = 24;

    if (token === 'ko') {
      return localize.ordinalNumber(hours, {
        unit: 'hour'
      });
    }

    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(hours, token.length);
  },
  // Minute
  m: function (date, token, localize) {
    if (token === 'mo') {
      return localize.ordinalNumber(date.getUTCMinutes(), {
        unit: 'minute'
      });
    }

    return _lightFormatters_index_js__WEBPACK_IMPORTED_MODULE_0__["default"].m(date, token);
  },
  // Second
  s: function (date, token, localize) {
    if (token === 'so') {
      return localize.ordinalNumber(date.getUTCSeconds(), {
        unit: 'second'
      });
    }

    return _lightFormatters_index_js__WEBPACK_IMPORTED_MODULE_0__["default"].s(date, token);
  },
  // Fraction of second
  S: function (date, token) {
    return _lightFormatters_index_js__WEBPACK_IMPORTED_MODULE_0__["default"].S(date, token);
  },
  // Timezone (ISO-8601. If offset is 0, output is always `'Z'`)
  X: function (date, token, _localize, options) {
    var originalDate = options._originalDate || date;
    var timezoneOffset = originalDate.getTimezoneOffset();

    if (timezoneOffset === 0) {
      return 'Z';
    }

    switch (token) {
      // Hours and optional minutes
      case 'X':
        return formatTimezoneWithOptionalMinutes(timezoneOffset);
      // Hours, minutes and optional seconds without `:` delimiter
      // Note: neither ISO-8601 nor JavaScript supports seconds in timezone offsets
      // so this token always has the same output as `XX`

      case 'XXXX':
      case 'XX':
        // Hours and minutes without `:` delimiter
        return formatTimezone(timezoneOffset);
      // Hours, minutes and optional seconds with `:` delimiter
      // Note: neither ISO-8601 nor JavaScript supports seconds in timezone offsets
      // so this token always has the same output as `XXX`

      case 'XXXXX':
      case 'XXX': // Hours and minutes with `:` delimiter

      default:
        return formatTimezone(timezoneOffset, ':');
    }
  },
  // Timezone (ISO-8601. If offset is 0, output is `'+00:00'` or equivalent)
  x: function (date, token, _localize, options) {
    var originalDate = options._originalDate || date;
    var timezoneOffset = originalDate.getTimezoneOffset();

    switch (token) {
      // Hours and optional minutes
      case 'x':
        return formatTimezoneWithOptionalMinutes(timezoneOffset);
      // Hours, minutes and optional seconds without `:` delimiter
      // Note: neither ISO-8601 nor JavaScript supports seconds in timezone offsets
      // so this token always has the same output as `xx`

      case 'xxxx':
      case 'xx':
        // Hours and minutes without `:` delimiter
        return formatTimezone(timezoneOffset);
      // Hours, minutes and optional seconds with `:` delimiter
      // Note: neither ISO-8601 nor JavaScript supports seconds in timezone offsets
      // so this token always has the same output as `xxx`

      case 'xxxxx':
      case 'xxx': // Hours and minutes with `:` delimiter

      default:
        return formatTimezone(timezoneOffset, ':');
    }
  },
  // Timezone (GMT)
  O: function (date, token, _localize, options) {
    var originalDate = options._originalDate || date;
    var timezoneOffset = originalDate.getTimezoneOffset();

    switch (token) {
      // Short
      case 'O':
      case 'OO':
      case 'OOO':
        return 'GMT' + formatTimezoneShort(timezoneOffset, ':');
      // Long

      case 'OOOO':
      default:
        return 'GMT' + formatTimezone(timezoneOffset, ':');
    }
  },
  // Timezone (specific non-location)
  z: function (date, token, _localize, options) {
    var originalDate = options._originalDate || date;
    var timezoneOffset = originalDate.getTimezoneOffset();

    switch (token) {
      // Short
      case 'z':
      case 'zz':
      case 'zzz':
        return 'GMT' + formatTimezoneShort(timezoneOffset, ':');
      // Long

      case 'zzzz':
      default:
        return 'GMT' + formatTimezone(timezoneOffset, ':');
    }
  },
  // Seconds timestamp
  t: function (date, token, _localize, options) {
    var originalDate = options._originalDate || date;
    var timestamp = Math.floor(originalDate.getTime() / 1000);
    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(timestamp, token.length);
  },
  // Milliseconds timestamp
  T: function (date, token, _localize, options) {
    var originalDate = options._originalDate || date;
    var timestamp = originalDate.getTime();
    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(timestamp, token.length);
  }
};

function formatTimezoneShort(offset, dirtyDelimiter) {
  var sign = offset > 0 ? '-' : '+';
  var absOffset = Math.abs(offset);
  var hours = Math.floor(absOffset / 60);
  var minutes = absOffset % 60;

  if (minutes === 0) {
    return sign + String(hours);
  }

  var delimiter = dirtyDelimiter || '';
  return sign + String(hours) + delimiter + (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(minutes, 2);
}

function formatTimezoneWithOptionalMinutes(offset, dirtyDelimiter) {
  if (offset % 60 === 0) {
    var sign = offset > 0 ? '-' : '+';
    return sign + (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(Math.abs(offset) / 60, 2);
  }

  return formatTimezone(offset, dirtyDelimiter);
}

function formatTimezone(offset, dirtyDelimiter) {
  var delimiter = dirtyDelimiter || '';
  var sign = offset > 0 ? '-' : '+';
  var absOffset = Math.abs(offset);
  var hours = (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(Math.floor(absOffset / 60), 2);
  var minutes = (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(absOffset % 60, 2);
  return sign + hours + delimiter + minutes;
}

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (formatters);

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/format/lightFormatters/index.js":
/*!************************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/format/lightFormatters/index.js ***!
  \************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../addLeadingZeros/index.js */ "./node_modules/date-fns/esm/_lib/addLeadingZeros/index.js");

/*
 * |     | Unit                           |     | Unit                           |
 * |-----|--------------------------------|-----|--------------------------------|
 * |  a  | AM, PM                         |  A* |                                |
 * |  d  | Day of month                   |  D  |                                |
 * |  h  | Hour [1-12]                    |  H  | Hour [0-23]                    |
 * |  m  | Minute                         |  M  | Month                          |
 * |  s  | Second                         |  S  | Fraction of second             |
 * |  y  | Year (abs)                     |  Y  |                                |
 *
 * Letters marked by * are not implemented but reserved by Unicode standard.
 */

var formatters = {
  // Year
  y: function (date, token) {
    // From http://www.unicode.org/reports/tr35/tr35-31/tr35-dates.html#Date_Format_tokens
    // | Year     |     y | yy |   yyy |  yyyy | yyyyy |
    // |----------|-------|----|-------|-------|-------|
    // | AD 1     |     1 | 01 |   001 |  0001 | 00001 |
    // | AD 12    |    12 | 12 |   012 |  0012 | 00012 |
    // | AD 123   |   123 | 23 |   123 |  0123 | 00123 |
    // | AD 1234  |  1234 | 34 |  1234 |  1234 | 01234 |
    // | AD 12345 | 12345 | 45 | 12345 | 12345 | 12345 |
    var signedYear = date.getUTCFullYear(); // Returns 1 for 1 BC (which is year 0 in JavaScript)

    var year = signedYear > 0 ? signedYear : 1 - signedYear;
    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(token === 'yy' ? year % 100 : year, token.length);
  },
  // Month
  M: function (date, token) {
    var month = date.getUTCMonth();
    return token === 'M' ? String(month + 1) : (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(month + 1, 2);
  },
  // Day of the month
  d: function (date, token) {
    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(date.getUTCDate(), token.length);
  },
  // AM or PM
  a: function (date, token) {
    var dayPeriodEnumValue = date.getUTCHours() / 12 >= 1 ? 'pm' : 'am';

    switch (token) {
      case 'a':
      case 'aa':
        return dayPeriodEnumValue.toUpperCase();

      case 'aaa':
        return dayPeriodEnumValue;

      case 'aaaaa':
        return dayPeriodEnumValue[0];

      case 'aaaa':
      default:
        return dayPeriodEnumValue === 'am' ? 'a.m.' : 'p.m.';
    }
  },
  // Hour [1-12]
  h: function (date, token) {
    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(date.getUTCHours() % 12 || 12, token.length);
  },
  // Hour [0-23]
  H: function (date, token) {
    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(date.getUTCHours(), token.length);
  },
  // Minute
  m: function (date, token) {
    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(date.getUTCMinutes(), token.length);
  },
  // Second
  s: function (date, token) {
    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(date.getUTCSeconds(), token.length);
  },
  // Fraction of second
  S: function (date, token) {
    var numberOfDigits = token.length;
    var milliseconds = date.getUTCMilliseconds();
    var fractionalSeconds = Math.floor(milliseconds * Math.pow(10, numberOfDigits - 3));
    return (0,_addLeadingZeros_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(fractionalSeconds, token.length);
  }
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (formatters);

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/format/longFormatters/index.js":
/*!***********************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/format/longFormatters/index.js ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
function dateLongFormatter(pattern, formatLong) {
  switch (pattern) {
    case 'P':
      return formatLong.date({
        width: 'short'
      });

    case 'PP':
      return formatLong.date({
        width: 'medium'
      });

    case 'PPP':
      return formatLong.date({
        width: 'long'
      });

    case 'PPPP':
    default:
      return formatLong.date({
        width: 'full'
      });
  }
}

function timeLongFormatter(pattern, formatLong) {
  switch (pattern) {
    case 'p':
      return formatLong.time({
        width: 'short'
      });

    case 'pp':
      return formatLong.time({
        width: 'medium'
      });

    case 'ppp':
      return formatLong.time({
        width: 'long'
      });

    case 'pppp':
    default:
      return formatLong.time({
        width: 'full'
      });
  }
}

function dateTimeLongFormatter(pattern, formatLong) {
  var matchResult = pattern.match(/(P+)(p+)?/);
  var datePattern = matchResult[1];
  var timePattern = matchResult[2];

  if (!timePattern) {
    return dateLongFormatter(pattern, formatLong);
  }

  var dateTimeFormat;

  switch (datePattern) {
    case 'P':
      dateTimeFormat = formatLong.dateTime({
        width: 'short'
      });
      break;

    case 'PP':
      dateTimeFormat = formatLong.dateTime({
        width: 'medium'
      });
      break;

    case 'PPP':
      dateTimeFormat = formatLong.dateTime({
        width: 'long'
      });
      break;

    case 'PPPP':
    default:
      dateTimeFormat = formatLong.dateTime({
        width: 'full'
      });
      break;
  }

  return dateTimeFormat.replace('{{date}}', dateLongFormatter(datePattern, formatLong)).replace('{{time}}', timeLongFormatter(timePattern, formatLong));
}

var longFormatters = {
  p: timeLongFormatter,
  P: dateTimeLongFormatter
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (longFormatters);

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/getTimezoneOffsetInMilliseconds/index.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/getTimezoneOffsetInMilliseconds/index.js ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ getTimezoneOffsetInMilliseconds)
/* harmony export */ });
var MILLISECONDS_IN_MINUTE = 60000;

function getDateMillisecondsPart(date) {
  return date.getTime() % MILLISECONDS_IN_MINUTE;
}
/**
 * Google Chrome as of 67.0.3396.87 introduced timezones with offset that includes seconds.
 * They usually appear for dates that denote time before the timezones were introduced
 * (e.g. for 'Europe/Prague' timezone the offset is GMT+00:57:44 before 1 October 1891
 * and GMT+01:00:00 after that date)
 *
 * Date#getTimezoneOffset returns the offset in minutes and would return 57 for the example above,
 * which would lead to incorrect calculations.
 *
 * This function returns the timezone offset in milliseconds that takes seconds in account.
 */


function getTimezoneOffsetInMilliseconds(dirtyDate) {
  var date = new Date(dirtyDate.getTime());
  var baseTimezoneOffset = Math.ceil(date.getTimezoneOffset());
  date.setSeconds(0, 0);
  var hasNegativeUTCOffset = baseTimezoneOffset > 0;
  var millisecondsPartOfTimezoneOffset = hasNegativeUTCOffset ? (MILLISECONDS_IN_MINUTE + getDateMillisecondsPart(date)) % MILLISECONDS_IN_MINUTE : getDateMillisecondsPart(date);
  return baseTimezoneOffset * MILLISECONDS_IN_MINUTE + millisecondsPartOfTimezoneOffset;
}

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/getUTCDayOfYear/index.js":
/*!*****************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/getUTCDayOfYear/index.js ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ getUTCDayOfYear)
/* harmony export */ });
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");


var MILLISECONDS_IN_DAY = 86400000; // This function will be a part of public API when UTC function will be implemented.
// See issue: https://github.com/date-fns/date-fns/issues/376

function getUTCDayOfYear(dirtyDate) {
  (0,_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(1, arguments);
  var date = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDate);
  var timestamp = date.getTime();
  date.setUTCMonth(0, 1);
  date.setUTCHours(0, 0, 0, 0);
  var startOfYearTimestamp = date.getTime();
  var difference = timestamp - startOfYearTimestamp;
  return Math.floor(difference / MILLISECONDS_IN_DAY) + 1;
}

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/getUTCISOWeekYear/index.js":
/*!*******************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/getUTCISOWeekYear/index.js ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ getUTCISOWeekYear)
/* harmony export */ });
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _startOfUTCISOWeek_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../startOfUTCISOWeek/index.js */ "./node_modules/date-fns/esm/_lib/startOfUTCISOWeek/index.js");
/* harmony import */ var _requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");


 // This function will be a part of public API when UTC function will be implemented.
// See issue: https://github.com/date-fns/date-fns/issues/376

function getUTCISOWeekYear(dirtyDate) {
  (0,_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(1, arguments);
  var date = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDate);
  var year = date.getUTCFullYear();
  var fourthOfJanuaryOfNextYear = new Date(0);
  fourthOfJanuaryOfNextYear.setUTCFullYear(year + 1, 0, 4);
  fourthOfJanuaryOfNextYear.setUTCHours(0, 0, 0, 0);
  var startOfNextYear = (0,_startOfUTCISOWeek_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(fourthOfJanuaryOfNextYear);
  var fourthOfJanuaryOfThisYear = new Date(0);
  fourthOfJanuaryOfThisYear.setUTCFullYear(year, 0, 4);
  fourthOfJanuaryOfThisYear.setUTCHours(0, 0, 0, 0);
  var startOfThisYear = (0,_startOfUTCISOWeek_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(fourthOfJanuaryOfThisYear);

  if (date.getTime() >= startOfNextYear.getTime()) {
    return year + 1;
  } else if (date.getTime() >= startOfThisYear.getTime()) {
    return year;
  } else {
    return year - 1;
  }
}

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/getUTCISOWeek/index.js":
/*!***************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/getUTCISOWeek/index.js ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ getUTCISOWeek)
/* harmony export */ });
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _startOfUTCISOWeek_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../startOfUTCISOWeek/index.js */ "./node_modules/date-fns/esm/_lib/startOfUTCISOWeek/index.js");
/* harmony import */ var _startOfUTCISOWeekYear_index_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../startOfUTCISOWeekYear/index.js */ "./node_modules/date-fns/esm/_lib/startOfUTCISOWeekYear/index.js");
/* harmony import */ var _requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");




var MILLISECONDS_IN_WEEK = 604800000; // This function will be a part of public API when UTC function will be implemented.
// See issue: https://github.com/date-fns/date-fns/issues/376

function getUTCISOWeek(dirtyDate) {
  (0,_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(1, arguments);
  var date = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDate);
  var diff = (0,_startOfUTCISOWeek_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(date).getTime() - (0,_startOfUTCISOWeekYear_index_js__WEBPACK_IMPORTED_MODULE_3__["default"])(date).getTime(); // Round the number of days to the nearest integer
  // because the number of milliseconds in a week is not constant
  // (e.g. it's different in the week of the daylight saving time clock shift)

  return Math.round(diff / MILLISECONDS_IN_WEEK) + 1;
}

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/getUTCWeekYear/index.js":
/*!****************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/getUTCWeekYear/index.js ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ getUTCWeekYear)
/* harmony export */ });
/* harmony import */ var _toInteger_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../toInteger/index.js */ "./node_modules/date-fns/esm/_lib/toInteger/index.js");
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _startOfUTCWeek_index_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../startOfUTCWeek/index.js */ "./node_modules/date-fns/esm/_lib/startOfUTCWeek/index.js");
/* harmony import */ var _requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");



 // This function will be a part of public API when UTC function will be implemented.
// See issue: https://github.com/date-fns/date-fns/issues/376

function getUTCWeekYear(dirtyDate, dirtyOptions) {
  (0,_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(1, arguments);
  var date = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDate, dirtyOptions);
  var year = date.getUTCFullYear();
  var options = dirtyOptions || {};
  var locale = options.locale;
  var localeFirstWeekContainsDate = locale && locale.options && locale.options.firstWeekContainsDate;
  var defaultFirstWeekContainsDate = localeFirstWeekContainsDate == null ? 1 : (0,_toInteger_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(localeFirstWeekContainsDate);
  var firstWeekContainsDate = options.firstWeekContainsDate == null ? defaultFirstWeekContainsDate : (0,_toInteger_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(options.firstWeekContainsDate); // Test if weekStartsOn is between 1 and 7 _and_ is not NaN

  if (!(firstWeekContainsDate >= 1 && firstWeekContainsDate <= 7)) {
    throw new RangeError('firstWeekContainsDate must be between 1 and 7 inclusively');
  }

  var firstWeekOfNextYear = new Date(0);
  firstWeekOfNextYear.setUTCFullYear(year + 1, 0, firstWeekContainsDate);
  firstWeekOfNextYear.setUTCHours(0, 0, 0, 0);
  var startOfNextYear = (0,_startOfUTCWeek_index_js__WEBPACK_IMPORTED_MODULE_3__["default"])(firstWeekOfNextYear, dirtyOptions);
  var firstWeekOfThisYear = new Date(0);
  firstWeekOfThisYear.setUTCFullYear(year, 0, firstWeekContainsDate);
  firstWeekOfThisYear.setUTCHours(0, 0, 0, 0);
  var startOfThisYear = (0,_startOfUTCWeek_index_js__WEBPACK_IMPORTED_MODULE_3__["default"])(firstWeekOfThisYear, dirtyOptions);

  if (date.getTime() >= startOfNextYear.getTime()) {
    return year + 1;
  } else if (date.getTime() >= startOfThisYear.getTime()) {
    return year;
  } else {
    return year - 1;
  }
}

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/getUTCWeek/index.js":
/*!************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/getUTCWeek/index.js ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ getUTCWeek)
/* harmony export */ });
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _startOfUTCWeek_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../startOfUTCWeek/index.js */ "./node_modules/date-fns/esm/_lib/startOfUTCWeek/index.js");
/* harmony import */ var _startOfUTCWeekYear_index_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../startOfUTCWeekYear/index.js */ "./node_modules/date-fns/esm/_lib/startOfUTCWeekYear/index.js");
/* harmony import */ var _requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");




var MILLISECONDS_IN_WEEK = 604800000; // This function will be a part of public API when UTC function will be implemented.
// See issue: https://github.com/date-fns/date-fns/issues/376

function getUTCWeek(dirtyDate, options) {
  (0,_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(1, arguments);
  var date = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDate);
  var diff = (0,_startOfUTCWeek_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(date, options).getTime() - (0,_startOfUTCWeekYear_index_js__WEBPACK_IMPORTED_MODULE_3__["default"])(date, options).getTime(); // Round the number of days to the nearest integer
  // because the number of milliseconds in a week is not constant
  // (e.g. it's different in the week of the daylight saving time clock shift)

  return Math.round(diff / MILLISECONDS_IN_WEEK) + 1;
}

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/protectedTokens/index.js":
/*!*****************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/protectedTokens/index.js ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "isProtectedDayOfYearToken": () => (/* binding */ isProtectedDayOfYearToken),
/* harmony export */   "isProtectedWeekYearToken": () => (/* binding */ isProtectedWeekYearToken),
/* harmony export */   "throwProtectedError": () => (/* binding */ throwProtectedError)
/* harmony export */ });
var protectedDayOfYearTokens = ['D', 'DD'];
var protectedWeekYearTokens = ['YY', 'YYYY'];
function isProtectedDayOfYearToken(token) {
  return protectedDayOfYearTokens.indexOf(token) !== -1;
}
function isProtectedWeekYearToken(token) {
  return protectedWeekYearTokens.indexOf(token) !== -1;
}
function throwProtectedError(token, format, input) {
  if (token === 'YYYY') {
    throw new RangeError("Use `yyyy` instead of `YYYY` (in `".concat(format, "`) for formatting years to the input `").concat(input, "`; see: https://git.io/fxCyr"));
  } else if (token === 'YY') {
    throw new RangeError("Use `yy` instead of `YY` (in `".concat(format, "`) for formatting years to the input `").concat(input, "`; see: https://git.io/fxCyr"));
  } else if (token === 'D') {
    throw new RangeError("Use `d` instead of `D` (in `".concat(format, "`) for formatting days of the month to the input `").concat(input, "`; see: https://git.io/fxCyr"));
  } else if (token === 'DD') {
    throw new RangeError("Use `dd` instead of `DD` (in `".concat(format, "`) for formatting days of the month to the input `").concat(input, "`; see: https://git.io/fxCyr"));
  }
}

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js":
/*!**************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/requiredArgs/index.js ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ requiredArgs)
/* harmony export */ });
function requiredArgs(required, args) {
  if (args.length < required) {
    throw new TypeError(required + ' argument' + (required > 1 ? 's' : '') + ' required, but only ' + args.length + ' present');
  }
}

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/startOfUTCISOWeekYear/index.js":
/*!***********************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/startOfUTCISOWeekYear/index.js ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ startOfUTCISOWeekYear)
/* harmony export */ });
/* harmony import */ var _getUTCISOWeekYear_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../getUTCISOWeekYear/index.js */ "./node_modules/date-fns/esm/_lib/getUTCISOWeekYear/index.js");
/* harmony import */ var _startOfUTCISOWeek_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../startOfUTCISOWeek/index.js */ "./node_modules/date-fns/esm/_lib/startOfUTCISOWeek/index.js");
/* harmony import */ var _requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");


 // This function will be a part of public API when UTC function will be implemented.
// See issue: https://github.com/date-fns/date-fns/issues/376

function startOfUTCISOWeekYear(dirtyDate) {
  (0,_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(1, arguments);
  var year = (0,_getUTCISOWeekYear_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDate);
  var fourthOfJanuary = new Date(0);
  fourthOfJanuary.setUTCFullYear(year, 0, 4);
  fourthOfJanuary.setUTCHours(0, 0, 0, 0);
  var date = (0,_startOfUTCISOWeek_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(fourthOfJanuary);
  return date;
}

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/startOfUTCISOWeek/index.js":
/*!*******************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/startOfUTCISOWeek/index.js ***!
  \*******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ startOfUTCISOWeek)
/* harmony export */ });
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");

 // This function will be a part of public API when UTC function will be implemented.
// See issue: https://github.com/date-fns/date-fns/issues/376

function startOfUTCISOWeek(dirtyDate) {
  (0,_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(1, arguments);
  var weekStartsOn = 1;
  var date = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDate);
  var day = date.getUTCDay();
  var diff = (day < weekStartsOn ? 7 : 0) + day - weekStartsOn;
  date.setUTCDate(date.getUTCDate() - diff);
  date.setUTCHours(0, 0, 0, 0);
  return date;
}

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/startOfUTCWeekYear/index.js":
/*!********************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/startOfUTCWeekYear/index.js ***!
  \********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ startOfUTCWeekYear)
/* harmony export */ });
/* harmony import */ var _toInteger_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../toInteger/index.js */ "./node_modules/date-fns/esm/_lib/toInteger/index.js");
/* harmony import */ var _getUTCWeekYear_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../getUTCWeekYear/index.js */ "./node_modules/date-fns/esm/_lib/getUTCWeekYear/index.js");
/* harmony import */ var _startOfUTCWeek_index_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../startOfUTCWeek/index.js */ "./node_modules/date-fns/esm/_lib/startOfUTCWeek/index.js");
/* harmony import */ var _requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");



 // This function will be a part of public API when UTC function will be implemented.
// See issue: https://github.com/date-fns/date-fns/issues/376

function startOfUTCWeekYear(dirtyDate, dirtyOptions) {
  (0,_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(1, arguments);
  var options = dirtyOptions || {};
  var locale = options.locale;
  var localeFirstWeekContainsDate = locale && locale.options && locale.options.firstWeekContainsDate;
  var defaultFirstWeekContainsDate = localeFirstWeekContainsDate == null ? 1 : (0,_toInteger_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(localeFirstWeekContainsDate);
  var firstWeekContainsDate = options.firstWeekContainsDate == null ? defaultFirstWeekContainsDate : (0,_toInteger_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(options.firstWeekContainsDate);
  var year = (0,_getUTCWeekYear_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(dirtyDate, dirtyOptions);
  var firstWeek = new Date(0);
  firstWeek.setUTCFullYear(year, 0, firstWeekContainsDate);
  firstWeek.setUTCHours(0, 0, 0, 0);
  var date = (0,_startOfUTCWeek_index_js__WEBPACK_IMPORTED_MODULE_3__["default"])(firstWeek, dirtyOptions);
  return date;
}

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/startOfUTCWeek/index.js":
/*!****************************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/startOfUTCWeek/index.js ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ startOfUTCWeek)
/* harmony export */ });
/* harmony import */ var _toInteger_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../toInteger/index.js */ "./node_modules/date-fns/esm/_lib/toInteger/index.js");
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");


 // This function will be a part of public API when UTC function will be implemented.
// See issue: https://github.com/date-fns/date-fns/issues/376

function startOfUTCWeek(dirtyDate, dirtyOptions) {
  (0,_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(1, arguments);
  var options = dirtyOptions || {};
  var locale = options.locale;
  var localeWeekStartsOn = locale && locale.options && locale.options.weekStartsOn;
  var defaultWeekStartsOn = localeWeekStartsOn == null ? 0 : (0,_toInteger_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(localeWeekStartsOn);
  var weekStartsOn = options.weekStartsOn == null ? defaultWeekStartsOn : (0,_toInteger_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(options.weekStartsOn); // Test if weekStartsOn is between 0 and 6 _and_ is not NaN

  if (!(weekStartsOn >= 0 && weekStartsOn <= 6)) {
    throw new RangeError('weekStartsOn must be between 0 and 6 inclusively');
  }

  var date = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(dirtyDate);
  var day = date.getUTCDay();
  var diff = (day < weekStartsOn ? 7 : 0) + day - weekStartsOn;
  date.setUTCDate(date.getUTCDate() - diff);
  date.setUTCHours(0, 0, 0, 0);
  return date;
}

/***/ }),

/***/ "./node_modules/date-fns/esm/_lib/toInteger/index.js":
/*!***********************************************************!*\
  !*** ./node_modules/date-fns/esm/_lib/toInteger/index.js ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ toInteger)
/* harmony export */ });
function toInteger(dirtyNumber) {
  if (dirtyNumber === null || dirtyNumber === true || dirtyNumber === false) {
    return NaN;
  }

  var number = Number(dirtyNumber);

  if (isNaN(number)) {
    return number;
  }

  return number < 0 ? Math.ceil(number) : Math.floor(number);
}

/***/ }),

/***/ "./node_modules/date-fns/esm/addMilliseconds/index.js":
/*!************************************************************!*\
  !*** ./node_modules/date-fns/esm/addMilliseconds/index.js ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ addMilliseconds)
/* harmony export */ });
/* harmony import */ var _lib_toInteger_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../_lib/toInteger/index.js */ "./node_modules/date-fns/esm/_lib/toInteger/index.js");
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../_lib/requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");



/**
 * @name addMilliseconds
 * @category Millisecond Helpers
 * @summary Add the specified number of milliseconds to the given date.
 *
 * @description
 * Add the specified number of milliseconds to the given date.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} date - the date to be changed
 * @param {Number} amount - the amount of milliseconds to be added. Positive decimals will be rounded using `Math.floor`, decimals less than zero will be rounded using `Math.ceil`.
 * @returns {Date} the new date with the milliseconds added
 * @throws {TypeError} 2 arguments required
 *
 * @example
 * // Add 750 milliseconds to 10 July 2014 12:45:30.000:
 * const result = addMilliseconds(new Date(2014, 6, 10, 12, 45, 30, 0), 750)
 * //=> Thu Jul 10 2014 12:45:30.750
 */

function addMilliseconds(dirtyDate, dirtyAmount) {
  (0,_lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(2, arguments);
  var timestamp = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDate).getTime();
  var amount = (0,_lib_toInteger_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(dirtyAmount);
  return new Date(timestamp + amount);
}

/***/ }),

/***/ "./node_modules/date-fns/esm/compareAsc/index.js":
/*!*******************************************************!*\
  !*** ./node_modules/date-fns/esm/compareAsc/index.js ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ compareAsc)
/* harmony export */ });
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../_lib/requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");


/**
 * @name compareAsc
 * @category Common Helpers
 * @summary Compare the two dates and return -1, 0 or 1.
 *
 * @description
 * Compare the two dates and return 1 if the first date is after the second,
 * -1 if the first date is before the second or 0 if dates are equal.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} dateLeft - the first date to compare
 * @param {Date|Number} dateRight - the second date to compare
 * @returns {Number} the result of the comparison
 * @throws {TypeError} 2 arguments required
 *
 * @example
 * // Compare 11 February 1987 and 10 July 1989:
 * const result = compareAsc(new Date(1987, 1, 11), new Date(1989, 6, 10))
 * //=> -1
 *
 * @example
 * // Sort the array of dates:
 * const result = [
 *   new Date(1995, 6, 2),
 *   new Date(1987, 1, 11),
 *   new Date(1989, 6, 10)
 * ].sort(compareAsc)
 * //=> [
 * //   Wed Feb 11 1987 00:00:00,
 * //   Mon Jul 10 1989 00:00:00,
 * //   Sun Jul 02 1995 00:00:00
 * // ]
 */

function compareAsc(dirtyDateLeft, dirtyDateRight) {
  (0,_lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(2, arguments);
  var dateLeft = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDateLeft);
  var dateRight = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDateRight);
  var diff = dateLeft.getTime() - dateRight.getTime();

  if (diff < 0) {
    return -1;
  } else if (diff > 0) {
    return 1; // Return 0 if diff is 0; return NaN if diff is NaN
  } else {
    return diff;
  }
}

/***/ }),

/***/ "./node_modules/date-fns/esm/differenceInCalendarMonths/index.js":
/*!***********************************************************************!*\
  !*** ./node_modules/date-fns/esm/differenceInCalendarMonths/index.js ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ differenceInCalendarMonths)
/* harmony export */ });
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../_lib/requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");


/**
 * @name differenceInCalendarMonths
 * @category Month Helpers
 * @summary Get the number of calendar months between the given dates.
 *
 * @description
 * Get the number of calendar months between the given dates.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} dateLeft - the later date
 * @param {Date|Number} dateRight - the earlier date
 * @returns {Number} the number of calendar months
 * @throws {TypeError} 2 arguments required
 *
 * @example
 * // How many calendar months are between 31 January 2014 and 1 September 2014?
 * var result = differenceInCalendarMonths(
 *   new Date(2014, 8, 1),
 *   new Date(2014, 0, 31)
 * )
 * //=> 8
 */

function differenceInCalendarMonths(dirtyDateLeft, dirtyDateRight) {
  (0,_lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(2, arguments);
  var dateLeft = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDateLeft);
  var dateRight = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDateRight);
  var yearDiff = dateLeft.getFullYear() - dateRight.getFullYear();
  var monthDiff = dateLeft.getMonth() - dateRight.getMonth();
  return yearDiff * 12 + monthDiff;
}

/***/ }),

/***/ "./node_modules/date-fns/esm/differenceInMilliseconds/index.js":
/*!*********************************************************************!*\
  !*** ./node_modules/date-fns/esm/differenceInMilliseconds/index.js ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ differenceInMilliseconds)
/* harmony export */ });
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../_lib/requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");


/**
 * @name differenceInMilliseconds
 * @category Millisecond Helpers
 * @summary Get the number of milliseconds between the given dates.
 *
 * @description
 * Get the number of milliseconds between the given dates.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} dateLeft - the later date
 * @param {Date|Number} dateRight - the earlier date
 * @returns {Number} the number of milliseconds
 * @throws {TypeError} 2 arguments required
 *
 * @example
 * // How many milliseconds are between
 * // 2 July 2014 12:30:20.600 and 2 July 2014 12:30:21.700?
 * var result = differenceInMilliseconds(
 *   new Date(2014, 6, 2, 12, 30, 21, 700),
 *   new Date(2014, 6, 2, 12, 30, 20, 600)
 * )
 * //=> 1100
 */

function differenceInMilliseconds(dirtyDateLeft, dirtyDateRight) {
  (0,_lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(2, arguments);
  var dateLeft = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDateLeft);
  var dateRight = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDateRight);
  return dateLeft.getTime() - dateRight.getTime();
}

/***/ }),

/***/ "./node_modules/date-fns/esm/differenceInMonths/index.js":
/*!***************************************************************!*\
  !*** ./node_modules/date-fns/esm/differenceInMonths/index.js ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ differenceInMonths)
/* harmony export */ });
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _differenceInCalendarMonths_index_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../differenceInCalendarMonths/index.js */ "./node_modules/date-fns/esm/differenceInCalendarMonths/index.js");
/* harmony import */ var _compareAsc_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../compareAsc/index.js */ "./node_modules/date-fns/esm/compareAsc/index.js");
/* harmony import */ var _lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../_lib/requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");
/* harmony import */ var _isLastDayOfMonth_index_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../isLastDayOfMonth/index.js */ "./node_modules/date-fns/esm/isLastDayOfMonth/index.js");





/**
 * @name differenceInMonths
 * @category Month Helpers
 * @summary Get the number of full months between the given dates.
 *
 * @description
 * Get the number of full months between the given dates.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} dateLeft - the later date
 * @param {Date|Number} dateRight - the earlier date
 * @returns {Number} the number of full months
 * @throws {TypeError} 2 arguments required
 *
 * @example
 * // How many full months are between 31 January 2014 and 1 September 2014?
 * var result = differenceInMonths(new Date(2014, 8, 1), new Date(2014, 0, 31))
 * //=> 7
 */

function differenceInMonths(dirtyDateLeft, dirtyDateRight) {
  (0,_lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(2, arguments);
  var dateLeft = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDateLeft);
  var dateRight = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDateRight);
  var sign = (0,_compareAsc_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(dateLeft, dateRight);
  var difference = Math.abs((0,_differenceInCalendarMonths_index_js__WEBPACK_IMPORTED_MODULE_3__["default"])(dateLeft, dateRight)); // This will check if the date is end of Feb and assign a higher end of month date
  // to compare it with Jan

  if (dateLeft.getMonth() === 1 && dateLeft.getDate() > 27) {
    dateLeft.setDate(30);
  }

  dateLeft.setMonth(dateLeft.getMonth() - sign * difference); // Math.abs(diff in full months - diff in calendar months) === 1 if last calendar month is not full
  // If so, result must be decreased by 1 in absolute value

  var isLastMonthNotFull = (0,_compareAsc_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(dateLeft, dateRight) === -sign; // Check for cases of one full calendar month

  if ((0,_isLastDayOfMonth_index_js__WEBPACK_IMPORTED_MODULE_4__["default"])((0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDateLeft)) && difference === 1 && (0,_compareAsc_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(dirtyDateLeft, dateRight) === 1) {
    isLastMonthNotFull = false;
  }

  var result = sign * (difference - isLastMonthNotFull); // Prevent negative zero

  return result === 0 ? 0 : result;
}

/***/ }),

/***/ "./node_modules/date-fns/esm/differenceInSeconds/index.js":
/*!****************************************************************!*\
  !*** ./node_modules/date-fns/esm/differenceInSeconds/index.js ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ differenceInSeconds)
/* harmony export */ });
/* harmony import */ var _differenceInMilliseconds_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../differenceInMilliseconds/index.js */ "./node_modules/date-fns/esm/differenceInMilliseconds/index.js");
/* harmony import */ var _lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../_lib/requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");


/**
 * @name differenceInSeconds
 * @category Second Helpers
 * @summary Get the number of seconds between the given dates.
 *
 * @description
 * Get the number of seconds between the given dates.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} dateLeft - the later date
 * @param {Date|Number} dateRight - the earlier date
 * @returns {Number} the number of seconds
 * @throws {TypeError} 2 arguments required
 *
 * @example
 * // How many seconds are between
 * // 2 July 2014 12:30:07.999 and 2 July 2014 12:30:20.000?
 * var result = differenceInSeconds(
 *   new Date(2014, 6, 2, 12, 30, 20, 0),
 *   new Date(2014, 6, 2, 12, 30, 7, 999)
 * )
 * //=> 12
 */

function differenceInSeconds(dirtyDateLeft, dirtyDateRight) {
  (0,_lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(2, arguments);
  var diff = (0,_differenceInMilliseconds_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDateLeft, dirtyDateRight) / 1000;
  return diff > 0 ? Math.floor(diff) : Math.ceil(diff);
}

/***/ }),

/***/ "./node_modules/date-fns/esm/endOfDay/index.js":
/*!*****************************************************!*\
  !*** ./node_modules/date-fns/esm/endOfDay/index.js ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ endOfDay)
/* harmony export */ });
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../_lib/requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");


/**
 * @name endOfDay
 * @category Day Helpers
 * @summary Return the end of a day for the given date.
 *
 * @description
 * Return the end of a day for the given date.
 * The result will be in the local timezone.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} date - the original date
 * @returns {Date} the end of a day
 * @throws {TypeError} 1 argument required
 *
 * @example
 * // The end of a day for 2 September 2014 11:55:00:
 * const result = endOfDay(new Date(2014, 8, 2, 11, 55, 0))
 * //=> Tue Sep 02 2014 23:59:59.999
 */

function endOfDay(dirtyDate) {
  (0,_lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(1, arguments);
  var date = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDate);
  date.setHours(23, 59, 59, 999);
  return date;
}

/***/ }),

/***/ "./node_modules/date-fns/esm/endOfMonth/index.js":
/*!*******************************************************!*\
  !*** ./node_modules/date-fns/esm/endOfMonth/index.js ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ endOfMonth)
/* harmony export */ });
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../_lib/requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");


/**
 * @name endOfMonth
 * @category Month Helpers
 * @summary Return the end of a month for the given date.
 *
 * @description
 * Return the end of a month for the given date.
 * The result will be in the local timezone.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} date - the original date
 * @returns {Date} the end of a month
 * @throws {TypeError} 1 argument required
 *
 * @example
 * // The end of a month for 2 September 2014 11:55:00:
 * const result = endOfMonth(new Date(2014, 8, 2, 11, 55, 0))
 * //=> Tue Sep 30 2014 23:59:59.999
 */

function endOfMonth(dirtyDate) {
  (0,_lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(1, arguments);
  var date = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDate);
  var month = date.getMonth();
  date.setFullYear(date.getFullYear(), month + 1, 0);
  date.setHours(23, 59, 59, 999);
  return date;
}

/***/ }),

/***/ "./node_modules/date-fns/esm/formatDistance/index.js":
/*!***********************************************************!*\
  !*** ./node_modules/date-fns/esm/formatDistance/index.js ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ formatDistance)
/* harmony export */ });
/* harmony import */ var _compareAsc_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../compareAsc/index.js */ "./node_modules/date-fns/esm/compareAsc/index.js");
/* harmony import */ var _differenceInMonths_index_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../differenceInMonths/index.js */ "./node_modules/date-fns/esm/differenceInMonths/index.js");
/* harmony import */ var _differenceInSeconds_index_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../differenceInSeconds/index.js */ "./node_modules/date-fns/esm/differenceInSeconds/index.js");
/* harmony import */ var _locale_en_US_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../locale/en-US/index.js */ "./node_modules/date-fns/esm/locale/en-US/index.js");
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _lib_cloneObject_index_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../_lib/cloneObject/index.js */ "./node_modules/date-fns/esm/_lib/cloneObject/index.js");
/* harmony import */ var _lib_getTimezoneOffsetInMilliseconds_index_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../_lib/getTimezoneOffsetInMilliseconds/index.js */ "./node_modules/date-fns/esm/_lib/getTimezoneOffsetInMilliseconds/index.js");
/* harmony import */ var _lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../_lib/requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");








var MINUTES_IN_DAY = 1440;
var MINUTES_IN_ALMOST_TWO_DAYS = 2520;
var MINUTES_IN_MONTH = 43200;
var MINUTES_IN_TWO_MONTHS = 86400;
/**
 * @name formatDistance
 * @category Common Helpers
 * @summary Return the distance between the given dates in words.
 *
 * @description
 * Return the distance between the given dates in words.
 *
 * | Distance between dates                                            | Result              |
 * |-------------------------------------------------------------------|---------------------|
 * | 0 ... 30 secs                                                     | less than a minute  |
 * | 30 secs ... 1 min 30 secs                                         | 1 minute            |
 * | 1 min 30 secs ... 44 mins 30 secs                                 | [2..44] minutes     |
 * | 44 mins ... 30 secs ... 89 mins 30 secs                           | about 1 hour        |
 * | 89 mins 30 secs ... 23 hrs 59 mins 30 secs                        | about [2..24] hours |
 * | 23 hrs 59 mins 30 secs ... 41 hrs 59 mins 30 secs                 | 1 day               |
 * | 41 hrs 59 mins 30 secs ... 29 days 23 hrs 59 mins 30 secs         | [2..30] days        |
 * | 29 days 23 hrs 59 mins 30 secs ... 44 days 23 hrs 59 mins 30 secs | about 1 month       |
 * | 44 days 23 hrs 59 mins 30 secs ... 59 days 23 hrs 59 mins 30 secs | about 2 months      |
 * | 59 days 23 hrs 59 mins 30 secs ... 1 yr                           | [2..12] months      |
 * | 1 yr ... 1 yr 3 months                                            | about 1 year        |
 * | 1 yr 3 months ... 1 yr 9 month s                                  | over 1 year         |
 * | 1 yr 9 months ... 2 yrs                                           | almost 2 years      |
 * | N yrs ... N yrs 3 months                                          | about N years       |
 * | N yrs 3 months ... N yrs 9 months                                 | over N years        |
 * | N yrs 9 months ... N+1 yrs                                        | almost N+1 years    |
 *
 * With `options.includeSeconds == true`:
 * | Distance between dates | Result               |
 * |------------------------|----------------------|
 * | 0 secs ... 5 secs      | less than 5 seconds  |
 * | 5 secs ... 10 secs     | less than 10 seconds |
 * | 10 secs ... 20 secs    | less than 20 seconds |
 * | 20 secs ... 40 secs    | half a minute        |
 * | 40 secs ... 60 secs    | less than a minute   |
 * | 60 secs ... 90 secs    | 1 minute             |
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * - The function was renamed from `distanceInWords ` to `formatDistance`
 *   to make its name consistent with `format` and `formatRelative`.
 *
 * - The order of arguments is swapped to make the function
 *   consistent with `differenceIn...` functions.
 *
 *   ```javascript
 *   // Before v2.0.0
 *
 *   distanceInWords(
 *     new Date(1986, 3, 4, 10, 32, 0),
 *     new Date(1986, 3, 4, 11, 32, 0),
 *     { addSuffix: true }
 *   ) //=> 'in about 1 hour'
 *
 *   // v2.0.0 onward
 *
 *   formatDistance(
 *     new Date(1986, 3, 4, 11, 32, 0),
 *     new Date(1986, 3, 4, 10, 32, 0),
 *     { addSuffix: true }
 *   ) //=> 'in about 1 hour'
 *   ```
 *
 * @param {Date|Number} date - the date
 * @param {Date|Number} baseDate - the date to compare with
 * @param {Object} [options] - an object with options.
 * @param {Boolean} [options.includeSeconds=false] - distances less than a minute are more detailed
 * @param {Boolean} [options.addSuffix=false] - result indicates if the second date is earlier or later than the first
 * @param {Locale} [options.locale=defaultLocale] - the locale object. See [Locale]{@link https://date-fns.org/docs/Locale}
 * @returns {String} the distance in words
 * @throws {TypeError} 2 arguments required
 * @throws {RangeError} `date` must not be Invalid Date
 * @throws {RangeError} `baseDate` must not be Invalid Date
 * @throws {RangeError} `options.locale` must contain `formatDistance` property
 *
 * @example
 * // What is the distance between 2 July 2014 and 1 January 2015?
 * var result = formatDistance(new Date(2014, 6, 2), new Date(2015, 0, 1))
 * //=> '6 months'
 *
 * @example
 * // What is the distance between 1 January 2015 00:00:15
 * // and 1 January 2015 00:00:00, including seconds?
 * var result = formatDistance(
 *   new Date(2015, 0, 1, 0, 0, 15),
 *   new Date(2015, 0, 1, 0, 0, 0),
 *   { includeSeconds: true }
 * )
 * //=> 'less than 20 seconds'
 *
 * @example
 * // What is the distance from 1 January 2016
 * // to 1 January 2015, with a suffix?
 * var result = formatDistance(new Date(2015, 0, 1), new Date(2016, 0, 1), {
 *   addSuffix: true
 * })
 * //=> 'about 1 year ago'
 *
 * @example
 * // What is the distance between 1 August 2016 and 1 January 2015 in Esperanto?
 * import { eoLocale } from 'date-fns/locale/eo'
 * var result = formatDistance(new Date(2016, 7, 1), new Date(2015, 0, 1), {
 *   locale: eoLocale
 * })
 * //=> 'pli ol 1 jaro'
 */

function formatDistance(dirtyDate, dirtyBaseDate, dirtyOptions) {
  (0,_lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(2, arguments);
  var options = dirtyOptions || {};
  var locale = options.locale || _locale_en_US_index_js__WEBPACK_IMPORTED_MODULE_1__["default"];

  if (!locale.formatDistance) {
    throw new RangeError('locale must contain formatDistance property');
  }

  var comparison = (0,_compareAsc_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(dirtyDate, dirtyBaseDate);

  if (isNaN(comparison)) {
    throw new RangeError('Invalid time value');
  }

  var localizeOptions = (0,_lib_cloneObject_index_js__WEBPACK_IMPORTED_MODULE_3__["default"])(options);
  localizeOptions.addSuffix = Boolean(options.addSuffix);
  localizeOptions.comparison = comparison;
  var dateLeft;
  var dateRight;

  if (comparison > 0) {
    dateLeft = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_4__["default"])(dirtyBaseDate);
    dateRight = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_4__["default"])(dirtyDate);
  } else {
    dateLeft = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_4__["default"])(dirtyDate);
    dateRight = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_4__["default"])(dirtyBaseDate);
  }

  var seconds = (0,_differenceInSeconds_index_js__WEBPACK_IMPORTED_MODULE_5__["default"])(dateRight, dateLeft);
  var offsetInSeconds = ((0,_lib_getTimezoneOffsetInMilliseconds_index_js__WEBPACK_IMPORTED_MODULE_6__["default"])(dateRight) - (0,_lib_getTimezoneOffsetInMilliseconds_index_js__WEBPACK_IMPORTED_MODULE_6__["default"])(dateLeft)) / 1000;
  var minutes = Math.round((seconds - offsetInSeconds) / 60);
  var months; // 0 up to 2 mins

  if (minutes < 2) {
    if (options.includeSeconds) {
      if (seconds < 5) {
        return locale.formatDistance('lessThanXSeconds', 5, localizeOptions);
      } else if (seconds < 10) {
        return locale.formatDistance('lessThanXSeconds', 10, localizeOptions);
      } else if (seconds < 20) {
        return locale.formatDistance('lessThanXSeconds', 20, localizeOptions);
      } else if (seconds < 40) {
        return locale.formatDistance('halfAMinute', null, localizeOptions);
      } else if (seconds < 60) {
        return locale.formatDistance('lessThanXMinutes', 1, localizeOptions);
      } else {
        return locale.formatDistance('xMinutes', 1, localizeOptions);
      }
    } else {
      if (minutes === 0) {
        return locale.formatDistance('lessThanXMinutes', 1, localizeOptions);
      } else {
        return locale.formatDistance('xMinutes', minutes, localizeOptions);
      }
    } // 2 mins up to 0.75 hrs

  } else if (minutes < 45) {
    return locale.formatDistance('xMinutes', minutes, localizeOptions); // 0.75 hrs up to 1.5 hrs
  } else if (minutes < 90) {
    return locale.formatDistance('aboutXHours', 1, localizeOptions); // 1.5 hrs up to 24 hrs
  } else if (minutes < MINUTES_IN_DAY) {
    var hours = Math.round(minutes / 60);
    return locale.formatDistance('aboutXHours', hours, localizeOptions); // 1 day up to 1.75 days
  } else if (minutes < MINUTES_IN_ALMOST_TWO_DAYS) {
    return locale.formatDistance('xDays', 1, localizeOptions); // 1.75 days up to 30 days
  } else if (minutes < MINUTES_IN_MONTH) {
    var days = Math.round(minutes / MINUTES_IN_DAY);
    return locale.formatDistance('xDays', days, localizeOptions); // 1 month up to 2 months
  } else if (minutes < MINUTES_IN_TWO_MONTHS) {
    months = Math.round(minutes / MINUTES_IN_MONTH);
    return locale.formatDistance('aboutXMonths', months, localizeOptions);
  }

  months = (0,_differenceInMonths_index_js__WEBPACK_IMPORTED_MODULE_7__["default"])(dateRight, dateLeft); // 2 months up to 12 months

  if (months < 12) {
    var nearestMonth = Math.round(minutes / MINUTES_IN_MONTH);
    return locale.formatDistance('xMonths', nearestMonth, localizeOptions); // 1 year up to max Date
  } else {
    var monthsSinceStartOfYear = months % 12;
    var years = Math.floor(months / 12); // N years up to 1 years 3 months

    if (monthsSinceStartOfYear < 3) {
      return locale.formatDistance('aboutXYears', years, localizeOptions); // N years 3 months up to N years 9 months
    } else if (monthsSinceStartOfYear < 9) {
      return locale.formatDistance('overXYears', years, localizeOptions); // N years 9 months up to N year 12 months
    } else {
      return locale.formatDistance('almostXYears', years + 1, localizeOptions);
    }
  }
}

/***/ }),

/***/ "./node_modules/date-fns/esm/format/index.js":
/*!***************************************************!*\
  !*** ./node_modules/date-fns/esm/format/index.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ format)
/* harmony export */ });
/* harmony import */ var _isValid_index_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ../isValid/index.js */ "./node_modules/date-fns/esm/isValid/index.js");
/* harmony import */ var _locale_en_US_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../locale/en-US/index.js */ "./node_modules/date-fns/esm/locale/en-US/index.js");
/* harmony import */ var _subMilliseconds_index_js__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ../subMilliseconds/index.js */ "./node_modules/date-fns/esm/subMilliseconds/index.js");
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _lib_format_formatters_index_js__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! ../_lib/format/formatters/index.js */ "./node_modules/date-fns/esm/_lib/format/formatters/index.js");
/* harmony import */ var _lib_format_longFormatters_index_js__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! ../_lib/format/longFormatters/index.js */ "./node_modules/date-fns/esm/_lib/format/longFormatters/index.js");
/* harmony import */ var _lib_getTimezoneOffsetInMilliseconds_index_js__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ../_lib/getTimezoneOffsetInMilliseconds/index.js */ "./node_modules/date-fns/esm/_lib/getTimezoneOffsetInMilliseconds/index.js");
/* harmony import */ var _lib_protectedTokens_index_js__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! ../_lib/protectedTokens/index.js */ "./node_modules/date-fns/esm/_lib/protectedTokens/index.js");
/* harmony import */ var _lib_toInteger_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../_lib/toInteger/index.js */ "./node_modules/date-fns/esm/_lib/toInteger/index.js");
/* harmony import */ var _lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../_lib/requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");









 // This RegExp consists of three parts separated by `|`:
// - [yYQqMLwIdDecihHKkms]o matches any available ordinal number token
//   (one of the certain letters followed by `o`)
// - (\w)\1* matches any sequences of the same letter
// - '' matches two quote characters in a row
// - '(''|[^'])+('|$) matches anything surrounded by two quote characters ('),
//   except a single quote symbol, which ends the sequence.
//   Two quote characters do not end the sequence.
//   If there is no matching single quote
//   then the sequence will continue until the end of the string.
// - . matches any single character unmatched by previous parts of the RegExps

var formattingTokensRegExp = /[yYQqMLwIdDecihHKkms]o|(\w)\1*|''|'(''|[^'])+('|$)|./g; // This RegExp catches symbols escaped by quotes, and also
// sequences of symbols P, p, and the combinations like `PPPPPPPppppp`

var longFormattingTokensRegExp = /P+p+|P+|p+|''|'(''|[^'])+('|$)|./g;
var escapedStringRegExp = /^'([^]*?)'?$/;
var doubleQuoteRegExp = /''/g;
var unescapedLatinCharacterRegExp = /[a-zA-Z]/;
/**
 * @name format
 * @category Common Helpers
 * @summary Format the date.
 *
 * @description
 * Return the formatted date string in the given format. The result may vary by locale.
 *
 * > ⚠️ Please note that the `format` tokens differ from Moment.js and other libraries.
 * > See: https://git.io/fxCyr
 *
 * The characters wrapped between two single quotes characters (') are escaped.
 * Two single quotes in a row, whether inside or outside a quoted sequence, represent a 'real' single quote.
 * (see the last example)
 *
 * Format of the string is based on Unicode Technical Standard #35:
 * https://www.unicode.org/reports/tr35/tr35-dates.html#Date_Field_Symbol_Table
 * with a few additions (see note 7 below the table).
 *
 * Accepted patterns:
 * | Unit                            | Pattern | Result examples                   | Notes |
 * |---------------------------------|---------|-----------------------------------|-------|
 * | Era                             | G..GGG  | AD, BC                            |       |
 * |                                 | GGGG    | Anno Domini, Before Christ        | 2     |
 * |                                 | GGGGG   | A, B                              |       |
 * | Calendar year                   | y       | 44, 1, 1900, 2017                 | 5     |
 * |                                 | yo      | 44th, 1st, 0th, 17th              | 5,7   |
 * |                                 | yy      | 44, 01, 00, 17                    | 5     |
 * |                                 | yyy     | 044, 001, 1900, 2017              | 5     |
 * |                                 | yyyy    | 0044, 0001, 1900, 2017            | 5     |
 * |                                 | yyyyy   | ...                               | 3,5   |
 * | Local week-numbering year       | Y       | 44, 1, 1900, 2017                 | 5     |
 * |                                 | Yo      | 44th, 1st, 1900th, 2017th         | 5,7   |
 * |                                 | YY      | 44, 01, 00, 17                    | 5,8   |
 * |                                 | YYY     | 044, 001, 1900, 2017              | 5     |
 * |                                 | YYYY    | 0044, 0001, 1900, 2017            | 5,8   |
 * |                                 | YYYYY   | ...                               | 3,5   |
 * | ISO week-numbering year         | R       | -43, 0, 1, 1900, 2017             | 5,7   |
 * |                                 | RR      | -43, 00, 01, 1900, 2017           | 5,7   |
 * |                                 | RRR     | -043, 000, 001, 1900, 2017        | 5,7   |
 * |                                 | RRRR    | -0043, 0000, 0001, 1900, 2017     | 5,7   |
 * |                                 | RRRRR   | ...                               | 3,5,7 |
 * | Extended year                   | u       | -43, 0, 1, 1900, 2017             | 5     |
 * |                                 | uu      | -43, 01, 1900, 2017               | 5     |
 * |                                 | uuu     | -043, 001, 1900, 2017             | 5     |
 * |                                 | uuuu    | -0043, 0001, 1900, 2017           | 5     |
 * |                                 | uuuuu   | ...                               | 3,5   |
 * | Quarter (formatting)            | Q       | 1, 2, 3, 4                        |       |
 * |                                 | Qo      | 1st, 2nd, 3rd, 4th                | 7     |
 * |                                 | QQ      | 01, 02, 03, 04                    |       |
 * |                                 | QQQ     | Q1, Q2, Q3, Q4                    |       |
 * |                                 | QQQQ    | 1st quarter, 2nd quarter, ...     | 2     |
 * |                                 | QQQQQ   | 1, 2, 3, 4                        | 4     |
 * | Quarter (stand-alone)           | q       | 1, 2, 3, 4                        |       |
 * |                                 | qo      | 1st, 2nd, 3rd, 4th                | 7     |
 * |                                 | qq      | 01, 02, 03, 04                    |       |
 * |                                 | qqq     | Q1, Q2, Q3, Q4                    |       |
 * |                                 | qqqq    | 1st quarter, 2nd quarter, ...     | 2     |
 * |                                 | qqqqq   | 1, 2, 3, 4                        | 4     |
 * | Month (formatting)              | M       | 1, 2, ..., 12                     |       |
 * |                                 | Mo      | 1st, 2nd, ..., 12th               | 7     |
 * |                                 | MM      | 01, 02, ..., 12                   |       |
 * |                                 | MMM     | Jan, Feb, ..., Dec                |       |
 * |                                 | MMMM    | January, February, ..., December  | 2     |
 * |                                 | MMMMM   | J, F, ..., D                      |       |
 * | Month (stand-alone)             | L       | 1, 2, ..., 12                     |       |
 * |                                 | Lo      | 1st, 2nd, ..., 12th               | 7     |
 * |                                 | LL      | 01, 02, ..., 12                   |       |
 * |                                 | LLL     | Jan, Feb, ..., Dec                |       |
 * |                                 | LLLL    | January, February, ..., December  | 2     |
 * |                                 | LLLLL   | J, F, ..., D                      |       |
 * | Local week of year              | w       | 1, 2, ..., 53                     |       |
 * |                                 | wo      | 1st, 2nd, ..., 53th               | 7     |
 * |                                 | ww      | 01, 02, ..., 53                   |       |
 * | ISO week of year                | I       | 1, 2, ..., 53                     | 7     |
 * |                                 | Io      | 1st, 2nd, ..., 53th               | 7     |
 * |                                 | II      | 01, 02, ..., 53                   | 7     |
 * | Day of month                    | d       | 1, 2, ..., 31                     |       |
 * |                                 | do      | 1st, 2nd, ..., 31st               | 7     |
 * |                                 | dd      | 01, 02, ..., 31                   |       |
 * | Day of year                     | D       | 1, 2, ..., 365, 366               | 9     |
 * |                                 | Do      | 1st, 2nd, ..., 365th, 366th       | 7     |
 * |                                 | DD      | 01, 02, ..., 365, 366             | 9     |
 * |                                 | DDD     | 001, 002, ..., 365, 366           |       |
 * |                                 | DDDD    | ...                               | 3     |
 * | Day of week (formatting)        | E..EEE  | Mon, Tue, Wed, ..., Sun           |       |
 * |                                 | EEEE    | Monday, Tuesday, ..., Sunday      | 2     |
 * |                                 | EEEEE   | M, T, W, T, F, S, S               |       |
 * |                                 | EEEEEE  | Mo, Tu, We, Th, Fr, Su, Sa        |       |
 * | ISO day of week (formatting)    | i       | 1, 2, 3, ..., 7                   | 7     |
 * |                                 | io      | 1st, 2nd, ..., 7th                | 7     |
 * |                                 | ii      | 01, 02, ..., 07                   | 7     |
 * |                                 | iii     | Mon, Tue, Wed, ..., Sun           | 7     |
 * |                                 | iiii    | Monday, Tuesday, ..., Sunday      | 2,7   |
 * |                                 | iiiii   | M, T, W, T, F, S, S               | 7     |
 * |                                 | iiiiii  | Mo, Tu, We, Th, Fr, Su, Sa        | 7     |
 * | Local day of week (formatting)  | e       | 2, 3, 4, ..., 1                   |       |
 * |                                 | eo      | 2nd, 3rd, ..., 1st                | 7     |
 * |                                 | ee      | 02, 03, ..., 01                   |       |
 * |                                 | eee     | Mon, Tue, Wed, ..., Sun           |       |
 * |                                 | eeee    | Monday, Tuesday, ..., Sunday      | 2     |
 * |                                 | eeeee   | M, T, W, T, F, S, S               |       |
 * |                                 | eeeeee  | Mo, Tu, We, Th, Fr, Su, Sa        |       |
 * | Local day of week (stand-alone) | c       | 2, 3, 4, ..., 1                   |       |
 * |                                 | co      | 2nd, 3rd, ..., 1st                | 7     |
 * |                                 | cc      | 02, 03, ..., 01                   |       |
 * |                                 | ccc     | Mon, Tue, Wed, ..., Sun           |       |
 * |                                 | cccc    | Monday, Tuesday, ..., Sunday      | 2     |
 * |                                 | ccccc   | M, T, W, T, F, S, S               |       |
 * |                                 | cccccc  | Mo, Tu, We, Th, Fr, Su, Sa        |       |
 * | AM, PM                          | a..aa   | AM, PM                            |       |
 * |                                 | aaa     | am, pm                            |       |
 * |                                 | aaaa    | a.m., p.m.                        | 2     |
 * |                                 | aaaaa   | a, p                              |       |
 * | AM, PM, noon, midnight          | b..bb   | AM, PM, noon, midnight            |       |
 * |                                 | bbb     | am, pm, noon, midnight            |       |
 * |                                 | bbbb    | a.m., p.m., noon, midnight        | 2     |
 * |                                 | bbbbb   | a, p, n, mi                       |       |
 * | Flexible day period             | B..BBB  | at night, in the morning, ...     |       |
 * |                                 | BBBB    | at night, in the morning, ...     | 2     |
 * |                                 | BBBBB   | at night, in the morning, ...     |       |
 * | Hour [1-12]                     | h       | 1, 2, ..., 11, 12                 |       |
 * |                                 | ho      | 1st, 2nd, ..., 11th, 12th         | 7     |
 * |                                 | hh      | 01, 02, ..., 11, 12               |       |
 * | Hour [0-23]                     | H       | 0, 1, 2, ..., 23                  |       |
 * |                                 | Ho      | 0th, 1st, 2nd, ..., 23rd          | 7     |
 * |                                 | HH      | 00, 01, 02, ..., 23               |       |
 * | Hour [0-11]                     | K       | 1, 2, ..., 11, 0                  |       |
 * |                                 | Ko      | 1st, 2nd, ..., 11th, 0th          | 7     |
 * |                                 | KK      | 01, 02, ..., 11, 00               |       |
 * | Hour [1-24]                     | k       | 24, 1, 2, ..., 23                 |       |
 * |                                 | ko      | 24th, 1st, 2nd, ..., 23rd         | 7     |
 * |                                 | kk      | 24, 01, 02, ..., 23               |       |
 * | Minute                          | m       | 0, 1, ..., 59                     |       |
 * |                                 | mo      | 0th, 1st, ..., 59th               | 7     |
 * |                                 | mm      | 00, 01, ..., 59                   |       |
 * | Second                          | s       | 0, 1, ..., 59                     |       |
 * |                                 | so      | 0th, 1st, ..., 59th               | 7     |
 * |                                 | ss      | 00, 01, ..., 59                   |       |
 * | Fraction of second              | S       | 0, 1, ..., 9                      |       |
 * |                                 | SS      | 00, 01, ..., 99                   |       |
 * |                                 | SSS     | 000, 0001, ..., 999               |       |
 * |                                 | SSSS    | ...                               | 3     |
 * | Timezone (ISO-8601 w/ Z)        | X       | -08, +0530, Z                     |       |
 * |                                 | XX      | -0800, +0530, Z                   |       |
 * |                                 | XXX     | -08:00, +05:30, Z                 |       |
 * |                                 | XXXX    | -0800, +0530, Z, +123456          | 2     |
 * |                                 | XXXXX   | -08:00, +05:30, Z, +12:34:56      |       |
 * | Timezone (ISO-8601 w/o Z)       | x       | -08, +0530, +00                   |       |
 * |                                 | xx      | -0800, +0530, +0000               |       |
 * |                                 | xxx     | -08:00, +05:30, +00:00            | 2     |
 * |                                 | xxxx    | -0800, +0530, +0000, +123456      |       |
 * |                                 | xxxxx   | -08:00, +05:30, +00:00, +12:34:56 |       |
 * | Timezone (GMT)                  | O...OOO | GMT-8, GMT+5:30, GMT+0            |       |
 * |                                 | OOOO    | GMT-08:00, GMT+05:30, GMT+00:00   | 2     |
 * | Timezone (specific non-locat.)  | z...zzz | GMT-8, GMT+5:30, GMT+0            | 6     |
 * |                                 | zzzz    | GMT-08:00, GMT+05:30, GMT+00:00   | 2,6   |
 * | Seconds timestamp               | t       | 512969520                         | 7     |
 * |                                 | tt      | ...                               | 3,7   |
 * | Milliseconds timestamp          | T       | 512969520900                      | 7     |
 * |                                 | TT      | ...                               | 3,7   |
 * | Long localized date             | P       | 04/29/1453                        | 7     |
 * |                                 | PP      | Apr 29, 1453                      | 7     |
 * |                                 | PPP     | April 29th, 1453                  | 7     |
 * |                                 | PPPP    | Friday, April 29th, 1453          | 2,7   |
 * | Long localized time             | p       | 12:00 AM                          | 7     |
 * |                                 | pp      | 12:00:00 AM                       | 7     |
 * |                                 | ppp     | 12:00:00 AM GMT+2                 | 7     |
 * |                                 | pppp    | 12:00:00 AM GMT+02:00             | 2,7   |
 * | Combination of date and time    | Pp      | 04/29/1453, 12:00 AM              | 7     |
 * |                                 | PPpp    | Apr 29, 1453, 12:00:00 AM         | 7     |
 * |                                 | PPPppp  | April 29th, 1453 at ...           | 7     |
 * |                                 | PPPPpppp| Friday, April 29th, 1453 at ...   | 2,7   |
 * Notes:
 * 1. "Formatting" units (e.g. formatting quarter) in the default en-US locale
 *    are the same as "stand-alone" units, but are different in some languages.
 *    "Formatting" units are declined according to the rules of the language
 *    in the context of a date. "Stand-alone" units are always nominative singular:
 *
 *    `format(new Date(2017, 10, 6), 'do LLLL', {locale: cs}) //=> '6. listopad'`
 *
 *    `format(new Date(2017, 10, 6), 'do MMMM', {locale: cs}) //=> '6. listopadu'`
 *
 * 2. Any sequence of the identical letters is a pattern, unless it is escaped by
 *    the single quote characters (see below).
 *    If the sequence is longer than listed in table (e.g. `EEEEEEEEEEE`)
 *    the output will be the same as default pattern for this unit, usually
 *    the longest one (in case of ISO weekdays, `EEEE`). Default patterns for units
 *    are marked with "2" in the last column of the table.
 *
 *    `format(new Date(2017, 10, 6), 'MMM') //=> 'Nov'`
 *
 *    `format(new Date(2017, 10, 6), 'MMMM') //=> 'November'`
 *
 *    `format(new Date(2017, 10, 6), 'MMMMM') //=> 'N'`
 *
 *    `format(new Date(2017, 10, 6), 'MMMMMM') //=> 'November'`
 *
 *    `format(new Date(2017, 10, 6), 'MMMMMMM') //=> 'November'`
 *
 * 3. Some patterns could be unlimited length (such as `yyyyyyyy`).
 *    The output will be padded with zeros to match the length of the pattern.
 *
 *    `format(new Date(2017, 10, 6), 'yyyyyyyy') //=> '00002017'`
 *
 * 4. `QQQQQ` and `qqqqq` could be not strictly numerical in some locales.
 *    These tokens represent the shortest form of the quarter.
 *
 * 5. The main difference between `y` and `u` patterns are B.C. years:
 *
 *    | Year | `y` | `u` |
 *    |------|-----|-----|
 *    | AC 1 |   1 |   1 |
 *    | BC 1 |   1 |   0 |
 *    | BC 2 |   2 |  -1 |
 *
 *    Also `yy` always returns the last two digits of a year,
 *    while `uu` pads single digit years to 2 characters and returns other years unchanged:
 *
 *    | Year | `yy` | `uu` |
 *    |------|------|------|
 *    | 1    |   01 |   01 |
 *    | 14   |   14 |   14 |
 *    | 376  |   76 |  376 |
 *    | 1453 |   53 | 1453 |
 *
 *    The same difference is true for local and ISO week-numbering years (`Y` and `R`),
 *    except local week-numbering years are dependent on `options.weekStartsOn`
 *    and `options.firstWeekContainsDate` (compare [getISOWeekYear]{@link https://date-fns.org/docs/getISOWeekYear}
 *    and [getWeekYear]{@link https://date-fns.org/docs/getWeekYear}).
 *
 * 6. Specific non-location timezones are currently unavailable in `date-fns`,
 *    so right now these tokens fall back to GMT timezones.
 *
 * 7. These patterns are not in the Unicode Technical Standard #35:
 *    - `i`: ISO day of week
 *    - `I`: ISO week of year
 *    - `R`: ISO week-numbering year
 *    - `t`: seconds timestamp
 *    - `T`: milliseconds timestamp
 *    - `o`: ordinal number modifier
 *    - `P`: long localized date
 *    - `p`: long localized time
 *
 * 8. `YY` and `YYYY` tokens represent week-numbering years but they are often confused with years.
 *    You should enable `options.useAdditionalWeekYearTokens` to use them. See: https://git.io/fxCyr
 *
 * 9. `D` and `DD` tokens represent days of the year but they are ofthen confused with days of the month.
 *    You should enable `options.useAdditionalDayOfYearTokens` to use them. See: https://git.io/fxCyr
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * - The second argument is now required for the sake of explicitness.
 *
 *   ```javascript
 *   // Before v2.0.0
 *   format(new Date(2016, 0, 1))
 *
 *   // v2.0.0 onward
 *   format(new Date(2016, 0, 1), "yyyy-MM-dd'T'HH:mm:ss.SSSxxx")
 *   ```
 *
 * - New format string API for `format` function
 *   which is based on [Unicode Technical Standard #35](https://www.unicode.org/reports/tr35/tr35-dates.html#Date_Field_Symbol_Table).
 *   See [this post](https://blog.date-fns.org/post/unicode-tokens-in-date-fns-v2-sreatyki91jg) for more details.
 *
 * - Characters are now escaped using single quote symbols (`'`) instead of square brackets.
 *
 * @param {Date|Number} date - the original date
 * @param {String} format - the string of tokens
 * @param {Object} [options] - an object with options.
 * @param {Locale} [options.locale=defaultLocale] - the locale object. See [Locale]{@link https://date-fns.org/docs/Locale}
 * @param {0|1|2|3|4|5|6} [options.weekStartsOn=0] - the index of the first day of the week (0 - Sunday)
 * @param {Number} [options.firstWeekContainsDate=1] - the day of January, which is
 * @param {Boolean} [options.useAdditionalWeekYearTokens=false] - if true, allows usage of the week-numbering year tokens `YY` and `YYYY`;
 *   see: https://git.io/fxCyr
 * @param {Boolean} [options.useAdditionalDayOfYearTokens=false] - if true, allows usage of the day of year tokens `D` and `DD`;
 *   see: https://git.io/fxCyr
 * @returns {String} the formatted date string
 * @throws {TypeError} 2 arguments required
 * @throws {RangeError} `date` must not be Invalid Date
 * @throws {RangeError} `options.locale` must contain `localize` property
 * @throws {RangeError} `options.locale` must contain `formatLong` property
 * @throws {RangeError} `options.weekStartsOn` must be between 0 and 6
 * @throws {RangeError} `options.firstWeekContainsDate` must be between 1 and 7
 * @throws {RangeError} use `yyyy` instead of `YYYY` for formatting years using [format provided] to the input [input provided]; see: https://git.io/fxCyr
 * @throws {RangeError} use `yy` instead of `YY` for formatting years using [format provided] to the input [input provided]; see: https://git.io/fxCyr
 * @throws {RangeError} use `d` instead of `D` for formatting days of the month using [format provided] to the input [input provided]; see: https://git.io/fxCyr
 * @throws {RangeError} use `dd` instead of `DD` for formatting days of the month using [format provided] to the input [input provided]; see: https://git.io/fxCyr
 * @throws {RangeError} format string contains an unescaped latin alphabet character
 *
 * @example
 * // Represent 11 February 2014 in middle-endian format:
 * var result = format(new Date(2014, 1, 11), 'MM/dd/yyyy')
 * //=> '02/11/2014'
 *
 * @example
 * // Represent 2 July 2014 in Esperanto:
 * import { eoLocale } from 'date-fns/locale/eo'
 * var result = format(new Date(2014, 6, 2), "do 'de' MMMM yyyy", {
 *   locale: eoLocale
 * })
 * //=> '2-a de julio 2014'
 *
 * @example
 * // Escape string by single quote characters:
 * var result = format(new Date(2014, 6, 2, 15), "h 'o''clock'")
 * //=> "3 o'clock"
 */

function format(dirtyDate, dirtyFormatStr, dirtyOptions) {
  (0,_lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(2, arguments);
  var formatStr = String(dirtyFormatStr);
  var options = dirtyOptions || {};
  var locale = options.locale || _locale_en_US_index_js__WEBPACK_IMPORTED_MODULE_1__["default"];
  var localeFirstWeekContainsDate = locale.options && locale.options.firstWeekContainsDate;
  var defaultFirstWeekContainsDate = localeFirstWeekContainsDate == null ? 1 : (0,_lib_toInteger_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(localeFirstWeekContainsDate);
  var firstWeekContainsDate = options.firstWeekContainsDate == null ? defaultFirstWeekContainsDate : (0,_lib_toInteger_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(options.firstWeekContainsDate); // Test if weekStartsOn is between 1 and 7 _and_ is not NaN

  if (!(firstWeekContainsDate >= 1 && firstWeekContainsDate <= 7)) {
    throw new RangeError('firstWeekContainsDate must be between 1 and 7 inclusively');
  }

  var localeWeekStartsOn = locale.options && locale.options.weekStartsOn;
  var defaultWeekStartsOn = localeWeekStartsOn == null ? 0 : (0,_lib_toInteger_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(localeWeekStartsOn);
  var weekStartsOn = options.weekStartsOn == null ? defaultWeekStartsOn : (0,_lib_toInteger_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(options.weekStartsOn); // Test if weekStartsOn is between 0 and 6 _and_ is not NaN

  if (!(weekStartsOn >= 0 && weekStartsOn <= 6)) {
    throw new RangeError('weekStartsOn must be between 0 and 6 inclusively');
  }

  if (!locale.localize) {
    throw new RangeError('locale must contain localize property');
  }

  if (!locale.formatLong) {
    throw new RangeError('locale must contain formatLong property');
  }

  var originalDate = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_3__["default"])(dirtyDate);

  if (!(0,_isValid_index_js__WEBPACK_IMPORTED_MODULE_4__["default"])(originalDate)) {
    throw new RangeError('Invalid time value');
  } // Convert the date in system timezone to the same date in UTC+00:00 timezone.
  // This ensures that when UTC functions will be implemented, locales will be compatible with them.
  // See an issue about UTC functions: https://github.com/date-fns/date-fns/issues/376


  var timezoneOffset = (0,_lib_getTimezoneOffsetInMilliseconds_index_js__WEBPACK_IMPORTED_MODULE_5__["default"])(originalDate);
  var utcDate = (0,_subMilliseconds_index_js__WEBPACK_IMPORTED_MODULE_6__["default"])(originalDate, timezoneOffset);
  var formatterOptions = {
    firstWeekContainsDate: firstWeekContainsDate,
    weekStartsOn: weekStartsOn,
    locale: locale,
    _originalDate: originalDate
  };
  var result = formatStr.match(longFormattingTokensRegExp).map(function (substring) {
    var firstCharacter = substring[0];

    if (firstCharacter === 'p' || firstCharacter === 'P') {
      var longFormatter = _lib_format_longFormatters_index_js__WEBPACK_IMPORTED_MODULE_7__["default"][firstCharacter];
      return longFormatter(substring, locale.formatLong, formatterOptions);
    }

    return substring;
  }).join('').match(formattingTokensRegExp).map(function (substring) {
    // Replace two single quote characters with one single quote character
    if (substring === "''") {
      return "'";
    }

    var firstCharacter = substring[0];

    if (firstCharacter === "'") {
      return cleanEscapedString(substring);
    }

    var formatter = _lib_format_formatters_index_js__WEBPACK_IMPORTED_MODULE_8__["default"][firstCharacter];

    if (formatter) {
      if (!options.useAdditionalWeekYearTokens && (0,_lib_protectedTokens_index_js__WEBPACK_IMPORTED_MODULE_9__.isProtectedWeekYearToken)(substring)) {
        (0,_lib_protectedTokens_index_js__WEBPACK_IMPORTED_MODULE_9__.throwProtectedError)(substring, dirtyFormatStr, dirtyDate);
      }

      if (!options.useAdditionalDayOfYearTokens && (0,_lib_protectedTokens_index_js__WEBPACK_IMPORTED_MODULE_9__.isProtectedDayOfYearToken)(substring)) {
        (0,_lib_protectedTokens_index_js__WEBPACK_IMPORTED_MODULE_9__.throwProtectedError)(substring, dirtyFormatStr, dirtyDate);
      }

      return formatter(utcDate, substring, locale.localize, formatterOptions);
    }

    if (firstCharacter.match(unescapedLatinCharacterRegExp)) {
      throw new RangeError('Format string contains an unescaped latin alphabet character `' + firstCharacter + '`');
    }

    return substring;
  }).join('');
  return result;
}

function cleanEscapedString(input) {
  return input.match(escapedStringRegExp)[1].replace(doubleQuoteRegExp, "'");
}

/***/ }),

/***/ "./node_modules/date-fns/esm/isLastDayOfMonth/index.js":
/*!*************************************************************!*\
  !*** ./node_modules/date-fns/esm/isLastDayOfMonth/index.js ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ isLastDayOfMonth)
/* harmony export */ });
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _endOfDay_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../endOfDay/index.js */ "./node_modules/date-fns/esm/endOfDay/index.js");
/* harmony import */ var _endOfMonth_index_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../endOfMonth/index.js */ "./node_modules/date-fns/esm/endOfMonth/index.js");
/* harmony import */ var _lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../_lib/requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");




/**
 * @name isLastDayOfMonth
 * @category Month Helpers
 * @summary Is the given date the last day of a month?
 *
 * @description
 * Is the given date the last day of a month?
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} date - the date to check
 * @returns {Boolean} the date is the last day of a month
 * @throws {TypeError} 1 argument required
 *
 * @example
 * // Is 28 February 2014 the last day of a month?
 * var result = isLastDayOfMonth(new Date(2014, 1, 28))
 * //=> true
 */

function isLastDayOfMonth(dirtyDate) {
  (0,_lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(1, arguments);
  var date = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDate);
  return (0,_endOfDay_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(date).getTime() === (0,_endOfMonth_index_js__WEBPACK_IMPORTED_MODULE_3__["default"])(date).getTime();
}

/***/ }),

/***/ "./node_modules/date-fns/esm/isValid/index.js":
/*!****************************************************!*\
  !*** ./node_modules/date-fns/esm/isValid/index.js ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ isValid)
/* harmony export */ });
/* harmony import */ var _toDate_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../toDate/index.js */ "./node_modules/date-fns/esm/toDate/index.js");
/* harmony import */ var _lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../_lib/requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");


/**
 * @name isValid
 * @category Common Helpers
 * @summary Is the given date valid?
 *
 * @description
 * Returns false if argument is Invalid Date and true otherwise.
 * Argument is converted to Date using `toDate`. See [toDate]{@link https://date-fns.org/docs/toDate}
 * Invalid Date is a Date, whose time value is NaN.
 *
 * Time value of Date: http://es5.github.io/#x15.9.1.1
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * - Now `isValid` doesn't throw an exception
 *   if the first argument is not an instance of Date.
 *   Instead, argument is converted beforehand using `toDate`.
 *
 *   Examples:
 *
 *   | `isValid` argument        | Before v2.0.0 | v2.0.0 onward |
 *   |---------------------------|---------------|---------------|
 *   | `new Date()`              | `true`        | `true`        |
 *   | `new Date('2016-01-01')`  | `true`        | `true`        |
 *   | `new Date('')`            | `false`       | `false`       |
 *   | `new Date(1488370835081)` | `true`        | `true`        |
 *   | `new Date(NaN)`           | `false`       | `false`       |
 *   | `'2016-01-01'`            | `TypeError`   | `false`       |
 *   | `''`                      | `TypeError`   | `false`       |
 *   | `1488370835081`           | `TypeError`   | `true`        |
 *   | `NaN`                     | `TypeError`   | `false`       |
 *
 *   We introduce this change to make *date-fns* consistent with ECMAScript behavior
 *   that try to coerce arguments to the expected type
 *   (which is also the case with other *date-fns* functions).
 *
 * @param {*} date - the date to check
 * @returns {Boolean} the date is valid
 * @throws {TypeError} 1 argument required
 *
 * @example
 * // For the valid date:
 * var result = isValid(new Date(2014, 1, 31))
 * //=> true
 *
 * @example
 * // For the value, convertable into a date:
 * var result = isValid(1393804800000)
 * //=> true
 *
 * @example
 * // For the invalid date:
 * var result = isValid(new Date(''))
 * //=> false
 */

function isValid(dirtyDate) {
  (0,_lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(1, arguments);
  var date = (0,_toDate_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyDate);
  return !isNaN(date);
}

/***/ }),

/***/ "./node_modules/date-fns/esm/locale/_lib/buildFormatLongFn/index.js":
/*!**************************************************************************!*\
  !*** ./node_modules/date-fns/esm/locale/_lib/buildFormatLongFn/index.js ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ buildFormatLongFn)
/* harmony export */ });
function buildFormatLongFn(args) {
  return function (dirtyOptions) {
    var options = dirtyOptions || {};
    var width = options.width ? String(options.width) : args.defaultWidth;
    var format = args.formats[width] || args.formats[args.defaultWidth];
    return format;
  };
}

/***/ }),

/***/ "./node_modules/date-fns/esm/locale/_lib/buildLocalizeFn/index.js":
/*!************************************************************************!*\
  !*** ./node_modules/date-fns/esm/locale/_lib/buildLocalizeFn/index.js ***!
  \************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ buildLocalizeFn)
/* harmony export */ });
function buildLocalizeFn(args) {
  return function (dirtyIndex, dirtyOptions) {
    var options = dirtyOptions || {};
    var context = options.context ? String(options.context) : 'standalone';
    var valuesArray;

    if (context === 'formatting' && args.formattingValues) {
      var defaultWidth = args.defaultFormattingWidth || args.defaultWidth;
      var width = options.width ? String(options.width) : defaultWidth;
      valuesArray = args.formattingValues[width] || args.formattingValues[defaultWidth];
    } else {
      var _defaultWidth = args.defaultWidth;

      var _width = options.width ? String(options.width) : args.defaultWidth;

      valuesArray = args.values[_width] || args.values[_defaultWidth];
    }

    var index = args.argumentCallback ? args.argumentCallback(dirtyIndex) : dirtyIndex;
    return valuesArray[index];
  };
}

/***/ }),

/***/ "./node_modules/date-fns/esm/locale/_lib/buildMatchFn/index.js":
/*!*********************************************************************!*\
  !*** ./node_modules/date-fns/esm/locale/_lib/buildMatchFn/index.js ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ buildMatchFn)
/* harmony export */ });
function buildMatchFn(args) {
  return function (dirtyString, dirtyOptions) {
    var string = String(dirtyString);
    var options = dirtyOptions || {};
    var width = options.width;
    var matchPattern = width && args.matchPatterns[width] || args.matchPatterns[args.defaultMatchWidth];
    var matchResult = string.match(matchPattern);

    if (!matchResult) {
      return null;
    }

    var matchedString = matchResult[0];
    var parsePatterns = width && args.parsePatterns[width] || args.parsePatterns[args.defaultParseWidth];
    var value;

    if (Object.prototype.toString.call(parsePatterns) === '[object Array]') {
      value = findIndex(parsePatterns, function (pattern) {
        return pattern.test(matchedString);
      });
    } else {
      value = findKey(parsePatterns, function (pattern) {
        return pattern.test(matchedString);
      });
    }

    value = args.valueCallback ? args.valueCallback(value) : value;
    value = options.valueCallback ? options.valueCallback(value) : value;
    return {
      value: value,
      rest: string.slice(matchedString.length)
    };
  };
}

function findKey(object, predicate) {
  for (var key in object) {
    if (object.hasOwnProperty(key) && predicate(object[key])) {
      return key;
    }
  }
}

function findIndex(array, predicate) {
  for (var key = 0; key < array.length; key++) {
    if (predicate(array[key])) {
      return key;
    }
  }
}

/***/ }),

/***/ "./node_modules/date-fns/esm/locale/_lib/buildMatchPatternFn/index.js":
/*!****************************************************************************!*\
  !*** ./node_modules/date-fns/esm/locale/_lib/buildMatchPatternFn/index.js ***!
  \****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ buildMatchPatternFn)
/* harmony export */ });
function buildMatchPatternFn(args) {
  return function (dirtyString, dirtyOptions) {
    var string = String(dirtyString);
    var options = dirtyOptions || {};
    var matchResult = string.match(args.matchPattern);

    if (!matchResult) {
      return null;
    }

    var matchedString = matchResult[0];
    var parseResult = string.match(args.parsePattern);

    if (!parseResult) {
      return null;
    }

    var value = args.valueCallback ? args.valueCallback(parseResult[0]) : parseResult[0];
    value = options.valueCallback ? options.valueCallback(value) : value;
    return {
      value: value,
      rest: string.slice(matchedString.length)
    };
  };
}

/***/ }),

/***/ "./node_modules/date-fns/esm/locale/en-US/_lib/formatDistance/index.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/date-fns/esm/locale/en-US/_lib/formatDistance/index.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ formatDistance)
/* harmony export */ });
var formatDistanceLocale = {
  lessThanXSeconds: {
    one: 'less than a second',
    other: 'less than {{count}} seconds'
  },
  xSeconds: {
    one: '1 second',
    other: '{{count}} seconds'
  },
  halfAMinute: 'half a minute',
  lessThanXMinutes: {
    one: 'less than a minute',
    other: 'less than {{count}} minutes'
  },
  xMinutes: {
    one: '1 minute',
    other: '{{count}} minutes'
  },
  aboutXHours: {
    one: 'about 1 hour',
    other: 'about {{count}} hours'
  },
  xHours: {
    one: '1 hour',
    other: '{{count}} hours'
  },
  xDays: {
    one: '1 day',
    other: '{{count}} days'
  },
  aboutXWeeks: {
    one: 'about 1 week',
    other: 'about {{count}} weeks'
  },
  xWeeks: {
    one: '1 week',
    other: '{{count}} weeks'
  },
  aboutXMonths: {
    one: 'about 1 month',
    other: 'about {{count}} months'
  },
  xMonths: {
    one: '1 month',
    other: '{{count}} months'
  },
  aboutXYears: {
    one: 'about 1 year',
    other: 'about {{count}} years'
  },
  xYears: {
    one: '1 year',
    other: '{{count}} years'
  },
  overXYears: {
    one: 'over 1 year',
    other: 'over {{count}} years'
  },
  almostXYears: {
    one: 'almost 1 year',
    other: 'almost {{count}} years'
  }
};
function formatDistance(token, count, options) {
  options = options || {};
  var result;

  if (typeof formatDistanceLocale[token] === 'string') {
    result = formatDistanceLocale[token];
  } else if (count === 1) {
    result = formatDistanceLocale[token].one;
  } else {
    result = formatDistanceLocale[token].other.replace('{{count}}', count);
  }

  if (options.addSuffix) {
    if (options.comparison > 0) {
      return 'in ' + result;
    } else {
      return result + ' ago';
    }
  }

  return result;
}

/***/ }),

/***/ "./node_modules/date-fns/esm/locale/en-US/_lib/formatLong/index.js":
/*!*************************************************************************!*\
  !*** ./node_modules/date-fns/esm/locale/en-US/_lib/formatLong/index.js ***!
  \*************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lib_buildFormatLongFn_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../_lib/buildFormatLongFn/index.js */ "./node_modules/date-fns/esm/locale/_lib/buildFormatLongFn/index.js");

var dateFormats = {
  full: 'EEEE, MMMM do, y',
  long: 'MMMM do, y',
  medium: 'MMM d, y',
  short: 'MM/dd/yyyy'
};
var timeFormats = {
  full: 'h:mm:ss a zzzz',
  long: 'h:mm:ss a z',
  medium: 'h:mm:ss a',
  short: 'h:mm a'
};
var dateTimeFormats = {
  full: "{{date}} 'at' {{time}}",
  long: "{{date}} 'at' {{time}}",
  medium: '{{date}}, {{time}}',
  short: '{{date}}, {{time}}'
};
var formatLong = {
  date: (0,_lib_buildFormatLongFn_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])({
    formats: dateFormats,
    defaultWidth: 'full'
  }),
  time: (0,_lib_buildFormatLongFn_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])({
    formats: timeFormats,
    defaultWidth: 'full'
  }),
  dateTime: (0,_lib_buildFormatLongFn_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])({
    formats: dateTimeFormats,
    defaultWidth: 'full'
  })
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (formatLong);

/***/ }),

/***/ "./node_modules/date-fns/esm/locale/en-US/_lib/formatRelative/index.js":
/*!*****************************************************************************!*\
  !*** ./node_modules/date-fns/esm/locale/en-US/_lib/formatRelative/index.js ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ formatRelative)
/* harmony export */ });
var formatRelativeLocale = {
  lastWeek: "'last' eeee 'at' p",
  yesterday: "'yesterday at' p",
  today: "'today at' p",
  tomorrow: "'tomorrow at' p",
  nextWeek: "eeee 'at' p",
  other: 'P'
};
function formatRelative(token, _date, _baseDate, _options) {
  return formatRelativeLocale[token];
}

/***/ }),

/***/ "./node_modules/date-fns/esm/locale/en-US/_lib/localize/index.js":
/*!***********************************************************************!*\
  !*** ./node_modules/date-fns/esm/locale/en-US/_lib/localize/index.js ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lib_buildLocalizeFn_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../_lib/buildLocalizeFn/index.js */ "./node_modules/date-fns/esm/locale/_lib/buildLocalizeFn/index.js");

var eraValues = {
  narrow: ['B', 'A'],
  abbreviated: ['BC', 'AD'],
  wide: ['Before Christ', 'Anno Domini']
};
var quarterValues = {
  narrow: ['1', '2', '3', '4'],
  abbreviated: ['Q1', 'Q2', 'Q3', 'Q4'],
  wide: ['1st quarter', '2nd quarter', '3rd quarter', '4th quarter'] // Note: in English, the names of days of the week and months are capitalized.
  // If you are making a new locale based on this one, check if the same is true for the language you're working on.
  // Generally, formatted dates should look like they are in the middle of a sentence,
  // e.g. in Spanish language the weekdays and months should be in the lowercase.

};
var monthValues = {
  narrow: ['J', 'F', 'M', 'A', 'M', 'J', 'J', 'A', 'S', 'O', 'N', 'D'],
  abbreviated: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
  wide: ['January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December']
};
var dayValues = {
  narrow: ['S', 'M', 'T', 'W', 'T', 'F', 'S'],
  short: ['Su', 'Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa'],
  abbreviated: ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'],
  wide: ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday']
};
var dayPeriodValues = {
  narrow: {
    am: 'a',
    pm: 'p',
    midnight: 'mi',
    noon: 'n',
    morning: 'morning',
    afternoon: 'afternoon',
    evening: 'evening',
    night: 'night'
  },
  abbreviated: {
    am: 'AM',
    pm: 'PM',
    midnight: 'midnight',
    noon: 'noon',
    morning: 'morning',
    afternoon: 'afternoon',
    evening: 'evening',
    night: 'night'
  },
  wide: {
    am: 'a.m.',
    pm: 'p.m.',
    midnight: 'midnight',
    noon: 'noon',
    morning: 'morning',
    afternoon: 'afternoon',
    evening: 'evening',
    night: 'night'
  }
};
var formattingDayPeriodValues = {
  narrow: {
    am: 'a',
    pm: 'p',
    midnight: 'mi',
    noon: 'n',
    morning: 'in the morning',
    afternoon: 'in the afternoon',
    evening: 'in the evening',
    night: 'at night'
  },
  abbreviated: {
    am: 'AM',
    pm: 'PM',
    midnight: 'midnight',
    noon: 'noon',
    morning: 'in the morning',
    afternoon: 'in the afternoon',
    evening: 'in the evening',
    night: 'at night'
  },
  wide: {
    am: 'a.m.',
    pm: 'p.m.',
    midnight: 'midnight',
    noon: 'noon',
    morning: 'in the morning',
    afternoon: 'in the afternoon',
    evening: 'in the evening',
    night: 'at night'
  }
};

function ordinalNumber(dirtyNumber, _dirtyOptions) {
  var number = Number(dirtyNumber); // If ordinal numbers depend on context, for example,
  // if they are different for different grammatical genders,
  // use `options.unit`:
  //
  //   var options = dirtyOptions || {}
  //   var unit = String(options.unit)
  //
  // where `unit` can be 'year', 'quarter', 'month', 'week', 'date', 'dayOfYear',
  // 'day', 'hour', 'minute', 'second'

  var rem100 = number % 100;

  if (rem100 > 20 || rem100 < 10) {
    switch (rem100 % 10) {
      case 1:
        return number + 'st';

      case 2:
        return number + 'nd';

      case 3:
        return number + 'rd';
    }
  }

  return number + 'th';
}

var localize = {
  ordinalNumber: ordinalNumber,
  era: (0,_lib_buildLocalizeFn_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])({
    values: eraValues,
    defaultWidth: 'wide'
  }),
  quarter: (0,_lib_buildLocalizeFn_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])({
    values: quarterValues,
    defaultWidth: 'wide',
    argumentCallback: function (quarter) {
      return Number(quarter) - 1;
    }
  }),
  month: (0,_lib_buildLocalizeFn_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])({
    values: monthValues,
    defaultWidth: 'wide'
  }),
  day: (0,_lib_buildLocalizeFn_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])({
    values: dayValues,
    defaultWidth: 'wide'
  }),
  dayPeriod: (0,_lib_buildLocalizeFn_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])({
    values: dayPeriodValues,
    defaultWidth: 'wide',
    formattingValues: formattingDayPeriodValues,
    defaultFormattingWidth: 'wide'
  })
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (localize);

/***/ }),

/***/ "./node_modules/date-fns/esm/locale/en-US/_lib/match/index.js":
/*!********************************************************************!*\
  !*** ./node_modules/date-fns/esm/locale/en-US/_lib/match/index.js ***!
  \********************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lib_buildMatchPatternFn_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../../../_lib/buildMatchPatternFn/index.js */ "./node_modules/date-fns/esm/locale/_lib/buildMatchPatternFn/index.js");
/* harmony import */ var _lib_buildMatchFn_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../../../_lib/buildMatchFn/index.js */ "./node_modules/date-fns/esm/locale/_lib/buildMatchFn/index.js");


var matchOrdinalNumberPattern = /^(\d+)(th|st|nd|rd)?/i;
var parseOrdinalNumberPattern = /\d+/i;
var matchEraPatterns = {
  narrow: /^(b|a)/i,
  abbreviated: /^(b\.?\s?c\.?|b\.?\s?c\.?\s?e\.?|a\.?\s?d\.?|c\.?\s?e\.?)/i,
  wide: /^(before christ|before common era|anno domini|common era)/i
};
var parseEraPatterns = {
  any: [/^b/i, /^(a|c)/i]
};
var matchQuarterPatterns = {
  narrow: /^[1234]/i,
  abbreviated: /^q[1234]/i,
  wide: /^[1234](th|st|nd|rd)? quarter/i
};
var parseQuarterPatterns = {
  any: [/1/i, /2/i, /3/i, /4/i]
};
var matchMonthPatterns = {
  narrow: /^[jfmasond]/i,
  abbreviated: /^(jan|feb|mar|apr|may|jun|jul|aug|sep|oct|nov|dec)/i,
  wide: /^(january|february|march|april|may|june|july|august|september|october|november|december)/i
};
var parseMonthPatterns = {
  narrow: [/^j/i, /^f/i, /^m/i, /^a/i, /^m/i, /^j/i, /^j/i, /^a/i, /^s/i, /^o/i, /^n/i, /^d/i],
  any: [/^ja/i, /^f/i, /^mar/i, /^ap/i, /^may/i, /^jun/i, /^jul/i, /^au/i, /^s/i, /^o/i, /^n/i, /^d/i]
};
var matchDayPatterns = {
  narrow: /^[smtwf]/i,
  short: /^(su|mo|tu|we|th|fr|sa)/i,
  abbreviated: /^(sun|mon|tue|wed|thu|fri|sat)/i,
  wide: /^(sunday|monday|tuesday|wednesday|thursday|friday|saturday)/i
};
var parseDayPatterns = {
  narrow: [/^s/i, /^m/i, /^t/i, /^w/i, /^t/i, /^f/i, /^s/i],
  any: [/^su/i, /^m/i, /^tu/i, /^w/i, /^th/i, /^f/i, /^sa/i]
};
var matchDayPeriodPatterns = {
  narrow: /^(a|p|mi|n|(in the|at) (morning|afternoon|evening|night))/i,
  any: /^([ap]\.?\s?m\.?|midnight|noon|(in the|at) (morning|afternoon|evening|night))/i
};
var parseDayPeriodPatterns = {
  any: {
    am: /^a/i,
    pm: /^p/i,
    midnight: /^mi/i,
    noon: /^no/i,
    morning: /morning/i,
    afternoon: /afternoon/i,
    evening: /evening/i,
    night: /night/i
  }
};
var match = {
  ordinalNumber: (0,_lib_buildMatchPatternFn_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])({
    matchPattern: matchOrdinalNumberPattern,
    parsePattern: parseOrdinalNumberPattern,
    valueCallback: function (value) {
      return parseInt(value, 10);
    }
  }),
  era: (0,_lib_buildMatchFn_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])({
    matchPatterns: matchEraPatterns,
    defaultMatchWidth: 'wide',
    parsePatterns: parseEraPatterns,
    defaultParseWidth: 'any'
  }),
  quarter: (0,_lib_buildMatchFn_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])({
    matchPatterns: matchQuarterPatterns,
    defaultMatchWidth: 'wide',
    parsePatterns: parseQuarterPatterns,
    defaultParseWidth: 'any',
    valueCallback: function (index) {
      return index + 1;
    }
  }),
  month: (0,_lib_buildMatchFn_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])({
    matchPatterns: matchMonthPatterns,
    defaultMatchWidth: 'wide',
    parsePatterns: parseMonthPatterns,
    defaultParseWidth: 'any'
  }),
  day: (0,_lib_buildMatchFn_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])({
    matchPatterns: matchDayPatterns,
    defaultMatchWidth: 'wide',
    parsePatterns: parseDayPatterns,
    defaultParseWidth: 'any'
  }),
  dayPeriod: (0,_lib_buildMatchFn_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])({
    matchPatterns: matchDayPeriodPatterns,
    defaultMatchWidth: 'any',
    parsePatterns: parseDayPeriodPatterns,
    defaultParseWidth: 'any'
  })
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (match);

/***/ }),

/***/ "./node_modules/date-fns/esm/locale/en-US/index.js":
/*!*********************************************************!*\
  !*** ./node_modules/date-fns/esm/locale/en-US/index.js ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _lib_formatDistance_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./_lib/formatDistance/index.js */ "./node_modules/date-fns/esm/locale/en-US/_lib/formatDistance/index.js");
/* harmony import */ var _lib_formatLong_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./_lib/formatLong/index.js */ "./node_modules/date-fns/esm/locale/en-US/_lib/formatLong/index.js");
/* harmony import */ var _lib_formatRelative_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./_lib/formatRelative/index.js */ "./node_modules/date-fns/esm/locale/en-US/_lib/formatRelative/index.js");
/* harmony import */ var _lib_localize_index_js__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./_lib/localize/index.js */ "./node_modules/date-fns/esm/locale/en-US/_lib/localize/index.js");
/* harmony import */ var _lib_match_index_js__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./_lib/match/index.js */ "./node_modules/date-fns/esm/locale/en-US/_lib/match/index.js");





/**
 * @type {Locale}
 * @category Locales
 * @summary English locale (United States).
 * @language English
 * @iso-639-2 eng
 * @author Sasha Koss [@kossnocorp]{@link https://github.com/kossnocorp}
 * @author Lesha Koss [@leshakoss]{@link https://github.com/leshakoss}
 */

var locale = {
  code: 'en-US',
  formatDistance: _lib_formatDistance_index_js__WEBPACK_IMPORTED_MODULE_0__["default"],
  formatLong: _lib_formatLong_index_js__WEBPACK_IMPORTED_MODULE_1__["default"],
  formatRelative: _lib_formatRelative_index_js__WEBPACK_IMPORTED_MODULE_2__["default"],
  localize: _lib_localize_index_js__WEBPACK_IMPORTED_MODULE_3__["default"],
  match: _lib_match_index_js__WEBPACK_IMPORTED_MODULE_4__["default"],
  options: {
    weekStartsOn: 0
    /* Sunday */
    ,
    firstWeekContainsDate: 1
  }
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (locale);

/***/ }),

/***/ "./node_modules/date-fns/esm/subMilliseconds/index.js":
/*!************************************************************!*\
  !*** ./node_modules/date-fns/esm/subMilliseconds/index.js ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ subMilliseconds)
/* harmony export */ });
/* harmony import */ var _lib_toInteger_index_js__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../_lib/toInteger/index.js */ "./node_modules/date-fns/esm/_lib/toInteger/index.js");
/* harmony import */ var _addMilliseconds_index_js__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../addMilliseconds/index.js */ "./node_modules/date-fns/esm/addMilliseconds/index.js");
/* harmony import */ var _lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../_lib/requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");



/**
 * @name subMilliseconds
 * @category Millisecond Helpers
 * @summary Subtract the specified number of milliseconds from the given date.
 *
 * @description
 * Subtract the specified number of milliseconds from the given date.
 *
 * ### v2.0.0 breaking changes:
 *
 * - [Changes that are common for the whole library](https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#Common-Changes).
 *
 * @param {Date|Number} date - the date to be changed
 * @param {Number} amount - the amount of milliseconds to be subtracted. Positive decimals will be rounded using `Math.floor`, decimals less than zero will be rounded using `Math.ceil`.
 * @returns {Date} the new date with the milliseconds subtracted
 * @throws {TypeError} 2 arguments required
 *
 * @example
 * // Subtract 750 milliseconds from 10 July 2014 12:45:30.000:
 * const result = subMilliseconds(new Date(2014, 6, 10, 12, 45, 30, 0), 750)
 * //=> Thu Jul 10 2014 12:45:29.250
 */

function subMilliseconds(dirtyDate, dirtyAmount) {
  (0,_lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(2, arguments);
  var amount = (0,_lib_toInteger_index_js__WEBPACK_IMPORTED_MODULE_1__["default"])(dirtyAmount);
  return (0,_addMilliseconds_index_js__WEBPACK_IMPORTED_MODULE_2__["default"])(dirtyDate, -amount);
}

/***/ }),

/***/ "./node_modules/date-fns/esm/toDate/index.js":
/*!***************************************************!*\
  !*** ./node_modules/date-fns/esm/toDate/index.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ toDate)
/* harmony export */ });
/* harmony import */ var _lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../_lib/requiredArgs/index.js */ "./node_modules/date-fns/esm/_lib/requiredArgs/index.js");

/**
 * @name toDate
 * @category Common Helpers
 * @summary Convert the given argument to an instance of Date.
 *
 * @description
 * Convert the given argument to an instance of Date.
 *
 * If the argument is an instance of Date, the function returns its clone.
 *
 * If the argument is a number, it is treated as a timestamp.
 *
 * If the argument is none of the above, the function returns Invalid Date.
 *
 * **Note**: *all* Date arguments passed to any *date-fns* function is processed by `toDate`.
 *
 * @param {Date|Number} argument - the value to convert
 * @returns {Date} the parsed date in the local time zone
 * @throws {TypeError} 1 argument required
 *
 * @example
 * // Clone the date:
 * const result = toDate(new Date(2014, 1, 11, 11, 30, 30))
 * //=> Tue Feb 11 2014 11:30:30
 *
 * @example
 * // Convert the timestamp to date:
 * const result = toDate(1392098430000)
 * //=> Tue Feb 11 2014 11:30:30
 */

function toDate(argument) {
  (0,_lib_requiredArgs_index_js__WEBPACK_IMPORTED_MODULE_0__["default"])(1, arguments);
  var argStr = Object.prototype.toString.call(argument); // Clone the date

  if (argument instanceof Date || typeof argument === 'object' && argStr === '[object Date]') {
    // Prevent the date to lose the milliseconds when passed to new Date() in IE10
    return new Date(argument.getTime());
  } else if (typeof argument === 'number' || argStr === '[object Number]') {
    return new Date(argument);
  } else {
    if ((typeof argument === 'string' || argStr === '[object String]') && typeof console !== 'undefined') {
      // eslint-disable-next-line no-console
      console.warn("Starting with v2.0.0-beta.1 date-fns doesn't accept strings as date arguments. Please use `parseISO` to parse strings. See: https://git.io/fjule"); // eslint-disable-next-line no-console

      console.warn(new Error().stack);
    }

    return new Date(NaN);
  }
}

/***/ }),

/***/ "./node_modules/history/esm/history.js":
/*!*********************************************!*\
  !*** ./node_modules/history/esm/history.js ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "createBrowserHistory": () => (/* binding */ createBrowserHistory),
/* harmony export */   "createHashHistory": () => (/* binding */ createHashHistory),
/* harmony export */   "createLocation": () => (/* binding */ createLocation),
/* harmony export */   "createMemoryHistory": () => (/* binding */ createMemoryHistory),
/* harmony export */   "createPath": () => (/* binding */ createPath),
/* harmony export */   "locationsAreEqual": () => (/* binding */ locationsAreEqual),
/* harmony export */   "parsePath": () => (/* binding */ parsePath)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @babel/runtime/helpers/esm/extends */ "./node_modules/@babel/runtime/helpers/esm/extends.js");
/* harmony import */ var resolve_pathname__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! resolve-pathname */ "./node_modules/resolve-pathname/esm/resolve-pathname.js");
/* harmony import */ var value_equal__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! value-equal */ "./node_modules/value-equal/esm/value-equal.js");
/* harmony import */ var tiny_warning__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tiny-warning */ "./node_modules/tiny-warning/dist/tiny-warning.esm.js");
/* harmony import */ var tiny_invariant__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! tiny-invariant */ "./node_modules/tiny-invariant/dist/tiny-invariant.esm.js");






function addLeadingSlash(path) {
  return path.charAt(0) === '/' ? path : '/' + path;
}
function stripLeadingSlash(path) {
  return path.charAt(0) === '/' ? path.substr(1) : path;
}
function hasBasename(path, prefix) {
  return path.toLowerCase().indexOf(prefix.toLowerCase()) === 0 && '/?#'.indexOf(path.charAt(prefix.length)) !== -1;
}
function stripBasename(path, prefix) {
  return hasBasename(path, prefix) ? path.substr(prefix.length) : path;
}
function stripTrailingSlash(path) {
  return path.charAt(path.length - 1) === '/' ? path.slice(0, -1) : path;
}
function parsePath(path) {
  var pathname = path || '/';
  var search = '';
  var hash = '';
  var hashIndex = pathname.indexOf('#');

  if (hashIndex !== -1) {
    hash = pathname.substr(hashIndex);
    pathname = pathname.substr(0, hashIndex);
  }

  var searchIndex = pathname.indexOf('?');

  if (searchIndex !== -1) {
    search = pathname.substr(searchIndex);
    pathname = pathname.substr(0, searchIndex);
  }

  return {
    pathname: pathname,
    search: search === '?' ? '' : search,
    hash: hash === '#' ? '' : hash
  };
}
function createPath(location) {
  var pathname = location.pathname,
      search = location.search,
      hash = location.hash;
  var path = pathname || '/';
  if (search && search !== '?') path += search.charAt(0) === '?' ? search : "?" + search;
  if (hash && hash !== '#') path += hash.charAt(0) === '#' ? hash : "#" + hash;
  return path;
}

function createLocation(path, state, key, currentLocation) {
  var location;

  if (typeof path === 'string') {
    // Two-arg form: push(path, state)
    location = parsePath(path);
    location.state = state;
  } else {
    // One-arg form: push(location)
    location = (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_0__["default"])({}, path);
    if (location.pathname === undefined) location.pathname = '';

    if (location.search) {
      if (location.search.charAt(0) !== '?') location.search = '?' + location.search;
    } else {
      location.search = '';
    }

    if (location.hash) {
      if (location.hash.charAt(0) !== '#') location.hash = '#' + location.hash;
    } else {
      location.hash = '';
    }

    if (state !== undefined && location.state === undefined) location.state = state;
  }

  try {
    location.pathname = decodeURI(location.pathname);
  } catch (e) {
    if (e instanceof URIError) {
      throw new URIError('Pathname "' + location.pathname + '" could not be decoded. ' + 'This is likely caused by an invalid percent-encoding.');
    } else {
      throw e;
    }
  }

  if (key) location.key = key;

  if (currentLocation) {
    // Resolve incomplete/relative pathname relative to current location.
    if (!location.pathname) {
      location.pathname = currentLocation.pathname;
    } else if (location.pathname.charAt(0) !== '/') {
      location.pathname = (0,resolve_pathname__WEBPACK_IMPORTED_MODULE_1__["default"])(location.pathname, currentLocation.pathname);
    }
  } else {
    // When there is no prior location and pathname is empty, set it to /
    if (!location.pathname) {
      location.pathname = '/';
    }
  }

  return location;
}
function locationsAreEqual(a, b) {
  return a.pathname === b.pathname && a.search === b.search && a.hash === b.hash && a.key === b.key && (0,value_equal__WEBPACK_IMPORTED_MODULE_2__["default"])(a.state, b.state);
}

function createTransitionManager() {
  var prompt = null;

  function setPrompt(nextPrompt) {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_3__["default"])(prompt == null, 'A history supports only one prompt at a time') : 0;
    prompt = nextPrompt;
    return function () {
      if (prompt === nextPrompt) prompt = null;
    };
  }

  function confirmTransitionTo(location, action, getUserConfirmation, callback) {
    // TODO: If another transition starts while we're still confirming
    // the previous one, we may end up in a weird state. Figure out the
    // best way to handle this.
    if (prompt != null) {
      var result = typeof prompt === 'function' ? prompt(location, action) : prompt;

      if (typeof result === 'string') {
        if (typeof getUserConfirmation === 'function') {
          getUserConfirmation(result, callback);
        } else {
           true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_3__["default"])(false, 'A history needs a getUserConfirmation function in order to use a prompt message') : 0;
          callback(true);
        }
      } else {
        // Return false from a transition hook to cancel the transition.
        callback(result !== false);
      }
    } else {
      callback(true);
    }
  }

  var listeners = [];

  function appendListener(fn) {
    var isActive = true;

    function listener() {
      if (isActive) fn.apply(void 0, arguments);
    }

    listeners.push(listener);
    return function () {
      isActive = false;
      listeners = listeners.filter(function (item) {
        return item !== listener;
      });
    };
  }

  function notifyListeners() {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    listeners.forEach(function (listener) {
      return listener.apply(void 0, args);
    });
  }

  return {
    setPrompt: setPrompt,
    confirmTransitionTo: confirmTransitionTo,
    appendListener: appendListener,
    notifyListeners: notifyListeners
  };
}

var canUseDOM = !!(typeof window !== 'undefined' && window.document && window.document.createElement);
function getConfirmation(message, callback) {
  callback(window.confirm(message)); // eslint-disable-line no-alert
}
/**
 * Returns true if the HTML5 history API is supported. Taken from Modernizr.
 *
 * https://github.com/Modernizr/Modernizr/blob/master/LICENSE
 * https://github.com/Modernizr/Modernizr/blob/master/feature-detects/history.js
 * changed to avoid false negatives for Windows Phones: https://github.com/reactjs/react-router/issues/586
 */

function supportsHistory() {
  var ua = window.navigator.userAgent;
  if ((ua.indexOf('Android 2.') !== -1 || ua.indexOf('Android 4.0') !== -1) && ua.indexOf('Mobile Safari') !== -1 && ua.indexOf('Chrome') === -1 && ua.indexOf('Windows Phone') === -1) return false;
  return window.history && 'pushState' in window.history;
}
/**
 * Returns true if browser fires popstate on hash change.
 * IE10 and IE11 do not.
 */

function supportsPopStateOnHashChange() {
  return window.navigator.userAgent.indexOf('Trident') === -1;
}
/**
 * Returns false if using go(n) with hash history causes a full page reload.
 */

function supportsGoWithoutReloadUsingHash() {
  return window.navigator.userAgent.indexOf('Firefox') === -1;
}
/**
 * Returns true if a given popstate event is an extraneous WebKit event.
 * Accounts for the fact that Chrome on iOS fires real popstate events
 * containing undefined state when pressing the back button.
 */

function isExtraneousPopstateEvent(event) {
  return event.state === undefined && navigator.userAgent.indexOf('CriOS') === -1;
}

var PopStateEvent = 'popstate';
var HashChangeEvent = 'hashchange';

function getHistoryState() {
  try {
    return window.history.state || {};
  } catch (e) {
    // IE 11 sometimes throws when accessing window.history.state
    // See https://github.com/ReactTraining/history/pull/289
    return {};
  }
}
/**
 * Creates a history object that uses the HTML5 history API including
 * pushState, replaceState, and the popstate event.
 */


function createBrowserHistory(props) {
  if (props === void 0) {
    props = {};
  }

  !canUseDOM ?  true ? (0,tiny_invariant__WEBPACK_IMPORTED_MODULE_4__["default"])(false, 'Browser history needs a DOM') : 0 : void 0;
  var globalHistory = window.history;
  var canUseHistory = supportsHistory();
  var needsHashChangeListener = !supportsPopStateOnHashChange();
  var _props = props,
      _props$forceRefresh = _props.forceRefresh,
      forceRefresh = _props$forceRefresh === void 0 ? false : _props$forceRefresh,
      _props$getUserConfirm = _props.getUserConfirmation,
      getUserConfirmation = _props$getUserConfirm === void 0 ? getConfirmation : _props$getUserConfirm,
      _props$keyLength = _props.keyLength,
      keyLength = _props$keyLength === void 0 ? 6 : _props$keyLength;
  var basename = props.basename ? stripTrailingSlash(addLeadingSlash(props.basename)) : '';

  function getDOMLocation(historyState) {
    var _ref = historyState || {},
        key = _ref.key,
        state = _ref.state;

    var _window$location = window.location,
        pathname = _window$location.pathname,
        search = _window$location.search,
        hash = _window$location.hash;
    var path = pathname + search + hash;
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_3__["default"])(!basename || hasBasename(path, basename), 'You are attempting to use a basename on a page whose URL path does not begin ' + 'with the basename. Expected path "' + path + '" to begin with "' + basename + '".') : 0;
    if (basename) path = stripBasename(path, basename);
    return createLocation(path, state, key);
  }

  function createKey() {
    return Math.random().toString(36).substr(2, keyLength);
  }

  var transitionManager = createTransitionManager();

  function setState(nextState) {
    (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_0__["default"])(history, nextState);

    history.length = globalHistory.length;
    transitionManager.notifyListeners(history.location, history.action);
  }

  function handlePopState(event) {
    // Ignore extraneous popstate events in WebKit.
    if (isExtraneousPopstateEvent(event)) return;
    handlePop(getDOMLocation(event.state));
  }

  function handleHashChange() {
    handlePop(getDOMLocation(getHistoryState()));
  }

  var forceNextPop = false;

  function handlePop(location) {
    if (forceNextPop) {
      forceNextPop = false;
      setState();
    } else {
      var action = 'POP';
      transitionManager.confirmTransitionTo(location, action, getUserConfirmation, function (ok) {
        if (ok) {
          setState({
            action: action,
            location: location
          });
        } else {
          revertPop(location);
        }
      });
    }
  }

  function revertPop(fromLocation) {
    var toLocation = history.location; // TODO: We could probably make this more reliable by
    // keeping a list of keys we've seen in sessionStorage.
    // Instead, we just default to 0 for keys we don't know.

    var toIndex = allKeys.indexOf(toLocation.key);
    if (toIndex === -1) toIndex = 0;
    var fromIndex = allKeys.indexOf(fromLocation.key);
    if (fromIndex === -1) fromIndex = 0;
    var delta = toIndex - fromIndex;

    if (delta) {
      forceNextPop = true;
      go(delta);
    }
  }

  var initialLocation = getDOMLocation(getHistoryState());
  var allKeys = [initialLocation.key]; // Public interface

  function createHref(location) {
    return basename + createPath(location);
  }

  function push(path, state) {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_3__["default"])(!(typeof path === 'object' && path.state !== undefined && state !== undefined), 'You should avoid providing a 2nd state argument to push when the 1st ' + 'argument is a location-like object that already has state; it is ignored') : 0;
    var action = 'PUSH';
    var location = createLocation(path, state, createKey(), history.location);
    transitionManager.confirmTransitionTo(location, action, getUserConfirmation, function (ok) {
      if (!ok) return;
      var href = createHref(location);
      var key = location.key,
          state = location.state;

      if (canUseHistory) {
        globalHistory.pushState({
          key: key,
          state: state
        }, null, href);

        if (forceRefresh) {
          window.location.href = href;
        } else {
          var prevIndex = allKeys.indexOf(history.location.key);
          var nextKeys = allKeys.slice(0, prevIndex + 1);
          nextKeys.push(location.key);
          allKeys = nextKeys;
          setState({
            action: action,
            location: location
          });
        }
      } else {
         true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_3__["default"])(state === undefined, 'Browser history cannot push state in browsers that do not support HTML5 history') : 0;
        window.location.href = href;
      }
    });
  }

  function replace(path, state) {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_3__["default"])(!(typeof path === 'object' && path.state !== undefined && state !== undefined), 'You should avoid providing a 2nd state argument to replace when the 1st ' + 'argument is a location-like object that already has state; it is ignored') : 0;
    var action = 'REPLACE';
    var location = createLocation(path, state, createKey(), history.location);
    transitionManager.confirmTransitionTo(location, action, getUserConfirmation, function (ok) {
      if (!ok) return;
      var href = createHref(location);
      var key = location.key,
          state = location.state;

      if (canUseHistory) {
        globalHistory.replaceState({
          key: key,
          state: state
        }, null, href);

        if (forceRefresh) {
          window.location.replace(href);
        } else {
          var prevIndex = allKeys.indexOf(history.location.key);
          if (prevIndex !== -1) allKeys[prevIndex] = location.key;
          setState({
            action: action,
            location: location
          });
        }
      } else {
         true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_3__["default"])(state === undefined, 'Browser history cannot replace state in browsers that do not support HTML5 history') : 0;
        window.location.replace(href);
      }
    });
  }

  function go(n) {
    globalHistory.go(n);
  }

  function goBack() {
    go(-1);
  }

  function goForward() {
    go(1);
  }

  var listenerCount = 0;

  function checkDOMListeners(delta) {
    listenerCount += delta;

    if (listenerCount === 1 && delta === 1) {
      window.addEventListener(PopStateEvent, handlePopState);
      if (needsHashChangeListener) window.addEventListener(HashChangeEvent, handleHashChange);
    } else if (listenerCount === 0) {
      window.removeEventListener(PopStateEvent, handlePopState);
      if (needsHashChangeListener) window.removeEventListener(HashChangeEvent, handleHashChange);
    }
  }

  var isBlocked = false;

  function block(prompt) {
    if (prompt === void 0) {
      prompt = false;
    }

    var unblock = transitionManager.setPrompt(prompt);

    if (!isBlocked) {
      checkDOMListeners(1);
      isBlocked = true;
    }

    return function () {
      if (isBlocked) {
        isBlocked = false;
        checkDOMListeners(-1);
      }

      return unblock();
    };
  }

  function listen(listener) {
    var unlisten = transitionManager.appendListener(listener);
    checkDOMListeners(1);
    return function () {
      checkDOMListeners(-1);
      unlisten();
    };
  }

  var history = {
    length: globalHistory.length,
    action: 'POP',
    location: initialLocation,
    createHref: createHref,
    push: push,
    replace: replace,
    go: go,
    goBack: goBack,
    goForward: goForward,
    block: block,
    listen: listen
  };
  return history;
}

var HashChangeEvent$1 = 'hashchange';
var HashPathCoders = {
  hashbang: {
    encodePath: function encodePath(path) {
      return path.charAt(0) === '!' ? path : '!/' + stripLeadingSlash(path);
    },
    decodePath: function decodePath(path) {
      return path.charAt(0) === '!' ? path.substr(1) : path;
    }
  },
  noslash: {
    encodePath: stripLeadingSlash,
    decodePath: addLeadingSlash
  },
  slash: {
    encodePath: addLeadingSlash,
    decodePath: addLeadingSlash
  }
};

function stripHash(url) {
  var hashIndex = url.indexOf('#');
  return hashIndex === -1 ? url : url.slice(0, hashIndex);
}

function getHashPath() {
  // We can't use window.location.hash here because it's not
  // consistent across browsers - Firefox will pre-decode it!
  var href = window.location.href;
  var hashIndex = href.indexOf('#');
  return hashIndex === -1 ? '' : href.substring(hashIndex + 1);
}

function pushHashPath(path) {
  window.location.hash = path;
}

function replaceHashPath(path) {
  window.location.replace(stripHash(window.location.href) + '#' + path);
}

function createHashHistory(props) {
  if (props === void 0) {
    props = {};
  }

  !canUseDOM ?  true ? (0,tiny_invariant__WEBPACK_IMPORTED_MODULE_4__["default"])(false, 'Hash history needs a DOM') : 0 : void 0;
  var globalHistory = window.history;
  var canGoWithoutReload = supportsGoWithoutReloadUsingHash();
  var _props = props,
      _props$getUserConfirm = _props.getUserConfirmation,
      getUserConfirmation = _props$getUserConfirm === void 0 ? getConfirmation : _props$getUserConfirm,
      _props$hashType = _props.hashType,
      hashType = _props$hashType === void 0 ? 'slash' : _props$hashType;
  var basename = props.basename ? stripTrailingSlash(addLeadingSlash(props.basename)) : '';
  var _HashPathCoders$hashT = HashPathCoders[hashType],
      encodePath = _HashPathCoders$hashT.encodePath,
      decodePath = _HashPathCoders$hashT.decodePath;

  function getDOMLocation() {
    var path = decodePath(getHashPath());
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_3__["default"])(!basename || hasBasename(path, basename), 'You are attempting to use a basename on a page whose URL path does not begin ' + 'with the basename. Expected path "' + path + '" to begin with "' + basename + '".') : 0;
    if (basename) path = stripBasename(path, basename);
    return createLocation(path);
  }

  var transitionManager = createTransitionManager();

  function setState(nextState) {
    (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_0__["default"])(history, nextState);

    history.length = globalHistory.length;
    transitionManager.notifyListeners(history.location, history.action);
  }

  var forceNextPop = false;
  var ignorePath = null;

  function locationsAreEqual$$1(a, b) {
    return a.pathname === b.pathname && a.search === b.search && a.hash === b.hash;
  }

  function handleHashChange() {
    var path = getHashPath();
    var encodedPath = encodePath(path);

    if (path !== encodedPath) {
      // Ensure we always have a properly-encoded hash.
      replaceHashPath(encodedPath);
    } else {
      var location = getDOMLocation();
      var prevLocation = history.location;
      if (!forceNextPop && locationsAreEqual$$1(prevLocation, location)) return; // A hashchange doesn't always == location change.

      if (ignorePath === createPath(location)) return; // Ignore this change; we already setState in push/replace.

      ignorePath = null;
      handlePop(location);
    }
  }

  function handlePop(location) {
    if (forceNextPop) {
      forceNextPop = false;
      setState();
    } else {
      var action = 'POP';
      transitionManager.confirmTransitionTo(location, action, getUserConfirmation, function (ok) {
        if (ok) {
          setState({
            action: action,
            location: location
          });
        } else {
          revertPop(location);
        }
      });
    }
  }

  function revertPop(fromLocation) {
    var toLocation = history.location; // TODO: We could probably make this more reliable by
    // keeping a list of paths we've seen in sessionStorage.
    // Instead, we just default to 0 for paths we don't know.

    var toIndex = allPaths.lastIndexOf(createPath(toLocation));
    if (toIndex === -1) toIndex = 0;
    var fromIndex = allPaths.lastIndexOf(createPath(fromLocation));
    if (fromIndex === -1) fromIndex = 0;
    var delta = toIndex - fromIndex;

    if (delta) {
      forceNextPop = true;
      go(delta);
    }
  } // Ensure the hash is encoded properly before doing anything else.


  var path = getHashPath();
  var encodedPath = encodePath(path);
  if (path !== encodedPath) replaceHashPath(encodedPath);
  var initialLocation = getDOMLocation();
  var allPaths = [createPath(initialLocation)]; // Public interface

  function createHref(location) {
    var baseTag = document.querySelector('base');
    var href = '';

    if (baseTag && baseTag.getAttribute('href')) {
      href = stripHash(window.location.href);
    }

    return href + '#' + encodePath(basename + createPath(location));
  }

  function push(path, state) {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_3__["default"])(state === undefined, 'Hash history cannot push state; it is ignored') : 0;
    var action = 'PUSH';
    var location = createLocation(path, undefined, undefined, history.location);
    transitionManager.confirmTransitionTo(location, action, getUserConfirmation, function (ok) {
      if (!ok) return;
      var path = createPath(location);
      var encodedPath = encodePath(basename + path);
      var hashChanged = getHashPath() !== encodedPath;

      if (hashChanged) {
        // We cannot tell if a hashchange was caused by a PUSH, so we'd
        // rather setState here and ignore the hashchange. The caveat here
        // is that other hash histories in the page will consider it a POP.
        ignorePath = path;
        pushHashPath(encodedPath);
        var prevIndex = allPaths.lastIndexOf(createPath(history.location));
        var nextPaths = allPaths.slice(0, prevIndex + 1);
        nextPaths.push(path);
        allPaths = nextPaths;
        setState({
          action: action,
          location: location
        });
      } else {
         true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_3__["default"])(false, 'Hash history cannot PUSH the same path; a new entry will not be added to the history stack') : 0;
        setState();
      }
    });
  }

  function replace(path, state) {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_3__["default"])(state === undefined, 'Hash history cannot replace state; it is ignored') : 0;
    var action = 'REPLACE';
    var location = createLocation(path, undefined, undefined, history.location);
    transitionManager.confirmTransitionTo(location, action, getUserConfirmation, function (ok) {
      if (!ok) return;
      var path = createPath(location);
      var encodedPath = encodePath(basename + path);
      var hashChanged = getHashPath() !== encodedPath;

      if (hashChanged) {
        // We cannot tell if a hashchange was caused by a REPLACE, so we'd
        // rather setState here and ignore the hashchange. The caveat here
        // is that other hash histories in the page will consider it a POP.
        ignorePath = path;
        replaceHashPath(encodedPath);
      }

      var prevIndex = allPaths.indexOf(createPath(history.location));
      if (prevIndex !== -1) allPaths[prevIndex] = path;
      setState({
        action: action,
        location: location
      });
    });
  }

  function go(n) {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_3__["default"])(canGoWithoutReload, 'Hash history go(n) causes a full page reload in this browser') : 0;
    globalHistory.go(n);
  }

  function goBack() {
    go(-1);
  }

  function goForward() {
    go(1);
  }

  var listenerCount = 0;

  function checkDOMListeners(delta) {
    listenerCount += delta;

    if (listenerCount === 1 && delta === 1) {
      window.addEventListener(HashChangeEvent$1, handleHashChange);
    } else if (listenerCount === 0) {
      window.removeEventListener(HashChangeEvent$1, handleHashChange);
    }
  }

  var isBlocked = false;

  function block(prompt) {
    if (prompt === void 0) {
      prompt = false;
    }

    var unblock = transitionManager.setPrompt(prompt);

    if (!isBlocked) {
      checkDOMListeners(1);
      isBlocked = true;
    }

    return function () {
      if (isBlocked) {
        isBlocked = false;
        checkDOMListeners(-1);
      }

      return unblock();
    };
  }

  function listen(listener) {
    var unlisten = transitionManager.appendListener(listener);
    checkDOMListeners(1);
    return function () {
      checkDOMListeners(-1);
      unlisten();
    };
  }

  var history = {
    length: globalHistory.length,
    action: 'POP',
    location: initialLocation,
    createHref: createHref,
    push: push,
    replace: replace,
    go: go,
    goBack: goBack,
    goForward: goForward,
    block: block,
    listen: listen
  };
  return history;
}

function clamp(n, lowerBound, upperBound) {
  return Math.min(Math.max(n, lowerBound), upperBound);
}
/**
 * Creates a history object that stores locations in memory.
 */


function createMemoryHistory(props) {
  if (props === void 0) {
    props = {};
  }

  var _props = props,
      getUserConfirmation = _props.getUserConfirmation,
      _props$initialEntries = _props.initialEntries,
      initialEntries = _props$initialEntries === void 0 ? ['/'] : _props$initialEntries,
      _props$initialIndex = _props.initialIndex,
      initialIndex = _props$initialIndex === void 0 ? 0 : _props$initialIndex,
      _props$keyLength = _props.keyLength,
      keyLength = _props$keyLength === void 0 ? 6 : _props$keyLength;
  var transitionManager = createTransitionManager();

  function setState(nextState) {
    (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_0__["default"])(history, nextState);

    history.length = history.entries.length;
    transitionManager.notifyListeners(history.location, history.action);
  }

  function createKey() {
    return Math.random().toString(36).substr(2, keyLength);
  }

  var index = clamp(initialIndex, 0, initialEntries.length - 1);
  var entries = initialEntries.map(function (entry) {
    return typeof entry === 'string' ? createLocation(entry, undefined, createKey()) : createLocation(entry, undefined, entry.key || createKey());
  }); // Public interface

  var createHref = createPath;

  function push(path, state) {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_3__["default"])(!(typeof path === 'object' && path.state !== undefined && state !== undefined), 'You should avoid providing a 2nd state argument to push when the 1st ' + 'argument is a location-like object that already has state; it is ignored') : 0;
    var action = 'PUSH';
    var location = createLocation(path, state, createKey(), history.location);
    transitionManager.confirmTransitionTo(location, action, getUserConfirmation, function (ok) {
      if (!ok) return;
      var prevIndex = history.index;
      var nextIndex = prevIndex + 1;
      var nextEntries = history.entries.slice(0);

      if (nextEntries.length > nextIndex) {
        nextEntries.splice(nextIndex, nextEntries.length - nextIndex, location);
      } else {
        nextEntries.push(location);
      }

      setState({
        action: action,
        location: location,
        index: nextIndex,
        entries: nextEntries
      });
    });
  }

  function replace(path, state) {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_3__["default"])(!(typeof path === 'object' && path.state !== undefined && state !== undefined), 'You should avoid providing a 2nd state argument to replace when the 1st ' + 'argument is a location-like object that already has state; it is ignored') : 0;
    var action = 'REPLACE';
    var location = createLocation(path, state, createKey(), history.location);
    transitionManager.confirmTransitionTo(location, action, getUserConfirmation, function (ok) {
      if (!ok) return;
      history.entries[history.index] = location;
      setState({
        action: action,
        location: location
      });
    });
  }

  function go(n) {
    var nextIndex = clamp(history.index + n, 0, history.entries.length - 1);
    var action = 'POP';
    var location = history.entries[nextIndex];
    transitionManager.confirmTransitionTo(location, action, getUserConfirmation, function (ok) {
      if (ok) {
        setState({
          action: action,
          location: location,
          index: nextIndex
        });
      } else {
        // Mimic the behavior of DOM histories by
        // causing a render after a cancelled POP.
        setState();
      }
    });
  }

  function goBack() {
    go(-1);
  }

  function goForward() {
    go(1);
  }

  function canGo(n) {
    var nextIndex = history.index + n;
    return nextIndex >= 0 && nextIndex < history.entries.length;
  }

  function block(prompt) {
    if (prompt === void 0) {
      prompt = false;
    }

    return transitionManager.setPrompt(prompt);
  }

  function listen(listener) {
    return transitionManager.appendListener(listener);
  }

  var history = {
    length: entries.length,
    action: 'POP',
    location: entries[index],
    index: index,
    entries: entries,
    createHref: createHref,
    push: push,
    replace: replace,
    go: go,
    goBack: goBack,
    goForward: goForward,
    canGo: canGo,
    block: block,
    listen: listen
  };
  return history;
}




/***/ }),

/***/ "./node_modules/hoist-non-react-statics/dist/hoist-non-react-statics.cjs.js":
/*!**********************************************************************************!*\
  !*** ./node_modules/hoist-non-react-statics/dist/hoist-non-react-statics.cjs.js ***!
  \**********************************************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


var reactIs = __webpack_require__(/*! react-is */ "./node_modules/react-is/index.js");

/**
 * Copyright 2015, Yahoo! Inc.
 * Copyrights licensed under the New BSD License. See the accompanying LICENSE file for terms.
 */
var REACT_STATICS = {
  childContextTypes: true,
  contextType: true,
  contextTypes: true,
  defaultProps: true,
  displayName: true,
  getDefaultProps: true,
  getDerivedStateFromError: true,
  getDerivedStateFromProps: true,
  mixins: true,
  propTypes: true,
  type: true
};
var KNOWN_STATICS = {
  name: true,
  length: true,
  prototype: true,
  caller: true,
  callee: true,
  arguments: true,
  arity: true
};
var FORWARD_REF_STATICS = {
  '$$typeof': true,
  render: true,
  defaultProps: true,
  displayName: true,
  propTypes: true
};
var MEMO_STATICS = {
  '$$typeof': true,
  compare: true,
  defaultProps: true,
  displayName: true,
  propTypes: true,
  type: true
};
var TYPE_STATICS = {};
TYPE_STATICS[reactIs.ForwardRef] = FORWARD_REF_STATICS;
TYPE_STATICS[reactIs.Memo] = MEMO_STATICS;

function getStatics(component) {
  // React v16.11 and below
  if (reactIs.isMemo(component)) {
    return MEMO_STATICS;
  } // React v16.12 and above


  return TYPE_STATICS[component['$$typeof']] || REACT_STATICS;
}

var defineProperty = Object.defineProperty;
var getOwnPropertyNames = Object.getOwnPropertyNames;
var getOwnPropertySymbols = Object.getOwnPropertySymbols;
var getOwnPropertyDescriptor = Object.getOwnPropertyDescriptor;
var getPrototypeOf = Object.getPrototypeOf;
var objectPrototype = Object.prototype;
function hoistNonReactStatics(targetComponent, sourceComponent, blacklist) {
  if (typeof sourceComponent !== 'string') {
    // don't hoist over string (html) components
    if (objectPrototype) {
      var inheritedComponent = getPrototypeOf(sourceComponent);

      if (inheritedComponent && inheritedComponent !== objectPrototype) {
        hoistNonReactStatics(targetComponent, inheritedComponent, blacklist);
      }
    }

    var keys = getOwnPropertyNames(sourceComponent);

    if (getOwnPropertySymbols) {
      keys = keys.concat(getOwnPropertySymbols(sourceComponent));
    }

    var targetStatics = getStatics(targetComponent);
    var sourceStatics = getStatics(sourceComponent);

    for (var i = 0; i < keys.length; ++i) {
      var key = keys[i];

      if (!KNOWN_STATICS[key] && !(blacklist && blacklist[key]) && !(sourceStatics && sourceStatics[key]) && !(targetStatics && targetStatics[key])) {
        var descriptor = getOwnPropertyDescriptor(sourceComponent, key);

        try {
          // Avoid failures from read-only properties
          defineProperty(targetComponent, key, descriptor);
        } catch (e) {}
      }
    }
  }

  return targetComponent;
}

module.exports = hoistNonReactStatics;


/***/ }),

/***/ "./node_modules/html-dom-parser/lib/client/constants.js":
/*!**************************************************************!*\
  !*** ./node_modules/html-dom-parser/lib/client/constants.js ***!
  \**************************************************************/
/***/ ((module) => {

/**
 * SVG elements are case-sensitive.
 *
 * @see {@link https://developer.mozilla.org/docs/Web/SVG/Element#SVG_elements_A_to_Z}
 */
var CASE_SENSITIVE_TAG_NAMES = [
  'animateMotion',
  'animateTransform',
  'clipPath',
  'feBlend',
  'feColorMatrix',
  'feComponentTransfer',
  'feComposite',
  'feConvolveMatrix',
  'feDiffuseLighting',
  'feDisplacementMap',
  'feDropShadow',
  'feFlood',
  'feFuncA',
  'feFuncB',
  'feFuncG',
  'feFuncR',
  'feGaussainBlur',
  'feImage',
  'feMerge',
  'feMergeNode',
  'feMorphology',
  'feOffset',
  'fePointLight',
  'feSpecularLighting',
  'feSpotLight',
  'feTile',
  'feTurbulence',
  'foreignObject',
  'linearGradient',
  'radialGradient',
  'textPath'
];

module.exports = {
  CASE_SENSITIVE_TAG_NAMES: CASE_SENSITIVE_TAG_NAMES
};


/***/ }),

/***/ "./node_modules/html-dom-parser/lib/client/domparser.js":
/*!**************************************************************!*\
  !*** ./node_modules/html-dom-parser/lib/client/domparser.js ***!
  \**************************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

// constants
var HTML = 'html';
var HEAD = 'head';
var BODY = 'body';
var FIRST_TAG_REGEX = /<([a-zA-Z]+[0-9]?)/; // e.g., <h1>
var HEAD_TAG_REGEX = /<head.*>/i;
var BODY_TAG_REGEX = /<body.*>/i;

// falls back to `parseFromString` if `createHTMLDocument` cannot be used
var parseFromDocument = function () {
  throw new Error(
    'This browser does not support `document.implementation.createHTMLDocument`'
  );
};

var parseFromString = function () {
  throw new Error(
    'This browser does not support `DOMParser.prototype.parseFromString`'
  );
};

/**
 * DOMParser (performance: slow).
 *
 * @see https://developer.mozilla.org/docs/Web/API/DOMParser#Parsing_an_SVG_or_HTML_document
 */
if (typeof window.DOMParser === 'function') {
  var domParser = new window.DOMParser();
  var mimeType = 'text/html';

  /**
   * Creates an HTML document using `DOMParser.parseFromString`.
   *
   * @param  {string} html      - The HTML string.
   * @param  {string} [tagName] - The element to render the HTML (with 'body' as fallback).
   * @return {HTMLDocument}
   */
  parseFromString = function (html, tagName) {
    if (tagName) {
      html = '<' + tagName + '>' + html + '</' + tagName + '>';
    }

    return domParser.parseFromString(html, mimeType);
  };

  parseFromDocument = parseFromString;
}

/**
 * DOMImplementation (performance: fair).
 *
 * @see https://developer.mozilla.org/docs/Web/API/DOMImplementation/createHTMLDocument
 */
if (document.implementation) {
  var isIE = (__webpack_require__(/*! ./utilities */ "./node_modules/html-dom-parser/lib/client/utilities.js").isIE);

  // title parameter is required in IE
  // https://msdn.microsoft.com/en-us/library/ff975457(v=vs.85).aspx
  var doc = document.implementation.createHTMLDocument(
    isIE() ? 'html-dom-parser' : undefined
  );

  /**
   * Use HTML document created by `document.implementation.createHTMLDocument`.
   *
   * @param  {string} html      - The HTML string.
   * @param  {string} [tagName] - The element to render the HTML (with 'body' as fallback).
   * @return {HTMLDocument}
   */
  parseFromDocument = function (html, tagName) {
    if (tagName) {
      doc.documentElement.getElementsByTagName(tagName)[0].innerHTML = html;
      return doc;
    }

    doc.documentElement.innerHTML = html;
    return doc;
  };
}

/**
 * Template (performance: fast).
 *
 * @see https://developer.mozilla.org/docs/Web/HTML/Element/template
 */
var template = document.createElement('template');
var parseFromTemplate;

if (template.content) {
  /**
   * Uses a template element (content fragment) to parse HTML.
   *
   * @param  {string} html - The HTML string.
   * @return {NodeList}
   */
  parseFromTemplate = function (html) {
    template.innerHTML = html;
    return template.content.childNodes;
  };
}

/**
 * Parses HTML string to DOM nodes.
 *
 * @param  {string}   html - HTML markup.
 * @return {NodeList}
 */
function domparser(html) {
  var firstTagName;
  var match = html.match(FIRST_TAG_REGEX);

  if (match && match[1]) {
    firstTagName = match[1].toLowerCase();
  }

  var doc;
  var element;
  var elements;

  switch (firstTagName) {
    case HTML:
      doc = parseFromString(html);

      // the created document may come with filler head/body elements,
      // so make sure to remove them if they don't actually exist
      if (!HEAD_TAG_REGEX.test(html)) {
        element = doc.getElementsByTagName(HEAD)[0];
        if (element) {
          element.parentNode.removeChild(element);
        }
      }

      if (!BODY_TAG_REGEX.test(html)) {
        element = doc.getElementsByTagName(BODY)[0];
        if (element) {
          element.parentNode.removeChild(element);
        }
      }

      return doc.getElementsByTagName(HTML);

    case HEAD:
    case BODY:
      elements = parseFromDocument(html).getElementsByTagName(firstTagName);

      // if there's a sibling element, then return both elements
      if (BODY_TAG_REGEX.test(html) && HEAD_TAG_REGEX.test(html)) {
        return elements[0].parentNode.childNodes;
      }
      return elements;

    // low-level tag or text
    default:
      if (parseFromTemplate) {
        return parseFromTemplate(html);
      }

      return parseFromDocument(html, BODY).getElementsByTagName(BODY)[0]
        .childNodes;
  }
}

module.exports = domparser;


/***/ }),

/***/ "./node_modules/html-dom-parser/lib/client/html-to-dom.js":
/*!****************************************************************!*\
  !*** ./node_modules/html-dom-parser/lib/client/html-to-dom.js ***!
  \****************************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var domparser = __webpack_require__(/*! ./domparser */ "./node_modules/html-dom-parser/lib/client/domparser.js");
var formatDOM = (__webpack_require__(/*! ./utilities */ "./node_modules/html-dom-parser/lib/client/utilities.js").formatDOM);

var DIRECTIVE_REGEX = /<(![a-zA-Z\s]+)>/; // e.g., <!doctype html>

/**
 * Parses HTML string to DOM nodes in browser.
 *
 * @param  {string} html  - HTML markup.
 * @return {DomElement[]} - DOM elements.
 */
function HTMLDOMParser(html) {
  if (typeof html !== 'string') {
    throw new TypeError('First argument must be a string');
  }

  if (html === '') {
    return [];
  }

  // match directive
  var match = html.match(DIRECTIVE_REGEX);
  var directive;

  if (match && match[1]) {
    directive = match[1];
  }

  return formatDOM(domparser(html), null, directive);
}

module.exports = HTMLDOMParser;


/***/ }),

/***/ "./node_modules/html-dom-parser/lib/client/utilities.js":
/*!**************************************************************!*\
  !*** ./node_modules/html-dom-parser/lib/client/utilities.js ***!
  \**************************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var constants = __webpack_require__(/*! ./constants */ "./node_modules/html-dom-parser/lib/client/constants.js");
var domhandler = __webpack_require__(/*! domhandler/lib/node */ "./node_modules/html-dom-parser/node_modules/domhandler/lib/node.js");

var CASE_SENSITIVE_TAG_NAMES = constants.CASE_SENSITIVE_TAG_NAMES;

var Comment = domhandler.Comment;
var Element = domhandler.Element;
var ProcessingInstruction = domhandler.ProcessingInstruction;
var Text = domhandler.Text;

var caseSensitiveTagNamesMap = {};
var tagName;

for (var i = 0, len = CASE_SENSITIVE_TAG_NAMES.length; i < len; i++) {
  tagName = CASE_SENSITIVE_TAG_NAMES[i];
  caseSensitiveTagNamesMap[tagName.toLowerCase()] = tagName;
}

/**
 * Gets case-sensitive tag name.
 *
 * @param  {string}           tagName - Tag name in lowercase.
 * @return {string|undefined}         - Case-sensitive tag name.
 */
function getCaseSensitiveTagName(tagName) {
  return caseSensitiveTagNamesMap[tagName];
}

/**
 * Formats DOM attributes to a hash map.
 *
 * @param  {NamedNodeMap} attributes - List of attributes.
 * @return {object}                  - Map of attribute name to value.
 */
function formatAttributes(attributes) {
  var result = {};
  var attribute;
  // `NamedNodeMap` is array-like
  for (var i = 0, len = attributes.length; i < len; i++) {
    attribute = attributes[i];
    result[attribute.name] = attribute.value;
  }
  return result;
}

/**
 * Corrects the tag name if it is case-sensitive (SVG).
 * Otherwise, returns the lowercase tag name (HTML).
 *
 * @param  {string} tagName - Lowercase tag name.
 * @return {string}         - Formatted tag name.
 */
function formatTagName(tagName) {
  tagName = tagName.toLowerCase();
  var caseSensitiveTagName = getCaseSensitiveTagName(tagName);
  if (caseSensitiveTagName) {
    return caseSensitiveTagName;
  }
  return tagName;
}

/**
 * Transforms DOM nodes to `domhandler` nodes.
 *
 * @param  {NodeList}     nodes         - DOM nodes.
 * @param  {Element|null} [parent=null] - Parent node.
 * @param  {string}       [directive]   - Directive.
 * @return {Array<Comment|Element|ProcessingInstruction|Text>}
 */
function formatDOM(nodes, parent, directive) {
  parent = parent || null;
  var result = [];

  for (var index = 0, len = nodes.length; index < len; index++) {
    var node = nodes[index];
    var current;

    // set the node data given the type
    switch (node.nodeType) {
      case 1:
        // script, style, or tag
        current = new Element(
          formatTagName(node.nodeName),
          formatAttributes(node.attributes)
        );
        current.children = formatDOM(node.childNodes, current);
        break;

      case 3:
        current = new Text(node.nodeValue);
        break;

      case 8:
        current = new Comment(node.nodeValue);
        break;

      default:
        continue;
    }

    // set previous node next
    var prev = result[index - 1] || null;
    if (prev) {
      prev.next = current;
    }

    // set properties for current node
    current.parent = parent;
    current.prev = prev;
    current.next = null;

    result.push(current);
  }

  if (directive) {
    current = new ProcessingInstruction(
      directive.substring(0, directive.indexOf(' ')).toLowerCase(),
      directive
    );
    current.next = result[0] || null;
    current.parent = parent;
    result.unshift(current);

    if (result[1]) {
      result[1].prev = result[0];
    }
  }

  return result;
}

/**
 * Detects if browser is Internet Explorer.
 *
 * @return {boolean} - Whether IE is detected.
 */
function isIE() {
  return /(MSIE |Trident\/|Edge\/)/.test(navigator.userAgent);
}

module.exports = {
  formatAttributes: formatAttributes,
  formatDOM: formatDOM,
  isIE: isIE
};


/***/ }),

/***/ "./node_modules/html-dom-parser/node_modules/domhandler/lib/node.js":
/*!**************************************************************************!*\
  !*** ./node_modules/html-dom-parser/node_modules/domhandler/lib/node.js ***!
  \**************************************************************************/
/***/ (function(__unused_webpack_module, exports) {

"use strict";

var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.cloneNode = exports.Element = exports.Document = exports.NodeWithChildren = exports.ProcessingInstruction = exports.Comment = exports.Text = exports.DataNode = exports.Node = void 0;
var nodeTypes = new Map([
    ["tag" /* Tag */, 1],
    ["script" /* Script */, 1],
    ["style" /* Style */, 1],
    ["directive" /* Directive */, 1],
    ["text" /* Text */, 3],
    ["cdata" /* CDATA */, 4],
    ["comment" /* Comment */, 8],
    ["root" /* Root */, 9],
]);
/**
 * This object will be used as the prototype for Nodes when creating a
 * DOM-Level-1-compliant structure.
 */
var Node = /** @class */ (function () {
    /**
     *
     * @param type The type of the node.
     */
    function Node(type) {
        this.type = type;
        /** Parent of the node */
        this.parent = null;
        /** Previous sibling */
        this.prev = null;
        /** Next sibling */
        this.next = null;
        /** The start index of the node. Requires `withStartIndices` on the handler to be `true. */
        this.startIndex = null;
        /** The end index of the node. Requires `withEndIndices` on the handler to be `true. */
        this.endIndex = null;
    }
    Object.defineProperty(Node.prototype, "nodeType", {
        // Read-only aliases
        get: function () {
            var _a;
            return (_a = nodeTypes.get(this.type)) !== null && _a !== void 0 ? _a : 1;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Node.prototype, "parentNode", {
        // Read-write aliases for properties
        get: function () {
            return this.parent;
        },
        set: function (parent) {
            this.parent = parent;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Node.prototype, "previousSibling", {
        get: function () {
            return this.prev;
        },
        set: function (prev) {
            this.prev = prev;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Node.prototype, "nextSibling", {
        get: function () {
            return this.next;
        },
        set: function (next) {
            this.next = next;
        },
        enumerable: false,
        configurable: true
    });
    /**
     * Clone this node, and optionally its children.
     *
     * @param recursive Clone child nodes as well.
     * @returns A clone of the node.
     */
    Node.prototype.cloneNode = function (recursive) {
        if (recursive === void 0) { recursive = false; }
        return cloneNode(this, recursive);
    };
    return Node;
}());
exports.Node = Node;
var DataNode = /** @class */ (function (_super) {
    __extends(DataNode, _super);
    /**
     * @param type The type of the node
     * @param data The content of the data node
     */
    function DataNode(type, data) {
        var _this = _super.call(this, type) || this;
        _this.data = data;
        return _this;
    }
    Object.defineProperty(DataNode.prototype, "nodeValue", {
        get: function () {
            return this.data;
        },
        set: function (data) {
            this.data = data;
        },
        enumerable: false,
        configurable: true
    });
    return DataNode;
}(Node));
exports.DataNode = DataNode;
var Text = /** @class */ (function (_super) {
    __extends(Text, _super);
    function Text(data) {
        return _super.call(this, "text" /* Text */, data) || this;
    }
    return Text;
}(DataNode));
exports.Text = Text;
var Comment = /** @class */ (function (_super) {
    __extends(Comment, _super);
    function Comment(data) {
        return _super.call(this, "comment" /* Comment */, data) || this;
    }
    return Comment;
}(DataNode));
exports.Comment = Comment;
var ProcessingInstruction = /** @class */ (function (_super) {
    __extends(ProcessingInstruction, _super);
    function ProcessingInstruction(name, data) {
        var _this = _super.call(this, "directive" /* Directive */, data) || this;
        _this.name = name;
        return _this;
    }
    return ProcessingInstruction;
}(DataNode));
exports.ProcessingInstruction = ProcessingInstruction;
/**
 * A `Node` that can have children.
 */
var NodeWithChildren = /** @class */ (function (_super) {
    __extends(NodeWithChildren, _super);
    /**
     * @param type Type of the node.
     * @param children Children of the node. Only certain node types can have children.
     */
    function NodeWithChildren(type, children) {
        var _this = _super.call(this, type) || this;
        _this.children = children;
        return _this;
    }
    Object.defineProperty(NodeWithChildren.prototype, "firstChild", {
        // Aliases
        get: function () {
            var _a;
            return (_a = this.children[0]) !== null && _a !== void 0 ? _a : null;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NodeWithChildren.prototype, "lastChild", {
        get: function () {
            return this.children.length > 0
                ? this.children[this.children.length - 1]
                : null;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(NodeWithChildren.prototype, "childNodes", {
        get: function () {
            return this.children;
        },
        set: function (children) {
            this.children = children;
        },
        enumerable: false,
        configurable: true
    });
    return NodeWithChildren;
}(Node));
exports.NodeWithChildren = NodeWithChildren;
var Document = /** @class */ (function (_super) {
    __extends(Document, _super);
    function Document(children) {
        return _super.call(this, "root" /* Root */, children) || this;
    }
    return Document;
}(NodeWithChildren));
exports.Document = Document;
var Element = /** @class */ (function (_super) {
    __extends(Element, _super);
    /**
     * @param name Name of the tag, eg. `div`, `span`.
     * @param attribs Object mapping attribute names to attribute values.
     * @param children Children of the node.
     */
    function Element(name, attribs, children) {
        if (children === void 0) { children = []; }
        var _this = _super.call(this, name === "script"
            ? "script" /* Script */
            : name === "style"
                ? "style" /* Style */
                : "tag" /* Tag */, children) || this;
        _this.name = name;
        _this.attribs = attribs;
        _this.attribs = attribs;
        return _this;
    }
    Object.defineProperty(Element.prototype, "tagName", {
        // DOM Level 1 aliases
        get: function () {
            return this.name;
        },
        set: function (name) {
            this.name = name;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(Element.prototype, "attributes", {
        get: function () {
            var _this = this;
            return Object.keys(this.attribs).map(function (name) {
                var _a, _b;
                return ({
                    name: name,
                    value: _this.attribs[name],
                    namespace: (_a = _this["x-attribsNamespace"]) === null || _a === void 0 ? void 0 : _a[name],
                    prefix: (_b = _this["x-attribsPrefix"]) === null || _b === void 0 ? void 0 : _b[name],
                });
            });
        },
        enumerable: false,
        configurable: true
    });
    return Element;
}(NodeWithChildren));
exports.Element = Element;
/**
 * Clone a node, and optionally its children.
 *
 * @param recursive Clone child nodes as well.
 * @returns A clone of the node.
 */
function cloneNode(node, recursive) {
    if (recursive === void 0) { recursive = false; }
    var result;
    switch (node.type) {
        case "text" /* Text */:
            result = new Text(node.data);
            break;
        case "directive" /* Directive */: {
            var instr = node;
            result = new ProcessingInstruction(instr.name, instr.data);
            if (instr["x-name"] != null) {
                result["x-name"] = instr["x-name"];
                result["x-publicId"] = instr["x-publicId"];
                result["x-systemId"] = instr["x-systemId"];
            }
            break;
        }
        case "comment" /* Comment */:
            result = new Comment(node.data);
            break;
        case "tag" /* Tag */:
        case "script" /* Script */:
        case "style" /* Style */: {
            var elem = node;
            var children = recursive ? cloneChildren(elem.children) : [];
            var clone_1 = new Element(elem.name, __assign({}, elem.attribs), children);
            children.forEach(function (child) { return (child.parent = clone_1); });
            if (elem["x-attribsNamespace"]) {
                clone_1["x-attribsNamespace"] = __assign({}, elem["x-attribsNamespace"]);
            }
            if (elem["x-attribsPrefix"]) {
                clone_1["x-attribsPrefix"] = __assign({}, elem["x-attribsPrefix"]);
            }
            result = clone_1;
            break;
        }
        case "cdata" /* CDATA */: {
            var cdata = node;
            var children = recursive ? cloneChildren(cdata.children) : [];
            var clone_2 = new NodeWithChildren(node.type, children);
            children.forEach(function (child) { return (child.parent = clone_2); });
            result = clone_2;
            break;
        }
        case "root" /* Root */: {
            var doc = node;
            var children = recursive ? cloneChildren(doc.children) : [];
            var clone_3 = new Document(children);
            children.forEach(function (child) { return (child.parent = clone_3); });
            if (doc["x-mode"]) {
                clone_3["x-mode"] = doc["x-mode"];
            }
            result = clone_3;
            break;
        }
        case "doctype" /* Doctype */: {
            // This type isn't used yet.
            throw new Error("Not implemented yet: ElementType.Doctype case");
        }
    }
    result.startIndex = node.startIndex;
    result.endIndex = node.endIndex;
    return result;
}
exports.cloneNode = cloneNode;
function cloneChildren(childs) {
    var children = childs.map(function (child) { return cloneNode(child, true); });
    for (var i = 1; i < children.length; i++) {
        children[i].prev = children[i - 1];
        children[i - 1].next = children[i];
    }
    return children;
}


/***/ }),

/***/ "./node_modules/html-react-parser/index.js":
/*!*************************************************!*\
  !*** ./node_modules/html-react-parser/index.js ***!
  \*************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var domToReact = __webpack_require__(/*! ./lib/dom-to-react */ "./node_modules/html-react-parser/lib/dom-to-react.js");
var attributesToProps = __webpack_require__(/*! ./lib/attributes-to-props */ "./node_modules/html-react-parser/lib/attributes-to-props.js");
var htmlToDOM = __webpack_require__(/*! html-dom-parser */ "./node_modules/html-dom-parser/lib/client/html-to-dom.js");

var domParserOptions = { lowerCaseAttributeNames: false };

/**
 * Converts HTML string to React elements.
 *
 * @param  {String}   html                    - HTML string.
 * @param  {Object}   [options]               - Parser options.
 * @param  {Object}   [options.htmlparser2]   - htmlparser2 options.
 * @param  {Object}   [options.library]       - Library for React, Preact, etc.
 * @param  {Function} [options.replace]       - Replace method.
 * @return {JSX.Element|JSX.Element[]|String} - React element(s), empty array, or string.
 */
function HTMLReactParser(html, options) {
  if (typeof html !== 'string') {
    throw new TypeError('First argument must be a string');
  }
  if (html === '') {
    return [];
  }
  options = options || {};
  return domToReact(
    htmlToDOM(html, options.htmlparser2 || domParserOptions),
    options
  );
}

HTMLReactParser.domToReact = domToReact;
HTMLReactParser.htmlToDOM = htmlToDOM;
HTMLReactParser.attributesToProps = attributesToProps;

// support CommonJS and ES Modules
module.exports = HTMLReactParser;
module.exports["default"] = HTMLReactParser;


/***/ }),

/***/ "./node_modules/html-react-parser/lib/attributes-to-props.js":
/*!*******************************************************************!*\
  !*** ./node_modules/html-react-parser/lib/attributes-to-props.js ***!
  \*******************************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var reactProperty = __webpack_require__(/*! react-property */ "./node_modules/react-property/index.js");
var utilities = __webpack_require__(/*! ./utilities */ "./node_modules/html-react-parser/lib/utilities.js");

var setStyleProp = utilities.setStyleProp;

var htmlProperties = reactProperty.html;
var svgProperties = reactProperty.svg;
var isCustomAttribute = reactProperty.isCustomAttribute;

var hasOwnProperty = Object.prototype.hasOwnProperty;

/**
 * Converts HTML/SVG DOM attributes to React props.
 *
 * @param  {object} [attributes={}] - HTML/SVG DOM attributes.
 * @return {object}                 - React props.
 */
function attributesToProps(attributes) {
  attributes = attributes || {};

  var attributeName;
  var attributeNameLowerCased;
  var attributeValue;
  var property;
  var props = {};

  for (attributeName in attributes) {
    attributeValue = attributes[attributeName];

    // ARIA (aria-*) or custom data (data-*) attribute
    if (isCustomAttribute(attributeName)) {
      props[attributeName] = attributeValue;
      continue;
    }

    // convert HTML attribute to React prop
    attributeNameLowerCased = attributeName.toLowerCase();
    if (hasOwnProperty.call(htmlProperties, attributeNameLowerCased)) {
      property = htmlProperties[attributeNameLowerCased];
      props[property.propertyName] =
        property.hasBooleanValue ||
        (property.hasOverloadedBooleanValue && !attributeValue)
          ? true
          : attributeValue;
      continue;
    }

    // convert SVG attribute to React prop
    if (hasOwnProperty.call(svgProperties, attributeName)) {
      property = svgProperties[attributeName];
      props[property.propertyName] = attributeValue;
      continue;
    }

    // preserve custom attribute if React >=16
    if (utilities.PRESERVE_CUSTOM_ATTRIBUTES) {
      props[attributeName] = attributeValue;
    }
  }

  // transform inline style to object
  setStyleProp(attributes.style, props);

  return props;
}

module.exports = attributesToProps;


/***/ }),

/***/ "./node_modules/html-react-parser/lib/dom-to-react.js":
/*!************************************************************!*\
  !*** ./node_modules/html-react-parser/lib/dom-to-react.js ***!
  \************************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var React = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var attributesToProps = __webpack_require__(/*! ./attributes-to-props */ "./node_modules/html-react-parser/lib/attributes-to-props.js");
var utilities = __webpack_require__(/*! ./utilities */ "./node_modules/html-react-parser/lib/utilities.js");

var setStyleProp = utilities.setStyleProp;

/**
 * Converts DOM nodes to JSX element(s).
 *
 * @param  {DomElement[]} nodes             - DOM nodes.
 * @param  {object}       [options={}]      - Options.
 * @param  {Function}     [options.replace] - Replacer.
 * @param  {object}       [options.library] - Library (React/Preact/etc.).
 * @return {string|JSX.Element|JSX.Element[]}
 */
function domToReact(nodes, options) {
  options = options || {};

  var library = options.library || React;
  var cloneElement = library.cloneElement;
  var createElement = library.createElement;
  var isValidElement = library.isValidElement;

  var result = [];
  var node;
  var hasReplace = typeof options.replace === 'function';
  var replaceElement;
  var props;
  var children;
  var data;
  var trim = options.trim;

  for (var i = 0, len = nodes.length; i < len; i++) {
    node = nodes[i];

    // replace with custom React element (if present)
    if (hasReplace) {
      replaceElement = options.replace(node);

      if (isValidElement(replaceElement)) {
        // set "key" prop for sibling elements
        // https://fb.me/react-warning-keys
        if (len > 1) {
          replaceElement = cloneElement(replaceElement, {
            key: replaceElement.key || i
          });
        }
        result.push(replaceElement);
        continue;
      }
    }

    if (node.type === 'text') {
      // if trim option is enabled, skip whitespace text nodes
      if (trim) {
        data = node.data.trim();
        if (data) {
          result.push(node.data);
        }
      } else {
        result.push(node.data);
      }
      continue;
    }

    props = node.attribs;
    if (skipAttributesToProps(node)) {
      setStyleProp(props.style, props);
    } else if (props) {
      props = attributesToProps(props);
    }

    children = null;

    switch (node.type) {
      case 'script':
      case 'style':
        // prevent text in <script> or <style> from being escaped
        // https://reactjs.org/docs/dom-elements.html#dangerouslysetinnerhtml
        if (node.children[0]) {
          props.dangerouslySetInnerHTML = {
            __html: node.children[0].data
          };
        }
        break;

      case 'tag':
        // setting textarea value in children is an antipattern in React
        // https://reactjs.org/docs/forms.html#the-textarea-tag
        if (node.name === 'textarea' && node.children[0]) {
          props.defaultValue = node.children[0].data;
        } else if (node.children && node.children.length) {
          // continue recursion of creating React elements (if applicable)
          children = domToReact(node.children, options);
        }
        break;

      // skip all other cases (e.g., comment)
      default:
        continue;
    }

    // set "key" prop for sibling elements
    // https://fb.me/react-warning-keys
    if (len > 1) {
      props.key = i;
    }

    result.push(createElement(node.name, props, children));
  }

  return result.length === 1 ? result[0] : result;
}

/**
 * Determines whether DOM element attributes should be transformed to props.
 * Web Components should not have their attributes transformed except for `style`.
 *
 * @param  {DomElement} node
 * @return {boolean}
 */
function skipAttributesToProps(node) {
  return (
    utilities.PRESERVE_CUSTOM_ATTRIBUTES &&
    node.type === 'tag' &&
    utilities.isCustomComponent(node.name, node.attribs)
  );
}

module.exports = domToReact;


/***/ }),

/***/ "./node_modules/html-react-parser/lib/utilities.js":
/*!*********************************************************!*\
  !*** ./node_modules/html-react-parser/lib/utilities.js ***!
  \*********************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var React = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var styleToJS = (__webpack_require__(/*! style-to-js */ "./node_modules/style-to-js/cjs/index.js")["default"]);

/**
 * Swap key with value in an object.
 *
 * @param  {Object}   obj        - The object.
 * @param  {Function} [override] - The override method.
 * @return {Object}              - The inverted object.
 */
function invertObject(obj, override) {
  if (!obj || typeof obj !== 'object') {
    throw new TypeError('First argument must be an object');
  }

  var key;
  var value;
  var isOverridePresent = typeof override === 'function';
  var overrides = {};
  var result = {};

  for (key in obj) {
    value = obj[key];

    if (isOverridePresent) {
      overrides = override(key, value);
      if (overrides && overrides.length === 2) {
        result[overrides[0]] = overrides[1];
        continue;
      }
    }

    if (typeof value === 'string') {
      result[value] = key;
    }
  }

  return result;
}

/**
 * Check if a given tag is a custom component.
 *
 * @see {@link https://github.com/facebook/react/blob/v16.6.3/packages/react-dom/src/shared/isCustomComponent.js}
 *
 * @param {string} tagName - The name of the html tag.
 * @param {Object} props   - The props being passed to the element.
 * @return {boolean}
 */
function isCustomComponent(tagName, props) {
  if (tagName.indexOf('-') === -1) {
    return props && typeof props.is === 'string';
  }

  switch (tagName) {
    // These are reserved SVG and MathML elements.
    // We don't mind this whitelist too much because we expect it to never grow.
    // The alternative is to track the namespace in a few places which is convoluted.
    // https://w3c.github.io/webcomponents/spec/custom/#custom-elements-core-concepts
    case 'annotation-xml':
    case 'color-profile':
    case 'font-face':
    case 'font-face-src':
    case 'font-face-uri':
    case 'font-face-format':
    case 'font-face-name':
    case 'missing-glyph':
      return false;
    default:
      return true;
  }
}

var styleToJSOptions = { reactCompat: true };

/**
 * Sets style prop.
 *
 * @param {null|undefined|string} style
 * @param {object} props
 */
function setStyleProp(style, props) {
  if (style === null || style === undefined) {
    return;
  }
  props.style = styleToJS(style, styleToJSOptions);
}

/**
 * @constant {boolean}
 * @see {@link https://reactjs.org/blog/2017/09/08/dom-attributes-in-react-16.html}
 */
var PRESERVE_CUSTOM_ATTRIBUTES = React.version.split('.')[0] >= 16;

module.exports = {
  PRESERVE_CUSTOM_ATTRIBUTES: PRESERVE_CUSTOM_ATTRIBUTES,
  invertObject: invertObject,
  isCustomComponent: isCustomComponent,
  setStyleProp: setStyleProp
};


/***/ }),

/***/ "./node_modules/inline-style-parser/index.js":
/*!***************************************************!*\
  !*** ./node_modules/inline-style-parser/index.js ***!
  \***************************************************/
/***/ ((module) => {

// http://www.w3.org/TR/CSS21/grammar.html
// https://github.com/visionmedia/css-parse/pull/49#issuecomment-30088027
var COMMENT_REGEX = /\/\*[^*]*\*+([^/*][^*]*\*+)*\//g;

var NEWLINE_REGEX = /\n/g;
var WHITESPACE_REGEX = /^\s*/;

// declaration
var PROPERTY_REGEX = /^(\*?[-#/*\\\w]+(\[[0-9a-z_-]+\])?)\s*/;
var COLON_REGEX = /^:\s*/;
var VALUE_REGEX = /^((?:'(?:\\'|.)*?'|"(?:\\"|.)*?"|\([^)]*?\)|[^};])+)/;
var SEMICOLON_REGEX = /^[;\s]*/;

// https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String/Trim#Polyfill
var TRIM_REGEX = /^\s+|\s+$/g;

// strings
var NEWLINE = '\n';
var FORWARD_SLASH = '/';
var ASTERISK = '*';
var EMPTY_STRING = '';

// types
var TYPE_COMMENT = 'comment';
var TYPE_DECLARATION = 'declaration';

/**
 * @param {String} style
 * @param {Object} [options]
 * @return {Object[]}
 * @throws {TypeError}
 * @throws {Error}
 */
module.exports = function(style, options) {
  if (typeof style !== 'string') {
    throw new TypeError('First argument must be a string');
  }

  if (!style) return [];

  options = options || {};

  /**
   * Positional.
   */
  var lineno = 1;
  var column = 1;

  /**
   * Update lineno and column based on `str`.
   *
   * @param {String} str
   */
  function updatePosition(str) {
    var lines = str.match(NEWLINE_REGEX);
    if (lines) lineno += lines.length;
    var i = str.lastIndexOf(NEWLINE);
    column = ~i ? str.length - i : column + str.length;
  }

  /**
   * Mark position and patch `node.position`.
   *
   * @return {Function}
   */
  function position() {
    var start = { line: lineno, column: column };
    return function(node) {
      node.position = new Position(start);
      whitespace();
      return node;
    };
  }

  /**
   * Store position information for a node.
   *
   * @constructor
   * @property {Object} start
   * @property {Object} end
   * @property {undefined|String} source
   */
  function Position(start) {
    this.start = start;
    this.end = { line: lineno, column: column };
    this.source = options.source;
  }

  /**
   * Non-enumerable source string.
   */
  Position.prototype.content = style;

  var errorsList = [];

  /**
   * Error `msg`.
   *
   * @param {String} msg
   * @throws {Error}
   */
  function error(msg) {
    var err = new Error(
      options.source + ':' + lineno + ':' + column + ': ' + msg
    );
    err.reason = msg;
    err.filename = options.source;
    err.line = lineno;
    err.column = column;
    err.source = style;

    if (options.silent) {
      errorsList.push(err);
    } else {
      throw err;
    }
  }

  /**
   * Match `re` and return captures.
   *
   * @param {RegExp} re
   * @return {undefined|Array}
   */
  function match(re) {
    var m = re.exec(style);
    if (!m) return;
    var str = m[0];
    updatePosition(str);
    style = style.slice(str.length);
    return m;
  }

  /**
   * Parse whitespace.
   */
  function whitespace() {
    match(WHITESPACE_REGEX);
  }

  /**
   * Parse comments.
   *
   * @param {Object[]} [rules]
   * @return {Object[]}
   */
  function comments(rules) {
    var c;
    rules = rules || [];
    while ((c = comment())) {
      if (c !== false) {
        rules.push(c);
      }
    }
    return rules;
  }

  /**
   * Parse comment.
   *
   * @return {Object}
   * @throws {Error}
   */
  function comment() {
    var pos = position();
    if (FORWARD_SLASH != style.charAt(0) || ASTERISK != style.charAt(1)) return;

    var i = 2;
    while (
      EMPTY_STRING != style.charAt(i) &&
      (ASTERISK != style.charAt(i) || FORWARD_SLASH != style.charAt(i + 1))
    ) {
      ++i;
    }
    i += 2;

    if (EMPTY_STRING === style.charAt(i - 1)) {
      return error('End of comment missing');
    }

    var str = style.slice(2, i - 2);
    column += 2;
    updatePosition(str);
    style = style.slice(i);
    column += 2;

    return pos({
      type: TYPE_COMMENT,
      comment: str
    });
  }

  /**
   * Parse declaration.
   *
   * @return {Object}
   * @throws {Error}
   */
  function declaration() {
    var pos = position();

    // prop
    var prop = match(PROPERTY_REGEX);
    if (!prop) return;
    comment();

    // :
    if (!match(COLON_REGEX)) return error("property missing ':'");

    // val
    var val = match(VALUE_REGEX);

    var ret = pos({
      type: TYPE_DECLARATION,
      property: trim(prop[0].replace(COMMENT_REGEX, EMPTY_STRING)),
      value: val
        ? trim(val[0].replace(COMMENT_REGEX, EMPTY_STRING))
        : EMPTY_STRING
    });

    // ;
    match(SEMICOLON_REGEX);

    return ret;
  }

  /**
   * Parse declarations.
   *
   * @return {Object[]}
   */
  function declarations() {
    var decls = [];

    comments(decls);

    // declarations
    var decl;
    while ((decl = declaration())) {
      if (decl !== false) {
        decls.push(decl);
        comments(decls);
      }
    }

    return decls;
  }

  whitespace();
  return declarations();
};

/**
 * Trim `str`.
 *
 * @param {String} str
 * @return {String}
 */
function trim(str) {
  return str ? str.replace(TRIM_REGEX, EMPTY_STRING) : EMPTY_STRING;
}


/***/ }),

/***/ "./node_modules/lodash/lodash.js":
/*!***************************************!*\
  !*** ./node_modules/lodash/lodash.js ***!
  \***************************************/
/***/ (function(module, exports, __webpack_require__) {

/* module decorator */ module = __webpack_require__.nmd(module);
var __WEBPACK_AMD_DEFINE_RESULT__;/**
 * @license
 * Lodash <https://lodash.com/>
 * Copyright OpenJS Foundation and other contributors <https://openjsf.org/>
 * Released under MIT license <https://lodash.com/license>
 * Based on Underscore.js 1.8.3 <http://underscorejs.org/LICENSE>
 * Copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters & Editors
 */
;(function() {

  /** Used as a safe reference for `undefined` in pre-ES5 environments. */
  var undefined;

  /** Used as the semantic version number. */
  var VERSION = '4.17.21';

  /** Used as the size to enable large array optimizations. */
  var LARGE_ARRAY_SIZE = 200;

  /** Error message constants. */
  var CORE_ERROR_TEXT = 'Unsupported core-js use. Try https://npms.io/search?q=ponyfill.',
      FUNC_ERROR_TEXT = 'Expected a function',
      INVALID_TEMPL_VAR_ERROR_TEXT = 'Invalid `variable` option passed into `_.template`';

  /** Used to stand-in for `undefined` hash values. */
  var HASH_UNDEFINED = '__lodash_hash_undefined__';

  /** Used as the maximum memoize cache size. */
  var MAX_MEMOIZE_SIZE = 500;

  /** Used as the internal argument placeholder. */
  var PLACEHOLDER = '__lodash_placeholder__';

  /** Used to compose bitmasks for cloning. */
  var CLONE_DEEP_FLAG = 1,
      CLONE_FLAT_FLAG = 2,
      CLONE_SYMBOLS_FLAG = 4;

  /** Used to compose bitmasks for value comparisons. */
  var COMPARE_PARTIAL_FLAG = 1,
      COMPARE_UNORDERED_FLAG = 2;

  /** Used to compose bitmasks for function metadata. */
  var WRAP_BIND_FLAG = 1,
      WRAP_BIND_KEY_FLAG = 2,
      WRAP_CURRY_BOUND_FLAG = 4,
      WRAP_CURRY_FLAG = 8,
      WRAP_CURRY_RIGHT_FLAG = 16,
      WRAP_PARTIAL_FLAG = 32,
      WRAP_PARTIAL_RIGHT_FLAG = 64,
      WRAP_ARY_FLAG = 128,
      WRAP_REARG_FLAG = 256,
      WRAP_FLIP_FLAG = 512;

  /** Used as default options for `_.truncate`. */
  var DEFAULT_TRUNC_LENGTH = 30,
      DEFAULT_TRUNC_OMISSION = '...';

  /** Used to detect hot functions by number of calls within a span of milliseconds. */
  var HOT_COUNT = 800,
      HOT_SPAN = 16;

  /** Used to indicate the type of lazy iteratees. */
  var LAZY_FILTER_FLAG = 1,
      LAZY_MAP_FLAG = 2,
      LAZY_WHILE_FLAG = 3;

  /** Used as references for various `Number` constants. */
  var INFINITY = 1 / 0,
      MAX_SAFE_INTEGER = 9007199254740991,
      MAX_INTEGER = 1.7976931348623157e+308,
      NAN = 0 / 0;

  /** Used as references for the maximum length and index of an array. */
  var MAX_ARRAY_LENGTH = 4294967295,
      MAX_ARRAY_INDEX = MAX_ARRAY_LENGTH - 1,
      HALF_MAX_ARRAY_LENGTH = MAX_ARRAY_LENGTH >>> 1;

  /** Used to associate wrap methods with their bit flags. */
  var wrapFlags = [
    ['ary', WRAP_ARY_FLAG],
    ['bind', WRAP_BIND_FLAG],
    ['bindKey', WRAP_BIND_KEY_FLAG],
    ['curry', WRAP_CURRY_FLAG],
    ['curryRight', WRAP_CURRY_RIGHT_FLAG],
    ['flip', WRAP_FLIP_FLAG],
    ['partial', WRAP_PARTIAL_FLAG],
    ['partialRight', WRAP_PARTIAL_RIGHT_FLAG],
    ['rearg', WRAP_REARG_FLAG]
  ];

  /** `Object#toString` result references. */
  var argsTag = '[object Arguments]',
      arrayTag = '[object Array]',
      asyncTag = '[object AsyncFunction]',
      boolTag = '[object Boolean]',
      dateTag = '[object Date]',
      domExcTag = '[object DOMException]',
      errorTag = '[object Error]',
      funcTag = '[object Function]',
      genTag = '[object GeneratorFunction]',
      mapTag = '[object Map]',
      numberTag = '[object Number]',
      nullTag = '[object Null]',
      objectTag = '[object Object]',
      promiseTag = '[object Promise]',
      proxyTag = '[object Proxy]',
      regexpTag = '[object RegExp]',
      setTag = '[object Set]',
      stringTag = '[object String]',
      symbolTag = '[object Symbol]',
      undefinedTag = '[object Undefined]',
      weakMapTag = '[object WeakMap]',
      weakSetTag = '[object WeakSet]';

  var arrayBufferTag = '[object ArrayBuffer]',
      dataViewTag = '[object DataView]',
      float32Tag = '[object Float32Array]',
      float64Tag = '[object Float64Array]',
      int8Tag = '[object Int8Array]',
      int16Tag = '[object Int16Array]',
      int32Tag = '[object Int32Array]',
      uint8Tag = '[object Uint8Array]',
      uint8ClampedTag = '[object Uint8ClampedArray]',
      uint16Tag = '[object Uint16Array]',
      uint32Tag = '[object Uint32Array]';

  /** Used to match empty string literals in compiled template source. */
  var reEmptyStringLeading = /\b__p \+= '';/g,
      reEmptyStringMiddle = /\b(__p \+=) '' \+/g,
      reEmptyStringTrailing = /(__e\(.*?\)|\b__t\)) \+\n'';/g;

  /** Used to match HTML entities and HTML characters. */
  var reEscapedHtml = /&(?:amp|lt|gt|quot|#39);/g,
      reUnescapedHtml = /[&<>"']/g,
      reHasEscapedHtml = RegExp(reEscapedHtml.source),
      reHasUnescapedHtml = RegExp(reUnescapedHtml.source);

  /** Used to match template delimiters. */
  var reEscape = /<%-([\s\S]+?)%>/g,
      reEvaluate = /<%([\s\S]+?)%>/g,
      reInterpolate = /<%=([\s\S]+?)%>/g;

  /** Used to match property names within property paths. */
  var reIsDeepProp = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/,
      reIsPlainProp = /^\w*$/,
      rePropName = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g;

  /**
   * Used to match `RegExp`
   * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
   */
  var reRegExpChar = /[\\^$.*+?()[\]{}|]/g,
      reHasRegExpChar = RegExp(reRegExpChar.source);

  /** Used to match leading whitespace. */
  var reTrimStart = /^\s+/;

  /** Used to match a single whitespace character. */
  var reWhitespace = /\s/;

  /** Used to match wrap detail comments. */
  var reWrapComment = /\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/,
      reWrapDetails = /\{\n\/\* \[wrapped with (.+)\] \*/,
      reSplitDetails = /,? & /;

  /** Used to match words composed of alphanumeric characters. */
  var reAsciiWord = /[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g;

  /**
   * Used to validate the `validate` option in `_.template` variable.
   *
   * Forbids characters which could potentially change the meaning of the function argument definition:
   * - "()," (modification of function parameters)
   * - "=" (default value)
   * - "[]{}" (destructuring of function parameters)
   * - "/" (beginning of a comment)
   * - whitespace
   */
  var reForbiddenIdentifierChars = /[()=,{}\[\]\/\s]/;

  /** Used to match backslashes in property paths. */
  var reEscapeChar = /\\(\\)?/g;

  /**
   * Used to match
   * [ES template delimiters](http://ecma-international.org/ecma-262/7.0/#sec-template-literal-lexical-components).
   */
  var reEsTemplate = /\$\{([^\\}]*(?:\\.[^\\}]*)*)\}/g;

  /** Used to match `RegExp` flags from their coerced string values. */
  var reFlags = /\w*$/;

  /** Used to detect bad signed hexadecimal string values. */
  var reIsBadHex = /^[-+]0x[0-9a-f]+$/i;

  /** Used to detect binary string values. */
  var reIsBinary = /^0b[01]+$/i;

  /** Used to detect host constructors (Safari). */
  var reIsHostCtor = /^\[object .+?Constructor\]$/;

  /** Used to detect octal string values. */
  var reIsOctal = /^0o[0-7]+$/i;

  /** Used to detect unsigned integer values. */
  var reIsUint = /^(?:0|[1-9]\d*)$/;

  /** Used to match Latin Unicode letters (excluding mathematical operators). */
  var reLatin = /[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g;

  /** Used to ensure capturing order of template delimiters. */
  var reNoMatch = /($^)/;

  /** Used to match unescaped characters in compiled string literals. */
  var reUnescapedString = /['\n\r\u2028\u2029\\]/g;

  /** Used to compose unicode character classes. */
  var rsAstralRange = '\\ud800-\\udfff',
      rsComboMarksRange = '\\u0300-\\u036f',
      reComboHalfMarksRange = '\\ufe20-\\ufe2f',
      rsComboSymbolsRange = '\\u20d0-\\u20ff',
      rsComboRange = rsComboMarksRange + reComboHalfMarksRange + rsComboSymbolsRange,
      rsDingbatRange = '\\u2700-\\u27bf',
      rsLowerRange = 'a-z\\xdf-\\xf6\\xf8-\\xff',
      rsMathOpRange = '\\xac\\xb1\\xd7\\xf7',
      rsNonCharRange = '\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf',
      rsPunctuationRange = '\\u2000-\\u206f',
      rsSpaceRange = ' \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000',
      rsUpperRange = 'A-Z\\xc0-\\xd6\\xd8-\\xde',
      rsVarRange = '\\ufe0e\\ufe0f',
      rsBreakRange = rsMathOpRange + rsNonCharRange + rsPunctuationRange + rsSpaceRange;

  /** Used to compose unicode capture groups. */
  var rsApos = "['\u2019]",
      rsAstral = '[' + rsAstralRange + ']',
      rsBreak = '[' + rsBreakRange + ']',
      rsCombo = '[' + rsComboRange + ']',
      rsDigits = '\\d+',
      rsDingbat = '[' + rsDingbatRange + ']',
      rsLower = '[' + rsLowerRange + ']',
      rsMisc = '[^' + rsAstralRange + rsBreakRange + rsDigits + rsDingbatRange + rsLowerRange + rsUpperRange + ']',
      rsFitz = '\\ud83c[\\udffb-\\udfff]',
      rsModifier = '(?:' + rsCombo + '|' + rsFitz + ')',
      rsNonAstral = '[^' + rsAstralRange + ']',
      rsRegional = '(?:\\ud83c[\\udde6-\\uddff]){2}',
      rsSurrPair = '[\\ud800-\\udbff][\\udc00-\\udfff]',
      rsUpper = '[' + rsUpperRange + ']',
      rsZWJ = '\\u200d';

  /** Used to compose unicode regexes. */
  var rsMiscLower = '(?:' + rsLower + '|' + rsMisc + ')',
      rsMiscUpper = '(?:' + rsUpper + '|' + rsMisc + ')',
      rsOptContrLower = '(?:' + rsApos + '(?:d|ll|m|re|s|t|ve))?',
      rsOptContrUpper = '(?:' + rsApos + '(?:D|LL|M|RE|S|T|VE))?',
      reOptMod = rsModifier + '?',
      rsOptVar = '[' + rsVarRange + ']?',
      rsOptJoin = '(?:' + rsZWJ + '(?:' + [rsNonAstral, rsRegional, rsSurrPair].join('|') + ')' + rsOptVar + reOptMod + ')*',
      rsOrdLower = '\\d*(?:1st|2nd|3rd|(?![123])\\dth)(?=\\b|[A-Z_])',
      rsOrdUpper = '\\d*(?:1ST|2ND|3RD|(?![123])\\dTH)(?=\\b|[a-z_])',
      rsSeq = rsOptVar + reOptMod + rsOptJoin,
      rsEmoji = '(?:' + [rsDingbat, rsRegional, rsSurrPair].join('|') + ')' + rsSeq,
      rsSymbol = '(?:' + [rsNonAstral + rsCombo + '?', rsCombo, rsRegional, rsSurrPair, rsAstral].join('|') + ')';

  /** Used to match apostrophes. */
  var reApos = RegExp(rsApos, 'g');

  /**
   * Used to match [combining diacritical marks](https://en.wikipedia.org/wiki/Combining_Diacritical_Marks) and
   * [combining diacritical marks for symbols](https://en.wikipedia.org/wiki/Combining_Diacritical_Marks_for_Symbols).
   */
  var reComboMark = RegExp(rsCombo, 'g');

  /** Used to match [string symbols](https://mathiasbynens.be/notes/javascript-unicode). */
  var reUnicode = RegExp(rsFitz + '(?=' + rsFitz + ')|' + rsSymbol + rsSeq, 'g');

  /** Used to match complex or compound words. */
  var reUnicodeWord = RegExp([
    rsUpper + '?' + rsLower + '+' + rsOptContrLower + '(?=' + [rsBreak, rsUpper, '$'].join('|') + ')',
    rsMiscUpper + '+' + rsOptContrUpper + '(?=' + [rsBreak, rsUpper + rsMiscLower, '$'].join('|') + ')',
    rsUpper + '?' + rsMiscLower + '+' + rsOptContrLower,
    rsUpper + '+' + rsOptContrUpper,
    rsOrdUpper,
    rsOrdLower,
    rsDigits,
    rsEmoji
  ].join('|'), 'g');

  /** Used to detect strings with [zero-width joiners or code points from the astral planes](http://eev.ee/blog/2015/09/12/dark-corners-of-unicode/). */
  var reHasUnicode = RegExp('[' + rsZWJ + rsAstralRange  + rsComboRange + rsVarRange + ']');

  /** Used to detect strings that need a more robust regexp to match words. */
  var reHasUnicodeWord = /[a-z][A-Z]|[A-Z]{2}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/;

  /** Used to assign default `context` object properties. */
  var contextProps = [
    'Array', 'Buffer', 'DataView', 'Date', 'Error', 'Float32Array', 'Float64Array',
    'Function', 'Int8Array', 'Int16Array', 'Int32Array', 'Map', 'Math', 'Object',
    'Promise', 'RegExp', 'Set', 'String', 'Symbol', 'TypeError', 'Uint8Array',
    'Uint8ClampedArray', 'Uint16Array', 'Uint32Array', 'WeakMap',
    '_', 'clearTimeout', 'isFinite', 'parseInt', 'setTimeout'
  ];

  /** Used to make template sourceURLs easier to identify. */
  var templateCounter = -1;

  /** Used to identify `toStringTag` values of typed arrays. */
  var typedArrayTags = {};
  typedArrayTags[float32Tag] = typedArrayTags[float64Tag] =
  typedArrayTags[int8Tag] = typedArrayTags[int16Tag] =
  typedArrayTags[int32Tag] = typedArrayTags[uint8Tag] =
  typedArrayTags[uint8ClampedTag] = typedArrayTags[uint16Tag] =
  typedArrayTags[uint32Tag] = true;
  typedArrayTags[argsTag] = typedArrayTags[arrayTag] =
  typedArrayTags[arrayBufferTag] = typedArrayTags[boolTag] =
  typedArrayTags[dataViewTag] = typedArrayTags[dateTag] =
  typedArrayTags[errorTag] = typedArrayTags[funcTag] =
  typedArrayTags[mapTag] = typedArrayTags[numberTag] =
  typedArrayTags[objectTag] = typedArrayTags[regexpTag] =
  typedArrayTags[setTag] = typedArrayTags[stringTag] =
  typedArrayTags[weakMapTag] = false;

  /** Used to identify `toStringTag` values supported by `_.clone`. */
  var cloneableTags = {};
  cloneableTags[argsTag] = cloneableTags[arrayTag] =
  cloneableTags[arrayBufferTag] = cloneableTags[dataViewTag] =
  cloneableTags[boolTag] = cloneableTags[dateTag] =
  cloneableTags[float32Tag] = cloneableTags[float64Tag] =
  cloneableTags[int8Tag] = cloneableTags[int16Tag] =
  cloneableTags[int32Tag] = cloneableTags[mapTag] =
  cloneableTags[numberTag] = cloneableTags[objectTag] =
  cloneableTags[regexpTag] = cloneableTags[setTag] =
  cloneableTags[stringTag] = cloneableTags[symbolTag] =
  cloneableTags[uint8Tag] = cloneableTags[uint8ClampedTag] =
  cloneableTags[uint16Tag] = cloneableTags[uint32Tag] = true;
  cloneableTags[errorTag] = cloneableTags[funcTag] =
  cloneableTags[weakMapTag] = false;

  /** Used to map Latin Unicode letters to basic Latin letters. */
  var deburredLetters = {
    // Latin-1 Supplement block.
    '\xc0': 'A',  '\xc1': 'A', '\xc2': 'A', '\xc3': 'A', '\xc4': 'A', '\xc5': 'A',
    '\xe0': 'a',  '\xe1': 'a', '\xe2': 'a', '\xe3': 'a', '\xe4': 'a', '\xe5': 'a',
    '\xc7': 'C',  '\xe7': 'c',
    '\xd0': 'D',  '\xf0': 'd',
    '\xc8': 'E',  '\xc9': 'E', '\xca': 'E', '\xcb': 'E',
    '\xe8': 'e',  '\xe9': 'e', '\xea': 'e', '\xeb': 'e',
    '\xcc': 'I',  '\xcd': 'I', '\xce': 'I', '\xcf': 'I',
    '\xec': 'i',  '\xed': 'i', '\xee': 'i', '\xef': 'i',
    '\xd1': 'N',  '\xf1': 'n',
    '\xd2': 'O',  '\xd3': 'O', '\xd4': 'O', '\xd5': 'O', '\xd6': 'O', '\xd8': 'O',
    '\xf2': 'o',  '\xf3': 'o', '\xf4': 'o', '\xf5': 'o', '\xf6': 'o', '\xf8': 'o',
    '\xd9': 'U',  '\xda': 'U', '\xdb': 'U', '\xdc': 'U',
    '\xf9': 'u',  '\xfa': 'u', '\xfb': 'u', '\xfc': 'u',
    '\xdd': 'Y',  '\xfd': 'y', '\xff': 'y',
    '\xc6': 'Ae', '\xe6': 'ae',
    '\xde': 'Th', '\xfe': 'th',
    '\xdf': 'ss',
    // Latin Extended-A block.
    '\u0100': 'A',  '\u0102': 'A', '\u0104': 'A',
    '\u0101': 'a',  '\u0103': 'a', '\u0105': 'a',
    '\u0106': 'C',  '\u0108': 'C', '\u010a': 'C', '\u010c': 'C',
    '\u0107': 'c',  '\u0109': 'c', '\u010b': 'c', '\u010d': 'c',
    '\u010e': 'D',  '\u0110': 'D', '\u010f': 'd', '\u0111': 'd',
    '\u0112': 'E',  '\u0114': 'E', '\u0116': 'E', '\u0118': 'E', '\u011a': 'E',
    '\u0113': 'e',  '\u0115': 'e', '\u0117': 'e', '\u0119': 'e', '\u011b': 'e',
    '\u011c': 'G',  '\u011e': 'G', '\u0120': 'G', '\u0122': 'G',
    '\u011d': 'g',  '\u011f': 'g', '\u0121': 'g', '\u0123': 'g',
    '\u0124': 'H',  '\u0126': 'H', '\u0125': 'h', '\u0127': 'h',
    '\u0128': 'I',  '\u012a': 'I', '\u012c': 'I', '\u012e': 'I', '\u0130': 'I',
    '\u0129': 'i',  '\u012b': 'i', '\u012d': 'i', '\u012f': 'i', '\u0131': 'i',
    '\u0134': 'J',  '\u0135': 'j',
    '\u0136': 'K',  '\u0137': 'k', '\u0138': 'k',
    '\u0139': 'L',  '\u013b': 'L', '\u013d': 'L', '\u013f': 'L', '\u0141': 'L',
    '\u013a': 'l',  '\u013c': 'l', '\u013e': 'l', '\u0140': 'l', '\u0142': 'l',
    '\u0143': 'N',  '\u0145': 'N', '\u0147': 'N', '\u014a': 'N',
    '\u0144': 'n',  '\u0146': 'n', '\u0148': 'n', '\u014b': 'n',
    '\u014c': 'O',  '\u014e': 'O', '\u0150': 'O',
    '\u014d': 'o',  '\u014f': 'o', '\u0151': 'o',
    '\u0154': 'R',  '\u0156': 'R', '\u0158': 'R',
    '\u0155': 'r',  '\u0157': 'r', '\u0159': 'r',
    '\u015a': 'S',  '\u015c': 'S', '\u015e': 'S', '\u0160': 'S',
    '\u015b': 's',  '\u015d': 's', '\u015f': 's', '\u0161': 's',
    '\u0162': 'T',  '\u0164': 'T', '\u0166': 'T',
    '\u0163': 't',  '\u0165': 't', '\u0167': 't',
    '\u0168': 'U',  '\u016a': 'U', '\u016c': 'U', '\u016e': 'U', '\u0170': 'U', '\u0172': 'U',
    '\u0169': 'u',  '\u016b': 'u', '\u016d': 'u', '\u016f': 'u', '\u0171': 'u', '\u0173': 'u',
    '\u0174': 'W',  '\u0175': 'w',
    '\u0176': 'Y',  '\u0177': 'y', '\u0178': 'Y',
    '\u0179': 'Z',  '\u017b': 'Z', '\u017d': 'Z',
    '\u017a': 'z',  '\u017c': 'z', '\u017e': 'z',
    '\u0132': 'IJ', '\u0133': 'ij',
    '\u0152': 'Oe', '\u0153': 'oe',
    '\u0149': "'n", '\u017f': 's'
  };

  /** Used to map characters to HTML entities. */
  var htmlEscapes = {
    '&': '&amp;',
    '<': '&lt;',
    '>': '&gt;',
    '"': '&quot;',
    "'": '&#39;'
  };

  /** Used to map HTML entities to characters. */
  var htmlUnescapes = {
    '&amp;': '&',
    '&lt;': '<',
    '&gt;': '>',
    '&quot;': '"',
    '&#39;': "'"
  };

  /** Used to escape characters for inclusion in compiled string literals. */
  var stringEscapes = {
    '\\': '\\',
    "'": "'",
    '\n': 'n',
    '\r': 'r',
    '\u2028': 'u2028',
    '\u2029': 'u2029'
  };

  /** Built-in method references without a dependency on `root`. */
  var freeParseFloat = parseFloat,
      freeParseInt = parseInt;

  /** Detect free variable `global` from Node.js. */
  var freeGlobal = typeof __webpack_require__.g == 'object' && __webpack_require__.g && __webpack_require__.g.Object === Object && __webpack_require__.g;

  /** Detect free variable `self`. */
  var freeSelf = typeof self == 'object' && self && self.Object === Object && self;

  /** Used as a reference to the global object. */
  var root = freeGlobal || freeSelf || Function('return this')();

  /** Detect free variable `exports`. */
  var freeExports =  true && exports && !exports.nodeType && exports;

  /** Detect free variable `module`. */
  var freeModule = freeExports && "object" == 'object' && module && !module.nodeType && module;

  /** Detect the popular CommonJS extension `module.exports`. */
  var moduleExports = freeModule && freeModule.exports === freeExports;

  /** Detect free variable `process` from Node.js. */
  var freeProcess = moduleExports && freeGlobal.process;

  /** Used to access faster Node.js helpers. */
  var nodeUtil = (function() {
    try {
      // Use `util.types` for Node.js 10+.
      var types = freeModule && freeModule.require && freeModule.require('util').types;

      if (types) {
        return types;
      }

      // Legacy `process.binding('util')` for Node.js < 10.
      return freeProcess && freeProcess.binding && freeProcess.binding('util');
    } catch (e) {}
  }());

  /* Node.js helper references. */
  var nodeIsArrayBuffer = nodeUtil && nodeUtil.isArrayBuffer,
      nodeIsDate = nodeUtil && nodeUtil.isDate,
      nodeIsMap = nodeUtil && nodeUtil.isMap,
      nodeIsRegExp = nodeUtil && nodeUtil.isRegExp,
      nodeIsSet = nodeUtil && nodeUtil.isSet,
      nodeIsTypedArray = nodeUtil && nodeUtil.isTypedArray;

  /*--------------------------------------------------------------------------*/

  /**
   * A faster alternative to `Function#apply`, this function invokes `func`
   * with the `this` binding of `thisArg` and the arguments of `args`.
   *
   * @private
   * @param {Function} func The function to invoke.
   * @param {*} thisArg The `this` binding of `func`.
   * @param {Array} args The arguments to invoke `func` with.
   * @returns {*} Returns the result of `func`.
   */
  function apply(func, thisArg, args) {
    switch (args.length) {
      case 0: return func.call(thisArg);
      case 1: return func.call(thisArg, args[0]);
      case 2: return func.call(thisArg, args[0], args[1]);
      case 3: return func.call(thisArg, args[0], args[1], args[2]);
    }
    return func.apply(thisArg, args);
  }

  /**
   * A specialized version of `baseAggregator` for arrays.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} setter The function to set `accumulator` values.
   * @param {Function} iteratee The iteratee to transform keys.
   * @param {Object} accumulator The initial aggregated object.
   * @returns {Function} Returns `accumulator`.
   */
  function arrayAggregator(array, setter, iteratee, accumulator) {
    var index = -1,
        length = array == null ? 0 : array.length;

    while (++index < length) {
      var value = array[index];
      setter(accumulator, value, iteratee(value), array);
    }
    return accumulator;
  }

  /**
   * A specialized version of `_.forEach` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns `array`.
   */
  function arrayEach(array, iteratee) {
    var index = -1,
        length = array == null ? 0 : array.length;

    while (++index < length) {
      if (iteratee(array[index], index, array) === false) {
        break;
      }
    }
    return array;
  }

  /**
   * A specialized version of `_.forEachRight` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns `array`.
   */
  function arrayEachRight(array, iteratee) {
    var length = array == null ? 0 : array.length;

    while (length--) {
      if (iteratee(array[length], length, array) === false) {
        break;
      }
    }
    return array;
  }

  /**
   * A specialized version of `_.every` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} predicate The function invoked per iteration.
   * @returns {boolean} Returns `true` if all elements pass the predicate check,
   *  else `false`.
   */
  function arrayEvery(array, predicate) {
    var index = -1,
        length = array == null ? 0 : array.length;

    while (++index < length) {
      if (!predicate(array[index], index, array)) {
        return false;
      }
    }
    return true;
  }

  /**
   * A specialized version of `_.filter` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} predicate The function invoked per iteration.
   * @returns {Array} Returns the new filtered array.
   */
  function arrayFilter(array, predicate) {
    var index = -1,
        length = array == null ? 0 : array.length,
        resIndex = 0,
        result = [];

    while (++index < length) {
      var value = array[index];
      if (predicate(value, index, array)) {
        result[resIndex++] = value;
      }
    }
    return result;
  }

  /**
   * A specialized version of `_.includes` for arrays without support for
   * specifying an index to search from.
   *
   * @private
   * @param {Array} [array] The array to inspect.
   * @param {*} target The value to search for.
   * @returns {boolean} Returns `true` if `target` is found, else `false`.
   */
  function arrayIncludes(array, value) {
    var length = array == null ? 0 : array.length;
    return !!length && baseIndexOf(array, value, 0) > -1;
  }

  /**
   * This function is like `arrayIncludes` except that it accepts a comparator.
   *
   * @private
   * @param {Array} [array] The array to inspect.
   * @param {*} target The value to search for.
   * @param {Function} comparator The comparator invoked per element.
   * @returns {boolean} Returns `true` if `target` is found, else `false`.
   */
  function arrayIncludesWith(array, value, comparator) {
    var index = -1,
        length = array == null ? 0 : array.length;

    while (++index < length) {
      if (comparator(value, array[index])) {
        return true;
      }
    }
    return false;
  }

  /**
   * A specialized version of `_.map` for arrays without support for iteratee
   * shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns the new mapped array.
   */
  function arrayMap(array, iteratee) {
    var index = -1,
        length = array == null ? 0 : array.length,
        result = Array(length);

    while (++index < length) {
      result[index] = iteratee(array[index], index, array);
    }
    return result;
  }

  /**
   * Appends the elements of `values` to `array`.
   *
   * @private
   * @param {Array} array The array to modify.
   * @param {Array} values The values to append.
   * @returns {Array} Returns `array`.
   */
  function arrayPush(array, values) {
    var index = -1,
        length = values.length,
        offset = array.length;

    while (++index < length) {
      array[offset + index] = values[index];
    }
    return array;
  }

  /**
   * A specialized version of `_.reduce` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @param {*} [accumulator] The initial value.
   * @param {boolean} [initAccum] Specify using the first element of `array` as
   *  the initial value.
   * @returns {*} Returns the accumulated value.
   */
  function arrayReduce(array, iteratee, accumulator, initAccum) {
    var index = -1,
        length = array == null ? 0 : array.length;

    if (initAccum && length) {
      accumulator = array[++index];
    }
    while (++index < length) {
      accumulator = iteratee(accumulator, array[index], index, array);
    }
    return accumulator;
  }

  /**
   * A specialized version of `_.reduceRight` for arrays without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @param {*} [accumulator] The initial value.
   * @param {boolean} [initAccum] Specify using the last element of `array` as
   *  the initial value.
   * @returns {*} Returns the accumulated value.
   */
  function arrayReduceRight(array, iteratee, accumulator, initAccum) {
    var length = array == null ? 0 : array.length;
    if (initAccum && length) {
      accumulator = array[--length];
    }
    while (length--) {
      accumulator = iteratee(accumulator, array[length], length, array);
    }
    return accumulator;
  }

  /**
   * A specialized version of `_.some` for arrays without support for iteratee
   * shorthands.
   *
   * @private
   * @param {Array} [array] The array to iterate over.
   * @param {Function} predicate The function invoked per iteration.
   * @returns {boolean} Returns `true` if any element passes the predicate check,
   *  else `false`.
   */
  function arraySome(array, predicate) {
    var index = -1,
        length = array == null ? 0 : array.length;

    while (++index < length) {
      if (predicate(array[index], index, array)) {
        return true;
      }
    }
    return false;
  }

  /**
   * Gets the size of an ASCII `string`.
   *
   * @private
   * @param {string} string The string inspect.
   * @returns {number} Returns the string size.
   */
  var asciiSize = baseProperty('length');

  /**
   * Converts an ASCII `string` to an array.
   *
   * @private
   * @param {string} string The string to convert.
   * @returns {Array} Returns the converted array.
   */
  function asciiToArray(string) {
    return string.split('');
  }

  /**
   * Splits an ASCII `string` into an array of its words.
   *
   * @private
   * @param {string} The string to inspect.
   * @returns {Array} Returns the words of `string`.
   */
  function asciiWords(string) {
    return string.match(reAsciiWord) || [];
  }

  /**
   * The base implementation of methods like `_.findKey` and `_.findLastKey`,
   * without support for iteratee shorthands, which iterates over `collection`
   * using `eachFunc`.
   *
   * @private
   * @param {Array|Object} collection The collection to inspect.
   * @param {Function} predicate The function invoked per iteration.
   * @param {Function} eachFunc The function to iterate over `collection`.
   * @returns {*} Returns the found element or its key, else `undefined`.
   */
  function baseFindKey(collection, predicate, eachFunc) {
    var result;
    eachFunc(collection, function(value, key, collection) {
      if (predicate(value, key, collection)) {
        result = key;
        return false;
      }
    });
    return result;
  }

  /**
   * The base implementation of `_.findIndex` and `_.findLastIndex` without
   * support for iteratee shorthands.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {Function} predicate The function invoked per iteration.
   * @param {number} fromIndex The index to search from.
   * @param {boolean} [fromRight] Specify iterating from right to left.
   * @returns {number} Returns the index of the matched value, else `-1`.
   */
  function baseFindIndex(array, predicate, fromIndex, fromRight) {
    var length = array.length,
        index = fromIndex + (fromRight ? 1 : -1);

    while ((fromRight ? index-- : ++index < length)) {
      if (predicate(array[index], index, array)) {
        return index;
      }
    }
    return -1;
  }

  /**
   * The base implementation of `_.indexOf` without `fromIndex` bounds checks.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {*} value The value to search for.
   * @param {number} fromIndex The index to search from.
   * @returns {number} Returns the index of the matched value, else `-1`.
   */
  function baseIndexOf(array, value, fromIndex) {
    return value === value
      ? strictIndexOf(array, value, fromIndex)
      : baseFindIndex(array, baseIsNaN, fromIndex);
  }

  /**
   * This function is like `baseIndexOf` except that it accepts a comparator.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {*} value The value to search for.
   * @param {number} fromIndex The index to search from.
   * @param {Function} comparator The comparator invoked per element.
   * @returns {number} Returns the index of the matched value, else `-1`.
   */
  function baseIndexOfWith(array, value, fromIndex, comparator) {
    var index = fromIndex - 1,
        length = array.length;

    while (++index < length) {
      if (comparator(array[index], value)) {
        return index;
      }
    }
    return -1;
  }

  /**
   * The base implementation of `_.isNaN` without support for number objects.
   *
   * @private
   * @param {*} value The value to check.
   * @returns {boolean} Returns `true` if `value` is `NaN`, else `false`.
   */
  function baseIsNaN(value) {
    return value !== value;
  }

  /**
   * The base implementation of `_.mean` and `_.meanBy` without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} array The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {number} Returns the mean.
   */
  function baseMean(array, iteratee) {
    var length = array == null ? 0 : array.length;
    return length ? (baseSum(array, iteratee) / length) : NAN;
  }

  /**
   * The base implementation of `_.property` without support for deep paths.
   *
   * @private
   * @param {string} key The key of the property to get.
   * @returns {Function} Returns the new accessor function.
   */
  function baseProperty(key) {
    return function(object) {
      return object == null ? undefined : object[key];
    };
  }

  /**
   * The base implementation of `_.propertyOf` without support for deep paths.
   *
   * @private
   * @param {Object} object The object to query.
   * @returns {Function} Returns the new accessor function.
   */
  function basePropertyOf(object) {
    return function(key) {
      return object == null ? undefined : object[key];
    };
  }

  /**
   * The base implementation of `_.reduce` and `_.reduceRight`, without support
   * for iteratee shorthands, which iterates over `collection` using `eachFunc`.
   *
   * @private
   * @param {Array|Object} collection The collection to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @param {*} accumulator The initial value.
   * @param {boolean} initAccum Specify using the first or last element of
   *  `collection` as the initial value.
   * @param {Function} eachFunc The function to iterate over `collection`.
   * @returns {*} Returns the accumulated value.
   */
  function baseReduce(collection, iteratee, accumulator, initAccum, eachFunc) {
    eachFunc(collection, function(value, index, collection) {
      accumulator = initAccum
        ? (initAccum = false, value)
        : iteratee(accumulator, value, index, collection);
    });
    return accumulator;
  }

  /**
   * The base implementation of `_.sortBy` which uses `comparer` to define the
   * sort order of `array` and replaces criteria objects with their corresponding
   * values.
   *
   * @private
   * @param {Array} array The array to sort.
   * @param {Function} comparer The function to define sort order.
   * @returns {Array} Returns `array`.
   */
  function baseSortBy(array, comparer) {
    var length = array.length;

    array.sort(comparer);
    while (length--) {
      array[length] = array[length].value;
    }
    return array;
  }

  /**
   * The base implementation of `_.sum` and `_.sumBy` without support for
   * iteratee shorthands.
   *
   * @private
   * @param {Array} array The array to iterate over.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {number} Returns the sum.
   */
  function baseSum(array, iteratee) {
    var result,
        index = -1,
        length = array.length;

    while (++index < length) {
      var current = iteratee(array[index]);
      if (current !== undefined) {
        result = result === undefined ? current : (result + current);
      }
    }
    return result;
  }

  /**
   * The base implementation of `_.times` without support for iteratee shorthands
   * or max array length checks.
   *
   * @private
   * @param {number} n The number of times to invoke `iteratee`.
   * @param {Function} iteratee The function invoked per iteration.
   * @returns {Array} Returns the array of results.
   */
  function baseTimes(n, iteratee) {
    var index = -1,
        result = Array(n);

    while (++index < n) {
      result[index] = iteratee(index);
    }
    return result;
  }

  /**
   * The base implementation of `_.toPairs` and `_.toPairsIn` which creates an array
   * of key-value pairs for `object` corresponding to the property names of `props`.
   *
   * @private
   * @param {Object} object The object to query.
   * @param {Array} props The property names to get values for.
   * @returns {Object} Returns the key-value pairs.
   */
  function baseToPairs(object, props) {
    return arrayMap(props, function(key) {
      return [key, object[key]];
    });
  }

  /**
   * The base implementation of `_.trim`.
   *
   * @private
   * @param {string} string The string to trim.
   * @returns {string} Returns the trimmed string.
   */
  function baseTrim(string) {
    return string
      ? string.slice(0, trimmedEndIndex(string) + 1).replace(reTrimStart, '')
      : string;
  }

  /**
   * The base implementation of `_.unary` without support for storing metadata.
   *
   * @private
   * @param {Function} func The function to cap arguments for.
   * @returns {Function} Returns the new capped function.
   */
  function baseUnary(func) {
    return function(value) {
      return func(value);
    };
  }

  /**
   * The base implementation of `_.values` and `_.valuesIn` which creates an
   * array of `object` property values corresponding to the property names
   * of `props`.
   *
   * @private
   * @param {Object} object The object to query.
   * @param {Array} props The property names to get values for.
   * @returns {Object} Returns the array of property values.
   */
  function baseValues(object, props) {
    return arrayMap(props, function(key) {
      return object[key];
    });
  }

  /**
   * Checks if a `cache` value for `key` exists.
   *
   * @private
   * @param {Object} cache The cache to query.
   * @param {string} key The key of the entry to check.
   * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
   */
  function cacheHas(cache, key) {
    return cache.has(key);
  }

  /**
   * Used by `_.trim` and `_.trimStart` to get the index of the first string symbol
   * that is not found in the character symbols.
   *
   * @private
   * @param {Array} strSymbols The string symbols to inspect.
   * @param {Array} chrSymbols The character symbols to find.
   * @returns {number} Returns the index of the first unmatched string symbol.
   */
  function charsStartIndex(strSymbols, chrSymbols) {
    var index = -1,
        length = strSymbols.length;

    while (++index < length && baseIndexOf(chrSymbols, strSymbols[index], 0) > -1) {}
    return index;
  }

  /**
   * Used by `_.trim` and `_.trimEnd` to get the index of the last string symbol
   * that is not found in the character symbols.
   *
   * @private
   * @param {Array} strSymbols The string symbols to inspect.
   * @param {Array} chrSymbols The character symbols to find.
   * @returns {number} Returns the index of the last unmatched string symbol.
   */
  function charsEndIndex(strSymbols, chrSymbols) {
    var index = strSymbols.length;

    while (index-- && baseIndexOf(chrSymbols, strSymbols[index], 0) > -1) {}
    return index;
  }

  /**
   * Gets the number of `placeholder` occurrences in `array`.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {*} placeholder The placeholder to search for.
   * @returns {number} Returns the placeholder count.
   */
  function countHolders(array, placeholder) {
    var length = array.length,
        result = 0;

    while (length--) {
      if (array[length] === placeholder) {
        ++result;
      }
    }
    return result;
  }

  /**
   * Used by `_.deburr` to convert Latin-1 Supplement and Latin Extended-A
   * letters to basic Latin letters.
   *
   * @private
   * @param {string} letter The matched letter to deburr.
   * @returns {string} Returns the deburred letter.
   */
  var deburrLetter = basePropertyOf(deburredLetters);

  /**
   * Used by `_.escape` to convert characters to HTML entities.
   *
   * @private
   * @param {string} chr The matched character to escape.
   * @returns {string} Returns the escaped character.
   */
  var escapeHtmlChar = basePropertyOf(htmlEscapes);

  /**
   * Used by `_.template` to escape characters for inclusion in compiled string literals.
   *
   * @private
   * @param {string} chr The matched character to escape.
   * @returns {string} Returns the escaped character.
   */
  function escapeStringChar(chr) {
    return '\\' + stringEscapes[chr];
  }

  /**
   * Gets the value at `key` of `object`.
   *
   * @private
   * @param {Object} [object] The object to query.
   * @param {string} key The key of the property to get.
   * @returns {*} Returns the property value.
   */
  function getValue(object, key) {
    return object == null ? undefined : object[key];
  }

  /**
   * Checks if `string` contains Unicode symbols.
   *
   * @private
   * @param {string} string The string to inspect.
   * @returns {boolean} Returns `true` if a symbol is found, else `false`.
   */
  function hasUnicode(string) {
    return reHasUnicode.test(string);
  }

  /**
   * Checks if `string` contains a word composed of Unicode symbols.
   *
   * @private
   * @param {string} string The string to inspect.
   * @returns {boolean} Returns `true` if a word is found, else `false`.
   */
  function hasUnicodeWord(string) {
    return reHasUnicodeWord.test(string);
  }

  /**
   * Converts `iterator` to an array.
   *
   * @private
   * @param {Object} iterator The iterator to convert.
   * @returns {Array} Returns the converted array.
   */
  function iteratorToArray(iterator) {
    var data,
        result = [];

    while (!(data = iterator.next()).done) {
      result.push(data.value);
    }
    return result;
  }

  /**
   * Converts `map` to its key-value pairs.
   *
   * @private
   * @param {Object} map The map to convert.
   * @returns {Array} Returns the key-value pairs.
   */
  function mapToArray(map) {
    var index = -1,
        result = Array(map.size);

    map.forEach(function(value, key) {
      result[++index] = [key, value];
    });
    return result;
  }

  /**
   * Creates a unary function that invokes `func` with its argument transformed.
   *
   * @private
   * @param {Function} func The function to wrap.
   * @param {Function} transform The argument transform.
   * @returns {Function} Returns the new function.
   */
  function overArg(func, transform) {
    return function(arg) {
      return func(transform(arg));
    };
  }

  /**
   * Replaces all `placeholder` elements in `array` with an internal placeholder
   * and returns an array of their indexes.
   *
   * @private
   * @param {Array} array The array to modify.
   * @param {*} placeholder The placeholder to replace.
   * @returns {Array} Returns the new array of placeholder indexes.
   */
  function replaceHolders(array, placeholder) {
    var index = -1,
        length = array.length,
        resIndex = 0,
        result = [];

    while (++index < length) {
      var value = array[index];
      if (value === placeholder || value === PLACEHOLDER) {
        array[index] = PLACEHOLDER;
        result[resIndex++] = index;
      }
    }
    return result;
  }

  /**
   * Converts `set` to an array of its values.
   *
   * @private
   * @param {Object} set The set to convert.
   * @returns {Array} Returns the values.
   */
  function setToArray(set) {
    var index = -1,
        result = Array(set.size);

    set.forEach(function(value) {
      result[++index] = value;
    });
    return result;
  }

  /**
   * Converts `set` to its value-value pairs.
   *
   * @private
   * @param {Object} set The set to convert.
   * @returns {Array} Returns the value-value pairs.
   */
  function setToPairs(set) {
    var index = -1,
        result = Array(set.size);

    set.forEach(function(value) {
      result[++index] = [value, value];
    });
    return result;
  }

  /**
   * A specialized version of `_.indexOf` which performs strict equality
   * comparisons of values, i.e. `===`.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {*} value The value to search for.
   * @param {number} fromIndex The index to search from.
   * @returns {number} Returns the index of the matched value, else `-1`.
   */
  function strictIndexOf(array, value, fromIndex) {
    var index = fromIndex - 1,
        length = array.length;

    while (++index < length) {
      if (array[index] === value) {
        return index;
      }
    }
    return -1;
  }

  /**
   * A specialized version of `_.lastIndexOf` which performs strict equality
   * comparisons of values, i.e. `===`.
   *
   * @private
   * @param {Array} array The array to inspect.
   * @param {*} value The value to search for.
   * @param {number} fromIndex The index to search from.
   * @returns {number} Returns the index of the matched value, else `-1`.
   */
  function strictLastIndexOf(array, value, fromIndex) {
    var index = fromIndex + 1;
    while (index--) {
      if (array[index] === value) {
        return index;
      }
    }
    return index;
  }

  /**
   * Gets the number of symbols in `string`.
   *
   * @private
   * @param {string} string The string to inspect.
   * @returns {number} Returns the string size.
   */
  function stringSize(string) {
    return hasUnicode(string)
      ? unicodeSize(string)
      : asciiSize(string);
  }

  /**
   * Converts `string` to an array.
   *
   * @private
   * @param {string} string The string to convert.
   * @returns {Array} Returns the converted array.
   */
  function stringToArray(string) {
    return hasUnicode(string)
      ? unicodeToArray(string)
      : asciiToArray(string);
  }

  /**
   * Used by `_.trim` and `_.trimEnd` to get the index of the last non-whitespace
   * character of `string`.
   *
   * @private
   * @param {string} string The string to inspect.
   * @returns {number} Returns the index of the last non-whitespace character.
   */
  function trimmedEndIndex(string) {
    var index = string.length;

    while (index-- && reWhitespace.test(string.charAt(index))) {}
    return index;
  }

  /**
   * Used by `_.unescape` to convert HTML entities to characters.
   *
   * @private
   * @param {string} chr The matched character to unescape.
   * @returns {string} Returns the unescaped character.
   */
  var unescapeHtmlChar = basePropertyOf(htmlUnescapes);

  /**
   * Gets the size of a Unicode `string`.
   *
   * @private
   * @param {string} string The string inspect.
   * @returns {number} Returns the string size.
   */
  function unicodeSize(string) {
    var result = reUnicode.lastIndex = 0;
    while (reUnicode.test(string)) {
      ++result;
    }
    return result;
  }

  /**
   * Converts a Unicode `string` to an array.
   *
   * @private
   * @param {string} string The string to convert.
   * @returns {Array} Returns the converted array.
   */
  function unicodeToArray(string) {
    return string.match(reUnicode) || [];
  }

  /**
   * Splits a Unicode `string` into an array of its words.
   *
   * @private
   * @param {string} The string to inspect.
   * @returns {Array} Returns the words of `string`.
   */
  function unicodeWords(string) {
    return string.match(reUnicodeWord) || [];
  }

  /*--------------------------------------------------------------------------*/

  /**
   * Create a new pristine `lodash` function using the `context` object.
   *
   * @static
   * @memberOf _
   * @since 1.1.0
   * @category Util
   * @param {Object} [context=root] The context object.
   * @returns {Function} Returns a new `lodash` function.
   * @example
   *
   * _.mixin({ 'foo': _.constant('foo') });
   *
   * var lodash = _.runInContext();
   * lodash.mixin({ 'bar': lodash.constant('bar') });
   *
   * _.isFunction(_.foo);
   * // => true
   * _.isFunction(_.bar);
   * // => false
   *
   * lodash.isFunction(lodash.foo);
   * // => false
   * lodash.isFunction(lodash.bar);
   * // => true
   *
   * // Create a suped-up `defer` in Node.js.
   * var defer = _.runInContext({ 'setTimeout': setImmediate }).defer;
   */
  var runInContext = (function runInContext(context) {
    context = context == null ? root : _.defaults(root.Object(), context, _.pick(root, contextProps));

    /** Built-in constructor references. */
    var Array = context.Array,
        Date = context.Date,
        Error = context.Error,
        Function = context.Function,
        Math = context.Math,
        Object = context.Object,
        RegExp = context.RegExp,
        String = context.String,
        TypeError = context.TypeError;

    /** Used for built-in method references. */
    var arrayProto = Array.prototype,
        funcProto = Function.prototype,
        objectProto = Object.prototype;

    /** Used to detect overreaching core-js shims. */
    var coreJsData = context['__core-js_shared__'];

    /** Used to resolve the decompiled source of functions. */
    var funcToString = funcProto.toString;

    /** Used to check objects for own properties. */
    var hasOwnProperty = objectProto.hasOwnProperty;

    /** Used to generate unique IDs. */
    var idCounter = 0;

    /** Used to detect methods masquerading as native. */
    var maskSrcKey = (function() {
      var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || '');
      return uid ? ('Symbol(src)_1.' + uid) : '';
    }());

    /**
     * Used to resolve the
     * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
     * of values.
     */
    var nativeObjectToString = objectProto.toString;

    /** Used to infer the `Object` constructor. */
    var objectCtorString = funcToString.call(Object);

    /** Used to restore the original `_` reference in `_.noConflict`. */
    var oldDash = root._;

    /** Used to detect if a method is native. */
    var reIsNative = RegExp('^' +
      funcToString.call(hasOwnProperty).replace(reRegExpChar, '\\$&')
      .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
    );

    /** Built-in value references. */
    var Buffer = moduleExports ? context.Buffer : undefined,
        Symbol = context.Symbol,
        Uint8Array = context.Uint8Array,
        allocUnsafe = Buffer ? Buffer.allocUnsafe : undefined,
        getPrototype = overArg(Object.getPrototypeOf, Object),
        objectCreate = Object.create,
        propertyIsEnumerable = objectProto.propertyIsEnumerable,
        splice = arrayProto.splice,
        spreadableSymbol = Symbol ? Symbol.isConcatSpreadable : undefined,
        symIterator = Symbol ? Symbol.iterator : undefined,
        symToStringTag = Symbol ? Symbol.toStringTag : undefined;

    var defineProperty = (function() {
      try {
        var func = getNative(Object, 'defineProperty');
        func({}, '', {});
        return func;
      } catch (e) {}
    }());

    /** Mocked built-ins. */
    var ctxClearTimeout = context.clearTimeout !== root.clearTimeout && context.clearTimeout,
        ctxNow = Date && Date.now !== root.Date.now && Date.now,
        ctxSetTimeout = context.setTimeout !== root.setTimeout && context.setTimeout;

    /* Built-in method references for those with the same name as other `lodash` methods. */
    var nativeCeil = Math.ceil,
        nativeFloor = Math.floor,
        nativeGetSymbols = Object.getOwnPropertySymbols,
        nativeIsBuffer = Buffer ? Buffer.isBuffer : undefined,
        nativeIsFinite = context.isFinite,
        nativeJoin = arrayProto.join,
        nativeKeys = overArg(Object.keys, Object),
        nativeMax = Math.max,
        nativeMin = Math.min,
        nativeNow = Date.now,
        nativeParseInt = context.parseInt,
        nativeRandom = Math.random,
        nativeReverse = arrayProto.reverse;

    /* Built-in method references that are verified to be native. */
    var DataView = getNative(context, 'DataView'),
        Map = getNative(context, 'Map'),
        Promise = getNative(context, 'Promise'),
        Set = getNative(context, 'Set'),
        WeakMap = getNative(context, 'WeakMap'),
        nativeCreate = getNative(Object, 'create');

    /** Used to store function metadata. */
    var metaMap = WeakMap && new WeakMap;

    /** Used to lookup unminified function names. */
    var realNames = {};

    /** Used to detect maps, sets, and weakmaps. */
    var dataViewCtorString = toSource(DataView),
        mapCtorString = toSource(Map),
        promiseCtorString = toSource(Promise),
        setCtorString = toSource(Set),
        weakMapCtorString = toSource(WeakMap);

    /** Used to convert symbols to primitives and strings. */
    var symbolProto = Symbol ? Symbol.prototype : undefined,
        symbolValueOf = symbolProto ? symbolProto.valueOf : undefined,
        symbolToString = symbolProto ? symbolProto.toString : undefined;

    /*------------------------------------------------------------------------*/

    /**
     * Creates a `lodash` object which wraps `value` to enable implicit method
     * chain sequences. Methods that operate on and return arrays, collections,
     * and functions can be chained together. Methods that retrieve a single value
     * or may return a primitive value will automatically end the chain sequence
     * and return the unwrapped value. Otherwise, the value must be unwrapped
     * with `_#value`.
     *
     * Explicit chain sequences, which must be unwrapped with `_#value`, may be
     * enabled using `_.chain`.
     *
     * The execution of chained methods is lazy, that is, it's deferred until
     * `_#value` is implicitly or explicitly called.
     *
     * Lazy evaluation allows several methods to support shortcut fusion.
     * Shortcut fusion is an optimization to merge iteratee calls; this avoids
     * the creation of intermediate arrays and can greatly reduce the number of
     * iteratee executions. Sections of a chain sequence qualify for shortcut
     * fusion if the section is applied to an array and iteratees accept only
     * one argument. The heuristic for whether a section qualifies for shortcut
     * fusion is subject to change.
     *
     * Chaining is supported in custom builds as long as the `_#value` method is
     * directly or indirectly included in the build.
     *
     * In addition to lodash methods, wrappers have `Array` and `String` methods.
     *
     * The wrapper `Array` methods are:
     * `concat`, `join`, `pop`, `push`, `shift`, `sort`, `splice`, and `unshift`
     *
     * The wrapper `String` methods are:
     * `replace` and `split`
     *
     * The wrapper methods that support shortcut fusion are:
     * `at`, `compact`, `drop`, `dropRight`, `dropWhile`, `filter`, `find`,
     * `findLast`, `head`, `initial`, `last`, `map`, `reject`, `reverse`, `slice`,
     * `tail`, `take`, `takeRight`, `takeRightWhile`, `takeWhile`, and `toArray`
     *
     * The chainable wrapper methods are:
     * `after`, `ary`, `assign`, `assignIn`, `assignInWith`, `assignWith`, `at`,
     * `before`, `bind`, `bindAll`, `bindKey`, `castArray`, `chain`, `chunk`,
     * `commit`, `compact`, `concat`, `conforms`, `constant`, `countBy`, `create`,
     * `curry`, `debounce`, `defaults`, `defaultsDeep`, `defer`, `delay`,
     * `difference`, `differenceBy`, `differenceWith`, `drop`, `dropRight`,
     * `dropRightWhile`, `dropWhile`, `extend`, `extendWith`, `fill`, `filter`,
     * `flatMap`, `flatMapDeep`, `flatMapDepth`, `flatten`, `flattenDeep`,
     * `flattenDepth`, `flip`, `flow`, `flowRight`, `fromPairs`, `functions`,
     * `functionsIn`, `groupBy`, `initial`, `intersection`, `intersectionBy`,
     * `intersectionWith`, `invert`, `invertBy`, `invokeMap`, `iteratee`, `keyBy`,
     * `keys`, `keysIn`, `map`, `mapKeys`, `mapValues`, `matches`, `matchesProperty`,
     * `memoize`, `merge`, `mergeWith`, `method`, `methodOf`, `mixin`, `negate`,
     * `nthArg`, `omit`, `omitBy`, `once`, `orderBy`, `over`, `overArgs`,
     * `overEvery`, `overSome`, `partial`, `partialRight`, `partition`, `pick`,
     * `pickBy`, `plant`, `property`, `propertyOf`, `pull`, `pullAll`, `pullAllBy`,
     * `pullAllWith`, `pullAt`, `push`, `range`, `rangeRight`, `rearg`, `reject`,
     * `remove`, `rest`, `reverse`, `sampleSize`, `set`, `setWith`, `shuffle`,
     * `slice`, `sort`, `sortBy`, `splice`, `spread`, `tail`, `take`, `takeRight`,
     * `takeRightWhile`, `takeWhile`, `tap`, `throttle`, `thru`, `toArray`,
     * `toPairs`, `toPairsIn`, `toPath`, `toPlainObject`, `transform`, `unary`,
     * `union`, `unionBy`, `unionWith`, `uniq`, `uniqBy`, `uniqWith`, `unset`,
     * `unshift`, `unzip`, `unzipWith`, `update`, `updateWith`, `values`,
     * `valuesIn`, `without`, `wrap`, `xor`, `xorBy`, `xorWith`, `zip`,
     * `zipObject`, `zipObjectDeep`, and `zipWith`
     *
     * The wrapper methods that are **not** chainable by default are:
     * `add`, `attempt`, `camelCase`, `capitalize`, `ceil`, `clamp`, `clone`,
     * `cloneDeep`, `cloneDeepWith`, `cloneWith`, `conformsTo`, `deburr`,
     * `defaultTo`, `divide`, `each`, `eachRight`, `endsWith`, `eq`, `escape`,
     * `escapeRegExp`, `every`, `find`, `findIndex`, `findKey`, `findLast`,
     * `findLastIndex`, `findLastKey`, `first`, `floor`, `forEach`, `forEachRight`,
     * `forIn`, `forInRight`, `forOwn`, `forOwnRight`, `get`, `gt`, `gte`, `has`,
     * `hasIn`, `head`, `identity`, `includes`, `indexOf`, `inRange`, `invoke`,
     * `isArguments`, `isArray`, `isArrayBuffer`, `isArrayLike`, `isArrayLikeObject`,
     * `isBoolean`, `isBuffer`, `isDate`, `isElement`, `isEmpty`, `isEqual`,
     * `isEqualWith`, `isError`, `isFinite`, `isFunction`, `isInteger`, `isLength`,
     * `isMap`, `isMatch`, `isMatchWith`, `isNaN`, `isNative`, `isNil`, `isNull`,
     * `isNumber`, `isObject`, `isObjectLike`, `isPlainObject`, `isRegExp`,
     * `isSafeInteger`, `isSet`, `isString`, `isUndefined`, `isTypedArray`,
     * `isWeakMap`, `isWeakSet`, `join`, `kebabCase`, `last`, `lastIndexOf`,
     * `lowerCase`, `lowerFirst`, `lt`, `lte`, `max`, `maxBy`, `mean`, `meanBy`,
     * `min`, `minBy`, `multiply`, `noConflict`, `noop`, `now`, `nth`, `pad`,
     * `padEnd`, `padStart`, `parseInt`, `pop`, `random`, `reduce`, `reduceRight`,
     * `repeat`, `result`, `round`, `runInContext`, `sample`, `shift`, `size`,
     * `snakeCase`, `some`, `sortedIndex`, `sortedIndexBy`, `sortedLastIndex`,
     * `sortedLastIndexBy`, `startCase`, `startsWith`, `stubArray`, `stubFalse`,
     * `stubObject`, `stubString`, `stubTrue`, `subtract`, `sum`, `sumBy`,
     * `template`, `times`, `toFinite`, `toInteger`, `toJSON`, `toLength`,
     * `toLower`, `toNumber`, `toSafeInteger`, `toString`, `toUpper`, `trim`,
     * `trimEnd`, `trimStart`, `truncate`, `unescape`, `uniqueId`, `upperCase`,
     * `upperFirst`, `value`, and `words`
     *
     * @name _
     * @constructor
     * @category Seq
     * @param {*} value The value to wrap in a `lodash` instance.
     * @returns {Object} Returns the new `lodash` wrapper instance.
     * @example
     *
     * function square(n) {
     *   return n * n;
     * }
     *
     * var wrapped = _([1, 2, 3]);
     *
     * // Returns an unwrapped value.
     * wrapped.reduce(_.add);
     * // => 6
     *
     * // Returns a wrapped value.
     * var squares = wrapped.map(square);
     *
     * _.isArray(squares);
     * // => false
     *
     * _.isArray(squares.value());
     * // => true
     */
    function lodash(value) {
      if (isObjectLike(value) && !isArray(value) && !(value instanceof LazyWrapper)) {
        if (value instanceof LodashWrapper) {
          return value;
        }
        if (hasOwnProperty.call(value, '__wrapped__')) {
          return wrapperClone(value);
        }
      }
      return new LodashWrapper(value);
    }

    /**
     * The base implementation of `_.create` without support for assigning
     * properties to the created object.
     *
     * @private
     * @param {Object} proto The object to inherit from.
     * @returns {Object} Returns the new object.
     */
    var baseCreate = (function() {
      function object() {}
      return function(proto) {
        if (!isObject(proto)) {
          return {};
        }
        if (objectCreate) {
          return objectCreate(proto);
        }
        object.prototype = proto;
        var result = new object;
        object.prototype = undefined;
        return result;
      };
    }());

    /**
     * The function whose prototype chain sequence wrappers inherit from.
     *
     * @private
     */
    function baseLodash() {
      // No operation performed.
    }

    /**
     * The base constructor for creating `lodash` wrapper objects.
     *
     * @private
     * @param {*} value The value to wrap.
     * @param {boolean} [chainAll] Enable explicit method chain sequences.
     */
    function LodashWrapper(value, chainAll) {
      this.__wrapped__ = value;
      this.__actions__ = [];
      this.__chain__ = !!chainAll;
      this.__index__ = 0;
      this.__values__ = undefined;
    }

    /**
     * By default, the template delimiters used by lodash are like those in
     * embedded Ruby (ERB) as well as ES2015 template strings. Change the
     * following template settings to use alternative delimiters.
     *
     * @static
     * @memberOf _
     * @type {Object}
     */
    lodash.templateSettings = {

      /**
       * Used to detect `data` property values to be HTML-escaped.
       *
       * @memberOf _.templateSettings
       * @type {RegExp}
       */
      'escape': reEscape,

      /**
       * Used to detect code to be evaluated.
       *
       * @memberOf _.templateSettings
       * @type {RegExp}
       */
      'evaluate': reEvaluate,

      /**
       * Used to detect `data` property values to inject.
       *
       * @memberOf _.templateSettings
       * @type {RegExp}
       */
      'interpolate': reInterpolate,

      /**
       * Used to reference the data object in the template text.
       *
       * @memberOf _.templateSettings
       * @type {string}
       */
      'variable': '',

      /**
       * Used to import variables into the compiled template.
       *
       * @memberOf _.templateSettings
       * @type {Object}
       */
      'imports': {

        /**
         * A reference to the `lodash` function.
         *
         * @memberOf _.templateSettings.imports
         * @type {Function}
         */
        '_': lodash
      }
    };

    // Ensure wrappers are instances of `baseLodash`.
    lodash.prototype = baseLodash.prototype;
    lodash.prototype.constructor = lodash;

    LodashWrapper.prototype = baseCreate(baseLodash.prototype);
    LodashWrapper.prototype.constructor = LodashWrapper;

    /*------------------------------------------------------------------------*/

    /**
     * Creates a lazy wrapper object which wraps `value` to enable lazy evaluation.
     *
     * @private
     * @constructor
     * @param {*} value The value to wrap.
     */
    function LazyWrapper(value) {
      this.__wrapped__ = value;
      this.__actions__ = [];
      this.__dir__ = 1;
      this.__filtered__ = false;
      this.__iteratees__ = [];
      this.__takeCount__ = MAX_ARRAY_LENGTH;
      this.__views__ = [];
    }

    /**
     * Creates a clone of the lazy wrapper object.
     *
     * @private
     * @name clone
     * @memberOf LazyWrapper
     * @returns {Object} Returns the cloned `LazyWrapper` object.
     */
    function lazyClone() {
      var result = new LazyWrapper(this.__wrapped__);
      result.__actions__ = copyArray(this.__actions__);
      result.__dir__ = this.__dir__;
      result.__filtered__ = this.__filtered__;
      result.__iteratees__ = copyArray(this.__iteratees__);
      result.__takeCount__ = this.__takeCount__;
      result.__views__ = copyArray(this.__views__);
      return result;
    }

    /**
     * Reverses the direction of lazy iteration.
     *
     * @private
     * @name reverse
     * @memberOf LazyWrapper
     * @returns {Object} Returns the new reversed `LazyWrapper` object.
     */
    function lazyReverse() {
      if (this.__filtered__) {
        var result = new LazyWrapper(this);
        result.__dir__ = -1;
        result.__filtered__ = true;
      } else {
        result = this.clone();
        result.__dir__ *= -1;
      }
      return result;
    }

    /**
     * Extracts the unwrapped value from its lazy wrapper.
     *
     * @private
     * @name value
     * @memberOf LazyWrapper
     * @returns {*} Returns the unwrapped value.
     */
    function lazyValue() {
      var array = this.__wrapped__.value(),
          dir = this.__dir__,
          isArr = isArray(array),
          isRight = dir < 0,
          arrLength = isArr ? array.length : 0,
          view = getView(0, arrLength, this.__views__),
          start = view.start,
          end = view.end,
          length = end - start,
          index = isRight ? end : (start - 1),
          iteratees = this.__iteratees__,
          iterLength = iteratees.length,
          resIndex = 0,
          takeCount = nativeMin(length, this.__takeCount__);

      if (!isArr || (!isRight && arrLength == length && takeCount == length)) {
        return baseWrapperValue(array, this.__actions__);
      }
      var result = [];

      outer:
      while (length-- && resIndex < takeCount) {
        index += dir;

        var iterIndex = -1,
            value = array[index];

        while (++iterIndex < iterLength) {
          var data = iteratees[iterIndex],
              iteratee = data.iteratee,
              type = data.type,
              computed = iteratee(value);

          if (type == LAZY_MAP_FLAG) {
            value = computed;
          } else if (!computed) {
            if (type == LAZY_FILTER_FLAG) {
              continue outer;
            } else {
              break outer;
            }
          }
        }
        result[resIndex++] = value;
      }
      return result;
    }

    // Ensure `LazyWrapper` is an instance of `baseLodash`.
    LazyWrapper.prototype = baseCreate(baseLodash.prototype);
    LazyWrapper.prototype.constructor = LazyWrapper;

    /*------------------------------------------------------------------------*/

    /**
     * Creates a hash object.
     *
     * @private
     * @constructor
     * @param {Array} [entries] The key-value pairs to cache.
     */
    function Hash(entries) {
      var index = -1,
          length = entries == null ? 0 : entries.length;

      this.clear();
      while (++index < length) {
        var entry = entries[index];
        this.set(entry[0], entry[1]);
      }
    }

    /**
     * Removes all key-value entries from the hash.
     *
     * @private
     * @name clear
     * @memberOf Hash
     */
    function hashClear() {
      this.__data__ = nativeCreate ? nativeCreate(null) : {};
      this.size = 0;
    }

    /**
     * Removes `key` and its value from the hash.
     *
     * @private
     * @name delete
     * @memberOf Hash
     * @param {Object} hash The hash to modify.
     * @param {string} key The key of the value to remove.
     * @returns {boolean} Returns `true` if the entry was removed, else `false`.
     */
    function hashDelete(key) {
      var result = this.has(key) && delete this.__data__[key];
      this.size -= result ? 1 : 0;
      return result;
    }

    /**
     * Gets the hash value for `key`.
     *
     * @private
     * @name get
     * @memberOf Hash
     * @param {string} key The key of the value to get.
     * @returns {*} Returns the entry value.
     */
    function hashGet(key) {
      var data = this.__data__;
      if (nativeCreate) {
        var result = data[key];
        return result === HASH_UNDEFINED ? undefined : result;
      }
      return hasOwnProperty.call(data, key) ? data[key] : undefined;
    }

    /**
     * Checks if a hash value for `key` exists.
     *
     * @private
     * @name has
     * @memberOf Hash
     * @param {string} key The key of the entry to check.
     * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
     */
    function hashHas(key) {
      var data = this.__data__;
      return nativeCreate ? (data[key] !== undefined) : hasOwnProperty.call(data, key);
    }

    /**
     * Sets the hash `key` to `value`.
     *
     * @private
     * @name set
     * @memberOf Hash
     * @param {string} key The key of the value to set.
     * @param {*} value The value to set.
     * @returns {Object} Returns the hash instance.
     */
    function hashSet(key, value) {
      var data = this.__data__;
      this.size += this.has(key) ? 0 : 1;
      data[key] = (nativeCreate && value === undefined) ? HASH_UNDEFINED : value;
      return this;
    }

    // Add methods to `Hash`.
    Hash.prototype.clear = hashClear;
    Hash.prototype['delete'] = hashDelete;
    Hash.prototype.get = hashGet;
    Hash.prototype.has = hashHas;
    Hash.prototype.set = hashSet;

    /*------------------------------------------------------------------------*/

    /**
     * Creates an list cache object.
     *
     * @private
     * @constructor
     * @param {Array} [entries] The key-value pairs to cache.
     */
    function ListCache(entries) {
      var index = -1,
          length = entries == null ? 0 : entries.length;

      this.clear();
      while (++index < length) {
        var entry = entries[index];
        this.set(entry[0], entry[1]);
      }
    }

    /**
     * Removes all key-value entries from the list cache.
     *
     * @private
     * @name clear
     * @memberOf ListCache
     */
    function listCacheClear() {
      this.__data__ = [];
      this.size = 0;
    }

    /**
     * Removes `key` and its value from the list cache.
     *
     * @private
     * @name delete
     * @memberOf ListCache
     * @param {string} key The key of the value to remove.
     * @returns {boolean} Returns `true` if the entry was removed, else `false`.
     */
    function listCacheDelete(key) {
      var data = this.__data__,
          index = assocIndexOf(data, key);

      if (index < 0) {
        return false;
      }
      var lastIndex = data.length - 1;
      if (index == lastIndex) {
        data.pop();
      } else {
        splice.call(data, index, 1);
      }
      --this.size;
      return true;
    }

    /**
     * Gets the list cache value for `key`.
     *
     * @private
     * @name get
     * @memberOf ListCache
     * @param {string} key The key of the value to get.
     * @returns {*} Returns the entry value.
     */
    function listCacheGet(key) {
      var data = this.__data__,
          index = assocIndexOf(data, key);

      return index < 0 ? undefined : data[index][1];
    }

    /**
     * Checks if a list cache value for `key` exists.
     *
     * @private
     * @name has
     * @memberOf ListCache
     * @param {string} key The key of the entry to check.
     * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
     */
    function listCacheHas(key) {
      return assocIndexOf(this.__data__, key) > -1;
    }

    /**
     * Sets the list cache `key` to `value`.
     *
     * @private
     * @name set
     * @memberOf ListCache
     * @param {string} key The key of the value to set.
     * @param {*} value The value to set.
     * @returns {Object} Returns the list cache instance.
     */
    function listCacheSet(key, value) {
      var data = this.__data__,
          index = assocIndexOf(data, key);

      if (index < 0) {
        ++this.size;
        data.push([key, value]);
      } else {
        data[index][1] = value;
      }
      return this;
    }

    // Add methods to `ListCache`.
    ListCache.prototype.clear = listCacheClear;
    ListCache.prototype['delete'] = listCacheDelete;
    ListCache.prototype.get = listCacheGet;
    ListCache.prototype.has = listCacheHas;
    ListCache.prototype.set = listCacheSet;

    /*------------------------------------------------------------------------*/

    /**
     * Creates a map cache object to store key-value pairs.
     *
     * @private
     * @constructor
     * @param {Array} [entries] The key-value pairs to cache.
     */
    function MapCache(entries) {
      var index = -1,
          length = entries == null ? 0 : entries.length;

      this.clear();
      while (++index < length) {
        var entry = entries[index];
        this.set(entry[0], entry[1]);
      }
    }

    /**
     * Removes all key-value entries from the map.
     *
     * @private
     * @name clear
     * @memberOf MapCache
     */
    function mapCacheClear() {
      this.size = 0;
      this.__data__ = {
        'hash': new Hash,
        'map': new (Map || ListCache),
        'string': new Hash
      };
    }

    /**
     * Removes `key` and its value from the map.
     *
     * @private
     * @name delete
     * @memberOf MapCache
     * @param {string} key The key of the value to remove.
     * @returns {boolean} Returns `true` if the entry was removed, else `false`.
     */
    function mapCacheDelete(key) {
      var result = getMapData(this, key)['delete'](key);
      this.size -= result ? 1 : 0;
      return result;
    }

    /**
     * Gets the map value for `key`.
     *
     * @private
     * @name get
     * @memberOf MapCache
     * @param {string} key The key of the value to get.
     * @returns {*} Returns the entry value.
     */
    function mapCacheGet(key) {
      return getMapData(this, key).get(key);
    }

    /**
     * Checks if a map value for `key` exists.
     *
     * @private
     * @name has
     * @memberOf MapCache
     * @param {string} key The key of the entry to check.
     * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
     */
    function mapCacheHas(key) {
      return getMapData(this, key).has(key);
    }

    /**
     * Sets the map `key` to `value`.
     *
     * @private
     * @name set
     * @memberOf MapCache
     * @param {string} key The key of the value to set.
     * @param {*} value The value to set.
     * @returns {Object} Returns the map cache instance.
     */
    function mapCacheSet(key, value) {
      var data = getMapData(this, key),
          size = data.size;

      data.set(key, value);
      this.size += data.size == size ? 0 : 1;
      return this;
    }

    // Add methods to `MapCache`.
    MapCache.prototype.clear = mapCacheClear;
    MapCache.prototype['delete'] = mapCacheDelete;
    MapCache.prototype.get = mapCacheGet;
    MapCache.prototype.has = mapCacheHas;
    MapCache.prototype.set = mapCacheSet;

    /*------------------------------------------------------------------------*/

    /**
     *
     * Creates an array cache object to store unique values.
     *
     * @private
     * @constructor
     * @param {Array} [values] The values to cache.
     */
    function SetCache(values) {
      var index = -1,
          length = values == null ? 0 : values.length;

      this.__data__ = new MapCache;
      while (++index < length) {
        this.add(values[index]);
      }
    }

    /**
     * Adds `value` to the array cache.
     *
     * @private
     * @name add
     * @memberOf SetCache
     * @alias push
     * @param {*} value The value to cache.
     * @returns {Object} Returns the cache instance.
     */
    function setCacheAdd(value) {
      this.__data__.set(value, HASH_UNDEFINED);
      return this;
    }

    /**
     * Checks if `value` is in the array cache.
     *
     * @private
     * @name has
     * @memberOf SetCache
     * @param {*} value The value to search for.
     * @returns {number} Returns `true` if `value` is found, else `false`.
     */
    function setCacheHas(value) {
      return this.__data__.has(value);
    }

    // Add methods to `SetCache`.
    SetCache.prototype.add = SetCache.prototype.push = setCacheAdd;
    SetCache.prototype.has = setCacheHas;

    /*------------------------------------------------------------------------*/

    /**
     * Creates a stack cache object to store key-value pairs.
     *
     * @private
     * @constructor
     * @param {Array} [entries] The key-value pairs to cache.
     */
    function Stack(entries) {
      var data = this.__data__ = new ListCache(entries);
      this.size = data.size;
    }

    /**
     * Removes all key-value entries from the stack.
     *
     * @private
     * @name clear
     * @memberOf Stack
     */
    function stackClear() {
      this.__data__ = new ListCache;
      this.size = 0;
    }

    /**
     * Removes `key` and its value from the stack.
     *
     * @private
     * @name delete
     * @memberOf Stack
     * @param {string} key The key of the value to remove.
     * @returns {boolean} Returns `true` if the entry was removed, else `false`.
     */
    function stackDelete(key) {
      var data = this.__data__,
          result = data['delete'](key);

      this.size = data.size;
      return result;
    }

    /**
     * Gets the stack value for `key`.
     *
     * @private
     * @name get
     * @memberOf Stack
     * @param {string} key The key of the value to get.
     * @returns {*} Returns the entry value.
     */
    function stackGet(key) {
      return this.__data__.get(key);
    }

    /**
     * Checks if a stack value for `key` exists.
     *
     * @private
     * @name has
     * @memberOf Stack
     * @param {string} key The key of the entry to check.
     * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
     */
    function stackHas(key) {
      return this.__data__.has(key);
    }

    /**
     * Sets the stack `key` to `value`.
     *
     * @private
     * @name set
     * @memberOf Stack
     * @param {string} key The key of the value to set.
     * @param {*} value The value to set.
     * @returns {Object} Returns the stack cache instance.
     */
    function stackSet(key, value) {
      var data = this.__data__;
      if (data instanceof ListCache) {
        var pairs = data.__data__;
        if (!Map || (pairs.length < LARGE_ARRAY_SIZE - 1)) {
          pairs.push([key, value]);
          this.size = ++data.size;
          return this;
        }
        data = this.__data__ = new MapCache(pairs);
      }
      data.set(key, value);
      this.size = data.size;
      return this;
    }

    // Add methods to `Stack`.
    Stack.prototype.clear = stackClear;
    Stack.prototype['delete'] = stackDelete;
    Stack.prototype.get = stackGet;
    Stack.prototype.has = stackHas;
    Stack.prototype.set = stackSet;

    /*------------------------------------------------------------------------*/

    /**
     * Creates an array of the enumerable property names of the array-like `value`.
     *
     * @private
     * @param {*} value The value to query.
     * @param {boolean} inherited Specify returning inherited property names.
     * @returns {Array} Returns the array of property names.
     */
    function arrayLikeKeys(value, inherited) {
      var isArr = isArray(value),
          isArg = !isArr && isArguments(value),
          isBuff = !isArr && !isArg && isBuffer(value),
          isType = !isArr && !isArg && !isBuff && isTypedArray(value),
          skipIndexes = isArr || isArg || isBuff || isType,
          result = skipIndexes ? baseTimes(value.length, String) : [],
          length = result.length;

      for (var key in value) {
        if ((inherited || hasOwnProperty.call(value, key)) &&
            !(skipIndexes && (
               // Safari 9 has enumerable `arguments.length` in strict mode.
               key == 'length' ||
               // Node.js 0.10 has enumerable non-index properties on buffers.
               (isBuff && (key == 'offset' || key == 'parent')) ||
               // PhantomJS 2 has enumerable non-index properties on typed arrays.
               (isType && (key == 'buffer' || key == 'byteLength' || key == 'byteOffset')) ||
               // Skip index properties.
               isIndex(key, length)
            ))) {
          result.push(key);
        }
      }
      return result;
    }

    /**
     * A specialized version of `_.sample` for arrays.
     *
     * @private
     * @param {Array} array The array to sample.
     * @returns {*} Returns the random element.
     */
    function arraySample(array) {
      var length = array.length;
      return length ? array[baseRandom(0, length - 1)] : undefined;
    }

    /**
     * A specialized version of `_.sampleSize` for arrays.
     *
     * @private
     * @param {Array} array The array to sample.
     * @param {number} n The number of elements to sample.
     * @returns {Array} Returns the random elements.
     */
    function arraySampleSize(array, n) {
      return shuffleSelf(copyArray(array), baseClamp(n, 0, array.length));
    }

    /**
     * A specialized version of `_.shuffle` for arrays.
     *
     * @private
     * @param {Array} array The array to shuffle.
     * @returns {Array} Returns the new shuffled array.
     */
    function arrayShuffle(array) {
      return shuffleSelf(copyArray(array));
    }

    /**
     * This function is like `assignValue` except that it doesn't assign
     * `undefined` values.
     *
     * @private
     * @param {Object} object The object to modify.
     * @param {string} key The key of the property to assign.
     * @param {*} value The value to assign.
     */
    function assignMergeValue(object, key, value) {
      if ((value !== undefined && !eq(object[key], value)) ||
          (value === undefined && !(key in object))) {
        baseAssignValue(object, key, value);
      }
    }

    /**
     * Assigns `value` to `key` of `object` if the existing value is not equivalent
     * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons.
     *
     * @private
     * @param {Object} object The object to modify.
     * @param {string} key The key of the property to assign.
     * @param {*} value The value to assign.
     */
    function assignValue(object, key, value) {
      var objValue = object[key];
      if (!(hasOwnProperty.call(object, key) && eq(objValue, value)) ||
          (value === undefined && !(key in object))) {
        baseAssignValue(object, key, value);
      }
    }

    /**
     * Gets the index at which the `key` is found in `array` of key-value pairs.
     *
     * @private
     * @param {Array} array The array to inspect.
     * @param {*} key The key to search for.
     * @returns {number} Returns the index of the matched value, else `-1`.
     */
    function assocIndexOf(array, key) {
      var length = array.length;
      while (length--) {
        if (eq(array[length][0], key)) {
          return length;
        }
      }
      return -1;
    }

    /**
     * Aggregates elements of `collection` on `accumulator` with keys transformed
     * by `iteratee` and values set by `setter`.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} setter The function to set `accumulator` values.
     * @param {Function} iteratee The iteratee to transform keys.
     * @param {Object} accumulator The initial aggregated object.
     * @returns {Function} Returns `accumulator`.
     */
    function baseAggregator(collection, setter, iteratee, accumulator) {
      baseEach(collection, function(value, key, collection) {
        setter(accumulator, value, iteratee(value), collection);
      });
      return accumulator;
    }

    /**
     * The base implementation of `_.assign` without support for multiple sources
     * or `customizer` functions.
     *
     * @private
     * @param {Object} object The destination object.
     * @param {Object} source The source object.
     * @returns {Object} Returns `object`.
     */
    function baseAssign(object, source) {
      return object && copyObject(source, keys(source), object);
    }

    /**
     * The base implementation of `_.assignIn` without support for multiple sources
     * or `customizer` functions.
     *
     * @private
     * @param {Object} object The destination object.
     * @param {Object} source The source object.
     * @returns {Object} Returns `object`.
     */
    function baseAssignIn(object, source) {
      return object && copyObject(source, keysIn(source), object);
    }

    /**
     * The base implementation of `assignValue` and `assignMergeValue` without
     * value checks.
     *
     * @private
     * @param {Object} object The object to modify.
     * @param {string} key The key of the property to assign.
     * @param {*} value The value to assign.
     */
    function baseAssignValue(object, key, value) {
      if (key == '__proto__' && defineProperty) {
        defineProperty(object, key, {
          'configurable': true,
          'enumerable': true,
          'value': value,
          'writable': true
        });
      } else {
        object[key] = value;
      }
    }

    /**
     * The base implementation of `_.at` without support for individual paths.
     *
     * @private
     * @param {Object} object The object to iterate over.
     * @param {string[]} paths The property paths to pick.
     * @returns {Array} Returns the picked elements.
     */
    function baseAt(object, paths) {
      var index = -1,
          length = paths.length,
          result = Array(length),
          skip = object == null;

      while (++index < length) {
        result[index] = skip ? undefined : get(object, paths[index]);
      }
      return result;
    }

    /**
     * The base implementation of `_.clamp` which doesn't coerce arguments.
     *
     * @private
     * @param {number} number The number to clamp.
     * @param {number} [lower] The lower bound.
     * @param {number} upper The upper bound.
     * @returns {number} Returns the clamped number.
     */
    function baseClamp(number, lower, upper) {
      if (number === number) {
        if (upper !== undefined) {
          number = number <= upper ? number : upper;
        }
        if (lower !== undefined) {
          number = number >= lower ? number : lower;
        }
      }
      return number;
    }

    /**
     * The base implementation of `_.clone` and `_.cloneDeep` which tracks
     * traversed objects.
     *
     * @private
     * @param {*} value The value to clone.
     * @param {boolean} bitmask The bitmask flags.
     *  1 - Deep clone
     *  2 - Flatten inherited properties
     *  4 - Clone symbols
     * @param {Function} [customizer] The function to customize cloning.
     * @param {string} [key] The key of `value`.
     * @param {Object} [object] The parent object of `value`.
     * @param {Object} [stack] Tracks traversed objects and their clone counterparts.
     * @returns {*} Returns the cloned value.
     */
    function baseClone(value, bitmask, customizer, key, object, stack) {
      var result,
          isDeep = bitmask & CLONE_DEEP_FLAG,
          isFlat = bitmask & CLONE_FLAT_FLAG,
          isFull = bitmask & CLONE_SYMBOLS_FLAG;

      if (customizer) {
        result = object ? customizer(value, key, object, stack) : customizer(value);
      }
      if (result !== undefined) {
        return result;
      }
      if (!isObject(value)) {
        return value;
      }
      var isArr = isArray(value);
      if (isArr) {
        result = initCloneArray(value);
        if (!isDeep) {
          return copyArray(value, result);
        }
      } else {
        var tag = getTag(value),
            isFunc = tag == funcTag || tag == genTag;

        if (isBuffer(value)) {
          return cloneBuffer(value, isDeep);
        }
        if (tag == objectTag || tag == argsTag || (isFunc && !object)) {
          result = (isFlat || isFunc) ? {} : initCloneObject(value);
          if (!isDeep) {
            return isFlat
              ? copySymbolsIn(value, baseAssignIn(result, value))
              : copySymbols(value, baseAssign(result, value));
          }
        } else {
          if (!cloneableTags[tag]) {
            return object ? value : {};
          }
          result = initCloneByTag(value, tag, isDeep);
        }
      }
      // Check for circular references and return its corresponding clone.
      stack || (stack = new Stack);
      var stacked = stack.get(value);
      if (stacked) {
        return stacked;
      }
      stack.set(value, result);

      if (isSet(value)) {
        value.forEach(function(subValue) {
          result.add(baseClone(subValue, bitmask, customizer, subValue, value, stack));
        });
      } else if (isMap(value)) {
        value.forEach(function(subValue, key) {
          result.set(key, baseClone(subValue, bitmask, customizer, key, value, stack));
        });
      }

      var keysFunc = isFull
        ? (isFlat ? getAllKeysIn : getAllKeys)
        : (isFlat ? keysIn : keys);

      var props = isArr ? undefined : keysFunc(value);
      arrayEach(props || value, function(subValue, key) {
        if (props) {
          key = subValue;
          subValue = value[key];
        }
        // Recursively populate clone (susceptible to call stack limits).
        assignValue(result, key, baseClone(subValue, bitmask, customizer, key, value, stack));
      });
      return result;
    }

    /**
     * The base implementation of `_.conforms` which doesn't clone `source`.
     *
     * @private
     * @param {Object} source The object of property predicates to conform to.
     * @returns {Function} Returns the new spec function.
     */
    function baseConforms(source) {
      var props = keys(source);
      return function(object) {
        return baseConformsTo(object, source, props);
      };
    }

    /**
     * The base implementation of `_.conformsTo` which accepts `props` to check.
     *
     * @private
     * @param {Object} object The object to inspect.
     * @param {Object} source The object of property predicates to conform to.
     * @returns {boolean} Returns `true` if `object` conforms, else `false`.
     */
    function baseConformsTo(object, source, props) {
      var length = props.length;
      if (object == null) {
        return !length;
      }
      object = Object(object);
      while (length--) {
        var key = props[length],
            predicate = source[key],
            value = object[key];

        if ((value === undefined && !(key in object)) || !predicate(value)) {
          return false;
        }
      }
      return true;
    }

    /**
     * The base implementation of `_.delay` and `_.defer` which accepts `args`
     * to provide to `func`.
     *
     * @private
     * @param {Function} func The function to delay.
     * @param {number} wait The number of milliseconds to delay invocation.
     * @param {Array} args The arguments to provide to `func`.
     * @returns {number|Object} Returns the timer id or timeout object.
     */
    function baseDelay(func, wait, args) {
      if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      return setTimeout(function() { func.apply(undefined, args); }, wait);
    }

    /**
     * The base implementation of methods like `_.difference` without support
     * for excluding multiple arrays or iteratee shorthands.
     *
     * @private
     * @param {Array} array The array to inspect.
     * @param {Array} values The values to exclude.
     * @param {Function} [iteratee] The iteratee invoked per element.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new array of filtered values.
     */
    function baseDifference(array, values, iteratee, comparator) {
      var index = -1,
          includes = arrayIncludes,
          isCommon = true,
          length = array.length,
          result = [],
          valuesLength = values.length;

      if (!length) {
        return result;
      }
      if (iteratee) {
        values = arrayMap(values, baseUnary(iteratee));
      }
      if (comparator) {
        includes = arrayIncludesWith;
        isCommon = false;
      }
      else if (values.length >= LARGE_ARRAY_SIZE) {
        includes = cacheHas;
        isCommon = false;
        values = new SetCache(values);
      }
      outer:
      while (++index < length) {
        var value = array[index],
            computed = iteratee == null ? value : iteratee(value);

        value = (comparator || value !== 0) ? value : 0;
        if (isCommon && computed === computed) {
          var valuesIndex = valuesLength;
          while (valuesIndex--) {
            if (values[valuesIndex] === computed) {
              continue outer;
            }
          }
          result.push(value);
        }
        else if (!includes(values, computed, comparator)) {
          result.push(value);
        }
      }
      return result;
    }

    /**
     * The base implementation of `_.forEach` without support for iteratee shorthands.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} iteratee The function invoked per iteration.
     * @returns {Array|Object} Returns `collection`.
     */
    var baseEach = createBaseEach(baseForOwn);

    /**
     * The base implementation of `_.forEachRight` without support for iteratee shorthands.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} iteratee The function invoked per iteration.
     * @returns {Array|Object} Returns `collection`.
     */
    var baseEachRight = createBaseEach(baseForOwnRight, true);

    /**
     * The base implementation of `_.every` without support for iteratee shorthands.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} predicate The function invoked per iteration.
     * @returns {boolean} Returns `true` if all elements pass the predicate check,
     *  else `false`
     */
    function baseEvery(collection, predicate) {
      var result = true;
      baseEach(collection, function(value, index, collection) {
        result = !!predicate(value, index, collection);
        return result;
      });
      return result;
    }

    /**
     * The base implementation of methods like `_.max` and `_.min` which accepts a
     * `comparator` to determine the extremum value.
     *
     * @private
     * @param {Array} array The array to iterate over.
     * @param {Function} iteratee The iteratee invoked per iteration.
     * @param {Function} comparator The comparator used to compare values.
     * @returns {*} Returns the extremum value.
     */
    function baseExtremum(array, iteratee, comparator) {
      var index = -1,
          length = array.length;

      while (++index < length) {
        var value = array[index],
            current = iteratee(value);

        if (current != null && (computed === undefined
              ? (current === current && !isSymbol(current))
              : comparator(current, computed)
            )) {
          var computed = current,
              result = value;
        }
      }
      return result;
    }

    /**
     * The base implementation of `_.fill` without an iteratee call guard.
     *
     * @private
     * @param {Array} array The array to fill.
     * @param {*} value The value to fill `array` with.
     * @param {number} [start=0] The start position.
     * @param {number} [end=array.length] The end position.
     * @returns {Array} Returns `array`.
     */
    function baseFill(array, value, start, end) {
      var length = array.length;

      start = toInteger(start);
      if (start < 0) {
        start = -start > length ? 0 : (length + start);
      }
      end = (end === undefined || end > length) ? length : toInteger(end);
      if (end < 0) {
        end += length;
      }
      end = start > end ? 0 : toLength(end);
      while (start < end) {
        array[start++] = value;
      }
      return array;
    }

    /**
     * The base implementation of `_.filter` without support for iteratee shorthands.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} predicate The function invoked per iteration.
     * @returns {Array} Returns the new filtered array.
     */
    function baseFilter(collection, predicate) {
      var result = [];
      baseEach(collection, function(value, index, collection) {
        if (predicate(value, index, collection)) {
          result.push(value);
        }
      });
      return result;
    }

    /**
     * The base implementation of `_.flatten` with support for restricting flattening.
     *
     * @private
     * @param {Array} array The array to flatten.
     * @param {number} depth The maximum recursion depth.
     * @param {boolean} [predicate=isFlattenable] The function invoked per iteration.
     * @param {boolean} [isStrict] Restrict to values that pass `predicate` checks.
     * @param {Array} [result=[]] The initial result value.
     * @returns {Array} Returns the new flattened array.
     */
    function baseFlatten(array, depth, predicate, isStrict, result) {
      var index = -1,
          length = array.length;

      predicate || (predicate = isFlattenable);
      result || (result = []);

      while (++index < length) {
        var value = array[index];
        if (depth > 0 && predicate(value)) {
          if (depth > 1) {
            // Recursively flatten arrays (susceptible to call stack limits).
            baseFlatten(value, depth - 1, predicate, isStrict, result);
          } else {
            arrayPush(result, value);
          }
        } else if (!isStrict) {
          result[result.length] = value;
        }
      }
      return result;
    }

    /**
     * The base implementation of `baseForOwn` which iterates over `object`
     * properties returned by `keysFunc` and invokes `iteratee` for each property.
     * Iteratee functions may exit iteration early by explicitly returning `false`.
     *
     * @private
     * @param {Object} object The object to iterate over.
     * @param {Function} iteratee The function invoked per iteration.
     * @param {Function} keysFunc The function to get the keys of `object`.
     * @returns {Object} Returns `object`.
     */
    var baseFor = createBaseFor();

    /**
     * This function is like `baseFor` except that it iterates over properties
     * in the opposite order.
     *
     * @private
     * @param {Object} object The object to iterate over.
     * @param {Function} iteratee The function invoked per iteration.
     * @param {Function} keysFunc The function to get the keys of `object`.
     * @returns {Object} Returns `object`.
     */
    var baseForRight = createBaseFor(true);

    /**
     * The base implementation of `_.forOwn` without support for iteratee shorthands.
     *
     * @private
     * @param {Object} object The object to iterate over.
     * @param {Function} iteratee The function invoked per iteration.
     * @returns {Object} Returns `object`.
     */
    function baseForOwn(object, iteratee) {
      return object && baseFor(object, iteratee, keys);
    }

    /**
     * The base implementation of `_.forOwnRight` without support for iteratee shorthands.
     *
     * @private
     * @param {Object} object The object to iterate over.
     * @param {Function} iteratee The function invoked per iteration.
     * @returns {Object} Returns `object`.
     */
    function baseForOwnRight(object, iteratee) {
      return object && baseForRight(object, iteratee, keys);
    }

    /**
     * The base implementation of `_.functions` which creates an array of
     * `object` function property names filtered from `props`.
     *
     * @private
     * @param {Object} object The object to inspect.
     * @param {Array} props The property names to filter.
     * @returns {Array} Returns the function names.
     */
    function baseFunctions(object, props) {
      return arrayFilter(props, function(key) {
        return isFunction(object[key]);
      });
    }

    /**
     * The base implementation of `_.get` without support for default values.
     *
     * @private
     * @param {Object} object The object to query.
     * @param {Array|string} path The path of the property to get.
     * @returns {*} Returns the resolved value.
     */
    function baseGet(object, path) {
      path = castPath(path, object);

      var index = 0,
          length = path.length;

      while (object != null && index < length) {
        object = object[toKey(path[index++])];
      }
      return (index && index == length) ? object : undefined;
    }

    /**
     * The base implementation of `getAllKeys` and `getAllKeysIn` which uses
     * `keysFunc` and `symbolsFunc` to get the enumerable property names and
     * symbols of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @param {Function} keysFunc The function to get the keys of `object`.
     * @param {Function} symbolsFunc The function to get the symbols of `object`.
     * @returns {Array} Returns the array of property names and symbols.
     */
    function baseGetAllKeys(object, keysFunc, symbolsFunc) {
      var result = keysFunc(object);
      return isArray(object) ? result : arrayPush(result, symbolsFunc(object));
    }

    /**
     * The base implementation of `getTag` without fallbacks for buggy environments.
     *
     * @private
     * @param {*} value The value to query.
     * @returns {string} Returns the `toStringTag`.
     */
    function baseGetTag(value) {
      if (value == null) {
        return value === undefined ? undefinedTag : nullTag;
      }
      return (symToStringTag && symToStringTag in Object(value))
        ? getRawTag(value)
        : objectToString(value);
    }

    /**
     * The base implementation of `_.gt` which doesn't coerce arguments.
     *
     * @private
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if `value` is greater than `other`,
     *  else `false`.
     */
    function baseGt(value, other) {
      return value > other;
    }

    /**
     * The base implementation of `_.has` without support for deep paths.
     *
     * @private
     * @param {Object} [object] The object to query.
     * @param {Array|string} key The key to check.
     * @returns {boolean} Returns `true` if `key` exists, else `false`.
     */
    function baseHas(object, key) {
      return object != null && hasOwnProperty.call(object, key);
    }

    /**
     * The base implementation of `_.hasIn` without support for deep paths.
     *
     * @private
     * @param {Object} [object] The object to query.
     * @param {Array|string} key The key to check.
     * @returns {boolean} Returns `true` if `key` exists, else `false`.
     */
    function baseHasIn(object, key) {
      return object != null && key in Object(object);
    }

    /**
     * The base implementation of `_.inRange` which doesn't coerce arguments.
     *
     * @private
     * @param {number} number The number to check.
     * @param {number} start The start of the range.
     * @param {number} end The end of the range.
     * @returns {boolean} Returns `true` if `number` is in the range, else `false`.
     */
    function baseInRange(number, start, end) {
      return number >= nativeMin(start, end) && number < nativeMax(start, end);
    }

    /**
     * The base implementation of methods like `_.intersection`, without support
     * for iteratee shorthands, that accepts an array of arrays to inspect.
     *
     * @private
     * @param {Array} arrays The arrays to inspect.
     * @param {Function} [iteratee] The iteratee invoked per element.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new array of shared values.
     */
    function baseIntersection(arrays, iteratee, comparator) {
      var includes = comparator ? arrayIncludesWith : arrayIncludes,
          length = arrays[0].length,
          othLength = arrays.length,
          othIndex = othLength,
          caches = Array(othLength),
          maxLength = Infinity,
          result = [];

      while (othIndex--) {
        var array = arrays[othIndex];
        if (othIndex && iteratee) {
          array = arrayMap(array, baseUnary(iteratee));
        }
        maxLength = nativeMin(array.length, maxLength);
        caches[othIndex] = !comparator && (iteratee || (length >= 120 && array.length >= 120))
          ? new SetCache(othIndex && array)
          : undefined;
      }
      array = arrays[0];

      var index = -1,
          seen = caches[0];

      outer:
      while (++index < length && result.length < maxLength) {
        var value = array[index],
            computed = iteratee ? iteratee(value) : value;

        value = (comparator || value !== 0) ? value : 0;
        if (!(seen
              ? cacheHas(seen, computed)
              : includes(result, computed, comparator)
            )) {
          othIndex = othLength;
          while (--othIndex) {
            var cache = caches[othIndex];
            if (!(cache
                  ? cacheHas(cache, computed)
                  : includes(arrays[othIndex], computed, comparator))
                ) {
              continue outer;
            }
          }
          if (seen) {
            seen.push(computed);
          }
          result.push(value);
        }
      }
      return result;
    }

    /**
     * The base implementation of `_.invert` and `_.invertBy` which inverts
     * `object` with values transformed by `iteratee` and set by `setter`.
     *
     * @private
     * @param {Object} object The object to iterate over.
     * @param {Function} setter The function to set `accumulator` values.
     * @param {Function} iteratee The iteratee to transform values.
     * @param {Object} accumulator The initial inverted object.
     * @returns {Function} Returns `accumulator`.
     */
    function baseInverter(object, setter, iteratee, accumulator) {
      baseForOwn(object, function(value, key, object) {
        setter(accumulator, iteratee(value), key, object);
      });
      return accumulator;
    }

    /**
     * The base implementation of `_.invoke` without support for individual
     * method arguments.
     *
     * @private
     * @param {Object} object The object to query.
     * @param {Array|string} path The path of the method to invoke.
     * @param {Array} args The arguments to invoke the method with.
     * @returns {*} Returns the result of the invoked method.
     */
    function baseInvoke(object, path, args) {
      path = castPath(path, object);
      object = parent(object, path);
      var func = object == null ? object : object[toKey(last(path))];
      return func == null ? undefined : apply(func, object, args);
    }

    /**
     * The base implementation of `_.isArguments`.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an `arguments` object,
     */
    function baseIsArguments(value) {
      return isObjectLike(value) && baseGetTag(value) == argsTag;
    }

    /**
     * The base implementation of `_.isArrayBuffer` without Node.js optimizations.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an array buffer, else `false`.
     */
    function baseIsArrayBuffer(value) {
      return isObjectLike(value) && baseGetTag(value) == arrayBufferTag;
    }

    /**
     * The base implementation of `_.isDate` without Node.js optimizations.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a date object, else `false`.
     */
    function baseIsDate(value) {
      return isObjectLike(value) && baseGetTag(value) == dateTag;
    }

    /**
     * The base implementation of `_.isEqual` which supports partial comparisons
     * and tracks traversed objects.
     *
     * @private
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @param {boolean} bitmask The bitmask flags.
     *  1 - Unordered comparison
     *  2 - Partial comparison
     * @param {Function} [customizer] The function to customize comparisons.
     * @param {Object} [stack] Tracks traversed `value` and `other` objects.
     * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
     */
    function baseIsEqual(value, other, bitmask, customizer, stack) {
      if (value === other) {
        return true;
      }
      if (value == null || other == null || (!isObjectLike(value) && !isObjectLike(other))) {
        return value !== value && other !== other;
      }
      return baseIsEqualDeep(value, other, bitmask, customizer, baseIsEqual, stack);
    }

    /**
     * A specialized version of `baseIsEqual` for arrays and objects which performs
     * deep comparisons and tracks traversed objects enabling objects with circular
     * references to be compared.
     *
     * @private
     * @param {Object} object The object to compare.
     * @param {Object} other The other object to compare.
     * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
     * @param {Function} customizer The function to customize comparisons.
     * @param {Function} equalFunc The function to determine equivalents of values.
     * @param {Object} [stack] Tracks traversed `object` and `other` objects.
     * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
     */
    function baseIsEqualDeep(object, other, bitmask, customizer, equalFunc, stack) {
      var objIsArr = isArray(object),
          othIsArr = isArray(other),
          objTag = objIsArr ? arrayTag : getTag(object),
          othTag = othIsArr ? arrayTag : getTag(other);

      objTag = objTag == argsTag ? objectTag : objTag;
      othTag = othTag == argsTag ? objectTag : othTag;

      var objIsObj = objTag == objectTag,
          othIsObj = othTag == objectTag,
          isSameTag = objTag == othTag;

      if (isSameTag && isBuffer(object)) {
        if (!isBuffer(other)) {
          return false;
        }
        objIsArr = true;
        objIsObj = false;
      }
      if (isSameTag && !objIsObj) {
        stack || (stack = new Stack);
        return (objIsArr || isTypedArray(object))
          ? equalArrays(object, other, bitmask, customizer, equalFunc, stack)
          : equalByTag(object, other, objTag, bitmask, customizer, equalFunc, stack);
      }
      if (!(bitmask & COMPARE_PARTIAL_FLAG)) {
        var objIsWrapped = objIsObj && hasOwnProperty.call(object, '__wrapped__'),
            othIsWrapped = othIsObj && hasOwnProperty.call(other, '__wrapped__');

        if (objIsWrapped || othIsWrapped) {
          var objUnwrapped = objIsWrapped ? object.value() : object,
              othUnwrapped = othIsWrapped ? other.value() : other;

          stack || (stack = new Stack);
          return equalFunc(objUnwrapped, othUnwrapped, bitmask, customizer, stack);
        }
      }
      if (!isSameTag) {
        return false;
      }
      stack || (stack = new Stack);
      return equalObjects(object, other, bitmask, customizer, equalFunc, stack);
    }

    /**
     * The base implementation of `_.isMap` without Node.js optimizations.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a map, else `false`.
     */
    function baseIsMap(value) {
      return isObjectLike(value) && getTag(value) == mapTag;
    }

    /**
     * The base implementation of `_.isMatch` without support for iteratee shorthands.
     *
     * @private
     * @param {Object} object The object to inspect.
     * @param {Object} source The object of property values to match.
     * @param {Array} matchData The property names, values, and compare flags to match.
     * @param {Function} [customizer] The function to customize comparisons.
     * @returns {boolean} Returns `true` if `object` is a match, else `false`.
     */
    function baseIsMatch(object, source, matchData, customizer) {
      var index = matchData.length,
          length = index,
          noCustomizer = !customizer;

      if (object == null) {
        return !length;
      }
      object = Object(object);
      while (index--) {
        var data = matchData[index];
        if ((noCustomizer && data[2])
              ? data[1] !== object[data[0]]
              : !(data[0] in object)
            ) {
          return false;
        }
      }
      while (++index < length) {
        data = matchData[index];
        var key = data[0],
            objValue = object[key],
            srcValue = data[1];

        if (noCustomizer && data[2]) {
          if (objValue === undefined && !(key in object)) {
            return false;
          }
        } else {
          var stack = new Stack;
          if (customizer) {
            var result = customizer(objValue, srcValue, key, object, source, stack);
          }
          if (!(result === undefined
                ? baseIsEqual(srcValue, objValue, COMPARE_PARTIAL_FLAG | COMPARE_UNORDERED_FLAG, customizer, stack)
                : result
              )) {
            return false;
          }
        }
      }
      return true;
    }

    /**
     * The base implementation of `_.isNative` without bad shim checks.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a native function,
     *  else `false`.
     */
    function baseIsNative(value) {
      if (!isObject(value) || isMasked(value)) {
        return false;
      }
      var pattern = isFunction(value) ? reIsNative : reIsHostCtor;
      return pattern.test(toSource(value));
    }

    /**
     * The base implementation of `_.isRegExp` without Node.js optimizations.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a regexp, else `false`.
     */
    function baseIsRegExp(value) {
      return isObjectLike(value) && baseGetTag(value) == regexpTag;
    }

    /**
     * The base implementation of `_.isSet` without Node.js optimizations.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a set, else `false`.
     */
    function baseIsSet(value) {
      return isObjectLike(value) && getTag(value) == setTag;
    }

    /**
     * The base implementation of `_.isTypedArray` without Node.js optimizations.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
     */
    function baseIsTypedArray(value) {
      return isObjectLike(value) &&
        isLength(value.length) && !!typedArrayTags[baseGetTag(value)];
    }

    /**
     * The base implementation of `_.iteratee`.
     *
     * @private
     * @param {*} [value=_.identity] The value to convert to an iteratee.
     * @returns {Function} Returns the iteratee.
     */
    function baseIteratee(value) {
      // Don't store the `typeof` result in a variable to avoid a JIT bug in Safari 9.
      // See https://bugs.webkit.org/show_bug.cgi?id=156034 for more details.
      if (typeof value == 'function') {
        return value;
      }
      if (value == null) {
        return identity;
      }
      if (typeof value == 'object') {
        return isArray(value)
          ? baseMatchesProperty(value[0], value[1])
          : baseMatches(value);
      }
      return property(value);
    }

    /**
     * The base implementation of `_.keys` which doesn't treat sparse arrays as dense.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property names.
     */
    function baseKeys(object) {
      if (!isPrototype(object)) {
        return nativeKeys(object);
      }
      var result = [];
      for (var key in Object(object)) {
        if (hasOwnProperty.call(object, key) && key != 'constructor') {
          result.push(key);
        }
      }
      return result;
    }

    /**
     * The base implementation of `_.keysIn` which doesn't treat sparse arrays as dense.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property names.
     */
    function baseKeysIn(object) {
      if (!isObject(object)) {
        return nativeKeysIn(object);
      }
      var isProto = isPrototype(object),
          result = [];

      for (var key in object) {
        if (!(key == 'constructor' && (isProto || !hasOwnProperty.call(object, key)))) {
          result.push(key);
        }
      }
      return result;
    }

    /**
     * The base implementation of `_.lt` which doesn't coerce arguments.
     *
     * @private
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if `value` is less than `other`,
     *  else `false`.
     */
    function baseLt(value, other) {
      return value < other;
    }

    /**
     * The base implementation of `_.map` without support for iteratee shorthands.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} iteratee The function invoked per iteration.
     * @returns {Array} Returns the new mapped array.
     */
    function baseMap(collection, iteratee) {
      var index = -1,
          result = isArrayLike(collection) ? Array(collection.length) : [];

      baseEach(collection, function(value, key, collection) {
        result[++index] = iteratee(value, key, collection);
      });
      return result;
    }

    /**
     * The base implementation of `_.matches` which doesn't clone `source`.
     *
     * @private
     * @param {Object} source The object of property values to match.
     * @returns {Function} Returns the new spec function.
     */
    function baseMatches(source) {
      var matchData = getMatchData(source);
      if (matchData.length == 1 && matchData[0][2]) {
        return matchesStrictComparable(matchData[0][0], matchData[0][1]);
      }
      return function(object) {
        return object === source || baseIsMatch(object, source, matchData);
      };
    }

    /**
     * The base implementation of `_.matchesProperty` which doesn't clone `srcValue`.
     *
     * @private
     * @param {string} path The path of the property to get.
     * @param {*} srcValue The value to match.
     * @returns {Function} Returns the new spec function.
     */
    function baseMatchesProperty(path, srcValue) {
      if (isKey(path) && isStrictComparable(srcValue)) {
        return matchesStrictComparable(toKey(path), srcValue);
      }
      return function(object) {
        var objValue = get(object, path);
        return (objValue === undefined && objValue === srcValue)
          ? hasIn(object, path)
          : baseIsEqual(srcValue, objValue, COMPARE_PARTIAL_FLAG | COMPARE_UNORDERED_FLAG);
      };
    }

    /**
     * The base implementation of `_.merge` without support for multiple sources.
     *
     * @private
     * @param {Object} object The destination object.
     * @param {Object} source The source object.
     * @param {number} srcIndex The index of `source`.
     * @param {Function} [customizer] The function to customize merged values.
     * @param {Object} [stack] Tracks traversed source values and their merged
     *  counterparts.
     */
    function baseMerge(object, source, srcIndex, customizer, stack) {
      if (object === source) {
        return;
      }
      baseFor(source, function(srcValue, key) {
        stack || (stack = new Stack);
        if (isObject(srcValue)) {
          baseMergeDeep(object, source, key, srcIndex, baseMerge, customizer, stack);
        }
        else {
          var newValue = customizer
            ? customizer(safeGet(object, key), srcValue, (key + ''), object, source, stack)
            : undefined;

          if (newValue === undefined) {
            newValue = srcValue;
          }
          assignMergeValue(object, key, newValue);
        }
      }, keysIn);
    }

    /**
     * A specialized version of `baseMerge` for arrays and objects which performs
     * deep merges and tracks traversed objects enabling objects with circular
     * references to be merged.
     *
     * @private
     * @param {Object} object The destination object.
     * @param {Object} source The source object.
     * @param {string} key The key of the value to merge.
     * @param {number} srcIndex The index of `source`.
     * @param {Function} mergeFunc The function to merge values.
     * @param {Function} [customizer] The function to customize assigned values.
     * @param {Object} [stack] Tracks traversed source values and their merged
     *  counterparts.
     */
    function baseMergeDeep(object, source, key, srcIndex, mergeFunc, customizer, stack) {
      var objValue = safeGet(object, key),
          srcValue = safeGet(source, key),
          stacked = stack.get(srcValue);

      if (stacked) {
        assignMergeValue(object, key, stacked);
        return;
      }
      var newValue = customizer
        ? customizer(objValue, srcValue, (key + ''), object, source, stack)
        : undefined;

      var isCommon = newValue === undefined;

      if (isCommon) {
        var isArr = isArray(srcValue),
            isBuff = !isArr && isBuffer(srcValue),
            isTyped = !isArr && !isBuff && isTypedArray(srcValue);

        newValue = srcValue;
        if (isArr || isBuff || isTyped) {
          if (isArray(objValue)) {
            newValue = objValue;
          }
          else if (isArrayLikeObject(objValue)) {
            newValue = copyArray(objValue);
          }
          else if (isBuff) {
            isCommon = false;
            newValue = cloneBuffer(srcValue, true);
          }
          else if (isTyped) {
            isCommon = false;
            newValue = cloneTypedArray(srcValue, true);
          }
          else {
            newValue = [];
          }
        }
        else if (isPlainObject(srcValue) || isArguments(srcValue)) {
          newValue = objValue;
          if (isArguments(objValue)) {
            newValue = toPlainObject(objValue);
          }
          else if (!isObject(objValue) || isFunction(objValue)) {
            newValue = initCloneObject(srcValue);
          }
        }
        else {
          isCommon = false;
        }
      }
      if (isCommon) {
        // Recursively merge objects and arrays (susceptible to call stack limits).
        stack.set(srcValue, newValue);
        mergeFunc(newValue, srcValue, srcIndex, customizer, stack);
        stack['delete'](srcValue);
      }
      assignMergeValue(object, key, newValue);
    }

    /**
     * The base implementation of `_.nth` which doesn't coerce arguments.
     *
     * @private
     * @param {Array} array The array to query.
     * @param {number} n The index of the element to return.
     * @returns {*} Returns the nth element of `array`.
     */
    function baseNth(array, n) {
      var length = array.length;
      if (!length) {
        return;
      }
      n += n < 0 ? length : 0;
      return isIndex(n, length) ? array[n] : undefined;
    }

    /**
     * The base implementation of `_.orderBy` without param guards.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function[]|Object[]|string[]} iteratees The iteratees to sort by.
     * @param {string[]} orders The sort orders of `iteratees`.
     * @returns {Array} Returns the new sorted array.
     */
    function baseOrderBy(collection, iteratees, orders) {
      if (iteratees.length) {
        iteratees = arrayMap(iteratees, function(iteratee) {
          if (isArray(iteratee)) {
            return function(value) {
              return baseGet(value, iteratee.length === 1 ? iteratee[0] : iteratee);
            }
          }
          return iteratee;
        });
      } else {
        iteratees = [identity];
      }

      var index = -1;
      iteratees = arrayMap(iteratees, baseUnary(getIteratee()));

      var result = baseMap(collection, function(value, key, collection) {
        var criteria = arrayMap(iteratees, function(iteratee) {
          return iteratee(value);
        });
        return { 'criteria': criteria, 'index': ++index, 'value': value };
      });

      return baseSortBy(result, function(object, other) {
        return compareMultiple(object, other, orders);
      });
    }

    /**
     * The base implementation of `_.pick` without support for individual
     * property identifiers.
     *
     * @private
     * @param {Object} object The source object.
     * @param {string[]} paths The property paths to pick.
     * @returns {Object} Returns the new object.
     */
    function basePick(object, paths) {
      return basePickBy(object, paths, function(value, path) {
        return hasIn(object, path);
      });
    }

    /**
     * The base implementation of  `_.pickBy` without support for iteratee shorthands.
     *
     * @private
     * @param {Object} object The source object.
     * @param {string[]} paths The property paths to pick.
     * @param {Function} predicate The function invoked per property.
     * @returns {Object} Returns the new object.
     */
    function basePickBy(object, paths, predicate) {
      var index = -1,
          length = paths.length,
          result = {};

      while (++index < length) {
        var path = paths[index],
            value = baseGet(object, path);

        if (predicate(value, path)) {
          baseSet(result, castPath(path, object), value);
        }
      }
      return result;
    }

    /**
     * A specialized version of `baseProperty` which supports deep paths.
     *
     * @private
     * @param {Array|string} path The path of the property to get.
     * @returns {Function} Returns the new accessor function.
     */
    function basePropertyDeep(path) {
      return function(object) {
        return baseGet(object, path);
      };
    }

    /**
     * The base implementation of `_.pullAllBy` without support for iteratee
     * shorthands.
     *
     * @private
     * @param {Array} array The array to modify.
     * @param {Array} values The values to remove.
     * @param {Function} [iteratee] The iteratee invoked per element.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns `array`.
     */
    function basePullAll(array, values, iteratee, comparator) {
      var indexOf = comparator ? baseIndexOfWith : baseIndexOf,
          index = -1,
          length = values.length,
          seen = array;

      if (array === values) {
        values = copyArray(values);
      }
      if (iteratee) {
        seen = arrayMap(array, baseUnary(iteratee));
      }
      while (++index < length) {
        var fromIndex = 0,
            value = values[index],
            computed = iteratee ? iteratee(value) : value;

        while ((fromIndex = indexOf(seen, computed, fromIndex, comparator)) > -1) {
          if (seen !== array) {
            splice.call(seen, fromIndex, 1);
          }
          splice.call(array, fromIndex, 1);
        }
      }
      return array;
    }

    /**
     * The base implementation of `_.pullAt` without support for individual
     * indexes or capturing the removed elements.
     *
     * @private
     * @param {Array} array The array to modify.
     * @param {number[]} indexes The indexes of elements to remove.
     * @returns {Array} Returns `array`.
     */
    function basePullAt(array, indexes) {
      var length = array ? indexes.length : 0,
          lastIndex = length - 1;

      while (length--) {
        var index = indexes[length];
        if (length == lastIndex || index !== previous) {
          var previous = index;
          if (isIndex(index)) {
            splice.call(array, index, 1);
          } else {
            baseUnset(array, index);
          }
        }
      }
      return array;
    }

    /**
     * The base implementation of `_.random` without support for returning
     * floating-point numbers.
     *
     * @private
     * @param {number} lower The lower bound.
     * @param {number} upper The upper bound.
     * @returns {number} Returns the random number.
     */
    function baseRandom(lower, upper) {
      return lower + nativeFloor(nativeRandom() * (upper - lower + 1));
    }

    /**
     * The base implementation of `_.range` and `_.rangeRight` which doesn't
     * coerce arguments.
     *
     * @private
     * @param {number} start The start of the range.
     * @param {number} end The end of the range.
     * @param {number} step The value to increment or decrement by.
     * @param {boolean} [fromRight] Specify iterating from right to left.
     * @returns {Array} Returns the range of numbers.
     */
    function baseRange(start, end, step, fromRight) {
      var index = -1,
          length = nativeMax(nativeCeil((end - start) / (step || 1)), 0),
          result = Array(length);

      while (length--) {
        result[fromRight ? length : ++index] = start;
        start += step;
      }
      return result;
    }

    /**
     * The base implementation of `_.repeat` which doesn't coerce arguments.
     *
     * @private
     * @param {string} string The string to repeat.
     * @param {number} n The number of times to repeat the string.
     * @returns {string} Returns the repeated string.
     */
    function baseRepeat(string, n) {
      var result = '';
      if (!string || n < 1 || n > MAX_SAFE_INTEGER) {
        return result;
      }
      // Leverage the exponentiation by squaring algorithm for a faster repeat.
      // See https://en.wikipedia.org/wiki/Exponentiation_by_squaring for more details.
      do {
        if (n % 2) {
          result += string;
        }
        n = nativeFloor(n / 2);
        if (n) {
          string += string;
        }
      } while (n);

      return result;
    }

    /**
     * The base implementation of `_.rest` which doesn't validate or coerce arguments.
     *
     * @private
     * @param {Function} func The function to apply a rest parameter to.
     * @param {number} [start=func.length-1] The start position of the rest parameter.
     * @returns {Function} Returns the new function.
     */
    function baseRest(func, start) {
      return setToString(overRest(func, start, identity), func + '');
    }

    /**
     * The base implementation of `_.sample`.
     *
     * @private
     * @param {Array|Object} collection The collection to sample.
     * @returns {*} Returns the random element.
     */
    function baseSample(collection) {
      return arraySample(values(collection));
    }

    /**
     * The base implementation of `_.sampleSize` without param guards.
     *
     * @private
     * @param {Array|Object} collection The collection to sample.
     * @param {number} n The number of elements to sample.
     * @returns {Array} Returns the random elements.
     */
    function baseSampleSize(collection, n) {
      var array = values(collection);
      return shuffleSelf(array, baseClamp(n, 0, array.length));
    }

    /**
     * The base implementation of `_.set`.
     *
     * @private
     * @param {Object} object The object to modify.
     * @param {Array|string} path The path of the property to set.
     * @param {*} value The value to set.
     * @param {Function} [customizer] The function to customize path creation.
     * @returns {Object} Returns `object`.
     */
    function baseSet(object, path, value, customizer) {
      if (!isObject(object)) {
        return object;
      }
      path = castPath(path, object);

      var index = -1,
          length = path.length,
          lastIndex = length - 1,
          nested = object;

      while (nested != null && ++index < length) {
        var key = toKey(path[index]),
            newValue = value;

        if (key === '__proto__' || key === 'constructor' || key === 'prototype') {
          return object;
        }

        if (index != lastIndex) {
          var objValue = nested[key];
          newValue = customizer ? customizer(objValue, key, nested) : undefined;
          if (newValue === undefined) {
            newValue = isObject(objValue)
              ? objValue
              : (isIndex(path[index + 1]) ? [] : {});
          }
        }
        assignValue(nested, key, newValue);
        nested = nested[key];
      }
      return object;
    }

    /**
     * The base implementation of `setData` without support for hot loop shorting.
     *
     * @private
     * @param {Function} func The function to associate metadata with.
     * @param {*} data The metadata.
     * @returns {Function} Returns `func`.
     */
    var baseSetData = !metaMap ? identity : function(func, data) {
      metaMap.set(func, data);
      return func;
    };

    /**
     * The base implementation of `setToString` without support for hot loop shorting.
     *
     * @private
     * @param {Function} func The function to modify.
     * @param {Function} string The `toString` result.
     * @returns {Function} Returns `func`.
     */
    var baseSetToString = !defineProperty ? identity : function(func, string) {
      return defineProperty(func, 'toString', {
        'configurable': true,
        'enumerable': false,
        'value': constant(string),
        'writable': true
      });
    };

    /**
     * The base implementation of `_.shuffle`.
     *
     * @private
     * @param {Array|Object} collection The collection to shuffle.
     * @returns {Array} Returns the new shuffled array.
     */
    function baseShuffle(collection) {
      return shuffleSelf(values(collection));
    }

    /**
     * The base implementation of `_.slice` without an iteratee call guard.
     *
     * @private
     * @param {Array} array The array to slice.
     * @param {number} [start=0] The start position.
     * @param {number} [end=array.length] The end position.
     * @returns {Array} Returns the slice of `array`.
     */
    function baseSlice(array, start, end) {
      var index = -1,
          length = array.length;

      if (start < 0) {
        start = -start > length ? 0 : (length + start);
      }
      end = end > length ? length : end;
      if (end < 0) {
        end += length;
      }
      length = start > end ? 0 : ((end - start) >>> 0);
      start >>>= 0;

      var result = Array(length);
      while (++index < length) {
        result[index] = array[index + start];
      }
      return result;
    }

    /**
     * The base implementation of `_.some` without support for iteratee shorthands.
     *
     * @private
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} predicate The function invoked per iteration.
     * @returns {boolean} Returns `true` if any element passes the predicate check,
     *  else `false`.
     */
    function baseSome(collection, predicate) {
      var result;

      baseEach(collection, function(value, index, collection) {
        result = predicate(value, index, collection);
        return !result;
      });
      return !!result;
    }

    /**
     * The base implementation of `_.sortedIndex` and `_.sortedLastIndex` which
     * performs a binary search of `array` to determine the index at which `value`
     * should be inserted into `array` in order to maintain its sort order.
     *
     * @private
     * @param {Array} array The sorted array to inspect.
     * @param {*} value The value to evaluate.
     * @param {boolean} [retHighest] Specify returning the highest qualified index.
     * @returns {number} Returns the index at which `value` should be inserted
     *  into `array`.
     */
    function baseSortedIndex(array, value, retHighest) {
      var low = 0,
          high = array == null ? low : array.length;

      if (typeof value == 'number' && value === value && high <= HALF_MAX_ARRAY_LENGTH) {
        while (low < high) {
          var mid = (low + high) >>> 1,
              computed = array[mid];

          if (computed !== null && !isSymbol(computed) &&
              (retHighest ? (computed <= value) : (computed < value))) {
            low = mid + 1;
          } else {
            high = mid;
          }
        }
        return high;
      }
      return baseSortedIndexBy(array, value, identity, retHighest);
    }

    /**
     * The base implementation of `_.sortedIndexBy` and `_.sortedLastIndexBy`
     * which invokes `iteratee` for `value` and each element of `array` to compute
     * their sort ranking. The iteratee is invoked with one argument; (value).
     *
     * @private
     * @param {Array} array The sorted array to inspect.
     * @param {*} value The value to evaluate.
     * @param {Function} iteratee The iteratee invoked per element.
     * @param {boolean} [retHighest] Specify returning the highest qualified index.
     * @returns {number} Returns the index at which `value` should be inserted
     *  into `array`.
     */
    function baseSortedIndexBy(array, value, iteratee, retHighest) {
      var low = 0,
          high = array == null ? 0 : array.length;
      if (high === 0) {
        return 0;
      }

      value = iteratee(value);
      var valIsNaN = value !== value,
          valIsNull = value === null,
          valIsSymbol = isSymbol(value),
          valIsUndefined = value === undefined;

      while (low < high) {
        var mid = nativeFloor((low + high) / 2),
            computed = iteratee(array[mid]),
            othIsDefined = computed !== undefined,
            othIsNull = computed === null,
            othIsReflexive = computed === computed,
            othIsSymbol = isSymbol(computed);

        if (valIsNaN) {
          var setLow = retHighest || othIsReflexive;
        } else if (valIsUndefined) {
          setLow = othIsReflexive && (retHighest || othIsDefined);
        } else if (valIsNull) {
          setLow = othIsReflexive && othIsDefined && (retHighest || !othIsNull);
        } else if (valIsSymbol) {
          setLow = othIsReflexive && othIsDefined && !othIsNull && (retHighest || !othIsSymbol);
        } else if (othIsNull || othIsSymbol) {
          setLow = false;
        } else {
          setLow = retHighest ? (computed <= value) : (computed < value);
        }
        if (setLow) {
          low = mid + 1;
        } else {
          high = mid;
        }
      }
      return nativeMin(high, MAX_ARRAY_INDEX);
    }

    /**
     * The base implementation of `_.sortedUniq` and `_.sortedUniqBy` without
     * support for iteratee shorthands.
     *
     * @private
     * @param {Array} array The array to inspect.
     * @param {Function} [iteratee] The iteratee invoked per element.
     * @returns {Array} Returns the new duplicate free array.
     */
    function baseSortedUniq(array, iteratee) {
      var index = -1,
          length = array.length,
          resIndex = 0,
          result = [];

      while (++index < length) {
        var value = array[index],
            computed = iteratee ? iteratee(value) : value;

        if (!index || !eq(computed, seen)) {
          var seen = computed;
          result[resIndex++] = value === 0 ? 0 : value;
        }
      }
      return result;
    }

    /**
     * The base implementation of `_.toNumber` which doesn't ensure correct
     * conversions of binary, hexadecimal, or octal string values.
     *
     * @private
     * @param {*} value The value to process.
     * @returns {number} Returns the number.
     */
    function baseToNumber(value) {
      if (typeof value == 'number') {
        return value;
      }
      if (isSymbol(value)) {
        return NAN;
      }
      return +value;
    }

    /**
     * The base implementation of `_.toString` which doesn't convert nullish
     * values to empty strings.
     *
     * @private
     * @param {*} value The value to process.
     * @returns {string} Returns the string.
     */
    function baseToString(value) {
      // Exit early for strings to avoid a performance hit in some environments.
      if (typeof value == 'string') {
        return value;
      }
      if (isArray(value)) {
        // Recursively convert values (susceptible to call stack limits).
        return arrayMap(value, baseToString) + '';
      }
      if (isSymbol(value)) {
        return symbolToString ? symbolToString.call(value) : '';
      }
      var result = (value + '');
      return (result == '0' && (1 / value) == -INFINITY) ? '-0' : result;
    }

    /**
     * The base implementation of `_.uniqBy` without support for iteratee shorthands.
     *
     * @private
     * @param {Array} array The array to inspect.
     * @param {Function} [iteratee] The iteratee invoked per element.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new duplicate free array.
     */
    function baseUniq(array, iteratee, comparator) {
      var index = -1,
          includes = arrayIncludes,
          length = array.length,
          isCommon = true,
          result = [],
          seen = result;

      if (comparator) {
        isCommon = false;
        includes = arrayIncludesWith;
      }
      else if (length >= LARGE_ARRAY_SIZE) {
        var set = iteratee ? null : createSet(array);
        if (set) {
          return setToArray(set);
        }
        isCommon = false;
        includes = cacheHas;
        seen = new SetCache;
      }
      else {
        seen = iteratee ? [] : result;
      }
      outer:
      while (++index < length) {
        var value = array[index],
            computed = iteratee ? iteratee(value) : value;

        value = (comparator || value !== 0) ? value : 0;
        if (isCommon && computed === computed) {
          var seenIndex = seen.length;
          while (seenIndex--) {
            if (seen[seenIndex] === computed) {
              continue outer;
            }
          }
          if (iteratee) {
            seen.push(computed);
          }
          result.push(value);
        }
        else if (!includes(seen, computed, comparator)) {
          if (seen !== result) {
            seen.push(computed);
          }
          result.push(value);
        }
      }
      return result;
    }

    /**
     * The base implementation of `_.unset`.
     *
     * @private
     * @param {Object} object The object to modify.
     * @param {Array|string} path The property path to unset.
     * @returns {boolean} Returns `true` if the property is deleted, else `false`.
     */
    function baseUnset(object, path) {
      path = castPath(path, object);
      object = parent(object, path);
      return object == null || delete object[toKey(last(path))];
    }

    /**
     * The base implementation of `_.update`.
     *
     * @private
     * @param {Object} object The object to modify.
     * @param {Array|string} path The path of the property to update.
     * @param {Function} updater The function to produce the updated value.
     * @param {Function} [customizer] The function to customize path creation.
     * @returns {Object} Returns `object`.
     */
    function baseUpdate(object, path, updater, customizer) {
      return baseSet(object, path, updater(baseGet(object, path)), customizer);
    }

    /**
     * The base implementation of methods like `_.dropWhile` and `_.takeWhile`
     * without support for iteratee shorthands.
     *
     * @private
     * @param {Array} array The array to query.
     * @param {Function} predicate The function invoked per iteration.
     * @param {boolean} [isDrop] Specify dropping elements instead of taking them.
     * @param {boolean} [fromRight] Specify iterating from right to left.
     * @returns {Array} Returns the slice of `array`.
     */
    function baseWhile(array, predicate, isDrop, fromRight) {
      var length = array.length,
          index = fromRight ? length : -1;

      while ((fromRight ? index-- : ++index < length) &&
        predicate(array[index], index, array)) {}

      return isDrop
        ? baseSlice(array, (fromRight ? 0 : index), (fromRight ? index + 1 : length))
        : baseSlice(array, (fromRight ? index + 1 : 0), (fromRight ? length : index));
    }

    /**
     * The base implementation of `wrapperValue` which returns the result of
     * performing a sequence of actions on the unwrapped `value`, where each
     * successive action is supplied the return value of the previous.
     *
     * @private
     * @param {*} value The unwrapped value.
     * @param {Array} actions Actions to perform to resolve the unwrapped value.
     * @returns {*} Returns the resolved value.
     */
    function baseWrapperValue(value, actions) {
      var result = value;
      if (result instanceof LazyWrapper) {
        result = result.value();
      }
      return arrayReduce(actions, function(result, action) {
        return action.func.apply(action.thisArg, arrayPush([result], action.args));
      }, result);
    }

    /**
     * The base implementation of methods like `_.xor`, without support for
     * iteratee shorthands, that accepts an array of arrays to inspect.
     *
     * @private
     * @param {Array} arrays The arrays to inspect.
     * @param {Function} [iteratee] The iteratee invoked per element.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new array of values.
     */
    function baseXor(arrays, iteratee, comparator) {
      var length = arrays.length;
      if (length < 2) {
        return length ? baseUniq(arrays[0]) : [];
      }
      var index = -1,
          result = Array(length);

      while (++index < length) {
        var array = arrays[index],
            othIndex = -1;

        while (++othIndex < length) {
          if (othIndex != index) {
            result[index] = baseDifference(result[index] || array, arrays[othIndex], iteratee, comparator);
          }
        }
      }
      return baseUniq(baseFlatten(result, 1), iteratee, comparator);
    }

    /**
     * This base implementation of `_.zipObject` which assigns values using `assignFunc`.
     *
     * @private
     * @param {Array} props The property identifiers.
     * @param {Array} values The property values.
     * @param {Function} assignFunc The function to assign values.
     * @returns {Object} Returns the new object.
     */
    function baseZipObject(props, values, assignFunc) {
      var index = -1,
          length = props.length,
          valsLength = values.length,
          result = {};

      while (++index < length) {
        var value = index < valsLength ? values[index] : undefined;
        assignFunc(result, props[index], value);
      }
      return result;
    }

    /**
     * Casts `value` to an empty array if it's not an array like object.
     *
     * @private
     * @param {*} value The value to inspect.
     * @returns {Array|Object} Returns the cast array-like object.
     */
    function castArrayLikeObject(value) {
      return isArrayLikeObject(value) ? value : [];
    }

    /**
     * Casts `value` to `identity` if it's not a function.
     *
     * @private
     * @param {*} value The value to inspect.
     * @returns {Function} Returns cast function.
     */
    function castFunction(value) {
      return typeof value == 'function' ? value : identity;
    }

    /**
     * Casts `value` to a path array if it's not one.
     *
     * @private
     * @param {*} value The value to inspect.
     * @param {Object} [object] The object to query keys on.
     * @returns {Array} Returns the cast property path array.
     */
    function castPath(value, object) {
      if (isArray(value)) {
        return value;
      }
      return isKey(value, object) ? [value] : stringToPath(toString(value));
    }

    /**
     * A `baseRest` alias which can be replaced with `identity` by module
     * replacement plugins.
     *
     * @private
     * @type {Function}
     * @param {Function} func The function to apply a rest parameter to.
     * @returns {Function} Returns the new function.
     */
    var castRest = baseRest;

    /**
     * Casts `array` to a slice if it's needed.
     *
     * @private
     * @param {Array} array The array to inspect.
     * @param {number} start The start position.
     * @param {number} [end=array.length] The end position.
     * @returns {Array} Returns the cast slice.
     */
    function castSlice(array, start, end) {
      var length = array.length;
      end = end === undefined ? length : end;
      return (!start && end >= length) ? array : baseSlice(array, start, end);
    }

    /**
     * A simple wrapper around the global [`clearTimeout`](https://mdn.io/clearTimeout).
     *
     * @private
     * @param {number|Object} id The timer id or timeout object of the timer to clear.
     */
    var clearTimeout = ctxClearTimeout || function(id) {
      return root.clearTimeout(id);
    };

    /**
     * Creates a clone of  `buffer`.
     *
     * @private
     * @param {Buffer} buffer The buffer to clone.
     * @param {boolean} [isDeep] Specify a deep clone.
     * @returns {Buffer} Returns the cloned buffer.
     */
    function cloneBuffer(buffer, isDeep) {
      if (isDeep) {
        return buffer.slice();
      }
      var length = buffer.length,
          result = allocUnsafe ? allocUnsafe(length) : new buffer.constructor(length);

      buffer.copy(result);
      return result;
    }

    /**
     * Creates a clone of `arrayBuffer`.
     *
     * @private
     * @param {ArrayBuffer} arrayBuffer The array buffer to clone.
     * @returns {ArrayBuffer} Returns the cloned array buffer.
     */
    function cloneArrayBuffer(arrayBuffer) {
      var result = new arrayBuffer.constructor(arrayBuffer.byteLength);
      new Uint8Array(result).set(new Uint8Array(arrayBuffer));
      return result;
    }

    /**
     * Creates a clone of `dataView`.
     *
     * @private
     * @param {Object} dataView The data view to clone.
     * @param {boolean} [isDeep] Specify a deep clone.
     * @returns {Object} Returns the cloned data view.
     */
    function cloneDataView(dataView, isDeep) {
      var buffer = isDeep ? cloneArrayBuffer(dataView.buffer) : dataView.buffer;
      return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
    }

    /**
     * Creates a clone of `regexp`.
     *
     * @private
     * @param {Object} regexp The regexp to clone.
     * @returns {Object} Returns the cloned regexp.
     */
    function cloneRegExp(regexp) {
      var result = new regexp.constructor(regexp.source, reFlags.exec(regexp));
      result.lastIndex = regexp.lastIndex;
      return result;
    }

    /**
     * Creates a clone of the `symbol` object.
     *
     * @private
     * @param {Object} symbol The symbol object to clone.
     * @returns {Object} Returns the cloned symbol object.
     */
    function cloneSymbol(symbol) {
      return symbolValueOf ? Object(symbolValueOf.call(symbol)) : {};
    }

    /**
     * Creates a clone of `typedArray`.
     *
     * @private
     * @param {Object} typedArray The typed array to clone.
     * @param {boolean} [isDeep] Specify a deep clone.
     * @returns {Object} Returns the cloned typed array.
     */
    function cloneTypedArray(typedArray, isDeep) {
      var buffer = isDeep ? cloneArrayBuffer(typedArray.buffer) : typedArray.buffer;
      return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
    }

    /**
     * Compares values to sort them in ascending order.
     *
     * @private
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {number} Returns the sort order indicator for `value`.
     */
    function compareAscending(value, other) {
      if (value !== other) {
        var valIsDefined = value !== undefined,
            valIsNull = value === null,
            valIsReflexive = value === value,
            valIsSymbol = isSymbol(value);

        var othIsDefined = other !== undefined,
            othIsNull = other === null,
            othIsReflexive = other === other,
            othIsSymbol = isSymbol(other);

        if ((!othIsNull && !othIsSymbol && !valIsSymbol && value > other) ||
            (valIsSymbol && othIsDefined && othIsReflexive && !othIsNull && !othIsSymbol) ||
            (valIsNull && othIsDefined && othIsReflexive) ||
            (!valIsDefined && othIsReflexive) ||
            !valIsReflexive) {
          return 1;
        }
        if ((!valIsNull && !valIsSymbol && !othIsSymbol && value < other) ||
            (othIsSymbol && valIsDefined && valIsReflexive && !valIsNull && !valIsSymbol) ||
            (othIsNull && valIsDefined && valIsReflexive) ||
            (!othIsDefined && valIsReflexive) ||
            !othIsReflexive) {
          return -1;
        }
      }
      return 0;
    }

    /**
     * Used by `_.orderBy` to compare multiple properties of a value to another
     * and stable sort them.
     *
     * If `orders` is unspecified, all values are sorted in ascending order. Otherwise,
     * specify an order of "desc" for descending or "asc" for ascending sort order
     * of corresponding values.
     *
     * @private
     * @param {Object} object The object to compare.
     * @param {Object} other The other object to compare.
     * @param {boolean[]|string[]} orders The order to sort by for each property.
     * @returns {number} Returns the sort order indicator for `object`.
     */
    function compareMultiple(object, other, orders) {
      var index = -1,
          objCriteria = object.criteria,
          othCriteria = other.criteria,
          length = objCriteria.length,
          ordersLength = orders.length;

      while (++index < length) {
        var result = compareAscending(objCriteria[index], othCriteria[index]);
        if (result) {
          if (index >= ordersLength) {
            return result;
          }
          var order = orders[index];
          return result * (order == 'desc' ? -1 : 1);
        }
      }
      // Fixes an `Array#sort` bug in the JS engine embedded in Adobe applications
      // that causes it, under certain circumstances, to provide the same value for
      // `object` and `other`. See https://github.com/jashkenas/underscore/pull/1247
      // for more details.
      //
      // This also ensures a stable sort in V8 and other engines.
      // See https://bugs.chromium.org/p/v8/issues/detail?id=90 for more details.
      return object.index - other.index;
    }

    /**
     * Creates an array that is the composition of partially applied arguments,
     * placeholders, and provided arguments into a single array of arguments.
     *
     * @private
     * @param {Array} args The provided arguments.
     * @param {Array} partials The arguments to prepend to those provided.
     * @param {Array} holders The `partials` placeholder indexes.
     * @params {boolean} [isCurried] Specify composing for a curried function.
     * @returns {Array} Returns the new array of composed arguments.
     */
    function composeArgs(args, partials, holders, isCurried) {
      var argsIndex = -1,
          argsLength = args.length,
          holdersLength = holders.length,
          leftIndex = -1,
          leftLength = partials.length,
          rangeLength = nativeMax(argsLength - holdersLength, 0),
          result = Array(leftLength + rangeLength),
          isUncurried = !isCurried;

      while (++leftIndex < leftLength) {
        result[leftIndex] = partials[leftIndex];
      }
      while (++argsIndex < holdersLength) {
        if (isUncurried || argsIndex < argsLength) {
          result[holders[argsIndex]] = args[argsIndex];
        }
      }
      while (rangeLength--) {
        result[leftIndex++] = args[argsIndex++];
      }
      return result;
    }

    /**
     * This function is like `composeArgs` except that the arguments composition
     * is tailored for `_.partialRight`.
     *
     * @private
     * @param {Array} args The provided arguments.
     * @param {Array} partials The arguments to append to those provided.
     * @param {Array} holders The `partials` placeholder indexes.
     * @params {boolean} [isCurried] Specify composing for a curried function.
     * @returns {Array} Returns the new array of composed arguments.
     */
    function composeArgsRight(args, partials, holders, isCurried) {
      var argsIndex = -1,
          argsLength = args.length,
          holdersIndex = -1,
          holdersLength = holders.length,
          rightIndex = -1,
          rightLength = partials.length,
          rangeLength = nativeMax(argsLength - holdersLength, 0),
          result = Array(rangeLength + rightLength),
          isUncurried = !isCurried;

      while (++argsIndex < rangeLength) {
        result[argsIndex] = args[argsIndex];
      }
      var offset = argsIndex;
      while (++rightIndex < rightLength) {
        result[offset + rightIndex] = partials[rightIndex];
      }
      while (++holdersIndex < holdersLength) {
        if (isUncurried || argsIndex < argsLength) {
          result[offset + holders[holdersIndex]] = args[argsIndex++];
        }
      }
      return result;
    }

    /**
     * Copies the values of `source` to `array`.
     *
     * @private
     * @param {Array} source The array to copy values from.
     * @param {Array} [array=[]] The array to copy values to.
     * @returns {Array} Returns `array`.
     */
    function copyArray(source, array) {
      var index = -1,
          length = source.length;

      array || (array = Array(length));
      while (++index < length) {
        array[index] = source[index];
      }
      return array;
    }

    /**
     * Copies properties of `source` to `object`.
     *
     * @private
     * @param {Object} source The object to copy properties from.
     * @param {Array} props The property identifiers to copy.
     * @param {Object} [object={}] The object to copy properties to.
     * @param {Function} [customizer] The function to customize copied values.
     * @returns {Object} Returns `object`.
     */
    function copyObject(source, props, object, customizer) {
      var isNew = !object;
      object || (object = {});

      var index = -1,
          length = props.length;

      while (++index < length) {
        var key = props[index];

        var newValue = customizer
          ? customizer(object[key], source[key], key, object, source)
          : undefined;

        if (newValue === undefined) {
          newValue = source[key];
        }
        if (isNew) {
          baseAssignValue(object, key, newValue);
        } else {
          assignValue(object, key, newValue);
        }
      }
      return object;
    }

    /**
     * Copies own symbols of `source` to `object`.
     *
     * @private
     * @param {Object} source The object to copy symbols from.
     * @param {Object} [object={}] The object to copy symbols to.
     * @returns {Object} Returns `object`.
     */
    function copySymbols(source, object) {
      return copyObject(source, getSymbols(source), object);
    }

    /**
     * Copies own and inherited symbols of `source` to `object`.
     *
     * @private
     * @param {Object} source The object to copy symbols from.
     * @param {Object} [object={}] The object to copy symbols to.
     * @returns {Object} Returns `object`.
     */
    function copySymbolsIn(source, object) {
      return copyObject(source, getSymbolsIn(source), object);
    }

    /**
     * Creates a function like `_.groupBy`.
     *
     * @private
     * @param {Function} setter The function to set accumulator values.
     * @param {Function} [initializer] The accumulator object initializer.
     * @returns {Function} Returns the new aggregator function.
     */
    function createAggregator(setter, initializer) {
      return function(collection, iteratee) {
        var func = isArray(collection) ? arrayAggregator : baseAggregator,
            accumulator = initializer ? initializer() : {};

        return func(collection, setter, getIteratee(iteratee, 2), accumulator);
      };
    }

    /**
     * Creates a function like `_.assign`.
     *
     * @private
     * @param {Function} assigner The function to assign values.
     * @returns {Function} Returns the new assigner function.
     */
    function createAssigner(assigner) {
      return baseRest(function(object, sources) {
        var index = -1,
            length = sources.length,
            customizer = length > 1 ? sources[length - 1] : undefined,
            guard = length > 2 ? sources[2] : undefined;

        customizer = (assigner.length > 3 && typeof customizer == 'function')
          ? (length--, customizer)
          : undefined;

        if (guard && isIterateeCall(sources[0], sources[1], guard)) {
          customizer = length < 3 ? undefined : customizer;
          length = 1;
        }
        object = Object(object);
        while (++index < length) {
          var source = sources[index];
          if (source) {
            assigner(object, source, index, customizer);
          }
        }
        return object;
      });
    }

    /**
     * Creates a `baseEach` or `baseEachRight` function.
     *
     * @private
     * @param {Function} eachFunc The function to iterate over a collection.
     * @param {boolean} [fromRight] Specify iterating from right to left.
     * @returns {Function} Returns the new base function.
     */
    function createBaseEach(eachFunc, fromRight) {
      return function(collection, iteratee) {
        if (collection == null) {
          return collection;
        }
        if (!isArrayLike(collection)) {
          return eachFunc(collection, iteratee);
        }
        var length = collection.length,
            index = fromRight ? length : -1,
            iterable = Object(collection);

        while ((fromRight ? index-- : ++index < length)) {
          if (iteratee(iterable[index], index, iterable) === false) {
            break;
          }
        }
        return collection;
      };
    }

    /**
     * Creates a base function for methods like `_.forIn` and `_.forOwn`.
     *
     * @private
     * @param {boolean} [fromRight] Specify iterating from right to left.
     * @returns {Function} Returns the new base function.
     */
    function createBaseFor(fromRight) {
      return function(object, iteratee, keysFunc) {
        var index = -1,
            iterable = Object(object),
            props = keysFunc(object),
            length = props.length;

        while (length--) {
          var key = props[fromRight ? length : ++index];
          if (iteratee(iterable[key], key, iterable) === false) {
            break;
          }
        }
        return object;
      };
    }

    /**
     * Creates a function that wraps `func` to invoke it with the optional `this`
     * binding of `thisArg`.
     *
     * @private
     * @param {Function} func The function to wrap.
     * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
     * @param {*} [thisArg] The `this` binding of `func`.
     * @returns {Function} Returns the new wrapped function.
     */
    function createBind(func, bitmask, thisArg) {
      var isBind = bitmask & WRAP_BIND_FLAG,
          Ctor = createCtor(func);

      function wrapper() {
        var fn = (this && this !== root && this instanceof wrapper) ? Ctor : func;
        return fn.apply(isBind ? thisArg : this, arguments);
      }
      return wrapper;
    }

    /**
     * Creates a function like `_.lowerFirst`.
     *
     * @private
     * @param {string} methodName The name of the `String` case method to use.
     * @returns {Function} Returns the new case function.
     */
    function createCaseFirst(methodName) {
      return function(string) {
        string = toString(string);

        var strSymbols = hasUnicode(string)
          ? stringToArray(string)
          : undefined;

        var chr = strSymbols
          ? strSymbols[0]
          : string.charAt(0);

        var trailing = strSymbols
          ? castSlice(strSymbols, 1).join('')
          : string.slice(1);

        return chr[methodName]() + trailing;
      };
    }

    /**
     * Creates a function like `_.camelCase`.
     *
     * @private
     * @param {Function} callback The function to combine each word.
     * @returns {Function} Returns the new compounder function.
     */
    function createCompounder(callback) {
      return function(string) {
        return arrayReduce(words(deburr(string).replace(reApos, '')), callback, '');
      };
    }

    /**
     * Creates a function that produces an instance of `Ctor` regardless of
     * whether it was invoked as part of a `new` expression or by `call` or `apply`.
     *
     * @private
     * @param {Function} Ctor The constructor to wrap.
     * @returns {Function} Returns the new wrapped function.
     */
    function createCtor(Ctor) {
      return function() {
        // Use a `switch` statement to work with class constructors. See
        // http://ecma-international.org/ecma-262/7.0/#sec-ecmascript-function-objects-call-thisargument-argumentslist
        // for more details.
        var args = arguments;
        switch (args.length) {
          case 0: return new Ctor;
          case 1: return new Ctor(args[0]);
          case 2: return new Ctor(args[0], args[1]);
          case 3: return new Ctor(args[0], args[1], args[2]);
          case 4: return new Ctor(args[0], args[1], args[2], args[3]);
          case 5: return new Ctor(args[0], args[1], args[2], args[3], args[4]);
          case 6: return new Ctor(args[0], args[1], args[2], args[3], args[4], args[5]);
          case 7: return new Ctor(args[0], args[1], args[2], args[3], args[4], args[5], args[6]);
        }
        var thisBinding = baseCreate(Ctor.prototype),
            result = Ctor.apply(thisBinding, args);

        // Mimic the constructor's `return` behavior.
        // See https://es5.github.io/#x13.2.2 for more details.
        return isObject(result) ? result : thisBinding;
      };
    }

    /**
     * Creates a function that wraps `func` to enable currying.
     *
     * @private
     * @param {Function} func The function to wrap.
     * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
     * @param {number} arity The arity of `func`.
     * @returns {Function} Returns the new wrapped function.
     */
    function createCurry(func, bitmask, arity) {
      var Ctor = createCtor(func);

      function wrapper() {
        var length = arguments.length,
            args = Array(length),
            index = length,
            placeholder = getHolder(wrapper);

        while (index--) {
          args[index] = arguments[index];
        }
        var holders = (length < 3 && args[0] !== placeholder && args[length - 1] !== placeholder)
          ? []
          : replaceHolders(args, placeholder);

        length -= holders.length;
        if (length < arity) {
          return createRecurry(
            func, bitmask, createHybrid, wrapper.placeholder, undefined,
            args, holders, undefined, undefined, arity - length);
        }
        var fn = (this && this !== root && this instanceof wrapper) ? Ctor : func;
        return apply(fn, this, args);
      }
      return wrapper;
    }

    /**
     * Creates a `_.find` or `_.findLast` function.
     *
     * @private
     * @param {Function} findIndexFunc The function to find the collection index.
     * @returns {Function} Returns the new find function.
     */
    function createFind(findIndexFunc) {
      return function(collection, predicate, fromIndex) {
        var iterable = Object(collection);
        if (!isArrayLike(collection)) {
          var iteratee = getIteratee(predicate, 3);
          collection = keys(collection);
          predicate = function(key) { return iteratee(iterable[key], key, iterable); };
        }
        var index = findIndexFunc(collection, predicate, fromIndex);
        return index > -1 ? iterable[iteratee ? collection[index] : index] : undefined;
      };
    }

    /**
     * Creates a `_.flow` or `_.flowRight` function.
     *
     * @private
     * @param {boolean} [fromRight] Specify iterating from right to left.
     * @returns {Function} Returns the new flow function.
     */
    function createFlow(fromRight) {
      return flatRest(function(funcs) {
        var length = funcs.length,
            index = length,
            prereq = LodashWrapper.prototype.thru;

        if (fromRight) {
          funcs.reverse();
        }
        while (index--) {
          var func = funcs[index];
          if (typeof func != 'function') {
            throw new TypeError(FUNC_ERROR_TEXT);
          }
          if (prereq && !wrapper && getFuncName(func) == 'wrapper') {
            var wrapper = new LodashWrapper([], true);
          }
        }
        index = wrapper ? index : length;
        while (++index < length) {
          func = funcs[index];

          var funcName = getFuncName(func),
              data = funcName == 'wrapper' ? getData(func) : undefined;

          if (data && isLaziable(data[0]) &&
                data[1] == (WRAP_ARY_FLAG | WRAP_CURRY_FLAG | WRAP_PARTIAL_FLAG | WRAP_REARG_FLAG) &&
                !data[4].length && data[9] == 1
              ) {
            wrapper = wrapper[getFuncName(data[0])].apply(wrapper, data[3]);
          } else {
            wrapper = (func.length == 1 && isLaziable(func))
              ? wrapper[funcName]()
              : wrapper.thru(func);
          }
        }
        return function() {
          var args = arguments,
              value = args[0];

          if (wrapper && args.length == 1 && isArray(value)) {
            return wrapper.plant(value).value();
          }
          var index = 0,
              result = length ? funcs[index].apply(this, args) : value;

          while (++index < length) {
            result = funcs[index].call(this, result);
          }
          return result;
        };
      });
    }

    /**
     * Creates a function that wraps `func` to invoke it with optional `this`
     * binding of `thisArg`, partial application, and currying.
     *
     * @private
     * @param {Function|string} func The function or method name to wrap.
     * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
     * @param {*} [thisArg] The `this` binding of `func`.
     * @param {Array} [partials] The arguments to prepend to those provided to
     *  the new function.
     * @param {Array} [holders] The `partials` placeholder indexes.
     * @param {Array} [partialsRight] The arguments to append to those provided
     *  to the new function.
     * @param {Array} [holdersRight] The `partialsRight` placeholder indexes.
     * @param {Array} [argPos] The argument positions of the new function.
     * @param {number} [ary] The arity cap of `func`.
     * @param {number} [arity] The arity of `func`.
     * @returns {Function} Returns the new wrapped function.
     */
    function createHybrid(func, bitmask, thisArg, partials, holders, partialsRight, holdersRight, argPos, ary, arity) {
      var isAry = bitmask & WRAP_ARY_FLAG,
          isBind = bitmask & WRAP_BIND_FLAG,
          isBindKey = bitmask & WRAP_BIND_KEY_FLAG,
          isCurried = bitmask & (WRAP_CURRY_FLAG | WRAP_CURRY_RIGHT_FLAG),
          isFlip = bitmask & WRAP_FLIP_FLAG,
          Ctor = isBindKey ? undefined : createCtor(func);

      function wrapper() {
        var length = arguments.length,
            args = Array(length),
            index = length;

        while (index--) {
          args[index] = arguments[index];
        }
        if (isCurried) {
          var placeholder = getHolder(wrapper),
              holdersCount = countHolders(args, placeholder);
        }
        if (partials) {
          args = composeArgs(args, partials, holders, isCurried);
        }
        if (partialsRight) {
          args = composeArgsRight(args, partialsRight, holdersRight, isCurried);
        }
        length -= holdersCount;
        if (isCurried && length < arity) {
          var newHolders = replaceHolders(args, placeholder);
          return createRecurry(
            func, bitmask, createHybrid, wrapper.placeholder, thisArg,
            args, newHolders, argPos, ary, arity - length
          );
        }
        var thisBinding = isBind ? thisArg : this,
            fn = isBindKey ? thisBinding[func] : func;

        length = args.length;
        if (argPos) {
          args = reorder(args, argPos);
        } else if (isFlip && length > 1) {
          args.reverse();
        }
        if (isAry && ary < length) {
          args.length = ary;
        }
        if (this && this !== root && this instanceof wrapper) {
          fn = Ctor || createCtor(fn);
        }
        return fn.apply(thisBinding, args);
      }
      return wrapper;
    }

    /**
     * Creates a function like `_.invertBy`.
     *
     * @private
     * @param {Function} setter The function to set accumulator values.
     * @param {Function} toIteratee The function to resolve iteratees.
     * @returns {Function} Returns the new inverter function.
     */
    function createInverter(setter, toIteratee) {
      return function(object, iteratee) {
        return baseInverter(object, setter, toIteratee(iteratee), {});
      };
    }

    /**
     * Creates a function that performs a mathematical operation on two values.
     *
     * @private
     * @param {Function} operator The function to perform the operation.
     * @param {number} [defaultValue] The value used for `undefined` arguments.
     * @returns {Function} Returns the new mathematical operation function.
     */
    function createMathOperation(operator, defaultValue) {
      return function(value, other) {
        var result;
        if (value === undefined && other === undefined) {
          return defaultValue;
        }
        if (value !== undefined) {
          result = value;
        }
        if (other !== undefined) {
          if (result === undefined) {
            return other;
          }
          if (typeof value == 'string' || typeof other == 'string') {
            value = baseToString(value);
            other = baseToString(other);
          } else {
            value = baseToNumber(value);
            other = baseToNumber(other);
          }
          result = operator(value, other);
        }
        return result;
      };
    }

    /**
     * Creates a function like `_.over`.
     *
     * @private
     * @param {Function} arrayFunc The function to iterate over iteratees.
     * @returns {Function} Returns the new over function.
     */
    function createOver(arrayFunc) {
      return flatRest(function(iteratees) {
        iteratees = arrayMap(iteratees, baseUnary(getIteratee()));
        return baseRest(function(args) {
          var thisArg = this;
          return arrayFunc(iteratees, function(iteratee) {
            return apply(iteratee, thisArg, args);
          });
        });
      });
    }

    /**
     * Creates the padding for `string` based on `length`. The `chars` string
     * is truncated if the number of characters exceeds `length`.
     *
     * @private
     * @param {number} length The padding length.
     * @param {string} [chars=' '] The string used as padding.
     * @returns {string} Returns the padding for `string`.
     */
    function createPadding(length, chars) {
      chars = chars === undefined ? ' ' : baseToString(chars);

      var charsLength = chars.length;
      if (charsLength < 2) {
        return charsLength ? baseRepeat(chars, length) : chars;
      }
      var result = baseRepeat(chars, nativeCeil(length / stringSize(chars)));
      return hasUnicode(chars)
        ? castSlice(stringToArray(result), 0, length).join('')
        : result.slice(0, length);
    }

    /**
     * Creates a function that wraps `func` to invoke it with the `this` binding
     * of `thisArg` and `partials` prepended to the arguments it receives.
     *
     * @private
     * @param {Function} func The function to wrap.
     * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
     * @param {*} thisArg The `this` binding of `func`.
     * @param {Array} partials The arguments to prepend to those provided to
     *  the new function.
     * @returns {Function} Returns the new wrapped function.
     */
    function createPartial(func, bitmask, thisArg, partials) {
      var isBind = bitmask & WRAP_BIND_FLAG,
          Ctor = createCtor(func);

      function wrapper() {
        var argsIndex = -1,
            argsLength = arguments.length,
            leftIndex = -1,
            leftLength = partials.length,
            args = Array(leftLength + argsLength),
            fn = (this && this !== root && this instanceof wrapper) ? Ctor : func;

        while (++leftIndex < leftLength) {
          args[leftIndex] = partials[leftIndex];
        }
        while (argsLength--) {
          args[leftIndex++] = arguments[++argsIndex];
        }
        return apply(fn, isBind ? thisArg : this, args);
      }
      return wrapper;
    }

    /**
     * Creates a `_.range` or `_.rangeRight` function.
     *
     * @private
     * @param {boolean} [fromRight] Specify iterating from right to left.
     * @returns {Function} Returns the new range function.
     */
    function createRange(fromRight) {
      return function(start, end, step) {
        if (step && typeof step != 'number' && isIterateeCall(start, end, step)) {
          end = step = undefined;
        }
        // Ensure the sign of `-0` is preserved.
        start = toFinite(start);
        if (end === undefined) {
          end = start;
          start = 0;
        } else {
          end = toFinite(end);
        }
        step = step === undefined ? (start < end ? 1 : -1) : toFinite(step);
        return baseRange(start, end, step, fromRight);
      };
    }

    /**
     * Creates a function that performs a relational operation on two values.
     *
     * @private
     * @param {Function} operator The function to perform the operation.
     * @returns {Function} Returns the new relational operation function.
     */
    function createRelationalOperation(operator) {
      return function(value, other) {
        if (!(typeof value == 'string' && typeof other == 'string')) {
          value = toNumber(value);
          other = toNumber(other);
        }
        return operator(value, other);
      };
    }

    /**
     * Creates a function that wraps `func` to continue currying.
     *
     * @private
     * @param {Function} func The function to wrap.
     * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
     * @param {Function} wrapFunc The function to create the `func` wrapper.
     * @param {*} placeholder The placeholder value.
     * @param {*} [thisArg] The `this` binding of `func`.
     * @param {Array} [partials] The arguments to prepend to those provided to
     *  the new function.
     * @param {Array} [holders] The `partials` placeholder indexes.
     * @param {Array} [argPos] The argument positions of the new function.
     * @param {number} [ary] The arity cap of `func`.
     * @param {number} [arity] The arity of `func`.
     * @returns {Function} Returns the new wrapped function.
     */
    function createRecurry(func, bitmask, wrapFunc, placeholder, thisArg, partials, holders, argPos, ary, arity) {
      var isCurry = bitmask & WRAP_CURRY_FLAG,
          newHolders = isCurry ? holders : undefined,
          newHoldersRight = isCurry ? undefined : holders,
          newPartials = isCurry ? partials : undefined,
          newPartialsRight = isCurry ? undefined : partials;

      bitmask |= (isCurry ? WRAP_PARTIAL_FLAG : WRAP_PARTIAL_RIGHT_FLAG);
      bitmask &= ~(isCurry ? WRAP_PARTIAL_RIGHT_FLAG : WRAP_PARTIAL_FLAG);

      if (!(bitmask & WRAP_CURRY_BOUND_FLAG)) {
        bitmask &= ~(WRAP_BIND_FLAG | WRAP_BIND_KEY_FLAG);
      }
      var newData = [
        func, bitmask, thisArg, newPartials, newHolders, newPartialsRight,
        newHoldersRight, argPos, ary, arity
      ];

      var result = wrapFunc.apply(undefined, newData);
      if (isLaziable(func)) {
        setData(result, newData);
      }
      result.placeholder = placeholder;
      return setWrapToString(result, func, bitmask);
    }

    /**
     * Creates a function like `_.round`.
     *
     * @private
     * @param {string} methodName The name of the `Math` method to use when rounding.
     * @returns {Function} Returns the new round function.
     */
    function createRound(methodName) {
      var func = Math[methodName];
      return function(number, precision) {
        number = toNumber(number);
        precision = precision == null ? 0 : nativeMin(toInteger(precision), 292);
        if (precision && nativeIsFinite(number)) {
          // Shift with exponential notation to avoid floating-point issues.
          // See [MDN](https://mdn.io/round#Examples) for more details.
          var pair = (toString(number) + 'e').split('e'),
              value = func(pair[0] + 'e' + (+pair[1] + precision));

          pair = (toString(value) + 'e').split('e');
          return +(pair[0] + 'e' + (+pair[1] - precision));
        }
        return func(number);
      };
    }

    /**
     * Creates a set object of `values`.
     *
     * @private
     * @param {Array} values The values to add to the set.
     * @returns {Object} Returns the new set.
     */
    var createSet = !(Set && (1 / setToArray(new Set([,-0]))[1]) == INFINITY) ? noop : function(values) {
      return new Set(values);
    };

    /**
     * Creates a `_.toPairs` or `_.toPairsIn` function.
     *
     * @private
     * @param {Function} keysFunc The function to get the keys of a given object.
     * @returns {Function} Returns the new pairs function.
     */
    function createToPairs(keysFunc) {
      return function(object) {
        var tag = getTag(object);
        if (tag == mapTag) {
          return mapToArray(object);
        }
        if (tag == setTag) {
          return setToPairs(object);
        }
        return baseToPairs(object, keysFunc(object));
      };
    }

    /**
     * Creates a function that either curries or invokes `func` with optional
     * `this` binding and partially applied arguments.
     *
     * @private
     * @param {Function|string} func The function or method name to wrap.
     * @param {number} bitmask The bitmask flags.
     *    1 - `_.bind`
     *    2 - `_.bindKey`
     *    4 - `_.curry` or `_.curryRight` of a bound function
     *    8 - `_.curry`
     *   16 - `_.curryRight`
     *   32 - `_.partial`
     *   64 - `_.partialRight`
     *  128 - `_.rearg`
     *  256 - `_.ary`
     *  512 - `_.flip`
     * @param {*} [thisArg] The `this` binding of `func`.
     * @param {Array} [partials] The arguments to be partially applied.
     * @param {Array} [holders] The `partials` placeholder indexes.
     * @param {Array} [argPos] The argument positions of the new function.
     * @param {number} [ary] The arity cap of `func`.
     * @param {number} [arity] The arity of `func`.
     * @returns {Function} Returns the new wrapped function.
     */
    function createWrap(func, bitmask, thisArg, partials, holders, argPos, ary, arity) {
      var isBindKey = bitmask & WRAP_BIND_KEY_FLAG;
      if (!isBindKey && typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      var length = partials ? partials.length : 0;
      if (!length) {
        bitmask &= ~(WRAP_PARTIAL_FLAG | WRAP_PARTIAL_RIGHT_FLAG);
        partials = holders = undefined;
      }
      ary = ary === undefined ? ary : nativeMax(toInteger(ary), 0);
      arity = arity === undefined ? arity : toInteger(arity);
      length -= holders ? holders.length : 0;

      if (bitmask & WRAP_PARTIAL_RIGHT_FLAG) {
        var partialsRight = partials,
            holdersRight = holders;

        partials = holders = undefined;
      }
      var data = isBindKey ? undefined : getData(func);

      var newData = [
        func, bitmask, thisArg, partials, holders, partialsRight, holdersRight,
        argPos, ary, arity
      ];

      if (data) {
        mergeData(newData, data);
      }
      func = newData[0];
      bitmask = newData[1];
      thisArg = newData[2];
      partials = newData[3];
      holders = newData[4];
      arity = newData[9] = newData[9] === undefined
        ? (isBindKey ? 0 : func.length)
        : nativeMax(newData[9] - length, 0);

      if (!arity && bitmask & (WRAP_CURRY_FLAG | WRAP_CURRY_RIGHT_FLAG)) {
        bitmask &= ~(WRAP_CURRY_FLAG | WRAP_CURRY_RIGHT_FLAG);
      }
      if (!bitmask || bitmask == WRAP_BIND_FLAG) {
        var result = createBind(func, bitmask, thisArg);
      } else if (bitmask == WRAP_CURRY_FLAG || bitmask == WRAP_CURRY_RIGHT_FLAG) {
        result = createCurry(func, bitmask, arity);
      } else if ((bitmask == WRAP_PARTIAL_FLAG || bitmask == (WRAP_BIND_FLAG | WRAP_PARTIAL_FLAG)) && !holders.length) {
        result = createPartial(func, bitmask, thisArg, partials);
      } else {
        result = createHybrid.apply(undefined, newData);
      }
      var setter = data ? baseSetData : setData;
      return setWrapToString(setter(result, newData), func, bitmask);
    }

    /**
     * Used by `_.defaults` to customize its `_.assignIn` use to assign properties
     * of source objects to the destination object for all destination properties
     * that resolve to `undefined`.
     *
     * @private
     * @param {*} objValue The destination value.
     * @param {*} srcValue The source value.
     * @param {string} key The key of the property to assign.
     * @param {Object} object The parent object of `objValue`.
     * @returns {*} Returns the value to assign.
     */
    function customDefaultsAssignIn(objValue, srcValue, key, object) {
      if (objValue === undefined ||
          (eq(objValue, objectProto[key]) && !hasOwnProperty.call(object, key))) {
        return srcValue;
      }
      return objValue;
    }

    /**
     * Used by `_.defaultsDeep` to customize its `_.merge` use to merge source
     * objects into destination objects that are passed thru.
     *
     * @private
     * @param {*} objValue The destination value.
     * @param {*} srcValue The source value.
     * @param {string} key The key of the property to merge.
     * @param {Object} object The parent object of `objValue`.
     * @param {Object} source The parent object of `srcValue`.
     * @param {Object} [stack] Tracks traversed source values and their merged
     *  counterparts.
     * @returns {*} Returns the value to assign.
     */
    function customDefaultsMerge(objValue, srcValue, key, object, source, stack) {
      if (isObject(objValue) && isObject(srcValue)) {
        // Recursively merge objects and arrays (susceptible to call stack limits).
        stack.set(srcValue, objValue);
        baseMerge(objValue, srcValue, undefined, customDefaultsMerge, stack);
        stack['delete'](srcValue);
      }
      return objValue;
    }

    /**
     * Used by `_.omit` to customize its `_.cloneDeep` use to only clone plain
     * objects.
     *
     * @private
     * @param {*} value The value to inspect.
     * @param {string} key The key of the property to inspect.
     * @returns {*} Returns the uncloned value or `undefined` to defer cloning to `_.cloneDeep`.
     */
    function customOmitClone(value) {
      return isPlainObject(value) ? undefined : value;
    }

    /**
     * A specialized version of `baseIsEqualDeep` for arrays with support for
     * partial deep comparisons.
     *
     * @private
     * @param {Array} array The array to compare.
     * @param {Array} other The other array to compare.
     * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
     * @param {Function} customizer The function to customize comparisons.
     * @param {Function} equalFunc The function to determine equivalents of values.
     * @param {Object} stack Tracks traversed `array` and `other` objects.
     * @returns {boolean} Returns `true` if the arrays are equivalent, else `false`.
     */
    function equalArrays(array, other, bitmask, customizer, equalFunc, stack) {
      var isPartial = bitmask & COMPARE_PARTIAL_FLAG,
          arrLength = array.length,
          othLength = other.length;

      if (arrLength != othLength && !(isPartial && othLength > arrLength)) {
        return false;
      }
      // Check that cyclic values are equal.
      var arrStacked = stack.get(array);
      var othStacked = stack.get(other);
      if (arrStacked && othStacked) {
        return arrStacked == other && othStacked == array;
      }
      var index = -1,
          result = true,
          seen = (bitmask & COMPARE_UNORDERED_FLAG) ? new SetCache : undefined;

      stack.set(array, other);
      stack.set(other, array);

      // Ignore non-index properties.
      while (++index < arrLength) {
        var arrValue = array[index],
            othValue = other[index];

        if (customizer) {
          var compared = isPartial
            ? customizer(othValue, arrValue, index, other, array, stack)
            : customizer(arrValue, othValue, index, array, other, stack);
        }
        if (compared !== undefined) {
          if (compared) {
            continue;
          }
          result = false;
          break;
        }
        // Recursively compare arrays (susceptible to call stack limits).
        if (seen) {
          if (!arraySome(other, function(othValue, othIndex) {
                if (!cacheHas(seen, othIndex) &&
                    (arrValue === othValue || equalFunc(arrValue, othValue, bitmask, customizer, stack))) {
                  return seen.push(othIndex);
                }
              })) {
            result = false;
            break;
          }
        } else if (!(
              arrValue === othValue ||
                equalFunc(arrValue, othValue, bitmask, customizer, stack)
            )) {
          result = false;
          break;
        }
      }
      stack['delete'](array);
      stack['delete'](other);
      return result;
    }

    /**
     * A specialized version of `baseIsEqualDeep` for comparing objects of
     * the same `toStringTag`.
     *
     * **Note:** This function only supports comparing values with tags of
     * `Boolean`, `Date`, `Error`, `Number`, `RegExp`, or `String`.
     *
     * @private
     * @param {Object} object The object to compare.
     * @param {Object} other The other object to compare.
     * @param {string} tag The `toStringTag` of the objects to compare.
     * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
     * @param {Function} customizer The function to customize comparisons.
     * @param {Function} equalFunc The function to determine equivalents of values.
     * @param {Object} stack Tracks traversed `object` and `other` objects.
     * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
     */
    function equalByTag(object, other, tag, bitmask, customizer, equalFunc, stack) {
      switch (tag) {
        case dataViewTag:
          if ((object.byteLength != other.byteLength) ||
              (object.byteOffset != other.byteOffset)) {
            return false;
          }
          object = object.buffer;
          other = other.buffer;

        case arrayBufferTag:
          if ((object.byteLength != other.byteLength) ||
              !equalFunc(new Uint8Array(object), new Uint8Array(other))) {
            return false;
          }
          return true;

        case boolTag:
        case dateTag:
        case numberTag:
          // Coerce booleans to `1` or `0` and dates to milliseconds.
          // Invalid dates are coerced to `NaN`.
          return eq(+object, +other);

        case errorTag:
          return object.name == other.name && object.message == other.message;

        case regexpTag:
        case stringTag:
          // Coerce regexes to strings and treat strings, primitives and objects,
          // as equal. See http://www.ecma-international.org/ecma-262/7.0/#sec-regexp.prototype.tostring
          // for more details.
          return object == (other + '');

        case mapTag:
          var convert = mapToArray;

        case setTag:
          var isPartial = bitmask & COMPARE_PARTIAL_FLAG;
          convert || (convert = setToArray);

          if (object.size != other.size && !isPartial) {
            return false;
          }
          // Assume cyclic values are equal.
          var stacked = stack.get(object);
          if (stacked) {
            return stacked == other;
          }
          bitmask |= COMPARE_UNORDERED_FLAG;

          // Recursively compare objects (susceptible to call stack limits).
          stack.set(object, other);
          var result = equalArrays(convert(object), convert(other), bitmask, customizer, equalFunc, stack);
          stack['delete'](object);
          return result;

        case symbolTag:
          if (symbolValueOf) {
            return symbolValueOf.call(object) == symbolValueOf.call(other);
          }
      }
      return false;
    }

    /**
     * A specialized version of `baseIsEqualDeep` for objects with support for
     * partial deep comparisons.
     *
     * @private
     * @param {Object} object The object to compare.
     * @param {Object} other The other object to compare.
     * @param {number} bitmask The bitmask flags. See `baseIsEqual` for more details.
     * @param {Function} customizer The function to customize comparisons.
     * @param {Function} equalFunc The function to determine equivalents of values.
     * @param {Object} stack Tracks traversed `object` and `other` objects.
     * @returns {boolean} Returns `true` if the objects are equivalent, else `false`.
     */
    function equalObjects(object, other, bitmask, customizer, equalFunc, stack) {
      var isPartial = bitmask & COMPARE_PARTIAL_FLAG,
          objProps = getAllKeys(object),
          objLength = objProps.length,
          othProps = getAllKeys(other),
          othLength = othProps.length;

      if (objLength != othLength && !isPartial) {
        return false;
      }
      var index = objLength;
      while (index--) {
        var key = objProps[index];
        if (!(isPartial ? key in other : hasOwnProperty.call(other, key))) {
          return false;
        }
      }
      // Check that cyclic values are equal.
      var objStacked = stack.get(object);
      var othStacked = stack.get(other);
      if (objStacked && othStacked) {
        return objStacked == other && othStacked == object;
      }
      var result = true;
      stack.set(object, other);
      stack.set(other, object);

      var skipCtor = isPartial;
      while (++index < objLength) {
        key = objProps[index];
        var objValue = object[key],
            othValue = other[key];

        if (customizer) {
          var compared = isPartial
            ? customizer(othValue, objValue, key, other, object, stack)
            : customizer(objValue, othValue, key, object, other, stack);
        }
        // Recursively compare objects (susceptible to call stack limits).
        if (!(compared === undefined
              ? (objValue === othValue || equalFunc(objValue, othValue, bitmask, customizer, stack))
              : compared
            )) {
          result = false;
          break;
        }
        skipCtor || (skipCtor = key == 'constructor');
      }
      if (result && !skipCtor) {
        var objCtor = object.constructor,
            othCtor = other.constructor;

        // Non `Object` object instances with different constructors are not equal.
        if (objCtor != othCtor &&
            ('constructor' in object && 'constructor' in other) &&
            !(typeof objCtor == 'function' && objCtor instanceof objCtor &&
              typeof othCtor == 'function' && othCtor instanceof othCtor)) {
          result = false;
        }
      }
      stack['delete'](object);
      stack['delete'](other);
      return result;
    }

    /**
     * A specialized version of `baseRest` which flattens the rest array.
     *
     * @private
     * @param {Function} func The function to apply a rest parameter to.
     * @returns {Function} Returns the new function.
     */
    function flatRest(func) {
      return setToString(overRest(func, undefined, flatten), func + '');
    }

    /**
     * Creates an array of own enumerable property names and symbols of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property names and symbols.
     */
    function getAllKeys(object) {
      return baseGetAllKeys(object, keys, getSymbols);
    }

    /**
     * Creates an array of own and inherited enumerable property names and
     * symbols of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property names and symbols.
     */
    function getAllKeysIn(object) {
      return baseGetAllKeys(object, keysIn, getSymbolsIn);
    }

    /**
     * Gets metadata for `func`.
     *
     * @private
     * @param {Function} func The function to query.
     * @returns {*} Returns the metadata for `func`.
     */
    var getData = !metaMap ? noop : function(func) {
      return metaMap.get(func);
    };

    /**
     * Gets the name of `func`.
     *
     * @private
     * @param {Function} func The function to query.
     * @returns {string} Returns the function name.
     */
    function getFuncName(func) {
      var result = (func.name + ''),
          array = realNames[result],
          length = hasOwnProperty.call(realNames, result) ? array.length : 0;

      while (length--) {
        var data = array[length],
            otherFunc = data.func;
        if (otherFunc == null || otherFunc == func) {
          return data.name;
        }
      }
      return result;
    }

    /**
     * Gets the argument placeholder value for `func`.
     *
     * @private
     * @param {Function} func The function to inspect.
     * @returns {*} Returns the placeholder value.
     */
    function getHolder(func) {
      var object = hasOwnProperty.call(lodash, 'placeholder') ? lodash : func;
      return object.placeholder;
    }

    /**
     * Gets the appropriate "iteratee" function. If `_.iteratee` is customized,
     * this function returns the custom method, otherwise it returns `baseIteratee`.
     * If arguments are provided, the chosen function is invoked with them and
     * its result is returned.
     *
     * @private
     * @param {*} [value] The value to convert to an iteratee.
     * @param {number} [arity] The arity of the created iteratee.
     * @returns {Function} Returns the chosen function or its result.
     */
    function getIteratee() {
      var result = lodash.iteratee || iteratee;
      result = result === iteratee ? baseIteratee : result;
      return arguments.length ? result(arguments[0], arguments[1]) : result;
    }

    /**
     * Gets the data for `map`.
     *
     * @private
     * @param {Object} map The map to query.
     * @param {string} key The reference key.
     * @returns {*} Returns the map data.
     */
    function getMapData(map, key) {
      var data = map.__data__;
      return isKeyable(key)
        ? data[typeof key == 'string' ? 'string' : 'hash']
        : data.map;
    }

    /**
     * Gets the property names, values, and compare flags of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the match data of `object`.
     */
    function getMatchData(object) {
      var result = keys(object),
          length = result.length;

      while (length--) {
        var key = result[length],
            value = object[key];

        result[length] = [key, value, isStrictComparable(value)];
      }
      return result;
    }

    /**
     * Gets the native function at `key` of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @param {string} key The key of the method to get.
     * @returns {*} Returns the function if it's native, else `undefined`.
     */
    function getNative(object, key) {
      var value = getValue(object, key);
      return baseIsNative(value) ? value : undefined;
    }

    /**
     * A specialized version of `baseGetTag` which ignores `Symbol.toStringTag` values.
     *
     * @private
     * @param {*} value The value to query.
     * @returns {string} Returns the raw `toStringTag`.
     */
    function getRawTag(value) {
      var isOwn = hasOwnProperty.call(value, symToStringTag),
          tag = value[symToStringTag];

      try {
        value[symToStringTag] = undefined;
        var unmasked = true;
      } catch (e) {}

      var result = nativeObjectToString.call(value);
      if (unmasked) {
        if (isOwn) {
          value[symToStringTag] = tag;
        } else {
          delete value[symToStringTag];
        }
      }
      return result;
    }

    /**
     * Creates an array of the own enumerable symbols of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of symbols.
     */
    var getSymbols = !nativeGetSymbols ? stubArray : function(object) {
      if (object == null) {
        return [];
      }
      object = Object(object);
      return arrayFilter(nativeGetSymbols(object), function(symbol) {
        return propertyIsEnumerable.call(object, symbol);
      });
    };

    /**
     * Creates an array of the own and inherited enumerable symbols of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of symbols.
     */
    var getSymbolsIn = !nativeGetSymbols ? stubArray : function(object) {
      var result = [];
      while (object) {
        arrayPush(result, getSymbols(object));
        object = getPrototype(object);
      }
      return result;
    };

    /**
     * Gets the `toStringTag` of `value`.
     *
     * @private
     * @param {*} value The value to query.
     * @returns {string} Returns the `toStringTag`.
     */
    var getTag = baseGetTag;

    // Fallback for data views, maps, sets, and weak maps in IE 11 and promises in Node.js < 6.
    if ((DataView && getTag(new DataView(new ArrayBuffer(1))) != dataViewTag) ||
        (Map && getTag(new Map) != mapTag) ||
        (Promise && getTag(Promise.resolve()) != promiseTag) ||
        (Set && getTag(new Set) != setTag) ||
        (WeakMap && getTag(new WeakMap) != weakMapTag)) {
      getTag = function(value) {
        var result = baseGetTag(value),
            Ctor = result == objectTag ? value.constructor : undefined,
            ctorString = Ctor ? toSource(Ctor) : '';

        if (ctorString) {
          switch (ctorString) {
            case dataViewCtorString: return dataViewTag;
            case mapCtorString: return mapTag;
            case promiseCtorString: return promiseTag;
            case setCtorString: return setTag;
            case weakMapCtorString: return weakMapTag;
          }
        }
        return result;
      };
    }

    /**
     * Gets the view, applying any `transforms` to the `start` and `end` positions.
     *
     * @private
     * @param {number} start The start of the view.
     * @param {number} end The end of the view.
     * @param {Array} transforms The transformations to apply to the view.
     * @returns {Object} Returns an object containing the `start` and `end`
     *  positions of the view.
     */
    function getView(start, end, transforms) {
      var index = -1,
          length = transforms.length;

      while (++index < length) {
        var data = transforms[index],
            size = data.size;

        switch (data.type) {
          case 'drop':      start += size; break;
          case 'dropRight': end -= size; break;
          case 'take':      end = nativeMin(end, start + size); break;
          case 'takeRight': start = nativeMax(start, end - size); break;
        }
      }
      return { 'start': start, 'end': end };
    }

    /**
     * Extracts wrapper details from the `source` body comment.
     *
     * @private
     * @param {string} source The source to inspect.
     * @returns {Array} Returns the wrapper details.
     */
    function getWrapDetails(source) {
      var match = source.match(reWrapDetails);
      return match ? match[1].split(reSplitDetails) : [];
    }

    /**
     * Checks if `path` exists on `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @param {Array|string} path The path to check.
     * @param {Function} hasFunc The function to check properties.
     * @returns {boolean} Returns `true` if `path` exists, else `false`.
     */
    function hasPath(object, path, hasFunc) {
      path = castPath(path, object);

      var index = -1,
          length = path.length,
          result = false;

      while (++index < length) {
        var key = toKey(path[index]);
        if (!(result = object != null && hasFunc(object, key))) {
          break;
        }
        object = object[key];
      }
      if (result || ++index != length) {
        return result;
      }
      length = object == null ? 0 : object.length;
      return !!length && isLength(length) && isIndex(key, length) &&
        (isArray(object) || isArguments(object));
    }

    /**
     * Initializes an array clone.
     *
     * @private
     * @param {Array} array The array to clone.
     * @returns {Array} Returns the initialized clone.
     */
    function initCloneArray(array) {
      var length = array.length,
          result = new array.constructor(length);

      // Add properties assigned by `RegExp#exec`.
      if (length && typeof array[0] == 'string' && hasOwnProperty.call(array, 'index')) {
        result.index = array.index;
        result.input = array.input;
      }
      return result;
    }

    /**
     * Initializes an object clone.
     *
     * @private
     * @param {Object} object The object to clone.
     * @returns {Object} Returns the initialized clone.
     */
    function initCloneObject(object) {
      return (typeof object.constructor == 'function' && !isPrototype(object))
        ? baseCreate(getPrototype(object))
        : {};
    }

    /**
     * Initializes an object clone based on its `toStringTag`.
     *
     * **Note:** This function only supports cloning values with tags of
     * `Boolean`, `Date`, `Error`, `Map`, `Number`, `RegExp`, `Set`, or `String`.
     *
     * @private
     * @param {Object} object The object to clone.
     * @param {string} tag The `toStringTag` of the object to clone.
     * @param {boolean} [isDeep] Specify a deep clone.
     * @returns {Object} Returns the initialized clone.
     */
    function initCloneByTag(object, tag, isDeep) {
      var Ctor = object.constructor;
      switch (tag) {
        case arrayBufferTag:
          return cloneArrayBuffer(object);

        case boolTag:
        case dateTag:
          return new Ctor(+object);

        case dataViewTag:
          return cloneDataView(object, isDeep);

        case float32Tag: case float64Tag:
        case int8Tag: case int16Tag: case int32Tag:
        case uint8Tag: case uint8ClampedTag: case uint16Tag: case uint32Tag:
          return cloneTypedArray(object, isDeep);

        case mapTag:
          return new Ctor;

        case numberTag:
        case stringTag:
          return new Ctor(object);

        case regexpTag:
          return cloneRegExp(object);

        case setTag:
          return new Ctor;

        case symbolTag:
          return cloneSymbol(object);
      }
    }

    /**
     * Inserts wrapper `details` in a comment at the top of the `source` body.
     *
     * @private
     * @param {string} source The source to modify.
     * @returns {Array} details The details to insert.
     * @returns {string} Returns the modified source.
     */
    function insertWrapDetails(source, details) {
      var length = details.length;
      if (!length) {
        return source;
      }
      var lastIndex = length - 1;
      details[lastIndex] = (length > 1 ? '& ' : '') + details[lastIndex];
      details = details.join(length > 2 ? ', ' : ' ');
      return source.replace(reWrapComment, '{\n/* [wrapped with ' + details + '] */\n');
    }

    /**
     * Checks if `value` is a flattenable `arguments` object or array.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is flattenable, else `false`.
     */
    function isFlattenable(value) {
      return isArray(value) || isArguments(value) ||
        !!(spreadableSymbol && value && value[spreadableSymbol]);
    }

    /**
     * Checks if `value` is a valid array-like index.
     *
     * @private
     * @param {*} value The value to check.
     * @param {number} [length=MAX_SAFE_INTEGER] The upper bounds of a valid index.
     * @returns {boolean} Returns `true` if `value` is a valid index, else `false`.
     */
    function isIndex(value, length) {
      var type = typeof value;
      length = length == null ? MAX_SAFE_INTEGER : length;

      return !!length &&
        (type == 'number' ||
          (type != 'symbol' && reIsUint.test(value))) &&
            (value > -1 && value % 1 == 0 && value < length);
    }

    /**
     * Checks if the given arguments are from an iteratee call.
     *
     * @private
     * @param {*} value The potential iteratee value argument.
     * @param {*} index The potential iteratee index or key argument.
     * @param {*} object The potential iteratee object argument.
     * @returns {boolean} Returns `true` if the arguments are from an iteratee call,
     *  else `false`.
     */
    function isIterateeCall(value, index, object) {
      if (!isObject(object)) {
        return false;
      }
      var type = typeof index;
      if (type == 'number'
            ? (isArrayLike(object) && isIndex(index, object.length))
            : (type == 'string' && index in object)
          ) {
        return eq(object[index], value);
      }
      return false;
    }

    /**
     * Checks if `value` is a property name and not a property path.
     *
     * @private
     * @param {*} value The value to check.
     * @param {Object} [object] The object to query keys on.
     * @returns {boolean} Returns `true` if `value` is a property name, else `false`.
     */
    function isKey(value, object) {
      if (isArray(value)) {
        return false;
      }
      var type = typeof value;
      if (type == 'number' || type == 'symbol' || type == 'boolean' ||
          value == null || isSymbol(value)) {
        return true;
      }
      return reIsPlainProp.test(value) || !reIsDeepProp.test(value) ||
        (object != null && value in Object(object));
    }

    /**
     * Checks if `value` is suitable for use as unique object key.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is suitable, else `false`.
     */
    function isKeyable(value) {
      var type = typeof value;
      return (type == 'string' || type == 'number' || type == 'symbol' || type == 'boolean')
        ? (value !== '__proto__')
        : (value === null);
    }

    /**
     * Checks if `func` has a lazy counterpart.
     *
     * @private
     * @param {Function} func The function to check.
     * @returns {boolean} Returns `true` if `func` has a lazy counterpart,
     *  else `false`.
     */
    function isLaziable(func) {
      var funcName = getFuncName(func),
          other = lodash[funcName];

      if (typeof other != 'function' || !(funcName in LazyWrapper.prototype)) {
        return false;
      }
      if (func === other) {
        return true;
      }
      var data = getData(other);
      return !!data && func === data[0];
    }

    /**
     * Checks if `func` has its source masked.
     *
     * @private
     * @param {Function} func The function to check.
     * @returns {boolean} Returns `true` if `func` is masked, else `false`.
     */
    function isMasked(func) {
      return !!maskSrcKey && (maskSrcKey in func);
    }

    /**
     * Checks if `func` is capable of being masked.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `func` is maskable, else `false`.
     */
    var isMaskable = coreJsData ? isFunction : stubFalse;

    /**
     * Checks if `value` is likely a prototype object.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a prototype, else `false`.
     */
    function isPrototype(value) {
      var Ctor = value && value.constructor,
          proto = (typeof Ctor == 'function' && Ctor.prototype) || objectProto;

      return value === proto;
    }

    /**
     * Checks if `value` is suitable for strict equality comparisons, i.e. `===`.
     *
     * @private
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` if suitable for strict
     *  equality comparisons, else `false`.
     */
    function isStrictComparable(value) {
      return value === value && !isObject(value);
    }

    /**
     * A specialized version of `matchesProperty` for source values suitable
     * for strict equality comparisons, i.e. `===`.
     *
     * @private
     * @param {string} key The key of the property to get.
     * @param {*} srcValue The value to match.
     * @returns {Function} Returns the new spec function.
     */
    function matchesStrictComparable(key, srcValue) {
      return function(object) {
        if (object == null) {
          return false;
        }
        return object[key] === srcValue &&
          (srcValue !== undefined || (key in Object(object)));
      };
    }

    /**
     * A specialized version of `_.memoize` which clears the memoized function's
     * cache when it exceeds `MAX_MEMOIZE_SIZE`.
     *
     * @private
     * @param {Function} func The function to have its output memoized.
     * @returns {Function} Returns the new memoized function.
     */
    function memoizeCapped(func) {
      var result = memoize(func, function(key) {
        if (cache.size === MAX_MEMOIZE_SIZE) {
          cache.clear();
        }
        return key;
      });

      var cache = result.cache;
      return result;
    }

    /**
     * Merges the function metadata of `source` into `data`.
     *
     * Merging metadata reduces the number of wrappers used to invoke a function.
     * This is possible because methods like `_.bind`, `_.curry`, and `_.partial`
     * may be applied regardless of execution order. Methods like `_.ary` and
     * `_.rearg` modify function arguments, making the order in which they are
     * executed important, preventing the merging of metadata. However, we make
     * an exception for a safe combined case where curried functions have `_.ary`
     * and or `_.rearg` applied.
     *
     * @private
     * @param {Array} data The destination metadata.
     * @param {Array} source The source metadata.
     * @returns {Array} Returns `data`.
     */
    function mergeData(data, source) {
      var bitmask = data[1],
          srcBitmask = source[1],
          newBitmask = bitmask | srcBitmask,
          isCommon = newBitmask < (WRAP_BIND_FLAG | WRAP_BIND_KEY_FLAG | WRAP_ARY_FLAG);

      var isCombo =
        ((srcBitmask == WRAP_ARY_FLAG) && (bitmask == WRAP_CURRY_FLAG)) ||
        ((srcBitmask == WRAP_ARY_FLAG) && (bitmask == WRAP_REARG_FLAG) && (data[7].length <= source[8])) ||
        ((srcBitmask == (WRAP_ARY_FLAG | WRAP_REARG_FLAG)) && (source[7].length <= source[8]) && (bitmask == WRAP_CURRY_FLAG));

      // Exit early if metadata can't be merged.
      if (!(isCommon || isCombo)) {
        return data;
      }
      // Use source `thisArg` if available.
      if (srcBitmask & WRAP_BIND_FLAG) {
        data[2] = source[2];
        // Set when currying a bound function.
        newBitmask |= bitmask & WRAP_BIND_FLAG ? 0 : WRAP_CURRY_BOUND_FLAG;
      }
      // Compose partial arguments.
      var value = source[3];
      if (value) {
        var partials = data[3];
        data[3] = partials ? composeArgs(partials, value, source[4]) : value;
        data[4] = partials ? replaceHolders(data[3], PLACEHOLDER) : source[4];
      }
      // Compose partial right arguments.
      value = source[5];
      if (value) {
        partials = data[5];
        data[5] = partials ? composeArgsRight(partials, value, source[6]) : value;
        data[6] = partials ? replaceHolders(data[5], PLACEHOLDER) : source[6];
      }
      // Use source `argPos` if available.
      value = source[7];
      if (value) {
        data[7] = value;
      }
      // Use source `ary` if it's smaller.
      if (srcBitmask & WRAP_ARY_FLAG) {
        data[8] = data[8] == null ? source[8] : nativeMin(data[8], source[8]);
      }
      // Use source `arity` if one is not provided.
      if (data[9] == null) {
        data[9] = source[9];
      }
      // Use source `func` and merge bitmasks.
      data[0] = source[0];
      data[1] = newBitmask;

      return data;
    }

    /**
     * This function is like
     * [`Object.keys`](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
     * except that it includes inherited enumerable properties.
     *
     * @private
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property names.
     */
    function nativeKeysIn(object) {
      var result = [];
      if (object != null) {
        for (var key in Object(object)) {
          result.push(key);
        }
      }
      return result;
    }

    /**
     * Converts `value` to a string using `Object.prototype.toString`.
     *
     * @private
     * @param {*} value The value to convert.
     * @returns {string} Returns the converted string.
     */
    function objectToString(value) {
      return nativeObjectToString.call(value);
    }

    /**
     * A specialized version of `baseRest` which transforms the rest array.
     *
     * @private
     * @param {Function} func The function to apply a rest parameter to.
     * @param {number} [start=func.length-1] The start position of the rest parameter.
     * @param {Function} transform The rest array transform.
     * @returns {Function} Returns the new function.
     */
    function overRest(func, start, transform) {
      start = nativeMax(start === undefined ? (func.length - 1) : start, 0);
      return function() {
        var args = arguments,
            index = -1,
            length = nativeMax(args.length - start, 0),
            array = Array(length);

        while (++index < length) {
          array[index] = args[start + index];
        }
        index = -1;
        var otherArgs = Array(start + 1);
        while (++index < start) {
          otherArgs[index] = args[index];
        }
        otherArgs[start] = transform(array);
        return apply(func, this, otherArgs);
      };
    }

    /**
     * Gets the parent value at `path` of `object`.
     *
     * @private
     * @param {Object} object The object to query.
     * @param {Array} path The path to get the parent value of.
     * @returns {*} Returns the parent value.
     */
    function parent(object, path) {
      return path.length < 2 ? object : baseGet(object, baseSlice(path, 0, -1));
    }

    /**
     * Reorder `array` according to the specified indexes where the element at
     * the first index is assigned as the first element, the element at
     * the second index is assigned as the second element, and so on.
     *
     * @private
     * @param {Array} array The array to reorder.
     * @param {Array} indexes The arranged array indexes.
     * @returns {Array} Returns `array`.
     */
    function reorder(array, indexes) {
      var arrLength = array.length,
          length = nativeMin(indexes.length, arrLength),
          oldArray = copyArray(array);

      while (length--) {
        var index = indexes[length];
        array[length] = isIndex(index, arrLength) ? oldArray[index] : undefined;
      }
      return array;
    }

    /**
     * Gets the value at `key`, unless `key` is "__proto__" or "constructor".
     *
     * @private
     * @param {Object} object The object to query.
     * @param {string} key The key of the property to get.
     * @returns {*} Returns the property value.
     */
    function safeGet(object, key) {
      if (key === 'constructor' && typeof object[key] === 'function') {
        return;
      }

      if (key == '__proto__') {
        return;
      }

      return object[key];
    }

    /**
     * Sets metadata for `func`.
     *
     * **Note:** If this function becomes hot, i.e. is invoked a lot in a short
     * period of time, it will trip its breaker and transition to an identity
     * function to avoid garbage collection pauses in V8. See
     * [V8 issue 2070](https://bugs.chromium.org/p/v8/issues/detail?id=2070)
     * for more details.
     *
     * @private
     * @param {Function} func The function to associate metadata with.
     * @param {*} data The metadata.
     * @returns {Function} Returns `func`.
     */
    var setData = shortOut(baseSetData);

    /**
     * A simple wrapper around the global [`setTimeout`](https://mdn.io/setTimeout).
     *
     * @private
     * @param {Function} func The function to delay.
     * @param {number} wait The number of milliseconds to delay invocation.
     * @returns {number|Object} Returns the timer id or timeout object.
     */
    var setTimeout = ctxSetTimeout || function(func, wait) {
      return root.setTimeout(func, wait);
    };

    /**
     * Sets the `toString` method of `func` to return `string`.
     *
     * @private
     * @param {Function} func The function to modify.
     * @param {Function} string The `toString` result.
     * @returns {Function} Returns `func`.
     */
    var setToString = shortOut(baseSetToString);

    /**
     * Sets the `toString` method of `wrapper` to mimic the source of `reference`
     * with wrapper details in a comment at the top of the source body.
     *
     * @private
     * @param {Function} wrapper The function to modify.
     * @param {Function} reference The reference function.
     * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
     * @returns {Function} Returns `wrapper`.
     */
    function setWrapToString(wrapper, reference, bitmask) {
      var source = (reference + '');
      return setToString(wrapper, insertWrapDetails(source, updateWrapDetails(getWrapDetails(source), bitmask)));
    }

    /**
     * Creates a function that'll short out and invoke `identity` instead
     * of `func` when it's called `HOT_COUNT` or more times in `HOT_SPAN`
     * milliseconds.
     *
     * @private
     * @param {Function} func The function to restrict.
     * @returns {Function} Returns the new shortable function.
     */
    function shortOut(func) {
      var count = 0,
          lastCalled = 0;

      return function() {
        var stamp = nativeNow(),
            remaining = HOT_SPAN - (stamp - lastCalled);

        lastCalled = stamp;
        if (remaining > 0) {
          if (++count >= HOT_COUNT) {
            return arguments[0];
          }
        } else {
          count = 0;
        }
        return func.apply(undefined, arguments);
      };
    }

    /**
     * A specialized version of `_.shuffle` which mutates and sets the size of `array`.
     *
     * @private
     * @param {Array} array The array to shuffle.
     * @param {number} [size=array.length] The size of `array`.
     * @returns {Array} Returns `array`.
     */
    function shuffleSelf(array, size) {
      var index = -1,
          length = array.length,
          lastIndex = length - 1;

      size = size === undefined ? length : size;
      while (++index < size) {
        var rand = baseRandom(index, lastIndex),
            value = array[rand];

        array[rand] = array[index];
        array[index] = value;
      }
      array.length = size;
      return array;
    }

    /**
     * Converts `string` to a property path array.
     *
     * @private
     * @param {string} string The string to convert.
     * @returns {Array} Returns the property path array.
     */
    var stringToPath = memoizeCapped(function(string) {
      var result = [];
      if (string.charCodeAt(0) === 46 /* . */) {
        result.push('');
      }
      string.replace(rePropName, function(match, number, quote, subString) {
        result.push(quote ? subString.replace(reEscapeChar, '$1') : (number || match));
      });
      return result;
    });

    /**
     * Converts `value` to a string key if it's not a string or symbol.
     *
     * @private
     * @param {*} value The value to inspect.
     * @returns {string|symbol} Returns the key.
     */
    function toKey(value) {
      if (typeof value == 'string' || isSymbol(value)) {
        return value;
      }
      var result = (value + '');
      return (result == '0' && (1 / value) == -INFINITY) ? '-0' : result;
    }

    /**
     * Converts `func` to its source code.
     *
     * @private
     * @param {Function} func The function to convert.
     * @returns {string} Returns the source code.
     */
    function toSource(func) {
      if (func != null) {
        try {
          return funcToString.call(func);
        } catch (e) {}
        try {
          return (func + '');
        } catch (e) {}
      }
      return '';
    }

    /**
     * Updates wrapper `details` based on `bitmask` flags.
     *
     * @private
     * @returns {Array} details The details to modify.
     * @param {number} bitmask The bitmask flags. See `createWrap` for more details.
     * @returns {Array} Returns `details`.
     */
    function updateWrapDetails(details, bitmask) {
      arrayEach(wrapFlags, function(pair) {
        var value = '_.' + pair[0];
        if ((bitmask & pair[1]) && !arrayIncludes(details, value)) {
          details.push(value);
        }
      });
      return details.sort();
    }

    /**
     * Creates a clone of `wrapper`.
     *
     * @private
     * @param {Object} wrapper The wrapper to clone.
     * @returns {Object} Returns the cloned wrapper.
     */
    function wrapperClone(wrapper) {
      if (wrapper instanceof LazyWrapper) {
        return wrapper.clone();
      }
      var result = new LodashWrapper(wrapper.__wrapped__, wrapper.__chain__);
      result.__actions__ = copyArray(wrapper.__actions__);
      result.__index__  = wrapper.__index__;
      result.__values__ = wrapper.__values__;
      return result;
    }

    /*------------------------------------------------------------------------*/

    /**
     * Creates an array of elements split into groups the length of `size`.
     * If `array` can't be split evenly, the final chunk will be the remaining
     * elements.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to process.
     * @param {number} [size=1] The length of each chunk
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Array} Returns the new array of chunks.
     * @example
     *
     * _.chunk(['a', 'b', 'c', 'd'], 2);
     * // => [['a', 'b'], ['c', 'd']]
     *
     * _.chunk(['a', 'b', 'c', 'd'], 3);
     * // => [['a', 'b', 'c'], ['d']]
     */
    function chunk(array, size, guard) {
      if ((guard ? isIterateeCall(array, size, guard) : size === undefined)) {
        size = 1;
      } else {
        size = nativeMax(toInteger(size), 0);
      }
      var length = array == null ? 0 : array.length;
      if (!length || size < 1) {
        return [];
      }
      var index = 0,
          resIndex = 0,
          result = Array(nativeCeil(length / size));

      while (index < length) {
        result[resIndex++] = baseSlice(array, index, (index += size));
      }
      return result;
    }

    /**
     * Creates an array with all falsey values removed. The values `false`, `null`,
     * `0`, `""`, `undefined`, and `NaN` are falsey.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to compact.
     * @returns {Array} Returns the new array of filtered values.
     * @example
     *
     * _.compact([0, 1, false, 2, '', 3]);
     * // => [1, 2, 3]
     */
    function compact(array) {
      var index = -1,
          length = array == null ? 0 : array.length,
          resIndex = 0,
          result = [];

      while (++index < length) {
        var value = array[index];
        if (value) {
          result[resIndex++] = value;
        }
      }
      return result;
    }

    /**
     * Creates a new array concatenating `array` with any additional arrays
     * and/or values.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to concatenate.
     * @param {...*} [values] The values to concatenate.
     * @returns {Array} Returns the new concatenated array.
     * @example
     *
     * var array = [1];
     * var other = _.concat(array, 2, [3], [[4]]);
     *
     * console.log(other);
     * // => [1, 2, 3, [4]]
     *
     * console.log(array);
     * // => [1]
     */
    function concat() {
      var length = arguments.length;
      if (!length) {
        return [];
      }
      var args = Array(length - 1),
          array = arguments[0],
          index = length;

      while (index--) {
        args[index - 1] = arguments[index];
      }
      return arrayPush(isArray(array) ? copyArray(array) : [array], baseFlatten(args, 1));
    }

    /**
     * Creates an array of `array` values not included in the other given arrays
     * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons. The order and references of result values are
     * determined by the first array.
     *
     * **Note:** Unlike `_.pullAll`, this method returns a new array.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {...Array} [values] The values to exclude.
     * @returns {Array} Returns the new array of filtered values.
     * @see _.without, _.xor
     * @example
     *
     * _.difference([2, 1], [2, 3]);
     * // => [1]
     */
    var difference = baseRest(function(array, values) {
      return isArrayLikeObject(array)
        ? baseDifference(array, baseFlatten(values, 1, isArrayLikeObject, true))
        : [];
    });

    /**
     * This method is like `_.difference` except that it accepts `iteratee` which
     * is invoked for each element of `array` and `values` to generate the criterion
     * by which they're compared. The order and references of result values are
     * determined by the first array. The iteratee is invoked with one argument:
     * (value).
     *
     * **Note:** Unlike `_.pullAllBy`, this method returns a new array.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {...Array} [values] The values to exclude.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {Array} Returns the new array of filtered values.
     * @example
     *
     * _.differenceBy([2.1, 1.2], [2.3, 3.4], Math.floor);
     * // => [1.2]
     *
     * // The `_.property` iteratee shorthand.
     * _.differenceBy([{ 'x': 2 }, { 'x': 1 }], [{ 'x': 1 }], 'x');
     * // => [{ 'x': 2 }]
     */
    var differenceBy = baseRest(function(array, values) {
      var iteratee = last(values);
      if (isArrayLikeObject(iteratee)) {
        iteratee = undefined;
      }
      return isArrayLikeObject(array)
        ? baseDifference(array, baseFlatten(values, 1, isArrayLikeObject, true), getIteratee(iteratee, 2))
        : [];
    });

    /**
     * This method is like `_.difference` except that it accepts `comparator`
     * which is invoked to compare elements of `array` to `values`. The order and
     * references of result values are determined by the first array. The comparator
     * is invoked with two arguments: (arrVal, othVal).
     *
     * **Note:** Unlike `_.pullAllWith`, this method returns a new array.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {...Array} [values] The values to exclude.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new array of filtered values.
     * @example
     *
     * var objects = [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }];
     *
     * _.differenceWith(objects, [{ 'x': 1, 'y': 2 }], _.isEqual);
     * // => [{ 'x': 2, 'y': 1 }]
     */
    var differenceWith = baseRest(function(array, values) {
      var comparator = last(values);
      if (isArrayLikeObject(comparator)) {
        comparator = undefined;
      }
      return isArrayLikeObject(array)
        ? baseDifference(array, baseFlatten(values, 1, isArrayLikeObject, true), undefined, comparator)
        : [];
    });

    /**
     * Creates a slice of `array` with `n` elements dropped from the beginning.
     *
     * @static
     * @memberOf _
     * @since 0.5.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {number} [n=1] The number of elements to drop.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * _.drop([1, 2, 3]);
     * // => [2, 3]
     *
     * _.drop([1, 2, 3], 2);
     * // => [3]
     *
     * _.drop([1, 2, 3], 5);
     * // => []
     *
     * _.drop([1, 2, 3], 0);
     * // => [1, 2, 3]
     */
    function drop(array, n, guard) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return [];
      }
      n = (guard || n === undefined) ? 1 : toInteger(n);
      return baseSlice(array, n < 0 ? 0 : n, length);
    }

    /**
     * Creates a slice of `array` with `n` elements dropped from the end.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {number} [n=1] The number of elements to drop.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * _.dropRight([1, 2, 3]);
     * // => [1, 2]
     *
     * _.dropRight([1, 2, 3], 2);
     * // => [1]
     *
     * _.dropRight([1, 2, 3], 5);
     * // => []
     *
     * _.dropRight([1, 2, 3], 0);
     * // => [1, 2, 3]
     */
    function dropRight(array, n, guard) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return [];
      }
      n = (guard || n === undefined) ? 1 : toInteger(n);
      n = length - n;
      return baseSlice(array, 0, n < 0 ? 0 : n);
    }

    /**
     * Creates a slice of `array` excluding elements dropped from the end.
     * Elements are dropped until `predicate` returns falsey. The predicate is
     * invoked with three arguments: (value, index, array).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'active': true },
     *   { 'user': 'fred',    'active': false },
     *   { 'user': 'pebbles', 'active': false }
     * ];
     *
     * _.dropRightWhile(users, function(o) { return !o.active; });
     * // => objects for ['barney']
     *
     * // The `_.matches` iteratee shorthand.
     * _.dropRightWhile(users, { 'user': 'pebbles', 'active': false });
     * // => objects for ['barney', 'fred']
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.dropRightWhile(users, ['active', false]);
     * // => objects for ['barney']
     *
     * // The `_.property` iteratee shorthand.
     * _.dropRightWhile(users, 'active');
     * // => objects for ['barney', 'fred', 'pebbles']
     */
    function dropRightWhile(array, predicate) {
      return (array && array.length)
        ? baseWhile(array, getIteratee(predicate, 3), true, true)
        : [];
    }

    /**
     * Creates a slice of `array` excluding elements dropped from the beginning.
     * Elements are dropped until `predicate` returns falsey. The predicate is
     * invoked with three arguments: (value, index, array).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'active': false },
     *   { 'user': 'fred',    'active': false },
     *   { 'user': 'pebbles', 'active': true }
     * ];
     *
     * _.dropWhile(users, function(o) { return !o.active; });
     * // => objects for ['pebbles']
     *
     * // The `_.matches` iteratee shorthand.
     * _.dropWhile(users, { 'user': 'barney', 'active': false });
     * // => objects for ['fred', 'pebbles']
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.dropWhile(users, ['active', false]);
     * // => objects for ['pebbles']
     *
     * // The `_.property` iteratee shorthand.
     * _.dropWhile(users, 'active');
     * // => objects for ['barney', 'fred', 'pebbles']
     */
    function dropWhile(array, predicate) {
      return (array && array.length)
        ? baseWhile(array, getIteratee(predicate, 3), true)
        : [];
    }

    /**
     * Fills elements of `array` with `value` from `start` up to, but not
     * including, `end`.
     *
     * **Note:** This method mutates `array`.
     *
     * @static
     * @memberOf _
     * @since 3.2.0
     * @category Array
     * @param {Array} array The array to fill.
     * @param {*} value The value to fill `array` with.
     * @param {number} [start=0] The start position.
     * @param {number} [end=array.length] The end position.
     * @returns {Array} Returns `array`.
     * @example
     *
     * var array = [1, 2, 3];
     *
     * _.fill(array, 'a');
     * console.log(array);
     * // => ['a', 'a', 'a']
     *
     * _.fill(Array(3), 2);
     * // => [2, 2, 2]
     *
     * _.fill([4, 6, 8, 10], '*', 1, 3);
     * // => [4, '*', '*', 10]
     */
    function fill(array, value, start, end) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return [];
      }
      if (start && typeof start != 'number' && isIterateeCall(array, value, start)) {
        start = 0;
        end = length;
      }
      return baseFill(array, value, start, end);
    }

    /**
     * This method is like `_.find` except that it returns the index of the first
     * element `predicate` returns truthy for instead of the element itself.
     *
     * @static
     * @memberOf _
     * @since 1.1.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @param {number} [fromIndex=0] The index to search from.
     * @returns {number} Returns the index of the found element, else `-1`.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'active': false },
     *   { 'user': 'fred',    'active': false },
     *   { 'user': 'pebbles', 'active': true }
     * ];
     *
     * _.findIndex(users, function(o) { return o.user == 'barney'; });
     * // => 0
     *
     * // The `_.matches` iteratee shorthand.
     * _.findIndex(users, { 'user': 'fred', 'active': false });
     * // => 1
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.findIndex(users, ['active', false]);
     * // => 0
     *
     * // The `_.property` iteratee shorthand.
     * _.findIndex(users, 'active');
     * // => 2
     */
    function findIndex(array, predicate, fromIndex) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return -1;
      }
      var index = fromIndex == null ? 0 : toInteger(fromIndex);
      if (index < 0) {
        index = nativeMax(length + index, 0);
      }
      return baseFindIndex(array, getIteratee(predicate, 3), index);
    }

    /**
     * This method is like `_.findIndex` except that it iterates over elements
     * of `collection` from right to left.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @param {number} [fromIndex=array.length-1] The index to search from.
     * @returns {number} Returns the index of the found element, else `-1`.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'active': true },
     *   { 'user': 'fred',    'active': false },
     *   { 'user': 'pebbles', 'active': false }
     * ];
     *
     * _.findLastIndex(users, function(o) { return o.user == 'pebbles'; });
     * // => 2
     *
     * // The `_.matches` iteratee shorthand.
     * _.findLastIndex(users, { 'user': 'barney', 'active': true });
     * // => 0
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.findLastIndex(users, ['active', false]);
     * // => 2
     *
     * // The `_.property` iteratee shorthand.
     * _.findLastIndex(users, 'active');
     * // => 0
     */
    function findLastIndex(array, predicate, fromIndex) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return -1;
      }
      var index = length - 1;
      if (fromIndex !== undefined) {
        index = toInteger(fromIndex);
        index = fromIndex < 0
          ? nativeMax(length + index, 0)
          : nativeMin(index, length - 1);
      }
      return baseFindIndex(array, getIteratee(predicate, 3), index, true);
    }

    /**
     * Flattens `array` a single level deep.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to flatten.
     * @returns {Array} Returns the new flattened array.
     * @example
     *
     * _.flatten([1, [2, [3, [4]], 5]]);
     * // => [1, 2, [3, [4]], 5]
     */
    function flatten(array) {
      var length = array == null ? 0 : array.length;
      return length ? baseFlatten(array, 1) : [];
    }

    /**
     * Recursively flattens `array`.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to flatten.
     * @returns {Array} Returns the new flattened array.
     * @example
     *
     * _.flattenDeep([1, [2, [3, [4]], 5]]);
     * // => [1, 2, 3, 4, 5]
     */
    function flattenDeep(array) {
      var length = array == null ? 0 : array.length;
      return length ? baseFlatten(array, INFINITY) : [];
    }

    /**
     * Recursively flatten `array` up to `depth` times.
     *
     * @static
     * @memberOf _
     * @since 4.4.0
     * @category Array
     * @param {Array} array The array to flatten.
     * @param {number} [depth=1] The maximum recursion depth.
     * @returns {Array} Returns the new flattened array.
     * @example
     *
     * var array = [1, [2, [3, [4]], 5]];
     *
     * _.flattenDepth(array, 1);
     * // => [1, 2, [3, [4]], 5]
     *
     * _.flattenDepth(array, 2);
     * // => [1, 2, 3, [4], 5]
     */
    function flattenDepth(array, depth) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return [];
      }
      depth = depth === undefined ? 1 : toInteger(depth);
      return baseFlatten(array, depth);
    }

    /**
     * The inverse of `_.toPairs`; this method returns an object composed
     * from key-value `pairs`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} pairs The key-value pairs.
     * @returns {Object} Returns the new object.
     * @example
     *
     * _.fromPairs([['a', 1], ['b', 2]]);
     * // => { 'a': 1, 'b': 2 }
     */
    function fromPairs(pairs) {
      var index = -1,
          length = pairs == null ? 0 : pairs.length,
          result = {};

      while (++index < length) {
        var pair = pairs[index];
        result[pair[0]] = pair[1];
      }
      return result;
    }

    /**
     * Gets the first element of `array`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @alias first
     * @category Array
     * @param {Array} array The array to query.
     * @returns {*} Returns the first element of `array`.
     * @example
     *
     * _.head([1, 2, 3]);
     * // => 1
     *
     * _.head([]);
     * // => undefined
     */
    function head(array) {
      return (array && array.length) ? array[0] : undefined;
    }

    /**
     * Gets the index at which the first occurrence of `value` is found in `array`
     * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons. If `fromIndex` is negative, it's used as the
     * offset from the end of `array`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {*} value The value to search for.
     * @param {number} [fromIndex=0] The index to search from.
     * @returns {number} Returns the index of the matched value, else `-1`.
     * @example
     *
     * _.indexOf([1, 2, 1, 2], 2);
     * // => 1
     *
     * // Search from the `fromIndex`.
     * _.indexOf([1, 2, 1, 2], 2, 2);
     * // => 3
     */
    function indexOf(array, value, fromIndex) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return -1;
      }
      var index = fromIndex == null ? 0 : toInteger(fromIndex);
      if (index < 0) {
        index = nativeMax(length + index, 0);
      }
      return baseIndexOf(array, value, index);
    }

    /**
     * Gets all but the last element of `array`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to query.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * _.initial([1, 2, 3]);
     * // => [1, 2]
     */
    function initial(array) {
      var length = array == null ? 0 : array.length;
      return length ? baseSlice(array, 0, -1) : [];
    }

    /**
     * Creates an array of unique values that are included in all given arrays
     * using [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons. The order and references of result values are
     * determined by the first array.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @returns {Array} Returns the new array of intersecting values.
     * @example
     *
     * _.intersection([2, 1], [2, 3]);
     * // => [2]
     */
    var intersection = baseRest(function(arrays) {
      var mapped = arrayMap(arrays, castArrayLikeObject);
      return (mapped.length && mapped[0] === arrays[0])
        ? baseIntersection(mapped)
        : [];
    });

    /**
     * This method is like `_.intersection` except that it accepts `iteratee`
     * which is invoked for each element of each `arrays` to generate the criterion
     * by which they're compared. The order and references of result values are
     * determined by the first array. The iteratee is invoked with one argument:
     * (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {Array} Returns the new array of intersecting values.
     * @example
     *
     * _.intersectionBy([2.1, 1.2], [2.3, 3.4], Math.floor);
     * // => [2.1]
     *
     * // The `_.property` iteratee shorthand.
     * _.intersectionBy([{ 'x': 1 }], [{ 'x': 2 }, { 'x': 1 }], 'x');
     * // => [{ 'x': 1 }]
     */
    var intersectionBy = baseRest(function(arrays) {
      var iteratee = last(arrays),
          mapped = arrayMap(arrays, castArrayLikeObject);

      if (iteratee === last(mapped)) {
        iteratee = undefined;
      } else {
        mapped.pop();
      }
      return (mapped.length && mapped[0] === arrays[0])
        ? baseIntersection(mapped, getIteratee(iteratee, 2))
        : [];
    });

    /**
     * This method is like `_.intersection` except that it accepts `comparator`
     * which is invoked to compare elements of `arrays`. The order and references
     * of result values are determined by the first array. The comparator is
     * invoked with two arguments: (arrVal, othVal).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new array of intersecting values.
     * @example
     *
     * var objects = [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }];
     * var others = [{ 'x': 1, 'y': 1 }, { 'x': 1, 'y': 2 }];
     *
     * _.intersectionWith(objects, others, _.isEqual);
     * // => [{ 'x': 1, 'y': 2 }]
     */
    var intersectionWith = baseRest(function(arrays) {
      var comparator = last(arrays),
          mapped = arrayMap(arrays, castArrayLikeObject);

      comparator = typeof comparator == 'function' ? comparator : undefined;
      if (comparator) {
        mapped.pop();
      }
      return (mapped.length && mapped[0] === arrays[0])
        ? baseIntersection(mapped, undefined, comparator)
        : [];
    });

    /**
     * Converts all elements in `array` into a string separated by `separator`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to convert.
     * @param {string} [separator=','] The element separator.
     * @returns {string} Returns the joined string.
     * @example
     *
     * _.join(['a', 'b', 'c'], '~');
     * // => 'a~b~c'
     */
    function join(array, separator) {
      return array == null ? '' : nativeJoin.call(array, separator);
    }

    /**
     * Gets the last element of `array`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to query.
     * @returns {*} Returns the last element of `array`.
     * @example
     *
     * _.last([1, 2, 3]);
     * // => 3
     */
    function last(array) {
      var length = array == null ? 0 : array.length;
      return length ? array[length - 1] : undefined;
    }

    /**
     * This method is like `_.indexOf` except that it iterates over elements of
     * `array` from right to left.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {*} value The value to search for.
     * @param {number} [fromIndex=array.length-1] The index to search from.
     * @returns {number} Returns the index of the matched value, else `-1`.
     * @example
     *
     * _.lastIndexOf([1, 2, 1, 2], 2);
     * // => 3
     *
     * // Search from the `fromIndex`.
     * _.lastIndexOf([1, 2, 1, 2], 2, 2);
     * // => 1
     */
    function lastIndexOf(array, value, fromIndex) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return -1;
      }
      var index = length;
      if (fromIndex !== undefined) {
        index = toInteger(fromIndex);
        index = index < 0 ? nativeMax(length + index, 0) : nativeMin(index, length - 1);
      }
      return value === value
        ? strictLastIndexOf(array, value, index)
        : baseFindIndex(array, baseIsNaN, index, true);
    }

    /**
     * Gets the element at index `n` of `array`. If `n` is negative, the nth
     * element from the end is returned.
     *
     * @static
     * @memberOf _
     * @since 4.11.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {number} [n=0] The index of the element to return.
     * @returns {*} Returns the nth element of `array`.
     * @example
     *
     * var array = ['a', 'b', 'c', 'd'];
     *
     * _.nth(array, 1);
     * // => 'b'
     *
     * _.nth(array, -2);
     * // => 'c';
     */
    function nth(array, n) {
      return (array && array.length) ? baseNth(array, toInteger(n)) : undefined;
    }

    /**
     * Removes all given values from `array` using
     * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons.
     *
     * **Note:** Unlike `_.without`, this method mutates `array`. Use `_.remove`
     * to remove elements from an array by predicate.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Array
     * @param {Array} array The array to modify.
     * @param {...*} [values] The values to remove.
     * @returns {Array} Returns `array`.
     * @example
     *
     * var array = ['a', 'b', 'c', 'a', 'b', 'c'];
     *
     * _.pull(array, 'a', 'c');
     * console.log(array);
     * // => ['b', 'b']
     */
    var pull = baseRest(pullAll);

    /**
     * This method is like `_.pull` except that it accepts an array of values to remove.
     *
     * **Note:** Unlike `_.difference`, this method mutates `array`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to modify.
     * @param {Array} values The values to remove.
     * @returns {Array} Returns `array`.
     * @example
     *
     * var array = ['a', 'b', 'c', 'a', 'b', 'c'];
     *
     * _.pullAll(array, ['a', 'c']);
     * console.log(array);
     * // => ['b', 'b']
     */
    function pullAll(array, values) {
      return (array && array.length && values && values.length)
        ? basePullAll(array, values)
        : array;
    }

    /**
     * This method is like `_.pullAll` except that it accepts `iteratee` which is
     * invoked for each element of `array` and `values` to generate the criterion
     * by which they're compared. The iteratee is invoked with one argument: (value).
     *
     * **Note:** Unlike `_.differenceBy`, this method mutates `array`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to modify.
     * @param {Array} values The values to remove.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {Array} Returns `array`.
     * @example
     *
     * var array = [{ 'x': 1 }, { 'x': 2 }, { 'x': 3 }, { 'x': 1 }];
     *
     * _.pullAllBy(array, [{ 'x': 1 }, { 'x': 3 }], 'x');
     * console.log(array);
     * // => [{ 'x': 2 }]
     */
    function pullAllBy(array, values, iteratee) {
      return (array && array.length && values && values.length)
        ? basePullAll(array, values, getIteratee(iteratee, 2))
        : array;
    }

    /**
     * This method is like `_.pullAll` except that it accepts `comparator` which
     * is invoked to compare elements of `array` to `values`. The comparator is
     * invoked with two arguments: (arrVal, othVal).
     *
     * **Note:** Unlike `_.differenceWith`, this method mutates `array`.
     *
     * @static
     * @memberOf _
     * @since 4.6.0
     * @category Array
     * @param {Array} array The array to modify.
     * @param {Array} values The values to remove.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns `array`.
     * @example
     *
     * var array = [{ 'x': 1, 'y': 2 }, { 'x': 3, 'y': 4 }, { 'x': 5, 'y': 6 }];
     *
     * _.pullAllWith(array, [{ 'x': 3, 'y': 4 }], _.isEqual);
     * console.log(array);
     * // => [{ 'x': 1, 'y': 2 }, { 'x': 5, 'y': 6 }]
     */
    function pullAllWith(array, values, comparator) {
      return (array && array.length && values && values.length)
        ? basePullAll(array, values, undefined, comparator)
        : array;
    }

    /**
     * Removes elements from `array` corresponding to `indexes` and returns an
     * array of removed elements.
     *
     * **Note:** Unlike `_.at`, this method mutates `array`.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to modify.
     * @param {...(number|number[])} [indexes] The indexes of elements to remove.
     * @returns {Array} Returns the new array of removed elements.
     * @example
     *
     * var array = ['a', 'b', 'c', 'd'];
     * var pulled = _.pullAt(array, [1, 3]);
     *
     * console.log(array);
     * // => ['a', 'c']
     *
     * console.log(pulled);
     * // => ['b', 'd']
     */
    var pullAt = flatRest(function(array, indexes) {
      var length = array == null ? 0 : array.length,
          result = baseAt(array, indexes);

      basePullAt(array, arrayMap(indexes, function(index) {
        return isIndex(index, length) ? +index : index;
      }).sort(compareAscending));

      return result;
    });

    /**
     * Removes all elements from `array` that `predicate` returns truthy for
     * and returns an array of the removed elements. The predicate is invoked
     * with three arguments: (value, index, array).
     *
     * **Note:** Unlike `_.filter`, this method mutates `array`. Use `_.pull`
     * to pull elements from an array by value.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Array
     * @param {Array} array The array to modify.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the new array of removed elements.
     * @example
     *
     * var array = [1, 2, 3, 4];
     * var evens = _.remove(array, function(n) {
     *   return n % 2 == 0;
     * });
     *
     * console.log(array);
     * // => [1, 3]
     *
     * console.log(evens);
     * // => [2, 4]
     */
    function remove(array, predicate) {
      var result = [];
      if (!(array && array.length)) {
        return result;
      }
      var index = -1,
          indexes = [],
          length = array.length;

      predicate = getIteratee(predicate, 3);
      while (++index < length) {
        var value = array[index];
        if (predicate(value, index, array)) {
          result.push(value);
          indexes.push(index);
        }
      }
      basePullAt(array, indexes);
      return result;
    }

    /**
     * Reverses `array` so that the first element becomes the last, the second
     * element becomes the second to last, and so on.
     *
     * **Note:** This method mutates `array` and is based on
     * [`Array#reverse`](https://mdn.io/Array/reverse).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to modify.
     * @returns {Array} Returns `array`.
     * @example
     *
     * var array = [1, 2, 3];
     *
     * _.reverse(array);
     * // => [3, 2, 1]
     *
     * console.log(array);
     * // => [3, 2, 1]
     */
    function reverse(array) {
      return array == null ? array : nativeReverse.call(array);
    }

    /**
     * Creates a slice of `array` from `start` up to, but not including, `end`.
     *
     * **Note:** This method is used instead of
     * [`Array#slice`](https://mdn.io/Array/slice) to ensure dense arrays are
     * returned.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to slice.
     * @param {number} [start=0] The start position.
     * @param {number} [end=array.length] The end position.
     * @returns {Array} Returns the slice of `array`.
     */
    function slice(array, start, end) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return [];
      }
      if (end && typeof end != 'number' && isIterateeCall(array, start, end)) {
        start = 0;
        end = length;
      }
      else {
        start = start == null ? 0 : toInteger(start);
        end = end === undefined ? length : toInteger(end);
      }
      return baseSlice(array, start, end);
    }

    /**
     * Uses a binary search to determine the lowest index at which `value`
     * should be inserted into `array` in order to maintain its sort order.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The sorted array to inspect.
     * @param {*} value The value to evaluate.
     * @returns {number} Returns the index at which `value` should be inserted
     *  into `array`.
     * @example
     *
     * _.sortedIndex([30, 50], 40);
     * // => 1
     */
    function sortedIndex(array, value) {
      return baseSortedIndex(array, value);
    }

    /**
     * This method is like `_.sortedIndex` except that it accepts `iteratee`
     * which is invoked for `value` and each element of `array` to compute their
     * sort ranking. The iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The sorted array to inspect.
     * @param {*} value The value to evaluate.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {number} Returns the index at which `value` should be inserted
     *  into `array`.
     * @example
     *
     * var objects = [{ 'x': 4 }, { 'x': 5 }];
     *
     * _.sortedIndexBy(objects, { 'x': 4 }, function(o) { return o.x; });
     * // => 0
     *
     * // The `_.property` iteratee shorthand.
     * _.sortedIndexBy(objects, { 'x': 4 }, 'x');
     * // => 0
     */
    function sortedIndexBy(array, value, iteratee) {
      return baseSortedIndexBy(array, value, getIteratee(iteratee, 2));
    }

    /**
     * This method is like `_.indexOf` except that it performs a binary
     * search on a sorted `array`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {*} value The value to search for.
     * @returns {number} Returns the index of the matched value, else `-1`.
     * @example
     *
     * _.sortedIndexOf([4, 5, 5, 5, 6], 5);
     * // => 1
     */
    function sortedIndexOf(array, value) {
      var length = array == null ? 0 : array.length;
      if (length) {
        var index = baseSortedIndex(array, value);
        if (index < length && eq(array[index], value)) {
          return index;
        }
      }
      return -1;
    }

    /**
     * This method is like `_.sortedIndex` except that it returns the highest
     * index at which `value` should be inserted into `array` in order to
     * maintain its sort order.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The sorted array to inspect.
     * @param {*} value The value to evaluate.
     * @returns {number} Returns the index at which `value` should be inserted
     *  into `array`.
     * @example
     *
     * _.sortedLastIndex([4, 5, 5, 5, 6], 5);
     * // => 4
     */
    function sortedLastIndex(array, value) {
      return baseSortedIndex(array, value, true);
    }

    /**
     * This method is like `_.sortedLastIndex` except that it accepts `iteratee`
     * which is invoked for `value` and each element of `array` to compute their
     * sort ranking. The iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The sorted array to inspect.
     * @param {*} value The value to evaluate.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {number} Returns the index at which `value` should be inserted
     *  into `array`.
     * @example
     *
     * var objects = [{ 'x': 4 }, { 'x': 5 }];
     *
     * _.sortedLastIndexBy(objects, { 'x': 4 }, function(o) { return o.x; });
     * // => 1
     *
     * // The `_.property` iteratee shorthand.
     * _.sortedLastIndexBy(objects, { 'x': 4 }, 'x');
     * // => 1
     */
    function sortedLastIndexBy(array, value, iteratee) {
      return baseSortedIndexBy(array, value, getIteratee(iteratee, 2), true);
    }

    /**
     * This method is like `_.lastIndexOf` except that it performs a binary
     * search on a sorted `array`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {*} value The value to search for.
     * @returns {number} Returns the index of the matched value, else `-1`.
     * @example
     *
     * _.sortedLastIndexOf([4, 5, 5, 5, 6], 5);
     * // => 3
     */
    function sortedLastIndexOf(array, value) {
      var length = array == null ? 0 : array.length;
      if (length) {
        var index = baseSortedIndex(array, value, true) - 1;
        if (eq(array[index], value)) {
          return index;
        }
      }
      return -1;
    }

    /**
     * This method is like `_.uniq` except that it's designed and optimized
     * for sorted arrays.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @returns {Array} Returns the new duplicate free array.
     * @example
     *
     * _.sortedUniq([1, 1, 2]);
     * // => [1, 2]
     */
    function sortedUniq(array) {
      return (array && array.length)
        ? baseSortedUniq(array)
        : [];
    }

    /**
     * This method is like `_.uniqBy` except that it's designed and optimized
     * for sorted arrays.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {Function} [iteratee] The iteratee invoked per element.
     * @returns {Array} Returns the new duplicate free array.
     * @example
     *
     * _.sortedUniqBy([1.1, 1.2, 2.3, 2.4], Math.floor);
     * // => [1.1, 2.3]
     */
    function sortedUniqBy(array, iteratee) {
      return (array && array.length)
        ? baseSortedUniq(array, getIteratee(iteratee, 2))
        : [];
    }

    /**
     * Gets all but the first element of `array`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to query.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * _.tail([1, 2, 3]);
     * // => [2, 3]
     */
    function tail(array) {
      var length = array == null ? 0 : array.length;
      return length ? baseSlice(array, 1, length) : [];
    }

    /**
     * Creates a slice of `array` with `n` elements taken from the beginning.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {number} [n=1] The number of elements to take.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * _.take([1, 2, 3]);
     * // => [1]
     *
     * _.take([1, 2, 3], 2);
     * // => [1, 2]
     *
     * _.take([1, 2, 3], 5);
     * // => [1, 2, 3]
     *
     * _.take([1, 2, 3], 0);
     * // => []
     */
    function take(array, n, guard) {
      if (!(array && array.length)) {
        return [];
      }
      n = (guard || n === undefined) ? 1 : toInteger(n);
      return baseSlice(array, 0, n < 0 ? 0 : n);
    }

    /**
     * Creates a slice of `array` with `n` elements taken from the end.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {number} [n=1] The number of elements to take.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * _.takeRight([1, 2, 3]);
     * // => [3]
     *
     * _.takeRight([1, 2, 3], 2);
     * // => [2, 3]
     *
     * _.takeRight([1, 2, 3], 5);
     * // => [1, 2, 3]
     *
     * _.takeRight([1, 2, 3], 0);
     * // => []
     */
    function takeRight(array, n, guard) {
      var length = array == null ? 0 : array.length;
      if (!length) {
        return [];
      }
      n = (guard || n === undefined) ? 1 : toInteger(n);
      n = length - n;
      return baseSlice(array, n < 0 ? 0 : n, length);
    }

    /**
     * Creates a slice of `array` with elements taken from the end. Elements are
     * taken until `predicate` returns falsey. The predicate is invoked with
     * three arguments: (value, index, array).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'active': true },
     *   { 'user': 'fred',    'active': false },
     *   { 'user': 'pebbles', 'active': false }
     * ];
     *
     * _.takeRightWhile(users, function(o) { return !o.active; });
     * // => objects for ['fred', 'pebbles']
     *
     * // The `_.matches` iteratee shorthand.
     * _.takeRightWhile(users, { 'user': 'pebbles', 'active': false });
     * // => objects for ['pebbles']
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.takeRightWhile(users, ['active', false]);
     * // => objects for ['fred', 'pebbles']
     *
     * // The `_.property` iteratee shorthand.
     * _.takeRightWhile(users, 'active');
     * // => []
     */
    function takeRightWhile(array, predicate) {
      return (array && array.length)
        ? baseWhile(array, getIteratee(predicate, 3), false, true)
        : [];
    }

    /**
     * Creates a slice of `array` with elements taken from the beginning. Elements
     * are taken until `predicate` returns falsey. The predicate is invoked with
     * three arguments: (value, index, array).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Array
     * @param {Array} array The array to query.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the slice of `array`.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'active': false },
     *   { 'user': 'fred',    'active': false },
     *   { 'user': 'pebbles', 'active': true }
     * ];
     *
     * _.takeWhile(users, function(o) { return !o.active; });
     * // => objects for ['barney', 'fred']
     *
     * // The `_.matches` iteratee shorthand.
     * _.takeWhile(users, { 'user': 'barney', 'active': false });
     * // => objects for ['barney']
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.takeWhile(users, ['active', false]);
     * // => objects for ['barney', 'fred']
     *
     * // The `_.property` iteratee shorthand.
     * _.takeWhile(users, 'active');
     * // => []
     */
    function takeWhile(array, predicate) {
      return (array && array.length)
        ? baseWhile(array, getIteratee(predicate, 3))
        : [];
    }

    /**
     * Creates an array of unique values, in order, from all given arrays using
     * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @returns {Array} Returns the new array of combined values.
     * @example
     *
     * _.union([2], [1, 2]);
     * // => [2, 1]
     */
    var union = baseRest(function(arrays) {
      return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true));
    });

    /**
     * This method is like `_.union` except that it accepts `iteratee` which is
     * invoked for each element of each `arrays` to generate the criterion by
     * which uniqueness is computed. Result values are chosen from the first
     * array in which the value occurs. The iteratee is invoked with one argument:
     * (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {Array} Returns the new array of combined values.
     * @example
     *
     * _.unionBy([2.1], [1.2, 2.3], Math.floor);
     * // => [2.1, 1.2]
     *
     * // The `_.property` iteratee shorthand.
     * _.unionBy([{ 'x': 1 }], [{ 'x': 2 }, { 'x': 1 }], 'x');
     * // => [{ 'x': 1 }, { 'x': 2 }]
     */
    var unionBy = baseRest(function(arrays) {
      var iteratee = last(arrays);
      if (isArrayLikeObject(iteratee)) {
        iteratee = undefined;
      }
      return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true), getIteratee(iteratee, 2));
    });

    /**
     * This method is like `_.union` except that it accepts `comparator` which
     * is invoked to compare elements of `arrays`. Result values are chosen from
     * the first array in which the value occurs. The comparator is invoked
     * with two arguments: (arrVal, othVal).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new array of combined values.
     * @example
     *
     * var objects = [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }];
     * var others = [{ 'x': 1, 'y': 1 }, { 'x': 1, 'y': 2 }];
     *
     * _.unionWith(objects, others, _.isEqual);
     * // => [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }, { 'x': 1, 'y': 1 }]
     */
    var unionWith = baseRest(function(arrays) {
      var comparator = last(arrays);
      comparator = typeof comparator == 'function' ? comparator : undefined;
      return baseUniq(baseFlatten(arrays, 1, isArrayLikeObject, true), undefined, comparator);
    });

    /**
     * Creates a duplicate-free version of an array, using
     * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons, in which only the first occurrence of each element
     * is kept. The order of result values is determined by the order they occur
     * in the array.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @returns {Array} Returns the new duplicate free array.
     * @example
     *
     * _.uniq([2, 1, 2]);
     * // => [2, 1]
     */
    function uniq(array) {
      return (array && array.length) ? baseUniq(array) : [];
    }

    /**
     * This method is like `_.uniq` except that it accepts `iteratee` which is
     * invoked for each element in `array` to generate the criterion by which
     * uniqueness is computed. The order of result values is determined by the
     * order they occur in the array. The iteratee is invoked with one argument:
     * (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {Array} Returns the new duplicate free array.
     * @example
     *
     * _.uniqBy([2.1, 1.2, 2.3], Math.floor);
     * // => [2.1, 1.2]
     *
     * // The `_.property` iteratee shorthand.
     * _.uniqBy([{ 'x': 1 }, { 'x': 2 }, { 'x': 1 }], 'x');
     * // => [{ 'x': 1 }, { 'x': 2 }]
     */
    function uniqBy(array, iteratee) {
      return (array && array.length) ? baseUniq(array, getIteratee(iteratee, 2)) : [];
    }

    /**
     * This method is like `_.uniq` except that it accepts `comparator` which
     * is invoked to compare elements of `array`. The order of result values is
     * determined by the order they occur in the array.The comparator is invoked
     * with two arguments: (arrVal, othVal).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new duplicate free array.
     * @example
     *
     * var objects = [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }, { 'x': 1, 'y': 2 }];
     *
     * _.uniqWith(objects, _.isEqual);
     * // => [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }]
     */
    function uniqWith(array, comparator) {
      comparator = typeof comparator == 'function' ? comparator : undefined;
      return (array && array.length) ? baseUniq(array, undefined, comparator) : [];
    }

    /**
     * This method is like `_.zip` except that it accepts an array of grouped
     * elements and creates an array regrouping the elements to their pre-zip
     * configuration.
     *
     * @static
     * @memberOf _
     * @since 1.2.0
     * @category Array
     * @param {Array} array The array of grouped elements to process.
     * @returns {Array} Returns the new array of regrouped elements.
     * @example
     *
     * var zipped = _.zip(['a', 'b'], [1, 2], [true, false]);
     * // => [['a', 1, true], ['b', 2, false]]
     *
     * _.unzip(zipped);
     * // => [['a', 'b'], [1, 2], [true, false]]
     */
    function unzip(array) {
      if (!(array && array.length)) {
        return [];
      }
      var length = 0;
      array = arrayFilter(array, function(group) {
        if (isArrayLikeObject(group)) {
          length = nativeMax(group.length, length);
          return true;
        }
      });
      return baseTimes(length, function(index) {
        return arrayMap(array, baseProperty(index));
      });
    }

    /**
     * This method is like `_.unzip` except that it accepts `iteratee` to specify
     * how regrouped values should be combined. The iteratee is invoked with the
     * elements of each group: (...group).
     *
     * @static
     * @memberOf _
     * @since 3.8.0
     * @category Array
     * @param {Array} array The array of grouped elements to process.
     * @param {Function} [iteratee=_.identity] The function to combine
     *  regrouped values.
     * @returns {Array} Returns the new array of regrouped elements.
     * @example
     *
     * var zipped = _.zip([1, 2], [10, 20], [100, 200]);
     * // => [[1, 10, 100], [2, 20, 200]]
     *
     * _.unzipWith(zipped, _.add);
     * // => [3, 30, 300]
     */
    function unzipWith(array, iteratee) {
      if (!(array && array.length)) {
        return [];
      }
      var result = unzip(array);
      if (iteratee == null) {
        return result;
      }
      return arrayMap(result, function(group) {
        return apply(iteratee, undefined, group);
      });
    }

    /**
     * Creates an array excluding all given values using
     * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * for equality comparisons.
     *
     * **Note:** Unlike `_.pull`, this method returns a new array.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {Array} array The array to inspect.
     * @param {...*} [values] The values to exclude.
     * @returns {Array} Returns the new array of filtered values.
     * @see _.difference, _.xor
     * @example
     *
     * _.without([2, 1, 2, 3], 1, 2);
     * // => [3]
     */
    var without = baseRest(function(array, values) {
      return isArrayLikeObject(array)
        ? baseDifference(array, values)
        : [];
    });

    /**
     * Creates an array of unique values that is the
     * [symmetric difference](https://en.wikipedia.org/wiki/Symmetric_difference)
     * of the given arrays. The order of result values is determined by the order
     * they occur in the arrays.
     *
     * @static
     * @memberOf _
     * @since 2.4.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @returns {Array} Returns the new array of filtered values.
     * @see _.difference, _.without
     * @example
     *
     * _.xor([2, 1], [2, 3]);
     * // => [1, 3]
     */
    var xor = baseRest(function(arrays) {
      return baseXor(arrayFilter(arrays, isArrayLikeObject));
    });

    /**
     * This method is like `_.xor` except that it accepts `iteratee` which is
     * invoked for each element of each `arrays` to generate the criterion by
     * which by which they're compared. The order of result values is determined
     * by the order they occur in the arrays. The iteratee is invoked with one
     * argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {Array} Returns the new array of filtered values.
     * @example
     *
     * _.xorBy([2.1, 1.2], [2.3, 3.4], Math.floor);
     * // => [1.2, 3.4]
     *
     * // The `_.property` iteratee shorthand.
     * _.xorBy([{ 'x': 1 }], [{ 'x': 2 }, { 'x': 1 }], 'x');
     * // => [{ 'x': 2 }]
     */
    var xorBy = baseRest(function(arrays) {
      var iteratee = last(arrays);
      if (isArrayLikeObject(iteratee)) {
        iteratee = undefined;
      }
      return baseXor(arrayFilter(arrays, isArrayLikeObject), getIteratee(iteratee, 2));
    });

    /**
     * This method is like `_.xor` except that it accepts `comparator` which is
     * invoked to compare elements of `arrays`. The order of result values is
     * determined by the order they occur in the arrays. The comparator is invoked
     * with two arguments: (arrVal, othVal).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Array
     * @param {...Array} [arrays] The arrays to inspect.
     * @param {Function} [comparator] The comparator invoked per element.
     * @returns {Array} Returns the new array of filtered values.
     * @example
     *
     * var objects = [{ 'x': 1, 'y': 2 }, { 'x': 2, 'y': 1 }];
     * var others = [{ 'x': 1, 'y': 1 }, { 'x': 1, 'y': 2 }];
     *
     * _.xorWith(objects, others, _.isEqual);
     * // => [{ 'x': 2, 'y': 1 }, { 'x': 1, 'y': 1 }]
     */
    var xorWith = baseRest(function(arrays) {
      var comparator = last(arrays);
      comparator = typeof comparator == 'function' ? comparator : undefined;
      return baseXor(arrayFilter(arrays, isArrayLikeObject), undefined, comparator);
    });

    /**
     * Creates an array of grouped elements, the first of which contains the
     * first elements of the given arrays, the second of which contains the
     * second elements of the given arrays, and so on.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Array
     * @param {...Array} [arrays] The arrays to process.
     * @returns {Array} Returns the new array of grouped elements.
     * @example
     *
     * _.zip(['a', 'b'], [1, 2], [true, false]);
     * // => [['a', 1, true], ['b', 2, false]]
     */
    var zip = baseRest(unzip);

    /**
     * This method is like `_.fromPairs` except that it accepts two arrays,
     * one of property identifiers and one of corresponding values.
     *
     * @static
     * @memberOf _
     * @since 0.4.0
     * @category Array
     * @param {Array} [props=[]] The property identifiers.
     * @param {Array} [values=[]] The property values.
     * @returns {Object} Returns the new object.
     * @example
     *
     * _.zipObject(['a', 'b'], [1, 2]);
     * // => { 'a': 1, 'b': 2 }
     */
    function zipObject(props, values) {
      return baseZipObject(props || [], values || [], assignValue);
    }

    /**
     * This method is like `_.zipObject` except that it supports property paths.
     *
     * @static
     * @memberOf _
     * @since 4.1.0
     * @category Array
     * @param {Array} [props=[]] The property identifiers.
     * @param {Array} [values=[]] The property values.
     * @returns {Object} Returns the new object.
     * @example
     *
     * _.zipObjectDeep(['a.b[0].c', 'a.b[1].d'], [1, 2]);
     * // => { 'a': { 'b': [{ 'c': 1 }, { 'd': 2 }] } }
     */
    function zipObjectDeep(props, values) {
      return baseZipObject(props || [], values || [], baseSet);
    }

    /**
     * This method is like `_.zip` except that it accepts `iteratee` to specify
     * how grouped values should be combined. The iteratee is invoked with the
     * elements of each group: (...group).
     *
     * @static
     * @memberOf _
     * @since 3.8.0
     * @category Array
     * @param {...Array} [arrays] The arrays to process.
     * @param {Function} [iteratee=_.identity] The function to combine
     *  grouped values.
     * @returns {Array} Returns the new array of grouped elements.
     * @example
     *
     * _.zipWith([1, 2], [10, 20], [100, 200], function(a, b, c) {
     *   return a + b + c;
     * });
     * // => [111, 222]
     */
    var zipWith = baseRest(function(arrays) {
      var length = arrays.length,
          iteratee = length > 1 ? arrays[length - 1] : undefined;

      iteratee = typeof iteratee == 'function' ? (arrays.pop(), iteratee) : undefined;
      return unzipWith(arrays, iteratee);
    });

    /*------------------------------------------------------------------------*/

    /**
     * Creates a `lodash` wrapper instance that wraps `value` with explicit method
     * chain sequences enabled. The result of such sequences must be unwrapped
     * with `_#value`.
     *
     * @static
     * @memberOf _
     * @since 1.3.0
     * @category Seq
     * @param {*} value The value to wrap.
     * @returns {Object} Returns the new `lodash` wrapper instance.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'age': 36 },
     *   { 'user': 'fred',    'age': 40 },
     *   { 'user': 'pebbles', 'age': 1 }
     * ];
     *
     * var youngest = _
     *   .chain(users)
     *   .sortBy('age')
     *   .map(function(o) {
     *     return o.user + ' is ' + o.age;
     *   })
     *   .head()
     *   .value();
     * // => 'pebbles is 1'
     */
    function chain(value) {
      var result = lodash(value);
      result.__chain__ = true;
      return result;
    }

    /**
     * This method invokes `interceptor` and returns `value`. The interceptor
     * is invoked with one argument; (value). The purpose of this method is to
     * "tap into" a method chain sequence in order to modify intermediate results.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Seq
     * @param {*} value The value to provide to `interceptor`.
     * @param {Function} interceptor The function to invoke.
     * @returns {*} Returns `value`.
     * @example
     *
     * _([1, 2, 3])
     *  .tap(function(array) {
     *    // Mutate input array.
     *    array.pop();
     *  })
     *  .reverse()
     *  .value();
     * // => [2, 1]
     */
    function tap(value, interceptor) {
      interceptor(value);
      return value;
    }

    /**
     * This method is like `_.tap` except that it returns the result of `interceptor`.
     * The purpose of this method is to "pass thru" values replacing intermediate
     * results in a method chain sequence.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Seq
     * @param {*} value The value to provide to `interceptor`.
     * @param {Function} interceptor The function to invoke.
     * @returns {*} Returns the result of `interceptor`.
     * @example
     *
     * _('  abc  ')
     *  .chain()
     *  .trim()
     *  .thru(function(value) {
     *    return [value];
     *  })
     *  .value();
     * // => ['abc']
     */
    function thru(value, interceptor) {
      return interceptor(value);
    }

    /**
     * This method is the wrapper version of `_.at`.
     *
     * @name at
     * @memberOf _
     * @since 1.0.0
     * @category Seq
     * @param {...(string|string[])} [paths] The property paths to pick.
     * @returns {Object} Returns the new `lodash` wrapper instance.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c': 3 } }, 4] };
     *
     * _(object).at(['a[0].b.c', 'a[1]']).value();
     * // => [3, 4]
     */
    var wrapperAt = flatRest(function(paths) {
      var length = paths.length,
          start = length ? paths[0] : 0,
          value = this.__wrapped__,
          interceptor = function(object) { return baseAt(object, paths); };

      if (length > 1 || this.__actions__.length ||
          !(value instanceof LazyWrapper) || !isIndex(start)) {
        return this.thru(interceptor);
      }
      value = value.slice(start, +start + (length ? 1 : 0));
      value.__actions__.push({
        'func': thru,
        'args': [interceptor],
        'thisArg': undefined
      });
      return new LodashWrapper(value, this.__chain__).thru(function(array) {
        if (length && !array.length) {
          array.push(undefined);
        }
        return array;
      });
    });

    /**
     * Creates a `lodash` wrapper instance with explicit method chain sequences enabled.
     *
     * @name chain
     * @memberOf _
     * @since 0.1.0
     * @category Seq
     * @returns {Object} Returns the new `lodash` wrapper instance.
     * @example
     *
     * var users = [
     *   { 'user': 'barney', 'age': 36 },
     *   { 'user': 'fred',   'age': 40 }
     * ];
     *
     * // A sequence without explicit chaining.
     * _(users).head();
     * // => { 'user': 'barney', 'age': 36 }
     *
     * // A sequence with explicit chaining.
     * _(users)
     *   .chain()
     *   .head()
     *   .pick('user')
     *   .value();
     * // => { 'user': 'barney' }
     */
    function wrapperChain() {
      return chain(this);
    }

    /**
     * Executes the chain sequence and returns the wrapped result.
     *
     * @name commit
     * @memberOf _
     * @since 3.2.0
     * @category Seq
     * @returns {Object} Returns the new `lodash` wrapper instance.
     * @example
     *
     * var array = [1, 2];
     * var wrapped = _(array).push(3);
     *
     * console.log(array);
     * // => [1, 2]
     *
     * wrapped = wrapped.commit();
     * console.log(array);
     * // => [1, 2, 3]
     *
     * wrapped.last();
     * // => 3
     *
     * console.log(array);
     * // => [1, 2, 3]
     */
    function wrapperCommit() {
      return new LodashWrapper(this.value(), this.__chain__);
    }

    /**
     * Gets the next value on a wrapped object following the
     * [iterator protocol](https://mdn.io/iteration_protocols#iterator).
     *
     * @name next
     * @memberOf _
     * @since 4.0.0
     * @category Seq
     * @returns {Object} Returns the next iterator value.
     * @example
     *
     * var wrapped = _([1, 2]);
     *
     * wrapped.next();
     * // => { 'done': false, 'value': 1 }
     *
     * wrapped.next();
     * // => { 'done': false, 'value': 2 }
     *
     * wrapped.next();
     * // => { 'done': true, 'value': undefined }
     */
    function wrapperNext() {
      if (this.__values__ === undefined) {
        this.__values__ = toArray(this.value());
      }
      var done = this.__index__ >= this.__values__.length,
          value = done ? undefined : this.__values__[this.__index__++];

      return { 'done': done, 'value': value };
    }

    /**
     * Enables the wrapper to be iterable.
     *
     * @name Symbol.iterator
     * @memberOf _
     * @since 4.0.0
     * @category Seq
     * @returns {Object} Returns the wrapper object.
     * @example
     *
     * var wrapped = _([1, 2]);
     *
     * wrapped[Symbol.iterator]() === wrapped;
     * // => true
     *
     * Array.from(wrapped);
     * // => [1, 2]
     */
    function wrapperToIterator() {
      return this;
    }

    /**
     * Creates a clone of the chain sequence planting `value` as the wrapped value.
     *
     * @name plant
     * @memberOf _
     * @since 3.2.0
     * @category Seq
     * @param {*} value The value to plant.
     * @returns {Object} Returns the new `lodash` wrapper instance.
     * @example
     *
     * function square(n) {
     *   return n * n;
     * }
     *
     * var wrapped = _([1, 2]).map(square);
     * var other = wrapped.plant([3, 4]);
     *
     * other.value();
     * // => [9, 16]
     *
     * wrapped.value();
     * // => [1, 4]
     */
    function wrapperPlant(value) {
      var result,
          parent = this;

      while (parent instanceof baseLodash) {
        var clone = wrapperClone(parent);
        clone.__index__ = 0;
        clone.__values__ = undefined;
        if (result) {
          previous.__wrapped__ = clone;
        } else {
          result = clone;
        }
        var previous = clone;
        parent = parent.__wrapped__;
      }
      previous.__wrapped__ = value;
      return result;
    }

    /**
     * This method is the wrapper version of `_.reverse`.
     *
     * **Note:** This method mutates the wrapped array.
     *
     * @name reverse
     * @memberOf _
     * @since 0.1.0
     * @category Seq
     * @returns {Object} Returns the new `lodash` wrapper instance.
     * @example
     *
     * var array = [1, 2, 3];
     *
     * _(array).reverse().value()
     * // => [3, 2, 1]
     *
     * console.log(array);
     * // => [3, 2, 1]
     */
    function wrapperReverse() {
      var value = this.__wrapped__;
      if (value instanceof LazyWrapper) {
        var wrapped = value;
        if (this.__actions__.length) {
          wrapped = new LazyWrapper(this);
        }
        wrapped = wrapped.reverse();
        wrapped.__actions__.push({
          'func': thru,
          'args': [reverse],
          'thisArg': undefined
        });
        return new LodashWrapper(wrapped, this.__chain__);
      }
      return this.thru(reverse);
    }

    /**
     * Executes the chain sequence to resolve the unwrapped value.
     *
     * @name value
     * @memberOf _
     * @since 0.1.0
     * @alias toJSON, valueOf
     * @category Seq
     * @returns {*} Returns the resolved unwrapped value.
     * @example
     *
     * _([1, 2, 3]).value();
     * // => [1, 2, 3]
     */
    function wrapperValue() {
      return baseWrapperValue(this.__wrapped__, this.__actions__);
    }

    /*------------------------------------------------------------------------*/

    /**
     * Creates an object composed of keys generated from the results of running
     * each element of `collection` thru `iteratee`. The corresponding value of
     * each key is the number of times the key was returned by `iteratee`. The
     * iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 0.5.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The iteratee to transform keys.
     * @returns {Object} Returns the composed aggregate object.
     * @example
     *
     * _.countBy([6.1, 4.2, 6.3], Math.floor);
     * // => { '4': 1, '6': 2 }
     *
     * // The `_.property` iteratee shorthand.
     * _.countBy(['one', 'two', 'three'], 'length');
     * // => { '3': 2, '5': 1 }
     */
    var countBy = createAggregator(function(result, value, key) {
      if (hasOwnProperty.call(result, key)) {
        ++result[key];
      } else {
        baseAssignValue(result, key, 1);
      }
    });

    /**
     * Checks if `predicate` returns truthy for **all** elements of `collection`.
     * Iteration is stopped once `predicate` returns falsey. The predicate is
     * invoked with three arguments: (value, index|key, collection).
     *
     * **Note:** This method returns `true` for
     * [empty collections](https://en.wikipedia.org/wiki/Empty_set) because
     * [everything is true](https://en.wikipedia.org/wiki/Vacuous_truth) of
     * elements of empty collections.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {boolean} Returns `true` if all elements pass the predicate check,
     *  else `false`.
     * @example
     *
     * _.every([true, 1, null, 'yes'], Boolean);
     * // => false
     *
     * var users = [
     *   { 'user': 'barney', 'age': 36, 'active': false },
     *   { 'user': 'fred',   'age': 40, 'active': false }
     * ];
     *
     * // The `_.matches` iteratee shorthand.
     * _.every(users, { 'user': 'barney', 'active': false });
     * // => false
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.every(users, ['active', false]);
     * // => true
     *
     * // The `_.property` iteratee shorthand.
     * _.every(users, 'active');
     * // => false
     */
    function every(collection, predicate, guard) {
      var func = isArray(collection) ? arrayEvery : baseEvery;
      if (guard && isIterateeCall(collection, predicate, guard)) {
        predicate = undefined;
      }
      return func(collection, getIteratee(predicate, 3));
    }

    /**
     * Iterates over elements of `collection`, returning an array of all elements
     * `predicate` returns truthy for. The predicate is invoked with three
     * arguments: (value, index|key, collection).
     *
     * **Note:** Unlike `_.remove`, this method returns a new array.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the new filtered array.
     * @see _.reject
     * @example
     *
     * var users = [
     *   { 'user': 'barney', 'age': 36, 'active': true },
     *   { 'user': 'fred',   'age': 40, 'active': false }
     * ];
     *
     * _.filter(users, function(o) { return !o.active; });
     * // => objects for ['fred']
     *
     * // The `_.matches` iteratee shorthand.
     * _.filter(users, { 'age': 36, 'active': true });
     * // => objects for ['barney']
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.filter(users, ['active', false]);
     * // => objects for ['fred']
     *
     * // The `_.property` iteratee shorthand.
     * _.filter(users, 'active');
     * // => objects for ['barney']
     *
     * // Combining several predicates using `_.overEvery` or `_.overSome`.
     * _.filter(users, _.overSome([{ 'age': 36 }, ['age', 40]]));
     * // => objects for ['fred', 'barney']
     */
    function filter(collection, predicate) {
      var func = isArray(collection) ? arrayFilter : baseFilter;
      return func(collection, getIteratee(predicate, 3));
    }

    /**
     * Iterates over elements of `collection`, returning the first element
     * `predicate` returns truthy for. The predicate is invoked with three
     * arguments: (value, index|key, collection).
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to inspect.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @param {number} [fromIndex=0] The index to search from.
     * @returns {*} Returns the matched element, else `undefined`.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'age': 36, 'active': true },
     *   { 'user': 'fred',    'age': 40, 'active': false },
     *   { 'user': 'pebbles', 'age': 1,  'active': true }
     * ];
     *
     * _.find(users, function(o) { return o.age < 40; });
     * // => object for 'barney'
     *
     * // The `_.matches` iteratee shorthand.
     * _.find(users, { 'age': 1, 'active': true });
     * // => object for 'pebbles'
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.find(users, ['active', false]);
     * // => object for 'fred'
     *
     * // The `_.property` iteratee shorthand.
     * _.find(users, 'active');
     * // => object for 'barney'
     */
    var find = createFind(findIndex);

    /**
     * This method is like `_.find` except that it iterates over elements of
     * `collection` from right to left.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to inspect.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @param {number} [fromIndex=collection.length-1] The index to search from.
     * @returns {*} Returns the matched element, else `undefined`.
     * @example
     *
     * _.findLast([1, 2, 3, 4], function(n) {
     *   return n % 2 == 1;
     * });
     * // => 3
     */
    var findLast = createFind(findLastIndex);

    /**
     * Creates a flattened array of values by running each element in `collection`
     * thru `iteratee` and flattening the mapped results. The iteratee is invoked
     * with three arguments: (value, index|key, collection).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the new flattened array.
     * @example
     *
     * function duplicate(n) {
     *   return [n, n];
     * }
     *
     * _.flatMap([1, 2], duplicate);
     * // => [1, 1, 2, 2]
     */
    function flatMap(collection, iteratee) {
      return baseFlatten(map(collection, iteratee), 1);
    }

    /**
     * This method is like `_.flatMap` except that it recursively flattens the
     * mapped results.
     *
     * @static
     * @memberOf _
     * @since 4.7.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the new flattened array.
     * @example
     *
     * function duplicate(n) {
     *   return [[[n, n]]];
     * }
     *
     * _.flatMapDeep([1, 2], duplicate);
     * // => [1, 1, 2, 2]
     */
    function flatMapDeep(collection, iteratee) {
      return baseFlatten(map(collection, iteratee), INFINITY);
    }

    /**
     * This method is like `_.flatMap` except that it recursively flattens the
     * mapped results up to `depth` times.
     *
     * @static
     * @memberOf _
     * @since 4.7.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @param {number} [depth=1] The maximum recursion depth.
     * @returns {Array} Returns the new flattened array.
     * @example
     *
     * function duplicate(n) {
     *   return [[[n, n]]];
     * }
     *
     * _.flatMapDepth([1, 2], duplicate, 2);
     * // => [[1, 1], [2, 2]]
     */
    function flatMapDepth(collection, iteratee, depth) {
      depth = depth === undefined ? 1 : toInteger(depth);
      return baseFlatten(map(collection, iteratee), depth);
    }

    /**
     * Iterates over elements of `collection` and invokes `iteratee` for each element.
     * The iteratee is invoked with three arguments: (value, index|key, collection).
     * Iteratee functions may exit iteration early by explicitly returning `false`.
     *
     * **Note:** As with other "Collections" methods, objects with a "length"
     * property are iterated like arrays. To avoid this behavior use `_.forIn`
     * or `_.forOwn` for object iteration.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @alias each
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Array|Object} Returns `collection`.
     * @see _.forEachRight
     * @example
     *
     * _.forEach([1, 2], function(value) {
     *   console.log(value);
     * });
     * // => Logs `1` then `2`.
     *
     * _.forEach({ 'a': 1, 'b': 2 }, function(value, key) {
     *   console.log(key);
     * });
     * // => Logs 'a' then 'b' (iteration order is not guaranteed).
     */
    function forEach(collection, iteratee) {
      var func = isArray(collection) ? arrayEach : baseEach;
      return func(collection, getIteratee(iteratee, 3));
    }

    /**
     * This method is like `_.forEach` except that it iterates over elements of
     * `collection` from right to left.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @alias eachRight
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Array|Object} Returns `collection`.
     * @see _.forEach
     * @example
     *
     * _.forEachRight([1, 2], function(value) {
     *   console.log(value);
     * });
     * // => Logs `2` then `1`.
     */
    function forEachRight(collection, iteratee) {
      var func = isArray(collection) ? arrayEachRight : baseEachRight;
      return func(collection, getIteratee(iteratee, 3));
    }

    /**
     * Creates an object composed of keys generated from the results of running
     * each element of `collection` thru `iteratee`. The order of grouped values
     * is determined by the order they occur in `collection`. The corresponding
     * value of each key is an array of elements responsible for generating the
     * key. The iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The iteratee to transform keys.
     * @returns {Object} Returns the composed aggregate object.
     * @example
     *
     * _.groupBy([6.1, 4.2, 6.3], Math.floor);
     * // => { '4': [4.2], '6': [6.1, 6.3] }
     *
     * // The `_.property` iteratee shorthand.
     * _.groupBy(['one', 'two', 'three'], 'length');
     * // => { '3': ['one', 'two'], '5': ['three'] }
     */
    var groupBy = createAggregator(function(result, value, key) {
      if (hasOwnProperty.call(result, key)) {
        result[key].push(value);
      } else {
        baseAssignValue(result, key, [value]);
      }
    });

    /**
     * Checks if `value` is in `collection`. If `collection` is a string, it's
     * checked for a substring of `value`, otherwise
     * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * is used for equality comparisons. If `fromIndex` is negative, it's used as
     * the offset from the end of `collection`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object|string} collection The collection to inspect.
     * @param {*} value The value to search for.
     * @param {number} [fromIndex=0] The index to search from.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.reduce`.
     * @returns {boolean} Returns `true` if `value` is found, else `false`.
     * @example
     *
     * _.includes([1, 2, 3], 1);
     * // => true
     *
     * _.includes([1, 2, 3], 1, 2);
     * // => false
     *
     * _.includes({ 'a': 1, 'b': 2 }, 1);
     * // => true
     *
     * _.includes('abcd', 'bc');
     * // => true
     */
    function includes(collection, value, fromIndex, guard) {
      collection = isArrayLike(collection) ? collection : values(collection);
      fromIndex = (fromIndex && !guard) ? toInteger(fromIndex) : 0;

      var length = collection.length;
      if (fromIndex < 0) {
        fromIndex = nativeMax(length + fromIndex, 0);
      }
      return isString(collection)
        ? (fromIndex <= length && collection.indexOf(value, fromIndex) > -1)
        : (!!length && baseIndexOf(collection, value, fromIndex) > -1);
    }

    /**
     * Invokes the method at `path` of each element in `collection`, returning
     * an array of the results of each invoked method. Any additional arguments
     * are provided to each invoked method. If `path` is a function, it's invoked
     * for, and `this` bound to, each element in `collection`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Array|Function|string} path The path of the method to invoke or
     *  the function invoked per iteration.
     * @param {...*} [args] The arguments to invoke each method with.
     * @returns {Array} Returns the array of results.
     * @example
     *
     * _.invokeMap([[5, 1, 7], [3, 2, 1]], 'sort');
     * // => [[1, 5, 7], [1, 2, 3]]
     *
     * _.invokeMap([123, 456], String.prototype.split, '');
     * // => [['1', '2', '3'], ['4', '5', '6']]
     */
    var invokeMap = baseRest(function(collection, path, args) {
      var index = -1,
          isFunc = typeof path == 'function',
          result = isArrayLike(collection) ? Array(collection.length) : [];

      baseEach(collection, function(value) {
        result[++index] = isFunc ? apply(path, value, args) : baseInvoke(value, path, args);
      });
      return result;
    });

    /**
     * Creates an object composed of keys generated from the results of running
     * each element of `collection` thru `iteratee`. The corresponding value of
     * each key is the last element responsible for generating the key. The
     * iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The iteratee to transform keys.
     * @returns {Object} Returns the composed aggregate object.
     * @example
     *
     * var array = [
     *   { 'dir': 'left', 'code': 97 },
     *   { 'dir': 'right', 'code': 100 }
     * ];
     *
     * _.keyBy(array, function(o) {
     *   return String.fromCharCode(o.code);
     * });
     * // => { 'a': { 'dir': 'left', 'code': 97 }, 'd': { 'dir': 'right', 'code': 100 } }
     *
     * _.keyBy(array, 'dir');
     * // => { 'left': { 'dir': 'left', 'code': 97 }, 'right': { 'dir': 'right', 'code': 100 } }
     */
    var keyBy = createAggregator(function(result, value, key) {
      baseAssignValue(result, key, value);
    });

    /**
     * Creates an array of values by running each element in `collection` thru
     * `iteratee`. The iteratee is invoked with three arguments:
     * (value, index|key, collection).
     *
     * Many lodash methods are guarded to work as iteratees for methods like
     * `_.every`, `_.filter`, `_.map`, `_.mapValues`, `_.reject`, and `_.some`.
     *
     * The guarded methods are:
     * `ary`, `chunk`, `curry`, `curryRight`, `drop`, `dropRight`, `every`,
     * `fill`, `invert`, `parseInt`, `random`, `range`, `rangeRight`, `repeat`,
     * `sampleSize`, `slice`, `some`, `sortBy`, `split`, `take`, `takeRight`,
     * `template`, `trim`, `trimEnd`, `trimStart`, and `words`
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the new mapped array.
     * @example
     *
     * function square(n) {
     *   return n * n;
     * }
     *
     * _.map([4, 8], square);
     * // => [16, 64]
     *
     * _.map({ 'a': 4, 'b': 8 }, square);
     * // => [16, 64] (iteration order is not guaranteed)
     *
     * var users = [
     *   { 'user': 'barney' },
     *   { 'user': 'fred' }
     * ];
     *
     * // The `_.property` iteratee shorthand.
     * _.map(users, 'user');
     * // => ['barney', 'fred']
     */
    function map(collection, iteratee) {
      var func = isArray(collection) ? arrayMap : baseMap;
      return func(collection, getIteratee(iteratee, 3));
    }

    /**
     * This method is like `_.sortBy` except that it allows specifying the sort
     * orders of the iteratees to sort by. If `orders` is unspecified, all values
     * are sorted in ascending order. Otherwise, specify an order of "desc" for
     * descending or "asc" for ascending sort order of corresponding values.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Array[]|Function[]|Object[]|string[]} [iteratees=[_.identity]]
     *  The iteratees to sort by.
     * @param {string[]} [orders] The sort orders of `iteratees`.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.reduce`.
     * @returns {Array} Returns the new sorted array.
     * @example
     *
     * var users = [
     *   { 'user': 'fred',   'age': 48 },
     *   { 'user': 'barney', 'age': 34 },
     *   { 'user': 'fred',   'age': 40 },
     *   { 'user': 'barney', 'age': 36 }
     * ];
     *
     * // Sort by `user` in ascending order and by `age` in descending order.
     * _.orderBy(users, ['user', 'age'], ['asc', 'desc']);
     * // => objects for [['barney', 36], ['barney', 34], ['fred', 48], ['fred', 40]]
     */
    function orderBy(collection, iteratees, orders, guard) {
      if (collection == null) {
        return [];
      }
      if (!isArray(iteratees)) {
        iteratees = iteratees == null ? [] : [iteratees];
      }
      orders = guard ? undefined : orders;
      if (!isArray(orders)) {
        orders = orders == null ? [] : [orders];
      }
      return baseOrderBy(collection, iteratees, orders);
    }

    /**
     * Creates an array of elements split into two groups, the first of which
     * contains elements `predicate` returns truthy for, the second of which
     * contains elements `predicate` returns falsey for. The predicate is
     * invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the array of grouped elements.
     * @example
     *
     * var users = [
     *   { 'user': 'barney',  'age': 36, 'active': false },
     *   { 'user': 'fred',    'age': 40, 'active': true },
     *   { 'user': 'pebbles', 'age': 1,  'active': false }
     * ];
     *
     * _.partition(users, function(o) { return o.active; });
     * // => objects for [['fred'], ['barney', 'pebbles']]
     *
     * // The `_.matches` iteratee shorthand.
     * _.partition(users, { 'age': 1, 'active': false });
     * // => objects for [['pebbles'], ['barney', 'fred']]
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.partition(users, ['active', false]);
     * // => objects for [['barney', 'pebbles'], ['fred']]
     *
     * // The `_.property` iteratee shorthand.
     * _.partition(users, 'active');
     * // => objects for [['fred'], ['barney', 'pebbles']]
     */
    var partition = createAggregator(function(result, value, key) {
      result[key ? 0 : 1].push(value);
    }, function() { return [[], []]; });

    /**
     * Reduces `collection` to a value which is the accumulated result of running
     * each element in `collection` thru `iteratee`, where each successive
     * invocation is supplied the return value of the previous. If `accumulator`
     * is not given, the first element of `collection` is used as the initial
     * value. The iteratee is invoked with four arguments:
     * (accumulator, value, index|key, collection).
     *
     * Many lodash methods are guarded to work as iteratees for methods like
     * `_.reduce`, `_.reduceRight`, and `_.transform`.
     *
     * The guarded methods are:
     * `assign`, `defaults`, `defaultsDeep`, `includes`, `merge`, `orderBy`,
     * and `sortBy`
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @param {*} [accumulator] The initial value.
     * @returns {*} Returns the accumulated value.
     * @see _.reduceRight
     * @example
     *
     * _.reduce([1, 2], function(sum, n) {
     *   return sum + n;
     * }, 0);
     * // => 3
     *
     * _.reduce({ 'a': 1, 'b': 2, 'c': 1 }, function(result, value, key) {
     *   (result[value] || (result[value] = [])).push(key);
     *   return result;
     * }, {});
     * // => { '1': ['a', 'c'], '2': ['b'] } (iteration order is not guaranteed)
     */
    function reduce(collection, iteratee, accumulator) {
      var func = isArray(collection) ? arrayReduce : baseReduce,
          initAccum = arguments.length < 3;

      return func(collection, getIteratee(iteratee, 4), accumulator, initAccum, baseEach);
    }

    /**
     * This method is like `_.reduce` except that it iterates over elements of
     * `collection` from right to left.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @param {*} [accumulator] The initial value.
     * @returns {*} Returns the accumulated value.
     * @see _.reduce
     * @example
     *
     * var array = [[0, 1], [2, 3], [4, 5]];
     *
     * _.reduceRight(array, function(flattened, other) {
     *   return flattened.concat(other);
     * }, []);
     * // => [4, 5, 2, 3, 0, 1]
     */
    function reduceRight(collection, iteratee, accumulator) {
      var func = isArray(collection) ? arrayReduceRight : baseReduce,
          initAccum = arguments.length < 3;

      return func(collection, getIteratee(iteratee, 4), accumulator, initAccum, baseEachRight);
    }

    /**
     * The opposite of `_.filter`; this method returns the elements of `collection`
     * that `predicate` does **not** return truthy for.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the new filtered array.
     * @see _.filter
     * @example
     *
     * var users = [
     *   { 'user': 'barney', 'age': 36, 'active': false },
     *   { 'user': 'fred',   'age': 40, 'active': true }
     * ];
     *
     * _.reject(users, function(o) { return !o.active; });
     * // => objects for ['fred']
     *
     * // The `_.matches` iteratee shorthand.
     * _.reject(users, { 'age': 40, 'active': true });
     * // => objects for ['barney']
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.reject(users, ['active', false]);
     * // => objects for ['fred']
     *
     * // The `_.property` iteratee shorthand.
     * _.reject(users, 'active');
     * // => objects for ['barney']
     */
    function reject(collection, predicate) {
      var func = isArray(collection) ? arrayFilter : baseFilter;
      return func(collection, negate(getIteratee(predicate, 3)));
    }

    /**
     * Gets a random element from `collection`.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to sample.
     * @returns {*} Returns the random element.
     * @example
     *
     * _.sample([1, 2, 3, 4]);
     * // => 2
     */
    function sample(collection) {
      var func = isArray(collection) ? arraySample : baseSample;
      return func(collection);
    }

    /**
     * Gets `n` random elements at unique keys from `collection` up to the
     * size of `collection`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Collection
     * @param {Array|Object} collection The collection to sample.
     * @param {number} [n=1] The number of elements to sample.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Array} Returns the random elements.
     * @example
     *
     * _.sampleSize([1, 2, 3], 2);
     * // => [3, 1]
     *
     * _.sampleSize([1, 2, 3], 4);
     * // => [2, 3, 1]
     */
    function sampleSize(collection, n, guard) {
      if ((guard ? isIterateeCall(collection, n, guard) : n === undefined)) {
        n = 1;
      } else {
        n = toInteger(n);
      }
      var func = isArray(collection) ? arraySampleSize : baseSampleSize;
      return func(collection, n);
    }

    /**
     * Creates an array of shuffled values, using a version of the
     * [Fisher-Yates shuffle](https://en.wikipedia.org/wiki/Fisher-Yates_shuffle).
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to shuffle.
     * @returns {Array} Returns the new shuffled array.
     * @example
     *
     * _.shuffle([1, 2, 3, 4]);
     * // => [4, 1, 3, 2]
     */
    function shuffle(collection) {
      var func = isArray(collection) ? arrayShuffle : baseShuffle;
      return func(collection);
    }

    /**
     * Gets the size of `collection` by returning its length for array-like
     * values or the number of own enumerable string keyed properties for objects.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object|string} collection The collection to inspect.
     * @returns {number} Returns the collection size.
     * @example
     *
     * _.size([1, 2, 3]);
     * // => 3
     *
     * _.size({ 'a': 1, 'b': 2 });
     * // => 2
     *
     * _.size('pebbles');
     * // => 7
     */
    function size(collection) {
      if (collection == null) {
        return 0;
      }
      if (isArrayLike(collection)) {
        return isString(collection) ? stringSize(collection) : collection.length;
      }
      var tag = getTag(collection);
      if (tag == mapTag || tag == setTag) {
        return collection.size;
      }
      return baseKeys(collection).length;
    }

    /**
     * Checks if `predicate` returns truthy for **any** element of `collection`.
     * Iteration is stopped once `predicate` returns truthy. The predicate is
     * invoked with three arguments: (value, index|key, collection).
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {boolean} Returns `true` if any element passes the predicate check,
     *  else `false`.
     * @example
     *
     * _.some([null, 0, 'yes', false], Boolean);
     * // => true
     *
     * var users = [
     *   { 'user': 'barney', 'active': true },
     *   { 'user': 'fred',   'active': false }
     * ];
     *
     * // The `_.matches` iteratee shorthand.
     * _.some(users, { 'user': 'barney', 'active': false });
     * // => false
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.some(users, ['active', false]);
     * // => true
     *
     * // The `_.property` iteratee shorthand.
     * _.some(users, 'active');
     * // => true
     */
    function some(collection, predicate, guard) {
      var func = isArray(collection) ? arraySome : baseSome;
      if (guard && isIterateeCall(collection, predicate, guard)) {
        predicate = undefined;
      }
      return func(collection, getIteratee(predicate, 3));
    }

    /**
     * Creates an array of elements, sorted in ascending order by the results of
     * running each element in a collection thru each iteratee. This method
     * performs a stable sort, that is, it preserves the original sort order of
     * equal elements. The iteratees are invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Collection
     * @param {Array|Object} collection The collection to iterate over.
     * @param {...(Function|Function[])} [iteratees=[_.identity]]
     *  The iteratees to sort by.
     * @returns {Array} Returns the new sorted array.
     * @example
     *
     * var users = [
     *   { 'user': 'fred',   'age': 48 },
     *   { 'user': 'barney', 'age': 36 },
     *   { 'user': 'fred',   'age': 30 },
     *   { 'user': 'barney', 'age': 34 }
     * ];
     *
     * _.sortBy(users, [function(o) { return o.user; }]);
     * // => objects for [['barney', 36], ['barney', 34], ['fred', 48], ['fred', 30]]
     *
     * _.sortBy(users, ['user', 'age']);
     * // => objects for [['barney', 34], ['barney', 36], ['fred', 30], ['fred', 48]]
     */
    var sortBy = baseRest(function(collection, iteratees) {
      if (collection == null) {
        return [];
      }
      var length = iteratees.length;
      if (length > 1 && isIterateeCall(collection, iteratees[0], iteratees[1])) {
        iteratees = [];
      } else if (length > 2 && isIterateeCall(iteratees[0], iteratees[1], iteratees[2])) {
        iteratees = [iteratees[0]];
      }
      return baseOrderBy(collection, baseFlatten(iteratees, 1), []);
    });

    /*------------------------------------------------------------------------*/

    /**
     * Gets the timestamp of the number of milliseconds that have elapsed since
     * the Unix epoch (1 January 1970 00:00:00 UTC).
     *
     * @static
     * @memberOf _
     * @since 2.4.0
     * @category Date
     * @returns {number} Returns the timestamp.
     * @example
     *
     * _.defer(function(stamp) {
     *   console.log(_.now() - stamp);
     * }, _.now());
     * // => Logs the number of milliseconds it took for the deferred invocation.
     */
    var now = ctxNow || function() {
      return root.Date.now();
    };

    /*------------------------------------------------------------------------*/

    /**
     * The opposite of `_.before`; this method creates a function that invokes
     * `func` once it's called `n` or more times.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {number} n The number of calls before `func` is invoked.
     * @param {Function} func The function to restrict.
     * @returns {Function} Returns the new restricted function.
     * @example
     *
     * var saves = ['profile', 'settings'];
     *
     * var done = _.after(saves.length, function() {
     *   console.log('done saving!');
     * });
     *
     * _.forEach(saves, function(type) {
     *   asyncSave({ 'type': type, 'complete': done });
     * });
     * // => Logs 'done saving!' after the two async saves have completed.
     */
    function after(n, func) {
      if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      n = toInteger(n);
      return function() {
        if (--n < 1) {
          return func.apply(this, arguments);
        }
      };
    }

    /**
     * Creates a function that invokes `func`, with up to `n` arguments,
     * ignoring any additional arguments.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Function
     * @param {Function} func The function to cap arguments for.
     * @param {number} [n=func.length] The arity cap.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Function} Returns the new capped function.
     * @example
     *
     * _.map(['6', '8', '10'], _.ary(parseInt, 1));
     * // => [6, 8, 10]
     */
    function ary(func, n, guard) {
      n = guard ? undefined : n;
      n = (func && n == null) ? func.length : n;
      return createWrap(func, WRAP_ARY_FLAG, undefined, undefined, undefined, undefined, n);
    }

    /**
     * Creates a function that invokes `func`, with the `this` binding and arguments
     * of the created function, while it's called less than `n` times. Subsequent
     * calls to the created function return the result of the last `func` invocation.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Function
     * @param {number} n The number of calls at which `func` is no longer invoked.
     * @param {Function} func The function to restrict.
     * @returns {Function} Returns the new restricted function.
     * @example
     *
     * jQuery(element).on('click', _.before(5, addContactToList));
     * // => Allows adding up to 4 contacts to the list.
     */
    function before(n, func) {
      var result;
      if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      n = toInteger(n);
      return function() {
        if (--n > 0) {
          result = func.apply(this, arguments);
        }
        if (n <= 1) {
          func = undefined;
        }
        return result;
      };
    }

    /**
     * Creates a function that invokes `func` with the `this` binding of `thisArg`
     * and `partials` prepended to the arguments it receives.
     *
     * The `_.bind.placeholder` value, which defaults to `_` in monolithic builds,
     * may be used as a placeholder for partially applied arguments.
     *
     * **Note:** Unlike native `Function#bind`, this method doesn't set the "length"
     * property of bound functions.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {Function} func The function to bind.
     * @param {*} thisArg The `this` binding of `func`.
     * @param {...*} [partials] The arguments to be partially applied.
     * @returns {Function} Returns the new bound function.
     * @example
     *
     * function greet(greeting, punctuation) {
     *   return greeting + ' ' + this.user + punctuation;
     * }
     *
     * var object = { 'user': 'fred' };
     *
     * var bound = _.bind(greet, object, 'hi');
     * bound('!');
     * // => 'hi fred!'
     *
     * // Bound with placeholders.
     * var bound = _.bind(greet, object, _, '!');
     * bound('hi');
     * // => 'hi fred!'
     */
    var bind = baseRest(function(func, thisArg, partials) {
      var bitmask = WRAP_BIND_FLAG;
      if (partials.length) {
        var holders = replaceHolders(partials, getHolder(bind));
        bitmask |= WRAP_PARTIAL_FLAG;
      }
      return createWrap(func, bitmask, thisArg, partials, holders);
    });

    /**
     * Creates a function that invokes the method at `object[key]` with `partials`
     * prepended to the arguments it receives.
     *
     * This method differs from `_.bind` by allowing bound functions to reference
     * methods that may be redefined or don't yet exist. See
     * [Peter Michaux's article](http://peter.michaux.ca/articles/lazy-function-definition-pattern)
     * for more details.
     *
     * The `_.bindKey.placeholder` value, which defaults to `_` in monolithic
     * builds, may be used as a placeholder for partially applied arguments.
     *
     * @static
     * @memberOf _
     * @since 0.10.0
     * @category Function
     * @param {Object} object The object to invoke the method on.
     * @param {string} key The key of the method.
     * @param {...*} [partials] The arguments to be partially applied.
     * @returns {Function} Returns the new bound function.
     * @example
     *
     * var object = {
     *   'user': 'fred',
     *   'greet': function(greeting, punctuation) {
     *     return greeting + ' ' + this.user + punctuation;
     *   }
     * };
     *
     * var bound = _.bindKey(object, 'greet', 'hi');
     * bound('!');
     * // => 'hi fred!'
     *
     * object.greet = function(greeting, punctuation) {
     *   return greeting + 'ya ' + this.user + punctuation;
     * };
     *
     * bound('!');
     * // => 'hiya fred!'
     *
     * // Bound with placeholders.
     * var bound = _.bindKey(object, 'greet', _, '!');
     * bound('hi');
     * // => 'hiya fred!'
     */
    var bindKey = baseRest(function(object, key, partials) {
      var bitmask = WRAP_BIND_FLAG | WRAP_BIND_KEY_FLAG;
      if (partials.length) {
        var holders = replaceHolders(partials, getHolder(bindKey));
        bitmask |= WRAP_PARTIAL_FLAG;
      }
      return createWrap(key, bitmask, object, partials, holders);
    });

    /**
     * Creates a function that accepts arguments of `func` and either invokes
     * `func` returning its result, if at least `arity` number of arguments have
     * been provided, or returns a function that accepts the remaining `func`
     * arguments, and so on. The arity of `func` may be specified if `func.length`
     * is not sufficient.
     *
     * The `_.curry.placeholder` value, which defaults to `_` in monolithic builds,
     * may be used as a placeholder for provided arguments.
     *
     * **Note:** This method doesn't set the "length" property of curried functions.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Function
     * @param {Function} func The function to curry.
     * @param {number} [arity=func.length] The arity of `func`.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Function} Returns the new curried function.
     * @example
     *
     * var abc = function(a, b, c) {
     *   return [a, b, c];
     * };
     *
     * var curried = _.curry(abc);
     *
     * curried(1)(2)(3);
     * // => [1, 2, 3]
     *
     * curried(1, 2)(3);
     * // => [1, 2, 3]
     *
     * curried(1, 2, 3);
     * // => [1, 2, 3]
     *
     * // Curried with placeholders.
     * curried(1)(_, 3)(2);
     * // => [1, 2, 3]
     */
    function curry(func, arity, guard) {
      arity = guard ? undefined : arity;
      var result = createWrap(func, WRAP_CURRY_FLAG, undefined, undefined, undefined, undefined, undefined, arity);
      result.placeholder = curry.placeholder;
      return result;
    }

    /**
     * This method is like `_.curry` except that arguments are applied to `func`
     * in the manner of `_.partialRight` instead of `_.partial`.
     *
     * The `_.curryRight.placeholder` value, which defaults to `_` in monolithic
     * builds, may be used as a placeholder for provided arguments.
     *
     * **Note:** This method doesn't set the "length" property of curried functions.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Function
     * @param {Function} func The function to curry.
     * @param {number} [arity=func.length] The arity of `func`.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Function} Returns the new curried function.
     * @example
     *
     * var abc = function(a, b, c) {
     *   return [a, b, c];
     * };
     *
     * var curried = _.curryRight(abc);
     *
     * curried(3)(2)(1);
     * // => [1, 2, 3]
     *
     * curried(2, 3)(1);
     * // => [1, 2, 3]
     *
     * curried(1, 2, 3);
     * // => [1, 2, 3]
     *
     * // Curried with placeholders.
     * curried(3)(1, _)(2);
     * // => [1, 2, 3]
     */
    function curryRight(func, arity, guard) {
      arity = guard ? undefined : arity;
      var result = createWrap(func, WRAP_CURRY_RIGHT_FLAG, undefined, undefined, undefined, undefined, undefined, arity);
      result.placeholder = curryRight.placeholder;
      return result;
    }

    /**
     * Creates a debounced function that delays invoking `func` until after `wait`
     * milliseconds have elapsed since the last time the debounced function was
     * invoked. The debounced function comes with a `cancel` method to cancel
     * delayed `func` invocations and a `flush` method to immediately invoke them.
     * Provide `options` to indicate whether `func` should be invoked on the
     * leading and/or trailing edge of the `wait` timeout. The `func` is invoked
     * with the last arguments provided to the debounced function. Subsequent
     * calls to the debounced function return the result of the last `func`
     * invocation.
     *
     * **Note:** If `leading` and `trailing` options are `true`, `func` is
     * invoked on the trailing edge of the timeout only if the debounced function
     * is invoked more than once during the `wait` timeout.
     *
     * If `wait` is `0` and `leading` is `false`, `func` invocation is deferred
     * until to the next tick, similar to `setTimeout` with a timeout of `0`.
     *
     * See [David Corbacho's article](https://css-tricks.com/debouncing-throttling-explained-examples/)
     * for details over the differences between `_.debounce` and `_.throttle`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {Function} func The function to debounce.
     * @param {number} [wait=0] The number of milliseconds to delay.
     * @param {Object} [options={}] The options object.
     * @param {boolean} [options.leading=false]
     *  Specify invoking on the leading edge of the timeout.
     * @param {number} [options.maxWait]
     *  The maximum time `func` is allowed to be delayed before it's invoked.
     * @param {boolean} [options.trailing=true]
     *  Specify invoking on the trailing edge of the timeout.
     * @returns {Function} Returns the new debounced function.
     * @example
     *
     * // Avoid costly calculations while the window size is in flux.
     * jQuery(window).on('resize', _.debounce(calculateLayout, 150));
     *
     * // Invoke `sendMail` when clicked, debouncing subsequent calls.
     * jQuery(element).on('click', _.debounce(sendMail, 300, {
     *   'leading': true,
     *   'trailing': false
     * }));
     *
     * // Ensure `batchLog` is invoked once after 1 second of debounced calls.
     * var debounced = _.debounce(batchLog, 250, { 'maxWait': 1000 });
     * var source = new EventSource('/stream');
     * jQuery(source).on('message', debounced);
     *
     * // Cancel the trailing debounced invocation.
     * jQuery(window).on('popstate', debounced.cancel);
     */
    function debounce(func, wait, options) {
      var lastArgs,
          lastThis,
          maxWait,
          result,
          timerId,
          lastCallTime,
          lastInvokeTime = 0,
          leading = false,
          maxing = false,
          trailing = true;

      if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      wait = toNumber(wait) || 0;
      if (isObject(options)) {
        leading = !!options.leading;
        maxing = 'maxWait' in options;
        maxWait = maxing ? nativeMax(toNumber(options.maxWait) || 0, wait) : maxWait;
        trailing = 'trailing' in options ? !!options.trailing : trailing;
      }

      function invokeFunc(time) {
        var args = lastArgs,
            thisArg = lastThis;

        lastArgs = lastThis = undefined;
        lastInvokeTime = time;
        result = func.apply(thisArg, args);
        return result;
      }

      function leadingEdge(time) {
        // Reset any `maxWait` timer.
        lastInvokeTime = time;
        // Start the timer for the trailing edge.
        timerId = setTimeout(timerExpired, wait);
        // Invoke the leading edge.
        return leading ? invokeFunc(time) : result;
      }

      function remainingWait(time) {
        var timeSinceLastCall = time - lastCallTime,
            timeSinceLastInvoke = time - lastInvokeTime,
            timeWaiting = wait - timeSinceLastCall;

        return maxing
          ? nativeMin(timeWaiting, maxWait - timeSinceLastInvoke)
          : timeWaiting;
      }

      function shouldInvoke(time) {
        var timeSinceLastCall = time - lastCallTime,
            timeSinceLastInvoke = time - lastInvokeTime;

        // Either this is the first call, activity has stopped and we're at the
        // trailing edge, the system time has gone backwards and we're treating
        // it as the trailing edge, or we've hit the `maxWait` limit.
        return (lastCallTime === undefined || (timeSinceLastCall >= wait) ||
          (timeSinceLastCall < 0) || (maxing && timeSinceLastInvoke >= maxWait));
      }

      function timerExpired() {
        var time = now();
        if (shouldInvoke(time)) {
          return trailingEdge(time);
        }
        // Restart the timer.
        timerId = setTimeout(timerExpired, remainingWait(time));
      }

      function trailingEdge(time) {
        timerId = undefined;

        // Only invoke if we have `lastArgs` which means `func` has been
        // debounced at least once.
        if (trailing && lastArgs) {
          return invokeFunc(time);
        }
        lastArgs = lastThis = undefined;
        return result;
      }

      function cancel() {
        if (timerId !== undefined) {
          clearTimeout(timerId);
        }
        lastInvokeTime = 0;
        lastArgs = lastCallTime = lastThis = timerId = undefined;
      }

      function flush() {
        return timerId === undefined ? result : trailingEdge(now());
      }

      function debounced() {
        var time = now(),
            isInvoking = shouldInvoke(time);

        lastArgs = arguments;
        lastThis = this;
        lastCallTime = time;

        if (isInvoking) {
          if (timerId === undefined) {
            return leadingEdge(lastCallTime);
          }
          if (maxing) {
            // Handle invocations in a tight loop.
            clearTimeout(timerId);
            timerId = setTimeout(timerExpired, wait);
            return invokeFunc(lastCallTime);
          }
        }
        if (timerId === undefined) {
          timerId = setTimeout(timerExpired, wait);
        }
        return result;
      }
      debounced.cancel = cancel;
      debounced.flush = flush;
      return debounced;
    }

    /**
     * Defers invoking the `func` until the current call stack has cleared. Any
     * additional arguments are provided to `func` when it's invoked.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {Function} func The function to defer.
     * @param {...*} [args] The arguments to invoke `func` with.
     * @returns {number} Returns the timer id.
     * @example
     *
     * _.defer(function(text) {
     *   console.log(text);
     * }, 'deferred');
     * // => Logs 'deferred' after one millisecond.
     */
    var defer = baseRest(function(func, args) {
      return baseDelay(func, 1, args);
    });

    /**
     * Invokes `func` after `wait` milliseconds. Any additional arguments are
     * provided to `func` when it's invoked.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {Function} func The function to delay.
     * @param {number} wait The number of milliseconds to delay invocation.
     * @param {...*} [args] The arguments to invoke `func` with.
     * @returns {number} Returns the timer id.
     * @example
     *
     * _.delay(function(text) {
     *   console.log(text);
     * }, 1000, 'later');
     * // => Logs 'later' after one second.
     */
    var delay = baseRest(function(func, wait, args) {
      return baseDelay(func, toNumber(wait) || 0, args);
    });

    /**
     * Creates a function that invokes `func` with arguments reversed.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Function
     * @param {Function} func The function to flip arguments for.
     * @returns {Function} Returns the new flipped function.
     * @example
     *
     * var flipped = _.flip(function() {
     *   return _.toArray(arguments);
     * });
     *
     * flipped('a', 'b', 'c', 'd');
     * // => ['d', 'c', 'b', 'a']
     */
    function flip(func) {
      return createWrap(func, WRAP_FLIP_FLAG);
    }

    /**
     * Creates a function that memoizes the result of `func`. If `resolver` is
     * provided, it determines the cache key for storing the result based on the
     * arguments provided to the memoized function. By default, the first argument
     * provided to the memoized function is used as the map cache key. The `func`
     * is invoked with the `this` binding of the memoized function.
     *
     * **Note:** The cache is exposed as the `cache` property on the memoized
     * function. Its creation may be customized by replacing the `_.memoize.Cache`
     * constructor with one whose instances implement the
     * [`Map`](http://ecma-international.org/ecma-262/7.0/#sec-properties-of-the-map-prototype-object)
     * method interface of `clear`, `delete`, `get`, `has`, and `set`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {Function} func The function to have its output memoized.
     * @param {Function} [resolver] The function to resolve the cache key.
     * @returns {Function} Returns the new memoized function.
     * @example
     *
     * var object = { 'a': 1, 'b': 2 };
     * var other = { 'c': 3, 'd': 4 };
     *
     * var values = _.memoize(_.values);
     * values(object);
     * // => [1, 2]
     *
     * values(other);
     * // => [3, 4]
     *
     * object.a = 2;
     * values(object);
     * // => [1, 2]
     *
     * // Modify the result cache.
     * values.cache.set(object, ['a', 'b']);
     * values(object);
     * // => ['a', 'b']
     *
     * // Replace `_.memoize.Cache`.
     * _.memoize.Cache = WeakMap;
     */
    function memoize(func, resolver) {
      if (typeof func != 'function' || (resolver != null && typeof resolver != 'function')) {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      var memoized = function() {
        var args = arguments,
            key = resolver ? resolver.apply(this, args) : args[0],
            cache = memoized.cache;

        if (cache.has(key)) {
          return cache.get(key);
        }
        var result = func.apply(this, args);
        memoized.cache = cache.set(key, result) || cache;
        return result;
      };
      memoized.cache = new (memoize.Cache || MapCache);
      return memoized;
    }

    // Expose `MapCache`.
    memoize.Cache = MapCache;

    /**
     * Creates a function that negates the result of the predicate `func`. The
     * `func` predicate is invoked with the `this` binding and arguments of the
     * created function.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Function
     * @param {Function} predicate The predicate to negate.
     * @returns {Function} Returns the new negated function.
     * @example
     *
     * function isEven(n) {
     *   return n % 2 == 0;
     * }
     *
     * _.filter([1, 2, 3, 4, 5, 6], _.negate(isEven));
     * // => [1, 3, 5]
     */
    function negate(predicate) {
      if (typeof predicate != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      return function() {
        var args = arguments;
        switch (args.length) {
          case 0: return !predicate.call(this);
          case 1: return !predicate.call(this, args[0]);
          case 2: return !predicate.call(this, args[0], args[1]);
          case 3: return !predicate.call(this, args[0], args[1], args[2]);
        }
        return !predicate.apply(this, args);
      };
    }

    /**
     * Creates a function that is restricted to invoking `func` once. Repeat calls
     * to the function return the value of the first invocation. The `func` is
     * invoked with the `this` binding and arguments of the created function.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {Function} func The function to restrict.
     * @returns {Function} Returns the new restricted function.
     * @example
     *
     * var initialize = _.once(createApplication);
     * initialize();
     * initialize();
     * // => `createApplication` is invoked once
     */
    function once(func) {
      return before(2, func);
    }

    /**
     * Creates a function that invokes `func` with its arguments transformed.
     *
     * @static
     * @since 4.0.0
     * @memberOf _
     * @category Function
     * @param {Function} func The function to wrap.
     * @param {...(Function|Function[])} [transforms=[_.identity]]
     *  The argument transforms.
     * @returns {Function} Returns the new function.
     * @example
     *
     * function doubled(n) {
     *   return n * 2;
     * }
     *
     * function square(n) {
     *   return n * n;
     * }
     *
     * var func = _.overArgs(function(x, y) {
     *   return [x, y];
     * }, [square, doubled]);
     *
     * func(9, 3);
     * // => [81, 6]
     *
     * func(10, 5);
     * // => [100, 10]
     */
    var overArgs = castRest(function(func, transforms) {
      transforms = (transforms.length == 1 && isArray(transforms[0]))
        ? arrayMap(transforms[0], baseUnary(getIteratee()))
        : arrayMap(baseFlatten(transforms, 1), baseUnary(getIteratee()));

      var funcsLength = transforms.length;
      return baseRest(function(args) {
        var index = -1,
            length = nativeMin(args.length, funcsLength);

        while (++index < length) {
          args[index] = transforms[index].call(this, args[index]);
        }
        return apply(func, this, args);
      });
    });

    /**
     * Creates a function that invokes `func` with `partials` prepended to the
     * arguments it receives. This method is like `_.bind` except it does **not**
     * alter the `this` binding.
     *
     * The `_.partial.placeholder` value, which defaults to `_` in monolithic
     * builds, may be used as a placeholder for partially applied arguments.
     *
     * **Note:** This method doesn't set the "length" property of partially
     * applied functions.
     *
     * @static
     * @memberOf _
     * @since 0.2.0
     * @category Function
     * @param {Function} func The function to partially apply arguments to.
     * @param {...*} [partials] The arguments to be partially applied.
     * @returns {Function} Returns the new partially applied function.
     * @example
     *
     * function greet(greeting, name) {
     *   return greeting + ' ' + name;
     * }
     *
     * var sayHelloTo = _.partial(greet, 'hello');
     * sayHelloTo('fred');
     * // => 'hello fred'
     *
     * // Partially applied with placeholders.
     * var greetFred = _.partial(greet, _, 'fred');
     * greetFred('hi');
     * // => 'hi fred'
     */
    var partial = baseRest(function(func, partials) {
      var holders = replaceHolders(partials, getHolder(partial));
      return createWrap(func, WRAP_PARTIAL_FLAG, undefined, partials, holders);
    });

    /**
     * This method is like `_.partial` except that partially applied arguments
     * are appended to the arguments it receives.
     *
     * The `_.partialRight.placeholder` value, which defaults to `_` in monolithic
     * builds, may be used as a placeholder for partially applied arguments.
     *
     * **Note:** This method doesn't set the "length" property of partially
     * applied functions.
     *
     * @static
     * @memberOf _
     * @since 1.0.0
     * @category Function
     * @param {Function} func The function to partially apply arguments to.
     * @param {...*} [partials] The arguments to be partially applied.
     * @returns {Function} Returns the new partially applied function.
     * @example
     *
     * function greet(greeting, name) {
     *   return greeting + ' ' + name;
     * }
     *
     * var greetFred = _.partialRight(greet, 'fred');
     * greetFred('hi');
     * // => 'hi fred'
     *
     * // Partially applied with placeholders.
     * var sayHelloTo = _.partialRight(greet, 'hello', _);
     * sayHelloTo('fred');
     * // => 'hello fred'
     */
    var partialRight = baseRest(function(func, partials) {
      var holders = replaceHolders(partials, getHolder(partialRight));
      return createWrap(func, WRAP_PARTIAL_RIGHT_FLAG, undefined, partials, holders);
    });

    /**
     * Creates a function that invokes `func` with arguments arranged according
     * to the specified `indexes` where the argument value at the first index is
     * provided as the first argument, the argument value at the second index is
     * provided as the second argument, and so on.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Function
     * @param {Function} func The function to rearrange arguments for.
     * @param {...(number|number[])} indexes The arranged argument indexes.
     * @returns {Function} Returns the new function.
     * @example
     *
     * var rearged = _.rearg(function(a, b, c) {
     *   return [a, b, c];
     * }, [2, 0, 1]);
     *
     * rearged('b', 'c', 'a')
     * // => ['a', 'b', 'c']
     */
    var rearg = flatRest(function(func, indexes) {
      return createWrap(func, WRAP_REARG_FLAG, undefined, undefined, undefined, indexes);
    });

    /**
     * Creates a function that invokes `func` with the `this` binding of the
     * created function and arguments from `start` and beyond provided as
     * an array.
     *
     * **Note:** This method is based on the
     * [rest parameter](https://mdn.io/rest_parameters).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Function
     * @param {Function} func The function to apply a rest parameter to.
     * @param {number} [start=func.length-1] The start position of the rest parameter.
     * @returns {Function} Returns the new function.
     * @example
     *
     * var say = _.rest(function(what, names) {
     *   return what + ' ' + _.initial(names).join(', ') +
     *     (_.size(names) > 1 ? ', & ' : '') + _.last(names);
     * });
     *
     * say('hello', 'fred', 'barney', 'pebbles');
     * // => 'hello fred, barney, & pebbles'
     */
    function rest(func, start) {
      if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      start = start === undefined ? start : toInteger(start);
      return baseRest(func, start);
    }

    /**
     * Creates a function that invokes `func` with the `this` binding of the
     * create function and an array of arguments much like
     * [`Function#apply`](http://www.ecma-international.org/ecma-262/7.0/#sec-function.prototype.apply).
     *
     * **Note:** This method is based on the
     * [spread operator](https://mdn.io/spread_operator).
     *
     * @static
     * @memberOf _
     * @since 3.2.0
     * @category Function
     * @param {Function} func The function to spread arguments over.
     * @param {number} [start=0] The start position of the spread.
     * @returns {Function} Returns the new function.
     * @example
     *
     * var say = _.spread(function(who, what) {
     *   return who + ' says ' + what;
     * });
     *
     * say(['fred', 'hello']);
     * // => 'fred says hello'
     *
     * var numbers = Promise.all([
     *   Promise.resolve(40),
     *   Promise.resolve(36)
     * ]);
     *
     * numbers.then(_.spread(function(x, y) {
     *   return x + y;
     * }));
     * // => a Promise of 76
     */
    function spread(func, start) {
      if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      start = start == null ? 0 : nativeMax(toInteger(start), 0);
      return baseRest(function(args) {
        var array = args[start],
            otherArgs = castSlice(args, 0, start);

        if (array) {
          arrayPush(otherArgs, array);
        }
        return apply(func, this, otherArgs);
      });
    }

    /**
     * Creates a throttled function that only invokes `func` at most once per
     * every `wait` milliseconds. The throttled function comes with a `cancel`
     * method to cancel delayed `func` invocations and a `flush` method to
     * immediately invoke them. Provide `options` to indicate whether `func`
     * should be invoked on the leading and/or trailing edge of the `wait`
     * timeout. The `func` is invoked with the last arguments provided to the
     * throttled function. Subsequent calls to the throttled function return the
     * result of the last `func` invocation.
     *
     * **Note:** If `leading` and `trailing` options are `true`, `func` is
     * invoked on the trailing edge of the timeout only if the throttled function
     * is invoked more than once during the `wait` timeout.
     *
     * If `wait` is `0` and `leading` is `false`, `func` invocation is deferred
     * until to the next tick, similar to `setTimeout` with a timeout of `0`.
     *
     * See [David Corbacho's article](https://css-tricks.com/debouncing-throttling-explained-examples/)
     * for details over the differences between `_.throttle` and `_.debounce`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {Function} func The function to throttle.
     * @param {number} [wait=0] The number of milliseconds to throttle invocations to.
     * @param {Object} [options={}] The options object.
     * @param {boolean} [options.leading=true]
     *  Specify invoking on the leading edge of the timeout.
     * @param {boolean} [options.trailing=true]
     *  Specify invoking on the trailing edge of the timeout.
     * @returns {Function} Returns the new throttled function.
     * @example
     *
     * // Avoid excessively updating the position while scrolling.
     * jQuery(window).on('scroll', _.throttle(updatePosition, 100));
     *
     * // Invoke `renewToken` when the click event is fired, but not more than once every 5 minutes.
     * var throttled = _.throttle(renewToken, 300000, { 'trailing': false });
     * jQuery(element).on('click', throttled);
     *
     * // Cancel the trailing throttled invocation.
     * jQuery(window).on('popstate', throttled.cancel);
     */
    function throttle(func, wait, options) {
      var leading = true,
          trailing = true;

      if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
      }
      if (isObject(options)) {
        leading = 'leading' in options ? !!options.leading : leading;
        trailing = 'trailing' in options ? !!options.trailing : trailing;
      }
      return debounce(func, wait, {
        'leading': leading,
        'maxWait': wait,
        'trailing': trailing
      });
    }

    /**
     * Creates a function that accepts up to one argument, ignoring any
     * additional arguments.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Function
     * @param {Function} func The function to cap arguments for.
     * @returns {Function} Returns the new capped function.
     * @example
     *
     * _.map(['6', '8', '10'], _.unary(parseInt));
     * // => [6, 8, 10]
     */
    function unary(func) {
      return ary(func, 1);
    }

    /**
     * Creates a function that provides `value` to `wrapper` as its first
     * argument. Any additional arguments provided to the function are appended
     * to those provided to the `wrapper`. The wrapper is invoked with the `this`
     * binding of the created function.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Function
     * @param {*} value The value to wrap.
     * @param {Function} [wrapper=identity] The wrapper function.
     * @returns {Function} Returns the new function.
     * @example
     *
     * var p = _.wrap(_.escape, function(func, text) {
     *   return '<p>' + func(text) + '</p>';
     * });
     *
     * p('fred, barney, & pebbles');
     * // => '<p>fred, barney, &amp; pebbles</p>'
     */
    function wrap(value, wrapper) {
      return partial(castFunction(wrapper), value);
    }

    /*------------------------------------------------------------------------*/

    /**
     * Casts `value` as an array if it's not one.
     *
     * @static
     * @memberOf _
     * @since 4.4.0
     * @category Lang
     * @param {*} value The value to inspect.
     * @returns {Array} Returns the cast array.
     * @example
     *
     * _.castArray(1);
     * // => [1]
     *
     * _.castArray({ 'a': 1 });
     * // => [{ 'a': 1 }]
     *
     * _.castArray('abc');
     * // => ['abc']
     *
     * _.castArray(null);
     * // => [null]
     *
     * _.castArray(undefined);
     * // => [undefined]
     *
     * _.castArray();
     * // => []
     *
     * var array = [1, 2, 3];
     * console.log(_.castArray(array) === array);
     * // => true
     */
    function castArray() {
      if (!arguments.length) {
        return [];
      }
      var value = arguments[0];
      return isArray(value) ? value : [value];
    }

    /**
     * Creates a shallow clone of `value`.
     *
     * **Note:** This method is loosely based on the
     * [structured clone algorithm](https://mdn.io/Structured_clone_algorithm)
     * and supports cloning arrays, array buffers, booleans, date objects, maps,
     * numbers, `Object` objects, regexes, sets, strings, symbols, and typed
     * arrays. The own enumerable properties of `arguments` objects are cloned
     * as plain objects. An empty object is returned for uncloneable values such
     * as error objects, functions, DOM nodes, and WeakMaps.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to clone.
     * @returns {*} Returns the cloned value.
     * @see _.cloneDeep
     * @example
     *
     * var objects = [{ 'a': 1 }, { 'b': 2 }];
     *
     * var shallow = _.clone(objects);
     * console.log(shallow[0] === objects[0]);
     * // => true
     */
    function clone(value) {
      return baseClone(value, CLONE_SYMBOLS_FLAG);
    }

    /**
     * This method is like `_.clone` except that it accepts `customizer` which
     * is invoked to produce the cloned value. If `customizer` returns `undefined`,
     * cloning is handled by the method instead. The `customizer` is invoked with
     * up to four arguments; (value [, index|key, object, stack]).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to clone.
     * @param {Function} [customizer] The function to customize cloning.
     * @returns {*} Returns the cloned value.
     * @see _.cloneDeepWith
     * @example
     *
     * function customizer(value) {
     *   if (_.isElement(value)) {
     *     return value.cloneNode(false);
     *   }
     * }
     *
     * var el = _.cloneWith(document.body, customizer);
     *
     * console.log(el === document.body);
     * // => false
     * console.log(el.nodeName);
     * // => 'BODY'
     * console.log(el.childNodes.length);
     * // => 0
     */
    function cloneWith(value, customizer) {
      customizer = typeof customizer == 'function' ? customizer : undefined;
      return baseClone(value, CLONE_SYMBOLS_FLAG, customizer);
    }

    /**
     * This method is like `_.clone` except that it recursively clones `value`.
     *
     * @static
     * @memberOf _
     * @since 1.0.0
     * @category Lang
     * @param {*} value The value to recursively clone.
     * @returns {*} Returns the deep cloned value.
     * @see _.clone
     * @example
     *
     * var objects = [{ 'a': 1 }, { 'b': 2 }];
     *
     * var deep = _.cloneDeep(objects);
     * console.log(deep[0] === objects[0]);
     * // => false
     */
    function cloneDeep(value) {
      return baseClone(value, CLONE_DEEP_FLAG | CLONE_SYMBOLS_FLAG);
    }

    /**
     * This method is like `_.cloneWith` except that it recursively clones `value`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to recursively clone.
     * @param {Function} [customizer] The function to customize cloning.
     * @returns {*} Returns the deep cloned value.
     * @see _.cloneWith
     * @example
     *
     * function customizer(value) {
     *   if (_.isElement(value)) {
     *     return value.cloneNode(true);
     *   }
     * }
     *
     * var el = _.cloneDeepWith(document.body, customizer);
     *
     * console.log(el === document.body);
     * // => false
     * console.log(el.nodeName);
     * // => 'BODY'
     * console.log(el.childNodes.length);
     * // => 20
     */
    function cloneDeepWith(value, customizer) {
      customizer = typeof customizer == 'function' ? customizer : undefined;
      return baseClone(value, CLONE_DEEP_FLAG | CLONE_SYMBOLS_FLAG, customizer);
    }

    /**
     * Checks if `object` conforms to `source` by invoking the predicate
     * properties of `source` with the corresponding property values of `object`.
     *
     * **Note:** This method is equivalent to `_.conforms` when `source` is
     * partially applied.
     *
     * @static
     * @memberOf _
     * @since 4.14.0
     * @category Lang
     * @param {Object} object The object to inspect.
     * @param {Object} source The object of property predicates to conform to.
     * @returns {boolean} Returns `true` if `object` conforms, else `false`.
     * @example
     *
     * var object = { 'a': 1, 'b': 2 };
     *
     * _.conformsTo(object, { 'b': function(n) { return n > 1; } });
     * // => true
     *
     * _.conformsTo(object, { 'b': function(n) { return n > 2; } });
     * // => false
     */
    function conformsTo(object, source) {
      return source == null || baseConformsTo(object, source, keys(source));
    }

    /**
     * Performs a
     * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
     * comparison between two values to determine if they are equivalent.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
     * @example
     *
     * var object = { 'a': 1 };
     * var other = { 'a': 1 };
     *
     * _.eq(object, object);
     * // => true
     *
     * _.eq(object, other);
     * // => false
     *
     * _.eq('a', 'a');
     * // => true
     *
     * _.eq('a', Object('a'));
     * // => false
     *
     * _.eq(NaN, NaN);
     * // => true
     */
    function eq(value, other) {
      return value === other || (value !== value && other !== other);
    }

    /**
     * Checks if `value` is greater than `other`.
     *
     * @static
     * @memberOf _
     * @since 3.9.0
     * @category Lang
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if `value` is greater than `other`,
     *  else `false`.
     * @see _.lt
     * @example
     *
     * _.gt(3, 1);
     * // => true
     *
     * _.gt(3, 3);
     * // => false
     *
     * _.gt(1, 3);
     * // => false
     */
    var gt = createRelationalOperation(baseGt);

    /**
     * Checks if `value` is greater than or equal to `other`.
     *
     * @static
     * @memberOf _
     * @since 3.9.0
     * @category Lang
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if `value` is greater than or equal to
     *  `other`, else `false`.
     * @see _.lte
     * @example
     *
     * _.gte(3, 1);
     * // => true
     *
     * _.gte(3, 3);
     * // => true
     *
     * _.gte(1, 3);
     * // => false
     */
    var gte = createRelationalOperation(function(value, other) {
      return value >= other;
    });

    /**
     * Checks if `value` is likely an `arguments` object.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an `arguments` object,
     *  else `false`.
     * @example
     *
     * _.isArguments(function() { return arguments; }());
     * // => true
     *
     * _.isArguments([1, 2, 3]);
     * // => false
     */
    var isArguments = baseIsArguments(function() { return arguments; }()) ? baseIsArguments : function(value) {
      return isObjectLike(value) && hasOwnProperty.call(value, 'callee') &&
        !propertyIsEnumerable.call(value, 'callee');
    };

    /**
     * Checks if `value` is classified as an `Array` object.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an array, else `false`.
     * @example
     *
     * _.isArray([1, 2, 3]);
     * // => true
     *
     * _.isArray(document.body.children);
     * // => false
     *
     * _.isArray('abc');
     * // => false
     *
     * _.isArray(_.noop);
     * // => false
     */
    var isArray = Array.isArray;

    /**
     * Checks if `value` is classified as an `ArrayBuffer` object.
     *
     * @static
     * @memberOf _
     * @since 4.3.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an array buffer, else `false`.
     * @example
     *
     * _.isArrayBuffer(new ArrayBuffer(2));
     * // => true
     *
     * _.isArrayBuffer(new Array(2));
     * // => false
     */
    var isArrayBuffer = nodeIsArrayBuffer ? baseUnary(nodeIsArrayBuffer) : baseIsArrayBuffer;

    /**
     * Checks if `value` is array-like. A value is considered array-like if it's
     * not a function and has a `value.length` that's an integer greater than or
     * equal to `0` and less than or equal to `Number.MAX_SAFE_INTEGER`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is array-like, else `false`.
     * @example
     *
     * _.isArrayLike([1, 2, 3]);
     * // => true
     *
     * _.isArrayLike(document.body.children);
     * // => true
     *
     * _.isArrayLike('abc');
     * // => true
     *
     * _.isArrayLike(_.noop);
     * // => false
     */
    function isArrayLike(value) {
      return value != null && isLength(value.length) && !isFunction(value);
    }

    /**
     * This method is like `_.isArrayLike` except that it also checks if `value`
     * is an object.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an array-like object,
     *  else `false`.
     * @example
     *
     * _.isArrayLikeObject([1, 2, 3]);
     * // => true
     *
     * _.isArrayLikeObject(document.body.children);
     * // => true
     *
     * _.isArrayLikeObject('abc');
     * // => false
     *
     * _.isArrayLikeObject(_.noop);
     * // => false
     */
    function isArrayLikeObject(value) {
      return isObjectLike(value) && isArrayLike(value);
    }

    /**
     * Checks if `value` is classified as a boolean primitive or object.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a boolean, else `false`.
     * @example
     *
     * _.isBoolean(false);
     * // => true
     *
     * _.isBoolean(null);
     * // => false
     */
    function isBoolean(value) {
      return value === true || value === false ||
        (isObjectLike(value) && baseGetTag(value) == boolTag);
    }

    /**
     * Checks if `value` is a buffer.
     *
     * @static
     * @memberOf _
     * @since 4.3.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a buffer, else `false`.
     * @example
     *
     * _.isBuffer(new Buffer(2));
     * // => true
     *
     * _.isBuffer(new Uint8Array(2));
     * // => false
     */
    var isBuffer = nativeIsBuffer || stubFalse;

    /**
     * Checks if `value` is classified as a `Date` object.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a date object, else `false`.
     * @example
     *
     * _.isDate(new Date);
     * // => true
     *
     * _.isDate('Mon April 23 2012');
     * // => false
     */
    var isDate = nodeIsDate ? baseUnary(nodeIsDate) : baseIsDate;

    /**
     * Checks if `value` is likely a DOM element.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a DOM element, else `false`.
     * @example
     *
     * _.isElement(document.body);
     * // => true
     *
     * _.isElement('<body>');
     * // => false
     */
    function isElement(value) {
      return isObjectLike(value) && value.nodeType === 1 && !isPlainObject(value);
    }

    /**
     * Checks if `value` is an empty object, collection, map, or set.
     *
     * Objects are considered empty if they have no own enumerable string keyed
     * properties.
     *
     * Array-like values such as `arguments` objects, arrays, buffers, strings, or
     * jQuery-like collections are considered empty if they have a `length` of `0`.
     * Similarly, maps and sets are considered empty if they have a `size` of `0`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is empty, else `false`.
     * @example
     *
     * _.isEmpty(null);
     * // => true
     *
     * _.isEmpty(true);
     * // => true
     *
     * _.isEmpty(1);
     * // => true
     *
     * _.isEmpty([1, 2, 3]);
     * // => false
     *
     * _.isEmpty({ 'a': 1 });
     * // => false
     */
    function isEmpty(value) {
      if (value == null) {
        return true;
      }
      if (isArrayLike(value) &&
          (isArray(value) || typeof value == 'string' || typeof value.splice == 'function' ||
            isBuffer(value) || isTypedArray(value) || isArguments(value))) {
        return !value.length;
      }
      var tag = getTag(value);
      if (tag == mapTag || tag == setTag) {
        return !value.size;
      }
      if (isPrototype(value)) {
        return !baseKeys(value).length;
      }
      for (var key in value) {
        if (hasOwnProperty.call(value, key)) {
          return false;
        }
      }
      return true;
    }

    /**
     * Performs a deep comparison between two values to determine if they are
     * equivalent.
     *
     * **Note:** This method supports comparing arrays, array buffers, booleans,
     * date objects, error objects, maps, numbers, `Object` objects, regexes,
     * sets, strings, symbols, and typed arrays. `Object` objects are compared
     * by their own, not inherited, enumerable properties. Functions and DOM
     * nodes are compared by strict equality, i.e. `===`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
     * @example
     *
     * var object = { 'a': 1 };
     * var other = { 'a': 1 };
     *
     * _.isEqual(object, other);
     * // => true
     *
     * object === other;
     * // => false
     */
    function isEqual(value, other) {
      return baseIsEqual(value, other);
    }

    /**
     * This method is like `_.isEqual` except that it accepts `customizer` which
     * is invoked to compare values. If `customizer` returns `undefined`, comparisons
     * are handled by the method instead. The `customizer` is invoked with up to
     * six arguments: (objValue, othValue [, index|key, object, other, stack]).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @param {Function} [customizer] The function to customize comparisons.
     * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
     * @example
     *
     * function isGreeting(value) {
     *   return /^h(?:i|ello)$/.test(value);
     * }
     *
     * function customizer(objValue, othValue) {
     *   if (isGreeting(objValue) && isGreeting(othValue)) {
     *     return true;
     *   }
     * }
     *
     * var array = ['hello', 'goodbye'];
     * var other = ['hi', 'goodbye'];
     *
     * _.isEqualWith(array, other, customizer);
     * // => true
     */
    function isEqualWith(value, other, customizer) {
      customizer = typeof customizer == 'function' ? customizer : undefined;
      var result = customizer ? customizer(value, other) : undefined;
      return result === undefined ? baseIsEqual(value, other, undefined, customizer) : !!result;
    }

    /**
     * Checks if `value` is an `Error`, `EvalError`, `RangeError`, `ReferenceError`,
     * `SyntaxError`, `TypeError`, or `URIError` object.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an error object, else `false`.
     * @example
     *
     * _.isError(new Error);
     * // => true
     *
     * _.isError(Error);
     * // => false
     */
    function isError(value) {
      if (!isObjectLike(value)) {
        return false;
      }
      var tag = baseGetTag(value);
      return tag == errorTag || tag == domExcTag ||
        (typeof value.message == 'string' && typeof value.name == 'string' && !isPlainObject(value));
    }

    /**
     * Checks if `value` is a finite primitive number.
     *
     * **Note:** This method is based on
     * [`Number.isFinite`](https://mdn.io/Number/isFinite).
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a finite number, else `false`.
     * @example
     *
     * _.isFinite(3);
     * // => true
     *
     * _.isFinite(Number.MIN_VALUE);
     * // => true
     *
     * _.isFinite(Infinity);
     * // => false
     *
     * _.isFinite('3');
     * // => false
     */
    function isFinite(value) {
      return typeof value == 'number' && nativeIsFinite(value);
    }

    /**
     * Checks if `value` is classified as a `Function` object.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a function, else `false`.
     * @example
     *
     * _.isFunction(_);
     * // => true
     *
     * _.isFunction(/abc/);
     * // => false
     */
    function isFunction(value) {
      if (!isObject(value)) {
        return false;
      }
      // The use of `Object#toString` avoids issues with the `typeof` operator
      // in Safari 9 which returns 'object' for typed arrays and other constructors.
      var tag = baseGetTag(value);
      return tag == funcTag || tag == genTag || tag == asyncTag || tag == proxyTag;
    }

    /**
     * Checks if `value` is an integer.
     *
     * **Note:** This method is based on
     * [`Number.isInteger`](https://mdn.io/Number/isInteger).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an integer, else `false`.
     * @example
     *
     * _.isInteger(3);
     * // => true
     *
     * _.isInteger(Number.MIN_VALUE);
     * // => false
     *
     * _.isInteger(Infinity);
     * // => false
     *
     * _.isInteger('3');
     * // => false
     */
    function isInteger(value) {
      return typeof value == 'number' && value == toInteger(value);
    }

    /**
     * Checks if `value` is a valid array-like length.
     *
     * **Note:** This method is loosely based on
     * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a valid length, else `false`.
     * @example
     *
     * _.isLength(3);
     * // => true
     *
     * _.isLength(Number.MIN_VALUE);
     * // => false
     *
     * _.isLength(Infinity);
     * // => false
     *
     * _.isLength('3');
     * // => false
     */
    function isLength(value) {
      return typeof value == 'number' &&
        value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
    }

    /**
     * Checks if `value` is the
     * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
     * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is an object, else `false`.
     * @example
     *
     * _.isObject({});
     * // => true
     *
     * _.isObject([1, 2, 3]);
     * // => true
     *
     * _.isObject(_.noop);
     * // => true
     *
     * _.isObject(null);
     * // => false
     */
    function isObject(value) {
      var type = typeof value;
      return value != null && (type == 'object' || type == 'function');
    }

    /**
     * Checks if `value` is object-like. A value is object-like if it's not `null`
     * and has a `typeof` result of "object".
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
     * @example
     *
     * _.isObjectLike({});
     * // => true
     *
     * _.isObjectLike([1, 2, 3]);
     * // => true
     *
     * _.isObjectLike(_.noop);
     * // => false
     *
     * _.isObjectLike(null);
     * // => false
     */
    function isObjectLike(value) {
      return value != null && typeof value == 'object';
    }

    /**
     * Checks if `value` is classified as a `Map` object.
     *
     * @static
     * @memberOf _
     * @since 4.3.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a map, else `false`.
     * @example
     *
     * _.isMap(new Map);
     * // => true
     *
     * _.isMap(new WeakMap);
     * // => false
     */
    var isMap = nodeIsMap ? baseUnary(nodeIsMap) : baseIsMap;

    /**
     * Performs a partial deep comparison between `object` and `source` to
     * determine if `object` contains equivalent property values.
     *
     * **Note:** This method is equivalent to `_.matches` when `source` is
     * partially applied.
     *
     * Partial comparisons will match empty array and empty object `source`
     * values against any array or object value, respectively. See `_.isEqual`
     * for a list of supported value comparisons.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Lang
     * @param {Object} object The object to inspect.
     * @param {Object} source The object of property values to match.
     * @returns {boolean} Returns `true` if `object` is a match, else `false`.
     * @example
     *
     * var object = { 'a': 1, 'b': 2 };
     *
     * _.isMatch(object, { 'b': 2 });
     * // => true
     *
     * _.isMatch(object, { 'b': 1 });
     * // => false
     */
    function isMatch(object, source) {
      return object === source || baseIsMatch(object, source, getMatchData(source));
    }

    /**
     * This method is like `_.isMatch` except that it accepts `customizer` which
     * is invoked to compare values. If `customizer` returns `undefined`, comparisons
     * are handled by the method instead. The `customizer` is invoked with five
     * arguments: (objValue, srcValue, index|key, object, source).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {Object} object The object to inspect.
     * @param {Object} source The object of property values to match.
     * @param {Function} [customizer] The function to customize comparisons.
     * @returns {boolean} Returns `true` if `object` is a match, else `false`.
     * @example
     *
     * function isGreeting(value) {
     *   return /^h(?:i|ello)$/.test(value);
     * }
     *
     * function customizer(objValue, srcValue) {
     *   if (isGreeting(objValue) && isGreeting(srcValue)) {
     *     return true;
     *   }
     * }
     *
     * var object = { 'greeting': 'hello' };
     * var source = { 'greeting': 'hi' };
     *
     * _.isMatchWith(object, source, customizer);
     * // => true
     */
    function isMatchWith(object, source, customizer) {
      customizer = typeof customizer == 'function' ? customizer : undefined;
      return baseIsMatch(object, source, getMatchData(source), customizer);
    }

    /**
     * Checks if `value` is `NaN`.
     *
     * **Note:** This method is based on
     * [`Number.isNaN`](https://mdn.io/Number/isNaN) and is not the same as
     * global [`isNaN`](https://mdn.io/isNaN) which returns `true` for
     * `undefined` and other non-number values.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is `NaN`, else `false`.
     * @example
     *
     * _.isNaN(NaN);
     * // => true
     *
     * _.isNaN(new Number(NaN));
     * // => true
     *
     * isNaN(undefined);
     * // => true
     *
     * _.isNaN(undefined);
     * // => false
     */
    function isNaN(value) {
      // An `NaN` primitive is the only value that is not equal to itself.
      // Perform the `toStringTag` check first to avoid errors with some
      // ActiveX objects in IE.
      return isNumber(value) && value != +value;
    }

    /**
     * Checks if `value` is a pristine native function.
     *
     * **Note:** This method can't reliably detect native functions in the presence
     * of the core-js package because core-js circumvents this kind of detection.
     * Despite multiple requests, the core-js maintainer has made it clear: any
     * attempt to fix the detection will be obstructed. As a result, we're left
     * with little choice but to throw an error. Unfortunately, this also affects
     * packages, like [babel-polyfill](https://www.npmjs.com/package/babel-polyfill),
     * which rely on core-js.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a native function,
     *  else `false`.
     * @example
     *
     * _.isNative(Array.prototype.push);
     * // => true
     *
     * _.isNative(_);
     * // => false
     */
    function isNative(value) {
      if (isMaskable(value)) {
        throw new Error(CORE_ERROR_TEXT);
      }
      return baseIsNative(value);
    }

    /**
     * Checks if `value` is `null`.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is `null`, else `false`.
     * @example
     *
     * _.isNull(null);
     * // => true
     *
     * _.isNull(void 0);
     * // => false
     */
    function isNull(value) {
      return value === null;
    }

    /**
     * Checks if `value` is `null` or `undefined`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is nullish, else `false`.
     * @example
     *
     * _.isNil(null);
     * // => true
     *
     * _.isNil(void 0);
     * // => true
     *
     * _.isNil(NaN);
     * // => false
     */
    function isNil(value) {
      return value == null;
    }

    /**
     * Checks if `value` is classified as a `Number` primitive or object.
     *
     * **Note:** To exclude `Infinity`, `-Infinity`, and `NaN`, which are
     * classified as numbers, use the `_.isFinite` method.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a number, else `false`.
     * @example
     *
     * _.isNumber(3);
     * // => true
     *
     * _.isNumber(Number.MIN_VALUE);
     * // => true
     *
     * _.isNumber(Infinity);
     * // => true
     *
     * _.isNumber('3');
     * // => false
     */
    function isNumber(value) {
      return typeof value == 'number' ||
        (isObjectLike(value) && baseGetTag(value) == numberTag);
    }

    /**
     * Checks if `value` is a plain object, that is, an object created by the
     * `Object` constructor or one with a `[[Prototype]]` of `null`.
     *
     * @static
     * @memberOf _
     * @since 0.8.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a plain object, else `false`.
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     * }
     *
     * _.isPlainObject(new Foo);
     * // => false
     *
     * _.isPlainObject([1, 2, 3]);
     * // => false
     *
     * _.isPlainObject({ 'x': 0, 'y': 0 });
     * // => true
     *
     * _.isPlainObject(Object.create(null));
     * // => true
     */
    function isPlainObject(value) {
      if (!isObjectLike(value) || baseGetTag(value) != objectTag) {
        return false;
      }
      var proto = getPrototype(value);
      if (proto === null) {
        return true;
      }
      var Ctor = hasOwnProperty.call(proto, 'constructor') && proto.constructor;
      return typeof Ctor == 'function' && Ctor instanceof Ctor &&
        funcToString.call(Ctor) == objectCtorString;
    }

    /**
     * Checks if `value` is classified as a `RegExp` object.
     *
     * @static
     * @memberOf _
     * @since 0.1.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a regexp, else `false`.
     * @example
     *
     * _.isRegExp(/abc/);
     * // => true
     *
     * _.isRegExp('/abc/');
     * // => false
     */
    var isRegExp = nodeIsRegExp ? baseUnary(nodeIsRegExp) : baseIsRegExp;

    /**
     * Checks if `value` is a safe integer. An integer is safe if it's an IEEE-754
     * double precision number which isn't the result of a rounded unsafe integer.
     *
     * **Note:** This method is based on
     * [`Number.isSafeInteger`](https://mdn.io/Number/isSafeInteger).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a safe integer, else `false`.
     * @example
     *
     * _.isSafeInteger(3);
     * // => true
     *
     * _.isSafeInteger(Number.MIN_VALUE);
     * // => false
     *
     * _.isSafeInteger(Infinity);
     * // => false
     *
     * _.isSafeInteger('3');
     * // => false
     */
    function isSafeInteger(value) {
      return isInteger(value) && value >= -MAX_SAFE_INTEGER && value <= MAX_SAFE_INTEGER;
    }

    /**
     * Checks if `value` is classified as a `Set` object.
     *
     * @static
     * @memberOf _
     * @since 4.3.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a set, else `false`.
     * @example
     *
     * _.isSet(new Set);
     * // => true
     *
     * _.isSet(new WeakSet);
     * // => false
     */
    var isSet = nodeIsSet ? baseUnary(nodeIsSet) : baseIsSet;

    /**
     * Checks if `value` is classified as a `String` primitive or object.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a string, else `false`.
     * @example
     *
     * _.isString('abc');
     * // => true
     *
     * _.isString(1);
     * // => false
     */
    function isString(value) {
      return typeof value == 'string' ||
        (!isArray(value) && isObjectLike(value) && baseGetTag(value) == stringTag);
    }

    /**
     * Checks if `value` is classified as a `Symbol` primitive or object.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a symbol, else `false`.
     * @example
     *
     * _.isSymbol(Symbol.iterator);
     * // => true
     *
     * _.isSymbol('abc');
     * // => false
     */
    function isSymbol(value) {
      return typeof value == 'symbol' ||
        (isObjectLike(value) && baseGetTag(value) == symbolTag);
    }

    /**
     * Checks if `value` is classified as a typed array.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a typed array, else `false`.
     * @example
     *
     * _.isTypedArray(new Uint8Array);
     * // => true
     *
     * _.isTypedArray([]);
     * // => false
     */
    var isTypedArray = nodeIsTypedArray ? baseUnary(nodeIsTypedArray) : baseIsTypedArray;

    /**
     * Checks if `value` is `undefined`.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is `undefined`, else `false`.
     * @example
     *
     * _.isUndefined(void 0);
     * // => true
     *
     * _.isUndefined(null);
     * // => false
     */
    function isUndefined(value) {
      return value === undefined;
    }

    /**
     * Checks if `value` is classified as a `WeakMap` object.
     *
     * @static
     * @memberOf _
     * @since 4.3.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a weak map, else `false`.
     * @example
     *
     * _.isWeakMap(new WeakMap);
     * // => true
     *
     * _.isWeakMap(new Map);
     * // => false
     */
    function isWeakMap(value) {
      return isObjectLike(value) && getTag(value) == weakMapTag;
    }

    /**
     * Checks if `value` is classified as a `WeakSet` object.
     *
     * @static
     * @memberOf _
     * @since 4.3.0
     * @category Lang
     * @param {*} value The value to check.
     * @returns {boolean} Returns `true` if `value` is a weak set, else `false`.
     * @example
     *
     * _.isWeakSet(new WeakSet);
     * // => true
     *
     * _.isWeakSet(new Set);
     * // => false
     */
    function isWeakSet(value) {
      return isObjectLike(value) && baseGetTag(value) == weakSetTag;
    }

    /**
     * Checks if `value` is less than `other`.
     *
     * @static
     * @memberOf _
     * @since 3.9.0
     * @category Lang
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if `value` is less than `other`,
     *  else `false`.
     * @see _.gt
     * @example
     *
     * _.lt(1, 3);
     * // => true
     *
     * _.lt(3, 3);
     * // => false
     *
     * _.lt(3, 1);
     * // => false
     */
    var lt = createRelationalOperation(baseLt);

    /**
     * Checks if `value` is less than or equal to `other`.
     *
     * @static
     * @memberOf _
     * @since 3.9.0
     * @category Lang
     * @param {*} value The value to compare.
     * @param {*} other The other value to compare.
     * @returns {boolean} Returns `true` if `value` is less than or equal to
     *  `other`, else `false`.
     * @see _.gte
     * @example
     *
     * _.lte(1, 3);
     * // => true
     *
     * _.lte(3, 3);
     * // => true
     *
     * _.lte(3, 1);
     * // => false
     */
    var lte = createRelationalOperation(function(value, other) {
      return value <= other;
    });

    /**
     * Converts `value` to an array.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Lang
     * @param {*} value The value to convert.
     * @returns {Array} Returns the converted array.
     * @example
     *
     * _.toArray({ 'a': 1, 'b': 2 });
     * // => [1, 2]
     *
     * _.toArray('abc');
     * // => ['a', 'b', 'c']
     *
     * _.toArray(1);
     * // => []
     *
     * _.toArray(null);
     * // => []
     */
    function toArray(value) {
      if (!value) {
        return [];
      }
      if (isArrayLike(value)) {
        return isString(value) ? stringToArray(value) : copyArray(value);
      }
      if (symIterator && value[symIterator]) {
        return iteratorToArray(value[symIterator]());
      }
      var tag = getTag(value),
          func = tag == mapTag ? mapToArray : (tag == setTag ? setToArray : values);

      return func(value);
    }

    /**
     * Converts `value` to a finite number.
     *
     * @static
     * @memberOf _
     * @since 4.12.0
     * @category Lang
     * @param {*} value The value to convert.
     * @returns {number} Returns the converted number.
     * @example
     *
     * _.toFinite(3.2);
     * // => 3.2
     *
     * _.toFinite(Number.MIN_VALUE);
     * // => 5e-324
     *
     * _.toFinite(Infinity);
     * // => 1.7976931348623157e+308
     *
     * _.toFinite('3.2');
     * // => 3.2
     */
    function toFinite(value) {
      if (!value) {
        return value === 0 ? value : 0;
      }
      value = toNumber(value);
      if (value === INFINITY || value === -INFINITY) {
        var sign = (value < 0 ? -1 : 1);
        return sign * MAX_INTEGER;
      }
      return value === value ? value : 0;
    }

    /**
     * Converts `value` to an integer.
     *
     * **Note:** This method is loosely based on
     * [`ToInteger`](http://www.ecma-international.org/ecma-262/7.0/#sec-tointeger).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to convert.
     * @returns {number} Returns the converted integer.
     * @example
     *
     * _.toInteger(3.2);
     * // => 3
     *
     * _.toInteger(Number.MIN_VALUE);
     * // => 0
     *
     * _.toInteger(Infinity);
     * // => 1.7976931348623157e+308
     *
     * _.toInteger('3.2');
     * // => 3
     */
    function toInteger(value) {
      var result = toFinite(value),
          remainder = result % 1;

      return result === result ? (remainder ? result - remainder : result) : 0;
    }

    /**
     * Converts `value` to an integer suitable for use as the length of an
     * array-like object.
     *
     * **Note:** This method is based on
     * [`ToLength`](http://ecma-international.org/ecma-262/7.0/#sec-tolength).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to convert.
     * @returns {number} Returns the converted integer.
     * @example
     *
     * _.toLength(3.2);
     * // => 3
     *
     * _.toLength(Number.MIN_VALUE);
     * // => 0
     *
     * _.toLength(Infinity);
     * // => 4294967295
     *
     * _.toLength('3.2');
     * // => 3
     */
    function toLength(value) {
      return value ? baseClamp(toInteger(value), 0, MAX_ARRAY_LENGTH) : 0;
    }

    /**
     * Converts `value` to a number.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to process.
     * @returns {number} Returns the number.
     * @example
     *
     * _.toNumber(3.2);
     * // => 3.2
     *
     * _.toNumber(Number.MIN_VALUE);
     * // => 5e-324
     *
     * _.toNumber(Infinity);
     * // => Infinity
     *
     * _.toNumber('3.2');
     * // => 3.2
     */
    function toNumber(value) {
      if (typeof value == 'number') {
        return value;
      }
      if (isSymbol(value)) {
        return NAN;
      }
      if (isObject(value)) {
        var other = typeof value.valueOf == 'function' ? value.valueOf() : value;
        value = isObject(other) ? (other + '') : other;
      }
      if (typeof value != 'string') {
        return value === 0 ? value : +value;
      }
      value = baseTrim(value);
      var isBinary = reIsBinary.test(value);
      return (isBinary || reIsOctal.test(value))
        ? freeParseInt(value.slice(2), isBinary ? 2 : 8)
        : (reIsBadHex.test(value) ? NAN : +value);
    }

    /**
     * Converts `value` to a plain object flattening inherited enumerable string
     * keyed properties of `value` to own properties of the plain object.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Lang
     * @param {*} value The value to convert.
     * @returns {Object} Returns the converted plain object.
     * @example
     *
     * function Foo() {
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.assign({ 'a': 1 }, new Foo);
     * // => { 'a': 1, 'b': 2 }
     *
     * _.assign({ 'a': 1 }, _.toPlainObject(new Foo));
     * // => { 'a': 1, 'b': 2, 'c': 3 }
     */
    function toPlainObject(value) {
      return copyObject(value, keysIn(value));
    }

    /**
     * Converts `value` to a safe integer. A safe integer can be compared and
     * represented correctly.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to convert.
     * @returns {number} Returns the converted integer.
     * @example
     *
     * _.toSafeInteger(3.2);
     * // => 3
     *
     * _.toSafeInteger(Number.MIN_VALUE);
     * // => 0
     *
     * _.toSafeInteger(Infinity);
     * // => 9007199254740991
     *
     * _.toSafeInteger('3.2');
     * // => 3
     */
    function toSafeInteger(value) {
      return value
        ? baseClamp(toInteger(value), -MAX_SAFE_INTEGER, MAX_SAFE_INTEGER)
        : (value === 0 ? value : 0);
    }

    /**
     * Converts `value` to a string. An empty string is returned for `null`
     * and `undefined` values. The sign of `-0` is preserved.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Lang
     * @param {*} value The value to convert.
     * @returns {string} Returns the converted string.
     * @example
     *
     * _.toString(null);
     * // => ''
     *
     * _.toString(-0);
     * // => '-0'
     *
     * _.toString([1, 2, 3]);
     * // => '1,2,3'
     */
    function toString(value) {
      return value == null ? '' : baseToString(value);
    }

    /*------------------------------------------------------------------------*/

    /**
     * Assigns own enumerable string keyed properties of source objects to the
     * destination object. Source objects are applied from left to right.
     * Subsequent sources overwrite property assignments of previous sources.
     *
     * **Note:** This method mutates `object` and is loosely based on
     * [`Object.assign`](https://mdn.io/Object/assign).
     *
     * @static
     * @memberOf _
     * @since 0.10.0
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} [sources] The source objects.
     * @returns {Object} Returns `object`.
     * @see _.assignIn
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     * }
     *
     * function Bar() {
     *   this.c = 3;
     * }
     *
     * Foo.prototype.b = 2;
     * Bar.prototype.d = 4;
     *
     * _.assign({ 'a': 0 }, new Foo, new Bar);
     * // => { 'a': 1, 'c': 3 }
     */
    var assign = createAssigner(function(object, source) {
      if (isPrototype(source) || isArrayLike(source)) {
        copyObject(source, keys(source), object);
        return;
      }
      for (var key in source) {
        if (hasOwnProperty.call(source, key)) {
          assignValue(object, key, source[key]);
        }
      }
    });

    /**
     * This method is like `_.assign` except that it iterates over own and
     * inherited source properties.
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @alias extend
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} [sources] The source objects.
     * @returns {Object} Returns `object`.
     * @see _.assign
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     * }
     *
     * function Bar() {
     *   this.c = 3;
     * }
     *
     * Foo.prototype.b = 2;
     * Bar.prototype.d = 4;
     *
     * _.assignIn({ 'a': 0 }, new Foo, new Bar);
     * // => { 'a': 1, 'b': 2, 'c': 3, 'd': 4 }
     */
    var assignIn = createAssigner(function(object, source) {
      copyObject(source, keysIn(source), object);
    });

    /**
     * This method is like `_.assignIn` except that it accepts `customizer`
     * which is invoked to produce the assigned values. If `customizer` returns
     * `undefined`, assignment is handled by the method instead. The `customizer`
     * is invoked with five arguments: (objValue, srcValue, key, object, source).
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @alias extendWith
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} sources The source objects.
     * @param {Function} [customizer] The function to customize assigned values.
     * @returns {Object} Returns `object`.
     * @see _.assignWith
     * @example
     *
     * function customizer(objValue, srcValue) {
     *   return _.isUndefined(objValue) ? srcValue : objValue;
     * }
     *
     * var defaults = _.partialRight(_.assignInWith, customizer);
     *
     * defaults({ 'a': 1 }, { 'b': 2 }, { 'a': 3 });
     * // => { 'a': 1, 'b': 2 }
     */
    var assignInWith = createAssigner(function(object, source, srcIndex, customizer) {
      copyObject(source, keysIn(source), object, customizer);
    });

    /**
     * This method is like `_.assign` except that it accepts `customizer`
     * which is invoked to produce the assigned values. If `customizer` returns
     * `undefined`, assignment is handled by the method instead. The `customizer`
     * is invoked with five arguments: (objValue, srcValue, key, object, source).
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} sources The source objects.
     * @param {Function} [customizer] The function to customize assigned values.
     * @returns {Object} Returns `object`.
     * @see _.assignInWith
     * @example
     *
     * function customizer(objValue, srcValue) {
     *   return _.isUndefined(objValue) ? srcValue : objValue;
     * }
     *
     * var defaults = _.partialRight(_.assignWith, customizer);
     *
     * defaults({ 'a': 1 }, { 'b': 2 }, { 'a': 3 });
     * // => { 'a': 1, 'b': 2 }
     */
    var assignWith = createAssigner(function(object, source, srcIndex, customizer) {
      copyObject(source, keys(source), object, customizer);
    });

    /**
     * Creates an array of values corresponding to `paths` of `object`.
     *
     * @static
     * @memberOf _
     * @since 1.0.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {...(string|string[])} [paths] The property paths to pick.
     * @returns {Array} Returns the picked values.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c': 3 } }, 4] };
     *
     * _.at(object, ['a[0].b.c', 'a[1]']);
     * // => [3, 4]
     */
    var at = flatRest(baseAt);

    /**
     * Creates an object that inherits from the `prototype` object. If a
     * `properties` object is given, its own enumerable string keyed properties
     * are assigned to the created object.
     *
     * @static
     * @memberOf _
     * @since 2.3.0
     * @category Object
     * @param {Object} prototype The object to inherit from.
     * @param {Object} [properties] The properties to assign to the object.
     * @returns {Object} Returns the new object.
     * @example
     *
     * function Shape() {
     *   this.x = 0;
     *   this.y = 0;
     * }
     *
     * function Circle() {
     *   Shape.call(this);
     * }
     *
     * Circle.prototype = _.create(Shape.prototype, {
     *   'constructor': Circle
     * });
     *
     * var circle = new Circle;
     * circle instanceof Circle;
     * // => true
     *
     * circle instanceof Shape;
     * // => true
     */
    function create(prototype, properties) {
      var result = baseCreate(prototype);
      return properties == null ? result : baseAssign(result, properties);
    }

    /**
     * Assigns own and inherited enumerable string keyed properties of source
     * objects to the destination object for all destination properties that
     * resolve to `undefined`. Source objects are applied from left to right.
     * Once a property is set, additional values of the same property are ignored.
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} [sources] The source objects.
     * @returns {Object} Returns `object`.
     * @see _.defaultsDeep
     * @example
     *
     * _.defaults({ 'a': 1 }, { 'b': 2 }, { 'a': 3 });
     * // => { 'a': 1, 'b': 2 }
     */
    var defaults = baseRest(function(object, sources) {
      object = Object(object);

      var index = -1;
      var length = sources.length;
      var guard = length > 2 ? sources[2] : undefined;

      if (guard && isIterateeCall(sources[0], sources[1], guard)) {
        length = 1;
      }

      while (++index < length) {
        var source = sources[index];
        var props = keysIn(source);
        var propsIndex = -1;
        var propsLength = props.length;

        while (++propsIndex < propsLength) {
          var key = props[propsIndex];
          var value = object[key];

          if (value === undefined ||
              (eq(value, objectProto[key]) && !hasOwnProperty.call(object, key))) {
            object[key] = source[key];
          }
        }
      }

      return object;
    });

    /**
     * This method is like `_.defaults` except that it recursively assigns
     * default properties.
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 3.10.0
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} [sources] The source objects.
     * @returns {Object} Returns `object`.
     * @see _.defaults
     * @example
     *
     * _.defaultsDeep({ 'a': { 'b': 2 } }, { 'a': { 'b': 1, 'c': 3 } });
     * // => { 'a': { 'b': 2, 'c': 3 } }
     */
    var defaultsDeep = baseRest(function(args) {
      args.push(undefined, customDefaultsMerge);
      return apply(mergeWith, undefined, args);
    });

    /**
     * This method is like `_.find` except that it returns the key of the first
     * element `predicate` returns truthy for instead of the element itself.
     *
     * @static
     * @memberOf _
     * @since 1.1.0
     * @category Object
     * @param {Object} object The object to inspect.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {string|undefined} Returns the key of the matched element,
     *  else `undefined`.
     * @example
     *
     * var users = {
     *   'barney':  { 'age': 36, 'active': true },
     *   'fred':    { 'age': 40, 'active': false },
     *   'pebbles': { 'age': 1,  'active': true }
     * };
     *
     * _.findKey(users, function(o) { return o.age < 40; });
     * // => 'barney' (iteration order is not guaranteed)
     *
     * // The `_.matches` iteratee shorthand.
     * _.findKey(users, { 'age': 1, 'active': true });
     * // => 'pebbles'
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.findKey(users, ['active', false]);
     * // => 'fred'
     *
     * // The `_.property` iteratee shorthand.
     * _.findKey(users, 'active');
     * // => 'barney'
     */
    function findKey(object, predicate) {
      return baseFindKey(object, getIteratee(predicate, 3), baseForOwn);
    }

    /**
     * This method is like `_.findKey` except that it iterates over elements of
     * a collection in the opposite order.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Object
     * @param {Object} object The object to inspect.
     * @param {Function} [predicate=_.identity] The function invoked per iteration.
     * @returns {string|undefined} Returns the key of the matched element,
     *  else `undefined`.
     * @example
     *
     * var users = {
     *   'barney':  { 'age': 36, 'active': true },
     *   'fred':    { 'age': 40, 'active': false },
     *   'pebbles': { 'age': 1,  'active': true }
     * };
     *
     * _.findLastKey(users, function(o) { return o.age < 40; });
     * // => returns 'pebbles' assuming `_.findKey` returns 'barney'
     *
     * // The `_.matches` iteratee shorthand.
     * _.findLastKey(users, { 'age': 36, 'active': true });
     * // => 'barney'
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.findLastKey(users, ['active', false]);
     * // => 'fred'
     *
     * // The `_.property` iteratee shorthand.
     * _.findLastKey(users, 'active');
     * // => 'pebbles'
     */
    function findLastKey(object, predicate) {
      return baseFindKey(object, getIteratee(predicate, 3), baseForOwnRight);
    }

    /**
     * Iterates over own and inherited enumerable string keyed properties of an
     * object and invokes `iteratee` for each property. The iteratee is invoked
     * with three arguments: (value, key, object). Iteratee functions may exit
     * iteration early by explicitly returning `false`.
     *
     * @static
     * @memberOf _
     * @since 0.3.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Object} Returns `object`.
     * @see _.forInRight
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.forIn(new Foo, function(value, key) {
     *   console.log(key);
     * });
     * // => Logs 'a', 'b', then 'c' (iteration order is not guaranteed).
     */
    function forIn(object, iteratee) {
      return object == null
        ? object
        : baseFor(object, getIteratee(iteratee, 3), keysIn);
    }

    /**
     * This method is like `_.forIn` except that it iterates over properties of
     * `object` in the opposite order.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Object} Returns `object`.
     * @see _.forIn
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.forInRight(new Foo, function(value, key) {
     *   console.log(key);
     * });
     * // => Logs 'c', 'b', then 'a' assuming `_.forIn` logs 'a', 'b', then 'c'.
     */
    function forInRight(object, iteratee) {
      return object == null
        ? object
        : baseForRight(object, getIteratee(iteratee, 3), keysIn);
    }

    /**
     * Iterates over own enumerable string keyed properties of an object and
     * invokes `iteratee` for each property. The iteratee is invoked with three
     * arguments: (value, key, object). Iteratee functions may exit iteration
     * early by explicitly returning `false`.
     *
     * @static
     * @memberOf _
     * @since 0.3.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Object} Returns `object`.
     * @see _.forOwnRight
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.forOwn(new Foo, function(value, key) {
     *   console.log(key);
     * });
     * // => Logs 'a' then 'b' (iteration order is not guaranteed).
     */
    function forOwn(object, iteratee) {
      return object && baseForOwn(object, getIteratee(iteratee, 3));
    }

    /**
     * This method is like `_.forOwn` except that it iterates over properties of
     * `object` in the opposite order.
     *
     * @static
     * @memberOf _
     * @since 2.0.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Object} Returns `object`.
     * @see _.forOwn
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.forOwnRight(new Foo, function(value, key) {
     *   console.log(key);
     * });
     * // => Logs 'b' then 'a' assuming `_.forOwn` logs 'a' then 'b'.
     */
    function forOwnRight(object, iteratee) {
      return object && baseForOwnRight(object, getIteratee(iteratee, 3));
    }

    /**
     * Creates an array of function property names from own enumerable properties
     * of `object`.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The object to inspect.
     * @returns {Array} Returns the function names.
     * @see _.functionsIn
     * @example
     *
     * function Foo() {
     *   this.a = _.constant('a');
     *   this.b = _.constant('b');
     * }
     *
     * Foo.prototype.c = _.constant('c');
     *
     * _.functions(new Foo);
     * // => ['a', 'b']
     */
    function functions(object) {
      return object == null ? [] : baseFunctions(object, keys(object));
    }

    /**
     * Creates an array of function property names from own and inherited
     * enumerable properties of `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The object to inspect.
     * @returns {Array} Returns the function names.
     * @see _.functions
     * @example
     *
     * function Foo() {
     *   this.a = _.constant('a');
     *   this.b = _.constant('b');
     * }
     *
     * Foo.prototype.c = _.constant('c');
     *
     * _.functionsIn(new Foo);
     * // => ['a', 'b', 'c']
     */
    function functionsIn(object) {
      return object == null ? [] : baseFunctions(object, keysIn(object));
    }

    /**
     * Gets the value at `path` of `object`. If the resolved value is
     * `undefined`, the `defaultValue` is returned in its place.
     *
     * @static
     * @memberOf _
     * @since 3.7.0
     * @category Object
     * @param {Object} object The object to query.
     * @param {Array|string} path The path of the property to get.
     * @param {*} [defaultValue] The value returned for `undefined` resolved values.
     * @returns {*} Returns the resolved value.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c': 3 } }] };
     *
     * _.get(object, 'a[0].b.c');
     * // => 3
     *
     * _.get(object, ['a', '0', 'b', 'c']);
     * // => 3
     *
     * _.get(object, 'a.b.c', 'default');
     * // => 'default'
     */
    function get(object, path, defaultValue) {
      var result = object == null ? undefined : baseGet(object, path);
      return result === undefined ? defaultValue : result;
    }

    /**
     * Checks if `path` is a direct property of `object`.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The object to query.
     * @param {Array|string} path The path to check.
     * @returns {boolean} Returns `true` if `path` exists, else `false`.
     * @example
     *
     * var object = { 'a': { 'b': 2 } };
     * var other = _.create({ 'a': _.create({ 'b': 2 }) });
     *
     * _.has(object, 'a');
     * // => true
     *
     * _.has(object, 'a.b');
     * // => true
     *
     * _.has(object, ['a', 'b']);
     * // => true
     *
     * _.has(other, 'a');
     * // => false
     */
    function has(object, path) {
      return object != null && hasPath(object, path, baseHas);
    }

    /**
     * Checks if `path` is a direct or inherited property of `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The object to query.
     * @param {Array|string} path The path to check.
     * @returns {boolean} Returns `true` if `path` exists, else `false`.
     * @example
     *
     * var object = _.create({ 'a': _.create({ 'b': 2 }) });
     *
     * _.hasIn(object, 'a');
     * // => true
     *
     * _.hasIn(object, 'a.b');
     * // => true
     *
     * _.hasIn(object, ['a', 'b']);
     * // => true
     *
     * _.hasIn(object, 'b');
     * // => false
     */
    function hasIn(object, path) {
      return object != null && hasPath(object, path, baseHasIn);
    }

    /**
     * Creates an object composed of the inverted keys and values of `object`.
     * If `object` contains duplicate values, subsequent values overwrite
     * property assignments of previous values.
     *
     * @static
     * @memberOf _
     * @since 0.7.0
     * @category Object
     * @param {Object} object The object to invert.
     * @returns {Object} Returns the new inverted object.
     * @example
     *
     * var object = { 'a': 1, 'b': 2, 'c': 1 };
     *
     * _.invert(object);
     * // => { '1': 'c', '2': 'b' }
     */
    var invert = createInverter(function(result, value, key) {
      if (value != null &&
          typeof value.toString != 'function') {
        value = nativeObjectToString.call(value);
      }

      result[value] = key;
    }, constant(identity));

    /**
     * This method is like `_.invert` except that the inverted object is generated
     * from the results of running each element of `object` thru `iteratee`. The
     * corresponding inverted value of each inverted key is an array of keys
     * responsible for generating the inverted value. The iteratee is invoked
     * with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.1.0
     * @category Object
     * @param {Object} object The object to invert.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {Object} Returns the new inverted object.
     * @example
     *
     * var object = { 'a': 1, 'b': 2, 'c': 1 };
     *
     * _.invertBy(object);
     * // => { '1': ['a', 'c'], '2': ['b'] }
     *
     * _.invertBy(object, function(value) {
     *   return 'group' + value;
     * });
     * // => { 'group1': ['a', 'c'], 'group2': ['b'] }
     */
    var invertBy = createInverter(function(result, value, key) {
      if (value != null &&
          typeof value.toString != 'function') {
        value = nativeObjectToString.call(value);
      }

      if (hasOwnProperty.call(result, value)) {
        result[value].push(key);
      } else {
        result[value] = [key];
      }
    }, getIteratee);

    /**
     * Invokes the method at `path` of `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The object to query.
     * @param {Array|string} path The path of the method to invoke.
     * @param {...*} [args] The arguments to invoke the method with.
     * @returns {*} Returns the result of the invoked method.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c': [1, 2, 3, 4] } }] };
     *
     * _.invoke(object, 'a[0].b.c.slice', 1, 3);
     * // => [2, 3]
     */
    var invoke = baseRest(baseInvoke);

    /**
     * Creates an array of the own enumerable property names of `object`.
     *
     * **Note:** Non-object values are coerced to objects. See the
     * [ES spec](http://ecma-international.org/ecma-262/7.0/#sec-object.keys)
     * for more details.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property names.
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.keys(new Foo);
     * // => ['a', 'b'] (iteration order is not guaranteed)
     *
     * _.keys('hi');
     * // => ['0', '1']
     */
    function keys(object) {
      return isArrayLike(object) ? arrayLikeKeys(object) : baseKeys(object);
    }

    /**
     * Creates an array of the own and inherited enumerable property names of `object`.
     *
     * **Note:** Non-object values are coerced to objects.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Object
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property names.
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.keysIn(new Foo);
     * // => ['a', 'b', 'c'] (iteration order is not guaranteed)
     */
    function keysIn(object) {
      return isArrayLike(object) ? arrayLikeKeys(object, true) : baseKeysIn(object);
    }

    /**
     * The opposite of `_.mapValues`; this method creates an object with the
     * same values as `object` and keys generated by running each own enumerable
     * string keyed property of `object` thru `iteratee`. The iteratee is invoked
     * with three arguments: (value, key, object).
     *
     * @static
     * @memberOf _
     * @since 3.8.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Object} Returns the new mapped object.
     * @see _.mapValues
     * @example
     *
     * _.mapKeys({ 'a': 1, 'b': 2 }, function(value, key) {
     *   return key + value;
     * });
     * // => { 'a1': 1, 'b2': 2 }
     */
    function mapKeys(object, iteratee) {
      var result = {};
      iteratee = getIteratee(iteratee, 3);

      baseForOwn(object, function(value, key, object) {
        baseAssignValue(result, iteratee(value, key, object), value);
      });
      return result;
    }

    /**
     * Creates an object with the same keys as `object` and values generated
     * by running each own enumerable string keyed property of `object` thru
     * `iteratee`. The iteratee is invoked with three arguments:
     * (value, key, object).
     *
     * @static
     * @memberOf _
     * @since 2.4.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Object} Returns the new mapped object.
     * @see _.mapKeys
     * @example
     *
     * var users = {
     *   'fred':    { 'user': 'fred',    'age': 40 },
     *   'pebbles': { 'user': 'pebbles', 'age': 1 }
     * };
     *
     * _.mapValues(users, function(o) { return o.age; });
     * // => { 'fred': 40, 'pebbles': 1 } (iteration order is not guaranteed)
     *
     * // The `_.property` iteratee shorthand.
     * _.mapValues(users, 'age');
     * // => { 'fred': 40, 'pebbles': 1 } (iteration order is not guaranteed)
     */
    function mapValues(object, iteratee) {
      var result = {};
      iteratee = getIteratee(iteratee, 3);

      baseForOwn(object, function(value, key, object) {
        baseAssignValue(result, key, iteratee(value, key, object));
      });
      return result;
    }

    /**
     * This method is like `_.assign` except that it recursively merges own and
     * inherited enumerable string keyed properties of source objects into the
     * destination object. Source properties that resolve to `undefined` are
     * skipped if a destination value exists. Array and plain object properties
     * are merged recursively. Other objects and value types are overridden by
     * assignment. Source objects are applied from left to right. Subsequent
     * sources overwrite property assignments of previous sources.
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 0.5.0
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} [sources] The source objects.
     * @returns {Object} Returns `object`.
     * @example
     *
     * var object = {
     *   'a': [{ 'b': 2 }, { 'd': 4 }]
     * };
     *
     * var other = {
     *   'a': [{ 'c': 3 }, { 'e': 5 }]
     * };
     *
     * _.merge(object, other);
     * // => { 'a': [{ 'b': 2, 'c': 3 }, { 'd': 4, 'e': 5 }] }
     */
    var merge = createAssigner(function(object, source, srcIndex) {
      baseMerge(object, source, srcIndex);
    });

    /**
     * This method is like `_.merge` except that it accepts `customizer` which
     * is invoked to produce the merged values of the destination and source
     * properties. If `customizer` returns `undefined`, merging is handled by the
     * method instead. The `customizer` is invoked with six arguments:
     * (objValue, srcValue, key, object, source, stack).
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The destination object.
     * @param {...Object} sources The source objects.
     * @param {Function} customizer The function to customize assigned values.
     * @returns {Object} Returns `object`.
     * @example
     *
     * function customizer(objValue, srcValue) {
     *   if (_.isArray(objValue)) {
     *     return objValue.concat(srcValue);
     *   }
     * }
     *
     * var object = { 'a': [1], 'b': [2] };
     * var other = { 'a': [3], 'b': [4] };
     *
     * _.mergeWith(object, other, customizer);
     * // => { 'a': [1, 3], 'b': [2, 4] }
     */
    var mergeWith = createAssigner(function(object, source, srcIndex, customizer) {
      baseMerge(object, source, srcIndex, customizer);
    });

    /**
     * The opposite of `_.pick`; this method creates an object composed of the
     * own and inherited enumerable property paths of `object` that are not omitted.
     *
     * **Note:** This method is considerably slower than `_.pick`.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The source object.
     * @param {...(string|string[])} [paths] The property paths to omit.
     * @returns {Object} Returns the new object.
     * @example
     *
     * var object = { 'a': 1, 'b': '2', 'c': 3 };
     *
     * _.omit(object, ['a', 'c']);
     * // => { 'b': '2' }
     */
    var omit = flatRest(function(object, paths) {
      var result = {};
      if (object == null) {
        return result;
      }
      var isDeep = false;
      paths = arrayMap(paths, function(path) {
        path = castPath(path, object);
        isDeep || (isDeep = path.length > 1);
        return path;
      });
      copyObject(object, getAllKeysIn(object), result);
      if (isDeep) {
        result = baseClone(result, CLONE_DEEP_FLAG | CLONE_FLAT_FLAG | CLONE_SYMBOLS_FLAG, customOmitClone);
      }
      var length = paths.length;
      while (length--) {
        baseUnset(result, paths[length]);
      }
      return result;
    });

    /**
     * The opposite of `_.pickBy`; this method creates an object composed of
     * the own and inherited enumerable string keyed properties of `object` that
     * `predicate` doesn't return truthy for. The predicate is invoked with two
     * arguments: (value, key).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The source object.
     * @param {Function} [predicate=_.identity] The function invoked per property.
     * @returns {Object} Returns the new object.
     * @example
     *
     * var object = { 'a': 1, 'b': '2', 'c': 3 };
     *
     * _.omitBy(object, _.isNumber);
     * // => { 'b': '2' }
     */
    function omitBy(object, predicate) {
      return pickBy(object, negate(getIteratee(predicate)));
    }

    /**
     * Creates an object composed of the picked `object` properties.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The source object.
     * @param {...(string|string[])} [paths] The property paths to pick.
     * @returns {Object} Returns the new object.
     * @example
     *
     * var object = { 'a': 1, 'b': '2', 'c': 3 };
     *
     * _.pick(object, ['a', 'c']);
     * // => { 'a': 1, 'c': 3 }
     */
    var pick = flatRest(function(object, paths) {
      return object == null ? {} : basePick(object, paths);
    });

    /**
     * Creates an object composed of the `object` properties `predicate` returns
     * truthy for. The predicate is invoked with two arguments: (value, key).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The source object.
     * @param {Function} [predicate=_.identity] The function invoked per property.
     * @returns {Object} Returns the new object.
     * @example
     *
     * var object = { 'a': 1, 'b': '2', 'c': 3 };
     *
     * _.pickBy(object, _.isNumber);
     * // => { 'a': 1, 'c': 3 }
     */
    function pickBy(object, predicate) {
      if (object == null) {
        return {};
      }
      var props = arrayMap(getAllKeysIn(object), function(prop) {
        return [prop];
      });
      predicate = getIteratee(predicate);
      return basePickBy(object, props, function(value, path) {
        return predicate(value, path[0]);
      });
    }

    /**
     * This method is like `_.get` except that if the resolved value is a
     * function it's invoked with the `this` binding of its parent object and
     * its result is returned.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The object to query.
     * @param {Array|string} path The path of the property to resolve.
     * @param {*} [defaultValue] The value returned for `undefined` resolved values.
     * @returns {*} Returns the resolved value.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c1': 3, 'c2': _.constant(4) } }] };
     *
     * _.result(object, 'a[0].b.c1');
     * // => 3
     *
     * _.result(object, 'a[0].b.c2');
     * // => 4
     *
     * _.result(object, 'a[0].b.c3', 'default');
     * // => 'default'
     *
     * _.result(object, 'a[0].b.c3', _.constant('default'));
     * // => 'default'
     */
    function result(object, path, defaultValue) {
      path = castPath(path, object);

      var index = -1,
          length = path.length;

      // Ensure the loop is entered when path is empty.
      if (!length) {
        length = 1;
        object = undefined;
      }
      while (++index < length) {
        var value = object == null ? undefined : object[toKey(path[index])];
        if (value === undefined) {
          index = length;
          value = defaultValue;
        }
        object = isFunction(value) ? value.call(object) : value;
      }
      return object;
    }

    /**
     * Sets the value at `path` of `object`. If a portion of `path` doesn't exist,
     * it's created. Arrays are created for missing index properties while objects
     * are created for all other missing properties. Use `_.setWith` to customize
     * `path` creation.
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 3.7.0
     * @category Object
     * @param {Object} object The object to modify.
     * @param {Array|string} path The path of the property to set.
     * @param {*} value The value to set.
     * @returns {Object} Returns `object`.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c': 3 } }] };
     *
     * _.set(object, 'a[0].b.c', 4);
     * console.log(object.a[0].b.c);
     * // => 4
     *
     * _.set(object, ['x', '0', 'y', 'z'], 5);
     * console.log(object.x[0].y.z);
     * // => 5
     */
    function set(object, path, value) {
      return object == null ? object : baseSet(object, path, value);
    }

    /**
     * This method is like `_.set` except that it accepts `customizer` which is
     * invoked to produce the objects of `path`.  If `customizer` returns `undefined`
     * path creation is handled by the method instead. The `customizer` is invoked
     * with three arguments: (nsValue, key, nsObject).
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The object to modify.
     * @param {Array|string} path The path of the property to set.
     * @param {*} value The value to set.
     * @param {Function} [customizer] The function to customize assigned values.
     * @returns {Object} Returns `object`.
     * @example
     *
     * var object = {};
     *
     * _.setWith(object, '[0][1]', 'a', Object);
     * // => { '0': { '1': 'a' } }
     */
    function setWith(object, path, value, customizer) {
      customizer = typeof customizer == 'function' ? customizer : undefined;
      return object == null ? object : baseSet(object, path, value, customizer);
    }

    /**
     * Creates an array of own enumerable string keyed-value pairs for `object`
     * which can be consumed by `_.fromPairs`. If `object` is a map or set, its
     * entries are returned.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @alias entries
     * @category Object
     * @param {Object} object The object to query.
     * @returns {Array} Returns the key-value pairs.
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.toPairs(new Foo);
     * // => [['a', 1], ['b', 2]] (iteration order is not guaranteed)
     */
    var toPairs = createToPairs(keys);

    /**
     * Creates an array of own and inherited enumerable string keyed-value pairs
     * for `object` which can be consumed by `_.fromPairs`. If `object` is a map
     * or set, its entries are returned.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @alias entriesIn
     * @category Object
     * @param {Object} object The object to query.
     * @returns {Array} Returns the key-value pairs.
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.toPairsIn(new Foo);
     * // => [['a', 1], ['b', 2], ['c', 3]] (iteration order is not guaranteed)
     */
    var toPairsIn = createToPairs(keysIn);

    /**
     * An alternative to `_.reduce`; this method transforms `object` to a new
     * `accumulator` object which is the result of running each of its own
     * enumerable string keyed properties thru `iteratee`, with each invocation
     * potentially mutating the `accumulator` object. If `accumulator` is not
     * provided, a new object with the same `[[Prototype]]` will be used. The
     * iteratee is invoked with four arguments: (accumulator, value, key, object).
     * Iteratee functions may exit iteration early by explicitly returning `false`.
     *
     * @static
     * @memberOf _
     * @since 1.3.0
     * @category Object
     * @param {Object} object The object to iterate over.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @param {*} [accumulator] The custom accumulator value.
     * @returns {*} Returns the accumulated value.
     * @example
     *
     * _.transform([2, 3, 4], function(result, n) {
     *   result.push(n *= n);
     *   return n % 2 == 0;
     * }, []);
     * // => [4, 9]
     *
     * _.transform({ 'a': 1, 'b': 2, 'c': 1 }, function(result, value, key) {
     *   (result[value] || (result[value] = [])).push(key);
     * }, {});
     * // => { '1': ['a', 'c'], '2': ['b'] }
     */
    function transform(object, iteratee, accumulator) {
      var isArr = isArray(object),
          isArrLike = isArr || isBuffer(object) || isTypedArray(object);

      iteratee = getIteratee(iteratee, 4);
      if (accumulator == null) {
        var Ctor = object && object.constructor;
        if (isArrLike) {
          accumulator = isArr ? new Ctor : [];
        }
        else if (isObject(object)) {
          accumulator = isFunction(Ctor) ? baseCreate(getPrototype(object)) : {};
        }
        else {
          accumulator = {};
        }
      }
      (isArrLike ? arrayEach : baseForOwn)(object, function(value, index, object) {
        return iteratee(accumulator, value, index, object);
      });
      return accumulator;
    }

    /**
     * Removes the property at `path` of `object`.
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Object
     * @param {Object} object The object to modify.
     * @param {Array|string} path The path of the property to unset.
     * @returns {boolean} Returns `true` if the property is deleted, else `false`.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c': 7 } }] };
     * _.unset(object, 'a[0].b.c');
     * // => true
     *
     * console.log(object);
     * // => { 'a': [{ 'b': {} }] };
     *
     * _.unset(object, ['a', '0', 'b', 'c']);
     * // => true
     *
     * console.log(object);
     * // => { 'a': [{ 'b': {} }] };
     */
    function unset(object, path) {
      return object == null ? true : baseUnset(object, path);
    }

    /**
     * This method is like `_.set` except that accepts `updater` to produce the
     * value to set. Use `_.updateWith` to customize `path` creation. The `updater`
     * is invoked with one argument: (value).
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.6.0
     * @category Object
     * @param {Object} object The object to modify.
     * @param {Array|string} path The path of the property to set.
     * @param {Function} updater The function to produce the updated value.
     * @returns {Object} Returns `object`.
     * @example
     *
     * var object = { 'a': [{ 'b': { 'c': 3 } }] };
     *
     * _.update(object, 'a[0].b.c', function(n) { return n * n; });
     * console.log(object.a[0].b.c);
     * // => 9
     *
     * _.update(object, 'x[0].y.z', function(n) { return n ? n + 1 : 0; });
     * console.log(object.x[0].y.z);
     * // => 0
     */
    function update(object, path, updater) {
      return object == null ? object : baseUpdate(object, path, castFunction(updater));
    }

    /**
     * This method is like `_.update` except that it accepts `customizer` which is
     * invoked to produce the objects of `path`.  If `customizer` returns `undefined`
     * path creation is handled by the method instead. The `customizer` is invoked
     * with three arguments: (nsValue, key, nsObject).
     *
     * **Note:** This method mutates `object`.
     *
     * @static
     * @memberOf _
     * @since 4.6.0
     * @category Object
     * @param {Object} object The object to modify.
     * @param {Array|string} path The path of the property to set.
     * @param {Function} updater The function to produce the updated value.
     * @param {Function} [customizer] The function to customize assigned values.
     * @returns {Object} Returns `object`.
     * @example
     *
     * var object = {};
     *
     * _.updateWith(object, '[0][1]', _.constant('a'), Object);
     * // => { '0': { '1': 'a' } }
     */
    function updateWith(object, path, updater, customizer) {
      customizer = typeof customizer == 'function' ? customizer : undefined;
      return object == null ? object : baseUpdate(object, path, castFunction(updater), customizer);
    }

    /**
     * Creates an array of the own enumerable string keyed property values of `object`.
     *
     * **Note:** Non-object values are coerced to objects.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Object
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property values.
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.values(new Foo);
     * // => [1, 2] (iteration order is not guaranteed)
     *
     * _.values('hi');
     * // => ['h', 'i']
     */
    function values(object) {
      return object == null ? [] : baseValues(object, keys(object));
    }

    /**
     * Creates an array of the own and inherited enumerable string keyed property
     * values of `object`.
     *
     * **Note:** Non-object values are coerced to objects.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Object
     * @param {Object} object The object to query.
     * @returns {Array} Returns the array of property values.
     * @example
     *
     * function Foo() {
     *   this.a = 1;
     *   this.b = 2;
     * }
     *
     * Foo.prototype.c = 3;
     *
     * _.valuesIn(new Foo);
     * // => [1, 2, 3] (iteration order is not guaranteed)
     */
    function valuesIn(object) {
      return object == null ? [] : baseValues(object, keysIn(object));
    }

    /*------------------------------------------------------------------------*/

    /**
     * Clamps `number` within the inclusive `lower` and `upper` bounds.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Number
     * @param {number} number The number to clamp.
     * @param {number} [lower] The lower bound.
     * @param {number} upper The upper bound.
     * @returns {number} Returns the clamped number.
     * @example
     *
     * _.clamp(-10, -5, 5);
     * // => -5
     *
     * _.clamp(10, -5, 5);
     * // => 5
     */
    function clamp(number, lower, upper) {
      if (upper === undefined) {
        upper = lower;
        lower = undefined;
      }
      if (upper !== undefined) {
        upper = toNumber(upper);
        upper = upper === upper ? upper : 0;
      }
      if (lower !== undefined) {
        lower = toNumber(lower);
        lower = lower === lower ? lower : 0;
      }
      return baseClamp(toNumber(number), lower, upper);
    }

    /**
     * Checks if `n` is between `start` and up to, but not including, `end`. If
     * `end` is not specified, it's set to `start` with `start` then set to `0`.
     * If `start` is greater than `end` the params are swapped to support
     * negative ranges.
     *
     * @static
     * @memberOf _
     * @since 3.3.0
     * @category Number
     * @param {number} number The number to check.
     * @param {number} [start=0] The start of the range.
     * @param {number} end The end of the range.
     * @returns {boolean} Returns `true` if `number` is in the range, else `false`.
     * @see _.range, _.rangeRight
     * @example
     *
     * _.inRange(3, 2, 4);
     * // => true
     *
     * _.inRange(4, 8);
     * // => true
     *
     * _.inRange(4, 2);
     * // => false
     *
     * _.inRange(2, 2);
     * // => false
     *
     * _.inRange(1.2, 2);
     * // => true
     *
     * _.inRange(5.2, 4);
     * // => false
     *
     * _.inRange(-3, -2, -6);
     * // => true
     */
    function inRange(number, start, end) {
      start = toFinite(start);
      if (end === undefined) {
        end = start;
        start = 0;
      } else {
        end = toFinite(end);
      }
      number = toNumber(number);
      return baseInRange(number, start, end);
    }

    /**
     * Produces a random number between the inclusive `lower` and `upper` bounds.
     * If only one argument is provided a number between `0` and the given number
     * is returned. If `floating` is `true`, or either `lower` or `upper` are
     * floats, a floating-point number is returned instead of an integer.
     *
     * **Note:** JavaScript follows the IEEE-754 standard for resolving
     * floating-point values which can produce unexpected results.
     *
     * @static
     * @memberOf _
     * @since 0.7.0
     * @category Number
     * @param {number} [lower=0] The lower bound.
     * @param {number} [upper=1] The upper bound.
     * @param {boolean} [floating] Specify returning a floating-point number.
     * @returns {number} Returns the random number.
     * @example
     *
     * _.random(0, 5);
     * // => an integer between 0 and 5
     *
     * _.random(5);
     * // => also an integer between 0 and 5
     *
     * _.random(5, true);
     * // => a floating-point number between 0 and 5
     *
     * _.random(1.2, 5.2);
     * // => a floating-point number between 1.2 and 5.2
     */
    function random(lower, upper, floating) {
      if (floating && typeof floating != 'boolean' && isIterateeCall(lower, upper, floating)) {
        upper = floating = undefined;
      }
      if (floating === undefined) {
        if (typeof upper == 'boolean') {
          floating = upper;
          upper = undefined;
        }
        else if (typeof lower == 'boolean') {
          floating = lower;
          lower = undefined;
        }
      }
      if (lower === undefined && upper === undefined) {
        lower = 0;
        upper = 1;
      }
      else {
        lower = toFinite(lower);
        if (upper === undefined) {
          upper = lower;
          lower = 0;
        } else {
          upper = toFinite(upper);
        }
      }
      if (lower > upper) {
        var temp = lower;
        lower = upper;
        upper = temp;
      }
      if (floating || lower % 1 || upper % 1) {
        var rand = nativeRandom();
        return nativeMin(lower + (rand * (upper - lower + freeParseFloat('1e-' + ((rand + '').length - 1)))), upper);
      }
      return baseRandom(lower, upper);
    }

    /*------------------------------------------------------------------------*/

    /**
     * Converts `string` to [camel case](https://en.wikipedia.org/wiki/CamelCase).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the camel cased string.
     * @example
     *
     * _.camelCase('Foo Bar');
     * // => 'fooBar'
     *
     * _.camelCase('--foo-bar--');
     * // => 'fooBar'
     *
     * _.camelCase('__FOO_BAR__');
     * // => 'fooBar'
     */
    var camelCase = createCompounder(function(result, word, index) {
      word = word.toLowerCase();
      return result + (index ? capitalize(word) : word);
    });

    /**
     * Converts the first character of `string` to upper case and the remaining
     * to lower case.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to capitalize.
     * @returns {string} Returns the capitalized string.
     * @example
     *
     * _.capitalize('FRED');
     * // => 'Fred'
     */
    function capitalize(string) {
      return upperFirst(toString(string).toLowerCase());
    }

    /**
     * Deburrs `string` by converting
     * [Latin-1 Supplement](https://en.wikipedia.org/wiki/Latin-1_Supplement_(Unicode_block)#Character_table)
     * and [Latin Extended-A](https://en.wikipedia.org/wiki/Latin_Extended-A)
     * letters to basic Latin letters and removing
     * [combining diacritical marks](https://en.wikipedia.org/wiki/Combining_Diacritical_Marks).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to deburr.
     * @returns {string} Returns the deburred string.
     * @example
     *
     * _.deburr('déjà vu');
     * // => 'deja vu'
     */
    function deburr(string) {
      string = toString(string);
      return string && string.replace(reLatin, deburrLetter).replace(reComboMark, '');
    }

    /**
     * Checks if `string` ends with the given target string.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to inspect.
     * @param {string} [target] The string to search for.
     * @param {number} [position=string.length] The position to search up to.
     * @returns {boolean} Returns `true` if `string` ends with `target`,
     *  else `false`.
     * @example
     *
     * _.endsWith('abc', 'c');
     * // => true
     *
     * _.endsWith('abc', 'b');
     * // => false
     *
     * _.endsWith('abc', 'b', 2);
     * // => true
     */
    function endsWith(string, target, position) {
      string = toString(string);
      target = baseToString(target);

      var length = string.length;
      position = position === undefined
        ? length
        : baseClamp(toInteger(position), 0, length);

      var end = position;
      position -= target.length;
      return position >= 0 && string.slice(position, end) == target;
    }

    /**
     * Converts the characters "&", "<", ">", '"', and "'" in `string` to their
     * corresponding HTML entities.
     *
     * **Note:** No other characters are escaped. To escape additional
     * characters use a third-party library like [_he_](https://mths.be/he).
     *
     * Though the ">" character is escaped for symmetry, characters like
     * ">" and "/" don't need escaping in HTML and have no special meaning
     * unless they're part of a tag or unquoted attribute value. See
     * [Mathias Bynens's article](https://mathiasbynens.be/notes/ambiguous-ampersands)
     * (under "semi-related fun fact") for more details.
     *
     * When working with HTML you should always
     * [quote attribute values](http://wonko.com/post/html-escaping) to reduce
     * XSS vectors.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category String
     * @param {string} [string=''] The string to escape.
     * @returns {string} Returns the escaped string.
     * @example
     *
     * _.escape('fred, barney, & pebbles');
     * // => 'fred, barney, &amp; pebbles'
     */
    function escape(string) {
      string = toString(string);
      return (string && reHasUnescapedHtml.test(string))
        ? string.replace(reUnescapedHtml, escapeHtmlChar)
        : string;
    }

    /**
     * Escapes the `RegExp` special characters "^", "$", "\", ".", "*", "+",
     * "?", "(", ")", "[", "]", "{", "}", and "|" in `string`.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to escape.
     * @returns {string} Returns the escaped string.
     * @example
     *
     * _.escapeRegExp('[lodash](https://lodash.com/)');
     * // => '\[lodash\]\(https://lodash\.com/\)'
     */
    function escapeRegExp(string) {
      string = toString(string);
      return (string && reHasRegExpChar.test(string))
        ? string.replace(reRegExpChar, '\\$&')
        : string;
    }

    /**
     * Converts `string` to
     * [kebab case](https://en.wikipedia.org/wiki/Letter_case#Special_case_styles).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the kebab cased string.
     * @example
     *
     * _.kebabCase('Foo Bar');
     * // => 'foo-bar'
     *
     * _.kebabCase('fooBar');
     * // => 'foo-bar'
     *
     * _.kebabCase('__FOO_BAR__');
     * // => 'foo-bar'
     */
    var kebabCase = createCompounder(function(result, word, index) {
      return result + (index ? '-' : '') + word.toLowerCase();
    });

    /**
     * Converts `string`, as space separated words, to lower case.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the lower cased string.
     * @example
     *
     * _.lowerCase('--Foo-Bar--');
     * // => 'foo bar'
     *
     * _.lowerCase('fooBar');
     * // => 'foo bar'
     *
     * _.lowerCase('__FOO_BAR__');
     * // => 'foo bar'
     */
    var lowerCase = createCompounder(function(result, word, index) {
      return result + (index ? ' ' : '') + word.toLowerCase();
    });

    /**
     * Converts the first character of `string` to lower case.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the converted string.
     * @example
     *
     * _.lowerFirst('Fred');
     * // => 'fred'
     *
     * _.lowerFirst('FRED');
     * // => 'fRED'
     */
    var lowerFirst = createCaseFirst('toLowerCase');

    /**
     * Pads `string` on the left and right sides if it's shorter than `length`.
     * Padding characters are truncated if they can't be evenly divided by `length`.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to pad.
     * @param {number} [length=0] The padding length.
     * @param {string} [chars=' '] The string used as padding.
     * @returns {string} Returns the padded string.
     * @example
     *
     * _.pad('abc', 8);
     * // => '  abc   '
     *
     * _.pad('abc', 8, '_-');
     * // => '_-abc_-_'
     *
     * _.pad('abc', 3);
     * // => 'abc'
     */
    function pad(string, length, chars) {
      string = toString(string);
      length = toInteger(length);

      var strLength = length ? stringSize(string) : 0;
      if (!length || strLength >= length) {
        return string;
      }
      var mid = (length - strLength) / 2;
      return (
        createPadding(nativeFloor(mid), chars) +
        string +
        createPadding(nativeCeil(mid), chars)
      );
    }

    /**
     * Pads `string` on the right side if it's shorter than `length`. Padding
     * characters are truncated if they exceed `length`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to pad.
     * @param {number} [length=0] The padding length.
     * @param {string} [chars=' '] The string used as padding.
     * @returns {string} Returns the padded string.
     * @example
     *
     * _.padEnd('abc', 6);
     * // => 'abc   '
     *
     * _.padEnd('abc', 6, '_-');
     * // => 'abc_-_'
     *
     * _.padEnd('abc', 3);
     * // => 'abc'
     */
    function padEnd(string, length, chars) {
      string = toString(string);
      length = toInteger(length);

      var strLength = length ? stringSize(string) : 0;
      return (length && strLength < length)
        ? (string + createPadding(length - strLength, chars))
        : string;
    }

    /**
     * Pads `string` on the left side if it's shorter than `length`. Padding
     * characters are truncated if they exceed `length`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to pad.
     * @param {number} [length=0] The padding length.
     * @param {string} [chars=' '] The string used as padding.
     * @returns {string} Returns the padded string.
     * @example
     *
     * _.padStart('abc', 6);
     * // => '   abc'
     *
     * _.padStart('abc', 6, '_-');
     * // => '_-_abc'
     *
     * _.padStart('abc', 3);
     * // => 'abc'
     */
    function padStart(string, length, chars) {
      string = toString(string);
      length = toInteger(length);

      var strLength = length ? stringSize(string) : 0;
      return (length && strLength < length)
        ? (createPadding(length - strLength, chars) + string)
        : string;
    }

    /**
     * Converts `string` to an integer of the specified radix. If `radix` is
     * `undefined` or `0`, a `radix` of `10` is used unless `value` is a
     * hexadecimal, in which case a `radix` of `16` is used.
     *
     * **Note:** This method aligns with the
     * [ES5 implementation](https://es5.github.io/#x15.1.2.2) of `parseInt`.
     *
     * @static
     * @memberOf _
     * @since 1.1.0
     * @category String
     * @param {string} string The string to convert.
     * @param {number} [radix=10] The radix to interpret `value` by.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {number} Returns the converted integer.
     * @example
     *
     * _.parseInt('08');
     * // => 8
     *
     * _.map(['6', '08', '10'], _.parseInt);
     * // => [6, 8, 10]
     */
    function parseInt(string, radix, guard) {
      if (guard || radix == null) {
        radix = 0;
      } else if (radix) {
        radix = +radix;
      }
      return nativeParseInt(toString(string).replace(reTrimStart, ''), radix || 0);
    }

    /**
     * Repeats the given string `n` times.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to repeat.
     * @param {number} [n=1] The number of times to repeat the string.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {string} Returns the repeated string.
     * @example
     *
     * _.repeat('*', 3);
     * // => '***'
     *
     * _.repeat('abc', 2);
     * // => 'abcabc'
     *
     * _.repeat('abc', 0);
     * // => ''
     */
    function repeat(string, n, guard) {
      if ((guard ? isIterateeCall(string, n, guard) : n === undefined)) {
        n = 1;
      } else {
        n = toInteger(n);
      }
      return baseRepeat(toString(string), n);
    }

    /**
     * Replaces matches for `pattern` in `string` with `replacement`.
     *
     * **Note:** This method is based on
     * [`String#replace`](https://mdn.io/String/replace).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to modify.
     * @param {RegExp|string} pattern The pattern to replace.
     * @param {Function|string} replacement The match replacement.
     * @returns {string} Returns the modified string.
     * @example
     *
     * _.replace('Hi Fred', 'Fred', 'Barney');
     * // => 'Hi Barney'
     */
    function replace() {
      var args = arguments,
          string = toString(args[0]);

      return args.length < 3 ? string : string.replace(args[1], args[2]);
    }

    /**
     * Converts `string` to
     * [snake case](https://en.wikipedia.org/wiki/Snake_case).
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the snake cased string.
     * @example
     *
     * _.snakeCase('Foo Bar');
     * // => 'foo_bar'
     *
     * _.snakeCase('fooBar');
     * // => 'foo_bar'
     *
     * _.snakeCase('--FOO-BAR--');
     * // => 'foo_bar'
     */
    var snakeCase = createCompounder(function(result, word, index) {
      return result + (index ? '_' : '') + word.toLowerCase();
    });

    /**
     * Splits `string` by `separator`.
     *
     * **Note:** This method is based on
     * [`String#split`](https://mdn.io/String/split).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to split.
     * @param {RegExp|string} separator The separator pattern to split by.
     * @param {number} [limit] The length to truncate results to.
     * @returns {Array} Returns the string segments.
     * @example
     *
     * _.split('a-b-c', '-', 2);
     * // => ['a', 'b']
     */
    function split(string, separator, limit) {
      if (limit && typeof limit != 'number' && isIterateeCall(string, separator, limit)) {
        separator = limit = undefined;
      }
      limit = limit === undefined ? MAX_ARRAY_LENGTH : limit >>> 0;
      if (!limit) {
        return [];
      }
      string = toString(string);
      if (string && (
            typeof separator == 'string' ||
            (separator != null && !isRegExp(separator))
          )) {
        separator = baseToString(separator);
        if (!separator && hasUnicode(string)) {
          return castSlice(stringToArray(string), 0, limit);
        }
      }
      return string.split(separator, limit);
    }

    /**
     * Converts `string` to
     * [start case](https://en.wikipedia.org/wiki/Letter_case#Stylistic_or_specialised_usage).
     *
     * @static
     * @memberOf _
     * @since 3.1.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the start cased string.
     * @example
     *
     * _.startCase('--foo-bar--');
     * // => 'Foo Bar'
     *
     * _.startCase('fooBar');
     * // => 'Foo Bar'
     *
     * _.startCase('__FOO_BAR__');
     * // => 'FOO BAR'
     */
    var startCase = createCompounder(function(result, word, index) {
      return result + (index ? ' ' : '') + upperFirst(word);
    });

    /**
     * Checks if `string` starts with the given target string.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to inspect.
     * @param {string} [target] The string to search for.
     * @param {number} [position=0] The position to search from.
     * @returns {boolean} Returns `true` if `string` starts with `target`,
     *  else `false`.
     * @example
     *
     * _.startsWith('abc', 'a');
     * // => true
     *
     * _.startsWith('abc', 'b');
     * // => false
     *
     * _.startsWith('abc', 'b', 1);
     * // => true
     */
    function startsWith(string, target, position) {
      string = toString(string);
      position = position == null
        ? 0
        : baseClamp(toInteger(position), 0, string.length);

      target = baseToString(target);
      return string.slice(position, position + target.length) == target;
    }

    /**
     * Creates a compiled template function that can interpolate data properties
     * in "interpolate" delimiters, HTML-escape interpolated data properties in
     * "escape" delimiters, and execute JavaScript in "evaluate" delimiters. Data
     * properties may be accessed as free variables in the template. If a setting
     * object is given, it takes precedence over `_.templateSettings` values.
     *
     * **Note:** In the development build `_.template` utilizes
     * [sourceURLs](http://www.html5rocks.com/en/tutorials/developertools/sourcemaps/#toc-sourceurl)
     * for easier debugging.
     *
     * For more information on precompiling templates see
     * [lodash's custom builds documentation](https://lodash.com/custom-builds).
     *
     * For more information on Chrome extension sandboxes see
     * [Chrome's extensions documentation](https://developer.chrome.com/extensions/sandboxingEval).
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category String
     * @param {string} [string=''] The template string.
     * @param {Object} [options={}] The options object.
     * @param {RegExp} [options.escape=_.templateSettings.escape]
     *  The HTML "escape" delimiter.
     * @param {RegExp} [options.evaluate=_.templateSettings.evaluate]
     *  The "evaluate" delimiter.
     * @param {Object} [options.imports=_.templateSettings.imports]
     *  An object to import into the template as free variables.
     * @param {RegExp} [options.interpolate=_.templateSettings.interpolate]
     *  The "interpolate" delimiter.
     * @param {string} [options.sourceURL='lodash.templateSources[n]']
     *  The sourceURL of the compiled template.
     * @param {string} [options.variable='obj']
     *  The data object variable name.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Function} Returns the compiled template function.
     * @example
     *
     * // Use the "interpolate" delimiter to create a compiled template.
     * var compiled = _.template('hello <%= user %>!');
     * compiled({ 'user': 'fred' });
     * // => 'hello fred!'
     *
     * // Use the HTML "escape" delimiter to escape data property values.
     * var compiled = _.template('<b><%- value %></b>');
     * compiled({ 'value': '<script>' });
     * // => '<b>&lt;script&gt;</b>'
     *
     * // Use the "evaluate" delimiter to execute JavaScript and generate HTML.
     * var compiled = _.template('<% _.forEach(users, function(user) { %><li><%- user %></li><% }); %>');
     * compiled({ 'users': ['fred', 'barney'] });
     * // => '<li>fred</li><li>barney</li>'
     *
     * // Use the internal `print` function in "evaluate" delimiters.
     * var compiled = _.template('<% print("hello " + user); %>!');
     * compiled({ 'user': 'barney' });
     * // => 'hello barney!'
     *
     * // Use the ES template literal delimiter as an "interpolate" delimiter.
     * // Disable support by replacing the "interpolate" delimiter.
     * var compiled = _.template('hello ${ user }!');
     * compiled({ 'user': 'pebbles' });
     * // => 'hello pebbles!'
     *
     * // Use backslashes to treat delimiters as plain text.
     * var compiled = _.template('<%= "\\<%- value %\\>" %>');
     * compiled({ 'value': 'ignored' });
     * // => '<%- value %>'
     *
     * // Use the `imports` option to import `jQuery` as `jq`.
     * var text = '<% jq.each(users, function(user) { %><li><%- user %></li><% }); %>';
     * var compiled = _.template(text, { 'imports': { 'jq': jQuery } });
     * compiled({ 'users': ['fred', 'barney'] });
     * // => '<li>fred</li><li>barney</li>'
     *
     * // Use the `sourceURL` option to specify a custom sourceURL for the template.
     * var compiled = _.template('hello <%= user %>!', { 'sourceURL': '/basic/greeting.jst' });
     * compiled(data);
     * // => Find the source of "greeting.jst" under the Sources tab or Resources panel of the web inspector.
     *
     * // Use the `variable` option to ensure a with-statement isn't used in the compiled template.
     * var compiled = _.template('hi <%= data.user %>!', { 'variable': 'data' });
     * compiled.source;
     * // => function(data) {
     * //   var __t, __p = '';
     * //   __p += 'hi ' + ((__t = ( data.user )) == null ? '' : __t) + '!';
     * //   return __p;
     * // }
     *
     * // Use custom template delimiters.
     * _.templateSettings.interpolate = /{{([\s\S]+?)}}/g;
     * var compiled = _.template('hello {{ user }}!');
     * compiled({ 'user': 'mustache' });
     * // => 'hello mustache!'
     *
     * // Use the `source` property to inline compiled templates for meaningful
     * // line numbers in error messages and stack traces.
     * fs.writeFileSync(path.join(process.cwd(), 'jst.js'), '\
     *   var JST = {\
     *     "main": ' + _.template(mainText).source + '\
     *   };\
     * ');
     */
    function template(string, options, guard) {
      // Based on John Resig's `tmpl` implementation
      // (http://ejohn.org/blog/javascript-micro-templating/)
      // and Laura Doktorova's doT.js (https://github.com/olado/doT).
      var settings = lodash.templateSettings;

      if (guard && isIterateeCall(string, options, guard)) {
        options = undefined;
      }
      string = toString(string);
      options = assignInWith({}, options, settings, customDefaultsAssignIn);

      var imports = assignInWith({}, options.imports, settings.imports, customDefaultsAssignIn),
          importsKeys = keys(imports),
          importsValues = baseValues(imports, importsKeys);

      var isEscaping,
          isEvaluating,
          index = 0,
          interpolate = options.interpolate || reNoMatch,
          source = "__p += '";

      // Compile the regexp to match each delimiter.
      var reDelimiters = RegExp(
        (options.escape || reNoMatch).source + '|' +
        interpolate.source + '|' +
        (interpolate === reInterpolate ? reEsTemplate : reNoMatch).source + '|' +
        (options.evaluate || reNoMatch).source + '|$'
      , 'g');

      // Use a sourceURL for easier debugging.
      // The sourceURL gets injected into the source that's eval-ed, so be careful
      // to normalize all kinds of whitespace, so e.g. newlines (and unicode versions of it) can't sneak in
      // and escape the comment, thus injecting code that gets evaled.
      var sourceURL = '//# sourceURL=' +
        (hasOwnProperty.call(options, 'sourceURL')
          ? (options.sourceURL + '').replace(/\s/g, ' ')
          : ('lodash.templateSources[' + (++templateCounter) + ']')
        ) + '\n';

      string.replace(reDelimiters, function(match, escapeValue, interpolateValue, esTemplateValue, evaluateValue, offset) {
        interpolateValue || (interpolateValue = esTemplateValue);

        // Escape characters that can't be included in string literals.
        source += string.slice(index, offset).replace(reUnescapedString, escapeStringChar);

        // Replace delimiters with snippets.
        if (escapeValue) {
          isEscaping = true;
          source += "' +\n__e(" + escapeValue + ") +\n'";
        }
        if (evaluateValue) {
          isEvaluating = true;
          source += "';\n" + evaluateValue + ";\n__p += '";
        }
        if (interpolateValue) {
          source += "' +\n((__t = (" + interpolateValue + ")) == null ? '' : __t) +\n'";
        }
        index = offset + match.length;

        // The JS engine embedded in Adobe products needs `match` returned in
        // order to produce the correct `offset` value.
        return match;
      });

      source += "';\n";

      // If `variable` is not specified wrap a with-statement around the generated
      // code to add the data object to the top of the scope chain.
      var variable = hasOwnProperty.call(options, 'variable') && options.variable;
      if (!variable) {
        source = 'with (obj) {\n' + source + '\n}\n';
      }
      // Throw an error if a forbidden character was found in `variable`, to prevent
      // potential command injection attacks.
      else if (reForbiddenIdentifierChars.test(variable)) {
        throw new Error(INVALID_TEMPL_VAR_ERROR_TEXT);
      }

      // Cleanup code by stripping empty strings.
      source = (isEvaluating ? source.replace(reEmptyStringLeading, '') : source)
        .replace(reEmptyStringMiddle, '$1')
        .replace(reEmptyStringTrailing, '$1;');

      // Frame code as the function body.
      source = 'function(' + (variable || 'obj') + ') {\n' +
        (variable
          ? ''
          : 'obj || (obj = {});\n'
        ) +
        "var __t, __p = ''" +
        (isEscaping
           ? ', __e = _.escape'
           : ''
        ) +
        (isEvaluating
          ? ', __j = Array.prototype.join;\n' +
            "function print() { __p += __j.call(arguments, '') }\n"
          : ';\n'
        ) +
        source +
        'return __p\n}';

      var result = attempt(function() {
        return Function(importsKeys, sourceURL + 'return ' + source)
          .apply(undefined, importsValues);
      });

      // Provide the compiled function's source by its `toString` method or
      // the `source` property as a convenience for inlining compiled templates.
      result.source = source;
      if (isError(result)) {
        throw result;
      }
      return result;
    }

    /**
     * Converts `string`, as a whole, to lower case just like
     * [String#toLowerCase](https://mdn.io/toLowerCase).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the lower cased string.
     * @example
     *
     * _.toLower('--Foo-Bar--');
     * // => '--foo-bar--'
     *
     * _.toLower('fooBar');
     * // => 'foobar'
     *
     * _.toLower('__FOO_BAR__');
     * // => '__foo_bar__'
     */
    function toLower(value) {
      return toString(value).toLowerCase();
    }

    /**
     * Converts `string`, as a whole, to upper case just like
     * [String#toUpperCase](https://mdn.io/toUpperCase).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the upper cased string.
     * @example
     *
     * _.toUpper('--foo-bar--');
     * // => '--FOO-BAR--'
     *
     * _.toUpper('fooBar');
     * // => 'FOOBAR'
     *
     * _.toUpper('__foo_bar__');
     * // => '__FOO_BAR__'
     */
    function toUpper(value) {
      return toString(value).toUpperCase();
    }

    /**
     * Removes leading and trailing whitespace or specified characters from `string`.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to trim.
     * @param {string} [chars=whitespace] The characters to trim.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {string} Returns the trimmed string.
     * @example
     *
     * _.trim('  abc  ');
     * // => 'abc'
     *
     * _.trim('-_-abc-_-', '_-');
     * // => 'abc'
     *
     * _.map(['  foo  ', '  bar  '], _.trim);
     * // => ['foo', 'bar']
     */
    function trim(string, chars, guard) {
      string = toString(string);
      if (string && (guard || chars === undefined)) {
        return baseTrim(string);
      }
      if (!string || !(chars = baseToString(chars))) {
        return string;
      }
      var strSymbols = stringToArray(string),
          chrSymbols = stringToArray(chars),
          start = charsStartIndex(strSymbols, chrSymbols),
          end = charsEndIndex(strSymbols, chrSymbols) + 1;

      return castSlice(strSymbols, start, end).join('');
    }

    /**
     * Removes trailing whitespace or specified characters from `string`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to trim.
     * @param {string} [chars=whitespace] The characters to trim.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {string} Returns the trimmed string.
     * @example
     *
     * _.trimEnd('  abc  ');
     * // => '  abc'
     *
     * _.trimEnd('-_-abc-_-', '_-');
     * // => '-_-abc'
     */
    function trimEnd(string, chars, guard) {
      string = toString(string);
      if (string && (guard || chars === undefined)) {
        return string.slice(0, trimmedEndIndex(string) + 1);
      }
      if (!string || !(chars = baseToString(chars))) {
        return string;
      }
      var strSymbols = stringToArray(string),
          end = charsEndIndex(strSymbols, stringToArray(chars)) + 1;

      return castSlice(strSymbols, 0, end).join('');
    }

    /**
     * Removes leading whitespace or specified characters from `string`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to trim.
     * @param {string} [chars=whitespace] The characters to trim.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {string} Returns the trimmed string.
     * @example
     *
     * _.trimStart('  abc  ');
     * // => 'abc  '
     *
     * _.trimStart('-_-abc-_-', '_-');
     * // => 'abc-_-'
     */
    function trimStart(string, chars, guard) {
      string = toString(string);
      if (string && (guard || chars === undefined)) {
        return string.replace(reTrimStart, '');
      }
      if (!string || !(chars = baseToString(chars))) {
        return string;
      }
      var strSymbols = stringToArray(string),
          start = charsStartIndex(strSymbols, stringToArray(chars));

      return castSlice(strSymbols, start).join('');
    }

    /**
     * Truncates `string` if it's longer than the given maximum string length.
     * The last characters of the truncated string are replaced with the omission
     * string which defaults to "...".
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to truncate.
     * @param {Object} [options={}] The options object.
     * @param {number} [options.length=30] The maximum string length.
     * @param {string} [options.omission='...'] The string to indicate text is omitted.
     * @param {RegExp|string} [options.separator] The separator pattern to truncate to.
     * @returns {string} Returns the truncated string.
     * @example
     *
     * _.truncate('hi-diddly-ho there, neighborino');
     * // => 'hi-diddly-ho there, neighbo...'
     *
     * _.truncate('hi-diddly-ho there, neighborino', {
     *   'length': 24,
     *   'separator': ' '
     * });
     * // => 'hi-diddly-ho there,...'
     *
     * _.truncate('hi-diddly-ho there, neighborino', {
     *   'length': 24,
     *   'separator': /,? +/
     * });
     * // => 'hi-diddly-ho there...'
     *
     * _.truncate('hi-diddly-ho there, neighborino', {
     *   'omission': ' [...]'
     * });
     * // => 'hi-diddly-ho there, neig [...]'
     */
    function truncate(string, options) {
      var length = DEFAULT_TRUNC_LENGTH,
          omission = DEFAULT_TRUNC_OMISSION;

      if (isObject(options)) {
        var separator = 'separator' in options ? options.separator : separator;
        length = 'length' in options ? toInteger(options.length) : length;
        omission = 'omission' in options ? baseToString(options.omission) : omission;
      }
      string = toString(string);

      var strLength = string.length;
      if (hasUnicode(string)) {
        var strSymbols = stringToArray(string);
        strLength = strSymbols.length;
      }
      if (length >= strLength) {
        return string;
      }
      var end = length - stringSize(omission);
      if (end < 1) {
        return omission;
      }
      var result = strSymbols
        ? castSlice(strSymbols, 0, end).join('')
        : string.slice(0, end);

      if (separator === undefined) {
        return result + omission;
      }
      if (strSymbols) {
        end += (result.length - end);
      }
      if (isRegExp(separator)) {
        if (string.slice(end).search(separator)) {
          var match,
              substring = result;

          if (!separator.global) {
            separator = RegExp(separator.source, toString(reFlags.exec(separator)) + 'g');
          }
          separator.lastIndex = 0;
          while ((match = separator.exec(substring))) {
            var newEnd = match.index;
          }
          result = result.slice(0, newEnd === undefined ? end : newEnd);
        }
      } else if (string.indexOf(baseToString(separator), end) != end) {
        var index = result.lastIndexOf(separator);
        if (index > -1) {
          result = result.slice(0, index);
        }
      }
      return result + omission;
    }

    /**
     * The inverse of `_.escape`; this method converts the HTML entities
     * `&amp;`, `&lt;`, `&gt;`, `&quot;`, and `&#39;` in `string` to
     * their corresponding characters.
     *
     * **Note:** No other HTML entities are unescaped. To unescape additional
     * HTML entities use a third-party library like [_he_](https://mths.be/he).
     *
     * @static
     * @memberOf _
     * @since 0.6.0
     * @category String
     * @param {string} [string=''] The string to unescape.
     * @returns {string} Returns the unescaped string.
     * @example
     *
     * _.unescape('fred, barney, &amp; pebbles');
     * // => 'fred, barney, & pebbles'
     */
    function unescape(string) {
      string = toString(string);
      return (string && reHasEscapedHtml.test(string))
        ? string.replace(reEscapedHtml, unescapeHtmlChar)
        : string;
    }

    /**
     * Converts `string`, as space separated words, to upper case.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the upper cased string.
     * @example
     *
     * _.upperCase('--foo-bar');
     * // => 'FOO BAR'
     *
     * _.upperCase('fooBar');
     * // => 'FOO BAR'
     *
     * _.upperCase('__foo_bar__');
     * // => 'FOO BAR'
     */
    var upperCase = createCompounder(function(result, word, index) {
      return result + (index ? ' ' : '') + word.toUpperCase();
    });

    /**
     * Converts the first character of `string` to upper case.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category String
     * @param {string} [string=''] The string to convert.
     * @returns {string} Returns the converted string.
     * @example
     *
     * _.upperFirst('fred');
     * // => 'Fred'
     *
     * _.upperFirst('FRED');
     * // => 'FRED'
     */
    var upperFirst = createCaseFirst('toUpperCase');

    /**
     * Splits `string` into an array of its words.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category String
     * @param {string} [string=''] The string to inspect.
     * @param {RegExp|string} [pattern] The pattern to match words.
     * @param- {Object} [guard] Enables use as an iteratee for methods like `_.map`.
     * @returns {Array} Returns the words of `string`.
     * @example
     *
     * _.words('fred, barney, & pebbles');
     * // => ['fred', 'barney', 'pebbles']
     *
     * _.words('fred, barney, & pebbles', /[^, ]+/g);
     * // => ['fred', 'barney', '&', 'pebbles']
     */
    function words(string, pattern, guard) {
      string = toString(string);
      pattern = guard ? undefined : pattern;

      if (pattern === undefined) {
        return hasUnicodeWord(string) ? unicodeWords(string) : asciiWords(string);
      }
      return string.match(pattern) || [];
    }

    /*------------------------------------------------------------------------*/

    /**
     * Attempts to invoke `func`, returning either the result or the caught error
     * object. Any additional arguments are provided to `func` when it's invoked.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Util
     * @param {Function} func The function to attempt.
     * @param {...*} [args] The arguments to invoke `func` with.
     * @returns {*} Returns the `func` result or error object.
     * @example
     *
     * // Avoid throwing errors for invalid selectors.
     * var elements = _.attempt(function(selector) {
     *   return document.querySelectorAll(selector);
     * }, '>_>');
     *
     * if (_.isError(elements)) {
     *   elements = [];
     * }
     */
    var attempt = baseRest(function(func, args) {
      try {
        return apply(func, undefined, args);
      } catch (e) {
        return isError(e) ? e : new Error(e);
      }
    });

    /**
     * Binds methods of an object to the object itself, overwriting the existing
     * method.
     *
     * **Note:** This method doesn't set the "length" property of bound functions.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Util
     * @param {Object} object The object to bind and assign the bound methods to.
     * @param {...(string|string[])} methodNames The object method names to bind.
     * @returns {Object} Returns `object`.
     * @example
     *
     * var view = {
     *   'label': 'docs',
     *   'click': function() {
     *     console.log('clicked ' + this.label);
     *   }
     * };
     *
     * _.bindAll(view, ['click']);
     * jQuery(element).on('click', view.click);
     * // => Logs 'clicked docs' when clicked.
     */
    var bindAll = flatRest(function(object, methodNames) {
      arrayEach(methodNames, function(key) {
        key = toKey(key);
        baseAssignValue(object, key, bind(object[key], object));
      });
      return object;
    });

    /**
     * Creates a function that iterates over `pairs` and invokes the corresponding
     * function of the first predicate to return truthy. The predicate-function
     * pairs are invoked with the `this` binding and arguments of the created
     * function.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {Array} pairs The predicate-function pairs.
     * @returns {Function} Returns the new composite function.
     * @example
     *
     * var func = _.cond([
     *   [_.matches({ 'a': 1 }),           _.constant('matches A')],
     *   [_.conforms({ 'b': _.isNumber }), _.constant('matches B')],
     *   [_.stubTrue,                      _.constant('no match')]
     * ]);
     *
     * func({ 'a': 1, 'b': 2 });
     * // => 'matches A'
     *
     * func({ 'a': 0, 'b': 1 });
     * // => 'matches B'
     *
     * func({ 'a': '1', 'b': '2' });
     * // => 'no match'
     */
    function cond(pairs) {
      var length = pairs == null ? 0 : pairs.length,
          toIteratee = getIteratee();

      pairs = !length ? [] : arrayMap(pairs, function(pair) {
        if (typeof pair[1] != 'function') {
          throw new TypeError(FUNC_ERROR_TEXT);
        }
        return [toIteratee(pair[0]), pair[1]];
      });

      return baseRest(function(args) {
        var index = -1;
        while (++index < length) {
          var pair = pairs[index];
          if (apply(pair[0], this, args)) {
            return apply(pair[1], this, args);
          }
        }
      });
    }

    /**
     * Creates a function that invokes the predicate properties of `source` with
     * the corresponding property values of a given object, returning `true` if
     * all predicates return truthy, else `false`.
     *
     * **Note:** The created function is equivalent to `_.conformsTo` with
     * `source` partially applied.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {Object} source The object of property predicates to conform to.
     * @returns {Function} Returns the new spec function.
     * @example
     *
     * var objects = [
     *   { 'a': 2, 'b': 1 },
     *   { 'a': 1, 'b': 2 }
     * ];
     *
     * _.filter(objects, _.conforms({ 'b': function(n) { return n > 1; } }));
     * // => [{ 'a': 1, 'b': 2 }]
     */
    function conforms(source) {
      return baseConforms(baseClone(source, CLONE_DEEP_FLAG));
    }

    /**
     * Creates a function that returns `value`.
     *
     * @static
     * @memberOf _
     * @since 2.4.0
     * @category Util
     * @param {*} value The value to return from the new function.
     * @returns {Function} Returns the new constant function.
     * @example
     *
     * var objects = _.times(2, _.constant({ 'a': 1 }));
     *
     * console.log(objects);
     * // => [{ 'a': 1 }, { 'a': 1 }]
     *
     * console.log(objects[0] === objects[1]);
     * // => true
     */
    function constant(value) {
      return function() {
        return value;
      };
    }

    /**
     * Checks `value` to determine whether a default value should be returned in
     * its place. The `defaultValue` is returned if `value` is `NaN`, `null`,
     * or `undefined`.
     *
     * @static
     * @memberOf _
     * @since 4.14.0
     * @category Util
     * @param {*} value The value to check.
     * @param {*} defaultValue The default value.
     * @returns {*} Returns the resolved value.
     * @example
     *
     * _.defaultTo(1, 10);
     * // => 1
     *
     * _.defaultTo(undefined, 10);
     * // => 10
     */
    function defaultTo(value, defaultValue) {
      return (value == null || value !== value) ? defaultValue : value;
    }

    /**
     * Creates a function that returns the result of invoking the given functions
     * with the `this` binding of the created function, where each successive
     * invocation is supplied the return value of the previous.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Util
     * @param {...(Function|Function[])} [funcs] The functions to invoke.
     * @returns {Function} Returns the new composite function.
     * @see _.flowRight
     * @example
     *
     * function square(n) {
     *   return n * n;
     * }
     *
     * var addSquare = _.flow([_.add, square]);
     * addSquare(1, 2);
     * // => 9
     */
    var flow = createFlow();

    /**
     * This method is like `_.flow` except that it creates a function that
     * invokes the given functions from right to left.
     *
     * @static
     * @since 3.0.0
     * @memberOf _
     * @category Util
     * @param {...(Function|Function[])} [funcs] The functions to invoke.
     * @returns {Function} Returns the new composite function.
     * @see _.flow
     * @example
     *
     * function square(n) {
     *   return n * n;
     * }
     *
     * var addSquare = _.flowRight([square, _.add]);
     * addSquare(1, 2);
     * // => 9
     */
    var flowRight = createFlow(true);

    /**
     * This method returns the first argument it receives.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Util
     * @param {*} value Any value.
     * @returns {*} Returns `value`.
     * @example
     *
     * var object = { 'a': 1 };
     *
     * console.log(_.identity(object) === object);
     * // => true
     */
    function identity(value) {
      return value;
    }

    /**
     * Creates a function that invokes `func` with the arguments of the created
     * function. If `func` is a property name, the created function returns the
     * property value for a given element. If `func` is an array or object, the
     * created function returns `true` for elements that contain the equivalent
     * source properties, otherwise it returns `false`.
     *
     * @static
     * @since 4.0.0
     * @memberOf _
     * @category Util
     * @param {*} [func=_.identity] The value to convert to a callback.
     * @returns {Function} Returns the callback.
     * @example
     *
     * var users = [
     *   { 'user': 'barney', 'age': 36, 'active': true },
     *   { 'user': 'fred',   'age': 40, 'active': false }
     * ];
     *
     * // The `_.matches` iteratee shorthand.
     * _.filter(users, _.iteratee({ 'user': 'barney', 'active': true }));
     * // => [{ 'user': 'barney', 'age': 36, 'active': true }]
     *
     * // The `_.matchesProperty` iteratee shorthand.
     * _.filter(users, _.iteratee(['user', 'fred']));
     * // => [{ 'user': 'fred', 'age': 40 }]
     *
     * // The `_.property` iteratee shorthand.
     * _.map(users, _.iteratee('user'));
     * // => ['barney', 'fred']
     *
     * // Create custom iteratee shorthands.
     * _.iteratee = _.wrap(_.iteratee, function(iteratee, func) {
     *   return !_.isRegExp(func) ? iteratee(func) : function(string) {
     *     return func.test(string);
     *   };
     * });
     *
     * _.filter(['abc', 'def'], /ef/);
     * // => ['def']
     */
    function iteratee(func) {
      return baseIteratee(typeof func == 'function' ? func : baseClone(func, CLONE_DEEP_FLAG));
    }

    /**
     * Creates a function that performs a partial deep comparison between a given
     * object and `source`, returning `true` if the given object has equivalent
     * property values, else `false`.
     *
     * **Note:** The created function is equivalent to `_.isMatch` with `source`
     * partially applied.
     *
     * Partial comparisons will match empty array and empty object `source`
     * values against any array or object value, respectively. See `_.isEqual`
     * for a list of supported value comparisons.
     *
     * **Note:** Multiple values can be checked by combining several matchers
     * using `_.overSome`
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Util
     * @param {Object} source The object of property values to match.
     * @returns {Function} Returns the new spec function.
     * @example
     *
     * var objects = [
     *   { 'a': 1, 'b': 2, 'c': 3 },
     *   { 'a': 4, 'b': 5, 'c': 6 }
     * ];
     *
     * _.filter(objects, _.matches({ 'a': 4, 'c': 6 }));
     * // => [{ 'a': 4, 'b': 5, 'c': 6 }]
     *
     * // Checking for several possible values
     * _.filter(objects, _.overSome([_.matches({ 'a': 1 }), _.matches({ 'a': 4 })]));
     * // => [{ 'a': 1, 'b': 2, 'c': 3 }, { 'a': 4, 'b': 5, 'c': 6 }]
     */
    function matches(source) {
      return baseMatches(baseClone(source, CLONE_DEEP_FLAG));
    }

    /**
     * Creates a function that performs a partial deep comparison between the
     * value at `path` of a given object to `srcValue`, returning `true` if the
     * object value is equivalent, else `false`.
     *
     * **Note:** Partial comparisons will match empty array and empty object
     * `srcValue` values against any array or object value, respectively. See
     * `_.isEqual` for a list of supported value comparisons.
     *
     * **Note:** Multiple values can be checked by combining several matchers
     * using `_.overSome`
     *
     * @static
     * @memberOf _
     * @since 3.2.0
     * @category Util
     * @param {Array|string} path The path of the property to get.
     * @param {*} srcValue The value to match.
     * @returns {Function} Returns the new spec function.
     * @example
     *
     * var objects = [
     *   { 'a': 1, 'b': 2, 'c': 3 },
     *   { 'a': 4, 'b': 5, 'c': 6 }
     * ];
     *
     * _.find(objects, _.matchesProperty('a', 4));
     * // => { 'a': 4, 'b': 5, 'c': 6 }
     *
     * // Checking for several possible values
     * _.filter(objects, _.overSome([_.matchesProperty('a', 1), _.matchesProperty('a', 4)]));
     * // => [{ 'a': 1, 'b': 2, 'c': 3 }, { 'a': 4, 'b': 5, 'c': 6 }]
     */
    function matchesProperty(path, srcValue) {
      return baseMatchesProperty(path, baseClone(srcValue, CLONE_DEEP_FLAG));
    }

    /**
     * Creates a function that invokes the method at `path` of a given object.
     * Any additional arguments are provided to the invoked method.
     *
     * @static
     * @memberOf _
     * @since 3.7.0
     * @category Util
     * @param {Array|string} path The path of the method to invoke.
     * @param {...*} [args] The arguments to invoke the method with.
     * @returns {Function} Returns the new invoker function.
     * @example
     *
     * var objects = [
     *   { 'a': { 'b': _.constant(2) } },
     *   { 'a': { 'b': _.constant(1) } }
     * ];
     *
     * _.map(objects, _.method('a.b'));
     * // => [2, 1]
     *
     * _.map(objects, _.method(['a', 'b']));
     * // => [2, 1]
     */
    var method = baseRest(function(path, args) {
      return function(object) {
        return baseInvoke(object, path, args);
      };
    });

    /**
     * The opposite of `_.method`; this method creates a function that invokes
     * the method at a given path of `object`. Any additional arguments are
     * provided to the invoked method.
     *
     * @static
     * @memberOf _
     * @since 3.7.0
     * @category Util
     * @param {Object} object The object to query.
     * @param {...*} [args] The arguments to invoke the method with.
     * @returns {Function} Returns the new invoker function.
     * @example
     *
     * var array = _.times(3, _.constant),
     *     object = { 'a': array, 'b': array, 'c': array };
     *
     * _.map(['a[2]', 'c[0]'], _.methodOf(object));
     * // => [2, 0]
     *
     * _.map([['a', '2'], ['c', '0']], _.methodOf(object));
     * // => [2, 0]
     */
    var methodOf = baseRest(function(object, args) {
      return function(path) {
        return baseInvoke(object, path, args);
      };
    });

    /**
     * Adds all own enumerable string keyed function properties of a source
     * object to the destination object. If `object` is a function, then methods
     * are added to its prototype as well.
     *
     * **Note:** Use `_.runInContext` to create a pristine `lodash` function to
     * avoid conflicts caused by modifying the original.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Util
     * @param {Function|Object} [object=lodash] The destination object.
     * @param {Object} source The object of functions to add.
     * @param {Object} [options={}] The options object.
     * @param {boolean} [options.chain=true] Specify whether mixins are chainable.
     * @returns {Function|Object} Returns `object`.
     * @example
     *
     * function vowels(string) {
     *   return _.filter(string, function(v) {
     *     return /[aeiou]/i.test(v);
     *   });
     * }
     *
     * _.mixin({ 'vowels': vowels });
     * _.vowels('fred');
     * // => ['e']
     *
     * _('fred').vowels().value();
     * // => ['e']
     *
     * _.mixin({ 'vowels': vowels }, { 'chain': false });
     * _('fred').vowels();
     * // => ['e']
     */
    function mixin(object, source, options) {
      var props = keys(source),
          methodNames = baseFunctions(source, props);

      if (options == null &&
          !(isObject(source) && (methodNames.length || !props.length))) {
        options = source;
        source = object;
        object = this;
        methodNames = baseFunctions(source, keys(source));
      }
      var chain = !(isObject(options) && 'chain' in options) || !!options.chain,
          isFunc = isFunction(object);

      arrayEach(methodNames, function(methodName) {
        var func = source[methodName];
        object[methodName] = func;
        if (isFunc) {
          object.prototype[methodName] = function() {
            var chainAll = this.__chain__;
            if (chain || chainAll) {
              var result = object(this.__wrapped__),
                  actions = result.__actions__ = copyArray(this.__actions__);

              actions.push({ 'func': func, 'args': arguments, 'thisArg': object });
              result.__chain__ = chainAll;
              return result;
            }
            return func.apply(object, arrayPush([this.value()], arguments));
          };
        }
      });

      return object;
    }

    /**
     * Reverts the `_` variable to its previous value and returns a reference to
     * the `lodash` function.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Util
     * @returns {Function} Returns the `lodash` function.
     * @example
     *
     * var lodash = _.noConflict();
     */
    function noConflict() {
      if (root._ === this) {
        root._ = oldDash;
      }
      return this;
    }

    /**
     * This method returns `undefined`.
     *
     * @static
     * @memberOf _
     * @since 2.3.0
     * @category Util
     * @example
     *
     * _.times(2, _.noop);
     * // => [undefined, undefined]
     */
    function noop() {
      // No operation performed.
    }

    /**
     * Creates a function that gets the argument at index `n`. If `n` is negative,
     * the nth argument from the end is returned.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {number} [n=0] The index of the argument to return.
     * @returns {Function} Returns the new pass-thru function.
     * @example
     *
     * var func = _.nthArg(1);
     * func('a', 'b', 'c', 'd');
     * // => 'b'
     *
     * var func = _.nthArg(-2);
     * func('a', 'b', 'c', 'd');
     * // => 'c'
     */
    function nthArg(n) {
      n = toInteger(n);
      return baseRest(function(args) {
        return baseNth(args, n);
      });
    }

    /**
     * Creates a function that invokes `iteratees` with the arguments it receives
     * and returns their results.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {...(Function|Function[])} [iteratees=[_.identity]]
     *  The iteratees to invoke.
     * @returns {Function} Returns the new function.
     * @example
     *
     * var func = _.over([Math.max, Math.min]);
     *
     * func(1, 2, 3, 4);
     * // => [4, 1]
     */
    var over = createOver(arrayMap);

    /**
     * Creates a function that checks if **all** of the `predicates` return
     * truthy when invoked with the arguments it receives.
     *
     * Following shorthands are possible for providing predicates.
     * Pass an `Object` and it will be used as an parameter for `_.matches` to create the predicate.
     * Pass an `Array` of parameters for `_.matchesProperty` and the predicate will be created using them.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {...(Function|Function[])} [predicates=[_.identity]]
     *  The predicates to check.
     * @returns {Function} Returns the new function.
     * @example
     *
     * var func = _.overEvery([Boolean, isFinite]);
     *
     * func('1');
     * // => true
     *
     * func(null);
     * // => false
     *
     * func(NaN);
     * // => false
     */
    var overEvery = createOver(arrayEvery);

    /**
     * Creates a function that checks if **any** of the `predicates` return
     * truthy when invoked with the arguments it receives.
     *
     * Following shorthands are possible for providing predicates.
     * Pass an `Object` and it will be used as an parameter for `_.matches` to create the predicate.
     * Pass an `Array` of parameters for `_.matchesProperty` and the predicate will be created using them.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {...(Function|Function[])} [predicates=[_.identity]]
     *  The predicates to check.
     * @returns {Function} Returns the new function.
     * @example
     *
     * var func = _.overSome([Boolean, isFinite]);
     *
     * func('1');
     * // => true
     *
     * func(null);
     * // => true
     *
     * func(NaN);
     * // => false
     *
     * var matchesFunc = _.overSome([{ 'a': 1 }, { 'a': 2 }])
     * var matchesPropertyFunc = _.overSome([['a', 1], ['a', 2]])
     */
    var overSome = createOver(arraySome);

    /**
     * Creates a function that returns the value at `path` of a given object.
     *
     * @static
     * @memberOf _
     * @since 2.4.0
     * @category Util
     * @param {Array|string} path The path of the property to get.
     * @returns {Function} Returns the new accessor function.
     * @example
     *
     * var objects = [
     *   { 'a': { 'b': 2 } },
     *   { 'a': { 'b': 1 } }
     * ];
     *
     * _.map(objects, _.property('a.b'));
     * // => [2, 1]
     *
     * _.map(_.sortBy(objects, _.property(['a', 'b'])), 'a.b');
     * // => [1, 2]
     */
    function property(path) {
      return isKey(path) ? baseProperty(toKey(path)) : basePropertyDeep(path);
    }

    /**
     * The opposite of `_.property`; this method creates a function that returns
     * the value at a given path of `object`.
     *
     * @static
     * @memberOf _
     * @since 3.0.0
     * @category Util
     * @param {Object} object The object to query.
     * @returns {Function} Returns the new accessor function.
     * @example
     *
     * var array = [0, 1, 2],
     *     object = { 'a': array, 'b': array, 'c': array };
     *
     * _.map(['a[2]', 'c[0]'], _.propertyOf(object));
     * // => [2, 0]
     *
     * _.map([['a', '2'], ['c', '0']], _.propertyOf(object));
     * // => [2, 0]
     */
    function propertyOf(object) {
      return function(path) {
        return object == null ? undefined : baseGet(object, path);
      };
    }

    /**
     * Creates an array of numbers (positive and/or negative) progressing from
     * `start` up to, but not including, `end`. A step of `-1` is used if a negative
     * `start` is specified without an `end` or `step`. If `end` is not specified,
     * it's set to `start` with `start` then set to `0`.
     *
     * **Note:** JavaScript follows the IEEE-754 standard for resolving
     * floating-point values which can produce unexpected results.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Util
     * @param {number} [start=0] The start of the range.
     * @param {number} end The end of the range.
     * @param {number} [step=1] The value to increment or decrement by.
     * @returns {Array} Returns the range of numbers.
     * @see _.inRange, _.rangeRight
     * @example
     *
     * _.range(4);
     * // => [0, 1, 2, 3]
     *
     * _.range(-4);
     * // => [0, -1, -2, -3]
     *
     * _.range(1, 5);
     * // => [1, 2, 3, 4]
     *
     * _.range(0, 20, 5);
     * // => [0, 5, 10, 15]
     *
     * _.range(0, -4, -1);
     * // => [0, -1, -2, -3]
     *
     * _.range(1, 4, 0);
     * // => [1, 1, 1]
     *
     * _.range(0);
     * // => []
     */
    var range = createRange();

    /**
     * This method is like `_.range` except that it populates values in
     * descending order.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {number} [start=0] The start of the range.
     * @param {number} end The end of the range.
     * @param {number} [step=1] The value to increment or decrement by.
     * @returns {Array} Returns the range of numbers.
     * @see _.inRange, _.range
     * @example
     *
     * _.rangeRight(4);
     * // => [3, 2, 1, 0]
     *
     * _.rangeRight(-4);
     * // => [-3, -2, -1, 0]
     *
     * _.rangeRight(1, 5);
     * // => [4, 3, 2, 1]
     *
     * _.rangeRight(0, 20, 5);
     * // => [15, 10, 5, 0]
     *
     * _.rangeRight(0, -4, -1);
     * // => [-3, -2, -1, 0]
     *
     * _.rangeRight(1, 4, 0);
     * // => [1, 1, 1]
     *
     * _.rangeRight(0);
     * // => []
     */
    var rangeRight = createRange(true);

    /**
     * This method returns a new empty array.
     *
     * @static
     * @memberOf _
     * @since 4.13.0
     * @category Util
     * @returns {Array} Returns the new empty array.
     * @example
     *
     * var arrays = _.times(2, _.stubArray);
     *
     * console.log(arrays);
     * // => [[], []]
     *
     * console.log(arrays[0] === arrays[1]);
     * // => false
     */
    function stubArray() {
      return [];
    }

    /**
     * This method returns `false`.
     *
     * @static
     * @memberOf _
     * @since 4.13.0
     * @category Util
     * @returns {boolean} Returns `false`.
     * @example
     *
     * _.times(2, _.stubFalse);
     * // => [false, false]
     */
    function stubFalse() {
      return false;
    }

    /**
     * This method returns a new empty object.
     *
     * @static
     * @memberOf _
     * @since 4.13.0
     * @category Util
     * @returns {Object} Returns the new empty object.
     * @example
     *
     * var objects = _.times(2, _.stubObject);
     *
     * console.log(objects);
     * // => [{}, {}]
     *
     * console.log(objects[0] === objects[1]);
     * // => false
     */
    function stubObject() {
      return {};
    }

    /**
     * This method returns an empty string.
     *
     * @static
     * @memberOf _
     * @since 4.13.0
     * @category Util
     * @returns {string} Returns the empty string.
     * @example
     *
     * _.times(2, _.stubString);
     * // => ['', '']
     */
    function stubString() {
      return '';
    }

    /**
     * This method returns `true`.
     *
     * @static
     * @memberOf _
     * @since 4.13.0
     * @category Util
     * @returns {boolean} Returns `true`.
     * @example
     *
     * _.times(2, _.stubTrue);
     * // => [true, true]
     */
    function stubTrue() {
      return true;
    }

    /**
     * Invokes the iteratee `n` times, returning an array of the results of
     * each invocation. The iteratee is invoked with one argument; (index).
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Util
     * @param {number} n The number of times to invoke `iteratee`.
     * @param {Function} [iteratee=_.identity] The function invoked per iteration.
     * @returns {Array} Returns the array of results.
     * @example
     *
     * _.times(3, String);
     * // => ['0', '1', '2']
     *
     *  _.times(4, _.constant(0));
     * // => [0, 0, 0, 0]
     */
    function times(n, iteratee) {
      n = toInteger(n);
      if (n < 1 || n > MAX_SAFE_INTEGER) {
        return [];
      }
      var index = MAX_ARRAY_LENGTH,
          length = nativeMin(n, MAX_ARRAY_LENGTH);

      iteratee = getIteratee(iteratee);
      n -= MAX_ARRAY_LENGTH;

      var result = baseTimes(length, iteratee);
      while (++index < n) {
        iteratee(index);
      }
      return result;
    }

    /**
     * Converts `value` to a property path array.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Util
     * @param {*} value The value to convert.
     * @returns {Array} Returns the new property path array.
     * @example
     *
     * _.toPath('a.b.c');
     * // => ['a', 'b', 'c']
     *
     * _.toPath('a[0].b.c');
     * // => ['a', '0', 'b', 'c']
     */
    function toPath(value) {
      if (isArray(value)) {
        return arrayMap(value, toKey);
      }
      return isSymbol(value) ? [value] : copyArray(stringToPath(toString(value)));
    }

    /**
     * Generates a unique ID. If `prefix` is given, the ID is appended to it.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Util
     * @param {string} [prefix=''] The value to prefix the ID with.
     * @returns {string} Returns the unique ID.
     * @example
     *
     * _.uniqueId('contact_');
     * // => 'contact_104'
     *
     * _.uniqueId();
     * // => '105'
     */
    function uniqueId(prefix) {
      var id = ++idCounter;
      return toString(prefix) + id;
    }

    /*------------------------------------------------------------------------*/

    /**
     * Adds two numbers.
     *
     * @static
     * @memberOf _
     * @since 3.4.0
     * @category Math
     * @param {number} augend The first number in an addition.
     * @param {number} addend The second number in an addition.
     * @returns {number} Returns the total.
     * @example
     *
     * _.add(6, 4);
     * // => 10
     */
    var add = createMathOperation(function(augend, addend) {
      return augend + addend;
    }, 0);

    /**
     * Computes `number` rounded up to `precision`.
     *
     * @static
     * @memberOf _
     * @since 3.10.0
     * @category Math
     * @param {number} number The number to round up.
     * @param {number} [precision=0] The precision to round up to.
     * @returns {number} Returns the rounded up number.
     * @example
     *
     * _.ceil(4.006);
     * // => 5
     *
     * _.ceil(6.004, 2);
     * // => 6.01
     *
     * _.ceil(6040, -2);
     * // => 6100
     */
    var ceil = createRound('ceil');

    /**
     * Divide two numbers.
     *
     * @static
     * @memberOf _
     * @since 4.7.0
     * @category Math
     * @param {number} dividend The first number in a division.
     * @param {number} divisor The second number in a division.
     * @returns {number} Returns the quotient.
     * @example
     *
     * _.divide(6, 4);
     * // => 1.5
     */
    var divide = createMathOperation(function(dividend, divisor) {
      return dividend / divisor;
    }, 1);

    /**
     * Computes `number` rounded down to `precision`.
     *
     * @static
     * @memberOf _
     * @since 3.10.0
     * @category Math
     * @param {number} number The number to round down.
     * @param {number} [precision=0] The precision to round down to.
     * @returns {number} Returns the rounded down number.
     * @example
     *
     * _.floor(4.006);
     * // => 4
     *
     * _.floor(0.046, 2);
     * // => 0.04
     *
     * _.floor(4060, -2);
     * // => 4000
     */
    var floor = createRound('floor');

    /**
     * Computes the maximum value of `array`. If `array` is empty or falsey,
     * `undefined` is returned.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Math
     * @param {Array} array The array to iterate over.
     * @returns {*} Returns the maximum value.
     * @example
     *
     * _.max([4, 2, 8, 6]);
     * // => 8
     *
     * _.max([]);
     * // => undefined
     */
    function max(array) {
      return (array && array.length)
        ? baseExtremum(array, identity, baseGt)
        : undefined;
    }

    /**
     * This method is like `_.max` except that it accepts `iteratee` which is
     * invoked for each element in `array` to generate the criterion by which
     * the value is ranked. The iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Math
     * @param {Array} array The array to iterate over.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {*} Returns the maximum value.
     * @example
     *
     * var objects = [{ 'n': 1 }, { 'n': 2 }];
     *
     * _.maxBy(objects, function(o) { return o.n; });
     * // => { 'n': 2 }
     *
     * // The `_.property` iteratee shorthand.
     * _.maxBy(objects, 'n');
     * // => { 'n': 2 }
     */
    function maxBy(array, iteratee) {
      return (array && array.length)
        ? baseExtremum(array, getIteratee(iteratee, 2), baseGt)
        : undefined;
    }

    /**
     * Computes the mean of the values in `array`.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Math
     * @param {Array} array The array to iterate over.
     * @returns {number} Returns the mean.
     * @example
     *
     * _.mean([4, 2, 8, 6]);
     * // => 5
     */
    function mean(array) {
      return baseMean(array, identity);
    }

    /**
     * This method is like `_.mean` except that it accepts `iteratee` which is
     * invoked for each element in `array` to generate the value to be averaged.
     * The iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.7.0
     * @category Math
     * @param {Array} array The array to iterate over.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {number} Returns the mean.
     * @example
     *
     * var objects = [{ 'n': 4 }, { 'n': 2 }, { 'n': 8 }, { 'n': 6 }];
     *
     * _.meanBy(objects, function(o) { return o.n; });
     * // => 5
     *
     * // The `_.property` iteratee shorthand.
     * _.meanBy(objects, 'n');
     * // => 5
     */
    function meanBy(array, iteratee) {
      return baseMean(array, getIteratee(iteratee, 2));
    }

    /**
     * Computes the minimum value of `array`. If `array` is empty or falsey,
     * `undefined` is returned.
     *
     * @static
     * @since 0.1.0
     * @memberOf _
     * @category Math
     * @param {Array} array The array to iterate over.
     * @returns {*} Returns the minimum value.
     * @example
     *
     * _.min([4, 2, 8, 6]);
     * // => 2
     *
     * _.min([]);
     * // => undefined
     */
    function min(array) {
      return (array && array.length)
        ? baseExtremum(array, identity, baseLt)
        : undefined;
    }

    /**
     * This method is like `_.min` except that it accepts `iteratee` which is
     * invoked for each element in `array` to generate the criterion by which
     * the value is ranked. The iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Math
     * @param {Array} array The array to iterate over.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {*} Returns the minimum value.
     * @example
     *
     * var objects = [{ 'n': 1 }, { 'n': 2 }];
     *
     * _.minBy(objects, function(o) { return o.n; });
     * // => { 'n': 1 }
     *
     * // The `_.property` iteratee shorthand.
     * _.minBy(objects, 'n');
     * // => { 'n': 1 }
     */
    function minBy(array, iteratee) {
      return (array && array.length)
        ? baseExtremum(array, getIteratee(iteratee, 2), baseLt)
        : undefined;
    }

    /**
     * Multiply two numbers.
     *
     * @static
     * @memberOf _
     * @since 4.7.0
     * @category Math
     * @param {number} multiplier The first number in a multiplication.
     * @param {number} multiplicand The second number in a multiplication.
     * @returns {number} Returns the product.
     * @example
     *
     * _.multiply(6, 4);
     * // => 24
     */
    var multiply = createMathOperation(function(multiplier, multiplicand) {
      return multiplier * multiplicand;
    }, 1);

    /**
     * Computes `number` rounded to `precision`.
     *
     * @static
     * @memberOf _
     * @since 3.10.0
     * @category Math
     * @param {number} number The number to round.
     * @param {number} [precision=0] The precision to round to.
     * @returns {number} Returns the rounded number.
     * @example
     *
     * _.round(4.006);
     * // => 4
     *
     * _.round(4.006, 2);
     * // => 4.01
     *
     * _.round(4060, -2);
     * // => 4100
     */
    var round = createRound('round');

    /**
     * Subtract two numbers.
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Math
     * @param {number} minuend The first number in a subtraction.
     * @param {number} subtrahend The second number in a subtraction.
     * @returns {number} Returns the difference.
     * @example
     *
     * _.subtract(6, 4);
     * // => 2
     */
    var subtract = createMathOperation(function(minuend, subtrahend) {
      return minuend - subtrahend;
    }, 0);

    /**
     * Computes the sum of the values in `array`.
     *
     * @static
     * @memberOf _
     * @since 3.4.0
     * @category Math
     * @param {Array} array The array to iterate over.
     * @returns {number} Returns the sum.
     * @example
     *
     * _.sum([4, 2, 8, 6]);
     * // => 20
     */
    function sum(array) {
      return (array && array.length)
        ? baseSum(array, identity)
        : 0;
    }

    /**
     * This method is like `_.sum` except that it accepts `iteratee` which is
     * invoked for each element in `array` to generate the value to be summed.
     * The iteratee is invoked with one argument: (value).
     *
     * @static
     * @memberOf _
     * @since 4.0.0
     * @category Math
     * @param {Array} array The array to iterate over.
     * @param {Function} [iteratee=_.identity] The iteratee invoked per element.
     * @returns {number} Returns the sum.
     * @example
     *
     * var objects = [{ 'n': 4 }, { 'n': 2 }, { 'n': 8 }, { 'n': 6 }];
     *
     * _.sumBy(objects, function(o) { return o.n; });
     * // => 20
     *
     * // The `_.property` iteratee shorthand.
     * _.sumBy(objects, 'n');
     * // => 20
     */
    function sumBy(array, iteratee) {
      return (array && array.length)
        ? baseSum(array, getIteratee(iteratee, 2))
        : 0;
    }

    /*------------------------------------------------------------------------*/

    // Add methods that return wrapped values in chain sequences.
    lodash.after = after;
    lodash.ary = ary;
    lodash.assign = assign;
    lodash.assignIn = assignIn;
    lodash.assignInWith = assignInWith;
    lodash.assignWith = assignWith;
    lodash.at = at;
    lodash.before = before;
    lodash.bind = bind;
    lodash.bindAll = bindAll;
    lodash.bindKey = bindKey;
    lodash.castArray = castArray;
    lodash.chain = chain;
    lodash.chunk = chunk;
    lodash.compact = compact;
    lodash.concat = concat;
    lodash.cond = cond;
    lodash.conforms = conforms;
    lodash.constant = constant;
    lodash.countBy = countBy;
    lodash.create = create;
    lodash.curry = curry;
    lodash.curryRight = curryRight;
    lodash.debounce = debounce;
    lodash.defaults = defaults;
    lodash.defaultsDeep = defaultsDeep;
    lodash.defer = defer;
    lodash.delay = delay;
    lodash.difference = difference;
    lodash.differenceBy = differenceBy;
    lodash.differenceWith = differenceWith;
    lodash.drop = drop;
    lodash.dropRight = dropRight;
    lodash.dropRightWhile = dropRightWhile;
    lodash.dropWhile = dropWhile;
    lodash.fill = fill;
    lodash.filter = filter;
    lodash.flatMap = flatMap;
    lodash.flatMapDeep = flatMapDeep;
    lodash.flatMapDepth = flatMapDepth;
    lodash.flatten = flatten;
    lodash.flattenDeep = flattenDeep;
    lodash.flattenDepth = flattenDepth;
    lodash.flip = flip;
    lodash.flow = flow;
    lodash.flowRight = flowRight;
    lodash.fromPairs = fromPairs;
    lodash.functions = functions;
    lodash.functionsIn = functionsIn;
    lodash.groupBy = groupBy;
    lodash.initial = initial;
    lodash.intersection = intersection;
    lodash.intersectionBy = intersectionBy;
    lodash.intersectionWith = intersectionWith;
    lodash.invert = invert;
    lodash.invertBy = invertBy;
    lodash.invokeMap = invokeMap;
    lodash.iteratee = iteratee;
    lodash.keyBy = keyBy;
    lodash.keys = keys;
    lodash.keysIn = keysIn;
    lodash.map = map;
    lodash.mapKeys = mapKeys;
    lodash.mapValues = mapValues;
    lodash.matches = matches;
    lodash.matchesProperty = matchesProperty;
    lodash.memoize = memoize;
    lodash.merge = merge;
    lodash.mergeWith = mergeWith;
    lodash.method = method;
    lodash.methodOf = methodOf;
    lodash.mixin = mixin;
    lodash.negate = negate;
    lodash.nthArg = nthArg;
    lodash.omit = omit;
    lodash.omitBy = omitBy;
    lodash.once = once;
    lodash.orderBy = orderBy;
    lodash.over = over;
    lodash.overArgs = overArgs;
    lodash.overEvery = overEvery;
    lodash.overSome = overSome;
    lodash.partial = partial;
    lodash.partialRight = partialRight;
    lodash.partition = partition;
    lodash.pick = pick;
    lodash.pickBy = pickBy;
    lodash.property = property;
    lodash.propertyOf = propertyOf;
    lodash.pull = pull;
    lodash.pullAll = pullAll;
    lodash.pullAllBy = pullAllBy;
    lodash.pullAllWith = pullAllWith;
    lodash.pullAt = pullAt;
    lodash.range = range;
    lodash.rangeRight = rangeRight;
    lodash.rearg = rearg;
    lodash.reject = reject;
    lodash.remove = remove;
    lodash.rest = rest;
    lodash.reverse = reverse;
    lodash.sampleSize = sampleSize;
    lodash.set = set;
    lodash.setWith = setWith;
    lodash.shuffle = shuffle;
    lodash.slice = slice;
    lodash.sortBy = sortBy;
    lodash.sortedUniq = sortedUniq;
    lodash.sortedUniqBy = sortedUniqBy;
    lodash.split = split;
    lodash.spread = spread;
    lodash.tail = tail;
    lodash.take = take;
    lodash.takeRight = takeRight;
    lodash.takeRightWhile = takeRightWhile;
    lodash.takeWhile = takeWhile;
    lodash.tap = tap;
    lodash.throttle = throttle;
    lodash.thru = thru;
    lodash.toArray = toArray;
    lodash.toPairs = toPairs;
    lodash.toPairsIn = toPairsIn;
    lodash.toPath = toPath;
    lodash.toPlainObject = toPlainObject;
    lodash.transform = transform;
    lodash.unary = unary;
    lodash.union = union;
    lodash.unionBy = unionBy;
    lodash.unionWith = unionWith;
    lodash.uniq = uniq;
    lodash.uniqBy = uniqBy;
    lodash.uniqWith = uniqWith;
    lodash.unset = unset;
    lodash.unzip = unzip;
    lodash.unzipWith = unzipWith;
    lodash.update = update;
    lodash.updateWith = updateWith;
    lodash.values = values;
    lodash.valuesIn = valuesIn;
    lodash.without = without;
    lodash.words = words;
    lodash.wrap = wrap;
    lodash.xor = xor;
    lodash.xorBy = xorBy;
    lodash.xorWith = xorWith;
    lodash.zip = zip;
    lodash.zipObject = zipObject;
    lodash.zipObjectDeep = zipObjectDeep;
    lodash.zipWith = zipWith;

    // Add aliases.
    lodash.entries = toPairs;
    lodash.entriesIn = toPairsIn;
    lodash.extend = assignIn;
    lodash.extendWith = assignInWith;

    // Add methods to `lodash.prototype`.
    mixin(lodash, lodash);

    /*------------------------------------------------------------------------*/

    // Add methods that return unwrapped values in chain sequences.
    lodash.add = add;
    lodash.attempt = attempt;
    lodash.camelCase = camelCase;
    lodash.capitalize = capitalize;
    lodash.ceil = ceil;
    lodash.clamp = clamp;
    lodash.clone = clone;
    lodash.cloneDeep = cloneDeep;
    lodash.cloneDeepWith = cloneDeepWith;
    lodash.cloneWith = cloneWith;
    lodash.conformsTo = conformsTo;
    lodash.deburr = deburr;
    lodash.defaultTo = defaultTo;
    lodash.divide = divide;
    lodash.endsWith = endsWith;
    lodash.eq = eq;
    lodash.escape = escape;
    lodash.escapeRegExp = escapeRegExp;
    lodash.every = every;
    lodash.find = find;
    lodash.findIndex = findIndex;
    lodash.findKey = findKey;
    lodash.findLast = findLast;
    lodash.findLastIndex = findLastIndex;
    lodash.findLastKey = findLastKey;
    lodash.floor = floor;
    lodash.forEach = forEach;
    lodash.forEachRight = forEachRight;
    lodash.forIn = forIn;
    lodash.forInRight = forInRight;
    lodash.forOwn = forOwn;
    lodash.forOwnRight = forOwnRight;
    lodash.get = get;
    lodash.gt = gt;
    lodash.gte = gte;
    lodash.has = has;
    lodash.hasIn = hasIn;
    lodash.head = head;
    lodash.identity = identity;
    lodash.includes = includes;
    lodash.indexOf = indexOf;
    lodash.inRange = inRange;
    lodash.invoke = invoke;
    lodash.isArguments = isArguments;
    lodash.isArray = isArray;
    lodash.isArrayBuffer = isArrayBuffer;
    lodash.isArrayLike = isArrayLike;
    lodash.isArrayLikeObject = isArrayLikeObject;
    lodash.isBoolean = isBoolean;
    lodash.isBuffer = isBuffer;
    lodash.isDate = isDate;
    lodash.isElement = isElement;
    lodash.isEmpty = isEmpty;
    lodash.isEqual = isEqual;
    lodash.isEqualWith = isEqualWith;
    lodash.isError = isError;
    lodash.isFinite = isFinite;
    lodash.isFunction = isFunction;
    lodash.isInteger = isInteger;
    lodash.isLength = isLength;
    lodash.isMap = isMap;
    lodash.isMatch = isMatch;
    lodash.isMatchWith = isMatchWith;
    lodash.isNaN = isNaN;
    lodash.isNative = isNative;
    lodash.isNil = isNil;
    lodash.isNull = isNull;
    lodash.isNumber = isNumber;
    lodash.isObject = isObject;
    lodash.isObjectLike = isObjectLike;
    lodash.isPlainObject = isPlainObject;
    lodash.isRegExp = isRegExp;
    lodash.isSafeInteger = isSafeInteger;
    lodash.isSet = isSet;
    lodash.isString = isString;
    lodash.isSymbol = isSymbol;
    lodash.isTypedArray = isTypedArray;
    lodash.isUndefined = isUndefined;
    lodash.isWeakMap = isWeakMap;
    lodash.isWeakSet = isWeakSet;
    lodash.join = join;
    lodash.kebabCase = kebabCase;
    lodash.last = last;
    lodash.lastIndexOf = lastIndexOf;
    lodash.lowerCase = lowerCase;
    lodash.lowerFirst = lowerFirst;
    lodash.lt = lt;
    lodash.lte = lte;
    lodash.max = max;
    lodash.maxBy = maxBy;
    lodash.mean = mean;
    lodash.meanBy = meanBy;
    lodash.min = min;
    lodash.minBy = minBy;
    lodash.stubArray = stubArray;
    lodash.stubFalse = stubFalse;
    lodash.stubObject = stubObject;
    lodash.stubString = stubString;
    lodash.stubTrue = stubTrue;
    lodash.multiply = multiply;
    lodash.nth = nth;
    lodash.noConflict = noConflict;
    lodash.noop = noop;
    lodash.now = now;
    lodash.pad = pad;
    lodash.padEnd = padEnd;
    lodash.padStart = padStart;
    lodash.parseInt = parseInt;
    lodash.random = random;
    lodash.reduce = reduce;
    lodash.reduceRight = reduceRight;
    lodash.repeat = repeat;
    lodash.replace = replace;
    lodash.result = result;
    lodash.round = round;
    lodash.runInContext = runInContext;
    lodash.sample = sample;
    lodash.size = size;
    lodash.snakeCase = snakeCase;
    lodash.some = some;
    lodash.sortedIndex = sortedIndex;
    lodash.sortedIndexBy = sortedIndexBy;
    lodash.sortedIndexOf = sortedIndexOf;
    lodash.sortedLastIndex = sortedLastIndex;
    lodash.sortedLastIndexBy = sortedLastIndexBy;
    lodash.sortedLastIndexOf = sortedLastIndexOf;
    lodash.startCase = startCase;
    lodash.startsWith = startsWith;
    lodash.subtract = subtract;
    lodash.sum = sum;
    lodash.sumBy = sumBy;
    lodash.template = template;
    lodash.times = times;
    lodash.toFinite = toFinite;
    lodash.toInteger = toInteger;
    lodash.toLength = toLength;
    lodash.toLower = toLower;
    lodash.toNumber = toNumber;
    lodash.toSafeInteger = toSafeInteger;
    lodash.toString = toString;
    lodash.toUpper = toUpper;
    lodash.trim = trim;
    lodash.trimEnd = trimEnd;
    lodash.trimStart = trimStart;
    lodash.truncate = truncate;
    lodash.unescape = unescape;
    lodash.uniqueId = uniqueId;
    lodash.upperCase = upperCase;
    lodash.upperFirst = upperFirst;

    // Add aliases.
    lodash.each = forEach;
    lodash.eachRight = forEachRight;
    lodash.first = head;

    mixin(lodash, (function() {
      var source = {};
      baseForOwn(lodash, function(func, methodName) {
        if (!hasOwnProperty.call(lodash.prototype, methodName)) {
          source[methodName] = func;
        }
      });
      return source;
    }()), { 'chain': false });

    /*------------------------------------------------------------------------*/

    /**
     * The semantic version number.
     *
     * @static
     * @memberOf _
     * @type {string}
     */
    lodash.VERSION = VERSION;

    // Assign default placeholders.
    arrayEach(['bind', 'bindKey', 'curry', 'curryRight', 'partial', 'partialRight'], function(methodName) {
      lodash[methodName].placeholder = lodash;
    });

    // Add `LazyWrapper` methods for `_.drop` and `_.take` variants.
    arrayEach(['drop', 'take'], function(methodName, index) {
      LazyWrapper.prototype[methodName] = function(n) {
        n = n === undefined ? 1 : nativeMax(toInteger(n), 0);

        var result = (this.__filtered__ && !index)
          ? new LazyWrapper(this)
          : this.clone();

        if (result.__filtered__) {
          result.__takeCount__ = nativeMin(n, result.__takeCount__);
        } else {
          result.__views__.push({
            'size': nativeMin(n, MAX_ARRAY_LENGTH),
            'type': methodName + (result.__dir__ < 0 ? 'Right' : '')
          });
        }
        return result;
      };

      LazyWrapper.prototype[methodName + 'Right'] = function(n) {
        return this.reverse()[methodName](n).reverse();
      };
    });

    // Add `LazyWrapper` methods that accept an `iteratee` value.
    arrayEach(['filter', 'map', 'takeWhile'], function(methodName, index) {
      var type = index + 1,
          isFilter = type == LAZY_FILTER_FLAG || type == LAZY_WHILE_FLAG;

      LazyWrapper.prototype[methodName] = function(iteratee) {
        var result = this.clone();
        result.__iteratees__.push({
          'iteratee': getIteratee(iteratee, 3),
          'type': type
        });
        result.__filtered__ = result.__filtered__ || isFilter;
        return result;
      };
    });

    // Add `LazyWrapper` methods for `_.head` and `_.last`.
    arrayEach(['head', 'last'], function(methodName, index) {
      var takeName = 'take' + (index ? 'Right' : '');

      LazyWrapper.prototype[methodName] = function() {
        return this[takeName](1).value()[0];
      };
    });

    // Add `LazyWrapper` methods for `_.initial` and `_.tail`.
    arrayEach(['initial', 'tail'], function(methodName, index) {
      var dropName = 'drop' + (index ? '' : 'Right');

      LazyWrapper.prototype[methodName] = function() {
        return this.__filtered__ ? new LazyWrapper(this) : this[dropName](1);
      };
    });

    LazyWrapper.prototype.compact = function() {
      return this.filter(identity);
    };

    LazyWrapper.prototype.find = function(predicate) {
      return this.filter(predicate).head();
    };

    LazyWrapper.prototype.findLast = function(predicate) {
      return this.reverse().find(predicate);
    };

    LazyWrapper.prototype.invokeMap = baseRest(function(path, args) {
      if (typeof path == 'function') {
        return new LazyWrapper(this);
      }
      return this.map(function(value) {
        return baseInvoke(value, path, args);
      });
    });

    LazyWrapper.prototype.reject = function(predicate) {
      return this.filter(negate(getIteratee(predicate)));
    };

    LazyWrapper.prototype.slice = function(start, end) {
      start = toInteger(start);

      var result = this;
      if (result.__filtered__ && (start > 0 || end < 0)) {
        return new LazyWrapper(result);
      }
      if (start < 0) {
        result = result.takeRight(-start);
      } else if (start) {
        result = result.drop(start);
      }
      if (end !== undefined) {
        end = toInteger(end);
        result = end < 0 ? result.dropRight(-end) : result.take(end - start);
      }
      return result;
    };

    LazyWrapper.prototype.takeRightWhile = function(predicate) {
      return this.reverse().takeWhile(predicate).reverse();
    };

    LazyWrapper.prototype.toArray = function() {
      return this.take(MAX_ARRAY_LENGTH);
    };

    // Add `LazyWrapper` methods to `lodash.prototype`.
    baseForOwn(LazyWrapper.prototype, function(func, methodName) {
      var checkIteratee = /^(?:filter|find|map|reject)|While$/.test(methodName),
          isTaker = /^(?:head|last)$/.test(methodName),
          lodashFunc = lodash[isTaker ? ('take' + (methodName == 'last' ? 'Right' : '')) : methodName],
          retUnwrapped = isTaker || /^find/.test(methodName);

      if (!lodashFunc) {
        return;
      }
      lodash.prototype[methodName] = function() {
        var value = this.__wrapped__,
            args = isTaker ? [1] : arguments,
            isLazy = value instanceof LazyWrapper,
            iteratee = args[0],
            useLazy = isLazy || isArray(value);

        var interceptor = function(value) {
          var result = lodashFunc.apply(lodash, arrayPush([value], args));
          return (isTaker && chainAll) ? result[0] : result;
        };

        if (useLazy && checkIteratee && typeof iteratee == 'function' && iteratee.length != 1) {
          // Avoid lazy use if the iteratee has a "length" value other than `1`.
          isLazy = useLazy = false;
        }
        var chainAll = this.__chain__,
            isHybrid = !!this.__actions__.length,
            isUnwrapped = retUnwrapped && !chainAll,
            onlyLazy = isLazy && !isHybrid;

        if (!retUnwrapped && useLazy) {
          value = onlyLazy ? value : new LazyWrapper(this);
          var result = func.apply(value, args);
          result.__actions__.push({ 'func': thru, 'args': [interceptor], 'thisArg': undefined });
          return new LodashWrapper(result, chainAll);
        }
        if (isUnwrapped && onlyLazy) {
          return func.apply(this, args);
        }
        result = this.thru(interceptor);
        return isUnwrapped ? (isTaker ? result.value()[0] : result.value()) : result;
      };
    });

    // Add `Array` methods to `lodash.prototype`.
    arrayEach(['pop', 'push', 'shift', 'sort', 'splice', 'unshift'], function(methodName) {
      var func = arrayProto[methodName],
          chainName = /^(?:push|sort|unshift)$/.test(methodName) ? 'tap' : 'thru',
          retUnwrapped = /^(?:pop|shift)$/.test(methodName);

      lodash.prototype[methodName] = function() {
        var args = arguments;
        if (retUnwrapped && !this.__chain__) {
          var value = this.value();
          return func.apply(isArray(value) ? value : [], args);
        }
        return this[chainName](function(value) {
          return func.apply(isArray(value) ? value : [], args);
        });
      };
    });

    // Map minified method names to their real names.
    baseForOwn(LazyWrapper.prototype, function(func, methodName) {
      var lodashFunc = lodash[methodName];
      if (lodashFunc) {
        var key = lodashFunc.name + '';
        if (!hasOwnProperty.call(realNames, key)) {
          realNames[key] = [];
        }
        realNames[key].push({ 'name': methodName, 'func': lodashFunc });
      }
    });

    realNames[createHybrid(undefined, WRAP_BIND_KEY_FLAG).name] = [{
      'name': 'wrapper',
      'func': undefined
    }];

    // Add methods to `LazyWrapper`.
    LazyWrapper.prototype.clone = lazyClone;
    LazyWrapper.prototype.reverse = lazyReverse;
    LazyWrapper.prototype.value = lazyValue;

    // Add chain sequence methods to the `lodash` wrapper.
    lodash.prototype.at = wrapperAt;
    lodash.prototype.chain = wrapperChain;
    lodash.prototype.commit = wrapperCommit;
    lodash.prototype.next = wrapperNext;
    lodash.prototype.plant = wrapperPlant;
    lodash.prototype.reverse = wrapperReverse;
    lodash.prototype.toJSON = lodash.prototype.valueOf = lodash.prototype.value = wrapperValue;

    // Add lazy aliases.
    lodash.prototype.first = lodash.prototype.head;

    if (symIterator) {
      lodash.prototype[symIterator] = wrapperToIterator;
    }
    return lodash;
  });

  /*--------------------------------------------------------------------------*/

  // Export lodash.
  var _ = runInContext();

  // Some AMD build optimizers, like r.js, check for condition patterns like:
  if (true) {
    // Expose Lodash on the global object to prevent errors when Lodash is
    // loaded by a script tag in the presence of an AMD loader.
    // See http://requirejs.org/docs/errors.html#mismatch for more details.
    // Use `_.noConflict` to remove Lodash from the global object.
    root._ = _;

    // Define as an anonymous module so, through path mapping, it can be
    // referenced as the "underscore" module.
    !(__WEBPACK_AMD_DEFINE_RESULT__ = (function() {
      return _;
    }).call(exports, __webpack_require__, exports, module),
		__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
  }
  // Check for `exports` after `define` in case a build optimizer adds it.
  else {}
}.call(this));


/***/ }),

/***/ "./node_modules/mini-create-react-context/dist/esm/index.js":
/*!******************************************************************!*\
  !*** ./node_modules/mini-create-react-context/dist/esm/index.js ***!
  \******************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _babel_runtime_helpers_esm_inheritsLoose__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @babel/runtime/helpers/esm/inheritsLoose */ "./node_modules/@babel/runtime/helpers/esm/inheritsLoose.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! prop-types */ "./node_modules/prop-types/index.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var tiny_warning__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! tiny-warning */ "./node_modules/tiny-warning/dist/tiny-warning.esm.js");





var MAX_SIGNED_31_BIT_INT = 1073741823;
var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof __webpack_require__.g !== 'undefined' ? __webpack_require__.g : {};

function getUniqueId() {
  var key = '__global_unique_id__';
  return commonjsGlobal[key] = (commonjsGlobal[key] || 0) + 1;
}

function objectIs(x, y) {
  if (x === y) {
    return x !== 0 || 1 / x === 1 / y;
  } else {
    return x !== x && y !== y;
  }
}

function createEventEmitter(value) {
  var handlers = [];
  return {
    on: function on(handler) {
      handlers.push(handler);
    },
    off: function off(handler) {
      handlers = handlers.filter(function (h) {
        return h !== handler;
      });
    },
    get: function get() {
      return value;
    },
    set: function set(newValue, changedBits) {
      value = newValue;
      handlers.forEach(function (handler) {
        return handler(value, changedBits);
      });
    }
  };
}

function onlyChild(children) {
  return Array.isArray(children) ? children[0] : children;
}

function createReactContext(defaultValue, calculateChangedBits) {
  var _Provider$childContex, _Consumer$contextType;

  var contextProp = '__create-react-context-' + getUniqueId() + '__';

  var Provider = /*#__PURE__*/function (_Component) {
    (0,_babel_runtime_helpers_esm_inheritsLoose__WEBPACK_IMPORTED_MODULE_1__["default"])(Provider, _Component);

    function Provider() {
      var _this;

      _this = _Component.apply(this, arguments) || this;
      _this.emitter = createEventEmitter(_this.props.value);
      return _this;
    }

    var _proto = Provider.prototype;

    _proto.getChildContext = function getChildContext() {
      var _ref;

      return _ref = {}, _ref[contextProp] = this.emitter, _ref;
    };

    _proto.componentWillReceiveProps = function componentWillReceiveProps(nextProps) {
      if (this.props.value !== nextProps.value) {
        var oldValue = this.props.value;
        var newValue = nextProps.value;
        var changedBits;

        if (objectIs(oldValue, newValue)) {
          changedBits = 0;
        } else {
          changedBits = typeof calculateChangedBits === 'function' ? calculateChangedBits(oldValue, newValue) : MAX_SIGNED_31_BIT_INT;

          if (true) {
            (0,tiny_warning__WEBPACK_IMPORTED_MODULE_3__["default"])((changedBits & MAX_SIGNED_31_BIT_INT) === changedBits, 'calculateChangedBits: Expected the return value to be a ' + '31-bit integer. Instead received: ' + changedBits);
          }

          changedBits |= 0;

          if (changedBits !== 0) {
            this.emitter.set(nextProps.value, changedBits);
          }
        }
      }
    };

    _proto.render = function render() {
      return this.props.children;
    };

    return Provider;
  }(react__WEBPACK_IMPORTED_MODULE_0__.Component);

  Provider.childContextTypes = (_Provider$childContex = {}, _Provider$childContex[contextProp] = (prop_types__WEBPACK_IMPORTED_MODULE_2___default().object.isRequired), _Provider$childContex);

  var Consumer = /*#__PURE__*/function (_Component2) {
    (0,_babel_runtime_helpers_esm_inheritsLoose__WEBPACK_IMPORTED_MODULE_1__["default"])(Consumer, _Component2);

    function Consumer() {
      var _this2;

      _this2 = _Component2.apply(this, arguments) || this;
      _this2.state = {
        value: _this2.getValue()
      };

      _this2.onUpdate = function (newValue, changedBits) {
        var observedBits = _this2.observedBits | 0;

        if ((observedBits & changedBits) !== 0) {
          _this2.setState({
            value: _this2.getValue()
          });
        }
      };

      return _this2;
    }

    var _proto2 = Consumer.prototype;

    _proto2.componentWillReceiveProps = function componentWillReceiveProps(nextProps) {
      var observedBits = nextProps.observedBits;
      this.observedBits = observedBits === undefined || observedBits === null ? MAX_SIGNED_31_BIT_INT : observedBits;
    };

    _proto2.componentDidMount = function componentDidMount() {
      if (this.context[contextProp]) {
        this.context[contextProp].on(this.onUpdate);
      }

      var observedBits = this.props.observedBits;
      this.observedBits = observedBits === undefined || observedBits === null ? MAX_SIGNED_31_BIT_INT : observedBits;
    };

    _proto2.componentWillUnmount = function componentWillUnmount() {
      if (this.context[contextProp]) {
        this.context[contextProp].off(this.onUpdate);
      }
    };

    _proto2.getValue = function getValue() {
      if (this.context[contextProp]) {
        return this.context[contextProp].get();
      } else {
        return defaultValue;
      }
    };

    _proto2.render = function render() {
      return onlyChild(this.props.children)(this.state.value);
    };

    return Consumer;
  }(react__WEBPACK_IMPORTED_MODULE_0__.Component);

  Consumer.contextTypes = (_Consumer$contextType = {}, _Consumer$contextType[contextProp] = (prop_types__WEBPACK_IMPORTED_MODULE_2___default().object), _Consumer$contextType);
  return {
    Provider: Provider,
    Consumer: Consumer
  };
}

var index = react__WEBPACK_IMPORTED_MODULE_0__.createContext || createReactContext;

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (index);


/***/ }),

/***/ "./node_modules/codemirror/addon/hint/show-hint.css":
/*!**********************************************************!*\
  !*** ./node_modules/codemirror/addon/hint/show-hint.css ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
// extracted by mini-css-extract-plugin


/***/ }),

/***/ "./node_modules/codemirror/lib/codemirror.css":
/*!****************************************************!*\
  !*** ./node_modules/codemirror/lib/codemirror.css ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
// extracted by mini-css-extract-plugin


/***/ }),

/***/ "./src/pages/CreateProject/Config/codemirror.css":
/*!*******************************************************!*\
  !*** ./src/pages/CreateProject/Config/codemirror.css ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
// extracted by mini-css-extract-plugin


/***/ }),

/***/ "./src/app/App.styl":
/*!**************************!*\
  !*** ./src/app/App.styl ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"app-wrapper":"ls-app-wrapper","global-error":"ls-global-error","global-error__heidi":"ls-global-error__heidi","global-error__details":"ls-global-error__details","global-error__actions":"ls-global-error__actions","global-error__slack":"ls-global-error__slack","color":"ls-color"});

/***/ }),

/***/ "./src/components/Badges/Enterprise.styl":
/*!***********************************************!*\
  !*** ./src/components/Badges/Enterprise.styl ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"enterprise-badge":"ls-enterprise-badge","enterprise-badge__label":"ls-enterprise-badge__label","enterprise-badge_filled":"ls-enterprise-badge_filled","enterprise-badge__icon":"ls-enterprise-badge__icon"});

/***/ }),

/***/ "./src/components/Breadcrumbs/Breadcrumbs.styl":
/*!*****************************************************!*\
  !*** ./src/components/Breadcrumbs/Breadcrumbs.styl ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"breadcrumbs":"ls-breadcrumbs","breadcrumbs__list":"ls-breadcrumbs__list","breadcrumbs__item":"ls-breadcrumbs__item","breadcrumbs__item_last":"ls-breadcrumbs__item_last","breadcrumbs__settings":"ls-breadcrumbs__settings"});

/***/ }),

/***/ "./src/components/Button/Button.styl":
/*!*******************************************!*\
  !*** ./src/components/Button/Button.styl ***!
  \*******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"button":"ls-button","button_waiting":"ls-button_waiting","button_type_text":"ls-button_type_text","button_type_link":"ls-button_type_link","button__extra":"ls-button__extra","button__icon":"ls-button__icon","button_look_primary":"ls-button_look_primary","button_look_danger":"ls-button_look_danger","button_look_destructive":"ls-button_look_destructive","button_size_compact":"ls-button_size_compact","button_size_medium":"ls-button_size_medium","button_size_small":"ls-button_size_small","button_size_large":"ls-button_size_large","button_withIcon":"ls-button_withIcon","button-waiting":"ls-button-waiting","button-group":"ls-button-group","button-group_collapsed":"ls-button-group_collapsed"});

/***/ }),

/***/ "./src/components/Caption/Caption.styl":
/*!*********************************************!*\
  !*** ./src/components/Caption/Caption.styl ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"caption":"ls-caption"});

/***/ }),

/***/ "./src/components/Card/Card.styl":
/*!***************************************!*\
  !*** ./src/components/Card/Card.styl ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"card":"ls-card","card__header":"ls-card__header","card__header-content":"ls-card__header-content","card__content":"ls-card__content"});

/***/ }),

/***/ "./src/components/Checkbox/Checkbox.styl":
/*!***********************************************!*\
  !*** ./src/components/Checkbox/Checkbox.styl ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"checkbox":"ls-checkbox","checkbox__box":"ls-checkbox__box","checkbox__input":"ls-checkbox__input","checkbox__check":"ls-checkbox__check","checkbox__check_checked":"ls-checkbox__check_checked","checkbox__check_indeterminate":"ls-checkbox__check_indeterminate","checkbox__label":"ls-checkbox__label","checkbox_withLabel":"ls-checkbox_withLabel"});

/***/ }),

/***/ "./src/components/Columns/Columns.styl":
/*!*********************************************!*\
  !*** ./src/components/Columns/Columns.styl ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"columns":"ls-columns","columns__title":"ls-columns__title"});

/***/ }),

/***/ "./src/components/DescriptionList/DescriptionList.styl":
/*!*************************************************************!*\
  !*** ./src/components/DescriptionList/DescriptionList.styl ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"dl":"ls-dl","dl__dt":"ls-dl__dt","dl__dd":"ls-dl__dd","help-icon":"ls-help-icon"});

/***/ }),

/***/ "./src/components/Description/Description.styl":
/*!*****************************************************!*\
  !*** ./src/components/Description/Description.styl ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"description":"ls-description","description_size_small":"ls-description_size_small","description_size_medium":"ls-description_size_medium","description_size_large":"ls-description_size_large","description_noOffset":"ls-description_noOffset"});

/***/ }),

/***/ "./src/components/Dropdown/Dropdown.styl":
/*!***********************************************!*\
  !*** ./src/components/Dropdown/Dropdown.styl ***!
  \***********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"dropdown":"ls-dropdown","dropdown_align_left":"ls-dropdown_align_left","dropdown_align_right":"ls-dropdown_align_right","dropdown__trigger":"ls-dropdown__trigger","before-appear":"ls-before-appear","before-disappear":"ls-before-disappear","appear":"ls-appear","visible":"ls-visible","disappear":"ls-disappear"});

/***/ }),

/***/ "./src/components/Error/Error.styl":
/*!*****************************************!*\
  !*** ./src/components/Error/Error.styl ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"inline-error":"ls-inline-error","error-message":"ls-error-message","error-message__heidi":"ls-error-message__heidi","error-message__title":"ls-error-message__title","error-message__detail":"ls-error-message__detail","error-message__exception":"ls-error-message__exception","error-message__stracktrace":"ls-error-message__stracktrace","error-message__version":"ls-error-message__version","error-message__validation":"ls-error-message__validation","error-message__message":"ls-error-message__message","error-message__actions":"ls-error-message__actions","error-message__slack":"ls-error-message__slack"});

/***/ }),

/***/ "./src/components/Form/Elements/Checkbox/Checkbox.styl":
/*!*************************************************************!*\
  !*** ./src/components/Form/Elements/Checkbox/Checkbox.styl ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"checkbox":"ls-checkbox","checkbox__input":"ls-checkbox__input","checkbox__indicator":"ls-checkbox__indicator","checkbox_checked":"ls-checkbox_checked","checkbox_disabled":"ls-checkbox_disabled"});

/***/ }),

/***/ "./src/components/Form/Elements/Counter/Counter.styl":
/*!***********************************************************!*\
  !*** ./src/components/Form/Elements/Counter/Counter.styl ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"counter":"ls-counter","counter_disabled":"ls-counter_disabled","counter__btn":"ls-counter__btn","counter__btn_disabled":"ls-counter__btn_disabled","counter__input":"ls-counter__input"});

/***/ }),

/***/ "./src/components/Form/Elements/Input/Input.styl":
/*!*******************************************************!*\
  !*** ./src/components/Form/Elements/Input/Input.styl ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"input":"ls-input","select":"ls-select","textarea":"ls-textarea","input_ghost":"ls-input_ghost","select_ghost":"ls-select_ghost","textarea_ghost":"ls-textarea_ghost"});

/***/ }),

/***/ "./src/components/Form/Elements/Label/Label.styl":
/*!*******************************************************!*\
  !*** ./src/components/Form/Elements/Label/Label.styl ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"label":"ls-label","label__text":"ls-label__text","label__description":"ls-label__description","label__field":"ls-label__field","label__label":"ls-label__label","label_size_large":"ls-label_size_large","label_flat":"ls-label_flat","input":"ls-input","select":"ls-select","textarea":"ls-textarea","label_large":"ls-label_large","label_placement_right":"ls-label_placement_right","label_placement_left":"ls-label_placement_left","label_empty":"ls-label_empty","label_withDescription":"ls-label_withDescription"});

/***/ }),

/***/ "./src/components/Form/Elements/RadioGroup/RadioGroup.styl":
/*!*****************************************************************!*\
  !*** ./src/components/Form/Elements/RadioGroup/RadioGroup.styl ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"radio-group":"ls-radio-group","radio-group__buttons":"ls-radio-group__buttons","radio-group__button":"ls-radio-group__button","radio-group__button_checked":"ls-radio-group__button_checked","radio-group__button_disabled":"ls-radio-group__button_disabled","radio-group__input":"ls-radio-group__input","radio-group_size_large":"ls-radio-group_size_large","radio-group_size_compact":"ls-radio-group_size_compact","radio-group_size_small":"ls-radio-group_size_small","radio-group_simple":"ls-radio-group_simple"});

/***/ }),

/***/ "./src/components/Form/Elements/Select/Select.styl":
/*!*********************************************************!*\
  !*** ./src/components/Form/Elements/Select/Select.styl ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"select":"ls-select","select__list":"ls-select__list","select_ghost":"ls-select_ghost"});

/***/ }),

/***/ "./src/components/Form/Elements/Toggle/Toggle.styl":
/*!*********************************************************!*\
  !*** ./src/components/Form/Elements/Toggle/Toggle.styl ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"toggle":"ls-toggle","toggle__input":"ls-toggle__input","toggle__indicator":"ls-toggle__indicator","toggle_checked":"ls-toggle_checked","toggle_disabled":"ls-toggle_disabled"});

/***/ }),

/***/ "./src/components/Form/Form.styl":
/*!***************************************!*\
  !*** ./src/components/Form/Form.styl ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"form":"ls-form","form__row":"ls-form__row","form__submit":"ls-form__submit","inline-error":"ls-inline-error","form__submit_size_small":"ls-form__submit_size_small","form__info":"ls-form__info","form__info_valid":"ls-form__info_valid","form__column":"ls-form__column","input":"ls-input","input_ghost":"ls-input_ghost","textarea":"ls-textarea","textarea_ghost":"ls-textarea_ghost","counter":"ls-counter","counter_ghost":"ls-counter_ghost","select__list":"ls-select__list","select__list_ghost":"ls-select__list_ghost","input_focused":"ls-input_focused","textarea_focused":"ls-textarea_focused","counter_focused":"ls-counter_focused","select__list_focused":"ls-select__list_focused","form-indicator":"ls-form-indicator","form-indicator__item_type_success":"ls-form-indicator__item_type_success","form-indicator__item_type_fail":"ls-form-indicator__item_type_fail"});

/***/ }),

/***/ "./src/components/Form/Validation/Validation.styl":
/*!********************************************************!*\
  !*** ./src/components/Form/Validation/Validation.styl ***!
  \********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"form-validation":"ls-form-validation","form-validation__group":"ls-form-validation__group","form-validation__field":"ls-form-validation__field","form-validation__messages":"ls-form-validation__messages","form-validation__message":"ls-form-validation__message"});

/***/ }),

/***/ "./src/components/Hamburger/Hamburger.styl":
/*!*************************************************!*\
  !*** ./src/components/Hamburger/Hamburger.styl ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"hamburger":"ls-hamburger","hamburger_animated":"ls-hamburger_animated","hamburger_opened":"ls-hamburger_opened"});

/***/ }),

/***/ "./src/components/HeidiTips/HeidiTip.styl":
/*!************************************************!*\
  !*** ./src/components/HeidiTips/HeidiTip.styl ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"heidy-tip__content":"ls-heidy-tip__content","heidy-tip__header":"ls-heidy-tip__header","heidy-tip__title":"ls-heidy-tip__title","heidy-tip__text":"ls-heidy-tip__text","heidy-tip__link":"ls-heidy-tip__link","heidy-tip__dismiss":"ls-heidy-tip__dismiss","heidy-tip__heidi":"ls-heidy-tip__heidi"});

/***/ }),

/***/ "./src/components/Menu/Menu.styl":
/*!***************************************!*\
  !*** ./src/components/Menu/Menu.styl ***!
  \***************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"main-menu":"ls-main-menu","main-menu__item":"ls-main-menu__item","main-menu__item-icon":"ls-main-menu__item-icon","main-menu__item_look_danger":"ls-main-menu__item_look_danger","main-menu__item_active":"ls-main-menu__item_active","sidebar__pin":"ls-sidebar__pin","main-menu__spacer":"ls-main-menu__spacer","main-menu__divider":"ls-main-menu__divider","main-menu_size_compact":"ls-main-menu_size_compact","main-menu_size_small":"ls-main-menu_size_small","main-menu_collapsed":"ls-main-menu_collapsed","menu-group__title":"ls-menu-group__title","menu-group__list":"ls-menu-group__list"});

/***/ }),

/***/ "./src/components/Menubar/MenuContent.styl":
/*!*************************************************!*\
  !*** ./src/components/Menubar/MenuContent.styl ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"content-wrapper":"ls-content-wrapper","content-wrapper__body":"ls-content-wrapper__body","content-wrapper__content":"ls-content-wrapper__content","content-wrapper__content_withSidebar":"ls-content-wrapper__content_withSidebar"});

/***/ }),

/***/ "./src/components/Menubar/MenuSidebar.styl":
/*!*************************************************!*\
  !*** ./src/components/Menubar/MenuSidebar.styl ***!
  \*************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"sidebar":"ls-sidebar","icon":"ls-icon","sidebar_floating":"ls-sidebar_floating","unpin-menu":"ls-unpin-menu","pin-menu":"ls-pin-menu","before-appear":"ls-before-appear","appear":"ls-appear","before-disappear":"ls-before-disappear","disappear":"ls-disappear","content-wrapper__content":"ls-content-wrapper__content","visible":"ls-visible","sidebar__pin":"ls-sidebar__pin"});

/***/ }),

/***/ "./src/components/Menubar/Menubar.styl":
/*!*********************************************!*\
  !*** ./src/components/Menubar/Menubar.styl ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"menu-wrapper":"ls-menu-wrapper","menu-header":"ls-menu-header","menu-header__help-button":"ls-menu-header__help-button","menu-header__context":"ls-menu-header__context","menu-header__context-item":"ls-menu-header__context-item","menu-header__trigger":"ls-menu-header__trigger","menu-header__user":"ls-menu-header__user","menu-header__userpic-badge":"ls-menu-header__userpic-badge","menu-header__user-name":"ls-menu-header__user-name","newsletter-menu-item":"ls-newsletter-menu-item","main-menu":"ls-main-menu","newsletter-menu-badge":"ls-newsletter-menu-badge"});

/***/ }),

/***/ "./src/components/Modal/Modal.styl":
/*!*****************************************!*\
  !*** ./src/components/Modal/Modal.styl ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"modal":"ls-modal","modal__wrapper":"ls-modal__wrapper","modal__content":"ls-modal__content","modal__header":"ls-modal__header","modal__header_divided":"ls-modal__header_divided","modal__title":"ls-modal__title","modal__body":"ls-modal__body","modal__body_bare":"ls-modal__body_bare","modal__footer":"ls-modal__footer","modal__footer_bare":"ls-modal__footer_bare","modal__close":"ls-modal__close","modal_fullscreen":"ls-modal_fullscreen","modal_halfscreen":"ls-modal_halfscreen","modal_visible":"ls-modal_visible","visible":"ls-visible","before-appear":"ls-before-appear","appear":"ls-appear","before-disappear":"ls-before-disappear","disappear":"ls-disappear"});

/***/ }),

/***/ "./src/components/Pagination/Pagination.styl":
/*!***************************************************!*\
  !*** ./src/components/Pagination/Pagination.styl ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"pagination":"ls-pagination","pagination_disabled":"ls-pagination_disabled","pagination__label":"ls-pagination__label","pagination__navigation":"ls-pagination__navigation","pagination_waiting":"ls-pagination_waiting","button-waiting":"ls-button-waiting","pagination__divider":"ls-pagination__divider","pagination__btn":"ls-pagination__btn","pagination__btn_disabled":"ls-pagination__btn_disabled","pagination__btn_arrow-left":"ls-pagination__btn_arrow-left","pagination__btn_arrow-right":"ls-pagination__btn_arrow-right","pagination__btn_arrow-left-double":"ls-pagination__btn_arrow-left-double","pagination__btn_arrow-right-double":"ls-pagination__btn_arrow-right-double","pagination__input":"ls-pagination__input","pagination__page-indicator":"ls-pagination__page-indicator","pagination__page-size":"ls-pagination__page-size"});

/***/ }),

/***/ "./src/components/ProjectMenu/ProjectMenu.styl":
/*!*****************************************************!*\
  !*** ./src/components/ProjectMenu/ProjectMenu.styl ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"project-menu":"ls-project-menu","project-menu__Button":"ls-project-menu__Button"});

/***/ }),

/***/ "./src/components/SidebarMenu/SidebarMenu.styl":
/*!*****************************************************!*\
  !*** ./src/components/SidebarMenu/SidebarMenu.styl ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"sidebar-menu":"ls-sidebar-menu","sidebar-menu__navigation":"ls-sidebar-menu__navigation","sidebar-menu__content":"ls-sidebar-menu__content"});

/***/ }),

/***/ "./src/components/Space/Space.styl":
/*!*****************************************!*\
  !*** ./src/components/Space/Space.styl ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"space":"ls-space","space_direction_horizontal":"ls-space_direction_horizontal","space_direction_vertical":"ls-space_direction_vertical","space_spread":"ls-space_spread","space_align_start":"ls-space_align_start","space_align_end":"ls-space_align_end","space_stretch":"ls-space_stretch","space_size_large":"ls-space_size_large","space_size_small":"ls-space_size_small"});

/***/ }),

/***/ "./src/components/Spinner/Spinner.styl":
/*!*********************************************!*\
  !*** ./src/components/Spinner/Spinner.styl ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"spinner":"ls-spinner","spinner__body":"ls-spinner__body","spinner__body_stopped":"ls-spinner__body_stopped","bars-up-down":"ls-bars-up-down","spinner__bar":"ls-spinner__bar","logo-spin":"ls-logo-spin"});

/***/ }),

/***/ "./src/components/ToggleItems/ToggleItems.styl":
/*!*****************************************************!*\
  !*** ./src/components/ToggleItems/ToggleItems.styl ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"toggle-items":"ls-toggle-items","toggle-items_big":"ls-toggle-items_big","toggle-items__item":"ls-toggle-items__item","toggle-items__item_active":"ls-toggle-items__item_active"});

/***/ }),

/***/ "./src/components/Tooltip/Tooltip.styl":
/*!*********************************************!*\
  !*** ./src/components/Tooltip/Tooltip.styl ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"tooltip":"ls-tooltip","before-appear":"ls-before-appear","before-disappear":"ls-before-disappear","appear":"ls-appear","visible":"ls-visible","disappear":"ls-disappear","tooltip_align_top-center":"ls-tooltip_align_top-center","tooltip_align_bottom-center":"ls-tooltip_align_bottom-center"});

/***/ }),

/***/ "./src/components/Userpic/Userpic.styl":
/*!*********************************************!*\
  !*** ./src/components/Userpic/Userpic.styl ***!
  \*********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"userpic":"ls-userpic","userpic__username":"ls-userpic__username"});

/***/ }),

/***/ "./src/components/VersionNotifier/VersionNotifier.styl":
/*!*************************************************************!*\
  !*** ./src/components/VersionNotifier/VersionNotifier.styl ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"version-notifier":"ls-version-notifier","version-notifier__icon":"ls-version-notifier__icon","version-notifier__content":"ls-version-notifier__content","version-notifier__title":"ls-version-notifier__title","version-notifier__description":"ls-version-notifier__description","current-version":"ls-current-version"});

/***/ }),

/***/ "./src/pages/CreateProject/Config/Config.styl":
/*!****************************************************!*\
  !*** ./src/pages/CreateProject/Config/Config.styl ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"ls-panel":"ls-ls-panel","wizard":"ls-wizard","sidebar-menu__content":"ls-sidebar-menu__content","configure":"ls-configure","configure__container":"ls-configure__container","templates-list":"ls-templates-list","templates-list__sidebar":"ls-templates-list__sidebar","templates-list__custom-template":"ls-templates-list__custom-template","templates-list__group":"ls-templates-list__group","templates-list__group_active":"ls-templates-list__group_active","templates-list__template":"ls-templates-list__template","templates-list__template_active":"ls-templates-list__template_active","modal__footer":"ls-modal__footer","templates-list__info-icon":"ls-templates-list__info-icon","back":"ls-back","project__create":"ls-project__create","button":"ls-button","configure__editor":"ls-configure__editor","configure__tags-link":"ls-configure__tags-link","toggle-items":"ls-toggle-items","configure__code":"ls-configure__code","configure__visual":"ls-configure__visual","configure__object":"ls-configure__object","configure__object-error":"ls-configure__object-error","configure__enable_manual_columns":"ls-configure__enable_manual_columns","configure__labels":"ls-configure__labels","configure__current-labels":"ls-configure__current-labels","configure__label":"ls-configure__label","configure__label_choice":"ls-configure__label_choice","configure__label-color":"ls-configure__label-color","configure__delete-label":"ls-configure__delete-label","configure__add-labels":"ls-configure__add-labels","configure__settings":"ls-configure__settings","configure__preview":"ls-configure__preview","configure__preview-ui":"ls-configure__preview-ui","configure__preview-error":"ls-configure__preview-error","editor":"ls-editor","common":"ls-common"});

/***/ }),

/***/ "./src/pages/CreateProject/CreateProject.styl":
/*!****************************************************!*\
  !*** ./src/pages/CreateProject/CreateProject.styl ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"create-project":"ls-create-project","modal__header":"ls-modal__header","save-button":"ls-save-button","toggle-items":"ls-toggle-items","create-project__tab_disabled":"ls-create-project__tab_disabled","project-name":"ls-project-name","caption":"ls-caption"});

/***/ }),

/***/ "./src/pages/CreateProject/Import/Import.styl":
/*!****************************************************!*\
  !*** ./src/pages/CreateProject/Import/Import.styl ***!
  \****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"upload_page":"ls-upload_page","upload_page__error":"ls-upload_page__error","overlay":"ls-overlay","upload_page__upload-container":"ls-upload_page__upload-container","upload_page__url-container":"ls-upload_page__url-container","upload_page__button-container":"ls-upload_page__button-container","upload_page__url-form":"ls-upload_page__url-form","upload_page__status":"ls-upload_page__status","upload_page__table":"ls-upload_page__table","upload_page__th":"ls-upload_page__th","upload_page__td":"ls-upload_page__td","upload_page__file-status":"ls-upload_page__file-status","upload_page__file-status_uploading":"ls-upload_page__file-status_uploading","status-uploading":"ls-status-uploading","upload_page__spinner":"ls-upload_page__spinner","upload_page__upload-button":"ls-upload_page__upload-button","upload_page__upload-icon":"ls-upload_page__upload-icon","upload_page__info-icon":"ls-upload_page__info-icon","upload_page__button-inactive":"ls-upload_page__button-inactive","upload_page__button-active":"ls-upload_page__button-active","upload_page__csv-handling":"ls-upload_page__csv-handling","upload_page__csv-handling_hidden":"ls-upload_page__csv-handling_hidden","upload_page__csv-handling_highlighted":"ls-upload_page__csv-handling_highlighted","upload_page__csv-splash":"ls-upload_page__csv-splash","dropzone":"ls-dropzone","dropzone__table-container":"ls-dropzone__table-container","dropzone_hovered":"ls-dropzone_hovered","dropzone__content":"ls-dropzone__content","dropzone__icon":"ls-dropzone__icon","loading":"ls-loading","import-tasks":"ls-import-tasks","reveal":"ls-reveal","splash":"ls-splash"});

/***/ }),

/***/ "./src/pages/DataManager/DataManager.styl":
/*!************************************************!*\
  !*** ./src/pages/DataManager/DataManager.styl ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"datamanager":"ls-datamanager","label-studio-dm":"ls-label-studio-dm"});

/***/ }),

/***/ "./src/pages/ExportPage/ExportPage.styl":
/*!**********************************************!*\
  !*** ./src/pages/ExportPage/ExportPage.styl ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"export-page__finish":"ls-export-page__finish","export-page__recent":"ls-export-page__recent","export-page__footer":"ls-export-page__footer","formats":"ls-formats","formats__list":"ls-formats__list","formats__item":"ls-formats__item","formats__item_active":"ls-formats__item_active","formats__item_selected":"ls-formats__item_selected","formats__name":"ls-formats__name","formats__tag":"ls-formats__tag","formats__description":"ls-formats__description"});

/***/ }),

/***/ "./src/pages/Organization/PeoplePage/PeopleInvitation.styl":
/*!*****************************************************************!*\
  !*** ./src/pages/Organization/PeoplePage/PeopleInvitation.styl ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"invite":"ls-invite"});

/***/ }),

/***/ "./src/pages/Organization/PeoplePage/PeopleList.styl":
/*!***********************************************************!*\
  !*** ./src/pages/Organization/PeoplePage/PeopleList.styl ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"people-list":"ls-people-list","people-list__wrapper":"ls-people-list__wrapper","people-list__loading":"ls-people-list__loading","people-list__users":"ls-people-list__users","people-list__header":"ls-people-list__header","people-list__column":"ls-people-list__column","people-list__field":"ls-people-list__field","last-activity":"ls-last-activity","avatar":"ls-avatar","name":"ls-name","email":"ls-email","people-list__user":"ls-people-list__user","people-list__user_active":"ls-people-list__user_active"});

/***/ }),

/***/ "./src/pages/Organization/PeoplePage/PeoplePage.styl":
/*!***********************************************************!*\
  !*** ./src/pages/Organization/PeoplePage/PeoplePage.styl ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"people":"ls-people","people__peopledetail":"ls-people__peopledetail","people__peoplecontrol":"ls-people__peoplecontrol","people__controls":"ls-people__controls","people__content":"ls-people__content","heidy-tip":"ls-heidy-tip"});

/***/ }),

/***/ "./src/pages/Organization/PeoplePage/SelectedUser.styl":
/*!*************************************************************!*\
  !*** ./src/pages/Organization/PeoplePage/SelectedUser.styl ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"user-info":"ls-user-info","user-info__close":"ls-user-info__close","user-info__header":"ls-user-info__header","user-info__email":"ls-user-info__email","user-info__full-name":"ls-user-info__full-name","user-info__section":"ls-user-info__section","user-info__section-title":"ls-user-info__section-title","user-info__last-active":"ls-user-info__last-active","user-info__links-list":"ls-user-info__links-list","user-info__project-link":"ls-user-info__project-link"});

/***/ }),

/***/ "./src/pages/Projects/Projects.styl":
/*!******************************************!*\
  !*** ./src/pages/Projects/Projects.styl ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"projects-page":"ls-projects-page","projects-page__loading":"ls-projects-page__loading","popup-container":"ls-popup-container","active":"ls-active","projects-page__title-container":"ls-projects-page__title-container","projects-page__create-project-button":"ls-projects-page__create-project-button","projects-page__search-query-result":"ls-projects-page__search-query-result","projects-page__context-area":"ls-projects-page__context-area","projects-page__context-area__input-container":"ls-projects-page__context-area__input-container","projects-page__projects-container":"ls-projects-page__projects-container","projects-page__search-query":"ls-projects-page__search-query","clear-button":"ls-clear-button","back-icon":"ls-back-icon","projects-page__list":"ls-projects-page__list","projects-page__link":"ls-projects-page__link","projects-page__pages":"ls-projects-page__pages","empty-projects-page":"ls-empty-projects-page","empty-projects-page__heidi":"ls-empty-projects-page__heidi","empty-projects-page__header":"ls-empty-projects-page__header","empty-projects-page__action":"ls-empty-projects-page__action","empty-search-page":"ls-empty-search-page","empty-search-page__error404":"ls-empty-search-page__error404","empty-search-page__header":"ls-empty-search-page__header","project-card":"ls-project-card","project-card__header":"ls-project-card__header","project-card__menu":"ls-project-card__menu","button":"ls-button","button__icon":"ls-button__icon","project-card__title":"ls-project-card__title","project-card__title-text":"ls-project-card__title-text","project-card__title-created-by":"ls-project-card__title-created-by","project-card__summary":"ls-project-card__summary","project-card__total":"ls-project-card__total","project-card__annotation":"ls-project-card__annotation","project-card__detail":"ls-project-card__detail","project-card__detail-item":"ls-project-card__detail-item","project-card__icon":"ls-project-card__icon","project-card__detail-item_type_completed":"ls-project-card__detail-item_type_completed","project-card__detail-item_type_rejected":"ls-project-card__detail-item_type_rejected","project-card__detail-item_type_predictions":"ls-project-card__detail-item_type_predictions","project-card__description":"ls-project-card__description","project-card__info":"ls-project-card__info","project-card__created-date":"ls-project-card__created-date","project-card_colored":"ls-project-card_colored"});

/***/ }),

/***/ "./src/pages/Settings/MachineLearningSettings/MachineLearningSettings.styl":
/*!*********************************************************************************!*\
  !*** ./src/pages/Settings/MachineLearningSettings/MachineLearningSettings.styl ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"ml":"ls-ml","ml__info":"ls-ml__info","ml__status":"ls-ml__status","ml__summary":"ls-ml__summary","ml__indicator":"ls-ml__indicator","ml__indicator_state_CO":"ls-ml__indicator_state_CO","ml__indicator_state_DI":"ls-ml__indicator_state_DI","ml__indicator_state_ER":"ls-ml__indicator_state_ER","ml__indicator_state_TR":"ls-ml__indicator_state_TR","ml__indicator_state_PR":"ls-ml__indicator_state_PR","state-pulse":"ls-state-pulse"});

/***/ }),

/***/ "./src/pages/Settings/MachineLearningSettings/ModelVersionSelector.styl":
/*!******************************************************************************!*\
  !*** ./src/pages/Settings/MachineLearningSettings/ModelVersionSelector.styl ***!
  \******************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"modelVersionSelector":"ls-modelVersionSelector","modelVersionSelector__message":"ls-modelVersionSelector__message"});

/***/ }),

/***/ "./src/pages/Settings/StorageSettings/StorageSettings.styl":
/*!*****************************************************************!*\
  !*** ./src/pages/Settings/StorageSettings/StorageSettings.styl ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"storage-settings":"ls-storage-settings","storage-settings__description":"ls-storage-settings__description","storage-settings__controls":"ls-storage-settings__controls","storage-settings__empty":"ls-storage-settings__empty","storage-settings__submit":"ls-storage-settings__submit","inline-error":"ls-inline-error","storage-settings__info":"ls-storage-settings__info","storage-settings__info_valid":"ls-storage-settings__info_valid","storage-settings__sync":"ls-storage-settings__sync","storage-settings__sync-count":"ls-storage-settings__sync-count"});

/***/ }),

/***/ "./src/pages/Settings/contribution.styl":
/*!**********************************************!*\
  !*** ./src/pages/Settings/contribution.styl ***!
  \**********************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"contribution-settings":"ls-contribution-settings","contribution-settings__wrapper":"ls-contribution-settings__wrapper","contribution-settings__title":"ls-contribution-settings__title","contribution-settings__list":"ls-contribution-settings__list","contribution-settings__user-name":"ls-contribution-settings__user-name","contribution-settings__checkbox":"ls-contribution-settings__checkbox","contribution-settings__button":"ls-contribution-settings__button","selected-user-list":"ls-selected-user-list"});

/***/ }),

/***/ "./src/pages/Settings/settings.styl":
/*!******************************************!*\
  !*** ./src/pages/Settings/settings.styl ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"general-settings":"ls-general-settings","general-settings__wrapper":"ls-general-settings__wrapper","heidy-tip":"ls-heidy-tip","label__text":"ls-label__text","radio-group__buttons":"ls-radio-group__buttons","label__content":"ls-label__content","workspace-placeholder__badge-wrapper":"ls-workspace-placeholder__badge-wrapper","workspace-placeholder__title":"ls-workspace-placeholder__title","settings-caption":"ls-settings-caption","disabled-field":"ls-disabled-field","disabled-field__label":"ls-disabled-field__label","disabled-field__title":"ls-disabled-field__title","disabled-field__description":"ls-disabled-field__description"});

/***/ }),

/***/ "./src/pages/WebhookPage/WebhookPage.styl":
/*!************************************************!*\
  !*** ./src/pages/WebhookPage/WebhookPage.styl ***!
  \************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
// extracted by mini-css-extract-plugin
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({"webhook-wrap":"ls-webhook-wrap","webhook-wrap__header":"ls-webhook-wrap__header","webhook__title":"ls-webhook__title","webhook__title-base":"ls-webhook__title-base","webhook__controls":"ls-webhook__controls","webhook__content":"ls-webhook__content","webhook-delete-modal__width-button":"ls-webhook-delete-modal__width-button","webhook-delete-modal__modal-text":"ls-webhook-delete-modal__modal-text","webhook-list__item":"ls-webhook-list__item","webhook-list__item-url":"ls-webhook-list__item-url","webhook-list__item-date":"ls-webhook-list__item-date","webhook-list__item-control":"ls-webhook-list__item-control","webhook-form__form-row":"ls-webhook-form__form-row","webhook-form__form-checkbox":"ls-webhook-form__form-checkbox","webhook-detail__width-button":"ls-webhook-detail__width-button","webhook-detail__black-text":"ls-webhook-detail__black-text","webhook-detail__activator":"ls-webhook-detail__activator","webhook-detail__url-space":"ls-webhook-detail__url-space","webhook-detail__url-input":"ls-webhook-detail__url-input","webhook-detail__form-label":"ls-webhook-detail__form-label","webhook-detail__form-row":"ls-webhook-detail__form-row","webhook-detail__delete-button":"ls-webhook-detail__delete-button","webhook-detail__cancel-button":"ls-webhook-detail__cancel-button","webhook-detail__status":"ls-webhook-detail__status","webhook-detail__save-button":"ls-webhook-detail__save-button","webhook-detail__headers":"ls-webhook-detail__headers","webhook-detail__headers-control":"ls-webhook-detail__headers-control","webhook-detail__headers-add":"ls-webhook-detail__headers-add","webhook-detail__headers-row":"ls-webhook-detail__headers-row","webhook-detail__headers-remove":"ls-webhook-detail__headers-remove","webhook-detail__headers-input":"ls-webhook-detail__headers-input","webhook-detail__controls":"ls-webhook-detail__controls","webhook-payload":"ls-webhook-payload","webhook-payload__title_black":"ls-webhook-payload__title_black","webhook-payload__content":"ls-webhook-payload__content","webhook-payload__content-row":"ls-webhook-payload__content-row","webhook-payload__actions":"ls-webhook-payload__actions"});

/***/ }),

/***/ "./node_modules/object-assign/index.js":
/*!*********************************************!*\
  !*** ./node_modules/object-assign/index.js ***!
  \*********************************************/
/***/ ((module) => {

"use strict";
/*
object-assign
(c) Sindre Sorhus
@license MIT
*/


/* eslint-disable no-unused-vars */
var getOwnPropertySymbols = Object.getOwnPropertySymbols;
var hasOwnProperty = Object.prototype.hasOwnProperty;
var propIsEnumerable = Object.prototype.propertyIsEnumerable;

function toObject(val) {
	if (val === null || val === undefined) {
		throw new TypeError('Object.assign cannot be called with null or undefined');
	}

	return Object(val);
}

function shouldUseNative() {
	try {
		if (!Object.assign) {
			return false;
		}

		// Detect buggy property enumeration order in older V8 versions.

		// https://bugs.chromium.org/p/v8/issues/detail?id=4118
		var test1 = new String('abc');  // eslint-disable-line no-new-wrappers
		test1[5] = 'de';
		if (Object.getOwnPropertyNames(test1)[0] === '5') {
			return false;
		}

		// https://bugs.chromium.org/p/v8/issues/detail?id=3056
		var test2 = {};
		for (var i = 0; i < 10; i++) {
			test2['_' + String.fromCharCode(i)] = i;
		}
		var order2 = Object.getOwnPropertyNames(test2).map(function (n) {
			return test2[n];
		});
		if (order2.join('') !== '0123456789') {
			return false;
		}

		// https://bugs.chromium.org/p/v8/issues/detail?id=3056
		var test3 = {};
		'abcdefghijklmnopqrst'.split('').forEach(function (letter) {
			test3[letter] = letter;
		});
		if (Object.keys(Object.assign({}, test3)).join('') !==
				'abcdefghijklmnopqrst') {
			return false;
		}

		return true;
	} catch (err) {
		// We don't expect any of the above to throw, but better to be safe.
		return false;
	}
}

module.exports = shouldUseNative() ? Object.assign : function (target, source) {
	var from;
	var to = toObject(target);
	var symbols;

	for (var s = 1; s < arguments.length; s++) {
		from = Object(arguments[s]);

		for (var key in from) {
			if (hasOwnProperty.call(from, key)) {
				to[key] = from[key];
			}
		}

		if (getOwnPropertySymbols) {
			symbols = getOwnPropertySymbols(from);
			for (var i = 0; i < symbols.length; i++) {
				if (propIsEnumerable.call(from, symbols[i])) {
					to[symbols[i]] = from[symbols[i]];
				}
			}
		}
	}

	return to;
};


/***/ }),

/***/ "./node_modules/path-to-regexp/index.js":
/*!**********************************************!*\
  !*** ./node_modules/path-to-regexp/index.js ***!
  \**********************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var isarray = __webpack_require__(/*! isarray */ "./node_modules/path-to-regexp/node_modules/isarray/index.js")

/**
 * Expose `pathToRegexp`.
 */
module.exports = pathToRegexp
module.exports.parse = parse
module.exports.compile = compile
module.exports.tokensToFunction = tokensToFunction
module.exports.tokensToRegExp = tokensToRegExp

/**
 * The main path matching regexp utility.
 *
 * @type {RegExp}
 */
var PATH_REGEXP = new RegExp([
  // Match escaped characters that would otherwise appear in future matches.
  // This allows the user to escape special characters that won't transform.
  '(\\\\.)',
  // Match Express-style parameters and un-named parameters with a prefix
  // and optional suffixes. Matches appear as:
  //
  // "/:test(\\d+)?" => ["/", "test", "\d+", undefined, "?", undefined]
  // "/route(\\d+)"  => [undefined, undefined, undefined, "\d+", undefined, undefined]
  // "/*"            => ["/", undefined, undefined, undefined, undefined, "*"]
  '([\\/.])?(?:(?:\\:(\\w+)(?:\\(((?:\\\\.|[^\\\\()])+)\\))?|\\(((?:\\\\.|[^\\\\()])+)\\))([+*?])?|(\\*))'
].join('|'), 'g')

/**
 * Parse a string for the raw tokens.
 *
 * @param  {string}  str
 * @param  {Object=} options
 * @return {!Array}
 */
function parse (str, options) {
  var tokens = []
  var key = 0
  var index = 0
  var path = ''
  var defaultDelimiter = options && options.delimiter || '/'
  var res

  while ((res = PATH_REGEXP.exec(str)) != null) {
    var m = res[0]
    var escaped = res[1]
    var offset = res.index
    path += str.slice(index, offset)
    index = offset + m.length

    // Ignore already escaped sequences.
    if (escaped) {
      path += escaped[1]
      continue
    }

    var next = str[index]
    var prefix = res[2]
    var name = res[3]
    var capture = res[4]
    var group = res[5]
    var modifier = res[6]
    var asterisk = res[7]

    // Push the current path onto the tokens.
    if (path) {
      tokens.push(path)
      path = ''
    }

    var partial = prefix != null && next != null && next !== prefix
    var repeat = modifier === '+' || modifier === '*'
    var optional = modifier === '?' || modifier === '*'
    var delimiter = res[2] || defaultDelimiter
    var pattern = capture || group

    tokens.push({
      name: name || key++,
      prefix: prefix || '',
      delimiter: delimiter,
      optional: optional,
      repeat: repeat,
      partial: partial,
      asterisk: !!asterisk,
      pattern: pattern ? escapeGroup(pattern) : (asterisk ? '.*' : '[^' + escapeString(delimiter) + ']+?')
    })
  }

  // Match any characters still remaining.
  if (index < str.length) {
    path += str.substr(index)
  }

  // If the path exists, push it onto the end.
  if (path) {
    tokens.push(path)
  }

  return tokens
}

/**
 * Compile a string to a template function for the path.
 *
 * @param  {string}             str
 * @param  {Object=}            options
 * @return {!function(Object=, Object=)}
 */
function compile (str, options) {
  return tokensToFunction(parse(str, options), options)
}

/**
 * Prettier encoding of URI path segments.
 *
 * @param  {string}
 * @return {string}
 */
function encodeURIComponentPretty (str) {
  return encodeURI(str).replace(/[\/?#]/g, function (c) {
    return '%' + c.charCodeAt(0).toString(16).toUpperCase()
  })
}

/**
 * Encode the asterisk parameter. Similar to `pretty`, but allows slashes.
 *
 * @param  {string}
 * @return {string}
 */
function encodeAsterisk (str) {
  return encodeURI(str).replace(/[?#]/g, function (c) {
    return '%' + c.charCodeAt(0).toString(16).toUpperCase()
  })
}

/**
 * Expose a method for transforming tokens into the path function.
 */
function tokensToFunction (tokens, options) {
  // Compile all the tokens into regexps.
  var matches = new Array(tokens.length)

  // Compile all the patterns before compilation.
  for (var i = 0; i < tokens.length; i++) {
    if (typeof tokens[i] === 'object') {
      matches[i] = new RegExp('^(?:' + tokens[i].pattern + ')$', flags(options))
    }
  }

  return function (obj, opts) {
    var path = ''
    var data = obj || {}
    var options = opts || {}
    var encode = options.pretty ? encodeURIComponentPretty : encodeURIComponent

    for (var i = 0; i < tokens.length; i++) {
      var token = tokens[i]

      if (typeof token === 'string') {
        path += token

        continue
      }

      var value = data[token.name]
      var segment

      if (value == null) {
        if (token.optional) {
          // Prepend partial segment prefixes.
          if (token.partial) {
            path += token.prefix
          }

          continue
        } else {
          throw new TypeError('Expected "' + token.name + '" to be defined')
        }
      }

      if (isarray(value)) {
        if (!token.repeat) {
          throw new TypeError('Expected "' + token.name + '" to not repeat, but received `' + JSON.stringify(value) + '`')
        }

        if (value.length === 0) {
          if (token.optional) {
            continue
          } else {
            throw new TypeError('Expected "' + token.name + '" to not be empty')
          }
        }

        for (var j = 0; j < value.length; j++) {
          segment = encode(value[j])

          if (!matches[i].test(segment)) {
            throw new TypeError('Expected all "' + token.name + '" to match "' + token.pattern + '", but received `' + JSON.stringify(segment) + '`')
          }

          path += (j === 0 ? token.prefix : token.delimiter) + segment
        }

        continue
      }

      segment = token.asterisk ? encodeAsterisk(value) : encode(value)

      if (!matches[i].test(segment)) {
        throw new TypeError('Expected "' + token.name + '" to match "' + token.pattern + '", but received "' + segment + '"')
      }

      path += token.prefix + segment
    }

    return path
  }
}

/**
 * Escape a regular expression string.
 *
 * @param  {string} str
 * @return {string}
 */
function escapeString (str) {
  return str.replace(/([.+*?=^!:${}()[\]|\/\\])/g, '\\$1')
}

/**
 * Escape the capturing group by escaping special characters and meaning.
 *
 * @param  {string} group
 * @return {string}
 */
function escapeGroup (group) {
  return group.replace(/([=!:$\/()])/g, '\\$1')
}

/**
 * Attach the keys as a property of the regexp.
 *
 * @param  {!RegExp} re
 * @param  {Array}   keys
 * @return {!RegExp}
 */
function attachKeys (re, keys) {
  re.keys = keys
  return re
}

/**
 * Get the flags for a regexp from the options.
 *
 * @param  {Object} options
 * @return {string}
 */
function flags (options) {
  return options && options.sensitive ? '' : 'i'
}

/**
 * Pull out keys from a regexp.
 *
 * @param  {!RegExp} path
 * @param  {!Array}  keys
 * @return {!RegExp}
 */
function regexpToRegexp (path, keys) {
  // Use a negative lookahead to match only capturing groups.
  var groups = path.source.match(/\((?!\?)/g)

  if (groups) {
    for (var i = 0; i < groups.length; i++) {
      keys.push({
        name: i,
        prefix: null,
        delimiter: null,
        optional: false,
        repeat: false,
        partial: false,
        asterisk: false,
        pattern: null
      })
    }
  }

  return attachKeys(path, keys)
}

/**
 * Transform an array into a regexp.
 *
 * @param  {!Array}  path
 * @param  {Array}   keys
 * @param  {!Object} options
 * @return {!RegExp}
 */
function arrayToRegexp (path, keys, options) {
  var parts = []

  for (var i = 0; i < path.length; i++) {
    parts.push(pathToRegexp(path[i], keys, options).source)
  }

  var regexp = new RegExp('(?:' + parts.join('|') + ')', flags(options))

  return attachKeys(regexp, keys)
}

/**
 * Create a path regexp from string input.
 *
 * @param  {string}  path
 * @param  {!Array}  keys
 * @param  {!Object} options
 * @return {!RegExp}
 */
function stringToRegexp (path, keys, options) {
  return tokensToRegExp(parse(path, options), keys, options)
}

/**
 * Expose a function for taking tokens and returning a RegExp.
 *
 * @param  {!Array}          tokens
 * @param  {(Array|Object)=} keys
 * @param  {Object=}         options
 * @return {!RegExp}
 */
function tokensToRegExp (tokens, keys, options) {
  if (!isarray(keys)) {
    options = /** @type {!Object} */ (keys || options)
    keys = []
  }

  options = options || {}

  var strict = options.strict
  var end = options.end !== false
  var route = ''

  // Iterate over the tokens and create our regexp string.
  for (var i = 0; i < tokens.length; i++) {
    var token = tokens[i]

    if (typeof token === 'string') {
      route += escapeString(token)
    } else {
      var prefix = escapeString(token.prefix)
      var capture = '(?:' + token.pattern + ')'

      keys.push(token)

      if (token.repeat) {
        capture += '(?:' + prefix + capture + ')*'
      }

      if (token.optional) {
        if (!token.partial) {
          capture = '(?:' + prefix + '(' + capture + '))?'
        } else {
          capture = prefix + '(' + capture + ')?'
        }
      } else {
        capture = prefix + '(' + capture + ')'
      }

      route += capture
    }
  }

  var delimiter = escapeString(options.delimiter || '/')
  var endsWithDelimiter = route.slice(-delimiter.length) === delimiter

  // In non-strict mode we allow a slash at the end of match. If the path to
  // match already ends with a slash, we remove it for consistency. The slash
  // is valid at the end of a path match, not in the middle. This is important
  // in non-ending mode, where "/test/" shouldn't match "/test//route".
  if (!strict) {
    route = (endsWithDelimiter ? route.slice(0, -delimiter.length) : route) + '(?:' + delimiter + '(?=$))?'
  }

  if (end) {
    route += '$'
  } else {
    // In non-ending mode, we need the capturing groups to match as much as
    // possible by using a positive lookahead to the end or next path segment.
    route += strict && endsWithDelimiter ? '' : '(?=' + delimiter + '|$)'
  }

  return attachKeys(new RegExp('^' + route, flags(options)), keys)
}

/**
 * Normalize the given path string, returning a regular expression.
 *
 * An empty array can be passed in for the keys, which will hold the
 * placeholder key descriptions. For example, using `/user/:id`, `keys` will
 * contain `[{ name: 'id', delimiter: '/', optional: false, repeat: false }]`.
 *
 * @param  {(string|RegExp|Array)} path
 * @param  {(Array|Object)=}       keys
 * @param  {Object=}               options
 * @return {!RegExp}
 */
function pathToRegexp (path, keys, options) {
  if (!isarray(keys)) {
    options = /** @type {!Object} */ (keys || options)
    keys = []
  }

  options = options || {}

  if (path instanceof RegExp) {
    return regexpToRegexp(path, /** @type {!Array} */ (keys))
  }

  if (isarray(path)) {
    return arrayToRegexp(/** @type {!Array} */ (path), /** @type {!Array} */ (keys), options)
  }

  return stringToRegexp(/** @type {string} */ (path), /** @type {!Array} */ (keys), options)
}


/***/ }),

/***/ "./node_modules/path-to-regexp/node_modules/isarray/index.js":
/*!*******************************************************************!*\
  !*** ./node_modules/path-to-regexp/node_modules/isarray/index.js ***!
  \*******************************************************************/
/***/ ((module) => {

module.exports = Array.isArray || function (arr) {
  return Object.prototype.toString.call(arr) == '[object Array]';
};


/***/ }),

/***/ "./node_modules/prop-types/checkPropTypes.js":
/*!***************************************************!*\
  !*** ./node_modules/prop-types/checkPropTypes.js ***!
  \***************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



var printWarning = function() {};

if (true) {
  var ReactPropTypesSecret = __webpack_require__(/*! ./lib/ReactPropTypesSecret */ "./node_modules/prop-types/lib/ReactPropTypesSecret.js");
  var loggedTypeFailures = {};
  var has = Function.call.bind(Object.prototype.hasOwnProperty);

  printWarning = function(text) {
    var message = 'Warning: ' + text;
    if (typeof console !== 'undefined') {
      console.error(message);
    }
    try {
      // --- Welcome to debugging React ---
      // This error was thrown as a convenience so that you can use this stack
      // to find the callsite that caused this warning to fire.
      throw new Error(message);
    } catch (x) {}
  };
}

/**
 * Assert that the values match with the type specs.
 * Error messages are memorized and will only be shown once.
 *
 * @param {object} typeSpecs Map of name to a ReactPropType
 * @param {object} values Runtime values that need to be type-checked
 * @param {string} location e.g. "prop", "context", "child context"
 * @param {string} componentName Name of the component for error messages.
 * @param {?Function} getStack Returns the component stack.
 * @private
 */
function checkPropTypes(typeSpecs, values, location, componentName, getStack) {
  if (true) {
    for (var typeSpecName in typeSpecs) {
      if (has(typeSpecs, typeSpecName)) {
        var error;
        // Prop type validation may throw. In case they do, we don't want to
        // fail the render phase where it didn't fail before. So we log it.
        // After these have been cleaned up, we'll let them throw.
        try {
          // This is intentionally an invariant that gets caught. It's the same
          // behavior as without this statement except with a better message.
          if (typeof typeSpecs[typeSpecName] !== 'function') {
            var err = Error(
              (componentName || 'React class') + ': ' + location + ' type `' + typeSpecName + '` is invalid; ' +
              'it must be a function, usually from the `prop-types` package, but received `' + typeof typeSpecs[typeSpecName] + '`.'
            );
            err.name = 'Invariant Violation';
            throw err;
          }
          error = typeSpecs[typeSpecName](values, typeSpecName, componentName, location, null, ReactPropTypesSecret);
        } catch (ex) {
          error = ex;
        }
        if (error && !(error instanceof Error)) {
          printWarning(
            (componentName || 'React class') + ': type specification of ' +
            location + ' `' + typeSpecName + '` is invalid; the type checker ' +
            'function must return `null` or an `Error` but returned a ' + typeof error + '. ' +
            'You may have forgotten to pass an argument to the type checker ' +
            'creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and ' +
            'shape all require an argument).'
          );
        }
        if (error instanceof Error && !(error.message in loggedTypeFailures)) {
          // Only monitor this failure once because there tends to be a lot of the
          // same error.
          loggedTypeFailures[error.message] = true;

          var stack = getStack ? getStack() : '';

          printWarning(
            'Failed ' + location + ' type: ' + error.message + (stack != null ? stack : '')
          );
        }
      }
    }
  }
}

/**
 * Resets warning cache when testing.
 *
 * @private
 */
checkPropTypes.resetWarningCache = function() {
  if (true) {
    loggedTypeFailures = {};
  }
}

module.exports = checkPropTypes;


/***/ }),

/***/ "./node_modules/prop-types/factoryWithTypeCheckers.js":
/*!************************************************************!*\
  !*** ./node_modules/prop-types/factoryWithTypeCheckers.js ***!
  \************************************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";
/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



var ReactIs = __webpack_require__(/*! react-is */ "./node_modules/react-is/index.js");
var assign = __webpack_require__(/*! object-assign */ "./node_modules/object-assign/index.js");

var ReactPropTypesSecret = __webpack_require__(/*! ./lib/ReactPropTypesSecret */ "./node_modules/prop-types/lib/ReactPropTypesSecret.js");
var checkPropTypes = __webpack_require__(/*! ./checkPropTypes */ "./node_modules/prop-types/checkPropTypes.js");

var has = Function.call.bind(Object.prototype.hasOwnProperty);
var printWarning = function() {};

if (true) {
  printWarning = function(text) {
    var message = 'Warning: ' + text;
    if (typeof console !== 'undefined') {
      console.error(message);
    }
    try {
      // --- Welcome to debugging React ---
      // This error was thrown as a convenience so that you can use this stack
      // to find the callsite that caused this warning to fire.
      throw new Error(message);
    } catch (x) {}
  };
}

function emptyFunctionThatReturnsNull() {
  return null;
}

module.exports = function(isValidElement, throwOnDirectAccess) {
  /* global Symbol */
  var ITERATOR_SYMBOL = typeof Symbol === 'function' && Symbol.iterator;
  var FAUX_ITERATOR_SYMBOL = '@@iterator'; // Before Symbol spec.

  /**
   * Returns the iterator method function contained on the iterable object.
   *
   * Be sure to invoke the function with the iterable as context:
   *
   *     var iteratorFn = getIteratorFn(myIterable);
   *     if (iteratorFn) {
   *       var iterator = iteratorFn.call(myIterable);
   *       ...
   *     }
   *
   * @param {?object} maybeIterable
   * @return {?function}
   */
  function getIteratorFn(maybeIterable) {
    var iteratorFn = maybeIterable && (ITERATOR_SYMBOL && maybeIterable[ITERATOR_SYMBOL] || maybeIterable[FAUX_ITERATOR_SYMBOL]);
    if (typeof iteratorFn === 'function') {
      return iteratorFn;
    }
  }

  /**
   * Collection of methods that allow declaration and validation of props that are
   * supplied to React components. Example usage:
   *
   *   var Props = require('ReactPropTypes');
   *   var MyArticle = React.createClass({
   *     propTypes: {
   *       // An optional string prop named "description".
   *       description: Props.string,
   *
   *       // A required enum prop named "category".
   *       category: Props.oneOf(['News','Photos']).isRequired,
   *
   *       // A prop named "dialog" that requires an instance of Dialog.
   *       dialog: Props.instanceOf(Dialog).isRequired
   *     },
   *     render: function() { ... }
   *   });
   *
   * A more formal specification of how these methods are used:
   *
   *   type := array|bool|func|object|number|string|oneOf([...])|instanceOf(...)
   *   decl := ReactPropTypes.{type}(.isRequired)?
   *
   * Each and every declaration produces a function with the same signature. This
   * allows the creation of custom validation functions. For example:
   *
   *  var MyLink = React.createClass({
   *    propTypes: {
   *      // An optional string or URI prop named "href".
   *      href: function(props, propName, componentName) {
   *        var propValue = props[propName];
   *        if (propValue != null && typeof propValue !== 'string' &&
   *            !(propValue instanceof URI)) {
   *          return new Error(
   *            'Expected a string or an URI for ' + propName + ' in ' +
   *            componentName
   *          );
   *        }
   *      }
   *    },
   *    render: function() {...}
   *  });
   *
   * @internal
   */

  var ANONYMOUS = '<<anonymous>>';

  // Important!
  // Keep this list in sync with production version in `./factoryWithThrowingShims.js`.
  var ReactPropTypes = {
    array: createPrimitiveTypeChecker('array'),
    bool: createPrimitiveTypeChecker('boolean'),
    func: createPrimitiveTypeChecker('function'),
    number: createPrimitiveTypeChecker('number'),
    object: createPrimitiveTypeChecker('object'),
    string: createPrimitiveTypeChecker('string'),
    symbol: createPrimitiveTypeChecker('symbol'),

    any: createAnyTypeChecker(),
    arrayOf: createArrayOfTypeChecker,
    element: createElementTypeChecker(),
    elementType: createElementTypeTypeChecker(),
    instanceOf: createInstanceTypeChecker,
    node: createNodeChecker(),
    objectOf: createObjectOfTypeChecker,
    oneOf: createEnumTypeChecker,
    oneOfType: createUnionTypeChecker,
    shape: createShapeTypeChecker,
    exact: createStrictShapeTypeChecker,
  };

  /**
   * inlined Object.is polyfill to avoid requiring consumers ship their own
   * https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/is
   */
  /*eslint-disable no-self-compare*/
  function is(x, y) {
    // SameValue algorithm
    if (x === y) {
      // Steps 1-5, 7-10
      // Steps 6.b-6.e: +0 != -0
      return x !== 0 || 1 / x === 1 / y;
    } else {
      // Step 6.a: NaN == NaN
      return x !== x && y !== y;
    }
  }
  /*eslint-enable no-self-compare*/

  /**
   * We use an Error-like object for backward compatibility as people may call
   * PropTypes directly and inspect their output. However, we don't use real
   * Errors anymore. We don't inspect their stack anyway, and creating them
   * is prohibitively expensive if they are created too often, such as what
   * happens in oneOfType() for any type before the one that matched.
   */
  function PropTypeError(message) {
    this.message = message;
    this.stack = '';
  }
  // Make `instanceof Error` still work for returned errors.
  PropTypeError.prototype = Error.prototype;

  function createChainableTypeChecker(validate) {
    if (true) {
      var manualPropTypeCallCache = {};
      var manualPropTypeWarningCount = 0;
    }
    function checkType(isRequired, props, propName, componentName, location, propFullName, secret) {
      componentName = componentName || ANONYMOUS;
      propFullName = propFullName || propName;

      if (secret !== ReactPropTypesSecret) {
        if (throwOnDirectAccess) {
          // New behavior only for users of `prop-types` package
          var err = new Error(
            'Calling PropTypes validators directly is not supported by the `prop-types` package. ' +
            'Use `PropTypes.checkPropTypes()` to call them. ' +
            'Read more at http://fb.me/use-check-prop-types'
          );
          err.name = 'Invariant Violation';
          throw err;
        } else if ( true && typeof console !== 'undefined') {
          // Old behavior for people using React.PropTypes
          var cacheKey = componentName + ':' + propName;
          if (
            !manualPropTypeCallCache[cacheKey] &&
            // Avoid spamming the console because they are often not actionable except for lib authors
            manualPropTypeWarningCount < 3
          ) {
            printWarning(
              'You are manually calling a React.PropTypes validation ' +
              'function for the `' + propFullName + '` prop on `' + componentName  + '`. This is deprecated ' +
              'and will throw in the standalone `prop-types` package. ' +
              'You may be seeing this warning due to a third-party PropTypes ' +
              'library. See https://fb.me/react-warning-dont-call-proptypes ' + 'for details.'
            );
            manualPropTypeCallCache[cacheKey] = true;
            manualPropTypeWarningCount++;
          }
        }
      }
      if (props[propName] == null) {
        if (isRequired) {
          if (props[propName] === null) {
            return new PropTypeError('The ' + location + ' `' + propFullName + '` is marked as required ' + ('in `' + componentName + '`, but its value is `null`.'));
          }
          return new PropTypeError('The ' + location + ' `' + propFullName + '` is marked as required in ' + ('`' + componentName + '`, but its value is `undefined`.'));
        }
        return null;
      } else {
        return validate(props, propName, componentName, location, propFullName);
      }
    }

    var chainedCheckType = checkType.bind(null, false);
    chainedCheckType.isRequired = checkType.bind(null, true);

    return chainedCheckType;
  }

  function createPrimitiveTypeChecker(expectedType) {
    function validate(props, propName, componentName, location, propFullName, secret) {
      var propValue = props[propName];
      var propType = getPropType(propValue);
      if (propType !== expectedType) {
        // `propValue` being instance of, say, date/regexp, pass the 'object'
        // check, but we can offer a more precise error message here rather than
        // 'of type `object`'.
        var preciseType = getPreciseType(propValue);

        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + preciseType + '` supplied to `' + componentName + '`, expected ') + ('`' + expectedType + '`.'));
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createAnyTypeChecker() {
    return createChainableTypeChecker(emptyFunctionThatReturnsNull);
  }

  function createArrayOfTypeChecker(typeChecker) {
    function validate(props, propName, componentName, location, propFullName) {
      if (typeof typeChecker !== 'function') {
        return new PropTypeError('Property `' + propFullName + '` of component `' + componentName + '` has invalid PropType notation inside arrayOf.');
      }
      var propValue = props[propName];
      if (!Array.isArray(propValue)) {
        var propType = getPropType(propValue);
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an array.'));
      }
      for (var i = 0; i < propValue.length; i++) {
        var error = typeChecker(propValue, i, componentName, location, propFullName + '[' + i + ']', ReactPropTypesSecret);
        if (error instanceof Error) {
          return error;
        }
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createElementTypeChecker() {
    function validate(props, propName, componentName, location, propFullName) {
      var propValue = props[propName];
      if (!isValidElement(propValue)) {
        var propType = getPropType(propValue);
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected a single ReactElement.'));
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createElementTypeTypeChecker() {
    function validate(props, propName, componentName, location, propFullName) {
      var propValue = props[propName];
      if (!ReactIs.isValidElementType(propValue)) {
        var propType = getPropType(propValue);
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected a single ReactElement type.'));
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createInstanceTypeChecker(expectedClass) {
    function validate(props, propName, componentName, location, propFullName) {
      if (!(props[propName] instanceof expectedClass)) {
        var expectedClassName = expectedClass.name || ANONYMOUS;
        var actualClassName = getClassName(props[propName]);
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + actualClassName + '` supplied to `' + componentName + '`, expected ') + ('instance of `' + expectedClassName + '`.'));
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createEnumTypeChecker(expectedValues) {
    if (!Array.isArray(expectedValues)) {
      if (true) {
        if (arguments.length > 1) {
          printWarning(
            'Invalid arguments supplied to oneOf, expected an array, got ' + arguments.length + ' arguments. ' +
            'A common mistake is to write oneOf(x, y, z) instead of oneOf([x, y, z]).'
          );
        } else {
          printWarning('Invalid argument supplied to oneOf, expected an array.');
        }
      }
      return emptyFunctionThatReturnsNull;
    }

    function validate(props, propName, componentName, location, propFullName) {
      var propValue = props[propName];
      for (var i = 0; i < expectedValues.length; i++) {
        if (is(propValue, expectedValues[i])) {
          return null;
        }
      }

      var valuesString = JSON.stringify(expectedValues, function replacer(key, value) {
        var type = getPreciseType(value);
        if (type === 'symbol') {
          return String(value);
        }
        return value;
      });
      return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of value `' + String(propValue) + '` ' + ('supplied to `' + componentName + '`, expected one of ' + valuesString + '.'));
    }
    return createChainableTypeChecker(validate);
  }

  function createObjectOfTypeChecker(typeChecker) {
    function validate(props, propName, componentName, location, propFullName) {
      if (typeof typeChecker !== 'function') {
        return new PropTypeError('Property `' + propFullName + '` of component `' + componentName + '` has invalid PropType notation inside objectOf.');
      }
      var propValue = props[propName];
      var propType = getPropType(propValue);
      if (propType !== 'object') {
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an object.'));
      }
      for (var key in propValue) {
        if (has(propValue, key)) {
          var error = typeChecker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret);
          if (error instanceof Error) {
            return error;
          }
        }
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createUnionTypeChecker(arrayOfTypeCheckers) {
    if (!Array.isArray(arrayOfTypeCheckers)) {
       true ? printWarning('Invalid argument supplied to oneOfType, expected an instance of array.') : 0;
      return emptyFunctionThatReturnsNull;
    }

    for (var i = 0; i < arrayOfTypeCheckers.length; i++) {
      var checker = arrayOfTypeCheckers[i];
      if (typeof checker !== 'function') {
        printWarning(
          'Invalid argument supplied to oneOfType. Expected an array of check functions, but ' +
          'received ' + getPostfixForTypeWarning(checker) + ' at index ' + i + '.'
        );
        return emptyFunctionThatReturnsNull;
      }
    }

    function validate(props, propName, componentName, location, propFullName) {
      for (var i = 0; i < arrayOfTypeCheckers.length; i++) {
        var checker = arrayOfTypeCheckers[i];
        if (checker(props, propName, componentName, location, propFullName, ReactPropTypesSecret) == null) {
          return null;
        }
      }

      return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`.'));
    }
    return createChainableTypeChecker(validate);
  }

  function createNodeChecker() {
    function validate(props, propName, componentName, location, propFullName) {
      if (!isNode(props[propName])) {
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`, expected a ReactNode.'));
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createShapeTypeChecker(shapeTypes) {
    function validate(props, propName, componentName, location, propFullName) {
      var propValue = props[propName];
      var propType = getPropType(propValue);
      if (propType !== 'object') {
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type `' + propType + '` ' + ('supplied to `' + componentName + '`, expected `object`.'));
      }
      for (var key in shapeTypes) {
        var checker = shapeTypes[key];
        if (!checker) {
          continue;
        }
        var error = checker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret);
        if (error) {
          return error;
        }
      }
      return null;
    }
    return createChainableTypeChecker(validate);
  }

  function createStrictShapeTypeChecker(shapeTypes) {
    function validate(props, propName, componentName, location, propFullName) {
      var propValue = props[propName];
      var propType = getPropType(propValue);
      if (propType !== 'object') {
        return new PropTypeError('Invalid ' + location + ' `' + propFullName + '` of type `' + propType + '` ' + ('supplied to `' + componentName + '`, expected `object`.'));
      }
      // We need to check all keys in case some are required but missing from
      // props.
      var allKeys = assign({}, props[propName], shapeTypes);
      for (var key in allKeys) {
        var checker = shapeTypes[key];
        if (!checker) {
          return new PropTypeError(
            'Invalid ' + location + ' `' + propFullName + '` key `' + key + '` supplied to `' + componentName + '`.' +
            '\nBad object: ' + JSON.stringify(props[propName], null, '  ') +
            '\nValid keys: ' +  JSON.stringify(Object.keys(shapeTypes), null, '  ')
          );
        }
        var error = checker(propValue, key, componentName, location, propFullName + '.' + key, ReactPropTypesSecret);
        if (error) {
          return error;
        }
      }
      return null;
    }

    return createChainableTypeChecker(validate);
  }

  function isNode(propValue) {
    switch (typeof propValue) {
      case 'number':
      case 'string':
      case 'undefined':
        return true;
      case 'boolean':
        return !propValue;
      case 'object':
        if (Array.isArray(propValue)) {
          return propValue.every(isNode);
        }
        if (propValue === null || isValidElement(propValue)) {
          return true;
        }

        var iteratorFn = getIteratorFn(propValue);
        if (iteratorFn) {
          var iterator = iteratorFn.call(propValue);
          var step;
          if (iteratorFn !== propValue.entries) {
            while (!(step = iterator.next()).done) {
              if (!isNode(step.value)) {
                return false;
              }
            }
          } else {
            // Iterator will provide entry [k,v] tuples rather than values.
            while (!(step = iterator.next()).done) {
              var entry = step.value;
              if (entry) {
                if (!isNode(entry[1])) {
                  return false;
                }
              }
            }
          }
        } else {
          return false;
        }

        return true;
      default:
        return false;
    }
  }

  function isSymbol(propType, propValue) {
    // Native Symbol.
    if (propType === 'symbol') {
      return true;
    }

    // falsy value can't be a Symbol
    if (!propValue) {
      return false;
    }

    // 19.4.3.5 Symbol.prototype[@@toStringTag] === 'Symbol'
    if (propValue['@@toStringTag'] === 'Symbol') {
      return true;
    }

    // Fallback for non-spec compliant Symbols which are polyfilled.
    if (typeof Symbol === 'function' && propValue instanceof Symbol) {
      return true;
    }

    return false;
  }

  // Equivalent of `typeof` but with special handling for array and regexp.
  function getPropType(propValue) {
    var propType = typeof propValue;
    if (Array.isArray(propValue)) {
      return 'array';
    }
    if (propValue instanceof RegExp) {
      // Old webkits (at least until Android 4.0) return 'function' rather than
      // 'object' for typeof a RegExp. We'll normalize this here so that /bla/
      // passes PropTypes.object.
      return 'object';
    }
    if (isSymbol(propType, propValue)) {
      return 'symbol';
    }
    return propType;
  }

  // This handles more types than `getPropType`. Only used for error messages.
  // See `createPrimitiveTypeChecker`.
  function getPreciseType(propValue) {
    if (typeof propValue === 'undefined' || propValue === null) {
      return '' + propValue;
    }
    var propType = getPropType(propValue);
    if (propType === 'object') {
      if (propValue instanceof Date) {
        return 'date';
      } else if (propValue instanceof RegExp) {
        return 'regexp';
      }
    }
    return propType;
  }

  // Returns a string that is postfixed to a warning about an invalid type.
  // For example, "undefined" or "of type array"
  function getPostfixForTypeWarning(value) {
    var type = getPreciseType(value);
    switch (type) {
      case 'array':
      case 'object':
        return 'an ' + type;
      case 'boolean':
      case 'date':
      case 'regexp':
        return 'a ' + type;
      default:
        return type;
    }
  }

  // Returns class name of the object, if any.
  function getClassName(propValue) {
    if (!propValue.constructor || !propValue.constructor.name) {
      return ANONYMOUS;
    }
    return propValue.constructor.name;
  }

  ReactPropTypes.checkPropTypes = checkPropTypes;
  ReactPropTypes.resetWarningCache = checkPropTypes.resetWarningCache;
  ReactPropTypes.PropTypes = ReactPropTypes;

  return ReactPropTypes;
};


/***/ }),

/***/ "./node_modules/prop-types/index.js":
/*!******************************************!*\
  !*** ./node_modules/prop-types/index.js ***!
  \******************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

if (true) {
  var ReactIs = __webpack_require__(/*! react-is */ "./node_modules/react-is/index.js");

  // By explicitly using `prop-types` you are opting into new development behavior.
  // http://fb.me/prop-types-in-prod
  var throwOnDirectAccess = true;
  module.exports = __webpack_require__(/*! ./factoryWithTypeCheckers */ "./node_modules/prop-types/factoryWithTypeCheckers.js")(ReactIs.isElement, throwOnDirectAccess);
} else {}


/***/ }),

/***/ "./node_modules/prop-types/lib/ReactPropTypesSecret.js":
/*!*************************************************************!*\
  !*** ./node_modules/prop-types/lib/ReactPropTypesSecret.js ***!
  \*************************************************************/
/***/ ((module) => {

"use strict";
/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



var ReactPropTypesSecret = 'SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED';

module.exports = ReactPropTypesSecret;


/***/ }),

/***/ "./node_modules/react-codemirror2/index.js":
/*!*************************************************!*\
  !*** ./node_modules/react-codemirror2/index.js ***!
  \*************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";


function _extends() {
  _extends = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}

function _typeof(obj) {
  "@babel/helpers - typeof";
  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function _typeof(obj) {
      return typeof obj;
    };
  } else {
    _typeof = function _typeof(obj) {
      return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
    };
  }
  return _typeof(obj);
}

var __extends = void 0 && (void 0).__extends || function() {
  var _extendStatics = function extendStatics(d, b) {
    _extendStatics = Object.setPrototypeOf || {
      __proto__: []
    }
    instanceof Array && function(d, b) {
      d.__proto__ = b;
    } || function(d, b) {
      for (var p in b) {
        if (b.hasOwnProperty(p)) d[p] = b[p];
      }
    };

    return _extendStatics(d, b);
  };

  return function(d, b) {
    _extendStatics(d, b);

    function __() {
      this.constructor = d;
    }

    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
  };
}();

Object.defineProperty(exports, "__esModule", ({
  value: true
}));
exports.UnControlled = exports.Controlled = void 0;

var React = __webpack_require__(/*! react */ "./node_modules/react/index.js");

var SERVER_RENDERED = typeof navigator === 'undefined' || __webpack_require__.g['PREVENT_CODEMIRROR_RENDER'] === true;
var cm;

if (!SERVER_RENDERED) {
  cm = __webpack_require__(/*! codemirror */ "./node_modules/codemirror/lib/codemirror.js");
}

var Helper = function() {
  function Helper() {}

  Helper.equals = function(x, y) {
    var _this = this;

    var ok = Object.keys,
      tx = _typeof(x),
      ty = _typeof(y);

    return x && y && tx === 'object' && tx === ty ? ok(x).length === ok(y).length && ok(x).every(function(key) {
      return _this.equals(x[key], y[key]);
    }) : x === y;
  };

  return Helper;
}();

var Shared = function() {
  function Shared(editor, props) {
    this.editor = editor;
    this.props = props;
  }

  Shared.prototype.delegateCursor = function(position, scroll, focus) {
    var doc = this.editor.getDoc();

    if (focus) {
      this.editor.focus();
    }

    scroll ? doc.setCursor(position) : doc.setCursor(position, null, {
      scroll: false
    });
  };

  Shared.prototype.delegateScroll = function(coordinates) {
    this.editor.scrollTo(coordinates.x, coordinates.y);
  };

  Shared.prototype.delegateSelection = function(ranges, focus) {
    var doc = this.editor.getDoc();
    doc.setSelections(ranges);

    if (focus) {
      this.editor.focus();
    }
  };

  Shared.prototype.apply = function(props) {
    if (props && props.selection && props.selection.ranges) {
      this.delegateSelection(props.selection.ranges, props.selection.focus || false);
    }

    if (props && props.cursor) {
      this.delegateCursor(props.cursor, props.autoScroll || false, this.editor.getOption('autofocus') || false);
    }

    if (props && props.scroll) {
      this.delegateScroll(props.scroll);
    }
  };

  Shared.prototype.applyNext = function(props, next, preserved) {
    if (props && props.selection && props.selection.ranges) {
      if (next && next.selection && next.selection.ranges && !Helper.equals(props.selection.ranges, next.selection.ranges)) {
        this.delegateSelection(next.selection.ranges, next.selection.focus || false);
      }
    }

    if (props && props.cursor) {
      if (next && next.cursor && !Helper.equals(props.cursor, next.cursor)) {
        this.delegateCursor(preserved.cursor || next.cursor, next.autoScroll || false, next.autoCursor || false);
      }
    }

    if (props && props.scroll) {
      if (next && next.scroll && !Helper.equals(props.scroll, next.scroll)) {
        this.delegateScroll(next.scroll);
      }
    }
  };

  Shared.prototype.applyUserDefined = function(props, preserved) {
    if (preserved && preserved.cursor) {
      this.delegateCursor(preserved.cursor, props.autoScroll || false, this.editor.getOption('autofocus') || false);
    }
  };

  Shared.prototype.wire = function(props) {
    var _this = this;

    Object.keys(props || {}).filter(function(p) {
      return /^on/.test(p);
    }).forEach(function(prop) {
      switch (prop) {
        case 'onBlur': {
          _this.editor.on('blur', function(cm, event) {
            _this.props.onBlur(_this.editor, event);
          });
        }
        break;

      case 'onContextMenu': {
        _this.editor.on('contextmenu', function(cm, event) {
          _this.props.onContextMenu(_this.editor, event);
        });

        break;
      }

      case 'onCopy': {
        _this.editor.on('copy', function(cm, event) {
          _this.props.onCopy(_this.editor, event);
        });

        break;
      }

      case 'onCursor': {
        _this.editor.on('cursorActivity', function(cm) {
          _this.props.onCursor(_this.editor, _this.editor.getDoc().getCursor());
        });
      }
      break;

      case 'onCursorActivity': {
        _this.editor.on('cursorActivity', function(cm) {
          _this.props.onCursorActivity(_this.editor);
        });
      }
      break;

      case 'onCut': {
        _this.editor.on('cut', function(cm, event) {
          _this.props.onCut(_this.editor, event);
        });

        break;
      }

      case 'onDblClick': {
        _this.editor.on('dblclick', function(cm, event) {
          _this.props.onDblClick(_this.editor, event);
        });

        break;
      }

      case 'onDragEnter': {
        _this.editor.on('dragenter', function(cm, event) {
          _this.props.onDragEnter(_this.editor, event);
        });
      }
      break;

      case 'onDragLeave': {
        _this.editor.on('dragleave', function(cm, event) {
          _this.props.onDragLeave(_this.editor, event);
        });

        break;
      }

      case 'onDragOver': {
        _this.editor.on('dragover', function(cm, event) {
          _this.props.onDragOver(_this.editor, event);
        });
      }
      break;

      case 'onDragStart': {
        _this.editor.on('dragstart', function(cm, event) {
          _this.props.onDragStart(_this.editor, event);
        });

        break;
      }

      case 'onDrop': {
        _this.editor.on('drop', function(cm, event) {
          _this.props.onDrop(_this.editor, event);
        });
      }
      break;

      case 'onFocus': {
        _this.editor.on('focus', function(cm, event) {
          _this.props.onFocus(_this.editor, event);
        });
      }
      break;

      case 'onGutterClick': {
        _this.editor.on('gutterClick', function(cm, lineNumber, gutter, event) {
          _this.props.onGutterClick(_this.editor, lineNumber, gutter, event);
        });
      }
      break;

      case 'onInputRead': {
        _this.editor.on('inputRead', function(cm, EditorChangeEvent) {
          _this.props.onInputRead(_this.editor, EditorChangeEvent);
        });
      }
      break;

      case 'onKeyDown': {
        _this.editor.on('keydown', function(cm, event) {
          _this.props.onKeyDown(_this.editor, event);
        });
      }
      break;

      case 'onKeyHandled': {
        _this.editor.on('keyHandled', function(cm, key, event) {
          _this.props.onKeyHandled(_this.editor, key, event);
        });
      }
      break;

      case 'onKeyPress': {
        _this.editor.on('keypress', function(cm, event) {
          _this.props.onKeyPress(_this.editor, event);
        });
      }
      break;

      case 'onKeyUp': {
        _this.editor.on('keyup', function(cm, event) {
          _this.props.onKeyUp(_this.editor, event);
        });
      }
      break;

      case 'onMouseDown': {
        _this.editor.on('mousedown', function(cm, event) {
          _this.props.onMouseDown(_this.editor, event);
        });

        break;
      }

      case 'onPaste': {
        _this.editor.on('paste', function(cm, event) {
          _this.props.onPaste(_this.editor, event);
        });

        break;
      }

      case 'onRenderLine': {
        _this.editor.on('renderLine', function(cm, line, element) {
          _this.props.onRenderLine(_this.editor, line, element);
        });

        break;
      }

      case 'onScroll': {
        _this.editor.on('scroll', function(cm) {
          _this.props.onScroll(_this.editor, _this.editor.getScrollInfo());
        });
      }
      break;

      case 'onSelection': {
        _this.editor.on('beforeSelectionChange', function(cm, data) {
          _this.props.onSelection(_this.editor, data);
        });
      }
      break;

      case 'onTouchStart': {
        _this.editor.on('touchstart', function(cm, event) {
          _this.props.onTouchStart(_this.editor, event);
        });

        break;
      }

      case 'onUpdate': {
        _this.editor.on('update', function(cm) {
          _this.props.onUpdate(_this.editor);
        });
      }
      break;

      case 'onViewportChange': {
        _this.editor.on('viewportChange', function(cm, from, to) {
          _this.props.onViewportChange(_this.editor, from, to);
        });
      }
      break;
      }
    });
  };

  return Shared;
}();

var Controlled = function(_super) {
  __extends(Controlled, _super);

  function Controlled(props) {
    var _this = _super.call(this, props) || this;

    if (SERVER_RENDERED) return _this;
    _this.applied = false;
    _this.appliedNext = false;
    _this.appliedUserDefined = false;
    _this.deferred = null;
    _this.emulating = false;
    _this.hydrated = false;

    _this.initCb = function() {
      if (_this.props.editorDidConfigure) {
        _this.props.editorDidConfigure(_this.editor);
      }
    };

    _this.mounted = false;
    return _this;
  }

  Controlled.prototype.hydrate = function(props) {
    var _this = this;

    var _options = props && props.options ? props.options : {};

    var userDefinedOptions = _extends({}, cm.defaults, this.editor.options, _options);

    var optionDelta = Object.keys(userDefinedOptions).some(function(key) {
      return _this.editor.getOption(key) !== userDefinedOptions[key];
    });

    if (optionDelta) {
      Object.keys(userDefinedOptions).forEach(function(key) {
        if (_options.hasOwnProperty(key)) {
          if (_this.editor.getOption(key) !== userDefinedOptions[key]) {
            _this.editor.setOption(key, userDefinedOptions[key]);

            _this.mirror.setOption(key, userDefinedOptions[key]);
          }
        }
      });
    }

    if (!this.hydrated) {
      this.deferred ? this.resolveChange(props.value) : this.initChange(props.value || '');
    }

    this.hydrated = true;
  };

  Controlled.prototype.initChange = function(value) {
    this.emulating = true;
    var doc = this.editor.getDoc();
    var lastLine = doc.lastLine();
    var lastChar = doc.getLine(doc.lastLine()).length;
    doc.replaceRange(value || '', {
      line: 0,
      ch: 0
    }, {
      line: lastLine,
      ch: lastChar
    });
    this.mirror.setValue(value);
    doc.clearHistory();
    this.mirror.clearHistory();
    this.emulating = false;
  };

  Controlled.prototype.resolveChange = function(value) {
    this.emulating = true;
    var doc = this.editor.getDoc();

    if (this.deferred.origin === 'undo') {
      doc.undo();
    } else if (this.deferred.origin === 'redo') {
      doc.redo();
    } else {
      doc.replaceRange(this.deferred.text, this.deferred.from, this.deferred.to, this.deferred.origin);
    }

    if (value && value !== doc.getValue()) {
      var cursor = doc.getCursor();
      doc.setValue(value);
      doc.setCursor(cursor);
    }

    this.emulating = false;
    this.deferred = null;
  };

  Controlled.prototype.mirrorChange = function(deferred) {
    var doc = this.editor.getDoc();

    if (deferred.origin === 'undo') {
      doc.setHistory(this.mirror.getHistory());
      this.mirror.undo();
    } else if (deferred.origin === 'redo') {
      doc.setHistory(this.mirror.getHistory());
      this.mirror.redo();
    } else {
      this.mirror.replaceRange(deferred.text, deferred.from, deferred.to, deferred.origin);
    }

    return this.mirror.getValue();
  };

  Controlled.prototype.componentDidMount = function() {
    var _this = this;

    if (SERVER_RENDERED) return;

    if (this.props.defineMode) {
      if (this.props.defineMode.name && this.props.defineMode.fn) {
        cm.defineMode(this.props.defineMode.name, this.props.defineMode.fn);
      }
    }

    this.editor = cm(this.ref, this.props.options);
    this.shared = new Shared(this.editor, this.props);
    this.mirror = cm(function() {}, this.props.options);
    this.editor.on('electricInput', function() {
      _this.mirror.setHistory(_this.editor.getDoc().getHistory());
    });
    this.editor.on('cursorActivity', function() {
      _this.mirror.setCursor(_this.editor.getDoc().getCursor());
    });
    this.editor.on('beforeChange', function(cm, data) {
      if (_this.emulating) {
        return;
      }

      data.cancel();
      _this.deferred = data;

      var phantomChange = _this.mirrorChange(_this.deferred);

      if (_this.props.onBeforeChange) _this.props.onBeforeChange(_this.editor, _this.deferred, phantomChange);
    });
    this.editor.on('change', function(cm, data) {
      if (!_this.mounted) {
        return;
      }

      if (_this.props.onChange) {
        _this.props.onChange(_this.editor, data, _this.editor.getValue());
      }
    });
    this.hydrate(this.props);
    this.shared.apply(this.props);
    this.applied = true;
    this.mounted = true;
    this.shared.wire(this.props);

    if (this.editor.getOption('autofocus')) {
      this.editor.focus();
    }

    if (this.props.editorDidMount) {
      this.props.editorDidMount(this.editor, this.editor.getValue(), this.initCb);
    }
  };

  Controlled.prototype.componentDidUpdate = function(prevProps) {
    if (SERVER_RENDERED) return;
    var preserved = {
      cursor: null
    };

    if (this.props.value !== prevProps.value) {
      this.hydrated = false;
    }

    if (!this.props.autoCursor && this.props.autoCursor !== undefined) {
      preserved.cursor = this.editor.getDoc().getCursor();
    }

    this.hydrate(this.props);

    if (!this.appliedNext) {
      this.shared.applyNext(prevProps, this.props, preserved);
      this.appliedNext = true;
    }

    this.shared.applyUserDefined(prevProps, preserved);
    this.appliedUserDefined = true;
  };

  Controlled.prototype.componentWillUnmount = function() {
    if (SERVER_RENDERED) return;

    if (this.props.editorWillUnmount) {
      this.props.editorWillUnmount(cm);
    }
  };

  Controlled.prototype.shouldComponentUpdate = function(nextProps, nextState) {
    return !SERVER_RENDERED;
  };

  Controlled.prototype.render = function() {
    var _this = this;

    if (SERVER_RENDERED) return null;
    var className = this.props.className ? 'react-codemirror2 ' + this.props.className : 'react-codemirror2';
    return React.createElement('div', {
      className: className,
      ref: function ref(self) {
        return _this.ref = self;
      }
    });
  };

  return Controlled;
}(React.Component);

exports.Controlled = Controlled;

var UnControlled = function(_super) {
  __extends(UnControlled, _super);

  function UnControlled(props) {
    var _this = _super.call(this, props) || this;

    if (SERVER_RENDERED) return _this;
    _this.applied = false;
    _this.appliedUserDefined = false;
    _this.continueChange = false;
    _this.detached = false;
    _this.hydrated = false;

    _this.initCb = function() {
      if (_this.props.editorDidConfigure) {
        _this.props.editorDidConfigure(_this.editor);
      }
    };

    _this.mounted = false;

    _this.onBeforeChangeCb = function() {
      _this.continueChange = true;
    };

    return _this;
  }

  UnControlled.prototype.hydrate = function(props) {
    var _this = this;

    var _options = props && props.options ? props.options : {};

    var userDefinedOptions = _extends({}, cm.defaults, this.editor.options, _options);

    var optionDelta = Object.keys(userDefinedOptions).some(function(key) {
      return _this.editor.getOption(key) !== userDefinedOptions[key];
    });

    if (optionDelta) {
      Object.keys(userDefinedOptions).forEach(function(key) {
        if (_options.hasOwnProperty(key)) {
          if (_this.editor.getOption(key) !== userDefinedOptions[key]) {
            _this.editor.setOption(key, userDefinedOptions[key]);
          }
        }
      });
    }

    if (!this.hydrated) {
      var doc = this.editor.getDoc();
      var lastLine = doc.lastLine();
      var lastChar = doc.getLine(doc.lastLine()).length;
      doc.replaceRange(props.value || '', {
        line: 0,
        ch: 0
      }, {
        line: lastLine,
        ch: lastChar
      });
    }

    this.hydrated = true;
  };

  UnControlled.prototype.componentDidMount = function() {
    var _this = this;

    if (SERVER_RENDERED) return;
    this.detached = this.props.detach === true;

    if (this.props.defineMode) {
      if (this.props.defineMode.name && this.props.defineMode.fn) {
        cm.defineMode(this.props.defineMode.name, this.props.defineMode.fn);
      }
    }

    this.editor = cm(this.ref, this.props.options);
    this.shared = new Shared(this.editor, this.props);
    this.editor.on('beforeChange', function(cm, data) {
      if (_this.props.onBeforeChange) {
        _this.props.onBeforeChange(_this.editor, data, _this.editor.getValue(), _this.onBeforeChangeCb);
      }
    });
    this.editor.on('change', function(cm, data) {
      if (!_this.mounted || !_this.props.onChange) {
        return;
      }

      if (_this.props.onBeforeChange) {
        if (_this.continueChange) {
          _this.props.onChange(_this.editor, data, _this.editor.getValue());
        }
      } else {
        _this.props.onChange(_this.editor, data, _this.editor.getValue());
      }
    });
    this.hydrate(this.props);
    this.shared.apply(this.props);
    this.applied = true;
    this.mounted = true;
    this.shared.wire(this.props);
    this.editor.getDoc().clearHistory();

    if (this.props.editorDidMount) {
      this.props.editorDidMount(this.editor, this.editor.getValue(), this.initCb);
    }
  };

  UnControlled.prototype.componentDidUpdate = function(prevProps) {
    if (this.detached && this.props.detach === false) {
      this.detached = false;

      if (prevProps.editorDidAttach) {
        prevProps.editorDidAttach(this.editor);
      }
    }

    if (!this.detached && this.props.detach === true) {
      this.detached = true;

      if (prevProps.editorDidDetach) {
        prevProps.editorDidDetach(this.editor);
      }
    }

    if (SERVER_RENDERED || this.detached) return;
    var preserved = {
      cursor: null
    };

    if (this.props.value !== prevProps.value) {
      this.hydrated = false;
      this.applied = false;
      this.appliedUserDefined = false;
    }

    if (!prevProps.autoCursor && prevProps.autoCursor !== undefined) {
      preserved.cursor = this.editor.getDoc().getCursor();
    }

    this.hydrate(this.props);

    if (!this.applied) {
      this.shared.apply(prevProps);
      this.applied = true;
    }

    if (!this.appliedUserDefined) {
      this.shared.applyUserDefined(prevProps, preserved);
      this.appliedUserDefined = true;
    }
  };

  UnControlled.prototype.componentWillUnmount = function() {
    if (SERVER_RENDERED) return;

    if (this.props.editorWillUnmount) {
      this.props.editorWillUnmount(cm);
    }
  };

  UnControlled.prototype.shouldComponentUpdate = function(nextProps, nextState) {
    var update = true;
    if (SERVER_RENDERED) update = false;
    if (this.detached && nextProps.detach) update = false;
    return update;
  };

  UnControlled.prototype.render = function() {
    var _this = this;

    if (SERVER_RENDERED) return null;
    var className = this.props.className ? 'react-codemirror2 ' + this.props.className : 'react-codemirror2';
    return React.createElement('div', {
      className: className,
      ref: function ref(self) {
        return _this.ref = self;
      }
    });
  };

  return UnControlled;
}(React.Component);

exports.UnControlled = UnControlled;

/***/ }),

/***/ "./node_modules/react-dom/cjs/react-dom.development.js":
/*!*************************************************************!*\
  !*** ./node_modules/react-dom/cjs/react-dom.development.js ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
/** @license React v17.0.1
 * react-dom.development.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



if (true) {
  (function() {
'use strict';

var React = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _assign = __webpack_require__(/*! object-assign */ "./node_modules/object-assign/index.js");
var Scheduler = __webpack_require__(/*! scheduler */ "./node_modules/scheduler/index.js");
var tracing = __webpack_require__(/*! scheduler/tracing */ "./node_modules/scheduler/tracing.js");

var ReactSharedInternals = React.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED;

// by calls to these methods by a Babel plugin.
//
// In PROD (or in packages without access to React internals),
// they are left as they are instead.

function warn(format) {
  {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }

    printWarning('warn', format, args);
  }
}
function error(format) {
  {
    for (var _len2 = arguments.length, args = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
      args[_key2 - 1] = arguments[_key2];
    }

    printWarning('error', format, args);
  }
}

function printWarning(level, format, args) {
  // When changing this logic, you might want to also
  // update consoleWithStackDev.www.js as well.
  {
    var ReactDebugCurrentFrame = ReactSharedInternals.ReactDebugCurrentFrame;
    var stack = ReactDebugCurrentFrame.getStackAddendum();

    if (stack !== '') {
      format += '%s';
      args = args.concat([stack]);
    }

    var argsWithFormat = args.map(function (item) {
      return '' + item;
    }); // Careful: RN currently depends on this prefix

    argsWithFormat.unshift('Warning: ' + format); // We intentionally don't use spread (or .apply) directly because it
    // breaks IE9: https://github.com/facebook/react/issues/13610
    // eslint-disable-next-line react-internal/no-production-logging

    Function.prototype.apply.call(console[level], console, argsWithFormat);
  }
}

if (!React) {
  {
    throw Error( "ReactDOM was loaded before React. Make sure you load the React package before loading ReactDOM." );
  }
}

var FunctionComponent = 0;
var ClassComponent = 1;
var IndeterminateComponent = 2; // Before we know whether it is function or class

var HostRoot = 3; // Root of a host tree. Could be nested inside another node.

var HostPortal = 4; // A subtree. Could be an entry point to a different renderer.

var HostComponent = 5;
var HostText = 6;
var Fragment = 7;
var Mode = 8;
var ContextConsumer = 9;
var ContextProvider = 10;
var ForwardRef = 11;
var Profiler = 12;
var SuspenseComponent = 13;
var MemoComponent = 14;
var SimpleMemoComponent = 15;
var LazyComponent = 16;
var IncompleteClassComponent = 17;
var DehydratedFragment = 18;
var SuspenseListComponent = 19;
var FundamentalComponent = 20;
var ScopeComponent = 21;
var Block = 22;
var OffscreenComponent = 23;
var LegacyHiddenComponent = 24;

// Filter certain DOM attributes (e.g. src, href) if their values are empty strings.

var enableProfilerTimer = true; // Record durations for commit and passive effects phases.

var enableFundamentalAPI = false; // Experimental Scope support.
var enableNewReconciler = false; // Errors that are thrown while unmounting (or after in the case of passive effects)
var warnAboutStringRefs = false;

var allNativeEvents = new Set();
/**
 * Mapping from registration name to event name
 */


var registrationNameDependencies = {};
/**
 * Mapping from lowercase registration names to the properly cased version,
 * used to warn in the case of missing event handlers. Available
 * only in true.
 * @type {Object}
 */

var possibleRegistrationNames =  {} ; // Trust the developer to only use possibleRegistrationNames in true

function registerTwoPhaseEvent(registrationName, dependencies) {
  registerDirectEvent(registrationName, dependencies);
  registerDirectEvent(registrationName + 'Capture', dependencies);
}
function registerDirectEvent(registrationName, dependencies) {
  {
    if (registrationNameDependencies[registrationName]) {
      error('EventRegistry: More than one plugin attempted to publish the same ' + 'registration name, `%s`.', registrationName);
    }
  }

  registrationNameDependencies[registrationName] = dependencies;

  {
    var lowerCasedName = registrationName.toLowerCase();
    possibleRegistrationNames[lowerCasedName] = registrationName;

    if (registrationName === 'onDoubleClick') {
      possibleRegistrationNames.ondblclick = registrationName;
    }
  }

  for (var i = 0; i < dependencies.length; i++) {
    allNativeEvents.add(dependencies[i]);
  }
}

var canUseDOM = !!(typeof window !== 'undefined' && typeof window.document !== 'undefined' && typeof window.document.createElement !== 'undefined');

// A reserved attribute.
// It is handled by React separately and shouldn't be written to the DOM.
var RESERVED = 0; // A simple string attribute.
// Attributes that aren't in the filter are presumed to have this type.

var STRING = 1; // A string attribute that accepts booleans in React. In HTML, these are called
// "enumerated" attributes with "true" and "false" as possible values.
// When true, it should be set to a "true" string.
// When false, it should be set to a "false" string.

var BOOLEANISH_STRING = 2; // A real boolean attribute.
// When true, it should be present (set either to an empty string or its name).
// When false, it should be omitted.

var BOOLEAN = 3; // An attribute that can be used as a flag as well as with a value.
// When true, it should be present (set either to an empty string or its name).
// When false, it should be omitted.
// For any other value, should be present with that value.

var OVERLOADED_BOOLEAN = 4; // An attribute that must be numeric or parse as a numeric.
// When falsy, it should be removed.

var NUMERIC = 5; // An attribute that must be positive numeric or parse as a positive numeric.
// When falsy, it should be removed.

var POSITIVE_NUMERIC = 6;

/* eslint-disable max-len */
var ATTRIBUTE_NAME_START_CHAR = ":A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD";
/* eslint-enable max-len */

var ATTRIBUTE_NAME_CHAR = ATTRIBUTE_NAME_START_CHAR + "\\-.0-9\\u00B7\\u0300-\\u036F\\u203F-\\u2040";
var ROOT_ATTRIBUTE_NAME = 'data-reactroot';
var VALID_ATTRIBUTE_NAME_REGEX = new RegExp('^[' + ATTRIBUTE_NAME_START_CHAR + '][' + ATTRIBUTE_NAME_CHAR + ']*$');
var hasOwnProperty = Object.prototype.hasOwnProperty;
var illegalAttributeNameCache = {};
var validatedAttributeNameCache = {};
function isAttributeNameSafe(attributeName) {
  if (hasOwnProperty.call(validatedAttributeNameCache, attributeName)) {
    return true;
  }

  if (hasOwnProperty.call(illegalAttributeNameCache, attributeName)) {
    return false;
  }

  if (VALID_ATTRIBUTE_NAME_REGEX.test(attributeName)) {
    validatedAttributeNameCache[attributeName] = true;
    return true;
  }

  illegalAttributeNameCache[attributeName] = true;

  {
    error('Invalid attribute name: `%s`', attributeName);
  }

  return false;
}
function shouldIgnoreAttribute(name, propertyInfo, isCustomComponentTag) {
  if (propertyInfo !== null) {
    return propertyInfo.type === RESERVED;
  }

  if (isCustomComponentTag) {
    return false;
  }

  if (name.length > 2 && (name[0] === 'o' || name[0] === 'O') && (name[1] === 'n' || name[1] === 'N')) {
    return true;
  }

  return false;
}
function shouldRemoveAttributeWithWarning(name, value, propertyInfo, isCustomComponentTag) {
  if (propertyInfo !== null && propertyInfo.type === RESERVED) {
    return false;
  }

  switch (typeof value) {
    case 'function': // $FlowIssue symbol is perfectly valid here

    case 'symbol':
      // eslint-disable-line
      return true;

    case 'boolean':
      {
        if (isCustomComponentTag) {
          return false;
        }

        if (propertyInfo !== null) {
          return !propertyInfo.acceptsBooleans;
        } else {
          var prefix = name.toLowerCase().slice(0, 5);
          return prefix !== 'data-' && prefix !== 'aria-';
        }
      }

    default:
      return false;
  }
}
function shouldRemoveAttribute(name, value, propertyInfo, isCustomComponentTag) {
  if (value === null || typeof value === 'undefined') {
    return true;
  }

  if (shouldRemoveAttributeWithWarning(name, value, propertyInfo, isCustomComponentTag)) {
    return true;
  }

  if (isCustomComponentTag) {
    return false;
  }

  if (propertyInfo !== null) {

    switch (propertyInfo.type) {
      case BOOLEAN:
        return !value;

      case OVERLOADED_BOOLEAN:
        return value === false;

      case NUMERIC:
        return isNaN(value);

      case POSITIVE_NUMERIC:
        return isNaN(value) || value < 1;
    }
  }

  return false;
}
function getPropertyInfo(name) {
  return properties.hasOwnProperty(name) ? properties[name] : null;
}

function PropertyInfoRecord(name, type, mustUseProperty, attributeName, attributeNamespace, sanitizeURL, removeEmptyString) {
  this.acceptsBooleans = type === BOOLEANISH_STRING || type === BOOLEAN || type === OVERLOADED_BOOLEAN;
  this.attributeName = attributeName;
  this.attributeNamespace = attributeNamespace;
  this.mustUseProperty = mustUseProperty;
  this.propertyName = name;
  this.type = type;
  this.sanitizeURL = sanitizeURL;
  this.removeEmptyString = removeEmptyString;
} // When adding attributes to this list, be sure to also add them to
// the `possibleStandardNames` module to ensure casing and incorrect
// name warnings.


var properties = {}; // These props are reserved by React. They shouldn't be written to the DOM.

var reservedProps = ['children', 'dangerouslySetInnerHTML', // TODO: This prevents the assignment of defaultValue to regular
// elements (not just inputs). Now that ReactDOMInput assigns to the
// defaultValue property -- do we need this?
'defaultValue', 'defaultChecked', 'innerHTML', 'suppressContentEditableWarning', 'suppressHydrationWarning', 'style'];
reservedProps.forEach(function (name) {
  properties[name] = new PropertyInfoRecord(name, RESERVED, false, // mustUseProperty
  name, // attributeName
  null, // attributeNamespace
  false, // sanitizeURL
  false);
}); // A few React string attributes have a different name.
// This is a mapping from React prop names to the attribute names.

[['acceptCharset', 'accept-charset'], ['className', 'class'], ['htmlFor', 'for'], ['httpEquiv', 'http-equiv']].forEach(function (_ref) {
  var name = _ref[0],
      attributeName = _ref[1];
  properties[name] = new PropertyInfoRecord(name, STRING, false, // mustUseProperty
  attributeName, // attributeName
  null, // attributeNamespace
  false, // sanitizeURL
  false);
}); // These are "enumerated" HTML attributes that accept "true" and "false".
// In React, we let users pass `true` and `false` even though technically
// these aren't boolean attributes (they are coerced to strings).

['contentEditable', 'draggable', 'spellCheck', 'value'].forEach(function (name) {
  properties[name] = new PropertyInfoRecord(name, BOOLEANISH_STRING, false, // mustUseProperty
  name.toLowerCase(), // attributeName
  null, // attributeNamespace
  false, // sanitizeURL
  false);
}); // These are "enumerated" SVG attributes that accept "true" and "false".
// In React, we let users pass `true` and `false` even though technically
// these aren't boolean attributes (they are coerced to strings).
// Since these are SVG attributes, their attribute names are case-sensitive.

['autoReverse', 'externalResourcesRequired', 'focusable', 'preserveAlpha'].forEach(function (name) {
  properties[name] = new PropertyInfoRecord(name, BOOLEANISH_STRING, false, // mustUseProperty
  name, // attributeName
  null, // attributeNamespace
  false, // sanitizeURL
  false);
}); // These are HTML boolean attributes.

['allowFullScreen', 'async', // Note: there is a special case that prevents it from being written to the DOM
// on the client side because the browsers are inconsistent. Instead we call focus().
'autoFocus', 'autoPlay', 'controls', 'default', 'defer', 'disabled', 'disablePictureInPicture', 'disableRemotePlayback', 'formNoValidate', 'hidden', 'loop', 'noModule', 'noValidate', 'open', 'playsInline', 'readOnly', 'required', 'reversed', 'scoped', 'seamless', // Microdata
'itemScope'].forEach(function (name) {
  properties[name] = new PropertyInfoRecord(name, BOOLEAN, false, // mustUseProperty
  name.toLowerCase(), // attributeName
  null, // attributeNamespace
  false, // sanitizeURL
  false);
}); // These are the few React props that we set as DOM properties
// rather than attributes. These are all booleans.

['checked', // Note: `option.selected` is not updated if `select.multiple` is
// disabled with `removeAttribute`. We have special logic for handling this.
'multiple', 'muted', 'selected' // NOTE: if you add a camelCased prop to this list,
// you'll need to set attributeName to name.toLowerCase()
// instead in the assignment below.
].forEach(function (name) {
  properties[name] = new PropertyInfoRecord(name, BOOLEAN, true, // mustUseProperty
  name, // attributeName
  null, // attributeNamespace
  false, // sanitizeURL
  false);
}); // These are HTML attributes that are "overloaded booleans": they behave like
// booleans, but can also accept a string value.

['capture', 'download' // NOTE: if you add a camelCased prop to this list,
// you'll need to set attributeName to name.toLowerCase()
// instead in the assignment below.
].forEach(function (name) {
  properties[name] = new PropertyInfoRecord(name, OVERLOADED_BOOLEAN, false, // mustUseProperty
  name, // attributeName
  null, // attributeNamespace
  false, // sanitizeURL
  false);
}); // These are HTML attributes that must be positive numbers.

['cols', 'rows', 'size', 'span' // NOTE: if you add a camelCased prop to this list,
// you'll need to set attributeName to name.toLowerCase()
// instead in the assignment below.
].forEach(function (name) {
  properties[name] = new PropertyInfoRecord(name, POSITIVE_NUMERIC, false, // mustUseProperty
  name, // attributeName
  null, // attributeNamespace
  false, // sanitizeURL
  false);
}); // These are HTML attributes that must be numbers.

['rowSpan', 'start'].forEach(function (name) {
  properties[name] = new PropertyInfoRecord(name, NUMERIC, false, // mustUseProperty
  name.toLowerCase(), // attributeName
  null, // attributeNamespace
  false, // sanitizeURL
  false);
});
var CAMELIZE = /[\-\:]([a-z])/g;

var capitalize = function (token) {
  return token[1].toUpperCase();
}; // This is a list of all SVG attributes that need special casing, namespacing,
// or boolean value assignment. Regular attributes that just accept strings
// and have the same names are omitted, just like in the HTML attribute filter.
// Some of these attributes can be hard to find. This list was created by
// scraping the MDN documentation.


['accent-height', 'alignment-baseline', 'arabic-form', 'baseline-shift', 'cap-height', 'clip-path', 'clip-rule', 'color-interpolation', 'color-interpolation-filters', 'color-profile', 'color-rendering', 'dominant-baseline', 'enable-background', 'fill-opacity', 'fill-rule', 'flood-color', 'flood-opacity', 'font-family', 'font-size', 'font-size-adjust', 'font-stretch', 'font-style', 'font-variant', 'font-weight', 'glyph-name', 'glyph-orientation-horizontal', 'glyph-orientation-vertical', 'horiz-adv-x', 'horiz-origin-x', 'image-rendering', 'letter-spacing', 'lighting-color', 'marker-end', 'marker-mid', 'marker-start', 'overline-position', 'overline-thickness', 'paint-order', 'panose-1', 'pointer-events', 'rendering-intent', 'shape-rendering', 'stop-color', 'stop-opacity', 'strikethrough-position', 'strikethrough-thickness', 'stroke-dasharray', 'stroke-dashoffset', 'stroke-linecap', 'stroke-linejoin', 'stroke-miterlimit', 'stroke-opacity', 'stroke-width', 'text-anchor', 'text-decoration', 'text-rendering', 'underline-position', 'underline-thickness', 'unicode-bidi', 'unicode-range', 'units-per-em', 'v-alphabetic', 'v-hanging', 'v-ideographic', 'v-mathematical', 'vector-effect', 'vert-adv-y', 'vert-origin-x', 'vert-origin-y', 'word-spacing', 'writing-mode', 'xmlns:xlink', 'x-height' // NOTE: if you add a camelCased prop to this list,
// you'll need to set attributeName to name.toLowerCase()
// instead in the assignment below.
].forEach(function (attributeName) {
  var name = attributeName.replace(CAMELIZE, capitalize);
  properties[name] = new PropertyInfoRecord(name, STRING, false, // mustUseProperty
  attributeName, null, // attributeNamespace
  false, // sanitizeURL
  false);
}); // String SVG attributes with the xlink namespace.

['xlink:actuate', 'xlink:arcrole', 'xlink:role', 'xlink:show', 'xlink:title', 'xlink:type' // NOTE: if you add a camelCased prop to this list,
// you'll need to set attributeName to name.toLowerCase()
// instead in the assignment below.
].forEach(function (attributeName) {
  var name = attributeName.replace(CAMELIZE, capitalize);
  properties[name] = new PropertyInfoRecord(name, STRING, false, // mustUseProperty
  attributeName, 'http://www.w3.org/1999/xlink', false, // sanitizeURL
  false);
}); // String SVG attributes with the xml namespace.

['xml:base', 'xml:lang', 'xml:space' // NOTE: if you add a camelCased prop to this list,
// you'll need to set attributeName to name.toLowerCase()
// instead in the assignment below.
].forEach(function (attributeName) {
  var name = attributeName.replace(CAMELIZE, capitalize);
  properties[name] = new PropertyInfoRecord(name, STRING, false, // mustUseProperty
  attributeName, 'http://www.w3.org/XML/1998/namespace', false, // sanitizeURL
  false);
}); // These attribute exists both in HTML and SVG.
// The attribute name is case-sensitive in SVG so we can't just use
// the React name like we do for attributes that exist only in HTML.

['tabIndex', 'crossOrigin'].forEach(function (attributeName) {
  properties[attributeName] = new PropertyInfoRecord(attributeName, STRING, false, // mustUseProperty
  attributeName.toLowerCase(), // attributeName
  null, // attributeNamespace
  false, // sanitizeURL
  false);
}); // These attributes accept URLs. These must not allow javascript: URLS.
// These will also need to accept Trusted Types object in the future.

var xlinkHref = 'xlinkHref';
properties[xlinkHref] = new PropertyInfoRecord('xlinkHref', STRING, false, // mustUseProperty
'xlink:href', 'http://www.w3.org/1999/xlink', true, // sanitizeURL
false);
['src', 'href', 'action', 'formAction'].forEach(function (attributeName) {
  properties[attributeName] = new PropertyInfoRecord(attributeName, STRING, false, // mustUseProperty
  attributeName.toLowerCase(), // attributeName
  null, // attributeNamespace
  true, // sanitizeURL
  true);
});

// and any newline or tab are filtered out as if they're not part of the URL.
// https://url.spec.whatwg.org/#url-parsing
// Tab or newline are defined as \r\n\t:
// https://infra.spec.whatwg.org/#ascii-tab-or-newline
// A C0 control is a code point in the range \u0000 NULL to \u001F
// INFORMATION SEPARATOR ONE, inclusive:
// https://infra.spec.whatwg.org/#c0-control-or-space

/* eslint-disable max-len */

var isJavaScriptProtocol = /^[\u0000-\u001F ]*j[\r\n\t]*a[\r\n\t]*v[\r\n\t]*a[\r\n\t]*s[\r\n\t]*c[\r\n\t]*r[\r\n\t]*i[\r\n\t]*p[\r\n\t]*t[\r\n\t]*\:/i;
var didWarn = false;

function sanitizeURL(url) {
  {
    if (!didWarn && isJavaScriptProtocol.test(url)) {
      didWarn = true;

      error('A future version of React will block javascript: URLs as a security precaution. ' + 'Use event handlers instead if you can. If you need to generate unsafe HTML try ' + 'using dangerouslySetInnerHTML instead. React was passed %s.', JSON.stringify(url));
    }
  }
}

/**
 * Get the value for a property on a node. Only used in DEV for SSR validation.
 * The "expected" argument is used as a hint of what the expected value is.
 * Some properties have multiple equivalent values.
 */
function getValueForProperty(node, name, expected, propertyInfo) {
  {
    if (propertyInfo.mustUseProperty) {
      var propertyName = propertyInfo.propertyName;
      return node[propertyName];
    } else {
      if ( propertyInfo.sanitizeURL) {
        // If we haven't fully disabled javascript: URLs, and if
        // the hydration is successful of a javascript: URL, we
        // still want to warn on the client.
        sanitizeURL('' + expected);
      }

      var attributeName = propertyInfo.attributeName;
      var stringValue = null;

      if (propertyInfo.type === OVERLOADED_BOOLEAN) {
        if (node.hasAttribute(attributeName)) {
          var value = node.getAttribute(attributeName);

          if (value === '') {
            return true;
          }

          if (shouldRemoveAttribute(name, expected, propertyInfo, false)) {
            return value;
          }

          if (value === '' + expected) {
            return expected;
          }

          return value;
        }
      } else if (node.hasAttribute(attributeName)) {
        if (shouldRemoveAttribute(name, expected, propertyInfo, false)) {
          // We had an attribute but shouldn't have had one, so read it
          // for the error message.
          return node.getAttribute(attributeName);
        }

        if (propertyInfo.type === BOOLEAN) {
          // If this was a boolean, it doesn't matter what the value is
          // the fact that we have it is the same as the expected.
          return expected;
        } // Even if this property uses a namespace we use getAttribute
        // because we assume its namespaced name is the same as our config.
        // To use getAttributeNS we need the local name which we don't have
        // in our config atm.


        stringValue = node.getAttribute(attributeName);
      }

      if (shouldRemoveAttribute(name, expected, propertyInfo, false)) {
        return stringValue === null ? expected : stringValue;
      } else if (stringValue === '' + expected) {
        return expected;
      } else {
        return stringValue;
      }
    }
  }
}
/**
 * Get the value for a attribute on a node. Only used in DEV for SSR validation.
 * The third argument is used as a hint of what the expected value is. Some
 * attributes have multiple equivalent values.
 */

function getValueForAttribute(node, name, expected) {
  {
    if (!isAttributeNameSafe(name)) {
      return;
    } // If the object is an opaque reference ID, it's expected that
    // the next prop is different than the server value, so just return
    // expected


    if (isOpaqueHydratingObject(expected)) {
      return expected;
    }

    if (!node.hasAttribute(name)) {
      return expected === undefined ? undefined : null;
    }

    var value = node.getAttribute(name);

    if (value === '' + expected) {
      return expected;
    }

    return value;
  }
}
/**
 * Sets the value for a property on a node.
 *
 * @param {DOMElement} node
 * @param {string} name
 * @param {*} value
 */

function setValueForProperty(node, name, value, isCustomComponentTag) {
  var propertyInfo = getPropertyInfo(name);

  if (shouldIgnoreAttribute(name, propertyInfo, isCustomComponentTag)) {
    return;
  }

  if (shouldRemoveAttribute(name, value, propertyInfo, isCustomComponentTag)) {
    value = null;
  } // If the prop isn't in the special list, treat it as a simple attribute.


  if (isCustomComponentTag || propertyInfo === null) {
    if (isAttributeNameSafe(name)) {
      var _attributeName = name;

      if (value === null) {
        node.removeAttribute(_attributeName);
      } else {
        node.setAttribute(_attributeName,  '' + value);
      }
    }

    return;
  }

  var mustUseProperty = propertyInfo.mustUseProperty;

  if (mustUseProperty) {
    var propertyName = propertyInfo.propertyName;

    if (value === null) {
      var type = propertyInfo.type;
      node[propertyName] = type === BOOLEAN ? false : '';
    } else {
      // Contrary to `setAttribute`, object properties are properly
      // `toString`ed by IE8/9.
      node[propertyName] = value;
    }

    return;
  } // The rest are treated as attributes with special cases.


  var attributeName = propertyInfo.attributeName,
      attributeNamespace = propertyInfo.attributeNamespace;

  if (value === null) {
    node.removeAttribute(attributeName);
  } else {
    var _type = propertyInfo.type;
    var attributeValue;

    if (_type === BOOLEAN || _type === OVERLOADED_BOOLEAN && value === true) {
      // If attribute type is boolean, we know for sure it won't be an execution sink
      // and we won't require Trusted Type here.
      attributeValue = '';
    } else {
      // `setAttribute` with objects becomes only `[object]` in IE8/9,
      // ('' + value) makes it output the correct toString()-value.
      {
        attributeValue = '' + value;
      }

      if (propertyInfo.sanitizeURL) {
        sanitizeURL(attributeValue.toString());
      }
    }

    if (attributeNamespace) {
      node.setAttributeNS(attributeNamespace, attributeName, attributeValue);
    } else {
      node.setAttribute(attributeName, attributeValue);
    }
  }
}

// ATTENTION
// When adding new symbols to this file,
// Please consider also adding to 'react-devtools-shared/src/backend/ReactSymbols'
// The Symbol used to tag the ReactElement-like types. If there is no native Symbol
// nor polyfill, then a plain number is used for performance.
var REACT_ELEMENT_TYPE = 0xeac7;
var REACT_PORTAL_TYPE = 0xeaca;
var REACT_FRAGMENT_TYPE = 0xeacb;
var REACT_STRICT_MODE_TYPE = 0xeacc;
var REACT_PROFILER_TYPE = 0xead2;
var REACT_PROVIDER_TYPE = 0xeacd;
var REACT_CONTEXT_TYPE = 0xeace;
var REACT_FORWARD_REF_TYPE = 0xead0;
var REACT_SUSPENSE_TYPE = 0xead1;
var REACT_SUSPENSE_LIST_TYPE = 0xead8;
var REACT_MEMO_TYPE = 0xead3;
var REACT_LAZY_TYPE = 0xead4;
var REACT_BLOCK_TYPE = 0xead9;
var REACT_SERVER_BLOCK_TYPE = 0xeada;
var REACT_FUNDAMENTAL_TYPE = 0xead5;
var REACT_SCOPE_TYPE = 0xead7;
var REACT_OPAQUE_ID_TYPE = 0xeae0;
var REACT_DEBUG_TRACING_MODE_TYPE = 0xeae1;
var REACT_OFFSCREEN_TYPE = 0xeae2;
var REACT_LEGACY_HIDDEN_TYPE = 0xeae3;

if (typeof Symbol === 'function' && Symbol.for) {
  var symbolFor = Symbol.for;
  REACT_ELEMENT_TYPE = symbolFor('react.element');
  REACT_PORTAL_TYPE = symbolFor('react.portal');
  REACT_FRAGMENT_TYPE = symbolFor('react.fragment');
  REACT_STRICT_MODE_TYPE = symbolFor('react.strict_mode');
  REACT_PROFILER_TYPE = symbolFor('react.profiler');
  REACT_PROVIDER_TYPE = symbolFor('react.provider');
  REACT_CONTEXT_TYPE = symbolFor('react.context');
  REACT_FORWARD_REF_TYPE = symbolFor('react.forward_ref');
  REACT_SUSPENSE_TYPE = symbolFor('react.suspense');
  REACT_SUSPENSE_LIST_TYPE = symbolFor('react.suspense_list');
  REACT_MEMO_TYPE = symbolFor('react.memo');
  REACT_LAZY_TYPE = symbolFor('react.lazy');
  REACT_BLOCK_TYPE = symbolFor('react.block');
  REACT_SERVER_BLOCK_TYPE = symbolFor('react.server.block');
  REACT_FUNDAMENTAL_TYPE = symbolFor('react.fundamental');
  REACT_SCOPE_TYPE = symbolFor('react.scope');
  REACT_OPAQUE_ID_TYPE = symbolFor('react.opaque.id');
  REACT_DEBUG_TRACING_MODE_TYPE = symbolFor('react.debug_trace_mode');
  REACT_OFFSCREEN_TYPE = symbolFor('react.offscreen');
  REACT_LEGACY_HIDDEN_TYPE = symbolFor('react.legacy_hidden');
}

var MAYBE_ITERATOR_SYMBOL = typeof Symbol === 'function' && Symbol.iterator;
var FAUX_ITERATOR_SYMBOL = '@@iterator';
function getIteratorFn(maybeIterable) {
  if (maybeIterable === null || typeof maybeIterable !== 'object') {
    return null;
  }

  var maybeIterator = MAYBE_ITERATOR_SYMBOL && maybeIterable[MAYBE_ITERATOR_SYMBOL] || maybeIterable[FAUX_ITERATOR_SYMBOL];

  if (typeof maybeIterator === 'function') {
    return maybeIterator;
  }

  return null;
}

// Helpers to patch console.logs to avoid logging during side-effect free
// replaying on render function. This currently only patches the object
// lazily which won't cover if the log function was extracted eagerly.
// We could also eagerly patch the method.
var disabledDepth = 0;
var prevLog;
var prevInfo;
var prevWarn;
var prevError;
var prevGroup;
var prevGroupCollapsed;
var prevGroupEnd;

function disabledLog() {}

disabledLog.__reactDisabledLog = true;
function disableLogs() {
  {
    if (disabledDepth === 0) {
      /* eslint-disable react-internal/no-production-logging */
      prevLog = console.log;
      prevInfo = console.info;
      prevWarn = console.warn;
      prevError = console.error;
      prevGroup = console.group;
      prevGroupCollapsed = console.groupCollapsed;
      prevGroupEnd = console.groupEnd; // https://github.com/facebook/react/issues/19099

      var props = {
        configurable: true,
        enumerable: true,
        value: disabledLog,
        writable: true
      }; // $FlowFixMe Flow thinks console is immutable.

      Object.defineProperties(console, {
        info: props,
        log: props,
        warn: props,
        error: props,
        group: props,
        groupCollapsed: props,
        groupEnd: props
      });
      /* eslint-enable react-internal/no-production-logging */
    }

    disabledDepth++;
  }
}
function reenableLogs() {
  {
    disabledDepth--;

    if (disabledDepth === 0) {
      /* eslint-disable react-internal/no-production-logging */
      var props = {
        configurable: true,
        enumerable: true,
        writable: true
      }; // $FlowFixMe Flow thinks console is immutable.

      Object.defineProperties(console, {
        log: _assign({}, props, {
          value: prevLog
        }),
        info: _assign({}, props, {
          value: prevInfo
        }),
        warn: _assign({}, props, {
          value: prevWarn
        }),
        error: _assign({}, props, {
          value: prevError
        }),
        group: _assign({}, props, {
          value: prevGroup
        }),
        groupCollapsed: _assign({}, props, {
          value: prevGroupCollapsed
        }),
        groupEnd: _assign({}, props, {
          value: prevGroupEnd
        })
      });
      /* eslint-enable react-internal/no-production-logging */
    }

    if (disabledDepth < 0) {
      error('disabledDepth fell below zero. ' + 'This is a bug in React. Please file an issue.');
    }
  }
}

var ReactCurrentDispatcher = ReactSharedInternals.ReactCurrentDispatcher;
var prefix;
function describeBuiltInComponentFrame(name, source, ownerFn) {
  {
    if (prefix === undefined) {
      // Extract the VM specific prefix used by each line.
      try {
        throw Error();
      } catch (x) {
        var match = x.stack.trim().match(/\n( *(at )?)/);
        prefix = match && match[1] || '';
      }
    } // We use the prefix to ensure our stacks line up with native stack frames.


    return '\n' + prefix + name;
  }
}
var reentry = false;
var componentFrameCache;

{
  var PossiblyWeakMap = typeof WeakMap === 'function' ? WeakMap : Map;
  componentFrameCache = new PossiblyWeakMap();
}

function describeNativeComponentFrame(fn, construct) {
  // If something asked for a stack inside a fake render, it should get ignored.
  if (!fn || reentry) {
    return '';
  }

  {
    var frame = componentFrameCache.get(fn);

    if (frame !== undefined) {
      return frame;
    }
  }

  var control;
  reentry = true;
  var previousPrepareStackTrace = Error.prepareStackTrace; // $FlowFixMe It does accept undefined.

  Error.prepareStackTrace = undefined;
  var previousDispatcher;

  {
    previousDispatcher = ReactCurrentDispatcher.current; // Set the dispatcher in DEV because this might be call in the render function
    // for warnings.

    ReactCurrentDispatcher.current = null;
    disableLogs();
  }

  try {
    // This should throw.
    if (construct) {
      // Something should be setting the props in the constructor.
      var Fake = function () {
        throw Error();
      }; // $FlowFixMe


      Object.defineProperty(Fake.prototype, 'props', {
        set: function () {
          // We use a throwing setter instead of frozen or non-writable props
          // because that won't throw in a non-strict mode function.
          throw Error();
        }
      });

      if (typeof Reflect === 'object' && Reflect.construct) {
        // We construct a different control for this case to include any extra
        // frames added by the construct call.
        try {
          Reflect.construct(Fake, []);
        } catch (x) {
          control = x;
        }

        Reflect.construct(fn, [], Fake);
      } else {
        try {
          Fake.call();
        } catch (x) {
          control = x;
        }

        fn.call(Fake.prototype);
      }
    } else {
      try {
        throw Error();
      } catch (x) {
        control = x;
      }

      fn();
    }
  } catch (sample) {
    // This is inlined manually because closure doesn't do it for us.
    if (sample && control && typeof sample.stack === 'string') {
      // This extracts the first frame from the sample that isn't also in the control.
      // Skipping one frame that we assume is the frame that calls the two.
      var sampleLines = sample.stack.split('\n');
      var controlLines = control.stack.split('\n');
      var s = sampleLines.length - 1;
      var c = controlLines.length - 1;

      while (s >= 1 && c >= 0 && sampleLines[s] !== controlLines[c]) {
        // We expect at least one stack frame to be shared.
        // Typically this will be the root most one. However, stack frames may be
        // cut off due to maximum stack limits. In this case, one maybe cut off
        // earlier than the other. We assume that the sample is longer or the same
        // and there for cut off earlier. So we should find the root most frame in
        // the sample somewhere in the control.
        c--;
      }

      for (; s >= 1 && c >= 0; s--, c--) {
        // Next we find the first one that isn't the same which should be the
        // frame that called our sample function and the control.
        if (sampleLines[s] !== controlLines[c]) {
          // In V8, the first line is describing the message but other VMs don't.
          // If we're about to return the first line, and the control is also on the same
          // line, that's a pretty good indicator that our sample threw at same line as
          // the control. I.e. before we entered the sample frame. So we ignore this result.
          // This can happen if you passed a class to function component, or non-function.
          if (s !== 1 || c !== 1) {
            do {
              s--;
              c--; // We may still have similar intermediate frames from the construct call.
              // The next one that isn't the same should be our match though.

              if (c < 0 || sampleLines[s] !== controlLines[c]) {
                // V8 adds a "new" prefix for native classes. Let's remove it to make it prettier.
                var _frame = '\n' + sampleLines[s].replace(' at new ', ' at ');

                {
                  if (typeof fn === 'function') {
                    componentFrameCache.set(fn, _frame);
                  }
                } // Return the line we found.


                return _frame;
              }
            } while (s >= 1 && c >= 0);
          }

          break;
        }
      }
    }
  } finally {
    reentry = false;

    {
      ReactCurrentDispatcher.current = previousDispatcher;
      reenableLogs();
    }

    Error.prepareStackTrace = previousPrepareStackTrace;
  } // Fallback to just using the name if we couldn't make it throw.


  var name = fn ? fn.displayName || fn.name : '';
  var syntheticFrame = name ? describeBuiltInComponentFrame(name) : '';

  {
    if (typeof fn === 'function') {
      componentFrameCache.set(fn, syntheticFrame);
    }
  }

  return syntheticFrame;
}

function describeClassComponentFrame(ctor, source, ownerFn) {
  {
    return describeNativeComponentFrame(ctor, true);
  }
}
function describeFunctionComponentFrame(fn, source, ownerFn) {
  {
    return describeNativeComponentFrame(fn, false);
  }
}

function shouldConstruct(Component) {
  var prototype = Component.prototype;
  return !!(prototype && prototype.isReactComponent);
}

function describeUnknownElementTypeFrameInDEV(type, source, ownerFn) {

  if (type == null) {
    return '';
  }

  if (typeof type === 'function') {
    {
      return describeNativeComponentFrame(type, shouldConstruct(type));
    }
  }

  if (typeof type === 'string') {
    return describeBuiltInComponentFrame(type);
  }

  switch (type) {
    case REACT_SUSPENSE_TYPE:
      return describeBuiltInComponentFrame('Suspense');

    case REACT_SUSPENSE_LIST_TYPE:
      return describeBuiltInComponentFrame('SuspenseList');
  }

  if (typeof type === 'object') {
    switch (type.$$typeof) {
      case REACT_FORWARD_REF_TYPE:
        return describeFunctionComponentFrame(type.render);

      case REACT_MEMO_TYPE:
        // Memo may contain any component type so we recursively resolve it.
        return describeUnknownElementTypeFrameInDEV(type.type, source, ownerFn);

      case REACT_BLOCK_TYPE:
        return describeFunctionComponentFrame(type._render);

      case REACT_LAZY_TYPE:
        {
          var lazyComponent = type;
          var payload = lazyComponent._payload;
          var init = lazyComponent._init;

          try {
            // Lazy may contain any component type so we recursively resolve it.
            return describeUnknownElementTypeFrameInDEV(init(payload), source, ownerFn);
          } catch (x) {}
        }
    }
  }

  return '';
}

function describeFiber(fiber) {
  var owner =  fiber._debugOwner ? fiber._debugOwner.type : null ;
  var source =  fiber._debugSource ;

  switch (fiber.tag) {
    case HostComponent:
      return describeBuiltInComponentFrame(fiber.type);

    case LazyComponent:
      return describeBuiltInComponentFrame('Lazy');

    case SuspenseComponent:
      return describeBuiltInComponentFrame('Suspense');

    case SuspenseListComponent:
      return describeBuiltInComponentFrame('SuspenseList');

    case FunctionComponent:
    case IndeterminateComponent:
    case SimpleMemoComponent:
      return describeFunctionComponentFrame(fiber.type);

    case ForwardRef:
      return describeFunctionComponentFrame(fiber.type.render);

    case Block:
      return describeFunctionComponentFrame(fiber.type._render);

    case ClassComponent:
      return describeClassComponentFrame(fiber.type);

    default:
      return '';
  }
}

function getStackByFiberInDevAndProd(workInProgress) {
  try {
    var info = '';
    var node = workInProgress;

    do {
      info += describeFiber(node);
      node = node.return;
    } while (node);

    return info;
  } catch (x) {
    return '\nError generating stack: ' + x.message + '\n' + x.stack;
  }
}

function getWrappedName(outerType, innerType, wrapperName) {
  var functionName = innerType.displayName || innerType.name || '';
  return outerType.displayName || (functionName !== '' ? wrapperName + "(" + functionName + ")" : wrapperName);
}

function getContextName(type) {
  return type.displayName || 'Context';
}

function getComponentName(type) {
  if (type == null) {
    // Host root, text node or just invalid type.
    return null;
  }

  {
    if (typeof type.tag === 'number') {
      error('Received an unexpected object in getComponentName(). ' + 'This is likely a bug in React. Please file an issue.');
    }
  }

  if (typeof type === 'function') {
    return type.displayName || type.name || null;
  }

  if (typeof type === 'string') {
    return type;
  }

  switch (type) {
    case REACT_FRAGMENT_TYPE:
      return 'Fragment';

    case REACT_PORTAL_TYPE:
      return 'Portal';

    case REACT_PROFILER_TYPE:
      return 'Profiler';

    case REACT_STRICT_MODE_TYPE:
      return 'StrictMode';

    case REACT_SUSPENSE_TYPE:
      return 'Suspense';

    case REACT_SUSPENSE_LIST_TYPE:
      return 'SuspenseList';
  }

  if (typeof type === 'object') {
    switch (type.$$typeof) {
      case REACT_CONTEXT_TYPE:
        var context = type;
        return getContextName(context) + '.Consumer';

      case REACT_PROVIDER_TYPE:
        var provider = type;
        return getContextName(provider._context) + '.Provider';

      case REACT_FORWARD_REF_TYPE:
        return getWrappedName(type, type.render, 'ForwardRef');

      case REACT_MEMO_TYPE:
        return getComponentName(type.type);

      case REACT_BLOCK_TYPE:
        return getComponentName(type._render);

      case REACT_LAZY_TYPE:
        {
          var lazyComponent = type;
          var payload = lazyComponent._payload;
          var init = lazyComponent._init;

          try {
            return getComponentName(init(payload));
          } catch (x) {
            return null;
          }
        }
    }
  }

  return null;
}

var ReactDebugCurrentFrame = ReactSharedInternals.ReactDebugCurrentFrame;
var current = null;
var isRendering = false;
function getCurrentFiberOwnerNameInDevOrNull() {
  {
    if (current === null) {
      return null;
    }

    var owner = current._debugOwner;

    if (owner !== null && typeof owner !== 'undefined') {
      return getComponentName(owner.type);
    }
  }

  return null;
}

function getCurrentFiberStackInDev() {
  {
    if (current === null) {
      return '';
    } // Safe because if current fiber exists, we are reconciling,
    // and it is guaranteed to be the work-in-progress version.


    return getStackByFiberInDevAndProd(current);
  }
}

function resetCurrentFiber() {
  {
    ReactDebugCurrentFrame.getCurrentStack = null;
    current = null;
    isRendering = false;
  }
}
function setCurrentFiber(fiber) {
  {
    ReactDebugCurrentFrame.getCurrentStack = getCurrentFiberStackInDev;
    current = fiber;
    isRendering = false;
  }
}
function setIsRendering(rendering) {
  {
    isRendering = rendering;
  }
}
function getIsRendering() {
  {
    return isRendering;
  }
}

// Flow does not allow string concatenation of most non-string types. To work
// around this limitation, we use an opaque type that can only be obtained by
// passing the value through getToStringValue first.
function toString(value) {
  return '' + value;
}
function getToStringValue(value) {
  switch (typeof value) {
    case 'boolean':
    case 'number':
    case 'object':
    case 'string':
    case 'undefined':
      return value;

    default:
      // function, symbol are assigned as empty strings
      return '';
  }
}

var hasReadOnlyValue = {
  button: true,
  checkbox: true,
  image: true,
  hidden: true,
  radio: true,
  reset: true,
  submit: true
};
function checkControlledValueProps(tagName, props) {
  {
    if (!(hasReadOnlyValue[props.type] || props.onChange || props.onInput || props.readOnly || props.disabled || props.value == null)) {
      error('You provided a `value` prop to a form field without an ' + '`onChange` handler. This will render a read-only field. If ' + 'the field should be mutable use `defaultValue`. Otherwise, ' + 'set either `onChange` or `readOnly`.');
    }

    if (!(props.onChange || props.readOnly || props.disabled || props.checked == null)) {
      error('You provided a `checked` prop to a form field without an ' + '`onChange` handler. This will render a read-only field. If ' + 'the field should be mutable use `defaultChecked`. Otherwise, ' + 'set either `onChange` or `readOnly`.');
    }
  }
}

function isCheckable(elem) {
  var type = elem.type;
  var nodeName = elem.nodeName;
  return nodeName && nodeName.toLowerCase() === 'input' && (type === 'checkbox' || type === 'radio');
}

function getTracker(node) {
  return node._valueTracker;
}

function detachTracker(node) {
  node._valueTracker = null;
}

function getValueFromNode(node) {
  var value = '';

  if (!node) {
    return value;
  }

  if (isCheckable(node)) {
    value = node.checked ? 'true' : 'false';
  } else {
    value = node.value;
  }

  return value;
}

function trackValueOnNode(node) {
  var valueField = isCheckable(node) ? 'checked' : 'value';
  var descriptor = Object.getOwnPropertyDescriptor(node.constructor.prototype, valueField);
  var currentValue = '' + node[valueField]; // if someone has already defined a value or Safari, then bail
  // and don't track value will cause over reporting of changes,
  // but it's better then a hard failure
  // (needed for certain tests that spyOn input values and Safari)

  if (node.hasOwnProperty(valueField) || typeof descriptor === 'undefined' || typeof descriptor.get !== 'function' || typeof descriptor.set !== 'function') {
    return;
  }

  var get = descriptor.get,
      set = descriptor.set;
  Object.defineProperty(node, valueField, {
    configurable: true,
    get: function () {
      return get.call(this);
    },
    set: function (value) {
      currentValue = '' + value;
      set.call(this, value);
    }
  }); // We could've passed this the first time
  // but it triggers a bug in IE11 and Edge 14/15.
  // Calling defineProperty() again should be equivalent.
  // https://github.com/facebook/react/issues/11768

  Object.defineProperty(node, valueField, {
    enumerable: descriptor.enumerable
  });
  var tracker = {
    getValue: function () {
      return currentValue;
    },
    setValue: function (value) {
      currentValue = '' + value;
    },
    stopTracking: function () {
      detachTracker(node);
      delete node[valueField];
    }
  };
  return tracker;
}

function track(node) {
  if (getTracker(node)) {
    return;
  } // TODO: Once it's just Fiber we can move this to node._wrapperState


  node._valueTracker = trackValueOnNode(node);
}
function updateValueIfChanged(node) {
  if (!node) {
    return false;
  }

  var tracker = getTracker(node); // if there is no tracker at this point it's unlikely
  // that trying again will succeed

  if (!tracker) {
    return true;
  }

  var lastValue = tracker.getValue();
  var nextValue = getValueFromNode(node);

  if (nextValue !== lastValue) {
    tracker.setValue(nextValue);
    return true;
  }

  return false;
}

function getActiveElement(doc) {
  doc = doc || (typeof document !== 'undefined' ? document : undefined);

  if (typeof doc === 'undefined') {
    return null;
  }

  try {
    return doc.activeElement || doc.body;
  } catch (e) {
    return doc.body;
  }
}

var didWarnValueDefaultValue = false;
var didWarnCheckedDefaultChecked = false;
var didWarnControlledToUncontrolled = false;
var didWarnUncontrolledToControlled = false;

function isControlled(props) {
  var usesChecked = props.type === 'checkbox' || props.type === 'radio';
  return usesChecked ? props.checked != null : props.value != null;
}
/**
 * Implements an <input> host component that allows setting these optional
 * props: `checked`, `value`, `defaultChecked`, and `defaultValue`.
 *
 * If `checked` or `value` are not supplied (or null/undefined), user actions
 * that affect the checked state or value will trigger updates to the element.
 *
 * If they are supplied (and not null/undefined), the rendered element will not
 * trigger updates to the element. Instead, the props must change in order for
 * the rendered element to be updated.
 *
 * The rendered element will be initialized as unchecked (or `defaultChecked`)
 * with an empty value (or `defaultValue`).
 *
 * See http://www.w3.org/TR/2012/WD-html5-20121025/the-input-element.html
 */


function getHostProps(element, props) {
  var node = element;
  var checked = props.checked;

  var hostProps = _assign({}, props, {
    defaultChecked: undefined,
    defaultValue: undefined,
    value: undefined,
    checked: checked != null ? checked : node._wrapperState.initialChecked
  });

  return hostProps;
}
function initWrapperState(element, props) {
  {
    checkControlledValueProps('input', props);

    if (props.checked !== undefined && props.defaultChecked !== undefined && !didWarnCheckedDefaultChecked) {
      error('%s contains an input of type %s with both checked and defaultChecked props. ' + 'Input elements must be either controlled or uncontrolled ' + '(specify either the checked prop, or the defaultChecked prop, but not ' + 'both). Decide between using a controlled or uncontrolled input ' + 'element and remove one of these props. More info: ' + 'https://reactjs.org/link/controlled-components', getCurrentFiberOwnerNameInDevOrNull() || 'A component', props.type);

      didWarnCheckedDefaultChecked = true;
    }

    if (props.value !== undefined && props.defaultValue !== undefined && !didWarnValueDefaultValue) {
      error('%s contains an input of type %s with both value and defaultValue props. ' + 'Input elements must be either controlled or uncontrolled ' + '(specify either the value prop, or the defaultValue prop, but not ' + 'both). Decide between using a controlled or uncontrolled input ' + 'element and remove one of these props. More info: ' + 'https://reactjs.org/link/controlled-components', getCurrentFiberOwnerNameInDevOrNull() || 'A component', props.type);

      didWarnValueDefaultValue = true;
    }
  }

  var node = element;
  var defaultValue = props.defaultValue == null ? '' : props.defaultValue;
  node._wrapperState = {
    initialChecked: props.checked != null ? props.checked : props.defaultChecked,
    initialValue: getToStringValue(props.value != null ? props.value : defaultValue),
    controlled: isControlled(props)
  };
}
function updateChecked(element, props) {
  var node = element;
  var checked = props.checked;

  if (checked != null) {
    setValueForProperty(node, 'checked', checked, false);
  }
}
function updateWrapper(element, props) {
  var node = element;

  {
    var controlled = isControlled(props);

    if (!node._wrapperState.controlled && controlled && !didWarnUncontrolledToControlled) {
      error('A component is changing an uncontrolled input to be controlled. ' + 'This is likely caused by the value changing from undefined to ' + 'a defined value, which should not happen. ' + 'Decide between using a controlled or uncontrolled input ' + 'element for the lifetime of the component. More info: https://reactjs.org/link/controlled-components');

      didWarnUncontrolledToControlled = true;
    }

    if (node._wrapperState.controlled && !controlled && !didWarnControlledToUncontrolled) {
      error('A component is changing a controlled input to be uncontrolled. ' + 'This is likely caused by the value changing from a defined to ' + 'undefined, which should not happen. ' + 'Decide between using a controlled or uncontrolled input ' + 'element for the lifetime of the component. More info: https://reactjs.org/link/controlled-components');

      didWarnControlledToUncontrolled = true;
    }
  }

  updateChecked(element, props);
  var value = getToStringValue(props.value);
  var type = props.type;

  if (value != null) {
    if (type === 'number') {
      if (value === 0 && node.value === '' || // We explicitly want to coerce to number here if possible.
      // eslint-disable-next-line
      node.value != value) {
        node.value = toString(value);
      }
    } else if (node.value !== toString(value)) {
      node.value = toString(value);
    }
  } else if (type === 'submit' || type === 'reset') {
    // Submit/reset inputs need the attribute removed completely to avoid
    // blank-text buttons.
    node.removeAttribute('value');
    return;
  }

  {
    // When syncing the value attribute, the value comes from a cascade of
    // properties:
    //  1. The value React property
    //  2. The defaultValue React property
    //  3. Otherwise there should be no change
    if (props.hasOwnProperty('value')) {
      setDefaultValue(node, props.type, value);
    } else if (props.hasOwnProperty('defaultValue')) {
      setDefaultValue(node, props.type, getToStringValue(props.defaultValue));
    }
  }

  {
    // When syncing the checked attribute, it only changes when it needs
    // to be removed, such as transitioning from a checkbox into a text input
    if (props.checked == null && props.defaultChecked != null) {
      node.defaultChecked = !!props.defaultChecked;
    }
  }
}
function postMountWrapper(element, props, isHydrating) {
  var node = element; // Do not assign value if it is already set. This prevents user text input
  // from being lost during SSR hydration.

  if (props.hasOwnProperty('value') || props.hasOwnProperty('defaultValue')) {
    var type = props.type;
    var isButton = type === 'submit' || type === 'reset'; // Avoid setting value attribute on submit/reset inputs as it overrides the
    // default value provided by the browser. See: #12872

    if (isButton && (props.value === undefined || props.value === null)) {
      return;
    }

    var initialValue = toString(node._wrapperState.initialValue); // Do not assign value if it is already set. This prevents user text input
    // from being lost during SSR hydration.

    if (!isHydrating) {
      {
        // When syncing the value attribute, the value property should use
        // the wrapperState._initialValue property. This uses:
        //
        //   1. The value React property when present
        //   2. The defaultValue React property when present
        //   3. An empty string
        if (initialValue !== node.value) {
          node.value = initialValue;
        }
      }
    }

    {
      // Otherwise, the value attribute is synchronized to the property,
      // so we assign defaultValue to the same thing as the value property
      // assignment step above.
      node.defaultValue = initialValue;
    }
  } // Normally, we'd just do `node.checked = node.checked` upon initial mount, less this bug
  // this is needed to work around a chrome bug where setting defaultChecked
  // will sometimes influence the value of checked (even after detachment).
  // Reference: https://bugs.chromium.org/p/chromium/issues/detail?id=608416
  // We need to temporarily unset name to avoid disrupting radio button groups.


  var name = node.name;

  if (name !== '') {
    node.name = '';
  }

  {
    // When syncing the checked attribute, both the checked property and
    // attribute are assigned at the same time using defaultChecked. This uses:
    //
    //   1. The checked React property when present
    //   2. The defaultChecked React property when present
    //   3. Otherwise, false
    node.defaultChecked = !node.defaultChecked;
    node.defaultChecked = !!node._wrapperState.initialChecked;
  }

  if (name !== '') {
    node.name = name;
  }
}
function restoreControlledState(element, props) {
  var node = element;
  updateWrapper(node, props);
  updateNamedCousins(node, props);
}

function updateNamedCousins(rootNode, props) {
  var name = props.name;

  if (props.type === 'radio' && name != null) {
    var queryRoot = rootNode;

    while (queryRoot.parentNode) {
      queryRoot = queryRoot.parentNode;
    } // If `rootNode.form` was non-null, then we could try `form.elements`,
    // but that sometimes behaves strangely in IE8. We could also try using
    // `form.getElementsByName`, but that will only return direct children
    // and won't include inputs that use the HTML5 `form=` attribute. Since
    // the input might not even be in a form. It might not even be in the
    // document. Let's just use the local `querySelectorAll` to ensure we don't
    // miss anything.


    var group = queryRoot.querySelectorAll('input[name=' + JSON.stringify('' + name) + '][type="radio"]');

    for (var i = 0; i < group.length; i++) {
      var otherNode = group[i];

      if (otherNode === rootNode || otherNode.form !== rootNode.form) {
        continue;
      } // This will throw if radio buttons rendered by different copies of React
      // and the same name are rendered into the same form (same as #1939).
      // That's probably okay; we don't support it just as we don't support
      // mixing React radio buttons with non-React ones.


      var otherProps = getFiberCurrentPropsFromNode(otherNode);

      if (!otherProps) {
        {
          throw Error( "ReactDOMInput: Mixing React and non-React radio inputs with the same `name` is not supported." );
        }
      } // We need update the tracked value on the named cousin since the value
      // was changed but the input saw no event or value set


      updateValueIfChanged(otherNode); // If this is a controlled radio button group, forcing the input that
      // was previously checked to update will cause it to be come re-checked
      // as appropriate.

      updateWrapper(otherNode, otherProps);
    }
  }
} // In Chrome, assigning defaultValue to certain input types triggers input validation.
// For number inputs, the display value loses trailing decimal points. For email inputs,
// Chrome raises "The specified value <x> is not a valid email address".
//
// Here we check to see if the defaultValue has actually changed, avoiding these problems
// when the user is inputting text
//
// https://github.com/facebook/react/issues/7253


function setDefaultValue(node, type, value) {
  if ( // Focused number inputs synchronize on blur. See ChangeEventPlugin.js
  type !== 'number' || getActiveElement(node.ownerDocument) !== node) {
    if (value == null) {
      node.defaultValue = toString(node._wrapperState.initialValue);
    } else if (node.defaultValue !== toString(value)) {
      node.defaultValue = toString(value);
    }
  }
}

var didWarnSelectedSetOnOption = false;
var didWarnInvalidChild = false;

function flattenChildren(children) {
  var content = ''; // Flatten children. We'll warn if they are invalid
  // during validateProps() which runs for hydration too.
  // Note that this would throw on non-element objects.
  // Elements are stringified (which is normally irrelevant
  // but matters for <fbt>).

  React.Children.forEach(children, function (child) {
    if (child == null) {
      return;
    }

    content += child; // Note: we don't warn about invalid children here.
    // Instead, this is done separately below so that
    // it happens during the hydration code path too.
  });
  return content;
}
/**
 * Implements an <option> host component that warns when `selected` is set.
 */


function validateProps(element, props) {
  {
    // This mirrors the code path above, but runs for hydration too.
    // Warn about invalid children here so that client and hydration are consistent.
    // TODO: this seems like it could cause a DEV-only throw for hydration
    // if children contains a non-element object. We should try to avoid that.
    if (typeof props.children === 'object' && props.children !== null) {
      React.Children.forEach(props.children, function (child) {
        if (child == null) {
          return;
        }

        if (typeof child === 'string' || typeof child === 'number') {
          return;
        }

        if (typeof child.type !== 'string') {
          return;
        }

        if (!didWarnInvalidChild) {
          didWarnInvalidChild = true;

          error('Only strings and numbers are supported as <option> children.');
        }
      });
    } // TODO: Remove support for `selected` in <option>.


    if (props.selected != null && !didWarnSelectedSetOnOption) {
      error('Use the `defaultValue` or `value` props on <select> instead of ' + 'setting `selected` on <option>.');

      didWarnSelectedSetOnOption = true;
    }
  }
}
function postMountWrapper$1(element, props) {
  // value="" should make a value attribute (#6219)
  if (props.value != null) {
    element.setAttribute('value', toString(getToStringValue(props.value)));
  }
}
function getHostProps$1(element, props) {
  var hostProps = _assign({
    children: undefined
  }, props);

  var content = flattenChildren(props.children);

  if (content) {
    hostProps.children = content;
  }

  return hostProps;
}

var didWarnValueDefaultValue$1;

{
  didWarnValueDefaultValue$1 = false;
}

function getDeclarationErrorAddendum() {
  var ownerName = getCurrentFiberOwnerNameInDevOrNull();

  if (ownerName) {
    return '\n\nCheck the render method of `' + ownerName + '`.';
  }

  return '';
}

var valuePropNames = ['value', 'defaultValue'];
/**
 * Validation function for `value` and `defaultValue`.
 */

function checkSelectPropTypes(props) {
  {
    checkControlledValueProps('select', props);

    for (var i = 0; i < valuePropNames.length; i++) {
      var propName = valuePropNames[i];

      if (props[propName] == null) {
        continue;
      }

      var isArray = Array.isArray(props[propName]);

      if (props.multiple && !isArray) {
        error('The `%s` prop supplied to <select> must be an array if ' + '`multiple` is true.%s', propName, getDeclarationErrorAddendum());
      } else if (!props.multiple && isArray) {
        error('The `%s` prop supplied to <select> must be a scalar ' + 'value if `multiple` is false.%s', propName, getDeclarationErrorAddendum());
      }
    }
  }
}

function updateOptions(node, multiple, propValue, setDefaultSelected) {
  var options = node.options;

  if (multiple) {
    var selectedValues = propValue;
    var selectedValue = {};

    for (var i = 0; i < selectedValues.length; i++) {
      // Prefix to avoid chaos with special keys.
      selectedValue['$' + selectedValues[i]] = true;
    }

    for (var _i = 0; _i < options.length; _i++) {
      var selected = selectedValue.hasOwnProperty('$' + options[_i].value);

      if (options[_i].selected !== selected) {
        options[_i].selected = selected;
      }

      if (selected && setDefaultSelected) {
        options[_i].defaultSelected = true;
      }
    }
  } else {
    // Do not set `select.value` as exact behavior isn't consistent across all
    // browsers for all cases.
    var _selectedValue = toString(getToStringValue(propValue));

    var defaultSelected = null;

    for (var _i2 = 0; _i2 < options.length; _i2++) {
      if (options[_i2].value === _selectedValue) {
        options[_i2].selected = true;

        if (setDefaultSelected) {
          options[_i2].defaultSelected = true;
        }

        return;
      }

      if (defaultSelected === null && !options[_i2].disabled) {
        defaultSelected = options[_i2];
      }
    }

    if (defaultSelected !== null) {
      defaultSelected.selected = true;
    }
  }
}
/**
 * Implements a <select> host component that allows optionally setting the
 * props `value` and `defaultValue`. If `multiple` is false, the prop must be a
 * stringable. If `multiple` is true, the prop must be an array of stringables.
 *
 * If `value` is not supplied (or null/undefined), user actions that change the
 * selected option will trigger updates to the rendered options.
 *
 * If it is supplied (and not null/undefined), the rendered options will not
 * update in response to user actions. Instead, the `value` prop must change in
 * order for the rendered options to update.
 *
 * If `defaultValue` is provided, any options with the supplied values will be
 * selected.
 */


function getHostProps$2(element, props) {
  return _assign({}, props, {
    value: undefined
  });
}
function initWrapperState$1(element, props) {
  var node = element;

  {
    checkSelectPropTypes(props);
  }

  node._wrapperState = {
    wasMultiple: !!props.multiple
  };

  {
    if (props.value !== undefined && props.defaultValue !== undefined && !didWarnValueDefaultValue$1) {
      error('Select elements must be either controlled or uncontrolled ' + '(specify either the value prop, or the defaultValue prop, but not ' + 'both). Decide between using a controlled or uncontrolled select ' + 'element and remove one of these props. More info: ' + 'https://reactjs.org/link/controlled-components');

      didWarnValueDefaultValue$1 = true;
    }
  }
}
function postMountWrapper$2(element, props) {
  var node = element;
  node.multiple = !!props.multiple;
  var value = props.value;

  if (value != null) {
    updateOptions(node, !!props.multiple, value, false);
  } else if (props.defaultValue != null) {
    updateOptions(node, !!props.multiple, props.defaultValue, true);
  }
}
function postUpdateWrapper(element, props) {
  var node = element;
  var wasMultiple = node._wrapperState.wasMultiple;
  node._wrapperState.wasMultiple = !!props.multiple;
  var value = props.value;

  if (value != null) {
    updateOptions(node, !!props.multiple, value, false);
  } else if (wasMultiple !== !!props.multiple) {
    // For simplicity, reapply `defaultValue` if `multiple` is toggled.
    if (props.defaultValue != null) {
      updateOptions(node, !!props.multiple, props.defaultValue, true);
    } else {
      // Revert the select back to its default unselected state.
      updateOptions(node, !!props.multiple, props.multiple ? [] : '', false);
    }
  }
}
function restoreControlledState$1(element, props) {
  var node = element;
  var value = props.value;

  if (value != null) {
    updateOptions(node, !!props.multiple, value, false);
  }
}

var didWarnValDefaultVal = false;

/**
 * Implements a <textarea> host component that allows setting `value`, and
 * `defaultValue`. This differs from the traditional DOM API because value is
 * usually set as PCDATA children.
 *
 * If `value` is not supplied (or null/undefined), user actions that affect the
 * value will trigger updates to the element.
 *
 * If `value` is supplied (and not null/undefined), the rendered element will
 * not trigger updates to the element. Instead, the `value` prop must change in
 * order for the rendered element to be updated.
 *
 * The rendered element will be initialized with an empty value, the prop
 * `defaultValue` if specified, or the children content (deprecated).
 */
function getHostProps$3(element, props) {
  var node = element;

  if (!(props.dangerouslySetInnerHTML == null)) {
    {
      throw Error( "`dangerouslySetInnerHTML` does not make sense on <textarea>." );
    }
  } // Always set children to the same thing. In IE9, the selection range will
  // get reset if `textContent` is mutated.  We could add a check in setTextContent
  // to only set the value if/when the value differs from the node value (which would
  // completely solve this IE9 bug), but Sebastian+Sophie seemed to like this
  // solution. The value can be a boolean or object so that's why it's forced
  // to be a string.


  var hostProps = _assign({}, props, {
    value: undefined,
    defaultValue: undefined,
    children: toString(node._wrapperState.initialValue)
  });

  return hostProps;
}
function initWrapperState$2(element, props) {
  var node = element;

  {
    checkControlledValueProps('textarea', props);

    if (props.value !== undefined && props.defaultValue !== undefined && !didWarnValDefaultVal) {
      error('%s contains a textarea with both value and defaultValue props. ' + 'Textarea elements must be either controlled or uncontrolled ' + '(specify either the value prop, or the defaultValue prop, but not ' + 'both). Decide between using a controlled or uncontrolled textarea ' + 'and remove one of these props. More info: ' + 'https://reactjs.org/link/controlled-components', getCurrentFiberOwnerNameInDevOrNull() || 'A component');

      didWarnValDefaultVal = true;
    }
  }

  var initialValue = props.value; // Only bother fetching default value if we're going to use it

  if (initialValue == null) {
    var children = props.children,
        defaultValue = props.defaultValue;

    if (children != null) {
      {
        error('Use the `defaultValue` or `value` props instead of setting ' + 'children on <textarea>.');
      }

      {
        if (!(defaultValue == null)) {
          {
            throw Error( "If you supply `defaultValue` on a <textarea>, do not pass children." );
          }
        }

        if (Array.isArray(children)) {
          if (!(children.length <= 1)) {
            {
              throw Error( "<textarea> can only have at most one child." );
            }
          }

          children = children[0];
        }

        defaultValue = children;
      }
    }

    if (defaultValue == null) {
      defaultValue = '';
    }

    initialValue = defaultValue;
  }

  node._wrapperState = {
    initialValue: getToStringValue(initialValue)
  };
}
function updateWrapper$1(element, props) {
  var node = element;
  var value = getToStringValue(props.value);
  var defaultValue = getToStringValue(props.defaultValue);

  if (value != null) {
    // Cast `value` to a string to ensure the value is set correctly. While
    // browsers typically do this as necessary, jsdom doesn't.
    var newValue = toString(value); // To avoid side effects (such as losing text selection), only set value if changed

    if (newValue !== node.value) {
      node.value = newValue;
    }

    if (props.defaultValue == null && node.defaultValue !== newValue) {
      node.defaultValue = newValue;
    }
  }

  if (defaultValue != null) {
    node.defaultValue = toString(defaultValue);
  }
}
function postMountWrapper$3(element, props) {
  var node = element; // This is in postMount because we need access to the DOM node, which is not
  // available until after the component has mounted.

  var textContent = node.textContent; // Only set node.value if textContent is equal to the expected
  // initial value. In IE10/IE11 there is a bug where the placeholder attribute
  // will populate textContent as well.
  // https://developer.microsoft.com/microsoft-edge/platform/issues/101525/

  if (textContent === node._wrapperState.initialValue) {
    if (textContent !== '' && textContent !== null) {
      node.value = textContent;
    }
  }
}
function restoreControlledState$2(element, props) {
  // DOM component is still mounted; update
  updateWrapper$1(element, props);
}

var HTML_NAMESPACE = 'http://www.w3.org/1999/xhtml';
var MATH_NAMESPACE = 'http://www.w3.org/1998/Math/MathML';
var SVG_NAMESPACE = 'http://www.w3.org/2000/svg';
var Namespaces = {
  html: HTML_NAMESPACE,
  mathml: MATH_NAMESPACE,
  svg: SVG_NAMESPACE
}; // Assumes there is no parent namespace.

function getIntrinsicNamespace(type) {
  switch (type) {
    case 'svg':
      return SVG_NAMESPACE;

    case 'math':
      return MATH_NAMESPACE;

    default:
      return HTML_NAMESPACE;
  }
}
function getChildNamespace(parentNamespace, type) {
  if (parentNamespace == null || parentNamespace === HTML_NAMESPACE) {
    // No (or default) parent namespace: potential entry point.
    return getIntrinsicNamespace(type);
  }

  if (parentNamespace === SVG_NAMESPACE && type === 'foreignObject') {
    // We're leaving SVG.
    return HTML_NAMESPACE;
  } // By default, pass namespace below.


  return parentNamespace;
}

/* globals MSApp */

/**
 * Create a function which has 'unsafe' privileges (required by windows8 apps)
 */
var createMicrosoftUnsafeLocalFunction = function (func) {
  if (typeof MSApp !== 'undefined' && MSApp.execUnsafeLocalFunction) {
    return function (arg0, arg1, arg2, arg3) {
      MSApp.execUnsafeLocalFunction(function () {
        return func(arg0, arg1, arg2, arg3);
      });
    };
  } else {
    return func;
  }
};

var reusableSVGContainer;
/**
 * Set the innerHTML property of a node
 *
 * @param {DOMElement} node
 * @param {string} html
 * @internal
 */

var setInnerHTML = createMicrosoftUnsafeLocalFunction(function (node, html) {
  if (node.namespaceURI === Namespaces.svg) {

    if (!('innerHTML' in node)) {
      // IE does not have innerHTML for SVG nodes, so instead we inject the
      // new markup in a temp node and then move the child nodes across into
      // the target node
      reusableSVGContainer = reusableSVGContainer || document.createElement('div');
      reusableSVGContainer.innerHTML = '<svg>' + html.valueOf().toString() + '</svg>';
      var svgNode = reusableSVGContainer.firstChild;

      while (node.firstChild) {
        node.removeChild(node.firstChild);
      }

      while (svgNode.firstChild) {
        node.appendChild(svgNode.firstChild);
      }

      return;
    }
  }

  node.innerHTML = html;
});

/**
 * HTML nodeType values that represent the type of the node
 */
var ELEMENT_NODE = 1;
var TEXT_NODE = 3;
var COMMENT_NODE = 8;
var DOCUMENT_NODE = 9;
var DOCUMENT_FRAGMENT_NODE = 11;

/**
 * Set the textContent property of a node. For text updates, it's faster
 * to set the `nodeValue` of the Text node directly instead of using
 * `.textContent` which will remove the existing node and create a new one.
 *
 * @param {DOMElement} node
 * @param {string} text
 * @internal
 */

var setTextContent = function (node, text) {
  if (text) {
    var firstChild = node.firstChild;

    if (firstChild && firstChild === node.lastChild && firstChild.nodeType === TEXT_NODE) {
      firstChild.nodeValue = text;
      return;
    }
  }

  node.textContent = text;
};

// List derived from Gecko source code:
// https://github.com/mozilla/gecko-dev/blob/4e638efc71/layout/style/test/property_database.js
var shorthandToLonghand = {
  animation: ['animationDelay', 'animationDirection', 'animationDuration', 'animationFillMode', 'animationIterationCount', 'animationName', 'animationPlayState', 'animationTimingFunction'],
  background: ['backgroundAttachment', 'backgroundClip', 'backgroundColor', 'backgroundImage', 'backgroundOrigin', 'backgroundPositionX', 'backgroundPositionY', 'backgroundRepeat', 'backgroundSize'],
  backgroundPosition: ['backgroundPositionX', 'backgroundPositionY'],
  border: ['borderBottomColor', 'borderBottomStyle', 'borderBottomWidth', 'borderImageOutset', 'borderImageRepeat', 'borderImageSlice', 'borderImageSource', 'borderImageWidth', 'borderLeftColor', 'borderLeftStyle', 'borderLeftWidth', 'borderRightColor', 'borderRightStyle', 'borderRightWidth', 'borderTopColor', 'borderTopStyle', 'borderTopWidth'],
  borderBlockEnd: ['borderBlockEndColor', 'borderBlockEndStyle', 'borderBlockEndWidth'],
  borderBlockStart: ['borderBlockStartColor', 'borderBlockStartStyle', 'borderBlockStartWidth'],
  borderBottom: ['borderBottomColor', 'borderBottomStyle', 'borderBottomWidth'],
  borderColor: ['borderBottomColor', 'borderLeftColor', 'borderRightColor', 'borderTopColor'],
  borderImage: ['borderImageOutset', 'borderImageRepeat', 'borderImageSlice', 'borderImageSource', 'borderImageWidth'],
  borderInlineEnd: ['borderInlineEndColor', 'borderInlineEndStyle', 'borderInlineEndWidth'],
  borderInlineStart: ['borderInlineStartColor', 'borderInlineStartStyle', 'borderInlineStartWidth'],
  borderLeft: ['borderLeftColor', 'borderLeftStyle', 'borderLeftWidth'],
  borderRadius: ['borderBottomLeftRadius', 'borderBottomRightRadius', 'borderTopLeftRadius', 'borderTopRightRadius'],
  borderRight: ['borderRightColor', 'borderRightStyle', 'borderRightWidth'],
  borderStyle: ['borderBottomStyle', 'borderLeftStyle', 'borderRightStyle', 'borderTopStyle'],
  borderTop: ['borderTopColor', 'borderTopStyle', 'borderTopWidth'],
  borderWidth: ['borderBottomWidth', 'borderLeftWidth', 'borderRightWidth', 'borderTopWidth'],
  columnRule: ['columnRuleColor', 'columnRuleStyle', 'columnRuleWidth'],
  columns: ['columnCount', 'columnWidth'],
  flex: ['flexBasis', 'flexGrow', 'flexShrink'],
  flexFlow: ['flexDirection', 'flexWrap'],
  font: ['fontFamily', 'fontFeatureSettings', 'fontKerning', 'fontLanguageOverride', 'fontSize', 'fontSizeAdjust', 'fontStretch', 'fontStyle', 'fontVariant', 'fontVariantAlternates', 'fontVariantCaps', 'fontVariantEastAsian', 'fontVariantLigatures', 'fontVariantNumeric', 'fontVariantPosition', 'fontWeight', 'lineHeight'],
  fontVariant: ['fontVariantAlternates', 'fontVariantCaps', 'fontVariantEastAsian', 'fontVariantLigatures', 'fontVariantNumeric', 'fontVariantPosition'],
  gap: ['columnGap', 'rowGap'],
  grid: ['gridAutoColumns', 'gridAutoFlow', 'gridAutoRows', 'gridTemplateAreas', 'gridTemplateColumns', 'gridTemplateRows'],
  gridArea: ['gridColumnEnd', 'gridColumnStart', 'gridRowEnd', 'gridRowStart'],
  gridColumn: ['gridColumnEnd', 'gridColumnStart'],
  gridColumnGap: ['columnGap'],
  gridGap: ['columnGap', 'rowGap'],
  gridRow: ['gridRowEnd', 'gridRowStart'],
  gridRowGap: ['rowGap'],
  gridTemplate: ['gridTemplateAreas', 'gridTemplateColumns', 'gridTemplateRows'],
  listStyle: ['listStyleImage', 'listStylePosition', 'listStyleType'],
  margin: ['marginBottom', 'marginLeft', 'marginRight', 'marginTop'],
  marker: ['markerEnd', 'markerMid', 'markerStart'],
  mask: ['maskClip', 'maskComposite', 'maskImage', 'maskMode', 'maskOrigin', 'maskPositionX', 'maskPositionY', 'maskRepeat', 'maskSize'],
  maskPosition: ['maskPositionX', 'maskPositionY'],
  outline: ['outlineColor', 'outlineStyle', 'outlineWidth'],
  overflow: ['overflowX', 'overflowY'],
  padding: ['paddingBottom', 'paddingLeft', 'paddingRight', 'paddingTop'],
  placeContent: ['alignContent', 'justifyContent'],
  placeItems: ['alignItems', 'justifyItems'],
  placeSelf: ['alignSelf', 'justifySelf'],
  textDecoration: ['textDecorationColor', 'textDecorationLine', 'textDecorationStyle'],
  textEmphasis: ['textEmphasisColor', 'textEmphasisStyle'],
  transition: ['transitionDelay', 'transitionDuration', 'transitionProperty', 'transitionTimingFunction'],
  wordWrap: ['overflowWrap']
};

/**
 * CSS properties which accept numbers but are not in units of "px".
 */
var isUnitlessNumber = {
  animationIterationCount: true,
  borderImageOutset: true,
  borderImageSlice: true,
  borderImageWidth: true,
  boxFlex: true,
  boxFlexGroup: true,
  boxOrdinalGroup: true,
  columnCount: true,
  columns: true,
  flex: true,
  flexGrow: true,
  flexPositive: true,
  flexShrink: true,
  flexNegative: true,
  flexOrder: true,
  gridArea: true,
  gridRow: true,
  gridRowEnd: true,
  gridRowSpan: true,
  gridRowStart: true,
  gridColumn: true,
  gridColumnEnd: true,
  gridColumnSpan: true,
  gridColumnStart: true,
  fontWeight: true,
  lineClamp: true,
  lineHeight: true,
  opacity: true,
  order: true,
  orphans: true,
  tabSize: true,
  widows: true,
  zIndex: true,
  zoom: true,
  // SVG-related properties
  fillOpacity: true,
  floodOpacity: true,
  stopOpacity: true,
  strokeDasharray: true,
  strokeDashoffset: true,
  strokeMiterlimit: true,
  strokeOpacity: true,
  strokeWidth: true
};
/**
 * @param {string} prefix vendor-specific prefix, eg: Webkit
 * @param {string} key style name, eg: transitionDuration
 * @return {string} style name prefixed with `prefix`, properly camelCased, eg:
 * WebkitTransitionDuration
 */

function prefixKey(prefix, key) {
  return prefix + key.charAt(0).toUpperCase() + key.substring(1);
}
/**
 * Support style names that may come passed in prefixed by adding permutations
 * of vendor prefixes.
 */


var prefixes = ['Webkit', 'ms', 'Moz', 'O']; // Using Object.keys here, or else the vanilla for-in loop makes IE8 go into an
// infinite loop, because it iterates over the newly added props too.

Object.keys(isUnitlessNumber).forEach(function (prop) {
  prefixes.forEach(function (prefix) {
    isUnitlessNumber[prefixKey(prefix, prop)] = isUnitlessNumber[prop];
  });
});

/**
 * Convert a value into the proper css writable value. The style name `name`
 * should be logical (no hyphens), as specified
 * in `CSSProperty.isUnitlessNumber`.
 *
 * @param {string} name CSS property name such as `topMargin`.
 * @param {*} value CSS property value such as `10px`.
 * @return {string} Normalized style value with dimensions applied.
 */

function dangerousStyleValue(name, value, isCustomProperty) {
  // Note that we've removed escapeTextForBrowser() calls here since the
  // whole string will be escaped when the attribute is injected into
  // the markup. If you provide unsafe user data here they can inject
  // arbitrary CSS which may be problematic (I couldn't repro this):
  // https://www.owasp.org/index.php/XSS_Filter_Evasion_Cheat_Sheet
  // http://www.thespanner.co.uk/2007/11/26/ultimate-xss-css-injection/
  // This is not an XSS hole but instead a potential CSS injection issue
  // which has lead to a greater discussion about how we're going to
  // trust URLs moving forward. See #2115901
  var isEmpty = value == null || typeof value === 'boolean' || value === '';

  if (isEmpty) {
    return '';
  }

  if (!isCustomProperty && typeof value === 'number' && value !== 0 && !(isUnitlessNumber.hasOwnProperty(name) && isUnitlessNumber[name])) {
    return value + 'px'; // Presumes implicit 'px' suffix for unitless numbers
  }

  return ('' + value).trim();
}

var uppercasePattern = /([A-Z])/g;
var msPattern = /^ms-/;
/**
 * Hyphenates a camelcased CSS property name, for example:
 *
 *   > hyphenateStyleName('backgroundColor')
 *   < "background-color"
 *   > hyphenateStyleName('MozTransition')
 *   < "-moz-transition"
 *   > hyphenateStyleName('msTransition')
 *   < "-ms-transition"
 *
 * As Modernizr suggests (http://modernizr.com/docs/#prefixed), an `ms` prefix
 * is converted to `-ms-`.
 */

function hyphenateStyleName(name) {
  return name.replace(uppercasePattern, '-$1').toLowerCase().replace(msPattern, '-ms-');
}

var warnValidStyle = function () {};

{
  // 'msTransform' is correct, but the other prefixes should be capitalized
  var badVendoredStyleNamePattern = /^(?:webkit|moz|o)[A-Z]/;
  var msPattern$1 = /^-ms-/;
  var hyphenPattern = /-(.)/g; // style values shouldn't contain a semicolon

  var badStyleValueWithSemicolonPattern = /;\s*$/;
  var warnedStyleNames = {};
  var warnedStyleValues = {};
  var warnedForNaNValue = false;
  var warnedForInfinityValue = false;

  var camelize = function (string) {
    return string.replace(hyphenPattern, function (_, character) {
      return character.toUpperCase();
    });
  };

  var warnHyphenatedStyleName = function (name) {
    if (warnedStyleNames.hasOwnProperty(name) && warnedStyleNames[name]) {
      return;
    }

    warnedStyleNames[name] = true;

    error('Unsupported style property %s. Did you mean %s?', name, // As Andi Smith suggests
    // (http://www.andismith.com/blog/2012/02/modernizr-prefixed/), an `-ms` prefix
    // is converted to lowercase `ms`.
    camelize(name.replace(msPattern$1, 'ms-')));
  };

  var warnBadVendoredStyleName = function (name) {
    if (warnedStyleNames.hasOwnProperty(name) && warnedStyleNames[name]) {
      return;
    }

    warnedStyleNames[name] = true;

    error('Unsupported vendor-prefixed style property %s. Did you mean %s?', name, name.charAt(0).toUpperCase() + name.slice(1));
  };

  var warnStyleValueWithSemicolon = function (name, value) {
    if (warnedStyleValues.hasOwnProperty(value) && warnedStyleValues[value]) {
      return;
    }

    warnedStyleValues[value] = true;

    error("Style property values shouldn't contain a semicolon. " + 'Try "%s: %s" instead.', name, value.replace(badStyleValueWithSemicolonPattern, ''));
  };

  var warnStyleValueIsNaN = function (name, value) {
    if (warnedForNaNValue) {
      return;
    }

    warnedForNaNValue = true;

    error('`NaN` is an invalid value for the `%s` css style property.', name);
  };

  var warnStyleValueIsInfinity = function (name, value) {
    if (warnedForInfinityValue) {
      return;
    }

    warnedForInfinityValue = true;

    error('`Infinity` is an invalid value for the `%s` css style property.', name);
  };

  warnValidStyle = function (name, value) {
    if (name.indexOf('-') > -1) {
      warnHyphenatedStyleName(name);
    } else if (badVendoredStyleNamePattern.test(name)) {
      warnBadVendoredStyleName(name);
    } else if (badStyleValueWithSemicolonPattern.test(value)) {
      warnStyleValueWithSemicolon(name, value);
    }

    if (typeof value === 'number') {
      if (isNaN(value)) {
        warnStyleValueIsNaN(name, value);
      } else if (!isFinite(value)) {
        warnStyleValueIsInfinity(name, value);
      }
    }
  };
}

var warnValidStyle$1 = warnValidStyle;

/**
 * Operations for dealing with CSS properties.
 */

/**
 * This creates a string that is expected to be equivalent to the style
 * attribute generated by server-side rendering. It by-passes warnings and
 * security checks so it's not safe to use this value for anything other than
 * comparison. It is only used in DEV for SSR validation.
 */

function createDangerousStringForStyles(styles) {
  {
    var serialized = '';
    var delimiter = '';

    for (var styleName in styles) {
      if (!styles.hasOwnProperty(styleName)) {
        continue;
      }

      var styleValue = styles[styleName];

      if (styleValue != null) {
        var isCustomProperty = styleName.indexOf('--') === 0;
        serialized += delimiter + (isCustomProperty ? styleName : hyphenateStyleName(styleName)) + ':';
        serialized += dangerousStyleValue(styleName, styleValue, isCustomProperty);
        delimiter = ';';
      }
    }

    return serialized || null;
  }
}
/**
 * Sets the value for multiple styles on a node.  If a value is specified as
 * '' (empty string), the corresponding style property will be unset.
 *
 * @param {DOMElement} node
 * @param {object} styles
 */

function setValueForStyles(node, styles) {
  var style = node.style;

  for (var styleName in styles) {
    if (!styles.hasOwnProperty(styleName)) {
      continue;
    }

    var isCustomProperty = styleName.indexOf('--') === 0;

    {
      if (!isCustomProperty) {
        warnValidStyle$1(styleName, styles[styleName]);
      }
    }

    var styleValue = dangerousStyleValue(styleName, styles[styleName], isCustomProperty);

    if (styleName === 'float') {
      styleName = 'cssFloat';
    }

    if (isCustomProperty) {
      style.setProperty(styleName, styleValue);
    } else {
      style[styleName] = styleValue;
    }
  }
}

function isValueEmpty(value) {
  return value == null || typeof value === 'boolean' || value === '';
}
/**
 * Given {color: 'red', overflow: 'hidden'} returns {
 *   color: 'color',
 *   overflowX: 'overflow',
 *   overflowY: 'overflow',
 * }. This can be read as "the overflowY property was set by the overflow
 * shorthand". That is, the values are the property that each was derived from.
 */


function expandShorthandMap(styles) {
  var expanded = {};

  for (var key in styles) {
    var longhands = shorthandToLonghand[key] || [key];

    for (var i = 0; i < longhands.length; i++) {
      expanded[longhands[i]] = key;
    }
  }

  return expanded;
}
/**
 * When mixing shorthand and longhand property names, we warn during updates if
 * we expect an incorrect result to occur. In particular, we warn for:
 *
 * Updating a shorthand property (longhand gets overwritten):
 *   {font: 'foo', fontVariant: 'bar'} -> {font: 'baz', fontVariant: 'bar'}
 *   becomes .style.font = 'baz'
 * Removing a shorthand property (longhand gets lost too):
 *   {font: 'foo', fontVariant: 'bar'} -> {fontVariant: 'bar'}
 *   becomes .style.font = ''
 * Removing a longhand property (should revert to shorthand; doesn't):
 *   {font: 'foo', fontVariant: 'bar'} -> {font: 'foo'}
 *   becomes .style.fontVariant = ''
 */


function validateShorthandPropertyCollisionInDev(styleUpdates, nextStyles) {
  {
    if (!nextStyles) {
      return;
    }

    var expandedUpdates = expandShorthandMap(styleUpdates);
    var expandedStyles = expandShorthandMap(nextStyles);
    var warnedAbout = {};

    for (var key in expandedUpdates) {
      var originalKey = expandedUpdates[key];
      var correctOriginalKey = expandedStyles[key];

      if (correctOriginalKey && originalKey !== correctOriginalKey) {
        var warningKey = originalKey + ',' + correctOriginalKey;

        if (warnedAbout[warningKey]) {
          continue;
        }

        warnedAbout[warningKey] = true;

        error('%s a style property during rerender (%s) when a ' + 'conflicting property is set (%s) can lead to styling bugs. To ' + "avoid this, don't mix shorthand and non-shorthand properties " + 'for the same value; instead, replace the shorthand with ' + 'separate values.', isValueEmpty(styleUpdates[originalKey]) ? 'Removing' : 'Updating', originalKey, correctOriginalKey);
      }
    }
  }
}

// For HTML, certain tags should omit their close tag. We keep a list for
// those special-case tags.
var omittedCloseTags = {
  area: true,
  base: true,
  br: true,
  col: true,
  embed: true,
  hr: true,
  img: true,
  input: true,
  keygen: true,
  link: true,
  meta: true,
  param: true,
  source: true,
  track: true,
  wbr: true // NOTE: menuitem's close tag should be omitted, but that causes problems.

};

// `omittedCloseTags` except that `menuitem` should still have its closing tag.

var voidElementTags = _assign({
  menuitem: true
}, omittedCloseTags);

var HTML = '__html';

function assertValidProps(tag, props) {
  if (!props) {
    return;
  } // Note the use of `==` which checks for null or undefined.


  if (voidElementTags[tag]) {
    if (!(props.children == null && props.dangerouslySetInnerHTML == null)) {
      {
        throw Error( tag + " is a void element tag and must neither have `children` nor use `dangerouslySetInnerHTML`." );
      }
    }
  }

  if (props.dangerouslySetInnerHTML != null) {
    if (!(props.children == null)) {
      {
        throw Error( "Can only set one of `children` or `props.dangerouslySetInnerHTML`." );
      }
    }

    if (!(typeof props.dangerouslySetInnerHTML === 'object' && HTML in props.dangerouslySetInnerHTML)) {
      {
        throw Error( "`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://reactjs.org/link/dangerously-set-inner-html for more information." );
      }
    }
  }

  {
    if (!props.suppressContentEditableWarning && props.contentEditable && props.children != null) {
      error('A component is `contentEditable` and contains `children` managed by ' + 'React. It is now your responsibility to guarantee that none of ' + 'those nodes are unexpectedly modified or duplicated. This is ' + 'probably not intentional.');
    }
  }

  if (!(props.style == null || typeof props.style === 'object')) {
    {
      throw Error( "The `style` prop expects a mapping from style properties to values, not a string. For example, style={{marginRight: spacing + 'em'}} when using JSX." );
    }
  }
}

function isCustomComponent(tagName, props) {
  if (tagName.indexOf('-') === -1) {
    return typeof props.is === 'string';
  }

  switch (tagName) {
    // These are reserved SVG and MathML elements.
    // We don't mind this list too much because we expect it to never grow.
    // The alternative is to track the namespace in a few places which is convoluted.
    // https://w3c.github.io/webcomponents/spec/custom/#custom-elements-core-concepts
    case 'annotation-xml':
    case 'color-profile':
    case 'font-face':
    case 'font-face-src':
    case 'font-face-uri':
    case 'font-face-format':
    case 'font-face-name':
    case 'missing-glyph':
      return false;

    default:
      return true;
  }
}

// When adding attributes to the HTML or SVG allowed attribute list, be sure to
// also add them to this module to ensure casing and incorrect name
// warnings.
var possibleStandardNames = {
  // HTML
  accept: 'accept',
  acceptcharset: 'acceptCharset',
  'accept-charset': 'acceptCharset',
  accesskey: 'accessKey',
  action: 'action',
  allowfullscreen: 'allowFullScreen',
  alt: 'alt',
  as: 'as',
  async: 'async',
  autocapitalize: 'autoCapitalize',
  autocomplete: 'autoComplete',
  autocorrect: 'autoCorrect',
  autofocus: 'autoFocus',
  autoplay: 'autoPlay',
  autosave: 'autoSave',
  capture: 'capture',
  cellpadding: 'cellPadding',
  cellspacing: 'cellSpacing',
  challenge: 'challenge',
  charset: 'charSet',
  checked: 'checked',
  children: 'children',
  cite: 'cite',
  class: 'className',
  classid: 'classID',
  classname: 'className',
  cols: 'cols',
  colspan: 'colSpan',
  content: 'content',
  contenteditable: 'contentEditable',
  contextmenu: 'contextMenu',
  controls: 'controls',
  controlslist: 'controlsList',
  coords: 'coords',
  crossorigin: 'crossOrigin',
  dangerouslysetinnerhtml: 'dangerouslySetInnerHTML',
  data: 'data',
  datetime: 'dateTime',
  default: 'default',
  defaultchecked: 'defaultChecked',
  defaultvalue: 'defaultValue',
  defer: 'defer',
  dir: 'dir',
  disabled: 'disabled',
  disablepictureinpicture: 'disablePictureInPicture',
  disableremoteplayback: 'disableRemotePlayback',
  download: 'download',
  draggable: 'draggable',
  enctype: 'encType',
  enterkeyhint: 'enterKeyHint',
  for: 'htmlFor',
  form: 'form',
  formmethod: 'formMethod',
  formaction: 'formAction',
  formenctype: 'formEncType',
  formnovalidate: 'formNoValidate',
  formtarget: 'formTarget',
  frameborder: 'frameBorder',
  headers: 'headers',
  height: 'height',
  hidden: 'hidden',
  high: 'high',
  href: 'href',
  hreflang: 'hrefLang',
  htmlfor: 'htmlFor',
  httpequiv: 'httpEquiv',
  'http-equiv': 'httpEquiv',
  icon: 'icon',
  id: 'id',
  innerhtml: 'innerHTML',
  inputmode: 'inputMode',
  integrity: 'integrity',
  is: 'is',
  itemid: 'itemID',
  itemprop: 'itemProp',
  itemref: 'itemRef',
  itemscope: 'itemScope',
  itemtype: 'itemType',
  keyparams: 'keyParams',
  keytype: 'keyType',
  kind: 'kind',
  label: 'label',
  lang: 'lang',
  list: 'list',
  loop: 'loop',
  low: 'low',
  manifest: 'manifest',
  marginwidth: 'marginWidth',
  marginheight: 'marginHeight',
  max: 'max',
  maxlength: 'maxLength',
  media: 'media',
  mediagroup: 'mediaGroup',
  method: 'method',
  min: 'min',
  minlength: 'minLength',
  multiple: 'multiple',
  muted: 'muted',
  name: 'name',
  nomodule: 'noModule',
  nonce: 'nonce',
  novalidate: 'noValidate',
  open: 'open',
  optimum: 'optimum',
  pattern: 'pattern',
  placeholder: 'placeholder',
  playsinline: 'playsInline',
  poster: 'poster',
  preload: 'preload',
  profile: 'profile',
  radiogroup: 'radioGroup',
  readonly: 'readOnly',
  referrerpolicy: 'referrerPolicy',
  rel: 'rel',
  required: 'required',
  reversed: 'reversed',
  role: 'role',
  rows: 'rows',
  rowspan: 'rowSpan',
  sandbox: 'sandbox',
  scope: 'scope',
  scoped: 'scoped',
  scrolling: 'scrolling',
  seamless: 'seamless',
  selected: 'selected',
  shape: 'shape',
  size: 'size',
  sizes: 'sizes',
  span: 'span',
  spellcheck: 'spellCheck',
  src: 'src',
  srcdoc: 'srcDoc',
  srclang: 'srcLang',
  srcset: 'srcSet',
  start: 'start',
  step: 'step',
  style: 'style',
  summary: 'summary',
  tabindex: 'tabIndex',
  target: 'target',
  title: 'title',
  type: 'type',
  usemap: 'useMap',
  value: 'value',
  width: 'width',
  wmode: 'wmode',
  wrap: 'wrap',
  // SVG
  about: 'about',
  accentheight: 'accentHeight',
  'accent-height': 'accentHeight',
  accumulate: 'accumulate',
  additive: 'additive',
  alignmentbaseline: 'alignmentBaseline',
  'alignment-baseline': 'alignmentBaseline',
  allowreorder: 'allowReorder',
  alphabetic: 'alphabetic',
  amplitude: 'amplitude',
  arabicform: 'arabicForm',
  'arabic-form': 'arabicForm',
  ascent: 'ascent',
  attributename: 'attributeName',
  attributetype: 'attributeType',
  autoreverse: 'autoReverse',
  azimuth: 'azimuth',
  basefrequency: 'baseFrequency',
  baselineshift: 'baselineShift',
  'baseline-shift': 'baselineShift',
  baseprofile: 'baseProfile',
  bbox: 'bbox',
  begin: 'begin',
  bias: 'bias',
  by: 'by',
  calcmode: 'calcMode',
  capheight: 'capHeight',
  'cap-height': 'capHeight',
  clip: 'clip',
  clippath: 'clipPath',
  'clip-path': 'clipPath',
  clippathunits: 'clipPathUnits',
  cliprule: 'clipRule',
  'clip-rule': 'clipRule',
  color: 'color',
  colorinterpolation: 'colorInterpolation',
  'color-interpolation': 'colorInterpolation',
  colorinterpolationfilters: 'colorInterpolationFilters',
  'color-interpolation-filters': 'colorInterpolationFilters',
  colorprofile: 'colorProfile',
  'color-profile': 'colorProfile',
  colorrendering: 'colorRendering',
  'color-rendering': 'colorRendering',
  contentscripttype: 'contentScriptType',
  contentstyletype: 'contentStyleType',
  cursor: 'cursor',
  cx: 'cx',
  cy: 'cy',
  d: 'd',
  datatype: 'datatype',
  decelerate: 'decelerate',
  descent: 'descent',
  diffuseconstant: 'diffuseConstant',
  direction: 'direction',
  display: 'display',
  divisor: 'divisor',
  dominantbaseline: 'dominantBaseline',
  'dominant-baseline': 'dominantBaseline',
  dur: 'dur',
  dx: 'dx',
  dy: 'dy',
  edgemode: 'edgeMode',
  elevation: 'elevation',
  enablebackground: 'enableBackground',
  'enable-background': 'enableBackground',
  end: 'end',
  exponent: 'exponent',
  externalresourcesrequired: 'externalResourcesRequired',
  fill: 'fill',
  fillopacity: 'fillOpacity',
  'fill-opacity': 'fillOpacity',
  fillrule: 'fillRule',
  'fill-rule': 'fillRule',
  filter: 'filter',
  filterres: 'filterRes',
  filterunits: 'filterUnits',
  floodopacity: 'floodOpacity',
  'flood-opacity': 'floodOpacity',
  floodcolor: 'floodColor',
  'flood-color': 'floodColor',
  focusable: 'focusable',
  fontfamily: 'fontFamily',
  'font-family': 'fontFamily',
  fontsize: 'fontSize',
  'font-size': 'fontSize',
  fontsizeadjust: 'fontSizeAdjust',
  'font-size-adjust': 'fontSizeAdjust',
  fontstretch: 'fontStretch',
  'font-stretch': 'fontStretch',
  fontstyle: 'fontStyle',
  'font-style': 'fontStyle',
  fontvariant: 'fontVariant',
  'font-variant': 'fontVariant',
  fontweight: 'fontWeight',
  'font-weight': 'fontWeight',
  format: 'format',
  from: 'from',
  fx: 'fx',
  fy: 'fy',
  g1: 'g1',
  g2: 'g2',
  glyphname: 'glyphName',
  'glyph-name': 'glyphName',
  glyphorientationhorizontal: 'glyphOrientationHorizontal',
  'glyph-orientation-horizontal': 'glyphOrientationHorizontal',
  glyphorientationvertical: 'glyphOrientationVertical',
  'glyph-orientation-vertical': 'glyphOrientationVertical',
  glyphref: 'glyphRef',
  gradienttransform: 'gradientTransform',
  gradientunits: 'gradientUnits',
  hanging: 'hanging',
  horizadvx: 'horizAdvX',
  'horiz-adv-x': 'horizAdvX',
  horizoriginx: 'horizOriginX',
  'horiz-origin-x': 'horizOriginX',
  ideographic: 'ideographic',
  imagerendering: 'imageRendering',
  'image-rendering': 'imageRendering',
  in2: 'in2',
  in: 'in',
  inlist: 'inlist',
  intercept: 'intercept',
  k1: 'k1',
  k2: 'k2',
  k3: 'k3',
  k4: 'k4',
  k: 'k',
  kernelmatrix: 'kernelMatrix',
  kernelunitlength: 'kernelUnitLength',
  kerning: 'kerning',
  keypoints: 'keyPoints',
  keysplines: 'keySplines',
  keytimes: 'keyTimes',
  lengthadjust: 'lengthAdjust',
  letterspacing: 'letterSpacing',
  'letter-spacing': 'letterSpacing',
  lightingcolor: 'lightingColor',
  'lighting-color': 'lightingColor',
  limitingconeangle: 'limitingConeAngle',
  local: 'local',
  markerend: 'markerEnd',
  'marker-end': 'markerEnd',
  markerheight: 'markerHeight',
  markermid: 'markerMid',
  'marker-mid': 'markerMid',
  markerstart: 'markerStart',
  'marker-start': 'markerStart',
  markerunits: 'markerUnits',
  markerwidth: 'markerWidth',
  mask: 'mask',
  maskcontentunits: 'maskContentUnits',
  maskunits: 'maskUnits',
  mathematical: 'mathematical',
  mode: 'mode',
  numoctaves: 'numOctaves',
  offset: 'offset',
  opacity: 'opacity',
  operator: 'operator',
  order: 'order',
  orient: 'orient',
  orientation: 'orientation',
  origin: 'origin',
  overflow: 'overflow',
  overlineposition: 'overlinePosition',
  'overline-position': 'overlinePosition',
  overlinethickness: 'overlineThickness',
  'overline-thickness': 'overlineThickness',
  paintorder: 'paintOrder',
  'paint-order': 'paintOrder',
  panose1: 'panose1',
  'panose-1': 'panose1',
  pathlength: 'pathLength',
  patterncontentunits: 'patternContentUnits',
  patterntransform: 'patternTransform',
  patternunits: 'patternUnits',
  pointerevents: 'pointerEvents',
  'pointer-events': 'pointerEvents',
  points: 'points',
  pointsatx: 'pointsAtX',
  pointsaty: 'pointsAtY',
  pointsatz: 'pointsAtZ',
  prefix: 'prefix',
  preservealpha: 'preserveAlpha',
  preserveaspectratio: 'preserveAspectRatio',
  primitiveunits: 'primitiveUnits',
  property: 'property',
  r: 'r',
  radius: 'radius',
  refx: 'refX',
  refy: 'refY',
  renderingintent: 'renderingIntent',
  'rendering-intent': 'renderingIntent',
  repeatcount: 'repeatCount',
  repeatdur: 'repeatDur',
  requiredextensions: 'requiredExtensions',
  requiredfeatures: 'requiredFeatures',
  resource: 'resource',
  restart: 'restart',
  result: 'result',
  results: 'results',
  rotate: 'rotate',
  rx: 'rx',
  ry: 'ry',
  scale: 'scale',
  security: 'security',
  seed: 'seed',
  shaperendering: 'shapeRendering',
  'shape-rendering': 'shapeRendering',
  slope: 'slope',
  spacing: 'spacing',
  specularconstant: 'specularConstant',
  specularexponent: 'specularExponent',
  speed: 'speed',
  spreadmethod: 'spreadMethod',
  startoffset: 'startOffset',
  stddeviation: 'stdDeviation',
  stemh: 'stemh',
  stemv: 'stemv',
  stitchtiles: 'stitchTiles',
  stopcolor: 'stopColor',
  'stop-color': 'stopColor',
  stopopacity: 'stopOpacity',
  'stop-opacity': 'stopOpacity',
  strikethroughposition: 'strikethroughPosition',
  'strikethrough-position': 'strikethroughPosition',
  strikethroughthickness: 'strikethroughThickness',
  'strikethrough-thickness': 'strikethroughThickness',
  string: 'string',
  stroke: 'stroke',
  strokedasharray: 'strokeDasharray',
  'stroke-dasharray': 'strokeDasharray',
  strokedashoffset: 'strokeDashoffset',
  'stroke-dashoffset': 'strokeDashoffset',
  strokelinecap: 'strokeLinecap',
  'stroke-linecap': 'strokeLinecap',
  strokelinejoin: 'strokeLinejoin',
  'stroke-linejoin': 'strokeLinejoin',
  strokemiterlimit: 'strokeMiterlimit',
  'stroke-miterlimit': 'strokeMiterlimit',
  strokewidth: 'strokeWidth',
  'stroke-width': 'strokeWidth',
  strokeopacity: 'strokeOpacity',
  'stroke-opacity': 'strokeOpacity',
  suppresscontenteditablewarning: 'suppressContentEditableWarning',
  suppresshydrationwarning: 'suppressHydrationWarning',
  surfacescale: 'surfaceScale',
  systemlanguage: 'systemLanguage',
  tablevalues: 'tableValues',
  targetx: 'targetX',
  targety: 'targetY',
  textanchor: 'textAnchor',
  'text-anchor': 'textAnchor',
  textdecoration: 'textDecoration',
  'text-decoration': 'textDecoration',
  textlength: 'textLength',
  textrendering: 'textRendering',
  'text-rendering': 'textRendering',
  to: 'to',
  transform: 'transform',
  typeof: 'typeof',
  u1: 'u1',
  u2: 'u2',
  underlineposition: 'underlinePosition',
  'underline-position': 'underlinePosition',
  underlinethickness: 'underlineThickness',
  'underline-thickness': 'underlineThickness',
  unicode: 'unicode',
  unicodebidi: 'unicodeBidi',
  'unicode-bidi': 'unicodeBidi',
  unicoderange: 'unicodeRange',
  'unicode-range': 'unicodeRange',
  unitsperem: 'unitsPerEm',
  'units-per-em': 'unitsPerEm',
  unselectable: 'unselectable',
  valphabetic: 'vAlphabetic',
  'v-alphabetic': 'vAlphabetic',
  values: 'values',
  vectoreffect: 'vectorEffect',
  'vector-effect': 'vectorEffect',
  version: 'version',
  vertadvy: 'vertAdvY',
  'vert-adv-y': 'vertAdvY',
  vertoriginx: 'vertOriginX',
  'vert-origin-x': 'vertOriginX',
  vertoriginy: 'vertOriginY',
  'vert-origin-y': 'vertOriginY',
  vhanging: 'vHanging',
  'v-hanging': 'vHanging',
  videographic: 'vIdeographic',
  'v-ideographic': 'vIdeographic',
  viewbox: 'viewBox',
  viewtarget: 'viewTarget',
  visibility: 'visibility',
  vmathematical: 'vMathematical',
  'v-mathematical': 'vMathematical',
  vocab: 'vocab',
  widths: 'widths',
  wordspacing: 'wordSpacing',
  'word-spacing': 'wordSpacing',
  writingmode: 'writingMode',
  'writing-mode': 'writingMode',
  x1: 'x1',
  x2: 'x2',
  x: 'x',
  xchannelselector: 'xChannelSelector',
  xheight: 'xHeight',
  'x-height': 'xHeight',
  xlinkactuate: 'xlinkActuate',
  'xlink:actuate': 'xlinkActuate',
  xlinkarcrole: 'xlinkArcrole',
  'xlink:arcrole': 'xlinkArcrole',
  xlinkhref: 'xlinkHref',
  'xlink:href': 'xlinkHref',
  xlinkrole: 'xlinkRole',
  'xlink:role': 'xlinkRole',
  xlinkshow: 'xlinkShow',
  'xlink:show': 'xlinkShow',
  xlinktitle: 'xlinkTitle',
  'xlink:title': 'xlinkTitle',
  xlinktype: 'xlinkType',
  'xlink:type': 'xlinkType',
  xmlbase: 'xmlBase',
  'xml:base': 'xmlBase',
  xmllang: 'xmlLang',
  'xml:lang': 'xmlLang',
  xmlns: 'xmlns',
  'xml:space': 'xmlSpace',
  xmlnsxlink: 'xmlnsXlink',
  'xmlns:xlink': 'xmlnsXlink',
  xmlspace: 'xmlSpace',
  y1: 'y1',
  y2: 'y2',
  y: 'y',
  ychannelselector: 'yChannelSelector',
  z: 'z',
  zoomandpan: 'zoomAndPan'
};

var ariaProperties = {
  'aria-current': 0,
  // state
  'aria-details': 0,
  'aria-disabled': 0,
  // state
  'aria-hidden': 0,
  // state
  'aria-invalid': 0,
  // state
  'aria-keyshortcuts': 0,
  'aria-label': 0,
  'aria-roledescription': 0,
  // Widget Attributes
  'aria-autocomplete': 0,
  'aria-checked': 0,
  'aria-expanded': 0,
  'aria-haspopup': 0,
  'aria-level': 0,
  'aria-modal': 0,
  'aria-multiline': 0,
  'aria-multiselectable': 0,
  'aria-orientation': 0,
  'aria-placeholder': 0,
  'aria-pressed': 0,
  'aria-readonly': 0,
  'aria-required': 0,
  'aria-selected': 0,
  'aria-sort': 0,
  'aria-valuemax': 0,
  'aria-valuemin': 0,
  'aria-valuenow': 0,
  'aria-valuetext': 0,
  // Live Region Attributes
  'aria-atomic': 0,
  'aria-busy': 0,
  'aria-live': 0,
  'aria-relevant': 0,
  // Drag-and-Drop Attributes
  'aria-dropeffect': 0,
  'aria-grabbed': 0,
  // Relationship Attributes
  'aria-activedescendant': 0,
  'aria-colcount': 0,
  'aria-colindex': 0,
  'aria-colspan': 0,
  'aria-controls': 0,
  'aria-describedby': 0,
  'aria-errormessage': 0,
  'aria-flowto': 0,
  'aria-labelledby': 0,
  'aria-owns': 0,
  'aria-posinset': 0,
  'aria-rowcount': 0,
  'aria-rowindex': 0,
  'aria-rowspan': 0,
  'aria-setsize': 0
};

var warnedProperties = {};
var rARIA = new RegExp('^(aria)-[' + ATTRIBUTE_NAME_CHAR + ']*$');
var rARIACamel = new RegExp('^(aria)[A-Z][' + ATTRIBUTE_NAME_CHAR + ']*$');
var hasOwnProperty$1 = Object.prototype.hasOwnProperty;

function validateProperty(tagName, name) {
  {
    if (hasOwnProperty$1.call(warnedProperties, name) && warnedProperties[name]) {
      return true;
    }

    if (rARIACamel.test(name)) {
      var ariaName = 'aria-' + name.slice(4).toLowerCase();
      var correctName = ariaProperties.hasOwnProperty(ariaName) ? ariaName : null; // If this is an aria-* attribute, but is not listed in the known DOM
      // DOM properties, then it is an invalid aria-* attribute.

      if (correctName == null) {
        error('Invalid ARIA attribute `%s`. ARIA attributes follow the pattern aria-* and must be lowercase.', name);

        warnedProperties[name] = true;
        return true;
      } // aria-* attributes should be lowercase; suggest the lowercase version.


      if (name !== correctName) {
        error('Invalid ARIA attribute `%s`. Did you mean `%s`?', name, correctName);

        warnedProperties[name] = true;
        return true;
      }
    }

    if (rARIA.test(name)) {
      var lowerCasedName = name.toLowerCase();
      var standardName = ariaProperties.hasOwnProperty(lowerCasedName) ? lowerCasedName : null; // If this is an aria-* attribute, but is not listed in the known DOM
      // DOM properties, then it is an invalid aria-* attribute.

      if (standardName == null) {
        warnedProperties[name] = true;
        return false;
      } // aria-* attributes should be lowercase; suggest the lowercase version.


      if (name !== standardName) {
        error('Unknown ARIA attribute `%s`. Did you mean `%s`?', name, standardName);

        warnedProperties[name] = true;
        return true;
      }
    }
  }

  return true;
}

function warnInvalidARIAProps(type, props) {
  {
    var invalidProps = [];

    for (var key in props) {
      var isValid = validateProperty(type, key);

      if (!isValid) {
        invalidProps.push(key);
      }
    }

    var unknownPropString = invalidProps.map(function (prop) {
      return '`' + prop + '`';
    }).join(', ');

    if (invalidProps.length === 1) {
      error('Invalid aria prop %s on <%s> tag. ' + 'For details, see https://reactjs.org/link/invalid-aria-props', unknownPropString, type);
    } else if (invalidProps.length > 1) {
      error('Invalid aria props %s on <%s> tag. ' + 'For details, see https://reactjs.org/link/invalid-aria-props', unknownPropString, type);
    }
  }
}

function validateProperties(type, props) {
  if (isCustomComponent(type, props)) {
    return;
  }

  warnInvalidARIAProps(type, props);
}

var didWarnValueNull = false;
function validateProperties$1(type, props) {
  {
    if (type !== 'input' && type !== 'textarea' && type !== 'select') {
      return;
    }

    if (props != null && props.value === null && !didWarnValueNull) {
      didWarnValueNull = true;

      if (type === 'select' && props.multiple) {
        error('`value` prop on `%s` should not be null. ' + 'Consider using an empty array when `multiple` is set to `true` ' + 'to clear the component or `undefined` for uncontrolled components.', type);
      } else {
        error('`value` prop on `%s` should not be null. ' + 'Consider using an empty string to clear the component or `undefined` ' + 'for uncontrolled components.', type);
      }
    }
  }
}

var validateProperty$1 = function () {};

{
  var warnedProperties$1 = {};
  var _hasOwnProperty = Object.prototype.hasOwnProperty;
  var EVENT_NAME_REGEX = /^on./;
  var INVALID_EVENT_NAME_REGEX = /^on[^A-Z]/;
  var rARIA$1 = new RegExp('^(aria)-[' + ATTRIBUTE_NAME_CHAR + ']*$');
  var rARIACamel$1 = new RegExp('^(aria)[A-Z][' + ATTRIBUTE_NAME_CHAR + ']*$');

  validateProperty$1 = function (tagName, name, value, eventRegistry) {
    if (_hasOwnProperty.call(warnedProperties$1, name) && warnedProperties$1[name]) {
      return true;
    }

    var lowerCasedName = name.toLowerCase();

    if (lowerCasedName === 'onfocusin' || lowerCasedName === 'onfocusout') {
      error('React uses onFocus and onBlur instead of onFocusIn and onFocusOut. ' + 'All React events are normalized to bubble, so onFocusIn and onFocusOut ' + 'are not needed/supported by React.');

      warnedProperties$1[name] = true;
      return true;
    } // We can't rely on the event system being injected on the server.


    if (eventRegistry != null) {
      var registrationNameDependencies = eventRegistry.registrationNameDependencies,
          possibleRegistrationNames = eventRegistry.possibleRegistrationNames;

      if (registrationNameDependencies.hasOwnProperty(name)) {
        return true;
      }

      var registrationName = possibleRegistrationNames.hasOwnProperty(lowerCasedName) ? possibleRegistrationNames[lowerCasedName] : null;

      if (registrationName != null) {
        error('Invalid event handler property `%s`. Did you mean `%s`?', name, registrationName);

        warnedProperties$1[name] = true;
        return true;
      }

      if (EVENT_NAME_REGEX.test(name)) {
        error('Unknown event handler property `%s`. It will be ignored.', name);

        warnedProperties$1[name] = true;
        return true;
      }
    } else if (EVENT_NAME_REGEX.test(name)) {
      // If no event plugins have been injected, we are in a server environment.
      // So we can't tell if the event name is correct for sure, but we can filter
      // out known bad ones like `onclick`. We can't suggest a specific replacement though.
      if (INVALID_EVENT_NAME_REGEX.test(name)) {
        error('Invalid event handler property `%s`. ' + 'React events use the camelCase naming convention, for example `onClick`.', name);
      }

      warnedProperties$1[name] = true;
      return true;
    } // Let the ARIA attribute hook validate ARIA attributes


    if (rARIA$1.test(name) || rARIACamel$1.test(name)) {
      return true;
    }

    if (lowerCasedName === 'innerhtml') {
      error('Directly setting property `innerHTML` is not permitted. ' + 'For more information, lookup documentation on `dangerouslySetInnerHTML`.');

      warnedProperties$1[name] = true;
      return true;
    }

    if (lowerCasedName === 'aria') {
      error('The `aria` attribute is reserved for future use in React. ' + 'Pass individual `aria-` attributes instead.');

      warnedProperties$1[name] = true;
      return true;
    }

    if (lowerCasedName === 'is' && value !== null && value !== undefined && typeof value !== 'string') {
      error('Received a `%s` for a string attribute `is`. If this is expected, cast ' + 'the value to a string.', typeof value);

      warnedProperties$1[name] = true;
      return true;
    }

    if (typeof value === 'number' && isNaN(value)) {
      error('Received NaN for the `%s` attribute. If this is expected, cast ' + 'the value to a string.', name);

      warnedProperties$1[name] = true;
      return true;
    }

    var propertyInfo = getPropertyInfo(name);
    var isReserved = propertyInfo !== null && propertyInfo.type === RESERVED; // Known attributes should match the casing specified in the property config.

    if (possibleStandardNames.hasOwnProperty(lowerCasedName)) {
      var standardName = possibleStandardNames[lowerCasedName];

      if (standardName !== name) {
        error('Invalid DOM property `%s`. Did you mean `%s`?', name, standardName);

        warnedProperties$1[name] = true;
        return true;
      }
    } else if (!isReserved && name !== lowerCasedName) {
      // Unknown attributes should have lowercase casing since that's how they
      // will be cased anyway with server rendering.
      error('React does not recognize the `%s` prop on a DOM element. If you ' + 'intentionally want it to appear in the DOM as a custom ' + 'attribute, spell it as lowercase `%s` instead. ' + 'If you accidentally passed it from a parent component, remove ' + 'it from the DOM element.', name, lowerCasedName);

      warnedProperties$1[name] = true;
      return true;
    }

    if (typeof value === 'boolean' && shouldRemoveAttributeWithWarning(name, value, propertyInfo, false)) {
      if (value) {
        error('Received `%s` for a non-boolean attribute `%s`.\n\n' + 'If you want to write it to the DOM, pass a string instead: ' + '%s="%s" or %s={value.toString()}.', value, name, name, value, name);
      } else {
        error('Received `%s` for a non-boolean attribute `%s`.\n\n' + 'If you want to write it to the DOM, pass a string instead: ' + '%s="%s" or %s={value.toString()}.\n\n' + 'If you used to conditionally omit it with %s={condition && value}, ' + 'pass %s={condition ? value : undefined} instead.', value, name, name, value, name, name, name);
      }

      warnedProperties$1[name] = true;
      return true;
    } // Now that we've validated casing, do not validate
    // data types for reserved props


    if (isReserved) {
      return true;
    } // Warn when a known attribute is a bad type


    if (shouldRemoveAttributeWithWarning(name, value, propertyInfo, false)) {
      warnedProperties$1[name] = true;
      return false;
    } // Warn when passing the strings 'false' or 'true' into a boolean prop


    if ((value === 'false' || value === 'true') && propertyInfo !== null && propertyInfo.type === BOOLEAN) {
      error('Received the string `%s` for the boolean attribute `%s`. ' + '%s ' + 'Did you mean %s={%s}?', value, name, value === 'false' ? 'The browser will interpret it as a truthy value.' : 'Although this works, it will not work as expected if you pass the string "false".', name, value);

      warnedProperties$1[name] = true;
      return true;
    }

    return true;
  };
}

var warnUnknownProperties = function (type, props, eventRegistry) {
  {
    var unknownProps = [];

    for (var key in props) {
      var isValid = validateProperty$1(type, key, props[key], eventRegistry);

      if (!isValid) {
        unknownProps.push(key);
      }
    }

    var unknownPropString = unknownProps.map(function (prop) {
      return '`' + prop + '`';
    }).join(', ');

    if (unknownProps.length === 1) {
      error('Invalid value for prop %s on <%s> tag. Either remove it from the element, ' + 'or pass a string or number value to keep it in the DOM. ' + 'For details, see https://reactjs.org/link/attribute-behavior ', unknownPropString, type);
    } else if (unknownProps.length > 1) {
      error('Invalid values for props %s on <%s> tag. Either remove them from the element, ' + 'or pass a string or number value to keep them in the DOM. ' + 'For details, see https://reactjs.org/link/attribute-behavior ', unknownPropString, type);
    }
  }
};

function validateProperties$2(type, props, eventRegistry) {
  if (isCustomComponent(type, props)) {
    return;
  }

  warnUnknownProperties(type, props, eventRegistry);
}

var IS_EVENT_HANDLE_NON_MANAGED_NODE = 1;
var IS_NON_DELEGATED = 1 << 1;
var IS_CAPTURE_PHASE = 1 << 2;
var IS_REPLAYED = 1 << 4;
// set to LEGACY_FB_SUPPORT. LEGACY_FB_SUPPORT only gets set when
// we call willDeferLaterForLegacyFBSupport, thus not bailing out
// will result in endless cycles like an infinite loop.
// We also don't want to defer during event replaying.

var SHOULD_NOT_PROCESS_POLYFILL_EVENT_PLUGINS = IS_EVENT_HANDLE_NON_MANAGED_NODE | IS_NON_DELEGATED | IS_CAPTURE_PHASE;

/**
 * Gets the target node from a native browser event by accounting for
 * inconsistencies in browser DOM APIs.
 *
 * @param {object} nativeEvent Native browser event.
 * @return {DOMEventTarget} Target node.
 */

function getEventTarget(nativeEvent) {
  // Fallback to nativeEvent.srcElement for IE9
  // https://github.com/facebook/react/issues/12506
  var target = nativeEvent.target || nativeEvent.srcElement || window; // Normalize SVG <use> element events #4963

  if (target.correspondingUseElement) {
    target = target.correspondingUseElement;
  } // Safari may fire events on text nodes (Node.TEXT_NODE is 3).
  // @see http://www.quirksmode.org/js/events_properties.html


  return target.nodeType === TEXT_NODE ? target.parentNode : target;
}

var restoreImpl = null;
var restoreTarget = null;
var restoreQueue = null;

function restoreStateOfTarget(target) {
  // We perform this translation at the end of the event loop so that we
  // always receive the correct fiber here
  var internalInstance = getInstanceFromNode(target);

  if (!internalInstance) {
    // Unmounted
    return;
  }

  if (!(typeof restoreImpl === 'function')) {
    {
      throw Error( "setRestoreImplementation() needs to be called to handle a target for controlled events. This error is likely caused by a bug in React. Please file an issue." );
    }
  }

  var stateNode = internalInstance.stateNode; // Guard against Fiber being unmounted.

  if (stateNode) {
    var _props = getFiberCurrentPropsFromNode(stateNode);

    restoreImpl(internalInstance.stateNode, internalInstance.type, _props);
  }
}

function setRestoreImplementation(impl) {
  restoreImpl = impl;
}
function enqueueStateRestore(target) {
  if (restoreTarget) {
    if (restoreQueue) {
      restoreQueue.push(target);
    } else {
      restoreQueue = [target];
    }
  } else {
    restoreTarget = target;
  }
}
function needsStateRestore() {
  return restoreTarget !== null || restoreQueue !== null;
}
function restoreStateIfNeeded() {
  if (!restoreTarget) {
    return;
  }

  var target = restoreTarget;
  var queuedTargets = restoreQueue;
  restoreTarget = null;
  restoreQueue = null;
  restoreStateOfTarget(target);

  if (queuedTargets) {
    for (var i = 0; i < queuedTargets.length; i++) {
      restoreStateOfTarget(queuedTargets[i]);
    }
  }
}

// the renderer. Such as when we're dispatching events or if third party
// libraries need to call batchedUpdates. Eventually, this API will go away when
// everything is batched by default. We'll then have a similar API to opt-out of
// scheduled work and instead do synchronous work.
// Defaults

var batchedUpdatesImpl = function (fn, bookkeeping) {
  return fn(bookkeeping);
};

var discreteUpdatesImpl = function (fn, a, b, c, d) {
  return fn(a, b, c, d);
};

var flushDiscreteUpdatesImpl = function () {};

var batchedEventUpdatesImpl = batchedUpdatesImpl;
var isInsideEventHandler = false;
var isBatchingEventUpdates = false;

function finishEventHandler() {
  // Here we wait until all updates have propagated, which is important
  // when using controlled components within layers:
  // https://github.com/facebook/react/issues/1698
  // Then we restore state of any controlled component.
  var controlledComponentsHavePendingUpdates = needsStateRestore();

  if (controlledComponentsHavePendingUpdates) {
    // If a controlled event was fired, we may need to restore the state of
    // the DOM node back to the controlled value. This is necessary when React
    // bails out of the update without touching the DOM.
    flushDiscreteUpdatesImpl();
    restoreStateIfNeeded();
  }
}

function batchedUpdates(fn, bookkeeping) {
  if (isInsideEventHandler) {
    // If we are currently inside another batch, we need to wait until it
    // fully completes before restoring state.
    return fn(bookkeeping);
  }

  isInsideEventHandler = true;

  try {
    return batchedUpdatesImpl(fn, bookkeeping);
  } finally {
    isInsideEventHandler = false;
    finishEventHandler();
  }
}
function batchedEventUpdates(fn, a, b) {
  if (isBatchingEventUpdates) {
    // If we are currently inside another batch, we need to wait until it
    // fully completes before restoring state.
    return fn(a, b);
  }

  isBatchingEventUpdates = true;

  try {
    return batchedEventUpdatesImpl(fn, a, b);
  } finally {
    isBatchingEventUpdates = false;
    finishEventHandler();
  }
}
function discreteUpdates(fn, a, b, c, d) {
  var prevIsInsideEventHandler = isInsideEventHandler;
  isInsideEventHandler = true;

  try {
    return discreteUpdatesImpl(fn, a, b, c, d);
  } finally {
    isInsideEventHandler = prevIsInsideEventHandler;

    if (!isInsideEventHandler) {
      finishEventHandler();
    }
  }
}
function flushDiscreteUpdatesIfNeeded(timeStamp) {
  {
    if (!isInsideEventHandler) {
      flushDiscreteUpdatesImpl();
    }
  }
}
function setBatchingImplementation(_batchedUpdatesImpl, _discreteUpdatesImpl, _flushDiscreteUpdatesImpl, _batchedEventUpdatesImpl) {
  batchedUpdatesImpl = _batchedUpdatesImpl;
  discreteUpdatesImpl = _discreteUpdatesImpl;
  flushDiscreteUpdatesImpl = _flushDiscreteUpdatesImpl;
  batchedEventUpdatesImpl = _batchedEventUpdatesImpl;
}

function isInteractive(tag) {
  return tag === 'button' || tag === 'input' || tag === 'select' || tag === 'textarea';
}

function shouldPreventMouseEvent(name, type, props) {
  switch (name) {
    case 'onClick':
    case 'onClickCapture':
    case 'onDoubleClick':
    case 'onDoubleClickCapture':
    case 'onMouseDown':
    case 'onMouseDownCapture':
    case 'onMouseMove':
    case 'onMouseMoveCapture':
    case 'onMouseUp':
    case 'onMouseUpCapture':
    case 'onMouseEnter':
      return !!(props.disabled && isInteractive(type));

    default:
      return false;
  }
}
/**
 * @param {object} inst The instance, which is the source of events.
 * @param {string} registrationName Name of listener (e.g. `onClick`).
 * @return {?function} The stored callback.
 */


function getListener(inst, registrationName) {
  var stateNode = inst.stateNode;

  if (stateNode === null) {
    // Work in progress (ex: onload events in incremental mode).
    return null;
  }

  var props = getFiberCurrentPropsFromNode(stateNode);

  if (props === null) {
    // Work in progress.
    return null;
  }

  var listener = props[registrationName];

  if (shouldPreventMouseEvent(registrationName, inst.type, props)) {
    return null;
  }

  if (!(!listener || typeof listener === 'function')) {
    {
      throw Error( "Expected `" + registrationName + "` listener to be a function, instead got a value of `" + typeof listener + "` type." );
    }
  }

  return listener;
}

var passiveBrowserEventsSupported = false; // Check if browser support events with passive listeners
// https://developer.mozilla.org/en-US/docs/Web/API/EventTarget/addEventListener#Safely_detecting_option_support

if (canUseDOM) {
  try {
    var options = {}; // $FlowFixMe: Ignore Flow complaining about needing a value

    Object.defineProperty(options, 'passive', {
      get: function () {
        passiveBrowserEventsSupported = true;
      }
    });
    window.addEventListener('test', options, options);
    window.removeEventListener('test', options, options);
  } catch (e) {
    passiveBrowserEventsSupported = false;
  }
}

function invokeGuardedCallbackProd(name, func, context, a, b, c, d, e, f) {
  var funcArgs = Array.prototype.slice.call(arguments, 3);

  try {
    func.apply(context, funcArgs);
  } catch (error) {
    this.onError(error);
  }
}

var invokeGuardedCallbackImpl = invokeGuardedCallbackProd;

{
  // In DEV mode, we swap out invokeGuardedCallback for a special version
  // that plays more nicely with the browser's DevTools. The idea is to preserve
  // "Pause on exceptions" behavior. Because React wraps all user-provided
  // functions in invokeGuardedCallback, and the production version of
  // invokeGuardedCallback uses a try-catch, all user exceptions are treated
  // like caught exceptions, and the DevTools won't pause unless the developer
  // takes the extra step of enabling pause on caught exceptions. This is
  // unintuitive, though, because even though React has caught the error, from
  // the developer's perspective, the error is uncaught.
  //
  // To preserve the expected "Pause on exceptions" behavior, we don't use a
  // try-catch in DEV. Instead, we synchronously dispatch a fake event to a fake
  // DOM node, and call the user-provided callback from inside an event handler
  // for that fake event. If the callback throws, the error is "captured" using
  // a global event handler. But because the error happens in a different
  // event loop context, it does not interrupt the normal program flow.
  // Effectively, this gives us try-catch behavior without actually using
  // try-catch. Neat!
  // Check that the browser supports the APIs we need to implement our special
  // DEV version of invokeGuardedCallback
  if (typeof window !== 'undefined' && typeof window.dispatchEvent === 'function' && typeof document !== 'undefined' && typeof document.createEvent === 'function') {
    var fakeNode = document.createElement('react');

    invokeGuardedCallbackImpl = function invokeGuardedCallbackDev(name, func, context, a, b, c, d, e, f) {
      // If document doesn't exist we know for sure we will crash in this method
      // when we call document.createEvent(). However this can cause confusing
      // errors: https://github.com/facebookincubator/create-react-app/issues/3482
      // So we preemptively throw with a better message instead.
      if (!(typeof document !== 'undefined')) {
        {
          throw Error( "The `document` global was defined when React was initialized, but is not defined anymore. This can happen in a test environment if a component schedules an update from an asynchronous callback, but the test has already finished running. To solve this, you can either unmount the component at the end of your test (and ensure that any asynchronous operations get canceled in `componentWillUnmount`), or you can change the test itself to be asynchronous." );
        }
      }

      var evt = document.createEvent('Event');
      var didCall = false; // Keeps track of whether the user-provided callback threw an error. We
      // set this to true at the beginning, then set it to false right after
      // calling the function. If the function errors, `didError` will never be
      // set to false. This strategy works even if the browser is flaky and
      // fails to call our global error handler, because it doesn't rely on
      // the error event at all.

      var didError = true; // Keeps track of the value of window.event so that we can reset it
      // during the callback to let user code access window.event in the
      // browsers that support it.

      var windowEvent = window.event; // Keeps track of the descriptor of window.event to restore it after event
      // dispatching: https://github.com/facebook/react/issues/13688

      var windowEventDescriptor = Object.getOwnPropertyDescriptor(window, 'event');

      function restoreAfterDispatch() {
        // We immediately remove the callback from event listeners so that
        // nested `invokeGuardedCallback` calls do not clash. Otherwise, a
        // nested call would trigger the fake event handlers of any call higher
        // in the stack.
        fakeNode.removeEventListener(evtType, callCallback, false); // We check for window.hasOwnProperty('event') to prevent the
        // window.event assignment in both IE <= 10 as they throw an error
        // "Member not found" in strict mode, and in Firefox which does not
        // support window.event.

        if (typeof window.event !== 'undefined' && window.hasOwnProperty('event')) {
          window.event = windowEvent;
        }
      } // Create an event handler for our fake event. We will synchronously
      // dispatch our fake event using `dispatchEvent`. Inside the handler, we
      // call the user-provided callback.


      var funcArgs = Array.prototype.slice.call(arguments, 3);

      function callCallback() {
        didCall = true;
        restoreAfterDispatch();
        func.apply(context, funcArgs);
        didError = false;
      } // Create a global error event handler. We use this to capture the value
      // that was thrown. It's possible that this error handler will fire more
      // than once; for example, if non-React code also calls `dispatchEvent`
      // and a handler for that event throws. We should be resilient to most of
      // those cases. Even if our error event handler fires more than once, the
      // last error event is always used. If the callback actually does error,
      // we know that the last error event is the correct one, because it's not
      // possible for anything else to have happened in between our callback
      // erroring and the code that follows the `dispatchEvent` call below. If
      // the callback doesn't error, but the error event was fired, we know to
      // ignore it because `didError` will be false, as described above.


      var error; // Use this to track whether the error event is ever called.

      var didSetError = false;
      var isCrossOriginError = false;

      function handleWindowError(event) {
        error = event.error;
        didSetError = true;

        if (error === null && event.colno === 0 && event.lineno === 0) {
          isCrossOriginError = true;
        }

        if (event.defaultPrevented) {
          // Some other error handler has prevented default.
          // Browsers silence the error report if this happens.
          // We'll remember this to later decide whether to log it or not.
          if (error != null && typeof error === 'object') {
            try {
              error._suppressLogging = true;
            } catch (inner) {// Ignore.
            }
          }
        }
      } // Create a fake event type.


      var evtType = "react-" + (name ? name : 'invokeguardedcallback'); // Attach our event handlers

      window.addEventListener('error', handleWindowError);
      fakeNode.addEventListener(evtType, callCallback, false); // Synchronously dispatch our fake event. If the user-provided function
      // errors, it will trigger our global error handler.

      evt.initEvent(evtType, false, false);
      fakeNode.dispatchEvent(evt);

      if (windowEventDescriptor) {
        Object.defineProperty(window, 'event', windowEventDescriptor);
      }

      if (didCall && didError) {
        if (!didSetError) {
          // The callback errored, but the error event never fired.
          error = new Error('An error was thrown inside one of your components, but React ' + "doesn't know what it was. This is likely due to browser " + 'flakiness. React does its best to preserve the "Pause on ' + 'exceptions" behavior of the DevTools, which requires some ' + "DEV-mode only tricks. It's possible that these don't work in " + 'your browser. Try triggering the error in production mode, ' + 'or switching to a modern browser. If you suspect that this is ' + 'actually an issue with React, please file an issue.');
        } else if (isCrossOriginError) {
          error = new Error("A cross-origin error was thrown. React doesn't have access to " + 'the actual error object in development. ' + 'See https://reactjs.org/link/crossorigin-error for more information.');
        }

        this.onError(error);
      } // Remove our event listeners


      window.removeEventListener('error', handleWindowError);

      if (!didCall) {
        // Something went really wrong, and our event was not dispatched.
        // https://github.com/facebook/react/issues/16734
        // https://github.com/facebook/react/issues/16585
        // Fall back to the production implementation.
        restoreAfterDispatch();
        return invokeGuardedCallbackProd.apply(this, arguments);
      }
    };
  }
}

var invokeGuardedCallbackImpl$1 = invokeGuardedCallbackImpl;

var hasError = false;
var caughtError = null; // Used by event system to capture/rethrow the first error.

var hasRethrowError = false;
var rethrowError = null;
var reporter = {
  onError: function (error) {
    hasError = true;
    caughtError = error;
  }
};
/**
 * Call a function while guarding against errors that happens within it.
 * Returns an error if it throws, otherwise null.
 *
 * In production, this is implemented using a try-catch. The reason we don't
 * use a try-catch directly is so that we can swap out a different
 * implementation in DEV mode.
 *
 * @param {String} name of the guard to use for logging or debugging
 * @param {Function} func The function to invoke
 * @param {*} context The context to use when calling the function
 * @param {...*} args Arguments for function
 */

function invokeGuardedCallback(name, func, context, a, b, c, d, e, f) {
  hasError = false;
  caughtError = null;
  invokeGuardedCallbackImpl$1.apply(reporter, arguments);
}
/**
 * Same as invokeGuardedCallback, but instead of returning an error, it stores
 * it in a global so it can be rethrown by `rethrowCaughtError` later.
 * TODO: See if caughtError and rethrowError can be unified.
 *
 * @param {String} name of the guard to use for logging or debugging
 * @param {Function} func The function to invoke
 * @param {*} context The context to use when calling the function
 * @param {...*} args Arguments for function
 */

function invokeGuardedCallbackAndCatchFirstError(name, func, context, a, b, c, d, e, f) {
  invokeGuardedCallback.apply(this, arguments);

  if (hasError) {
    var error = clearCaughtError();

    if (!hasRethrowError) {
      hasRethrowError = true;
      rethrowError = error;
    }
  }
}
/**
 * During execution of guarded functions we will capture the first error which
 * we will rethrow to be handled by the top level error handler.
 */

function rethrowCaughtError() {
  if (hasRethrowError) {
    var error = rethrowError;
    hasRethrowError = false;
    rethrowError = null;
    throw error;
  }
}
function hasCaughtError() {
  return hasError;
}
function clearCaughtError() {
  if (hasError) {
    var error = caughtError;
    hasError = false;
    caughtError = null;
    return error;
  } else {
    {
      {
        throw Error( "clearCaughtError was called but no error was captured. This error is likely caused by a bug in React. Please file an issue." );
      }
    }
  }
}

/**
 * `ReactInstanceMap` maintains a mapping from a public facing stateful
 * instance (key) and the internal representation (value). This allows public
 * methods to accept the user facing instance as an argument and map them back
 * to internal methods.
 *
 * Note that this module is currently shared and assumed to be stateless.
 * If this becomes an actual Map, that will break.
 */
function get(key) {
  return key._reactInternals;
}
function has(key) {
  return key._reactInternals !== undefined;
}
function set(key, value) {
  key._reactInternals = value;
}

// Don't change these two values. They're used by React Dev Tools.
var NoFlags =
/*                      */
0;
var PerformedWork =
/*                */
1; // You can change the rest (and add more).

var Placement =
/*                    */
2;
var Update =
/*                       */
4;
var PlacementAndUpdate =
/*           */
6;
var Deletion =
/*                     */
8;
var ContentReset =
/*                 */
16;
var Callback =
/*                     */
32;
var DidCapture =
/*                   */
64;
var Ref =
/*                          */
128;
var Snapshot =
/*                     */
256;
var Passive =
/*                      */
512; // TODO (effects) Remove this bit once the new reconciler is synced to the old.

var PassiveUnmountPendingDev =
/*     */
8192;
var Hydrating =
/*                    */
1024;
var HydratingAndUpdate =
/*           */
1028; // Passive & Update & Callback & Ref & Snapshot

var LifecycleEffectMask =
/*          */
932; // Union of all host effects

var HostEffectMask =
/*               */
2047; // These are not really side effects, but we still reuse this field.

var Incomplete =
/*                   */
2048;
var ShouldCapture =
/*                */
4096;
var ForceUpdateForLegacySuspense =
/* */
16384; // Static tags describe aspects of a fiber that are not specific to a render,

var ReactCurrentOwner = ReactSharedInternals.ReactCurrentOwner;
function getNearestMountedFiber(fiber) {
  var node = fiber;
  var nearestMounted = fiber;

  if (!fiber.alternate) {
    // If there is no alternate, this might be a new tree that isn't inserted
    // yet. If it is, then it will have a pending insertion effect on it.
    var nextNode = node;

    do {
      node = nextNode;

      if ((node.flags & (Placement | Hydrating)) !== NoFlags) {
        // This is an insertion or in-progress hydration. The nearest possible
        // mounted fiber is the parent but we need to continue to figure out
        // if that one is still mounted.
        nearestMounted = node.return;
      }

      nextNode = node.return;
    } while (nextNode);
  } else {
    while (node.return) {
      node = node.return;
    }
  }

  if (node.tag === HostRoot) {
    // TODO: Check if this was a nested HostRoot when used with
    // renderContainerIntoSubtree.
    return nearestMounted;
  } // If we didn't hit the root, that means that we're in an disconnected tree
  // that has been unmounted.


  return null;
}
function getSuspenseInstanceFromFiber(fiber) {
  if (fiber.tag === SuspenseComponent) {
    var suspenseState = fiber.memoizedState;

    if (suspenseState === null) {
      var current = fiber.alternate;

      if (current !== null) {
        suspenseState = current.memoizedState;
      }
    }

    if (suspenseState !== null) {
      return suspenseState.dehydrated;
    }
  }

  return null;
}
function getContainerFromFiber(fiber) {
  return fiber.tag === HostRoot ? fiber.stateNode.containerInfo : null;
}
function isFiberMounted(fiber) {
  return getNearestMountedFiber(fiber) === fiber;
}
function isMounted(component) {
  {
    var owner = ReactCurrentOwner.current;

    if (owner !== null && owner.tag === ClassComponent) {
      var ownerFiber = owner;
      var instance = ownerFiber.stateNode;

      if (!instance._warnedAboutRefsInRender) {
        error('%s is accessing isMounted inside its render() function. ' + 'render() should be a pure function of props and state. It should ' + 'never access something that requires stale data from the previous ' + 'render, such as refs. Move this logic to componentDidMount and ' + 'componentDidUpdate instead.', getComponentName(ownerFiber.type) || 'A component');
      }

      instance._warnedAboutRefsInRender = true;
    }
  }

  var fiber = get(component);

  if (!fiber) {
    return false;
  }

  return getNearestMountedFiber(fiber) === fiber;
}

function assertIsMounted(fiber) {
  if (!(getNearestMountedFiber(fiber) === fiber)) {
    {
      throw Error( "Unable to find node on an unmounted component." );
    }
  }
}

function findCurrentFiberUsingSlowPath(fiber) {
  var alternate = fiber.alternate;

  if (!alternate) {
    // If there is no alternate, then we only need to check if it is mounted.
    var nearestMounted = getNearestMountedFiber(fiber);

    if (!(nearestMounted !== null)) {
      {
        throw Error( "Unable to find node on an unmounted component." );
      }
    }

    if (nearestMounted !== fiber) {
      return null;
    }

    return fiber;
  } // If we have two possible branches, we'll walk backwards up to the root
  // to see what path the root points to. On the way we may hit one of the
  // special cases and we'll deal with them.


  var a = fiber;
  var b = alternate;

  while (true) {
    var parentA = a.return;

    if (parentA === null) {
      // We're at the root.
      break;
    }

    var parentB = parentA.alternate;

    if (parentB === null) {
      // There is no alternate. This is an unusual case. Currently, it only
      // happens when a Suspense component is hidden. An extra fragment fiber
      // is inserted in between the Suspense fiber and its children. Skip
      // over this extra fragment fiber and proceed to the next parent.
      var nextParent = parentA.return;

      if (nextParent !== null) {
        a = b = nextParent;
        continue;
      } // If there's no parent, we're at the root.


      break;
    } // If both copies of the parent fiber point to the same child, we can
    // assume that the child is current. This happens when we bailout on low
    // priority: the bailed out fiber's child reuses the current child.


    if (parentA.child === parentB.child) {
      var child = parentA.child;

      while (child) {
        if (child === a) {
          // We've determined that A is the current branch.
          assertIsMounted(parentA);
          return fiber;
        }

        if (child === b) {
          // We've determined that B is the current branch.
          assertIsMounted(parentA);
          return alternate;
        }

        child = child.sibling;
      } // We should never have an alternate for any mounting node. So the only
      // way this could possibly happen is if this was unmounted, if at all.


      {
        {
          throw Error( "Unable to find node on an unmounted component." );
        }
      }
    }

    if (a.return !== b.return) {
      // The return pointer of A and the return pointer of B point to different
      // fibers. We assume that return pointers never criss-cross, so A must
      // belong to the child set of A.return, and B must belong to the child
      // set of B.return.
      a = parentA;
      b = parentB;
    } else {
      // The return pointers point to the same fiber. We'll have to use the
      // default, slow path: scan the child sets of each parent alternate to see
      // which child belongs to which set.
      //
      // Search parent A's child set
      var didFindChild = false;
      var _child = parentA.child;

      while (_child) {
        if (_child === a) {
          didFindChild = true;
          a = parentA;
          b = parentB;
          break;
        }

        if (_child === b) {
          didFindChild = true;
          b = parentA;
          a = parentB;
          break;
        }

        _child = _child.sibling;
      }

      if (!didFindChild) {
        // Search parent B's child set
        _child = parentB.child;

        while (_child) {
          if (_child === a) {
            didFindChild = true;
            a = parentB;
            b = parentA;
            break;
          }

          if (_child === b) {
            didFindChild = true;
            b = parentB;
            a = parentA;
            break;
          }

          _child = _child.sibling;
        }

        if (!didFindChild) {
          {
            throw Error( "Child was not found in either parent set. This indicates a bug in React related to the return pointer. Please file an issue." );
          }
        }
      }
    }

    if (!(a.alternate === b)) {
      {
        throw Error( "Return fibers should always be each others' alternates. This error is likely caused by a bug in React. Please file an issue." );
      }
    }
  } // If the root is not a host container, we're in a disconnected tree. I.e.
  // unmounted.


  if (!(a.tag === HostRoot)) {
    {
      throw Error( "Unable to find node on an unmounted component." );
    }
  }

  if (a.stateNode.current === a) {
    // We've determined that A is the current branch.
    return fiber;
  } // Otherwise B has to be current branch.


  return alternate;
}
function findCurrentHostFiber(parent) {
  var currentParent = findCurrentFiberUsingSlowPath(parent);

  if (!currentParent) {
    return null;
  } // Next we'll drill down this component to find the first HostComponent/Text.


  var node = currentParent;

  while (true) {
    if (node.tag === HostComponent || node.tag === HostText) {
      return node;
    } else if (node.child) {
      node.child.return = node;
      node = node.child;
      continue;
    }

    if (node === currentParent) {
      return null;
    }

    while (!node.sibling) {
      if (!node.return || node.return === currentParent) {
        return null;
      }

      node = node.return;
    }

    node.sibling.return = node.return;
    node = node.sibling;
  } // Flow needs the return null here, but ESLint complains about it.
  // eslint-disable-next-line no-unreachable


  return null;
}
function findCurrentHostFiberWithNoPortals(parent) {
  var currentParent = findCurrentFiberUsingSlowPath(parent);

  if (!currentParent) {
    return null;
  } // Next we'll drill down this component to find the first HostComponent/Text.


  var node = currentParent;

  while (true) {
    if (node.tag === HostComponent || node.tag === HostText || enableFundamentalAPI ) {
      return node;
    } else if (node.child && node.tag !== HostPortal) {
      node.child.return = node;
      node = node.child;
      continue;
    }

    if (node === currentParent) {
      return null;
    }

    while (!node.sibling) {
      if (!node.return || node.return === currentParent) {
        return null;
      }

      node = node.return;
    }

    node.sibling.return = node.return;
    node = node.sibling;
  } // Flow needs the return null here, but ESLint complains about it.
  // eslint-disable-next-line no-unreachable


  return null;
}
function doesFiberContain(parentFiber, childFiber) {
  var node = childFiber;
  var parentFiberAlternate = parentFiber.alternate;

  while (node !== null) {
    if (node === parentFiber || node === parentFiberAlternate) {
      return true;
    }

    node = node.return;
  }

  return false;
}

var attemptUserBlockingHydration;
function setAttemptUserBlockingHydration(fn) {
  attemptUserBlockingHydration = fn;
}
var attemptContinuousHydration;
function setAttemptContinuousHydration(fn) {
  attemptContinuousHydration = fn;
}
var attemptHydrationAtCurrentPriority;
function setAttemptHydrationAtCurrentPriority(fn) {
  attemptHydrationAtCurrentPriority = fn;
}
var attemptHydrationAtPriority;
function setAttemptHydrationAtPriority(fn) {
  attemptHydrationAtPriority = fn;
} // TODO: Upgrade this definition once we're on a newer version of Flow that
var hasScheduledReplayAttempt = false; // The queue of discrete events to be replayed.

var queuedDiscreteEvents = []; // Indicates if any continuous event targets are non-null for early bailout.
// if the last target was dehydrated.

var queuedFocus = null;
var queuedDrag = null;
var queuedMouse = null; // For pointer events there can be one latest event per pointerId.

var queuedPointers = new Map();
var queuedPointerCaptures = new Map(); // We could consider replaying selectionchange and touchmoves too.

var queuedExplicitHydrationTargets = [];
function hasQueuedDiscreteEvents() {
  return queuedDiscreteEvents.length > 0;
}
var discreteReplayableEvents = ['mousedown', 'mouseup', 'touchcancel', 'touchend', 'touchstart', 'auxclick', 'dblclick', 'pointercancel', 'pointerdown', 'pointerup', 'dragend', 'dragstart', 'drop', 'compositionend', 'compositionstart', 'keydown', 'keypress', 'keyup', 'input', 'textInput', // Intentionally camelCase
'copy', 'cut', 'paste', 'click', 'change', 'contextmenu', 'reset', 'submit'];
function isReplayableDiscreteEvent(eventType) {
  return discreteReplayableEvents.indexOf(eventType) > -1;
}

function createQueuedReplayableEvent(blockedOn, domEventName, eventSystemFlags, targetContainer, nativeEvent) {
  return {
    blockedOn: blockedOn,
    domEventName: domEventName,
    eventSystemFlags: eventSystemFlags | IS_REPLAYED,
    nativeEvent: nativeEvent,
    targetContainers: [targetContainer]
  };
}

function queueDiscreteEvent(blockedOn, domEventName, eventSystemFlags, targetContainer, nativeEvent) {
  var queuedEvent = createQueuedReplayableEvent(blockedOn, domEventName, eventSystemFlags, targetContainer, nativeEvent);
  queuedDiscreteEvents.push(queuedEvent);
} // Resets the replaying for this type of continuous event to no event.

function clearIfContinuousEvent(domEventName, nativeEvent) {
  switch (domEventName) {
    case 'focusin':
    case 'focusout':
      queuedFocus = null;
      break;

    case 'dragenter':
    case 'dragleave':
      queuedDrag = null;
      break;

    case 'mouseover':
    case 'mouseout':
      queuedMouse = null;
      break;

    case 'pointerover':
    case 'pointerout':
      {
        var pointerId = nativeEvent.pointerId;
        queuedPointers.delete(pointerId);
        break;
      }

    case 'gotpointercapture':
    case 'lostpointercapture':
      {
        var _pointerId = nativeEvent.pointerId;
        queuedPointerCaptures.delete(_pointerId);
        break;
      }
  }
}

function accumulateOrCreateContinuousQueuedReplayableEvent(existingQueuedEvent, blockedOn, domEventName, eventSystemFlags, targetContainer, nativeEvent) {
  if (existingQueuedEvent === null || existingQueuedEvent.nativeEvent !== nativeEvent) {
    var queuedEvent = createQueuedReplayableEvent(blockedOn, domEventName, eventSystemFlags, targetContainer, nativeEvent);

    if (blockedOn !== null) {
      var _fiber2 = getInstanceFromNode(blockedOn);

      if (_fiber2 !== null) {
        // Attempt to increase the priority of this target.
        attemptContinuousHydration(_fiber2);
      }
    }

    return queuedEvent;
  } // If we have already queued this exact event, then it's because
  // the different event systems have different DOM event listeners.
  // We can accumulate the flags, and the targetContainers, and
  // store a single event to be replayed.


  existingQueuedEvent.eventSystemFlags |= eventSystemFlags;
  var targetContainers = existingQueuedEvent.targetContainers;

  if (targetContainer !== null && targetContainers.indexOf(targetContainer) === -1) {
    targetContainers.push(targetContainer);
  }

  return existingQueuedEvent;
}

function queueIfContinuousEvent(blockedOn, domEventName, eventSystemFlags, targetContainer, nativeEvent) {
  // These set relatedTarget to null because the replayed event will be treated as if we
  // moved from outside the window (no target) onto the target once it hydrates.
  // Instead of mutating we could clone the event.
  switch (domEventName) {
    case 'focusin':
      {
        var focusEvent = nativeEvent;
        queuedFocus = accumulateOrCreateContinuousQueuedReplayableEvent(queuedFocus, blockedOn, domEventName, eventSystemFlags, targetContainer, focusEvent);
        return true;
      }

    case 'dragenter':
      {
        var dragEvent = nativeEvent;
        queuedDrag = accumulateOrCreateContinuousQueuedReplayableEvent(queuedDrag, blockedOn, domEventName, eventSystemFlags, targetContainer, dragEvent);
        return true;
      }

    case 'mouseover':
      {
        var mouseEvent = nativeEvent;
        queuedMouse = accumulateOrCreateContinuousQueuedReplayableEvent(queuedMouse, blockedOn, domEventName, eventSystemFlags, targetContainer, mouseEvent);
        return true;
      }

    case 'pointerover':
      {
        var pointerEvent = nativeEvent;
        var pointerId = pointerEvent.pointerId;
        queuedPointers.set(pointerId, accumulateOrCreateContinuousQueuedReplayableEvent(queuedPointers.get(pointerId) || null, blockedOn, domEventName, eventSystemFlags, targetContainer, pointerEvent));
        return true;
      }

    case 'gotpointercapture':
      {
        var _pointerEvent = nativeEvent;
        var _pointerId2 = _pointerEvent.pointerId;
        queuedPointerCaptures.set(_pointerId2, accumulateOrCreateContinuousQueuedReplayableEvent(queuedPointerCaptures.get(_pointerId2) || null, blockedOn, domEventName, eventSystemFlags, targetContainer, _pointerEvent));
        return true;
      }
  }

  return false;
} // Check if this target is unblocked. Returns true if it's unblocked.

function attemptExplicitHydrationTarget(queuedTarget) {
  // TODO: This function shares a lot of logic with attemptToDispatchEvent.
  // Try to unify them. It's a bit tricky since it would require two return
  // values.
  var targetInst = getClosestInstanceFromNode(queuedTarget.target);

  if (targetInst !== null) {
    var nearestMounted = getNearestMountedFiber(targetInst);

    if (nearestMounted !== null) {
      var tag = nearestMounted.tag;

      if (tag === SuspenseComponent) {
        var instance = getSuspenseInstanceFromFiber(nearestMounted);

        if (instance !== null) {
          // We're blocked on hydrating this boundary.
          // Increase its priority.
          queuedTarget.blockedOn = instance;
          attemptHydrationAtPriority(queuedTarget.lanePriority, function () {
            Scheduler.unstable_runWithPriority(queuedTarget.priority, function () {
              attemptHydrationAtCurrentPriority(nearestMounted);
            });
          });
          return;
        }
      } else if (tag === HostRoot) {
        var root = nearestMounted.stateNode;

        if (root.hydrate) {
          queuedTarget.blockedOn = getContainerFromFiber(nearestMounted); // We don't currently have a way to increase the priority of
          // a root other than sync.

          return;
        }
      }
    }
  }

  queuedTarget.blockedOn = null;
}

function attemptReplayContinuousQueuedEvent(queuedEvent) {
  if (queuedEvent.blockedOn !== null) {
    return false;
  }

  var targetContainers = queuedEvent.targetContainers;

  while (targetContainers.length > 0) {
    var targetContainer = targetContainers[0];
    var nextBlockedOn = attemptToDispatchEvent(queuedEvent.domEventName, queuedEvent.eventSystemFlags, targetContainer, queuedEvent.nativeEvent);

    if (nextBlockedOn !== null) {
      // We're still blocked. Try again later.
      var _fiber3 = getInstanceFromNode(nextBlockedOn);

      if (_fiber3 !== null) {
        attemptContinuousHydration(_fiber3);
      }

      queuedEvent.blockedOn = nextBlockedOn;
      return false;
    } // This target container was successfully dispatched. Try the next.


    targetContainers.shift();
  }

  return true;
}

function attemptReplayContinuousQueuedEventInMap(queuedEvent, key, map) {
  if (attemptReplayContinuousQueuedEvent(queuedEvent)) {
    map.delete(key);
  }
}

function replayUnblockedEvents() {
  hasScheduledReplayAttempt = false; // First replay discrete events.

  while (queuedDiscreteEvents.length > 0) {
    var nextDiscreteEvent = queuedDiscreteEvents[0];

    if (nextDiscreteEvent.blockedOn !== null) {
      // We're still blocked.
      // Increase the priority of this boundary to unblock
      // the next discrete event.
      var _fiber4 = getInstanceFromNode(nextDiscreteEvent.blockedOn);

      if (_fiber4 !== null) {
        attemptUserBlockingHydration(_fiber4);
      }

      break;
    }

    var targetContainers = nextDiscreteEvent.targetContainers;

    while (targetContainers.length > 0) {
      var targetContainer = targetContainers[0];
      var nextBlockedOn = attemptToDispatchEvent(nextDiscreteEvent.domEventName, nextDiscreteEvent.eventSystemFlags, targetContainer, nextDiscreteEvent.nativeEvent);

      if (nextBlockedOn !== null) {
        // We're still blocked. Try again later.
        nextDiscreteEvent.blockedOn = nextBlockedOn;
        break;
      } // This target container was successfully dispatched. Try the next.


      targetContainers.shift();
    }

    if (nextDiscreteEvent.blockedOn === null) {
      // We've successfully replayed the first event. Let's try the next one.
      queuedDiscreteEvents.shift();
    }
  } // Next replay any continuous events.


  if (queuedFocus !== null && attemptReplayContinuousQueuedEvent(queuedFocus)) {
    queuedFocus = null;
  }

  if (queuedDrag !== null && attemptReplayContinuousQueuedEvent(queuedDrag)) {
    queuedDrag = null;
  }

  if (queuedMouse !== null && attemptReplayContinuousQueuedEvent(queuedMouse)) {
    queuedMouse = null;
  }

  queuedPointers.forEach(attemptReplayContinuousQueuedEventInMap);
  queuedPointerCaptures.forEach(attemptReplayContinuousQueuedEventInMap);
}

function scheduleCallbackIfUnblocked(queuedEvent, unblocked) {
  if (queuedEvent.blockedOn === unblocked) {
    queuedEvent.blockedOn = null;

    if (!hasScheduledReplayAttempt) {
      hasScheduledReplayAttempt = true; // Schedule a callback to attempt replaying as many events as are
      // now unblocked. This first might not actually be unblocked yet.
      // We could check it early to avoid scheduling an unnecessary callback.

      Scheduler.unstable_scheduleCallback(Scheduler.unstable_NormalPriority, replayUnblockedEvents);
    }
  }
}

function retryIfBlockedOn(unblocked) {
  // Mark anything that was blocked on this as no longer blocked
  // and eligible for a replay.
  if (queuedDiscreteEvents.length > 0) {
    scheduleCallbackIfUnblocked(queuedDiscreteEvents[0], unblocked); // This is a exponential search for each boundary that commits. I think it's
    // worth it because we expect very few discrete events to queue up and once
    // we are actually fully unblocked it will be fast to replay them.

    for (var i = 1; i < queuedDiscreteEvents.length; i++) {
      var queuedEvent = queuedDiscreteEvents[i];

      if (queuedEvent.blockedOn === unblocked) {
        queuedEvent.blockedOn = null;
      }
    }
  }

  if (queuedFocus !== null) {
    scheduleCallbackIfUnblocked(queuedFocus, unblocked);
  }

  if (queuedDrag !== null) {
    scheduleCallbackIfUnblocked(queuedDrag, unblocked);
  }

  if (queuedMouse !== null) {
    scheduleCallbackIfUnblocked(queuedMouse, unblocked);
  }

  var unblock = function (queuedEvent) {
    return scheduleCallbackIfUnblocked(queuedEvent, unblocked);
  };

  queuedPointers.forEach(unblock);
  queuedPointerCaptures.forEach(unblock);

  for (var _i = 0; _i < queuedExplicitHydrationTargets.length; _i++) {
    var queuedTarget = queuedExplicitHydrationTargets[_i];

    if (queuedTarget.blockedOn === unblocked) {
      queuedTarget.blockedOn = null;
    }
  }

  while (queuedExplicitHydrationTargets.length > 0) {
    var nextExplicitTarget = queuedExplicitHydrationTargets[0];

    if (nextExplicitTarget.blockedOn !== null) {
      // We're still blocked.
      break;
    } else {
      attemptExplicitHydrationTarget(nextExplicitTarget);

      if (nextExplicitTarget.blockedOn === null) {
        // We're unblocked.
        queuedExplicitHydrationTargets.shift();
      }
    }
  }
}

var DiscreteEvent = 0;
var UserBlockingEvent = 1;
var ContinuousEvent = 2;

/**
 * Generate a mapping of standard vendor prefixes using the defined style property and event name.
 *
 * @param {string} styleProp
 * @param {string} eventName
 * @returns {object}
 */

function makePrefixMap(styleProp, eventName) {
  var prefixes = {};
  prefixes[styleProp.toLowerCase()] = eventName.toLowerCase();
  prefixes['Webkit' + styleProp] = 'webkit' + eventName;
  prefixes['Moz' + styleProp] = 'moz' + eventName;
  return prefixes;
}
/**
 * A list of event names to a configurable list of vendor prefixes.
 */


var vendorPrefixes = {
  animationend: makePrefixMap('Animation', 'AnimationEnd'),
  animationiteration: makePrefixMap('Animation', 'AnimationIteration'),
  animationstart: makePrefixMap('Animation', 'AnimationStart'),
  transitionend: makePrefixMap('Transition', 'TransitionEnd')
};
/**
 * Event names that have already been detected and prefixed (if applicable).
 */

var prefixedEventNames = {};
/**
 * Element to check for prefixes on.
 */

var style = {};
/**
 * Bootstrap if a DOM exists.
 */

if (canUseDOM) {
  style = document.createElement('div').style; // On some platforms, in particular some releases of Android 4.x,
  // the un-prefixed "animation" and "transition" properties are defined on the
  // style object but the events that fire will still be prefixed, so we need
  // to check if the un-prefixed events are usable, and if not remove them from the map.

  if (!('AnimationEvent' in window)) {
    delete vendorPrefixes.animationend.animation;
    delete vendorPrefixes.animationiteration.animation;
    delete vendorPrefixes.animationstart.animation;
  } // Same as above


  if (!('TransitionEvent' in window)) {
    delete vendorPrefixes.transitionend.transition;
  }
}
/**
 * Attempts to determine the correct vendor prefixed event name.
 *
 * @param {string} eventName
 * @returns {string}
 */


function getVendorPrefixedEventName(eventName) {
  if (prefixedEventNames[eventName]) {
    return prefixedEventNames[eventName];
  } else if (!vendorPrefixes[eventName]) {
    return eventName;
  }

  var prefixMap = vendorPrefixes[eventName];

  for (var styleProp in prefixMap) {
    if (prefixMap.hasOwnProperty(styleProp) && styleProp in style) {
      return prefixedEventNames[eventName] = prefixMap[styleProp];
    }
  }

  return eventName;
}

var ANIMATION_END = getVendorPrefixedEventName('animationend');
var ANIMATION_ITERATION = getVendorPrefixedEventName('animationiteration');
var ANIMATION_START = getVendorPrefixedEventName('animationstart');
var TRANSITION_END = getVendorPrefixedEventName('transitionend');

var topLevelEventsToReactNames = new Map();
var eventPriorities = new Map(); // We store most of the events in this module in pairs of two strings so we can re-use
// the code required to apply the same logic for event prioritization and that of the
// SimpleEventPlugin. This complicates things slightly, but the aim is to reduce code
// duplication (for which there would be quite a bit). For the events that are not needed
// for the SimpleEventPlugin (otherDiscreteEvents) we process them separately as an
// array of top level events.
// Lastly, we ignore prettier so we can keep the formatting sane.
// prettier-ignore

var discreteEventPairsForSimpleEventPlugin = ['cancel', 'cancel', 'click', 'click', 'close', 'close', 'contextmenu', 'contextMenu', 'copy', 'copy', 'cut', 'cut', 'auxclick', 'auxClick', 'dblclick', 'doubleClick', // Careful!
'dragend', 'dragEnd', 'dragstart', 'dragStart', 'drop', 'drop', 'focusin', 'focus', // Careful!
'focusout', 'blur', // Careful!
'input', 'input', 'invalid', 'invalid', 'keydown', 'keyDown', 'keypress', 'keyPress', 'keyup', 'keyUp', 'mousedown', 'mouseDown', 'mouseup', 'mouseUp', 'paste', 'paste', 'pause', 'pause', 'play', 'play', 'pointercancel', 'pointerCancel', 'pointerdown', 'pointerDown', 'pointerup', 'pointerUp', 'ratechange', 'rateChange', 'reset', 'reset', 'seeked', 'seeked', 'submit', 'submit', 'touchcancel', 'touchCancel', 'touchend', 'touchEnd', 'touchstart', 'touchStart', 'volumechange', 'volumeChange'];
var otherDiscreteEvents = ['change', 'selectionchange', 'textInput', 'compositionstart', 'compositionend', 'compositionupdate'];


var userBlockingPairsForSimpleEventPlugin = ['drag', 'drag', 'dragenter', 'dragEnter', 'dragexit', 'dragExit', 'dragleave', 'dragLeave', 'dragover', 'dragOver', 'mousemove', 'mouseMove', 'mouseout', 'mouseOut', 'mouseover', 'mouseOver', 'pointermove', 'pointerMove', 'pointerout', 'pointerOut', 'pointerover', 'pointerOver', 'scroll', 'scroll', 'toggle', 'toggle', 'touchmove', 'touchMove', 'wheel', 'wheel']; // prettier-ignore

var continuousPairsForSimpleEventPlugin = ['abort', 'abort', ANIMATION_END, 'animationEnd', ANIMATION_ITERATION, 'animationIteration', ANIMATION_START, 'animationStart', 'canplay', 'canPlay', 'canplaythrough', 'canPlayThrough', 'durationchange', 'durationChange', 'emptied', 'emptied', 'encrypted', 'encrypted', 'ended', 'ended', 'error', 'error', 'gotpointercapture', 'gotPointerCapture', 'load', 'load', 'loadeddata', 'loadedData', 'loadedmetadata', 'loadedMetadata', 'loadstart', 'loadStart', 'lostpointercapture', 'lostPointerCapture', 'playing', 'playing', 'progress', 'progress', 'seeking', 'seeking', 'stalled', 'stalled', 'suspend', 'suspend', 'timeupdate', 'timeUpdate', TRANSITION_END, 'transitionEnd', 'waiting', 'waiting'];
/**
 * Turns
 * ['abort', ...]
 *
 * into
 *
 * topLevelEventsToReactNames = new Map([
 *   ['abort', 'onAbort'],
 * ]);
 *
 * and registers them.
 */

function registerSimplePluginEventsAndSetTheirPriorities(eventTypes, priority) {
  // As the event types are in pairs of two, we need to iterate
  // through in twos. The events are in pairs of two to save code
  // and improve init perf of processing this array, as it will
  // result in far fewer object allocations and property accesses
  // if we only use three arrays to process all the categories of
  // instead of tuples.
  for (var i = 0; i < eventTypes.length; i += 2) {
    var topEvent = eventTypes[i];
    var event = eventTypes[i + 1];
    var capitalizedEvent = event[0].toUpperCase() + event.slice(1);
    var reactName = 'on' + capitalizedEvent;
    eventPriorities.set(topEvent, priority);
    topLevelEventsToReactNames.set(topEvent, reactName);
    registerTwoPhaseEvent(reactName, [topEvent]);
  }
}

function setEventPriorities(eventTypes, priority) {
  for (var i = 0; i < eventTypes.length; i++) {
    eventPriorities.set(eventTypes[i], priority);
  }
}

function getEventPriorityForPluginSystem(domEventName) {
  var priority = eventPriorities.get(domEventName); // Default to a ContinuousEvent. Note: we might
  // want to warn if we can't detect the priority
  // for the event.

  return priority === undefined ? ContinuousEvent : priority;
}
function registerSimpleEvents() {
  registerSimplePluginEventsAndSetTheirPriorities(discreteEventPairsForSimpleEventPlugin, DiscreteEvent);
  registerSimplePluginEventsAndSetTheirPriorities(userBlockingPairsForSimpleEventPlugin, UserBlockingEvent);
  registerSimplePluginEventsAndSetTheirPriorities(continuousPairsForSimpleEventPlugin, ContinuousEvent);
  setEventPriorities(otherDiscreteEvents, DiscreteEvent);
}

var Scheduler_now = Scheduler.unstable_now;

{
  // Provide explicit error message when production+profiling bundle of e.g.
  // react-dom is used with production (non-profiling) bundle of
  // scheduler/tracing
  if (!(tracing.__interactionsRef != null && tracing.__interactionsRef.current != null)) {
    {
      throw Error( "It is not supported to run the profiling version of a renderer (for example, `react-dom/profiling`) without also replacing the `scheduler/tracing` module with `scheduler/tracing-profiling`. Your bundler might have a setting for aliasing both modules. Learn more at https://reactjs.org/link/profiling" );
    }
  }
}
// ascending numbers so we can compare them like numbers. They start at 90 to
// avoid clashing with Scheduler's priorities.

var ImmediatePriority = 99;
var UserBlockingPriority = 98;
var NormalPriority = 97;
var LowPriority = 96;
var IdlePriority = 95; // NoPriority is the absence of priority. Also React-only.

var NoPriority = 90;
var initialTimeMs = Scheduler_now(); // If the initial timestamp is reasonably small, use Scheduler's `now` directly.

var SyncLanePriority = 15;
var SyncBatchedLanePriority = 14;
var InputDiscreteHydrationLanePriority = 13;
var InputDiscreteLanePriority = 12;
var InputContinuousHydrationLanePriority = 11;
var InputContinuousLanePriority = 10;
var DefaultHydrationLanePriority = 9;
var DefaultLanePriority = 8;
var TransitionHydrationPriority = 7;
var TransitionPriority = 6;
var RetryLanePriority = 5;
var SelectiveHydrationLanePriority = 4;
var IdleHydrationLanePriority = 3;
var IdleLanePriority = 2;
var OffscreenLanePriority = 1;
var NoLanePriority = 0;
var TotalLanes = 31;
var NoLanes =
/*                        */
0;
var NoLane =
/*                          */
0;
var SyncLane =
/*                        */
1;
var SyncBatchedLane =
/*                 */
2;
var InputDiscreteHydrationLane =
/*      */
4;
var InputDiscreteLanes =
/*                    */
24;
var InputContinuousHydrationLane =
/*           */
32;
var InputContinuousLanes =
/*                  */
192;
var DefaultHydrationLane =
/*            */
256;
var DefaultLanes =
/*                   */
3584;
var TransitionHydrationLane =
/*                */
4096;
var TransitionLanes =
/*                       */
4186112;
var RetryLanes =
/*                            */
62914560;
var SomeRetryLane =
/*                  */
33554432;
var SelectiveHydrationLane =
/*          */
67108864;
var NonIdleLanes =
/*                                 */
134217727;
var IdleHydrationLane =
/*               */
134217728;
var IdleLanes =
/*                             */
805306368;
var OffscreenLane =
/*                   */
1073741824;
var NoTimestamp = -1;
function setCurrentUpdateLanePriority(newLanePriority) {
} // "Registers" used to "return" multiple values
// Used by getHighestPriorityLanes and getNextLanes:

var return_highestLanePriority = DefaultLanePriority;

function getHighestPriorityLanes(lanes) {
  if ((SyncLane & lanes) !== NoLanes) {
    return_highestLanePriority = SyncLanePriority;
    return SyncLane;
  }

  if ((SyncBatchedLane & lanes) !== NoLanes) {
    return_highestLanePriority = SyncBatchedLanePriority;
    return SyncBatchedLane;
  }

  if ((InputDiscreteHydrationLane & lanes) !== NoLanes) {
    return_highestLanePriority = InputDiscreteHydrationLanePriority;
    return InputDiscreteHydrationLane;
  }

  var inputDiscreteLanes = InputDiscreteLanes & lanes;

  if (inputDiscreteLanes !== NoLanes) {
    return_highestLanePriority = InputDiscreteLanePriority;
    return inputDiscreteLanes;
  }

  if ((lanes & InputContinuousHydrationLane) !== NoLanes) {
    return_highestLanePriority = InputContinuousHydrationLanePriority;
    return InputContinuousHydrationLane;
  }

  var inputContinuousLanes = InputContinuousLanes & lanes;

  if (inputContinuousLanes !== NoLanes) {
    return_highestLanePriority = InputContinuousLanePriority;
    return inputContinuousLanes;
  }

  if ((lanes & DefaultHydrationLane) !== NoLanes) {
    return_highestLanePriority = DefaultHydrationLanePriority;
    return DefaultHydrationLane;
  }

  var defaultLanes = DefaultLanes & lanes;

  if (defaultLanes !== NoLanes) {
    return_highestLanePriority = DefaultLanePriority;
    return defaultLanes;
  }

  if ((lanes & TransitionHydrationLane) !== NoLanes) {
    return_highestLanePriority = TransitionHydrationPriority;
    return TransitionHydrationLane;
  }

  var transitionLanes = TransitionLanes & lanes;

  if (transitionLanes !== NoLanes) {
    return_highestLanePriority = TransitionPriority;
    return transitionLanes;
  }

  var retryLanes = RetryLanes & lanes;

  if (retryLanes !== NoLanes) {
    return_highestLanePriority = RetryLanePriority;
    return retryLanes;
  }

  if (lanes & SelectiveHydrationLane) {
    return_highestLanePriority = SelectiveHydrationLanePriority;
    return SelectiveHydrationLane;
  }

  if ((lanes & IdleHydrationLane) !== NoLanes) {
    return_highestLanePriority = IdleHydrationLanePriority;
    return IdleHydrationLane;
  }

  var idleLanes = IdleLanes & lanes;

  if (idleLanes !== NoLanes) {
    return_highestLanePriority = IdleLanePriority;
    return idleLanes;
  }

  if ((OffscreenLane & lanes) !== NoLanes) {
    return_highestLanePriority = OffscreenLanePriority;
    return OffscreenLane;
  }

  {
    error('Should have found matching lanes. This is a bug in React.');
  } // This shouldn't be reachable, but as a fallback, return the entire bitmask.


  return_highestLanePriority = DefaultLanePriority;
  return lanes;
}

function schedulerPriorityToLanePriority(schedulerPriorityLevel) {
  switch (schedulerPriorityLevel) {
    case ImmediatePriority:
      return SyncLanePriority;

    case UserBlockingPriority:
      return InputContinuousLanePriority;

    case NormalPriority:
    case LowPriority:
      // TODO: Handle LowSchedulerPriority, somehow. Maybe the same lane as hydration.
      return DefaultLanePriority;

    case IdlePriority:
      return IdleLanePriority;

    default:
      return NoLanePriority;
  }
}
function lanePriorityToSchedulerPriority(lanePriority) {
  switch (lanePriority) {
    case SyncLanePriority:
    case SyncBatchedLanePriority:
      return ImmediatePriority;

    case InputDiscreteHydrationLanePriority:
    case InputDiscreteLanePriority:
    case InputContinuousHydrationLanePriority:
    case InputContinuousLanePriority:
      return UserBlockingPriority;

    case DefaultHydrationLanePriority:
    case DefaultLanePriority:
    case TransitionHydrationPriority:
    case TransitionPriority:
    case SelectiveHydrationLanePriority:
    case RetryLanePriority:
      return NormalPriority;

    case IdleHydrationLanePriority:
    case IdleLanePriority:
    case OffscreenLanePriority:
      return IdlePriority;

    case NoLanePriority:
      return NoPriority;

    default:
      {
        {
          throw Error( "Invalid update priority: " + lanePriority + ". This is a bug in React." );
        }
      }

  }
}
function getNextLanes(root, wipLanes) {
  // Early bailout if there's no pending work left.
  var pendingLanes = root.pendingLanes;

  if (pendingLanes === NoLanes) {
    return_highestLanePriority = NoLanePriority;
    return NoLanes;
  }

  var nextLanes = NoLanes;
  var nextLanePriority = NoLanePriority;
  var expiredLanes = root.expiredLanes;
  var suspendedLanes = root.suspendedLanes;
  var pingedLanes = root.pingedLanes; // Check if any work has expired.

  if (expiredLanes !== NoLanes) {
    nextLanes = expiredLanes;
    nextLanePriority = return_highestLanePriority = SyncLanePriority;
  } else {
    // Do not work on any idle work until all the non-idle work has finished,
    // even if the work is suspended.
    var nonIdlePendingLanes = pendingLanes & NonIdleLanes;

    if (nonIdlePendingLanes !== NoLanes) {
      var nonIdleUnblockedLanes = nonIdlePendingLanes & ~suspendedLanes;

      if (nonIdleUnblockedLanes !== NoLanes) {
        nextLanes = getHighestPriorityLanes(nonIdleUnblockedLanes);
        nextLanePriority = return_highestLanePriority;
      } else {
        var nonIdlePingedLanes = nonIdlePendingLanes & pingedLanes;

        if (nonIdlePingedLanes !== NoLanes) {
          nextLanes = getHighestPriorityLanes(nonIdlePingedLanes);
          nextLanePriority = return_highestLanePriority;
        }
      }
    } else {
      // The only remaining work is Idle.
      var unblockedLanes = pendingLanes & ~suspendedLanes;

      if (unblockedLanes !== NoLanes) {
        nextLanes = getHighestPriorityLanes(unblockedLanes);
        nextLanePriority = return_highestLanePriority;
      } else {
        if (pingedLanes !== NoLanes) {
          nextLanes = getHighestPriorityLanes(pingedLanes);
          nextLanePriority = return_highestLanePriority;
        }
      }
    }
  }

  if (nextLanes === NoLanes) {
    // This should only be reachable if we're suspended
    // TODO: Consider warning in this path if a fallback timer is not scheduled.
    return NoLanes;
  } // If there are higher priority lanes, we'll include them even if they
  // are suspended.


  nextLanes = pendingLanes & getEqualOrHigherPriorityLanes(nextLanes); // If we're already in the middle of a render, switching lanes will interrupt
  // it and we'll lose our progress. We should only do this if the new lanes are
  // higher priority.

  if (wipLanes !== NoLanes && wipLanes !== nextLanes && // If we already suspended with a delay, then interrupting is fine. Don't
  // bother waiting until the root is complete.
  (wipLanes & suspendedLanes) === NoLanes) {
    getHighestPriorityLanes(wipLanes);
    var wipLanePriority = return_highestLanePriority;

    if (nextLanePriority <= wipLanePriority) {
      return wipLanes;
    } else {
      return_highestLanePriority = nextLanePriority;
    }
  } // Check for entangled lanes and add them to the batch.
  //
  // A lane is said to be entangled with another when it's not allowed to render
  // in a batch that does not also include the other lane. Typically we do this
  // when multiple updates have the same source, and we only want to respond to
  // the most recent event from that source.
  //
  // Note that we apply entanglements *after* checking for partial work above.
  // This means that if a lane is entangled during an interleaved event while
  // it's already rendering, we won't interrupt it. This is intentional, since
  // entanglement is usually "best effort": we'll try our best to render the
  // lanes in the same batch, but it's not worth throwing out partially
  // completed work in order to do it.
  //
  // For those exceptions where entanglement is semantically important, like
  // useMutableSource, we should ensure that there is no partial work at the
  // time we apply the entanglement.


  var entangledLanes = root.entangledLanes;

  if (entangledLanes !== NoLanes) {
    var entanglements = root.entanglements;
    var lanes = nextLanes & entangledLanes;

    while (lanes > 0) {
      var index = pickArbitraryLaneIndex(lanes);
      var lane = 1 << index;
      nextLanes |= entanglements[index];
      lanes &= ~lane;
    }
  }

  return nextLanes;
}
function getMostRecentEventTime(root, lanes) {
  var eventTimes = root.eventTimes;
  var mostRecentEventTime = NoTimestamp;

  while (lanes > 0) {
    var index = pickArbitraryLaneIndex(lanes);
    var lane = 1 << index;
    var eventTime = eventTimes[index];

    if (eventTime > mostRecentEventTime) {
      mostRecentEventTime = eventTime;
    }

    lanes &= ~lane;
  }

  return mostRecentEventTime;
}

function computeExpirationTime(lane, currentTime) {
  // TODO: Expiration heuristic is constant per lane, so could use a map.
  getHighestPriorityLanes(lane);
  var priority = return_highestLanePriority;

  if (priority >= InputContinuousLanePriority) {
    // User interactions should expire slightly more quickly.
    //
    // NOTE: This is set to the corresponding constant as in Scheduler.js. When
    // we made it larger, a product metric in www regressed, suggesting there's
    // a user interaction that's being starved by a series of synchronous
    // updates. If that theory is correct, the proper solution is to fix the
    // starvation. However, this scenario supports the idea that expiration
    // times are an important safeguard when starvation does happen.
    //
    // Also note that, in the case of user input specifically, this will soon no
    // longer be an issue because we plan to make user input synchronous by
    // default (until you enter `startTransition`, of course.)
    //
    // If weren't planning to make these updates synchronous soon anyway, I
    // would probably make this number a configurable parameter.
    return currentTime + 250;
  } else if (priority >= TransitionPriority) {
    return currentTime + 5000;
  } else {
    // Anything idle priority or lower should never expire.
    return NoTimestamp;
  }
}

function markStarvedLanesAsExpired(root, currentTime) {
  // TODO: This gets called every time we yield. We can optimize by storing
  // the earliest expiration time on the root. Then use that to quickly bail out
  // of this function.
  var pendingLanes = root.pendingLanes;
  var suspendedLanes = root.suspendedLanes;
  var pingedLanes = root.pingedLanes;
  var expirationTimes = root.expirationTimes; // Iterate through the pending lanes and check if we've reached their
  // expiration time. If so, we'll assume the update is being starved and mark
  // it as expired to force it to finish.

  var lanes = pendingLanes;

  while (lanes > 0) {
    var index = pickArbitraryLaneIndex(lanes);
    var lane = 1 << index;
    var expirationTime = expirationTimes[index];

    if (expirationTime === NoTimestamp) {
      // Found a pending lane with no expiration time. If it's not suspended, or
      // if it's pinged, assume it's CPU-bound. Compute a new expiration time
      // using the current time.
      if ((lane & suspendedLanes) === NoLanes || (lane & pingedLanes) !== NoLanes) {
        // Assumes timestamps are monotonically increasing.
        expirationTimes[index] = computeExpirationTime(lane, currentTime);
      }
    } else if (expirationTime <= currentTime) {
      // This lane expired
      root.expiredLanes |= lane;
    }

    lanes &= ~lane;
  }
} // This returns the highest priority pending lanes regardless of whether they
function getLanesToRetrySynchronouslyOnError(root) {
  var everythingButOffscreen = root.pendingLanes & ~OffscreenLane;

  if (everythingButOffscreen !== NoLanes) {
    return everythingButOffscreen;
  }

  if (everythingButOffscreen & OffscreenLane) {
    return OffscreenLane;
  }

  return NoLanes;
}
function returnNextLanesPriority() {
  return return_highestLanePriority;
}
function includesNonIdleWork(lanes) {
  return (lanes & NonIdleLanes) !== NoLanes;
}
function includesOnlyRetries(lanes) {
  return (lanes & RetryLanes) === lanes;
}
function includesOnlyTransitions(lanes) {
  return (lanes & TransitionLanes) === lanes;
} // To ensure consistency across multiple updates in the same event, this should
// be a pure function, so that it always returns the same lane for given inputs.

function findUpdateLane(lanePriority, wipLanes) {
  switch (lanePriority) {
    case NoLanePriority:
      break;

    case SyncLanePriority:
      return SyncLane;

    case SyncBatchedLanePriority:
      return SyncBatchedLane;

    case InputDiscreteLanePriority:
      {
        var _lane = pickArbitraryLane(InputDiscreteLanes & ~wipLanes);

        if (_lane === NoLane) {
          // Shift to the next priority level
          return findUpdateLane(InputContinuousLanePriority, wipLanes);
        }

        return _lane;
      }

    case InputContinuousLanePriority:
      {
        var _lane2 = pickArbitraryLane(InputContinuousLanes & ~wipLanes);

        if (_lane2 === NoLane) {
          // Shift to the next priority level
          return findUpdateLane(DefaultLanePriority, wipLanes);
        }

        return _lane2;
      }

    case DefaultLanePriority:
      {
        var _lane3 = pickArbitraryLane(DefaultLanes & ~wipLanes);

        if (_lane3 === NoLane) {
          // If all the default lanes are already being worked on, look for a
          // lane in the transition range.
          _lane3 = pickArbitraryLane(TransitionLanes & ~wipLanes);

          if (_lane3 === NoLane) {
            // All the transition lanes are taken, too. This should be very
            // rare, but as a last resort, pick a default lane. This will have
            // the effect of interrupting the current work-in-progress render.
            _lane3 = pickArbitraryLane(DefaultLanes);
          }
        }

        return _lane3;
      }

    case TransitionPriority: // Should be handled by findTransitionLane instead

    case RetryLanePriority:
      // Should be handled by findRetryLane instead
      break;

    case IdleLanePriority:
      var lane = pickArbitraryLane(IdleLanes & ~wipLanes);

      if (lane === NoLane) {
        lane = pickArbitraryLane(IdleLanes);
      }

      return lane;
  }

  {
    {
      throw Error( "Invalid update priority: " + lanePriority + ". This is a bug in React." );
    }
  }
} // To ensure consistency across multiple updates in the same event, this should
// be pure function, so that it always returns the same lane for given inputs.

function findTransitionLane(wipLanes, pendingLanes) {
  // First look for lanes that are completely unclaimed, i.e. have no
  // pending work.
  var lane = pickArbitraryLane(TransitionLanes & ~pendingLanes);

  if (lane === NoLane) {
    // If all lanes have pending work, look for a lane that isn't currently
    // being worked on.
    lane = pickArbitraryLane(TransitionLanes & ~wipLanes);

    if (lane === NoLane) {
      // If everything is being worked on, pick any lane. This has the
      // effect of interrupting the current work-in-progress.
      lane = pickArbitraryLane(TransitionLanes);
    }
  }

  return lane;
} // To ensure consistency across multiple updates in the same event, this should
// be pure function, so that it always returns the same lane for given inputs.

function findRetryLane(wipLanes) {
  // This is a fork of `findUpdateLane` designed specifically for Suspense
  // "retries" — a special update that attempts to flip a Suspense boundary
  // from its placeholder state to its primary/resolved state.
  var lane = pickArbitraryLane(RetryLanes & ~wipLanes);

  if (lane === NoLane) {
    lane = pickArbitraryLane(RetryLanes);
  }

  return lane;
}

function getHighestPriorityLane(lanes) {
  return lanes & -lanes;
}

function getLowestPriorityLane(lanes) {
  // This finds the most significant non-zero bit.
  var index = 31 - clz32(lanes);
  return index < 0 ? NoLanes : 1 << index;
}

function getEqualOrHigherPriorityLanes(lanes) {
  return (getLowestPriorityLane(lanes) << 1) - 1;
}

function pickArbitraryLane(lanes) {
  // This wrapper function gets inlined. Only exists so to communicate that it
  // doesn't matter which bit is selected; you can pick any bit without
  // affecting the algorithms where its used. Here I'm using
  // getHighestPriorityLane because it requires the fewest operations.
  return getHighestPriorityLane(lanes);
}

function pickArbitraryLaneIndex(lanes) {
  return 31 - clz32(lanes);
}

function laneToIndex(lane) {
  return pickArbitraryLaneIndex(lane);
}

function includesSomeLane(a, b) {
  return (a & b) !== NoLanes;
}
function isSubsetOfLanes(set, subset) {
  return (set & subset) === subset;
}
function mergeLanes(a, b) {
  return a | b;
}
function removeLanes(set, subset) {
  return set & ~subset;
} // Seems redundant, but it changes the type from a single lane (used for
// updates) to a group of lanes (used for flushing work).

function laneToLanes(lane) {
  return lane;
}
function higherPriorityLane(a, b) {
  // This works because the bit ranges decrease in priority as you go left.
  return a !== NoLane && a < b ? a : b;
}
function createLaneMap(initial) {
  // Intentionally pushing one by one.
  // https://v8.dev/blog/elements-kinds#avoid-creating-holes
  var laneMap = [];

  for (var i = 0; i < TotalLanes; i++) {
    laneMap.push(initial);
  }

  return laneMap;
}
function markRootUpdated(root, updateLane, eventTime) {
  root.pendingLanes |= updateLane; // TODO: Theoretically, any update to any lane can unblock any other lane. But
  // it's not practical to try every single possible combination. We need a
  // heuristic to decide which lanes to attempt to render, and in which batches.
  // For now, we use the same heuristic as in the old ExpirationTimes model:
  // retry any lane at equal or lower priority, but don't try updates at higher
  // priority without also including the lower priority updates. This works well
  // when considering updates across different priority levels, but isn't
  // sufficient for updates within the same priority, since we want to treat
  // those updates as parallel.
  // Unsuspend any update at equal or lower priority.

  var higherPriorityLanes = updateLane - 1; // Turns 0b1000 into 0b0111

  root.suspendedLanes &= higherPriorityLanes;
  root.pingedLanes &= higherPriorityLanes;
  var eventTimes = root.eventTimes;
  var index = laneToIndex(updateLane); // We can always overwrite an existing timestamp because we prefer the most
  // recent event, and we assume time is monotonically increasing.

  eventTimes[index] = eventTime;
}
function markRootSuspended(root, suspendedLanes) {
  root.suspendedLanes |= suspendedLanes;
  root.pingedLanes &= ~suspendedLanes; // The suspended lanes are no longer CPU-bound. Clear their expiration times.

  var expirationTimes = root.expirationTimes;
  var lanes = suspendedLanes;

  while (lanes > 0) {
    var index = pickArbitraryLaneIndex(lanes);
    var lane = 1 << index;
    expirationTimes[index] = NoTimestamp;
    lanes &= ~lane;
  }
}
function markRootPinged(root, pingedLanes, eventTime) {
  root.pingedLanes |= root.suspendedLanes & pingedLanes;
}
function markDiscreteUpdatesExpired(root) {
  root.expiredLanes |= InputDiscreteLanes & root.pendingLanes;
}
function hasDiscreteLanes(lanes) {
  return (lanes & InputDiscreteLanes) !== NoLanes;
}
function markRootMutableRead(root, updateLane) {
  root.mutableReadLanes |= updateLane & root.pendingLanes;
}
function markRootFinished(root, remainingLanes) {
  var noLongerPendingLanes = root.pendingLanes & ~remainingLanes;
  root.pendingLanes = remainingLanes; // Let's try everything again

  root.suspendedLanes = 0;
  root.pingedLanes = 0;
  root.expiredLanes &= remainingLanes;
  root.mutableReadLanes &= remainingLanes;
  root.entangledLanes &= remainingLanes;
  var entanglements = root.entanglements;
  var eventTimes = root.eventTimes;
  var expirationTimes = root.expirationTimes; // Clear the lanes that no longer have pending work

  var lanes = noLongerPendingLanes;

  while (lanes > 0) {
    var index = pickArbitraryLaneIndex(lanes);
    var lane = 1 << index;
    entanglements[index] = NoLanes;
    eventTimes[index] = NoTimestamp;
    expirationTimes[index] = NoTimestamp;
    lanes &= ~lane;
  }
}
function markRootEntangled(root, entangledLanes) {
  root.entangledLanes |= entangledLanes;
  var entanglements = root.entanglements;
  var lanes = entangledLanes;

  while (lanes > 0) {
    var index = pickArbitraryLaneIndex(lanes);
    var lane = 1 << index;
    entanglements[index] |= entangledLanes;
    lanes &= ~lane;
  }
}
var clz32 = Math.clz32 ? Math.clz32 : clz32Fallback; // Count leading zeros. Only used on lanes, so assume input is an integer.
// Based on:
// https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Math/clz32

var log = Math.log;
var LN2 = Math.LN2;

function clz32Fallback(lanes) {
  if (lanes === 0) {
    return 32;
  }

  return 31 - (log(lanes) / LN2 | 0) | 0;
}

// Intentionally not named imports because Rollup would use dynamic dispatch for
var UserBlockingPriority$1 = Scheduler.unstable_UserBlockingPriority,
    runWithPriority = Scheduler.unstable_runWithPriority; // TODO: can we stop exporting these?

var _enabled = true; // This is exported in FB builds for use by legacy FB layer infra.
// We'd like to remove this but it's not clear if this is safe.

function setEnabled(enabled) {
  _enabled = !!enabled;
}
function isEnabled() {
  return _enabled;
}
function createEventListenerWrapperWithPriority(targetContainer, domEventName, eventSystemFlags) {
  var eventPriority = getEventPriorityForPluginSystem(domEventName);
  var listenerWrapper;

  switch (eventPriority) {
    case DiscreteEvent:
      listenerWrapper = dispatchDiscreteEvent;
      break;

    case UserBlockingEvent:
      listenerWrapper = dispatchUserBlockingUpdate;
      break;

    case ContinuousEvent:
    default:
      listenerWrapper = dispatchEvent;
      break;
  }

  return listenerWrapper.bind(null, domEventName, eventSystemFlags, targetContainer);
}

function dispatchDiscreteEvent(domEventName, eventSystemFlags, container, nativeEvent) {
  {
    flushDiscreteUpdatesIfNeeded(nativeEvent.timeStamp);
  }

  discreteUpdates(dispatchEvent, domEventName, eventSystemFlags, container, nativeEvent);
}

function dispatchUserBlockingUpdate(domEventName, eventSystemFlags, container, nativeEvent) {
  {
    runWithPriority(UserBlockingPriority$1, dispatchEvent.bind(null, domEventName, eventSystemFlags, container, nativeEvent));
  }
}

function dispatchEvent(domEventName, eventSystemFlags, targetContainer, nativeEvent) {
  if (!_enabled) {
    return;
  }

  var allowReplay = true;

  {
    // TODO: replaying capture phase events is currently broken
    // because we used to do it during top-level native bubble handlers
    // but now we use different bubble and capture handlers.
    // In eager mode, we attach capture listeners early, so we need
    // to filter them out until we fix the logic to handle them correctly.
    // This could've been outside the flag but I put it inside to reduce risk.
    allowReplay = (eventSystemFlags & IS_CAPTURE_PHASE) === 0;
  }

  if (allowReplay && hasQueuedDiscreteEvents() && isReplayableDiscreteEvent(domEventName)) {
    // If we already have a queue of discrete events, and this is another discrete
    // event, then we can't dispatch it regardless of its target, since they
    // need to dispatch in order.
    queueDiscreteEvent(null, // Flags that we're not actually blocked on anything as far as we know.
    domEventName, eventSystemFlags, targetContainer, nativeEvent);
    return;
  }

  var blockedOn = attemptToDispatchEvent(domEventName, eventSystemFlags, targetContainer, nativeEvent);

  if (blockedOn === null) {
    // We successfully dispatched this event.
    if (allowReplay) {
      clearIfContinuousEvent(domEventName, nativeEvent);
    }

    return;
  }

  if (allowReplay) {
    if (isReplayableDiscreteEvent(domEventName)) {
      // This this to be replayed later once the target is available.
      queueDiscreteEvent(blockedOn, domEventName, eventSystemFlags, targetContainer, nativeEvent);
      return;
    }

    if (queueIfContinuousEvent(blockedOn, domEventName, eventSystemFlags, targetContainer, nativeEvent)) {
      return;
    } // We need to clear only if we didn't queue because
    // queueing is accummulative.


    clearIfContinuousEvent(domEventName, nativeEvent);
  } // This is not replayable so we'll invoke it but without a target,
  // in case the event system needs to trace it.


  dispatchEventForPluginEventSystem(domEventName, eventSystemFlags, nativeEvent, null, targetContainer);
} // Attempt dispatching an event. Returns a SuspenseInstance or Container if it's blocked.

function attemptToDispatchEvent(domEventName, eventSystemFlags, targetContainer, nativeEvent) {
  // TODO: Warn if _enabled is false.
  var nativeEventTarget = getEventTarget(nativeEvent);
  var targetInst = getClosestInstanceFromNode(nativeEventTarget);

  if (targetInst !== null) {
    var nearestMounted = getNearestMountedFiber(targetInst);

    if (nearestMounted === null) {
      // This tree has been unmounted already. Dispatch without a target.
      targetInst = null;
    } else {
      var tag = nearestMounted.tag;

      if (tag === SuspenseComponent) {
        var instance = getSuspenseInstanceFromFiber(nearestMounted);

        if (instance !== null) {
          // Queue the event to be replayed later. Abort dispatching since we
          // don't want this event dispatched twice through the event system.
          // TODO: If this is the first discrete event in the queue. Schedule an increased
          // priority for this boundary.
          return instance;
        } // This shouldn't happen, something went wrong but to avoid blocking
        // the whole system, dispatch the event without a target.
        // TODO: Warn.


        targetInst = null;
      } else if (tag === HostRoot) {
        var root = nearestMounted.stateNode;

        if (root.hydrate) {
          // If this happens during a replay something went wrong and it might block
          // the whole system.
          return getContainerFromFiber(nearestMounted);
        }

        targetInst = null;
      } else if (nearestMounted !== targetInst) {
        // If we get an event (ex: img onload) before committing that
        // component's mount, ignore it for now (that is, treat it as if it was an
        // event on a non-React tree). We might also consider queueing events and
        // dispatching them after the mount.
        targetInst = null;
      }
    }
  }

  dispatchEventForPluginEventSystem(domEventName, eventSystemFlags, nativeEvent, targetInst, targetContainer); // We're not blocked on anything.

  return null;
}

function addEventBubbleListener(target, eventType, listener) {
  target.addEventListener(eventType, listener, false);
  return listener;
}
function addEventCaptureListener(target, eventType, listener) {
  target.addEventListener(eventType, listener, true);
  return listener;
}
function addEventCaptureListenerWithPassiveFlag(target, eventType, listener, passive) {
  target.addEventListener(eventType, listener, {
    capture: true,
    passive: passive
  });
  return listener;
}
function addEventBubbleListenerWithPassiveFlag(target, eventType, listener, passive) {
  target.addEventListener(eventType, listener, {
    passive: passive
  });
  return listener;
}

/**
 * These variables store information about text content of a target node,
 * allowing comparison of content before and after a given event.
 *
 * Identify the node where selection currently begins, then observe
 * both its text content and its current position in the DOM. Since the
 * browser may natively replace the target node during composition, we can
 * use its position to find its replacement.
 *
 *
 */
var root = null;
var startText = null;
var fallbackText = null;
function initialize(nativeEventTarget) {
  root = nativeEventTarget;
  startText = getText();
  return true;
}
function reset() {
  root = null;
  startText = null;
  fallbackText = null;
}
function getData() {
  if (fallbackText) {
    return fallbackText;
  }

  var start;
  var startValue = startText;
  var startLength = startValue.length;
  var end;
  var endValue = getText();
  var endLength = endValue.length;

  for (start = 0; start < startLength; start++) {
    if (startValue[start] !== endValue[start]) {
      break;
    }
  }

  var minEnd = startLength - start;

  for (end = 1; end <= minEnd; end++) {
    if (startValue[startLength - end] !== endValue[endLength - end]) {
      break;
    }
  }

  var sliceTail = end > 1 ? 1 - end : undefined;
  fallbackText = endValue.slice(start, sliceTail);
  return fallbackText;
}
function getText() {
  if ('value' in root) {
    return root.value;
  }

  return root.textContent;
}

/**
 * `charCode` represents the actual "character code" and is safe to use with
 * `String.fromCharCode`. As such, only keys that correspond to printable
 * characters produce a valid `charCode`, the only exception to this is Enter.
 * The Tab-key is considered non-printable and does not have a `charCode`,
 * presumably because it does not produce a tab-character in browsers.
 *
 * @param {object} nativeEvent Native browser event.
 * @return {number} Normalized `charCode` property.
 */
function getEventCharCode(nativeEvent) {
  var charCode;
  var keyCode = nativeEvent.keyCode;

  if ('charCode' in nativeEvent) {
    charCode = nativeEvent.charCode; // FF does not set `charCode` for the Enter-key, check against `keyCode`.

    if (charCode === 0 && keyCode === 13) {
      charCode = 13;
    }
  } else {
    // IE8 does not implement `charCode`, but `keyCode` has the correct value.
    charCode = keyCode;
  } // IE and Edge (on Windows) and Chrome / Safari (on Windows and Linux)
  // report Enter as charCode 10 when ctrl is pressed.


  if (charCode === 10) {
    charCode = 13;
  } // Some non-printable keys are reported in `charCode`/`keyCode`, discard them.
  // Must not discard the (non-)printable Enter-key.


  if (charCode >= 32 || charCode === 13) {
    return charCode;
  }

  return 0;
}

function functionThatReturnsTrue() {
  return true;
}

function functionThatReturnsFalse() {
  return false;
} // This is intentionally a factory so that we have different returned constructors.
// If we had a single constructor, it would be megamorphic and engines would deopt.


function createSyntheticEvent(Interface) {
  /**
   * Synthetic events are dispatched by event plugins, typically in response to a
   * top-level event delegation handler.
   *
   * These systems should generally use pooling to reduce the frequency of garbage
   * collection. The system should check `isPersistent` to determine whether the
   * event should be released into the pool after being dispatched. Users that
   * need a persisted event should invoke `persist`.
   *
   * Synthetic events (and subclasses) implement the DOM Level 3 Events API by
   * normalizing browser quirks. Subclasses do not necessarily have to implement a
   * DOM interface; custom application-specific events can also subclass this.
   */
  function SyntheticBaseEvent(reactName, reactEventType, targetInst, nativeEvent, nativeEventTarget) {
    this._reactName = reactName;
    this._targetInst = targetInst;
    this.type = reactEventType;
    this.nativeEvent = nativeEvent;
    this.target = nativeEventTarget;
    this.currentTarget = null;

    for (var _propName in Interface) {
      if (!Interface.hasOwnProperty(_propName)) {
        continue;
      }

      var normalize = Interface[_propName];

      if (normalize) {
        this[_propName] = normalize(nativeEvent);
      } else {
        this[_propName] = nativeEvent[_propName];
      }
    }

    var defaultPrevented = nativeEvent.defaultPrevented != null ? nativeEvent.defaultPrevented : nativeEvent.returnValue === false;

    if (defaultPrevented) {
      this.isDefaultPrevented = functionThatReturnsTrue;
    } else {
      this.isDefaultPrevented = functionThatReturnsFalse;
    }

    this.isPropagationStopped = functionThatReturnsFalse;
    return this;
  }

  _assign(SyntheticBaseEvent.prototype, {
    preventDefault: function () {
      this.defaultPrevented = true;
      var event = this.nativeEvent;

      if (!event) {
        return;
      }

      if (event.preventDefault) {
        event.preventDefault(); // $FlowFixMe - flow is not aware of `unknown` in IE
      } else if (typeof event.returnValue !== 'unknown') {
        event.returnValue = false;
      }

      this.isDefaultPrevented = functionThatReturnsTrue;
    },
    stopPropagation: function () {
      var event = this.nativeEvent;

      if (!event) {
        return;
      }

      if (event.stopPropagation) {
        event.stopPropagation(); // $FlowFixMe - flow is not aware of `unknown` in IE
      } else if (typeof event.cancelBubble !== 'unknown') {
        // The ChangeEventPlugin registers a "propertychange" event for
        // IE. This event does not support bubbling or cancelling, and
        // any references to cancelBubble throw "Member not found".  A
        // typeof check of "unknown" circumvents this issue (and is also
        // IE specific).
        event.cancelBubble = true;
      }

      this.isPropagationStopped = functionThatReturnsTrue;
    },

    /**
     * We release all dispatched `SyntheticEvent`s after each event loop, adding
     * them back into the pool. This allows a way to hold onto a reference that
     * won't be added back into the pool.
     */
    persist: function () {// Modern event system doesn't use pooling.
    },

    /**
     * Checks if this event should be released back into the pool.
     *
     * @return {boolean} True if this should not be released, false otherwise.
     */
    isPersistent: functionThatReturnsTrue
  });

  return SyntheticBaseEvent;
}
/**
 * @interface Event
 * @see http://www.w3.org/TR/DOM-Level-3-Events/
 */


var EventInterface = {
  eventPhase: 0,
  bubbles: 0,
  cancelable: 0,
  timeStamp: function (event) {
    return event.timeStamp || Date.now();
  },
  defaultPrevented: 0,
  isTrusted: 0
};
var SyntheticEvent = createSyntheticEvent(EventInterface);

var UIEventInterface = _assign({}, EventInterface, {
  view: 0,
  detail: 0
});

var SyntheticUIEvent = createSyntheticEvent(UIEventInterface);
var lastMovementX;
var lastMovementY;
var lastMouseEvent;

function updateMouseMovementPolyfillState(event) {
  if (event !== lastMouseEvent) {
    if (lastMouseEvent && event.type === 'mousemove') {
      lastMovementX = event.screenX - lastMouseEvent.screenX;
      lastMovementY = event.screenY - lastMouseEvent.screenY;
    } else {
      lastMovementX = 0;
      lastMovementY = 0;
    }

    lastMouseEvent = event;
  }
}
/**
 * @interface MouseEvent
 * @see http://www.w3.org/TR/DOM-Level-3-Events/
 */


var MouseEventInterface = _assign({}, UIEventInterface, {
  screenX: 0,
  screenY: 0,
  clientX: 0,
  clientY: 0,
  pageX: 0,
  pageY: 0,
  ctrlKey: 0,
  shiftKey: 0,
  altKey: 0,
  metaKey: 0,
  getModifierState: getEventModifierState,
  button: 0,
  buttons: 0,
  relatedTarget: function (event) {
    if (event.relatedTarget === undefined) return event.fromElement === event.srcElement ? event.toElement : event.fromElement;
    return event.relatedTarget;
  },
  movementX: function (event) {
    if ('movementX' in event) {
      return event.movementX;
    }

    updateMouseMovementPolyfillState(event);
    return lastMovementX;
  },
  movementY: function (event) {
    if ('movementY' in event) {
      return event.movementY;
    } // Don't need to call updateMouseMovementPolyfillState() here
    // because it's guaranteed to have already run when movementX
    // was copied.


    return lastMovementY;
  }
});

var SyntheticMouseEvent = createSyntheticEvent(MouseEventInterface);
/**
 * @interface DragEvent
 * @see http://www.w3.org/TR/DOM-Level-3-Events/
 */

var DragEventInterface = _assign({}, MouseEventInterface, {
  dataTransfer: 0
});

var SyntheticDragEvent = createSyntheticEvent(DragEventInterface);
/**
 * @interface FocusEvent
 * @see http://www.w3.org/TR/DOM-Level-3-Events/
 */

var FocusEventInterface = _assign({}, UIEventInterface, {
  relatedTarget: 0
});

var SyntheticFocusEvent = createSyntheticEvent(FocusEventInterface);
/**
 * @interface Event
 * @see http://www.w3.org/TR/css3-animations/#AnimationEvent-interface
 * @see https://developer.mozilla.org/en-US/docs/Web/API/AnimationEvent
 */

var AnimationEventInterface = _assign({}, EventInterface, {
  animationName: 0,
  elapsedTime: 0,
  pseudoElement: 0
});

var SyntheticAnimationEvent = createSyntheticEvent(AnimationEventInterface);
/**
 * @interface Event
 * @see http://www.w3.org/TR/clipboard-apis/
 */

var ClipboardEventInterface = _assign({}, EventInterface, {
  clipboardData: function (event) {
    return 'clipboardData' in event ? event.clipboardData : window.clipboardData;
  }
});

var SyntheticClipboardEvent = createSyntheticEvent(ClipboardEventInterface);
/**
 * @interface Event
 * @see http://www.w3.org/TR/DOM-Level-3-Events/#events-compositionevents
 */

var CompositionEventInterface = _assign({}, EventInterface, {
  data: 0
});

var SyntheticCompositionEvent = createSyntheticEvent(CompositionEventInterface);
/**
 * @interface Event
 * @see http://www.w3.org/TR/2013/WD-DOM-Level-3-Events-20131105
 *      /#events-inputevents
 */
// Happens to share the same list for now.

var SyntheticInputEvent = SyntheticCompositionEvent;
/**
 * Normalization of deprecated HTML5 `key` values
 * @see https://developer.mozilla.org/en-US/docs/Web/API/KeyboardEvent#Key_names
 */

var normalizeKey = {
  Esc: 'Escape',
  Spacebar: ' ',
  Left: 'ArrowLeft',
  Up: 'ArrowUp',
  Right: 'ArrowRight',
  Down: 'ArrowDown',
  Del: 'Delete',
  Win: 'OS',
  Menu: 'ContextMenu',
  Apps: 'ContextMenu',
  Scroll: 'ScrollLock',
  MozPrintableKey: 'Unidentified'
};
/**
 * Translation from legacy `keyCode` to HTML5 `key`
 * Only special keys supported, all others depend on keyboard layout or browser
 * @see https://developer.mozilla.org/en-US/docs/Web/API/KeyboardEvent#Key_names
 */

var translateToKey = {
  '8': 'Backspace',
  '9': 'Tab',
  '12': 'Clear',
  '13': 'Enter',
  '16': 'Shift',
  '17': 'Control',
  '18': 'Alt',
  '19': 'Pause',
  '20': 'CapsLock',
  '27': 'Escape',
  '32': ' ',
  '33': 'PageUp',
  '34': 'PageDown',
  '35': 'End',
  '36': 'Home',
  '37': 'ArrowLeft',
  '38': 'ArrowUp',
  '39': 'ArrowRight',
  '40': 'ArrowDown',
  '45': 'Insert',
  '46': 'Delete',
  '112': 'F1',
  '113': 'F2',
  '114': 'F3',
  '115': 'F4',
  '116': 'F5',
  '117': 'F6',
  '118': 'F7',
  '119': 'F8',
  '120': 'F9',
  '121': 'F10',
  '122': 'F11',
  '123': 'F12',
  '144': 'NumLock',
  '145': 'ScrollLock',
  '224': 'Meta'
};
/**
 * @param {object} nativeEvent Native browser event.
 * @return {string} Normalized `key` property.
 */

function getEventKey(nativeEvent) {
  if (nativeEvent.key) {
    // Normalize inconsistent values reported by browsers due to
    // implementations of a working draft specification.
    // FireFox implements `key` but returns `MozPrintableKey` for all
    // printable characters (normalized to `Unidentified`), ignore it.
    var key = normalizeKey[nativeEvent.key] || nativeEvent.key;

    if (key !== 'Unidentified') {
      return key;
    }
  } // Browser does not implement `key`, polyfill as much of it as we can.


  if (nativeEvent.type === 'keypress') {
    var charCode = getEventCharCode(nativeEvent); // The enter-key is technically both printable and non-printable and can
    // thus be captured by `keypress`, no other non-printable key should.

    return charCode === 13 ? 'Enter' : String.fromCharCode(charCode);
  }

  if (nativeEvent.type === 'keydown' || nativeEvent.type === 'keyup') {
    // While user keyboard layout determines the actual meaning of each
    // `keyCode` value, almost all function keys have a universal value.
    return translateToKey[nativeEvent.keyCode] || 'Unidentified';
  }

  return '';
}
/**
 * Translation from modifier key to the associated property in the event.
 * @see http://www.w3.org/TR/DOM-Level-3-Events/#keys-Modifiers
 */


var modifierKeyToProp = {
  Alt: 'altKey',
  Control: 'ctrlKey',
  Meta: 'metaKey',
  Shift: 'shiftKey'
}; // Older browsers (Safari <= 10, iOS Safari <= 10.2) do not support
// getModifierState. If getModifierState is not supported, we map it to a set of
// modifier keys exposed by the event. In this case, Lock-keys are not supported.

function modifierStateGetter(keyArg) {
  var syntheticEvent = this;
  var nativeEvent = syntheticEvent.nativeEvent;

  if (nativeEvent.getModifierState) {
    return nativeEvent.getModifierState(keyArg);
  }

  var keyProp = modifierKeyToProp[keyArg];
  return keyProp ? !!nativeEvent[keyProp] : false;
}

function getEventModifierState(nativeEvent) {
  return modifierStateGetter;
}
/**
 * @interface KeyboardEvent
 * @see http://www.w3.org/TR/DOM-Level-3-Events/
 */


var KeyboardEventInterface = _assign({}, UIEventInterface, {
  key: getEventKey,
  code: 0,
  location: 0,
  ctrlKey: 0,
  shiftKey: 0,
  altKey: 0,
  metaKey: 0,
  repeat: 0,
  locale: 0,
  getModifierState: getEventModifierState,
  // Legacy Interface
  charCode: function (event) {
    // `charCode` is the result of a KeyPress event and represents the value of
    // the actual printable character.
    // KeyPress is deprecated, but its replacement is not yet final and not
    // implemented in any major browser. Only KeyPress has charCode.
    if (event.type === 'keypress') {
      return getEventCharCode(event);
    }

    return 0;
  },
  keyCode: function (event) {
    // `keyCode` is the result of a KeyDown/Up event and represents the value of
    // physical keyboard key.
    // The actual meaning of the value depends on the users' keyboard layout
    // which cannot be detected. Assuming that it is a US keyboard layout
    // provides a surprisingly accurate mapping for US and European users.
    // Due to this, it is left to the user to implement at this time.
    if (event.type === 'keydown' || event.type === 'keyup') {
      return event.keyCode;
    }

    return 0;
  },
  which: function (event) {
    // `which` is an alias for either `keyCode` or `charCode` depending on the
    // type of the event.
    if (event.type === 'keypress') {
      return getEventCharCode(event);
    }

    if (event.type === 'keydown' || event.type === 'keyup') {
      return event.keyCode;
    }

    return 0;
  }
});

var SyntheticKeyboardEvent = createSyntheticEvent(KeyboardEventInterface);
/**
 * @interface PointerEvent
 * @see http://www.w3.org/TR/pointerevents/
 */

var PointerEventInterface = _assign({}, MouseEventInterface, {
  pointerId: 0,
  width: 0,
  height: 0,
  pressure: 0,
  tangentialPressure: 0,
  tiltX: 0,
  tiltY: 0,
  twist: 0,
  pointerType: 0,
  isPrimary: 0
});

var SyntheticPointerEvent = createSyntheticEvent(PointerEventInterface);
/**
 * @interface TouchEvent
 * @see http://www.w3.org/TR/touch-events/
 */

var TouchEventInterface = _assign({}, UIEventInterface, {
  touches: 0,
  targetTouches: 0,
  changedTouches: 0,
  altKey: 0,
  metaKey: 0,
  ctrlKey: 0,
  shiftKey: 0,
  getModifierState: getEventModifierState
});

var SyntheticTouchEvent = createSyntheticEvent(TouchEventInterface);
/**
 * @interface Event
 * @see http://www.w3.org/TR/2009/WD-css3-transitions-20090320/#transition-events-
 * @see https://developer.mozilla.org/en-US/docs/Web/API/TransitionEvent
 */

var TransitionEventInterface = _assign({}, EventInterface, {
  propertyName: 0,
  elapsedTime: 0,
  pseudoElement: 0
});

var SyntheticTransitionEvent = createSyntheticEvent(TransitionEventInterface);
/**
 * @interface WheelEvent
 * @see http://www.w3.org/TR/DOM-Level-3-Events/
 */

var WheelEventInterface = _assign({}, MouseEventInterface, {
  deltaX: function (event) {
    return 'deltaX' in event ? event.deltaX : // Fallback to `wheelDeltaX` for Webkit and normalize (right is positive).
    'wheelDeltaX' in event ? -event.wheelDeltaX : 0;
  },
  deltaY: function (event) {
    return 'deltaY' in event ? event.deltaY : // Fallback to `wheelDeltaY` for Webkit and normalize (down is positive).
    'wheelDeltaY' in event ? -event.wheelDeltaY : // Fallback to `wheelDelta` for IE<9 and normalize (down is positive).
    'wheelDelta' in event ? -event.wheelDelta : 0;
  },
  deltaZ: 0,
  // Browsers without "deltaMode" is reporting in raw wheel delta where one
  // notch on the scroll is always +/- 120, roughly equivalent to pixels.
  // A good approximation of DOM_DELTA_LINE (1) is 5% of viewport size or
  // ~40 pixels, for DOM_DELTA_SCREEN (2) it is 87.5% of viewport size.
  deltaMode: 0
});

var SyntheticWheelEvent = createSyntheticEvent(WheelEventInterface);

var END_KEYCODES = [9, 13, 27, 32]; // Tab, Return, Esc, Space

var START_KEYCODE = 229;
var canUseCompositionEvent = canUseDOM && 'CompositionEvent' in window;
var documentMode = null;

if (canUseDOM && 'documentMode' in document) {
  documentMode = document.documentMode;
} // Webkit offers a very useful `textInput` event that can be used to
// directly represent `beforeInput`. The IE `textinput` event is not as
// useful, so we don't use it.


var canUseTextInputEvent = canUseDOM && 'TextEvent' in window && !documentMode; // In IE9+, we have access to composition events, but the data supplied
// by the native compositionend event may be incorrect. Japanese ideographic
// spaces, for instance (\u3000) are not recorded correctly.

var useFallbackCompositionData = canUseDOM && (!canUseCompositionEvent || documentMode && documentMode > 8 && documentMode <= 11);
var SPACEBAR_CODE = 32;
var SPACEBAR_CHAR = String.fromCharCode(SPACEBAR_CODE);

function registerEvents() {
  registerTwoPhaseEvent('onBeforeInput', ['compositionend', 'keypress', 'textInput', 'paste']);
  registerTwoPhaseEvent('onCompositionEnd', ['compositionend', 'focusout', 'keydown', 'keypress', 'keyup', 'mousedown']);
  registerTwoPhaseEvent('onCompositionStart', ['compositionstart', 'focusout', 'keydown', 'keypress', 'keyup', 'mousedown']);
  registerTwoPhaseEvent('onCompositionUpdate', ['compositionupdate', 'focusout', 'keydown', 'keypress', 'keyup', 'mousedown']);
} // Track whether we've ever handled a keypress on the space key.


var hasSpaceKeypress = false;
/**
 * Return whether a native keypress event is assumed to be a command.
 * This is required because Firefox fires `keypress` events for key commands
 * (cut, copy, select-all, etc.) even though no character is inserted.
 */

function isKeypressCommand(nativeEvent) {
  return (nativeEvent.ctrlKey || nativeEvent.altKey || nativeEvent.metaKey) && // ctrlKey && altKey is equivalent to AltGr, and is not a command.
  !(nativeEvent.ctrlKey && nativeEvent.altKey);
}
/**
 * Translate native top level events into event types.
 */


function getCompositionEventType(domEventName) {
  switch (domEventName) {
    case 'compositionstart':
      return 'onCompositionStart';

    case 'compositionend':
      return 'onCompositionEnd';

    case 'compositionupdate':
      return 'onCompositionUpdate';
  }
}
/**
 * Does our fallback best-guess model think this event signifies that
 * composition has begun?
 */


function isFallbackCompositionStart(domEventName, nativeEvent) {
  return domEventName === 'keydown' && nativeEvent.keyCode === START_KEYCODE;
}
/**
 * Does our fallback mode think that this event is the end of composition?
 */


function isFallbackCompositionEnd(domEventName, nativeEvent) {
  switch (domEventName) {
    case 'keyup':
      // Command keys insert or clear IME input.
      return END_KEYCODES.indexOf(nativeEvent.keyCode) !== -1;

    case 'keydown':
      // Expect IME keyCode on each keydown. If we get any other
      // code we must have exited earlier.
      return nativeEvent.keyCode !== START_KEYCODE;

    case 'keypress':
    case 'mousedown':
    case 'focusout':
      // Events are not possible without cancelling IME.
      return true;

    default:
      return false;
  }
}
/**
 * Google Input Tools provides composition data via a CustomEvent,
 * with the `data` property populated in the `detail` object. If this
 * is available on the event object, use it. If not, this is a plain
 * composition event and we have nothing special to extract.
 *
 * @param {object} nativeEvent
 * @return {?string}
 */


function getDataFromCustomEvent(nativeEvent) {
  var detail = nativeEvent.detail;

  if (typeof detail === 'object' && 'data' in detail) {
    return detail.data;
  }

  return null;
}
/**
 * Check if a composition event was triggered by Korean IME.
 * Our fallback mode does not work well with IE's Korean IME,
 * so just use native composition events when Korean IME is used.
 * Although CompositionEvent.locale property is deprecated,
 * it is available in IE, where our fallback mode is enabled.
 *
 * @param {object} nativeEvent
 * @return {boolean}
 */


function isUsingKoreanIME(nativeEvent) {
  return nativeEvent.locale === 'ko';
} // Track the current IME composition status, if any.


var isComposing = false;
/**
 * @return {?object} A SyntheticCompositionEvent.
 */

function extractCompositionEvent(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget) {
  var eventType;
  var fallbackData;

  if (canUseCompositionEvent) {
    eventType = getCompositionEventType(domEventName);
  } else if (!isComposing) {
    if (isFallbackCompositionStart(domEventName, nativeEvent)) {
      eventType = 'onCompositionStart';
    }
  } else if (isFallbackCompositionEnd(domEventName, nativeEvent)) {
    eventType = 'onCompositionEnd';
  }

  if (!eventType) {
    return null;
  }

  if (useFallbackCompositionData && !isUsingKoreanIME(nativeEvent)) {
    // The current composition is stored statically and must not be
    // overwritten while composition continues.
    if (!isComposing && eventType === 'onCompositionStart') {
      isComposing = initialize(nativeEventTarget);
    } else if (eventType === 'onCompositionEnd') {
      if (isComposing) {
        fallbackData = getData();
      }
    }
  }

  var listeners = accumulateTwoPhaseListeners(targetInst, eventType);

  if (listeners.length > 0) {
    var event = new SyntheticCompositionEvent(eventType, domEventName, null, nativeEvent, nativeEventTarget);
    dispatchQueue.push({
      event: event,
      listeners: listeners
    });

    if (fallbackData) {
      // Inject data generated from fallback path into the synthetic event.
      // This matches the property of native CompositionEventInterface.
      event.data = fallbackData;
    } else {
      var customData = getDataFromCustomEvent(nativeEvent);

      if (customData !== null) {
        event.data = customData;
      }
    }
  }
}

function getNativeBeforeInputChars(domEventName, nativeEvent) {
  switch (domEventName) {
    case 'compositionend':
      return getDataFromCustomEvent(nativeEvent);

    case 'keypress':
      /**
       * If native `textInput` events are available, our goal is to make
       * use of them. However, there is a special case: the spacebar key.
       * In Webkit, preventing default on a spacebar `textInput` event
       * cancels character insertion, but it *also* causes the browser
       * to fall back to its default spacebar behavior of scrolling the
       * page.
       *
       * Tracking at:
       * https://code.google.com/p/chromium/issues/detail?id=355103
       *
       * To avoid this issue, use the keypress event as if no `textInput`
       * event is available.
       */
      var which = nativeEvent.which;

      if (which !== SPACEBAR_CODE) {
        return null;
      }

      hasSpaceKeypress = true;
      return SPACEBAR_CHAR;

    case 'textInput':
      // Record the characters to be added to the DOM.
      var chars = nativeEvent.data; // If it's a spacebar character, assume that we have already handled
      // it at the keypress level and bail immediately. Android Chrome
      // doesn't give us keycodes, so we need to ignore it.

      if (chars === SPACEBAR_CHAR && hasSpaceKeypress) {
        return null;
      }

      return chars;

    default:
      // For other native event types, do nothing.
      return null;
  }
}
/**
 * For browsers that do not provide the `textInput` event, extract the
 * appropriate string to use for SyntheticInputEvent.
 */


function getFallbackBeforeInputChars(domEventName, nativeEvent) {
  // If we are currently composing (IME) and using a fallback to do so,
  // try to extract the composed characters from the fallback object.
  // If composition event is available, we extract a string only at
  // compositionevent, otherwise extract it at fallback events.
  if (isComposing) {
    if (domEventName === 'compositionend' || !canUseCompositionEvent && isFallbackCompositionEnd(domEventName, nativeEvent)) {
      var chars = getData();
      reset();
      isComposing = false;
      return chars;
    }

    return null;
  }

  switch (domEventName) {
    case 'paste':
      // If a paste event occurs after a keypress, throw out the input
      // chars. Paste events should not lead to BeforeInput events.
      return null;

    case 'keypress':
      /**
       * As of v27, Firefox may fire keypress events even when no character
       * will be inserted. A few possibilities:
       *
       * - `which` is `0`. Arrow keys, Esc key, etc.
       *
       * - `which` is the pressed key code, but no char is available.
       *   Ex: 'AltGr + d` in Polish. There is no modified character for
       *   this key combination and no character is inserted into the
       *   document, but FF fires the keypress for char code `100` anyway.
       *   No `input` event will occur.
       *
       * - `which` is the pressed key code, but a command combination is
       *   being used. Ex: `Cmd+C`. No character is inserted, and no
       *   `input` event will occur.
       */
      if (!isKeypressCommand(nativeEvent)) {
        // IE fires the `keypress` event when a user types an emoji via
        // Touch keyboard of Windows.  In such a case, the `char` property
        // holds an emoji character like `\uD83D\uDE0A`.  Because its length
        // is 2, the property `which` does not represent an emoji correctly.
        // In such a case, we directly return the `char` property instead of
        // using `which`.
        if (nativeEvent.char && nativeEvent.char.length > 1) {
          return nativeEvent.char;
        } else if (nativeEvent.which) {
          return String.fromCharCode(nativeEvent.which);
        }
      }

      return null;

    case 'compositionend':
      return useFallbackCompositionData && !isUsingKoreanIME(nativeEvent) ? null : nativeEvent.data;

    default:
      return null;
  }
}
/**
 * Extract a SyntheticInputEvent for `beforeInput`, based on either native
 * `textInput` or fallback behavior.
 *
 * @return {?object} A SyntheticInputEvent.
 */


function extractBeforeInputEvent(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget) {
  var chars;

  if (canUseTextInputEvent) {
    chars = getNativeBeforeInputChars(domEventName, nativeEvent);
  } else {
    chars = getFallbackBeforeInputChars(domEventName, nativeEvent);
  } // If no characters are being inserted, no BeforeInput event should
  // be fired.


  if (!chars) {
    return null;
  }

  var listeners = accumulateTwoPhaseListeners(targetInst, 'onBeforeInput');

  if (listeners.length > 0) {
    var event = new SyntheticInputEvent('onBeforeInput', 'beforeinput', null, nativeEvent, nativeEventTarget);
    dispatchQueue.push({
      event: event,
      listeners: listeners
    });
    event.data = chars;
  }
}
/**
 * Create an `onBeforeInput` event to match
 * http://www.w3.org/TR/2013/WD-DOM-Level-3-Events-20131105/#events-inputevents.
 *
 * This event plugin is based on the native `textInput` event
 * available in Chrome, Safari, Opera, and IE. This event fires after
 * `onKeyPress` and `onCompositionEnd`, but before `onInput`.
 *
 * `beforeInput` is spec'd but not implemented in any browsers, and
 * the `input` event does not provide any useful information about what has
 * actually been added, contrary to the spec. Thus, `textInput` is the best
 * available event to identify the characters that have actually been inserted
 * into the target node.
 *
 * This plugin is also responsible for emitting `composition` events, thus
 * allowing us to share composition fallback code for both `beforeInput` and
 * `composition` event types.
 */


function extractEvents(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget, eventSystemFlags, targetContainer) {
  extractCompositionEvent(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget);
  extractBeforeInputEvent(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget);
}

/**
 * @see http://www.whatwg.org/specs/web-apps/current-work/multipage/the-input-element.html#input-type-attr-summary
 */
var supportedInputTypes = {
  color: true,
  date: true,
  datetime: true,
  'datetime-local': true,
  email: true,
  month: true,
  number: true,
  password: true,
  range: true,
  search: true,
  tel: true,
  text: true,
  time: true,
  url: true,
  week: true
};

function isTextInputElement(elem) {
  var nodeName = elem && elem.nodeName && elem.nodeName.toLowerCase();

  if (nodeName === 'input') {
    return !!supportedInputTypes[elem.type];
  }

  if (nodeName === 'textarea') {
    return true;
  }

  return false;
}

/**
 * Checks if an event is supported in the current execution environment.
 *
 * NOTE: This will not work correctly for non-generic events such as `change`,
 * `reset`, `load`, `error`, and `select`.
 *
 * Borrows from Modernizr.
 *
 * @param {string} eventNameSuffix Event name, e.g. "click".
 * @return {boolean} True if the event is supported.
 * @internal
 * @license Modernizr 3.0.0pre (Custom Build) | MIT
 */

function isEventSupported(eventNameSuffix) {
  if (!canUseDOM) {
    return false;
  }

  var eventName = 'on' + eventNameSuffix;
  var isSupported = (eventName in document);

  if (!isSupported) {
    var element = document.createElement('div');
    element.setAttribute(eventName, 'return;');
    isSupported = typeof element[eventName] === 'function';
  }

  return isSupported;
}

function registerEvents$1() {
  registerTwoPhaseEvent('onChange', ['change', 'click', 'focusin', 'focusout', 'input', 'keydown', 'keyup', 'selectionchange']);
}

function createAndAccumulateChangeEvent(dispatchQueue, inst, nativeEvent, target) {
  // Flag this event loop as needing state restore.
  enqueueStateRestore(target);
  var listeners = accumulateTwoPhaseListeners(inst, 'onChange');

  if (listeners.length > 0) {
    var event = new SyntheticEvent('onChange', 'change', null, nativeEvent, target);
    dispatchQueue.push({
      event: event,
      listeners: listeners
    });
  }
}
/**
 * For IE shims
 */


var activeElement = null;
var activeElementInst = null;
/**
 * SECTION: handle `change` event
 */

function shouldUseChangeEvent(elem) {
  var nodeName = elem.nodeName && elem.nodeName.toLowerCase();
  return nodeName === 'select' || nodeName === 'input' && elem.type === 'file';
}

function manualDispatchChangeEvent(nativeEvent) {
  var dispatchQueue = [];
  createAndAccumulateChangeEvent(dispatchQueue, activeElementInst, nativeEvent, getEventTarget(nativeEvent)); // If change and propertychange bubbled, we'd just bind to it like all the
  // other events and have it go through ReactBrowserEventEmitter. Since it
  // doesn't, we manually listen for the events and so we have to enqueue and
  // process the abstract event manually.
  //
  // Batching is necessary here in order to ensure that all event handlers run
  // before the next rerender (including event handlers attached to ancestor
  // elements instead of directly on the input). Without this, controlled
  // components don't work properly in conjunction with event bubbling because
  // the component is rerendered and the value reverted before all the event
  // handlers can run. See https://github.com/facebook/react/issues/708.

  batchedUpdates(runEventInBatch, dispatchQueue);
}

function runEventInBatch(dispatchQueue) {
  processDispatchQueue(dispatchQueue, 0);
}

function getInstIfValueChanged(targetInst) {
  var targetNode = getNodeFromInstance(targetInst);

  if (updateValueIfChanged(targetNode)) {
    return targetInst;
  }
}

function getTargetInstForChangeEvent(domEventName, targetInst) {
  if (domEventName === 'change') {
    return targetInst;
  }
}
/**
 * SECTION: handle `input` event
 */


var isInputEventSupported = false;

if (canUseDOM) {
  // IE9 claims to support the input event but fails to trigger it when
  // deleting text, so we ignore its input events.
  isInputEventSupported = isEventSupported('input') && (!document.documentMode || document.documentMode > 9);
}
/**
 * (For IE <=9) Starts tracking propertychange events on the passed-in element
 * and override the value property so that we can distinguish user events from
 * value changes in JS.
 */


function startWatchingForValueChange(target, targetInst) {
  activeElement = target;
  activeElementInst = targetInst;
  activeElement.attachEvent('onpropertychange', handlePropertyChange);
}
/**
 * (For IE <=9) Removes the event listeners from the currently-tracked element,
 * if any exists.
 */


function stopWatchingForValueChange() {
  if (!activeElement) {
    return;
  }

  activeElement.detachEvent('onpropertychange', handlePropertyChange);
  activeElement = null;
  activeElementInst = null;
}
/**
 * (For IE <=9) Handles a propertychange event, sending a `change` event if
 * the value of the active element has changed.
 */


function handlePropertyChange(nativeEvent) {
  if (nativeEvent.propertyName !== 'value') {
    return;
  }

  if (getInstIfValueChanged(activeElementInst)) {
    manualDispatchChangeEvent(nativeEvent);
  }
}

function handleEventsForInputEventPolyfill(domEventName, target, targetInst) {
  if (domEventName === 'focusin') {
    // In IE9, propertychange fires for most input events but is buggy and
    // doesn't fire when text is deleted, but conveniently, selectionchange
    // appears to fire in all of the remaining cases so we catch those and
    // forward the event if the value has changed
    // In either case, we don't want to call the event handler if the value
    // is changed from JS so we redefine a setter for `.value` that updates
    // our activeElementValue variable, allowing us to ignore those changes
    //
    // stopWatching() should be a noop here but we call it just in case we
    // missed a blur event somehow.
    stopWatchingForValueChange();
    startWatchingForValueChange(target, targetInst);
  } else if (domEventName === 'focusout') {
    stopWatchingForValueChange();
  }
} // For IE8 and IE9.


function getTargetInstForInputEventPolyfill(domEventName, targetInst) {
  if (domEventName === 'selectionchange' || domEventName === 'keyup' || domEventName === 'keydown') {
    // On the selectionchange event, the target is just document which isn't
    // helpful for us so just check activeElement instead.
    //
    // 99% of the time, keydown and keyup aren't necessary. IE8 fails to fire
    // propertychange on the first input event after setting `value` from a
    // script and fires only keydown, keypress, keyup. Catching keyup usually
    // gets it and catching keydown lets us fire an event for the first
    // keystroke if user does a key repeat (it'll be a little delayed: right
    // before the second keystroke). Other input methods (e.g., paste) seem to
    // fire selectionchange normally.
    return getInstIfValueChanged(activeElementInst);
  }
}
/**
 * SECTION: handle `click` event
 */


function shouldUseClickEvent(elem) {
  // Use the `click` event to detect changes to checkbox and radio inputs.
  // This approach works across all browsers, whereas `change` does not fire
  // until `blur` in IE8.
  var nodeName = elem.nodeName;
  return nodeName && nodeName.toLowerCase() === 'input' && (elem.type === 'checkbox' || elem.type === 'radio');
}

function getTargetInstForClickEvent(domEventName, targetInst) {
  if (domEventName === 'click') {
    return getInstIfValueChanged(targetInst);
  }
}

function getTargetInstForInputOrChangeEvent(domEventName, targetInst) {
  if (domEventName === 'input' || domEventName === 'change') {
    return getInstIfValueChanged(targetInst);
  }
}

function handleControlledInputBlur(node) {
  var state = node._wrapperState;

  if (!state || !state.controlled || node.type !== 'number') {
    return;
  }

  {
    // If controlled, assign the value attribute to the current value on blur
    setDefaultValue(node, 'number', node.value);
  }
}
/**
 * This plugin creates an `onChange` event that normalizes change events
 * across form elements. This event fires at a time when it's possible to
 * change the element's value without seeing a flicker.
 *
 * Supported elements are:
 * - input (see `isTextInputElement`)
 * - textarea
 * - select
 */


function extractEvents$1(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget, eventSystemFlags, targetContainer) {
  var targetNode = targetInst ? getNodeFromInstance(targetInst) : window;
  var getTargetInstFunc, handleEventFunc;

  if (shouldUseChangeEvent(targetNode)) {
    getTargetInstFunc = getTargetInstForChangeEvent;
  } else if (isTextInputElement(targetNode)) {
    if (isInputEventSupported) {
      getTargetInstFunc = getTargetInstForInputOrChangeEvent;
    } else {
      getTargetInstFunc = getTargetInstForInputEventPolyfill;
      handleEventFunc = handleEventsForInputEventPolyfill;
    }
  } else if (shouldUseClickEvent(targetNode)) {
    getTargetInstFunc = getTargetInstForClickEvent;
  }

  if (getTargetInstFunc) {
    var inst = getTargetInstFunc(domEventName, targetInst);

    if (inst) {
      createAndAccumulateChangeEvent(dispatchQueue, inst, nativeEvent, nativeEventTarget);
      return;
    }
  }

  if (handleEventFunc) {
    handleEventFunc(domEventName, targetNode, targetInst);
  } // When blurring, set the value attribute for number inputs


  if (domEventName === 'focusout') {
    handleControlledInputBlur(targetNode);
  }
}

function registerEvents$2() {
  registerDirectEvent('onMouseEnter', ['mouseout', 'mouseover']);
  registerDirectEvent('onMouseLeave', ['mouseout', 'mouseover']);
  registerDirectEvent('onPointerEnter', ['pointerout', 'pointerover']);
  registerDirectEvent('onPointerLeave', ['pointerout', 'pointerover']);
}
/**
 * For almost every interaction we care about, there will be both a top-level
 * `mouseover` and `mouseout` event that occurs. Only use `mouseout` so that
 * we do not extract duplicate events. However, moving the mouse into the
 * browser from outside will not fire a `mouseout` event. In this case, we use
 * the `mouseover` top-level event.
 */


function extractEvents$2(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget, eventSystemFlags, targetContainer) {
  var isOverEvent = domEventName === 'mouseover' || domEventName === 'pointerover';
  var isOutEvent = domEventName === 'mouseout' || domEventName === 'pointerout';

  if (isOverEvent && (eventSystemFlags & IS_REPLAYED) === 0) {
    // If this is an over event with a target, we might have already dispatched
    // the event in the out event of the other target. If this is replayed,
    // then it's because we couldn't dispatch against this target previously
    // so we have to do it now instead.
    var related = nativeEvent.relatedTarget || nativeEvent.fromElement;

    if (related) {
      // If the related node is managed by React, we can assume that we have
      // already dispatched the corresponding events during its mouseout.
      if (getClosestInstanceFromNode(related) || isContainerMarkedAsRoot(related)) {
        return;
      }
    }
  }

  if (!isOutEvent && !isOverEvent) {
    // Must not be a mouse or pointer in or out - ignoring.
    return;
  }

  var win; // TODO: why is this nullable in the types but we read from it?

  if (nativeEventTarget.window === nativeEventTarget) {
    // `nativeEventTarget` is probably a window object.
    win = nativeEventTarget;
  } else {
    // TODO: Figure out why `ownerDocument` is sometimes undefined in IE8.
    var doc = nativeEventTarget.ownerDocument;

    if (doc) {
      win = doc.defaultView || doc.parentWindow;
    } else {
      win = window;
    }
  }

  var from;
  var to;

  if (isOutEvent) {
    var _related = nativeEvent.relatedTarget || nativeEvent.toElement;

    from = targetInst;
    to = _related ? getClosestInstanceFromNode(_related) : null;

    if (to !== null) {
      var nearestMounted = getNearestMountedFiber(to);

      if (to !== nearestMounted || to.tag !== HostComponent && to.tag !== HostText) {
        to = null;
      }
    }
  } else {
    // Moving to a node from outside the window.
    from = null;
    to = targetInst;
  }

  if (from === to) {
    // Nothing pertains to our managed components.
    return;
  }

  var SyntheticEventCtor = SyntheticMouseEvent;
  var leaveEventType = 'onMouseLeave';
  var enterEventType = 'onMouseEnter';
  var eventTypePrefix = 'mouse';

  if (domEventName === 'pointerout' || domEventName === 'pointerover') {
    SyntheticEventCtor = SyntheticPointerEvent;
    leaveEventType = 'onPointerLeave';
    enterEventType = 'onPointerEnter';
    eventTypePrefix = 'pointer';
  }

  var fromNode = from == null ? win : getNodeFromInstance(from);
  var toNode = to == null ? win : getNodeFromInstance(to);
  var leave = new SyntheticEventCtor(leaveEventType, eventTypePrefix + 'leave', from, nativeEvent, nativeEventTarget);
  leave.target = fromNode;
  leave.relatedTarget = toNode;
  var enter = null; // We should only process this nativeEvent if we are processing
  // the first ancestor. Next time, we will ignore the event.

  var nativeTargetInst = getClosestInstanceFromNode(nativeEventTarget);

  if (nativeTargetInst === targetInst) {
    var enterEvent = new SyntheticEventCtor(enterEventType, eventTypePrefix + 'enter', to, nativeEvent, nativeEventTarget);
    enterEvent.target = toNode;
    enterEvent.relatedTarget = fromNode;
    enter = enterEvent;
  }

  accumulateEnterLeaveTwoPhaseListeners(dispatchQueue, leave, enter, from, to);
}

/**
 * inlined Object.is polyfill to avoid requiring consumers ship their own
 * https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/is
 */
function is(x, y) {
  return x === y && (x !== 0 || 1 / x === 1 / y) || x !== x && y !== y // eslint-disable-line no-self-compare
  ;
}

var objectIs = typeof Object.is === 'function' ? Object.is : is;

var hasOwnProperty$2 = Object.prototype.hasOwnProperty;
/**
 * Performs equality by iterating through keys on an object and returning false
 * when any key has values which are not strictly equal between the arguments.
 * Returns true when the values of all keys are strictly equal.
 */

function shallowEqual(objA, objB) {
  if (objectIs(objA, objB)) {
    return true;
  }

  if (typeof objA !== 'object' || objA === null || typeof objB !== 'object' || objB === null) {
    return false;
  }

  var keysA = Object.keys(objA);
  var keysB = Object.keys(objB);

  if (keysA.length !== keysB.length) {
    return false;
  } // Test for A's keys different from B.


  for (var i = 0; i < keysA.length; i++) {
    if (!hasOwnProperty$2.call(objB, keysA[i]) || !objectIs(objA[keysA[i]], objB[keysA[i]])) {
      return false;
    }
  }

  return true;
}

/**
 * Given any node return the first leaf node without children.
 *
 * @param {DOMElement|DOMTextNode} node
 * @return {DOMElement|DOMTextNode}
 */

function getLeafNode(node) {
  while (node && node.firstChild) {
    node = node.firstChild;
  }

  return node;
}
/**
 * Get the next sibling within a container. This will walk up the
 * DOM if a node's siblings have been exhausted.
 *
 * @param {DOMElement|DOMTextNode} node
 * @return {?DOMElement|DOMTextNode}
 */


function getSiblingNode(node) {
  while (node) {
    if (node.nextSibling) {
      return node.nextSibling;
    }

    node = node.parentNode;
  }
}
/**
 * Get object describing the nodes which contain characters at offset.
 *
 * @param {DOMElement|DOMTextNode} root
 * @param {number} offset
 * @return {?object}
 */


function getNodeForCharacterOffset(root, offset) {
  var node = getLeafNode(root);
  var nodeStart = 0;
  var nodeEnd = 0;

  while (node) {
    if (node.nodeType === TEXT_NODE) {
      nodeEnd = nodeStart + node.textContent.length;

      if (nodeStart <= offset && nodeEnd >= offset) {
        return {
          node: node,
          offset: offset - nodeStart
        };
      }

      nodeStart = nodeEnd;
    }

    node = getLeafNode(getSiblingNode(node));
  }
}

/**
 * @param {DOMElement} outerNode
 * @return {?object}
 */

function getOffsets(outerNode) {
  var ownerDocument = outerNode.ownerDocument;
  var win = ownerDocument && ownerDocument.defaultView || window;
  var selection = win.getSelection && win.getSelection();

  if (!selection || selection.rangeCount === 0) {
    return null;
  }

  var anchorNode = selection.anchorNode,
      anchorOffset = selection.anchorOffset,
      focusNode = selection.focusNode,
      focusOffset = selection.focusOffset; // In Firefox, anchorNode and focusNode can be "anonymous divs", e.g. the
  // up/down buttons on an <input type="number">. Anonymous divs do not seem to
  // expose properties, triggering a "Permission denied error" if any of its
  // properties are accessed. The only seemingly possible way to avoid erroring
  // is to access a property that typically works for non-anonymous divs and
  // catch any error that may otherwise arise. See
  // https://bugzilla.mozilla.org/show_bug.cgi?id=208427

  try {
    /* eslint-disable no-unused-expressions */
    anchorNode.nodeType;
    focusNode.nodeType;
    /* eslint-enable no-unused-expressions */
  } catch (e) {
    return null;
  }

  return getModernOffsetsFromPoints(outerNode, anchorNode, anchorOffset, focusNode, focusOffset);
}
/**
 * Returns {start, end} where `start` is the character/codepoint index of
 * (anchorNode, anchorOffset) within the textContent of `outerNode`, and
 * `end` is the index of (focusNode, focusOffset).
 *
 * Returns null if you pass in garbage input but we should probably just crash.
 *
 * Exported only for testing.
 */

function getModernOffsetsFromPoints(outerNode, anchorNode, anchorOffset, focusNode, focusOffset) {
  var length = 0;
  var start = -1;
  var end = -1;
  var indexWithinAnchor = 0;
  var indexWithinFocus = 0;
  var node = outerNode;
  var parentNode = null;

  outer: while (true) {
    var next = null;

    while (true) {
      if (node === anchorNode && (anchorOffset === 0 || node.nodeType === TEXT_NODE)) {
        start = length + anchorOffset;
      }

      if (node === focusNode && (focusOffset === 0 || node.nodeType === TEXT_NODE)) {
        end = length + focusOffset;
      }

      if (node.nodeType === TEXT_NODE) {
        length += node.nodeValue.length;
      }

      if ((next = node.firstChild) === null) {
        break;
      } // Moving from `node` to its first child `next`.


      parentNode = node;
      node = next;
    }

    while (true) {
      if (node === outerNode) {
        // If `outerNode` has children, this is always the second time visiting
        // it. If it has no children, this is still the first loop, and the only
        // valid selection is anchorNode and focusNode both equal to this node
        // and both offsets 0, in which case we will have handled above.
        break outer;
      }

      if (parentNode === anchorNode && ++indexWithinAnchor === anchorOffset) {
        start = length;
      }

      if (parentNode === focusNode && ++indexWithinFocus === focusOffset) {
        end = length;
      }

      if ((next = node.nextSibling) !== null) {
        break;
      }

      node = parentNode;
      parentNode = node.parentNode;
    } // Moving from `node` to its next sibling `next`.


    node = next;
  }

  if (start === -1 || end === -1) {
    // This should never happen. (Would happen if the anchor/focus nodes aren't
    // actually inside the passed-in node.)
    return null;
  }

  return {
    start: start,
    end: end
  };
}
/**
 * In modern non-IE browsers, we can support both forward and backward
 * selections.
 *
 * Note: IE10+ supports the Selection object, but it does not support
 * the `extend` method, which means that even in modern IE, it's not possible
 * to programmatically create a backward selection. Thus, for all IE
 * versions, we use the old IE API to create our selections.
 *
 * @param {DOMElement|DOMTextNode} node
 * @param {object} offsets
 */

function setOffsets(node, offsets) {
  var doc = node.ownerDocument || document;
  var win = doc && doc.defaultView || window; // Edge fails with "Object expected" in some scenarios.
  // (For instance: TinyMCE editor used in a list component that supports pasting to add more,
  // fails when pasting 100+ items)

  if (!win.getSelection) {
    return;
  }

  var selection = win.getSelection();
  var length = node.textContent.length;
  var start = Math.min(offsets.start, length);
  var end = offsets.end === undefined ? start : Math.min(offsets.end, length); // IE 11 uses modern selection, but doesn't support the extend method.
  // Flip backward selections, so we can set with a single range.

  if (!selection.extend && start > end) {
    var temp = end;
    end = start;
    start = temp;
  }

  var startMarker = getNodeForCharacterOffset(node, start);
  var endMarker = getNodeForCharacterOffset(node, end);

  if (startMarker && endMarker) {
    if (selection.rangeCount === 1 && selection.anchorNode === startMarker.node && selection.anchorOffset === startMarker.offset && selection.focusNode === endMarker.node && selection.focusOffset === endMarker.offset) {
      return;
    }

    var range = doc.createRange();
    range.setStart(startMarker.node, startMarker.offset);
    selection.removeAllRanges();

    if (start > end) {
      selection.addRange(range);
      selection.extend(endMarker.node, endMarker.offset);
    } else {
      range.setEnd(endMarker.node, endMarker.offset);
      selection.addRange(range);
    }
  }
}

function isTextNode(node) {
  return node && node.nodeType === TEXT_NODE;
}

function containsNode(outerNode, innerNode) {
  if (!outerNode || !innerNode) {
    return false;
  } else if (outerNode === innerNode) {
    return true;
  } else if (isTextNode(outerNode)) {
    return false;
  } else if (isTextNode(innerNode)) {
    return containsNode(outerNode, innerNode.parentNode);
  } else if ('contains' in outerNode) {
    return outerNode.contains(innerNode);
  } else if (outerNode.compareDocumentPosition) {
    return !!(outerNode.compareDocumentPosition(innerNode) & 16);
  } else {
    return false;
  }
}

function isInDocument(node) {
  return node && node.ownerDocument && containsNode(node.ownerDocument.documentElement, node);
}

function isSameOriginFrame(iframe) {
  try {
    // Accessing the contentDocument of a HTMLIframeElement can cause the browser
    // to throw, e.g. if it has a cross-origin src attribute.
    // Safari will show an error in the console when the access results in "Blocked a frame with origin". e.g:
    // iframe.contentDocument.defaultView;
    // A safety way is to access one of the cross origin properties: Window or Location
    // Which might result in "SecurityError" DOM Exception and it is compatible to Safari.
    // https://html.spec.whatwg.org/multipage/browsers.html#integration-with-idl
    return typeof iframe.contentWindow.location.href === 'string';
  } catch (err) {
    return false;
  }
}

function getActiveElementDeep() {
  var win = window;
  var element = getActiveElement();

  while (element instanceof win.HTMLIFrameElement) {
    if (isSameOriginFrame(element)) {
      win = element.contentWindow;
    } else {
      return element;
    }

    element = getActiveElement(win.document);
  }

  return element;
}
/**
 * @ReactInputSelection: React input selection module. Based on Selection.js,
 * but modified to be suitable for react and has a couple of bug fixes (doesn't
 * assume buttons have range selections allowed).
 * Input selection module for React.
 */

/**
 * @hasSelectionCapabilities: we get the element types that support selection
 * from https://html.spec.whatwg.org/#do-not-apply, looking at `selectionStart`
 * and `selectionEnd` rows.
 */


function hasSelectionCapabilities(elem) {
  var nodeName = elem && elem.nodeName && elem.nodeName.toLowerCase();
  return nodeName && (nodeName === 'input' && (elem.type === 'text' || elem.type === 'search' || elem.type === 'tel' || elem.type === 'url' || elem.type === 'password') || nodeName === 'textarea' || elem.contentEditable === 'true');
}
function getSelectionInformation() {
  var focusedElem = getActiveElementDeep();
  return {
    focusedElem: focusedElem,
    selectionRange: hasSelectionCapabilities(focusedElem) ? getSelection(focusedElem) : null
  };
}
/**
 * @restoreSelection: If any selection information was potentially lost,
 * restore it. This is useful when performing operations that could remove dom
 * nodes and place them back in, resulting in focus being lost.
 */

function restoreSelection(priorSelectionInformation) {
  var curFocusedElem = getActiveElementDeep();
  var priorFocusedElem = priorSelectionInformation.focusedElem;
  var priorSelectionRange = priorSelectionInformation.selectionRange;

  if (curFocusedElem !== priorFocusedElem && isInDocument(priorFocusedElem)) {
    if (priorSelectionRange !== null && hasSelectionCapabilities(priorFocusedElem)) {
      setSelection(priorFocusedElem, priorSelectionRange);
    } // Focusing a node can change the scroll position, which is undesirable


    var ancestors = [];
    var ancestor = priorFocusedElem;

    while (ancestor = ancestor.parentNode) {
      if (ancestor.nodeType === ELEMENT_NODE) {
        ancestors.push({
          element: ancestor,
          left: ancestor.scrollLeft,
          top: ancestor.scrollTop
        });
      }
    }

    if (typeof priorFocusedElem.focus === 'function') {
      priorFocusedElem.focus();
    }

    for (var i = 0; i < ancestors.length; i++) {
      var info = ancestors[i];
      info.element.scrollLeft = info.left;
      info.element.scrollTop = info.top;
    }
  }
}
/**
 * @getSelection: Gets the selection bounds of a focused textarea, input or
 * contentEditable node.
 * -@input: Look up selection bounds of this input
 * -@return {start: selectionStart, end: selectionEnd}
 */

function getSelection(input) {
  var selection;

  if ('selectionStart' in input) {
    // Modern browser with input or textarea.
    selection = {
      start: input.selectionStart,
      end: input.selectionEnd
    };
  } else {
    // Content editable or old IE textarea.
    selection = getOffsets(input);
  }

  return selection || {
    start: 0,
    end: 0
  };
}
/**
 * @setSelection: Sets the selection bounds of a textarea or input and focuses
 * the input.
 * -@input     Set selection bounds of this input or textarea
 * -@offsets   Object of same form that is returned from get*
 */

function setSelection(input, offsets) {
  var start = offsets.start;
  var end = offsets.end;

  if (end === undefined) {
    end = start;
  }

  if ('selectionStart' in input) {
    input.selectionStart = start;
    input.selectionEnd = Math.min(end, input.value.length);
  } else {
    setOffsets(input, offsets);
  }
}

var skipSelectionChangeEvent = canUseDOM && 'documentMode' in document && document.documentMode <= 11;

function registerEvents$3() {
  registerTwoPhaseEvent('onSelect', ['focusout', 'contextmenu', 'dragend', 'focusin', 'keydown', 'keyup', 'mousedown', 'mouseup', 'selectionchange']);
}

var activeElement$1 = null;
var activeElementInst$1 = null;
var lastSelection = null;
var mouseDown = false;
/**
 * Get an object which is a unique representation of the current selection.
 *
 * The return value will not be consistent across nodes or browsers, but
 * two identical selections on the same node will return identical objects.
 */

function getSelection$1(node) {
  if ('selectionStart' in node && hasSelectionCapabilities(node)) {
    return {
      start: node.selectionStart,
      end: node.selectionEnd
    };
  } else {
    var win = node.ownerDocument && node.ownerDocument.defaultView || window;
    var selection = win.getSelection();
    return {
      anchorNode: selection.anchorNode,
      anchorOffset: selection.anchorOffset,
      focusNode: selection.focusNode,
      focusOffset: selection.focusOffset
    };
  }
}
/**
 * Get document associated with the event target.
 */


function getEventTargetDocument(eventTarget) {
  return eventTarget.window === eventTarget ? eventTarget.document : eventTarget.nodeType === DOCUMENT_NODE ? eventTarget : eventTarget.ownerDocument;
}
/**
 * Poll selection to see whether it's changed.
 *
 * @param {object} nativeEvent
 * @param {object} nativeEventTarget
 * @return {?SyntheticEvent}
 */


function constructSelectEvent(dispatchQueue, nativeEvent, nativeEventTarget) {
  // Ensure we have the right element, and that the user is not dragging a
  // selection (this matches native `select` event behavior). In HTML5, select
  // fires only on input and textarea thus if there's no focused element we
  // won't dispatch.
  var doc = getEventTargetDocument(nativeEventTarget);

  if (mouseDown || activeElement$1 == null || activeElement$1 !== getActiveElement(doc)) {
    return;
  } // Only fire when selection has actually changed.


  var currentSelection = getSelection$1(activeElement$1);

  if (!lastSelection || !shallowEqual(lastSelection, currentSelection)) {
    lastSelection = currentSelection;
    var listeners = accumulateTwoPhaseListeners(activeElementInst$1, 'onSelect');

    if (listeners.length > 0) {
      var event = new SyntheticEvent('onSelect', 'select', null, nativeEvent, nativeEventTarget);
      dispatchQueue.push({
        event: event,
        listeners: listeners
      });
      event.target = activeElement$1;
    }
  }
}
/**
 * This plugin creates an `onSelect` event that normalizes select events
 * across form elements.
 *
 * Supported elements are:
 * - input (see `isTextInputElement`)
 * - textarea
 * - contentEditable
 *
 * This differs from native browser implementations in the following ways:
 * - Fires on contentEditable fields as well as inputs.
 * - Fires for collapsed selection.
 * - Fires after user input.
 */


function extractEvents$3(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget, eventSystemFlags, targetContainer) {

  var targetNode = targetInst ? getNodeFromInstance(targetInst) : window;

  switch (domEventName) {
    // Track the input node that has focus.
    case 'focusin':
      if (isTextInputElement(targetNode) || targetNode.contentEditable === 'true') {
        activeElement$1 = targetNode;
        activeElementInst$1 = targetInst;
        lastSelection = null;
      }

      break;

    case 'focusout':
      activeElement$1 = null;
      activeElementInst$1 = null;
      lastSelection = null;
      break;
    // Don't fire the event while the user is dragging. This matches the
    // semantics of the native select event.

    case 'mousedown':
      mouseDown = true;
      break;

    case 'contextmenu':
    case 'mouseup':
    case 'dragend':
      mouseDown = false;
      constructSelectEvent(dispatchQueue, nativeEvent, nativeEventTarget);
      break;
    // Chrome and IE fire non-standard event when selection is changed (and
    // sometimes when it hasn't). IE's event fires out of order with respect
    // to key and input events on deletion, so we discard it.
    //
    // Firefox doesn't support selectionchange, so check selection status
    // after each key entry. The selection changes after keydown and before
    // keyup, but we check on keydown as well in the case of holding down a
    // key, when multiple keydown events are fired but only one keyup is.
    // This is also our approach for IE handling, for the reason above.

    case 'selectionchange':
      if (skipSelectionChangeEvent) {
        break;
      }

    // falls through

    case 'keydown':
    case 'keyup':
      constructSelectEvent(dispatchQueue, nativeEvent, nativeEventTarget);
  }
}

function extractEvents$4(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget, eventSystemFlags, targetContainer) {
  var reactName = topLevelEventsToReactNames.get(domEventName);

  if (reactName === undefined) {
    return;
  }

  var SyntheticEventCtor = SyntheticEvent;
  var reactEventType = domEventName;

  switch (domEventName) {
    case 'keypress':
      // Firefox creates a keypress event for function keys too. This removes
      // the unwanted keypress events. Enter is however both printable and
      // non-printable. One would expect Tab to be as well (but it isn't).
      if (getEventCharCode(nativeEvent) === 0) {
        return;
      }

    /* falls through */

    case 'keydown':
    case 'keyup':
      SyntheticEventCtor = SyntheticKeyboardEvent;
      break;

    case 'focusin':
      reactEventType = 'focus';
      SyntheticEventCtor = SyntheticFocusEvent;
      break;

    case 'focusout':
      reactEventType = 'blur';
      SyntheticEventCtor = SyntheticFocusEvent;
      break;

    case 'beforeblur':
    case 'afterblur':
      SyntheticEventCtor = SyntheticFocusEvent;
      break;

    case 'click':
      // Firefox creates a click event on right mouse clicks. This removes the
      // unwanted click events.
      if (nativeEvent.button === 2) {
        return;
      }

    /* falls through */

    case 'auxclick':
    case 'dblclick':
    case 'mousedown':
    case 'mousemove':
    case 'mouseup': // TODO: Disabled elements should not respond to mouse events

    /* falls through */

    case 'mouseout':
    case 'mouseover':
    case 'contextmenu':
      SyntheticEventCtor = SyntheticMouseEvent;
      break;

    case 'drag':
    case 'dragend':
    case 'dragenter':
    case 'dragexit':
    case 'dragleave':
    case 'dragover':
    case 'dragstart':
    case 'drop':
      SyntheticEventCtor = SyntheticDragEvent;
      break;

    case 'touchcancel':
    case 'touchend':
    case 'touchmove':
    case 'touchstart':
      SyntheticEventCtor = SyntheticTouchEvent;
      break;

    case ANIMATION_END:
    case ANIMATION_ITERATION:
    case ANIMATION_START:
      SyntheticEventCtor = SyntheticAnimationEvent;
      break;

    case TRANSITION_END:
      SyntheticEventCtor = SyntheticTransitionEvent;
      break;

    case 'scroll':
      SyntheticEventCtor = SyntheticUIEvent;
      break;

    case 'wheel':
      SyntheticEventCtor = SyntheticWheelEvent;
      break;

    case 'copy':
    case 'cut':
    case 'paste':
      SyntheticEventCtor = SyntheticClipboardEvent;
      break;

    case 'gotpointercapture':
    case 'lostpointercapture':
    case 'pointercancel':
    case 'pointerdown':
    case 'pointermove':
    case 'pointerout':
    case 'pointerover':
    case 'pointerup':
      SyntheticEventCtor = SyntheticPointerEvent;
      break;
  }

  var inCapturePhase = (eventSystemFlags & IS_CAPTURE_PHASE) !== 0;

  {
    // Some events don't bubble in the browser.
    // In the past, React has always bubbled them, but this can be surprising.
    // We're going to try aligning closer to the browser behavior by not bubbling
    // them in React either. We'll start by not bubbling onScroll, and then expand.
    var accumulateTargetOnly = !inCapturePhase && // TODO: ideally, we'd eventually add all events from
    // nonDelegatedEvents list in DOMPluginEventSystem.
    // Then we can remove this special list.
    // This is a breaking change that can wait until React 18.
    domEventName === 'scroll';

    var _listeners = accumulateSinglePhaseListeners(targetInst, reactName, nativeEvent.type, inCapturePhase, accumulateTargetOnly);

    if (_listeners.length > 0) {
      // Intentionally create event lazily.
      var _event = new SyntheticEventCtor(reactName, reactEventType, null, nativeEvent, nativeEventTarget);

      dispatchQueue.push({
        event: _event,
        listeners: _listeners
      });
    }
  }
}

// TODO: remove top-level side effect.
registerSimpleEvents();
registerEvents$2();
registerEvents$1();
registerEvents$3();
registerEvents();

function extractEvents$5(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget, eventSystemFlags, targetContainer) {
  // TODO: we should remove the concept of a "SimpleEventPlugin".
  // This is the basic functionality of the event system. All
  // the other plugins are essentially polyfills. So the plugin
  // should probably be inlined somewhere and have its logic
  // be core the to event system. This would potentially allow
  // us to ship builds of React without the polyfilled plugins below.
  extractEvents$4(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget, eventSystemFlags);
  var shouldProcessPolyfillPlugins = (eventSystemFlags & SHOULD_NOT_PROCESS_POLYFILL_EVENT_PLUGINS) === 0; // We don't process these events unless we are in the
  // event's native "bubble" phase, which means that we're
  // not in the capture phase. That's because we emulate
  // the capture phase here still. This is a trade-off,
  // because in an ideal world we would not emulate and use
  // the phases properly, like we do with the SimpleEvent
  // plugin. However, the plugins below either expect
  // emulation (EnterLeave) or use state localized to that
  // plugin (BeforeInput, Change, Select). The state in
  // these modules complicates things, as you'll essentially
  // get the case where the capture phase event might change
  // state, only for the following bubble event to come in
  // later and not trigger anything as the state now
  // invalidates the heuristics of the event plugin. We
  // could alter all these plugins to work in such ways, but
  // that might cause other unknown side-effects that we
  // can't forsee right now.

  if (shouldProcessPolyfillPlugins) {
    extractEvents$2(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget, eventSystemFlags);
    extractEvents$1(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget);
    extractEvents$3(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget);
    extractEvents(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget);
  }
} // List of events that need to be individually attached to media elements.


var mediaEventTypes = ['abort', 'canplay', 'canplaythrough', 'durationchange', 'emptied', 'encrypted', 'ended', 'error', 'loadeddata', 'loadedmetadata', 'loadstart', 'pause', 'play', 'playing', 'progress', 'ratechange', 'seeked', 'seeking', 'stalled', 'suspend', 'timeupdate', 'volumechange', 'waiting']; // We should not delegate these events to the container, but rather
// set them on the actual target element itself. This is primarily
// because these events do not consistently bubble in the DOM.

var nonDelegatedEvents = new Set(['cancel', 'close', 'invalid', 'load', 'scroll', 'toggle'].concat(mediaEventTypes));

function executeDispatch(event, listener, currentTarget) {
  var type = event.type || 'unknown-event';
  event.currentTarget = currentTarget;
  invokeGuardedCallbackAndCatchFirstError(type, listener, undefined, event);
  event.currentTarget = null;
}

function processDispatchQueueItemsInOrder(event, dispatchListeners, inCapturePhase) {
  var previousInstance;

  if (inCapturePhase) {
    for (var i = dispatchListeners.length - 1; i >= 0; i--) {
      var _dispatchListeners$i = dispatchListeners[i],
          instance = _dispatchListeners$i.instance,
          currentTarget = _dispatchListeners$i.currentTarget,
          listener = _dispatchListeners$i.listener;

      if (instance !== previousInstance && event.isPropagationStopped()) {
        return;
      }

      executeDispatch(event, listener, currentTarget);
      previousInstance = instance;
    }
  } else {
    for (var _i = 0; _i < dispatchListeners.length; _i++) {
      var _dispatchListeners$_i = dispatchListeners[_i],
          _instance = _dispatchListeners$_i.instance,
          _currentTarget = _dispatchListeners$_i.currentTarget,
          _listener = _dispatchListeners$_i.listener;

      if (_instance !== previousInstance && event.isPropagationStopped()) {
        return;
      }

      executeDispatch(event, _listener, _currentTarget);
      previousInstance = _instance;
    }
  }
}

function processDispatchQueue(dispatchQueue, eventSystemFlags) {
  var inCapturePhase = (eventSystemFlags & IS_CAPTURE_PHASE) !== 0;

  for (var i = 0; i < dispatchQueue.length; i++) {
    var _dispatchQueue$i = dispatchQueue[i],
        event = _dispatchQueue$i.event,
        listeners = _dispatchQueue$i.listeners;
    processDispatchQueueItemsInOrder(event, listeners, inCapturePhase); //  event system doesn't use pooling.
  } // This would be a good time to rethrow if any of the event handlers threw.


  rethrowCaughtError();
}

function dispatchEventsForPlugins(domEventName, eventSystemFlags, nativeEvent, targetInst, targetContainer) {
  var nativeEventTarget = getEventTarget(nativeEvent);
  var dispatchQueue = [];
  extractEvents$5(dispatchQueue, domEventName, targetInst, nativeEvent, nativeEventTarget, eventSystemFlags);
  processDispatchQueue(dispatchQueue, eventSystemFlags);
}

function listenToNonDelegatedEvent(domEventName, targetElement) {
  var isCapturePhaseListener = false;
  var listenerSet = getEventListenerSet(targetElement);
  var listenerSetKey = getListenerSetKey(domEventName, isCapturePhaseListener);

  if (!listenerSet.has(listenerSetKey)) {
    addTrappedEventListener(targetElement, domEventName, IS_NON_DELEGATED, isCapturePhaseListener);
    listenerSet.add(listenerSetKey);
  }
}
var listeningMarker = '_reactListening' + Math.random().toString(36).slice(2);
function listenToAllSupportedEvents(rootContainerElement) {
  {
    if (rootContainerElement[listeningMarker]) {
      // Performance optimization: don't iterate through events
      // for the same portal container or root node more than once.
      // TODO: once we remove the flag, we may be able to also
      // remove some of the bookkeeping maps used for laziness.
      return;
    }

    rootContainerElement[listeningMarker] = true;
    allNativeEvents.forEach(function (domEventName) {
      if (!nonDelegatedEvents.has(domEventName)) {
        listenToNativeEvent(domEventName, false, rootContainerElement, null);
      }

      listenToNativeEvent(domEventName, true, rootContainerElement, null);
    });
  }
}
function listenToNativeEvent(domEventName, isCapturePhaseListener, rootContainerElement, targetElement) {
  var eventSystemFlags = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : 0;
  var target = rootContainerElement; // selectionchange needs to be attached to the document
  // otherwise it won't capture incoming events that are only
  // triggered on the document directly.

  if (domEventName === 'selectionchange' && rootContainerElement.nodeType !== DOCUMENT_NODE) {
    target = rootContainerElement.ownerDocument;
  } // If the event can be delegated (or is capture phase), we can
  // register it to the root container. Otherwise, we should
  // register the event to the target element and mark it as
  // a non-delegated event.


  if (targetElement !== null && !isCapturePhaseListener && nonDelegatedEvents.has(domEventName)) {
    // For all non-delegated events, apart from scroll, we attach
    // their event listeners to the respective elements that their
    // events fire on. That means we can skip this step, as event
    // listener has already been added previously. However, we
    // special case the scroll event because the reality is that any
    // element can scroll.
    // TODO: ideally, we'd eventually apply the same logic to all
    // events from the nonDelegatedEvents list. Then we can remove
    // this special case and use the same logic for all events.
    if (domEventName !== 'scroll') {
      return;
    }

    eventSystemFlags |= IS_NON_DELEGATED;
    target = targetElement;
  }

  var listenerSet = getEventListenerSet(target);
  var listenerSetKey = getListenerSetKey(domEventName, isCapturePhaseListener); // If the listener entry is empty or we should upgrade, then
  // we need to trap an event listener onto the target.

  if (!listenerSet.has(listenerSetKey)) {
    if (isCapturePhaseListener) {
      eventSystemFlags |= IS_CAPTURE_PHASE;
    }

    addTrappedEventListener(target, domEventName, eventSystemFlags, isCapturePhaseListener);
    listenerSet.add(listenerSetKey);
  }
}

function addTrappedEventListener(targetContainer, domEventName, eventSystemFlags, isCapturePhaseListener, isDeferredListenerForLegacyFBSupport) {
  var listener = createEventListenerWrapperWithPriority(targetContainer, domEventName, eventSystemFlags); // If passive option is not supported, then the event will be
  // active and not passive.

  var isPassiveListener = undefined;

  if (passiveBrowserEventsSupported) {
    // Browsers introduced an intervention, making these events
    // passive by default on document. React doesn't bind them
    // to document anymore, but changing this now would undo
    // the performance wins from the change. So we emulate
    // the existing behavior manually on the roots now.
    // https://github.com/facebook/react/issues/19651
    if (domEventName === 'touchstart' || domEventName === 'touchmove' || domEventName === 'wheel') {
      isPassiveListener = true;
    }
  }

  targetContainer =  targetContainer;
  var unsubscribeListener; // When legacyFBSupport is enabled, it's for when we


  if (isCapturePhaseListener) {
    if (isPassiveListener !== undefined) {
      unsubscribeListener = addEventCaptureListenerWithPassiveFlag(targetContainer, domEventName, listener, isPassiveListener);
    } else {
      unsubscribeListener = addEventCaptureListener(targetContainer, domEventName, listener);
    }
  } else {
    if (isPassiveListener !== undefined) {
      unsubscribeListener = addEventBubbleListenerWithPassiveFlag(targetContainer, domEventName, listener, isPassiveListener);
    } else {
      unsubscribeListener = addEventBubbleListener(targetContainer, domEventName, listener);
    }
  }
}

function isMatchingRootContainer(grandContainer, targetContainer) {
  return grandContainer === targetContainer || grandContainer.nodeType === COMMENT_NODE && grandContainer.parentNode === targetContainer;
}

function dispatchEventForPluginEventSystem(domEventName, eventSystemFlags, nativeEvent, targetInst, targetContainer) {
  var ancestorInst = targetInst;

  if ((eventSystemFlags & IS_EVENT_HANDLE_NON_MANAGED_NODE) === 0 && (eventSystemFlags & IS_NON_DELEGATED) === 0) {
    var targetContainerNode = targetContainer; // If we are using the legacy FB support flag, we

    if (targetInst !== null) {
      // The below logic attempts to work out if we need to change
      // the target fiber to a different ancestor. We had similar logic
      // in the legacy event system, except the big difference between
      // systems is that the modern event system now has an event listener
      // attached to each React Root and React Portal Root. Together,
      // the DOM nodes representing these roots are the "rootContainer".
      // To figure out which ancestor instance we should use, we traverse
      // up the fiber tree from the target instance and attempt to find
      // root boundaries that match that of our current "rootContainer".
      // If we find that "rootContainer", we find the parent fiber
      // sub-tree for that root and make that our ancestor instance.
      var node = targetInst;

      mainLoop: while (true) {
        if (node === null) {
          return;
        }

        var nodeTag = node.tag;

        if (nodeTag === HostRoot || nodeTag === HostPortal) {
          var container = node.stateNode.containerInfo;

          if (isMatchingRootContainer(container, targetContainerNode)) {
            break;
          }

          if (nodeTag === HostPortal) {
            // The target is a portal, but it's not the rootContainer we're looking for.
            // Normally portals handle their own events all the way down to the root.
            // So we should be able to stop now. However, we don't know if this portal
            // was part of *our* root.
            var grandNode = node.return;

            while (grandNode !== null) {
              var grandTag = grandNode.tag;

              if (grandTag === HostRoot || grandTag === HostPortal) {
                var grandContainer = grandNode.stateNode.containerInfo;

                if (isMatchingRootContainer(grandContainer, targetContainerNode)) {
                  // This is the rootContainer we're looking for and we found it as
                  // a parent of the Portal. That means we can ignore it because the
                  // Portal will bubble through to us.
                  return;
                }
              }

              grandNode = grandNode.return;
            }
          } // Now we need to find it's corresponding host fiber in the other
          // tree. To do this we can use getClosestInstanceFromNode, but we
          // need to validate that the fiber is a host instance, otherwise
          // we need to traverse up through the DOM till we find the correct
          // node that is from the other tree.


          while (container !== null) {
            var parentNode = getClosestInstanceFromNode(container);

            if (parentNode === null) {
              return;
            }

            var parentTag = parentNode.tag;

            if (parentTag === HostComponent || parentTag === HostText) {
              node = ancestorInst = parentNode;
              continue mainLoop;
            }

            container = container.parentNode;
          }
        }

        node = node.return;
      }
    }
  }

  batchedEventUpdates(function () {
    return dispatchEventsForPlugins(domEventName, eventSystemFlags, nativeEvent, ancestorInst);
  });
}

function createDispatchListener(instance, listener, currentTarget) {
  return {
    instance: instance,
    listener: listener,
    currentTarget: currentTarget
  };
}

function accumulateSinglePhaseListeners(targetFiber, reactName, nativeEventType, inCapturePhase, accumulateTargetOnly) {
  var captureName = reactName !== null ? reactName + 'Capture' : null;
  var reactEventName = inCapturePhase ? captureName : reactName;
  var listeners = [];
  var instance = targetFiber;
  var lastHostComponent = null; // Accumulate all instances and listeners via the target -> root path.

  while (instance !== null) {
    var _instance2 = instance,
        stateNode = _instance2.stateNode,
        tag = _instance2.tag; // Handle listeners that are on HostComponents (i.e. <div>)

    if (tag === HostComponent && stateNode !== null) {
      lastHostComponent = stateNode; // createEventHandle listeners


      if (reactEventName !== null) {
        var listener = getListener(instance, reactEventName);

        if (listener != null) {
          listeners.push(createDispatchListener(instance, listener, lastHostComponent));
        }
      }
    } // If we are only accumulating events for the target, then we don't
    // continue to propagate through the React fiber tree to find other
    // listeners.


    if (accumulateTargetOnly) {
      break;
    }

    instance = instance.return;
  }

  return listeners;
} // We should only use this function for:
// - BeforeInputEventPlugin
// - ChangeEventPlugin
// - SelectEventPlugin
// This is because we only process these plugins
// in the bubble phase, so we need to accumulate two
// phase event listeners (via emulation).

function accumulateTwoPhaseListeners(targetFiber, reactName) {
  var captureName = reactName + 'Capture';
  var listeners = [];
  var instance = targetFiber; // Accumulate all instances and listeners via the target -> root path.

  while (instance !== null) {
    var _instance3 = instance,
        stateNode = _instance3.stateNode,
        tag = _instance3.tag; // Handle listeners that are on HostComponents (i.e. <div>)

    if (tag === HostComponent && stateNode !== null) {
      var currentTarget = stateNode;
      var captureListener = getListener(instance, captureName);

      if (captureListener != null) {
        listeners.unshift(createDispatchListener(instance, captureListener, currentTarget));
      }

      var bubbleListener = getListener(instance, reactName);

      if (bubbleListener != null) {
        listeners.push(createDispatchListener(instance, bubbleListener, currentTarget));
      }
    }

    instance = instance.return;
  }

  return listeners;
}

function getParent(inst) {
  if (inst === null) {
    return null;
  }

  do {
    inst = inst.return; // TODO: If this is a HostRoot we might want to bail out.
    // That is depending on if we want nested subtrees (layers) to bubble
    // events to their parent. We could also go through parentNode on the
    // host node but that wouldn't work for React Native and doesn't let us
    // do the portal feature.
  } while (inst && inst.tag !== HostComponent);

  if (inst) {
    return inst;
  }

  return null;
}
/**
 * Return the lowest common ancestor of A and B, or null if they are in
 * different trees.
 */


function getLowestCommonAncestor(instA, instB) {
  var nodeA = instA;
  var nodeB = instB;
  var depthA = 0;

  for (var tempA = nodeA; tempA; tempA = getParent(tempA)) {
    depthA++;
  }

  var depthB = 0;

  for (var tempB = nodeB; tempB; tempB = getParent(tempB)) {
    depthB++;
  } // If A is deeper, crawl up.


  while (depthA - depthB > 0) {
    nodeA = getParent(nodeA);
    depthA--;
  } // If B is deeper, crawl up.


  while (depthB - depthA > 0) {
    nodeB = getParent(nodeB);
    depthB--;
  } // Walk in lockstep until we find a match.


  var depth = depthA;

  while (depth--) {
    if (nodeA === nodeB || nodeB !== null && nodeA === nodeB.alternate) {
      return nodeA;
    }

    nodeA = getParent(nodeA);
    nodeB = getParent(nodeB);
  }

  return null;
}

function accumulateEnterLeaveListenersForEvent(dispatchQueue, event, target, common, inCapturePhase) {
  var registrationName = event._reactName;
  var listeners = [];
  var instance = target;

  while (instance !== null) {
    if (instance === common) {
      break;
    }

    var _instance4 = instance,
        alternate = _instance4.alternate,
        stateNode = _instance4.stateNode,
        tag = _instance4.tag;

    if (alternate !== null && alternate === common) {
      break;
    }

    if (tag === HostComponent && stateNode !== null) {
      var currentTarget = stateNode;

      if (inCapturePhase) {
        var captureListener = getListener(instance, registrationName);

        if (captureListener != null) {
          listeners.unshift(createDispatchListener(instance, captureListener, currentTarget));
        }
      } else if (!inCapturePhase) {
        var bubbleListener = getListener(instance, registrationName);

        if (bubbleListener != null) {
          listeners.push(createDispatchListener(instance, bubbleListener, currentTarget));
        }
      }
    }

    instance = instance.return;
  }

  if (listeners.length !== 0) {
    dispatchQueue.push({
      event: event,
      listeners: listeners
    });
  }
} // We should only use this function for:
// - EnterLeaveEventPlugin
// This is because we only process this plugin
// in the bubble phase, so we need to accumulate two
// phase event listeners.


function accumulateEnterLeaveTwoPhaseListeners(dispatchQueue, leaveEvent, enterEvent, from, to) {
  var common = from && to ? getLowestCommonAncestor(from, to) : null;

  if (from !== null) {
    accumulateEnterLeaveListenersForEvent(dispatchQueue, leaveEvent, from, common, false);
  }

  if (to !== null && enterEvent !== null) {
    accumulateEnterLeaveListenersForEvent(dispatchQueue, enterEvent, to, common, true);
  }
}
function getListenerSetKey(domEventName, capture) {
  return domEventName + "__" + (capture ? 'capture' : 'bubble');
}

var didWarnInvalidHydration = false;
var DANGEROUSLY_SET_INNER_HTML = 'dangerouslySetInnerHTML';
var SUPPRESS_CONTENT_EDITABLE_WARNING = 'suppressContentEditableWarning';
var SUPPRESS_HYDRATION_WARNING = 'suppressHydrationWarning';
var AUTOFOCUS = 'autoFocus';
var CHILDREN = 'children';
var STYLE = 'style';
var HTML$1 = '__html';
var HTML_NAMESPACE$1 = Namespaces.html;
var warnedUnknownTags;
var suppressHydrationWarning;
var validatePropertiesInDevelopment;
var warnForTextDifference;
var warnForPropDifference;
var warnForExtraAttributes;
var warnForInvalidEventListener;
var canDiffStyleForHydrationWarning;
var normalizeMarkupForTextOrAttribute;
var normalizeHTML;

{
  warnedUnknownTags = {
    // There are working polyfills for <dialog>. Let people use it.
    dialog: true,
    // Electron ships a custom <webview> tag to display external web content in
    // an isolated frame and process.
    // This tag is not present in non Electron environments such as JSDom which
    // is often used for testing purposes.
    // @see https://electronjs.org/docs/api/webview-tag
    webview: true
  };

  validatePropertiesInDevelopment = function (type, props) {
    validateProperties(type, props);
    validateProperties$1(type, props);
    validateProperties$2(type, props, {
      registrationNameDependencies: registrationNameDependencies,
      possibleRegistrationNames: possibleRegistrationNames
    });
  }; // IE 11 parses & normalizes the style attribute as opposed to other
  // browsers. It adds spaces and sorts the properties in some
  // non-alphabetical order. Handling that would require sorting CSS
  // properties in the client & server versions or applying
  // `expectedStyle` to a temporary DOM node to read its `style` attribute
  // normalized. Since it only affects IE, we're skipping style warnings
  // in that browser completely in favor of doing all that work.
  // See https://github.com/facebook/react/issues/11807


  canDiffStyleForHydrationWarning = canUseDOM && !document.documentMode; // HTML parsing normalizes CR and CRLF to LF.
  // It also can turn \u0000 into \uFFFD inside attributes.
  // https://www.w3.org/TR/html5/single-page.html#preprocessing-the-input-stream
  // If we have a mismatch, it might be caused by that.
  // We will still patch up in this case but not fire the warning.

  var NORMALIZE_NEWLINES_REGEX = /\r\n?/g;
  var NORMALIZE_NULL_AND_REPLACEMENT_REGEX = /\u0000|\uFFFD/g;

  normalizeMarkupForTextOrAttribute = function (markup) {
    var markupString = typeof markup === 'string' ? markup : '' + markup;
    return markupString.replace(NORMALIZE_NEWLINES_REGEX, '\n').replace(NORMALIZE_NULL_AND_REPLACEMENT_REGEX, '');
  };

  warnForTextDifference = function (serverText, clientText) {
    if (didWarnInvalidHydration) {
      return;
    }

    var normalizedClientText = normalizeMarkupForTextOrAttribute(clientText);
    var normalizedServerText = normalizeMarkupForTextOrAttribute(serverText);

    if (normalizedServerText === normalizedClientText) {
      return;
    }

    didWarnInvalidHydration = true;

    error('Text content did not match. Server: "%s" Client: "%s"', normalizedServerText, normalizedClientText);
  };

  warnForPropDifference = function (propName, serverValue, clientValue) {
    if (didWarnInvalidHydration) {
      return;
    }

    var normalizedClientValue = normalizeMarkupForTextOrAttribute(clientValue);
    var normalizedServerValue = normalizeMarkupForTextOrAttribute(serverValue);

    if (normalizedServerValue === normalizedClientValue) {
      return;
    }

    didWarnInvalidHydration = true;

    error('Prop `%s` did not match. Server: %s Client: %s', propName, JSON.stringify(normalizedServerValue), JSON.stringify(normalizedClientValue));
  };

  warnForExtraAttributes = function (attributeNames) {
    if (didWarnInvalidHydration) {
      return;
    }

    didWarnInvalidHydration = true;
    var names = [];
    attributeNames.forEach(function (name) {
      names.push(name);
    });

    error('Extra attributes from the server: %s', names);
  };

  warnForInvalidEventListener = function (registrationName, listener) {
    if (listener === false) {
      error('Expected `%s` listener to be a function, instead got `false`.\n\n' + 'If you used to conditionally omit it with %s={condition && value}, ' + 'pass %s={condition ? value : undefined} instead.', registrationName, registrationName, registrationName);
    } else {
      error('Expected `%s` listener to be a function, instead got a value of `%s` type.', registrationName, typeof listener);
    }
  }; // Parse the HTML and read it back to normalize the HTML string so that it
  // can be used for comparison.


  normalizeHTML = function (parent, html) {
    // We could have created a separate document here to avoid
    // re-initializing custom elements if they exist. But this breaks
    // how <noscript> is being handled. So we use the same document.
    // See the discussion in https://github.com/facebook/react/pull/11157.
    var testElement = parent.namespaceURI === HTML_NAMESPACE$1 ? parent.ownerDocument.createElement(parent.tagName) : parent.ownerDocument.createElementNS(parent.namespaceURI, parent.tagName);
    testElement.innerHTML = html;
    return testElement.innerHTML;
  };
}

function getOwnerDocumentFromRootContainer(rootContainerElement) {
  return rootContainerElement.nodeType === DOCUMENT_NODE ? rootContainerElement : rootContainerElement.ownerDocument;
}

function noop() {}

function trapClickOnNonInteractiveElement(node) {
  // Mobile Safari does not fire properly bubble click events on
  // non-interactive elements, which means delegated click listeners do not
  // fire. The workaround for this bug involves attaching an empty click
  // listener on the target node.
  // https://www.quirksmode.org/blog/archives/2010/09/click_event_del.html
  // Just set it using the onclick property so that we don't have to manage any
  // bookkeeping for it. Not sure if we need to clear it when the listener is
  // removed.
  // TODO: Only do this for the relevant Safaris maybe?
  node.onclick = noop;
}

function setInitialDOMProperties(tag, domElement, rootContainerElement, nextProps, isCustomComponentTag) {
  for (var propKey in nextProps) {
    if (!nextProps.hasOwnProperty(propKey)) {
      continue;
    }

    var nextProp = nextProps[propKey];

    if (propKey === STYLE) {
      {
        if (nextProp) {
          // Freeze the next style object so that we can assume it won't be
          // mutated. We have already warned for this in the past.
          Object.freeze(nextProp);
        }
      } // Relies on `updateStylesByID` not mutating `styleUpdates`.


      setValueForStyles(domElement, nextProp);
    } else if (propKey === DANGEROUSLY_SET_INNER_HTML) {
      var nextHtml = nextProp ? nextProp[HTML$1] : undefined;

      if (nextHtml != null) {
        setInnerHTML(domElement, nextHtml);
      }
    } else if (propKey === CHILDREN) {
      if (typeof nextProp === 'string') {
        // Avoid setting initial textContent when the text is empty. In IE11 setting
        // textContent on a <textarea> will cause the placeholder to not
        // show within the <textarea> until it has been focused and blurred again.
        // https://github.com/facebook/react/issues/6731#issuecomment-254874553
        var canSetTextContent = tag !== 'textarea' || nextProp !== '';

        if (canSetTextContent) {
          setTextContent(domElement, nextProp);
        }
      } else if (typeof nextProp === 'number') {
        setTextContent(domElement, '' + nextProp);
      }
    } else if (propKey === SUPPRESS_CONTENT_EDITABLE_WARNING || propKey === SUPPRESS_HYDRATION_WARNING) ; else if (propKey === AUTOFOCUS) ; else if (registrationNameDependencies.hasOwnProperty(propKey)) {
      if (nextProp != null) {
        if ( typeof nextProp !== 'function') {
          warnForInvalidEventListener(propKey, nextProp);
        }

        if (propKey === 'onScroll') {
          listenToNonDelegatedEvent('scroll', domElement);
        }
      }
    } else if (nextProp != null) {
      setValueForProperty(domElement, propKey, nextProp, isCustomComponentTag);
    }
  }
}

function updateDOMProperties(domElement, updatePayload, wasCustomComponentTag, isCustomComponentTag) {
  // TODO: Handle wasCustomComponentTag
  for (var i = 0; i < updatePayload.length; i += 2) {
    var propKey = updatePayload[i];
    var propValue = updatePayload[i + 1];

    if (propKey === STYLE) {
      setValueForStyles(domElement, propValue);
    } else if (propKey === DANGEROUSLY_SET_INNER_HTML) {
      setInnerHTML(domElement, propValue);
    } else if (propKey === CHILDREN) {
      setTextContent(domElement, propValue);
    } else {
      setValueForProperty(domElement, propKey, propValue, isCustomComponentTag);
    }
  }
}

function createElement(type, props, rootContainerElement, parentNamespace) {
  var isCustomComponentTag; // We create tags in the namespace of their parent container, except HTML
  // tags get no namespace.

  var ownerDocument = getOwnerDocumentFromRootContainer(rootContainerElement);
  var domElement;
  var namespaceURI = parentNamespace;

  if (namespaceURI === HTML_NAMESPACE$1) {
    namespaceURI = getIntrinsicNamespace(type);
  }

  if (namespaceURI === HTML_NAMESPACE$1) {
    {
      isCustomComponentTag = isCustomComponent(type, props); // Should this check be gated by parent namespace? Not sure we want to
      // allow <SVG> or <mATH>.

      if (!isCustomComponentTag && type !== type.toLowerCase()) {
        error('<%s /> is using incorrect casing. ' + 'Use PascalCase for React components, ' + 'or lowercase for HTML elements.', type);
      }
    }

    if (type === 'script') {
      // Create the script via .innerHTML so its "parser-inserted" flag is
      // set to true and it does not execute
      var div = ownerDocument.createElement('div');

      div.innerHTML = '<script><' + '/script>'; // eslint-disable-line
      // This is guaranteed to yield a script element.

      var firstChild = div.firstChild;
      domElement = div.removeChild(firstChild);
    } else if (typeof props.is === 'string') {
      // $FlowIssue `createElement` should be updated for Web Components
      domElement = ownerDocument.createElement(type, {
        is: props.is
      });
    } else {
      // Separate else branch instead of using `props.is || undefined` above because of a Firefox bug.
      // See discussion in https://github.com/facebook/react/pull/6896
      // and discussion in https://bugzilla.mozilla.org/show_bug.cgi?id=1276240
      domElement = ownerDocument.createElement(type); // Normally attributes are assigned in `setInitialDOMProperties`, however the `multiple` and `size`
      // attributes on `select`s needs to be added before `option`s are inserted.
      // This prevents:
      // - a bug where the `select` does not scroll to the correct option because singular
      //  `select` elements automatically pick the first item #13222
      // - a bug where the `select` set the first item as selected despite the `size` attribute #14239
      // See https://github.com/facebook/react/issues/13222
      // and https://github.com/facebook/react/issues/14239

      if (type === 'select') {
        var node = domElement;

        if (props.multiple) {
          node.multiple = true;
        } else if (props.size) {
          // Setting a size greater than 1 causes a select to behave like `multiple=true`, where
          // it is possible that no option is selected.
          //
          // This is only necessary when a select in "single selection mode".
          node.size = props.size;
        }
      }
    }
  } else {
    domElement = ownerDocument.createElementNS(namespaceURI, type);
  }

  {
    if (namespaceURI === HTML_NAMESPACE$1) {
      if (!isCustomComponentTag && Object.prototype.toString.call(domElement) === '[object HTMLUnknownElement]' && !Object.prototype.hasOwnProperty.call(warnedUnknownTags, type)) {
        warnedUnknownTags[type] = true;

        error('The tag <%s> is unrecognized in this browser. ' + 'If you meant to render a React component, start its name with ' + 'an uppercase letter.', type);
      }
    }
  }

  return domElement;
}
function createTextNode(text, rootContainerElement) {
  return getOwnerDocumentFromRootContainer(rootContainerElement).createTextNode(text);
}
function setInitialProperties(domElement, tag, rawProps, rootContainerElement) {
  var isCustomComponentTag = isCustomComponent(tag, rawProps);

  {
    validatePropertiesInDevelopment(tag, rawProps);
  } // TODO: Make sure that we check isMounted before firing any of these events.


  var props;

  switch (tag) {
    case 'dialog':
      listenToNonDelegatedEvent('cancel', domElement);
      listenToNonDelegatedEvent('close', domElement);
      props = rawProps;
      break;

    case 'iframe':
    case 'object':
    case 'embed':
      // We listen to this event in case to ensure emulated bubble
      // listeners still fire for the load event.
      listenToNonDelegatedEvent('load', domElement);
      props = rawProps;
      break;

    case 'video':
    case 'audio':
      // We listen to these events in case to ensure emulated bubble
      // listeners still fire for all the media events.
      for (var i = 0; i < mediaEventTypes.length; i++) {
        listenToNonDelegatedEvent(mediaEventTypes[i], domElement);
      }

      props = rawProps;
      break;

    case 'source':
      // We listen to this event in case to ensure emulated bubble
      // listeners still fire for the error event.
      listenToNonDelegatedEvent('error', domElement);
      props = rawProps;
      break;

    case 'img':
    case 'image':
    case 'link':
      // We listen to these events in case to ensure emulated bubble
      // listeners still fire for error and load events.
      listenToNonDelegatedEvent('error', domElement);
      listenToNonDelegatedEvent('load', domElement);
      props = rawProps;
      break;

    case 'details':
      // We listen to this event in case to ensure emulated bubble
      // listeners still fire for the toggle event.
      listenToNonDelegatedEvent('toggle', domElement);
      props = rawProps;
      break;

    case 'input':
      initWrapperState(domElement, rawProps);
      props = getHostProps(domElement, rawProps); // We listen to this event in case to ensure emulated bubble
      // listeners still fire for the invalid event.

      listenToNonDelegatedEvent('invalid', domElement);

      break;

    case 'option':
      validateProps(domElement, rawProps);
      props = getHostProps$1(domElement, rawProps);
      break;

    case 'select':
      initWrapperState$1(domElement, rawProps);
      props = getHostProps$2(domElement, rawProps); // We listen to this event in case to ensure emulated bubble
      // listeners still fire for the invalid event.

      listenToNonDelegatedEvent('invalid', domElement);

      break;

    case 'textarea':
      initWrapperState$2(domElement, rawProps);
      props = getHostProps$3(domElement, rawProps); // We listen to this event in case to ensure emulated bubble
      // listeners still fire for the invalid event.

      listenToNonDelegatedEvent('invalid', domElement);

      break;

    default:
      props = rawProps;
  }

  assertValidProps(tag, props);
  setInitialDOMProperties(tag, domElement, rootContainerElement, props, isCustomComponentTag);

  switch (tag) {
    case 'input':
      // TODO: Make sure we check if this is still unmounted or do any clean
      // up necessary since we never stop tracking anymore.
      track(domElement);
      postMountWrapper(domElement, rawProps, false);
      break;

    case 'textarea':
      // TODO: Make sure we check if this is still unmounted or do any clean
      // up necessary since we never stop tracking anymore.
      track(domElement);
      postMountWrapper$3(domElement);
      break;

    case 'option':
      postMountWrapper$1(domElement, rawProps);
      break;

    case 'select':
      postMountWrapper$2(domElement, rawProps);
      break;

    default:
      if (typeof props.onClick === 'function') {
        // TODO: This cast may not be sound for SVG, MathML or custom elements.
        trapClickOnNonInteractiveElement(domElement);
      }

      break;
  }
} // Calculate the diff between the two objects.

function diffProperties(domElement, tag, lastRawProps, nextRawProps, rootContainerElement) {
  {
    validatePropertiesInDevelopment(tag, nextRawProps);
  }

  var updatePayload = null;
  var lastProps;
  var nextProps;

  switch (tag) {
    case 'input':
      lastProps = getHostProps(domElement, lastRawProps);
      nextProps = getHostProps(domElement, nextRawProps);
      updatePayload = [];
      break;

    case 'option':
      lastProps = getHostProps$1(domElement, lastRawProps);
      nextProps = getHostProps$1(domElement, nextRawProps);
      updatePayload = [];
      break;

    case 'select':
      lastProps = getHostProps$2(domElement, lastRawProps);
      nextProps = getHostProps$2(domElement, nextRawProps);
      updatePayload = [];
      break;

    case 'textarea':
      lastProps = getHostProps$3(domElement, lastRawProps);
      nextProps = getHostProps$3(domElement, nextRawProps);
      updatePayload = [];
      break;

    default:
      lastProps = lastRawProps;
      nextProps = nextRawProps;

      if (typeof lastProps.onClick !== 'function' && typeof nextProps.onClick === 'function') {
        // TODO: This cast may not be sound for SVG, MathML or custom elements.
        trapClickOnNonInteractiveElement(domElement);
      }

      break;
  }

  assertValidProps(tag, nextProps);
  var propKey;
  var styleName;
  var styleUpdates = null;

  for (propKey in lastProps) {
    if (nextProps.hasOwnProperty(propKey) || !lastProps.hasOwnProperty(propKey) || lastProps[propKey] == null) {
      continue;
    }

    if (propKey === STYLE) {
      var lastStyle = lastProps[propKey];

      for (styleName in lastStyle) {
        if (lastStyle.hasOwnProperty(styleName)) {
          if (!styleUpdates) {
            styleUpdates = {};
          }

          styleUpdates[styleName] = '';
        }
      }
    } else if (propKey === DANGEROUSLY_SET_INNER_HTML || propKey === CHILDREN) ; else if (propKey === SUPPRESS_CONTENT_EDITABLE_WARNING || propKey === SUPPRESS_HYDRATION_WARNING) ; else if (propKey === AUTOFOCUS) ; else if (registrationNameDependencies.hasOwnProperty(propKey)) {
      // This is a special case. If any listener updates we need to ensure
      // that the "current" fiber pointer gets updated so we need a commit
      // to update this element.
      if (!updatePayload) {
        updatePayload = [];
      }
    } else {
      // For all other deleted properties we add it to the queue. We use
      // the allowed property list in the commit phase instead.
      (updatePayload = updatePayload || []).push(propKey, null);
    }
  }

  for (propKey in nextProps) {
    var nextProp = nextProps[propKey];
    var lastProp = lastProps != null ? lastProps[propKey] : undefined;

    if (!nextProps.hasOwnProperty(propKey) || nextProp === lastProp || nextProp == null && lastProp == null) {
      continue;
    }

    if (propKey === STYLE) {
      {
        if (nextProp) {
          // Freeze the next style object so that we can assume it won't be
          // mutated. We have already warned for this in the past.
          Object.freeze(nextProp);
        }
      }

      if (lastProp) {
        // Unset styles on `lastProp` but not on `nextProp`.
        for (styleName in lastProp) {
          if (lastProp.hasOwnProperty(styleName) && (!nextProp || !nextProp.hasOwnProperty(styleName))) {
            if (!styleUpdates) {
              styleUpdates = {};
            }

            styleUpdates[styleName] = '';
          }
        } // Update styles that changed since `lastProp`.


        for (styleName in nextProp) {
          if (nextProp.hasOwnProperty(styleName) && lastProp[styleName] !== nextProp[styleName]) {
            if (!styleUpdates) {
              styleUpdates = {};
            }

            styleUpdates[styleName] = nextProp[styleName];
          }
        }
      } else {
        // Relies on `updateStylesByID` not mutating `styleUpdates`.
        if (!styleUpdates) {
          if (!updatePayload) {
            updatePayload = [];
          }

          updatePayload.push(propKey, styleUpdates);
        }

        styleUpdates = nextProp;
      }
    } else if (propKey === DANGEROUSLY_SET_INNER_HTML) {
      var nextHtml = nextProp ? nextProp[HTML$1] : undefined;
      var lastHtml = lastProp ? lastProp[HTML$1] : undefined;

      if (nextHtml != null) {
        if (lastHtml !== nextHtml) {
          (updatePayload = updatePayload || []).push(propKey, nextHtml);
        }
      }
    } else if (propKey === CHILDREN) {
      if (typeof nextProp === 'string' || typeof nextProp === 'number') {
        (updatePayload = updatePayload || []).push(propKey, '' + nextProp);
      }
    } else if (propKey === SUPPRESS_CONTENT_EDITABLE_WARNING || propKey === SUPPRESS_HYDRATION_WARNING) ; else if (registrationNameDependencies.hasOwnProperty(propKey)) {
      if (nextProp != null) {
        // We eagerly listen to this even though we haven't committed yet.
        if ( typeof nextProp !== 'function') {
          warnForInvalidEventListener(propKey, nextProp);
        }

        if (propKey === 'onScroll') {
          listenToNonDelegatedEvent('scroll', domElement);
        }
      }

      if (!updatePayload && lastProp !== nextProp) {
        // This is a special case. If any listener updates we need to ensure
        // that the "current" props pointer gets updated so we need a commit
        // to update this element.
        updatePayload = [];
      }
    } else if (typeof nextProp === 'object' && nextProp !== null && nextProp.$$typeof === REACT_OPAQUE_ID_TYPE) {
      // If we encounter useOpaqueReference's opaque object, this means we are hydrating.
      // In this case, call the opaque object's toString function which generates a new client
      // ID so client and server IDs match and throws to rerender.
      nextProp.toString();
    } else {
      // For any other property we always add it to the queue and then we
      // filter it out using the allowed property list during the commit.
      (updatePayload = updatePayload || []).push(propKey, nextProp);
    }
  }

  if (styleUpdates) {
    {
      validateShorthandPropertyCollisionInDev(styleUpdates, nextProps[STYLE]);
    }

    (updatePayload = updatePayload || []).push(STYLE, styleUpdates);
  }

  return updatePayload;
} // Apply the diff.

function updateProperties(domElement, updatePayload, tag, lastRawProps, nextRawProps) {
  // Update checked *before* name.
  // In the middle of an update, it is possible to have multiple checked.
  // When a checked radio tries to change name, browser makes another radio's checked false.
  if (tag === 'input' && nextRawProps.type === 'radio' && nextRawProps.name != null) {
    updateChecked(domElement, nextRawProps);
  }

  var wasCustomComponentTag = isCustomComponent(tag, lastRawProps);
  var isCustomComponentTag = isCustomComponent(tag, nextRawProps); // Apply the diff.

  updateDOMProperties(domElement, updatePayload, wasCustomComponentTag, isCustomComponentTag); // TODO: Ensure that an update gets scheduled if any of the special props
  // changed.

  switch (tag) {
    case 'input':
      // Update the wrapper around inputs *after* updating props. This has to
      // happen after `updateDOMProperties`. Otherwise HTML5 input validations
      // raise warnings and prevent the new value from being assigned.
      updateWrapper(domElement, nextRawProps);
      break;

    case 'textarea':
      updateWrapper$1(domElement, nextRawProps);
      break;

    case 'select':
      // <select> value update needs to occur after <option> children
      // reconciliation
      postUpdateWrapper(domElement, nextRawProps);
      break;
  }
}

function getPossibleStandardName(propName) {
  {
    var lowerCasedName = propName.toLowerCase();

    if (!possibleStandardNames.hasOwnProperty(lowerCasedName)) {
      return null;
    }

    return possibleStandardNames[lowerCasedName] || null;
  }
}

function diffHydratedProperties(domElement, tag, rawProps, parentNamespace, rootContainerElement) {
  var isCustomComponentTag;
  var extraAttributeNames;

  {
    suppressHydrationWarning = rawProps[SUPPRESS_HYDRATION_WARNING] === true;
    isCustomComponentTag = isCustomComponent(tag, rawProps);
    validatePropertiesInDevelopment(tag, rawProps);
  } // TODO: Make sure that we check isMounted before firing any of these events.


  switch (tag) {
    case 'dialog':
      listenToNonDelegatedEvent('cancel', domElement);
      listenToNonDelegatedEvent('close', domElement);
      break;

    case 'iframe':
    case 'object':
    case 'embed':
      // We listen to this event in case to ensure emulated bubble
      // listeners still fire for the load event.
      listenToNonDelegatedEvent('load', domElement);
      break;

    case 'video':
    case 'audio':
      // We listen to these events in case to ensure emulated bubble
      // listeners still fire for all the media events.
      for (var i = 0; i < mediaEventTypes.length; i++) {
        listenToNonDelegatedEvent(mediaEventTypes[i], domElement);
      }

      break;

    case 'source':
      // We listen to this event in case to ensure emulated bubble
      // listeners still fire for the error event.
      listenToNonDelegatedEvent('error', domElement);
      break;

    case 'img':
    case 'image':
    case 'link':
      // We listen to these events in case to ensure emulated bubble
      // listeners still fire for error and load events.
      listenToNonDelegatedEvent('error', domElement);
      listenToNonDelegatedEvent('load', domElement);
      break;

    case 'details':
      // We listen to this event in case to ensure emulated bubble
      // listeners still fire for the toggle event.
      listenToNonDelegatedEvent('toggle', domElement);
      break;

    case 'input':
      initWrapperState(domElement, rawProps); // We listen to this event in case to ensure emulated bubble
      // listeners still fire for the invalid event.

      listenToNonDelegatedEvent('invalid', domElement);

      break;

    case 'option':
      validateProps(domElement, rawProps);
      break;

    case 'select':
      initWrapperState$1(domElement, rawProps); // We listen to this event in case to ensure emulated bubble
      // listeners still fire for the invalid event.

      listenToNonDelegatedEvent('invalid', domElement);

      break;

    case 'textarea':
      initWrapperState$2(domElement, rawProps); // We listen to this event in case to ensure emulated bubble
      // listeners still fire for the invalid event.

      listenToNonDelegatedEvent('invalid', domElement);

      break;
  }

  assertValidProps(tag, rawProps);

  {
    extraAttributeNames = new Set();
    var attributes = domElement.attributes;

    for (var _i = 0; _i < attributes.length; _i++) {
      var name = attributes[_i].name.toLowerCase();

      switch (name) {
        // Built-in SSR attribute is allowed
        case 'data-reactroot':
          break;
        // Controlled attributes are not validated
        // TODO: Only ignore them on controlled tags.

        case 'value':
          break;

        case 'checked':
          break;

        case 'selected':
          break;

        default:
          // Intentionally use the original name.
          // See discussion in https://github.com/facebook/react/pull/10676.
          extraAttributeNames.add(attributes[_i].name);
      }
    }
  }

  var updatePayload = null;

  for (var propKey in rawProps) {
    if (!rawProps.hasOwnProperty(propKey)) {
      continue;
    }

    var nextProp = rawProps[propKey];

    if (propKey === CHILDREN) {
      // For text content children we compare against textContent. This
      // might match additional HTML that is hidden when we read it using
      // textContent. E.g. "foo" will match "f<span>oo</span>" but that still
      // satisfies our requirement. Our requirement is not to produce perfect
      // HTML and attributes. Ideally we should preserve structure but it's
      // ok not to if the visible content is still enough to indicate what
      // even listeners these nodes might be wired up to.
      // TODO: Warn if there is more than a single textNode as a child.
      // TODO: Should we use domElement.firstChild.nodeValue to compare?
      if (typeof nextProp === 'string') {
        if (domElement.textContent !== nextProp) {
          if ( !suppressHydrationWarning) {
            warnForTextDifference(domElement.textContent, nextProp);
          }

          updatePayload = [CHILDREN, nextProp];
        }
      } else if (typeof nextProp === 'number') {
        if (domElement.textContent !== '' + nextProp) {
          if ( !suppressHydrationWarning) {
            warnForTextDifference(domElement.textContent, nextProp);
          }

          updatePayload = [CHILDREN, '' + nextProp];
        }
      }
    } else if (registrationNameDependencies.hasOwnProperty(propKey)) {
      if (nextProp != null) {
        if ( typeof nextProp !== 'function') {
          warnForInvalidEventListener(propKey, nextProp);
        }

        if (propKey === 'onScroll') {
          listenToNonDelegatedEvent('scroll', domElement);
        }
      }
    } else if ( // Convince Flow we've calculated it (it's DEV-only in this method.)
    typeof isCustomComponentTag === 'boolean') {
      // Validate that the properties correspond to their expected values.
      var serverValue = void 0;
      var propertyInfo = getPropertyInfo(propKey);

      if (suppressHydrationWarning) ; else if (propKey === SUPPRESS_CONTENT_EDITABLE_WARNING || propKey === SUPPRESS_HYDRATION_WARNING || // Controlled attributes are not validated
      // TODO: Only ignore them on controlled tags.
      propKey === 'value' || propKey === 'checked' || propKey === 'selected') ; else if (propKey === DANGEROUSLY_SET_INNER_HTML) {
        var serverHTML = domElement.innerHTML;
        var nextHtml = nextProp ? nextProp[HTML$1] : undefined;

        if (nextHtml != null) {
          var expectedHTML = normalizeHTML(domElement, nextHtml);

          if (expectedHTML !== serverHTML) {
            warnForPropDifference(propKey, serverHTML, expectedHTML);
          }
        }
      } else if (propKey === STYLE) {
        // $FlowFixMe - Should be inferred as not undefined.
        extraAttributeNames.delete(propKey);

        if (canDiffStyleForHydrationWarning) {
          var expectedStyle = createDangerousStringForStyles(nextProp);
          serverValue = domElement.getAttribute('style');

          if (expectedStyle !== serverValue) {
            warnForPropDifference(propKey, serverValue, expectedStyle);
          }
        }
      } else if (isCustomComponentTag) {
        // $FlowFixMe - Should be inferred as not undefined.
        extraAttributeNames.delete(propKey.toLowerCase());
        serverValue = getValueForAttribute(domElement, propKey, nextProp);

        if (nextProp !== serverValue) {
          warnForPropDifference(propKey, serverValue, nextProp);
        }
      } else if (!shouldIgnoreAttribute(propKey, propertyInfo, isCustomComponentTag) && !shouldRemoveAttribute(propKey, nextProp, propertyInfo, isCustomComponentTag)) {
        var isMismatchDueToBadCasing = false;

        if (propertyInfo !== null) {
          // $FlowFixMe - Should be inferred as not undefined.
          extraAttributeNames.delete(propertyInfo.attributeName);
          serverValue = getValueForProperty(domElement, propKey, nextProp, propertyInfo);
        } else {
          var ownNamespace = parentNamespace;

          if (ownNamespace === HTML_NAMESPACE$1) {
            ownNamespace = getIntrinsicNamespace(tag);
          }

          if (ownNamespace === HTML_NAMESPACE$1) {
            // $FlowFixMe - Should be inferred as not undefined.
            extraAttributeNames.delete(propKey.toLowerCase());
          } else {
            var standardName = getPossibleStandardName(propKey);

            if (standardName !== null && standardName !== propKey) {
              // If an SVG prop is supplied with bad casing, it will
              // be successfully parsed from HTML, but will produce a mismatch
              // (and would be incorrectly rendered on the client).
              // However, we already warn about bad casing elsewhere.
              // So we'll skip the misleading extra mismatch warning in this case.
              isMismatchDueToBadCasing = true; // $FlowFixMe - Should be inferred as not undefined.

              extraAttributeNames.delete(standardName);
            } // $FlowFixMe - Should be inferred as not undefined.


            extraAttributeNames.delete(propKey);
          }

          serverValue = getValueForAttribute(domElement, propKey, nextProp);
        }

        if (nextProp !== serverValue && !isMismatchDueToBadCasing) {
          warnForPropDifference(propKey, serverValue, nextProp);
        }
      }
    }
  }

  {
    // $FlowFixMe - Should be inferred as not undefined.
    if (extraAttributeNames.size > 0 && !suppressHydrationWarning) {
      // $FlowFixMe - Should be inferred as not undefined.
      warnForExtraAttributes(extraAttributeNames);
    }
  }

  switch (tag) {
    case 'input':
      // TODO: Make sure we check if this is still unmounted or do any clean
      // up necessary since we never stop tracking anymore.
      track(domElement);
      postMountWrapper(domElement, rawProps, true);
      break;

    case 'textarea':
      // TODO: Make sure we check if this is still unmounted or do any clean
      // up necessary since we never stop tracking anymore.
      track(domElement);
      postMountWrapper$3(domElement);
      break;

    case 'select':
    case 'option':
      // For input and textarea we current always set the value property at
      // post mount to force it to diverge from attributes. However, for
      // option and select we don't quite do the same thing and select
      // is not resilient to the DOM state changing so we don't do that here.
      // TODO: Consider not doing this for input and textarea.
      break;

    default:
      if (typeof rawProps.onClick === 'function') {
        // TODO: This cast may not be sound for SVG, MathML or custom elements.
        trapClickOnNonInteractiveElement(domElement);
      }

      break;
  }

  return updatePayload;
}
function diffHydratedText(textNode, text) {
  var isDifferent = textNode.nodeValue !== text;
  return isDifferent;
}
function warnForUnmatchedText(textNode, text) {
  {
    warnForTextDifference(textNode.nodeValue, text);
  }
}
function warnForDeletedHydratableElement(parentNode, child) {
  {
    if (didWarnInvalidHydration) {
      return;
    }

    didWarnInvalidHydration = true;

    error('Did not expect server HTML to contain a <%s> in <%s>.', child.nodeName.toLowerCase(), parentNode.nodeName.toLowerCase());
  }
}
function warnForDeletedHydratableText(parentNode, child) {
  {
    if (didWarnInvalidHydration) {
      return;
    }

    didWarnInvalidHydration = true;

    error('Did not expect server HTML to contain the text node "%s" in <%s>.', child.nodeValue, parentNode.nodeName.toLowerCase());
  }
}
function warnForInsertedHydratedElement(parentNode, tag, props) {
  {
    if (didWarnInvalidHydration) {
      return;
    }

    didWarnInvalidHydration = true;

    error('Expected server HTML to contain a matching <%s> in <%s>.', tag, parentNode.nodeName.toLowerCase());
  }
}
function warnForInsertedHydratedText(parentNode, text) {
  {
    if (text === '') {
      // We expect to insert empty text nodes since they're not represented in
      // the HTML.
      // TODO: Remove this special case if we can just avoid inserting empty
      // text nodes.
      return;
    }

    if (didWarnInvalidHydration) {
      return;
    }

    didWarnInvalidHydration = true;

    error('Expected server HTML to contain a matching text node for "%s" in <%s>.', text, parentNode.nodeName.toLowerCase());
  }
}
function restoreControlledState$3(domElement, tag, props) {
  switch (tag) {
    case 'input':
      restoreControlledState(domElement, props);
      return;

    case 'textarea':
      restoreControlledState$2(domElement, props);
      return;

    case 'select':
      restoreControlledState$1(domElement, props);
      return;
  }
}

var validateDOMNesting = function () {};

var updatedAncestorInfo = function () {};

{
  // This validation code was written based on the HTML5 parsing spec:
  // https://html.spec.whatwg.org/multipage/syntax.html#has-an-element-in-scope
  //
  // Note: this does not catch all invalid nesting, nor does it try to (as it's
  // not clear what practical benefit doing so provides); instead, we warn only
  // for cases where the parser will give a parse tree differing from what React
  // intended. For example, <b><div></div></b> is invalid but we don't warn
  // because it still parses correctly; we do warn for other cases like nested
  // <p> tags where the beginning of the second element implicitly closes the
  // first, causing a confusing mess.
  // https://html.spec.whatwg.org/multipage/syntax.html#special
  var specialTags = ['address', 'applet', 'area', 'article', 'aside', 'base', 'basefont', 'bgsound', 'blockquote', 'body', 'br', 'button', 'caption', 'center', 'col', 'colgroup', 'dd', 'details', 'dir', 'div', 'dl', 'dt', 'embed', 'fieldset', 'figcaption', 'figure', 'footer', 'form', 'frame', 'frameset', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'head', 'header', 'hgroup', 'hr', 'html', 'iframe', 'img', 'input', 'isindex', 'li', 'link', 'listing', 'main', 'marquee', 'menu', 'menuitem', 'meta', 'nav', 'noembed', 'noframes', 'noscript', 'object', 'ol', 'p', 'param', 'plaintext', 'pre', 'script', 'section', 'select', 'source', 'style', 'summary', 'table', 'tbody', 'td', 'template', 'textarea', 'tfoot', 'th', 'thead', 'title', 'tr', 'track', 'ul', 'wbr', 'xmp']; // https://html.spec.whatwg.org/multipage/syntax.html#has-an-element-in-scope

  var inScopeTags = ['applet', 'caption', 'html', 'table', 'td', 'th', 'marquee', 'object', 'template', // https://html.spec.whatwg.org/multipage/syntax.html#html-integration-point
  // TODO: Distinguish by namespace here -- for <title>, including it here
  // errs on the side of fewer warnings
  'foreignObject', 'desc', 'title']; // https://html.spec.whatwg.org/multipage/syntax.html#has-an-element-in-button-scope

  var buttonScopeTags = inScopeTags.concat(['button']); // https://html.spec.whatwg.org/multipage/syntax.html#generate-implied-end-tags

  var impliedEndTags = ['dd', 'dt', 'li', 'option', 'optgroup', 'p', 'rp', 'rt'];
  var emptyAncestorInfo = {
    current: null,
    formTag: null,
    aTagInScope: null,
    buttonTagInScope: null,
    nobrTagInScope: null,
    pTagInButtonScope: null,
    listItemTagAutoclosing: null,
    dlItemTagAutoclosing: null
  };

  updatedAncestorInfo = function (oldInfo, tag) {
    var ancestorInfo = _assign({}, oldInfo || emptyAncestorInfo);

    var info = {
      tag: tag
    };

    if (inScopeTags.indexOf(tag) !== -1) {
      ancestorInfo.aTagInScope = null;
      ancestorInfo.buttonTagInScope = null;
      ancestorInfo.nobrTagInScope = null;
    }

    if (buttonScopeTags.indexOf(tag) !== -1) {
      ancestorInfo.pTagInButtonScope = null;
    } // See rules for 'li', 'dd', 'dt' start tags in
    // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-inbody


    if (specialTags.indexOf(tag) !== -1 && tag !== 'address' && tag !== 'div' && tag !== 'p') {
      ancestorInfo.listItemTagAutoclosing = null;
      ancestorInfo.dlItemTagAutoclosing = null;
    }

    ancestorInfo.current = info;

    if (tag === 'form') {
      ancestorInfo.formTag = info;
    }

    if (tag === 'a') {
      ancestorInfo.aTagInScope = info;
    }

    if (tag === 'button') {
      ancestorInfo.buttonTagInScope = info;
    }

    if (tag === 'nobr') {
      ancestorInfo.nobrTagInScope = info;
    }

    if (tag === 'p') {
      ancestorInfo.pTagInButtonScope = info;
    }

    if (tag === 'li') {
      ancestorInfo.listItemTagAutoclosing = info;
    }

    if (tag === 'dd' || tag === 'dt') {
      ancestorInfo.dlItemTagAutoclosing = info;
    }

    return ancestorInfo;
  };
  /**
   * Returns whether
   */


  var isTagValidWithParent = function (tag, parentTag) {
    // First, let's check if we're in an unusual parsing mode...
    switch (parentTag) {
      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-inselect
      case 'select':
        return tag === 'option' || tag === 'optgroup' || tag === '#text';

      case 'optgroup':
        return tag === 'option' || tag === '#text';
      // Strictly speaking, seeing an <option> doesn't mean we're in a <select>
      // but

      case 'option':
        return tag === '#text';
      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-intd
      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-incaption
      // No special behavior since these rules fall back to "in body" mode for
      // all except special table nodes which cause bad parsing behavior anyway.
      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-intr

      case 'tr':
        return tag === 'th' || tag === 'td' || tag === 'style' || tag === 'script' || tag === 'template';
      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-intbody

      case 'tbody':
      case 'thead':
      case 'tfoot':
        return tag === 'tr' || tag === 'style' || tag === 'script' || tag === 'template';
      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-incolgroup

      case 'colgroup':
        return tag === 'col' || tag === 'template';
      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-intable

      case 'table':
        return tag === 'caption' || tag === 'colgroup' || tag === 'tbody' || tag === 'tfoot' || tag === 'thead' || tag === 'style' || tag === 'script' || tag === 'template';
      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-inhead

      case 'head':
        return tag === 'base' || tag === 'basefont' || tag === 'bgsound' || tag === 'link' || tag === 'meta' || tag === 'title' || tag === 'noscript' || tag === 'noframes' || tag === 'style' || tag === 'script' || tag === 'template';
      // https://html.spec.whatwg.org/multipage/semantics.html#the-html-element

      case 'html':
        return tag === 'head' || tag === 'body' || tag === 'frameset';

      case 'frameset':
        return tag === 'frame';

      case '#document':
        return tag === 'html';
    } // Probably in the "in body" parsing mode, so we outlaw only tag combos
    // where the parsing rules cause implicit opens or closes to be added.
    // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-inbody


    switch (tag) {
      case 'h1':
      case 'h2':
      case 'h3':
      case 'h4':
      case 'h5':
      case 'h6':
        return parentTag !== 'h1' && parentTag !== 'h2' && parentTag !== 'h3' && parentTag !== 'h4' && parentTag !== 'h5' && parentTag !== 'h6';

      case 'rp':
      case 'rt':
        return impliedEndTags.indexOf(parentTag) === -1;

      case 'body':
      case 'caption':
      case 'col':
      case 'colgroup':
      case 'frameset':
      case 'frame':
      case 'head':
      case 'html':
      case 'tbody':
      case 'td':
      case 'tfoot':
      case 'th':
      case 'thead':
      case 'tr':
        // These tags are only valid with a few parents that have special child
        // parsing rules -- if we're down here, then none of those matched and
        // so we allow it only if we don't know what the parent is, as all other
        // cases are invalid.
        return parentTag == null;
    }

    return true;
  };
  /**
   * Returns whether
   */


  var findInvalidAncestorForTag = function (tag, ancestorInfo) {
    switch (tag) {
      case 'address':
      case 'article':
      case 'aside':
      case 'blockquote':
      case 'center':
      case 'details':
      case 'dialog':
      case 'dir':
      case 'div':
      case 'dl':
      case 'fieldset':
      case 'figcaption':
      case 'figure':
      case 'footer':
      case 'header':
      case 'hgroup':
      case 'main':
      case 'menu':
      case 'nav':
      case 'ol':
      case 'p':
      case 'section':
      case 'summary':
      case 'ul':
      case 'pre':
      case 'listing':
      case 'table':
      case 'hr':
      case 'xmp':
      case 'h1':
      case 'h2':
      case 'h3':
      case 'h4':
      case 'h5':
      case 'h6':
        return ancestorInfo.pTagInButtonScope;

      case 'form':
        return ancestorInfo.formTag || ancestorInfo.pTagInButtonScope;

      case 'li':
        return ancestorInfo.listItemTagAutoclosing;

      case 'dd':
      case 'dt':
        return ancestorInfo.dlItemTagAutoclosing;

      case 'button':
        return ancestorInfo.buttonTagInScope;

      case 'a':
        // Spec says something about storing a list of markers, but it sounds
        // equivalent to this check.
        return ancestorInfo.aTagInScope;

      case 'nobr':
        return ancestorInfo.nobrTagInScope;
    }

    return null;
  };

  var didWarn$1 = {};

  validateDOMNesting = function (childTag, childText, ancestorInfo) {
    ancestorInfo = ancestorInfo || emptyAncestorInfo;
    var parentInfo = ancestorInfo.current;
    var parentTag = parentInfo && parentInfo.tag;

    if (childText != null) {
      if (childTag != null) {
        error('validateDOMNesting: when childText is passed, childTag should be null');
      }

      childTag = '#text';
    }

    var invalidParent = isTagValidWithParent(childTag, parentTag) ? null : parentInfo;
    var invalidAncestor = invalidParent ? null : findInvalidAncestorForTag(childTag, ancestorInfo);
    var invalidParentOrAncestor = invalidParent || invalidAncestor;

    if (!invalidParentOrAncestor) {
      return;
    }

    var ancestorTag = invalidParentOrAncestor.tag;
    var warnKey = !!invalidParent + '|' + childTag + '|' + ancestorTag;

    if (didWarn$1[warnKey]) {
      return;
    }

    didWarn$1[warnKey] = true;
    var tagDisplayName = childTag;
    var whitespaceInfo = '';

    if (childTag === '#text') {
      if (/\S/.test(childText)) {
        tagDisplayName = 'Text nodes';
      } else {
        tagDisplayName = 'Whitespace text nodes';
        whitespaceInfo = " Make sure you don't have any extra whitespace between tags on " + 'each line of your source code.';
      }
    } else {
      tagDisplayName = '<' + childTag + '>';
    }

    if (invalidParent) {
      var info = '';

      if (ancestorTag === 'table' && childTag === 'tr') {
        info += ' Add a <tbody>, <thead> or <tfoot> to your code to match the DOM tree generated by ' + 'the browser.';
      }

      error('validateDOMNesting(...): %s cannot appear as a child of <%s>.%s%s', tagDisplayName, ancestorTag, whitespaceInfo, info);
    } else {
      error('validateDOMNesting(...): %s cannot appear as a descendant of ' + '<%s>.', tagDisplayName, ancestorTag);
    }
  };
}

var SUPPRESS_HYDRATION_WARNING$1;

{
  SUPPRESS_HYDRATION_WARNING$1 = 'suppressHydrationWarning';
}

var SUSPENSE_START_DATA = '$';
var SUSPENSE_END_DATA = '/$';
var SUSPENSE_PENDING_START_DATA = '$?';
var SUSPENSE_FALLBACK_START_DATA = '$!';
var STYLE$1 = 'style';
var eventsEnabled = null;
var selectionInformation = null;

function shouldAutoFocusHostComponent(type, props) {
  switch (type) {
    case 'button':
    case 'input':
    case 'select':
    case 'textarea':
      return !!props.autoFocus;
  }

  return false;
}
function getRootHostContext(rootContainerInstance) {
  var type;
  var namespace;
  var nodeType = rootContainerInstance.nodeType;

  switch (nodeType) {
    case DOCUMENT_NODE:
    case DOCUMENT_FRAGMENT_NODE:
      {
        type = nodeType === DOCUMENT_NODE ? '#document' : '#fragment';
        var root = rootContainerInstance.documentElement;
        namespace = root ? root.namespaceURI : getChildNamespace(null, '');
        break;
      }

    default:
      {
        var container = nodeType === COMMENT_NODE ? rootContainerInstance.parentNode : rootContainerInstance;
        var ownNamespace = container.namespaceURI || null;
        type = container.tagName;
        namespace = getChildNamespace(ownNamespace, type);
        break;
      }
  }

  {
    var validatedTag = type.toLowerCase();
    var ancestorInfo = updatedAncestorInfo(null, validatedTag);
    return {
      namespace: namespace,
      ancestorInfo: ancestorInfo
    };
  }
}
function getChildHostContext(parentHostContext, type, rootContainerInstance) {
  {
    var parentHostContextDev = parentHostContext;
    var namespace = getChildNamespace(parentHostContextDev.namespace, type);
    var ancestorInfo = updatedAncestorInfo(parentHostContextDev.ancestorInfo, type);
    return {
      namespace: namespace,
      ancestorInfo: ancestorInfo
    };
  }
}
function getPublicInstance(instance) {
  return instance;
}
function prepareForCommit(containerInfo) {
  eventsEnabled = isEnabled();
  selectionInformation = getSelectionInformation();
  var activeInstance = null;

  setEnabled(false);
  return activeInstance;
}
function resetAfterCommit(containerInfo) {
  restoreSelection(selectionInformation);
  setEnabled(eventsEnabled);
  eventsEnabled = null;
  selectionInformation = null;
}
function createInstance(type, props, rootContainerInstance, hostContext, internalInstanceHandle) {
  var parentNamespace;

  {
    // TODO: take namespace into account when validating.
    var hostContextDev = hostContext;
    validateDOMNesting(type, null, hostContextDev.ancestorInfo);

    if (typeof props.children === 'string' || typeof props.children === 'number') {
      var string = '' + props.children;
      var ownAncestorInfo = updatedAncestorInfo(hostContextDev.ancestorInfo, type);
      validateDOMNesting(null, string, ownAncestorInfo);
    }

    parentNamespace = hostContextDev.namespace;
  }

  var domElement = createElement(type, props, rootContainerInstance, parentNamespace);
  precacheFiberNode(internalInstanceHandle, domElement);
  updateFiberProps(domElement, props);
  return domElement;
}
function appendInitialChild(parentInstance, child) {
  parentInstance.appendChild(child);
}
function finalizeInitialChildren(domElement, type, props, rootContainerInstance, hostContext) {
  setInitialProperties(domElement, type, props, rootContainerInstance);
  return shouldAutoFocusHostComponent(type, props);
}
function prepareUpdate(domElement, type, oldProps, newProps, rootContainerInstance, hostContext) {
  {
    var hostContextDev = hostContext;

    if (typeof newProps.children !== typeof oldProps.children && (typeof newProps.children === 'string' || typeof newProps.children === 'number')) {
      var string = '' + newProps.children;
      var ownAncestorInfo = updatedAncestorInfo(hostContextDev.ancestorInfo, type);
      validateDOMNesting(null, string, ownAncestorInfo);
    }
  }

  return diffProperties(domElement, type, oldProps, newProps);
}
function shouldSetTextContent(type, props) {
  return type === 'textarea' || type === 'option' || type === 'noscript' || typeof props.children === 'string' || typeof props.children === 'number' || typeof props.dangerouslySetInnerHTML === 'object' && props.dangerouslySetInnerHTML !== null && props.dangerouslySetInnerHTML.__html != null;
}
function createTextInstance(text, rootContainerInstance, hostContext, internalInstanceHandle) {
  {
    var hostContextDev = hostContext;
    validateDOMNesting(null, text, hostContextDev.ancestorInfo);
  }

  var textNode = createTextNode(text, rootContainerInstance);
  precacheFiberNode(internalInstanceHandle, textNode);
  return textNode;
}
// if a component just imports ReactDOM (e.g. for findDOMNode).
// Some environments might not have setTimeout or clearTimeout.

var scheduleTimeout = typeof setTimeout === 'function' ? setTimeout : undefined;
var cancelTimeout = typeof clearTimeout === 'function' ? clearTimeout : undefined;
var noTimeout = -1; // -------------------
function commitMount(domElement, type, newProps, internalInstanceHandle) {
  // Despite the naming that might imply otherwise, this method only
  // fires if there is an `Update` effect scheduled during mounting.
  // This happens if `finalizeInitialChildren` returns `true` (which it
  // does to implement the `autoFocus` attribute on the client). But
  // there are also other cases when this might happen (such as patching
  // up text content during hydration mismatch). So we'll check this again.
  if (shouldAutoFocusHostComponent(type, newProps)) {
    domElement.focus();
  }
}
function commitUpdate(domElement, updatePayload, type, oldProps, newProps, internalInstanceHandle) {
  // Update the props handle so that we know which props are the ones with
  // with current event handlers.
  updateFiberProps(domElement, newProps); // Apply the diff to the DOM node.

  updateProperties(domElement, updatePayload, type, oldProps, newProps);
}
function resetTextContent(domElement) {
  setTextContent(domElement, '');
}
function commitTextUpdate(textInstance, oldText, newText) {
  textInstance.nodeValue = newText;
}
function appendChild(parentInstance, child) {
  parentInstance.appendChild(child);
}
function appendChildToContainer(container, child) {
  var parentNode;

  if (container.nodeType === COMMENT_NODE) {
    parentNode = container.parentNode;
    parentNode.insertBefore(child, container);
  } else {
    parentNode = container;
    parentNode.appendChild(child);
  } // This container might be used for a portal.
  // If something inside a portal is clicked, that click should bubble
  // through the React tree. However, on Mobile Safari the click would
  // never bubble through the *DOM* tree unless an ancestor with onclick
  // event exists. So we wouldn't see it and dispatch it.
  // This is why we ensure that non React root containers have inline onclick
  // defined.
  // https://github.com/facebook/react/issues/11918


  var reactRootContainer = container._reactRootContainer;

  if ((reactRootContainer === null || reactRootContainer === undefined) && parentNode.onclick === null) {
    // TODO: This cast may not be sound for SVG, MathML or custom elements.
    trapClickOnNonInteractiveElement(parentNode);
  }
}
function insertBefore(parentInstance, child, beforeChild) {
  parentInstance.insertBefore(child, beforeChild);
}
function insertInContainerBefore(container, child, beforeChild) {
  if (container.nodeType === COMMENT_NODE) {
    container.parentNode.insertBefore(child, beforeChild);
  } else {
    container.insertBefore(child, beforeChild);
  }
}

function removeChild(parentInstance, child) {
  parentInstance.removeChild(child);
}
function removeChildFromContainer(container, child) {
  if (container.nodeType === COMMENT_NODE) {
    container.parentNode.removeChild(child);
  } else {
    container.removeChild(child);
  }
}
function hideInstance(instance) {
  // TODO: Does this work for all element types? What about MathML? Should we
  // pass host context to this method?
  instance = instance;
  var style = instance.style;

  if (typeof style.setProperty === 'function') {
    style.setProperty('display', 'none', 'important');
  } else {
    style.display = 'none';
  }
}
function hideTextInstance(textInstance) {
  textInstance.nodeValue = '';
}
function unhideInstance(instance, props) {
  instance = instance;
  var styleProp = props[STYLE$1];
  var display = styleProp !== undefined && styleProp !== null && styleProp.hasOwnProperty('display') ? styleProp.display : null;
  instance.style.display = dangerousStyleValue('display', display);
}
function unhideTextInstance(textInstance, text) {
  textInstance.nodeValue = text;
}
function clearContainer(container) {
  if (container.nodeType === ELEMENT_NODE) {
    container.textContent = '';
  } else if (container.nodeType === DOCUMENT_NODE) {
    var body = container.body;

    if (body != null) {
      body.textContent = '';
    }
  }
} // -------------------
function canHydrateInstance(instance, type, props) {
  if (instance.nodeType !== ELEMENT_NODE || type.toLowerCase() !== instance.nodeName.toLowerCase()) {
    return null;
  } // This has now been refined to an element node.


  return instance;
}
function canHydrateTextInstance(instance, text) {
  if (text === '' || instance.nodeType !== TEXT_NODE) {
    // Empty strings are not parsed by HTML so there won't be a correct match here.
    return null;
  } // This has now been refined to a text node.


  return instance;
}
function isSuspenseInstancePending(instance) {
  return instance.data === SUSPENSE_PENDING_START_DATA;
}
function isSuspenseInstanceFallback(instance) {
  return instance.data === SUSPENSE_FALLBACK_START_DATA;
}

function getNextHydratable(node) {
  // Skip non-hydratable nodes.
  for (; node != null; node = node.nextSibling) {
    var nodeType = node.nodeType;

    if (nodeType === ELEMENT_NODE || nodeType === TEXT_NODE) {
      break;
    }
  }

  return node;
}

function getNextHydratableSibling(instance) {
  return getNextHydratable(instance.nextSibling);
}
function getFirstHydratableChild(parentInstance) {
  return getNextHydratable(parentInstance.firstChild);
}
function hydrateInstance(instance, type, props, rootContainerInstance, hostContext, internalInstanceHandle) {
  precacheFiberNode(internalInstanceHandle, instance); // TODO: Possibly defer this until the commit phase where all the events
  // get attached.

  updateFiberProps(instance, props);
  var parentNamespace;

  {
    var hostContextDev = hostContext;
    parentNamespace = hostContextDev.namespace;
  }

  return diffHydratedProperties(instance, type, props, parentNamespace);
}
function hydrateTextInstance(textInstance, text, internalInstanceHandle) {
  precacheFiberNode(internalInstanceHandle, textInstance);
  return diffHydratedText(textInstance, text);
}
function getNextHydratableInstanceAfterSuspenseInstance(suspenseInstance) {
  var node = suspenseInstance.nextSibling; // Skip past all nodes within this suspense boundary.
  // There might be nested nodes so we need to keep track of how
  // deep we are and only break out when we're back on top.

  var depth = 0;

  while (node) {
    if (node.nodeType === COMMENT_NODE) {
      var data = node.data;

      if (data === SUSPENSE_END_DATA) {
        if (depth === 0) {
          return getNextHydratableSibling(node);
        } else {
          depth--;
        }
      } else if (data === SUSPENSE_START_DATA || data === SUSPENSE_FALLBACK_START_DATA || data === SUSPENSE_PENDING_START_DATA) {
        depth++;
      }
    }

    node = node.nextSibling;
  } // TODO: Warn, we didn't find the end comment boundary.


  return null;
} // Returns the SuspenseInstance if this node is a direct child of a
// SuspenseInstance. I.e. if its previous sibling is a Comment with
// SUSPENSE_x_START_DATA. Otherwise, null.

function getParentSuspenseInstance(targetInstance) {
  var node = targetInstance.previousSibling; // Skip past all nodes within this suspense boundary.
  // There might be nested nodes so we need to keep track of how
  // deep we are and only break out when we're back on top.

  var depth = 0;

  while (node) {
    if (node.nodeType === COMMENT_NODE) {
      var data = node.data;

      if (data === SUSPENSE_START_DATA || data === SUSPENSE_FALLBACK_START_DATA || data === SUSPENSE_PENDING_START_DATA) {
        if (depth === 0) {
          return node;
        } else {
          depth--;
        }
      } else if (data === SUSPENSE_END_DATA) {
        depth++;
      }
    }

    node = node.previousSibling;
  }

  return null;
}
function commitHydratedContainer(container) {
  // Retry if any event replaying was blocked on this.
  retryIfBlockedOn(container);
}
function commitHydratedSuspenseInstance(suspenseInstance) {
  // Retry if any event replaying was blocked on this.
  retryIfBlockedOn(suspenseInstance);
}
function didNotMatchHydratedContainerTextInstance(parentContainer, textInstance, text) {
  {
    warnForUnmatchedText(textInstance, text);
  }
}
function didNotMatchHydratedTextInstance(parentType, parentProps, parentInstance, textInstance, text) {
  if ( parentProps[SUPPRESS_HYDRATION_WARNING$1] !== true) {
    warnForUnmatchedText(textInstance, text);
  }
}
function didNotHydrateContainerInstance(parentContainer, instance) {
  {
    if (instance.nodeType === ELEMENT_NODE) {
      warnForDeletedHydratableElement(parentContainer, instance);
    } else if (instance.nodeType === COMMENT_NODE) ; else {
      warnForDeletedHydratableText(parentContainer, instance);
    }
  }
}
function didNotHydrateInstance(parentType, parentProps, parentInstance, instance) {
  if ( parentProps[SUPPRESS_HYDRATION_WARNING$1] !== true) {
    if (instance.nodeType === ELEMENT_NODE) {
      warnForDeletedHydratableElement(parentInstance, instance);
    } else if (instance.nodeType === COMMENT_NODE) ; else {
      warnForDeletedHydratableText(parentInstance, instance);
    }
  }
}
function didNotFindHydratableContainerInstance(parentContainer, type, props) {
  {
    warnForInsertedHydratedElement(parentContainer, type);
  }
}
function didNotFindHydratableContainerTextInstance(parentContainer, text) {
  {
    warnForInsertedHydratedText(parentContainer, text);
  }
}
function didNotFindHydratableInstance(parentType, parentProps, parentInstance, type, props) {
  if ( parentProps[SUPPRESS_HYDRATION_WARNING$1] !== true) {
    warnForInsertedHydratedElement(parentInstance, type);
  }
}
function didNotFindHydratableTextInstance(parentType, parentProps, parentInstance, text) {
  if ( parentProps[SUPPRESS_HYDRATION_WARNING$1] !== true) {
    warnForInsertedHydratedText(parentInstance, text);
  }
}
function didNotFindHydratableSuspenseInstance(parentType, parentProps, parentInstance) {
  if ( parentProps[SUPPRESS_HYDRATION_WARNING$1] !== true) ;
}
var clientId = 0;
function makeClientIdInDEV(warnOnAccessInDEV) {
  var id = 'r:' + (clientId++).toString(36);
  return {
    toString: function () {
      warnOnAccessInDEV();
      return id;
    },
    valueOf: function () {
      warnOnAccessInDEV();
      return id;
    }
  };
}
function isOpaqueHydratingObject(value) {
  return value !== null && typeof value === 'object' && value.$$typeof === REACT_OPAQUE_ID_TYPE;
}
function makeOpaqueHydratingObject(attemptToReadValue) {
  return {
    $$typeof: REACT_OPAQUE_ID_TYPE,
    toString: attemptToReadValue,
    valueOf: attemptToReadValue
  };
}
function preparePortalMount(portalInstance) {
  {
    listenToAllSupportedEvents(portalInstance);
  }
}

var randomKey = Math.random().toString(36).slice(2);
var internalInstanceKey = '__reactFiber$' + randomKey;
var internalPropsKey = '__reactProps$' + randomKey;
var internalContainerInstanceKey = '__reactContainer$' + randomKey;
var internalEventHandlersKey = '__reactEvents$' + randomKey;
function precacheFiberNode(hostInst, node) {
  node[internalInstanceKey] = hostInst;
}
function markContainerAsRoot(hostRoot, node) {
  node[internalContainerInstanceKey] = hostRoot;
}
function unmarkContainerAsRoot(node) {
  node[internalContainerInstanceKey] = null;
}
function isContainerMarkedAsRoot(node) {
  return !!node[internalContainerInstanceKey];
} // Given a DOM node, return the closest HostComponent or HostText fiber ancestor.
// If the target node is part of a hydrated or not yet rendered subtree, then
// this may also return a SuspenseComponent or HostRoot to indicate that.
// Conceptually the HostRoot fiber is a child of the Container node. So if you
// pass the Container node as the targetNode, you will not actually get the
// HostRoot back. To get to the HostRoot, you need to pass a child of it.
// The same thing applies to Suspense boundaries.

function getClosestInstanceFromNode(targetNode) {
  var targetInst = targetNode[internalInstanceKey];

  if (targetInst) {
    // Don't return HostRoot or SuspenseComponent here.
    return targetInst;
  } // If the direct event target isn't a React owned DOM node, we need to look
  // to see if one of its parents is a React owned DOM node.


  var parentNode = targetNode.parentNode;

  while (parentNode) {
    // We'll check if this is a container root that could include
    // React nodes in the future. We need to check this first because
    // if we're a child of a dehydrated container, we need to first
    // find that inner container before moving on to finding the parent
    // instance. Note that we don't check this field on  the targetNode
    // itself because the fibers are conceptually between the container
    // node and the first child. It isn't surrounding the container node.
    // If it's not a container, we check if it's an instance.
    targetInst = parentNode[internalContainerInstanceKey] || parentNode[internalInstanceKey];

    if (targetInst) {
      // Since this wasn't the direct target of the event, we might have
      // stepped past dehydrated DOM nodes to get here. However they could
      // also have been non-React nodes. We need to answer which one.
      // If we the instance doesn't have any children, then there can't be
      // a nested suspense boundary within it. So we can use this as a fast
      // bailout. Most of the time, when people add non-React children to
      // the tree, it is using a ref to a child-less DOM node.
      // Normally we'd only need to check one of the fibers because if it
      // has ever gone from having children to deleting them or vice versa
      // it would have deleted the dehydrated boundary nested inside already.
      // However, since the HostRoot starts out with an alternate it might
      // have one on the alternate so we need to check in case this was a
      // root.
      var alternate = targetInst.alternate;

      if (targetInst.child !== null || alternate !== null && alternate.child !== null) {
        // Next we need to figure out if the node that skipped past is
        // nested within a dehydrated boundary and if so, which one.
        var suspenseInstance = getParentSuspenseInstance(targetNode);

        while (suspenseInstance !== null) {
          // We found a suspense instance. That means that we haven't
          // hydrated it yet. Even though we leave the comments in the
          // DOM after hydrating, and there are boundaries in the DOM
          // that could already be hydrated, we wouldn't have found them
          // through this pass since if the target is hydrated it would
          // have had an internalInstanceKey on it.
          // Let's get the fiber associated with the SuspenseComponent
          // as the deepest instance.
          var targetSuspenseInst = suspenseInstance[internalInstanceKey];

          if (targetSuspenseInst) {
            return targetSuspenseInst;
          } // If we don't find a Fiber on the comment, it might be because
          // we haven't gotten to hydrate it yet. There might still be a
          // parent boundary that hasn't above this one so we need to find
          // the outer most that is known.


          suspenseInstance = getParentSuspenseInstance(suspenseInstance); // If we don't find one, then that should mean that the parent
          // host component also hasn't hydrated yet. We can return it
          // below since it will bail out on the isMounted check later.
        }
      }

      return targetInst;
    }

    targetNode = parentNode;
    parentNode = targetNode.parentNode;
  }

  return null;
}
/**
 * Given a DOM node, return the ReactDOMComponent or ReactDOMTextComponent
 * instance, or null if the node was not rendered by this React.
 */

function getInstanceFromNode(node) {
  var inst = node[internalInstanceKey] || node[internalContainerInstanceKey];

  if (inst) {
    if (inst.tag === HostComponent || inst.tag === HostText || inst.tag === SuspenseComponent || inst.tag === HostRoot) {
      return inst;
    } else {
      return null;
    }
  }

  return null;
}
/**
 * Given a ReactDOMComponent or ReactDOMTextComponent, return the corresponding
 * DOM node.
 */

function getNodeFromInstance(inst) {
  if (inst.tag === HostComponent || inst.tag === HostText) {
    // In Fiber this, is just the state node right now. We assume it will be
    // a host component or host text.
    return inst.stateNode;
  } // Without this first invariant, passing a non-DOM-component triggers the next
  // invariant for a missing parent, which is super confusing.


  {
    {
      throw Error( "getNodeFromInstance: Invalid argument." );
    }
  }
}
function getFiberCurrentPropsFromNode(node) {
  return node[internalPropsKey] || null;
}
function updateFiberProps(node, props) {
  node[internalPropsKey] = props;
}
function getEventListenerSet(node) {
  var elementListenerSet = node[internalEventHandlersKey];

  if (elementListenerSet === undefined) {
    elementListenerSet = node[internalEventHandlersKey] = new Set();
  }

  return elementListenerSet;
}

var loggedTypeFailures = {};
var ReactDebugCurrentFrame$1 = ReactSharedInternals.ReactDebugCurrentFrame;

function setCurrentlyValidatingElement(element) {
  {
    if (element) {
      var owner = element._owner;
      var stack = describeUnknownElementTypeFrameInDEV(element.type, element._source, owner ? owner.type : null);
      ReactDebugCurrentFrame$1.setExtraStackFrame(stack);
    } else {
      ReactDebugCurrentFrame$1.setExtraStackFrame(null);
    }
  }
}

function checkPropTypes(typeSpecs, values, location, componentName, element) {
  {
    // $FlowFixMe This is okay but Flow doesn't know it.
    var has = Function.call.bind(Object.prototype.hasOwnProperty);

    for (var typeSpecName in typeSpecs) {
      if (has(typeSpecs, typeSpecName)) {
        var error$1 = void 0; // Prop type validation may throw. In case they do, we don't want to
        // fail the render phase where it didn't fail before. So we log it.
        // After these have been cleaned up, we'll let them throw.

        try {
          // This is intentionally an invariant that gets caught. It's the same
          // behavior as without this statement except with a better message.
          if (typeof typeSpecs[typeSpecName] !== 'function') {
            var err = Error((componentName || 'React class') + ': ' + location + ' type `' + typeSpecName + '` is invalid; ' + 'it must be a function, usually from the `prop-types` package, but received `' + typeof typeSpecs[typeSpecName] + '`.' + 'This often happens because of typos such as `PropTypes.function` instead of `PropTypes.func`.');
            err.name = 'Invariant Violation';
            throw err;
          }

          error$1 = typeSpecs[typeSpecName](values, typeSpecName, componentName, location, null, 'SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED');
        } catch (ex) {
          error$1 = ex;
        }

        if (error$1 && !(error$1 instanceof Error)) {
          setCurrentlyValidatingElement(element);

          error('%s: type specification of %s' + ' `%s` is invalid; the type checker ' + 'function must return `null` or an `Error` but returned a %s. ' + 'You may have forgotten to pass an argument to the type checker ' + 'creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and ' + 'shape all require an argument).', componentName || 'React class', location, typeSpecName, typeof error$1);

          setCurrentlyValidatingElement(null);
        }

        if (error$1 instanceof Error && !(error$1.message in loggedTypeFailures)) {
          // Only monitor this failure once because there tends to be a lot of the
          // same error.
          loggedTypeFailures[error$1.message] = true;
          setCurrentlyValidatingElement(element);

          error('Failed %s type: %s', location, error$1.message);

          setCurrentlyValidatingElement(null);
        }
      }
    }
  }
}

var valueStack = [];
var fiberStack;

{
  fiberStack = [];
}

var index = -1;

function createCursor(defaultValue) {
  return {
    current: defaultValue
  };
}

function pop(cursor, fiber) {
  if (index < 0) {
    {
      error('Unexpected pop.');
    }

    return;
  }

  {
    if (fiber !== fiberStack[index]) {
      error('Unexpected Fiber popped.');
    }
  }

  cursor.current = valueStack[index];
  valueStack[index] = null;

  {
    fiberStack[index] = null;
  }

  index--;
}

function push(cursor, value, fiber) {
  index++;
  valueStack[index] = cursor.current;

  {
    fiberStack[index] = fiber;
  }

  cursor.current = value;
}

var warnedAboutMissingGetChildContext;

{
  warnedAboutMissingGetChildContext = {};
}

var emptyContextObject = {};

{
  Object.freeze(emptyContextObject);
} // A cursor to the current merged context object on the stack.


var contextStackCursor = createCursor(emptyContextObject); // A cursor to a boolean indicating whether the context has changed.

var didPerformWorkStackCursor = createCursor(false); // Keep track of the previous context object that was on the stack.
// We use this to get access to the parent context after we have already
// pushed the next context provider, and now need to merge their contexts.

var previousContext = emptyContextObject;

function getUnmaskedContext(workInProgress, Component, didPushOwnContextIfProvider) {
  {
    if (didPushOwnContextIfProvider && isContextProvider(Component)) {
      // If the fiber is a context provider itself, when we read its context
      // we may have already pushed its own child context on the stack. A context
      // provider should not "see" its own child context. Therefore we read the
      // previous (parent) context instead for a context provider.
      return previousContext;
    }

    return contextStackCursor.current;
  }
}

function cacheContext(workInProgress, unmaskedContext, maskedContext) {
  {
    var instance = workInProgress.stateNode;
    instance.__reactInternalMemoizedUnmaskedChildContext = unmaskedContext;
    instance.__reactInternalMemoizedMaskedChildContext = maskedContext;
  }
}

function getMaskedContext(workInProgress, unmaskedContext) {
  {
    var type = workInProgress.type;
    var contextTypes = type.contextTypes;

    if (!contextTypes) {
      return emptyContextObject;
    } // Avoid recreating masked context unless unmasked context has changed.
    // Failing to do this will result in unnecessary calls to componentWillReceiveProps.
    // This may trigger infinite loops if componentWillReceiveProps calls setState.


    var instance = workInProgress.stateNode;

    if (instance && instance.__reactInternalMemoizedUnmaskedChildContext === unmaskedContext) {
      return instance.__reactInternalMemoizedMaskedChildContext;
    }

    var context = {};

    for (var key in contextTypes) {
      context[key] = unmaskedContext[key];
    }

    {
      var name = getComponentName(type) || 'Unknown';
      checkPropTypes(contextTypes, context, 'context', name);
    } // Cache unmasked context so we can avoid recreating masked context unless necessary.
    // Context is created before the class component is instantiated so check for instance.


    if (instance) {
      cacheContext(workInProgress, unmaskedContext, context);
    }

    return context;
  }
}

function hasContextChanged() {
  {
    return didPerformWorkStackCursor.current;
  }
}

function isContextProvider(type) {
  {
    var childContextTypes = type.childContextTypes;
    return childContextTypes !== null && childContextTypes !== undefined;
  }
}

function popContext(fiber) {
  {
    pop(didPerformWorkStackCursor, fiber);
    pop(contextStackCursor, fiber);
  }
}

function popTopLevelContextObject(fiber) {
  {
    pop(didPerformWorkStackCursor, fiber);
    pop(contextStackCursor, fiber);
  }
}

function pushTopLevelContextObject(fiber, context, didChange) {
  {
    if (!(contextStackCursor.current === emptyContextObject)) {
      {
        throw Error( "Unexpected context found on stack. This error is likely caused by a bug in React. Please file an issue." );
      }
    }

    push(contextStackCursor, context, fiber);
    push(didPerformWorkStackCursor, didChange, fiber);
  }
}

function processChildContext(fiber, type, parentContext) {
  {
    var instance = fiber.stateNode;
    var childContextTypes = type.childContextTypes; // TODO (bvaughn) Replace this behavior with an invariant() in the future.
    // It has only been added in Fiber to match the (unintentional) behavior in Stack.

    if (typeof instance.getChildContext !== 'function') {
      {
        var componentName = getComponentName(type) || 'Unknown';

        if (!warnedAboutMissingGetChildContext[componentName]) {
          warnedAboutMissingGetChildContext[componentName] = true;

          error('%s.childContextTypes is specified but there is no getChildContext() method ' + 'on the instance. You can either define getChildContext() on %s or remove ' + 'childContextTypes from it.', componentName, componentName);
        }
      }

      return parentContext;
    }

    var childContext = instance.getChildContext();

    for (var contextKey in childContext) {
      if (!(contextKey in childContextTypes)) {
        {
          throw Error( (getComponentName(type) || 'Unknown') + ".getChildContext(): key \"" + contextKey + "\" is not defined in childContextTypes." );
        }
      }
    }

    {
      var name = getComponentName(type) || 'Unknown';
      checkPropTypes(childContextTypes, childContext, 'child context', name);
    }

    return _assign({}, parentContext, childContext);
  }
}

function pushContextProvider(workInProgress) {
  {
    var instance = workInProgress.stateNode; // We push the context as early as possible to ensure stack integrity.
    // If the instance does not exist yet, we will push null at first,
    // and replace it on the stack later when invalidating the context.

    var memoizedMergedChildContext = instance && instance.__reactInternalMemoizedMergedChildContext || emptyContextObject; // Remember the parent context so we can merge with it later.
    // Inherit the parent's did-perform-work value to avoid inadvertently blocking updates.

    previousContext = contextStackCursor.current;
    push(contextStackCursor, memoizedMergedChildContext, workInProgress);
    push(didPerformWorkStackCursor, didPerformWorkStackCursor.current, workInProgress);
    return true;
  }
}

function invalidateContextProvider(workInProgress, type, didChange) {
  {
    var instance = workInProgress.stateNode;

    if (!instance) {
      {
        throw Error( "Expected to have an instance by this point. This error is likely caused by a bug in React. Please file an issue." );
      }
    }

    if (didChange) {
      // Merge parent and own context.
      // Skip this if we're not updating due to sCU.
      // This avoids unnecessarily recomputing memoized values.
      var mergedContext = processChildContext(workInProgress, type, previousContext);
      instance.__reactInternalMemoizedMergedChildContext = mergedContext; // Replace the old (or empty) context with the new one.
      // It is important to unwind the context in the reverse order.

      pop(didPerformWorkStackCursor, workInProgress);
      pop(contextStackCursor, workInProgress); // Now push the new context and mark that it has changed.

      push(contextStackCursor, mergedContext, workInProgress);
      push(didPerformWorkStackCursor, didChange, workInProgress);
    } else {
      pop(didPerformWorkStackCursor, workInProgress);
      push(didPerformWorkStackCursor, didChange, workInProgress);
    }
  }
}

function findCurrentUnmaskedContext(fiber) {
  {
    // Currently this is only used with renderSubtreeIntoContainer; not sure if it
    // makes sense elsewhere
    if (!(isFiberMounted(fiber) && fiber.tag === ClassComponent)) {
      {
        throw Error( "Expected subtree parent to be a mounted class component. This error is likely caused by a bug in React. Please file an issue." );
      }
    }

    var node = fiber;

    do {
      switch (node.tag) {
        case HostRoot:
          return node.stateNode.context;

        case ClassComponent:
          {
            var Component = node.type;

            if (isContextProvider(Component)) {
              return node.stateNode.__reactInternalMemoizedMergedChildContext;
            }

            break;
          }
      }

      node = node.return;
    } while (node !== null);

    {
      {
        throw Error( "Found unexpected detached subtree parent. This error is likely caused by a bug in React. Please file an issue." );
      }
    }
  }
}

var LegacyRoot = 0;
var BlockingRoot = 1;
var ConcurrentRoot = 2;

var rendererID = null;
var injectedHook = null;
var hasLoggedError = false;
var isDevToolsPresent = typeof __REACT_DEVTOOLS_GLOBAL_HOOK__ !== 'undefined';
function injectInternals(internals) {
  if (typeof __REACT_DEVTOOLS_GLOBAL_HOOK__ === 'undefined') {
    // No DevTools
    return false;
  }

  var hook = __REACT_DEVTOOLS_GLOBAL_HOOK__;

  if (hook.isDisabled) {
    // This isn't a real property on the hook, but it can be set to opt out
    // of DevTools integration and associated warnings and logs.
    // https://github.com/facebook/react/issues/3877
    return true;
  }

  if (!hook.supportsFiber) {
    {
      error('The installed version of React DevTools is too old and will not work ' + 'with the current version of React. Please update React DevTools. ' + 'https://reactjs.org/link/react-devtools');
    } // DevTools exists, even though it doesn't support Fiber.


    return true;
  }

  try {
    rendererID = hook.inject(internals); // We have successfully injected, so now it is safe to set up hooks.

    injectedHook = hook;
  } catch (err) {
    // Catch all errors because it is unsafe to throw during initialization.
    {
      error('React instrumentation encountered an error: %s.', err);
    }
  } // DevTools exists


  return true;
}
function onScheduleRoot(root, children) {
  {
    if (injectedHook && typeof injectedHook.onScheduleFiberRoot === 'function') {
      try {
        injectedHook.onScheduleFiberRoot(rendererID, root, children);
      } catch (err) {
        if ( !hasLoggedError) {
          hasLoggedError = true;

          error('React instrumentation encountered an error: %s', err);
        }
      }
    }
  }
}
function onCommitRoot(root, priorityLevel) {
  if (injectedHook && typeof injectedHook.onCommitFiberRoot === 'function') {
    try {
      var didError = (root.current.flags & DidCapture) === DidCapture;

      if (enableProfilerTimer) {
        injectedHook.onCommitFiberRoot(rendererID, root, priorityLevel, didError);
      } else {
        injectedHook.onCommitFiberRoot(rendererID, root, undefined, didError);
      }
    } catch (err) {
      {
        if (!hasLoggedError) {
          hasLoggedError = true;

          error('React instrumentation encountered an error: %s', err);
        }
      }
    }
  }
}
function onCommitUnmount(fiber) {
  if (injectedHook && typeof injectedHook.onCommitFiberUnmount === 'function') {
    try {
      injectedHook.onCommitFiberUnmount(rendererID, fiber);
    } catch (err) {
      {
        if (!hasLoggedError) {
          hasLoggedError = true;

          error('React instrumentation encountered an error: %s', err);
        }
      }
    }
  }
}

var Scheduler_runWithPriority = Scheduler.unstable_runWithPriority,
    Scheduler_scheduleCallback = Scheduler.unstable_scheduleCallback,
    Scheduler_cancelCallback = Scheduler.unstable_cancelCallback,
    Scheduler_shouldYield = Scheduler.unstable_shouldYield,
    Scheduler_requestPaint = Scheduler.unstable_requestPaint,
    Scheduler_now$1 = Scheduler.unstable_now,
    Scheduler_getCurrentPriorityLevel = Scheduler.unstable_getCurrentPriorityLevel,
    Scheduler_ImmediatePriority = Scheduler.unstable_ImmediatePriority,
    Scheduler_UserBlockingPriority = Scheduler.unstable_UserBlockingPriority,
    Scheduler_NormalPriority = Scheduler.unstable_NormalPriority,
    Scheduler_LowPriority = Scheduler.unstable_LowPriority,
    Scheduler_IdlePriority = Scheduler.unstable_IdlePriority;

{
  // Provide explicit error message when production+profiling bundle of e.g.
  // react-dom is used with production (non-profiling) bundle of
  // scheduler/tracing
  if (!(tracing.__interactionsRef != null && tracing.__interactionsRef.current != null)) {
    {
      throw Error( "It is not supported to run the profiling version of a renderer (for example, `react-dom/profiling`) without also replacing the `scheduler/tracing` module with `scheduler/tracing-profiling`. Your bundler might have a setting for aliasing both modules. Learn more at https://reactjs.org/link/profiling" );
    }
  }
}

var fakeCallbackNode = {}; // Except for NoPriority, these correspond to Scheduler priorities. We use
// ascending numbers so we can compare them like numbers. They start at 90 to
// avoid clashing with Scheduler's priorities.

var ImmediatePriority$1 = 99;
var UserBlockingPriority$2 = 98;
var NormalPriority$1 = 97;
var LowPriority$1 = 96;
var IdlePriority$1 = 95; // NoPriority is the absence of priority. Also React-only.

var NoPriority$1 = 90;
var shouldYield = Scheduler_shouldYield;
var requestPaint = // Fall back gracefully if we're running an older version of Scheduler.
Scheduler_requestPaint !== undefined ? Scheduler_requestPaint : function () {};
var syncQueue = null;
var immediateQueueCallbackNode = null;
var isFlushingSyncQueue = false;
var initialTimeMs$1 = Scheduler_now$1(); // If the initial timestamp is reasonably small, use Scheduler's `now` directly.
// This will be the case for modern browsers that support `performance.now`. In
// older browsers, Scheduler falls back to `Date.now`, which returns a Unix
// timestamp. In that case, subtract the module initialization time to simulate
// the behavior of performance.now and keep our times small enough to fit
// within 32 bits.
// TODO: Consider lifting this into Scheduler.

var now = initialTimeMs$1 < 10000 ? Scheduler_now$1 : function () {
  return Scheduler_now$1() - initialTimeMs$1;
};
function getCurrentPriorityLevel() {
  switch (Scheduler_getCurrentPriorityLevel()) {
    case Scheduler_ImmediatePriority:
      return ImmediatePriority$1;

    case Scheduler_UserBlockingPriority:
      return UserBlockingPriority$2;

    case Scheduler_NormalPriority:
      return NormalPriority$1;

    case Scheduler_LowPriority:
      return LowPriority$1;

    case Scheduler_IdlePriority:
      return IdlePriority$1;

    default:
      {
        {
          throw Error( "Unknown priority level." );
        }
      }

  }
}

function reactPriorityToSchedulerPriority(reactPriorityLevel) {
  switch (reactPriorityLevel) {
    case ImmediatePriority$1:
      return Scheduler_ImmediatePriority;

    case UserBlockingPriority$2:
      return Scheduler_UserBlockingPriority;

    case NormalPriority$1:
      return Scheduler_NormalPriority;

    case LowPriority$1:
      return Scheduler_LowPriority;

    case IdlePriority$1:
      return Scheduler_IdlePriority;

    default:
      {
        {
          throw Error( "Unknown priority level." );
        }
      }

  }
}

function runWithPriority$1(reactPriorityLevel, fn) {
  var priorityLevel = reactPriorityToSchedulerPriority(reactPriorityLevel);
  return Scheduler_runWithPriority(priorityLevel, fn);
}
function scheduleCallback(reactPriorityLevel, callback, options) {
  var priorityLevel = reactPriorityToSchedulerPriority(reactPriorityLevel);
  return Scheduler_scheduleCallback(priorityLevel, callback, options);
}
function scheduleSyncCallback(callback) {
  // Push this callback into an internal queue. We'll flush these either in
  // the next tick, or earlier if something calls `flushSyncCallbackQueue`.
  if (syncQueue === null) {
    syncQueue = [callback]; // Flush the queue in the next tick, at the earliest.

    immediateQueueCallbackNode = Scheduler_scheduleCallback(Scheduler_ImmediatePriority, flushSyncCallbackQueueImpl);
  } else {
    // Push onto existing queue. Don't need to schedule a callback because
    // we already scheduled one when we created the queue.
    syncQueue.push(callback);
  }

  return fakeCallbackNode;
}
function cancelCallback(callbackNode) {
  if (callbackNode !== fakeCallbackNode) {
    Scheduler_cancelCallback(callbackNode);
  }
}
function flushSyncCallbackQueue() {
  if (immediateQueueCallbackNode !== null) {
    var node = immediateQueueCallbackNode;
    immediateQueueCallbackNode = null;
    Scheduler_cancelCallback(node);
  }

  flushSyncCallbackQueueImpl();
}

function flushSyncCallbackQueueImpl() {
  if (!isFlushingSyncQueue && syncQueue !== null) {
    // Prevent re-entrancy.
    isFlushingSyncQueue = true;
    var i = 0;

    {
      try {
        var _isSync2 = true;
        var _queue = syncQueue;
        runWithPriority$1(ImmediatePriority$1, function () {
          for (; i < _queue.length; i++) {
            var callback = _queue[i];

            do {
              callback = callback(_isSync2);
            } while (callback !== null);
          }
        });
        syncQueue = null;
      } catch (error) {
        // If something throws, leave the remaining callbacks on the queue.
        if (syncQueue !== null) {
          syncQueue = syncQueue.slice(i + 1);
        } // Resume flushing in the next tick


        Scheduler_scheduleCallback(Scheduler_ImmediatePriority, flushSyncCallbackQueue);
        throw error;
      } finally {
        isFlushingSyncQueue = false;
      }
    }
  }
}

// TODO: this is special because it gets imported during build.
var ReactVersion = '17.0.1';

var NoMode = 0;
var StrictMode = 1; // TODO: Remove BlockingMode and ConcurrentMode by reading from the root
// tag instead

var BlockingMode = 2;
var ConcurrentMode = 4;
var ProfileMode = 8;
var DebugTracingMode = 16;

var ReactCurrentBatchConfig = ReactSharedInternals.ReactCurrentBatchConfig;
var NoTransition = 0;
function requestCurrentTransition() {
  return ReactCurrentBatchConfig.transition;
}

var ReactStrictModeWarnings = {
  recordUnsafeLifecycleWarnings: function (fiber, instance) {},
  flushPendingUnsafeLifecycleWarnings: function () {},
  recordLegacyContextWarning: function (fiber, instance) {},
  flushLegacyContextWarning: function () {},
  discardPendingWarnings: function () {}
};

{
  var findStrictRoot = function (fiber) {
    var maybeStrictRoot = null;
    var node = fiber;

    while (node !== null) {
      if (node.mode & StrictMode) {
        maybeStrictRoot = node;
      }

      node = node.return;
    }

    return maybeStrictRoot;
  };

  var setToSortedString = function (set) {
    var array = [];
    set.forEach(function (value) {
      array.push(value);
    });
    return array.sort().join(', ');
  };

  var pendingComponentWillMountWarnings = [];
  var pendingUNSAFE_ComponentWillMountWarnings = [];
  var pendingComponentWillReceivePropsWarnings = [];
  var pendingUNSAFE_ComponentWillReceivePropsWarnings = [];
  var pendingComponentWillUpdateWarnings = [];
  var pendingUNSAFE_ComponentWillUpdateWarnings = []; // Tracks components we have already warned about.

  var didWarnAboutUnsafeLifecycles = new Set();

  ReactStrictModeWarnings.recordUnsafeLifecycleWarnings = function (fiber, instance) {
    // Dedup strategy: Warn once per component.
    if (didWarnAboutUnsafeLifecycles.has(fiber.type)) {
      return;
    }

    if (typeof instance.componentWillMount === 'function' && // Don't warn about react-lifecycles-compat polyfilled components.
    instance.componentWillMount.__suppressDeprecationWarning !== true) {
      pendingComponentWillMountWarnings.push(fiber);
    }

    if (fiber.mode & StrictMode && typeof instance.UNSAFE_componentWillMount === 'function') {
      pendingUNSAFE_ComponentWillMountWarnings.push(fiber);
    }

    if (typeof instance.componentWillReceiveProps === 'function' && instance.componentWillReceiveProps.__suppressDeprecationWarning !== true) {
      pendingComponentWillReceivePropsWarnings.push(fiber);
    }

    if (fiber.mode & StrictMode && typeof instance.UNSAFE_componentWillReceiveProps === 'function') {
      pendingUNSAFE_ComponentWillReceivePropsWarnings.push(fiber);
    }

    if (typeof instance.componentWillUpdate === 'function' && instance.componentWillUpdate.__suppressDeprecationWarning !== true) {
      pendingComponentWillUpdateWarnings.push(fiber);
    }

    if (fiber.mode & StrictMode && typeof instance.UNSAFE_componentWillUpdate === 'function') {
      pendingUNSAFE_ComponentWillUpdateWarnings.push(fiber);
    }
  };

  ReactStrictModeWarnings.flushPendingUnsafeLifecycleWarnings = function () {
    // We do an initial pass to gather component names
    var componentWillMountUniqueNames = new Set();

    if (pendingComponentWillMountWarnings.length > 0) {
      pendingComponentWillMountWarnings.forEach(function (fiber) {
        componentWillMountUniqueNames.add(getComponentName(fiber.type) || 'Component');
        didWarnAboutUnsafeLifecycles.add(fiber.type);
      });
      pendingComponentWillMountWarnings = [];
    }

    var UNSAFE_componentWillMountUniqueNames = new Set();

    if (pendingUNSAFE_ComponentWillMountWarnings.length > 0) {
      pendingUNSAFE_ComponentWillMountWarnings.forEach(function (fiber) {
        UNSAFE_componentWillMountUniqueNames.add(getComponentName(fiber.type) || 'Component');
        didWarnAboutUnsafeLifecycles.add(fiber.type);
      });
      pendingUNSAFE_ComponentWillMountWarnings = [];
    }

    var componentWillReceivePropsUniqueNames = new Set();

    if (pendingComponentWillReceivePropsWarnings.length > 0) {
      pendingComponentWillReceivePropsWarnings.forEach(function (fiber) {
        componentWillReceivePropsUniqueNames.add(getComponentName(fiber.type) || 'Component');
        didWarnAboutUnsafeLifecycles.add(fiber.type);
      });
      pendingComponentWillReceivePropsWarnings = [];
    }

    var UNSAFE_componentWillReceivePropsUniqueNames = new Set();

    if (pendingUNSAFE_ComponentWillReceivePropsWarnings.length > 0) {
      pendingUNSAFE_ComponentWillReceivePropsWarnings.forEach(function (fiber) {
        UNSAFE_componentWillReceivePropsUniqueNames.add(getComponentName(fiber.type) || 'Component');
        didWarnAboutUnsafeLifecycles.add(fiber.type);
      });
      pendingUNSAFE_ComponentWillReceivePropsWarnings = [];
    }

    var componentWillUpdateUniqueNames = new Set();

    if (pendingComponentWillUpdateWarnings.length > 0) {
      pendingComponentWillUpdateWarnings.forEach(function (fiber) {
        componentWillUpdateUniqueNames.add(getComponentName(fiber.type) || 'Component');
        didWarnAboutUnsafeLifecycles.add(fiber.type);
      });
      pendingComponentWillUpdateWarnings = [];
    }

    var UNSAFE_componentWillUpdateUniqueNames = new Set();

    if (pendingUNSAFE_ComponentWillUpdateWarnings.length > 0) {
      pendingUNSAFE_ComponentWillUpdateWarnings.forEach(function (fiber) {
        UNSAFE_componentWillUpdateUniqueNames.add(getComponentName(fiber.type) || 'Component');
        didWarnAboutUnsafeLifecycles.add(fiber.type);
      });
      pendingUNSAFE_ComponentWillUpdateWarnings = [];
    } // Finally, we flush all the warnings
    // UNSAFE_ ones before the deprecated ones, since they'll be 'louder'


    if (UNSAFE_componentWillMountUniqueNames.size > 0) {
      var sortedNames = setToSortedString(UNSAFE_componentWillMountUniqueNames);

      error('Using UNSAFE_componentWillMount in strict mode is not recommended and may indicate bugs in your code. ' + 'See https://reactjs.org/link/unsafe-component-lifecycles for details.\n\n' + '* Move code with side effects to componentDidMount, and set initial state in the constructor.\n' + '\nPlease update the following components: %s', sortedNames);
    }

    if (UNSAFE_componentWillReceivePropsUniqueNames.size > 0) {
      var _sortedNames = setToSortedString(UNSAFE_componentWillReceivePropsUniqueNames);

      error('Using UNSAFE_componentWillReceiveProps in strict mode is not recommended ' + 'and may indicate bugs in your code. ' + 'See https://reactjs.org/link/unsafe-component-lifecycles for details.\n\n' + '* Move data fetching code or side effects to componentDidUpdate.\n' + "* If you're updating state whenever props change, " + 'refactor your code to use memoization techniques or move it to ' + 'static getDerivedStateFromProps. Learn more at: https://reactjs.org/link/derived-state\n' + '\nPlease update the following components: %s', _sortedNames);
    }

    if (UNSAFE_componentWillUpdateUniqueNames.size > 0) {
      var _sortedNames2 = setToSortedString(UNSAFE_componentWillUpdateUniqueNames);

      error('Using UNSAFE_componentWillUpdate in strict mode is not recommended ' + 'and may indicate bugs in your code. ' + 'See https://reactjs.org/link/unsafe-component-lifecycles for details.\n\n' + '* Move data fetching code or side effects to componentDidUpdate.\n' + '\nPlease update the following components: %s', _sortedNames2);
    }

    if (componentWillMountUniqueNames.size > 0) {
      var _sortedNames3 = setToSortedString(componentWillMountUniqueNames);

      warn('componentWillMount has been renamed, and is not recommended for use. ' + 'See https://reactjs.org/link/unsafe-component-lifecycles for details.\n\n' + '* Move code with side effects to componentDidMount, and set initial state in the constructor.\n' + '* Rename componentWillMount to UNSAFE_componentWillMount to suppress ' + 'this warning in non-strict mode. In React 18.x, only the UNSAFE_ name will work. ' + 'To rename all deprecated lifecycles to their new names, you can run ' + '`npx react-codemod rename-unsafe-lifecycles` in your project source folder.\n' + '\nPlease update the following components: %s', _sortedNames3);
    }

    if (componentWillReceivePropsUniqueNames.size > 0) {
      var _sortedNames4 = setToSortedString(componentWillReceivePropsUniqueNames);

      warn('componentWillReceiveProps has been renamed, and is not recommended for use. ' + 'See https://reactjs.org/link/unsafe-component-lifecycles for details.\n\n' + '* Move data fetching code or side effects to componentDidUpdate.\n' + "* If you're updating state whenever props change, refactor your " + 'code to use memoization techniques or move it to ' + 'static getDerivedStateFromProps. Learn more at: https://reactjs.org/link/derived-state\n' + '* Rename componentWillReceiveProps to UNSAFE_componentWillReceiveProps to suppress ' + 'this warning in non-strict mode. In React 18.x, only the UNSAFE_ name will work. ' + 'To rename all deprecated lifecycles to their new names, you can run ' + '`npx react-codemod rename-unsafe-lifecycles` in your project source folder.\n' + '\nPlease update the following components: %s', _sortedNames4);
    }

    if (componentWillUpdateUniqueNames.size > 0) {
      var _sortedNames5 = setToSortedString(componentWillUpdateUniqueNames);

      warn('componentWillUpdate has been renamed, and is not recommended for use. ' + 'See https://reactjs.org/link/unsafe-component-lifecycles for details.\n\n' + '* Move data fetching code or side effects to componentDidUpdate.\n' + '* Rename componentWillUpdate to UNSAFE_componentWillUpdate to suppress ' + 'this warning in non-strict mode. In React 18.x, only the UNSAFE_ name will work. ' + 'To rename all deprecated lifecycles to their new names, you can run ' + '`npx react-codemod rename-unsafe-lifecycles` in your project source folder.\n' + '\nPlease update the following components: %s', _sortedNames5);
    }
  };

  var pendingLegacyContextWarning = new Map(); // Tracks components we have already warned about.

  var didWarnAboutLegacyContext = new Set();

  ReactStrictModeWarnings.recordLegacyContextWarning = function (fiber, instance) {
    var strictRoot = findStrictRoot(fiber);

    if (strictRoot === null) {
      error('Expected to find a StrictMode component in a strict mode tree. ' + 'This error is likely caused by a bug in React. Please file an issue.');

      return;
    } // Dedup strategy: Warn once per component.


    if (didWarnAboutLegacyContext.has(fiber.type)) {
      return;
    }

    var warningsForRoot = pendingLegacyContextWarning.get(strictRoot);

    if (fiber.type.contextTypes != null || fiber.type.childContextTypes != null || instance !== null && typeof instance.getChildContext === 'function') {
      if (warningsForRoot === undefined) {
        warningsForRoot = [];
        pendingLegacyContextWarning.set(strictRoot, warningsForRoot);
      }

      warningsForRoot.push(fiber);
    }
  };

  ReactStrictModeWarnings.flushLegacyContextWarning = function () {
    pendingLegacyContextWarning.forEach(function (fiberArray, strictRoot) {
      if (fiberArray.length === 0) {
        return;
      }

      var firstFiber = fiberArray[0];
      var uniqueNames = new Set();
      fiberArray.forEach(function (fiber) {
        uniqueNames.add(getComponentName(fiber.type) || 'Component');
        didWarnAboutLegacyContext.add(fiber.type);
      });
      var sortedNames = setToSortedString(uniqueNames);

      try {
        setCurrentFiber(firstFiber);

        error('Legacy context API has been detected within a strict-mode tree.' + '\n\nThe old API will be supported in all 16.x releases, but applications ' + 'using it should migrate to the new version.' + '\n\nPlease update the following components: %s' + '\n\nLearn more about this warning here: https://reactjs.org/link/legacy-context', sortedNames);
      } finally {
        resetCurrentFiber();
      }
    });
  };

  ReactStrictModeWarnings.discardPendingWarnings = function () {
    pendingComponentWillMountWarnings = [];
    pendingUNSAFE_ComponentWillMountWarnings = [];
    pendingComponentWillReceivePropsWarnings = [];
    pendingUNSAFE_ComponentWillReceivePropsWarnings = [];
    pendingComponentWillUpdateWarnings = [];
    pendingUNSAFE_ComponentWillUpdateWarnings = [];
    pendingLegacyContextWarning = new Map();
  };
}

function resolveDefaultProps(Component, baseProps) {
  if (Component && Component.defaultProps) {
    // Resolve default props. Taken from ReactElement
    var props = _assign({}, baseProps);

    var defaultProps = Component.defaultProps;

    for (var propName in defaultProps) {
      if (props[propName] === undefined) {
        props[propName] = defaultProps[propName];
      }
    }

    return props;
  }

  return baseProps;
}

// Max 31 bit integer. The max integer size in V8 for 32-bit systems.
// Math.pow(2, 30) - 1
// 0b111111111111111111111111111111
var MAX_SIGNED_31_BIT_INT = 1073741823;

var valueCursor = createCursor(null);
var rendererSigil;

{
  // Use this to detect multiple renderers using the same context
  rendererSigil = {};
}

var currentlyRenderingFiber = null;
var lastContextDependency = null;
var lastContextWithAllBitsObserved = null;
var isDisallowedContextReadInDEV = false;
function resetContextDependencies() {
  // This is called right before React yields execution, to ensure `readContext`
  // cannot be called outside the render phase.
  currentlyRenderingFiber = null;
  lastContextDependency = null;
  lastContextWithAllBitsObserved = null;

  {
    isDisallowedContextReadInDEV = false;
  }
}
function enterDisallowedContextReadInDEV() {
  {
    isDisallowedContextReadInDEV = true;
  }
}
function exitDisallowedContextReadInDEV() {
  {
    isDisallowedContextReadInDEV = false;
  }
}
function pushProvider(providerFiber, nextValue) {
  var context = providerFiber.type._context;

  {
    push(valueCursor, context._currentValue, providerFiber);
    context._currentValue = nextValue;

    {
      if (context._currentRenderer !== undefined && context._currentRenderer !== null && context._currentRenderer !== rendererSigil) {
        error('Detected multiple renderers concurrently rendering the ' + 'same context provider. This is currently unsupported.');
      }

      context._currentRenderer = rendererSigil;
    }
  }
}
function popProvider(providerFiber) {
  var currentValue = valueCursor.current;
  pop(valueCursor, providerFiber);
  var context = providerFiber.type._context;

  {
    context._currentValue = currentValue;
  }
}
function calculateChangedBits(context, newValue, oldValue) {
  if (objectIs(oldValue, newValue)) {
    // No change
    return 0;
  } else {
    var changedBits = typeof context._calculateChangedBits === 'function' ? context._calculateChangedBits(oldValue, newValue) : MAX_SIGNED_31_BIT_INT;

    {
      if ((changedBits & MAX_SIGNED_31_BIT_INT) !== changedBits) {
        error('calculateChangedBits: Expected the return value to be a ' + '31-bit integer. Instead received: %s', changedBits);
      }
    }

    return changedBits | 0;
  }
}
function scheduleWorkOnParentPath(parent, renderLanes) {
  // Update the child lanes of all the ancestors, including the alternates.
  var node = parent;

  while (node !== null) {
    var alternate = node.alternate;

    if (!isSubsetOfLanes(node.childLanes, renderLanes)) {
      node.childLanes = mergeLanes(node.childLanes, renderLanes);

      if (alternate !== null) {
        alternate.childLanes = mergeLanes(alternate.childLanes, renderLanes);
      }
    } else if (alternate !== null && !isSubsetOfLanes(alternate.childLanes, renderLanes)) {
      alternate.childLanes = mergeLanes(alternate.childLanes, renderLanes);
    } else {
      // Neither alternate was updated, which means the rest of the
      // ancestor path already has sufficient priority.
      break;
    }

    node = node.return;
  }
}
function propagateContextChange(workInProgress, context, changedBits, renderLanes) {
  var fiber = workInProgress.child;

  if (fiber !== null) {
    // Set the return pointer of the child to the work-in-progress fiber.
    fiber.return = workInProgress;
  }

  while (fiber !== null) {
    var nextFiber = void 0; // Visit this fiber.

    var list = fiber.dependencies;

    if (list !== null) {
      nextFiber = fiber.child;
      var dependency = list.firstContext;

      while (dependency !== null) {
        // Check if the context matches.
        if (dependency.context === context && (dependency.observedBits & changedBits) !== 0) {
          // Match! Schedule an update on this fiber.
          if (fiber.tag === ClassComponent) {
            // Schedule a force update on the work-in-progress.
            var update = createUpdate(NoTimestamp, pickArbitraryLane(renderLanes));
            update.tag = ForceUpdate; // TODO: Because we don't have a work-in-progress, this will add the
            // update to the current fiber, too, which means it will persist even if
            // this render is thrown away. Since it's a race condition, not sure it's
            // worth fixing.

            enqueueUpdate(fiber, update);
          }

          fiber.lanes = mergeLanes(fiber.lanes, renderLanes);
          var alternate = fiber.alternate;

          if (alternate !== null) {
            alternate.lanes = mergeLanes(alternate.lanes, renderLanes);
          }

          scheduleWorkOnParentPath(fiber.return, renderLanes); // Mark the updated lanes on the list, too.

          list.lanes = mergeLanes(list.lanes, renderLanes); // Since we already found a match, we can stop traversing the
          // dependency list.

          break;
        }

        dependency = dependency.next;
      }
    } else if (fiber.tag === ContextProvider) {
      // Don't scan deeper if this is a matching provider
      nextFiber = fiber.type === workInProgress.type ? null : fiber.child;
    } else {
      // Traverse down.
      nextFiber = fiber.child;
    }

    if (nextFiber !== null) {
      // Set the return pointer of the child to the work-in-progress fiber.
      nextFiber.return = fiber;
    } else {
      // No child. Traverse to next sibling.
      nextFiber = fiber;

      while (nextFiber !== null) {
        if (nextFiber === workInProgress) {
          // We're back to the root of this subtree. Exit.
          nextFiber = null;
          break;
        }

        var sibling = nextFiber.sibling;

        if (sibling !== null) {
          // Set the return pointer of the sibling to the work-in-progress fiber.
          sibling.return = nextFiber.return;
          nextFiber = sibling;
          break;
        } // No more siblings. Traverse up.


        nextFiber = nextFiber.return;
      }
    }

    fiber = nextFiber;
  }
}
function prepareToReadContext(workInProgress, renderLanes) {
  currentlyRenderingFiber = workInProgress;
  lastContextDependency = null;
  lastContextWithAllBitsObserved = null;
  var dependencies = workInProgress.dependencies;

  if (dependencies !== null) {
    var firstContext = dependencies.firstContext;

    if (firstContext !== null) {
      if (includesSomeLane(dependencies.lanes, renderLanes)) {
        // Context list has a pending update. Mark that this fiber performed work.
        markWorkInProgressReceivedUpdate();
      } // Reset the work-in-progress list


      dependencies.firstContext = null;
    }
  }
}
function readContext(context, observedBits) {
  {
    // This warning would fire if you read context inside a Hook like useMemo.
    // Unlike the class check below, it's not enforced in production for perf.
    if (isDisallowedContextReadInDEV) {
      error('Context can only be read while React is rendering. ' + 'In classes, you can read it in the render method or getDerivedStateFromProps. ' + 'In function components, you can read it directly in the function body, but not ' + 'inside Hooks like useReducer() or useMemo().');
    }
  }

  if (lastContextWithAllBitsObserved === context) ; else if (observedBits === false || observedBits === 0) ; else {
    var resolvedObservedBits; // Avoid deopting on observable arguments or heterogeneous types.

    if (typeof observedBits !== 'number' || observedBits === MAX_SIGNED_31_BIT_INT) {
      // Observe all updates.
      lastContextWithAllBitsObserved = context;
      resolvedObservedBits = MAX_SIGNED_31_BIT_INT;
    } else {
      resolvedObservedBits = observedBits;
    }

    var contextItem = {
      context: context,
      observedBits: resolvedObservedBits,
      next: null
    };

    if (lastContextDependency === null) {
      if (!(currentlyRenderingFiber !== null)) {
        {
          throw Error( "Context can only be read while React is rendering. In classes, you can read it in the render method or getDerivedStateFromProps. In function components, you can read it directly in the function body, but not inside Hooks like useReducer() or useMemo()." );
        }
      } // This is the first dependency for this component. Create a new list.


      lastContextDependency = contextItem;
      currentlyRenderingFiber.dependencies = {
        lanes: NoLanes,
        firstContext: contextItem,
        responders: null
      };
    } else {
      // Append a new context item.
      lastContextDependency = lastContextDependency.next = contextItem;
    }
  }

  return  context._currentValue ;
}

var UpdateState = 0;
var ReplaceState = 1;
var ForceUpdate = 2;
var CaptureUpdate = 3; // Global state that is reset at the beginning of calling `processUpdateQueue`.
// It should only be read right after calling `processUpdateQueue`, via
// `checkHasForceUpdateAfterProcessing`.

var hasForceUpdate = false;
var didWarnUpdateInsideUpdate;
var currentlyProcessingQueue;

{
  didWarnUpdateInsideUpdate = false;
  currentlyProcessingQueue = null;
}

function initializeUpdateQueue(fiber) {
  var queue = {
    baseState: fiber.memoizedState,
    firstBaseUpdate: null,
    lastBaseUpdate: null,
    shared: {
      pending: null
    },
    effects: null
  };
  fiber.updateQueue = queue;
}
function cloneUpdateQueue(current, workInProgress) {
  // Clone the update queue from current. Unless it's already a clone.
  var queue = workInProgress.updateQueue;
  var currentQueue = current.updateQueue;

  if (queue === currentQueue) {
    var clone = {
      baseState: currentQueue.baseState,
      firstBaseUpdate: currentQueue.firstBaseUpdate,
      lastBaseUpdate: currentQueue.lastBaseUpdate,
      shared: currentQueue.shared,
      effects: currentQueue.effects
    };
    workInProgress.updateQueue = clone;
  }
}
function createUpdate(eventTime, lane) {
  var update = {
    eventTime: eventTime,
    lane: lane,
    tag: UpdateState,
    payload: null,
    callback: null,
    next: null
  };
  return update;
}
function enqueueUpdate(fiber, update) {
  var updateQueue = fiber.updateQueue;

  if (updateQueue === null) {
    // Only occurs if the fiber has been unmounted.
    return;
  }

  var sharedQueue = updateQueue.shared;
  var pending = sharedQueue.pending;

  if (pending === null) {
    // This is the first update. Create a circular list.
    update.next = update;
  } else {
    update.next = pending.next;
    pending.next = update;
  }

  sharedQueue.pending = update;

  {
    if (currentlyProcessingQueue === sharedQueue && !didWarnUpdateInsideUpdate) {
      error('An update (setState, replaceState, or forceUpdate) was scheduled ' + 'from inside an update function. Update functions should be pure, ' + 'with zero side-effects. Consider using componentDidUpdate or a ' + 'callback.');

      didWarnUpdateInsideUpdate = true;
    }
  }
}
function enqueueCapturedUpdate(workInProgress, capturedUpdate) {
  // Captured updates are updates that are thrown by a child during the render
  // phase. They should be discarded if the render is aborted. Therefore,
  // we should only put them on the work-in-progress queue, not the current one.
  var queue = workInProgress.updateQueue; // Check if the work-in-progress queue is a clone.

  var current = workInProgress.alternate;

  if (current !== null) {
    var currentQueue = current.updateQueue;

    if (queue === currentQueue) {
      // The work-in-progress queue is the same as current. This happens when
      // we bail out on a parent fiber that then captures an error thrown by
      // a child. Since we want to append the update only to the work-in
      // -progress queue, we need to clone the updates. We usually clone during
      // processUpdateQueue, but that didn't happen in this case because we
      // skipped over the parent when we bailed out.
      var newFirst = null;
      var newLast = null;
      var firstBaseUpdate = queue.firstBaseUpdate;

      if (firstBaseUpdate !== null) {
        // Loop through the updates and clone them.
        var update = firstBaseUpdate;

        do {
          var clone = {
            eventTime: update.eventTime,
            lane: update.lane,
            tag: update.tag,
            payload: update.payload,
            callback: update.callback,
            next: null
          };

          if (newLast === null) {
            newFirst = newLast = clone;
          } else {
            newLast.next = clone;
            newLast = clone;
          }

          update = update.next;
        } while (update !== null); // Append the captured update the end of the cloned list.


        if (newLast === null) {
          newFirst = newLast = capturedUpdate;
        } else {
          newLast.next = capturedUpdate;
          newLast = capturedUpdate;
        }
      } else {
        // There are no base updates.
        newFirst = newLast = capturedUpdate;
      }

      queue = {
        baseState: currentQueue.baseState,
        firstBaseUpdate: newFirst,
        lastBaseUpdate: newLast,
        shared: currentQueue.shared,
        effects: currentQueue.effects
      };
      workInProgress.updateQueue = queue;
      return;
    }
  } // Append the update to the end of the list.


  var lastBaseUpdate = queue.lastBaseUpdate;

  if (lastBaseUpdate === null) {
    queue.firstBaseUpdate = capturedUpdate;
  } else {
    lastBaseUpdate.next = capturedUpdate;
  }

  queue.lastBaseUpdate = capturedUpdate;
}

function getStateFromUpdate(workInProgress, queue, update, prevState, nextProps, instance) {
  switch (update.tag) {
    case ReplaceState:
      {
        var payload = update.payload;

        if (typeof payload === 'function') {
          // Updater function
          {
            enterDisallowedContextReadInDEV();
          }

          var nextState = payload.call(instance, prevState, nextProps);

          {
            if ( workInProgress.mode & StrictMode) {
              disableLogs();

              try {
                payload.call(instance, prevState, nextProps);
              } finally {
                reenableLogs();
              }
            }

            exitDisallowedContextReadInDEV();
          }

          return nextState;
        } // State object


        return payload;
      }

    case CaptureUpdate:
      {
        workInProgress.flags = workInProgress.flags & ~ShouldCapture | DidCapture;
      }
    // Intentional fallthrough

    case UpdateState:
      {
        var _payload = update.payload;
        var partialState;

        if (typeof _payload === 'function') {
          // Updater function
          {
            enterDisallowedContextReadInDEV();
          }

          partialState = _payload.call(instance, prevState, nextProps);

          {
            if ( workInProgress.mode & StrictMode) {
              disableLogs();

              try {
                _payload.call(instance, prevState, nextProps);
              } finally {
                reenableLogs();
              }
            }

            exitDisallowedContextReadInDEV();
          }
        } else {
          // Partial state object
          partialState = _payload;
        }

        if (partialState === null || partialState === undefined) {
          // Null and undefined are treated as no-ops.
          return prevState;
        } // Merge the partial state and the previous state.


        return _assign({}, prevState, partialState);
      }

    case ForceUpdate:
      {
        hasForceUpdate = true;
        return prevState;
      }
  }

  return prevState;
}

function processUpdateQueue(workInProgress, props, instance, renderLanes) {
  // This is always non-null on a ClassComponent or HostRoot
  var queue = workInProgress.updateQueue;
  hasForceUpdate = false;

  {
    currentlyProcessingQueue = queue.shared;
  }

  var firstBaseUpdate = queue.firstBaseUpdate;
  var lastBaseUpdate = queue.lastBaseUpdate; // Check if there are pending updates. If so, transfer them to the base queue.

  var pendingQueue = queue.shared.pending;

  if (pendingQueue !== null) {
    queue.shared.pending = null; // The pending queue is circular. Disconnect the pointer between first
    // and last so that it's non-circular.

    var lastPendingUpdate = pendingQueue;
    var firstPendingUpdate = lastPendingUpdate.next;
    lastPendingUpdate.next = null; // Append pending updates to base queue

    if (lastBaseUpdate === null) {
      firstBaseUpdate = firstPendingUpdate;
    } else {
      lastBaseUpdate.next = firstPendingUpdate;
    }

    lastBaseUpdate = lastPendingUpdate; // If there's a current queue, and it's different from the base queue, then
    // we need to transfer the updates to that queue, too. Because the base
    // queue is a singly-linked list with no cycles, we can append to both
    // lists and take advantage of structural sharing.
    // TODO: Pass `current` as argument

    var current = workInProgress.alternate;

    if (current !== null) {
      // This is always non-null on a ClassComponent or HostRoot
      var currentQueue = current.updateQueue;
      var currentLastBaseUpdate = currentQueue.lastBaseUpdate;

      if (currentLastBaseUpdate !== lastBaseUpdate) {
        if (currentLastBaseUpdate === null) {
          currentQueue.firstBaseUpdate = firstPendingUpdate;
        } else {
          currentLastBaseUpdate.next = firstPendingUpdate;
        }

        currentQueue.lastBaseUpdate = lastPendingUpdate;
      }
    }
  } // These values may change as we process the queue.


  if (firstBaseUpdate !== null) {
    // Iterate through the list of updates to compute the result.
    var newState = queue.baseState; // TODO: Don't need to accumulate this. Instead, we can remove renderLanes
    // from the original lanes.

    var newLanes = NoLanes;
    var newBaseState = null;
    var newFirstBaseUpdate = null;
    var newLastBaseUpdate = null;
    var update = firstBaseUpdate;

    do {
      var updateLane = update.lane;
      var updateEventTime = update.eventTime;

      if (!isSubsetOfLanes(renderLanes, updateLane)) {
        // Priority is insufficient. Skip this update. If this is the first
        // skipped update, the previous update/state is the new base
        // update/state.
        var clone = {
          eventTime: updateEventTime,
          lane: updateLane,
          tag: update.tag,
          payload: update.payload,
          callback: update.callback,
          next: null
        };

        if (newLastBaseUpdate === null) {
          newFirstBaseUpdate = newLastBaseUpdate = clone;
          newBaseState = newState;
        } else {
          newLastBaseUpdate = newLastBaseUpdate.next = clone;
        } // Update the remaining priority in the queue.


        newLanes = mergeLanes(newLanes, updateLane);
      } else {
        // This update does have sufficient priority.
        if (newLastBaseUpdate !== null) {
          var _clone = {
            eventTime: updateEventTime,
            // This update is going to be committed so we never want uncommit
            // it. Using NoLane works because 0 is a subset of all bitmasks, so
            // this will never be skipped by the check above.
            lane: NoLane,
            tag: update.tag,
            payload: update.payload,
            callback: update.callback,
            next: null
          };
          newLastBaseUpdate = newLastBaseUpdate.next = _clone;
        } // Process this update.


        newState = getStateFromUpdate(workInProgress, queue, update, newState, props, instance);
        var callback = update.callback;

        if (callback !== null) {
          workInProgress.flags |= Callback;
          var effects = queue.effects;

          if (effects === null) {
            queue.effects = [update];
          } else {
            effects.push(update);
          }
        }
      }

      update = update.next;

      if (update === null) {
        pendingQueue = queue.shared.pending;

        if (pendingQueue === null) {
          break;
        } else {
          // An update was scheduled from inside a reducer. Add the new
          // pending updates to the end of the list and keep processing.
          var _lastPendingUpdate = pendingQueue; // Intentionally unsound. Pending updates form a circular list, but we
          // unravel them when transferring them to the base queue.

          var _firstPendingUpdate = _lastPendingUpdate.next;
          _lastPendingUpdate.next = null;
          update = _firstPendingUpdate;
          queue.lastBaseUpdate = _lastPendingUpdate;
          queue.shared.pending = null;
        }
      }
    } while (true);

    if (newLastBaseUpdate === null) {
      newBaseState = newState;
    }

    queue.baseState = newBaseState;
    queue.firstBaseUpdate = newFirstBaseUpdate;
    queue.lastBaseUpdate = newLastBaseUpdate; // Set the remaining expiration time to be whatever is remaining in the queue.
    // This should be fine because the only two other things that contribute to
    // expiration time are props and context. We're already in the middle of the
    // begin phase by the time we start processing the queue, so we've already
    // dealt with the props. Context in components that specify
    // shouldComponentUpdate is tricky; but we'll have to account for
    // that regardless.

    markSkippedUpdateLanes(newLanes);
    workInProgress.lanes = newLanes;
    workInProgress.memoizedState = newState;
  }

  {
    currentlyProcessingQueue = null;
  }
}

function callCallback(callback, context) {
  if (!(typeof callback === 'function')) {
    {
      throw Error( "Invalid argument passed as callback. Expected a function. Instead received: " + callback );
    }
  }

  callback.call(context);
}

function resetHasForceUpdateBeforeProcessing() {
  hasForceUpdate = false;
}
function checkHasForceUpdateAfterProcessing() {
  return hasForceUpdate;
}
function commitUpdateQueue(finishedWork, finishedQueue, instance) {
  // Commit the effects
  var effects = finishedQueue.effects;
  finishedQueue.effects = null;

  if (effects !== null) {
    for (var i = 0; i < effects.length; i++) {
      var effect = effects[i];
      var callback = effect.callback;

      if (callback !== null) {
        effect.callback = null;
        callCallback(callback, instance);
      }
    }
  }
}

var fakeInternalInstance = {};
var isArray = Array.isArray; // React.Component uses a shared frozen object by default.
// We'll use it to determine whether we need to initialize legacy refs.

var emptyRefsObject = new React.Component().refs;
var didWarnAboutStateAssignmentForComponent;
var didWarnAboutUninitializedState;
var didWarnAboutGetSnapshotBeforeUpdateWithoutDidUpdate;
var didWarnAboutLegacyLifecyclesAndDerivedState;
var didWarnAboutUndefinedDerivedState;
var warnOnUndefinedDerivedState;
var warnOnInvalidCallback;
var didWarnAboutDirectlyAssigningPropsToState;
var didWarnAboutContextTypeAndContextTypes;
var didWarnAboutInvalidateContextType;

{
  didWarnAboutStateAssignmentForComponent = new Set();
  didWarnAboutUninitializedState = new Set();
  didWarnAboutGetSnapshotBeforeUpdateWithoutDidUpdate = new Set();
  didWarnAboutLegacyLifecyclesAndDerivedState = new Set();
  didWarnAboutDirectlyAssigningPropsToState = new Set();
  didWarnAboutUndefinedDerivedState = new Set();
  didWarnAboutContextTypeAndContextTypes = new Set();
  didWarnAboutInvalidateContextType = new Set();
  var didWarnOnInvalidCallback = new Set();

  warnOnInvalidCallback = function (callback, callerName) {
    if (callback === null || typeof callback === 'function') {
      return;
    }

    var key = callerName + '_' + callback;

    if (!didWarnOnInvalidCallback.has(key)) {
      didWarnOnInvalidCallback.add(key);

      error('%s(...): Expected the last optional `callback` argument to be a ' + 'function. Instead received: %s.', callerName, callback);
    }
  };

  warnOnUndefinedDerivedState = function (type, partialState) {
    if (partialState === undefined) {
      var componentName = getComponentName(type) || 'Component';

      if (!didWarnAboutUndefinedDerivedState.has(componentName)) {
        didWarnAboutUndefinedDerivedState.add(componentName);

        error('%s.getDerivedStateFromProps(): A valid state object (or null) must be returned. ' + 'You have returned undefined.', componentName);
      }
    }
  }; // This is so gross but it's at least non-critical and can be removed if
  // it causes problems. This is meant to give a nicer error message for
  // ReactDOM15.unstable_renderSubtreeIntoContainer(reactDOM16Component,
  // ...)) which otherwise throws a "_processChildContext is not a function"
  // exception.


  Object.defineProperty(fakeInternalInstance, '_processChildContext', {
    enumerable: false,
    value: function () {
      {
        {
          throw Error( "_processChildContext is not available in React 16+. This likely means you have multiple copies of React and are attempting to nest a React 15 tree inside a React 16 tree using unstable_renderSubtreeIntoContainer, which isn't supported. Try to make sure you have only one copy of React (and ideally, switch to ReactDOM.createPortal)." );
        }
      }
    }
  });
  Object.freeze(fakeInternalInstance);
}

function applyDerivedStateFromProps(workInProgress, ctor, getDerivedStateFromProps, nextProps) {
  var prevState = workInProgress.memoizedState;

  {
    if ( workInProgress.mode & StrictMode) {
      disableLogs();

      try {
        // Invoke the function an extra time to help detect side-effects.
        getDerivedStateFromProps(nextProps, prevState);
      } finally {
        reenableLogs();
      }
    }
  }

  var partialState = getDerivedStateFromProps(nextProps, prevState);

  {
    warnOnUndefinedDerivedState(ctor, partialState);
  } // Merge the partial state and the previous state.


  var memoizedState = partialState === null || partialState === undefined ? prevState : _assign({}, prevState, partialState);
  workInProgress.memoizedState = memoizedState; // Once the update queue is empty, persist the derived state onto the
  // base state.

  if (workInProgress.lanes === NoLanes) {
    // Queue is always non-null for classes
    var updateQueue = workInProgress.updateQueue;
    updateQueue.baseState = memoizedState;
  }
}
var classComponentUpdater = {
  isMounted: isMounted,
  enqueueSetState: function (inst, payload, callback) {
    var fiber = get(inst);
    var eventTime = requestEventTime();
    var lane = requestUpdateLane(fiber);
    var update = createUpdate(eventTime, lane);
    update.payload = payload;

    if (callback !== undefined && callback !== null) {
      {
        warnOnInvalidCallback(callback, 'setState');
      }

      update.callback = callback;
    }

    enqueueUpdate(fiber, update);
    scheduleUpdateOnFiber(fiber, lane, eventTime);
  },
  enqueueReplaceState: function (inst, payload, callback) {
    var fiber = get(inst);
    var eventTime = requestEventTime();
    var lane = requestUpdateLane(fiber);
    var update = createUpdate(eventTime, lane);
    update.tag = ReplaceState;
    update.payload = payload;

    if (callback !== undefined && callback !== null) {
      {
        warnOnInvalidCallback(callback, 'replaceState');
      }

      update.callback = callback;
    }

    enqueueUpdate(fiber, update);
    scheduleUpdateOnFiber(fiber, lane, eventTime);
  },
  enqueueForceUpdate: function (inst, callback) {
    var fiber = get(inst);
    var eventTime = requestEventTime();
    var lane = requestUpdateLane(fiber);
    var update = createUpdate(eventTime, lane);
    update.tag = ForceUpdate;

    if (callback !== undefined && callback !== null) {
      {
        warnOnInvalidCallback(callback, 'forceUpdate');
      }

      update.callback = callback;
    }

    enqueueUpdate(fiber, update);
    scheduleUpdateOnFiber(fiber, lane, eventTime);
  }
};

function checkShouldComponentUpdate(workInProgress, ctor, oldProps, newProps, oldState, newState, nextContext) {
  var instance = workInProgress.stateNode;

  if (typeof instance.shouldComponentUpdate === 'function') {
    {
      if ( workInProgress.mode & StrictMode) {
        disableLogs();

        try {
          // Invoke the function an extra time to help detect side-effects.
          instance.shouldComponentUpdate(newProps, newState, nextContext);
        } finally {
          reenableLogs();
        }
      }
    }

    var shouldUpdate = instance.shouldComponentUpdate(newProps, newState, nextContext);

    {
      if (shouldUpdate === undefined) {
        error('%s.shouldComponentUpdate(): Returned undefined instead of a ' + 'boolean value. Make sure to return true or false.', getComponentName(ctor) || 'Component');
      }
    }

    return shouldUpdate;
  }

  if (ctor.prototype && ctor.prototype.isPureReactComponent) {
    return !shallowEqual(oldProps, newProps) || !shallowEqual(oldState, newState);
  }

  return true;
}

function checkClassInstance(workInProgress, ctor, newProps) {
  var instance = workInProgress.stateNode;

  {
    var name = getComponentName(ctor) || 'Component';
    var renderPresent = instance.render;

    if (!renderPresent) {
      if (ctor.prototype && typeof ctor.prototype.render === 'function') {
        error('%s(...): No `render` method found on the returned component ' + 'instance: did you accidentally return an object from the constructor?', name);
      } else {
        error('%s(...): No `render` method found on the returned component ' + 'instance: you may have forgotten to define `render`.', name);
      }
    }

    if (instance.getInitialState && !instance.getInitialState.isReactClassApproved && !instance.state) {
      error('getInitialState was defined on %s, a plain JavaScript class. ' + 'This is only supported for classes created using React.createClass. ' + 'Did you mean to define a state property instead?', name);
    }

    if (instance.getDefaultProps && !instance.getDefaultProps.isReactClassApproved) {
      error('getDefaultProps was defined on %s, a plain JavaScript class. ' + 'This is only supported for classes created using React.createClass. ' + 'Use a static property to define defaultProps instead.', name);
    }

    if (instance.propTypes) {
      error('propTypes was defined as an instance property on %s. Use a static ' + 'property to define propTypes instead.', name);
    }

    if (instance.contextType) {
      error('contextType was defined as an instance property on %s. Use a static ' + 'property to define contextType instead.', name);
    }

    {
      if (instance.contextTypes) {
        error('contextTypes was defined as an instance property on %s. Use a static ' + 'property to define contextTypes instead.', name);
      }

      if (ctor.contextType && ctor.contextTypes && !didWarnAboutContextTypeAndContextTypes.has(ctor)) {
        didWarnAboutContextTypeAndContextTypes.add(ctor);

        error('%s declares both contextTypes and contextType static properties. ' + 'The legacy contextTypes property will be ignored.', name);
      }
    }

    if (typeof instance.componentShouldUpdate === 'function') {
      error('%s has a method called ' + 'componentShouldUpdate(). Did you mean shouldComponentUpdate()? ' + 'The name is phrased as a question because the function is ' + 'expected to return a value.', name);
    }

    if (ctor.prototype && ctor.prototype.isPureReactComponent && typeof instance.shouldComponentUpdate !== 'undefined') {
      error('%s has a method called shouldComponentUpdate(). ' + 'shouldComponentUpdate should not be used when extending React.PureComponent. ' + 'Please extend React.Component if shouldComponentUpdate is used.', getComponentName(ctor) || 'A pure component');
    }

    if (typeof instance.componentDidUnmount === 'function') {
      error('%s has a method called ' + 'componentDidUnmount(). But there is no such lifecycle method. ' + 'Did you mean componentWillUnmount()?', name);
    }

    if (typeof instance.componentDidReceiveProps === 'function') {
      error('%s has a method called ' + 'componentDidReceiveProps(). But there is no such lifecycle method. ' + 'If you meant to update the state in response to changing props, ' + 'use componentWillReceiveProps(). If you meant to fetch data or ' + 'run side-effects or mutations after React has updated the UI, use componentDidUpdate().', name);
    }

    if (typeof instance.componentWillRecieveProps === 'function') {
      error('%s has a method called ' + 'componentWillRecieveProps(). Did you mean componentWillReceiveProps()?', name);
    }

    if (typeof instance.UNSAFE_componentWillRecieveProps === 'function') {
      error('%s has a method called ' + 'UNSAFE_componentWillRecieveProps(). Did you mean UNSAFE_componentWillReceiveProps()?', name);
    }

    var hasMutatedProps = instance.props !== newProps;

    if (instance.props !== undefined && hasMutatedProps) {
      error('%s(...): When calling super() in `%s`, make sure to pass ' + "up the same props that your component's constructor was passed.", name, name);
    }

    if (instance.defaultProps) {
      error('Setting defaultProps as an instance property on %s is not supported and will be ignored.' + ' Instead, define defaultProps as a static property on %s.', name, name);
    }

    if (typeof instance.getSnapshotBeforeUpdate === 'function' && typeof instance.componentDidUpdate !== 'function' && !didWarnAboutGetSnapshotBeforeUpdateWithoutDidUpdate.has(ctor)) {
      didWarnAboutGetSnapshotBeforeUpdateWithoutDidUpdate.add(ctor);

      error('%s: getSnapshotBeforeUpdate() should be used with componentDidUpdate(). ' + 'This component defines getSnapshotBeforeUpdate() only.', getComponentName(ctor));
    }

    if (typeof instance.getDerivedStateFromProps === 'function') {
      error('%s: getDerivedStateFromProps() is defined as an instance method ' + 'and will be ignored. Instead, declare it as a static method.', name);
    }

    if (typeof instance.getDerivedStateFromError === 'function') {
      error('%s: getDerivedStateFromError() is defined as an instance method ' + 'and will be ignored. Instead, declare it as a static method.', name);
    }

    if (typeof ctor.getSnapshotBeforeUpdate === 'function') {
      error('%s: getSnapshotBeforeUpdate() is defined as a static method ' + 'and will be ignored. Instead, declare it as an instance method.', name);
    }

    var _state = instance.state;

    if (_state && (typeof _state !== 'object' || isArray(_state))) {
      error('%s.state: must be set to an object or null', name);
    }

    if (typeof instance.getChildContext === 'function' && typeof ctor.childContextTypes !== 'object') {
      error('%s.getChildContext(): childContextTypes must be defined in order to ' + 'use getChildContext().', name);
    }
  }
}

function adoptClassInstance(workInProgress, instance) {
  instance.updater = classComponentUpdater;
  workInProgress.stateNode = instance; // The instance needs access to the fiber so that it can schedule updates

  set(instance, workInProgress);

  {
    instance._reactInternalInstance = fakeInternalInstance;
  }
}

function constructClassInstance(workInProgress, ctor, props) {
  var isLegacyContextConsumer = false;
  var unmaskedContext = emptyContextObject;
  var context = emptyContextObject;
  var contextType = ctor.contextType;

  {
    if ('contextType' in ctor) {
      var isValid = // Allow null for conditional declaration
      contextType === null || contextType !== undefined && contextType.$$typeof === REACT_CONTEXT_TYPE && contextType._context === undefined; // Not a <Context.Consumer>

      if (!isValid && !didWarnAboutInvalidateContextType.has(ctor)) {
        didWarnAboutInvalidateContextType.add(ctor);
        var addendum = '';

        if (contextType === undefined) {
          addendum = ' However, it is set to undefined. ' + 'This can be caused by a typo or by mixing up named and default imports. ' + 'This can also happen due to a circular dependency, so ' + 'try moving the createContext() call to a separate file.';
        } else if (typeof contextType !== 'object') {
          addendum = ' However, it is set to a ' + typeof contextType + '.';
        } else if (contextType.$$typeof === REACT_PROVIDER_TYPE) {
          addendum = ' Did you accidentally pass the Context.Provider instead?';
        } else if (contextType._context !== undefined) {
          // <Context.Consumer>
          addendum = ' Did you accidentally pass the Context.Consumer instead?';
        } else {
          addendum = ' However, it is set to an object with keys {' + Object.keys(contextType).join(', ') + '}.';
        }

        error('%s defines an invalid contextType. ' + 'contextType should point to the Context object returned by React.createContext().%s', getComponentName(ctor) || 'Component', addendum);
      }
    }
  }

  if (typeof contextType === 'object' && contextType !== null) {
    context = readContext(contextType);
  } else {
    unmaskedContext = getUnmaskedContext(workInProgress, ctor, true);
    var contextTypes = ctor.contextTypes;
    isLegacyContextConsumer = contextTypes !== null && contextTypes !== undefined;
    context = isLegacyContextConsumer ? getMaskedContext(workInProgress, unmaskedContext) : emptyContextObject;
  } // Instantiate twice to help detect side-effects.


  {
    if ( workInProgress.mode & StrictMode) {
      disableLogs();

      try {
        new ctor(props, context); // eslint-disable-line no-new
      } finally {
        reenableLogs();
      }
    }
  }

  var instance = new ctor(props, context);
  var state = workInProgress.memoizedState = instance.state !== null && instance.state !== undefined ? instance.state : null;
  adoptClassInstance(workInProgress, instance);

  {
    if (typeof ctor.getDerivedStateFromProps === 'function' && state === null) {
      var componentName = getComponentName(ctor) || 'Component';

      if (!didWarnAboutUninitializedState.has(componentName)) {
        didWarnAboutUninitializedState.add(componentName);

        error('`%s` uses `getDerivedStateFromProps` but its initial state is ' + '%s. This is not recommended. Instead, define the initial state by ' + 'assigning an object to `this.state` in the constructor of `%s`. ' + 'This ensures that `getDerivedStateFromProps` arguments have a consistent shape.', componentName, instance.state === null ? 'null' : 'undefined', componentName);
      }
    } // If new component APIs are defined, "unsafe" lifecycles won't be called.
    // Warn about these lifecycles if they are present.
    // Don't warn about react-lifecycles-compat polyfilled methods though.


    if (typeof ctor.getDerivedStateFromProps === 'function' || typeof instance.getSnapshotBeforeUpdate === 'function') {
      var foundWillMountName = null;
      var foundWillReceivePropsName = null;
      var foundWillUpdateName = null;

      if (typeof instance.componentWillMount === 'function' && instance.componentWillMount.__suppressDeprecationWarning !== true) {
        foundWillMountName = 'componentWillMount';
      } else if (typeof instance.UNSAFE_componentWillMount === 'function') {
        foundWillMountName = 'UNSAFE_componentWillMount';
      }

      if (typeof instance.componentWillReceiveProps === 'function' && instance.componentWillReceiveProps.__suppressDeprecationWarning !== true) {
        foundWillReceivePropsName = 'componentWillReceiveProps';
      } else if (typeof instance.UNSAFE_componentWillReceiveProps === 'function') {
        foundWillReceivePropsName = 'UNSAFE_componentWillReceiveProps';
      }

      if (typeof instance.componentWillUpdate === 'function' && instance.componentWillUpdate.__suppressDeprecationWarning !== true) {
        foundWillUpdateName = 'componentWillUpdate';
      } else if (typeof instance.UNSAFE_componentWillUpdate === 'function') {
        foundWillUpdateName = 'UNSAFE_componentWillUpdate';
      }

      if (foundWillMountName !== null || foundWillReceivePropsName !== null || foundWillUpdateName !== null) {
        var _componentName = getComponentName(ctor) || 'Component';

        var newApiName = typeof ctor.getDerivedStateFromProps === 'function' ? 'getDerivedStateFromProps()' : 'getSnapshotBeforeUpdate()';

        if (!didWarnAboutLegacyLifecyclesAndDerivedState.has(_componentName)) {
          didWarnAboutLegacyLifecyclesAndDerivedState.add(_componentName);

          error('Unsafe legacy lifecycles will not be called for components using new component APIs.\n\n' + '%s uses %s but also contains the following legacy lifecycles:%s%s%s\n\n' + 'The above lifecycles should be removed. Learn more about this warning here:\n' + 'https://reactjs.org/link/unsafe-component-lifecycles', _componentName, newApiName, foundWillMountName !== null ? "\n  " + foundWillMountName : '', foundWillReceivePropsName !== null ? "\n  " + foundWillReceivePropsName : '', foundWillUpdateName !== null ? "\n  " + foundWillUpdateName : '');
        }
      }
    }
  } // Cache unmasked context so we can avoid recreating masked context unless necessary.
  // ReactFiberContext usually updates this cache but can't for newly-created instances.


  if (isLegacyContextConsumer) {
    cacheContext(workInProgress, unmaskedContext, context);
  }

  return instance;
}

function callComponentWillMount(workInProgress, instance) {
  var oldState = instance.state;

  if (typeof instance.componentWillMount === 'function') {
    instance.componentWillMount();
  }

  if (typeof instance.UNSAFE_componentWillMount === 'function') {
    instance.UNSAFE_componentWillMount();
  }

  if (oldState !== instance.state) {
    {
      error('%s.componentWillMount(): Assigning directly to this.state is ' + "deprecated (except inside a component's " + 'constructor). Use setState instead.', getComponentName(workInProgress.type) || 'Component');
    }

    classComponentUpdater.enqueueReplaceState(instance, instance.state, null);
  }
}

function callComponentWillReceiveProps(workInProgress, instance, newProps, nextContext) {
  var oldState = instance.state;

  if (typeof instance.componentWillReceiveProps === 'function') {
    instance.componentWillReceiveProps(newProps, nextContext);
  }

  if (typeof instance.UNSAFE_componentWillReceiveProps === 'function') {
    instance.UNSAFE_componentWillReceiveProps(newProps, nextContext);
  }

  if (instance.state !== oldState) {
    {
      var componentName = getComponentName(workInProgress.type) || 'Component';

      if (!didWarnAboutStateAssignmentForComponent.has(componentName)) {
        didWarnAboutStateAssignmentForComponent.add(componentName);

        error('%s.componentWillReceiveProps(): Assigning directly to ' + "this.state is deprecated (except inside a component's " + 'constructor). Use setState instead.', componentName);
      }
    }

    classComponentUpdater.enqueueReplaceState(instance, instance.state, null);
  }
} // Invokes the mount life-cycles on a previously never rendered instance.


function mountClassInstance(workInProgress, ctor, newProps, renderLanes) {
  {
    checkClassInstance(workInProgress, ctor, newProps);
  }

  var instance = workInProgress.stateNode;
  instance.props = newProps;
  instance.state = workInProgress.memoizedState;
  instance.refs = emptyRefsObject;
  initializeUpdateQueue(workInProgress);
  var contextType = ctor.contextType;

  if (typeof contextType === 'object' && contextType !== null) {
    instance.context = readContext(contextType);
  } else {
    var unmaskedContext = getUnmaskedContext(workInProgress, ctor, true);
    instance.context = getMaskedContext(workInProgress, unmaskedContext);
  }

  {
    if (instance.state === newProps) {
      var componentName = getComponentName(ctor) || 'Component';

      if (!didWarnAboutDirectlyAssigningPropsToState.has(componentName)) {
        didWarnAboutDirectlyAssigningPropsToState.add(componentName);

        error('%s: It is not recommended to assign props directly to state ' + "because updates to props won't be reflected in state. " + 'In most cases, it is better to use props directly.', componentName);
      }
    }

    if (workInProgress.mode & StrictMode) {
      ReactStrictModeWarnings.recordLegacyContextWarning(workInProgress, instance);
    }

    {
      ReactStrictModeWarnings.recordUnsafeLifecycleWarnings(workInProgress, instance);
    }
  }

  processUpdateQueue(workInProgress, newProps, instance, renderLanes);
  instance.state = workInProgress.memoizedState;
  var getDerivedStateFromProps = ctor.getDerivedStateFromProps;

  if (typeof getDerivedStateFromProps === 'function') {
    applyDerivedStateFromProps(workInProgress, ctor, getDerivedStateFromProps, newProps);
    instance.state = workInProgress.memoizedState;
  } // In order to support react-lifecycles-compat polyfilled components,
  // Unsafe lifecycles should not be invoked for components using the new APIs.


  if (typeof ctor.getDerivedStateFromProps !== 'function' && typeof instance.getSnapshotBeforeUpdate !== 'function' && (typeof instance.UNSAFE_componentWillMount === 'function' || typeof instance.componentWillMount === 'function')) {
    callComponentWillMount(workInProgress, instance); // If we had additional state updates during this life-cycle, let's
    // process them now.

    processUpdateQueue(workInProgress, newProps, instance, renderLanes);
    instance.state = workInProgress.memoizedState;
  }

  if (typeof instance.componentDidMount === 'function') {
    workInProgress.flags |= Update;
  }
}

function resumeMountClassInstance(workInProgress, ctor, newProps, renderLanes) {
  var instance = workInProgress.stateNode;
  var oldProps = workInProgress.memoizedProps;
  instance.props = oldProps;
  var oldContext = instance.context;
  var contextType = ctor.contextType;
  var nextContext = emptyContextObject;

  if (typeof contextType === 'object' && contextType !== null) {
    nextContext = readContext(contextType);
  } else {
    var nextLegacyUnmaskedContext = getUnmaskedContext(workInProgress, ctor, true);
    nextContext = getMaskedContext(workInProgress, nextLegacyUnmaskedContext);
  }

  var getDerivedStateFromProps = ctor.getDerivedStateFromProps;
  var hasNewLifecycles = typeof getDerivedStateFromProps === 'function' || typeof instance.getSnapshotBeforeUpdate === 'function'; // Note: During these life-cycles, instance.props/instance.state are what
  // ever the previously attempted to render - not the "current". However,
  // during componentDidUpdate we pass the "current" props.
  // In order to support react-lifecycles-compat polyfilled components,
  // Unsafe lifecycles should not be invoked for components using the new APIs.

  if (!hasNewLifecycles && (typeof instance.UNSAFE_componentWillReceiveProps === 'function' || typeof instance.componentWillReceiveProps === 'function')) {
    if (oldProps !== newProps || oldContext !== nextContext) {
      callComponentWillReceiveProps(workInProgress, instance, newProps, nextContext);
    }
  }

  resetHasForceUpdateBeforeProcessing();
  var oldState = workInProgress.memoizedState;
  var newState = instance.state = oldState;
  processUpdateQueue(workInProgress, newProps, instance, renderLanes);
  newState = workInProgress.memoizedState;

  if (oldProps === newProps && oldState === newState && !hasContextChanged() && !checkHasForceUpdateAfterProcessing()) {
    // If an update was already in progress, we should schedule an Update
    // effect even though we're bailing out, so that cWU/cDU are called.
    if (typeof instance.componentDidMount === 'function') {
      workInProgress.flags |= Update;
    }

    return false;
  }

  if (typeof getDerivedStateFromProps === 'function') {
    applyDerivedStateFromProps(workInProgress, ctor, getDerivedStateFromProps, newProps);
    newState = workInProgress.memoizedState;
  }

  var shouldUpdate = checkHasForceUpdateAfterProcessing() || checkShouldComponentUpdate(workInProgress, ctor, oldProps, newProps, oldState, newState, nextContext);

  if (shouldUpdate) {
    // In order to support react-lifecycles-compat polyfilled components,
    // Unsafe lifecycles should not be invoked for components using the new APIs.
    if (!hasNewLifecycles && (typeof instance.UNSAFE_componentWillMount === 'function' || typeof instance.componentWillMount === 'function')) {
      if (typeof instance.componentWillMount === 'function') {
        instance.componentWillMount();
      }

      if (typeof instance.UNSAFE_componentWillMount === 'function') {
        instance.UNSAFE_componentWillMount();
      }
    }

    if (typeof instance.componentDidMount === 'function') {
      workInProgress.flags |= Update;
    }
  } else {
    // If an update was already in progress, we should schedule an Update
    // effect even though we're bailing out, so that cWU/cDU are called.
    if (typeof instance.componentDidMount === 'function') {
      workInProgress.flags |= Update;
    } // If shouldComponentUpdate returned false, we should still update the
    // memoized state to indicate that this work can be reused.


    workInProgress.memoizedProps = newProps;
    workInProgress.memoizedState = newState;
  } // Update the existing instance's state, props, and context pointers even
  // if shouldComponentUpdate returns false.


  instance.props = newProps;
  instance.state = newState;
  instance.context = nextContext;
  return shouldUpdate;
} // Invokes the update life-cycles and returns false if it shouldn't rerender.


function updateClassInstance(current, workInProgress, ctor, newProps, renderLanes) {
  var instance = workInProgress.stateNode;
  cloneUpdateQueue(current, workInProgress);
  var unresolvedOldProps = workInProgress.memoizedProps;
  var oldProps = workInProgress.type === workInProgress.elementType ? unresolvedOldProps : resolveDefaultProps(workInProgress.type, unresolvedOldProps);
  instance.props = oldProps;
  var unresolvedNewProps = workInProgress.pendingProps;
  var oldContext = instance.context;
  var contextType = ctor.contextType;
  var nextContext = emptyContextObject;

  if (typeof contextType === 'object' && contextType !== null) {
    nextContext = readContext(contextType);
  } else {
    var nextUnmaskedContext = getUnmaskedContext(workInProgress, ctor, true);
    nextContext = getMaskedContext(workInProgress, nextUnmaskedContext);
  }

  var getDerivedStateFromProps = ctor.getDerivedStateFromProps;
  var hasNewLifecycles = typeof getDerivedStateFromProps === 'function' || typeof instance.getSnapshotBeforeUpdate === 'function'; // Note: During these life-cycles, instance.props/instance.state are what
  // ever the previously attempted to render - not the "current". However,
  // during componentDidUpdate we pass the "current" props.
  // In order to support react-lifecycles-compat polyfilled components,
  // Unsafe lifecycles should not be invoked for components using the new APIs.

  if (!hasNewLifecycles && (typeof instance.UNSAFE_componentWillReceiveProps === 'function' || typeof instance.componentWillReceiveProps === 'function')) {
    if (unresolvedOldProps !== unresolvedNewProps || oldContext !== nextContext) {
      callComponentWillReceiveProps(workInProgress, instance, newProps, nextContext);
    }
  }

  resetHasForceUpdateBeforeProcessing();
  var oldState = workInProgress.memoizedState;
  var newState = instance.state = oldState;
  processUpdateQueue(workInProgress, newProps, instance, renderLanes);
  newState = workInProgress.memoizedState;

  if (unresolvedOldProps === unresolvedNewProps && oldState === newState && !hasContextChanged() && !checkHasForceUpdateAfterProcessing()) {
    // If an update was already in progress, we should schedule an Update
    // effect even though we're bailing out, so that cWU/cDU are called.
    if (typeof instance.componentDidUpdate === 'function') {
      if (unresolvedOldProps !== current.memoizedProps || oldState !== current.memoizedState) {
        workInProgress.flags |= Update;
      }
    }

    if (typeof instance.getSnapshotBeforeUpdate === 'function') {
      if (unresolvedOldProps !== current.memoizedProps || oldState !== current.memoizedState) {
        workInProgress.flags |= Snapshot;
      }
    }

    return false;
  }

  if (typeof getDerivedStateFromProps === 'function') {
    applyDerivedStateFromProps(workInProgress, ctor, getDerivedStateFromProps, newProps);
    newState = workInProgress.memoizedState;
  }

  var shouldUpdate = checkHasForceUpdateAfterProcessing() || checkShouldComponentUpdate(workInProgress, ctor, oldProps, newProps, oldState, newState, nextContext);

  if (shouldUpdate) {
    // In order to support react-lifecycles-compat polyfilled components,
    // Unsafe lifecycles should not be invoked for components using the new APIs.
    if (!hasNewLifecycles && (typeof instance.UNSAFE_componentWillUpdate === 'function' || typeof instance.componentWillUpdate === 'function')) {
      if (typeof instance.componentWillUpdate === 'function') {
        instance.componentWillUpdate(newProps, newState, nextContext);
      }

      if (typeof instance.UNSAFE_componentWillUpdate === 'function') {
        instance.UNSAFE_componentWillUpdate(newProps, newState, nextContext);
      }
    }

    if (typeof instance.componentDidUpdate === 'function') {
      workInProgress.flags |= Update;
    }

    if (typeof instance.getSnapshotBeforeUpdate === 'function') {
      workInProgress.flags |= Snapshot;
    }
  } else {
    // If an update was already in progress, we should schedule an Update
    // effect even though we're bailing out, so that cWU/cDU are called.
    if (typeof instance.componentDidUpdate === 'function') {
      if (unresolvedOldProps !== current.memoizedProps || oldState !== current.memoizedState) {
        workInProgress.flags |= Update;
      }
    }

    if (typeof instance.getSnapshotBeforeUpdate === 'function') {
      if (unresolvedOldProps !== current.memoizedProps || oldState !== current.memoizedState) {
        workInProgress.flags |= Snapshot;
      }
    } // If shouldComponentUpdate returned false, we should still update the
    // memoized props/state to indicate that this work can be reused.


    workInProgress.memoizedProps = newProps;
    workInProgress.memoizedState = newState;
  } // Update the existing instance's state, props, and context pointers even
  // if shouldComponentUpdate returns false.


  instance.props = newProps;
  instance.state = newState;
  instance.context = nextContext;
  return shouldUpdate;
}

var didWarnAboutMaps;
var didWarnAboutGenerators;
var didWarnAboutStringRefs;
var ownerHasKeyUseWarning;
var ownerHasFunctionTypeWarning;

var warnForMissingKey = function (child, returnFiber) {};

{
  didWarnAboutMaps = false;
  didWarnAboutGenerators = false;
  didWarnAboutStringRefs = {};
  /**
   * Warn if there's no key explicitly set on dynamic arrays of children or
   * object keys are not valid. This allows us to keep track of children between
   * updates.
   */

  ownerHasKeyUseWarning = {};
  ownerHasFunctionTypeWarning = {};

  warnForMissingKey = function (child, returnFiber) {
    if (child === null || typeof child !== 'object') {
      return;
    }

    if (!child._store || child._store.validated || child.key != null) {
      return;
    }

    if (!(typeof child._store === 'object')) {
      {
        throw Error( "React Component in warnForMissingKey should have a _store. This error is likely caused by a bug in React. Please file an issue." );
      }
    }

    child._store.validated = true;
    var componentName = getComponentName(returnFiber.type) || 'Component';

    if (ownerHasKeyUseWarning[componentName]) {
      return;
    }

    ownerHasKeyUseWarning[componentName] = true;

    error('Each child in a list should have a unique ' + '"key" prop. See https://reactjs.org/link/warning-keys for ' + 'more information.');
  };
}

var isArray$1 = Array.isArray;

function coerceRef(returnFiber, current, element) {
  var mixedRef = element.ref;

  if (mixedRef !== null && typeof mixedRef !== 'function' && typeof mixedRef !== 'object') {
    {
      // TODO: Clean this up once we turn on the string ref warning for
      // everyone, because the strict mode case will no longer be relevant
      if ((returnFiber.mode & StrictMode || warnAboutStringRefs) && // We warn in ReactElement.js if owner and self are equal for string refs
      // because these cannot be automatically converted to an arrow function
      // using a codemod. Therefore, we don't have to warn about string refs again.
      !(element._owner && element._self && element._owner.stateNode !== element._self)) {
        var componentName = getComponentName(returnFiber.type) || 'Component';

        if (!didWarnAboutStringRefs[componentName]) {
          {
            error('A string ref, "%s", has been found within a strict mode tree. ' + 'String refs are a source of potential bugs and should be avoided. ' + 'We recommend using useRef() or createRef() instead. ' + 'Learn more about using refs safely here: ' + 'https://reactjs.org/link/strict-mode-string-ref', mixedRef);
          }

          didWarnAboutStringRefs[componentName] = true;
        }
      }
    }

    if (element._owner) {
      var owner = element._owner;
      var inst;

      if (owner) {
        var ownerFiber = owner;

        if (!(ownerFiber.tag === ClassComponent)) {
          {
            throw Error( "Function components cannot have string refs. We recommend using useRef() instead. Learn more about using refs safely here: https://reactjs.org/link/strict-mode-string-ref" );
          }
        }

        inst = ownerFiber.stateNode;
      }

      if (!inst) {
        {
          throw Error( "Missing owner for string ref " + mixedRef + ". This error is likely caused by a bug in React. Please file an issue." );
        }
      }

      var stringRef = '' + mixedRef; // Check if previous string ref matches new string ref

      if (current !== null && current.ref !== null && typeof current.ref === 'function' && current.ref._stringRef === stringRef) {
        return current.ref;
      }

      var ref = function (value) {
        var refs = inst.refs;

        if (refs === emptyRefsObject) {
          // This is a lazy pooled frozen object, so we need to initialize.
          refs = inst.refs = {};
        }

        if (value === null) {
          delete refs[stringRef];
        } else {
          refs[stringRef] = value;
        }
      };

      ref._stringRef = stringRef;
      return ref;
    } else {
      if (!(typeof mixedRef === 'string')) {
        {
          throw Error( "Expected ref to be a function, a string, an object returned by React.createRef(), or null." );
        }
      }

      if (!element._owner) {
        {
          throw Error( "Element ref was specified as a string (" + mixedRef + ") but no owner was set. This could happen for one of the following reasons:\n1. You may be adding a ref to a function component\n2. You may be adding a ref to a component that was not created inside a component's render method\n3. You have multiple copies of React loaded\nSee https://reactjs.org/link/refs-must-have-owner for more information." );
        }
      }
    }
  }

  return mixedRef;
}

function throwOnInvalidObjectType(returnFiber, newChild) {
  if (returnFiber.type !== 'textarea') {
    {
      {
        throw Error( "Objects are not valid as a React child (found: " + (Object.prototype.toString.call(newChild) === '[object Object]' ? 'object with keys {' + Object.keys(newChild).join(', ') + '}' : newChild) + "). If you meant to render a collection of children, use an array instead." );
      }
    }
  }
}

function warnOnFunctionType(returnFiber) {
  {
    var componentName = getComponentName(returnFiber.type) || 'Component';

    if (ownerHasFunctionTypeWarning[componentName]) {
      return;
    }

    ownerHasFunctionTypeWarning[componentName] = true;

    error('Functions are not valid as a React child. This may happen if ' + 'you return a Component instead of <Component /> from render. ' + 'Or maybe you meant to call this function rather than return it.');
  }
} // We avoid inlining this to avoid potential deopts from using try/catch.
// to be able to optimize each path individually by branching early. This needs
// a compiler or we can do it manually. Helpers that don't need this branching
// live outside of this function.


function ChildReconciler(shouldTrackSideEffects) {
  function deleteChild(returnFiber, childToDelete) {
    if (!shouldTrackSideEffects) {
      // Noop.
      return;
    } // Deletions are added in reversed order so we add it to the front.
    // At this point, the return fiber's effect list is empty except for
    // deletions, so we can just append the deletion to the list. The remaining
    // effects aren't added until the complete phase. Once we implement
    // resuming, this may not be true.


    var last = returnFiber.lastEffect;

    if (last !== null) {
      last.nextEffect = childToDelete;
      returnFiber.lastEffect = childToDelete;
    } else {
      returnFiber.firstEffect = returnFiber.lastEffect = childToDelete;
    }

    childToDelete.nextEffect = null;
    childToDelete.flags = Deletion;
  }

  function deleteRemainingChildren(returnFiber, currentFirstChild) {
    if (!shouldTrackSideEffects) {
      // Noop.
      return null;
    } // TODO: For the shouldClone case, this could be micro-optimized a bit by
    // assuming that after the first child we've already added everything.


    var childToDelete = currentFirstChild;

    while (childToDelete !== null) {
      deleteChild(returnFiber, childToDelete);
      childToDelete = childToDelete.sibling;
    }

    return null;
  }

  function mapRemainingChildren(returnFiber, currentFirstChild) {
    // Add the remaining children to a temporary map so that we can find them by
    // keys quickly. Implicit (null) keys get added to this set with their index
    // instead.
    var existingChildren = new Map();
    var existingChild = currentFirstChild;

    while (existingChild !== null) {
      if (existingChild.key !== null) {
        existingChildren.set(existingChild.key, existingChild);
      } else {
        existingChildren.set(existingChild.index, existingChild);
      }

      existingChild = existingChild.sibling;
    }

    return existingChildren;
  }

  function useFiber(fiber, pendingProps) {
    // We currently set sibling to null and index to 0 here because it is easy
    // to forget to do before returning it. E.g. for the single child case.
    var clone = createWorkInProgress(fiber, pendingProps);
    clone.index = 0;
    clone.sibling = null;
    return clone;
  }

  function placeChild(newFiber, lastPlacedIndex, newIndex) {
    newFiber.index = newIndex;

    if (!shouldTrackSideEffects) {
      // Noop.
      return lastPlacedIndex;
    }

    var current = newFiber.alternate;

    if (current !== null) {
      var oldIndex = current.index;

      if (oldIndex < lastPlacedIndex) {
        // This is a move.
        newFiber.flags = Placement;
        return lastPlacedIndex;
      } else {
        // This item can stay in place.
        return oldIndex;
      }
    } else {
      // This is an insertion.
      newFiber.flags = Placement;
      return lastPlacedIndex;
    }
  }

  function placeSingleChild(newFiber) {
    // This is simpler for the single child case. We only need to do a
    // placement for inserting new children.
    if (shouldTrackSideEffects && newFiber.alternate === null) {
      newFiber.flags = Placement;
    }

    return newFiber;
  }

  function updateTextNode(returnFiber, current, textContent, lanes) {
    if (current === null || current.tag !== HostText) {
      // Insert
      var created = createFiberFromText(textContent, returnFiber.mode, lanes);
      created.return = returnFiber;
      return created;
    } else {
      // Update
      var existing = useFiber(current, textContent);
      existing.return = returnFiber;
      return existing;
    }
  }

  function updateElement(returnFiber, current, element, lanes) {
    if (current !== null) {
      if (current.elementType === element.type || ( // Keep this check inline so it only runs on the false path:
       isCompatibleFamilyForHotReloading(current, element) )) {
        // Move based on index
        var existing = useFiber(current, element.props);
        existing.ref = coerceRef(returnFiber, current, element);
        existing.return = returnFiber;

        {
          existing._debugSource = element._source;
          existing._debugOwner = element._owner;
        }

        return existing;
      }
    } // Insert


    var created = createFiberFromElement(element, returnFiber.mode, lanes);
    created.ref = coerceRef(returnFiber, current, element);
    created.return = returnFiber;
    return created;
  }

  function updatePortal(returnFiber, current, portal, lanes) {
    if (current === null || current.tag !== HostPortal || current.stateNode.containerInfo !== portal.containerInfo || current.stateNode.implementation !== portal.implementation) {
      // Insert
      var created = createFiberFromPortal(portal, returnFiber.mode, lanes);
      created.return = returnFiber;
      return created;
    } else {
      // Update
      var existing = useFiber(current, portal.children || []);
      existing.return = returnFiber;
      return existing;
    }
  }

  function updateFragment(returnFiber, current, fragment, lanes, key) {
    if (current === null || current.tag !== Fragment) {
      // Insert
      var created = createFiberFromFragment(fragment, returnFiber.mode, lanes, key);
      created.return = returnFiber;
      return created;
    } else {
      // Update
      var existing = useFiber(current, fragment);
      existing.return = returnFiber;
      return existing;
    }
  }

  function createChild(returnFiber, newChild, lanes) {
    if (typeof newChild === 'string' || typeof newChild === 'number') {
      // Text nodes don't have keys. If the previous node is implicitly keyed
      // we can continue to replace it without aborting even if it is not a text
      // node.
      var created = createFiberFromText('' + newChild, returnFiber.mode, lanes);
      created.return = returnFiber;
      return created;
    }

    if (typeof newChild === 'object' && newChild !== null) {
      switch (newChild.$$typeof) {
        case REACT_ELEMENT_TYPE:
          {
            var _created = createFiberFromElement(newChild, returnFiber.mode, lanes);

            _created.ref = coerceRef(returnFiber, null, newChild);
            _created.return = returnFiber;
            return _created;
          }

        case REACT_PORTAL_TYPE:
          {
            var _created2 = createFiberFromPortal(newChild, returnFiber.mode, lanes);

            _created2.return = returnFiber;
            return _created2;
          }
      }

      if (isArray$1(newChild) || getIteratorFn(newChild)) {
        var _created3 = createFiberFromFragment(newChild, returnFiber.mode, lanes, null);

        _created3.return = returnFiber;
        return _created3;
      }

      throwOnInvalidObjectType(returnFiber, newChild);
    }

    {
      if (typeof newChild === 'function') {
        warnOnFunctionType(returnFiber);
      }
    }

    return null;
  }

  function updateSlot(returnFiber, oldFiber, newChild, lanes) {
    // Update the fiber if the keys match, otherwise return null.
    var key = oldFiber !== null ? oldFiber.key : null;

    if (typeof newChild === 'string' || typeof newChild === 'number') {
      // Text nodes don't have keys. If the previous node is implicitly keyed
      // we can continue to replace it without aborting even if it is not a text
      // node.
      if (key !== null) {
        return null;
      }

      return updateTextNode(returnFiber, oldFiber, '' + newChild, lanes);
    }

    if (typeof newChild === 'object' && newChild !== null) {
      switch (newChild.$$typeof) {
        case REACT_ELEMENT_TYPE:
          {
            if (newChild.key === key) {
              if (newChild.type === REACT_FRAGMENT_TYPE) {
                return updateFragment(returnFiber, oldFiber, newChild.props.children, lanes, key);
              }

              return updateElement(returnFiber, oldFiber, newChild, lanes);
            } else {
              return null;
            }
          }

        case REACT_PORTAL_TYPE:
          {
            if (newChild.key === key) {
              return updatePortal(returnFiber, oldFiber, newChild, lanes);
            } else {
              return null;
            }
          }
      }

      if (isArray$1(newChild) || getIteratorFn(newChild)) {
        if (key !== null) {
          return null;
        }

        return updateFragment(returnFiber, oldFiber, newChild, lanes, null);
      }

      throwOnInvalidObjectType(returnFiber, newChild);
    }

    {
      if (typeof newChild === 'function') {
        warnOnFunctionType(returnFiber);
      }
    }

    return null;
  }

  function updateFromMap(existingChildren, returnFiber, newIdx, newChild, lanes) {
    if (typeof newChild === 'string' || typeof newChild === 'number') {
      // Text nodes don't have keys, so we neither have to check the old nor
      // new node for the key. If both are text nodes, they match.
      var matchedFiber = existingChildren.get(newIdx) || null;
      return updateTextNode(returnFiber, matchedFiber, '' + newChild, lanes);
    }

    if (typeof newChild === 'object' && newChild !== null) {
      switch (newChild.$$typeof) {
        case REACT_ELEMENT_TYPE:
          {
            var _matchedFiber = existingChildren.get(newChild.key === null ? newIdx : newChild.key) || null;

            if (newChild.type === REACT_FRAGMENT_TYPE) {
              return updateFragment(returnFiber, _matchedFiber, newChild.props.children, lanes, newChild.key);
            }

            return updateElement(returnFiber, _matchedFiber, newChild, lanes);
          }

        case REACT_PORTAL_TYPE:
          {
            var _matchedFiber2 = existingChildren.get(newChild.key === null ? newIdx : newChild.key) || null;

            return updatePortal(returnFiber, _matchedFiber2, newChild, lanes);
          }

      }

      if (isArray$1(newChild) || getIteratorFn(newChild)) {
        var _matchedFiber3 = existingChildren.get(newIdx) || null;

        return updateFragment(returnFiber, _matchedFiber3, newChild, lanes, null);
      }

      throwOnInvalidObjectType(returnFiber, newChild);
    }

    {
      if (typeof newChild === 'function') {
        warnOnFunctionType(returnFiber);
      }
    }

    return null;
  }
  /**
   * Warns if there is a duplicate or missing key
   */


  function warnOnInvalidKey(child, knownKeys, returnFiber) {
    {
      if (typeof child !== 'object' || child === null) {
        return knownKeys;
      }

      switch (child.$$typeof) {
        case REACT_ELEMENT_TYPE:
        case REACT_PORTAL_TYPE:
          warnForMissingKey(child, returnFiber);
          var key = child.key;

          if (typeof key !== 'string') {
            break;
          }

          if (knownKeys === null) {
            knownKeys = new Set();
            knownKeys.add(key);
            break;
          }

          if (!knownKeys.has(key)) {
            knownKeys.add(key);
            break;
          }

          error('Encountered two children with the same key, `%s`. ' + 'Keys should be unique so that components maintain their identity ' + 'across updates. Non-unique keys may cause children to be ' + 'duplicated and/or omitted — the behavior is unsupported and ' + 'could change in a future version.', key);

          break;
      }
    }

    return knownKeys;
  }

  function reconcileChildrenArray(returnFiber, currentFirstChild, newChildren, lanes) {
    // This algorithm can't optimize by searching from both ends since we
    // don't have backpointers on fibers. I'm trying to see how far we can get
    // with that model. If it ends up not being worth the tradeoffs, we can
    // add it later.
    // Even with a two ended optimization, we'd want to optimize for the case
    // where there are few changes and brute force the comparison instead of
    // going for the Map. It'd like to explore hitting that path first in
    // forward-only mode and only go for the Map once we notice that we need
    // lots of look ahead. This doesn't handle reversal as well as two ended
    // search but that's unusual. Besides, for the two ended optimization to
    // work on Iterables, we'd need to copy the whole set.
    // In this first iteration, we'll just live with hitting the bad case
    // (adding everything to a Map) in for every insert/move.
    // If you change this code, also update reconcileChildrenIterator() which
    // uses the same algorithm.
    {
      // First, validate keys.
      var knownKeys = null;

      for (var i = 0; i < newChildren.length; i++) {
        var child = newChildren[i];
        knownKeys = warnOnInvalidKey(child, knownKeys, returnFiber);
      }
    }

    var resultingFirstChild = null;
    var previousNewFiber = null;
    var oldFiber = currentFirstChild;
    var lastPlacedIndex = 0;
    var newIdx = 0;
    var nextOldFiber = null;

    for (; oldFiber !== null && newIdx < newChildren.length; newIdx++) {
      if (oldFiber.index > newIdx) {
        nextOldFiber = oldFiber;
        oldFiber = null;
      } else {
        nextOldFiber = oldFiber.sibling;
      }

      var newFiber = updateSlot(returnFiber, oldFiber, newChildren[newIdx], lanes);

      if (newFiber === null) {
        // TODO: This breaks on empty slots like null children. That's
        // unfortunate because it triggers the slow path all the time. We need
        // a better way to communicate whether this was a miss or null,
        // boolean, undefined, etc.
        if (oldFiber === null) {
          oldFiber = nextOldFiber;
        }

        break;
      }

      if (shouldTrackSideEffects) {
        if (oldFiber && newFiber.alternate === null) {
          // We matched the slot, but we didn't reuse the existing fiber, so we
          // need to delete the existing child.
          deleteChild(returnFiber, oldFiber);
        }
      }

      lastPlacedIndex = placeChild(newFiber, lastPlacedIndex, newIdx);

      if (previousNewFiber === null) {
        // TODO: Move out of the loop. This only happens for the first run.
        resultingFirstChild = newFiber;
      } else {
        // TODO: Defer siblings if we're not at the right index for this slot.
        // I.e. if we had null values before, then we want to defer this
        // for each null value. However, we also don't want to call updateSlot
        // with the previous one.
        previousNewFiber.sibling = newFiber;
      }

      previousNewFiber = newFiber;
      oldFiber = nextOldFiber;
    }

    if (newIdx === newChildren.length) {
      // We've reached the end of the new children. We can delete the rest.
      deleteRemainingChildren(returnFiber, oldFiber);
      return resultingFirstChild;
    }

    if (oldFiber === null) {
      // If we don't have any more existing children we can choose a fast path
      // since the rest will all be insertions.
      for (; newIdx < newChildren.length; newIdx++) {
        var _newFiber = createChild(returnFiber, newChildren[newIdx], lanes);

        if (_newFiber === null) {
          continue;
        }

        lastPlacedIndex = placeChild(_newFiber, lastPlacedIndex, newIdx);

        if (previousNewFiber === null) {
          // TODO: Move out of the loop. This only happens for the first run.
          resultingFirstChild = _newFiber;
        } else {
          previousNewFiber.sibling = _newFiber;
        }

        previousNewFiber = _newFiber;
      }

      return resultingFirstChild;
    } // Add all children to a key map for quick lookups.


    var existingChildren = mapRemainingChildren(returnFiber, oldFiber); // Keep scanning and use the map to restore deleted items as moves.

    for (; newIdx < newChildren.length; newIdx++) {
      var _newFiber2 = updateFromMap(existingChildren, returnFiber, newIdx, newChildren[newIdx], lanes);

      if (_newFiber2 !== null) {
        if (shouldTrackSideEffects) {
          if (_newFiber2.alternate !== null) {
            // The new fiber is a work in progress, but if there exists a
            // current, that means that we reused the fiber. We need to delete
            // it from the child list so that we don't add it to the deletion
            // list.
            existingChildren.delete(_newFiber2.key === null ? newIdx : _newFiber2.key);
          }
        }

        lastPlacedIndex = placeChild(_newFiber2, lastPlacedIndex, newIdx);

        if (previousNewFiber === null) {
          resultingFirstChild = _newFiber2;
        } else {
          previousNewFiber.sibling = _newFiber2;
        }

        previousNewFiber = _newFiber2;
      }
    }

    if (shouldTrackSideEffects) {
      // Any existing children that weren't consumed above were deleted. We need
      // to add them to the deletion list.
      existingChildren.forEach(function (child) {
        return deleteChild(returnFiber, child);
      });
    }

    return resultingFirstChild;
  }

  function reconcileChildrenIterator(returnFiber, currentFirstChild, newChildrenIterable, lanes) {
    // This is the same implementation as reconcileChildrenArray(),
    // but using the iterator instead.
    var iteratorFn = getIteratorFn(newChildrenIterable);

    if (!(typeof iteratorFn === 'function')) {
      {
        throw Error( "An object is not an iterable. This error is likely caused by a bug in React. Please file an issue." );
      }
    }

    {
      // We don't support rendering Generators because it's a mutation.
      // See https://github.com/facebook/react/issues/12995
      if (typeof Symbol === 'function' && // $FlowFixMe Flow doesn't know about toStringTag
      newChildrenIterable[Symbol.toStringTag] === 'Generator') {
        if (!didWarnAboutGenerators) {
          error('Using Generators as children is unsupported and will likely yield ' + 'unexpected results because enumerating a generator mutates it. ' + 'You may convert it to an array with `Array.from()` or the ' + '`[...spread]` operator before rendering. Keep in mind ' + 'you might need to polyfill these features for older browsers.');
        }

        didWarnAboutGenerators = true;
      } // Warn about using Maps as children


      if (newChildrenIterable.entries === iteratorFn) {
        if (!didWarnAboutMaps) {
          error('Using Maps as children is not supported. ' + 'Use an array of keyed ReactElements instead.');
        }

        didWarnAboutMaps = true;
      } // First, validate keys.
      // We'll get a different iterator later for the main pass.


      var _newChildren = iteratorFn.call(newChildrenIterable);

      if (_newChildren) {
        var knownKeys = null;

        var _step = _newChildren.next();

        for (; !_step.done; _step = _newChildren.next()) {
          var child = _step.value;
          knownKeys = warnOnInvalidKey(child, knownKeys, returnFiber);
        }
      }
    }

    var newChildren = iteratorFn.call(newChildrenIterable);

    if (!(newChildren != null)) {
      {
        throw Error( "An iterable object provided no iterator." );
      }
    }

    var resultingFirstChild = null;
    var previousNewFiber = null;
    var oldFiber = currentFirstChild;
    var lastPlacedIndex = 0;
    var newIdx = 0;
    var nextOldFiber = null;
    var step = newChildren.next();

    for (; oldFiber !== null && !step.done; newIdx++, step = newChildren.next()) {
      if (oldFiber.index > newIdx) {
        nextOldFiber = oldFiber;
        oldFiber = null;
      } else {
        nextOldFiber = oldFiber.sibling;
      }

      var newFiber = updateSlot(returnFiber, oldFiber, step.value, lanes);

      if (newFiber === null) {
        // TODO: This breaks on empty slots like null children. That's
        // unfortunate because it triggers the slow path all the time. We need
        // a better way to communicate whether this was a miss or null,
        // boolean, undefined, etc.
        if (oldFiber === null) {
          oldFiber = nextOldFiber;
        }

        break;
      }

      if (shouldTrackSideEffects) {
        if (oldFiber && newFiber.alternate === null) {
          // We matched the slot, but we didn't reuse the existing fiber, so we
          // need to delete the existing child.
          deleteChild(returnFiber, oldFiber);
        }
      }

      lastPlacedIndex = placeChild(newFiber, lastPlacedIndex, newIdx);

      if (previousNewFiber === null) {
        // TODO: Move out of the loop. This only happens for the first run.
        resultingFirstChild = newFiber;
      } else {
        // TODO: Defer siblings if we're not at the right index for this slot.
        // I.e. if we had null values before, then we want to defer this
        // for each null value. However, we also don't want to call updateSlot
        // with the previous one.
        previousNewFiber.sibling = newFiber;
      }

      previousNewFiber = newFiber;
      oldFiber = nextOldFiber;
    }

    if (step.done) {
      // We've reached the end of the new children. We can delete the rest.
      deleteRemainingChildren(returnFiber, oldFiber);
      return resultingFirstChild;
    }

    if (oldFiber === null) {
      // If we don't have any more existing children we can choose a fast path
      // since the rest will all be insertions.
      for (; !step.done; newIdx++, step = newChildren.next()) {
        var _newFiber3 = createChild(returnFiber, step.value, lanes);

        if (_newFiber3 === null) {
          continue;
        }

        lastPlacedIndex = placeChild(_newFiber3, lastPlacedIndex, newIdx);

        if (previousNewFiber === null) {
          // TODO: Move out of the loop. This only happens for the first run.
          resultingFirstChild = _newFiber3;
        } else {
          previousNewFiber.sibling = _newFiber3;
        }

        previousNewFiber = _newFiber3;
      }

      return resultingFirstChild;
    } // Add all children to a key map for quick lookups.


    var existingChildren = mapRemainingChildren(returnFiber, oldFiber); // Keep scanning and use the map to restore deleted items as moves.

    for (; !step.done; newIdx++, step = newChildren.next()) {
      var _newFiber4 = updateFromMap(existingChildren, returnFiber, newIdx, step.value, lanes);

      if (_newFiber4 !== null) {
        if (shouldTrackSideEffects) {
          if (_newFiber4.alternate !== null) {
            // The new fiber is a work in progress, but if there exists a
            // current, that means that we reused the fiber. We need to delete
            // it from the child list so that we don't add it to the deletion
            // list.
            existingChildren.delete(_newFiber4.key === null ? newIdx : _newFiber4.key);
          }
        }

        lastPlacedIndex = placeChild(_newFiber4, lastPlacedIndex, newIdx);

        if (previousNewFiber === null) {
          resultingFirstChild = _newFiber4;
        } else {
          previousNewFiber.sibling = _newFiber4;
        }

        previousNewFiber = _newFiber4;
      }
    }

    if (shouldTrackSideEffects) {
      // Any existing children that weren't consumed above were deleted. We need
      // to add them to the deletion list.
      existingChildren.forEach(function (child) {
        return deleteChild(returnFiber, child);
      });
    }

    return resultingFirstChild;
  }

  function reconcileSingleTextNode(returnFiber, currentFirstChild, textContent, lanes) {
    // There's no need to check for keys on text nodes since we don't have a
    // way to define them.
    if (currentFirstChild !== null && currentFirstChild.tag === HostText) {
      // We already have an existing node so let's just update it and delete
      // the rest.
      deleteRemainingChildren(returnFiber, currentFirstChild.sibling);
      var existing = useFiber(currentFirstChild, textContent);
      existing.return = returnFiber;
      return existing;
    } // The existing first child is not a text node so we need to create one
    // and delete the existing ones.


    deleteRemainingChildren(returnFiber, currentFirstChild);
    var created = createFiberFromText(textContent, returnFiber.mode, lanes);
    created.return = returnFiber;
    return created;
  }

  function reconcileSingleElement(returnFiber, currentFirstChild, element, lanes) {
    var key = element.key;
    var child = currentFirstChild;

    while (child !== null) {
      // TODO: If key === null and child.key === null, then this only applies to
      // the first item in the list.
      if (child.key === key) {
        switch (child.tag) {
          case Fragment:
            {
              if (element.type === REACT_FRAGMENT_TYPE) {
                deleteRemainingChildren(returnFiber, child.sibling);
                var existing = useFiber(child, element.props.children);
                existing.return = returnFiber;

                {
                  existing._debugSource = element._source;
                  existing._debugOwner = element._owner;
                }

                return existing;
              }

              break;
            }

          case Block:

          // We intentionally fallthrough here if enableBlocksAPI is not on.
          // eslint-disable-next-lined no-fallthrough

          default:
            {
              if (child.elementType === element.type || ( // Keep this check inline so it only runs on the false path:
               isCompatibleFamilyForHotReloading(child, element) )) {
                deleteRemainingChildren(returnFiber, child.sibling);

                var _existing3 = useFiber(child, element.props);

                _existing3.ref = coerceRef(returnFiber, child, element);
                _existing3.return = returnFiber;

                {
                  _existing3._debugSource = element._source;
                  _existing3._debugOwner = element._owner;
                }

                return _existing3;
              }

              break;
            }
        } // Didn't match.


        deleteRemainingChildren(returnFiber, child);
        break;
      } else {
        deleteChild(returnFiber, child);
      }

      child = child.sibling;
    }

    if (element.type === REACT_FRAGMENT_TYPE) {
      var created = createFiberFromFragment(element.props.children, returnFiber.mode, lanes, element.key);
      created.return = returnFiber;
      return created;
    } else {
      var _created4 = createFiberFromElement(element, returnFiber.mode, lanes);

      _created4.ref = coerceRef(returnFiber, currentFirstChild, element);
      _created4.return = returnFiber;
      return _created4;
    }
  }

  function reconcileSinglePortal(returnFiber, currentFirstChild, portal, lanes) {
    var key = portal.key;
    var child = currentFirstChild;

    while (child !== null) {
      // TODO: If key === null and child.key === null, then this only applies to
      // the first item in the list.
      if (child.key === key) {
        if (child.tag === HostPortal && child.stateNode.containerInfo === portal.containerInfo && child.stateNode.implementation === portal.implementation) {
          deleteRemainingChildren(returnFiber, child.sibling);
          var existing = useFiber(child, portal.children || []);
          existing.return = returnFiber;
          return existing;
        } else {
          deleteRemainingChildren(returnFiber, child);
          break;
        }
      } else {
        deleteChild(returnFiber, child);
      }

      child = child.sibling;
    }

    var created = createFiberFromPortal(portal, returnFiber.mode, lanes);
    created.return = returnFiber;
    return created;
  } // This API will tag the children with the side-effect of the reconciliation
  // itself. They will be added to the side-effect list as we pass through the
  // children and the parent.


  function reconcileChildFibers(returnFiber, currentFirstChild, newChild, lanes) {
    // This function is not recursive.
    // If the top level item is an array, we treat it as a set of children,
    // not as a fragment. Nested arrays on the other hand will be treated as
    // fragment nodes. Recursion happens at the normal flow.
    // Handle top level unkeyed fragments as if they were arrays.
    // This leads to an ambiguity between <>{[...]}</> and <>...</>.
    // We treat the ambiguous cases above the same.
    var isUnkeyedTopLevelFragment = typeof newChild === 'object' && newChild !== null && newChild.type === REACT_FRAGMENT_TYPE && newChild.key === null;

    if (isUnkeyedTopLevelFragment) {
      newChild = newChild.props.children;
    } // Handle object types


    var isObject = typeof newChild === 'object' && newChild !== null;

    if (isObject) {
      switch (newChild.$$typeof) {
        case REACT_ELEMENT_TYPE:
          return placeSingleChild(reconcileSingleElement(returnFiber, currentFirstChild, newChild, lanes));

        case REACT_PORTAL_TYPE:
          return placeSingleChild(reconcileSinglePortal(returnFiber, currentFirstChild, newChild, lanes));

      }
    }

    if (typeof newChild === 'string' || typeof newChild === 'number') {
      return placeSingleChild(reconcileSingleTextNode(returnFiber, currentFirstChild, '' + newChild, lanes));
    }

    if (isArray$1(newChild)) {
      return reconcileChildrenArray(returnFiber, currentFirstChild, newChild, lanes);
    }

    if (getIteratorFn(newChild)) {
      return reconcileChildrenIterator(returnFiber, currentFirstChild, newChild, lanes);
    }

    if (isObject) {
      throwOnInvalidObjectType(returnFiber, newChild);
    }

    {
      if (typeof newChild === 'function') {
        warnOnFunctionType(returnFiber);
      }
    }

    if (typeof newChild === 'undefined' && !isUnkeyedTopLevelFragment) {
      // If the new child is undefined, and the return fiber is a composite
      // component, throw an error. If Fiber return types are disabled,
      // we already threw above.
      switch (returnFiber.tag) {
        case ClassComponent:
          {
            {
              var instance = returnFiber.stateNode;

              if (instance.render._isMockFunction) {
                // We allow auto-mocks to proceed as if they're returning null.
                break;
              }
            }
          }
        // Intentionally fall through to the next case, which handles both
        // functions and classes
        // eslint-disable-next-lined no-fallthrough

        case Block:
        case FunctionComponent:
        case ForwardRef:
        case SimpleMemoComponent:
          {
            {
              {
                throw Error( (getComponentName(returnFiber.type) || 'Component') + "(...): Nothing was returned from render. This usually means a return statement is missing. Or, to render nothing, return null." );
              }
            }
          }
      }
    } // Remaining cases are all treated as empty.


    return deleteRemainingChildren(returnFiber, currentFirstChild);
  }

  return reconcileChildFibers;
}

var reconcileChildFibers = ChildReconciler(true);
var mountChildFibers = ChildReconciler(false);
function cloneChildFibers(current, workInProgress) {
  if (!(current === null || workInProgress.child === current.child)) {
    {
      throw Error( "Resuming work not yet implemented." );
    }
  }

  if (workInProgress.child === null) {
    return;
  }

  var currentChild = workInProgress.child;
  var newChild = createWorkInProgress(currentChild, currentChild.pendingProps);
  workInProgress.child = newChild;
  newChild.return = workInProgress;

  while (currentChild.sibling !== null) {
    currentChild = currentChild.sibling;
    newChild = newChild.sibling = createWorkInProgress(currentChild, currentChild.pendingProps);
    newChild.return = workInProgress;
  }

  newChild.sibling = null;
} // Reset a workInProgress child set to prepare it for a second pass.

function resetChildFibers(workInProgress, lanes) {
  var child = workInProgress.child;

  while (child !== null) {
    resetWorkInProgress(child, lanes);
    child = child.sibling;
  }
}

var NO_CONTEXT = {};
var contextStackCursor$1 = createCursor(NO_CONTEXT);
var contextFiberStackCursor = createCursor(NO_CONTEXT);
var rootInstanceStackCursor = createCursor(NO_CONTEXT);

function requiredContext(c) {
  if (!(c !== NO_CONTEXT)) {
    {
      throw Error( "Expected host context to exist. This error is likely caused by a bug in React. Please file an issue." );
    }
  }

  return c;
}

function getRootHostContainer() {
  var rootInstance = requiredContext(rootInstanceStackCursor.current);
  return rootInstance;
}

function pushHostContainer(fiber, nextRootInstance) {
  // Push current root instance onto the stack;
  // This allows us to reset root when portals are popped.
  push(rootInstanceStackCursor, nextRootInstance, fiber); // Track the context and the Fiber that provided it.
  // This enables us to pop only Fibers that provide unique contexts.

  push(contextFiberStackCursor, fiber, fiber); // Finally, we need to push the host context to the stack.
  // However, we can't just call getRootHostContext() and push it because
  // we'd have a different number of entries on the stack depending on
  // whether getRootHostContext() throws somewhere in renderer code or not.
  // So we push an empty value first. This lets us safely unwind on errors.

  push(contextStackCursor$1, NO_CONTEXT, fiber);
  var nextRootContext = getRootHostContext(nextRootInstance); // Now that we know this function doesn't throw, replace it.

  pop(contextStackCursor$1, fiber);
  push(contextStackCursor$1, nextRootContext, fiber);
}

function popHostContainer(fiber) {
  pop(contextStackCursor$1, fiber);
  pop(contextFiberStackCursor, fiber);
  pop(rootInstanceStackCursor, fiber);
}

function getHostContext() {
  var context = requiredContext(contextStackCursor$1.current);
  return context;
}

function pushHostContext(fiber) {
  var rootInstance = requiredContext(rootInstanceStackCursor.current);
  var context = requiredContext(contextStackCursor$1.current);
  var nextContext = getChildHostContext(context, fiber.type); // Don't push this Fiber's context unless it's unique.

  if (context === nextContext) {
    return;
  } // Track the context and the Fiber that provided it.
  // This enables us to pop only Fibers that provide unique contexts.


  push(contextFiberStackCursor, fiber, fiber);
  push(contextStackCursor$1, nextContext, fiber);
}

function popHostContext(fiber) {
  // Do not pop unless this Fiber provided the current context.
  // pushHostContext() only pushes Fibers that provide unique contexts.
  if (contextFiberStackCursor.current !== fiber) {
    return;
  }

  pop(contextStackCursor$1, fiber);
  pop(contextFiberStackCursor, fiber);
}

var DefaultSuspenseContext = 0; // The Suspense Context is split into two parts. The lower bits is
// inherited deeply down the subtree. The upper bits only affect
// this immediate suspense boundary and gets reset each new
// boundary or suspense list.

var SubtreeSuspenseContextMask = 1; // Subtree Flags:
// InvisibleParentSuspenseContext indicates that one of our parent Suspense
// boundaries is not currently showing visible main content.
// Either because it is already showing a fallback or is not mounted at all.
// We can use this to determine if it is desirable to trigger a fallback at
// the parent. If not, then we might need to trigger undesirable boundaries
// and/or suspend the commit to avoid hiding the parent content.

var InvisibleParentSuspenseContext = 1; // Shallow Flags:
// ForceSuspenseFallback can be used by SuspenseList to force newly added
// items into their fallback state during one of the render passes.

var ForceSuspenseFallback = 2;
var suspenseStackCursor = createCursor(DefaultSuspenseContext);
function hasSuspenseContext(parentContext, flag) {
  return (parentContext & flag) !== 0;
}
function setDefaultShallowSuspenseContext(parentContext) {
  return parentContext & SubtreeSuspenseContextMask;
}
function setShallowSuspenseContext(parentContext, shallowContext) {
  return parentContext & SubtreeSuspenseContextMask | shallowContext;
}
function addSubtreeSuspenseContext(parentContext, subtreeContext) {
  return parentContext | subtreeContext;
}
function pushSuspenseContext(fiber, newContext) {
  push(suspenseStackCursor, newContext, fiber);
}
function popSuspenseContext(fiber) {
  pop(suspenseStackCursor, fiber);
}

function shouldCaptureSuspense(workInProgress, hasInvisibleParent) {
  // If it was the primary children that just suspended, capture and render the
  // fallback. Otherwise, don't capture and bubble to the next boundary.
  var nextState = workInProgress.memoizedState;

  if (nextState !== null) {
    if (nextState.dehydrated !== null) {
      // A dehydrated boundary always captures.
      return true;
    }

    return false;
  }

  var props = workInProgress.memoizedProps; // In order to capture, the Suspense component must have a fallback prop.

  if (props.fallback === undefined) {
    return false;
  } // Regular boundaries always capture.


  if (props.unstable_avoidThisFallback !== true) {
    return true;
  } // If it's a boundary we should avoid, then we prefer to bubble up to the
  // parent boundary if it is currently invisible.


  if (hasInvisibleParent) {
    return false;
  } // If the parent is not able to handle it, we must handle it.


  return true;
}
function findFirstSuspended(row) {
  var node = row;

  while (node !== null) {
    if (node.tag === SuspenseComponent) {
      var state = node.memoizedState;

      if (state !== null) {
        var dehydrated = state.dehydrated;

        if (dehydrated === null || isSuspenseInstancePending(dehydrated) || isSuspenseInstanceFallback(dehydrated)) {
          return node;
        }
      }
    } else if (node.tag === SuspenseListComponent && // revealOrder undefined can't be trusted because it don't
    // keep track of whether it suspended or not.
    node.memoizedProps.revealOrder !== undefined) {
      var didSuspend = (node.flags & DidCapture) !== NoFlags;

      if (didSuspend) {
        return node;
      }
    } else if (node.child !== null) {
      node.child.return = node;
      node = node.child;
      continue;
    }

    if (node === row) {
      return null;
    }

    while (node.sibling === null) {
      if (node.return === null || node.return === row) {
        return null;
      }

      node = node.return;
    }

    node.sibling.return = node.return;
    node = node.sibling;
  }

  return null;
}

var NoFlags$1 =
/*  */
0; // Represents whether effect should fire.

var HasEffect =
/* */
1; // Represents the phase in which the effect (not the clean-up) fires.

var Layout =
/*    */
2;
var Passive$1 =
/*   */
4;

// This may have been an insertion or a hydration.

var hydrationParentFiber = null;
var nextHydratableInstance = null;
var isHydrating = false;

function enterHydrationState(fiber) {

  var parentInstance = fiber.stateNode.containerInfo;
  nextHydratableInstance = getFirstHydratableChild(parentInstance);
  hydrationParentFiber = fiber;
  isHydrating = true;
  return true;
}

function deleteHydratableInstance(returnFiber, instance) {
  {
    switch (returnFiber.tag) {
      case HostRoot:
        didNotHydrateContainerInstance(returnFiber.stateNode.containerInfo, instance);
        break;

      case HostComponent:
        didNotHydrateInstance(returnFiber.type, returnFiber.memoizedProps, returnFiber.stateNode, instance);
        break;
    }
  }

  var childToDelete = createFiberFromHostInstanceForDeletion();
  childToDelete.stateNode = instance;
  childToDelete.return = returnFiber;
  childToDelete.flags = Deletion; // This might seem like it belongs on progressedFirstDeletion. However,
  // these children are not part of the reconciliation list of children.
  // Even if we abort and rereconcile the children, that will try to hydrate
  // again and the nodes are still in the host tree so these will be
  // recreated.

  if (returnFiber.lastEffect !== null) {
    returnFiber.lastEffect.nextEffect = childToDelete;
    returnFiber.lastEffect = childToDelete;
  } else {
    returnFiber.firstEffect = returnFiber.lastEffect = childToDelete;
  }
}

function insertNonHydratedInstance(returnFiber, fiber) {
  fiber.flags = fiber.flags & ~Hydrating | Placement;

  {
    switch (returnFiber.tag) {
      case HostRoot:
        {
          var parentContainer = returnFiber.stateNode.containerInfo;

          switch (fiber.tag) {
            case HostComponent:
              var type = fiber.type;
              var props = fiber.pendingProps;
              didNotFindHydratableContainerInstance(parentContainer, type);
              break;

            case HostText:
              var text = fiber.pendingProps;
              didNotFindHydratableContainerTextInstance(parentContainer, text);
              break;
          }

          break;
        }

      case HostComponent:
        {
          var parentType = returnFiber.type;
          var parentProps = returnFiber.memoizedProps;
          var parentInstance = returnFiber.stateNode;

          switch (fiber.tag) {
            case HostComponent:
              var _type = fiber.type;
              var _props = fiber.pendingProps;
              didNotFindHydratableInstance(parentType, parentProps, parentInstance, _type);
              break;

            case HostText:
              var _text = fiber.pendingProps;
              didNotFindHydratableTextInstance(parentType, parentProps, parentInstance, _text);
              break;

            case SuspenseComponent:
              didNotFindHydratableSuspenseInstance(parentType, parentProps);
              break;
          }

          break;
        }

      default:
        return;
    }
  }
}

function tryHydrate(fiber, nextInstance) {
  switch (fiber.tag) {
    case HostComponent:
      {
        var type = fiber.type;
        var props = fiber.pendingProps;
        var instance = canHydrateInstance(nextInstance, type);

        if (instance !== null) {
          fiber.stateNode = instance;
          return true;
        }

        return false;
      }

    case HostText:
      {
        var text = fiber.pendingProps;
        var textInstance = canHydrateTextInstance(nextInstance, text);

        if (textInstance !== null) {
          fiber.stateNode = textInstance;
          return true;
        }

        return false;
      }

    case SuspenseComponent:
      {

        return false;
      }

    default:
      return false;
  }
}

function tryToClaimNextHydratableInstance(fiber) {
  if (!isHydrating) {
    return;
  }

  var nextInstance = nextHydratableInstance;

  if (!nextInstance) {
    // Nothing to hydrate. Make it an insertion.
    insertNonHydratedInstance(hydrationParentFiber, fiber);
    isHydrating = false;
    hydrationParentFiber = fiber;
    return;
  }

  var firstAttemptedInstance = nextInstance;

  if (!tryHydrate(fiber, nextInstance)) {
    // If we can't hydrate this instance let's try the next one.
    // We use this as a heuristic. It's based on intuition and not data so it
    // might be flawed or unnecessary.
    nextInstance = getNextHydratableSibling(firstAttemptedInstance);

    if (!nextInstance || !tryHydrate(fiber, nextInstance)) {
      // Nothing to hydrate. Make it an insertion.
      insertNonHydratedInstance(hydrationParentFiber, fiber);
      isHydrating = false;
      hydrationParentFiber = fiber;
      return;
    } // We matched the next one, we'll now assume that the first one was
    // superfluous and we'll delete it. Since we can't eagerly delete it
    // we'll have to schedule a deletion. To do that, this node needs a dummy
    // fiber associated with it.


    deleteHydratableInstance(hydrationParentFiber, firstAttemptedInstance);
  }

  hydrationParentFiber = fiber;
  nextHydratableInstance = getFirstHydratableChild(nextInstance);
}

function prepareToHydrateHostInstance(fiber, rootContainerInstance, hostContext) {

  var instance = fiber.stateNode;
  var updatePayload = hydrateInstance(instance, fiber.type, fiber.memoizedProps, rootContainerInstance, hostContext, fiber); // TODO: Type this specific to this type of component.

  fiber.updateQueue = updatePayload; // If the update payload indicates that there is a change or if there
  // is a new ref we mark this as an update.

  if (updatePayload !== null) {
    return true;
  }

  return false;
}

function prepareToHydrateHostTextInstance(fiber) {

  var textInstance = fiber.stateNode;
  var textContent = fiber.memoizedProps;
  var shouldUpdate = hydrateTextInstance(textInstance, textContent, fiber);

  {
    if (shouldUpdate) {
      // We assume that prepareToHydrateHostTextInstance is called in a context where the
      // hydration parent is the parent host component of this host text.
      var returnFiber = hydrationParentFiber;

      if (returnFiber !== null) {
        switch (returnFiber.tag) {
          case HostRoot:
            {
              var parentContainer = returnFiber.stateNode.containerInfo;
              didNotMatchHydratedContainerTextInstance(parentContainer, textInstance, textContent);
              break;
            }

          case HostComponent:
            {
              var parentType = returnFiber.type;
              var parentProps = returnFiber.memoizedProps;
              var parentInstance = returnFiber.stateNode;
              didNotMatchHydratedTextInstance(parentType, parentProps, parentInstance, textInstance, textContent);
              break;
            }
        }
      }
    }
  }

  return shouldUpdate;
}

function skipPastDehydratedSuspenseInstance(fiber) {

  var suspenseState = fiber.memoizedState;
  var suspenseInstance = suspenseState !== null ? suspenseState.dehydrated : null;

  if (!suspenseInstance) {
    {
      throw Error( "Expected to have a hydrated suspense instance. This error is likely caused by a bug in React. Please file an issue." );
    }
  }

  return getNextHydratableInstanceAfterSuspenseInstance(suspenseInstance);
}

function popToNextHostParent(fiber) {
  var parent = fiber.return;

  while (parent !== null && parent.tag !== HostComponent && parent.tag !== HostRoot && parent.tag !== SuspenseComponent) {
    parent = parent.return;
  }

  hydrationParentFiber = parent;
}

function popHydrationState(fiber) {

  if (fiber !== hydrationParentFiber) {
    // We're deeper than the current hydration context, inside an inserted
    // tree.
    return false;
  }

  if (!isHydrating) {
    // If we're not currently hydrating but we're in a hydration context, then
    // we were an insertion and now need to pop up reenter hydration of our
    // siblings.
    popToNextHostParent(fiber);
    isHydrating = true;
    return false;
  }

  var type = fiber.type; // If we have any remaining hydratable nodes, we need to delete them now.
  // We only do this deeper than head and body since they tend to have random
  // other nodes in them. We also ignore components with pure text content in
  // side of them.
  // TODO: Better heuristic.

  if (fiber.tag !== HostComponent || type !== 'head' && type !== 'body' && !shouldSetTextContent(type, fiber.memoizedProps)) {
    var nextInstance = nextHydratableInstance;

    while (nextInstance) {
      deleteHydratableInstance(fiber, nextInstance);
      nextInstance = getNextHydratableSibling(nextInstance);
    }
  }

  popToNextHostParent(fiber);

  if (fiber.tag === SuspenseComponent) {
    nextHydratableInstance = skipPastDehydratedSuspenseInstance(fiber);
  } else {
    nextHydratableInstance = hydrationParentFiber ? getNextHydratableSibling(fiber.stateNode) : null;
  }

  return true;
}

function resetHydrationState() {

  hydrationParentFiber = null;
  nextHydratableInstance = null;
  isHydrating = false;
}

function getIsHydrating() {
  return isHydrating;
}

// and should be reset before starting a new render.
// This tracks which mutable sources need to be reset after a render.

var workInProgressSources = [];
var rendererSigil$1;

{
  // Used to detect multiple renderers using the same mutable source.
  rendererSigil$1 = {};
}

function markSourceAsDirty(mutableSource) {
  workInProgressSources.push(mutableSource);
}
function resetWorkInProgressVersions() {
  for (var i = 0; i < workInProgressSources.length; i++) {
    var mutableSource = workInProgressSources[i];

    {
      mutableSource._workInProgressVersionPrimary = null;
    }
  }

  workInProgressSources.length = 0;
}
function getWorkInProgressVersion(mutableSource) {
  {
    return mutableSource._workInProgressVersionPrimary;
  }
}
function setWorkInProgressVersion(mutableSource, version) {
  {
    mutableSource._workInProgressVersionPrimary = version;
  }

  workInProgressSources.push(mutableSource);
}
function warnAboutMultipleRenderersDEV(mutableSource) {
  {
    {
      if (mutableSource._currentPrimaryRenderer == null) {
        mutableSource._currentPrimaryRenderer = rendererSigil$1;
      } else if (mutableSource._currentPrimaryRenderer !== rendererSigil$1) {
        error('Detected multiple renderers concurrently rendering the ' + 'same mutable source. This is currently unsupported.');
      }
    }
  }
} // Eager reads the version of a mutable source and stores it on the root.

var ReactCurrentDispatcher$1 = ReactSharedInternals.ReactCurrentDispatcher,
    ReactCurrentBatchConfig$1 = ReactSharedInternals.ReactCurrentBatchConfig;
var didWarnAboutMismatchedHooksForComponent;
var didWarnAboutUseOpaqueIdentifier;

{
  didWarnAboutUseOpaqueIdentifier = {};
  didWarnAboutMismatchedHooksForComponent = new Set();
}

// These are set right before calling the component.
var renderLanes = NoLanes; // The work-in-progress fiber. I've named it differently to distinguish it from
// the work-in-progress hook.

var currentlyRenderingFiber$1 = null; // Hooks are stored as a linked list on the fiber's memoizedState field. The
// current hook list is the list that belongs to the current fiber. The
// work-in-progress hook list is a new list that will be added to the
// work-in-progress fiber.

var currentHook = null;
var workInProgressHook = null; // Whether an update was scheduled at any point during the render phase. This
// does not get reset if we do another render pass; only when we're completely
// finished evaluating this component. This is an optimization so we know
// whether we need to clear render phase updates after a throw.

var didScheduleRenderPhaseUpdate = false; // Where an update was scheduled only during the current render pass. This
// gets reset after each attempt.
// TODO: Maybe there's some way to consolidate this with
// `didScheduleRenderPhaseUpdate`. Or with `numberOfReRenders`.

var didScheduleRenderPhaseUpdateDuringThisPass = false;
var RE_RENDER_LIMIT = 25; // In DEV, this is the name of the currently executing primitive hook

var currentHookNameInDev = null; // In DEV, this list ensures that hooks are called in the same order between renders.
// The list stores the order of hooks used during the initial render (mount).
// Subsequent renders (updates) reference this list.

var hookTypesDev = null;
var hookTypesUpdateIndexDev = -1; // In DEV, this tracks whether currently rendering component needs to ignore
// the dependencies for Hooks that need them (e.g. useEffect or useMemo).
// When true, such Hooks will always be "remounted". Only used during hot reload.

var ignorePreviousDependencies = false;

function mountHookTypesDev() {
  {
    var hookName = currentHookNameInDev;

    if (hookTypesDev === null) {
      hookTypesDev = [hookName];
    } else {
      hookTypesDev.push(hookName);
    }
  }
}

function updateHookTypesDev() {
  {
    var hookName = currentHookNameInDev;

    if (hookTypesDev !== null) {
      hookTypesUpdateIndexDev++;

      if (hookTypesDev[hookTypesUpdateIndexDev] !== hookName) {
        warnOnHookMismatchInDev(hookName);
      }
    }
  }
}

function checkDepsAreArrayDev(deps) {
  {
    if (deps !== undefined && deps !== null && !Array.isArray(deps)) {
      // Verify deps, but only on mount to avoid extra checks.
      // It's unlikely their type would change as usually you define them inline.
      error('%s received a final argument that is not an array (instead, received `%s`). When ' + 'specified, the final argument must be an array.', currentHookNameInDev, typeof deps);
    }
  }
}

function warnOnHookMismatchInDev(currentHookName) {
  {
    var componentName = getComponentName(currentlyRenderingFiber$1.type);

    if (!didWarnAboutMismatchedHooksForComponent.has(componentName)) {
      didWarnAboutMismatchedHooksForComponent.add(componentName);

      if (hookTypesDev !== null) {
        var table = '';
        var secondColumnStart = 30;

        for (var i = 0; i <= hookTypesUpdateIndexDev; i++) {
          var oldHookName = hookTypesDev[i];
          var newHookName = i === hookTypesUpdateIndexDev ? currentHookName : oldHookName;
          var row = i + 1 + ". " + oldHookName; // Extra space so second column lines up
          // lol @ IE not supporting String#repeat

          while (row.length < secondColumnStart) {
            row += ' ';
          }

          row += newHookName + '\n';
          table += row;
        }

        error('React has detected a change in the order of Hooks called by %s. ' + 'This will lead to bugs and errors if not fixed. ' + 'For more information, read the Rules of Hooks: https://reactjs.org/link/rules-of-hooks\n\n' + '   Previous render            Next render\n' + '   ------------------------------------------------------\n' + '%s' + '   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^\n', componentName, table);
      }
    }
  }
}

function throwInvalidHookError() {
  {
    {
      throw Error( "Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:\n1. You might have mismatching versions of React and the renderer (such as React DOM)\n2. You might be breaking the Rules of Hooks\n3. You might have more than one copy of React in the same app\nSee https://reactjs.org/link/invalid-hook-call for tips about how to debug and fix this problem." );
    }
  }
}

function areHookInputsEqual(nextDeps, prevDeps) {
  {
    if (ignorePreviousDependencies) {
      // Only true when this component is being hot reloaded.
      return false;
    }
  }

  if (prevDeps === null) {
    {
      error('%s received a final argument during this render, but not during ' + 'the previous render. Even though the final argument is optional, ' + 'its type cannot change between renders.', currentHookNameInDev);
    }

    return false;
  }

  {
    // Don't bother comparing lengths in prod because these arrays should be
    // passed inline.
    if (nextDeps.length !== prevDeps.length) {
      error('The final argument passed to %s changed size between renders. The ' + 'order and size of this array must remain constant.\n\n' + 'Previous: %s\n' + 'Incoming: %s', currentHookNameInDev, "[" + prevDeps.join(', ') + "]", "[" + nextDeps.join(', ') + "]");
    }
  }

  for (var i = 0; i < prevDeps.length && i < nextDeps.length; i++) {
    if (objectIs(nextDeps[i], prevDeps[i])) {
      continue;
    }

    return false;
  }

  return true;
}

function renderWithHooks(current, workInProgress, Component, props, secondArg, nextRenderLanes) {
  renderLanes = nextRenderLanes;
  currentlyRenderingFiber$1 = workInProgress;

  {
    hookTypesDev = current !== null ? current._debugHookTypes : null;
    hookTypesUpdateIndexDev = -1; // Used for hot reloading:

    ignorePreviousDependencies = current !== null && current.type !== workInProgress.type;
  }

  workInProgress.memoizedState = null;
  workInProgress.updateQueue = null;
  workInProgress.lanes = NoLanes; // The following should have already been reset
  // currentHook = null;
  // workInProgressHook = null;
  // didScheduleRenderPhaseUpdate = false;
  // TODO Warn if no hooks are used at all during mount, then some are used during update.
  // Currently we will identify the update render as a mount because memoizedState === null.
  // This is tricky because it's valid for certain types of components (e.g. React.lazy)
  // Using memoizedState to differentiate between mount/update only works if at least one stateful hook is used.
  // Non-stateful hooks (e.g. context) don't get added to memoizedState,
  // so memoizedState would be null during updates and mounts.

  {
    if (current !== null && current.memoizedState !== null) {
      ReactCurrentDispatcher$1.current = HooksDispatcherOnUpdateInDEV;
    } else if (hookTypesDev !== null) {
      // This dispatcher handles an edge case where a component is updating,
      // but no stateful hooks have been used.
      // We want to match the production code behavior (which will use HooksDispatcherOnMount),
      // but with the extra DEV validation to ensure hooks ordering hasn't changed.
      // This dispatcher does that.
      ReactCurrentDispatcher$1.current = HooksDispatcherOnMountWithHookTypesInDEV;
    } else {
      ReactCurrentDispatcher$1.current = HooksDispatcherOnMountInDEV;
    }
  }

  var children = Component(props, secondArg); // Check if there was a render phase update

  if (didScheduleRenderPhaseUpdateDuringThisPass) {
    // Keep rendering in a loop for as long as render phase updates continue to
    // be scheduled. Use a counter to prevent infinite loops.
    var numberOfReRenders = 0;

    do {
      didScheduleRenderPhaseUpdateDuringThisPass = false;

      if (!(numberOfReRenders < RE_RENDER_LIMIT)) {
        {
          throw Error( "Too many re-renders. React limits the number of renders to prevent an infinite loop." );
        }
      }

      numberOfReRenders += 1;

      {
        // Even when hot reloading, allow dependencies to stabilize
        // after first render to prevent infinite render phase updates.
        ignorePreviousDependencies = false;
      } // Start over from the beginning of the list


      currentHook = null;
      workInProgressHook = null;
      workInProgress.updateQueue = null;

      {
        // Also validate hook order for cascading updates.
        hookTypesUpdateIndexDev = -1;
      }

      ReactCurrentDispatcher$1.current =  HooksDispatcherOnRerenderInDEV ;
      children = Component(props, secondArg);
    } while (didScheduleRenderPhaseUpdateDuringThisPass);
  } // We can assume the previous dispatcher is always this one, since we set it
  // at the beginning of the render phase and there's no re-entrancy.


  ReactCurrentDispatcher$1.current = ContextOnlyDispatcher;

  {
    workInProgress._debugHookTypes = hookTypesDev;
  } // This check uses currentHook so that it works the same in DEV and prod bundles.
  // hookTypesDev could catch more cases (e.g. context) but only in DEV bundles.


  var didRenderTooFewHooks = currentHook !== null && currentHook.next !== null;
  renderLanes = NoLanes;
  currentlyRenderingFiber$1 = null;
  currentHook = null;
  workInProgressHook = null;

  {
    currentHookNameInDev = null;
    hookTypesDev = null;
    hookTypesUpdateIndexDev = -1;
  }

  didScheduleRenderPhaseUpdate = false;

  if (!!didRenderTooFewHooks) {
    {
      throw Error( "Rendered fewer hooks than expected. This may be caused by an accidental early return statement." );
    }
  }

  return children;
}
function bailoutHooks(current, workInProgress, lanes) {
  workInProgress.updateQueue = current.updateQueue;
  workInProgress.flags &= ~(Passive | Update);
  current.lanes = removeLanes(current.lanes, lanes);
}
function resetHooksAfterThrow() {
  // We can assume the previous dispatcher is always this one, since we set it
  // at the beginning of the render phase and there's no re-entrancy.
  ReactCurrentDispatcher$1.current = ContextOnlyDispatcher;

  if (didScheduleRenderPhaseUpdate) {
    // There were render phase updates. These are only valid for this render
    // phase, which we are now aborting. Remove the updates from the queues so
    // they do not persist to the next render. Do not remove updates from hooks
    // that weren't processed.
    //
    // Only reset the updates from the queue if it has a clone. If it does
    // not have a clone, that means it wasn't processed, and the updates were
    // scheduled before we entered the render phase.
    var hook = currentlyRenderingFiber$1.memoizedState;

    while (hook !== null) {
      var queue = hook.queue;

      if (queue !== null) {
        queue.pending = null;
      }

      hook = hook.next;
    }

    didScheduleRenderPhaseUpdate = false;
  }

  renderLanes = NoLanes;
  currentlyRenderingFiber$1 = null;
  currentHook = null;
  workInProgressHook = null;

  {
    hookTypesDev = null;
    hookTypesUpdateIndexDev = -1;
    currentHookNameInDev = null;
    isUpdatingOpaqueValueInRenderPhase = false;
  }

  didScheduleRenderPhaseUpdateDuringThisPass = false;
}

function mountWorkInProgressHook() {
  var hook = {
    memoizedState: null,
    baseState: null,
    baseQueue: null,
    queue: null,
    next: null
  };

  if (workInProgressHook === null) {
    // This is the first hook in the list
    currentlyRenderingFiber$1.memoizedState = workInProgressHook = hook;
  } else {
    // Append to the end of the list
    workInProgressHook = workInProgressHook.next = hook;
  }

  return workInProgressHook;
}

function updateWorkInProgressHook() {
  // This function is used both for updates and for re-renders triggered by a
  // render phase update. It assumes there is either a current hook we can
  // clone, or a work-in-progress hook from a previous render pass that we can
  // use as a base. When we reach the end of the base list, we must switch to
  // the dispatcher used for mounts.
  var nextCurrentHook;

  if (currentHook === null) {
    var current = currentlyRenderingFiber$1.alternate;

    if (current !== null) {
      nextCurrentHook = current.memoizedState;
    } else {
      nextCurrentHook = null;
    }
  } else {
    nextCurrentHook = currentHook.next;
  }

  var nextWorkInProgressHook;

  if (workInProgressHook === null) {
    nextWorkInProgressHook = currentlyRenderingFiber$1.memoizedState;
  } else {
    nextWorkInProgressHook = workInProgressHook.next;
  }

  if (nextWorkInProgressHook !== null) {
    // There's already a work-in-progress. Reuse it.
    workInProgressHook = nextWorkInProgressHook;
    nextWorkInProgressHook = workInProgressHook.next;
    currentHook = nextCurrentHook;
  } else {
    // Clone from the current hook.
    if (!(nextCurrentHook !== null)) {
      {
        throw Error( "Rendered more hooks than during the previous render." );
      }
    }

    currentHook = nextCurrentHook;
    var newHook = {
      memoizedState: currentHook.memoizedState,
      baseState: currentHook.baseState,
      baseQueue: currentHook.baseQueue,
      queue: currentHook.queue,
      next: null
    };

    if (workInProgressHook === null) {
      // This is the first hook in the list.
      currentlyRenderingFiber$1.memoizedState = workInProgressHook = newHook;
    } else {
      // Append to the end of the list.
      workInProgressHook = workInProgressHook.next = newHook;
    }
  }

  return workInProgressHook;
}

function createFunctionComponentUpdateQueue() {
  return {
    lastEffect: null
  };
}

function basicStateReducer(state, action) {
  // $FlowFixMe: Flow doesn't like mixed types
  return typeof action === 'function' ? action(state) : action;
}

function mountReducer(reducer, initialArg, init) {
  var hook = mountWorkInProgressHook();
  var initialState;

  if (init !== undefined) {
    initialState = init(initialArg);
  } else {
    initialState = initialArg;
  }

  hook.memoizedState = hook.baseState = initialState;
  var queue = hook.queue = {
    pending: null,
    dispatch: null,
    lastRenderedReducer: reducer,
    lastRenderedState: initialState
  };
  var dispatch = queue.dispatch = dispatchAction.bind(null, currentlyRenderingFiber$1, queue);
  return [hook.memoizedState, dispatch];
}

function updateReducer(reducer, initialArg, init) {
  var hook = updateWorkInProgressHook();
  var queue = hook.queue;

  if (!(queue !== null)) {
    {
      throw Error( "Should have a queue. This is likely a bug in React. Please file an issue." );
    }
  }

  queue.lastRenderedReducer = reducer;
  var current = currentHook; // The last rebase update that is NOT part of the base state.

  var baseQueue = current.baseQueue; // The last pending update that hasn't been processed yet.

  var pendingQueue = queue.pending;

  if (pendingQueue !== null) {
    // We have new updates that haven't been processed yet.
    // We'll add them to the base queue.
    if (baseQueue !== null) {
      // Merge the pending queue and the base queue.
      var baseFirst = baseQueue.next;
      var pendingFirst = pendingQueue.next;
      baseQueue.next = pendingFirst;
      pendingQueue.next = baseFirst;
    }

    {
      if (current.baseQueue !== baseQueue) {
        // Internal invariant that should never happen, but feasibly could in
        // the future if we implement resuming, or some form of that.
        error('Internal error: Expected work-in-progress queue to be a clone. ' + 'This is a bug in React.');
      }
    }

    current.baseQueue = baseQueue = pendingQueue;
    queue.pending = null;
  }

  if (baseQueue !== null) {
    // We have a queue to process.
    var first = baseQueue.next;
    var newState = current.baseState;
    var newBaseState = null;
    var newBaseQueueFirst = null;
    var newBaseQueueLast = null;
    var update = first;

    do {
      var updateLane = update.lane;

      if (!isSubsetOfLanes(renderLanes, updateLane)) {
        // Priority is insufficient. Skip this update. If this is the first
        // skipped update, the previous update/state is the new base
        // update/state.
        var clone = {
          lane: updateLane,
          action: update.action,
          eagerReducer: update.eagerReducer,
          eagerState: update.eagerState,
          next: null
        };

        if (newBaseQueueLast === null) {
          newBaseQueueFirst = newBaseQueueLast = clone;
          newBaseState = newState;
        } else {
          newBaseQueueLast = newBaseQueueLast.next = clone;
        } // Update the remaining priority in the queue.
        // TODO: Don't need to accumulate this. Instead, we can remove
        // renderLanes from the original lanes.


        currentlyRenderingFiber$1.lanes = mergeLanes(currentlyRenderingFiber$1.lanes, updateLane);
        markSkippedUpdateLanes(updateLane);
      } else {
        // This update does have sufficient priority.
        if (newBaseQueueLast !== null) {
          var _clone = {
            // This update is going to be committed so we never want uncommit
            // it. Using NoLane works because 0 is a subset of all bitmasks, so
            // this will never be skipped by the check above.
            lane: NoLane,
            action: update.action,
            eagerReducer: update.eagerReducer,
            eagerState: update.eagerState,
            next: null
          };
          newBaseQueueLast = newBaseQueueLast.next = _clone;
        } // Process this update.


        if (update.eagerReducer === reducer) {
          // If this update was processed eagerly, and its reducer matches the
          // current reducer, we can use the eagerly computed state.
          newState = update.eagerState;
        } else {
          var action = update.action;
          newState = reducer(newState, action);
        }
      }

      update = update.next;
    } while (update !== null && update !== first);

    if (newBaseQueueLast === null) {
      newBaseState = newState;
    } else {
      newBaseQueueLast.next = newBaseQueueFirst;
    } // Mark that the fiber performed work, but only if the new state is
    // different from the current state.


    if (!objectIs(newState, hook.memoizedState)) {
      markWorkInProgressReceivedUpdate();
    }

    hook.memoizedState = newState;
    hook.baseState = newBaseState;
    hook.baseQueue = newBaseQueueLast;
    queue.lastRenderedState = newState;
  }

  var dispatch = queue.dispatch;
  return [hook.memoizedState, dispatch];
}

function rerenderReducer(reducer, initialArg, init) {
  var hook = updateWorkInProgressHook();
  var queue = hook.queue;

  if (!(queue !== null)) {
    {
      throw Error( "Should have a queue. This is likely a bug in React. Please file an issue." );
    }
  }

  queue.lastRenderedReducer = reducer; // This is a re-render. Apply the new render phase updates to the previous
  // work-in-progress hook.

  var dispatch = queue.dispatch;
  var lastRenderPhaseUpdate = queue.pending;
  var newState = hook.memoizedState;

  if (lastRenderPhaseUpdate !== null) {
    // The queue doesn't persist past this render pass.
    queue.pending = null;
    var firstRenderPhaseUpdate = lastRenderPhaseUpdate.next;
    var update = firstRenderPhaseUpdate;

    do {
      // Process this render phase update. We don't have to check the
      // priority because it will always be the same as the current
      // render's.
      var action = update.action;
      newState = reducer(newState, action);
      update = update.next;
    } while (update !== firstRenderPhaseUpdate); // Mark that the fiber performed work, but only if the new state is
    // different from the current state.


    if (!objectIs(newState, hook.memoizedState)) {
      markWorkInProgressReceivedUpdate();
    }

    hook.memoizedState = newState; // Don't persist the state accumulated from the render phase updates to
    // the base state unless the queue is empty.
    // TODO: Not sure if this is the desired semantics, but it's what we
    // do for gDSFP. I can't remember why.

    if (hook.baseQueue === null) {
      hook.baseState = newState;
    }

    queue.lastRenderedState = newState;
  }

  return [newState, dispatch];
}

function readFromUnsubcribedMutableSource(root, source, getSnapshot) {
  {
    warnAboutMultipleRenderersDEV(source);
  }

  var getVersion = source._getVersion;
  var version = getVersion(source._source); // Is it safe for this component to read from this source during the current render?

  var isSafeToReadFromSource = false; // Check the version first.
  // If this render has already been started with a specific version,
  // we can use it alone to determine if we can safely read from the source.

  var currentRenderVersion = getWorkInProgressVersion(source);

  if (currentRenderVersion !== null) {
    // It's safe to read if the store hasn't been mutated since the last time
    // we read something.
    isSafeToReadFromSource = currentRenderVersion === version;
  } else {
    // If there's no version, then this is the first time we've read from the
    // source during the current render pass, so we need to do a bit more work.
    // What we need to determine is if there are any hooks that already
    // subscribed to the source, and if so, whether there are any pending
    // mutations that haven't been synchronized yet.
    //
    // If there are no pending mutations, then `root.mutableReadLanes` will be
    // empty, and we know we can safely read.
    //
    // If there *are* pending mutations, we may still be able to safely read
    // if the currently rendering lanes are inclusive of the pending mutation
    // lanes, since that guarantees that the value we're about to read from
    // the source is consistent with the values that we read during the most
    // recent mutation.
    isSafeToReadFromSource = isSubsetOfLanes(renderLanes, root.mutableReadLanes);

    if (isSafeToReadFromSource) {
      // If it's safe to read from this source during the current render,
      // store the version in case other components read from it.
      // A changed version number will let those components know to throw and restart the render.
      setWorkInProgressVersion(source, version);
    }
  }

  if (isSafeToReadFromSource) {
    var snapshot = getSnapshot(source._source);

    {
      if (typeof snapshot === 'function') {
        error('Mutable source should not return a function as the snapshot value. ' + 'Functions may close over mutable values and cause tearing.');
      }
    }

    return snapshot;
  } else {
    // This handles the special case of a mutable source being shared between renderers.
    // In that case, if the source is mutated between the first and second renderer,
    // The second renderer don't know that it needs to reset the WIP version during unwind,
    // (because the hook only marks sources as dirty if it's written to their WIP version).
    // That would cause this tear check to throw again and eventually be visible to the user.
    // We can avoid this infinite loop by explicitly marking the source as dirty.
    //
    // This can lead to tearing in the first renderer when it resumes,
    // but there's nothing we can do about that (short of throwing here and refusing to continue the render).
    markSourceAsDirty(source);

    {
      {
        throw Error( "Cannot read from mutable source during the current render without tearing. This is a bug in React. Please file an issue." );
      }
    }
  }
}

function useMutableSource(hook, source, getSnapshot, subscribe) {
  var root = getWorkInProgressRoot();

  if (!(root !== null)) {
    {
      throw Error( "Expected a work-in-progress root. This is a bug in React. Please file an issue." );
    }
  }

  var getVersion = source._getVersion;
  var version = getVersion(source._source);
  var dispatcher = ReactCurrentDispatcher$1.current; // eslint-disable-next-line prefer-const

  var _dispatcher$useState = dispatcher.useState(function () {
    return readFromUnsubcribedMutableSource(root, source, getSnapshot);
  }),
      currentSnapshot = _dispatcher$useState[0],
      setSnapshot = _dispatcher$useState[1];

  var snapshot = currentSnapshot; // Grab a handle to the state hook as well.
  // We use it to clear the pending update queue if we have a new source.

  var stateHook = workInProgressHook;
  var memoizedState = hook.memoizedState;
  var refs = memoizedState.refs;
  var prevGetSnapshot = refs.getSnapshot;
  var prevSource = memoizedState.source;
  var prevSubscribe = memoizedState.subscribe;
  var fiber = currentlyRenderingFiber$1;
  hook.memoizedState = {
    refs: refs,
    source: source,
    subscribe: subscribe
  }; // Sync the values needed by our subscription handler after each commit.

  dispatcher.useEffect(function () {
    refs.getSnapshot = getSnapshot; // Normally the dispatch function for a state hook never changes,
    // but this hook recreates the queue in certain cases  to avoid updates from stale sources.
    // handleChange() below needs to reference the dispatch function without re-subscribing,
    // so we use a ref to ensure that it always has the latest version.

    refs.setSnapshot = setSnapshot; // Check for a possible change between when we last rendered now.

    var maybeNewVersion = getVersion(source._source);

    if (!objectIs(version, maybeNewVersion)) {
      var maybeNewSnapshot = getSnapshot(source._source);

      {
        if (typeof maybeNewSnapshot === 'function') {
          error('Mutable source should not return a function as the snapshot value. ' + 'Functions may close over mutable values and cause tearing.');
        }
      }

      if (!objectIs(snapshot, maybeNewSnapshot)) {
        setSnapshot(maybeNewSnapshot);
        var lane = requestUpdateLane(fiber);
        markRootMutableRead(root, lane);
      } // If the source mutated between render and now,
      // there may be state updates already scheduled from the old source.
      // Entangle the updates so that they render in the same batch.


      markRootEntangled(root, root.mutableReadLanes);
    }
  }, [getSnapshot, source, subscribe]); // If we got a new source or subscribe function, re-subscribe in a passive effect.

  dispatcher.useEffect(function () {
    var handleChange = function () {
      var latestGetSnapshot = refs.getSnapshot;
      var latestSetSnapshot = refs.setSnapshot;

      try {
        latestSetSnapshot(latestGetSnapshot(source._source)); // Record a pending mutable source update with the same expiration time.

        var lane = requestUpdateLane(fiber);
        markRootMutableRead(root, lane);
      } catch (error) {
        // A selector might throw after a source mutation.
        // e.g. it might try to read from a part of the store that no longer exists.
        // In this case we should still schedule an update with React.
        // Worst case the selector will throw again and then an error boundary will handle it.
        latestSetSnapshot(function () {
          throw error;
        });
      }
    };

    var unsubscribe = subscribe(source._source, handleChange);

    {
      if (typeof unsubscribe !== 'function') {
        error('Mutable source subscribe function must return an unsubscribe function.');
      }
    }

    return unsubscribe;
  }, [source, subscribe]); // If any of the inputs to useMutableSource change, reading is potentially unsafe.
  //
  // If either the source or the subscription have changed we can't can't trust the update queue.
  // Maybe the source changed in a way that the old subscription ignored but the new one depends on.
  //
  // If the getSnapshot function changed, we also shouldn't rely on the update queue.
  // It's possible that the underlying source was mutated between the when the last "change" event fired,
  // and when the current render (with the new getSnapshot function) is processed.
  //
  // In both cases, we need to throw away pending updates (since they are no longer relevant)
  // and treat reading from the source as we do in the mount case.

  if (!objectIs(prevGetSnapshot, getSnapshot) || !objectIs(prevSource, source) || !objectIs(prevSubscribe, subscribe)) {
    // Create a new queue and setState method,
    // So if there are interleaved updates, they get pushed to the older queue.
    // When this becomes current, the previous queue and dispatch method will be discarded,
    // including any interleaving updates that occur.
    var newQueue = {
      pending: null,
      dispatch: null,
      lastRenderedReducer: basicStateReducer,
      lastRenderedState: snapshot
    };
    newQueue.dispatch = setSnapshot = dispatchAction.bind(null, currentlyRenderingFiber$1, newQueue);
    stateHook.queue = newQueue;
    stateHook.baseQueue = null;
    snapshot = readFromUnsubcribedMutableSource(root, source, getSnapshot);
    stateHook.memoizedState = stateHook.baseState = snapshot;
  }

  return snapshot;
}

function mountMutableSource(source, getSnapshot, subscribe) {
  var hook = mountWorkInProgressHook();
  hook.memoizedState = {
    refs: {
      getSnapshot: getSnapshot,
      setSnapshot: null
    },
    source: source,
    subscribe: subscribe
  };
  return useMutableSource(hook, source, getSnapshot, subscribe);
}

function updateMutableSource(source, getSnapshot, subscribe) {
  var hook = updateWorkInProgressHook();
  return useMutableSource(hook, source, getSnapshot, subscribe);
}

function mountState(initialState) {
  var hook = mountWorkInProgressHook();

  if (typeof initialState === 'function') {
    // $FlowFixMe: Flow doesn't like mixed types
    initialState = initialState();
  }

  hook.memoizedState = hook.baseState = initialState;
  var queue = hook.queue = {
    pending: null,
    dispatch: null,
    lastRenderedReducer: basicStateReducer,
    lastRenderedState: initialState
  };
  var dispatch = queue.dispatch = dispatchAction.bind(null, currentlyRenderingFiber$1, queue);
  return [hook.memoizedState, dispatch];
}

function updateState(initialState) {
  return updateReducer(basicStateReducer);
}

function rerenderState(initialState) {
  return rerenderReducer(basicStateReducer);
}

function pushEffect(tag, create, destroy, deps) {
  var effect = {
    tag: tag,
    create: create,
    destroy: destroy,
    deps: deps,
    // Circular
    next: null
  };
  var componentUpdateQueue = currentlyRenderingFiber$1.updateQueue;

  if (componentUpdateQueue === null) {
    componentUpdateQueue = createFunctionComponentUpdateQueue();
    currentlyRenderingFiber$1.updateQueue = componentUpdateQueue;
    componentUpdateQueue.lastEffect = effect.next = effect;
  } else {
    var lastEffect = componentUpdateQueue.lastEffect;

    if (lastEffect === null) {
      componentUpdateQueue.lastEffect = effect.next = effect;
    } else {
      var firstEffect = lastEffect.next;
      lastEffect.next = effect;
      effect.next = firstEffect;
      componentUpdateQueue.lastEffect = effect;
    }
  }

  return effect;
}

function mountRef(initialValue) {
  var hook = mountWorkInProgressHook();
  var ref = {
    current: initialValue
  };

  {
    Object.seal(ref);
  }

  hook.memoizedState = ref;
  return ref;
}

function updateRef(initialValue) {
  var hook = updateWorkInProgressHook();
  return hook.memoizedState;
}

function mountEffectImpl(fiberFlags, hookFlags, create, deps) {
  var hook = mountWorkInProgressHook();
  var nextDeps = deps === undefined ? null : deps;
  currentlyRenderingFiber$1.flags |= fiberFlags;
  hook.memoizedState = pushEffect(HasEffect | hookFlags, create, undefined, nextDeps);
}

function updateEffectImpl(fiberFlags, hookFlags, create, deps) {
  var hook = updateWorkInProgressHook();
  var nextDeps = deps === undefined ? null : deps;
  var destroy = undefined;

  if (currentHook !== null) {
    var prevEffect = currentHook.memoizedState;
    destroy = prevEffect.destroy;

    if (nextDeps !== null) {
      var prevDeps = prevEffect.deps;

      if (areHookInputsEqual(nextDeps, prevDeps)) {
        pushEffect(hookFlags, create, destroy, nextDeps);
        return;
      }
    }
  }

  currentlyRenderingFiber$1.flags |= fiberFlags;
  hook.memoizedState = pushEffect(HasEffect | hookFlags, create, destroy, nextDeps);
}

function mountEffect(create, deps) {
  {
    // $FlowExpectedError - jest isn't a global, and isn't recognized outside of tests
    if ('undefined' !== typeof jest) {
      warnIfNotCurrentlyActingEffectsInDEV(currentlyRenderingFiber$1);
    }
  }

  return mountEffectImpl(Update | Passive, Passive$1, create, deps);
}

function updateEffect(create, deps) {
  {
    // $FlowExpectedError - jest isn't a global, and isn't recognized outside of tests
    if ('undefined' !== typeof jest) {
      warnIfNotCurrentlyActingEffectsInDEV(currentlyRenderingFiber$1);
    }
  }

  return updateEffectImpl(Update | Passive, Passive$1, create, deps);
}

function mountLayoutEffect(create, deps) {
  return mountEffectImpl(Update, Layout, create, deps);
}

function updateLayoutEffect(create, deps) {
  return updateEffectImpl(Update, Layout, create, deps);
}

function imperativeHandleEffect(create, ref) {
  if (typeof ref === 'function') {
    var refCallback = ref;

    var _inst = create();

    refCallback(_inst);
    return function () {
      refCallback(null);
    };
  } else if (ref !== null && ref !== undefined) {
    var refObject = ref;

    {
      if (!refObject.hasOwnProperty('current')) {
        error('Expected useImperativeHandle() first argument to either be a ' + 'ref callback or React.createRef() object. Instead received: %s.', 'an object with keys {' + Object.keys(refObject).join(', ') + '}');
      }
    }

    var _inst2 = create();

    refObject.current = _inst2;
    return function () {
      refObject.current = null;
    };
  }
}

function mountImperativeHandle(ref, create, deps) {
  {
    if (typeof create !== 'function') {
      error('Expected useImperativeHandle() second argument to be a function ' + 'that creates a handle. Instead received: %s.', create !== null ? typeof create : 'null');
    }
  } // TODO: If deps are provided, should we skip comparing the ref itself?


  var effectDeps = deps !== null && deps !== undefined ? deps.concat([ref]) : null;
  return mountEffectImpl(Update, Layout, imperativeHandleEffect.bind(null, create, ref), effectDeps);
}

function updateImperativeHandle(ref, create, deps) {
  {
    if (typeof create !== 'function') {
      error('Expected useImperativeHandle() second argument to be a function ' + 'that creates a handle. Instead received: %s.', create !== null ? typeof create : 'null');
    }
  } // TODO: If deps are provided, should we skip comparing the ref itself?


  var effectDeps = deps !== null && deps !== undefined ? deps.concat([ref]) : null;
  return updateEffectImpl(Update, Layout, imperativeHandleEffect.bind(null, create, ref), effectDeps);
}

function mountDebugValue(value, formatterFn) {// This hook is normally a no-op.
  // The react-debug-hooks package injects its own implementation
  // so that e.g. DevTools can display custom hook values.
}

var updateDebugValue = mountDebugValue;

function mountCallback(callback, deps) {
  var hook = mountWorkInProgressHook();
  var nextDeps = deps === undefined ? null : deps;
  hook.memoizedState = [callback, nextDeps];
  return callback;
}

function updateCallback(callback, deps) {
  var hook = updateWorkInProgressHook();
  var nextDeps = deps === undefined ? null : deps;
  var prevState = hook.memoizedState;

  if (prevState !== null) {
    if (nextDeps !== null) {
      var prevDeps = prevState[1];

      if (areHookInputsEqual(nextDeps, prevDeps)) {
        return prevState[0];
      }
    }
  }

  hook.memoizedState = [callback, nextDeps];
  return callback;
}

function mountMemo(nextCreate, deps) {
  var hook = mountWorkInProgressHook();
  var nextDeps = deps === undefined ? null : deps;
  var nextValue = nextCreate();
  hook.memoizedState = [nextValue, nextDeps];
  return nextValue;
}

function updateMemo(nextCreate, deps) {
  var hook = updateWorkInProgressHook();
  var nextDeps = deps === undefined ? null : deps;
  var prevState = hook.memoizedState;

  if (prevState !== null) {
    // Assume these are defined. If they're not, areHookInputsEqual will warn.
    if (nextDeps !== null) {
      var prevDeps = prevState[1];

      if (areHookInputsEqual(nextDeps, prevDeps)) {
        return prevState[0];
      }
    }
  }

  var nextValue = nextCreate();
  hook.memoizedState = [nextValue, nextDeps];
  return nextValue;
}

function mountDeferredValue(value) {
  var _mountState = mountState(value),
      prevValue = _mountState[0],
      setValue = _mountState[1];

  mountEffect(function () {
    var prevTransition = ReactCurrentBatchConfig$1.transition;
    ReactCurrentBatchConfig$1.transition = 1;

    try {
      setValue(value);
    } finally {
      ReactCurrentBatchConfig$1.transition = prevTransition;
    }
  }, [value]);
  return prevValue;
}

function updateDeferredValue(value) {
  var _updateState = updateState(),
      prevValue = _updateState[0],
      setValue = _updateState[1];

  updateEffect(function () {
    var prevTransition = ReactCurrentBatchConfig$1.transition;
    ReactCurrentBatchConfig$1.transition = 1;

    try {
      setValue(value);
    } finally {
      ReactCurrentBatchConfig$1.transition = prevTransition;
    }
  }, [value]);
  return prevValue;
}

function rerenderDeferredValue(value) {
  var _rerenderState = rerenderState(),
      prevValue = _rerenderState[0],
      setValue = _rerenderState[1];

  updateEffect(function () {
    var prevTransition = ReactCurrentBatchConfig$1.transition;
    ReactCurrentBatchConfig$1.transition = 1;

    try {
      setValue(value);
    } finally {
      ReactCurrentBatchConfig$1.transition = prevTransition;
    }
  }, [value]);
  return prevValue;
}

function startTransition(setPending, callback) {
  var priorityLevel = getCurrentPriorityLevel();

  {
    runWithPriority$1(priorityLevel < UserBlockingPriority$2 ? UserBlockingPriority$2 : priorityLevel, function () {
      setPending(true);
    });
    runWithPriority$1(priorityLevel > NormalPriority$1 ? NormalPriority$1 : priorityLevel, function () {
      var prevTransition = ReactCurrentBatchConfig$1.transition;
      ReactCurrentBatchConfig$1.transition = 1;

      try {
        setPending(false);
        callback();
      } finally {
        ReactCurrentBatchConfig$1.transition = prevTransition;
      }
    });
  }
}

function mountTransition() {
  var _mountState2 = mountState(false),
      isPending = _mountState2[0],
      setPending = _mountState2[1]; // The `start` method can be stored on a ref, since `setPending`
  // never changes.


  var start = startTransition.bind(null, setPending);
  mountRef(start);
  return [start, isPending];
}

function updateTransition() {
  var _updateState2 = updateState(),
      isPending = _updateState2[0];

  var startRef = updateRef();
  var start = startRef.current;
  return [start, isPending];
}

function rerenderTransition() {
  var _rerenderState2 = rerenderState(),
      isPending = _rerenderState2[0];

  var startRef = updateRef();
  var start = startRef.current;
  return [start, isPending];
}

var isUpdatingOpaqueValueInRenderPhase = false;
function getIsUpdatingOpaqueValueInRenderPhaseInDEV() {
  {
    return isUpdatingOpaqueValueInRenderPhase;
  }
}

function warnOnOpaqueIdentifierAccessInDEV(fiber) {
  {
    // TODO: Should warn in effects and callbacks, too
    var name = getComponentName(fiber.type) || 'Unknown';

    if (getIsRendering() && !didWarnAboutUseOpaqueIdentifier[name]) {
      error('The object passed back from useOpaqueIdentifier is meant to be ' + 'passed through to attributes only. Do not read the ' + 'value directly.');

      didWarnAboutUseOpaqueIdentifier[name] = true;
    }
  }
}

function mountOpaqueIdentifier() {
  var makeId =  makeClientIdInDEV.bind(null, warnOnOpaqueIdentifierAccessInDEV.bind(null, currentlyRenderingFiber$1)) ;

  if (getIsHydrating()) {
    var didUpgrade = false;
    var fiber = currentlyRenderingFiber$1;

    var readValue = function () {
      if (!didUpgrade) {
        // Only upgrade once. This works even inside the render phase because
        // the update is added to a shared queue, which outlasts the
        // in-progress render.
        didUpgrade = true;

        {
          isUpdatingOpaqueValueInRenderPhase = true;
          setId(makeId());
          isUpdatingOpaqueValueInRenderPhase = false;
          warnOnOpaqueIdentifierAccessInDEV(fiber);
        }
      }

      {
        {
          throw Error( "The object passed back from useOpaqueIdentifier is meant to be passed through to attributes only. Do not read the value directly." );
        }
      }
    };

    var id = makeOpaqueHydratingObject(readValue);
    var setId = mountState(id)[1];

    if ((currentlyRenderingFiber$1.mode & BlockingMode) === NoMode) {
      currentlyRenderingFiber$1.flags |= Update | Passive;
      pushEffect(HasEffect | Passive$1, function () {
        setId(makeId());
      }, undefined, null);
    }

    return id;
  } else {
    var _id = makeId();

    mountState(_id);
    return _id;
  }
}

function updateOpaqueIdentifier() {
  var id = updateState()[0];
  return id;
}

function rerenderOpaqueIdentifier() {
  var id = rerenderState()[0];
  return id;
}

function dispatchAction(fiber, queue, action) {
  {
    if (typeof arguments[3] === 'function') {
      error("State updates from the useState() and useReducer() Hooks don't support the " + 'second callback argument. To execute a side effect after ' + 'rendering, declare it in the component body with useEffect().');
    }
  }

  var eventTime = requestEventTime();
  var lane = requestUpdateLane(fiber);
  var update = {
    lane: lane,
    action: action,
    eagerReducer: null,
    eagerState: null,
    next: null
  }; // Append the update to the end of the list.

  var pending = queue.pending;

  if (pending === null) {
    // This is the first update. Create a circular list.
    update.next = update;
  } else {
    update.next = pending.next;
    pending.next = update;
  }

  queue.pending = update;
  var alternate = fiber.alternate;

  if (fiber === currentlyRenderingFiber$1 || alternate !== null && alternate === currentlyRenderingFiber$1) {
    // This is a render phase update. Stash it in a lazily-created map of
    // queue -> linked list of updates. After this render pass, we'll restart
    // and apply the stashed updates on top of the work-in-progress hook.
    didScheduleRenderPhaseUpdateDuringThisPass = didScheduleRenderPhaseUpdate = true;
  } else {
    if (fiber.lanes === NoLanes && (alternate === null || alternate.lanes === NoLanes)) {
      // The queue is currently empty, which means we can eagerly compute the
      // next state before entering the render phase. If the new state is the
      // same as the current state, we may be able to bail out entirely.
      var lastRenderedReducer = queue.lastRenderedReducer;

      if (lastRenderedReducer !== null) {
        var prevDispatcher;

        {
          prevDispatcher = ReactCurrentDispatcher$1.current;
          ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnUpdateInDEV;
        }

        try {
          var currentState = queue.lastRenderedState;
          var eagerState = lastRenderedReducer(currentState, action); // Stash the eagerly computed state, and the reducer used to compute
          // it, on the update object. If the reducer hasn't changed by the
          // time we enter the render phase, then the eager state can be used
          // without calling the reducer again.

          update.eagerReducer = lastRenderedReducer;
          update.eagerState = eagerState;

          if (objectIs(eagerState, currentState)) {
            // Fast path. We can bail out without scheduling React to re-render.
            // It's still possible that we'll need to rebase this update later,
            // if the component re-renders for a different reason and by that
            // time the reducer has changed.
            return;
          }
        } catch (error) {// Suppress the error. It will throw again in the render phase.
        } finally {
          {
            ReactCurrentDispatcher$1.current = prevDispatcher;
          }
        }
      }
    }

    {
      // $FlowExpectedError - jest isn't a global, and isn't recognized outside of tests
      if ('undefined' !== typeof jest) {
        warnIfNotScopedWithMatchingAct(fiber);
        warnIfNotCurrentlyActingUpdatesInDev(fiber);
      }
    }

    scheduleUpdateOnFiber(fiber, lane, eventTime);
  }
}

var ContextOnlyDispatcher = {
  readContext: readContext,
  useCallback: throwInvalidHookError,
  useContext: throwInvalidHookError,
  useEffect: throwInvalidHookError,
  useImperativeHandle: throwInvalidHookError,
  useLayoutEffect: throwInvalidHookError,
  useMemo: throwInvalidHookError,
  useReducer: throwInvalidHookError,
  useRef: throwInvalidHookError,
  useState: throwInvalidHookError,
  useDebugValue: throwInvalidHookError,
  useDeferredValue: throwInvalidHookError,
  useTransition: throwInvalidHookError,
  useMutableSource: throwInvalidHookError,
  useOpaqueIdentifier: throwInvalidHookError,
  unstable_isNewReconciler: enableNewReconciler
};
var HooksDispatcherOnMountInDEV = null;
var HooksDispatcherOnMountWithHookTypesInDEV = null;
var HooksDispatcherOnUpdateInDEV = null;
var HooksDispatcherOnRerenderInDEV = null;
var InvalidNestedHooksDispatcherOnMountInDEV = null;
var InvalidNestedHooksDispatcherOnUpdateInDEV = null;
var InvalidNestedHooksDispatcherOnRerenderInDEV = null;

{
  var warnInvalidContextAccess = function () {
    error('Context can only be read while React is rendering. ' + 'In classes, you can read it in the render method or getDerivedStateFromProps. ' + 'In function components, you can read it directly in the function body, but not ' + 'inside Hooks like useReducer() or useMemo().');
  };

  var warnInvalidHookAccess = function () {
    error('Do not call Hooks inside useEffect(...), useMemo(...), or other built-in Hooks. ' + 'You can only call Hooks at the top level of your React function. ' + 'For more information, see ' + 'https://reactjs.org/link/rules-of-hooks');
  };

  HooksDispatcherOnMountInDEV = {
    readContext: function (context, observedBits) {
      return readContext(context, observedBits);
    },
    useCallback: function (callback, deps) {
      currentHookNameInDev = 'useCallback';
      mountHookTypesDev();
      checkDepsAreArrayDev(deps);
      return mountCallback(callback, deps);
    },
    useContext: function (context, observedBits) {
      currentHookNameInDev = 'useContext';
      mountHookTypesDev();
      return readContext(context, observedBits);
    },
    useEffect: function (create, deps) {
      currentHookNameInDev = 'useEffect';
      mountHookTypesDev();
      checkDepsAreArrayDev(deps);
      return mountEffect(create, deps);
    },
    useImperativeHandle: function (ref, create, deps) {
      currentHookNameInDev = 'useImperativeHandle';
      mountHookTypesDev();
      checkDepsAreArrayDev(deps);
      return mountImperativeHandle(ref, create, deps);
    },
    useLayoutEffect: function (create, deps) {
      currentHookNameInDev = 'useLayoutEffect';
      mountHookTypesDev();
      checkDepsAreArrayDev(deps);
      return mountLayoutEffect(create, deps);
    },
    useMemo: function (create, deps) {
      currentHookNameInDev = 'useMemo';
      mountHookTypesDev();
      checkDepsAreArrayDev(deps);
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnMountInDEV;

      try {
        return mountMemo(create, deps);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useReducer: function (reducer, initialArg, init) {
      currentHookNameInDev = 'useReducer';
      mountHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnMountInDEV;

      try {
        return mountReducer(reducer, initialArg, init);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useRef: function (initialValue) {
      currentHookNameInDev = 'useRef';
      mountHookTypesDev();
      return mountRef(initialValue);
    },
    useState: function (initialState) {
      currentHookNameInDev = 'useState';
      mountHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnMountInDEV;

      try {
        return mountState(initialState);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useDebugValue: function (value, formatterFn) {
      currentHookNameInDev = 'useDebugValue';
      mountHookTypesDev();
      return mountDebugValue();
    },
    useDeferredValue: function (value) {
      currentHookNameInDev = 'useDeferredValue';
      mountHookTypesDev();
      return mountDeferredValue(value);
    },
    useTransition: function () {
      currentHookNameInDev = 'useTransition';
      mountHookTypesDev();
      return mountTransition();
    },
    useMutableSource: function (source, getSnapshot, subscribe) {
      currentHookNameInDev = 'useMutableSource';
      mountHookTypesDev();
      return mountMutableSource(source, getSnapshot, subscribe);
    },
    useOpaqueIdentifier: function () {
      currentHookNameInDev = 'useOpaqueIdentifier';
      mountHookTypesDev();
      return mountOpaqueIdentifier();
    },
    unstable_isNewReconciler: enableNewReconciler
  };
  HooksDispatcherOnMountWithHookTypesInDEV = {
    readContext: function (context, observedBits) {
      return readContext(context, observedBits);
    },
    useCallback: function (callback, deps) {
      currentHookNameInDev = 'useCallback';
      updateHookTypesDev();
      return mountCallback(callback, deps);
    },
    useContext: function (context, observedBits) {
      currentHookNameInDev = 'useContext';
      updateHookTypesDev();
      return readContext(context, observedBits);
    },
    useEffect: function (create, deps) {
      currentHookNameInDev = 'useEffect';
      updateHookTypesDev();
      return mountEffect(create, deps);
    },
    useImperativeHandle: function (ref, create, deps) {
      currentHookNameInDev = 'useImperativeHandle';
      updateHookTypesDev();
      return mountImperativeHandle(ref, create, deps);
    },
    useLayoutEffect: function (create, deps) {
      currentHookNameInDev = 'useLayoutEffect';
      updateHookTypesDev();
      return mountLayoutEffect(create, deps);
    },
    useMemo: function (create, deps) {
      currentHookNameInDev = 'useMemo';
      updateHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnMountInDEV;

      try {
        return mountMemo(create, deps);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useReducer: function (reducer, initialArg, init) {
      currentHookNameInDev = 'useReducer';
      updateHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnMountInDEV;

      try {
        return mountReducer(reducer, initialArg, init);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useRef: function (initialValue) {
      currentHookNameInDev = 'useRef';
      updateHookTypesDev();
      return mountRef(initialValue);
    },
    useState: function (initialState) {
      currentHookNameInDev = 'useState';
      updateHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnMountInDEV;

      try {
        return mountState(initialState);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useDebugValue: function (value, formatterFn) {
      currentHookNameInDev = 'useDebugValue';
      updateHookTypesDev();
      return mountDebugValue();
    },
    useDeferredValue: function (value) {
      currentHookNameInDev = 'useDeferredValue';
      updateHookTypesDev();
      return mountDeferredValue(value);
    },
    useTransition: function () {
      currentHookNameInDev = 'useTransition';
      updateHookTypesDev();
      return mountTransition();
    },
    useMutableSource: function (source, getSnapshot, subscribe) {
      currentHookNameInDev = 'useMutableSource';
      updateHookTypesDev();
      return mountMutableSource(source, getSnapshot, subscribe);
    },
    useOpaqueIdentifier: function () {
      currentHookNameInDev = 'useOpaqueIdentifier';
      updateHookTypesDev();
      return mountOpaqueIdentifier();
    },
    unstable_isNewReconciler: enableNewReconciler
  };
  HooksDispatcherOnUpdateInDEV = {
    readContext: function (context, observedBits) {
      return readContext(context, observedBits);
    },
    useCallback: function (callback, deps) {
      currentHookNameInDev = 'useCallback';
      updateHookTypesDev();
      return updateCallback(callback, deps);
    },
    useContext: function (context, observedBits) {
      currentHookNameInDev = 'useContext';
      updateHookTypesDev();
      return readContext(context, observedBits);
    },
    useEffect: function (create, deps) {
      currentHookNameInDev = 'useEffect';
      updateHookTypesDev();
      return updateEffect(create, deps);
    },
    useImperativeHandle: function (ref, create, deps) {
      currentHookNameInDev = 'useImperativeHandle';
      updateHookTypesDev();
      return updateImperativeHandle(ref, create, deps);
    },
    useLayoutEffect: function (create, deps) {
      currentHookNameInDev = 'useLayoutEffect';
      updateHookTypesDev();
      return updateLayoutEffect(create, deps);
    },
    useMemo: function (create, deps) {
      currentHookNameInDev = 'useMemo';
      updateHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnUpdateInDEV;

      try {
        return updateMemo(create, deps);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useReducer: function (reducer, initialArg, init) {
      currentHookNameInDev = 'useReducer';
      updateHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnUpdateInDEV;

      try {
        return updateReducer(reducer, initialArg, init);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useRef: function (initialValue) {
      currentHookNameInDev = 'useRef';
      updateHookTypesDev();
      return updateRef();
    },
    useState: function (initialState) {
      currentHookNameInDev = 'useState';
      updateHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnUpdateInDEV;

      try {
        return updateState(initialState);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useDebugValue: function (value, formatterFn) {
      currentHookNameInDev = 'useDebugValue';
      updateHookTypesDev();
      return updateDebugValue();
    },
    useDeferredValue: function (value) {
      currentHookNameInDev = 'useDeferredValue';
      updateHookTypesDev();
      return updateDeferredValue(value);
    },
    useTransition: function () {
      currentHookNameInDev = 'useTransition';
      updateHookTypesDev();
      return updateTransition();
    },
    useMutableSource: function (source, getSnapshot, subscribe) {
      currentHookNameInDev = 'useMutableSource';
      updateHookTypesDev();
      return updateMutableSource(source, getSnapshot, subscribe);
    },
    useOpaqueIdentifier: function () {
      currentHookNameInDev = 'useOpaqueIdentifier';
      updateHookTypesDev();
      return updateOpaqueIdentifier();
    },
    unstable_isNewReconciler: enableNewReconciler
  };
  HooksDispatcherOnRerenderInDEV = {
    readContext: function (context, observedBits) {
      return readContext(context, observedBits);
    },
    useCallback: function (callback, deps) {
      currentHookNameInDev = 'useCallback';
      updateHookTypesDev();
      return updateCallback(callback, deps);
    },
    useContext: function (context, observedBits) {
      currentHookNameInDev = 'useContext';
      updateHookTypesDev();
      return readContext(context, observedBits);
    },
    useEffect: function (create, deps) {
      currentHookNameInDev = 'useEffect';
      updateHookTypesDev();
      return updateEffect(create, deps);
    },
    useImperativeHandle: function (ref, create, deps) {
      currentHookNameInDev = 'useImperativeHandle';
      updateHookTypesDev();
      return updateImperativeHandle(ref, create, deps);
    },
    useLayoutEffect: function (create, deps) {
      currentHookNameInDev = 'useLayoutEffect';
      updateHookTypesDev();
      return updateLayoutEffect(create, deps);
    },
    useMemo: function (create, deps) {
      currentHookNameInDev = 'useMemo';
      updateHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnRerenderInDEV;

      try {
        return updateMemo(create, deps);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useReducer: function (reducer, initialArg, init) {
      currentHookNameInDev = 'useReducer';
      updateHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnRerenderInDEV;

      try {
        return rerenderReducer(reducer, initialArg, init);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useRef: function (initialValue) {
      currentHookNameInDev = 'useRef';
      updateHookTypesDev();
      return updateRef();
    },
    useState: function (initialState) {
      currentHookNameInDev = 'useState';
      updateHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnRerenderInDEV;

      try {
        return rerenderState(initialState);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useDebugValue: function (value, formatterFn) {
      currentHookNameInDev = 'useDebugValue';
      updateHookTypesDev();
      return updateDebugValue();
    },
    useDeferredValue: function (value) {
      currentHookNameInDev = 'useDeferredValue';
      updateHookTypesDev();
      return rerenderDeferredValue(value);
    },
    useTransition: function () {
      currentHookNameInDev = 'useTransition';
      updateHookTypesDev();
      return rerenderTransition();
    },
    useMutableSource: function (source, getSnapshot, subscribe) {
      currentHookNameInDev = 'useMutableSource';
      updateHookTypesDev();
      return updateMutableSource(source, getSnapshot, subscribe);
    },
    useOpaqueIdentifier: function () {
      currentHookNameInDev = 'useOpaqueIdentifier';
      updateHookTypesDev();
      return rerenderOpaqueIdentifier();
    },
    unstable_isNewReconciler: enableNewReconciler
  };
  InvalidNestedHooksDispatcherOnMountInDEV = {
    readContext: function (context, observedBits) {
      warnInvalidContextAccess();
      return readContext(context, observedBits);
    },
    useCallback: function (callback, deps) {
      currentHookNameInDev = 'useCallback';
      warnInvalidHookAccess();
      mountHookTypesDev();
      return mountCallback(callback, deps);
    },
    useContext: function (context, observedBits) {
      currentHookNameInDev = 'useContext';
      warnInvalidHookAccess();
      mountHookTypesDev();
      return readContext(context, observedBits);
    },
    useEffect: function (create, deps) {
      currentHookNameInDev = 'useEffect';
      warnInvalidHookAccess();
      mountHookTypesDev();
      return mountEffect(create, deps);
    },
    useImperativeHandle: function (ref, create, deps) {
      currentHookNameInDev = 'useImperativeHandle';
      warnInvalidHookAccess();
      mountHookTypesDev();
      return mountImperativeHandle(ref, create, deps);
    },
    useLayoutEffect: function (create, deps) {
      currentHookNameInDev = 'useLayoutEffect';
      warnInvalidHookAccess();
      mountHookTypesDev();
      return mountLayoutEffect(create, deps);
    },
    useMemo: function (create, deps) {
      currentHookNameInDev = 'useMemo';
      warnInvalidHookAccess();
      mountHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnMountInDEV;

      try {
        return mountMemo(create, deps);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useReducer: function (reducer, initialArg, init) {
      currentHookNameInDev = 'useReducer';
      warnInvalidHookAccess();
      mountHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnMountInDEV;

      try {
        return mountReducer(reducer, initialArg, init);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useRef: function (initialValue) {
      currentHookNameInDev = 'useRef';
      warnInvalidHookAccess();
      mountHookTypesDev();
      return mountRef(initialValue);
    },
    useState: function (initialState) {
      currentHookNameInDev = 'useState';
      warnInvalidHookAccess();
      mountHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnMountInDEV;

      try {
        return mountState(initialState);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useDebugValue: function (value, formatterFn) {
      currentHookNameInDev = 'useDebugValue';
      warnInvalidHookAccess();
      mountHookTypesDev();
      return mountDebugValue();
    },
    useDeferredValue: function (value) {
      currentHookNameInDev = 'useDeferredValue';
      warnInvalidHookAccess();
      mountHookTypesDev();
      return mountDeferredValue(value);
    },
    useTransition: function () {
      currentHookNameInDev = 'useTransition';
      warnInvalidHookAccess();
      mountHookTypesDev();
      return mountTransition();
    },
    useMutableSource: function (source, getSnapshot, subscribe) {
      currentHookNameInDev = 'useMutableSource';
      warnInvalidHookAccess();
      mountHookTypesDev();
      return mountMutableSource(source, getSnapshot, subscribe);
    },
    useOpaqueIdentifier: function () {
      currentHookNameInDev = 'useOpaqueIdentifier';
      warnInvalidHookAccess();
      mountHookTypesDev();
      return mountOpaqueIdentifier();
    },
    unstable_isNewReconciler: enableNewReconciler
  };
  InvalidNestedHooksDispatcherOnUpdateInDEV = {
    readContext: function (context, observedBits) {
      warnInvalidContextAccess();
      return readContext(context, observedBits);
    },
    useCallback: function (callback, deps) {
      currentHookNameInDev = 'useCallback';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateCallback(callback, deps);
    },
    useContext: function (context, observedBits) {
      currentHookNameInDev = 'useContext';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return readContext(context, observedBits);
    },
    useEffect: function (create, deps) {
      currentHookNameInDev = 'useEffect';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateEffect(create, deps);
    },
    useImperativeHandle: function (ref, create, deps) {
      currentHookNameInDev = 'useImperativeHandle';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateImperativeHandle(ref, create, deps);
    },
    useLayoutEffect: function (create, deps) {
      currentHookNameInDev = 'useLayoutEffect';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateLayoutEffect(create, deps);
    },
    useMemo: function (create, deps) {
      currentHookNameInDev = 'useMemo';
      warnInvalidHookAccess();
      updateHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnUpdateInDEV;

      try {
        return updateMemo(create, deps);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useReducer: function (reducer, initialArg, init) {
      currentHookNameInDev = 'useReducer';
      warnInvalidHookAccess();
      updateHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnUpdateInDEV;

      try {
        return updateReducer(reducer, initialArg, init);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useRef: function (initialValue) {
      currentHookNameInDev = 'useRef';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateRef();
    },
    useState: function (initialState) {
      currentHookNameInDev = 'useState';
      warnInvalidHookAccess();
      updateHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnUpdateInDEV;

      try {
        return updateState(initialState);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useDebugValue: function (value, formatterFn) {
      currentHookNameInDev = 'useDebugValue';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateDebugValue();
    },
    useDeferredValue: function (value) {
      currentHookNameInDev = 'useDeferredValue';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateDeferredValue(value);
    },
    useTransition: function () {
      currentHookNameInDev = 'useTransition';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateTransition();
    },
    useMutableSource: function (source, getSnapshot, subscribe) {
      currentHookNameInDev = 'useMutableSource';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateMutableSource(source, getSnapshot, subscribe);
    },
    useOpaqueIdentifier: function () {
      currentHookNameInDev = 'useOpaqueIdentifier';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateOpaqueIdentifier();
    },
    unstable_isNewReconciler: enableNewReconciler
  };
  InvalidNestedHooksDispatcherOnRerenderInDEV = {
    readContext: function (context, observedBits) {
      warnInvalidContextAccess();
      return readContext(context, observedBits);
    },
    useCallback: function (callback, deps) {
      currentHookNameInDev = 'useCallback';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateCallback(callback, deps);
    },
    useContext: function (context, observedBits) {
      currentHookNameInDev = 'useContext';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return readContext(context, observedBits);
    },
    useEffect: function (create, deps) {
      currentHookNameInDev = 'useEffect';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateEffect(create, deps);
    },
    useImperativeHandle: function (ref, create, deps) {
      currentHookNameInDev = 'useImperativeHandle';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateImperativeHandle(ref, create, deps);
    },
    useLayoutEffect: function (create, deps) {
      currentHookNameInDev = 'useLayoutEffect';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateLayoutEffect(create, deps);
    },
    useMemo: function (create, deps) {
      currentHookNameInDev = 'useMemo';
      warnInvalidHookAccess();
      updateHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnUpdateInDEV;

      try {
        return updateMemo(create, deps);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useReducer: function (reducer, initialArg, init) {
      currentHookNameInDev = 'useReducer';
      warnInvalidHookAccess();
      updateHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnUpdateInDEV;

      try {
        return rerenderReducer(reducer, initialArg, init);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useRef: function (initialValue) {
      currentHookNameInDev = 'useRef';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateRef();
    },
    useState: function (initialState) {
      currentHookNameInDev = 'useState';
      warnInvalidHookAccess();
      updateHookTypesDev();
      var prevDispatcher = ReactCurrentDispatcher$1.current;
      ReactCurrentDispatcher$1.current = InvalidNestedHooksDispatcherOnUpdateInDEV;

      try {
        return rerenderState(initialState);
      } finally {
        ReactCurrentDispatcher$1.current = prevDispatcher;
      }
    },
    useDebugValue: function (value, formatterFn) {
      currentHookNameInDev = 'useDebugValue';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateDebugValue();
    },
    useDeferredValue: function (value) {
      currentHookNameInDev = 'useDeferredValue';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return rerenderDeferredValue(value);
    },
    useTransition: function () {
      currentHookNameInDev = 'useTransition';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return rerenderTransition();
    },
    useMutableSource: function (source, getSnapshot, subscribe) {
      currentHookNameInDev = 'useMutableSource';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return updateMutableSource(source, getSnapshot, subscribe);
    },
    useOpaqueIdentifier: function () {
      currentHookNameInDev = 'useOpaqueIdentifier';
      warnInvalidHookAccess();
      updateHookTypesDev();
      return rerenderOpaqueIdentifier();
    },
    unstable_isNewReconciler: enableNewReconciler
  };
}

var now$1 = Scheduler.unstable_now;
var commitTime = 0;
var profilerStartTime = -1;

function getCommitTime() {
  return commitTime;
}

function recordCommitTime() {

  commitTime = now$1();
}

function startProfilerTimer(fiber) {

  profilerStartTime = now$1();

  if (fiber.actualStartTime < 0) {
    fiber.actualStartTime = now$1();
  }
}

function stopProfilerTimerIfRunning(fiber) {

  profilerStartTime = -1;
}

function stopProfilerTimerIfRunningAndRecordDelta(fiber, overrideBaseTime) {

  if (profilerStartTime >= 0) {
    var elapsedTime = now$1() - profilerStartTime;
    fiber.actualDuration += elapsedTime;

    if (overrideBaseTime) {
      fiber.selfBaseDuration = elapsedTime;
    }

    profilerStartTime = -1;
  }
}

function transferActualDuration(fiber) {
  // Transfer time spent rendering these children so we don't lose it
  // after we rerender. This is used as a helper in special cases
  // where we should count the work of multiple passes.
  var child = fiber.child;

  while (child) {
    fiber.actualDuration += child.actualDuration;
    child = child.sibling;
  }
}

var ReactCurrentOwner$1 = ReactSharedInternals.ReactCurrentOwner;
var didReceiveUpdate = false;
var didWarnAboutBadClass;
var didWarnAboutModulePatternComponent;
var didWarnAboutContextTypeOnFunctionComponent;
var didWarnAboutGetDerivedStateOnFunctionComponent;
var didWarnAboutFunctionRefs;
var didWarnAboutReassigningProps;
var didWarnAboutRevealOrder;
var didWarnAboutTailOptions;

{
  didWarnAboutBadClass = {};
  didWarnAboutModulePatternComponent = {};
  didWarnAboutContextTypeOnFunctionComponent = {};
  didWarnAboutGetDerivedStateOnFunctionComponent = {};
  didWarnAboutFunctionRefs = {};
  didWarnAboutReassigningProps = false;
  didWarnAboutRevealOrder = {};
  didWarnAboutTailOptions = {};
}

function reconcileChildren(current, workInProgress, nextChildren, renderLanes) {
  if (current === null) {
    // If this is a fresh new component that hasn't been rendered yet, we
    // won't update its child set by applying minimal side-effects. Instead,
    // we will add them all to the child before it gets rendered. That means
    // we can optimize this reconciliation pass by not tracking side-effects.
    workInProgress.child = mountChildFibers(workInProgress, null, nextChildren, renderLanes);
  } else {
    // If the current child is the same as the work in progress, it means that
    // we haven't yet started any work on these children. Therefore, we use
    // the clone algorithm to create a copy of all the current children.
    // If we had any progressed work already, that is invalid at this point so
    // let's throw it out.
    workInProgress.child = reconcileChildFibers(workInProgress, current.child, nextChildren, renderLanes);
  }
}

function forceUnmountCurrentAndReconcile(current, workInProgress, nextChildren, renderLanes) {
  // This function is fork of reconcileChildren. It's used in cases where we
  // want to reconcile without matching against the existing set. This has the
  // effect of all current children being unmounted; even if the type and key
  // are the same, the old child is unmounted and a new child is created.
  //
  // To do this, we're going to go through the reconcile algorithm twice. In
  // the first pass, we schedule a deletion for all the current children by
  // passing null.
  workInProgress.child = reconcileChildFibers(workInProgress, current.child, null, renderLanes); // In the second pass, we mount the new children. The trick here is that we
  // pass null in place of where we usually pass the current child set. This has
  // the effect of remounting all children regardless of whether their
  // identities match.

  workInProgress.child = reconcileChildFibers(workInProgress, null, nextChildren, renderLanes);
}

function updateForwardRef(current, workInProgress, Component, nextProps, renderLanes) {
  // TODO: current can be non-null here even if the component
  // hasn't yet mounted. This happens after the first render suspends.
  // We'll need to figure out if this is fine or can cause issues.
  {
    if (workInProgress.type !== workInProgress.elementType) {
      // Lazy component props can't be validated in createElement
      // because they're only guaranteed to be resolved here.
      var innerPropTypes = Component.propTypes;

      if (innerPropTypes) {
        checkPropTypes(innerPropTypes, nextProps, // Resolved props
        'prop', getComponentName(Component));
      }
    }
  }

  var render = Component.render;
  var ref = workInProgress.ref; // The rest is a fork of updateFunctionComponent

  var nextChildren;
  prepareToReadContext(workInProgress, renderLanes);

  {
    ReactCurrentOwner$1.current = workInProgress;
    setIsRendering(true);
    nextChildren = renderWithHooks(current, workInProgress, render, nextProps, ref, renderLanes);

    if ( workInProgress.mode & StrictMode) {
      disableLogs();

      try {
        nextChildren = renderWithHooks(current, workInProgress, render, nextProps, ref, renderLanes);
      } finally {
        reenableLogs();
      }
    }

    setIsRendering(false);
  }

  if (current !== null && !didReceiveUpdate) {
    bailoutHooks(current, workInProgress, renderLanes);
    return bailoutOnAlreadyFinishedWork(current, workInProgress, renderLanes);
  } // React DevTools reads this flag.


  workInProgress.flags |= PerformedWork;
  reconcileChildren(current, workInProgress, nextChildren, renderLanes);
  return workInProgress.child;
}

function updateMemoComponent(current, workInProgress, Component, nextProps, updateLanes, renderLanes) {
  if (current === null) {
    var type = Component.type;

    if (isSimpleFunctionComponent(type) && Component.compare === null && // SimpleMemoComponent codepath doesn't resolve outer props either.
    Component.defaultProps === undefined) {
      var resolvedType = type;

      {
        resolvedType = resolveFunctionForHotReloading(type);
      } // If this is a plain function component without default props,
      // and with only the default shallow comparison, we upgrade it
      // to a SimpleMemoComponent to allow fast path updates.


      workInProgress.tag = SimpleMemoComponent;
      workInProgress.type = resolvedType;

      {
        validateFunctionComponentInDev(workInProgress, type);
      }

      return updateSimpleMemoComponent(current, workInProgress, resolvedType, nextProps, updateLanes, renderLanes);
    }

    {
      var innerPropTypes = type.propTypes;

      if (innerPropTypes) {
        // Inner memo component props aren't currently validated in createElement.
        // We could move it there, but we'd still need this for lazy code path.
        checkPropTypes(innerPropTypes, nextProps, // Resolved props
        'prop', getComponentName(type));
      }
    }

    var child = createFiberFromTypeAndProps(Component.type, null, nextProps, workInProgress, workInProgress.mode, renderLanes);
    child.ref = workInProgress.ref;
    child.return = workInProgress;
    workInProgress.child = child;
    return child;
  }

  {
    var _type = Component.type;
    var _innerPropTypes = _type.propTypes;

    if (_innerPropTypes) {
      // Inner memo component props aren't currently validated in createElement.
      // We could move it there, but we'd still need this for lazy code path.
      checkPropTypes(_innerPropTypes, nextProps, // Resolved props
      'prop', getComponentName(_type));
    }
  }

  var currentChild = current.child; // This is always exactly one child

  if (!includesSomeLane(updateLanes, renderLanes)) {
    // This will be the props with resolved defaultProps,
    // unlike current.memoizedProps which will be the unresolved ones.
    var prevProps = currentChild.memoizedProps; // Default to shallow comparison

    var compare = Component.compare;
    compare = compare !== null ? compare : shallowEqual;

    if (compare(prevProps, nextProps) && current.ref === workInProgress.ref) {
      return bailoutOnAlreadyFinishedWork(current, workInProgress, renderLanes);
    }
  } // React DevTools reads this flag.


  workInProgress.flags |= PerformedWork;
  var newChild = createWorkInProgress(currentChild, nextProps);
  newChild.ref = workInProgress.ref;
  newChild.return = workInProgress;
  workInProgress.child = newChild;
  return newChild;
}

function updateSimpleMemoComponent(current, workInProgress, Component, nextProps, updateLanes, renderLanes) {
  // TODO: current can be non-null here even if the component
  // hasn't yet mounted. This happens when the inner render suspends.
  // We'll need to figure out if this is fine or can cause issues.
  {
    if (workInProgress.type !== workInProgress.elementType) {
      // Lazy component props can't be validated in createElement
      // because they're only guaranteed to be resolved here.
      var outerMemoType = workInProgress.elementType;

      if (outerMemoType.$$typeof === REACT_LAZY_TYPE) {
        // We warn when you define propTypes on lazy()
        // so let's just skip over it to find memo() outer wrapper.
        // Inner props for memo are validated later.
        var lazyComponent = outerMemoType;
        var payload = lazyComponent._payload;
        var init = lazyComponent._init;

        try {
          outerMemoType = init(payload);
        } catch (x) {
          outerMemoType = null;
        } // Inner propTypes will be validated in the function component path.


        var outerPropTypes = outerMemoType && outerMemoType.propTypes;

        if (outerPropTypes) {
          checkPropTypes(outerPropTypes, nextProps, // Resolved (SimpleMemoComponent has no defaultProps)
          'prop', getComponentName(outerMemoType));
        }
      }
    }
  }

  if (current !== null) {
    var prevProps = current.memoizedProps;

    if (shallowEqual(prevProps, nextProps) && current.ref === workInProgress.ref && ( // Prevent bailout if the implementation changed due to hot reload.
     workInProgress.type === current.type )) {
      didReceiveUpdate = false;

      if (!includesSomeLane(renderLanes, updateLanes)) {
        // The pending lanes were cleared at the beginning of beginWork. We're
        // about to bail out, but there might be other lanes that weren't
        // included in the current render. Usually, the priority level of the
        // remaining updates is accumlated during the evaluation of the
        // component (i.e. when processing the update queue). But since since
        // we're bailing out early *without* evaluating the component, we need
        // to account for it here, too. Reset to the value of the current fiber.
        // NOTE: This only applies to SimpleMemoComponent, not MemoComponent,
        // because a MemoComponent fiber does not have hooks or an update queue;
        // rather, it wraps around an inner component, which may or may not
        // contains hooks.
        // TODO: Move the reset at in beginWork out of the common path so that
        // this is no longer necessary.
        workInProgress.lanes = current.lanes;
        return bailoutOnAlreadyFinishedWork(current, workInProgress, renderLanes);
      } else if ((current.flags & ForceUpdateForLegacySuspense) !== NoFlags) {
        // This is a special case that only exists for legacy mode.
        // See https://github.com/facebook/react/pull/19216.
        didReceiveUpdate = true;
      }
    }
  }

  return updateFunctionComponent(current, workInProgress, Component, nextProps, renderLanes);
}

function updateOffscreenComponent(current, workInProgress, renderLanes) {
  var nextProps = workInProgress.pendingProps;
  var nextChildren = nextProps.children;
  var prevState = current !== null ? current.memoizedState : null;

  if (nextProps.mode === 'hidden' || nextProps.mode === 'unstable-defer-without-hiding') {
    if ((workInProgress.mode & ConcurrentMode) === NoMode) {
      // In legacy sync mode, don't defer the subtree. Render it now.
      // TODO: Figure out what we should do in Blocking mode.
      var nextState = {
        baseLanes: NoLanes
      };
      workInProgress.memoizedState = nextState;
      pushRenderLanes(workInProgress, renderLanes);
    } else if (!includesSomeLane(renderLanes, OffscreenLane)) {
      var nextBaseLanes;

      if (prevState !== null) {
        var prevBaseLanes = prevState.baseLanes;
        nextBaseLanes = mergeLanes(prevBaseLanes, renderLanes);
      } else {
        nextBaseLanes = renderLanes;
      } // Schedule this fiber to re-render at offscreen priority. Then bailout.


      {
        markSpawnedWork(OffscreenLane);
      }

      workInProgress.lanes = workInProgress.childLanes = laneToLanes(OffscreenLane);
      var _nextState = {
        baseLanes: nextBaseLanes
      };
      workInProgress.memoizedState = _nextState; // We're about to bail out, but we need to push this to the stack anyway
      // to avoid a push/pop misalignment.

      pushRenderLanes(workInProgress, nextBaseLanes);
      return null;
    } else {
      // Rendering at offscreen, so we can clear the base lanes.
      var _nextState2 = {
        baseLanes: NoLanes
      };
      workInProgress.memoizedState = _nextState2; // Push the lanes that were skipped when we bailed out.

      var subtreeRenderLanes = prevState !== null ? prevState.baseLanes : renderLanes;
      pushRenderLanes(workInProgress, subtreeRenderLanes);
    }
  } else {
    var _subtreeRenderLanes;

    if (prevState !== null) {
      _subtreeRenderLanes = mergeLanes(prevState.baseLanes, renderLanes); // Since we're not hidden anymore, reset the state

      workInProgress.memoizedState = null;
    } else {
      // We weren't previously hidden, and we still aren't, so there's nothing
      // special to do. Need to push to the stack regardless, though, to avoid
      // a push/pop misalignment.
      _subtreeRenderLanes = renderLanes;
    }

    pushRenderLanes(workInProgress, _subtreeRenderLanes);
  }

  reconcileChildren(current, workInProgress, nextChildren, renderLanes);
  return workInProgress.child;
} // Note: These happen to have identical begin phases, for now. We shouldn't hold
// ourselves to this constraint, though. If the behavior diverges, we should
// fork the function.


var updateLegacyHiddenComponent = updateOffscreenComponent;

function updateFragment(current, workInProgress, renderLanes) {
  var nextChildren = workInProgress.pendingProps;
  reconcileChildren(current, workInProgress, nextChildren, renderLanes);
  return workInProgress.child;
}

function updateMode(current, workInProgress, renderLanes) {
  var nextChildren = workInProgress.pendingProps.children;
  reconcileChildren(current, workInProgress, nextChildren, renderLanes);
  return workInProgress.child;
}

function updateProfiler(current, workInProgress, renderLanes) {
  {
    workInProgress.flags |= Update; // Reset effect durations for the next eventual effect phase.
    // These are reset during render to allow the DevTools commit hook a chance to read them,

    var stateNode = workInProgress.stateNode;
    stateNode.effectDuration = 0;
    stateNode.passiveEffectDuration = 0;
  }

  var nextProps = workInProgress.pendingProps;
  var nextChildren = nextProps.children;
  reconcileChildren(current, workInProgress, nextChildren, renderLanes);
  return workInProgress.child;
}

function markRef(current, workInProgress) {
  var ref = workInProgress.ref;

  if (current === null && ref !== null || current !== null && current.ref !== ref) {
    // Schedule a Ref effect
    workInProgress.flags |= Ref;
  }
}

function updateFunctionComponent(current, workInProgress, Component, nextProps, renderLanes) {
  {
    if (workInProgress.type !== workInProgress.elementType) {
      // Lazy component props can't be validated in createElement
      // because they're only guaranteed to be resolved here.
      var innerPropTypes = Component.propTypes;

      if (innerPropTypes) {
        checkPropTypes(innerPropTypes, nextProps, // Resolved props
        'prop', getComponentName(Component));
      }
    }
  }

  var context;

  {
    var unmaskedContext = getUnmaskedContext(workInProgress, Component, true);
    context = getMaskedContext(workInProgress, unmaskedContext);
  }

  var nextChildren;
  prepareToReadContext(workInProgress, renderLanes);

  {
    ReactCurrentOwner$1.current = workInProgress;
    setIsRendering(true);
    nextChildren = renderWithHooks(current, workInProgress, Component, nextProps, context, renderLanes);

    if ( workInProgress.mode & StrictMode) {
      disableLogs();

      try {
        nextChildren = renderWithHooks(current, workInProgress, Component, nextProps, context, renderLanes);
      } finally {
        reenableLogs();
      }
    }

    setIsRendering(false);
  }

  if (current !== null && !didReceiveUpdate) {
    bailoutHooks(current, workInProgress, renderLanes);
    return bailoutOnAlreadyFinishedWork(current, workInProgress, renderLanes);
  } // React DevTools reads this flag.


  workInProgress.flags |= PerformedWork;
  reconcileChildren(current, workInProgress, nextChildren, renderLanes);
  return workInProgress.child;
}

function updateClassComponent(current, workInProgress, Component, nextProps, renderLanes) {
  {
    if (workInProgress.type !== workInProgress.elementType) {
      // Lazy component props can't be validated in createElement
      // because they're only guaranteed to be resolved here.
      var innerPropTypes = Component.propTypes;

      if (innerPropTypes) {
        checkPropTypes(innerPropTypes, nextProps, // Resolved props
        'prop', getComponentName(Component));
      }
    }
  } // Push context providers early to prevent context stack mismatches.
  // During mounting we don't know the child context yet as the instance doesn't exist.
  // We will invalidate the child context in finishClassComponent() right after rendering.


  var hasContext;

  if (isContextProvider(Component)) {
    hasContext = true;
    pushContextProvider(workInProgress);
  } else {
    hasContext = false;
  }

  prepareToReadContext(workInProgress, renderLanes);
  var instance = workInProgress.stateNode;
  var shouldUpdate;

  if (instance === null) {
    if (current !== null) {
      // A class component without an instance only mounts if it suspended
      // inside a non-concurrent tree, in an inconsistent state. We want to
      // treat it like a new mount, even though an empty version of it already
      // committed. Disconnect the alternate pointers.
      current.alternate = null;
      workInProgress.alternate = null; // Since this is conceptually a new fiber, schedule a Placement effect

      workInProgress.flags |= Placement;
    } // In the initial pass we might need to construct the instance.


    constructClassInstance(workInProgress, Component, nextProps);
    mountClassInstance(workInProgress, Component, nextProps, renderLanes);
    shouldUpdate = true;
  } else if (current === null) {
    // In a resume, we'll already have an instance we can reuse.
    shouldUpdate = resumeMountClassInstance(workInProgress, Component, nextProps, renderLanes);
  } else {
    shouldUpdate = updateClassInstance(current, workInProgress, Component, nextProps, renderLanes);
  }

  var nextUnitOfWork = finishClassComponent(current, workInProgress, Component, shouldUpdate, hasContext, renderLanes);

  {
    var inst = workInProgress.stateNode;

    if (shouldUpdate && inst.props !== nextProps) {
      if (!didWarnAboutReassigningProps) {
        error('It looks like %s is reassigning its own `this.props` while rendering. ' + 'This is not supported and can lead to confusing bugs.', getComponentName(workInProgress.type) || 'a component');
      }

      didWarnAboutReassigningProps = true;
    }
  }

  return nextUnitOfWork;
}

function finishClassComponent(current, workInProgress, Component, shouldUpdate, hasContext, renderLanes) {
  // Refs should update even if shouldComponentUpdate returns false
  markRef(current, workInProgress);
  var didCaptureError = (workInProgress.flags & DidCapture) !== NoFlags;

  if (!shouldUpdate && !didCaptureError) {
    // Context providers should defer to sCU for rendering
    if (hasContext) {
      invalidateContextProvider(workInProgress, Component, false);
    }

    return bailoutOnAlreadyFinishedWork(current, workInProgress, renderLanes);
  }

  var instance = workInProgress.stateNode; // Rerender

  ReactCurrentOwner$1.current = workInProgress;
  var nextChildren;

  if (didCaptureError && typeof Component.getDerivedStateFromError !== 'function') {
    // If we captured an error, but getDerivedStateFromError is not defined,
    // unmount all the children. componentDidCatch will schedule an update to
    // re-render a fallback. This is temporary until we migrate everyone to
    // the new API.
    // TODO: Warn in a future release.
    nextChildren = null;

    {
      stopProfilerTimerIfRunning();
    }
  } else {
    {
      setIsRendering(true);
      nextChildren = instance.render();

      if ( workInProgress.mode & StrictMode) {
        disableLogs();

        try {
          instance.render();
        } finally {
          reenableLogs();
        }
      }

      setIsRendering(false);
    }
  } // React DevTools reads this flag.


  workInProgress.flags |= PerformedWork;

  if (current !== null && didCaptureError) {
    // If we're recovering from an error, reconcile without reusing any of
    // the existing children. Conceptually, the normal children and the children
    // that are shown on error are two different sets, so we shouldn't reuse
    // normal children even if their identities match.
    forceUnmountCurrentAndReconcile(current, workInProgress, nextChildren, renderLanes);
  } else {
    reconcileChildren(current, workInProgress, nextChildren, renderLanes);
  } // Memoize state using the values we just used to render.
  // TODO: Restructure so we never read values from the instance.


  workInProgress.memoizedState = instance.state; // The context might have changed so we need to recalculate it.

  if (hasContext) {
    invalidateContextProvider(workInProgress, Component, true);
  }

  return workInProgress.child;
}

function pushHostRootContext(workInProgress) {
  var root = workInProgress.stateNode;

  if (root.pendingContext) {
    pushTopLevelContextObject(workInProgress, root.pendingContext, root.pendingContext !== root.context);
  } else if (root.context) {
    // Should always be set
    pushTopLevelContextObject(workInProgress, root.context, false);
  }

  pushHostContainer(workInProgress, root.containerInfo);
}

function updateHostRoot(current, workInProgress, renderLanes) {
  pushHostRootContext(workInProgress);
  var updateQueue = workInProgress.updateQueue;

  if (!(current !== null && updateQueue !== null)) {
    {
      throw Error( "If the root does not have an updateQueue, we should have already bailed out. This error is likely caused by a bug in React. Please file an issue." );
    }
  }

  var nextProps = workInProgress.pendingProps;
  var prevState = workInProgress.memoizedState;
  var prevChildren = prevState !== null ? prevState.element : null;
  cloneUpdateQueue(current, workInProgress);
  processUpdateQueue(workInProgress, nextProps, null, renderLanes);
  var nextState = workInProgress.memoizedState; // Caution: React DevTools currently depends on this property
  // being called "element".

  var nextChildren = nextState.element;

  if (nextChildren === prevChildren) {
    resetHydrationState();
    return bailoutOnAlreadyFinishedWork(current, workInProgress, renderLanes);
  }

  var root = workInProgress.stateNode;

  if (root.hydrate && enterHydrationState(workInProgress)) {
    // If we don't have any current children this might be the first pass.
    // We always try to hydrate. If this isn't a hydration pass there won't
    // be any children to hydrate which is effectively the same thing as
    // not hydrating.
    {
      var mutableSourceEagerHydrationData = root.mutableSourceEagerHydrationData;

      if (mutableSourceEagerHydrationData != null) {
        for (var i = 0; i < mutableSourceEagerHydrationData.length; i += 2) {
          var mutableSource = mutableSourceEagerHydrationData[i];
          var version = mutableSourceEagerHydrationData[i + 1];
          setWorkInProgressVersion(mutableSource, version);
        }
      }
    }

    var child = mountChildFibers(workInProgress, null, nextChildren, renderLanes);
    workInProgress.child = child;
    var node = child;

    while (node) {
      // Mark each child as hydrating. This is a fast path to know whether this
      // tree is part of a hydrating tree. This is used to determine if a child
      // node has fully mounted yet, and for scheduling event replaying.
      // Conceptually this is similar to Placement in that a new subtree is
      // inserted into the React tree here. It just happens to not need DOM
      // mutations because it already exists.
      node.flags = node.flags & ~Placement | Hydrating;
      node = node.sibling;
    }
  } else {
    // Otherwise reset hydration state in case we aborted and resumed another
    // root.
    reconcileChildren(current, workInProgress, nextChildren, renderLanes);
    resetHydrationState();
  }

  return workInProgress.child;
}

function updateHostComponent(current, workInProgress, renderLanes) {
  pushHostContext(workInProgress);

  if (current === null) {
    tryToClaimNextHydratableInstance(workInProgress);
  }

  var type = workInProgress.type;
  var nextProps = workInProgress.pendingProps;
  var prevProps = current !== null ? current.memoizedProps : null;
  var nextChildren = nextProps.children;
  var isDirectTextChild = shouldSetTextContent(type, nextProps);

  if (isDirectTextChild) {
    // We special case a direct text child of a host node. This is a common
    // case. We won't handle it as a reified child. We will instead handle
    // this in the host environment that also has access to this prop. That
    // avoids allocating another HostText fiber and traversing it.
    nextChildren = null;
  } else if (prevProps !== null && shouldSetTextContent(type, prevProps)) {
    // If we're switching from a direct text child to a normal child, or to
    // empty, we need to schedule the text content to be reset.
    workInProgress.flags |= ContentReset;
  }

  markRef(current, workInProgress);
  reconcileChildren(current, workInProgress, nextChildren, renderLanes);
  return workInProgress.child;
}

function updateHostText(current, workInProgress) {
  if (current === null) {
    tryToClaimNextHydratableInstance(workInProgress);
  } // Nothing to do here. This is terminal. We'll do the completion step
  // immediately after.


  return null;
}

function mountLazyComponent(_current, workInProgress, elementType, updateLanes, renderLanes) {
  if (_current !== null) {
    // A lazy component only mounts if it suspended inside a non-
    // concurrent tree, in an inconsistent state. We want to treat it like
    // a new mount, even though an empty version of it already committed.
    // Disconnect the alternate pointers.
    _current.alternate = null;
    workInProgress.alternate = null; // Since this is conceptually a new fiber, schedule a Placement effect

    workInProgress.flags |= Placement;
  }

  var props = workInProgress.pendingProps;
  var lazyComponent = elementType;
  var payload = lazyComponent._payload;
  var init = lazyComponent._init;
  var Component = init(payload); // Store the unwrapped component in the type.

  workInProgress.type = Component;
  var resolvedTag = workInProgress.tag = resolveLazyComponentTag(Component);
  var resolvedProps = resolveDefaultProps(Component, props);
  var child;

  switch (resolvedTag) {
    case FunctionComponent:
      {
        {
          validateFunctionComponentInDev(workInProgress, Component);
          workInProgress.type = Component = resolveFunctionForHotReloading(Component);
        }

        child = updateFunctionComponent(null, workInProgress, Component, resolvedProps, renderLanes);
        return child;
      }

    case ClassComponent:
      {
        {
          workInProgress.type = Component = resolveClassForHotReloading(Component);
        }

        child = updateClassComponent(null, workInProgress, Component, resolvedProps, renderLanes);
        return child;
      }

    case ForwardRef:
      {
        {
          workInProgress.type = Component = resolveForwardRefForHotReloading(Component);
        }

        child = updateForwardRef(null, workInProgress, Component, resolvedProps, renderLanes);
        return child;
      }

    case MemoComponent:
      {
        {
          if (workInProgress.type !== workInProgress.elementType) {
            var outerPropTypes = Component.propTypes;

            if (outerPropTypes) {
              checkPropTypes(outerPropTypes, resolvedProps, // Resolved for outer only
              'prop', getComponentName(Component));
            }
          }
        }

        child = updateMemoComponent(null, workInProgress, Component, resolveDefaultProps(Component.type, resolvedProps), // The inner type can have defaults too
        updateLanes, renderLanes);
        return child;
      }
  }

  var hint = '';

  {
    if (Component !== null && typeof Component === 'object' && Component.$$typeof === REACT_LAZY_TYPE) {
      hint = ' Did you wrap a component in React.lazy() more than once?';
    }
  } // This message intentionally doesn't mention ForwardRef or MemoComponent
  // because the fact that it's a separate type of work is an
  // implementation detail.


  {
    {
      throw Error( "Element type is invalid. Received a promise that resolves to: " + Component + ". Lazy element type must resolve to a class or function." + hint );
    }
  }
}

function mountIncompleteClassComponent(_current, workInProgress, Component, nextProps, renderLanes) {
  if (_current !== null) {
    // An incomplete component only mounts if it suspended inside a non-
    // concurrent tree, in an inconsistent state. We want to treat it like
    // a new mount, even though an empty version of it already committed.
    // Disconnect the alternate pointers.
    _current.alternate = null;
    workInProgress.alternate = null; // Since this is conceptually a new fiber, schedule a Placement effect

    workInProgress.flags |= Placement;
  } // Promote the fiber to a class and try rendering again.


  workInProgress.tag = ClassComponent; // The rest of this function is a fork of `updateClassComponent`
  // Push context providers early to prevent context stack mismatches.
  // During mounting we don't know the child context yet as the instance doesn't exist.
  // We will invalidate the child context in finishClassComponent() right after rendering.

  var hasContext;

  if (isContextProvider(Component)) {
    hasContext = true;
    pushContextProvider(workInProgress);
  } else {
    hasContext = false;
  }

  prepareToReadContext(workInProgress, renderLanes);
  constructClassInstance(workInProgress, Component, nextProps);
  mountClassInstance(workInProgress, Component, nextProps, renderLanes);
  return finishClassComponent(null, workInProgress, Component, true, hasContext, renderLanes);
}

function mountIndeterminateComponent(_current, workInProgress, Component, renderLanes) {
  if (_current !== null) {
    // An indeterminate component only mounts if it suspended inside a non-
    // concurrent tree, in an inconsistent state. We want to treat it like
    // a new mount, even though an empty version of it already committed.
    // Disconnect the alternate pointers.
    _current.alternate = null;
    workInProgress.alternate = null; // Since this is conceptually a new fiber, schedule a Placement effect

    workInProgress.flags |= Placement;
  }

  var props = workInProgress.pendingProps;
  var context;

  {
    var unmaskedContext = getUnmaskedContext(workInProgress, Component, false);
    context = getMaskedContext(workInProgress, unmaskedContext);
  }

  prepareToReadContext(workInProgress, renderLanes);
  var value;

  {
    if (Component.prototype && typeof Component.prototype.render === 'function') {
      var componentName = getComponentName(Component) || 'Unknown';

      if (!didWarnAboutBadClass[componentName]) {
        error("The <%s /> component appears to have a render method, but doesn't extend React.Component. " + 'This is likely to cause errors. Change %s to extend React.Component instead.', componentName, componentName);

        didWarnAboutBadClass[componentName] = true;
      }
    }

    if (workInProgress.mode & StrictMode) {
      ReactStrictModeWarnings.recordLegacyContextWarning(workInProgress, null);
    }

    setIsRendering(true);
    ReactCurrentOwner$1.current = workInProgress;
    value = renderWithHooks(null, workInProgress, Component, props, context, renderLanes);
    setIsRendering(false);
  } // React DevTools reads this flag.


  workInProgress.flags |= PerformedWork;

  {
    // Support for module components is deprecated and is removed behind a flag.
    // Whether or not it would crash later, we want to show a good message in DEV first.
    if (typeof value === 'object' && value !== null && typeof value.render === 'function' && value.$$typeof === undefined) {
      var _componentName = getComponentName(Component) || 'Unknown';

      if (!didWarnAboutModulePatternComponent[_componentName]) {
        error('The <%s /> component appears to be a function component that returns a class instance. ' + 'Change %s to a class that extends React.Component instead. ' + "If you can't use a class try assigning the prototype on the function as a workaround. " + "`%s.prototype = React.Component.prototype`. Don't use an arrow function since it " + 'cannot be called with `new` by React.', _componentName, _componentName, _componentName);

        didWarnAboutModulePatternComponent[_componentName] = true;
      }
    }
  }

  if ( // Run these checks in production only if the flag is off.
  // Eventually we'll delete this branch altogether.
   typeof value === 'object' && value !== null && typeof value.render === 'function' && value.$$typeof === undefined) {
    {
      var _componentName2 = getComponentName(Component) || 'Unknown';

      if (!didWarnAboutModulePatternComponent[_componentName2]) {
        error('The <%s /> component appears to be a function component that returns a class instance. ' + 'Change %s to a class that extends React.Component instead. ' + "If you can't use a class try assigning the prototype on the function as a workaround. " + "`%s.prototype = React.Component.prototype`. Don't use an arrow function since it " + 'cannot be called with `new` by React.', _componentName2, _componentName2, _componentName2);

        didWarnAboutModulePatternComponent[_componentName2] = true;
      }
    } // Proceed under the assumption that this is a class instance


    workInProgress.tag = ClassComponent; // Throw out any hooks that were used.

    workInProgress.memoizedState = null;
    workInProgress.updateQueue = null; // Push context providers early to prevent context stack mismatches.
    // During mounting we don't know the child context yet as the instance doesn't exist.
    // We will invalidate the child context in finishClassComponent() right after rendering.

    var hasContext = false;

    if (isContextProvider(Component)) {
      hasContext = true;
      pushContextProvider(workInProgress);
    } else {
      hasContext = false;
    }

    workInProgress.memoizedState = value.state !== null && value.state !== undefined ? value.state : null;
    initializeUpdateQueue(workInProgress);
    var getDerivedStateFromProps = Component.getDerivedStateFromProps;

    if (typeof getDerivedStateFromProps === 'function') {
      applyDerivedStateFromProps(workInProgress, Component, getDerivedStateFromProps, props);
    }

    adoptClassInstance(workInProgress, value);
    mountClassInstance(workInProgress, Component, props, renderLanes);
    return finishClassComponent(null, workInProgress, Component, true, hasContext, renderLanes);
  } else {
    // Proceed under the assumption that this is a function component
    workInProgress.tag = FunctionComponent;

    {

      if ( workInProgress.mode & StrictMode) {
        disableLogs();

        try {
          value = renderWithHooks(null, workInProgress, Component, props, context, renderLanes);
        } finally {
          reenableLogs();
        }
      }
    }

    reconcileChildren(null, workInProgress, value, renderLanes);

    {
      validateFunctionComponentInDev(workInProgress, Component);
    }

    return workInProgress.child;
  }
}

function validateFunctionComponentInDev(workInProgress, Component) {
  {
    if (Component) {
      if (Component.childContextTypes) {
        error('%s(...): childContextTypes cannot be defined on a function component.', Component.displayName || Component.name || 'Component');
      }
    }

    if (workInProgress.ref !== null) {
      var info = '';
      var ownerName = getCurrentFiberOwnerNameInDevOrNull();

      if (ownerName) {
        info += '\n\nCheck the render method of `' + ownerName + '`.';
      }

      var warningKey = ownerName || workInProgress._debugID || '';
      var debugSource = workInProgress._debugSource;

      if (debugSource) {
        warningKey = debugSource.fileName + ':' + debugSource.lineNumber;
      }

      if (!didWarnAboutFunctionRefs[warningKey]) {
        didWarnAboutFunctionRefs[warningKey] = true;

        error('Function components cannot be given refs. ' + 'Attempts to access this ref will fail. ' + 'Did you mean to use React.forwardRef()?%s', info);
      }
    }

    if (typeof Component.getDerivedStateFromProps === 'function') {
      var _componentName3 = getComponentName(Component) || 'Unknown';

      if (!didWarnAboutGetDerivedStateOnFunctionComponent[_componentName3]) {
        error('%s: Function components do not support getDerivedStateFromProps.', _componentName3);

        didWarnAboutGetDerivedStateOnFunctionComponent[_componentName3] = true;
      }
    }

    if (typeof Component.contextType === 'object' && Component.contextType !== null) {
      var _componentName4 = getComponentName(Component) || 'Unknown';

      if (!didWarnAboutContextTypeOnFunctionComponent[_componentName4]) {
        error('%s: Function components do not support contextType.', _componentName4);

        didWarnAboutContextTypeOnFunctionComponent[_componentName4] = true;
      }
    }
  }
}

var SUSPENDED_MARKER = {
  dehydrated: null,
  retryLane: NoLane
};

function mountSuspenseOffscreenState(renderLanes) {
  return {
    baseLanes: renderLanes
  };
}

function updateSuspenseOffscreenState(prevOffscreenState, renderLanes) {
  return {
    baseLanes: mergeLanes(prevOffscreenState.baseLanes, renderLanes)
  };
} // TODO: Probably should inline this back


function shouldRemainOnFallback(suspenseContext, current, workInProgress, renderLanes) {
  // If we're already showing a fallback, there are cases where we need to
  // remain on that fallback regardless of whether the content has resolved.
  // For example, SuspenseList coordinates when nested content appears.
  if (current !== null) {
    var suspenseState = current.memoizedState;

    if (suspenseState === null) {
      // Currently showing content. Don't hide it, even if ForceSuspenseFallack
      // is true. More precise name might be "ForceRemainSuspenseFallback".
      // Note: This is a factoring smell. Can't remain on a fallback if there's
      // no fallback to remain on.
      return false;
    }
  } // Not currently showing content. Consult the Suspense context.


  return hasSuspenseContext(suspenseContext, ForceSuspenseFallback);
}

function getRemainingWorkInPrimaryTree(current, renderLanes) {
  // TODO: Should not remove render lanes that were pinged during this render
  return removeLanes(current.childLanes, renderLanes);
}

function updateSuspenseComponent(current, workInProgress, renderLanes) {
  var nextProps = workInProgress.pendingProps; // This is used by DevTools to force a boundary to suspend.

  {
    if (shouldSuspend(workInProgress)) {
      workInProgress.flags |= DidCapture;
    }
  }

  var suspenseContext = suspenseStackCursor.current;
  var showFallback = false;
  var didSuspend = (workInProgress.flags & DidCapture) !== NoFlags;

  if (didSuspend || shouldRemainOnFallback(suspenseContext, current)) {
    // Something in this boundary's subtree already suspended. Switch to
    // rendering the fallback children.
    showFallback = true;
    workInProgress.flags &= ~DidCapture;
  } else {
    // Attempting the main content
    if (current === null || current.memoizedState !== null) {
      // This is a new mount or this boundary is already showing a fallback state.
      // Mark this subtree context as having at least one invisible parent that could
      // handle the fallback state.
      // Boundaries without fallbacks or should be avoided are not considered since
      // they cannot handle preferred fallback states.
      if (nextProps.fallback !== undefined && nextProps.unstable_avoidThisFallback !== true) {
        suspenseContext = addSubtreeSuspenseContext(suspenseContext, InvisibleParentSuspenseContext);
      }
    }
  }

  suspenseContext = setDefaultShallowSuspenseContext(suspenseContext);
  pushSuspenseContext(workInProgress, suspenseContext); // OK, the next part is confusing. We're about to reconcile the Suspense
  // boundary's children. This involves some custom reconcilation logic. Two
  // main reasons this is so complicated.
  //
  // First, Legacy Mode has different semantics for backwards compatibility. The
  // primary tree will commit in an inconsistent state, so when we do the
  // second pass to render the fallback, we do some exceedingly, uh, clever
  // hacks to make that not totally break. Like transferring effects and
  // deletions from hidden tree. In Concurrent Mode, it's much simpler,
  // because we bailout on the primary tree completely and leave it in its old
  // state, no effects. Same as what we do for Offscreen (except that
  // Offscreen doesn't have the first render pass).
  //
  // Second is hydration. During hydration, the Suspense fiber has a slightly
  // different layout, where the child points to a dehydrated fragment, which
  // contains the DOM rendered by the server.
  //
  // Third, even if you set all that aside, Suspense is like error boundaries in
  // that we first we try to render one tree, and if that fails, we render again
  // and switch to a different tree. Like a try/catch block. So we have to track
  // which branch we're currently rendering. Ideally we would model this using
  // a stack.

  if (current === null) {
    // Initial mount
    // If we're currently hydrating, try to hydrate this boundary.
    // But only if this has a fallback.
    if (nextProps.fallback !== undefined) {
      tryToClaimNextHydratableInstance(workInProgress); // This could've been a dehydrated suspense component.
    }

    var nextPrimaryChildren = nextProps.children;
    var nextFallbackChildren = nextProps.fallback;

    if (showFallback) {
      var fallbackFragment = mountSuspenseFallbackChildren(workInProgress, nextPrimaryChildren, nextFallbackChildren, renderLanes);
      var primaryChildFragment = workInProgress.child;
      primaryChildFragment.memoizedState = mountSuspenseOffscreenState(renderLanes);
      workInProgress.memoizedState = SUSPENDED_MARKER;
      return fallbackFragment;
    } else if (typeof nextProps.unstable_expectedLoadTime === 'number') {
      // This is a CPU-bound tree. Skip this tree and show a placeholder to
      // unblock the surrounding content. Then immediately retry after the
      // initial commit.
      var _fallbackFragment = mountSuspenseFallbackChildren(workInProgress, nextPrimaryChildren, nextFallbackChildren, renderLanes);

      var _primaryChildFragment = workInProgress.child;
      _primaryChildFragment.memoizedState = mountSuspenseOffscreenState(renderLanes);
      workInProgress.memoizedState = SUSPENDED_MARKER; // Since nothing actually suspended, there will nothing to ping this to
      // get it started back up to attempt the next item. While in terms of
      // priority this work has the same priority as this current render, it's
      // not part of the same transition once the transition has committed. If
      // it's sync, we still want to yield so that it can be painted.
      // Conceptually, this is really the same as pinging. We can use any
      // RetryLane even if it's the one currently rendering since we're leaving
      // it behind on this node.

      workInProgress.lanes = SomeRetryLane;

      {
        markSpawnedWork(SomeRetryLane);
      }

      return _fallbackFragment;
    } else {
      return mountSuspensePrimaryChildren(workInProgress, nextPrimaryChildren, renderLanes);
    }
  } else {
    // This is an update.
    // If the current fiber has a SuspenseState, that means it's already showing
    // a fallback.
    var prevState = current.memoizedState;

    if (prevState !== null) {

      if (showFallback) {
        var _nextFallbackChildren2 = nextProps.fallback;
        var _nextPrimaryChildren2 = nextProps.children;

        var _fallbackChildFragment = updateSuspenseFallbackChildren(current, workInProgress, _nextPrimaryChildren2, _nextFallbackChildren2, renderLanes);

        var _primaryChildFragment3 = workInProgress.child;
        var prevOffscreenState = current.child.memoizedState;
        _primaryChildFragment3.memoizedState = prevOffscreenState === null ? mountSuspenseOffscreenState(renderLanes) : updateSuspenseOffscreenState(prevOffscreenState, renderLanes);
        _primaryChildFragment3.childLanes = getRemainingWorkInPrimaryTree(current, renderLanes);
        workInProgress.memoizedState = SUSPENDED_MARKER;
        return _fallbackChildFragment;
      } else {
        var _nextPrimaryChildren3 = nextProps.children;

        var _primaryChildFragment4 = updateSuspensePrimaryChildren(current, workInProgress, _nextPrimaryChildren3, renderLanes);

        workInProgress.memoizedState = null;
        return _primaryChildFragment4;
      }
    } else {
      // The current tree is not already showing a fallback.
      if (showFallback) {
        // Timed out.
        var _nextFallbackChildren3 = nextProps.fallback;
        var _nextPrimaryChildren4 = nextProps.children;

        var _fallbackChildFragment2 = updateSuspenseFallbackChildren(current, workInProgress, _nextPrimaryChildren4, _nextFallbackChildren3, renderLanes);

        var _primaryChildFragment5 = workInProgress.child;
        var _prevOffscreenState = current.child.memoizedState;
        _primaryChildFragment5.memoizedState = _prevOffscreenState === null ? mountSuspenseOffscreenState(renderLanes) : updateSuspenseOffscreenState(_prevOffscreenState, renderLanes);
        _primaryChildFragment5.childLanes = getRemainingWorkInPrimaryTree(current, renderLanes); // Skip the primary children, and continue working on the
        // fallback children.

        workInProgress.memoizedState = SUSPENDED_MARKER;
        return _fallbackChildFragment2;
      } else {
        // Still haven't timed out. Continue rendering the children, like we
        // normally do.
        var _nextPrimaryChildren5 = nextProps.children;

        var _primaryChildFragment6 = updateSuspensePrimaryChildren(current, workInProgress, _nextPrimaryChildren5, renderLanes);

        workInProgress.memoizedState = null;
        return _primaryChildFragment6;
      }
    }
  }
}

function mountSuspensePrimaryChildren(workInProgress, primaryChildren, renderLanes) {
  var mode = workInProgress.mode;
  var primaryChildProps = {
    mode: 'visible',
    children: primaryChildren
  };
  var primaryChildFragment = createFiberFromOffscreen(primaryChildProps, mode, renderLanes, null);
  primaryChildFragment.return = workInProgress;
  workInProgress.child = primaryChildFragment;
  return primaryChildFragment;
}

function mountSuspenseFallbackChildren(workInProgress, primaryChildren, fallbackChildren, renderLanes) {
  var mode = workInProgress.mode;
  var progressedPrimaryFragment = workInProgress.child;
  var primaryChildProps = {
    mode: 'hidden',
    children: primaryChildren
  };
  var primaryChildFragment;
  var fallbackChildFragment;

  if ((mode & BlockingMode) === NoMode && progressedPrimaryFragment !== null) {
    // In legacy mode, we commit the primary tree as if it successfully
    // completed, even though it's in an inconsistent state.
    primaryChildFragment = progressedPrimaryFragment;
    primaryChildFragment.childLanes = NoLanes;
    primaryChildFragment.pendingProps = primaryChildProps;

    if ( workInProgress.mode & ProfileMode) {
      // Reset the durations from the first pass so they aren't included in the
      // final amounts. This seems counterintuitive, since we're intentionally
      // not measuring part of the render phase, but this makes it match what we
      // do in Concurrent Mode.
      primaryChildFragment.actualDuration = 0;
      primaryChildFragment.actualStartTime = -1;
      primaryChildFragment.selfBaseDuration = 0;
      primaryChildFragment.treeBaseDuration = 0;
    }

    fallbackChildFragment = createFiberFromFragment(fallbackChildren, mode, renderLanes, null);
  } else {
    primaryChildFragment = createFiberFromOffscreen(primaryChildProps, mode, NoLanes, null);
    fallbackChildFragment = createFiberFromFragment(fallbackChildren, mode, renderLanes, null);
  }

  primaryChildFragment.return = workInProgress;
  fallbackChildFragment.return = workInProgress;
  primaryChildFragment.sibling = fallbackChildFragment;
  workInProgress.child = primaryChildFragment;
  return fallbackChildFragment;
}

function createWorkInProgressOffscreenFiber(current, offscreenProps) {
  // The props argument to `createWorkInProgress` is `any` typed, so we use this
  // wrapper function to constrain it.
  return createWorkInProgress(current, offscreenProps);
}

function updateSuspensePrimaryChildren(current, workInProgress, primaryChildren, renderLanes) {
  var currentPrimaryChildFragment = current.child;
  var currentFallbackChildFragment = currentPrimaryChildFragment.sibling;
  var primaryChildFragment = createWorkInProgressOffscreenFiber(currentPrimaryChildFragment, {
    mode: 'visible',
    children: primaryChildren
  });

  if ((workInProgress.mode & BlockingMode) === NoMode) {
    primaryChildFragment.lanes = renderLanes;
  }

  primaryChildFragment.return = workInProgress;
  primaryChildFragment.sibling = null;

  if (currentFallbackChildFragment !== null) {
    // Delete the fallback child fragment
    currentFallbackChildFragment.nextEffect = null;
    currentFallbackChildFragment.flags = Deletion;
    workInProgress.firstEffect = workInProgress.lastEffect = currentFallbackChildFragment;
  }

  workInProgress.child = primaryChildFragment;
  return primaryChildFragment;
}

function updateSuspenseFallbackChildren(current, workInProgress, primaryChildren, fallbackChildren, renderLanes) {
  var mode = workInProgress.mode;
  var currentPrimaryChildFragment = current.child;
  var currentFallbackChildFragment = currentPrimaryChildFragment.sibling;
  var primaryChildProps = {
    mode: 'hidden',
    children: primaryChildren
  };
  var primaryChildFragment;

  if ( // In legacy mode, we commit the primary tree as if it successfully
  // completed, even though it's in an inconsistent state.
  (mode & BlockingMode) === NoMode && // Make sure we're on the second pass, i.e. the primary child fragment was
  // already cloned. In legacy mode, the only case where this isn't true is
  // when DevTools forces us to display a fallback; we skip the first render
  // pass entirely and go straight to rendering the fallback. (In Concurrent
  // Mode, SuspenseList can also trigger this scenario, but this is a legacy-
  // only codepath.)
  workInProgress.child !== currentPrimaryChildFragment) {
    var progressedPrimaryFragment = workInProgress.child;
    primaryChildFragment = progressedPrimaryFragment;
    primaryChildFragment.childLanes = NoLanes;
    primaryChildFragment.pendingProps = primaryChildProps;

    if ( workInProgress.mode & ProfileMode) {
      // Reset the durations from the first pass so they aren't included in the
      // final amounts. This seems counterintuitive, since we're intentionally
      // not measuring part of the render phase, but this makes it match what we
      // do in Concurrent Mode.
      primaryChildFragment.actualDuration = 0;
      primaryChildFragment.actualStartTime = -1;
      primaryChildFragment.selfBaseDuration = currentPrimaryChildFragment.selfBaseDuration;
      primaryChildFragment.treeBaseDuration = currentPrimaryChildFragment.treeBaseDuration;
    } // The fallback fiber was added as a deletion effect during the first pass.
    // However, since we're going to remain on the fallback, we no longer want
    // to delete it. So we need to remove it from the list. Deletions are stored
    // on the same list as effects. We want to keep the effects from the primary
    // tree. So we copy the primary child fragment's effect list, which does not
    // include the fallback deletion effect.


    var progressedLastEffect = primaryChildFragment.lastEffect;

    if (progressedLastEffect !== null) {
      workInProgress.firstEffect = primaryChildFragment.firstEffect;
      workInProgress.lastEffect = progressedLastEffect;
      progressedLastEffect.nextEffect = null;
    } else {
      // TODO: Reset this somewhere else? Lol legacy mode is so weird.
      workInProgress.firstEffect = workInProgress.lastEffect = null;
    }
  } else {
    primaryChildFragment = createWorkInProgressOffscreenFiber(currentPrimaryChildFragment, primaryChildProps);
  }

  var fallbackChildFragment;

  if (currentFallbackChildFragment !== null) {
    fallbackChildFragment = createWorkInProgress(currentFallbackChildFragment, fallbackChildren);
  } else {
    fallbackChildFragment = createFiberFromFragment(fallbackChildren, mode, renderLanes, null); // Needs a placement effect because the parent (the Suspense boundary) already
    // mounted but this is a new fiber.

    fallbackChildFragment.flags |= Placement;
  }

  fallbackChildFragment.return = workInProgress;
  primaryChildFragment.return = workInProgress;
  primaryChildFragment.sibling = fallbackChildFragment;
  workInProgress.child = primaryChildFragment;
  return fallbackChildFragment;
}

function scheduleWorkOnFiber(fiber, renderLanes) {
  fiber.lanes = mergeLanes(fiber.lanes, renderLanes);
  var alternate = fiber.alternate;

  if (alternate !== null) {
    alternate.lanes = mergeLanes(alternate.lanes, renderLanes);
  }

  scheduleWorkOnParentPath(fiber.return, renderLanes);
}

function propagateSuspenseContextChange(workInProgress, firstChild, renderLanes) {
  // Mark any Suspense boundaries with fallbacks as having work to do.
  // If they were previously forced into fallbacks, they may now be able
  // to unblock.
  var node = firstChild;

  while (node !== null) {
    if (node.tag === SuspenseComponent) {
      var state = node.memoizedState;

      if (state !== null) {
        scheduleWorkOnFiber(node, renderLanes);
      }
    } else if (node.tag === SuspenseListComponent) {
      // If the tail is hidden there might not be an Suspense boundaries
      // to schedule work on. In this case we have to schedule it on the
      // list itself.
      // We don't have to traverse to the children of the list since
      // the list will propagate the change when it rerenders.
      scheduleWorkOnFiber(node, renderLanes);
    } else if (node.child !== null) {
      node.child.return = node;
      node = node.child;
      continue;
    }

    if (node === workInProgress) {
      return;
    }

    while (node.sibling === null) {
      if (node.return === null || node.return === workInProgress) {
        return;
      }

      node = node.return;
    }

    node.sibling.return = node.return;
    node = node.sibling;
  }
}

function findLastContentRow(firstChild) {
  // This is going to find the last row among these children that is already
  // showing content on the screen, as opposed to being in fallback state or
  // new. If a row has multiple Suspense boundaries, any of them being in the
  // fallback state, counts as the whole row being in a fallback state.
  // Note that the "rows" will be workInProgress, but any nested children
  // will still be current since we haven't rendered them yet. The mounted
  // order may not be the same as the new order. We use the new order.
  var row = firstChild;
  var lastContentRow = null;

  while (row !== null) {
    var currentRow = row.alternate; // New rows can't be content rows.

    if (currentRow !== null && findFirstSuspended(currentRow) === null) {
      lastContentRow = row;
    }

    row = row.sibling;
  }

  return lastContentRow;
}

function validateRevealOrder(revealOrder) {
  {
    if (revealOrder !== undefined && revealOrder !== 'forwards' && revealOrder !== 'backwards' && revealOrder !== 'together' && !didWarnAboutRevealOrder[revealOrder]) {
      didWarnAboutRevealOrder[revealOrder] = true;

      if (typeof revealOrder === 'string') {
        switch (revealOrder.toLowerCase()) {
          case 'together':
          case 'forwards':
          case 'backwards':
            {
              error('"%s" is not a valid value for revealOrder on <SuspenseList />. ' + 'Use lowercase "%s" instead.', revealOrder, revealOrder.toLowerCase());

              break;
            }

          case 'forward':
          case 'backward':
            {
              error('"%s" is not a valid value for revealOrder on <SuspenseList />. ' + 'React uses the -s suffix in the spelling. Use "%ss" instead.', revealOrder, revealOrder.toLowerCase());

              break;
            }

          default:
            error('"%s" is not a supported revealOrder on <SuspenseList />. ' + 'Did you mean "together", "forwards" or "backwards"?', revealOrder);

            break;
        }
      } else {
        error('%s is not a supported value for revealOrder on <SuspenseList />. ' + 'Did you mean "together", "forwards" or "backwards"?', revealOrder);
      }
    }
  }
}

function validateTailOptions(tailMode, revealOrder) {
  {
    if (tailMode !== undefined && !didWarnAboutTailOptions[tailMode]) {
      if (tailMode !== 'collapsed' && tailMode !== 'hidden') {
        didWarnAboutTailOptions[tailMode] = true;

        error('"%s" is not a supported value for tail on <SuspenseList />. ' + 'Did you mean "collapsed" or "hidden"?', tailMode);
      } else if (revealOrder !== 'forwards' && revealOrder !== 'backwards') {
        didWarnAboutTailOptions[tailMode] = true;

        error('<SuspenseList tail="%s" /> is only valid if revealOrder is ' + '"forwards" or "backwards". ' + 'Did you mean to specify revealOrder="forwards"?', tailMode);
      }
    }
  }
}

function validateSuspenseListNestedChild(childSlot, index) {
  {
    var isArray = Array.isArray(childSlot);
    var isIterable = !isArray && typeof getIteratorFn(childSlot) === 'function';

    if (isArray || isIterable) {
      var type = isArray ? 'array' : 'iterable';

      error('A nested %s was passed to row #%s in <SuspenseList />. Wrap it in ' + 'an additional SuspenseList to configure its revealOrder: ' + '<SuspenseList revealOrder=...> ... ' + '<SuspenseList revealOrder=...>{%s}</SuspenseList> ... ' + '</SuspenseList>', type, index, type);

      return false;
    }
  }

  return true;
}

function validateSuspenseListChildren(children, revealOrder) {
  {
    if ((revealOrder === 'forwards' || revealOrder === 'backwards') && children !== undefined && children !== null && children !== false) {
      if (Array.isArray(children)) {
        for (var i = 0; i < children.length; i++) {
          if (!validateSuspenseListNestedChild(children[i], i)) {
            return;
          }
        }
      } else {
        var iteratorFn = getIteratorFn(children);

        if (typeof iteratorFn === 'function') {
          var childrenIterator = iteratorFn.call(children);

          if (childrenIterator) {
            var step = childrenIterator.next();
            var _i = 0;

            for (; !step.done; step = childrenIterator.next()) {
              if (!validateSuspenseListNestedChild(step.value, _i)) {
                return;
              }

              _i++;
            }
          }
        } else {
          error('A single row was passed to a <SuspenseList revealOrder="%s" />. ' + 'This is not useful since it needs multiple rows. ' + 'Did you mean to pass multiple children or an array?', revealOrder);
        }
      }
    }
  }
}

function initSuspenseListRenderState(workInProgress, isBackwards, tail, lastContentRow, tailMode, lastEffectBeforeRendering) {
  var renderState = workInProgress.memoizedState;

  if (renderState === null) {
    workInProgress.memoizedState = {
      isBackwards: isBackwards,
      rendering: null,
      renderingStartTime: 0,
      last: lastContentRow,
      tail: tail,
      tailMode: tailMode,
      lastEffect: lastEffectBeforeRendering
    };
  } else {
    // We can reuse the existing object from previous renders.
    renderState.isBackwards = isBackwards;
    renderState.rendering = null;
    renderState.renderingStartTime = 0;
    renderState.last = lastContentRow;
    renderState.tail = tail;
    renderState.tailMode = tailMode;
    renderState.lastEffect = lastEffectBeforeRendering;
  }
} // This can end up rendering this component multiple passes.
// The first pass splits the children fibers into two sets. A head and tail.
// We first render the head. If anything is in fallback state, we do another
// pass through beginWork to rerender all children (including the tail) with
// the force suspend context. If the first render didn't have anything in
// in fallback state. Then we render each row in the tail one-by-one.
// That happens in the completeWork phase without going back to beginWork.


function updateSuspenseListComponent(current, workInProgress, renderLanes) {
  var nextProps = workInProgress.pendingProps;
  var revealOrder = nextProps.revealOrder;
  var tailMode = nextProps.tail;
  var newChildren = nextProps.children;
  validateRevealOrder(revealOrder);
  validateTailOptions(tailMode, revealOrder);
  validateSuspenseListChildren(newChildren, revealOrder);
  reconcileChildren(current, workInProgress, newChildren, renderLanes);
  var suspenseContext = suspenseStackCursor.current;
  var shouldForceFallback = hasSuspenseContext(suspenseContext, ForceSuspenseFallback);

  if (shouldForceFallback) {
    suspenseContext = setShallowSuspenseContext(suspenseContext, ForceSuspenseFallback);
    workInProgress.flags |= DidCapture;
  } else {
    var didSuspendBefore = current !== null && (current.flags & DidCapture) !== NoFlags;

    if (didSuspendBefore) {
      // If we previously forced a fallback, we need to schedule work
      // on any nested boundaries to let them know to try to render
      // again. This is the same as context updating.
      propagateSuspenseContextChange(workInProgress, workInProgress.child, renderLanes);
    }

    suspenseContext = setDefaultShallowSuspenseContext(suspenseContext);
  }

  pushSuspenseContext(workInProgress, suspenseContext);

  if ((workInProgress.mode & BlockingMode) === NoMode) {
    // In legacy mode, SuspenseList doesn't work so we just
    // use make it a noop by treating it as the default revealOrder.
    workInProgress.memoizedState = null;
  } else {
    switch (revealOrder) {
      case 'forwards':
        {
          var lastContentRow = findLastContentRow(workInProgress.child);
          var tail;

          if (lastContentRow === null) {
            // The whole list is part of the tail.
            // TODO: We could fast path by just rendering the tail now.
            tail = workInProgress.child;
            workInProgress.child = null;
          } else {
            // Disconnect the tail rows after the content row.
            // We're going to render them separately later.
            tail = lastContentRow.sibling;
            lastContentRow.sibling = null;
          }

          initSuspenseListRenderState(workInProgress, false, // isBackwards
          tail, lastContentRow, tailMode, workInProgress.lastEffect);
          break;
        }

      case 'backwards':
        {
          // We're going to find the first row that has existing content.
          // At the same time we're going to reverse the list of everything
          // we pass in the meantime. That's going to be our tail in reverse
          // order.
          var _tail = null;
          var row = workInProgress.child;
          workInProgress.child = null;

          while (row !== null) {
            var currentRow = row.alternate; // New rows can't be content rows.

            if (currentRow !== null && findFirstSuspended(currentRow) === null) {
              // This is the beginning of the main content.
              workInProgress.child = row;
              break;
            }

            var nextRow = row.sibling;
            row.sibling = _tail;
            _tail = row;
            row = nextRow;
          } // TODO: If workInProgress.child is null, we can continue on the tail immediately.


          initSuspenseListRenderState(workInProgress, true, // isBackwards
          _tail, null, // last
          tailMode, workInProgress.lastEffect);
          break;
        }

      case 'together':
        {
          initSuspenseListRenderState(workInProgress, false, // isBackwards
          null, // tail
          null, // last
          undefined, workInProgress.lastEffect);
          break;
        }

      default:
        {
          // The default reveal order is the same as not having
          // a boundary.
          workInProgress.memoizedState = null;
        }
    }
  }

  return workInProgress.child;
}

function updatePortalComponent(current, workInProgress, renderLanes) {
  pushHostContainer(workInProgress, workInProgress.stateNode.containerInfo);
  var nextChildren = workInProgress.pendingProps;

  if (current === null) {
    // Portals are special because we don't append the children during mount
    // but at commit. Therefore we need to track insertions which the normal
    // flow doesn't do during mount. This doesn't happen at the root because
    // the root always starts with a "current" with a null child.
    // TODO: Consider unifying this with how the root works.
    workInProgress.child = reconcileChildFibers(workInProgress, null, nextChildren, renderLanes);
  } else {
    reconcileChildren(current, workInProgress, nextChildren, renderLanes);
  }

  return workInProgress.child;
}

var hasWarnedAboutUsingNoValuePropOnContextProvider = false;

function updateContextProvider(current, workInProgress, renderLanes) {
  var providerType = workInProgress.type;
  var context = providerType._context;
  var newProps = workInProgress.pendingProps;
  var oldProps = workInProgress.memoizedProps;
  var newValue = newProps.value;

  {
    if (!('value' in newProps)) {
      if (!hasWarnedAboutUsingNoValuePropOnContextProvider) {
        hasWarnedAboutUsingNoValuePropOnContextProvider = true;

        error('The `value` prop is required for the `<Context.Provider>`. Did you misspell it or forget to pass it?');
      }
    }

    var providerPropTypes = workInProgress.type.propTypes;

    if (providerPropTypes) {
      checkPropTypes(providerPropTypes, newProps, 'prop', 'Context.Provider');
    }
  }

  pushProvider(workInProgress, newValue);

  if (oldProps !== null) {
    var oldValue = oldProps.value;
    var changedBits = calculateChangedBits(context, newValue, oldValue);

    if (changedBits === 0) {
      // No change. Bailout early if children are the same.
      if (oldProps.children === newProps.children && !hasContextChanged()) {
        return bailoutOnAlreadyFinishedWork(current, workInProgress, renderLanes);
      }
    } else {
      // The context value changed. Search for matching consumers and schedule
      // them to update.
      propagateContextChange(workInProgress, context, changedBits, renderLanes);
    }
  }

  var newChildren = newProps.children;
  reconcileChildren(current, workInProgress, newChildren, renderLanes);
  return workInProgress.child;
}

var hasWarnedAboutUsingContextAsConsumer = false;

function updateContextConsumer(current, workInProgress, renderLanes) {
  var context = workInProgress.type; // The logic below for Context differs depending on PROD or DEV mode. In
  // DEV mode, we create a separate object for Context.Consumer that acts
  // like a proxy to Context. This proxy object adds unnecessary code in PROD
  // so we use the old behaviour (Context.Consumer references Context) to
  // reduce size and overhead. The separate object references context via
  // a property called "_context", which also gives us the ability to check
  // in DEV mode if this property exists or not and warn if it does not.

  {
    if (context._context === undefined) {
      // This may be because it's a Context (rather than a Consumer).
      // Or it may be because it's older React where they're the same thing.
      // We only want to warn if we're sure it's a new React.
      if (context !== context.Consumer) {
        if (!hasWarnedAboutUsingContextAsConsumer) {
          hasWarnedAboutUsingContextAsConsumer = true;

          error('Rendering <Context> directly is not supported and will be removed in ' + 'a future major release. Did you mean to render <Context.Consumer> instead?');
        }
      }
    } else {
      context = context._context;
    }
  }

  var newProps = workInProgress.pendingProps;
  var render = newProps.children;

  {
    if (typeof render !== 'function') {
      error('A context consumer was rendered with multiple children, or a child ' + "that isn't a function. A context consumer expects a single child " + 'that is a function. If you did pass a function, make sure there ' + 'is no trailing or leading whitespace around it.');
    }
  }

  prepareToReadContext(workInProgress, renderLanes);
  var newValue = readContext(context, newProps.unstable_observedBits);
  var newChildren;

  {
    ReactCurrentOwner$1.current = workInProgress;
    setIsRendering(true);
    newChildren = render(newValue);
    setIsRendering(false);
  } // React DevTools reads this flag.


  workInProgress.flags |= PerformedWork;
  reconcileChildren(current, workInProgress, newChildren, renderLanes);
  return workInProgress.child;
}

function markWorkInProgressReceivedUpdate() {
  didReceiveUpdate = true;
}

function bailoutOnAlreadyFinishedWork(current, workInProgress, renderLanes) {
  if (current !== null) {
    // Reuse previous dependencies
    workInProgress.dependencies = current.dependencies;
  }

  {
    // Don't update "base" render times for bailouts.
    stopProfilerTimerIfRunning();
  }

  markSkippedUpdateLanes(workInProgress.lanes); // Check if the children have any pending work.

  if (!includesSomeLane(renderLanes, workInProgress.childLanes)) {
    // The children don't have any work either. We can skip them.
    // TODO: Once we add back resuming, we should check if the children are
    // a work-in-progress set. If so, we need to transfer their effects.
    return null;
  } else {
    // This fiber doesn't have work, but its subtree does. Clone the child
    // fibers and continue.
    cloneChildFibers(current, workInProgress);
    return workInProgress.child;
  }
}

function remountFiber(current, oldWorkInProgress, newWorkInProgress) {
  {
    var returnFiber = oldWorkInProgress.return;

    if (returnFiber === null) {
      throw new Error('Cannot swap the root fiber.');
    } // Disconnect from the old current.
    // It will get deleted.


    current.alternate = null;
    oldWorkInProgress.alternate = null; // Connect to the new tree.

    newWorkInProgress.index = oldWorkInProgress.index;
    newWorkInProgress.sibling = oldWorkInProgress.sibling;
    newWorkInProgress.return = oldWorkInProgress.return;
    newWorkInProgress.ref = oldWorkInProgress.ref; // Replace the child/sibling pointers above it.

    if (oldWorkInProgress === returnFiber.child) {
      returnFiber.child = newWorkInProgress;
    } else {
      var prevSibling = returnFiber.child;

      if (prevSibling === null) {
        throw new Error('Expected parent to have a child.');
      }

      while (prevSibling.sibling !== oldWorkInProgress) {
        prevSibling = prevSibling.sibling;

        if (prevSibling === null) {
          throw new Error('Expected to find the previous sibling.');
        }
      }

      prevSibling.sibling = newWorkInProgress;
    } // Delete the old fiber and place the new one.
    // Since the old fiber is disconnected, we have to schedule it manually.


    var last = returnFiber.lastEffect;

    if (last !== null) {
      last.nextEffect = current;
      returnFiber.lastEffect = current;
    } else {
      returnFiber.firstEffect = returnFiber.lastEffect = current;
    }

    current.nextEffect = null;
    current.flags = Deletion;
    newWorkInProgress.flags |= Placement; // Restart work from the new fiber.

    return newWorkInProgress;
  }
}

function beginWork(current, workInProgress, renderLanes) {
  var updateLanes = workInProgress.lanes;

  {
    if (workInProgress._debugNeedsRemount && current !== null) {
      // This will restart the begin phase with a new fiber.
      return remountFiber(current, workInProgress, createFiberFromTypeAndProps(workInProgress.type, workInProgress.key, workInProgress.pendingProps, workInProgress._debugOwner || null, workInProgress.mode, workInProgress.lanes));
    }
  }

  if (current !== null) {
    var oldProps = current.memoizedProps;
    var newProps = workInProgress.pendingProps;

    if (oldProps !== newProps || hasContextChanged() || ( // Force a re-render if the implementation changed due to hot reload:
     workInProgress.type !== current.type )) {
      // If props or context changed, mark the fiber as having performed work.
      // This may be unset if the props are determined to be equal later (memo).
      didReceiveUpdate = true;
    } else if (!includesSomeLane(renderLanes, updateLanes)) {
      didReceiveUpdate = false; // This fiber does not have any pending work. Bailout without entering
      // the begin phase. There's still some bookkeeping we that needs to be done
      // in this optimized path, mostly pushing stuff onto the stack.

      switch (workInProgress.tag) {
        case HostRoot:
          pushHostRootContext(workInProgress);
          resetHydrationState();
          break;

        case HostComponent:
          pushHostContext(workInProgress);
          break;

        case ClassComponent:
          {
            var Component = workInProgress.type;

            if (isContextProvider(Component)) {
              pushContextProvider(workInProgress);
            }

            break;
          }

        case HostPortal:
          pushHostContainer(workInProgress, workInProgress.stateNode.containerInfo);
          break;

        case ContextProvider:
          {
            var newValue = workInProgress.memoizedProps.value;
            pushProvider(workInProgress, newValue);
            break;
          }

        case Profiler:
          {
            // Profiler should only call onRender when one of its descendants actually rendered.
            var hasChildWork = includesSomeLane(renderLanes, workInProgress.childLanes);

            if (hasChildWork) {
              workInProgress.flags |= Update;
            } // Reset effect durations for the next eventual effect phase.
            // These are reset during render to allow the DevTools commit hook a chance to read them,


            var stateNode = workInProgress.stateNode;
            stateNode.effectDuration = 0;
            stateNode.passiveEffectDuration = 0;
          }

          break;

        case SuspenseComponent:
          {
            var state = workInProgress.memoizedState;

            if (state !== null) {
              // whether to retry the primary children, or to skip over it and
              // go straight to the fallback. Check the priority of the primary
              // child fragment.


              var primaryChildFragment = workInProgress.child;
              var primaryChildLanes = primaryChildFragment.childLanes;

              if (includesSomeLane(renderLanes, primaryChildLanes)) {
                // The primary children have pending work. Use the normal path
                // to attempt to render the primary children again.
                return updateSuspenseComponent(current, workInProgress, renderLanes);
              } else {
                // The primary child fragment does not have pending work marked
                // on it
                pushSuspenseContext(workInProgress, setDefaultShallowSuspenseContext(suspenseStackCursor.current)); // The primary children do not have pending work with sufficient
                // priority. Bailout.

                var child = bailoutOnAlreadyFinishedWork(current, workInProgress, renderLanes);

                if (child !== null) {
                  // The fallback children have pending work. Skip over the
                  // primary children and work on the fallback.
                  return child.sibling;
                } else {
                  return null;
                }
              }
            } else {
              pushSuspenseContext(workInProgress, setDefaultShallowSuspenseContext(suspenseStackCursor.current));
            }

            break;
          }

        case SuspenseListComponent:
          {
            var didSuspendBefore = (current.flags & DidCapture) !== NoFlags;

            var _hasChildWork = includesSomeLane(renderLanes, workInProgress.childLanes);

            if (didSuspendBefore) {
              if (_hasChildWork) {
                // If something was in fallback state last time, and we have all the
                // same children then we're still in progressive loading state.
                // Something might get unblocked by state updates or retries in the
                // tree which will affect the tail. So we need to use the normal
                // path to compute the correct tail.
                return updateSuspenseListComponent(current, workInProgress, renderLanes);
              } // If none of the children had any work, that means that none of
              // them got retried so they'll still be blocked in the same way
              // as before. We can fast bail out.


              workInProgress.flags |= DidCapture;
            } // If nothing suspended before and we're rendering the same children,
            // then the tail doesn't matter. Anything new that suspends will work
            // in the "together" mode, so we can continue from the state we had.


            var renderState = workInProgress.memoizedState;

            if (renderState !== null) {
              // Reset to the "together" mode in case we've started a different
              // update in the past but didn't complete it.
              renderState.rendering = null;
              renderState.tail = null;
              renderState.lastEffect = null;
            }

            pushSuspenseContext(workInProgress, suspenseStackCursor.current);

            if (_hasChildWork) {
              break;
            } else {
              // If none of the children had any work, that means that none of
              // them got retried so they'll still be blocked in the same way
              // as before. We can fast bail out.
              return null;
            }
          }

        case OffscreenComponent:
        case LegacyHiddenComponent:
          {
            // Need to check if the tree still needs to be deferred. This is
            // almost identical to the logic used in the normal update path,
            // so we'll just enter that. The only difference is we'll bail out
            // at the next level instead of this one, because the child props
            // have not changed. Which is fine.
            // TODO: Probably should refactor `beginWork` to split the bailout
            // path from the normal path. I'm tempted to do a labeled break here
            // but I won't :)
            workInProgress.lanes = NoLanes;
            return updateOffscreenComponent(current, workInProgress, renderLanes);
          }
      }

      return bailoutOnAlreadyFinishedWork(current, workInProgress, renderLanes);
    } else {
      if ((current.flags & ForceUpdateForLegacySuspense) !== NoFlags) {
        // This is a special case that only exists for legacy mode.
        // See https://github.com/facebook/react/pull/19216.
        didReceiveUpdate = true;
      } else {
        // An update was scheduled on this fiber, but there are no new props
        // nor legacy context. Set this to false. If an update queue or context
        // consumer produces a changed value, it will set this to true. Otherwise,
        // the component will assume the children have not changed and bail out.
        didReceiveUpdate = false;
      }
    }
  } else {
    didReceiveUpdate = false;
  } // Before entering the begin phase, clear pending update priority.
  // TODO: This assumes that we're about to evaluate the component and process
  // the update queue. However, there's an exception: SimpleMemoComponent
  // sometimes bails out later in the begin phase. This indicates that we should
  // move this assignment out of the common path and into each branch.


  workInProgress.lanes = NoLanes;

  switch (workInProgress.tag) {
    case IndeterminateComponent:
      {
        return mountIndeterminateComponent(current, workInProgress, workInProgress.type, renderLanes);
      }

    case LazyComponent:
      {
        var elementType = workInProgress.elementType;
        return mountLazyComponent(current, workInProgress, elementType, updateLanes, renderLanes);
      }

    case FunctionComponent:
      {
        var _Component = workInProgress.type;
        var unresolvedProps = workInProgress.pendingProps;
        var resolvedProps = workInProgress.elementType === _Component ? unresolvedProps : resolveDefaultProps(_Component, unresolvedProps);
        return updateFunctionComponent(current, workInProgress, _Component, resolvedProps, renderLanes);
      }

    case ClassComponent:
      {
        var _Component2 = workInProgress.type;
        var _unresolvedProps = workInProgress.pendingProps;

        var _resolvedProps = workInProgress.elementType === _Component2 ? _unresolvedProps : resolveDefaultProps(_Component2, _unresolvedProps);

        return updateClassComponent(current, workInProgress, _Component2, _resolvedProps, renderLanes);
      }

    case HostRoot:
      return updateHostRoot(current, workInProgress, renderLanes);

    case HostComponent:
      return updateHostComponent(current, workInProgress, renderLanes);

    case HostText:
      return updateHostText(current, workInProgress);

    case SuspenseComponent:
      return updateSuspenseComponent(current, workInProgress, renderLanes);

    case HostPortal:
      return updatePortalComponent(current, workInProgress, renderLanes);

    case ForwardRef:
      {
        var type = workInProgress.type;
        var _unresolvedProps2 = workInProgress.pendingProps;

        var _resolvedProps2 = workInProgress.elementType === type ? _unresolvedProps2 : resolveDefaultProps(type, _unresolvedProps2);

        return updateForwardRef(current, workInProgress, type, _resolvedProps2, renderLanes);
      }

    case Fragment:
      return updateFragment(current, workInProgress, renderLanes);

    case Mode:
      return updateMode(current, workInProgress, renderLanes);

    case Profiler:
      return updateProfiler(current, workInProgress, renderLanes);

    case ContextProvider:
      return updateContextProvider(current, workInProgress, renderLanes);

    case ContextConsumer:
      return updateContextConsumer(current, workInProgress, renderLanes);

    case MemoComponent:
      {
        var _type2 = workInProgress.type;
        var _unresolvedProps3 = workInProgress.pendingProps; // Resolve outer props first, then resolve inner props.

        var _resolvedProps3 = resolveDefaultProps(_type2, _unresolvedProps3);

        {
          if (workInProgress.type !== workInProgress.elementType) {
            var outerPropTypes = _type2.propTypes;

            if (outerPropTypes) {
              checkPropTypes(outerPropTypes, _resolvedProps3, // Resolved for outer only
              'prop', getComponentName(_type2));
            }
          }
        }

        _resolvedProps3 = resolveDefaultProps(_type2.type, _resolvedProps3);
        return updateMemoComponent(current, workInProgress, _type2, _resolvedProps3, updateLanes, renderLanes);
      }

    case SimpleMemoComponent:
      {
        return updateSimpleMemoComponent(current, workInProgress, workInProgress.type, workInProgress.pendingProps, updateLanes, renderLanes);
      }

    case IncompleteClassComponent:
      {
        var _Component3 = workInProgress.type;
        var _unresolvedProps4 = workInProgress.pendingProps;

        var _resolvedProps4 = workInProgress.elementType === _Component3 ? _unresolvedProps4 : resolveDefaultProps(_Component3, _unresolvedProps4);

        return mountIncompleteClassComponent(current, workInProgress, _Component3, _resolvedProps4, renderLanes);
      }

    case SuspenseListComponent:
      {
        return updateSuspenseListComponent(current, workInProgress, renderLanes);
      }

    case FundamentalComponent:
      {

        break;
      }

    case ScopeComponent:
      {

        break;
      }

    case Block:
      {

        break;
      }

    case OffscreenComponent:
      {
        return updateOffscreenComponent(current, workInProgress, renderLanes);
      }

    case LegacyHiddenComponent:
      {
        return updateLegacyHiddenComponent(current, workInProgress, renderLanes);
      }
  }

  {
    {
      throw Error( "Unknown unit of work tag (" + workInProgress.tag + "). This error is likely caused by a bug in React. Please file an issue." );
    }
  }
}

function markUpdate(workInProgress) {
  // Tag the fiber with an update effect. This turns a Placement into
  // a PlacementAndUpdate.
  workInProgress.flags |= Update;
}

function markRef$1(workInProgress) {
  workInProgress.flags |= Ref;
}

var appendAllChildren;
var updateHostContainer;
var updateHostComponent$1;
var updateHostText$1;

{
  // Mutation mode
  appendAllChildren = function (parent, workInProgress, needsVisibilityToggle, isHidden) {
    // We only have the top Fiber that was created but we need recurse down its
    // children to find all the terminal nodes.
    var node = workInProgress.child;

    while (node !== null) {
      if (node.tag === HostComponent || node.tag === HostText) {
        appendInitialChild(parent, node.stateNode);
      } else if (node.tag === HostPortal) ; else if (node.child !== null) {
        node.child.return = node;
        node = node.child;
        continue;
      }

      if (node === workInProgress) {
        return;
      }

      while (node.sibling === null) {
        if (node.return === null || node.return === workInProgress) {
          return;
        }

        node = node.return;
      }

      node.sibling.return = node.return;
      node = node.sibling;
    }
  };

  updateHostContainer = function (workInProgress) {// Noop
  };

  updateHostComponent$1 = function (current, workInProgress, type, newProps, rootContainerInstance) {
    // If we have an alternate, that means this is an update and we need to
    // schedule a side-effect to do the updates.
    var oldProps = current.memoizedProps;

    if (oldProps === newProps) {
      // In mutation mode, this is sufficient for a bailout because
      // we won't touch this node even if children changed.
      return;
    } // If we get updated because one of our children updated, we don't
    // have newProps so we'll have to reuse them.
    // TODO: Split the update API as separate for the props vs. children.
    // Even better would be if children weren't special cased at all tho.


    var instance = workInProgress.stateNode;
    var currentHostContext = getHostContext(); // TODO: Experiencing an error where oldProps is null. Suggests a host
    // component is hitting the resume path. Figure out why. Possibly
    // related to `hidden`.

    var updatePayload = prepareUpdate(instance, type, oldProps, newProps, rootContainerInstance, currentHostContext); // TODO: Type this specific to this type of component.

    workInProgress.updateQueue = updatePayload; // If the update payload indicates that there is a change or if there
    // is a new ref we mark this as an update. All the work is done in commitWork.

    if (updatePayload) {
      markUpdate(workInProgress);
    }
  };

  updateHostText$1 = function (current, workInProgress, oldText, newText) {
    // If the text differs, mark it as an update. All the work in done in commitWork.
    if (oldText !== newText) {
      markUpdate(workInProgress);
    }
  };
}

function cutOffTailIfNeeded(renderState, hasRenderedATailFallback) {
  if (getIsHydrating()) {
    // If we're hydrating, we should consume as many items as we can
    // so we don't leave any behind.
    return;
  }

  switch (renderState.tailMode) {
    case 'hidden':
      {
        // Any insertions at the end of the tail list after this point
        // should be invisible. If there are already mounted boundaries
        // anything before them are not considered for collapsing.
        // Therefore we need to go through the whole tail to find if
        // there are any.
        var tailNode = renderState.tail;
        var lastTailNode = null;

        while (tailNode !== null) {
          if (tailNode.alternate !== null) {
            lastTailNode = tailNode;
          }

          tailNode = tailNode.sibling;
        } // Next we're simply going to delete all insertions after the
        // last rendered item.


        if (lastTailNode === null) {
          // All remaining items in the tail are insertions.
          renderState.tail = null;
        } else {
          // Detach the insertion after the last node that was already
          // inserted.
          lastTailNode.sibling = null;
        }

        break;
      }

    case 'collapsed':
      {
        // Any insertions at the end of the tail list after this point
        // should be invisible. If there are already mounted boundaries
        // anything before them are not considered for collapsing.
        // Therefore we need to go through the whole tail to find if
        // there are any.
        var _tailNode = renderState.tail;
        var _lastTailNode = null;

        while (_tailNode !== null) {
          if (_tailNode.alternate !== null) {
            _lastTailNode = _tailNode;
          }

          _tailNode = _tailNode.sibling;
        } // Next we're simply going to delete all insertions after the
        // last rendered item.


        if (_lastTailNode === null) {
          // All remaining items in the tail are insertions.
          if (!hasRenderedATailFallback && renderState.tail !== null) {
            // We suspended during the head. We want to show at least one
            // row at the tail. So we'll keep on and cut off the rest.
            renderState.tail.sibling = null;
          } else {
            renderState.tail = null;
          }
        } else {
          // Detach the insertion after the last node that was already
          // inserted.
          _lastTailNode.sibling = null;
        }

        break;
      }
  }
}

function completeWork(current, workInProgress, renderLanes) {
  var newProps = workInProgress.pendingProps;

  switch (workInProgress.tag) {
    case IndeterminateComponent:
    case LazyComponent:
    case SimpleMemoComponent:
    case FunctionComponent:
    case ForwardRef:
    case Fragment:
    case Mode:
    case Profiler:
    case ContextConsumer:
    case MemoComponent:
      return null;

    case ClassComponent:
      {
        var Component = workInProgress.type;

        if (isContextProvider(Component)) {
          popContext(workInProgress);
        }

        return null;
      }

    case HostRoot:
      {
        popHostContainer(workInProgress);
        popTopLevelContextObject(workInProgress);
        resetWorkInProgressVersions();
        var fiberRoot = workInProgress.stateNode;

        if (fiberRoot.pendingContext) {
          fiberRoot.context = fiberRoot.pendingContext;
          fiberRoot.pendingContext = null;
        }

        if (current === null || current.child === null) {
          // If we hydrated, pop so that we can delete any remaining children
          // that weren't hydrated.
          var wasHydrated = popHydrationState(workInProgress);

          if (wasHydrated) {
            // If we hydrated, then we'll need to schedule an update for
            // the commit side-effects on the root.
            markUpdate(workInProgress);
          } else if (!fiberRoot.hydrate) {
            // Schedule an effect to clear this container at the start of the next commit.
            // This handles the case of React rendering into a container with previous children.
            // It's also safe to do for updates too, because current.child would only be null
            // if the previous render was null (so the the container would already be empty).
            workInProgress.flags |= Snapshot;
          }
        }

        updateHostContainer(workInProgress);
        return null;
      }

    case HostComponent:
      {
        popHostContext(workInProgress);
        var rootContainerInstance = getRootHostContainer();
        var type = workInProgress.type;

        if (current !== null && workInProgress.stateNode != null) {
          updateHostComponent$1(current, workInProgress, type, newProps, rootContainerInstance);

          if (current.ref !== workInProgress.ref) {
            markRef$1(workInProgress);
          }
        } else {
          if (!newProps) {
            if (!(workInProgress.stateNode !== null)) {
              {
                throw Error( "We must have new props for new mounts. This error is likely caused by a bug in React. Please file an issue." );
              }
            } // This can happen when we abort work.


            return null;
          }

          var currentHostContext = getHostContext(); // TODO: Move createInstance to beginWork and keep it on a context
          // "stack" as the parent. Then append children as we go in beginWork
          // or completeWork depending on whether we want to add them top->down or
          // bottom->up. Top->down is faster in IE11.

          var _wasHydrated = popHydrationState(workInProgress);

          if (_wasHydrated) {
            // TODO: Move this and createInstance step into the beginPhase
            // to consolidate.
            if (prepareToHydrateHostInstance(workInProgress, rootContainerInstance, currentHostContext)) {
              // If changes to the hydrated node need to be applied at the
              // commit-phase we mark this as such.
              markUpdate(workInProgress);
            }
          } else {
            var instance = createInstance(type, newProps, rootContainerInstance, currentHostContext, workInProgress);
            appendAllChildren(instance, workInProgress, false, false);
            workInProgress.stateNode = instance; // Certain renderers require commit-time effects for initial mount.
            // (eg DOM renderer supports auto-focus for certain elements).
            // Make sure such renderers get scheduled for later work.

            if (finalizeInitialChildren(instance, type, newProps, rootContainerInstance)) {
              markUpdate(workInProgress);
            }
          }

          if (workInProgress.ref !== null) {
            // If there is a ref on a host node we need to schedule a callback
            markRef$1(workInProgress);
          }
        }

        return null;
      }

    case HostText:
      {
        var newText = newProps;

        if (current && workInProgress.stateNode != null) {
          var oldText = current.memoizedProps; // If we have an alternate, that means this is an update and we need
          // to schedule a side-effect to do the updates.

          updateHostText$1(current, workInProgress, oldText, newText);
        } else {
          if (typeof newText !== 'string') {
            if (!(workInProgress.stateNode !== null)) {
              {
                throw Error( "We must have new props for new mounts. This error is likely caused by a bug in React. Please file an issue." );
              }
            } // This can happen when we abort work.

          }

          var _rootContainerInstance = getRootHostContainer();

          var _currentHostContext = getHostContext();

          var _wasHydrated2 = popHydrationState(workInProgress);

          if (_wasHydrated2) {
            if (prepareToHydrateHostTextInstance(workInProgress)) {
              markUpdate(workInProgress);
            }
          } else {
            workInProgress.stateNode = createTextInstance(newText, _rootContainerInstance, _currentHostContext, workInProgress);
          }
        }

        return null;
      }

    case SuspenseComponent:
      {
        popSuspenseContext(workInProgress);
        var nextState = workInProgress.memoizedState;

        if ((workInProgress.flags & DidCapture) !== NoFlags) {
          // Something suspended. Re-render with the fallback children.
          workInProgress.lanes = renderLanes; // Do not reset the effect list.

          if ( (workInProgress.mode & ProfileMode) !== NoMode) {
            transferActualDuration(workInProgress);
          }

          return workInProgress;
        }

        var nextDidTimeout = nextState !== null;
        var prevDidTimeout = false;

        if (current === null) {
          if (workInProgress.memoizedProps.fallback !== undefined) {
            popHydrationState(workInProgress);
          }
        } else {
          var prevState = current.memoizedState;
          prevDidTimeout = prevState !== null;
        }

        if (nextDidTimeout && !prevDidTimeout) {
          // If this subtreee is running in blocking mode we can suspend,
          // otherwise we won't suspend.
          // TODO: This will still suspend a synchronous tree if anything
          // in the concurrent tree already suspended during this render.
          // This is a known bug.
          if ((workInProgress.mode & BlockingMode) !== NoMode) {
            // TODO: Move this back to throwException because this is too late
            // if this is a large tree which is common for initial loads. We
            // don't know if we should restart a render or not until we get
            // this marker, and this is too late.
            // If this render already had a ping or lower pri updates,
            // and this is the first time we know we're going to suspend we
            // should be able to immediately restart from within throwException.
            var hasInvisibleChildContext = current === null && workInProgress.memoizedProps.unstable_avoidThisFallback !== true;

            if (hasInvisibleChildContext || hasSuspenseContext(suspenseStackCursor.current, InvisibleParentSuspenseContext)) {
              // If this was in an invisible tree or a new render, then showing
              // this boundary is ok.
              renderDidSuspend();
            } else {
              // Otherwise, we're going to have to hide content so we should
              // suspend for longer if possible.
              renderDidSuspendDelayIfPossible();
            }
          }
        }

        {
          // TODO: Only schedule updates if these values are non equal, i.e. it changed.
          if (nextDidTimeout || prevDidTimeout) {
            // If this boundary just timed out, schedule an effect to attach a
            // retry listener to the promise. This flag is also used to hide the
            // primary children. In mutation mode, we also need the flag to
            // *unhide* children that were previously hidden, so check if this
            // is currently timed out, too.
            workInProgress.flags |= Update;
          }
        }

        return null;
      }

    case HostPortal:
      popHostContainer(workInProgress);
      updateHostContainer(workInProgress);

      if (current === null) {
        preparePortalMount(workInProgress.stateNode.containerInfo);
      }

      return null;

    case ContextProvider:
      // Pop provider fiber
      popProvider(workInProgress);
      return null;

    case IncompleteClassComponent:
      {
        // Same as class component case. I put it down here so that the tags are
        // sequential to ensure this switch is compiled to a jump table.
        var _Component = workInProgress.type;

        if (isContextProvider(_Component)) {
          popContext(workInProgress);
        }

        return null;
      }

    case SuspenseListComponent:
      {
        popSuspenseContext(workInProgress);
        var renderState = workInProgress.memoizedState;

        if (renderState === null) {
          // We're running in the default, "independent" mode.
          // We don't do anything in this mode.
          return null;
        }

        var didSuspendAlready = (workInProgress.flags & DidCapture) !== NoFlags;
        var renderedTail = renderState.rendering;

        if (renderedTail === null) {
          // We just rendered the head.
          if (!didSuspendAlready) {
            // This is the first pass. We need to figure out if anything is still
            // suspended in the rendered set.
            // If new content unsuspended, but there's still some content that
            // didn't. Then we need to do a second pass that forces everything
            // to keep showing their fallbacks.
            // We might be suspended if something in this render pass suspended, or
            // something in the previous committed pass suspended. Otherwise,
            // there's no chance so we can skip the expensive call to
            // findFirstSuspended.
            var cannotBeSuspended = renderHasNotSuspendedYet() && (current === null || (current.flags & DidCapture) === NoFlags);

            if (!cannotBeSuspended) {
              var row = workInProgress.child;

              while (row !== null) {
                var suspended = findFirstSuspended(row);

                if (suspended !== null) {
                  didSuspendAlready = true;
                  workInProgress.flags |= DidCapture;
                  cutOffTailIfNeeded(renderState, false); // If this is a newly suspended tree, it might not get committed as
                  // part of the second pass. In that case nothing will subscribe to
                  // its thennables. Instead, we'll transfer its thennables to the
                  // SuspenseList so that it can retry if they resolve.
                  // There might be multiple of these in the list but since we're
                  // going to wait for all of them anyway, it doesn't really matter
                  // which ones gets to ping. In theory we could get clever and keep
                  // track of how many dependencies remain but it gets tricky because
                  // in the meantime, we can add/remove/change items and dependencies.
                  // We might bail out of the loop before finding any but that
                  // doesn't matter since that means that the other boundaries that
                  // we did find already has their listeners attached.

                  var newThennables = suspended.updateQueue;

                  if (newThennables !== null) {
                    workInProgress.updateQueue = newThennables;
                    workInProgress.flags |= Update;
                  } // Rerender the whole list, but this time, we'll force fallbacks
                  // to stay in place.
                  // Reset the effect list before doing the second pass since that's now invalid.


                  if (renderState.lastEffect === null) {
                    workInProgress.firstEffect = null;
                  }

                  workInProgress.lastEffect = renderState.lastEffect; // Reset the child fibers to their original state.

                  resetChildFibers(workInProgress, renderLanes); // Set up the Suspense Context to force suspense and immediately
                  // rerender the children.

                  pushSuspenseContext(workInProgress, setShallowSuspenseContext(suspenseStackCursor.current, ForceSuspenseFallback));
                  return workInProgress.child;
                }

                row = row.sibling;
              }
            }

            if (renderState.tail !== null && now() > getRenderTargetTime()) {
              // We have already passed our CPU deadline but we still have rows
              // left in the tail. We'll just give up further attempts to render
              // the main content and only render fallbacks.
              workInProgress.flags |= DidCapture;
              didSuspendAlready = true;
              cutOffTailIfNeeded(renderState, false); // Since nothing actually suspended, there will nothing to ping this
              // to get it started back up to attempt the next item. While in terms
              // of priority this work has the same priority as this current render,
              // it's not part of the same transition once the transition has
              // committed. If it's sync, we still want to yield so that it can be
              // painted. Conceptually, this is really the same as pinging.
              // We can use any RetryLane even if it's the one currently rendering
              // since we're leaving it behind on this node.

              workInProgress.lanes = SomeRetryLane;

              {
                markSpawnedWork(SomeRetryLane);
              }
            }
          } else {
            cutOffTailIfNeeded(renderState, false);
          } // Next we're going to render the tail.

        } else {
          // Append the rendered row to the child list.
          if (!didSuspendAlready) {
            var _suspended = findFirstSuspended(renderedTail);

            if (_suspended !== null) {
              workInProgress.flags |= DidCapture;
              didSuspendAlready = true; // Ensure we transfer the update queue to the parent so that it doesn't
              // get lost if this row ends up dropped during a second pass.

              var _newThennables = _suspended.updateQueue;

              if (_newThennables !== null) {
                workInProgress.updateQueue = _newThennables;
                workInProgress.flags |= Update;
              }

              cutOffTailIfNeeded(renderState, true); // This might have been modified.

              if (renderState.tail === null && renderState.tailMode === 'hidden' && !renderedTail.alternate && !getIsHydrating() // We don't cut it if we're hydrating.
              ) {
                  // We need to delete the row we just rendered.
                  // Reset the effect list to what it was before we rendered this
                  // child. The nested children have already appended themselves.
                  var lastEffect = workInProgress.lastEffect = renderState.lastEffect; // Remove any effects that were appended after this point.

                  if (lastEffect !== null) {
                    lastEffect.nextEffect = null;
                  } // We're done.


                  return null;
                }
            } else if ( // The time it took to render last row is greater than the remaining
            // time we have to render. So rendering one more row would likely
            // exceed it.
            now() * 2 - renderState.renderingStartTime > getRenderTargetTime() && renderLanes !== OffscreenLane) {
              // We have now passed our CPU deadline and we'll just give up further
              // attempts to render the main content and only render fallbacks.
              // The assumption is that this is usually faster.
              workInProgress.flags |= DidCapture;
              didSuspendAlready = true;
              cutOffTailIfNeeded(renderState, false); // Since nothing actually suspended, there will nothing to ping this
              // to get it started back up to attempt the next item. While in terms
              // of priority this work has the same priority as this current render,
              // it's not part of the same transition once the transition has
              // committed. If it's sync, we still want to yield so that it can be
              // painted. Conceptually, this is really the same as pinging.
              // We can use any RetryLane even if it's the one currently rendering
              // since we're leaving it behind on this node.

              workInProgress.lanes = SomeRetryLane;

              {
                markSpawnedWork(SomeRetryLane);
              }
            }
          }

          if (renderState.isBackwards) {
            // The effect list of the backwards tail will have been added
            // to the end. This breaks the guarantee that life-cycles fire in
            // sibling order but that isn't a strong guarantee promised by React.
            // Especially since these might also just pop in during future commits.
            // Append to the beginning of the list.
            renderedTail.sibling = workInProgress.child;
            workInProgress.child = renderedTail;
          } else {
            var previousSibling = renderState.last;

            if (previousSibling !== null) {
              previousSibling.sibling = renderedTail;
            } else {
              workInProgress.child = renderedTail;
            }

            renderState.last = renderedTail;
          }
        }

        if (renderState.tail !== null) {
          // We still have tail rows to render.
          // Pop a row.
          var next = renderState.tail;
          renderState.rendering = next;
          renderState.tail = next.sibling;
          renderState.lastEffect = workInProgress.lastEffect;
          renderState.renderingStartTime = now();
          next.sibling = null; // Restore the context.
          // TODO: We can probably just avoid popping it instead and only
          // setting it the first time we go from not suspended to suspended.

          var suspenseContext = suspenseStackCursor.current;

          if (didSuspendAlready) {
            suspenseContext = setShallowSuspenseContext(suspenseContext, ForceSuspenseFallback);
          } else {
            suspenseContext = setDefaultShallowSuspenseContext(suspenseContext);
          }

          pushSuspenseContext(workInProgress, suspenseContext); // Do a pass over the next row.

          return next;
        }

        return null;
      }

    case FundamentalComponent:
      {

        break;
      }

    case ScopeComponent:
      {

        break;
      }

    case Block:

      break;

    case OffscreenComponent:
    case LegacyHiddenComponent:
      {
        popRenderLanes(workInProgress);

        if (current !== null) {
          var _nextState = workInProgress.memoizedState;
          var _prevState = current.memoizedState;
          var prevIsHidden = _prevState !== null;
          var nextIsHidden = _nextState !== null;

          if (prevIsHidden !== nextIsHidden && newProps.mode !== 'unstable-defer-without-hiding') {
            workInProgress.flags |= Update;
          }
        }

        return null;
      }
  }

  {
    {
      throw Error( "Unknown unit of work tag (" + workInProgress.tag + "). This error is likely caused by a bug in React. Please file an issue." );
    }
  }
}

function unwindWork(workInProgress, renderLanes) {
  switch (workInProgress.tag) {
    case ClassComponent:
      {
        var Component = workInProgress.type;

        if (isContextProvider(Component)) {
          popContext(workInProgress);
        }

        var flags = workInProgress.flags;

        if (flags & ShouldCapture) {
          workInProgress.flags = flags & ~ShouldCapture | DidCapture;

          if ( (workInProgress.mode & ProfileMode) !== NoMode) {
            transferActualDuration(workInProgress);
          }

          return workInProgress;
        }

        return null;
      }

    case HostRoot:
      {
        popHostContainer(workInProgress);
        popTopLevelContextObject(workInProgress);
        resetWorkInProgressVersions();
        var _flags = workInProgress.flags;

        if (!((_flags & DidCapture) === NoFlags)) {
          {
            throw Error( "The root failed to unmount after an error. This is likely a bug in React. Please file an issue." );
          }
        }

        workInProgress.flags = _flags & ~ShouldCapture | DidCapture;
        return workInProgress;
      }

    case HostComponent:
      {
        // TODO: popHydrationState
        popHostContext(workInProgress);
        return null;
      }

    case SuspenseComponent:
      {
        popSuspenseContext(workInProgress);

        var _flags2 = workInProgress.flags;

        if (_flags2 & ShouldCapture) {
          workInProgress.flags = _flags2 & ~ShouldCapture | DidCapture; // Captured a suspense effect. Re-render the boundary.

          if ( (workInProgress.mode & ProfileMode) !== NoMode) {
            transferActualDuration(workInProgress);
          }

          return workInProgress;
        }

        return null;
      }

    case SuspenseListComponent:
      {
        popSuspenseContext(workInProgress); // SuspenseList doesn't actually catch anything. It should've been
        // caught by a nested boundary. If not, it should bubble through.

        return null;
      }

    case HostPortal:
      popHostContainer(workInProgress);
      return null;

    case ContextProvider:
      popProvider(workInProgress);
      return null;

    case OffscreenComponent:
    case LegacyHiddenComponent:
      popRenderLanes(workInProgress);
      return null;

    default:
      return null;
  }
}

function unwindInterruptedWork(interruptedWork) {
  switch (interruptedWork.tag) {
    case ClassComponent:
      {
        var childContextTypes = interruptedWork.type.childContextTypes;

        if (childContextTypes !== null && childContextTypes !== undefined) {
          popContext(interruptedWork);
        }

        break;
      }

    case HostRoot:
      {
        popHostContainer(interruptedWork);
        popTopLevelContextObject(interruptedWork);
        resetWorkInProgressVersions();
        break;
      }

    case HostComponent:
      {
        popHostContext(interruptedWork);
        break;
      }

    case HostPortal:
      popHostContainer(interruptedWork);
      break;

    case SuspenseComponent:
      popSuspenseContext(interruptedWork);
      break;

    case SuspenseListComponent:
      popSuspenseContext(interruptedWork);
      break;

    case ContextProvider:
      popProvider(interruptedWork);
      break;

    case OffscreenComponent:
    case LegacyHiddenComponent:
      popRenderLanes(interruptedWork);
      break;
  }
}

function createCapturedValue(value, source) {
  // If the value is an error, call this function immediately after it is thrown
  // so the stack is accurate.
  return {
    value: value,
    source: source,
    stack: getStackByFiberInDevAndProd(source)
  };
}

// This module is forked in different environments.
// By default, return `true` to log errors to the console.
// Forks can return `false` if this isn't desirable.
function showErrorDialog(boundary, errorInfo) {
  return true;
}

function logCapturedError(boundary, errorInfo) {
  try {
    var logError = showErrorDialog(boundary, errorInfo); // Allow injected showErrorDialog() to prevent default console.error logging.
    // This enables renderers like ReactNative to better manage redbox behavior.

    if (logError === false) {
      return;
    }

    var error = errorInfo.value;

    if (true) {
      var source = errorInfo.source;
      var stack = errorInfo.stack;
      var componentStack = stack !== null ? stack : ''; // Browsers support silencing uncaught errors by calling
      // `preventDefault()` in window `error` handler.
      // We record this information as an expando on the error.

      if (error != null && error._suppressLogging) {
        if (boundary.tag === ClassComponent) {
          // The error is recoverable and was silenced.
          // Ignore it and don't print the stack addendum.
          // This is handy for testing error boundaries without noise.
          return;
        } // The error is fatal. Since the silencing might have
        // been accidental, we'll surface it anyway.
        // However, the browser would have silenced the original error
        // so we'll print it first, and then print the stack addendum.


        console['error'](error); // Don't transform to our wrapper
        // For a more detailed description of this block, see:
        // https://github.com/facebook/react/pull/13384
      }

      var componentName = source ? getComponentName(source.type) : null;
      var componentNameMessage = componentName ? "The above error occurred in the <" + componentName + "> component:" : 'The above error occurred in one of your React components:';
      var errorBoundaryMessage;
      var errorBoundaryName = getComponentName(boundary.type);

      if (errorBoundaryName) {
        errorBoundaryMessage = "React will try to recreate this component tree from scratch " + ("using the error boundary you provided, " + errorBoundaryName + ".");
      } else {
        errorBoundaryMessage = 'Consider adding an error boundary to your tree to customize error handling behavior.\n' + 'Visit https://reactjs.org/link/error-boundaries to learn more about error boundaries.';
      }

      var combinedMessage = componentNameMessage + "\n" + componentStack + "\n\n" + ("" + errorBoundaryMessage); // In development, we provide our own message with just the component stack.
      // We don't include the original error message and JS stack because the browser
      // has already printed it. Even if the application swallows the error, it is still
      // displayed by the browser thanks to the DEV-only fake event trick in ReactErrorUtils.

      console['error'](combinedMessage); // Don't transform to our wrapper
    } else {}
  } catch (e) {
    // This method must not throw, or React internal state will get messed up.
    // If console.error is overridden, or logCapturedError() shows a dialog that throws,
    // we want to report this error outside of the normal stack as a last resort.
    // https://github.com/facebook/react/issues/13188
    setTimeout(function () {
      throw e;
    });
  }
}

var PossiblyWeakMap$1 = typeof WeakMap === 'function' ? WeakMap : Map;

function createRootErrorUpdate(fiber, errorInfo, lane) {
  var update = createUpdate(NoTimestamp, lane); // Unmount the root by rendering null.

  update.tag = CaptureUpdate; // Caution: React DevTools currently depends on this property
  // being called "element".

  update.payload = {
    element: null
  };
  var error = errorInfo.value;

  update.callback = function () {
    onUncaughtError(error);
    logCapturedError(fiber, errorInfo);
  };

  return update;
}

function createClassErrorUpdate(fiber, errorInfo, lane) {
  var update = createUpdate(NoTimestamp, lane);
  update.tag = CaptureUpdate;
  var getDerivedStateFromError = fiber.type.getDerivedStateFromError;

  if (typeof getDerivedStateFromError === 'function') {
    var error$1 = errorInfo.value;

    update.payload = function () {
      logCapturedError(fiber, errorInfo);
      return getDerivedStateFromError(error$1);
    };
  }

  var inst = fiber.stateNode;

  if (inst !== null && typeof inst.componentDidCatch === 'function') {
    update.callback = function callback() {
      {
        markFailedErrorBoundaryForHotReloading(fiber);
      }

      if (typeof getDerivedStateFromError !== 'function') {
        // To preserve the preexisting retry behavior of error boundaries,
        // we keep track of which ones already failed during this batch.
        // This gets reset before we yield back to the browser.
        // TODO: Warn in strict mode if getDerivedStateFromError is
        // not defined.
        markLegacyErrorBoundaryAsFailed(this); // Only log here if componentDidCatch is the only error boundary method defined

        logCapturedError(fiber, errorInfo);
      }

      var error$1 = errorInfo.value;
      var stack = errorInfo.stack;
      this.componentDidCatch(error$1, {
        componentStack: stack !== null ? stack : ''
      });

      {
        if (typeof getDerivedStateFromError !== 'function') {
          // If componentDidCatch is the only error boundary method defined,
          // then it needs to call setState to recover from errors.
          // If no state update is scheduled then the boundary will swallow the error.
          if (!includesSomeLane(fiber.lanes, SyncLane)) {
            error('%s: Error boundaries should implement getDerivedStateFromError(). ' + 'In that method, return a state update to display an error message or fallback UI.', getComponentName(fiber.type) || 'Unknown');
          }
        }
      }
    };
  } else {
    update.callback = function () {
      markFailedErrorBoundaryForHotReloading(fiber);
    };
  }

  return update;
}

function attachPingListener(root, wakeable, lanes) {
  // Attach a listener to the promise to "ping" the root and retry. But only if
  // one does not already exist for the lanes we're currently rendering (which
  // acts like a "thread ID" here).
  var pingCache = root.pingCache;
  var threadIDs;

  if (pingCache === null) {
    pingCache = root.pingCache = new PossiblyWeakMap$1();
    threadIDs = new Set();
    pingCache.set(wakeable, threadIDs);
  } else {
    threadIDs = pingCache.get(wakeable);

    if (threadIDs === undefined) {
      threadIDs = new Set();
      pingCache.set(wakeable, threadIDs);
    }
  }

  if (!threadIDs.has(lanes)) {
    // Memoize using the thread ID to prevent redundant listeners.
    threadIDs.add(lanes);
    var ping = pingSuspendedRoot.bind(null, root, wakeable, lanes);
    wakeable.then(ping, ping);
  }
}

function throwException(root, returnFiber, sourceFiber, value, rootRenderLanes) {
  // The source fiber did not complete.
  sourceFiber.flags |= Incomplete; // Its effect list is no longer valid.

  sourceFiber.firstEffect = sourceFiber.lastEffect = null;

  if (value !== null && typeof value === 'object' && typeof value.then === 'function') {
    // This is a wakeable.
    var wakeable = value;

    if ((sourceFiber.mode & BlockingMode) === NoMode) {
      // Reset the memoizedState to what it was before we attempted
      // to render it.
      var currentSource = sourceFiber.alternate;

      if (currentSource) {
        sourceFiber.updateQueue = currentSource.updateQueue;
        sourceFiber.memoizedState = currentSource.memoizedState;
        sourceFiber.lanes = currentSource.lanes;
      } else {
        sourceFiber.updateQueue = null;
        sourceFiber.memoizedState = null;
      }
    }

    var hasInvisibleParentBoundary = hasSuspenseContext(suspenseStackCursor.current, InvisibleParentSuspenseContext); // Schedule the nearest Suspense to re-render the timed out view.

    var _workInProgress = returnFiber;

    do {
      if (_workInProgress.tag === SuspenseComponent && shouldCaptureSuspense(_workInProgress, hasInvisibleParentBoundary)) {
        // Found the nearest boundary.
        // Stash the promise on the boundary fiber. If the boundary times out, we'll
        // attach another listener to flip the boundary back to its normal state.
        var wakeables = _workInProgress.updateQueue;

        if (wakeables === null) {
          var updateQueue = new Set();
          updateQueue.add(wakeable);
          _workInProgress.updateQueue = updateQueue;
        } else {
          wakeables.add(wakeable);
        } // If the boundary is outside of blocking mode, we should *not*
        // suspend the commit. Pretend as if the suspended component rendered
        // null and keep rendering. In the commit phase, we'll schedule a
        // subsequent synchronous update to re-render the Suspense.
        //
        // Note: It doesn't matter whether the component that suspended was
        // inside a blocking mode tree. If the Suspense is outside of it, we
        // should *not* suspend the commit.


        if ((_workInProgress.mode & BlockingMode) === NoMode) {
          _workInProgress.flags |= DidCapture;
          sourceFiber.flags |= ForceUpdateForLegacySuspense; // We're going to commit this fiber even though it didn't complete.
          // But we shouldn't call any lifecycle methods or callbacks. Remove
          // all lifecycle effect tags.

          sourceFiber.flags &= ~(LifecycleEffectMask | Incomplete);

          if (sourceFiber.tag === ClassComponent) {
            var currentSourceFiber = sourceFiber.alternate;

            if (currentSourceFiber === null) {
              // This is a new mount. Change the tag so it's not mistaken for a
              // completed class component. For example, we should not call
              // componentWillUnmount if it is deleted.
              sourceFiber.tag = IncompleteClassComponent;
            } else {
              // When we try rendering again, we should not reuse the current fiber,
              // since it's known to be in an inconsistent state. Use a force update to
              // prevent a bail out.
              var update = createUpdate(NoTimestamp, SyncLane);
              update.tag = ForceUpdate;
              enqueueUpdate(sourceFiber, update);
            }
          } // The source fiber did not complete. Mark it with Sync priority to
          // indicate that it still has pending work.


          sourceFiber.lanes = mergeLanes(sourceFiber.lanes, SyncLane); // Exit without suspending.

          return;
        } // Confirmed that the boundary is in a concurrent mode tree. Continue
        // with the normal suspend path.
        //
        // After this we'll use a set of heuristics to determine whether this
        // render pass will run to completion or restart or "suspend" the commit.
        // The actual logic for this is spread out in different places.
        //
        // This first principle is that if we're going to suspend when we complete
        // a root, then we should also restart if we get an update or ping that
        // might unsuspend it, and vice versa. The only reason to suspend is
        // because you think you might want to restart before committing. However,
        // it doesn't make sense to restart only while in the period we're suspended.
        //
        // Restarting too aggressively is also not good because it starves out any
        // intermediate loading state. So we use heuristics to determine when.
        // Suspense Heuristics
        //
        // If nothing threw a Promise or all the same fallbacks are already showing,
        // then don't suspend/restart.
        //
        // If this is an initial render of a new tree of Suspense boundaries and
        // those trigger a fallback, then don't suspend/restart. We want to ensure
        // that we can show the initial loading state as quickly as possible.
        //
        // If we hit a "Delayed" case, such as when we'd switch from content back into
        // a fallback, then we should always suspend/restart. Transitions apply
        // to this case. If none is defined, JND is used instead.
        //
        // If we're already showing a fallback and it gets "retried", allowing us to show
        // another level, but there's still an inner boundary that would show a fallback,
        // then we suspend/restart for 500ms since the last time we showed a fallback
        // anywhere in the tree. This effectively throttles progressive loading into a
        // consistent train of commits. This also gives us an opportunity to restart to
        // get to the completed state slightly earlier.
        //
        // If there's ambiguity due to batching it's resolved in preference of:
        // 1) "delayed", 2) "initial render", 3) "retry".
        //
        // We want to ensure that a "busy" state doesn't get force committed. We want to
        // ensure that new initial loading states can commit as soon as possible.


        attachPingListener(root, wakeable, rootRenderLanes);
        _workInProgress.flags |= ShouldCapture;
        _workInProgress.lanes = rootRenderLanes;
        return;
      } // This boundary already captured during this render. Continue to the next
      // boundary.


      _workInProgress = _workInProgress.return;
    } while (_workInProgress !== null); // No boundary was found. Fallthrough to error mode.
    // TODO: Use invariant so the message is stripped in prod?


    value = new Error((getComponentName(sourceFiber.type) || 'A React component') + ' suspended while rendering, but no fallback UI was specified.\n' + '\n' + 'Add a <Suspense fallback=...> component higher in the tree to ' + 'provide a loading indicator or placeholder to display.');
  } // We didn't find a boundary that could handle this type of exception. Start
  // over and traverse parent path again, this time treating the exception
  // as an error.


  renderDidError();
  value = createCapturedValue(value, sourceFiber);
  var workInProgress = returnFiber;

  do {
    switch (workInProgress.tag) {
      case HostRoot:
        {
          var _errorInfo = value;
          workInProgress.flags |= ShouldCapture;
          var lane = pickArbitraryLane(rootRenderLanes);
          workInProgress.lanes = mergeLanes(workInProgress.lanes, lane);

          var _update = createRootErrorUpdate(workInProgress, _errorInfo, lane);

          enqueueCapturedUpdate(workInProgress, _update);
          return;
        }

      case ClassComponent:
        // Capture and retry
        var errorInfo = value;
        var ctor = workInProgress.type;
        var instance = workInProgress.stateNode;

        if ((workInProgress.flags & DidCapture) === NoFlags && (typeof ctor.getDerivedStateFromError === 'function' || instance !== null && typeof instance.componentDidCatch === 'function' && !isAlreadyFailedLegacyErrorBoundary(instance))) {
          workInProgress.flags |= ShouldCapture;

          var _lane = pickArbitraryLane(rootRenderLanes);

          workInProgress.lanes = mergeLanes(workInProgress.lanes, _lane); // Schedule the error boundary to re-render using updated state

          var _update2 = createClassErrorUpdate(workInProgress, errorInfo, _lane);

          enqueueCapturedUpdate(workInProgress, _update2);
          return;
        }

        break;
    }

    workInProgress = workInProgress.return;
  } while (workInProgress !== null);
}

var didWarnAboutUndefinedSnapshotBeforeUpdate = null;

{
  didWarnAboutUndefinedSnapshotBeforeUpdate = new Set();
}

var PossiblyWeakSet = typeof WeakSet === 'function' ? WeakSet : Set;

var callComponentWillUnmountWithTimer = function (current, instance) {
  instance.props = current.memoizedProps;
  instance.state = current.memoizedState;

  {
    instance.componentWillUnmount();
  }
}; // Capture errors so they don't interrupt unmounting.


function safelyCallComponentWillUnmount(current, instance) {
  {
    invokeGuardedCallback(null, callComponentWillUnmountWithTimer, null, current, instance);

    if (hasCaughtError()) {
      var unmountError = clearCaughtError();
      captureCommitPhaseError(current, unmountError);
    }
  }
}

function safelyDetachRef(current) {
  var ref = current.ref;

  if (ref !== null) {
    if (typeof ref === 'function') {
      {
        invokeGuardedCallback(null, ref, null, null);

        if (hasCaughtError()) {
          var refError = clearCaughtError();
          captureCommitPhaseError(current, refError);
        }
      }
    } else {
      ref.current = null;
    }
  }
}

function safelyCallDestroy(current, destroy) {
  {
    invokeGuardedCallback(null, destroy, null);

    if (hasCaughtError()) {
      var error = clearCaughtError();
      captureCommitPhaseError(current, error);
    }
  }
}

function commitBeforeMutationLifeCycles(current, finishedWork) {
  switch (finishedWork.tag) {
    case FunctionComponent:
    case ForwardRef:
    case SimpleMemoComponent:
    case Block:
      {
        return;
      }

    case ClassComponent:
      {
        if (finishedWork.flags & Snapshot) {
          if (current !== null) {
            var prevProps = current.memoizedProps;
            var prevState = current.memoizedState;
            var instance = finishedWork.stateNode; // We could update instance props and state here,
            // but instead we rely on them being set during last render.
            // TODO: revisit this when we implement resuming.

            {
              if (finishedWork.type === finishedWork.elementType && !didWarnAboutReassigningProps) {
                if (instance.props !== finishedWork.memoizedProps) {
                  error('Expected %s props to match memoized props before ' + 'getSnapshotBeforeUpdate. ' + 'This might either be because of a bug in React, or because ' + 'a component reassigns its own `this.props`. ' + 'Please file an issue.', getComponentName(finishedWork.type) || 'instance');
                }

                if (instance.state !== finishedWork.memoizedState) {
                  error('Expected %s state to match memoized state before ' + 'getSnapshotBeforeUpdate. ' + 'This might either be because of a bug in React, or because ' + 'a component reassigns its own `this.state`. ' + 'Please file an issue.', getComponentName(finishedWork.type) || 'instance');
                }
              }
            }

            var snapshot = instance.getSnapshotBeforeUpdate(finishedWork.elementType === finishedWork.type ? prevProps : resolveDefaultProps(finishedWork.type, prevProps), prevState);

            {
              var didWarnSet = didWarnAboutUndefinedSnapshotBeforeUpdate;

              if (snapshot === undefined && !didWarnSet.has(finishedWork.type)) {
                didWarnSet.add(finishedWork.type);

                error('%s.getSnapshotBeforeUpdate(): A snapshot value (or null) ' + 'must be returned. You have returned undefined.', getComponentName(finishedWork.type));
              }
            }

            instance.__reactInternalSnapshotBeforeUpdate = snapshot;
          }
        }

        return;
      }

    case HostRoot:
      {
        {
          if (finishedWork.flags & Snapshot) {
            var root = finishedWork.stateNode;
            clearContainer(root.containerInfo);
          }
        }

        return;
      }

    case HostComponent:
    case HostText:
    case HostPortal:
    case IncompleteClassComponent:
      // Nothing to do for these component types
      return;
  }

  {
    {
      throw Error( "This unit of work tag should not have side-effects. This error is likely caused by a bug in React. Please file an issue." );
    }
  }
}

function commitHookEffectListUnmount(tag, finishedWork) {
  var updateQueue = finishedWork.updateQueue;
  var lastEffect = updateQueue !== null ? updateQueue.lastEffect : null;

  if (lastEffect !== null) {
    var firstEffect = lastEffect.next;
    var effect = firstEffect;

    do {
      if ((effect.tag & tag) === tag) {
        // Unmount
        var destroy = effect.destroy;
        effect.destroy = undefined;

        if (destroy !== undefined) {
          destroy();
        }
      }

      effect = effect.next;
    } while (effect !== firstEffect);
  }
}

function commitHookEffectListMount(tag, finishedWork) {
  var updateQueue = finishedWork.updateQueue;
  var lastEffect = updateQueue !== null ? updateQueue.lastEffect : null;

  if (lastEffect !== null) {
    var firstEffect = lastEffect.next;
    var effect = firstEffect;

    do {
      if ((effect.tag & tag) === tag) {
        // Mount
        var create = effect.create;
        effect.destroy = create();

        {
          var destroy = effect.destroy;

          if (destroy !== undefined && typeof destroy !== 'function') {
            var addendum = void 0;

            if (destroy === null) {
              addendum = ' You returned null. If your effect does not require clean ' + 'up, return undefined (or nothing).';
            } else if (typeof destroy.then === 'function') {
              addendum = '\n\nIt looks like you wrote useEffect(async () => ...) or returned a Promise. ' + 'Instead, write the async function inside your effect ' + 'and call it immediately:\n\n' + 'useEffect(() => {\n' + '  async function fetchData() {\n' + '    // You can await here\n' + '    const response = await MyAPI.getData(someId);\n' + '    // ...\n' + '  }\n' + '  fetchData();\n' + "}, [someId]); // Or [] if effect doesn't need props or state\n\n" + 'Learn more about data fetching with Hooks: https://reactjs.org/link/hooks-data-fetching';
            } else {
              addendum = ' You returned: ' + destroy;
            }

            error('An effect function must not return anything besides a function, ' + 'which is used for clean-up.%s', addendum);
          }
        }
      }

      effect = effect.next;
    } while (effect !== firstEffect);
  }
}

function schedulePassiveEffects(finishedWork) {
  var updateQueue = finishedWork.updateQueue;
  var lastEffect = updateQueue !== null ? updateQueue.lastEffect : null;

  if (lastEffect !== null) {
    var firstEffect = lastEffect.next;
    var effect = firstEffect;

    do {
      var _effect = effect,
          next = _effect.next,
          tag = _effect.tag;

      if ((tag & Passive$1) !== NoFlags$1 && (tag & HasEffect) !== NoFlags$1) {
        enqueuePendingPassiveHookEffectUnmount(finishedWork, effect);
        enqueuePendingPassiveHookEffectMount(finishedWork, effect);
      }

      effect = next;
    } while (effect !== firstEffect);
  }
}

function commitLifeCycles(finishedRoot, current, finishedWork, committedLanes) {
  switch (finishedWork.tag) {
    case FunctionComponent:
    case ForwardRef:
    case SimpleMemoComponent:
    case Block:
      {
        // At this point layout effects have already been destroyed (during mutation phase).
        // This is done to prevent sibling component effects from interfering with each other,
        // e.g. a destroy function in one component should never override a ref set
        // by a create function in another component during the same commit.
        {
          commitHookEffectListMount(Layout | HasEffect, finishedWork);
        }

        schedulePassiveEffects(finishedWork);
        return;
      }

    case ClassComponent:
      {
        var instance = finishedWork.stateNode;

        if (finishedWork.flags & Update) {
          if (current === null) {
            // We could update instance props and state here,
            // but instead we rely on them being set during last render.
            // TODO: revisit this when we implement resuming.
            {
              if (finishedWork.type === finishedWork.elementType && !didWarnAboutReassigningProps) {
                if (instance.props !== finishedWork.memoizedProps) {
                  error('Expected %s props to match memoized props before ' + 'componentDidMount. ' + 'This might either be because of a bug in React, or because ' + 'a component reassigns its own `this.props`. ' + 'Please file an issue.', getComponentName(finishedWork.type) || 'instance');
                }

                if (instance.state !== finishedWork.memoizedState) {
                  error('Expected %s state to match memoized state before ' + 'componentDidMount. ' + 'This might either be because of a bug in React, or because ' + 'a component reassigns its own `this.state`. ' + 'Please file an issue.', getComponentName(finishedWork.type) || 'instance');
                }
              }
            }

            {
              instance.componentDidMount();
            }
          } else {
            var prevProps = finishedWork.elementType === finishedWork.type ? current.memoizedProps : resolveDefaultProps(finishedWork.type, current.memoizedProps);
            var prevState = current.memoizedState; // We could update instance props and state here,
            // but instead we rely on them being set during last render.
            // TODO: revisit this when we implement resuming.

            {
              if (finishedWork.type === finishedWork.elementType && !didWarnAboutReassigningProps) {
                if (instance.props !== finishedWork.memoizedProps) {
                  error('Expected %s props to match memoized props before ' + 'componentDidUpdate. ' + 'This might either be because of a bug in React, or because ' + 'a component reassigns its own `this.props`. ' + 'Please file an issue.', getComponentName(finishedWork.type) || 'instance');
                }

                if (instance.state !== finishedWork.memoizedState) {
                  error('Expected %s state to match memoized state before ' + 'componentDidUpdate. ' + 'This might either be because of a bug in React, or because ' + 'a component reassigns its own `this.state`. ' + 'Please file an issue.', getComponentName(finishedWork.type) || 'instance');
                }
              }
            }

            {
              instance.componentDidUpdate(prevProps, prevState, instance.__reactInternalSnapshotBeforeUpdate);
            }
          }
        } // TODO: I think this is now always non-null by the time it reaches the
        // commit phase. Consider removing the type check.


        var updateQueue = finishedWork.updateQueue;

        if (updateQueue !== null) {
          {
            if (finishedWork.type === finishedWork.elementType && !didWarnAboutReassigningProps) {
              if (instance.props !== finishedWork.memoizedProps) {
                error('Expected %s props to match memoized props before ' + 'processing the update queue. ' + 'This might either be because of a bug in React, or because ' + 'a component reassigns its own `this.props`. ' + 'Please file an issue.', getComponentName(finishedWork.type) || 'instance');
              }

              if (instance.state !== finishedWork.memoizedState) {
                error('Expected %s state to match memoized state before ' + 'processing the update queue. ' + 'This might either be because of a bug in React, or because ' + 'a component reassigns its own `this.state`. ' + 'Please file an issue.', getComponentName(finishedWork.type) || 'instance');
              }
            }
          } // We could update instance props and state here,
          // but instead we rely on them being set during last render.
          // TODO: revisit this when we implement resuming.


          commitUpdateQueue(finishedWork, updateQueue, instance);
        }

        return;
      }

    case HostRoot:
      {
        // TODO: I think this is now always non-null by the time it reaches the
        // commit phase. Consider removing the type check.
        var _updateQueue = finishedWork.updateQueue;

        if (_updateQueue !== null) {
          var _instance = null;

          if (finishedWork.child !== null) {
            switch (finishedWork.child.tag) {
              case HostComponent:
                _instance = getPublicInstance(finishedWork.child.stateNode);
                break;

              case ClassComponent:
                _instance = finishedWork.child.stateNode;
                break;
            }
          }

          commitUpdateQueue(finishedWork, _updateQueue, _instance);
        }

        return;
      }

    case HostComponent:
      {
        var _instance2 = finishedWork.stateNode; // Renderers may schedule work to be done after host components are mounted
        // (eg DOM renderer may schedule auto-focus for inputs and form controls).
        // These effects should only be committed when components are first mounted,
        // aka when there is no current/alternate.

        if (current === null && finishedWork.flags & Update) {
          var type = finishedWork.type;
          var props = finishedWork.memoizedProps;
          commitMount(_instance2, type, props);
        }

        return;
      }

    case HostText:
      {
        // We have no life-cycles associated with text.
        return;
      }

    case HostPortal:
      {
        // We have no life-cycles associated with portals.
        return;
      }

    case Profiler:
      {
        {
          var _finishedWork$memoize2 = finishedWork.memoizedProps,
              onCommit = _finishedWork$memoize2.onCommit,
              onRender = _finishedWork$memoize2.onRender;
          var effectDuration = finishedWork.stateNode.effectDuration;
          var commitTime = getCommitTime();

          if (typeof onRender === 'function') {
            {
              onRender(finishedWork.memoizedProps.id, current === null ? 'mount' : 'update', finishedWork.actualDuration, finishedWork.treeBaseDuration, finishedWork.actualStartTime, commitTime, finishedRoot.memoizedInteractions);
            }
          }
        }

        return;
      }

    case SuspenseComponent:
      {
        commitSuspenseHydrationCallbacks(finishedRoot, finishedWork);
        return;
      }

    case SuspenseListComponent:
    case IncompleteClassComponent:
    case FundamentalComponent:
    case ScopeComponent:
    case OffscreenComponent:
    case LegacyHiddenComponent:
      return;
  }

  {
    {
      throw Error( "This unit of work tag should not have side-effects. This error is likely caused by a bug in React. Please file an issue." );
    }
  }
}

function hideOrUnhideAllChildren(finishedWork, isHidden) {
  {
    // We only have the top Fiber that was inserted but we need to recurse down its
    // children to find all the terminal nodes.
    var node = finishedWork;

    while (true) {
      if (node.tag === HostComponent) {
        var instance = node.stateNode;

        if (isHidden) {
          hideInstance(instance);
        } else {
          unhideInstance(node.stateNode, node.memoizedProps);
        }
      } else if (node.tag === HostText) {
        var _instance3 = node.stateNode;

        if (isHidden) {
          hideTextInstance(_instance3);
        } else {
          unhideTextInstance(_instance3, node.memoizedProps);
        }
      } else if ((node.tag === OffscreenComponent || node.tag === LegacyHiddenComponent) && node.memoizedState !== null && node !== finishedWork) ; else if (node.child !== null) {
        node.child.return = node;
        node = node.child;
        continue;
      }

      if (node === finishedWork) {
        return;
      }

      while (node.sibling === null) {
        if (node.return === null || node.return === finishedWork) {
          return;
        }

        node = node.return;
      }

      node.sibling.return = node.return;
      node = node.sibling;
    }
  }
}

function commitAttachRef(finishedWork) {
  var ref = finishedWork.ref;

  if (ref !== null) {
    var instance = finishedWork.stateNode;
    var instanceToUse;

    switch (finishedWork.tag) {
      case HostComponent:
        instanceToUse = getPublicInstance(instance);
        break;

      default:
        instanceToUse = instance;
    } // Moved outside to ensure DCE works with this flag

    if (typeof ref === 'function') {
      ref(instanceToUse);
    } else {
      {
        if (!ref.hasOwnProperty('current')) {
          error('Unexpected ref object provided for %s. ' + 'Use either a ref-setter function or React.createRef().', getComponentName(finishedWork.type));
        }
      }

      ref.current = instanceToUse;
    }
  }
}

function commitDetachRef(current) {
  var currentRef = current.ref;

  if (currentRef !== null) {
    if (typeof currentRef === 'function') {
      currentRef(null);
    } else {
      currentRef.current = null;
    }
  }
} // User-originating errors (lifecycles and refs) should not interrupt
// deletion, so don't let them throw. Host-originating errors should
// interrupt deletion, so it's okay


function commitUnmount(finishedRoot, current, renderPriorityLevel) {
  onCommitUnmount(current);

  switch (current.tag) {
    case FunctionComponent:
    case ForwardRef:
    case MemoComponent:
    case SimpleMemoComponent:
    case Block:
      {
        var updateQueue = current.updateQueue;

        if (updateQueue !== null) {
          var lastEffect = updateQueue.lastEffect;

          if (lastEffect !== null) {
            var firstEffect = lastEffect.next;
            var effect = firstEffect;

            do {
              var _effect2 = effect,
                  destroy = _effect2.destroy,
                  tag = _effect2.tag;

              if (destroy !== undefined) {
                if ((tag & Passive$1) !== NoFlags$1) {
                  enqueuePendingPassiveHookEffectUnmount(current, effect);
                } else {
                  {
                    safelyCallDestroy(current, destroy);
                  }
                }
              }

              effect = effect.next;
            } while (effect !== firstEffect);
          }
        }

        return;
      }

    case ClassComponent:
      {
        safelyDetachRef(current);
        var instance = current.stateNode;

        if (typeof instance.componentWillUnmount === 'function') {
          safelyCallComponentWillUnmount(current, instance);
        }

        return;
      }

    case HostComponent:
      {
        safelyDetachRef(current);
        return;
      }

    case HostPortal:
      {
        // TODO: this is recursive.
        // We are also not using this parent because
        // the portal will get pushed immediately.
        {
          unmountHostComponents(finishedRoot, current);
        }

        return;
      }

    case FundamentalComponent:
      {

        return;
      }

    case DehydratedFragment:
      {

        return;
      }

    case ScopeComponent:
      {

        return;
      }
  }
}

function commitNestedUnmounts(finishedRoot, root, renderPriorityLevel) {
  // While we're inside a removed host node we don't want to call
  // removeChild on the inner nodes because they're removed by the top
  // call anyway. We also want to call componentWillUnmount on all
  // composites before this host node is removed from the tree. Therefore
  // we do an inner loop while we're still inside the host node.
  var node = root;

  while (true) {
    commitUnmount(finishedRoot, node); // Visit children because they may contain more composite or host nodes.
    // Skip portals because commitUnmount() currently visits them recursively.

    if (node.child !== null && ( // If we use mutation we drill down into portals using commitUnmount above.
    // If we don't use mutation we drill down into portals here instead.
     node.tag !== HostPortal)) {
      node.child.return = node;
      node = node.child;
      continue;
    }

    if (node === root) {
      return;
    }

    while (node.sibling === null) {
      if (node.return === null || node.return === root) {
        return;
      }

      node = node.return;
    }

    node.sibling.return = node.return;
    node = node.sibling;
  }
}

function detachFiberMutation(fiber) {
  // Cut off the return pointers to disconnect it from the tree. Ideally, we
  // should clear the child pointer of the parent alternate to let this
  // get GC:ed but we don't know which for sure which parent is the current
  // one so we'll settle for GC:ing the subtree of this child. This child
  // itself will be GC:ed when the parent updates the next time.
  // Note: we cannot null out sibling here, otherwise it can cause issues
  // with findDOMNode and how it requires the sibling field to carry out
  // traversal in a later effect. See PR #16820. We now clear the sibling
  // field after effects, see: detachFiberAfterEffects.
  //
  // Don't disconnect stateNode now; it will be detached in detachFiberAfterEffects.
  // It may be required if the current component is an error boundary,
  // and one of its descendants throws while unmounting a passive effect.
  fiber.alternate = null;
  fiber.child = null;
  fiber.dependencies = null;
  fiber.firstEffect = null;
  fiber.lastEffect = null;
  fiber.memoizedProps = null;
  fiber.memoizedState = null;
  fiber.pendingProps = null;
  fiber.return = null;
  fiber.updateQueue = null;

  {
    fiber._debugOwner = null;
  }
}

function getHostParentFiber(fiber) {
  var parent = fiber.return;

  while (parent !== null) {
    if (isHostParent(parent)) {
      return parent;
    }

    parent = parent.return;
  }

  {
    {
      throw Error( "Expected to find a host parent. This error is likely caused by a bug in React. Please file an issue." );
    }
  }
}

function isHostParent(fiber) {
  return fiber.tag === HostComponent || fiber.tag === HostRoot || fiber.tag === HostPortal;
}

function getHostSibling(fiber) {
  // We're going to search forward into the tree until we find a sibling host
  // node. Unfortunately, if multiple insertions are done in a row we have to
  // search past them. This leads to exponential search for the next sibling.
  // TODO: Find a more efficient way to do this.
  var node = fiber;

  siblings: while (true) {
    // If we didn't find anything, let's try the next sibling.
    while (node.sibling === null) {
      if (node.return === null || isHostParent(node.return)) {
        // If we pop out of the root or hit the parent the fiber we are the
        // last sibling.
        return null;
      }

      node = node.return;
    }

    node.sibling.return = node.return;
    node = node.sibling;

    while (node.tag !== HostComponent && node.tag !== HostText && node.tag !== DehydratedFragment) {
      // If it is not host node and, we might have a host node inside it.
      // Try to search down until we find one.
      if (node.flags & Placement) {
        // If we don't have a child, try the siblings instead.
        continue siblings;
      } // If we don't have a child, try the siblings instead.
      // We also skip portals because they are not part of this host tree.


      if (node.child === null || node.tag === HostPortal) {
        continue siblings;
      } else {
        node.child.return = node;
        node = node.child;
      }
    } // Check if this host node is stable or about to be placed.


    if (!(node.flags & Placement)) {
      // Found it!
      return node.stateNode;
    }
  }
}

function commitPlacement(finishedWork) {


  var parentFiber = getHostParentFiber(finishedWork); // Note: these two variables *must* always be updated together.

  var parent;
  var isContainer;
  var parentStateNode = parentFiber.stateNode;

  switch (parentFiber.tag) {
    case HostComponent:
      parent = parentStateNode;
      isContainer = false;
      break;

    case HostRoot:
      parent = parentStateNode.containerInfo;
      isContainer = true;
      break;

    case HostPortal:
      parent = parentStateNode.containerInfo;
      isContainer = true;
      break;

    case FundamentalComponent:

    // eslint-disable-next-line-no-fallthrough

    default:
      {
        {
          throw Error( "Invalid host parent fiber. This error is likely caused by a bug in React. Please file an issue." );
        }
      }

  }

  if (parentFiber.flags & ContentReset) {
    // Reset the text content of the parent before doing any insertions
    resetTextContent(parent); // Clear ContentReset from the effect tag

    parentFiber.flags &= ~ContentReset;
  }

  var before = getHostSibling(finishedWork); // We only have the top Fiber that was inserted but we need to recurse down its
  // children to find all the terminal nodes.

  if (isContainer) {
    insertOrAppendPlacementNodeIntoContainer(finishedWork, before, parent);
  } else {
    insertOrAppendPlacementNode(finishedWork, before, parent);
  }
}

function insertOrAppendPlacementNodeIntoContainer(node, before, parent) {
  var tag = node.tag;
  var isHost = tag === HostComponent || tag === HostText;

  if (isHost || enableFundamentalAPI ) {
    var stateNode = isHost ? node.stateNode : node.stateNode.instance;

    if (before) {
      insertInContainerBefore(parent, stateNode, before);
    } else {
      appendChildToContainer(parent, stateNode);
    }
  } else if (tag === HostPortal) ; else {
    var child = node.child;

    if (child !== null) {
      insertOrAppendPlacementNodeIntoContainer(child, before, parent);
      var sibling = child.sibling;

      while (sibling !== null) {
        insertOrAppendPlacementNodeIntoContainer(sibling, before, parent);
        sibling = sibling.sibling;
      }
    }
  }
}

function insertOrAppendPlacementNode(node, before, parent) {
  var tag = node.tag;
  var isHost = tag === HostComponent || tag === HostText;

  if (isHost || enableFundamentalAPI ) {
    var stateNode = isHost ? node.stateNode : node.stateNode.instance;

    if (before) {
      insertBefore(parent, stateNode, before);
    } else {
      appendChild(parent, stateNode);
    }
  } else if (tag === HostPortal) ; else {
    var child = node.child;

    if (child !== null) {
      insertOrAppendPlacementNode(child, before, parent);
      var sibling = child.sibling;

      while (sibling !== null) {
        insertOrAppendPlacementNode(sibling, before, parent);
        sibling = sibling.sibling;
      }
    }
  }
}

function unmountHostComponents(finishedRoot, current, renderPriorityLevel) {
  // We only have the top Fiber that was deleted but we need to recurse down its
  // children to find all the terminal nodes.
  var node = current; // Each iteration, currentParent is populated with node's host parent if not
  // currentParentIsValid.

  var currentParentIsValid = false; // Note: these two variables *must* always be updated together.

  var currentParent;
  var currentParentIsContainer;

  while (true) {
    if (!currentParentIsValid) {
      var parent = node.return;

      findParent: while (true) {
        if (!(parent !== null)) {
          {
            throw Error( "Expected to find a host parent. This error is likely caused by a bug in React. Please file an issue." );
          }
        }

        var parentStateNode = parent.stateNode;

        switch (parent.tag) {
          case HostComponent:
            currentParent = parentStateNode;
            currentParentIsContainer = false;
            break findParent;

          case HostRoot:
            currentParent = parentStateNode.containerInfo;
            currentParentIsContainer = true;
            break findParent;

          case HostPortal:
            currentParent = parentStateNode.containerInfo;
            currentParentIsContainer = true;
            break findParent;

        }

        parent = parent.return;
      }

      currentParentIsValid = true;
    }

    if (node.tag === HostComponent || node.tag === HostText) {
      commitNestedUnmounts(finishedRoot, node); // After all the children have unmounted, it is now safe to remove the
      // node from the tree.

      if (currentParentIsContainer) {
        removeChildFromContainer(currentParent, node.stateNode);
      } else {
        removeChild(currentParent, node.stateNode);
      } // Don't visit children because we already visited them.

    } else if (node.tag === HostPortal) {
      if (node.child !== null) {
        // When we go into a portal, it becomes the parent to remove from.
        // We will reassign it back when we pop the portal on the way up.
        currentParent = node.stateNode.containerInfo;
        currentParentIsContainer = true; // Visit children because portals might contain host components.

        node.child.return = node;
        node = node.child;
        continue;
      }
    } else {
      commitUnmount(finishedRoot, node); // Visit children because we may find more host components below.

      if (node.child !== null) {
        node.child.return = node;
        node = node.child;
        continue;
      }
    }

    if (node === current) {
      return;
    }

    while (node.sibling === null) {
      if (node.return === null || node.return === current) {
        return;
      }

      node = node.return;

      if (node.tag === HostPortal) {
        // When we go out of the portal, we need to restore the parent.
        // Since we don't keep a stack of them, we will search for it.
        currentParentIsValid = false;
      }
    }

    node.sibling.return = node.return;
    node = node.sibling;
  }
}

function commitDeletion(finishedRoot, current, renderPriorityLevel) {
  {
    // Recursively delete all host nodes from the parent.
    // Detach refs and call componentWillUnmount() on the whole subtree.
    unmountHostComponents(finishedRoot, current);
  }

  var alternate = current.alternate;
  detachFiberMutation(current);

  if (alternate !== null) {
    detachFiberMutation(alternate);
  }
}

function commitWork(current, finishedWork) {

  switch (finishedWork.tag) {
    case FunctionComponent:
    case ForwardRef:
    case MemoComponent:
    case SimpleMemoComponent:
    case Block:
      {
        // Layout effects are destroyed during the mutation phase so that all
        // destroy functions for all fibers are called before any create functions.
        // This prevents sibling component effects from interfering with each other,
        // e.g. a destroy function in one component should never override a ref set
        // by a create function in another component during the same commit.
        {
          commitHookEffectListUnmount(Layout | HasEffect, finishedWork);
        }

        return;
      }

    case ClassComponent:
      {
        return;
      }

    case HostComponent:
      {
        var instance = finishedWork.stateNode;

        if (instance != null) {
          // Commit the work prepared earlier.
          var newProps = finishedWork.memoizedProps; // For hydration we reuse the update path but we treat the oldProps
          // as the newProps. The updatePayload will contain the real change in
          // this case.

          var oldProps = current !== null ? current.memoizedProps : newProps;
          var type = finishedWork.type; // TODO: Type the updateQueue to be specific to host components.

          var updatePayload = finishedWork.updateQueue;
          finishedWork.updateQueue = null;

          if (updatePayload !== null) {
            commitUpdate(instance, updatePayload, type, oldProps, newProps);
          }
        }

        return;
      }

    case HostText:
      {
        if (!(finishedWork.stateNode !== null)) {
          {
            throw Error( "This should have a text node initialized. This error is likely caused by a bug in React. Please file an issue." );
          }
        }

        var textInstance = finishedWork.stateNode;
        var newText = finishedWork.memoizedProps; // For hydration we reuse the update path but we treat the oldProps
        // as the newProps. The updatePayload will contain the real change in
        // this case.

        var oldText = current !== null ? current.memoizedProps : newText;
        commitTextUpdate(textInstance, oldText, newText);
        return;
      }

    case HostRoot:
      {
        {
          var _root = finishedWork.stateNode;

          if (_root.hydrate) {
            // We've just hydrated. No need to hydrate again.
            _root.hydrate = false;
            commitHydratedContainer(_root.containerInfo);
          }
        }

        return;
      }

    case Profiler:
      {
        return;
      }

    case SuspenseComponent:
      {
        commitSuspenseComponent(finishedWork);
        attachSuspenseRetryListeners(finishedWork);
        return;
      }

    case SuspenseListComponent:
      {
        attachSuspenseRetryListeners(finishedWork);
        return;
      }

    case IncompleteClassComponent:
      {
        return;
      }

    case FundamentalComponent:
      {

        break;
      }

    case ScopeComponent:
      {

        break;
      }

    case OffscreenComponent:
    case LegacyHiddenComponent:
      {
        var newState = finishedWork.memoizedState;
        var isHidden = newState !== null;
        hideOrUnhideAllChildren(finishedWork, isHidden);
        return;
      }
  }

  {
    {
      throw Error( "This unit of work tag should not have side-effects. This error is likely caused by a bug in React. Please file an issue." );
    }
  }
}

function commitSuspenseComponent(finishedWork) {
  var newState = finishedWork.memoizedState;

  if (newState !== null) {
    markCommitTimeOfFallback();

    {
      // Hide the Offscreen component that contains the primary children. TODO:
      // Ideally, this effect would have been scheduled on the Offscreen fiber
      // itself. That's how unhiding works: the Offscreen component schedules an
      // effect on itself. However, in this case, the component didn't complete,
      // so the fiber was never added to the effect list in the normal path. We
      // could have appended it to the effect list in the Suspense component's
      // second pass, but doing it this way is less complicated. This would be
      // simpler if we got rid of the effect list and traversed the tree, like
      // we're planning to do.
      var primaryChildParent = finishedWork.child;
      hideOrUnhideAllChildren(primaryChildParent, true);
    }
  }
}

function commitSuspenseHydrationCallbacks(finishedRoot, finishedWork) {

  var newState = finishedWork.memoizedState;

  if (newState === null) {
    var current = finishedWork.alternate;

    if (current !== null) {
      var prevState = current.memoizedState;

      if (prevState !== null) {
        var suspenseInstance = prevState.dehydrated;

        if (suspenseInstance !== null) {
          commitHydratedSuspenseInstance(suspenseInstance);
        }
      }
    }
  }
}

function attachSuspenseRetryListeners(finishedWork) {
  // If this boundary just timed out, then it will have a set of wakeables.
  // For each wakeable, attach a listener so that when it resolves, React
  // attempts to re-render the boundary in the primary (pre-timeout) state.
  var wakeables = finishedWork.updateQueue;

  if (wakeables !== null) {
    finishedWork.updateQueue = null;
    var retryCache = finishedWork.stateNode;

    if (retryCache === null) {
      retryCache = finishedWork.stateNode = new PossiblyWeakSet();
    }

    wakeables.forEach(function (wakeable) {
      // Memoize using the boundary fiber to prevent redundant listeners.
      var retry = resolveRetryWakeable.bind(null, finishedWork, wakeable);

      if (!retryCache.has(wakeable)) {
        {
          if (wakeable.__reactDoNotTraceInteractions !== true) {
            retry = tracing.unstable_wrap(retry);
          }
        }

        retryCache.add(wakeable);
        wakeable.then(retry, retry);
      }
    });
  }
} // This function detects when a Suspense boundary goes from visible to hidden.
// It returns false if the boundary is already hidden.
// TODO: Use an effect tag.


function isSuspenseBoundaryBeingHidden(current, finishedWork) {
  if (current !== null) {
    var oldState = current.memoizedState;

    if (oldState === null || oldState.dehydrated !== null) {
      var newState = finishedWork.memoizedState;
      return newState !== null && newState.dehydrated === null;
    }
  }

  return false;
}

function commitResetTextContent(current) {

  resetTextContent(current.stateNode);
}

var COMPONENT_TYPE = 0;
var HAS_PSEUDO_CLASS_TYPE = 1;
var ROLE_TYPE = 2;
var TEST_NAME_TYPE = 3;
var TEXT_TYPE = 4;

if (typeof Symbol === 'function' && Symbol.for) {
  var symbolFor$1 = Symbol.for;
  COMPONENT_TYPE = symbolFor$1('selector.component');
  HAS_PSEUDO_CLASS_TYPE = symbolFor$1('selector.has_pseudo_class');
  ROLE_TYPE = symbolFor$1('selector.role');
  TEST_NAME_TYPE = symbolFor$1('selector.test_id');
  TEXT_TYPE = symbolFor$1('selector.text');
}
var commitHooks = [];
function onCommitRoot$1() {
  {
    commitHooks.forEach(function (commitHook) {
      return commitHook();
    });
  }
}

var ceil = Math.ceil;
var ReactCurrentDispatcher$2 = ReactSharedInternals.ReactCurrentDispatcher,
    ReactCurrentOwner$2 = ReactSharedInternals.ReactCurrentOwner,
    IsSomeRendererActing = ReactSharedInternals.IsSomeRendererActing;
var NoContext =
/*             */
0;
var BatchedContext =
/*               */
1;
var EventContext =
/*                 */
2;
var DiscreteEventContext =
/*         */
4;
var LegacyUnbatchedContext =
/*       */
8;
var RenderContext =
/*                */
16;
var CommitContext =
/*                */
32;
var RetryAfterError =
/*       */
64;
var RootIncomplete = 0;
var RootFatalErrored = 1;
var RootErrored = 2;
var RootSuspended = 3;
var RootSuspendedWithDelay = 4;
var RootCompleted = 5; // Describes where we are in the React execution stack

var executionContext = NoContext; // The root we're working on

var workInProgressRoot = null; // The fiber we're working on

var workInProgress = null; // The lanes we're rendering

var workInProgressRootRenderLanes = NoLanes; // Stack that allows components to change the render lanes for its subtree
// This is a superset of the lanes we started working on at the root. The only
// case where it's different from `workInProgressRootRenderLanes` is when we
// enter a subtree that is hidden and needs to be unhidden: Suspense and
// Offscreen component.
//
// Most things in the work loop should deal with workInProgressRootRenderLanes.
// Most things in begin/complete phases should deal with subtreeRenderLanes.

var subtreeRenderLanes = NoLanes;
var subtreeRenderLanesCursor = createCursor(NoLanes); // Whether to root completed, errored, suspended, etc.

var workInProgressRootExitStatus = RootIncomplete; // A fatal error, if one is thrown

var workInProgressRootFatalError = null; // "Included" lanes refer to lanes that were worked on during this render. It's
// slightly different than `renderLanes` because `renderLanes` can change as you
// enter and exit an Offscreen tree. This value is the combination of all render
// lanes for the entire render phase.

var workInProgressRootIncludedLanes = NoLanes; // The work left over by components that were visited during this render. Only
// includes unprocessed updates, not work in bailed out children.

var workInProgressRootSkippedLanes = NoLanes; // Lanes that were updated (in an interleaved event) during this render.

var workInProgressRootUpdatedLanes = NoLanes; // Lanes that were pinged (in an interleaved event) during this render.

var workInProgressRootPingedLanes = NoLanes;
var mostRecentlyUpdatedRoot = null; // The most recent time we committed a fallback. This lets us ensure a train
// model where we don't commit new loading states in too quick succession.

var globalMostRecentFallbackTime = 0;
var FALLBACK_THROTTLE_MS = 500; // The absolute time for when we should start giving up on rendering
// more and prefer CPU suspense heuristics instead.

var workInProgressRootRenderTargetTime = Infinity; // How long a render is supposed to take before we start following CPU
// suspense heuristics and opt out of rendering more content.

var RENDER_TIMEOUT_MS = 500;

function resetRenderTimer() {
  workInProgressRootRenderTargetTime = now() + RENDER_TIMEOUT_MS;
}

function getRenderTargetTime() {
  return workInProgressRootRenderTargetTime;
}
var nextEffect = null;
var hasUncaughtError = false;
var firstUncaughtError = null;
var legacyErrorBoundariesThatAlreadyFailed = null;
var rootDoesHavePassiveEffects = false;
var rootWithPendingPassiveEffects = null;
var pendingPassiveEffectsRenderPriority = NoPriority$1;
var pendingPassiveEffectsLanes = NoLanes;
var pendingPassiveHookEffectsMount = [];
var pendingPassiveHookEffectsUnmount = [];
var rootsWithPendingDiscreteUpdates = null; // Use these to prevent an infinite loop of nested updates

var NESTED_UPDATE_LIMIT = 50;
var nestedUpdateCount = 0;
var rootWithNestedUpdates = null;
var NESTED_PASSIVE_UPDATE_LIMIT = 50;
var nestedPassiveUpdateCount = 0; // Marks the need to reschedule pending interactions at these lanes
// during the commit phase. This enables them to be traced across components
// that spawn new work during render. E.g. hidden boundaries, suspended SSR
// hydration or SuspenseList.
// TODO: Can use a bitmask instead of an array

var spawnedWorkDuringRender = null; // If two updates are scheduled within the same event, we should treat their
// event times as simultaneous, even if the actual clock time has advanced
// between the first and second call.

var currentEventTime = NoTimestamp;
var currentEventWipLanes = NoLanes;
var currentEventPendingLanes = NoLanes; // Dev only flag that tracks if passive effects are currently being flushed.
// We warn about state updates for unmounted components differently in this case.

var isFlushingPassiveEffects = false;
var focusedInstanceHandle = null;
var shouldFireAfterActiveInstanceBlur = false;
function getWorkInProgressRoot() {
  return workInProgressRoot;
}
function requestEventTime() {
  if ((executionContext & (RenderContext | CommitContext)) !== NoContext) {
    // We're inside React, so it's fine to read the actual time.
    return now();
  } // We're not inside React, so we may be in the middle of a browser event.


  if (currentEventTime !== NoTimestamp) {
    // Use the same start time for all updates until we enter React again.
    return currentEventTime;
  } // This is the first update since React yielded. Compute a new start time.


  currentEventTime = now();
  return currentEventTime;
}
function requestUpdateLane(fiber) {
  // Special cases
  var mode = fiber.mode;

  if ((mode & BlockingMode) === NoMode) {
    return SyncLane;
  } else if ((mode & ConcurrentMode) === NoMode) {
    return getCurrentPriorityLevel() === ImmediatePriority$1 ? SyncLane : SyncBatchedLane;
  } // The algorithm for assigning an update to a lane should be stable for all
  // updates at the same priority within the same event. To do this, the inputs
  // to the algorithm must be the same. For example, we use the `renderLanes`
  // to avoid choosing a lane that is already in the middle of rendering.
  //
  // However, the "included" lanes could be mutated in between updates in the
  // same event, like if you perform an update inside `flushSync`. Or any other
  // code path that might call `prepareFreshStack`.
  //
  // The trick we use is to cache the first of each of these inputs within an
  // event. Then reset the cached values once we can be sure the event is over.
  // Our heuristic for that is whenever we enter a concurrent work loop.
  //
  // We'll do the same for `currentEventPendingLanes` below.


  if (currentEventWipLanes === NoLanes) {
    currentEventWipLanes = workInProgressRootIncludedLanes;
  }

  var isTransition = requestCurrentTransition() !== NoTransition;

  if (isTransition) {
    if (currentEventPendingLanes !== NoLanes) {
      currentEventPendingLanes = mostRecentlyUpdatedRoot !== null ? mostRecentlyUpdatedRoot.pendingLanes : NoLanes;
    }

    return findTransitionLane(currentEventWipLanes, currentEventPendingLanes);
  } // TODO: Remove this dependency on the Scheduler priority.
  // To do that, we're replacing it with an update lane priority.


  var schedulerPriority = getCurrentPriorityLevel(); // The old behavior was using the priority level of the Scheduler.
  // This couples React to the Scheduler internals, so we're replacing it
  // with the currentUpdateLanePriority above. As an example of how this
  // could be problematic, if we're not inside `Scheduler.runWithPriority`,
  // then we'll get the priority of the current running Scheduler task,
  // which is probably not what we want.

  var lane;

  if ( // TODO: Temporary. We're removing the concept of discrete updates.
  (executionContext & DiscreteEventContext) !== NoContext && schedulerPriority === UserBlockingPriority$2) {
    lane = findUpdateLane(InputDiscreteLanePriority, currentEventWipLanes);
  } else {
    var schedulerLanePriority = schedulerPriorityToLanePriority(schedulerPriority);

    lane = findUpdateLane(schedulerLanePriority, currentEventWipLanes);
  }

  return lane;
}

function requestRetryLane(fiber) {
  // This is a fork of `requestUpdateLane` designed specifically for Suspense
  // "retries" — a special update that attempts to flip a Suspense boundary
  // from its placeholder state to its primary/resolved state.
  // Special cases
  var mode = fiber.mode;

  if ((mode & BlockingMode) === NoMode) {
    return SyncLane;
  } else if ((mode & ConcurrentMode) === NoMode) {
    return getCurrentPriorityLevel() === ImmediatePriority$1 ? SyncLane : SyncBatchedLane;
  } // See `requestUpdateLane` for explanation of `currentEventWipLanes`


  if (currentEventWipLanes === NoLanes) {
    currentEventWipLanes = workInProgressRootIncludedLanes;
  }

  return findRetryLane(currentEventWipLanes);
}

function scheduleUpdateOnFiber(fiber, lane, eventTime) {
  checkForNestedUpdates();
  warnAboutRenderPhaseUpdatesInDEV(fiber);
  var root = markUpdateLaneFromFiberToRoot(fiber, lane);

  if (root === null) {
    warnAboutUpdateOnUnmountedFiberInDEV(fiber);
    return null;
  } // Mark that the root has a pending update.


  markRootUpdated(root, lane, eventTime);

  if (root === workInProgressRoot) {
    // Received an update to a tree that's in the middle of rendering. Mark
    // that there was an interleaved update work on this root. Unless the
    // `deferRenderPhaseUpdateToNextBatch` flag is off and this is a render
    // phase update. In that case, we don't treat render phase updates as if
    // they were interleaved, for backwards compat reasons.
    {
      workInProgressRootUpdatedLanes = mergeLanes(workInProgressRootUpdatedLanes, lane);
    }

    if (workInProgressRootExitStatus === RootSuspendedWithDelay) {
      // The root already suspended with a delay, which means this render
      // definitely won't finish. Since we have a new update, let's mark it as
      // suspended now, right before marking the incoming update. This has the
      // effect of interrupting the current render and switching to the update.
      // TODO: Make sure this doesn't override pings that happen while we've
      // already started rendering.
      markRootSuspended$1(root, workInProgressRootRenderLanes);
    }
  } // TODO: requestUpdateLanePriority also reads the priority. Pass the
  // priority as an argument to that function and this one.


  var priorityLevel = getCurrentPriorityLevel();

  if (lane === SyncLane) {
    if ( // Check if we're inside unbatchedUpdates
    (executionContext & LegacyUnbatchedContext) !== NoContext && // Check if we're not already rendering
    (executionContext & (RenderContext | CommitContext)) === NoContext) {
      // Register pending interactions on the root to avoid losing traced interaction data.
      schedulePendingInteractions(root, lane); // This is a legacy edge case. The initial mount of a ReactDOM.render-ed
      // root inside of batchedUpdates should be synchronous, but layout updates
      // should be deferred until the end of the batch.

      performSyncWorkOnRoot(root);
    } else {
      ensureRootIsScheduled(root, eventTime);
      schedulePendingInteractions(root, lane);

      if (executionContext === NoContext) {
        // Flush the synchronous work now, unless we're already working or inside
        // a batch. This is intentionally inside scheduleUpdateOnFiber instead of
        // scheduleCallbackForFiber to preserve the ability to schedule a callback
        // without immediately flushing it. We only do this for user-initiated
        // updates, to preserve historical behavior of legacy mode.
        resetRenderTimer();
        flushSyncCallbackQueue();
      }
    }
  } else {
    // Schedule a discrete update but only if it's not Sync.
    if ((executionContext & DiscreteEventContext) !== NoContext && ( // Only updates at user-blocking priority or greater are considered
    // discrete, even inside a discrete event.
    priorityLevel === UserBlockingPriority$2 || priorityLevel === ImmediatePriority$1)) {
      // This is the result of a discrete event. Track the lowest priority
      // discrete update per root so we can flush them early, if needed.
      if (rootsWithPendingDiscreteUpdates === null) {
        rootsWithPendingDiscreteUpdates = new Set([root]);
      } else {
        rootsWithPendingDiscreteUpdates.add(root);
      }
    } // Schedule other updates after in case the callback is sync.


    ensureRootIsScheduled(root, eventTime);
    schedulePendingInteractions(root, lane);
  } // We use this when assigning a lane for a transition inside
  // `requestUpdateLane`. We assume it's the same as the root being updated,
  // since in the common case of a single root app it probably is. If it's not
  // the same root, then it's not a huge deal, we just might batch more stuff
  // together more than necessary.


  mostRecentlyUpdatedRoot = root;
} // This is split into a separate function so we can mark a fiber with pending
// work without treating it as a typical update that originates from an event;
// e.g. retrying a Suspense boundary isn't an update, but it does schedule work
// on a fiber.

function markUpdateLaneFromFiberToRoot(sourceFiber, lane) {
  // Update the source fiber's lanes
  sourceFiber.lanes = mergeLanes(sourceFiber.lanes, lane);
  var alternate = sourceFiber.alternate;

  if (alternate !== null) {
    alternate.lanes = mergeLanes(alternate.lanes, lane);
  }

  {
    if (alternate === null && (sourceFiber.flags & (Placement | Hydrating)) !== NoFlags) {
      warnAboutUpdateOnNotYetMountedFiberInDEV(sourceFiber);
    }
  } // Walk the parent path to the root and update the child expiration time.


  var node = sourceFiber;
  var parent = sourceFiber.return;

  while (parent !== null) {
    parent.childLanes = mergeLanes(parent.childLanes, lane);
    alternate = parent.alternate;

    if (alternate !== null) {
      alternate.childLanes = mergeLanes(alternate.childLanes, lane);
    } else {
      {
        if ((parent.flags & (Placement | Hydrating)) !== NoFlags) {
          warnAboutUpdateOnNotYetMountedFiberInDEV(sourceFiber);
        }
      }
    }

    node = parent;
    parent = parent.return;
  }

  if (node.tag === HostRoot) {
    var root = node.stateNode;
    return root;
  } else {
    return null;
  }
} // Use this function to schedule a task for a root. There's only one task per
// root; if a task was already scheduled, we'll check to make sure the priority
// of the existing task is the same as the priority of the next level that the
// root has work on. This function is called on every update, and right before
// exiting a task.


function ensureRootIsScheduled(root, currentTime) {
  var existingCallbackNode = root.callbackNode; // Check if any lanes are being starved by other work. If so, mark them as
  // expired so we know to work on those next.

  markStarvedLanesAsExpired(root, currentTime); // Determine the next lanes to work on, and their priority.

  var nextLanes = getNextLanes(root, root === workInProgressRoot ? workInProgressRootRenderLanes : NoLanes); // This returns the priority level computed during the `getNextLanes` call.

  var newCallbackPriority = returnNextLanesPriority();

  if (nextLanes === NoLanes) {
    // Special case: There's nothing to work on.
    if (existingCallbackNode !== null) {
      cancelCallback(existingCallbackNode);
      root.callbackNode = null;
      root.callbackPriority = NoLanePriority;
    }

    return;
  } // Check if there's an existing task. We may be able to reuse it.


  if (existingCallbackNode !== null) {
    var existingCallbackPriority = root.callbackPriority;

    if (existingCallbackPriority === newCallbackPriority) {
      // The priority hasn't changed. We can reuse the existing task. Exit.
      return;
    } // The priority changed. Cancel the existing callback. We'll schedule a new
    // one below.


    cancelCallback(existingCallbackNode);
  } // Schedule a new callback.


  var newCallbackNode;

  if (newCallbackPriority === SyncLanePriority) {
    // Special case: Sync React callbacks are scheduled on a special
    // internal queue
    newCallbackNode = scheduleSyncCallback(performSyncWorkOnRoot.bind(null, root));
  } else if (newCallbackPriority === SyncBatchedLanePriority) {
    newCallbackNode = scheduleCallback(ImmediatePriority$1, performSyncWorkOnRoot.bind(null, root));
  } else {
    var schedulerPriorityLevel = lanePriorityToSchedulerPriority(newCallbackPriority);
    newCallbackNode = scheduleCallback(schedulerPriorityLevel, performConcurrentWorkOnRoot.bind(null, root));
  }

  root.callbackPriority = newCallbackPriority;
  root.callbackNode = newCallbackNode;
} // This is the entry point for every concurrent task, i.e. anything that
// goes through Scheduler.


function performConcurrentWorkOnRoot(root) {
  // Since we know we're in a React event, we can clear the current
  // event time. The next update will compute a new event time.
  currentEventTime = NoTimestamp;
  currentEventWipLanes = NoLanes;
  currentEventPendingLanes = NoLanes;

  if (!((executionContext & (RenderContext | CommitContext)) === NoContext)) {
    {
      throw Error( "Should not already be working." );
    }
  } // Flush any pending passive effects before deciding which lanes to work on,
  // in case they schedule additional work.


  var originalCallbackNode = root.callbackNode;
  var didFlushPassiveEffects = flushPassiveEffects();

  if (didFlushPassiveEffects) {
    // Something in the passive effect phase may have canceled the current task.
    // Check if the task node for this root was changed.
    if (root.callbackNode !== originalCallbackNode) {
      // The current task was canceled. Exit. We don't need to call
      // `ensureRootIsScheduled` because the check above implies either that
      // there's a new task, or that there's no remaining work on this root.
      return null;
    }
  } // Determine the next expiration time to work on, using the fields stored
  // on the root.


  var lanes = getNextLanes(root, root === workInProgressRoot ? workInProgressRootRenderLanes : NoLanes);

  if (lanes === NoLanes) {
    // Defensive coding. This is never expected to happen.
    return null;
  }

  var exitStatus = renderRootConcurrent(root, lanes);

  if (includesSomeLane(workInProgressRootIncludedLanes, workInProgressRootUpdatedLanes)) {
    // The render included lanes that were updated during the render phase.
    // For example, when unhiding a hidden tree, we include all the lanes
    // that were previously skipped when the tree was hidden. That set of
    // lanes is a superset of the lanes we started rendering with.
    //
    // So we'll throw out the current work and restart.
    prepareFreshStack(root, NoLanes);
  } else if (exitStatus !== RootIncomplete) {
    if (exitStatus === RootErrored) {
      executionContext |= RetryAfterError; // If an error occurred during hydration,
      // discard server response and fall back to client side render.

      if (root.hydrate) {
        root.hydrate = false;
        clearContainer(root.containerInfo);
      } // If something threw an error, try rendering one more time. We'll render
      // synchronously to block concurrent data mutations, and we'll includes
      // all pending updates are included. If it still fails after the second
      // attempt, we'll give up and commit the resulting tree.


      lanes = getLanesToRetrySynchronouslyOnError(root);

      if (lanes !== NoLanes) {
        exitStatus = renderRootSync(root, lanes);
      }
    }

    if (exitStatus === RootFatalErrored) {
      var fatalError = workInProgressRootFatalError;
      prepareFreshStack(root, NoLanes);
      markRootSuspended$1(root, lanes);
      ensureRootIsScheduled(root, now());
      throw fatalError;
    } // We now have a consistent tree. The next step is either to commit it,
    // or, if something suspended, wait to commit it after a timeout.


    var finishedWork = root.current.alternate;
    root.finishedWork = finishedWork;
    root.finishedLanes = lanes;
    finishConcurrentRender(root, exitStatus, lanes);
  }

  ensureRootIsScheduled(root, now());

  if (root.callbackNode === originalCallbackNode) {
    // The task node scheduled for this root is the same one that's
    // currently executed. Need to return a continuation.
    return performConcurrentWorkOnRoot.bind(null, root);
  }

  return null;
}

function finishConcurrentRender(root, exitStatus, lanes) {
  switch (exitStatus) {
    case RootIncomplete:
    case RootFatalErrored:
      {
        {
          {
            throw Error( "Root did not complete. This is a bug in React." );
          }
        }
      }
    // Flow knows about invariant, so it complains if I add a break
    // statement, but eslint doesn't know about invariant, so it complains
    // if I do. eslint-disable-next-line no-fallthrough

    case RootErrored:
      {
        // We should have already attempted to retry this tree. If we reached
        // this point, it errored again. Commit it.
        commitRoot(root);
        break;
      }

    case RootSuspended:
      {
        markRootSuspended$1(root, lanes); // We have an acceptable loading state. We need to figure out if we
        // should immediately commit it or wait a bit.

        if (includesOnlyRetries(lanes) && // do not delay if we're inside an act() scope
        !shouldForceFlushFallbacksInDEV()) {
          // This render only included retries, no updates. Throttle committing
          // retries so that we don't show too many loading states too quickly.
          var msUntilTimeout = globalMostRecentFallbackTime + FALLBACK_THROTTLE_MS - now(); // Don't bother with a very short suspense time.

          if (msUntilTimeout > 10) {
            var nextLanes = getNextLanes(root, NoLanes);

            if (nextLanes !== NoLanes) {
              // There's additional work on this root.
              break;
            }

            var suspendedLanes = root.suspendedLanes;

            if (!isSubsetOfLanes(suspendedLanes, lanes)) {
              // We should prefer to render the fallback of at the last
              // suspended level. Ping the last suspended level to try
              // rendering it again.
              // FIXME: What if the suspended lanes are Idle? Should not restart.
              var eventTime = requestEventTime();
              markRootPinged(root, suspendedLanes);
              break;
            } // The render is suspended, it hasn't timed out, and there's no
            // lower priority work to do. Instead of committing the fallback
            // immediately, wait for more data to arrive.


            root.timeoutHandle = scheduleTimeout(commitRoot.bind(null, root), msUntilTimeout);
            break;
          }
        } // The work expired. Commit immediately.


        commitRoot(root);
        break;
      }

    case RootSuspendedWithDelay:
      {
        markRootSuspended$1(root, lanes);

        if (includesOnlyTransitions(lanes)) {
          // This is a transition, so we should exit without committing a
          // placeholder and without scheduling a timeout. Delay indefinitely
          // until we receive more data.
          break;
        }

        if (!shouldForceFlushFallbacksInDEV()) {
          // This is not a transition, but we did trigger an avoided state.
          // Schedule a placeholder to display after a short delay, using the Just
          // Noticeable Difference.
          // TODO: Is the JND optimization worth the added complexity? If this is
          // the only reason we track the event time, then probably not.
          // Consider removing.
          var mostRecentEventTime = getMostRecentEventTime(root, lanes);
          var eventTimeMs = mostRecentEventTime;
          var timeElapsedMs = now() - eventTimeMs;

          var _msUntilTimeout = jnd(timeElapsedMs) - timeElapsedMs; // Don't bother with a very short suspense time.


          if (_msUntilTimeout > 10) {
            // Instead of committing the fallback immediately, wait for more data
            // to arrive.
            root.timeoutHandle = scheduleTimeout(commitRoot.bind(null, root), _msUntilTimeout);
            break;
          }
        } // Commit the placeholder.


        commitRoot(root);
        break;
      }

    case RootCompleted:
      {
        // The work completed. Ready to commit.
        commitRoot(root);
        break;
      }

    default:
      {
        {
          {
            throw Error( "Unknown root exit status." );
          }
        }
      }
  }
}

function markRootSuspended$1(root, suspendedLanes) {
  // When suspending, we should always exclude lanes that were pinged or (more
  // rarely, since we try to avoid it) updated during the render phase.
  // TODO: Lol maybe there's a better way to factor this besides this
  // obnoxiously named function :)
  suspendedLanes = removeLanes(suspendedLanes, workInProgressRootPingedLanes);
  suspendedLanes = removeLanes(suspendedLanes, workInProgressRootUpdatedLanes);
  markRootSuspended(root, suspendedLanes);
} // This is the entry point for synchronous tasks that don't go
// through Scheduler


function performSyncWorkOnRoot(root) {
  if (!((executionContext & (RenderContext | CommitContext)) === NoContext)) {
    {
      throw Error( "Should not already be working." );
    }
  }

  flushPassiveEffects();
  var lanes;
  var exitStatus;

  if (root === workInProgressRoot && includesSomeLane(root.expiredLanes, workInProgressRootRenderLanes)) {
    // There's a partial tree, and at least one of its lanes has expired. Finish
    // rendering it before rendering the rest of the expired work.
    lanes = workInProgressRootRenderLanes;
    exitStatus = renderRootSync(root, lanes);

    if (includesSomeLane(workInProgressRootIncludedLanes, workInProgressRootUpdatedLanes)) {
      // The render included lanes that were updated during the render phase.
      // For example, when unhiding a hidden tree, we include all the lanes
      // that were previously skipped when the tree was hidden. That set of
      // lanes is a superset of the lanes we started rendering with.
      //
      // Note that this only happens when part of the tree is rendered
      // concurrently. If the whole tree is rendered synchronously, then there
      // are no interleaved events.
      lanes = getNextLanes(root, lanes);
      exitStatus = renderRootSync(root, lanes);
    }
  } else {
    lanes = getNextLanes(root, NoLanes);
    exitStatus = renderRootSync(root, lanes);
  }

  if (root.tag !== LegacyRoot && exitStatus === RootErrored) {
    executionContext |= RetryAfterError; // If an error occurred during hydration,
    // discard server response and fall back to client side render.

    if (root.hydrate) {
      root.hydrate = false;
      clearContainer(root.containerInfo);
    } // If something threw an error, try rendering one more time. We'll render
    // synchronously to block concurrent data mutations, and we'll includes
    // all pending updates are included. If it still fails after the second
    // attempt, we'll give up and commit the resulting tree.


    lanes = getLanesToRetrySynchronouslyOnError(root);

    if (lanes !== NoLanes) {
      exitStatus = renderRootSync(root, lanes);
    }
  }

  if (exitStatus === RootFatalErrored) {
    var fatalError = workInProgressRootFatalError;
    prepareFreshStack(root, NoLanes);
    markRootSuspended$1(root, lanes);
    ensureRootIsScheduled(root, now());
    throw fatalError;
  } // We now have a consistent tree. Because this is a sync render, we
  // will commit it even if something suspended.


  var finishedWork = root.current.alternate;
  root.finishedWork = finishedWork;
  root.finishedLanes = lanes;
  commitRoot(root); // Before exiting, make sure there's a callback scheduled for the next
  // pending level.

  ensureRootIsScheduled(root, now());
  return null;
}
function flushDiscreteUpdates() {
  // TODO: Should be able to flush inside batchedUpdates, but not inside `act`.
  // However, `act` uses `batchedUpdates`, so there's no way to distinguish
  // those two cases. Need to fix this before exposing flushDiscreteUpdates
  // as a public API.
  if ((executionContext & (BatchedContext | RenderContext | CommitContext)) !== NoContext) {
    {
      if ((executionContext & RenderContext) !== NoContext) {
        error('unstable_flushDiscreteUpdates: Cannot flush updates when React is ' + 'already rendering.');
      }
    } // We're already rendering, so we can't synchronously flush pending work.
    // This is probably a nested event dispatch triggered by a lifecycle/effect,
    // like `el.focus()`. Exit.


    return;
  }

  flushPendingDiscreteUpdates(); // If the discrete updates scheduled passive effects, flush them now so that
  // they fire before the next serial event.

  flushPassiveEffects();
}

function flushPendingDiscreteUpdates() {
  if (rootsWithPendingDiscreteUpdates !== null) {
    // For each root with pending discrete updates, schedule a callback to
    // immediately flush them.
    var roots = rootsWithPendingDiscreteUpdates;
    rootsWithPendingDiscreteUpdates = null;
    roots.forEach(function (root) {
      markDiscreteUpdatesExpired(root);
      ensureRootIsScheduled(root, now());
    });
  } // Now flush the immediate queue.


  flushSyncCallbackQueue();
}

function batchedUpdates$1(fn, a) {
  var prevExecutionContext = executionContext;
  executionContext |= BatchedContext;

  try {
    return fn(a);
  } finally {
    executionContext = prevExecutionContext;

    if (executionContext === NoContext) {
      // Flush the immediate callbacks that were scheduled during this batch
      resetRenderTimer();
      flushSyncCallbackQueue();
    }
  }
}
function batchedEventUpdates$1(fn, a) {
  var prevExecutionContext = executionContext;
  executionContext |= EventContext;

  try {
    return fn(a);
  } finally {
    executionContext = prevExecutionContext;

    if (executionContext === NoContext) {
      // Flush the immediate callbacks that were scheduled during this batch
      resetRenderTimer();
      flushSyncCallbackQueue();
    }
  }
}
function discreteUpdates$1(fn, a, b, c, d) {
  var prevExecutionContext = executionContext;
  executionContext |= DiscreteEventContext;

  {
    try {
      return runWithPriority$1(UserBlockingPriority$2, fn.bind(null, a, b, c, d));
    } finally {
      executionContext = prevExecutionContext;

      if (executionContext === NoContext) {
        // Flush the immediate callbacks that were scheduled during this batch
        resetRenderTimer();
        flushSyncCallbackQueue();
      }
    }
  }
}
function unbatchedUpdates(fn, a) {
  var prevExecutionContext = executionContext;
  executionContext &= ~BatchedContext;
  executionContext |= LegacyUnbatchedContext;

  try {
    return fn(a);
  } finally {
    executionContext = prevExecutionContext;

    if (executionContext === NoContext) {
      // Flush the immediate callbacks that were scheduled during this batch
      resetRenderTimer();
      flushSyncCallbackQueue();
    }
  }
}
function flushSync(fn, a) {
  var prevExecutionContext = executionContext;

  if ((prevExecutionContext & (RenderContext | CommitContext)) !== NoContext) {
    {
      error('flushSync was called from inside a lifecycle method. React cannot ' + 'flush when React is already rendering. Consider moving this call to ' + 'a scheduler task or micro task.');
    }

    return fn(a);
  }

  executionContext |= BatchedContext;

  {
    try {
      if (fn) {
        return runWithPriority$1(ImmediatePriority$1, fn.bind(null, a));
      } else {
        return undefined;
      }
    } finally {
      executionContext = prevExecutionContext; // Flush the immediate callbacks that were scheduled during this batch.
      // Note that this will happen even if batchedUpdates is higher up
      // the stack.

      flushSyncCallbackQueue();
    }
  }
}
function pushRenderLanes(fiber, lanes) {
  push(subtreeRenderLanesCursor, subtreeRenderLanes, fiber);
  subtreeRenderLanes = mergeLanes(subtreeRenderLanes, lanes);
  workInProgressRootIncludedLanes = mergeLanes(workInProgressRootIncludedLanes, lanes);
}
function popRenderLanes(fiber) {
  subtreeRenderLanes = subtreeRenderLanesCursor.current;
  pop(subtreeRenderLanesCursor, fiber);
}

function prepareFreshStack(root, lanes) {
  root.finishedWork = null;
  root.finishedLanes = NoLanes;
  var timeoutHandle = root.timeoutHandle;

  if (timeoutHandle !== noTimeout) {
    // The root previous suspended and scheduled a timeout to commit a fallback
    // state. Now that we have additional work, cancel the timeout.
    root.timeoutHandle = noTimeout; // $FlowFixMe Complains noTimeout is not a TimeoutID, despite the check above

    cancelTimeout(timeoutHandle);
  }

  if (workInProgress !== null) {
    var interruptedWork = workInProgress.return;

    while (interruptedWork !== null) {
      unwindInterruptedWork(interruptedWork);
      interruptedWork = interruptedWork.return;
    }
  }

  workInProgressRoot = root;
  workInProgress = createWorkInProgress(root.current, null);
  workInProgressRootRenderLanes = subtreeRenderLanes = workInProgressRootIncludedLanes = lanes;
  workInProgressRootExitStatus = RootIncomplete;
  workInProgressRootFatalError = null;
  workInProgressRootSkippedLanes = NoLanes;
  workInProgressRootUpdatedLanes = NoLanes;
  workInProgressRootPingedLanes = NoLanes;

  {
    spawnedWorkDuringRender = null;
  }

  {
    ReactStrictModeWarnings.discardPendingWarnings();
  }
}

function handleError(root, thrownValue) {
  do {
    var erroredWork = workInProgress;

    try {
      // Reset module-level state that was set during the render phase.
      resetContextDependencies();
      resetHooksAfterThrow();
      resetCurrentFiber(); // TODO: I found and added this missing line while investigating a
      // separate issue. Write a regression test using string refs.

      ReactCurrentOwner$2.current = null;

      if (erroredWork === null || erroredWork.return === null) {
        // Expected to be working on a non-root fiber. This is a fatal error
        // because there's no ancestor that can handle it; the root is
        // supposed to capture all errors that weren't caught by an error
        // boundary.
        workInProgressRootExitStatus = RootFatalErrored;
        workInProgressRootFatalError = thrownValue; // Set `workInProgress` to null. This represents advancing to the next
        // sibling, or the parent if there are no siblings. But since the root
        // has no siblings nor a parent, we set it to null. Usually this is
        // handled by `completeUnitOfWork` or `unwindWork`, but since we're
        // intentionally not calling those, we need set it here.
        // TODO: Consider calling `unwindWork` to pop the contexts.

        workInProgress = null;
        return;
      }

      if (enableProfilerTimer && erroredWork.mode & ProfileMode) {
        // Record the time spent rendering before an error was thrown. This
        // avoids inaccurate Profiler durations in the case of a
        // suspended render.
        stopProfilerTimerIfRunningAndRecordDelta(erroredWork, true);
      }

      throwException(root, erroredWork.return, erroredWork, thrownValue, workInProgressRootRenderLanes);
      completeUnitOfWork(erroredWork);
    } catch (yetAnotherThrownValue) {
      // Something in the return path also threw.
      thrownValue = yetAnotherThrownValue;

      if (workInProgress === erroredWork && erroredWork !== null) {
        // If this boundary has already errored, then we had trouble processing
        // the error. Bubble it to the next boundary.
        erroredWork = erroredWork.return;
        workInProgress = erroredWork;
      } else {
        erroredWork = workInProgress;
      }

      continue;
    } // Return to the normal work loop.


    return;
  } while (true);
}

function pushDispatcher() {
  var prevDispatcher = ReactCurrentDispatcher$2.current;
  ReactCurrentDispatcher$2.current = ContextOnlyDispatcher;

  if (prevDispatcher === null) {
    // The React isomorphic package does not include a default dispatcher.
    // Instead the first renderer will lazily attach one, in order to give
    // nicer error messages.
    return ContextOnlyDispatcher;
  } else {
    return prevDispatcher;
  }
}

function popDispatcher(prevDispatcher) {
  ReactCurrentDispatcher$2.current = prevDispatcher;
}

function pushInteractions(root) {
  {
    var prevInteractions = tracing.__interactionsRef.current;
    tracing.__interactionsRef.current = root.memoizedInteractions;
    return prevInteractions;
  }
}

function popInteractions(prevInteractions) {
  {
    tracing.__interactionsRef.current = prevInteractions;
  }
}

function markCommitTimeOfFallback() {
  globalMostRecentFallbackTime = now();
}
function markSkippedUpdateLanes(lane) {
  workInProgressRootSkippedLanes = mergeLanes(lane, workInProgressRootSkippedLanes);
}
function renderDidSuspend() {
  if (workInProgressRootExitStatus === RootIncomplete) {
    workInProgressRootExitStatus = RootSuspended;
  }
}
function renderDidSuspendDelayIfPossible() {
  if (workInProgressRootExitStatus === RootIncomplete || workInProgressRootExitStatus === RootSuspended) {
    workInProgressRootExitStatus = RootSuspendedWithDelay;
  } // Check if there are updates that we skipped tree that might have unblocked
  // this render.


  if (workInProgressRoot !== null && (includesNonIdleWork(workInProgressRootSkippedLanes) || includesNonIdleWork(workInProgressRootUpdatedLanes))) {
    // Mark the current render as suspended so that we switch to working on
    // the updates that were skipped. Usually we only suspend at the end of
    // the render phase.
    // TODO: We should probably always mark the root as suspended immediately
    // (inside this function), since by suspending at the end of the render
    // phase introduces a potential mistake where we suspend lanes that were
    // pinged or updated while we were rendering.
    markRootSuspended$1(workInProgressRoot, workInProgressRootRenderLanes);
  }
}
function renderDidError() {
  if (workInProgressRootExitStatus !== RootCompleted) {
    workInProgressRootExitStatus = RootErrored;
  }
} // Called during render to determine if anything has suspended.
// Returns false if we're not sure.

function renderHasNotSuspendedYet() {
  // If something errored or completed, we can't really be sure,
  // so those are false.
  return workInProgressRootExitStatus === RootIncomplete;
}

function renderRootSync(root, lanes) {
  var prevExecutionContext = executionContext;
  executionContext |= RenderContext;
  var prevDispatcher = pushDispatcher(); // If the root or lanes have changed, throw out the existing stack
  // and prepare a fresh one. Otherwise we'll continue where we left off.

  if (workInProgressRoot !== root || workInProgressRootRenderLanes !== lanes) {
    prepareFreshStack(root, lanes);
    startWorkOnPendingInteractions(root, lanes);
  }

  var prevInteractions = pushInteractions(root);

  do {
    try {
      workLoopSync();
      break;
    } catch (thrownValue) {
      handleError(root, thrownValue);
    }
  } while (true);

  resetContextDependencies();

  {
    popInteractions(prevInteractions);
  }

  executionContext = prevExecutionContext;
  popDispatcher(prevDispatcher);

  if (workInProgress !== null) {
    // This is a sync render, so we should have finished the whole tree.
    {
      {
        throw Error( "Cannot commit an incomplete root. This error is likely caused by a bug in React. Please file an issue." );
      }
    }
  }


  workInProgressRoot = null;
  workInProgressRootRenderLanes = NoLanes;
  return workInProgressRootExitStatus;
} // The work loop is an extremely hot path. Tell Closure not to inline it.

/** @noinline */


function workLoopSync() {
  // Already timed out, so perform work without checking if we need to yield.
  while (workInProgress !== null) {
    performUnitOfWork(workInProgress);
  }
}

function renderRootConcurrent(root, lanes) {
  var prevExecutionContext = executionContext;
  executionContext |= RenderContext;
  var prevDispatcher = pushDispatcher(); // If the root or lanes have changed, throw out the existing stack
  // and prepare a fresh one. Otherwise we'll continue where we left off.

  if (workInProgressRoot !== root || workInProgressRootRenderLanes !== lanes) {
    resetRenderTimer();
    prepareFreshStack(root, lanes);
    startWorkOnPendingInteractions(root, lanes);
  }

  var prevInteractions = pushInteractions(root);

  do {
    try {
      workLoopConcurrent();
      break;
    } catch (thrownValue) {
      handleError(root, thrownValue);
    }
  } while (true);

  resetContextDependencies();

  {
    popInteractions(prevInteractions);
  }

  popDispatcher(prevDispatcher);
  executionContext = prevExecutionContext;


  if (workInProgress !== null) {

    return RootIncomplete;
  } else {


    workInProgressRoot = null;
    workInProgressRootRenderLanes = NoLanes; // Return the final exit status.

    return workInProgressRootExitStatus;
  }
}
/** @noinline */


function workLoopConcurrent() {
  // Perform work until Scheduler asks us to yield
  while (workInProgress !== null && !shouldYield()) {
    performUnitOfWork(workInProgress);
  }
}

function performUnitOfWork(unitOfWork) {
  // The current, flushed, state of this fiber is the alternate. Ideally
  // nothing should rely on this, but relying on it here means that we don't
  // need an additional field on the work in progress.
  var current = unitOfWork.alternate;
  setCurrentFiber(unitOfWork);
  var next;

  if ( (unitOfWork.mode & ProfileMode) !== NoMode) {
    startProfilerTimer(unitOfWork);
    next = beginWork$1(current, unitOfWork, subtreeRenderLanes);
    stopProfilerTimerIfRunningAndRecordDelta(unitOfWork, true);
  } else {
    next = beginWork$1(current, unitOfWork, subtreeRenderLanes);
  }

  resetCurrentFiber();
  unitOfWork.memoizedProps = unitOfWork.pendingProps;

  if (next === null) {
    // If this doesn't spawn new work, complete the current work.
    completeUnitOfWork(unitOfWork);
  } else {
    workInProgress = next;
  }

  ReactCurrentOwner$2.current = null;
}

function completeUnitOfWork(unitOfWork) {
  // Attempt to complete the current unit of work, then move to the next
  // sibling. If there are no more siblings, return to the parent fiber.
  var completedWork = unitOfWork;

  do {
    // The current, flushed, state of this fiber is the alternate. Ideally
    // nothing should rely on this, but relying on it here means that we don't
    // need an additional field on the work in progress.
    var current = completedWork.alternate;
    var returnFiber = completedWork.return; // Check if the work completed or if something threw.

    if ((completedWork.flags & Incomplete) === NoFlags) {
      setCurrentFiber(completedWork);
      var next = void 0;

      if ( (completedWork.mode & ProfileMode) === NoMode) {
        next = completeWork(current, completedWork, subtreeRenderLanes);
      } else {
        startProfilerTimer(completedWork);
        next = completeWork(current, completedWork, subtreeRenderLanes); // Update render duration assuming we didn't error.

        stopProfilerTimerIfRunningAndRecordDelta(completedWork, false);
      }

      resetCurrentFiber();

      if (next !== null) {
        // Completing this fiber spawned new work. Work on that next.
        workInProgress = next;
        return;
      }

      resetChildLanes(completedWork);

      if (returnFiber !== null && // Do not append effects to parents if a sibling failed to complete
      (returnFiber.flags & Incomplete) === NoFlags) {
        // Append all the effects of the subtree and this fiber onto the effect
        // list of the parent. The completion order of the children affects the
        // side-effect order.
        if (returnFiber.firstEffect === null) {
          returnFiber.firstEffect = completedWork.firstEffect;
        }

        if (completedWork.lastEffect !== null) {
          if (returnFiber.lastEffect !== null) {
            returnFiber.lastEffect.nextEffect = completedWork.firstEffect;
          }

          returnFiber.lastEffect = completedWork.lastEffect;
        } // If this fiber had side-effects, we append it AFTER the children's
        // side-effects. We can perform certain side-effects earlier if needed,
        // by doing multiple passes over the effect list. We don't want to
        // schedule our own side-effect on our own list because if end up
        // reusing children we'll schedule this effect onto itself since we're
        // at the end.


        var flags = completedWork.flags; // Skip both NoWork and PerformedWork tags when creating the effect
        // list. PerformedWork effect is read by React DevTools but shouldn't be
        // committed.

        if (flags > PerformedWork) {
          if (returnFiber.lastEffect !== null) {
            returnFiber.lastEffect.nextEffect = completedWork;
          } else {
            returnFiber.firstEffect = completedWork;
          }

          returnFiber.lastEffect = completedWork;
        }
      }
    } else {
      // This fiber did not complete because something threw. Pop values off
      // the stack without entering the complete phase. If this is a boundary,
      // capture values if possible.
      var _next = unwindWork(completedWork); // Because this fiber did not complete, don't reset its expiration time.


      if (_next !== null) {
        // If completing this work spawned new work, do that next. We'll come
        // back here again.
        // Since we're restarting, remove anything that is not a host effect
        // from the effect tag.
        _next.flags &= HostEffectMask;
        workInProgress = _next;
        return;
      }

      if ( (completedWork.mode & ProfileMode) !== NoMode) {
        // Record the render duration for the fiber that errored.
        stopProfilerTimerIfRunningAndRecordDelta(completedWork, false); // Include the time spent working on failed children before continuing.

        var actualDuration = completedWork.actualDuration;
        var child = completedWork.child;

        while (child !== null) {
          actualDuration += child.actualDuration;
          child = child.sibling;
        }

        completedWork.actualDuration = actualDuration;
      }

      if (returnFiber !== null) {
        // Mark the parent fiber as incomplete and clear its effect list.
        returnFiber.firstEffect = returnFiber.lastEffect = null;
        returnFiber.flags |= Incomplete;
      }
    }

    var siblingFiber = completedWork.sibling;

    if (siblingFiber !== null) {
      // If there is more work to do in this returnFiber, do that next.
      workInProgress = siblingFiber;
      return;
    } // Otherwise, return to the parent


    completedWork = returnFiber; // Update the next thing we're working on in case something throws.

    workInProgress = completedWork;
  } while (completedWork !== null); // We've reached the root.


  if (workInProgressRootExitStatus === RootIncomplete) {
    workInProgressRootExitStatus = RootCompleted;
  }
}

function resetChildLanes(completedWork) {
  if ( // TODO: Move this check out of the hot path by moving `resetChildLanes`
  // to switch statement in `completeWork`.
  (completedWork.tag === LegacyHiddenComponent || completedWork.tag === OffscreenComponent) && completedWork.memoizedState !== null && !includesSomeLane(subtreeRenderLanes, OffscreenLane) && (completedWork.mode & ConcurrentMode) !== NoLanes) {
    // The children of this component are hidden. Don't bubble their
    // expiration times.
    return;
  }

  var newChildLanes = NoLanes; // Bubble up the earliest expiration time.

  if ( (completedWork.mode & ProfileMode) !== NoMode) {
    // In profiling mode, resetChildExpirationTime is also used to reset
    // profiler durations.
    var actualDuration = completedWork.actualDuration;
    var treeBaseDuration = completedWork.selfBaseDuration; // When a fiber is cloned, its actualDuration is reset to 0. This value will
    // only be updated if work is done on the fiber (i.e. it doesn't bailout).
    // When work is done, it should bubble to the parent's actualDuration. If
    // the fiber has not been cloned though, (meaning no work was done), then
    // this value will reflect the amount of time spent working on a previous
    // render. In that case it should not bubble. We determine whether it was
    // cloned by comparing the child pointer.

    var shouldBubbleActualDurations = completedWork.alternate === null || completedWork.child !== completedWork.alternate.child;
    var child = completedWork.child;

    while (child !== null) {
      newChildLanes = mergeLanes(newChildLanes, mergeLanes(child.lanes, child.childLanes));

      if (shouldBubbleActualDurations) {
        actualDuration += child.actualDuration;
      }

      treeBaseDuration += child.treeBaseDuration;
      child = child.sibling;
    }

    var isTimedOutSuspense = completedWork.tag === SuspenseComponent && completedWork.memoizedState !== null;

    if (isTimedOutSuspense) {
      // Don't count time spent in a timed out Suspense subtree as part of the base duration.
      var primaryChildFragment = completedWork.child;

      if (primaryChildFragment !== null) {
        treeBaseDuration -= primaryChildFragment.treeBaseDuration;
      }
    }

    completedWork.actualDuration = actualDuration;
    completedWork.treeBaseDuration = treeBaseDuration;
  } else {
    var _child = completedWork.child;

    while (_child !== null) {
      newChildLanes = mergeLanes(newChildLanes, mergeLanes(_child.lanes, _child.childLanes));
      _child = _child.sibling;
    }
  }

  completedWork.childLanes = newChildLanes;
}

function commitRoot(root) {
  var renderPriorityLevel = getCurrentPriorityLevel();
  runWithPriority$1(ImmediatePriority$1, commitRootImpl.bind(null, root, renderPriorityLevel));
  return null;
}

function commitRootImpl(root, renderPriorityLevel) {
  do {
    // `flushPassiveEffects` will call `flushSyncUpdateQueue` at the end, which
    // means `flushPassiveEffects` will sometimes result in additional
    // passive effects. So we need to keep flushing in a loop until there are
    // no more pending effects.
    // TODO: Might be better if `flushPassiveEffects` did not automatically
    // flush synchronous work at the end, to avoid factoring hazards like this.
    flushPassiveEffects();
  } while (rootWithPendingPassiveEffects !== null);

  flushRenderPhaseStrictModeWarningsInDEV();

  if (!((executionContext & (RenderContext | CommitContext)) === NoContext)) {
    {
      throw Error( "Should not already be working." );
    }
  }

  var finishedWork = root.finishedWork;
  var lanes = root.finishedLanes;

  if (finishedWork === null) {

    return null;
  }

  root.finishedWork = null;
  root.finishedLanes = NoLanes;

  if (!(finishedWork !== root.current)) {
    {
      throw Error( "Cannot commit the same tree as before. This error is likely caused by a bug in React. Please file an issue." );
    }
  } // commitRoot never returns a continuation; it always finishes synchronously.
  // So we can clear these now to allow a new callback to be scheduled.


  root.callbackNode = null; // Update the first and last pending times on this root. The new first
  // pending time is whatever is left on the root fiber.

  var remainingLanes = mergeLanes(finishedWork.lanes, finishedWork.childLanes);
  markRootFinished(root, remainingLanes); // Clear already finished discrete updates in case that a later call of
  // `flushDiscreteUpdates` starts a useless render pass which may cancels
  // a scheduled timeout.

  if (rootsWithPendingDiscreteUpdates !== null) {
    if (!hasDiscreteLanes(remainingLanes) && rootsWithPendingDiscreteUpdates.has(root)) {
      rootsWithPendingDiscreteUpdates.delete(root);
    }
  }

  if (root === workInProgressRoot) {
    // We can reset these now that they are finished.
    workInProgressRoot = null;
    workInProgress = null;
    workInProgressRootRenderLanes = NoLanes;
  } // Get the list of effects.


  var firstEffect;

  if (finishedWork.flags > PerformedWork) {
    // A fiber's effect list consists only of its children, not itself. So if
    // the root has an effect, we need to add it to the end of the list. The
    // resulting list is the set that would belong to the root's parent, if it
    // had one; that is, all the effects in the tree including the root.
    if (finishedWork.lastEffect !== null) {
      finishedWork.lastEffect.nextEffect = finishedWork;
      firstEffect = finishedWork.firstEffect;
    } else {
      firstEffect = finishedWork;
    }
  } else {
    // There is no effect on the root.
    firstEffect = finishedWork.firstEffect;
  }

  if (firstEffect !== null) {

    var prevExecutionContext = executionContext;
    executionContext |= CommitContext;
    var prevInteractions = pushInteractions(root); // Reset this to null before calling lifecycles

    ReactCurrentOwner$2.current = null; // The commit phase is broken into several sub-phases. We do a separate pass
    // of the effect list for each phase: all mutation effects come before all
    // layout effects, and so on.
    // The first phase a "before mutation" phase. We use this phase to read the
    // state of the host tree right before we mutate it. This is where
    // getSnapshotBeforeUpdate is called.

    focusedInstanceHandle = prepareForCommit(root.containerInfo);
    shouldFireAfterActiveInstanceBlur = false;
    nextEffect = firstEffect;

    do {
      {
        invokeGuardedCallback(null, commitBeforeMutationEffects, null);

        if (hasCaughtError()) {
          if (!(nextEffect !== null)) {
            {
              throw Error( "Should be working on an effect." );
            }
          }

          var error = clearCaughtError();
          captureCommitPhaseError(nextEffect, error);
          nextEffect = nextEffect.nextEffect;
        }
      }
    } while (nextEffect !== null); // We no longer need to track the active instance fiber


    focusedInstanceHandle = null;

    {
      // Mark the current commit time to be shared by all Profilers in this
      // batch. This enables them to be grouped later.
      recordCommitTime();
    } // The next phase is the mutation phase, where we mutate the host tree.


    nextEffect = firstEffect;

    do {
      {
        invokeGuardedCallback(null, commitMutationEffects, null, root, renderPriorityLevel);

        if (hasCaughtError()) {
          if (!(nextEffect !== null)) {
            {
              throw Error( "Should be working on an effect." );
            }
          }

          var _error = clearCaughtError();

          captureCommitPhaseError(nextEffect, _error);
          nextEffect = nextEffect.nextEffect;
        }
      }
    } while (nextEffect !== null);

    resetAfterCommit(root.containerInfo); // The work-in-progress tree is now the current tree. This must come after
    // the mutation phase, so that the previous tree is still current during
    // componentWillUnmount, but before the layout phase, so that the finished
    // work is current during componentDidMount/Update.

    root.current = finishedWork; // The next phase is the layout phase, where we call effects that read
    // the host tree after it's been mutated. The idiomatic use case for this is
    // layout, but class component lifecycles also fire here for legacy reasons.

    nextEffect = firstEffect;

    do {
      {
        invokeGuardedCallback(null, commitLayoutEffects, null, root, lanes);

        if (hasCaughtError()) {
          if (!(nextEffect !== null)) {
            {
              throw Error( "Should be working on an effect." );
            }
          }

          var _error2 = clearCaughtError();

          captureCommitPhaseError(nextEffect, _error2);
          nextEffect = nextEffect.nextEffect;
        }
      }
    } while (nextEffect !== null);

    nextEffect = null; // Tell Scheduler to yield at the end of the frame, so the browser has an
    // opportunity to paint.

    requestPaint();

    {
      popInteractions(prevInteractions);
    }

    executionContext = prevExecutionContext;
  } else {
    // No effects.
    root.current = finishedWork; // Measure these anyway so the flamegraph explicitly shows that there were
    // no effects.
    // TODO: Maybe there's a better way to report this.

    {
      recordCommitTime();
    }
  }

  var rootDidHavePassiveEffects = rootDoesHavePassiveEffects;

  if (rootDoesHavePassiveEffects) {
    // This commit has passive effects. Stash a reference to them. But don't
    // schedule a callback until after flushing layout work.
    rootDoesHavePassiveEffects = false;
    rootWithPendingPassiveEffects = root;
    pendingPassiveEffectsLanes = lanes;
    pendingPassiveEffectsRenderPriority = renderPriorityLevel;
  } else {
    // We are done with the effect chain at this point so let's clear the
    // nextEffect pointers to assist with GC. If we have passive effects, we'll
    // clear this in flushPassiveEffects.
    nextEffect = firstEffect;

    while (nextEffect !== null) {
      var nextNextEffect = nextEffect.nextEffect;
      nextEffect.nextEffect = null;

      if (nextEffect.flags & Deletion) {
        detachFiberAfterEffects(nextEffect);
      }

      nextEffect = nextNextEffect;
    }
  } // Read this again, since an effect might have updated it


  remainingLanes = root.pendingLanes; // Check if there's remaining work on this root

  if (remainingLanes !== NoLanes) {
    {
      if (spawnedWorkDuringRender !== null) {
        var expirationTimes = spawnedWorkDuringRender;
        spawnedWorkDuringRender = null;

        for (var i = 0; i < expirationTimes.length; i++) {
          scheduleInteractions(root, expirationTimes[i], root.memoizedInteractions);
        }
      }

      schedulePendingInteractions(root, remainingLanes);
    }
  } else {
    // If there's no remaining work, we can clear the set of already failed
    // error boundaries.
    legacyErrorBoundariesThatAlreadyFailed = null;
  }

  {
    if (!rootDidHavePassiveEffects) {
      // If there are no passive effects, then we can complete the pending interactions.
      // Otherwise, we'll wait until after the passive effects are flushed.
      // Wait to do this until after remaining work has been scheduled,
      // so that we don't prematurely signal complete for interactions when there's e.g. hidden work.
      finishPendingInteractions(root, lanes);
    }
  }

  if (remainingLanes === SyncLane) {
    // Count the number of times the root synchronously re-renders without
    // finishing. If there are too many, it indicates an infinite update loop.
    if (root === rootWithNestedUpdates) {
      nestedUpdateCount++;
    } else {
      nestedUpdateCount = 0;
      rootWithNestedUpdates = root;
    }
  } else {
    nestedUpdateCount = 0;
  }

  onCommitRoot(finishedWork.stateNode, renderPriorityLevel);

  {
    onCommitRoot$1();
  } // Always call this before exiting `commitRoot`, to ensure that any
  // additional work on this root is scheduled.


  ensureRootIsScheduled(root, now());

  if (hasUncaughtError) {
    hasUncaughtError = false;
    var _error3 = firstUncaughtError;
    firstUncaughtError = null;
    throw _error3;
  }

  if ((executionContext & LegacyUnbatchedContext) !== NoContext) {
    // a ReactDOM.render-ed root inside of batchedUpdates. The commit fired
    // synchronously, but layout updates should be deferred until the end
    // of the batch.


    return null;
  } // If layout work was scheduled, flush it now.


  flushSyncCallbackQueue();

  return null;
}

function commitBeforeMutationEffects() {
  while (nextEffect !== null) {
    var current = nextEffect.alternate;

    if (!shouldFireAfterActiveInstanceBlur && focusedInstanceHandle !== null) {
      if ((nextEffect.flags & Deletion) !== NoFlags) {
        if (doesFiberContain(nextEffect, focusedInstanceHandle)) {
          shouldFireAfterActiveInstanceBlur = true;
        }
      } else {
        // TODO: Move this out of the hot path using a dedicated effect tag.
        if (nextEffect.tag === SuspenseComponent && isSuspenseBoundaryBeingHidden(current, nextEffect) && doesFiberContain(nextEffect, focusedInstanceHandle)) {
          shouldFireAfterActiveInstanceBlur = true;
        }
      }
    }

    var flags = nextEffect.flags;

    if ((flags & Snapshot) !== NoFlags) {
      setCurrentFiber(nextEffect);
      commitBeforeMutationLifeCycles(current, nextEffect);
      resetCurrentFiber();
    }

    if ((flags & Passive) !== NoFlags) {
      // If there are passive effects, schedule a callback to flush at
      // the earliest opportunity.
      if (!rootDoesHavePassiveEffects) {
        rootDoesHavePassiveEffects = true;
        scheduleCallback(NormalPriority$1, function () {
          flushPassiveEffects();
          return null;
        });
      }
    }

    nextEffect = nextEffect.nextEffect;
  }
}

function commitMutationEffects(root, renderPriorityLevel) {
  // TODO: Should probably move the bulk of this function to commitWork.
  while (nextEffect !== null) {
    setCurrentFiber(nextEffect);
    var flags = nextEffect.flags;

    if (flags & ContentReset) {
      commitResetTextContent(nextEffect);
    }

    if (flags & Ref) {
      var current = nextEffect.alternate;

      if (current !== null) {
        commitDetachRef(current);
      }
    } // The following switch statement is only concerned about placement,
    // updates, and deletions. To avoid needing to add a case for every possible
    // bitmap value, we remove the secondary effects from the effect tag and
    // switch on that value.


    var primaryFlags = flags & (Placement | Update | Deletion | Hydrating);

    switch (primaryFlags) {
      case Placement:
        {
          commitPlacement(nextEffect); // Clear the "placement" from effect tag so that we know that this is
          // inserted, before any life-cycles like componentDidMount gets called.
          // TODO: findDOMNode doesn't rely on this any more but isMounted does
          // and isMounted is deprecated anyway so we should be able to kill this.

          nextEffect.flags &= ~Placement;
          break;
        }

      case PlacementAndUpdate:
        {
          // Placement
          commitPlacement(nextEffect); // Clear the "placement" from effect tag so that we know that this is
          // inserted, before any life-cycles like componentDidMount gets called.

          nextEffect.flags &= ~Placement; // Update

          var _current = nextEffect.alternate;
          commitWork(_current, nextEffect);
          break;
        }

      case Hydrating:
        {
          nextEffect.flags &= ~Hydrating;
          break;
        }

      case HydratingAndUpdate:
        {
          nextEffect.flags &= ~Hydrating; // Update

          var _current2 = nextEffect.alternate;
          commitWork(_current2, nextEffect);
          break;
        }

      case Update:
        {
          var _current3 = nextEffect.alternate;
          commitWork(_current3, nextEffect);
          break;
        }

      case Deletion:
        {
          commitDeletion(root, nextEffect);
          break;
        }
    }

    resetCurrentFiber();
    nextEffect = nextEffect.nextEffect;
  }
}

function commitLayoutEffects(root, committedLanes) {


  while (nextEffect !== null) {
    setCurrentFiber(nextEffect);
    var flags = nextEffect.flags;

    if (flags & (Update | Callback)) {
      var current = nextEffect.alternate;
      commitLifeCycles(root, current, nextEffect);
    }

    {
      if (flags & Ref) {
        commitAttachRef(nextEffect);
      }
    }

    resetCurrentFiber();
    nextEffect = nextEffect.nextEffect;
  }
}

function flushPassiveEffects() {
  // Returns whether passive effects were flushed.
  if (pendingPassiveEffectsRenderPriority !== NoPriority$1) {
    var priorityLevel = pendingPassiveEffectsRenderPriority > NormalPriority$1 ? NormalPriority$1 : pendingPassiveEffectsRenderPriority;
    pendingPassiveEffectsRenderPriority = NoPriority$1;

    {
      return runWithPriority$1(priorityLevel, flushPassiveEffectsImpl);
    }
  }

  return false;
}
function enqueuePendingPassiveHookEffectMount(fiber, effect) {
  pendingPassiveHookEffectsMount.push(effect, fiber);

  if (!rootDoesHavePassiveEffects) {
    rootDoesHavePassiveEffects = true;
    scheduleCallback(NormalPriority$1, function () {
      flushPassiveEffects();
      return null;
    });
  }
}
function enqueuePendingPassiveHookEffectUnmount(fiber, effect) {
  pendingPassiveHookEffectsUnmount.push(effect, fiber);

  {
    fiber.flags |= PassiveUnmountPendingDev;
    var alternate = fiber.alternate;

    if (alternate !== null) {
      alternate.flags |= PassiveUnmountPendingDev;
    }
  }

  if (!rootDoesHavePassiveEffects) {
    rootDoesHavePassiveEffects = true;
    scheduleCallback(NormalPriority$1, function () {
      flushPassiveEffects();
      return null;
    });
  }
}

function invokePassiveEffectCreate(effect) {
  var create = effect.create;
  effect.destroy = create();
}

function flushPassiveEffectsImpl() {
  if (rootWithPendingPassiveEffects === null) {
    return false;
  }

  var root = rootWithPendingPassiveEffects;
  var lanes = pendingPassiveEffectsLanes;
  rootWithPendingPassiveEffects = null;
  pendingPassiveEffectsLanes = NoLanes;

  if (!((executionContext & (RenderContext | CommitContext)) === NoContext)) {
    {
      throw Error( "Cannot flush passive effects while already rendering." );
    }
  }

  {
    isFlushingPassiveEffects = true;
  }

  var prevExecutionContext = executionContext;
  executionContext |= CommitContext;
  var prevInteractions = pushInteractions(root); // It's important that ALL pending passive effect destroy functions are called
  // before ANY passive effect create functions are called.
  // Otherwise effects in sibling components might interfere with each other.
  // e.g. a destroy function in one component may unintentionally override a ref
  // value set by a create function in another component.
  // Layout effects have the same constraint.
  // First pass: Destroy stale passive effects.

  var unmountEffects = pendingPassiveHookEffectsUnmount;
  pendingPassiveHookEffectsUnmount = [];

  for (var i = 0; i < unmountEffects.length; i += 2) {
    var _effect = unmountEffects[i];
    var fiber = unmountEffects[i + 1];
    var destroy = _effect.destroy;
    _effect.destroy = undefined;

    {
      fiber.flags &= ~PassiveUnmountPendingDev;
      var alternate = fiber.alternate;

      if (alternate !== null) {
        alternate.flags &= ~PassiveUnmountPendingDev;
      }
    }

    if (typeof destroy === 'function') {
      {
        setCurrentFiber(fiber);

        {
          invokeGuardedCallback(null, destroy, null);
        }

        if (hasCaughtError()) {
          if (!(fiber !== null)) {
            {
              throw Error( "Should be working on an effect." );
            }
          }

          var error = clearCaughtError();
          captureCommitPhaseError(fiber, error);
        }

        resetCurrentFiber();
      }
    }
  } // Second pass: Create new passive effects.


  var mountEffects = pendingPassiveHookEffectsMount;
  pendingPassiveHookEffectsMount = [];

  for (var _i = 0; _i < mountEffects.length; _i += 2) {
    var _effect2 = mountEffects[_i];
    var _fiber = mountEffects[_i + 1];

    {
      setCurrentFiber(_fiber);

      {
        invokeGuardedCallback(null, invokePassiveEffectCreate, null, _effect2);
      }

      if (hasCaughtError()) {
        if (!(_fiber !== null)) {
          {
            throw Error( "Should be working on an effect." );
          }
        }

        var _error4 = clearCaughtError();

        captureCommitPhaseError(_fiber, _error4);
      }

      resetCurrentFiber();
    }
  } // Note: This currently assumes there are no passive effects on the root fiber
  // because the root is not part of its own effect list.
  // This could change in the future.


  var effect = root.current.firstEffect;

  while (effect !== null) {
    var nextNextEffect = effect.nextEffect; // Remove nextEffect pointer to assist GC

    effect.nextEffect = null;

    if (effect.flags & Deletion) {
      detachFiberAfterEffects(effect);
    }

    effect = nextNextEffect;
  }

  {
    popInteractions(prevInteractions);
    finishPendingInteractions(root, lanes);
  }

  {
    isFlushingPassiveEffects = false;
  }

  executionContext = prevExecutionContext;
  flushSyncCallbackQueue(); // If additional passive effects were scheduled, increment a counter. If this
  // exceeds the limit, we'll fire a warning.

  nestedPassiveUpdateCount = rootWithPendingPassiveEffects === null ? 0 : nestedPassiveUpdateCount + 1;
  return true;
}

function isAlreadyFailedLegacyErrorBoundary(instance) {
  return legacyErrorBoundariesThatAlreadyFailed !== null && legacyErrorBoundariesThatAlreadyFailed.has(instance);
}
function markLegacyErrorBoundaryAsFailed(instance) {
  if (legacyErrorBoundariesThatAlreadyFailed === null) {
    legacyErrorBoundariesThatAlreadyFailed = new Set([instance]);
  } else {
    legacyErrorBoundariesThatAlreadyFailed.add(instance);
  }
}

function prepareToThrowUncaughtError(error) {
  if (!hasUncaughtError) {
    hasUncaughtError = true;
    firstUncaughtError = error;
  }
}

var onUncaughtError = prepareToThrowUncaughtError;

function captureCommitPhaseErrorOnRoot(rootFiber, sourceFiber, error) {
  var errorInfo = createCapturedValue(error, sourceFiber);
  var update = createRootErrorUpdate(rootFiber, errorInfo, SyncLane);
  enqueueUpdate(rootFiber, update);
  var eventTime = requestEventTime();
  var root = markUpdateLaneFromFiberToRoot(rootFiber, SyncLane);

  if (root !== null) {
    markRootUpdated(root, SyncLane, eventTime);
    ensureRootIsScheduled(root, eventTime);
    schedulePendingInteractions(root, SyncLane);
  }
}

function captureCommitPhaseError(sourceFiber, error) {
  if (sourceFiber.tag === HostRoot) {
    // Error was thrown at the root. There is no parent, so the root
    // itself should capture it.
    captureCommitPhaseErrorOnRoot(sourceFiber, sourceFiber, error);
    return;
  }

  var fiber = sourceFiber.return;

  while (fiber !== null) {
    if (fiber.tag === HostRoot) {
      captureCommitPhaseErrorOnRoot(fiber, sourceFiber, error);
      return;
    } else if (fiber.tag === ClassComponent) {
      var ctor = fiber.type;
      var instance = fiber.stateNode;

      if (typeof ctor.getDerivedStateFromError === 'function' || typeof instance.componentDidCatch === 'function' && !isAlreadyFailedLegacyErrorBoundary(instance)) {
        var errorInfo = createCapturedValue(error, sourceFiber);
        var update = createClassErrorUpdate(fiber, errorInfo, SyncLane);
        enqueueUpdate(fiber, update);
        var eventTime = requestEventTime();
        var root = markUpdateLaneFromFiberToRoot(fiber, SyncLane);

        if (root !== null) {
          markRootUpdated(root, SyncLane, eventTime);
          ensureRootIsScheduled(root, eventTime);
          schedulePendingInteractions(root, SyncLane);
        } else {
          // This component has already been unmounted.
          // We can't schedule any follow up work for the root because the fiber is already unmounted,
          // but we can still call the log-only boundary so the error isn't swallowed.
          //
          // TODO This is only a temporary bandaid for the old reconciler fork.
          // We can delete this special case once the new fork is merged.
          if (typeof instance.componentDidCatch === 'function' && !isAlreadyFailedLegacyErrorBoundary(instance)) {
            try {
              instance.componentDidCatch(error, errorInfo);
            } catch (errorToIgnore) {// TODO Ignore this error? Rethrow it?
              // This is kind of an edge case.
            }
          }
        }

        return;
      }
    }

    fiber = fiber.return;
  }
}
function pingSuspendedRoot(root, wakeable, pingedLanes) {
  var pingCache = root.pingCache;

  if (pingCache !== null) {
    // The wakeable resolved, so we no longer need to memoize, because it will
    // never be thrown again.
    pingCache.delete(wakeable);
  }

  var eventTime = requestEventTime();
  markRootPinged(root, pingedLanes);

  if (workInProgressRoot === root && isSubsetOfLanes(workInProgressRootRenderLanes, pingedLanes)) {
    // Received a ping at the same priority level at which we're currently
    // rendering. We might want to restart this render. This should mirror
    // the logic of whether or not a root suspends once it completes.
    // TODO: If we're rendering sync either due to Sync, Batched or expired,
    // we should probably never restart.
    // If we're suspended with delay, or if it's a retry, we'll always suspend
    // so we can always restart.
    if (workInProgressRootExitStatus === RootSuspendedWithDelay || workInProgressRootExitStatus === RootSuspended && includesOnlyRetries(workInProgressRootRenderLanes) && now() - globalMostRecentFallbackTime < FALLBACK_THROTTLE_MS) {
      // Restart from the root.
      prepareFreshStack(root, NoLanes);
    } else {
      // Even though we can't restart right now, we might get an
      // opportunity later. So we mark this render as having a ping.
      workInProgressRootPingedLanes = mergeLanes(workInProgressRootPingedLanes, pingedLanes);
    }
  }

  ensureRootIsScheduled(root, eventTime);
  schedulePendingInteractions(root, pingedLanes);
}

function retryTimedOutBoundary(boundaryFiber, retryLane) {
  // The boundary fiber (a Suspense component or SuspenseList component)
  // previously was rendered in its fallback state. One of the promises that
  // suspended it has resolved, which means at least part of the tree was
  // likely unblocked. Try rendering again, at a new expiration time.
  if (retryLane === NoLane) {
    retryLane = requestRetryLane(boundaryFiber);
  } // TODO: Special case idle priority?


  var eventTime = requestEventTime();
  var root = markUpdateLaneFromFiberToRoot(boundaryFiber, retryLane);

  if (root !== null) {
    markRootUpdated(root, retryLane, eventTime);
    ensureRootIsScheduled(root, eventTime);
    schedulePendingInteractions(root, retryLane);
  }
}
function resolveRetryWakeable(boundaryFiber, wakeable) {
  var retryLane = NoLane; // Default

  var retryCache;

  {
    retryCache = boundaryFiber.stateNode;
  }

  if (retryCache !== null) {
    // The wakeable resolved, so we no longer need to memoize, because it will
    // never be thrown again.
    retryCache.delete(wakeable);
  }

  retryTimedOutBoundary(boundaryFiber, retryLane);
} // Computes the next Just Noticeable Difference (JND) boundary.
// The theory is that a person can't tell the difference between small differences in time.
// Therefore, if we wait a bit longer than necessary that won't translate to a noticeable
// difference in the experience. However, waiting for longer might mean that we can avoid
// showing an intermediate loading state. The longer we have already waited, the harder it
// is to tell small differences in time. Therefore, the longer we've already waited,
// the longer we can wait additionally. At some point we have to give up though.
// We pick a train model where the next boundary commits at a consistent schedule.
// These particular numbers are vague estimates. We expect to adjust them based on research.

function jnd(timeElapsed) {
  return timeElapsed < 120 ? 120 : timeElapsed < 480 ? 480 : timeElapsed < 1080 ? 1080 : timeElapsed < 1920 ? 1920 : timeElapsed < 3000 ? 3000 : timeElapsed < 4320 ? 4320 : ceil(timeElapsed / 1960) * 1960;
}

function checkForNestedUpdates() {
  if (nestedUpdateCount > NESTED_UPDATE_LIMIT) {
    nestedUpdateCount = 0;
    rootWithNestedUpdates = null;

    {
      {
        throw Error( "Maximum update depth exceeded. This can happen when a component repeatedly calls setState inside componentWillUpdate or componentDidUpdate. React limits the number of nested updates to prevent infinite loops." );
      }
    }
  }

  {
    if (nestedPassiveUpdateCount > NESTED_PASSIVE_UPDATE_LIMIT) {
      nestedPassiveUpdateCount = 0;

      error('Maximum update depth exceeded. This can happen when a component ' + "calls setState inside useEffect, but useEffect either doesn't " + 'have a dependency array, or one of the dependencies changes on ' + 'every render.');
    }
  }
}

function flushRenderPhaseStrictModeWarningsInDEV() {
  {
    ReactStrictModeWarnings.flushLegacyContextWarning();

    {
      ReactStrictModeWarnings.flushPendingUnsafeLifecycleWarnings();
    }
  }
}

var didWarnStateUpdateForNotYetMountedComponent = null;

function warnAboutUpdateOnNotYetMountedFiberInDEV(fiber) {
  {
    if ((executionContext & RenderContext) !== NoContext) {
      // We let the other warning about render phase updates deal with this one.
      return;
    }

    if (!(fiber.mode & (BlockingMode | ConcurrentMode))) {
      return;
    }

    var tag = fiber.tag;

    if (tag !== IndeterminateComponent && tag !== HostRoot && tag !== ClassComponent && tag !== FunctionComponent && tag !== ForwardRef && tag !== MemoComponent && tag !== SimpleMemoComponent && tag !== Block) {
      // Only warn for user-defined components, not internal ones like Suspense.
      return;
    } // We show the whole stack but dedupe on the top component's name because
    // the problematic code almost always lies inside that component.


    var componentName = getComponentName(fiber.type) || 'ReactComponent';

    if (didWarnStateUpdateForNotYetMountedComponent !== null) {
      if (didWarnStateUpdateForNotYetMountedComponent.has(componentName)) {
        return;
      }

      didWarnStateUpdateForNotYetMountedComponent.add(componentName);
    } else {
      didWarnStateUpdateForNotYetMountedComponent = new Set([componentName]);
    }

    var previousFiber = current;

    try {
      setCurrentFiber(fiber);

      error("Can't perform a React state update on a component that hasn't mounted yet. " + 'This indicates that you have a side-effect in your render function that ' + 'asynchronously later calls tries to update the component. Move this work to ' + 'useEffect instead.');
    } finally {
      if (previousFiber) {
        setCurrentFiber(fiber);
      } else {
        resetCurrentFiber();
      }
    }
  }
}

var didWarnStateUpdateForUnmountedComponent = null;

function warnAboutUpdateOnUnmountedFiberInDEV(fiber) {
  {
    var tag = fiber.tag;

    if (tag !== HostRoot && tag !== ClassComponent && tag !== FunctionComponent && tag !== ForwardRef && tag !== MemoComponent && tag !== SimpleMemoComponent && tag !== Block) {
      // Only warn for user-defined components, not internal ones like Suspense.
      return;
    } // If there are pending passive effects unmounts for this Fiber,
    // we can assume that they would have prevented this update.


    if ((fiber.flags & PassiveUnmountPendingDev) !== NoFlags) {
      return;
    } // We show the whole stack but dedupe on the top component's name because
    // the problematic code almost always lies inside that component.


    var componentName = getComponentName(fiber.type) || 'ReactComponent';

    if (didWarnStateUpdateForUnmountedComponent !== null) {
      if (didWarnStateUpdateForUnmountedComponent.has(componentName)) {
        return;
      }

      didWarnStateUpdateForUnmountedComponent.add(componentName);
    } else {
      didWarnStateUpdateForUnmountedComponent = new Set([componentName]);
    }

    if (isFlushingPassiveEffects) ; else {
      var previousFiber = current;

      try {
        setCurrentFiber(fiber);

        error("Can't perform a React state update on an unmounted component. This " + 'is a no-op, but it indicates a memory leak in your application. To ' + 'fix, cancel all subscriptions and asynchronous tasks in %s.', tag === ClassComponent ? 'the componentWillUnmount method' : 'a useEffect cleanup function');
      } finally {
        if (previousFiber) {
          setCurrentFiber(fiber);
        } else {
          resetCurrentFiber();
        }
      }
    }
  }
}

var beginWork$1;

{
  var dummyFiber = null;

  beginWork$1 = function (current, unitOfWork, lanes) {
    // If a component throws an error, we replay it again in a synchronously
    // dispatched event, so that the debugger will treat it as an uncaught
    // error See ReactErrorUtils for more information.
    // Before entering the begin phase, copy the work-in-progress onto a dummy
    // fiber. If beginWork throws, we'll use this to reset the state.
    var originalWorkInProgressCopy = assignFiberPropertiesInDEV(dummyFiber, unitOfWork);

    try {
      return beginWork(current, unitOfWork, lanes);
    } catch (originalError) {
      if (originalError !== null && typeof originalError === 'object' && typeof originalError.then === 'function') {
        // Don't replay promises. Treat everything else like an error.
        throw originalError;
      } // Keep this code in sync with handleError; any changes here must have
      // corresponding changes there.


      resetContextDependencies();
      resetHooksAfterThrow(); // Don't reset current debug fiber, since we're about to work on the
      // same fiber again.
      // Unwind the failed stack frame

      unwindInterruptedWork(unitOfWork); // Restore the original properties of the fiber.

      assignFiberPropertiesInDEV(unitOfWork, originalWorkInProgressCopy);

      if ( unitOfWork.mode & ProfileMode) {
        // Reset the profiler timer.
        startProfilerTimer(unitOfWork);
      } // Run beginWork again.


      invokeGuardedCallback(null, beginWork, null, current, unitOfWork, lanes);

      if (hasCaughtError()) {
        var replayError = clearCaughtError(); // `invokeGuardedCallback` sometimes sets an expando `_suppressLogging`.
        // Rethrow this error instead of the original one.

        throw replayError;
      } else {
        // This branch is reachable if the render phase is impure.
        throw originalError;
      }
    }
  };
}

var didWarnAboutUpdateInRender = false;
var didWarnAboutUpdateInRenderForAnotherComponent;

{
  didWarnAboutUpdateInRenderForAnotherComponent = new Set();
}

function warnAboutRenderPhaseUpdatesInDEV(fiber) {
  {
    if (isRendering && (executionContext & RenderContext) !== NoContext && !getIsUpdatingOpaqueValueInRenderPhaseInDEV()) {
      switch (fiber.tag) {
        case FunctionComponent:
        case ForwardRef:
        case SimpleMemoComponent:
          {
            var renderingComponentName = workInProgress && getComponentName(workInProgress.type) || 'Unknown'; // Dedupe by the rendering component because it's the one that needs to be fixed.

            var dedupeKey = renderingComponentName;

            if (!didWarnAboutUpdateInRenderForAnotherComponent.has(dedupeKey)) {
              didWarnAboutUpdateInRenderForAnotherComponent.add(dedupeKey);
              var setStateComponentName = getComponentName(fiber.type) || 'Unknown';

              error('Cannot update a component (`%s`) while rendering a ' + 'different component (`%s`). To locate the bad setState() call inside `%s`, ' + 'follow the stack trace as described in https://reactjs.org/link/setstate-in-render', setStateComponentName, renderingComponentName, renderingComponentName);
            }

            break;
          }

        case ClassComponent:
          {
            if (!didWarnAboutUpdateInRender) {
              error('Cannot update during an existing state transition (such as ' + 'within `render`). Render methods should be a pure ' + 'function of props and state.');

              didWarnAboutUpdateInRender = true;
            }

            break;
          }
      }
    }
  }
} // a 'shared' variable that changes when act() opens/closes in tests.


var IsThisRendererActing = {
  current: false
};
function warnIfNotScopedWithMatchingAct(fiber) {
  {
    if ( IsSomeRendererActing.current === true && IsThisRendererActing.current !== true) {
      var previousFiber = current;

      try {
        setCurrentFiber(fiber);

        error("It looks like you're using the wrong act() around your test interactions.\n" + 'Be sure to use the matching version of act() corresponding to your renderer:\n\n' + '// for react-dom:\n' + // Break up imports to avoid accidentally parsing them as dependencies.
        'import {act} fr' + "om 'react-dom/test-utils';\n" + '// ...\n' + 'act(() => ...);\n\n' + '// for react-test-renderer:\n' + // Break up imports to avoid accidentally parsing them as dependencies.
        'import TestRenderer fr' + "om react-test-renderer';\n" + 'const {act} = TestRenderer;\n' + '// ...\n' + 'act(() => ...);');
      } finally {
        if (previousFiber) {
          setCurrentFiber(fiber);
        } else {
          resetCurrentFiber();
        }
      }
    }
  }
}
function warnIfNotCurrentlyActingEffectsInDEV(fiber) {
  {
    if ( (fiber.mode & StrictMode) !== NoMode && IsSomeRendererActing.current === false && IsThisRendererActing.current === false) {
      error('An update to %s ran an effect, but was not wrapped in act(...).\n\n' + 'When testing, code that causes React state updates should be ' + 'wrapped into act(...):\n\n' + 'act(() => {\n' + '  /* fire events that update state */\n' + '});\n' + '/* assert on the output */\n\n' + "This ensures that you're testing the behavior the user would see " + 'in the browser.' + ' Learn more at https://reactjs.org/link/wrap-tests-with-act', getComponentName(fiber.type));
    }
  }
}

function warnIfNotCurrentlyActingUpdatesInDEV(fiber) {
  {
    if ( executionContext === NoContext && IsSomeRendererActing.current === false && IsThisRendererActing.current === false) {
      var previousFiber = current;

      try {
        setCurrentFiber(fiber);

        error('An update to %s inside a test was not wrapped in act(...).\n\n' + 'When testing, code that causes React state updates should be ' + 'wrapped into act(...):\n\n' + 'act(() => {\n' + '  /* fire events that update state */\n' + '});\n' + '/* assert on the output */\n\n' + "This ensures that you're testing the behavior the user would see " + 'in the browser.' + ' Learn more at https://reactjs.org/link/wrap-tests-with-act', getComponentName(fiber.type));
      } finally {
        if (previousFiber) {
          setCurrentFiber(fiber);
        } else {
          resetCurrentFiber();
        }
      }
    }
  }
}

var warnIfNotCurrentlyActingUpdatesInDev = warnIfNotCurrentlyActingUpdatesInDEV; // In tests, we want to enforce a mocked scheduler.

var didWarnAboutUnmockedScheduler = false; // TODO Before we release concurrent mode, revisit this and decide whether a mocked
// scheduler is the actual recommendation. The alternative could be a testing build,
// a new lib, or whatever; we dunno just yet. This message is for early adopters
// to get their tests right.

function warnIfUnmockedScheduler(fiber) {
  {
    if (didWarnAboutUnmockedScheduler === false && Scheduler.unstable_flushAllWithoutAsserting === undefined) {
      if (fiber.mode & BlockingMode || fiber.mode & ConcurrentMode) {
        didWarnAboutUnmockedScheduler = true;

        error('In Concurrent or Sync modes, the "scheduler" module needs to be mocked ' + 'to guarantee consistent behaviour across tests and browsers. ' + 'For example, with jest: \n' + // Break up requires to avoid accidentally parsing them as dependencies.
        "jest.mock('scheduler', () => require" + "('scheduler/unstable_mock'));\n\n" + 'For more info, visit https://reactjs.org/link/mock-scheduler');
      }
    }
  }
}

function computeThreadID(root, lane) {
  // Interaction threads are unique per root and expiration time.
  // NOTE: Intentionally unsound cast. All that matters is that it's a number
  // and it represents a batch of work. Could make a helper function instead,
  // but meh this is fine for now.
  return lane * 1000 + root.interactionThreadID;
}

function markSpawnedWork(lane) {

  if (spawnedWorkDuringRender === null) {
    spawnedWorkDuringRender = [lane];
  } else {
    spawnedWorkDuringRender.push(lane);
  }
}

function scheduleInteractions(root, lane, interactions) {

  if (interactions.size > 0) {
    var pendingInteractionMap = root.pendingInteractionMap;
    var pendingInteractions = pendingInteractionMap.get(lane);

    if (pendingInteractions != null) {
      interactions.forEach(function (interaction) {
        if (!pendingInteractions.has(interaction)) {
          // Update the pending async work count for previously unscheduled interaction.
          interaction.__count++;
        }

        pendingInteractions.add(interaction);
      });
    } else {
      pendingInteractionMap.set(lane, new Set(interactions)); // Update the pending async work count for the current interactions.

      interactions.forEach(function (interaction) {
        interaction.__count++;
      });
    }

    var subscriber = tracing.__subscriberRef.current;

    if (subscriber !== null) {
      var threadID = computeThreadID(root, lane);
      subscriber.onWorkScheduled(interactions, threadID);
    }
  }
}

function schedulePendingInteractions(root, lane) {

  scheduleInteractions(root, lane, tracing.__interactionsRef.current);
}

function startWorkOnPendingInteractions(root, lanes) {
  // we can accurately attribute time spent working on it, And so that cascading
  // work triggered during the render phase will be associated with it.


  var interactions = new Set();
  root.pendingInteractionMap.forEach(function (scheduledInteractions, scheduledLane) {
    if (includesSomeLane(lanes, scheduledLane)) {
      scheduledInteractions.forEach(function (interaction) {
        return interactions.add(interaction);
      });
    }
  }); // Store the current set of interactions on the FiberRoot for a few reasons:
  // We can re-use it in hot functions like performConcurrentWorkOnRoot()
  // without having to recalculate it. We will also use it in commitWork() to
  // pass to any Profiler onRender() hooks. This also provides DevTools with a
  // way to access it when the onCommitRoot() hook is called.

  root.memoizedInteractions = interactions;

  if (interactions.size > 0) {
    var subscriber = tracing.__subscriberRef.current;

    if (subscriber !== null) {
      var threadID = computeThreadID(root, lanes);

      try {
        subscriber.onWorkStarted(interactions, threadID);
      } catch (error) {
        // If the subscriber throws, rethrow it in a separate task
        scheduleCallback(ImmediatePriority$1, function () {
          throw error;
        });
      }
    }
  }
}

function finishPendingInteractions(root, committedLanes) {

  var remainingLanesAfterCommit = root.pendingLanes;
  var subscriber;

  try {
    subscriber = tracing.__subscriberRef.current;

    if (subscriber !== null && root.memoizedInteractions.size > 0) {
      // FIXME: More than one lane can finish in a single commit.
      var threadID = computeThreadID(root, committedLanes);
      subscriber.onWorkStopped(root.memoizedInteractions, threadID);
    }
  } catch (error) {
    // If the subscriber throws, rethrow it in a separate task
    scheduleCallback(ImmediatePriority$1, function () {
      throw error;
    });
  } finally {
    // Clear completed interactions from the pending Map.
    // Unless the render was suspended or cascading work was scheduled,
    // In which case– leave pending interactions until the subsequent render.
    var pendingInteractionMap = root.pendingInteractionMap;
    pendingInteractionMap.forEach(function (scheduledInteractions, lane) {
      // Only decrement the pending interaction count if we're done.
      // If there's still work at the current priority,
      // That indicates that we are waiting for suspense data.
      if (!includesSomeLane(remainingLanesAfterCommit, lane)) {
        pendingInteractionMap.delete(lane);
        scheduledInteractions.forEach(function (interaction) {
          interaction.__count--;

          if (subscriber !== null && interaction.__count === 0) {
            try {
              subscriber.onInteractionScheduledWorkCompleted(interaction);
            } catch (error) {
              // If the subscriber throws, rethrow it in a separate task
              scheduleCallback(ImmediatePriority$1, function () {
                throw error;
              });
            }
          }
        });
      }
    });
  }
} // `act` testing API

function shouldForceFlushFallbacksInDEV() {
  // Never force flush in production. This function should get stripped out.
  return  actingUpdatesScopeDepth > 0;
}
// so we can tell if any async act() calls try to run in parallel.


var actingUpdatesScopeDepth = 0;

function detachFiberAfterEffects(fiber) {
  fiber.sibling = null;
  fiber.stateNode = null;
}

var resolveFamily = null; // $FlowFixMe Flow gets confused by a WeakSet feature check below.

var failedBoundaries = null;
var setRefreshHandler = function (handler) {
  {
    resolveFamily = handler;
  }
};
function resolveFunctionForHotReloading(type) {
  {
    if (resolveFamily === null) {
      // Hot reloading is disabled.
      return type;
    }

    var family = resolveFamily(type);

    if (family === undefined) {
      return type;
    } // Use the latest known implementation.


    return family.current;
  }
}
function resolveClassForHotReloading(type) {
  // No implementation differences.
  return resolveFunctionForHotReloading(type);
}
function resolveForwardRefForHotReloading(type) {
  {
    if (resolveFamily === null) {
      // Hot reloading is disabled.
      return type;
    }

    var family = resolveFamily(type);

    if (family === undefined) {
      // Check if we're dealing with a real forwardRef. Don't want to crash early.
      if (type !== null && type !== undefined && typeof type.render === 'function') {
        // ForwardRef is special because its resolved .type is an object,
        // but it's possible that we only have its inner render function in the map.
        // If that inner render function is different, we'll build a new forwardRef type.
        var currentRender = resolveFunctionForHotReloading(type.render);

        if (type.render !== currentRender) {
          var syntheticType = {
            $$typeof: REACT_FORWARD_REF_TYPE,
            render: currentRender
          };

          if (type.displayName !== undefined) {
            syntheticType.displayName = type.displayName;
          }

          return syntheticType;
        }
      }

      return type;
    } // Use the latest known implementation.


    return family.current;
  }
}
function isCompatibleFamilyForHotReloading(fiber, element) {
  {
    if (resolveFamily === null) {
      // Hot reloading is disabled.
      return false;
    }

    var prevType = fiber.elementType;
    var nextType = element.type; // If we got here, we know types aren't === equal.

    var needsCompareFamilies = false;
    var $$typeofNextType = typeof nextType === 'object' && nextType !== null ? nextType.$$typeof : null;

    switch (fiber.tag) {
      case ClassComponent:
        {
          if (typeof nextType === 'function') {
            needsCompareFamilies = true;
          }

          break;
        }

      case FunctionComponent:
        {
          if (typeof nextType === 'function') {
            needsCompareFamilies = true;
          } else if ($$typeofNextType === REACT_LAZY_TYPE) {
            // We don't know the inner type yet.
            // We're going to assume that the lazy inner type is stable,
            // and so it is sufficient to avoid reconciling it away.
            // We're not going to unwrap or actually use the new lazy type.
            needsCompareFamilies = true;
          }

          break;
        }

      case ForwardRef:
        {
          if ($$typeofNextType === REACT_FORWARD_REF_TYPE) {
            needsCompareFamilies = true;
          } else if ($$typeofNextType === REACT_LAZY_TYPE) {
            needsCompareFamilies = true;
          }

          break;
        }

      case MemoComponent:
      case SimpleMemoComponent:
        {
          if ($$typeofNextType === REACT_MEMO_TYPE) {
            // TODO: if it was but can no longer be simple,
            // we shouldn't set this.
            needsCompareFamilies = true;
          } else if ($$typeofNextType === REACT_LAZY_TYPE) {
            needsCompareFamilies = true;
          }

          break;
        }

      default:
        return false;
    } // Check if both types have a family and it's the same one.


    if (needsCompareFamilies) {
      // Note: memo() and forwardRef() we'll compare outer rather than inner type.
      // This means both of them need to be registered to preserve state.
      // If we unwrapped and compared the inner types for wrappers instead,
      // then we would risk falsely saying two separate memo(Foo)
      // calls are equivalent because they wrap the same Foo function.
      var prevFamily = resolveFamily(prevType);

      if (prevFamily !== undefined && prevFamily === resolveFamily(nextType)) {
        return true;
      }
    }

    return false;
  }
}
function markFailedErrorBoundaryForHotReloading(fiber) {
  {
    if (resolveFamily === null) {
      // Hot reloading is disabled.
      return;
    }

    if (typeof WeakSet !== 'function') {
      return;
    }

    if (failedBoundaries === null) {
      failedBoundaries = new WeakSet();
    }

    failedBoundaries.add(fiber);
  }
}
var scheduleRefresh = function (root, update) {
  {
    if (resolveFamily === null) {
      // Hot reloading is disabled.
      return;
    }

    var staleFamilies = update.staleFamilies,
        updatedFamilies = update.updatedFamilies;
    flushPassiveEffects();
    flushSync(function () {
      scheduleFibersWithFamiliesRecursively(root.current, updatedFamilies, staleFamilies);
    });
  }
};
var scheduleRoot = function (root, element) {
  {
    if (root.context !== emptyContextObject) {
      // Super edge case: root has a legacy _renderSubtree context
      // but we don't know the parentComponent so we can't pass it.
      // Just ignore. We'll delete this with _renderSubtree code path later.
      return;
    }

    flushPassiveEffects();
    flushSync(function () {
      updateContainer(element, root, null, null);
    });
  }
};

function scheduleFibersWithFamiliesRecursively(fiber, updatedFamilies, staleFamilies) {
  {
    var alternate = fiber.alternate,
        child = fiber.child,
        sibling = fiber.sibling,
        tag = fiber.tag,
        type = fiber.type;
    var candidateType = null;

    switch (tag) {
      case FunctionComponent:
      case SimpleMemoComponent:
      case ClassComponent:
        candidateType = type;
        break;

      case ForwardRef:
        candidateType = type.render;
        break;
    }

    if (resolveFamily === null) {
      throw new Error('Expected resolveFamily to be set during hot reload.');
    }

    var needsRender = false;
    var needsRemount = false;

    if (candidateType !== null) {
      var family = resolveFamily(candidateType);

      if (family !== undefined) {
        if (staleFamilies.has(family)) {
          needsRemount = true;
        } else if (updatedFamilies.has(family)) {
          if (tag === ClassComponent) {
            needsRemount = true;
          } else {
            needsRender = true;
          }
        }
      }
    }

    if (failedBoundaries !== null) {
      if (failedBoundaries.has(fiber) || alternate !== null && failedBoundaries.has(alternate)) {
        needsRemount = true;
      }
    }

    if (needsRemount) {
      fiber._debugNeedsRemount = true;
    }

    if (needsRemount || needsRender) {
      scheduleUpdateOnFiber(fiber, SyncLane, NoTimestamp);
    }

    if (child !== null && !needsRemount) {
      scheduleFibersWithFamiliesRecursively(child, updatedFamilies, staleFamilies);
    }

    if (sibling !== null) {
      scheduleFibersWithFamiliesRecursively(sibling, updatedFamilies, staleFamilies);
    }
  }
}

var findHostInstancesForRefresh = function (root, families) {
  {
    var hostInstances = new Set();
    var types = new Set(families.map(function (family) {
      return family.current;
    }));
    findHostInstancesForMatchingFibersRecursively(root.current, types, hostInstances);
    return hostInstances;
  }
};

function findHostInstancesForMatchingFibersRecursively(fiber, types, hostInstances) {
  {
    var child = fiber.child,
        sibling = fiber.sibling,
        tag = fiber.tag,
        type = fiber.type;
    var candidateType = null;

    switch (tag) {
      case FunctionComponent:
      case SimpleMemoComponent:
      case ClassComponent:
        candidateType = type;
        break;

      case ForwardRef:
        candidateType = type.render;
        break;
    }

    var didMatch = false;

    if (candidateType !== null) {
      if (types.has(candidateType)) {
        didMatch = true;
      }
    }

    if (didMatch) {
      // We have a match. This only drills down to the closest host components.
      // There's no need to search deeper because for the purpose of giving
      // visual feedback, "flashing" outermost parent rectangles is sufficient.
      findHostInstancesForFiberShallowly(fiber, hostInstances);
    } else {
      // If there's no match, maybe there will be one further down in the child tree.
      if (child !== null) {
        findHostInstancesForMatchingFibersRecursively(child, types, hostInstances);
      }
    }

    if (sibling !== null) {
      findHostInstancesForMatchingFibersRecursively(sibling, types, hostInstances);
    }
  }
}

function findHostInstancesForFiberShallowly(fiber, hostInstances) {
  {
    var foundHostInstances = findChildHostInstancesForFiberShallowly(fiber, hostInstances);

    if (foundHostInstances) {
      return;
    } // If we didn't find any host children, fallback to closest host parent.


    var node = fiber;

    while (true) {
      switch (node.tag) {
        case HostComponent:
          hostInstances.add(node.stateNode);
          return;

        case HostPortal:
          hostInstances.add(node.stateNode.containerInfo);
          return;

        case HostRoot:
          hostInstances.add(node.stateNode.containerInfo);
          return;
      }

      if (node.return === null) {
        throw new Error('Expected to reach root first.');
      }

      node = node.return;
    }
  }
}

function findChildHostInstancesForFiberShallowly(fiber, hostInstances) {
  {
    var node = fiber;
    var foundHostInstances = false;

    while (true) {
      if (node.tag === HostComponent) {
        // We got a match.
        foundHostInstances = true;
        hostInstances.add(node.stateNode); // There may still be more, so keep searching.
      } else if (node.child !== null) {
        node.child.return = node;
        node = node.child;
        continue;
      }

      if (node === fiber) {
        return foundHostInstances;
      }

      while (node.sibling === null) {
        if (node.return === null || node.return === fiber) {
          return foundHostInstances;
        }

        node = node.return;
      }

      node.sibling.return = node.return;
      node = node.sibling;
    }
  }

  return false;
}

var hasBadMapPolyfill;

{
  hasBadMapPolyfill = false;

  try {
    var nonExtensibleObject = Object.preventExtensions({});
    /* eslint-disable no-new */

    new Map([[nonExtensibleObject, null]]);
    new Set([nonExtensibleObject]);
    /* eslint-enable no-new */
  } catch (e) {
    // TODO: Consider warning about bad polyfills
    hasBadMapPolyfill = true;
  }
}

var debugCounter = 1;

function FiberNode(tag, pendingProps, key, mode) {
  // Instance
  this.tag = tag;
  this.key = key;
  this.elementType = null;
  this.type = null;
  this.stateNode = null; // Fiber

  this.return = null;
  this.child = null;
  this.sibling = null;
  this.index = 0;
  this.ref = null;
  this.pendingProps = pendingProps;
  this.memoizedProps = null;
  this.updateQueue = null;
  this.memoizedState = null;
  this.dependencies = null;
  this.mode = mode; // Effects

  this.flags = NoFlags;
  this.nextEffect = null;
  this.firstEffect = null;
  this.lastEffect = null;
  this.lanes = NoLanes;
  this.childLanes = NoLanes;
  this.alternate = null;

  {
    // Note: The following is done to avoid a v8 performance cliff.
    //
    // Initializing the fields below to smis and later updating them with
    // double values will cause Fibers to end up having separate shapes.
    // This behavior/bug has something to do with Object.preventExtension().
    // Fortunately this only impacts DEV builds.
    // Unfortunately it makes React unusably slow for some applications.
    // To work around this, initialize the fields below with doubles.
    //
    // Learn more about this here:
    // https://github.com/facebook/react/issues/14365
    // https://bugs.chromium.org/p/v8/issues/detail?id=8538
    this.actualDuration = Number.NaN;
    this.actualStartTime = Number.NaN;
    this.selfBaseDuration = Number.NaN;
    this.treeBaseDuration = Number.NaN; // It's okay to replace the initial doubles with smis after initialization.
    // This won't trigger the performance cliff mentioned above,
    // and it simplifies other profiler code (including DevTools).

    this.actualDuration = 0;
    this.actualStartTime = -1;
    this.selfBaseDuration = 0;
    this.treeBaseDuration = 0;
  }

  {
    // This isn't directly used but is handy for debugging internals:
    this._debugID = debugCounter++;
    this._debugSource = null;
    this._debugOwner = null;
    this._debugNeedsRemount = false;
    this._debugHookTypes = null;

    if (!hasBadMapPolyfill && typeof Object.preventExtensions === 'function') {
      Object.preventExtensions(this);
    }
  }
} // This is a constructor function, rather than a POJO constructor, still
// please ensure we do the following:
// 1) Nobody should add any instance methods on this. Instance methods can be
//    more difficult to predict when they get optimized and they are almost
//    never inlined properly in static compilers.
// 2) Nobody should rely on `instanceof Fiber` for type testing. We should
//    always know when it is a fiber.
// 3) We might want to experiment with using numeric keys since they are easier
//    to optimize in a non-JIT environment.
// 4) We can easily go from a constructor to a createFiber object literal if that
//    is faster.
// 5) It should be easy to port this to a C struct and keep a C implementation
//    compatible.


var createFiber = function (tag, pendingProps, key, mode) {
  // $FlowFixMe: the shapes are exact here but Flow doesn't like constructors
  return new FiberNode(tag, pendingProps, key, mode);
};

function shouldConstruct$1(Component) {
  var prototype = Component.prototype;
  return !!(prototype && prototype.isReactComponent);
}

function isSimpleFunctionComponent(type) {
  return typeof type === 'function' && !shouldConstruct$1(type) && type.defaultProps === undefined;
}
function resolveLazyComponentTag(Component) {
  if (typeof Component === 'function') {
    return shouldConstruct$1(Component) ? ClassComponent : FunctionComponent;
  } else if (Component !== undefined && Component !== null) {
    var $$typeof = Component.$$typeof;

    if ($$typeof === REACT_FORWARD_REF_TYPE) {
      return ForwardRef;
    }

    if ($$typeof === REACT_MEMO_TYPE) {
      return MemoComponent;
    }
  }

  return IndeterminateComponent;
} // This is used to create an alternate fiber to do work on.

function createWorkInProgress(current, pendingProps) {
  var workInProgress = current.alternate;

  if (workInProgress === null) {
    // We use a double buffering pooling technique because we know that we'll
    // only ever need at most two versions of a tree. We pool the "other" unused
    // node that we're free to reuse. This is lazily created to avoid allocating
    // extra objects for things that are never updated. It also allow us to
    // reclaim the extra memory if needed.
    workInProgress = createFiber(current.tag, pendingProps, current.key, current.mode);
    workInProgress.elementType = current.elementType;
    workInProgress.type = current.type;
    workInProgress.stateNode = current.stateNode;

    {
      // DEV-only fields
      workInProgress._debugID = current._debugID;
      workInProgress._debugSource = current._debugSource;
      workInProgress._debugOwner = current._debugOwner;
      workInProgress._debugHookTypes = current._debugHookTypes;
    }

    workInProgress.alternate = current;
    current.alternate = workInProgress;
  } else {
    workInProgress.pendingProps = pendingProps; // Needed because Blocks store data on type.

    workInProgress.type = current.type; // We already have an alternate.
    // Reset the effect tag.

    workInProgress.flags = NoFlags; // The effect list is no longer valid.

    workInProgress.nextEffect = null;
    workInProgress.firstEffect = null;
    workInProgress.lastEffect = null;

    {
      // We intentionally reset, rather than copy, actualDuration & actualStartTime.
      // This prevents time from endlessly accumulating in new commits.
      // This has the downside of resetting values for different priority renders,
      // But works for yielding (the common case) and should support resuming.
      workInProgress.actualDuration = 0;
      workInProgress.actualStartTime = -1;
    }
  }

  workInProgress.childLanes = current.childLanes;
  workInProgress.lanes = current.lanes;
  workInProgress.child = current.child;
  workInProgress.memoizedProps = current.memoizedProps;
  workInProgress.memoizedState = current.memoizedState;
  workInProgress.updateQueue = current.updateQueue; // Clone the dependencies object. This is mutated during the render phase, so
  // it cannot be shared with the current fiber.

  var currentDependencies = current.dependencies;
  workInProgress.dependencies = currentDependencies === null ? null : {
    lanes: currentDependencies.lanes,
    firstContext: currentDependencies.firstContext
  }; // These will be overridden during the parent's reconciliation

  workInProgress.sibling = current.sibling;
  workInProgress.index = current.index;
  workInProgress.ref = current.ref;

  {
    workInProgress.selfBaseDuration = current.selfBaseDuration;
    workInProgress.treeBaseDuration = current.treeBaseDuration;
  }

  {
    workInProgress._debugNeedsRemount = current._debugNeedsRemount;

    switch (workInProgress.tag) {
      case IndeterminateComponent:
      case FunctionComponent:
      case SimpleMemoComponent:
        workInProgress.type = resolveFunctionForHotReloading(current.type);
        break;

      case ClassComponent:
        workInProgress.type = resolveClassForHotReloading(current.type);
        break;

      case ForwardRef:
        workInProgress.type = resolveForwardRefForHotReloading(current.type);
        break;
    }
  }

  return workInProgress;
} // Used to reuse a Fiber for a second pass.

function resetWorkInProgress(workInProgress, renderLanes) {
  // This resets the Fiber to what createFiber or createWorkInProgress would
  // have set the values to before during the first pass. Ideally this wouldn't
  // be necessary but unfortunately many code paths reads from the workInProgress
  // when they should be reading from current and writing to workInProgress.
  // We assume pendingProps, index, key, ref, return are still untouched to
  // avoid doing another reconciliation.
  // Reset the effect tag but keep any Placement tags, since that's something
  // that child fiber is setting, not the reconciliation.
  workInProgress.flags &= Placement; // The effect list is no longer valid.

  workInProgress.nextEffect = null;
  workInProgress.firstEffect = null;
  workInProgress.lastEffect = null;
  var current = workInProgress.alternate;

  if (current === null) {
    // Reset to createFiber's initial values.
    workInProgress.childLanes = NoLanes;
    workInProgress.lanes = renderLanes;
    workInProgress.child = null;
    workInProgress.memoizedProps = null;
    workInProgress.memoizedState = null;
    workInProgress.updateQueue = null;
    workInProgress.dependencies = null;
    workInProgress.stateNode = null;

    {
      // Note: We don't reset the actualTime counts. It's useful to accumulate
      // actual time across multiple render passes.
      workInProgress.selfBaseDuration = 0;
      workInProgress.treeBaseDuration = 0;
    }
  } else {
    // Reset to the cloned values that createWorkInProgress would've.
    workInProgress.childLanes = current.childLanes;
    workInProgress.lanes = current.lanes;
    workInProgress.child = current.child;
    workInProgress.memoizedProps = current.memoizedProps;
    workInProgress.memoizedState = current.memoizedState;
    workInProgress.updateQueue = current.updateQueue; // Needed because Blocks store data on type.

    workInProgress.type = current.type; // Clone the dependencies object. This is mutated during the render phase, so
    // it cannot be shared with the current fiber.

    var currentDependencies = current.dependencies;
    workInProgress.dependencies = currentDependencies === null ? null : {
      lanes: currentDependencies.lanes,
      firstContext: currentDependencies.firstContext
    };

    {
      // Note: We don't reset the actualTime counts. It's useful to accumulate
      // actual time across multiple render passes.
      workInProgress.selfBaseDuration = current.selfBaseDuration;
      workInProgress.treeBaseDuration = current.treeBaseDuration;
    }
  }

  return workInProgress;
}
function createHostRootFiber(tag) {
  var mode;

  if (tag === ConcurrentRoot) {
    mode = ConcurrentMode | BlockingMode | StrictMode;
  } else if (tag === BlockingRoot) {
    mode = BlockingMode | StrictMode;
  } else {
    mode = NoMode;
  }

  if ( isDevToolsPresent) {
    // Always collect profile timings when DevTools are present.
    // This enables DevTools to start capturing timing at any point–
    // Without some nodes in the tree having empty base times.
    mode |= ProfileMode;
  }

  return createFiber(HostRoot, null, null, mode);
}
function createFiberFromTypeAndProps(type, // React$ElementType
key, pendingProps, owner, mode, lanes) {
  var fiberTag = IndeterminateComponent; // The resolved type is set if we know what the final type will be. I.e. it's not lazy.

  var resolvedType = type;

  if (typeof type === 'function') {
    if (shouldConstruct$1(type)) {
      fiberTag = ClassComponent;

      {
        resolvedType = resolveClassForHotReloading(resolvedType);
      }
    } else {
      {
        resolvedType = resolveFunctionForHotReloading(resolvedType);
      }
    }
  } else if (typeof type === 'string') {
    fiberTag = HostComponent;
  } else {
    getTag: switch (type) {
      case REACT_FRAGMENT_TYPE:
        return createFiberFromFragment(pendingProps.children, mode, lanes, key);

      case REACT_DEBUG_TRACING_MODE_TYPE:
        fiberTag = Mode;
        mode |= DebugTracingMode;
        break;

      case REACT_STRICT_MODE_TYPE:
        fiberTag = Mode;
        mode |= StrictMode;
        break;

      case REACT_PROFILER_TYPE:
        return createFiberFromProfiler(pendingProps, mode, lanes, key);

      case REACT_SUSPENSE_TYPE:
        return createFiberFromSuspense(pendingProps, mode, lanes, key);

      case REACT_SUSPENSE_LIST_TYPE:
        return createFiberFromSuspenseList(pendingProps, mode, lanes, key);

      case REACT_OFFSCREEN_TYPE:
        return createFiberFromOffscreen(pendingProps, mode, lanes, key);

      case REACT_LEGACY_HIDDEN_TYPE:
        return createFiberFromLegacyHidden(pendingProps, mode, lanes, key);

      case REACT_SCOPE_TYPE:

      // eslint-disable-next-line no-fallthrough

      default:
        {
          if (typeof type === 'object' && type !== null) {
            switch (type.$$typeof) {
              case REACT_PROVIDER_TYPE:
                fiberTag = ContextProvider;
                break getTag;

              case REACT_CONTEXT_TYPE:
                // This is a consumer
                fiberTag = ContextConsumer;
                break getTag;

              case REACT_FORWARD_REF_TYPE:
                fiberTag = ForwardRef;

                {
                  resolvedType = resolveForwardRefForHotReloading(resolvedType);
                }

                break getTag;

              case REACT_MEMO_TYPE:
                fiberTag = MemoComponent;
                break getTag;

              case REACT_LAZY_TYPE:
                fiberTag = LazyComponent;
                resolvedType = null;
                break getTag;

              case REACT_BLOCK_TYPE:
                fiberTag = Block;
                break getTag;
            }
          }

          var info = '';

          {
            if (type === undefined || typeof type === 'object' && type !== null && Object.keys(type).length === 0) {
              info += ' You likely forgot to export your component from the file ' + "it's defined in, or you might have mixed up default and " + 'named imports.';
            }

            var ownerName = owner ? getComponentName(owner.type) : null;

            if (ownerName) {
              info += '\n\nCheck the render method of `' + ownerName + '`.';
            }
          }

          {
            {
              throw Error( "Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: " + (type == null ? type : typeof type) + "." + info );
            }
          }
        }
    }
  }

  var fiber = createFiber(fiberTag, pendingProps, key, mode);
  fiber.elementType = type;
  fiber.type = resolvedType;
  fiber.lanes = lanes;

  {
    fiber._debugOwner = owner;
  }

  return fiber;
}
function createFiberFromElement(element, mode, lanes) {
  var owner = null;

  {
    owner = element._owner;
  }

  var type = element.type;
  var key = element.key;
  var pendingProps = element.props;
  var fiber = createFiberFromTypeAndProps(type, key, pendingProps, owner, mode, lanes);

  {
    fiber._debugSource = element._source;
    fiber._debugOwner = element._owner;
  }

  return fiber;
}
function createFiberFromFragment(elements, mode, lanes, key) {
  var fiber = createFiber(Fragment, elements, key, mode);
  fiber.lanes = lanes;
  return fiber;
}

function createFiberFromProfiler(pendingProps, mode, lanes, key) {
  {
    if (typeof pendingProps.id !== 'string') {
      error('Profiler must specify an "id" as a prop');
    }
  }

  var fiber = createFiber(Profiler, pendingProps, key, mode | ProfileMode); // TODO: The Profiler fiber shouldn't have a type. It has a tag.

  fiber.elementType = REACT_PROFILER_TYPE;
  fiber.type = REACT_PROFILER_TYPE;
  fiber.lanes = lanes;

  {
    fiber.stateNode = {
      effectDuration: 0,
      passiveEffectDuration: 0
    };
  }

  return fiber;
}

function createFiberFromSuspense(pendingProps, mode, lanes, key) {
  var fiber = createFiber(SuspenseComponent, pendingProps, key, mode); // TODO: The SuspenseComponent fiber shouldn't have a type. It has a tag.
  // This needs to be fixed in getComponentName so that it relies on the tag
  // instead.

  fiber.type = REACT_SUSPENSE_TYPE;
  fiber.elementType = REACT_SUSPENSE_TYPE;
  fiber.lanes = lanes;
  return fiber;
}
function createFiberFromSuspenseList(pendingProps, mode, lanes, key) {
  var fiber = createFiber(SuspenseListComponent, pendingProps, key, mode);

  {
    // TODO: The SuspenseListComponent fiber shouldn't have a type. It has a tag.
    // This needs to be fixed in getComponentName so that it relies on the tag
    // instead.
    fiber.type = REACT_SUSPENSE_LIST_TYPE;
  }

  fiber.elementType = REACT_SUSPENSE_LIST_TYPE;
  fiber.lanes = lanes;
  return fiber;
}
function createFiberFromOffscreen(pendingProps, mode, lanes, key) {
  var fiber = createFiber(OffscreenComponent, pendingProps, key, mode); // TODO: The OffscreenComponent fiber shouldn't have a type. It has a tag.
  // This needs to be fixed in getComponentName so that it relies on the tag
  // instead.

  {
    fiber.type = REACT_OFFSCREEN_TYPE;
  }

  fiber.elementType = REACT_OFFSCREEN_TYPE;
  fiber.lanes = lanes;
  return fiber;
}
function createFiberFromLegacyHidden(pendingProps, mode, lanes, key) {
  var fiber = createFiber(LegacyHiddenComponent, pendingProps, key, mode); // TODO: The LegacyHidden fiber shouldn't have a type. It has a tag.
  // This needs to be fixed in getComponentName so that it relies on the tag
  // instead.

  {
    fiber.type = REACT_LEGACY_HIDDEN_TYPE;
  }

  fiber.elementType = REACT_LEGACY_HIDDEN_TYPE;
  fiber.lanes = lanes;
  return fiber;
}
function createFiberFromText(content, mode, lanes) {
  var fiber = createFiber(HostText, content, null, mode);
  fiber.lanes = lanes;
  return fiber;
}
function createFiberFromHostInstanceForDeletion() {
  var fiber = createFiber(HostComponent, null, null, NoMode); // TODO: These should not need a type.

  fiber.elementType = 'DELETED';
  fiber.type = 'DELETED';
  return fiber;
}
function createFiberFromPortal(portal, mode, lanes) {
  var pendingProps = portal.children !== null ? portal.children : [];
  var fiber = createFiber(HostPortal, pendingProps, portal.key, mode);
  fiber.lanes = lanes;
  fiber.stateNode = {
    containerInfo: portal.containerInfo,
    pendingChildren: null,
    // Used by persistent updates
    implementation: portal.implementation
  };
  return fiber;
} // Used for stashing WIP properties to replay failed work in DEV.

function assignFiberPropertiesInDEV(target, source) {
  if (target === null) {
    // This Fiber's initial properties will always be overwritten.
    // We only use a Fiber to ensure the same hidden class so DEV isn't slow.
    target = createFiber(IndeterminateComponent, null, null, NoMode);
  } // This is intentionally written as a list of all properties.
  // We tried to use Object.assign() instead but this is called in
  // the hottest path, and Object.assign() was too slow:
  // https://github.com/facebook/react/issues/12502
  // This code is DEV-only so size is not a concern.


  target.tag = source.tag;
  target.key = source.key;
  target.elementType = source.elementType;
  target.type = source.type;
  target.stateNode = source.stateNode;
  target.return = source.return;
  target.child = source.child;
  target.sibling = source.sibling;
  target.index = source.index;
  target.ref = source.ref;
  target.pendingProps = source.pendingProps;
  target.memoizedProps = source.memoizedProps;
  target.updateQueue = source.updateQueue;
  target.memoizedState = source.memoizedState;
  target.dependencies = source.dependencies;
  target.mode = source.mode;
  target.flags = source.flags;
  target.nextEffect = source.nextEffect;
  target.firstEffect = source.firstEffect;
  target.lastEffect = source.lastEffect;
  target.lanes = source.lanes;
  target.childLanes = source.childLanes;
  target.alternate = source.alternate;

  {
    target.actualDuration = source.actualDuration;
    target.actualStartTime = source.actualStartTime;
    target.selfBaseDuration = source.selfBaseDuration;
    target.treeBaseDuration = source.treeBaseDuration;
  }

  target._debugID = source._debugID;
  target._debugSource = source._debugSource;
  target._debugOwner = source._debugOwner;
  target._debugNeedsRemount = source._debugNeedsRemount;
  target._debugHookTypes = source._debugHookTypes;
  return target;
}

function FiberRootNode(containerInfo, tag, hydrate) {
  this.tag = tag;
  this.containerInfo = containerInfo;
  this.pendingChildren = null;
  this.current = null;
  this.pingCache = null;
  this.finishedWork = null;
  this.timeoutHandle = noTimeout;
  this.context = null;
  this.pendingContext = null;
  this.hydrate = hydrate;
  this.callbackNode = null;
  this.callbackPriority = NoLanePriority;
  this.eventTimes = createLaneMap(NoLanes);
  this.expirationTimes = createLaneMap(NoTimestamp);
  this.pendingLanes = NoLanes;
  this.suspendedLanes = NoLanes;
  this.pingedLanes = NoLanes;
  this.expiredLanes = NoLanes;
  this.mutableReadLanes = NoLanes;
  this.finishedLanes = NoLanes;
  this.entangledLanes = NoLanes;
  this.entanglements = createLaneMap(NoLanes);

  {
    this.mutableSourceEagerHydrationData = null;
  }

  {
    this.interactionThreadID = tracing.unstable_getThreadID();
    this.memoizedInteractions = new Set();
    this.pendingInteractionMap = new Map();
  }

  {
    switch (tag) {
      case BlockingRoot:
        this._debugRootType = 'createBlockingRoot()';
        break;

      case ConcurrentRoot:
        this._debugRootType = 'createRoot()';
        break;

      case LegacyRoot:
        this._debugRootType = 'createLegacyRoot()';
        break;
    }
  }
}

function createFiberRoot(containerInfo, tag, hydrate, hydrationCallbacks) {
  var root = new FiberRootNode(containerInfo, tag, hydrate);
  // stateNode is any.


  var uninitializedFiber = createHostRootFiber(tag);
  root.current = uninitializedFiber;
  uninitializedFiber.stateNode = root;
  initializeUpdateQueue(uninitializedFiber);
  return root;
}

// This ensures that the version used for server rendering matches the one
// that is eventually read during hydration.
// If they don't match there's a potential tear and a full deopt render is required.

function registerMutableSourceForHydration(root, mutableSource) {
  var getVersion = mutableSource._getVersion;
  var version = getVersion(mutableSource._source); // TODO Clear this data once all pending hydration work is finished.
  // Retaining it forever may interfere with GC.

  if (root.mutableSourceEagerHydrationData == null) {
    root.mutableSourceEagerHydrationData = [mutableSource, version];
  } else {
    root.mutableSourceEagerHydrationData.push(mutableSource, version);
  }
}

function createPortal(children, containerInfo, // TODO: figure out the API for cross-renderer implementation.
implementation) {
  var key = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : null;
  return {
    // This tag allow us to uniquely identify this as a React Portal
    $$typeof: REACT_PORTAL_TYPE,
    key: key == null ? null : '' + key,
    children: children,
    containerInfo: containerInfo,
    implementation: implementation
  };
}

var didWarnAboutNestedUpdates;
var didWarnAboutFindNodeInStrictMode;

{
  didWarnAboutNestedUpdates = false;
  didWarnAboutFindNodeInStrictMode = {};
}

function getContextForSubtree(parentComponent) {
  if (!parentComponent) {
    return emptyContextObject;
  }

  var fiber = get(parentComponent);
  var parentContext = findCurrentUnmaskedContext(fiber);

  if (fiber.tag === ClassComponent) {
    var Component = fiber.type;

    if (isContextProvider(Component)) {
      return processChildContext(fiber, Component, parentContext);
    }
  }

  return parentContext;
}

function findHostInstanceWithWarning(component, methodName) {
  {
    var fiber = get(component);

    if (fiber === undefined) {
      if (typeof component.render === 'function') {
        {
          {
            throw Error( "Unable to find node on an unmounted component." );
          }
        }
      } else {
        {
          {
            throw Error( "Argument appears to not be a ReactComponent. Keys: " + Object.keys(component) );
          }
        }
      }
    }

    var hostFiber = findCurrentHostFiber(fiber);

    if (hostFiber === null) {
      return null;
    }

    if (hostFiber.mode & StrictMode) {
      var componentName = getComponentName(fiber.type) || 'Component';

      if (!didWarnAboutFindNodeInStrictMode[componentName]) {
        didWarnAboutFindNodeInStrictMode[componentName] = true;
        var previousFiber = current;

        try {
          setCurrentFiber(hostFiber);

          if (fiber.mode & StrictMode) {
            error('%s is deprecated in StrictMode. ' + '%s was passed an instance of %s which is inside StrictMode. ' + 'Instead, add a ref directly to the element you want to reference. ' + 'Learn more about using refs safely here: ' + 'https://reactjs.org/link/strict-mode-find-node', methodName, methodName, componentName);
          } else {
            error('%s is deprecated in StrictMode. ' + '%s was passed an instance of %s which renders StrictMode children. ' + 'Instead, add a ref directly to the element you want to reference. ' + 'Learn more about using refs safely here: ' + 'https://reactjs.org/link/strict-mode-find-node', methodName, methodName, componentName);
          }
        } finally {
          // Ideally this should reset to previous but this shouldn't be called in
          // render and there's another warning for that anyway.
          if (previousFiber) {
            setCurrentFiber(previousFiber);
          } else {
            resetCurrentFiber();
          }
        }
      }
    }

    return hostFiber.stateNode;
  }
}

function createContainer(containerInfo, tag, hydrate, hydrationCallbacks) {
  return createFiberRoot(containerInfo, tag, hydrate);
}
function updateContainer(element, container, parentComponent, callback) {
  {
    onScheduleRoot(container, element);
  }

  var current$1 = container.current;
  var eventTime = requestEventTime();

  {
    // $FlowExpectedError - jest isn't a global, and isn't recognized outside of tests
    if ('undefined' !== typeof jest) {
      warnIfUnmockedScheduler(current$1);
      warnIfNotScopedWithMatchingAct(current$1);
    }
  }

  var lane = requestUpdateLane(current$1);

  var context = getContextForSubtree(parentComponent);

  if (container.context === null) {
    container.context = context;
  } else {
    container.pendingContext = context;
  }

  {
    if (isRendering && current !== null && !didWarnAboutNestedUpdates) {
      didWarnAboutNestedUpdates = true;

      error('Render methods should be a pure function of props and state; ' + 'triggering nested component updates from render is not allowed. ' + 'If necessary, trigger nested updates in componentDidUpdate.\n\n' + 'Check the render method of %s.', getComponentName(current.type) || 'Unknown');
    }
  }

  var update = createUpdate(eventTime, lane); // Caution: React DevTools currently depends on this property
  // being called "element".

  update.payload = {
    element: element
  };
  callback = callback === undefined ? null : callback;

  if (callback !== null) {
    {
      if (typeof callback !== 'function') {
        error('render(...): Expected the last optional `callback` argument to be a ' + 'function. Instead received: %s.', callback);
      }
    }

    update.callback = callback;
  }

  enqueueUpdate(current$1, update);
  scheduleUpdateOnFiber(current$1, lane, eventTime);
  return lane;
}
function getPublicRootInstance(container) {
  var containerFiber = container.current;

  if (!containerFiber.child) {
    return null;
  }

  switch (containerFiber.child.tag) {
    case HostComponent:
      return getPublicInstance(containerFiber.child.stateNode);

    default:
      return containerFiber.child.stateNode;
  }
}

function markRetryLaneImpl(fiber, retryLane) {
  var suspenseState = fiber.memoizedState;

  if (suspenseState !== null && suspenseState.dehydrated !== null) {
    suspenseState.retryLane = higherPriorityLane(suspenseState.retryLane, retryLane);
  }
} // Increases the priority of thennables when they resolve within this boundary.


function markRetryLaneIfNotHydrated(fiber, retryLane) {
  markRetryLaneImpl(fiber, retryLane);
  var alternate = fiber.alternate;

  if (alternate) {
    markRetryLaneImpl(alternate, retryLane);
  }
}

function attemptUserBlockingHydration$1(fiber) {
  if (fiber.tag !== SuspenseComponent) {
    // We ignore HostRoots here because we can't increase
    // their priority and they should not suspend on I/O,
    // since you have to wrap anything that might suspend in
    // Suspense.
    return;
  }

  var eventTime = requestEventTime();
  var lane = InputDiscreteHydrationLane;
  scheduleUpdateOnFiber(fiber, lane, eventTime);
  markRetryLaneIfNotHydrated(fiber, lane);
}
function attemptContinuousHydration$1(fiber) {
  if (fiber.tag !== SuspenseComponent) {
    // We ignore HostRoots here because we can't increase
    // their priority and they should not suspend on I/O,
    // since you have to wrap anything that might suspend in
    // Suspense.
    return;
  }

  var eventTime = requestEventTime();
  var lane = SelectiveHydrationLane;
  scheduleUpdateOnFiber(fiber, lane, eventTime);
  markRetryLaneIfNotHydrated(fiber, lane);
}
function attemptHydrationAtCurrentPriority$1(fiber) {
  if (fiber.tag !== SuspenseComponent) {
    // We ignore HostRoots here because we can't increase
    // their priority other than synchronously flush it.
    return;
  }

  var eventTime = requestEventTime();
  var lane = requestUpdateLane(fiber);
  scheduleUpdateOnFiber(fiber, lane, eventTime);
  markRetryLaneIfNotHydrated(fiber, lane);
}
function runWithPriority$2(priority, fn) {

  try {
    setCurrentUpdateLanePriority(priority);
    return fn();
  } finally {
  }
}
function findHostInstanceWithNoPortals(fiber) {
  var hostFiber = findCurrentHostFiberWithNoPortals(fiber);

  if (hostFiber === null) {
    return null;
  }

  if (hostFiber.tag === FundamentalComponent) {
    return hostFiber.stateNode.instance;
  }

  return hostFiber.stateNode;
}

var shouldSuspendImpl = function (fiber) {
  return false;
};

function shouldSuspend(fiber) {
  return shouldSuspendImpl(fiber);
}
var overrideHookState = null;
var overrideHookStateDeletePath = null;
var overrideHookStateRenamePath = null;
var overrideProps = null;
var overridePropsDeletePath = null;
var overridePropsRenamePath = null;
var scheduleUpdate = null;
var setSuspenseHandler = null;

{
  var copyWithDeleteImpl = function (obj, path, index) {
    var key = path[index];
    var updated = Array.isArray(obj) ? obj.slice() : _assign({}, obj);

    if (index + 1 === path.length) {
      if (Array.isArray(updated)) {
        updated.splice(key, 1);
      } else {
        delete updated[key];
      }

      return updated;
    } // $FlowFixMe number or string is fine here


    updated[key] = copyWithDeleteImpl(obj[key], path, index + 1);
    return updated;
  };

  var copyWithDelete = function (obj, path) {
    return copyWithDeleteImpl(obj, path, 0);
  };

  var copyWithRenameImpl = function (obj, oldPath, newPath, index) {
    var oldKey = oldPath[index];
    var updated = Array.isArray(obj) ? obj.slice() : _assign({}, obj);

    if (index + 1 === oldPath.length) {
      var newKey = newPath[index]; // $FlowFixMe number or string is fine here

      updated[newKey] = updated[oldKey];

      if (Array.isArray(updated)) {
        updated.splice(oldKey, 1);
      } else {
        delete updated[oldKey];
      }
    } else {
      // $FlowFixMe number or string is fine here
      updated[oldKey] = copyWithRenameImpl( // $FlowFixMe number or string is fine here
      obj[oldKey], oldPath, newPath, index + 1);
    }

    return updated;
  };

  var copyWithRename = function (obj, oldPath, newPath) {
    if (oldPath.length !== newPath.length) {
      warn('copyWithRename() expects paths of the same length');

      return;
    } else {
      for (var i = 0; i < newPath.length - 1; i++) {
        if (oldPath[i] !== newPath[i]) {
          warn('copyWithRename() expects paths to be the same except for the deepest key');

          return;
        }
      }
    }

    return copyWithRenameImpl(obj, oldPath, newPath, 0);
  };

  var copyWithSetImpl = function (obj, path, index, value) {
    if (index >= path.length) {
      return value;
    }

    var key = path[index];
    var updated = Array.isArray(obj) ? obj.slice() : _assign({}, obj); // $FlowFixMe number or string is fine here

    updated[key] = copyWithSetImpl(obj[key], path, index + 1, value);
    return updated;
  };

  var copyWithSet = function (obj, path, value) {
    return copyWithSetImpl(obj, path, 0, value);
  };

  var findHook = function (fiber, id) {
    // For now, the "id" of stateful hooks is just the stateful hook index.
    // This may change in the future with e.g. nested hooks.
    var currentHook = fiber.memoizedState;

    while (currentHook !== null && id > 0) {
      currentHook = currentHook.next;
      id--;
    }

    return currentHook;
  }; // Support DevTools editable values for useState and useReducer.


  overrideHookState = function (fiber, id, path, value) {
    var hook = findHook(fiber, id);

    if (hook !== null) {
      var newState = copyWithSet(hook.memoizedState, path, value);
      hook.memoizedState = newState;
      hook.baseState = newState; // We aren't actually adding an update to the queue,
      // because there is no update we can add for useReducer hooks that won't trigger an error.
      // (There's no appropriate action type for DevTools overrides.)
      // As a result though, React will see the scheduled update as a noop and bailout.
      // Shallow cloning props works as a workaround for now to bypass the bailout check.

      fiber.memoizedProps = _assign({}, fiber.memoizedProps);
      scheduleUpdateOnFiber(fiber, SyncLane, NoTimestamp);
    }
  };

  overrideHookStateDeletePath = function (fiber, id, path) {
    var hook = findHook(fiber, id);

    if (hook !== null) {
      var newState = copyWithDelete(hook.memoizedState, path);
      hook.memoizedState = newState;
      hook.baseState = newState; // We aren't actually adding an update to the queue,
      // because there is no update we can add for useReducer hooks that won't trigger an error.
      // (There's no appropriate action type for DevTools overrides.)
      // As a result though, React will see the scheduled update as a noop and bailout.
      // Shallow cloning props works as a workaround for now to bypass the bailout check.

      fiber.memoizedProps = _assign({}, fiber.memoizedProps);
      scheduleUpdateOnFiber(fiber, SyncLane, NoTimestamp);
    }
  };

  overrideHookStateRenamePath = function (fiber, id, oldPath, newPath) {
    var hook = findHook(fiber, id);

    if (hook !== null) {
      var newState = copyWithRename(hook.memoizedState, oldPath, newPath);
      hook.memoizedState = newState;
      hook.baseState = newState; // We aren't actually adding an update to the queue,
      // because there is no update we can add for useReducer hooks that won't trigger an error.
      // (There's no appropriate action type for DevTools overrides.)
      // As a result though, React will see the scheduled update as a noop and bailout.
      // Shallow cloning props works as a workaround for now to bypass the bailout check.

      fiber.memoizedProps = _assign({}, fiber.memoizedProps);
      scheduleUpdateOnFiber(fiber, SyncLane, NoTimestamp);
    }
  }; // Support DevTools props for function components, forwardRef, memo, host components, etc.


  overrideProps = function (fiber, path, value) {
    fiber.pendingProps = copyWithSet(fiber.memoizedProps, path, value);

    if (fiber.alternate) {
      fiber.alternate.pendingProps = fiber.pendingProps;
    }

    scheduleUpdateOnFiber(fiber, SyncLane, NoTimestamp);
  };

  overridePropsDeletePath = function (fiber, path) {
    fiber.pendingProps = copyWithDelete(fiber.memoizedProps, path);

    if (fiber.alternate) {
      fiber.alternate.pendingProps = fiber.pendingProps;
    }

    scheduleUpdateOnFiber(fiber, SyncLane, NoTimestamp);
  };

  overridePropsRenamePath = function (fiber, oldPath, newPath) {
    fiber.pendingProps = copyWithRename(fiber.memoizedProps, oldPath, newPath);

    if (fiber.alternate) {
      fiber.alternate.pendingProps = fiber.pendingProps;
    }

    scheduleUpdateOnFiber(fiber, SyncLane, NoTimestamp);
  };

  scheduleUpdate = function (fiber) {
    scheduleUpdateOnFiber(fiber, SyncLane, NoTimestamp);
  };

  setSuspenseHandler = function (newShouldSuspendImpl) {
    shouldSuspendImpl = newShouldSuspendImpl;
  };
}

function findHostInstanceByFiber(fiber) {
  var hostFiber = findCurrentHostFiber(fiber);

  if (hostFiber === null) {
    return null;
  }

  return hostFiber.stateNode;
}

function emptyFindFiberByHostInstance(instance) {
  return null;
}

function getCurrentFiberForDevTools() {
  return current;
}

function injectIntoDevTools(devToolsConfig) {
  var findFiberByHostInstance = devToolsConfig.findFiberByHostInstance;
  var ReactCurrentDispatcher = ReactSharedInternals.ReactCurrentDispatcher;
  return injectInternals({
    bundleType: devToolsConfig.bundleType,
    version: devToolsConfig.version,
    rendererPackageName: devToolsConfig.rendererPackageName,
    rendererConfig: devToolsConfig.rendererConfig,
    overrideHookState: overrideHookState,
    overrideHookStateDeletePath: overrideHookStateDeletePath,
    overrideHookStateRenamePath: overrideHookStateRenamePath,
    overrideProps: overrideProps,
    overridePropsDeletePath: overridePropsDeletePath,
    overridePropsRenamePath: overridePropsRenamePath,
    setSuspenseHandler: setSuspenseHandler,
    scheduleUpdate: scheduleUpdate,
    currentDispatcherRef: ReactCurrentDispatcher,
    findHostInstanceByFiber: findHostInstanceByFiber,
    findFiberByHostInstance: findFiberByHostInstance || emptyFindFiberByHostInstance,
    // React Refresh
    findHostInstancesForRefresh:  findHostInstancesForRefresh ,
    scheduleRefresh:  scheduleRefresh ,
    scheduleRoot:  scheduleRoot ,
    setRefreshHandler:  setRefreshHandler ,
    // Enables DevTools to append owner stacks to error messages in DEV mode.
    getCurrentFiber:  getCurrentFiberForDevTools 
  });
}

function ReactDOMRoot(container, options) {
  this._internalRoot = createRootImpl(container, ConcurrentRoot, options);
}

function ReactDOMBlockingRoot(container, tag, options) {
  this._internalRoot = createRootImpl(container, tag, options);
}

ReactDOMRoot.prototype.render = ReactDOMBlockingRoot.prototype.render = function (children) {
  var root = this._internalRoot;

  {
    if (typeof arguments[1] === 'function') {
      error('render(...): does not support the second callback argument. ' + 'To execute a side effect after rendering, declare it in a component body with useEffect().');
    }

    var container = root.containerInfo;

    if (container.nodeType !== COMMENT_NODE) {
      var hostInstance = findHostInstanceWithNoPortals(root.current);

      if (hostInstance) {
        if (hostInstance.parentNode !== container) {
          error('render(...): It looks like the React-rendered content of the ' + 'root container was removed without using React. This is not ' + 'supported and will cause errors. Instead, call ' + "root.unmount() to empty a root's container.");
        }
      }
    }
  }

  updateContainer(children, root, null, null);
};

ReactDOMRoot.prototype.unmount = ReactDOMBlockingRoot.prototype.unmount = function () {
  {
    if (typeof arguments[0] === 'function') {
      error('unmount(...): does not support a callback argument. ' + 'To execute a side effect after rendering, declare it in a component body with useEffect().');
    }
  }

  var root = this._internalRoot;
  var container = root.containerInfo;
  updateContainer(null, root, null, function () {
    unmarkContainerAsRoot(container);
  });
};

function createRootImpl(container, tag, options) {
  // Tag is either LegacyRoot or Concurrent Root
  var hydrate = options != null && options.hydrate === true;
  var hydrationCallbacks = options != null && options.hydrationOptions || null;
  var mutableSources = options != null && options.hydrationOptions != null && options.hydrationOptions.mutableSources || null;
  var root = createContainer(container, tag, hydrate);
  markContainerAsRoot(root.current, container);
  var containerNodeType = container.nodeType;

  {
    var rootContainerElement = container.nodeType === COMMENT_NODE ? container.parentNode : container;
    listenToAllSupportedEvents(rootContainerElement);
  }

  if (mutableSources) {
    for (var i = 0; i < mutableSources.length; i++) {
      var mutableSource = mutableSources[i];
      registerMutableSourceForHydration(root, mutableSource);
    }
  }

  return root;
}
function createLegacyRoot(container, options) {
  return new ReactDOMBlockingRoot(container, LegacyRoot, options);
}
function isValidContainer(node) {
  return !!(node && (node.nodeType === ELEMENT_NODE || node.nodeType === DOCUMENT_NODE || node.nodeType === DOCUMENT_FRAGMENT_NODE || node.nodeType === COMMENT_NODE && node.nodeValue === ' react-mount-point-unstable '));
}

var ReactCurrentOwner$3 = ReactSharedInternals.ReactCurrentOwner;
var topLevelUpdateWarnings;
var warnedAboutHydrateAPI = false;

{
  topLevelUpdateWarnings = function (container) {
    if (container._reactRootContainer && container.nodeType !== COMMENT_NODE) {
      var hostInstance = findHostInstanceWithNoPortals(container._reactRootContainer._internalRoot.current);

      if (hostInstance) {
        if (hostInstance.parentNode !== container) {
          error('render(...): It looks like the React-rendered content of this ' + 'container was removed without using React. This is not ' + 'supported and will cause errors. Instead, call ' + 'ReactDOM.unmountComponentAtNode to empty a container.');
        }
      }
    }

    var isRootRenderedBySomeReact = !!container._reactRootContainer;
    var rootEl = getReactRootElementInContainer(container);
    var hasNonRootReactChild = !!(rootEl && getInstanceFromNode(rootEl));

    if (hasNonRootReactChild && !isRootRenderedBySomeReact) {
      error('render(...): Replacing React-rendered children with a new root ' + 'component. If you intended to update the children of this node, ' + 'you should instead have the existing children update their state ' + 'and render the new components instead of calling ReactDOM.render.');
    }

    if (container.nodeType === ELEMENT_NODE && container.tagName && container.tagName.toUpperCase() === 'BODY') {
      error('render(): Rendering components directly into document.body is ' + 'discouraged, since its children are often manipulated by third-party ' + 'scripts and browser extensions. This may lead to subtle ' + 'reconciliation issues. Try rendering into a container element created ' + 'for your app.');
    }
  };
}

function getReactRootElementInContainer(container) {
  if (!container) {
    return null;
  }

  if (container.nodeType === DOCUMENT_NODE) {
    return container.documentElement;
  } else {
    return container.firstChild;
  }
}

function shouldHydrateDueToLegacyHeuristic(container) {
  var rootElement = getReactRootElementInContainer(container);
  return !!(rootElement && rootElement.nodeType === ELEMENT_NODE && rootElement.hasAttribute(ROOT_ATTRIBUTE_NAME));
}

function legacyCreateRootFromDOMContainer(container, forceHydrate) {
  var shouldHydrate = forceHydrate || shouldHydrateDueToLegacyHeuristic(container); // First clear any existing content.

  if (!shouldHydrate) {
    var warned = false;
    var rootSibling;

    while (rootSibling = container.lastChild) {
      {
        if (!warned && rootSibling.nodeType === ELEMENT_NODE && rootSibling.hasAttribute(ROOT_ATTRIBUTE_NAME)) {
          warned = true;

          error('render(): Target node has markup rendered by React, but there ' + 'are unrelated nodes as well. This is most commonly caused by ' + 'white-space inserted around server-rendered markup.');
        }
      }

      container.removeChild(rootSibling);
    }
  }

  {
    if (shouldHydrate && !forceHydrate && !warnedAboutHydrateAPI) {
      warnedAboutHydrateAPI = true;

      warn('render(): Calling ReactDOM.render() to hydrate server-rendered markup ' + 'will stop working in React v18. Replace the ReactDOM.render() call ' + 'with ReactDOM.hydrate() if you want React to attach to the server HTML.');
    }
  }

  return createLegacyRoot(container, shouldHydrate ? {
    hydrate: true
  } : undefined);
}

function warnOnInvalidCallback$1(callback, callerName) {
  {
    if (callback !== null && typeof callback !== 'function') {
      error('%s(...): Expected the last optional `callback` argument to be a ' + 'function. Instead received: %s.', callerName, callback);
    }
  }
}

function legacyRenderSubtreeIntoContainer(parentComponent, children, container, forceHydrate, callback) {
  {
    topLevelUpdateWarnings(container);
    warnOnInvalidCallback$1(callback === undefined ? null : callback, 'render');
  } // TODO: Without `any` type, Flow says "Property cannot be accessed on any
  // member of intersection type." Whyyyyyy.


  var root = container._reactRootContainer;
  var fiberRoot;

  if (!root) {
    // Initial mount
    root = container._reactRootContainer = legacyCreateRootFromDOMContainer(container, forceHydrate);
    fiberRoot = root._internalRoot;

    if (typeof callback === 'function') {
      var originalCallback = callback;

      callback = function () {
        var instance = getPublicRootInstance(fiberRoot);
        originalCallback.call(instance);
      };
    } // Initial mount should not be batched.


    unbatchedUpdates(function () {
      updateContainer(children, fiberRoot, parentComponent, callback);
    });
  } else {
    fiberRoot = root._internalRoot;

    if (typeof callback === 'function') {
      var _originalCallback = callback;

      callback = function () {
        var instance = getPublicRootInstance(fiberRoot);

        _originalCallback.call(instance);
      };
    } // Update


    updateContainer(children, fiberRoot, parentComponent, callback);
  }

  return getPublicRootInstance(fiberRoot);
}

function findDOMNode(componentOrElement) {
  {
    var owner = ReactCurrentOwner$3.current;

    if (owner !== null && owner.stateNode !== null) {
      var warnedAboutRefsInRender = owner.stateNode._warnedAboutRefsInRender;

      if (!warnedAboutRefsInRender) {
        error('%s is accessing findDOMNode inside its render(). ' + 'render() should be a pure function of props and state. It should ' + 'never access something that requires stale data from the previous ' + 'render, such as refs. Move this logic to componentDidMount and ' + 'componentDidUpdate instead.', getComponentName(owner.type) || 'A component');
      }

      owner.stateNode._warnedAboutRefsInRender = true;
    }
  }

  if (componentOrElement == null) {
    return null;
  }

  if (componentOrElement.nodeType === ELEMENT_NODE) {
    return componentOrElement;
  }

  {
    return findHostInstanceWithWarning(componentOrElement, 'findDOMNode');
  }
}
function hydrate(element, container, callback) {
  if (!isValidContainer(container)) {
    {
      throw Error( "Target container is not a DOM element." );
    }
  }

  {
    var isModernRoot = isContainerMarkedAsRoot(container) && container._reactRootContainer === undefined;

    if (isModernRoot) {
      error('You are calling ReactDOM.hydrate() on a container that was previously ' + 'passed to ReactDOM.createRoot(). This is not supported. ' + 'Did you mean to call createRoot(container, {hydrate: true}).render(element)?');
    }
  } // TODO: throw or warn if we couldn't hydrate?


  return legacyRenderSubtreeIntoContainer(null, element, container, true, callback);
}
function render(element, container, callback) {
  if (!isValidContainer(container)) {
    {
      throw Error( "Target container is not a DOM element." );
    }
  }

  {
    var isModernRoot = isContainerMarkedAsRoot(container) && container._reactRootContainer === undefined;

    if (isModernRoot) {
      error('You are calling ReactDOM.render() on a container that was previously ' + 'passed to ReactDOM.createRoot(). This is not supported. ' + 'Did you mean to call root.render(element)?');
    }
  }

  return legacyRenderSubtreeIntoContainer(null, element, container, false, callback);
}
function unstable_renderSubtreeIntoContainer(parentComponent, element, containerNode, callback) {
  if (!isValidContainer(containerNode)) {
    {
      throw Error( "Target container is not a DOM element." );
    }
  }

  if (!(parentComponent != null && has(parentComponent))) {
    {
      throw Error( "parentComponent must be a valid React Component" );
    }
  }

  return legacyRenderSubtreeIntoContainer(parentComponent, element, containerNode, false, callback);
}
function unmountComponentAtNode(container) {
  if (!isValidContainer(container)) {
    {
      throw Error( "unmountComponentAtNode(...): Target container is not a DOM element." );
    }
  }

  {
    var isModernRoot = isContainerMarkedAsRoot(container) && container._reactRootContainer === undefined;

    if (isModernRoot) {
      error('You are calling ReactDOM.unmountComponentAtNode() on a container that was previously ' + 'passed to ReactDOM.createRoot(). This is not supported. Did you mean to call root.unmount()?');
    }
  }

  if (container._reactRootContainer) {
    {
      var rootEl = getReactRootElementInContainer(container);
      var renderedByDifferentReact = rootEl && !getInstanceFromNode(rootEl);

      if (renderedByDifferentReact) {
        error("unmountComponentAtNode(): The node you're attempting to unmount " + 'was rendered by another copy of React.');
      }
    } // Unmount should not be batched.


    unbatchedUpdates(function () {
      legacyRenderSubtreeIntoContainer(null, null, container, false, function () {
        // $FlowFixMe This should probably use `delete container._reactRootContainer`
        container._reactRootContainer = null;
        unmarkContainerAsRoot(container);
      });
    }); // If you call unmountComponentAtNode twice in quick succession, you'll
    // get `true` twice. That's probably fine?

    return true;
  } else {
    {
      var _rootEl = getReactRootElementInContainer(container);

      var hasNonRootReactChild = !!(_rootEl && getInstanceFromNode(_rootEl)); // Check if the container itself is a React root node.

      var isContainerReactRoot = container.nodeType === ELEMENT_NODE && isValidContainer(container.parentNode) && !!container.parentNode._reactRootContainer;

      if (hasNonRootReactChild) {
        error("unmountComponentAtNode(): The node you're attempting to unmount " + 'was rendered by React and is not a top-level container. %s', isContainerReactRoot ? 'You may have accidentally passed in a React root node instead ' + 'of its container.' : 'Instead, have the parent component update its state and ' + 'rerender in order to remove this component.');
      }
    }

    return false;
  }
}

setAttemptUserBlockingHydration(attemptUserBlockingHydration$1);
setAttemptContinuousHydration(attemptContinuousHydration$1);
setAttemptHydrationAtCurrentPriority(attemptHydrationAtCurrentPriority$1);
setAttemptHydrationAtPriority(runWithPriority$2);
var didWarnAboutUnstableCreatePortal = false;

{
  if (typeof Map !== 'function' || // $FlowIssue Flow incorrectly thinks Map has no prototype
  Map.prototype == null || typeof Map.prototype.forEach !== 'function' || typeof Set !== 'function' || // $FlowIssue Flow incorrectly thinks Set has no prototype
  Set.prototype == null || typeof Set.prototype.clear !== 'function' || typeof Set.prototype.forEach !== 'function') {
    error('React depends on Map and Set built-in types. Make sure that you load a ' + 'polyfill in older browsers. https://reactjs.org/link/react-polyfills');
  }
}

setRestoreImplementation(restoreControlledState$3);
setBatchingImplementation(batchedUpdates$1, discreteUpdates$1, flushDiscreteUpdates, batchedEventUpdates$1);

function createPortal$1(children, container) {
  var key = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;

  if (!isValidContainer(container)) {
    {
      throw Error( "Target container is not a DOM element." );
    }
  } // TODO: pass ReactDOM portal implementation as third argument
  // $FlowFixMe The Flow type is opaque but there's no way to actually create it.


  return createPortal(children, container, null, key);
}

function renderSubtreeIntoContainer(parentComponent, element, containerNode, callback) {

  return unstable_renderSubtreeIntoContainer(parentComponent, element, containerNode, callback);
}

function unstable_createPortal(children, container) {
  var key = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;

  {
    if (!didWarnAboutUnstableCreatePortal) {
      didWarnAboutUnstableCreatePortal = true;

      warn('The ReactDOM.unstable_createPortal() alias has been deprecated, ' + 'and will be removed in React 18+. Update your code to use ' + 'ReactDOM.createPortal() instead. It has the exact same API, ' + 'but without the "unstable_" prefix.');
    }
  }

  return createPortal$1(children, container, key);
}

var Internals = {
  // Keep in sync with ReactTestUtils.js, and ReactTestUtilsAct.js.
  // This is an array for better minification.
  Events: [getInstanceFromNode, getNodeFromInstance, getFiberCurrentPropsFromNode, enqueueStateRestore, restoreStateIfNeeded, flushPassiveEffects, // TODO: This is related to `act`, not events. Move to separate key?
  IsThisRendererActing]
};
var foundDevTools = injectIntoDevTools({
  findFiberByHostInstance: getClosestInstanceFromNode,
  bundleType:  1 ,
  version: ReactVersion,
  rendererPackageName: 'react-dom'
});

{
  if (!foundDevTools && canUseDOM && window.top === window.self) {
    // If we're in Chrome or Firefox, provide a download link if not installed.
    if (navigator.userAgent.indexOf('Chrome') > -1 && navigator.userAgent.indexOf('Edge') === -1 || navigator.userAgent.indexOf('Firefox') > -1) {
      var protocol = window.location.protocol; // Don't warn in exotic cases like chrome-extension://.

      if (/^(https?|file):$/.test(protocol)) {
        // eslint-disable-next-line react-internal/no-production-logging
        console.info('%cDownload the React DevTools ' + 'for a better development experience: ' + 'https://reactjs.org/link/react-devtools' + (protocol === 'file:' ? '\nYou might need to use a local HTTP server (instead of file://): ' + 'https://reactjs.org/link/react-devtools-faq' : ''), 'font-weight:bold');
      }
    }
  }
}

exports.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED = Internals;
exports.createPortal = createPortal$1;
exports.findDOMNode = findDOMNode;
exports.flushSync = flushSync;
exports.hydrate = hydrate;
exports.render = render;
exports.unmountComponentAtNode = unmountComponentAtNode;
exports.unstable_batchedUpdates = batchedUpdates$1;
exports.unstable_createPortal = unstable_createPortal;
exports.unstable_renderSubtreeIntoContainer = renderSubtreeIntoContainer;
exports.version = ReactVersion;
  })();
}


/***/ }),

/***/ "./node_modules/react-dom/index.js":
/*!*****************************************!*\
  !*** ./node_modules/react-dom/index.js ***!
  \*****************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


function checkDCE() {
  /* global __REACT_DEVTOOLS_GLOBAL_HOOK__ */
  if (
    typeof __REACT_DEVTOOLS_GLOBAL_HOOK__ === 'undefined' ||
    typeof __REACT_DEVTOOLS_GLOBAL_HOOK__.checkDCE !== 'function'
  ) {
    return;
  }
  if (true) {
    // This branch is unreachable because this function is only called
    // in production, but the condition is true only in development.
    // Therefore if the branch is still here, dead code elimination wasn't
    // properly applied.
    // Don't change the message. React DevTools relies on it. Also make sure
    // this message doesn't occur elsewhere in this function, or it will cause
    // a false positive.
    throw new Error('^_^');
  }
  try {
    // Verify that the code above has been dead code eliminated (DCE'd).
    __REACT_DEVTOOLS_GLOBAL_HOOK__.checkDCE(checkDCE);
  } catch (err) {
    // DevTools shouldn't crash React, no matter what.
    // We should still report in case we break this code.
    console.error(err);
  }
}

if (false) {} else {
  module.exports = __webpack_require__(/*! ./cjs/react-dom.development.js */ "./node_modules/react-dom/cjs/react-dom.development.js");
}


/***/ }),

/***/ "./node_modules/react-icons/ai/index.esm.js":
/*!**************************************************!*\
  !*** ./node_modules/react-icons/ai/index.esm.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "AiFillAccountBook": () => (/* binding */ AiFillAccountBook),
/* harmony export */   "AiFillAlert": () => (/* binding */ AiFillAlert),
/* harmony export */   "AiFillAlipayCircle": () => (/* binding */ AiFillAlipayCircle),
/* harmony export */   "AiFillAlipaySquare": () => (/* binding */ AiFillAlipaySquare),
/* harmony export */   "AiFillAliwangwang": () => (/* binding */ AiFillAliwangwang),
/* harmony export */   "AiFillAmazonCircle": () => (/* binding */ AiFillAmazonCircle),
/* harmony export */   "AiFillAmazonSquare": () => (/* binding */ AiFillAmazonSquare),
/* harmony export */   "AiFillAndroid": () => (/* binding */ AiFillAndroid),
/* harmony export */   "AiFillApi": () => (/* binding */ AiFillApi),
/* harmony export */   "AiFillApple": () => (/* binding */ AiFillApple),
/* harmony export */   "AiFillAppstore": () => (/* binding */ AiFillAppstore),
/* harmony export */   "AiFillAudio": () => (/* binding */ AiFillAudio),
/* harmony export */   "AiFillBackward": () => (/* binding */ AiFillBackward),
/* harmony export */   "AiFillBank": () => (/* binding */ AiFillBank),
/* harmony export */   "AiFillBehanceCircle": () => (/* binding */ AiFillBehanceCircle),
/* harmony export */   "AiFillBehanceSquare": () => (/* binding */ AiFillBehanceSquare),
/* harmony export */   "AiFillBell": () => (/* binding */ AiFillBell),
/* harmony export */   "AiFillBook": () => (/* binding */ AiFillBook),
/* harmony export */   "AiFillBoxPlot": () => (/* binding */ AiFillBoxPlot),
/* harmony export */   "AiFillBug": () => (/* binding */ AiFillBug),
/* harmony export */   "AiFillBuild": () => (/* binding */ AiFillBuild),
/* harmony export */   "AiFillBulb": () => (/* binding */ AiFillBulb),
/* harmony export */   "AiFillCalculator": () => (/* binding */ AiFillCalculator),
/* harmony export */   "AiFillCalendar": () => (/* binding */ AiFillCalendar),
/* harmony export */   "AiFillCamera": () => (/* binding */ AiFillCamera),
/* harmony export */   "AiFillCar": () => (/* binding */ AiFillCar),
/* harmony export */   "AiFillCaretDown": () => (/* binding */ AiFillCaretDown),
/* harmony export */   "AiFillCaretLeft": () => (/* binding */ AiFillCaretLeft),
/* harmony export */   "AiFillCaretRight": () => (/* binding */ AiFillCaretRight),
/* harmony export */   "AiFillCaretUp": () => (/* binding */ AiFillCaretUp),
/* harmony export */   "AiFillCarryOut": () => (/* binding */ AiFillCarryOut),
/* harmony export */   "AiFillCheckCircle": () => (/* binding */ AiFillCheckCircle),
/* harmony export */   "AiFillCheckSquare": () => (/* binding */ AiFillCheckSquare),
/* harmony export */   "AiFillChrome": () => (/* binding */ AiFillChrome),
/* harmony export */   "AiFillCiCircle": () => (/* binding */ AiFillCiCircle),
/* harmony export */   "AiFillClockCircle": () => (/* binding */ AiFillClockCircle),
/* harmony export */   "AiFillCloseCircle": () => (/* binding */ AiFillCloseCircle),
/* harmony export */   "AiFillCloseSquare": () => (/* binding */ AiFillCloseSquare),
/* harmony export */   "AiFillCloud": () => (/* binding */ AiFillCloud),
/* harmony export */   "AiFillCode": () => (/* binding */ AiFillCode),
/* harmony export */   "AiFillCodeSandboxCircle": () => (/* binding */ AiFillCodeSandboxCircle),
/* harmony export */   "AiFillCodeSandboxSquare": () => (/* binding */ AiFillCodeSandboxSquare),
/* harmony export */   "AiFillCodepenCircle": () => (/* binding */ AiFillCodepenCircle),
/* harmony export */   "AiFillCodepenSquare": () => (/* binding */ AiFillCodepenSquare),
/* harmony export */   "AiFillCompass": () => (/* binding */ AiFillCompass),
/* harmony export */   "AiFillContacts": () => (/* binding */ AiFillContacts),
/* harmony export */   "AiFillContainer": () => (/* binding */ AiFillContainer),
/* harmony export */   "AiFillControl": () => (/* binding */ AiFillControl),
/* harmony export */   "AiFillCopy": () => (/* binding */ AiFillCopy),
/* harmony export */   "AiFillCopyrightCircle": () => (/* binding */ AiFillCopyrightCircle),
/* harmony export */   "AiFillCreditCard": () => (/* binding */ AiFillCreditCard),
/* harmony export */   "AiFillCrown": () => (/* binding */ AiFillCrown),
/* harmony export */   "AiFillCustomerService": () => (/* binding */ AiFillCustomerService),
/* harmony export */   "AiFillDashboard": () => (/* binding */ AiFillDashboard),
/* harmony export */   "AiFillDatabase": () => (/* binding */ AiFillDatabase),
/* harmony export */   "AiFillDelete": () => (/* binding */ AiFillDelete),
/* harmony export */   "AiFillDiff": () => (/* binding */ AiFillDiff),
/* harmony export */   "AiFillDingtalkCircle": () => (/* binding */ AiFillDingtalkCircle),
/* harmony export */   "AiFillDingtalkSquare": () => (/* binding */ AiFillDingtalkSquare),
/* harmony export */   "AiFillDislike": () => (/* binding */ AiFillDislike),
/* harmony export */   "AiFillDollarCircle": () => (/* binding */ AiFillDollarCircle),
/* harmony export */   "AiFillDownCircle": () => (/* binding */ AiFillDownCircle),
/* harmony export */   "AiFillDownSquare": () => (/* binding */ AiFillDownSquare),
/* harmony export */   "AiFillDribbbleCircle": () => (/* binding */ AiFillDribbbleCircle),
/* harmony export */   "AiFillDribbbleSquare": () => (/* binding */ AiFillDribbbleSquare),
/* harmony export */   "AiFillDropboxCircle": () => (/* binding */ AiFillDropboxCircle),
/* harmony export */   "AiFillDropboxSquare": () => (/* binding */ AiFillDropboxSquare),
/* harmony export */   "AiFillEdit": () => (/* binding */ AiFillEdit),
/* harmony export */   "AiFillEnvironment": () => (/* binding */ AiFillEnvironment),
/* harmony export */   "AiFillEuroCircle": () => (/* binding */ AiFillEuroCircle),
/* harmony export */   "AiFillExclamationCircle": () => (/* binding */ AiFillExclamationCircle),
/* harmony export */   "AiFillExperiment": () => (/* binding */ AiFillExperiment),
/* harmony export */   "AiFillEye": () => (/* binding */ AiFillEye),
/* harmony export */   "AiFillEyeInvisible": () => (/* binding */ AiFillEyeInvisible),
/* harmony export */   "AiFillFacebook": () => (/* binding */ AiFillFacebook),
/* harmony export */   "AiFillFastBackward": () => (/* binding */ AiFillFastBackward),
/* harmony export */   "AiFillFastForward": () => (/* binding */ AiFillFastForward),
/* harmony export */   "AiFillFile": () => (/* binding */ AiFillFile),
/* harmony export */   "AiFillFileAdd": () => (/* binding */ AiFillFileAdd),
/* harmony export */   "AiFillFileExcel": () => (/* binding */ AiFillFileExcel),
/* harmony export */   "AiFillFileExclamation": () => (/* binding */ AiFillFileExclamation),
/* harmony export */   "AiFillFileImage": () => (/* binding */ AiFillFileImage),
/* harmony export */   "AiFillFileMarkdown": () => (/* binding */ AiFillFileMarkdown),
/* harmony export */   "AiFillFilePdf": () => (/* binding */ AiFillFilePdf),
/* harmony export */   "AiFillFilePpt": () => (/* binding */ AiFillFilePpt),
/* harmony export */   "AiFillFileText": () => (/* binding */ AiFillFileText),
/* harmony export */   "AiFillFileUnknown": () => (/* binding */ AiFillFileUnknown),
/* harmony export */   "AiFillFileWord": () => (/* binding */ AiFillFileWord),
/* harmony export */   "AiFillFileZip": () => (/* binding */ AiFillFileZip),
/* harmony export */   "AiFillFilter": () => (/* binding */ AiFillFilter),
/* harmony export */   "AiFillFire": () => (/* binding */ AiFillFire),
/* harmony export */   "AiFillFlag": () => (/* binding */ AiFillFlag),
/* harmony export */   "AiFillFolder": () => (/* binding */ AiFillFolder),
/* harmony export */   "AiFillFolderAdd": () => (/* binding */ AiFillFolderAdd),
/* harmony export */   "AiFillFolderOpen": () => (/* binding */ AiFillFolderOpen),
/* harmony export */   "AiFillFormatPainter": () => (/* binding */ AiFillFormatPainter),
/* harmony export */   "AiFillForward": () => (/* binding */ AiFillForward),
/* harmony export */   "AiFillFrown": () => (/* binding */ AiFillFrown),
/* harmony export */   "AiFillFund": () => (/* binding */ AiFillFund),
/* harmony export */   "AiFillFunnelPlot": () => (/* binding */ AiFillFunnelPlot),
/* harmony export */   "AiFillGift": () => (/* binding */ AiFillGift),
/* harmony export */   "AiFillGithub": () => (/* binding */ AiFillGithub),
/* harmony export */   "AiFillGitlab": () => (/* binding */ AiFillGitlab),
/* harmony export */   "AiFillGold": () => (/* binding */ AiFillGold),
/* harmony export */   "AiFillGolden": () => (/* binding */ AiFillGolden),
/* harmony export */   "AiFillGoogleCircle": () => (/* binding */ AiFillGoogleCircle),
/* harmony export */   "AiFillGooglePlusCircle": () => (/* binding */ AiFillGooglePlusCircle),
/* harmony export */   "AiFillGooglePlusSquare": () => (/* binding */ AiFillGooglePlusSquare),
/* harmony export */   "AiFillGoogleSquare": () => (/* binding */ AiFillGoogleSquare),
/* harmony export */   "AiFillHdd": () => (/* binding */ AiFillHdd),
/* harmony export */   "AiFillHeart": () => (/* binding */ AiFillHeart),
/* harmony export */   "AiFillHighlight": () => (/* binding */ AiFillHighlight),
/* harmony export */   "AiFillHome": () => (/* binding */ AiFillHome),
/* harmony export */   "AiFillHourglass": () => (/* binding */ AiFillHourglass),
/* harmony export */   "AiFillHtml5": () => (/* binding */ AiFillHtml5),
/* harmony export */   "AiFillIdcard": () => (/* binding */ AiFillIdcard),
/* harmony export */   "AiFillIeCircle": () => (/* binding */ AiFillIeCircle),
/* harmony export */   "AiFillIeSquare": () => (/* binding */ AiFillIeSquare),
/* harmony export */   "AiFillInfoCircle": () => (/* binding */ AiFillInfoCircle),
/* harmony export */   "AiFillInstagram": () => (/* binding */ AiFillInstagram),
/* harmony export */   "AiFillInsurance": () => (/* binding */ AiFillInsurance),
/* harmony export */   "AiFillInteraction": () => (/* binding */ AiFillInteraction),
/* harmony export */   "AiFillLayout": () => (/* binding */ AiFillLayout),
/* harmony export */   "AiFillLeftCircle": () => (/* binding */ AiFillLeftCircle),
/* harmony export */   "AiFillLeftSquare": () => (/* binding */ AiFillLeftSquare),
/* harmony export */   "AiFillLike": () => (/* binding */ AiFillLike),
/* harmony export */   "AiFillLinkedin": () => (/* binding */ AiFillLinkedin),
/* harmony export */   "AiFillLock": () => (/* binding */ AiFillLock),
/* harmony export */   "AiFillMacCommand": () => (/* binding */ AiFillMacCommand),
/* harmony export */   "AiFillMail": () => (/* binding */ AiFillMail),
/* harmony export */   "AiFillMedicineBox": () => (/* binding */ AiFillMedicineBox),
/* harmony export */   "AiFillMediumCircle": () => (/* binding */ AiFillMediumCircle),
/* harmony export */   "AiFillMediumSquare": () => (/* binding */ AiFillMediumSquare),
/* harmony export */   "AiFillMeh": () => (/* binding */ AiFillMeh),
/* harmony export */   "AiFillMessage": () => (/* binding */ AiFillMessage),
/* harmony export */   "AiFillMinusCircle": () => (/* binding */ AiFillMinusCircle),
/* harmony export */   "AiFillMinusSquare": () => (/* binding */ AiFillMinusSquare),
/* harmony export */   "AiFillMobile": () => (/* binding */ AiFillMobile),
/* harmony export */   "AiFillMoneyCollect": () => (/* binding */ AiFillMoneyCollect),
/* harmony export */   "AiFillNotification": () => (/* binding */ AiFillNotification),
/* harmony export */   "AiFillPauseCircle": () => (/* binding */ AiFillPauseCircle),
/* harmony export */   "AiFillPayCircle": () => (/* binding */ AiFillPayCircle),
/* harmony export */   "AiFillPhone": () => (/* binding */ AiFillPhone),
/* harmony export */   "AiFillPicture": () => (/* binding */ AiFillPicture),
/* harmony export */   "AiFillPieChart": () => (/* binding */ AiFillPieChart),
/* harmony export */   "AiFillPlayCircle": () => (/* binding */ AiFillPlayCircle),
/* harmony export */   "AiFillPlaySquare": () => (/* binding */ AiFillPlaySquare),
/* harmony export */   "AiFillPlusCircle": () => (/* binding */ AiFillPlusCircle),
/* harmony export */   "AiFillPlusSquare": () => (/* binding */ AiFillPlusSquare),
/* harmony export */   "AiFillPoundCircle": () => (/* binding */ AiFillPoundCircle),
/* harmony export */   "AiFillPrinter": () => (/* binding */ AiFillPrinter),
/* harmony export */   "AiFillProfile": () => (/* binding */ AiFillProfile),
/* harmony export */   "AiFillProject": () => (/* binding */ AiFillProject),
/* harmony export */   "AiFillPropertySafety": () => (/* binding */ AiFillPropertySafety),
/* harmony export */   "AiFillPushpin": () => (/* binding */ AiFillPushpin),
/* harmony export */   "AiFillQqCircle": () => (/* binding */ AiFillQqCircle),
/* harmony export */   "AiFillQqSquare": () => (/* binding */ AiFillQqSquare),
/* harmony export */   "AiFillQuestionCircle": () => (/* binding */ AiFillQuestionCircle),
/* harmony export */   "AiFillRead": () => (/* binding */ AiFillRead),
/* harmony export */   "AiFillReconciliation": () => (/* binding */ AiFillReconciliation),
/* harmony export */   "AiFillRedEnvelope": () => (/* binding */ AiFillRedEnvelope),
/* harmony export */   "AiFillRedditCircle": () => (/* binding */ AiFillRedditCircle),
/* harmony export */   "AiFillRedditSquare": () => (/* binding */ AiFillRedditSquare),
/* harmony export */   "AiFillRest": () => (/* binding */ AiFillRest),
/* harmony export */   "AiFillRightCircle": () => (/* binding */ AiFillRightCircle),
/* harmony export */   "AiFillRightSquare": () => (/* binding */ AiFillRightSquare),
/* harmony export */   "AiFillRobot": () => (/* binding */ AiFillRobot),
/* harmony export */   "AiFillRocket": () => (/* binding */ AiFillRocket),
/* harmony export */   "AiFillSafetyCertificate": () => (/* binding */ AiFillSafetyCertificate),
/* harmony export */   "AiFillSave": () => (/* binding */ AiFillSave),
/* harmony export */   "AiFillSchedule": () => (/* binding */ AiFillSchedule),
/* harmony export */   "AiFillSecurityScan": () => (/* binding */ AiFillSecurityScan),
/* harmony export */   "AiFillSetting": () => (/* binding */ AiFillSetting),
/* harmony export */   "AiFillShop": () => (/* binding */ AiFillShop),
/* harmony export */   "AiFillShopping": () => (/* binding */ AiFillShopping),
/* harmony export */   "AiFillSignal": () => (/* binding */ AiFillSignal),
/* harmony export */   "AiFillSketchCircle": () => (/* binding */ AiFillSketchCircle),
/* harmony export */   "AiFillSketchSquare": () => (/* binding */ AiFillSketchSquare),
/* harmony export */   "AiFillSkin": () => (/* binding */ AiFillSkin),
/* harmony export */   "AiFillSkype": () => (/* binding */ AiFillSkype),
/* harmony export */   "AiFillSlackCircle": () => (/* binding */ AiFillSlackCircle),
/* harmony export */   "AiFillSlackSquare": () => (/* binding */ AiFillSlackSquare),
/* harmony export */   "AiFillSliders": () => (/* binding */ AiFillSliders),
/* harmony export */   "AiFillSmile": () => (/* binding */ AiFillSmile),
/* harmony export */   "AiFillSnippets": () => (/* binding */ AiFillSnippets),
/* harmony export */   "AiFillSound": () => (/* binding */ AiFillSound),
/* harmony export */   "AiFillStar": () => (/* binding */ AiFillStar),
/* harmony export */   "AiFillStepBackward": () => (/* binding */ AiFillStepBackward),
/* harmony export */   "AiFillStepForward": () => (/* binding */ AiFillStepForward),
/* harmony export */   "AiFillStop": () => (/* binding */ AiFillStop),
/* harmony export */   "AiFillSwitcher": () => (/* binding */ AiFillSwitcher),
/* harmony export */   "AiFillTablet": () => (/* binding */ AiFillTablet),
/* harmony export */   "AiFillTag": () => (/* binding */ AiFillTag),
/* harmony export */   "AiFillTags": () => (/* binding */ AiFillTags),
/* harmony export */   "AiFillTaobaoCircle": () => (/* binding */ AiFillTaobaoCircle),
/* harmony export */   "AiFillTaobaoSquare": () => (/* binding */ AiFillTaobaoSquare),
/* harmony export */   "AiFillThunderbolt": () => (/* binding */ AiFillThunderbolt),
/* harmony export */   "AiFillTool": () => (/* binding */ AiFillTool),
/* harmony export */   "AiFillTrademarkCircle": () => (/* binding */ AiFillTrademarkCircle),
/* harmony export */   "AiFillTrophy": () => (/* binding */ AiFillTrophy),
/* harmony export */   "AiFillTwitterCircle": () => (/* binding */ AiFillTwitterCircle),
/* harmony export */   "AiFillTwitterSquare": () => (/* binding */ AiFillTwitterSquare),
/* harmony export */   "AiFillUnlock": () => (/* binding */ AiFillUnlock),
/* harmony export */   "AiFillUpCircle": () => (/* binding */ AiFillUpCircle),
/* harmony export */   "AiFillUpSquare": () => (/* binding */ AiFillUpSquare),
/* harmony export */   "AiFillUsb": () => (/* binding */ AiFillUsb),
/* harmony export */   "AiFillVideoCamera": () => (/* binding */ AiFillVideoCamera),
/* harmony export */   "AiFillWallet": () => (/* binding */ AiFillWallet),
/* harmony export */   "AiFillWarning": () => (/* binding */ AiFillWarning),
/* harmony export */   "AiFillWechat": () => (/* binding */ AiFillWechat),
/* harmony export */   "AiFillWeiboCircle": () => (/* binding */ AiFillWeiboCircle),
/* harmony export */   "AiFillWeiboSquare": () => (/* binding */ AiFillWeiboSquare),
/* harmony export */   "AiFillWindows": () => (/* binding */ AiFillWindows),
/* harmony export */   "AiFillYahoo": () => (/* binding */ AiFillYahoo),
/* harmony export */   "AiFillYoutube": () => (/* binding */ AiFillYoutube),
/* harmony export */   "AiFillYuque": () => (/* binding */ AiFillYuque),
/* harmony export */   "AiFillZhihuCircle": () => (/* binding */ AiFillZhihuCircle),
/* harmony export */   "AiFillZhihuSquare": () => (/* binding */ AiFillZhihuSquare),
/* harmony export */   "AiOutlineAccountBook": () => (/* binding */ AiOutlineAccountBook),
/* harmony export */   "AiOutlineAim": () => (/* binding */ AiOutlineAim),
/* harmony export */   "AiOutlineAlert": () => (/* binding */ AiOutlineAlert),
/* harmony export */   "AiOutlineAlibaba": () => (/* binding */ AiOutlineAlibaba),
/* harmony export */   "AiOutlineAlignCenter": () => (/* binding */ AiOutlineAlignCenter),
/* harmony export */   "AiOutlineAlignLeft": () => (/* binding */ AiOutlineAlignLeft),
/* harmony export */   "AiOutlineAlignRight": () => (/* binding */ AiOutlineAlignRight),
/* harmony export */   "AiOutlineAlipay": () => (/* binding */ AiOutlineAlipay),
/* harmony export */   "AiOutlineAlipayCircle": () => (/* binding */ AiOutlineAlipayCircle),
/* harmony export */   "AiOutlineAliwangwang": () => (/* binding */ AiOutlineAliwangwang),
/* harmony export */   "AiOutlineAliyun": () => (/* binding */ AiOutlineAliyun),
/* harmony export */   "AiOutlineAmazon": () => (/* binding */ AiOutlineAmazon),
/* harmony export */   "AiOutlineAndroid": () => (/* binding */ AiOutlineAndroid),
/* harmony export */   "AiOutlineAntCloud": () => (/* binding */ AiOutlineAntCloud),
/* harmony export */   "AiOutlineAntDesign": () => (/* binding */ AiOutlineAntDesign),
/* harmony export */   "AiOutlineApartment": () => (/* binding */ AiOutlineApartment),
/* harmony export */   "AiOutlineApi": () => (/* binding */ AiOutlineApi),
/* harmony export */   "AiOutlineApple": () => (/* binding */ AiOutlineApple),
/* harmony export */   "AiOutlineAppstore": () => (/* binding */ AiOutlineAppstore),
/* harmony export */   "AiOutlineAppstoreAdd": () => (/* binding */ AiOutlineAppstoreAdd),
/* harmony export */   "AiOutlineAreaChart": () => (/* binding */ AiOutlineAreaChart),
/* harmony export */   "AiOutlineArrowDown": () => (/* binding */ AiOutlineArrowDown),
/* harmony export */   "AiOutlineArrowLeft": () => (/* binding */ AiOutlineArrowLeft),
/* harmony export */   "AiOutlineArrowRight": () => (/* binding */ AiOutlineArrowRight),
/* harmony export */   "AiOutlineArrowUp": () => (/* binding */ AiOutlineArrowUp),
/* harmony export */   "AiOutlineArrowsAlt": () => (/* binding */ AiOutlineArrowsAlt),
/* harmony export */   "AiOutlineAudio": () => (/* binding */ AiOutlineAudio),
/* harmony export */   "AiOutlineAudioMuted": () => (/* binding */ AiOutlineAudioMuted),
/* harmony export */   "AiOutlineAudit": () => (/* binding */ AiOutlineAudit),
/* harmony export */   "AiOutlineBackward": () => (/* binding */ AiOutlineBackward),
/* harmony export */   "AiOutlineBank": () => (/* binding */ AiOutlineBank),
/* harmony export */   "AiOutlineBarChart": () => (/* binding */ AiOutlineBarChart),
/* harmony export */   "AiOutlineBarcode": () => (/* binding */ AiOutlineBarcode),
/* harmony export */   "AiOutlineBars": () => (/* binding */ AiOutlineBars),
/* harmony export */   "AiOutlineBehance": () => (/* binding */ AiOutlineBehance),
/* harmony export */   "AiOutlineBehanceSquare": () => (/* binding */ AiOutlineBehanceSquare),
/* harmony export */   "AiOutlineBell": () => (/* binding */ AiOutlineBell),
/* harmony export */   "AiOutlineBgColors": () => (/* binding */ AiOutlineBgColors),
/* harmony export */   "AiOutlineBlock": () => (/* binding */ AiOutlineBlock),
/* harmony export */   "AiOutlineBold": () => (/* binding */ AiOutlineBold),
/* harmony export */   "AiOutlineBook": () => (/* binding */ AiOutlineBook),
/* harmony export */   "AiOutlineBorder": () => (/* binding */ AiOutlineBorder),
/* harmony export */   "AiOutlineBorderBottom": () => (/* binding */ AiOutlineBorderBottom),
/* harmony export */   "AiOutlineBorderHorizontal": () => (/* binding */ AiOutlineBorderHorizontal),
/* harmony export */   "AiOutlineBorderInner": () => (/* binding */ AiOutlineBorderInner),
/* harmony export */   "AiOutlineBorderLeft": () => (/* binding */ AiOutlineBorderLeft),
/* harmony export */   "AiOutlineBorderOuter": () => (/* binding */ AiOutlineBorderOuter),
/* harmony export */   "AiOutlineBorderRight": () => (/* binding */ AiOutlineBorderRight),
/* harmony export */   "AiOutlineBorderTop": () => (/* binding */ AiOutlineBorderTop),
/* harmony export */   "AiOutlineBorderVerticle": () => (/* binding */ AiOutlineBorderVerticle),
/* harmony export */   "AiOutlineBorderlessTable": () => (/* binding */ AiOutlineBorderlessTable),
/* harmony export */   "AiOutlineBoxPlot": () => (/* binding */ AiOutlineBoxPlot),
/* harmony export */   "AiOutlineBranches": () => (/* binding */ AiOutlineBranches),
/* harmony export */   "AiOutlineBug": () => (/* binding */ AiOutlineBug),
/* harmony export */   "AiOutlineBuild": () => (/* binding */ AiOutlineBuild),
/* harmony export */   "AiOutlineBulb": () => (/* binding */ AiOutlineBulb),
/* harmony export */   "AiOutlineCalculator": () => (/* binding */ AiOutlineCalculator),
/* harmony export */   "AiOutlineCalendar": () => (/* binding */ AiOutlineCalendar),
/* harmony export */   "AiOutlineCamera": () => (/* binding */ AiOutlineCamera),
/* harmony export */   "AiOutlineCar": () => (/* binding */ AiOutlineCar),
/* harmony export */   "AiOutlineCaretDown": () => (/* binding */ AiOutlineCaretDown),
/* harmony export */   "AiOutlineCaretLeft": () => (/* binding */ AiOutlineCaretLeft),
/* harmony export */   "AiOutlineCaretRight": () => (/* binding */ AiOutlineCaretRight),
/* harmony export */   "AiOutlineCaretUp": () => (/* binding */ AiOutlineCaretUp),
/* harmony export */   "AiOutlineCarryOut": () => (/* binding */ AiOutlineCarryOut),
/* harmony export */   "AiOutlineCheck": () => (/* binding */ AiOutlineCheck),
/* harmony export */   "AiOutlineCheckCircle": () => (/* binding */ AiOutlineCheckCircle),
/* harmony export */   "AiOutlineCheckSquare": () => (/* binding */ AiOutlineCheckSquare),
/* harmony export */   "AiOutlineChrome": () => (/* binding */ AiOutlineChrome),
/* harmony export */   "AiOutlineCi": () => (/* binding */ AiOutlineCi),
/* harmony export */   "AiOutlineCiCircle": () => (/* binding */ AiOutlineCiCircle),
/* harmony export */   "AiOutlineClear": () => (/* binding */ AiOutlineClear),
/* harmony export */   "AiOutlineClockCircle": () => (/* binding */ AiOutlineClockCircle),
/* harmony export */   "AiOutlineClose": () => (/* binding */ AiOutlineClose),
/* harmony export */   "AiOutlineCloseCircle": () => (/* binding */ AiOutlineCloseCircle),
/* harmony export */   "AiOutlineCloseSquare": () => (/* binding */ AiOutlineCloseSquare),
/* harmony export */   "AiOutlineCloud": () => (/* binding */ AiOutlineCloud),
/* harmony export */   "AiOutlineCloudDownload": () => (/* binding */ AiOutlineCloudDownload),
/* harmony export */   "AiOutlineCloudServer": () => (/* binding */ AiOutlineCloudServer),
/* harmony export */   "AiOutlineCloudSync": () => (/* binding */ AiOutlineCloudSync),
/* harmony export */   "AiOutlineCloudUpload": () => (/* binding */ AiOutlineCloudUpload),
/* harmony export */   "AiOutlineCluster": () => (/* binding */ AiOutlineCluster),
/* harmony export */   "AiOutlineCode": () => (/* binding */ AiOutlineCode),
/* harmony export */   "AiOutlineCodeSandbox": () => (/* binding */ AiOutlineCodeSandbox),
/* harmony export */   "AiOutlineCodepen": () => (/* binding */ AiOutlineCodepen),
/* harmony export */   "AiOutlineCodepenCircle": () => (/* binding */ AiOutlineCodepenCircle),
/* harmony export */   "AiOutlineCoffee": () => (/* binding */ AiOutlineCoffee),
/* harmony export */   "AiOutlineColumnHeight": () => (/* binding */ AiOutlineColumnHeight),
/* harmony export */   "AiOutlineColumnWidth": () => (/* binding */ AiOutlineColumnWidth),
/* harmony export */   "AiOutlineComment": () => (/* binding */ AiOutlineComment),
/* harmony export */   "AiOutlineCompass": () => (/* binding */ AiOutlineCompass),
/* harmony export */   "AiOutlineCompress": () => (/* binding */ AiOutlineCompress),
/* harmony export */   "AiOutlineConsoleSql": () => (/* binding */ AiOutlineConsoleSql),
/* harmony export */   "AiOutlineContacts": () => (/* binding */ AiOutlineContacts),
/* harmony export */   "AiOutlineContainer": () => (/* binding */ AiOutlineContainer),
/* harmony export */   "AiOutlineControl": () => (/* binding */ AiOutlineControl),
/* harmony export */   "AiOutlineCopy": () => (/* binding */ AiOutlineCopy),
/* harmony export */   "AiOutlineCopyright": () => (/* binding */ AiOutlineCopyright),
/* harmony export */   "AiOutlineCopyrightCircle": () => (/* binding */ AiOutlineCopyrightCircle),
/* harmony export */   "AiOutlineCreditCard": () => (/* binding */ AiOutlineCreditCard),
/* harmony export */   "AiOutlineCrown": () => (/* binding */ AiOutlineCrown),
/* harmony export */   "AiOutlineCustomerService": () => (/* binding */ AiOutlineCustomerService),
/* harmony export */   "AiOutlineDash": () => (/* binding */ AiOutlineDash),
/* harmony export */   "AiOutlineDashboard": () => (/* binding */ AiOutlineDashboard),
/* harmony export */   "AiOutlineDatabase": () => (/* binding */ AiOutlineDatabase),
/* harmony export */   "AiOutlineDelete": () => (/* binding */ AiOutlineDelete),
/* harmony export */   "AiOutlineDeleteColumn": () => (/* binding */ AiOutlineDeleteColumn),
/* harmony export */   "AiOutlineDeleteRow": () => (/* binding */ AiOutlineDeleteRow),
/* harmony export */   "AiOutlineDeliveredProcedure": () => (/* binding */ AiOutlineDeliveredProcedure),
/* harmony export */   "AiOutlineDeploymentUnit": () => (/* binding */ AiOutlineDeploymentUnit),
/* harmony export */   "AiOutlineDesktop": () => (/* binding */ AiOutlineDesktop),
/* harmony export */   "AiOutlineDiff": () => (/* binding */ AiOutlineDiff),
/* harmony export */   "AiOutlineDingding": () => (/* binding */ AiOutlineDingding),
/* harmony export */   "AiOutlineDingtalk": () => (/* binding */ AiOutlineDingtalk),
/* harmony export */   "AiOutlineDisconnect": () => (/* binding */ AiOutlineDisconnect),
/* harmony export */   "AiOutlineDislike": () => (/* binding */ AiOutlineDislike),
/* harmony export */   "AiOutlineDollar": () => (/* binding */ AiOutlineDollar),
/* harmony export */   "AiOutlineDollarCircle": () => (/* binding */ AiOutlineDollarCircle),
/* harmony export */   "AiOutlineDotChart": () => (/* binding */ AiOutlineDotChart),
/* harmony export */   "AiOutlineDoubleLeft": () => (/* binding */ AiOutlineDoubleLeft),
/* harmony export */   "AiOutlineDoubleRight": () => (/* binding */ AiOutlineDoubleRight),
/* harmony export */   "AiOutlineDown": () => (/* binding */ AiOutlineDown),
/* harmony export */   "AiOutlineDownCircle": () => (/* binding */ AiOutlineDownCircle),
/* harmony export */   "AiOutlineDownSquare": () => (/* binding */ AiOutlineDownSquare),
/* harmony export */   "AiOutlineDownload": () => (/* binding */ AiOutlineDownload),
/* harmony export */   "AiOutlineDrag": () => (/* binding */ AiOutlineDrag),
/* harmony export */   "AiOutlineDribbble": () => (/* binding */ AiOutlineDribbble),
/* harmony export */   "AiOutlineDribbbleSquare": () => (/* binding */ AiOutlineDribbbleSquare),
/* harmony export */   "AiOutlineDropbox": () => (/* binding */ AiOutlineDropbox),
/* harmony export */   "AiOutlineEdit": () => (/* binding */ AiOutlineEdit),
/* harmony export */   "AiOutlineEllipsis": () => (/* binding */ AiOutlineEllipsis),
/* harmony export */   "AiOutlineEnter": () => (/* binding */ AiOutlineEnter),
/* harmony export */   "AiOutlineEnvironment": () => (/* binding */ AiOutlineEnvironment),
/* harmony export */   "AiOutlineEuro": () => (/* binding */ AiOutlineEuro),
/* harmony export */   "AiOutlineEuroCircle": () => (/* binding */ AiOutlineEuroCircle),
/* harmony export */   "AiOutlineException": () => (/* binding */ AiOutlineException),
/* harmony export */   "AiOutlineExclamation": () => (/* binding */ AiOutlineExclamation),
/* harmony export */   "AiOutlineExclamationCircle": () => (/* binding */ AiOutlineExclamationCircle),
/* harmony export */   "AiOutlineExpand": () => (/* binding */ AiOutlineExpand),
/* harmony export */   "AiOutlineExpandAlt": () => (/* binding */ AiOutlineExpandAlt),
/* harmony export */   "AiOutlineExperiment": () => (/* binding */ AiOutlineExperiment),
/* harmony export */   "AiOutlineExport": () => (/* binding */ AiOutlineExport),
/* harmony export */   "AiOutlineEye": () => (/* binding */ AiOutlineEye),
/* harmony export */   "AiOutlineEyeInvisible": () => (/* binding */ AiOutlineEyeInvisible),
/* harmony export */   "AiOutlineFacebook": () => (/* binding */ AiOutlineFacebook),
/* harmony export */   "AiOutlineFall": () => (/* binding */ AiOutlineFall),
/* harmony export */   "AiOutlineFastBackward": () => (/* binding */ AiOutlineFastBackward),
/* harmony export */   "AiOutlineFastForward": () => (/* binding */ AiOutlineFastForward),
/* harmony export */   "AiOutlineFieldBinary": () => (/* binding */ AiOutlineFieldBinary),
/* harmony export */   "AiOutlineFieldNumber": () => (/* binding */ AiOutlineFieldNumber),
/* harmony export */   "AiOutlineFieldString": () => (/* binding */ AiOutlineFieldString),
/* harmony export */   "AiOutlineFieldTime": () => (/* binding */ AiOutlineFieldTime),
/* harmony export */   "AiOutlineFile": () => (/* binding */ AiOutlineFile),
/* harmony export */   "AiOutlineFileAdd": () => (/* binding */ AiOutlineFileAdd),
/* harmony export */   "AiOutlineFileDone": () => (/* binding */ AiOutlineFileDone),
/* harmony export */   "AiOutlineFileExcel": () => (/* binding */ AiOutlineFileExcel),
/* harmony export */   "AiOutlineFileExclamation": () => (/* binding */ AiOutlineFileExclamation),
/* harmony export */   "AiOutlineFileGif": () => (/* binding */ AiOutlineFileGif),
/* harmony export */   "AiOutlineFileImage": () => (/* binding */ AiOutlineFileImage),
/* harmony export */   "AiOutlineFileJpg": () => (/* binding */ AiOutlineFileJpg),
/* harmony export */   "AiOutlineFileMarkdown": () => (/* binding */ AiOutlineFileMarkdown),
/* harmony export */   "AiOutlineFilePdf": () => (/* binding */ AiOutlineFilePdf),
/* harmony export */   "AiOutlineFilePpt": () => (/* binding */ AiOutlineFilePpt),
/* harmony export */   "AiOutlineFileProtect": () => (/* binding */ AiOutlineFileProtect),
/* harmony export */   "AiOutlineFileSearch": () => (/* binding */ AiOutlineFileSearch),
/* harmony export */   "AiOutlineFileSync": () => (/* binding */ AiOutlineFileSync),
/* harmony export */   "AiOutlineFileText": () => (/* binding */ AiOutlineFileText),
/* harmony export */   "AiOutlineFileUnknown": () => (/* binding */ AiOutlineFileUnknown),
/* harmony export */   "AiOutlineFileWord": () => (/* binding */ AiOutlineFileWord),
/* harmony export */   "AiOutlineFileZip": () => (/* binding */ AiOutlineFileZip),
/* harmony export */   "AiOutlineFilter": () => (/* binding */ AiOutlineFilter),
/* harmony export */   "AiOutlineFire": () => (/* binding */ AiOutlineFire),
/* harmony export */   "AiOutlineFlag": () => (/* binding */ AiOutlineFlag),
/* harmony export */   "AiOutlineFolder": () => (/* binding */ AiOutlineFolder),
/* harmony export */   "AiOutlineFolderAdd": () => (/* binding */ AiOutlineFolderAdd),
/* harmony export */   "AiOutlineFolderOpen": () => (/* binding */ AiOutlineFolderOpen),
/* harmony export */   "AiOutlineFolderView": () => (/* binding */ AiOutlineFolderView),
/* harmony export */   "AiOutlineFontColors": () => (/* binding */ AiOutlineFontColors),
/* harmony export */   "AiOutlineFontSize": () => (/* binding */ AiOutlineFontSize),
/* harmony export */   "AiOutlineFork": () => (/* binding */ AiOutlineFork),
/* harmony export */   "AiOutlineForm": () => (/* binding */ AiOutlineForm),
/* harmony export */   "AiOutlineFormatPainter": () => (/* binding */ AiOutlineFormatPainter),
/* harmony export */   "AiOutlineForward": () => (/* binding */ AiOutlineForward),
/* harmony export */   "AiOutlineFrown": () => (/* binding */ AiOutlineFrown),
/* harmony export */   "AiOutlineFullscreen": () => (/* binding */ AiOutlineFullscreen),
/* harmony export */   "AiOutlineFullscreenExit": () => (/* binding */ AiOutlineFullscreenExit),
/* harmony export */   "AiOutlineFunction": () => (/* binding */ AiOutlineFunction),
/* harmony export */   "AiOutlineFund": () => (/* binding */ AiOutlineFund),
/* harmony export */   "AiOutlineFundProjectionScreen": () => (/* binding */ AiOutlineFundProjectionScreen),
/* harmony export */   "AiOutlineFundView": () => (/* binding */ AiOutlineFundView),
/* harmony export */   "AiOutlineFunnelPlot": () => (/* binding */ AiOutlineFunnelPlot),
/* harmony export */   "AiOutlineGateway": () => (/* binding */ AiOutlineGateway),
/* harmony export */   "AiOutlineGif": () => (/* binding */ AiOutlineGif),
/* harmony export */   "AiOutlineGift": () => (/* binding */ AiOutlineGift),
/* harmony export */   "AiOutlineGithub": () => (/* binding */ AiOutlineGithub),
/* harmony export */   "AiOutlineGitlab": () => (/* binding */ AiOutlineGitlab),
/* harmony export */   "AiOutlineGlobal": () => (/* binding */ AiOutlineGlobal),
/* harmony export */   "AiOutlineGold": () => (/* binding */ AiOutlineGold),
/* harmony export */   "AiOutlineGoogle": () => (/* binding */ AiOutlineGoogle),
/* harmony export */   "AiOutlineGooglePlus": () => (/* binding */ AiOutlineGooglePlus),
/* harmony export */   "AiOutlineGroup": () => (/* binding */ AiOutlineGroup),
/* harmony export */   "AiOutlineHdd": () => (/* binding */ AiOutlineHdd),
/* harmony export */   "AiOutlineHeart": () => (/* binding */ AiOutlineHeart),
/* harmony export */   "AiOutlineHeatMap": () => (/* binding */ AiOutlineHeatMap),
/* harmony export */   "AiOutlineHighlight": () => (/* binding */ AiOutlineHighlight),
/* harmony export */   "AiOutlineHistory": () => (/* binding */ AiOutlineHistory),
/* harmony export */   "AiOutlineHome": () => (/* binding */ AiOutlineHome),
/* harmony export */   "AiOutlineHourglass": () => (/* binding */ AiOutlineHourglass),
/* harmony export */   "AiOutlineHtml5": () => (/* binding */ AiOutlineHtml5),
/* harmony export */   "AiOutlineIdcard": () => (/* binding */ AiOutlineIdcard),
/* harmony export */   "AiOutlineIe": () => (/* binding */ AiOutlineIe),
/* harmony export */   "AiOutlineImport": () => (/* binding */ AiOutlineImport),
/* harmony export */   "AiOutlineInbox": () => (/* binding */ AiOutlineInbox),
/* harmony export */   "AiOutlineInfo": () => (/* binding */ AiOutlineInfo),
/* harmony export */   "AiOutlineInfoCircle": () => (/* binding */ AiOutlineInfoCircle),
/* harmony export */   "AiOutlineInsertRowAbove": () => (/* binding */ AiOutlineInsertRowAbove),
/* harmony export */   "AiOutlineInsertRowBelow": () => (/* binding */ AiOutlineInsertRowBelow),
/* harmony export */   "AiOutlineInsertRowLeft": () => (/* binding */ AiOutlineInsertRowLeft),
/* harmony export */   "AiOutlineInsertRowRight": () => (/* binding */ AiOutlineInsertRowRight),
/* harmony export */   "AiOutlineInstagram": () => (/* binding */ AiOutlineInstagram),
/* harmony export */   "AiOutlineInsurance": () => (/* binding */ AiOutlineInsurance),
/* harmony export */   "AiOutlineInteraction": () => (/* binding */ AiOutlineInteraction),
/* harmony export */   "AiOutlineIssuesClose": () => (/* binding */ AiOutlineIssuesClose),
/* harmony export */   "AiOutlineItalic": () => (/* binding */ AiOutlineItalic),
/* harmony export */   "AiOutlineKey": () => (/* binding */ AiOutlineKey),
/* harmony export */   "AiOutlineLaptop": () => (/* binding */ AiOutlineLaptop),
/* harmony export */   "AiOutlineLayout": () => (/* binding */ AiOutlineLayout),
/* harmony export */   "AiOutlineLeft": () => (/* binding */ AiOutlineLeft),
/* harmony export */   "AiOutlineLeftCircle": () => (/* binding */ AiOutlineLeftCircle),
/* harmony export */   "AiOutlineLeftSquare": () => (/* binding */ AiOutlineLeftSquare),
/* harmony export */   "AiOutlineLike": () => (/* binding */ AiOutlineLike),
/* harmony export */   "AiOutlineLine": () => (/* binding */ AiOutlineLine),
/* harmony export */   "AiOutlineLineChart": () => (/* binding */ AiOutlineLineChart),
/* harmony export */   "AiOutlineLineHeight": () => (/* binding */ AiOutlineLineHeight),
/* harmony export */   "AiOutlineLink": () => (/* binding */ AiOutlineLink),
/* harmony export */   "AiOutlineLinkedin": () => (/* binding */ AiOutlineLinkedin),
/* harmony export */   "AiOutlineLoading": () => (/* binding */ AiOutlineLoading),
/* harmony export */   "AiOutlineLoading3Quarters": () => (/* binding */ AiOutlineLoading3Quarters),
/* harmony export */   "AiOutlineLock": () => (/* binding */ AiOutlineLock),
/* harmony export */   "AiOutlineLogin": () => (/* binding */ AiOutlineLogin),
/* harmony export */   "AiOutlineLogout": () => (/* binding */ AiOutlineLogout),
/* harmony export */   "AiOutlineMacCommand": () => (/* binding */ AiOutlineMacCommand),
/* harmony export */   "AiOutlineMail": () => (/* binding */ AiOutlineMail),
/* harmony export */   "AiOutlineMan": () => (/* binding */ AiOutlineMan),
/* harmony export */   "AiOutlineMedicineBox": () => (/* binding */ AiOutlineMedicineBox),
/* harmony export */   "AiOutlineMedium": () => (/* binding */ AiOutlineMedium),
/* harmony export */   "AiOutlineMediumWorkmark": () => (/* binding */ AiOutlineMediumWorkmark),
/* harmony export */   "AiOutlineMeh": () => (/* binding */ AiOutlineMeh),
/* harmony export */   "AiOutlineMenu": () => (/* binding */ AiOutlineMenu),
/* harmony export */   "AiOutlineMenuFold": () => (/* binding */ AiOutlineMenuFold),
/* harmony export */   "AiOutlineMenuUnfold": () => (/* binding */ AiOutlineMenuUnfold),
/* harmony export */   "AiOutlineMergeCells": () => (/* binding */ AiOutlineMergeCells),
/* harmony export */   "AiOutlineMessage": () => (/* binding */ AiOutlineMessage),
/* harmony export */   "AiOutlineMinus": () => (/* binding */ AiOutlineMinus),
/* harmony export */   "AiOutlineMinusCircle": () => (/* binding */ AiOutlineMinusCircle),
/* harmony export */   "AiOutlineMinusSquare": () => (/* binding */ AiOutlineMinusSquare),
/* harmony export */   "AiOutlineMobile": () => (/* binding */ AiOutlineMobile),
/* harmony export */   "AiOutlineMoneyCollect": () => (/* binding */ AiOutlineMoneyCollect),
/* harmony export */   "AiOutlineMonitor": () => (/* binding */ AiOutlineMonitor),
/* harmony export */   "AiOutlineMore": () => (/* binding */ AiOutlineMore),
/* harmony export */   "AiOutlineNodeCollapse": () => (/* binding */ AiOutlineNodeCollapse),
/* harmony export */   "AiOutlineNodeExpand": () => (/* binding */ AiOutlineNodeExpand),
/* harmony export */   "AiOutlineNodeIndex": () => (/* binding */ AiOutlineNodeIndex),
/* harmony export */   "AiOutlineNotification": () => (/* binding */ AiOutlineNotification),
/* harmony export */   "AiOutlineNumber": () => (/* binding */ AiOutlineNumber),
/* harmony export */   "AiOutlineOneToOne": () => (/* binding */ AiOutlineOneToOne),
/* harmony export */   "AiOutlineOrderedList": () => (/* binding */ AiOutlineOrderedList),
/* harmony export */   "AiOutlinePaperClip": () => (/* binding */ AiOutlinePaperClip),
/* harmony export */   "AiOutlinePartition": () => (/* binding */ AiOutlinePartition),
/* harmony export */   "AiOutlinePause": () => (/* binding */ AiOutlinePause),
/* harmony export */   "AiOutlinePauseCircle": () => (/* binding */ AiOutlinePauseCircle),
/* harmony export */   "AiOutlinePayCircle": () => (/* binding */ AiOutlinePayCircle),
/* harmony export */   "AiOutlinePercentage": () => (/* binding */ AiOutlinePercentage),
/* harmony export */   "AiOutlinePhone": () => (/* binding */ AiOutlinePhone),
/* harmony export */   "AiOutlinePicCenter": () => (/* binding */ AiOutlinePicCenter),
/* harmony export */   "AiOutlinePicLeft": () => (/* binding */ AiOutlinePicLeft),
/* harmony export */   "AiOutlinePicRight": () => (/* binding */ AiOutlinePicRight),
/* harmony export */   "AiOutlinePicture": () => (/* binding */ AiOutlinePicture),
/* harmony export */   "AiOutlinePieChart": () => (/* binding */ AiOutlinePieChart),
/* harmony export */   "AiOutlinePlayCircle": () => (/* binding */ AiOutlinePlayCircle),
/* harmony export */   "AiOutlinePlaySquare": () => (/* binding */ AiOutlinePlaySquare),
/* harmony export */   "AiOutlinePlus": () => (/* binding */ AiOutlinePlus),
/* harmony export */   "AiOutlinePlusCircle": () => (/* binding */ AiOutlinePlusCircle),
/* harmony export */   "AiOutlinePlusSquare": () => (/* binding */ AiOutlinePlusSquare),
/* harmony export */   "AiOutlinePound": () => (/* binding */ AiOutlinePound),
/* harmony export */   "AiOutlinePoundCircle": () => (/* binding */ AiOutlinePoundCircle),
/* harmony export */   "AiOutlinePoweroff": () => (/* binding */ AiOutlinePoweroff),
/* harmony export */   "AiOutlinePrinter": () => (/* binding */ AiOutlinePrinter),
/* harmony export */   "AiOutlineProfile": () => (/* binding */ AiOutlineProfile),
/* harmony export */   "AiOutlineProject": () => (/* binding */ AiOutlineProject),
/* harmony export */   "AiOutlinePropertySafety": () => (/* binding */ AiOutlinePropertySafety),
/* harmony export */   "AiOutlinePullRequest": () => (/* binding */ AiOutlinePullRequest),
/* harmony export */   "AiOutlinePushpin": () => (/* binding */ AiOutlinePushpin),
/* harmony export */   "AiOutlineQq": () => (/* binding */ AiOutlineQq),
/* harmony export */   "AiOutlineQrcode": () => (/* binding */ AiOutlineQrcode),
/* harmony export */   "AiOutlineQuestion": () => (/* binding */ AiOutlineQuestion),
/* harmony export */   "AiOutlineQuestionCircle": () => (/* binding */ AiOutlineQuestionCircle),
/* harmony export */   "AiOutlineRadarChart": () => (/* binding */ AiOutlineRadarChart),
/* harmony export */   "AiOutlineRadiusBottomleft": () => (/* binding */ AiOutlineRadiusBottomleft),
/* harmony export */   "AiOutlineRadiusBottomright": () => (/* binding */ AiOutlineRadiusBottomright),
/* harmony export */   "AiOutlineRadiusSetting": () => (/* binding */ AiOutlineRadiusSetting),
/* harmony export */   "AiOutlineRadiusUpleft": () => (/* binding */ AiOutlineRadiusUpleft),
/* harmony export */   "AiOutlineRadiusUpright": () => (/* binding */ AiOutlineRadiusUpright),
/* harmony export */   "AiOutlineRead": () => (/* binding */ AiOutlineRead),
/* harmony export */   "AiOutlineReconciliation": () => (/* binding */ AiOutlineReconciliation),
/* harmony export */   "AiOutlineRedEnvelope": () => (/* binding */ AiOutlineRedEnvelope),
/* harmony export */   "AiOutlineReddit": () => (/* binding */ AiOutlineReddit),
/* harmony export */   "AiOutlineRedo": () => (/* binding */ AiOutlineRedo),
/* harmony export */   "AiOutlineReload": () => (/* binding */ AiOutlineReload),
/* harmony export */   "AiOutlineRest": () => (/* binding */ AiOutlineRest),
/* harmony export */   "AiOutlineRetweet": () => (/* binding */ AiOutlineRetweet),
/* harmony export */   "AiOutlineRight": () => (/* binding */ AiOutlineRight),
/* harmony export */   "AiOutlineRightCircle": () => (/* binding */ AiOutlineRightCircle),
/* harmony export */   "AiOutlineRightSquare": () => (/* binding */ AiOutlineRightSquare),
/* harmony export */   "AiOutlineRise": () => (/* binding */ AiOutlineRise),
/* harmony export */   "AiOutlineRobot": () => (/* binding */ AiOutlineRobot),
/* harmony export */   "AiOutlineRocket": () => (/* binding */ AiOutlineRocket),
/* harmony export */   "AiOutlineRollback": () => (/* binding */ AiOutlineRollback),
/* harmony export */   "AiOutlineRotateLeft": () => (/* binding */ AiOutlineRotateLeft),
/* harmony export */   "AiOutlineRotateRight": () => (/* binding */ AiOutlineRotateRight),
/* harmony export */   "AiOutlineSafety": () => (/* binding */ AiOutlineSafety),
/* harmony export */   "AiOutlineSafetyCertificate": () => (/* binding */ AiOutlineSafetyCertificate),
/* harmony export */   "AiOutlineSave": () => (/* binding */ AiOutlineSave),
/* harmony export */   "AiOutlineScan": () => (/* binding */ AiOutlineScan),
/* harmony export */   "AiOutlineSchedule": () => (/* binding */ AiOutlineSchedule),
/* harmony export */   "AiOutlineScissor": () => (/* binding */ AiOutlineScissor),
/* harmony export */   "AiOutlineSearch": () => (/* binding */ AiOutlineSearch),
/* harmony export */   "AiOutlineSecurityScan": () => (/* binding */ AiOutlineSecurityScan),
/* harmony export */   "AiOutlineSelect": () => (/* binding */ AiOutlineSelect),
/* harmony export */   "AiOutlineSend": () => (/* binding */ AiOutlineSend),
/* harmony export */   "AiOutlineSetting": () => (/* binding */ AiOutlineSetting),
/* harmony export */   "AiOutlineShake": () => (/* binding */ AiOutlineShake),
/* harmony export */   "AiOutlineShareAlt": () => (/* binding */ AiOutlineShareAlt),
/* harmony export */   "AiOutlineShop": () => (/* binding */ AiOutlineShop),
/* harmony export */   "AiOutlineShopping": () => (/* binding */ AiOutlineShopping),
/* harmony export */   "AiOutlineShoppingCart": () => (/* binding */ AiOutlineShoppingCart),
/* harmony export */   "AiOutlineShrink": () => (/* binding */ AiOutlineShrink),
/* harmony export */   "AiOutlineSisternode": () => (/* binding */ AiOutlineSisternode),
/* harmony export */   "AiOutlineSketch": () => (/* binding */ AiOutlineSketch),
/* harmony export */   "AiOutlineSkin": () => (/* binding */ AiOutlineSkin),
/* harmony export */   "AiOutlineSkype": () => (/* binding */ AiOutlineSkype),
/* harmony export */   "AiOutlineSlack": () => (/* binding */ AiOutlineSlack),
/* harmony export */   "AiOutlineSlackSquare": () => (/* binding */ AiOutlineSlackSquare),
/* harmony export */   "AiOutlineSliders": () => (/* binding */ AiOutlineSliders),
/* harmony export */   "AiOutlineSmallDash": () => (/* binding */ AiOutlineSmallDash),
/* harmony export */   "AiOutlineSmile": () => (/* binding */ AiOutlineSmile),
/* harmony export */   "AiOutlineSnippets": () => (/* binding */ AiOutlineSnippets),
/* harmony export */   "AiOutlineSolution": () => (/* binding */ AiOutlineSolution),
/* harmony export */   "AiOutlineSortAscending": () => (/* binding */ AiOutlineSortAscending),
/* harmony export */   "AiOutlineSortDescending": () => (/* binding */ AiOutlineSortDescending),
/* harmony export */   "AiOutlineSound": () => (/* binding */ AiOutlineSound),
/* harmony export */   "AiOutlineSplitCells": () => (/* binding */ AiOutlineSplitCells),
/* harmony export */   "AiOutlineStar": () => (/* binding */ AiOutlineStar),
/* harmony export */   "AiOutlineStepBackward": () => (/* binding */ AiOutlineStepBackward),
/* harmony export */   "AiOutlineStepForward": () => (/* binding */ AiOutlineStepForward),
/* harmony export */   "AiOutlineStock": () => (/* binding */ AiOutlineStock),
/* harmony export */   "AiOutlineStop": () => (/* binding */ AiOutlineStop),
/* harmony export */   "AiOutlineStrikethrough": () => (/* binding */ AiOutlineStrikethrough),
/* harmony export */   "AiOutlineSubnode": () => (/* binding */ AiOutlineSubnode),
/* harmony export */   "AiOutlineSwap": () => (/* binding */ AiOutlineSwap),
/* harmony export */   "AiOutlineSwapLeft": () => (/* binding */ AiOutlineSwapLeft),
/* harmony export */   "AiOutlineSwapRight": () => (/* binding */ AiOutlineSwapRight),
/* harmony export */   "AiOutlineSwitcher": () => (/* binding */ AiOutlineSwitcher),
/* harmony export */   "AiOutlineSync": () => (/* binding */ AiOutlineSync),
/* harmony export */   "AiOutlineTable": () => (/* binding */ AiOutlineTable),
/* harmony export */   "AiOutlineTablet": () => (/* binding */ AiOutlineTablet),
/* harmony export */   "AiOutlineTag": () => (/* binding */ AiOutlineTag),
/* harmony export */   "AiOutlineTags": () => (/* binding */ AiOutlineTags),
/* harmony export */   "AiOutlineTaobao": () => (/* binding */ AiOutlineTaobao),
/* harmony export */   "AiOutlineTaobaoCircle": () => (/* binding */ AiOutlineTaobaoCircle),
/* harmony export */   "AiOutlineTeam": () => (/* binding */ AiOutlineTeam),
/* harmony export */   "AiOutlineThunderbolt": () => (/* binding */ AiOutlineThunderbolt),
/* harmony export */   "AiOutlineToTop": () => (/* binding */ AiOutlineToTop),
/* harmony export */   "AiOutlineTool": () => (/* binding */ AiOutlineTool),
/* harmony export */   "AiOutlineTrademark": () => (/* binding */ AiOutlineTrademark),
/* harmony export */   "AiOutlineTrademarkCircle": () => (/* binding */ AiOutlineTrademarkCircle),
/* harmony export */   "AiOutlineTransaction": () => (/* binding */ AiOutlineTransaction),
/* harmony export */   "AiOutlineTranslation": () => (/* binding */ AiOutlineTranslation),
/* harmony export */   "AiOutlineTrophy": () => (/* binding */ AiOutlineTrophy),
/* harmony export */   "AiOutlineTwitter": () => (/* binding */ AiOutlineTwitter),
/* harmony export */   "AiOutlineUnderline": () => (/* binding */ AiOutlineUnderline),
/* harmony export */   "AiOutlineUndo": () => (/* binding */ AiOutlineUndo),
/* harmony export */   "AiOutlineUngroup": () => (/* binding */ AiOutlineUngroup),
/* harmony export */   "AiOutlineUnlock": () => (/* binding */ AiOutlineUnlock),
/* harmony export */   "AiOutlineUnorderedList": () => (/* binding */ AiOutlineUnorderedList),
/* harmony export */   "AiOutlineUp": () => (/* binding */ AiOutlineUp),
/* harmony export */   "AiOutlineUpCircle": () => (/* binding */ AiOutlineUpCircle),
/* harmony export */   "AiOutlineUpSquare": () => (/* binding */ AiOutlineUpSquare),
/* harmony export */   "AiOutlineUpload": () => (/* binding */ AiOutlineUpload),
/* harmony export */   "AiOutlineUsb": () => (/* binding */ AiOutlineUsb),
/* harmony export */   "AiOutlineUser": () => (/* binding */ AiOutlineUser),
/* harmony export */   "AiOutlineUserAdd": () => (/* binding */ AiOutlineUserAdd),
/* harmony export */   "AiOutlineUserDelete": () => (/* binding */ AiOutlineUserDelete),
/* harmony export */   "AiOutlineUserSwitch": () => (/* binding */ AiOutlineUserSwitch),
/* harmony export */   "AiOutlineUsergroupAdd": () => (/* binding */ AiOutlineUsergroupAdd),
/* harmony export */   "AiOutlineUsergroupDelete": () => (/* binding */ AiOutlineUsergroupDelete),
/* harmony export */   "AiOutlineVerified": () => (/* binding */ AiOutlineVerified),
/* harmony export */   "AiOutlineVerticalAlignBottom": () => (/* binding */ AiOutlineVerticalAlignBottom),
/* harmony export */   "AiOutlineVerticalAlignMiddle": () => (/* binding */ AiOutlineVerticalAlignMiddle),
/* harmony export */   "AiOutlineVerticalAlignTop": () => (/* binding */ AiOutlineVerticalAlignTop),
/* harmony export */   "AiOutlineVerticalLeft": () => (/* binding */ AiOutlineVerticalLeft),
/* harmony export */   "AiOutlineVerticalRight": () => (/* binding */ AiOutlineVerticalRight),
/* harmony export */   "AiOutlineVideoCamera": () => (/* binding */ AiOutlineVideoCamera),
/* harmony export */   "AiOutlineVideoCameraAdd": () => (/* binding */ AiOutlineVideoCameraAdd),
/* harmony export */   "AiOutlineWallet": () => (/* binding */ AiOutlineWallet),
/* harmony export */   "AiOutlineWarning": () => (/* binding */ AiOutlineWarning),
/* harmony export */   "AiOutlineWechat": () => (/* binding */ AiOutlineWechat),
/* harmony export */   "AiOutlineWeibo": () => (/* binding */ AiOutlineWeibo),
/* harmony export */   "AiOutlineWeiboCircle": () => (/* binding */ AiOutlineWeiboCircle),
/* harmony export */   "AiOutlineWeiboSquare": () => (/* binding */ AiOutlineWeiboSquare),
/* harmony export */   "AiOutlineWhatsApp": () => (/* binding */ AiOutlineWhatsApp),
/* harmony export */   "AiOutlineWifi": () => (/* binding */ AiOutlineWifi),
/* harmony export */   "AiOutlineWindows": () => (/* binding */ AiOutlineWindows),
/* harmony export */   "AiOutlineWoman": () => (/* binding */ AiOutlineWoman),
/* harmony export */   "AiOutlineYahoo": () => (/* binding */ AiOutlineYahoo),
/* harmony export */   "AiOutlineYoutube": () => (/* binding */ AiOutlineYoutube),
/* harmony export */   "AiOutlineYuque": () => (/* binding */ AiOutlineYuque),
/* harmony export */   "AiOutlineZhihu": () => (/* binding */ AiOutlineZhihu),
/* harmony export */   "AiOutlineZoomIn": () => (/* binding */ AiOutlineZoomIn),
/* harmony export */   "AiOutlineZoomOut": () => (/* binding */ AiOutlineZoomOut),
/* harmony export */   "AiTwotoneAccountBook": () => (/* binding */ AiTwotoneAccountBook),
/* harmony export */   "AiTwotoneAlert": () => (/* binding */ AiTwotoneAlert),
/* harmony export */   "AiTwotoneApi": () => (/* binding */ AiTwotoneApi),
/* harmony export */   "AiTwotoneAppstore": () => (/* binding */ AiTwotoneAppstore),
/* harmony export */   "AiTwotoneAudio": () => (/* binding */ AiTwotoneAudio),
/* harmony export */   "AiTwotoneBank": () => (/* binding */ AiTwotoneBank),
/* harmony export */   "AiTwotoneBell": () => (/* binding */ AiTwotoneBell),
/* harmony export */   "AiTwotoneBook": () => (/* binding */ AiTwotoneBook),
/* harmony export */   "AiTwotoneBoxPlot": () => (/* binding */ AiTwotoneBoxPlot),
/* harmony export */   "AiTwotoneBug": () => (/* binding */ AiTwotoneBug),
/* harmony export */   "AiTwotoneBuild": () => (/* binding */ AiTwotoneBuild),
/* harmony export */   "AiTwotoneBulb": () => (/* binding */ AiTwotoneBulb),
/* harmony export */   "AiTwotoneCalculator": () => (/* binding */ AiTwotoneCalculator),
/* harmony export */   "AiTwotoneCalendar": () => (/* binding */ AiTwotoneCalendar),
/* harmony export */   "AiTwotoneCamera": () => (/* binding */ AiTwotoneCamera),
/* harmony export */   "AiTwotoneCar": () => (/* binding */ AiTwotoneCar),
/* harmony export */   "AiTwotoneCarryOut": () => (/* binding */ AiTwotoneCarryOut),
/* harmony export */   "AiTwotoneCheckCircle": () => (/* binding */ AiTwotoneCheckCircle),
/* harmony export */   "AiTwotoneCheckSquare": () => (/* binding */ AiTwotoneCheckSquare),
/* harmony export */   "AiTwotoneCi": () => (/* binding */ AiTwotoneCi),
/* harmony export */   "AiTwotoneCiCircle": () => (/* binding */ AiTwotoneCiCircle),
/* harmony export */   "AiTwotoneClockCircle": () => (/* binding */ AiTwotoneClockCircle),
/* harmony export */   "AiTwotoneCloseCircle": () => (/* binding */ AiTwotoneCloseCircle),
/* harmony export */   "AiTwotoneCloseSquare": () => (/* binding */ AiTwotoneCloseSquare),
/* harmony export */   "AiTwotoneCloud": () => (/* binding */ AiTwotoneCloud),
/* harmony export */   "AiTwotoneCode": () => (/* binding */ AiTwotoneCode),
/* harmony export */   "AiTwotoneCompass": () => (/* binding */ AiTwotoneCompass),
/* harmony export */   "AiTwotoneContacts": () => (/* binding */ AiTwotoneContacts),
/* harmony export */   "AiTwotoneContainer": () => (/* binding */ AiTwotoneContainer),
/* harmony export */   "AiTwotoneControl": () => (/* binding */ AiTwotoneControl),
/* harmony export */   "AiTwotoneCopy": () => (/* binding */ AiTwotoneCopy),
/* harmony export */   "AiTwotoneCopyright": () => (/* binding */ AiTwotoneCopyright),
/* harmony export */   "AiTwotoneCopyrightCircle": () => (/* binding */ AiTwotoneCopyrightCircle),
/* harmony export */   "AiTwotoneCreditCard": () => (/* binding */ AiTwotoneCreditCard),
/* harmony export */   "AiTwotoneCrown": () => (/* binding */ AiTwotoneCrown),
/* harmony export */   "AiTwotoneCustomerService": () => (/* binding */ AiTwotoneCustomerService),
/* harmony export */   "AiTwotoneDashboard": () => (/* binding */ AiTwotoneDashboard),
/* harmony export */   "AiTwotoneDatabase": () => (/* binding */ AiTwotoneDatabase),
/* harmony export */   "AiTwotoneDelete": () => (/* binding */ AiTwotoneDelete),
/* harmony export */   "AiTwotoneDiff": () => (/* binding */ AiTwotoneDiff),
/* harmony export */   "AiTwotoneDislike": () => (/* binding */ AiTwotoneDislike),
/* harmony export */   "AiTwotoneDollar": () => (/* binding */ AiTwotoneDollar),
/* harmony export */   "AiTwotoneDollarCircle": () => (/* binding */ AiTwotoneDollarCircle),
/* harmony export */   "AiTwotoneDownCircle": () => (/* binding */ AiTwotoneDownCircle),
/* harmony export */   "AiTwotoneDownSquare": () => (/* binding */ AiTwotoneDownSquare),
/* harmony export */   "AiTwotoneEdit": () => (/* binding */ AiTwotoneEdit),
/* harmony export */   "AiTwotoneEnvironment": () => (/* binding */ AiTwotoneEnvironment),
/* harmony export */   "AiTwotoneEuro": () => (/* binding */ AiTwotoneEuro),
/* harmony export */   "AiTwotoneEuroCircle": () => (/* binding */ AiTwotoneEuroCircle),
/* harmony export */   "AiTwotoneExclamationCircle": () => (/* binding */ AiTwotoneExclamationCircle),
/* harmony export */   "AiTwotoneExperiment": () => (/* binding */ AiTwotoneExperiment),
/* harmony export */   "AiTwotoneEye": () => (/* binding */ AiTwotoneEye),
/* harmony export */   "AiTwotoneEyeInvisible": () => (/* binding */ AiTwotoneEyeInvisible),
/* harmony export */   "AiTwotoneFile": () => (/* binding */ AiTwotoneFile),
/* harmony export */   "AiTwotoneFileAdd": () => (/* binding */ AiTwotoneFileAdd),
/* harmony export */   "AiTwotoneFileExcel": () => (/* binding */ AiTwotoneFileExcel),
/* harmony export */   "AiTwotoneFileExclamation": () => (/* binding */ AiTwotoneFileExclamation),
/* harmony export */   "AiTwotoneFileImage": () => (/* binding */ AiTwotoneFileImage),
/* harmony export */   "AiTwotoneFileMarkdown": () => (/* binding */ AiTwotoneFileMarkdown),
/* harmony export */   "AiTwotoneFilePdf": () => (/* binding */ AiTwotoneFilePdf),
/* harmony export */   "AiTwotoneFilePpt": () => (/* binding */ AiTwotoneFilePpt),
/* harmony export */   "AiTwotoneFileText": () => (/* binding */ AiTwotoneFileText),
/* harmony export */   "AiTwotoneFileUnknown": () => (/* binding */ AiTwotoneFileUnknown),
/* harmony export */   "AiTwotoneFileWord": () => (/* binding */ AiTwotoneFileWord),
/* harmony export */   "AiTwotoneFileZip": () => (/* binding */ AiTwotoneFileZip),
/* harmony export */   "AiTwotoneFilter": () => (/* binding */ AiTwotoneFilter),
/* harmony export */   "AiTwotoneFire": () => (/* binding */ AiTwotoneFire),
/* harmony export */   "AiTwotoneFlag": () => (/* binding */ AiTwotoneFlag),
/* harmony export */   "AiTwotoneFolder": () => (/* binding */ AiTwotoneFolder),
/* harmony export */   "AiTwotoneFolderAdd": () => (/* binding */ AiTwotoneFolderAdd),
/* harmony export */   "AiTwotoneFolderOpen": () => (/* binding */ AiTwotoneFolderOpen),
/* harmony export */   "AiTwotoneFrown": () => (/* binding */ AiTwotoneFrown),
/* harmony export */   "AiTwotoneFund": () => (/* binding */ AiTwotoneFund),
/* harmony export */   "AiTwotoneFunnelPlot": () => (/* binding */ AiTwotoneFunnelPlot),
/* harmony export */   "AiTwotoneGift": () => (/* binding */ AiTwotoneGift),
/* harmony export */   "AiTwotoneGold": () => (/* binding */ AiTwotoneGold),
/* harmony export */   "AiTwotoneHdd": () => (/* binding */ AiTwotoneHdd),
/* harmony export */   "AiTwotoneHeart": () => (/* binding */ AiTwotoneHeart),
/* harmony export */   "AiTwotoneHighlight": () => (/* binding */ AiTwotoneHighlight),
/* harmony export */   "AiTwotoneHome": () => (/* binding */ AiTwotoneHome),
/* harmony export */   "AiTwotoneHourglass": () => (/* binding */ AiTwotoneHourglass),
/* harmony export */   "AiTwotoneHtml5": () => (/* binding */ AiTwotoneHtml5),
/* harmony export */   "AiTwotoneIdcard": () => (/* binding */ AiTwotoneIdcard),
/* harmony export */   "AiTwotoneInfoCircle": () => (/* binding */ AiTwotoneInfoCircle),
/* harmony export */   "AiTwotoneInsurance": () => (/* binding */ AiTwotoneInsurance),
/* harmony export */   "AiTwotoneInteraction": () => (/* binding */ AiTwotoneInteraction),
/* harmony export */   "AiTwotoneLayout": () => (/* binding */ AiTwotoneLayout),
/* harmony export */   "AiTwotoneLeftCircle": () => (/* binding */ AiTwotoneLeftCircle),
/* harmony export */   "AiTwotoneLeftSquare": () => (/* binding */ AiTwotoneLeftSquare),
/* harmony export */   "AiTwotoneLike": () => (/* binding */ AiTwotoneLike),
/* harmony export */   "AiTwotoneLock": () => (/* binding */ AiTwotoneLock),
/* harmony export */   "AiTwotoneMail": () => (/* binding */ AiTwotoneMail),
/* harmony export */   "AiTwotoneMedicineBox": () => (/* binding */ AiTwotoneMedicineBox),
/* harmony export */   "AiTwotoneMeh": () => (/* binding */ AiTwotoneMeh),
/* harmony export */   "AiTwotoneMessage": () => (/* binding */ AiTwotoneMessage),
/* harmony export */   "AiTwotoneMinusCircle": () => (/* binding */ AiTwotoneMinusCircle),
/* harmony export */   "AiTwotoneMinusSquare": () => (/* binding */ AiTwotoneMinusSquare),
/* harmony export */   "AiTwotoneMobile": () => (/* binding */ AiTwotoneMobile),
/* harmony export */   "AiTwotoneMoneyCollect": () => (/* binding */ AiTwotoneMoneyCollect),
/* harmony export */   "AiTwotoneNotification": () => (/* binding */ AiTwotoneNotification),
/* harmony export */   "AiTwotonePauseCircle": () => (/* binding */ AiTwotonePauseCircle),
/* harmony export */   "AiTwotonePhone": () => (/* binding */ AiTwotonePhone),
/* harmony export */   "AiTwotonePicture": () => (/* binding */ AiTwotonePicture),
/* harmony export */   "AiTwotonePieChart": () => (/* binding */ AiTwotonePieChart),
/* harmony export */   "AiTwotonePlayCircle": () => (/* binding */ AiTwotonePlayCircle),
/* harmony export */   "AiTwotonePlaySquare": () => (/* binding */ AiTwotonePlaySquare),
/* harmony export */   "AiTwotonePlusCircle": () => (/* binding */ AiTwotonePlusCircle),
/* harmony export */   "AiTwotonePlusSquare": () => (/* binding */ AiTwotonePlusSquare),
/* harmony export */   "AiTwotonePoundCircle": () => (/* binding */ AiTwotonePoundCircle),
/* harmony export */   "AiTwotonePrinter": () => (/* binding */ AiTwotonePrinter),
/* harmony export */   "AiTwotoneProfile": () => (/* binding */ AiTwotoneProfile),
/* harmony export */   "AiTwotoneProject": () => (/* binding */ AiTwotoneProject),
/* harmony export */   "AiTwotonePropertySafety": () => (/* binding */ AiTwotonePropertySafety),
/* harmony export */   "AiTwotonePushpin": () => (/* binding */ AiTwotonePushpin),
/* harmony export */   "AiTwotoneQuestionCircle": () => (/* binding */ AiTwotoneQuestionCircle),
/* harmony export */   "AiTwotoneReconciliation": () => (/* binding */ AiTwotoneReconciliation),
/* harmony export */   "AiTwotoneRedEnvelope": () => (/* binding */ AiTwotoneRedEnvelope),
/* harmony export */   "AiTwotoneRest": () => (/* binding */ AiTwotoneRest),
/* harmony export */   "AiTwotoneRightCircle": () => (/* binding */ AiTwotoneRightCircle),
/* harmony export */   "AiTwotoneRightSquare": () => (/* binding */ AiTwotoneRightSquare),
/* harmony export */   "AiTwotoneRocket": () => (/* binding */ AiTwotoneRocket),
/* harmony export */   "AiTwotoneSafetyCertificate": () => (/* binding */ AiTwotoneSafetyCertificate),
/* harmony export */   "AiTwotoneSave": () => (/* binding */ AiTwotoneSave),
/* harmony export */   "AiTwotoneSchedule": () => (/* binding */ AiTwotoneSchedule),
/* harmony export */   "AiTwotoneSecurityScan": () => (/* binding */ AiTwotoneSecurityScan),
/* harmony export */   "AiTwotoneSetting": () => (/* binding */ AiTwotoneSetting),
/* harmony export */   "AiTwotoneShop": () => (/* binding */ AiTwotoneShop),
/* harmony export */   "AiTwotoneShopping": () => (/* binding */ AiTwotoneShopping),
/* harmony export */   "AiTwotoneSkin": () => (/* binding */ AiTwotoneSkin),
/* harmony export */   "AiTwotoneSliders": () => (/* binding */ AiTwotoneSliders),
/* harmony export */   "AiTwotoneSmile": () => (/* binding */ AiTwotoneSmile),
/* harmony export */   "AiTwotoneSnippets": () => (/* binding */ AiTwotoneSnippets),
/* harmony export */   "AiTwotoneSound": () => (/* binding */ AiTwotoneSound),
/* harmony export */   "AiTwotoneStar": () => (/* binding */ AiTwotoneStar),
/* harmony export */   "AiTwotoneStop": () => (/* binding */ AiTwotoneStop),
/* harmony export */   "AiTwotoneSwitcher": () => (/* binding */ AiTwotoneSwitcher),
/* harmony export */   "AiTwotoneTablet": () => (/* binding */ AiTwotoneTablet),
/* harmony export */   "AiTwotoneTag": () => (/* binding */ AiTwotoneTag),
/* harmony export */   "AiTwotoneTags": () => (/* binding */ AiTwotoneTags),
/* harmony export */   "AiTwotoneThunderbolt": () => (/* binding */ AiTwotoneThunderbolt),
/* harmony export */   "AiTwotoneTool": () => (/* binding */ AiTwotoneTool),
/* harmony export */   "AiTwotoneTrademarkCircle": () => (/* binding */ AiTwotoneTrademarkCircle),
/* harmony export */   "AiTwotoneTrophy": () => (/* binding */ AiTwotoneTrophy),
/* harmony export */   "AiTwotoneUnlock": () => (/* binding */ AiTwotoneUnlock),
/* harmony export */   "AiTwotoneUpCircle": () => (/* binding */ AiTwotoneUpCircle),
/* harmony export */   "AiTwotoneUpSquare": () => (/* binding */ AiTwotoneUpSquare),
/* harmony export */   "AiTwotoneUsb": () => (/* binding */ AiTwotoneUsb),
/* harmony export */   "AiTwotoneVideoCamera": () => (/* binding */ AiTwotoneVideoCamera),
/* harmony export */   "AiTwotoneWallet": () => (/* binding */ AiTwotoneWallet),
/* harmony export */   "AiTwotoneWarning": () => (/* binding */ AiTwotoneWarning)
/* harmony export */ });
/* harmony import */ var _lib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../lib */ "./node_modules/react-icons/lib/esm/index.js");
// THIS FILE IS AUTO GENERATED

function AiFillAccountBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 184H712v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H384v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H144c-17.7 0-32 14.3-32 32v664c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V216c0-17.7-14.3-32-32-32zM648.3 426.8l-87.7 161.1h45.7c5.5 0 10 4.5 10 10v21.3c0 5.5-4.5 10-10 10h-63.4v29.7h63.4c5.5 0 10 4.5 10 10v21.3c0 5.5-4.5 10-10 10h-63.4V752c0 5.5-4.5 10-10 10h-41.3c-5.5 0-10-4.5-10-10v-51.8h-63.1c-5.5 0-10-4.5-10-10v-21.3c0-5.5 4.5-10 10-10h63.1v-29.7h-63.1c-5.5 0-10-4.5-10-10v-21.3c0-5.5 4.5-10 10-10h45.2l-88-161.1c-2.6-4.8-.9-10.9 4-13.6 1.5-.8 3.1-1.2 4.8-1.2h46c3.8 0 7.2 2.1 8.9 5.5l72.9 144.3 73.2-144.3a10 10 0 0 1 8.9-5.5h45c5.5 0 10 4.5 10 10 .1 1.7-.3 3.3-1.1 4.8z"}}]})(props);
};
function AiFillAlert (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 244c176.18 0 319 142.82 319 319v233a32 32 0 0 1-32 32H225a32 32 0 0 1-32-32V563c0-176.18 142.82-319 319-319zM484 68h56a8 8 0 0 1 8 8v96a8 8 0 0 1-8 8h-56a8 8 0 0 1-8-8V76a8 8 0 0 1 8-8zM177.25 191.66a8 8 0 0 1 11.32 0l67.88 67.88a8 8 0 0 1 0 11.31l-39.6 39.6a8 8 0 0 1-11.31 0l-67.88-67.88a8 8 0 0 1 0-11.31l39.6-39.6zm669.6 0l39.6 39.6a8 8 0 0 1 0 11.3l-67.88 67.9a8 8 0 0 1-11.32 0l-39.6-39.6a8 8 0 0 1 0-11.32l67.89-67.88a8 8 0 0 1 11.31 0zM192 892h640a32 32 0 0 1 32 32v24a8 8 0 0 1-8 8H168a8 8 0 0 1-8-8v-24a32 32 0 0 1 32-32zm148-317v253h64V575h-64z"}}]})(props);
};
function AiFillAlipayCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M308.6 545.7c-19.8 2-57.1 10.7-77.4 28.6-61 53-24.5 150 99 150 71.8 0 143.5-45.7 199.8-119-80.2-38.9-148.1-66.8-221.4-59.6zm460.5 67c100.1 33.4 154.7 43 166.7 44.8A445.9 445.9 0 0 0 960 512c0-247.4-200.6-448-448-448S64 264.6 64 512s200.6 448 448 448c155.9 0 293.2-79.7 373.5-200.5-75.6-29.8-213.6-85-286.8-120.1-69.9 85.7-160.1 137.8-253.7 137.8-158.4 0-212.1-138.1-137.2-229 16.3-19.8 44.2-38.7 87.3-49.4 67.5-16.5 175 10.3 275.7 43.4 18.1-33.3 33.4-69.9 44.7-108.9H305.1V402h160v-56.2H271.3v-31.3h193.8v-80.1s0-13.5 13.7-13.5H557v93.6h191.7v31.3H557.1V402h156.4c-15 61.1-37.7 117.4-66.2 166.8 47.5 17.1 90.1 33.3 121.8 43.9z"}}]})(props);
};
function AiFillAlipaySquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M308.6 545.7c-19.8 2-57.1 10.7-77.4 28.6-61 53-24.5 150 99 150 71.8 0 143.5-45.7 199.8-119-80.2-38.9-148.1-66.8-221.4-59.6zM880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm29.4 663.2S703 689.4 598.7 639.5C528.8 725.2 438.6 777.3 345 777.3c-158.4 0-212.1-138.1-137.2-229 16.3-19.8 44.2-38.7 87.3-49.4 67.5-16.5 175 10.3 275.7 43.4 18.1-33.3 33.4-69.9 44.7-108.9H305.1V402h160v-56.2H271.3v-31.3h193.8v-80.1s0-13.5 13.7-13.5H557v93.6h191.7v31.3H557.1V402h156.4c-15 61.1-37.7 117.4-66.2 166.8 47.5 17.1 90.1 33.3 121.8 43.9 114.3 38.2 140.2 40.2 140.2 40.2v122.3z"}}]})(props);
};
function AiFillAliwangwang (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M868.2 377.4c-18.9-45.1-46.3-85.6-81.2-120.6a377.26 377.26 0 0 0-120.5-81.2A375.65 375.65 0 0 0 519 145.8c-41.9 0-82.9 6.7-121.9 20C306 123.3 200.8 120 170.6 120c-2.2 0-7.4 0-9.4.2-11.9.4-22.8 6.5-29.2 16.4-6.5 9.9-7.7 22.4-3.4 33.5l64.3 161.6a378.59 378.59 0 0 0-52.8 193.2c0 51.4 10 101 29.8 147.6 18.9 45 46.2 85.6 81.2 120.5 34.7 34.8 75.4 62.1 120.5 81.2C418.3 894 467.9 904 519 904c51.3 0 100.9-10 147.7-29.8 44.9-18.9 85.5-46.3 120.4-81.2 34.7-34.8 62.1-75.4 81.2-120.6a376.5 376.5 0 0 0 29.8-147.6c-.2-51.2-10.1-100.8-29.9-147.4zm-325.2 79c0 20.4-16.6 37.1-37.1 37.1-20.4 0-37.1-16.7-37.1-37.1v-55.1c0-20.4 16.6-37.1 37.1-37.1 20.4 0 37.1 16.6 37.1 37.1v55.1zm175.2 0c0 20.4-16.6 37.1-37.1 37.1S644 476.8 644 456.4v-55.1c0-20.4 16.7-37.1 37.1-37.1 20.4 0 37.1 16.6 37.1 37.1v55.1z"}}]})(props);
};
function AiFillAmazonCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M485 467.5c-11.6 4.9-20.9 12.2-27.8 22-6.9 9.8-10.4 21.6-10.4 35.5 0 17.8 7.5 31.5 22.4 41.2 14.1 9.1 28.9 11.4 44.4 6.8 17.9-5.2 30-17.9 36.4-38.1 3-9.3 4.5-19.7 4.5-31.3v-50.2c-12.6.4-24.4 1.6-35.5 3.7-11.1 2.1-22.4 5.6-34 10.4zM512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm35.8 262.7c-7.2-10.9-20.1-16.4-38.7-16.4-1.3 0-3 .1-5.3.3-2.2.2-6.6 1.5-12.9 3.7a79.4 79.4 0 0 0-17.9 9.1c-5.5 3.8-11.5 10-18 18.4-6.4 8.5-11.5 18.4-15.3 29.8l-94-8.4c0-12.4 2.4-24.7 7-36.9 4.7-12.2 11.8-23.9 21.4-35 9.6-11.2 21.1-21 34.5-29.4 13.4-8.5 29.6-15.2 48.4-20.3 18.9-5.1 39.1-7.6 60.9-7.6 21.3 0 40.6 2.6 57.8 7.7 17.2 5.2 31.1 11.5 41.4 19.1a117 117 0 0 1 25.9 25.7c6.9 9.6 11.7 18.5 14.4 26.7 2.7 8.2 4 15.7 4 22.8v182.5c0 6.4 1.4 13 4.3 19.8 2.9 6.8 6.3 12.8 10.2 18 3.9 5.2 7.9 9.9 12 14.3 4.1 4.3 7.6 7.7 10.6 9.9l4.1 3.4-72.5 69.4c-8.5-7.7-16.9-15.4-25.2-23.4-8.3-8-14.5-14-18.5-18.1l-6.1-6.2c-2.4-2.3-5-5.7-8-10.2-8.1 12.2-18.5 22.8-31.1 31.8-12.7 9-26.3 15.6-40.7 19.7-14.5 4.1-29.4 6.5-44.7 7.1-15.3.6-30-1.5-43.9-6.5-13.9-5-26.5-11.7-37.6-20.3-11.1-8.6-19.9-20.2-26.5-35-6.6-14.8-9.9-31.5-9.9-50.4 0-17.4 3-33.3 8.9-47.7 6-14.5 13.6-26.5 23-36.1 9.4-9.6 20.7-18.2 34-25.7s26.4-13.4 39.2-17.7c12.8-4.2 26.6-7.8 41.5-10.7 14.9-2.9 27.6-4.8 38.2-5.7 10.6-.9 21.2-1.6 31.8-2v-39.4c0-13.5-2.3-23.5-6.7-30.1zm180.5 379.6c-2.8 3.3-7.5 7.8-14.1 13.5s-16.8 12.7-30.5 21.1c-13.7 8.4-28.8 16-45 22.9-16.3 6.9-36.3 12.9-60.1 18-23.7 5.1-48.2 7.6-73.3 7.6-25.4 0-50.7-3.2-76.1-9.6-25.4-6.4-47.6-14.3-66.8-23.7-19.1-9.4-37.6-20.2-55.1-32.2-17.6-12.1-31.7-22.9-42.4-32.5-10.6-9.6-19.6-18.7-26.8-27.1-1.7-1.9-2.8-3.6-3.2-5.1-.4-1.5-.3-2.8.3-3.7.6-.9 1.5-1.6 2.6-2.2a7.42 7.42 0 0 1 7.4.8c40.9 24.2 72.9 41.3 95.9 51.4 82.9 36.4 168 45.7 255.3 27.9 40.5-8.3 82.1-22.2 124.9-41.8 3.2-1.2 6-1.5 8.3-.9 2.3.6 3.5 2.4 3.5 5.4 0 2.8-1.6 6.3-4.8 10.2zm59.9-29c-1.8 11.1-4.9 21.6-9.1 31.8-7.2 17.1-16.3 30-27.1 38.4-3.6 2.9-6.4 3.8-8.3 2.8-1.9-1-1.9-3.5 0-7.4 4.5-9.3 9.2-21.8 14.2-37.7 5-15.8 5.7-26 2.1-30.5-1.1-1.5-2.7-2.6-5-3.6-2.2-.9-5.1-1.5-8.6-1.9s-6.7-.6-9.4-.8c-2.8-.2-6.5-.2-11.2 0-4.7.2-8 .4-10.1.6a874.4 874.4 0 0 1-17.1 1.5c-1.3.2-2.7.4-4.1.5-1.5.1-2.7.2-3.5.3l-2.7.3c-1 .1-1.7.2-2.2.2h-3.2l-1-.2-.6-.5-.5-.9c-1.3-3.3 3.7-7.4 15-12.4s22.3-8.1 32.9-9.3c9.8-1.5 21.3-1.5 34.5-.3s21.3 3.7 24.3 7.4c2.3 3.5 2.5 10.7.7 21.7z"}}]})(props);
};
function AiFillAmazonSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM547.8 326.7c-7.2-10.9-20.1-16.4-38.7-16.4-1.3 0-3 .1-5.3.3-2.2.2-6.6 1.5-12.9 3.7a79.4 79.4 0 0 0-17.9 9.1c-5.5 3.8-11.5 10-18 18.4-6.4 8.5-11.5 18.4-15.3 29.8l-94-8.4c0-12.4 2.4-24.7 7-36.9s11.8-23.9 21.4-35c9.6-11.2 21.1-21 34.5-29.4 13.4-8.5 29.6-15.2 48.4-20.3 18.9-5.1 39.1-7.6 60.9-7.6 21.3 0 40.6 2.6 57.8 7.7 17.2 5.2 31.1 11.5 41.4 19.1a117 117 0 0 1 25.9 25.7c6.9 9.6 11.7 18.5 14.4 26.7 2.7 8.2 4 15.7 4 22.8v182.5c0 6.4 1.4 13 4.3 19.8 2.9 6.8 6.3 12.8 10.2 18 3.9 5.2 7.9 9.9 12 14.3 4.1 4.3 7.6 7.7 10.6 9.9l4.1 3.4-72.5 69.4c-8.5-7.7-16.9-15.4-25.2-23.4-8.3-8-14.5-14-18.5-18.1l-6.1-6.2c-2.4-2.3-5-5.7-8-10.2-8.1 12.2-18.5 22.8-31.1 31.8-12.7 9-26.3 15.6-40.7 19.7-14.5 4.1-29.4 6.5-44.7 7.1-15.3.6-30-1.5-43.9-6.5-13.9-5-26.5-11.7-37.6-20.3-11.1-8.6-19.9-20.2-26.5-35-6.6-14.8-9.9-31.5-9.9-50.4 0-17.4 3-33.3 8.9-47.7 6-14.5 13.6-26.5 23-36.1 9.4-9.6 20.7-18.2 34-25.7s26.4-13.4 39.2-17.7c12.8-4.2 26.6-7.8 41.5-10.7 14.9-2.9 27.6-4.8 38.2-5.7 10.6-.9 21.2-1.6 31.8-2v-39.4c0-13.5-2.3-23.5-6.7-30.1zm180.5 379.6c-2.8 3.3-7.5 7.8-14.1 13.5s-16.8 12.7-30.5 21.1c-13.7 8.4-28.8 16-45 22.9-16.3 6.9-36.3 12.9-60.1 18-23.7 5.1-48.2 7.6-73.3 7.6-25.4 0-50.7-3.2-76.1-9.6-25.4-6.4-47.6-14.3-66.8-23.7-19.1-9.4-37.6-20.2-55.1-32.2-17.6-12.1-31.7-22.9-42.4-32.5-10.6-9.6-19.6-18.7-26.8-27.1-1.7-1.9-2.8-3.6-3.2-5.1-.4-1.5-.3-2.8.3-3.7.6-.9 1.5-1.6 2.6-2.2a7.42 7.42 0 0 1 7.4.8c40.9 24.2 72.9 41.3 95.9 51.4 82.9 36.4 168 45.7 255.3 27.9 40.5-8.3 82.1-22.2 124.9-41.8 3.2-1.2 6-1.5 8.3-.9 2.3.6 3.5 2.4 3.5 5.4 0 2.8-1.6 6.3-4.8 10.2zm59.9-29c-1.8 11.1-4.9 21.6-9.1 31.8-7.2 17.1-16.3 30-27.1 38.4-3.6 2.9-6.4 3.8-8.3 2.8-1.9-1-1.9-3.5 0-7.4 4.5-9.3 9.2-21.8 14.2-37.7 5-15.8 5.7-26 2.1-30.5-1.1-1.5-2.7-2.6-5-3.6-2.2-.9-5.1-1.5-8.6-1.9s-6.7-.6-9.4-.8c-2.8-.2-6.5-.2-11.2 0-4.7.2-8 .4-10.1.6a874.4 874.4 0 0 1-17.1 1.5c-1.3.2-2.7.4-4.1.5-1.5.1-2.7.2-3.5.3l-2.7.3c-1 .1-1.7.2-2.2.2h-3.2l-1-.2-.6-.5-.5-.9c-1.3-3.3 3.7-7.4 15-12.4s22.3-8.1 32.9-9.3c9.8-1.5 21.3-1.5 34.5-.3s21.3 3.7 24.3 7.4c2.3 3.5 2.5 10.7.7 21.7zM485 467.5c-11.6 4.9-20.9 12.2-27.8 22-6.9 9.8-10.4 21.6-10.4 35.5 0 17.8 7.5 31.5 22.4 41.2 14.1 9.1 28.9 11.4 44.4 6.8 17.9-5.2 30-17.9 36.4-38.1 3-9.3 4.5-19.7 4.5-31.3v-50.2c-12.6.4-24.4 1.6-35.5 3.7-11.1 2.1-22.4 5.6-34 10.4z"}}]})(props);
};
function AiFillAndroid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M270.1 741.7c0 23.4 19.1 42.5 42.6 42.5h48.7v120.4c0 30.5 24.5 55.4 54.6 55.4 30.2 0 54.6-24.8 54.6-55.4V784.1h85v120.4c0 30.5 24.5 55.4 54.6 55.4 30.2 0 54.6-24.8 54.6-55.4V784.1h48.7c23.5 0 42.6-19.1 42.6-42.5V346.4h-486v395.3zm357.1-600.1l44.9-65c2.6-3.8 2-8.9-1.5-11.4-3.5-2.4-8.5-1.2-11.1 2.6l-46.6 67.6c-30.7-12.1-64.9-18.8-100.8-18.8-35.9 0-70.1 6.7-100.8 18.8l-46.6-67.5c-2.6-3.8-7.6-5.1-11.1-2.6-3.5 2.4-4.1 7.4-1.5 11.4l44.9 65c-71.4 33.2-121.4 96.1-127.8 169.6h486c-6.6-73.6-56.7-136.5-128-169.7zM409.5 244.1a26.9 26.9 0 1 1 26.9-26.9 26.97 26.97 0 0 1-26.9 26.9zm208.4 0a26.9 26.9 0 1 1 26.9-26.9 26.97 26.97 0 0 1-26.9 26.9zm223.4 100.7c-30.2 0-54.6 24.8-54.6 55.4v216.4c0 30.5 24.5 55.4 54.6 55.4 30.2 0 54.6-24.8 54.6-55.4V400.1c.1-30.6-24.3-55.3-54.6-55.3zm-658.6 0c-30.2 0-54.6 24.8-54.6 55.4v216.4c0 30.5 24.5 55.4 54.6 55.4 30.2 0 54.6-24.8 54.6-55.4V400.1c0-30.6-24.5-55.3-54.6-55.3z"}}]})(props);
};
function AiFillApi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M917.7 148.8l-42.4-42.4c-1.6-1.6-3.6-2.3-5.7-2.3s-4.1.8-5.7 2.3l-76.1 76.1a199.27 199.27 0 0 0-112.1-34.3c-51.2 0-102.4 19.5-141.5 58.6L432.3 308.7a8.03 8.03 0 0 0 0 11.3L704 591.7c1.6 1.6 3.6 2.3 5.7 2.3 2 0 4.1-.8 5.7-2.3l101.9-101.9c68.9-69 77-175.7 24.3-253.5l76.1-76.1c3.1-3.2 3.1-8.3 0-11.4zM578.9 546.7a8.03 8.03 0 0 0-11.3 0L501 613.3 410.7 523l66.7-66.7c3.1-3.1 3.1-8.2 0-11.3L441 408.6a8.03 8.03 0 0 0-11.3 0L363 475.3l-43-43a7.85 7.85 0 0 0-5.7-2.3c-2 0-4.1.8-5.7 2.3L206.8 534.2c-68.9 68.9-77 175.7-24.3 253.5l-76.1 76.1a8.03 8.03 0 0 0 0 11.3l42.4 42.4c1.6 1.6 3.6 2.3 5.7 2.3s4.1-.8 5.7-2.3l76.1-76.1c33.7 22.9 72.9 34.3 112.1 34.3 51.2 0 102.4-19.5 141.5-58.6l101.9-101.9c3.1-3.1 3.1-8.2 0-11.3l-43-43 66.7-66.7c3.1-3.1 3.1-8.2 0-11.3l-36.6-36.2z"}}]})(props);
};
function AiFillApple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M747.4 535.7c-.4-68.2 30.5-119.6 92.9-157.5-34.9-50-87.7-77.5-157.3-82.8-65.9-5.2-138 38.4-164.4 38.4-27.9 0-91.7-36.6-141.9-36.6C273.1 298.8 163 379.8 163 544.6c0 48.7 8.9 99 26.7 150.8 23.8 68.2 109.6 235.3 199.1 232.6 46.8-1.1 79.9-33.2 140.8-33.2 59.1 0 89.7 33.2 141.9 33.2 90.3-1.3 167.9-153.2 190.5-221.6-121.1-57.1-114.6-167.2-114.6-170.7zm-105.1-305c50.7-60.2 46.1-115 44.6-134.7-44.8 2.6-96.6 30.5-126.1 64.8-32.5 36.8-51.6 82.3-47.5 133.6 48.4 3.7 92.6-21.2 129-63.7z"}}]})(props);
};
function AiFillAppstore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M864 144H560c-8.8 0-16 7.2-16 16v304c0 8.8 7.2 16 16 16h304c8.8 0 16-7.2 16-16V160c0-8.8-7.2-16-16-16zm0 400H560c-8.8 0-16 7.2-16 16v304c0 8.8 7.2 16 16 16h304c8.8 0 16-7.2 16-16V560c0-8.8-7.2-16-16-16zM464 144H160c-8.8 0-16 7.2-16 16v304c0 8.8 7.2 16 16 16h304c8.8 0 16-7.2 16-16V160c0-8.8-7.2-16-16-16zm0 400H160c-8.8 0-16 7.2-16 16v304c0 8.8 7.2 16 16 16h304c8.8 0 16-7.2 16-16V560c0-8.8-7.2-16-16-16z"}}]})(props);
};
function AiFillAudio (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 624c93.9 0 170-75.2 170-168V232c0-92.8-76.1-168-170-168s-170 75.2-170 168v224c0 92.8 76.1 168 170 168zm330-170c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8 0 140.3-113.7 254-254 254S258 594.3 258 454c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8 0 168.7 126.6 307.9 290 327.6V884H326.7c-13.7 0-24.7 14.3-24.7 32v36c0 4.4 2.8 8 6.2 8h407.6c3.4 0 6.2-3.6 6.2-8v-36c0-17.7-11-32-24.7-32H548V782.1c165.3-18 294-158 294-328.1z"}}]})(props);
};
function AiFillBackward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M485.6 249.9L198.2 498c-8.3 7.1-8.3 20.8 0 27.9l287.4 248.2c10.7 9.2 26.4.9 26.4-14V263.8c0-14.8-15.7-23.2-26.4-13.9zm320 0L518.2 498a18.6 18.6 0 0 0-6.2 14c0 5.2 2.1 10.4 6.2 14l287.4 248.2c10.7 9.2 26.4.9 26.4-14V263.8c0-14.8-15.7-23.2-26.4-13.9z"}}]})(props);
};
function AiFillBank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M894 462c30.9 0 43.8-39.7 18.7-58L530.8 126.2a31.81 31.81 0 0 0-37.6 0L111.3 404c-25.1 18.2-12.2 58 18.8 58H192v374h-72c-4.4 0-8 3.6-8 8v52c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-52c0-4.4-3.6-8-8-8h-72V462h62zM381 836H264V462h117v374zm189 0H453V462h117v374zm190 0H642V462h118v374z"}}]})(props);
};
function AiFillBehanceCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M420.3 470.3c8.7-6.3 12.9-16.7 12.9-31 .3-6.8-1.1-13.5-4.1-19.6-2.7-4.9-6.7-9-11.6-11.9a44.8 44.8 0 0 0-16.6-6c-6.4-1.2-12.9-1.8-19.3-1.7h-70.3v79.7h76.1c13.1.1 24.2-3.1 32.9-9.5zm11.8 72c-9.8-7.5-22.9-11.2-39.2-11.2h-81.8v94h80.2c7.5 0 14.4-.7 21.1-2.1a50.5 50.5 0 0 0 17.8-7.2c5.1-3.3 9.2-7.8 12.3-13.6 3-5.8 4.5-13.2 4.5-22.1 0-17.7-5-30.2-14.9-37.8zM512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm86.5 286.9h138.4v33.7H598.5v-33.7zM512 628.8a89.52 89.52 0 0 1-27 31c-11.8 8.2-24.9 14.2-38.8 17.7a167.4 167.4 0 0 1-44.6 5.7H236V342.1h161c16.3 0 31.1 1.5 44.6 4.3 13.4 2.8 24.8 7.6 34.4 14.1 9.5 6.5 17 15.2 22.3 26 5.2 10.7 7.9 24.1 7.9 40 0 17.2-3.9 31.4-11.7 42.9-7.9 11.5-19.3 20.8-34.8 28.1 21.1 6 36.6 16.7 46.8 31.7 10.4 15.2 15.5 33.4 15.5 54.8 0 17.4-3.3 32.3-10 44.8zM790.8 576H612.4c0 19.4 6.7 38 16.8 48 10.2 9.9 24.8 14.9 43.9 14.9 13.8 0 25.5-3.5 35.5-10.4 9.9-6.9 15.9-14.2 18.1-21.8h59.8c-9.6 29.7-24.2 50.9-44 63.7-19.6 12.8-43.6 19.2-71.5 19.2-19.5 0-37-3.2-52.7-9.3-15.1-5.9-28.7-14.9-39.9-26.5a121.2 121.2 0 0 1-25.1-41.2c-6.1-16.9-9.1-34.7-8.9-52.6 0-18.5 3.1-35.7 9.1-51.7 11.5-31.1 35.4-56 65.9-68.9 16.3-6.8 33.8-10.2 51.5-10 21 0 39.2 4 55 12.2a111.6 111.6 0 0 1 38.6 32.8c10.1 13.7 17.2 29.3 21.7 46.9 4.3 17.3 5.8 35.5 4.6 54.7zm-122-95.6c-10.8 0-19.9 1.9-26.9 5.6-7 3.7-12.8 8.3-17.2 13.6a48.4 48.4 0 0 0-9.1 17.4c-1.6 5.3-2.7 10.7-3.1 16.2H723c-1.6-17.3-7.6-30.1-15.6-39.1-8.4-8.9-21.9-13.7-38.6-13.7z"}}]})(props);
};
function AiFillBehanceSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM598.5 350.9h138.4v33.7H598.5v-33.7zM512 628.8a89.52 89.52 0 0 1-27 31c-11.8 8.2-24.9 14.2-38.8 17.7a167.4 167.4 0 0 1-44.6 5.7H236V342.1h161c16.3 0 31.1 1.5 44.6 4.3 13.4 2.8 24.8 7.6 34.4 14.1 9.5 6.5 17 15.2 22.3 26 5.2 10.7 7.9 24.1 7.9 40 0 17.2-3.9 31.4-11.7 42.9-7.9 11.5-19.3 20.8-34.8 28.1 21.1 6 36.6 16.7 46.8 31.7 10.4 15.2 15.5 33.4 15.5 54.8 0 17.4-3.3 32.3-10 44.8zM790.8 576H612.4c0 19.4 6.7 38 16.8 48 10.2 9.9 24.8 14.9 43.9 14.9 13.8 0 25.5-3.5 35.5-10.4 9.9-6.9 15.9-14.2 18.1-21.8h59.8c-9.6 29.7-24.2 50.9-44 63.7-19.6 12.8-43.6 19.2-71.5 19.2-19.5 0-37-3.2-52.7-9.3-15.1-5.9-28.7-14.9-39.9-26.5a121.2 121.2 0 0 1-25.1-41.2c-6.1-16.9-9.1-34.7-8.9-52.6 0-18.5 3.1-35.7 9.1-51.7 11.5-31.1 35.4-56 65.9-68.9 16.3-6.8 33.8-10.2 51.5-10 21 0 39.2 4 55 12.2a111.6 111.6 0 0 1 38.6 32.8c10.1 13.7 17.2 29.3 21.7 46.9 4.3 17.3 5.8 35.5 4.6 54.7zm-122-95.6c-10.8 0-19.9 1.9-26.9 5.6-7 3.7-12.8 8.3-17.2 13.6a48.4 48.4 0 0 0-9.1 17.4c-1.6 5.3-2.7 10.7-3.1 16.2H723c-1.6-17.3-7.6-30.1-15.6-39.1-8.4-8.9-21.9-13.7-38.6-13.7zm-248.5-10.1c8.7-6.3 12.9-16.7 12.9-31 .3-6.8-1.1-13.5-4.1-19.6-2.7-4.9-6.7-9-11.6-11.9a44.8 44.8 0 0 0-16.6-6c-6.4-1.2-12.9-1.8-19.3-1.7h-70.3v79.7h76.1c13.1.1 24.2-3.1 32.9-9.5zm11.8 72c-9.8-7.5-22.9-11.2-39.2-11.2h-81.8v94h80.2c7.5 0 14.4-.7 21.1-2.1s12.7-3.8 17.8-7.2c5.1-3.3 9.2-7.8 12.3-13.6 3-5.8 4.5-13.2 4.5-22.1 0-17.7-5-30.2-14.9-37.8z"}}]})(props);
};
function AiFillBell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M816 768h-24V428c0-141.1-104.3-257.8-240-277.2V112c0-22.1-17.9-40-40-40s-40 17.9-40 40v38.8C336.3 170.2 232 286.9 232 428v340h-24c-17.7 0-32 14.3-32 32v32c0 4.4 3.6 8 8 8h216c0 61.8 50.2 112 112 112s112-50.2 112-112h216c4.4 0 8-3.6 8-8v-32c0-17.7-14.3-32-32-32zM512 888c-26.5 0-48-21.5-48-48h96c0 26.5-21.5 48-48 48z"}}]})(props);
};
function AiFillBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 64H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zM668 345.9L621.5 312 572 347.4V124h96v221.9z"}}]})(props);
};
function AiFillBoxPlot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M952 224h-52c-4.4 0-8 3.6-8 8v248h-92V304c0-4.4-3.6-8-8-8H448v432h344c4.4 0 8-3.6 8-8V548h92v244c0 4.4 3.6 8 8 8h52c4.4 0 8-3.6 8-8V232c0-4.4-3.6-8-8-8zm-728 80v176h-92V232c0-4.4-3.6-8-8-8H72c-4.4 0-8 3.6-8 8v560c0 4.4 3.6 8 8 8h52c4.4 0 8-3.6 8-8V548h92v172c0 4.4 3.6 8 8 8h152V296H232c-4.4 0-8 3.6-8 8z"}}]})(props);
};
function AiFillBug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M304 280h416c4.4 0 8-3.6 8-8 0-40-8.8-76.7-25.9-108.1-17.2-31.5-42.5-56.8-74-74C596.7 72.8 560 64 520 64h-16c-40 0-76.7 8.8-108.1 25.9-31.5 17.2-56.8 42.5-74 74C304.8 195.3 296 232 296 272c0 4.4 3.6 8 8 8z"}},{"tag":"path","attr":{"d":"M940 512H792V412c76.8 0 139-62.2 139-139 0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8 0 34.8-28.2 63-63 63H232c-34.8 0-63-28.2-63-63 0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8 0 76.8 62.2 139 139 139v100H84c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h148v96c0 6.5.2 13 .7 19.3C164.1 728.6 116 796.7 116 876c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8 0-44.2 23.9-82.9 59.6-103.7 6 17.2 13.6 33.6 22.7 49 24.3 41.5 59 76.2 100.5 100.5 28.9 16.9 61 28.8 95.3 34.5 4.4 0 8-3.6 8-8V484c0-4.4 3.6-8 8-8h60c4.4 0 8 3.6 8 8v464.2c0 4.4 3.6 8 8 8 34.3-5.7 66.4-17.6 95.3-34.5 41.5-24.3 76.2-59 100.5-100.5 9.1-15.5 16.7-31.9 22.7-49C812.1 793.1 836 831.8 836 876c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8 0-79.3-48.1-147.4-116.7-176.7.4-6.4.7-12.8.7-19.3v-96h148c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiFillBuild (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M916 210H376c-17.7 0-32 14.3-32 32v236H108c-17.7 0-32 14.3-32 32v272c0 17.7 14.3 32 32 32h540c17.7 0 32-14.3 32-32V546h236c17.7 0 32-14.3 32-32V242c0-17.7-14.3-32-32-32zM612 746H412V546h200v200zm268-268H680V278h200v200z"}}]})(props);
};
function AiFillBulb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M348 676.1C250 619.4 184 513.4 184 392c0-181.1 146.9-328 328-328s328 146.9 328 328c0 121.4-66 227.4-164 284.1V792c0 17.7-14.3 32-32 32H380c-17.7 0-32-14.3-32-32V676.1zM392 888h240c4.4 0 8 3.6 8 8v32c0 17.7-14.3 32-32 32H416c-17.7 0-32-14.3-32-32v-32c0-4.4 3.6-8 8-8z"}}]})(props);
};
function AiFillCalculator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM440.2 765h-50.8c-2.2 0-4.5-1.1-5.9-2.9L348 718.6l-35.5 43.5a7.38 7.38 0 0 1-5.9 2.9h-50.8c-6.6 0-10.2-7.9-5.8-13.1l62.7-76.8-61.2-74.9c-4.3-5.2-.7-13.1 5.9-13.1h50.9c2.2 0 4.5 1.1 5.9 2.9l34 41.6 34-41.6c1.5-1.9 3.6-2.9 5.9-2.9h50.8c6.6 0 10.2 7.9 5.9 13.1L383.5 675l62.7 76.8c4.2 5.3.6 13.2-6 13.2zm7.8-382c0 2.2-1.4 4-3.2 4H376v68.7c0 1.9-1.8 3.3-4 3.3h-48c-2.2 0-4-1.4-4-3.2V387h-68.8c-1.8 0-3.2-1.8-3.2-4v-48c0-2.2 1.4-4 3.2-4H320v-68.8c0-1.8 1.8-3.2 4-3.2h48c2.2 0 4 1.4 4 3.2V331h68.7c1.9 0 3.3 1.8 3.3 4v48zm328 369c0 2.2-1.4 4-3.2 4H579.2c-1.8 0-3.2-1.8-3.2-4v-48c0-2.2 1.4-4 3.2-4h193.5c1.9 0 3.3 1.8 3.3 4v48zm0-104c0 2.2-1.4 4-3.2 4H579.2c-1.8 0-3.2-1.8-3.2-4v-48c0-2.2 1.4-4 3.2-4h193.5c1.9 0 3.3 1.8 3.3 4v48zm0-265c0 2.2-1.4 4-3.2 4H579.2c-1.8 0-3.2-1.8-3.2-4v-48c0-2.2 1.4-4 3.2-4h193.5c1.9 0 3.3 1.8 3.3 4v48z"}}]})(props);
};
function AiFillCalendar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M112 880c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V460H112v420zm768-696H712v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H384v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H144c-17.7 0-32 14.3-32 32v176h800V216c0-17.7-14.3-32-32-32z"}}]})(props);
};
function AiFillCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M864 260H728l-32.4-90.8a32.07 32.07 0 0 0-30.2-21.2H358.6c-13.5 0-25.6 8.5-30.1 21.2L296 260H160c-44.2 0-80 35.8-80 80v456c0 44.2 35.8 80 80 80h704c44.2 0 80-35.8 80-80V340c0-44.2-35.8-80-80-80zM512 716c-88.4 0-160-71.6-160-160s71.6-160 160-160 160 71.6 160 160-71.6 160-160 160zm-96-160a96 96 0 1 0 192 0 96 96 0 1 0-192 0z"}}]})(props);
};
function AiFillCar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M959 413.4L935.3 372a8 8 0 0 0-10.9-2.9l-50.7 29.6-78.3-216.2a63.9 63.9 0 0 0-60.9-44.4H301.2c-34.7 0-65.5 22.4-76.2 55.5l-74.6 205.2-50.8-29.6a8 8 0 0 0-10.9 2.9L65 413.4c-2.2 3.8-.9 8.6 2.9 10.8l60.4 35.2-14.5 40c-1.2 3.2-1.8 6.6-1.8 10v348.2c0 15.7 11.8 28.4 26.3 28.4h67.6c12.3 0 23-9.3 25.6-22.3l7.7-37.7h545.6l7.7 37.7c2.7 13 13.3 22.3 25.6 22.3h67.6c14.5 0 26.3-12.7 26.3-28.4V509.4c0-3.4-.6-6.8-1.8-10l-14.5-40 60.3-35.2a8 8 0 0 0 3-10.8zM264 621c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40zm388 75c0 4.4-3.6 8-8 8H380c-4.4 0-8-3.6-8-8v-84c0-4.4 3.6-8 8-8h40c4.4 0 8 3.6 8 8v36h168v-36c0-4.4 3.6-8 8-8h40c4.4 0 8 3.6 8 8v84zm108-75c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40zM220 418l72.7-199.9.5-1.3.4-1.3c1.1-3.3 4.1-5.5 7.6-5.5h427.6l75.4 208H220z"}}]})(props);
};
function AiFillCaretDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M840.4 300H183.6c-19.7 0-30.7 20.8-18.5 35l328.4 380.8c9.4 10.9 27.5 10.9 37 0L858.9 335c12.2-14.2 1.2-35-18.5-35z"}}]})(props);
};
function AiFillCaretLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M689 165.1L308.2 493.5c-10.9 9.4-10.9 27.5 0 37L689 858.9c14.2 12.2 35 1.2 35-18.5V183.6c0-19.7-20.8-30.7-35-18.5z"}}]})(props);
};
function AiFillCaretRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M715.8 493.5L335 165.1c-14.2-12.2-35-1.2-35 18.5v656.8c0 19.7 20.8 30.7 35 18.5l380.8-328.4c10.9-9.4 10.9-27.6 0-37z"}}]})(props);
};
function AiFillCaretUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M858.9 689L530.5 308.2c-9.4-10.9-27.5-10.9-37 0L165.1 689c-12.2 14.2-1.2 35 18.5 35h656.8c19.7 0 30.7-20.8 18.5-35z"}}]})(props);
};
function AiFillCarryOut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 184H712v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H384v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H144c-17.7 0-32 14.3-32 32v664c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V216c0-17.7-14.3-32-32-32zM694.5 432.7L481.9 725.4a16.1 16.1 0 0 1-26 0l-126.4-174c-3.8-5.3 0-12.7 6.5-12.7h55.2c5.1 0 10 2.5 13 6.6l64.7 89 150.9-207.8c3-4.1 7.8-6.6 13-6.6H688c6.5.1 10.3 7.5 6.5 12.8z"}}]})(props);
};
function AiFillCheckCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm193.5 301.7l-210.6 292a31.8 31.8 0 0 1-51.7 0L318.5 484.9c-3.8-5.3 0-12.7 6.5-12.7h46.9c10.2 0 19.9 4.9 25.9 13.3l71.2 98.8 157.2-218c6-8.3 15.6-13.3 25.9-13.3H699c6.5 0 10.3 7.4 6.5 12.7z"}}]})(props);
};
function AiFillCheckSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM695.5 365.7l-210.6 292a31.8 31.8 0 0 1-51.7 0L308.5 484.9c-3.8-5.3 0-12.7 6.5-12.7h46.9c10.2 0 19.9 4.9 25.9 13.3l71.2 98.8 157.2-218c6-8.3 15.6-13.3 25.9-13.3H689c6.5 0 10.3 7.4 6.5 12.7z"}}]})(props);
};
function AiFillChrome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M371.8 512c0 77.5 62.7 140.2 140.2 140.2S652.2 589.5 652.2 512 589.5 371.8 512 371.8 371.8 434.4 371.8 512zM900 362.4l-234.3 12.1c63.6 74.3 64.6 181.5 11.1 263.7l-188 289.2c78 4.2 158.4-12.9 231.2-55.2 180-104 253-322.1 180-509.8zM320.3 591.9L163.8 284.1A415.35 415.35 0 0 0 96 512c0 208 152.3 380.3 351.4 410.8l106.9-209.4c-96.6 18.2-189.9-34.8-234-121.5zm218.5-285.5l344.4 18.1C848 254.7 792.6 194 719.8 151.7 653.9 113.6 581.5 95.5 510.5 96c-122.5.5-242.2 55.2-322.1 154.5l128.2 196.9c32-91.9 124.8-146.7 222.2-141z"}}]})(props);
};
function AiFillCiCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm-63.6 656c-103 0-162.4-68.6-162.4-182.6v-49C286 373.5 345.4 304 448.3 304c88.3 0 152.3 56.9 152.3 138.1 0 2.4-2 4.4-4.4 4.4h-52.6c-4.2 0-7.6-3.2-8-7.4-4-46.1-37.6-77.6-87-77.6-61.1 0-95.6 45.4-95.6 126.9v49.3c0 80.3 34.5 125.1 95.6 125.1 49.3 0 82.8-29.5 87-72.4.4-4.1 3.8-7.3 8-7.3h52.7c2.4 0 4.4 2 4.4 4.4 0 77.4-64.3 132.5-152.3 132.5zM738 704.1c0 4.4-3.6 8-8 8h-50.4c-4.4 0-8-3.6-8-8V319.9c0-4.4 3.6-8 8-8H730c4.4 0 8 3.6 8 8v384.2z"}}]})(props);
};
function AiFillClockCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm176.5 585.7l-28.6 39a7.99 7.99 0 0 1-11.2 1.7L483.3 569.8a7.92 7.92 0 0 1-3.3-6.5V288c0-4.4 3.6-8 8-8h48.1c4.4 0 8 3.6 8 8v247.5l142.6 103.1c3.6 2.5 4.4 7.5 1.8 11.1z"}}]})(props);
};
function AiFillCloseCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm165.4 618.2l-66-.3L512 563.4l-99.3 118.4-66.1.3c-4.4 0-8-3.5-8-8 0-1.9.7-3.7 1.9-5.2l130.1-155L340.5 359a8.32 8.32 0 0 1-1.9-5.2c0-4.4 3.6-8 8-8l66.1.3L512 464.6l99.3-118.4 66-.3c4.4 0 8 3.5 8 8 0 1.9-.7 3.7-1.9 5.2L553.5 514l130 155c1.2 1.5 1.9 3.3 1.9 5.2 0 4.4-3.6 8-8 8z"}}]})(props);
};
function AiFillCloseSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM676.1 657.9c4.4 5.2.7 13.1-6.1 13.1h-58.9c-4.7 0-9.2-2.1-12.3-5.7L512 561.8l-86.8 103.5c-3 3.6-7.5 5.7-12.3 5.7H354c-6.8 0-10.5-7.9-6.1-13.1L470.2 512 347.9 366.1A7.95 7.95 0 0 1 354 353h58.9c4.7 0 9.2 2.1 12.3 5.7L512 462.2l86.8-103.5c3-3.6 7.5-5.7 12.3-5.7H670c6.8 0 10.5 7.9 6.1 13.1L553.8 512l122.3 145.9z"}}]})(props);
};
function AiFillCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M811.4 418.7C765.6 297.9 648.9 212 512.2 212S258.8 297.8 213 418.6C127.3 441.1 64 519.1 64 612c0 110.5 89.5 200 199.9 200h496.2C870.5 812 960 722.5 960 612c0-92.7-63.1-170.7-148.6-193.3z"}}]})(props);
};
function AiFillCodeSandboxCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm243.7 589.2L512 794 268.3 653.2V371.8l110-63.6-.4-.2h.2L512 231l134 77h-.2l-.3.2 110.1 63.6v281.4zM307.9 536.7l87.6 49.9V681l96.7 55.9V524.8L307.9 418.4zm203.9-151.8L418 331l-91.1 52.6 185.2 107 185.2-106.9-91.4-52.8zm20 352l97.3-56.2v-94.1l87-49.5V418.5L531.8 525z"}}]})(props);
};
function AiFillCodeSandboxSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M307.9 536.7l87.6 49.9V681l96.7 55.9V524.8L307.9 418.4zM880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM755.7 653.2L512 794 268.3 653.2V371.8l110-63.6-.4-.2h.2L512 231l134 77h-.2l-.3.2 110.1 63.6v281.4zm-223.9 83.7l97.3-56.2v-94.1l87-49.5V418.5L531.8 525zm-20-352L418 331l-91.1 52.6 185.2 107 185.2-106.9-91.4-52.8z"}}]})(props);
};
function AiFillCode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM513.1 518.1l-192 161c-5.2 4.4-13.1.7-13.1-6.1v-62.7c0-2.3 1.1-4.6 2.9-6.1L420.7 512l-109.8-92.2a7.63 7.63 0 0 1-2.9-6.1V351c0-6.8 7.9-10.5 13.1-6.1l192 160.9c3.9 3.2 3.9 9.1 0 12.3zM716 673c0 4.4-3.4 8-7.5 8h-185c-4.1 0-7.5-3.6-7.5-8v-48c0-4.4 3.4-8 7.5-8h185c4.1 0 7.5 3.6 7.5 8v48z"}}]})(props);
};
function AiFillCodepenCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M488.1 414.7V303.4L300.9 428l83.6 55.8zm254.1 137.7v-79.8l-59.8 39.9zM512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm278 533c0 1.1-.1 2.1-.2 3.1 0 .4-.1.7-.2 1a14.16 14.16 0 0 1-.8 3.2c-.2.6-.4 1.2-.6 1.7-.2.4-.4.8-.5 1.2-.3.5-.5 1.1-.8 1.6-.2.4-.4.7-.7 1.1-.3.5-.7 1-1 1.5-.3.4-.5.7-.8 1-.4.4-.8.9-1.2 1.3-.3.3-.6.6-1 .9-.4.4-.9.8-1.4 1.1-.4.3-.7.6-1.1.8-.1.1-.3.2-.4.3L525.2 786c-4 2.7-8.6 4-13.2 4-4.7 0-9.3-1.4-13.3-4L244.6 616.9c-.1-.1-.3-.2-.4-.3l-1.1-.8c-.5-.4-.9-.7-1.3-1.1-.3-.3-.6-.6-1-.9-.4-.4-.8-.8-1.2-1.3a7 7 0 0 1-.8-1c-.4-.5-.7-1-1-1.5-.2-.4-.5-.7-.7-1.1-.3-.5-.6-1.1-.8-1.6-.2-.4-.4-.8-.5-1.2-.2-.6-.4-1.2-.6-1.7-.1-.4-.3-.8-.4-1.2-.2-.7-.3-1.3-.4-2-.1-.3-.1-.7-.2-1-.1-1-.2-2.1-.2-3.1V427.9c0-1 .1-2.1.2-3.1.1-.3.1-.7.2-1a14.16 14.16 0 0 1 .8-3.2c.2-.6.4-1.2.6-1.7.2-.4.4-.8.5-1.2.2-.5.5-1.1.8-1.6.2-.4.4-.7.7-1.1.6-.9 1.2-1.7 1.8-2.5.4-.4.8-.9 1.2-1.3.3-.3.6-.6 1-.9.4-.4.9-.8 1.3-1.1.4-.3.7-.6 1.1-.8.1-.1.3-.2.4-.3L498.7 239c8-5.3 18.5-5.3 26.5 0l254.1 169.1c.1.1.3.2.4.3l1.1.8 1.4 1.1c.3.3.6.6 1 .9.4.4.8.8 1.2 1.3.7.8 1.3 1.6 1.8 2.5.2.4.5.7.7 1.1.3.5.6 1 .8 1.6.2.4.4.8.5 1.2.2.6.4 1.2.6 1.7.1.4.3.8.4 1.2.2.7.3 1.3.4 2 .1.3.1.7.2 1 .1 1 .2 2.1.2 3.1V597zm-254.1 13.3v111.3L723.1 597l-83.6-55.8zM281.8 472.6v79.8l59.8-39.9zM512 456.1l-84.5 56.4 84.5 56.4 84.5-56.4zM723.1 428L535.9 303.4v111.3l103.6 69.1zM384.5 541.2L300.9 597l187.2 124.6V610.3l-103.6-69.1z"}}]})(props);
};
function AiFillCodepenSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M723.1 428L535.9 303.4v111.3l103.6 69.1zM512 456.1l-84.5 56.4 84.5 56.4 84.5-56.4zm23.9 154.2v111.3L723.1 597l-83.6-55.8zm-151.4-69.1L300.9 597l187.2 124.6V610.3l-103.6-69.1zM880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-90 485c0 1.1-.1 2.1-.2 3.1 0 .4-.1.7-.2 1a14.16 14.16 0 0 1-.8 3.2c-.2.6-.4 1.2-.6 1.7-.2.4-.4.8-.5 1.2-.3.5-.5 1.1-.8 1.6-.2.4-.4.7-.7 1.1-.3.5-.7 1-1 1.5-.3.4-.5.7-.8 1-.4.4-.8.9-1.2 1.3-.3.3-.6.6-1 .9-.4.4-.9.8-1.4 1.1-.4.3-.7.6-1.1.8-.1.1-.3.2-.4.3L525.2 786c-4 2.7-8.6 4-13.2 4-4.7 0-9.3-1.4-13.3-4L244.6 616.9c-.1-.1-.3-.2-.4-.3l-1.1-.8c-.5-.4-.9-.7-1.3-1.1-.3-.3-.6-.6-1-.9-.4-.4-.8-.8-1.2-1.3a7 7 0 0 1-.8-1c-.4-.5-.7-1-1-1.5-.2-.4-.5-.7-.7-1.1-.3-.5-.6-1.1-.8-1.6-.2-.4-.4-.8-.5-1.2-.2-.6-.4-1.2-.6-1.7-.1-.4-.3-.8-.4-1.2-.2-.7-.3-1.3-.4-2-.1-.3-.1-.7-.2-1-.1-1-.2-2.1-.2-3.1V427.9c0-1 .1-2.1.2-3.1.1-.3.1-.7.2-1a14.16 14.16 0 0 1 .8-3.2c.2-.6.4-1.2.6-1.7.2-.4.4-.8.5-1.2.2-.5.5-1.1.8-1.6.2-.4.4-.7.7-1.1.6-.9 1.2-1.7 1.8-2.5.4-.4.8-.9 1.2-1.3.3-.3.6-.6 1-.9.4-.4.9-.8 1.3-1.1.4-.3.7-.6 1.1-.8.1-.1.3-.2.4-.3L498.7 239c8-5.3 18.5-5.3 26.5 0l254.1 169.1c.1.1.3.2.4.3l1.1.8 1.4 1.1c.3.3.6.6 1 .9.4.4.8.8 1.2 1.3.7.8 1.3 1.6 1.8 2.5.2.4.5.7.7 1.1.3.5.6 1 .8 1.6.2.4.4.8.5 1.2.2.6.4 1.2.6 1.7.1.4.3.8.4 1.2.2.7.3 1.3.4 2 .1.3.1.7.2 1 .1 1 .2 2.1.2 3.1V597zm-47.8-44.6v-79.8l-59.8 39.9zm-460.4-79.8v79.8l59.8-39.9zm206.3-57.9V303.4L300.9 428l83.6 55.8z"}}]})(props);
};
function AiFillCompass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zM327.3 702.4c-2 .9-4.4 0-5.3-2.1-.4-1-.4-2.2 0-3.2l98.7-225.5 132.1 132.1-225.5 98.7zm375.1-375.1l-98.7 225.5-132.1-132.1L697.1 322c2-.9 4.4 0 5.3 2.1.4 1 .4 2.1 0 3.2z"}}]})(props);
};
function AiFillContacts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 224H768v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H548v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H328v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H96c-17.7 0-32 14.3-32 32v576c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V256c0-17.7-14.3-32-32-32zM661 736h-43.9c-4.2 0-7.6-3.3-7.9-7.5-3.8-50.6-46-90.5-97.2-90.5s-93.4 40-97.2 90.5c-.3 4.2-3.7 7.5-7.9 7.5H363a8 8 0 0 1-8-8.4c2.8-53.3 32-99.7 74.6-126.1a111.8 111.8 0 0 1-29.1-75.5c0-61.9 49.9-112 111.4-112 61.5 0 111.4 50.1 111.4 112 0 29.1-11 55.5-29.1 75.5 42.7 26.5 71.8 72.8 74.6 126.1.4 4.6-3.2 8.4-7.8 8.4zM512 474c-28.5 0-51.7 23.3-51.7 52s23.2 52 51.7 52c28.5 0 51.7-23.3 51.7-52s-23.2-52-51.7-52z"}}]})(props);
};
function AiFillContainer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 64H192c-17.7 0-32 14.3-32 32v529c0-.6.4-1 1-1h219.3l5.2 24.7C397.6 708.5 450.8 752 512 752s114.4-43.5 126.4-103.3l5.2-24.7H863c.6 0 1 .4 1 1V96c0-17.7-14.3-32-32-32zM712 493c0 4.4-3.6 8-8 8H320c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h384c4.4 0 8 3.6 8 8v48zm0-160c0 4.4-3.6 8-8 8H320c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h384c4.4 0 8 3.6 8 8v48zm151 354H694.1c-11.6 32.8-32 62.3-59.1 84.7-34.5 28.6-78.2 44.3-123 44.3s-88.5-15.8-123-44.3a194.02 194.02 0 0 1-59.1-84.7H161c-.6 0-1-.4-1-1v242c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V686c0 .6-.4 1-1 1z"}}]})(props);
};
function AiFillControl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM404 683v77c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-77c-41.7-13.6-72-52.8-72-99s30.3-85.5 72-99V264c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v221c41.7 13.6 72 52.8 72 99s-30.3 85.5-72 99zm279.6-143.9c.2 0 .3-.1.4-.1v221c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V539c.2 0 .3.1.4.1-42-13.4-72.4-52.7-72.4-99.1 0-46.4 30.4-85.7 72.4-99.1-.2 0-.3.1-.4.1v-77c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v77c-.2 0-.3-.1-.4-.1 42 13.4 72.4 52.7 72.4 99.1 0 46.4-30.4 85.7-72.4 99.1zM616 440a36 36 0 1 0 72 0 36 36 0 1 0-72 0zM403.4 566.5l-1.5-2.4c0-.1-.1-.1-.1-.2l-.9-1.2c-.1-.1-.2-.2-.2-.3-1-1.3-2-2.5-3.2-3.6l-.2-.2c-.4-.4-.8-.8-1.2-1.1-.8-.8-1.7-1.5-2.6-2.1h-.1l-1.2-.9c-.1-.1-.3-.2-.4-.3-1.2-.8-2.5-1.6-3.9-2.2-.2-.1-.5-.2-.7-.4-.4-.2-.7-.3-1.1-.5-.3-.1-.7-.3-1-.4-.5-.2-1-.4-1.5-.5-.4-.1-.9-.3-1.3-.4l-.9-.3-1.4-.3c-.2-.1-.5-.1-.7-.2-.7-.1-1.4-.3-2.1-.4-.2 0-.4 0-.6-.1-.6-.1-1.1-.1-1.7-.2-.2 0-.4 0-.7-.1-.8 0-1.5-.1-2.3-.1s-1.5 0-2.3.1c-.2 0-.4 0-.7.1-.6 0-1.2.1-1.7.2-.2 0-.4 0-.6.1-.7.1-1.4.2-2.1.4-.2.1-.5.1-.7.2l-1.4.3-.9.3c-.4.1-.9.3-1.3.4-.5.2-1 .4-1.5.5-.3.1-.7.3-1 .4-.4.2-.7.3-1.1.5-.2.1-.5.2-.7.4-1.3.7-2.6 1.4-3.9 2.2-.1.1-.3.2-.4.3l-1.2.9h-.1c-.9.7-1.8 1.4-2.6 2.1-.4.4-.8.7-1.2 1.1l-.2.2a54.8 54.8 0 0 0-3.2 3.6c-.1.1-.2.2-.2.3l-.9 1.2c0 .1-.1.1-.1.2l-1.5 2.4c-.1.2-.2.3-.3.5-2.7 5.1-4.3 10.9-4.3 17s1.6 12 4.3 17c.1.2.2.3.3.5l1.5 2.4c0 .1.1.1.1.2l.9 1.2c.1.1.2.2.2.3 1 1.3 2 2.5 3.2 3.6l.2.2c.4.4.8.8 1.2 1.1.8.8 1.7 1.5 2.6 2.1h.1l1.2.9c.1.1.3.2.4.3 1.2.8 2.5 1.6 3.9 2.2.2.1.5.2.7.4.4.2.7.3 1.1.5.3.1.7.3 1 .4.5.2 1 .4 1.5.5.4.1.9.3 1.3.4l.9.3 1.4.3c.2.1.5.1.7.2.7.1 1.4.3 2.1.4.2 0 .4 0 .6.1.6.1 1.1.1 1.7.2.2 0 .4 0 .7.1.8 0 1.5.1 2.3.1s1.5 0 2.3-.1c.2 0 .4 0 .7-.1.6 0 1.2-.1 1.7-.2.2 0 .4 0 .6-.1.7-.1 1.4-.2 2.1-.4.2-.1.5-.1.7-.2l1.4-.3.9-.3c.4-.1.9-.3 1.3-.4.5-.2 1-.4 1.5-.5.3-.1.7-.3 1-.4.4-.2.7-.3 1.1-.5.2-.1.5-.2.7-.4 1.3-.7 2.6-1.4 3.9-2.2.1-.1.3-.2.4-.3l1.2-.9h.1c.9-.7 1.8-1.4 2.6-2.1.4-.4.8-.7 1.2-1.1l.2-.2c1.1-1.1 2.2-2.4 3.2-3.6.1-.1.2-.2.2-.3l.9-1.2c0-.1.1-.1.1-.2l1.5-2.4c.1-.2.2-.3.3-.5 2.7-5.1 4.3-10.9 4.3-17s-1.6-12-4.3-17c-.1-.2-.2-.4-.3-.5z"}}]})(props);
};
function AiFillCopy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 64H296c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h496v688c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V96c0-17.7-14.3-32-32-32zM704 192H192c-17.7 0-32 14.3-32 32v530.7c0 8.5 3.4 16.6 9.4 22.6l173.3 173.3c2.2 2.2 4.7 4 7.4 5.5v1.9h4.2c3.5 1.3 7.2 2 11 2H704c17.7 0 32-14.3 32-32V224c0-17.7-14.3-32-32-32zM382 896h-.2L232 746.2v-.2h150v150z"}}]})(props);
};
function AiFillCopyrightCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm5.4 670c-110 0-173.4-73.2-173.4-194.9v-52.3C344 364.2 407.4 290 517.3 290c94.3 0 162.7 60.7 162.7 147.4 0 2.6-2.1 4.7-4.7 4.7h-56.7c-4.2 0-7.6-3.2-8-7.4-4-49.5-40-83.4-93-83.4-65.3 0-102.1 48.5-102.1 135.5v52.6c0 85.7 36.9 133.6 102.1 133.6 52.8 0 88.7-31.7 93-77.8.4-4.1 3.8-7.3 8-7.3h56.8c2.6 0 4.7 2.1 4.7 4.7 0 82.6-68.7 141.4-162.7 141.4z"}}]})(props);
};
function AiFillCreditCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 160H96c-17.7 0-32 14.3-32 32v160h896V192c0-17.7-14.3-32-32-32zM64 832c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V440H64v392zm579-184c0-4.4 3.6-8 8-8h165c4.4 0 8 3.6 8 8v72c0 4.4-3.6 8-8 8H651c-4.4 0-8-3.6-8-8v-72z"}}]})(props);
};
function AiFillCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M899.6 276.5L705 396.4 518.4 147.5a8.06 8.06 0 0 0-12.9 0L319 396.4 124.3 276.5c-5.7-3.5-13.1 1.2-12.2 7.9L188.5 865c1.1 7.9 7.9 14 16 14h615.1c8 0 14.9-6 15.9-14l76.4-580.6c.8-6.7-6.5-11.4-12.3-7.9zM512 734.2c-62.1 0-112.6-50.5-112.6-112.6S449.9 509 512 509s112.6 50.5 112.6 112.6S574.1 734.2 512 734.2zm0-160.9c-26.6 0-48.2 21.6-48.2 48.3 0 26.6 21.6 48.3 48.2 48.3s48.2-21.6 48.2-48.3c0-26.6-21.6-48.3-48.2-48.3z"}}]})(props);
};
function AiFillCustomerService (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 128c-212.1 0-384 171.9-384 384v360c0 13.3 10.7 24 24 24h184c35.3 0 64-28.7 64-64V624c0-35.3-28.7-64-64-64H200v-48c0-172.3 139.7-312 312-312s312 139.7 312 312v48H688c-35.3 0-64 28.7-64 64v208c0 35.3 28.7 64 64 64h184c13.3 0 24-10.7 24-24V512c0-212.1-171.9-384-384-384z"}}]})(props);
};
function AiFillDashboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M924.8 385.6a446.7 446.7 0 0 0-96-142.4 446.7 446.7 0 0 0-142.4-96C631.1 123.8 572.5 112 512 112s-119.1 11.8-174.4 35.2a446.7 446.7 0 0 0-142.4 96 446.7 446.7 0 0 0-96 142.4C75.8 440.9 64 499.5 64 560c0 132.7 58.3 257.7 159.9 343.1l1.7 1.4c5.8 4.8 13.1 7.5 20.6 7.5h531.7c7.5 0 14.8-2.7 20.6-7.5l1.7-1.4C901.7 817.7 960 692.7 960 560c0-60.5-11.9-119.1-35.2-174.4zM482 232c0-4.4 3.6-8 8-8h44c4.4 0 8 3.6 8 8v80c0 4.4-3.6 8-8 8h-44c-4.4 0-8-3.6-8-8v-80zM270 582c0 4.4-3.6 8-8 8h-80c-4.4 0-8-3.6-8-8v-44c0-4.4 3.6-8 8-8h80c4.4 0 8 3.6 8 8v44zm90.7-204.5l-31.1 31.1a8.03 8.03 0 0 1-11.3 0L261.7 352a8.03 8.03 0 0 1 0-11.3l31.1-31.1c3.1-3.1 8.2-3.1 11.3 0l56.6 56.6c3.1 3.1 3.1 8.2 0 11.3zm291.1 83.6l-84.5 84.5c5 18.7.2 39.4-14.5 54.1a55.95 55.95 0 0 1-79.2 0 55.95 55.95 0 0 1 0-79.2 55.87 55.87 0 0 1 54.1-14.5l84.5-84.5c3.1-3.1 8.2-3.1 11.3 0l28.3 28.3c3.1 3.1 3.1 8.1 0 11.3zm43-52.4l-31.1-31.1a8.03 8.03 0 0 1 0-11.3l56.6-56.6c3.1-3.1 8.2-3.1 11.3 0l31.1 31.1c3.1 3.1 3.1 8.2 0 11.3l-56.6 56.6a8.03 8.03 0 0 1-11.3 0zM846 582c0 4.4-3.6 8-8 8h-80c-4.4 0-8-3.6-8-8v-44c0-4.4 3.6-8 8-8h80c4.4 0 8 3.6 8 8v44z"}}]})(props);
};
function AiFillDatabase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 64H192c-17.7 0-32 14.3-32 32v224h704V96c0-17.7-14.3-32-32-32zM288 232c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40zM160 928c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V704H160v224zm128-136c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40zM160 640h704V384H160v256zm128-168c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40z"}}]})(props);
};
function AiFillDelete (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M864 256H736v-80c0-35.3-28.7-64-64-64H352c-35.3 0-64 28.7-64 64v80H160c-17.7 0-32 14.3-32 32v32c0 4.4 3.6 8 8 8h60.4l24.7 523c1.6 34.1 29.8 61 63.9 61h454c34.2 0 62.3-26.8 63.9-61l24.7-523H888c4.4 0 8-3.6 8-8v-32c0-17.7-14.3-32-32-32zm-200 0H360v-72h304v72z"}}]})(props);
};
function AiFillDiff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.2 306.6L611.3 72.9c-6-5.7-13.9-8.9-22.2-8.9H296c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h277l219 210.6V824c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V329.6c0-8.7-3.5-17-9.8-23zM553.4 201.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v704c0 17.7 14.3 32 32 32h512c17.7 0 32-14.3 32-32V397.3c0-8.5-3.4-16.6-9.4-22.6L553.4 201.4zM568 753c0 3.8-3.4 7-7.5 7h-225c-4.1 0-7.5-3.2-7.5-7v-42c0-3.8 3.4-7 7.5-7h225c4.1 0 7.5 3.2 7.5 7v42zm0-220c0 3.8-3.4 7-7.5 7H476v84.9c0 3.9-3.1 7.1-7 7.1h-42c-3.8 0-7-3.2-7-7.1V540h-84.5c-4.1 0-7.5-3.2-7.5-7v-42c0-3.9 3.4-7 7.5-7H420v-84.9c0-3.9 3.2-7.1 7-7.1h42c3.9 0 7 3.2 7 7.1V484h84.5c4.1 0 7.5 3.1 7.5 7v42z"}}]})(props);
};
function AiFillDingtalkCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm227 385.3c-1 4.2-3.5 10.4-7 17.8h.1l-.4.7c-20.3 43.1-73.1 127.7-73.1 127.7s-.1-.2-.3-.5l-15.5 26.8h74.5L575.1 810l32.3-128h-58.6l20.4-84.7c-16.5 3.9-35.9 9.4-59 16.8 0 0-31.2 18.2-89.9-35 0 0-39.6-34.7-16.6-43.4 9.8-3.7 47.4-8.4 77-12.3 40-5.4 64.6-8.2 64.6-8.2S422 517 392.7 512.5c-29.3-4.6-66.4-53.1-74.3-95.8 0 0-12.2-23.4 26.3-12.3 38.5 11.1 197.9 43.2 197.9 43.2s-207.4-63.3-221.2-78.7c-13.8-15.4-40.6-84.2-37.1-126.5 0 0 1.5-10.5 12.4-7.7 0 0 153.3 69.7 258.1 107.9 104.8 37.9 195.9 57.3 184.2 106.7z"}}]})(props);
};
function AiFillDingtalkSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM739 449.3c-1 4.2-3.5 10.4-7 17.8h.1l-.4.7c-20.3 43.1-73.1 127.7-73.1 127.7s-.1-.2-.3-.5l-15.5 26.8h74.5L575.1 810l32.3-128h-58.6l20.4-84.7c-16.5 3.9-35.9 9.4-59 16.8 0 0-31.2 18.2-89.9-35 0 0-39.6-34.7-16.6-43.4 9.8-3.7 47.4-8.4 77-12.3 40-5.4 64.6-8.2 64.6-8.2S422 517 392.7 512.5c-29.3-4.6-66.4-53.1-74.3-95.8 0 0-12.2-23.4 26.3-12.3 38.5 11.1 197.9 43.2 197.9 43.2s-207.4-63.3-221.2-78.7c-13.8-15.4-40.6-84.2-37.1-126.5 0 0 1.5-10.5 12.4-7.7 0 0 153.3 69.7 258.1 107.9 104.8 37.9 195.9 57.3 184.2 106.7z"}}]})(props);
};
function AiFillDislike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M885.9 490.3c3.6-12 5.4-24.4 5.4-37 0-28.3-9.3-55.5-26.1-77.7 3.6-12 5.4-24.4 5.4-37 0-28.3-9.3-55.5-26.1-77.7 3.6-12 5.4-24.4 5.4-37 0-51.6-30.7-98.1-78.3-118.4a66.1 66.1 0 0 0-26.5-5.4H273v428h.3l85.8 310.8C372.9 889 418.9 924 470.9 924c29.7 0 57.4-11.8 77.9-33.4 20.5-21.5 31-49.7 29.5-79.4l-6-122.9h239.9c12.1 0 23.9-3.2 34.3-9.3 40.4-23.5 65.5-66.1 65.5-111 0-28.3-9.3-55.5-26.1-77.7zM112 132v364c0 17.7 14.3 32 32 32h65V100h-65c-17.7 0-32 14.3-32 32z"}}]})(props);
};
function AiFillDollarCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm22.3 665.2l.2 31.7c0 4.4-3.6 8.1-8 8.1h-28.4c-4.4 0-8-3.6-8-8v-31.4C401.3 723 359.5 672.4 355 617.4c-.4-4.7 3.3-8.7 8-8.7h46.2c3.9 0 7.3 2.8 7.9 6.6 5.1 31.7 29.8 55.4 74.1 61.3V533.9l-24.7-6.3c-52.3-12.5-102.1-45.1-102.1-112.7 0-72.9 55.4-112.1 126.2-119v-33c0-4.4 3.6-8 8-8h28.1c4.4 0 8 3.6 8 8v32.7c68.5 6.9 119.9 46.9 125.9 109.2.5 4.7-3.2 8.8-8 8.8h-44.9c-4 0-7.4-3-7.9-6.9-4-29.2-27.4-53-65.5-58.2v134.3l25.4 5.9c64.8 16 108.9 47 108.9 116.4 0 75.3-56 117.3-134.3 124.1zM426.6 410.3c0 25.4 15.7 45.1 49.5 57.3 4.7 1.9 9.4 3.4 15 5v-124c-36.9 4.7-64.5 25.4-64.5 61.7zm116.5 135.2c-2.8-.6-5.6-1.3-8.8-2.2V677c42.6-3.8 72-27.2 72-66.4 0-30.7-15.9-50.7-63.2-65.1z"}}]})(props);
};
function AiFillDownCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm184.5 353.7l-178 246a7.95 7.95 0 0 1-12.9 0l-178-246c-3.8-5.3 0-12.7 6.5-12.7H381c10.2 0 19.9 4.9 25.9 13.2L512 563.6l105.2-145.4c6-8.3 15.6-13.2 25.9-13.2H690c6.5 0 10.3 7.4 6.5 12.7z"}}]})(props);
};
function AiFillDownSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM696.5 412.7l-178 246a7.95 7.95 0 0 1-12.9 0l-178-246c-3.8-5.3 0-12.7 6.5-12.7H381c10.2 0 19.9 4.9 25.9 13.2L512 558.6l105.2-145.4c6-8.3 15.6-13.2 25.9-13.2H690c6.5 0 10.3 7.4 6.5 12.7z"}}]})(props);
};
function AiFillDribbbleCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M675.1 328.3a245.2 245.2 0 0 0-220.8-55.1c6.8 9.1 51.5 69.9 91.8 144 87.5-32.8 124.5-82.6 129-88.9zM554 552.8c-138.7 48.3-188.6 144.6-193 153.6 41.7 32.5 94.1 51.9 151 51.9 34.1 0 66.6-6.9 96.1-19.5-3.7-21.6-17.9-96.8-52.5-186.6l-1.6.6zm47.7-11.9c32.2 88.4 45.3 160.4 47.8 175.4 55.2-37.3 94.5-96.4 105.4-164.9-8.4-2.6-76.1-22.8-153.2-10.5zM512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 736c-158.8 0-288-129.2-288-288s129.2-288 288-288 288 129.2 288 288-129.2 288-288 288zm53.1-346.2c5.7 11.7 11.2 23.6 16.3 35.6 1.8 4.2 3.6 8.4 5.3 12.7 81.8-10.3 163.2 6.2 171.3 7.9-.5-58.1-21.3-111.4-55.5-153.3-5.3 7.1-46.5 60-137.4 97.1zM498.6 432c-40.8-72.5-84.7-133.4-91.2-142.3-68.8 32.5-120.3 95.9-136.2 172.2 11 .2 112.4.7 227.4-29.9zm30.6 82.5c3.2-1 6.4-2 9.7-2.9-6.2-14-12.9-28-19.9-41.7-122.8 36.8-242.1 35.2-252.8 35-.1 2.5-.1 5-.1 7.5 0 63.2 23.9 120.9 63.2 164.5 5.5-9.6 73-121.4 199.9-162.4z"}}]})(props);
};
function AiFillDribbbleSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M498.6 432c-40.8-72.5-84.7-133.4-91.2-142.3-68.8 32.5-120.3 95.9-136.2 172.2 11 .2 112.4.7 227.4-29.9zm66.5 21.8c5.7 11.7 11.2 23.6 16.3 35.6 1.8 4.2 3.6 8.4 5.3 12.7 81.8-10.3 163.2 6.2 171.3 7.9-.5-58.1-21.3-111.4-55.5-153.3-5.3 7.1-46.5 60-137.4 97.1zM880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM512 800c-158.8 0-288-129.2-288-288s129.2-288 288-288 288 129.2 288 288-129.2 288-288 288zm89.7-259.1c32.2 88.4 45.3 160.4 47.8 175.4 55.2-37.3 94.5-96.4 105.4-164.9-8.4-2.6-76.1-22.8-153.2-10.5zm-72.5-26.4c3.2-1 6.4-2 9.7-2.9-6.2-14-12.9-28-19.9-41.7-122.8 36.8-242.1 35.2-252.8 35-.1 2.5-.1 5-.1 7.5 0 63.2 23.9 120.9 63.2 164.5 5.5-9.6 73-121.4 199.9-162.4zm145.9-186.2a245.2 245.2 0 0 0-220.8-55.1c6.8 9.1 51.5 69.9 91.8 144 87.5-32.8 124.5-82.6 129-88.9zM554 552.8c-138.7 48.3-188.6 144.6-193 153.6 41.7 32.5 94.1 51.9 151 51.9 34.1 0 66.6-6.9 96.1-19.5-3.7-21.6-17.9-96.8-52.5-186.6l-1.6.6z"}}]})(props);
};
function AiFillDropboxCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M663.8 455.5zm-151.5-93.8l-151.8 93.8 151.8 93.9 151.5-93.9zM512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm151.2 595.5L512.6 750l-151-90.5v-33.1l45.4 29.4 105.6-87.7 105.6 87.7 45.1-29.4v33.1zm-45.6-22.4l-105.3-87.7L407 637.1l-151-99.2 104.5-82.4L256 371.2 407 274l105.3 87.7L617.6 274 768 372.1l-104.2 83.5L768 539l-150.4 98.1z"}}]})(props);
};
function AiFillDropboxSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM663.2 659.5L512.6 750l-151-90.5v-33.1l45.4 29.4 105.6-87.7 105.6 87.7 45.1-29.4v33.1zm-45.6-22.4l-105.3-87.7L407 637.1l-151-99.2 104.5-82.4L256 371.2 407 274l105.3 87.7L617.6 274 768 372.1l-104.2 83.5L768 539l-150.4 98.1zM512.3 361.7l-151.8 93.8 151.8 93.9 151.5-93.9zm151.5 93.8z"}}]})(props);
};
function AiFillEdit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 836H144c-17.7 0-32 14.3-32 32v36c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-36c0-17.7-14.3-32-32-32zm-622.3-84c2 0 4-.2 6-.5L431.9 722c2-.4 3.9-1.3 5.3-2.8l423.9-423.9a9.96 9.96 0 0 0 0-14.1L694.9 114.9c-1.9-1.9-4.4-2.9-7.1-2.9s-5.2 1-7.1 2.9L256.8 538.8c-1.5 1.5-2.4 3.3-2.8 5.3l-29.5 168.2a33.5 33.5 0 0 0 9.4 29.8c6.6 6.4 14.9 9.9 23.8 9.9z"}}]})(props);
};
function AiFillEnvironment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 327c-29.9 0-58 11.6-79.2 32.8A111.6 111.6 0 0 0 400 439c0 29.9 11.7 58 32.8 79.2A111.6 111.6 0 0 0 512 551c29.9 0 58-11.7 79.2-32.8C612.4 497 624 468.9 624 439c0-29.9-11.6-58-32.8-79.2S541.9 327 512 327zm342.6-37.9a362.49 362.49 0 0 0-79.9-115.7 370.83 370.83 0 0 0-118.2-77.8C610.7 76.6 562.1 67 512 67c-50.1 0-98.7 9.6-144.5 28.5-44.3 18.3-84 44.5-118.2 77.8A363.6 363.6 0 0 0 169.4 289c-19.5 45-29.4 92.8-29.4 142 0 70.6 16.9 140.9 50.1 208.7 26.7 54.5 64 107.6 111 158.1 80.3 86.2 164.5 138.9 188.4 153a43.9 43.9 0 0 0 22.4 6.1c7.8 0 15.5-2 22.4-6.1 23.9-14.1 108.1-66.8 188.4-153 47-50.4 84.3-103.6 111-158.1C867.1 572 884 501.8 884 431.1c0-49.2-9.9-97-29.4-142zM512 615c-97.2 0-176-78.8-176-176s78.8-176 176-176 176 78.8 176 176-78.8 176-176 176z"}}]})(props);
};
function AiFillEuroCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm63.5 375.8c4.4 0 8 3.6 8 8V475c0 4.4-3.6 8-8 8h-136c-.3 4.4-.3 9.1-.3 13.8v36h136.2c4.4 0 8 3.6 8 8V568c0 4.4-3.6 8-8 8H444.9c15.3 62 61.3 98.6 129.8 98.6 19.9 0 37.1-1.2 51.8-4.1 4.9-1 9.5 2.8 9.5 7.8v42.8c0 3.8-2.7 7-6.4 7.8-15.9 3.4-34.3 5.1-55.3 5.1-109.8 0-183-58.8-200.2-158H344c-4.4 0-8-3.6-8-8v-27.2c0-4.4 3.6-8 8-8h26.1v-36.9c0-4.4 0-8.8.3-12.8H344c-4.4 0-8-3.6-8-8v-27.2c0-4.4 3.6-8 8-8h31.7c19.7-94.2 92-149.9 198.6-149.9 20.9 0 39.4 1.9 55.3 5.4 3.7.8 6.3 4 6.3 7.8V346h.1c0 5.1-4.6 8.8-9.6 7.8-14.7-2.9-31.8-4.4-51.7-4.4-65.4 0-110.4 33.5-127.6 90.4h128.4z"}}]})(props);
};
function AiFillExclamationCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm-32 232c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v272c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V296zm32 440a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96z"}}]})(props);
};
function AiFillExperiment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M218.9 636.3l42.6 26.6c.1.1.3.2.4.3l12.7 8 .3.3a186.9 186.9 0 0 0 94.1 25.1c44.9 0 87.2-15.7 121-43.8a256.27 256.27 0 0 1 164.9-59.9c52.3 0 102.2 15.7 144.6 44.5l7.9 5-111.6-289V179.8h63.5c4.4 0 8-3.6 8-8V120c0-4.4-3.6-8-8-8H264.7c-4.4 0-8 3.6-8 8v51.9c0 4.4 3.6 8 8 8h63.5v173.6L218.9 636.3zm333-203.1c22 0 39.9 17.9 39.9 39.9S573.9 513 551.9 513 512 495.1 512 473.1s17.9-39.9 39.9-39.9zM878 825.1l-29.9-77.4-85.7-53.5-.1.1c-.7-.5-1.5-1-2.2-1.5l-8.1-5-.3-.3c-29-17.5-62.3-26.8-97-26.8-44.9 0-87.2 15.7-121 43.8a256.27 256.27 0 0 1-164.9 59.9c-53 0-103.5-16.1-146.2-45.6l-28.9-18.1L146 825.1c-2.8 7.4-4.3 15.2-4.3 23 0 35.2 28.6 63.8 63.8 63.8h612.9c7.9 0 15.7-1.5 23-4.3a63.6 63.6 0 0 0 36.6-82.5z"}}]})(props);
};
function AiFillEyeInvisible (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"defs","attr":{},"child":[{"tag":"clipPath","attr":{},"child":[{"tag":"path","attr":{"fill":"none","d":"M124-288l388-672 388 672H124z","clipRule":"evenodd"}}]}]},{"tag":"path","attr":{"d":"M508 624a112 112 0 0 0 112-112c0-3.28-.15-6.53-.43-9.74L498.26 623.57c3.21.28 6.45.43 9.74.43zm370.72-458.44L836 122.88a8 8 0 0 0-11.31 0L715.37 232.23Q624.91 186 512 186q-288.3 0-430.2 300.3a60.3 60.3 0 0 0 0 51.5q56.7 119.43 136.55 191.45L112.56 835a8 8 0 0 0 0 11.31L155.25 889a8 8 0 0 0 11.31 0l712.16-712.12a8 8 0 0 0 0-11.32zM332 512a176 176 0 0 1 258.88-155.28l-48.62 48.62a112.08 112.08 0 0 0-140.92 140.92l-48.62 48.62A175.09 175.09 0 0 1 332 512z"}},{"tag":"path","attr":{"d":"M942.2 486.2Q889.4 375 816.51 304.85L672.37 449A176.08 176.08 0 0 1 445 676.37L322.74 798.63Q407.82 838 512 838q288.3 0 430.2-300.3a60.29 60.29 0 0 0 0-51.5z"}}]})(props);
};
function AiFillEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M396 512a112 112 0 1 0 224 0 112 112 0 1 0-224 0zm546.2-25.8C847.4 286.5 704.1 186 512 186c-192.2 0-335.4 100.5-430.2 300.3a60.3 60.3 0 0 0 0 51.5C176.6 737.5 319.9 838 512 838c192.2 0 335.4-100.5 430.2-300.3 7.7-16.2 7.7-35 0-51.5zM508 688c-97.2 0-176-78.8-176-176s78.8-176 176-176 176 78.8 176 176-78.8 176-176 176z"}}]})(props);
};
function AiFillFacebook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-92.4 233.5h-63.9c-50.1 0-59.8 23.8-59.8 58.8v77.1h119.6l-15.6 120.7h-104V912H539.2V602.2H434.9V481.4h104.3v-89c0-103.3 63.1-159.6 155.3-159.6 44.2 0 82.1 3.3 93.2 4.8v107.9z"}}]})(props);
};
function AiFillFastBackward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M517.6 273.5L230.2 499.3a16.14 16.14 0 0 0 0 25.4l287.4 225.8c10.7 8.4 26.4.8 26.4-12.7V286.2c0-13.5-15.7-21.1-26.4-12.7zm320 0L550.2 499.3a16.14 16.14 0 0 0 0 25.4l287.4 225.8c10.7 8.4 26.4.8 26.4-12.7V286.2c0-13.5-15.7-21.1-26.4-12.7zm-620-25.5h-51.2c-3.5 0-6.4 2.7-6.4 6v516c0 3.3 2.9 6 6.4 6h51.2c3.5 0 6.4-2.7 6.4-6V254c0-3.3-2.9-6-6.4-6z"}}]})(props);
};
function AiFillFastForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M793.8 499.3L506.4 273.5c-10.7-8.4-26.4-.8-26.4 12.7v451.6c0 13.5 15.7 21.1 26.4 12.7l287.4-225.8a16.14 16.14 0 0 0 0-25.4zm-320 0L186.4 273.5c-10.7-8.4-26.4-.8-26.4 12.7v451.5c0 13.5 15.7 21.1 26.4 12.7l287.4-225.8c4.1-3.2 6.2-8 6.2-12.7 0-4.6-2.1-9.4-6.2-12.6zM857.6 248h-51.2c-3.5 0-6.4 2.7-6.4 6v516c0 3.3 2.9 6 6.4 6h51.2c3.5 0 6.4-2.7 6.4-6V254c0-3.3-2.9-6-6.4-6z"}}]})(props);
};
function AiFillFileAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M480 580H372a8 8 0 0 0-8 8v48a8 8 0 0 0 8 8h108v108a8 8 0 0 0 8 8h48a8 8 0 0 0 8-8V644h108a8 8 0 0 0 8-8v-48a8 8 0 0 0-8-8H544V472a8 8 0 0 0-8-8h-48a8 8 0 0 0-8 8v108zm374.6-291.3c6 6 9.4 14.1 9.4 22.6V928c0 17.7-14.3 32-32 32H192c-17.7 0-32-14.3-32-32V96c0-17.7 14.3-32 32-32h424.7c8.5 0 16.7 3.4 22.7 9.4l215.2 215.3zM790.2 326L602 137.8V326h188.2z"}}]})(props);
};
function AiFillFileExcel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.7c6 6 9.4 14.1 9.4 22.6V928c0 17.7-14.3 32-32 32H192c-17.7 0-32-14.3-32-32V96c0-17.7 14.3-32 32-32h424.7c8.5 0 16.7 3.4 22.7 9.4l215.2 215.3zM790.2 326L602 137.8V326h188.2zM575.34 477.84l-61.22 102.3L452.3 477.8a12 12 0 0 0-10.27-5.79h-38.44a12 12 0 0 0-6.4 1.85 12 12 0 0 0-3.75 16.56l82.34 130.42-83.45 132.78a12 12 0 0 0-1.84 6.39 12 12 0 0 0 12 12h34.46a12 12 0 0 0 10.21-5.7l62.7-101.47 62.3 101.45a12 12 0 0 0 10.23 5.72h37.48a12 12 0 0 0 6.48-1.9 12 12 0 0 0 3.62-16.58l-83.83-130.55 85.3-132.47a12 12 0 0 0 1.9-6.5 12 12 0 0 0-12-12h-35.7a12 12 0 0 0-10.29 5.84z"}}]})(props);
};
function AiFillFileExclamation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.7c6 6 9.4 14.1 9.4 22.6V928c0 17.7-14.3 32-32 32H192c-17.7 0-32-14.3-32-32V96c0-17.7 14.3-32 32-32h424.7c8.5 0 16.7 3.4 22.7 9.4l215.2 215.3zM790.2 326L602 137.8V326h188.2zM512 784a40 40 0 1 0 0-80 40 40 0 0 0 0 80zm32-152V448a8 8 0 0 0-8-8h-48a8 8 0 0 0-8 8v184a8 8 0 0 0 8 8h48a8 8 0 0 0 8-8z"}}]})(props);
};
function AiFillFileImage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.7L639.4 73.4c-6-6-14.2-9.4-22.7-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.6-9.4-22.6zM400 402c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40zm296 294H328c-6.7 0-10.4-7.7-6.3-12.9l99.8-127.2a8 8 0 0 1 12.6 0l41.1 52.4 77.8-99.2a8 8 0 0 1 12.6 0l136.5 174c4.3 5.2.5 12.9-6.1 12.9zm-94-370V137.8L790.2 326H602z"}}]})(props);
};
function AiFillFileMarkdown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.7c6 6 9.4 14.1 9.4 22.6V928c0 17.7-14.3 32-32 32H192c-17.7 0-32-14.3-32-32V96c0-17.7 14.3-32 32-32h424.7c8.5 0 16.7 3.4 22.7 9.4l215.2 215.3zM790.2 326L602 137.8V326h188.2zM426.13 600.93l59.11 132.97a16 16 0 0 0 14.62 9.5h24.06a16 16 0 0 0 14.63-9.51l59.1-133.35V758a16 16 0 0 0 16.01 16H641a16 16 0 0 0 16-16V486a16 16 0 0 0-16-16h-34.75a16 16 0 0 0-14.67 9.62L512.1 662.2l-79.48-182.59a16 16 0 0 0-14.67-9.61H383a16 16 0 0 0-16 16v272a16 16 0 0 0 16 16h27.13a16 16 0 0 0 16-16V600.93z"}}]})(props);
};
function AiFillFilePdf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.7c6 6 9.4 14.1 9.4 22.6V928c0 17.7-14.3 32-32 32H192c-17.7 0-32-14.3-32-32V96c0-17.7 14.3-32 32-32h424.7c8.5 0 16.7 3.4 22.7 9.4l215.2 215.3zM790.2 326L602 137.8V326h188.2zM633.22 637.26c-15.18-.5-31.32.67-49.65 2.96-24.3-14.99-40.66-35.58-52.28-65.83l1.07-4.38 1.24-5.18c4.3-18.13 6.61-31.36 7.3-44.7.52-10.07-.04-19.36-1.83-27.97-3.3-18.59-16.45-29.46-33.02-30.13-15.45-.63-29.65 8-33.28 21.37-5.91 21.62-2.45 50.07 10.08 98.59-15.96 38.05-37.05 82.66-51.2 107.54-18.89 9.74-33.6 18.6-45.96 28.42-16.3 12.97-26.48 26.3-29.28 40.3-1.36 6.49.69 14.97 5.36 21.92 5.3 7.88 13.28 13 22.85 13.74 24.15 1.87 53.83-23.03 86.6-79.26 3.29-1.1 6.77-2.26 11.02-3.7l11.9-4.02c7.53-2.54 12.99-4.36 18.39-6.11 23.4-7.62 41.1-12.43 57.2-15.17 27.98 14.98 60.32 24.8 82.1 24.8 17.98 0 30.13-9.32 34.52-23.99 3.85-12.88.8-27.82-7.48-36.08-8.56-8.41-24.3-12.43-45.65-13.12zM385.23 765.68v-.36l.13-.34a54.86 54.86 0 0 1 5.6-10.76c4.28-6.58 10.17-13.5 17.47-20.87 3.92-3.95 8-7.8 12.79-12.12 1.07-.96 7.91-7.05 9.19-8.25l11.17-10.4-8.12 12.93c-12.32 19.64-23.46 33.78-33 43-3.51 3.4-6.6 5.9-9.1 7.51a16.43 16.43 0 0 1-2.61 1.42c-.41.17-.77.27-1.13.3a2.2 2.2 0 0 1-1.12-.15 2.07 2.07 0 0 1-1.27-1.91zM511.17 547.4l-2.26 4-1.4-4.38c-3.1-9.83-5.38-24.64-6.01-38-.72-15.2.49-24.32 5.29-24.32 6.74 0 9.83 10.8 10.07 27.05.22 14.28-2.03 29.14-5.7 35.65zm-5.81 58.46l1.53-4.05 2.09 3.8c11.69 21.24 26.86 38.96 43.54 51.31l3.6 2.66-4.39.9c-16.33 3.38-31.54 8.46-52.34 16.85 2.17-.88-21.62 8.86-27.64 11.17l-5.25 2.01 2.8-4.88c12.35-21.5 23.76-47.32 36.05-79.77zm157.62 76.26c-7.86 3.1-24.78.33-54.57-12.39l-7.56-3.22 8.2-.6c23.3-1.73 39.8-.45 49.42 3.07 4.1 1.5 6.83 3.39 8.04 5.55a4.64 4.64 0 0 1-1.36 6.31 6.7 6.7 0 0 1-2.17 1.28z"}}]})(props);
};
function AiFillFilePpt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.7c6 6 9.4 14.1 9.4 22.6V928c0 17.7-14.3 32-32 32H192c-17.7 0-32-14.3-32-32V96c0-17.7 14.3-32 32-32h424.7c8.5 0 16.7 3.4 22.7 9.4l215.2 215.3zM790.2 326L602 137.8V326h188.2zM468.53 760v-91.54h59.27c60.57 0 100.2-39.65 100.2-98.12 0-58.22-39.58-98.34-99.98-98.34H424a12 12 0 0 0-12 12v276a12 12 0 0 0 12 12h32.53a12 12 0 0 0 12-12zm0-139.33h34.9c47.82 0 67.19-12.93 67.19-50.33 0-32.05-18.12-50.12-49.87-50.12h-52.22v100.45z"}}]})(props);
};
function AiFillFileText (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.7c6 6 9.4 14.1 9.4 22.6V928c0 17.7-14.3 32-32 32H192c-17.7 0-32-14.3-32-32V96c0-17.7 14.3-32 32-32h424.7c8.5 0 16.7 3.4 22.7 9.4l215.2 215.3zM790.2 326L602 137.8V326h188.2zM320 482a8 8 0 0 0-8 8v48a8 8 0 0 0 8 8h384a8 8 0 0 0 8-8v-48a8 8 0 0 0-8-8H320zm0 136a8 8 0 0 0-8 8v48a8 8 0 0 0 8 8h184a8 8 0 0 0 8-8v-48a8 8 0 0 0-8-8H320z"}}]})(props);
};
function AiFillFileUnknown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.7c6 6 9.4 14.1 9.4 22.6V928c0 17.7-14.3 32-32 32H192c-17.7 0-32-14.3-32-32V96c0-17.7 14.3-32 32-32h424.7c8.5 0 16.7 3.4 22.7 9.4l215.2 215.3zM790.2 326L602 137.8V326h188.2zM402 549c0 5.4 4.4 9.5 9.8 9.5h32.4c5.4 0 9.8-4.2 9.8-9.4 0-28.2 25.8-51.6 58-51.6s58 23.4 58 51.5c0 25.3-21 47.2-49.3 50.9-19.3 2.8-34.5 20.3-34.7 40.1v32c0 5.5 4.5 10 10 10h32c5.5 0 10-4.5 10-10v-12.2c0-6 4-11.5 9.7-13.3 44.6-14.4 75-54 74.3-98.9-.8-55.5-49.2-100.8-108.5-101.6-61.4-.7-111.5 45.6-111.5 103zm110 227a32 32 0 1 0 0-64 32 32 0 0 0 0 64z"}}]})(props);
};
function AiFillFileWord (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.7c6 6 9.4 14.1 9.4 22.6V928c0 17.7-14.3 32-32 32H192c-17.7 0-32-14.3-32-32V96c0-17.7 14.3-32 32-32h424.7c8.5 0 16.7 3.4 22.7 9.4l215.2 215.3zM790.2 326L602 137.8V326h188.2zM512 566.1l52.81 197a12 12 0 0 0 11.6 8.9h31.77a12 12 0 0 0 11.6-8.88l74.37-276a12 12 0 0 0 .4-3.12 12 12 0 0 0-12-12h-35.57a12 12 0 0 0-11.7 9.31l-45.78 199.1-49.76-199.32A12 12 0 0 0 528.1 472h-32.2a12 12 0 0 0-11.64 9.1L434.6 680.01 388.5 481.3a12 12 0 0 0-11.68-9.29h-35.39a12 12 0 0 0-3.11.41 12 12 0 0 0-8.47 14.7l74.17 276A12 12 0 0 0 415.6 772h31.99a12 12 0 0 0 11.59-8.9l52.81-197z"}}]})(props);
};
function AiFillFileZip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.7c6 6 9.4 14.1 9.4 22.6V928c0 17.7-14.3 32-32 32H192c-17.7 0-32-14.3-32-32V96c0-17.7 14.3-32 32-32h424.7c8.5 0 16.7 3.4 22.7 9.4l215.2 215.3zM790.2 326L602 137.8V326h188.2zM296 136v64h64v-64h-64zm64 64v64h64v-64h-64zm-64 64v64h64v-64h-64zm64 64v64h64v-64h-64zm-64 64v64h64v-64h-64zm64 64v64h64v-64h-64zm-64 64v64h64v-64h-64zm0 64v160h128V584H296zm48 48h32v64h-32v-64z"}}]})(props);
};
function AiFillFile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.7c6 6 9.4 14.1 9.4 22.6V928c0 17.7-14.3 32-32 32H192c-17.7 0-32-14.3-32-32V96c0-17.7 14.3-32 32-32h424.7c8.5 0 16.7 3.4 22.7 9.4l215.2 215.3zM790.2 326L602 137.8V326h188.2z"}}]})(props);
};
function AiFillFilter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M349 838c0 17.7 14.2 32 31.8 32h262.4c17.6 0 31.8-14.3 31.8-32V642H349v196zm531.1-684H143.9c-24.5 0-39.8 26.7-27.5 48l221.3 376h348.8l221.3-376c12.1-21.3-3.2-48-27.7-48z"}}]})(props);
};
function AiFillFire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M834.1 469.2A347.49 347.49 0 0 0 751.2 354l-29.1-26.7a8.09 8.09 0 0 0-13 3.3l-13 37.3c-8.1 23.4-23 47.3-44.1 70.8-1.4 1.5-3 1.9-4.1 2-1.1.1-2.8-.1-4.3-1.5-1.4-1.2-2.1-3-2-4.8 3.7-60.2-14.3-128.1-53.7-202C555.3 171 510 123.1 453.4 89.7l-41.3-24.3c-5.4-3.2-12.3 1-12 7.3l2.2 48c1.5 32.8-2.3 61.8-11.3 85.9-11 29.5-26.8 56.9-47 81.5a295.64 295.64 0 0 1-47.5 46.1 352.6 352.6 0 0 0-100.3 121.5A347.75 347.75 0 0 0 160 610c0 47.2 9.3 92.9 27.7 136a349.4 349.4 0 0 0 75.5 110.9c32.4 32 70 57.2 111.9 74.7C418.5 949.8 464.5 959 512 959s93.5-9.2 136.9-27.3A348.6 348.6 0 0 0 760.8 857c32.4-32 57.8-69.4 75.5-110.9a344.2 344.2 0 0 0 27.7-136c0-48.8-10-96.2-29.9-140.9z"}}]})(props);
};
function AiFillFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 305H624V192c0-17.7-14.3-32-32-32H184v-40c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v784c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V640h248v113c0 17.7 14.3 32 32 32h416c17.7 0 32-14.3 32-32V337c0-17.7-14.3-32-32-32z"}}]})(props);
};
function AiFillFolderAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 298.4H521L403.7 186.2a8.15 8.15 0 0 0-5.5-2.2H144c-17.7 0-32 14.3-32 32v592c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V330.4c0-17.7-14.3-32-32-32zM632 577c0 3.8-3.4 7-7.5 7H540v84.9c0 3.9-3.2 7.1-7 7.1h-42c-3.8 0-7-3.2-7-7.1V584h-84.5c-4.1 0-7.5-3.2-7.5-7v-42c0-3.8 3.4-7 7.5-7H484v-84.9c0-3.9 3.2-7.1 7-7.1h42c3.8 0 7 3.2 7 7.1V528h84.5c4.1 0 7.5 3.2 7.5 7v42z"}}]})(props);
};
function AiFillFolderOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 444H820V330.4c0-17.7-14.3-32-32-32H473L355.7 186.2a8.15 8.15 0 0 0-5.5-2.2H96c-17.7 0-32 14.3-32 32v592c0 17.7 14.3 32 32 32h698c13 0 24.8-7.9 29.7-20l134-332c1.5-3.8 2.3-7.9 2.3-12 0-17.7-14.3-32-32-32zm-180 0H238c-13 0-24.8 7.9-29.7 20L136 643.2V256h188.5l119.6 114.4H748V444z"}}]})(props);
};
function AiFillFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 298.4H521L403.7 186.2a8.15 8.15 0 0 0-5.5-2.2H144c-17.7 0-32 14.3-32 32v592c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V330.4c0-17.7-14.3-32-32-32z"}}]})(props);
};
function AiFillFormatPainter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683558243","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M840 192h-56v-72c0-13.3-10.7-24-24-24H168c-13.3 0-24 10.7-24 24v272c0 13.3 10.7 24 24 24h592c13.3 0 24-10.7 24-24V256h32v200H465c-22.1 0-40 17.9-40 40v136h-44c-4.4 0-8 3.6-8 8v228c0 1.1 0.2 2.2 0.6 3.1-0.4 1.6-0.6 3.2-0.6 4.9 0 46.4 37.6 84 84 84s84-37.6 84-84c0-1.7-0.2-3.3-0.6-4.9 0.4-1 0.6-2 0.6-3.1V640c0-4.4-3.6-8-8-8h-44V520h351c22.1 0 40-17.9 40-40V232c0-22.1-17.9-40-40-40z"}}]})(props);
};
function AiFillForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M825.8 498L538.4 249.9c-10.7-9.2-26.4-.9-26.4 14v496.3c0 14.9 15.7 23.2 26.4 14L825.8 526c8.3-7.2 8.3-20.8 0-28zm-320 0L218.4 249.9c-10.7-9.2-26.4-.9-26.4 14v496.3c0 14.9 15.7 23.2 26.4 14L505.8 526c4.1-3.6 6.2-8.8 6.2-14 0-5.2-2.1-10.4-6.2-14z"}}]})(props);
};
function AiFillFrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zM288 421a48.01 48.01 0 0 1 96 0 48.01 48.01 0 0 1-96 0zm376 272h-48.1c-4.2 0-7.8-3.2-8.1-7.4C604 636.1 562.5 597 512 597s-92.1 39.1-95.8 88.6c-.3 4.2-3.9 7.4-8.1 7.4H360a8 8 0 0 1-8-8.4c4.4-84.3 74.5-151.6 160-151.6s155.6 67.3 160 151.6a8 8 0 0 1-8 8.4zm24-224a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96z"}}]})(props);
};
function AiFillFund (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M926 164H94c-17.7 0-32 14.3-32 32v640c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V196c0-17.7-14.3-32-32-32zm-92.3 194.4l-297 297.2a8.03 8.03 0 0 1-11.3 0L410.9 541.1 238.4 713.7a8.03 8.03 0 0 1-11.3 0l-36.8-36.8a8.03 8.03 0 0 1 0-11.3l214.9-215c3.1-3.1 8.2-3.1 11.3 0L531 565l254.5-254.6c3.1-3.1 8.2-3.1 11.3 0l36.8 36.8c3.2 3 3.2 8.1.1 11.2z"}}]})(props);
};
function AiFillFunnelPlot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M336.7 586h350.6l84.9-148H251.8zm543.4-432H143.9c-24.5 0-39.8 26.7-27.5 48L215 374h594l98.7-172c12.2-21.3-3.1-48-27.6-48zM349 838c0 17.7 14.2 32 31.8 32h262.4c17.6 0 31.8-14.3 31.8-32V650H349v188z"}}]})(props);
};
function AiFillGift (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M160 894c0 17.7 14.3 32 32 32h286V550H160v344zm386 32h286c17.7 0 32-14.3 32-32V550H546v376zm334-616H732.4c13.6-21.4 21.6-46.8 21.6-74 0-76.1-61.9-138-138-138-41.4 0-78.7 18.4-104 47.4-25.3-29-62.6-47.4-104-47.4-76.1 0-138 61.9-138 138 0 27.2 7.9 52.6 21.6 74H144c-17.7 0-32 14.3-32 32v140h366V310h68v172h366V342c0-17.7-14.3-32-32-32zm-402-4h-70c-38.6 0-70-31.4-70-70s31.4-70 70-70 70 31.4 70 70v70zm138 0h-70v-70c0-38.6 31.4-70 70-70s70 31.4 70 70-31.4 70-70 70z"}}]})(props);
};
function AiFillGithub (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M511.6 76.3C264.3 76.2 64 276.4 64 523.5 64 718.9 189.3 885 363.8 946c23.5 5.9 19.9-10.8 19.9-22.2v-77.5c-135.7 15.9-141.2-73.9-150.3-88.9C215 726 171.5 718 184.5 703c30.9-15.9 62.4 4 98.9 57.9 26.4 39.1 77.9 32.5 104 26 5.7-23.5 17.9-44.5 34.7-60.8-140.6-25.2-199.2-111-199.2-213 0-49.5 16.3-95 48.3-131.7-20.4-60.5 1.9-112.3 4.9-120 58.1-5.2 118.5 41.6 123.2 45.3 33-8.9 70.7-13.6 112.9-13.6 42.4 0 80.2 4.9 113.5 13.9 11.3-8.6 67.3-48.8 121.3-43.9 2.9 7.7 24.7 58.3 5.5 118 32.4 36.8 48.9 82.7 48.9 132.3 0 102.2-59 188.1-200 212.9a127.5 127.5 0 0 1 38.1 91v112.5c.8 9 0 17.9 15 17.9 177.1-59.7 304.6-227 304.6-424.1 0-247.2-200.4-447.3-447.5-447.3z"}}]})(props);
};
function AiFillGitlab (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M910.5 553.2l-109-370.8c-6.8-20.4-23.1-34.1-44.9-34.1s-39.5 12.3-46.3 32.7l-72.2 215.4H386.2L314 181.1c-6.8-20.4-24.5-32.7-46.3-32.7s-39.5 13.6-44.9 34.1L113.9 553.2c-4.1 13.6 1.4 28.6 12.3 36.8l385.4 289 386.7-289c10.8-8.1 16.3-23.1 12.2-36.8z"}}]})(props);
};
function AiFillGold (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M905.9 806.7l-40.2-248c-.6-3.9-4-6.7-7.9-6.7H596.2c-3.9 0-7.3 2.8-7.9 6.7l-40.2 248c-.1.4-.1.9-.1 1.3 0 4.4 3.6 8 8 8h342c.4 0 .9 0 1.3-.1 4.3-.7 7.3-4.8 6.6-9.2zm-470.2-248c-.6-3.9-4-6.7-7.9-6.7H166.2c-3.9 0-7.3 2.8-7.9 6.7l-40.2 248c-.1.4-.1.9-.1 1.3 0 4.4 3.6 8 8 8h342c.4 0 .9 0 1.3-.1 4.4-.7 7.3-4.8 6.6-9.2l-40.2-248zM342 472h342c.4 0 .9 0 1.3-.1 4.4-.7 7.3-4.8 6.6-9.2l-40.2-248c-.6-3.9-4-6.7-7.9-6.7H382.2c-3.9 0-7.3 2.8-7.9 6.7l-40.2 248c-.1.4-.1.9-.1 1.3 0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiFillGolden (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M905.9 806.7l-40.2-248c-.6-3.9-4-6.7-7.9-6.7H596.2c-3.9 0-7.3 2.8-7.9 6.7l-40.2 248c-.1.4-.1.9-.1 1.3 0 4.4 3.6 8 8 8h342c.4 0 .9 0 1.3-.1 4.3-.7 7.3-4.8 6.6-9.2zm-470.2-248c-.6-3.9-4-6.7-7.9-6.7H166.2c-3.9 0-7.3 2.8-7.9 6.7l-40.2 248c-.1.4-.1.9-.1 1.3 0 4.4 3.6 8 8 8h342c.4 0 .9 0 1.3-.1 4.4-.7 7.3-4.8 6.6-9.2l-40.2-248zM342 472h342c.4 0 .9 0 1.3-.1 4.4-.7 7.3-4.8 6.6-9.2l-40.2-248c-.6-3.9-4-6.7-7.9-6.7H382.2c-3.9 0-7.3 2.8-7.9 6.7l-40.2 248c-.1.4-.1.9-.1 1.3 0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiFillGoogleCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm167 633.6C638.4 735 583 757 516.9 757c-95.7 0-178.5-54.9-218.8-134.9C281.5 589 272 551.6 272 512s9.5-77 26.1-110.1c40.3-80.1 123.1-135 218.8-135 66 0 121.4 24.3 163.9 63.8L610.6 401c-25.4-24.3-57.7-36.6-93.6-36.6-63.8 0-117.8 43.1-137.1 101-4.9 14.7-7.7 30.4-7.7 46.6s2.8 31.9 7.7 46.6c19.3 57.9 73.3 101 137 101 33 0 61-8.7 82.9-23.4 26-17.4 43.2-43.3 48.9-74H516.9v-94.8h230.7c2.9 16.1 4.4 32.8 4.4 50.1 0 74.7-26.7 137.4-73 180.1z"}}]})(props);
};
function AiFillGooglePlusCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm36.5 558.8c-43.9 61.8-132.1 79.8-200.9 53.3-69-26.3-118-99.2-112.1-173.5 1.5-90.9 85.2-170.6 176.1-167.5 43.6-2 84.6 16.9 118 43.6-14.3 16.2-29 31.8-44.8 46.3-40.1-27.7-97.2-35.6-137.3-3.6-57.4 39.7-60 133.4-4.8 176.1 53.7 48.7 155.2 24.5 170.1-50.1-33.6-.5-67.4 0-101-1.1-.1-20.1-.2-40.1-.1-60.2 56.2-.2 112.5-.3 168.8.2 3.3 47.3-3 97.5-32 136.5zM791 536.5c-16.8.2-33.6.3-50.4.4-.2 16.8-.3 33.6-.3 50.4H690c-.2-16.8-.2-33.5-.3-50.3-16.8-.2-33.6-.3-50.4-.5v-50.1c16.8-.2 33.6-.3 50.4-.3.1-16.8.3-33.6.4-50.4h50.2l.3 50.4c16.8.2 33.6.2 50.4.3v50.1z"}}]})(props);
};
function AiFillGooglePlusSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM548.5 622.8c-43.9 61.8-132.1 79.8-200.9 53.3-69-26.3-118-99.2-112.1-173.5 1.5-90.9 85.2-170.6 176.1-167.5 43.6-2 84.6 16.9 118 43.6-14.3 16.2-29 31.8-44.8 46.3-40.1-27.7-97.2-35.6-137.3-3.6-57.4 39.7-60 133.4-4.8 176.1 53.7 48.7 155.2 24.5 170.1-50.1-33.6-.5-67.4 0-101-1.1-.1-20.1-.2-40.1-.1-60.2 56.2-.2 112.5-.3 168.8.2 3.3 47.3-3 97.5-32 136.5zM791 536.5c-16.8.2-33.6.3-50.4.4-.2 16.8-.3 33.6-.3 50.4H690c-.2-16.8-.2-33.5-.3-50.3-16.8-.2-33.6-.3-50.4-.5v-50.1c16.8-.2 33.6-.3 50.4-.3.1-16.8.3-33.6.4-50.4h50.2l.3 50.4c16.8.2 33.6.2 50.4.3v50.1z"}}]})(props);
};
function AiFillGoogleSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM679 697.6C638.4 735 583 757 516.9 757c-95.7 0-178.5-54.9-218.8-134.9A245.02 245.02 0 0 1 272 512c0-39.6 9.5-77 26.1-110.1 40.3-80.1 123.1-135 218.8-135 66 0 121.4 24.3 163.9 63.8L610.6 401c-25.4-24.3-57.7-36.6-93.6-36.6-63.8 0-117.8 43.1-137.1 101-4.9 14.7-7.7 30.4-7.7 46.6s2.8 31.9 7.7 46.6c19.3 57.9 73.3 101 137 101 33 0 61-8.7 82.9-23.4 26-17.4 43.2-43.3 48.9-74H516.9v-94.8h230.7c2.9 16.1 4.4 32.8 4.4 50.1 0 74.7-26.7 137.4-73 180.1z"}}]})(props);
};
function AiFillHdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 64H192c-17.7 0-32 14.3-32 32v224h704V96c0-17.7-14.3-32-32-32zM456 216c0 4.4-3.6 8-8 8H264c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h184c4.4 0 8 3.6 8 8v48zM160 928c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V704H160v224zm576-136c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40zM160 640h704V384H160v256zm96-152c0-4.4 3.6-8 8-8h184c4.4 0 8 3.6 8 8v48c0 4.4-3.6 8-8 8H264c-4.4 0-8-3.6-8-8v-48z"}}]})(props);
};
function AiFillHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M923 283.6a260.04 260.04 0 0 0-56.9-82.8 264.4 264.4 0 0 0-84-55.5A265.34 265.34 0 0 0 679.7 125c-49.3 0-97.4 13.5-139.2 39-10 6.1-19.5 12.8-28.5 20.1-9-7.3-18.5-14-28.5-20.1-41.8-25.5-89.9-39-139.2-39-35.5 0-69.9 6.8-102.4 20.3-31.4 13-59.7 31.7-84 55.5a258.44 258.44 0 0 0-56.9 82.8c-13.9 32.3-21 66.6-21 101.9 0 33.3 6.8 68 20.3 103.3 11.3 29.5 27.5 60.1 48.2 91 32.8 48.9 77.9 99.9 133.9 151.6 92.8 85.7 184.7 144.9 188.6 147.3l23.7 15.2c10.5 6.7 24 6.7 34.5 0l23.7-15.2c3.9-2.5 95.7-61.6 188.6-147.3 56-51.7 101.1-102.7 133.9-151.6 20.7-30.9 37-61.5 48.2-91 13.5-35.3 20.3-70 20.3-103.3.1-35.3-7-69.6-20.9-101.9z"}}]})(props);
};
function AiFillHighlight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M957.6 507.4L603.2 158.2a7.9 7.9 0 0 0-11.2 0L353.3 393.4a8.03 8.03 0 0 0-.1 11.3l.1.1 40 39.4-117.2 115.3a8.03 8.03 0 0 0-.1 11.3l.1.1 39.5 38.9-189.1 187H72.1c-4.4 0-8.1 3.6-8.1 8V860c0 4.4 3.6 8 8 8h344.9c2.1 0 4.1-.8 5.6-2.3l76.1-75.6 40.4 39.8a7.9 7.9 0 0 0 11.2 0l117.1-115.6 40.1 39.5a7.9 7.9 0 0 0 11.2 0l238.7-235.2c3.4-3 3.4-8 .3-11.2z"}}]})(props);
};
function AiFillHome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M946.5 505L534.6 93.4a31.93 31.93 0 0 0-45.2 0L77.5 505c-12 12-18.8 28.3-18.8 45.3 0 35.3 28.7 64 64 64h43.4V908c0 17.7 14.3 32 32 32H448V716h112v224h265.9c17.7 0 32-14.3 32-32V614.3h43.4c17 0 33.3-6.7 45.3-18.8 24.9-25 24.9-65.5-.1-90.5z"}}]})(props);
};
function AiFillHourglass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M742 318V184h86c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H196c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h86v134c0 81.5 42.4 153.2 106.4 194-64 40.8-106.4 112.5-106.4 194v134h-86c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h632c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-86V706c0-81.5-42.4-153.2-106.4-194 64-40.8 106.4-112.5 106.4-194z"}}]})(props);
};
function AiFillHtml5 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M145.2 96l66 746.6L512 928l299.6-85.4L878.9 96H145.2zm595 177.1l-4.8 47.2-1.7 19.5H382.3l8.2 94.2h335.1l-3.3 24.3-21.2 242.2-1.7 16.2-187 51.6v.3h-1.2l-.3.1v-.1h-.1l-188.6-52L310.8 572h91.1l6.5 73.2 102.4 27.7h.4l102-27.6 11.4-118.6H510.9v-.1H306l-22.8-253.5-1.7-24.3h460.3l-1.6 24.3z"}}]})(props);
};
function AiFillIdcard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M373 411c-28.5 0-51.7 23.3-51.7 52s23.2 52 51.7 52 51.7-23.3 51.7-52-23.2-52-51.7-52zm555-251H96c-17.7 0-32 14.3-32 32v640c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V192c0-17.7-14.3-32-32-32zM608 420c0-4.4 1-8 2.3-8h123.4c1.3 0 2.3 3.6 2.3 8v48c0 4.4-1 8-2.3 8H610.3c-1.3 0-2.3-3.6-2.3-8v-48zm-86 253h-43.9c-4.2 0-7.6-3.3-7.9-7.5-3.8-50.5-46-90.5-97.2-90.5s-93.4 40-97.2 90.5c-.3 4.2-3.7 7.5-7.9 7.5H224a8 8 0 0 1-8-8.4c2.8-53.3 32-99.7 74.6-126.1a111.8 111.8 0 0 1-29.1-75.5c0-61.9 49.9-112 111.4-112s111.4 50.1 111.4 112c0 29.1-11 55.5-29.1 75.5 42.7 26.5 71.8 72.8 74.6 126.1.4 4.6-3.2 8.4-7.8 8.4zm278.9-53H615.1c-3.9 0-7.1-3.6-7.1-8v-48c0-4.4 3.2-8 7.1-8h185.7c3.9 0 7.1 3.6 7.1 8v48h.1c0 4.4-3.2 8-7.1 8z"}}]})(props);
};
function AiFillIeCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M693.6 284.4c-24 0-51.1 11.7-72.6 22 46.3 18 86 57.3 112.3 99.6 7.1-18.9 14.6-47.9 14.6-67.9 0-32-22.8-53.7-54.3-53.7zM512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm253.9 492.9H437.1c0 100.4 144.3 136 196.8 47.4h120.8c-32.6 91.7-119.7 146-216.8 146-35.1 0-70.3-.1-101.7-15.6-87.4 44.5-180.3 56.6-180.3-42 0-45.8 23.2-107.1 44-145C335 484 381.3 422.8 435.6 374.5c-43.7 18.9-91.1 66.3-122 101.2 25.9-112.8 129.5-193.6 237.1-186.5 130-59.8 209.7-34.1 209.7 38.6 0 27.4-10.6 63.3-21.4 87.9 25.2 45.5 33.3 97.6 26.9 141.2zM540.5 399.1c-53.7 0-102 39.7-104 94.9h208c-2-55.1-50.6-94.9-104-94.9zM320.6 602.9c-73 152.4 11.5 172.2 100.3 123.3-46.6-27.5-82.6-72.2-100.3-123.3z"}}]})(props);
};
function AiFillIeSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM765.9 556.9H437.1c0 100.4 144.3 136 196.8 47.4h120.8c-32.6 91.7-119.7 146-216.8 146-35.1 0-70.3-.1-101.7-15.6-87.4 44.5-180.3 56.6-180.3-42 0-45.8 23.2-107.1 44-145C335 484 381.3 422.8 435.6 374.5c-43.7 18.9-91.1 66.3-122 101.2 25.9-112.8 129.5-193.6 237.1-186.5 130-59.8 209.7-34.1 209.7 38.6 0 27.4-10.6 63.3-21.4 87.9 25.2 45.5 33.3 97.6 26.9 141.2zm-72.3-272.5c-24 0-51.1 11.7-72.6 22 46.3 18 86 57.3 112.3 99.6 7.1-18.9 14.6-47.9 14.6-67.9 0-32-22.8-53.7-54.3-53.7zM540.5 399.1c-53.7 0-102 39.7-104 94.9h208c-2-55.1-50.6-94.9-104-94.9zM320.6 602.9c-73 152.4 11.5 172.2 100.3 123.3-46.6-27.5-82.6-72.2-100.3-123.3z"}}]})(props);
};
function AiFillInfoCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm32 664c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V456c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v272zm-32-344a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96z"}}]})(props);
};
function AiFillInstagram (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 378.7c-73.4 0-133.3 59.9-133.3 133.3S438.6 645.3 512 645.3 645.3 585.4 645.3 512 585.4 378.7 512 378.7zM911.8 512c0-55.2.5-109.9-2.6-165-3.1-64-17.7-120.8-64.5-167.6-46.9-46.9-103.6-61.4-167.6-64.5-55.2-3.1-109.9-2.6-165-2.6-55.2 0-109.9-.5-165 2.6-64 3.1-120.8 17.7-167.6 64.5C132.6 226.3 118.1 283 115 347c-3.1 55.2-2.6 109.9-2.6 165s-.5 109.9 2.6 165c3.1 64 17.7 120.8 64.5 167.6 46.9 46.9 103.6 61.4 167.6 64.5 55.2 3.1 109.9 2.6 165 2.6 55.2 0 109.9.5 165-2.6 64-3.1 120.8-17.7 167.6-64.5 46.9-46.9 61.4-103.6 64.5-167.6 3.2-55.1 2.6-109.8 2.6-165zM512 717.1c-113.5 0-205.1-91.6-205.1-205.1S398.5 306.9 512 306.9 717.1 398.5 717.1 512 625.5 717.1 512 717.1zm213.5-370.7c-26.5 0-47.9-21.4-47.9-47.9s21.4-47.9 47.9-47.9 47.9 21.4 47.9 47.9a47.84 47.84 0 0 1-47.9 47.9z"}}]})(props);
};
function AiFillInsurance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M519.9 358.8h97.9v41.6h-97.9zm347-188.9L527.1 54.1C523 52.7 517.5 52 512 52s-11 .7-15.1 2.1L157.1 169.9c-8.3 2.8-15.1 12.4-15.1 21.2v482.4c0 8.8 5.7 20.4 12.6 25.9L499.3 968c3.5 2.7 8 4.1 12.6 4.1s9.2-1.4 12.6-4.1l344.7-268.6c6.9-5.4 12.6-17 12.6-25.9V191.1c.2-8.8-6.6-18.3-14.9-21.2zM411.3 656h-.2c0 4.4-3.6 8-8 8h-37.3c-4.4 0-8-3.6-8-8V471.4c-7.7 9.2-15.4 17.9-23.1 26a6.04 6.04 0 0 1-10.2-2.4l-13.2-43.5c-.6-2-.2-4.1 1.2-5.6 37-43.4 64.7-95.1 82.2-153.6 1.1-3.5 5-5.3 8.4-3.7l38.6 18.3c2.7 1.3 4.1 4.4 3.2 7.2a429.2 429.2 0 0 1-33.6 79V656zm296.5-49.2l-26.3 35.3a5.92 5.92 0 0 1-8.9.7c-30.6-29.3-56.8-65.2-78.1-106.9V656c0 4.4-3.6 8-8 8h-36.2c-4.4 0-8-3.6-8-8V536c-22 44.7-49 80.8-80.6 107.6a5.9 5.9 0 0 1-8.9-1.4L430 605.7a6 6 0 0 1 1.6-8.1c28.6-20.3 51.9-45.2 71-76h-55.1c-4.4 0-8-3.6-8-8V478c0-4.4 3.6-8 8-8h94.9v-18.6h-65.9c-4.4 0-8-3.6-8-8V316c0-4.4 3.6-8 8-8h184.7c4.4 0 8 3.6 8 8v127.2c0 4.4-3.6 8-8 8h-66.7v18.6h98.8c4.4 0 8 3.6 8 8v35.6c0 4.4-3.6 8-8 8h-59c18.1 29.1 41.8 54.3 72.3 76.9 2.6 2.1 3.2 5.9 1.2 8.5z"}}]})(props);
};
function AiFillInteraction (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM726 585.7c0 55.3-44.7 100.1-99.7 100.1H420.6v53.4c0 5.7-6.5 8.8-10.9 5.3l-109.1-85.7c-3.5-2.7-3.5-8 0-10.7l109.1-85.7c4.4-3.5 10.9-.3 10.9 5.3v53.4h205.7c19.6 0 35.5-16 35.5-35.6v-78.9c0-3.7 3-6.8 6.8-6.8h50.7c3.7 0 6.8 3 6.8 6.8v79.1zm-2.6-209.9l-109.1 85.7c-4.4 3.5-10.9.3-10.9-5.3v-53.4H397.7c-19.6 0-35.5 16-35.5 35.6v78.9c0 3.7-3 6.8-6.8 6.8h-50.7c-3.7 0-6.8-3-6.8-6.8v-78.9c0-55.3 44.7-100.1 99.7-100.1h205.7v-53.4c0-5.7 6.5-8.8 10.9-5.3l109.1 85.7c3.6 2.5 3.6 7.8.1 10.5z"}}]})(props);
};
function AiFillLayout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M384 912h496c17.7 0 32-14.3 32-32V340H384v572zm496-800H384v164h528V144c0-17.7-14.3-32-32-32zm-768 32v736c0 17.7 14.3 32 32 32h176V112H144c-17.7 0-32 14.3-32 32z"}}]})(props);
};
function AiFillLeftCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm104 316.9c0 10.2-4.9 19.9-13.2 25.9L457.4 512l145.4 105.2c8.3 6 13.2 15.6 13.2 25.9V690c0 6.5-7.4 10.3-12.7 6.5l-246-178a7.95 7.95 0 0 1 0-12.9l246-178a8 8 0 0 1 12.7 6.5v46.8z"}}]})(props);
};
function AiFillLeftSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM624 380.9c0 10.2-4.9 19.9-13.2 25.9L465.4 512l145.4 105.2c8.3 6 13.2 15.6 13.2 25.9V690c0 6.5-7.4 10.3-12.7 6.5l-246-178a7.95 7.95 0 0 1 0-12.9l246-178c5.3-3.8 12.7 0 12.7 6.5v46.8z"}}]})(props);
};
function AiFillLike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M885.9 533.7c16.8-22.2 26.1-49.4 26.1-77.7 0-44.9-25.1-87.4-65.5-111.1a67.67 67.67 0 0 0-34.3-9.3H572.4l6-122.9c1.4-29.7-9.1-57.9-29.5-79.4A106.62 106.62 0 0 0 471 99.9c-52 0-98 35-111.8 85.1l-85.9 311h-.3v428h472.3c9.2 0 18.2-1.8 26.5-5.4 47.6-20.3 78.3-66.8 78.3-118.4 0-12.6-1.8-25-5.4-37 16.8-22.2 26.1-49.4 26.1-77.7 0-12.6-1.8-25-5.4-37 16.8-22.2 26.1-49.4 26.1-77.7-.2-12.6-2-25.1-5.6-37.1zM112 528v364c0 17.7 14.3 32 32 32h65V496h-65c-17.7 0-32 14.3-32 32z"}}]})(props);
};
function AiFillLinkedin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM349.3 793.7H230.6V411.9h118.7v381.8zm-59.3-434a68.8 68.8 0 1 1 68.8-68.8c-.1 38-30.9 68.8-68.8 68.8zm503.7 434H675.1V608c0-44.3-.8-101.2-61.7-101.2-61.7 0-71.2 48.2-71.2 98v188.9H423.7V411.9h113.8v52.2h1.6c15.8-30 54.5-61.7 112.3-61.7 120.2 0 142.3 79.1 142.3 181.9v209.4z"}}]})(props);
};
function AiFillLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 464h-68V240c0-70.7-57.3-128-128-128H388c-70.7 0-128 57.3-128 128v224h-68c-17.7 0-32 14.3-32 32v384c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V496c0-17.7-14.3-32-32-32zM540 701v53c0 4.4-3.6 8-8 8h-40c-4.4 0-8-3.6-8-8v-53a48.01 48.01 0 1 1 56 0zm152-237H332V240c0-30.9 25.1-56 56-56h248c30.9 0 56 25.1 56 56v224z"}}]})(props);
};
function AiFillMacCommand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569747879816","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M624 672c0 26.5 21.5 48 48 48s48-21.5 48-48-21.5-48-48-48h-48v48zM720 352c0-26.5-21.5-48-48-48s-48 21.5-48 48v48h48c26.5 0 48-21.5 48-48z"}},{"tag":"path","attr":{"d":"M928 64H96c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zM672 560c61.9 0 112 50.1 112 112s-50.1 112-112 112-112-50.1-112-112v-48h-96v48c0 61.9-50.1 112-112 112s-112-50.1-112-112 50.1-112 112-112h48v-96h-48c-61.9 0-112-50.1-112-112s50.1-112 112-112 112 50.1 112 112v48h96v-48c0-61.9 50.1-112 112-112s112 50.1 112 112-50.1 112-112 112h-48v96h48z"}},{"tag":"path","attr":{"d":"M464 464h96v96h-96zM352 304c-26.5 0-48 21.5-48 48s21.5 48 48 48h48v-48c0-26.5-21.5-48-48-48zM304 672c0 26.5 21.5 48 48 48s48-21.5 48-48v-48h-48c-26.5 0-48 21.5-48 48z"}}]})(props);
};
function AiFillMail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 160H96c-17.7 0-32 14.3-32 32v640c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V192c0-17.7-14.3-32-32-32zm-80.8 108.9L531.7 514.4c-7.8 6.1-18.7 6.1-26.5 0L189.6 268.9A7.2 7.2 0 0 1 194 256h648.8a7.2 7.2 0 0 1 4.4 12.9z"}}]})(props);
};
function AiFillMedicineBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M839.2 278.1a32 32 0 0 0-30.4-22.1H736V144c0-17.7-14.3-32-32-32H320c-17.7 0-32 14.3-32 32v112h-72.8a31.9 31.9 0 0 0-30.4 22.1L112 502v378c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V502l-72.8-223.9zM660 628c0 4.4-3.6 8-8 8H544v108c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V636H372c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h108V464c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v108h108c4.4 0 8 3.6 8 8v48zm4-372H360v-72h304v72z"}}]})(props);
};
function AiFillMediumCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm256 253.7l-40.8 39.1c-3.6 2.7-5.3 7.1-4.6 11.4v287.7c-.7 4.4 1 8.8 4.6 11.4l40 39.1v8.7H566.4v-8.3l41.3-40.1c4.1-4.1 4.1-5.3 4.1-11.4V422.5l-115 291.6h-15.5L347.5 422.5V618c-1.2 8.2 1.7 16.5 7.5 22.4l53.8 65.1v8.7H256v-8.7l53.8-65.1a26.1 26.1 0 0 0 7-22.4V392c.7-6.3-1.7-12.4-6.5-16.7l-47.8-57.6V309H411l114.6 251.5 100.9-251.3H768v8.5z"}}]})(props);
};
function AiFillMediumSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM768 317.7l-40.8 39.1c-3.6 2.7-5.3 7.1-4.6 11.4v287.7c-.7 4.4 1 8.8 4.6 11.4l40 39.1v8.7H566.4v-8.3l41.3-40.1c4.1-4.1 4.1-5.3 4.1-11.4V422.5l-115 291.6h-15.5L347.5 422.5V618c-1.2 8.2 1.7 16.5 7.5 22.4l53.8 65.1v8.7H256v-8.7l53.8-65.1a26.1 26.1 0 0 0 7-22.4V392c.7-6.3-1.7-12.4-6.5-16.7l-47.8-57.6V309H411l114.6 251.5 100.9-251.3H768v8.5z"}}]})(props);
};
function AiFillMeh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zM288 421a48.01 48.01 0 0 1 96 0 48.01 48.01 0 0 1-96 0zm384 200c0 4.4-3.6 8-8 8H360c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h304c4.4 0 8 3.6 8 8v48zm16-152a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96z"}}]})(props);
};
function AiFillMessage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M924.3 338.4a447.57 447.57 0 0 0-96.1-143.3 443.09 443.09 0 0 0-143-96.3A443.91 443.91 0 0 0 512 64h-2c-60.5.3-119 12.3-174.1 35.9a444.08 444.08 0 0 0-141.7 96.5 445 445 0 0 0-95 142.8A449.89 449.89 0 0 0 65 514.1c.3 69.4 16.9 138.3 47.9 199.9v152c0 25.4 20.6 46 45.9 46h151.8a447.72 447.72 0 0 0 199.5 48h2.1c59.8 0 117.7-11.6 172.3-34.3A443.2 443.2 0 0 0 827 830.5c41.2-40.9 73.6-88.7 96.3-142 23.5-55.2 35.5-113.9 35.8-174.5.2-60.9-11.6-120-34.8-175.6zM312.4 560c-26.4 0-47.9-21.5-47.9-48s21.5-48 47.9-48 47.9 21.5 47.9 48-21.4 48-47.9 48zm199.6 0c-26.4 0-47.9-21.5-47.9-48s21.5-48 47.9-48 47.9 21.5 47.9 48-21.5 48-47.9 48zm199.6 0c-26.4 0-47.9-21.5-47.9-48s21.5-48 47.9-48 47.9 21.5 47.9 48-21.5 48-47.9 48z"}}]})(props);
};
function AiFillMinusCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm192 472c0 4.4-3.6 8-8 8H328c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h368c4.4 0 8 3.6 8 8v48z"}}]})(props);
};
function AiFillMinusSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM704 536c0 4.4-3.6 8-8 8H328c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h368c4.4 0 8 3.6 8 8v48z"}}]})(props);
};
function AiFillMobile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M744 62H280c-35.3 0-64 28.7-64 64v768c0 35.3 28.7 64 64 64h464c35.3 0 64-28.7 64-64V126c0-35.3-28.7-64-64-64zM512 824c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40z"}}]})(props);
};
function AiFillMoneyCollect (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M911.5 699.7a8 8 0 0 0-10.3-4.8L840 717.2V179c0-37.6-30.4-68-68-68H252c-37.6 0-68 30.4-68 68v538.2l-61.3-22.3c-.9-.3-1.8-.5-2.7-.5-4.4 0-8 3.6-8 8V762c0 3.3 2.1 6.3 5.3 7.5L501 909.1c7.1 2.6 14.8 2.6 21.9 0l383.8-139.5c3.2-1.2 5.3-4.2 5.3-7.5v-59.6c0-1-.2-1.9-.5-2.8zm-243.8-377L564 514.3h57.6c4.4 0 8 3.6 8 8v27.1c0 4.4-3.6 8-8 8h-76.3v39h76.3c4.4 0 8 3.6 8 8v27.1c0 4.4-3.6 8-8 8h-76.3V703c0 4.4-3.6 8-8 8h-49.9c-4.4 0-8-3.6-8-8v-63.4h-76c-4.4 0-8-3.6-8-8v-27.1c0-4.4 3.6-8 8-8h76v-39h-76c-4.4 0-8-3.6-8-8v-27.1c0-4.4 3.6-8 8-8h57L356.5 322.8c-2.1-3.8-.7-8.7 3.2-10.8 1.2-.7 2.5-1 3.8-1h55.7a8 8 0 0 1 7.1 4.4L511 484.2h3.3L599 315.4c1.3-2.7 4.1-4.4 7.1-4.4h54.5c4.4 0 8 3.6 8.1 7.9 0 1.3-.4 2.6-1 3.8z"}}]})(props);
};
function AiFillNotification (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112c-3.8 0-7.7.7-11.6 2.3L292 345.9H128c-8.8 0-16 7.4-16 16.6v299c0 9.2 7.2 16.6 16 16.6h101.6c-3.7 11.6-5.6 23.9-5.6 36.4 0 65.9 53.8 119.5 120 119.5 55.4 0 102.1-37.6 115.9-88.4l408.6 164.2c3.9 1.5 7.8 2.3 11.6 2.3 16.9 0 32-14.2 32-33.2V145.2C912 126.2 897 112 880 112zM344 762.3c-26.5 0-48-21.4-48-47.8 0-11.2 3.9-21.9 11-30.4l84.9 34.1c-2 24.6-22.7 44.1-47.9 44.1z"}}]})(props);
};
function AiFillPauseCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm-80 600c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V360c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v304zm224 0c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V360c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v304z"}}]})(props);
};
function AiFillPayCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm166.6 246.8L567.5 515.6h62c4.4 0 8 3.6 8 8v29.9c0 4.4-3.6 8-8 8h-82V603h82c4.4 0 8 3.6 8 8v29.9c0 4.4-3.6 8-8 8h-82V717c0 4.4-3.6 8-8 8h-54.3c-4.4 0-8-3.6-8-8v-68.1h-81.7c-4.4 0-8-3.6-8-8V611c0-4.4 3.6-8 8-8h81.7v-41.5h-81.7c-4.4 0-8-3.6-8-8v-29.9c0-4.4 3.6-8 8-8h61.4L345.4 310.8a8.07 8.07 0 0 1 7-11.9h60.7c3 0 5.8 1.7 7.1 4.4l90.6 180h3.4l90.6-180a8 8 0 0 1 7.1-4.4h59.5c4.4 0 8 3.6 8 8 .2 1.4-.2 2.7-.8 3.9z"}}]})(props);
};
function AiFillPhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M885.6 230.2L779.1 123.8a80.83 80.83 0 0 0-57.3-23.8c-21.7 0-42.1 8.5-57.4 23.8L549.8 238.4a80.83 80.83 0 0 0-23.8 57.3c0 21.7 8.5 42.1 23.8 57.4l83.8 83.8A393.82 393.82 0 0 1 553.1 553 395.34 395.34 0 0 1 437 633.8L353.2 550a80.83 80.83 0 0 0-57.3-23.8c-21.7 0-42.1 8.5-57.4 23.8L123.8 664.5a80.89 80.89 0 0 0-23.8 57.4c0 21.7 8.5 42.1 23.8 57.4l106.3 106.3c24.4 24.5 58.1 38.4 92.7 38.4 7.3 0 14.3-.6 21.2-1.8 134.8-22.2 268.5-93.9 376.4-201.7C828.2 612.8 899.8 479.2 922.3 344c6.8-41.3-6.9-83.8-36.7-113.8z"}}]})(props);
};
function AiFillPicture (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 160H96c-17.7 0-32 14.3-32 32v640c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V192c0-17.7-14.3-32-32-32zM338 304c35.3 0 64 28.7 64 64s-28.7 64-64 64-64-28.7-64-64 28.7-64 64-64zm513.9 437.1a8.11 8.11 0 0 1-5.2 1.9H177.2c-4.4 0-8-3.6-8-8 0-1.9.7-3.7 1.9-5.2l170.3-202c2.8-3.4 7.9-3.8 11.3-1 .3.3.7.6 1 1l99.4 118 158.1-187.5c2.8-3.4 7.9-3.8 11.3-1 .3.3.7.6 1 1l229.6 271.6c2.6 3.3 2.2 8.4-1.2 11.2z"}}]})(props);
};
function AiFillPieChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M863.1 518.5H505.5V160.9c0-4.4-3.6-8-8-8h-26a398.57 398.57 0 0 0-282.5 117 397.47 397.47 0 0 0-85.6 127C82.6 446.2 72 498.5 72 552.5S82.6 658.7 103.4 708c20.1 47.5 48.9 90.3 85.6 127 36.7 36.7 79.4 65.5 127 85.6a396.64 396.64 0 0 0 155.6 31.5 398.57 398.57 0 0 0 282.5-117c36.7-36.7 65.5-79.4 85.6-127a396.64 396.64 0 0 0 31.5-155.6v-26c-.1-4.4-3.7-8-8.1-8zM951 463l-2.6-28.2c-8.5-92-49.3-178.8-115.1-244.3A398.5 398.5 0 0 0 588.4 75.6L560.1 73c-4.7-.4-8.7 3.2-8.7 7.9v383.7c0 4.4 3.6 8 8 8l383.6-1c4.7-.1 8.4-4 8-8.6z"}}]})(props);
};
function AiFillPlayCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm144.1 454.9L437.7 677.8a8.02 8.02 0 0 1-12.7-6.5V353.7a8 8 0 0 1 12.7-6.5L656.1 506a7.9 7.9 0 0 1 0 12.9z"}}]})(props);
};
function AiFillPlaySquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM641.7 520.8L442.3 677.6c-7.4 5.8-18.3.6-18.3-8.8V355.3c0-9.4 10.9-14.7 18.3-8.8l199.4 156.7a11.2 11.2 0 0 1 0 17.6z"}}]})(props);
};
function AiFillPlusCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm192 472c0 4.4-3.6 8-8 8H544v152c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V544H328c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h152V328c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v152h152c4.4 0 8 3.6 8 8v48z"}}]})(props);
};
function AiFillPlusSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM704 536c0 4.4-3.6 8-8 8H544v152c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V544H328c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h152V328c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v152h152c4.4 0 8 3.6 8 8v48z"}}]})(props);
};
function AiFillPoundCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm146 658c0 4.4-3.6 8-8 8H376.2c-4.4 0-8-3.6-8-8v-38.5c0-3.7 2.5-6.9 6.1-7.8 44-10.9 72.8-49 72.8-94.2 0-14.7-2.5-29.4-5.9-44.2H374c-4.4 0-8-3.6-8-8v-30c0-4.4 3.6-8 8-8h53.7c-7.8-25.1-14.6-50.7-14.6-77.1 0-75.8 58.6-120.3 151.5-120.3 26.5 0 51.4 5.5 70.3 12.7 3.1 1.2 5.2 4.2 5.2 7.5v39.5a8 8 0 0 1-10.6 7.6c-17.9-6.4-39-10.5-60.4-10.5-53.3 0-87.3 26.6-87.3 70.2 0 24.7 6.2 47.9 13.4 70.5h112c4.4 0 8 3.6 8 8v30c0 4.4-3.6 8-8 8h-98.6c3.1 13.2 5.3 26.9 5.3 41 0 40.7-16.5 73.9-43.9 91.1v4.7h180c4.4 0 8 3.6 8 8V722z"}}]})(props);
};
function AiFillPrinter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M732 120c0-4.4-3.6-8-8-8H300c-4.4 0-8 3.6-8 8v148h440V120zm120 212H172c-44.2 0-80 35.8-80 80v328c0 17.7 14.3 32 32 32h168v132c0 4.4 3.6 8 8 8h424c4.4 0 8-3.6 8-8V772h168c17.7 0 32-14.3 32-32V412c0-44.2-35.8-80-80-80zM664 844H360V568h304v276zm164-360c0 4.4-3.6 8-8 8h-40c-4.4 0-8-3.6-8-8v-40c0-4.4 3.6-8 8-8h40c4.4 0 8 3.6 8 8v40z"}}]})(props);
};
function AiFillProfile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM380 696c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40zm0-144c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40zm0-144c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40zm304 272c0 4.4-3.6 8-8 8H492c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h184c4.4 0 8 3.6 8 8v48zm0-144c0 4.4-3.6 8-8 8H492c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h184c4.4 0 8 3.6 8 8v48zm0-144c0 4.4-3.6 8-8 8H492c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h184c4.4 0 8 3.6 8 8v48z"}}]})(props);
};
function AiFillProject (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM368 744c0 4.4-3.6 8-8 8h-80c-4.4 0-8-3.6-8-8V280c0-4.4 3.6-8 8-8h80c4.4 0 8 3.6 8 8v464zm192-280c0 4.4-3.6 8-8 8h-80c-4.4 0-8-3.6-8-8V280c0-4.4 3.6-8 8-8h80c4.4 0 8 3.6 8 8v184zm192 72c0 4.4-3.6 8-8 8h-80c-4.4 0-8-3.6-8-8V280c0-4.4 3.6-8 8-8h80c4.4 0 8 3.6 8 8v256z"}}]})(props);
};
function AiFillPropertySafety (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M866.9 169.9L527.1 54.1C523 52.7 517.5 52 512 52s-11 .7-15.1 2.1L157.1 169.9c-8.3 2.8-15.1 12.4-15.1 21.2v482.4c0 8.8 5.7 20.4 12.6 25.9L499.3 968c3.5 2.7 8 4.1 12.6 4.1s9.2-1.4 12.6-4.1l344.7-268.6c6.9-5.4 12.6-17 12.6-25.9V191.1c.2-8.8-6.6-18.3-14.9-21.2zM648.3 332.8l-87.7 161.1h45.7c5.5 0 10 4.5 10 10v21.3c0 5.5-4.5 10-10 10h-63.4v29.7h63.4c5.5 0 10 4.5 10 10v21.3c0 5.5-4.5 10-10 10h-63.4V658c0 5.5-4.5 10-10 10h-41.3c-5.5 0-10-4.5-10-10v-51.8h-63.1c-5.5 0-10-4.5-10-10v-21.3c0-5.5 4.5-10 10-10h63.1v-29.7h-63.1c-5.5 0-10-4.5-10-10v-21.3c0-5.5 4.5-10 10-10h45.2l-88-161.1c-2.6-4.8-.9-10.9 4-13.6 1.5-.8 3.1-1.2 4.8-1.2h46c3.8 0 7.2 2.1 8.9 5.5l72.9 144.3 73.2-144.3a10 10 0 0 1 8.9-5.5h45c5.5 0 10 4.5 10 10 .1 1.7-.3 3.3-1.1 4.8z"}}]})(props);
};
function AiFillPushpin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M878.3 392.1L631.9 145.7c-6.5-6.5-15-9.7-23.5-9.7s-17 3.2-23.5 9.7L423.8 306.9c-12.2-1.4-24.5-2-36.8-2-73.2 0-146.4 24.1-206.5 72.3-15.4 12.3-16.6 35.4-2.7 49.4l181.7 181.7-215.4 215.2a15.8 15.8 0 0 0-4.6 9.8l-3.4 37.2c-.9 9.4 6.6 17.4 15.9 17.4.5 0 1 0 1.5-.1l37.2-3.4c3.7-.3 7.2-2 9.8-4.6l215.4-215.4 181.7 181.7c6.5 6.5 15 9.7 23.5 9.7 9.7 0 19.3-4.2 25.9-12.4 56.3-70.3 79.7-158.3 70.2-243.4l161.1-161.1c12.9-12.8 12.9-33.8 0-46.8z"}}]})(props);
};
function AiFillQqCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm210.5 612.4c-11.5 1.4-44.9-52.7-44.9-52.7 0 31.3-16.2 72.2-51.1 101.8 16.9 5.2 54.9 19.2 45.9 34.4-7.3 12.3-125.6 7.9-159.8 4-34.2 3.8-152.5 8.3-159.8-4-9.1-15.2 28.9-29.2 45.8-34.4-35-29.5-51.1-70.4-51.1-101.8 0 0-33.4 54.1-44.9 52.7-5.4-.7-12.4-29.6 9.4-99.7 10.3-33 22-60.5 40.2-105.8-3.1-116.9 45.3-215 160.4-215 113.9 0 163.3 96.1 160.4 215 18.1 45.2 29.9 72.8 40.2 105.8 21.7 70.1 14.6 99.1 9.3 99.7z"}}]})(props);
};
function AiFillQqSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM722.5 676.4c-11.5 1.4-44.9-52.7-44.9-52.7 0 31.3-16.2 72.2-51.1 101.8 16.9 5.2 54.9 19.2 45.9 34.4-7.3 12.3-125.6 7.9-159.8 4-34.2 3.8-152.5 8.3-159.8-4-9.1-15.2 28.9-29.2 45.8-34.4-35-29.5-51.1-70.4-51.1-101.8 0 0-33.4 54.1-44.9 52.7-5.4-.7-12.4-29.6 9.4-99.7 10.3-33 22-60.5 40.2-105.8-3.1-116.9 45.3-215 160.4-215 113.9 0 163.3 96.1 160.4 215 18.1 45.2 29.9 72.8 40.2 105.8 21.7 70.1 14.6 99.1 9.3 99.7z"}}]})(props);
};
function AiFillQuestionCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 708c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40zm62.9-219.5a48.3 48.3 0 0 0-30.9 44.8V620c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-21.5c0-23.1 6.7-45.9 19.9-64.9 12.9-18.6 30.9-32.8 52.1-40.9 34-13.1 56-41.6 56-72.7 0-44.1-43.1-80-96-80s-96 35.9-96 80v7.6c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V420c0-39.3 17.2-76 48.4-103.3C430.4 290.4 470 276 512 276s81.6 14.5 111.6 40.7C654.8 344 672 380.7 672 420c0 57.8-38.1 109.8-97.1 132.5z"}}]})(props);
};
function AiFillRead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 161H699.2c-49.1 0-97.1 14.1-138.4 40.7L512 233l-48.8-31.3A255.2 255.2 0 0 0 324.8 161H96c-17.7 0-32 14.3-32 32v568c0 17.7 14.3 32 32 32h228.8c49.1 0 97.1 14.1 138.4 40.7l44.4 28.6c1.3.8 2.8 1.3 4.3 1.3s3-.4 4.3-1.3l44.4-28.6C602 807.1 650.1 793 699.2 793H928c17.7 0 32-14.3 32-32V193c0-17.7-14.3-32-32-32zM404 553.5c0 4.1-3.2 7.5-7.1 7.5H211.1c-3.9 0-7.1-3.4-7.1-7.5v-45c0-4.1 3.2-7.5 7.1-7.5h185.7c3.9 0 7.1 3.4 7.1 7.5v45zm0-140c0 4.1-3.2 7.5-7.1 7.5H211.1c-3.9 0-7.1-3.4-7.1-7.5v-45c0-4.1 3.2-7.5 7.1-7.5h185.7c3.9 0 7.1 3.4 7.1 7.5v45zm416 140c0 4.1-3.2 7.5-7.1 7.5H627.1c-3.9 0-7.1-3.4-7.1-7.5v-45c0-4.1 3.2-7.5 7.1-7.5h185.7c3.9 0 7.1 3.4 7.1 7.5v45zm0-140c0 4.1-3.2 7.5-7.1 7.5H627.1c-3.9 0-7.1-3.4-7.1-7.5v-45c0-4.1 3.2-7.5 7.1-7.5h185.7c3.9 0 7.1 3.4 7.1 7.5v45z"}}]})(props);
};
function AiFillReconciliation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M676 623c-18.8 0-34 15.2-34 34s15.2 34 34 34 34-15.2 34-34-15.2-34-34-34zm204-455H668c0-30.9-25.1-56-56-56h-80c-30.9 0-56 25.1-56 56H264c-17.7 0-32 14.3-32 32v200h-88c-17.7 0-32 14.3-32 32v448c0 17.7 14.3 32 32 32h336c17.7 0 32-14.3 32-32v-16h368c17.7 0 32-14.3 32-32V200c0-17.7-14.3-32-32-32zM448 848H176V616h272v232zm0-296H176v-88h272v88zm20-272v-48h72v-56h64v56h72v48H468zm180 168v56c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-56c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8zm28 301c-50.8 0-92-41.2-92-92s41.2-92 92-92 92 41.2 92 92-41.2 92-92 92zm92-245c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-96c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v96zm-92 61c-50.8 0-92 41.2-92 92s41.2 92 92 92 92-41.2 92-92-41.2-92-92-92zm0 126c-18.8 0-34-15.2-34-34s15.2-34 34-34 34 15.2 34 34-15.2 34-34 34z"}}]})(props);
};
function AiFillRedEnvelope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 64H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zM647 470.4l-87.2 161h45.9c4.6 0 8.4 3.8 8.4 8.4v25.1c0 4.6-3.8 8.4-8.4 8.4h-63.3v28.6h63.3c4.6 0 8.4 3.8 8.4 8.4v25c.2 4.6-3.6 8.5-8.2 8.5h-63.3v49.9c0 4.6-3.8 8.4-8.4 8.4h-43.7c-4.6 0-8.4-3.8-8.4-8.4v-49.9h-63c-4.6 0-8.4-3.8-8.4-8.4v-25.1c0-4.6 3.8-8.4 8.4-8.4h63v-28.6h-63c-4.6 0-8.4-3.8-8.4-8.4v-25.1c0-4.6 3.8-8.4 8.4-8.4h45.4l-87.5-161c-2.2-4.1-.7-9.1 3.4-11.4 1.3-.6 2.6-1 3.9-1h48.8c3.2 0 6.1 1.8 7.5 4.6l71.9 141.8 71.9-141.9a8.5 8.5 0 0 1 7.5-4.6h47.8c4.6 0 8.4 3.8 8.4 8.4-.1 1.5-.5 2.9-1.1 4.1zM512.6 323L289 148h446L512.6 323z"}}]})(props);
};
function AiFillRedditCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M584 548a36 36 0 1 0 72 0 36 36 0 1 0-72 0zm144-108a35.9 35.9 0 0 0-32.5 20.6c18.8 14.3 34.4 30.7 45.9 48.8A35.98 35.98 0 0 0 728 440zM512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm245 477.9c4.6 13.5 7 27.6 7 42.1 0 99.4-112.8 180-252 180s-252-80.6-252-180c0-14.5 2.4-28.6 7-42.1A72.01 72.01 0 0 1 296 404c27.1 0 50.6 14.9 62.9 37 36.2-19.8 80.2-32.8 128.1-36.1l58.4-131.1c4.3-9.8 15.2-14.8 25.5-11.8l91.6 26.5a54.03 54.03 0 0 1 101.6 25.6c0 29.8-24.2 54-54 54-23.5 0-43.5-15.1-50.9-36.1L577 308.3l-43 96.5c49.1 3 94.2 16.1 131.2 36.3 12.3-22.1 35.8-37 62.9-37 39.8 0 72 32.2 72 72-.1 29.3-17.8 54.6-43.1 65.8zm-171.3 83c-14.9 11.7-44.3 24.3-73.7 24.3s-58.9-12.6-73.7-24.3c-9.3-7.3-22.7-5.7-30 3.6-7.3 9.3-5.7 22.7 3.6 30 25.7 20.4 65 33.5 100.1 33.5 35.1 0 74.4-13.1 100.2-33.5 9.3-7.3 10.9-20.8 3.6-30a21.46 21.46 0 0 0-30.1-3.6zM296 440a35.98 35.98 0 0 0-13.4 69.4c11.5-18.1 27.1-34.5 45.9-48.8A35.9 35.9 0 0 0 296 440zm72 108a36 36 0 1 0 72 0 36 36 0 1 0-72 0z"}}]})(props);
};
function AiFillRedditSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M296 440a35.98 35.98 0 0 0-13.4 69.4c11.5-18.1 27.1-34.5 45.9-48.8A35.9 35.9 0 0 0 296 440zm289.7 184.9c-14.9 11.7-44.3 24.3-73.7 24.3s-58.9-12.6-73.7-24.3c-9.3-7.3-22.7-5.7-30 3.6-7.3 9.3-5.7 22.7 3.6 30 25.7 20.4 65 33.5 100.1 33.5 35.1 0 74.4-13.1 100.2-33.5 9.3-7.3 10.9-20.8 3.6-30a21.46 21.46 0 0 0-30.1-3.6zM880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM757 541.9c4.6 13.5 7 27.6 7 42.1 0 99.4-112.8 180-252 180s-252-80.6-252-180c0-14.5 2.4-28.6 7-42.1A72.01 72.01 0 0 1 296 404c27.1 0 50.6 14.9 62.9 37 36.2-19.8 80.2-32.8 128.1-36.1l58.4-131.1c4.3-9.8 15.2-14.8 25.5-11.8l91.6 26.5a54.03 54.03 0 0 1 101.6 25.6c0 29.8-24.2 54-54 54-23.5 0-43.5-15.1-50.9-36.1L577 308.3l-43 96.5c49.1 3 94.2 16.1 131.2 36.3 12.3-22.1 35.8-37 62.9-37 39.8 0 72 32.2 72 72-.1 29.3-17.8 54.6-43.1 65.8zM584 548a36 36 0 1 0 72 0 36 36 0 1 0-72 0zm144-108a35.9 35.9 0 0 0-32.5 20.6c18.8 14.3 34.4 30.7 45.9 48.8A35.98 35.98 0 0 0 728 440zM368 548a36 36 0 1 0 72 0 36 36 0 1 0-72 0z"}}]})(props);
};
function AiFillRest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 256h-28.1l-35.7-120.9c-4-13.7-16.5-23.1-30.7-23.1h-451c-14.3 0-26.8 9.4-30.7 23.1L220.1 256H192c-17.7 0-32 14.3-32 32v28c0 4.4 3.6 8 8 8h45.8l47.7 558.7a32 32 0 0 0 31.9 29.3h429.2a32 32 0 0 0 31.9-29.3L802.2 324H856c4.4 0 8-3.6 8-8v-28c0-17.7-14.3-32-32-32zM508 704c-79.5 0-144-64.5-144-144s64.5-144 144-144 144 64.5 144 144-64.5 144-144 144zM291 256l22.4-76h397.2l22.4 76H291zm137 304a80 80 0 1 0 160 0 80 80 0 1 0-160 0z"}}]})(props);
};
function AiFillRightCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm154.7 454.5l-246 178c-5.3 3.8-12.7 0-12.7-6.5v-46.9c0-10.2 4.9-19.9 13.2-25.9L566.6 512 421.2 406.8c-8.3-6-13.2-15.6-13.2-25.9V334c0-6.5 7.4-10.3 12.7-6.5l246 178c4.4 3.2 4.4 9.8 0 13z"}}]})(props);
};
function AiFillRightSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM658.7 518.5l-246 178c-5.3 3.8-12.7 0-12.7-6.5v-46.9c0-10.2 4.9-19.9 13.2-25.9L558.6 512 413.2 406.8c-8.3-6-13.2-15.6-13.2-25.9V334c0-6.5 7.4-10.3 12.7-6.5l246 178c4.4 3.2 4.4 9.8 0 13z"}}]})(props);
};
function AiFillRobot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569682613478","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M852 64H172c-17.7 0-32 14.3-32 32v660c0 17.7 14.3 32 32 32h680c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zM300 328c0-33.1 26.9-60 60-60s60 26.9 60 60-26.9 60-60 60-60-26.9-60-60z m372 248c0 4.4-3.6 8-8 8H360c-4.4 0-8-3.6-8-8v-60c0-4.4 3.6-8 8-8h304c4.4 0 8 3.6 8 8v60z m-8-188c-33.1 0-60-26.9-60-60s26.9-60 60-60 60 26.9 60 60-26.9 60-60 60zM799 864H225c-13.8 0-25 14.3-25 32v56c0 4.4 2.8 8 6.2 8h611.5c3.4 0 6.2-3.6 6.2-8v-56c0.1-17.7-11.1-32-24.9-32z"}}]})(props);
};
function AiFillRocket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M864 736c0-111.6-65.4-208-160-252.9V317.3c0-15.1-5.3-29.7-15.1-41.2L536.5 95.4C530.1 87.8 521 84 512 84s-18.1 3.8-24.5 11.4L335.1 276.1a63.97 63.97 0 0 0-15.1 41.2v165.8C225.4 528 160 624.4 160 736h156.5c-2.3 7.2-3.5 15-3.5 23.8 0 22.1 7.6 43.7 21.4 60.8a97.2 97.2 0 0 0 43.1 30.6c23.1 54 75.6 88.8 134.5 88.8 29.1 0 57.3-8.6 81.4-24.8 23.6-15.8 41.9-37.9 53-64a97 97 0 0 0 43.1-30.5 97.52 97.52 0 0 0 21.4-60.8c0-8.4-1.1-16.4-3.1-23.8L864 736zM512 352a48.01 48.01 0 0 1 0 96 48.01 48.01 0 0 1 0-96zm116.1 432.2c-5.2 3-11.2 4.2-17.1 3.4l-19.5-2.4-2.8 19.4c-5.4 37.9-38.4 66.5-76.7 66.5s-71.3-28.6-76.7-66.5l-2.8-19.5-19.5 2.5a27.7 27.7 0 0 1-17.1-3.5c-8.7-5-14.1-14.3-14.1-24.4 0-10.6 5.9-19.4 14.6-23.8h231.3c8.8 4.5 14.6 13.3 14.6 23.8-.1 10.2-5.5 19.6-14.2 24.5z"}}]})(props);
};
function AiFillSafetyCertificate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M866.9 169.9L527.1 54.1C523 52.7 517.5 52 512 52s-11 .7-15.1 2.1L157.1 169.9c-8.3 2.8-15.1 12.4-15.1 21.2v482.4c0 8.8 5.7 20.4 12.6 25.9L499.3 968c3.5 2.7 8 4.1 12.6 4.1s9.2-1.4 12.6-4.1l344.7-268.6c6.9-5.4 12.6-17 12.6-25.9V191.1c.2-8.8-6.6-18.3-14.9-21.2zM694.5 340.7L481.9 633.4a16.1 16.1 0 0 1-26 0l-126.4-174c-3.8-5.3 0-12.7 6.5-12.7h55.2c5.1 0 10 2.5 13 6.6l64.7 89 150.9-207.8c3-4.1 7.8-6.6 13-6.6H688c6.5.1 10.3 7.5 6.5 12.8z"}}]})(props);
};
function AiFillSave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M893.3 293.3L730.7 130.7c-12-12-28.3-18.7-45.3-18.7H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V338.5c0-17-6.7-33.2-18.7-45.2zM384 176h256v112H384V176zm128 554c-79.5 0-144-64.5-144-144s64.5-144 144-144 144 64.5 144 144-64.5 144-144 144zm0-224c-44.2 0-80 35.8-80 80s35.8 80 80 80 80-35.8 80-80-35.8-80-80-80z"}}]})(props);
};
function AiFillSchedule (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 224H768v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H548v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H328v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H96c-17.7 0-32 14.3-32 32v576c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V256c0-17.7-14.3-32-32-32zM424 688c0 4.4-3.6 8-8 8H232c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h184c4.4 0 8 3.6 8 8v48zm0-136c0 4.4-3.6 8-8 8H232c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h184c4.4 0 8 3.6 8 8v48zm374.5-91.3l-165 228.7a15.9 15.9 0 0 1-25.8 0L493.5 531.2c-3.8-5.3 0-12.7 6.5-12.7h54.9c5.1 0 9.9 2.5 12.9 6.6l52.8 73.1 103.7-143.7c3-4.2 7.8-6.6 12.9-6.6H792c6.5.1 10.3 7.5 6.5 12.8z"}}]})(props);
};
function AiFillSecurityScan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M866.9 169.9L527.1 54.1C523 52.7 517.5 52 512 52s-11 .7-15.1 2.1L157.1 169.9c-8.3 2.8-15.1 12.4-15.1 21.2v482.4c0 8.8 5.7 20.4 12.6 25.9L499.3 968c3.5 2.7 8 4.1 12.6 4.1s9.2-1.4 12.6-4.1l344.7-268.6c6.9-5.4 12.6-17 12.6-25.9V191.1c.2-8.8-6.6-18.3-14.9-21.2zM626.8 554c-48.5 48.5-123 55.2-178.6 20.1l-77.5 77.5a8.03 8.03 0 0 1-11.3 0l-34-34a8.03 8.03 0 0 1 0-11.3l77.5-77.5c-35.1-55.7-28.4-130.1 20.1-178.6 56.3-56.3 147.5-56.3 203.8 0 56.3 56.3 56.3 147.5 0 203.8zm-158.54-45.27a80.1 80.1 0 1 0 113.27-113.28 80.1 80.1 0 1 0-113.27 113.28z"}}]})(props);
};
function AiFillSetting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512.5 390.6c-29.9 0-57.9 11.6-79.1 32.8-21.1 21.2-32.8 49.2-32.8 79.1 0 29.9 11.7 57.9 32.8 79.1 21.2 21.1 49.2 32.8 79.1 32.8 29.9 0 57.9-11.7 79.1-32.8 21.1-21.2 32.8-49.2 32.8-79.1 0-29.9-11.7-57.9-32.8-79.1a110.96 110.96 0 0 0-79.1-32.8zm412.3 235.5l-65.4-55.9c3.1-19 4.7-38.4 4.7-57.7s-1.6-38.8-4.7-57.7l65.4-55.9a32.03 32.03 0 0 0 9.3-35.2l-.9-2.6a442.5 442.5 0 0 0-79.6-137.7l-1.8-2.1a32.12 32.12 0 0 0-35.1-9.5l-81.2 28.9c-30-24.6-63.4-44-99.6-57.5l-15.7-84.9a32.05 32.05 0 0 0-25.8-25.7l-2.7-.5c-52-9.4-106.8-9.4-158.8 0l-2.7.5a32.05 32.05 0 0 0-25.8 25.7l-15.8 85.3a353.44 353.44 0 0 0-98.9 57.3l-81.8-29.1a32 32 0 0 0-35.1 9.5l-1.8 2.1a445.93 445.93 0 0 0-79.6 137.7l-.9 2.6c-4.5 12.5-.8 26.5 9.3 35.2l66.2 56.5c-3.1 18.8-4.6 38-4.6 57 0 19.2 1.5 38.4 4.6 57l-66 56.5a32.03 32.03 0 0 0-9.3 35.2l.9 2.6c18.1 50.3 44.8 96.8 79.6 137.7l1.8 2.1a32.12 32.12 0 0 0 35.1 9.5l81.8-29.1c29.8 24.5 63 43.9 98.9 57.3l15.8 85.3a32.05 32.05 0 0 0 25.8 25.7l2.7.5a448.27 448.27 0 0 0 158.8 0l2.7-.5a32.05 32.05 0 0 0 25.8-25.7l15.7-84.9c36.2-13.6 69.6-32.9 99.6-57.5l81.2 28.9a32 32 0 0 0 35.1-9.5l1.8-2.1c34.8-41.1 61.5-87.4 79.6-137.7l.9-2.6c4.3-12.4.6-26.3-9.5-35zm-412.3 52.2c-97.1 0-175.8-78.7-175.8-175.8s78.7-175.8 175.8-175.8 175.8 78.7 175.8 175.8-78.7 175.8-175.8 175.8z"}}]})(props);
};
function AiFillShop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M882 272.1V144c0-17.7-14.3-32-32-32H174c-17.7 0-32 14.3-32 32v128.1c-16.7 1-30 14.9-30 31.9v131.7a177 177 0 0 0 14.4 70.4c4.3 10.2 9.6 19.8 15.6 28.9v345c0 17.6 14.3 32 32 32h274V736h128v176h274c17.7 0 32-14.3 32-32V535a175 175 0 0 0 15.6-28.9c9.5-22.3 14.4-46 14.4-70.4V304c0-17-13.3-30.9-30-31.9zm-72 568H640V704c0-17.7-14.3-32-32-32H416c-17.7 0-32 14.3-32 32v136.1H214V597.9c2.9 1.4 5.9 2.8 9 4 22.3 9.4 46 14.1 70.4 14.1s48-4.7 70.4-14.1c13.8-5.8 26.8-13.2 38.7-22.1.2-.1.4-.1.6 0a180.4 180.4 0 0 0 38.7 22.1c22.3 9.4 46 14.1 70.4 14.1 24.4 0 48-4.7 70.4-14.1 13.8-5.8 26.8-13.2 38.7-22.1.2-.1.4-.1.6 0a180.4 180.4 0 0 0 38.7 22.1c22.3 9.4 46 14.1 70.4 14.1 24.4 0 48-4.7 70.4-14.1 3-1.3 6-2.6 9-4v242.2zm0-568.1H214v-88h596v88z"}}]})(props);
};
function AiFillShopping (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 312H696v-16c0-101.6-82.4-184-184-184s-184 82.4-184 184v16H192c-17.7 0-32 14.3-32 32v536c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V344c0-17.7-14.3-32-32-32zm-208 0H400v-16c0-61.9 50.1-112 112-112s112 50.1 112 112v16z"}}]})(props);
};
function AiFillSignal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569682885975","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M584 352H440c-17.7 0-32 14.3-32 32v544c0 17.7 14.3 32 32 32h144c17.7 0 32-14.3 32-32V384c0-17.7-14.3-32-32-32zM892 64H748c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h144c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zM276 640H132c-17.7 0-32 14.3-32 32v256c0 17.7 14.3 32 32 32h144c17.7 0 32-14.3 32-32V672c0-17.7-14.3-32-32-32z"}}]})(props);
};
function AiFillSketchCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M582.3 625.6l147.9-166.3h-63.4zm90-202.3h62.5l-92.1-115.1zm-274.7 36L512 684.5l114.4-225.2zM512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm286.7 380.2L515.8 762.3c-1 1.1-2.4 1.7-3.8 1.7s-2.8-.6-3.8-1.7L225.3 444.2a5.14 5.14 0 0 1-.2-6.6L365.6 262c1-1.2 2.4-1.9 4-1.9h284.6c1.6 0 3 .7 4 1.9l140.5 175.6a4.9 4.9 0 0 1 0 6.6zm-190.5-20.9L512 326.1l-96.2 97.2zM420.3 301.1l-23.1 89.8 88.8-89.8zm183.4 0H538l88.8 89.8zm-222.4 7.1l-92.1 115.1h62.5zm-87.5 151.1l147.9 166.3-84.5-166.3z"}}]})(props);
};
function AiFillSketchSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M608.2 423.3L512 326.1l-96.2 97.2zm-25.9 202.3l147.9-166.3h-63.4zm90-202.3h62.5l-92.1-115.1zM880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-81.3 332.2L515.8 762.3c-1 1.1-2.4 1.7-3.8 1.7s-2.8-.6-3.8-1.7L225.3 444.2a5.14 5.14 0 0 1-.2-6.6L365.6 262c1-1.2 2.4-1.9 4-1.9h284.6c1.6 0 3 .7 4 1.9l140.5 175.6a4.9 4.9 0 0 1 0 6.6zm-401.1 15.1L512 684.5l114.4-225.2zm-16.3-151.1l-92.1 115.1h62.5zm-87.5 151.1l147.9 166.3-84.5-166.3zm126.5-158.2l-23.1 89.8 88.8-89.8zm183.4 0H538l88.8 89.8z"}}]})(props);
};
function AiFillSkin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M870 126H663.8c-17.4 0-32.9 11.9-37 29.3C614.3 208.1 567 246 512 246s-102.3-37.9-114.8-90.7a37.93 37.93 0 0 0-37-29.3H154a44 44 0 0 0-44 44v252a44 44 0 0 0 44 44h75v388a44 44 0 0 0 44 44h478a44 44 0 0 0 44-44V466h75a44 44 0 0 0 44-44V170a44 44 0 0 0-44-44z"}}]})(props);
};
function AiFillSkype (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M883.7 578.6c4.1-22.5 6.3-45.5 6.3-68.5 0-51-10-100.5-29.7-147-19-45-46.3-85.4-81-120.1a375.79 375.79 0 0 0-120.1-80.9c-46.6-19.7-96-29.7-147-29.7-24 0-48.1 2.3-71.5 6.8A225.1 225.1 0 0 0 335.6 113c-59.7 0-115.9 23.3-158.1 65.5A222.25 222.25 0 0 0 112 336.6c0 38 9.8 75.4 28.1 108.4-3.7 21.4-5.7 43.3-5.7 65.1 0 51 10 100.5 29.7 147 19 45 46.2 85.4 80.9 120.1 34.7 34.7 75.1 61.9 120.1 80.9 46.6 19.7 96 29.7 147 29.7 22.2 0 44.4-2 66.2-5.9 33.5 18.9 71.3 29 110 29 59.7 0 115.9-23.2 158.1-65.5 42.3-42.2 65.5-98.4 65.5-158.1.1-38-9.7-75.5-28.2-108.7zm-370 162.9c-134.2 0-194.2-66-194.2-115.4 0-25.4 18.7-43.1 44.5-43.1 57.4 0 42.6 82.5 149.7 82.5 54.9 0 85.2-29.8 85.2-60.3 0-18.3-9-38.7-45.2-47.6l-119.4-29.8c-96.1-24.1-113.6-76.1-113.6-124.9 0-101.4 95.5-139.5 185.2-139.5 82.6 0 180 45.7 180 106.5 0 26.1-22.6 41.2-48.4 41.2-49 0-40-67.8-138.7-67.8-49 0-76.1 22.2-76.1 53.9s38.7 41.8 72.3 49.5l88.4 19.6c96.8 21.6 121.3 78.1 121.3 131.3 0 82.3-63.3 143.9-191 143.9z"}}]})(props);
};
function AiFillSlackCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zM361.5 580.2c0 27.8-22.5 50.4-50.3 50.4-13.3 0-26.1-5.3-35.6-14.8-9.4-9.5-14.7-22.3-14.7-35.6 0-27.8 22.5-50.4 50.3-50.4h50.3v50.4zm134 134.4c0 27.8-22.5 50.4-50.3 50.4-27.8 0-50.3-22.6-50.3-50.4V580.2c0-27.8 22.5-50.4 50.3-50.4 13.3 0 26.1 5.3 35.6 14.8s14.7 22.3 14.7 35.6v134.4zm-50.2-218.4h-134c-27.8 0-50.3-22.6-50.3-50.4 0-27.8 22.5-50.4 50.3-50.4h134c27.8 0 50.3 22.6 50.3 50.4-.1 27.9-22.6 50.4-50.3 50.4zm0-134.4c-13.3 0-26.1-5.3-35.6-14.8S395 324.8 395 311.4c0-27.8 22.5-50.4 50.3-50.4 27.8 0 50.3 22.6 50.3 50.4v50.4h-50.3zm83.7-50.4c0-27.8 22.5-50.4 50.3-50.4 27.8 0 50.3 22.6 50.3 50.4v134.4c0 27.8-22.5 50.4-50.3 50.4-27.8 0-50.3-22.6-50.3-50.4V311.4zM579.3 765c-27.8 0-50.3-22.6-50.3-50.4v-50.4h50.3c27.8 0 50.3 22.6 50.3 50.4 0 27.8-22.5 50.4-50.3 50.4zm134-134.4h-134c-13.3 0-26.1-5.3-35.6-14.8S529 593.6 529 580.2c0-27.8 22.5-50.4 50.3-50.4h134c27.8 0 50.3 22.6 50.3 50.4 0 27.8-22.5 50.4-50.3 50.4zm0-134.4H663v-50.4c0-27.8 22.5-50.4 50.3-50.4s50.3 22.6 50.3 50.4c0 27.8-22.5 50.4-50.3 50.4z"}}]})(props);
};
function AiFillSlackSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM529 311.4c0-27.8 22.5-50.4 50.3-50.4 27.8 0 50.3 22.6 50.3 50.4v134.4c0 27.8-22.5 50.4-50.3 50.4-27.8 0-50.3-22.6-50.3-50.4V311.4zM361.5 580.2c0 27.8-22.5 50.4-50.3 50.4-13.3 0-26.1-5.3-35.6-14.8-9.4-9.5-14.7-22.3-14.7-35.6 0-27.8 22.5-50.4 50.3-50.4h50.3v50.4zm134 134.4c0 27.8-22.5 50.4-50.3 50.4-27.8 0-50.3-22.6-50.3-50.4V580.2c0-27.8 22.5-50.4 50.3-50.4 13.3 0 26.1 5.3 35.6 14.8s14.7 22.3 14.7 35.6v134.4zm-50.2-218.4h-134c-27.8 0-50.3-22.6-50.3-50.4 0-27.8 22.5-50.4 50.3-50.4h134c27.8 0 50.3 22.6 50.3 50.4-.1 27.9-22.6 50.4-50.3 50.4zm0-134.4c-13.3 0-26.1-5.3-35.6-14.8S395 324.8 395 311.4c0-27.8 22.5-50.4 50.3-50.4 27.8 0 50.3 22.6 50.3 50.4v50.4h-50.3zm134 403.2c-27.8 0-50.3-22.6-50.3-50.4v-50.4h50.3c27.8 0 50.3 22.6 50.3 50.4 0 27.8-22.5 50.4-50.3 50.4zm134-134.4h-134c-13.3 0-26.1-5.3-35.6-14.8-9.4-9.5-14.7-22.3-14.7-35.6 0-27.8 22.5-50.4 50.3-50.4h134c27.8 0 50.3 22.6 50.3 50.4 0 27.8-22.5 50.4-50.3 50.4zm0-134.4H663v-50.4c0-27.8 22.5-50.4 50.3-50.4s50.3 22.6 50.3 50.4c0 27.8-22.5 50.4-50.3 50.4z"}}]})(props);
};
function AiFillSliders (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M904 296h-66v-96c0-4.4-3.6-8-8-8h-52c-4.4 0-8 3.6-8 8v96h-66c-4.4 0-8 3.6-8 8v416c0 4.4 3.6 8 8 8h66v96c0 4.4 3.6 8 8 8h52c4.4 0 8-3.6 8-8v-96h66c4.4 0 8-3.6 8-8V304c0-4.4-3.6-8-8-8zm-584-72h-66v-56c0-4.4-3.6-8-8-8h-52c-4.4 0-8 3.6-8 8v56h-66c-4.4 0-8 3.6-8 8v560c0 4.4 3.6 8 8 8h66v56c0 4.4 3.6 8 8 8h52c4.4 0 8-3.6 8-8v-56h66c4.4 0 8-3.6 8-8V232c0-4.4-3.6-8-8-8zm292 180h-66V232c0-4.4-3.6-8-8-8h-52c-4.4 0-8 3.6-8 8v172h-66c-4.4 0-8 3.6-8 8v200c0 4.4 3.6 8 8 8h66v172c0 4.4 3.6 8 8 8h52c4.4 0 8-3.6 8-8V620h66c4.4 0 8-3.6 8-8V412c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiFillSmile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zM288 421a48.01 48.01 0 0 1 96 0 48.01 48.01 0 0 1-96 0zm224 272c-85.5 0-155.6-67.3-160-151.6a8 8 0 0 1 8-8.4h48.1c4.2 0 7.8 3.2 8.1 7.4C420 589.9 461.5 629 512 629s92.1-39.1 95.8-88.6c.3-4.2 3.9-7.4 8.1-7.4H664a8 8 0 0 1 8 8.4C667.6 625.7 597.5 693 512 693zm176-224a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96z"}}]})(props);
};
function AiFillSnippets (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 112H724V72c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v40H500V72c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v40H320c-17.7 0-32 14.3-32 32v120h-96c-17.7 0-32 14.3-32 32v632c0 17.7 14.3 32 32 32h512c17.7 0 32-14.3 32-32v-96h96c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM664 486H514V336h.2L664 485.8v.2zm128 274h-56V456L544 264H360v-80h68v32c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-32h152v32c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-32h68v576z"}}]})(props);
};
function AiFillSound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M892.1 737.8l-110.3-63.7a15.9 15.9 0 0 0-21.7 5.9l-19.9 34.5c-4.4 7.6-1.8 17.4 5.8 21.8L856.3 800a15.9 15.9 0 0 0 21.7-5.9l19.9-34.5c4.4-7.6 1.7-17.4-5.8-21.8zM760 344a15.9 15.9 0 0 0 21.7 5.9L892 286.2c7.6-4.4 10.2-14.2 5.8-21.8L878 230a15.9 15.9 0 0 0-21.7-5.9L746 287.8a15.99 15.99 0 0 0-5.8 21.8L760 344zm174 132H806c-8.8 0-16 7.2-16 16v40c0 8.8 7.2 16 16 16h128c8.8 0 16-7.2 16-16v-40c0-8.8-7.2-16-16-16zM625.9 115c-5.9 0-11.9 1.6-17.4 5.3L254 352H90c-8.8 0-16 7.2-16 16v288c0 8.8 7.2 16 16 16h164l354.5 231.7c5.5 3.6 11.6 5.3 17.4 5.3 16.7 0 32.1-13.3 32.1-32.1V147.1c0-18.8-15.4-32.1-32.1-32.1z"}}]})(props);
};
function AiFillStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M908.1 353.1l-253.9-36.9L540.7 86.1c-3.1-6.3-8.2-11.4-14.5-14.5-15.8-7.8-35-1.3-42.9 14.5L369.8 316.2l-253.9 36.9c-7 1-13.4 4.3-18.3 9.3a32.05 32.05 0 0 0 .6 45.3l183.7 179.1-43.4 252.9a31.95 31.95 0 0 0 46.4 33.7L512 754l227.1 119.4c6.2 3.3 13.4 4.4 20.3 3.2 17.4-3 29.1-19.5 26.1-36.9l-43.4-252.9 183.7-179.1c5-4.9 8.3-11.3 9.3-18.3 2.7-17.5-9.5-33.7-27-36.3z"}}]})(props);
};
function AiFillStepBackward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M347.6 528.95l383.2 301.02c14.25 11.2 35.2 1.1 35.2-16.95V210.97c0-18.05-20.95-28.14-35.2-16.94L347.6 495.05a21.53 21.53 0 0 0 0 33.9M330 864h-64a8 8 0 0 1-8-8V168a8 8 0 0 1 8-8h64a8 8 0 0 1 8 8v688a8 8 0 0 1-8 8"}}]})(props);
};
function AiFillStepForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M676.4 528.95L293.2 829.97c-14.25 11.2-35.2 1.1-35.2-16.95V210.97c0-18.05 20.95-28.14 35.2-16.94l383.2 301.02a21.53 21.53 0 0 1 0 33.9M694 864h64a8 8 0 0 0 8-8V168a8 8 0 0 0-8-8h-64a8 8 0 0 0-8 8v688a8 8 0 0 0 8 8"}}]})(props);
};
function AiFillStop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm234.8 736.5L223.5 277.2c16-19.7 34-37.7 53.7-53.7l523.3 523.3c-16 19.6-34 37.7-53.7 53.7z"}}]})(props);
};
function AiFillSwitcher (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M752 240H144c-17.7 0-32 14.3-32 32v608c0 17.7 14.3 32 32 32h608c17.7 0 32-14.3 32-32V272c0-17.7-14.3-32-32-32zM596 606c0 4.4-3.6 8-8 8H308c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h280c4.4 0 8 3.6 8 8v48zm284-494H264c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h576v576c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V144c0-17.7-14.3-32-32-32z"}}]})(props);
};
function AiFillTablet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M800 64H224c-35.3 0-64 28.7-64 64v768c0 35.3 28.7 64 64 64h576c35.3 0 64-28.7 64-64V128c0-35.3-28.7-64-64-64zM512 824c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40z"}}]})(props);
};
function AiFillTag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M938 458.8l-29.6-312.6c-1.5-16.2-14.4-29-30.6-30.6L565.2 86h-.4c-3.2 0-5.7 1-7.6 2.9L88.9 557.2a9.96 9.96 0 0 0 0 14.1l363.8 363.8c1.9 1.9 4.4 2.9 7.1 2.9s5.2-1 7.1-2.9l468.3-468.3c2-2.1 3-5 2.8-8zM699 387c-35.3 0-64-28.7-64-64s28.7-64 64-64 64 28.7 64 64-28.7 64-64 64z"}}]})(props);
};
function AiFillTags (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M483.2 790.3L861.4 412c1.7-1.7 2.5-4 2.3-6.3l-25.5-301.4c-.7-7.8-6.8-13.9-14.6-14.6L522.2 64.3c-2.3-.2-4.7.6-6.3 2.3L137.7 444.8a8.03 8.03 0 0 0 0 11.3l334.2 334.2c3.1 3.2 8.2 3.2 11.3 0zm122.7-533.4c18.7-18.7 49.1-18.7 67.9 0 18.7 18.7 18.7 49.1 0 67.9-18.7 18.7-49.1 18.7-67.9 0-18.7-18.7-18.7-49.1 0-67.9zm283.8 282.9l-39.6-39.5a8.03 8.03 0 0 0-11.3 0l-362 361.3-237.6-237a8.03 8.03 0 0 0-11.3 0l-39.6 39.5a8.03 8.03 0 0 0 0 11.3l243.2 242.8 39.6 39.5c3.1 3.1 8.2 3.1 11.3 0l407.3-406.6c3.1-3.1 3.1-8.2 0-11.3z"}}]})(props);
};
function AiFillTaobaoCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zM315.7 291.5c27.3 0 49.5 22.1 49.5 49.4s-22.1 49.4-49.5 49.4a49.4 49.4 0 1 1 0-98.8zM366.9 578c-13.6 42.3-10.2 26.7-64.4 144.5l-78.5-49s87.7-79.8 105.6-116.2c19.2-38.4-21.1-58.9-21.1-58.9l-60.2-37.5 32.7-50.2c45.4 33.7 48.7 36.6 79.2 67.2 23.8 23.9 20.7 56.8 6.7 100.1zm427.2 55c-15.3 143.8-202.4 90.3-202.4 90.3l10.2-41.1 43.3 9.3c80 5 72.3-64.9 72.3-64.9V423c.6-77.3-72.6-85.4-204.2-38.3l30.6 8.3c-2.5 9-12.5 23.2-25.2 38.6h176v35.6h-99.1v44.5h98.7v35.7h-98.7V622c14.9-4.8 28.6-11.5 40.5-20.5l-8.7-32.5 46.5-14.4 38.8 94.9-57.3 23.9-10.2-37.8c-25.6 19.5-78.8 48-171.8 45.4-99.2 2.6-73.7-112-73.7-112l2.5-1.3H472c-.5 14.7-6.6 38.7 1.7 51.8 6.8 10.8 24.2 12.6 35.3 13.1 1.3.1 2.6.1 3.9.1v-85.3h-101v-35.7h101v-44.5H487c-22.7 24.1-43.5 44.1-43.5 44.1l-30.6-26.7c21.7-22.9 43.3-59.1 56.8-83.2-10.9 4.4-22 9.2-33.6 14.2-11.2 14.3-24.2 29-38.7 43.5.5.8-50-28.4-50-28.4 52.2-44.4 81.4-139.9 81.4-139.9l72.5 20.4s-5.9 14-18.4 35.6c290.3-82.3 307.4 50.5 307.4 50.5s19.1 91.8 3.8 235.7z"}}]})(props);
};
function AiFillTaobaoSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM315.7 291.5c27.3 0 49.5 22.1 49.5 49.4s-22.1 49.4-49.5 49.4a49.4 49.4 0 1 1 0-98.8zM366.9 578c-13.6 42.3-10.2 26.7-64.4 144.5l-78.5-49s87.7-79.8 105.6-116.2c19.2-38.4-21.1-58.9-21.1-58.9l-60.2-37.5 32.7-50.2c45.4 33.7 48.7 36.6 79.2 67.2 23.8 23.9 20.7 56.8 6.7 100.1zm427.2 55c-15.3 143.8-202.4 90.3-202.4 90.3l10.2-41.1 43.3 9.3c80 5 72.3-64.9 72.3-64.9V423c.6-77.3-72.6-85.4-204.2-38.3l30.6 8.3c-2.5 9-12.5 23.2-25.2 38.6h176v35.6h-99.1v44.5h98.7v35.7h-98.7V622c14.9-4.8 28.6-11.5 40.5-20.5l-8.7-32.5 46.5-14.4 38.8 94.9-57.3 23.9-10.2-37.8c-25.6 19.5-78.8 48-171.8 45.4-99.2 2.6-73.7-112-73.7-112l2.5-1.3H472c-.5 14.7-6.6 38.7 1.7 51.8 6.8 10.8 24.2 12.6 35.3 13.1 1.3.1 2.6.1 3.9.1v-85.3h-101v-35.7h101v-44.5H487c-22.7 24.1-43.5 44.1-43.5 44.1l-30.6-26.7c21.7-22.9 43.3-59.1 56.8-83.2-10.9 4.4-22 9.2-33.6 14.2-11.2 14.3-24.2 29-38.7 43.5.5.8-50-28.4-50-28.4 52.2-44.4 81.4-139.9 81.4-139.9l72.5 20.4s-5.9 14-18.4 35.6c290.3-82.3 307.4 50.5 307.4 50.5s19.1 91.8 3.8 235.7z"}}]})(props);
};
function AiFillThunderbolt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M848 359.3H627.7L825.8 109c4.1-5.3.4-13-6.3-13H436c-2.8 0-5.5 1.5-6.9 4L170 547.5c-3.1 5.3.7 12 6.9 12h174.4l-89.4 357.6c-1.9 7.8 7.5 13.3 13.3 7.7L853.5 373c5.2-4.9 1.7-13.7-5.5-13.7z"}}]})(props);
};
function AiFillTool (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M865.3 244.7c-.3-.3-61.1 59.8-182.1 180.6l-84.9-84.9 180.9-180.9c-95.2-57.3-217.5-42.6-296.8 36.7A244.42 244.42 0 0 0 419 432l1.8 6.7-283.5 283.4c-6.2 6.2-6.2 16.4 0 22.6l141.4 141.4c6.2 6.2 16.4 6.2 22.6 0l283.3-283.3 6.7 1.8c83.7 22.3 173.6-.9 236-63.3 79.4-79.3 94.1-201.6 38-296.6z"}}]})(props);
};
function AiFillTrademarkCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm164.7 660.2c-1.1.5-2.3.8-3.5.8h-62c-3.1 0-5.9-1.8-7.2-4.6l-74.6-159.2h-88.7V717c0 4.4-3.6 8-8 8H378c-4.4 0-8-3.6-8-8V307c0-4.4 3.6-8 8-8h155.6c98.8 0 144.2 59.9 144.2 131.1 0 70.2-43.6 106.4-78.4 119.2l80.8 164.2c2.1 3.9.4 8.7-3.5 10.7zM523.9 357h-83.4v148H522c53 0 82.8-25.6 82.8-72.4 0-50.3-32.9-75.6-80.9-75.6z"}}]})(props);
};
function AiFillTrophy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M868 160h-92v-40c0-4.4-3.6-8-8-8H256c-4.4 0-8 3.6-8 8v40h-92a44 44 0 0 0-44 44v148c0 81.7 60 149.6 138.2 162C265.6 630.2 359 721.8 476 734.5v105.2H280c-17.7 0-32 14.3-32 32V904c0 4.4 3.6 8 8 8h512c4.4 0 8-3.6 8-8v-32.3c0-17.7-14.3-32-32-32H548V734.5C665 721.8 758.4 630.2 773.8 514 852 501.6 912 433.7 912 352V204a44 44 0 0 0-44-44zM248 439.6c-37.1-11.9-64-46.7-64-87.6V232h64v207.6zM840 352c0 41-26.9 75.8-64 87.6V232h64v120z"}}]})(props);
};
function AiFillTwitterCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm215.3 337.7c.3 4.7.3 9.6.3 14.4 0 146.8-111.8 315.9-316.1 315.9-63 0-121.4-18.3-170.6-49.8 9 1 17.6 1.4 26.8 1.4 52 0 99.8-17.6 137.9-47.4-48.8-1-89.8-33-103.8-77 17.1 2.5 32.5 2.5 50.1-2a111 111 0 0 1-88.9-109v-1.4c14.7 8.3 32 13.4 50.1 14.1a111.13 111.13 0 0 1-49.5-92.4c0-20.7 5.4-39.6 15.1-56a315.28 315.28 0 0 0 229 116.1C492 353.1 548.4 292 616.2 292c32 0 60.8 13.4 81.1 35 25.1-4.7 49.1-14.1 70.5-26.7-8.3 25.7-25.7 47.4-48.8 61.1 22.4-2.4 44-8.6 64-17.3-15.1 22.2-34 41.9-55.7 57.6z"}}]})(props);
};
function AiFillTwitterSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM727.3 401.7c.3 4.7.3 9.6.3 14.4 0 146.8-111.8 315.9-316.1 315.9-63 0-121.4-18.3-170.6-49.8 9 1 17.6 1.4 26.8 1.4 52 0 99.8-17.6 137.9-47.4-48.8-1-89.8-33-103.8-77 17.1 2.5 32.5 2.5 50.1-2a111 111 0 0 1-88.9-109v-1.4c14.7 8.3 32 13.4 50.1 14.1a111.13 111.13 0 0 1-49.5-92.4c0-20.7 5.4-39.6 15.1-56a315.28 315.28 0 0 0 229 116.1C492 353.1 548.4 292 616.2 292c32 0 60.8 13.4 81.1 35 25.1-4.7 49.1-14.1 70.5-26.7-8.3 25.7-25.7 47.4-48.8 61.1 22.4-2.4 44-8.6 64-17.3-15.1 22.2-34 41.9-55.7 57.6z"}}]})(props);
};
function AiFillUnlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 464H332V240c0-30.9 25.1-56 56-56h248c30.9 0 56 25.1 56 56v68c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-68c0-70.7-57.3-128-128-128H388c-70.7 0-128 57.3-128 128v224h-68c-17.7 0-32 14.3-32 32v384c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V496c0-17.7-14.3-32-32-32zM540 701v53c0 4.4-3.6 8-8 8h-40c-4.4 0-8-3.6-8-8v-53a48.01 48.01 0 1 1 56 0z"}}]})(props);
};
function AiFillUpCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm178 555h-46.9c-10.2 0-19.9-4.9-25.9-13.2L512 460.4 406.8 605.8c-6 8.3-15.6 13.2-25.9 13.2H334c-6.5 0-10.3-7.4-6.5-12.7l178-246c3.2-4.4 9.7-4.4 12.9 0l178 246c3.9 5.3.1 12.7-6.4 12.7z"}}]})(props);
};
function AiFillUpSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM690 624h-46.9c-10.2 0-19.9-4.9-25.9-13.2L512 465.4 406.8 610.8c-6 8.3-15.6 13.2-25.9 13.2H334c-6.5 0-10.3-7.4-6.5-12.7l178-246c3.2-4.4 9.7-4.4 12.9 0l178 246c3.9 5.3.1 12.7-6.4 12.7z"}}]})(props);
};
function AiFillUsb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M408 312h48c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8zm352 120V144c0-17.7-14.3-32-32-32H296c-17.7 0-32 14.3-32 32v288c-66.2 0-120 52.1-120 116v356c0 4.4 3.6 8 8 8h720c4.4 0 8-3.6 8-8V548c0-63.9-53.8-116-120-116zm-72 0H336V184h352v248zM568 312h48c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiFillVideoCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M912 302.3L784 376V224c0-35.3-28.7-64-64-64H128c-35.3 0-64 28.7-64 64v576c0 35.3 28.7 64 64 64h592c35.3 0 64-28.7 64-64V648l128 73.7c21.3 12.3 48-3.1 48-27.6V330c0-24.6-26.7-40-48-27.7zM328 352c0 4.4-3.6 8-8 8H208c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h112c4.4 0 8 3.6 8 8v48zm560 273l-104-59.8V458.9L888 399v226z"}}]})(props);
};
function AiFillWallet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-32 464H528V448h320v128zm-268-64a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}}]})(props);
};
function AiFillWarning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M955.7 856l-416-720c-6.2-10.7-16.9-16-27.7-16s-21.6 5.3-27.7 16l-416 720C56 877.4 71.4 904 96 904h832c24.6 0 40-26.6 27.7-48zM480 416c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v184c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V416zm32 352a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96z"}}]})(props);
};
function AiFillWechat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M690.1 377.4c5.9 0 11.8.2 17.6.5-24.4-128.7-158.3-227.1-319.9-227.1C209 150.8 64 271.4 64 420.2c0 81.1 43.6 154.2 111.9 203.6a21.5 21.5 0 0 1 9.1 17.6c0 2.4-.5 4.6-1.1 6.9-5.5 20.3-14.2 52.8-14.6 54.3-.7 2.6-1.7 5.2-1.7 7.9 0 5.9 4.8 10.8 10.8 10.8 2.3 0 4.2-.9 6.2-2l70.9-40.9c5.3-3.1 11-5 17.2-5 3.2 0 6.4.5 9.5 1.4 33.1 9.5 68.8 14.8 105.7 14.8 6 0 11.9-.1 17.8-.4-7.1-21-10.9-43.1-10.9-66 0-135.8 132.2-245.8 295.3-245.8zm-194.3-86.5c23.8 0 43.2 19.3 43.2 43.1s-19.3 43.1-43.2 43.1c-23.8 0-43.2-19.3-43.2-43.1s19.4-43.1 43.2-43.1zm-215.9 86.2c-23.8 0-43.2-19.3-43.2-43.1s19.3-43.1 43.2-43.1 43.2 19.3 43.2 43.1-19.4 43.1-43.2 43.1zm586.8 415.6c56.9-41.2 93.2-102 93.2-169.7 0-124-120.8-224.5-269.9-224.5-149 0-269.9 100.5-269.9 224.5S540.9 847.5 690 847.5c30.8 0 60.6-4.4 88.1-12.3 2.6-.8 5.2-1.2 7.9-1.2 5.2 0 9.9 1.6 14.3 4.1l59.1 34c1.7 1 3.3 1.7 5.2 1.7a9 9 0 0 0 6.4-2.6 9 9 0 0 0 2.6-6.4c0-2.2-.9-4.4-1.4-6.6-.3-1.2-7.6-28.3-12.2-45.3-.5-1.9-.9-3.8-.9-5.7.1-5.9 3.1-11.2 7.6-14.5zM600.2 587.2c-19.9 0-36-16.1-36-35.9 0-19.8 16.1-35.9 36-35.9s36 16.1 36 35.9c0 19.8-16.2 35.9-36 35.9zm179.9 0c-19.9 0-36-16.1-36-35.9 0-19.8 16.1-35.9 36-35.9s36 16.1 36 35.9a36.08 36.08 0 0 1-36 35.9z"}}]})(props);
};
function AiFillWeiboCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm-44.4 672C353.1 736 236 680.4 236 588.9c0-47.8 30.2-103.1 82.3-155.3 69.5-69.6 150.6-101.4 181.1-70.8 13.5 13.5 14.8 36.8 6.1 64.6-4.5 14 13.1 6.3 13.1 6.3 56.2-23.6 105.2-25 123.1.7 9.6 13.7 8.6 32.8-.2 55.1-4.1 10.2 1.3 11.8 9 14.1 31.7 9.8 66.9 33.6 66.9 75.5.2 69.5-99.7 156.9-249.8 156.9zm207.3-290.8a34.9 34.9 0 0 0-7.2-34.1 34.68 34.68 0 0 0-33.1-10.7 18.24 18.24 0 0 1-7.6-35.7c24.1-5.1 50.1 2.3 67.7 21.9 17.7 19.6 22.4 46.3 14.9 69.8a18.13 18.13 0 0 1-22.9 11.7 18.18 18.18 0 0 1-11.8-22.9zm106 34.3s0 .1 0 0a21.1 21.1 0 0 1-26.6 13.7 21.19 21.19 0 0 1-13.6-26.7c11-34.2 4-73.2-21.7-101.8a104.04 104.04 0 0 0-98.9-32.1 21.14 21.14 0 0 1-25.1-16.3 21.07 21.07 0 0 1 16.2-25.1c49.4-10.5 102.8 4.8 139.1 45.1 36.3 40.2 46.1 95.1 30.6 143.2zm-334.5 6.1c-91.4 9-160.7 65.1-154.7 125.2 5.9 60.1 84.8 101.5 176.2 92.5 91.4-9.1 160.7-65.1 154.7-125.3-5.9-60.1-84.8-101.5-176.2-92.4zm80.2 141.7c-18.7 42.3-72.3 64.8-117.8 50.1-43.9-14.2-62.5-57.7-43.3-96.8 18.9-38.4 68-60.1 111.5-48.8 45 11.7 68 54.2 49.6 95.5zm-93-32.2c-14.2-5.9-32.4.2-41.2 13.9-8.8 13.8-4.7 30.2 9.3 36.6 14.3 6.5 33.2.3 42-13.8 8.8-14.3 4.2-30.6-10.1-36.7zm34.9-14.5c-5.4-2.2-12.2.5-15.4 5.8-3.1 5.4-1.4 11.5 4.1 13.8 5.5 2.3 12.6-.3 15.8-5.8 3-5.6 1-11.8-4.5-13.8z"}}]})(props);
};
function AiFillWeiboSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M433.6 595.1c-14.2-5.9-32.4.2-41.2 13.9-8.8 13.8-4.7 30.2 9.3 36.6 14.3 6.5 33.2.3 42-13.8 8.8-14.3 4.2-30.6-10.1-36.7zM880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM467.6 736C353.1 736 236 680.4 236 588.9c0-47.8 30.2-103.1 82.3-155.3 69.5-69.6 150.6-101.4 181.1-70.8 13.5 13.5 14.8 36.8 6.1 64.6-4.5 14 13.1 6.3 13.1 6.3 56.2-23.6 105.2-25 123.1.7 9.6 13.7 8.6 32.8-.2 55.1-4.1 10.2 1.3 11.8 9 14.1 31.7 9.8 66.9 33.6 66.9 75.5.2 69.5-99.7 156.9-249.8 156.9zm207.3-290.8a34.9 34.9 0 0 0-7.2-34.1 34.68 34.68 0 0 0-33.1-10.7 18.24 18.24 0 0 1-7.6-35.7c24.1-5.1 50.1 2.3 67.7 21.9 17.7 19.6 22.4 46.3 14.9 69.8a18.13 18.13 0 0 1-22.9 11.7 18.18 18.18 0 0 1-11.8-22.9zm106 34.3s0 .1 0 0a21.1 21.1 0 0 1-26.6 13.7 21.19 21.19 0 0 1-13.6-26.7c11-34.2 4-73.2-21.7-101.8a104.04 104.04 0 0 0-98.9-32.1 21.14 21.14 0 0 1-25.1-16.3 21.07 21.07 0 0 1 16.2-25.1c49.4-10.5 102.8 4.8 139.1 45.1 36.3 40.2 46.1 95.1 30.6 143.2zm-334.5 6.1c-91.4 9-160.7 65.1-154.7 125.2 5.9 60.1 84.8 101.5 176.2 92.5 91.4-9.1 160.7-65.1 154.7-125.3-5.9-60.1-84.8-101.5-176.2-92.4zm80.2 141.7c-18.7 42.3-72.3 64.8-117.8 50.1-43.9-14.2-62.5-57.7-43.3-96.8 18.9-38.4 68-60.1 111.5-48.8 45 11.7 68 54.2 49.6 95.5zm-58.1-46.7c-5.4-2.2-12.2.5-15.4 5.8-3.1 5.4-1.4 11.5 4.1 13.8 5.5 2.3 12.6-.3 15.8-5.8 3-5.6 1-11.8-4.5-13.8z"}}]})(props);
};
function AiFillWindows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M523.8 191.4v288.9h382V128.1zm0 642.2l382 62.2v-352h-382zM120.1 480.2H443V201.9l-322.9 53.5zm0 290.4L443 823.2V543.8H120.1z"}}]})(props);
};
function AiFillYahoo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M937.3 231H824.7c-15.5 0-27.7 12.6-27.1 28.1l13.1 366h84.4l65.4-366.4c2.7-15.2-7.8-27.7-23.2-27.7zm-77.4 450.4h-14.1c-27.1 0-49.2 22.2-49.2 49.3v14.1c0 27.1 22.2 49.3 49.2 49.3h14.1c27.1 0 49.2-22.2 49.2-49.3v-14.1c0-27.1-22.2-49.3-49.2-49.3zM402.6 231C216.2 231 65 357 65 512.5S216.2 794 402.6 794s337.6-126 337.6-281.5S589.1 231 402.6 231zm225.2 225.2h-65.3L458.9 559.8v65.3h84.4v56.3H318.2v-56.3h84.4v-65.3L242.9 399.9h-37v-56.3h168.5v56.3h-37l93.4 93.5 28.1-28.1V400h168.8v56.2z"}}]})(props);
};
function AiFillYoutube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M941.3 296.1a112.3 112.3 0 0 0-79.2-79.3C792.2 198 512 198 512 198s-280.2 0-350.1 18.7A112.12 112.12 0 0 0 82.7 296C64 366 64 512 64 512s0 146 18.7 215.9c10.3 38.6 40.7 69 79.2 79.3C231.8 826 512 826 512 826s280.2 0 350.1-18.8c38.6-10.3 68.9-40.7 79.2-79.3C960 658 960 512 960 512s0-146-18.7-215.9zM423 646V378l232 133-232 135z"}}]})(props);
};
function AiFillYuque (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 370.6c-9.9-39.4 9.9-102.2 73.4-124.4l-67.9-3.6s-25.7-90-143.6-98c-117.9-8.1-195-3-195-3s87.4 55.6 52.4 154.7c-25.6 52.5-65.8 95.6-108.8 144.7-1.3 1.3-2.5 2.6-3.5 3.7C319.4 605 96 860 96 860c245.9 64.4 410.7-6.3 508.2-91.1 20.5-.2 35.9-.3 46.3-.3 135.8 0 250.6-117.6 245.9-248.4-3.2-89.9-31.9-110.2-41.8-149.6z"}}]})(props);
};
function AiFillZhihuCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm-90.7 477.8l-.1 1.5c-1.5 20.4-6.3 43.9-12.9 67.6l24-18.1 71 80.7c9.2 33-3.3 63.1-3.3 63.1l-95.7-111.9v-.1c-8.9 29-20.1 57.3-33.3 84.7-22.6 45.7-55.2 54.7-89.5 57.7-34.4 3-23.3-5.3-23.3-5.3 68-55.5 78-87.8 96.8-123.1 11.9-22.3 20.4-64.3 25.3-96.8H264.1s4.8-31.2 19.2-41.7h101.6c.6-15.3-1.3-102.8-2-131.4h-49.4c-9.2 45-41 56.7-48.1 60.1-7 3.4-23.6 7.1-21.1 0 2.6-7.1 27-46.2 43.2-110.7 16.3-64.6 63.9-62 63.9-62-12.8 22.5-22.4 73.6-22.4 73.6h159.7c10.1 0 10.6 39 10.6 39h-90.8c-.7 22.7-2.8 83.8-5 131.4H519s12.2 15.4 12.2 41.7H421.3zm346.5 167h-87.6l-69.5 46.6-16.4-46.6h-40.1V321.5h213.6v387.3zM408.2 611s0-.1 0 0zm216 94.3l56.8-38.1h45.6-.1V364.7H596.7v302.5h14.1z"}}]})(props);
};
function AiFillZhihuSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM432.3 592.8l71 80.7c9.2 33-3.3 63.1-3.3 63.1l-95.7-111.9v-.1c-8.9 29-20.1 57.3-33.3 84.7-22.6 45.7-55.2 54.7-89.5 57.7-34.4 3-23.3-5.3-23.3-5.3 68-55.5 78-87.8 96.8-123.1 11.9-22.3 20.4-64.3 25.3-96.8H264.1s4.8-31.2 19.2-41.7h101.6c.6-15.3-1.3-102.8-2-131.4h-49.4c-9.2 45-41 56.7-48.1 60.1-7 3.4-23.6 7.1-21.1 0 2.6-7.1 27-46.2 43.2-110.7 16.3-64.6 63.9-62 63.9-62-12.8 22.5-22.4 73.6-22.4 73.6h159.7c10.1 0 10.6 39 10.6 39h-90.8c-.7 22.7-2.8 83.8-5 131.4H519s12.2 15.4 12.2 41.7h-110l-.1 1.5c-1.5 20.4-6.3 43.9-12.9 67.6l24.1-18.1zm335.5 116h-87.6l-69.5 46.6-16.4-46.6h-40.1V321.5h213.6v387.3zM408.2 611s0-.1 0 0zm216 94.3l56.8-38.1h45.6-.1V364.7H596.7v302.5h14.1z"}}]})(props);
};
function AiOutlineAccountBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 184H712v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H384v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H144c-17.7 0-32 14.3-32 32v664c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V216c0-17.7-14.3-32-32-32zm-40 656H184V256h128v48c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-48h256v48c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-48h128v584zM639.5 414h-45c-3 0-5.8 1.7-7.1 4.4L514 563.8h-2.8l-73.4-145.4a8 8 0 0 0-7.1-4.4h-46c-1.3 0-2.7.3-3.8 1-3.9 2.1-5.3 7-3.2 10.9l89.3 164h-48.6c-4.4 0-8 3.6-8 8v21.3c0 4.4 3.6 8 8 8h65.1v33.7h-65.1c-4.4 0-8 3.6-8 8v21.3c0 4.4 3.6 8 8 8h65.1V752c0 4.4 3.6 8 8 8h41.3c4.4 0 8-3.6 8-8v-53.8h65.4c4.4 0 8-3.6 8-8v-21.3c0-4.4-3.6-8-8-8h-65.4v-33.7h65.4c4.4 0 8-3.6 8-8v-21.3c0-4.4-3.6-8-8-8h-49.1l89.3-164.1c.6-1.2 1-2.5 1-3.8.1-4.4-3.4-8-7.9-8z"}}]})(props);
};
function AiOutlineAim (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683657482","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M952 474H829.8C812.5 327.6 696.4 211.5 550 194.2V72c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8v122.2C327.6 211.5 211.5 327.6 194.2 474H72c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h122.2C211.5 696.4 327.6 812.5 474 829.8V952c0 4.4 3.6 8 8 8h60c4.4 0 8-3.6 8-8V829.8C696.4 812.5 812.5 696.4 829.8 550H952c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8zM512 756c-134.8 0-244-109.2-244-244s109.2-244 244-244 244 109.2 244 244-109.2 244-244 244z"}},{"tag":"path","attr":{"d":"M512 392c-32.1 0-62.1 12.4-84.8 35.2-22.7 22.7-35.2 52.7-35.2 84.8s12.5 62.1 35.2 84.8C449.9 619.4 480 632 512 632s62.1-12.5 84.8-35.2C619.4 574.1 632 544 632 512s-12.5-62.1-35.2-84.8C574.1 404.4 544.1 392 512 392z"}}]})(props);
};
function AiOutlineAlert (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M193 796c0 17.7 14.3 32 32 32h574c17.7 0 32-14.3 32-32V563c0-176.2-142.8-319-319-319S193 386.8 193 563v233zm72-233c0-136.4 110.6-247 247-247s247 110.6 247 247v193H404V585c0-5.5-4.5-10-10-10h-44c-5.5 0-10 4.5-10 10v171h-75V563zm-48.1-252.5l39.6-39.6c3.1-3.1 3.1-8.2 0-11.3l-67.9-67.9a8.03 8.03 0 0 0-11.3 0l-39.6 39.6a8.03 8.03 0 0 0 0 11.3l67.9 67.9c3.1 3.1 8.1 3.1 11.3 0zm669.6-79.2l-39.6-39.6a8.03 8.03 0 0 0-11.3 0l-67.9 67.9a8.03 8.03 0 0 0 0 11.3l39.6 39.6c3.1 3.1 8.2 3.1 11.3 0l67.9-67.9c3.1-3.2 3.1-8.2 0-11.3zM832 892H192c-17.7 0-32 14.3-32 32v24c0 4.4 3.6 8 8 8h688c4.4 0 8-3.6 8-8v-24c0-17.7-14.3-32-32-32zM484 180h56c4.4 0 8-3.6 8-8V76c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v96c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlineAlibaba (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M602.9 669.8c-37.2 2.6-33.6-17.3-11.5-46.2 50.4-67.2 143.7-158.5 147.9-225.2 5.8-86.6-81.3-113.4-171-113.4-62.4 1.6-127 18.9-171 34.6-151.6 53.5-246.6 137.5-306.9 232-62.4 93.4-43 183.2 91.8 185.8 101.8-4.2 170.5-32.5 239.7-68.2.5 0-192.5 55.1-263.9 14.7-7.9-4.2-15.7-10-17.8-26.2 0-33.1 54.6-67.7 86.6-78.7v-56.7c64.5 22.6 140.6 16.3 205.7-32 2.1 5.8 4.2 13.1 3.7 21h11c2.6-22.6-12.6-44.6-37.8-46.2 7.3 5.8 12.6 10.5 15.2 14.7l-1 1-.5.5c-83.9 58.8-165.3 31.5-173.1 29.9l46.7-45.7-13.1-33.1c92.9-32.5 169.5-56.2 296.9-78.7l-28.5-23 14.7-8.9c75.5 21 126.4 36.7 123.8 76.6-1 6.8-3.7 14.7-7.9 23.1C660.1 466.1 594 538 567.2 569c-17.3 20.5-34.6 39.4-46.7 58.3-13.6 19.4-20.5 37.3-21 53.5 2.6 131.8 391.4-61.9 468-112.9-111.7 47.8-232.9 93.5-364.6 101.9zm85-302.9c2.8 5.2 4.1 11.6 4.1 19.1-.1-6.8-1.4-13.3-4.1-19.1z"}}]})(props);
};
function AiOutlineAlignCenter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M264 230h496c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H264c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm496 424c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H264c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h496zm144 140H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-424H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineAlignLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M120 230h496c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm0 424h496c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm784 140H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-424H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineAlignRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M904 158H408c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h496c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 424H408c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h496c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 212H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-424H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineAlipayCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M308.6 545.7c-19.8 2-57.1 10.7-77.4 28.6-61 53-24.5 150 99 150 71.8 0 143.5-45.7 199.8-119-80.2-38.9-148.1-66.8-221.4-59.6zm460.5 67c100.1 33.4 154.7 43 166.7 44.8A445.9 445.9 0 0 0 960 512c0-247.4-200.6-448-448-448S64 264.6 64 512s200.6 448 448 448c155.9 0 293.2-79.7 373.5-200.5-75.6-29.8-213.6-85-286.8-120.1-69.9 85.7-160.1 137.8-253.7 137.8-158.4 0-212.1-138.1-137.2-229 16.3-19.8 44.2-38.7 87.3-49.4 67.5-16.5 175 10.3 275.7 43.4 18.1-33.3 33.4-69.9 44.7-108.9H305.1V402h160v-56.2H271.3v-31.3h193.8v-80.1s0-13.5 13.7-13.5H557v93.6h191.7v31.3H557.1V402h156.4c-15 61.1-37.7 117.4-66.2 166.8 47.5 17.1 90.1 33.3 121.8 43.9z"}}]})(props);
};
function AiOutlineAlipay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M789 610.3c-38.7-12.9-90.7-32.7-148.5-53.6 34.8-60.3 62.5-129 80.7-203.6H530.5v-68.6h233.6v-38.3H530.5V132h-95.4c-16.7 0-16.7 16.5-16.7 16.5v97.8H182.2v38.3h236.3v68.6H223.4v38.3h378.4a667.18 667.18 0 0 1-54.5 132.9c-122.8-40.4-253.8-73.2-336.1-53-52.6 13-86.5 36.1-106.5 60.3-91.4 111-25.9 279.6 167.2 279.6C386 811.2 496 747.6 581.2 643 708.3 704 960 808.7 960 808.7V659.4s-31.6-2.5-171-49.1zM253.9 746.6c-150.5 0-195-118.3-120.6-183.1 24.8-21.9 70.2-32.6 94.4-35 89.4-8.8 172.2 25.2 269.9 72.8-68.8 89.5-156.3 145.3-243.7 145.3z"}}]})(props);
};
function AiOutlineAliwangwang (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M868.2 377.4c-18.9-45.1-46.3-85.6-81.2-120.6a377.26 377.26 0 0 0-120.5-81.2A375.65 375.65 0 0 0 519 145.8c-41.9 0-82.9 6.7-121.9 20C306 123.3 200.8 120 170.6 120c-2.2 0-7.4 0-9.4.2-11.9.4-22.8 6.5-29.2 16.4-6.5 9.9-7.7 22.4-3.4 33.5l64.3 161.6a378.59 378.59 0 0 0-52.8 193.2c0 51.4 10 101 29.8 147.6 18.9 45 46.2 85.6 81.2 120.5 34.7 34.8 75.4 62.1 120.5 81.2C418.3 894 467.9 904 519 904c51.3 0 100.9-10.1 147.7-29.8 44.9-18.9 85.5-46.3 120.4-81.2 34.7-34.8 62.1-75.4 81.2-120.6a376.5 376.5 0 0 0 29.8-147.6c-.2-51.2-10.1-100.8-29.9-147.4zm-66.4 266.5a307.08 307.08 0 0 1-65.9 98c-28.4 28.5-61.3 50.7-97.7 65.9h-.1c-38 16-78.3 24.2-119.9 24.2a306.51 306.51 0 0 1-217.5-90.2c-28.4-28.5-50.6-61.4-65.8-97.8v-.1c-16-37.8-24.1-78.2-24.1-119.9 0-55.4 14.8-109.7 42.8-157l13.2-22.1-9.5-23.9L206 192c14.9.6 35.9 2.1 59.7 5.6 43.8 6.5 82.5 17.5 114.9 32.6l19 8.9 19.9-6.8c31.5-10.8 64.8-16.2 98.9-16.2a306.51 306.51 0 0 1 217.5 90.2c28.4 28.5 50.6 61.4 65.8 97.8l.1.1.1.1c16 37.6 24.1 78 24.2 119.8-.1 41.7-8.3 82-24.3 119.8zM681.1 364.2c-20.4 0-37.1 16.7-37.1 37.1v55.1c0 20.4 16.6 37.1 37.1 37.1s37.1-16.7 37.1-37.1v-55.1c0-20.5-16.7-37.1-37.1-37.1zm-175.2 0c-20.5 0-37.1 16.7-37.1 37.1v55.1c0 20.4 16.7 37.1 37.1 37.1 20.5 0 37.1-16.7 37.1-37.1v-55.1c0-20.5-16.7-37.1-37.1-37.1z"}}]})(props);
};
function AiOutlineAliyun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M959.2 383.9c-.3-82.1-66.9-148.6-149.1-148.6H575.9l21.6 85.2 201 43.7a42.58 42.58 0 0 1 32.9 39.7c.1.5.1 216.1 0 216.6a42.58 42.58 0 0 1-32.9 39.7l-201 43.7-21.6 85.3h234.2c82.1 0 148.8-66.5 149.1-148.6V383.9zM225.5 660.4a42.58 42.58 0 0 1-32.9-39.7c-.1-.6-.1-216.1 0-216.6.8-19.4 14.6-35.5 32.9-39.7l201-43.7 21.6-85.2H213.8c-82.1 0-148.8 66.4-149.1 148.6V641c.3 82.1 67 148.6 149.1 148.6H448l-21.6-85.3-200.9-43.9zm200.9-158.8h171v21.3h-171z"}}]})(props);
};
function AiOutlineAmazon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M825 768.9c-3.3-.9-7.3-.4-11.9 1.3-61.6 28.2-121.5 48.3-179.7 60.2C507.7 856 385.2 842.6 266 790.3c-33.1-14.6-79.1-39.2-138-74a9.36 9.36 0 0 0-5.3-2c-2-.1-3.7.1-5.3.9-1.6.8-2.8 1.8-3.7 3.1-.9 1.3-1.1 3.1-.4 5.4.6 2.2 2.1 4.7 4.6 7.4 10.4 12.2 23.3 25.2 38.6 39s35.6 29.4 60.9 46.8c25.3 17.4 51.8 32.9 79.3 46.4 27.6 13.5 59.6 24.9 96.1 34.1s73 13.8 109.4 13.8c36.2 0 71.4-3.7 105.5-10.9 34.2-7.3 63-15.9 86.5-25.9 23.4-9.9 45-21 64.8-33 19.8-12 34.4-22.2 43.9-30.3 9.5-8.2 16.3-14.6 20.2-19.4 4.6-5.7 6.9-10.6 6.9-14.9.1-4.5-1.7-7.1-5-7.9zM527.4 348.1c-15.2 1.3-33.5 4.1-55 8.3-21.5 4.1-41.4 9.3-59.8 15.4s-37.2 14.6-56.3 25.4c-19.2 10.8-35.5 23.2-49 37s-24.5 31.1-33.1 52c-8.6 20.8-12.9 43.7-12.9 68.7 0 27.1 4.7 51.2 14.3 72.5 9.5 21.3 22.2 38 38.2 50.4 15.9 12.4 34 22.1 54 29.2 20 7.1 41.2 10.3 63.2 9.4 22-.9 43.5-4.3 64.4-10.3 20.8-5.9 40.4-15.4 58.6-28.3 18.2-12.9 33.1-28.2 44.8-45.7 4.3 6.6 8.1 11.5 11.5 14.7l8.7 8.9c5.8 5.9 14.7 14.6 26.7 26.1 11.9 11.5 24.1 22.7 36.3 33.7l104.4-99.9-6-4.9c-4.3-3.3-9.4-8-15.2-14.3-5.8-6.2-11.6-13.1-17.2-20.5-5.7-7.4-10.6-16.1-14.7-25.9-4.1-9.8-6.2-19.3-6.2-28.5V258.7c0-10.1-1.9-21-5.7-32.8-3.9-11.7-10.7-24.5-20.7-38.3-10-13.8-22.4-26.2-37.2-37-14.9-10.8-34.7-20-59.6-27.4-24.8-7.4-52.6-11.1-83.2-11.1-31.3 0-60.4 3.7-87.6 10.9-27.1 7.3-50.3 17-69.7 29.2-19.3 12.2-35.9 26.3-49.7 42.4-13.8 16.1-24.1 32.9-30.8 50.4-6.7 17.5-10.1 35.2-10.1 53.1L408 310c5.5-16.4 12.9-30.6 22-42.8 9.2-12.2 17.9-21 25.8-26.5 8-5.5 16.6-9.9 25.7-13.2 9.2-3.3 15.4-5 18.6-5.4 3.2-.3 5.7-.4 7.6-.4 26.7 0 45.2 7.9 55.6 23.6 6.5 9.5 9.7 23.9 9.7 43.3v56.6c-15.2.6-30.4 1.6-45.6 2.9zM573.1 500c0 16.6-2.2 31.7-6.5 45-9.2 29.1-26.7 47.4-52.4 54.8-22.4 6.6-43.7 3.3-63.9-9.8-21.5-14-32.2-33.8-32.2-59.3 0-19.9 5-36.9 15-51.1 10-14.1 23.3-24.7 40-31.7s33-12 49-14.9c15.9-3 33-4.8 51-5.4V500zm335.2 218.9c-4.3-5.4-15.9-8.9-34.9-10.7-19-1.8-35.5-1.7-49.7.4-15.3 1.8-31.1 6.2-47.3 13.4-16.3 7.1-23.4 13.1-21.6 17.8l.7 1.3.9.7 1.4.2h4.6c.8 0 1.8-.1 3.2-.2 1.4-.1 2.7-.3 3.9-.4 1.2-.1 2.9-.3 5.1-.4 2.1-.1 4.1-.4 6-.7.3 0 3.7-.3 10.3-.9 6.6-.6 11.4-1 14.3-1.3 2.9-.3 7.8-.6 14.5-.9 6.7-.3 12.1-.3 16.1 0 4 .3 8.5.7 13.6 1.1 5.1.4 9.2 1.3 12.4 2.7 3.2 1.3 5.6 3 7.1 5.1 5.2 6.6 4.2 21.2-3 43.9s-14 40.8-20.4 54.2c-2.8 5.7-2.8 9.2 0 10.7s6.7.1 11.9-4c15.6-12.2 28.6-30.6 39.1-55.3 6.1-14.6 10.5-29.8 13.1-45.7 2.4-15.9 2-26.2-1.3-31z"}}]})(props);
};
function AiOutlineAndroid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M448.3 225.2c-18.6 0-32 13.4-32 31.9s13.5 31.9 32 31.9c18.6 0 32-13.4 32-31.9.1-18.4-13.4-31.9-32-31.9zm393.9 96.4c-13.8-13.8-32.7-21.5-53.2-21.5-3.9 0-7.4.4-10.7 1v-1h-3.6c-5.5-30.6-18.6-60.5-38.1-87.4-18.7-25.7-43-47.9-70.8-64.9l25.1-35.8v-3.3c0-.8.4-2.3.7-3.8.6-2.4 1.4-5.5 1.4-8.9 0-18.5-13.5-31.9-32-31.9-9.8 0-19.5 5.7-25.9 15.4l-29.3 42.1c-30-9.8-62.4-15-93.8-15-31.3 0-63.7 5.2-93.8 15L389 79.4c-6.6-9.6-16.1-15.4-26-15.4-18.6 0-32 13.4-32 31.9 0 6.2 2.5 12.8 6.7 17.4l22.6 32.3c-28.7 17-53.5 39.4-72.2 65.1-19.4 26.9-32 56.8-36.7 87.4h-5.5v1c-3.2-.6-6.7-1-10.7-1-20.3 0-39.2 7.5-53.1 21.3-13.8 13.8-21.5 32.6-21.5 53v235c0 20.3 7.5 39.1 21.4 52.9 13.8 13.8 32.8 21.5 53.2 21.5 3.9 0 7.4-.4 10.7-1v93.5c0 29.2 23.9 53.1 53.2 53.1H331v58.3c0 20.3 7.5 39.1 21.4 52.9 13.8 13.8 32.8 21.5 53.2 21.5 20.3 0 39.2-7.5 53.1-21.3 13.8-13.8 21.5-32.6 21.5-53v-58.2H544v58.1c0 20.3 7.5 39.1 21.4 52.9 13.8 13.8 32.8 21.5 53.2 21.5 20.4 0 39.2-7.5 53.1-21.6 13.8-13.8 21.5-32.6 21.5-53v-58.2h31.9c29.3 0 53.2-23.8 53.2-53.1v-91.4c3.2.6 6.7 1 10.7 1 20.3 0 39.2-7.5 53.1-21.3 13.8-13.8 21.5-32.6 21.5-53v-235c-.1-20.3-7.6-39-21.4-52.9zM246 609.6c0 6.8-3.9 10.6-10.7 10.6-6.8 0-10.7-3.8-10.7-10.6V374.5c0-6.8 3.9-10.6 10.7-10.6 6.8 0 10.7 3.8 10.7 10.6v235.1zm131.1-396.8c37.5-27.3 85.3-42.3 135-42.3s97.5 15.1 135 42.5c32.4 23.7 54.2 54.2 62.7 87.5H314.4c8.5-33.4 30.5-64 62.7-87.7zm39.3 674.7c-.6 5.6-4.4 8.7-10.5 8.7-6.8 0-10.7-3.8-10.7-10.6v-58.2h21.2v60.1zm202.3 8.7c-6.8 0-10.7-3.8-10.7-10.6v-58.2h21.2v60.1c-.6 5.6-4.3 8.7-10.5 8.7zm95.8-132.6H309.9V364h404.6v399.6zm85.2-154c0 6.8-3.9 10.6-10.7 10.6-6.8 0-10.7-3.8-10.7-10.6V374.5c0-6.8 3.9-10.6 10.7-10.6 6.8 0 10.7 3.8 10.7 10.6v235.1zM576.1 225.2c-18.6 0-32 13.4-32 31.9s13.5 31.9 32 31.9c18.6 0 32.1-13.4 32.1-32-.1-18.6-13.4-31.8-32.1-31.8z"}}]})(props);
};
function AiOutlineAntCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M378.9 738c-3.1 0-6.1-.5-8.8-1.5l4.4 30.7h26.3l-15.5-29.9c-2.1.5-4.2.7-6.4.7zm421-291.2c-12.6 0-24.8 1.5-36.5 4.2-21.4-38.4-62.3-64.3-109.3-64.3-6.9 0-13.6.6-20.2 1.6-35.4-77.4-113.4-131.1-203.9-131.1-112.3 0-205.3 82.6-221.6 190.4C127.3 455.5 64 523.8 64 607c0 88.4 71.6 160.1 160 160.2h50l13.2-27.6c-26.2-8.3-43.3-29-39.1-48.8 4.6-21.6 32.8-33.9 63.1-27.5 22.9 4.9 40.4 19.1 45.5 35.1a26.1 26.1 0 0 1 22.1-12.4h.2c-.8-3.2-1.2-6.5-1.2-9.9 0-20.1 14.8-36.7 34.1-39.6v-25.4c0-4.4 3.6-8 8-8s8 3.6 8 8v26.3c4.6 1.2 8.8 3.2 12.6 5.8l19.5-21.4c3-3.3 8-3.5 11.3-.5 3.3 3 3.5 8 .5 11.3l-20 22-.2.2a40 40 0 0 1-46.9 59.2c-.4 5.6-2.6 10.7-6 14.8l20 38.4H804v-.1c86.5-2.2 156-73 156-160.1 0-88.5-71.7-160.2-160.1-160.2zM338.2 737.2l-4.3 30h24.4l-5.9-41.5c-3.5 4.6-8.3 8.5-14.2 11.5zM797.5 305a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm-65.7 61.3a24 24 0 1 0 48 0 24 24 0 1 0-48 0zM303.4 742.9l-11.6 24.3h26l3.5-24.7c-5.7.8-11.7 1-17.9.4z"}}]})(props);
};
function AiOutlineAntDesign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M716.3 313.8c19-18.9 19-49.7 0-68.6l-69.9-69.9.1.1c-18.5-18.5-50.3-50.3-95.3-95.2-21.2-20.7-55.5-20.5-76.5.5L80.9 474.2a53.84 53.84 0 0 0 0 76.4L474.6 944a54.14 54.14 0 0 0 76.5 0l165.1-165c19-18.9 19-49.7 0-68.6a48.7 48.7 0 0 0-68.7 0l-125 125.2c-5.2 5.2-13.3 5.2-18.5 0L189.5 521.4c-5.2-5.2-5.2-13.3 0-18.5l314.4-314.2c.4-.4.9-.7 1.3-1.1 5.2-4.1 12.4-3.7 17.2 1.1l125.2 125.1c19 19 49.8 19 68.7 0zM408.6 514.4a106.3 106.2 0 1 0 212.6 0 106.3 106.2 0 1 0-212.6 0zm536.2-38.6L821.9 353.5c-19-18.9-49.8-18.9-68.7.1a48.4 48.4 0 0 0 0 68.6l83 82.9c5.2 5.2 5.2 13.3 0 18.5l-81.8 81.7a48.4 48.4 0 0 0 0 68.6 48.7 48.7 0 0 0 68.7 0l121.8-121.7a53.93 53.93 0 0 0-.1-76.4z"}}]})(props);
};
function AiOutlineApartment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M908 640H804V488c0-4.4-3.6-8-8-8H548v-96h108c8.8 0 16-7.2 16-16V80c0-8.8-7.2-16-16-16H368c-8.8 0-16 7.2-16 16v288c0 8.8 7.2 16 16 16h108v96H228c-4.4 0-8 3.6-8 8v152H116c-8.8 0-16 7.2-16 16v288c0 8.8 7.2 16 16 16h288c8.8 0 16-7.2 16-16V656c0-8.8-7.2-16-16-16H292v-88h440v88H620c-8.8 0-16 7.2-16 16v288c0 8.8 7.2 16 16 16h288c8.8 0 16-7.2 16-16V656c0-8.8-7.2-16-16-16zm-564 76v168H176V716h168zm84-408V140h168v168H428zm420 576H680V716h168v168z"}}]})(props);
};
function AiOutlineApi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M917.7 148.8l-42.4-42.4c-1.6-1.6-3.6-2.3-5.7-2.3s-4.1.8-5.7 2.3l-76.1 76.1a199.27 199.27 0 0 0-112.1-34.3c-51.2 0-102.4 19.5-141.5 58.6L432.3 308.7a8.03 8.03 0 0 0 0 11.3L704 591.7c1.6 1.6 3.6 2.3 5.7 2.3 2 0 4.1-.8 5.7-2.3l101.9-101.9c68.9-69 77-175.7 24.3-253.5l76.1-76.1c3.1-3.2 3.1-8.3 0-11.4zM769.1 441.7l-59.4 59.4-186.8-186.8 59.4-59.4c24.9-24.9 58.1-38.7 93.4-38.7 35.3 0 68.4 13.7 93.4 38.7 24.9 24.9 38.7 58.1 38.7 93.4 0 35.3-13.8 68.4-38.7 93.4zm-190.2 105a8.03 8.03 0 0 0-11.3 0L501 613.3 410.7 523l66.7-66.7c3.1-3.1 3.1-8.2 0-11.3L441 408.6a8.03 8.03 0 0 0-11.3 0L363 475.3l-43-43a7.85 7.85 0 0 0-5.7-2.3c-2 0-4.1.8-5.7 2.3L206.8 534.2c-68.9 69-77 175.7-24.3 253.5l-76.1 76.1a8.03 8.03 0 0 0 0 11.3l42.4 42.4c1.6 1.6 3.6 2.3 5.7 2.3s4.1-.8 5.7-2.3l76.1-76.1c33.7 22.9 72.9 34.3 112.1 34.3 51.2 0 102.4-19.5 141.5-58.6l101.9-101.9c3.1-3.1 3.1-8.2 0-11.3l-43-43 66.7-66.7c3.1-3.1 3.1-8.2 0-11.3l-36.6-36.2zM441.7 769.1a131.32 131.32 0 0 1-93.4 38.7c-35.3 0-68.4-13.7-93.4-38.7a131.32 131.32 0 0 1-38.7-93.4c0-35.3 13.7-68.4 38.7-93.4l59.4-59.4 186.8 186.8-59.4 59.4z"}}]})(props);
};
function AiOutlineApple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M747.4 535.7c-.4-68.2 30.5-119.6 92.9-157.5-34.9-50-87.7-77.5-157.3-82.8-65.9-5.2-138 38.4-164.4 38.4-27.9 0-91.7-36.6-141.9-36.6C273.1 298.8 163 379.8 163 544.6c0 48.7 8.9 99 26.7 150.8 23.8 68.2 109.6 235.3 199.1 232.6 46.8-1.1 79.9-33.2 140.8-33.2 59.1 0 89.7 33.2 141.9 33.2 90.3-1.3 167.9-153.2 190.5-221.6-121.1-57.1-114.6-167.2-114.6-170.7zm-10.6 267c-14.3 19.9-28.7 35.6-41.9 45.7-10.5 8-18.6 11.4-24 11.6-9-.1-17.7-2.3-34.7-8.8-1.2-.5-2.5-1-4.2-1.6l-4.4-1.7c-17.4-6.7-27.8-10.3-41.1-13.8-18.6-4.8-37.1-7.4-56.9-7.4-20.2 0-39.2 2.5-58.1 7.2-13.9 3.5-25.6 7.4-42.7 13.8-.7.3-8.1 3.1-10.2 3.9-3.5 1.3-6.2 2.3-8.7 3.2-10.4 3.6-17 5.1-22.9 5.2-.7 0-1.3-.1-1.8-.2-1.1-.2-2.5-.6-4.1-1.3-4.5-1.8-9.9-5.1-16-9.8-14-10.9-29.4-28-45.1-49.9-27.5-38.6-53.5-89.8-66-125.7-15.4-44.8-23-87.7-23-128.6 0-60.2 17.8-106 48.4-137.1 26.3-26.6 61.7-41.5 97.8-42.3 5.9.1 14.5 1.5 25.4 4.5 8.6 2.3 18 5.4 30.7 9.9 3.8 1.4 16.9 6.1 18.5 6.7 7.7 2.8 13.5 4.8 19.2 6.6 18.2 5.8 32.3 9 47.6 9 15.5 0 28.8-3.3 47.7-9.8 7.1-2.4 32.9-12 37.5-13.6 25.6-9.1 44.5-14 60.8-15.2 4.8-.4 9.1-.4 13.2-.1 22.7 1.8 42.1 6.3 58.6 13.8-37.6 43.4-57 96.5-56.9 158.4-.3 14.7.9 31.7 5.1 51.8 6.4 30.5 18.6 60.7 37.9 89 14.7 21.5 32.9 40.9 54.7 57.8-11.5 23.7-25.6 48.2-40.4 68.8zm-94.5-572c50.7-60.2 46.1-115 44.6-134.7-44.8 2.6-96.6 30.5-126.1 64.8-32.5 36.8-51.6 82.3-47.5 133.6 48.4 3.7 92.6-21.2 129-63.7z"}}]})(props);
};
function AiOutlineAppstoreAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683928793","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M464 144H160c-8.8 0-16 7.2-16 16v304c0 8.8 7.2 16 16 16h304c8.8 0 16-7.2 16-16V160c0-8.8-7.2-16-16-16z m-52 268H212V212h200v200zM864 144H560c-8.8 0-16 7.2-16 16v304c0 8.8 7.2 16 16 16h304c8.8 0 16-7.2 16-16V160c0-8.8-7.2-16-16-16z m-52 268H612V212h200v200zM864 544H560c-8.8 0-16 7.2-16 16v304c0 8.8 7.2 16 16 16h304c8.8 0 16-7.2 16-16V560c0-8.8-7.2-16-16-16z m-52 268H612V612h200v200zM424 712H296V584c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v128H104c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h128v128c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V776h128c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineAppstore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M464 144H160c-8.8 0-16 7.2-16 16v304c0 8.8 7.2 16 16 16h304c8.8 0 16-7.2 16-16V160c0-8.8-7.2-16-16-16zm-52 268H212V212h200v200zm452-268H560c-8.8 0-16 7.2-16 16v304c0 8.8 7.2 16 16 16h304c8.8 0 16-7.2 16-16V160c0-8.8-7.2-16-16-16zm-52 268H612V212h200v200zM464 544H160c-8.8 0-16 7.2-16 16v304c0 8.8 7.2 16 16 16h304c8.8 0 16-7.2 16-16V560c0-8.8-7.2-16-16-16zm-52 268H212V612h200v200zm452-268H560c-8.8 0-16 7.2-16 16v304c0 8.8 7.2 16 16 16h304c8.8 0 16-7.2 16-16V560c0-8.8-7.2-16-16-16zm-52 268H612V612h200v200z"}}]})(props);
};
function AiOutlineAreaChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M888 792H200V168c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v688c0 4.4 3.6 8 8 8h752c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-616-64h536c4.4 0 8-3.6 8-8V284c0-7.2-8.7-10.7-13.7-5.7L592 488.6l-125.4-124a8.03 8.03 0 0 0-11.3 0l-189 189.6a7.87 7.87 0 0 0-2.3 5.6V720c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlineArrowDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M862 465.3h-81c-4.6 0-9 2-12.1 5.5L550 723.1V160c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8v563.1L255.1 470.8c-3-3.5-7.4-5.5-12.1-5.5h-81c-6.8 0-10.5 8.1-6 13.2L487.9 861a31.96 31.96 0 0 0 48.3 0L868 478.5c4.5-5.2.8-13.2-6-13.2z"}}]})(props);
};
function AiOutlineArrowLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M872 474H286.9l350.2-304c5.6-4.9 2.2-14-5.2-14h-88.5c-3.9 0-7.6 1.4-10.5 3.9L155 487.8a31.96 31.96 0 0 0 0 48.3L535.1 866c1.5 1.3 3.3 2 5.2 2h91.5c7.4 0 10.8-9.2 5.2-14L286.9 550H872c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineArrowRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M869 487.8L491.2 159.9c-2.9-2.5-6.6-3.9-10.5-3.9h-88.5c-7.4 0-10.8 9.2-5.2 14l350.2 304H152c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h585.1L386.9 854c-5.6 4.9-2.2 14 5.2 14h91.5c1.9 0 3.8-.7 5.2-2L869 536.2a32.07 32.07 0 0 0 0-48.4z"}}]})(props);
};
function AiOutlineArrowUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M868 545.5L536.1 163a31.96 31.96 0 0 0-48.3 0L156 545.5a7.97 7.97 0 0 0 6 13.2h81c4.6 0 9-2 12.1-5.5L474 300.9V864c0 4.4 3.6 8 8 8h60c4.4 0 8-3.6 8-8V300.9l218.9 252.3c3 3.5 7.4 5.5 12.1 5.5h81c6.8 0 10.5-8 6-13.2z"}}]})(props);
};
function AiOutlineArrowsAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M855 160.1l-189.2 23.5c-6.6.8-9.3 8.8-4.7 13.5l54.7 54.7-153.5 153.5a8.03 8.03 0 0 0 0 11.3l45.1 45.1c3.1 3.1 8.2 3.1 11.3 0l153.6-153.6 54.7 54.7a7.94 7.94 0 0 0 13.5-4.7L863.9 169a7.9 7.9 0 0 0-8.9-8.9zM416.6 562.3a8.03 8.03 0 0 0-11.3 0L251.8 715.9l-54.7-54.7a7.94 7.94 0 0 0-13.5 4.7L160.1 855c-.6 5.2 3.7 9.5 8.9 8.9l189.2-23.5c6.6-.8 9.3-8.8 4.7-13.5l-54.7-54.7 153.6-153.6c3.1-3.1 3.1-8.2 0-11.3l-45.2-45z"}}]})(props);
};
function AiOutlineAudioMuted (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569682811064","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M682 455V311l-76 76v68c-0.1 50.7-42 92.1-94 92-19.1 0.1-36.8-5.4-52-15l-54 55c29.1 22.4 65.9 36 106 36 93.8 0 170-75.1 170-168z"}},{"tag":"path","attr":{"d":"M833 446h-60c-4.4 0-8 3.6-8 8 0 140.3-113.7 254-254 254-63 0-120.7-23-165-61l-54 54c48.9 43.2 110.8 72.3 179 81v102H326c-13.9 0-24.9 14.3-25 32v36c0.1 4.4 2.9 8 6 8h408c3.2 0 6-3.6 6-8v-36c0-17.7-11-32-25-32H547V782c165.3-17.9 294-157.9 294-328 0-4.4-3.6-8-8-8zM846.1 68.3l-43.5-41.9c-3.1-3-8.1-3-11.2 0.1l-129 129C634.3 101.2 577 64 511 64c-93.9 0-170 75.3-170 168v224c0 6.7 0.4 13.3 1.2 19.8l-68 68c-10.5-27.9-16.3-58.2-16.2-89.8-0.2-4.4-3.8-8-8-8h-60c-4.4 0-8 3.6-8 8 0 53 12.5 103 34.6 147.4l-137 137c-3.1 3.1-3.1 8.2 0 11.3l42.7 42.7c3.1 3.1 8.2 3.1 11.3 0L846.2 79.8l0.1-0.1c3.1-3.2 3-8.3-0.2-11.4zM417 401V232c0-50.6 41.9-92 94-92 46 0 84.1 32.3 92.3 74.7L417 401z"}}]})(props);
};
function AiOutlineAudio (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M842 454c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8 0 140.3-113.7 254-254 254S258 594.3 258 454c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8 0 168.7 126.6 307.9 290 327.6V884H326.7c-13.7 0-24.7 14.3-24.7 32v36c0 4.4 2.8 8 6.2 8h407.6c3.4 0 6.2-3.6 6.2-8v-36c0-17.7-11-32-24.7-32H548V782.1c165.3-18 294-158 294-328.1zM512 624c93.9 0 170-75.2 170-168V232c0-92.8-76.1-168-170-168s-170 75.2-170 168v224c0 92.8 76.1 168 170 168zm-94-392c0-50.6 41.9-92 94-92s94 41.4 94 92v224c0 50.6-41.9 92-94 92s-94-41.4-94-92V232z"}}]})(props);
};
function AiOutlineAudit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M296 250c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h384c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H296zm184 144H296c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zm-48 458H208V148h560v320c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V108c0-17.7-14.3-32-32-32H168c-17.7 0-32 14.3-32 32v784c0 17.7 14.3 32 32 32h264c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm440-88H728v-36.6c46.3-13.8 80-56.6 80-107.4 0-61.9-50.1-112-112-112s-112 50.1-112 112c0 50.7 33.7 93.6 80 107.4V764H520c-8.8 0-16 7.2-16 16v152c0 8.8 7.2 16 16 16h352c8.8 0 16-7.2 16-16V780c0-8.8-7.2-16-16-16zM646 620c0-27.6 22.4-50 50-50s50 22.4 50 50-22.4 50-50 50-50-22.4-50-50zm180 266H566v-60h260v60z"}}]})(props);
};
function AiOutlineBackward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M485.6 249.9L198.2 498c-8.3 7.1-8.3 20.8 0 27.9l287.4 248.2c10.7 9.2 26.4.9 26.4-14V263.8c0-14.8-15.7-23.2-26.4-13.9zm320 0L518.2 498a18.6 18.6 0 0 0-6.2 14c0 5.2 2.1 10.4 6.2 14l287.4 248.2c10.7 9.2 26.4.9 26.4-14V263.8c0-14.8-15.7-23.2-26.4-13.9z"}}]})(props);
};
function AiOutlineBank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M894 462c30.9 0 43.8-39.7 18.7-58L530.8 126.2a31.81 31.81 0 0 0-37.6 0L111.3 404c-25.1 18.2-12.2 58 18.8 58H192v374h-72c-4.4 0-8 3.6-8 8v52c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-52c0-4.4-3.6-8-8-8h-72V462h62zM512 196.7l271.1 197.2H240.9L512 196.7zM264 462h117v374H264V462zm189 0h117v374H453V462zm307 374H642V462h118v374z"}}]})(props);
};
function AiOutlineBarChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M888 792H200V168c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v688c0 4.4 3.6 8 8 8h752c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-600-80h56c4.4 0 8-3.6 8-8V560c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v144c0 4.4 3.6 8 8 8zm152 0h56c4.4 0 8-3.6 8-8V384c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v320c0 4.4 3.6 8 8 8zm152 0h56c4.4 0 8-3.6 8-8V462c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v242c0 4.4 3.6 8 8 8zm152 0h56c4.4 0 8-3.6 8-8V304c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v400c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlineBarcode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M120 160H72c-4.4 0-8 3.6-8 8v688c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V168c0-4.4-3.6-8-8-8zm833 0h-48c-4.4 0-8 3.6-8 8v688c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V168c0-4.4-3.6-8-8-8zM200 736h112c4.4 0 8-3.6 8-8V168c0-4.4-3.6-8-8-8H200c-4.4 0-8 3.6-8 8v560c0 4.4 3.6 8 8 8zm321 0h48c4.4 0 8-3.6 8-8V168c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v560c0 4.4 3.6 8 8 8zm126 0h178c4.4 0 8-3.6 8-8V168c0-4.4-3.6-8-8-8H647c-4.4 0-8 3.6-8 8v560c0 4.4 3.6 8 8 8zm-255 0h48c4.4 0 8-3.6 8-8V168c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v560c0 4.4 3.6 8 8 8zm-79 64H201c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h112c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zm257 0h-48c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zm256 0H648c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h178c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zm-385 0h-48c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineBars (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M912 192H328c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h584c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 284H328c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h584c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 284H328c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h584c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM104 228a56 56 0 1 0 112 0 56 56 0 1 0-112 0zm0 284a56 56 0 1 0 112 0 56 56 0 1 0-112 0zm0 284a56 56 0 1 0 112 0 56 56 0 1 0-112 0z"}}]})(props);
};
function AiOutlineBehanceSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM598.5 350.9h138.4v33.7H598.5v-33.7zM512 628.8a89.52 89.52 0 0 1-27 31c-11.8 8.2-24.9 14.2-38.8 17.7a167.4 167.4 0 0 1-44.6 5.7H236V342.1h161c16.3 0 31.1 1.5 44.6 4.3 13.4 2.8 24.8 7.6 34.4 14.1 9.5 6.5 17 15.2 22.3 26 5.2 10.7 7.9 24.1 7.9 40 0 17.2-3.9 31.4-11.7 42.9-7.9 11.5-19.3 20.8-34.8 28.1 21.1 6 36.6 16.7 46.8 31.7 10.4 15.2 15.5 33.4 15.5 54.8 0 17.4-3.3 32.3-10 44.8zM790.8 576H612.4c0 19.4 6.7 38 16.8 48 10.2 9.9 24.8 14.9 43.9 14.9 13.8 0 25.5-3.5 35.5-10.4 9.9-6.9 15.9-14.2 18.1-21.8h59.8c-9.6 29.7-24.2 50.9-44 63.7-19.6 12.8-43.6 19.2-71.5 19.2-19.5 0-37-3.2-52.7-9.3-15.1-5.9-28.7-14.9-39.9-26.5a121.2 121.2 0 0 1-25.1-41.2c-6.1-16.9-9.1-34.7-8.9-52.6 0-18.5 3.1-35.7 9.1-51.7 11.5-31.1 35.4-56 65.9-68.9 16.3-6.8 33.8-10.2 51.5-10 21 0 39.2 4 55 12.2a111.6 111.6 0 0 1 38.6 32.8c10.1 13.7 17.2 29.3 21.7 46.9 4.3 17.3 5.8 35.5 4.6 54.7zm-122-95.6c-10.8 0-19.9 1.9-26.9 5.6-7 3.7-12.8 8.3-17.2 13.6a48.4 48.4 0 0 0-9.1 17.4c-1.6 5.3-2.7 10.7-3.1 16.2H723c-1.6-17.3-7.6-30.1-15.6-39.1-8.4-8.9-21.9-13.7-38.6-13.7zm-248.5-10.1c8.7-6.3 12.9-16.7 12.9-31 .3-6.8-1.1-13.5-4.1-19.6-2.7-4.9-6.7-9-11.6-11.9a44.8 44.8 0 0 0-16.6-6c-6.4-1.2-12.9-1.8-19.3-1.7h-70.3v79.7h76.1c13.1.1 24.2-3.1 32.9-9.5zm11.8 72c-9.8-7.5-22.9-11.2-39.2-11.2h-81.8v94h80.2c7.5 0 14.4-.7 21.1-2.1s12.7-3.8 17.8-7.2c5.1-3.3 9.2-7.8 12.3-13.6 3-5.8 4.5-13.2 4.5-22.1 0-17.7-5-30.2-14.9-37.8z"}}]})(props);
};
function AiOutlineBehance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M634 294.3h199.5v48.4H634zM434.1 485.8c44.1-21.1 67.2-53.2 67.2-102.8 0-98.1-73-121.9-157.3-121.9H112v492.4h238.5c89.4 0 173.3-43 173.3-143 0-61.8-29.2-107.5-89.7-124.7zM220.2 345.1h101.5c39.1 0 74.2 10.9 74.2 56.3 0 41.8-27.3 58.6-66 58.6H220.2V345.1zm115.5 324.8H220.1V534.3H338c47.6 0 77.7 19.9 77.7 70.3 0 49.6-35.9 65.3-80 65.3zm575.8-89.5c0-105.5-61.7-193.4-173.3-193.4-108.5 0-182.3 81.7-182.3 188.8 0 111 69.9 187.2 182.3 187.2 85.1 0 140.2-38.3 166.7-120h-86.3c-9.4 30.5-47.6 46.5-77.3 46.5-57.4 0-87.4-33.6-87.4-90.7h256.9c.3-5.9.7-12.1.7-18.4zM653.9 537c3.1-46.9 34.4-76.2 81.2-76.2 49.2 0 73.8 28.9 78.1 76.2H653.9z"}}]})(props);
};
function AiOutlineBell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M816 768h-24V428c0-141.1-104.3-257.7-240-277.1V112c0-22.1-17.9-40-40-40s-40 17.9-40 40v38.9c-135.7 19.4-240 136-240 277.1v340h-24c-17.7 0-32 14.3-32 32v32c0 4.4 3.6 8 8 8h216c0 61.8 50.2 112 112 112s112-50.2 112-112h216c4.4 0 8-3.6 8-8v-32c0-17.7-14.3-32-32-32zM512 888c-26.5 0-48-21.5-48-48h96c0 26.5-21.5 48-48 48zM304 768V428c0-55.6 21.6-107.8 60.9-147.1S456.4 220 512 220c55.6 0 107.8 21.6 147.1 60.9S720 372.4 720 428v340H304z"}}]})(props);
};
function AiOutlineBgColors (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M766.4 744.3c43.7 0 79.4-36.2 79.4-80.5 0-53.5-79.4-140.8-79.4-140.8S687 610.3 687 663.8c0 44.3 35.7 80.5 79.4 80.5zm-377.1-44.1c7.1 7.1 18.6 7.1 25.6 0l256.1-256c7.1-7.1 7.1-18.6 0-25.6l-256-256c-.6-.6-1.3-1.2-2-1.7l-78.2-78.2a9.11 9.11 0 0 0-12.8 0l-48 48a9.11 9.11 0 0 0 0 12.8l67.2 67.2-207.8 207.9c-7.1 7.1-7.1 18.6 0 25.6l255.9 256zm12.9-448.6l178.9 178.9H223.4l178.8-178.9zM904 816H120c-4.4 0-8 3.6-8 8v80c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-80c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineBlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M856 376H648V168c0-8.8-7.2-16-16-16H168c-8.8 0-16 7.2-16 16v464c0 8.8 7.2 16 16 16h208v208c0 8.8 7.2 16 16 16h464c8.8 0 16-7.2 16-16V392c0-8.8-7.2-16-16-16zm-480 16v188H220V220h360v156H392c-8.8 0-16 7.2-16 16zm204 52v136H444V444h136zm224 360H444V648h188c8.8 0 16-7.2 16-16V444h156v360z"}}]})(props);
};
function AiOutlineBold (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M697.8 481.4c33.6-35 54.2-82.3 54.2-134.3v-10.2C752 229.3 663.9 142 555.3 142H259.4c-15.1 0-27.4 12.3-27.4 27.4v679.1c0 16.3 13.2 29.5 29.5 29.5h318.7c117 0 211.8-94.2 211.8-210.5v-11c0-73-37.4-137.3-94.2-175.1zM328 238h224.7c57.1 0 103.3 44.4 103.3 99.3v9.5c0 54.8-46.3 99.3-103.3 99.3H328V238zm366.6 429.4c0 62.9-51.7 113.9-115.5 113.9H328V542.7h251.1c63.8 0 115.5 51 115.5 113.9v10.8z"}}]})(props);
};
function AiOutlineBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 64H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zm-260 72h96v209.9L621.5 312 572 347.4V136zm220 752H232V136h280v296.9c0 3.3 1 6.6 3 9.3a15.9 15.9 0 0 0 22.3 3.7l83.8-59.9 81.4 59.4c2.7 2 6 3.1 9.4 3.1 8.8 0 16-7.2 16-16V136h64v752z"}}]})(props);
};
function AiOutlineBorderBottom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M872 808H152c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h720c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-720-94h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm0-498h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm0 332h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm0-166h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm166 166h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm0-332h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm332 0h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm0 332h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm222-72h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-388 72h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm388-404h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-388 72h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm388 426h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-388 72h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm388-404h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-388 72h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlineBorderHorizontal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M540 144h-56c-4.4 0-8 3.6-8 8v720c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V152c0-4.4-3.6-8-8-8zm-166 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm498 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-664 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm498 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM208 310h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm664 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-664 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 166h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm664 332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM374 808h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm332 332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineBorderInner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M872 476H548V144h-72v332H152c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h324v332h72V548h324c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-166h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 498h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-664h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 498h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM650 216h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm56 592h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-332 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-56-592h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm-166 0h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm56 592h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-56-426h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm56 260h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineBorderLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M208 144h-56c-4.4 0-8 3.6-8 8v720c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V152c0-4.4-3.6-8-8-8zm166 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm498 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-332 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm166 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM540 310h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm332 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-332 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 166h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm332 332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM374 808h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm332 332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineBorderOuter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656zM484 366h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zM302 548h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm364 0h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm-182 0h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm0 182h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlineBorderRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M872 144h-56c-4.4 0-8 3.6-8 8v720c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V152c0-4.4-3.6-8-8-8zm-166 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-498 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm332 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-166 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm166 166h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-332 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm332 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 166h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM208 808h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm498 332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM374 808h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineBorderTop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M872 144H152c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h720c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM208 310h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 498h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 166h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm166-166h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm332 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm166 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-332 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm332 332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-332 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm332-498h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-332 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm332 332h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-332 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineBorderVerticle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M872 476H152c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h720c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-166h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 498h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-664h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 498h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM650 216h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm56 592h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-332 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-56-592h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm-166 0h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm332 0h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zM208 808h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm332 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM152 382h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm332 0h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zM208 642h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm332 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineBorder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}}]})(props);
};
function AiOutlineBorderlessTable (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683537953","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M117 368h231v64H117zM676 368h241v64H676zM412 368h200v64H412zM412 592h200v64H412zM676 592h241v64H676zM117 592h231v64H117zM412 432V179h-64v666h64V592zM676 368V179h-64v666h64V432z"}}]})(props);
};
function AiOutlineBoxPlot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M952 224h-52c-4.4 0-8 3.6-8 8v248h-92V304c0-4.4-3.6-8-8-8H232c-4.4 0-8 3.6-8 8v176h-92V232c0-4.4-3.6-8-8-8H72c-4.4 0-8 3.6-8 8v560c0 4.4 3.6 8 8 8h52c4.4 0 8-3.6 8-8V548h92v172c0 4.4 3.6 8 8 8h560c4.4 0 8-3.6 8-8V548h92v244c0 4.4 3.6 8 8 8h52c4.4 0 8-3.6 8-8V232c0-4.4-3.6-8-8-8zM296 368h88v288h-88V368zm432 288H448V368h280v288z"}}]})(props);
};
function AiOutlineBranches (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M740 161c-61.8 0-112 50.2-112 112 0 50.1 33.1 92.6 78.5 106.9v95.9L320 602.4V318.1c44.2-15 76-56.9 76-106.1 0-61.8-50.2-112-112-112s-112 50.2-112 112c0 49.2 31.8 91 76 106.1V706c-44.2 15-76 56.9-76 106.1 0 61.8 50.2 112 112 112s112-50.2 112-112c0-49.2-31.8-91-76-106.1v-27.8l423.5-138.7a50.52 50.52 0 0 0 34.9-48.2V378.2c42.9-15.8 73.6-57 73.6-105.2 0-61.8-50.2-112-112-112zm-504 51a48.01 48.01 0 0 1 96 0 48.01 48.01 0 0 1-96 0zm96 600a48.01 48.01 0 0 1-96 0 48.01 48.01 0 0 1 96 0zm408-491a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96z"}}]})(props);
};
function AiOutlineBug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M304 280h56c4.4 0 8-3.6 8-8 0-28.3 5.9-53.2 17.1-73.5 10.6-19.4 26-34.8 45.4-45.4C450.9 142 475.7 136 504 136h16c28.3 0 53.2 5.9 73.5 17.1 19.4 10.6 34.8 26 45.4 45.4C650 218.9 656 243.7 656 272c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8 0-40-8.8-76.7-25.9-108.1-17.2-31.5-42.5-56.8-74-74C596.7 72.8 560 64 520 64h-16c-40 0-76.7 8.8-108.1 25.9-31.5 17.2-56.8 42.5-74 74C304.8 195.3 296 232 296 272c0 4.4 3.6 8 8 8z"}},{"tag":"path","attr":{"d":"M940 512H792V412c76.8 0 139-62.2 139-139 0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8 0 34.8-28.2 63-63 63H232c-34.8 0-63-28.2-63-63 0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8 0 76.8 62.2 139 139 139v100H84c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h148v96c0 6.5.2 13 .7 19.3C164.1 728.6 116 796.7 116 876c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8 0-44.2 23.9-82.9 59.6-103.7 6 17.2 13.6 33.6 22.7 49 24.3 41.5 59 76.2 100.5 100.5S460.5 960 512 960s99.8-13.9 141.3-38.2c41.5-24.3 76.2-59 100.5-100.5 9.1-15.5 16.7-31.9 22.7-49C812.1 793.1 836 831.8 836 876c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8 0-79.3-48.1-147.4-116.7-176.7.4-6.4.7-12.8.7-19.3v-96h148c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM716 680c0 36.8-9.7 72-27.8 102.9-17.7 30.3-43 55.6-73.3 73.3C584 874.3 548.8 884 512 884s-72-9.7-102.9-27.8c-30.3-17.7-55.6-43-73.3-73.3C317.7 752 308 716.8 308 680V412h408v268z"}}]})(props);
};
function AiOutlineBuild (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M916 210H376c-17.7 0-32 14.3-32 32v236H108c-17.7 0-32 14.3-32 32v272c0 17.7 14.3 32 32 32h540c17.7 0 32-14.3 32-32V546h236c17.7 0 32-14.3 32-32V242c0-17.7-14.3-32-32-32zm-504 68h200v200H412V278zm-68 468H144V546h200v200zm268 0H412V546h200v200zm268-268H680V278h200v200z"}}]})(props);
};
function AiOutlineBulb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M632 888H392c-4.4 0-8 3.6-8 8v32c0 17.7 14.3 32 32 32h192c17.7 0 32-14.3 32-32v-32c0-4.4-3.6-8-8-8zM512 64c-181.1 0-328 146.9-328 328 0 121.4 66 227.4 164 284.1V792c0 17.7 14.3 32 32 32h264c17.7 0 32-14.3 32-32V676.1c98-56.7 164-162.7 164-284.1 0-181.1-146.9-328-328-328zm127.9 549.8L604 634.6V752H420V634.6l-35.9-20.8C305.4 568.3 256 484.5 256 392c0-141.4 114.6-256 256-256s256 114.6 256 256c0 92.5-49.4 176.3-128.1 221.8z"}}]})(props);
};
function AiOutlineCalculator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M251.2 387H320v68.8c0 1.8 1.8 3.2 4 3.2h48c2.2 0 4-1.4 4-3.3V387h68.8c1.8 0 3.2-1.8 3.2-4v-48c0-2.2-1.4-4-3.3-4H376v-68.8c0-1.8-1.8-3.2-4-3.2h-48c-2.2 0-4 1.4-4 3.2V331h-68.8c-1.8 0-3.2 1.8-3.2 4v48c0 2.2 1.4 4 3.2 4zm328 0h193.6c1.8 0 3.2-1.8 3.2-4v-48c0-2.2-1.4-4-3.3-4H579.2c-1.8 0-3.2 1.8-3.2 4v48c0 2.2 1.4 4 3.2 4zm0 265h193.6c1.8 0 3.2-1.8 3.2-4v-48c0-2.2-1.4-4-3.3-4H579.2c-1.8 0-3.2 1.8-3.2 4v48c0 2.2 1.4 4 3.2 4zm0 104h193.6c1.8 0 3.2-1.8 3.2-4v-48c0-2.2-1.4-4-3.3-4H579.2c-1.8 0-3.2 1.8-3.2 4v48c0 2.2 1.4 4 3.2 4zm-195.7-81l61.2-74.9c4.3-5.2.7-13.1-5.9-13.1H388c-2.3 0-4.5 1-5.9 2.9l-34 41.6-34-41.6a7.85 7.85 0 0 0-5.9-2.9h-50.9c-6.6 0-10.2 7.9-5.9 13.1l61.2 74.9-62.7 76.8c-4.4 5.2-.8 13.1 5.8 13.1h50.8c2.3 0 4.5-1 5.9-2.9l35.5-43.5 35.5 43.5c1.5 1.8 3.7 2.9 5.9 2.9h50.8c6.6 0 10.2-7.9 5.9-13.1L383.5 675zM880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-36 732H180V180h664v664z"}}]})(props);
};
function AiOutlineCalendar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 184H712v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H384v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H144c-17.7 0-32 14.3-32 32v664c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V216c0-17.7-14.3-32-32-32zm-40 656H184V460h656v380zM184 392V256h128v48c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-48h256v48c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-48h128v136H184z"}}]})(props);
};
function AiOutlineCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M864 248H728l-32.4-90.8a32.07 32.07 0 0 0-30.2-21.2H358.6c-13.5 0-25.6 8.5-30.1 21.2L296 248H160c-44.2 0-80 35.8-80 80v456c0 44.2 35.8 80 80 80h704c44.2 0 80-35.8 80-80V328c0-44.2-35.8-80-80-80zm8 536c0 4.4-3.6 8-8 8H160c-4.4 0-8-3.6-8-8V328c0-4.4 3.6-8 8-8h186.7l17.1-47.8 22.9-64.2h250.5l22.9 64.2 17.1 47.8H864c4.4 0 8 3.6 8 8v456zM512 384c-88.4 0-160 71.6-160 160s71.6 160 160 160 160-71.6 160-160-71.6-160-160-160zm0 256c-53 0-96-43-96-96s43-96 96-96 96 43 96 96-43 96-96 96z"}}]})(props);
};
function AiOutlineCar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M380 704h264c4.4 0 8-3.6 8-8v-84c0-4.4-3.6-8-8-8h-40c-4.4 0-8 3.6-8 8v36H428v-36c0-4.4-3.6-8-8-8h-40c-4.4 0-8 3.6-8 8v84c0 4.4 3.6 8 8 8zm340-123a40 40 0 1 0 80 0 40 40 0 1 0-80 0zm239-167.6L935.3 372a8 8 0 0 0-10.9-2.9l-50.7 29.6-78.3-216.2a63.9 63.9 0 0 0-60.9-44.4H301.2c-34.7 0-65.5 22.4-76.2 55.5l-74.6 205.2-50.8-29.6a8 8 0 0 0-10.9 2.9L65 413.4c-2.2 3.8-.9 8.6 2.9 10.8l60.4 35.2-14.5 40c-1.2 3.2-1.8 6.6-1.8 10v348.2c0 15.7 11.8 28.4 26.3 28.4h67.6c12.3 0 23-9.3 25.6-22.3l7.7-37.7h545.6l7.7 37.7c2.7 13 13.3 22.3 25.6 22.3h67.6c14.5 0 26.3-12.7 26.3-28.4V509.4c0-3.4-.6-6.8-1.8-10l-14.5-40 60.3-35.2a8 8 0 0 0 3-10.8zM840 517v237H184V517l15.6-43h624.8l15.6 43zM292.7 218.1l.5-1.3.4-1.3c1.1-3.3 4.1-5.5 7.6-5.5h427.6l75.4 208H220l72.7-199.9zM224 581a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}}]})(props);
};
function AiOutlineCaretDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M840.4 300H183.6c-19.7 0-30.7 20.8-18.5 35l328.4 380.8c9.4 10.9 27.5 10.9 37 0L858.9 335c12.2-14.2 1.2-35-18.5-35z"}}]})(props);
};
function AiOutlineCaretLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M689 165.1L308.2 493.5c-10.9 9.4-10.9 27.5 0 37L689 858.9c14.2 12.2 35 1.2 35-18.5V183.6c0-19.7-20.8-30.7-35-18.5z"}}]})(props);
};
function AiOutlineCaretRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M715.8 493.5L335 165.1c-14.2-12.2-35-1.2-35 18.5v656.8c0 19.7 20.8 30.7 35 18.5l380.8-328.4c10.9-9.4 10.9-27.6 0-37z"}}]})(props);
};
function AiOutlineCaretUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M858.9 689L530.5 308.2c-9.4-10.9-27.5-10.9-37 0L165.1 689c-12.2 14.2-1.2 35 18.5 35h656.8c19.7 0 30.7-20.8 18.5-35z"}}]})(props);
};
function AiOutlineCarryOut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 184H712v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H384v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H144c-17.7 0-32 14.3-32 32v664c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V216c0-17.7-14.3-32-32-32zm-40 656H184V256h128v48c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-48h256v48c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-48h128v584zM688 420h-55.2c-5.1 0-10 2.5-13 6.6L468.9 634.4l-64.7-89c-3-4.1-7.8-6.6-13-6.6H336c-6.5 0-10.3 7.4-6.5 12.7l126.4 174a16.1 16.1 0 0 0 26 0l212.6-292.7c3.8-5.4 0-12.8-6.5-12.8z"}}]})(props);
};
function AiOutlineCheckCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M699 353h-46.9c-10.2 0-19.9 4.9-25.9 13.3L469 584.3l-71.2-98.8c-6-8.3-15.6-13.3-25.9-13.3H325c-6.5 0-10.3 7.4-6.5 12.7l124.6 172.8a31.8 31.8 0 0 0 51.7 0l210.6-292c3.9-5.3.1-12.7-6.4-12.7z"}},{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}}]})(props);
};
function AiOutlineCheckSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M433.1 657.7a31.8 31.8 0 0 0 51.7 0l210.6-292c3.8-5.3 0-12.7-6.5-12.7H642c-10.2 0-19.9 4.9-25.9 13.3L459 584.3l-71.2-98.8c-6-8.3-15.6-13.3-25.9-13.3H315c-6.5 0-10.3 7.4-6.5 12.7l124.6 172.8z"}},{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}}]})(props);
};
function AiOutlineCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M912 190h-69.9c-9.8 0-19.1 4.5-25.1 12.2L404.7 724.5 207 474a32 32 0 0 0-25.1-12.2H112c-6.7 0-10.4 7.7-6.3 12.9l273.9 347c12.8 16.2 37.4 16.2 50.3 0l488.4-618.9c4.1-5.1.4-12.8-6.3-12.8z"}}]})(props);
};
function AiOutlineChrome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 512.3v-.3c0-229.8-186.2-416-416-416S96 282.2 96 512v.4c0 229.8 186.2 416 416 416s416-186.2 416-416v-.3.2zm-6.7-74.6l.6 3.3-.6-3.3zM676.7 638.2c53.5-82.2 52.5-189.4-11.1-263.7l162.4-8.4c20.5 44.4 32 93.8 32 145.9 0 185.2-144.6 336.6-327.1 347.4l143.8-221.2zM512 652.3c-77.5 0-140.2-62.7-140.2-140.2 0-77.7 62.7-140.2 140.2-140.2S652.2 434.5 652.2 512 589.5 652.3 512 652.3zm369.2-331.7l-3-5.7 3 5.7zM512 164c121.3 0 228.2 62.1 290.4 156.2l-263.6-13.9c-97.5-5.7-190.2 49.2-222.3 141.1L227.8 311c63.1-88.9 166.9-147 284.2-147zM102.5 585.8c26 145 127.1 264 261.6 315.1C229.6 850 128.5 731 102.5 585.8zM164 512c0-55.9 13.2-108.7 36.6-155.5l119.7 235.4c44.1 86.7 137.4 139.7 234 121.6l-74 145.1C302.9 842.5 164 693.5 164 512zm324.7 415.4c4 .2 8 .4 12 .5-4-.2-8-.3-12-.5z"}}]})(props);
};
function AiOutlineCiCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372zm218-572.1h-50.4c-4.4 0-8 3.6-8 8v384.2c0 4.4 3.6 8 8 8H730c4.4 0 8-3.6 8-8V319.9c0-4.4-3.6-8-8-8zm-281.4 49.6c49.5 0 83.1 31.5 87 77.6.4 4.2 3.8 7.4 8 7.4h52.6c2.4 0 4.4-2 4.4-4.4 0-81.2-64-138.1-152.3-138.1C345.4 304 286 373.5 286 488.4v49c0 114 59.4 182.6 162.3 182.6 88 0 152.3-55.1 152.3-132.5 0-2.4-2-4.4-4.4-4.4h-52.7c-4.2 0-7.6 3.2-8 7.3-4.2 43-37.7 72.4-87 72.4-61.1 0-95.6-44.9-95.6-125.2v-49.3c.1-81.4 34.6-126.8 95.7-126.8z"}}]})(props);
};
function AiOutlineCi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372zm218-572.1h-50.4c-4.4 0-8 3.6-8 8v384.2c0 4.4 3.6 8 8 8H730c4.4 0 8-3.6 8-8V319.9c0-4.4-3.6-8-8-8zm-281.4 49.6c49.5 0 83.1 31.5 87 77.6.4 4.2 3.8 7.4 8 7.4h52.6c2.4 0 4.4-2 4.4-4.4 0-81.2-64-138.1-152.3-138.1C345.4 304 286 373.5 286 488.4v49c0 114 59.4 182.6 162.3 182.6 88 0 152.3-55.1 152.3-132.5 0-2.4-2-4.4-4.4-4.4h-52.7c-4.2 0-7.6 3.2-8 7.3-4.2 43-37.7 72.4-87 72.4-61.1 0-95.6-44.9-95.6-125.2v-49.3c.1-81.4 34.6-126.8 95.7-126.8z"}}]})(props);
};
function AiOutlineClear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683368540","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M899.1 869.6l-53-305.6H864c14.4 0 26-11.6 26-26V346c0-14.4-11.6-26-26-26H618V138c0-14.4-11.6-26-26-26H432c-14.4 0-26 11.6-26 26v182H160c-14.4 0-26 11.6-26 26v192c0 14.4 11.6 26 26 26h17.9l-53 305.6c-0.3 1.5-0.4 3-0.4 4.4 0 14.4 11.6 26 26 26h723c1.5 0 3-0.1 4.4-0.4 14.2-2.4 23.7-15.9 21.2-30zM204 390h272V182h72v208h272v104H204V390z m468 440V674c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v156H416V674c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v156H202.8l45.1-260H776l45.1 260H672z"}}]})(props);
};
function AiOutlineClockCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M686.7 638.6L544.1 535.5V288c0-4.4-3.6-8-8-8H488c-4.4 0-8 3.6-8 8v275.4c0 2.6 1.2 5 3.3 6.5l165.4 120.6c3.6 2.6 8.6 1.8 11.2-1.7l28.6-39c2.6-3.7 1.8-8.7-1.8-11.2z"}}]})(props);
};
function AiOutlineCloseCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M685.4 354.8c0-4.4-3.6-8-8-8l-66 .3L512 465.6l-99.3-118.4-66.1-.3c-4.4 0-8 3.5-8 8 0 1.9.7 3.7 1.9 5.2l130.1 155L340.5 670a8.32 8.32 0 0 0-1.9 5.2c0 4.4 3.6 8 8 8l66.1-.3L512 564.4l99.3 118.4 66 .3c4.4 0 8-3.5 8-8 0-1.9-.7-3.7-1.9-5.2L553.5 515l130.1-155c1.2-1.4 1.8-3.3 1.8-5.2z"}},{"tag":"path","attr":{"d":"M512 65C264.6 65 64 265.6 64 513s200.6 448 448 448 448-200.6 448-448S759.4 65 512 65zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}}]})(props);
};
function AiOutlineCloseSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M354 671h58.9c4.7 0 9.2-2.1 12.3-5.7L512 561.8l86.8 103.5c3 3.6 7.5 5.7 12.3 5.7H670c6.8 0 10.5-7.9 6.1-13.1L553.8 512l122.4-145.9c4.4-5.2.7-13.1-6.1-13.1h-58.9c-4.7 0-9.2 2.1-12.3 5.7L512 462.2l-86.8-103.5c-3-3.6-7.5-5.7-12.3-5.7H354c-6.8 0-10.5 7.9-6.1 13.1L470.2 512 347.9 657.9A7.95 7.95 0 0 0 354 671z"}},{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}}]})(props);
};
function AiOutlineClose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M563.8 512l262.5-312.9c4.4-5.2.7-13.1-6.1-13.1h-79.8c-4.7 0-9.2 2.1-12.3 5.7L511.6 449.8 295.1 191.7c-3-3.6-7.5-5.7-12.3-5.7H203c-6.8 0-10.5 7.9-6.1 13.1L459.4 512 196.9 824.9A7.95 7.95 0 0 0 203 838h79.8c4.7 0 9.2-2.1 12.3-5.7l216.5-258.1 216.5 258.1c3 3.6 7.5 5.7 12.3 5.7h79.8c6.8 0 10.5-7.9 6.1-13.1L563.8 512z"}}]})(props);
};
function AiOutlineCloudDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M624 706.3h-74.1V464c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8v242.3H400c-6.7 0-10.4 7.7-6.3 12.9l112 141.7a8 8 0 0 0 12.6 0l112-141.7c4.1-5.2.4-12.9-6.3-12.9z"}},{"tag":"path","attr":{"d":"M811.4 366.7C765.6 245.9 648.9 160 512.2 160S258.8 245.8 213 366.6C127.3 389.1 64 467.2 64 560c0 110.5 89.5 200 199.9 200H304c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8h-40.1c-33.7 0-65.4-13.4-89-37.7-23.5-24.2-36-56.8-34.9-90.6.9-26.4 9.9-51.2 26.2-72.1 16.7-21.3 40.1-36.8 66.1-43.7l37.9-9.9 13.9-36.6c8.6-22.8 20.6-44.1 35.7-63.4a245.6 245.6 0 0 1 52.4-49.9c41.1-28.9 89.5-44.2 140-44.2s98.9 15.3 140 44.2c19.9 14 37.5 30.8 52.4 49.9 15.1 19.3 27.1 40.7 35.7 63.4l13.8 36.5 37.8 10C846.1 454.5 884 503.8 884 560c0 33.1-12.9 64.3-36.3 87.7a123.07 123.07 0 0 1-87.6 36.3H720c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h40.1C870.5 760 960 670.5 960 560c0-92.7-63.1-170.7-148.6-193.3z"}}]})(props);
};
function AiOutlineCloudServer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M704 446H320c-4.4 0-8 3.6-8 8v402c0 4.4 3.6 8 8 8h384c4.4 0 8-3.6 8-8V454c0-4.4-3.6-8-8-8zm-328 64h272v117H376V510zm272 290H376V683h272v117z"}},{"tag":"path","attr":{"d":"M424 748a32 32 0 1 0 64 0 32 32 0 1 0-64 0zm0-178a32 32 0 1 0 64 0 32 32 0 1 0-64 0z"}},{"tag":"path","attr":{"d":"M811.4 368.9C765.6 248 648.9 162 512.2 162S258.8 247.9 213 368.8C126.9 391.5 63.5 470.2 64 563.6 64.6 668 145.6 752.9 247.6 762c4.7.4 8.7-3.3 8.7-8v-60.4c0-4-3-7.4-7-7.9-27-3.4-52.5-15.2-72.1-34.5-24-23.5-37.2-55.1-37.2-88.6 0-28 9.1-54.4 26.2-76.4 16.7-21.4 40.2-36.9 66.1-43.7l37.9-10 13.9-36.7c8.6-22.8 20.6-44.2 35.7-63.5 14.9-19.2 32.6-36 52.4-50 41.1-28.9 89.5-44.2 140-44.2s98.9 15.3 140 44.3c19.9 14 37.5 30.8 52.4 50 15.1 19.3 27.1 40.7 35.7 63.5l13.8 36.6 37.8 10c54.2 14.4 92.1 63.7 92.1 120 0 33.6-13.2 65.1-37.2 88.6-19.5 19.2-44.9 31.1-71.9 34.5-4 .5-6.9 3.9-6.9 7.9V754c0 4.7 4.1 8.4 8.8 8 101.7-9.2 182.5-94 183.2-198.2.6-93.4-62.7-172.1-148.6-194.9z"}}]})(props);
};
function AiOutlineCloudSync (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M811.4 368.9C765.6 248 648.9 162 512.2 162S258.8 247.9 213 368.8C126.9 391.5 63.5 470.2 64 563.6 64.6 668 145.6 752.9 247.6 762c4.7.4 8.7-3.3 8.7-8v-60.4c0-4-3-7.4-7-7.9-27-3.4-52.5-15.2-72.1-34.5-24-23.5-37.2-55.1-37.2-88.6 0-28 9.1-54.4 26.2-76.4 16.7-21.4 40.2-36.9 66.1-43.7l37.9-10 13.9-36.7c8.6-22.8 20.6-44.2 35.7-63.5 14.9-19.2 32.6-36 52.4-50 41.1-28.9 89.5-44.2 140-44.2s98.9 15.3 140 44.3c19.9 14 37.5 30.8 52.4 50 15.1 19.3 27.1 40.7 35.7 63.5l13.8 36.6 37.8 10c54.2 14.4 92.1 63.7 92.1 120 0 33.6-13.2 65.1-37.2 88.6-19.5 19.2-44.9 31.1-71.9 34.5-4 .5-6.9 3.9-6.9 7.9V754c0 4.7 4.1 8.4 8.8 8 101.7-9.2 182.5-94 183.2-198.2.6-93.4-62.7-172.1-148.6-194.9z"}},{"tag":"path","attr":{"d":"M376.9 656.4c1.8-33.5 15.7-64.7 39.5-88.6 25.4-25.5 60-39.8 96-39.8 36.2 0 70.3 14.1 96 39.8 1.4 1.4 2.7 2.8 4.1 4.3l-25 19.6a8 8 0 0 0 3 14.1l98.2 24c5 1.2 9.9-2.6 9.9-7.7l.5-101.3c0-6.7-7.6-10.5-12.9-6.3L663 532.7c-36.6-42-90.4-68.6-150.5-68.6-107.4 0-195 85.1-199.4 191.7-.2 4.5 3.4 8.3 8 8.3H369c4.2-.1 7.7-3.4 7.9-7.7zM703 664h-47.9c-4.2 0-7.7 3.3-8 7.6-1.8 33.5-15.7 64.7-39.5 88.6-25.4 25.5-60 39.8-96 39.8-36.2 0-70.3-14.1-96-39.8-1.4-1.4-2.7-2.8-4.1-4.3l25-19.6a8 8 0 0 0-3-14.1l-98.2-24c-5-1.2-9.9 2.6-9.9 7.7l-.4 101.4c0 6.7 7.6 10.5 12.9 6.3l23.2-18.2c36.6 42 90.4 68.6 150.5 68.6 107.4 0 195-85.1 199.4-191.7.2-4.5-3.4-8.3-8-8.3z"}}]})(props);
};
function AiOutlineCloudUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M518.3 459a8 8 0 0 0-12.6 0l-112 141.7a7.98 7.98 0 0 0 6.3 12.9h73.9V856c0 4.4 3.6 8 8 8h60c4.4 0 8-3.6 8-8V613.7H624c6.7 0 10.4-7.7 6.3-12.9L518.3 459z"}},{"tag":"path","attr":{"d":"M811.4 366.7C765.6 245.9 648.9 160 512.2 160S258.8 245.8 213 366.6C127.3 389.1 64 467.2 64 560c0 110.5 89.5 200 199.9 200H304c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8h-40.1c-33.7 0-65.4-13.4-89-37.7-23.5-24.2-36-56.8-34.9-90.6.9-26.4 9.9-51.2 26.2-72.1 16.7-21.3 40.1-36.8 66.1-43.7l37.9-9.9 13.9-36.6c8.6-22.8 20.6-44.1 35.7-63.4a245.6 245.6 0 0 1 52.4-49.9c41.1-28.9 89.5-44.2 140-44.2s98.9 15.3 140 44.2c19.9 14 37.5 30.8 52.4 49.9 15.1 19.3 27.1 40.7 35.7 63.4l13.8 36.5 37.8 10C846.1 454.5 884 503.8 884 560c0 33.1-12.9 64.3-36.3 87.7a123.07 123.07 0 0 1-87.6 36.3H720c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h40.1C870.5 760 960 670.5 960 560c0-92.7-63.1-170.7-148.6-193.3z"}}]})(props);
};
function AiOutlineCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M811.4 418.7C765.6 297.9 648.9 212 512.2 212S258.8 297.8 213 418.6C127.3 441.1 64 519.1 64 612c0 110.5 89.5 200 199.9 200h496.2C870.5 812 960 722.5 960 612c0-92.7-63.1-170.7-148.6-193.3zm36.3 281a123.07 123.07 0 0 1-87.6 36.3H263.9c-33.1 0-64.2-12.9-87.6-36.3A123.3 123.3 0 0 1 140 612c0-28 9.1-54.3 26.2-76.3a125.7 125.7 0 0 1 66.1-43.7l37.9-9.9 13.9-36.6c8.6-22.8 20.6-44.1 35.7-63.4a245.6 245.6 0 0 1 52.4-49.9c41.1-28.9 89.5-44.2 140-44.2s98.9 15.3 140 44.2c19.9 14 37.5 30.8 52.4 49.9 15.1 19.3 27.1 40.7 35.7 63.4l13.8 36.5 37.8 10c54.3 14.5 92.1 63.8 92.1 120 0 33.1-12.9 64.3-36.3 87.7z"}}]})(props);
};
function AiOutlineCluster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M888 680h-54V540H546v-92h238c8.8 0 16-7.2 16-16V168c0-8.8-7.2-16-16-16H240c-8.8 0-16 7.2-16 16v264c0 8.8 7.2 16 16 16h238v92H190v140h-54c-4.4 0-8 3.6-8 8v176c0 4.4 3.6 8 8 8h176c4.4 0 8-3.6 8-8V688c0-4.4-3.6-8-8-8h-54v-72h220v72h-54c-4.4 0-8 3.6-8 8v176c0 4.4 3.6 8 8 8h176c4.4 0 8-3.6 8-8V688c0-4.4-3.6-8-8-8h-54v-72h220v72h-54c-4.4 0-8 3.6-8 8v176c0 4.4 3.6 8 8 8h176c4.4 0 8-3.6 8-8V688c0-4.4-3.6-8-8-8zM256 805.3c0 1.5-1.2 2.7-2.7 2.7h-58.7c-1.5 0-2.7-1.2-2.7-2.7v-58.7c0-1.5 1.2-2.7 2.7-2.7h58.7c1.5 0 2.7 1.2 2.7 2.7v58.7zm288 0c0 1.5-1.2 2.7-2.7 2.7h-58.7c-1.5 0-2.7-1.2-2.7-2.7v-58.7c0-1.5 1.2-2.7 2.7-2.7h58.7c1.5 0 2.7 1.2 2.7 2.7v58.7zM288 384V216h448v168H288zm544 421.3c0 1.5-1.2 2.7-2.7 2.7h-58.7c-1.5 0-2.7-1.2-2.7-2.7v-58.7c0-1.5 1.2-2.7 2.7-2.7h58.7c1.5 0 2.7 1.2 2.7 2.7v58.7zM360 300a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}}]})(props);
};
function AiOutlineCodeSandbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M709.6 210l.4-.2h.2L512 96 313.9 209.8h-.2l.7.3L151.5 304v416L512 928l360.5-208V304l-162.9-94zM482.7 843.6L339.6 761V621.4L210 547.8V372.9l272.7 157.3v313.4zM238.2 321.5l134.7-77.8 138.9 79.7 139.1-79.9 135.2 78-273.9 158-274-158zM814 548.3l-128.8 73.1v139.1l-143.9 83V530.4L814 373.1v175.2z"}}]})(props);
};
function AiOutlineCode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M516 673c0 4.4 3.4 8 7.5 8h185c4.1 0 7.5-3.6 7.5-8v-48c0-4.4-3.4-8-7.5-8h-185c-4.1 0-7.5 3.6-7.5 8v48zm-194.9 6.1l192-161c3.8-3.2 3.8-9.1 0-12.3l-192-160.9A7.95 7.95 0 0 0 308 351v62.7c0 2.4 1 4.6 2.9 6.1L420.7 512l-109.8 92.2a8.1 8.1 0 0 0-2.9 6.1V673c0 6.8 7.9 10.5 13.1 6.1zM880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}}]})(props);
};
function AiOutlineCodepenCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M488.1 414.7V303.4L300.9 428l83.6 55.8zm254.1 137.7v-79.8l-59.8 39.9zM512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm278 533c0 1.1-.1 2.1-.2 3.1 0 .4-.1.7-.2 1a14.16 14.16 0 0 1-.8 3.2c-.2.6-.4 1.2-.6 1.7-.2.4-.4.8-.5 1.2-.3.5-.5 1.1-.8 1.6-.2.4-.4.7-.7 1.1-.3.5-.7 1-1 1.5-.3.4-.5.7-.8 1-.4.4-.8.9-1.2 1.3-.3.3-.6.6-1 .9-.4.4-.9.8-1.4 1.1-.4.3-.7.6-1.1.8-.1.1-.3.2-.4.3L525.2 786c-4 2.7-8.6 4-13.2 4-4.7 0-9.3-1.4-13.3-4L244.6 616.9c-.1-.1-.3-.2-.4-.3l-1.1-.8c-.5-.4-.9-.7-1.3-1.1-.3-.3-.6-.6-1-.9-.4-.4-.8-.8-1.2-1.3a7 7 0 0 1-.8-1c-.4-.5-.7-1-1-1.5-.2-.4-.5-.7-.7-1.1-.3-.5-.6-1.1-.8-1.6-.2-.4-.4-.8-.5-1.2-.2-.6-.4-1.2-.6-1.7-.1-.4-.3-.8-.4-1.2-.2-.7-.3-1.3-.4-2-.1-.3-.1-.7-.2-1-.1-1-.2-2.1-.2-3.1V427.9c0-1 .1-2.1.2-3.1.1-.3.1-.7.2-1a14.16 14.16 0 0 1 .8-3.2c.2-.6.4-1.2.6-1.7.2-.4.4-.8.5-1.2.2-.5.5-1.1.8-1.6.2-.4.4-.7.7-1.1.6-.9 1.2-1.7 1.8-2.5.4-.4.8-.9 1.2-1.3.3-.3.6-.6 1-.9.4-.4.9-.8 1.3-1.1.4-.3.7-.6 1.1-.8.1-.1.3-.2.4-.3L498.7 239c8-5.3 18.5-5.3 26.5 0l254.1 169.1c.1.1.3.2.4.3l1.1.8 1.4 1.1c.3.3.6.6 1 .9.4.4.8.8 1.2 1.3.7.8 1.3 1.6 1.8 2.5.2.4.5.7.7 1.1.3.5.6 1 .8 1.6.2.4.4.8.5 1.2.2.6.4 1.2.6 1.7.1.4.3.8.4 1.2.2.7.3 1.3.4 2 .1.3.1.7.2 1 .1 1 .2 2.1.2 3.1V597zm-254.1 13.3v111.3L723.1 597l-83.6-55.8zM281.8 472.6v79.8l59.8-39.9zM512 456.1l-84.5 56.4 84.5 56.4 84.5-56.4zM723.1 428L535.9 303.4v111.3l103.6 69.1zM384.5 541.2L300.9 597l187.2 124.6V610.3l-103.6-69.1z"}}]})(props);
};
function AiOutlineCodepen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M911.7 385.3l-.3-1.5c-.2-1-.3-1.9-.6-2.9-.2-.6-.4-1.1-.5-1.7-.3-.8-.5-1.7-.9-2.5-.2-.6-.5-1.1-.8-1.7-.4-.8-.8-1.5-1.2-2.3-.3-.5-.6-1.1-1-1.6-.8-1.2-1.7-2.4-2.6-3.6-.5-.6-1.1-1.3-1.7-1.9-.4-.5-.9-.9-1.4-1.3-.6-.6-1.3-1.1-1.9-1.6-.5-.4-1-.8-1.6-1.2-.2-.1-.4-.3-.6-.4L531.1 117.8a34.3 34.3 0 0 0-38.1 0L127.3 361.3c-.2.1-.4.3-.6.4-.5.4-1 .8-1.6 1.2-.7.5-1.3 1.1-1.9 1.6-.5.4-.9.9-1.4 1.3-.6.6-1.2 1.2-1.7 1.9-1 1.1-1.8 2.3-2.6 3.6-.3.5-.7 1-1 1.6-.4.7-.8 1.5-1.2 2.3-.3.5-.5 1.1-.8 1.7-.3.8-.6 1.7-.9 2.5-.2.6-.4 1.1-.5 1.7-.2.9-.4 1.9-.6 2.9l-.3 1.5c-.2 1.5-.3 3-.3 4.5v243.5c0 1.5.1 3 .3 4.5l.3 1.5.6 2.9c.2.6.3 1.1.5 1.7.3.9.6 1.7.9 2.5.2.6.5 1.1.8 1.7.4.8.7 1.5 1.2 2.3.3.5.6 1.1 1 1.6.5.7.9 1.4 1.5 2.1l1.2 1.5c.5.6 1.1 1.3 1.7 1.9.4.5.9.9 1.4 1.3.6.6 1.3 1.1 1.9 1.6.5.4 1 .8 1.6 1.2.2.1.4.3.6.4L493 905.7c5.6 3.8 12.3 5.8 19.1 5.8 6.6 0 13.3-1.9 19.1-5.8l365.6-243.5c.2-.1.4-.3.6-.4.5-.4 1-.8 1.6-1.2.7-.5 1.3-1.1 1.9-1.6.5-.4.9-.9 1.4-1.3.6-.6 1.2-1.2 1.7-1.9l1.2-1.5 1.5-2.1c.3-.5.7-1 1-1.6.4-.8.8-1.5 1.2-2.3.3-.5.5-1.1.8-1.7.3-.8.6-1.7.9-2.5.2-.5.4-1.1.5-1.7.3-.9.4-1.9.6-2.9l.3-1.5c.2-1.5.3-3 .3-4.5V389.8c-.3-1.5-.4-3-.6-4.5zM546.4 210.5l269.4 179.4-120.3 80.4-149-99.6V210.5zm-68.8 0v160.2l-149 99.6-120.3-80.4 269.3-179.4zM180.7 454.1l86 57.5-86 57.5v-115zm296.9 358.5L208.3 633.2l120.3-80.4 149 99.6v160.2zM512 592.8l-121.6-81.2L512 430.3l121.6 81.2L512 592.8zm34.4 219.8V652.4l149-99.6 120.3 80.4-269.3 179.4zM843.3 569l-86-57.5 86-57.5v115z"}}]})(props);
};
function AiOutlineCoffee (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M275 281c19.9 0 36-16.1 36-36V36c0-19.9-16.1-36-36-36s-36 16.1-36 36v209c0 19.9 16.1 36 36 36zm613 144H768c0-39.8-32.2-72-72-72H200c-39.8 0-72 32.2-72 72v248c0 3.4.2 6.7.7 9.9-.5 7-.7 14-.7 21.1 0 176.7 143.3 320 320 320 160.1 0 292.7-117.5 316.3-271H888c39.8 0 72-32.2 72-72V497c0-39.8-32.2-72-72-72zM696 681h-1.1c.7 7.6 1.1 15.2 1.1 23 0 137-111 248-248 248S200 841 200 704c0-7.8.4-15.4 1.1-23H200V425h496v256zm192-8H776V497h112v176zM613 281c19.9 0 36-16.1 36-36V36c0-19.9-16.1-36-36-36s-36 16.1-36 36v209c0 19.9 16.1 36 36 36zm-170 0c19.9 0 36-16.1 36-36V36c0-19.9-16.1-36-36-36s-36 16.1-36 36v209c0 19.9 16.1 36 36 36z"}}]})(props);
};
function AiOutlineColumnHeight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M840 836H184c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h656c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8zm0-724H184c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h656c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8zM610.8 378c6 0 9.4-7 5.7-11.7L515.7 238.7a7.14 7.14 0 0 0-11.3 0L403.6 366.3a7.23 7.23 0 0 0 5.7 11.7H476v268h-62.8c-6 0-9.4 7-5.7 11.7l100.8 127.5c2.9 3.7 8.5 3.7 11.3 0l100.8-127.5c3.7-4.7.4-11.7-5.7-11.7H548V378h62.8z"}}]})(props);
};
function AiOutlineColumnWidth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M180 176h-60c-4.4 0-8 3.6-8 8v656c0 4.4 3.6 8 8 8h60c4.4 0 8-3.6 8-8V184c0-4.4-3.6-8-8-8zm724 0h-60c-4.4 0-8 3.6-8 8v656c0 4.4 3.6 8 8 8h60c4.4 0 8-3.6 8-8V184c0-4.4-3.6-8-8-8zM785.3 504.3L657.7 403.6a7.23 7.23 0 0 0-11.7 5.7V476H378v-62.8c0-6-7-9.4-11.7-5.7L238.7 508.3a7.14 7.14 0 0 0 0 11.3l127.5 100.8c4.7 3.7 11.7.4 11.7-5.7V548h268v62.8c0 6 7 9.4 11.7 5.7l127.5-100.8c3.8-2.9 3.8-8.5.2-11.4z"}}]})(props);
};
function AiOutlineComment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569682881658","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M573 421c-23.1 0-41 17.9-41 40s17.9 40 41 40c21.1 0 39-17.9 39-40s-17.9-40-39-40zM293 421c-23.1 0-41 17.9-41 40s17.9 40 41 40c21.1 0 39-17.9 39-40s-17.9-40-39-40z"}},{"tag":"path","attr":{"d":"M894 345c-48.1-66-115.3-110.1-189-130v0.1c-17.1-19-36.4-36.5-58-52.1-163.7-119-393.5-82.7-513 81-96.3 133-92.2 311.9 6 439l0.8 132.6c0 3.2 0.5 6.4 1.5 9.4 5.3 16.9 23.3 26.2 40.1 20.9L309 806c33.5 11.9 68.1 18.7 102.5 20.6l-0.5 0.4c89.1 64.9 205.9 84.4 313 49l127.1 41.4c3.2 1 6.5 1.6 9.9 1.6 17.7 0 32-14.3 32-32V753c88.1-119.6 90.4-284.9 1-408zM323 735l-12-5-99 31-1-104-8-9c-84.6-103.2-90.2-251.9-11-361 96.4-132.2 281.2-161.4 413-66 132.2 96.1 161.5 280.6 66 412-80.1 109.9-223.5 150.5-348 102z m505-17l-8 10 1 104-98-33-12 5c-56 20.8-115.7 22.5-171 7l-0.2-0.1C613.7 788.2 680.7 742.2 729 676c76.4-105.3 88.8-237.6 44.4-350.4l0.6 0.4c23 16.5 44.1 37.1 62 62 72.6 99.6 68.5 235.2-8 330z"}},{"tag":"path","attr":{"d":"M433 421c-23.1 0-41 17.9-41 40s17.9 40 41 40c21.1 0 39-17.9 39-40s-17.9-40-39-40z"}}]})(props);
};
function AiOutlineCompass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372zm198.4-588.1a32 32 0 0 0-24.5.5L414.9 415 296.4 686c-3.6 8.2-3.6 17.5 0 25.7 3.4 7.8 9.7 13.9 17.7 17 3.8 1.5 7.7 2.2 11.7 2.2 4.4 0 8.7-.9 12.8-2.7l271-118.6 118.5-271a32.06 32.06 0 0 0-17.7-42.7zM576.8 534.4l26.2 26.2-42.4 42.4-26.2-26.2L380 644.4 447.5 490 422 464.4l42.4-42.4 25.5 25.5L644.4 380l-67.6 154.4zM464.4 422L422 464.4l25.5 25.6 86.9 86.8 26.2 26.2 42.4-42.4-26.2-26.2-86.8-86.9z"}}]})(props);
};
function AiOutlineCompress (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683667781","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M326 664H104c-8.8 0-16 7.2-16 16v48c0 8.8 7.2 16 16 16h174v176c0 8.8 7.2 16 16 16h48c8.8 0 16-7.2 16-16V696c0-17.7-14.3-32-32-32zM342 88h-48c-8.8 0-16 7.2-16 16v176H104c-8.8 0-16 7.2-16 16v48c0 8.8 7.2 16 16 16h222c17.7 0 32-14.3 32-32V104c0-8.8-7.2-16-16-16zM920 664H698c-17.7 0-32 14.3-32 32v224c0 8.8 7.2 16 16 16h48c8.8 0 16-7.2 16-16V744h174c8.8 0 16-7.2 16-16v-48c0-8.8-7.2-16-16-16zM920 280H746V104c0-8.8-7.2-16-16-16h-48c-8.8 0-16 7.2-16 16v224c0 17.7 14.3 32 32 32h222c8.8 0 16-7.2 16-16v-48c0-8.8-7.2-16-16-16z"}}]})(props);
};
function AiOutlineConsoleSql (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683650778","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M301.3 496.7c-23.8 0-40.2-10.5-41.6-26.9H205c0.9 43.4 36.9 70.3 93.9 70.3 59.1 0 95-28.4 95-75.5 0-35.8-20-55.9-64.5-64.5l-29.1-5.6c-23.8-4.7-33.8-11.9-33.8-24.2 0-15 13.3-24.5 33.4-24.5 20.1 0 35.3 11.1 36.6 27h53c-0.9-41.7-37.5-70.3-90.3-70.3-54.4 0-89.7 28.9-89.7 73 0 35.5 21.2 58 62.5 65.8l29.7 5.9c25.8 5.2 35.6 11.9 35.6 24.4 0.1 14.7-14.5 25.1-36 25.1z"}},{"tag":"path","attr":{"d":"M928 140H96c-17.7 0-32 14.3-32 32v496c0 17.7 14.3 32 32 32h380v112H304c-8.8 0-16 7.2-16 16v48c0 4.4 3.6 8 8 8h432c4.4 0 8-3.6 8-8v-48c0-8.8-7.2-16-16-16H548V700h380c17.7 0 32-14.3 32-32V172c0-17.7-14.3-32-32-32z m-40 488H136V212h752v416z"}},{"tag":"path","attr":{"d":"M828.5 486.7h-95.8V308.5h-57.4V534h153.2zM529.9 540.1c14.1 0 27.2-2 39.1-5.8l13.3 20.3h53.3L607.9 511c21.1-20 33-51.1 33-89.8 0-73.3-43.3-118.8-110.9-118.8s-111.2 45.3-111.2 118.8c-0.1 73.7 43 118.9 111.1 118.9z m0-190c31.6 0 52.7 27.7 52.7 71.1 0 16.7-3.6 30.6-10 40.5l-5.2-6.9h-48.8L542 491c-3.9 0.9-8 1.4-12.2 1.4-31.7 0-52.8-27.5-52.8-71.2 0.1-43.6 21.2-71.1 52.9-71.1z"}}]})(props);
};
function AiOutlineContacts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M594.3 601.5a111.8 111.8 0 0 0 29.1-75.5c0-61.9-49.9-112-111.4-112s-111.4 50.1-111.4 112c0 29.1 11 55.5 29.1 75.5a158.09 158.09 0 0 0-74.6 126.1 8 8 0 0 0 8 8.4H407c4.2 0 7.6-3.3 7.9-7.5 3.8-50.6 46-90.5 97.2-90.5s93.4 40 97.2 90.5c.3 4.2 3.7 7.5 7.9 7.5H661a8 8 0 0 0 8-8.4c-2.8-53.3-32-99.7-74.7-126.1zM512 578c-28.5 0-51.7-23.3-51.7-52s23.2-52 51.7-52 51.7 23.3 51.7 52-23.2 52-51.7 52zm416-354H768v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H548v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H328v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H96c-17.7 0-32 14.3-32 32v576c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V256c0-17.7-14.3-32-32-32zm-40 568H136V296h120v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56h148v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56h148v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56h120v496z"}}]})(props);
};
function AiOutlineContainer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 64H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zm-40 824H232V687h97.9c11.6 32.8 32 62.3 59.1 84.7 34.5 28.5 78.2 44.3 123 44.3s88.5-15.7 123-44.3c27.1-22.4 47.5-51.9 59.1-84.7H792v-63H643.6l-5.2 24.7C626.4 708.5 573.2 752 512 752s-114.4-43.5-126.5-103.3l-5.2-24.7H232V136h560v752zM320 341h384c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H320c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8zm0 160h384c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H320c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlineControl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656zM340 683v77c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-77c-10.1 3.3-20.8 5-32 5s-21.9-1.8-32-5zm64-198V264c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v221c10.1-3.3 20.8-5 32-5s21.9 1.8 32 5zm-64 198c10.1 3.3 20.8 5 32 5s21.9-1.8 32-5c41.8-13.5 72-52.7 72-99s-30.2-85.5-72-99c-10.1-3.3-20.8-5-32-5s-21.9 1.8-32 5c-41.8 13.5-72 52.7-72 99s30.2 85.5 72 99zm.1-115.7c.3-.6.7-1.2 1-1.8v-.1l1.2-1.8c.1-.2.2-.3.3-.5.3-.5.7-.9 1-1.4.1-.1.2-.3.3-.4.5-.6.9-1.1 1.4-1.6l.3-.3 1.2-1.2.4-.4c.5-.5 1-.9 1.6-1.4.6-.5 1.1-.9 1.7-1.3.2-.1.3-.2.5-.3.5-.3.9-.7 1.4-1 .1-.1.3-.2.4-.3.6-.4 1.2-.7 1.9-1.1.1-.1.3-.1.4-.2.5-.3 1-.5 1.6-.8l.6-.3c.7-.3 1.3-.6 2-.8.7-.3 1.4-.5 2.1-.7.2-.1.4-.1.6-.2.6-.2 1.1-.3 1.7-.4.2 0 .3-.1.5-.1.7-.2 1.5-.3 2.2-.4.2 0 .3 0 .5-.1.6-.1 1.2-.1 1.8-.2h.6c.8 0 1.5-.1 2.3-.1s1.5 0 2.3.1h.6c.6 0 1.2.1 1.8.2.2 0 .3 0 .5.1.7.1 1.5.2 2.2.4.2 0 .3.1.5.1.6.1 1.2.3 1.7.4.2.1.4.1.6.2.7.2 1.4.4 2.1.7.7.2 1.3.5 2 .8l.6.3c.5.2 1.1.5 1.6.8.1.1.3.1.4.2.6.3 1.3.7 1.9 1.1.1.1.3.2.4.3.5.3 1 .6 1.4 1 .2.1.3.2.5.3.6.4 1.2.9 1.7 1.3s1.1.9 1.6 1.4l.4.4 1.2 1.2.3.3c.5.5 1 1.1 1.4 1.6.1.1.2.3.3.4.4.4.7.9 1 1.4.1.2.2.3.3.5l1.2 1.8s0 .1.1.1a36.18 36.18 0 0 1 5.1 18.5c0 6-1.5 11.7-4.1 16.7-.3.6-.7 1.2-1 1.8 0 0 0 .1-.1.1l-1.2 1.8c-.1.2-.2.3-.3.5-.3.5-.7.9-1 1.4-.1.1-.2.3-.3.4-.5.6-.9 1.1-1.4 1.6l-.3.3-1.2 1.2-.4.4c-.5.5-1 .9-1.6 1.4-.6.5-1.1.9-1.7 1.3-.2.1-.3.2-.5.3-.5.3-.9.7-1.4 1-.1.1-.3.2-.4.3-.6.4-1.2.7-1.9 1.1-.1.1-.3.1-.4.2-.5.3-1 .5-1.6.8l-.6.3c-.7.3-1.3.6-2 .8-.7.3-1.4.5-2.1.7-.2.1-.4.1-.6.2-.6.2-1.1.3-1.7.4-.2 0-.3.1-.5.1-.7.2-1.5.3-2.2.4-.2 0-.3 0-.5.1-.6.1-1.2.1-1.8.2h-.6c-.8 0-1.5.1-2.3.1s-1.5 0-2.3-.1h-.6c-.6 0-1.2-.1-1.8-.2-.2 0-.3 0-.5-.1-.7-.1-1.5-.2-2.2-.4-.2 0-.3-.1-.5-.1-.6-.1-1.2-.3-1.7-.4-.2-.1-.4-.1-.6-.2-.7-.2-1.4-.4-2.1-.7-.7-.2-1.3-.5-2-.8l-.6-.3c-.5-.2-1.1-.5-1.6-.8-.1-.1-.3-.1-.4-.2-.6-.3-1.3-.7-1.9-1.1-.1-.1-.3-.2-.4-.3-.5-.3-1-.6-1.4-1-.2-.1-.3-.2-.5-.3-.6-.4-1.2-.9-1.7-1.3s-1.1-.9-1.6-1.4l-.4-.4-1.2-1.2-.3-.3c-.5-.5-1-1.1-1.4-1.6-.1-.1-.2-.3-.3-.4-.4-.4-.7-.9-1-1.4-.1-.2-.2-.3-.3-.5l-1.2-1.8v-.1c-.4-.6-.7-1.2-1-1.8-2.6-5-4.1-10.7-4.1-16.7s1.5-11.7 4.1-16.7zM620 539v221c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V539c-10.1 3.3-20.8 5-32 5s-21.9-1.8-32-5zm64-198v-77c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v77c10.1-3.3 20.8-5 32-5s21.9 1.8 32 5zm-64 198c10.1 3.3 20.8 5 32 5s21.9-1.8 32-5c41.8-13.5 72-52.7 72-99s-30.2-85.5-72-99c-10.1-3.3-20.8-5-32-5s-21.9 1.8-32 5c-41.8 13.5-72 52.7-72 99s30.2 85.5 72 99zm.1-115.7c.3-.6.7-1.2 1-1.8v-.1l1.2-1.8c.1-.2.2-.3.3-.5.3-.5.7-.9 1-1.4.1-.1.2-.3.3-.4.5-.6.9-1.1 1.4-1.6l.3-.3 1.2-1.2.4-.4c.5-.5 1-.9 1.6-1.4.6-.5 1.1-.9 1.7-1.3.2-.1.3-.2.5-.3.5-.3.9-.7 1.4-1 .1-.1.3-.2.4-.3.6-.4 1.2-.7 1.9-1.1.1-.1.3-.1.4-.2.5-.3 1-.5 1.6-.8l.6-.3c.7-.3 1.3-.6 2-.8.7-.3 1.4-.5 2.1-.7.2-.1.4-.1.6-.2.6-.2 1.1-.3 1.7-.4.2 0 .3-.1.5-.1.7-.2 1.5-.3 2.2-.4.2 0 .3 0 .5-.1.6-.1 1.2-.1 1.8-.2h.6c.8 0 1.5-.1 2.3-.1s1.5 0 2.3.1h.6c.6 0 1.2.1 1.8.2.2 0 .3 0 .5.1.7.1 1.5.2 2.2.4.2 0 .3.1.5.1.6.1 1.2.3 1.7.4.2.1.4.1.6.2.7.2 1.4.4 2.1.7.7.2 1.3.5 2 .8l.6.3c.5.2 1.1.5 1.6.8.1.1.3.1.4.2.6.3 1.3.7 1.9 1.1.1.1.3.2.4.3.5.3 1 .6 1.4 1 .2.1.3.2.5.3.6.4 1.2.9 1.7 1.3s1.1.9 1.6 1.4l.4.4 1.2 1.2.3.3c.5.5 1 1.1 1.4 1.6.1.1.2.3.3.4.4.4.7.9 1 1.4.1.2.2.3.3.5l1.2 1.8v.1a36.18 36.18 0 0 1 5.1 18.5c0 6-1.5 11.7-4.1 16.7-.3.6-.7 1.2-1 1.8v.1l-1.2 1.8c-.1.2-.2.3-.3.5-.3.5-.7.9-1 1.4-.1.1-.2.3-.3.4-.5.6-.9 1.1-1.4 1.6l-.3.3-1.2 1.2-.4.4c-.5.5-1 .9-1.6 1.4-.6.5-1.1.9-1.7 1.3-.2.1-.3.2-.5.3-.5.3-.9.7-1.4 1-.1.1-.3.2-.4.3-.6.4-1.2.7-1.9 1.1-.1.1-.3.1-.4.2-.5.3-1 .5-1.6.8l-.6.3c-.7.3-1.3.6-2 .8-.7.3-1.4.5-2.1.7-.2.1-.4.1-.6.2-.6.2-1.1.3-1.7.4-.2 0-.3.1-.5.1-.7.2-1.5.3-2.2.4-.2 0-.3 0-.5.1-.6.1-1.2.1-1.8.2h-.6c-.8 0-1.5.1-2.3.1s-1.5 0-2.3-.1h-.6c-.6 0-1.2-.1-1.8-.2-.2 0-.3 0-.5-.1-.7-.1-1.5-.2-2.2-.4-.2 0-.3-.1-.5-.1-.6-.1-1.2-.3-1.7-.4-.2-.1-.4-.1-.6-.2-.7-.2-1.4-.4-2.1-.7-.7-.2-1.3-.5-2-.8l-.6-.3c-.5-.2-1.1-.5-1.6-.8-.1-.1-.3-.1-.4-.2-.6-.3-1.3-.7-1.9-1.1-.1-.1-.3-.2-.4-.3-.5-.3-1-.6-1.4-1-.2-.1-.3-.2-.5-.3-.6-.4-1.2-.9-1.7-1.3s-1.1-.9-1.6-1.4l-.4-.4-1.2-1.2-.3-.3c-.5-.5-1-1.1-1.4-1.6-.1-.1-.2-.3-.3-.4-.4-.4-.7-.9-1-1.4-.1-.2-.2-.3-.3-.5l-1.2-1.8v-.1c-.4-.6-.7-1.2-1-1.8-2.6-5-4.1-10.7-4.1-16.7s1.5-11.7 4.1-16.7z"}}]})(props);
};
function AiOutlineCopy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 64H296c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h496v688c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V96c0-17.7-14.3-32-32-32zM704 192H192c-17.7 0-32 14.3-32 32v530.7c0 8.5 3.4 16.6 9.4 22.6l173.3 173.3c2.2 2.2 4.7 4 7.4 5.5v1.9h4.2c3.5 1.3 7.2 2 11 2H704c17.7 0 32-14.3 32-32V224c0-17.7-14.3-32-32-32zM350 856.2L263.9 770H350v86.2zM664 888H414V746c0-22.1-17.9-40-40-40H232V264h432v624z"}}]})(props);
};
function AiOutlineCopyrightCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372zm5.6-532.7c53 0 89 33.8 93 83.4.3 4.2 3.8 7.4 8 7.4h56.7c2.6 0 4.7-2.1 4.7-4.7 0-86.7-68.4-147.4-162.7-147.4C407.4 290 344 364.2 344 486.8v52.3C344 660.8 407.4 734 517.3 734c94 0 162.7-58.8 162.7-141.4 0-2.6-2.1-4.7-4.7-4.7h-56.8c-4.2 0-7.6 3.2-8 7.3-4.2 46.1-40.1 77.8-93 77.8-65.3 0-102.1-47.9-102.1-133.6v-52.6c.1-87 37-135.5 102.2-135.5z"}}]})(props);
};
function AiOutlineCopyright (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372zm5.6-532.7c53 0 89 33.8 93 83.4.3 4.2 3.8 7.4 8 7.4h56.7c2.6 0 4.7-2.1 4.7-4.7 0-86.7-68.4-147.4-162.7-147.4C407.4 290 344 364.2 344 486.8v52.3C344 660.8 407.4 734 517.3 734c94 0 162.7-58.8 162.7-141.4 0-2.6-2.1-4.7-4.7-4.7h-56.8c-4.2 0-7.6 3.2-8 7.3-4.2 46.1-40.1 77.8-93 77.8-65.3 0-102.1-47.9-102.1-133.6v-52.6c.1-87 37-135.5 102.2-135.5z"}}]})(props);
};
function AiOutlineCreditCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 160H96c-17.7 0-32 14.3-32 32v640c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V192c0-17.7-14.3-32-32-32zm-792 72h752v120H136V232zm752 560H136V440h752v352zm-237-64h165c4.4 0 8-3.6 8-8v-72c0-4.4-3.6-8-8-8H651c-4.4 0-8 3.6-8 8v72c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlineCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M899.6 276.5L705 396.4 518.4 147.5a8.06 8.06 0 0 0-12.9 0L319 396.4 124.3 276.5c-5.7-3.5-13.1 1.2-12.2 7.9L188.5 865c1.1 7.9 7.9 14 16 14h615.1c8 0 14.9-6 15.9-14l76.4-580.6c.8-6.7-6.5-11.4-12.3-7.9zm-126 534.1H250.3l-53.8-409.4 139.8 86.1L512 252.9l175.7 234.4 139.8-86.1-53.9 409.4zM512 509c-62.1 0-112.6 50.5-112.6 112.6S449.9 734.2 512 734.2s112.6-50.5 112.6-112.6S574.1 509 512 509zm0 160.9c-26.6 0-48.2-21.6-48.2-48.3 0-26.6 21.6-48.3 48.2-48.3s48.2 21.6 48.2 48.3c0 26.6-21.6 48.3-48.2 48.3z"}}]})(props);
};
function AiOutlineCustomerService (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 128c-212.1 0-384 171.9-384 384v360c0 13.3 10.7 24 24 24h184c35.3 0 64-28.7 64-64V624c0-35.3-28.7-64-64-64H200v-48c0-172.3 139.7-312 312-312s312 139.7 312 312v48H688c-35.3 0-64 28.7-64 64v208c0 35.3 28.7 64 64 64h184c13.3 0 24-10.7 24-24V512c0-212.1-171.9-384-384-384zM328 632v192H200V632h128zm496 192H696V632h128v192z"}}]})(props);
};
function AiOutlineDash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M112 476h160v72H112zm320 0h160v72H432zm320 0h160v72H752z"}}]})(props);
};
function AiOutlineDashboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M924.8 385.6a446.7 446.7 0 0 0-96-142.4 446.7 446.7 0 0 0-142.4-96C631.1 123.8 572.5 112 512 112s-119.1 11.8-174.4 35.2a446.7 446.7 0 0 0-142.4 96 446.7 446.7 0 0 0-96 142.4C75.8 440.9 64 499.5 64 560c0 132.7 58.3 257.7 159.9 343.1l1.7 1.4c5.8 4.8 13.1 7.5 20.6 7.5h531.7c7.5 0 14.8-2.7 20.6-7.5l1.7-1.4C901.7 817.7 960 692.7 960 560c0-60.5-11.9-119.1-35.2-174.4zM761.4 836H262.6A371.12 371.12 0 0 1 140 560c0-99.4 38.7-192.8 109-263 70.3-70.3 163.7-109 263-109 99.4 0 192.8 38.7 263 109 70.3 70.3 109 163.7 109 263 0 105.6-44.5 205.5-122.6 276zM623.5 421.5a8.03 8.03 0 0 0-11.3 0L527.7 506c-18.7-5-39.4-.2-54.1 14.5a55.95 55.95 0 0 0 0 79.2 55.95 55.95 0 0 0 79.2 0 55.87 55.87 0 0 0 14.5-54.1l84.5-84.5c3.1-3.1 3.1-8.2 0-11.3l-28.3-28.3zM490 320h44c4.4 0 8-3.6 8-8v-80c0-4.4-3.6-8-8-8h-44c-4.4 0-8 3.6-8 8v80c0 4.4 3.6 8 8 8zm260 218v44c0 4.4 3.6 8 8 8h80c4.4 0 8-3.6 8-8v-44c0-4.4-3.6-8-8-8h-80c-4.4 0-8 3.6-8 8zm12.7-197.2l-31.1-31.1a8.03 8.03 0 0 0-11.3 0l-56.6 56.6a8.03 8.03 0 0 0 0 11.3l31.1 31.1c3.1 3.1 8.2 3.1 11.3 0l56.6-56.6c3.1-3.1 3.1-8.2 0-11.3zm-458.6-31.1a8.03 8.03 0 0 0-11.3 0l-31.1 31.1a8.03 8.03 0 0 0 0 11.3l56.6 56.6c3.1 3.1 8.2 3.1 11.3 0l31.1-31.1c3.1-3.1 3.1-8.2 0-11.3l-56.6-56.6zM262 530h-80c-4.4 0-8 3.6-8 8v44c0 4.4 3.6 8 8 8h80c4.4 0 8-3.6 8-8v-44c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineDatabase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 64H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zm-600 72h560v208H232V136zm560 480H232V408h560v208zm0 272H232V680h560v208zM304 240a40 40 0 1 0 80 0 40 40 0 1 0-80 0zm0 272a40 40 0 1 0 80 0 40 40 0 1 0-80 0zm0 272a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}}]})(props);
};
function AiOutlineDeleteColumn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683386799","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M651.1 641.9c-1.4-1.2-3.2-1.9-5.1-1.9h-54.7c-2.4 0-4.6 1.1-6.1 2.9L512 730.7l-73.1-87.8c-1.5-1.8-3.8-2.9-6.1-2.9H378c-1.9 0-3.7 0.7-5.1 1.9-3.4 2.8-3.9 7.9-1 11.3L474.2 776 371.8 898.9c-2.8 3.4-2.4 8.4 1 11.3 1.4 1.2 3.2 1.9 5.1 1.9h54.7c2.4 0 4.6-1.1 6.1-2.9l73.1-87.8 73.1 87.8c1.5 1.8 3.8 2.9 6.1 2.9h55c1.9 0 3.7-0.7 5.1-1.9 3.4-2.8 3.9-7.9 1-11.3L549.8 776l102.4-122.9c2.8-3.4 2.3-8.4-1.1-11.2zM472 544h80c4.4 0 8-3.6 8-8V120c0-4.4-3.6-8-8-8h-80c-4.4 0-8 3.6-8 8v416c0 4.4 3.6 8 8 8zM350 386H184V136c0-3.3-2.7-6-6-6h-60c-3.3 0-6 2.7-6 6v292c0 16.6 13.4 30 30 30h208c3.3 0 6-2.7 6-6v-60c0-3.3-2.7-6-6-6zM906 130h-60c-3.3 0-6 2.7-6 6v250H674c-3.3 0-6 2.7-6 6v60c0 3.3 2.7 6 6 6h208c16.6 0 30-13.4 30-30V136c0-3.3-2.7-6-6-6z"}}]})(props);
};
function AiOutlineDeleteRow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683582196","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M819.8 512l102.4-122.9c2.8-3.4 2.4-8.4-1-11.3-1.4-1.2-3.2-1.9-5.1-1.9h-54.7c-2.4 0-4.6 1.1-6.1 2.9L782 466.7l-73.1-87.8c-1.5-1.8-3.8-2.9-6.1-2.9H648c-1.9 0-3.7 0.7-5.1 1.9-3.4 2.8-3.9 7.9-1 11.3L744.2 512 641.8 634.9c-2.8 3.4-2.4 8.4 1 11.3 1.4 1.2 3.2 1.9 5.1 1.9h54.7c2.4 0 4.6-1.1 6.1-2.9l73.1-87.8 73.1 87.8c1.5 1.8 3.8 2.9 6.1 2.9h55c1.9 0 3.7-0.7 5.1-1.9 3.4-2.8 3.9-7.9 1-11.3L819.8 512zM536 464H120c-4.4 0-8 3.6-8 8v80c0 4.4 3.6 8 8 8h416c4.4 0 8-3.6 8-8v-80c0-4.4-3.6-8-8-8zM452 668h-60c-3.3 0-6 2.7-6 6v166H136c-3.3 0-6 2.7-6 6v60c0 3.3 2.7 6 6 6h292c16.6 0 30-13.4 30-30V674c0-3.3-2.7-6-6-6zM136 184h250v166c0 3.3 2.7 6 6 6h60c3.3 0 6-2.7 6-6V142c0-16.6-13.4-30-30-30H136c-3.3 0-6 2.7-6 6v60c0 3.3 2.7 6 6 6z"}}]})(props);
};
function AiOutlineDelete (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M360 184h-8c4.4 0 8-3.6 8-8v8h304v-8c0 4.4 3.6 8 8 8h-8v72h72v-80c0-35.3-28.7-64-64-64H352c-35.3 0-64 28.7-64 64v80h72v-72zm504 72H160c-17.7 0-32 14.3-32 32v32c0 4.4 3.6 8 8 8h60.4l24.7 523c1.6 34.1 29.8 61 63.9 61h454c34.2 0 62.3-26.8 63.9-61l24.7-523H888c4.4 0 8-3.6 8-8v-32c0-17.7-14.3-32-32-32zM731.3 840H292.7l-24.2-512h487l-24.2 512z"}}]})(props);
};
function AiOutlineDeliveredProcedure (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683642448","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M632 698.3l141.9-112c4.1-3.2 4.1-9.4 0-12.6L632 461.7c-5.3-4.2-13-0.4-13 6.3v76H295c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h324v76c0 6.7 7.8 10.4 13 6.3zM893.3 293.3L730.7 130.7c-7.5-7.5-16.7-13-26.7-16V112H144c-17.7 0-32 14.3-32 32v278c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V184h136v136c0 17.7 14.3 32 32 32h320c17.7 0 32-14.3 32-32V205.8l136 136V422c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-83.5c0-17-6.7-33.2-18.7-45.2zM640 288H384V184h256v104zM904 724h-56c-4.4 0-8 3.6-8 8v108H184V732c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v148c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V732c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineDeploymentUnit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M888.3 693.2c-42.5-24.6-94.3-18-129.2 12.8l-53-30.7V523.6c0-15.7-8.4-30.3-22-38.1l-136-78.3v-67.1c44.2-15 76-56.8 76-106.1 0-61.9-50.1-112-112-112s-112 50.1-112 112c0 49.3 31.8 91.1 76 106.1v67.1l-136 78.3c-13.6 7.8-22 22.4-22 38.1v151.6l-53 30.7c-34.9-30.8-86.8-37.4-129.2-12.8-53.5 31-71.7 99.4-41 152.9 30.8 53.5 98.9 71.9 152.2 41 42.5-24.6 62.7-73 53.6-118.8l48.7-28.3 140.6 81c6.8 3.9 14.4 5.9 22 5.9s15.2-2 22-5.9L674.5 740l48.7 28.3c-9.1 45.7 11.2 94.2 53.6 118.8 53.3 30.9 121.5 12.6 152.2-41 30.8-53.6 12.6-122-40.7-152.9zm-673 138.4a47.6 47.6 0 0 1-65.2-17.6c-13.2-22.9-5.4-52.3 17.5-65.5a47.6 47.6 0 0 1 65.2 17.6c13.2 22.9 5.4 52.3-17.5 65.5zM522 463.8zM464 234a48.01 48.01 0 0 1 96 0 48.01 48.01 0 0 1-96 0zm170 446.2l-122 70.3-122-70.3V539.8l122-70.3 122 70.3v140.4zm239.9 133.9c-13.2 22.9-42.4 30.8-65.2 17.6-22.8-13.2-30.7-42.6-17.5-65.5s42.4-30.8 65.2-17.6c22.9 13.2 30.7 42.5 17.5 65.5z"}}]})(props);
};
function AiOutlineDesktop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 140H96c-17.7 0-32 14.3-32 32v496c0 17.7 14.3 32 32 32h380v112H304c-8.8 0-16 7.2-16 16v48c0 4.4 3.6 8 8 8h432c4.4 0 8-3.6 8-8v-48c0-8.8-7.2-16-16-16H548V700h380c17.7 0 32-14.3 32-32V172c0-17.7-14.3-32-32-32zm-40 488H136V212h752v416z"}}]})(props);
};
function AiOutlineDiff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M476 399.1c0-3.9-3.1-7.1-7-7.1h-42c-3.8 0-7 3.2-7 7.1V484h-84.5c-4.1 0-7.5 3.1-7.5 7v42c0 3.8 3.4 7 7.5 7H420v84.9c0 3.9 3.2 7.1 7 7.1h42c3.9 0 7-3.2 7-7.1V540h84.5c4.1 0 7.5-3.2 7.5-7v-42c0-3.9-3.4-7-7.5-7H476v-84.9zM560.5 704h-225c-4.1 0-7.5 3.2-7.5 7v42c0 3.8 3.4 7 7.5 7h225c4.1 0 7.5-3.2 7.5-7v-42c0-3.8-3.4-7-7.5-7zm-7.1-502.6c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v704c0 17.7 14.3 32 32 32h512c17.7 0 32-14.3 32-32V397.3c0-8.5-3.4-16.6-9.4-22.6L553.4 201.4zM664 888H232V264h282.2L664 413.8V888zm190.2-581.4L611.3 72.9c-6-5.7-13.9-8.9-22.2-8.9H296c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h277l219 210.6V824c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V329.6c0-8.7-3.5-17-9.8-23z"}}]})(props);
};
function AiOutlineDingding (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M573.7 252.5C422.5 197.4 201.3 96.7 201.3 96.7c-15.7-4.1-17.9 11.1-17.9 11.1-5 61.1 33.6 160.5 53.6 182.8 19.9 22.3 319.1 113.7 319.1 113.7S326 357.9 270.5 341.9c-55.6-16-37.9 17.8-37.9 17.8 11.4 61.7 64.9 131.8 107.2 138.4 42.2 6.6 220.1 4 220.1 4s-35.5 4.1-93.2 11.9c-42.7 5.8-97 12.5-111.1 17.8-33.1 12.5 24 62.6 24 62.6 84.7 76.8 129.7 50.5 129.7 50.5 33.3-10.7 61.4-18.5 85.2-24.2L565 743.1h84.6L603 928l205.3-271.9H700.8l22.3-38.7c.3.5.4.8.4.8S799.8 496.1 829 433.8l.6-1h-.1c5-10.8 8.6-19.7 10-25.8 17-71.3-114.5-99.4-265.8-154.5z"}}]})(props);
};
function AiOutlineDingtalk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M573.7 252.5C422.5 197.4 201.3 96.7 201.3 96.7c-15.7-4.1-17.9 11.1-17.9 11.1-5 61.1 33.6 160.5 53.6 182.8 19.9 22.3 319.1 113.7 319.1 113.7S326 357.9 270.5 341.9c-55.6-16-37.9 17.8-37.9 17.8 11.4 61.7 64.9 131.8 107.2 138.4 42.2 6.6 220.1 4 220.1 4s-35.5 4.1-93.2 11.9c-42.7 5.8-97 12.5-111.1 17.8-33.1 12.5 24 62.6 24 62.6 84.7 76.8 129.7 50.5 129.7 50.5 33.3-10.7 61.4-18.5 85.2-24.2L565 743.1h84.6L603 928l205.3-271.9H700.8l22.3-38.7c.3.5.4.8.4.8S799.8 496.1 829 433.8l.6-1h-.1c5-10.8 8.6-19.7 10-25.8 17-71.3-114.5-99.4-265.8-154.5z"}}]})(props);
};
function AiOutlineDisconnect (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832.6 191.4c-84.6-84.6-221.5-84.6-306 0l-96.9 96.9 51 51 96.9-96.9c53.8-53.8 144.6-59.5 204 0 59.5 59.5 53.8 150.2 0 204l-96.9 96.9 51.1 51.1 96.9-96.9c84.4-84.6 84.4-221.5-.1-306.1zM446.5 781.6c-53.8 53.8-144.6 59.5-204 0-59.5-59.5-53.8-150.2 0-204l96.9-96.9-51.1-51.1-96.9 96.9c-84.6 84.6-84.6 221.5 0 306s221.5 84.6 306 0l96.9-96.9-51-51-96.8 97zM260.3 209.4a8.03 8.03 0 0 0-11.3 0L209.4 249a8.03 8.03 0 0 0 0 11.3l554.4 554.4c3.1 3.1 8.2 3.1 11.3 0l39.6-39.6c3.1-3.1 3.1-8.2 0-11.3L260.3 209.4z"}}]})(props);
};
function AiOutlineDislike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M885.9 490.3c3.6-12 5.4-24.4 5.4-37 0-28.3-9.3-55.5-26.1-77.7 3.6-12 5.4-24.4 5.4-37 0-28.3-9.3-55.5-26.1-77.7 3.6-12 5.4-24.4 5.4-37 0-51.6-30.7-98.1-78.3-118.4a66.1 66.1 0 0 0-26.5-5.4H144c-17.7 0-32 14.3-32 32v364c0 17.7 14.3 32 32 32h129.3l85.8 310.8C372.9 889 418.9 924 470.9 924c29.7 0 57.4-11.8 77.9-33.4 20.5-21.5 31-49.7 29.5-79.4l-6-122.9h239.9c12.1 0 23.9-3.2 34.3-9.3 40.4-23.5 65.5-66.1 65.5-111 0-28.3-9.3-55.5-26.1-77.7zM184 456V172h81v284h-81zm627.2 160.4H496.8l9.6 198.4c.6 11.9-4.7 23.1-14.6 30.5-6.1 4.5-13.6 6.8-21.1 6.7a44.28 44.28 0 0 1-42.2-32.3L329 459.2V172h415.4a56.85 56.85 0 0 1 33.6 51.8c0 9.7-2.3 18.9-6.9 27.3l-13.9 25.4 21.9 19a56.76 56.76 0 0 1 19.6 43c0 9.7-2.3 18.9-6.9 27.3l-13.9 25.4 21.9 19a56.76 56.76 0 0 1 19.6 43c0 9.7-2.3 18.9-6.9 27.3l-14 25.5 21.9 19a56.76 56.76 0 0 1 19.6 43c0 19.1-11 37.5-28.8 48.4z"}}]})(props);
};
function AiOutlineDollarCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372zm47.7-395.2l-25.4-5.9V348.6c38 5.2 61.5 29 65.5 58.2.5 4 3.9 6.9 7.9 6.9h44.9c4.7 0 8.4-4.1 8-8.8-6.1-62.3-57.4-102.3-125.9-109.2V263c0-4.4-3.6-8-8-8h-28.1c-4.4 0-8 3.6-8 8v33c-70.8 6.9-126.2 46-126.2 119 0 67.6 49.8 100.2 102.1 112.7l24.7 6.3v142.7c-44.2-5.9-69-29.5-74.1-61.3-.6-3.8-4-6.6-7.9-6.6H363c-4.7 0-8.4 4-8 8.7 4.5 55 46.2 105.6 135.2 112.1V761c0 4.4 3.6 8 8 8h28.4c4.4 0 8-3.6 8-8.1l-.2-31.7c78.3-6.9 134.3-48.8 134.3-124-.1-69.4-44.2-100.4-109-116.4zm-68.6-16.2c-5.6-1.6-10.3-3.1-15-5-33.8-12.2-49.5-31.9-49.5-57.3 0-36.3 27.5-57 64.5-61.7v124zM534.3 677V543.3c3.1.9 5.9 1.6 8.8 2.2 47.3 14.4 63.2 34.4 63.2 65.1 0 39.1-29.4 62.6-72 66.4z"}}]})(props);
};
function AiOutlineDollar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372zm47.7-395.2l-25.4-5.9V348.6c38 5.2 61.5 29 65.5 58.2.5 4 3.9 6.9 7.9 6.9h44.9c4.7 0 8.4-4.1 8-8.8-6.1-62.3-57.4-102.3-125.9-109.2V263c0-4.4-3.6-8-8-8h-28.1c-4.4 0-8 3.6-8 8v33c-70.8 6.9-126.2 46-126.2 119 0 67.6 49.8 100.2 102.1 112.7l24.7 6.3v142.7c-44.2-5.9-69-29.5-74.1-61.3-.6-3.8-4-6.6-7.9-6.6H363c-4.7 0-8.4 4-8 8.7 4.5 55 46.2 105.6 135.2 112.1V761c0 4.4 3.6 8 8 8h28.4c4.4 0 8-3.6 8-8.1l-.2-31.7c78.3-6.9 134.3-48.8 134.3-124-.1-69.4-44.2-100.4-109-116.4zm-68.6-16.2c-5.6-1.6-10.3-3.1-15-5-33.8-12.2-49.5-31.9-49.5-57.3 0-36.3 27.5-57 64.5-61.7v124zM534.3 677V543.3c3.1.9 5.9 1.6 8.8 2.2 47.3 14.4 63.2 34.4 63.2 65.1 0 39.1-29.4 62.6-72 66.4z"}}]})(props);
};
function AiOutlineDotChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M888 792H200V168c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v688c0 4.4 3.6 8 8 8h752c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM288 604a64 64 0 1 0 128 0 64 64 0 1 0-128 0zm118-224a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm158 228a96 96 0 1 0 192 0 96 96 0 1 0-192 0zm148-314a56 56 0 1 0 112 0 56 56 0 1 0-112 0z"}}]})(props);
};
function AiOutlineDoubleLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M272.9 512l265.4-339.1c4.1-5.2.4-12.9-6.3-12.9h-77.3c-4.9 0-9.6 2.3-12.6 6.1L186.8 492.3a31.99 31.99 0 0 0 0 39.5l255.3 326.1c3 3.9 7.7 6.1 12.6 6.1H532c6.7 0 10.4-7.7 6.3-12.9L272.9 512zm304 0l265.4-339.1c4.1-5.2.4-12.9-6.3-12.9h-77.3c-4.9 0-9.6 2.3-12.6 6.1L490.8 492.3a31.99 31.99 0 0 0 0 39.5l255.3 326.1c3 3.9 7.7 6.1 12.6 6.1H836c6.7 0 10.4-7.7 6.3-12.9L576.9 512z"}}]})(props);
};
function AiOutlineDoubleRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M533.2 492.3L277.9 166.1c-3-3.9-7.7-6.1-12.6-6.1H188c-6.7 0-10.4 7.7-6.3 12.9L447.1 512 181.7 851.1A7.98 7.98 0 0 0 188 864h77.3c4.9 0 9.6-2.3 12.6-6.1l255.3-326.1c9.1-11.7 9.1-27.9 0-39.5zm304 0L581.9 166.1c-3-3.9-7.7-6.1-12.6-6.1H492c-6.7 0-10.4 7.7-6.3 12.9L751.1 512 485.7 851.1A7.98 7.98 0 0 0 492 864h77.3c4.9 0 9.6-2.3 12.6-6.1l255.3-326.1c9.1-11.7 9.1-27.9 0-39.5z"}}]})(props);
};
function AiOutlineDownCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M690 405h-46.9c-10.2 0-19.9 4.9-25.9 13.2L512 563.6 406.8 418.2c-6-8.3-15.6-13.2-25.9-13.2H334c-6.5 0-10.3 7.4-6.5 12.7l178 246c3.2 4.4 9.7 4.4 12.9 0l178-246c3.9-5.3.1-12.7-6.4-12.7z"}},{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}}]})(props);
};
function AiOutlineDownSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M505.5 658.7c3.2 4.4 9.7 4.4 12.9 0l178-246c3.8-5.3 0-12.7-6.5-12.7H643c-10.2 0-19.9 4.9-25.9 13.2L512 558.6 406.8 413.2c-6-8.3-15.6-13.2-25.9-13.2H334c-6.5 0-10.3 7.4-6.5 12.7l178 246z"}},{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}}]})(props);
};
function AiOutlineDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M884 256h-75c-5.1 0-9.9 2.5-12.9 6.6L512 654.2 227.9 262.6c-3-4.1-7.8-6.6-12.9-6.6h-75c-6.5 0-10.3 7.4-6.5 12.7l352.6 486.1c12.8 17.6 39 17.6 51.7 0l352.6-486.1c3.9-5.3.1-12.7-6.4-12.7z"}}]})(props);
};
function AiOutlineDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M505.7 661a8 8 0 0 0 12.6 0l112-141.7c4.1-5.2.4-12.9-6.3-12.9h-74.1V168c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8v338.3H400c-6.7 0-10.4 7.7-6.3 12.9l112 141.8zM878 626h-60c-4.4 0-8 3.6-8 8v154H214V634c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8v198c0 17.7 14.3 32 32 32h684c17.7 0 32-14.3 32-32V634c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineDrag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M909.3 506.3L781.7 405.6a7.23 7.23 0 0 0-11.7 5.7V476H548V254h64.8c6 0 9.4-7 5.7-11.7L517.7 114.7a7.14 7.14 0 0 0-11.3 0L405.6 242.3a7.23 7.23 0 0 0 5.7 11.7H476v222H254v-64.8c0-6-7-9.4-11.7-5.7L114.7 506.3a7.14 7.14 0 0 0 0 11.3l127.5 100.8c4.7 3.7 11.7.4 11.7-5.7V548h222v222h-64.8c-6 0-9.4 7-5.7 11.7l100.8 127.5c2.9 3.7 8.5 3.7 11.3 0l100.8-127.5c3.7-4.7.4-11.7-5.7-11.7H548V548h222v64.8c0 6 7 9.4 11.7 5.7l127.5-100.8a7.3 7.3 0 0 0 .1-11.4z"}}]})(props);
};
function AiOutlineDribbbleSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M498.6 432c-40.8-72.5-84.7-133.4-91.2-142.3-68.8 32.5-120.3 95.9-136.2 172.2 11 .2 112.4.7 227.4-29.9zm66.5 21.8c5.7 11.7 11.2 23.6 16.3 35.6 1.8 4.2 3.6 8.4 5.3 12.7 81.8-10.3 163.2 6.2 171.3 7.9-.5-58.1-21.3-111.4-55.5-153.3-5.3 7.1-46.5 60-137.4 97.1zM880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM512 800c-158.8 0-288-129.2-288-288s129.2-288 288-288 288 129.2 288 288-129.2 288-288 288zm89.7-259.1c32.2 88.4 45.3 160.4 47.8 175.4 55.2-37.3 94.5-96.4 105.4-164.9-8.4-2.6-76.1-22.8-153.2-10.5zm-72.5-26.4c3.2-1 6.4-2 9.7-2.9-6.2-14-12.9-28-19.9-41.7-122.8 36.8-242.1 35.2-252.8 35-.1 2.5-.1 5-.1 7.5 0 63.2 23.9 120.9 63.2 164.5 5.5-9.6 73-121.4 199.9-162.4zm145.9-186.2a245.2 245.2 0 0 0-220.8-55.1c6.8 9.1 51.5 69.9 91.8 144 87.5-32.8 124.5-82.6 129-88.9zM554 552.8c-138.7 48.3-188.6 144.6-193 153.6 41.7 32.5 94.1 51.9 151 51.9 34.1 0 66.6-6.9 96.1-19.5-3.7-21.6-17.9-96.8-52.5-186.6l-1.6.6z"}}]})(props);
};
function AiOutlineDribbble (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 96C282.6 96 96 282.6 96 512s186.6 416 416 416 416-186.6 416-416S741.4 96 512 96zm275.1 191.8c49.5 60.5 79.5 137.5 80.2 221.4-11.7-2.5-129.2-26.3-247.4-11.4-2.5-6.1-5-12.2-7.6-18.3-7.4-17.3-15.3-34.6-23.6-51.5C720 374.3 779.6 298 787.1 287.8zM512 157.2c90.3 0 172.8 33.9 235.5 89.5-6.4 9.1-59.9 81-186.2 128.4-58.2-107-122.7-194.8-132.6-208 27.3-6.6 55.2-9.9 83.3-9.9zM360.9 191c9.4 12.8 72.9 100.9 131.7 205.5C326.4 440.6 180 440 164.1 439.8c23.1-110.3 97.4-201.9 196.8-248.8zM156.7 512.5c0-3.6.1-7.3.2-10.9 15.5.3 187.7 2.5 365.2-50.6 10.2 19.9 19.9 40.1 28.8 60.3-4.7 1.3-9.4 2.7-14 4.2C353.6 574.9 256.1 736.4 248 750.1c-56.7-63-91.3-146.3-91.3-237.6zM512 867.8c-82.2 0-157.9-28-218.1-75 6.4-13.1 78.3-152 278.7-221.9l2.3-.8c49.9 129.6 70.5 238.3 75.8 269.5A350.46 350.46 0 0 1 512 867.8zm198.5-60.7c-3.6-21.6-22.5-125.6-69-253.3C752.9 536 850.7 565.2 862.8 569c-15.8 98.8-72.5 184.2-152.3 238.1z"}}]})(props);
};
function AiOutlineDropbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M64 556.9l264.2 173.5L512.5 577 246.8 412.7zm896-290.3zm0 0L696.8 95 512.5 248.5l265.2 164.2L512.5 577l184.3 153.4L960 558.8 777.7 412.7zM513 609.8L328.2 763.3l-79.4-51.5v57.8L513 928l263.7-158.4v-57.8l-78.9 51.5zM328.2 95L64 265.1l182.8 147.6 265.7-164.2zM64 556.9z"}}]})(props);
};
function AiOutlineEdit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M257.7 752c2 0 4-.2 6-.5L431.9 722c2-.4 3.9-1.3 5.3-2.8l423.9-423.9a9.96 9.96 0 0 0 0-14.1L694.9 114.9c-1.9-1.9-4.4-2.9-7.1-2.9s-5.2 1-7.1 2.9L256.8 538.8c-1.5 1.5-2.4 3.3-2.8 5.3l-29.5 168.2a33.5 33.5 0 0 0 9.4 29.8c6.6 6.4 14.9 9.9 23.8 9.9zm67.4-174.4L687.8 215l73.3 73.3-362.7 362.6-88.9 15.7 15.6-89zM880 836H144c-17.7 0-32 14.3-32 32v36c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-36c0-17.7-14.3-32-32-32z"}}]})(props);
};
function AiOutlineEllipsis (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M176 511a56 56 0 1 0 112 0 56 56 0 1 0-112 0zm280 0a56 56 0 1 0 112 0 56 56 0 1 0-112 0zm280 0a56 56 0 1 0 112 0 56 56 0 1 0-112 0z"}}]})(props);
};
function AiOutlineEnter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M864 170h-60c-4.4 0-8 3.6-8 8v518H310v-73c0-6.7-7.8-10.5-13-6.3l-141.9 112a8 8 0 0 0 0 12.6l141.9 112c5.3 4.2 13 .4 13-6.3v-75h498c35.3 0 64-28.7 64-64V178c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineEnvironment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 289.1a362.49 362.49 0 0 0-79.9-115.7 370.83 370.83 0 0 0-118.2-77.8C610.7 76.6 562.1 67 512 67c-50.1 0-98.7 9.6-144.5 28.5-44.3 18.3-84 44.5-118.2 77.8A363.6 363.6 0 0 0 169.4 289c-19.5 45-29.4 92.8-29.4 142 0 70.6 16.9 140.9 50.1 208.7 26.7 54.5 64 107.6 111 158.1 80.3 86.2 164.5 138.9 188.4 153a43.9 43.9 0 0 0 22.4 6.1c7.8 0 15.5-2 22.4-6.1 23.9-14.1 108.1-66.8 188.4-153 47-50.4 84.3-103.6 111-158.1C867.1 572 884 501.8 884 431.1c0-49.2-9.9-97-29.4-142zM512 880.2c-65.9-41.9-300-207.8-300-449.1 0-77.9 31.1-151.1 87.6-206.3C356.3 169.5 431.7 139 512 139s155.7 30.5 212.4 85.9C780.9 280 812 353.2 812 431.1c0 241.3-234.1 407.2-300 449.1zm0-617.2c-97.2 0-176 78.8-176 176s78.8 176 176 176 176-78.8 176-176-78.8-176-176-176zm79.2 255.2A111.6 111.6 0 0 1 512 551c-29.9 0-58-11.7-79.2-32.8A111.6 111.6 0 0 1 400 439c0-29.9 11.7-58 32.8-79.2C454 338.6 482.1 327 512 327c29.9 0 58 11.6 79.2 32.8C612.4 381 624 409.1 624 439c0 29.9-11.6 58-32.8 79.2z"}}]})(props);
};
function AiOutlineEuroCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372zm117.7-588.6c-15.9-3.5-34.4-5.4-55.3-5.4-106.7 0-178.9 55.7-198.6 149.9H344c-4.4 0-8 3.6-8 8v27.2c0 4.4 3.6 8 8 8h26.4c-.3 4.1-.3 8.4-.3 12.8v36.9H344c-4.4 0-8 3.6-8 8V568c0 4.4 3.6 8 8 8h30.2c17.2 99.2 90.4 158 200.2 158 20.9 0 39.4-1.7 55.3-5.1 3.7-.8 6.4-4 6.4-7.8v-42.8c0-5-4.6-8.8-9.5-7.8-14.7 2.8-31.9 4.1-51.8 4.1-68.5 0-114.5-36.6-129.8-98.6h130.6c4.4 0 8-3.6 8-8v-27.2c0-4.4-3.6-8-8-8H439.2v-36c0-4.7 0-9.4.3-13.8h135.9c4.4 0 8-3.6 8-8v-27.2c0-4.4-3.6-8-8-8H447.1c17.2-56.9 62.3-90.4 127.6-90.4 19.9 0 37.1 1.5 51.7 4.4a8 8 0 0 0 9.6-7.8v-42.8c0-3.8-2.6-7-6.3-7.8z"}}]})(props);
};
function AiOutlineEuro (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372zm117.7-588.6c-15.9-3.5-34.4-5.4-55.3-5.4-106.7 0-178.9 55.7-198.6 149.9H344c-4.4 0-8 3.6-8 8v27.2c0 4.4 3.6 8 8 8h26.4c-.3 4.1-.3 8.4-.3 12.8v36.9H344c-4.4 0-8 3.6-8 8V568c0 4.4 3.6 8 8 8h30.2c17.2 99.2 90.4 158 200.2 158 20.9 0 39.4-1.7 55.3-5.1 3.7-.8 6.4-4 6.4-7.8v-42.8c0-5-4.6-8.8-9.5-7.8-14.7 2.8-31.9 4.1-51.8 4.1-68.5 0-114.5-36.6-129.8-98.6h130.6c4.4 0 8-3.6 8-8v-27.2c0-4.4-3.6-8-8-8H439.2v-36c0-4.7 0-9.4.3-13.8h135.9c4.4 0 8-3.6 8-8v-27.2c0-4.4-3.6-8-8-8H447.1c17.2-56.9 62.3-90.4 127.6-90.4 19.9 0 37.1 1.5 51.7 4.4a8 8 0 0 0 9.6-7.8v-42.8c0-3.8-2.6-7-6.3-7.8z"}}]})(props);
};
function AiOutlineException (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M688 312v-48c0-4.4-3.6-8-8-8H296c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h384c4.4 0 8-3.6 8-8zm-392 88c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H296zm376 116c-119.3 0-216 96.7-216 216s96.7 216 216 216 216-96.7 216-216-96.7-216-216-216zm107.5 323.5C750.8 868.2 712.6 884 672 884s-78.8-15.8-107.5-44.5C535.8 810.8 520 772.6 520 732s15.8-78.8 44.5-107.5C593.2 595.8 631.4 580 672 580s78.8 15.8 107.5 44.5C808.2 653.2 824 691.4 824 732s-15.8 78.8-44.5 107.5zM640 812a32 32 0 1 0 64 0 32 32 0 1 0-64 0zm12-64h40c4.4 0 8-3.6 8-8V628c0-4.4-3.6-8-8-8h-40c-4.4 0-8 3.6-8 8v112c0 4.4 3.6 8 8 8zM440 852H208V148h560v344c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V108c0-17.7-14.3-32-32-32H168c-17.7 0-32 14.3-32 32v784c0 17.7 14.3 32 32 32h272c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineExclamationCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M464 688a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm24-112h48c4.4 0 8-3.6 8-8V296c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v272c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlineExclamation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M448 804a64 64 0 1 0 128 0 64 64 0 1 0-128 0zm32-168h64c4.4 0 8-3.6 8-8V164c0-4.4-3.6-8-8-8h-64c-4.4 0-8 3.6-8 8v464c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlineExpandAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M855 160.1l-189.2 23.5c-6.6.8-9.3 8.8-4.7 13.5l54.7 54.7-153.5 153.5a8.03 8.03 0 0 0 0 11.3l45.1 45.1c3.1 3.1 8.2 3.1 11.3 0l153.6-153.6 54.7 54.7a7.94 7.94 0 0 0 13.5-4.7L863.9 169a7.9 7.9 0 0 0-8.9-8.9zM416.6 562.3a8.03 8.03 0 0 0-11.3 0L251.8 715.9l-54.7-54.7a7.94 7.94 0 0 0-13.5 4.7L160.1 855c-.6 5.2 3.7 9.5 8.9 8.9l189.2-23.5c6.6-.8 9.3-8.8 4.7-13.5l-54.7-54.7 153.6-153.6c3.1-3.1 3.1-8.2 0-11.3l-45.2-45z"}}]})(props);
};
function AiOutlineExpand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683683230","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M342 88H120c-17.7 0-32 14.3-32 32v224c0 8.8 7.2 16 16 16h48c8.8 0 16-7.2 16-16V168h174c8.8 0 16-7.2 16-16v-48c0-8.8-7.2-16-16-16zM920 664h-48c-8.8 0-16 7.2-16 16v176H682c-8.8 0-16 7.2-16 16v48c0 8.8 7.2 16 16 16h222c17.7 0 32-14.3 32-32V680c0-8.8-7.2-16-16-16zM342 856H168V680c0-8.8-7.2-16-16-16h-48c-8.8 0-16 7.2-16 16v224c0 17.7 14.3 32 32 32h222c8.8 0 16-7.2 16-16v-48c0-8.8-7.2-16-16-16zM904 88H682c-8.8 0-16 7.2-16 16v48c0 8.8 7.2 16 16 16h174v176c0 8.8 7.2 16 16 16h48c8.8 0 16-7.2 16-16V120c0-17.7-14.3-32-32-32z"}}]})(props);
};
function AiOutlineExperiment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 472a40 40 0 1 0 80 0 40 40 0 1 0-80 0zm367 352.9L696.3 352V178H768v-68H256v68h71.7v174L145 824.9c-2.8 7.4-4.3 15.2-4.3 23.1 0 35.3 28.7 64 64 64h614.6c7.9 0 15.7-1.5 23.1-4.3 33-12.7 49.4-49.8 36.6-82.8zM395.7 364.7V180h232.6v184.7L719.2 600c-20.7-5.3-42.1-8-63.9-8-61.2 0-119.2 21.5-165.3 60a188.78 188.78 0 0 1-121.3 43.9c-32.7 0-64.1-8.3-91.8-23.7l118.8-307.5zM210.5 844l41.7-107.8c35.7 18.1 75.4 27.8 116.6 27.8 61.2 0 119.2-21.5 165.3-60 33.9-28.2 76.3-43.9 121.3-43.9 35 0 68.4 9.5 97.6 27.1L813.5 844h-603z"}}]})(props);
};
function AiOutlineExport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M888.3 757.4h-53.8c-4.2 0-7.7 3.5-7.7 7.7v61.8H197.1V197.1h629.8v61.8c0 4.2 3.5 7.7 7.7 7.7h53.8c4.2 0 7.7-3.4 7.7-7.7V158.7c0-17-13.7-30.7-30.7-30.7H158.7c-17 0-30.7 13.7-30.7 30.7v706.6c0 17 13.7 30.7 30.7 30.7h706.6c17 0 30.7-13.7 30.7-30.7V765.1c0-4.3-3.5-7.7-7.7-7.7zm18.6-251.7L765 393.7c-5.3-4.2-13-.4-13 6.3v76H438c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h314v76c0 6.7 7.8 10.5 13 6.3l141.9-112a8 8 0 0 0 0-12.6z"}}]})(props);
};
function AiOutlineEyeInvisible (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M942.2 486.2Q889.47 375.11 816.7 305l-50.88 50.88C807.31 395.53 843.45 447.4 874.7 512 791.5 684.2 673.4 766 512 766q-72.67 0-133.87-22.38L323 798.75Q408 838 512 838q288.3 0 430.2-300.3a60.29 60.29 0 0 0 0-51.5zm-63.57-320.64L836 122.88a8 8 0 0 0-11.32 0L715.31 232.2Q624.86 186 512 186q-288.3 0-430.2 300.3a60.3 60.3 0 0 0 0 51.5q56.69 119.4 136.5 191.41L112.48 835a8 8 0 0 0 0 11.31L155.17 889a8 8 0 0 0 11.31 0l712.15-712.12a8 8 0 0 0 0-11.32zM149.3 512C232.6 339.8 350.7 258 512 258c54.54 0 104.13 9.36 149.12 28.39l-70.3 70.3a176 176 0 0 0-238.13 238.13l-83.42 83.42C223.1 637.49 183.3 582.28 149.3 512zm246.7 0a112.11 112.11 0 0 1 146.2-106.69L401.31 546.2A112 112 0 0 1 396 512z"}},{"tag":"path","attr":{"d":"M508 624c-3.46 0-6.87-.16-10.25-.47l-52.82 52.82a176.09 176.09 0 0 0 227.42-227.42l-52.82 52.82c.31 3.38.47 6.79.47 10.25a111.94 111.94 0 0 1-112 112z"}}]})(props);
};
function AiOutlineEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M942.2 486.2C847.4 286.5 704.1 186 512 186c-192.2 0-335.4 100.5-430.2 300.3a60.3 60.3 0 0 0 0 51.5C176.6 737.5 319.9 838 512 838c192.2 0 335.4-100.5 430.2-300.3 7.7-16.2 7.7-35 0-51.5zM512 766c-161.3 0-279.4-81.8-362.7-254C232.6 339.8 350.7 258 512 258c161.3 0 279.4 81.8 362.7 254C791.5 684.2 673.4 766 512 766zm-4-430c-97.2 0-176 78.8-176 176s78.8 176 176 176 176-78.8 176-176-78.8-176-176-176zm0 288c-61.9 0-112-50.1-112-112s50.1-112 112-112 112 50.1 112 112-50.1 112-112 112z"}}]})(props);
};
function AiOutlineFacebook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-32 736H663.9V602.2h104l15.6-120.7H663.9v-77.1c0-35 9.7-58.8 59.8-58.8h63.9v-108c-11.1-1.5-49-4.8-93.2-4.8-92.2 0-155.3 56.3-155.3 159.6v89H434.9v120.7h104.3V848H176V176h672v672z"}}]})(props);
};
function AiOutlineFall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M925.9 804l-24-199.2c-.8-6.6-8.9-9.4-13.6-4.7L829 659.5 557.7 388.3c-6.3-6.2-16.4-6.2-22.6 0L433.3 490 156.6 213.3a8.03 8.03 0 0 0-11.3 0l-45 45.2a8.03 8.03 0 0 0 0 11.3L422 591.7c6.2 6.3 16.4 6.3 22.6 0L546.4 490l226.1 226-59.3 59.3a8.01 8.01 0 0 0 4.7 13.6l199.2 24c5.1.7 9.5-3.7 8.8-8.9z"}}]})(props);
};
function AiOutlineFastBackward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M517.6 273.5L230.2 499.3a16.14 16.14 0 0 0 0 25.4l287.4 225.8c10.7 8.4 26.4.8 26.4-12.7V286.2c0-13.5-15.7-21.1-26.4-12.7zm320 0L550.2 499.3a16.14 16.14 0 0 0 0 25.4l287.4 225.8c10.7 8.4 26.4.8 26.4-12.7V286.2c0-13.5-15.7-21.1-26.4-12.7zm-620-25.5h-51.2c-3.5 0-6.4 2.7-6.4 6v516c0 3.3 2.9 6 6.4 6h51.2c3.5 0 6.4-2.7 6.4-6V254c0-3.3-2.9-6-6.4-6z"}}]})(props);
};
function AiOutlineFastForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M793.8 499.3L506.4 273.5c-10.7-8.4-26.4-.8-26.4 12.7v451.6c0 13.5 15.7 21.1 26.4 12.7l287.4-225.8a16.14 16.14 0 0 0 0-25.4zm-320 0L186.4 273.5c-10.7-8.4-26.4-.8-26.4 12.7v451.5c0 13.5 15.7 21.1 26.4 12.7l287.4-225.8c4.1-3.2 6.2-8 6.2-12.7 0-4.6-2.1-9.4-6.2-12.6zM857.6 248h-51.2c-3.5 0-6.4 2.7-6.4 6v516c0 3.3 2.9 6 6.4 6h51.2c3.5 0 6.4-2.7 6.4-6V254c0-3.3-2.9-6-6.4-6z"}}]})(props);
};
function AiOutlineFieldBinary (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683645783","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M600 395.4h91V649h79V267c0-4.4-3.6-8-8-8h-48.2c-3.7 0-7 2.6-7.7 6.3-2.6 12.1-6.9 22.3-12.9 30.9-7.2 10.1-15.9 18.2-26.3 24.4-10.3 6.2-22 10.5-35 12.9-10.4 1.9-21 3-32 3.1-4.4 0.1-7.9 3.6-7.9 8v42.8c0 4.4 3.6 8 8 8zM871 702H567c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h304c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zM443.9 312.7c-16.1-19-34.4-32.4-55.2-40.4-21.3-8.2-44.1-12.3-68.4-12.3-23.9 0-46.4 4.1-67.7 12.3-20.8 8-39 21.4-54.8 40.3-15.9 19.1-28.7 44.7-38.3 77-9.6 32.5-14.5 73-14.5 121.5 0 49.9 4.9 91.4 14.5 124.4 9.6 32.8 22.4 58.7 38.3 77.7 15.8 18.9 34 32.3 54.8 40.3 21.3 8.2 43.8 12.3 67.7 12.3 24.4 0 47.2-4.1 68.4-12.3 20.8-8 39.2-21.4 55.2-40.4 16.1-19 29-44.9 38.6-77.7 9.6-33 14.5-74.5 14.5-124.4 0-48.4-4.9-88.9-14.5-121.5-9.5-32.1-22.4-57.7-38.6-76.8z m-29.5 251.7c-1 21.4-4.2 42-9.5 61.9-5.5 20.7-14.5 38.5-27 53.4-13.6 16.3-33.2 24.3-57.6 24.3-24 0-43.2-8.1-56.7-24.4-12.2-14.8-21.1-32.6-26.6-53.3-5.3-19.9-8.5-40.6-9.5-61.9-1-20.8-1.5-38.5-1.5-53.2 0-8.8 0.1-19.4 0.4-31.8 0.2-12.7 1.1-25.8 2.6-39.2 1.5-13.6 4-27.1 7.6-40.5 3.7-13.8 8.8-26.3 15.4-37.4 6.9-11.6 15.8-21.1 26.7-28.3 11.4-7.6 25.3-11.3 41.5-11.3 16.1 0 30.1 3.7 41.7 11.2 11.1 7.2 20.3 16.6 27.4 28.2 6.9 11.2 12.1 23.8 15.6 37.7 3.3 13.2 5.8 26.6 7.5 40.1 1.8 13.5 2.8 26.6 3 39.4 0.2 12.4 0.4 23 0.4 31.8 0.1 14.8-0.4 32.5-1.4 53.3z"}}]})(props);
};
function AiOutlineFieldNumber (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683604581","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M508 280h-63.3c-3.3 0-6 2.7-6 6v340.2H433L197.4 282.6c-1.1-1.6-3-2.6-4.9-2.6H126c-3.3 0-6 2.7-6 6v464c0 3.3 2.7 6 6 6h62.7c3.3 0 6-2.7 6-6V405.1h5.7l238.2 348.3c1.1 1.6 3 2.6 5 2.6H508c3.3 0 6-2.7 6-6V286c0-3.3-2.7-6-6-6zM886 693H582c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h304c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zM733.8 630c52.9 0 95.2-17.2 126.2-51.7 29.4-32.9 44-75.8 44-128.8 0-53.1-14.6-96.5-44-129.3-30.9-34.8-73.2-52.2-126.2-52.2-53.7 0-95.9 17.5-126.3 52.8-29.2 33.1-43.4 75.9-43.4 128.7 0 52.4 14.3 95.2 43.5 128.3 30.6 34.7 73 52.2 126.2 52.2z m-71.5-263.7c16.9-20.6 40.3-30.9 71.4-30.9 31.5 0 54.8 9.6 71 29.1 16.4 20.3 24.9 48.6 24.9 84.9 0 36.3-8.4 64.1-24.8 83.9-16.5 19.4-40 29.2-71.1 29.2-31.2 0-55-10.3-71.4-30.4-16.3-20.1-24.5-47.3-24.5-82.6 0.1-35.8 8.2-63 24.5-83.2z"}}]})(props);
};
function AiOutlineFieldString (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683607277","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M875.6 515.9c2.1 0.8 4.4-0.3 5.2-2.4 0.2-0.4 0.2-0.9 0.2-1.4v-58.3c0-1.8-1.1-3.3-2.8-3.8-6-1.8-17.2-3-27.2-3-32.9 0-61.7 16.7-73.5 41.2v-28.6c0-4.4-3.6-8-8-8H717c-4.4 0-8 3.6-8 8V729c0 4.4 3.6 8 8 8h54.8c4.4 0 8-3.6 8-8V572.7c0-36.2 26.1-60.2 65.1-60.2 10.4 0.1 26.6 1.8 30.7 3.4zM338.6 475.4l-54.7-12.6c-61.2-14.2-87.7-34.8-87.7-70.7 0-44.6 39.1-73.5 96.9-73.5 52.8 0 91.4 26.5 99.9 68.9h70C455.9 311.6 387.6 259 293.4 259c-103.3 0-171 55.5-171 139 0 68.6 38.6 109.5 122.2 128.5l61.6 14.3c63.6 14.9 91.6 37.1 91.6 75.1 0 44.1-43.5 75.2-102.5 75.2-60.6 0-104.5-27.2-112.8-70.5H111c7.2 79.9 75.6 130.4 179.1 130.4C402.3 751 471 695.2 471 605.3c0-70.2-38.6-108.5-132.4-129.9z"}},{"tag":"path","attr":{"d":"M877 729m-36 0a36 36 0 1 0 72 0 36 36 0 1 0-72 0Z"}},{"tag":"path","attr":{"d":"M653 457.8h-51.4V396c0-4.4-3.6-8-8-8h-54.7c-4.4 0-8 3.6-8 8v61.8H495c-4.4 0-8 3.6-8 8v42.3c0 4.4 3.6 8 8 8h35.9v147.5c0 56.2 27.4 79.4 93.1 79.4 11.7 0 23.6-1.2 33.8-3.1 1.9-0.3 3.2-2 3.2-3.9v-49.3c0-2.2-1.8-4-4-4h-0.4c-4.9 0.5-6.2 0.6-8.3 0.8-4.1 0.3-7.8 0.5-12.6 0.5-24.1 0-34.1-10.3-34.1-35.6V516.1H653c4.4 0 8-3.6 8-8v-42.3c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineFieldTime (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683618210","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M945 412H689c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h256c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zM811 548H689c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h122c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zM477.3 322.5H434c-6.2 0-11.2 5-11.2 11.2v248c0 3.6 1.7 6.9 4.6 9l148.9 108.6c5 3.6 12 2.6 15.6-2.4l25.7-35.1v-0.1c3.6-5 2.5-12-2.5-15.6l-126.7-91.6V333.7c0.1-6.2-5-11.2-11.1-11.2z"}},{"tag":"path","attr":{"d":"M804.8 673.9H747c-5.6 0-10.9 2.9-13.9 7.7-12.7 20.1-27.5 38.7-44.5 55.7-29.3 29.3-63.4 52.3-101.3 68.3-39.3 16.6-81 25-124 25-43.1 0-84.8-8.4-124-25-37.9-16-72-39-101.3-68.3s-52.3-63.4-68.3-101.3c-16.6-39.2-25-80.9-25-124 0-43.1 8.4-84.7 25-124 16-37.9 39-72 68.3-101.3 29.3-29.3 63.4-52.3 101.3-68.3 39.2-16.6 81-25 124-25 43.1 0 84.8 8.4 124 25 37.9 16 72 39 101.3 68.3 17 17 31.8 35.6 44.5 55.7 3 4.8 8.3 7.7 13.9 7.7h57.8c6.9 0 11.3-7.2 8.2-13.3-65.2-129.7-197.4-214-345-215.7-216.1-2.7-395.6 174.2-396 390.1C71.6 727.5 246.9 903 463.2 903c149.5 0 283.9-84.6 349.8-215.8 3.1-6.1-1.4-13.3-8.2-13.3z"}}]})(props);
};
function AiOutlineFileAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM790.2 326H602V137.8L790.2 326zm1.8 562H232V136h302v216a42 42 0 0 0 42 42h216v494zM544 472c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v108H372c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h108v108c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V644h108c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H544V472z"}}]})(props);
};
function AiOutlineFileDone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M688 312v-48c0-4.4-3.6-8-8-8H296c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h384c4.4 0 8-3.6 8-8zm-392 88c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H296zm376 116c-119.3 0-216 96.7-216 216s96.7 216 216 216 216-96.7 216-216-96.7-216-216-216zm107.5 323.5C750.8 868.2 712.6 884 672 884s-78.8-15.8-107.5-44.5C535.8 810.8 520 772.6 520 732s15.8-78.8 44.5-107.5C593.2 595.8 631.4 580 672 580s78.8 15.8 107.5 44.5C808.2 653.2 824 691.4 824 732s-15.8 78.8-44.5 107.5zM761 656h-44.3c-2.6 0-5 1.2-6.5 3.3l-63.5 87.8-23.1-31.9a7.92 7.92 0 0 0-6.5-3.3H573c-6.5 0-10.3 7.4-6.5 12.7l73.8 102.1c3.2 4.4 9.7 4.4 12.9 0l114.2-158c3.9-5.3.1-12.7-6.4-12.7zM440 852H208V148h560v344c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V108c0-17.7-14.3-32-32-32H168c-17.7 0-32 14.3-32 32v784c0 17.7 14.3 32 32 32h272c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineFileExcel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM790.2 326H602V137.8L790.2 326zm1.8 562H232V136h302v216a42 42 0 0 0 42 42h216v494zM514.1 580.1l-61.8-102.4c-2.2-3.6-6.1-5.8-10.3-5.8h-38.4c-2.3 0-4.5.6-6.4 1.9-5.6 3.5-7.3 10.9-3.7 16.6l82.3 130.4-83.4 132.8a12.04 12.04 0 0 0 10.2 18.4h34.5c4.2 0 8-2.2 10.2-5.7L510 664.8l62.3 101.4c2.2 3.6 6.1 5.7 10.2 5.7H620c2.3 0 4.5-.7 6.5-1.9 5.6-3.6 7.2-11 3.6-16.6l-84-130.4 85.3-132.5a12.04 12.04 0 0 0-10.1-18.5h-35.7c-4.2 0-8.1 2.2-10.3 5.8l-61.2 102.3z"}}]})(props);
};
function AiOutlineFileExclamation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM790.2 326H602V137.8L790.2 326zm1.8 562H232V136h302v216a42 42 0 0 0 42 42h216v494zM472 744a40 40 0 1 0 80 0 40 40 0 1 0-80 0zm16-104h48c4.4 0 8-3.6 8-8V448c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v184c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlineFileGif (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683725598","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M551.5 490.5H521c-4.6 0-8.4 3.7-8.4 8.4V720c0 4.6 3.7 8.4 8.4 8.4h30.5c4.6 0 8.4-3.7 8.4-8.4V498.9c-0.1-4.6-3.8-8.4-8.4-8.4zM477.3 600h-88.1c-4.6 0-8.4 3.7-8.4 8.4v23.8c0 4.6 3.7 8.4 8.4 8.4h47.6v0.7c-0.6 29.9-23 49.8-56.5 49.8-39.2 0-63.6-30.7-63.6-81.4 0-50.1 23.9-80.6 62.3-80.6 28.1 0 47.5 13.5 55.4 38.3l0.9 2.8h49.2l-0.7-4.6C475.9 515.9 434.7 484 379 484c-68.8 0-113 49.4-113 125.9 0 77.5 43.7 126.1 113.6 126.1 64.4 0 106-40.3 106-102.9v-24.8c0-4.6-3.7-8.3-8.3-8.3z"}},{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM602 137.8L790.2 326H602V137.8zM792 888H232V136h302v216c0 23.2 18.8 42 42 42h216v494z"}},{"tag":"path","attr":{"d":"M608.2 727.8h32.3c4.6 0 8.4-3.7 8.4-8.4v-84.8h87.8c4.6 0 8.4-3.7 8.4-8.4v-25.5c0-4.6-3.7-8.4-8.4-8.4h-87.8v-58.9h96.8c4.6 0 8.4-3.7 8.4-8.4v-26.8c0-4.6-3.7-8.4-8.4-8.4H608.2c-4.6 0-8.4 3.7-8.4 8.4v221.1c0 4.8 3.8 8.5 8.4 8.5z"}}]})(props);
};
function AiOutlineFileImage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M553.1 509.1l-77.8 99.2-41.1-52.4a8 8 0 0 0-12.6 0l-99.8 127.2a7.98 7.98 0 0 0 6.3 12.9H696c6.7 0 10.4-7.7 6.3-12.9l-136.5-174a8.1 8.1 0 0 0-12.7 0zM360 442a40 40 0 1 0 80 0 40 40 0 1 0-80 0zm494.6-153.4L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM790.2 326H602V137.8L790.2 326zm1.8 562H232V136h302v216a42 42 0 0 0 42 42h216v494z"}}]})(props);
};
function AiOutlineFileJpg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M874.6 301.8L596.8 21.3c-4.5-4.5-9.4-8.3-14.7-11.5-1.4-.8-2.8-1.6-4.3-2.3-.9-.5-1.9-.9-2.8-1.3-9-4-18.9-6.2-29-6.2H201c-39.8 0-73 32.2-73 72v880c0 39.8 33.2 72 73 72h623c39.8 0 71-32.2 71-72V352.5c0-19-7-37.2-20.4-50.7zM583 110.4L783.8 312H583V110.4zM823 952H200V72h311v240c0 39.8 33.2 72 73 72h239v568zM350 696.5c0 24.2-7.5 31.4-21.9 31.4-9 0-18.4-5.8-24.8-18.5L272.9 732c13.4 22.9 32.3 34.2 61.3 34.2 41.6 0 60.8-29.9 60.8-66.2V577h-45v119.5zM501.3 577H437v186h44v-62h21.6c39.1 0 73.1-19.6 73.1-63.6 0-45.8-33.5-60.4-74.4-60.4zm-.8 89H481v-53h18.2c21.5 0 33.4 6.2 33.4 24.9 0 18.1-10.5 28.1-32.1 28.1zm182.5-9v36h30v30.1c-4 2.9-11 4.7-17.7 4.7-34.3 0-50.7-21.4-50.7-58.2 0-36.1 19.7-57.4 47.1-57.4 15.3 0 25 6.2 34 14.4l23.7-28.3c-12.7-12.8-32.1-24.2-59.2-24.2-49.6 0-91.1 35.3-91.1 97 0 62.7 40 95.1 91.5 95.1 25.9 0 49.2-10.2 61.5-22.6V657H683z"}}]})(props);
};
function AiOutlineFileMarkdown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM790.2 326H602V137.8L790.2 326zm1.8 562H232V136h302v216a42 42 0 0 0 42 42h216v494zM429 481.2c-1.9-4.4-6.2-7.2-11-7.2h-35c-6.6 0-12 5.4-12 12v272c0 6.6 5.4 12 12 12h27.1c6.6 0 12-5.4 12-12V582.1l66.8 150.2a12 12 0 0 0 11 7.1H524c4.7 0 9-2.8 11-7.1l66.8-150.6V758c0 6.6 5.4 12 12 12H641c6.6 0 12-5.4 12-12V486c0-6.6-5.4-12-12-12h-34.7c-4.8 0-9.1 2.8-11 7.2l-83.1 191-83.2-191z"}}]})(props);
};
function AiOutlineFilePdf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M531.3 574.4l.3-1.4c5.8-23.9 13.1-53.7 7.4-80.7-3.8-21.3-19.5-29.6-32.9-30.2-15.8-.7-29.9 8.3-33.4 21.4-6.6 24-.7 56.8 10.1 98.6-13.6 32.4-35.3 79.5-51.2 107.5-29.6 15.3-69.3 38.9-75.2 68.7-1.2 5.5.2 12.5 3.5 18.8 3.7 7 9.6 12.4 16.5 15 3 1.1 6.6 2 10.8 2 17.6 0 46.1-14.2 84.1-79.4 5.8-1.9 11.8-3.9 17.6-5.9 27.2-9.2 55.4-18.8 80.9-23.1 28.2 15.1 60.3 24.8 82.1 24.8 21.6 0 30.1-12.8 33.3-20.5 5.6-13.5 2.9-30.5-6.2-39.6-13.2-13-45.3-16.4-95.3-10.2-24.6-15-40.7-35.4-52.4-65.8zM421.6 726.3c-13.9 20.2-24.4 30.3-30.1 34.7 6.7-12.3 19.8-25.3 30.1-34.7zm87.6-235.5c5.2 8.9 4.5 35.8.5 49.4-4.9-19.9-5.6-48.1-2.7-51.4.8.1 1.5.7 2.2 2zm-1.6 120.5c10.7 18.5 24.2 34.4 39.1 46.2-21.6 4.9-41.3 13-58.9 20.2-4.2 1.7-8.3 3.4-12.3 5 13.3-24.1 24.4-51.4 32.1-71.4zm155.6 65.5c.1.2.2.5-.4.9h-.2l-.2.3c-.8.5-9 5.3-44.3-8.6 40.6-1.9 45 7.3 45.1 7.4zm191.4-388.2L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM790.2 326H602V137.8L790.2 326zm1.8 562H232V136h302v216a42 42 0 0 0 42 42h216v494z"}}]})(props);
};
function AiOutlineFilePpt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M424 476c-4.4 0-8 3.6-8 8v276c0 4.4 3.6 8 8 8h32.5c4.4 0 8-3.6 8-8v-95.5h63.3c59.4 0 96.2-38.9 96.2-94.1 0-54.5-36.3-94.3-96-94.3H424zm150.6 94.3c0 43.4-26.5 54.3-71.2 54.3h-38.9V516.2h56.2c33.8 0 53.9 19.7 53.9 54.1zm280-281.7L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM790.2 326H602V137.8L790.2 326zm1.8 562H232V136h302v216a42 42 0 0 0 42 42h216v494z"}}]})(props);
};
function AiOutlineFileProtect (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M644.7 669.2a7.92 7.92 0 0 0-6.5-3.3H594c-6.5 0-10.3 7.4-6.5 12.7l73.8 102.1c3.2 4.4 9.7 4.4 12.9 0l114.2-158c3.8-5.3 0-12.7-6.5-12.7h-44.3c-2.6 0-5 1.2-6.5 3.3l-63.5 87.8-22.9-31.9zM688 306v-48c0-4.4-3.6-8-8-8H296c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h384c4.4 0 8-3.6 8-8zm-392 88c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H296zm184 458H208V148h560v296c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V108c0-17.7-14.3-32-32-32H168c-17.7 0-32 14.3-32 32v784c0 17.7 14.3 32 32 32h312c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm402.6-320.8l-192-66.7c-.9-.3-1.7-.4-2.6-.4s-1.8.1-2.6.4l-192 66.7a7.96 7.96 0 0 0-5.4 7.5v251.1c0 2.5 1.1 4.8 3.1 6.3l192 150.2c1.4 1.1 3.2 1.7 4.9 1.7s3.5-.6 4.9-1.7l192-150.2c1.9-1.5 3.1-3.8 3.1-6.3V538.7c0-3.4-2.2-6.4-5.4-7.5zM826 763.7L688 871.6 550 763.7V577l138-48 138 48v186.7z"}}]})(props);
};
function AiOutlineFileSearch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M688 312v-48c0-4.4-3.6-8-8-8H296c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h384c4.4 0 8-3.6 8-8zm-392 88c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H296zm144 452H208V148h560v344c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V108c0-17.7-14.3-32-32-32H168c-17.7 0-32 14.3-32 32v784c0 17.7 14.3 32 32 32h272c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm445.7 51.5l-93.3-93.3C814.7 780.7 828 743.9 828 704c0-97.2-78.8-176-176-176s-176 78.8-176 176 78.8 176 176 176c35.8 0 69-10.7 96.8-29l94.7 94.7c1.6 1.6 3.6 2.3 5.6 2.3s4.1-.8 5.6-2.3l31-31a7.9 7.9 0 0 0 0-11.2zM652 816c-61.9 0-112-50.1-112-112s50.1-112 112-112 112 50.1 112 112-50.1 112-112 112z"}}]})(props);
};
function AiOutlineFileSync (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M296 256c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h384c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H296zm192 200v-48c0-4.4-3.6-8-8-8H296c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h184c4.4 0 8-3.6 8-8zm-48 396H208V148h560v344c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V108c0-17.7-14.3-32-32-32H168c-17.7 0-32 14.3-32 32v784c0 17.7 14.3 32 32 32h272c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm104.1-115.6c1.8-34.5 16.2-66.8 40.8-91.4 26.2-26.2 62-41 99.1-41 37.4 0 72.6 14.6 99.1 41 3.2 3.2 6.3 6.6 9.2 10.1L769.2 673a8 8 0 0 0 3 14.1l93.3 22.5c5 1.2 9.8-2.6 9.9-7.7l.6-95.4a8 8 0 0 0-12.9-6.4l-20.3 15.8C805.4 569.6 748.1 540 684 540c-109.9 0-199.6 86.9-204 195.7-.2 4.5 3.5 8.3 8 8.3h48.1c4.3 0 7.8-3.3 8-7.6zM880 744h-48.1c-4.3 0-7.8 3.3-8 7.6-1.8 34.5-16.2 66.8-40.8 91.4-26.2 26.2-62 41-99.1 41-37.4 0-72.6-14.6-99.1-41-3.2-3.2-6.3-6.6-9.2-10.1l23.1-17.9a8 8 0 0 0-3-14.1l-93.3-22.5c-5-1.2-9.8 2.6-9.9 7.7l-.6 95.4a8 8 0 0 0 12.9 6.4l20.3-15.8C562.6 918.4 619.9 948 684 948c109.9 0 199.6-86.9 204-195.7.2-4.5-3.5-8.3-8-8.3z"}}]})(props);
};
function AiOutlineFileText (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM790.2 326H602V137.8L790.2 326zm1.8 562H232V136h302v216a42 42 0 0 0 42 42h216v494zM504 618H320c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zM312 490v48c0 4.4 3.6 8 8 8h384c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H320c-4.4 0-8 3.6-8 8z"}}]})(props);
};
function AiOutlineFileUnknown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.7L639.4 73.4c-6-6-14.2-9.4-22.7-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.6-9.4-22.6zM790.2 326H602V137.8L790.2 326zm1.8 562H232V136h302v216a42 42 0 0 0 42 42h216v494zM402 549c0 5.4 4.4 9.5 9.8 9.5h32.4c5.4 0 9.8-4.2 9.8-9.4 0-28.2 25.8-51.6 58-51.6s58 23.4 58 51.5c0 25.3-21 47.2-49.3 50.9-19.3 2.8-34.5 20.3-34.7 40.1v32c0 5.5 4.5 10 10 10h32c5.5 0 10-4.5 10-10v-12.2c0-6 4-11.5 9.7-13.3 44.6-14.4 75-54 74.3-98.9-.8-55.5-49.2-100.8-108.5-101.6-61.4-.7-111.5 45.6-111.5 103zm78 195a32 32 0 1 0 64 0 32 32 0 1 0-64 0z"}}]})(props);
};
function AiOutlineFileWord (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM790.2 326H602V137.8L790.2 326zm1.8 562H232V136h302v216a42 42 0 0 0 42 42h216v494zM528.1 472h-32.2c-5.5 0-10.3 3.7-11.6 9.1L434.6 680l-46.1-198.7c-1.3-5.4-6.1-9.3-11.7-9.3h-35.4a12.02 12.02 0 0 0-11.6 15.1l74.2 276c1.4 5.2 6.2 8.9 11.6 8.9h32c5.4 0 10.2-3.6 11.6-8.9l52.8-197 52.8 197c1.4 5.2 6.2 8.9 11.6 8.9h31.8c5.4 0 10.2-3.6 11.6-8.9l74.4-276a12.04 12.04 0 0 0-11.6-15.1H647c-5.6 0-10.4 3.9-11.7 9.3l-45.8 199.1-49.8-199.3c-1.3-5.4-6.1-9.1-11.6-9.1z"}}]})(props);
};
function AiOutlineFileZip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M296 392h64v64h-64zm0 190v160h128V582h-64v-62h-64v62zm80 48v64h-32v-64h32zm-16-302h64v64h-64zm-64-64h64v64h-64zm64 192h64v64h-64zm0-256h64v64h-64zm494.6 88.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM790.2 326H602V137.8L790.2 326zm1.8 562H232V136h64v64h64v-64h174v216a42 42 0 0 0 42 42h216v494z"}}]})(props);
};
function AiOutlineFile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM790.2 326H602V137.8L790.2 326zm1.8 562H232V136h302v216a42 42 0 0 0 42 42h216v494z"}}]})(props);
};
function AiOutlineFilter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880.1 154H143.9c-24.5 0-39.8 26.7-27.5 48L349 597.4V838c0 17.7 14.2 32 31.8 32h262.4c17.6 0 31.8-14.3 31.8-32V597.4L907.7 202c12.2-21.3-3.1-48-27.6-48zM603.4 798H420.6V642h182.9v156zm9.6-236.6l-9.5 16.6h-183l-9.5-16.6L212.7 226h598.6L613 561.4z"}}]})(props);
};
function AiOutlineFire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M834.1 469.2A347.49 347.49 0 0 0 751.2 354l-29.1-26.7a8.09 8.09 0 0 0-13 3.3l-13 37.3c-8.1 23.4-23 47.3-44.1 70.8-1.4 1.5-3 1.9-4.1 2-1.1.1-2.8-.1-4.3-1.5-1.4-1.2-2.1-3-2-4.8 3.7-60.2-14.3-128.1-53.7-202C555.3 171 510 123.1 453.4 89.7l-41.3-24.3c-5.4-3.2-12.3 1-12 7.3l2.2 48c1.5 32.8-2.3 61.8-11.3 85.9-11 29.5-26.8 56.9-47 81.5a295.64 295.64 0 0 1-47.5 46.1 352.6 352.6 0 0 0-100.3 121.5A347.75 347.75 0 0 0 160 610c0 47.2 9.3 92.9 27.7 136a349.4 349.4 0 0 0 75.5 110.9c32.4 32 70 57.2 111.9 74.7C418.5 949.8 464.5 959 512 959s93.5-9.2 136.9-27.3A348.6 348.6 0 0 0 760.8 857c32.4-32 57.8-69.4 75.5-110.9a344.2 344.2 0 0 0 27.7-136c0-48.8-10-96.2-29.9-140.9zM713 808.5c-53.7 53.2-125 82.4-201 82.4s-147.3-29.2-201-82.4c-53.5-53.1-83-123.5-83-198.4 0-43.5 9.8-85.2 29.1-124 18.8-37.9 46.8-71.8 80.8-97.9a349.6 349.6 0 0 0 58.6-56.8c25-30.5 44.6-64.5 58.2-101a240 240 0 0 0 12.1-46.5c24.1 22.2 44.3 49 61.2 80.4 33.4 62.6 48.8 118.3 45.8 165.7a74.01 74.01 0 0 0 24.4 59.8 73.36 73.36 0 0 0 53.4 18.8c19.7-1 37.8-9.7 51-24.4 13.3-14.9 24.8-30.1 34.4-45.6 14 17.9 25.7 37.4 35 58.4 15.9 35.8 24 73.9 24 113.1 0 74.9-29.5 145.4-83 198.4z"}}]})(props);
};
function AiOutlineFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 305H624V192c0-17.7-14.3-32-32-32H184v-40c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v784c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V640h248v113c0 17.7 14.3 32 32 32h416c17.7 0 32-14.3 32-32V337c0-17.7-14.3-32-32-32zM184 568V232h368v336H184zm656 145H504v-73h112c4.4 0 8-3.6 8-8V377h216v336z"}}]})(props);
};
function AiOutlineFolderAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M484 443.1V528h-84.5c-4.1 0-7.5 3.1-7.5 7v42c0 3.8 3.4 7 7.5 7H484v84.9c0 3.9 3.2 7.1 7 7.1h42c3.9 0 7-3.2 7-7.1V584h84.5c4.1 0 7.5-3.2 7.5-7v-42c0-3.9-3.4-7-7.5-7H540v-84.9c0-3.9-3.1-7.1-7-7.1h-42c-3.8 0-7 3.2-7 7.1zm396-144.7H521L403.7 186.2a8.15 8.15 0 0 0-5.5-2.2H144c-17.7 0-32 14.3-32 32v592c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V330.4c0-17.7-14.3-32-32-32zM840 768H184V256h188.5l119.6 114.4H840V768z"}}]})(props);
};
function AiOutlineFolderOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 444H820V330.4c0-17.7-14.3-32-32-32H473L355.7 186.2a8.15 8.15 0 0 0-5.5-2.2H96c-17.7 0-32 14.3-32 32v592c0 17.7 14.3 32 32 32h698c13 0 24.8-7.9 29.7-20l134-332c1.5-3.8 2.3-7.9 2.3-12 0-17.7-14.3-32-32-32zM136 256h188.5l119.6 114.4H748V444H238c-13 0-24.8 7.9-29.7 20L136 643.2V256zm635.3 512H159l103.3-256h612.4L771.3 768z"}}]})(props);
};
function AiOutlineFolderView (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683698855","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M309.1 554.3c-5.4 11.6-5.4 24.9 0 36.4C353.3 684 421.6 732 512.5 732s159.2-48.1 203.4-141.3c5.4-11.5 5.4-24.8 0.1-36.3l-0.1-0.1-0.1-0.1C671.7 461 603.4 413 512.5 413s-159.2 48.1-203.4 141.3zM512.5 477c62.1 0 107.4 30 141.1 95.5C620 638 574.6 668 512.5 668s-107.4-30-141.1-95.5c33.7-65.5 79-95.5 141.1-95.5z"}},{"tag":"path","attr":{"d":"M513 573m-56 0a56 56 0 1 0 112 0 56 56 0 1 0-112 0Z"}},{"tag":"path","attr":{"d":"M880 298.4H521L403.7 186.2c-1.5-1.4-3.5-2.2-5.5-2.2H144c-17.7 0-32 14.3-32 32v592c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V330.4c0-17.7-14.3-32-32-32zM840 768H184V256h188.5l119.6 114.4H840V768z"}}]})(props);
};
function AiOutlineFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 298.4H521L403.7 186.2a8.15 8.15 0 0 0-5.5-2.2H144c-17.7 0-32 14.3-32 32v592c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V330.4c0-17.7-14.3-32-32-32zM840 768H184V256h188.5l119.6 114.4H840V768z"}}]})(props);
};
function AiOutlineFontColors (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M904 816H120c-4.4 0-8 3.6-8 8v80c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-80c0-4.4-3.6-8-8-8zm-650.3-80h85c4.2 0 8-2.7 9.3-6.8l53.7-166h219.2l53.2 166c1.3 4 5 6.8 9.3 6.8h89.1c1.1 0 2.2-.2 3.2-.5a9.7 9.7 0 0 0 6-12.4L573.6 118.6a9.9 9.9 0 0 0-9.2-6.6H462.1c-4.2 0-7.9 2.6-9.2 6.6L244.5 723.1c-.4 1-.5 2.1-.5 3.2-.1 5.3 4.3 9.7 9.7 9.7zm255.9-516.1h4.1l83.8 263.8H424.9l84.7-263.8z"}}]})(props);
};
function AiOutlineFontSize (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M920 416H616c-4.4 0-8 3.6-8 8v112c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-56h60v320h-46c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h164c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8h-46V480h60v56c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V424c0-4.4-3.6-8-8-8zM656 296V168c0-4.4-3.6-8-8-8H104c-4.4 0-8 3.6-8 8v128c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-64h168v560h-92c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h264c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-92V232h168v64c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8z"}}]})(props);
};
function AiOutlineFork (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M752 100c-61.8 0-112 50.2-112 112 0 47.7 29.9 88.5 72 104.6v27.6L512 601.4 312 344.2v-27.6c42.1-16.1 72-56.9 72-104.6 0-61.8-50.2-112-112-112s-112 50.2-112 112c0 50.6 33.8 93.5 80 107.3v34.4c0 9.7 3.3 19.3 9.3 27L476 672.3v33.6c-44.2 15-76 56.9-76 106.1 0 61.8 50.2 112 112 112s112-50.2 112-112c0-49.2-31.8-91-76-106.1v-33.6l226.7-291.6c6-7.7 9.3-17.3 9.3-27v-34.4c46.2-13.8 80-56.7 80-107.3 0-61.8-50.2-112-112-112zM224 212a48.01 48.01 0 0 1 96 0 48.01 48.01 0 0 1-96 0zm336 600a48.01 48.01 0 0 1-96 0 48.01 48.01 0 0 1 96 0zm192-552a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96z"}}]})(props);
};
function AiOutlineForm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M904 512h-56c-4.4 0-8 3.6-8 8v320H184V184h320c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V520c0-4.4-3.6-8-8-8z"}},{"tag":"path","attr":{"d":"M355.9 534.9L354 653.8c-.1 8.9 7.1 16.2 16 16.2h.4l118-2.9c2-.1 4-.9 5.4-2.3l415.9-415c3.1-3.1 3.1-8.2 0-11.3L785.4 114.3c-1.6-1.6-3.6-2.3-5.7-2.3s-4.1.8-5.7 2.3l-415.8 415a8.3 8.3 0 0 0-2.3 5.6zm63.5 23.6L779.7 199l45.2 45.1-360.5 359.7-45.7 1.1.7-46.4z"}}]})(props);
};
function AiOutlineFormatPainter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683552617","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M840 192h-56v-72c0-13.3-10.7-24-24-24H168c-13.3 0-24 10.7-24 24v272c0 13.3 10.7 24 24 24h592c13.3 0 24-10.7 24-24V256h32v200H465c-22.1 0-40 17.9-40 40v136h-44c-4.4 0-8 3.6-8 8v228c0 0.6 0.1 1.3 0.2 1.9-0.1 2-0.2 4.1-0.2 6.1 0 46.4 37.6 84 84 84s84-37.6 84-84c0-2.1-0.1-4.1-0.2-6.1 0.1-0.6 0.2-1.2 0.2-1.9V640c0-4.4-3.6-8-8-8h-44V520h351c22.1 0 40-17.9 40-40V232c0-22.1-17.9-40-40-40zM720 352H208V160h512v192zM477 876c0 11-9 20-20 20s-20-9-20-20V696h40v180z"}}]})(props);
};
function AiOutlineForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M825.8 498L538.4 249.9c-10.7-9.2-26.4-.9-26.4 14v496.3c0 14.9 15.7 23.2 26.4 14L825.8 526c8.3-7.2 8.3-20.8 0-28zm-320 0L218.4 249.9c-10.7-9.2-26.4-.9-26.4 14v496.3c0 14.9 15.7 23.2 26.4 14L505.8 526c4.1-3.6 6.2-8.8 6.2-14 0-5.2-2.1-10.4-6.2-14z"}}]})(props);
};
function AiOutlineFrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M288 421a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm352 0a48 48 0 1 0 96 0 48 48 0 1 0-96 0zM512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm263 711c-34.2 34.2-74 61-118.3 79.8C611 874.2 562.3 884 512 884c-50.3 0-99-9.8-144.8-29.2A370.4 370.4 0 0 1 248.9 775c-34.2-34.2-61-74-79.8-118.3C149.8 611 140 562.3 140 512s9.8-99 29.2-144.8A370.4 370.4 0 0 1 249 248.9c34.2-34.2 74-61 118.3-79.8C413 149.8 461.7 140 512 140c50.3 0 99 9.8 144.8 29.2A370.4 370.4 0 0 1 775.1 249c34.2 34.2 61 74 79.8 118.3C874.2 413 884 461.7 884 512s-9.8 99-29.2 144.8A368.89 368.89 0 0 1 775 775zM512 533c-85.5 0-155.6 67.3-160 151.6a8 8 0 0 0 8 8.4h48.1c4.2 0 7.8-3.2 8.1-7.4C420 636.1 461.5 597 512 597s92.1 39.1 95.8 88.6c.3 4.2 3.9 7.4 8.1 7.4H664a8 8 0 0 0 8-8.4C667.6 600.3 597.5 533 512 533z"}}]})(props);
};
function AiOutlineFullscreenExit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M391 240.9c-.8-6.6-8.9-9.4-13.6-4.7l-43.7 43.7L200 146.3a8.03 8.03 0 0 0-11.3 0l-42.4 42.3a8.03 8.03 0 0 0 0 11.3L280 333.6l-43.9 43.9a8.01 8.01 0 0 0 4.7 13.6L401 410c5.1.6 9.5-3.7 8.9-8.9L391 240.9zm10.1 373.2L240.8 633c-6.6.8-9.4 8.9-4.7 13.6l43.9 43.9L146.3 824a8.03 8.03 0 0 0 0 11.3l42.4 42.3c3.1 3.1 8.2 3.1 11.3 0L333.7 744l43.7 43.7A8.01 8.01 0 0 0 391 783l18.9-160.1c.6-5.1-3.7-9.4-8.8-8.8zm221.8-204.2L783.2 391c6.6-.8 9.4-8.9 4.7-13.6L744 333.6 877.7 200c3.1-3.1 3.1-8.2 0-11.3l-42.4-42.3a8.03 8.03 0 0 0-11.3 0L690.3 279.9l-43.7-43.7a8.01 8.01 0 0 0-13.6 4.7L614.1 401c-.6 5.2 3.7 9.5 8.8 8.9zM744 690.4l43.9-43.9a8.01 8.01 0 0 0-4.7-13.6L623 614c-5.1-.6-9.5 3.7-8.9 8.9L633 783.1c.8 6.6 8.9 9.4 13.6 4.7l43.7-43.7L824 877.7c3.1 3.1 8.2 3.1 11.3 0l42.4-42.3c3.1-3.1 3.1-8.2 0-11.3L744 690.4z"}}]})(props);
};
function AiOutlineFullscreen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M290 236.4l43.9-43.9a8.01 8.01 0 0 0-4.7-13.6L169 160c-5.1-.6-9.5 3.7-8.9 8.9L179 329.1c.8 6.6 8.9 9.4 13.6 4.7l43.7-43.7L370 423.7c3.1 3.1 8.2 3.1 11.3 0l42.4-42.3c3.1-3.1 3.1-8.2 0-11.3L290 236.4zm352.7 187.3c3.1 3.1 8.2 3.1 11.3 0l133.7-133.6 43.7 43.7a8.01 8.01 0 0 0 13.6-4.7L863.9 169c.6-5.1-3.7-9.5-8.9-8.9L694.8 179c-6.6.8-9.4 8.9-4.7 13.6l43.9 43.9L600.3 370a8.03 8.03 0 0 0 0 11.3l42.4 42.4zM845 694.9c-.8-6.6-8.9-9.4-13.6-4.7l-43.7 43.7L654 600.3a8.03 8.03 0 0 0-11.3 0l-42.4 42.3a8.03 8.03 0 0 0 0 11.3L734 787.6l-43.9 43.9a8.01 8.01 0 0 0 4.7 13.6L855 864c5.1.6 9.5-3.7 8.9-8.9L845 694.9zm-463.7-94.6a8.03 8.03 0 0 0-11.3 0L236.3 733.9l-43.7-43.7a8.01 8.01 0 0 0-13.6 4.7L160.1 855c-.6 5.1 3.7 9.5 8.9 8.9L329.2 845c6.6-.8 9.4-8.9 4.7-13.6L290 787.6 423.7 654c3.1-3.1 3.1-8.2 0-11.3l-42.4-42.4z"}}]})(props);
};
function AiOutlineFunction (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683610100","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M841 370c3-3.3 2.7-8.3-0.6-11.3-1.5-1.3-3.4-2.1-5.3-2.1h-72.6c-2.4 0-4.6 1-6.1 2.8L633.5 504.6c-2.9 3.4-7.9 3.8-11.3 0.9-0.9-0.8-1.6-1.7-2.1-2.8l-63.5-141.3c-1.3-2.9-4.1-4.7-7.3-4.7H380.7l0.9-4.7 8-42.3c10.5-55.4 38-81.4 85.8-81.4 18.6 0 35.5 1.7 48.8 4.7l14.1-66.8c-22.6-4.7-35.2-6.1-54.9-6.1-103.3 0-156.4 44.3-175.9 147.3l-9.4 49.4h-97.6c-3.8 0-7.1 2.7-7.8 6.4L181.9 415c-0.9 4.3 1.9 8.6 6.2 9.5 0.5 0.1 1.1 0.2 1.6 0.2H284l-89 429.9c-0.9 4.3 1.9 8.6 6.2 9.5 0.5 0.1 1.1 0.2 1.6 0.2H269c3.8 0 7.1-2.7 7.8-6.4l89.7-433.1h135.8l68.2 139.1c1.4 2.9 1 6.4-1.2 8.8l-180.6 203c-2.9 3.3-2.6 8.4 0.7 11.3 1.5 1.3 3.4 2 5.3 2h72.7c2.4 0 4.6-1 6.1-2.8l123.7-146.7c2.8-3.4 7.9-3.8 11.3-1 0.9 0.8 1.6 1.7 2.1 2.8L676.4 784c1.3 2.8 4.1 4.7 7.3 4.7h64.6c4.4 0 8-3.6 8-8 0-1.2-0.3-2.4-0.8-3.5l-95.2-198.9c-1.4-2.9-0.9-6.4 1.3-8.8L841 370z"}}]})(props);
};
function AiOutlineFundProjectionScreen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683753031","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M312.1 591.5c3.1 3.1 8.2 3.1 11.3 0l101.8-101.8 86.1 86.2c3.1 3.1 8.2 3.1 11.3 0l226.3-226.5c3.1-3.1 3.1-8.2 0-11.3l-36.8-36.8c-3.1-3.1-8.2-3.1-11.3 0L517 485.3l-86.1-86.2c-3.1-3.1-8.2-3.1-11.3 0L275.3 543.4c-3.1 3.1-3.1 8.2 0 11.3l36.8 36.8z"}},{"tag":"path","attr":{"d":"M904 160H548V96c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H120c-17.7 0-32 14.3-32 32v520c0 17.7 14.3 32 32 32h356.4v32L311.6 884.1c-3.7 2.4-4.7 7.3-2.3 11l30.3 47.2v0.1c2.4 3.7 7.4 4.7 11.1 2.3L512 838.9l161.3 105.8c3.7 2.4 8.7 1.4 11.1-2.3v-0.1l30.3-47.2c2.4-3.7 1.3-8.6-2.3-11L548 776.3V744h356c17.7 0 32-14.3 32-32V192c0-17.7-14.3-32-32-32z m-40 512H160V232h704v440z"}}]})(props);
};
function AiOutlineFundView (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683816874","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M956 686.5l-0.1-0.1-0.1-0.1C911.7 593 843.4 545 752.5 545s-159.2 48.1-203.4 141.3v0.1c-5.4 11.5-5.4 24.9 0 36.4C593.3 816 661.6 864 752.5 864s159.2-48.1 203.4-141.3c5.4-11.5 5.4-24.8 0.1-36.2zM752.5 800c-62.1 0-107.4-30-141.1-95.5C645 639 690.4 609 752.5 609c62.1 0 107.4 30 141.1 95.5C860 770 814.6 800 752.5 800z"}},{"tag":"path","attr":{"d":"M753 705m-56 0a56 56 0 1 0 112 0 56 56 0 1 0-112 0Z"}},{"tag":"path","attr":{"d":"M136 232h704v253h72V192c0-17.7-14.3-32-32-32H96c-17.7 0-32 14.3-32 32v520c0 17.7 14.3 32 32 32h352v-72H136V232z"}},{"tag":"path","attr":{"d":"M724.9 338.1l-36.8-36.8c-3.1-3.1-8.2-3.1-11.3 0L493 485.3l-86.1-86.2c-3.1-3.1-8.2-3.1-11.3 0L251.3 543.4c-3.1 3.1-3.1 8.2 0 11.3l36.8 36.8c3.1 3.1 8.2 3.1 11.3 0l101.8-101.8 86.1 86.2c3.1 3.1 8.2 3.1 11.3 0l226.3-226.5c3.2-3.1 3.2-8.2 0-11.3z"}}]})(props);
};
function AiOutlineFund (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M926 164H94c-17.7 0-32 14.3-32 32v640c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V196c0-17.7-14.3-32-32-32zm-40 632H134V236h752v560zm-658.9-82.3c3.1 3.1 8.2 3.1 11.3 0l172.5-172.5 114.4 114.5c3.1 3.1 8.2 3.1 11.3 0l297-297.2c3.1-3.1 3.1-8.2 0-11.3l-36.8-36.8a8.03 8.03 0 0 0-11.3 0L531 565 416.6 450.5a8.03 8.03 0 0 0-11.3 0l-214.9 215a8.03 8.03 0 0 0 0 11.3l36.7 36.9z"}}]})(props);
};
function AiOutlineFunnelPlot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880.1 154H143.9c-24.5 0-39.8 26.7-27.5 48L349 607.4V838c0 17.7 14.2 32 31.8 32h262.4c17.6 0 31.8-14.3 31.8-32V607.4L907.7 202c12.2-21.3-3.1-48-27.6-48zM603.4 798H420.6V650h182.9v148zm9.6-226.6l-8.4 14.6H419.3l-8.4-14.6L334.4 438h355.2L613 571.4zM726.3 374H297.7l-85-148h598.6l-85 148z"}}]})(props);
};
function AiOutlineGateway (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 392c8.8 0 16-7.2 16-16V192c0-8.8-7.2-16-16-16H744c-8.8 0-16 7.2-16 16v56H296v-56c0-8.8-7.2-16-16-16H96c-8.8 0-16 7.2-16 16v184c0 8.8 7.2 16 16 16h56v240H96c-8.8 0-16 7.2-16 16v184c0 8.8 7.2 16 16 16h184c8.8 0 16-7.2 16-16v-56h432v56c0 8.8 7.2 16 16 16h184c8.8 0 16-7.2 16-16V648c0-8.8-7.2-16-16-16h-56V392h56zM792 240h88v88h-88v-88zm-648 88v-88h88v88h-88zm88 456h-88v-88h88v88zm648-88v88h-88v-88h88zm-80-64h-56c-8.8 0-16 7.2-16 16v56H296v-56c0-8.8-7.2-16-16-16h-56V392h56c8.8 0 16-7.2 16-16v-56h432v56c0 8.8 7.2 16 16 16h56v240z"}}]})(props);
};
function AiOutlineGif (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683621237","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M944 299H692c-4.4 0-8 3.6-8 8v406c0 4.4 3.6 8 8 8h59.2c4.4 0 8-3.6 8-8V549.9h168.2c4.4 0 8-3.6 8-8V495c0-4.4-3.6-8-8-8H759.2V364.2H944c4.4 0 8-3.6 8-8V307c0-4.4-3.6-8-8-8zM588 300h-56c-4.4 0-8 3.6-8 8v406c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V308c0-4.4-3.6-8-8-8zM452 500.9H290.5c-4.4 0-8 3.6-8 8v43.7c0 4.4 3.6 8 8 8h94.9l-0.3 8.9c-1.2 58.8-45.6 98.5-110.9 98.5-76.2 0-123.9-59.7-123.9-156.7 0-95.8 46.8-155.2 121.5-155.2 54.8 0 93.1 26.9 108.5 75.4h76.2c-13.6-87.2-86-143.4-184.7-143.4C150 288 72 375.2 72 511.9 72 650.2 149.1 736 273 736c114.1 0 187-70.7 187-181.6v-45.5c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineGift (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 310H732.4c13.6-21.4 21.6-46.8 21.6-74 0-76.1-61.9-138-138-138-41.4 0-78.7 18.4-104 47.4-25.3-29-62.6-47.4-104-47.4-76.1 0-138 61.9-138 138 0 27.2 7.9 52.6 21.6 74H144c-17.7 0-32 14.3-32 32v200c0 4.4 3.6 8 8 8h40v344c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V550h40c4.4 0 8-3.6 8-8V342c0-17.7-14.3-32-32-32zm-334-74c0-38.6 31.4-70 70-70s70 31.4 70 70-31.4 70-70 70h-70v-70zm-138-70c38.6 0 70 31.4 70 70v70h-70c-38.6 0-70-31.4-70-70s31.4-70 70-70zM180 482V378h298v104H180zm48 68h250v308H228V550zm568 308H546V550h250v308zm48-376H546V378h298v104z"}}]})(props);
};
function AiOutlineGithub (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M511.6 76.3C264.3 76.2 64 276.4 64 523.5 64 718.9 189.3 885 363.8 946c23.5 5.9 19.9-10.8 19.9-22.2v-77.5c-135.7 15.9-141.2-73.9-150.3-88.9C215 726 171.5 718 184.5 703c30.9-15.9 62.4 4 98.9 57.9 26.4 39.1 77.9 32.5 104 26 5.7-23.5 17.9-44.5 34.7-60.8-140.6-25.2-199.2-111-199.2-213 0-49.5 16.3-95 48.3-131.7-20.4-60.5 1.9-112.3 4.9-120 58.1-5.2 118.5 41.6 123.2 45.3 33-8.9 70.7-13.6 112.9-13.6 42.4 0 80.2 4.9 113.5 13.9 11.3-8.6 67.3-48.8 121.3-43.9 2.9 7.7 24.7 58.3 5.5 118 32.4 36.8 48.9 82.7 48.9 132.3 0 102.2-59 188.1-200 212.9a127.5 127.5 0 0 1 38.1 91v112.5c.8 9 0 17.9 15 17.9 177.1-59.7 304.6-227 304.6-424.1 0-247.2-200.4-447.3-447.5-447.3z"}}]})(props);
};
function AiOutlineGitlab (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M913.9 552.2L805 181.4v-.1c-7.6-22.9-25.7-36.5-48.3-36.5-23.4 0-42.5 13.5-49.7 35.2l-71.4 213H388.8l-71.4-213c-7.2-21.7-26.3-35.2-49.7-35.2-23.1 0-42.5 14.8-48.4 36.6L110.5 552.2c-4.4 14.7 1.2 31.4 13.5 40.7l368.5 276.4c2.6 3.6 6.2 6.3 10.4 7.8l8.6 6.4 8.5-6.4c4.9-1.7 9-4.7 11.9-8.9l368.4-275.4c12.4-9.2 18-25.9 13.6-40.6zM751.7 193.4c1-1.8 2.9-1.9 3.5-1.9 1.1 0 2.5.3 3.4 3L818 394.3H684.5l67.2-200.9zm-487.4 1c.9-2.6 2.3-2.9 3.4-2.9 2.7 0 2.9.1 3.4 1.7l67.3 201.2H206.5l57.8-200zM158.8 558.7l28.2-97.3 202.4 270.2-230.6-172.9zm73.9-116.4h122.1l90.8 284.3-212.9-284.3zM512.9 776L405.7 442.3H620L512.9 776zm157.9-333.7h119.5L580 723.1l90.8-280.8zm-40.7 293.9l207.3-276.7 29.5 99.2-236.8 177.5z"}}]})(props);
};
function AiOutlineGlobal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.4 800.9c.2-.3.5-.6.7-.9C920.6 722.1 960 621.7 960 512s-39.4-210.1-104.8-288c-.2-.3-.5-.5-.7-.8-1.1-1.3-2.1-2.5-3.2-3.7-.4-.5-.8-.9-1.2-1.4l-4.1-4.7-.1-.1c-1.5-1.7-3.1-3.4-4.6-5.1l-.1-.1c-3.2-3.4-6.4-6.8-9.7-10.1l-.1-.1-4.8-4.8-.3-.3c-1.5-1.5-3-2.9-4.5-4.3-.5-.5-1-1-1.6-1.5-1-1-2-1.9-3-2.8-.3-.3-.7-.6-1-1C736.4 109.2 629.5 64 512 64s-224.4 45.2-304.3 119.2c-.3.3-.7.6-1 1-1 .9-2 1.9-3 2.9-.5.5-1 1-1.6 1.5-1.5 1.4-3 2.9-4.5 4.3l-.3.3-4.8 4.8-.1.1c-3.3 3.3-6.5 6.7-9.7 10.1l-.1.1c-1.6 1.7-3.1 3.4-4.6 5.1l-.1.1c-1.4 1.5-2.8 3.1-4.1 4.7-.4.5-.8.9-1.2 1.4-1.1 1.2-2.1 2.5-3.2 3.7-.2.3-.5.5-.7.8C103.4 301.9 64 402.3 64 512s39.4 210.1 104.8 288c.2.3.5.6.7.9l3.1 3.7c.4.5.8.9 1.2 1.4l4.1 4.7c0 .1.1.1.1.2 1.5 1.7 3 3.4 4.6 5l.1.1c3.2 3.4 6.4 6.8 9.6 10.1l.1.1c1.6 1.6 3.1 3.2 4.7 4.7l.3.3c3.3 3.3 6.7 6.5 10.1 9.6 80.1 74 187 119.2 304.5 119.2s224.4-45.2 304.3-119.2a300 300 0 0 0 10-9.6l.3-.3c1.6-1.6 3.2-3.1 4.7-4.7l.1-.1c3.3-3.3 6.5-6.7 9.6-10.1l.1-.1c1.5-1.7 3.1-3.3 4.6-5 0-.1.1-.1.1-.2 1.4-1.5 2.8-3.1 4.1-4.7.4-.5.8-.9 1.2-1.4a99 99 0 0 0 3.3-3.7zm4.1-142.6c-13.8 32.6-32 62.8-54.2 90.2a444.07 444.07 0 0 0-81.5-55.9c11.6-46.9 18.8-98.4 20.7-152.6H887c-3 40.9-12.6 80.6-28.5 118.3zM887 484H743.5c-1.9-54.2-9.1-105.7-20.7-152.6 29.3-15.6 56.6-34.4 81.5-55.9A373.86 373.86 0 0 1 887 484zM658.3 165.5c39.7 16.8 75.8 40 107.6 69.2a394.72 394.72 0 0 1-59.4 41.8c-15.7-45-35.8-84.1-59.2-115.4 3.7 1.4 7.4 2.9 11 4.4zm-90.6 700.6c-9.2 7.2-18.4 12.7-27.7 16.4V697a389.1 389.1 0 0 1 115.7 26.2c-8.3 24.6-17.9 47.3-29 67.8-17.4 32.4-37.8 58.3-59 75.1zm59-633.1c11 20.6 20.7 43.3 29 67.8A389.1 389.1 0 0 1 540 327V141.6c9.2 3.7 18.5 9.1 27.7 16.4 21.2 16.7 41.6 42.6 59 75zM540 640.9V540h147.5c-1.6 44.2-7.1 87.1-16.3 127.8l-.3 1.2A445.02 445.02 0 0 0 540 640.9zm0-156.9V383.1c45.8-2.8 89.8-12.5 130.9-28.1l.3 1.2c9.2 40.7 14.7 83.5 16.3 127.8H540zm-56 56v100.9c-45.8 2.8-89.8 12.5-130.9 28.1l-.3-1.2c-9.2-40.7-14.7-83.5-16.3-127.8H484zm-147.5-56c1.6-44.2 7.1-87.1 16.3-127.8l.3-1.2c41.1 15.6 85 25.3 130.9 28.1V484H336.5zM484 697v185.4c-9.2-3.7-18.5-9.1-27.7-16.4-21.2-16.7-41.7-42.7-59.1-75.1-11-20.6-20.7-43.3-29-67.8 37.2-14.6 75.9-23.3 115.8-26.1zm0-370a389.1 389.1 0 0 1-115.7-26.2c8.3-24.6 17.9-47.3 29-67.8 17.4-32.4 37.8-58.4 59.1-75.1 9.2-7.2 18.4-12.7 27.7-16.4V327zM365.7 165.5c3.7-1.5 7.3-3 11-4.4-23.4 31.3-43.5 70.4-59.2 115.4-21-12-40.9-26-59.4-41.8 31.8-29.2 67.9-52.4 107.6-69.2zM165.5 365.7c13.8-32.6 32-62.8 54.2-90.2 24.9 21.5 52.2 40.3 81.5 55.9-11.6 46.9-18.8 98.4-20.7 152.6H137c3-40.9 12.6-80.6 28.5-118.3zM137 540h143.5c1.9 54.2 9.1 105.7 20.7 152.6a444.07 444.07 0 0 0-81.5 55.9A373.86 373.86 0 0 1 137 540zm228.7 318.5c-39.7-16.8-75.8-40-107.6-69.2 18.5-15.8 38.4-29.7 59.4-41.8 15.7 45 35.8 84.1 59.2 115.4-3.7-1.4-7.4-2.9-11-4.4zm292.6 0c-3.7 1.5-7.3 3-11 4.4 23.4-31.3 43.5-70.4 59.2-115.4 21 12 40.9 26 59.4 41.8a373.81 373.81 0 0 1-107.6 69.2z"}}]})(props);
};
function AiOutlineGold (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M342 472h342c.4 0 .9 0 1.3-.1 4.4-.7 7.3-4.8 6.6-9.2l-40.2-248c-.6-3.9-4-6.7-7.9-6.7H382.2c-3.9 0-7.3 2.8-7.9 6.7l-40.2 248c-.1.4-.1.9-.1 1.3 0 4.4 3.6 8 8 8zm91.2-196h159.5l20.7 128h-201l20.8-128zm2.5 282.7c-.6-3.9-4-6.7-7.9-6.7H166.2c-3.9 0-7.3 2.8-7.9 6.7l-40.2 248c-.1.4-.1.9-.1 1.3 0 4.4 3.6 8 8 8h342c.4 0 .9 0 1.3-.1 4.4-.7 7.3-4.8 6.6-9.2l-40.2-248zM196.5 748l20.7-128h159.5l20.7 128H196.5zm709.4 58.7l-40.2-248c-.6-3.9-4-6.7-7.9-6.7H596.2c-3.9 0-7.3 2.8-7.9 6.7l-40.2 248c-.1.4-.1.9-.1 1.3 0 4.4 3.6 8 8 8h342c.4 0 .9 0 1.3-.1 4.3-.7 7.3-4.8 6.6-9.2zM626.5 748l20.7-128h159.5l20.7 128H626.5z"}}]})(props);
};
function AiOutlineGooglePlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M879.5 470.4c-.3-27-.4-54.2-.5-81.3h-80.8c-.3 27-.5 54.1-.7 81.3-27.2.1-54.2.3-81.2.6v80.9c27 .3 54.2.5 81.2.8.3 27 .3 54.1.5 81.1h80.9c.1-27 .3-54.1.5-81.3 27.2-.3 54.2-.4 81.2-.7v-80.9c-26.9-.2-54.1-.2-81.1-.5zm-530 .4c-.1 32.3 0 64.7.1 97 54.2 1.8 108.5 1 162.7 1.8-23.9 120.3-187.4 159.3-273.9 80.7-89-68.9-84.8-220 7.7-284 64.7-51.6 156.6-38.9 221.3 5.8 25.4-23.5 49.2-48.7 72.1-74.7-53.8-42.9-119.8-73.5-190-70.3-146.6-4.9-281.3 123.5-283.7 270.2-9.4 119.9 69.4 237.4 180.6 279.8 110.8 42.7 252.9 13.6 323.7-86 46.7-62.9 56.8-143.9 51.3-220-90.7-.7-181.3-.6-271.9-.3z"}}]})(props);
};
function AiOutlineGoogle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M881 442.4H519.7v148.5h206.4c-8.9 48-35.9 88.6-76.6 115.8-34.4 23-78.3 36.6-129.9 36.6-99.9 0-184.4-67.5-214.6-158.2-7.6-23-12-47.6-12-72.9s4.4-49.9 12-72.9c30.3-90.6 114.8-158.1 214.7-158.1 56.3 0 106.8 19.4 146.6 57.4l110-110.1c-66.5-62-153.2-100-256.6-100-149.9 0-279.6 86-342.7 211.4-26 51.8-40.8 110.4-40.8 172.4S151 632.8 177 684.6C240.1 810 369.8 896 519.7 896c103.6 0 190.4-34.4 253.8-93 72.5-66.8 114.4-165.2 114.4-282.1 0-27.2-2.4-53.3-6.9-78.5z"}}]})(props);
};
function AiOutlineGroup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683739097","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M912 820.1V203.9c28-9.9 48-36.6 48-67.9 0-39.8-32.2-72-72-72-31.3 0-58 20-67.9 48H203.9C194 84 167.3 64 136 64c-39.8 0-72 32.2-72 72 0 31.3 20 58 48 67.9v616.2C84 830 64 856.7 64 888c0 39.8 32.2 72 72 72 31.3 0 58-20 67.9-48h616.2c9.9 28 36.6 48 67.9 48 39.8 0 72-32.2 72-72 0-31.3-20-58-48-67.9zM888 112c13.3 0 24 10.7 24 24s-10.7 24-24 24-24-10.7-24-24 10.7-24 24-24zM136 912c-13.3 0-24-10.7-24-24s10.7-24 24-24 24 10.7 24 24-10.7 24-24 24z m0-752c-13.3 0-24-10.7-24-24s10.7-24 24-24 24 10.7 24 24-10.7 24-24 24z m704 680H184V184h656v656z m48 72c-13.3 0-24-10.7-24-24s10.7-24 24-24 24 10.7 24 24-10.7 24-24 24z"}},{"tag":"path","attr":{"d":"M288 474h448c8.8 0 16-7.2 16-16V282c0-8.8-7.2-16-16-16H288c-8.8 0-16 7.2-16 16v176c0 8.8 7.2 16 16 16z m56-136h336v64H344v-64zM288 758h448c8.8 0 16-7.2 16-16V566c0-8.8-7.2-16-16-16H288c-8.8 0-16 7.2-16 16v176c0 8.8 7.2 16 16 16z m56-136h336v64H344v-64z"}}]})(props);
};
function AiOutlineHdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 64H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zm-600 72h560v208H232V136zm560 480H232V408h560v208zm0 272H232V680h560v208zM496 208H312c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zM312 544h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H312c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8zm328 244a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}}]})(props);
};
function AiOutlineHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M923 283.6a260.04 260.04 0 0 0-56.9-82.8 264.4 264.4 0 0 0-84-55.5A265.34 265.34 0 0 0 679.7 125c-49.3 0-97.4 13.5-139.2 39-10 6.1-19.5 12.8-28.5 20.1-9-7.3-18.5-14-28.5-20.1-41.8-25.5-89.9-39-139.2-39-35.5 0-69.9 6.8-102.4 20.3-31.4 13-59.7 31.7-84 55.5a258.44 258.44 0 0 0-56.9 82.8c-13.9 32.3-21 66.6-21 101.9 0 33.3 6.8 68 20.3 103.3 11.3 29.5 27.5 60.1 48.2 91 32.8 48.9 77.9 99.9 133.9 151.6 92.8 85.7 184.7 144.9 188.6 147.3l23.7 15.2c10.5 6.7 24 6.7 34.5 0l23.7-15.2c3.9-2.5 95.7-61.6 188.6-147.3 56-51.7 101.1-102.7 133.9-151.6 20.7-30.9 37-61.5 48.2-91 13.5-35.3 20.3-70 20.3-103.3.1-35.3-7-69.6-20.9-101.9zM512 814.8S156 586.7 156 385.5C156 283.6 240.3 201 344.3 201c73.1 0 136.5 40.8 167.7 100.4C543.2 241.8 606.6 201 679.7 201c104 0 188.3 82.6 188.3 184.5 0 201.2-356 429.3-356 429.3z"}}]})(props);
};
function AiOutlineHeatMap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M955.7 856l-416-720c-6.2-10.7-16.9-16-27.7-16s-21.6 5.3-27.7 16l-416 720C56 877.4 71.4 904 96 904h832c24.6 0 40-26.6 27.7-48zm-790.4-23.9L512 231.9 858.7 832H165.3zm319-474.1l-228 394c-12.3 21.3 3.1 48 27.7 48h455.8c24.7 0 40.1-26.7 27.7-48L539.7 358c-6.2-10.7-17-16-27.7-16-10.8 0-21.6 5.3-27.7 16zm214 386H325.7L512 422l186.3 322zm-214-194.1l-57 98.4C415 669.5 430.4 696 455 696h114c24.6 0 39.9-26.5 27.7-47.7l-57-98.4c-6.1-10.6-16.9-15.9-27.7-15.9s-21.5 5.3-27.7 15.9zm57.1 98.4h-58.7l29.4-50.7 29.3 50.7z"}}]})(props);
};
function AiOutlineHighlight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M957.6 507.4L603.2 158.2a7.9 7.9 0 0 0-11.2 0L353.3 393.4a8.03 8.03 0 0 0-.1 11.3l.1.1 40 39.4-117.2 115.3a8.03 8.03 0 0 0-.1 11.3l.1.1 39.5 38.9-189.1 187H72.1c-4.4 0-8.1 3.6-8.1 8V860c0 4.4 3.6 8 8 8h344.9c2.1 0 4.1-.8 5.6-2.3l76.1-75.6 40.4 39.8a7.9 7.9 0 0 0 11.2 0l117.1-115.6 40.1 39.5a7.9 7.9 0 0 0 11.2 0l238.7-235.2c3.4-3 3.4-8 .3-11.2zM389.8 796.2H229.6l134.4-133 80.1 78.9-54.3 54.1zm154.8-62.1L373.2 565.2l68.6-67.6 171.4 168.9-68.6 67.6zM713.1 658L450.3 399.1 597.6 254l262.8 259-147.3 145z"}}]})(props);
};
function AiOutlineHistory (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M536.1 273H488c-4.4 0-8 3.6-8 8v275.3c0 2.6 1.2 5 3.3 6.5l165.3 120.7c3.6 2.6 8.6 1.9 11.2-1.7l28.6-39c2.7-3.7 1.9-8.7-1.7-11.2L544.1 528.5V281c0-4.4-3.6-8-8-8zm219.8 75.2l156.8 38.3c5 1.2 9.9-2.6 9.9-7.7l.8-161.5c0-6.7-7.7-10.5-12.9-6.3L752.9 334.1a8 8 0 0 0 3 14.1zm167.7 301.1l-56.7-19.5a8 8 0 0 0-10.1 4.8c-1.9 5.1-3.9 10.1-6 15.1-17.8 42.1-43.3 80-75.9 112.5a353 353 0 0 1-112.5 75.9 352.18 352.18 0 0 1-137.7 27.8c-47.8 0-94.1-9.3-137.7-27.8a353 353 0 0 1-112.5-75.9c-32.5-32.5-58-70.4-75.9-112.5A353.44 353.44 0 0 1 171 512c0-47.8 9.3-94.2 27.8-137.8 17.8-42.1 43.3-80 75.9-112.5a353 353 0 0 1 112.5-75.9C430.6 167.3 477 158 524.8 158s94.1 9.3 137.7 27.8A353 353 0 0 1 775 261.7c10.2 10.3 19.8 21 28.6 32.3l59.8-46.8C784.7 146.6 662.2 81.9 524.6 82 285 82.1 92.6 276.7 95 516.4 97.4 751.9 288.9 942 524.8 942c185.5 0 343.5-117.6 403.7-282.3 1.5-4.2-.7-8.9-4.9-10.4z"}}]})(props);
};
function AiOutlineHome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M946.5 505L560.1 118.8l-25.9-25.9a31.5 31.5 0 0 0-44.4 0L77.5 505a63.9 63.9 0 0 0-18.8 46c.4 35.2 29.7 63.3 64.9 63.3h42.5V940h691.8V614.3h43.4c17.1 0 33.2-6.7 45.3-18.8a63.6 63.6 0 0 0 18.7-45.3c0-17-6.7-33.1-18.8-45.2zM568 868H456V664h112v204zm217.9-325.7V868H632V640c0-22.1-17.9-40-40-40H432c-22.1 0-40 17.9-40 40v228H238.1V542.3h-96l370-369.7 23.1 23.1L882 542.3h-96.1z"}}]})(props);
};
function AiOutlineHourglass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M742 318V184h86c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H196c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h86v134c0 81.5 42.4 153.2 106.4 194-64 40.8-106.4 112.5-106.4 194v134h-86c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h632c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-86V706c0-81.5-42.4-153.2-106.4-194 64-40.8 106.4-112.5 106.4-194zm-72 388v134H354V706c0-42.2 16.4-81.9 46.3-111.7C430.1 564.4 469.8 548 512 548s81.9 16.4 111.7 46.3C653.6 624.1 670 663.8 670 706zm0-388c0 42.2-16.4 81.9-46.3 111.7C593.9 459.6 554.2 476 512 476s-81.9-16.4-111.7-46.3A156.63 156.63 0 0 1 354 318V184h316v134z"}}]})(props);
};
function AiOutlineHtml5 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M145 96l66 746.6L511.8 928l299.6-85.4L878.7 96H145zm610.9 700.6l-244.1 69.6-245.2-69.6-56.7-641.2h603.8l-57.8 641.2zM281 249l1.7 24.3 22.7 253.5h206.5v-.1h112.9l-11.4 118.5L511 672.9v.2h-.8l-102.4-27.7-6.5-73.2h-91l11.3 144.7 188.6 52h1.7v-.4l187.7-51.7 1.7-16.3 21.2-242.2 3.2-24.3H511v.2H389.9l-8.2-94.2h352.1l1.7-19.5 4.8-47.2L742 249H511z"}}]})(props);
};
function AiOutlineIdcard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 160H96c-17.7 0-32 14.3-32 32v640c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V192c0-17.7-14.3-32-32-32zm-40 632H136V232h752v560zM610.3 476h123.4c1.3 0 2.3-3.6 2.3-8v-48c0-4.4-1-8-2.3-8H610.3c-1.3 0-2.3 3.6-2.3 8v48c0 4.4 1 8 2.3 8zm4.8 144h185.7c3.9 0 7.1-3.6 7.1-8v-48c0-4.4-3.2-8-7.1-8H615.1c-3.9 0-7.1 3.6-7.1 8v48c0 4.4 3.2 8 7.1 8zM224 673h43.9c4.2 0 7.6-3.3 7.9-7.5 3.8-50.5 46-90.5 97.2-90.5s93.4 40 97.2 90.5c.3 4.2 3.7 7.5 7.9 7.5H522a8 8 0 0 0 8-8.4c-2.8-53.3-32-99.7-74.6-126.1a111.8 111.8 0 0 0 29.1-75.5c0-61.9-49.9-112-111.4-112s-111.4 50.1-111.4 112c0 29.1 11 55.5 29.1 75.5a158.09 158.09 0 0 0-74.6 126.1c-.4 4.6 3.2 8.4 7.8 8.4zm149-262c28.5 0 51.7 23.3 51.7 52s-23.2 52-51.7 52-51.7-23.3-51.7-52 23.2-52 51.7-52z"}}]})(props);
};
function AiOutlineIe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M852.6 367.6c16.3-36.9 32.1-90.7 32.1-131.8 0-109.1-119.5-147.6-314.5-57.9-161.4-10.8-316.8 110.5-355.6 279.7 46.3-52.3 117.4-123.4 183-151.7C316.1 378.3 246.7 470 194 565.6c-31.1 56.9-66 148.8-66 217.5 0 147.9 139.3 129.8 270.4 63 47.1 23.1 99.8 23.4 152.5 23.4 145.7 0 276.4-81.4 325.2-219H694.9c-78.8 132.9-295.2 79.5-295.2-71.2h493.2c9.6-65.4-2.5-143.6-40.3-211.7zM224.8 648.3c26.6 76.7 80.6 143.8 150.4 185-133.1 73.4-259.9 43.6-150.4-185zm174-163.3c3-82.7 75.4-142.3 156-142.3 80.1 0 153 59.6 156 142.3h-312zm276.8-281.4c32.1-15.4 72.8-33 108.8-33 47.1 0 81.4 32.6 81.4 80.6 0 30-11.1 73.5-21.9 101.8-39.3-63.5-98.9-122.4-168.3-149.4z"}}]})(props);
};
function AiOutlineImport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M888.3 757.4h-53.8c-4.2 0-7.7 3.5-7.7 7.7v61.8H197.1V197.1h629.8v61.8c0 4.2 3.5 7.7 7.7 7.7h53.8c4.2 0 7.7-3.4 7.7-7.7V158.7c0-17-13.7-30.7-30.7-30.7H158.7c-17 0-30.7 13.7-30.7 30.7v706.6c0 17 13.7 30.7 30.7 30.7h706.6c17 0 30.7-13.7 30.7-30.7V765.1c0-4.3-3.5-7.7-7.7-7.7zM902 476H588v-76c0-6.7-7.8-10.5-13-6.3l-141.9 112a8 8 0 0 0 0 12.6l141.9 112c5.3 4.2 13 .4 13-6.3v-76h314c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineInbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M885.2 446.3l-.2-.8-112.2-285.1c-5-16.1-19.9-27.2-36.8-27.2H281.2c-17 0-32.1 11.3-36.9 27.6L139.4 443l-.3.7-.2.8c-1.3 4.9-1.7 9.9-1 14.8-.1 1.6-.2 3.2-.2 4.8V830a60.9 60.9 0 0 0 60.8 60.8h627.2c33.5 0 60.8-27.3 60.9-60.8V464.1c0-1.3 0-2.6-.1-3.7.4-4.9 0-9.6-1.3-14.1zm-295.8-43l-.3 15.7c-.8 44.9-31.8 75.1-77.1 75.1-22.1 0-41.1-7.1-54.8-20.6S436 441.2 435.6 419l-.3-15.7H229.5L309 210h399.2l81.7 193.3H589.4zm-375 76.8h157.3c24.3 57.1 76 90.8 140.4 90.8 33.7 0 65-9.4 90.3-27.2 22.2-15.6 39.5-37.4 50.7-63.6h156.5V814H214.4V480.1z"}}]})(props);
};
function AiOutlineInfoCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M464 336a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm72 112h-48c-4.4 0-8 3.6-8 8v272c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V456c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineInfo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M448 224a64 64 0 1 0 128 0 64 64 0 1 0-128 0zm96 168h-64c-4.4 0-8 3.6-8 8v464c0 4.4 3.6 8 8 8h64c4.4 0 8-3.6 8-8V400c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineInsertRowAbove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683507961","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M878.7 336H145.3c-18.4 0-33.3 14.3-33.3 32v464c0 17.7 14.9 32 33.3 32h733.3c18.4 0 33.3-14.3 33.3-32V368c0.1-17.7-14.8-32-33.2-32zM360 792H184V632h176v160z m0-224H184V408h176v160z m240 224H424V632h176v160z m0-224H424V408h176v160z m240 224H664V632h176v160z m0-224H664V408h176v160zM904 160H120c-4.4 0-8 3.6-8 8v80c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-80c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineInsertRowBelow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683503597","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M904 768H120c-4.4 0-8 3.6-8 8v80c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-80c0-4.4-3.6-8-8-8zM878.7 160H145.3c-18.4 0-33.3 14.3-33.3 32v464c0 17.7 14.9 32 33.3 32h733.3c18.4 0 33.3-14.3 33.3-32V192c0.1-17.7-14.8-32-33.2-32zM360 616H184V456h176v160z m0-224H184V232h176v160z m240 224H424V456h176v160z m0-224H424V232h176v160z m240 224H664V456h176v160z m0-224H664V232h176v160z"}}]})(props);
};
function AiOutlineInsertRowLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683561749","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M248 112h-80c-4.4 0-8 3.6-8 8v784c0 4.4 3.6 8 8 8h80c4.4 0 8-3.6 8-8V120c0-4.4-3.6-8-8-8zM832 112H368c-17.7 0-32 14.9-32 33.3v733.3c0 18.4 14.3 33.3 32 33.3h464c17.7 0 32-14.9 32-33.3V145.3c0-18.4-14.3-33.3-32-33.3zM568 840H408V664h160v176z m0-240H408V424h160v176z m0-240H408V184h160v176z m224 480H632V664h160v176z m0-240H632V424h160v176z m0-240H632V184h160v176z"}}]})(props);
};
function AiOutlineInsertRowRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683555439","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M856 112h-80c-4.4 0-8 3.6-8 8v784c0 4.4 3.6 8 8 8h80c4.4 0 8-3.6 8-8V120c0-4.4-3.6-8-8-8zM656 112H192c-17.7 0-32 14.9-32 33.3v733.3c0 18.4 14.3 33.3 32 33.3h464c17.7 0 32-14.9 32-33.3V145.3c0-18.4-14.3-33.3-32-33.3zM392 840H232V664h160v176z m0-240H232V424h160v176z m0-240H232V184h160v176z m224 480H456V664h160v176z m0-240H456V424h160v176z m0-240H456V184h160v176z"}}]})(props);
};
function AiOutlineInstagram (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 306.9c-113.5 0-205.1 91.6-205.1 205.1S398.5 717.1 512 717.1 717.1 625.5 717.1 512 625.5 306.9 512 306.9zm0 338.4c-73.4 0-133.3-59.9-133.3-133.3S438.6 378.7 512 378.7 645.3 438.6 645.3 512 585.4 645.3 512 645.3zm213.5-394.6c-26.5 0-47.9 21.4-47.9 47.9s21.4 47.9 47.9 47.9 47.9-21.3 47.9-47.9a47.84 47.84 0 0 0-47.9-47.9zM911.8 512c0-55.2.5-109.9-2.6-165-3.1-64-17.7-120.8-64.5-167.6-46.9-46.9-103.6-61.4-167.6-64.5-55.2-3.1-109.9-2.6-165-2.6-55.2 0-109.9-.5-165 2.6-64 3.1-120.8 17.7-167.6 64.5C132.6 226.3 118.1 283 115 347c-3.1 55.2-2.6 109.9-2.6 165s-.5 109.9 2.6 165c3.1 64 17.7 120.8 64.5 167.6 46.9 46.9 103.6 61.4 167.6 64.5 55.2 3.1 109.9 2.6 165 2.6 55.2 0 109.9.5 165-2.6 64-3.1 120.8-17.7 167.6-64.5 46.9-46.9 61.4-103.6 64.5-167.6 3.2-55.1 2.6-109.8 2.6-165zm-88 235.8c-7.3 18.2-16.1 31.8-30.2 45.8-14.1 14.1-27.6 22.9-45.8 30.2C695.2 844.7 570.3 840 512 840c-58.3 0-183.3 4.7-235.9-16.1-18.2-7.3-31.8-16.1-45.8-30.2-14.1-14.1-22.9-27.6-30.2-45.8C179.3 695.2 184 570.3 184 512c0-58.3-4.7-183.3 16.1-235.9 7.3-18.2 16.1-31.8 30.2-45.8s27.6-22.9 45.8-30.2C328.7 179.3 453.7 184 512 184s183.3-4.7 235.9 16.1c18.2 7.3 31.8 16.1 45.8 30.2 14.1 14.1 22.9 27.6 30.2 45.8C844.7 328.7 840 453.7 840 512c0 58.3 4.7 183.2-16.2 235.8z"}}]})(props);
};
function AiOutlineInsurance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M441.6 306.8L403 288.6a6.1 6.1 0 0 0-8.4 3.7c-17.5 58.5-45.2 110.1-82.2 153.6a6.05 6.05 0 0 0-1.2 5.6l13.2 43.5c1.3 4.4 7 5.7 10.2 2.4 7.7-8.1 15.4-16.9 23.1-26V656c0 4.4 3.6 8 8 8H403c4.4 0 8-3.6 8-8V393.1a429.2 429.2 0 0 0 33.6-79c1-2.9-.3-6-3-7.3zm26.8 9.2v127.2c0 4.4 3.6 8 8 8h65.9v18.6h-94.9c-4.4 0-8 3.6-8 8v35.6c0 4.4 3.6 8 8 8h55.1c-19.1 30.8-42.4 55.7-71 76a6 6 0 0 0-1.6 8.1l22.8 36.5c1.9 3.1 6.2 3.8 8.9 1.4 31.6-26.8 58.7-62.9 80.6-107.6v120c0 4.4 3.6 8 8 8h36.2c4.4 0 8-3.6 8-8V536c21.3 41.7 47.5 77.5 78.1 106.9 2.6 2.5 6.8 2.1 8.9-.7l26.3-35.3c2-2.7 1.4-6.5-1.2-8.4-30.5-22.6-54.2-47.8-72.3-76.9h59c4.4 0 8-3.6 8-8V478c0-4.4-3.6-8-8-8h-98.8v-18.6h66.7c4.4 0 8-3.6 8-8V316c0-4.4-3.6-8-8-8H476.4c-4.4 0-8 3.6-8 8zm51.5 42.8h97.9v41.6h-97.9v-41.6zm347-188.9L527.1 54.1C523 52.7 517.5 52 512 52s-11 .7-15.1 2.1L157.1 169.9c-8.3 2.8-15.1 12.4-15.1 21.2v482.4c0 8.8 5.7 20.4 12.6 25.9L499.3 968c3.5 2.7 8 4.1 12.6 4.1s9.2-1.4 12.6-4.1l344.7-268.6c6.9-5.4 12.6-17 12.6-25.9V191.1c.2-8.8-6.6-18.3-14.9-21.2zM810 654.3L512 886.5 214 654.3V226.7l298-101.6 298 101.6v427.6z"}}]})(props);
};
function AiOutlineInteraction (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656zM304.8 524h50.7c3.7 0 6.8-3 6.8-6.8v-78.9c0-19.7 15.9-35.6 35.5-35.6h205.7v53.4c0 5.7 6.5 8.8 10.9 5.3l109.1-85.7c3.5-2.7 3.5-8 0-10.7l-109.1-85.7c-4.4-3.5-10.9-.3-10.9 5.3V338H397.7c-55.1 0-99.7 44.8-99.7 100.1V517c0 4 3 7 6.8 7zm-4.2 134.9l109.1 85.7c4.4 3.5 10.9.3 10.9-5.3v-53.4h205.7c55.1 0 99.7-44.8 99.7-100.1v-78.9c0-3.7-3-6.8-6.8-6.8h-50.7c-3.7 0-6.8 3-6.8 6.8v78.9c0 19.7-15.9 35.6-35.5 35.6H420.6V568c0-5.7-6.5-8.8-10.9-5.3l-109.1 85.7c-3.5 2.5-3.5 7.8 0 10.5z"}}]})(props);
};
function AiOutlineIssuesClose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M464 688a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm72-112c4.4 0 8-3.6 8-8V296c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v272c0 4.4 3.6 8 8 8h48zm400-188h-59.3c-2.6 0-5 1.2-6.5 3.3L763.7 538.1l-49.9-68.8a7.92 7.92 0 0 0-6.5-3.3H648c-6.5 0-10.3 7.4-6.5 12.7l109.2 150.7a16.1 16.1 0 0 0 26 0l165.8-228.7c3.8-5.3 0-12.7-6.5-12.7zm-44 306h-64.2c-5.5 0-10.6 2.9-13.6 7.5a352.2 352.2 0 0 1-49.8 62.2A355.92 355.92 0 0 1 651.1 840a355 355 0 0 1-138.7 27.9c-48.1 0-94.8-9.4-138.7-27.9a355.92 355.92 0 0 1-113.3-76.3A353.06 353.06 0 0 1 184 650.5c-18.6-43.8-28-90.5-28-138.5s9.4-94.7 28-138.5c17.9-42.4 43.6-80.5 76.4-113.2 32.8-32.7 70.9-58.4 113.3-76.3a355 355 0 0 1 138.7-27.9c48.1 0 94.8 9.4 138.7 27.9 42.4 17.9 80.5 43.6 113.3 76.3 19 19 35.6 39.8 49.8 62.2 2.9 4.7 8.1 7.5 13.6 7.5H892c6 0 9.8-6.3 7.2-11.6C828.8 178.5 684.7 82 517.7 80 278.9 77.2 80.5 272.5 80 511.2 79.5 750.1 273.3 944 512.4 944c169.2 0 315.6-97 386.7-238.4A8 8 0 0 0 892 694z"}}]})(props);
};
function AiOutlineItalic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M798 160H366c-4.4 0-8 3.6-8 8v64c0 4.4 3.6 8 8 8h181.2l-156 544H229c-4.4 0-8 3.6-8 8v64c0 4.4 3.6 8 8 8h432c4.4 0 8-3.6 8-8v-64c0-4.4-3.6-8-8-8H474.4l156-544H798c4.4 0 8-3.6 8-8v-64c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M608 112c-167.9 0-304 136.1-304 304 0 70.3 23.9 135 63.9 186.5l-41.1 41.1-62.3-62.3a8.15 8.15 0 0 0-11.4 0l-39.8 39.8a8.15 8.15 0 0 0 0 11.4l62.3 62.3-44.9 44.9-62.3-62.3a8.15 8.15 0 0 0-11.4 0l-39.8 39.8a8.15 8.15 0 0 0 0 11.4l62.3 62.3-65.3 65.3a8.03 8.03 0 0 0 0 11.3l42.3 42.3c3.1 3.1 8.2 3.1 11.3 0l253.6-253.6A304.06 304.06 0 0 0 608 720c167.9 0 304-136.1 304-304S775.9 112 608 112zm161.2 465.2C726.2 620.3 668.9 644 608 644c-60.9 0-118.2-23.7-161.2-66.8-43.1-43-66.8-100.3-66.8-161.2 0-60.9 23.7-118.2 66.8-161.2 43-43.1 100.3-66.8 161.2-66.8 60.9 0 118.2 23.7 161.2 66.8 43.1 43 66.8 100.3 66.8 161.2 0 60.9-23.7 118.2-66.8 161.2z"}}]})(props);
};
function AiOutlineLaptop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M956.9 845.1L896.4 632V168c0-17.7-14.3-32-32-32h-704c-17.7 0-32 14.3-32 32v464L67.9 845.1C60.4 866 75.8 888 98 888h828.8c22.2 0 37.6-22 30.1-42.9zM200.4 208h624v395h-624V208zm228.3 608l8.1-37h150.3l8.1 37H428.7zm224 0l-19.1-86.7c-.8-3.7-4.1-6.3-7.8-6.3H398.2c-3.8 0-7 2.6-7.8 6.3L371.3 816H151l42.3-149h638.2l42.3 149H652.7z"}}]})(props);
};
function AiOutlineLayout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-696 72h136v656H184V184zm656 656H384V384h456v456zM384 320V184h456v136H384z"}}]})(props);
};
function AiOutlineLeftCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M603.3 327.5l-246 178a7.95 7.95 0 0 0 0 12.9l246 178c5.3 3.8 12.7 0 12.7-6.5V643c0-10.2-4.9-19.9-13.2-25.9L457.4 512l145.4-105.2c8.3-6 13.2-15.6 13.2-25.9V334c0-6.5-7.4-10.3-12.7-6.5z"}},{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}}]})(props);
};
function AiOutlineLeftSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M365.3 518.5l246 178c5.3 3.8 12.7 0 12.7-6.5v-46.9c0-10.2-4.9-19.9-13.2-25.9L465.4 512l145.4-105.2c8.3-6 13.2-15.6 13.2-25.9V334c0-6.5-7.4-10.3-12.7-6.5l-246 178a8.05 8.05 0 0 0 0 13z"}},{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}}]})(props);
};
function AiOutlineLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M724 218.3V141c0-6.7-7.7-10.4-12.9-6.3L260.3 486.8a31.86 31.86 0 0 0 0 50.3l450.8 352.1c5.3 4.1 12.9.4 12.9-6.3v-77.3c0-4.9-2.3-9.6-6.1-12.6l-360-281 360-281.1c3.8-3 6.1-7.7 6.1-12.6z"}}]})(props);
};
function AiOutlineLike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M885.9 533.7c16.8-22.2 26.1-49.4 26.1-77.7 0-44.9-25.1-87.4-65.5-111.1a67.67 67.67 0 0 0-34.3-9.3H572.4l6-122.9c1.4-29.7-9.1-57.9-29.5-79.4A106.62 106.62 0 0 0 471 99.9c-52 0-98 35-111.8 85.1l-85.9 311H144c-17.7 0-32 14.3-32 32v364c0 17.7 14.3 32 32 32h601.3c9.2 0 18.2-1.8 26.5-5.4 47.6-20.3 78.3-66.8 78.3-118.4 0-12.6-1.8-25-5.4-37 16.8-22.2 26.1-49.4 26.1-77.7 0-12.6-1.8-25-5.4-37 16.8-22.2 26.1-49.4 26.1-77.7-.2-12.6-2-25.1-5.6-37.1zM184 852V568h81v284h-81zm636.4-353l-21.9 19 13.9 25.4a56.2 56.2 0 0 1 6.9 27.3c0 16.5-7.2 32.2-19.6 43l-21.9 19 13.9 25.4a56.2 56.2 0 0 1 6.9 27.3c0 16.5-7.2 32.2-19.6 43l-21.9 19 13.9 25.4a56.2 56.2 0 0 1 6.9 27.3c0 22.4-13.2 42.6-33.6 51.8H329V564.8l99.5-360.5a44.1 44.1 0 0 1 42.2-32.3c7.6 0 15.1 2.2 21.1 6.7 9.9 7.4 15.2 18.6 14.6 30.5l-9.6 198.4h314.4C829 418.5 840 436.9 840 456c0 16.5-7.2 32.1-19.6 43z"}}]})(props);
};
function AiOutlineLineChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M888 792H200V168c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v688c0 4.4 3.6 8 8 8h752c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM305.8 637.7c3.1 3.1 8.1 3.1 11.3 0l138.3-137.6L583 628.5c3.1 3.1 8.2 3.1 11.3 0l275.4-275.3c3.1-3.1 3.1-8.2 0-11.3l-39.6-39.6a8.03 8.03 0 0 0-11.3 0l-230 229.9L461.4 404a8.03 8.03 0 0 0-11.3 0L266.3 586.7a8.03 8.03 0 0 0 0 11.3l39.5 39.7z"}}]})(props);
};
function AiOutlineLineHeight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M648 160H104c-4.4 0-8 3.6-8 8v128c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-64h168v560h-92c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h264c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-92V232h168v64c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V168c0-4.4-3.6-8-8-8zm272.8 546H856V318h64.8c6 0 9.4-7 5.7-11.7L825.7 178.7a7.14 7.14 0 0 0-11.3 0L713.6 306.3a7.23 7.23 0 0 0 5.7 11.7H784v388h-64.8c-6 0-9.4 7-5.7 11.7l100.8 127.5c2.9 3.7 8.5 3.7 11.3 0l100.8-127.5a7.2 7.2 0 0 0-5.6-11.7z"}}]})(props);
};
function AiOutlineLine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M904 476H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineLink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M574 665.4a8.03 8.03 0 0 0-11.3 0L446.5 781.6c-53.8 53.8-144.6 59.5-204 0-59.5-59.5-53.8-150.2 0-204l116.2-116.2c3.1-3.1 3.1-8.2 0-11.3l-39.8-39.8a8.03 8.03 0 0 0-11.3 0L191.4 526.5c-84.6 84.6-84.6 221.5 0 306s221.5 84.6 306 0l116.2-116.2c3.1-3.1 3.1-8.2 0-11.3L574 665.4zm258.6-474c-84.6-84.6-221.5-84.6-306 0L410.3 307.6a8.03 8.03 0 0 0 0 11.3l39.7 39.7c3.1 3.1 8.2 3.1 11.3 0l116.2-116.2c53.8-53.8 144.6-59.5 204 0 59.5 59.5 53.8 150.2 0 204L665.3 562.6a8.03 8.03 0 0 0 0 11.3l39.8 39.8c3.1 3.1 8.2 3.1 11.3 0l116.2-116.2c84.5-84.6 84.5-221.5 0-306.1zM610.1 372.3a8.03 8.03 0 0 0-11.3 0L372.3 598.7a8.03 8.03 0 0 0 0 11.3l39.6 39.6c3.1 3.1 8.2 3.1 11.3 0l226.4-226.4c3.1-3.1 3.1-8.2 0-11.3l-39.5-39.6z"}}]})(props);
};
function AiOutlineLinkedin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M847.7 112H176.3c-35.5 0-64.3 28.8-64.3 64.3v671.4c0 35.5 28.8 64.3 64.3 64.3h671.4c35.5 0 64.3-28.8 64.3-64.3V176.3c0-35.5-28.8-64.3-64.3-64.3zm0 736c-447.8-.1-671.7-.2-671.7-.3.1-447.8.2-671.7.3-671.7 447.8.1 671.7.2 671.7.3-.1 447.8-.2 671.7-.3 671.7zM230.6 411.9h118.7v381.8H230.6zm59.4-52.2c37.9 0 68.8-30.8 68.8-68.8a68.8 68.8 0 1 0-137.6 0c-.1 38 30.7 68.8 68.8 68.8zm252.3 245.1c0-49.8 9.5-98 71.2-98 60.8 0 61.7 56.9 61.7 101.2v185.7h118.6V584.3c0-102.8-22.2-181.9-142.3-181.9-57.7 0-96.4 31.7-112.3 61.7h-1.6v-52.2H423.7v381.8h118.6V604.8z"}}]})(props);
};
function AiOutlineLoading3Quarters (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 1024c-69.1 0-136.2-13.5-199.3-40.2C251.7 958 197 921 150 874c-47-47-84-101.7-109.8-162.7C13.5 648.2 0 581.1 0 512c0-19.9 16.1-36 36-36s36 16.1 36 36c0 59.4 11.6 117 34.6 171.3 22.2 52.4 53.9 99.5 94.3 139.9 40.4 40.4 87.5 72.2 139.9 94.3C395 940.4 452.6 952 512 952c59.4 0 117-11.6 171.3-34.6 52.4-22.2 99.5-53.9 139.9-94.3 40.4-40.4 72.2-87.5 94.3-139.9C940.4 629 952 571.4 952 512c0-59.4-11.6-117-34.6-171.3a440.45 440.45 0 0 0-94.3-139.9 437.71 437.71 0 0 0-139.9-94.3C629 83.6 571.4 72 512 72c-19.9 0-36-16.1-36-36s16.1-36 36-36c69.1 0 136.2 13.5 199.3 40.2C772.3 66 827 103 874 150c47 47 83.9 101.8 109.7 162.7 26.7 63.1 40.2 130.2 40.2 199.3s-13.5 136.2-40.2 199.3C958 772.3 921 827 874 874c-47 47-101.8 83.9-162.7 109.7-63.1 26.8-130.2 40.3-199.3 40.3z"}}]})(props);
};
function AiOutlineLoading (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M988 548c-19.9 0-36-16.1-36-36 0-59.4-11.6-117-34.6-171.3a440.45 440.45 0 0 0-94.3-139.9 437.71 437.71 0 0 0-139.9-94.3C629 83.6 571.4 72 512 72c-19.9 0-36-16.1-36-36s16.1-36 36-36c69.1 0 136.2 13.5 199.3 40.3C772.3 66 827 103 874 150c47 47 83.9 101.8 109.7 162.7 26.7 63.1 40.2 130.2 40.2 199.3.1 19.9-16 36-35.9 36z"}}]})(props);
};
function AiOutlineLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 464h-68V240c0-70.7-57.3-128-128-128H388c-70.7 0-128 57.3-128 128v224h-68c-17.7 0-32 14.3-32 32v384c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V496c0-17.7-14.3-32-32-32zM332 240c0-30.9 25.1-56 56-56h248c30.9 0 56 25.1 56 56v224H332V240zm460 600H232V536h560v304zM484 701v53c0 4.4 3.6 8 8 8h40c4.4 0 8-3.6 8-8v-53a48.01 48.01 0 1 0-56 0z"}}]})(props);
};
function AiOutlineLogin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M521.7 82c-152.5-.4-286.7 78.5-363.4 197.7-3.4 5.3.4 12.3 6.7 12.3h70.3c4.8 0 9.3-2.1 12.3-5.8 7-8.5 14.5-16.7 22.4-24.5 32.6-32.5 70.5-58.1 112.7-75.9 43.6-18.4 90-27.8 137.9-27.8 47.9 0 94.3 9.3 137.9 27.8 42.2 17.8 80.1 43.4 112.7 75.9 32.6 32.5 58.1 70.4 76 112.5C865.7 417.8 875 464.1 875 512c0 47.9-9.4 94.2-27.8 137.8-17.8 42.1-43.4 80-76 112.5s-70.5 58.1-112.7 75.9A352.8 352.8 0 0 1 520.6 866c-47.9 0-94.3-9.4-137.9-27.8A353.84 353.84 0 0 1 270 762.3c-7.9-7.9-15.3-16.1-22.4-24.5-3-3.7-7.6-5.8-12.3-5.8H165c-6.3 0-10.2 7-6.7 12.3C234.9 863.2 368.5 942 520.6 942c236.2 0 428-190.1 430.4-425.6C953.4 277.1 761.3 82.6 521.7 82zM395.02 624v-76h-314c-4.4 0-8-3.6-8-8v-56c0-4.4 3.6-8 8-8h314v-76c0-6.7 7.8-10.5 13-6.3l141.9 112a8 8 0 0 1 0 12.6l-141.9 112c-5.2 4.1-13 .4-13-6.3z"}}]})(props);
};
function AiOutlineLogout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M868 732h-70.3c-4.8 0-9.3 2.1-12.3 5.8-7 8.5-14.5 16.7-22.4 24.5a353.84 353.84 0 0 1-112.7 75.9A352.8 352.8 0 0 1 512.4 866c-47.9 0-94.3-9.4-137.9-27.8a353.84 353.84 0 0 1-112.7-75.9 353.28 353.28 0 0 1-76-112.5C167.3 606.2 158 559.9 158 512s9.4-94.2 27.8-137.8c17.8-42.1 43.4-80 76-112.5s70.5-58.1 112.7-75.9c43.6-18.4 90-27.8 137.9-27.8 47.9 0 94.3 9.3 137.9 27.8 42.2 17.8 80.1 43.4 112.7 75.9 7.9 7.9 15.3 16.1 22.4 24.5 3 3.7 7.6 5.8 12.3 5.8H868c6.3 0 10.2-7 6.7-12.3C798 160.5 663.8 81.6 511.3 82 271.7 82.6 79.6 277.1 82 516.4 84.4 751.9 276.2 942 512.4 942c152.1 0 285.7-78.8 362.3-197.7 3.4-5.3-.4-12.3-6.7-12.3zm88.9-226.3L815 393.7c-5.3-4.2-13-.4-13 6.3v76H488c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h314v76c0 6.7 7.8 10.5 13 6.3l141.9-112a8 8 0 0 0 0-12.6z"}}]})(props);
};
function AiOutlineMacCommand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683819749","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32z m-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M370.8 554.4c-54.6 0-98.8 44.2-98.8 98.8s44.2 98.8 98.8 98.8 98.8-44.2 98.8-98.8v-42.4h84.7v42.4c0 54.6 44.2 98.8 98.8 98.8s98.8-44.2 98.8-98.8-44.2-98.8-98.8-98.8h-42.4v-84.7h42.4c54.6 0 98.8-44.2 98.8-98.8 0-54.6-44.2-98.8-98.8-98.8s-98.8 44.2-98.8 98.8v42.4h-84.7v-42.4c0-54.6-44.2-98.8-98.8-98.8S272 316.2 272 370.8s44.2 98.8 98.8 98.8h42.4v84.7h-42.4z m42.4 98.8c0 23.4-19 42.4-42.4 42.4s-42.4-19-42.4-42.4 19-42.4 42.4-42.4h42.4v42.4z m197.6-282.4c0-23.4 19-42.4 42.4-42.4s42.4 19 42.4 42.4-19 42.4-42.4 42.4h-42.4v-42.4z m0 240h42.4c23.4 0 42.4 19 42.4 42.4s-19 42.4-42.4 42.4-42.4-19-42.4-42.4v-42.4zM469.6 469.6h84.7v84.7h-84.7v-84.7z m-98.8-56.4c-23.4 0-42.4-19-42.4-42.4s19-42.4 42.4-42.4 42.4 19 42.4 42.4v42.4h-42.4z"}}]})(props);
};
function AiOutlineMail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 160H96c-17.7 0-32 14.3-32 32v640c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V192c0-17.7-14.3-32-32-32zm-40 110.8V792H136V270.8l-27.6-21.5 39.3-50.5 42.8 33.3h643.1l42.8-33.3 39.3 50.5-27.7 21.5zM833.6 232L512 482 190.4 232l-42.8-33.3-39.3 50.5 27.6 21.5 341.6 265.6a55.99 55.99 0 0 0 68.7 0L888 270.8l27.6-21.5-39.3-50.5-42.7 33.2z"}}]})(props);
};
function AiOutlineMan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M874 120H622c-3.3 0-6 2.7-6 6v56c0 3.3 2.7 6 6 6h160.4L583.1 387.3c-50-38.5-111-59.3-175.1-59.3-76.9 0-149.3 30-203.6 84.4S120 539.1 120 616s30 149.3 84.4 203.6C258.7 874 331.1 904 408 904s149.3-30 203.6-84.4C666 765.3 696 692.9 696 616c0-64.1-20.8-124.9-59.2-174.9L836 241.9V402c0 3.3 2.7 6 6 6h56c3.3 0 6-2.7 6-6V150c0-16.5-13.5-30-30-30zM408 828c-116.9 0-212-95.1-212-212s95.1-212 212-212 212 95.1 212 212-95.1 212-212 212z"}}]})(props);
};
function AiOutlineMedicineBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M839.2 278.1a32 32 0 0 0-30.4-22.1H736V144c0-17.7-14.3-32-32-32H320c-17.7 0-32 14.3-32 32v112h-72.8a31.9 31.9 0 0 0-30.4 22.1L112 502v378c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V502l-72.8-223.9zM360 184h304v72H360v-72zm480 656H184V513.4L244.3 328h535.4L840 513.4V840zM652 572H544V464c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v108H372c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h108v108c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V636h108c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineMediumWorkmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M517.2 590.55c0 3.55 0 4.36 2.4 6.55l13.43 13.25v.57h-59.57v-25.47a41.44 41.44 0 0 1-39.5 27.65c-30.61 0-52.84-24.25-52.84-68.87 0-41.8 23.99-69.69 57.65-69.69a35.15 35.15 0 0 1 34.61 21.67v-56.19a6.99 6.99 0 0 0-2.71-6.79l-12.8-12.45v-.56l59.33-7.04v177.37zm-43.74-8.09v-83.83a22.2 22.2 0 0 0-17.74-8.4c-14.48 0-28.47 13.25-28.47 52.62 0 36.86 12.07 49.88 27.1 49.88a23.91 23.91 0 0 0 19.11-10.27zm83.23 28.46V497.74a7.65 7.65 0 0 0-2.4-6.79l-13.19-13.74v-.57h59.56v114.8c0 3.55 0 4.36 2.4 6.54l13.12 12.45v.57l-59.49-.08zm-2.16-175.67c0-13.4 10.74-24.25 23.99-24.25 13.25 0 23.98 10.86 23.98 24.25 0 13.4-10.73 24.25-23.98 24.25s-23.99-10.85-23.99-24.25zm206.83 155.06c0 3.55 0 4.6 2.4 6.79l13.43 13.25v.57h-59.88V581.9a43.4 43.4 0 0 1-41.01 31.2c-26.55 0-40.78-19.56-40.78-56.59 0-17.86 0-37.43.56-59.41a6.91 6.91 0 0 0-2.4-6.55L620.5 477.2v-.57h59.09v73.81c0 24.25 3.51 40.42 18.54 40.42a23.96 23.96 0 0 0 19.35-12.2v-80.85a7.65 7.65 0 0 0-2.4-6.79l-13.27-13.82v-.57h59.56V590.3zm202.76 20.6c0-4.36.8-59.97.8-72.75 0-24.25-3.76-40.98-20.63-40.98a26.7 26.7 0 0 0-21.19 11.64 99.68 99.68 0 0 1 2.4 23.04c0 16.81-.56 38.23-.8 59.66a6.91 6.91 0 0 0 2.4 6.55l13.43 12.45v.56h-60.12c0-4.04.8-59.98.8-72.76 0-24.65-3.76-40.98-20.39-40.98-8.2.3-15.68 4.8-19.83 11.96v82.46c0 3.56 0 4.37 2.4 6.55l13.11 12.45v.56h-59.48V498.15a7.65 7.65 0 0 0-2.4-6.8l-13.19-14.14v-.57H841v28.78c5.53-19 23.13-31.76 42.7-30.96 19.82 0 33.26 11.16 38.93 32.34a46.41 46.41 0 0 1 44.77-32.34c26.55 0 41.58 19.8 41.58 57.23 0 17.87-.56 38.24-.8 59.66a6.5 6.5 0 0 0 2.72 6.55l13.11 12.45v.57h-59.88zM215.87 593.3l17.66 17.05v.57h-89.62v-.57l17.99-17.05a6.91 6.91 0 0 0 2.4-6.55V477.69c0-4.6 0-10.83.8-16.16L104.66 613.1h-.72l-62.6-139.45c-1.37-3.47-1.77-3.72-2.65-6.06v91.43a32.08 32.08 0 0 0 2.96 17.87l25.19 33.46v.57H0v-.57l25.18-33.55a32.16 32.16 0 0 0 2.96-17.78V457.97A19.71 19.71 0 0 0 24 444.15L6.16 420.78v-.56h63.96l53.56 118.1 47.17-118.1h62.6v.56l-17.58 19.8a6.99 6.99 0 0 0-2.72 6.8v139.37a6.5 6.5 0 0 0 2.72 6.55zm70.11-54.65v.56c0 34.6 17.67 48.5 38.38 48.5a43.5 43.5 0 0 0 40.77-24.97h.56c-7.2 34.2-28.14 50.36-59.48 50.36-33.82 0-65.72-20.61-65.72-68.39 0-50.2 31.98-70.25 67.32-70.25 28.46 0 58.76 13.58 58.76 57.24v6.95h-80.59zm0-6.95h39.42v-7.04c0-35.57-7.28-45.03-18.23-45.03-13.27 0-21.35 14.15-21.35 52.07h.16z"}}]})(props);
};
function AiOutlineMedium (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M834.7 279.8l61.3-58.9V208H683.7L532.4 586.4 360.3 208H137.7v12.9l71.6 86.6c7 6.4 10.6 15.8 9.7 25.2V673c2.2 12.3-1.7 24.8-10.3 33.7L128 805v12.7h228.6v-12.9l-80.6-98a39.99 39.99 0 0 1-11.1-33.7V378.7l200.7 439.2h23.3l172.6-439.2v349.9c0 9.2 0 11.1-6 17.2l-62.1 60.3V819h301.2v-12.9l-59.9-58.9c-5.2-4-7.9-10.7-6.8-17.2V297a18.1 18.1 0 0 1 6.8-17.2z"}}]})(props);
};
function AiOutlineMeh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M288 421a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm352 0a48 48 0 1 0 96 0 48 48 0 1 0-96 0zM512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm263 711c-34.2 34.2-74 61-118.3 79.8C611 874.2 562.3 884 512 884c-50.3 0-99-9.8-144.8-29.2A370.4 370.4 0 0 1 248.9 775c-34.2-34.2-61-74-79.8-118.3C149.8 611 140 562.3 140 512s9.8-99 29.2-144.8A370.4 370.4 0 0 1 249 248.9c34.2-34.2 74-61 118.3-79.8C413 149.8 461.7 140 512 140c50.3 0 99 9.8 144.8 29.2A370.4 370.4 0 0 1 775.1 249c34.2 34.2 61 74 79.8 118.3C874.2 413 884 461.7 884 512s-9.8 99-29.2 144.8A368.89 368.89 0 0 1 775 775zM664 565H360c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h304c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineMenuFold (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M408 442h480c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H408c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm-8 204c0 4.4 3.6 8 8 8h480c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H408c-4.4 0-8 3.6-8 8v56zm504-486H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 632H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM115.4 518.9L271.7 642c5.8 4.6 14.4.5 14.4-6.9V388.9c0-7.4-8.5-11.5-14.4-6.9L115.4 505.1a8.74 8.74 0 0 0 0 13.8z"}}]})(props);
};
function AiOutlineMenuUnfold (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M408 442h480c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H408c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm-8 204c0 4.4 3.6 8 8 8h480c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H408c-4.4 0-8 3.6-8 8v56zm504-486H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 632H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM142.4 642.1L298.7 519a8.84 8.84 0 0 0 0-13.9L142.4 381.9c-5.8-4.6-14.4-.5-14.4 6.9v246.3a8.9 8.9 0 0 0 14.4 7z"}}]})(props);
};
function AiOutlineMenu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M904 160H120c-4.4 0-8 3.6-8 8v64c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-64c0-4.4-3.6-8-8-8zm0 624H120c-4.4 0-8 3.6-8 8v64c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-64c0-4.4-3.6-8-8-8zm0-312H120c-4.4 0-8 3.6-8 8v64c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-64c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineMergeCells (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683404098","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M482.2 508.4L331.3 389c-3-2.4-7.3-0.2-7.3 3.6V478H184V184h204v128c0 2.2 1.8 4 4 4h60c2.2 0 4-1.8 4-4V144c0-15.5-12.5-28-28-28H144c-15.5 0-28 12.5-28 28v736c0 15.5 12.5 28 28 28h284c15.5 0 28-12.5 28-28V712c0-2.2-1.8-4-4-4h-60c-2.2 0-4 1.8-4 4v128H184V546h140v85.4c0 3.8 4.4 6 7.3 3.6l150.9-119.4c2.4-1.8 2.4-5.4 0-7.2zM880 116H596c-15.5 0-28 12.5-28 28v168c0 2.2 1.8 4 4 4h60c2.2 0 4-1.8 4-4V184h204v294H700v-85.4c0-3.8-4.3-6-7.3-3.6l-151 119.4c-2.3 1.8-2.3 5.3 0 7.1l151 119.5c2.9 2.3 7.3 0.2 7.3-3.6V546h140v294H636V712c0-2.2-1.8-4-4-4h-60c-2.2 0-4 1.8-4 4v168c0 15.5 12.5 28 28 28h284c15.5 0 28-12.5 28-28V144c0-15.5-12.5-28-28-28z"}}]})(props);
};
function AiOutlineMessage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M464 512a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm200 0a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm-400 0a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm661.2-173.6c-22.6-53.7-55-101.9-96.3-143.3a444.35 444.35 0 0 0-143.3-96.3C630.6 75.7 572.2 64 512 64h-2c-60.6.3-119.3 12.3-174.5 35.9a445.35 445.35 0 0 0-142 96.5c-40.9 41.3-73 89.3-95.2 142.8-23 55.4-34.6 114.3-34.3 174.9A449.4 449.4 0 0 0 112 714v152a46 46 0 0 0 46 46h152.1A449.4 449.4 0 0 0 510 960h2.1c59.9 0 118-11.6 172.7-34.3a444.48 444.48 0 0 0 142.8-95.2c41.3-40.9 73.8-88.7 96.5-142 23.6-55.2 35.6-113.9 35.9-174.5.3-60.9-11.5-120-34.8-175.6zm-151.1 438C704 845.8 611 884 512 884h-1.7c-60.3-.3-120.2-15.3-173.1-43.5l-8.4-4.5H188V695.2l-4.5-8.4C155.3 633.9 140.3 574 140 513.7c-.4-99.7 37.7-193.3 107.6-263.8 69.8-70.5 163.1-109.5 262.8-109.9h1.7c50 0 98.5 9.7 144.2 28.9 44.6 18.7 84.6 45.6 119 80 34.3 34.3 61.3 74.4 80 119 19.4 46.2 29.1 95.2 28.9 145.8-.6 99.6-39.7 192.9-110.1 262.7z"}}]})(props);
};
function AiOutlineMinusCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M696 480H328c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h368c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}},{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}}]})(props);
};
function AiOutlineMinusSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M328 544h368c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H328c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8z"}},{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}}]})(props);
};
function AiOutlineMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M872 474H152c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h720c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineMobile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M744 62H280c-35.3 0-64 28.7-64 64v768c0 35.3 28.7 64 64 64h464c35.3 0 64-28.7 64-64V126c0-35.3-28.7-64-64-64zm-8 824H288V134h448v752zM472 784a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}}]})(props);
};
function AiOutlineMoneyCollect (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M911.5 700.7a8 8 0 0 0-10.3-4.8L840 718.2V180c0-37.6-30.4-68-68-68H252c-37.6 0-68 30.4-68 68v538.2l-61.3-22.3c-.9-.3-1.8-.5-2.7-.5-4.4 0-8 3.6-8 8V763c0 3.3 2.1 6.3 5.3 7.5L501 910.1c7.1 2.6 14.8 2.6 21.9 0l383.8-139.5c3.2-1.2 5.3-4.2 5.3-7.5v-59.6c0-1-.2-1.9-.5-2.8zM512 837.5l-256-93.1V184h512v560.4l-256 93.1zM660.6 312h-54.5c-3 0-5.8 1.7-7.1 4.4l-84.7 168.8H511l-84.7-168.8a8 8 0 0 0-7.1-4.4h-55.7c-1.3 0-2.6.3-3.8 1-3.9 2.1-5.3 7-3.2 10.8l103.9 191.6h-57c-4.4 0-8 3.6-8 8v27.1c0 4.4 3.6 8 8 8h76v39h-76c-4.4 0-8 3.6-8 8v27.1c0 4.4 3.6 8 8 8h76V704c0 4.4 3.6 8 8 8h49.9c4.4 0 8-3.6 8-8v-63.5h76.3c4.4 0 8-3.6 8-8v-27.1c0-4.4-3.6-8-8-8h-76.3v-39h76.3c4.4 0 8-3.6 8-8v-27.1c0-4.4-3.6-8-8-8H564l103.7-191.6c.6-1.2 1-2.5 1-3.8-.1-4.3-3.7-7.9-8.1-7.9z"}}]})(props);
};
function AiOutlineMonitor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M692.8 412.7l.2-.2-34.6-44.3a7.97 7.97 0 0 0-11.2-1.4l-50.4 39.3-70.5-90.1a7.97 7.97 0 0 0-11.2-1.4l-37.9 29.7a7.97 7.97 0 0 0-1.4 11.2l70.5 90.2-.2.1 34.6 44.3c2.7 3.5 7.7 4.1 11.2 1.4l50.4-39.3 64.1 82c2.7 3.5 7.7 4.1 11.2 1.4l37.9-29.6c3.5-2.7 4.1-7.7 1.4-11.2l-64.1-82.1zM608 112c-167.9 0-304 136.1-304 304 0 70.3 23.9 135 63.9 186.5L114.3 856.1a8.03 8.03 0 0 0 0 11.3l42.3 42.3c3.1 3.1 8.2 3.1 11.3 0l253.6-253.6C473 696.1 537.7 720 608 720c167.9 0 304-136.1 304-304S775.9 112 608 112zm161.2 465.2C726.2 620.3 668.9 644 608 644s-118.2-23.7-161.2-66.8C403.7 534.2 380 476.9 380 416s23.7-118.2 66.8-161.2c43-43.1 100.3-66.8 161.2-66.8s118.2 23.7 161.2 66.8c43.1 43 66.8 100.3 66.8 161.2s-23.7 118.2-66.8 161.2z"}}]})(props);
};
function AiOutlineMore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M456 231a56 56 0 1 0 112 0 56 56 0 1 0-112 0zm0 280a56 56 0 1 0 112 0 56 56 0 1 0-112 0zm0 280a56 56 0 1 0 112 0 56 56 0 1 0-112 0z"}}]})(props);
};
function AiOutlineNodeCollapse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683371420","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M952 612c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H298c-14.2-35.2-48.7-60-89-60-53 0-96 43-96 96s43 96 96 96c40.3 0 74.8-24.8 89-60h150.3v152c0 55.2 44.8 100 100 100H952c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H548.3c-15.5 0-28-12.5-28-28V612H952zM451.7 313.7l172.5 136.2c6.3 5.1 15.8 0.5 15.8-7.7V344h264c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8H640v-98.2c0-8.1-9.4-12.8-15.8-7.7L451.7 298.3c-4.9 3.9-4.9 11.5 0 15.4z"}}]})(props);
};
function AiOutlineNodeExpand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683374330","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M952 612c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H298c-14.2-35.2-48.7-60-89-60-53 0-96 43-96 96s43 96 96 96c40.3 0 74.8-24.8 89-60h150.3v152c0 55.2 44.8 100 100 100H952c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H548.3c-15.5 0-28-12.5-28-28V612H952zM456 344h264v98.2c0 8.1 9.5 12.8 15.8 7.7l172.5-136.2c5-3.9 5-11.4 0-15.3L735.8 162.1c-6.4-5.1-15.8-0.5-15.8 7.7V268H456c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlineNodeIndex (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683635191","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M843.5 737.4c-12.4-75.2-79.2-129.1-155.3-125.4S550.9 676 546 752c-153.5-4.8-208-40.7-199.1-113.7 3.3-27.3 19.8-41.9 50.1-49 18.4-4.3 38.8-4.9 57.3-3.2 1.7 0.2 3.5 0.3 5.2 0.5 11.3 2.7 22.8 5 34.3 6.8 34.1 5.6 68.8 8.4 101.8 6.6 92.8-5 156-45.9 159.2-132.7 3.1-84.1-54.7-143.7-147.9-183.6-29.9-12.8-61.6-22.7-93.3-30.2-14.3-3.4-26.3-5.7-35.2-7.2-7.9-75.9-71.5-133.8-147.8-134.4-76.3-0.6-140.9 56.1-150.1 131.9s40 146.3 114.2 163.9c74.2 17.6 149.9-23.3 175.7-95.1 9.4 1.7 18.7 3.6 28 5.8 28.2 6.6 56.4 15.4 82.4 26.6 70.7 30.2 109.3 70.1 107.5 119.9-1.6 44.6-33.6 65.2-96.2 68.6-27.5 1.5-57.6-0.9-87.3-5.8-8.3-1.4-15.9-2.8-22.6-4.3-3.9-0.8-6.6-1.5-7.8-1.8l-3.1-0.6c-2.2-0.3-5.9-0.8-10.7-1.3-25-2.3-52.1-1.5-78.5 4.6-55.2 12.9-93.9 47.2-101.1 105.8-15.7 126.2 78.6 184.7 276 188.9 29.1 70.4 106.4 107.9 179.6 87 73.3-20.9 119.3-93.4 106.9-168.6zM329.1 345.2c-46 0-83.3-37.3-83.3-83.3s37.3-83.3 83.3-83.3 83.3 37.3 83.3 83.3-37.3 83.3-83.3 83.3zM695.6 845c-46 0-83.3-37.3-83.3-83.3s37.3-83.3 83.3-83.3 83.3 37.3 83.3 83.3-37.3 83.3-83.3 83.3z"}}]})(props);
};
function AiOutlineNotification (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112c-3.8 0-7.7.7-11.6 2.3L292 345.9H128c-8.8 0-16 7.4-16 16.6v299c0 9.2 7.2 16.6 16 16.6h101.7c-3.7 11.6-5.7 23.9-5.7 36.4 0 65.9 53.8 119.5 120 119.5 55.4 0 102.1-37.6 115.9-88.4l408.6 164.2c3.9 1.5 7.8 2.3 11.6 2.3 16.9 0 32-14.2 32-33.2V145.2C912 126.2 897 112 880 112zM344 762.3c-26.5 0-48-21.4-48-47.8 0-11.2 3.9-21.9 11-30.4l84.9 34.1c-2 24.6-22.7 44.1-47.9 44.1zm496 58.4L318.8 611.3l-12.9-5.2H184V417.9h121.9l12.9-5.2L840 203.3v617.4z"}}]})(props);
};
function AiOutlineNumber (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M872 394c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8H708V152c0-4.4-3.6-8-8-8h-64c-4.4 0-8 3.6-8 8v166H400V152c0-4.4-3.6-8-8-8h-64c-4.4 0-8 3.6-8 8v166H152c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h168v236H152c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h168v166c0 4.4 3.6 8 8 8h64c4.4 0 8-3.6 8-8V706h228v166c0 4.4 3.6 8 8 8h64c4.4 0 8-3.6 8-8V706h164c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8H708V394h164zM628 630H400V394h228v236z"}}]})(props);
};
function AiOutlineOneToOne (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683653709","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M316 672h60c4.4 0 8-3.6 8-8V360c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8v304c0 4.4 3.6 8 8 8zM512 622c22.1 0 40-17.9 40-39 0-23.1-17.9-41-40-41s-40 17.9-40 41c0 21.1 17.9 39 40 39zM512 482c22.1 0 40-17.9 40-39 0-23.1-17.9-41-40-41s-40 17.9-40 41c0 21.1 17.9 39 40 39z"}},{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32z m-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M648 672h60c4.4 0 8-3.6 8-8V360c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8v304c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlineOrderedList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M920 760H336c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h584c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-568H336c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h584c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 284H336c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h584c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM216 712H100c-2.2 0-4 1.8-4 4v34c0 2.2 1.8 4 4 4h72.4v20.5h-35.7c-2.2 0-4 1.8-4 4v34c0 2.2 1.8 4 4 4h35.7V838H100c-2.2 0-4 1.8-4 4v34c0 2.2 1.8 4 4 4h116c2.2 0 4-1.8 4-4V716c0-2.2-1.8-4-4-4zM100 188h38v120c0 2.2 1.8 4 4 4h40c2.2 0 4-1.8 4-4V152c0-4.4-3.6-8-8-8h-78c-2.2 0-4 1.8-4 4v36c0 2.2 1.8 4 4 4zm116 240H100c-2.2 0-4 1.8-4 4v36c0 2.2 1.8 4 4 4h68.4l-70.3 77.7a8.3 8.3 0 0 0-2.1 5.4V592c0 2.2 1.8 4 4 4h116c2.2 0 4-1.8 4-4v-36c0-2.2-1.8-4-4-4h-68.4l70.3-77.7a8.3 8.3 0 0 0 2.1-5.4V432c0-2.2-1.8-4-4-4z"}}]})(props);
};
function AiOutlinePaperClip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M779.3 196.6c-94.2-94.2-247.6-94.2-341.7 0l-261 260.8c-1.7 1.7-2.6 4-2.6 6.4s.9 4.7 2.6 6.4l36.9 36.9a9 9 0 0 0 12.7 0l261-260.8c32.4-32.4 75.5-50.2 121.3-50.2s88.9 17.8 121.2 50.2c32.4 32.4 50.2 75.5 50.2 121.2 0 45.8-17.8 88.8-50.2 121.2l-266 265.9-43.1 43.1c-40.3 40.3-105.8 40.3-146.1 0-19.5-19.5-30.2-45.4-30.2-73s10.7-53.5 30.2-73l263.9-263.8c6.7-6.6 15.5-10.3 24.9-10.3h.1c9.4 0 18.1 3.7 24.7 10.3 6.7 6.7 10.3 15.5 10.3 24.9 0 9.3-3.7 18.1-10.3 24.7L372.4 653c-1.7 1.7-2.6 4-2.6 6.4s.9 4.7 2.6 6.4l36.9 36.9a9 9 0 0 0 12.7 0l215.6-215.6c19.9-19.9 30.8-46.3 30.8-74.4s-11-54.6-30.8-74.4c-41.1-41.1-107.9-41-149 0L463 364 224.8 602.1A172.22 172.22 0 0 0 174 724.8c0 46.3 18.1 89.8 50.8 122.5 33.9 33.8 78.3 50.7 122.7 50.7 44.4 0 88.8-16.9 122.6-50.7l309.2-309C824.8 492.7 850 432 850 367.5c.1-64.6-25.1-125.3-70.7-170.9z"}}]})(props);
};
function AiOutlinePartition (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683632175","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M640.6 429.8h257.1c7.9 0 14.3-6.4 14.3-14.3V158.3c0-7.9-6.4-14.3-14.3-14.3H640.6c-7.9 0-14.3 6.4-14.3 14.3v92.9H490.6c-3.9 0-7.1 3.2-7.1 7.1v221.5h-85.7v-96.5c0-7.9-6.4-14.3-14.3-14.3H126.3c-7.9 0-14.3 6.4-14.3 14.3v257.2c0 7.9 6.4 14.3 14.3 14.3h257.1c7.9 0 14.3-6.4 14.3-14.3V544h85.7v221.5c0 3.9 3.2 7.1 7.1 7.1h135.7v92.9c0 7.9 6.4 14.3 14.3 14.3h257.1c7.9 0 14.3-6.4 14.3-14.3v-257c0-7.9-6.4-14.3-14.3-14.3h-257c-7.9 0-14.3 6.4-14.3 14.3v100h-78.6v-393h78.6v100c0 7.9 6.4 14.3 14.3 14.3z m53.5-217.9h150V362h-150V211.9zM329.9 587h-150V437h150v150z m364.2 75.1h150v150.1h-150V662.1z"}}]})(props);
};
function AiOutlinePauseCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372zm-88-532h-48c-4.4 0-8 3.6-8 8v304c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V360c0-4.4-3.6-8-8-8zm224 0h-48c-4.4 0-8 3.6-8 8v304c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V360c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlinePause (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M304 176h80v672h-80zm408 0h-64c-4.4 0-8 3.6-8 8v656c0 4.4 3.6 8 8 8h64c4.4 0 8-3.6 8-8V184c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlinePayCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372zm159.6-585h-59.5c-3 0-5.8 1.7-7.1 4.4l-90.6 180H511l-90.6-180a8 8 0 0 0-7.1-4.4h-60.7c-1.3 0-2.6.3-3.8 1-3.9 2.1-5.3 7-3.2 10.9L457 515.7h-61.4c-4.4 0-8 3.6-8 8v29.9c0 4.4 3.6 8 8 8h81.7V603h-81.7c-4.4 0-8 3.6-8 8v29.9c0 4.4 3.6 8 8 8h81.7V717c0 4.4 3.6 8 8 8h54.3c4.4 0 8-3.6 8-8v-68.1h82c4.4 0 8-3.6 8-8V611c0-4.4-3.6-8-8-8h-82v-41.5h82c4.4 0 8-3.6 8-8v-29.9c0-4.4-3.6-8-8-8h-62l111.1-204.8c.6-1.2 1-2.5 1-3.8-.1-4.4-3.7-8-8.1-8z"}}]})(props);
};
function AiOutlinePercentage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M855.7 210.8l-42.4-42.4a8.03 8.03 0 0 0-11.3 0L168.3 801.9a8.03 8.03 0 0 0 0 11.3l42.4 42.4c3.1 3.1 8.2 3.1 11.3 0L855.6 222c3.2-3 3.2-8.1.1-11.2zM304 448c79.4 0 144-64.6 144-144s-64.6-144-144-144-144 64.6-144 144 64.6 144 144 144zm0-216c39.7 0 72 32.3 72 72s-32.3 72-72 72-72-32.3-72-72 32.3-72 72-72zm416 344c-79.4 0-144 64.6-144 144s64.6 144 144 144 144-64.6 144-144-64.6-144-144-144zm0 216c-39.7 0-72-32.3-72-72s32.3-72 72-72 72 32.3 72 72-32.3 72-72 72z"}}]})(props);
};
function AiOutlinePhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M877.1 238.7L770.6 132.3c-13-13-30.4-20.3-48.8-20.3s-35.8 7.2-48.8 20.3L558.3 246.8c-13 13-20.3 30.5-20.3 48.9 0 18.5 7.2 35.8 20.3 48.9l89.6 89.7a405.46 405.46 0 0 1-86.4 127.3c-36.7 36.9-79.6 66-127.2 86.6l-89.6-89.7c-13-13-30.4-20.3-48.8-20.3a68.2 68.2 0 0 0-48.8 20.3L132.3 673c-13 13-20.3 30.5-20.3 48.9 0 18.5 7.2 35.8 20.3 48.9l106.4 106.4c22.2 22.2 52.8 34.9 84.2 34.9 6.5 0 12.8-.5 19.2-1.6 132.4-21.8 263.8-92.3 369.9-198.3C818 606 888.4 474.6 910.4 342.1c6.3-37.6-6.3-76.3-33.3-103.4zm-37.6 91.5c-19.5 117.9-82.9 235.5-178.4 331s-213 158.9-330.9 178.4c-14.8 2.5-30-2.5-40.8-13.2L184.9 721.9 295.7 611l119.8 120 .9.9 21.6-8a481.29 481.29 0 0 0 285.7-285.8l8-21.6-120.8-120.7 110.8-110.9 104.5 104.5c10.8 10.8 15.8 26 13.3 40.8z"}}]})(props);
};
function AiOutlinePicCenter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M952 792H72c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h880c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-632H72c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h880c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM848 660c8.8 0 16-7.2 16-16V380c0-8.8-7.2-16-16-16H176c-8.8 0-16 7.2-16 16v264c0 8.8 7.2 16 16 16h672zM232 436h560v152H232V436z"}}]})(props);
};
function AiOutlinePicLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M952 792H72c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h880c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-632H72c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h880c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM608 660c8.8 0 16-7.2 16-16V380c0-8.8-7.2-16-16-16H96c-8.8 0-16 7.2-16 16v264c0 8.8 7.2 16 16 16h512zM152 436h400v152H152V436zm552 210c0 4.4 3.6 8 8 8h224c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H712c-4.4 0-8 3.6-8 8v56zm8-204h224c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H712c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlinePicRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M952 792H72c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h880c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-632H72c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h880c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-24 500c8.8 0 16-7.2 16-16V380c0-8.8-7.2-16-16-16H416c-8.8 0-16 7.2-16 16v264c0 8.8 7.2 16 16 16h512zM472 436h400v152H472V436zM80 646c0 4.4 3.6 8 8 8h224c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H88c-4.4 0-8 3.6-8 8v56zm8-204h224c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H88c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlinePicture (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 160H96c-17.7 0-32 14.3-32 32v640c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V192c0-17.7-14.3-32-32-32zm-40 632H136v-39.9l138.5-164.3 150.1 178L658.1 489 888 761.6V792zm0-129.8L664.2 396.8c-3.2-3.8-9-3.8-12.2 0L424.6 666.4l-144-170.7c-3.2-3.8-9-3.8-12.2 0L136 652.7V232h752v430.2zM304 456a88 88 0 1 0 0-176 88 88 0 0 0 0 176zm0-116c15.5 0 28 12.5 28 28s-12.5 28-28 28-28-12.5-28-28 12.5-28 28-28z"}}]})(props);
};
function AiOutlinePieChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M864 518H506V160c0-4.4-3.6-8-8-8h-26a398.46 398.46 0 0 0-282.8 117.1 398.19 398.19 0 0 0-85.7 127.1A397.61 397.61 0 0 0 72 552a398.46 398.46 0 0 0 117.1 282.8c36.7 36.7 79.5 65.6 127.1 85.7A397.61 397.61 0 0 0 472 952a398.46 398.46 0 0 0 282.8-117.1c36.7-36.7 65.6-79.5 85.7-127.1A397.61 397.61 0 0 0 872 552v-26c0-4.4-3.6-8-8-8zM705.7 787.8A331.59 331.59 0 0 1 470.4 884c-88.1-.4-170.9-34.9-233.2-97.2C174.5 724.1 140 640.7 140 552c0-88.7 34.5-172.1 97.2-234.8 54.6-54.6 124.9-87.9 200.8-95.5V586h364.3c-7.7 76.3-41.3 147-96.6 201.8zM952 462.4l-2.6-28.2c-8.5-92.1-49.4-179-115.2-244.6A399.4 399.4 0 0 0 589 74.6L560.7 72c-4.7-.4-8.7 3.2-8.7 7.9V464c0 4.4 3.6 8 8 8l384-1c4.7 0 8.4-4 8-8.6zm-332.2-58.2V147.6a332.24 332.24 0 0 1 166.4 89.8c45.7 45.6 77 103.6 90 166.1l-256.4.7z"}}]})(props);
};
function AiOutlinePlayCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M719.4 499.1l-296.1-215A15.9 15.9 0 0 0 398 297v430c0 13.1 14.8 20.5 25.3 12.9l296.1-215a15.9 15.9 0 0 0 0-25.8zm-257.6 134V390.9L628.5 512 461.8 633.1z"}}]})(props);
};
function AiOutlinePlaySquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M442.3 677.6l199.4-156.7a11.3 11.3 0 0 0 0-17.7L442.3 346.4c-7.4-5.8-18.3-.6-18.3 8.8v313.5c0 9.4 10.9 14.7 18.3 8.9z"}},{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}}]})(props);
};
function AiOutlinePlusCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M696 480H544V328c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v152H328c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h152v152c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V544h152c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}},{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}}]})(props);
};
function AiOutlinePlusSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M328 544h152v152c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V544h152c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H544V328c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v152H328c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8z"}},{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}}]})(props);
};
function AiOutlinePlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1551322312294","style":"","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M474 152m8 0l60 0q8 0 8 8l0 704q0 8-8 8l-60 0q-8 0-8-8l0-704q0-8 8-8Z"}},{"tag":"path","attr":{"d":"M168 474m8 0l672 0q8 0 8 8l0 60q0 8-8 8l-672 0q-8 0-8-8l0-60q0-8 8-8Z"}}]})(props);
};
function AiOutlinePoundCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372zm138-209.8H469.8v-4.7c27.4-17.2 43.9-50.4 43.9-91.1 0-14.1-2.2-27.9-5.3-41H607c4.4 0 8-3.6 8-8v-30c0-4.4-3.6-8-8-8H495c-7.2-22.6-13.4-45.7-13.4-70.5 0-43.5 34-70.2 87.3-70.2 21.5 0 42.5 4.1 60.4 10.5 5.2 1.9 10.6-2 10.6-7.6v-39.5c0-3.3-2.1-6.3-5.2-7.5-18.8-7.2-43.8-12.7-70.3-12.7-92.9 0-151.5 44.5-151.5 120.3 0 26.3 6.9 52 14.6 77.1H374c-4.4 0-8 3.6-8 8v30c0 4.4 3.6 8 8 8h67.1c3.4 14.7 5.9 29.4 5.9 44.2 0 45.2-28.8 83.3-72.8 94.2-3.6.9-6.1 4.1-6.1 7.8V722c0 4.4 3.6 8 8 8H650c4.4 0 8-3.6 8-8v-39.8c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlinePound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372zm138-209.8H469.8v-4.7c27.4-17.2 43.9-50.4 43.9-91.1 0-14.1-2.2-27.9-5.3-41H607c4.4 0 8-3.6 8-8v-30c0-4.4-3.6-8-8-8H495c-7.2-22.6-13.4-45.7-13.4-70.5 0-43.5 34-70.2 87.3-70.2 21.5 0 42.5 4.1 60.4 10.5 5.2 1.9 10.6-2 10.6-7.6v-39.5c0-3.3-2.1-6.3-5.2-7.5-18.8-7.2-43.8-12.7-70.3-12.7-92.9 0-151.5 44.5-151.5 120.3 0 26.3 6.9 52 14.6 77.1H374c-4.4 0-8 3.6-8 8v30c0 4.4 3.6 8 8 8h67.1c3.4 14.7 5.9 29.4 5.9 44.2 0 45.2-28.8 83.3-72.8 94.2-3.6.9-6.1 4.1-6.1 7.8V722c0 4.4 3.6 8 8 8H650c4.4 0 8-3.6 8-8v-39.8c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlinePoweroff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M705.6 124.9a8 8 0 0 0-11.6 7.2v64.2c0 5.5 2.9 10.6 7.5 13.6a352.2 352.2 0 0 1 62.2 49.8c32.7 32.8 58.4 70.9 76.3 113.3a355 355 0 0 1 27.9 138.7c0 48.1-9.4 94.8-27.9 138.7a355.92 355.92 0 0 1-76.3 113.3 353.06 353.06 0 0 1-113.2 76.4c-43.8 18.6-90.5 28-138.5 28s-94.7-9.4-138.5-28a353.06 353.06 0 0 1-113.2-76.4A355.92 355.92 0 0 1 184 650.4a355 355 0 0 1-27.9-138.7c0-48.1 9.4-94.8 27.9-138.7 17.9-42.4 43.6-80.5 76.3-113.3 19-19 39.8-35.6 62.2-49.8 4.7-2.9 7.5-8.1 7.5-13.6V132c0-6-6.3-9.8-11.6-7.2C178.5 195.2 82 339.3 80 506.3 77.2 745.1 272.5 943.5 511.2 944c239 .5 432.8-193.3 432.8-432.4 0-169.2-97-315.7-238.4-386.7zM480 560h64c4.4 0 8-3.6 8-8V88c0-4.4-3.6-8-8-8h-64c-4.4 0-8 3.6-8 8v464c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlinePrinter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M820 436h-40c-4.4 0-8 3.6-8 8v40c0 4.4 3.6 8 8 8h40c4.4 0 8-3.6 8-8v-40c0-4.4-3.6-8-8-8zm32-104H732V120c0-4.4-3.6-8-8-8H300c-4.4 0-8 3.6-8 8v212H172c-44.2 0-80 35.8-80 80v328c0 17.7 14.3 32 32 32h168v132c0 4.4 3.6 8 8 8h424c4.4 0 8-3.6 8-8V772h168c17.7 0 32-14.3 32-32V412c0-44.2-35.8-80-80-80zM360 180h304v152H360V180zm304 664H360V568h304v276zm200-140H732V500H292v204H160V412c0-6.6 5.4-12 12-12h680c6.6 0 12 5.4 12 12v292z"}}]})(props);
};
function AiOutlineProfile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656zM492 400h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H492c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8zm0 144h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H492c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8zm0 144h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H492c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8zM340 368a40 40 0 1 0 80 0 40 40 0 1 0-80 0zm0 144a40 40 0 1 0 80 0 40 40 0 1 0-80 0zm0 144a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}}]})(props);
};
function AiOutlineProject (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M280 752h80c4.4 0 8-3.6 8-8V280c0-4.4-3.6-8-8-8h-80c-4.4 0-8 3.6-8 8v464c0 4.4 3.6 8 8 8zm192-280h80c4.4 0 8-3.6 8-8V280c0-4.4-3.6-8-8-8h-80c-4.4 0-8 3.6-8 8v184c0 4.4 3.6 8 8 8zm192 72h80c4.4 0 8-3.6 8-8V280c0-4.4-3.6-8-8-8h-80c-4.4 0-8 3.6-8 8v256c0 4.4 3.6 8 8 8zm216-432H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}}]})(props);
};
function AiOutlinePropertySafety (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M866.9 169.9L527.1 54.1C523 52.7 517.5 52 512 52s-11 .7-15.1 2.1L157.1 169.9c-8.3 2.8-15.1 12.4-15.1 21.2v482.4c0 8.8 5.7 20.4 12.6 25.9L499.3 968c3.5 2.7 8 4.1 12.6 4.1s9.2-1.4 12.6-4.1l344.7-268.6c6.9-5.4 12.6-17 12.6-25.9V191.1c.2-8.8-6.6-18.3-14.9-21.2zM810 654.3L512 886.5 214 654.3V226.7l298-101.6 298 101.6v427.6zM430.5 318h-46c-1.7 0-3.3.4-4.8 1.2a10.1 10.1 0 0 0-4 13.6l88 161.1h-45.2c-5.5 0-10 4.5-10 10v21.3c0 5.5 4.5 10 10 10h63.1v29.7h-63.1c-5.5 0-10 4.5-10 10v21.3c0 5.5 4.5 10 10 10h63.1V658c0 5.5 4.5 10 10 10h41.3c5.5 0 10-4.5 10-10v-51.8h63.4c5.5 0 10-4.5 10-10v-21.3c0-5.5-4.5-10-10-10h-63.4v-29.7h63.4c5.5 0 10-4.5 10-10v-21.3c0-5.5-4.5-10-10-10h-45.7l87.7-161.1a10.05 10.05 0 0 0-8.8-14.8h-45c-3.8 0-7.2 2.1-8.9 5.5l-73.2 144.3-72.9-144.3c-1.7-3.4-5.2-5.5-9-5.5z"}}]})(props);
};
function AiOutlinePullRequest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M788 705.9V192c0-8.8-7.2-16-16-16H602v-68.8c0-6-7-9.4-11.7-5.7L462.7 202.3a7.14 7.14 0 0 0 0 11.3l127.5 100.8c4.7 3.7 11.7.4 11.7-5.7V240h114v465.9c-44.2 15-76 56.9-76 106.1 0 61.8 50.2 112 112 112s112-50.2 112-112c.1-49.2-31.7-91-75.9-106.1zM752 860a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96zM384 212c0-61.8-50.2-112-112-112s-112 50.2-112 112c0 49.2 31.8 91 76 106.1V706c-44.2 15-76 56.9-76 106.1 0 61.8 50.2 112 112 112s112-50.2 112-112c0-49.2-31.8-91-76-106.1V318.1c44.2-15.1 76-56.9 76-106.1zm-160 0a48.01 48.01 0 0 1 96 0 48.01 48.01 0 0 1-96 0zm96 600a48.01 48.01 0 0 1-96 0 48.01 48.01 0 0 1 96 0z"}}]})(props);
};
function AiOutlinePushpin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M878.3 392.1L631.9 145.7c-6.5-6.5-15-9.7-23.5-9.7s-17 3.2-23.5 9.7L423.8 306.9c-12.2-1.4-24.5-2-36.8-2-73.2 0-146.4 24.1-206.5 72.3a33.23 33.23 0 0 0-2.7 49.4l181.7 181.7-215.4 215.2a15.8 15.8 0 0 0-4.6 9.8l-3.4 37.2c-.9 9.4 6.6 17.4 15.9 17.4.5 0 1 0 1.5-.1l37.2-3.4c3.7-.3 7.2-2 9.8-4.6l215.4-215.4 181.7 181.7c6.5 6.5 15 9.7 23.5 9.7 9.7 0 19.3-4.2 25.9-12.4 56.3-70.3 79.7-158.3 70.2-243.4l161.1-161.1c12.9-12.8 12.9-33.8 0-46.8zM666.2 549.3l-24.5 24.5 3.8 34.4a259.92 259.92 0 0 1-30.4 153.9L262 408.8c12.9-7.1 26.3-13.1 40.3-17.9 27.2-9.4 55.7-14.1 84.7-14.1 9.6 0 19.3.5 28.9 1.6l34.4 3.8 24.5-24.5L608.5 224 800 415.5 666.2 549.3z"}}]})(props);
};
function AiOutlineQq (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M824.8 613.2c-16-51.4-34.4-94.6-62.7-165.3C766.5 262.2 689.3 112 511.5 112 331.7 112 256.2 265.2 261 447.9c-28.4 70.8-46.7 113.7-62.7 165.3-34 109.5-23 154.8-14.6 155.8 18 2.2 70.1-82.4 70.1-82.4 0 49 25.2 112.9 79.8 159-26.4 8.1-85.7 29.9-71.6 53.8 11.4 19.3 196.2 12.3 249.5 6.3 53.3 6 238.1 13 249.5-6.3 14.1-23.8-45.3-45.7-71.6-53.8 54.6-46.2 79.8-110.1 79.8-159 0 0 52.1 84.6 70.1 82.4 8.5-1.1 19.5-46.4-14.5-155.8z"}}]})(props);
};
function AiOutlineQrcode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M468 128H160c-17.7 0-32 14.3-32 32v308c0 4.4 3.6 8 8 8h332c4.4 0 8-3.6 8-8V136c0-4.4-3.6-8-8-8zm-56 284H192V192h220v220zm-138-74h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm194 210H136c-4.4 0-8 3.6-8 8v308c0 17.7 14.3 32 32 32h308c4.4 0 8-3.6 8-8V556c0-4.4-3.6-8-8-8zm-56 284H192V612h220v220zm-138-74h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm590-630H556c-4.4 0-8 3.6-8 8v332c0 4.4 3.6 8 8 8h332c4.4 0 8-3.6 8-8V160c0-17.7-14.3-32-32-32zm-32 284H612V192h220v220zm-138-74h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm194 210h-48c-4.4 0-8 3.6-8 8v134h-78V556c0-4.4-3.6-8-8-8H556c-4.4 0-8 3.6-8 8v332c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V644h78v102c0 4.4 3.6 8 8 8h190c4.4 0 8-3.6 8-8V556c0-4.4-3.6-8-8-8zM746 832h-48c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zm142 0h-48c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineQuestionCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M623.6 316.7C593.6 290.4 554 276 512 276s-81.6 14.5-111.6 40.7C369.2 344 352 380.7 352 420v7.6c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V420c0-44.1 43.1-80 96-80s96 35.9 96 80c0 31.1-22 59.6-56.1 72.7-21.2 8.1-39.2 22.3-52.1 40.9-13.1 19-19.9 41.8-19.9 64.9V620c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-22.7a48.3 48.3 0 0 1 30.9-44.8c59-22.7 97.1-74.7 97.1-132.5.1-39.3-17.1-76-48.3-103.3zM472 732a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}}]})(props);
};
function AiOutlineQuestion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M764 280.9c-14-30.6-33.9-58.1-59.3-81.6C653.1 151.4 584.6 125 512 125s-141.1 26.4-192.7 74.2c-25.4 23.6-45.3 51-59.3 81.7-14.6 32-22 65.9-22 100.9v27c0 6.2 5 11.2 11.2 11.2h54c6.2 0 11.2-5 11.2-11.2v-27c0-99.5 88.6-180.4 197.6-180.4s197.6 80.9 197.6 180.4c0 40.8-14.5 79.2-42 111.2-27.2 31.7-65.6 54.4-108.1 64-24.3 5.5-46.2 19.2-61.7 38.8a110.85 110.85 0 0 0-23.9 68.6v31.4c0 6.2 5 11.2 11.2 11.2h54c6.2 0 11.2-5 11.2-11.2v-31.4c0-15.7 10.9-29.5 26-32.9 58.4-13.2 111.4-44.7 149.3-88.7 19.1-22.3 34-47.1 44.3-74 10.7-27.9 16.1-57.2 16.1-87 0-35-7.4-69-22-100.9zM512 787c-30.9 0-56 25.1-56 56s25.1 56 56 56 56-25.1 56-56-25.1-56-56-56z"}}]})(props);
};
function AiOutlineRadarChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M926.8 397.1l-396-288a31.81 31.81 0 0 0-37.6 0l-396 288a31.99 31.99 0 0 0-11.6 35.8l151.3 466a32 32 0 0 0 30.4 22.1h489.5c13.9 0 26.1-8.9 30.4-22.1l151.3-466c4.2-13.2-.5-27.6-11.7-35.8zM838.6 417l-98.5 32-200-144.7V199.9L838.6 417zM466 567.2l-89.1 122.3-55.2-169.2L466 567.2zm-116.3-96.8L484 373.3v140.8l-134.3-43.7zM512 599.2l93.9 128.9H418.1L512 599.2zm28.1-225.9l134.2 97.1L540.1 514V373.3zM558 567.2l144.3-46.9-55.2 169.2L558 567.2zm-74-367.3v104.4L283.9 449l-98.5-32L484 199.9zM169.3 470.8l86.5 28.1 80.4 246.4-53.8 73.9-113.1-348.4zM327.1 853l50.3-69h269.3l50.3 69H327.1zm414.5-33.8l-53.8-73.9 80.4-246.4 86.5-28.1-113.1 348.4z"}}]})(props);
};
function AiOutlineRadiusBottomleft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M712 824h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm2-696h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM136 374h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm0-174h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm752 624h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-348 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-230 72h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm230 624H358c-87.3 0-158-70.7-158-158V484c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v182c0 127 103 230 230 230h182c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineRadiusBottomright (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M368 824h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-58-624h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm578 102h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM192 824h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0-174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm292 72h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm174 0h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm230 276h-56c-4.4 0-8 3.6-8 8v182c0 87.3-70.7 158-158 158H484c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h182c127 0 230-103 230-230V484c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineRadiusSetting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M396 140h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-44 684h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm524-204h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM192 344h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 160h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 160h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 160h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm320 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm160 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm140-284c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V370c0-127-103-230-230-230H484c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h170c87.3 0 158 70.7 158 158v170zM236 96H92c-4.4 0-8 3.6-8 8v144c0 4.4 3.6 8 8 8h144c4.4 0 8-3.6 8-8V104c0-4.4-3.6-8-8-8zm-48 101.6c0 1.3-1.1 2.4-2.4 2.4h-43.2c-1.3 0-2.4-1.1-2.4-2.4v-43.2c0-1.3 1.1-2.4 2.4-2.4h43.2c1.3 0 2.4 1.1 2.4 2.4v43.2zM920 780H776c-4.4 0-8 3.6-8 8v144c0 4.4 3.6 8 8 8h144c4.4 0 8-3.6 8-8V788c0-4.4-3.6-8-8-8zm-48 101.6c0 1.3-1.1 2.4-2.4 2.4h-43.2c-1.3 0-2.4-1.1-2.4-2.4v-43.2c0-1.3 1.1-2.4 2.4-2.4h43.2c1.3 0 2.4 1.1 2.4 2.4v43.2z"}}]})(props);
};
function AiOutlineRadiusUpleft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M656 200h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm58 624h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM192 650h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm696-696h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-348 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-174 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm174-696H358c-127 0-230 103-230 230v182c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V358c0-87.3 70.7-158 158-158h182c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineRadiusUpright (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M368 128h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-2 696h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm522-174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM192 128h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 174h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm348 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm174 0h-56c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm-48-696H484c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h182c87.3 0 158 70.7 158 158v182c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V358c0-127-103-230-230-230z"}}]})(props);
};
function AiOutlineRead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 161H699.2c-49.1 0-97.1 14.1-138.4 40.7L512 233l-48.8-31.3A255.2 255.2 0 0 0 324.8 161H96c-17.7 0-32 14.3-32 32v568c0 17.7 14.3 32 32 32h228.8c49.1 0 97.1 14.1 138.4 40.7l44.4 28.6c1.3.8 2.8 1.3 4.3 1.3s3-.4 4.3-1.3l44.4-28.6C602 807.1 650.1 793 699.2 793H928c17.7 0 32-14.3 32-32V193c0-17.7-14.3-32-32-32zM324.8 721H136V233h188.8c35.4 0 69.8 10.1 99.5 29.2l48.8 31.3 6.9 4.5v462c-47.6-25.6-100.8-39-155.2-39zm563.2 0H699.2c-54.4 0-107.6 13.4-155.2 39V298l6.9-4.5 48.8-31.3c29.7-19.1 64.1-29.2 99.5-29.2H888v488zM396.9 361H211.1c-3.9 0-7.1 3.4-7.1 7.5v45c0 4.1 3.2 7.5 7.1 7.5h185.7c3.9 0 7.1-3.4 7.1-7.5v-45c.1-4.1-3.1-7.5-7-7.5zm223.1 7.5v45c0 4.1 3.2 7.5 7.1 7.5h185.7c3.9 0 7.1-3.4 7.1-7.5v-45c0-4.1-3.2-7.5-7.1-7.5H627.1c-3.9 0-7.1 3.4-7.1 7.5zM396.9 501H211.1c-3.9 0-7.1 3.4-7.1 7.5v45c0 4.1 3.2 7.5 7.1 7.5h185.7c3.9 0 7.1-3.4 7.1-7.5v-45c.1-4.1-3.1-7.5-7-7.5zm416 0H627.1c-3.9 0-7.1 3.4-7.1 7.5v45c0 4.1 3.2 7.5 7.1 7.5h185.7c3.9 0 7.1-3.4 7.1-7.5v-45c.1-4.1-3.1-7.5-7-7.5z"}}]})(props);
};
function AiOutlineReconciliation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M676 565c-50.8 0-92 41.2-92 92s41.2 92 92 92 92-41.2 92-92-41.2-92-92-92zm0 126c-18.8 0-34-15.2-34-34s15.2-34 34-34 34 15.2 34 34-15.2 34-34 34zm204-523H668c0-30.9-25.1-56-56-56h-80c-30.9 0-56 25.1-56 56H264c-17.7 0-32 14.3-32 32v200h-88c-17.7 0-32 14.3-32 32v448c0 17.7 14.3 32 32 32h336c17.7 0 32-14.3 32-32v-16h368c17.7 0 32-14.3 32-32V200c0-17.7-14.3-32-32-32zm-412 64h72v-56h64v56h72v48H468v-48zm-20 616H176V616h272v232zm0-296H176v-88h272v88zm392 240H512V432c0-17.7-14.3-32-32-32H304V240h100v104h336V240h100v552zM704 408v96c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-96c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8zM592 512h48c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlineRedEnvelope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M440.6 462.6a8.38 8.38 0 0 0-7.5-4.6h-48.8c-1.3 0-2.6.4-3.9 1a8.4 8.4 0 0 0-3.4 11.4l87.4 161.1H419c-4.6 0-8.4 3.8-8.4 8.4V665c0 4.6 3.8 8.4 8.4 8.4h63V702h-63c-4.6 0-8.4 3.8-8.4 8.4v25.1c0 4.6 3.8 8.4 8.4 8.4h63v49.9c0 4.6 3.8 8.4 8.4 8.4h43.7c4.6 0 8.4-3.8 8.4-8.4v-49.9h63.3c4.7 0 8.4-3.8 8.2-8.5v-25c0-4.6-3.8-8.4-8.4-8.4h-63.3v-28.6h63.3c4.6 0 8.4-3.8 8.4-8.4v-25.1c0-4.6-3.8-8.4-8.4-8.4h-45.9l87.2-161a8.45 8.45 0 0 0-7.4-12.4h-47.8c-3.1 0-6 1.8-7.5 4.6l-71.9 141.9-71.7-142zM832 64H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zm-40 824H232V193.1l260.3 204.1c11.6 9.1 27.9 9.1 39.5 0L792 193.1V888zm0-751.3h-31.7L512 331.3 263.7 136.7H232v-.7h560v.7z"}}]})(props);
};
function AiOutlineReddit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M288 568a56 56 0 1 0 112 0 56 56 0 1 0-112 0zm338.7 119.7c-23.1 18.2-68.9 37.8-114.7 37.8s-91.6-19.6-114.7-37.8c-14.4-11.3-35.3-8.9-46.7 5.5s-8.9 35.3 5.5 46.7C396.3 771.6 457.5 792 512 792s115.7-20.4 155.9-52.1a33.25 33.25 0 1 0-41.2-52.2zM960 456c0-61.9-50.1-112-112-112-42.1 0-78.7 23.2-97.9 57.6-57.6-31.5-127.7-51.8-204.1-56.5L612.9 195l127.9 36.9c11.5 32.6 42.6 56.1 79.2 56.1 46.4 0 84-37.6 84-84s-37.6-84-84-84c-32 0-59.8 17.9-74 44.2L603.5 123a33.2 33.2 0 0 0-39.6 18.4l-90.8 203.9c-74.5 5.2-142.9 25.4-199.2 56.2A111.94 111.94 0 0 0 176 344c-61.9 0-112 50.1-112 112 0 45.8 27.5 85.1 66.8 102.5-7.1 21-10.8 43-10.8 65.5 0 154.6 175.5 280 392 280s392-125.4 392-280c0-22.6-3.8-44.5-10.8-65.5C932.5 541.1 960 501.8 960 456zM820 172.5a31.5 31.5 0 1 1 0 63 31.5 31.5 0 0 1 0-63zM120 456c0-30.9 25.1-56 56-56a56 56 0 0 1 50.6 32.1c-29.3 22.2-53.5 47.8-71.5 75.9a56.23 56.23 0 0 1-35.1-52zm392 381.5c-179.8 0-325.5-95.6-325.5-213.5S332.2 410.5 512 410.5 837.5 506.1 837.5 624 691.8 837.5 512 837.5zM868.8 508c-17.9-28.1-42.2-53.7-71.5-75.9 9-18.9 28.3-32.1 50.6-32.1 30.9 0 56 25.1 56 56 .1 23.5-14.5 43.7-35.1 52zM624 568a56 56 0 1 0 112 0 56 56 0 1 0-112 0z"}}]})(props);
};
function AiOutlineRedo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M758.2 839.1C851.8 765.9 912 651.9 912 523.9 912 303 733.5 124.3 512.6 124 291.4 123.7 112 302.8 112 523.9c0 125.2 57.5 236.9 147.6 310.2 3.5 2.8 8.6 2.2 11.4-1.3l39.4-50.5c2.7-3.4 2.1-8.3-1.2-11.1-8.1-6.6-15.9-13.7-23.4-21.2a318.64 318.64 0 0 1-68.6-101.7C200.4 609 192 567.1 192 523.9s8.4-85.1 25.1-124.5c16.1-38.1 39.2-72.3 68.6-101.7 29.4-29.4 63.6-52.5 101.7-68.6C426.9 212.4 468.8 204 512 204s85.1 8.4 124.5 25.1c38.1 16.1 72.3 39.2 101.7 68.6 29.4 29.4 52.5 63.6 68.6 101.7 16.7 39.4 25.1 81.3 25.1 124.5s-8.4 85.1-25.1 124.5a318.64 318.64 0 0 1-68.6 101.7c-9.3 9.3-19.1 18-29.3 26L668.2 724a8 8 0 0 0-14.1 3l-39.6 162.2c-1.2 5 2.6 9.9 7.7 9.9l167 .8c6.7 0 10.5-7.7 6.3-12.9l-37.3-47.9z"}}]})(props);
};
function AiOutlineReload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M909.1 209.3l-56.4 44.1C775.8 155.1 656.2 92 521.9 92 290 92 102.3 279.5 102 511.5 101.7 743.7 289.8 932 521.9 932c181.3 0 335.8-115 394.6-276.1 1.5-4.2-.7-8.9-4.9-10.3l-56.7-19.5a8 8 0 0 0-10.1 4.8c-1.8 5-3.8 10-5.9 14.9-17.3 41-42.1 77.8-73.7 109.4A344.77 344.77 0 0 1 655.9 829c-42.3 17.9-87.4 27-133.8 27-46.5 0-91.5-9.1-133.8-27A341.5 341.5 0 0 1 279 755.2a342.16 342.16 0 0 1-73.7-109.4c-17.9-42.4-27-87.4-27-133.9s9.1-91.5 27-133.9c17.3-41 42.1-77.8 73.7-109.4 31.6-31.6 68.4-56.4 109.3-73.8 42.3-17.9 87.4-27 133.8-27 46.5 0 91.5 9.1 133.8 27a341.5 341.5 0 0 1 109.3 73.8c9.9 9.9 19.2 20.4 27.8 31.4l-60.2 47a8 8 0 0 0 3 14.1l175.6 43c5 1.2 9.9-2.6 9.9-7.7l.8-180.9c-.1-6.6-7.8-10.3-13-6.2z"}}]})(props);
};
function AiOutlineRest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M508 704c79.5 0 144-64.5 144-144s-64.5-144-144-144-144 64.5-144 144 64.5 144 144 144zm0-224c44.2 0 80 35.8 80 80s-35.8 80-80 80-80-35.8-80-80 35.8-80 80-80z"}},{"tag":"path","attr":{"d":"M832 256h-28.1l-35.7-120.9c-4-13.7-16.5-23.1-30.7-23.1h-451c-14.3 0-26.8 9.4-30.7 23.1L220.1 256H192c-17.7 0-32 14.3-32 32v28c0 4.4 3.6 8 8 8h45.8l47.7 558.7a32 32 0 0 0 31.9 29.3h429.2a32 32 0 0 0 31.9-29.3L802.2 324H856c4.4 0 8-3.6 8-8v-28c0-17.7-14.3-32-32-32zm-518.6-76h397.2l22.4 76H291l22.4-76zm376.2 664H326.4L282 324h451.9l-44.3 520z"}}]})(props);
};
function AiOutlineRetweet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M136 552h63.6c4.4 0 8-3.6 8-8V288.7h528.6v72.6c0 1.9.6 3.7 1.8 5.2a8.3 8.3 0 0 0 11.7 1.4L893 255.4c4.3-5 3.6-10.3 0-13.2L749.7 129.8a8.22 8.22 0 0 0-5.2-1.8c-4.6 0-8.4 3.8-8.4 8.4V209H199.7c-39.5 0-71.7 32.2-71.7 71.8V544c0 4.4 3.6 8 8 8zm752-80h-63.6c-4.4 0-8 3.6-8 8v255.3H287.8v-72.6c0-1.9-.6-3.7-1.8-5.2a8.3 8.3 0 0 0-11.7-1.4L131 768.6c-4.3 5-3.6 10.3 0 13.2l143.3 112.4c1.5 1.2 3.3 1.8 5.2 1.8 4.6 0 8.4-3.8 8.4-8.4V815h536.6c39.5 0 71.7-32.2 71.7-71.8V480c-.2-4.4-3.8-8-8.2-8z"}}]})(props);
};
function AiOutlineRightCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M666.7 505.5l-246-178A8 8 0 0 0 408 334v46.9c0 10.2 4.9 19.9 13.2 25.9L566.6 512 421.2 617.2c-8.3 6-13.2 15.6-13.2 25.9V690c0 6.5 7.4 10.3 12.7 6.5l246-178c4.4-3.2 4.4-9.8 0-13z"}},{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}}]})(props);
};
function AiOutlineRightSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M412.7 696.5l246-178c4.4-3.2 4.4-9.7 0-12.9l-246-178c-5.3-3.8-12.7 0-12.7 6.5V381c0 10.2 4.9 19.9 13.2 25.9L558.6 512 413.2 617.2c-8.3 6-13.2 15.6-13.2 25.9V690c0 6.5 7.4 10.3 12.7 6.5z"}},{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}}]})(props);
};
function AiOutlineRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M765.7 486.8L314.9 134.7A7.97 7.97 0 0 0 302 141v77.3c0 4.9 2.3 9.6 6.1 12.6l360 281.1-360 281.1c-3.9 3-6.1 7.7-6.1 12.6V883c0 6.7 7.7 10.4 12.9 6.3l450.8-352.1a31.96 31.96 0 0 0 0-50.4z"}}]})(props);
};
function AiOutlineRise (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M917 211.1l-199.2 24c-6.6.8-9.4 8.9-4.7 13.6l59.3 59.3-226 226-101.8-101.7c-6.3-6.3-16.4-6.2-22.6 0L100.3 754.1a8.03 8.03 0 0 0 0 11.3l45 45.2c3.1 3.1 8.2 3.1 11.3 0L433.3 534 535 635.7c6.3 6.2 16.4 6.2 22.6 0L829 364.5l59.3 59.3a8.01 8.01 0 0 0 13.6-4.7l24-199.2c.7-5.1-3.7-9.5-8.9-8.8z"}}]})(props);
};
function AiOutlineRobot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M300 328a60 60 0 1 0 120 0 60 60 0 1 0-120 0zM852 64H172c-17.7 0-32 14.3-32 32v660c0 17.7 14.3 32 32 32h680c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zm-32 660H204V128h616v596zM604 328a60 60 0 1 0 120 0 60 60 0 1 0-120 0zm250.2 556H169.8c-16.5 0-29.8 14.3-29.8 32v36c0 4.4 3.3 8 7.4 8h729.1c4.1 0 7.4-3.6 7.4-8v-36c.1-17.7-13.2-32-29.7-32zM664 508H360c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h304c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineRocket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M864 736c0-111.6-65.4-208-160-252.9V317.3c0-15.1-5.3-29.7-15.1-41.2L536.5 95.4C530.1 87.8 521 84 512 84s-18.1 3.8-24.5 11.4L335.1 276.1a63.97 63.97 0 0 0-15.1 41.2v165.8C225.4 528 160 624.4 160 736h156.5c-2.3 7.2-3.5 15-3.5 23.8 0 22.1 7.6 43.7 21.4 60.8a97.2 97.2 0 0 0 43.1 30.6c23.1 54 75.6 88.8 134.5 88.8 29.1 0 57.3-8.6 81.4-24.8 23.6-15.8 41.9-37.9 53-64a97 97 0 0 0 43.1-30.5 97.52 97.52 0 0 0 21.4-60.8c0-8.4-1.1-16.4-3.1-23.8H864zM762.3 621.4c9.4 14.6 17 30.3 22.5 46.6H700V558.7a211.6 211.6 0 0 1 62.3 62.7zM388 483.1V318.8l124-147 124 147V668H388V483.1zM239.2 668c5.5-16.3 13.1-32 22.5-46.6 16.3-25.2 37.5-46.5 62.3-62.7V668h-84.8zm388.9 116.2c-5.2 3-11.2 4.2-17.1 3.4l-19.5-2.4-2.8 19.4c-5.4 37.9-38.4 66.5-76.7 66.5-38.3 0-71.3-28.6-76.7-66.5l-2.8-19.5-19.5 2.5a27.7 27.7 0 0 1-17.1-3.5c-8.7-5-14.1-14.3-14.1-24.4 0-10.6 5.9-19.4 14.6-23.8h231.3c8.8 4.5 14.6 13.3 14.6 23.8-.1 10.2-5.5 19.6-14.2 24.5zM464 400a48 48 0 1 0 96 0 48 48 0 1 0-96 0z"}}]})(props);
};
function AiOutlineRollback (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M793 242H366v-74c0-6.7-7.7-10.4-12.9-6.3l-142 112a8 8 0 0 0 0 12.6l142 112c5.2 4.1 12.9.4 12.9-6.3v-74h415v470H175c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h618c35.3 0 64-28.7 64-64V306c0-35.3-28.7-64-64-64z"}}]})(props);
};
function AiOutlineRotateLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683455503","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M672 418H144c-17.7 0-32 14.3-32 32v414c0 17.7 14.3 32 32 32h528c17.7 0 32-14.3 32-32V450c0-17.7-14.3-32-32-32z m-44 402H188V494h440v326z"}},{"tag":"path","attr":{"d":"M819.3 328.5c-78.8-100.7-196-153.6-314.6-154.2l-0.2-64c0-6.5-7.6-10.1-12.6-6.1l-128 101c-4 3.1-3.9 9.1 0 12.3L492 318.6c5.1 4 12.7 0.4 12.6-6.1v-63.9c12.9 0.1 25.9 0.9 38.8 2.5 42.1 5.2 82.1 18.2 119 38.7 38.1 21.2 71.2 49.7 98.4 84.3 27.1 34.7 46.7 73.7 58.1 115.8 11 40.7 14 82.7 8.9 124.8-0.7 5.4-1.4 10.8-2.4 16.1h74.9c14.8-103.6-11.3-213-81-302.3z"}}]})(props);
};
function AiOutlineRotateRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683458761","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M480.5 251.2c13-1.6 25.9-2.4 38.8-2.5v63.9c0 6.5 7.5 10.1 12.6 6.1L660 217.6c4-3.2 4-9.2 0-12.3l-128-101c-5.1-4-12.6-0.4-12.6 6.1l-0.2 64c-118.6 0.5-235.8 53.4-314.6 154.2-69.6 89.2-95.7 198.6-81.1 302.4h74.9c-0.9-5.3-1.7-10.7-2.4-16.1-5.1-42.1-2.1-84.1 8.9-124.8 11.4-42.2 31-81.1 58.1-115.8 27.2-34.7 60.3-63.2 98.4-84.3 37-20.6 76.9-33.6 119.1-38.8z"}},{"tag":"path","attr":{"d":"M880 418H352c-17.7 0-32 14.3-32 32v414c0 17.7 14.3 32 32 32h528c17.7 0 32-14.3 32-32V450c0-17.7-14.3-32-32-32z m-44 402H396V494h440v326z"}}]})(props);
};
function AiOutlineSafetyCertificate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M866.9 169.9L527.1 54.1C523 52.7 517.5 52 512 52s-11 .7-15.1 2.1L157.1 169.9c-8.3 2.8-15.1 12.4-15.1 21.2v482.4c0 8.8 5.7 20.4 12.6 25.9L499.3 968c3.5 2.7 8 4.1 12.6 4.1s9.2-1.4 12.6-4.1l344.7-268.6c6.9-5.4 12.6-17 12.6-25.9V191.1c.2-8.8-6.6-18.3-14.9-21.2zM810 654.3L512 886.5 214 654.3V226.7l298-101.6 298 101.6v427.6zm-405.8-201c-3-4.1-7.8-6.6-13-6.6H336c-6.5 0-10.3 7.4-6.5 12.7l126.4 174a16.1 16.1 0 0 0 26 0l212.6-292.7c3.8-5.3 0-12.7-6.5-12.7h-55.2c-5.1 0-10 2.5-13 6.6L468.9 542.4l-64.7-89.1z"}}]})(props);
};
function AiOutlineSafety (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64L128 192v384c0 212.1 171.9 384 384 384s384-171.9 384-384V192L512 64zm312 512c0 172.3-139.7 312-312 312S200 748.3 200 576V246l312-110 312 110v330z"}},{"tag":"path","attr":{"d":"M378.4 475.1a35.91 35.91 0 0 0-50.9 0 35.91 35.91 0 0 0 0 50.9l129.4 129.4 2.1 2.1a33.98 33.98 0 0 0 48.1 0L730.6 434a33.98 33.98 0 0 0 0-48.1l-2.8-2.8a33.98 33.98 0 0 0-48.1 0L483 579.7 378.4 475.1z"}}]})(props);
};
function AiOutlineSave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M893.3 293.3L730.7 130.7c-7.5-7.5-16.7-13-26.7-16V112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V338.5c0-17-6.7-33.2-18.7-45.2zM384 184h256v104H384V184zm456 656H184V184h136v136c0 17.7 14.3 32 32 32h320c17.7 0 32-14.3 32-32V205.8l136 136V840zM512 442c-79.5 0-144 64.5-144 144s64.5 144 144 144 144-64.5 144-144-64.5-144-144-144zm0 224c-44.2 0-80-35.8-80-80s35.8-80 80-80 80 35.8 80 80-35.8 80-80 80z"}}]})(props);
};
function AiOutlineScan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M136 384h56c4.4 0 8-3.6 8-8V200h176c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H196c-37.6 0-68 30.4-68 68v180c0 4.4 3.6 8 8 8zm512-184h176v176c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V196c0-37.6-30.4-68-68-68H648c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zM376 824H200V648c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v180c0 37.6 30.4 68 68 68h180c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm512-184h-56c-4.4 0-8 3.6-8 8v176H648c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h180c37.6 0 68-30.4 68-68V648c0-4.4-3.6-8-8-8zm16-164H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineSchedule (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 224H768v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H548v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H328v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H96c-17.7 0-32 14.3-32 32v576c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V256c0-17.7-14.3-32-32-32zm-40 568H136V296h120v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56h148v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56h148v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56h120v496zM416 496H232c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zm0 136H232c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zm308.2-177.4L620.6 598.3l-52.8-73.1c-3-4.2-7.8-6.6-12.9-6.6H500c-6.5 0-10.3 7.4-6.5 12.7l114.1 158.2a15.9 15.9 0 0 0 25.8 0l165-228.7c3.8-5.3 0-12.7-6.5-12.7H737c-5-.1-9.8 2.4-12.8 6.5z"}}]})(props);
};
function AiOutlineScissor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M567.1 512l318.5-319.3c5-5 1.5-13.7-5.6-13.7h-90.5c-2.1 0-4.2.8-5.6 2.3l-273.3 274-90.2-90.5c12.5-22.1 19.7-47.6 19.7-74.8 0-83.9-68.1-152-152-152s-152 68.1-152 152 68.1 152 152 152c27.7 0 53.6-7.4 75.9-20.3l90 90.3-90.1 90.3A151.04 151.04 0 0 0 288 582c-83.9 0-152 68.1-152 152s68.1 152 152 152 152-68.1 152-152c0-27.2-7.2-52.7-19.7-74.8l90.2-90.5 273.3 274c1.5 1.5 3.5 2.3 5.6 2.3H880c7.1 0 10.7-8.6 5.6-13.7L567.1 512zM288 370c-44.1 0-80-35.9-80-80s35.9-80 80-80 80 35.9 80 80-35.9 80-80 80zm0 444c-44.1 0-80-35.9-80-80s35.9-80 80-80 80 35.9 80 80-35.9 80-80 80z"}}]})(props);
};
function AiOutlineSearch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M909.6 854.5L649.9 594.8C690.2 542.7 712 479 712 412c0-80.2-31.3-155.4-87.9-212.1-56.6-56.7-132-87.9-212.1-87.9s-155.5 31.3-212.1 87.9C143.2 256.5 112 331.8 112 412c0 80.1 31.3 155.5 87.9 212.1C256.5 680.8 331.8 712 412 712c67 0 130.6-21.8 182.7-62l259.7 259.6a8.2 8.2 0 0 0 11.6 0l43.6-43.5a8.2 8.2 0 0 0 0-11.6zM570.4 570.4C528 612.7 471.8 636 412 636s-116-23.3-158.4-65.6C211.3 528 188 471.8 188 412s23.3-116.1 65.6-158.4C296 211.3 352.2 188 412 188s116.1 23.2 158.4 65.6S636 352.2 636 412s-23.3 116.1-65.6 158.4z"}}]})(props);
};
function AiOutlineSecurityScan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M866.9 169.9L527.1 54.1C523 52.7 517.5 52 512 52s-11 .7-15.1 2.1L157.1 169.9c-8.3 2.8-15.1 12.4-15.1 21.2v482.4c0 8.8 5.7 20.4 12.6 25.9L499.3 968c3.5 2.7 8 4.1 12.6 4.1s9.2-1.4 12.6-4.1l344.7-268.6c6.9-5.4 12.6-17 12.6-25.9V191.1c.2-8.8-6.6-18.3-14.9-21.2zM810 654.3L512 886.5 214 654.3V226.7l298-101.6 298 101.6v427.6zM402.9 528.8l-77.5 77.5a8.03 8.03 0 0 0 0 11.3l34 34c3.1 3.1 8.2 3.1 11.3 0l77.5-77.5c55.7 35.1 130.1 28.4 178.6-20.1 56.3-56.3 56.3-147.5 0-203.8-56.3-56.3-147.5-56.3-203.8 0-48.5 48.5-55.2 123-20.1 178.6zm65.4-133.3c31.3-31.3 82-31.3 113.2 0 31.3 31.3 31.3 82 0 113.2-31.3 31.3-82 31.3-113.2 0s-31.3-81.9 0-113.2z"}}]})(props);
};
function AiOutlineSelect (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h360c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H184V184h656v320c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V144c0-17.7-14.3-32-32-32zM653.3 599.4l52.2-52.2a8.01 8.01 0 0 0-4.7-13.6l-179.4-21c-5.1-.6-9.5 3.7-8.9 8.9l21 179.4c.8 6.6 8.9 9.4 13.6 4.7l52.4-52.4 256.2 256.2c3.1 3.1 8.2 3.1 11.3 0l42.4-42.4c3.1-3.1 3.1-8.2 0-11.3L653.3 599.4z"}}]})(props);
};
function AiOutlineSend (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683742680","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M931.4 498.9L94.9 79.5c-3.4-1.7-7.3-2.1-11-1.2-8.5 2.1-13.8 10.7-11.7 19.3l86.2 352.2c1.3 5.3 5.2 9.6 10.4 11.3l147.7 50.7-147.6 50.7c-5.2 1.8-9.1 6-10.3 11.3L72.2 926.5c-0.9 3.7-0.5 7.6 1.2 10.9 3.9 7.9 13.5 11.1 21.5 7.2l836.5-417c3.1-1.5 5.6-4.1 7.2-7.1 3.9-8 0.7-17.6-7.2-21.6zM170.8 826.3l50.3-205.6 295.2-101.3c2.3-0.8 4.2-2.6 5-5 1.4-4.2-0.8-8.7-5-10.2L221.1 403 171 198.2l628 314.9-628.2 313.2z"}}]})(props);
};
function AiOutlineSetting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M924.8 625.7l-65.5-56c3.1-19 4.7-38.4 4.7-57.8s-1.6-38.8-4.7-57.8l65.5-56a32.03 32.03 0 0 0 9.3-35.2l-.9-2.6a443.74 443.74 0 0 0-79.7-137.9l-1.8-2.1a32.12 32.12 0 0 0-35.1-9.5l-81.3 28.9c-30-24.6-63.5-44-99.7-57.6l-15.7-85a32.05 32.05 0 0 0-25.8-25.7l-2.7-.5c-52.1-9.4-106.9-9.4-159 0l-2.7.5a32.05 32.05 0 0 0-25.8 25.7l-15.8 85.4a351.86 351.86 0 0 0-99 57.4l-81.9-29.1a32 32 0 0 0-35.1 9.5l-1.8 2.1a446.02 446.02 0 0 0-79.7 137.9l-.9 2.6c-4.5 12.5-.8 26.5 9.3 35.2l66.3 56.6c-3.1 18.8-4.6 38-4.6 57.1 0 19.2 1.5 38.4 4.6 57.1L99 625.5a32.03 32.03 0 0 0-9.3 35.2l.9 2.6c18.1 50.4 44.9 96.9 79.7 137.9l1.8 2.1a32.12 32.12 0 0 0 35.1 9.5l81.9-29.1c29.8 24.5 63.1 43.9 99 57.4l15.8 85.4a32.05 32.05 0 0 0 25.8 25.7l2.7.5a449.4 449.4 0 0 0 159 0l2.7-.5a32.05 32.05 0 0 0 25.8-25.7l15.7-85a350 350 0 0 0 99.7-57.6l81.3 28.9a32 32 0 0 0 35.1-9.5l1.8-2.1c34.8-41.1 61.6-87.5 79.7-137.9l.9-2.6c4.5-12.3.8-26.3-9.3-35zM788.3 465.9c2.5 15.1 3.8 30.6 3.8 46.1s-1.3 31-3.8 46.1l-6.6 40.1 74.7 63.9a370.03 370.03 0 0 1-42.6 73.6L721 702.8l-31.4 25.8c-23.9 19.6-50.5 35-79.3 45.8l-38.1 14.3-17.9 97a377.5 377.5 0 0 1-85 0l-17.9-97.2-37.8-14.5c-28.5-10.8-55-26.2-78.7-45.7l-31.4-25.9-93.4 33.2c-17-22.9-31.2-47.6-42.6-73.6l75.5-64.5-6.5-40c-2.4-14.9-3.7-30.3-3.7-45.5 0-15.3 1.2-30.6 3.7-45.5l6.5-40-75.5-64.5c11.3-26.1 25.6-50.7 42.6-73.6l93.4 33.2 31.4-25.9c23.7-19.5 50.2-34.9 78.7-45.7l37.9-14.3 17.9-97.2c28.1-3.2 56.8-3.2 85 0l17.9 97 38.1 14.3c28.7 10.8 55.4 26.2 79.3 45.8l31.4 25.8 92.8-32.9c17 22.9 31.2 47.6 42.6 73.6L781.8 426l6.5 39.9zM512 326c-97.2 0-176 78.8-176 176s78.8 176 176 176 176-78.8 176-176-78.8-176-176-176zm79.2 255.2A111.6 111.6 0 0 1 512 614c-29.9 0-58-11.7-79.2-32.8A111.6 111.6 0 0 1 400 502c0-29.9 11.7-58 32.8-79.2C454 401.6 482.1 390 512 390c29.9 0 58 11.6 79.2 32.8A111.6 111.6 0 0 1 624 502c0 29.9-11.7 58-32.8 79.2z"}}]})(props);
};
function AiOutlineShake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M324 666a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm616.7-309.6L667.6 83.2C655.2 70.9 638.7 64 621.1 64s-34.1 6.8-46.5 19.2L83.3 574.5a65.85 65.85 0 0 0 0 93.1l273.2 273.2c12.3 12.3 28.9 19.2 46.5 19.2s34.1-6.8 46.5-19.2l491.3-491.3c25.6-25.7 25.6-67.5-.1-93.1zM403 880.1L143.9 621l477.2-477.2 259 259.2L403 880.1zM152.8 373.7a7.9 7.9 0 0 0 11.2 0L373.7 164a7.9 7.9 0 0 0 0-11.2l-38.4-38.4a7.9 7.9 0 0 0-11.2 0L114.3 323.9a7.9 7.9 0 0 0 0 11.2l38.5 38.6zm718.6 276.6a7.9 7.9 0 0 0-11.2 0L650.3 860.1a7.9 7.9 0 0 0 0 11.2l38.4 38.4a7.9 7.9 0 0 0 11.2 0L909.7 700a7.9 7.9 0 0 0 0-11.2l-38.3-38.5z"}}]})(props);
};
function AiOutlineShareAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M752 664c-28.5 0-54.8 10-75.4 26.7L469.4 540.8a160.68 160.68 0 0 0 0-57.6l207.2-149.9C697.2 350 723.5 360 752 360c66.2 0 120-53.8 120-120s-53.8-120-120-120-120 53.8-120 120c0 11.6 1.6 22.7 4.7 33.3L439.9 415.8C410.7 377.1 364.3 352 312 352c-88.4 0-160 71.6-160 160s71.6 160 160 160c52.3 0 98.7-25.1 127.9-63.8l196.8 142.5c-3.1 10.6-4.7 21.8-4.7 33.3 0 66.2 53.8 120 120 120s120-53.8 120-120-53.8-120-120-120zm0-476c28.7 0 52 23.3 52 52s-23.3 52-52 52-52-23.3-52-52 23.3-52 52-52zM312 600c-48.5 0-88-39.5-88-88s39.5-88 88-88 88 39.5 88 88-39.5 88-88 88zm440 236c-28.7 0-52-23.3-52-52s23.3-52 52-52 52 23.3 52 52-23.3 52-52 52z"}}]})(props);
};
function AiOutlineShop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M882 272.1V144c0-17.7-14.3-32-32-32H174c-17.7 0-32 14.3-32 32v128.1c-16.7 1-30 14.9-30 31.9v131.7a177 177 0 0 0 14.4 70.4c4.3 10.2 9.6 19.8 15.6 28.9v345c0 17.6 14.3 32 32 32h676c17.7 0 32-14.3 32-32V535a175 175 0 0 0 15.6-28.9c9.5-22.3 14.4-46 14.4-70.4V304c0-17-13.3-30.9-30-31.9zM214 184h596v88H214v-88zm362 656.1H448V736h128v104.1zm234 0H640V704c0-17.7-14.3-32-32-32H416c-17.7 0-32 14.3-32 32v136.1H214V597.9c2.9 1.4 5.9 2.8 9 4 22.3 9.4 46 14.1 70.4 14.1s48-4.7 70.4-14.1c13.8-5.8 26.8-13.2 38.7-22.1.2-.1.4-.1.6 0a180.4 180.4 0 0 0 38.7 22.1c22.3 9.4 46 14.1 70.4 14.1 24.4 0 48-4.7 70.4-14.1 13.8-5.8 26.8-13.2 38.7-22.1.2-.1.4-.1.6 0a180.4 180.4 0 0 0 38.7 22.1c22.3 9.4 46 14.1 70.4 14.1 24.4 0 48-4.7 70.4-14.1 3-1.3 6-2.6 9-4v242.2zm30-404.4c0 59.8-49 108.3-109.3 108.3-40.8 0-76.4-22.1-95.2-54.9-2.9-5-8.1-8.1-13.9-8.1h-.6c-5.7 0-11 3.1-13.9 8.1A109.24 109.24 0 0 1 512 544c-40.7 0-76.2-22-95-54.7-3-5.1-8.4-8.3-14.3-8.3s-11.4 3.2-14.3 8.3a109.63 109.63 0 0 1-95.1 54.7C233 544 184 495.5 184 435.7v-91.2c0-.3.2-.5.5-.5h655c.3 0 .5.2.5.5v91.2z"}}]})(props);
};
function AiOutlineShoppingCart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M922.9 701.9H327.4l29.9-60.9 496.8-.9c16.8 0 31.2-12 34.2-28.6l68.8-385.1c1.8-10.1-.9-20.5-7.5-28.4a34.99 34.99 0 0 0-26.6-12.5l-632-2.1-5.4-25.4c-3.4-16.2-18-28-34.6-28H96.5a35.3 35.3 0 1 0 0 70.6h125.9L246 312.8l58.1 281.3-74.8 122.1a34.96 34.96 0 0 0-3 36.8c6 11.9 18.1 19.4 31.5 19.4h62.8a102.43 102.43 0 0 0-20.6 61.7c0 56.6 46 102.6 102.6 102.6s102.6-46 102.6-102.6c0-22.3-7.4-44-20.6-61.7h161.1a102.43 102.43 0 0 0-20.6 61.7c0 56.6 46 102.6 102.6 102.6s102.6-46 102.6-102.6c0-22.3-7.4-44-20.6-61.7H923c19.4 0 35.3-15.8 35.3-35.3a35.42 35.42 0 0 0-35.4-35.2zM305.7 253l575.8 1.9-56.4 315.8-452.3.8L305.7 253zm96.9 612.7c-17.4 0-31.6-14.2-31.6-31.6 0-17.4 14.2-31.6 31.6-31.6s31.6 14.2 31.6 31.6a31.6 31.6 0 0 1-31.6 31.6zm325.1 0c-17.4 0-31.6-14.2-31.6-31.6 0-17.4 14.2-31.6 31.6-31.6s31.6 14.2 31.6 31.6a31.6 31.6 0 0 1-31.6 31.6z"}}]})(props);
};
function AiOutlineShopping (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 312H696v-16c0-101.6-82.4-184-184-184s-184 82.4-184 184v16H192c-17.7 0-32 14.3-32 32v536c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V344c0-17.7-14.3-32-32-32zm-432-16c0-61.9 50.1-112 112-112s112 50.1 112 112v16H400v-16zm392 544H232V384h96v88c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-88h224v88c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-88h96v456z"}}]})(props);
};
function AiOutlineShrink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M881.7 187.4l-45.1-45.1a8.03 8.03 0 0 0-11.3 0L667.8 299.9l-54.7-54.7a7.94 7.94 0 0 0-13.5 4.7L576.1 439c-.6 5.2 3.7 9.5 8.9 8.9l189.2-23.5c6.6-.8 9.3-8.8 4.7-13.5l-54.7-54.7 157.6-157.6c3-3 3-8.1-.1-11.2zM439 576.1l-189.2 23.5c-6.6.8-9.3 8.9-4.7 13.5l54.7 54.7-157.5 157.5a8.03 8.03 0 0 0 0 11.3l45.1 45.1c3.1 3.1 8.2 3.1 11.3 0l157.6-157.6 54.7 54.7a7.94 7.94 0 0 0 13.5-4.7L447.9 585a7.9 7.9 0 0 0-8.9-8.9z"}}]})(props);
};
function AiOutlineSisternode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683586275","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M672 432c-120.3 0-219.9 88.5-237.3 204H320c-15.5 0-28-12.5-28-28V244h291c14.2 35.2 48.7 60 89 60 53 0 96-43 96-96s-43-96-96-96c-40.3 0-74.8 24.8-89 60H112v72h108v364c0 55.2 44.8 100 100 100h114.7c17.4 115.5 117 204 237.3 204 132.5 0 240-107.5 240-240S804.5 432 672 432z m128 266c0 4.4-3.6 8-8 8h-86v86c0 4.4-3.6 8-8 8h-52c-4.4 0-8-3.6-8-8v-86h-86c-4.4 0-8-3.6-8-8v-52c0-4.4 3.6-8 8-8h86v-86c0-4.4 3.6-8 8-8h52c4.4 0 8 3.6 8 8v86h86c4.4 0 8 3.6 8 8v52z"}}]})(props);
};
function AiOutlineSketch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M925.6 405.1l-203-253.7a6.5 6.5 0 0 0-5-2.4H306.4c-1.9 0-3.8.9-5 2.4l-203 253.7a6.5 6.5 0 0 0 .2 8.3l408.6 459.5c1.2 1.4 3 2.1 4.8 2.1 1.8 0 3.5-.8 4.8-2.1l408.6-459.5a6.5 6.5 0 0 0 .2-8.3zM645.2 206.4l34.4 133.9-132.5-133.9h98.1zm8.2 178.5H370.6L512 242l141.4 142.9zM378.8 206.4h98.1L344.3 340.3l34.5-133.9zm-53.4 7l-44.1 171.5h-93.1l137.2-171.5zM194.6 434.9H289l125.8 247.7-220.2-247.7zM512 763.4L345.1 434.9h333.7L512 763.4zm97.1-80.8L735 434.9h94.4L609.1 682.6zm133.6-297.7l-44.1-171.5 137.2 171.5h-93.1z"}}]})(props);
};
function AiOutlineSkin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M870 126H663.8c-17.4 0-32.9 11.9-37 29.3C614.3 208.1 567 246 512 246s-102.3-37.9-114.8-90.7a37.93 37.93 0 0 0-37-29.3H154a44 44 0 0 0-44 44v252a44 44 0 0 0 44 44h75v388a44 44 0 0 0 44 44h478a44 44 0 0 0 44-44V466h75a44 44 0 0 0 44-44V170a44 44 0 0 0-44-44zm-28 268H723v432H301V394H182V198h153.3c28.2 71.2 97.5 120 176.7 120s148.5-48.8 176.7-120H842v196z"}}]})(props);
};
function AiOutlineSkype (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M883.7 578.6c4.1-22.5 6.3-45.5 6.3-68.5 0-51-10-100.5-29.7-147-19-45-46.3-85.4-81-120.1a375.79 375.79 0 0 0-120.1-80.9c-46.6-19.7-96-29.7-147-29.7-24 0-48.1 2.3-71.5 6.8A225.1 225.1 0 0 0 335.6 113c-59.7 0-115.9 23.3-158.1 65.5A222.25 222.25 0 0 0 112 336.6c0 38 9.8 75.4 28.1 108.4-3.7 21.4-5.7 43.3-5.7 65.1 0 51 10 100.5 29.7 147 19 45 46.2 85.4 80.9 120.1 34.7 34.7 75.1 61.9 120.1 80.9 46.6 19.7 96 29.7 147 29.7 22.2 0 44.4-2 66.2-5.9 33.5 18.9 71.3 29 110 29 59.7 0 115.9-23.2 158.1-65.5 42.3-42.2 65.5-98.4 65.5-158.1.1-38-9.7-75.5-28.2-108.7zm-88.1 216C766.9 823.4 729 839 688.4 839c-26.1 0-51.8-6.8-74.6-19.7l-22.5-12.7-25.5 4.5c-17.8 3.2-35.8 4.8-53.6 4.8-41.4 0-81.3-8.1-119.1-24.1-36.3-15.3-69-37.3-97.2-65.5a304.29 304.29 0 0 1-65.5-97.1c-16-37.7-24-77.6-24-119 0-17.4 1.6-35.2 4.6-52.8l4.4-25.1L203 410a151.02 151.02 0 0 1-19.1-73.4c0-40.6 15.7-78.5 44.4-107.2C257.1 200.7 295 185 335.6 185a153 153 0 0 1 71.4 17.9l22.4 11.8 24.8-4.8c18.9-3.6 38.4-5.5 58-5.5 41.4 0 81.3 8.1 119 24 36.5 15.4 69.1 37.4 97.2 65.5 28.2 28.1 50.2 60.8 65.6 97.2 16 37.7 24 77.6 24 119 0 18.4-1.7 37-5.1 55.5l-4.7 25.5 12.6 22.6c12.6 22.5 19.2 48 19.2 73.7 0 40.7-15.7 78.5-44.4 107.2zM583.4 466.2L495 446.6c-33.6-7.7-72.3-17.8-72.3-49.5s27.1-53.9 76.1-53.9c98.7 0 89.7 67.8 138.7 67.8 25.8 0 48.4-15.2 48.4-41.2 0-60.8-97.4-106.5-180-106.5-89.7 0-185.2 38.1-185.2 139.5 0 48.8 17.4 100.8 113.6 124.9l119.4 29.8c36.1 8.9 45.2 29.2 45.2 47.6 0 30.5-30.3 60.3-85.2 60.3-107.2 0-92.3-82.5-149.7-82.5-25.8 0-44.5 17.8-44.5 43.1 0 49.4 60 115.4 194.2 115.4 127.7 0 191-61.5 191-144 0-53.1-24.5-109.6-121.3-131.2z"}}]})(props);
};
function AiOutlineSlackSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM529 311.4c0-27.8 22.5-50.4 50.3-50.4 27.8 0 50.3 22.6 50.3 50.4v134.4c0 27.8-22.5 50.4-50.3 50.4-27.8 0-50.3-22.6-50.3-50.4V311.4zM361.5 580.2c0 27.8-22.5 50.4-50.3 50.4-13.3 0-26.1-5.3-35.6-14.8-9.4-9.5-14.7-22.3-14.7-35.6 0-27.8 22.5-50.4 50.3-50.4h50.3v50.4zm134 134.4c0 27.8-22.5 50.4-50.3 50.4-27.8 0-50.3-22.6-50.3-50.4V580.2c0-27.8 22.5-50.4 50.3-50.4 13.3 0 26.1 5.3 35.6 14.8s14.7 22.3 14.7 35.6v134.4zm-50.2-218.4h-134c-27.8 0-50.3-22.6-50.3-50.4 0-27.8 22.5-50.4 50.3-50.4h134c27.8 0 50.3 22.6 50.3 50.4-.1 27.9-22.6 50.4-50.3 50.4zm0-134.4c-13.3 0-26.1-5.3-35.6-14.8S395 324.8 395 311.4c0-27.8 22.5-50.4 50.3-50.4 27.8 0 50.3 22.6 50.3 50.4v50.4h-50.3zm134 403.2c-27.8 0-50.3-22.6-50.3-50.4v-50.4h50.3c27.8 0 50.3 22.6 50.3 50.4 0 27.8-22.5 50.4-50.3 50.4zm134-134.4h-134c-13.3 0-26.1-5.3-35.6-14.8-9.4-9.5-14.7-22.3-14.7-35.6 0-27.8 22.5-50.4 50.3-50.4h134c27.8 0 50.3 22.6 50.3 50.4 0 27.8-22.5 50.4-50.3 50.4zm0-134.4H663v-50.4c0-27.8 22.5-50.4 50.3-50.4s50.3 22.6 50.3 50.4c0 27.8-22.5 50.4-50.3 50.4z"}}]})(props);
};
function AiOutlineSlack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M409.4 128c-42.4 0-76.7 34.4-76.7 76.8 0 20.3 8.1 39.9 22.4 54.3 14.4 14.4 33.9 22.5 54.3 22.5h76.7v-76.8c0-42.3-34.3-76.7-76.7-76.8zm0 204.8H204.7c-42.4 0-76.7 34.4-76.7 76.8s34.4 76.8 76.7 76.8h204.6c42.4 0 76.7-34.4 76.7-76.8.1-42.4-34.3-76.8-76.6-76.8zM614 486.4c42.4 0 76.8-34.4 76.7-76.8V204.8c0-42.4-34.3-76.8-76.7-76.8-42.4 0-76.7 34.4-76.7 76.8v204.8c0 42.5 34.3 76.8 76.7 76.8zm281.4-76.8c0-42.4-34.4-76.8-76.7-76.8S742 367.2 742 409.6v76.8h76.7c42.3 0 76.7-34.4 76.7-76.8zm-76.8 128H614c-42.4 0-76.7 34.4-76.7 76.8 0 20.3 8.1 39.9 22.4 54.3 14.4 14.4 33.9 22.5 54.3 22.5h204.6c42.4 0 76.7-34.4 76.7-76.8.1-42.4-34.3-76.7-76.7-76.8zM614 742.4h-76.7v76.8c0 42.4 34.4 76.8 76.7 76.8 42.4 0 76.8-34.4 76.7-76.8.1-42.4-34.3-76.7-76.7-76.8zM409.4 537.6c-42.4 0-76.7 34.4-76.7 76.8v204.8c0 42.4 34.4 76.8 76.7 76.8 42.4 0 76.8-34.4 76.7-76.8V614.4c0-20.3-8.1-39.9-22.4-54.3-14.4-14.4-34-22.5-54.3-22.5zM128 614.4c0 20.3 8.1 39.9 22.4 54.3 14.4 14.4 33.9 22.5 54.3 22.5 42.4 0 76.8-34.4 76.7-76.8v-76.8h-76.7c-42.3 0-76.7 34.4-76.7 76.8z"}}]})(props);
};
function AiOutlineSliders (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M320 224h-66v-56c0-4.4-3.6-8-8-8h-52c-4.4 0-8 3.6-8 8v56h-66c-4.4 0-8 3.6-8 8v560c0 4.4 3.6 8 8 8h66v56c0 4.4 3.6 8 8 8h52c4.4 0 8-3.6 8-8v-56h66c4.4 0 8-3.6 8-8V232c0-4.4-3.6-8-8-8zm-60 508h-80V292h80v440zm644-436h-66v-96c0-4.4-3.6-8-8-8h-52c-4.4 0-8 3.6-8 8v96h-66c-4.4 0-8 3.6-8 8v416c0 4.4 3.6 8 8 8h66v96c0 4.4 3.6 8 8 8h52c4.4 0 8-3.6 8-8v-96h66c4.4 0 8-3.6 8-8V304c0-4.4-3.6-8-8-8zm-60 364h-80V364h80v296zM612 404h-66V232c0-4.4-3.6-8-8-8h-52c-4.4 0-8 3.6-8 8v172h-66c-4.4 0-8 3.6-8 8v200c0 4.4 3.6 8 8 8h66v172c0 4.4 3.6 8 8 8h52c4.4 0 8-3.6 8-8V620h66c4.4 0 8-3.6 8-8V412c0-4.4-3.6-8-8-8zm-60 145a3 3 0 0 1-3 3h-74a3 3 0 0 1-3-3v-74a3 3 0 0 1 3-3h74a3 3 0 0 1 3 3v74z"}}]})(props);
};
function AiOutlineSmallDash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M112 476h72v72h-72zm182 0h72v72h-72zm364 0h72v72h-72zm182 0h72v72h-72zm-364 0h72v72h-72z"}}]})(props);
};
function AiOutlineSmile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M288 421a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm352 0a48 48 0 1 0 96 0 48 48 0 1 0-96 0zM512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm263 711c-34.2 34.2-74 61-118.3 79.8C611 874.2 562.3 884 512 884c-50.3 0-99-9.8-144.8-29.2A370.4 370.4 0 0 1 248.9 775c-34.2-34.2-61-74-79.8-118.3C149.8 611 140 562.3 140 512s9.8-99 29.2-144.8A370.4 370.4 0 0 1 249 248.9c34.2-34.2 74-61 118.3-79.8C413 149.8 461.7 140 512 140c50.3 0 99 9.8 144.8 29.2A370.4 370.4 0 0 1 775.1 249c34.2 34.2 61 74 79.8 118.3C874.2 413 884 461.7 884 512s-9.8 99-29.2 144.8A368.89 368.89 0 0 1 775 775zM664 533h-48.1c-4.2 0-7.8 3.2-8.1 7.4C604 589.9 562.5 629 512 629s-92.1-39.1-95.8-88.6c-.3-4.2-3.9-7.4-8.1-7.4H360a8 8 0 0 0-8 8.4c4.4 84.3 74.5 151.6 160 151.6s155.6-67.3 160-151.6a8 8 0 0 0-8-8.4z"}}]})(props);
};
function AiOutlineSnippets (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 112H724V72c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v40H500V72c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v40H320c-17.7 0-32 14.3-32 32v120h-96c-17.7 0-32 14.3-32 32v632c0 17.7 14.3 32 32 32h512c17.7 0 32-14.3 32-32v-96h96c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM664 888H232V336h218v174c0 22.1 17.9 40 40 40h174v338zm0-402H514V336h.2L664 485.8v.2zm128 274h-56V456L544 264H360v-80h68v32c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-32h152v32c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-32h68v576z"}}]})(props);
};
function AiOutlineSolution (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M688 264c0-4.4-3.6-8-8-8H296c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h384c4.4 0 8-3.6 8-8v-48zm-8 136H296c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h384c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zM480 544H296c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zm-48 308H208V148h560v344c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V108c0-17.7-14.3-32-32-32H168c-17.7 0-32 14.3-32 32v784c0 17.7 14.3 32 32 32h264c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm356.8-74.4c29-26.3 47.2-64.3 47.2-106.6 0-79.5-64.5-144-144-144s-144 64.5-144 144c0 42.3 18.2 80.3 47.2 106.6-57 32.5-96.2 92.7-99.2 162.1-.2 4.5 3.5 8.3 8 8.3h48.1c4.2 0 7.7-3.3 8-7.6C564 871.2 621.7 816 692 816s128 55.2 131.9 124.4c.2 4.2 3.7 7.6 8 7.6H880c4.6 0 8.2-3.8 8-8.3-2.9-69.5-42.2-129.6-99.2-162.1zM692 591c44.2 0 80 35.8 80 80s-35.8 80-80 80-80-35.8-80-80 35.8-80 80-80z"}}]})(props);
};
function AiOutlineSortAscending (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M839.6 433.8L749 150.5a9.24 9.24 0 0 0-8.9-6.5h-77.4c-4.1 0-7.6 2.6-8.9 6.5l-91.3 283.3c-.3.9-.5 1.9-.5 2.9 0 5.1 4.2 9.3 9.3 9.3h56.4c4.2 0 7.8-2.8 9-6.8l17.5-61.6h89l17.3 61.5c1.1 4 4.8 6.8 9 6.8h61.2c1 0 1.9-.1 2.8-.4 2.4-.8 4.3-2.4 5.5-4.6 1.1-2.2 1.3-4.7.6-7.1zM663.3 325.5l32.8-116.9h6.3l32.1 116.9h-71.2zm143.5 492.9H677.2v-.4l132.6-188.9c1.1-1.6 1.7-3.4 1.7-5.4v-36.4c0-5.1-4.2-9.3-9.3-9.3h-204c-5.1 0-9.3 4.2-9.3 9.3v43c0 5.1 4.2 9.3 9.3 9.3h122.6v.4L587.7 828.9a9.35 9.35 0 0 0-1.7 5.4v36.4c0 5.1 4.2 9.3 9.3 9.3h211.4c5.1 0 9.3-4.2 9.3-9.3v-43a9.2 9.2 0 0 0-9.2-9.3zM416 702h-76V172c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v530h-76c-6.7 0-10.5 7.8-6.3 13l112 141.9a8 8 0 0 0 12.6 0l112-141.9c4.1-5.2.4-13-6.3-13z"}}]})(props);
};
function AiOutlineSortDescending (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M839.6 433.8L749 150.5a9.24 9.24 0 0 0-8.9-6.5h-77.4c-4.1 0-7.6 2.6-8.9 6.5l-91.3 283.3c-.3.9-.5 1.9-.5 2.9 0 5.1 4.2 9.3 9.3 9.3h56.4c4.2 0 7.8-2.8 9-6.8l17.5-61.6h89l17.3 61.5c1.1 4 4.8 6.8 9 6.8h61.2c1 0 1.9-.1 2.8-.4 2.4-.8 4.3-2.4 5.5-4.6 1.1-2.2 1.3-4.7.6-7.1zM663.3 325.5l32.8-116.9h6.3l32.1 116.9h-71.2zm143.5 492.9H677.2v-.4l132.6-188.9c1.1-1.6 1.7-3.4 1.7-5.4v-36.4c0-5.1-4.2-9.3-9.3-9.3h-204c-5.1 0-9.3 4.2-9.3 9.3v43c0 5.1 4.2 9.3 9.3 9.3h122.6v.4L587.7 828.9a9.35 9.35 0 0 0-1.7 5.4v36.4c0 5.1 4.2 9.3 9.3 9.3h211.4c5.1 0 9.3-4.2 9.3-9.3v-43a9.2 9.2 0 0 0-9.2-9.3zM310.3 167.1a8 8 0 0 0-12.6 0L185.7 309c-4.2 5.3-.4 13 6.3 13h76v530c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V322h76c6.7 0 10.5-7.8 6.3-13l-112-141.9z"}}]})(props);
};
function AiOutlineSound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M625.9 115c-5.9 0-11.9 1.6-17.4 5.3L254 352H90c-8.8 0-16 7.2-16 16v288c0 8.8 7.2 16 16 16h164l354.5 231.7c5.5 3.6 11.6 5.3 17.4 5.3 16.7 0 32.1-13.3 32.1-32.1V147.1c0-18.8-15.4-32.1-32.1-32.1zM586 803L293.4 611.7l-18-11.7H146V424h129.4l17.9-11.7L586 221v582zm348-327H806c-8.8 0-16 7.2-16 16v40c0 8.8 7.2 16 16 16h128c8.8 0 16-7.2 16-16v-40c0-8.8-7.2-16-16-16zm-41.9 261.8l-110.3-63.7a15.9 15.9 0 0 0-21.7 5.9l-19.9 34.5c-4.4 7.6-1.8 17.4 5.8 21.8L856.3 800a15.9 15.9 0 0 0 21.7-5.9l19.9-34.5c4.4-7.6 1.7-17.4-5.8-21.8zM760 344a15.9 15.9 0 0 0 21.7 5.9L892 286.2c7.6-4.4 10.2-14.2 5.8-21.8L878 230a15.9 15.9 0 0 0-21.7-5.9L746 287.8a15.99 15.99 0 0 0-5.8 21.8L760 344z"}}]})(props);
};
function AiOutlineSplitCells (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683545621","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M938.2 508.4L787.3 389c-3-2.4-7.3-0.2-7.3 3.6V478H636V184h204v128c0 2.2 1.8 4 4 4h60c2.2 0 4-1.8 4-4V144c0-15.5-12.5-28-28-28H596c-15.5 0-28 12.5-28 28v736c0 15.5 12.5 28 28 28h284c15.5 0 28-12.5 28-28V712c0-2.2-1.8-4-4-4h-60c-2.2 0-4 1.8-4 4v128H636V546h144v85.4c0 3.8 4.4 6 7.3 3.6l150.9-119.4c2.4-1.8 2.4-5.4 0-7.2zM428 116H144c-15.5 0-28 12.5-28 28v168c0 2.2 1.8 4 4 4h60c2.2 0 4-1.8 4-4V184h204v294H244v-85.4c0-3.8-4.3-6-7.3-3.6l-151 119.4c-2.3 1.8-2.3 5.3 0 7.1l151 119.5c2.9 2.3 7.3 0.2 7.3-3.6V546h144v294H184V712c0-2.2-1.8-4-4-4h-60c-2.2 0-4 1.8-4 4v168c0 15.5 12.5 28 28 28h284c15.5 0 28-12.5 28-28V144c0-15.5-12.5-28-28-28z"}}]})(props);
};
function AiOutlineStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M908.1 353.1l-253.9-36.9L540.7 86.1c-3.1-6.3-8.2-11.4-14.5-14.5-15.8-7.8-35-1.3-42.9 14.5L369.8 316.2l-253.9 36.9c-7 1-13.4 4.3-18.3 9.3a32.05 32.05 0 0 0 .6 45.3l183.7 179.1-43.4 252.9a31.95 31.95 0 0 0 46.4 33.7L512 754l227.1 119.4c6.2 3.3 13.4 4.4 20.3 3.2 17.4-3 29.1-19.5 26.1-36.9l-43.4-252.9 183.7-179.1c5-4.9 8.3-11.3 9.3-18.3 2.7-17.5-9.5-33.7-27-36.3zM664.8 561.6l36.1 210.3L512 672.7 323.1 772l36.1-210.3-152.8-149L417.6 382 512 190.7 606.4 382l211.2 30.7-152.8 148.9z"}}]})(props);
};
function AiOutlineStepBackward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M347.6 528.95l383.2 301.02c14.25 11.2 35.2 1.1 35.2-16.95V210.97c0-18.05-20.95-28.14-35.2-16.94L347.6 495.05a21.53 21.53 0 0 0 0 33.9M330 864h-64a8 8 0 0 1-8-8V168a8 8 0 0 1 8-8h64a8 8 0 0 1 8 8v688a8 8 0 0 1-8 8"}}]})(props);
};
function AiOutlineStepForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M676.4 528.95L293.2 829.97c-14.25 11.2-35.2 1.1-35.2-16.95V210.97c0-18.05 20.95-28.14 35.2-16.94l383.2 301.02a21.53 21.53 0 0 1 0 33.9M694 864h64a8 8 0 0 0 8-8V168a8 8 0 0 0-8-8h-64a8 8 0 0 0-8 8v688a8 8 0 0 0 8 8"}}]})(props);
};
function AiOutlineStock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M904 747H120c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM165.7 621.8l39.7 39.5c3.1 3.1 8.2 3.1 11.3 0l234.7-233.9 97.6 97.3a32.11 32.11 0 0 0 45.2 0l264.2-263.2c3.1-3.1 3.1-8.2 0-11.3l-39.7-39.6a8.03 8.03 0 0 0-11.3 0l-235.7 235-97.7-97.3a32.11 32.11 0 0 0-45.2 0L165.7 610.5a7.94 7.94 0 0 0 0 11.3z"}}]})(props);
};
function AiOutlineStop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372 0-89 31.3-170.8 83.5-234.8l523.3 523.3C682.8 852.7 601 884 512 884zm288.5-137.2L277.2 223.5C341.2 171.3 423 140 512 140c205.4 0 372 166.6 372 372 0 89-31.3 170.8-83.5 234.8z"}}]})(props);
};
function AiOutlineStrikethrough (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M952 474H569.9c-10-2-20.5-4-31.6-6-15.9-2.9-22.2-4.1-30.8-5.8-51.3-10-82.2-20-106.8-34.2-35.1-20.5-52.2-48.3-52.2-85.1 0-37 15.2-67.7 44-89 28.4-21 68.8-32.1 116.8-32.1 54.8 0 97.1 14.4 125.8 42.8 14.6 14.4 25.3 32.1 31.8 52.6 1.3 4.1 2.8 10 4.3 17.8.9 4.8 5.2 8.2 9.9 8.2h72.8c5.6 0 10.1-4.6 10.1-10.1v-1c-.7-6.8-1.3-12.1-2-16-7.3-43.5-28-81.7-59.7-110.3-44.4-40.5-109.7-61.8-188.7-61.8-72.3 0-137.4 18.1-183.3 50.9-25.6 18.4-45.4 41.2-58.6 67.7-13.5 27.1-20.3 58.4-20.3 92.9 0 29.5 5.7 54.5 17.3 76.5 8.3 15.7 19.6 29.5 34.1 42H72c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h433.2c2.1.4 3.9.8 5.9 1.2 30.9 6.2 49.5 10.4 66.6 15.2 23 6.5 40.6 13.3 55.2 21.5 35.8 20.2 53.3 49.2 53.3 89 0 35.3-15.5 66.8-43.6 88.8-30.5 23.9-75.6 36.4-130.5 36.4-43.7 0-80.7-8.5-110.2-25-29.1-16.3-49.1-39.8-59.7-69.5-.8-2.2-1.7-5.2-2.7-9-1.2-4.4-5.3-7.5-9.7-7.5h-79.7c-5.6 0-10.1 4.6-10.1 10.1v1c.2 2.3.4 4.2.6 5.7 6.5 48.8 30.3 88.8 70.7 118.8 47.1 34.8 113.4 53.2 191.8 53.2 84.2 0 154.8-19.8 204.2-57.3 25-18.9 44.2-42.2 57.1-69 13-27.1 19.7-57.9 19.7-91.5 0-31.8-5.8-58.4-17.8-81.4-5.8-11.2-13.1-21.5-21.8-30.8H952c4.4 0 8-3.6 8-8v-60a8 8 0 0 0-8-7.9z"}}]})(props);
};
function AiOutlineSubnode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683432252","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M688 240c-138 0-252 102.8-269.6 236H249c-14.2-35.2-48.7-60-89-60-53 0-96 43-96 96s43 96 96 96c40.3 0 74.8-24.8 89-60h169.3C436 681.2 550 784 688 784c150.2 0 272-121.8 272-272S838.2 240 688 240z m128 298c0 4.4-3.6 8-8 8h-86v86c0 4.4-3.6 8-8 8h-52c-4.4 0-8-3.6-8-8v-86h-86c-4.4 0-8-3.6-8-8v-52c0-4.4 3.6-8 8-8h86v-86c0-4.4 3.6-8 8-8h52c4.4 0 8 3.6 8 8v86h86c4.4 0 8 3.6 8 8v52z"}}]})(props);
};
function AiOutlineSwapLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M872 572H266.8l144.3-183c4.1-5.2.4-13-6.3-13H340c-9.8 0-19.1 4.5-25.1 12.2l-164 208c-16.5 21-1.6 51.8 25.1 51.8h696c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineSwapRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M873.1 596.2l-164-208A32 32 0 0 0 684 376h-64.8c-6.7 0-10.4 7.7-6.3 13l144.3 183H152c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h695.9c26.8 0 41.7-30.8 25.2-51.8z"}}]})(props);
};
function AiOutlineSwap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M847.9 592H152c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h605.2L612.9 851c-4.1 5.2-.4 13 6.3 13h72.5c4.9 0 9.5-2.2 12.6-6.1l168.8-214.1c16.5-21 1.6-51.8-25.2-51.8zM872 356H266.8l144.3-183c4.1-5.2.4-13-6.3-13h-72.5c-4.9 0-9.5 2.2-12.6 6.1L150.9 380.2c-16.5 21-1.6 51.8 25.1 51.8h696c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineSwitcher (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M752 240H144c-17.7 0-32 14.3-32 32v608c0 17.7 14.3 32 32 32h608c17.7 0 32-14.3 32-32V272c0-17.7-14.3-32-32-32zm-40 600H184V312h528v528zm168-728H264c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h576v576c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V144c0-17.7-14.3-32-32-32zM300 550h296v64H300z"}}]})(props);
};
function AiOutlineSync (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M168 504.2c1-43.7 10-86.1 26.9-126 17.3-41 42.1-77.7 73.7-109.4S337 212.3 378 195c42.4-17.9 87.4-27 133.9-27s91.5 9.1 133.8 27A341.5 341.5 0 0 1 755 268.8c9.9 9.9 19.2 20.4 27.8 31.4l-60.2 47a8 8 0 0 0 3 14.1l175.7 43c5 1.2 9.9-2.6 9.9-7.7l.8-180.9c0-6.7-7.7-10.5-12.9-6.3l-56.4 44.1C765.8 155.1 646.2 92 511.8 92 282.7 92 96.3 275.6 92 503.8a8 8 0 0 0 8 8.2h60c4.4 0 7.9-3.5 8-7.8zm756 7.8h-60c-4.4 0-7.9 3.5-8 7.8-1 43.7-10 86.1-26.9 126-17.3 41-42.1 77.8-73.7 109.4A342.45 342.45 0 0 1 512.1 856a342.24 342.24 0 0 1-243.2-100.8c-9.9-9.9-19.2-20.4-27.8-31.4l60.2-47a8 8 0 0 0-3-14.1l-175.7-43c-5-1.2-9.9 2.6-9.9 7.7l-.7 181c0 6.7 7.7 10.5 12.9 6.3l56.4-44.1C258.2 868.9 377.8 932 512.2 932c229.2 0 415.5-183.7 419.8-411.8a8 8 0 0 0-8-8.2z"}}]})(props);
};
function AiOutlineTable (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 160H96c-17.7 0-32 14.3-32 32v640c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V192c0-17.7-14.3-32-32-32zm-40 208H676V232h212v136zm0 224H676V432h212v160zM412 432h200v160H412V432zm200-64H412V232h200v136zm-476 64h212v160H136V432zm0-200h212v136H136V232zm0 424h212v136H136V656zm276 0h200v136H412V656zm476 136H676V656h212v136z"}}]})(props);
};
function AiOutlineTablet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M800 64H224c-35.3 0-64 28.7-64 64v768c0 35.3 28.7 64 64 64h576c35.3 0 64-28.7 64-64V128c0-35.3-28.7-64-64-64zm-8 824H232V136h560v752zM472 784a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}}]})(props);
};
function AiOutlineTag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M938 458.8l-29.6-312.6c-1.5-16.2-14.4-29-30.6-30.6L565.2 86h-.4c-3.2 0-5.7 1-7.6 2.9L88.9 557.2a9.96 9.96 0 0 0 0 14.1l363.8 363.8c1.9 1.9 4.4 2.9 7.1 2.9s5.2-1 7.1-2.9l468.3-468.3c2-2.1 3-5 2.8-8zM459.7 834.7L189.3 564.3 589 164.6 836 188l23.4 247-399.7 399.7zM680 256c-48.5 0-88 39.5-88 88s39.5 88 88 88 88-39.5 88-88-39.5-88-88-88zm0 120c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}}]})(props);
};
function AiOutlineTags (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M483.2 790.3L861.4 412c1.7-1.7 2.5-4 2.3-6.3l-25.5-301.4c-.7-7.8-6.8-13.9-14.6-14.6L522.2 64.3c-2.3-.2-4.7.6-6.3 2.3L137.7 444.8a8.03 8.03 0 0 0 0 11.3l334.2 334.2c3.1 3.2 8.2 3.2 11.3 0zm62.6-651.7l224.6 19 19 224.6L477.5 694 233.9 450.5l311.9-311.9zm60.16 186.23a48 48 0 1 0 67.88-67.89 48 48 0 1 0-67.88 67.89zM889.7 539.8l-39.6-39.5a8.03 8.03 0 0 0-11.3 0l-362 361.3-237.6-237a8.03 8.03 0 0 0-11.3 0l-39.6 39.5a8.03 8.03 0 0 0 0 11.3l243.2 242.8 39.6 39.5c3.1 3.1 8.2 3.1 11.3 0l407.3-406.6c3.1-3.1 3.1-8.2 0-11.3z"}}]})(props);
};
function AiOutlineTaobaoCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zM315.7 291.5c27.3 0 49.5 22.1 49.5 49.4s-22.1 49.4-49.5 49.4a49.4 49.4 0 1 1 0-98.8zM366.9 578c-13.6 42.3-10.2 26.7-64.4 144.5l-78.5-49s87.7-79.8 105.6-116.2c19.2-38.4-21.1-58.9-21.1-58.9l-60.2-37.5 32.7-50.2c45.4 33.7 48.7 36.6 79.2 67.2 23.8 23.9 20.7 56.8 6.7 100.1zm427.2 55c-15.3 143.8-202.4 90.3-202.4 90.3l10.2-41.1 43.3 9.3c80 5 72.3-64.9 72.3-64.9V423c.6-77.3-72.6-85.4-204.2-38.3l30.6 8.3c-2.5 9-12.5 23.2-25.2 38.6h176v35.6h-99.1v44.5h98.7v35.7h-98.7V622c14.9-4.8 28.6-11.5 40.5-20.5l-8.7-32.5 46.5-14.4 38.8 94.9-57.3 23.9-10.2-37.8c-25.6 19.5-78.8 48-171.8 45.4-99.2 2.6-73.7-112-73.7-112l2.5-1.3H472c-.5 14.7-6.6 38.7 1.7 51.8 6.8 10.8 24.2 12.6 35.3 13.1 1.3.1 2.6.1 3.9.1v-85.3h-101v-35.7h101v-44.5H487c-22.7 24.1-43.5 44.1-43.5 44.1l-30.6-26.7c21.7-22.9 43.3-59.1 56.8-83.2-10.9 4.4-22 9.2-33.6 14.2-11.2 14.3-24.2 29-38.7 43.5.5.8-50-28.4-50-28.4 52.2-44.4 81.4-139.9 81.4-139.9l72.5 20.4s-5.9 14-18.4 35.6c290.3-82.3 307.4 50.5 307.4 50.5s19.1 91.8 3.8 235.7z"}}]})(props);
};
function AiOutlineTaobao (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M168.5 273.7a68.7 68.7 0 1 0 137.4 0 68.7 68.7 0 1 0-137.4 0zm730 79.2s-23.7-184.4-426.9-70.1c17.3-30 25.6-49.5 25.6-49.5L396.4 205s-40.6 132.6-113 194.4c0 0 70.1 40.6 69.4 39.4 20.1-20.1 38.2-40.6 53.7-60.4 16.1-7 31.5-13.6 46.7-19.8-18.6 33.5-48.7 83.8-78.8 115.6l42.4 37s28.8-27.7 60.4-61.2h36v61.8H372.9v49.5h140.3v118.5c-1.7 0-3.6 0-5.4-.2-15.4-.7-39.5-3.3-49-18.2-11.5-18.1-3-51.5-2.4-71.9h-97l-3.4 1.8s-35.5 159.1 102.3 155.5c129.1 3.6 203-36 238.6-63.1l14.2 52.6 79.6-33.2-53.9-131.9-64.6 20.1 12.1 45.2c-16.6 12.4-35.6 21.7-56.2 28.4V561.3h137.1v-49.5H628.1V450h137.6v-49.5H521.3c17.6-21.4 31.5-41.1 35-53.6l-42.5-11.6c182.8-65.5 284.5-54.2 283.6 53.2v282.8s10.8 97.1-100.4 90.1l-60.2-12.9-14.2 57.1S882.5 880 903.7 680.2c21.3-200-5.2-327.3-5.2-327.3zm-707.4 18.3l-45.4 69.7 83.6 52.1s56 28.5 29.4 81.9C233.8 625.5 112 736.3 112 736.3l109 68.1c75.4-163.7 70.5-142 89.5-200.7 19.5-60.1 23.7-105.9-9.4-139.1-42.4-42.6-47-46.6-110-93.4z"}}]})(props);
};
function AiOutlineTeam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M824.2 699.9a301.55 301.55 0 0 0-86.4-60.4C783.1 602.8 812 546.8 812 484c0-110.8-92.4-201.7-203.2-200-109.1 1.7-197 90.6-197 200 0 62.8 29 118.8 74.2 155.5a300.95 300.95 0 0 0-86.4 60.4C345 754.6 314 826.8 312 903.8a8 8 0 0 0 8 8.2h56c4.3 0 7.9-3.4 8-7.7 1.9-58 25.4-112.3 66.7-153.5A226.62 226.62 0 0 1 612 684c60.9 0 118.2 23.7 161.3 66.8C814.5 792 838 846.3 840 904.3c.1 4.3 3.7 7.7 8 7.7h56a8 8 0 0 0 8-8.2c-2-77-33-149.2-87.8-203.9zM612 612c-34.2 0-66.4-13.3-90.5-37.5a126.86 126.86 0 0 1-37.5-91.8c.3-32.8 13.4-64.5 36.3-88 24-24.6 56.1-38.3 90.4-38.7 33.9-.3 66.8 12.9 91 36.6 24.8 24.3 38.4 56.8 38.4 91.4 0 34.2-13.3 66.3-37.5 90.5A127.3 127.3 0 0 1 612 612zM361.5 510.4c-.9-8.7-1.4-17.5-1.4-26.4 0-15.9 1.5-31.4 4.3-46.5.7-3.6-1.2-7.3-4.5-8.8-13.6-6.1-26.1-14.5-36.9-25.1a127.54 127.54 0 0 1-38.7-95.4c.9-32.1 13.8-62.6 36.3-85.6 24.7-25.3 57.9-39.1 93.2-38.7 31.9.3 62.7 12.6 86 34.4 7.9 7.4 14.7 15.6 20.4 24.4 2 3.1 5.9 4.4 9.3 3.2 17.6-6.1 36.2-10.4 55.3-12.4 5.6-.6 8.8-6.6 6.3-11.6-32.5-64.3-98.9-108.7-175.7-109.9-110.9-1.7-203.3 89.2-203.3 199.9 0 62.8 28.9 118.8 74.2 155.5-31.8 14.7-61.1 35-86.5 60.4-54.8 54.7-85.8 126.9-87.8 204a8 8 0 0 0 8 8.2h56.1c4.3 0 7.9-3.4 8-7.7 1.9-58 25.4-112.3 66.7-153.5 29.4-29.4 65.4-49.8 104.7-59.7 3.9-1 6.5-4.7 6-8.7z"}}]})(props);
};
function AiOutlineThunderbolt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M848 359.3H627.7L825.8 109c4.1-5.3.4-13-6.3-13H436c-2.8 0-5.5 1.5-6.9 4L170 547.5c-3.1 5.3.7 12 6.9 12h174.4l-89.4 357.6c-1.9 7.8 7.5 13.3 13.3 7.7L853.5 373c5.2-4.9 1.7-13.7-5.5-13.7zM378.2 732.5l60.3-241H281.1l189.6-327.4h224.6L487 427.4h211L378.2 732.5z"}}]})(props);
};
function AiOutlineToTop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M885 780H165c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h720c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8zM400 325.7h73.9V664c0 4.4 3.6 8 8 8h60c4.4 0 8-3.6 8-8V325.7H624c6.7 0 10.4-7.7 6.3-12.9L518.3 171a8 8 0 0 0-12.6 0l-112 141.7c-4.1 5.3-.4 13 6.3 13z"}}]})(props);
};
function AiOutlineTool (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M876.6 239.5c-.5-.9-1.2-1.8-2-2.5-5-5-13.1-5-18.1 0L684.2 409.3l-67.9-67.9L788.7 169c.8-.8 1.4-1.6 2-2.5 3.6-6.1 1.6-13.9-4.5-17.5-98.2-58-226.8-44.7-311.3 39.7-67 67-89.2 162-66.5 247.4l-293 293c-3 3-2.8 7.9.3 11l169.7 169.7c3.1 3.1 8.1 3.3 11 .3l292.9-292.9c85.5 22.8 180.5.7 247.6-66.4 84.4-84.5 97.7-213.1 39.7-311.3zM786 499.8c-58.1 58.1-145.3 69.3-214.6 33.6l-8.8 8.8-.1-.1-274 274.1-79.2-79.2 230.1-230.1s0 .1.1.1l52.8-52.8c-35.7-69.3-24.5-156.5 33.6-214.6a184.2 184.2 0 0 1 144-53.5L537 318.9a32.05 32.05 0 0 0 0 45.3l124.5 124.5a32.05 32.05 0 0 0 45.3 0l132.8-132.8c3.7 51.8-14.4 104.8-53.6 143.9z"}}]})(props);
};
function AiOutlineTrademarkCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372zm87.5-334.7c34.8-12.8 78.4-49 78.4-119.2 0-71.2-45.5-131.1-144.2-131.1H378c-4.4 0-8 3.6-8 8v410c0 4.4 3.6 8 8 8h54.5c4.4 0 8-3.6 8-8V561.2h88.7l74.6 159.2c1.3 2.8 4.1 4.6 7.2 4.6h62a7.9 7.9 0 0 0 7.1-11.5l-80.6-164.2zM522 505h-81.5V357h83.4c48 0 80.9 25.3 80.9 75.5 0 46.9-29.8 72.5-82.8 72.5z"}}]})(props);
};
function AiOutlineTrademark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372zm87.5-334.7c34.8-12.8 78.4-49 78.4-119.2 0-71.2-45.5-131.1-144.2-131.1H378c-4.4 0-8 3.6-8 8v410c0 4.4 3.6 8 8 8h54.5c4.4 0 8-3.6 8-8V561.2h88.7l74.6 159.2c1.3 2.8 4.1 4.6 7.2 4.6h62a7.9 7.9 0 0 0 7.1-11.5l-80.6-164.2zM522 505h-81.5V357h83.4c48 0 80.9 25.3 80.9 75.5 0 46.9-29.8 72.5-82.8 72.5z"}}]})(props);
};
function AiOutlineTransaction (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M668.6 320c0-4.4-3.6-8-8-8h-54.5c-3 0-5.8 1.7-7.1 4.4l-84.7 168.8H511l-84.7-168.8a8 8 0 0 0-7.1-4.4h-55.7c-1.3 0-2.6.3-3.8 1-3.9 2.1-5.3 7-3.2 10.8l103.9 191.6h-57c-4.4 0-8 3.6-8 8v27.1c0 4.4 3.6 8 8 8h76v39h-76c-4.4 0-8 3.6-8 8v27.1c0 4.4 3.6 8 8 8h76V704c0 4.4 3.6 8 8 8h49.9c4.4 0 8-3.6 8-8v-63.5h76.3c4.4 0 8-3.6 8-8v-27.1c0-4.4-3.6-8-8-8h-76.3v-39h76.3c4.4 0 8-3.6 8-8v-27.1c0-4.4-3.6-8-8-8H564l103.7-191.6c.5-1.1.9-2.4.9-3.7zM157.9 504.2a352.7 352.7 0 0 1 103.5-242.4c32.5-32.5 70.3-58.1 112.4-75.9 43.6-18.4 89.9-27.8 137.6-27.8 47.8 0 94.1 9.3 137.6 27.8 42.1 17.8 79.9 43.4 112.4 75.9 10 10 19.3 20.5 27.9 31.4l-50 39.1a8 8 0 0 0 3 14.1l156.8 38.3c5 1.2 9.9-2.6 9.9-7.7l.8-161.5c0-6.7-7.7-10.5-12.9-6.3l-47.8 37.4C770.7 146.3 648.6 82 511.5 82 277 82 86.3 270.1 82 503.8a8 8 0 0 0 8 8.2h60c4.3 0 7.8-3.5 7.9-7.8zM934 512h-60c-4.3 0-7.9 3.5-8 7.8a352.7 352.7 0 0 1-103.5 242.4 352.57 352.57 0 0 1-112.4 75.9c-43.6 18.4-89.9 27.8-137.6 27.8s-94.1-9.3-137.6-27.8a352.57 352.57 0 0 1-112.4-75.9c-10-10-19.3-20.5-27.9-31.4l49.9-39.1a8 8 0 0 0-3-14.1l-156.8-38.3c-5-1.2-9.9 2.6-9.9 7.7l-.8 161.7c0 6.7 7.7 10.5 12.9 6.3l47.8-37.4C253.3 877.7 375.4 942 512.5 942 747 942 937.7 753.9 942 520.2a8 8 0 0 0-8-8.2z"}}]})(props);
};
function AiOutlineTranslation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683569194","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M140 188h584v164h76V144c0-17.7-14.3-32-32-32H96c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h544v-76H140V188z"}},{"tag":"path","attr":{"d":"M414.3 256h-60.6c-3.4 0-6.4 2.2-7.6 5.4L219 629.4c-0.3 0.8-0.4 1.7-0.4 2.6 0 4.4 3.6 8 8 8h55.1c3.4 0 6.4-2.2 7.6-5.4L322 540h196.2L422 261.4c-1.3-3.2-4.3-5.4-7.7-5.4z m12.4 228h-85.5L384 360.2 426.7 484zM936 528H800v-93c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v93H592c-13.3 0-24 10.7-24 24v176c0 13.3 10.7 24 24 24h136v152c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V752h136c13.3 0 24-10.7 24-24V552c0-13.3-10.7-24-24-24zM728 680h-88v-80h88v80z m160 0h-88v-80h88v80z"}}]})(props);
};
function AiOutlineTrophy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M868 160h-92v-40c0-4.4-3.6-8-8-8H256c-4.4 0-8 3.6-8 8v40h-92a44 44 0 0 0-44 44v148c0 81.7 60 149.6 138.2 162C265.7 630.2 359 721.7 476 734.5v105.2H280c-17.7 0-32 14.3-32 32V904c0 4.4 3.6 8 8 8h512c4.4 0 8-3.6 8-8v-32.3c0-17.7-14.3-32-32-32H548V734.5C665 721.7 758.3 630.2 773.8 514 852 501.6 912 433.7 912 352V204a44 44 0 0 0-44-44zM184 352V232h64v207.6a91.99 91.99 0 0 1-64-87.6zm520 128c0 49.1-19.1 95.4-53.9 130.1-34.8 34.8-81 53.9-130.1 53.9h-16c-49.1 0-95.4-19.1-130.1-53.9-34.8-34.8-53.9-81-53.9-130.1V184h384v296zm136-128c0 41-26.9 75.8-64 87.6V232h64v120z"}}]})(props);
};
function AiOutlineTwitter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 254.3c-30.6 13.2-63.9 22.7-98.2 26.4a170.1 170.1 0 0 0 75-94 336.64 336.64 0 0 1-108.2 41.2A170.1 170.1 0 0 0 672 174c-94.5 0-170.5 76.6-170.5 170.6 0 13.2 1.6 26.4 4.2 39.1-141.5-7.4-267.7-75-351.6-178.5a169.32 169.32 0 0 0-23.2 86.1c0 59.2 30.1 111.4 76 142.1a172 172 0 0 1-77.1-21.7v2.1c0 82.9 58.6 151.6 136.7 167.4a180.6 180.6 0 0 1-44.9 5.8c-11.1 0-21.6-1.1-32.2-2.6C211 652 273.9 701.1 348.8 702.7c-58.6 45.9-132 72.9-211.7 72.9-14.3 0-27.5-.5-41.2-2.1C171.5 822 261.2 850 357.8 850 671.4 850 843 590.2 843 364.7c0-7.4 0-14.8-.5-22.2 33.2-24.3 62.3-54.4 85.5-88.2z"}}]})(props);
};
function AiOutlineUnderline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M824 804H200c-4.4 0-8 3.4-8 7.6v60.8c0 4.2 3.6 7.6 8 7.6h624c4.4 0 8-3.4 8-7.6v-60.8c0-4.2-3.6-7.6-8-7.6zm-312-76c69.4 0 134.6-27.1 183.8-76.2C745 602.7 772 537.4 772 468V156c0-6.6-5.4-12-12-12h-60c-6.6 0-12 5.4-12 12v312c0 97-79 176-176 176s-176-79-176-176V156c0-6.6-5.4-12-12-12h-60c-6.6 0-12 5.4-12 12v312c0 69.4 27.1 134.6 76.2 183.8C377.3 701 442.6 728 512 728z"}}]})(props);
};
function AiOutlineUndo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M511.4 124C290.5 124.3 112 303 112 523.9c0 128 60.2 242 153.8 315.2l-37.5 48c-4.1 5.3-.3 13 6.3 12.9l167-.8c5.2 0 9-4.9 7.7-9.9L369.8 727a8 8 0 0 0-14.1-3L315 776.1c-10.2-8-20-16.7-29.3-26a318.64 318.64 0 0 1-68.6-101.7C200.4 609 192 567.1 192 523.9s8.4-85.1 25.1-124.5c16.1-38.1 39.2-72.3 68.6-101.7 29.4-29.4 63.6-52.5 101.7-68.6C426.9 212.4 468.8 204 512 204s85.1 8.4 124.5 25.1c38.1 16.1 72.3 39.2 101.7 68.6 29.4 29.4 52.5 63.6 68.6 101.7 16.7 39.4 25.1 81.3 25.1 124.5s-8.4 85.1-25.1 124.5a318.64 318.64 0 0 1-68.6 101.7c-7.5 7.5-15.3 14.5-23.4 21.2a7.93 7.93 0 0 0-1.2 11.1l39.4 50.5c2.8 3.5 7.9 4.1 11.4 1.3C854.5 760.8 912 649.1 912 523.9c0-221.1-179.4-400.2-400.6-399.9z"}}]})(props);
};
function AiOutlineUngroup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683823033","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M736 550H288c-8.8 0-16 7.2-16 16v176c0 8.8 7.2 16 16 16h448c8.8 0 16-7.2 16-16V566c0-8.8-7.2-16-16-16z m-56 136H344v-64h336v64zM888 816c-39.8 0-72 32.2-72 72s32.2 72 72 72 72-32.2 72-72-32.2-72-72-72z m0 96c-13.3 0-24-10.7-24-24s10.7-24 24-24 24 10.7 24 24-10.7 24-24 24zM736 266H288c-8.8 0-16 7.2-16 16v176c0 8.8 7.2 16 16 16h448c8.8 0 16-7.2 16-16V282c0-8.8-7.2-16-16-16z m-56 136H344v-64h336v64zM888 208c39.8 0 72-32.2 72-72s-32.2-72-72-72-72 32.2-72 72 32.2 72 72 72z m0-96c13.3 0 24 10.7 24 24s-10.7 24-24 24-24-10.7-24-24 10.7-24 24-24zM136 64c-39.8 0-72 32.2-72 72s32.2 72 72 72 72-32.2 72-72-32.2-72-72-72z m0 96c-13.3 0-24-10.7-24-24s10.7-24 24-24 24 10.7 24 24-10.7 24-24 24zM136 816c-39.8 0-72 32.2-72 72s32.2 72 72 72 72-32.2 72-72-32.2-72-72-72z m0 96c-13.3 0-24-10.7-24-24s10.7-24 24-24 24 10.7 24 24-10.7 24-24 24z"}}]})(props);
};
function AiOutlineUnlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 464H332V240c0-30.9 25.1-56 56-56h248c30.9 0 56 25.1 56 56v68c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-68c0-70.7-57.3-128-128-128H388c-70.7 0-128 57.3-128 128v224h-68c-17.7 0-32 14.3-32 32v384c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V496c0-17.7-14.3-32-32-32zm-40 376H232V536h560v304zM484 701v53c0 4.4 3.6 8 8 8h40c4.4 0 8-3.6 8-8v-53a48.01 48.01 0 1 0-56 0z"}}]})(props);
};
function AiOutlineUnorderedList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M912 192H328c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h584c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 284H328c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h584c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zm0 284H328c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h584c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8zM104 228a56 56 0 1 0 112 0 56 56 0 1 0-112 0zm0 284a56 56 0 1 0 112 0 56 56 0 1 0-112 0zm0 284a56 56 0 1 0 112 0 56 56 0 1 0-112 0z"}}]})(props);
};
function AiOutlineUpCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M518.5 360.3a7.95 7.95 0 0 0-12.9 0l-178 246c-3.8 5.3 0 12.7 6.5 12.7H381c10.2 0 19.9-4.9 25.9-13.2L512 460.4l105.2 145.4c6 8.3 15.6 13.2 25.9 13.2H690c6.5 0 10.3-7.4 6.5-12.7l-178-246z"}},{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}}]})(props);
};
function AiOutlineUpSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M334 624h46.9c10.2 0 19.9-4.9 25.9-13.2L512 465.4l105.2 145.4c6 8.3 15.6 13.2 25.9 13.2H690c6.5 0 10.3-7.4 6.5-12.7l-178-246a7.95 7.95 0 0 0-12.9 0l-178 246A7.96 7.96 0 0 0 334 624z"}},{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}}]})(props);
};
function AiOutlineUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M890.5 755.3L537.9 269.2c-12.8-17.6-39-17.6-51.7 0L133.5 755.3A8 8 0 0 0 140 768h75c5.1 0 9.9-2.5 12.9-6.6L512 369.8l284.1 391.6c3 4.1 7.8 6.6 12.9 6.6h75c6.5 0 10.3-7.4 6.5-12.7z"}}]})(props);
};
function AiOutlineUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M400 317.7h73.9V656c0 4.4 3.6 8 8 8h60c4.4 0 8-3.6 8-8V317.7H624c6.7 0 10.4-7.7 6.3-12.9L518.3 163a8 8 0 0 0-12.6 0l-112 141.7c-4.1 5.3-.4 13 6.3 13zM878 626h-60c-4.4 0-8 3.6-8 8v154H214V634c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8v198c0 17.7 14.3 32 32 32h684c17.7 0 32-14.3 32-32V634c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineUsb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M760 432V144c0-17.7-14.3-32-32-32H296c-17.7 0-32 14.3-32 32v288c-66.2 0-120 52.1-120 116v356c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V548c0-24.3 21.6-44 48.1-44h495.8c26.5 0 48.1 19.7 48.1 44v356c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V548c0-63.9-53.8-116-120-116zm-424 0V184h352v248H336zm120-184h-48c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zm160 0h-48c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineUserAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M678.3 642.4c24.2-13 51.9-20.4 81.4-20.4h.1c3 0 4.4-3.6 2.2-5.6a371.67 371.67 0 0 0-103.7-65.8c-.4-.2-.8-.3-1.2-.5C719.2 505 759.6 431.7 759.6 349c0-137-110.8-248-247.5-248S264.7 212 264.7 349c0 82.7 40.4 156 102.6 201.1-.4.2-.8.3-1.2.5-44.7 18.9-84.8 46-119.3 80.6a373.42 373.42 0 0 0-80.4 119.5A373.6 373.6 0 0 0 137 888.8a8 8 0 0 0 8 8.2h59.9c4.3 0 7.9-3.5 8-7.8 2-77.2 32.9-149.5 87.6-204.3C357 628.2 432.2 597 512.2 597c56.7 0 111.1 15.7 158 45.1a8.1 8.1 0 0 0 8.1.3zM512.2 521c-45.8 0-88.9-17.9-121.4-50.4A171.2 171.2 0 0 1 340.5 349c0-45.9 17.9-89.1 50.3-121.6S466.3 177 512.2 177s88.9 17.9 121.4 50.4A171.2 171.2 0 0 1 683.9 349c0 45.9-17.9 89.1-50.3 121.6C601.1 503.1 558 521 512.2 521zM880 759h-84v-84c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v84h-84c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h84v84c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-84h84c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineUserDelete (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M678.3 655.4c24.2-13 51.9-20.4 81.4-20.4h.1c3 0 4.4-3.6 2.2-5.6a371.67 371.67 0 0 0-103.7-65.8c-.4-.2-.8-.3-1.2-.5C719.2 518 759.6 444.7 759.6 362c0-137-110.8-248-247.5-248S264.7 225 264.7 362c0 82.7 40.4 156 102.6 201.1-.4.2-.8.3-1.2.5-44.7 18.9-84.8 46-119.3 80.6a373.42 373.42 0 0 0-80.4 119.5A373.6 373.6 0 0 0 137 901.8a8 8 0 0 0 8 8.2h59.9c4.3 0 7.9-3.5 8-7.8 2-77.2 32.9-149.5 87.6-204.3C357 641.2 432.2 610 512.2 610c56.7 0 111.1 15.7 158 45.1a8.1 8.1 0 0 0 8.1.3zM512.2 534c-45.8 0-88.9-17.9-121.4-50.4A171.2 171.2 0 0 1 340.5 362c0-45.9 17.9-89.1 50.3-121.6S466.3 190 512.2 190s88.9 17.9 121.4 50.4A171.2 171.2 0 0 1 683.9 362c0 45.9-17.9 89.1-50.3 121.6C601.1 516.1 558 534 512.2 534zM880 772H640c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h240c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiOutlineUserSwitch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683921137","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M759 335c0-137-111-248-248-248S263 198 263 335c0 82.8 40.6 156.2 103 201.2-0.4 0.2-0.7 0.3-0.9 0.4-44.7 18.9-84.8 46-119.3 80.6-34.5 34.5-61.5 74.7-80.4 119.5C146.9 780.5 137 827 136 874.8c-0.1 4.5 3.5 8.2 8 8.2h59.9c4.3 0 7.9-3.5 8-7.8 2-77.2 32.9-149.5 87.6-204.3C356 614.2 431 583 511 583c137 0 248-111 248-248zM511 507c-95 0-172-77-172-172s77-172 172-172 172 77 172 172-77 172-172 172zM616 728h264c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H703.5l47.2-60.1c1.1-1.4 1.7-3.2 1.7-4.9 0-4.4-3.6-8-8-8h-72.6c-4.9 0-9.5 2.3-12.6 6.1l-68.5 87.1c-4.4 5.6-6.8 12.6-6.8 19.8 0.1 17.7 14.4 32 32.1 32zM856 792H592c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h176.5l-47.2 60.1c-1.1 1.4-1.7 3.2-1.7 4.9 0 4.4 3.6 8 8 8h72.6c4.9 0 9.5-2.3 12.6-6.1l68.5-87.1c4.4-5.6 6.8-12.6 6.8-19.8-0.1-17.7-14.4-32-32.1-32z"}}]})(props);
};
function AiOutlineUser (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M858.5 763.6a374 374 0 0 0-80.6-119.5 375.63 375.63 0 0 0-119.5-80.6c-.4-.2-.8-.3-1.2-.5C719.5 518 760 444.7 760 362c0-137-111-248-248-248S264 225 264 362c0 82.7 40.5 156 102.8 201.1-.4.2-.8.3-1.2.5-44.8 18.9-85 46-119.5 80.6a375.63 375.63 0 0 0-80.6 119.5A371.7 371.7 0 0 0 136 901.8a8 8 0 0 0 8 8.2h60c4.4 0 7.9-3.5 8-7.8 2-77.2 33-149.5 87.8-204.3 56.7-56.7 132-87.9 212.2-87.9s155.5 31.2 212.2 87.9C779 752.7 810 825 812 902.2c.1 4.4 3.6 7.8 8 7.8h60a8 8 0 0 0 8-8.2c-1-47.8-10.9-94.3-29.5-138.2zM512 534c-45.9 0-89.1-17.9-121.6-50.4S340 407.9 340 362c0-45.9 17.9-89.1 50.4-121.6S466.1 190 512 190s89.1 17.9 121.6 50.4S684 316.1 684 362c0 45.9-17.9 89.1-50.4 121.6S557.9 534 512 534z"}}]})(props);
};
function AiOutlineUsergroupAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M892 772h-80v-80c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v80h-80c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h80v80c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-80h80c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zM373.5 498.4c-.9-8.7-1.4-17.5-1.4-26.4 0-15.9 1.5-31.4 4.3-46.5.7-3.6-1.2-7.3-4.5-8.8-13.6-6.1-26.1-14.5-36.9-25.1a127.54 127.54 0 0 1-38.7-95.4c.9-32.1 13.8-62.6 36.3-85.6 24.7-25.3 57.9-39.1 93.2-38.7 31.9.3 62.7 12.6 86 34.4 7.9 7.4 14.7 15.6 20.4 24.4 2 3.1 5.9 4.4 9.3 3.2 17.6-6.1 36.2-10.4 55.3-12.4 5.6-.6 8.8-6.6 6.3-11.6-32.5-64.3-98.9-108.7-175.7-109.9-110.8-1.7-203.2 89.2-203.2 200 0 62.8 28.9 118.8 74.2 155.5-31.8 14.7-61.1 35-86.5 60.4-54.8 54.7-85.8 126.9-87.8 204a8 8 0 0 0 8 8.2h56.1c4.3 0 7.9-3.4 8-7.7 1.9-58 25.4-112.3 66.7-153.5 29.4-29.4 65.4-49.8 104.7-59.7 3.8-1.1 6.4-4.8 5.9-8.8zM824 472c0-109.4-87.9-198.3-196.9-200C516.3 270.3 424 361.2 424 472c0 62.8 29 118.8 74.2 155.5a300.95 300.95 0 0 0-86.4 60.4C357 742.6 326 814.8 324 891.8a8 8 0 0 0 8 8.2h56c4.3 0 7.9-3.4 8-7.7 1.9-58 25.4-112.3 66.7-153.5C505.8 695.7 563 672 624 672c110.4 0 200-89.5 200-200zm-109.5 90.5C690.3 586.7 658.2 600 624 600s-66.3-13.3-90.5-37.5a127.26 127.26 0 0 1-37.5-91.8c.3-32.8 13.4-64.5 36.3-88 24-24.6 56.1-38.3 90.4-38.7 33.9-.3 66.8 12.9 91 36.6 24.8 24.3 38.4 56.8 38.4 91.4-.1 34.2-13.4 66.3-37.6 90.5z"}}]})(props);
};
function AiOutlineUsergroupDelete (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M888 784H664c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h224c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zM373.5 510.4c-.9-8.7-1.4-17.5-1.4-26.4 0-15.9 1.5-31.4 4.3-46.5.7-3.6-1.2-7.3-4.5-8.8-13.6-6.1-26.1-14.5-36.9-25.1a127.54 127.54 0 0 1-38.7-95.4c.9-32.1 13.8-62.6 36.3-85.6 24.7-25.3 57.9-39.1 93.2-38.7 31.9.3 62.7 12.6 86 34.4 7.9 7.4 14.7 15.6 20.4 24.4 2 3.1 5.9 4.4 9.3 3.2 17.6-6.1 36.2-10.4 55.3-12.4 5.6-.6 8.8-6.6 6.3-11.6-32.5-64.3-98.9-108.7-175.7-109.9-110.9-1.7-203.3 89.2-203.3 199.9 0 62.8 28.9 118.8 74.2 155.5-31.8 14.7-61.1 35-86.5 60.4-54.8 54.7-85.8 126.9-87.8 204a8 8 0 0 0 8 8.2h56.1c4.3 0 7.9-3.4 8-7.7 1.9-58 25.4-112.3 66.7-153.5 29.4-29.4 65.4-49.8 104.7-59.7 3.9-1 6.5-4.7 6-8.7zM824 484c0-109.4-87.9-198.3-196.9-200C516.3 282.3 424 373.2 424 484c0 62.8 29 118.8 74.2 155.5a300.95 300.95 0 0 0-86.4 60.4C357 754.6 326 826.8 324 903.8a8 8 0 0 0 8 8.2h56c4.3 0 7.9-3.4 8-7.7 1.9-58 25.4-112.3 66.7-153.5C505.8 707.7 563 684 624 684c110.4 0 200-89.5 200-200zm-109.5 90.5C690.3 598.7 658.2 612 624 612s-66.3-13.3-90.5-37.5a127.26 127.26 0 0 1-37.5-91.8c.3-32.8 13.4-64.5 36.3-88 24-24.6 56.1-38.3 90.4-38.7 33.9-.3 66.8 12.9 91 36.6 24.8 24.3 38.4 56.8 38.4 91.4-.1 34.2-13.4 66.3-37.6 90.5z"}}]})(props);
};
function AiOutlineVerified (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683899926","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M447.8 588.8l-7.3-32.5c-0.2-1-0.6-1.9-1.1-2.7-2.5-3.7-7.4-4.7-11.1-2.2L405 567V411c0-4.4-3.6-8-8-8h-81c-4.4 0-8 3.6-8 8v36c0 4.4 3.6 8 8 8h37v192.4c0 1.7 0.5 3.3 1.5 4.7 2.6 3.6 7.6 4.4 11.2 1.8l79-56.8c2.6-1.9 3.8-5.1 3.1-8.3zM391.1 372.2l0.2 0.2c3.2 3 8.3 2.8 11.3-0.5l24.1-26.2c2.9-3.2 2.8-8.1-0.3-11.2l-53.7-52.1c-3.1-3-8.1-3-11.2 0.1l-24.7 24.7c-3.1 3.1-3.1 8.2 0.1 11.3l54.2 53.7z"}},{"tag":"path","attr":{"d":"M866.9 169.9L527.1 54.1C523 52.7 517.5 52 512 52s-11 0.7-15.1 2.1L157.1 169.9c-8.3 2.8-15.1 12.4-15.1 21.2v482.4c0 8.8 5.7 20.4 12.6 25.9L499.3 968c3.5 2.7 8 4.1 12.6 4.1s9.2-1.4 12.6-4.1l344.7-268.6c6.9-5.4 12.6-17 12.6-25.9V191.1c0.2-8.8-6.6-18.3-14.9-21.2zM810 654.3L512 886.5 214 654.3V226.7l298-101.6 298 101.6v427.6z"}},{"tag":"path","attr":{"d":"M452 297v36c0 4.4 3.6 8 8 8h108v274h-38V405c0-4.4-3.6-8-8-8h-35c-4.4 0-8 3.6-8 8v210h-31c-4.4 0-8 3.6-8 8v37c0 4.4 3.6 8 8 8h244c4.4 0 8-3.6 8-8v-37c0-4.4-3.6-8-8-8h-72V493h58c4.4 0 8-3.6 8-8v-35c0-4.4-3.6-8-8-8h-58V341h63c4.4 0 8-3.6 8-8v-36c0-4.4-3.6-8-8-8H460c-4.4 0-8 3.6-8 8z"}}]})(props);
};
function AiOutlineVerticalAlignBottom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M859.9 780H164.1c-4.5 0-8.1 3.6-8.1 8v60c0 4.4 3.6 8 8.1 8h695.8c4.5 0 8.1-3.6 8.1-8v-60c0-4.4-3.6-8-8.1-8zM505.7 669a8 8 0 0 0 12.6 0l112-141.7c4.1-5.2.4-12.9-6.3-12.9h-74.1V176c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8v338.3H400c-6.7 0-10.4 7.7-6.3 12.9l112 141.8z"}}]})(props);
};
function AiOutlineVerticalAlignMiddle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M859.9 474H164.1c-4.5 0-8.1 3.6-8.1 8v60c0 4.4 3.6 8 8.1 8h695.8c4.5 0 8.1-3.6 8.1-8v-60c0-4.4-3.6-8-8.1-8zm-353.6-74.7c2.9 3.7 8.5 3.7 11.3 0l100.8-127.5c3.7-4.7.4-11.7-5.7-11.7H550V104c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8v156h-62.8c-6 0-9.4 7-5.7 11.7l100.8 127.6zm11.4 225.4a7.14 7.14 0 0 0-11.3 0L405.6 752.3a7.23 7.23 0 0 0 5.7 11.7H474v156c0 4.4 3.6 8 8 8h60c4.4 0 8-3.6 8-8V764h62.8c6 0 9.4-7 5.7-11.7L517.7 624.7z"}}]})(props);
};
function AiOutlineVerticalAlignTop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M859.9 168H164.1c-4.5 0-8.1 3.6-8.1 8v60c0 4.4 3.6 8 8.1 8h695.8c4.5 0 8.1-3.6 8.1-8v-60c0-4.4-3.6-8-8.1-8zM518.3 355a8 8 0 0 0-12.6 0l-112 141.7a7.98 7.98 0 0 0 6.3 12.9h73.9V848c0 4.4 3.6 8 8 8h60c4.4 0 8-3.6 8-8V509.7H624c6.7 0 10.4-7.7 6.3-12.9L518.3 355z"}}]})(props);
};
function AiOutlineVerticalLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M762 164h-64c-4.4 0-8 3.6-8 8v688c0 4.4 3.6 8 8 8h64c4.4 0 8-3.6 8-8V172c0-4.4-3.6-8-8-8zm-508 0v72.4c0 9.5 4.2 18.4 11.4 24.5L564.6 512 265.4 763.1c-7.2 6.1-11.4 15-11.4 24.5V860c0 6.8 7.9 10.5 13.1 6.1L689 512 267.1 157.9A7.95 7.95 0 0 0 254 164z"}}]})(props);
};
function AiOutlineVerticalRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M326 164h-64c-4.4 0-8 3.6-8 8v688c0 4.4 3.6 8 8 8h64c4.4 0 8-3.6 8-8V172c0-4.4-3.6-8-8-8zm444 72.4V164c0-6.8-7.9-10.5-13.1-6.1L335 512l421.9 354.1c5.2 4.4 13.1.7 13.1-6.1v-72.4c0-9.4-4.2-18.4-11.4-24.5L459.4 512l299.2-251.1c7.2-6.1 11.4-15.1 11.4-24.5z"}}]})(props);
};
function AiOutlineVideoCameraAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683915274","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M368 724H252V608c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v116H72c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h116v116c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V788h116c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}},{"tag":"path","attr":{"d":"M912 302.3L784 376V224c0-35.3-28.7-64-64-64H128c-35.3 0-64 28.7-64 64v352h72V232h576v560H448v72h272c35.3 0 64-28.7 64-64V648l128 73.7c21.3 12.3 48-3.1 48-27.6V330c0-24.6-26.7-40-48-27.7zM888 625l-104-59.8V458.9L888 399v226z"}},{"tag":"path","attr":{"d":"M320 360c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H208c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h112z"}}]})(props);
};
function AiOutlineVideoCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M912 302.3L784 376V224c0-35.3-28.7-64-64-64H128c-35.3 0-64 28.7-64 64v576c0 35.3 28.7 64 64 64h592c35.3 0 64-28.7 64-64V648l128 73.7c21.3 12.3 48-3.1 48-27.6V330c0-24.6-26.7-40-48-27.7zM712 792H136V232h576v560zm176-167l-104-59.8V458.9L888 399v226zM208 360h112c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H208c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiOutlineWallet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 464H528V448h312v128zm0 264H184V184h656v200H496c-17.7 0-32 14.3-32 32v192c0 17.7 14.3 32 32 32h344v200zM580 512a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}}]})(props);
};
function AiOutlineWarning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M464 720a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm16-304v184c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V416c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8zm475.7 440l-416-720c-6.2-10.7-16.9-16-27.7-16s-21.6 5.3-27.7 16l-416 720C56 877.4 71.4 904 96 904h832c24.6 0 40-26.6 27.7-48zm-783.5-27.9L512 239.9l339.8 588.2H172.2z"}}]})(props);
};
function AiOutlineWechat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M690.1 377.4c5.9 0 11.8.2 17.6.5-24.4-128.7-158.3-227.1-319.9-227.1C209 150.8 64 271.4 64 420.2c0 81.1 43.6 154.2 111.9 203.6a21.5 21.5 0 0 1 9.1 17.6c0 2.4-.5 4.6-1.1 6.9-5.5 20.3-14.2 52.8-14.6 54.3-.7 2.6-1.7 5.2-1.7 7.9 0 5.9 4.8 10.8 10.8 10.8 2.3 0 4.2-.9 6.2-2l70.9-40.9c5.3-3.1 11-5 17.2-5 3.2 0 6.4.5 9.5 1.4 33.1 9.5 68.8 14.8 105.7 14.8 6 0 11.9-.1 17.8-.4-7.1-21-10.9-43.1-10.9-66 0-135.8 132.2-245.8 295.3-245.8zm-194.3-86.5c23.8 0 43.2 19.3 43.2 43.1s-19.3 43.1-43.2 43.1c-23.8 0-43.2-19.3-43.2-43.1s19.4-43.1 43.2-43.1zm-215.9 86.2c-23.8 0-43.2-19.3-43.2-43.1s19.3-43.1 43.2-43.1 43.2 19.3 43.2 43.1-19.4 43.1-43.2 43.1zm586.8 415.6c56.9-41.2 93.2-102 93.2-169.7 0-124-120.8-224.5-269.9-224.5-149 0-269.9 100.5-269.9 224.5S540.9 847.5 690 847.5c30.8 0 60.6-4.4 88.1-12.3 2.6-.8 5.2-1.2 7.9-1.2 5.2 0 9.9 1.6 14.3 4.1l59.1 34c1.7 1 3.3 1.7 5.2 1.7a9 9 0 0 0 6.4-2.6 9 9 0 0 0 2.6-6.4c0-2.2-.9-4.4-1.4-6.6-.3-1.2-7.6-28.3-12.2-45.3-.5-1.9-.9-3.8-.9-5.7.1-5.9 3.1-11.2 7.6-14.5zM600.2 587.2c-19.9 0-36-16.1-36-35.9 0-19.8 16.1-35.9 36-35.9s36 16.1 36 35.9c0 19.8-16.2 35.9-36 35.9zm179.9 0c-19.9 0-36-16.1-36-35.9 0-19.8 16.1-35.9 36-35.9s36 16.1 36 35.9a36.08 36.08 0 0 1-36 35.9z"}}]})(props);
};
function AiOutlineWeiboCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm-44.4 672C353.1 736 236 680.4 236 588.9c0-47.8 30.2-103.1 82.3-155.3 69.5-69.6 150.6-101.4 181.1-70.8 13.5 13.5 14.8 36.8 6.1 64.6-4.5 14 13.1 6.3 13.1 6.3 56.2-23.6 105.2-25 123.1.7 9.6 13.7 8.6 32.8-.2 55.1-4.1 10.2 1.3 11.8 9 14.1 31.7 9.8 66.9 33.6 66.9 75.5.2 69.5-99.7 156.9-249.8 156.9zm207.3-290.8a34.9 34.9 0 0 0-7.2-34.1 34.68 34.68 0 0 0-33.1-10.7 18.24 18.24 0 0 1-7.6-35.7c24.1-5.1 50.1 2.3 67.7 21.9 17.7 19.6 22.4 46.3 14.9 69.8a18.13 18.13 0 0 1-22.9 11.7 18.18 18.18 0 0 1-11.8-22.9zm106 34.3s0 .1 0 0a21.1 21.1 0 0 1-26.6 13.7 21.19 21.19 0 0 1-13.6-26.7c11-34.2 4-73.2-21.7-101.8a104.04 104.04 0 0 0-98.9-32.1 21.14 21.14 0 0 1-25.1-16.3 21.07 21.07 0 0 1 16.2-25.1c49.4-10.5 102.8 4.8 139.1 45.1 36.3 40.2 46.1 95.1 30.6 143.2zm-334.5 6.1c-91.4 9-160.7 65.1-154.7 125.2 5.9 60.1 84.8 101.5 176.2 92.5 91.4-9.1 160.7-65.1 154.7-125.3-5.9-60.1-84.8-101.5-176.2-92.4zm80.2 141.7c-18.7 42.3-72.3 64.8-117.8 50.1-43.9-14.2-62.5-57.7-43.3-96.8 18.9-38.4 68-60.1 111.5-48.8 45 11.7 68 54.2 49.6 95.5zm-93-32.2c-14.2-5.9-32.4.2-41.2 13.9-8.8 13.8-4.7 30.2 9.3 36.6 14.3 6.5 33.2.3 42-13.8 8.8-14.3 4.2-30.6-10.1-36.7zm34.9-14.5c-5.4-2.2-12.2.5-15.4 5.8-3.1 5.4-1.4 11.5 4.1 13.8 5.5 2.3 12.6-.3 15.8-5.8 3-5.6 1-11.8-4.5-13.8z"}}]})(props);
};
function AiOutlineWeiboSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M433.6 595.1c-14.2-5.9-32.4.2-41.2 13.9-8.8 13.8-4.7 30.2 9.3 36.6 14.3 6.5 33.2.3 42-13.8 8.8-14.3 4.2-30.6-10.1-36.7zM880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM467.6 736C353.1 736 236 680.4 236 588.9c0-47.8 30.2-103.1 82.3-155.3 69.5-69.6 150.6-101.4 181.1-70.8 13.5 13.5 14.8 36.8 6.1 64.6-4.5 14 13.1 6.3 13.1 6.3 56.2-23.6 105.2-25 123.1.7 9.6 13.7 8.6 32.8-.2 55.1-4.1 10.2 1.3 11.8 9 14.1 31.7 9.8 66.9 33.6 66.9 75.5.2 69.5-99.7 156.9-249.8 156.9zm207.3-290.8a34.9 34.9 0 0 0-7.2-34.1 34.68 34.68 0 0 0-33.1-10.7 18.24 18.24 0 0 1-7.6-35.7c24.1-5.1 50.1 2.3 67.7 21.9 17.7 19.6 22.4 46.3 14.9 69.8a18.13 18.13 0 0 1-22.9 11.7 18.18 18.18 0 0 1-11.8-22.9zm106 34.3s0 .1 0 0a21.1 21.1 0 0 1-26.6 13.7 21.19 21.19 0 0 1-13.6-26.7c11-34.2 4-73.2-21.7-101.8a104.04 104.04 0 0 0-98.9-32.1 21.14 21.14 0 0 1-25.1-16.3 21.07 21.07 0 0 1 16.2-25.1c49.4-10.5 102.8 4.8 139.1 45.1 36.3 40.2 46.1 95.1 30.6 143.2zm-334.5 6.1c-91.4 9-160.7 65.1-154.7 125.2 5.9 60.1 84.8 101.5 176.2 92.5 91.4-9.1 160.7-65.1 154.7-125.3-5.9-60.1-84.8-101.5-176.2-92.4zm80.2 141.7c-18.7 42.3-72.3 64.8-117.8 50.1-43.9-14.2-62.5-57.7-43.3-96.8 18.9-38.4 68-60.1 111.5-48.8 45 11.7 68 54.2 49.6 95.5zm-58.1-46.7c-5.4-2.2-12.2.5-15.4 5.8-3.1 5.4-1.4 11.5 4.1 13.8 5.5 2.3 12.6-.3 15.8-5.8 3-5.6 1-11.8-4.5-13.8z"}}]})(props);
};
function AiOutlineWeibo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M457.3 543c-68.1-17.7-145 16.2-174.6 76.2-30.1 61.2-1 129.1 67.8 151.3 71.2 23 155.2-12.2 184.4-78.3 28.7-64.6-7.2-131-77.6-149.2zm-52 156.2c-13.8 22.1-43.5 31.7-65.8 21.6-22-10-28.5-35.7-14.6-57.2 13.7-21.4 42.3-31 64.4-21.7 22.4 9.5 29.6 35 16 57.3zm45.5-58.5c-5 8.6-16.1 12.7-24.7 9.1-8.5-3.5-11.2-13.1-6.4-21.5 5-8.4 15.6-12.4 24.1-9.1 8.7 3.2 11.8 12.9 7 21.5zm334.5-197.2c15 4.8 31-3.4 35.9-18.3 11.8-36.6 4.4-78.4-23.2-109a111.39 111.39 0 0 0-106-34.3 28.45 28.45 0 0 0-21.9 33.8 28.39 28.39 0 0 0 33.8 21.8c18.4-3.9 38.3 1.8 51.9 16.7a54.2 54.2 0 0 1 11.3 53.3 28.45 28.45 0 0 0 18.2 36zm99.8-206c-56.7-62.9-140.4-86.9-217.7-70.5a32.98 32.98 0 0 0-25.4 39.3 33.12 33.12 0 0 0 39.3 25.5c55-11.7 114.4 5.4 154.8 50.1 40.3 44.7 51.2 105.7 34 159.1-5.6 17.4 3.9 36 21.3 41.7 17.4 5.6 36-3.9 41.6-21.2v-.1c24.1-75.4 8.9-161.1-47.9-223.9zM729 499c-12.2-3.6-20.5-6.1-14.1-22.1 13.8-34.7 15.2-64.7.3-86-28-40.1-104.8-37.9-192.8-1.1 0 0-27.6 12.1-20.6-9.8 13.5-43.5 11.5-79.9-9.6-101-47.7-47.8-174.6 1.8-283.5 110.6C127.3 471.1 80 557.5 80 632.2 80 775.1 263.2 862 442.5 862c235 0 391.3-136.5 391.3-245 0-65.5-55.2-102.6-104.8-118zM443 810.8c-143 14.1-266.5-50.5-275.8-144.5-9.3-93.9 99.2-181.5 242.2-195.6 143-14.2 266.5 50.5 275.8 144.4C694.4 709 586 796.6 443 810.8z"}}]})(props);
};
function AiOutlineWhatsApp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"t":"1569683925316","viewBox":"0 0 1024 1024","version":"1.1"},"child":[{"tag":"defs","attr":{},"child":[]},{"tag":"path","attr":{"d":"M713.5 599.9c-10.9-5.6-65.2-32.2-75.3-35.8-10.1-3.8-17.5-5.6-24.8 5.6-7.4 11.1-28.4 35.8-35 43.3-6.4 7.4-12.9 8.3-23.8 2.8-64.8-32.4-107.3-57.8-150-131.1-11.3-19.5 11.3-18.1 32.4-60.2 3.6-7.4 1.8-13.7-1-19.3-2.8-5.6-24.8-59.8-34-81.9-8.9-21.5-18.1-18.5-24.8-18.9-6.4-0.4-13.7-0.4-21.1-0.4-7.4 0-19.3 2.8-29.4 13.7-10.1 11.1-38.6 37.8-38.6 92s39.5 106.7 44.9 114.1c5.6 7.4 77.7 118.6 188.4 166.5 70 30.2 97.4 32.8 132.4 27.6 21.3-3.2 65.2-26.6 74.3-52.5 9.1-25.8 9.1-47.9 6.4-52.5-2.7-4.9-10.1-7.7-21-13z"}},{"tag":"path","attr":{"d":"M925.2 338.4c-22.6-53.7-55-101.9-96.3-143.3-41.3-41.3-89.5-73.8-143.3-96.3C630.6 75.7 572.2 64 512 64h-2c-60.6 0.3-119.3 12.3-174.5 35.9-53.3 22.8-101.1 55.2-142 96.5-40.9 41.3-73 89.3-95.2 142.8-23 55.4-34.6 114.3-34.3 174.9 0.3 69.4 16.9 138.3 48 199.9v152c0 25.4 20.6 46 46 46h152.1c61.6 31.1 130.5 47.7 199.9 48h2.1c59.9 0 118-11.6 172.7-34.3 53.5-22.3 101.6-54.3 142.8-95.2 41.3-40.9 73.8-88.7 96.5-142 23.6-55.2 35.6-113.9 35.9-174.5 0.3-60.9-11.5-120-34.8-175.6z m-151.1 438C704 845.8 611 884 512 884h-1.7c-60.3-0.3-120.2-15.3-173.1-43.5l-8.4-4.5H188V695.2l-4.5-8.4C155.3 633.9 140.3 574 140 513.7c-0.4-99.7 37.7-193.3 107.6-263.8 69.8-70.5 163.1-109.5 262.8-109.9h1.7c50 0 98.5 9.7 144.2 28.9 44.6 18.7 84.6 45.6 119 80 34.3 34.3 61.3 74.4 80 119 19.4 46.2 29.1 95.2 28.9 145.8-0.6 99.6-39.7 192.9-110.1 262.7z"}}]})(props);
};
function AiOutlineWifi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M723 620.5C666.8 571.6 593.4 542 513 542s-153.8 29.6-210.1 78.6a8.1 8.1 0 0 0-.8 11.2l36 42.9c2.9 3.4 8 3.8 11.4.9C393.1 637.2 450.3 614 513 614s119.9 23.2 163.5 61.5c3.4 2.9 8.5 2.5 11.4-.9l36-42.9c2.8-3.3 2.4-8.3-.9-11.2zm117.4-140.1C751.7 406.5 637.6 362 513 362s-238.7 44.5-327.5 118.4a8.05 8.05 0 0 0-1 11.3l36 42.9c2.8 3.4 7.9 3.8 11.2 1C308 472.2 406.1 434 513 434s205 38.2 281.2 101.6c3.4 2.8 8.4 2.4 11.2-1l36-42.9c2.8-3.4 2.4-8.5-1-11.3zm116.7-139C835.7 241.8 680.3 182 511 182c-168.2 0-322.6 59-443.7 157.4a8 8 0 0 0-1.1 11.4l36 42.9c2.8 3.3 7.8 3.8 11.1 1.1C222 306.7 360.3 254 511 254c151.8 0 291 53.5 400 142.7 3.4 2.8 8.4 2.3 11.2-1.1l36-42.9c2.9-3.4 2.4-8.5-1.1-11.3zM448 778a64 64 0 1 0 128 0 64 64 0 1 0-128 0z"}}]})(props);
};
function AiOutlineWindows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M120.1 770.6L443 823.2V543.8H120.1v226.8zm63.4-163.5h196.2v141.6l-196.2-31.9V607.1zm340.3 226.5l382 62.2v-352h-382v289.8zm63.4-226.5h255.3v214.4l-255.3-41.6V607.1zm-63.4-415.7v288.8h382V128.1l-382 63.3zm318.7 225.5H587.3V245l255.3-42.3v214.2zm-722.4 63.3H443V201.9l-322.9 53.5v224.8zM183.5 309l196.2-32.5v140.4H183.5V309z"}}]})(props);
};
function AiOutlineWoman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M712.8 548.8c53.6-53.6 83.2-125 83.2-200.8 0-75.9-29.5-147.2-83.2-200.8C659.2 93.6 587.8 64 512 64s-147.2 29.5-200.8 83.2C257.6 200.9 228 272.1 228 348c0 63.8 20.9 124.4 59.4 173.9 7.3 9.4 15.2 18.3 23.7 26.9 8.5 8.5 17.5 16.4 26.8 23.7 39.6 30.8 86.3 50.4 136.1 57V736H360c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h114v140c0 4.4 3.6 8 8 8h60c4.4 0 8-3.6 8-8V812h114c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8H550V629.5c61.5-8.2 118.2-36.1 162.8-80.7zM512 556c-55.6 0-107.7-21.6-147.1-60.9C325.6 455.8 304 403.6 304 348s21.6-107.7 60.9-147.1C404.2 161.5 456.4 140 512 140s107.7 21.6 147.1 60.9C698.4 240.2 720 292.4 720 348s-21.6 107.7-60.9 147.1C619.7 534.4 567.6 556 512 556z"}}]})(props);
};
function AiOutlineYahoo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M859.9 681.4h-14.1c-27.1 0-49.2 22.2-49.2 49.3v14.1c0 27.1 22.2 49.3 49.2 49.3h14.1c27.1 0 49.2-22.2 49.2-49.3v-14.1c0-27.1-22.2-49.3-49.2-49.3zM402.6 231C216.2 231 65 357 65 512.5S216.2 794 402.6 794s337.6-126 337.6-281.5S589.1 231 402.6 231zm0 507C245.1 738 121 634.6 121 512.5c0-62.3 32.3-119.7 84.9-161v48.4h37l159.8 159.9v65.3h-84.4v56.3h225.1v-56.3H459v-65.3l103.5-103.6h65.3v-56.3H459v65.3l-28.1 28.1-93.4-93.5h37v-56.3H216.4c49.4-35 114.3-56.6 186.2-56.6 157.6 0 281.6 103.4 281.6 225.5S560.2 738 402.6 738zm534.7-507H824.7c-15.5 0-27.7 12.6-27.1 28.1l13.1 366h84.4l65.4-366.4c2.7-15.2-7.8-27.7-23.2-27.7z"}}]})(props);
};
function AiOutlineYoutube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M960 509.2c0-2.2 0-4.7-.1-7.6-.1-8.1-.3-17.2-.5-26.9-.8-27.9-2.2-55.7-4.4-81.9-3-36.1-7.4-66.2-13.4-88.8a139.52 139.52 0 0 0-98.3-98.5c-28.3-7.6-83.7-12.3-161.7-15.2-37.1-1.4-76.8-2.3-116.5-2.8-13.9-.2-26.8-.3-38.4-.4h-29.4c-11.6.1-24.5.2-38.4.4-39.7.5-79.4 1.4-116.5 2.8-78 3-133.5 7.7-161.7 15.2A139.35 139.35 0 0 0 82.4 304C76.3 326.6 72 356.7 69 392.8c-2.2 26.2-3.6 54-4.4 81.9-.3 9.7-.4 18.8-.5 26.9 0 2.9-.1 5.4-.1 7.6v5.6c0 2.2 0 4.7.1 7.6.1 8.1.3 17.2.5 26.9.8 27.9 2.2 55.7 4.4 81.9 3 36.1 7.4 66.2 13.4 88.8 12.8 47.9 50.4 85.7 98.3 98.5 28.2 7.6 83.7 12.3 161.7 15.2 37.1 1.4 76.8 2.3 116.5 2.8 13.9.2 26.8.3 38.4.4h29.4c11.6-.1 24.5-.2 38.4-.4 39.7-.5 79.4-1.4 116.5-2.8 78-3 133.5-7.7 161.7-15.2 47.9-12.8 85.5-50.5 98.3-98.5 6.1-22.6 10.4-52.7 13.4-88.8 2.2-26.2 3.6-54 4.4-81.9.3-9.7.4-18.8.5-26.9 0-2.9.1-5.4.1-7.6v-5.6zm-72 5.2c0 2.1 0 4.4-.1 7.1-.1 7.8-.3 16.4-.5 25.7-.7 26.6-2.1 53.2-4.2 77.9-2.7 32.2-6.5 58.6-11.2 76.3-6.2 23.1-24.4 41.4-47.4 47.5-21 5.6-73.9 10.1-145.8 12.8-36.4 1.4-75.6 2.3-114.7 2.8-13.7.2-26.4.3-37.8.3h-28.6l-37.8-.3c-39.1-.5-78.2-1.4-114.7-2.8-71.9-2.8-124.9-7.2-145.8-12.8-23-6.2-41.2-24.4-47.4-47.5-4.7-17.7-8.5-44.1-11.2-76.3-2.1-24.7-3.4-51.3-4.2-77.9-.3-9.3-.4-18-.5-25.7 0-2.7-.1-5.1-.1-7.1v-4.8c0-2.1 0-4.4.1-7.1.1-7.8.3-16.4.5-25.7.7-26.6 2.1-53.2 4.2-77.9 2.7-32.2 6.5-58.6 11.2-76.3 6.2-23.1 24.4-41.4 47.4-47.5 21-5.6 73.9-10.1 145.8-12.8 36.4-1.4 75.6-2.3 114.7-2.8 13.7-.2 26.4-.3 37.8-.3h28.6l37.8.3c39.1.5 78.2 1.4 114.7 2.8 71.9 2.8 124.9 7.2 145.8 12.8 23 6.2 41.2 24.4 47.4 47.5 4.7 17.7 8.5 44.1 11.2 76.3 2.1 24.7 3.4 51.3 4.2 77.9.3 9.3.4 18 .5 25.7 0 2.7.1 5.1.1 7.1v4.8zM423 646l232-135-232-133z"}}]})(props);
};
function AiOutlineYuque (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M854.6 370.6c-9.9-39.4 9.9-102.2 73.4-124.4l-67.9-3.6s-25.7-90-143.6-98c-117.8-8.1-194.9-3-195-3 .1 0 87.4 55.6 52.4 154.7-25.6 52.5-65.8 95.6-108.8 144.7-1.3 1.3-2.5 2.6-3.5 3.7C319.4 605 96 860 96 860c245.9 64.4 410.7-6.3 508.2-91.1 20.5-.2 35.9-.3 46.3-.3 135.8 0 250.6-117.6 245.9-248.4-3.2-89.9-31.9-110.2-41.8-149.6zm-204.1 334c-10.6 0-26.2.1-46.8.3l-23.6.2-17.8 15.5c-47.1 41-104.4 71.5-171.4 87.6-52.5 12.6-110 16.2-172.7 9.6 18-20.5 36.5-41.6 55.4-63.1 92-104.6 173.8-197.5 236.9-268.5l1.4-1.4 1.3-1.5c4.1-4.6 20.6-23.3 24.7-28.1 9.7-11.1 17.3-19.9 24.5-28.6 30.7-36.7 52.2-67.8 69-102.2l1.6-3.3 1.2-3.4c13.7-38.8 15.4-76.9 6.2-112.8 22.5.7 46.5 1.9 71.7 3.6 33.3 2.3 55.5 12.9 71.1 29.2 5.8 6 10.2 12.5 13.4 18.7 1 2 1.7 3.6 2.3 5l5 17.7c-15.7 34.5-19.9 73.3-11.4 107.2 3 11.8 6.9 22.4 12.3 34.4 2.1 4.7 9.5 20.1 11 23.3 10.3 22.7 15.4 43 16.7 78.7 3.3 94.6-82.7 181.9-182 181.9z"}}]})(props);
};
function AiOutlineZhihu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M564.7 230.1V803h60l25.2 71.4L756.3 803h131.5V230.1H564.7zm247.7 497h-59.9l-75.1 50.4-17.8-50.4h-18V308.3h170.7v418.8zM526.1 486.9H393.3c2.1-44.9 4.3-104.3 6.6-172.9h130.9l-.1-8.1c0-.6-.2-14.7-2.3-29.1-2.1-15-6.6-34.9-21-34.9H287.8c4.4-20.6 15.7-69.7 29.4-93.8l6.4-11.2-12.9-.7c-.8 0-19.6-.9-41.4 10.6-35.7 19-51.7 56.4-58.7 84.4-18.4 73.1-44.6 123.9-55.7 145.6-3.3 6.4-5.3 10.2-6.2 12.8-1.8 4.9-.8 9.8 2.8 13 10.5 9.5 38.2-2.9 38.5-3 .6-.3 1.3-.6 2.2-1 13.9-6.3 55.1-25 69.8-84.5h56.7c.7 32.2 3.1 138.4 2.9 172.9h-141l-2.1 1.5c-23.1 16.9-30.5 63.2-30.8 65.2l-1.4 9.2h167c-12.3 78.3-26.5 113.4-34 127.4-3.7 7-7.3 14-10.7 20.8-21.3 42.2-43.4 85.8-126.3 153.6-3.6 2.8-7 8-4.8 13.7 2.4 6.3 9.3 9.1 24.6 9.1 5.4 0 11.8-.3 19.4-1 49.9-4.4 100.8-18 135.1-87.6 17-35.1 31.7-71.7 43.9-108.9L497 850l5-12c.8-1.9 19-46.3 5.1-95.9l-.5-1.8-108.1-123-22 16.6c6.4-26.1 10.6-49.9 12.5-71.1h158.7v-8c0-40.1-18.5-63.9-19.2-64.9l-2.4-3z"}}]})(props);
};
function AiOutlineZoomIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M637 443H519V309c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8v134H325c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h118v134c0 4.4 3.6 8 8 8h60c4.4 0 8-3.6 8-8V519h118c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8zm284 424L775 721c122.1-148.9 113.6-369.5-26-509-148-148.1-388.4-148.1-537 0-148.1 148.6-148.1 389 0 537 139.5 139.6 360.1 148.1 509 26l146 146c3.2 2.8 8.3 2.8 11 0l43-43c2.8-2.7 2.8-7.8 0-11zM696 696c-118.8 118.7-311.2 118.7-430 0-118.7-118.8-118.7-311.2 0-430 118.8-118.7 311.2-118.7 430 0 118.7 118.8 118.7 311.2 0 430z"}}]})(props);
};
function AiOutlineZoomOut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M637 443H325c-4.4 0-8 3.6-8 8v60c0 4.4 3.6 8 8 8h312c4.4 0 8-3.6 8-8v-60c0-4.4-3.6-8-8-8zm284 424L775 721c122.1-148.9 113.6-369.5-26-509-148-148.1-388.4-148.1-537 0-148.1 148.6-148.1 389 0 537 139.5 139.6 360.1 148.1 509 26l146 146c3.2 2.8 8.3 2.8 11 0l43-43c2.8-2.7 2.8-7.8 0-11zM696 696c-118.8 118.7-311.2 118.7-430 0-118.7-118.8-118.7-311.2 0-430 118.8-118.7 311.2-118.7 430 0 118.7 118.8 118.7 311.2 0 430z"}}]})(props);
};
function AiTwotoneAccountBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M712 304c0 4.4-3.6 8-8 8h-56c-4.4 0-8-3.6-8-8v-48H384v48c0 4.4-3.6 8-8 8h-56c-4.4 0-8-3.6-8-8v-48H184v584h656V256H712v48zm-65.6 121.8l-89.3 164.1h49.1c4.4 0 8 3.6 8 8v21.3c0 4.4-3.6 8-8 8h-65.4v33.7h65.4c4.4 0 8 3.6 8 8v21.3c0 4.4-3.6 8-8 8h-65.4V752c0 4.4-3.6 8-8 8h-41.3c-4.4 0-8-3.6-8-8v-53.8h-65.1c-4.4 0-8-3.6-8-8v-21.3c0-4.4 3.6-8 8-8h65.1v-33.7h-65.1c-4.4 0-8-3.6-8-8v-21.3c0-4.4 3.6-8 8-8H467l-89.3-164c-2.1-3.9-.7-8.8 3.2-10.9 1.1-.7 2.5-1 3.8-1h46a8 8 0 0 1 7.1 4.4l73.4 145.4h2.8l73.4-145.4c1.3-2.7 4.1-4.4 7.1-4.4h45c4.5 0 8 3.6 7.9 8 0 1.3-.4 2.6-1 3.8z"}},{"tag":"path","attr":{"d":"M639.5 414h-45c-3 0-5.8 1.7-7.1 4.4L514 563.8h-2.8l-73.4-145.4a8 8 0 0 0-7.1-4.4h-46c-1.3 0-2.7.3-3.8 1-3.9 2.1-5.3 7-3.2 10.9l89.3 164h-48.6c-4.4 0-8 3.6-8 8v21.3c0 4.4 3.6 8 8 8h65.1v33.7h-65.1c-4.4 0-8 3.6-8 8v21.3c0 4.4 3.6 8 8 8h65.1V752c0 4.4 3.6 8 8 8h41.3c4.4 0 8-3.6 8-8v-53.8h65.4c4.4 0 8-3.6 8-8v-21.3c0-4.4-3.6-8-8-8h-65.4v-33.7h65.4c4.4 0 8-3.6 8-8v-21.3c0-4.4-3.6-8-8-8h-49.1l89.3-164.1c.6-1.2 1-2.5 1-3.8.1-4.4-3.4-8-7.9-8z"}},{"tag":"path","attr":{"d":"M880 184H712v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H384v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H144c-17.7 0-32 14.3-32 32v664c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V216c0-17.7-14.3-32-32-32zm-40 656H184V256h128v48c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-48h256v48c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-48h128v584z"}}]})(props);
};
function AiTwotoneAlert (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M340 585c0-5.5 4.5-10 10-10h44c5.5 0 10 4.5 10 10v171h355V563c0-136.4-110.6-247-247-247S265 426.6 265 563v193h75V585z"}},{"tag":"path","attr":{"d":"M216.9 310.5l39.6-39.6c3.1-3.1 3.1-8.2 0-11.3l-67.9-67.9a8.03 8.03 0 0 0-11.3 0l-39.6 39.6a8.03 8.03 0 0 0 0 11.3l67.9 67.9c3.1 3.1 8.1 3.1 11.3 0zm669.6-79.2l-39.6-39.6a8.03 8.03 0 0 0-11.3 0l-67.9 67.9a8.03 8.03 0 0 0 0 11.3l39.6 39.6c3.1 3.1 8.2 3.1 11.3 0l67.9-67.9c3.1-3.2 3.1-8.2 0-11.3zM484 180h56c4.4 0 8-3.6 8-8V76c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v96c0 4.4 3.6 8 8 8zm348 712H192c-17.7 0-32 14.3-32 32v24c0 4.4 3.6 8 8 8h688c4.4 0 8-3.6 8-8v-24c0-17.7-14.3-32-32-32zm-639-96c0 17.7 14.3 32 32 32h574c17.7 0 32-14.3 32-32V563c0-176.2-142.8-319-319-319S193 386.8 193 563v233zm72-233c0-136.4 110.6-247 247-247s247 110.6 247 247v193H404V585c0-5.5-4.5-10-10-10h-44c-5.5 0-10 4.5-10 10v171h-75V563z"}}]})(props);
};
function AiTwotoneApi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M148.2 674.6zm106.7-92.3c-25 25-38.7 58.1-38.7 93.4s13.8 68.5 38.7 93.4c25 25 58.1 38.7 93.4 38.7 35.3 0 68.5-13.8 93.4-38.7l59.4-59.4-186.8-186.8-59.4 59.4zm420.8-366.1c-35.3 0-68.5 13.8-93.4 38.7l-59.4 59.4 186.8 186.8 59.4-59.4c24.9-25 38.7-58.1 38.7-93.4s-13.8-68.5-38.7-93.4c-25-25-58.1-38.7-93.4-38.7z"}},{"tag":"path","attr":{"d":"M578.9 546.7a8.03 8.03 0 0 0-11.3 0L501 613.3 410.7 523l66.7-66.7c3.1-3.1 3.1-8.2 0-11.3L441 408.6a8.03 8.03 0 0 0-11.3 0L363 475.3l-43-43a7.85 7.85 0 0 0-5.7-2.3c-2 0-4.1.8-5.7 2.3L206.8 534.2a199.45 199.45 0 0 0-58.6 140.4c-.2 39.5 11.2 79.1 34.3 113.1l-76.1 76.1a8.03 8.03 0 0 0 0 11.3l42.4 42.4c1.6 1.6 3.6 2.3 5.7 2.3s4.1-.8 5.7-2.3l76.1-76.1c33.7 22.9 72.9 34.3 112.1 34.3 51.2 0 102.4-19.5 141.5-58.6l101.9-101.9c3.1-3.1 3.1-8.2 0-11.3l-43-43 66.7-66.7c3.1-3.1 3.1-8.2 0-11.3l-36.6-36.2zM441.7 769.1a131.32 131.32 0 0 1-93.4 38.7c-35.3 0-68.4-13.7-93.4-38.7-24.9-24.9-38.7-58.1-38.7-93.4s13.7-68.4 38.7-93.4l59.4-59.4 186.8 186.8-59.4 59.4zm476-620.3l-42.4-42.4c-1.6-1.6-3.6-2.3-5.7-2.3s-4.1.8-5.7 2.3l-76.1 76.1a199.27 199.27 0 0 0-112.1-34.3c-51.2 0-102.4 19.5-141.5 58.6L432.3 308.7a8.03 8.03 0 0 0 0 11.3L704 591.7c1.6 1.6 3.6 2.3 5.7 2.3 2 0 4.1-.8 5.7-2.3l101.9-101.9c68.9-69 77-175.7 24.3-253.5l76.1-76.1c3.1-3.2 3.1-8.3 0-11.4zM769.1 441.7l-59.4 59.4-186.8-186.8 59.4-59.4c24.9-24.9 58.1-38.7 93.4-38.7s68.4 13.7 93.4 38.7c24.9 24.9 38.7 58.1 38.7 93.4s-13.8 68.4-38.7 93.4z"}}]})(props);
};
function AiTwotoneAppstore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M864 144H560c-8.8 0-16 7.2-16 16v304c0 8.8 7.2 16 16 16h304c8.8 0 16-7.2 16-16V160c0-8.8-7.2-16-16-16zm-52 268H612V212h200v200zM464 544H160c-8.8 0-16 7.2-16 16v304c0 8.8 7.2 16 16 16h304c8.8 0 16-7.2 16-16V560c0-8.8-7.2-16-16-16zm-52 268H212V612h200v200zm52-668H160c-8.8 0-16 7.2-16 16v304c0 8.8 7.2 16 16 16h304c8.8 0 16-7.2 16-16V160c0-8.8-7.2-16-16-16zm-52 268H212V212h200v200zm452 132H560c-8.8 0-16 7.2-16 16v304c0 8.8 7.2 16 16 16h304c8.8 0 16-7.2 16-16V560c0-8.8-7.2-16-16-16zm-52 268H612V612h200v200z"}},{"tag":"path","attr":{"d":"M212 212h200v200H212zm400 0h200v200H612zM212 612h200v200H212zm400 0h200v200H612z"}}]})(props);
};
function AiTwotoneAudio (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 552c54.3 0 98-43.2 98-96V232c0-52.8-43.7-96-98-96s-98 43.2-98 96v224c0 52.8 43.7 96 98 96z"}},{"tag":"path","attr":{"d":"M842 454c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8 0 140.3-113.7 254-254 254S258 594.3 258 454c0-4.4-3.6-8-8-8h-60c-4.4 0-8 3.6-8 8 0 168.7 126.6 307.9 290 327.6V884H326.7c-13.7 0-24.7 14.3-24.7 32v36c0 4.4 2.8 8 6.2 8h407.6c3.4 0 6.2-3.6 6.2-8v-36c0-17.7-11-32-24.7-32H548V782.1c165.3-18 294-158 294-328.1z"}},{"tag":"path","attr":{"d":"M512 624c93.9 0 170-75.2 170-168V232c0-92.8-76.1-168-170-168s-170 75.2-170 168v224c0 92.8 76.1 168 170 168zm-98-392c0-52.8 43.7-96 98-96s98 43.2 98 96v224c0 52.8-43.7 96-98 96s-98-43.2-98-96V232z"}}]})(props);
};
function AiTwotoneBank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M240.9 393.9h542.2L512 196.7z"}},{"tag":"path","attr":{"d":"M894 462c30.9 0 43.8-39.7 18.7-58L530.8 126.2a31.81 31.81 0 0 0-37.6 0L111.3 404c-25.1 18.2-12.2 58 18.8 58H192v374h-72c-4.4 0-8 3.6-8 8v52c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-52c0-4.4-3.6-8-8-8h-72V462h62zM381 836H264V462h117v374zm189 0H453V462h117v374zm190 0H642V462h118v374zM240.9 393.9L512 196.7l271.1 197.2H240.9z"}}]})(props);
};
function AiTwotoneBell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 220c-55.6 0-107.8 21.6-147.1 60.9S304 372.4 304 428v340h416V428c0-55.6-21.6-107.8-60.9-147.1S567.6 220 512 220zm280 208c0-141.1-104.3-257.8-240-277.2v.1c135.7 19.4 240 136 240 277.1zM472 150.9v-.1C336.3 170.2 232 286.9 232 428c0-141.1 104.3-257.7 240-277.1z"}},{"tag":"path","attr":{"d":"M816 768h-24V428c0-141.1-104.3-257.7-240-277.1V112c0-22.1-17.9-40-40-40s-40 17.9-40 40v38.9c-135.7 19.4-240 136-240 277.1v340h-24c-17.7 0-32 14.3-32 32v32c0 4.4 3.6 8 8 8h216c0 61.8 50.2 112 112 112s112-50.2 112-112h216c4.4 0 8-3.6 8-8v-32c0-17.7-14.3-32-32-32zM512 888c-26.5 0-48-21.5-48-48h96c0 26.5-21.5 48-48 48zm208-120H304V428c0-55.6 21.6-107.8 60.9-147.1S456.4 220 512 220c55.6 0 107.8 21.6 147.1 60.9S720 372.4 720 428v340z"}}]})(props);
};
function AiTwotoneBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 64H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zm-260 72h96v209.9L621.5 312 572 347.4V136zM232 888V136h280v296.9c0 3.3 1 6.6 3 9.3a15.9 15.9 0 0 0 22.3 3.7l83.8-59.9 81.4 59.4c2.7 2 6 3.1 9.4 3.1 8.8 0 16-7.2 16-16V136h64v752H232z"}},{"tag":"path","attr":{"d":"M668 345.9V136h-96v211.4l49.5-35.4z"}},{"tag":"path","attr":{"d":"M727.9 136v296.5c0 8.8-7.2 16-16 16-3.4 0-6.7-1.1-9.4-3.1L621.1 386l-83.8 59.9a15.9 15.9 0 0 1-22.3-3.7c-2-2.7-3-6-3-9.3V136H232v752h559.9V136h-64z"}}]})(props);
};
function AiTwotoneBoxPlot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M296 368h88v288h-88zm152 0h280v288H448z"}},{"tag":"path","attr":{"d":"M952 224h-52c-4.4 0-8 3.6-8 8v248h-92V304c0-4.4-3.6-8-8-8H232c-4.4 0-8 3.6-8 8v176h-92V232c0-4.4-3.6-8-8-8H72c-4.4 0-8 3.6-8 8v560c0 4.4 3.6 8 8 8h52c4.4 0 8-3.6 8-8V548h92v172c0 4.4 3.6 8 8 8h560c4.4 0 8-3.6 8-8V548h92v244c0 4.4 3.6 8 8 8h52c4.4 0 8-3.6 8-8V232c0-4.4-3.6-8-8-8zM384 656h-88V368h88v288zm344 0H448V368h280v288z"}}]})(props);
};
function AiTwotoneBug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M308 412v268c0 36.779 9.678 71.962 27.805 102.907a205.39 205.39 0 0 0 73.288 73.288C440.038 874.322 475.22 884 512 884c36.779 0 71.962-9.678 102.907-27.805a205.39 205.39 0 0 0 73.288-73.288C706.322 751.962 716 716.78 716 680V412H308zm484 172v96c0 6.503-.222 12.954-.658 19.346C859.931 728.636 908 796.705 908 876a8 8 0 0 1-8 8h-56a8 8 0 0 1-8-8c0-44.24-23.94-82.888-59.57-103.697a278.635 278.635 0 0 1-22.658 49.018 281.39 281.39 0 0 1-100.45 100.45C611.84 946.072 563.546 960 512 960s-99.84-13.929-141.321-38.228a281.39 281.39 0 0 1-100.45-100.45 278.635 278.635 0 0 1-22.658-49.019C211.94 793.113 188 831.76 188 876a8 8 0 0 1-8 8h-56a8 8 0 0 1-8-8c0-79.295 48.07-147.363 116.658-176.654A284.122 284.122 0 0 1 232 680v-96H84a8 8 0 0 1-8-8v-56a8 8 0 0 1 8-8h148V412c-76.768 0-139-62.232-139-139a8 8 0 0 1 8-8h60a8 8 0 0 1 8 8c0 34.794 28.206 63 63 63h560c34.794 0 63-28.206 63-63a8 8 0 0 1 8-8h60a8 8 0 0 1 8 8c0 76.768-62.232 139-139 139v100h148a8 8 0 0 1 8 8v56a8 8 0 0 1-8 8H792zM368 272a8 8 0 0 1-8 8h-56a8 8 0 0 1-8-8c0-40.039 8.779-76.746 25.9-108.068 17.235-31.526 42.506-56.797 74.032-74.031C427.254 72.779 463.962 64 504 64h16c40.039 0 76.746 8.779 108.068 25.9 31.526 17.235 56.797 42.506 74.031 74.032C719.221 195.254 728 231.962 728 272a8 8 0 0 1-8 8h-56a8 8 0 0 1-8-8c0-28.326-5.938-53.154-17.077-73.531-10.625-19.437-25.955-34.767-45.392-45.392C573.154 141.937 548.326 136 520 136h-16c-28.326 0-53.154 5.938-73.531 17.077-19.437 10.625-34.767 25.955-45.392 45.392C373.937 218.846 368 243.674 368 272z"}},{"tag":"path","attr":{"d":"M308 412v268c0 36.779 9.678 71.962 27.805 102.907a205.39 205.39 0 0 0 73.288 73.288C440.038 874.322 475.22 884 512 884c36.779 0 71.962-9.678 102.907-27.805a205.39 205.39 0 0 0 73.288-73.288C706.322 751.962 716 716.78 716 680V412H308z"}}]})(props);
};
function AiTwotoneBuild (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M144 546h200v200H144zm268-268h200v200H412z"}},{"tag":"path","attr":{"d":"M916 210H376c-17.7 0-32 14.3-32 32v236H108c-17.7 0-32 14.3-32 32v272c0 17.7 14.3 32 32 32h540c17.7 0 32-14.3 32-32V546h236c17.7 0 32-14.3 32-32V242c0-17.7-14.3-32-32-32zM344 746H144V546h200v200zm268 0H412V546h200v200zm0-268H412V278h200v200zm268 0H680V278h200v200z"}}]})(props);
};
function AiTwotoneBulb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 136c-141.4 0-256 114.6-256 256 0 92.5 49.4 176.3 128.1 221.8l35.9 20.8V752h184V634.6l35.9-20.8C718.6 568.3 768 484.5 768 392c0-141.4-114.6-256-256-256z"}},{"tag":"path","attr":{"d":"M632 888H392c-4.4 0-8 3.6-8 8v32c0 17.7 14.3 32 32 32h192c17.7 0 32-14.3 32-32v-32c0-4.4-3.6-8-8-8zM512 64c-181.1 0-328 146.9-328 328 0 121.4 66 227.4 164 284.1V792c0 17.7 14.3 32 32 32h264c17.7 0 32-14.3 32-32V676.1c98-56.7 164-162.7 164-284.1 0-181.1-146.9-328-328-328zm127.9 549.8L604 634.6V752H420V634.6l-35.9-20.8C305.4 568.3 256 484.5 256 392c0-141.4 114.6-256 256-256s256 114.6 256 256c0 92.5-49.4 176.3-128.1 221.8z"}}]})(props);
};
function AiTwotoneCalculator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M184 840h656V184H184v656zm256.2-75h-50.8c-2.2 0-4.5-1.1-5.9-2.9L348 718.6l-35.5 43.5a7.38 7.38 0 0 1-5.9 2.9h-50.8c-6.6 0-10.2-7.9-5.8-13.1l62.7-76.8-61.2-74.9c-4.3-5.2-.7-13.1 5.9-13.1h50.9c2.2 0 4.5 1.1 5.9 2.9l34 41.6 34-41.6c1.5-1.9 3.6-2.9 5.9-2.9h50.8c6.6 0 10.2 7.9 5.9 13.1L383.5 675l62.7 76.8c4.2 5.3.6 13.2-6 13.2zM576 335c0-2.2 1.4-4 3.2-4h193.5c1.9 0 3.3 1.8 3.3 4v48c0 2.2-1.4 4-3.2 4H579.2c-1.8 0-3.2-1.8-3.2-4v-48zm0 265c0-2.2 1.4-4 3.2-4h193.5c1.9 0 3.3 1.8 3.3 4v48c0 2.2-1.4 4-3.2 4H579.2c-1.8 0-3.2-1.8-3.2-4v-48zm0 104c0-2.2 1.4-4 3.2-4h193.5c1.9 0 3.3 1.8 3.3 4v48c0 2.2-1.4 4-3.2 4H579.2c-1.8 0-3.2-1.8-3.2-4v-48zM248 335c0-2.2 1.4-4 3.2-4H320v-68.8c0-1.8 1.8-3.2 4-3.2h48c2.2 0 4 1.4 4 3.2V331h68.7c1.9 0 3.3 1.8 3.3 4v48c0 2.2-1.4 4-3.2 4H376v68.7c0 1.9-1.8 3.3-4 3.3h-48c-2.2 0-4-1.4-4-3.2V387h-68.8c-1.8 0-3.2-1.8-3.2-4v-48z"}},{"tag":"path","attr":{"d":"M383.5 675l61.3-74.8c4.3-5.2.7-13.1-5.9-13.1h-50.8c-2.3 0-4.4 1-5.9 2.9l-34 41.6-34-41.6a7.69 7.69 0 0 0-5.9-2.9h-50.9c-6.6 0-10.2 7.9-5.9 13.1l61.2 74.9-62.7 76.8c-4.4 5.2-.8 13.1 5.8 13.1h50.8c2.3 0 4.4-1 5.9-2.9l35.5-43.5 35.5 43.5c1.4 1.8 3.7 2.9 5.9 2.9h50.8c6.6 0 10.2-7.9 6-13.2L383.5 675zM251.2 387H320v68.8c0 1.8 1.8 3.2 4 3.2h48c2.2 0 4-1.4 4-3.3V387h68.8c1.8 0 3.2-1.8 3.2-4v-48c0-2.2-1.4-4-3.3-4H376v-68.8c0-1.8-1.8-3.2-4-3.2h-48c-2.2 0-4 1.4-4 3.2V331h-68.8c-1.8 0-3.2 1.8-3.2 4v48c0 2.2 1.4 4 3.2 4zm328 369h193.6c1.8 0 3.2-1.8 3.2-4v-48c0-2.2-1.4-4-3.3-4H579.2c-1.8 0-3.2 1.8-3.2 4v48c0 2.2 1.4 4 3.2 4zm0-104h193.6c1.8 0 3.2-1.8 3.2-4v-48c0-2.2-1.4-4-3.3-4H579.2c-1.8 0-3.2 1.8-3.2 4v48c0 2.2 1.4 4 3.2 4zm0-265h193.6c1.8 0 3.2-1.8 3.2-4v-48c0-2.2-1.4-4-3.3-4H579.2c-1.8 0-3.2 1.8-3.2 4v48c0 2.2 1.4 4 3.2 4z"}}]})(props);
};
function AiTwotoneCalendar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M712 304c0 4.4-3.6 8-8 8h-56c-4.4 0-8-3.6-8-8v-48H384v48c0 4.4-3.6 8-8 8h-56c-4.4 0-8-3.6-8-8v-48H184v136h656V256H712v48z"}},{"tag":"path","attr":{"d":"M880 184H712v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H384v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H144c-17.7 0-32 14.3-32 32v664c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V216c0-17.7-14.3-32-32-32zm-40 656H184V460h656v380zm0-448H184V256h128v48c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-48h256v48c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-48h128v136z"}}]})(props);
};
function AiTwotoneCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M864 320H677.2l-17.1-47.8-22.9-64.2H386.7l-22.9 64.2-17.1 47.8H160c-4.4 0-8 3.6-8 8v456c0 4.4 3.6 8 8 8h704c4.4 0 8-3.6 8-8V328c0-4.4-3.6-8-8-8zM512 704c-88.4 0-160-71.6-160-160s71.6-160 160-160 160 71.6 160 160-71.6 160-160 160z"}},{"tag":"path","attr":{"d":"M512 384c-88.4 0-160 71.6-160 160s71.6 160 160 160 160-71.6 160-160-71.6-160-160-160zm0 256c-53 0-96-43-96-96s43-96 96-96 96 43 96 96-43 96-96 96z"}},{"tag":"path","attr":{"d":"M864 248H728l-32.4-90.8a32.07 32.07 0 0 0-30.2-21.2H358.6c-13.5 0-25.6 8.5-30.1 21.2L296 248H160c-44.2 0-80 35.8-80 80v456c0 44.2 35.8 80 80 80h704c44.2 0 80-35.8 80-80V328c0-44.2-35.8-80-80-80zm8 536c0 4.4-3.6 8-8 8H160c-4.4 0-8-3.6-8-8V328c0-4.4 3.6-8 8-8h186.7l17.1-47.8 22.9-64.2h250.5l22.9 64.2 17.1 47.8H864c4.4 0 8 3.6 8 8v456z"}}]})(props);
};
function AiTwotoneCar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M199.6 474L184 517v237h656V517l-15.6-43H199.6zM264 621c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40zm388 75c0 4.4-3.6 8-8 8H380c-4.4 0-8-3.6-8-8v-84c0-4.4 3.6-8 8-8h40c4.4 0 8 3.6 8 8v36h168v-36c0-4.4 3.6-8 8-8h40c4.4 0 8 3.6 8 8v84zm108-75c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40z"}},{"tag":"path","attr":{"d":"M720 581a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}},{"tag":"path","attr":{"d":"M959 413.4L935.3 372a8 8 0 0 0-10.9-2.9l-50.7 29.6-78.3-216.2a63.9 63.9 0 0 0-60.9-44.4H301.2c-34.7 0-65.5 22.4-76.2 55.5l-74.6 205.2-50.8-29.6a8 8 0 0 0-10.9 2.9L65 413.4c-2.2 3.8-.9 8.6 2.9 10.8l60.4 35.2-14.5 40c-1.2 3.2-1.8 6.6-1.8 10v348.2c0 15.7 11.8 28.4 26.3 28.4h67.6c12.3 0 23-9.3 25.6-22.3l7.7-37.7h545.6l7.7 37.7c2.7 13 13.3 22.3 25.6 22.3h67.6c14.5 0 26.3-12.7 26.3-28.4V509.4c0-3.4-.6-6.8-1.8-10l-14.5-40 60.3-35.2a8 8 0 0 0 3-10.8zM292.7 218.1l.5-1.3.4-1.3c1.1-3.3 4.1-5.5 7.6-5.5h427.6l75.4 208H220l72.7-199.9zM840 754H184V517l15.6-43h624.8l15.6 43v237z"}},{"tag":"path","attr":{"d":"M224 581a40 40 0 1 0 80 0 40 40 0 1 0-80 0zm420 23h-40c-4.4 0-8 3.6-8 8v36H428v-36c0-4.4-3.6-8-8-8h-40c-4.4 0-8 3.6-8 8v84c0 4.4 3.6 8 8 8h264c4.4 0 8-3.6 8-8v-84c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiTwotoneCarryOut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 184H712v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H384v-64c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v64H144c-17.7 0-32 14.3-32 32v664c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V216c0-17.7-14.3-32-32-32zm-40 656H184V256h128v48c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-48h256v48c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-48h128v584z"}},{"tag":"path","attr":{"d":"M712 304c0 4.4-3.6 8-8 8h-56c-4.4 0-8-3.6-8-8v-48H384v48c0 4.4-3.6 8-8 8h-56c-4.4 0-8-3.6-8-8v-48H184v584h656V256H712v48zm-17.5 128.8L481.9 725.5a16.1 16.1 0 0 1-26 0l-126.4-174c-3.8-5.3 0-12.7 6.5-12.7h55.2c5.2 0 10 2.5 13 6.6l64.7 89 150.9-207.8c3-4.1 7.9-6.6 13-6.6H688c6.5 0 10.3 7.4 6.5 12.8z"}},{"tag":"path","attr":{"d":"M688 420h-55.2c-5.1 0-10 2.5-13 6.6L468.9 634.4l-64.7-89c-3-4.1-7.8-6.6-13-6.6H336c-6.5 0-10.3 7.4-6.5 12.7l126.4 174a16.1 16.1 0 0 0 26 0l212.6-292.7c3.8-5.4 0-12.8-6.5-12.8z"}}]})(props);
};
function AiTwotoneCheckCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm193.4 225.7l-210.6 292a31.8 31.8 0 0 1-51.7 0L318.5 484.9c-3.8-5.3 0-12.7 6.5-12.7h46.9c10.3 0 19.9 5 25.9 13.3l71.2 98.8 157.2-218c6-8.4 15.7-13.3 25.9-13.3H699c6.5 0 10.3 7.4 6.4 12.7z"}},{"tag":"path","attr":{"d":"M699 353h-46.9c-10.2 0-19.9 4.9-25.9 13.3L469 584.3l-71.2-98.8c-6-8.3-15.6-13.3-25.9-13.3H325c-6.5 0-10.3 7.4-6.5 12.7l124.6 172.8a31.8 31.8 0 0 0 51.7 0l210.6-292c3.9-5.3.1-12.7-6.4-12.7z"}}]})(props);
};
function AiTwotoneCheckSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M184 840h656V184H184v656zm130-367.8h46.9c10.2 0 19.9 4.9 25.9 13.3l71.2 98.8 157.2-218c6-8.3 15.6-13.3 25.9-13.3H688c6.5 0 10.3 7.4 6.5 12.7l-210.6 292a31.8 31.8 0 0 1-51.7 0L307.5 484.9c-3.8-5.3 0-12.7 6.5-12.7z"}},{"tag":"path","attr":{"d":"M432.2 657.7a31.8 31.8 0 0 0 51.7 0l210.6-292c3.8-5.3 0-12.7-6.5-12.7h-46.9c-10.3 0-19.9 5-25.9 13.3L458 584.3l-71.2-98.8c-6-8.4-15.7-13.3-25.9-13.3H314c-6.5 0-10.3 7.4-6.5 12.7l124.7 172.8z"}}]})(props);
};
function AiTwotoneCiCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm-63.5 522.8c49.3 0 82.8-29.4 87-72.4.4-4.1 3.8-7.3 8-7.3h52.7c2.4 0 4.4 2 4.4 4.4 0 77.4-64.3 132.5-152.3 132.5C345.4 720 286 651.4 286 537.4v-49C286 373.5 345.4 304 448.3 304c88.3 0 152.3 56.9 152.3 138.1 0 2.4-2 4.4-4.4 4.4h-52.6c-4.2 0-7.6-3.2-8-7.4-3.9-46.1-37.5-77.6-87-77.6-61.1 0-95.6 45.4-95.7 126.8v49.3c0 80.3 34.5 125.2 95.6 125.2zM738 704.1c0 4.4-3.6 8-8 8h-50.4c-4.4 0-8-3.6-8-8V319.9c0-4.4 3.6-8 8-8H730c4.4 0 8 3.6 8 8v384.2z"}},{"tag":"path","attr":{"d":"M730 311.9h-50.4c-4.4 0-8 3.6-8 8v384.2c0 4.4 3.6 8 8 8H730c4.4 0 8-3.6 8-8V319.9c0-4.4-3.6-8-8-8zm-281.4 49.6c49.5 0 83.1 31.5 87 77.6.4 4.2 3.8 7.4 8 7.4h52.6c2.4 0 4.4-2 4.4-4.4 0-81.2-64-138.1-152.3-138.1C345.4 304 286 373.5 286 488.4v49c0 114 59.4 182.6 162.3 182.6 88 0 152.3-55.1 152.3-132.5 0-2.4-2-4.4-4.4-4.4h-52.7c-4.2 0-7.6 3.2-8 7.3-4.2 43-37.7 72.4-87 72.4-61.1 0-95.6-44.9-95.6-125.2v-49.3c.1-81.4 34.6-126.8 95.7-126.8z"}}]})(props);
};
function AiTwotoneCi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm-63.5 522.8c49.3 0 82.8-29.4 87-72.4.4-4.1 3.8-7.3 8-7.3h52.7c2.4 0 4.4 2 4.4 4.4 0 77.4-64.3 132.5-152.3 132.5C345.4 720 286 651.4 286 537.4v-49C286 373.5 345.4 304 448.3 304c88.3 0 152.3 56.9 152.3 138.1 0 2.4-2 4.4-4.4 4.4h-52.6c-4.2 0-7.6-3.2-8-7.4-3.9-46.1-37.5-77.6-87-77.6-61.1 0-95.6 45.4-95.7 126.8v49.3c0 80.3 34.5 125.2 95.6 125.2zM738 704.1c0 4.4-3.6 8-8 8h-50.4c-4.4 0-8-3.6-8-8V319.9c0-4.4 3.6-8 8-8H730c4.4 0 8 3.6 8 8v384.2z"}},{"tag":"path","attr":{"d":"M730 311.9h-50.4c-4.4 0-8 3.6-8 8v384.2c0 4.4 3.6 8 8 8H730c4.4 0 8-3.6 8-8V319.9c0-4.4-3.6-8-8-8zm-281.4 49.6c49.5 0 83.1 31.5 87 77.6.4 4.2 3.8 7.4 8 7.4h52.6c2.4 0 4.4-2 4.4-4.4 0-81.2-64-138.1-152.3-138.1C345.4 304 286 373.5 286 488.4v49c0 114 59.4 182.6 162.3 182.6 88 0 152.3-55.1 152.3-132.5 0-2.4-2-4.4-4.4-4.4h-52.7c-4.2 0-7.6 3.2-8 7.3-4.2 43-37.7 72.4-87 72.4-61.1 0-95.6-44.9-95.6-125.2v-49.3c.1-81.4 34.6-126.8 95.7-126.8z"}}]})(props);
};
function AiTwotoneClockCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm176.5 509.7l-28.6 39a7.99 7.99 0 0 1-11.2 1.7L483.3 569.8a7.92 7.92 0 0 1-3.3-6.5V288c0-4.4 3.6-8 8-8h48.1c4.4 0 8 3.6 8 8v247.5l142.6 103.1c3.6 2.5 4.4 7.5 1.8 11.1z"}},{"tag":"path","attr":{"d":"M686.7 638.6L544.1 535.5V288c0-4.4-3.6-8-8-8H488c-4.4 0-8 3.6-8 8v275.3c0 2.6 1.2 5 3.3 6.5l165.4 120.6c3.6 2.6 8.6 1.9 11.2-1.7l28.6-39c2.6-3.6 1.8-8.6-1.8-11.1z"}}]})(props);
};
function AiTwotoneCloseCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm171.8 527.1c1.2 1.5 1.9 3.3 1.9 5.2 0 4.5-3.6 8-8 8l-66-.3-99.3-118.4-99.3 118.5-66.1.3c-4.4 0-8-3.6-8-8 0-1.9.7-3.7 1.9-5.2L471 512.3l-130.1-155a8.32 8.32 0 0 1-1.9-5.2c0-4.5 3.6-8 8-8l66.1.3 99.3 118.4 99.4-118.5 66-.3c4.4 0 8 3.6 8 8 0 1.9-.6 3.8-1.8 5.2l-130.1 155 129.9 154.9z"}},{"tag":"path","attr":{"d":"M685.8 352c0-4.4-3.6-8-8-8l-66 .3-99.4 118.5-99.3-118.4-66.1-.3c-4.4 0-8 3.5-8 8 0 1.9.7 3.7 1.9 5.2l130.1 155-130.1 154.9a8.32 8.32 0 0 0-1.9 5.2c0 4.4 3.6 8 8 8l66.1-.3 99.3-118.5L611.7 680l66 .3c4.4 0 8-3.5 8-8 0-1.9-.7-3.7-1.9-5.2L553.9 512.2l130.1-155c1.2-1.4 1.8-3.3 1.8-5.2z"}}]})(props);
};
function AiTwotoneCloseSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M184 840h656V184H184v656zm163.9-473.9A7.95 7.95 0 0 1 354 353h58.9c4.7 0 9.2 2.1 12.3 5.7L512 462.2l86.8-103.5c3-3.6 7.5-5.7 12.3-5.7H670c6.8 0 10.5 7.9 6.1 13.1L553.8 512l122.3 145.9c4.4 5.2.7 13.1-6.1 13.1h-58.9c-4.7 0-9.2-2.1-12.3-5.7L512 561.8l-86.8 103.5c-3 3.6-7.5 5.7-12.3 5.7H354c-6.8 0-10.5-7.9-6.1-13.1L470.2 512 347.9 366.1z"}},{"tag":"path","attr":{"d":"M354 671h58.9c4.8 0 9.3-2.1 12.3-5.7L512 561.8l86.8 103.5c3.1 3.6 7.6 5.7 12.3 5.7H670c6.8 0 10.5-7.9 6.1-13.1L553.8 512l122.3-145.9c4.4-5.2.7-13.1-6.1-13.1h-58.9c-4.8 0-9.3 2.1-12.3 5.7L512 462.2l-86.8-103.5c-3.1-3.6-7.6-5.7-12.3-5.7H354c-6.8 0-10.5 7.9-6.1 13.1L470.2 512 347.9 657.9A7.95 7.95 0 0 0 354 671z"}}]})(props);
};
function AiTwotoneCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M791.9 492l-37.8-10-13.8-36.5c-8.6-22.7-20.6-44.1-35.7-63.4a245.73 245.73 0 0 0-52.4-49.9c-41.1-28.9-89.5-44.2-140-44.2s-98.9 15.3-140 44.2a245.6 245.6 0 0 0-52.4 49.9 240.47 240.47 0 0 0-35.7 63.4l-13.9 36.6-37.9 9.9a125.7 125.7 0 0 0-66.1 43.7A123.1 123.1 0 0 0 140 612c0 33.1 12.9 64.3 36.3 87.7 23.4 23.4 54.5 36.3 87.6 36.3h496.2c33.1 0 64.2-12.9 87.6-36.3A123.3 123.3 0 0 0 884 612c0-56.2-37.8-105.5-92.1-120z"}},{"tag":"path","attr":{"d":"M811.4 418.7C765.6 297.9 648.9 212 512.2 212S258.8 297.8 213 418.6C127.3 441.1 64 519.1 64 612c0 110.5 89.5 200 199.9 200h496.2C870.5 812 960 722.5 960 612c0-92.7-63.1-170.7-148.6-193.3zm36.3 281a123.07 123.07 0 0 1-87.6 36.3H263.9c-33.1 0-64.2-12.9-87.6-36.3A123.3 123.3 0 0 1 140 612c0-28 9.1-54.3 26.2-76.3a125.7 125.7 0 0 1 66.1-43.7l37.9-9.9 13.9-36.6c8.6-22.8 20.6-44.1 35.7-63.4a245.6 245.6 0 0 1 52.4-49.9c41.1-28.9 89.5-44.2 140-44.2s98.9 15.3 140 44.2c19.9 14 37.5 30.8 52.4 49.9 15.1 19.3 27.1 40.7 35.7 63.4l13.8 36.5 37.8 10c54.3 14.5 92.1 63.8 92.1 120 0 33.1-12.9 64.3-36.3 87.7z"}}]})(props);
};
function AiTwotoneCode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M184 840h656V184H184v656zm339.5-223h185c4.1 0 7.5 3.6 7.5 8v48c0 4.4-3.4 8-7.5 8h-185c-4.1 0-7.5-3.6-7.5-8v-48c0-4.4 3.4-8 7.5-8zM308 610.3c0-2.3 1.1-4.6 2.9-6.1L420.7 512l-109.8-92.2a7.63 7.63 0 0 1-2.9-6.1V351c0-6.8 7.9-10.5 13.1-6.1l192 160.9c3.9 3.2 3.9 9.1 0 12.3l-192 161c-5.2 4.4-13.1.7-13.1-6.1v-62.7z"}},{"tag":"path","attr":{"d":"M321.1 679.1l192-161c3.9-3.2 3.9-9.1 0-12.3l-192-160.9A7.95 7.95 0 0 0 308 351v62.7c0 2.4 1 4.6 2.9 6.1L420.7 512l-109.8 92.2a8.1 8.1 0 0 0-2.9 6.1V673c0 6.8 7.9 10.5 13.1 6.1zM516 673c0 4.4 3.4 8 7.5 8h185c4.1 0 7.5-3.6 7.5-8v-48c0-4.4-3.4-8-7.5-8h-185c-4.1 0-7.5 3.6-7.5 8v48z"}}]})(props);
};
function AiTwotoneCompass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zM327.6 701.7c-2 .9-4.4 0-5.3-2.1-.4-1-.4-2.2 0-3.2L421 470.9 553.1 603l-225.5 98.7zm375.1-375.1L604 552.1 471.9 420l225.5-98.7c2-.9 4.4 0 5.3 2.1.4 1 .4 2.1 0 3.2z"}},{"tag":"path","attr":{"d":"M322.3 696.4c-.4 1-.4 2.2 0 3.2.9 2.1 3.3 3 5.3 2.1L553.1 603 421 470.9l-98.7 225.5zm375.1-375.1L471.9 420 604 552.1l98.7-225.5c.4-1.1.4-2.2 0-3.2-.9-2.1-3.3-3-5.3-2.1z"}},{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}}]})(props);
};
function AiTwotoneContacts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M460.3 526a51.7 52 0 1 0 103.4 0 51.7 52 0 1 0-103.4 0z"}},{"tag":"path","attr":{"d":"M768 352c0 4.4-3.6 8-8 8h-56c-4.4 0-8-3.6-8-8v-56H548v56c0 4.4-3.6 8-8 8h-56c-4.4 0-8-3.6-8-8v-56H328v56c0 4.4-3.6 8-8 8h-56c-4.4 0-8-3.6-8-8v-56H136v496h752V296H768v56zM661 736h-43.8c-4.2 0-7.6-3.3-7.9-7.5-3.8-50.5-46-90.5-97.2-90.5s-93.4 39.9-97.2 90.5c-.3 4.2-3.7 7.5-7.9 7.5h-43.9a8 8 0 0 1-8-8.4c2.8-53.3 31.9-99.6 74.6-126.1-18.1-20-29.1-46.4-29.1-75.5 0-61.9 49.9-112 111.4-112s111.4 50.1 111.4 112c0 29.1-11 55.6-29.1 75.5 42.7 26.4 71.9 72.8 74.7 126.1a8 8 0 0 1-8 8.4z"}},{"tag":"path","attr":{"d":"M594.3 601.5a111.8 111.8 0 0 0 29.1-75.5c0-61.9-49.9-112-111.4-112s-111.4 50.1-111.4 112c0 29.1 11 55.5 29.1 75.5a158.09 158.09 0 0 0-74.6 126.1 8 8 0 0 0 8 8.4H407c4.2 0 7.6-3.3 7.9-7.5 3.8-50.6 46-90.5 97.2-90.5s93.4 40 97.2 90.5c.3 4.2 3.7 7.5 7.9 7.5H661a8 8 0 0 0 8-8.4c-2.8-53.3-32-99.7-74.7-126.1zM512 578c-28.5 0-51.7-23.3-51.7-52s23.2-52 51.7-52 51.7 23.3 51.7 52-23.2 52-51.7 52z"}},{"tag":"path","attr":{"d":"M928 224H768v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H548v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H328v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H96c-17.7 0-32 14.3-32 32v576c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V256c0-17.7-14.3-32-32-32zm-40 568H136V296h120v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56h148v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56h148v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56h120v496z"}}]})(props);
};
function AiTwotoneContainer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M635 771.7c-34.5 28.6-78.2 44.3-123 44.3s-88.5-15.8-123-44.3a194.02 194.02 0 0 1-59.1-84.7H232v201h560V687h-97.9c-11.6 32.8-32 62.3-59.1 84.7z"}},{"tag":"path","attr":{"d":"M320 501h384c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H320c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8z"}},{"tag":"path","attr":{"d":"M832 64H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zm-40 824H232V687h97.9c11.6 32.8 32 62.3 59.1 84.7 34.5 28.5 78.2 44.3 123 44.3s88.5-15.7 123-44.3c27.1-22.4 47.5-51.9 59.1-84.7H792v201zm0-264H643.6l-5.2 24.7C626.4 708.5 573.2 752 512 752s-114.4-43.5-126.5-103.3l-5.2-24.7H232V136h560v488z"}},{"tag":"path","attr":{"d":"M320 341h384c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H320c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiTwotoneControl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M616 440a36 36 0 1 0 72 0 36 36 0 1 0-72 0zM340.4 601.5l1.5 2.4c0 .1.1.1.1.2l.9 1.2c.1.1.2.2.2.3 1 1.3 2 2.5 3.2 3.6l.2.2c.4.4.8.8 1.2 1.1.8.8 1.7 1.5 2.6 2.1h.1l1.2.9c.1.1.3.2.4.3 1.2.8 2.5 1.6 3.9 2.2.2.1.5.2.7.4.4.2.7.3 1.1.5.3.1.7.3 1 .4.5.2 1 .4 1.5.5.4.1.9.3 1.3.4l.9.3 1.4.3c.2.1.5.1.7.2.7.1 1.4.3 2.1.4.2 0 .4 0 .6.1.6.1 1.1.1 1.7.2.2 0 .4 0 .7.1.8 0 1.5.1 2.3.1s1.5 0 2.3-.1c.2 0 .4 0 .7-.1.6 0 1.2-.1 1.7-.2.2 0 .4 0 .6-.1.7-.1 1.4-.2 2.1-.4.2-.1.5-.1.7-.2l1.4-.3.9-.3c.4-.1.9-.3 1.3-.4.5-.2 1-.4 1.5-.5.3-.1.7-.3 1-.4.4-.2.7-.3 1.1-.5.2-.1.5-.2.7-.4 1.3-.7 2.6-1.4 3.9-2.2.1-.1.3-.2.4-.3l1.2-.9h.1c.9-.7 1.8-1.4 2.6-2.1.4-.4.8-.7 1.2-1.1l.2-.2c1.1-1.1 2.2-2.4 3.2-3.6.1-.1.2-.2.2-.3l.9-1.2c0-.1.1-.1.1-.2l1.5-2.4c.1-.2.2-.3.3-.5 2.7-5.1 4.3-10.9 4.3-17s-1.6-12-4.3-17c-.1-.2-.2-.4-.3-.5l-1.5-2.4c0-.1-.1-.1-.1-.2l-.9-1.2c-.1-.1-.2-.2-.2-.3-1-1.3-2-2.5-3.2-3.6l-.2-.2c-.4-.4-.8-.8-1.2-1.1-.8-.8-1.7-1.5-2.6-2.1h-.1l-1.2-.9c-.1-.1-.3-.2-.4-.3-1.2-.8-2.5-1.6-3.9-2.2-.2-.1-.5-.2-.7-.4-.4-.2-.7-.3-1.1-.5-.3-.1-.7-.3-1-.4-.5-.2-1-.4-1.5-.5-.4-.1-.9-.3-1.3-.4l-.9-.3-1.4-.3c-.2-.1-.5-.1-.7-.2-.7-.1-1.4-.3-2.1-.4-.2 0-.4 0-.6-.1-.6-.1-1.1-.1-1.7-.2-.2 0-.4 0-.7-.1-.8 0-1.5-.1-2.3-.1s-1.5 0-2.3.1c-.2 0-.4 0-.7.1-.6 0-1.2.1-1.7.2-.2 0-.4 0-.6.1-.7.1-1.4.2-2.1.4-.2.1-.5.1-.7.2l-1.4.3-.9.3c-.4.1-.9.3-1.3.4-.5.2-1 .4-1.5.5-.3.1-.7.3-1 .4-.4.2-.7.3-1.1.5-.2.1-.5.2-.7.4-1.3.7-2.6 1.4-3.9 2.2-.1.1-.3.2-.4.3l-1.2.9h-.1c-.9.7-1.8 1.4-2.6 2.1-.4.4-.8.7-1.2 1.1l-.2.2a54.8 54.8 0 0 0-3.2 3.6c-.1.1-.2.2-.2.3l-.9 1.2c0 .1-.1.1-.1.2l-1.5 2.4c-.1.2-.2.3-.3.5-2.7 5.1-4.3 10.9-4.3 17s1.6 12 4.3 17c.1.2.2.3.3.5z"}},{"tag":"path","attr":{"d":"M184 840h656V184H184v656zm436.4-499.1c-.2 0-.3.1-.4.1v-77c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v77c-.2 0-.3-.1-.4-.1 42 13.4 72.4 52.7 72.4 99.1 0 46.4-30.4 85.7-72.4 99.1.2 0 .3-.1.4-.1v221c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V539c.2 0 .3.1.4.1-42-13.4-72.4-52.7-72.4-99.1 0-46.4 30.4-85.7 72.4-99.1zM340 485V264c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v221c41.7 13.6 72 52.8 72 99s-30.3 85.5-72 99v77c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-77c-41.7-13.6-72-52.8-72-99s30.3-85.5 72-99z"}},{"tag":"path","attr":{"d":"M340 683v77c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-77c41.7-13.5 72-52.8 72-99s-30.3-85.4-72-99V264c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v221c-41.7 13.5-72 52.8-72 99s30.3 85.4 72 99zm.1-116c.1-.2.2-.3.3-.5l1.5-2.4c0-.1.1-.1.1-.2l.9-1.2c0-.1.1-.2.2-.3 1-1.2 2.1-2.5 3.2-3.6l.2-.2c.4-.4.8-.7 1.2-1.1.8-.7 1.7-1.4 2.6-2.1h.1l1.2-.9c.1-.1.3-.2.4-.3 1.3-.8 2.6-1.5 3.9-2.2.2-.2.5-.3.7-.4.4-.2.7-.3 1.1-.5.3-.1.7-.3 1-.4.5-.1 1-.3 1.5-.5.4-.1.9-.3 1.3-.4l.9-.3 1.4-.3c.2-.1.5-.1.7-.2.7-.2 1.4-.3 2.1-.4.2-.1.4-.1.6-.1.5-.1 1.1-.2 1.7-.2.3-.1.5-.1.7-.1.8-.1 1.5-.1 2.3-.1s1.5.1 2.3.1c.3.1.5.1.7.1.6.1 1.1.1 1.7.2.2.1.4.1.6.1.7.1 1.4.3 2.1.4.2.1.5.1.7.2l1.4.3.9.3c.4.1.9.3 1.3.4.5.1 1 .3 1.5.5.3.1.7.3 1 .4.4.2.7.3 1.1.5.2.2.5.3.7.4 1.4.6 2.7 1.4 3.9 2.2.1.1.3.2.4.3l1.2.9h.1c.9.6 1.8 1.3 2.6 2.1.4.3.8.7 1.2 1.1l.2.2c1.2 1.1 2.2 2.3 3.2 3.6 0 .1.1.2.2.3l.9 1.2c0 .1.1.1.1.2l1.5 2.4A36.03 36.03 0 0 1 408 584c0 6.1-1.6 11.9-4.3 17-.1.2-.2.3-.3.5l-1.5 2.4c0 .1-.1.1-.1.2l-.9 1.2c0 .1-.1.2-.2.3-1 1.2-2.1 2.5-3.2 3.6l-.2.2c-.4.4-.8.7-1.2 1.1-.8.7-1.7 1.4-2.6 2.1h-.1l-1.2.9c-.1.1-.3.2-.4.3-1.3.8-2.6 1.5-3.9 2.2-.2.2-.5.3-.7.4-.4.2-.7.3-1.1.5-.3.1-.7.3-1 .4-.5.1-1 .3-1.5.5-.4.1-.9.3-1.3.4l-.9.3-1.4.3c-.2.1-.5.1-.7.2-.7.2-1.4.3-2.1.4-.2.1-.4.1-.6.1-.5.1-1.1.2-1.7.2-.3.1-.5.1-.7.1-.8.1-1.5.1-2.3.1s-1.5-.1-2.3-.1c-.3-.1-.5-.1-.7-.1-.6-.1-1.1-.1-1.7-.2-.2-.1-.4-.1-.6-.1-.7-.1-1.4-.3-2.1-.4-.2-.1-.5-.1-.7-.2l-1.4-.3-.9-.3c-.4-.1-.9-.3-1.3-.4-.5-.1-1-.3-1.5-.5-.3-.1-.7-.3-1-.4-.4-.2-.7-.3-1.1-.5-.2-.2-.5-.3-.7-.4-1.4-.6-2.7-1.4-3.9-2.2-.1-.1-.3-.2-.4-.3l-1.2-.9h-.1c-.9-.6-1.8-1.3-2.6-2.1-.4-.3-.8-.7-1.2-1.1l-.2-.2c-1.2-1.1-2.2-2.3-3.2-3.6 0-.1-.1-.2-.2-.3l-.9-1.2c0-.1-.1-.1-.1-.2l-1.5-2.4c-.1-.2-.2-.3-.3-.5-2.7-5-4.3-10.9-4.3-17s1.6-11.9 4.3-17zm280.3-27.9c-.1 0-.2-.1-.4-.1v221c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V539c-.1 0-.2.1-.4.1 42-13.4 72.4-52.7 72.4-99.1 0-46.4-30.4-85.7-72.4-99.1.1 0 .2.1.4.1v-77c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v77c.1 0 .2-.1.4-.1-42 13.4-72.4 52.7-72.4 99.1 0 46.4 30.4 85.7 72.4 99.1zM652 404c19.9 0 36 16.1 36 36s-16.1 36-36 36-36-16.1-36-36 16.1-36 36-36z"}}]})(props);
};
function AiTwotoneCopy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M232 706h142c22.1 0 40 17.9 40 40v142h250V264H232v442z"}},{"tag":"path","attr":{"d":"M832 64H296c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h496v688c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V96c0-17.7-14.3-32-32-32z"}},{"tag":"path","attr":{"d":"M704 192H192c-17.7 0-32 14.3-32 32v530.7c0 8.5 3.4 16.6 9.4 22.6l173.3 173.3c2.2 2.2 4.7 4 7.4 5.5v1.9h4.2c3.5 1.3 7.2 2 11 2H704c17.7 0 32-14.3 32-32V224c0-17.7-14.3-32-32-32zM350 856.2L263.9 770H350v86.2zM664 888H414V746c0-22.1-17.9-40-40-40H232V264h432v624z"}}]})(props);
};
function AiTwotoneCopyrightCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm5.5 533c52.9 0 88.8-31.7 93-77.8.4-4.1 3.8-7.3 8-7.3h56.8c2.6 0 4.7 2.1 4.7 4.7 0 82.6-68.7 141.4-162.7 141.4C407.4 734 344 660.8 344 539.1v-52.3C344 364.2 407.4 290 517.3 290c94.3 0 162.7 60.7 162.7 147.4 0 2.6-2.1 4.7-4.7 4.7h-56.7c-4.2 0-7.7-3.2-8-7.4-4-49.6-40-83.4-93-83.4-65.2 0-102.1 48.5-102.2 135.5v52.6c0 85.7 36.8 133.6 102.1 133.6z"}},{"tag":"path","attr":{"d":"M517.6 351.3c53 0 89 33.8 93 83.4.3 4.2 3.8 7.4 8 7.4h56.7c2.6 0 4.7-2.1 4.7-4.7 0-86.7-68.4-147.4-162.7-147.4C407.4 290 344 364.2 344 486.8v52.3C344 660.8 407.4 734 517.3 734c94 0 162.7-58.8 162.7-141.4 0-2.6-2.1-4.7-4.7-4.7h-56.8c-4.2 0-7.6 3.2-8 7.3-4.2 46.1-40.1 77.8-93 77.8-65.3 0-102.1-47.9-102.1-133.6v-52.6c.1-87 37-135.5 102.2-135.5z"}}]})(props);
};
function AiTwotoneCopyright (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm5.5 533c52.9 0 88.8-31.7 93-77.8.4-4.1 3.8-7.3 8-7.3h56.8c2.6 0 4.7 2.1 4.7 4.7 0 82.6-68.7 141.4-162.7 141.4C407.4 734 344 660.8 344 539.1v-52.3C344 364.2 407.4 290 517.3 290c94.3 0 162.7 60.7 162.7 147.4 0 2.6-2.1 4.7-4.7 4.7h-56.7c-4.2 0-7.7-3.2-8-7.4-4-49.6-40-83.4-93-83.4-65.2 0-102.1 48.5-102.2 135.5v52.6c0 85.7 36.8 133.6 102.1 133.6z"}},{"tag":"path","attr":{"d":"M517.6 351.3c53 0 89 33.8 93 83.4.3 4.2 3.8 7.4 8 7.4h56.7c2.6 0 4.7-2.1 4.7-4.7 0-86.7-68.4-147.4-162.7-147.4C407.4 290 344 364.2 344 486.8v52.3C344 660.8 407.4 734 517.3 734c94 0 162.7-58.8 162.7-141.4 0-2.6-2.1-4.7-4.7-4.7h-56.8c-4.2 0-7.6 3.2-8 7.3-4.2 46.1-40.1 77.8-93 77.8-65.3 0-102.1-47.9-102.1-133.6v-52.6c.1-87 37-135.5 102.2-135.5z"}}]})(props);
};
function AiTwotoneCreditCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M136 792h752V440H136v352zm507-144c0-4.4 3.6-8 8-8h165c4.4 0 8 3.6 8 8v72c0 4.4-3.6 8-8 8H651c-4.4 0-8-3.6-8-8v-72zM136 232h752v120H136z"}},{"tag":"path","attr":{"d":"M651 728h165c4.4 0 8-3.6 8-8v-72c0-4.4-3.6-8-8-8H651c-4.4 0-8 3.6-8 8v72c0 4.4 3.6 8 8 8z"}},{"tag":"path","attr":{"d":"M928 160H96c-17.7 0-32 14.3-32 32v640c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V192c0-17.7-14.3-32-32-32zm-40 632H136V440h752v352zm0-440H136V232h752v120z"}}]})(props);
};
function AiTwotoneCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M911.9 283.9v.5L835.5 865c-1 8-7.9 14-15.9 14H204.5c-8.1 0-14.9-6.1-16-14l-76.4-580.6v-.6 1.6L188.5 866c1.1 7.9 7.9 14 16 14h615.1c8 0 14.9-6 15.9-14l76.4-580.6c.1-.5.1-1 0-1.5z"}},{"tag":"path","attr":{"d":"M773.6 810.6l53.9-409.4-139.8 86.1L512 252.9 336.3 487.3l-139.8-86.1 53.8 409.4h523.3zm-374.2-189c0-62.1 50.5-112.6 112.6-112.6s112.6 50.5 112.6 112.6v1c0 62.1-50.5 112.6-112.6 112.6s-112.6-50.5-112.6-112.6v-1z"}},{"tag":"path","attr":{"d":"M512 734.2c61.9 0 112.3-50.2 112.6-112.1v-.5c0-62.1-50.5-112.6-112.6-112.6s-112.6 50.5-112.6 112.6v.5c.3 61.9 50.7 112.1 112.6 112.1zm0-160.9c26.6 0 48.2 21.6 48.2 48.3 0 26.6-21.6 48.3-48.2 48.3s-48.2-21.6-48.2-48.3c0-26.6 21.6-48.3 48.2-48.3z"}},{"tag":"path","attr":{"d":"M188.5 865c1.1 7.9 7.9 14 16 14h615.1c8 0 14.9-6 15.9-14l76.4-580.6v-.5c.3-6.4-6.7-10.8-12.3-7.4L705 396.4 518.4 147.5a8.06 8.06 0 0 0-12.9 0L319 396.4 124.3 276.5c-5.5-3.4-12.6.9-12.2 7.3v.6L188.5 865zm147.8-377.7L512 252.9l175.7 234.4 139.8-86.1-53.9 409.4H250.3l-53.8-409.4 139.8 86.1z"}}]})(props);
};
function AiTwotoneCustomerService (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M696 632h128v192H696zm-496 0h128v192H200z"}},{"tag":"path","attr":{"d":"M512 128c-212.1 0-384 171.9-384 384v360c0 13.3 10.7 24 24 24h184c35.3 0 64-28.7 64-64V624c0-35.3-28.7-64-64-64H200v-48c0-172.3 139.7-312 312-312s312 139.7 312 312v48H688c-35.3 0-64 28.7-64 64v208c0 35.3 28.7 64 64 64h184c13.3 0 24-10.7 24-24V512c0-212.1-171.9-384-384-384zM328 632v192H200V632h128zm496 192H696V632h128v192z"}}]})(props);
};
function AiTwotoneDashboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 188c-99.3 0-192.7 38.7-263 109-70.3 70.2-109 163.6-109 263 0 105.6 44.5 205.5 122.6 276h498.8A371.12 371.12 0 0 0 884 560c0-99.3-38.7-192.7-109-263-70.2-70.3-163.6-109-263-109zm-30 44c0-4.4 3.6-8 8-8h44c4.4 0 8 3.6 8 8v80c0 4.4-3.6 8-8 8h-44c-4.4 0-8-3.6-8-8v-80zM270 582c0 4.4-3.6 8-8 8h-80c-4.4 0-8-3.6-8-8v-44c0-4.4 3.6-8 8-8h80c4.4 0 8 3.6 8 8v44zm90.7-204.4l-31.1 31.1a8.03 8.03 0 0 1-11.3 0l-56.6-56.6a8.03 8.03 0 0 1 0-11.3l31.1-31.1c3.1-3.1 8.2-3.1 11.3 0l56.6 56.6c3.1 3.1 3.1 8.2 0 11.3zm291.1 83.5l-84.5 84.5c5 18.7.2 39.4-14.5 54.1a55.95 55.95 0 0 1-79.2 0 55.95 55.95 0 0 1 0-79.2 55.87 55.87 0 0 1 54.1-14.5l84.5-84.5c3.1-3.1 8.2-3.1 11.3 0l28.3 28.3c3.1 3.1 3.1 8.2 0 11.3zm43-52.4l-31.1-31.1a8.03 8.03 0 0 1 0-11.3l56.6-56.6c3.1-3.1 8.2-3.1 11.3 0l31.1 31.1c3.1 3.1 3.1 8.2 0 11.3l-56.6 56.6a8.03 8.03 0 0 1-11.3 0zM846 538v44c0 4.4-3.6 8-8 8h-80c-4.4 0-8-3.6-8-8v-44c0-4.4 3.6-8 8-8h80c4.4 0 8 3.6 8 8z"}},{"tag":"path","attr":{"d":"M623.5 421.5a8.03 8.03 0 0 0-11.3 0L527.7 506c-18.7-5-39.4-.2-54.1 14.5a55.95 55.95 0 0 0 0 79.2 55.95 55.95 0 0 0 79.2 0 55.87 55.87 0 0 0 14.5-54.1l84.5-84.5c3.1-3.1 3.1-8.2 0-11.3l-28.3-28.3zM490 320h44c4.4 0 8-3.6 8-8v-80c0-4.4-3.6-8-8-8h-44c-4.4 0-8 3.6-8 8v80c0 4.4 3.6 8 8 8z"}},{"tag":"path","attr":{"d":"M924.8 385.6a446.7 446.7 0 0 0-96-142.4 446.7 446.7 0 0 0-142.4-96C631.1 123.8 572.5 112 512 112s-119.1 11.8-174.4 35.2a446.7 446.7 0 0 0-142.4 96 446.7 446.7 0 0 0-96 142.4C75.8 440.9 64 499.5 64 560c0 132.7 58.3 257.7 159.9 343.1l1.7 1.4c5.8 4.8 13.1 7.5 20.6 7.5h531.7c7.5 0 14.8-2.7 20.6-7.5l1.7-1.4C901.7 817.7 960 692.7 960 560c0-60.5-11.9-119.1-35.2-174.4zM761.4 836H262.6A371.12 371.12 0 0 1 140 560c0-99.4 38.7-192.8 109-263 70.3-70.3 163.7-109 263-109 99.4 0 192.8 38.7 263 109 70.3 70.3 109 163.7 109 263 0 105.6-44.5 205.5-122.6 276z"}},{"tag":"path","attr":{"d":"M762.7 340.8l-31.1-31.1a8.03 8.03 0 0 0-11.3 0l-56.6 56.6a8.03 8.03 0 0 0 0 11.3l31.1 31.1c3.1 3.1 8.2 3.1 11.3 0l56.6-56.6c3.1-3.1 3.1-8.2 0-11.3zM750 538v44c0 4.4 3.6 8 8 8h80c4.4 0 8-3.6 8-8v-44c0-4.4-3.6-8-8-8h-80c-4.4 0-8 3.6-8 8zM304.1 309.7a8.03 8.03 0 0 0-11.3 0l-31.1 31.1a8.03 8.03 0 0 0 0 11.3l56.6 56.6c3.1 3.1 8.2 3.1 11.3 0l31.1-31.1c3.1-3.1 3.1-8.2 0-11.3l-56.6-56.6zM262 530h-80c-4.4 0-8 3.6-8 8v44c0 4.4 3.6 8 8 8h80c4.4 0 8-3.6 8-8v-44c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiTwotoneDatabase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M232 616h560V408H232v208zm112-144c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40zM232 888h560V680H232v208zm112-144c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40zM232 344h560V136H232v208zm112-144c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40z"}},{"tag":"path","attr":{"d":"M304 512a40 40 0 1 0 80 0 40 40 0 1 0-80 0zm0 272a40 40 0 1 0 80 0 40 40 0 1 0-80 0zm0-544a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}},{"tag":"path","attr":{"d":"M832 64H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zm-40 824H232V680h560v208zm0-272H232V408h560v208zm0-272H232V136h560v208z"}}]})(props);
};
function AiTwotoneDelete (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M292.7 840h438.6l24.2-512h-487z"}},{"tag":"path","attr":{"d":"M864 256H736v-80c0-35.3-28.7-64-64-64H352c-35.3 0-64 28.7-64 64v80H160c-17.7 0-32 14.3-32 32v32c0 4.4 3.6 8 8 8h60.4l24.7 523c1.6 34.1 29.8 61 63.9 61h454c34.2 0 62.3-26.8 63.9-61l24.7-523H888c4.4 0 8-3.6 8-8v-32c0-17.7-14.3-32-32-32zm-504-72h304v72H360v-72zm371.3 656H292.7l-24.2-512h487l-24.2 512z"}}]})(props);
};
function AiTwotoneDiff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M232 264v624h432V413.8L514.2 264H232zm336 489c0 3.8-3.4 7-7.5 7h-225c-4.1 0-7.5-3.2-7.5-7v-42c0-3.8 3.4-7 7.5-7h225c4.1 0 7.5 3.2 7.5 7v42zm0-262v42c0 3.8-3.4 7-7.5 7H476v84.9c0 3.9-3.1 7.1-7 7.1h-42c-3.8 0-7-3.2-7-7.1V540h-84.5c-4.1 0-7.5-3.2-7.5-7v-42c0-3.9 3.4-7 7.5-7H420v-84.9c0-3.9 3.2-7.1 7-7.1h42c3.9 0 7 3.2 7 7.1V484h84.5c4.1 0 7.5 3.1 7.5 7z"}},{"tag":"path","attr":{"d":"M854.2 306.6L611.3 72.9c-6-5.7-13.9-8.9-22.2-8.9H296c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h277l219 210.6V824c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V329.6c0-8.7-3.5-17-9.8-23z"}},{"tag":"path","attr":{"d":"M553.4 201.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v704c0 17.7 14.3 32 32 32h512c17.7 0 32-14.3 32-32V397.3c0-8.5-3.4-16.6-9.4-22.6L553.4 201.4zM664 888H232V264h282.2L664 413.8V888z"}},{"tag":"path","attr":{"d":"M476 399.1c0-3.9-3.1-7.1-7-7.1h-42c-3.8 0-7 3.2-7 7.1V484h-84.5c-4.1 0-7.5 3.1-7.5 7v42c0 3.8 3.4 7 7.5 7H420v84.9c0 3.9 3.2 7.1 7 7.1h42c3.9 0 7-3.2 7-7.1V540h84.5c4.1 0 7.5-3.2 7.5-7v-42c0-3.9-3.4-7-7.5-7H476v-84.9zM560.5 704h-225c-4.1 0-7.5 3.2-7.5 7v42c0 3.8 3.4 7 7.5 7h225c4.1 0 7.5-3.2 7.5-7v-42c0-3.8-3.4-7-7.5-7z"}}]})(props);
};
function AiTwotoneDislike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M273 100.1v428h.3l-.3-428zM820.4 525l-21.9-19 14-25.5a56.2 56.2 0 0 0 6.9-27.3c0-16.5-7.1-32.2-19.6-43l-21.9-19 13.9-25.4a56.2 56.2 0 0 0 6.9-27.3c0-16.5-7.1-32.2-19.6-43l-21.9-19 13.9-25.4a56.2 56.2 0 0 0 6.9-27.3c0-22.4-13.2-42.6-33.6-51.8H345v345.2c18.6 67.2 46.4 168 83.5 302.5a44.28 44.28 0 0 0 42.2 32.3c7.5.1 15-2.2 21.1-6.7 9.9-7.4 15.2-18.6 14.6-30.5l-9.6-198.4h314.4C829 605.5 840 587.1 840 568c0-16.5-7.1-32.2-19.6-43z"}},{"tag":"path","attr":{"d":"M112 132v364c0 17.7 14.3 32 32 32h65V100h-65c-17.7 0-32 14.3-32 32zm773.9 358.3c3.6-12 5.4-24.4 5.4-37 0-28.3-9.3-55.5-26.1-77.7 3.6-12 5.4-24.4 5.4-37 0-28.3-9.3-55.5-26.1-77.7 3.6-12 5.4-24.4 5.4-37 0-51.6-30.7-98.1-78.3-118.4a66.1 66.1 0 0 0-26.5-5.4H273l.3 428 85.8 310.8C372.9 889 418.9 924 470.9 924c29.7 0 57.4-11.8 77.9-33.4 20.5-21.5 31-49.7 29.5-79.4l-6-122.9h239.9c12.1 0 23.9-3.2 34.3-9.3 40.4-23.5 65.5-66.1 65.5-111 0-28.3-9.3-55.5-26.1-77.7zm-74.7 126.1H496.8l9.6 198.4c.6 11.9-4.7 23.1-14.6 30.5-6.1 4.5-13.6 6.8-21.1 6.7a44.28 44.28 0 0 1-42.2-32.3c-37.1-134.4-64.9-235.2-83.5-302.5V172h399.4a56.85 56.85 0 0 1 33.6 51.8c0 9.7-2.3 18.9-6.9 27.3l-13.9 25.4 21.9 19a56.76 56.76 0 0 1 19.6 43c0 9.7-2.3 18.9-6.9 27.3l-13.9 25.4 21.9 19a56.76 56.76 0 0 1 19.6 43c0 9.7-2.3 18.9-6.9 27.3l-14 25.5 21.9 19a56.76 56.76 0 0 1 19.6 43c0 19.1-11 37.5-28.8 48.4z"}}]})(props);
};
function AiTwotoneDollarCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M426.6 410.3c0 25.4 15.7 45.1 49.5 57.3 4.7 1.9 9.4 3.4 15 5v-124c-37 4.7-64.5 25.4-64.5 61.7zm116.5 135.2c-2.9-.6-5.7-1.3-8.8-2.2V677c42.6-3.8 72-27.3 72-66.4 0-30.7-15.9-50.7-63.2-65.1z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm22.4 589.2l.2 31.7c0 4.5-3.6 8.1-8 8.1h-28.4c-4.4 0-8-3.6-8-8v-31.4c-89-6.5-130.7-57.1-135.2-112.1-.4-4.7 3.3-8.7 8-8.7h46.2c3.9 0 7.3 2.8 7.9 6.6 5.1 31.8 29.9 55.4 74.1 61.3V534l-24.7-6.3c-52.3-12.5-102.1-45.1-102.1-112.7 0-73 55.4-112.1 126.2-119v-33c0-4.4 3.6-8 8-8h28.1c4.4 0 8 3.6 8 8v32.7c68.5 6.9 119.8 46.9 125.9 109.2a8.1 8.1 0 0 1-8 8.8h-44.9c-4 0-7.4-2.9-7.9-6.9-4-29.2-27.5-53-65.5-58.2v134.3l25.4 5.9c64.8 16 108.9 47 109 116.4 0 75.2-56 117.1-134.3 124z"}},{"tag":"path","attr":{"d":"M559.7 488.8l-25.4-5.9V348.6c38 5.2 61.5 29 65.5 58.2.5 4 3.9 6.9 7.9 6.9h44.9c4.7 0 8.4-4.1 8-8.8-6.1-62.3-57.4-102.3-125.9-109.2V263c0-4.4-3.6-8-8-8h-28.1c-4.4 0-8 3.6-8 8v33c-70.8 6.9-126.2 46-126.2 119 0 67.6 49.8 100.2 102.1 112.7l24.7 6.3v142.7c-44.2-5.9-69-29.5-74.1-61.3-.6-3.8-4-6.6-7.9-6.6H363c-4.7 0-8.4 4-8 8.7 4.5 55 46.2 105.6 135.2 112.1V761c0 4.4 3.6 8 8 8h28.4c4.4 0 8-3.6 8-8.1l-.2-31.7c78.3-6.9 134.3-48.8 134.3-124-.1-69.4-44.2-100.4-109-116.4zm-68.6-16.2c-5.6-1.6-10.3-3.1-15-5-33.8-12.2-49.5-31.9-49.5-57.3 0-36.3 27.5-57 64.5-61.7v124zM534.3 677V543.3c3.1.9 5.9 1.6 8.8 2.2 47.3 14.4 63.2 34.4 63.2 65.1 0 39.1-29.4 62.6-72 66.4z"}}]})(props);
};
function AiTwotoneDollar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M426.6 410.3c0 25.4 15.7 45.1 49.5 57.3 4.7 1.9 9.4 3.4 15 5v-124c-37 4.7-64.5 25.4-64.5 61.7zm116.5 135.2c-2.9-.6-5.7-1.3-8.8-2.2V677c42.6-3.8 72-27.3 72-66.4 0-30.7-15.9-50.7-63.2-65.1z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm22.4 589.2l.2 31.7c0 4.5-3.6 8.1-8 8.1h-28.4c-4.4 0-8-3.6-8-8v-31.4c-89-6.5-130.7-57.1-135.2-112.1-.4-4.7 3.3-8.7 8-8.7h46.2c3.9 0 7.3 2.8 7.9 6.6 5.1 31.8 29.9 55.4 74.1 61.3V534l-24.7-6.3c-52.3-12.5-102.1-45.1-102.1-112.7 0-73 55.4-112.1 126.2-119v-33c0-4.4 3.6-8 8-8h28.1c4.4 0 8 3.6 8 8v32.7c68.5 6.9 119.8 46.9 125.9 109.2a8.1 8.1 0 0 1-8 8.8h-44.9c-4 0-7.4-2.9-7.9-6.9-4-29.2-27.5-53-65.5-58.2v134.3l25.4 5.9c64.8 16 108.9 47 109 116.4 0 75.2-56 117.1-134.3 124z"}},{"tag":"path","attr":{"d":"M559.7 488.8l-25.4-5.9V348.6c38 5.2 61.5 29 65.5 58.2.5 4 3.9 6.9 7.9 6.9h44.9c4.7 0 8.4-4.1 8-8.8-6.1-62.3-57.4-102.3-125.9-109.2V263c0-4.4-3.6-8-8-8h-28.1c-4.4 0-8 3.6-8 8v33c-70.8 6.9-126.2 46-126.2 119 0 67.6 49.8 100.2 102.1 112.7l24.7 6.3v142.7c-44.2-5.9-69-29.5-74.1-61.3-.6-3.8-4-6.6-7.9-6.6H363c-4.7 0-8.4 4-8 8.7 4.5 55 46.2 105.6 135.2 112.1V761c0 4.4 3.6 8 8 8h28.4c4.4 0 8-3.6 8-8.1l-.2-31.7c78.3-6.9 134.3-48.8 134.3-124-.1-69.4-44.2-100.4-109-116.4zm-68.6-16.2c-5.6-1.6-10.3-3.1-15-5-33.8-12.2-49.5-31.9-49.5-57.3 0-36.3 27.5-57 64.5-61.7v124zM534.3 677V543.3c3.1.9 5.9 1.6 8.8 2.2 47.3 14.4 63.2 34.4 63.2 65.1 0 39.1-29.4 62.6-72 66.4z"}}]})(props);
};
function AiTwotoneDownCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm184.4 277.7l-178 246a7.95 7.95 0 0 1-12.9 0l-178-246c-3.8-5.3 0-12.7 6.5-12.7h46.9c10.3 0 19.9 4.9 25.9 13.2L512 563.6l105.2-145.4c6-8.3 15.7-13.2 25.9-13.2H690c6.5 0 10.3 7.4 6.4 12.7z"}},{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M690 405h-46.9c-10.2 0-19.9 4.9-25.9 13.2L512 563.6 406.8 418.2c-6-8.3-15.6-13.2-25.9-13.2H334c-6.5 0-10.3 7.4-6.5 12.7l178 246c3.2 4.4 9.7 4.4 12.9 0l178-246c3.9-5.3.1-12.7-6.4-12.7z"}}]})(props);
};
function AiTwotoneDownSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M184 840h656V184H184v656zm150-440h46.9c10.3 0 19.9 4.9 25.9 13.2L512 558.6l105.2-145.4c6-8.3 15.7-13.2 25.9-13.2H690c6.5 0 10.3 7.4 6.4 12.7l-178 246a7.95 7.95 0 0 1-12.9 0l-178-246c-3.8-5.3 0-12.7 6.5-12.7z"}},{"tag":"path","attr":{"d":"M505.5 658.7c3.2 4.4 9.7 4.4 12.9 0l178-246c3.9-5.3.1-12.7-6.4-12.7h-46.9c-10.2 0-19.9 4.9-25.9 13.2L512 558.6 406.8 413.2c-6-8.3-15.6-13.2-25.9-13.2H334c-6.5 0-10.3 7.4-6.5 12.7l178 246z"}}]})(props);
};
function AiTwotoneEdit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M761.1 288.3L687.8 215 325.1 577.6l-15.6 89 88.9-15.7z"}},{"tag":"path","attr":{"d":"M880 836H144c-17.7 0-32 14.3-32 32v36c0 4.4 3.6 8 8 8h784c4.4 0 8-3.6 8-8v-36c0-17.7-14.3-32-32-32zm-622.3-84c2 0 4-.2 6-.5L431.9 722c2-.4 3.9-1.3 5.3-2.8l423.9-423.9a9.96 9.96 0 0 0 0-14.1L694.9 114.9c-1.9-1.9-4.4-2.9-7.1-2.9s-5.2 1-7.1 2.9L256.8 538.8c-1.5 1.5-2.4 3.3-2.8 5.3l-29.5 168.2a33.5 33.5 0 0 0 9.4 29.8c6.6 6.4 14.9 9.9 23.8 9.9zm67.4-174.4L687.8 215l73.3 73.3-362.7 362.6-88.9 15.7 15.6-89z"}}]})(props);
};
function AiTwotoneEnvironment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M724.4 224.9C667.7 169.5 592.3 139 512 139s-155.7 30.5-212.4 85.8C243.1 280 212 353.2 212 431.1c0 241.3 234.1 407.2 300 449.1 65.9-41.9 300-207.8 300-449.1 0-77.9-31.1-151.1-87.6-206.2zM512 615c-97.2 0-176-78.8-176-176s78.8-176 176-176 176 78.8 176 176-78.8 176-176 176z"}},{"tag":"path","attr":{"d":"M512 263c-97.2 0-176 78.8-176 176s78.8 176 176 176 176-78.8 176-176-78.8-176-176-176zm79.2 255.2A111.6 111.6 0 0 1 512 551c-29.9 0-58-11.7-79.2-32.8A111.6 111.6 0 0 1 400 439c0-29.9 11.7-58 32.8-79.2C454 338.6 482.1 327 512 327c29.9 0 58 11.6 79.2 32.8S624 409.1 624 439c0 29.9-11.6 58-32.8 79.2z"}},{"tag":"path","attr":{"d":"M854.6 289.1a362.49 362.49 0 0 0-79.9-115.7 370.83 370.83 0 0 0-118.2-77.8C610.7 76.6 562.1 67 512 67c-50.1 0-98.7 9.6-144.5 28.5-44.3 18.3-84 44.5-118.2 77.8A363.6 363.6 0 0 0 169.4 289c-19.5 45-29.4 92.8-29.4 142 0 70.6 16.9 140.9 50.1 208.7 26.7 54.5 64 107.6 111 158.1 80.3 86.2 164.5 138.9 188.4 153a43.9 43.9 0 0 0 22.4 6.1c7.8 0 15.5-2 22.4-6.1 23.9-14.1 108.1-66.8 188.4-153 47-50.4 84.3-103.6 111-158.1C867.1 572 884 501.8 884 431.1c0-49.2-9.9-97-29.4-142zM512 880.2c-65.9-41.9-300-207.8-300-449.1 0-77.9 31.1-151.1 87.6-206.3C356.3 169.5 431.7 139 512 139s155.7 30.5 212.4 85.9C780.9 280 812 353.2 812 431.1c0 241.3-234.1 407.2-300 449.1z"}}]})(props);
};
function AiTwotoneEuroCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm117.1 581.1c0 3.8-2.7 7-6.4 7.8-15.9 3.4-34.4 5.1-55.3 5.1-109.8 0-183-58.8-200.2-158H337c-4.4 0-8-3.6-8-8v-27.2c0-4.4 3.6-8 8-8h26.1v-36.9c0-4.4 0-8.7.3-12.8H337c-4.4 0-8-3.6-8-8v-27.2c0-4.4 3.6-8 8-8h31.8C388.5 345.7 460.7 290 567.4 290c20.9 0 39.4 1.9 55.3 5.4 3.7.8 6.3 4 6.3 7.8V346a8 8 0 0 1-9.6 7.8c-14.6-2.9-31.8-4.4-51.7-4.4-65.3 0-110.4 33.5-127.6 90.4h128.3c4.4 0 8 3.6 8 8V475c0 4.4-3.6 8-8 8H432.5c-.3 4.4-.3 9.1-.3 13.8v36h136.4c4.4 0 8 3.6 8 8V568c0 4.4-3.6 8-8 8H438c15.3 62 61.3 98.6 129.8 98.6 19.9 0 37.1-1.3 51.8-4.1 4.9-1 9.5 2.8 9.5 7.8v42.8z"}},{"tag":"path","attr":{"d":"M619.6 670.5c-14.7 2.8-31.9 4.1-51.8 4.1-68.5 0-114.5-36.6-129.8-98.6h130.6c4.4 0 8-3.6 8-8v-27.2c0-4.4-3.6-8-8-8H432.2v-36c0-4.7 0-9.4.3-13.8h135.9c4.4 0 8-3.6 8-8v-27.2c0-4.4-3.6-8-8-8H440.1c17.2-56.9 62.3-90.4 127.6-90.4 19.9 0 37.1 1.5 51.7 4.4a8 8 0 0 0 9.6-7.8v-42.8c0-3.8-2.6-7-6.3-7.8-15.9-3.5-34.4-5.4-55.3-5.4-106.7 0-178.9 55.7-198.6 149.9H337c-4.4 0-8 3.6-8 8v27.2c0 4.4 3.6 8 8 8h26.4c-.3 4.1-.3 8.4-.3 12.8v36.9H337c-4.4 0-8 3.6-8 8V568c0 4.4 3.6 8 8 8h30.2c17.2 99.2 90.4 158 200.2 158 20.9 0 39.4-1.7 55.3-5.1 3.7-.8 6.4-4 6.4-7.8v-42.8c0-5-4.6-8.8-9.5-7.8z"}}]})(props);
};
function AiTwotoneEuro (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm117.1 581.1c0 3.8-2.7 7-6.4 7.8-15.9 3.4-34.4 5.1-55.3 5.1-109.8 0-183-58.8-200.2-158H337c-4.4 0-8-3.6-8-8v-27.2c0-4.4 3.6-8 8-8h26.1v-36.9c0-4.4 0-8.7.3-12.8H337c-4.4 0-8-3.6-8-8v-27.2c0-4.4 3.6-8 8-8h31.8C388.5 345.7 460.7 290 567.4 290c20.9 0 39.4 1.9 55.3 5.4 3.7.8 6.3 4 6.3 7.8V346a8 8 0 0 1-9.6 7.8c-14.6-2.9-31.8-4.4-51.7-4.4-65.3 0-110.4 33.5-127.6 90.4h128.3c4.4 0 8 3.6 8 8V475c0 4.4-3.6 8-8 8H432.5c-.3 4.4-.3 9.1-.3 13.8v36h136.4c4.4 0 8 3.6 8 8V568c0 4.4-3.6 8-8 8H438c15.3 62 61.3 98.6 129.8 98.6 19.9 0 37.1-1.3 51.8-4.1 4.9-1 9.5 2.8 9.5 7.8v42.8z"}},{"tag":"path","attr":{"d":"M619.6 670.5c-14.7 2.8-31.9 4.1-51.8 4.1-68.5 0-114.5-36.6-129.8-98.6h130.6c4.4 0 8-3.6 8-8v-27.2c0-4.4-3.6-8-8-8H432.2v-36c0-4.7 0-9.4.3-13.8h135.9c4.4 0 8-3.6 8-8v-27.2c0-4.4-3.6-8-8-8H440.1c17.2-56.9 62.3-90.4 127.6-90.4 19.9 0 37.1 1.5 51.7 4.4a8 8 0 0 0 9.6-7.8v-42.8c0-3.8-2.6-7-6.3-7.8-15.9-3.5-34.4-5.4-55.3-5.4-106.7 0-178.9 55.7-198.6 149.9H337c-4.4 0-8 3.6-8 8v27.2c0 4.4 3.6 8 8 8h26.4c-.3 4.1-.3 8.4-.3 12.8v36.9H337c-4.4 0-8 3.6-8 8V568c0 4.4 3.6 8 8 8h30.2c17.2 99.2 90.4 158 200.2 158 20.9 0 39.4-1.7 55.3-5.1 3.7-.8 6.4-4 6.4-7.8v-42.8c0-5-4.6-8.8-9.5-7.8z"}}]})(props);
};
function AiTwotoneExclamationCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm-32 156c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v272c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V296zm32 440a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96z"}},{"tag":"path","attr":{"d":"M488 576h48c4.4 0 8-3.6 8-8V296c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v272c0 4.4 3.6 8 8 8zm-24 112a48 48 0 1 0 96 0 48 48 0 1 0-96 0z"}}]})(props);
};
function AiTwotoneExperiment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M551.9 513c19.6 0 35.9-14.2 39.3-32.8A40.02 40.02 0 0 1 552 512a40 40 0 0 1-40-39.4v.5c0 22 17.9 39.9 39.9 39.9zM752 687.8l-.3-.3c-29-17.5-62.3-26.8-97-26.8-44.9 0-87.2 15.7-121 43.8a256.27 256.27 0 0 1-164.9 59.9c-41.2 0-81-9.8-116.7-28L210.5 844h603l-59.9-155.2-1.6-1z"}},{"tag":"path","attr":{"d":"M879 824.9L696.3 352V178H768v-68H256v68h71.7v174L145 824.9c-2.8 7.4-4.3 15.2-4.3 23.1 0 35.3 28.7 64 64 64h614.6c7.9 0 15.7-1.5 23.1-4.3 33-12.7 49.4-49.8 36.6-82.8zM395.7 364.7V180h232.6v184.7L719.2 600c-20.7-5.3-42.1-8-63.9-8-61.2 0-119.2 21.5-165.3 60a188.78 188.78 0 0 1-121.3 43.9c-32.7 0-64.1-8.3-91.8-23.7l118.8-307.5zM210.5 844l41.6-107.6.1-.2c35.7 18.1 75.4 27.8 116.6 27.8 61.2 0 119.2-21.5 165.3-60 33.9-28.2 76.3-43.9 121.3-43.9 35 0 68.4 9.5 97.6 27.1l.6 1.6L813.5 844h-603z"}},{"tag":"path","attr":{"d":"M552 512c19.3 0 35.4-13.6 39.2-31.8.6-2.7.8-5.4.8-8.2 0-22.1-17.9-40-40-40s-40 17.9-40 40v.6a40 40 0 0 0 40 39.4z"}}]})(props);
};
function AiTwotoneEyeInvisible (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M254.89,758.85,380.46,633.28A176,176,0,0,1,629.28,384.46L757,256.72Q651.69,186.07,512,186,223.7,186,81.8,486.3a60.3,60.3,0,0,0,0,51.5Q151.07,683.71,254.89,758.85Z"}},{"tag":"path","attr":{"d":"M942.2,486.2Q889.46,375.11,816.7,305L672.48,449.27A176.09,176.09,0,0,1,445.26,676.48L323,798.75Q408,838,512,838q288.3,0,430.2-300.3A60.29,60.29,0,0,0,942.2,486.2Z"}},{"tag":"path","attr":{"d":"M942.2,486.2Q889.47,375.11,816.7,305l-50.88,50.88C807.31,395.53,843.45,447.4,874.7,512,791.5,684.2,673.4,766,512,766q-72.67,0-133.87-22.38L323,798.75Q408,838,512,838q288.3,0,430.2-300.3A60.29,60.29,0,0,0,942.2,486.2Z"}},{"tag":"path","attr":{"d":"M878.63,165.56,836,122.88a8,8,0,0,0-11.32,0L715.31,232.2Q624.86,186,512,186,223.7,186,81.8,486.3a60.3,60.3,0,0,0,0,51.5q56.69,119.4,136.5,191.41L112.48,835a8,8,0,0,0,0,11.31L155.17,889a8,8,0,0,0,11.31,0L878.63,176.88A8,8,0,0,0,878.63,165.56ZM149.3,512C232.6,339.8,350.7,258,512,258c54.54,0,104.13,9.36,149.12,28.39l-70.3,70.3A176,176,0,0,0,352.69,594.82l-83.42,83.42C223.1,637.49,183.3,582.28,149.3,512ZM396,512A112.11,112.11,0,0,1,542.2,405.31L401.31,546.2A112,112,0,0,1,396,512Z"}},{"tag":"path","attr":{"d":"M508,624c-3.46,0-6.87-.16-10.25-.47l-52.82,52.82A176.09,176.09,0,0,0,672.35,448.93l-52.82,52.82c.31,3.38.47,6.79.47,10.25A111.94,111.94,0,0,1,508,624Z"}}]})(props);
};
function AiTwotoneEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M81.8 537.8a60.3 60.3 0 0 1 0-51.5C176.6 286.5 319.8 186 512 186c-192.2 0-335.4 100.5-430.2 300.3a60.3 60.3 0 0 0 0 51.5C176.6 737.5 319.9 838 512 838c-192.1 0-335.4-100.5-430.2-300.2z"}},{"tag":"path","attr":{"d":"M512 258c-161.3 0-279.4 81.8-362.7 254C232.6 684.2 350.7 766 512 766c161.4 0 279.5-81.8 362.7-254C791.4 339.8 673.3 258 512 258zm-4 430c-97.2 0-176-78.8-176-176s78.8-176 176-176 176 78.8 176 176-78.8 176-176 176z"}},{"tag":"path","attr":{"d":"M942.2 486.2C847.4 286.5 704.1 186 512 186c-192.2 0-335.4 100.5-430.2 300.3a60.3 60.3 0 0 0 0 51.5C176.6 737.5 319.9 838 512 838c192.2 0 335.4-100.5 430.2-300.3 7.7-16.2 7.7-35 0-51.5zM512 766c-161.3 0-279.4-81.8-362.7-254C232.6 339.8 350.7 258 512 258s279.4 81.8 362.7 254C791.5 684.2 673.4 766 512 766z"}},{"tag":"path","attr":{"d":"M508 336c-97.2 0-176 78.8-176 176s78.8 176 176 176 176-78.8 176-176-78.8-176-176-176zm0 288c-61.9 0-112-50.1-112-112s50.1-112 112-112 112 50.1 112 112-50.1 112-112 112z"}}]})(props);
};
function AiTwotoneFileAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M534 352V136H232v752h560V394H576a42 42 0 0 1-42-42zm126 236v48c0 4.4-3.6 8-8 8H544v108c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V644H372c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h108V472c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v108h108c4.4 0 8 3.6 8 8z"}},{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM602 137.8L790.2 326H602V137.8zM792 888H232V136h302v216a42 42 0 0 0 42 42h216v494z"}},{"tag":"path","attr":{"d":"M544 472c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v108H372c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h108v108c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V644h108c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H544V472z"}}]})(props);
};
function AiTwotoneFileExcel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M534 352V136H232v752h560V394H576a42 42 0 0 1-42-42zm51.6 120h35.7a12.04 12.04 0 0 1 10.1 18.5L546.1 623l84 130.4c3.6 5.6 2 13-3.6 16.6-2 1.2-4.2 1.9-6.5 1.9h-37.5c-4.1 0-8-2.1-10.2-5.7L510 664.8l-62.7 101.5c-2.2 3.5-6 5.7-10.2 5.7h-34.5a12.04 12.04 0 0 1-10.2-18.4l83.4-132.8-82.3-130.4c-3.6-5.7-1.9-13.1 3.7-16.6 1.9-1.3 4.1-1.9 6.4-1.9H442c4.2 0 8.1 2.2 10.3 5.8l61.8 102.4 61.2-102.3c2.2-3.6 6.1-5.8 10.3-5.8z"}},{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM602 137.8L790.2 326H602V137.8zM792 888H232V136h302v216a42 42 0 0 0 42 42h216v494z"}},{"tag":"path","attr":{"d":"M514.1 580.1l-61.8-102.4c-2.2-3.6-6.1-5.8-10.3-5.8h-38.4c-2.3 0-4.5.6-6.4 1.9-5.6 3.5-7.3 10.9-3.7 16.6l82.3 130.4-83.4 132.8a12.04 12.04 0 0 0 10.2 18.4h34.5c4.2 0 8-2.2 10.2-5.7L510 664.8l62.3 101.4c2.2 3.6 6.1 5.7 10.2 5.7H620c2.3 0 4.5-.7 6.5-1.9 5.6-3.6 7.2-11 3.6-16.6l-84-130.4 85.3-132.5a12.04 12.04 0 0 0-10.1-18.5h-35.7c-4.2 0-8.1 2.2-10.3 5.8l-61.2 102.3z"}}]})(props);
};
function AiTwotoneFileExclamation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M534 352V136H232v752h560V394H576a42 42 0 0 1-42-42zm-54 96c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v184c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V448zm32 336c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40z"}},{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM602 137.8L790.2 326H602V137.8zM792 888H232V136h302v216a42 42 0 0 0 42 42h216v494z"}},{"tag":"path","attr":{"d":"M488 640h48c4.4 0 8-3.6 8-8V448c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v184c0 4.4 3.6 8 8 8zm-16 104a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}}]})(props);
};
function AiTwotoneFileImage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M534 352V136H232v752h560V394H576a42 42 0 0 1-42-42zm-134 50c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40zm296 294H328.1c-6.7 0-10.4-7.7-6.3-12.9l99.8-127.2a8 8 0 0 1 12.6 0l41.1 52.4 77.8-99.2a8.1 8.1 0 0 1 12.7 0l136.5 174c4.1 5.2.4 12.9-6.3 12.9z"}},{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM602 137.8L790.2 326H602V137.8zM792 888H232V136h302v216a42 42 0 0 0 42 42h216v494z"}},{"tag":"path","attr":{"d":"M553.1 509.1l-77.8 99.2-41.1-52.4a8 8 0 0 0-12.6 0l-99.8 127.2a7.98 7.98 0 0 0 6.3 12.9H696c6.7 0 10.4-7.7 6.3-12.9l-136.5-174a8.1 8.1 0 0 0-12.7 0zM360 442a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}}]})(props);
};
function AiTwotoneFileMarkdown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M534 352V136H232v752h560V394H576a42 42 0 0 1-42-42zm72.3 122H641c6.6 0 12 5.4 12 12v272c0 6.6-5.4 12-12 12h-27.2c-6.6 0-12-5.4-12-12V581.7L535 732.3c-2 4.3-6.3 7.1-11 7.1h-24.1a12 12 0 0 1-11-7.1l-66.8-150.2V758c0 6.6-5.4 12-12 12H383c-6.6 0-12-5.4-12-12V486c0-6.6 5.4-12 12-12h35c4.8 0 9.1 2.8 11 7.2l83.2 191 83.1-191c1.9-4.4 6.2-7.2 11-7.2z"}},{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM602 137.8L790.2 326H602V137.8zM792 888H232V136h302v216a42 42 0 0 0 42 42h216v494z"}},{"tag":"path","attr":{"d":"M429 481.2c-1.9-4.4-6.2-7.2-11-7.2h-35c-6.6 0-12 5.4-12 12v272c0 6.6 5.4 12 12 12h27.1c6.6 0 12-5.4 12-12V582.1l66.8 150.2a12 12 0 0 0 11 7.1H524c4.7 0 9-2.8 11-7.1l66.8-150.6V758c0 6.6 5.4 12 12 12H641c6.6 0 12-5.4 12-12V486c0-6.6-5.4-12-12-12h-34.7c-4.8 0-9.1 2.8-11 7.2l-83.1 191-83.2-191z"}}]})(props);
};
function AiTwotoneFilePdf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M509.2 490.8c-.7-1.3-1.4-1.9-2.2-2-2.9 3.3-2.2 31.5 2.7 51.4 4-13.6 4.7-40.5-.5-49.4zm-1.6 120.5c-7.7 20-18.8 47.3-32.1 71.4 4-1.6 8.1-3.3 12.3-5 17.6-7.2 37.3-15.3 58.9-20.2-14.9-11.8-28.4-27.7-39.1-46.2z"}},{"tag":"path","attr":{"d":"M534 352V136H232v752h560V394H576a42 42 0 0 1-42-42zm55 287.6c16.1-1.9 30.6-2.8 44.3-2.3 12.8.4 23.6 2 32 5.1.2.1.3.1.5.2.4.2.8.3 1.2.5.5.2 1.1.4 1.6.7.1.1.3.1.4.2 4.1 1.8 7.5 4 10.1 6.6 9.1 9.1 11.8 26.1 6.2 39.6-3.2 7.7-11.7 20.5-33.3 20.5-21.8 0-53.9-9.7-82.1-24.8-25.5 4.3-53.7 13.9-80.9 23.1-5.8 2-11.8 4-17.6 5.9-38 65.2-66.5 79.4-84.1 79.4-4.2 0-7.8-.9-10.8-2-6.9-2.6-12.8-8-16.5-15-.9-1.7-1.6-3.4-2.2-5.2-1.6-4.8-2.1-9.6-1.3-13.6l.6-2.7c.1-.2.1-.4.2-.6.2-.7.4-1.4.7-2.1 0-.1.1-.2.1-.3 4.1-11.9 13.6-23.4 27.7-34.6 12.3-9.8 27.1-18.7 45.9-28.4 15.9-28 37.6-75.1 51.2-107.4-10.8-41.8-16.7-74.6-10.1-98.6.9-3.3 2.5-6.4 4.6-9.1.2-.2.3-.4.5-.6.1-.1.1-.2.2-.2 6.3-7.5 16.9-11.9 28.1-11.5 16.6.7 29.7 11.5 33 30.1 1.7 8 2.2 16.5 1.9 25.7v.7c0 .5 0 1-.1 1.5-.7 13.3-3 26.6-7.3 44.7-.4 1.6-.8 3.2-1.2 5.2l-1 4.1-.1.3c.1.2.1.3.2.5l1.8 4.5c.1.3.3.7.4 1 .7 1.6 1.4 3.3 2.1 4.8v.1c8.7 18.8 19.7 33.4 33.9 45.1 4.3 3.5 8.9 6.7 13.9 9.8 1.8-.5 3.5-.7 5.3-.9z"}},{"tag":"path","attr":{"d":"M391.5 761c5.7-4.4 16.2-14.5 30.1-34.7-10.3 9.4-23.4 22.4-30.1 34.7zm270.9-83l.2-.3h.2c.6-.4.5-.7.4-.9-.1-.1-4.5-9.3-45.1-7.4 35.3 13.9 43.5 9.1 44.3 8.6z"}},{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM602 137.8L790.2 326H602V137.8zM792 888H232V136h302v216a42 42 0 0 0 42 42h216v494z"}},{"tag":"path","attr":{"d":"M535.9 585.3c-.8-1.7-1.5-3.3-2.2-4.9-.1-.3-.3-.7-.4-1l-1.8-4.5c-.1-.2-.1-.3-.2-.5l.1-.3.2-1.1c4-16.3 8.6-35.3 9.4-54.4v-.7c.3-8.6-.2-17.2-2-25.6-3.8-21.3-19.5-29.6-32.9-30.2-11.3-.5-21.8 4-28.1 11.4-.1.1-.1.2-.2.2-.2.2-.4.4-.5.6-2.1 2.7-3.7 5.8-4.6 9.1-6.6 24-.7 56.8 10.1 98.6-13.6 32.4-35.3 79.4-51.2 107.4v.1c-27.7 14.3-64.1 35.8-73.6 62.9 0 .1-.1.2-.1.3-.2.7-.5 1.4-.7 2.1-.1.2-.1.4-.2.6-.2.9-.5 1.8-.6 2.7-.9 4-.4 8.8 1.3 13.6.6 1.8 1.3 3.5 2.2 5.2 3.7 7 9.6 12.4 16.5 15 3 1.1 6.6 2 10.8 2 17.6 0 46.1-14.2 84.1-79.4 5.8-1.9 11.8-3.9 17.6-5.9 27.2-9.2 55.4-18.8 80.9-23.1 28.2 15.1 60.3 24.8 82.1 24.8 21.6 0 30.1-12.8 33.3-20.5 5.6-13.5 2.9-30.5-6.2-39.6-2.6-2.6-6-4.8-10.1-6.6-.1-.1-.3-.1-.4-.2-.5-.2-1.1-.4-1.6-.7-.4-.2-.8-.3-1.2-.5-.2-.1-.3-.1-.5-.2-16.2-5.8-41.7-6.7-76.3-2.8l-5.3.6c-5-3-9.6-6.3-13.9-9.8-14.2-11.3-25.1-25.8-33.8-44.7zM391.5 761c6.7-12.3 19.8-25.3 30.1-34.7-13.9 20.2-24.4 30.3-30.1 34.7zM507 488.8c.8.1 1.5.7 2.2 2 5.2 8.9 4.5 35.8.5 49.4-4.9-19.9-5.6-48.1-2.7-51.4zm-19.2 188.9c-4.2 1.7-8.3 3.4-12.3 5 13.3-24.1 24.4-51.4 32.1-71.4 10.7 18.5 24.2 34.4 39.1 46.2-21.6 4.9-41.3 13-58.9 20.2zm175.4-.9c.1.2.2.5-.4.9h-.2l-.2.3c-.8.5-9 5.3-44.3-8.6 40.6-1.9 45 7.3 45.1 7.4z"}}]})(props);
};
function AiTwotoneFilePpt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M464.5 516.2v108.4h38.9c44.7 0 71.2-10.9 71.2-54.3 0-34.4-20.1-54.1-53.9-54.1h-56.2z"}},{"tag":"path","attr":{"d":"M534 352V136H232v752h560V394H576a42 42 0 0 1-42-42zm90 218.4c0 55.2-36.8 94.1-96.2 94.1h-63.3V760c0 4.4-3.6 8-8 8H424c-4.4 0-8-3.6-8-8V484c0-4.4 3.6-8 8-8v.1h104c59.7 0 96 39.8 96 94.3z"}},{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM602 137.8L790.2 326H602V137.8zM792 888H232V136h302v216a42 42 0 0 0 42 42h216v494z"}},{"tag":"path","attr":{"d":"M424 476.1c-4.4-.1-8 3.5-8 7.9v276c0 4.4 3.6 8 8 8h32.5c4.4 0 8-3.6 8-8v-95.5h63.3c59.4 0 96.2-38.9 96.2-94.1 0-54.5-36.3-94.3-96-94.3H424zm150.6 94.2c0 43.4-26.5 54.3-71.2 54.3h-38.9V516.2h56.2c33.8 0 53.9 19.7 53.9 54.1z"}}]})(props);
};
function AiTwotoneFileText (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M534 352V136H232v752h560V394H576a42 42 0 0 1-42-42zm-22 322c0 4.4-3.6 8-8 8H320c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h184c4.4 0 8 3.6 8 8v48zm200-184v48c0 4.4-3.6 8-8 8H320c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h384c4.4 0 8 3.6 8 8z"}},{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM602 137.8L790.2 326H602V137.8zM792 888H232V136h302v216a42 42 0 0 0 42 42h216v494z"}},{"tag":"path","attr":{"d":"M312 490v48c0 4.4 3.6 8 8 8h384c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H320c-4.4 0-8 3.6-8 8zm192 128H320c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiTwotoneFileUnknown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M534 352V136H232v752h560V394H576a42 42 0 0 1-42-42zm-22 424c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm110-228.4c.7 44.9-29.7 84.5-74.3 98.9-5.7 1.8-9.7 7.3-9.7 13.3V672c0 5.5-4.5 10-10 10h-32c-5.5 0-10-4.5-10-10v-32c.2-19.8 15.4-37.3 34.7-40.1C549 596.2 570 574.3 570 549c0-28.1-25.8-51.5-58-51.5s-58 23.4-58 51.6c0 5.2-4.4 9.4-9.8 9.4h-32.4c-5.4 0-9.8-4.1-9.8-9.5 0-57.4 50.1-103.7 111.5-103 59.3.8 107.7 46.1 108.5 101.6z"}},{"tag":"path","attr":{"d":"M854.6 288.7L639.4 73.4c-6-6-14.2-9.4-22.7-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.6-9.4-22.6zM602 137.8L790.2 326H602V137.8zM792 888H232V136h302v216a42 42 0 0 0 42 42h216v494z"}},{"tag":"path","attr":{"d":"M480 744a32 32 0 1 0 64 0 32 32 0 1 0-64 0zm-78-195c0 5.4 4.4 9.5 9.8 9.5h32.4c5.4 0 9.8-4.2 9.8-9.4 0-28.2 25.8-51.6 58-51.6s58 23.4 58 51.5c0 25.3-21 47.2-49.3 50.9-19.3 2.8-34.5 20.3-34.7 40.1v32c0 5.5 4.5 10 10 10h32c5.5 0 10-4.5 10-10v-12.2c0-6 4-11.5 9.7-13.3 44.6-14.4 75-54 74.3-98.9-.8-55.5-49.2-100.8-108.5-101.6-61.4-.7-111.5 45.6-111.5 103z"}}]})(props);
};
function AiTwotoneFileWord (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M534 352V136H232v752h560V394H576a42 42 0 0 1-42-42zm101.3 129.3c1.3-5.4 6.1-9.3 11.7-9.3h35.6a12.04 12.04 0 0 1 11.6 15.1l-74.4 276c-1.4 5.3-6.2 8.9-11.6 8.9h-31.8c-5.4 0-10.2-3.7-11.6-8.9l-52.8-197-52.8 197c-1.4 5.3-6.2 8.9-11.6 8.9h-32c-5.4 0-10.2-3.7-11.6-8.9l-74.2-276a12.02 12.02 0 0 1 11.6-15.1h35.4c5.6 0 10.4 3.9 11.7 9.3L434.6 680l49.7-198.9c1.3-5.4 6.1-9.1 11.6-9.1h32.2c5.5 0 10.3 3.7 11.6 9.1l49.8 199.3 45.8-199.1z"}},{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM602 137.8L790.2 326H602V137.8zM792 888H232V136h302v216a42 42 0 0 0 42 42h216v494z"}},{"tag":"path","attr":{"d":"M528.1 472h-32.2c-5.5 0-10.3 3.7-11.6 9.1L434.6 680l-46.1-198.7c-1.3-5.4-6.1-9.3-11.7-9.3h-35.4a12.02 12.02 0 0 0-11.6 15.1l74.2 276c1.4 5.2 6.2 8.9 11.6 8.9h32c5.4 0 10.2-3.6 11.6-8.9l52.8-197 52.8 197c1.4 5.2 6.2 8.9 11.6 8.9h31.8c5.4 0 10.2-3.6 11.6-8.9l74.4-276a12.04 12.04 0 0 0-11.6-15.1H647c-5.6 0-10.4 3.9-11.7 9.3l-45.8 199.1-49.8-199.3c-1.3-5.4-6.1-9.1-11.6-9.1z"}}]})(props);
};
function AiTwotoneFileZip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M344 630h32v2h-32z"}},{"tag":"path","attr":{"d":"M534 352V136H360v64h64v64h-64v64h64v64h-64v64h64v64h-64v62h64v160H296V520h64v-64h-64v-64h64v-64h-64v-64h64v-64h-64v-64h-64v752h560V394H576a42 42 0 0 1-42-42z"}},{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM602 137.8L790.2 326H602V137.8zM792 888H232V136h64v64h64v-64h174v216a42 42 0 0 0 42 42h216v494z"}},{"tag":"path","attr":{"d":"M296 392h64v64h-64zm0-128h64v64h-64zm0 318v160h128V582h-64v-62h-64v62zm48 50v-2h32v64h-32v-62zm16-432h64v64h-64zm0 256h64v64h-64zm0-128h64v64h-64z"}}]})(props);
};
function AiTwotoneFile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M534 352V136H232v752h560V394H576a42 42 0 0 1-42-42z"}},{"tag":"path","attr":{"d":"M854.6 288.6L639.4 73.4c-6-6-14.1-9.4-22.6-9.4H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V311.3c0-8.5-3.4-16.7-9.4-22.7zM602 137.8L790.2 326H602V137.8zM792 888H232V136h302v216a42 42 0 0 0 42 42h216v494z"}}]})(props);
};
function AiTwotoneFilter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M420.6 798h182.9V642H420.6zM411 561.4l9.5 16.6h183l9.5-16.6L811.3 226H212.7z"}},{"tag":"path","attr":{"d":"M880.1 154H143.9c-24.5 0-39.8 26.7-27.5 48L349 597.4V838c0 17.7 14.2 32 31.8 32h262.4c17.6 0 31.8-14.3 31.8-32V597.4L907.7 202c12.2-21.3-3.1-48-27.6-48zM603.5 798H420.6V642h182.9v156zm9.5-236.6l-9.5 16.6h-183l-9.5-16.6L212.7 226h598.6L613 561.4z"}}]})(props);
};
function AiTwotoneFire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M737 438.6c-9.6 15.5-21.1 30.7-34.4 45.6a73.1 73.1 0 0 1-51 24.4 73.36 73.36 0 0 1-53.4-18.8 74.01 74.01 0 0 1-24.4-59.8c3-47.4-12.4-103.1-45.8-165.7-16.9-31.4-37.1-58.2-61.2-80.4a240 240 0 0 1-12.1 46.5 354.26 354.26 0 0 1-58.2 101 349.6 349.6 0 0 1-58.6 56.8c-34 26.1-62 60-80.8 97.9a275.96 275.96 0 0 0-29.1 124c0 74.9 29.5 145.3 83 198.4 53.7 53.2 125 82.4 201 82.4s147.3-29.2 201-82.4c53.5-53 83-123.5 83-198.4 0-39.2-8.1-77.3-24-113.1-9.3-21-21-40.5-35-58.4z"}},{"tag":"path","attr":{"d":"M834.1 469.2A347.49 347.49 0 0 0 751.2 354l-29.1-26.7a8.09 8.09 0 0 0-13 3.3l-13 37.3c-8.1 23.4-23 47.3-44.1 70.8-1.4 1.5-3 1.9-4.1 2-1.1.1-2.8-.1-4.3-1.5-1.4-1.2-2.1-3-2-4.8 3.7-60.2-14.3-128.1-53.7-202C555.3 171 510 123.1 453.4 89.7l-41.3-24.3c-5.4-3.2-12.3 1-12 7.3l2.2 48c1.5 32.8-2.3 61.8-11.3 85.9-11 29.5-26.8 56.9-47 81.5a295.64 295.64 0 0 1-47.5 46.1 352.6 352.6 0 0 0-100.3 121.5A347.75 347.75 0 0 0 160 610c0 47.2 9.3 92.9 27.7 136a349.4 349.4 0 0 0 75.5 110.9c32.4 32 70 57.2 111.9 74.7C418.5 949.8 464.5 959 512 959s93.5-9.2 136.9-27.3A348.6 348.6 0 0 0 760.8 857c32.4-32 57.8-69.4 75.5-110.9a344.2 344.2 0 0 0 27.7-136c0-48.8-10-96.2-29.9-140.9zM713 808.5c-53.7 53.2-125 82.4-201 82.4s-147.3-29.2-201-82.4c-53.5-53.1-83-123.5-83-198.4 0-43.5 9.8-85.2 29.1-124 18.8-37.9 46.8-71.8 80.8-97.9a349.6 349.6 0 0 0 58.6-56.8c25-30.5 44.6-64.5 58.2-101a240 240 0 0 0 12.1-46.5c24.1 22.2 44.3 49 61.2 80.4 33.4 62.6 48.8 118.3 45.8 165.7a74.01 74.01 0 0 0 24.4 59.8 73.36 73.36 0 0 0 53.4 18.8c19.7-1 37.8-9.7 51-24.4 13.3-14.9 24.8-30.1 34.4-45.6 14 17.9 25.7 37.4 35 58.4 15.9 35.8 24 73.9 24 113.1 0 74.9-29.5 145.4-83 198.4z"}}]})(props);
};
function AiTwotoneFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M184 232h368v336H184z"}},{"tag":"path","attr":{"d":"M624 632c0 4.4-3.6 8-8 8H504v73h336V377H624v255z"}},{"tag":"path","attr":{"d":"M880 305H624V192c0-17.7-14.3-32-32-32H184v-40c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v784c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V640h248v113c0 17.7 14.3 32 32 32h416c17.7 0 32-14.3 32-32V337c0-17.7-14.3-32-32-32zM184 568V232h368v336H184zm656 145H504v-73h112c4.4 0 8-3.6 8-8V377h216v336z"}}]})(props);
};
function AiTwotoneFolderAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M372.5 256H184v512h656V370.4H492.1L372.5 256zM540 443.1V528h84.5c4.1 0 7.5 3.1 7.5 7v42c0 3.8-3.4 7-7.5 7H540v84.9c0 3.9-3.1 7.1-7 7.1h-42c-3.8 0-7-3.2-7-7.1V584h-84.5c-4.1 0-7.5-3.2-7.5-7v-42c0-3.9 3.4-7 7.5-7H484v-84.9c0-3.9 3.2-7.1 7-7.1h42c3.9 0 7 3.2 7 7.1z"}},{"tag":"path","attr":{"d":"M880 298.4H521L403.7 186.2a8.15 8.15 0 0 0-5.5-2.2H144c-17.7 0-32 14.3-32 32v592c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V330.4c0-17.7-14.3-32-32-32zM840 768H184V256h188.5l119.6 114.4H840V768z"}},{"tag":"path","attr":{"d":"M484 443.1V528h-84.5c-4.1 0-7.5 3.1-7.5 7v42c0 3.8 3.4 7 7.5 7H484v84.9c0 3.9 3.2 7.1 7 7.1h42c3.9 0 7-3.2 7-7.1V584h84.5c4.1 0 7.5-3.2 7.5-7v-42c0-3.9-3.4-7-7.5-7H540v-84.9c0-3.9-3.1-7.1-7-7.1h-42c-3.8 0-7 3.2-7 7.1z"}}]})(props);
};
function AiTwotoneFolderOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M159 768h612.3l103.4-256H262.3z"}},{"tag":"path","attr":{"d":"M928 444H820V330.4c0-17.7-14.3-32-32-32H473L355.7 186.2a8.15 8.15 0 0 0-5.5-2.2H96c-17.7 0-32 14.3-32 32v592c0 17.7 14.3 32 32 32h698c13 0 24.8-7.9 29.7-20l134-332c1.5-3.8 2.3-7.9 2.3-12 0-17.7-14.3-32-32-32zM136 256h188.5l119.6 114.4H748V444H238c-13 0-24.8 7.9-29.7 20L136 643.2V256zm635.3 512H159l103.3-256h612.4L771.3 768z"}}]})(props);
};
function AiTwotoneFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 298.4H521L403.7 186.2a8.15 8.15 0 0 0-5.5-2.2H144c-17.7 0-32 14.3-32 32v592c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V330.4c0-17.7-14.3-32-32-32zM840 768H184V256h188.5l119.6 114.4H840V768z"}},{"tag":"path","attr":{"d":"M372.5 256H184v512h656V370.4H492.1z"}}]})(props);
};
function AiTwotoneFrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zM288 421a48.01 48.01 0 0 1 96 0 48.01 48.01 0 0 1-96 0zm376 272h-48.1c-4.2 0-7.8-3.2-8.1-7.4C604 636.1 562.5 597 512 597s-92.1 39.1-95.8 88.6c-.3 4.2-3.9 7.4-8.1 7.4H360a8 8 0 0 1-8-8.4c4.4-84.3 74.5-151.6 160-151.6s155.6 67.3 160 151.6a8 8 0 0 1-8 8.4zm24-224a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96z"}},{"tag":"path","attr":{"d":"M288 421a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm224 112c-85.5 0-155.6 67.3-160 151.6a8 8 0 0 0 8 8.4h48.1c4.2 0 7.8-3.2 8.1-7.4 3.7-49.5 45.3-88.6 95.8-88.6s92 39.1 95.8 88.6c.3 4.2 3.9 7.4 8.1 7.4H664a8 8 0 0 0 8-8.4C667.6 600.3 597.5 533 512 533zm128-112a48 48 0 1 0 96 0 48 48 0 1 0-96 0z"}}]})(props);
};
function AiTwotoneFund (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 160H96c-17.7 0-32 14.3-32 32v640c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V192c0-17.7-14.3-32-32-32zm-40 632H136V232h752v560z"}},{"tag":"path","attr":{"d":"M136 792h752V232H136v560zm56.4-130.5l214.9-215c3.1-3.1 8.2-3.1 11.3 0L533 561l254.5-254.6c3.1-3.1 8.2-3.1 11.3 0l36.8 36.8c3.1 3.1 3.1 8.2 0 11.3l-297 297.2a8.03 8.03 0 0 1-11.3 0L412.9 537.2 240.4 709.7a8.03 8.03 0 0 1-11.3 0l-36.7-36.9a8.03 8.03 0 0 1 0-11.3z"}},{"tag":"path","attr":{"d":"M229.1 709.7c3.1 3.1 8.2 3.1 11.3 0l172.5-172.5 114.4 114.5c3.1 3.1 8.2 3.1 11.3 0l297-297.2c3.1-3.1 3.1-8.2 0-11.3l-36.8-36.8a8.03 8.03 0 0 0-11.3 0L533 561 418.6 446.5a8.03 8.03 0 0 0-11.3 0l-214.9 215a8.03 8.03 0 0 0 0 11.3l36.7 36.9z"}}]})(props);
};
function AiTwotoneFunnelPlot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M420.6 798h182.9V650H420.6zM297.7 374h428.6l85-148H212.7zm113.2 197.4l8.4 14.6h185.3l8.4-14.6L689.6 438H334.4z"}},{"tag":"path","attr":{"d":"M880.1 154H143.9c-24.5 0-39.8 26.7-27.5 48L349 607.4V838c0 17.7 14.2 32 31.8 32h262.4c17.6 0 31.8-14.3 31.8-32V607.4L907.7 202c12.2-21.3-3.1-48-27.6-48zM603.5 798H420.6V650h182.9v148zm9.5-226.6l-8.4 14.6H419.3l-8.4-14.6L334.4 438h355.2L613 571.4zM726.3 374H297.7l-85-148h598.6l-85 148z"}}]})(props);
};
function AiTwotoneGift (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M546 378h298v104H546zM228 550h250v308H228zm-48-172h298v104H180zm366 172h250v308H546z"}},{"tag":"path","attr":{"d":"M880 310H732.4c13.6-21.4 21.6-46.8 21.6-74 0-76.1-61.9-138-138-138-41.4 0-78.7 18.4-104 47.4-25.3-29-62.6-47.4-104-47.4-76.1 0-138 61.9-138 138 0 27.2 7.9 52.6 21.6 74H144c-17.7 0-32 14.3-32 32v200c0 4.4 3.6 8 8 8h40v344c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V550h40c4.4 0 8-3.6 8-8V342c0-17.7-14.3-32-32-32zM478 858H228V550h250v308zm0-376H180V378h298v104zm0-176h-70c-38.6 0-70-31.4-70-70s31.4-70 70-70 70 31.4 70 70v70zm68-70c0-38.6 31.4-70 70-70s70 31.4 70 70-31.4 70-70 70h-70v-70zm250 622H546V550h250v308zm48-376H546V378h298v104z"}}]})(props);
};
function AiTwotoneGold (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M435.7 558.7c-.6-3.9-4-6.7-7.9-6.7H166.2c-3.9 0-7.3 2.8-7.9 6.7l-40.2 248c-.1.4-.1.9-.1 1.3 0 4.4 3.6 8 8 8h342c.4 0 .9 0 1.3-.1 4.4-.7 7.3-4.8 6.6-9.2l-40.2-248zM196.5 748l20.7-128h159.5l20.7 128H196.5zm709.4 58.7l-40.2-248c-.6-3.9-4-6.7-7.9-6.7H596.2c-3.9 0-7.3 2.8-7.9 6.7l-40.2 248c-.1.4-.1.9-.1 1.3 0 4.4 3.6 8 8 8h342c.4 0 .9 0 1.3-.1 4.3-.7 7.3-4.8 6.6-9.2zM626.5 748l20.7-128h159.5l20.7 128H626.5zM342 472h342c.4 0 .9 0 1.3-.1 4.4-.7 7.3-4.8 6.6-9.2l-40.2-248c-.6-3.9-4-6.7-7.9-6.7H382.2c-3.9 0-7.3 2.8-7.9 6.7l-40.2 248c-.1.4-.1.9-.1 1.3 0 4.4 3.6 8 8 8zm91.2-196h159.5l20.7 128h-201l20.8-128z"}},{"tag":"path","attr":{"d":"M592.7 276H433.2l-20.8 128h201zM217.2 620l-20.7 128h200.9l-20.7-128zm430 0l-20.7 128h200.9l-20.7-128z"}}]})(props);
};
function AiTwotoneHdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M232 888h560V680H232v208zm448-140c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40zM232 616h560V408H232v208zm72-128c0-4.4 3.6-8 8-8h184c4.4 0 8 3.6 8 8v48c0 4.4-3.6 8-8 8H312c-4.4 0-8-3.6-8-8v-48zm-72-144h560V136H232v208zm72-128c0-4.4 3.6-8 8-8h184c4.4 0 8 3.6 8 8v48c0 4.4-3.6 8-8 8H312c-4.4 0-8-3.6-8-8v-48z"}},{"tag":"path","attr":{"d":"M832 64H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zm-40 824H232V680h560v208zm0-272H232V408h560v208zm0-272H232V136h560v208z"}},{"tag":"path","attr":{"d":"M312 544h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H312c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8zm0-272h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H312c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8zm328 516a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}}]})(props);
};
function AiTwotoneHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M923 283.6a260.04 260.04 0 0 0-56.9-82.8 264.4 264.4 0 0 0-84-55.5A265.34 265.34 0 0 0 679.7 125c-49.3 0-97.4 13.5-139.2 39-10 6.1-19.5 12.8-28.5 20.1-9-7.3-18.5-14-28.5-20.1-41.8-25.5-89.9-39-139.2-39-35.5 0-69.9 6.8-102.4 20.3-31.4 13-59.7 31.7-84 55.5a258.44 258.44 0 0 0-56.9 82.8c-13.9 32.3-21 66.6-21 101.9 0 33.3 6.8 68 20.3 103.3 11.3 29.5 27.5 60.1 48.2 91 32.8 48.9 77.9 99.9 133.9 151.6 92.8 85.7 184.7 144.9 188.6 147.3l23.7 15.2c10.5 6.7 24 6.7 34.5 0l23.7-15.2c3.9-2.5 95.7-61.6 188.6-147.3 56-51.7 101.1-102.7 133.9-151.6 20.7-30.9 37-61.5 48.2-91 13.5-35.3 20.3-70 20.3-103.3.1-35.3-7-69.6-20.9-101.9zM512 814.8S156 586.7 156 385.5C156 283.6 240.3 201 344.3 201c73.1 0 136.5 40.8 167.7 100.4C543.2 241.8 606.6 201 679.7 201c104 0 188.3 82.6 188.3 184.5 0 201.2-356 429.3-356 429.3z"}},{"tag":"path","attr":{"d":"M679.7 201c-73.1 0-136.5 40.8-167.7 100.4C480.8 241.8 417.4 201 344.3 201c-104 0-188.3 82.6-188.3 184.5 0 201.2 356 429.3 356 429.3s356-228.1 356-429.3C868 283.6 783.7 201 679.7 201z"}}]})(props);
};
function AiTwotoneHighlight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M229.6 796.3h160.2l54.3-54.1-80.1-78.9zm220.7-397.1l262.8 258.9 147.3-145-262.8-259zm-77.1 166.1l171.4 168.9 68.6-67.6-171.4-168.9z"}},{"tag":"path","attr":{"d":"M957.6 507.5L603.2 158.3a7.9 7.9 0 0 0-11.2 0L353.3 393.5a8.03 8.03 0 0 0-.1 11.3l.1.1 40 39.4-117.2 115.3a8.03 8.03 0 0 0-.1 11.3l.1.1 39.5 38.9-189.1 187H72.1c-4.4 0-8.1 3.6-8.1 8v55.2c0 4.4 3.6 8 8 8h344.9c2.1 0 4.1-.8 5.6-2.3l76.1-75.6L539 830a7.9 7.9 0 0 0 11.2 0l117.1-115.6 40.1 39.5a7.9 7.9 0 0 0 11.2 0l238.7-235.2c3.4-3 3.4-8 .3-11.2zM389.8 796.3H229.6l134.4-133 80.1 78.9-54.3 54.1zm154.8-62.1L373.2 565.3l68.6-67.6 171.4 168.9-68.6 67.6zm168.5-76.1L450.3 399.2l147.3-145.1 262.8 259-147.3 145z"}}]})(props);
};
function AiTwotoneHome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512.1 172.6l-370 369.7h96V868H392V640c0-22.1 17.9-40 40-40h160c22.1 0 40 17.9 40 40v228h153.9V542.3H882L535.2 195.7l-23.1-23.1zm434.5 422.9c-6 6-13.1 10.8-20.8 13.9 7.7-3.2 14.8-7.9 20.8-13.9zm-887-34.7c5 30.3 31.4 53.5 63.1 53.5h.9c-31.9 0-58.9-23-64-53.5zm-.9-10.5v-1.9 1.9zm.1-2.6c.1-3.1.5-6.1 1-9.1-.6 2.9-.9 6-1 9.1z"}},{"tag":"path","attr":{"d":"M951 510c0-.1-.1-.1-.1-.2l-1.8-2.1c-.1-.1-.2-.3-.4-.4-.7-.8-1.5-1.6-2.2-2.4L560.1 118.8l-25.9-25.9a31.5 31.5 0 0 0-44.4 0L77.5 505a63.6 63.6 0 0 0-16 26.6l-.6 2.1-.3 1.1-.3 1.2c-.2.7-.3 1.4-.4 2.1 0 .1 0 .3-.1.4-.6 3-.9 6-1 9.1v3.3c0 .5 0 1 .1 1.5 0 .5 0 .9.1 1.4 0 .5.1 1 .1 1.5 0 .6.1 1.2.2 1.8 0 .3.1.6.1.9l.3 2.5v.1c5.1 30.5 32.2 53.5 64 53.5h42.5V940h691.7V614.3h43.4c8.6 0 16.9-1.7 24.5-4.9s14.7-7.9 20.8-13.9a63.6 63.6 0 0 0 18.7-45.3c0-14.7-5-28.8-14.3-40.2zM568 868H456V664h112v204zm217.9-325.7V868H632V640c0-22.1-17.9-40-40-40H432c-22.1 0-40 17.9-40 40v228H238.1V542.3h-96l370-369.7 23.1 23.1L882 542.3h-96.1z"}}]})(props);
};
function AiTwotoneHourglass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 548c-42.2 0-81.9 16.4-111.7 46.3A156.63 156.63 0 0 0 354 706v134h316V706c0-42.2-16.4-81.9-46.3-111.7A156.63 156.63 0 0 0 512 548zM354 318c0 42.2 16.4 81.9 46.3 111.7C430.1 459.6 469.8 476 512 476s81.9-16.4 111.7-46.3C653.6 399.9 670 360.2 670 318V184H354v134z"}},{"tag":"path","attr":{"d":"M742 318V184h86c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8H196c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h86v134c0 81.5 42.4 153.2 106.4 194-64 40.8-106.4 112.5-106.4 194v134h-86c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h632c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-86V706c0-81.5-42.4-153.2-106.4-194 64-40.8 106.4-112.5 106.4-194zm-72 388v134H354V706c0-42.2 16.4-81.9 46.3-111.7C430.1 564.4 469.8 548 512 548s81.9 16.4 111.7 46.3C653.6 624.1 670 663.8 670 706zm0-388c0 42.2-16.4 81.9-46.3 111.7C593.9 459.6 554.2 476 512 476s-81.9-16.4-111.7-46.3A156.63 156.63 0 0 1 354 318V184h316v134z"}}]})(props);
};
function AiTwotoneHtml5 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M145 96l66 746.6L511.8 928l299.6-85.4L878.7 96H145zm610.9 700.6l-244.1 69.6-245.2-69.6-56.7-641.2h603.8l-57.8 641.2z"}},{"tag":"path","attr":{"d":"M209.9 155.4l56.7 641.2 245.2 69.6 244.1-69.6 57.8-641.2H209.9zm530.4 117.9l-4.8 47.2-1.7 19.5H381.7l8.2 94.2H511v-.2h214.7l-3.2 24.3-21.2 242.2-1.7 16.3-187.7 51.7v.4h-1.7l-188.6-52-11.3-144.7h91l6.5 73.2 102.4 27.7h.8v-.2l102.4-27.7 11.4-118.5H511.9v.1H305.4l-22.7-253.5L281 249h461l-1.7 24.3z"}},{"tag":"path","attr":{"d":"M281 249l1.7 24.3 22.7 253.5h206.5v-.1h112.9l-11.4 118.5L511 672.9v.2h-.8l-102.4-27.7-6.5-73.2h-91l11.3 144.7 188.6 52h1.7v-.4l187.7-51.7 1.7-16.3 21.2-242.2 3.2-24.3H511v.2H389.9l-8.2-94.2h352.1l1.7-19.5 4.8-47.2L742 249H511z"}}]})(props);
};
function AiTwotoneIdcard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 160H96c-17.7 0-32 14.3-32 32v640c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V192c0-17.7-14.3-32-32-32zm-40 632H136V232h752v560z"}},{"tag":"path","attr":{"d":"M136 792h752V232H136v560zm472-372c0-4.4 1-8 2.3-8h123.4c1.3 0 2.3 3.6 2.3 8v48c0 4.4-1 8-2.3 8H610.3c-1.3 0-2.3-3.6-2.3-8v-48zm0 144c0-4.4 3.2-8 7.1-8h185.7c3.9 0 7.1 3.6 7.1 8v48c0 4.4-3.2 8-7.1 8H615.1c-3.9 0-7.1-3.6-7.1-8v-48zM216.2 664.6c2.8-53.3 31.9-99.6 74.6-126.1-18.1-20-29.1-46.4-29.1-75.5 0-61.9 49.9-112 111.4-112s111.4 50.1 111.4 112c0 29.1-11 55.6-29.1 75.5 42.6 26.4 71.8 72.8 74.6 126.1a8 8 0 0 1-8 8.4h-43.9c-4.2 0-7.6-3.3-7.9-7.5-3.8-50.5-46-90.5-97.2-90.5s-93.4 40-97.2 90.5c-.3 4.2-3.7 7.5-7.9 7.5H224c-4.6 0-8.2-3.8-7.8-8.4z"}},{"tag":"path","attr":{"d":"M321.3 463a51.7 52 0 1 0 103.4 0 51.7 52 0 1 0-103.4 0z"}},{"tag":"path","attr":{"d":"M610.3 476h123.4c1.3 0 2.3-3.6 2.3-8v-48c0-4.4-1-8-2.3-8H610.3c-1.3 0-2.3 3.6-2.3 8v48c0 4.4 1 8 2.3 8zm4.8 144h185.7c3.9 0 7.1-3.6 7.1-8v-48c0-4.4-3.2-8-7.1-8H615.1c-3.9 0-7.1 3.6-7.1 8v48c0 4.4 3.2 8 7.1 8zM224 673h43.9c4.2 0 7.6-3.3 7.9-7.5 3.8-50.5 46-90.5 97.2-90.5s93.4 40 97.2 90.5c.3 4.2 3.7 7.5 7.9 7.5H522a8 8 0 0 0 8-8.4c-2.8-53.3-32-99.7-74.6-126.1a111.8 111.8 0 0 0 29.1-75.5c0-61.9-49.9-112-111.4-112s-111.4 50.1-111.4 112c0 29.1 11 55.5 29.1 75.5a158.09 158.09 0 0 0-74.6 126.1c-.4 4.6 3.2 8.4 7.8 8.4zm149-262c28.5 0 51.7 23.3 51.7 52s-23.2 52-51.7 52-51.7-23.3-51.7-52 23.2-52 51.7-52z"}}]})(props);
};
function AiTwotoneInfoCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm32 588c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V456c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v272zm-32-344a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96z"}},{"tag":"path","attr":{"d":"M464 336a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm72 112h-48c-4.4 0-8 3.6-8 8v272c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V456c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiTwotoneInsurance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M866.9 169.9L527.1 54.1C523 52.7 517.5 52 512 52s-11 .7-15.1 2.1L157.1 169.9c-8.3 2.8-15.1 12.4-15.1 21.2v482.4c0 8.8 5.7 20.4 12.6 25.9L499.3 968c3.5 2.7 8 4.1 12.6 4.1s9.2-1.4 12.6-4.1l344.7-268.6c6.9-5.4 12.6-17 12.6-25.9V191.1c.2-8.8-6.6-18.3-14.9-21.2zM810 654.3L512 886.5 214 654.3V226.7l298-101.6 298 101.6v427.6z"}},{"tag":"path","attr":{"d":"M521.9 358.8h97.9v41.6h-97.9z"}},{"tag":"path","attr":{"d":"M214 226.7v427.6l298 232.2 298-232.2V226.7L512 125.1 214 226.7zM413.3 656h-.2c0 4.4-3.6 8-8 8h-37.3c-4.4 0-8-3.6-8-8V471.4c-7.7 9.2-15.4 17.9-23.1 26a6.04 6.04 0 0 1-10.2-2.4l-13.2-43.5c-.6-2-.2-4.1 1.2-5.6 37-43.4 64.7-95.1 82.2-153.6 1.1-3.5 5-5.3 8.4-3.7l38.6 18.3c2.7 1.3 4.1 4.4 3.2 7.2a429.2 429.2 0 0 1-33.6 79V656zm257.9-340v127.2c0 4.4-3.6 8-8 8h-66.7v18.6h98.8c4.4 0 8 3.6 8 8v35.6c0 4.4-3.6 8-8 8h-59c18.1 29.1 41.8 54.3 72.3 76.9 2.6 2.1 3.2 5.9 1.2 8.5l-26.3 35.3a5.92 5.92 0 0 1-8.9.7c-30.6-29.3-56.8-65.2-78.1-106.9V656c0 4.4-3.6 8-8 8h-36.2c-4.4 0-8-3.6-8-8V536c-22 44.7-49 80.8-80.6 107.6a6.38 6.38 0 0 1-4.8 1.4c-1.7-.3-3.2-1.3-4.1-2.8L432 605.7a6 6 0 0 1 1.6-8.1c28.6-20.3 51.9-45.2 71-76h-55.1c-4.4 0-8-3.6-8-8V478c0-4.4 3.6-8 8-8h94.9v-18.6h-65.9c-4.4 0-8-3.6-8-8V316c0-4.4 3.6-8 8-8h184.7c4.4 0 8 3.6 8 8z"}},{"tag":"path","attr":{"d":"M443.7 306.9l-38.6-18.3c-3.4-1.6-7.3.2-8.4 3.7-17.5 58.5-45.2 110.2-82.2 153.6a5.7 5.7 0 0 0-1.2 5.6l13.2 43.5c1.4 4.5 7 5.8 10.2 2.4 7.7-8.1 15.4-16.8 23.1-26V656c0 4.4 3.6 8 8 8h37.3c4.4 0 8-3.6 8-8h.2V393.1a429.2 429.2 0 0 0 33.6-79c.9-2.8-.5-5.9-3.2-7.2zm26.8 9.1v127.4c0 4.4 3.6 8 8 8h65.9V470h-94.9c-4.4 0-8 3.6-8 8v35.6c0 4.4 3.6 8 8 8h55.1c-19.1 30.8-42.4 55.7-71 76a6 6 0 0 0-1.6 8.1l22.8 36.5c.9 1.5 2.4 2.5 4.1 2.8 1.7.3 3.5-.2 4.8-1.4 31.6-26.8 58.6-62.9 80.6-107.6v120c0 4.4 3.6 8 8 8h36.2c4.4 0 8-3.6 8-8V535.9c21.3 41.7 47.5 77.6 78.1 106.9 2.6 2.5 6.7 2.2 8.9-.7l26.3-35.3c2-2.6 1.4-6.4-1.2-8.5-30.5-22.6-54.2-47.8-72.3-76.9h59c4.4 0 8-3.6 8-8v-35.6c0-4.4-3.6-8-8-8h-98.8v-18.6h66.7c4.4 0 8-3.6 8-8V316c0-4.4-3.6-8-8-8H478.5c-4.4 0-8 3.6-8 8zm51.4 42.8h97.9v41.6h-97.9v-41.6z"}}]})(props);
};
function AiTwotoneInteraction (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M184 840h656V184H184v656zm114-401.9c0-55.3 44.6-100.1 99.7-100.1h205.8v-53.4c0-5.6 6.5-8.8 10.9-5.3L723.5 365c3.5 2.7 3.5 8 0 10.7l-109.1 85.7c-4.4 3.5-10.9.4-10.9-5.3v-53.4H397.8c-19.6 0-35.5 15.9-35.5 35.6v78.9c0 3.8-3.1 6.8-6.8 6.8h-50.7c-3.8 0-6.8-3-6.8-7v-78.9zm2.6 210.3l109.1-85.7c4.4-3.5 10.9-.4 10.9 5.3v53.4h205.6c19.6 0 35.5-15.9 35.5-35.6v-78.9c0-3.8 3.1-6.8 6.8-6.8h50.7c3.8 0 6.8 3.1 6.8 6.8v78.9c0 55.3-44.6 100.1-99.7 100.1H420.6v53.4c0 5.6-6.5 8.8-10.9 5.3l-109.1-85.7c-3.5-2.7-3.5-8 0-10.5z"}},{"tag":"path","attr":{"d":"M304.8 524h50.7c3.7 0 6.8-3 6.8-6.8v-78.9c0-19.7 15.9-35.6 35.5-35.6h205.7v53.4c0 5.7 6.5 8.8 10.9 5.3l109.1-85.7c3.5-2.7 3.5-8 0-10.7l-109.1-85.7c-4.4-3.5-10.9-.3-10.9 5.3V338H397.7c-55.1 0-99.7 44.8-99.7 100.1V517c0 4 3 7 6.8 7zm-4.2 134.9l109.1 85.7c4.4 3.5 10.9.3 10.9-5.3v-53.4h205.7c55.1 0 99.7-44.8 99.7-100.1v-78.9c0-3.7-3-6.8-6.8-6.8h-50.7c-3.7 0-6.8 3-6.8 6.8v78.9c0 19.7-15.9 35.6-35.5 35.6H420.6V568c0-5.7-6.5-8.8-10.9-5.3l-109.1 85.7c-3.5 2.5-3.5 7.8 0 10.5z"}}]})(props);
};
function AiTwotoneLayout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M384 185h456v136H384zm-200 0h136v656H184zm696-73H144c-17.7 0-32 14.3-32 32v1c0-17.7 14.3-32 32-32h736c17.7 0 32 14.3 32 32v-1c0-17.7-14.3-32-32-32zM384 385h456v456H384z"}},{"tag":"path","attr":{"d":"M880 113H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V145c0-17.7-14.3-32-32-32zM320 841H184V185h136v656zm520 0H384V385h456v456zm0-520H384V185h456v136z"}}]})(props);
};
function AiTwotoneLeftCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm104 240.9c0 10.3-4.9 19.9-13.2 25.9L457.4 512l145.4 105.1c8.3 6 13.2 15.7 13.2 25.9v46.9c0 6.5-7.4 10.3-12.7 6.5l-246-178a7.95 7.95 0 0 1 0-12.9l246-178c5.3-3.8 12.7 0 12.7 6.5v46.9z"}},{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M603.3 327.5l-246 178a7.95 7.95 0 0 0 0 12.9l246 178c5.3 3.8 12.7 0 12.7-6.5V643c0-10.2-4.9-19.9-13.2-25.9L457.4 512l145.4-105.2c8.3-6 13.2-15.6 13.2-25.9V334c0-6.5-7.4-10.3-12.7-6.5z"}}]})(props);
};
function AiTwotoneLeftSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M184 840h656V184H184v656zm181.3-334.5l246-178c5.3-3.8 12.7 0 12.7 6.5v46.9c0 10.3-4.9 19.9-13.2 25.9L465.4 512l145.4 105.2c8.3 6 13.2 15.7 13.2 25.9V690c0 6.5-7.4 10.3-12.7 6.4l-246-178a7.95 7.95 0 0 1 0-12.9z"}},{"tag":"path","attr":{"d":"M365.3 518.4l246 178c5.3 3.9 12.7.1 12.7-6.4v-46.9c0-10.2-4.9-19.9-13.2-25.9L465.4 512l145.4-105.2c8.3-6 13.2-15.6 13.2-25.9V334c0-6.5-7.4-10.3-12.7-6.5l-246 178a7.95 7.95 0 0 0 0 12.9z"}}]})(props);
};
function AiTwotoneLike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M273 495.9v428l.3-428zm538.2-88.3H496.8l9.6-198.4c.6-11.9-4.7-23.1-14.6-30.5-6.1-4.5-13.6-6.8-21.1-6.7-19.6.1-36.9 13.4-42.2 32.3-37.1 134.4-64.9 235.2-83.5 302.5V852h399.4a56.85 56.85 0 0 0 33.6-51.8c0-9.7-2.3-18.9-6.9-27.3l-13.9-25.4 21.9-19a56.76 56.76 0 0 0 19.6-43c0-9.7-2.3-18.9-6.9-27.3l-13.9-25.4 21.9-19a56.76 56.76 0 0 0 19.6-43c0-9.7-2.3-18.9-6.9-27.3l-14-25.5 21.9-19a56.76 56.76 0 0 0 19.6-43c0-19.1-11-37.5-28.8-48.4z"}},{"tag":"path","attr":{"d":"M112 528v364c0 17.7 14.3 32 32 32h65V496h-65c-17.7 0-32 14.3-32 32zm773.9 5.7c16.8-22.2 26.1-49.4 26.1-77.7 0-44.9-25.1-87.5-65.5-111a67.67 67.67 0 0 0-34.3-9.3H572.3l6-122.9c1.5-29.7-9-57.9-29.5-79.4a106.4 106.4 0 0 0-77.9-33.4c-52 0-98 35-111.8 85.1l-85.8 310.8-.3 428h472.1c9.3 0 18.2-1.8 26.5-5.4 47.6-20.3 78.3-66.8 78.3-118.4 0-12.6-1.8-25-5.4-37 16.8-22.2 26.1-49.4 26.1-77.7 0-12.6-1.8-25-5.4-37 16.8-22.2 26.1-49.4 26.1-77.7 0-12.6-1.8-25-5.4-37zM820.4 499l-21.9 19 14 25.5a56.2 56.2 0 0 1 6.9 27.3c0 16.5-7.1 32.2-19.6 43l-21.9 19 13.9 25.4a56.2 56.2 0 0 1 6.9 27.3c0 16.5-7.1 32.2-19.6 43l-21.9 19 13.9 25.4a56.2 56.2 0 0 1 6.9 27.3c0 22.4-13.2 42.6-33.6 51.8H345V506.8c18.6-67.2 46.4-168 83.5-302.5a44.28 44.28 0 0 1 42.2-32.3c7.5-.1 15 2.2 21.1 6.7 9.9 7.4 15.2 18.6 14.6 30.5l-9.6 198.4h314.4C829 418.5 840 436.9 840 456c0 16.5-7.1 32.2-19.6 43z"}}]})(props);
};
function AiTwotoneLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 464h-68V240c0-70.7-57.3-128-128-128H388c-70.7 0-128 57.3-128 128v224h-68c-17.7 0-32 14.3-32 32v384c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V496c0-17.7-14.3-32-32-32zM332 240c0-30.9 25.1-56 56-56h248c30.9 0 56 25.1 56 56v224H332V240zm460 600H232V536h560v304z"}},{"tag":"path","attr":{"d":"M232 840h560V536H232v304zm280-226a48.01 48.01 0 0 1 28 87v53c0 4.4-3.6 8-8 8h-40c-4.4 0-8-3.6-8-8v-53a48.01 48.01 0 0 1 28-87z"}},{"tag":"path","attr":{"d":"M484 701v53c0 4.4 3.6 8 8 8h40c4.4 0 8-3.6 8-8v-53a48.01 48.01 0 1 0-56 0z"}}]})(props);
};
function AiTwotoneMail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M477.5 536.3L135.9 270.7l-27.5-21.4 27.6 21.5V792h752V270.8L546.2 536.3a55.99 55.99 0 0 1-68.7 0z"}},{"tag":"path","attr":{"d":"M876.3 198.8l39.3 50.5-27.6 21.5 27.7-21.5-39.3-50.5z"}},{"tag":"path","attr":{"d":"M928 160H96c-17.7 0-32 14.3-32 32v640c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V192c0-17.7-14.3-32-32-32zm-94.5 72.1L512 482 190.5 232.1h643zm54.5 38.7V792H136V270.8l-27.6-21.5 27.5 21.4 341.6 265.6a55.99 55.99 0 0 0 68.7 0L888 270.8l27.6-21.5-39.3-50.5h.1l39.3 50.5-27.7 21.5z"}}]})(props);
};
function AiTwotoneMedicineBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M244.3 328L184 513.4V840h656V513.4L779.7 328H244.3zM660 628c0 4.4-3.6 8-8 8H544v108c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V636H372c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h108V464c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v108h108c4.4 0 8 3.6 8 8v48z"}},{"tag":"path","attr":{"d":"M652 572H544V464c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v108H372c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h108v108c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V636h108c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}},{"tag":"path","attr":{"d":"M839.2 278.1a32 32 0 0 0-30.4-22.1H736V144c0-17.7-14.3-32-32-32H320c-17.7 0-32 14.3-32 32v112h-72.8a31.9 31.9 0 0 0-30.4 22.1L112 502v378c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V502l-72.8-223.9zM360 184h304v72H360v-72zm480 656H184V513.4L244.3 328h535.4L840 513.4V840z"}}]})(props);
};
function AiTwotoneMeh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zM288 421a48.01 48.01 0 0 1 96 0 48.01 48.01 0 0 1-96 0zm384 200c0 4.4-3.6 8-8 8H360c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h304c4.4 0 8 3.6 8 8v48zm16-152a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96z"}},{"tag":"path","attr":{"d":"M288 421a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm376 144H360c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h304c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zm-24-144a48 48 0 1 0 96 0 48 48 0 1 0-96 0z"}}]})(props);
};
function AiTwotoneMessage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M775.3 248.9a369.62 369.62 0 0 0-119-80A370.2 370.2 0 0 0 512.1 140h-1.7c-99.7.4-193 39.4-262.8 109.9-69.9 70.5-108 164.1-107.6 263.8.3 60.3 15.3 120.2 43.5 173.1l4.5 8.4V836h140.8l8.4 4.5c52.9 28.2 112.8 43.2 173.1 43.5h1.7c99 0 192-38.2 262.1-107.6 70.4-69.8 109.5-163.1 110.1-262.7.2-50.6-9.5-99.6-28.9-145.8a370.15 370.15 0 0 0-80-119zM312 560a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96zm200 0a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96zm200 0a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96z"}},{"tag":"path","attr":{"d":"M664 512a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm-400 0a48 48 0 1 0 96 0 48 48 0 1 0-96 0z"}},{"tag":"path","attr":{"d":"M925.2 338.4c-22.6-53.7-55-101.9-96.3-143.3a444.35 444.35 0 0 0-143.3-96.3C630.6 75.7 572.2 64 512 64h-2c-60.6.3-119.3 12.3-174.5 35.9a445.35 445.35 0 0 0-142 96.5c-40.9 41.3-73 89.3-95.2 142.8-23 55.4-34.6 114.3-34.3 174.9A449.4 449.4 0 0 0 112 714v152a46 46 0 0 0 46 46h152.1A449.4 449.4 0 0 0 510 960h2.1c59.9 0 118-11.6 172.7-34.3a444.48 444.48 0 0 0 142.8-95.2c41.3-40.9 73.8-88.7 96.5-142 23.6-55.2 35.6-113.9 35.9-174.5.3-60.9-11.5-120-34.8-175.6zm-151.1 438C704 845.8 611 884 512 884h-1.7c-60.3-.3-120.2-15.3-173.1-43.5l-8.4-4.5H188V695.2l-4.5-8.4C155.3 633.9 140.3 574 140 513.7c-.4-99.7 37.7-193.3 107.6-263.8 69.8-70.5 163.1-109.5 262.8-109.9h1.7c50 0 98.5 9.7 144.2 28.9 44.6 18.7 84.6 45.6 119 80 34.3 34.3 61.3 74.4 80 119 19.4 46.2 29.1 95.2 28.9 145.8-.6 99.6-39.7 192.9-110.1 262.7z"}},{"tag":"path","attr":{"d":"M464 512a48 48 0 1 0 96 0 48 48 0 1 0-96 0z"}}]})(props);
};
function AiTwotoneMinusCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm192 396c0 4.4-3.6 8-8 8H328c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h368c4.4 0 8 3.6 8 8v48z"}},{"tag":"path","attr":{"d":"M696 480H328c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h368c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiTwotoneMinusSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M184 840h656V184H184v656zm136-352c0-4.4 3.6-8 8-8h368c4.4 0 8 3.6 8 8v48c0 4.4-3.6 8-8 8H328c-4.4 0-8-3.6-8-8v-48z"}},{"tag":"path","attr":{"d":"M328 544h368c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H328c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiTwotoneMobile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M744 64H280c-35.3 0-64 28.7-64 64v768c0 35.3 28.7 64 64 64h464c35.3 0 64-28.7 64-64V128c0-35.3-28.7-64-64-64zm-8 824H288V136h448v752z"}},{"tag":"path","attr":{"d":"M288 888h448V136H288v752zm224-142c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40z"}},{"tag":"path","attr":{"d":"M472 786a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}}]})(props);
};
function AiTwotoneMoneyCollect (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M256 744.4l256 93.1 256-93.1V184H256v560.4zM359.7 313c1.2-.7 2.5-1 3.8-1h55.7a8 8 0 0 1 7.1 4.4L511 485.2h3.3L599 316.4c1.3-2.7 4.1-4.4 7.1-4.4h54.5c4.4 0 8 3.6 8.1 7.9 0 1.3-.4 2.6-1 3.8L564 515.3h57.6c4.4 0 8 3.6 8 8v27.1c0 4.4-3.6 8-8 8h-76.3v39h76.3c4.4 0 8 3.6 8 8v27.1c0 4.4-3.6 8-8 8h-76.3V704c0 4.4-3.6 8-8 8h-49.9c-4.4 0-8-3.6-8-8v-63.4h-76c-4.4 0-8-3.6-8-8v-27.1c0-4.4 3.6-8 8-8h76v-39h-76c-4.4 0-8-3.6-8-8v-27.1c0-4.4 3.6-8 8-8h57L356.5 323.8c-2.1-3.8-.7-8.7 3.2-10.8z"}},{"tag":"path","attr":{"d":"M911.5 700.7a8 8 0 0 0-10.3-4.8L840 718.2V180c0-37.6-30.4-68-68-68H252c-37.6 0-68 30.4-68 68v538.2l-61.3-22.3c-.9-.3-1.8-.5-2.7-.5-4.4 0-8 3.6-8 8V763c0 3.3 2.1 6.3 5.3 7.5L501 910.1c7.1 2.6 14.8 2.6 21.9 0l383.8-139.5c3.2-1.2 5.3-4.2 5.3-7.5v-59.6c0-1-.2-1.9-.5-2.8zM768 744.4l-256 93.1-256-93.1V184h512v560.4z"}},{"tag":"path","attr":{"d":"M460.4 515.4h-57c-4.4 0-8 3.6-8 8v27.1c0 4.4 3.6 8 8 8h76v39h-76c-4.4 0-8 3.6-8 8v27.1c0 4.4 3.6 8 8 8h76V704c0 4.4 3.6 8 8 8h49.9c4.4 0 8-3.6 8-8v-63.5h76.3c4.4 0 8-3.6 8-8v-27.1c0-4.4-3.6-8-8-8h-76.3v-39h76.3c4.4 0 8-3.6 8-8v-27.1c0-4.4-3.6-8-8-8H564l103.7-191.6c.6-1.2 1-2.5 1-3.8-.1-4.3-3.7-7.9-8.1-7.9h-54.5c-3 0-5.8 1.7-7.1 4.4l-84.7 168.8H511l-84.7-168.8a8 8 0 0 0-7.1-4.4h-55.7c-1.3 0-2.6.3-3.8 1-3.9 2.1-5.3 7-3.2 10.8l103.9 191.6z"}}]})(props);
};
function AiTwotoneNotification (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M229.6 678.1c-3.7 11.6-5.6 23.9-5.6 36.4 0-12.5 2-24.8 5.7-36.4h-.1zm76.3-260.2H184v188.2h121.9l12.9 5.2L840 820.7V203.3L318.8 412.7z"}},{"tag":"path","attr":{"d":"M880 112c-3.8 0-7.7.7-11.6 2.3L292 345.9H128c-8.8 0-16 7.4-16 16.6v299c0 9.2 7.2 16.6 16 16.6h101.7c-3.7 11.6-5.7 23.9-5.7 36.4 0 65.9 53.8 119.5 120 119.5 55.4 0 102.1-37.6 115.9-88.4l408.6 164.2c3.9 1.5 7.8 2.3 11.6 2.3 16.9 0 32-14.2 32-33.2V145.2C912 126.2 897 112 880 112zM344 762.3c-26.5 0-48-21.4-48-47.8 0-11.2 3.9-21.9 11-30.4l84.9 34.1c-2 24.6-22.7 44.1-47.9 44.1zm496 58.4L318.8 611.3l-12.9-5.2H184V417.9h121.9l12.9-5.2L840 203.3v617.4z"}}]})(props);
};
function AiTwotonePauseCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm-80 524c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V360c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v304zm224 0c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V360c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v304z"}},{"tag":"path","attr":{"d":"M424 352h-48c-4.4 0-8 3.6-8 8v304c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V360c0-4.4-3.6-8-8-8zm224 0h-48c-4.4 0-8 3.6-8 8v304c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V360c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiTwotonePhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M721.7 184.9L610.9 295.8l120.8 120.7-8 21.6A481.29 481.29 0 0 1 438 723.9l-21.6 8-.9-.9-119.8-120-110.8 110.9 104.5 104.5c10.8 10.7 26 15.7 40.8 13.2 117.9-19.5 235.4-82.9 330.9-178.4s158.9-213.1 178.4-331c2.5-14.8-2.5-30-13.3-40.8L721.7 184.9z"}},{"tag":"path","attr":{"d":"M877.1 238.7L770.6 132.3c-13-13-30.4-20.3-48.8-20.3s-35.8 7.2-48.8 20.3L558.3 246.8c-13 13-20.3 30.5-20.3 48.9 0 18.5 7.2 35.8 20.3 48.9l89.6 89.7a405.46 405.46 0 0 1-86.4 127.3c-36.7 36.9-79.6 66-127.2 86.6l-89.6-89.7c-13-13-30.4-20.3-48.8-20.3a68.2 68.2 0 0 0-48.8 20.3L132.3 673c-13 13-20.3 30.5-20.3 48.9 0 18.5 7.2 35.8 20.3 48.9l106.4 106.4c22.2 22.2 52.8 34.9 84.2 34.9 6.5 0 12.8-.5 19.2-1.6 132.4-21.8 263.8-92.3 369.9-198.3C818 606 888.4 474.6 910.4 342.1c6.3-37.6-6.3-76.3-33.3-103.4zm-37.6 91.5c-19.5 117.9-82.9 235.5-178.4 331s-213 158.9-330.9 178.4c-14.8 2.5-30-2.5-40.8-13.2L184.9 721.9 295.7 611l119.8 120 .9.9 21.6-8a481.29 481.29 0 0 0 285.7-285.8l8-21.6-120.8-120.7 110.8-110.9 104.5 104.5c10.8 10.8 15.8 26 13.3 40.8z"}}]})(props);
};
function AiTwotonePicture (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M928 160H96c-17.7 0-32 14.3-32 32v640c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V192c0-17.7-14.3-32-32-32zm-40 632H136v-39.9l138.5-164.3 150.1 178L658.1 489 888 761.6V792zm0-129.8L664.2 396.8c-3.2-3.8-9-3.8-12.2 0L424.6 666.4l-144-170.7c-3.2-3.8-9-3.8-12.2 0L136 652.7V232h752v430.2z"}},{"tag":"path","attr":{"d":"M424.6 765.8l-150.1-178L136 752.1V792h752v-30.4L658.1 489z"}},{"tag":"path","attr":{"d":"M136 652.7l132.4-157c3.2-3.8 9-3.8 12.2 0l144 170.7L652 396.8c3.2-3.8 9-3.8 12.2 0L888 662.2V232H136v420.7zM304 280a88 88 0 1 1 0 176 88 88 0 0 1 0-176z"}},{"tag":"path","attr":{"d":"M276 368a28 28 0 1 0 56 0 28 28 0 1 0-56 0z"}},{"tag":"path","attr":{"d":"M304 456a88 88 0 1 0 0-176 88 88 0 0 0 0 176zm0-116c15.5 0 28 12.5 28 28s-12.5 28-28 28-28-12.5-28-28 12.5-28 28-28z"}}]})(props);
};
function AiTwotonePieChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M316.2 920.5c-47.6-20.1-90.4-49-127.1-85.7a398.19 398.19 0 0 1-85.7-127.1A397.12 397.12 0 0 1 72 552.2v.2a398.57 398.57 0 0 0 117 282.5c36.7 36.7 79.4 65.5 127 85.6A396.64 396.64 0 0 0 471.6 952c27 0 53.6-2.7 79.7-7.9-25.9 5.2-52.4 7.8-79.3 7.8-54 .1-106.4-10.5-155.8-31.4zM560 472c-4.4 0-8-3.6-8-8V79.9c0-1.3.3-2.5.9-3.6-.9 1.3-1.5 2.9-1.5 4.6v383.7c0 4.4 3.6 8 8 8l383.6-1c1.6 0 3.1-.5 4.4-1.3-1 .5-2.2.7-3.4.7l-384 1z"}},{"tag":"path","attr":{"d":"M619.8 147.6v256.6l256.4-.7c-13-62.5-44.3-120.5-90-166.1a332.24 332.24 0 0 0-166.4-89.8z"}},{"tag":"path","attr":{"d":"M438 221.7c-75.9 7.6-146.2 40.9-200.8 95.5C174.5 379.9 140 463.3 140 552s34.5 172.1 97.2 234.8c62.3 62.3 145.1 96.8 233.2 97.2 88.2.4 172.7-34.1 235.3-96.2C761 733 794.6 662.3 802.3 586H438V221.7z"}},{"tag":"path","attr":{"d":"M864 518H506V160c0-4.4-3.6-8-8-8h-26a398.46 398.46 0 0 0-282.8 117.1 398.19 398.19 0 0 0-85.7 127.1A397.61 397.61 0 0 0 72 552v.2c0 53.9 10.6 106.2 31.4 155.5 20.1 47.6 49 90.4 85.7 127.1 36.7 36.7 79.5 65.6 127.1 85.7A397.61 397.61 0 0 0 472 952c26.9 0 53.4-2.6 79.3-7.8 26.1-5.3 51.7-13.1 76.4-23.6 47.6-20.1 90.4-49 127.1-85.7 36.7-36.7 65.6-79.5 85.7-127.1A397.61 397.61 0 0 0 872 552v-26c0-4.4-3.6-8-8-8zM705.7 787.8A331.59 331.59 0 0 1 470.4 884c-88.1-.4-170.9-34.9-233.2-97.2C174.5 724.1 140 640.7 140 552s34.5-172.1 97.2-234.8c54.6-54.6 124.9-87.9 200.8-95.5V586h364.3c-7.7 76.3-41.3 147-96.6 201.8z"}},{"tag":"path","attr":{"d":"M952 462.4l-2.6-28.2c-8.5-92.1-49.4-179-115.2-244.6A399.4 399.4 0 0 0 589 74.6L560.7 72c-3.4-.3-6.4 1.5-7.8 4.3a8.7 8.7 0 0 0-.9 3.6V464c0 4.4 3.6 8 8 8l384-1c1.2 0 2.3-.3 3.4-.7a8.1 8.1 0 0 0 4.6-7.9zm-332.2-58.2V147.6a332.24 332.24 0 0 1 166.4 89.8c45.7 45.6 77 103.6 90 166.1l-256.4.7z"}}]})(props);
};
function AiTwotonePlayCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm164.1 378.2L457.7 677.1a8.02 8.02 0 0 1-12.7-6.5V353a8 8 0 0 1 12.7-6.5l218.4 158.8a7.9 7.9 0 0 1 0 12.9z"}},{"tag":"path","attr":{"d":"M676.1 505.3L457.7 346.5A8 8 0 0 0 445 353v317.6a8.02 8.02 0 0 0 12.7 6.5l218.4-158.9a7.9 7.9 0 0 0 0-12.9z"}}]})(props);
};
function AiTwotonePlaySquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M184 840h656V184H184v656zm240-484.7c0-9.4 10.9-14.7 18.3-8.8l199.4 156.7a11.2 11.2 0 0 1 0 17.6L442.3 677.6c-7.4 5.8-18.3.6-18.3-8.8V355.3z"}},{"tag":"path","attr":{"d":"M442.3 677.6l199.4-156.8a11.2 11.2 0 0 0 0-17.6L442.3 346.5c-7.4-5.9-18.3-.6-18.3 8.8v313.5c0 9.4 10.9 14.6 18.3 8.8z"}}]})(props);
};
function AiTwotonePlusCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm192 396c0 4.4-3.6 8-8 8H544v152c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V544H328c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h152V328c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v152h152c4.4 0 8 3.6 8 8v48z"}},{"tag":"path","attr":{"d":"M696 480H544V328c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v152H328c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h152v152c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V544h152c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiTwotonePlusSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M184 840h656V184H184v656zm136-352c0-4.4 3.6-8 8-8h152V328c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v152h152c4.4 0 8 3.6 8 8v48c0 4.4-3.6 8-8 8H544v152c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V544H328c-4.4 0-8-3.6-8-8v-48z"}},{"tag":"path","attr":{"d":"M328 544h152v152c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V544h152c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H544V328c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v152H328c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiTwotonePoundCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm146 582.1c0 4.4-3.6 8-8 8H376.2c-4.4 0-8-3.6-8-8v-38.5c0-3.7 2.5-6.9 6.1-7.8 44-10.9 72.8-49 72.8-94.2 0-14.7-2.5-29.4-5.9-44.2H374c-4.4 0-8-3.6-8-8v-30c0-4.4 3.6-8 8-8h53.7c-7.8-25.1-14.6-50.7-14.6-77.1 0-75.8 58.6-120.3 151.5-120.3 26.5 0 51.4 5.5 70.3 12.7 3.1 1.2 5.2 4.2 5.2 7.5v39.5a8 8 0 0 1-10.6 7.6c-17.9-6.4-39-10.5-60.4-10.5-53.3 0-87.3 26.6-87.3 70.2 0 24.7 6.2 47.9 13.4 70.5h112c4.4 0 8 3.6 8 8v30c0 4.4-3.6 8-8 8h-98.6c3.1 13.2 5.3 26.9 5.3 41 0 40.7-16.5 73.9-43.9 91.1v4.7h180c4.4 0 8 3.6 8 8v39.8z"}},{"tag":"path","attr":{"d":"M650 674.3H470v-4.7c27.4-17.2 43.9-50.4 43.9-91.1 0-14.1-2.2-27.8-5.3-41h98.6c4.4 0 8-3.6 8-8v-30c0-4.4-3.6-8-8-8h-112c-7.2-22.6-13.4-45.8-13.4-70.5 0-43.6 34-70.2 87.3-70.2 21.4 0 42.5 4.1 60.4 10.5a8 8 0 0 0 10.6-7.6v-39.5c0-3.3-2.1-6.3-5.2-7.5-18.9-7.2-43.8-12.7-70.3-12.7-92.9 0-151.5 44.5-151.5 120.3 0 26.4 6.8 52 14.6 77.1H374c-4.4 0-8 3.6-8 8v30c0 4.4 3.6 8 8 8h67.2c3.4 14.8 5.9 29.5 5.9 44.2 0 45.2-28.8 83.3-72.8 94.2-3.6.9-6.1 4.1-6.1 7.8v38.5c0 4.4 3.6 8 8 8H650c4.4 0 8-3.6 8-8v-39.8c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiTwotonePrinter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M360 180h304v152H360zm492 220H172c-6.6 0-12 5.4-12 12v292h132V500h440v204h132V412c0-6.6-5.4-12-12-12zm-24 84c0 4.4-3.6 8-8 8h-40c-4.4 0-8-3.6-8-8v-40c0-4.4 3.6-8 8-8h40c4.4 0 8 3.6 8 8v40z"}},{"tag":"path","attr":{"d":"M852 332H732V120c0-4.4-3.6-8-8-8H300c-4.4 0-8 3.6-8 8v212H172c-44.2 0-80 35.8-80 80v328c0 17.7 14.3 32 32 32h168v132c0 4.4 3.6 8 8 8h424c4.4 0 8-3.6 8-8V772h168c17.7 0 32-14.3 32-32V412c0-44.2-35.8-80-80-80zM360 180h304v152H360V180zm304 664H360V568h304v276zm200-140H732V500H292v204H160V412c0-6.6 5.4-12 12-12h680c6.6 0 12 5.4 12 12v292z"}},{"tag":"path","attr":{"d":"M820 436h-40c-4.4 0-8 3.6-8 8v40c0 4.4 3.6 8 8 8h40c4.4 0 8-3.6 8-8v-40c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiTwotoneProfile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M184 840h656V184H184v656zm300-496c0-4.4 3.6-8 8-8h184c4.4 0 8 3.6 8 8v48c0 4.4-3.6 8-8 8H492c-4.4 0-8-3.6-8-8v-48zm0 144c0-4.4 3.6-8 8-8h184c4.4 0 8 3.6 8 8v48c0 4.4-3.6 8-8 8H492c-4.4 0-8-3.6-8-8v-48zm0 144c0-4.4 3.6-8 8-8h184c4.4 0 8 3.6 8 8v48c0 4.4-3.6 8-8 8H492c-4.4 0-8-3.6-8-8v-48zM380 328c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40zm0 144c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40zm0 144c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40z"}},{"tag":"path","attr":{"d":"M340 656a40 40 0 1 0 80 0 40 40 0 1 0-80 0zm0-144a40 40 0 1 0 80 0 40 40 0 1 0-80 0zm0-144a40 40 0 1 0 80 0 40 40 0 1 0-80 0zm152 320h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H492c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8zm0-144h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H492c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8zm0-144h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H492c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiTwotoneProject (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M184 840h656V184H184v656zm472-560c0-4.4 3.6-8 8-8h80c4.4 0 8 3.6 8 8v256c0 4.4-3.6 8-8 8h-80c-4.4 0-8-3.6-8-8V280zm-192 0c0-4.4 3.6-8 8-8h80c4.4 0 8 3.6 8 8v184c0 4.4-3.6 8-8 8h-80c-4.4 0-8-3.6-8-8V280zm-192 0c0-4.4 3.6-8 8-8h80c4.4 0 8 3.6 8 8v464c0 4.4-3.6 8-8 8h-80c-4.4 0-8-3.6-8-8V280z"}},{"tag":"path","attr":{"d":"M280 752h80c4.4 0 8-3.6 8-8V280c0-4.4-3.6-8-8-8h-80c-4.4 0-8 3.6-8 8v464c0 4.4 3.6 8 8 8zm192-280h80c4.4 0 8-3.6 8-8V280c0-4.4-3.6-8-8-8h-80c-4.4 0-8 3.6-8 8v184c0 4.4 3.6 8 8 8zm192 72h80c4.4 0 8-3.6 8-8V280c0-4.4-3.6-8-8-8h-80c-4.4 0-8 3.6-8 8v256c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiTwotonePropertySafety (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M866.9 169.9L527.1 54.1C523 52.7 517.5 52 512 52s-11 .7-15.1 2.1L157.1 169.9c-8.3 2.8-15.1 12.4-15.1 21.2v482.4c0 8.8 5.7 20.4 12.6 25.9L499.3 968c3.5 2.7 8 4.1 12.6 4.1s9.2-1.4 12.6-4.1l344.7-268.6c6.9-5.4 12.6-17 12.6-25.9V191.1c.2-8.8-6.6-18.3-14.9-21.2zM810 654.3L512 886.5 214 654.3V226.7l298-101.6 298 101.6v427.6z"}},{"tag":"path","attr":{"d":"M214 226.7v427.6l298 232.2 298-232.2V226.7L512 125.1 214 226.7zM593.9 318h45c5.5 0 10 4.5 10 10 .1 1.7-.3 3.3-1.1 4.8l-87.7 161.1h45.7c5.5 0 10 4.5 10 10v21.3c0 5.5-4.5 10-10 10h-63.4v29.7h63.4c5.5 0 10 4.5 10 10v21.3c0 5.5-4.5 10-10 10h-63.4V658c0 5.5-4.5 10-10 10h-41.3c-5.5 0-10-4.5-10-10v-51.8H418c-5.5 0-10-4.5-10-10v-21.3c0-5.5 4.5-10 10-10h63.1v-29.7H418c-5.5 0-10-4.5-10-10v-21.3c0-5.5 4.5-10 10-10h45.2l-88-161.1c-2.6-4.8-.9-10.9 4-13.6 1.5-.8 3.1-1.2 4.8-1.2h46c3.8 0 7.2 2.1 8.9 5.5l72.9 144.3L585 323.5a10 10 0 0 1 8.9-5.5z"}},{"tag":"path","attr":{"d":"M438.9 323.5a9.88 9.88 0 0 0-8.9-5.5h-46c-1.7 0-3.3.4-4.8 1.2-4.9 2.7-6.6 8.8-4 13.6l88 161.1H418c-5.5 0-10 4.5-10 10v21.3c0 5.5 4.5 10 10 10h63.1v29.7H418c-5.5 0-10 4.5-10 10v21.3c0 5.5 4.5 10 10 10h63.1V658c0 5.5 4.5 10 10 10h41.3c5.5 0 10-4.5 10-10v-51.8h63.4c5.5 0 10-4.5 10-10v-21.3c0-5.5-4.5-10-10-10h-63.4v-29.7h63.4c5.5 0 10-4.5 10-10v-21.3c0-5.5-4.5-10-10-10h-45.7l87.7-161.1c.8-1.5 1.2-3.1 1.1-4.8 0-5.5-4.5-10-10-10h-45a10 10 0 0 0-8.9 5.5l-73.2 144.3-72.9-144.3z"}}]})(props);
};
function AiTwotonePushpin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M474.8 357.7l-24.5 24.5-34.4-3.8c-9.6-1.1-19.3-1.6-28.9-1.6-29 0-57.5 4.7-84.7 14.1-14 4.8-27.4 10.8-40.3 17.9l353.1 353.3a259.92 259.92 0 0 0 30.4-153.9l-3.8-34.4 24.5-24.5L800 415.5 608.5 224 474.8 357.7z"}},{"tag":"path","attr":{"d":"M878.3 392.1L631.9 145.7c-6.5-6.5-15-9.7-23.5-9.7s-17 3.2-23.5 9.7L423.8 306.9c-12.2-1.4-24.5-2-36.8-2-73.2 0-146.4 24.1-206.5 72.3a33.23 33.23 0 0 0-2.7 49.4l181.7 181.7-215.4 215.2a15.8 15.8 0 0 0-4.6 9.8l-3.4 37.2c-.9 9.4 6.6 17.4 15.9 17.4.5 0 1 0 1.5-.1l37.2-3.4c3.7-.3 7.2-2 9.8-4.6l215.4-215.4 181.7 181.7c6.5 6.5 15 9.7 23.5 9.7 9.7 0 19.3-4.2 25.9-12.4 56.3-70.3 79.7-158.3 70.2-243.4l161.1-161.1c12.9-12.8 12.9-33.8 0-46.8zM666.2 549.3l-24.5 24.5 3.8 34.4a259.92 259.92 0 0 1-30.4 153.9L262 408.8c12.9-7.1 26.3-13.1 40.3-17.9 27.2-9.4 55.7-14.1 84.7-14.1 9.6 0 19.3.5 28.9 1.6l34.4 3.8 24.5-24.5L608.5 224 800 415.5 666.2 549.3z"}}]})(props);
};
function AiTwotoneQuestionCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm0 632c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40zm62.9-219.5a48.3 48.3 0 0 0-30.9 44.8V620c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-21.5c0-23.1 6.7-45.9 19.9-64.9 12.9-18.6 30.9-32.8 52.1-40.9 34-13.1 56-41.6 56-72.7 0-44.1-43.1-80-96-80s-96 35.9-96 80v7.6c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V420c0-39.3 17.2-76 48.4-103.3C430.4 290.4 470 276 512 276s81.6 14.5 111.6 40.7C654.8 344 672 380.7 672 420c0 57.8-38.1 109.8-97.1 132.5z"}},{"tag":"path","attr":{"d":"M472 732a40 40 0 1 0 80 0 40 40 0 1 0-80 0zm151.6-415.3C593.6 290.5 554 276 512 276s-81.6 14.4-111.6 40.7C369.2 344 352 380.7 352 420v7.6c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V420c0-44.1 43.1-80 96-80s96 35.9 96 80c0 31.1-22 59.6-56 72.7-21.2 8.1-39.2 22.3-52.1 40.9-13.2 19-19.9 41.8-19.9 64.9V620c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-22.7a48.3 48.3 0 0 1 30.9-44.8c59-22.7 97.1-74.7 97.1-132.5 0-39.3-17.2-76-48.4-103.3z"}}]})(props);
};
function AiTwotoneReconciliation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M740 344H404V240H304v160h176c17.7 0 32 14.3 32 32v360h328V240H740v104zM584 448c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v56c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-56zm92 301c-50.8 0-92-41.2-92-92s41.2-92 92-92 92 41.2 92 92-41.2 92-92 92zm92-341v96c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-96c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8z"}},{"tag":"path","attr":{"d":"M642 657a34 34 0 1 0 68 0 34 34 0 1 0-68 0z"}},{"tag":"path","attr":{"d":"M592 512h48c4.4 0 8-3.6 8-8v-56c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8zm112-104v96c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-96c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8z"}},{"tag":"path","attr":{"d":"M880 168H668c0-30.9-25.1-56-56-56h-80c-30.9 0-56 25.1-56 56H264c-17.7 0-32 14.3-32 32v200h-88c-17.7 0-32 14.3-32 32v448c0 17.7 14.3 32 32 32h336c17.7 0 32-14.3 32-32v-16h368c17.7 0 32-14.3 32-32V200c0-17.7-14.3-32-32-32zm-412 64h72v-56h64v56h72v48H468v-48zm-20 616H176V616h272v232zm0-296H176v-88h272v88zm392 240H512V432c0-17.7-14.3-32-32-32H304V240h100v104h336V240h100v552z"}},{"tag":"path","attr":{"d":"M676 565c-50.8 0-92 41.2-92 92s41.2 92 92 92 92-41.2 92-92-41.2-92-92-92zm0 126c-18.8 0-34-15.2-34-34s15.2-34 34-34 34 15.2 34 34-15.2 34-34 34z"}}]})(props);
};
function AiTwotoneRedEnvelope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M832 64H192c-17.7 0-32 14.3-32 32v832c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zm-40 824H232V193.1l260.3 204.1c11.6 9.1 27.9 9.1 39.5 0L792 193.1V888zm0-751.3h-31.7L512 331.3 263.7 136.7H232v-.7h560v.7z"}},{"tag":"path","attr":{"d":"M492.3 397.2L232 193.1V888h560V193.1L531.8 397.2a31.99 31.99 0 0 1-39.5 0zm99.4 60.9h47.8a8.45 8.45 0 0 1 7.4 12.4l-87.2 161h45.9c4.6 0 8.4 3.8 8.4 8.4V665c0 4.6-3.8 8.4-8.4 8.4h-63.3V702h63.3c4.6 0 8.4 3.8 8.4 8.4v25c.2 4.7-3.5 8.5-8.2 8.5h-63.3v49.9c0 4.6-3.8 8.4-8.4 8.4h-43.7c-4.6 0-8.4-3.8-8.4-8.4v-49.9h-63c-4.6 0-8.4-3.8-8.4-8.4v-25.1c0-4.6 3.8-8.4 8.4-8.4h63v-28.6h-63c-4.6 0-8.4-3.8-8.4-8.4v-25.1c0-4.6 3.8-8.4 8.4-8.4h45.4L377 470.4a8.4 8.4 0 0 1 3.4-11.4c1.3-.6 2.6-1 3.9-1h48.8c3.2 0 6.1 1.8 7.5 4.6l71.7 142 71.9-141.9a8.6 8.6 0 0 1 7.5-4.6z"}},{"tag":"path","attr":{"d":"M232 136.7h31.7L512 331.3l248.3-194.6H792v-.7H232z"}},{"tag":"path","attr":{"d":"M440.6 462.6a8.38 8.38 0 0 0-7.5-4.6h-48.8c-1.3 0-2.6.4-3.9 1a8.4 8.4 0 0 0-3.4 11.4l87.4 161.1H419c-4.6 0-8.4 3.8-8.4 8.4V665c0 4.6 3.8 8.4 8.4 8.4h63V702h-63c-4.6 0-8.4 3.8-8.4 8.4v25.1c0 4.6 3.8 8.4 8.4 8.4h63v49.9c0 4.6 3.8 8.4 8.4 8.4h43.7c4.6 0 8.4-3.8 8.4-8.4v-49.9h63.3c4.7 0 8.4-3.8 8.2-8.5v-25c0-4.6-3.8-8.4-8.4-8.4h-63.3v-28.6h63.3c4.6 0 8.4-3.8 8.4-8.4v-25.1c0-4.6-3.8-8.4-8.4-8.4h-45.9l87.2-161a8.45 8.45 0 0 0-7.4-12.4h-47.8c-3.1 0-6 1.8-7.5 4.6l-71.9 141.9-71.7-142z"}}]})(props);
};
function AiTwotoneRest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M326.4 844h363.2l44.3-520H282l44.4 520zM508 416c79.5 0 144 64.5 144 144s-64.5 144-144 144-144-64.5-144-144 64.5-144 144-144z"}},{"tag":"path","attr":{"d":"M508 704c79.5 0 144-64.5 144-144s-64.5-144-144-144-144 64.5-144 144 64.5 144 144 144zm0-224c44.2 0 80 35.8 80 80s-35.8 80-80 80-80-35.8-80-80 35.8-80 80-80z"}},{"tag":"path","attr":{"d":"M832 256h-28.1l-35.7-120.9c-4-13.7-16.5-23.1-30.7-23.1h-451c-14.3 0-26.8 9.4-30.7 23.1L220.1 256H192c-17.7 0-32 14.3-32 32v28c0 4.4 3.6 8 8 8h45.8l47.7 558.7a32 32 0 0 0 31.9 29.3h429.2a32 32 0 0 0 31.9-29.3L802.2 324H856c4.4 0 8-3.6 8-8v-28c0-17.7-14.3-32-32-32zm-518.6-76h397.2l22.4 76H291l22.4-76zm376.2 664H326.4L282 324h451.9l-44.3 520z"}}]})(props);
};
function AiTwotoneRightCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm154.7 378.4l-246 178c-5.3 3.8-12.7 0-12.7-6.5V643c0-10.2 4.9-19.9 13.2-25.9L566.6 512 421.2 406.8c-8.3-6-13.2-15.6-13.2-25.9V334c0-6.5 7.4-10.3 12.7-6.5l246 178c4.4 3.2 4.4 9.7 0 12.9z"}},{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M666.7 505.5l-246-178c-5.3-3.8-12.7 0-12.7 6.5v46.9c0 10.3 4.9 19.9 13.2 25.9L566.6 512 421.2 617.1c-8.3 6-13.2 15.7-13.2 25.9v46.9c0 6.5 7.4 10.3 12.7 6.5l246-178c4.4-3.2 4.4-9.7 0-12.9z"}}]})(props);
};
function AiTwotoneRightSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M184 840h656V184H184v656zm216-196.9c0-10.2 4.9-19.9 13.2-25.9L558.6 512 413.2 406.8c-8.3-6-13.2-15.6-13.2-25.9V334c0-6.5 7.4-10.3 12.7-6.5l246 178c4.4 3.2 4.4 9.7 0 12.9l-246 178c-5.3 3.9-12.7.1-12.7-6.4v-46.9z"}},{"tag":"path","attr":{"d":"M412.7 696.4l246-178c4.4-3.2 4.4-9.7 0-12.9l-246-178c-5.3-3.8-12.7 0-12.7 6.5v46.9c0 10.3 4.9 19.9 13.2 25.9L558.6 512 413.2 617.2c-8.3 6-13.2 15.7-13.2 25.9V690c0 6.5 7.4 10.3 12.7 6.4z"}}]})(props);
};
function AiTwotoneRocket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M261.7 621.4c-9.4 14.6-17 30.3-22.5 46.6H324V558.7c-24.8 16.2-46 37.5-62.3 62.7zM700 558.7V668h84.8c-5.5-16.3-13.1-32-22.5-46.6a211.6 211.6 0 0 0-62.3-62.7zm-64-239.9l-124-147-124 147V668h248V318.8zM512 448a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96z"}},{"tag":"path","attr":{"d":"M864 736c0-111.6-65.4-208-160-252.9V317.3c0-15.1-5.3-29.7-15.1-41.2L536.5 95.4C530.1 87.8 521 84 512 84s-18.1 3.8-24.5 11.4L335.1 276.1a63.97 63.97 0 0 0-15.1 41.2v165.8C225.4 528 160 624.4 160 736h156.5c-2.3 7.2-3.5 15-3.5 23.8 0 22.1 7.6 43.7 21.4 60.8a97.2 97.2 0 0 0 43.1 30.6c23.1 54 75.6 88.8 134.5 88.8 29.1 0 57.3-8.6 81.4-24.8 23.6-15.8 41.9-37.9 53-64a97 97 0 0 0 43.1-30.5 97.52 97.52 0 0 0 21.4-60.8c0-8.4-1.1-16.4-3.1-23.8L864 736zm-540-68h-84.8c5.5-16.3 13.1-32 22.5-46.6 16.3-25.2 37.5-46.5 62.3-62.7V668zm64-184.9V318.8l124-147 124 147V668H388V483.1zm240.1 301.1c-5.2 3-11.2 4.2-17.1 3.4l-19.5-2.4-2.8 19.4c-5.4 37.9-38.4 66.5-76.7 66.5s-71.3-28.6-76.7-66.5l-2.8-19.5-19.5 2.5a27.7 27.7 0 0 1-17.1-3.5c-8.7-5-14.1-14.3-14.1-24.4 0-10.6 5.9-19.4 14.6-23.8h231.3c8.8 4.5 14.6 13.3 14.6 23.8-.1 10.2-5.5 19.6-14.2 24.5zM700 668V558.7a211.6 211.6 0 0 1 62.3 62.7c9.4 14.6 17 30.3 22.5 46.6H700z"}},{"tag":"path","attr":{"d":"M464 400a48 48 0 1 0 96 0 48 48 0 1 0-96 0z"}}]})(props);
};
function AiTwotoneSafetyCertificate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M866.9 169.9L527.1 54.1C523 52.7 517.5 52 512 52s-11 .7-15.1 2.1L157.1 169.9c-8.3 2.8-15.1 12.4-15.1 21.2v482.4c0 8.8 5.7 20.4 12.6 25.9L499.3 968c3.5 2.7 8 4.1 12.6 4.1s9.2-1.4 12.6-4.1l344.7-268.6c6.9-5.4 12.6-17 12.6-25.9V191.1c.2-8.8-6.6-18.3-14.9-21.2zM810 654.3L512 886.5 214 654.3V226.7l298-101.6 298 101.6v427.6z"}},{"tag":"path","attr":{"d":"M214 226.7v427.6l298 232.2 298-232.2V226.7L512 125.1 214 226.7zM632.8 328H688c6.5 0 10.3 7.4 6.5 12.7L481.9 633.4a16.1 16.1 0 0 1-26 0l-126.4-174c-3.8-5.3 0-12.7 6.5-12.7h55.2c5.2 0 10 2.5 13 6.6l64.7 89.1 150.9-207.8c3-4.1 7.9-6.6 13-6.6z"}},{"tag":"path","attr":{"d":"M404.2 453.3c-3-4.1-7.8-6.6-13-6.6H336c-6.5 0-10.3 7.4-6.5 12.7l126.4 174a16.1 16.1 0 0 0 26 0l212.6-292.7c3.8-5.3 0-12.7-6.5-12.7h-55.2c-5.1 0-10 2.5-13 6.6L468.9 542.4l-64.7-89.1z"}}]})(props);
};
function AiTwotoneSave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M704 320c0 17.7-14.3 32-32 32H352c-17.7 0-32-14.3-32-32V184H184v656h656V341.8l-136-136V320zM512 730c-79.5 0-144-64.5-144-144s64.5-144 144-144 144 64.5 144 144-64.5 144-144 144z"}},{"tag":"path","attr":{"d":"M512 442c-79.5 0-144 64.5-144 144s64.5 144 144 144 144-64.5 144-144-64.5-144-144-144zm0 224c-44.2 0-80-35.8-80-80s35.8-80 80-80 80 35.8 80 80-35.8 80-80 80z"}},{"tag":"path","attr":{"d":"M893.3 293.3L730.7 130.7c-.7-.7-1.4-1.3-2.1-2-.1-.1-.3-.2-.4-.3-.7-.7-1.5-1.3-2.2-1.9a64 64 0 0 0-22-11.7V112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V338.5c0-17-6.7-33.2-18.7-45.2zM384 184h256v104H384V184zm456 656H184V184h136v136c0 17.7 14.3 32 32 32h320c17.7 0 32-14.3 32-32V205.8l136 136V840z"}}]})(props);
};
function AiTwotoneSchedule (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M768 352c0 4.4-3.6 8-8 8h-56c-4.4 0-8-3.6-8-8v-56H548v56c0 4.4-3.6 8-8 8h-56c-4.4 0-8-3.6-8-8v-56H328v56c0 4.4-3.6 8-8 8h-56c-4.4 0-8-3.6-8-8v-56H136v496h752V296H768v56zM424 688c0 4.4-3.6 8-8 8H232c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h184c4.4 0 8 3.6 8 8v48zm0-136c0 4.4-3.6 8-8 8H232c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h184c4.4 0 8 3.6 8 8v48zm374.4-91.2l-165 228.7a15.9 15.9 0 0 1-25.8 0L493.5 531.3c-3.8-5.3 0-12.7 6.5-12.7h54.9c5.1 0 9.9 2.4 12.9 6.6l52.8 73.1 103.6-143.7c3-4.1 7.8-6.6 12.8-6.5h54.9c6.5 0 10.3 7.4 6.5 12.7z"}},{"tag":"path","attr":{"d":"M724.2 454.6L620.6 598.3l-52.8-73.1c-3-4.2-7.8-6.6-12.9-6.6H500c-6.5 0-10.3 7.4-6.5 12.7l114.1 158.2a15.9 15.9 0 0 0 25.8 0l165-228.7c3.8-5.3 0-12.7-6.5-12.7H737c-5-.1-9.8 2.4-12.8 6.5zM416 496H232c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}},{"tag":"path","attr":{"d":"M928 224H768v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H548v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H328v-56c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v56H96c-17.7 0-32 14.3-32 32v576c0 17.7 14.3 32 32 32h832c17.7 0 32-14.3 32-32V256c0-17.7-14.3-32-32-32zm-40 568H136V296h120v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56h148v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56h148v56c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-56h120v496z"}},{"tag":"path","attr":{"d":"M416 632H232c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h184c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}}]})(props);
};
function AiTwotoneSecurityScan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M866.9 169.9L527.1 54.1C523 52.7 517.5 52 512 52s-11 .7-15.1 2.1L157.1 169.9c-8.3 2.8-15.1 12.4-15.1 21.2v482.4c0 8.8 5.7 20.4 12.6 25.9L499.3 968c3.5 2.7 8 4.1 12.6 4.1s9.2-1.4 12.6-4.1l344.7-268.6c6.9-5.4 12.6-17 12.6-25.9V191.1c.2-8.8-6.6-18.3-14.9-21.2zM810 654.3L512 886.5 214 654.3V226.7l298-101.6 298 101.6v427.6z"}},{"tag":"path","attr":{"d":"M460.7 451.1a80.1 80.1 0 1 0 160.2 0 80.1 80.1 0 1 0-160.2 0z"}},{"tag":"path","attr":{"d":"M214 226.7v427.6l298 232.2 298-232.2V226.7L512 125.1 214 226.7zm428.7 122.5c56.3 56.3 56.3 147.5 0 203.8-48.5 48.5-123 55.2-178.6 20.1l-77.5 77.5a8.03 8.03 0 0 1-11.3 0l-34-34a8.03 8.03 0 0 1 0-11.3l77.5-77.5c-35.1-55.7-28.4-130.1 20.1-178.6 56.3-56.3 147.5-56.3 203.8 0z"}},{"tag":"path","attr":{"d":"M418.8 527.8l-77.5 77.5a8.03 8.03 0 0 0 0 11.3l34 34c3.1 3.1 8.2 3.1 11.3 0l77.5-77.5c55.6 35.1 130.1 28.4 178.6-20.1 56.3-56.3 56.3-147.5 0-203.8-56.3-56.3-147.5-56.3-203.8 0-48.5 48.5-55.2 122.9-20.1 178.6zm65.4-133.3a80.1 80.1 0 0 1 113.3 0 80.1 80.1 0 0 1 0 113.3c-31.3 31.3-82 31.3-113.3 0s-31.3-82 0-113.3z"}}]})(props);
};
function AiTwotoneSetting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M859.3 569.7l.2.1c3.1-18.9 4.6-38.2 4.6-57.3 0-17.1-1.3-34.3-3.7-51.1 2.4 16.7 3.6 33.6 3.6 50.5 0 19.4-1.6 38.8-4.7 57.8zM99 398.1c-.5-.4-.9-.8-1.4-1.3.7.7 1.4 1.4 2.2 2.1l65.5 55.9v-.1L99 398.1zm536.6-216h.1l-15.5-83.8c-.2-1-.4-1.9-.7-2.8.1.5.3 1.1.4 1.6l15.7 85zm54 546.5l31.4-25.8 92.8 32.9c17-22.9 31.3-47.5 42.6-73.6l-74.7-63.9 6.6-40.1c2.5-15.1 3.8-30.6 3.8-46.1s-1.3-31-3.8-46.1l-6.5-39.9 74.7-63.9c-11.4-26-25.6-50.7-42.6-73.6l-92.8 32.9-31.4-25.8c-23.9-19.6-50.6-35-79.3-45.8l-38.1-14.3-17.9-97a377.5 377.5 0 0 0-85 0l-17.9 97.2-37.9 14.3c-28.5 10.8-55 26.2-78.7 45.7l-31.4 25.9-93.4-33.2c-17 22.9-31.3 47.5-42.6 73.6l75.5 64.5-6.5 40c-2.5 14.9-3.7 30.2-3.7 45.5 0 15.2 1.3 30.6 3.7 45.5l6.5 40-75.5 64.5c11.4 26 25.6 50.7 42.6 73.6l93.4-33.2 31.4 25.9c23.7 19.5 50.2 34.9 78.7 45.7l37.8 14.5 17.9 97.2c28.2 3.2 56.9 3.2 85 0l17.9-97 38.1-14.3c28.8-10.8 55.4-26.2 79.3-45.8zm-177.1-50.3c-30.5 0-59.2-7.8-84.3-21.5C373.3 627 336 568.9 336 502c0-97.2 78.8-176 176-176 66.9 0 125 37.3 154.8 92.2 13.7 25 21.5 53.7 21.5 84.3 0 97.1-78.7 175.8-175.8 175.8zM207.2 812.8c-5.5 1.9-11.2 2.3-16.6 1.2 5.7 1.2 11.7 1 17.5-1l81.4-29c-.1-.1-.3-.2-.4-.3l-81.9 29.1zm717.6-414.7l-65.5 56c0 .2.1.5.1.7l65.4-55.9c7.1-6.1 11.1-14.9 11.2-24-.3 8.8-4.3 17.3-11.2 23.2z"}},{"tag":"path","attr":{"d":"M935.8 646.6c.5 4.7 0 9.5-1.7 14.1l-.9 2.6a446.02 446.02 0 0 1-79.7 137.9l-1.8 2.1a32 32 0 0 1-35.1 9.5l-81.3-28.9a350 350 0 0 1-99.7 57.6l-15.7 85a32.05 32.05 0 0 1-25.8 25.7l-2.7.5a445.2 445.2 0 0 1-79.2 7.1h.3c26.7 0 53.4-2.4 79.4-7.1l2.7-.5a32.05 32.05 0 0 0 25.8-25.7l15.7-84.9c36.2-13.6 69.6-32.9 99.6-57.5l81.2 28.9a32 32 0 0 0 35.1-9.5l1.8-2.1c34.8-41.1 61.5-87.4 79.6-137.7l.9-2.6c1.6-4.7 2.1-9.7 1.5-14.5z"}},{"tag":"path","attr":{"d":"M688 502c0-30.3-7.7-58.9-21.2-83.8C637 363.3 578.9 326 512 326c-97.2 0-176 78.8-176 176 0 66.9 37.3 125 92.2 154.8 24.9 13.5 53.4 21.2 83.8 21.2 97.2 0 176-78.8 176-176zm-288 0c0-29.9 11.7-58 32.8-79.2C454 401.6 482.1 390 512 390c29.9 0 58 11.6 79.2 32.8A111.6 111.6 0 0 1 624 502c0 29.9-11.7 58-32.8 79.2A111.6 111.6 0 0 1 512 614c-29.9 0-58-11.7-79.2-32.8A111.6 111.6 0 0 1 400 502z"}},{"tag":"path","attr":{"d":"M594.1 952.2a32.05 32.05 0 0 0 25.8-25.7l15.7-85a350 350 0 0 0 99.7-57.6l81.3 28.9a32 32 0 0 0 35.1-9.5l1.8-2.1c34.8-41.1 61.6-87.5 79.7-137.9l.9-2.6c1.7-4.6 2.2-9.4 1.7-14.1-.9-7.9-4.7-15.4-11-20.9l-65.3-55.9-.2-.1c3.1-19 4.7-38.4 4.7-57.8 0-16.9-1.2-33.9-3.6-50.5-.3-2.2-.7-4.4-1-6.6 0-.2-.1-.5-.1-.7l65.5-56c6.9-5.9 10.9-14.4 11.2-23.2.1-4-.5-8.1-1.9-12l-.9-2.6a443.74 443.74 0 0 0-79.7-137.9l-1.8-2.1a32.12 32.12 0 0 0-35.1-9.5l-81.3 28.9c-30-24.6-63.4-44-99.6-57.6h-.1l-15.7-85c-.1-.5-.2-1.1-.4-1.6a32.08 32.08 0 0 0-25.4-24.1l-2.7-.5c-52.1-9.4-106.9-9.4-159 0l-2.7.5a32.05 32.05 0 0 0-25.8 25.7l-15.8 85.4a351.86 351.86 0 0 0-99 57.4l-81.9-29.1a32 32 0 0 0-35.1 9.5l-1.8 2.1a446.02 446.02 0 0 0-79.7 137.9l-.9 2.6a32.09 32.09 0 0 0 7.9 33.9c.5.4.9.9 1.4 1.3l66.3 56.6v.1c-3.1 18.8-4.6 37.9-4.6 57 0 19.2 1.5 38.4 4.6 57.1L99 625.5a32.03 32.03 0 0 0-9.3 35.2l.9 2.6c18.1 50.4 44.9 96.9 79.7 137.9l1.8 2.1c4.9 5.7 11.4 9.4 18.5 10.7 5.4 1 11.1.7 16.6-1.2l81.9-29.1c.1.1.3.2.4.3 29.7 24.3 62.8 43.6 98.6 57.1l15.8 85.4a32.05 32.05 0 0 0 25.8 25.7l2.7.5c26.1 4.7 52.8 7.1 79.5 7.1h.3c26.6 0 53.3-2.4 79.2-7.1l2.7-.5zm-39.8-66.5a377.5 377.5 0 0 1-85 0l-17.9-97.2-37.8-14.5c-28.5-10.8-55-26.2-78.7-45.7l-31.4-25.9-93.4 33.2c-17-22.9-31.2-47.6-42.6-73.6l75.5-64.5-6.5-40c-2.4-14.9-3.7-30.3-3.7-45.5 0-15.3 1.2-30.6 3.7-45.5l6.5-40-75.5-64.5c11.3-26.1 25.6-50.7 42.6-73.6l93.4 33.2 31.4-25.9c23.7-19.5 50.2-34.9 78.7-45.7l37.9-14.3 17.9-97.2c28.1-3.2 56.8-3.2 85 0l17.9 97 38.1 14.3c28.7 10.8 55.4 26.2 79.3 45.8l31.4 25.8 92.8-32.9c17 22.9 31.2 47.6 42.6 73.6L781.8 426l6.5 39.9c2.5 15.1 3.8 30.6 3.8 46.1s-1.3 31-3.8 46.1l-6.6 40.1 74.7 63.9a370.03 370.03 0 0 1-42.6 73.6L721 702.8l-31.4 25.8c-23.9 19.6-50.5 35-79.3 45.8l-38.1 14.3-17.9 97z"}}]})(props);
};
function AiTwotoneShop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M839.5 344h-655c-.3 0-.5.2-.5.5v91.2c0 59.8 49 108.3 109.3 108.3 40.7 0 76.2-22 95.1-54.7 2.9-5.1 8.4-8.3 14.3-8.3s11.3 3.2 14.3 8.3c18.8 32.7 54.3 54.7 95 54.7 40.8 0 76.4-22.1 95.1-54.9 2.9-5 8.2-8.1 13.9-8.1h.6c5.8 0 11 3.1 13.9 8.1 18.8 32.8 54.4 54.9 95.2 54.9C791 544 840 495.5 840 435.7v-91.2c0-.3-.2-.5-.5-.5z"}},{"tag":"path","attr":{"d":"M882 272.1V144c0-17.7-14.3-32-32-32H174c-17.7 0-32 14.3-32 32v128.1c-16.7 1-30 14.9-30 31.9v131.7a177 177 0 0 0 14.4 70.4c4.3 10.2 9.6 19.8 15.6 28.9v345c0 17.6 14.3 32 32 32h676c17.7 0 32-14.3 32-32V535a175 175 0 0 0 15.6-28.9c9.5-22.3 14.4-46 14.4-70.4V304c0-17-13.3-30.9-30-31.9zM214 184h596v88H214v-88zm362 656.1H448V736h128v104.1zm234.4 0H640V704c0-17.7-14.3-32-32-32H416c-17.7 0-32 14.3-32 32v136.1H214V597.9c2.9 1.4 5.9 2.8 9 4 22.3 9.4 46 14.1 70.4 14.1 24.4 0 48-4.7 70.4-14.1 13.8-5.8 26.8-13.2 38.7-22.1.2-.1.4-.1.6 0a180.4 180.4 0 0 0 38.7 22.1c22.3 9.4 46 14.1 70.4 14.1s48-4.7 70.4-14.1c13.8-5.8 26.8-13.2 38.7-22.1.2-.1.4-.1.6 0a180.4 180.4 0 0 0 38.7 22.1c22.3 9.4 46 14.1 70.4 14.1s48-4.7 70.4-14.1c3-1.3 6-2.6 9-4v242.2zM840 435.7c0 59.8-49 108.3-109.3 108.3-40.8 0-76.4-22.1-95.2-54.9-2.9-5-8.1-8.1-13.9-8.1h-.6c-5.7 0-11 3.1-13.9 8.1A109.24 109.24 0 0 1 512 544c-40.7 0-76.2-22-95-54.7-3-5.1-8.4-8.3-14.3-8.3s-11.4 3.2-14.3 8.3a109.63 109.63 0 0 1-95.1 54.7C233 544 184 495.5 184 435.7v-91.2c0-.3.2-.5.5-.5h655c.3 0 .5.2.5.5v91.2z"}}]})(props);
};
function AiTwotoneShopping (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M696 472c0 4.4-3.6 8-8 8h-56c-4.4 0-8-3.6-8-8v-88H400v88c0 4.4-3.6 8-8 8h-56c-4.4 0-8-3.6-8-8v-88h-96v456h560V384h-96v88z"}},{"tag":"path","attr":{"d":"M832 312H696v-16c0-101.6-82.4-184-184-184s-184 82.4-184 184v16H192c-17.7 0-32 14.3-32 32v536c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V344c0-17.7-14.3-32-32-32zm-432-16c0-61.9 50.1-112 112-112s112 50.1 112 112v16H400v-16zm392 544H232V384h96v88c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-88h224v88c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-88h96v456z"}}]})(props);
};
function AiTwotoneSkin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 318c-79.2 0-148.5-48.8-176.7-120H182v196h119v432h422V394h119V198H688.7c-28.2 71.2-97.5 120-176.7 120z"}},{"tag":"path","attr":{"d":"M870 126H663.8c-17.4 0-32.9 11.9-37 29.3C614.3 208.1 567 246 512 246s-102.3-37.9-114.8-90.7a37.93 37.93 0 0 0-37-29.3H154a44 44 0 0 0-44 44v252a44 44 0 0 0 44 44h75v388a44 44 0 0 0 44 44h478a44 44 0 0 0 44-44V466h75a44 44 0 0 0 44-44V170a44 44 0 0 0-44-44zm-28 268H723v432H301V394H182V198h153.3c28.2 71.2 97.5 120 176.7 120s148.5-48.8 176.7-120H842v196z"}}]})(props);
};
function AiTwotoneSliders (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M180 292h80v440h-80zm369 180h-74a3 3 0 0 0-3 3v74a3 3 0 0 0 3 3h74a3 3 0 0 0 3-3v-74a3 3 0 0 0-3-3zm215-108h80v296h-80z"}},{"tag":"path","attr":{"d":"M904 296h-66v-96c0-4.4-3.6-8-8-8h-52c-4.4 0-8 3.6-8 8v96h-66c-4.4 0-8 3.6-8 8v416c0 4.4 3.6 8 8 8h66v96c0 4.4 3.6 8 8 8h52c4.4 0 8-3.6 8-8v-96h66c4.4 0 8-3.6 8-8V304c0-4.4-3.6-8-8-8zm-60 364h-80V364h80v296zM612 404h-66V232c0-4.4-3.6-8-8-8h-52c-4.4 0-8 3.6-8 8v172h-66c-4.4 0-8 3.6-8 8v200c0 4.4 3.6 8 8 8h66v172c0 4.4 3.6 8 8 8h52c4.4 0 8-3.6 8-8V620h66c4.4 0 8-3.6 8-8V412c0-4.4-3.6-8-8-8zm-60 145a3 3 0 0 1-3 3h-74a3 3 0 0 1-3-3v-74a3 3 0 0 1 3-3h74a3 3 0 0 1 3 3v74zM320 224h-66v-56c0-4.4-3.6-8-8-8h-52c-4.4 0-8 3.6-8 8v56h-66c-4.4 0-8 3.6-8 8v560c0 4.4 3.6 8 8 8h66v56c0 4.4 3.6 8 8 8h52c4.4 0 8-3.6 8-8v-56h66c4.4 0 8-3.6 8-8V232c0-4.4-3.6-8-8-8zm-60 508h-80V292h80v440z"}}]})(props);
};
function AiTwotoneSmile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zM288 421a48.01 48.01 0 0 1 96 0 48.01 48.01 0 0 1-96 0zm224 272c-85.5 0-155.6-67.3-160-151.6a8 8 0 0 1 8-8.4h48.1c4.2 0 7.8 3.2 8.1 7.4C420 589.9 461.5 629 512 629s92.1-39.1 95.8-88.6c.3-4.2 3.9-7.4 8.1-7.4H664a8 8 0 0 1 8 8.4C667.6 625.7 597.5 693 512 693zm176-224a48.01 48.01 0 0 1 0-96 48.01 48.01 0 0 1 0 96z"}},{"tag":"path","attr":{"d":"M288 421a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm376 112h-48.1c-4.2 0-7.8 3.2-8.1 7.4-3.7 49.5-45.3 88.6-95.8 88.6s-92-39.1-95.8-88.6c-.3-4.2-3.9-7.4-8.1-7.4H360a8 8 0 0 0-8 8.4c4.4 84.3 74.5 151.6 160 151.6s155.6-67.3 160-151.6a8 8 0 0 0-8-8.4zm-24-112a48 48 0 1 0 96 0 48 48 0 1 0-96 0z"}}]})(props);
};
function AiTwotoneSnippets (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M450 510V336H232v552h432V550H490c-22.1 0-40-17.9-40-40z"}},{"tag":"path","attr":{"d":"M832 112H724V72c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v40H500V72c0-4.4-3.6-8-8-8h-56c-4.4 0-8 3.6-8 8v40H320c-17.7 0-32 14.3-32 32v120h-96c-17.7 0-32 14.3-32 32v632c0 17.7 14.3 32 32 32h512c17.7 0 32-14.3 32-32v-96h96c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zM664 888H232V336h218v174c0 22.1 17.9 40 40 40h174v338zm0-402H514V336h.2L664 485.8v.2zm128 274h-56V456L544 264H360v-80h68v32c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-32h152v32c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-32h68v576z"}}]})(props);
};
function AiTwotoneSound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M275.4 424H146v176h129.4l18 11.7L586 803V221L293.3 412.3z"}},{"tag":"path","attr":{"d":"M892.1 737.8l-110.3-63.7a15.9 15.9 0 0 0-21.7 5.9l-19.9 34.5c-4.4 7.6-1.8 17.4 5.8 21.8L856.3 800a15.9 15.9 0 0 0 21.7-5.9l19.9-34.5c4.4-7.6 1.7-17.4-5.8-21.8zM934 476H806c-8.8 0-16 7.2-16 16v40c0 8.8 7.2 16 16 16h128c8.8 0 16-7.2 16-16v-40c0-8.8-7.2-16-16-16zM760 344a15.9 15.9 0 0 0 21.7 5.9L892 286.2c7.6-4.4 10.2-14.2 5.8-21.8L878 230a15.9 15.9 0 0 0-21.7-5.9L746 287.8a15.99 15.99 0 0 0-5.8 21.8L760 344zM625.9 115c-5.9 0-11.9 1.6-17.4 5.3L254 352H90c-8.8 0-16 7.2-16 16v288c0 8.8 7.2 16 16 16h164l354.5 231.7c5.5 3.6 11.6 5.3 17.4 5.3 16.7 0 32.1-13.3 32.1-32.1V147.1c0-18.8-15.4-32.1-32.1-32.1zM586 803L293.4 611.7l-18-11.7H146V424h129.4l17.9-11.7L586 221v582z"}}]})(props);
};
function AiTwotoneStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512.5 190.4l-94.4 191.3-211.2 30.7 152.8 149-36.1 210.3 188.9-99.3 188.9 99.2-36.1-210.3 152.8-148.9-211.2-30.7z"}},{"tag":"path","attr":{"d":"M908.6 352.8l-253.9-36.9L541.2 85.8c-3.1-6.3-8.2-11.4-14.5-14.5-15.8-7.8-35-1.3-42.9 14.5L370.3 315.9l-253.9 36.9c-7 1-13.4 4.3-18.3 9.3a32.05 32.05 0 0 0 .6 45.3l183.7 179.1L239 839.4a31.95 31.95 0 0 0 46.4 33.7l227.1-119.4 227.1 119.4c6.2 3.3 13.4 4.4 20.3 3.2 17.4-3 29.1-19.5 26.1-36.9l-43.4-252.9 183.7-179.1c5-4.9 8.3-11.3 9.3-18.3 2.7-17.5-9.5-33.7-27-36.3zM665.3 561.3l36.1 210.3-188.9-99.2-188.9 99.3 36.1-210.3-152.8-149 211.2-30.7 94.4-191.3 94.4 191.3 211.2 30.7-152.8 148.9z"}}]})(props);
};
function AiTwotoneStop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm288.5 682.8L277.7 224C258 240 240 258 224 277.7l522.8 522.8C682.8 852.7 601 884 512 884c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372c0 89-31.3 170.8-83.5 234.8z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372c89 0 170.8-31.3 234.8-83.5L224 277.7c16-19.7 34-37.7 53.7-53.7l522.8 522.8C852.7 682.8 884 601 884 512c0-205.4-166.6-372-372-372z"}}]})(props);
};
function AiTwotoneSwitcher (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M184 840h528V312H184v528zm116-290h296v64H300v-64z"}},{"tag":"path","attr":{"d":"M880 112H264c-4.4 0-8 3.6-8 8v56c0 4.4 3.6 8 8 8h576v576c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8V144c0-17.7-14.3-32-32-32z"}},{"tag":"path","attr":{"d":"M752 240H144c-17.7 0-32 14.3-32 32v608c0 17.7 14.3 32 32 32h608c17.7 0 32-14.3 32-32V272c0-17.7-14.3-32-32-32zm-40 600H184V312h528v528z"}},{"tag":"path","attr":{"d":"M300 550h296v64H300z"}}]})(props);
};
function AiTwotoneTablet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M800 64H224c-35.3 0-64 28.7-64 64v768c0 35.3 28.7 64 64 64h576c35.3 0 64-28.7 64-64V128c0-35.3-28.7-64-64-64zm-8 824H232V136h560v752z"}},{"tag":"path","attr":{"d":"M232 888h560V136H232v752zm280-144c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40z"}},{"tag":"path","attr":{"d":"M472 784a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}}]})(props);
};
function AiTwotoneTag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M589 164.6L189.3 564.3l270.4 270.4L859.4 435 836 188l-247-23.4zM680 432c-48.5 0-88-39.5-88-88s39.5-88 88-88 88 39.5 88 88-39.5 88-88 88z"}},{"tag":"path","attr":{"d":"M680 256c-48.5 0-88 39.5-88 88s39.5 88 88 88 88-39.5 88-88-39.5-88-88-88zm0 120c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}},{"tag":"path","attr":{"d":"M938 458.8l-29.6-312.6c-1.5-16.2-14.4-29-30.6-30.6L565.2 86h-.4c-3.2 0-5.7 1-7.6 2.9L88.9 557.2a9.96 9.96 0 0 0 0 14.1l363.8 363.8a9.9 9.9 0 0 0 7.1 2.9c2.7 0 5.2-1 7.1-2.9l468.3-468.3c2-2.1 3-5 2.8-8zM459.7 834.7L189.3 564.3 589 164.6 836 188l23.4 247-399.7 399.7z"}}]})(props);
};
function AiTwotoneTags (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M477.5 694l311.9-311.8-19-224.6-224.6-19-311.9 311.9L477.5 694zm116-415.5a47.81 47.81 0 0 1 33.9-33.9c16.6-4.4 34.2.3 46.4 12.4a47.93 47.93 0 0 1 12.4 46.4 47.81 47.81 0 0 1-33.9 33.9c-16.6 4.4-34.2-.3-46.4-12.4a48.3 48.3 0 0 1-12.4-46.4z"}},{"tag":"path","attr":{"d":"M476.6 792.6c-1.7-.2-3.4-1-4.7-2.3L137.7 456.1a8.03 8.03 0 0 1 0-11.3L515.9 66.6c1.2-1.3 2.9-2.1 4.7-2.3h-.4c-2.3-.2-4.7.6-6.3 2.3L135.7 444.8a8.03 8.03 0 0 0 0 11.3l334.2 334.2c1.8 1.9 4.3 2.6 6.7 2.3z"}},{"tag":"path","attr":{"d":"M889.7 539.8l-39.6-39.5a8.03 8.03 0 0 0-11.3 0l-362 361.3-237.6-237a8.03 8.03 0 0 0-11.3 0l-39.6 39.5a8.03 8.03 0 0 0 0 11.3l243.2 242.8 39.6 39.5c3.1 3.1 8.2 3.1 11.3 0l407.3-406.6c3.1-3.1 3.1-8.2 0-11.3zM652.3 337.3a47.81 47.81 0 0 0 33.9-33.9c4.4-16.6-.3-34.2-12.4-46.4a47.93 47.93 0 0 0-46.4-12.4 47.81 47.81 0 0 0-33.9 33.9c-4.4 16.6.3 34.2 12.4 46.4a48.3 48.3 0 0 0 46.4 12.4z"}},{"tag":"path","attr":{"d":"M137.7 444.8a8.03 8.03 0 0 0 0 11.3l334.2 334.2c1.3 1.3 2.9 2.1 4.7 2.3 2.4.3 4.8-.5 6.6-2.3L861.4 412c1.7-1.7 2.5-4 2.3-6.3l-25.5-301.4c-.7-7.8-6.8-13.9-14.6-14.6L522.2 64.3h-1.6c-1.8.2-3.4 1-4.7 2.3L137.7 444.8zm408.1-306.2l224.6 19 19 224.6L477.5 694 233.9 450.5l311.9-311.9z"}}]})(props);
};
function AiTwotoneThunderbolt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M695.4 164.1H470.8L281.2 491.5h157.4l-60.3 241 319.8-305.1h-211z"}},{"tag":"path","attr":{"d":"M848.1 359.3H627.8L825.9 109c4.1-5.3.4-13-6.3-13H436.1c-2.8 0-5.5 1.5-6.9 4L170.1 547.5c-3.1 5.3.7 12 6.9 12h174.4L262 917.1c-1.9 7.8 7.5 13.3 13.3 7.7L853.6 373c5.2-4.9 1.7-13.7-5.5-13.7zM378.3 732.5l60.3-241H281.2l189.6-327.4h224.6L487.1 427.4h211L378.3 732.5z"}}]})(props);
};
function AiTwotoneTool (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M706.8 488.7a32.05 32.05 0 0 1-45.3 0L537 364.2a32.05 32.05 0 0 1 0-45.3l132.9-132.8a184.2 184.2 0 0 0-144 53.5c-58.1 58.1-69.3 145.3-33.6 214.6L439.5 507c-.1 0-.1-.1-.1-.1L209.3 737l79.2 79.2 274-274.1.1.1 8.8-8.8c69.3 35.7 156.5 24.5 214.6-33.6 39.2-39.1 57.3-92.1 53.6-143.9L706.8 488.7z"}},{"tag":"path","attr":{"d":"M876.6 239.5c-.5-.9-1.2-1.8-2-2.5-5-5-13.1-5-18.1 0L684.2 409.3l-67.9-67.9L788.7 169c.8-.8 1.4-1.6 2-2.5 3.6-6.1 1.6-13.9-4.5-17.5-98.2-58-226.8-44.7-311.3 39.7-67 67-89.2 162-66.5 247.4l-293 293c-3 3-2.8 7.9.3 11l169.7 169.7c3.1 3.1 8.1 3.3 11 .3l292.9-292.9c85.5 22.8 180.5.7 247.6-66.4 84.4-84.5 97.7-213.1 39.7-311.3zM786 499.8c-58.1 58.1-145.3 69.3-214.6 33.6l-8.8 8.8-.1-.1-274 274.1-79.2-79.2 230.1-230.1s0 .1.1.1l52.8-52.8c-35.7-69.3-24.5-156.5 33.6-214.6a184.2 184.2 0 0 1 144-53.5L537 318.9a32.05 32.05 0 0 0 0 45.3l124.5 124.5a32.05 32.05 0 0 0 45.3 0l132.8-132.8c3.7 51.8-14.4 104.8-53.6 143.9z"}}]})(props);
};
function AiTwotoneTrademarkCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm170.7 584.2c-1.1.5-2.3.8-3.5.8h-62c-3.1 0-5.9-1.8-7.2-4.6l-74.6-159.2h-88.7V717c0 4.4-3.6 8-8 8H384c-4.4 0-8-3.6-8-8V307c0-4.4 3.6-8 8-8h155.6c98.8 0 144.2 59.9 144.2 131.1 0 70.2-43.6 106.4-78.4 119.2l80.8 164.2c2.1 3.9.4 8.7-3.5 10.7z"}},{"tag":"path","attr":{"d":"M529.9 357h-83.4v148H528c53 0 82.8-25.6 82.8-72.4 0-50.3-32.9-75.6-80.9-75.6z"}},{"tag":"path","attr":{"d":"M605.4 549.3c34.8-12.8 78.4-49 78.4-119.2 0-71.2-45.4-131.1-144.2-131.1H384c-4.4 0-8 3.6-8 8v410c0 4.4 3.6 8 8 8h54.7c4.4 0 8-3.6 8-8V561.2h88.7L610 720.4c1.3 2.8 4.1 4.6 7.2 4.6h62c1.2 0 2.4-.3 3.5-.8 3.9-2 5.6-6.8 3.5-10.7l-80.8-164.2zM528 505h-81.5V357h83.4c48 0 80.9 25.3 80.9 75.6 0 46.8-29.8 72.4-82.8 72.4z"}}]})(props);
};
function AiTwotoneTrophy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M320 480c0 49.1 19.1 95.3 53.9 130.1 34.7 34.8 81 53.9 130.1 53.9h16c49.1 0 95.3-19.1 130.1-53.9 34.8-34.7 53.9-81 53.9-130.1V184H320v296zM184 352c0 41 26.9 75.8 64 87.6-37.1-11.9-64-46.7-64-87.6zm364 382.5C665 721.8 758.4 630.2 773.8 514 758.3 630.2 665 721.7 548 734.5zM250.2 514C265.6 630.2 359 721.8 476 734.5 359 721.7 265.7 630.2 250.2 514z"}},{"tag":"path","attr":{"d":"M868 160h-92v-40c0-4.4-3.6-8-8-8H256c-4.4 0-8 3.6-8 8v40h-92a44 44 0 0 0-44 44v148c0 81.7 60 149.6 138.2 162C265.7 630.2 359 721.7 476 734.5v105.2H280c-17.7 0-32 14.3-32 32V904c0 4.4 3.6 8 8 8h512c4.4 0 8-3.6 8-8v-32.3c0-17.7-14.3-32-32-32H548V734.5C665 721.7 758.3 630.2 773.8 514 852 501.6 912 433.7 912 352V204a44 44 0 0 0-44-44zM248 439.6a91.99 91.99 0 0 1-64-87.6V232h64v207.6zM704 480c0 49.1-19.1 95.4-53.9 130.1-34.8 34.8-81 53.9-130.1 53.9h-16c-49.1 0-95.4-19.1-130.1-53.9-34.8-34.8-53.9-81-53.9-130.1V184h384v296zm136-128c0 41-26.9 75.8-64 87.6V232h64v120z"}}]})(props);
};
function AiTwotoneUnlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M232 840h560V536H232v304zm280-226a48.01 48.01 0 0 1 28 87v53c0 4.4-3.6 8-8 8h-40c-4.4 0-8-3.6-8-8v-53a48.01 48.01 0 0 1 28-87z"}},{"tag":"path","attr":{"d":"M484 701v53c0 4.4 3.6 8 8 8h40c4.4 0 8-3.6 8-8v-53a48.01 48.01 0 1 0-56 0z"}},{"tag":"path","attr":{"d":"M832 464H332V240c0-30.9 25.1-56 56-56h248c30.9 0 56 25.1 56 56v68c0 4.4 3.6 8 8 8h56c4.4 0 8-3.6 8-8v-68c0-70.7-57.3-128-128-128H388c-70.7 0-128 57.3-128 128v224h-68c-17.7 0-32 14.3-32 32v384c0 17.7 14.3 32 32 32h640c17.7 0 32-14.3 32-32V496c0-17.7-14.3-32-32-32zm-40 376H232V536h560v304z"}}]})(props);
};
function AiTwotoneUpCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M512 140c-205.4 0-372 166.6-372 372s166.6 372 372 372 372-166.6 372-372-166.6-372-372-372zm178 479h-46.9c-10.2 0-19.9-4.9-25.9-13.2L512 460.4 406.8 605.8c-6 8.3-15.6 13.2-25.9 13.2H334c-6.5 0-10.3-7.4-6.5-12.7l178-246c3.2-4.4 9.7-4.4 12.9 0l178 246c3.9 5.3.1 12.7-6.4 12.7z"}},{"tag":"path","attr":{"d":"M512 64C264.6 64 64 264.6 64 512s200.6 448 448 448 448-200.6 448-448S759.4 64 512 64zm0 820c-205.4 0-372-166.6-372-372s166.6-372 372-372 372 166.6 372 372-166.6 372-372 372z"}},{"tag":"path","attr":{"d":"M518.4 360.3a7.95 7.95 0 0 0-12.9 0l-178 246c-3.8 5.3 0 12.7 6.5 12.7h46.9c10.3 0 19.9-4.9 25.9-13.2L512 460.4l105.2 145.4c6 8.3 15.7 13.2 25.9 13.2H690c6.5 0 10.3-7.4 6.4-12.7l-178-246z"}}]})(props);
};
function AiTwotoneUpSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 728H184V184h656v656z"}},{"tag":"path","attr":{"d":"M184 840h656V184H184v656zm143.5-228.7l178-246c3.2-4.4 9.7-4.4 12.9 0l178 246c3.9 5.3.1 12.7-6.4 12.7h-46.9c-10.2 0-19.9-4.9-25.9-13.2L512 465.4 406.8 610.8c-6 8.3-15.6 13.2-25.9 13.2H334c-6.5 0-10.3-7.4-6.5-12.7z"}},{"tag":"path","attr":{"d":"M334 624h46.9c10.3 0 19.9-4.9 25.9-13.2L512 465.4l105.2 145.4c6 8.3 15.7 13.2 25.9 13.2H690c6.5 0 10.3-7.4 6.4-12.7l-178-246a7.95 7.95 0 0 0-12.9 0l-178 246c-3.8 5.3 0 12.7 6.5 12.7z"}}]})(props);
};
function AiTwotoneUsb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M759.9 504H264.1c-26.5 0-48.1 19.7-48.1 44v292h592V548c0-24.3-21.6-44-48.1-44z"}},{"tag":"path","attr":{"d":"M456 248h-48c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zm160 0h-48c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8z"}},{"tag":"path","attr":{"d":"M760 432V144c0-17.7-14.3-32-32-32H296c-17.7 0-32 14.3-32 32v288c-66.2 0-120 52.1-120 116v356c0 4.4 3.6 8 8 8h720c4.4 0 8-3.6 8-8V548c0-63.9-53.8-116-120-116zM336 184h352v248H336V184zm472 656H216V548c0-24.3 21.6-44 48.1-44h495.8c26.5 0 48.1 19.7 48.1 44v292z"}}]})(props);
};
function AiTwotoneVideoCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M136 792h576V232H136v560zm64-488c0-4.4 3.6-8 8-8h112c4.4 0 8 3.6 8 8v48c0 4.4-3.6 8-8 8H208c-4.4 0-8-3.6-8-8v-48z"}},{"tag":"path","attr":{"d":"M912 302.3L784 376V224c0-35.3-28.7-64-64-64H128c-35.3 0-64 28.7-64 64v576c0 35.3 28.7 64 64 64h592c35.3 0 64-28.7 64-64V648l128 73.7c21.3 12.3 48-3.1 48-27.6V330c0-24.6-26.7-40-48-27.7zM712 792H136V232h576v560zm176-167l-104-59.8V458.9L888 399v226z"}},{"tag":"path","attr":{"d":"M208 360h112c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8H208c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8z"}}]})(props);
};
function AiTwotoneWallet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M880 112H144c-17.7 0-32 14.3-32 32v736c0 17.7 14.3 32 32 32h736c17.7 0 32-14.3 32-32V144c0-17.7-14.3-32-32-32zm-40 464H528V448h312v128zm0-192H496c-17.7 0-32 14.3-32 32v192c0 17.7 14.3 32 32 32h344v200H184V184h656v200z"}},{"tag":"path","attr":{"d":"M528 576h312V448H528v128zm92-104c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40z"}},{"tag":"path","attr":{"d":"M580 512a40 40 0 1 0 80 0 40 40 0 1 0-80 0z"}},{"tag":"path","attr":{"d":"M184 840h656V640H496c-17.7 0-32-14.3-32-32V416c0-17.7 14.3-32 32-32h344V184H184v656z"}}]})(props);
};
function AiTwotoneWarning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 1024 1024"},"child":[{"tag":"path","attr":{"d":"M955.7 856l-416-720c-6.2-10.7-16.9-16-27.7-16s-21.6 5.3-27.7 16l-416 720C56 877.4 71.4 904 96 904h832c24.6 0 40-26.6 27.7-48zm-783.5-27.9L512 239.9l339.8 588.2H172.2z"}},{"tag":"path","attr":{"d":"M172.2 828.1h679.6L512 239.9 172.2 828.1zM560 720a48.01 48.01 0 0 1-96 0 48.01 48.01 0 0 1 96 0zm-16-304v184c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V416c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8z"}},{"tag":"path","attr":{"d":"M464 720a48 48 0 1 0 96 0 48 48 0 1 0-96 0zm16-304v184c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V416c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8z"}}]})(props);
};


/***/ }),

/***/ "./node_modules/react-icons/bi/index.esm.js":
/*!**************************************************!*\
  !*** ./node_modules/react-icons/bi/index.esm.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "BiAbacus": () => (/* binding */ BiAbacus),
/* harmony export */   "BiAccessibility": () => (/* binding */ BiAccessibility),
/* harmony export */   "BiAddToQueue": () => (/* binding */ BiAddToQueue),
/* harmony export */   "BiAdjust": () => (/* binding */ BiAdjust),
/* harmony export */   "BiAlarm": () => (/* binding */ BiAlarm),
/* harmony export */   "BiAlarmAdd": () => (/* binding */ BiAlarmAdd),
/* harmony export */   "BiAlarmExclamation": () => (/* binding */ BiAlarmExclamation),
/* harmony export */   "BiAlarmOff": () => (/* binding */ BiAlarmOff),
/* harmony export */   "BiAlarmSnooze": () => (/* binding */ BiAlarmSnooze),
/* harmony export */   "BiAlbum": () => (/* binding */ BiAlbum),
/* harmony export */   "BiAlignJustify": () => (/* binding */ BiAlignJustify),
/* harmony export */   "BiAlignLeft": () => (/* binding */ BiAlignLeft),
/* harmony export */   "BiAlignMiddle": () => (/* binding */ BiAlignMiddle),
/* harmony export */   "BiAlignRight": () => (/* binding */ BiAlignRight),
/* harmony export */   "BiAnalyse": () => (/* binding */ BiAnalyse),
/* harmony export */   "BiAnchor": () => (/* binding */ BiAnchor),
/* harmony export */   "BiAngry": () => (/* binding */ BiAngry),
/* harmony export */   "BiAperture": () => (/* binding */ BiAperture),
/* harmony export */   "BiArch": () => (/* binding */ BiArch),
/* harmony export */   "BiArchive": () => (/* binding */ BiArchive),
/* harmony export */   "BiArchiveIn": () => (/* binding */ BiArchiveIn),
/* harmony export */   "BiArchiveOut": () => (/* binding */ BiArchiveOut),
/* harmony export */   "BiArea": () => (/* binding */ BiArea),
/* harmony export */   "BiArrowBack": () => (/* binding */ BiArrowBack),
/* harmony export */   "BiArrowFromBottom": () => (/* binding */ BiArrowFromBottom),
/* harmony export */   "BiArrowFromLeft": () => (/* binding */ BiArrowFromLeft),
/* harmony export */   "BiArrowFromRight": () => (/* binding */ BiArrowFromRight),
/* harmony export */   "BiArrowFromTop": () => (/* binding */ BiArrowFromTop),
/* harmony export */   "BiArrowToBottom": () => (/* binding */ BiArrowToBottom),
/* harmony export */   "BiArrowToLeft": () => (/* binding */ BiArrowToLeft),
/* harmony export */   "BiArrowToRight": () => (/* binding */ BiArrowToRight),
/* harmony export */   "BiArrowToTop": () => (/* binding */ BiArrowToTop),
/* harmony export */   "BiAt": () => (/* binding */ BiAt),
/* harmony export */   "BiAtom": () => (/* binding */ BiAtom),
/* harmony export */   "BiAward": () => (/* binding */ BiAward),
/* harmony export */   "BiBadge": () => (/* binding */ BiBadge),
/* harmony export */   "BiBadgeCheck": () => (/* binding */ BiBadgeCheck),
/* harmony export */   "BiBall": () => (/* binding */ BiBall),
/* harmony export */   "BiBandAid": () => (/* binding */ BiBandAid),
/* harmony export */   "BiBarChart": () => (/* binding */ BiBarChart),
/* harmony export */   "BiBarChartAlt": () => (/* binding */ BiBarChartAlt),
/* harmony export */   "BiBarChartAlt2": () => (/* binding */ BiBarChartAlt2),
/* harmony export */   "BiBarChartSquare": () => (/* binding */ BiBarChartSquare),
/* harmony export */   "BiBarcode": () => (/* binding */ BiBarcode),
/* harmony export */   "BiBarcodeReader": () => (/* binding */ BiBarcodeReader),
/* harmony export */   "BiBaseball": () => (/* binding */ BiBaseball),
/* harmony export */   "BiBasket": () => (/* binding */ BiBasket),
/* harmony export */   "BiBasketball": () => (/* binding */ BiBasketball),
/* harmony export */   "BiBath": () => (/* binding */ BiBath),
/* harmony export */   "BiBattery": () => (/* binding */ BiBattery),
/* harmony export */   "BiBed": () => (/* binding */ BiBed),
/* harmony export */   "BiBeenHere": () => (/* binding */ BiBeenHere),
/* harmony export */   "BiBeer": () => (/* binding */ BiBeer),
/* harmony export */   "BiBell": () => (/* binding */ BiBell),
/* harmony export */   "BiBellMinus": () => (/* binding */ BiBellMinus),
/* harmony export */   "BiBellOff": () => (/* binding */ BiBellOff),
/* harmony export */   "BiBellPlus": () => (/* binding */ BiBellPlus),
/* harmony export */   "BiBible": () => (/* binding */ BiBible),
/* harmony export */   "BiBitcoin": () => (/* binding */ BiBitcoin),
/* harmony export */   "BiBlanket": () => (/* binding */ BiBlanket),
/* harmony export */   "BiBlock": () => (/* binding */ BiBlock),
/* harmony export */   "BiBluetooth": () => (/* binding */ BiBluetooth),
/* harmony export */   "BiBody": () => (/* binding */ BiBody),
/* harmony export */   "BiBold": () => (/* binding */ BiBold),
/* harmony export */   "BiBoltCircle": () => (/* binding */ BiBoltCircle),
/* harmony export */   "BiBomb": () => (/* binding */ BiBomb),
/* harmony export */   "BiBone": () => (/* binding */ BiBone),
/* harmony export */   "BiBong": () => (/* binding */ BiBong),
/* harmony export */   "BiBook": () => (/* binding */ BiBook),
/* harmony export */   "BiBookAdd": () => (/* binding */ BiBookAdd),
/* harmony export */   "BiBookAlt": () => (/* binding */ BiBookAlt),
/* harmony export */   "BiBookBookmark": () => (/* binding */ BiBookBookmark),
/* harmony export */   "BiBookContent": () => (/* binding */ BiBookContent),
/* harmony export */   "BiBookHeart": () => (/* binding */ BiBookHeart),
/* harmony export */   "BiBookOpen": () => (/* binding */ BiBookOpen),
/* harmony export */   "BiBookReader": () => (/* binding */ BiBookReader),
/* harmony export */   "BiBookmark": () => (/* binding */ BiBookmark),
/* harmony export */   "BiBookmarkMinus": () => (/* binding */ BiBookmarkMinus),
/* harmony export */   "BiBookmarkPlus": () => (/* binding */ BiBookmarkPlus),
/* harmony export */   "BiBookmarks": () => (/* binding */ BiBookmarks),
/* harmony export */   "BiBorderAll": () => (/* binding */ BiBorderAll),
/* harmony export */   "BiBorderBottom": () => (/* binding */ BiBorderBottom),
/* harmony export */   "BiBorderInner": () => (/* binding */ BiBorderInner),
/* harmony export */   "BiBorderLeft": () => (/* binding */ BiBorderLeft),
/* harmony export */   "BiBorderNone": () => (/* binding */ BiBorderNone),
/* harmony export */   "BiBorderOuter": () => (/* binding */ BiBorderOuter),
/* harmony export */   "BiBorderRadius": () => (/* binding */ BiBorderRadius),
/* harmony export */   "BiBorderRight": () => (/* binding */ BiBorderRight),
/* harmony export */   "BiBorderTop": () => (/* binding */ BiBorderTop),
/* harmony export */   "BiBot": () => (/* binding */ BiBot),
/* harmony export */   "BiBowlingBall": () => (/* binding */ BiBowlingBall),
/* harmony export */   "BiBox": () => (/* binding */ BiBox),
/* harmony export */   "BiBracket": () => (/* binding */ BiBracket),
/* harmony export */   "BiBraille": () => (/* binding */ BiBraille),
/* harmony export */   "BiBrain": () => (/* binding */ BiBrain),
/* harmony export */   "BiBriefcase": () => (/* binding */ BiBriefcase),
/* harmony export */   "BiBriefcaseAlt": () => (/* binding */ BiBriefcaseAlt),
/* harmony export */   "BiBriefcaseAlt2": () => (/* binding */ BiBriefcaseAlt2),
/* harmony export */   "BiBrightness": () => (/* binding */ BiBrightness),
/* harmony export */   "BiBrightnessHalf": () => (/* binding */ BiBrightnessHalf),
/* harmony export */   "BiBroadcast": () => (/* binding */ BiBroadcast),
/* harmony export */   "BiBrush": () => (/* binding */ BiBrush),
/* harmony export */   "BiBrushAlt": () => (/* binding */ BiBrushAlt),
/* harmony export */   "BiBug": () => (/* binding */ BiBug),
/* harmony export */   "BiBugAlt": () => (/* binding */ BiBugAlt),
/* harmony export */   "BiBuilding": () => (/* binding */ BiBuilding),
/* harmony export */   "BiBuildingHouse": () => (/* binding */ BiBuildingHouse),
/* harmony export */   "BiBuildings": () => (/* binding */ BiBuildings),
/* harmony export */   "BiBulb": () => (/* binding */ BiBulb),
/* harmony export */   "BiBullseye": () => (/* binding */ BiBullseye),
/* harmony export */   "BiBuoy": () => (/* binding */ BiBuoy),
/* harmony export */   "BiBus": () => (/* binding */ BiBus),
/* harmony export */   "BiBusSchool": () => (/* binding */ BiBusSchool),
/* harmony export */   "BiCabinet": () => (/* binding */ BiCabinet),
/* harmony export */   "BiCake": () => (/* binding */ BiCake),
/* harmony export */   "BiCalculator": () => (/* binding */ BiCalculator),
/* harmony export */   "BiCalendar": () => (/* binding */ BiCalendar),
/* harmony export */   "BiCalendarAlt": () => (/* binding */ BiCalendarAlt),
/* harmony export */   "BiCalendarCheck": () => (/* binding */ BiCalendarCheck),
/* harmony export */   "BiCalendarEdit": () => (/* binding */ BiCalendarEdit),
/* harmony export */   "BiCalendarEvent": () => (/* binding */ BiCalendarEvent),
/* harmony export */   "BiCalendarExclamation": () => (/* binding */ BiCalendarExclamation),
/* harmony export */   "BiCalendarHeart": () => (/* binding */ BiCalendarHeart),
/* harmony export */   "BiCalendarMinus": () => (/* binding */ BiCalendarMinus),
/* harmony export */   "BiCalendarPlus": () => (/* binding */ BiCalendarPlus),
/* harmony export */   "BiCalendarStar": () => (/* binding */ BiCalendarStar),
/* harmony export */   "BiCalendarWeek": () => (/* binding */ BiCalendarWeek),
/* harmony export */   "BiCalendarX": () => (/* binding */ BiCalendarX),
/* harmony export */   "BiCamera": () => (/* binding */ BiCamera),
/* harmony export */   "BiCameraHome": () => (/* binding */ BiCameraHome),
/* harmony export */   "BiCameraMovie": () => (/* binding */ BiCameraMovie),
/* harmony export */   "BiCameraOff": () => (/* binding */ BiCameraOff),
/* harmony export */   "BiCapsule": () => (/* binding */ BiCapsule),
/* harmony export */   "BiCaptions": () => (/* binding */ BiCaptions),
/* harmony export */   "BiCar": () => (/* binding */ BiCar),
/* harmony export */   "BiCard": () => (/* binding */ BiCard),
/* harmony export */   "BiCaretDown": () => (/* binding */ BiCaretDown),
/* harmony export */   "BiCaretDownCircle": () => (/* binding */ BiCaretDownCircle),
/* harmony export */   "BiCaretDownSquare": () => (/* binding */ BiCaretDownSquare),
/* harmony export */   "BiCaretLeft": () => (/* binding */ BiCaretLeft),
/* harmony export */   "BiCaretLeftCircle": () => (/* binding */ BiCaretLeftCircle),
/* harmony export */   "BiCaretLeftSquare": () => (/* binding */ BiCaretLeftSquare),
/* harmony export */   "BiCaretRight": () => (/* binding */ BiCaretRight),
/* harmony export */   "BiCaretRightCircle": () => (/* binding */ BiCaretRightCircle),
/* harmony export */   "BiCaretRightSquare": () => (/* binding */ BiCaretRightSquare),
/* harmony export */   "BiCaretUp": () => (/* binding */ BiCaretUp),
/* harmony export */   "BiCaretUpCircle": () => (/* binding */ BiCaretUpCircle),
/* harmony export */   "BiCaretUpSquare": () => (/* binding */ BiCaretUpSquare),
/* harmony export */   "BiCarousel": () => (/* binding */ BiCarousel),
/* harmony export */   "BiCart": () => (/* binding */ BiCart),
/* harmony export */   "BiCartAlt": () => (/* binding */ BiCartAlt),
/* harmony export */   "BiCast": () => (/* binding */ BiCast),
/* harmony export */   "BiCctv": () => (/* binding */ BiCctv),
/* harmony export */   "BiCertification": () => (/* binding */ BiCertification),
/* harmony export */   "BiChair": () => (/* binding */ BiChair),
/* harmony export */   "BiChalkboard": () => (/* binding */ BiChalkboard),
/* harmony export */   "BiChart": () => (/* binding */ BiChart),
/* harmony export */   "BiChat": () => (/* binding */ BiChat),
/* harmony export */   "BiCheck": () => (/* binding */ BiCheck),
/* harmony export */   "BiCheckCircle": () => (/* binding */ BiCheckCircle),
/* harmony export */   "BiCheckDouble": () => (/* binding */ BiCheckDouble),
/* harmony export */   "BiCheckShield": () => (/* binding */ BiCheckShield),
/* harmony export */   "BiCheckSquare": () => (/* binding */ BiCheckSquare),
/* harmony export */   "BiCheckbox": () => (/* binding */ BiCheckbox),
/* harmony export */   "BiCheckboxChecked": () => (/* binding */ BiCheckboxChecked),
/* harmony export */   "BiCheckboxSquare": () => (/* binding */ BiCheckboxSquare),
/* harmony export */   "BiChevronDown": () => (/* binding */ BiChevronDown),
/* harmony export */   "BiChevronDownCircle": () => (/* binding */ BiChevronDownCircle),
/* harmony export */   "BiChevronDownSquare": () => (/* binding */ BiChevronDownSquare),
/* harmony export */   "BiChevronLeft": () => (/* binding */ BiChevronLeft),
/* harmony export */   "BiChevronLeftCircle": () => (/* binding */ BiChevronLeftCircle),
/* harmony export */   "BiChevronLeftSquare": () => (/* binding */ BiChevronLeftSquare),
/* harmony export */   "BiChevronRight": () => (/* binding */ BiChevronRight),
/* harmony export */   "BiChevronRightCircle": () => (/* binding */ BiChevronRightCircle),
/* harmony export */   "BiChevronRightSquare": () => (/* binding */ BiChevronRightSquare),
/* harmony export */   "BiChevronUp": () => (/* binding */ BiChevronUp),
/* harmony export */   "BiChevronUpCircle": () => (/* binding */ BiChevronUpCircle),
/* harmony export */   "BiChevronUpSquare": () => (/* binding */ BiChevronUpSquare),
/* harmony export */   "BiChevronsDown": () => (/* binding */ BiChevronsDown),
/* harmony export */   "BiChevronsLeft": () => (/* binding */ BiChevronsLeft),
/* harmony export */   "BiChevronsRight": () => (/* binding */ BiChevronsRight),
/* harmony export */   "BiChevronsUp": () => (/* binding */ BiChevronsUp),
/* harmony export */   "BiChip": () => (/* binding */ BiChip),
/* harmony export */   "BiChurch": () => (/* binding */ BiChurch),
/* harmony export */   "BiCircle": () => (/* binding */ BiCircle),
/* harmony export */   "BiClinic": () => (/* binding */ BiClinic),
/* harmony export */   "BiClipboard": () => (/* binding */ BiClipboard),
/* harmony export */   "BiCloset": () => (/* binding */ BiCloset),
/* harmony export */   "BiCloud": () => (/* binding */ BiCloud),
/* harmony export */   "BiCloudDownload": () => (/* binding */ BiCloudDownload),
/* harmony export */   "BiCloudDrizzle": () => (/* binding */ BiCloudDrizzle),
/* harmony export */   "BiCloudLightRain": () => (/* binding */ BiCloudLightRain),
/* harmony export */   "BiCloudLightning": () => (/* binding */ BiCloudLightning),
/* harmony export */   "BiCloudRain": () => (/* binding */ BiCloudRain),
/* harmony export */   "BiCloudSnow": () => (/* binding */ BiCloudSnow),
/* harmony export */   "BiCloudUpload": () => (/* binding */ BiCloudUpload),
/* harmony export */   "BiCode": () => (/* binding */ BiCode),
/* harmony export */   "BiCodeAlt": () => (/* binding */ BiCodeAlt),
/* harmony export */   "BiCodeBlock": () => (/* binding */ BiCodeBlock),
/* harmony export */   "BiCodeCurly": () => (/* binding */ BiCodeCurly),
/* harmony export */   "BiCoffee": () => (/* binding */ BiCoffee),
/* harmony export */   "BiCoffeeTogo": () => (/* binding */ BiCoffeeTogo),
/* harmony export */   "BiCog": () => (/* binding */ BiCog),
/* harmony export */   "BiCoin": () => (/* binding */ BiCoin),
/* harmony export */   "BiCoinStack": () => (/* binding */ BiCoinStack),
/* harmony export */   "BiCollapse": () => (/* binding */ BiCollapse),
/* harmony export */   "BiCollection": () => (/* binding */ BiCollection),
/* harmony export */   "BiColorFill": () => (/* binding */ BiColorFill),
/* harmony export */   "BiColumns": () => (/* binding */ BiColumns),
/* harmony export */   "BiCommand": () => (/* binding */ BiCommand),
/* harmony export */   "BiComment": () => (/* binding */ BiComment),
/* harmony export */   "BiCommentAdd": () => (/* binding */ BiCommentAdd),
/* harmony export */   "BiCommentCheck": () => (/* binding */ BiCommentCheck),
/* harmony export */   "BiCommentDetail": () => (/* binding */ BiCommentDetail),
/* harmony export */   "BiCommentDots": () => (/* binding */ BiCommentDots),
/* harmony export */   "BiCommentEdit": () => (/* binding */ BiCommentEdit),
/* harmony export */   "BiCommentError": () => (/* binding */ BiCommentError),
/* harmony export */   "BiCommentMinus": () => (/* binding */ BiCommentMinus),
/* harmony export */   "BiCommentX": () => (/* binding */ BiCommentX),
/* harmony export */   "BiCompass": () => (/* binding */ BiCompass),
/* harmony export */   "BiConfused": () => (/* binding */ BiConfused),
/* harmony export */   "BiConversation": () => (/* binding */ BiConversation),
/* harmony export */   "BiCookie": () => (/* binding */ BiCookie),
/* harmony export */   "BiCool": () => (/* binding */ BiCool),
/* harmony export */   "BiCopy": () => (/* binding */ BiCopy),
/* harmony export */   "BiCopyAlt": () => (/* binding */ BiCopyAlt),
/* harmony export */   "BiCopyright": () => (/* binding */ BiCopyright),
/* harmony export */   "BiCreditCard": () => (/* binding */ BiCreditCard),
/* harmony export */   "BiCreditCardAlt": () => (/* binding */ BiCreditCardAlt),
/* harmony export */   "BiCreditCardFront": () => (/* binding */ BiCreditCardFront),
/* harmony export */   "BiCrop": () => (/* binding */ BiCrop),
/* harmony export */   "BiCrosshair": () => (/* binding */ BiCrosshair),
/* harmony export */   "BiCrown": () => (/* binding */ BiCrown),
/* harmony export */   "BiCube": () => (/* binding */ BiCube),
/* harmony export */   "BiCubeAlt": () => (/* binding */ BiCubeAlt),
/* harmony export */   "BiCuboid": () => (/* binding */ BiCuboid),
/* harmony export */   "BiCurrentLocation": () => (/* binding */ BiCurrentLocation),
/* harmony export */   "BiCustomize": () => (/* binding */ BiCustomize),
/* harmony export */   "BiCut": () => (/* binding */ BiCut),
/* harmony export */   "BiCycling": () => (/* binding */ BiCycling),
/* harmony export */   "BiCylinder": () => (/* binding */ BiCylinder),
/* harmony export */   "BiData": () => (/* binding */ BiData),
/* harmony export */   "BiDesktop": () => (/* binding */ BiDesktop),
/* harmony export */   "BiDetail": () => (/* binding */ BiDetail),
/* harmony export */   "BiDevices": () => (/* binding */ BiDevices),
/* harmony export */   "BiDialpad": () => (/* binding */ BiDialpad),
/* harmony export */   "BiDialpadAlt": () => (/* binding */ BiDialpadAlt),
/* harmony export */   "BiDiamond": () => (/* binding */ BiDiamond),
/* harmony export */   "BiDice1": () => (/* binding */ BiDice1),
/* harmony export */   "BiDice2": () => (/* binding */ BiDice2),
/* harmony export */   "BiDice3": () => (/* binding */ BiDice3),
/* harmony export */   "BiDice4": () => (/* binding */ BiDice4),
/* harmony export */   "BiDice5": () => (/* binding */ BiDice5),
/* harmony export */   "BiDice6": () => (/* binding */ BiDice6),
/* harmony export */   "BiDirections": () => (/* binding */ BiDirections),
/* harmony export */   "BiDisc": () => (/* binding */ BiDisc),
/* harmony export */   "BiDish": () => (/* binding */ BiDish),
/* harmony export */   "BiDislike": () => (/* binding */ BiDislike),
/* harmony export */   "BiDizzy": () => (/* binding */ BiDizzy),
/* harmony export */   "BiDna": () => (/* binding */ BiDna),
/* harmony export */   "BiDockBottom": () => (/* binding */ BiDockBottom),
/* harmony export */   "BiDockLeft": () => (/* binding */ BiDockLeft),
/* harmony export */   "BiDockRight": () => (/* binding */ BiDockRight),
/* harmony export */   "BiDockTop": () => (/* binding */ BiDockTop),
/* harmony export */   "BiDollar": () => (/* binding */ BiDollar),
/* harmony export */   "BiDollarCircle": () => (/* binding */ BiDollarCircle),
/* harmony export */   "BiDonateBlood": () => (/* binding */ BiDonateBlood),
/* harmony export */   "BiDonateHeart": () => (/* binding */ BiDonateHeart),
/* harmony export */   "BiDoorOpen": () => (/* binding */ BiDoorOpen),
/* harmony export */   "BiDotsHorizontal": () => (/* binding */ BiDotsHorizontal),
/* harmony export */   "BiDotsHorizontalRounded": () => (/* binding */ BiDotsHorizontalRounded),
/* harmony export */   "BiDotsVertical": () => (/* binding */ BiDotsVertical),
/* harmony export */   "BiDotsVerticalRounded": () => (/* binding */ BiDotsVerticalRounded),
/* harmony export */   "BiDoughnutChart": () => (/* binding */ BiDoughnutChart),
/* harmony export */   "BiDownArrow": () => (/* binding */ BiDownArrow),
/* harmony export */   "BiDownArrowAlt": () => (/* binding */ BiDownArrowAlt),
/* harmony export */   "BiDownArrowCircle": () => (/* binding */ BiDownArrowCircle),
/* harmony export */   "BiDownload": () => (/* binding */ BiDownload),
/* harmony export */   "BiDownvote": () => (/* binding */ BiDownvote),
/* harmony export */   "BiDrink": () => (/* binding */ BiDrink),
/* harmony export */   "BiDroplet": () => (/* binding */ BiDroplet),
/* harmony export */   "BiDumbbell": () => (/* binding */ BiDumbbell),
/* harmony export */   "BiDuplicate": () => (/* binding */ BiDuplicate),
/* harmony export */   "BiEdit": () => (/* binding */ BiEdit),
/* harmony export */   "BiEditAlt": () => (/* binding */ BiEditAlt),
/* harmony export */   "BiEnvelope": () => (/* binding */ BiEnvelope),
/* harmony export */   "BiEnvelopeOpen": () => (/* binding */ BiEnvelopeOpen),
/* harmony export */   "BiEqualizer": () => (/* binding */ BiEqualizer),
/* harmony export */   "BiEraser": () => (/* binding */ BiEraser),
/* harmony export */   "BiError": () => (/* binding */ BiError),
/* harmony export */   "BiErrorAlt": () => (/* binding */ BiErrorAlt),
/* harmony export */   "BiErrorCircle": () => (/* binding */ BiErrorCircle),
/* harmony export */   "BiEuro": () => (/* binding */ BiEuro),
/* harmony export */   "BiExclude": () => (/* binding */ BiExclude),
/* harmony export */   "BiExit": () => (/* binding */ BiExit),
/* harmony export */   "BiExitFullscreen": () => (/* binding */ BiExitFullscreen),
/* harmony export */   "BiExpand": () => (/* binding */ BiExpand),
/* harmony export */   "BiExport": () => (/* binding */ BiExport),
/* harmony export */   "BiExtension": () => (/* binding */ BiExtension),
/* harmony export */   "BiFace": () => (/* binding */ BiFace),
/* harmony export */   "BiFastForward": () => (/* binding */ BiFastForward),
/* harmony export */   "BiFastForwardCircle": () => (/* binding */ BiFastForwardCircle),
/* harmony export */   "BiFemale": () => (/* binding */ BiFemale),
/* harmony export */   "BiFemaleSign": () => (/* binding */ BiFemaleSign),
/* harmony export */   "BiFile": () => (/* binding */ BiFile),
/* harmony export */   "BiFileBlank": () => (/* binding */ BiFileBlank),
/* harmony export */   "BiFileFind": () => (/* binding */ BiFileFind),
/* harmony export */   "BiFilm": () => (/* binding */ BiFilm),
/* harmony export */   "BiFilter": () => (/* binding */ BiFilter),
/* harmony export */   "BiFilterAlt": () => (/* binding */ BiFilterAlt),
/* harmony export */   "BiFingerprint": () => (/* binding */ BiFingerprint),
/* harmony export */   "BiFirstAid": () => (/* binding */ BiFirstAid),
/* harmony export */   "BiFirstPage": () => (/* binding */ BiFirstPage),
/* harmony export */   "BiFlag": () => (/* binding */ BiFlag),
/* harmony export */   "BiFolder": () => (/* binding */ BiFolder),
/* harmony export */   "BiFolderMinus": () => (/* binding */ BiFolderMinus),
/* harmony export */   "BiFolderOpen": () => (/* binding */ BiFolderOpen),
/* harmony export */   "BiFolderPlus": () => (/* binding */ BiFolderPlus),
/* harmony export */   "BiFont": () => (/* binding */ BiFont),
/* harmony export */   "BiFontColor": () => (/* binding */ BiFontColor),
/* harmony export */   "BiFontFamily": () => (/* binding */ BiFontFamily),
/* harmony export */   "BiFontSize": () => (/* binding */ BiFontSize),
/* harmony export */   "BiFoodMenu": () => (/* binding */ BiFoodMenu),
/* harmony export */   "BiFoodTag": () => (/* binding */ BiFoodTag),
/* harmony export */   "BiFootball": () => (/* binding */ BiFootball),
/* harmony export */   "BiFridge": () => (/* binding */ BiFridge),
/* harmony export */   "BiFullscreen": () => (/* binding */ BiFullscreen),
/* harmony export */   "BiGame": () => (/* binding */ BiGame),
/* harmony export */   "BiGasPump": () => (/* binding */ BiGasPump),
/* harmony export */   "BiGhost": () => (/* binding */ BiGhost),
/* harmony export */   "BiGift": () => (/* binding */ BiGift),
/* harmony export */   "BiGitBranch": () => (/* binding */ BiGitBranch),
/* harmony export */   "BiGitCommit": () => (/* binding */ BiGitCommit),
/* harmony export */   "BiGitCompare": () => (/* binding */ BiGitCompare),
/* harmony export */   "BiGitMerge": () => (/* binding */ BiGitMerge),
/* harmony export */   "BiGitPullRequest": () => (/* binding */ BiGitPullRequest),
/* harmony export */   "BiGitRepoForked": () => (/* binding */ BiGitRepoForked),
/* harmony export */   "BiGlasses": () => (/* binding */ BiGlasses),
/* harmony export */   "BiGlassesAlt": () => (/* binding */ BiGlassesAlt),
/* harmony export */   "BiGlobe": () => (/* binding */ BiGlobe),
/* harmony export */   "BiGlobeAlt": () => (/* binding */ BiGlobeAlt),
/* harmony export */   "BiGrid": () => (/* binding */ BiGrid),
/* harmony export */   "BiGridAlt": () => (/* binding */ BiGridAlt),
/* harmony export */   "BiGridHorizontal": () => (/* binding */ BiGridHorizontal),
/* harmony export */   "BiGridSmall": () => (/* binding */ BiGridSmall),
/* harmony export */   "BiGridVertical": () => (/* binding */ BiGridVertical),
/* harmony export */   "BiGroup": () => (/* binding */ BiGroup),
/* harmony export */   "BiHandicap": () => (/* binding */ BiHandicap),
/* harmony export */   "BiHappy": () => (/* binding */ BiHappy),
/* harmony export */   "BiHappyAlt": () => (/* binding */ BiHappyAlt),
/* harmony export */   "BiHappyBeaming": () => (/* binding */ BiHappyBeaming),
/* harmony export */   "BiHappyHeartEyes": () => (/* binding */ BiHappyHeartEyes),
/* harmony export */   "BiHash": () => (/* binding */ BiHash),
/* harmony export */   "BiHdd": () => (/* binding */ BiHdd),
/* harmony export */   "BiHeading": () => (/* binding */ BiHeading),
/* harmony export */   "BiHeadphone": () => (/* binding */ BiHeadphone),
/* harmony export */   "BiHealth": () => (/* binding */ BiHealth),
/* harmony export */   "BiHeart": () => (/* binding */ BiHeart),
/* harmony export */   "BiHeartCircle": () => (/* binding */ BiHeartCircle),
/* harmony export */   "BiHeartSquare": () => (/* binding */ BiHeartSquare),
/* harmony export */   "BiHelpCircle": () => (/* binding */ BiHelpCircle),
/* harmony export */   "BiHide": () => (/* binding */ BiHide),
/* harmony export */   "BiHighlight": () => (/* binding */ BiHighlight),
/* harmony export */   "BiHistory": () => (/* binding */ BiHistory),
/* harmony export */   "BiHive": () => (/* binding */ BiHive),
/* harmony export */   "BiHome": () => (/* binding */ BiHome),
/* harmony export */   "BiHomeAlt": () => (/* binding */ BiHomeAlt),
/* harmony export */   "BiHomeCircle": () => (/* binding */ BiHomeCircle),
/* harmony export */   "BiHomeHeart": () => (/* binding */ BiHomeHeart),
/* harmony export */   "BiHomeSmile": () => (/* binding */ BiHomeSmile),
/* harmony export */   "BiHorizontalCenter": () => (/* binding */ BiHorizontalCenter),
/* harmony export */   "BiHotel": () => (/* binding */ BiHotel),
/* harmony export */   "BiHourglass": () => (/* binding */ BiHourglass),
/* harmony export */   "BiIdCard": () => (/* binding */ BiIdCard),
/* harmony export */   "BiImage": () => (/* binding */ BiImage),
/* harmony export */   "BiImageAdd": () => (/* binding */ BiImageAdd),
/* harmony export */   "BiImageAlt": () => (/* binding */ BiImageAlt),
/* harmony export */   "BiImages": () => (/* binding */ BiImages),
/* harmony export */   "BiImport": () => (/* binding */ BiImport),
/* harmony export */   "BiInfinite": () => (/* binding */ BiInfinite),
/* harmony export */   "BiInfoCircle": () => (/* binding */ BiInfoCircle),
/* harmony export */   "BiInfoSquare": () => (/* binding */ BiInfoSquare),
/* harmony export */   "BiIntersect": () => (/* binding */ BiIntersect),
/* harmony export */   "BiItalic": () => (/* binding */ BiItalic),
/* harmony export */   "BiJoystick": () => (/* binding */ BiJoystick),
/* harmony export */   "BiJoystickAlt": () => (/* binding */ BiJoystickAlt),
/* harmony export */   "BiJoystickButton": () => (/* binding */ BiJoystickButton),
/* harmony export */   "BiKey": () => (/* binding */ BiKey),
/* harmony export */   "BiLabel": () => (/* binding */ BiLabel),
/* harmony export */   "BiLandscape": () => (/* binding */ BiLandscape),
/* harmony export */   "BiLaptop": () => (/* binding */ BiLaptop),
/* harmony export */   "BiLastPage": () => (/* binding */ BiLastPage),
/* harmony export */   "BiLaugh": () => (/* binding */ BiLaugh),
/* harmony export */   "BiLayer": () => (/* binding */ BiLayer),
/* harmony export */   "BiLayerMinus": () => (/* binding */ BiLayerMinus),
/* harmony export */   "BiLayerPlus": () => (/* binding */ BiLayerPlus),
/* harmony export */   "BiLayout": () => (/* binding */ BiLayout),
/* harmony export */   "BiLeftArrow": () => (/* binding */ BiLeftArrow),
/* harmony export */   "BiLeftArrowAlt": () => (/* binding */ BiLeftArrowAlt),
/* harmony export */   "BiLeftArrowCircle": () => (/* binding */ BiLeftArrowCircle),
/* harmony export */   "BiLeftDownArrowCircle": () => (/* binding */ BiLeftDownArrowCircle),
/* harmony export */   "BiLeftIndent": () => (/* binding */ BiLeftIndent),
/* harmony export */   "BiLeftTopArrowCircle": () => (/* binding */ BiLeftTopArrowCircle),
/* harmony export */   "BiLike": () => (/* binding */ BiLike),
/* harmony export */   "BiLineChart": () => (/* binding */ BiLineChart),
/* harmony export */   "BiLineChartDown": () => (/* binding */ BiLineChartDown),
/* harmony export */   "BiLink": () => (/* binding */ BiLink),
/* harmony export */   "BiLinkAlt": () => (/* binding */ BiLinkAlt),
/* harmony export */   "BiLinkExternal": () => (/* binding */ BiLinkExternal),
/* harmony export */   "BiLira": () => (/* binding */ BiLira),
/* harmony export */   "BiListCheck": () => (/* binding */ BiListCheck),
/* harmony export */   "BiListMinus": () => (/* binding */ BiListMinus),
/* harmony export */   "BiListOl": () => (/* binding */ BiListOl),
/* harmony export */   "BiListPlus": () => (/* binding */ BiListPlus),
/* harmony export */   "BiListUl": () => (/* binding */ BiListUl),
/* harmony export */   "BiLoader": () => (/* binding */ BiLoader),
/* harmony export */   "BiLoaderAlt": () => (/* binding */ BiLoaderAlt),
/* harmony export */   "BiLoaderCircle": () => (/* binding */ BiLoaderCircle),
/* harmony export */   "BiLocationPlus": () => (/* binding */ BiLocationPlus),
/* harmony export */   "BiLock": () => (/* binding */ BiLock),
/* harmony export */   "BiLockAlt": () => (/* binding */ BiLockAlt),
/* harmony export */   "BiLockOpen": () => (/* binding */ BiLockOpen),
/* harmony export */   "BiLockOpenAlt": () => (/* binding */ BiLockOpenAlt),
/* harmony export */   "BiLogIn": () => (/* binding */ BiLogIn),
/* harmony export */   "BiLogInCircle": () => (/* binding */ BiLogInCircle),
/* harmony export */   "BiLogOut": () => (/* binding */ BiLogOut),
/* harmony export */   "BiLogOutCircle": () => (/* binding */ BiLogOutCircle),
/* harmony export */   "BiLowVision": () => (/* binding */ BiLowVision),
/* harmony export */   "BiMagnet": () => (/* binding */ BiMagnet),
/* harmony export */   "BiMailSend": () => (/* binding */ BiMailSend),
/* harmony export */   "BiMale": () => (/* binding */ BiMale),
/* harmony export */   "BiMaleSign": () => (/* binding */ BiMaleSign),
/* harmony export */   "BiMap": () => (/* binding */ BiMap),
/* harmony export */   "BiMapAlt": () => (/* binding */ BiMapAlt),
/* harmony export */   "BiMapPin": () => (/* binding */ BiMapPin),
/* harmony export */   "BiMask": () => (/* binding */ BiMask),
/* harmony export */   "BiMedal": () => (/* binding */ BiMedal),
/* harmony export */   "BiMeh": () => (/* binding */ BiMeh),
/* harmony export */   "BiMehAlt": () => (/* binding */ BiMehAlt),
/* harmony export */   "BiMehBlank": () => (/* binding */ BiMehBlank),
/* harmony export */   "BiMemoryCard": () => (/* binding */ BiMemoryCard),
/* harmony export */   "BiMenu": () => (/* binding */ BiMenu),
/* harmony export */   "BiMenuAltLeft": () => (/* binding */ BiMenuAltLeft),
/* harmony export */   "BiMenuAltRight": () => (/* binding */ BiMenuAltRight),
/* harmony export */   "BiMerge": () => (/* binding */ BiMerge),
/* harmony export */   "BiMessage": () => (/* binding */ BiMessage),
/* harmony export */   "BiMessageAdd": () => (/* binding */ BiMessageAdd),
/* harmony export */   "BiMessageAlt": () => (/* binding */ BiMessageAlt),
/* harmony export */   "BiMessageAltAdd": () => (/* binding */ BiMessageAltAdd),
/* harmony export */   "BiMessageAltCheck": () => (/* binding */ BiMessageAltCheck),
/* harmony export */   "BiMessageAltDetail": () => (/* binding */ BiMessageAltDetail),
/* harmony export */   "BiMessageAltDots": () => (/* binding */ BiMessageAltDots),
/* harmony export */   "BiMessageAltEdit": () => (/* binding */ BiMessageAltEdit),
/* harmony export */   "BiMessageAltError": () => (/* binding */ BiMessageAltError),
/* harmony export */   "BiMessageAltMinus": () => (/* binding */ BiMessageAltMinus),
/* harmony export */   "BiMessageAltX": () => (/* binding */ BiMessageAltX),
/* harmony export */   "BiMessageCheck": () => (/* binding */ BiMessageCheck),
/* harmony export */   "BiMessageDetail": () => (/* binding */ BiMessageDetail),
/* harmony export */   "BiMessageDots": () => (/* binding */ BiMessageDots),
/* harmony export */   "BiMessageEdit": () => (/* binding */ BiMessageEdit),
/* harmony export */   "BiMessageError": () => (/* binding */ BiMessageError),
/* harmony export */   "BiMessageMinus": () => (/* binding */ BiMessageMinus),
/* harmony export */   "BiMessageRounded": () => (/* binding */ BiMessageRounded),
/* harmony export */   "BiMessageRoundedAdd": () => (/* binding */ BiMessageRoundedAdd),
/* harmony export */   "BiMessageRoundedCheck": () => (/* binding */ BiMessageRoundedCheck),
/* harmony export */   "BiMessageRoundedDetail": () => (/* binding */ BiMessageRoundedDetail),
/* harmony export */   "BiMessageRoundedDots": () => (/* binding */ BiMessageRoundedDots),
/* harmony export */   "BiMessageRoundedEdit": () => (/* binding */ BiMessageRoundedEdit),
/* harmony export */   "BiMessageRoundedError": () => (/* binding */ BiMessageRoundedError),
/* harmony export */   "BiMessageRoundedMinus": () => (/* binding */ BiMessageRoundedMinus),
/* harmony export */   "BiMessageRoundedX": () => (/* binding */ BiMessageRoundedX),
/* harmony export */   "BiMessageSquare": () => (/* binding */ BiMessageSquare),
/* harmony export */   "BiMessageSquareAdd": () => (/* binding */ BiMessageSquareAdd),
/* harmony export */   "BiMessageSquareCheck": () => (/* binding */ BiMessageSquareCheck),
/* harmony export */   "BiMessageSquareDetail": () => (/* binding */ BiMessageSquareDetail),
/* harmony export */   "BiMessageSquareDots": () => (/* binding */ BiMessageSquareDots),
/* harmony export */   "BiMessageSquareEdit": () => (/* binding */ BiMessageSquareEdit),
/* harmony export */   "BiMessageSquareError": () => (/* binding */ BiMessageSquareError),
/* harmony export */   "BiMessageSquareMinus": () => (/* binding */ BiMessageSquareMinus),
/* harmony export */   "BiMessageSquareX": () => (/* binding */ BiMessageSquareX),
/* harmony export */   "BiMessageX": () => (/* binding */ BiMessageX),
/* harmony export */   "BiMeteor": () => (/* binding */ BiMeteor),
/* harmony export */   "BiMicrochip": () => (/* binding */ BiMicrochip),
/* harmony export */   "BiMicrophone": () => (/* binding */ BiMicrophone),
/* harmony export */   "BiMicrophoneOff": () => (/* binding */ BiMicrophoneOff),
/* harmony export */   "BiMinus": () => (/* binding */ BiMinus),
/* harmony export */   "BiMinusBack": () => (/* binding */ BiMinusBack),
/* harmony export */   "BiMinusCircle": () => (/* binding */ BiMinusCircle),
/* harmony export */   "BiMinusFront": () => (/* binding */ BiMinusFront),
/* harmony export */   "BiMobile": () => (/* binding */ BiMobile),
/* harmony export */   "BiMobileAlt": () => (/* binding */ BiMobileAlt),
/* harmony export */   "BiMobileLandscape": () => (/* binding */ BiMobileLandscape),
/* harmony export */   "BiMobileVibration": () => (/* binding */ BiMobileVibration),
/* harmony export */   "BiMoney": () => (/* binding */ BiMoney),
/* harmony export */   "BiMoon": () => (/* binding */ BiMoon),
/* harmony export */   "BiMouse": () => (/* binding */ BiMouse),
/* harmony export */   "BiMouseAlt": () => (/* binding */ BiMouseAlt),
/* harmony export */   "BiMove": () => (/* binding */ BiMove),
/* harmony export */   "BiMoveHorizontal": () => (/* binding */ BiMoveHorizontal),
/* harmony export */   "BiMoveVertical": () => (/* binding */ BiMoveVertical),
/* harmony export */   "BiMovie": () => (/* binding */ BiMovie),
/* harmony export */   "BiMusic": () => (/* binding */ BiMusic),
/* harmony export */   "BiNavigation": () => (/* binding */ BiNavigation),
/* harmony export */   "BiNetworkChart": () => (/* binding */ BiNetworkChart),
/* harmony export */   "BiNews": () => (/* binding */ BiNews),
/* harmony export */   "BiNoEntry": () => (/* binding */ BiNoEntry),
/* harmony export */   "BiNote": () => (/* binding */ BiNote),
/* harmony export */   "BiNotepad": () => (/* binding */ BiNotepad),
/* harmony export */   "BiNotification": () => (/* binding */ BiNotification),
/* harmony export */   "BiNotificationOff": () => (/* binding */ BiNotificationOff),
/* harmony export */   "BiOutline": () => (/* binding */ BiOutline),
/* harmony export */   "BiPackage": () => (/* binding */ BiPackage),
/* harmony export */   "BiPaint": () => (/* binding */ BiPaint),
/* harmony export */   "BiPaintRoll": () => (/* binding */ BiPaintRoll),
/* harmony export */   "BiPalette": () => (/* binding */ BiPalette),
/* harmony export */   "BiPaperPlane": () => (/* binding */ BiPaperPlane),
/* harmony export */   "BiPaperclip": () => (/* binding */ BiPaperclip),
/* harmony export */   "BiParagraph": () => (/* binding */ BiParagraph),
/* harmony export */   "BiPaste": () => (/* binding */ BiPaste),
/* harmony export */   "BiPause": () => (/* binding */ BiPause),
/* harmony export */   "BiPauseCircle": () => (/* binding */ BiPauseCircle),
/* harmony export */   "BiPen": () => (/* binding */ BiPen),
/* harmony export */   "BiPencil": () => (/* binding */ BiPencil),
/* harmony export */   "BiPhone": () => (/* binding */ BiPhone),
/* harmony export */   "BiPhoneCall": () => (/* binding */ BiPhoneCall),
/* harmony export */   "BiPhoneIncoming": () => (/* binding */ BiPhoneIncoming),
/* harmony export */   "BiPhoneOutgoing": () => (/* binding */ BiPhoneOutgoing),
/* harmony export */   "BiPhotoAlbum": () => (/* binding */ BiPhotoAlbum),
/* harmony export */   "BiPieChart": () => (/* binding */ BiPieChart),
/* harmony export */   "BiPieChartAlt": () => (/* binding */ BiPieChartAlt),
/* harmony export */   "BiPieChartAlt2": () => (/* binding */ BiPieChartAlt2),
/* harmony export */   "BiPin": () => (/* binding */ BiPin),
/* harmony export */   "BiPlanet": () => (/* binding */ BiPlanet),
/* harmony export */   "BiPlay": () => (/* binding */ BiPlay),
/* harmony export */   "BiPlayCircle": () => (/* binding */ BiPlayCircle),
/* harmony export */   "BiPlug": () => (/* binding */ BiPlug),
/* harmony export */   "BiPlus": () => (/* binding */ BiPlus),
/* harmony export */   "BiPlusCircle": () => (/* binding */ BiPlusCircle),
/* harmony export */   "BiPlusMedical": () => (/* binding */ BiPlusMedical),
/* harmony export */   "BiPointer": () => (/* binding */ BiPointer),
/* harmony export */   "BiPoll": () => (/* binding */ BiPoll),
/* harmony export */   "BiPolygon": () => (/* binding */ BiPolygon),
/* harmony export */   "BiPound": () => (/* binding */ BiPound),
/* harmony export */   "BiPowerOff": () => (/* binding */ BiPowerOff),
/* harmony export */   "BiPrinter": () => (/* binding */ BiPrinter),
/* harmony export */   "BiPulse": () => (/* binding */ BiPulse),
/* harmony export */   "BiPurchaseTag": () => (/* binding */ BiPurchaseTag),
/* harmony export */   "BiPurchaseTagAlt": () => (/* binding */ BiPurchaseTagAlt),
/* harmony export */   "BiPyramid": () => (/* binding */ BiPyramid),
/* harmony export */   "BiQuestionMark": () => (/* binding */ BiQuestionMark),
/* harmony export */   "BiRadar": () => (/* binding */ BiRadar),
/* harmony export */   "BiRadio": () => (/* binding */ BiRadio),
/* harmony export */   "BiRadioCircle": () => (/* binding */ BiRadioCircle),
/* harmony export */   "BiRadioCircleMarked": () => (/* binding */ BiRadioCircleMarked),
/* harmony export */   "BiReceipt": () => (/* binding */ BiReceipt),
/* harmony export */   "BiRectangle": () => (/* binding */ BiRectangle),
/* harmony export */   "BiRecycle": () => (/* binding */ BiRecycle),
/* harmony export */   "BiRedo": () => (/* binding */ BiRedo),
/* harmony export */   "BiRefresh": () => (/* binding */ BiRefresh),
/* harmony export */   "BiRename": () => (/* binding */ BiRename),
/* harmony export */   "BiRepeat": () => (/* binding */ BiRepeat),
/* harmony export */   "BiReply": () => (/* binding */ BiReply),
/* harmony export */   "BiReplyAll": () => (/* binding */ BiReplyAll),
/* harmony export */   "BiRepost": () => (/* binding */ BiRepost),
/* harmony export */   "BiReset": () => (/* binding */ BiReset),
/* harmony export */   "BiRestaurant": () => (/* binding */ BiRestaurant),
/* harmony export */   "BiRevision": () => (/* binding */ BiRevision),
/* harmony export */   "BiRewind": () => (/* binding */ BiRewind),
/* harmony export */   "BiRewindCircle": () => (/* binding */ BiRewindCircle),
/* harmony export */   "BiRightArrow": () => (/* binding */ BiRightArrow),
/* harmony export */   "BiRightArrowAlt": () => (/* binding */ BiRightArrowAlt),
/* harmony export */   "BiRightArrowCircle": () => (/* binding */ BiRightArrowCircle),
/* harmony export */   "BiRightDownArrowCircle": () => (/* binding */ BiRightDownArrowCircle),
/* harmony export */   "BiRightIndent": () => (/* binding */ BiRightIndent),
/* harmony export */   "BiRightTopArrowCircle": () => (/* binding */ BiRightTopArrowCircle),
/* harmony export */   "BiRocket": () => (/* binding */ BiRocket),
/* harmony export */   "BiRotateLeft": () => (/* binding */ BiRotateLeft),
/* harmony export */   "BiRotateRight": () => (/* binding */ BiRotateRight),
/* harmony export */   "BiRss": () => (/* binding */ BiRss),
/* harmony export */   "BiRuble": () => (/* binding */ BiRuble),
/* harmony export */   "BiRuler": () => (/* binding */ BiRuler),
/* harmony export */   "BiRun": () => (/* binding */ BiRun),
/* harmony export */   "BiRupee": () => (/* binding */ BiRupee),
/* harmony export */   "BiSad": () => (/* binding */ BiSad),
/* harmony export */   "BiSave": () => (/* binding */ BiSave),
/* harmony export */   "BiScan": () => (/* binding */ BiScan),
/* harmony export */   "BiScreenshot": () => (/* binding */ BiScreenshot),
/* harmony export */   "BiSearch": () => (/* binding */ BiSearch),
/* harmony export */   "BiSearchAlt": () => (/* binding */ BiSearchAlt),
/* harmony export */   "BiSearchAlt2": () => (/* binding */ BiSearchAlt2),
/* harmony export */   "BiSelectMultiple": () => (/* binding */ BiSelectMultiple),
/* harmony export */   "BiSelection": () => (/* binding */ BiSelection),
/* harmony export */   "BiSend": () => (/* binding */ BiSend),
/* harmony export */   "BiServer": () => (/* binding */ BiServer),
/* harmony export */   "BiShapeCircle": () => (/* binding */ BiShapeCircle),
/* harmony export */   "BiShapePolygon": () => (/* binding */ BiShapePolygon),
/* harmony export */   "BiShapeSquare": () => (/* binding */ BiShapeSquare),
/* harmony export */   "BiShapeTriangle": () => (/* binding */ BiShapeTriangle),
/* harmony export */   "BiShare": () => (/* binding */ BiShare),
/* harmony export */   "BiShareAlt": () => (/* binding */ BiShareAlt),
/* harmony export */   "BiShekel": () => (/* binding */ BiShekel),
/* harmony export */   "BiShield": () => (/* binding */ BiShield),
/* harmony export */   "BiShieldAlt": () => (/* binding */ BiShieldAlt),
/* harmony export */   "BiShieldAlt2": () => (/* binding */ BiShieldAlt2),
/* harmony export */   "BiShieldQuarter": () => (/* binding */ BiShieldQuarter),
/* harmony export */   "BiShieldX": () => (/* binding */ BiShieldX),
/* harmony export */   "BiShocked": () => (/* binding */ BiShocked),
/* harmony export */   "BiShoppingBag": () => (/* binding */ BiShoppingBag),
/* harmony export */   "BiShow": () => (/* binding */ BiShow),
/* harmony export */   "BiShowAlt": () => (/* binding */ BiShowAlt),
/* harmony export */   "BiShuffle": () => (/* binding */ BiShuffle),
/* harmony export */   "BiSidebar": () => (/* binding */ BiSidebar),
/* harmony export */   "BiSitemap": () => (/* binding */ BiSitemap),
/* harmony export */   "BiSkipNext": () => (/* binding */ BiSkipNext),
/* harmony export */   "BiSkipNextCircle": () => (/* binding */ BiSkipNextCircle),
/* harmony export */   "BiSkipPrevious": () => (/* binding */ BiSkipPrevious),
/* harmony export */   "BiSkipPreviousCircle": () => (/* binding */ BiSkipPreviousCircle),
/* harmony export */   "BiSleepy": () => (/* binding */ BiSleepy),
/* harmony export */   "BiSlider": () => (/* binding */ BiSlider),
/* harmony export */   "BiSliderAlt": () => (/* binding */ BiSliderAlt),
/* harmony export */   "BiSlideshow": () => (/* binding */ BiSlideshow),
/* harmony export */   "BiSmile": () => (/* binding */ BiSmile),
/* harmony export */   "BiSort": () => (/* binding */ BiSort),
/* harmony export */   "BiSortAZ": () => (/* binding */ BiSortAZ),
/* harmony export */   "BiSortDown": () => (/* binding */ BiSortDown),
/* harmony export */   "BiSortUp": () => (/* binding */ BiSortUp),
/* harmony export */   "BiSortZA": () => (/* binding */ BiSortZA),
/* harmony export */   "BiSpa": () => (/* binding */ BiSpa),
/* harmony export */   "BiSpaceBar": () => (/* binding */ BiSpaceBar),
/* harmony export */   "BiSprayCan": () => (/* binding */ BiSprayCan),
/* harmony export */   "BiSpreadsheet": () => (/* binding */ BiSpreadsheet),
/* harmony export */   "BiSquare": () => (/* binding */ BiSquare),
/* harmony export */   "BiSquareRounded": () => (/* binding */ BiSquareRounded),
/* harmony export */   "BiStar": () => (/* binding */ BiStar),
/* harmony export */   "BiStation": () => (/* binding */ BiStation),
/* harmony export */   "BiStats": () => (/* binding */ BiStats),
/* harmony export */   "BiSticker": () => (/* binding */ BiSticker),
/* harmony export */   "BiStop": () => (/* binding */ BiStop),
/* harmony export */   "BiStopCircle": () => (/* binding */ BiStopCircle),
/* harmony export */   "BiStopwatch": () => (/* binding */ BiStopwatch),
/* harmony export */   "BiStore": () => (/* binding */ BiStore),
/* harmony export */   "BiStoreAlt": () => (/* binding */ BiStoreAlt),
/* harmony export */   "BiStreetView": () => (/* binding */ BiStreetView),
/* harmony export */   "BiStrikethrough": () => (/* binding */ BiStrikethrough),
/* harmony export */   "BiSubdirectoryLeft": () => (/* binding */ BiSubdirectoryLeft),
/* harmony export */   "BiSubdirectoryRight": () => (/* binding */ BiSubdirectoryRight),
/* harmony export */   "BiSun": () => (/* binding */ BiSun),
/* harmony export */   "BiSupport": () => (/* binding */ BiSupport),
/* harmony export */   "BiSwim": () => (/* binding */ BiSwim),
/* harmony export */   "BiSync": () => (/* binding */ BiSync),
/* harmony export */   "BiTab": () => (/* binding */ BiTab),
/* harmony export */   "BiTable": () => (/* binding */ BiTable),
/* harmony export */   "BiTachometer": () => (/* binding */ BiTachometer),
/* harmony export */   "BiTag": () => (/* binding */ BiTag),
/* harmony export */   "BiTargetLock": () => (/* binding */ BiTargetLock),
/* harmony export */   "BiTask": () => (/* binding */ BiTask),
/* harmony export */   "BiTaskX": () => (/* binding */ BiTaskX),
/* harmony export */   "BiTaxi": () => (/* binding */ BiTaxi),
/* harmony export */   "BiTennisBall": () => (/* binding */ BiTennisBall),
/* harmony export */   "BiTerminal": () => (/* binding */ BiTerminal),
/* harmony export */   "BiTestTube": () => (/* binding */ BiTestTube),
/* harmony export */   "BiText": () => (/* binding */ BiText),
/* harmony export */   "BiTime": () => (/* binding */ BiTime),
/* harmony export */   "BiTimeFive": () => (/* binding */ BiTimeFive),
/* harmony export */   "BiTimer": () => (/* binding */ BiTimer),
/* harmony export */   "BiTired": () => (/* binding */ BiTired),
/* harmony export */   "BiToggleLeft": () => (/* binding */ BiToggleLeft),
/* harmony export */   "BiToggleRight": () => (/* binding */ BiToggleRight),
/* harmony export */   "BiTone": () => (/* binding */ BiTone),
/* harmony export */   "BiTrafficCone": () => (/* binding */ BiTrafficCone),
/* harmony export */   "BiTrain": () => (/* binding */ BiTrain),
/* harmony export */   "BiTransfer": () => (/* binding */ BiTransfer),
/* harmony export */   "BiTransferAlt": () => (/* binding */ BiTransferAlt),
/* harmony export */   "BiTrash": () => (/* binding */ BiTrash),
/* harmony export */   "BiTrashAlt": () => (/* binding */ BiTrashAlt),
/* harmony export */   "BiTrendingDown": () => (/* binding */ BiTrendingDown),
/* harmony export */   "BiTrendingUp": () => (/* binding */ BiTrendingUp),
/* harmony export */   "BiTrim": () => (/* binding */ BiTrim),
/* harmony export */   "BiTrophy": () => (/* binding */ BiTrophy),
/* harmony export */   "BiTv": () => (/* binding */ BiTv),
/* harmony export */   "BiUnderline": () => (/* binding */ BiUnderline),
/* harmony export */   "BiUndo": () => (/* binding */ BiUndo),
/* harmony export */   "BiUnite": () => (/* binding */ BiUnite),
/* harmony export */   "BiUnlink": () => (/* binding */ BiUnlink),
/* harmony export */   "BiUpArrow": () => (/* binding */ BiUpArrow),
/* harmony export */   "BiUpArrowAlt": () => (/* binding */ BiUpArrowAlt),
/* harmony export */   "BiUpArrowCircle": () => (/* binding */ BiUpArrowCircle),
/* harmony export */   "BiUpload": () => (/* binding */ BiUpload),
/* harmony export */   "BiUpsideDown": () => (/* binding */ BiUpsideDown),
/* harmony export */   "BiUpvote": () => (/* binding */ BiUpvote),
/* harmony export */   "BiUsb": () => (/* binding */ BiUsb),
/* harmony export */   "BiUser": () => (/* binding */ BiUser),
/* harmony export */   "BiUserCheck": () => (/* binding */ BiUserCheck),
/* harmony export */   "BiUserCircle": () => (/* binding */ BiUserCircle),
/* harmony export */   "BiUserMinus": () => (/* binding */ BiUserMinus),
/* harmony export */   "BiUserPin": () => (/* binding */ BiUserPin),
/* harmony export */   "BiUserPlus": () => (/* binding */ BiUserPlus),
/* harmony export */   "BiUserVoice": () => (/* binding */ BiUserVoice),
/* harmony export */   "BiUserX": () => (/* binding */ BiUserX),
/* harmony export */   "BiVector": () => (/* binding */ BiVector),
/* harmony export */   "BiVerticalCenter": () => (/* binding */ BiVerticalCenter),
/* harmony export */   "BiVial": () => (/* binding */ BiVial),
/* harmony export */   "BiVideo": () => (/* binding */ BiVideo),
/* harmony export */   "BiVideoOff": () => (/* binding */ BiVideoOff),
/* harmony export */   "BiVideoPlus": () => (/* binding */ BiVideoPlus),
/* harmony export */   "BiVideoRecording": () => (/* binding */ BiVideoRecording),
/* harmony export */   "BiVoicemail": () => (/* binding */ BiVoicemail),
/* harmony export */   "BiVolume": () => (/* binding */ BiVolume),
/* harmony export */   "BiVolumeFull": () => (/* binding */ BiVolumeFull),
/* harmony export */   "BiVolumeLow": () => (/* binding */ BiVolumeLow),
/* harmony export */   "BiVolumeMute": () => (/* binding */ BiVolumeMute),
/* harmony export */   "BiWalk": () => (/* binding */ BiWalk),
/* harmony export */   "BiWallet": () => (/* binding */ BiWallet),
/* harmony export */   "BiWalletAlt": () => (/* binding */ BiWalletAlt),
/* harmony export */   "BiWater": () => (/* binding */ BiWater),
/* harmony export */   "BiWebcam": () => (/* binding */ BiWebcam),
/* harmony export */   "BiWifi": () => (/* binding */ BiWifi),
/* harmony export */   "BiWifi0": () => (/* binding */ BiWifi0),
/* harmony export */   "BiWifi1": () => (/* binding */ BiWifi1),
/* harmony export */   "BiWifi2": () => (/* binding */ BiWifi2),
/* harmony export */   "BiWifiOff": () => (/* binding */ BiWifiOff),
/* harmony export */   "BiWind": () => (/* binding */ BiWind),
/* harmony export */   "BiWindow": () => (/* binding */ BiWindow),
/* harmony export */   "BiWindowAlt": () => (/* binding */ BiWindowAlt),
/* harmony export */   "BiWindowClose": () => (/* binding */ BiWindowClose),
/* harmony export */   "BiWindowOpen": () => (/* binding */ BiWindowOpen),
/* harmony export */   "BiWindows": () => (/* binding */ BiWindows),
/* harmony export */   "BiWine": () => (/* binding */ BiWine),
/* harmony export */   "BiWinkSmile": () => (/* binding */ BiWinkSmile),
/* harmony export */   "BiWinkTongue": () => (/* binding */ BiWinkTongue),
/* harmony export */   "BiWon": () => (/* binding */ BiWon),
/* harmony export */   "BiWorld": () => (/* binding */ BiWorld),
/* harmony export */   "BiWrench": () => (/* binding */ BiWrench),
/* harmony export */   "BiX": () => (/* binding */ BiX),
/* harmony export */   "BiXCircle": () => (/* binding */ BiXCircle),
/* harmony export */   "BiYen": () => (/* binding */ BiYen),
/* harmony export */   "BiZoomIn": () => (/* binding */ BiZoomIn),
/* harmony export */   "BiZoomOut": () => (/* binding */ BiZoomOut)
/* harmony export */ });
/* harmony import */ var _lib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../lib */ "./node_modules/react-icons/lib/esm/index.js");
// THIS FILE IS AUTO GENERATED

function BiAbacus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 3H4V21H2zM20 3H22V21H20zM5 13L7 13 7 14 9 14 9 13 11 13 11 14 13 14 13 13 17 13 17 14 19 14 19 13 19 11 19 10 17 10 17 11 13 11 13 10 11 10 11 11 9 11 9 10 7 10 7 11 5 11zM5 4L5 5 5 7 5 8 7 8 7 7 15 7 15 8 17 8 17 7 19 7 19 5 17 5 17 4 15 4 15 5 7 5 7 4zM5 17L5 19 5 20 7 20 7 19 9 19 9 20 11 20 11 19 19 19 19 17 11 17 11 16 9 16 9 17 7 17 7 16 5 16z"}}]})(props);
};
function BiAccessibility (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"18","cy":"4","r":"2"}},{"tag":"path","attr":{"d":"M17.836 12.014l-4.345.725 3.29-4.113c.175-.219.25-.501.207-.778s-.2-.523-.434-.679l-6-4c-.396-.265-.924-.213-1.262.125l-4 4 1.414 1.414 3.42-3.42 2.584 1.723-2.681 3.352C9.395 10.132 8.713 10 8 10c-1.294 0-2.49.416-3.471 1.115l1.451 1.451C6.575 12.216 7.261 12 8 12c2.206 0 4 1.794 4 4 0 .739-.216 1.425-.566 2.02l1.451 1.451C13.584 18.49 14 17.294 14 16c0-.445-.053-.878-.145-1.295L17 14.181V20h2v-7c0-.294-.129-.573-.354-.763C18.423 12.048 18.128 11.967 17.836 12.014zM8 20c-2.206 0-4-1.794-4-4 0-.739.216-1.425.566-2.02l-1.451-1.451C2.416 13.51 2 14.706 2 16c0 3.309 2.691 6 6 6 1.294 0 2.49-.416 3.471-1.115l-1.451-1.451C9.425 19.784 8.739 20 8 20z"}}]})(props);
};
function BiAddToQueue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H8C6.897,2,6,2.897,6,4v12c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M8,16V4h12 l0.002,12H8z"}},{"tag":"path","attr":{"d":"M4 8H2v12c0 1.103.897 2 2 2h12v-2H4V8zM15 6L13 6 13 9 10 9 10 11 13 11 13 14 15 14 15 11 18 11 18 9 15 9z"}}]})(props);
};
function BiAdjust (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,22c5.514,0,10-4.486,10-10S17.514,2,12,2S2,6.486,2,12S6.486,22,12,22z M12,4c4.411,0,8,3.589,8,8s-3.589,8-8,8 s-8-3.589-8-8S7.589,4,12,4z"}},{"tag":"path","attr":{"d":"M19,12c0-3.866-3.135-7-7-7v14C15.865,19,19,15.866,19,12z"}}]})(props);
};
function BiAlarmAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,4c-4.879,0-9,4.121-9,9s4.121,9,9,9s9-4.121,9-9S16.879,4,12,4z M12,20c-3.794,0-7-3.206-7-7s3.206-7,7-7s7,3.206,7,7 S15.794,20,12,20z"}},{"tag":"path","attr":{"d":"M13 8L11 8 11 12 7 12 7 14 11 14 11 18 13 18 13 14 17 14 17 12 13 12z"}},{"tag":"path","attr":{"transform":"rotate(-135.093 19.494 4.5)","d":"M17.37 3.5H21.62V5.5H17.37z"}},{"tag":"path","attr":{"transform":"rotate(44.919 4.495 4.5)","d":"M3.495 2.382H5.495V6.617000000000001H3.495z"}}]})(props);
};
function BiAlarmExclamation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,22c4.879,0,9-4.121,9-9s-4.121-9-9-9s-9,4.121-9,9S7.121,22,12,22z M12,6c3.794,0,7,3.206,7,7s-3.206,7-7,7 s-7-3.206-7-7S8.206,6,12,6z"}},{"tag":"path","attr":{"transform":"rotate(-45.082 19.494 4.5)","d":"M18.495 2.375H20.495V6.625H18.495z"}},{"tag":"path","attr":{"transform":"rotate(44.919 4.495 4.5)","d":"M3.495 2.382H5.495V6.617000000000001H3.495z"}},{"tag":"path","attr":{"d":"M11 9H13V14H11zM11 15H13V17H11z"}}]})(props);
};
function BiAlarmOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"transform":"rotate(-135.093 19.494 4.5)","d":"M17.37 3.5H21.62V5.5H17.37z"}},{"tag":"path","attr":{"d":"M21.707 20.293l-2.287-2.287C20.409 16.563 21 14.838 21 13c0-4.879-4.121-9-9-9-1.838 0-3.563.591-5.006 1.58L5.91 4.496l.788-.79L5.282 2.294 4.496 3.082 3.707 2.293 2.293 3.707l18 18L21.707 20.293zM12 6c3.794 0 7 3.206 7 7 0 1.292-.387 2.507-1.027 3.559L15.414 14H17v-2h-3.586L13 11.586V8h-2v1.586L8.441 7.027C9.493 6.387 10.708 6 12 6zM4.305 8.426C3.484 9.776 3 11.342 3 13c0 4.879 4.121 9 9 9 1.658 0 3.224-.484 4.574-1.305l-1.461-1.461C14.169 19.719 13.111 20 12 20c-3.794 0-7-3.206-7-7 0-1.111.281-2.169.766-3.113L4.305 8.426z"}}]})(props);
};
function BiAlarmSnooze (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,4c-4.879,0-9,4.121-9,9s4.121,9,9,9s9-4.121,9-9S16.879,4,12,4z M12,20c-3.794,0-7-3.206-7-7s3.206-7,7-7s7,3.206,7,7 S15.794,20,12,20z"}},{"tag":"path","attr":{"transform":"scale(-1) rotate(44.907 10.888 -47.17)","d":"M17.37 3.5H21.62V5.5H17.37z"}},{"tag":"path","attr":{"transform":"rotate(134.918 4.495 4.5)","d":"M2.378 3.5H6.613V5.5H2.378z"}},{"tag":"path","attr":{"d":"M14.832,10.555c0.204-0.307,0.224-0.701,0.05-1.026S14.369,9,14,9H9v2h3.132l-2.964,4.445 c-0.204,0.307-0.224,0.701-0.05,1.026S9.631,17,10,17h5v-2h-3.132L14.832,10.555z"}}]})(props);
};
function BiAlarm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,4c-4.879,0-9,4.121-9,9s4.121,9,9,9s9-4.121,9-9S16.879,4,12,4z M12,20c-3.794,0-7-3.206-7-7s3.206-7,7-7s7,3.206,7,7 S15.794,20,12,20z"}},{"tag":"path","attr":{"d":"M13 12L13 8 11 8 11 12 11 14 13 14 17 14 17 12z"}},{"tag":"path","attr":{"transform":"rotate(-45.082 19.494 4.5)","d":"M18.495 2.375H20.495V6.625H18.495z"}},{"tag":"path","attr":{"transform":"rotate(134.918 4.495 4.5)","d":"M2.378 3.5H6.613V5.5H2.378z"}}]})(props);
};
function BiAlbum (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M12,4c-4.411,0-8,3.589-8,8s3.589,8,8,8s8-3.589,8-8S16.411,4,12,4z M8,12H6c0-3.309,2.691-6,6-6v2 C9.794,8,8,9.794,8,12z M11.993,14c-1.108,0-2.007-0.898-2.007-2.007s0.898-2.007,2.007-2.007S14,10.885,14,11.993 S13.102,14,11.993,14z"}},{"tag":"circle","attr":{"cx":"11.993","cy":"11.993","r":"2.007"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M12,6c-3.309,0-6,2.691-6,6h2c0-2.206,1.794-4,4-4V6z"}}]})(props);
};
function BiAlignJustify (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 7H20V9H4zM4 3H20V5H4zM4 11H20V13H4zM4 15H20V17H4zM6 19H18V21H6z"}}]})(props);
};
function BiAlignLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 19H20V21H4zM4 15H15V17H4zM4 11H20V13H4zM4 3H20V5H4zM4 7H15V9H4z"}}]})(props);
};
function BiAlignMiddle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 19H20V21H4zM7 15H17V17H7zM4 11H20V13H4zM4 3H20V5H4zM7 7H17V9H7z"}}]})(props);
};
function BiAlignRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 19H20V21H4zM9 15H20V17H9zM4 11H20V13H4zM4 3H20V5H4zM9 7H20V9H9z"}}]})(props);
};
function BiAnalyse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 12h2c0-1.086.211-2.136.627-3.122.401-.954.978-1.809 1.71-2.541.735-.735 1.591-1.311 2.542-1.71 1.936-.816 4.181-.827 6.13-.041C15.055 5.931 16.144 7 17.5 7 18.886 7 20 5.886 20 4.5S18.886 2 17.5 2c-.689 0-1.312.276-1.763.725-2.431-.973-5.223-.958-7.635.059-1.189.5-2.26 1.22-3.18 2.139-.917.916-1.637 1.986-2.14 3.179C2.264 9.334 2 10.646 2 12zM19.373 15.122c-.401.952-.977 1.808-1.71 2.541s-1.589 1.309-2.542 1.71c-1.936.816-4.181.827-6.13.041C8.945 18.069 7.856 17 6.5 17 5.114 17 4 18.114 4 19.5S5.114 22 6.5 22c.689 0 1.312-.276 1.763-.725C9.449 21.752 10.704 22 12 22c1.354 0 2.665-.264 3.897-.783 1.192-.503 2.263-1.223 3.18-2.14s1.637-1.987 2.14-3.179C21.736 14.665 22 13.354 22 12h-2C20 13.085 19.789 14.135 19.373 15.122z"}},{"tag":"path","attr":{"d":"M12,7.462c-2.502,0-4.538,2.036-4.538,4.538S9.498,16.538,12,16.538s4.538-2.036,4.538-4.538S14.502,7.462,12,7.462z M12,14.538c-1.399,0-2.538-1.139-2.538-2.538S10.601,9.462,12,9.462s2.538,1.139,2.538,2.538S13.399,14.538,12,14.538z"}}]})(props);
};
function BiAnchor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22,15l-3-4l-3,4h1.906c-0.436,2.469-2.438,4.471-4.906,4.906V13h2v-2h-2V9.336c1.543-0.459,2.714-1.923,2.714-3.621\tC15.714,3.666,14.048,2,12,2S8.286,3.666,8.286,5.715c0,1.698,1.171,3.162,2.714,3.621V11H9v2h2v6.906\tC8.531,19.471,6.529,17.469,6.094,15H8l-3-4l-3,4h2.073c0.511,3.885,3.929,7,7.927,7s7.416-3.115,7.927-7H22z M10.286,5.715\tC10.286,4.77,11.055,4,12,4s1.714,0.77,1.714,1.715C13.714,6.666,12.913,7.5,12,7.5S10.286,6.666,10.286,5.715z"}}]})(props);
};
function BiAngry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M12 14c-3 0-4 3-4 3h8C16 17 15 14 12 14zM9.561 11.561c.014-.014.023-.03.037-.044l1.031.413.742-1.857-5-2L5.629 9.929l1.373.549C7.002 10.485 7 10.493 7 10.5c0 .414.168.789.439 1.061S8.086 12 8.5 12 9.289 11.832 9.561 11.561zM12.629 10.071l.742 1.857 1.037-.415c.011.011.019.024.029.035.271.271.644.438 1.056.438s.785-.167 1.056-.438.438-.644.438-1.056c0-.003-.001-.007-.001-.01l1.386-.554-.742-1.857L12.629 10.071z"}}]})(props);
};
function BiAperture (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.579,2,2,6.579,2,12s4.579,10,10,10s10-4.579,10-10S17.421,2,12,2z M14.113,15H9.986l-1.723-3.094L10.202,9h3.736 l1.871,3.062L14.113,15z M4,12c0-0.953,0.186-1.87,0.508-2.727L7.696,15H4.61C4.22,14.068,4,13.055,4,12z M16.283,9h3.106 C19.78,9.932,20,10.945,20,12c0,0.844-0.143,1.66-0.397,2.432L16.283,9z M18.188,7h-6.653l1.905-2.857 C15.326,4.502,17.002,5.546,18.188,7z M11.093,4.059L9.132,7H9v0.197L7.17,9.942L5.65,7.214C6.95,5.511,8.899,4.319,11.093,4.059z M5.812,17h7.147l-1.709,2.961C9.084,19.748,7.141,18.63,5.812,17z M13.64,19.82l3.357-5.815l1.544,2.526 C17.387,18.173,15.64,19.385,13.64,19.82z"}}]})(props);
};
function BiArch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8,22h1v-1v-1v-4.995C9.006,14.503,9.177,12,12,12s2.994,2.503,3,3v5v1v1h1h4h2v-2h-1V7V4h1V2h-2H4H2v2h1v3v13H2v2h2H8z M19,4v2H5V4H19z M5,8h14v12h-2v-5c0-1.729-1.045-5-5-5s-5,3.271-5,5v5H5V8z"}}]})(props);
};
function BiArchiveIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.706,5.292l-2.999-2.999C18.52,2.105,18.266,2,18,2H6C5.734,2,5.48,2.105,5.293,2.293L2.294,5.292 C2.112,5.473,2,5.723,2,6v13c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V6C22,5.723,21.888,5.473,21.706,5.292z M6.414,4h11.172 l1,1H5.414L6.414,4z M4,19V7h16l0.002,12H4z"}},{"tag":"path","attr":{"d":"M14 9L10 9 10 12 7 12 12 17 17 12 14 12z"}}]})(props);
};
function BiArchiveOut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.706,5.292l-2.999-2.999C18.52,2.105,18.266,2,18,2H6C5.734,2,5.48,2.105,5.293,2.293L2.294,5.292 C2.112,5.473,2,5.723,2,6v13c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V6C22,5.723,21.888,5.473,21.706,5.292z M6.414,4h11.172 l1,1H5.414L6.414,4z M4,19V7h16l0.002,12H4z"}},{"tag":"path","attr":{"d":"M7 14L10 14 10 17 14 17 14 14 17 14 12 9z"}}]})(props);
};
function BiArchive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.706,5.291l-2.999-2.998C18.52,2.105,18.266,2,18,2H6C5.734,2,5.48,2.105,5.293,2.293L2.294,5.291 C2.112,5.472,2,5.722,2,5.999V19c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V5.999C22,5.722,21.888,5.472,21.706,5.291z M6.414,4 h11.172l0.999,0.999H5.415L6.414,4z M4,19V6.999h16L20.002,19H4z"}},{"tag":"path","attr":{"d":"M15 12L9 12 9 10 7 10 7 14 17 14 17 10 15 10z"}}]})(props);
};
function BiArea (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5c0-1.103-0.897-2-2-2H5C3.897,3,3,3.897,3,5z M19.002,19H5V5h14 L19.002,19z"}},{"tag":"path","attr":{"d":"M15 12L17 12 17 7 12 7 12 9 15 9zM12 15L9 15 9 12 7 12 7 17 12 17z"}}]})(props);
};
function BiArrowBack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 11L6.414 11 11.707 5.707 10.293 4.293 2.586 12 10.293 19.707 11.707 18.293 6.414 13 21 13z"}}]})(props);
};
function BiArrowFromBottom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 18H18V20H6zM12 3.586L5.293 10.293 6.707 11.707 11 7.414 11 16 13 16 13 7.414 17.293 11.707 18.707 10.293z"}}]})(props);
};
function BiArrowFromLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 6H6V18H4zM8 13L16.586 13 12.293 17.293 13.707 18.707 20.414 12 13.707 5.293 12.293 6.707 16.586 11 8 11z"}}]})(props);
};
function BiArrowFromRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 6H20V18H18zM16 11L7.414 11 11.707 6.707 10.293 5.293 3.586 12 10.293 18.707 11.707 17.293 7.414 13 16 13z"}}]})(props);
};
function BiArrowFromTop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 4H18V6H6zM12 20.414L18.707 13.707 17.293 12.293 13 16.586 13 8 11 8 11 16.586 6.707 12.293 5.293 13.707z"}}]})(props);
};
function BiArrowToBottom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 18H18V20H6zM11 4L11 12.586 6.707 8.293 5.293 9.707 12 16.414 18.707 9.707 17.293 8.293 13 12.586 13 4z"}}]})(props);
};
function BiArrowToLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 6H6V18H4zM14.293 5.293L7.586 12 14.293 18.707 15.707 17.293 11.414 13 20 13 20 11 11.414 11 15.707 6.707z"}}]})(props);
};
function BiArrowToRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 6H20V18H18zM4 13L12.586 13 8.293 17.293 9.707 18.707 16.414 12 9.707 5.293 8.293 6.707 12.586 11 4 11z"}}]})(props);
};
function BiArrowToTop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 4H18V6H6zM6.707 15.707L11 11.414 11 20 13 20 13 11.414 17.293 15.707 18.707 14.293 12 7.586 5.293 14.293z"}}]})(props);
};
function BiAt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10c1.466,0,2.961-0.371,4.442-1.104l-0.885-1.793C14.353,19.698,13.156,20,12,20 c-4.411,0-8-3.589-8-8s3.589-8,8-8s8,3.589,8,8v1c0,0.692-0.313,2-1.5,2c-1.396,0-1.494-1.819-1.5-2V8h-2v0.025 C14.162,7.391,13.13,7,12,7c-2.757,0-5,2.243-5,5s2.243,5,5,5c1.45,0,2.748-0.631,3.662-1.621C16.186,16.269,17.07,17,18.5,17 c2.273,0,3.5-2.061,3.5-4v-1C22,6.486,17.514,2,12,2z M12,15c-1.654,0-3-1.346-3-3s1.346-3,3-3s3,1.346,3,3S13.654,15,12,15z"}}]})(props);
};
function BiAtom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3.102,20.898c0.698,0.699,1.696,1.068,2.887,1.068c1.742,0,3.855-0.778,6.012-2.127c2.156,1.35,4.27,2.127,6.012,2.127 c1.19,0,2.188-0.369,2.887-1.068c1.269-1.269,1.411-3.413,0.401-6.039c-0.358-0.932-0.854-1.895-1.457-2.859 c0.604-0.964,1.099-1.927,1.457-2.859c1.01-2.626,0.867-4.771-0.401-6.039c-0.698-0.699-1.696-1.068-2.887-1.068 c-1.742,0-3.855,0.778-6.012,2.127c-2.156-1.35-4.27-2.127-6.012-2.127c-1.19,0-2.188,0.369-2.887,1.068 C1.833,4.371,1.69,6.515,2.7,9.141C3.059,10.073,3.554,11.036,4.157,12c-0.604,0.964-1.099,1.927-1.457,2.859 C1.69,17.485,1.833,19.629,3.102,20.898z M19.433,15.577c0.689,1.79,0.708,3.251,0.052,3.907c-0.32,0.32-0.815,0.482-1.473,0.482 c-1.167,0-2.646-0.503-4.208-1.38c0.862-0.666,1.718-1.412,2.544-2.238c0.82-0.82,1.569-1.677,2.239-2.546 C18.923,14.403,19.21,14.998,19.433,15.577z M12,17.417c-0.998-0.715-1.994-1.543-2.934-2.483c-0.945-0.946-1.783-1.937-2.5-2.934 c0.717-0.997,1.555-1.988,2.5-2.934C10.006,8.127,11.002,7.299,12,6.583c0.998,0.715,1.994,1.543,2.934,2.483 c0.945,0.946,1.783,1.937,2.5,2.934c-0.717,0.997-1.555,1.988-2.5,2.934C13.994,15.873,12.998,16.701,12,17.417z M18.012,4.034 c0.657,0,1.152,0.162,1.473,0.482c0.656,0.656,0.638,2.117-0.052,3.907c-0.223,0.579-0.51,1.174-0.846,1.775 c-0.67-0.869-1.419-1.726-2.239-2.546c-0.826-0.826-1.682-1.572-2.544-2.238C15.366,4.538,16.845,4.034,18.012,4.034z M4.567,8.423 c-0.689-1.79-0.708-3.251-0.052-3.907c0.32-0.32,0.815-0.482,1.473-0.482c1.167,0,2.646,0.503,4.208,1.38 C9.334,6.08,8.479,6.826,7.652,7.652c-0.82,0.82-1.569,1.677-2.239,2.546C5.077,9.597,4.79,9.002,4.567,8.423z M4.567,15.577 c0.223-0.579,0.51-1.174,0.846-1.775c0.67,0.869,1.419,1.726,2.239,2.546c0.826,0.826,1.682,1.572,2.544,2.238 c-1.563,0.877-3.041,1.38-4.208,1.38c-0.657,0-1.152-0.162-1.473-0.482C3.859,18.828,3.878,17.367,4.567,15.577z"}},{"tag":"circle","attr":{"cx":"12","cy":"12","r":"2.574"}}]})(props);
};
function BiAward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5,8.999c0,1.902,0.765,3.627,2,4.89V21c0,0.347,0.18,0.668,0.474,0.851c0.295,0.184,0.664,0.198,0.973,0.044L12,20.118 l3.553,1.776C15.694,21.965,15.847,22,16,22c0.183,0,0.365-0.05,0.525-0.149C16.82,21.668,17,21.347,17,21v-7.11 c1.235-1.263,2-2.988,2-4.891C19,5.14,15.86,2,12,2S5,5.14,5,8.999z M12.447,18.105c-0.281-0.141-0.613-0.141-0.895,0L9,19.382 v-4.067C9.911,15.749,10.926,16,12,16s2.089-0.25,3-0.685v4.066L12.447,18.105z M12,4c2.756,0,5,2.242,5,4.999 C17,11.757,14.757,14,12,14c-2.757,0-5-2.243-5-5.001C7,6.242,9.243,4,12,4z"}}]})(props);
};
function BiBadgeCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4.035,15.479C4.012,15.653,4,15.827,4,16c0,2.378,2.138,4.284,4.521,3.964C9.214,21.198,10.534,22,12,22 s2.786-0.802,3.479-2.036C17.857,20.284,20,18.378,20,16c0-0.173-0.012-0.347-0.035-0.521C21.198,14.786,22,13.465,22,12 s-0.802-2.786-2.035-3.479C19.988,8.347,20,8.173,20,8c0-2.378-2.143-4.288-4.521-3.964C14.786,2.802,13.466,2,12,2 S9.214,2.802,8.521,4.036C6.138,3.712,4,5.622,4,8c0,0.173,0.012,0.347,0.035,0.521C2.802,9.214,2,10.535,2,12 S2.802,14.786,4.035,15.479z M5.477,10.076l1.102-0.293L6.145,8.73C6.05,8.5,6,8.247,6,8c0-1.103,0.897-2,2-2 c0.247,0,0.499,0.05,0.73,0.145l1.054,0.434l0.293-1.102C10.308,4.607,11.099,4,12,4s1.692,0.607,1.923,1.477l0.293,1.102 l1.054-0.434C15.501,6.05,15.753,6,16,6c1.103,0,2,0.897,2,2c0,0.247-0.05,0.5-0.145,0.73l-0.434,1.053l1.102,0.293 C19.393,10.308,20,11.099,20,12s-0.607,1.692-1.477,1.924l-1.102,0.293l0.434,1.053C17.95,15.5,18,15.753,18,16 c0,1.103-0.897,2-2,2c-0.247,0-0.499-0.05-0.73-0.145l-1.054-0.434l-0.293,1.102C13.692,19.393,12.901,20,12,20 s-1.692-0.607-1.923-1.477l-0.293-1.102L8.73,17.855C8.499,17.95,8.247,18,8,18c-1.103,0-2-0.897-2-2c0-0.247,0.05-0.5,0.145-0.73 l0.434-1.053l-1.102-0.293C4.607,13.692,4,12.901,4,12S4.607,10.308,5.477,10.076z"}},{"tag":"path","attr":{"d":"M15.742 10.71L14.334 9.29 11.003 12.589 9.707 11.293 8.293 12.707 10.997 15.411z"}}]})(props);
};
function BiBadge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.965,8.521C19.988,8.347,20,8.173,20,8c0-2.378-2.143-4.288-4.521-3.964C14.786,2.802,13.466,2,12,2 S9.214,2.802,8.521,4.036C6.138,3.712,4,5.622,4,8c0,0.173,0.012,0.347,0.035,0.521C2.802,9.214,2,10.535,2,12 s0.802,2.786,2.035,3.479C4.012,15.653,4,15.827,4,16c0,2.378,2.138,4.284,4.521,3.964C9.214,21.198,10.534,22,12,22 s2.786-0.802,3.479-2.036C17.857,20.284,20,18.378,20,16c0-0.173-0.012-0.347-0.035-0.521C21.198,14.786,22,13.465,22,12 S21.198,9.214,19.965,8.521z M18.523,13.924l-1.102,0.293l0.434,1.053C17.95,15.5,18,15.753,18,16c0,1.103-0.897,2-2,2 c-0.247,0-0.499-0.05-0.73-0.145l-1.054-0.434l-0.293,1.102C13.692,19.393,12.901,20,12,20s-1.692-0.607-1.923-1.477l-0.293-1.102 L8.73,17.855C8.499,17.95,8.247,18,8,18c-1.103,0-2-0.897-2-2c0-0.247,0.05-0.5,0.145-0.73l0.434-1.053l-1.102-0.293 C4.607,13.692,4,12.901,4,12s0.607-1.692,1.477-1.924l1.102-0.293L6.145,8.73C6.05,8.5,6,8.247,6,8c0-1.103,0.897-2,2-2 c0.247,0,0.499,0.05,0.73,0.145l1.054,0.434l0.293-1.102C10.308,4.607,11.099,4,12,4s1.692,0.607,1.923,1.477l0.293,1.102 l1.054-0.434C15.501,6.05,15.753,6,16,6c1.103,0,2,0.897,2,2c0,0.247-0.05,0.5-0.145,0.73l-0.434,1.053l1.102,0.293 C19.393,10.308,20,11.099,20,12S19.393,13.692,18.523,13.924z"}}]})(props);
};
function BiBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M7.775,19.396c2.471,0,5.954-0.539,8.518-3.103c3.77-3.77,3.171-9.568,2.854-11.445 c-0.625-0.108-1.686-0.25-2.955-0.25c-2.464,0-5.938,0.538-8.495,3.099c-3.773,3.78-3.166,9.578-2.847,11.454 C5.472,19.257,6.52,19.396,7.775,19.396z M8.708,10.292l1.793,1.794l1.585-1.586l-1.794-1.793l1.414-1.414L13.5,9.086l1.793-1.793 l1.414,1.414L14.914,10.5l1.793,1.792l-1.414,1.414L13.5,11.914L11.914,13.5l1.792,1.793l-1.415,1.414L10.5,14.915l-1.792,1.792 l-1.414-1.414L9.086,13.5l-1.793-1.794L8.708,10.292z"}},{"tag":"path","attr":{"d":"M3.757,20.97c0.069,0.018,1.726,0.426,4.018,0.426c2.849,0,6.884-0.641,9.932-3.688c5.335-5.335,3.351-13.6,3.264-13.949 C20.881,3.4,20.603,3.12,20.244,3.03c-0.069-0.018-1.742-0.433-4.052-0.433c-2.842,0-6.869,0.64-9.91,3.687 c-5.339,5.349-3.34,13.61-3.252,13.96C3.12,20.602,3.399,20.881,3.757,20.97z M7.698,7.696c2.557-2.561,6.031-3.099,8.495-3.099 c1.27,0,2.33,0.142,2.955,0.25c0.316,1.877,0.915,7.676-2.854,11.445c-2.564,2.563-6.047,3.103-8.518,3.103 c-1.255,0-2.303-0.139-2.924-0.245C4.532,17.274,3.925,11.477,7.698,7.696z"}},{"tag":"path","attr":{"d":"M7.293 15.293L8.707 16.707 10.5 14.915 12.291 16.707 13.706 15.293 11.914 13.5 13.5 11.914 15.293 13.706 16.707 12.292 14.914 10.5 16.707 8.707 15.293 7.293 13.5 9.086 11.706 7.293 10.292 8.707 12.086 10.5 10.5 12.086 8.708 10.292 7.292 11.706 9.086 13.5z"}}]})(props);
};
function BiBandAid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8.111,21.889c1.602,0,3.108-0.624,4.242-1.757l7.778-7.778c2.339-2.34,2.339-6.146,0-8.485 c-1.134-1.133-2.641-1.757-4.243-1.757c-1.602,0-3.108,0.624-4.242,1.757l-7.778,7.778c-2.339,2.34-2.339,6.146,0,8.485 C5.002,21.265,6.509,21.889,8.111,21.889z M5.282,13.061l7.778-7.778c0.756-0.755,1.76-1.171,2.828-1.171 c1.069,0,2.073,0.416,2.829,1.171c1.559,1.56,1.559,4.098,0,5.657l-7.778,7.778c-0.756,0.755-1.76,1.171-2.828,1.171 c-1.069,0-2.073-0.416-2.829-1.171C3.724,17.158,3.724,14.62,5.282,13.061z"}},{"tag":"circle","attr":{"cx":"9","cy":"12","r":"1"}},{"tag":"circle","attr":{"cx":"15","cy":"12","r":"1"}},{"tag":"circle","attr":{"cx":"12","cy":"15","r":"1"}},{"tag":"circle","attr":{"cx":"12","cy":"9","r":"1"}}]})(props);
};
function BiBarChartAlt2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,7h-4V4c0-1.103-0.897-2-2-2h-4C8.897,2,8,2.897,8,4v5H4c-1.103,0-2,0.897-2,2v9c0,0.552,0.447,1,1,1h6h6h6 c0.553,0,1-0.448,1-1V9C22,7.897,21.103,7,20,7z M4,11h4v8H4V11z M10,10V4h4v4v11h-4V10z M20,19h-4V9h4V19z"}}]})(props);
};
function BiBarChartAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 6H15V17H13zM17 3H19V17H17zM9 9H11V17H9zM4 19H20V21H4zM5 12H7V17H5z"}}]})(props);
};
function BiBarChartSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5c0-1.103-0.897-2-2-2H5C3.897,3,3,3.897,3,5z M19.001,19H5V5h14 L19.001,19z"}},{"tag":"path","attr":{"d":"M11 7H13V17H11zM15 10H17V17H15zM7 12H9V17H7z"}}]})(props);
};
function BiBarChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 6H11V20H9zM13 8H15V20H13zM17 4H19V20H17zM5 12H7V20H5z"}}]})(props);
};
function BiBarcodeReader (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 7H7V17H5zM14 7H15V17H14zM10 7H13V17H10zM8 7H9V17H8zM16 7H19V17H16z"}},{"tag":"path","attr":{"d":"M4 5h4V3H4C2.897 3 2 3.897 2 5v4h2V5zM4 21h4v-2H4v-4H2v4C2 20.103 2.897 21 4 21zM20 3h-4v2h4v4h2V5C22 3.897 21.103 3 20 3zM20 19h-4v2h4c1.103 0 2-.897 2-2v-4h-2V19z"}}]})(props);
};
function BiBarcode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M4,6v12h16.001L20,6H4z M8,16H6V8h2V16z M10,16H9V8h1V16z M12,16h-1V8h1V16z M16,16h-3V8h3V16z M18,16h-1V8h1 V16z"}},{"tag":"path","attr":{"d":"M20,4H4C2.897,4,2,4.897,2,6v12c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V6C22,4.897,21.103,4,20,4z M4,18V6h16 l0.001,12H4z"}},{"tag":"path","attr":{"d":"M6 8H8V16H6zM9 8H10V16H9zM17 8H18V16H17zM13 8H16V16H13zM11 8H12V16H11z"}}]})(props);
};
function BiBaseball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.99,2C9.325,2,6.813,3.043,4.919,4.938c-3.898,3.898-3.898,10.243,0,14.143c1.895,1.895,4.405,2.938,7.071,2.938 s5.177-1.043,7.071-2.938c3.899-3.899,3.899-10.244,0-14.143C17.167,3.043,14.655,2,11.99,2z M17.647,17.667 c-1.069,1.07-2.387,1.792-3.816,2.129c0-0.012-0.001-0.024-0.001-0.037c0.001-0.788,0.143-1.548,0.421-2.259l-1.863-0.729 c-0.369,0.944-0.557,1.948-0.558,2.987c0,0.084,0.003,0.168,0.006,0.252c-2.074-0.04-4.023-0.865-5.503-2.344 c-1.521-1.521-2.294-3.506-2.332-5.503c0.08,0.002,0.16,0.005,0.24,0.005c1.038,0,2.043-0.188,2.988-0.558l-0.73-1.862 c-0.718,0.282-1.495,0.416-2.281,0.412c0.329-1.396,1.028-2.722,2.115-3.809c1.108-1.108,2.481-1.848,3.972-2.168 c-0.009,0.651-0.125,1.307-0.357,1.95l1.881,0.681c0.32-0.884,0.482-1.793,0.482-2.701c0-0.033-0.004-0.065-0.005-0.098 c2.013,0.079,3.9,0.896,5.342,2.336c1.481,1.481,2.25,3.404,2.324,5.348c-0.931-0.01-1.876,0.142-2.787,0.473l0.684,1.88 c0.636-0.231,1.289-0.352,1.935-0.361C19.492,15.149,18.777,16.537,17.647,17.667z"}},{"tag":"path","attr":{"d":"M14.112 14.13c-.343.342-.654.719-.926 1.121l1.656 1.12c.2-.296.43-.574.683-.826.354-.353.749-.666 1.178-.929l-1.049-1.703C15.094 13.257 14.575 13.667 14.112 14.13zM8.456 8.474C8.201 8.727 7.924 8.956 7.629 9.155l1.119 1.658c.399-.27.776-.581 1.122-.926.464-.465.873-.984 1.217-1.542L9.384 7.297C9.121 7.723 8.809 8.12 8.456 8.474z"}}]})(props);
};
function BiBasket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21,9h-1.42l-3.712-6.496l-1.736,0.992L17.277,9H6.723l3.146-5.504L8.132,2.504L4.42,9H3C2.688,9,2.395,9.146,2.205,9.393 c-0.189,0.248-0.252,0.57-0.17,0.87l2.799,10.264C5.071,21.395,5.865,22,6.764,22h10.473c0.898,0,1.692-0.605,1.93-1.475 l2.799-10.263c0.082-0.3,0.02-0.622-0.17-0.87C21.605,9.146,21.312,9,21,9z M17.236,20C17.236,20,17.236,20,17.236,20v1V20H6.764 L4.31,11H19.69L17.236,20z"}},{"tag":"path","attr":{"d":"M9 13H11V18H9zM13 13H15V18H13z"}}]})(props);
};
function BiBasketball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4.929,19.071c1.895,1.895,4.405,2.938,7.071,2.938s5.177-1.043,7.071-2.938c3.899-3.899,3.899-10.243,0-14.143 C17.177,3.034,14.665,1.99,12,1.99S6.823,3.034,4.929,4.929C1.03,8.827,1.03,15.172,4.929,19.071z M12.309,4.006 c1.682,0.063,3.273,0.647,4.594,1.678L12,10.586l-1.46-1.46C11.701,7.647,12.332,5.818,12.309,4.006z M9.11,7.696L7.098,5.684 c0.954-0.744,2.048-1.259,3.218-1.51C10.301,5.41,9.871,6.651,9.11,7.696z M7.686,9.1c-0.998,0.688-2.208,1.061-3.459,1.057 c0.256-1.09,0.74-2.134,1.458-3.058L7.686,9.1z M4.011,12.146c0.077,0.002,0.154,0.014,0.231,0.014 c1.774,0,3.495-0.572,4.877-1.626L10.586,12l-4.901,4.901C4.6,15.504,4.041,13.83,4.011,12.146z M16.305,14.891 c1.042-0.758,2.28-1.188,3.508-1.206c-0.245,1.147-0.745,2.248-1.497,3.217L16.305,14.891z M16.902,18.316 c-0.91,0.71-1.949,1.207-3.059,1.47c-0.007-1.256,0.365-2.47,1.057-3.472L16.902,18.316z M11.858,20.002 c-1.744-0.03-3.396-0.621-4.761-1.686L12,13.414l1.463,1.463C12.36,16.321,11.804,18.143,11.858,20.002z M19.982,11.692 c-1.807-0.018-3.633,0.61-5.108,1.768L13.414,12l4.901-4.901C19.365,8.451,19.92,10.063,19.982,11.692z"}}]})(props);
};
function BiBath (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21,10H7V7c0-1.103,0.897-2,2-2s2,0.897,2,2h2c0-2.206-1.794-4-4-4S5,4.794,5,7v3H3c-0.553,0-1,0.447-1,1v2 c0,2.606,1.674,4.823,4,5.65V22h2v-3h8v3h2v-3.35c2.326-0.827,4-3.044,4-5.65v-2C22,10.447,21.553,10,21,10z M20,13 c0,2.206-1.794,4-4,4H8c-2.206,0-4-1.794-4-4v-1h16V13z"}}]})(props);
};
function BiBattery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4,18h14c1.103,0,2-0.897,2-2v-2h2v-4h-2V8c0-1.103-0.897-2-2-2H4C2.897,6,2,6.897,2,8v8C2,17.103,2.897,18,4,18z M4,8h14 l0.002,8H4V8z"}}]})(props);
};
function BiBed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,9.557V7V6V3h-2v2h-5h-2H6V3H4v3v1v2.557C2.81,10.25,2,11.525,2,13v4c0,0.553,0.448,1,1,1h1v4h2v-4h12v4h2v-4h1 c0.553,0,1-0.447,1-1v-4C22,11.525,21.189,10.25,20,9.557z M18,7v2h-5V7H18z M6,7h5v2H6V7z M20,16h-2H4v-3c0-1.103,0.897-2,2-2h12 c1.103,0,2,0.897,2,2V16z"}}]})(props);
};
function BiBeenHere (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C7.589,2,4,5.589,4,9.995c-0.029,6.445,7.116,11.604,7.42,11.819C11.594,21.938,11.797,22,12,22 s0.406-0.062,0.58-0.186C12.884,21.599,20.029,16.44,20,10C20,5.589,16.411,2,12,2z M12,19.735C10.389,18.427,5.979,14.441,6,10 c0-3.309,2.691-6,6-6s6,2.691,6,6.005C18.021,14.442,13.612,18.428,12,19.735z"}},{"tag":"path","attr":{"d":"M11 11.586L8.707 9.293 7.293 10.707 11 14.414 16.707 8.707 15.293 7.293z"}}]})(props);
};
function BiBeer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,6h-2V4c0-0.552-0.447-1-1-1H3C2.447,3,2,3.448,2,4v15c0,1.654,1.346,3,3,3h10c1.654,0,3-1.346,3-3v-1h2 c1.103,0,2-0.897,2-2V8C22,6.897,21.103,6,20,6z M16,19c0,0.551-0.448,1-1,1H5c-0.552,0-1-0.449-1-1V5h12V19z M20,16h-2V8h2V16z"}},{"tag":"path","attr":{"d":"M6 7H8V17H6zM12 7H14V17H12z"}}]})(props);
};
function BiBellMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.707 15.293L19 13.586V10c0-3.217-2.185-5.927-5.145-6.742C13.562 2.52 12.846 2 12 2s-1.562.52-1.855 1.258C7.185 4.074 5 6.783 5 10v3.586l-1.707 1.707C3.105 15.48 3 15.734 3 16v2c0 .553.447 1 1 1h16c.553 0 1-.447 1-1v-2C21 15.734 20.895 15.48 20.707 15.293zM19 17H5v-.586l1.707-1.707C6.895 14.52 7 14.266 7 14v-4c0-2.757 2.243-5 5-5s5 2.243 5 5v4c0 .266.105.52.293.707L19 16.414V17zM12 22c1.311 0 2.407-.834 2.818-2H9.182C9.593 21.166 10.689 22 12 22z"}},{"tag":"path","attr":{"d":"M8.037 10H15.963000000000001V12H8.037z"}}]})(props);
};
function BiBellOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 22c1.311 0 2.407-.834 2.818-2H9.182C9.593 21.166 10.689 22 12 22zM21 18v-2c0-.266-.105-.52-.293-.707L19 13.586V10c0-3.217-2.185-5.927-5.145-6.742C13.562 2.52 12.846 2 12 2s-1.562.52-1.855 1.258C8.822 3.622 7.682 4.386 6.799 5.385L3.707 2.293 2.293 3.707l18 18 1.414-1.414-1.362-1.362C20.726 18.789 21 18.431 21 18zM12 5c2.757 0 5 2.243 5 5v4c0 .266.105.52.293.707L19 16.414V17h-.586L8.207 6.793C9.12 5.705 10.471 5 12 5zM6.707 14.707C6.895 14.52 7 14.266 7 14v-2.879L5.068 9.189C5.037 9.457 5 9.724 5 10v3.586l-1.707 1.707C3.105 15.48 3 15.734 3 16v2c0 .553.447 1 1 1h10.879l-2-2H5v-.586L6.707 14.707z"}}]})(props);
};
function BiBellPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 7.037L11 7.037 11 10 8.037 10 8.037 12 11 12 11 14.963 13 14.963 13 12 15.963 12 15.963 10 13 10z"}},{"tag":"path","attr":{"d":"M19 13.586V10c0-3.217-2.185-5.927-5.145-6.742C13.562 2.52 12.846 2 12 2s-1.562.52-1.855 1.258C7.185 4.074 5 6.783 5 10v3.586l-1.707 1.707C3.105 15.48 3 15.734 3 16v2c0 .553.447 1 1 1h16c.553 0 1-.447 1-1v-2c0-.266-.105-.52-.293-.707L19 13.586zM19 17H5v-.586l1.707-1.707C6.895 14.52 7 14.266 7 14v-4c0-2.757 2.243-5 5-5s5 2.243 5 5v4c0 .266.105.52.293.707L19 16.414V17zM12 22c1.311 0 2.407-.834 2.818-2H9.182C9.593 21.166 10.689 22 12 22z"}}]})(props);
};
function BiBell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 13.586V10c0-3.217-2.185-5.927-5.145-6.742C13.562 2.52 12.846 2 12 2s-1.562.52-1.855 1.258C7.185 4.074 5 6.783 5 10v3.586l-1.707 1.707C3.105 15.48 3 15.734 3 16v2c0 .553.447 1 1 1h16c.553 0 1-.447 1-1v-2c0-.266-.105-.52-.293-.707L19 13.586zM19 17H5v-.586l1.707-1.707C6.895 14.52 7 14.266 7 14v-4c0-2.757 2.243-5 5-5s5 2.243 5 5v4c0 .266.105.52.293.707L19 16.414V17zM12 22c1.311 0 2.407-.834 2.818-2H9.182C9.593 21.166 10.689 22 12 22z"}}]})(props);
};
function BiBible (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6,22h15v-2H6.012C5.55,19.988,5,19.805,5,19s0.55-0.988,1.012-1H19h1h1v-1v-2V4c0-1.103-0.897-2-2-2H6 C4.794,2,3,2.799,3,5v3v6v3v2C3,21.201,4.794,22,6,22z M5,8V5c0-0.805,0.55-0.988,1-1h13v11v1H5v-2V8z"}},{"tag":"path","attr":{"d":"M11 14L13 14 13 10 15 10 15 8 13 8 13 6 11 6 11 8 9 8 9 10 11 10z"}}]})(props);
};
function BiBitcoin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8,13v4H6v2h2h1v2h2v-2h2v2h2v-2.051c1.968-0.249,3.5-1.915,3.5-3.949c0-1.32-0.65-2.484-1.64-3.213 C17.563,11.066,18,10.084,18,9c0-1.858-1.279-3.411-3-3.858V3h-2v2h-2V3H9v2H6v2h2v4V13z M14.5,17H10v-4h4.5c1.103,0,2,0.897,2,2 S15.603,17,14.5,17z M10,7h4c1.103,0,2,0.897,2,2s-0.897,2-2,2h-4V7z"}}]})(props);
};
function BiBlanket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H7C4.243,2,2,4.243,2,7v10c0,2.757,2.243,5,5,5h12c1.654,0,3-1.346,3-3s-1.346-3-3-3H6v2h13c0.552,0,1,0.448,1,1 s-0.448,1-1,1H7c-1.654,0-3-1.346-3-3s1.346-3,3-3h13c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,12H7 c-1.125,0-2.164,0.373-3,1.002V7c0-1.654,1.346-3,3-3h13V12z"}}]})(props);
};
function BiBlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10c5.514,0,10-4.486,10-10S17.514,2,12,2z M4,12c0-1.846,0.634-3.542,1.688-4.897 l11.209,11.209C15.543,19.366,13.846,20,12,20C7.589,20,4,16.411,4,12z M18.312,16.897L7.103,5.688C8.458,4.634,10.154,4,12,4 c4.411,0,8,3.589,8,8C20,13.846,19.365,15.542,18.312,16.897z"}}]})(props);
};
function BiBluetooth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4.41,16.192l1.18,1.615L10,14.584V21c0,0.366,0.2,0.703,0.521,0.878C10.671,21.959,10.835,22,11,22 c0.188,0,0.377-0.053,0.541-0.159l7-4.5c0.277-0.178,0.448-0.482,0.459-0.812c0.01-0.33-0.144-0.643-0.41-0.837L13.537,12 l5.053-3.692C18.856,8.113,19.01,7.8,19,7.47c-0.011-0.33-0.182-0.633-0.459-0.812l-7-4.5c-0.308-0.198-0.699-0.212-1.021-0.037 C10.2,2.297,10,2.634,10,3v6.416L5.59,6.192L4.41,7.808L10,11.893v0.215L4.41,16.192z M12,4.832l4.232,2.721L12,10.646V4.832z M12,13.354l4.232,3.093L12,19.168V13.354z"}}]})(props);
};
function BiBody (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"4","r":"2"}},{"tag":"path","attr":{"d":"M15 22L15 9 20 9 20 7 4 7 4 9 9 9 9 22 11 22 11 15 13 15 13 22z"}}]})(props);
};
function BiBold (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.061,11.22C17.641,10.462,18,9.526,18,8.5C18,6.019,15.981,4,13.5,4H6v15h8c2.481,0,4.5-2.019,4.5-4.5\tC18.5,13.203,17.94,12.042,17.061,11.22z M13.5,7C14.327,7,15,7.673,15,8.5S14.327,10,13.5,10H9V7H13.5z M14,16H9v-3h5\tc0.827,0,1.5,0.673,1.5,1.5S14.827,16,14,16z"}}]})(props);
};
function BiBoltCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M13 6L7 13 11 13 11 18 17 11 13 11z"}}]})(props);
};
function BiBomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21,3.001c-1.4,0-2.584,1.167-2.707,1.293L17.207,5.38l-1.091-1.088c-0.391-0.39-1.022-0.39-1.413,0.001L13.46,5.537 C12.512,5.18,11.52,5,10.5,5C5.813,5,2,8.813,2,13.5S5.813,22,10.5,22s8.5-3.813,8.5-8.5c0-0.909-0.144-1.8-0.428-2.658 l1.345-1.345C20.104,9.31,20.21,9.055,20.21,8.79c0-0.266-0.105-0.52-0.294-0.708l-1.293-1.29l1.088-1.088 C19.94,5.475,20.556,5.001,21,5.001h1v-2H21z M16.489,10.979C16.828,11.783,17,12.631,17,13.5c0,3.584-2.916,6.5-6.5,6.5 S4,17.084,4,13.5S6.916,7,10.5,7c0.96,0,1.89,0.21,2.762,0.624c0.381,0.181,0.837,0.103,1.136-0.196l1.014-1.014l2.384,2.377 l-1.092,1.092C16.415,10.17,16.331,10.604,16.489,10.979z"}},{"tag":"path","attr":{"d":"M6,13.5c0,1.202,0.468,2.332,1.318,3.182l1.414-1.414C8.26,14.795,8,14.168,8,13.5s0.26-1.295,0.732-1.768 C9.204,11.26,9.832,11,10.5,11V9c-1.202,0-2.333,0.468-3.182,1.318C6.468,11.168,6,12.298,6,13.5z"}}]})(props);
};
function BiBone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.049,4.951c-0.178-0.682-0.53-1.303-1.028-1.801c-1.51-1.51-4.146-1.51-5.656,0c-1.315,1.315-1.521,3.327-0.618,4.86 l-3.714,3.714c-1.505-0.89-3.591-0.649-4.86,0.618c-1.56,1.56-1.56,4.098,0,5.657c0.498,0.498,1.119,0.851,1.8,1.028 c0.178,0.681,0.53,1.302,1.028,1.8C6.756,21.584,7.76,22,8.829,22c1.068,0,2.072-0.416,2.828-1.172 c1.314-1.315,1.521-3.326,0.617-4.859l3.714-3.714c1.507,0.891,3.593,0.65,4.861-0.619c1.56-1.56,1.56-4.097,0-5.656 C20.352,5.481,19.73,5.129,19.049,4.951z M19.436,10.222c-0.756,0.755-2.073,0.756-2.829,0l-0.707-0.707l-6.363,6.364l0.707,0.707 c0.779,0.779,0.779,2.049,0,2.828c-0.757,0.757-2.074,0.755-2.829,0c-0.439-0.439-0.554-0.955-0.571-1.31l-0.047-0.9l-0.9-0.047 c-0.354-0.018-0.87-0.132-1.31-0.571c-0.78-0.78-0.78-2.049,0-2.829C4.964,13.38,5.466,13.172,6,13.172s1.036,0.208,1.414,0.585 l0.707,0.707l6.364-6.363l-0.707-0.707c-0.78-0.78-0.78-2.049,0-2.829c0.756-0.754,2.072-0.754,2.828,0 c0.343,0.343,0.546,0.809,0.572,1.312l0.048,0.897l0.897,0.048c0.503,0.026,0.969,0.229,1.312,0.572 c0.377,0.378,0.585,0.88,0.585,1.414S19.813,9.844,19.436,10.222z"}}]})(props);
};
function BiBong (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.293,8.293l-2.069,2.069C16.608,9.67,15.86,9.09,15,8.681V4h1V2h-1H9H8v2h1v4.681C6.581,9.829,5,12.285,5,15 c0,3.859,3.141,7,7,7s7-3.141,7-7c0-1.035-0.233-2.032-0.652-2.934l2.359-2.359L19.293,8.293z M10.334,10.291L11,10.056V4h2v6.056 l0.666,0.235c1.671,0.592,2.871,2.021,3.22,3.709H7.114C7.463,12.312,8.663,10.883,10.334,10.291z M12,20 c-2.414,0-4.435-1.721-4.898-4h9.797C16.435,18.279,14.414,20,12,20z"}}]})(props);
};
function BiBookAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3,8v6v3v2c0,2.201,1.794,3,3,3h15v-2H6.012C5.55,19.988,5,19.806,5,19c0-0.101,0.009-0.191,0.024-0.273 C5.136,18.151,5.608,18.01,6.012,18H19h1h1v-1v-2V4c0-1.103-0.897-2-2-2H6C4.794,2,3,2.799,3,5V8z M6,4h13v11v1H5v-2V8V5 C5,4.194,5.55,4.012,6,4z"}},{"tag":"path","attr":{"d":"M11 14L13 14 13 11 16 11 16 9 13 9 13 6 11 6 11 9 8 9 8 11 11 11z"}}]})(props);
};
function BiBookAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,2H6C4.794,2,3,2.799,3,5v3v6v3v2c0,2.201,1.794,3,3,3h15v-2H6.012C5.55,19.988,5,19.806,5,19s0.55-0.988,1.012-1H19h1 h1v-1v-2V4C21,2.897,20.103,2,19,2z M19,16H5v-2V8V5c0-0.806,0.55-0.988,1-1h13v11V16z"}}]})(props);
};
function BiBookBookmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,2.01H6c-1.206,0-3,0.799-3,3v3v6v3v2c0,2.201,1.794,3,3,3h15v-2H6.012C5.55,19.998,5,19.815,5,19.01 c0-0.101,0.009-0.191,0.024-0.273c0.112-0.575,0.583-0.717,0.987-0.727H20c0.018,0,0.031-0.009,0.049-0.01H21v-0.99V15V4.01 C21,2.907,20.103,2.01,19,2.01z M19,16.01H5v-2v-6v-3c0-0.806,0.55-0.988,1-1h7v7l2-1l2,1v-7h2V15V16.01z"}}]})(props);
};
function BiBookContent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H4C2.897,3,2,3.897,2,5v14c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V5C22,3.897,21.103,3,20,3z M4,19V5h7v14H4z M13,19V5h7l0.001,14H13z"}},{"tag":"path","attr":{"d":"M15 7H18V9H15zM15 11H18V13H15z"}}]})(props);
};
function BiBookHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3,8v6v3v2c0,2.201,1.794,3,3,3h15v-2H6.012C5.55,19.988,5,19.806,5,19s0.55-0.988,1.012-1H19h1h1v-1v-2V4 c0-1.103-0.897-2-2-2H6C4.794,2,3,2.799,3,5V8z M6,4h13v11v1H5v-2V8V5C5,4.194,5.55,4.012,6,4z"}},{"tag":"path","attr":{"d":"M11.997,14l3.35-3.289c0.871-0.854,0.871-2.21,0-3.069c-0.875-0.855-2.255-0.855-3.126,0L11.997,7.86l-0.224-0.219 c-0.87-0.855-2.25-0.855-3.125,0c-0.871,0.859-0.871,2.215,0,3.069L11.997,14z"}}]})(props);
};
function BiBookOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21,3h-7c-0.771,0-1.468,0.301-2,0.78C11.468,3.301,10.771,3,10,3H3C2.447,3,2,3.448,2,4v15c0,0.553,0.447,1,1,1h5.758 c0.526,0,1.042,0.214,1.414,0.586l1.121,1.121c0.009,0.009,0.021,0.012,0.03,0.021c0.086,0.079,0.182,0.149,0.294,0.196 c0.001,0,0.001,0,0.002,0C11.74,21.974,11.869,22,12,22s0.26-0.026,0.381-0.076c0.001,0,0.001,0,0.002,0 c0.112-0.047,0.208-0.117,0.294-0.196c0.009-0.009,0.021-0.012,0.03-0.021l1.121-1.121C14.2,20.214,14.716,20,15.242,20H21 c0.553,0,1-0.447,1-1V4C22,3.448,21.553,3,21,3z M8.758,18H4V5h6c0.552,0,1,0.449,1,1v12.689C10.342,18.246,9.557,18,8.758,18z M20,18h-4.758c-0.799,0-1.584,0.246-2.242,0.689V6c0-0.551,0.448-1,1-1h6V18z"}}]})(props);
};
function BiBookReader (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21,8c-0.202,0-4.85,0.029-9,2.008C7.85,8.029,3.202,8,3,8C2.447,8,2,8.447,2,9v9.883c0,0.271,0.11,0.53,0.305,0.719 c0.195,0.188,0.48,0.305,0.729,0.28l0.127-0.001c0.683,0,4.296,0.098,8.416,2.025c0.016,0.008,0.034,0.005,0.05,0.011 C11.746,21.966,11.871,22,12,22s0.254-0.034,0.374-0.083c0.016-0.006,0.034-0.003,0.05-0.011c4.12-1.928,7.733-2.025,8.416-2.025 l0.127,0.001c0.238,0.025,0.533-0.092,0.729-0.28C21.89,19.413,22,19.153,22,18.883V9C22,8.447,21.553,8,21,8z M4,10.049 c1.485,0.111,4.381,0.48,7,1.692v7.742c-3-1.175-5.59-1.494-7-1.576V10.049z M20,17.907c-1.41,0.082-4,0.401-7,1.576v-7.742 c2.619-1.212,5.515-1.581,7-1.692V17.907z"}},{"tag":"circle","attr":{"cx":"12","cy":"5","r":"3"}}]})(props);
};
function BiBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6,22h15v-2H6.012C5.55,19.988,5,19.805,5,19s0.55-0.988,1.012-1H19h1h1v-1v-2V4c0-1.103-0.897-2-2-2H6 C4.794,2,3,2.799,3,5v3v6v3v2C3,21.201,4.794,22,6,22z M5,8V5c0-0.805,0.55-0.988,1-1h13v11v1H5v-2V8z"}},{"tag":"path","attr":{"d":"M8 6H17V8H8z"}}]})(props);
};
function BiBookmarkMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 9H16V11H8z"}},{"tag":"path","attr":{"d":"M20,22V10V9.276V4c0-1.103-0.897-2-2-2H6C4.897,2,4,2.897,4,4v5.276V10v12l8-4.572L20,22z M6,10V9.276V4h12v5.276V10v8.553 l-6-3.428l-6,3.428V10z"}}]})(props);
};
function BiBookmarkPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 14L13 11 16 11 16 9 13 9 13 6 11 6 11 9 8 9 8 11 11 11 11 14z"}},{"tag":"path","attr":{"d":"M20,22V10V9.276V4c0-1.103-0.897-2-2-2H6C4.897,2,4,2.897,4,4v5.276V10v12l8-4.572L20,22z M6,10V9.276V4h12v5.276V10v8.553 l-6-3.428l-6,3.428V10z"}}]})(props);
};
function BiBookmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18,2H6C4.897,2,4,2.897,4,4v5.276V10v12l8-4.572L20,22V10V9.276V4C20,2.897,19.103,2,18,2z M18,18.553l-6-3.428l-6,3.428 V10V9.276V4h12v5.276V10V18.553z"}}]})(props);
};
function BiBookmarks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14,5H6C4.897,5,4,5.897,4,7v2.822v2.53V23l6-3.601L16,23V12.353v-1.53V7C16,5.897,15.103,5,14,5z M14,19.467l-4-2.399 l-4,2.399v-7.114v-2.53V7h8v3.822v1.53V19.467z"}},{"tag":"path","attr":{"d":"M18,1h-1h-2.002H10C8.897,1,8,1.897,8,3h2h4.586H16c1.103,0,2,0.897,2,2v1.414v0.408v1.53v6.047v1.044l2,2.489v-9.58v-1.53 V6V4V3C20,1.897,19.103,1,18,1z"}}]})(props);
};
function BiBorderAll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9,21h2h2h2h2h2h2v-2v-2v-2v-2v-2V9V7V5V3h-2h-2h-2h-2h-2H9H7H5H3v2v2v2v2v2v2v2v2v2h2h2H9z M19,17v2h-2h-2h-2v-6h6v2V17z M15,5h2h2v2v2v2h-6V5H15z M5,7V5h2h2h2v6H5V9V7z M5,19v-2v-2v-2h6v6H9H7H5z"}}]})(props);
};
function BiBorderBottom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 7H5V9H3zM3 11H5V13H3zM3 15H5V17H3zM3 3H5V5H3zM11 3H13V5H11zM7 3H9V5H7zM15 3H17V5H15zM19 3H21V5H19zM19 15H21V17H19zM19 11H21V13H19zM19 7H21V9H19zM15 11H17V13H15zM7 11H9V13H7zM11 7H13V9H11zM11 15H13V17H11zM11 11H13V13H11zM17 19L15 19 13 19 11 19 9 19 7 19 5 19 3 19 3 21 5 21 7 21 9 21 11 21 13 21 15 21 17 21 19 21 21 21 21 19 19 19z"}}]})(props);
};
function BiBorderInner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 19H21V21H19zM7 19H9V21H7zM15 19H17V21H15zM3 19H5V21H3zM3 15H5V17H3zM3 7H5V9H3zM3 3H5V5H3zM15 3H17V5H15zM7 3H9V5H7zM19 3H21V5H19zM19 15H21V17H19zM19 7H21V9H19z"}},{"tag":"path","attr":{"d":"M5 13L11 13 11 19 11 19.071 11 21 13 21 13 19.071 13 19 13 13 19 13 19.07 13 21 13 21 11 19.07 11 19 11 13 11 13 5 13 4.929 13 3 11 3 11 4.929 11 5 11 11 5 11 4.93 11 3 11 3 13 4.93 13z"}}]})(props);
};
function BiBorderLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 3H13V5H11zM15 3H17V5H15zM7 3H9V5H7zM19 3H21V5H19zM19 11H21V13H19zM19 15H21V17H19zM19 7H21V9H19zM19 19H21V21H19zM15 19H17V21H15zM7 19H9V21H7zM11 19H13V21H11zM11 15H13V17H11zM11 7H13V9H11zM15 11H17V13H15zM7 11H9V13H7zM11 11H13V13H11zM3 5L3 7 3 9 3 11 3 13 3 15 3 17 3 19 3 21 5 21 5 19 5 17 5 15 5 13 5 11 5 9 5 7 5 5 5 3 3 3z"}}]})(props);
};
function BiBorderNone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 19H21V21H19zM11 19H13V21H11zM15 19H17V21H15zM7 19H9V21H7zM3 19H5V21H3zM3 7H5V9H3zM3 15H5V17H3zM3 11H5V13H3zM3 3H5V5H3zM7 3H9V5H7zM11 3H13V5H11zM15 3H17V5H15zM19 3H21V5H19zM19 7H21V9H19zM19 11H21V13H19zM19 15H21V17H19zM11 7H13V9H11zM11 15H13V17H11zM7 11H9V13H7zM15 11H17V13H15zM11 11H13V13H11z"}}]})(props);
};
function BiBorderOuter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 7H13V9H11zM11 15H13V17H11zM7 11H9V13H7zM15 11H17V13H15zM11 11H13V13H11z"}},{"tag":"path","attr":{"d":"M19,3h-2h-2h-2h-2H9H7H5H3v2v2v2v2v2v2v2v2v2h2h2h2h2h2h2h2h2h2v-2v-2v-2v-2v-2V9V7V5V3H19z M19,7v2v2v2v2v2v2h-2h-2h-2 h-2H9H7H5v-2v-2v-2v-2V9V7V5h2h2h2h2h2h2h2V7z"}}]})(props);
};
function BiBorderRadius (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 19H21V21H19zM7 19H9V21H7zM15 19H17V21H15zM11 19H13V21H11zM3 19H5V21H3zM3 15H5V17H3zM3 7H5V9H3zM3 11H5V13H3zM3 3H5V5H3zM7 3H9V5H7zM19 15H21V17H19zM16 3h-3-1-1v2h1 1 3c1.654 0 3 1.346 3 3v3 1 1h2v-1-1V8C21 5.243 18.757 3 16 3z"}}]})(props);
};
function BiBorderRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 19H17V21H15zM11 19H13V21H11zM7 19H9V21H7zM3 19H5V21H3zM3 7H5V9H3zM3 15H5V17H3zM3 11H5V13H3zM3 3H5V5H3zM15 3H17V5H15zM11 3H13V5H11zM7 3H9V5H7zM11 7H13V9H11zM11 15H13V17H11zM7 11H9V13H7zM15 11H17V13H15zM11 11H13V13H11zM19 5L19 7 19 9 19 11 19 13 19 15 19 17 19 19 19 21 21 21 21 19 21 17 21 15 21 13 21 11 21 9 21 7 21 5 21 3 19 3z"}}]})(props);
};
function BiBorderTop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 11H21V13H19zM19 15H21V17H19zM19 7H21V9H19zM19 19H21V21H19zM11 19H13V21H11zM15 19H17V21H15zM7 19H9V21H7zM3 19H5V21H3zM3 11H5V13H3zM3 15H5V17H3zM3 7H5V9H3zM7 11H9V13H7zM15 11H17V13H15zM11 7H13V9H11zM11 15H13V17H11zM11 11H13V13H11zM21 3L19 3 17 3 15 3 13 3 11 3 9 3 7 3 5 3 3 3 3 5 5 5 7 5 9 5 11 5 13 5 15 5 17 5 19 5 21 5z"}}]})(props);
};
function BiBot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.928,11.607c-0.202-0.488-0.635-0.605-0.928-0.633V8c0-1.103-0.897-2-2-2h-6V4.61c0.305-0.274,0.5-0.668,0.5-1.11 C13.5,2.672,12.828,2,12,2s-1.5,0.672-1.5,1.5c0,0.442,0.195,0.836,0.5,1.11V6H5C3.897,6,3,6.897,3,8v2.997 C2.951,11,2.918,11.003,2.918,11.003C2.395,11.04,1.99,11.476,1.99,12v2c0,0.553,0.447,1,1,1H3v5c0,1.103,0.897,2,2,2h14 c1.103,0,2-0.897,2-2v-5c0.553,0,1-0.447,1-1v-1.938C22.011,11.909,21.988,11.753,21.928,11.607z M5,20V8h14l0.001,3.996 C19.001,11.998,19,11.999,19,12v2c0,0.002,0.001,0.003,0.001,0.005L19.002,20H5z"}},{"tag":"ellipse","attr":{"cx":"8.5","cy":"12","rx":"1.5","ry":"2"}},{"tag":"ellipse","attr":{"cx":"15.5","cy":"12","rx":"1.5","ry":"2"}},{"tag":"path","attr":{"d":"M8 16H16V18H8z"}}]})(props);
};
function BiBowlingBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"circle","attr":{"cx":"7.5","cy":"10.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"10.5","cy":"7.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"11.5","cy":"11.5","r":"1.5"}}]})(props);
};
function BiBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M5 9v10h14.002L19 9H5zM16 13H8v-2h8V13zM20.002 7L20 5 4 5 4 7 20 7z"}},{"tag":"path","attr":{"d":"M20,3H4C2.897,3,2,3.897,2,5v2c0,0.736,0.405,1.375,1,1.722V19c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V8.722 C21.595,8.375,22,7.736,22,7V5C22,3.897,21.103,3,20,3z M4,5h16l0.002,2H20H4V5z M5,19V9h14l0.002,10H5z"}},{"tag":"path","attr":{"d":"M8 11H16V13H8z"}}]})(props);
};
function BiBracket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 4L10 2 4 2 4 22 10 22 10 20 6 20 6 4zM14 20L14 22 20 22 20 2 14 2 14 4 18 4 18 20z"}}]})(props);
};
function BiBraille (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"4","cy":"7","r":"2"}},{"tag":"circle","attr":{"cx":"9","cy":"12","r":"2"}},{"tag":"circle","attr":{"cx":"15","cy":"7","r":"2"}},{"tag":"circle","attr":{"cx":"15","cy":"12","r":"2"}},{"tag":"circle","attr":{"cx":"15","cy":"17","r":"2"}},{"tag":"circle","attr":{"cx":"20","cy":"7","r":"2"}},{"tag":"circle","attr":{"cx":"4","cy":"17","r":"2"}}]})(props);
};
function BiBrain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.864,8.465C19.953,8.152,20,7.827,20,7.5c0-1.817-1.392-3.315-3.166-3.484C16.426,2.844,15.31,2,14,2 c-0.771,0-1.468,0.301-2,0.78C11.468,2.301,10.771,2,10,2C8.699,2,7.59,2.831,7.175,4.015C5.396,4.18,4,5.68,4,7.5 c0,0.327,0.047,0.652,0.136,0.965C2.861,9.143,2,10.495,2,12c0,1.075,0.428,2.086,1.172,2.832C3.059,15.208,3,15.603,3,16 c0,1.957,1.412,3.59,3.306,3.934C6.86,21.165,8.104,22,9.5,22c0.979,0,1.864-0.407,2.5-1.059C12.636,21.593,13.521,22,14.5,22 c1.394,0,2.635-0.831,3.19-2.06C19.568,19.612,21,17.97,21,16c0-0.397-0.059-0.792-0.172-1.168C21.572,14.086,22,13.075,22,12 C22,10.495,21.139,9.143,19.864,8.465z M9.5,20c-0.711,0-1.33-0.504-1.47-1.198L7.818,18H7c-1.103,0-2-0.897-2-2 c0-0.352,0.085-0.682,0.253-0.981l0.456-0.816l-0.784-0.51C4.346,13.315,4,12.683,4,12c0-0.977,0.723-1.824,1.682-1.972l1.693-0.26 L6.316,8.422C6.112,8.162,6,7.835,6,7.5C6,6.673,6.673,6,7.5,6c0.106,0,0.214,0.014,0.314,0.032L9,6.207V5c0-0.552,0.448-1,1-1 s1,0.448,1,1v13.5C11,19.327,10.327,20,9.5,20z M19.075,13.692l-0.784,0.51l0.456,0.816C18.915,15.318,19,15.648,19,16 c0,1.103-0.897,2-2.05,2h-0.818l-0.162,0.802C15.83,19.496,15.211,20,14.5,20c-0.827,0-1.5-0.673-1.5-1.5V5c0-0.552,0.448-1,1-1 s1,0.448,1,1.05v1.207l1.186-0.225C16.286,6.014,16.394,6,16.5,6C17.327,6,18,6.673,18,7.5c0,0.335-0.112,0.662-0.316,0.922 l-1.059,1.347l1.693,0.26C19.277,10.176,20,11.023,20,12C20,12.683,19.654,13.315,19.075,13.692z"}}]})(props);
};
function BiBriefcaseAlt2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,6h-3V4c0-1.103-0.897-2-2-2H9C7.897,2,7,2.897,7,4v2H4C2.897,6,2,6.897,2,8v11c0,1.103,0.897,2,2,2h16 c1.103,0,2-0.897,2-2V8C22,6.897,21.103,6,20,6z M15,4v2H9V4H15z M4,8h4h8h1h3v4h-3v-2h-2v2H9v-2H7v2H4V8z M4,19v-5h3v2h2v-2h6v2 h2v-2h3.001v5H4z"}}]})(props);
};
function BiBriefcaseAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,6h-3V4c0-1.103-0.897-2-2-2H9C7.897,2,7,2.897,7,4v2H4C2.897,6,2,6.897,2,8v11c0,1.103,0.897,2,2,2h16 c1.103,0,2-0.897,2-2V8C22,6.897,21.103,6,20,6z M16,8v11H8V8H16z M15,4v2H9V4H15z M4,8h2v11H4V8z M18,19V8h2l0.001,11H18z"}}]})(props);
};
function BiBriefcase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,6h-3V4c0-1.103-0.897-2-2-2H9C7.897,2,7,2.897,7,4v2H4C2.897,6,2,6.897,2,8v11c0,1.103,0.897,2,2,2h16\tc1.103,0,2-0.897,2-2V8C22,6.897,21.103,6,20,6z M15,4v2H9V4H15z M8,8h8h4v3H4V8H8z M4,19v-6h6v2h4v-2h6l0.001,6H4z"}}]})(props);
};
function BiBrightnessHalf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.707,11.293l-2-2L19,8.586V7V6c0-0.553-0.447-1-1-1h-2h-0.586l-0.707-0.707l-2-2c-0.391-0.391-1.023-0.391-1.414,0 l-2,2L8.586,5H7H6C5.447,5,5,5.447,5,6v1v1.586L4.293,9.293l-2,2c-0.391,0.391-0.391,1.023,0,1.414l2,2L5,15.414V17v1 c0,0.553,0.447,1,1,1h2h0.586l0.707,0.707l2,2C11.488,21.902,11.744,22,12,22s0.512-0.098,0.707-0.293l2-2L15.414,19H17h1 c0.553,0,1-0.447,1-1v-1v-1.586l0.707-0.707l2-2C22.098,12.316,22.098,11.684,21.707,11.293z M17.293,14.293L17,14.586V15v2h-2 h-0.414l-0.293,0.293l-1,1L12,19.586l-1.293-1.293l-1-1L9.414,17H9H8H7v-2v-0.414l-0.293-0.293l-1-1L4.414,12l1.293-1.293l1-1 L7,9.414V9V7h2h0.414l0.293-0.293l1-1L12,4.414l1.293,1.293l1,1L14.586,7H15h1h1v2v0.414l0.293,0.293l1,1L19.586,12l-1.293,1.293 L17.293,14.293z"}},{"tag":"path","attr":{"d":"M12,8v8c2.206,0,4-1.794,4-4S14.206,8,12,8z"}}]})(props);
};
function BiBrightness (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.707,9.293L19,8.586V7V6c0-0.553-0.447-1-1-1h-2h-0.586l-0.707-0.707l-2-2c-0.391-0.391-1.023-0.391-1.414,0l-2,2 L8.586,5H7H6C5.448,5,5,5.447,5,6v1v1.586L4.293,9.293l-2,2c-0.391,0.391-0.391,1.023,0,1.414l2,2L5,15.414V17v1 c0,0.553,0.448,1,1,1h2h0.586l0.707,0.707l2,2C11.488,21.902,11.744,22,12,22s0.512-0.098,0.707-0.293l2-2L15.414,19H17h1 c0.553,0,1-0.447,1-1v-1v-1.586l0.707-0.707l2-2c0.391-0.391,0.391-1.023,0-1.414L19.707,9.293z M17.293,14.293L17,14.586V15v2h-2 h-0.414l-0.293,0.293l-1,1L12,19.586l-1.293-1.293l-1-1L9.414,17H9H8H7v-2v-0.414l-0.293-0.293l-1-1L4.414,12l1.293-1.293l1-1 L7,9.414V9V7h2h0.414l0.293-0.293l1-1L12,4.414l1.293,1.293l1,1L14.586,7H15h1h1v2v0.414l0.293,0.293l1,1L19.586,12l-1.293,1.293 L17.293,14.293z"}},{"tag":"path","attr":{"d":"M12,8c-2.206,0-4,1.794-4,4s1.794,4,4,4c2.206,0,4-1.794,4-4S14.206,8,12,8z"}}]})(props);
};
function BiBroadcast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.707 4.293l-1.414 1.414c2.733 2.733 2.733 7.353 0 10.086l1.414 1.414C23.207 13.707 23.207 7.793 19.707 4.293zM15.293 8.707c.566.566.879 1.292.879 2.043s-.313 1.477-.879 2.043l1.414 1.414c.944-.943 1.465-2.172 1.465-3.457s-.521-2.514-1.465-3.457L15.293 8.707zM6.207 5.707L4.793 4.293c-3.5 3.5-3.5 9.414 0 12.914l1.414-1.414C3.474 13.06 3.474 8.44 6.207 5.707z"}},{"tag":"path","attr":{"d":"M7.293 7.293C6.349 8.236 5.828 9.465 5.828 10.75s.521 2.514 1.465 3.457l1.414-1.414c-.566-.566-.879-1.292-.879-2.043s.313-1.477.879-2.043L7.293 7.293zM14 10.5c0-1.104-.896-2-2-2s-2 .896-2 2c-.001.695.355 1.308.895 1.666L10.002 22h3.996l-.893-9.835C13.645 11.807 14 11.195 14 10.5z"}}]})(props);
};
function BiBrushAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,8.001h-4V8V4.999c0-0.812-0.316-1.566-0.874-2.108c-0.623-0.637-1.481-0.96-2.39-0.879C10.202,2.144,9,3.508,9,5.117 V8H8H5c-1.103,0-2,0.897-2,2v3v7c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2v-7v-2.999C21,8.898,20.103,8.001,19,8.001z M5,10h3 h2h1V9V8V5.117c0-0.57,0.407-1.07,1.002-1.117c0.266,0,0.512,0.103,0.712,0.307C12.898,4.486,13,4.732,13,4.999V8v1.001V10h0.995 c0.002,0,0.003,0.001,0.005,0.001h5V12H5V10z M5,20v-6h14l0.002,6H5z"}}]})(props);
};
function BiBrush (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13.707,2.293c-0.391-0.391-1.023-0.391-1.414,0l-5.84,5.84C6.438,8.132,6.424,8.124,6.409,8.124 c-0.265,0-0.52,0.105-0.707,0.293L4.288,9.831c-0.566,0.567-0.878,1.321-0.878,2.122c0,0.802,0.313,1.556,0.879,2.121l0.707,0.707 l-2.122,2.122C2.299,17.477,1.989,18.234,2,19.012c-0.011,0.887,0.377,1.729,1.063,2.308C3.582,21.759,4.251,22,4.948,22 c0.834,0,1.654-0.341,2.25-0.937l2.04-2.039l0.707,0.706c1.134,1.133,3.109,1.134,4.242,0.001l1.415-1.414 c0.188-0.188,0.293-0.441,0.293-0.707c0-0.026-0.013-0.05-0.015-0.076l5.827-5.827c0.391-0.391,0.391-1.023,0-1.414L13.707,2.293z M12.772,18.317c-0.377,0.377-1.036,0.378-1.414-0.001l-1.414-1.413c-0.391-0.391-1.023-0.391-1.414,0l-2.746,2.745 C5.561,19.872,5.256,20,4.948,20c-0.159,0-0.391-0.036-0.594-0.208C4.122,19.597,3.997,19.327,4,19.01 c-0.003-0.258,0.099-0.504,0.287-0.692l2.829-2.829c0.391-0.391,0.391-1.023,0-1.414l-1.415-1.415 c-0.188-0.188-0.292-0.438-0.292-0.706s0.104-0.519,0.293-0.708l0.707-0.707l7.071,7.072L12.772,18.317z M14.661,15.925 L8.075,9.339L13,4.414L19.586,11L14.661,15.925z"}}]})(props);
};
function BiBugAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 9H15V11H9zM9 13H15V15H9z"}},{"tag":"path","attr":{"d":"M18,5.414l1.707-1.707l-1.414-1.414L16.73,3.855C15.483,2.708,13.824,2,12,2S8.517,2.708,7.27,3.855L5.707,2.293 L4.293,3.707L6,5.414C5.369,6.464,5,7.688,5,9H3v2h2v2H3v2h2c0,3.86,3.141,7,7,7s7-3.14,7-7h2v-2h-2v-2h2V9h-2 C19,7.688,18.631,6.464,18,5.414z M17,13v2c0,2.757-2.243,5-5,5s-5-2.243-5-5v-2v-2V9c0-2.757,2.243-5,5-5s5,2.243,5,5v2V13z"}}]})(props);
};
function BiBug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.895,6.519l2.813-2.812l-1.414-1.414l-2.846,2.846c-0.233-0.166-0.473-0.321-0.723-0.454 c-1.723-0.91-3.726-0.911-5.45,0c-0.25,0.132-0.488,0.287-0.722,0.453L5.707,2.293L4.293,3.707l2.813,2.812 C6.53,7.242,6.08,8.079,5.756,9H2v2h2.307C4.242,11.495,4.2,11.997,4.2,12.5c0,0.507,0.042,1.013,0.107,1.511H2v2h2.753 c0.013,0.039,0.021,0.08,0.034,0.118c0.188,0.555,0.421,1.093,0.695,1.6c0.044,0.081,0.095,0.155,0.141,0.234l-2.33,2.33 l1.414,1.414l2.11-2.111c0.235,0.254,0.478,0.498,0.736,0.716c0.418,0.354,0.867,0.657,1.332,0.903 c0.479,0.253,0.982,0.449,1.496,0.58C10.911,21.931,11.455,22,12,22s1.089-0.069,1.618-0.204c0.514-0.131,1.017-0.327,1.496-0.58 c0.465-0.246,0.914-0.55,1.333-0.904c0.258-0.218,0.5-0.462,0.734-0.716l2.111,2.111l1.414-1.414l-2.33-2.33 c0.047-0.08,0.098-0.155,0.142-0.236c0.273-0.505,0.507-1.043,0.694-1.599c0.013-0.039,0.021-0.079,0.034-0.118H22v-2h-2.308 c0.065-0.499,0.107-1.004,0.107-1.511c0-0.503-0.042-1.005-0.106-1.5H22V9h-3.756C17.92,8.079,17.47,7.242,16.895,6.519z M8.681,7.748c0.445-0.558,0.96-0.993,1.528-1.294c1.141-0.603,2.442-0.602,3.581,0c0.569,0.301,1.084,0.736,1.53,1.295 c0.299,0.373,0.54,0.8,0.753,1.251H7.927C8.141,8.549,8.381,8.121,8.681,7.748z M17.8,12.5c0,0.522-0.042,1.044-0.126,1.553 c-0.079,0.49-0.199,0.973-0.355,1.436c-0.151,0.449-0.34,0.882-0.559,1.288c-0.217,0.399-0.463,0.772-0.733,1.11 c-0.267,0.333-0.56,0.636-0.869,0.898c-0.31,0.261-0.639,0.484-0.979,0.664s-0.695,0.317-1.057,0.41 c-0.04,0.01-0.082,0.014-0.122,0.023V14h-2v5.881c-0.04-0.009-0.082-0.013-0.122-0.023c-0.361-0.093-0.717-0.23-1.057-0.41 s-0.669-0.403-0.978-0.664c-0.311-0.263-0.604-0.565-0.871-0.899c-0.27-0.337-0.516-0.71-0.731-1.108 c-0.22-0.407-0.408-0.84-0.56-1.289c-0.156-0.463-0.276-0.946-0.356-1.438C6.242,13.544,6.2,13.022,6.2,12.5 c0-0.505,0.041-1.009,0.119-1.5h11.361C17.759,11.491,17.8,11.995,17.8,12.5z"}}]})(props);
};
function BiBuildingHouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,2H9C7.897,2,7,2.897,7,4v5.586l-4.707,4.707c-0.286,0.286-0.372,0.716-0.217,1.09S2.596,16,3,16v1v4 c0,0.553,0.448,1,1,1h8h8c0.553,0,1-0.447,1-1V4C21,2.897,20.103,2,19,2z M11,20H5v-3v-2v-0.586l3-3l3,3V15v3V20z M19,20h-6v-2v-2 c0.404,0,0.77-0.243,0.924-0.617c0.155-0.374,0.069-0.804-0.217-1.09L9,9.586V4h10V20z"}},{"tag":"path","attr":{"d":"M11 6H13V8H11zM15 6H17V8H15zM15 10.031H17V12H15zM15 14H17V16H15zM7 15H9V17H7z"}}]})(props);
};
function BiBuilding (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18,2H6C4.897,2,4,2.897,4,4v17c0,0.552,0.447,1,1,1h14c0.553,0,1-0.448,1-1V4C20,2.897,19.103,2,18,2z M18,20H6V4h12V20z"}},{"tag":"path","attr":{"d":"M8 6H11V8H8zM13 6H16V8H13zM8 10H11V12H8zM13 10.031H16V12H13zM8 14H11V16H8zM13 14H16V16H13z"}}]})(props);
};
function BiBuildings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,2H9C7.897,2,7,2.897,7,4v6H5c-1.103,0-2,0.897-2,2v9c0,0.552,0.447,1,1,1h8h8c0.553,0,1-0.448,1-1V4 C21,2.897,20.103,2,19,2z M5,12h3h3v2v2v4H5V12z M19,20h-6v-4v-2v-2c0-1.103-0.897-2-2-2H9V4h10V20z"}},{"tag":"path","attr":{"d":"M11 6H13V8H11zM15 6H17V8H15zM15 10.031H17V12H15zM15 14H17V16H15zM7 14.001H9V16.000999999999998H7z"}}]})(props);
};
function BiBulb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 20H15V22H9zM16.906 13.712C17.936 12.506 19 11.259 19 9c0-3.859-3.141-7-7-7S5 5.141 5 9c0 2.285 1.067 3.528 2.101 4.73.358.418.729.851 1.084 1.349.144.206.38.996.591 1.921H8v2h1.162 5.675H16v-2h-.774c.213-.927.45-1.719.593-1.925C16.171 14.572 16.545 14.135 16.906 13.712zM14.182 13.925C13.748 14.542 13.386 16 13.176 17h-2.351c-.209-1.002-.572-2.463-1.011-3.08-.407-.572-.826-1.061-1.196-1.492C7.644 11.294 7 10.544 7 9c0-2.757 2.243-5 5-5s5 2.243 5 5c0 1.521-.643 2.274-1.615 3.413C15.012 12.851 14.589 13.346 14.182 13.925z"}}]})(props);
};
function BiBullseye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,6c-3.309,0-6,2.691-6,6s2.691,6,6,6s6-2.691,6-6S15.309,6,12,6z M12,16c-2.206,0-4-1.794-4-4s1.794-4,4-4s4,1.794,4,4 S14.206,16,12,16z"}},{"tag":"path","attr":{"d":"M12,2C6.579,2,2,6.579,2,12s4.579,10,10,10s10-4.579,10-10S17.421,2,12,2z M12,20c-4.337,0-8-3.663-8-8s3.663-8,8-8 s8,3.663,8,8S16.337,20,12,20z"}},{"tag":"path","attr":{"d":"M12,10c-1.081,0-2,0.919-2,2s0.919,2,2,2s2-0.919,2-2S13.081,10,12,10z"}}]})(props);
};
function BiBuoy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M19.411,9H16v0.031 C15.708,8.639,15.361,8.292,14.969,8H15V4.589C17.001,5.402,18.598,7,19.411,9z M12,15c-1.654,0-3-1.346-3-3s1.346-3,3-3 s3,1.346,3,3S13.654,15,12,15z M13,4.069v3.032C12.677,7.035,12.343,7,12,7s-0.677,0.035-1,0.101V4.069C11.328,4.028,11.66,4,12,4 S12.672,4.028,13,4.069z M9,4.589V8h0.031C8.639,8.292,8.292,8.639,8,9.031V9H4.589C5.402,7,6.999,5.402,9,4.589z M4.069,11h3.032 C7.035,11.323,7,11.658,7,12s0.035,0.677,0.102,1H4.069C4.028,12.672,4,12.339,4,12S4.028,11.328,4.069,11z M4.589,15H8v-0.031 c0.284,0.381,0.621,0.718,1,1.005v3.437C6.999,18.598,5.402,17,4.589,15z M11,19.931v-3.032C11.323,16.965,11.657,17,12,17 s0.677-0.035,1-0.101v3.032C12.672,19.972,12.34,20,12,20S11.328,19.972,11,19.931z M15,19.411v-3.437 c0.379-0.287,0.716-0.624,1-1.005V15h3.411C18.598,17,17.001,18.598,15,19.411z M19.931,13h-3.032C16.965,12.677,17,12.342,17,12 s-0.035-0.677-0.102-1h3.032C19.972,11.328,20,11.661,20,12S19.972,12.672,19.931,13z"}}]})(props);
};
function BiBusSchool (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.259,11.948C21.683,11.832,22,11.46,22,11V8c0-0.551-0.445-0.997-0.996-0.999V6H21c0-2.206-1.794-4-4-4H7 C4.794,2,3,3.794,3,6v1C2.447,7,2,7.448,2,8v3c0,0.461,0.317,0.832,0.742,0.948c-0.474,0.67-0.742,1.46-0.741,2.298l0.004,3.757 C2.006,18.736,2.409,19.372,3,19.719V21c0,0.552,0.447,1,1,1h1c0.553,0,1-0.448,1-1v-1h12v1c0,0.552,0.447,1,1,1h1 c0.553,0,1-0.448,1-1v-1.274c0.15-0.087,0.295-0.187,0.421-0.313c0.377-0.378,0.585-0.881,0.584-1.415l-0.004-3.759 C22,13.403,21.73,12.615,21.259,11.948z M5,18H4.005l-0.004-3.757C4,13.784,4.162,13.353,4.444,13h6.56h2h6.551 c0.283,0.353,0.445,0.783,0.446,1.242L20.006,18H20h-1H5z M11.004,8v3H5V8H11.004z M19,11h-5.996V8H19V11z M7,4h10 c1.103,0,2,0.897,2,2h-4V5H9v1H5C5,4.897,5.897,4,7,4z"}},{"tag":"circle","attr":{"cx":"6.5","cy":"15.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"17.5","cy":"15.5","r":"1.5"}}]})(props);
};
function BiBus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.004,7.975V6c0-2.206-1.794-4-4-4h-10c-2.206,0-4,1.794-4,4v1.998C2.961,8,2.928,8.002,2.928,8.002 C2.404,8.04,2,8.475,2,9v2c0,0.552,0.447,1,1,1h0.004v6c0,0.735,0.403,1.372,0.996,1.72V21c0,0.553,0.447,1,1,1h1 c0.553,0,1-0.447,1-1v-1h10v1c0,0.553,0.447,1,1,1h1c0.553,0,1-0.447,1-1v-1.276c0.597-0.347,1.004-0.985,1.004-1.724v-6 c0.553,0,1-0.448,1-1V9.062c0.011-0.153-0.012-0.309-0.072-0.455C21.729,8.12,21.297,8.003,21.004,7.975z M19.006,18H19h-1H6H5.004 v-5h6h2h6.001L19.006,18z M11.004,7v4h-6V7H11.004z M19.004,7v1.998c0,0.001,0,0.001,0,0.002v2h-6V7H19.004z M7.004,4h10 c0.736,0,1.375,0.405,1.722,1H5.282C5.629,4.405,6.268,4,7.004,4z"}},{"tag":"circle","attr":{"cx":"7.5","cy":"15.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"16.5","cy":"15.5","r":"1.5"}}]})(props);
};
function BiCabinet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21,4c0-1.103-0.897-2-2-2H5C3.897,2,3,2.897,3,4v16c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V4z M5,4h14v7H5V4z M5,20 v-7h14.001v7H5z"}},{"tag":"path","attr":{"d":"M14 7L10 7 10 6 8 6 8 9 16 9 16 6 14 6zM14 15L14 16 10 16 10 15 8 15 8 18 16 18 16 15z"}}]})(props);
};
function BiCake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,5h-6V2h-2v3H5C3.346,5,2,6.346,2,8v10c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V8C22,6.346,20.654,5,19,5z M5,7h14 c0.552,0,1,0.448,1,1l0.001,3.12c-0.896,0.228-1.469,0.734-1.916,1.132C17.578,12.702,17.243,13,16.497,13 c-0.745,0-1.08-0.298-1.587-0.747C14.315,11.724,13.501,11,11.995,11c-1.505,0-2.319,0.724-2.914,1.253 C8.574,12.703,8.24,13,7.495,13c-0.743,0-1.077-0.297-1.582-0.747C5.466,11.855,4.895,11.348,4,11.12V8C4,7.448,4.448,7,5,7z M4,18v-4.714c0.191,0.123,0.374,0.274,0.583,0.461C5.178,14.276,5.991,15,7.495,15c1.505,0,2.319-0.724,2.914-1.253 C10.916,13.297,11.25,13,11.995,13s1.08,0.298,1.587,0.747C14.177,14.276,14.991,15,16.497,15s2.321-0.724,2.916-1.253 c0.211-0.188,0.395-0.34,0.588-0.464L20.002,18H4z"}}]})(props);
};
function BiCalculator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,2H5C3.897,2,3,2.897,3,4v16c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V4C21,2.897,20.103,2,19,2z M5,20V4h14 l0.001,16H5z"}},{"tag":"path","attr":{"d":"M7 12H9V14H7zM7 16H9V18H7zM11 12H13V14H11zM7 6H17V10H7zM11 16H13V18H11zM15 12H17V18H15z"}}]})(props);
};
function BiCalendarAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M4.998 8H19V20H4.998z"}},{"tag":"path","attr":{"d":"M2.999,6v2v12c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V8V6c0-1.103-0.897-2-2-2h-2V2h-2v2h-6V2h-2v2h-2 C3.896,4,2.999,4.897,2.999,6z M19.001,20H4.999V8h14L19.001,20z"}}]})(props);
};
function BiCalendarCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,4h-2V2h-2v2H9V2H7v2H5C3.897,4,3,4.897,3,6v2v12c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V8V6 C21,4.897,20.103,4,19,4z M19.002,20H5V8h14L19.002,20z"}},{"tag":"path","attr":{"d":"M11 17.414L16.707 11.707 15.293 10.293 11 14.586 8.707 12.293 7.293 13.707z"}}]})(props);
};
function BiCalendarEdit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,4h-3V2h-2v2h-4V2H8v2H5C3.897,4,3,4.897,3,6v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V6C21,4.897,20.103,4,19,4z M5,20V7h3h2h4h2h3V6l0.002,14H5z"}},{"tag":"path","attr":{"transform":"rotate(-135.016 15.414 10.598)","d":"M14.142 9.628H16.686999999999998V11.567H14.142z"}},{"tag":"path","attr":{"d":"M8.005 16.201L8.005 18 9.804 18 14.78 13.03 12.981 11.231z"}}]})(props);
};
function BiCalendarEvent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 12H17V18H11z"}},{"tag":"path","attr":{"d":"M19,4h-2V2h-2v2H9V2H7v2H5C3.897,4,3,4.897,3,6v2v12c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V8V6 C21,4.897,20.103,4,19,4z M19.001,20H5V8h14L19.001,20z"}}]})(props);
};
function BiCalendarExclamation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,4h-2V2h-2v2H9V2H7v2H5C3.897,4,3,4.897,3,6v2v12c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V8V6 C21,4.897,20.103,4,19,4z M19.002,20H5V8h14L19.002,20z"}},{"tag":"path","attr":{"d":"M11 10H13V15H11zM11 16H13V18H11z"}}]})(props);
};
function BiCalendarHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8.648,14.711L11.997,18l3.35-3.289c0.871-0.854,0.871-2.21,0-3.069c-0.875-0.855-2.255-0.855-3.126,0l-0.224,0.219 l-0.224-0.219c-0.87-0.855-2.25-0.855-3.125,0C7.777,12.501,7.777,13.856,8.648,14.711z"}},{"tag":"path","attr":{"d":"M19,4h-2V2h-2v2H9V2H7v2H5C3.897,4,3,4.897,3,6v2v12c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V8V6 C21,4.897,20.103,4,19,4z M19.002,20H5V8h14L19.002,20z"}}]})(props);
};
function BiCalendarMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 13H16V15H8z"}},{"tag":"path","attr":{"d":"M19,4h-2V2h-2v2H9V2H7v2H5C3.897,4,3,4.897,3,6v2v12c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V8V6 C21,4.897,20.103,4,19,4z M19.002,20H5V8h14L19.002,20z"}}]})(props);
};
function BiCalendarPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 15L11 15 11 18 13 18 13 15 16 15 16 13 13 13 13 10 11 10 11 13 8 13z"}},{"tag":"path","attr":{"d":"M19,4h-2V2h-2v2H9V2H7v2H5C3.897,4,3,4.897,3,6v2v12c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V8V6 C21,4.897,20.103,4,19,4z M19.002,20H5V8h14L19.002,20z"}}]})(props);
};
function BiCalendarStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9.981 14.811L9.514 17.537 11.963 16.25 14.412 17.537 13.944 14.811 15.926 12.879 13.188 12.481 11.963 10 10.738 12.481 8 12.879z"}},{"tag":"path","attr":{"d":"M19,4h-2V2h-2v2H9V2H7v2H5C3.897,4,3,4.897,3,6v2v12c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V8V6 C21,4.897,20.103,4,19,4z M19.002,20H5V8h14L19.002,20z"}}]})(props);
};
function BiCalendarWeek (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,4h-3V2h-2v2h-4V2H8v2H5C3.897,4,3,4.897,3,6v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V6C21,4.897,20.103,4,19,4z M5,20V7h3h2h4h2h3V6l0.002,14H5z"}},{"tag":"path","attr":{"d":"M7 10L7 11 7 12 17 12 17 11 17 10 17 9 7 9z"}}]})(props);
};
function BiCalendarX (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8.293 16.293L9.707 17.707 12 15.414 14.293 17.707 15.707 16.293 13.414 14 15.707 11.707 14.293 10.293 12 12.586 9.707 10.293 8.293 11.707 10.586 14z"}},{"tag":"path","attr":{"d":"M19,4h-2V2h-2v2H9V2H7v2H5C3.897,4,3,4.897,3,6v2v12c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V8V6 C21,4.897,20.103,4,19,4z M19.002,20H5V8h14L19.002,20z"}}]})(props);
};
function BiCalendar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 11H9V13H7zM7 15H9V17H7zM11 11H13V13H11zM11 15H13V17H11zM15 11H17V13H15zM15 15H17V17H15z"}},{"tag":"path","attr":{"d":"M5,22h14c1.103,0,2-0.897,2-2V8V6c0-1.103-0.897-2-2-2h-2V2h-2v2H9V2H7v2H5C3.897,4,3,4.897,3,6v2v12 C3,21.103,3.897,22,5,22z M19,8l0.001,12H5V8H19z"}}]})(props);
};
function BiCameraHome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.125,2H5.875C4.841,2,4,2.841,4,3.875v12.25C4,17.159,4.841,18,5.875,18H11v2H7v2h10v-2h-4v-2h5.125 C19.159,18,20,17.159,20,16.125V3.875C20,2.841,19.159,2,18.125,2z M18,16H6V4h12V16z"}},{"tag":"path","attr":{"d":"M12,14c2.206,0,4-1.794,4-4s-1.794-4-4-4s-4,1.794-4,4S9.794,14,12,14z M12,8c1.103,0,2,0.897,2,2s-0.897,2-2,2 s-2-0.897-2-2S10.897,8,12,8z"}}]})(props);
};
function BiCameraMovie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18,11c0-0.959-0.68-1.761-1.581-1.954C16.779,8.445,17,7.75,17,7c0-2.206-1.794-4-4-4c-1.517,0-2.821,0.857-3.5,2.104 C8.821,3.857,7.517,3,6,3C3.794,3,2,4.794,2,7c0,0.902,0.312,1.727,0.817,2.396C2.324,9.761,2,10.342,2,11v8c0,1.103,0.897,2,2,2 h12c1.103,0,2-0.897,2-2v-2.638l4,2v-7l-4,2V11z M13,5c1.103,0,2,0.897,2,2s-0.897,2-2,2s-2-0.897-2-2S11.897,5,13,5z M6,5 c1.103,0,2,0.897,2,2S7.103,9,6,9S4,8.103,4,7S4.897,5,6,5z M4,19v-8h12l0.002,8H4z"}}]})(props);
};
function BiCameraOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8.014,12.135c0.074,2.062,1.789,3.777,3.851,3.851L8.014,12.135z"}},{"tag":"path","attr":{"d":"M4 20h11.879l-2-2H4V8.121L2.144 6.265C2.053 6.493 2 6.74 2 7v11C2 19.103 2.897 20 4 20zM20 5h-2.586l-2.707-2.707C14.52 2.105 14.266 2 14 2h-4C9.735 2 9.48 2.105 9.293 2.293L6.586 5H6.414L3.707 2.293 2.293 3.707l18 18 1.414-1.414-.626-.626C21.631 19.313 22 18.703 22 18V7C22 5.897 21.103 5 20 5zM13.919 12.505l-2.424-2.425C11.658 10.034 11.826 10 12 10c1.065 0 2 .935 2 2C14 12.174 13.967 12.342 13.919 12.505zM15.421 14.006C15.779 13.412 16 12.729 16 12c0-2.168-1.832-4-4-4-.729 0-1.412.22-2.007.579L7.914 6.5l2.5-2.5h3.172l2.707 2.707C16.48 6.895 16.734 7 17 7l3-.001V18h-.586L15.421 14.006z"}}]})(props);
};
function BiCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,8c-2.168,0-4,1.832-4,4c0,2.168,1.832,4,4,4s4-1.832,4-4C16,9.832,14.168,8,12,8z M12,14c-1.065,0-2-0.935-2-2 s0.935-2,2-2s2,0.935,2,2S13.065,14,12,14z"}},{"tag":"path","attr":{"d":"M20,5h-2.586l-2.707-2.707C14.52,2.105,14.266,2,14,2h-4C9.734,2,9.48,2.105,9.293,2.293L6.586,5H4C2.897,5,2,5.897,2,7v11 c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V7C22,5.897,21.103,5,20,5z M4,18V7h3c0.266,0,0.52-0.105,0.707-0.293L10.414,4h3.172 l2.707,2.707C16.48,6.895,16.734,7,17,7h3l0.002,11H4z"}}]})(props);
};
function BiCapsule (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8.999,20.133c1.336,0,2.592-0.521,3.536-1.465l7.134-7.133c1.949-1.95,1.949-5.123-0.001-7.072 C18.723,3.52,17.467,3,16.132,3s-2.591,0.52-3.534,1.464l-7.134,7.134c-1.948,1.949-1.949,5.121,0,7.072 C6.408,19.613,7.664,20.133,8.999,20.133z M14.012,5.878C14.578,5.312,15.331,5,16.132,5c0.802,0,1.556,0.313,2.122,0.878 c1.17,1.17,1.17,3.073,0.001,4.243l-2.893,2.892L11.12,8.77L14.012,5.878z M6.878,13.012l2.828-2.828l4.242,4.243l-2.827,2.827 c-1.133,1.133-3.11,1.132-4.243,0.001C5.709,16.085,5.709,14.182,6.878,13.012z"}}]})(props);
};
function BiCaptions (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 10v4c0 1.103.897 2 2 2h3v-2H8v-4h3V8H8C6.897 8 6 8.897 6 10zM13 10v4c0 1.103.897 2 2 2h3v-2h-3v-4h3V8h-3C13.897 8 13 8.897 13 10z"}},{"tag":"path","attr":{"d":"M20,4H4C2.897,4,2,4.897,2,6v12c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V6C22,4.897,21.103,4,20,4z M4,18V6h16 l0.002,12H4z"}}]})(props);
};
function BiCar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.772,10.156l-1.368-4.105C18.995,4.824,17.852,4,16.559,4H7.441C6.148,4,5.005,4.824,4.596,6.051l-1.368,4.105 C2.508,10.459,2,11.171,2,12v5c0,0.753,0.423,1.402,1.039,1.743C3.026,18.809,3,18.869,3,18.938V21c0,0.553,0.447,1,1,1h1 c0.553,0,1-0.447,1-1v-2h12v2c0,0.553,0.447,1,1,1h1c0.553,0,1-0.447,1-1v-2.062c0-0.069-0.026-0.13-0.039-0.195 C21.577,18.402,22,17.753,22,17v-5C22,11.171,21.492,10.459,20.772,10.156z M4,17v-5h16l0.002,5H4z M7.441,6h9.117 c0.431,0,0.813,0.274,0.949,0.684L18.613,10H5.387l1.105-3.316C6.629,6.274,7.011,6,7.441,6z"}},{"tag":"circle","attr":{"cx":"6.5","cy":"14.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"17.5","cy":"14.5","r":"1.5"}}]})(props);
};
function BiCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.999 17c1.103 0 2-.897 2-2V5c0-1.103-.897-2-2-2h-12c-1.103 0-2 .897-2 2v10c0 1.103.897 2 2 2H17.999zM5.999 5h12l.002 10H5.999V5zM3.999 19H19.999V21H3.999z"}}]})(props);
};
function BiCaretDownCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 16L17 10 7 10z"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}}]})(props);
};
function BiCaretDownSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 16L17 10 7 10z"}},{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M5,19V5h14 l0.002,14H5z"}}]})(props);
};
function BiCaretDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.998 17L18.998 9 4.998 9z"}}]})(props);
};
function BiCaretLeftCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 17L14 7 8 12z"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}}]})(props);
};
function BiCaretLeftSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 17L14 7 8 12z"}},{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M5,19V5h14 l0.002,14H5z"}}]})(props);
};
function BiCaretLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 19L15 5 7 12z"}}]})(props);
};
function BiCaretRightCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 17L16 12 10 7z"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}}]})(props);
};
function BiCaretRightSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 17L16 12 10 7z"}},{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M5,19V5h14 l0.002,14H5z"}}]})(props);
};
function BiCaretRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 19L17 12 9 5z"}}]})(props);
};
function BiCaretUpCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 14L17 14 12 8z"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10c5.514,0,10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8 s3.589-8,8-8s8,3.589,8,8S16.411,20,12,20z"}}]})(props);
};
function BiCaretUpSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 14L17 14 12 8z"}},{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M5,19V5h14 l0.002,14H5z"}}]})(props);
};
function BiCaretUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 15L19 15 12 7z"}}]})(props);
};
function BiCarousel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4,19h2c0,1.103,0.897,2,2,2h8c1.103,0,2-0.897,2-2h2c1.103,0,2-0.897,2-2V7c0-1.103-0.897-2-2-2h-2c0-1.103-0.897-2-2-2H8 C6.897,3,6,3.897,6,5H4C2.897,5,2,5.897,2,7v10C2,18.103,2.897,19,4,19z M20,7v10h-2V7H20z M8,5h8l0.001,14H8v-2V5z M4,7h2v10H4V7z"}}]})(props);
};
function BiCartAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M8.246 11L18.246 11 19.675 6 6.428 6z"}},{"tag":"path","attr":{"d":"M21,4H5H4H2v2h2h0.3l3.282,9.025C8.011,16.206,9.145,17,10.401,17H19v-2h-8.599c-0.419,0-0.797-0.265-0.94-0.658L8.973,13 h9.273c0.89,0,1.68-0.598,1.923-1.451l1.793-6.274c0.086-0.302,0.025-0.626-0.163-0.877C21.609,4.147,21.313,4,21,4z M18.246,11 h-10L6.428,6h13.247L18.246,11z"}},{"tag":"circle","attr":{"cx":"10.5","cy":"19.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"16.5","cy":"19.5","r":"1.5"}}]})(props);
};
function BiCart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.822,7.431C21.635,7.161,21.328,7,21,7H7.333L6.179,4.23C5.867,3.482,5.143,3,4.333,3H2v2h2.333l4.744,11.385 C9.232,16.757,9.596,17,10,17h8c0.417,0,0.79-0.259,0.937-0.648l3-8C22.052,8.044,22.009,7.7,21.822,7.431z M17.307,15h-6.64 l-2.5-6h11.39L17.307,15z"}},{"tag":"circle","attr":{"cx":"10.5","cy":"19.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"17.5","cy":"19.5","r":"1.5"}}]})(props);
};
function BiCast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11,21.001h2C13,14.935,8.065,10,2,10v2C6.962,12,11,16.038,11,21.001z"}},{"tag":"path","attr":{"d":"M7,21.001h2C9,17.141,5.86,14,2,14v2C4.757,16,7,18.243,7,21.001z"}},{"tag":"circle","attr":{"cx":"3.5","cy":"19.5","r":"1.5"}},{"tag":"path","attr":{"d":"M20,4H4C2.897,4,2,4.897,2,6v2.052c0.68,0.025,1.349,0.094,2,0.217V6h16v13h-5.269c0.123,0.651,0.191,1.32,0.217,2H20 c1.103,0,2-0.897,2-2V6C22,4.897,21.103,4,20,4z"}}]})(props);
};
function BiCctv (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.916,9.564c0.222-0.505-0.008-1.095-0.513-1.316L7.328,2.492c-0.995-0.438-2.22,0.051-2.645,1.042l-2.21,5.154 c-0.433,1.015,0.039,2.192,1.052,2.624L9.563,13.9L8.323,17H4v-3H2v4v4h2v-3h4.323c0.823,0,1.552-0.494,1.856-1.258l1.222-3.054 l5.205,2.23C16.734,16.975,16.868,17,17,17c0.385,0,0.751-0.224,0.916-0.599l0.312-0.71l1.701,0.68l2-5l-1.536-0.613L20.916,9.564z M16.482,14.69L4.313,9.475l2.208-5.152l12.162,5.354L16.482,14.69z"}}]})(props);
};
function BiCertification (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M4.392,14.054l1.544,0.893c0.309,0.179,0.499,0.509,0.499,0.866v1.776h1.776c0.357,0,0.688,0.19,0.866,0.5 l0.892,1.543l1.543-0.893c0.155-0.089,0.328-0.134,0.501-0.134s0.346,0.045,0.5,0.134l1.545,0.893l0.891-1.543 c0.179-0.31,0.509-0.5,0.866-0.5h1.776v-1.776c0-0.357,0.19-0.687,0.499-0.866l1.544-0.893l-0.893-1.543 c-0.179-0.31-0.179-0.691,0-1.001l0.893-1.543L18.09,9.074c-0.309-0.179-0.499-0.509-0.499-0.866V6.432h-1.776 c-0.357,0-0.688-0.19-0.866-0.5l-0.891-1.543l-1.545,0.892c-0.309,0.179-0.691,0.179-1,0L9.969,4.389L9.077,5.932 c-0.179,0.309-0.509,0.5-0.866,0.5H6.435v1.776c0,0.357-0.19,0.687-0.499,0.866L4.392,9.966l0.893,1.542 c0.18,0.31,0.18,0.692,0,1.001L4.392,14.054z"}},{"tag":"path","attr":{"d":"M2.06,14.677c0.068,0.256,0.235,0.475,0.465,0.607l1.91,1.104v2.199c0,0.552,0.447,1,1,1h2.199l1.104,1.91 c0.133,0.229,0.352,0.397,0.608,0.466c0.085,0.022,0.171,0.034,0.258,0.034c0.174,0,0.347-0.045,0.501-0.134l1.908-1.104 l1.91,1.104c0.229,0.133,0.503,0.168,0.759,0.1s0.475-0.236,0.607-0.466l1.103-1.909h2.199c0.553,0,1-0.448,1-1v-2.199l1.91-1.104 c0.478-0.276,0.642-0.888,0.365-1.366l-1.104-1.909l1.104-1.908c0.276-0.478,0.112-1.09-0.365-1.366l-1.91-1.104V5.432 c0-0.552-0.447-1-1-1h-2.199l-1.103-1.909c-0.133-0.23-0.352-0.397-0.607-0.466c-0.256-0.07-0.529-0.033-0.759,0.1l-1.91,1.104 l-1.909-1.104c-0.478-0.278-1.09-0.113-1.366,0.365l-1.104,1.91H5.435c-0.553,0-1,0.448-1,1v2.199l-1.91,1.104 C2.295,8.868,2.128,9.087,2.06,9.343C1.991,9.599,2.027,9.872,2.16,10.102l1.104,1.908L2.16,13.918 C2.027,14.148,1.991,14.421,2.06,14.677z M5.284,11.509L4.392,9.966l1.544-0.893c0.309-0.179,0.499-0.509,0.499-0.866V6.432h1.776 c0.357,0,0.688-0.19,0.866-0.5l0.892-1.543l1.544,0.892c0.309,0.179,0.691,0.179,1,0l1.545-0.892l0.891,1.543 c0.179,0.31,0.509,0.5,0.866,0.5h1.776v1.776c0,0.357,0.19,0.687,0.499,0.866l1.544,0.893l-0.893,1.543 c-0.179,0.31-0.179,0.691,0,1.001l0.893,1.543l-1.544,0.893c-0.309,0.179-0.499,0.509-0.499,0.866v1.776h-1.776 c-0.357,0-0.688,0.19-0.866,0.5l-0.891,1.543l-1.545-0.893c-0.154-0.089-0.327-0.134-0.5-0.134s-0.346,0.045-0.501,0.134 l-1.543,0.893l-0.892-1.543c-0.179-0.309-0.509-0.5-0.866-0.5H6.435v-1.776c0-0.357-0.19-0.687-0.499-0.866l-1.544-0.893 l0.893-1.543C5.464,12.201,5.464,11.819,5.284,11.509z"}}]})(props);
};
function BiChair (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,13V4c0-1.103-0.897-2-2-2H7C5.897,2,5,2.897,5,4v9c-0.553,0-1,0.447-1,1v8h2v-5h12v5h2v-8C20,13.447,19.553,13,19,13z M17,4v9h-2V4H17z M13,4v9h-2V4H13z M7,4h2v9H7V4z"}}]})(props);
};
function BiChalkboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H4C2.897,3,2,3.897,2,5v11c0,1.103,0.897,2,2,2h4l-1.8,2.4l1.6,1.2l2.7-3.6h3l2.7,3.6l1.6-1.2L16,18h4 c1.103,0,2-0.897,2-2V5C22,3.897,21.103,3,20,3z M4,16V5h16l0.001,11H4z"}},{"tag":"path","attr":{"d":"M6 12H10V14H6z"}}]})(props);
};
function BiChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5,21h14c1.103,0,2-0.897,2-2V5c0-1.103-0.897-2-2-2H5C3.897,3,3,3.897,3,5v14C3,20.103,3.897,21,5,21z M5,5h14l0.001,14H5 V5z"}},{"tag":"path","attr":{"d":"M13.553 11.658L9.553 9.658 7.105 14.553 8.895 15.447 10.447 12.342 14.447 14.342 16.895 9.447 15.105 8.553z"}}]})(props);
};
function BiChat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5,18v3.766l1.515-0.909l0,0L11.277,18H16c1.103,0,2-0.897,2-2V8c0-1.103-0.897-2-2-2H4C2.897,6,2,6.897,2,8v8 c0,1.103,0.897,2,2,2H5z M4,8h12v8h-5.277L7,18.234V16H4V8z"}},{"tag":"path","attr":{"d":"M20,2h-1h-2.002H8C6.897,2,6,2.897,6,4h10.586H18c1.103,0,2,0.897,2,2v1.414V12v2c1.103,0,2-0.897,2-2V7V5V4 C22,2.897,21.103,2,20,2z"}}]})(props);
};
function BiCheckCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M9.999 13.587L7.7 11.292 6.288 12.708 10.001 16.413 16.707 9.707 15.293 8.293z"}}]})(props);
};
function BiCheckDouble (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2.394 13.742L7.137 17.362 14.753 8.658 13.247 7.342 6.863 14.638 3.606 12.152zM21.753 8.658L20.247 7.342 13.878 14.621 13.125 14.019 11.875 15.581 14.122 17.379z"}}]})(props);
};
function BiCheckShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.995,6.9c-0.034-0.342-0.241-0.642-0.548-0.795l-8-4c-0.281-0.141-0.613-0.141-0.895,0l-8,4 C3.246,6.259,3.039,6.559,3.005,6.9c-0.011,0.107-0.961,10.767,8.589,15.014C11.723,21.972,11.861,22,12,22 s0.277-0.028,0.406-0.086C21.956,17.667,21.006,7.008,20.995,6.9z M12,19.897C5.231,16.625,4.911,9.642,4.966,7.635L12,4.118 l7.029,3.515C19.066,9.622,18.701,16.651,12,19.897z"}},{"tag":"path","attr":{"d":"M11 12.586L8.707 10.293 7.293 11.707 11 15.414 16.707 9.707 15.293 8.293z"}}]})(props);
};
function BiCheckSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10.933 13.519L8.707 11.293 7.293 12.707 11.067 16.481 16.769 9.641 15.231 8.359z"}},{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M5,19V5h14 l0.002,14H5z"}}]})(props);
};
function BiCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 15.586L6.707 12.293 5.293 13.707 10 18.414 19.707 8.707 18.293 7.293z"}}]})(props);
};
function BiCheckboxChecked (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7,5C5.897,5,5,5.897,5,7v10c0,1.103,0.897,2,2,2h10c1.103,0,2-0.897,2-2V7c0-1.103-0.897-2-2-2H7z M7,17V7h10l0.002,10H7z"}},{"tag":"path","attr":{"d":"M10.996 12.556L9.7 11.285 8.3 12.715 11.004 15.362 15.703 10.711 14.297 9.289z"}}]})(props);
};
function BiCheckboxSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 9H15V15H9z"}},{"tag":"path","attr":{"d":"M19,17V7c0-1.103-0.897-2-2-2H7C5.897,5,5,5.897,5,7v10c0,1.103,0.897,2,2,2h10C18.103,19,19,18.103,19,17z M7,7h10 l0.002,10H7V7z"}}]})(props);
};
function BiCheckbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7,5C5.897,5,5,5.897,5,7v10c0,1.103,0.897,2,2,2h10c1.103,0,2-0.897,2-2V7c0-1.103-0.897-2-2-2H7z M7,17V7h10l0.002,10H7z"}}]})(props);
};
function BiChevronDownCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10c5.514,0,10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8 s3.589-8,8-8s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M12 13.586L7.707 9.293 6.293 10.707 12 16.414 17.707 10.707 16.293 9.293z"}}]})(props);
};
function BiChevronDownSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5,21h14c1.103,0,2-0.897,2-2V5c0-1.103-0.897-2-2-2H5C3.897,3,3,3.897,3,5v14C3,20.103,3.897,21,5,21z M5,5h14l0.001,14H5 V5z"}},{"tag":"path","attr":{"d":"M12 13.586L7.707 9.293 6.293 10.707 12 16.414 17.707 10.707 16.293 9.293z"}}]})(props);
};
function BiChevronDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.293 9.293L12 13.586 7.707 9.293 6.293 10.707 12 16.414 17.707 10.707z"}}]})(props);
};
function BiChevronLeftCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M13.293 6.293L7.586 12 13.293 17.707 14.707 16.293 10.414 12 14.707 7.707z"}}]})(props);
};
function BiChevronLeftSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5,21h14c1.103,0,2-0.897,2-2V5c0-1.103-0.897-2-2-2H5C3.897,3,3,3.897,3,5v14C3,20.103,3.897,21,5,21z M5,5h14l0.001,14H5 V5z"}},{"tag":"path","attr":{"d":"M13.293 6.293L7.586 12 13.293 17.707 14.707 16.293 10.414 12 14.707 7.707z"}}]})(props);
};
function BiChevronLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13.293 6.293L7.586 12 13.293 17.707 14.707 16.293 10.414 12 14.707 7.707z"}}]})(props);
};
function BiChevronRightCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M9.293 7.707L13.586 12 9.293 16.293 10.707 17.707 16.414 12 10.707 6.293z"}}]})(props);
};
function BiChevronRightSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5,21h14c1.103,0,2-0.897,2-2V5c0-1.103-0.897-2-2-2H5C3.897,3,3,3.897,3,5v14C3,20.103,3.897,21,5,21z M5,5h14l0.001,14H5 V5z"}},{"tag":"path","attr":{"d":"M9.293 7.707L13.586 12 9.293 16.293 10.707 17.707 16.414 12 10.707 6.293z"}}]})(props);
};
function BiChevronRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10.707 17.707L16.414 12 10.707 6.293 9.293 7.707 13.586 12 9.293 16.293z"}}]})(props);
};
function BiChevronUpCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M6.293 13.293L7.707 14.707 12 10.414 16.293 14.707 17.707 13.293 12 7.586z"}}]})(props);
};
function BiChevronUpSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5,21h14c1.103,0,2-0.897,2-2V5c0-1.103-0.897-2-2-2H5C3.897,3,3,3.897,3,5v14C3,20.103,3.897,21,5,21z M5,5h14l0.001,14H5 V5z"}},{"tag":"path","attr":{"d":"M6.293 13.293L7.707 14.707 12 10.414 16.293 14.707 17.707 13.293 12 7.586z"}}]})(props);
};
function BiChevronUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6.293 13.293L7.707 14.707 12 10.414 16.293 14.707 17.707 13.293 12 7.586z"}}]})(props);
};
function BiChevronsDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 15.586L7.707 11.293 6.293 12.707 12 18.414 17.707 12.707 16.293 11.293z"}},{"tag":"path","attr":{"d":"M17.707 7.707L16.293 6.293 12 10.586 7.707 6.293 6.293 7.707 12 13.414z"}}]})(props);
};
function BiChevronsLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.707 7.707L11.293 6.293 5.586 12 11.293 17.707 12.707 16.293 8.414 12z"}},{"tag":"path","attr":{"d":"M16.293 6.293L10.586 12 16.293 17.707 17.707 16.293 13.414 12 17.707 7.707z"}}]})(props);
};
function BiChevronsRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10.296 7.71L14.621 12 10.296 16.29 11.704 17.71 17.461 12 11.704 6.29z"}},{"tag":"path","attr":{"d":"M6.704 6.29L5.296 7.71 9.621 12 5.296 16.29 6.704 17.71 12.461 12z"}}]})(props);
};
function BiChevronsUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6.293 11.293L7.707 12.707 12 8.414 16.293 12.707 17.707 11.293 12 5.586z"}},{"tag":"path","attr":{"d":"M6.293 16.293L7.707 17.707 12 13.414 16.293 17.707 17.707 16.293 12 10.586z"}}]})(props);
};
function BiChip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 9H15V15H9z"}},{"tag":"path","attr":{"d":"M20,6c0-1.103-0.897-2-2-2h-2V2h-2v2h-4V2H8v2H6C4.897,4,4,4.897,4,6v2H2v2h2v4H2v2h2v2c0,1.103,0.897,2,2,2h2v2h2v-2h4v2 h2v-2h2c1.103,0,2-0.897,2-2v-2h2v-2h-2v-4h2V8h-2V6z M6,18V6h12l0.002,12H6z"}}]})(props);
};
function BiChurch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.447,14.105L18,12.382V12c0-0.351-0.185-0.677-0.485-0.857L13,8.434V6h2V4h-2V2h-2v2H9v2h2v2.434l-4.515,2.709 C6.185,11.323,6,11.649,6,12v0.382l-3.447,1.724C2.214,14.275,2,14.621,2,15v6c0,0.552,0.447,1,1,1h4h10h4c0.553,0,1-0.448,1-1v-6 C22,14.621,21.786,14.275,21.447,14.105z M4,15.618l2-1V20H4V15.618z M12,15c-1.104,0-2,0.896-2,2v3H8v-7.434l4-2.4l4,2.4V20h-2v-3 C14,15.896,13.104,15,12,15z M20,20h-2v-5.382l2,1V20z"}}]})(props);
};
function BiCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12c0.001,5.515,4.487,10.001,10,10.001c5.514,0,10-4.486,10.001-10.001 C22.001,6.486,17.515,2,12,2z M12,20.001c-4.41,0-7.999-3.589-8-8.001c0-4.411,3.589-8,8-8c4.412,0,8.001,3.589,8.001,8 C20,16.412,16.411,20.001,12,20.001z"}}]})(props);
};
function BiClinic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.707,2.293c-0.391-0.391-1.023-0.391-1.414,0l-9,9c-0.286,0.286-0.372,0.716-0.217,1.09C2.23,12.757,2.596,13,3,13h1v2 v5c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2v-5v-2h1c0.404,0,0.77-0.243,0.924-0.617c0.155-0.374,0.069-0.804-0.217-1.09 L12.707,2.293z M18.001,20H6v-5v-3v-1.586l6-6l6,6V15l0,0L18.001,20z"}},{"tag":"path","attr":{"d":"M13 10L11 10 11 13 8 13 8 15 11 15 11 18 13 18 13 15 16 15 16 13 13 13z"}}]})(props);
};
function BiClipboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,3h-2.25c0-0.553-0.447-1-1-1h-7.5c-0.553,0-1,0.447-1,1H5C3.897,3,3,3.897,3,5v15c0,1.103,0.897,2,2,2h14 c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M19,20H5V5h2v2h10V5h2V20z"}}]})(props);
};
function BiCloset (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13,10.551V9.873C14.724,9.429,16,7.86,16,6c0-2.206-1.794-4-4-4C9.794,2,8,3.794,8,6h2c0-1.103,0.897-2,2-2 c1.103,0,2,0.897,2,2s-0.897,2-2,2c-0.552,0-1,0.447-1,1v1.551l-8.665,7.702c-0.31,0.275-0.417,0.715-0.27,1.103S2.585,20,3,20h18 c0.415,0,0.787-0.257,0.935-0.645s0.04-0.827-0.271-1.103L13,10.551z M5.63,18L12,12.338L18.37,18H5.63z"}}]})(props);
};
function BiCloudDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.948,11.112C18.511,7.67,15.563,5,12.004,5c-2.756,0-5.15,1.611-6.243,4.15C3.613,9.792,2.004,11.82,2.004,14 c0,2.757,2.243,5,5,5h1v-2h-1c-1.654,0-3-1.346-3-3c0-1.404,1.199-2.757,2.673-3.016l0.581-0.102l0.192-0.558 C8.153,8.273,9.898,7,12.004,7c2.757,0,5,2.243,5,5v1h1c1.103,0,2,0.897,2,2c0,1.103-0.897,2-2,2h-2v2h2c2.206,0,4-1.794,4-4 C22.004,13.119,20.699,11.538,18.948,11.112z"}},{"tag":"path","attr":{"d":"M13.004 14L13.004 10 11.004 10 11.004 14 8.004 14 12.004 19 16.004 14z"}}]})(props);
};
function BiCloudDrizzle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 13H10V16H8zM8 17H10V20H8zM11 15H13V18H11zM11 19H13V22H11zM14 13H16V16H14zM14 17H16V20H14z"}},{"tag":"path","attr":{"d":"M18.944,10.112C18.507,6.67,15.56,4,12,4C9.245,4,6.85,5.611,5.757,8.15C3.609,8.792,2,10.819,2,13c0,2.757,2.243,5,5,5v-2 c-1.654,0-3-1.346-3-3c0-1.403,1.199-2.756,2.673-3.015l0.582-0.103l0.191-0.559C8.149,7.273,9.895,6,12,6c2.757,0,5,2.243,5,5v1h1 c1.103,0,2,0.897,2,2s-0.897,2-2,2h-1v2h1c2.206,0,4-1.794,4-4C22,12.119,20.695,10.538,18.944,10.112z"}}]})(props);
};
function BiCloudLightRain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 13H10V17H8zM8 18H10V20H8zM11 15H13V19H11zM11 20H13V22H11zM14 13H16V17H14zM14 18H16V20H14z"}},{"tag":"path","attr":{"d":"M18.944,10.112C18.507,6.67,15.56,4,12,4C9.244,4,6.85,5.611,5.757,8.15C3.609,8.792,2,10.819,2,13c0,2.757,2.243,5,5,5v-2 c-1.654,0-3-1.346-3-3c0-1.403,1.199-2.756,2.673-3.015l0.581-0.103l0.192-0.559C8.149,7.273,9.895,6,12,6c2.757,0,5,2.243,5,5v1h1 c1.103,0,2,0.897,2,2s-0.897,2-2,2h-1v2h1c2.206,0,4-1.794,4-4C22,12.119,20.695,10.538,18.944,10.112z"}}]})(props);
};
function BiCloudLightning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 13L9 18 11 18 11 22 14.975 16 13 16 14 13z"}},{"tag":"path","attr":{"d":"M18.944,10.112C18.507,6.67,15.56,4,12,4C9.244,4,6.85,5.611,5.757,8.15C3.609,8.792,2,10.819,2,13c0,2.757,2.243,5,5,5v-2 c-1.654,0-3-1.346-3-3c0-1.403,1.199-2.756,2.673-3.015l0.581-0.103l0.192-0.559C8.149,7.273,9.895,6,12,6c2.757,0,5,2.243,5,5v1h1 c1.103,0,2,0.897,2,2s-0.897,2-2,2h-1v2h1c2.206,0,4-1.794,4-4C22,12.119,20.695,10.538,18.944,10.112z"}}]})(props);
};
function BiCloudRain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 13H10V20H8zM11 15H13V22H11zM14 13H16V20H14z"}},{"tag":"path","attr":{"d":"M18.944,10.113C18.507,6.671,15.56,4.001,12,4.001c-2.756,0-5.15,1.611-6.243,4.15C3.609,8.793,2,10.82,2,13.001 c0,2.757,2.243,5,5,5v-2c-1.654,0-3-1.346-3-3c0-1.403,1.199-2.756,2.673-3.015l0.581-0.103l0.192-0.559 C8.149,7.274,9.895,6.001,12,6.001c2.757,0,5,2.243,5,5v1h1c1.103,0,2,0.897,2,2s-0.897,2-2,2h-1v2h1c2.206,0,4-1.794,4-4 C22,12.12,20.695,10.539,18.944,10.113z"}}]})(props);
};
function BiCloudSnow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.944,10.112C18.507,6.67,15.56,4,12,4C9.244,4,6.85,5.611,5.757,8.15C3.609,8.792,2,10.819,2,13c0,2.757,2.243,5,5,5v-2 c-1.654,0-3-1.346-3-3c0-1.403,1.199-2.756,2.673-3.015l0.581-0.103l0.192-0.559C8.149,7.273,9.895,6,12,6c2.757,0,5,2.243,5,5v1h1 c1.103,0,2,0.897,2,2s-0.897,2-2,2h-1v2h1c2.206,0,4-1.794,4-4C22,12.119,20.695,10.538,18.944,10.112z"}},{"tag":"circle","attr":{"cx":"15","cy":"16","r":"1"}},{"tag":"circle","attr":{"cx":"15","cy":"19","r":"1"}},{"tag":"circle","attr":{"cx":"12","cy":"18","r":"1"}},{"tag":"circle","attr":{"cx":"12","cy":"21","r":"1"}},{"tag":"circle","attr":{"cx":"9","cy":"19","r":"1"}},{"tag":"circle","attr":{"cx":"9","cy":"16","r":"1"}}]})(props);
};
function BiCloudUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 19L13 15 16 15 12 10 8 15 11 15 11 19z"}},{"tag":"path","attr":{"d":"M7,19h2v-2H7c-1.654,0-3-1.346-3-3c0-1.404,1.199-2.756,2.673-3.015l0.581-0.102l0.192-0.558C8.149,8.274,9.895,7,12,7 c2.757,0,5,2.243,5,5v1h1c1.103,0,2,0.897,2,2s-0.897,2-2,2h-3v2h3c2.206,0,4-1.794,4-4c0-1.88-1.305-3.462-3.056-3.888 C18.507,7.67,15.56,5,12,5C9.244,5,6.85,6.611,5.757,9.15C3.609,9.792,2,11.82,2,14C2,16.757,4.243,19,7,19z"}}]})(props);
};
function BiCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.944,11.112C18.507,7.67,15.56,5,12,5C9.244,5,6.85,6.611,5.757,9.15C3.609,9.792,2,11.82,2,14c0,2.757,2.243,5,5,5h11 c2.206,0,4-1.794,4-4C22,13.12,20.695,11.538,18.944,11.112z M18,17H7c-1.654,0-3-1.346-3-3c0-1.404,1.199-2.756,2.673-3.015 l0.581-0.102l0.192-0.558C8.149,8.274,9.895,7,12,7c2.757,0,5,2.243,5,5v1h1c1.103,0,2,0.897,2,2S19.103,17,18,17z"}}]})(props);
};
function BiCodeAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.375 16.781l1.25-1.562L4.601 12l4.024-3.219-1.25-1.562-5 4C2.138 11.409 2 11.696 2 12s.138.591.375.781L7.375 16.781zM16.625 7.219l-1.25 1.562L19.399 12l-4.024 3.219 1.25 1.562 5-4C21.862 12.591 22 12.304 22 12s-.138-.591-.375-.781L16.625 7.219z"}},{"tag":"path","attr":{"transform":"rotate(102.527 12 12)","d":"M2.78 11H21.219V13.001H2.78z"}}]})(props);
};
function BiCodeBlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H4C2.897,3,2,3.897,2,5v14c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V5C22,3.897,21.103,3,20,3z M4,19V7h16 l0.002,12H4z"}},{"tag":"path","attr":{"d":"M9.293 9.293L5.586 13 9.293 16.707 10.707 15.293 8.414 13 10.707 10.707zM14.707 9.293L13.293 10.707 15.586 13 13.293 15.293 14.707 16.707 18.414 13z"}}]})(props);
};
function BiCodeCurly (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 22h1v-2H9.011C8.703 19.994 6 19.827 6 16c0-1.993-.665-3.246-1.502-4C5.335 11.246 6 9.993 6 8c0-3.827 2.703-3.994 3-4h1V2H8.998C7.269 2.004 4 3.264 4 8c0 2.8-1.678 2.99-2.014 3L2 13c.082 0 2 .034 2 3C4 20.736 7.269 21.996 9 22zM22 11c-.082 0-2-.034-2-3 0-4.736-3.269-5.996-5-6h-1v2h.989C15.297 4.006 18 4.173 18 8c0 1.993.665 3.246 1.502 4C18.665 12.754 18 14.007 18 16c0 3.827-2.703 3.994-3 4h-1v2h1.002C16.731 21.996 20 20.736 20 16c0-2.8 1.678-2.99 2.014-3L22 11z"}}]})(props);
};
function BiCode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8.293 6.293L2.586 12 8.293 17.707 9.707 16.293 5.414 12 9.707 7.707zM15.707 17.707L21.414 12 15.707 6.293 14.293 7.707 18.586 12 14.293 16.293z"}}]})(props);
};
function BiCoffeeTogo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7,22h10c0.498,0,0.92-0.366,0.99-0.858L19.867,8H21V6h-1.382l-1.724-3.447C17.725,2.214,17.379,2,17,2H7 C6.621,2,6.275,2.214,6.105,2.553L4.382,6H3v2h1.133L6.01,21.142C6.08,21.634,6.502,22,7,22z M17.418,11H6.582L6.153,8h11.693 L17.418,11z M7.867,20l-0.429-3h9.123l-0.429,3H7.867z M7.618,4h8.764l1,2H6.618L7.618,4z"}}]})(props);
};
function BiCoffee (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 2H7V5H5zM9 2H11V5H9zM13 2H15V5H13zM19 9h-2V8 7h-1H4 3v1 5 5c0 1.654 1.346 3 3 3h8c1.654 0 3-1.346 3-3h2c1.103 0 2-.897 2-2v-5C21 9.897 20.103 9 19 9zM15 18c0 .552-.448 1-1 1H6c-.552 0-1-.448-1-1v-5V9h10v1 2 5V18zM17 16v-4-1h2l.002 5H17z"}}]})(props);
};
function BiCog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,16c2.206,0,4-1.794,4-4s-1.794-4-4-4s-4,1.794-4,4S9.794,16,12,16z M12,10c1.084,0,2,0.916,2,2s-0.916,2-2,2 s-2-0.916-2-2S10.916,10,12,10z"}},{"tag":"path","attr":{"d":"M2.845,16.136l1,1.73c0.531,0.917,1.809,1.261,2.73,0.73l0.529-0.306C7.686,18.747,8.325,19.122,9,19.402V20 c0,1.103,0.897,2,2,2h2c1.103,0,2-0.897,2-2v-0.598c0.675-0.28,1.314-0.655,1.896-1.111l0.529,0.306 c0.923,0.53,2.198,0.188,2.731-0.731l0.999-1.729c0.552-0.955,0.224-2.181-0.731-2.732l-0.505-0.292C19.973,12.742,20,12.371,20,12 s-0.027-0.743-0.081-1.111l0.505-0.292c0.955-0.552,1.283-1.777,0.731-2.732l-0.999-1.729c-0.531-0.92-1.808-1.265-2.731-0.732 l-0.529,0.306C16.314,5.253,15.675,4.878,15,4.598V4c0-1.103-0.897-2-2-2h-2C9.897,2,9,2.897,9,4v0.598 c-0.675,0.28-1.314,0.655-1.896,1.111L6.575,5.403c-0.924-0.531-2.2-0.187-2.731,0.732L2.845,7.864 c-0.552,0.955-0.224,2.181,0.731,2.732l0.505,0.292C4.027,11.257,4,11.629,4,12s0.027,0.742,0.081,1.111l-0.505,0.292 C2.621,13.955,2.293,15.181,2.845,16.136z M6.171,13.378C6.058,12.925,6,12.461,6,12c0-0.462,0.058-0.926,0.17-1.378 c0.108-0.433-0.083-0.885-0.47-1.108L4.577,8.864l0.998-1.729L6.72,7.797c0.384,0.221,0.867,0.165,1.188-0.142 c0.683-0.647,1.507-1.131,2.384-1.399C10.713,6.128,11,5.739,11,5.3V4h2v1.3c0,0.439,0.287,0.828,0.708,0.956 c0.877,0.269,1.701,0.752,2.384,1.399c0.321,0.307,0.806,0.362,1.188,0.142l1.144-0.661l1,1.729L18.3,9.514 c-0.387,0.224-0.578,0.676-0.47,1.108C17.942,11.074,18,11.538,18,12c0,0.461-0.058,0.925-0.171,1.378 c-0.107,0.433,0.084,0.885,0.471,1.108l1.123,0.649l-0.998,1.729l-1.145-0.661c-0.383-0.221-0.867-0.166-1.188,0.142 c-0.683,0.647-1.507,1.131-2.384,1.399C13.287,17.872,13,18.261,13,18.7l0.002,1.3H11v-1.3c0-0.439-0.287-0.828-0.708-0.956 c-0.877-0.269-1.701-0.752-2.384-1.399c-0.19-0.182-0.438-0.275-0.688-0.275c-0.172,0-0.344,0.044-0.5,0.134l-1.144,0.662l-1-1.729 L5.7,14.486C6.087,14.263,6.278,13.811,6.171,13.378z"}}]})(props);
};
function BiCoinStack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,22c3.976,0,8-1.374,8-4v-4v-4V6c0-2.626-4.024-4-8-4S4,3.374,4,6v4v4v4C4,20.626,8.024,22,12,22z M12,20 c-3.722,0-6-1.295-6-2v-1.268C7.541,17.57,9.777,18,12,18s4.459-0.43,6-1.268V18C18,18.705,15.722,20,12,20z M12,4 c3.722,0,6,1.295,6,2s-2.278,2-6,2S6,6.705,6,6S8.278,4,12,4z M6,8.732C7.541,9.57,9.777,10,12,10s4.459-0.43,6-1.268V10 c0,0.705-2.278,2-6,2s-6-1.295-6-2V8.732z M6,12.732C7.541,13.57,9.777,14,12,14s4.459-0.43,6-1.268V14c0,0.705-2.278,2-6,2 s-6-1.295-6-2V12.732z"}}]})(props);
};
function BiCoin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,6C7.03,6,2,7.546,2,10.5v4C2,17.454,7.03,19,12,19s10-1.546,10-4.5v-4C22,7.546,16.97,6,12,6z M4,14.5v-1.197 c0.576,0.335,1.251,0.623,2,0.86v1.881C4.688,15.53,4,14.918,4,14.5z M16,14.648v1.971c-0.867,0.179-1.867,0.31-3,0.358v-2 C14.028,14.935,15.041,14.823,16,14.648z M11,16.978c-1.133-0.048-2.133-0.179-3-0.358v-1.971c0.959,0.174,1.972,0.287,3,0.33 V16.978z M18,16.044v-1.881c0.749-0.237,1.424-0.524,2-0.86V14.5C20,14.918,19.313,15.53,18,16.044z M12,13c-5.177,0-8-1.651-8-2.5 S6.823,8,12,8s8,1.651,8,2.5S17.177,13,12,13z"}}]})(props);
};
function BiCollapse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.121 6.465L14 4.344 14 10 19.656 10 17.535 7.879 20.707 4.707 19.293 3.293zM4.707 3.293L3.293 4.707 6.465 7.879 4.344 10 10 10 10 4.344 7.879 6.465zM19.656 14L14 14 14 19.656 16.121 17.535 19.293 20.707 20.707 19.293 17.535 16.121zM6.465 16.121L3.293 19.293 4.707 20.707 7.879 17.535 10 19.656 10 14 4.344 14z"}}]})(props);
};
function BiCollection (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 10H5c-1.103 0-2 .897-2 2v8c0 1.103.897 2 2 2h14c1.103 0 2-.897 2-2v-8C21 10.897 20.103 10 19 10zM5 20v-8h14l.002 8H5zM5 6H19V8H5zM7 2H17V4H7z"}}]})(props);
};
function BiColorFill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 13.998c-.092.065-2 2.083-2 3.5 0 1.494.949 2.448 2 2.5.906.044 2-.891 2-2.5C22 15.998 20.092 14.063 20 13.998zM3.414 12.998c0 .534.208 1.036.586 1.414l5.586 5.586c.378.378.88.586 1.414.586s1.036-.208 1.414-.586l7-7-.707-.707L11 4.584 8.707 2.291 7.293 3.705l2.293 2.293L4 11.584C3.622 11.962 3.414 12.464 3.414 12.998zM11 7.412l5.586 5.586L11 18.584h.001l-.001 1v-1l-5.586-5.586L11 7.412z"}}]})(props);
};
function BiColumns (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.893,3.001H4c-1.103,0-2,0.897-2,2v14c0,1.103,0.897,2,2,2h15.893c1.103,0,2-0.897,2-2V8V7V6V5.001V5 C21.892,3.897,20.994,3.001,19.893,3.001z M8,19.001H4V8h4V19.001z M14,19.001h-4V8h4V19.001z M16,19.001V8h3.893l0.001,11.001H16z"}}]})(props);
};
function BiCommand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6,14c-2.206,0-4,1.794-4,4s1.794,4,4,4c2.199,0,3.987-1.784,3.998-3.98H10V16h4v2.039h0.004 C14.025,20.226,15.808,22,18,22c2.206,0,4-1.794,4-4s-1.794-4-4-4h-2v-4h2c2.206,0,4-1.794,4-4s-1.794-4-4-4s-4,1.794-4,4v2h-4 V5.98H9.998C9.987,3.784,8.199,2,6,2C3.794,2,2,3.794,2,6s1.794,4,4,4h2v4H6z M8,18c0,1.122-0.879,2-2,2s-2-0.878-2-2s0.879-2,2-2 h2V18z M18,16c1.121,0,2,0.878,2,2s-0.879,2-2,2s-2-0.878-2-2v-2H18z M16,6c0-1.122,0.879-2,2-2s2,0.878,2,2s-0.879,2-2,2h-2V6z M6,8C4.879,8,4,7.122,4,6s0.879-2,2-2s2,0.878,2,2v2H6z M10,10h4v4h-4V10z"}}]})(props);
};
function BiCommentAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 14L13 14 13 11 16 11 16 9 13 9 13 6 11 6 11 9 8 9 8 11 11 11z"}},{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v18l5.333-4H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16H6.667L4,18V4h16V16z"}}]})(props);
};
function BiCommentCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.207 8.207L15.793 6.793 11 11.586 8.707 9.293 7.293 10.707 11 14.414z"}},{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v18l5.333-4H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16H6.667L4,18V4h16V16z"}}]})(props);
};
function BiCommentDetail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 7H17V9H7zM7 11H14V13H7z"}},{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v18l5.333-4H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16H6.667L4,18V4h16V16z"}}]})(props);
};
function BiCommentDots (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v18l5.333-4H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16H6.667L4,18V4h16V16z"}},{"tag":"circle","attr":{"cx":"15","cy":"10","r":"2"}},{"tag":"circle","attr":{"cx":"9","cy":"10","r":"2"}}]})(props);
};
function BiCommentEdit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13.771 9.123L12.372 7.725 8.503 11.589 8.503 12.987 9.901 12.987z"}},{"tag":"path","attr":{"transform":"rotate(45.001 14.264 7.232)","d":"M13.275 6.478H15.253V7.987H13.275z"}},{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v18l5.333-4H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16H6.667L4,18V4h16V16z"}}]})(props);
};
function BiCommentError (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 6H13V11H11zM11 12H13V14H11z"}},{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v18l5.333-4H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16H6.667L4,18V4h16V16z"}}]})(props);
};
function BiCommentMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 9H16V11H8z"}},{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v18l5.333-4H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16H6.667L4,18V4h16V16z"}}]})(props);
};
function BiCommentX (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9.707 13.707L12 11.414 14.293 13.707 15.707 12.293 13.414 10 15.707 7.707 14.293 6.293 12 8.586 9.707 6.293 8.293 7.707 10.586 10 8.293 12.293z"}},{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v18l5.333-4H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16H6.667L4,18V4h16V16z"}}]})(props);
};
function BiComment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v18l5.333-4H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16H6.667L4,18V4h16V16z"}}]})(props);
};
function BiCompass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M8 16L13.991 14 16 8 10 10z"}}]})(props);
};
function BiConfused (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12c0,5.514,4.486,10,10,10s10-4.486,10-10C22,6.486,17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8 s3.589-8,8-8s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"circle","attr":{"cx":"8.5","cy":"10.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"15.493","cy":"10.493","r":"1.493"}},{"tag":"path","attr":{"transform":"rotate(-97.123 12 15.5)","d":"M11 11.469H13V19.531H11z"}}]})(props);
};
function BiConversation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,14h0.5c0.827,0,1.5-0.673,1.5-1.5v-9C18,2.673,17.327,2,16.5,2h-13C2.673,2,2,2.673,2,3.5V13v1v4l5.333-4H13H16z M6.667,12L4,14v-1V4h12v8h-3H6.667z"}},{"tag":"path","attr":{"d":"M20.5,8H20v2v2.586v1.415c0,1.1-0.893,1.993-1.99,1.999h-0.677H16h-5h-1H8v0.5C8,17.327,8.673,18,9.5,18H10h1h5h0.667 L22,22v-4v-1v-1.999v-2.002V9.5C22,8.673,21.327,8,20.5,8z"}}]})(props);
};
function BiCookie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.598,11.064c-0.243-0.184-0.557-0.247-0.854-0.172C20.458,10.966,20.222,11,20,11c-1.654,0-3-1.346-3.003-2.937 c0.005-0.034,0.016-0.136,0.017-0.17c0.013-0.317-0.126-0.621-0.373-0.819c-0.248-0.199-0.575-0.271-0.881-0.187 C15.467,6.964,15.226,7,15,7c-1.654,0-3-1.346-3-3c0-0.217,0.031-0.444,0.099-0.716c0.078-0.315-0.002-0.648-0.214-0.894 c-0.211-0.245-0.518-0.369-0.853-0.342C5.883,2.544,2,6.822,2,12c0,5.514,4.486,10,10,10s10-4.486,10-10 c0-0.049-0.003-0.097-0.007-0.16C21.986,11.535,21.841,11.249,21.598,11.064z M12,20c-4.411,0-8-3.589-8-8 c0-3.723,2.509-6.864,6.006-7.75C10.137,6.892,12.327,9,15,9c0.033,0,0.066,0,0.101-0.001c0.46,2.26,2.449,3.971,4.837,4 C19.444,16.941,16.073,20,12,20z"}},{"tag":"circle","attr":{"cx":"12.5","cy":"11.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"8.5","cy":"8.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"7.5","cy":"12.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"15.5","cy":"15.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"10.5","cy":"16.5","r":"1.5"}}]})(props);
};
function BiCool (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14.683,14.828c-0.185,0.184-0.384,0.349-0.592,0.489c-0.217,0.146-0.445,0.27-0.68,0.369 c-0.244,0.103-0.496,0.181-0.749,0.233c-0.531,0.108-1.087,0.108-1.616,0c-0.254-0.052-0.506-0.13-0.75-0.233 c-0.234-0.099-0.463-0.223-0.679-0.369c-0.209-0.141-0.408-0.305-0.593-0.489c-0.181-0.181-0.346-0.38-0.488-0.592l-1.658,1.119 c0.215,0.318,0.462,0.617,0.734,0.889c0.273,0.273,0.572,0.52,0.887,0.731c0.323,0.218,0.666,0.404,1.02,0.553 c0.365,0.154,0.744,0.272,1.128,0.35C11.043,17.959,11.449,18,11.854,18s0.811-0.041,1.208-0.122 c0.383-0.078,0.762-0.196,1.127-0.35c0.354-0.149,0.696-0.335,1.021-0.553c0.313-0.212,0.612-0.458,0.886-0.731 c0.272-0.271,0.52-0.571,0.734-0.889l-1.658-1.119C15.028,14.448,14.863,14.647,14.683,14.828z"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,4c2.953,0,5.531,1.613,6.918,4H17h-2H9H7 H5.082C6.469,5.613,9.047,4,12,4z M12,20c-4.411,0-8-3.589-8-8c0-0.691,0.098-1.359,0.264-2H5v1c0,1.104,0.896,2,2,2h2 c1.104,0,2-0.896,2-2h2c0,1.104,0.896,2,2,2h2c1.104,0,2-0.896,2-2v-1h0.736C19.902,10.641,20,11.309,20,12 C20,16.411,16.411,20,12,20z"}}]})(props);
};
function BiCopyAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H10C8.897,2,8,2.897,8,4v4H4c-1.103,0-2,0.897-2,2v10c0,1.103,0.897,2,2,2h10c1.103,0,2-0.897,2-2v-4h4 c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M4,20V10h10l0.002,10H4z M20,14h-4v-4c0-1.103-0.897-2-2-2h-4V4h10V14z"}},{"tag":"path","attr":{"d":"M6 12H12V14H6zM6 16H12V18H6z"}}]})(props);
};
function BiCopy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H10C8.897,2,8,2.897,8,4v4H4c-1.103,0-2,0.897-2,2v10c0,1.103,0.897,2,2,2h10c1.103,0,2-0.897,2-2v-4h4 c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M4,20V10h10l0.002,10H4z M20,14h-4v-4c0-1.103-0.897-2-2-2h-4V4h10V14z"}}]})(props);
};
function BiCopyright (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,22c5.421,0,10-4.579,10-10S17.421,2,12,2S2,6.579,2,12S6.579,22,12,22z M12,4c4.337,0,8,3.663,8,8s-3.663,8-8,8 s-8-3.663-8-8S7.663,4,12,4z"}},{"tag":"path","attr":{"d":"M12,17c0.901,0,2.581-0.168,3.707-1.292l-1.414-1.416C13.85,14.735,12.992,15,12,15c-1.626,0-3-1.374-3-3s1.374-3,3-3 c0.993,0,1.851,0.265,2.293,0.707l1.414-1.414C14.582,7.168,12.901,7,12,7c-2.757,0-5,2.243-5,5S9.243,17,12,17z"}}]})(props);
};
function BiCreditCardAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"15.5","cy":"13.5","r":"2.5"}},{"tag":"path","attr":{"d":"M12,13.5c0-0.815,0.396-1.532,1-1.988C12.581,11.194,12.065,11,11.5,11C10.119,11,9,12.119,9,13.5s1.119,2.5,2.5,2.5 c0.565,0,1.081-0.194,1.5-0.512C12.396,15.032,12,14.315,12,13.5z"}},{"tag":"path","attr":{"d":"M20,4H4C2.897,4,2,4.897,2,6v12c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V6C22,4.897,21.103,4,20,4z M4,18V6h16 l0.002,12H4z"}}]})(props);
};
function BiCreditCardFront (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,4H4C2.897,4,2,4.897,2,6v12c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V6C22,4.897,21.103,4,20,4z M4,18V6h16 l0.001,12H4z"}},{"tag":"path","attr":{"d":"M6.5 11h3c.276 0 .5-.224.5-.5v-2C10 8.224 9.776 8 9.5 8h-3C6.224 8 6 8.224 6 8.5v2C6 10.776 6.224 11 6.5 11zM6 14H12V16.001H6zM13 14H18V16.001H13z"}}]})(props);
};
function BiCreditCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,4H4C2.897,4,2,4.897,2,6v12c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V6C22,4.897,21.103,4,20,4z M4,6h16v2H4V6z M4,18v-6h16.001l0.001,6H4z"}},{"tag":"path","attr":{"d":"M6 14H12V16H6z"}}]})(props);
};
function BiCrop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,7c0-1.103-0.897-2-2-2H7V2H5v3H2v2h3h2h10v15h2v-3h3v-2h-3V7z"}},{"tag":"path","attr":{"d":"M5,9v8c0,1.103,0.897,2,2,2h8v-2H7V9H5z"}}]})(props);
};
function BiCrosshair (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M13,19.931V17h-2v2.931 C7.389,19.478,4.522,16.611,4.069,13H7v-2H4.069C4.522,7.389,7.389,4.522,11,4.069V7h2V4.069c3.611,0.453,6.478,3.319,6.931,6.931 H17v2h2.931C19.478,16.611,16.611,19.478,13,19.931z"}}]})(props);
};
function BiCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.219,3.375L8,7.399L4.781,3.375C4.515,3.043,4.068,2.916,3.669,3.056C3.269,3.197,3,3.575,3,4v15c0,1.103,0.897,2,2,2 h14c1.103,0,2-0.897,2-2V4c0-0.425-0.269-0.803-0.669-0.944c-0.4-0.138-0.846-0.012-1.112,0.319L16,7.399l-3.219-4.024 C12.4,2.901,11.6,2.901,11.219,3.375z M5,19v-2h14.001v2H5z M15.219,9.625c0.381,0.475,1.182,0.475,1.563,0L19,6.851L19.001,15H5 V6.851l2.219,2.774c0.381,0.475,1.182,0.475,1.563,0L12,5.601L15.219,9.625z"}}]})(props);
};
function BiCubeAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.895,3.553C17.725,3.214,17.379,3,17,3H7C6.621,3,6.275,3.214,6.105,3.553l-4,8c-0.141,0.281-0.141,0.613,0,0.895l4,8 C6.275,20.786,6.621,21,7,21h10c0.379,0,0.725-0.214,0.895-0.553l4-8c0.141-0.281,0.141-0.613,0-0.895L17.895,3.553z M19.382,11 h-7.764l-3-6h7.764L19.382,11z M4.118,12L7,6.236L9.882,12L7,17.764L4.118,12z M16.382,19H8.618l3-6h7.764L16.382,19z"}}]})(props);
};
function BiCube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.406,6.086l-9-4c-0.26-0.115-0.553-0.115-0.813,0l-9,4C2.573,6.095,2.559,6.11,2.539,6.121 c-0.028,0.014-0.058,0.023-0.084,0.04c-0.022,0.015-0.039,0.034-0.06,0.05c-0.028,0.021-0.055,0.044-0.08,0.068 C2.274,6.318,2.238,6.36,2.205,6.405C2.185,6.433,2.164,6.458,2.146,6.486C2.115,6.539,2.092,6.594,2.07,6.651 C2.061,6.678,2.047,6.703,2.039,6.73C2.015,6.817,2,6.907,2,7v10c0,0.396,0.232,0.753,0.594,0.914l9,4 C11.724,21.972,11.862,22,12,22c0.139,0,0.273-0.039,0.402-0.096l0.004,0.01l9-4C21.768,17.753,22,17.396,22,17V7 C22,6.604,21.768,6.247,21.406,6.086z M12,4.095L18.538,7L12,9.905l-1.308-0.581L5.463,7L12,4.095z M4,16.351V8.539l7,3.111v7.811 L4,16.351z M13,19.461V11.65l7-3.111v7.812L13,19.461z"}}]})(props);
};
function BiCuboid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.707,2.293C16.52,2.105,16.266,2,16,2H8C7.586,2,7.215,2.255,7.066,2.641l-5,13c-0.142,0.369-0.053,0.787,0.227,1.066 l5,5C7.48,21.895,7.734,22,8,22h8c0.414,0,0.785-0.255,0.934-0.641l5-13c0.142-0.369,0.053-0.787-0.227-1.066L16.707,2.293z M18.585,7h-5.171l-3-3h5.172L18.585,7z M8.381,4.795l3.438,3.438l-4.462,10.71l-3.19-3.191L8.381,4.795z M15.313,20h-6.23 l4.583-11h5.878L15.313,20z"}}]})(props);
};
function BiCurrentLocation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"12","r":"4"}},{"tag":"path","attr":{"d":"M13,4.069V2h-2v2.069C7.389,4.522,4.523,7.389,4.069,11H2v2h2.069c0.454,3.611,3.319,6.478,6.931,6.931V22h2v-2.069 c3.611-0.453,6.478-3.319,6.931-6.931H22v-2h-2.069C19.478,7.389,16.611,4.522,13,4.069z M12,18c-3.309,0-6-2.691-6-6s2.691-6,6-6 s6,2.691,6,6S15.309,18,12,18z"}}]})(props);
};
function BiCustomize (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 11h6c.553 0 1-.448 1-1V4c0-.552-.447-1-1-1H4C3.447 3 3 3.448 3 4v6C3 10.552 3.447 11 4 11zM5 5h4v4H5V5zM20 3h-6c-.553 0-1 .448-1 1v6c0 .552.447 1 1 1h6c.553 0 1-.448 1-1V4C21 3.448 20.553 3 20 3zM19 9h-4V5h4V9zM10 21c.553 0 1-.447 1-1v-6c0-.553-.447-1-1-1H4c-.553 0-1 .447-1 1v6c0 .553.447 1 1 1H10zM5 15h4v4H5V15zM18 14L16 14 16 16 14 16 14 18 16 18 16 20 18 20 18 18 20 18 20 16 18 16z"}}]})(props);
};
function BiCut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10,6.5C10,4.57,8.43,3,6.5,3S3,4.57,3,6.5S4.57,10,6.5,10c0.585,0,1.128-0.158,1.613-0.413l2.357,2.528l-2.318,2.318 C7.658,14.166,7.101,14,6.5,14C4.57,14,3,15.57,3,17.5S4.57,21,6.5,21s3.5-1.57,3.5-3.5c0-0.601-0.166-1.158-0.434-1.652 l2.269-2.268L17,19.121C17.563,19.684,18.326,20,19.121,20H22L9.35,8.518C9.756,7.946,10,7.253,10,6.5z M6.5,8 C5.673,8,5,7.327,5,6.5S5.673,5,6.5,5S8,5.673,8,6.5S7.327,8,6.5,8z M6.5,19C5.673,19,5,18.327,5,17.5S5.673,16,6.5,16 S8,16.673,8,17.5S7.327,19,6.5,19z"}},{"tag":"path","attr":{"d":"M17,4.879l-3.707,4.414l1.414,1.414L22,4h-2.879C18.326,4,17.563,4.316,17,4.879z"}}]})(props);
};
function BiCycling (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11,15.414V20h2v-4.586c0-0.526-0.214-1.042-0.586-1.414l-2-2L13,9.414l2,2C15.372,11.786,15.888,12,16.414,12H20v-2 h-3.586l-3.707-3.707c-0.391-0.391-1.023-0.391-1.414,0L8,9.586C7.622,9.964,7.414,10.466,7.414,11S7.622,12.036,8,12.414 L11,15.414z"}},{"tag":"circle","attr":{"cx":"16","cy":"5","r":"2"}},{"tag":"path","attr":{"d":"M18 14c-2.206 0-4 1.794-4 4s1.794 4 4 4 4-1.794 4-4S20.206 14 18 14zM18 20c-1.103 0-2-.897-2-2s.897-2 2-2 2 .897 2 2S19.103 20 18 20zM6 22c2.206 0 4-1.794 4-4s-1.794-4-4-4-4 1.794-4 4S3.794 22 6 22zM6 16c1.103 0 2 .897 2 2s-.897 2-2 2-2-.897-2-2S4.897 16 6 16z"}}]})(props);
};
function BiCylinder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,22c5.131,0,9-1.935,9-4.5V7h-0.053C20.98,6.836,21,6.67,21,6.5C21,3.935,17.131,2,12,2C7.209,2,3.52,3.688,3.053,6H3 v11.5C3,20.065,6.869,22,12,22z M12,20c-4.273,0-7-1.48-7-2.5V9.394C6.623,10.387,9.111,11,12,11s5.377-0.613,7-1.606V17.5 C19,18.52,16.273,20,12,20z M12,4c4.273,0,7,1.48,7,2.5S16.273,9,12,9S5,7.52,5,6.5S7.727,4,12,4z"}}]})(props);
};
function BiData (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,17V7c0-2.168-3.663-4-8-4S4,4.832,4,7v10c0,2.168,3.663,4,8,4S20,19.168,20,17z M12,5c3.691,0,5.931,1.507,6,1.994 C17.931,7.493,15.691,9,12,9S6.069,7.493,6,7.006C6.069,6.507,8.309,5,12,5z M6,9.607C7.479,10.454,9.637,11,12,11 s4.521-0.546,6-1.393v2.387C17.931,12.493,15.691,14,12,14s-5.931-1.507-6-2V9.607z M6,17v-2.393C7.479,15.454,9.637,16,12,16 s4.521-0.546,6-1.393v2.387C17.931,17.493,15.691,19,12,19S6.069,17.493,6,17z"}}]})(props);
};
function BiDesktop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H4C2.897,3,2,3.897,2,5v11c0,1.103,0.897,2,2,2h7v2H8v2h3h2h3v-2h-3v-2h7c1.103,0,2-0.897,2-2V5 C22,3.897,21.103,3,20,3z M4,14V5h16l0.002,9H4z"}}]})(props);
};
function BiDetail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H4C2.897,3,2,3.897,2,5v14c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V5C22,3.897,21.103,3,20,3z M4,19V5h16 l0.002,14H4z"}},{"tag":"path","attr":{"d":"M6 7H18V9H6zM6 11H18V13H6zM6 15H12V17H6z"}}]})(props);
};
function BiDevices (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H7C5.897,3,5,3.897,5,5v2H4C2.897,7,2,7.897,2,9v10c0,1.103,0.897,2,2,2h6c1.103,0,2-0.897,2-2h8c1.103,0,2-0.897,2-2 V5C22,3.897,21.103,3,20,3z M9.997,19H4V9h2h4L9.997,19z M19.997,17H12V9c0-1.103-0.897-2-2-2H7V5h13L19.997,17z"}}]})(props);
};
function BiDialpadAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"6","r":"2"}},{"tag":"circle","attr":{"cx":"6","cy":"6","r":"2"}},{"tag":"circle","attr":{"cx":"18","cy":"6","r":"2"}},{"tag":"circle","attr":{"cx":"12","cy":"12","r":"2"}},{"tag":"circle","attr":{"cx":"6","cy":"12","r":"2"}},{"tag":"circle","attr":{"cx":"18","cy":"12","r":"2"}},{"tag":"circle","attr":{"cx":"12","cy":"18","r":"2"}}]})(props);
};
function BiDialpad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 3H14V6H10zM10 8H14V11H10zM10 13H14V16H10zM16 3H20V6H16zM16 8H20V11H16zM16 13H20V16H16zM4 3H8V6H4zM4 8H8V11H4zM4 13H8V16H4zM10 18H14V21H10z"}}]})(props);
};
function BiDiamond (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.813,3.838C17.439,3.313,16.831,3,16.187,3H7.813C7.169,3,6.561,3.313,6.146,3.899l-4,6.581 c-0.229,0.377-0.185,0.86,0.111,1.188l9,10C11.446,21.88,11.717,22,12,22s0.554-0.12,0.743-0.331l9-10 c0.296-0.328,0.341-0.812,0.111-1.188L17.813,3.838z M12,19.505L5.245,12h13.509L12,19.505z M4.777,10l3.036-5l8.332-0.062 L19.222,10H4.777z"}}]})(props);
};
function BiDice1 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M5,19V5h14 l0.002,14H5z"}},{"tag":"circle","attr":{"cx":"12","cy":"12","r":"1.5"}}]})(props);
};
function BiDice2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M5,19V5h14 l0.002,14H5z"}},{"tag":"circle","attr":{"cx":"9.5","cy":"12","r":"1.5"}},{"tag":"circle","attr":{"cx":"14.5","cy":"12","r":"1.5"}}]})(props);
};
function BiDice3 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M5,19V5h14 l0.002,14H5z"}},{"tag":"circle","attr":{"cx":"8","cy":"8","r":"1.5"}},{"tag":"circle","attr":{"cx":"12","cy":"12","r":"1.5"}},{"tag":"circle","attr":{"cx":"16","cy":"16","r":"1.5"}}]})(props);
};
function BiDice4 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M5,19V5h14 l0.002,14H5z"}},{"tag":"circle","attr":{"cx":"8","cy":"8","r":"1.5"}},{"tag":"circle","attr":{"cx":"16","cy":"16","r":"1.5"}},{"tag":"circle","attr":{"cx":"8","cy":"16","r":"1.5"}},{"tag":"circle","attr":{"cx":"16","cy":"8","r":"1.5"}}]})(props);
};
function BiDice5 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M5,19V5h14 l0.002,14H5z"}},{"tag":"circle","attr":{"cx":"8","cy":"8","r":"1.5"}},{"tag":"circle","attr":{"cx":"12","cy":"12","r":"1.5"}},{"tag":"circle","attr":{"cx":"16","cy":"16","r":"1.5"}},{"tag":"circle","attr":{"cx":"8","cy":"16","r":"1.5"}},{"tag":"circle","attr":{"cx":"16","cy":"8","r":"1.5"}}]})(props);
};
function BiDice6 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M5,19V5h14 l0.002,14H5z"}},{"tag":"circle","attr":{"cx":"8","cy":"8","r":"1.5"}},{"tag":"circle","attr":{"cx":"8","cy":"12","r":"1.5"}},{"tag":"circle","attr":{"cx":"16","cy":"12","r":"1.5"}},{"tag":"circle","attr":{"cx":"16","cy":"16","r":"1.5"}},{"tag":"circle","attr":{"cx":"8","cy":"16","r":"1.5"}},{"tag":"circle","attr":{"cx":"16","cy":"8","r":"1.5"}}]})(props);
};
function BiDirections (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.781,13.875l-2-2.5C19.591,11.138,19.304,11,19,11h-6V9h6c1.103,0,2-0.897,2-2V4c0-1.103-0.897-2-2-2H5\tC4.696,2,4.409,2.138,4.219,2.375l-2,2.5c-0.292,0.365-0.292,0.885,0,1.25l2,2.5C4.409,8.862,4.696,9,5,9h6v2H5\tc-1.103,0-2,0.897-2,2v3c0,1.103,0.897,2,2,2h6v4h2v-4h6c0.304,0,0.591-0.138,0.781-0.375l2-2.5\tC22.073,14.76,22.073,14.24,21.781,13.875z M4.281,5.5L5.48,4H19l0.002,3H5.48L4.281,5.5z M18.52,16H5v-3h13.52l1.2,1.5L18.52,16z"}}]})(props);
};
function BiDisc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M12,4c-4.411,0-8,3.589-8,8s3.589,8,8,8s8-3.589,8-8S16.411,4,12,4z M12,16c-2.206,0-4-1.794-4-4s1.794-4,4-4 s4,1.794,4,4S14.206,16,12,16z"}},{"tag":"circle","attr":{"fill":"none","cx":"12","cy":"12","r":"2"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M12,8c-2.206,0-4,1.794-4,4s1.794,4,4,4s4-1.794,4-4S14.206,8,12,8z M12,14c-1.103,0-2-0.897-2-2s0.897-2,2-2s2,0.897,2,2 S13.103,14,12,14z"}}]})(props);
};
function BiDish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 15c0-4.625-3.507-8.441-8-8.941V4h-2v2.059C6.507 6.559 3 10.375 3 15v2h18V15zM5 15c0-3.859 3.141-7 7-7s7 3.141 7 7H5zM2 18H22V20H2z"}}]})(props);
};
function BiDislike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3h-3H6.693C5.864,3,5.112,3.521,4.82,4.298l-2.757,7.351C2.021,11.761,2,11.88,2,12v2c0,1.103,0.897,2,2,2h5.612 L8.49,19.367c-0.203,0.608-0.101,1.282,0.274,1.802C9.14,21.689,9.746,22,10.388,22H12c0.297,0,0.578-0.132,0.769-0.36l4.7-5.64 H20c1.103,0,2-0.897,2-2V5C22,3.897,21.103,3,20,3z M11.531,20h-1.145l1.562-4.684c0.103-0.305,0.051-0.64-0.137-0.901 C11.623,14.154,11.321,14,11,14H4v-1.819L6.693,5H16v9.638L11.531,20z M18,14V5h2l0.001,9H18z"}}]})(props);
};
function BiDizzy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12c0,5.514,4.486,10,10,10s10-4.486,10-10C22,6.486,17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8 s3.589-8,8-8s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M10.707 12.293L9.414 11 10.707 9.707 9.293 8.293 8 9.586 6.707 8.293 5.293 9.707 6.586 11 5.293 12.293 6.707 13.707 8 12.414 9.293 13.707zM17.293 8.293L16 9.586 14.707 8.293 13.293 9.707 14.586 11 13.293 12.293 14.707 13.707 16 12.414 17.293 13.707 18.707 12.293 17.414 11 18.707 9.707zM10 16H14V18H10z"}}]})(props);
};
function BiDna (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.794,11.09c0.332-0.263,0.648-0.542,0.947-0.84c0.046-0.047,0.09-0.095,0.136-0.142c0.283-0.293,0.552-0.598,0.801-0.919\tc0.021-0.025,0.042-0.05,0.062-0.075c0.255-0.335,0.486-0.688,0.702-1.049c0.043-0.073,0.086-0.146,0.128-0.22\tc0.205-0.364,0.395-0.737,0.559-1.123c0.02-0.047,0.035-0.095,0.055-0.142c0.147-0.361,0.274-0.731,0.383-1.109\tc0.021-0.07,0.044-0.14,0.063-0.211c0.107-0.402,0.189-0.813,0.251-1.229c0.013-0.087,0.021-0.175,0.032-0.263\tC19.964,3.336,20,2.899,20,2.457V2h-2v0.457C18,2.641,17.969,2.818,17.958,3H6.022C6.012,2.819,6,2.64,6,2.457V2H4v0.457\tc0,4.876,3.269,9.218,7.952,10.569c0.009,0.003,0.019,0.006,0.028,0.009c2.881,0.823,5.056,3.146,5.769,5.965H6.251l0.799-2h7.607\tc-0.55-0.791-1.245-1.471-2.063-2h-4c0.445-0.424,0.956-0.774,1.491-1.09c-0.74-0.259-1.436-0.601-2.08-1.014\tC5.55,14.812,4,17.779,4,21.015V23h2v-1.985C6,21.01,6.001,21.005,6.001,21h11.998c0,0.005,0.001,0.01,0.001,0.015V23h2v-1.985\tc0-3.83-2.159-7.303-5.443-9.07c0.374-0.221,0.729-0.468,1.072-0.729C15.684,11.174,15.739,11.134,15.794,11.09z M14.604,9.486\tc-0.694,0.557-1.476,1.014-2.325,1.348c-0.092,0.036-0.185,0.068-0.278,0.102C10.802,10.511,9.73,9.846,8.836,9h6.292\tc-0.171,0.161-0.332,0.333-0.517,0.48C14.609,9.482,14.606,9.484,14.604,9.486z M17.619,5c-0.005,0.016-0.007,0.033-0.012,0.049\tC17.592,5.1,17.578,5.15,17.563,5.2c-0.123,0.379-0.271,0.746-0.441,1.103c-0.023,0.05-0.047,0.1-0.072,0.149\tC16.954,6.642,16.837,6.817,16.729,7h-9.48C6.881,6.374,6.588,5.703,6.378,5H17.619z"}}]})(props);
};
function BiDockBottom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M5 16H19.002000000000002V19H5zM5 5H19V14H5z"}},{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M19,5l0.001,9H5V5 H19z M5,19v-3h14.002v3H5z"}}]})(props);
};
function BiDockLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M5 5H8V19H5zM10 5H19.002000000000002V19H10z"}},{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M5,5h3v14H5V5z M10,19V5h9l0.002,14H10z"}}]})(props);
};
function BiDockRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M16 5H19.002V19H16zM5 5H14V19H5z"}},{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M5,5h9v14H5V5z M16,19V5h3l0.002,14H16z"}}]})(props);
};
function BiDockTop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M5 5H19V8H5zM5 10H19.002000000000002V19H5z"}},{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M19,5v3H5V5H19z M5,19v-9h14.001l0.001,9H5z"}}]})(props);
};
function BiDollarCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M12,4c-4.411,0-8,3.589-8,8s3.589,8,8,8s8-3.589,8-8S16.411,4,12,4z M13,16.915V18h-2v-1.08 C8.661,16.553,8,14.918,8,14h2c0.011,0.143,0.159,1,2,1c1.38,0,2-0.585,2-1c0-0.324,0-1-2-1c-3.48,0-4-1.88-4-3 c0-1.288,1.029-2.584,3-2.915V6.012h2v1.109c1.734,0.41,2.4,1.853,2.4,2.879h-1l-1,0.018C13.386,9.638,13.185,9,12,9 c-1.299,0-2,0.516-2,1c0,0.374,0,1,2,1c3.48,0,4,1.88,4,3C16,15.288,14.971,16.584,13,16.915z"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M12,11c-2,0-2-0.626-2-1c0-0.484,0.701-1,2-1c1.185,0,1.386,0.638,1.4,1.018l1-0.018h1c0-1.026-0.666-2.469-2.4-2.879 V6.012h-2v1.073C9.029,7.416,8,8.712,8,10c0,1.12,0.52,3,4,3c2,0,2,0.676,2,1c0,0.415-0.62,1-2,1c-1.841,0-1.989-0.857-2-1H8 c0,0.918,0.661,2.553,3,2.92V18h2v-1.085c1.971-0.331,3-1.627,3-2.915C16,12.88,15.48,11,12,11z"}}]})(props);
};
function BiDollar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.999,8.5h2c0-2.837-2.755-4.131-5-4.429V2h-2v2.071c-2.245,0.298-5,1.592-5,4.429c0,2.706,2.666,4.113,5,4.43V17.9 c-1.448-0.251-3-1.024-3-2.4h-2c0,2.589,2.425,4.119,5,4.436v1.063V22h2v-1.001V19.93c2.245-0.298,5-1.593,5-4.43 s-2.755-4.131-5-4.429V6.1C14.329,6.339,15.999,7.041,15.999,8.5z M7.999,8.5c0-1.459,1.67-2.161,3-2.4v4.799 C9.628,10.646,7.999,9.897,7.999,8.5z M15.999,15.5c0,1.459-1.67,2.161-3,2.4V13.1C14.329,13.339,15.999,14.041,15.999,15.5z"}}]})(props);
};
function BiDonateBlood (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 21h9.62c1.169 0 2.276-.509 3.037-1.397l5.102-5.952c.217-.253.294-.597.205-.918s-.332-.576-.647-.682l-1.968-.656c-.95-.317-2.042-.122-2.823.503l-3.185 2.547-.617-1.235C12.042 11.847 10.671 11 9.146 11H4c-1.103 0-2 .897-2 2v6C2 20.103 2.897 21 4 21zM4 13h5.146c.763 0 1.448.423 1.789 1.105L11.382 15H10 8 7v2h1 2 3c.001 0 .002 0 .002 0 .001 0 .001 0 .001 0 .001 0 .001 0 .002 0 0 0 .002 0 .006 0 .001 0 .002 0 .002 0 .001 0 .001 0 .001 0 .156-.002.308-.041.442-.11.001 0 .002 0 .003-.001.001-.001.003-.001.004-.002 0 0 .001 0 .001 0l.001 0c.001 0 .001 0 .001 0 .001 0 .001 0 .002-.001 0 0 .001 0 .001 0l.001 0c.001 0 .001 0 .001 0 .001 0 .001 0 .001 0 .001 0 .001 0 .001-.001.011.003.003-.001.003-.001.012 0 .002-.001.002-.001.001 0 .001 0 .001 0 .002 0 .002 0 .002-.001.001 0 .002-.001.003-.001s.001 0 .002-.001c.002 0 .001-.001.002-.001v0c.001 0 .002-.001.003-.001s.001 0 .002-.001c0 0 .001-.001.002-.001.001 0 .002-.001.003-.002s.001 0 .002-.001c.003-.001.001-.001.002-.001v0c.002-.001.003-.001.003-.001.001 0 .001 0 .002-.001 0 0 0 0 .001 0l.002-.001c.001 0 .001 0 .001 0 .001 0 .001 0 .002-.001v0c.001 0 .001 0 .002-.001.011-.001.003-.001.003-.001 0-.001.003-.001.002-.001.038-.023.075-.049.11-.078l4.146-3.317c.261-.208.623-.273.94-.167l.557.186-4.133 4.823C14.759 18.745 14.205 19 13.62 19H4V13zM13.761 2.326C13.3 2.832 11 5.457 11 7.5c0 1.93 1.57 3.5 3.5 3.5S18 9.43 18 7.5c0-2.043-2.3-4.668-2.761-5.174C14.86 1.91 14.14 1.91 13.761 2.326zM16 7.5C16 8.327 15.327 9 14.5 9S13 8.327 13 7.5c0-.708.738-1.934 1.5-2.934C15.262 5.566 16 6.792 16 7.5z"}}]})(props);
};
function BiDonateHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 21h9.62c1.169 0 2.276-.509 3.037-1.397l5.102-5.952c.217-.253.294-.597.205-.918s-.332-.576-.647-.682l-1.968-.656c-.951-.317-2.042-.122-2.823.503l-3.185 2.547-.617-1.235C12.042 11.847 10.671 11 9.146 11H4c-1.103 0-2 .897-2 2v6C2 20.103 2.897 21 4 21zM4 13h5.146c.763 0 1.448.423 1.789 1.105L11.382 15H10 8 7v2h1 2 3c.001 0 .002 0 .002 0 .001 0 .001 0 .001 0 .001 0 .001 0 .002 0 0 0 .002 0 .006 0 .001 0 .002 0 .002 0 .001 0 .001 0 .001 0 .156-.002.308-.041.442-.11.001 0 .002 0 .003-.001.001-.001.003-.001.004-.002 0 0 .001 0 .001 0l.001 0c.001 0 .001 0 .001 0 .001 0 .001 0 .002-.001 0 0 .001 0 .001 0l.001 0c.001 0 .001 0 .001 0 .001 0 .001 0 .001 0 .001 0 .001 0 .001-.001.009.003.003-.001.003-.001.01 0 .002-.001.002-.001.001 0 .001 0 .001 0 .002 0 .002 0 .002-.001.001 0 .002-.001.003-.001s.001 0 .002-.001c0 0 .001-.001.002-.001v0c.001 0 .002-.001.003-.001s.001 0 .002-.001c.003 0 .001-.001.002-.001.001 0 .002-.001.003-.002s.001 0 .002-.001c.001-.001.001-.001.002-.001v0c.002-.001.003-.001.003-.001.001 0 .001 0 .002-.001 0 0 0 0 .001 0s.002-.001.002-.001c.001 0 .001 0 .001 0 .001 0 .001 0 .002-.001v0c.001 0 .001 0 .002-.001.009-.001.003-.001.003-.001 0-.001.002-.001.002-.001.038-.023.075-.049.11-.078l4.146-3.317c.262-.208.623-.273.94-.167l.557.186-4.133 4.823C14.759 18.745 14.205 19 13.62 19H4V13zM16 2L16 2c-.003 0-.012 0-.017 0C15.82 2.002 14.977 2.039 14 2.705c-.951-.648-1.774-.7-1.968-.704C12.023 2.001 12.008 2 12.002 2 12.001 2 12.001 2 12 2l0 0c-.001 0-.002 0-.002 0l0 0c-.801 0-1.555.313-2.119.878C9.313 3.445 9 4.198 9 5s.313 1.555.861 2.104l3.414 3.586C13.465 10.888 13.727 11 14 11s.535-.112.725-.311l3.396-3.568C18.688 6.555 19 5.802 19 5s-.313-1.555-.878-2.121C17.557 2.313 16.803 2 16.002 2l0 0C16.002 2 16.001 2 16 2zM17 5c0 .267-.104.518-.311.725L14 8.55l-2.707-2.843C11.104 5.518 11 5.267 11 5s.104-.518.294-.708C11.481 4.104 11.732 4 11.979 4c.025.001.502.032 1.067.485.081.065.163.139.247.222L14 5.414l.707-.707c.084-.083.166-.157.247-.222.529-.425.976-.478 1.052-.484.265.001.514.104.701.292C16.896 4.482 17 4.733 17 5z"}}]})(props);
};
function BiDoorOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10.385,21.788C10.563,21.927,10.779,22,11,22c0.081,0,0.162-0.01,0.242-0.03l8-2C19.688,19.859,20,19.459,20,19V5 c0-0.459-0.313-0.859-0.758-0.97l-8-2c-0.298-0.074-0.614-0.007-0.857,0.182S10,2.692,10,3v1H6C5.447,4,5,4.448,5,5v14 c0,0.552,0.447,1,1,1h4v1C10,21.308,10.142,21.599,10.385,21.788z M12,4.281l6,1.5v12.438l-6,1.5V19V5V4.281z M7,18V6h3v12H7z"}},{"tag":"path","attr":{"d":"M14.242,13.159C14.688,13.047,15,12.647,15,12.188v-0.377c0-0.459-0.313-0.859-0.758-0.97 C13.611,10.684,13,11.161,13,11.812v0.377C13,12.839,13.611,13.316,14.242,13.159z"}}]})(props);
};
function BiDotsHorizontalRounded (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 10c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2S13.1 10 12 10zM18 10c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2S19.1 10 18 10zM6 10c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2S7.1 10 6 10z"}}]})(props);
};
function BiDotsHorizontal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 10H14V14H10zM16 10H20V14H16zM4 10H8V14H4z"}}]})(props);
};
function BiDotsVerticalRounded (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 10c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2S13.1 10 12 10zM12 4c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2S13.1 4 12 4zM12 16c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2S13.1 16 12 16z"}}]})(props);
};
function BiDotsVertical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 10H14V14H10zM10 4H14V8H10zM10 16H14V20H10z"}}]})(props);
};
function BiDoughnutChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M19.931,11h-3.032 C16.5,9.044,14.956,7.5,13,7.102V4.069C16.611,4.522,19.478,7.389,19.931,11z M12,9c1.654,0,3,1.346,3,3s-1.346,3-3,3s-3-1.346-3-3 S10.346,9,12,9z M12,20c-4.411,0-8-3.589-8-8c0-4.072,3.061-7.436,7-7.931v3.032C8.721,7.565,7,9.586,7,12c0,2.757,2.243,5,5,5 c2.414,0,4.435-1.721,4.898-4h3.032C19.436,16.939,16.072,20,12,20z"}}]})(props);
};
function BiDownArrowAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.707 12.707L17.293 11.293 13 15.586 13 6 11 6 11 15.586 6.707 11.293 5.293 12.707 12 19.414z"}}]})(props);
};
function BiDownArrowCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,1.993C6.486,1.994,2,6.48,2,11.994c0,5.513,4.486,9.999,10,10c5.514,0,10-4.486,10-10S17.515,1.994,12,1.993z M12,19.994c-4.411-0.001-8-3.59-8-8c0-4.411,3.589-8,8-8.001c4.411,0.001,8,3.59,8,8.001S16.411,19.994,12,19.994z"}},{"tag":"path","attr":{"d":"M13 8L11 8 11 12 7.991 12 11.996 16.005 16 12 13 12z"}}]})(props);
};
function BiDownArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.886,5.536C21.713,5.207,21.372,5,21,5H3C2.628,5,2.287,5.207,2.114,5.536C1.941,5.865,1.966,6.263,2.178,6.569l9,13 C11.364,19.839,11.672,20,12,20s0.636-0.161,0.822-0.431l9-13C22.034,6.263,22.059,5.865,21.886,5.536z M12,17.243L4.908,7h14.184 L12,17.243z"}}]})(props);
};
function BiDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 16L16 11 13 11 13 4 11 4 11 11 8 11z"}},{"tag":"path","attr":{"d":"M20,18H4v-7H2v7c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2v-7h-2V18z"}}]})(props);
};
function BiDownvote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.901,10.566C20.734,10.221,20.385,10,20,10h-2h-2V7V3c0-0.553-0.447-1-1-1H9C8.447,2,8,2.447,8,3v5v2H6H4 c-0.385,0-0.734,0.221-0.901,0.566c-0.166,0.347-0.12,0.758,0.12,1.059l8,10C11.409,21.862,11.696,22,12,22 s0.591-0.138,0.781-0.375l8-10C21.021,11.324,21.067,10.913,20.901,10.566z M12,19.399L6.081,12H9h1v-1V8V4h4v3v4v1h1h2.919 L12,19.399z"}}]})(props);
};
function BiDrink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.832,4.555c0.204-0.307,0.224-0.701,0.05-1.026S20.369,3,20,3H4C3.631,3,3.292,3.203,3.118,3.528 s-0.154,0.72,0.05,1.026L11,16.303V20H8v2h8v-2h-3v-3.697L20.832,4.555z M12,14.197L8.535,9h6.93L12,14.197z M18.132,5l-1.333,2 H7.201L5.868,5H18.132z"}}]})(props);
};
function BiDroplet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,22c4.636,0,8-3.468,8-8.246c0-6.232-7.118-11.354-7.421-11.569c-0.348-0.246-0.811-0.246-1.156-0.001 C11.12,2.397,4,7.503,4,13.75C4,18.53,7.364,22,12,22z M11.999,4.26C13.604,5.55,18,9.474,18,13.754C18,17.432,15.532,20,12,20 s-6-2.57-6-6.25C6,9.46,10.394,5.547,11.999,4.26z"}}]})(props);
};
function BiDumbbell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 5L6 11 6 13 6 19 9 19 9 13 15 13 15 19 18 19 18 5 15 5 15 11 9 11 9 5zM3 15c0 .553.447 1 1 1h1V8H4C3.447 8 3 8.447 3 9v2H2v2h1V15zM21 9c0-.553-.447-1-1-1h-1v8h1c.553 0 1-.447 1-1v-2h1v-2h-1V9z"}}]})(props);
};
function BiDuplicate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 10L9 10 9 13 6 13 6 15 9 15 9 18 11 18 11 15 14 15 14 13 11 13z"}},{"tag":"path","attr":{"d":"M4,22h12c1.103,0,2-0.897,2-2V8c0-1.103-0.897-2-2-2H4C2.897,6,2,6.897,2,8v12C2,21.103,2.897,22,4,22z M4,8h12l0.002,12H4 V8z"}},{"tag":"path","attr":{"d":"M20,2H8v2h12v12h2V4C22,2.897,21.103,2,20,2z"}}]})(props);
};
function BiEditAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.045 7.401c.378-.378.586-.88.586-1.414s-.208-1.036-.586-1.414l-1.586-1.586c-.378-.378-.88-.586-1.414-.586s-1.036.208-1.413.585L4 13.585V18h4.413L19.045 7.401zM16.045 4.401l1.587 1.585-1.59 1.584-1.586-1.585L16.045 4.401zM6 16v-1.585l7.04-7.018 1.586 1.586L7.587 16H6zM4 20H20V22H4z"}}]})(props);
};
function BiEdit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7,17.013l4.413-0.015l9.632-9.54c0.378-0.378,0.586-0.88,0.586-1.414s-0.208-1.036-0.586-1.414l-1.586-1.586\tc-0.756-0.756-2.075-0.752-2.825-0.003L7,12.583V17.013z M18.045,4.458l1.589,1.583l-1.597,1.582l-1.586-1.585L18.045,4.458z M9,13.417l6.03-5.973l1.586,1.586l-6.029,5.971L9,15.006V13.417z"}},{"tag":"path","attr":{"d":"M5,21h14c1.103,0,2-0.897,2-2v-8.668l-2,2V19H8.158c-0.026,0-0.053,0.01-0.079,0.01c-0.033,0-0.066-0.009-0.1-0.01H5V5\th6.847l2-2H5C3.897,3,3,3.897,3,5v14C3,20.103,3.897,21,5,21z"}}]})(props);
};
function BiEnvelopeOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.555,8.168l-9-6c-0.336-0.224-0.773-0.224-1.109,0l-9,6C2.167,8.354,2,8.666,2,9v11c0,1.103,0.897,2,2,2h16 c1.103,0,2-0.897,2-2V9C22,8.666,21.833,8.354,21.555,8.168z M12,4.202L19.197,9L12,13.798L4.803,9L12,4.202z M4,20v-9.131 l7.445,4.963C11.613,15.944,11.807,16,12,16s0.387-0.056,0.555-0.168L20,10.869L19.997,20H4z"}}]})(props);
};
function BiEnvelope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,4H4C2.897,4,2,4.897,2,6v12c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V6C22,4.897,21.103,4,20,4z M20,6v0.511 l-8,6.223L4,6.512V6H20z M4,18V9.044l7.386,5.745C11.566,14.93,11.783,15,12,15s0.434-0.07,0.614-0.211L20,9.044L20.002,18H4z"}}]})(props);
};
function BiEqualizer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 9H13V15H11zM15 6H17V18H15zM7 4H9V20H7zM19 11H21V13H19zM3 10H5V14H3z"}}]})(props);
};
function BiEraser (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2.586,15.408l4.299,4.299C7.072,19.895,7.326,20,7.592,20h0.001h2h0.4h9.6v-2h-6.958l7.222-7.222 c0.78-0.779,0.78-2.049,0-2.828L14.906,3c-0.779-0.779-2.049-0.779-2.828,0l-4.75,4.749l-4.754,4.843 C1.809,13.371,1.813,14.634,2.586,15.408z M13.492,4.414l4.95,4.95l-2.586,2.586L10.906,7L13.492,4.414z M8.749,9.156l0.743-0.742 l4.95,4.95l-4.557,4.557C9.86,17.946,9.838,17.973,9.816,18H9.593H8.006l-4.005-4.007L8.749,9.156z"}}]})(props);
};
function BiErrorAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 7H13V14H11zM11 15H13V17H11z"}},{"tag":"path","attr":{"d":"M21.707,7.293l-5-5C16.52,2.105,16.266,2,16,2H8C7.734,2,7.48,2.105,7.293,2.293l-5,5C2.105,7.48,2,7.734,2,8v8 c0,0.266,0.105,0.52,0.293,0.707l5,5C7.48,21.895,7.734,22,8,22h8c0.266,0,0.52-0.105,0.707-0.293l5-5 C21.895,16.52,22,16.266,22,16V8C22,7.734,21.895,7.48,21.707,7.293z M20,15.586L15.586,20H8.414L4,15.586V8.414L8.414,4h7.172 L20,8.414V15.586z"}}]})(props);
};
function BiErrorCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.953,2C6.465,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.493,2,11.953,2z M12,20c-4.411,0-8-3.589-8-8 s3.567-8,7.953-8C16.391,4,20,7.589,20,12S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M11 7H13V14H11zM11 15H13V17H11z"}}]})(props);
};
function BiError (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.001 10H13.001V15H11.001zM11 16H13V18H11z"}},{"tag":"path","attr":{"d":"M13.768,4.2C13.42,3.545,12.742,3.138,12,3.138s-1.42,0.407-1.768,1.063L2.894,18.064 c-0.331,0.626-0.311,1.361,0.054,1.968C3.313,20.638,3.953,21,4.661,21h14.678c0.708,0,1.349-0.362,1.714-0.968 c0.364-0.606,0.385-1.342,0.054-1.968L13.768,4.2z M4.661,19L12,5.137L19.344,19H4.661z"}}]})(props);
};
function BiEuro (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13.464,6c1.43,0,2.779,0.613,3.799,1.726l1.475-1.352C17.334,4.843,15.461,4,13.464,4c-1.998,0-3.87,0.843-5.272,2.375 C7.491,7.139,6.951,8.031,6.589,9H4v2h2.114c-0.038,0.33-0.064,0.663-0.064,1s0.026,0.67,0.064,1H4v2h2.589 c0.362,0.97,0.901,1.861,1.603,2.626C9.594,19.157,11.466,20,13.464,20c1.997,0,3.87-0.843,5.273-2.374l-1.475-1.352 C16.243,17.387,14.894,18,13.464,18s-2.778-0.612-3.798-1.726C9.316,15.893,9.041,15.457,8.801,15H13v-2H8.139 c-0.05-0.328-0.089-0.66-0.089-1s0.039-0.672,0.089-1H13V9H8.801c0.24-0.457,0.516-0.893,0.865-1.274 C10.686,6.613,12.034,6,13.464,6z"}}]})(props);
};
function BiExclude (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,8h-3V5c0-1.103-0.897-2-2-2H5C3.897,3,3,3.897,3,5v9c0,1.103,0.897,2,2,2h3v3c0,1.103,0.897,2,2,2h9\tc1.103,0,2-0.897,2-2v-9C21,8.897,20.103,8,19,8z M15,15H9V9h6V15z"}}]})(props);
};
function BiExitFullscreen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 4L8 4 8 8 4 8 4 10 10 10zM8 20L10 20 10 14 4 14 4 16 8 16zM20 14L14 14 14 20 16 20 16 16 20 16zM20 8L16 8 16 4 14 4 14 10 20 10z"}}]})(props);
};
function BiExit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.002,3h-14c-1.103,0-2,0.897-2,2v4h2V5h14v14h-14v-4h-2v4c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5 C21.002,3.897,20.104,3,19.002,3z"}},{"tag":"path","attr":{"d":"M11 16L16 12 11 8 11 11.001 3 11.001 3 13.001 11 13.001z"}}]})(props);
};
function BiExpand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 15.344L18.879 17.465 15.707 14.293 14.293 15.707 17.465 18.879 15.344 21 21 21zM3 8.656L5.121 6.535 8.293 9.707 9.707 8.293 6.535 5.121 8.656 3 3 3zM21 3L15.344 3 17.465 5.121 14.293 8.293 15.707 9.707 18.879 6.535 21 8.656zM3 21L8.656 21 6.535 18.879 9.707 15.707 8.293 14.293 5.121 17.465 3 15.344z"}}]})(props);
};
function BiExport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 16L13 16 13 7 16 7 12 2 8 7 11 7z"}},{"tag":"path","attr":{"d":"M5,22h14c1.103,0,2-0.897,2-2v-9c0-1.103-0.897-2-2-2h-4v2h4v9H5v-9h4V9H5c-1.103,0-2,0.897-2,2v9C3,21.103,3.897,22,5,22 z"}}]})(props);
};
function BiExtension (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,10V7c0-1.103-0.897-2-2-2h-3c0-1.654-1.346-3-3-3S8,3.346,8,5H5C3.897,5,3,5.897,3,7v3.881l0.659,0.239 C4.461,11.41,5,12.166,5,13s-0.539,1.59-1.341,1.88L3,15.119V19c0,1.103,0.897,2,2,2h3.881l0.239-0.659 C9.41,19.539,10.166,19,11,19s1.59,0.539,1.88,1.341L13.119,21H17c1.103,0,2-0.897,2-2v-3c1.654,0,3-1.346,3-3S20.654,10,19,10z M19,14h-2l-0.003,5h-2.545c-0.711-1.22-2.022-2-3.452-2s-2.741,0.78-3.452,2H5v-2.548C6.22,15.741,7,14.43,7,13 s-0.78-2.741-2-3.452V7h5V5c0-0.552,0.448-1,1-1s1,0.448,1,1v2h5v5h2c0.552,0,1,0.448,1,1S19.552,14,19,14z"}}]})(props);
};
function BiFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,4c3.213,0,5.982,1.908,7.254,4.648 c-0.302-0.139-0.581-0.301-0.895-0.498c-0.409-0.258-0.873-0.551-1.46-0.772C16.23,7.123,15.499,7,14.665,7 S13.1,7.123,12.431,7.377C11.844,7.6,11.38,7.893,10.959,8.158c-0.378,0.237-0.703,0.443-1.103,0.594C9.41,8.921,8.926,9,8.33,9 C7.735,9,7.251,8.921,6.806,8.752c-0.4-0.151-0.728-0.358-1.106-0.598C5.539,8.053,5.36,7.946,5.18,7.841C6.587,5.542,9.113,4,12,4 z M12,20c-4.411,0-8-3.589-8-8c0-0.81,0.123-1.59,0.348-2.327c0.094,0.058,0.185,0.11,0.283,0.173 c0.411,0.26,0.876,0.554,1.466,0.776C6.766,10.877,7.496,11,8.33,11c0.833,0,1.564-0.123,2.235-0.377 c0.587-0.223,1.051-0.516,1.472-0.781c0.378-0.237,0.703-0.443,1.103-0.595C13.585,9.079,14.069,9,14.665,9s1.08,0.079,1.525,0.248 c0.399,0.15,0.725,0.356,1.114,0.602c0.409,0.258,0.873,0.551,1.46,0.773c0.363,0.138,0.748,0.229,1.153,0.291 C19.966,11.271,20,11.631,20,12C20,16.411,16.411,20,12,20z"}},{"tag":"circle","attr":{"cx":"8.5","cy":"13.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"15.5","cy":"13.5","r":"1.5"}}]})(props);
};
function BiFastForwardCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M13 16L18 12 13 8zM7 16L12 12 7 8z"}}]})(props);
};
function BiFastForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 12L12 7 12 12 12 17zM5 7L5 17 12 12z"}}]})(props);
};
function BiFemaleSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C8.691,2,6,4.691,6,8c0,2.967,2.167,5.432,5,5.91V17H8v2h3v2.988h2V19h3v-2h-3v-3.09c2.833-0.479,5-2.943,5-5.91 C18,4.691,15.309,2,12,2z M12,12c-2.206,0-4-1.794-4-4s1.794-4,4-4c2.206,0,4,1.794,4,4S14.206,12,12,12z"}}]})(props);
};
function BiFemale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"4","r":"2"}},{"tag":"path","attr":{"d":"M14.948,7.684C14.813,7.275,14.431,7,14,7h-4C9.569,7,9.188,7.275,9.052,7.684l-2,6l1.775,0.593L8,18h2v4h2h2v-4h2 l-0.827-3.724l1.775-0.593L14.948,7.684z"}}]})(props);
};
function BiFileBlank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.937,8.68c-0.011-0.032-0.02-0.063-0.033-0.094c-0.049-0.106-0.11-0.207-0.196-0.293l-6-6 c-0.086-0.086-0.187-0.147-0.293-0.196c-0.03-0.014-0.062-0.022-0.094-0.033c-0.084-0.028-0.17-0.046-0.259-0.051 C13.04,2.011,13.021,2,13,2H6C4.897,2,4,2.897,4,4v16c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2V9 c0-0.021-0.011-0.04-0.013-0.062C19.982,8.85,19.965,8.764,19.937,8.68z M16.586,8H14V5.414L16.586,8z M6,20V4h6v5 c0,0.553,0.447,1,1,1h5l0.002,10H6z"}}]})(props);
};
function BiFileFind (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13.707,2.293C13.52,2.105,13.266,2,13,2H6C4.897,2,4,2.897,4,4v16c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2V9 c0-0.266-0.105-0.52-0.293-0.707L13.707,2.293z M6,4h6.586L18,9.414l0.002,9.174l-2.568-2.568C15.784,15.425,16,14.739,16,14 c0-2.206-1.794-4-4-4s-4,1.794-4,4s1.794,4,4,4c0.739,0,1.425-0.216,2.02-0.566L16.586,20H6V4z M12,16c-1.103,0-2-0.897-2-2 s0.897-2,2-2s2,0.897,2,2S13.103,16,12,16z"}}]})(props);
};
function BiFile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.903,8.586c-0.049-0.106-0.11-0.207-0.196-0.293l-6-6c-0.086-0.086-0.187-0.147-0.293-0.196 c-0.03-0.014-0.062-0.022-0.094-0.033c-0.084-0.028-0.17-0.046-0.259-0.051C13.04,2.011,13.021,2,13,2H6C4.897,2,4,2.897,4,4v16 c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2V9c0-0.021-0.011-0.04-0.013-0.062c-0.005-0.089-0.022-0.175-0.051-0.259 C19.926,8.647,19.917,8.616,19.903,8.586z M16.586,8H14V5.414L16.586,8z M6,20V4h6v5c0,0.553,0.447,1,1,1h5l0.002,10H6z"}},{"tag":"path","attr":{"d":"M8 12H16V14H8zM8 16H16V18H8zM8 8H10V10H8z"}}]})(props);
};
function BiFilm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v2v2v2v2v2v2v2c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2v-2v-2v-2v-2V9V7V5 C21,3.897,20.103,3,19,3z M9,11V5h6v6H9z M15,13v6H9v-6H15z M5,5h2v2H5V5z M5,9h2v2H5V9z M5,13h2v2H5V13z M5,17h2v2H5V17z M19.002,19H17v-2h2.002V19z M19.001,15H17v-2h2.001V15z M19.001,11H17V9h2.001V11z M17,7V5h2v2H17z"}}]})(props);
};
function BiFilterAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21,3H5C4.447,3,4,3.447,4,4v2.59c0,0.523,0.213,1.037,0.583,1.407L10,13.414V21c0,0.347,0.18,0.668,0.475,0.851 C10.635,21.95,10.817,22,11,22c0.153,0,0.306-0.035,0.447-0.105l4-2C15.786,19.725,16,19.379,16,19v-5.586l5.417-5.417 C21.787,7.627,22,7.113,22,6.59V4C22,3.447,21.553,3,21,3z M14.293,12.293C14.105,12.48,14,12.734,14,13v5.382l-2,1V13 c0-0.266-0.105-0.52-0.293-0.707L6,6.59V5h14.001l0.002,1.583L14.293,12.293z"}}]})(props);
};
function BiFilter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 11H17V13H7zM4 7H20V9H4zM10 15H14V17H10z"}}]})(props);
};
function BiFingerprint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5.962 17.674C7 19.331 7 20.567 7 22h2c0-1.521 0-3.244-1.343-5.389L5.962 17.674zM16.504 3.387C13.977 1.91 7.55.926 4.281 4.305c-3.368 3.481-2.249 9.072.001 11.392.118.122.244.229.369.333.072.061.146.116.205.184l1.494-1.33c-.124-.14-.269-.265-.419-.391-.072-.06-.146-.119-.214-.188-1.66-1.711-2.506-6.017.001-8.608 2.525-2.611 8.068-1.579 9.777-.581 2.691 1.569 4.097 4.308 4.109 4.333l1.789-.895C21.328 8.419 19.725 5.265 16.504 3.387z"}},{"tag":"path","attr":{"d":"M9.34 12.822c-1.03-1.26-1.787-2.317-1.392-3.506.263-.785.813-1.325 1.637-1.604 1.224-.41 2.92-.16 4.04.601l1.123-1.654c-1.648-1.12-3.982-1.457-5.804-.841C7.536 6.294 6.509 7.313 6.052 8.684c-.776 2.328.799 4.254 1.74 5.405.149.183.29.354.409.512C11 18.323 11 20.109 11 22h2c0-2.036 0-4.345-3.201-8.601C9.665 13.221 9.508 13.028 9.34 12.822zM15.131 9.478c1.835 1.764 3.034 4.447 3.889 8.701l1.961-.395c-.939-4.678-2.316-7.685-4.463-9.748L15.131 9.478z"}},{"tag":"path","attr":{"d":"M11.556 9.169l-1.115 1.66c.027.019 2.711 1.88 3.801 5.724l1.924-.545C14.867 11.426 11.69 9.259 11.556 9.169zM14.688 18.459C14.898 19.627 15 20.785 15 22h2c0-1.335-.112-2.608-.343-3.895L14.688 18.459z"}}]})(props);
};
function BiFirstAid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,6h-3V4c0-1.103-0.897-2-2-2H9C7.897,2,7,2.897,7,4v2H4C2.897,6,2,6.897,2,8v10c0,1.103,0.897,2,2,2h16 c1.103,0,2-0.897,2-2V8C22,6.897,21.103,6,20,6z M9,4h6v2H9V4z M4,18V8h4h8h4l0.001,10H4z"}},{"tag":"path","attr":{"d":"M13 9L11 9 11 12 8 12 8 14 11 14 11 17 13 17 13 14 16 14 16 12 13 12z"}}]})(props);
};
function BiFirstPage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.293 17.707L17.707 16.293 13.414 12 17.707 7.707 16.293 6.293 10.586 12zM7 6H9V18H7z"}}]})(props);
};
function BiFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,4H6V2H4v18H3v2h1h2h1v-2H6v-5h13c0.553,0,1-0.448,1-1V5C20,4.448,19.553,4,19,4z M18,13H6V6h12V13z"}}]})(props);
};
function BiFolderMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,5h-8.586L9.707,3.293C9.52,3.105,9.266,3,9,3H4C2.897,3,2,3.897,2,5v14c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V7 C22,5.897,21.103,5,20,5z M4,19V7h7h1h8l0.002,12H4z"}},{"tag":"path","attr":{"d":"M7.874 12H15.873999999999999V14H7.874z"}}]})(props);
};
function BiFolderOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2.165,19.551C2.351,19.831,2.664,20,3,20h15c0.4,0,0.762-0.238,0.919-0.606l3-7c0.133-0.309,0.101-0.663-0.084-0.944 C21.649,11.169,21.336,11,21,11h-1V7c0-1.103-0.897-2-2-2h-6.1L9.616,3.213C9.44,3.075,9.224,3,9,3H4C2.897,3,2,3.897,2,5v14 h0.007C2.007,19.192,2.056,19.385,2.165,19.551z M17.341,18H4.517l2.143-5h12.824L17.341,18z M18,7v4H6 c-0.4,0-0.762,0.238-0.919,0.606L4,14.129V7h7.556H12H18z"}}]})(props);
};
function BiFolderPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 9L11 9 11 12 8 12 8 14 11 14 11 17 13 17 13 14 16 14 16 12 13 12z"}},{"tag":"path","attr":{"d":"M20,5h-8.586L9.707,3.293C9.52,3.105,9.266,3,9,3H4C2.897,3,2,3.897,2,5v14c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V7 C22,5.897,21.103,5,20,5z M4,19V7h7h1h8l0.002,12H4z"}}]})(props);
};
function BiFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,5h-8.586L9.707,3.293C9.52,3.105,9.265,3,9,3H4C2.897,3,2,3.897,2,5v14c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V7 C22,5.897,21.103,5,20,5z M4,19V7h7h1h8l0.002,12H4z"}}]})(props);
};
function BiFontColor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 18H19V21H5zM12.5 4h-1c-.401 0-.764.24-.921.609L5.745 16h2.173l1.273-3h5.604l1.268 3h2.171L13.421 4.61C13.265 4.24 12.901 4 12.5 4zM10.04 11l1.959-4.616L13.95 11H10.04z"}}]})(props);
};
function BiFontFamily (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 4H22V6H15zM16 8H22V10H16zM18 12H22V14H18zM9.307 4l-6 16h2.137l1.875-5h6.363l1.875 5h2.137l-6-16H9.307zM8.068 13L10.5 6.515 12.932 13H8.068z"}}]})(props);
};
function BiFontSize (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 6L19 2 16 6 18 6 18 10 16 10 19 14 22 10 20 10 20 6zM9.307 4l-6 16h2.137l1.875-5h6.363l1.875 5h2.137l-6-16H9.307zM8.068 13L10.5 6.515 12.932 13H8.068z"}}]})(props);
};
function BiFont (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.307,4l-6,16h2.137l1.875-5h6.363l1.875,5h2.137l-6-16H11.307z M10.068,13L12.5,6.515L14.932,13H10.068z"}}]})(props);
};
function BiFoodMenu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 2H5V22H3zM10 6H17V8H10zM10 10H17V12H10z"}},{"tag":"path","attr":{"d":"M19,2h-5h-0.063H6v20h7.938H14h5c1.103,0,2-0.897,2-2V4C21,2.897,20.103,2,19,2z M19,20h-5h-0.063H8V4h5.938H14h5V20z"}}]})(props);
};
function BiFoodTag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H4C3.447,3,3,3.448,3,4v16c0,0.552,0.447,1,1,1h16c0.553,0,1-0.448,1-1V4C21,3.448,20.553,3,20,3z M19,19H5V5h14V19z"}},{"tag":"circle","attr":{"cx":"12","cy":"12","r":"5"}}]})(props);
};
function BiFootball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.071,4.929c-1.895-1.895-4.405-2.938-7.07-2.938c-2.666,0-5.177,1.044-7.072,2.938c-3.899,3.898-3.899,10.243,0,14.142 c1.895,1.895,4.406,2.938,7.073,2.938c2.666,0,5.176-1.043,7.07-2.937C22.971,15.174,22.971,8.829,19.071,4.929z M12.181,4h-0.359 c0.061-0.001,0.119-0.009,0.18-0.009S12.12,3.999,12.181,4z M18.243,17H16l-1.258,2.516c-0.868,0.318-1.791,0.493-2.741,0.493 c-0.952,0-1.876-0.175-2.746-0.494L8,17.01H5.765c-0.846-1.052-1.387-2.269-1.623-3.532L6,11L4.784,8.567 c0.381-0.804,0.895-1.56,1.559-2.224c0.919-0.92,2.021-1.584,3.22-1.969L12,6l2.438-1.625c1.198,0.385,2.301,1.049,3.22,1.968 c0.663,0.663,1.177,1.418,1.558,2.221L18,11l1.858,2.478C19.623,14.737,19.085,15.95,18.243,17z"}},{"tag":"path","attr":{"d":"M8.5 11L10 15 14 15 15.5 11 12 8.5z"}}]})(props);
};
function BiFridge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18,2H6C4.897,2,4,2.897,4,4v16c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2V4C20,2.897,19.103,2,18,2z M18,4l0.001,5H10 V7H8v2H6V4H18z M6,20v-9h2v3h2v-3h8.001l0.001,9H6z"}}]})(props);
};
function BiFullscreen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 5L10 5 10 3 3 3 3 10 5 10zM10 19L5 19 5 14 3 14 3 21 10 21zM21 14L19 14 19 19 14 19 14 21 21 21zM19 10L21 10 21 3 14 3 14 5 19 5z"}}]})(props);
};
function BiGame (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.937,7.53C19.227,4.119,15.803,2,12,2C6.486,2,2,6.486,2,12s4.486,10,10,10c3.803,0,7.227-2.119,8.937-5.53 c0.238-0.475,0.063-1.053-0.397-1.316L15.017,12l5.522-3.153C21,8.583,21.175,8.005,20.937,7.53z M12.504,11.132 C12.192,11.31,12,11.641,12,12s0.192,0.69,0.504,0.868l6.173,3.525C17.205,18.639,14.724,20,12,20c-4.411,0-8-3.589-8-8 s3.589-8,8-8c2.724,0,5.205,1.361,6.677,3.606L12.504,11.132z"}},{"tag":"circle","attr":{"cx":"11.5","cy":"7.5","r":"1.5"}}]})(props);
};
function BiGasPump (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.616,6.48l0.014-0.017l-4-3.24l-1.26,1.554l2.067,1.674c-0.991,0.611-1.609,1.769-1.395,3.058 c0.149,0.899,0.766,1.676,1.565,2.112c0.897,0.49,1.685,0.446,2.384,0.197L18.976,18c0,0.137-0.026,0.268-0.078,0.391 c-0.05,0.117-0.123,0.225-0.217,0.318c-0.09,0.09-0.198,0.164-0.315,0.213c-0.246,0.104-0.532,0.104-0.78,0 c-0.116-0.049-0.225-0.123-0.318-0.217c-0.09-0.09-0.163-0.197-0.213-0.314c-0.052-0.123-0.078-0.254-0.078-0.391L17,16 c0-0.404-0.079-0.797-0.236-1.168c-0.151-0.357-0.368-0.68-0.641-0.951c-0.275-0.275-0.597-0.492-0.954-0.645 C14.798,13.08,14.405,13,14,13h-1v-2V9V5c0-1.103-0.897-2-2-2H4C2.897,3,2,3.897,2,5v14c0,1.103,0.897,2,2,2h7 c1.103,0,2-0.897,2-2v-4h1c0.136,0,0.267,0.027,0.391,0.078c0.116,0.051,0.225,0.123,0.318,0.217 c0.09,0.09,0.163,0.199,0.213,0.316C14.974,15.734,15,15.865,15,16l-0.024,2c0,0.406,0.079,0.799,0.236,1.168 c0.151,0.359,0.368,0.68,0.641,0.951c0.275,0.277,0.597,0.494,0.954,0.645C17.178,20.922,17.57,21,17.976,21 s0.798-0.078,1.168-0.236c0.358-0.15,0.68-0.367,0.951-0.641c0.276-0.275,0.493-0.596,0.645-0.953 c0.157-0.371,0.236-0.764,0.236-1.17L21,9C21,7.941,20.446,7.016,19.616,6.48z M4,5h7l0.001,4H4V5z M4,19v-8h7.001l0.001,8H4z M18,10c-0.552,0-1-0.448-1-1c0-0.551,0.448-1,1-1s1,0.449,1,1C19,9.552,18.552,10,18,10z"}}]})(props);
};
function BiGhost (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2c-4.963,0-9,4.038-9,9v8h0.051c0.245,1.691,1.69,3,3.449,3c1.174,0,2.074-0.417,2.672-1.174 C9.896,21.551,10.896,22,12,22c1.11,0,2.114-0.456,2.84-1.188C15.441,21.574,16.344,22,17.5,22c1.93,0,3.5-1.57,3.5-3.5V11 C21,6.038,16.963,2,12,2z M19,18.5c0,0.827-0.673,1.5-1.5,1.5c-0.449,0-1.5,0-1.5-2v-1h-2v1c0,1.103-0.897,2-2,2s-2-0.897-2-2v-1H8 v1c0,1.845-0.774,2-1.5,2C5.673,20,5,19.327,5,18.5V11c0-3.86,3.141-7,7-7s7,3.14,7,7V18.5z"}},{"tag":"circle","attr":{"cx":"9","cy":"10","r":"2"}},{"tag":"circle","attr":{"cx":"15","cy":"10","r":"2"}}]})(props);
};
function BiGift (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,7h-1.209C18.922,6.589,19,6.096,19,5.5C19,3.57,17.43,2,15.5,2c-1.622,0-2.705,1.482-3.404,3.085 C11.407,3.57,10.269,2,8.5,2C6.57,2,5,3.57,5,5.5C5,6.096,5.079,6.589,5.209,7H4C2.897,7,2,7.897,2,9v2c0,1.103,0.897,2,2,2v7 c0,1.103,0.897,2,2,2h5h2h5c1.103,0,2-0.897,2-2v-7c1.103,0,2-0.897,2-2V9C22,7.897,21.103,7,20,7z M15.5,4 C16.327,4,17,4.673,17,5.5C17,7,16.374,7,16,7h-2.478C14.033,5.424,14.775,4,15.5,4z M7,5.5C7,4.673,7.673,4,8.5,4 c0.888,0,1.714,1.525,2.198,3H8C7.626,7,7,7,7,5.5z M4,9h7v2H4V9z M6,20v-7h5v7H6z M18,20h-5v-7h5V20z M13,11V9.085 C13.005,9.057,13.011,9.028,13.017,9H20l0.001,2H13z"}}]})(props);
};
function BiGitBranch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.5,4C15.57,4,14,5.57,14,7.5c0,1.554,1.025,2.859,2.43,3.315c-0.146,0.932-0.547,1.7-1.23,2.323 C13.254,14.911,9.673,15.073,8,15.045V8.837C9.44,8.403,10.5,7.08,10.5,5.5C10.5,3.57,8.93,2,7,2S3.5,3.57,3.5,5.5 c0,1.58,1.06,2.903,2.5,3.337v6.326C4.56,15.597,3.5,16.92,3.5,18.5C3.5,20.43,5.07,22,7,22s3.5-1.57,3.5-3.5 c0-0.551-0.14-1.065-0.367-1.529c2.06-0.186,4.657-0.757,6.409-2.35c1.097-0.997,1.731-2.264,1.904-3.768 C19.915,10.438,21,9.1,21,7.5C21,5.57,19.43,4,17.5,4z M5.5,5.5C5.5,4.673,6.173,4,7,4s1.5,0.673,1.5,1.5S7.827,7,7,7 S5.5,6.327,5.5,5.5z M7,20c-0.827,0-1.5-0.673-1.5-1.5c0-0.821,0.664-1.488,1.482-1.498c0.034,0.003,0.072,0.005,0.13,0.01 C7.887,17.07,8.5,17.711,8.5,18.5C8.5,19.327,7.827,20,7,20z M17.5,9C16.673,9,16,8.327,16,7.5S16.673,6,17.5,6S19,6.673,19,7.5 S18.327,9,17.5,9z"}}]})(props);
};
function BiGitCommit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,6c-2.967,0-5.431,2.167-5.909,5H2v2h4.092c0.479,2.832,2.942,4.998,5.909,4.998s5.43-2.166,5.909-4.998H22v-2h-4.09 C17.432,8.167,14.968,6,12,6z M12,15.998c-2.205,0-3.999-1.794-3.999-3.999S9.795,8,12,8c2.206,0,4,1.794,4,3.999 S14.206,15.998,12,15.998z"}}]})(props);
};
function BiGitCompare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6.01 2c-1.93 0-3.5 1.57-3.5 3.5 0 1.58 1.06 2.903 2.5 3.337v7.16c-.001.179.027 1.781 1.174 2.931C6.892 19.64 7.84 20 9 20v2l4-3-4-3v2c-1.823 0-1.984-1.534-1.99-2V8.837C8.45 8.403 9.51 7.08 9.51 5.5 9.51 3.57 7.939 2 6.01 2zM6.01 7c-.827 0-1.5-.673-1.5-1.5S5.183 4 6.01 4s1.5.673 1.5 1.5S6.837 7 6.01 7zM19.01 15.163V7.997C19.005 6.391 17.933 4 15 4V2l-4 3 4 3V6c1.829 0 2.001 1.539 2.01 2v7.163c-1.44.434-2.5 1.757-2.5 3.337 0 1.93 1.57 3.5 3.5 3.5s3.5-1.57 3.5-3.5C21.51 16.92 20.45 15.597 19.01 15.163zM18.01 20c-.827 0-1.5-.673-1.5-1.5s.673-1.5 1.5-1.5 1.5.673 1.5 1.5S18.837 20 18.01 20z"}}]})(props);
};
function BiGitMerge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2.5,18.5C2.5,20.43,4.07,22,6,22s3.5-1.57,3.5-3.5c0-1.58-1.06-2.903-2.5-3.337v-3.488 c0.244,0.273,0.509,0.527,0.813,0.744c1.18,0.844,2.617,1.098,3.918,1.098c0.966,0,1.853-0.14,2.506-0.281 c0.502,1.319,1.771,2.265,3.264,2.265c1.93,0,3.5-1.57,3.5-3.5s-1.57-3.5-3.5-3.5c-1.66,0-3.047,1.165-3.404,2.718 c-1.297,0.321-3.664,0.616-5.119-0.426c-0.666-0.477-1.09-1.239-1.306-2.236C8.755,7.96,9.5,6.821,9.5,5.5C9.5,3.57,7.93,2,6,2 S2.5,3.57,2.5,5.5c0,1.58,1.06,2.903,2.5,3.337v6.326C3.56,15.597,2.5,16.92,2.5,18.5z M17.5,10.5c0.827,0,1.5,0.673,1.5,1.5 s-0.673,1.5-1.5,1.5S16,12.827,16,12S16.673,10.5,17.5,10.5z M7.5,18.5C7.5,19.327,6.827,20,6,20s-1.5-0.673-1.5-1.5S5.173,17,6,17 S7.5,17.673,7.5,18.5z M4.5,5.5C4.5,4.673,5.173,4,6,4s1.5,0.673,1.5,1.5S6.827,7,6,7S4.5,6.327,4.5,5.5z"}}]})(props);
};
function BiGitPullRequest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.01 15.163V7.997C19.005 6.391 17.933 4 15 4V2l-4 3 4 3V6c1.829 0 2.001 1.539 2.01 2v7.163c-1.44.434-2.5 1.757-2.5 3.337 0 1.93 1.57 3.5 3.5 3.5s3.5-1.57 3.5-3.5C21.51 16.92 20.45 15.597 19.01 15.163zM18.01 20c-.827 0-1.5-.673-1.5-1.5s.673-1.5 1.5-1.5 1.5.673 1.5 1.5S18.837 20 18.01 20zM9.5 5.5C9.5 3.57 7.93 2 6 2S2.5 3.57 2.5 5.5c0 1.58 1.06 2.903 2.5 3.337v6.326C3.56 15.597 2.5 16.92 2.5 18.5 2.5 20.43 4.07 22 6 22s3.5-1.57 3.5-3.5c0-1.58-1.06-2.903-2.5-3.337V8.837C8.44 8.403 9.5 7.08 9.5 5.5zM4.5 5.5C4.5 4.673 5.173 4 6 4s1.5.673 1.5 1.5S6.827 7 6 7 4.5 6.327 4.5 5.5zM7.5 18.5C7.5 19.327 6.827 20 6 20s-1.5-.673-1.5-1.5S5.173 17 6 17 7.5 17.673 7.5 18.5z"}}]})(props);
};
function BiGitRepoForked (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5.559,8.855c0.166,1.183,0.789,3.207,3.087,4.079C11,13.829,11,14.534,11,15v0.163C9.56,15.597,8.5,16.92,8.5,18.5 c0,1.93,1.57,3.5,3.5,3.5s3.5-1.57,3.5-3.5c0-1.58-1.06-2.903-2.5-3.337V15c0-0.466,0-1.171,2.354-2.065 c2.298-0.872,2.921-2.896,3.087-4.079C19.912,8.441,21,7.102,21,5.5C21,3.57,19.43,2,17.5,2S14,3.57,14,5.5 c0,1.552,1.022,2.855,2.424,3.313c-0.146,0.735-0.565,1.791-1.778,2.252c-1.192,0.452-2.053,0.953-2.646,1.536 c-0.593-0.583-1.453-1.084-2.646-1.536c-1.213-0.461-1.633-1.517-1.778-2.252C8.978,8.355,10,7.052,10,5.5C10,3.57,8.43,2,6.5,2 S3,3.57,3,5.5C3,7.102,4.088,8.441,5.559,8.855z M17.5,4C18.327,4,19,4.673,19,5.5S18.327,7,17.5,7S16,6.327,16,5.5 S16.673,4,17.5,4z M13.5,18.5c0,0.827-0.673,1.5-1.5,1.5s-1.5-0.673-1.5-1.5S11.173,17,12,17S13.5,17.673,13.5,18.5z M6.5,4 C7.327,4,8,4.673,8,5.5S7.327,7,6.5,7S5,6.327,5,5.5S5.673,4,6.5,4z"}}]})(props);
};
function BiGlassesAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.948,11.684l-2-6C19.813,5.275,19.431,5,19,5h-3v2h2.279l1.334,4H15c-1.103,0-2,0.897-2,2h-2c0-1.103-0.897-2-2-2H4.387 l1.334-4H8V5H5C4.569,5,4.188,5.275,4.052,5.684l-2,6l0.012,0.004C2.029,11.787,2,11.889,2,12v4c0,1.654,1.346,3,3,3h3 c1.654,0,3-1.346,3-3v-1h2v1c0,1.654,1.346,3,3,3h3c1.654,0,3-1.346,3-3v-4c0-0.111-0.029-0.213-0.063-0.313L21.948,11.684z M9,16 c0,0.551-0.448,1-1,1H5c-0.552,0-1-0.449-1-1v-3h5V16z M20,16c0,0.551-0.448,1-1,1h-3c-0.552,0-1-0.449-1-1v-3h5V16z"}}]})(props);
};
function BiGlasses (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.977,13.783l-2-9C19.874,4.326,19.469,4,19,4h-3v2h2.198l0.961,4.326C18.645,10.121,18.087,10,17.5,10 c-1.953,0-3.603,1.258-4.224,3h-2.553c-0.621-1.742-2.271-3-4.224-3c-0.587,0-1.145,0.121-1.659,0.326L5.802,6H8V4H5 C4.531,4,4.125,4.326,4.024,4.783l-2,9l0.047,0.011C2.035,14.025,2,14.258,2,14.5C2,16.981,4.019,19,6.5,19 c2.31,0,4.197-1.756,4.449-4h2.102c0.252,2.244,2.139,4,4.449,4c2.481,0,4.5-2.019,4.5-4.5c0-0.242-0.034-0.475-0.071-0.706 L21.977,13.783z M6.5,17C5.122,17,4,15.878,4,14.5S5.122,12,6.5,12S9,13.122,9,14.5S7.878,17,6.5,17z M17.5,17 c-1.379,0-2.5-1.122-2.5-2.5s1.121-2.5,2.5-2.5s2.5,1.122,2.5,2.5S18.879,17,17.5,17z"}}]})(props);
};
function BiGlobeAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11,18.791V20H9v2h2h2h2v-2h-2v-1.845c1.114-0.485,2.161-1.174,3.071-2.084c3.898-3.898,3.898-10.243,0-14.143 l-1.414,1.414c3.119,3.12,3.119,8.195,0,11.314c-3.119,3.118-8.195,3.12-11.314,0l-1.414,1.414c1.95,1.949,4.51,2.924,7.071,2.924 C9.67,18.995,10.34,18.925,11,18.791z"}},{"tag":"path","attr":{"d":"M3,9c0,3.309,2.691,6,6,6s6-2.691,6-6s-2.691-6-6-6S3,5.691,3,9z M13,9c0,2.206-1.794,4-4,4s-4-1.794-4-4s1.794-4,4-4 S13,6.794,13,9z"}}]})(props);
};
function BiGlobe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M19.931,11h-2.764 c-0.116-2.165-0.73-4.3-1.792-6.243C17.813,5.898,19.582,8.228,19.931,11z M12.53,4.027c1.035,1.364,2.427,3.78,2.627,6.973H9.03 c0.139-2.596,0.994-5.028,2.451-6.974C11.653,4.016,11.825,4,12,4C12.179,4,12.354,4.016,12.53,4.027z M8.688,4.727 C7.704,6.618,7.136,8.762,7.03,11H4.069C4.421,8.204,6.217,5.857,8.688,4.727z M4.069,13h2.974c0.136,2.379,0.665,4.478,1.556,6.23 C6.174,18.084,4.416,15.762,4.069,13z M11.45,19.973C10.049,18.275,9.222,15.896,9.041,13h6.113 c-0.208,2.773-1.117,5.196-2.603,6.972C12.369,19.984,12.187,20,12,20C11.814,20,11.633,19.984,11.45,19.973z M15.461,19.201 c0.955-1.794,1.538-3.901,1.691-6.201h2.778C19.587,15.739,17.854,18.047,15.461,19.201z"}}]})(props);
};
function BiGridAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 3H4C3.448 3 3 3.448 3 4v6c0 .552.448 1 1 1h6c.552 0 1-.448 1-1V4C11 3.448 10.552 3 10 3zM9 9H5V5h4V9zM14 11h6c.553 0 1-.448 1-1V4c0-.552-.447-1-1-1h-6c-.553 0-1 .448-1 1v6C13 10.552 13.447 11 14 11zM15 5h4v4h-4V5zM3 20c0 .552.448 1 1 1h6c.552 0 1-.448 1-1v-6c0-.552-.448-1-1-1H4c-.552 0-1 .448-1 1V20zM5 15h4v4H5V15zM13 20c0 .552.447 1 1 1h6c.553 0 1-.448 1-1v-6c0-.552-.447-1-1-1h-6c-.553 0-1 .448-1 1V20zM15 15h4v4h-4V15z"}}]})(props);
};
function BiGridHorizontal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 7H14V11H10zM16 7H20V11H16zM4 7H8V11H4zM10 13H14V17H10zM16 13H20V17H16zM4 13H8V17H4z"}}]})(props);
};
function BiGridSmall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 7H11V11H7zM7 13H11V17H7zM13 7H17V11H13zM13 13H17V17H13z"}}]})(props);
};
function BiGridVertical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 10H11V14H7zM7 4H11V8H7zM7 16H11V20H7zM13 10H17V14H13zM13 4H17V8H13zM13 16H17V20H13z"}}]})(props);
};
function BiGrid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15,3H8.984h-4c-1.103,0-2,0.897-2,2v4v6.016v4c0,1.103,0.897,2,2,2h4H15h4c1.103,0,2-0.897,2-2v-4V9V5 c0-1.103-0.897-2-2-2H15z M19,8h-3V5h3V8z M4.984,10h3v4.016h-3V10z M9.984,10H14v4.016H9.984V10z M16,10h3v4.016h-3V10z M14,5v3 H9.984V5H14z M7.984,5v3h-3V5H7.984z M4.984,16.016h3v3h-3V16.016z M9.984,19.016v-3H14v3H9.984z M16,19.016v-3h3.001v3H16z"}}]})(props);
};
function BiGroup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.604,11.048c0.604-1.029,0.872-2.228,0.751-3.44c-0.179-1.784-1.175-3.361-2.803-4.44l-1.105,1.666 c1.119,0.742,1.8,1.799,1.918,2.974c0.11,1.105-0.28,2.194-1.072,2.986l-1.192,1.192l1.618,0.475C18.951,13.701,19,17.957,19,18h2 C21,16.211,20.044,12.715,16.604,11.048z"}},{"tag":"path","attr":{"d":"M9.5 12c2.206 0 4-1.794 4-4s-1.794-4-4-4-4 1.794-4 4S7.294 12 9.5 12zM9.5 6c1.103 0 2 .897 2 2s-.897 2-2 2-2-.897-2-2S8.397 6 9.5 6zM11 13H8c-3.309 0-6 2.691-6 6v1h2v-1c0-2.206 1.794-4 4-4h3c2.206 0 4 1.794 4 4v1h2v-1C17 15.691 14.309 13 11 13z"}}]})(props);
};
function BiHandicap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"9","cy":"4","r":"2"}},{"tag":"path","attr":{"d":"M16.98,14.804C16.887,14.337,16.477,14,16,14h-4.133l-0.429-3H16V9h-4.847L10.99,7.858C10.92,7.366,10.498,7,10,7H9 C8.71,7,8.435,7.126,8.244,7.345C8.055,7.563,7.969,7.854,8.01,8.142l0.877,6.142C9.026,15.262,9.878,16,10.867,16h4.313 l0.839,4.196C16.113,20.663,16.523,21,17,21h3v-2h-2.181L16.98,14.804z"}},{"tag":"path","attr":{"d":"M12.51,17.5C11.771,18.976,10.26,20,8.5,20C6.019,20,4,17.981,4,15.5c0-1.886,1.169-3.498,2.817-4.167L6.528,9.308 C3.905,10.145,2,12.604,2,15.5C2,19.084,4.916,22,8.5,22c2.348,0,4.402-1.256,5.545-3.126L13.771,17.5H12.51z"}}]})(props);
};
function BiHappyAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"circle","attr":{"cx":"8.5","cy":"9.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"15.493","cy":"9.493","r":"1.493"}},{"tag":"path","attr":{"d":"M12,18c5,0,6-5,6-5H6C6,13,7,18,12,18z"}}]})(props);
};
function BiHappyBeaming (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,18c4,0,5-4,5-4H7C7,14,8,18,12,18z"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12c0,5.514,4.486,10,10,10s10-4.486,10-10C22,6.486,17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8 s3.589-8,8-8s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M13 12l2 .012C15.012 11.55 15.194 11 16 11s.988.55 1 1h2c0-1.206-.799-3-3-3S13 10.794 13 12zM8 11c.806 0 .988.55 1 1h2c0-1.206-.799-3-3-3s-3 1.794-3 3l2 .012C7.012 11.55 7.194 11 8 11z"}}]})(props);
};
function BiHappyHeartEyes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,18c4,0,5-4,5-4H7C7,14,8,18,12,18z"}},{"tag":"path","attr":{"d":"M12,22c5.514,0,10-4.486,10-10S17.514,2,12,2S2,6.486,2,12S6.486,22,12,22z M12,4c4.411,0,8,3.589,8,8s-3.589,8-8,8 s-8-3.589-8-8S7.589,4,12,4z"}},{"tag":"path","attr":{"d":"M8.535 12.634l2.05-2.083c.587-.597.579-1.526-.018-2.118C10.279 8.15 9.9 7.996 9.504 8 9.131 8.003 8.776 8.145 8.502 8.399c-.279-.251-.637-.387-1.01-.384C7.096 8.019 6.72 8.179 6.435 8.467c-.586.6-.579 1.53.019 2.117L8.535 12.634zM15.535 12.634l2.05-2.083c.587-.597.579-1.526-.018-2.118C17.279 8.15 16.9 7.996 16.504 8c-.373.003-.728.145-1.002.399-.279-.251-.637-.387-1.01-.384-.396.003-.772.163-1.058.451-.586.6-.579 1.53.019 2.117L15.535 12.634z"}}]})(props);
};
function BiHappy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"circle","attr":{"cx":"8.5","cy":"10.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"15.493","cy":"10.493","r":"1.493"}},{"tag":"path","attr":{"d":"M12,18c4,0,5-4,5-4H7C7,14,8,18,12,18z"}}]})(props);
};
function BiHash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.018,3.815L15.232,8h-4.966l0.716-3.815L9.018,3.815L8.232,8H4v2h3.857l-0.751,4H3v2h3.731l-0.714,3.805l1.965,0.369 L8.766,16h4.966l-0.714,3.805l1.965,0.369L15.766,16H20v-2h-3.859l0.751-4H21V8h-3.733l0.716-3.815L16.018,3.815z M14.106,14H9.141 l0.751-4h4.966L14.106,14z"}}]})(props);
};
function BiHdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.983,13.821l-1.851-10.18C19.959,2.69,19.132,2,18.165,2H5.835C4.868,2,4.041,2.69,3.867,3.643L2.017,13.821 l0.019,0.003C2.024,13.884,2,13.938,2,14v5c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2v-5c0-0.063-0.024-0.116-0.035-0.176 L21.983,13.821z M5.835,4h12.331l1.637,9H4.198L5.835,4z M4,19v-4h16l0.002,4H4z"}},{"tag":"path","attr":{"d":"M17 16H19V18H17zM14 16H16V18H14z"}}]})(props);
};
function BiHeading (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 20L18 4 15 4 15 10 9 10 9 4 6 4 6 20 9 20 9 13 15 13 15 20z"}}]})(props);
};
function BiHeadphone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,12v-1.707c0-4.442-3.479-8.161-7.755-8.29c-2.204-0.051-4.251,0.736-5.816,2.256C4.862,5.779,4,7.818,4,10v2 c-1.103,0-2,0.897-2,2v4c0,1.103,0.897,2,2,2h2V10c0-1.637,0.646-3.166,1.821-4.306c1.174-1.14,2.735-1.739,4.363-1.691 C15.392,4.099,18,6.921,18,10.293V20h2c1.103,0,2-0.897,2-2v-4C22,12.897,21.103,12,20,12z"}},{"tag":"path","attr":{"d":"M7 12H9V20H7zM15 12H17V20H15z"}}]})(props);
};
function BiHealth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.649 5.286L14 8.548 14 2.025 10 2.025 10 8.548 4.351 5.286 2.351 8.751 7.999 12.012 2.351 15.273 4.351 18.738 10 15.477 10 22 14 22 14 15.477 19.649 18.738 21.649 15.273 16.001 12.012 21.649 8.751z"}}]})(props);
};
function BiHeartCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.279,8.833L12,9.112l-0.279-0.279c-1.088-1.088-2.813-1.088-3.906,0c-1.089,1.094-1.089,2.818,0,3.907L12,16.926 l4.186-4.186c1.089-1.088,1.089-2.813,0-3.907C15.092,7.745,13.367,7.745,12.279,8.833z"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}}]})(props);
};
function BiHeartSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.998,17l4.186-4.186c1.089-1.088,1.089-2.813,0-3.907c-1.094-1.088-2.818-1.088-3.907,0l-0.278,0.279l-0.279-0.279 c-1.088-1.088-2.813-1.088-3.907,0c-1.088,1.094-1.088,2.818,0,3.907L11.998,17z"}},{"tag":"path","attr":{"d":"M21,4c0-0.552-0.447-1-1-1H4C3.447,3,3,3.448,3,4v16c0,0.552,0.447,1,1,1h16c0.553,0,1-0.448,1-1V4z M19,19H5V5h14V19z"}}]})(props);
};
function BiHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,4.595c-1.104-1.006-2.512-1.558-3.996-1.558c-1.578,0-3.072,0.623-4.213,1.758c-2.353,2.363-2.352,6.059,0.002,8.412 l7.332,7.332c0.17,0.299,0.498,0.492,0.875,0.492c0.322,0,0.609-0.163,0.792-0.409l7.415-7.415 c2.354-2.354,2.354-6.049-0.002-8.416c-1.137-1.131-2.631-1.754-4.209-1.754C14.513,3.037,13.104,3.589,12,4.595z M18.791,6.205 c1.563,1.571,1.564,4.025,0.002,5.588L12,18.586l-6.793-6.793C3.645,10.23,3.646,7.776,5.205,6.209 c0.76-0.756,1.754-1.172,2.799-1.172s2.035,0.416,2.789,1.17l0.5,0.5c0.391,0.391,1.023,0.391,1.414,0l0.5-0.5 C14.719,4.698,17.281,4.702,18.791,6.205z"}}]})(props);
};
function BiHelpCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 6C9.831 6 8.066 7.765 8.066 9.934h2C10.066 8.867 10.934 8 12 8s1.934.867 1.934 1.934c0 .598-.481 1.032-1.216 1.626-.255.207-.496.404-.691.599C11.029 13.156 11 14.215 11 14.333V15h2l-.001-.633c.001-.016.033-.386.441-.793.15-.15.339-.3.535-.458.779-.631 1.958-1.584 1.958-3.182C15.934 7.765 14.169 6 12 6zM11 16H13V18H11z"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}}]})(props);
};
function BiHide (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 19c.946 0 1.81-.103 2.598-.281l-1.757-1.757C12.568 16.983 12.291 17 12 17c-5.351 0-7.424-3.846-7.926-5 .204-.47.674-1.381 1.508-2.297L4.184 8.305c-1.538 1.667-2.121 3.346-2.132 3.379-.069.205-.069.428 0 .633C2.073 12.383 4.367 19 12 19zM12 5c-1.837 0-3.346.396-4.604.981L3.707 2.293 2.293 3.707l18 18 1.414-1.414-3.319-3.319c2.614-1.951 3.547-4.615 3.561-4.657.069-.205.069-.428 0-.633C21.927 11.617 19.633 5 12 5zM16.972 15.558l-2.28-2.28C14.882 12.888 15 12.459 15 12c0-1.641-1.359-3-3-3-.459 0-.888.118-1.277.309L8.915 7.501C9.796 7.193 10.814 7 12 7c5.351 0 7.424 3.846 7.926 5C19.624 12.692 18.76 14.342 16.972 15.558z"}}]})(props);
};
function BiHighlight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.707 5.826l-3.535-3.533c-.388-.389-1.017-.391-1.408-.006L7.096 10.82c-.135.134-.23.303-.273.488l-1.024 4.437L4 18h2.828l1.142-1.129 3.588-.828c.18-.042.345-.133.477-.262l8.667-8.535C20.892 7.059 20.999 6.804 21 6.537S20.896 6.015 20.707 5.826zM11.338 13.659l-2.121-2.12 7.243-7.131 2.12 2.12L11.338 13.659zM4 20H20V22H4z"}}]})(props);
};
function BiHistory (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 8L12 13 17 13 17 11 14 11 14 8z"}},{"tag":"path","attr":{"d":"M21.292,8.497c-0.226-0.535-0.505-1.05-0.829-1.529c-0.322-0.478-0.691-0.926-1.099-1.333S18.51,4.86,18.032,4.537 c-0.482-0.326-0.997-0.604-1.528-0.829c-0.545-0.23-1.114-0.407-1.69-0.525c-1.181-0.243-2.444-0.244-3.626,0 c-0.579,0.118-1.147,0.295-1.69,0.524c-0.531,0.225-1.045,0.503-1.529,0.83C7.492,4.859,7.043,5.229,6.636,5.636 C6.229,6.043,5.859,6.492,5.537,6.968C5.211,7.452,4.932,7.966,4.708,8.496c-0.23,0.544-0.407,1.113-0.525,1.69 C4.062,10.778,4,11.388,4,12c0,0.008,0.001,0.017,0.001,0.025H2L5,16l3-3.975H6.001C6.001,12.017,6,12.008,6,12 c0-0.477,0.048-0.952,0.142-1.412c0.092-0.449,0.229-0.89,0.408-1.313c0.174-0.412,0.391-0.813,0.645-1.188 C7.445,7.716,7.733,7.368,8.05,7.05s0.666-0.605,1.036-0.855c0.376-0.254,0.777-0.471,1.19-0.646 c0.421-0.179,0.863-0.316,1.313-0.408c0.919-0.189,1.904-0.188,2.823,0c0.447,0.092,0.89,0.229,1.313,0.408 c0.413,0.174,0.813,0.392,1.188,0.644c0.37,0.251,0.72,0.539,1.037,0.856c0.317,0.316,0.604,0.665,0.855,1.037 c0.252,0.372,0.469,0.772,0.645,1.189c0.178,0.417,0.314,0.858,0.408,1.311C19.952,11.049,20,11.524,20,12 s-0.048,0.951-0.142,1.41c-0.094,0.455-0.23,0.896-0.408,1.314c-0.176,0.416-0.393,0.815-0.646,1.189 c-0.25,0.371-0.537,0.72-0.854,1.036c-0.317,0.317-0.667,0.605-1.036,0.855c-0.376,0.253-0.775,0.471-1.189,0.646 c-0.423,0.179-0.865,0.316-1.313,0.408c-0.918,0.188-1.902,0.189-2.823,0c-0.449-0.092-0.89-0.229-1.313-0.408 c-0.412-0.174-0.813-0.391-1.188-0.645c-0.371-0.25-0.719-0.538-1.037-0.855l-1.414,1.414c0.407,0.408,0.855,0.777,1.332,1.099 c0.483,0.326,0.998,0.605,1.528,0.829c0.544,0.23,1.113,0.407,1.69,0.525C11.778,20.938,12.388,21,13,21 c0.612,0,1.223-0.062,1.813-0.183c0.577-0.118,1.146-0.294,1.69-0.524c0.532-0.225,1.047-0.504,1.531-0.831 c0.476-0.322,0.923-0.691,1.33-1.098s0.776-0.855,1.098-1.331c0.325-0.48,0.604-0.995,0.83-1.529 c0.228-0.538,0.405-1.106,0.525-1.692C21.938,13.22,22,12.61,22,12s-0.062-1.22-0.183-1.814 C21.697,9.602,21.52,9.034,21.292,8.497z"}}]})(props);
};
function BiHive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.895,7.553l-2-4C18.725,3.214,18.379,3,18,3h-5c-0.379,0-0.725,0.214-0.895,0.553L10.382,7H6 C5.621,7,5.275,7.214,5.105,7.553l-2,4c-0.141,0.281-0.141,0.613,0,0.895l2,4C5.275,16.786,5.621,17,6,17h4.382l1.724,3.447 C12.275,20.786,12.621,21,13,21h5c0.379,0,0.725-0.214,0.895-0.553l2-4c0.141-0.281,0.141-0.613,0-0.895L19.118,12l1.776-3.553 C21.035,8.166,21.035,7.834,20.895,7.553z M13.618,5h3.764l1.5,3l-1.5,3h-3.764l-1.5-3L13.618,5z M5.118,12l1.5-3h3.764l1.5,3 l-1.5,3H6.618L5.118,12z M17.382,19h-3.764l-1.5-3l1.5-3h3.764l1.5,3L17.382,19z"}}]})(props);
};
function BiHomeAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M8.003,15c0-1.103,0.897-2,2-2h4c1.103,0,2,0.897,2,2v5h3.001l-0.001-8.586l-7-7l-7,7V20h3V15z"}},{"tag":"path","attr":{"fill":"none","d":"M10.003 15H14.003V20H10.003z"}},{"tag":"path","attr":{"d":"M5.003,22h4h6h4c1.103,0,2-0.897,2-2v-9c0-0.265-0.105-0.52-0.293-0.707l-8-8c-0.391-0.391-1.023-0.391-1.414,0l-8,8 C3.108,10.48,3.003,10.735,3.003,11v9C3.003,21.103,3.9,22,5.003,22z M10.003,20v-5h4v5H10.003z M5.003,11.414l7-7l7,7L19.004,20 h-3.001v-5c0-1.103-0.897-2-2-2h-4c-1.103,0-2,0.897-2,2v5h-3V11.414z"}}]})(props);
};
function BiHomeCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3,13h1v2v5c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2v-5v-2h1c0.404,0,0.77-0.244,0.924-0.617 c0.155-0.374,0.069-0.804-0.217-1.09l-9-9c-0.391-0.391-1.023-0.391-1.414,0l-9,9c-0.286,0.286-0.372,0.716-0.217,1.09 C2.231,12.756,2.596,13,3,13z M12,4.414l6,6V15l0,0l0.001,5H6v-5v-3v-1.585L12,4.414z"}},{"tag":"path","attr":{"d":"M12,17c2.206,0,4-1.794,4-4s-1.794-4-4-4c-2.206,0-4,1.794-4,4S9.794,17,12,17z M12,11c1.103,0,2,0.897,2,2s-0.897,2-2,2 c-1.103,0-2-0.897-2-2S10.897,11,12,11z"}}]})(props);
};
function BiHomeHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.223,11.641L12,11.861l-0.224-0.22c-0.87-0.855-2.25-0.855-3.125,0c-0.871,0.86-0.871,2.215,0,3.07L12,18l3.349-3.289 c0.871-0.855,0.871-2.21,0-3.07C14.474,10.786,13.094,10.786,12.223,11.641z"}},{"tag":"path","attr":{"d":"M21.707,11.293l-9-9c-0.391-0.391-1.023-0.391-1.414,0l-9,9c-0.286,0.286-0.372,0.716-0.217,1.09 C2.231,12.756,2.596,13,3,13h1v2v5c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2v-5v-2h1c0.404,0,0.77-0.244,0.924-0.617 C22.079,12.009,21.993,11.579,21.707,11.293z M18.001,20H6v-5v-3v-1.585l6-6l6,6V15l0,0L18.001,20z"}}]})(props);
};
function BiHomeSmile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3,13h1v2v5c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2v-5v-2h1c0.404,0,0.77-0.244,0.924-0.617 c0.155-0.374,0.069-0.804-0.217-1.09l-9-9c-0.391-0.391-1.023-0.391-1.414,0l-9,9c-0.286,0.286-0.372,0.716-0.217,1.09 C2.23,12.756,2.596,13,3,13z M12,4.414l6,6V15l0,0l0.001,5H6v-5v-3v-1.586L12,4.414z"}},{"tag":"path","attr":{"d":"M12,18c3.703,0,4.901-3.539,4.95-3.689l-1.9-0.621C15.042,13.713,14.269,16,12,16c-2.238,0-3.02-2.221-3.051-2.316 L7.05,14.311C7.099,14.461,8.297,18,12,18z"}}]})(props);
};
function BiHome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3,13h1v2v5c0,1.103,0.897,2,2,2h3h6h3c1.103,0,2-0.897,2-2v-5v-2h1c0.404,0,0.77-0.244,0.924-0.617 c0.155-0.374,0.069-0.804-0.217-1.09l-9-9c-0.391-0.391-1.023-0.391-1.414,0l-9,9c-0.286,0.286-0.372,0.716-0.217,1.09 C2.23,12.756,2.596,13,3,13z M10,20v-5h4v5H10z M12,4.414l6,6V15l0,0l0.001,5H16v-5c0-1.103-0.897-2-2-2h-4c-1.103,0-2,0.897-2,2v5 H6v-5v-3v-1.586L12,4.414z"}}]})(props);
};
function BiHorizontalCenter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5.005 15.995L9.005 11.995 5.005 7.995 5.005 10.995 2.005 10.995 2.005 12.995 5.005 12.995zM19.005 10.995L19.005 7.995 15.005 11.995 19.005 15.995 19.005 12.995 19.933 12.995 22.005 12.995 22.005 10.995 19.933 10.995zM11.005 17.995H13.005V20.995H11.005zM11.005 12.995H13.005V15.995H11.005zM11.005 7.995H13.005V10.995000000000001H11.005zM11.005 2.995H13.005V5.995H11.005z"}}]})(props);
};
function BiHotel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"7.5","cy":"11.5","r":"2.5"}},{"tag":"path","attr":{"d":"M17.205,7H12c-0.553,0-1,0.447-1,1v7H4V6H2v14h2v-3h8h8v3h2v-4v-0.024V15v-3.205C22,9.151,19.849,7,17.205,7z M13,15V9 h4.205C18.746,9,20,10.254,20,11.795V15H13z"}}]})(props);
};
function BiHourglass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.566,11.021C17.685,9.771,19,7.464,19,5V4h1V2h-1H5H4v2h1v1c0,2.464,1.315,4.771,3.434,6.021 C8.788,11.229,9,11.566,9,11.921v0.158c0,0.354-0.212,0.69-0.566,0.9C6.315,14.229,5,16.536,5,19v1H4v2h1h14h1v-2h-1v-1 c0-2.464-1.315-4.771-3.433-6.02C15.212,12.77,15,12.433,15,12.079v-0.158C15,11.566,15.212,11.229,15.566,11.021z M14.551,14.702 C16.062,15.594,17,17.24,17,19v1H7v-1c0-1.76,0.938-3.406,2.45-4.299c0.971-0.573,1.55-1.554,1.55-2.622v-0.158 c0-1.069-0.58-2.051-1.551-2.623C7.938,8.406,7,6.76,7,5V4h10v1c0,1.76-0.938,3.406-2.449,4.298C13.58,9.87,13,10.852,13,11.921 v0.158C13,13.147,13.579,14.128,14.551,14.702z"}}]})(props);
};
function BiIdCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9.715,12c1.151,0,2-0.849,2-2s-0.849-2-2-2s-2,0.849-2,2S8.563,12,9.715,12z"}},{"tag":"path","attr":{"d":"M20,4H4C2.897,4,2,4.841,2,5.875v12.25C2,19.159,2.897,20,4,20h16c1.103,0,2-0.841,2-1.875V5.875C22,4.841,21.103,4,20,4z M20,18L4,17.989V6l16,0.011V18z"}},{"tag":"path","attr":{"d":"M14 9H18V11H14zM15 13H18V15H15zM13.43 15.536c0-1.374-1.676-2.786-3.715-2.786S6 14.162 6 15.536V16h7.43V15.536z"}}]})(props);
};
function BiImageAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4,5h13v7h2V5c0-1.103-0.897-2-2-2H4C2.897,3,2,3.897,2,5v12c0,1.103,0.897,2,2,2h8v-2H4V5z"}},{"tag":"path","attr":{"d":"M8 11L5 15 16 15 12 9 9 13z"}},{"tag":"path","attr":{"d":"M19 14L17 14 17 17 14 17 14 19 17 19 17 22 19 22 19 19 22 19 22 17 19 17z"}}]})(props);
};
function BiImageAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M5,19V5h14 l0.002,14H5z"}},{"tag":"path","attr":{"d":"M10 14L9 13 6 17 18 17 13 10z"}}]})(props);
};
function BiImage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"7.499","cy":"9.5","r":"1.5"}},{"tag":"path","attr":{"d":"M10.499 14L8.999 12 5.999 16 8.999 16 11.999 16 17.999 16 13.499 10z"}},{"tag":"path","attr":{"d":"M19.999,4h-16c-1.103,0-2,0.897-2,2v12c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V6C21.999,4.897,21.102,4,19.999,4z M3.999,18V6h16l0.002,12H3.999z"}}]})(props);
};
function BiImages (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H8C6.897,2,6,2.897,6,4v12c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M8,16V4h12 l0.002,12H8z"}},{"tag":"path","attr":{"d":"M4,8H2v12c0,1.103,0.897,2,2,2h12v-2H4V8z"}},{"tag":"path","attr":{"d":"M12 12L11 11 9 14 19 14 15 8z"}}]})(props);
};
function BiImport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 18L16 13 13 13 13 2 11 2 11 13 8 13z"}},{"tag":"path","attr":{"d":"M19,9h-4v2h4v9H5v-9h4V9H5c-1.103,0-2,0.897-2,2v9c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2v-9C21,9.897,20.103,9,19,9 z"}}]})(props);
};
function BiInfinite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17,7c-2.094,0-3.611,1.567-5.001,3.346C10.609,8.567,9.093,7,7,7c-2.757,0-5,2.243-5,5c0,1.334,0.519,2.589,1.459,3.534 C4.402,16.479,5.656,17,6.99,17c0,0,0.011,0,0.012,0c2.089-0.005,3.605-1.572,4.996-3.351C13.389,15.431,14.906,17,17,17 c2.757,0,5-2.243,5-5S19.757,7,17,7z M6.998,15L6.99,16v-1c-0.799,0-1.55-0.312-2.114-0.878C4.311,13.555,4,12.801,4,12 c0-1.654,1.346-3,3-3c1.33,0,2.56,1.438,3.746,2.998C9.558,13.557,8.328,14.997,6.998,15z M17,15c-1.33,0-2.561-1.44-3.749-3.002 C14.438,10.438,15.668,9,17,9c1.654,0,3,1.346,3,3S18.654,15,17,15z"}}]})(props);
};
function BiInfoCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M11 11H13V17H11zM11 7H13V9H11z"}}]})(props);
};
function BiInfoSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H4C3.447,3,3,3.448,3,4v16c0,0.552,0.447,1,1,1h16c0.553,0,1-0.448,1-1V4C21,3.448,20.553,3,20,3z M19,19H5V5h14V19z"}},{"tag":"path","attr":{"d":"M11 7H13V9H11zM11 11H13V17H11z"}}]})(props);
};
function BiIntersect (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5,16h3v3c0,1.103,0.897,2,2,2h9c1.103,0,2-0.897,2-2v-9c0-1.103-0.897-2-2-2h-3V5c0-1.103-0.897-2-2-2H5 C3.897,3,3,3.897,3,5v9C3,15.103,3.897,16,5,16z M14.001,14L14.001,14L14,10h0.001V14z M19,10l0.001,9H10v-3h4c1.103,0,2-0.897,2-2 v-4H19z M5,5h9v3h-4c-1.103,0-2,0.897-2,2v4H5V5z"}}]})(props);
};
function BiItalic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 7L19 4 9 4 9 7 11.868 7 9.012 17 5 17 5 20 15 20 15 17 12.132 17 14.988 7z"}}]})(props);
};
function BiJoystickAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M15,7H9c-2.753,0-4.997,2.247-5,5.009C4.003,14.76,6.247,17,9,17h6c2.754,0,4.996-2.24,5-4.994 C19.996,9.247,17.754,7,15,7z M12,13h-2v2H8v-2H6v-2h2V9h2v2h2V13z M15,14c-0.553,0-1-0.447-1-1s0.447-1,1-1s1,0.447,1,1 S15.553,14,15,14z M17,12c-0.553,0-1-0.447-1-1s0.447-1,1-1s1,0.447,1,1S17.553,12,17,12z"}},{"tag":"circle","attr":{"cx":"15","cy":"13","r":"1"}},{"tag":"circle","attr":{"cx":"17","cy":"11","r":"1"}},{"tag":"path","attr":{"d":"M10 9L8 9 8 11 6 11 6 13 8 13 8 15 10 15 10 13 12 13 12 11 10 11z"}},{"tag":"path","attr":{"d":"M15,5H9c-3.848,0-6.984,3.132-7,6.988C2,11.992,2,11.996,2,12v0.016c0,0.003,0,0.007,0,0.01C2.014,15.873,5.151,19,9,19h6 c3.854,0,6.995-3.136,7-6.994c0,0,0-0.001,0-0.001c0-0.001,0-0.003,0-0.005c0-0.003,0-0.007,0-0.01C21.985,8.134,18.85,5,15,5z M15,17H9c-2.753,0-4.997-2.24-5-4.991C4.003,9.247,6.247,7,9,7h6c2.754,0,4.996,2.247,5,5.006C19.996,14.76,17.754,17,15,17z"}}]})(props);
};
function BiJoystickButton (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,7h-1h-2V5V4c0-1.103-0.897-2-2-2H9C7.897,2,7,2.897,7,4v1v2H5H4C2.897,7,2,7.897,2,9v6c0,1.103,0.897,2,2,2h1h2v2v1 c0,1.103,0.897,2,2,2h6c1.103,0,2-0.897,2-2v-1v-2h2h1c1.103,0,2-0.897,2-2V9C22,7.897,21.103,7,20,7z M20,15h-1h-3h-1v4h0.001v1H9 v-1v-3v-1H8H5H4V9h1h3h1V8V5V4h6v1v3v1h1h3h1V15z"}},{"tag":"path","attr":{"d":"M8 14L8 10 5 12zM16 14L19 12 16 10zM10 8L14 8 12 5zM12 19L14 16 10 16z"}},{"tag":"circle","attr":{"cx":"12","cy":"12","r":"2"}}]})(props);
};
function BiJoystick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M19.98,8.72C19.877,7.225,18.567,6,17,6H7C5.383,6,4.069,7.26,4.009,8.867C4.007,8.92,4.001,8.972,3.991,9.022 L4,16.5c0,0.397,0.159,0.784,0.437,1.062C4.716,17.841,5.103,18,5.5,18c0.5,0,1.038-0.638,1.661-1.377 c0.336-0.397,0.717-0.849,1.149-1.261c0.577-0.55,1.821-1.099,2.459-1.249C11.187,14.015,11.72,14,12,14s0.813,0.015,1.229,0.112 c0.64,0.151,1.884,0.7,2.461,1.249c0.433,0.413,0.813,0.864,1.149,1.262C17.462,17.362,18,18,18.5,18 c0.397,0,0.784-0.159,1.062-0.437C19.841,17.284,20,16.897,20,16.5V9c-0.013-0.063-0.01-0.096-0.01-0.16 C19.985,8.84,19.98,8.779,19.98,8.72z M8,12c-1.105,0-2-0.895-2-2s0.895-2,2-2s2,0.895,2,2S9.105,12,8,12z M16,7 c0.553,0,1,0.447,1,1s-0.447,1-1,1s-1-0.447-1-1S15.447,7,16,7z M14,11c-0.553,0-1-0.447-1-1s0.447-1,1-1s1,0.447,1,1 S14.553,11,14,11z M16,13c-0.553,0-1-0.447-1-1s0.447-1,1-1s1,0.447,1,1S16.553,13,16,13z M18,11c-0.553,0-1-0.447-1-1s0.447-1,1-1 s1,0.447,1,1S18.553,11,18,11z"}},{"tag":"path","attr":{"d":"M21.979,8.652C21.802,6.044,19.615,4,17,4H7C4.321,4,2.142,6.076,2.013,8.737C2.003,8.816,2,8.898,2,8.99v7.51 c0,0.925,0.373,1.828,1.022,2.476C3.672,19.627,4.575,20,5.5,20c1.429,0,2.324-1.061,3.189-2.087c0.318-0.377,0.646-0.767,1-1.103 c0.237-0.226,1.102-0.647,1.539-0.751c0.252-0.059,1.293-0.058,1.541-0.001c0.439,0.104,1.304,0.526,1.541,0.751 c0.354,0.337,0.682,0.727,1,1.104C16.176,18.939,17.071,20,18.5,20c0.925,0,1.828-0.373,2.476-1.022 C21.627,18.328,22,17.425,22,16.5V9c0-0.095-0.004-0.18-0.014-0.26C21.984,8.712,21.981,8.683,21.979,8.652z M20,16.5 c0,0.397-0.159,0.784-0.438,1.063C19.284,17.841,18.897,18,18.5,18c-0.5,0-1.038-0.638-1.661-1.377 c-0.336-0.397-0.717-0.849-1.149-1.262c-0.577-0.549-1.821-1.098-2.461-1.249C12.813,14.015,12.28,14,12,14 s-0.813,0.015-1.23,0.113c-0.638,0.15-1.882,0.699-2.459,1.249c-0.433,0.412-0.813,0.863-1.149,1.261C6.538,17.362,6,18,5.5,18 c-0.397,0-0.784-0.159-1.063-0.438C4.159,17.284,4,16.897,4,16.5L3.991,9.022c0.01-0.051,0.016-0.103,0.018-0.155 C4.069,7.26,5.383,6,7,6h10c1.567,0,2.877,1.225,2.98,2.72c0,0.06,0.005,0.12,0.01,0.12c0,0.064-0.003,0.097,0.01,0.16V16.5z"}},{"tag":"circle","attr":{"cx":"16","cy":"12","r":"1"}},{"tag":"circle","attr":{"cx":"18","cy":"10","r":"1"}},{"tag":"circle","attr":{"cx":"16","cy":"8","r":"1"}},{"tag":"circle","attr":{"cx":"14","cy":"10","r":"1"}},{"tag":"circle","attr":{"cx":"8","cy":"10","r":"2"}}]})(props);
};
function BiKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7,17c2.414,0,4.435-1.721,4.898-4H14v2h2v-2h2v3h2v-3h1v-2h-9.102C11.435,8.721,9.414,7,7,7c-2.757,0-5,2.243-5,5 S4.243,17,7,17z M7,9c1.654,0,3,1.346,3,3s-1.346,3-3,3s-3-1.346-3-3S5.346,9,7,9z"}}]})(props);
};
function BiLabel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.813,4.419C16.626,4.156,16.323,4,16,4H3C2.625,4,2.282,4.209,2.11,4.542C1.939,4.876,1.969,5.276,2.187,5.581L6.771,12 l-4.585,6.419c-0.218,0.305-0.247,0.705-0.076,1.039C2.282,19.791,2.625,20,3,20h13c0.323,0,0.626-0.156,0.813-0.419l5-7 c0.249-0.348,0.249-0.814,0-1.162L16.813,4.419z M15.485,18H4.943l3.87-5.419c0.249-0.348,0.249-0.814,0-1.162L4.943,6h10.542 l4.286,6L15.485,18z"}}]})(props);
};
function BiLandscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 20h10 8c.358 0 .688-.191.867-.502s.177-.692-.003-1.002l-7-12c-.359-.615-1.369-.613-1.729 0l-3.269 5.604-1.02-1.632C8.664 10.177 8.344 10 8 10H7.999c-.345 0-.664.178-.847.47l-5 8c-.193.309-.203.697-.027 1.015C2.302 19.803 2.637 20 3 20zM14 8.985L19.259 18h-5.704l-2.486-3.987L14 8.985zM8.001 12.885L11.197 18H4.805L8.001 12.885zM6 8c1.654 0 3-1.346 3-3S7.654 2 6 2 3 3.346 3 5 4.346 8 6 8zM6 4c.552 0 1 .448 1 1S6.552 6 6 6 5 5.552 5 5 5.448 4 6 4z"}}]})(props);
};
function BiLaptop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,17.722c0.595-0.347,1-0.985,1-1.722V5c0-1.103-0.897-2-2-2H5C3.897,3,3,3.897,3,5v11c0,0.736,0.405,1.375,1,1.722V18H2 v2h20v-2h-2V17.722z M5,16V5h14l0.002,11H5z"}}]})(props);
};
function BiLastPage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.707 17.707L13.414 12 7.707 6.293 6.293 7.707 10.586 12 6.293 16.293zM15 6H17V18H15z"}}]})(props);
};
function BiLaugh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12c0,5.514,4.486,10,10,10s10-4.486,10-10C22,6.486,17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8 s3.589-8,8-8s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M12 18c4 0 5-4 5-4H7C7 14 8 18 12 18zM17.555 8.832l-1.109-1.664-3 2c-.297.198-.466.539-.443.894.022.356.232.673.551.833l4 2 .895-1.789-2.459-1.229L17.555 8.832zM10.998 10.062c.022-.355-.146-.696-.443-.894l-3-2L6.445 8.832l1.566 1.044-2.459 1.229.895 1.789 4-2C10.766 10.735 10.976 10.418 10.998 10.062z"}}]})(props);
};
function BiLayerMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2.513,12.833l9.022,5.04C11.687,17.958,11.854,18,12.022,18s0.335-0.042,0.486-0.126l8.978-5 C21.804,12.697,22,12.362,22,11.999s-0.197-0.698-0.516-0.874l-9.022-5c-0.301-0.167-0.667-0.167-0.968-0.001l-8.978,4.96 C2.198,11.26,2.001,11.594,2,11.958S2.195,12.656,2.513,12.833z M11.977,8.143l6.964,3.859l-6.917,3.853l-6.964-3.89L11.977,8.143z"}},{"tag":"path","attr":{"d":"M3.485 15.126l-.971 1.748 9 5C11.665 21.958 11.833 22 12 22s.335-.042.485-.126l9-5-.971-1.748L12 19.856 3.485 15.126zM16 4H22V6H16z"}}]})(props);
};
function BiLayerPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.484,11.125l-9.022-5c-0.301-0.167-0.667-0.167-0.968-0.001l-8.978,4.96C2.198,11.26,2.001,11.594,2,11.958 s0.195,0.698,0.513,0.875l9.022,5.04C11.687,17.958,11.854,18,12.022,18s0.335-0.042,0.486-0.126l8.978-5 C21.804,12.697,22,12.362,22,11.999S21.803,11.301,21.484,11.125z M12.023,15.855l-6.964-3.89l6.917-3.822l6.964,3.859 L12.023,15.855z"}},{"tag":"path","attr":{"d":"M12 22c.167 0 .335-.042.485-.126l9-5-.971-1.748L12 19.856l-8.515-4.73-.971 1.748 9 5C11.665 21.958 11.833 22 12 22zM20 2L18 2 18 4 16 4 16 6 18 6 18 8 20 8 20 6 22 6 22 4 20 4z"}}]})(props);
};
function BiLayer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22,7.999c0-0.363-0.197-0.697-0.516-0.874l-9.022-5c-0.301-0.166-0.667-0.166-0.968,0l-8.978,4.96 C2.198,7.261,2.001,7.595,2,7.958C1.999,8.32,2.195,8.656,2.513,8.833l9.022,5.04C11.687,13.958,11.854,14,12.022,14 s0.335-0.042,0.486-0.126l8.978-5C21.804,8.697,22,8.362,22,7.999z M12.023,11.854L5.06,7.965l6.917-3.822l6.964,3.859 L12.023,11.854z"}},{"tag":"path","attr":{"d":"M20.515,11.126L12,15.856l-8.515-4.73l-0.971,1.748l9,5C11.665,17.958,11.833,18,12,18s0.335-0.042,0.485-0.126l9-5 L20.515,11.126z"}},{"tag":"path","attr":{"d":"M20.515,15.126L12,19.856l-8.515-4.73l-0.971,1.748l9,5C11.665,21.958,11.833,22,12,22s0.335-0.042,0.485-0.126l9-5 L20.515,15.126z"}}]})(props);
};
function BiLayout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5C21,3.897,20.103,3,19,3z M19,5l0.001,4H15h-2\tH5V5H19z M5,11h8v8H5V11z M15,19v-8h4.001l0.001,8H15z"}}]})(props);
};
function BiLeftArrowAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.707 17.293L8.414 13 18 13 18 11 8.414 11 12.707 6.707 11.293 5.293 4.586 12 11.293 18.707z"}}]})(props);
};
function BiLeftArrowCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.999,1.993C6.486,1.994,2,6.48,1.999,11.994c0,5.514,4.486,10,10.001,10c5.514-0.001,10-4.487,10-10 C22,6.48,17.514,1.994,11.999,1.993z M12,19.994c-4.412,0-8.001-3.589-8.001-8c0.001-4.411,3.59-8,8-8.001 C16.411,3.994,20,7.583,20,11.994C20,16.404,16.411,19.993,12,19.994z"}},{"tag":"path","attr":{"d":"M12.012 7.989L8.007 11.994 12.012 15.998 12.012 12.994 16.006 12.994 16.006 10.994 12.012 10.994z"}}]})(props);
};
function BiLeftArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.464,2.114c-0.329-0.174-0.728-0.148-1.033,0.063l-13,9C4.161,11.365,4,11.672,4,12s0.161,0.635,0.431,0.822l13,9 C17.602,21.94,17.8,22,18,22c0.159,0,0.318-0.038,0.464-0.114C18.794,21.713,19,21.372,19,21V3 C19,2.628,18.794,2.287,18.464,2.114z M17,19.091L6.757,12L17,4.909V19.091z"}}]})(props);
};
function BiLeftDownArrowCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.006,2.007c-2.675,0-5.187,1.038-7.071,2.923c-3.898,3.898-3.898,10.242,0,14.142c1.885,1.885,4.396,2.923,7.071,2.923 s5.187-1.038,7.071-2.923c3.898-3.899,3.898-10.243,0-14.142C17.192,3.045,14.681,2.007,12.006,2.007z M17.663,17.657 c-1.507,1.507-3.516,2.337-5.657,2.337s-4.15-0.83-5.657-2.337c-3.118-3.119-3.118-8.194,0-11.313 c1.507-1.507,3.517-2.337,5.657-2.337s4.15,0.83,5.657,2.337C20.781,9.463,20.781,14.538,17.663,17.657z"}},{"tag":"path","attr":{"d":"M14.346 8.247L11.131 11.462 9.006 9.337 9.006 15 14.669 15 12.545 12.876 15.76 9.661z"}}]})(props);
};
function BiLeftIndent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 7H14V9H4zM4 3H20V5H4zM4 11H14V13H4zM4 15H14V17H4zM4 19H20V21H4zM20 16L20 8 16 12z"}}]})(props);
};
function BiLeftTopArrowCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.993,2.007c-2.675,0-5.187,1.037-7.071,2.922c-3.899,3.899-3.899,10.243,0,14.143c1.885,1.885,4.396,2.923,7.071,2.923 c2.676,0,5.187-1.038,7.071-2.923c3.899-3.899,3.899-10.243,0-14.143C17.18,3.044,14.669,2.007,11.993,2.007z M17.65,17.657 c-1.507,1.507-3.516,2.337-5.657,2.337c-2.141,0-4.15-0.83-5.657-2.337c-3.119-3.119-3.119-8.195,0-11.314 c1.507-1.507,3.517-2.336,5.657-2.336c2.142,0,4.15,0.829,5.657,2.336C20.77,9.462,20.77,14.538,17.65,17.657z"}},{"tag":"path","attr":{"d":"M14.657 9L8.993 9 8.993 14.663 11.118 12.539 14.333 15.753 15.747 14.339 12.532 11.125z"}}]})(props);
};
function BiLike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,8h-5.612l1.123-3.367c0.202-0.608,0.1-1.282-0.275-1.802S14.253,2,13.612,2H12c-0.297,0-0.578,0.132-0.769,0.36 L6.531,8H4c-1.103,0-2,0.897-2,2v9c0,1.103,0.897,2,2,2h3h10.307c0.829,0,1.581-0.521,1.873-1.298l2.757-7.351 C21.979,12.239,22,12.12,22,12v-2C22,8.897,21.103,8,20,8z M4,10h2v9H4V10z M20,11.819L17.307,19H8V9.362L12.468,4l1.146,0 l-1.562,4.683c-0.103,0.305-0.051,0.64,0.137,0.901C12.377,9.846,12.679,10,13,10h7V11.819z"}}]})(props);
};
function BiLineChartDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 3L3 3 3 21 21 21 21 19 5 19z"}},{"tag":"path","attr":{"d":"M13 12.586L8.707 8.293 7.293 9.707 13 15.414 16 12.414 20.293 16.707 21.707 15.293 16 9.586z"}}]})(props);
};
function BiLineChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3,3v17c0,0.553,0.447,1,1,1h17v-2H5V3H3z"}},{"tag":"path","attr":{"d":"M15.293,14.707c0.391,0.391,1.023,0.391,1.414,0l5-5l-1.414-1.414L16,12.586l-2.293-2.293 c-0.391-0.391-1.023-0.391-1.414,0l-5,5l1.414,1.414L13,12.414L15.293,14.707z"}}]})(props);
};
function BiLinkAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4.222 19.778c.975.975 2.255 1.462 3.535 1.462 1.281-.001 2.562-.487 3.536-1.462l2.828-2.829-1.414-1.414-2.828 2.829c-1.169 1.167-3.072 1.169-4.243 0-1.169-1.17-1.169-3.073 0-4.243l2.829-2.828L7.051 9.879l-2.829 2.828C2.273 14.656 2.273 17.829 4.222 19.778zM19.778 11.293c1.948-1.949 1.948-5.122 0-7.071-1.95-1.95-5.123-1.948-7.071 0L9.879 7.051l1.414 1.414 2.828-2.829c1.17-1.167 3.073-1.169 4.243 0 1.169 1.17 1.169 3.073 0 4.243l-2.829 2.828 1.414 1.414L19.778 11.293z"}},{"tag":"path","attr":{"transform":"rotate(-134.999 12 12)","d":"M11 5.999H13V18H11z"}}]})(props);
};
function BiLinkExternal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 3L16.293 6.293 9.293 13.293 10.707 14.707 17.707 7.707 21 11 21 3z"}},{"tag":"path","attr":{"d":"M19,19H5V5h7l-2-2H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2v-5l-2-2V19z"}}]})(props);
};
function BiLink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8.465,11.293c1.133-1.133,3.109-1.133,4.242,0L13.414,12l1.414-1.414l-0.707-0.707c-0.943-0.944-2.199-1.465-3.535-1.465 S7.994,8.935,7.051,9.879L4.929,12c-1.948,1.949-1.948,5.122,0,7.071c0.975,0.975,2.255,1.462,3.535,1.462 c1.281,0,2.562-0.487,3.536-1.462l0.707-0.707l-1.414-1.414l-0.707,0.707c-1.17,1.167-3.073,1.169-4.243,0 c-1.169-1.17-1.169-3.073,0-4.243L8.465,11.293z"}},{"tag":"path","attr":{"d":"M12,4.929l-0.707,0.707l1.414,1.414l0.707-0.707c1.169-1.167,3.072-1.169,4.243,0c1.169,1.17,1.169,3.073,0,4.243 l-2.122,2.121c-1.133,1.133-3.109,1.133-4.242,0L10.586,12l-1.414,1.414l0.707,0.707c0.943,0.944,2.199,1.465,3.535,1.465 s2.592-0.521,3.535-1.465L19.071,12c1.948-1.949,1.948-5.122,0-7.071C17.121,2.979,13.948,2.98,12,4.929z"}}]})(props);
};
function BiLira (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9,21h2c4.411,0,8-4.038,8-9h-2c0,3.86-2.691,7-6,7v-7.358l6-1.385V8.204l-6,1.385V7.642l6-1.385V4.204l-6,1.385V3H9v3.05 L6,6.743v2.053l3-0.692v1.947l-3,0.692v2.053l3-0.692V21z"}}]})(props);
};
function BiListCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 7H15V9H4zM4 11H15V13H4zM4 15H11V17H4zM19.299 12.292L14.999 16.583 13.707 15.292 12.293 16.707 14.999 19.411 20.711 13.708z"}}]})(props);
};
function BiListMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.063 15L14.78 15 13 15 13 17 14.78 17 21.063 17 22 17 22 15zM4 7H15V9H4zM4 11H15V13H4zM4 15H11V17H4z"}}]})(props);
};
function BiListOl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5.282 12.064c-.428.328-.72.609-.875.851-.155.24-.249.498-.279.768h2.679v-.748H5.413c.081-.081.152-.151.212-.201.062-.05.182-.142.361-.27.303-.218.511-.42.626-.604.116-.186.173-.375.173-.578 0-.189-.05-.363-.151-.512-.1-.153-.237-.268-.412-.341-.174-.076-.419-.111-.733-.111-.3 0-.537.038-.706.114-.172.078-.302.19-.396.338-.094.143-.159.346-.194.604l.894.076c.025-.188.074-.317.147-.394.072-.073.166-.108.279-.108.11 0 .2.035.272.108.073.071.108.156.108.258 0 .091-.037.19-.108.297C5.711 11.713 5.544 11.865 5.282 12.064zM5.337 18.45c-.114 0-.208-.036-.282-.105-.074-.07-.128-.195-.162-.378L4 18.085c.059.204.142.372.251.506.109.133.248.235.417.306C4.836 18.966 5.067 19 5.36 19c.3 0 .541-.047.725-.14.185-.096.325-.228.424-.403.098-.175.146-.354.146-.544 0-.152-.029-.282-.088-.393-.06-.107-.142-.195-.249-.261-.066-.042-.161-.078-.286-.11.155-.085.268-.183.345-.299.076-.115.113-.24.113-.383 0-.239-.093-.437-.281-.596-.187-.159-.49-.238-.909-.238-.365 0-.648.072-.847.219-.2.143-.334.353-.404.626l.844.151c.023-.162.067-.274.133-.338s.151-.098.257-.098c.103 0 .183.032.241.089.059.06.087.139.087.238 0 .104-.038.193-.117.27s-.177.112-.293.112c-.028 0-.066-.004-.116-.011L5.04 17.54c.123-.036.22-.056.289-.056.132 0 .237.041.313.126.077.082.115.199.115.352 0 .146-.04.266-.119.354C5.558 18.403 5.458 18.45 5.337 18.45zM6.285 8.367V5H5.546C5.451 5.208 5.319 5.383 5.152 5.523 4.984 5.665 4.748 5.785 4.444 5.888v.754C4.65 6.577 4.821 6.509 4.958 6.438c.137-.069.277-.162.423-.276v2.206H6.285zM9 6H20V8H9zM9 11H20V13H9zM9 16H20V18H9z"}}]})(props);
};
function BiListPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 15L19 12 17 12 17 15 14.78 15 14 15 14 17 14.78 17 17 17 17 20 19 20 19 17 21.063 17 22 17 22 15 21.063 15zM4 7H15V9H4zM4 11H15V13H4zM4 15H12V17H4z"}}]})(props);
};
function BiListUl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 6H6V8H4zM4 11H6V13H4zM4 16H6V18H4zM20 8L20 6 18.8 6 9.2 6 8.023 6 8.023 8 9.2 8 18.8 8zM8 11H20V13H8zM8 16H20V18H8z"}}]})(props);
};
function BiLoaderAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,22c5.421,0,10-4.579,10-10h-2c0,4.337-3.663,8-8,8s-8-3.663-8-8c0-4.336,3.663-8,8-8V2C6.579,2,2,6.58,2,12 C2,17.421,6.579,22,12,22z"}}]})(props);
};
function BiLoaderCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"20","r":"2"}},{"tag":"circle","attr":{"cx":"12","cy":"4","r":"2"}},{"tag":"circle","attr":{"cx":"6.343","cy":"17.657","r":"2"}},{"tag":"circle","attr":{"cx":"17.657","cy":"6.343","r":"2"}},{"tag":"circle","attr":{"cx":"4","cy":"12","r":"2.001"}},{"tag":"circle","attr":{"cx":"20","cy":"12","r":"2"}},{"tag":"circle","attr":{"cx":"6.343","cy":"6.344","r":"2"}},{"tag":"circle","attr":{"cx":"17.657","cy":"17.658","r":"2"}}]})(props);
};
function BiLoader (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 11H7V13H2zM17 11H22V13H17zM11 17H13V22H11zM11 2H13V7H11z"}},{"tag":"path","attr":{"transform":"rotate(-45.001 6.697 6.697)","d":"M5.697 4.197H7.697V9.197H5.697z"}},{"tag":"path","attr":{"transform":"rotate(134.999 17.303 17.303)","d":"M16.303 14.803H18.303V19.803H16.303z"}},{"tag":"path","attr":{"transform":"rotate(45.001 6.697 17.303)","d":"M5.697 14.803H7.697V19.803H5.697z"}},{"tag":"path","attr":{"transform":"rotate(-44.992 17.303 6.697)","d":"M14.803 5.697H19.803V7.697H14.803z"}}]})(props);
};
function BiLocationPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.42,21.815C11.594,21.938,11.797,22,12,22s0.406-0.062,0.58-0.185C12.884,21.598,20.029,16.44,20,10 c0-4.411-3.589-8-8-8S4,5.589,4,9.996C3.971,16.44,11.116,21.598,11.42,21.815z M12,4c3.309,0,6,2.691,6,6.004 c0.021,4.438-4.388,8.423-6,9.731C10.389,18.427,5.979,14.442,6,10C6,6.691,8.691,4,12,4z"}},{"tag":"path","attr":{"d":"M11 14L13 14 13 11 16 11 16 9 13 9 13 6 11 6 11 9 8 9 8 11 11 11z"}}]})(props);
};
function BiLockAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C9.243,2,7,4.243,7,7v3H6c-1.103,0-2,0.897-2,2v8c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2v-8c0-1.103-0.897-2-2-2 h-1V7C17,4.243,14.757,2,12,2z M18,12l0.002,8H6v-8H18z M9,10V7c0-1.654,1.346-3,3-3s3,1.346,3,3v3H9z"}}]})(props);
};
function BiLockOpenAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17,8V7c0-2.757-2.243-5-5-5S7,4.243,7,7v3H6c-1.103,0-2,0.897-2,2v8c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2v-8 c0-1.103-0.897-2-2-2H9V7c0-1.654,1.346-3,3-3s3,1.346,3,3v1H17z M18,12l0.002,8H6v-8H18z"}}]})(props);
};
function BiLockOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,4c1.654,0,3,1.346,3,3h2c0-2.757-2.243-5-5-5S7,4.243,7,7v2H6c-1.103,0-2,0.897-2,2v9c0,1.103,0.897,2,2,2h12 c1.103,0,2-0.897,2-2v-9c0-1.103-0.897-2-2-2H9V7C9,5.346,10.346,4,12,4z M18.002,20H13v-2.278c0.595-0.347,1-0.985,1-1.722 c0-1.103-0.897-2-2-2s-2,0.897-2,2c0,0.736,0.405,1.375,1,1.722V20H6v-9h12L18.002,20z"}}]})(props);
};
function BiLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C9.243,2,7,4.243,7,7v2H6c-1.103,0-2,0.897-2,2v9c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2v-9c0-1.103-0.897-2-2-2 h-1V7C17,4.243,14.757,2,12,2z M9,7c0-1.654,1.346-3,3-3s3,1.346,3,3v2H9V7z M18.002,20H13v-2.278c0.595-0.347,1-0.985,1-1.722 c0-1.103-0.897-2-2-2s-2,0.897-2,2c0,0.736,0.405,1.375,1,1.722V20H6v-9h12L18.002,20z"}}]})(props);
};
function BiLogInCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10.998 16L15.998 12 10.998 8 10.998 11 1.998 11 1.998 13 10.998 13z"}},{"tag":"path","attr":{"d":"M12.999,2.999c-2.405,0-4.665,0.937-6.364,2.637L8.049,7.05c1.322-1.322,3.08-2.051,4.95-2.051s3.628,0.729,4.95,2.051 S20,10.13,20,12s-0.729,3.628-2.051,4.95s-3.08,2.051-4.95,2.051s-3.628-0.729-4.95-2.051l-1.414,1.414 c1.699,1.7,3.959,2.637,6.364,2.637s4.665-0.937,6.364-2.637C21.063,16.665,22,14.405,22,12s-0.937-4.665-2.637-6.364 C17.664,3.936,15.404,2.999,12.999,2.999z"}}]})(props);
};
function BiLogIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 16L18 12 13 8 13 11 4 11 4 13 13 13z"}},{"tag":"path","attr":{"d":"M20,3h-9C9.897,3,9,3.897,9,5v4h2V5h9v14h-9v-4H9v4c0,1.103,0.897,2,2,2h9c1.103,0,2-0.897,2-2V5C22,3.897,21.103,3,20,3z"}}]})(props);
};
function BiLogOutCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 12L7 16 7 13 16 13 16 11 7 11 7 8z"}},{"tag":"path","attr":{"d":"M13.001,2.999c-2.405,0-4.665,0.937-6.364,2.637L8.051,7.05c1.322-1.322,3.08-2.051,4.95-2.051s3.628,0.729,4.95,2.051 s2.051,3.08,2.051,4.95s-0.729,3.628-2.051,4.95s-3.08,2.051-4.95,2.051s-3.628-0.729-4.95-2.051l-1.414,1.414 c1.699,1.7,3.959,2.637,6.364,2.637s4.665-0.937,6.364-2.637c1.7-1.699,2.637-3.959,2.637-6.364s-0.937-4.665-2.637-6.364 C17.666,3.936,15.406,2.999,13.001,2.999z"}}]})(props);
};
function BiLogOut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16 13L16 11 7 11 7 8 2 12 7 16 7 13z"}},{"tag":"path","attr":{"d":"M20,3h-9C9.897,3,9,3.897,9,5v4h2V5h9v14h-9v-4H9v4c0,1.103,0.897,2,2,2h9c1.103,0,2-0.897,2-2V5C22,3.897,21.103,3,20,3z"}}]})(props);
};
function BiLowVision (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,4.998c-1.836,0-3.356,0.389-4.617,0.971L3.707,2.293L2.293,3.707l3.315,3.316c-2.613,1.952-3.543,4.618-3.557,4.66 l-0.105,0.316l0.105,0.316C2.073,12.382,4.367,19,12,19c1.835,0,3.354-0.389,4.615-0.971l3.678,3.678l1.414-1.414l-3.317-3.317 c2.614-1.952,3.545-4.618,3.559-4.66l0.105-0.316l-0.105-0.316C21.927,11.616,19.633,4.998,12,4.998z M4.074,12 c0.103-0.236,0.274-0.586,0.521-0.989l5.867,5.867C6.249,16.23,4.523,13.035,4.074,12z M13.321,16.907l-7.48-7.481 C6.18,9.085,6.577,8.752,7.029,8.444l8.055,8.054C14.55,16.684,13.963,16.823,13.321,16.907z M16.969,15.555l-1.541-1.541 C15.782,13.418,16,12.734,16,11.999c0-0.474-0.099-0.924-0.255-1.349C15.563,10.86,15.301,11,15,11c-0.553,0-1-0.448-1-1 c0-0.439,0.288-0.802,0.682-0.936C13.969,8.411,13.03,7.999,12,7.999c-0.735,0-1.419,0.218-2.015,0.572l-1.07-1.07 C9.798,7.194,10.814,6.998,12,6.998c5.351,0,7.425,3.847,7.926,5C19.625,12.691,18.755,14.339,16.969,15.555z"}}]})(props);
};
function BiMagnet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,3h-3c-1.103,0-2,0.897-2,2v3v1v4c0,1.103-0.897,2-2,2s-2-0.897-2-2V9V6V5c0-1.103-0.897-2-2-2H5C3.897,3,3,3.897,3,5v4 v4c0,4.963,4.037,9,9,9s9-4.037,9-9V9V5C21,3.897,20.103,3,19,3z M16,5h3v3h-3V5z M5,5h3v1v2H5V5z M12,20c-3.859,0-7-3.141-7-7v-3 h3v3c0,2.206,1.794,4,4,4s4-1.794,4-4v-3h3v3C19,16.859,15.859,20,12,20z"}}]})(props);
};
function BiMailSend (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,4H6C4.897,4,4,4.897,4,6v5h2V8l6.4,4.8c0.178,0.133,0.389,0.2,0.6,0.2s0.422-0.067,0.6-0.2L20,8v9h-8v2h8 c1.103,0,2-0.897,2-2V6C22,4.897,21.103,4,20,4z M13,10.75L6.666,6h12.668L13,10.75z"}},{"tag":"path","attr":{"d":"M2 12H9V14H2zM4 15H10V17H4zM7 18H11V20H7z"}}]})(props);
};
function BiMaleSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,11V4h-7l2.793,2.793l-4.322,4.322C10.49,10.416,9.294,10,8,10c-3.309,0-6,2.691-6,6s2.691,6,6,6s6-2.691,6-6 c0-1.294-0.416-2.49-1.115-3.471l4.322-4.322L20,11z M8,20c-2.206,0-4-1.794-4-4s1.794-4,4-4s4,1.794,4,4S10.206,20,8,20z"}}]})(props);
};
function BiMale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"4","r":"2"}},{"tag":"path","attr":{"d":"M15,7H9C8.447,7,8,7.447,8,8v7h2v7h2h2v-7h2V8C16,7.447,15.553,7,15,7z"}}]})(props);
};
function BiMapAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.447,6.105l-6-3c-0.281-0.141-0.613-0.141-0.895,0L9,5.882L3.447,3.105c-0.31-0.154-0.679-0.139-0.973,0.044\tC2.18,3.332,2,3.653,2,4v13c0,0.379,0.214,0.725,0.553,0.895l6,3c0.281,0.141,0.613,0.141,0.895,0L15,18.118l5.553,2.776\tC20.694,20.965,20.847,21,21,21c0.183,0,0.365-0.05,0.525-0.149C21.82,20.668,22,20.347,22,20V7C22,6.621,21.786,6.275,21.447,6.105\tz M10,7.618l4-2v10.764l-4,2V7.618z M4,5.618l4,2v10.764l-4-2V5.618z M20,18.382l-4-2V5.618l4,2V18.382z"}}]})(props);
};
function BiMapPin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,17l1-2V9.858c1.721-0.447,3-2,3-3.858c0-2.206-1.794-4-4-4S8,3.794,8,6c0,1.858,1.279,3.411,3,3.858V15L12,17z M10,6 c0-1.103,0.897-2,2-2s2,0.897,2,2s-0.897,2-2,2S10,7.103,10,6z"}},{"tag":"path","attr":{"d":"M16.267,10.563l-0.533,1.928C18.325,13.207,20,14.584,20,16c0,1.892-3.285,4-8,4s-8-2.108-8-4 c0-1.416,1.675-2.793,4.267-3.51l-0.533-1.928C4.197,11.54,2,13.623,2,16c0,3.364,4.393,6,10,6s10-2.636,10-6 C22,13.623,19.803,11.54,16.267,10.563z"}}]})(props);
};
function BiMap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,14c2.206,0,4-1.794,4-4s-1.794-4-4-4s-4,1.794-4,4S9.794,14,12,14z M12,8c1.103,0,2,0.897,2,2s-0.897,2-2,2 s-2-0.897-2-2S10.897,8,12,8z"}},{"tag":"path","attr":{"d":"M11.42,21.814C11.594,21.938,11.797,22,12,22s0.406-0.062,0.58-0.186C12.884,21.599,20.029,16.44,20,10 c0-4.411-3.589-8-8-8S4,5.589,4,9.995C3.971,16.44,11.116,21.599,11.42,21.814z M12,4c3.309,0,6,2.691,6,6.005 c0.021,4.438-4.388,8.423-6,9.73C10.389,18.427,5.979,14.441,6,10C6,6.691,8.691,4,12,4z"}}]})(props);
};
function BiMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,6H5C3.346,6,2,7.346,2,9v5c0,2.206,1.794,4,4,4h1.637c1.166,0,2.28-0.557,2.981-1.491 c0.66-0.879,2.104-0.88,2.764,0.001c0.701,0.934,1.815,1.49,2.981,1.49H18c2.206,0,4-1.794,4-4V9C22,7.346,20.654,6,19,6z M20,14 c0,1.103-0.897,2-2,2h-1.637c-0.54,0-1.057-0.259-1.382-0.69c-0.71-0.948-1.797-1.492-2.981-1.492s-2.271,0.544-2.981,1.491 C8.693,15.741,8.177,16,7.637,16H6c-1.103,0-2-0.897-2-2V9c0-0.551,0.448-1,1-1h14c0.552,0,1,0.449,1,1V14z"}},{"tag":"ellipse","attr":{"cx":"7.5","cy":"11.5","rx":"2.5","ry":"1.5"}},{"tag":"ellipse","attr":{"cx":"16.5","cy":"11.5","rx":"2.5","ry":"1.5"}}]})(props);
};
function BiMedal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 22c3.859 0 7-3.141 7-7s-3.141-7-7-7c-3.86 0-7 3.141-7 7S8.14 22 12 22zM12 10c2.757 0 5 2.243 5 5s-2.243 5-5 5-5-2.243-5-5S9.243 10 12 10zM11 2H7v5.518c1.169-.782 2.531-1.296 4-1.459V2zM17 2h-4v4.059c1.469.163 2.831.677 4 1.459V2z"}},{"tag":"path","attr":{"d":"M10.019 15.811L9.551 18.537 12 17.25 14.449 18.537 13.981 15.811 15.963 13.879 13.225 13.481 12 11 10.775 13.481 8.037 13.879z"}}]})(props);
};
function BiMehAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M14 10H18V12H14zM7.974 15H16V17H7.974zM6 10H10V12H6z"}}]})(props);
};
function BiMehBlank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12c0,5.514,4.486,10,10,10s10-4.486,10-10C22,6.486,17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8 s3.589-8,8-8s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"circle","attr":{"cx":"8.5","cy":"10.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"15.493","cy":"10.493","r":"1.493"}}]})(props);
};
function BiMeh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12c0,5.514,4.486,10,10,10s10-4.486,10-10C22,6.486,17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8 s3.589-8,8-8s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"circle","attr":{"cx":"8.5","cy":"10.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"15.493","cy":"10.493","r":"1.493"}},{"tag":"path","attr":{"d":"M7.974 15H16V17H7.974z"}}]})(props);
};
function BiMemoryCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4,4v16c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2V8c0-0.265-0.105-0.52-0.293-0.707l-5-5C14.52,2.105,14.266,2,14,2H6 C4.897,2,4,2.897,4,4z M18,8.414L18.001,20H6V4h7.586L18,8.414z"}},{"tag":"path","attr":{"d":"M8 6H10V10H8zM12 6H14V10H12z"}}]})(props);
};
function BiMenuAltLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 11H16V13H4zM4 6H20V8H4zM4 18L11 18 11.235 18 11.235 16 11 16 4 16z"}}]})(props);
};
function BiMenuAltRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 6H20V8H4zM8 11H20V13H8zM13 16H20V18H13z"}}]})(props);
};
function BiMenu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 6H20V8H4zM4 11H20V13H4zM4 16H20V18H4z"}}]})(props);
};
function BiMerge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14,3H5C3.896,3,3,3.896,3,5v9c0,1.104,0.896,2,2,2h1h2h6c1.104,0,2-0.896,2-2V8V6V5C16,3.896,15.104,3,14,3z"}},{"tag":"path","attr":{"d":"M21,19v-9c0-1.104-0.896-2-2-2h-1v8c0,1.104-0.896,2-2,2H8v1c0,1.104,0.896,2,2,2h9C20.104,21,21,20.104,21,19z"}}]})(props);
};
function BiMessageAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v12c0,1.103,0.897,2,2,2h3v3.767L13.277,18H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16h-7.277L9,18.233V16H4V4h16V16z"}},{"tag":"path","attr":{"d":"M11 14L13 14 13 11 16 11 16 9 13 9 13 6 11 6 11 9 8 9 8 11 11 11z"}}]})(props);
};
function BiMessageAltAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3,16c0,1.103,0.897,2,2,2h3.586L12,21.414L15.414,18H19c1.103,0,2-0.897,2-2V4c0-1.103-0.897-2-2-2H5C3.897,2,3,2.897,3,4 V16z M5,4h14v12h-4.414L12,18.586L9.414,16H5V4z"}},{"tag":"path","attr":{"d":"M11 14L13 14 13 11 16 11 16 9 13 9 13 6 11 6 11 9 8 9 8 11 11 11z"}}]})(props);
};
function BiMessageAltCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3,4v12c0,1.103,0.897,2,2,2h3.586L12,21.414L15.414,18H19c1.103,0,2-0.897,2-2V4c0-1.103-0.897-2-2-2H5 C3.897,2,3,2.897,3,4z M5,4h14v12h-4.414L12,18.586L9.414,16H5V4z"}},{"tag":"path","attr":{"d":"M17.207 7.207L15.793 5.793 11 10.586 8.707 8.293 7.293 9.707 11 13.414z"}}]})(props);
};
function BiMessageAltDetail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5,2C3.897,2,3,2.897,3,4v12c0,1.103,0.897,2,2,2h3.586L12,21.414L15.414,18H19c1.103,0,2-0.897,2-2V4c0-1.103-0.897-2-2-2 H5z M19,16h-4.414L12,18.586L9.414,16H5V4h14V16z"}},{"tag":"path","attr":{"d":"M7 7H17V9H7zM7 11H14V13H7z"}}]})(props);
};
function BiMessageAltDots (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,2H5C3.897,2,3,2.897,3,4v12c0,1.103,0.897,2,2,2h3.586L12,21.414L15.414,18H19c1.103,0,2-0.897,2-2V4 C21,2.897,20.103,2,19,2z M19,16h-4.414L12,18.586L9.414,16H5V4h14V16z"}},{"tag":"circle","attr":{"cx":"15","cy":"10","r":"2"}},{"tag":"circle","attr":{"cx":"9","cy":"10","r":"2"}}]})(props);
};
function BiMessageAltEdit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8.586,18L12,21.414L15.414,18H19c1.103,0,2-0.897,2-2V4c0-1.103-0.897-2-2-2H5C3.897,2,3,2.897,3,4v12 c0,1.103,0.897,2,2,2H8.586z M5,4h14v12h-4.414L12,18.586L9.414,16H5V4z"}},{"tag":"path","attr":{"d":"M12.479 7.219L7.502 12.188 7.502 13.987 9.302 13.987 14.277 9.018z"}},{"tag":"path","attr":{"transform":"rotate(44.984 14.913 6.585)","d":"M13.64 5.615H16.185000000000002V7.554H13.64z"}}]})(props);
};
function BiMessageAltError (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5,2C3.897,2,3,2.897,3,4v12c0,1.103,0.897,2,2,2h3.586L12,21.414L15.414,18H19c1.103,0,2-0.897,2-2V4c0-1.103-0.897-2-2-2 H5z M19,16h-4.414L12,18.586L9.414,16H5V4h14V16z"}},{"tag":"path","attr":{"d":"M11 6H13V12H11zM11 13H13V15H11z"}}]})(props);
};
function BiMessageAltMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8.586,18L12,21.414L15.414,18H19c1.103,0,2-0.897,2-2V4c0-1.103-0.897-2-2-2H5C3.897,2,3,2.897,3,4v12 c0,1.103,0.897,2,2,2H8.586z M5,4h14v12h-4.414L12,18.586L9.414,16H5V4z"}},{"tag":"path","attr":{"d":"M8 9H16V11H8z"}}]})(props);
};
function BiMessageAltX (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8.586,18L12,21.414L15.414,18H19c1.103,0,2-0.897,2-2V4c0-1.103-0.897-2-2-2H5C3.897,2,3,2.897,3,4v12 c0,1.103,0.897,2,2,2H8.586z M5,4h14v12h-4.414L12,18.586L9.414,16H5V4z"}},{"tag":"path","attr":{"d":"M9.707 13.707L12 11.414 14.293 13.707 15.707 12.293 13.414 10 15.707 7.707 14.293 6.293 12 8.586 9.707 6.293 8.293 7.707 10.586 10 8.293 12.293z"}}]})(props);
};
function BiMessageAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,2H5C3.897,2,3,2.897,3,4v12c0,1.103,0.897,2,2,2h3.586L12,21.414L15.414,18H19c1.103,0,2-0.897,2-2V4 C21,2.897,20.103,2,19,2z M19,16h-4.414L12,18.586L9.414,16H5V4h14V16z"}}]})(props);
};
function BiMessageCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v12c0,1.103,0.897,2,2,2h3v3.767L13.277,18H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16h-7.277L9,18.233V16H4V4h16V16z"}},{"tag":"path","attr":{"d":"M17.207 7.207L15.793 5.793 11 10.586 8.707 8.293 7.293 9.707 11 13.414z"}}]})(props);
};
function BiMessageDetail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v12c0,1.103,0.897,2,2,2h3v3.767L13.277,18H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16h-7.277L9,18.233V16H4V4h16V16z"}},{"tag":"path","attr":{"d":"M7 7H17V9H7zM7 11H14V13H7z"}}]})(props);
};
function BiMessageDots (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v12c0,1.103,0.897,2,2,2h3v3.766L13.277,18H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16h-7.277L9,18.234V16H4V4h16V16z"}},{"tag":"circle","attr":{"cx":"15","cy":"10","r":"2"}},{"tag":"circle","attr":{"cx":"9","cy":"10","r":"2"}}]})(props);
};
function BiMessageEdit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v12c0,1.103,0.897,2,2,2h3v3.767L13.277,18H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16h-7.277L9,18.233V16H4V4h16V16z"}},{"tag":"path","attr":{"d":"M13.803 9.189L12.404 7.791 8.535 11.655 8.535 13.054 9.934 13.054z"}},{"tag":"path","attr":{"transform":"rotate(45.001 14.295 7.298)","d":"M13.307 6.544H15.285V8.052H13.307z"}}]})(props);
};
function BiMessageError (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v12c0,1.103,0.897,2,2,2h3v3.767L13.277,18H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16h-7.277L9,18.233V16H4V4h16V16z"}},{"tag":"path","attr":{"d":"M11 6H13V11H11zM11 12H13V14H11z"}}]})(props);
};
function BiMessageMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v12c0,1.103,0.897,2,2,2h3v3.767L13.277,18H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16h-7.277L9,18.233V16H4V4h16V16z"}},{"tag":"path","attr":{"d":"M8 9H16V11H8z"}}]})(props);
};
function BiMessageRoundedAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,5.589,2,10c0,2.908,1.898,5.515,5,6.934V22l5.34-4.005C17.697,17.852,22,14.32,22,10 C22,5.589,17.514,2,12,2z M12,16h-0.333L9,18v-2.417l-0.641-0.247C5.67,14.301,4,12.256,4,10c0-3.309,3.589-6,8-6s8,2.691,8,6 S16.411,16,12,16z"}},{"tag":"path","attr":{"d":"M13 6L11 6 11 9 8 9 8 11 11 11 11 14 13 14 13 11 16 11 16 9 13 9z"}}]})(props);
};
function BiMessageRoundedCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,5.589,2,10c0,2.908,1.898,5.515,5,6.934V22l5.339-4.005C17.697,17.852,22,14.32,22,10 C22,5.589,17.514,2,12,2z M12,16h-0.333L9,18v-2.417l-0.641-0.247C5.67,14.301,4,12.256,4,10c0-3.309,3.589-6,8-6s8,2.691,8,6 S16.411,16,12,16z"}},{"tag":"path","attr":{"d":"M11 11.586L8.707 9.293 7.293 10.707 11 14.414 17.207 8.207 15.793 6.793z"}}]})(props);
};
function BiMessageRoundedDetail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,5.589,2,10c0,2.908,1.898,5.515,5,6.934V22l5.34-4.005C17.697,17.852,22,14.32,22,10 C22,5.589,17.514,2,12,2z M12,16h-0.333L9,18v-2.417l-0.641-0.247C5.67,14.301,4,12.256,4,10c0-3.309,3.589-6,8-6s8,2.691,8,6 S16.411,16,12,16z"}},{"tag":"path","attr":{"d":"M7 7H17V9H7zM7 11H14V13H7z"}}]})(props);
};
function BiMessageRoundedDots (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"9.5","cy":"9.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"14.5","cy":"9.5","r":"1.5"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,5.589,2,10c0,2.908,1.897,5.515,5,6.934V22l5.34-4.004C17.697,17.852,22,14.32,22,10 C22,5.589,17.514,2,12,2z M12,16h-0.333L9,18v-2.417l-0.641-0.247C5.671,14.301,4,12.256,4,10c0-3.309,3.589-6,8-6s8,2.691,8,6 S16.411,16,12,16z"}}]})(props);
};
function BiMessageRoundedEdit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,5.589,2,10c0,2.908,1.898,5.515,5,6.934V22l5.34-4.005C17.697,17.852,22,14.32,22,10 C22,5.589,17.514,2,12,2z M12,16h-0.333L9,18v-2.417l-0.641-0.247C5.67,14.301,4,12.256,4,10c0-3.309,3.589-6,8-6s8,2.691,8,6 S16.411,16,12,16z"}},{"tag":"path","attr":{"d":"M8.503 11.589L8.503 12.987 9.901 12.987 13.771 9.123 12.372 7.725z"}},{"tag":"path","attr":{"transform":"rotate(-134.999 14.264 7.232)","d":"M13.275 6.478H15.253V7.987H13.275z"}}]})(props);
};
function BiMessageRoundedError (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,5.589,2,10c0,2.908,1.898,5.515,5,6.934V22l5.34-4.005C17.697,17.852,22,14.32,22,10 C22,5.589,17.514,2,12,2z M12,16h-0.333L9,18v-2.417l-0.641-0.247C5.67,14.301,4,12.256,4,10c0-3.309,3.589-6,8-6s8,2.691,8,6 S16.411,16,12,16z"}},{"tag":"path","attr":{"d":"M11 6H13V11H11zM11 12H13V14H11z"}}]})(props);
};
function BiMessageRoundedMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,5.589,2,10c0,2.908,1.898,5.515,5,6.934V22l5.34-4.005C17.697,17.852,22,14.32,22,10 C22,5.589,17.514,2,12,2z M12,16h-0.333L9,18v-2.417l-0.641-0.247C5.67,14.301,4,12.256,4,10c0-3.309,3.589-6,8-6s8,2.691,8,6 S16.411,16,12,16z"}},{"tag":"path","attr":{"d":"M8 9H16V11H8z"}}]})(props);
};
function BiMessageRoundedX (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,5.589,2,10c0,2.908,1.898,5.515,5,6.934V22l5.34-4.005C17.697,17.852,22,14.32,22,10 C22,5.589,17.514,2,12,2z M12,16h-0.333L9,18v-2.417l-0.641-0.247C5.67,14.301,4,12.256,4,10c0-3.309,3.589-6,8-6s8,2.691,8,6 S16.411,16,12,16z"}},{"tag":"path","attr":{"d":"M14.293 6.293L12 8.586 9.707 6.293 8.293 7.707 10.586 10 8.293 12.293 9.707 13.707 12 11.414 14.293 13.707 15.707 12.293 13.414 10 15.707 7.707z"}}]})(props);
};
function BiMessageRounded (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,5.589,2,10c0,2.908,1.898,5.516,5,6.934V22l5.34-4.005C17.697,17.852,22,14.32,22,10 C22,5.589,17.514,2,12,2z M12,16h-0.333L9,18v-2.417l-0.641-0.247C5.67,14.301,4,12.256,4,10c0-3.309,3.589-6,8-6s8,2.691,8,6 C20,13.309,16.411,16,12,16z"}}]})(props);
};
function BiMessageSquareAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,2H8C4.691,2,2,4.691,2,8v13c0,0.553,0.447,1,1,1h13c3.309,0,6-2.691,6-6V8C22,4.691,19.309,2,16,2z M20,16 c0,2.206-1.794,4-4,4H4V8c0-2.206,1.794-4,4-4h8c2.206,0,4,1.794,4,4V16z"}},{"tag":"path","attr":{"d":"M13 7L11 7 11 11 7 11 7 13 11 13 11 17 13 17 13 13 17 13 17 11 13 11z"}}]})(props);
};
function BiMessageSquareCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,2H8C4.691,2,2,4.691,2,8v13c0,0.553,0.448,1,1,1h13c3.309,0,6-2.691,6-6V8C22,4.691,19.309,2,16,2z M20,16 c0,2.206-1.794,4-4,4H4V8c0-2.206,1.794-4,4-4h8c2.206,0,4,1.794,4,4V16z"}},{"tag":"path","attr":{"d":"M11 13.586L8.707 11.293 7.293 12.707 11 16.414 17.207 10.207 15.793 8.793z"}}]})(props);
};
function BiMessageSquareDetail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,2H8C4.691,2,2,4.691,2,8v13c0,0.553,0.447,1,1,1h13c3.309,0,6-2.691,6-6V8C22,4.691,19.309,2,16,2z M20,16 c0,2.206-1.794,4-4,4H4V8c0-2.206,1.794-4,4-4h8c2.206,0,4,1.794,4,4V16z"}},{"tag":"path","attr":{"d":"M7 9H17V11H7zM7 13H14V15H7z"}}]})(props);
};
function BiMessageSquareDots (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,2H8C4.691,2,2,4.691,2,8v12c0,0.552,0.447,1,1,1h13c3.309,0,6-2.691,6-6V8C22,4.691,19.309,2,16,2z M20,15 c0,2.206-1.794,4-4,4H4V8c0-2.206,1.794-4,4-4h8c2.206,0,4,1.794,4,4V15z"}},{"tag":"circle","attr":{"cx":"9.5","cy":"11.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"14.5","cy":"11.5","r":"1.5"}}]})(props);
};
function BiMessageSquareEdit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,2H8C4.691,2,2,4.691,2,8v13c0,0.553,0.447,1,1,1h13c3.309,0,6-2.691,6-6V8C22,4.691,19.309,2,16,2z M20,16 c0,2.206-1.794,4-4,4H4V8c0-2.206,1.794-4,4-4h8c2.206,0,4,1.794,4,4V16z"}},{"tag":"path","attr":{"d":"M7 14.987L7 16.986 8.999 16.986 14.528 11.464 12.53 9.466z"}},{"tag":"path","attr":{"transform":"rotate(-134.999 15.233 8.761)","d":"M13.82 7.684H16.647V9.839H13.82z"}}]})(props);
};
function BiMessageSquareError (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,2H8C4.691,2,2,4.691,2,8v13c0,0.553,0.447,1,1,1h13c3.309,0,6-2.691,6-6V8C22,4.691,19.309,2,16,2z M20,16 c0,2.206-1.794,4-4,4H4V8c0-2.206,1.794-4,4-4h8c2.206,0,4,1.794,4,4V16z"}},{"tag":"path","attr":{"d":"M11 6H13V14H11zM11 16H13V18H11z"}}]})(props);
};
function BiMessageSquareMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,2H8C4.691,2,2,4.691,2,8v13c0,0.553,0.447,1,1,1h13c3.309,0,6-2.691,6-6V8C22,4.691,19.309,2,16,2z M20,16 c0,2.206-1.794,4-4,4H4V8c0-2.206,1.794-4,4-4h8c2.206,0,4,1.794,4,4V16z"}},{"tag":"path","attr":{"d":"M8 11H16V13H8z"}}]})(props);
};
function BiMessageSquareX (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,2H8C4.691,2,2,4.691,2,8v13c0,0.553,0.447,1,1,1h13c3.309,0,6-2.691,6-6V8C22,4.691,19.309,2,16,2z M20,16 c0,2.206-1.794,4-4,4H4V8c0-2.206,1.794-4,4-4h8c2.206,0,4,1.794,4,4V16z"}},{"tag":"path","attr":{"d":"M15.292 7.295L12 10.587 8.708 7.295 7.294 8.709 10.586 12.001 7.294 15.293 8.708 16.707 12 13.415 15.292 16.707 16.706 15.293 13.414 12.001 16.706 8.709z"}}]})(props);
};
function BiMessageSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,2H8C4.691,2,2,4.691,2,8v12c0,0.552,0.448,1,1,1h13c3.309,0,6-2.691,6-6V8C22,4.691,19.309,2,16,2z M20,15 c0,2.206-1.794,4-4,4H4V8c0-2.206,1.794-4,4-4h8c2.206,0,4,1.794,4,4V15z"}}]})(props);
};
function BiMessageX (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v12c0,1.103,0.897,2,2,2h3v3.767L13.277,18H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16h-7.277L9,18.233V16H4V4h16V16z"}},{"tag":"path","attr":{"d":"M9.707 13.707L12 11.414 14.293 13.707 15.707 12.293 13.414 10 15.707 7.707 14.293 6.293 12 8.586 9.707 6.293 8.293 7.707 10.586 10 8.293 12.293z"}}]})(props);
};
function BiMessage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H4C2.897,2,2,2.897,2,4v12c0,1.103,0.897,2,2,2h3v3.767L13.277,18H20c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M20,16h-7.277L9,18.233V16H4V4h16V16z"}}]})(props);
};
function BiMeteor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9.5,22c2.003,0,3.887-0.78,5.313-2.207l6.904-7.096c0.28-0.288,0.36-0.716,0.204-1.086C21.765,11.241,21.402,11,21,11 h-3.301l4.175-7.514c0.217-0.391,0.148-0.877-0.167-1.193c-0.316-0.315-0.803-0.384-1.192-0.167l-7.11,3.95l0.576-2.879 c0.084-0.418-0.106-0.843-0.474-1.059c-0.367-0.215-0.832-0.175-1.155,0.102L4.196,9.197c-2.924,2.924-2.924,7.682,0,10.606 C5.613,21.22,7.497,22,9.5,22z M5.552,10.665l5.902-5.031l-0.248,1.24L11.02,7.804c0,0,0,0.001,0,0.001l-0.424,2.119l7.83-4.35 l-3.3,5.94c0,0,0,0.001-0.001,0.001L14.301,13H16h2.632l-5.243,5.389C12.35,19.428,10.969,20,9.5,20s-2.851-0.572-3.89-1.611 C3.467,16.245,3.467,12.755,5.552,10.665z"}},{"tag":"path","attr":{"d":"M9.5,18c1.933,0,3.5-1.567,3.5-3.5c0-1.4-0.828-2.6-2.016-3.159C10.989,11.394,11,11.446,11,11.5 c0,0.829-0.672,1.5-1.5,1.5S8,12.329,8,11.5c0-0.054,0.011-0.106,0.016-0.159C6.828,11.9,6,13.1,6,14.5C6,16.433,7.567,18,9.5,18z"}}]})(props);
};
function BiMicrochip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16 2H8C6.897 2 6 2.897 6 4v16c0 1.103.897 2 2 2h8c1.103 0 2-.897 2-2V4C18 2.897 17.103 2 16 2zM8 20V4h8l.001 16H8zM3 7L5 7 5 5 3 5 3 5.5 2 5.5 2 6.5 3 6.5zM21 5L19 5 19 7 21 7 21 6.5 22 6.5 22 5.5 21 5.5zM3 11L5 11 5 9 3 9 3 9.5 2 9.5 2 10.5 3 10.5zM21 9L19 9 19 11 21 11 21 10.5 22 10.5 22 9.5 21 9.5zM3 15L5 15 5 13 3 13 3 13.5 2 13.5 2 14.5 3 14.5zM21 13L19 13 19 15 21 15 21 14.5 22 14.5 22 13.5 21 13.5zM3 19L5 19 5 17 3 17 3 17.5 2 17.5 2 18.5 3 18.5zM21 17L19 17 19 19 21 19 21 18.5 22 18.5 22 17.5 21 17.5z"}}]})(props);
};
function BiMicrophoneOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.707 20.293l-3.388-3.388C19.368 15.553 20 13.861 20 12.021h-2c0 1.289-.415 2.478-1.109 3.456l-1.452-1.452C15.787 13.434 16 12.755 16 12.021v-6C16 3.804 14.215 2 12.021 2c-.07 0-.14.009-.209.025C9.693 2.124 8 3.878 8 6.021v.565L3.707 2.293 2.293 3.707l18 18L21.707 20.293zM10 6.021c0-1.103.897-2 2-2 .054 0 .109-.005.164-.015C13.188 4.08 14 4.956 14 6.021v6c0 .172-.029.335-.071.494L10 8.586V6.021zM6 12.021H5 4c0 4.072 3.06 7.436 7 7.931v2.069h2v-2.07c.778-.099 1.524-.305 2.218-.611l-1.558-1.558c-.527.152-1.083.239-1.66.239C8.691 18.021 6 15.329 6 12.021z"}},{"tag":"path","attr":{"d":"M8.011,12.132c0.06,2.115,1.762,3.817,3.877,3.877L8.011,12.132z"}}]})(props);
};
function BiMicrophone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,12V6c0-2.217-1.785-4.021-3.979-4.021c-0.069,0-0.14,0.009-0.209,0.025C9.693,2.104,8,3.857,8,6v6c0,2.206,1.794,4,4,4 S16,14.206,16,12z M10,12V6c0-1.103,0.897-2,2-2c0.055,0,0.109-0.005,0.163-0.015C13.188,4.06,14,4.935,14,6v6c0,1.103-0.897,2-2,2 S10,13.103,10,12z"}},{"tag":"path","attr":{"d":"M6,12H4c0,4.072,3.061,7.436,7,7.931V22h2v-2.069c3.939-0.495,7-3.858,7-7.931h-2c0,3.309-2.691,6-6,6S6,15.309,6,12z"}}]})(props);
};
function BiMinusBack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14,3H5C3.897,3,3,3.897,3,5v9c0,1.103,0.897,2,2,2h3v3c0,1.103,0.897,2,2,2h9c1.103,0,2-0.897,2-2v-9c0-1.103-0.897-2-2-2 h-3V5C16,3.897,15.103,3,14,3z M5,5h9l-0.003,9H9H5V5z"}}]})(props);
};
function BiMinusCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 11H17V13H7z"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}}]})(props);
};
function BiMinusFront (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5,16h3v3c0,1.103,0.897,2,2,2h9c1.103,0,2-0.897,2-2v-9c0-1.103-0.897-2-2-2h-3V5c0-1.103-0.897-2-2-2H5 C3.897,3,3,3.897,3,5v9C3,15.103,3.897,16,5,16z M18.997,19H10v-4v-5h5h4L18.997,19z"}}]})(props);
};
function BiMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 11H19V13H5z"}}]})(props);
};
function BiMobileAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.75,2h-10c-1.103,0-2,0.897-2,2v16c0,1.103,0.897,2,2,2h10c1.103,0,2-0.897,2-2V4C18.75,2.897,17.853,2,16.75,2z M6.75,20V4h10l0.002,16H6.75z"}},{"tag":"circle","attr":{"cx":"11.75","cy":"18","r":"1"}}]})(props);
};
function BiMobileLandscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,5H4C2.897,5,2,5.897,2,7v10c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V7C22,5.897,21.103,5,20,5z M7.001,7H19v10 H7.001V7z"}}]})(props);
};
function BiMobileVibration (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.535,2.808c-0.756-0.756-2.072-0.756-2.828,0l-9.899,9.899c-0.78,0.779-0.78,2.049,0,2.828l5.657,5.657 c0.378,0.378,0.88,0.586,1.414,0.586s1.036-0.208,1.414-0.586l9.899-9.899c0.378-0.378,0.586-0.88,0.586-1.414 s-0.208-1.036-0.586-1.414L15.535,2.808z M9.879,19.778L9.879,19.778v1V19.778l-5.657-5.657l9.899-9.899l5.657,5.657L9.879,19.778 z"}},{"tag":"circle","attr":{"cx":"9","cy":"15","r":"1"}},{"tag":"path","attr":{"transform":"rotate(-134.999 18 18)","d":"M17 13.757H19V22.241999999999997H17z"}},{"tag":"path","attr":{"transform":"rotate(45.001 6 6)","d":"M5 1.757H7V10.241999999999999H5z"}}]})(props);
};
function BiMobile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17,2H7C5.897,2,5,2.897,5,4v16c0,1.103,0.897,2,2,2h10c1.103,0,2-0.897,2-2V4C19,2.897,18.103,2,17,2z M7,16.999V5h10 l0.002,11.999H7z"}}]})(props);
};
function BiMoney (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21,4H3C2.447,4,2,4.447,2,5v14c0,0.553,0.447,1,1,1h18c0.553,0,1-0.447,1-1V5C22,4.447,21.553,4,21,4z M20,15 c-1.657,0-3,1.343-3,3H7c0-1.657-1.343-3-3-3V9c1.657,0,3-1.343,3-3h10c0,1.657,1.343,3,3,3V15z"}},{"tag":"path","attr":{"d":"M12,8c-2.206,0-4,1.794-4,4s1.794,4,4,4s4-1.794,4-4S14.206,8,12,8z M12,14c-1.103,0-2-0.897-2-2s0.897-2,2-2s2,0.897,2,2 S13.103,14,12,14z"}}]})(props);
};
function BiMoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.742,13.045c-0.677,0.18-1.376,0.271-2.077,0.271c-2.135,0-4.14-0.83-5.646-2.336c-2.008-2.008-2.799-4.967-2.064-7.723 c0.092-0.345-0.007-0.713-0.259-0.965C10.444,2.04,10.077,1.938,9.73,2.034C8.028,2.489,6.476,3.382,5.241,4.616 c-3.898,3.898-3.898,10.243,0,14.143c1.889,1.889,4.401,2.93,7.072,2.93c2.671,0,5.182-1.04,7.07-2.929 c1.236-1.237,2.13-2.791,2.583-4.491c0.092-0.345-0.008-0.713-0.26-0.965C21.454,13.051,21.085,12.951,20.742,13.045z M17.97,17.346c-1.511,1.511-3.52,2.343-5.656,2.343c-2.137,0-4.146-0.833-5.658-2.344c-3.118-3.119-3.118-8.195,0-11.314 c0.602-0.602,1.298-1.102,2.06-1.483c-0.222,2.885,0.814,5.772,2.89,7.848c2.068,2.069,4.927,3.12,7.848,2.891 C19.072,16.046,18.571,16.743,17.97,17.346z"}}]})(props);
};
function BiMouseAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13,2h-2C7.691,2,5,4.691,5,8v8c0,3.309,2.691,6,6,6h2c3.309,0,6-2.691,6-6v-4v-2V8C19,4.691,16.309,2,13,2z M11,4v6H7V8 C7,5.794,8.794,4,11,4z M17,16c0,2.206-1.794,4-4,4h-2c-2.206,0-4-1.794-4-4v-4h10V16z M13,10V4c2.206,0,4,1.794,4,4v2H13z"}}]})(props);
};
function BiMouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.975,22H12c3.859,0,7-3.14,7-7V9c0-3.841-3.127-6.974-6.981-7C12.013,2,12.006,2,12,2c-0.002,0-0.016,0-0.018,0 c-0.009,0-0.016,0-0.023,0C8.119,2.022,5,5.157,5,9v6C5,18.86,8.129,22,11.975,22z M7,9c0-2.751,2.238-4.994,4.985-5 C14.75,4.006,17,6.249,17,9v6c0,2.757-2.243,5-5,5h-0.025C9.186,20,7,17.804,7,15V9z"}},{"tag":"path","attr":{"d":"M11 6H13V12H11z"}}]})(props);
};
function BiMoveHorizontal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 11L7 11 7 7 2 12 7 17 7 13 17 13 17 17 22 12 17 7z"}}]})(props);
};
function BiMoveVertical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 17L12 22 17 17 13 17 13 7 17 7 12 2 7 7 11 7 11 17z"}}]})(props);
};
function BiMove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 11L13 11 13 6 16 6 12 2 8 6 11 6 11 11 6 11 6 8 2 12 6 16 6 13 11 13 11 18 8 18 12 22 16 18 13 18 13 13 18 13 18 16 22 12 18 8z"}}]})(props);
};
function BiMovie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H4C2.897,3,2,3.897,2,5v6v8c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2v-8V5C22,3.897,21.103,3,20,3z M20.001,9 C20,9,20,9,20.001,9h-0.466l-2.667-4H20L20.001,9z M9.535,9L6.868,5h2.597l2.667,4H9.535z M14.535,9l-2.667-4h2.597l2.667,4H14.535 z M4,5h0.465l2.667,4H4V5z M4,19v-8h16l0.002,8H4z"}}]})(props);
};
function BiMusic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.684,5.821l-9-3.272C10.071,2.326,9.387,2.415,8.853,2.79C8.318,3.163,8,3.775,8,4.428v6.129 C7.409,10.212,6.731,10,6,10c-2.206,0-4,1.794-4,4s1.794,4,4,4s4-1.794,4-4V4.428L19,7.7v6.856C18.409,14.212,17.731,14,17,14 c-2.206,0-4,1.794-4,4s1.794,4,4,4s4-1.794,4-4V7.7C21,6.862,20.471,6.106,19.684,5.821z M6,16c-1.103,0-2-0.897-2-2s0.897-2,2-2 s2,0.897,2,2S7.103,16,6,16z M17,20c-1.103,0-2-0.897-2-2s0.897-2,2-2s2,0.897,2,2S18.103,20,17,20z"}}]})(props);
};
function BiNavigation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2.002,9.63c-0.023,0.411,0.207,0.794,0.581,0.966l7.504,3.442l3.442,7.503c0.164,0.356,0.52,0.583,0.909,0.583 c0.019,0,0.037-0.001,0.057-0.002c0.41-0.022,0.765-0.295,0.894-0.686l5.595-17.032c0.117-0.358,0.023-0.753-0.243-1.02 s-0.66-0.358-1.02-0.243L2.688,8.736C2.297,8.865,2.024,9.22,2.002,9.63z M18.466,5.659l-4.182,12.73l-2.534-5.522 c-0.101-0.218-0.274-0.393-0.492-0.492L5.734,9.841L18.466,5.659z"}}]})(props);
};
function BiNetworkChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,3c-1.654,0-3,1.346-3,3c0,0.502,0.136,0.968,0.354,1.385l-1.116,1.302C14.599,8.254,13.829,8,13,8 c-0.739,0-1.425,0.216-2.02,0.566L9.566,7.152C9.834,6.658,10,6.101,10,5.5C10,3.57,8.43,2,6.5,2S3,3.57,3,5.5S4.57,9,6.5,9 c0.601,0,1.158-0.166,1.652-0.434L9.566,9.98C9.216,10.575,9,11.261,9,12c0,0.997,0.38,1.899,0.985,2.601l-1.692,1.692l0.025,0.025 C7.919,16.121,7.476,16,7,16c-1.654,0-3,1.346-3,3s1.346,3,3,3s3-1.346,3-3c0-0.476-0.121-0.919-0.318-1.318l0.025,0.025 l1.954-1.954C12.082,15.903,12.528,16,13,16c2.206,0,4-1.794,4-4c0-0.645-0.168-1.245-0.439-1.785l1.253-1.462 C18.178,8.911,18.578,9,19,9c1.654,0,3-1.346,3-3S20.654,3,19,3z M7,20c-0.552,0-1-0.448-1-1s0.448-1,1-1s1,0.448,1,1 S7.552,20,7,20z M5,5.5C5,4.673,5.673,4,6.5,4S8,4.673,8,5.5S7.327,7,6.5,7S5,6.327,5,5.5z M13,14c-1.103,0-2-0.897-2-2 s0.897-2,2-2s2,0.897,2,2S14.103,14,13,14z M19,7c-0.552,0-1-0.448-1-1s0.448-1,1-1s1,0.448,1,1S19.552,7,19,7z"}}]})(props);
};
function BiNews (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.875,3H4.125C2.953,3,2,3.897,2,5v14c0,1.103,0.953,2,2.125,2h15.75C21.047,21,22,20.103,22,19V5 C22,3.897,21.047,3,19.875,3z M19.875,19H4.125c-0.057,0-0.096-0.016-0.113-0.016c-0.007,0-0.011,0.002-0.012,0.008L3.988,5.046 C3.995,5.036,4.04,5,4.125,5h15.75C19.954,5.001,19.997,5.028,20,5.008l0.012,13.946C20.005,18.964,19.96,19,19.875,19z"}},{"tag":"path","attr":{"d":"M6 7H12V13H6zM13 15L6 15 6 17 13 17 14 17 18 17 18 15 14 15zM14 11H18V13H14zM14 7H18V9H14z"}}]})(props);
};
function BiNoEntry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 10H17V14H7z"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}}]})(props);
};
function BiNote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,3H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h8c0.131,0,0.26-0.026,0.381-0.076s0.232-0.123,0.326-0.217l7-7 c0.086-0.086,0.147-0.187,0.196-0.293c0.014-0.03,0.022-0.061,0.033-0.093c0.028-0.084,0.046-0.17,0.051-0.259 C20.989,13.041,21,13.021,21,13V5C21,3.897,20.103,3,19,3z M5,5h14v7h-6c-0.553,0-1,0.448-1,1v6H5V5z M14,17.586V14h3.586 L14,17.586z"}}]})(props);
};
function BiNotepad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,4h-3V2h-2v2h-4V2H8v2H5C3.897,4,3,4.897,3,6v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V6C21,4.897,20.103,4,19,4z M5,20V7h3h2h4h2h3V6l0.002,14H5z"}},{"tag":"path","attr":{"d":"M7 9H17V11H7zM7 13H12V15H7z"}}]})(props);
};
function BiNotificationOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.71 20.296l-1.786-1.786C19.969 18.347 20 18.178 20 18v-7h-2v5.586L7.414 6H13V4H6C5.822 4 5.653 4.031 5.49 4.076l-1.78-1.78L2.296 3.71l18 18L21.71 20.296zM4 8.121V18c0 1.103.897 2 2 2h9.879l-2-2H6v-7.879L4 8.121z"}},{"tag":"circle","attr":{"cx":"18","cy":"6","r":"3"}}]})(props);
};
function BiNotification (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"18","cy":"6","r":"3"}},{"tag":"path","attr":{"d":"M18,19H5V6h8c0-0.712,0.153-1.387,0.422-2H5C3.897,4,3,4.897,3,6v13c0,1.103,0.897,2,2,2h13c1.103,0,2-0.897,2-2v-8.422 C19.387,10.847,18.712,11,18,11V19z"}}]})(props);
};
function BiOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21,19v-9c0-1.103-0.897-2-2-2h-3V5c0-1.103-0.897-2-2-2H5C3.897,3,3,3.897,3,5v9c0,1.103,0.897,2,2,2h3v3 c0,1.103,0.897,2,2,2h9C20.103,21,21,20.103,21,19z M5,14V5h9v3h-4c-1.103,0-2,0.897-2,2v4H5z M14.001,14H10v-4h4.001V14z M10,16h4 c1.103,0,2-0.897,2-2v-4h3l0.001,9H10V16z"}}]})(props);
};
function BiPackage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M5.058 8.005L11.972 11.872 14.653 10.382 7.819 6.477zM18 10.825L18 14 16 15 16 11.944 13.002 13.622 13 19.301 20 15.411 20 9.706zM11 13.621L4 9.705 4 15.411 11 19.301zM16.697 9.247L18.941 8 12.02 4.153 9.867 5.344z"}},{"tag":"path","attr":{"d":"M21.993,7.95c-0.003-0.072-0.01-0.145-0.029-0.214c-0.007-0.025-0.021-0.049-0.03-0.074 c-0.021-0.057-0.04-0.113-0.07-0.165c-0.016-0.027-0.038-0.049-0.057-0.075c-0.032-0.045-0.063-0.091-0.102-0.13 c-0.023-0.022-0.053-0.04-0.078-0.061c-0.039-0.032-0.075-0.067-0.12-0.094c-0.004-0.003-0.009-0.003-0.014-0.006 c-0.003-0.002-0.005-0.004-0.008-0.006l-8.979-4.99c-0.301-0.168-0.667-0.167-0.97-0.001l-9.021,4.99 C2.512,7.127,2.509,7.131,2.504,7.134c-0.003,0.001-0.007,0.002-0.01,0.004C2.459,7.158,2.433,7.187,2.4,7.211 C2.364,7.238,2.326,7.262,2.294,7.293C2.264,7.324,2.241,7.36,2.215,7.395C2.188,7.43,2.158,7.461,2.136,7.499 C2.11,7.542,2.096,7.591,2.077,7.638c-0.014,0.033-0.032,0.064-0.041,0.1c-0.019,0.067-0.025,0.139-0.029,0.21 C2.006,7.965,2,7.98,2,7.998v0.001V8v8c0,0.363,0.197,0.698,0.515,0.874l8.978,4.987l0.001,0.001c0.001,0,0.001,0,0.002,0.001 l0.02,0.011c0.043,0.024,0.09,0.037,0.135,0.054c0.032,0.013,0.063,0.03,0.097,0.039C11.829,21.988,11.915,22,12,22 s0.171-0.012,0.254-0.033c0.033-0.009,0.064-0.026,0.097-0.039c0.045-0.017,0.092-0.029,0.135-0.054l0.02-0.011 c0.001-0.001,0.001-0.001,0.002-0.001l0.001-0.001l8.978-4.987C21.803,16.698,22,16.363,22,16V8V7.999V7.998 C22,7.981,21.994,7.967,21.993,7.95z M11.972,11.872L5.058,8.005l2.762-1.528l6.834,3.905L11.972,11.872z M12.02,4.153L18.941,8 l-2.244,1.247l-6.83-3.903L12.02,4.153z M4,9.705l7,3.916v5.68l-7-3.89V9.705z M13,19.301l0.002-5.679L16,11.944V15l2-1v-3.175 l2-1.119v5.705L13,19.301z"}}]})(props);
};
function BiPaintRoll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18,2H7C5.897,2,5,2.897,5,4v3c0,1.103,0.897,2,2,2h11c1.103,0,2-0.897,2-2V4C20,2.897,19.103,2,18,2z M7,7V4h11l0.002,3H7 z"}},{"tag":"path","attr":{"d":"M13,15v-2c0-1.103-0.897-2-2-2H4V5C2.897,5,2,5.897,2,7v4c0,1.103,0.897,2,2,2h7v2c-0.553,0-1,0.447-1,1v5 c0,0.553,0.447,1,1,1h2c0.553,0,1-0.447,1-1v-5C14,15.447,13.553,15,13,15z"}}]})(props);
};
function BiPaint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.061,22c1.523,0,2.84-0.543,3.91-1.613c1.123-1.123,1.707-2.854,1.551-4.494l8.564-8.564 c1.217-1.217,1.217-3.195-0.002-4.414c-1.178-1.18-3.234-1.18-4.412,0l-8.884,8.884c-1.913,0.169-3.807,1.521-3.807,3.919 c0,0.303,0.021,0.588,0.042,0.86c0.08,1.031,0.109,1.418-1.471,2.208c-0.316,0.158-0.525,0.472-0.55,0.824 c-0.025,0.352,0.138,0.691,0.428,0.893C2.52,20.563,4.623,22,7.061,22C7.06,22,7.06,22,7.061,22z M18.086,4.328 c0.424-0.424,1.158-0.426,1.586,0.002c0.437,0.437,0.437,1.147,0,1.584L12,13.586L10.414,12L18.086,4.328z M6.018,16.423 C6,16.199,5.981,15.965,5.981,15.717c0-1.545,1.445-1.953,2.21-1.953c0.356,0,0.699,0.073,0.964,0.206 c0.945,0.475,1.26,1.293,1.357,1.896c0.177,1.09-0.217,2.368-0.956,3.107C8.865,19.664,8.049,20,7.061,20H7.06 c-0.75,0-1.479-0.196-2.074-0.427C6.068,18.6,6.107,17.584,6.018,16.423z"}}]})(props);
};
function BiPalette (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13.4,2.096c-3.358-0.458-6.729,0.804-8.937,3.331C2.565,7.603,1.702,10.509,2.096,13.4 c0.53,3.894,3.458,7.207,7.285,8.246C10.245,21.881,11.126,22,11.999,22l0.142-0.001c1.032-0.016,1.973-0.549,2.516-1.426 c0.541-0.876,0.599-1.953,0.153-2.879l-0.199-0.416c-0.418-0.868-0.121-1.57,0.094-1.912c0.539-0.858,1.627-1.21,2.576-0.755 l0.412,0.197c0.412,0.198,0.85,0.299,1.301,0.299c1.633,0,2.981-1.331,3.006-2.967c0.014-0.92-0.105-1.849-0.353-2.76 C20.607,5.554,17.294,2.626,13.4,2.096z M18.558,13.005l-0.412-0.197c-1.828-0.878-4.07-0.198-5.135,1.494 c-0.738,1.176-0.813,2.576-0.204,3.842l0.199,0.416c0.151,0.314,0.133,0.664-0.051,0.961c-0.185,0.299-0.492,0.474-0.844,0.479 L11.999,20c-0.696,0-1.401-0.096-2.095-0.283c-3.063-0.831-5.403-3.479-5.826-6.586C3.757,10.776,4.43,8.508,5.971,6.742 C7.491,5,9.689,4,12,4c0.374,0,0.754,0.026,1.131,0.078c3.107,0.423,5.755,2.764,6.586,5.826c0.198,0.73,0.293,1.474,0.282,2.207 C19.987,12.918,19.154,13.294,18.558,13.005z"}},{"tag":"circle","attr":{"cx":"7.5","cy":"14.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"7.5","cy":"10.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"10.5","cy":"7.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"14.5","cy":"7.5","r":"1.5"}}]})(props);
};
function BiPaperPlane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.563,3.34c-0.292-0.199-0.667-0.229-0.989-0.079l-17,8C2.219,11.429,1.995,11.788,2,12.18 c0.006,0.392,0.24,0.745,0.6,0.902L8,15.445v6.722l5.836-4.168l4.764,2.084c0.128,0.057,0.265,0.084,0.4,0.084 c0.181,0,0.36-0.049,0.52-0.146c0.278-0.169,0.457-0.463,0.479-0.788l1-15C21.021,3.879,20.856,3.54,20.563,3.34z M18.097,17.68 l-5.269-2.306L16,9.167l-7.649,4.25l-2.932-1.283L18.89,5.794L18.097,17.68z"}}]})(props);
};
function BiPaperclip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.004,5C17.002,5,17.001,5,17,5h-0.001H9C7.162,5,5.414,5.737,4.076,7.076C2.737,8.415,2,10.163,2,12 c0,1.838,0.737,3.586,2.076,4.924C5.414,18.263,7.162,19,9,19h8v-2H9c-1.303,0-2.55-0.529-3.51-1.49C4.529,14.55,4,13.303,4,12 c0-1.302,0.529-2.549,1.49-3.51C6.45,7.529,7.697,7,9,7h8V6l0.001,1c0.001,0,0.002,0,0.003,0c0.79,0,1.539,0.314,2.109,0.886 c0.571,0.571,0.886,1.322,0.887,2.116c0.001,0.789-0.313,1.539-0.884,2.11C18.543,12.684,17.791,12.999,17,13H9 c-0.256,0-0.505-0.107-0.698-0.3C8.107,12.505,8,12.256,8,12c0-0.252,0.11-0.507,0.301-0.698C8.495,11.107,8.744,11,9,11h8V9H9 C8.21,9,7.459,9.315,6.886,9.889C6.314,10.461,6,11.211,6,12s0.314,1.54,0.888,2.114C7.46,14.686,8.211,15,9,15h8.001 c1.324-0.001,2.577-0.523,3.528-1.473c0.951-0.95,1.473-2.204,1.471-3.528c-0.001-1.326-0.524-2.579-1.472-3.527 C19.58,5.522,18.328,5,17.004,5z"}}]})(props);
};
function BiParagraph (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9,16h2v4h2V6h2v14h2V6h3V4h-7h-2H9c-3.309,0-6,2.691-6,6S5.691,16,9,16z M9,6h2v8H9c-2.206,0-4-1.794-4-4S6.794,6,9,6z"}}]})(props);
};
function BiPaste (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,11V5c0-1.103-0.897-2-2-2h-3c0-0.552-0.447-1-1-1H8C7.447,2,7,2.448,7,3H4C2.897,3,2,3.897,2,5v13c0,1.103,0.897,2,2,2 h7c0,1.103,0.897,2,2,2h7c1.103,0,2-0.897,2-2v-7C22,11.897,21.103,11,20,11z M11,13v5H4V5h3v2h8V5h3v6h-5 C11.897,11,11,11.897,11,13z M13,20v-7h7l0.001,7H13z"}}]})(props);
};
function BiPauseCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M13 9H15V15H13zM9 9H11V15H9z"}}]})(props);
};
function BiPause (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 7H11V17H8zM13 7H16V17H13z"}}]})(props);
};
function BiPen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.404,2.998c-0.757-0.754-2.077-0.751-2.828,0.005l-1.784,1.791L11.586,7H7C6.579,7,6.204,7.263,6.061,7.658l-4,11 c-0.133,0.365-0.042,0.774,0.232,1.049l2,2C4.483,21.898,4.739,22,5,22c0.114,0,0.23-0.02,0.342-0.061l11-4 C16.737,17.796,17,17.421,17,17v-4.586l2.207-2.207c0,0,0,0,0-0.001c0.001,0,0.001,0,0.001,0L21,8.409 c0.378-0.378,0.586-0.881,0.585-1.415c0-0.535-0.209-1.038-0.588-1.415L18.404,2.998z M15.293,11.293 C15.105,11.48,15,11.734,15,12v4.3l-9.249,3.363l4.671-4.671C10.448,14.993,10.474,15,10.5,15c0.828,0,1.5-0.672,1.5-1.5 S11.328,12,10.5,12S9,12.672,9,13.5c0,0.026,0.007,0.052,0.008,0.078l-4.671,4.671L7.7,9H12c0.266,0,0.52-0.105,0.707-0.293 L14.5,6.914L17.086,9.5L15.293,11.293z M18.499,8.085l-2.586-2.586l1.079-1.084l2.593,2.581L18.499,8.085z"}}]})(props);
};
function BiPencil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M16.589 9L15.003 7.414 5.906 16.511 5.377 18.625 7.491 18.097z"}},{"tag":"path","attr":{"transform":"rotate(134.999 18.003 6)","fill":"none","d":"M16.882 4.879H19.125V7.122H16.882z"}},{"tag":"path","attr":{"d":"M4.003,21c0.081,0,0.162-0.01,0.242-0.03l4-1c0.176-0.044,0.337-0.135,0.465-0.263L21.003,7.414 c0.378-0.378,0.586-0.88,0.586-1.414s-0.208-1.036-0.586-1.414L19.417,3c-0.756-0.756-2.072-0.756-2.828,0L4.296,15.293 c-0.128,0.128-0.219,0.289-0.263,0.464l-1,4c-0.086,0.341,0.015,0.701,0.263,0.95C3.485,20.897,3.741,21,4.003,21z M18.003,4.414 L19.589,6l-1.586,1.586L16.417,6L18.003,4.414z M5.906,16.511l9.097-9.097L16.589,9l-9.098,9.097l-2.114,0.528L5.906,16.511z"}}]})(props);
};
function BiPhoneCall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M16.585,19.999l2.006-2.005l-2.586-2.586l-1.293,1.293c-0.238,0.239-0.579,0.342-0.912,0.271 c-0.115-0.024-2.842-0.611-4.502-2.271s-2.247-4.387-2.271-4.502c-0.069-0.33,0.032-0.674,0.271-0.912l1.293-1.293L6.005,5.408 L4,7.413c0.02,1.223,0.346,5.508,3.712,8.874C11.067,19.643,15.337,19.978,16.585,19.999z"}},{"tag":"path","attr":{"d":"M16.566 21.999c.005 0 .023 0 .028 0 .528 0 1.027-.208 1.405-.586l2.712-2.712c.391-.391.391-1.023 0-1.414l-4-4c-.391-.391-1.023-.391-1.414 0l-1.594 1.594c-.739-.22-2.118-.72-2.992-1.594s-1.374-2.253-1.594-2.992l1.594-1.594c.391-.391.391-1.023 0-1.414l-4-4c-.375-.375-1.039-.375-1.414 0L2.586 5.999C2.206 6.379 1.992 6.901 2 7.434c.023 1.424.4 6.37 4.298 10.268S15.142 21.976 16.566 21.999zM6.005 5.408l2.586 2.586L7.298 9.287c-.239.238-.341.582-.271.912.024.115.611 2.842 2.271 4.502s4.387 2.247 4.502 2.271c.333.07.674-.032.912-.271l1.293-1.293 2.586 2.586-2.006 2.005c-1.248-.021-5.518-.356-8.873-3.712C4.346 12.921 4.02 8.636 4 7.413L6.005 5.408zM19.999 10.999h2c0-5.13-3.873-8.999-9.01-8.999v2C17.051 4 19.999 6.943 19.999 10.999z"}},{"tag":"path","attr":{"d":"M12.999,8c2.103,0,3,0.897,3,3h2c0-3.225-1.775-5-5-5V8z"}}]})(props);
};
function BiPhoneIncoming (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.712,13.288c-0.391-0.391-1.023-0.391-1.414,0l-1.597,1.596c-0.824-0.245-2.166-0.771-2.99-1.596 c-0.874-0.874-1.374-2.253-1.594-2.992l1.594-1.594c0.391-0.391,0.391-1.023,0-1.414l-4-4c-0.375-0.375-1.039-0.375-1.414,0 l-2.709,2.71C2.206,6.378,1.991,6.902,2,7.435c0.022,1.423,0.396,6.367,4.297,10.268C10.195,21.6,15.142,21.977,16.566,22 c0.005,0,0.023,0,0.028,0c0.528,0,1.027-0.208,1.405-0.586l2.712-2.712c0.391-0.391,0.391-1.023,0-1.414L16.712,13.288z M16.585,20c-1.248-0.021-5.518-0.356-8.874-3.712C4.343,12.92,4.019,8.636,4,7.414l2.004-2.005L8.59,7.995L7.297,9.288 C7.059,9.526,6.957,9.87,7.026,10.2c0.024,0.115,0.611,2.842,2.271,4.502s4.387,2.247,4.502,2.271 c0.331,0.071,0.673-0.032,0.912-0.271l1.293-1.293l2.586,2.586L16.585,20z"}},{"tag":"path","attr":{"d":"M15.795 6.791L13.005 4 13.005 10.995 20 10.995 17.209 8.205 21.712 3.702 20.298 2.288z"}}]})(props);
};
function BiPhoneOutgoing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.712,13.288c-0.391-0.391-1.023-0.391-1.414,0l-1.594,1.594c-0.739-0.22-2.118-0.72-2.992-1.594 s-1.374-2.253-1.594-2.992l1.594-1.594c0.391-0.391,0.391-1.023,0-1.414l-4-4c-0.391-0.391-1.023-0.391-1.414,0L2.586,6 C2.206,6.38,1.992,6.902,2,7.435c0.023,1.424,0.4,6.37,4.298,10.268S15.142,21.977,16.566,22c0.005,0,0.023,0,0.028,0 c0.528,0,1.027-0.208,1.405-0.586l2.712-2.712c0.391-0.391,0.391-1.023,0-1.414L16.712,13.288z M16.585,20 c-1.248-0.021-5.518-0.356-8.873-3.712C4.346,12.922,4.02,8.637,4,7.414l2.005-2.005l2.586,2.586L7.298,9.288 C7.059,9.526,6.957,9.87,7.026,10.2c0.024,0.115,0.611,2.842,2.271,4.502s4.387,2.247,4.502,2.271 c0.331,0.071,0.674-0.032,0.912-0.271l1.293-1.293l2.586,2.586L16.585,20z"}},{"tag":"path","attr":{"d":"M16.795 5.791L12.298 10.288 13.712 11.702 18.209 7.205 21.005 10 21.005 2.995 14 2.995z"}}]})(props);
};
function BiPhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.707,12.293c-0.391-0.391-1.023-0.391-1.414,0l-1.594,1.594c-0.739-0.22-2.118-0.72-2.992-1.594 s-1.374-2.253-1.594-2.992l1.594-1.594c0.391-0.391,0.391-1.023,0-1.414l-4-4c-0.391-0.391-1.023-0.391-1.414,0L3.581,5.005 c-0.38,0.38-0.594,0.902-0.586,1.435c0.023,1.424,0.4,6.37,4.298,10.268s8.844,4.274,10.269,4.298c0.005,0,0.023,0,0.028,0 c0.528,0,1.027-0.208,1.405-0.586l2.712-2.712c0.391-0.391,0.391-1.023,0-1.414L17.707,12.293z M17.58,19.005 c-1.248-0.021-5.518-0.356-8.873-3.712c-3.366-3.366-3.692-7.651-3.712-8.874L7,4.414L9.586,7L8.293,8.293 C8.054,8.531,7.952,8.875,8.021,9.205c0.024,0.115,0.611,2.842,2.271,4.502s4.387,2.247,4.502,2.271 c0.333,0.071,0.674-0.032,0.912-0.271L17,14.414L19.586,17L17.58,19.005z"}}]})(props);
};
function BiPhotoAlbum (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.024 11.536L10 10 8 13 10 13 12 13 17 13 13.5 8z"}},{"tag":"circle","attr":{"cx":"9.503","cy":"7.497","r":"1.503"}},{"tag":"path","attr":{"d":"M19,2H6C4.794,2,3,2.799,3,5v9v3v2c0,2.201,1.794,3,3,3h15v-2H6.012C5.55,19.988,5,19.806,5,19s0.55-0.988,1.012-1H19h1h1 v-1v-3V4C21,2.897,20.103,2,19,2z M19,16H5v-2V5c0-0.806,0.55-0.988,1-1h13v10V16z"}}]})(props);
};
function BiPieChartAlt2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M19.931,11H13V6V4.069 C16.611,4.522,19.478,7.389,19.931,11z M4,12c0-4.072,3.061-7.436,7-7.931V6v6c0,0.119,0.028,0.234,0.069,0.345 c0.013,0.032,0.026,0.062,0.042,0.093c0.015,0.03,0.022,0.063,0.041,0.093l4.202,6.723C14.332,19.728,13.198,20,12,20 C7.589,20,4,16.411,4,12z M17.052,18.196L13.805,13h6.126C19.669,15.087,18.605,16.928,17.052,18.196z"}}]})(props);
};
function BiPieChartAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C9.33,2,6.818,3.04,4.929,4.929C3.04,6.818,2,9.33,2,12s1.04,5.182,2.929,7.071C6.818,20.96,9.33,22,12,22 s5.182-1.04,7.071-2.929C20.96,17.182,22,14.67,22,12s-1.04-5.182-2.929-7.071C17.182,3.04,14.67,2,12,2z M17.657,17.657 C16.146,19.168,14.137,20,12,20s-4.146-0.832-5.657-2.343C4.832,16.146,4,14.137,4,12s0.832-4.146,2.343-5.657 C7.615,5.07,9.242,4.287,11,4.069V12c0,0.553,0.447,1,1,1h7.931C19.713,14.758,18.93,16.385,17.657,17.657z M13,11V4.062 c1.758,0.218,3.384,1.009,4.657,2.281C18.93,7.616,19.721,9.242,19.938,11H13z"}}]})(props);
};
function BiPieChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M12,5.166V12h6.834C18.834,8.212,15.787,5.166,12,5.166z"}}]})(props);
};
function BiPin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,22l1-2v-3h5c0.553,0,1-0.447,1-1v-1.586c0-0.526-0.214-1.042-0.586-1.414L17,11.586V8c0.553,0,1-0.447,1-1V4 c0-1.103-0.897-2-2-2H8C6.897,2,6,2.897,6,4v3c0,0.553,0.448,1,1,1v3.586L5.586,13C5.213,13.372,5,13.888,5,14.414V16 c0,0.553,0.448,1,1,1h5v3L12,22z M8,4h8v2H8V4z M7,14.414l1.707-1.707C8.895,12.52,9,12.266,9,12V8h6v4 c0,0.266,0.105,0.52,0.293,0.707L17,14.414V15H7V14.414z"}}]})(props);
};
function BiPlanet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M4.633 17.117c-.374.689-.594 1.516-.377 1.76.23.262.918.281 1.942-.021C5.61 18.354 5.085 17.773 4.633 17.117zM8.349 17.962c1.546-.794 3.426-2.043 5.488-3.876 2.065-1.834 3.527-3.553 4.498-4.994-.105-.227-.221-.449-.351-.667C16.71 6.293 14.474 5.02 12.001 5.02c-1.257 0-2.498.346-3.589.999-1.607.96-2.742 2.482-3.195 4.286-.453 1.803-.173 3.681.789 5.286C6.6 16.586 7.409 17.384 8.349 17.962zM19.474 7.067c.421-.982.483-1.668.252-1.929-.229-.259-.505-.356-.861-.323-.232.025-.577.137-1.008.399C18.469 5.748 19.013 6.366 19.474 7.067zM15.165 15.582c-1.409 1.252-2.926 2.381-4.413 3.292.404.072.815.122 1.237.122 1.257 0 2.499-.346 3.59-.999 1.607-.96 2.741-2.481 3.194-4.285.177-.704.238-1.42.194-2.126C17.887 12.956 16.576 14.329 15.165 15.582z"}},{"tag":"path","attr":{"d":"M2.76,20.205c0.517,0.581,1.257,0.841,2.147,0.841c0.975,0,2.133-0.319,3.373-0.86c1.144,0.519,2.396,0.811,3.709,0.811 c1.619,0,3.216-0.443,4.616-1.282c2.065-1.234,3.524-3.192,4.107-5.515c0.412-1.643,0.344-3.329-0.163-4.908 c1.31-2.236,1.753-4.263,0.672-5.48c-0.661-0.744-1.58-1.091-2.575-0.983C17.815,2.919,16.96,3.33,16.098,4.02 c-1.243-0.64-2.634-1-4.097-1c-1.618,0-3.215,0.443-4.615,1.282C5.319,5.536,3.861,7.495,3.277,9.817 c-0.449,1.788-0.333,3.63,0.306,5.325C2.518,16.346,1.529,18.819,2.76,20.205z M4.256,18.877c-0.217-0.244,0.003-1.07,0.377-1.76 c0.452,0.656,0.978,1.237,1.565,1.739C5.174,19.158,4.486,19.139,4.256,18.877z M18.773,13.712 c-0.453,1.804-1.587,3.325-3.194,4.285c-1.091,0.653-2.333,0.999-3.59,0.999c-0.422,0-0.833-0.05-1.237-0.122 c1.487-0.911,3.004-2.04,4.413-3.292c1.411-1.253,2.722-2.626,3.803-3.996C19.012,12.292,18.95,13.008,18.773,13.712z M18.864,4.815c0.356-0.033,0.632,0.064,0.861,0.323c0.231,0.261,0.169,0.946-0.252,1.929c-0.461-0.701-1.005-1.319-1.617-1.853 C18.287,4.952,18.632,4.841,18.864,4.815z M5.217,10.305C5.67,8.501,6.805,6.979,8.412,6.019c1.091-0.653,2.332-0.999,3.589-0.999 c2.473,0,4.709,1.273,5.983,3.405c0.13,0.218,0.245,0.44,0.351,0.667c-0.971,1.441-2.433,3.16-4.498,4.994 c-2.063,1.833-3.942,3.082-5.488,3.876c-0.939-0.578-1.749-1.376-2.343-2.371C5.044,13.985,4.764,12.107,5.217,10.305z"}}]})(props);
};
function BiPlayCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M9 17L17 12 9 7z"}}]})(props);
};
function BiPlay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 6L7 18 17 12z"}}]})(props);
};
function BiPlug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 8h2v5c0 2.206 1.794 4 4 4h2v5h2v-5h2c2.206 0 4-1.794 4-4V8h2V6H3V8zM7 8h10v5c0 1.103-.897 2-2 2H9c-1.103 0-2-.897-2-2V8zM7 2H9V5H7zM15 2H17V5H15z"}}]})(props);
};
function BiPlusCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 7L11 7 11 11 7 11 7 13 11 13 11 17 13 17 13 13 17 13 17 11 13 11z"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10c5.514,0,10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8 s3.589-8,8-8s8,3.589,8,8S16.411,20,12,20z"}}]})(props);
};
function BiPlusMedical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 2.013L9 2.013 9 9 2 9 2 15 9 15 9 21.987 15 21.987 15 15 22 15 22 9 15 9z"}}]})(props);
};
function BiPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 11L13 11 13 5 11 5 11 11 5 11 5 13 11 13 11 19 13 19 13 13 19 13z"}}]})(props);
};
function BiPointer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.978,13.21c0.084-0.39-0.072-0.792-0.396-1.024l-14-10c-0.321-0.23-0.75-0.249-1.09-0.047 C5.15,2.34,4.961,2.724,5.007,3.117l2,17c0.047,0.398,0.327,0.73,0.713,0.843C7.813,20.987,7.906,21,8,21 c0.295,0,0.581-0.131,0.774-0.367l3.612-4.416l3.377,5.46l1.701-1.052l-3.357-5.428l6.089-1.218 C20.587,13.902,20.895,13.6,20.978,13.21z M12.304,13.52c-0.227,0.045-0.431,0.168-0.578,0.347l-3.008,3.677L7.257,5.127 l10.283,7.345L12.304,13.52z"}}]})(props);
};
function BiPoll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 11H14V13H7zM7 7H17.97V9H7zM7 15H20V17H7zM4 4H6V20H4z"}}]})(props);
};
function BiPolygon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.707,2.293C16.52,2.105,16.266,2,16,2H8C7.734,2,7.48,2.105,7.293,2.293l-5,5C2.105,7.48,2,7.734,2,8v8 c0,0.266,0.105,0.52,0.293,0.707l5,5C7.48,21.895,7.734,22,8,22h8c0.266,0,0.52-0.105,0.707-0.293l5-5 C21.895,16.52,22,16.266,22,16V8c0-0.266-0.105-0.52-0.293-0.707L16.707,2.293z M20,15.586L15.586,20H8.414L4,15.586V8.414L8.414,4 h7.172L20,8.414V15.586z"}}]})(props);
};
function BiPound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5.553,19.105l0.764,1.843C7.498,20.555,9.422,20,10,20c0.838,0,1.462,0.208,2.184,0.448C12.959,20.707,13.838,21,15,21 c1.177,0,3.078-0.921,3.447-1.105l-0.895-1.789C16.831,18.466,15.521,19,15,19c-0.838,0-1.462-0.208-2.184-0.448 C12.041,18.293,11.162,18,10,18c-0.229,0-0.526,0.037-0.857,0.099C9.702,16.95,10,15.561,10,14h3v-2H9.626 c-0.042-0.107-0.084-0.216-0.125-0.317C9.243,11.052,9,10.455,9,9c0-1.369,0.521-3,3-3c2.224,0,3.021,2.227,3.052,2.316 l1.896-0.633C16.898,7.533,15.679,4,12,4C8.313,4,7,6.583,7,9c0,1.491,0.234,2.35,0.478,3H5v2h3 C8,16.467,7.108,18.328,5.553,19.105z"}}]})(props);
};
function BiPowerOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,21c4.411,0,8-3.589,8-8c0-3.35-2.072-6.221-5-7.411v2.223c1.79,1.04,3,2.973,3,5.188c0,3.309-2.691,6-6,6s-6-2.691-6-6 c0-2.215,1.21-4.149,3-5.188V5.589C6.072,6.779,4,9.65,4,13C4,17.411,7.589,21,12,21z"}},{"tag":"path","attr":{"d":"M11 2H13V12H11z"}}]})(props);
};
function BiPrinter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,7h-1V2H6v5H5c-1.654,0-3,1.346-3,3v7c0,1.103,0.897,2,2,2h2v3h12v-3h2c1.103,0,2-0.897,2-2v-7C22,8.346,20.654,7,19,7 z M8,4h8v3H8V4z M16,20H8v-4h8V20z M20,17h-2v-1v-2H6v2v1H4v-7c0-0.551,0.449-1,1-1h14c0.552,0,1,0.449,1,1V17z"}},{"tag":"path","attr":{"d":"M14 10H18V12H14z"}}]})(props);
};
function BiPulse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.97,4.757c-0.107-0.431-0.487-0.74-0.932-0.756c-0.432-0.025-0.846,0.261-0.986,0.683l-3.186,9.554L8.914,7.594 C8.751,7.227,8.372,6.986,7.981,7c-0.402,0.008-0.761,0.255-0.91,0.628L5.323,12H2v2h3.323c0.823,0,1.552-0.494,1.856-1.257 l0.869-2.172l3.037,6.835C11.247,17.769,11.606,18,12,18c0.016,0,0.032,0,0.048-0.001c0.413-0.021,0.771-0.291,0.9-0.683 l2.914-8.742l0.979,3.911C17.063,13.377,17.861,14,18.781,14H22v-2h-3.22L16.97,4.757z"}}]})(props);
};
function BiPurchaseTagAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.707,2.293C11.52,2.105,11.265,2,11,2H6C5.735,2,5.48,2.105,5.293,2.293l-3,3C2.105,5.48,2,5.734,2,6v5 c0,0.266,0.105,0.52,0.293,0.707l10,10C12.488,21.902,12.744,22,13,22s0.512-0.098,0.707-0.293l8-8 c0.391-0.391,0.391-1.023,0-1.414L11.707,2.293z M13,19.586l-9-9V6.414L6.414,4h4.172l9,9L13,19.586z"}},{"tag":"circle","attr":{"cx":"8.353","cy":"8.353","r":"1.647"}}]})(props);
};
function BiPurchaseTag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13.707,3.293C13.52,3.105,13.266,3,13,3H4C3.447,3,3,3.447,3,4v9c0,0.266,0.105,0.52,0.293,0.707l8,8 C11.488,21.902,11.744,22,12,22s0.512-0.098,0.707-0.293l9-9c0.391-0.391,0.391-1.023,0-1.414L13.707,3.293z M12,19.586l-7-7V5 h7.586l7,7L12,19.586z"}},{"tag":"circle","attr":{"cx":"8.496","cy":"8.495","r":"1.505"}}]})(props);
};
function BiPyramid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.445,21.832C11.613,21.944,11.807,22,12,22s0.387-0.056,0.555-0.168l9-6c0.229-0.152,0.385-0.393,0.431-0.663 c0.047-0.271-0.021-0.549-0.186-0.769l-9-12c-0.377-0.504-1.223-0.504-1.6,0l-9,12c-0.165,0.22-0.232,0.497-0.186,0.769 c0.046,0.271,0.202,0.511,0.431,0.663L11.445,21.832z M13,19.131V6l6.565,8.754L13,19.131z M11,6v13.131l-6.565-4.377L11,6z"}}]})(props);
};
function BiQuestionMark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 4C9.243 4 7 6.243 7 9h2c0-1.654 1.346-3 3-3s3 1.346 3 3c0 1.069-.454 1.465-1.481 2.255-.382.294-.813.626-1.226 1.038C10.981 13.604 10.995 14.897 11 15v2h2v-2.009c0-.024.023-.601.707-1.284.32-.32.682-.598 1.031-.867C15.798 12.024 17 11.1 17 9 17 6.243 14.757 4 12 4zM11 18H13V20H11z"}}]})(props);
};
function BiRadar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.579,2,2,6.58,2,12s4.579,10,10,10s10-4.58,10-10S17.421,2,12,2z M12,20c-4.337,0-8-3.664-8-8 c0-3.998,3.115-7.417,7-7.927V6.09C8.167,6.569,6,9.033,6,12c0,3.309,2.691,6,6,6c1.595,0,3.1-0.626,4.237-1.763l-1.414-1.415 C14.063,15.582,13.061,16,12,16c-2.206,0-4-1.794-4-4c0-1.858,1.279-3.411,3-3.858v2.146c-0.59,0.353-1,0.993-1,1.712 c0,1.081,0.919,2,2,2s2-0.919,2-2c0-0.719-0.41-1.359-1-1.712V4.073c3.885,0.51,7,3.929,7,7.927C20,16.336,16.337,20,12,20z"}}]})(props);
};
function BiRadioCircleMarked (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,5c-3.859,0-7,3.141-7,7s3.141,7,7,7s7-3.141,7-7S15.859,5,12,5z M12,17c-2.757,0-5-2.243-5-5s2.243-5,5-5s5,2.243,5,5 S14.757,17,12,17z"}},{"tag":"path","attr":{"d":"M12,9c-1.627,0-3,1.373-3,3s1.373,3,3,3s3-1.373,3-3S13.627,9,12,9z"}}]})(props);
};
function BiRadioCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5,12c0,3.859,3.14,7,7,7c3.859,0,7-3.141,7-7s-3.141-7-7-7C8.14,5,5,8.141,5,12z M17,12c0,2.757-2.243,5-5,5s-5-2.243-5-5 s2.243-5,5-5S17,9.243,17,12z"}}]})(props);
};
function BiRadio (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.25,5.025l-7.898-2.962l-0.703,1.873L14.484,5H4C2.897,5,2,5.897,2,7v12c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V7 C22,5.982,21.233,5.15,20.25,5.025z M4,19v-7h16v-2H4V7h16l0.001,12H4z"}},{"tag":"circle","attr":{"cx":"16.5","cy":"15.5","r":"2.5"}},{"tag":"path","attr":{"d":"M6 15H10.998999999999999V17H6z"}}]})(props);
};
function BiReceipt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21,11h-3V4c0-0.553-0.447-1-1-1H3C2.447,3,2,3.447,2,4v14c0,1.654,1.346,3,3,3h14c1.654,0,3-1.346,3-3v-6 C22,11.447,21.553,11,21,11z M5,19c-0.552,0-1-0.448-1-1V5h12v13c0,0.351,0.061,0.688,0.171,1H5z M20,18c0,0.552-0.448,1-1,1 s-1-0.448-1-1v-5h2V18z"}},{"tag":"path","attr":{"d":"M6 7H14V9H6zM6 11H14V13H6zM11 15H14V17H11z"}}]})(props);
};
function BiRectangle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H4C2.897,3,2,3.897,2,5v14c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V5C22,3.897,21.103,3,20,3z M4,19V5h16 l0.001,14H4z"}}]})(props);
};
function BiRecycle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.224 15.543l-.813-1.464-1.748.972.812 1.461c.048.085.082.173.104.264.021.082.028.164.025.251-.002.083-.016.166-.039.249-.023.079-.057.157-.104.235-.041.072-.092.138-.152.198-.061.061-.126.113-.195.154-.075.044-.151.077-.237.101S18.697 18 18.601 18H14v-2l-4 3 4 3v-2h4.601c.278 0 .552-.037.811-.109.253-.07.495-.173.722-.308.216-.128.418-.286.597-.468.178-.179.332-.38.456-.593.128-.217.229-.449.298-.688.071-.246.111-.498.118-.745.01-.263-.018-.528-.08-.782C21.459 16.046 21.359 15.79 21.224 15.543zM5.862 11.039l-2.31 4.62c-.121.242-.208.496-.261.755-.052.255-.069.514-.053.763.015.25.062.498.137.732.075.236.18.461.308.666.13.211.284.404.459.574.178.174.376.326.595.453.224.128.462.227.705.293C5.698 19.965 5.966 20 6.236 20H8v-2H6.236c-.094 0-.184-.012-.271-.035-.08-.022-.156-.054-.229-.095-.07-.041-.137-.091-.197-.151-.059-.057-.109-.122-.156-.198-.043-.068-.077-.142-.104-.224-.024-.078-.04-.157-.045-.244-.005-.079.001-.162.018-.245.018-.087.048-.173.089-.256l2.256-4.512 1.599.923L8.598 8 4 9.964 5.862 11.039zM18.598 12.964L19.196 8l-1.638.945-2.843-5.117c-.141-.253-.314-.483-.518-.685-.195-.193-.417-.358-.658-.49-.233-.128-.483-.224-.737-.284-.252-.061-.512-.084-.772-.083-.261.005-.521.044-.773.117-.256.073-.499.18-.725.316-.234.143-.449.317-.636.52C9.703 3.448 9.539 3.686 9.41 3.944L8.678 5.408l1.789.895.732-1.465c.045-.09.101-.171.166-.242.06-.064.128-.121.204-.166.073-.045.154-.08.239-.104s.173-.038.264-.04c.09-.001.178.007.266.029.084.02.165.051.243.094.077.042.148.095.21.156.068.068.128.147.177.235l2.858 5.146L14 11 18.598 12.964z"}}]})(props);
};
function BiRedo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9,18h3v-2H9c-1.654,0-3-1.346-3-3s1.346-3,3-3h6v3l5-4l-5-4v3H9c-2.757,0-5,2.243-5,5S6.243,18,9,18z"}}]})(props);
};
function BiRefresh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 11H7.101c0-.003 0-.006.001-.009.065-.319.163-.634.291-.937.126-.297.281-.583.461-.85.178-.264.384-.513.61-.74C8.691 8.238 8.94 8.032 9.206 7.853c.266-.18.551-.334.848-.46.302-.128.617-.226.938-.291.658-.135 1.357-.135 2.018 0 .318.065.634.163.937.291.296.125.581.281.85.461.266.179.514.384.738.609l1.416-1.412c-.314-.316-.664-.604-1.036-.855-.373-.252-.773-.47-1.188-.646-.425-.18-.868-.317-1.315-.408-.923-.189-1.899-.189-2.819 0-.449.092-.892.229-1.316.409C8.858 5.727 8.458 5.944 8.086 6.196 7.716 6.445 7.368 6.733 7.05 7.05S6.445 7.716 6.197 8.085c-.252.373-.47.773-.646 1.19-.18.424-.317.867-.408 1.315C5.115 10.725 5.1 10.863 5.08 11H2l4 4L10 11zM14 13h2.899c-.001.003 0 .006-.001.008-.066.324-.164.639-.292.938-.123.293-.278.579-.459.848-.179.264-.385.514-.613.742-.225.225-.473.43-.739.61-.268.18-.553.335-.849.461-.303.128-.618.226-.938.291-.657.135-1.357.135-2.017 0-.319-.065-.634-.163-.937-.291-.297-.126-.583-.281-.85-.461-.264-.178-.513-.384-.74-.61L7.05 16.95c.317.317.666.605 1.035.854.373.252.773.47 1.19.646.424.18.867.317 1.315.408C11.051 18.952 11.525 19 12 19s.949-.048 1.408-.142c.449-.091.893-.229 1.317-.409.415-.176.815-.393 1.188-.645.372-.251.722-.54 1.035-.854.317-.317.605-.666.855-1.037.254-.377.472-.777.645-1.187.178-.42.315-.863.408-1.316.027-.135.043-.273.063-.41H22l-4-4L14 13z"}}]})(props);
};
function BiRename (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.005 5.995h-1v2h1v8h-1v2h1c1.103 0 2-.897 2-2v-8C22.005 6.893 21.107 5.995 20.005 5.995zM6.005 9.995H15V13.995H6.005z"}},{"tag":"path","attr":{"d":"M17.005,17.995v-12V4H20V2h-8v2h3.005v1.995h-11c-1.103,0-2,0.897-2,2v8c0,1.103,0.897,2,2,2h11V20H12v2h8v-2h-2.995 V17.995z M4.005,15.995v-8h11v8H4.005z"}}]})(props);
};
function BiRepeat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21,6h-5v2h4v9H4V8h5v3l5-4L9,3v3H3C2.447,6,2,6.447,2,7v11c0,0.553,0.447,1,1,1h18c0.553,0,1-0.447,1-1V7 C22,6.447,21.553,6,21,6z"}}]})(props);
};
function BiReplyAll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,18v-8c0-0.553-0.447-1-1-1h-6V6l-5,4l5,4v-3h5v7H20z"}},{"tag":"path","attr":{"d":"M9 12.4L6 10 9 7.6 9 6 4 10 9 14z"}}]})(props);
};
function BiReply (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10,11h6v7h2v-8c0-0.553-0.447-1-1-1h-7V6l-5,4l5,4V11z"}}]})(props);
};
function BiRepost (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 7c0-.553-.447-1-1-1h-8v2h7v5h-3l3.969 5L22 13h-3V7zM5 17c0 .553.447 1 1 1h8v-2H7v-5h3L6 6l-4 5h3V17z"}}]})(props);
};
function BiReset (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,16c1.671,0,3-1.331,3-3s-1.329-3-3-3s-3,1.331-3,3S10.329,16,12,16z"}},{"tag":"path","attr":{"d":"M20.817,11.186c-0.12-0.583-0.297-1.151-0.525-1.688c-0.225-0.532-0.504-1.046-0.83-1.531 c-0.324-0.479-0.693-0.926-1.098-1.329c-0.404-0.406-0.853-0.776-1.332-1.101c-0.483-0.326-0.998-0.604-1.528-0.829 c-0.538-0.229-1.106-0.405-1.691-0.526c-0.6-0.123-1.219-0.182-1.838-0.18V2L8,5l3.975,3V6.002C12.459,6,12.943,6.046,13.41,6.142 c0.454,0.094,0.896,0.231,1.314,0.409c0.413,0.174,0.813,0.392,1.188,0.644c0.373,0.252,0.722,0.54,1.038,0.857 c0.315,0.314,0.604,0.663,0.854,1.035c0.254,0.376,0.471,0.776,0.646,1.191c0.178,0.417,0.314,0.859,0.408,1.311 C18.952,12.048,19,12.523,19,13s-0.048,0.952-0.142,1.41c-0.094,0.454-0.23,0.896-0.408,1.315 c-0.175,0.413-0.392,0.813-0.644,1.188c-0.253,0.373-0.542,0.722-0.858,1.039c-0.315,0.316-0.663,0.603-1.036,0.854 c-0.372,0.251-0.771,0.468-1.189,0.645c-0.417,0.177-0.858,0.314-1.311,0.408c-0.92,0.188-1.906,0.188-2.822,0 c-0.454-0.094-0.896-0.231-1.314-0.409c-0.416-0.176-0.815-0.393-1.189-0.645c-0.371-0.25-0.719-0.538-1.035-0.854 c-0.315-0.316-0.604-0.665-0.855-1.036c-0.254-0.376-0.471-0.776-0.646-1.19c-0.178-0.418-0.314-0.86-0.408-1.312 C5.048,13.952,5,13.477,5,13H3c0,0.611,0.062,1.221,0.183,1.814c0.12,0.582,0.297,1.15,0.525,1.689 c0.225,0.532,0.504,1.046,0.831,1.531c0.323,0.477,0.692,0.924,1.097,1.329c0.406,0.407,0.854,0.777,1.331,1.099 c0.479,0.325,0.994,0.604,1.529,0.83c0.538,0.229,1.106,0.405,1.691,0.526C10.779,21.938,11.389,22,12,22s1.221-0.062,1.814-0.183 c0.583-0.121,1.151-0.297,1.688-0.525c0.537-0.227,1.052-0.506,1.53-0.83c0.478-0.322,0.926-0.692,1.331-1.099 c0.405-0.405,0.774-0.853,1.1-1.332c0.325-0.483,0.604-0.998,0.829-1.528c0.229-0.54,0.405-1.108,0.525-1.692 C20.938,14.221,21,13.611,21,13S20.938,11.779,20.817,11.186z"}}]})(props);
};
function BiRestaurant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 10h-2V3H8v7H6V3H4v8c0 1.654 1.346 3 3 3h1v7h2v-7h1c1.654 0 3-1.346 3-3V3h-2V10zM19 3h-1c-1.159 0-2 1.262-2 3v8h2v7h2V4C20 3.447 19.553 3 19 3z"}}]})(props);
};
function BiRevision (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.89,10.105C19.676,9.6,19.411,9.11,19.101,8.649l-1.658,1.119c0.238,0.352,0.441,0.727,0.604,1.115 c0.168,0.398,0.297,0.813,0.383,1.23c0.088,0.433,0.133,0.878,0.133,1.324s-0.045,0.893-0.133,1.324 c-0.086,0.418-0.214,0.831-0.384,1.231c-0.162,0.386-0.365,0.761-0.603,1.112c-0.234,0.347-0.505,0.674-0.803,0.973 c-0.297,0.297-0.624,0.566-0.973,0.802c-0.352,0.238-0.726,0.441-1.114,0.604c-0.395,0.167-0.809,0.296-1.229,0.383 c-0.864,0.175-1.786,0.175-2.646,0c-0.422-0.087-0.837-0.216-1.233-0.384c-0.387-0.163-0.761-0.366-1.113-0.604 c-0.347-0.233-0.673-0.503-0.971-0.8c-0.299-0.3-0.569-0.628-0.803-0.973c-0.237-0.351-0.44-0.726-0.605-1.115 c-0.167-0.396-0.295-0.809-0.382-1.23c-0.088-0.431-0.133-0.876-0.133-1.323c0-0.447,0.045-0.892,0.134-1.324 c0.086-0.42,0.214-0.834,0.381-1.23c0.165-0.39,0.369-0.765,0.605-1.114c0.234-0.347,0.504-0.674,0.802-0.972 C7.656,8.5,7.983,8.23,8.332,7.995c0.35-0.236,0.725-0.44,1.114-0.605c0.395-0.167,0.81-0.296,1.23-0.382 C10.783,6.986,10.892,6.976,11,6.959V10l5-4l-5-4v2.938C10.757,4.967,10.514,5,10.275,5.049c-0.55,0.113-1.092,0.281-1.608,0.5 c-0.509,0.215-0.999,0.481-1.455,0.79C6.758,6.645,6.332,6.996,5.945,7.383C5.557,7.771,5.206,8.197,4.9,8.649 c-0.309,0.457-0.574,0.946-0.79,1.455c-0.219,0.518-0.387,1.059-0.499,1.608c-0.116,0.563-0.174,1.144-0.174,1.726 c0,0.582,0.059,1.162,0.174,1.725c0.113,0.551,0.281,1.092,0.499,1.607c0.215,0.509,0.481,0.999,0.79,1.456 c0.305,0.45,0.656,0.876,1.045,1.268c0.389,0.388,0.814,0.739,1.265,1.043c0.459,0.311,0.949,0.577,1.456,0.79 c0.516,0.218,1.057,0.387,1.609,0.5C10.839,21.941,11.419,22,12,22c0.581,0,1.161-0.059,1.727-0.174 c0.551-0.114,1.092-0.282,1.604-0.499c0.507-0.213,0.998-0.479,1.457-0.79c0.453-0.306,0.879-0.657,1.268-1.046 c0.388-0.389,0.739-0.814,1.045-1.266c0.312-0.462,0.576-0.952,0.788-1.455c0.22-0.52,0.389-1.061,0.5-1.608 c0.115-0.563,0.174-1.144,0.174-1.725c0-0.58-0.059-1.161-0.174-1.725C20.277,11.166,20.108,10.625,19.89,10.105z"}}]})(props);
};
function BiRewindCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10c5.514,0,10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8 s3.589-8,8-8s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M11 16L11 8 6 12zM17 16L17 8 12 12z"}}]})(props);
};
function BiRewind (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 12L12 7 5 12 12 17zM19 7L12 12 19 17z"}}]})(props);
};
function BiRightArrowAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.293 17.293L12.707 18.707 19.414 12 12.707 5.293 11.293 6.707 15.586 11 6 11 6 13 15.586 13z"}}]})(props);
};
function BiRightArrowCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.999,1.993c-5.514,0.001-10,4.487-10,10.001s4.486,10,10.001,10c5.513,0,9.999-4.486,10-10 C22,6.48,17.514,1.994,11.999,1.993z M12,19.994c-4.412,0-8.001-3.589-8.001-8s3.589-8,8-8.001C16.411,3.994,20,7.583,20,11.994 C19.999,16.405,16.41,19.994,12,19.994z"}},{"tag":"path","attr":{"d":"M12 10.994L8 10.994 8 12.994 12 12.994 12 16 16.005 11.995 12 7.991z"}}]})(props);
};
function BiRightArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5.536,21.886C5.682,21.962,5.841,22,6,22c0.2,0,0.398-0.06,0.569-0.178l13-9C19.839,12.635,20,12.328,20,12 s-0.161-0.635-0.431-0.822l-13-9C6.264,1.966,5.864,1.941,5.536,2.114C5.206,2.287,5,2.628,5,3v18 C5,21.372,5.206,21.713,5.536,21.886z M7,4.909L17.243,12L7,19.091V4.909z"}}]})(props);
};
function BiRightDownArrowCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2.007c-2.675,0-5.187,1.037-7.071,2.922c-3.899,3.899-3.899,10.243,0,14.143c1.884,1.885,4.396,2.923,7.071,2.923 c2.675,0,5.187-1.038,7.071-2.923c3.899-3.899,3.899-10.243,0-14.143C17.187,3.044,14.675,2.007,12,2.007z M17.657,17.657 c-1.507,1.507-3.517,2.337-5.657,2.337c-2.141,0-4.15-0.83-5.657-2.337c-3.119-3.119-3.119-8.195,0-11.314 C7.85,4.836,9.859,4.007,12,4.007c2.141,0,4.15,0.829,5.657,2.336C20.776,9.462,20.776,14.538,17.657,17.657z"}},{"tag":"path","attr":{"d":"M9.661 8.247L8.247 9.661 11.461 12.875 9.336 15 15 15 15 9.337 12.875 11.461z"}}]})(props);
};
function BiRightIndent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 15H20V17H10zM4 19H20V21H4zM10 11H20V13H10zM10 7H20V9H10zM4 3H20V5H4zM4 8L4 16 8 12z"}}]})(props);
};
function BiRightTopArrowCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.006,2.007c-2.676,0-5.187,1.037-7.071,2.922c-3.898,3.899-3.898,10.243,0,14.142c1.885,1.885,4.396,2.923,7.071,2.923 s5.187-1.038,7.071-2.923c3.898-3.898,3.898-10.242,0-14.142C17.192,3.044,14.682,2.007,12.006,2.007z M17.663,17.656 c-1.507,1.507-3.517,2.337-5.657,2.337s-4.15-0.83-5.657-2.337c-3.118-3.119-3.118-8.194,0-11.313 c1.507-1.507,3.516-2.336,5.657-2.336s4.15,0.829,5.657,2.336C20.781,9.462,20.781,14.537,17.663,17.656z"}},{"tag":"path","attr":{"d":"M11.467 11.125L8.253 14.339 9.667 15.753 12.881 12.539 15.006 14.663 15.006 9 9.343 9z"}}]})(props);
};
function BiRocket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M17.496,4c-1.425,0-3.378,0.256-4.597,1.475C10.794,7.58,9.391,9.03,9.388,9.033 C9.148,9.28,8.795,9.387,8.465,9.316c-0.007,0-2.248-0.435-3.948,0.504l9.694,9.694c0.943-1.702,0.541-3.919,0.536-3.944 c-0.065-0.328,0.037-0.667,0.273-0.903l3.536-3.535c1.896-1.896,1.516-5.498,1.271-6.929C19.289,4.111,18.443,4,17.496,4z M17.142,9.718c-0.781,0.781-2.046,0.781-2.828,0c-0.781-0.782-0.781-2.047,0-2.828c0.782-0.782,2.047-0.782,2.828,0 C17.924,7.671,17.924,8.936,17.142,9.718z"}},{"tag":"path","attr":{"d":"M20.92,2.384C20.857,2.368,19.364,2,17.496,2c-2.585,0-4.663,0.713-6.011,2.061C9.997,5.549,8.857,6.712,8.31,7.273 C7.096,7.136,4.233,7.07,2.293,9.011C2.105,9.198,2,9.452,2,9.718s0.105,0.52,0.293,0.707l11.313,11.313 c0.188,0.188,0.441,0.293,0.707,0.293s0.52-0.105,0.707-0.293c1.954-1.953,1.894-4.814,1.767-6.01l3.184-3.183 c3.191-3.191,1.74-9.182,1.677-9.435C21.559,2.753,21.278,2.473,20.92,2.384z M18.557,11.132l-3.536,3.535 c-0.236,0.236-0.339,0.575-0.273,0.903c0.005,0.025,0.407,2.242-0.536,3.944L4.517,9.82c1.7-0.938,3.941-0.504,3.948-0.504 c0.33,0.07,0.684-0.036,0.923-0.283c0.003-0.003,1.406-1.453,3.512-3.559C14.118,4.256,16.071,4,17.496,4 c0.947,0,1.793,0.111,2.332,0.203C20.072,5.634,20.453,9.235,18.557,11.132z"}},{"tag":"circle","attr":{"cx":"15.728","cy":"8.304","r":"2"}},{"tag":"path","attr":{"d":"M5,16c-2,1-2,5-2,5s3,0,5-2L5,16z"}}]})(props);
};
function BiRotateLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6.758 8.758L5.344 7.344C4.537 8.15 3.9 9.139 3.503 10.203l1.873.701C5.675 10.105 6.152 9.363 6.758 8.758zM19 12.999c0-2.138-.832-4.146-2.344-5.655C15.385 6.07 13.758 5.287 12 5.069V2L7 6l5 4V7.089c1.222.204 2.349.775 3.242 1.669C16.376 9.891 17 11.397 17 13c0 .001 0 .002 0 .002 0 .33-.033.655-.086.977-.007.043-.011.088-.019.131-.058.307-.142.606-.247.902-.208.585-.506 1.135-.891 1.634-.16.209-.331.412-.516.597-.183.183-.379.349-.583.506-.048.037-.096.072-.145.107-.193.141-.393.271-.601.388-.523.292-1.086.504-1.676.627-.142.03-.285.05-.43.069-.062.009-.122.021-.184.027-.633.064-1.28.031-1.898-.103l-.424 1.955C9.857 20.939 10.429 21 11 21c.28 0 .559-.016.834-.045.069-.007.138-.021.207-.03.205-.026.409-.056.61-.098.018-.004.035-.005.053-.009l-.001-.005c.749-.161 1.467-.428 2.136-.795l.001.001c.01-.006.019-.013.028-.019.284-.157.557-.337.821-.529.064-.046.127-.093.189-.141.27-.209.532-.43.777-.675.248-.247.47-.513.681-.785.021-.028.049-.053.07-.081L17.4 17.785c.462-.614.828-1.285 1.093-1.997l.008.003c.029-.078.05-.158.076-.237.037-.11.075-.221.107-.333.04-.14.073-.281.105-.423.022-.099.048-.195.066-.295.032-.171.056-.344.076-.516.01-.076.023-.15.03-.227.023-.249.037-.5.037-.753C19 13.005 19 13.003 19 12.999L19 12.999C19 12.999 19 12.999 19 12.999L19 12.999zM6.197 16.597l-1.6 1.201c.229.305.48.594.746.858.541.541 1.155 1.001 1.823 1.367l.961-1.754c-.502-.275-.963-.62-1.371-1.029C6.557 17.042 6.369 16.825 6.197 16.597zM5 13c0-.145.005-.287.015-.429l-1.994-.143C3.007 12.617 3 12.807 3 13c0 .964.17 1.905.504 2.8l1.873-.701C5.127 14.43 5 13.724 5 13z"}}]})(props);
};
function BiRotateRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.242 17.242c-.407.407-.868.752-1.37 1.027l.961 1.754c.668-.366 1.282-.826 1.822-1.365.267-.267.518-.556.747-.86l-1.6-1.201C16.631 16.825 16.443 17.042 16.242 17.242zM17.985 12.571C17.995 12.713 18 12.855 18 13c0 .724-.127 1.43-.377 2.099l1.873.701C19.83 14.905 20 13.964 20 13c0-.193-.007-.383-.021-.571L17.985 12.571zM19.497 10.203C19.1 9.139 18.463 8.15 17.656 7.344l-1.414 1.414c.605.605 1.083 1.348 1.382 2.146L19.497 10.203zM11.369 18.966c-.047-.005-.094-.015-.141-.021-.157-.021-.313-.043-.468-.075-.589-.123-1.151-.335-1.675-.627-.208-.116-.407-.247-.601-.388-.049-.035-.097-.07-.145-.107-.204-.157-.4-.323-.583-.506-.185-.185-.355-.388-.516-.597-.385-.499-.683-1.049-.891-1.634-.105-.296-.189-.596-.247-.902-.008-.043-.012-.088-.019-.131C6.033 13.657 6 13.332 6 13.002c0 0 0-.001 0-.002 0-1.603.624-3.109 1.758-4.242C8.651 7.864 9.778 7.293 11 7.089V10l5-4-5-4v3.069C9.242 5.287 7.615 6.07 6.344 7.344 4.832 8.854 4 10.861 4 12.999l0 0c0 0 0 0 0 .001l0 0c0 .003 0 .005 0 .008 0 .253.014.504.037.753.007.076.021.15.03.227.021.172.044.345.076.516.019.1.044.196.066.295.032.142.065.283.105.423.032.112.07.223.107.333.026.079.047.159.076.237l.008-.003C4.771 16.5 5.138 17.171 5.6 17.785L5.593 17.79c.021.028.049.053.07.081.211.272.433.538.681.785.245.245.508.466.777.675.063.048.125.095.189.141.265.192.537.372.821.529.01.006.019.013.028.019l.001-.001c.669.367 1.387.634 2.136.795l-.001.005c.018.004.035.005.053.009.201.042.405.071.61.098.069.009.138.023.207.03C11.441 20.984 11.72 21 12 21c.571 0 1.143-.061 1.697-.181l-.424-1.955C12.654 18.998 12.004 19.031 11.369 18.966z"}}]})(props);
};
function BiRss (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19,20.001C19,11.729,12.271,5,4,5v2c7.168,0,13,5.832,13,13.001H19z"}},{"tag":"path","attr":{"d":"M12,20.001h2C14,14.486,9.514,10,4,10v2C8.411,12,12,15.589,12,20.001z"}},{"tag":"circle","attr":{"cx":"6","cy":"18","r":"2"}}]})(props);
};
function BiRuble (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8,21h2v-3h6v-2h-6v-2h4.5c2.757,0,5-2.243,5-5s-2.243-5-5-5H9C8.447,4,8,4.448,8,5v7H5v2h3v2H5v2h3V21z M10,6h4.5 c1.654,0,3,1.346,3,3s-1.346,3-3,3H10V6z"}}]})(props);
};
function BiRuler (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.875,7H3.125C1.953,7,1,7.897,1,9v6c0,1.103,0.953,2,2.125,2h17.75C22.047,17,23,16.103,23,15V9 C23,7.897,22.047,7,20.875,7z M20.875,15H3.125c-0.057,0-0.096-0.016-0.113-0.016c-0.007,0-0.011,0.002-0.012,0.008L2.988,9.046 C2.995,9.036,3.04,9,3.125,9H5v3h2V9h2v4h2V9h2v3h2V9h2v4h2V9h1.875C20.954,9.001,20.997,9.028,21,9.008l0.012,5.946 C21.005,14.964,20.96,15,20.875,15z"}}]})(props);
};
function BiRun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"17","cy":"4","r":"2"}},{"tag":"path","attr":{"d":"M15.777,10.969c0.376,0.563,1.008,0.89,1.666,0.89c0.16,0,0.322-0.02,0.482-0.06l3.316-0.829L20.758,9.03l-3.316,0.829 l-1.379-2.067c-0.291-0.439-0.756-0.751-1.272-0.854l-3.846-0.77c-0.888-0.181-1.778,0.265-2.181,1.067l-1.658,3.316l1.789,0.895 l1.658-3.317l1.967,0.394L7.434,17H3v2h4.434c0.698,0,1.355-0.372,1.715-0.971l1.918-3.196l5.169,1.034l1.816,5.449l1.896-0.633 l-1.815-5.448c-0.226-0.679-0.802-1.188-1.506-1.33l-3.039-0.607l1.772-2.954L15.777,10.969z"}}]})(props);
};
function BiRupee (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17,6V4H9.5H7H6v2h1h2.5c1.302,0,2.401,0.838,2.815,2H6v2h6.315c-0.414,1.162-1.514,2-2.815,2H6v2.414L11.586,20h2.828 l-6-6H9.5c2.414,0,4.435-1.721,4.898-4H17V8h-2.602c-0.151-0.744-0.481-1.416-0.924-2H17z"}}]})(props);
};
function BiSad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"circle","attr":{"cx":"8.5","cy":"10.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"15.493","cy":"10.493","r":"1.493"}},{"tag":"path","attr":{"d":"M12,14c-3,0-4,3-4,3h8C16,17,15,14,12,14z"}}]})(props);
};
function BiSave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M9 14H15V19H9zM11 5H13V7H11z"}},{"tag":"path","attr":{"fill":"none","d":"M7,14c0-1.103,0.897-2,2-2h6c1.103,0,2,0.897,2,2v5h2.001L19,8.414L15.586,5H15v4h-1h-1h-2H9H7V5H5v14h2V14z"}},{"tag":"path","attr":{"d":"M5,21h14c1.103,0,2-0.897,2-2V8c0-0.265-0.105-0.52-0.293-0.707l-4-4C16.52,3.105,16.266,3,16,3H5C3.897,3,3,3.897,3,5v14 C3,20.103,3.897,21,5,21z M15,19H9v-5h6V19z M13,7h-2V5h2V7z M5,5h2v4h2h2h2h1h1V5h0.586L19,8.414L19.001,19H17v-5 c0-1.103-0.897-2-2-2H9c-1.103,0-2,0.897-2,2v5H5V5z"}}]})(props);
};
function BiScan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 4v5h2V5h4V3H4C3.447 3 3 3.447 3 4zM21 9V4c0-.553-.447-1-1-1h-5v2h4v4H21zM19 19h-4v2h5c.553 0 1-.447 1-1v-5h-2V19zM9 21v-2H5v-4H3v5c0 .553.447 1 1 1H9zM2 11H22V13H2z"}}]})(props);
};
function BiScreenshot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 14L17 14 17 17 14 17 14 19 17 19 17 22 19 22 19 19 22 19 22 17 19 17zM4 19h3v-2H5v-2H3v3C3 18.553 3.447 19 4 19zM19 4c0-.553-.447-1-1-1h-3v2h2v2h2V4zM5 5h2V3H4C3.447 3 3 3.447 3 4v3h2V5zM3 9H5V13H3zM17 9H19V12H17zM9 3H13V5H9zM9 17H12V19H9z"}}]})(props);
};
function BiSearchAlt2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.023,16.977c-0.513-0.488-1.004-0.997-1.367-1.384c-0.372-0.378-0.596-0.653-0.596-0.653l-2.8-1.337 C15.34,12.37,16,10.763,16,9c0-3.859-3.14-7-7-7S2,5.141,2,9s3.14,7,7,7c1.763,0,3.37-0.66,4.603-1.739l1.337,2.8 c0,0,0.275,0.224,0.653,0.596c0.387,0.363,0.896,0.854,1.384,1.367c0.494,0.506,0.988,1.012,1.358,1.392 c0.362,0.388,0.604,0.646,0.604,0.646l2.121-2.121c0,0-0.258-0.242-0.646-0.604C20.035,17.965,19.529,17.471,19.023,16.977z M9,14 c-2.757,0-5-2.243-5-5s2.243-5,5-5s5,2.243,5,5S11.757,14,9,14z"}}]})(props);
};
function BiSearchAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10,18c1.846,0,3.543-0.635,4.897-1.688l4.396,4.396l1.414-1.414l-4.396-4.396C17.365,13.543,18,11.846,18,10 c0-4.411-3.589-8-8-8s-8,3.589-8,8S5.589,18,10,18z M10,4c3.309,0,6,2.691,6,6s-2.691,6-6,6s-6-2.691-6-6S6.691,4,10,4z"}},{"tag":"path","attr":{"d":"M11.412,8.586C11.791,8.966,12,9.468,12,10h2c0-1.065-0.416-2.069-1.174-2.828c-1.514-1.512-4.139-1.512-5.652,0 l1.412,1.416C9.346,7.83,10.656,7.832,11.412,8.586z"}}]})(props);
};
function BiSearch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10,18c1.846,0,3.543-0.635,4.897-1.688l4.396,4.396l1.414-1.414l-4.396-4.396C17.365,13.543,18,11.846,18,10 c0-4.411-3.589-8-8-8s-8,3.589-8,8S5.589,18,10,18z M10,4c3.309,0,6,2.691,6,6s-2.691,6-6,6s-6-2.691-6-6S6.691,4,10,4z"}}]})(props);
};
function BiSelectMultiple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,2H8C6.897,2,6,2.897,6,4v12c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2V4C22,2.897,21.103,2,20,2z M8,16V4h12 l0.002,12H8z"}},{"tag":"path","attr":{"d":"M4 8H2v12c0 1.103.897 2 2 2h12v-2H4V8zM12.933 11.519L11.207 9.793 9.793 11.207 13.067 14.481 18.769 7.641 17.231 6.359z"}}]})(props);
};
function BiSelection (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,9c0.553,0,1-0.448,1-1V4c0-0.552-0.447-1-1-1h-4c-0.553,0-1,0.448-1,1v1H9V4c0-0.552-0.447-1-1-1H4 C3.447,3,3,3.448,3,4v4c0,0.552,0.447,1,1,1h1v6H4c-0.553,0-1,0.447-1,1v4c0,0.553,0.447,1,1,1h4c0.553,0,1-0.447,1-1v-1h6v1 c0,0.553,0.447,1,1,1h4c0.553,0,1-0.447,1-1v-4c0-0.553-0.447-1-1-1h-1V9H20z M17,5h2v2h-2V5z M5,5h2v2H5V5z M7,19H5v-2h2V19z M19,19h-2v-2h2V19z M17,15h-1c-0.553,0-1,0.447-1,1v1H9v-1c0-0.553-0.447-1-1-1H7V9h1c0.553,0,1-0.448,1-1V7h6v1 c0,0.552,0.447,1,1,1h1V15z"}}]})(props);
};
function BiSend (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.426,11.095l-17-8c-0.35-0.163-0.763-0.112-1.061,0.133C3.066,3.473,2.937,3.868,3.03,4.242L4.969,12L3.03,19.758\tc-0.094,0.374,0.036,0.77,0.335,1.015C3.548,20.923,3.772,21,4,21c0.145,0,0.29-0.031,0.426-0.095l17-8\tC21.776,12.74,22,12.388,22,12S21.776,11.26,21.426,11.095z M5.481,18.197L6.32,14.84L12,12L6.32,9.16L5.481,5.803L18.651,12\tL5.481,18.197z"}}]})(props);
};
function BiServer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M4 15v4h16.002L20 15H4zM16 18h-2v-2h2V18zM19 18h-2v-2h2V18zM4 5v4h16.002L20 5H4zM16 8h-2V6h2V8zM19 8h-2V6h2V8z"}},{"tag":"path","attr":{"d":"M20 3H4C2.897 3 2 3.897 2 5v4c0 1.103.897 2 2 2h16c1.103 0 2-.897 2-2V5C22 3.897 21.103 3 20 3zM4 9V5h16l.002 4H4zM20 13H4c-1.103 0-2 .897-2 2v4c0 1.103.897 2 2 2h16c1.103 0 2-.897 2-2v-4C22 13.897 21.103 13 20 13zM4 19v-4h16l.002 4H4z"}},{"tag":"path","attr":{"d":"M17 6H19V8H17zM14 6H16V8H14zM17 16H19V18H17zM14 16H16V18H14z"}}]})(props);
};
function BiShapeCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.494,9.05c-0.818-2.064-2.479-3.726-4.544-4.544C14.713,3.088,13.485,2,12,2S9.287,3.088,9.05,4.506 C6.985,5.324,5.324,6.985,4.506,9.05C3.088,9.287,2,10.515,2,12s1.088,2.713,2.506,2.95c0.818,2.064,2.479,3.726,4.544,4.544 C9.287,20.912,10.515,22,12,22s2.713-1.088,2.95-2.506c2.064-0.818,3.726-2.479,4.544-4.544C20.912,14.713,22,13.485,22,12 S20.912,9.287,19.494,9.05z M12,4c0.552,0,1,0.448,1,1c0,0.06-0.023,0.11-0.034,0.167c-0.017,0.099-0.041,0.194-0.083,0.279 c-0.014,0.027-0.034,0.049-0.051,0.075c-0.047,0.075-0.097,0.149-0.16,0.209c-0.04,0.037-0.09,0.062-0.136,0.092 c-0.054,0.036-0.104,0.078-0.165,0.103C12.256,5.972,12.132,6,12,6s-0.256-0.028-0.371-0.075c-0.061-0.024-0.111-0.066-0.165-0.103 c-0.046-0.03-0.096-0.055-0.136-0.092c-0.063-0.06-0.113-0.134-0.16-0.209c-0.017-0.026-0.037-0.048-0.051-0.075 c-0.042-0.085-0.066-0.181-0.083-0.279C11.023,5.11,11,5.06,11,5C11,4.448,11.448,4,12,4z M5,11c0.06,0,0.11,0.023,0.167,0.034 c0.099,0.017,0.194,0.041,0.279,0.083c0.027,0.014,0.049,0.034,0.075,0.051c0.075,0.047,0.149,0.097,0.209,0.16 c0.037,0.04,0.062,0.09,0.092,0.136c0.036,0.054,0.078,0.104,0.103,0.165C5.972,11.744,6,11.868,6,12s-0.028,0.256-0.075,0.371 c-0.024,0.061-0.066,0.111-0.103,0.165c-0.03,0.046-0.055,0.096-0.092,0.136c-0.06,0.063-0.134,0.113-0.209,0.16 c-0.026,0.017-0.048,0.037-0.075,0.051c-0.085,0.042-0.181,0.066-0.279,0.083C5.11,12.977,5.06,13,5,13c-0.552,0-1-0.448-1-1 S4.448,11,5,11z M12,20c-0.552,0-1-0.448-1-1c0-0.06,0.023-0.11,0.034-0.167c0.017-0.099,0.041-0.194,0.083-0.279 c0.014-0.027,0.034-0.049,0.051-0.075c0.047-0.075,0.097-0.149,0.16-0.209c0.04-0.037,0.09-0.062,0.136-0.092 c0.054-0.036,0.104-0.078,0.165-0.103C11.744,18.028,11.868,18,12,18s0.256,0.028,0.371,0.075c0.061,0.024,0.111,0.066,0.165,0.103 c0.046,0.03,0.096,0.055,0.136,0.092c0.063,0.06,0.113,0.134,0.16,0.209c0.017,0.026,0.037,0.048,0.051,0.075 c0.042,0.085,0.066,0.181,0.083,0.279C12.977,18.89,13,18.94,13,19C13,19.552,12.552,20,12,20z M14.583,17.488 c-0.006-0.011-0.017-0.019-0.022-0.029c-0.248-0.411-0.588-0.755-0.996-1.007c-0.054-0.033-0.109-0.06-0.166-0.09 c-0.154-0.083-0.316-0.15-0.486-0.205c-0.064-0.021-0.128-0.044-0.194-0.061C12.486,16.039,12.248,16,12,16 s-0.486,0.039-0.718,0.097c-0.066,0.017-0.13,0.039-0.195,0.061c-0.169,0.055-0.331,0.122-0.485,0.205 c-0.056,0.029-0.112,0.057-0.166,0.09c-0.408,0.252-0.748,0.596-0.996,1.007c-0.006,0.011-0.017,0.019-0.022,0.029 c-1.268-0.602-2.304-1.638-2.905-2.905c0.011-0.006,0.019-0.017,0.029-0.022c0.411-0.248,0.755-0.588,1.007-0.996 c0.033-0.054,0.061-0.11,0.09-0.166c0.083-0.154,0.15-0.316,0.205-0.485c0.021-0.065,0.044-0.129,0.061-0.195 C7.961,12.486,8,12.248,8,12s-0.039-0.486-0.097-0.718c-0.017-0.066-0.039-0.13-0.061-0.194c-0.055-0.17-0.122-0.332-0.205-0.486 c-0.03-0.057-0.057-0.112-0.09-0.166c-0.252-0.408-0.596-0.748-1.007-0.996C6.53,9.434,6.522,9.423,6.512,9.417 c0.602-1.268,1.638-2.304,2.905-2.905C9.423,6.522,9.434,6.53,9.439,6.541c0.248,0.411,0.588,0.755,0.996,1.007 c0.054,0.033,0.11,0.061,0.166,0.09c0.155,0.083,0.316,0.15,0.486,0.205c0.064,0.021,0.128,0.044,0.194,0.061 C11.514,7.961,11.751,8,12,8s0.486-0.039,0.718-0.097c0.066-0.017,0.13-0.039,0.194-0.061c0.17-0.055,0.331-0.122,0.486-0.205 c0.056-0.029,0.112-0.057,0.166-0.09c0.408-0.252,0.748-0.596,0.996-1.007c0.006-0.011,0.017-0.019,0.022-0.029 c1.268,0.602,2.304,1.638,2.905,2.905c-0.011,0.006-0.019,0.017-0.029,0.022c-0.411,0.248-0.755,0.588-1.007,0.996 c-0.033,0.054-0.061,0.11-0.09,0.166c-0.083,0.155-0.15,0.316-0.205,0.486c-0.021,0.064-0.044,0.128-0.061,0.194 C16.039,11.514,16,11.751,16,12s0.039,0.486,0.097,0.718c0.017,0.066,0.039,0.13,0.061,0.194c0.055,0.17,0.122,0.331,0.205,0.486 c0.029,0.056,0.057,0.112,0.09,0.166c0.252,0.408,0.596,0.748,1.007,0.996c0.011,0.006,0.019,0.017,0.029,0.022 C16.887,15.851,15.851,16.887,14.583,17.488z M19,13c-0.06,0-0.11-0.023-0.167-0.034c-0.099-0.017-0.194-0.041-0.279-0.083 c-0.027-0.014-0.049-0.034-0.075-0.051c-0.075-0.047-0.149-0.097-0.209-0.16c-0.037-0.04-0.062-0.09-0.092-0.136 c-0.036-0.054-0.078-0.104-0.103-0.165C18.028,12.256,18,12.132,18,12s0.028-0.256,0.075-0.371 c0.024-0.061,0.066-0.111,0.103-0.165c0.03-0.046,0.055-0.096,0.092-0.136c0.06-0.063,0.134-0.113,0.209-0.16 c0.026-0.017,0.048-0.037,0.075-0.051c0.085-0.042,0.181-0.066,0.279-0.083C18.89,11.023,18.94,11,19,11c0.552,0,1,0.448,1,1 S19.552,13,19,13z"}}]})(props);
};
function BiShapePolygon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,14.185v-2.369c1.161-0.415,2-1.514,2-2.816c0-1.654-1.346-3-3-3c-0.825,0-1.573,0.335-2.116,0.876l-3.915-1.566 C12.979,5.207,13,5.106,13,5c0-1.654-1.346-3-3-3S7,3.346,7,5c0,0.762,0.295,1.451,0.765,1.981L6.091,9.212 C5.752,9.079,5.386,9,5,9c-1.654,0-3,1.346-3,3s1.346,3,3,3c0.159,0,0.313-0.023,0.465-0.047l1.935,2.579 C7.152,17.968,7,18.464,7,19c0,1.654,1.346,3,3,3c1.358,0,2.495-0.913,2.863-2.153l3.962-0.792C17.373,19.634,18.143,20,19,20 c1.654,0,3-1.346,3-3C22,15.698,21.161,14.599,20,14.185z M19,8c0.552,0,1,0.449,1,1s-0.448,1-1,1s-1-0.449-1-1S18.448,8,19,8z M10,4c0.552,0,1,0.449,1,1s-0.448,1-1,1S9,5.551,9,5S9.448,4,10,4z M4,12c0-0.551,0.448-1,1-1s1,0.449,1,1s-0.448,1-1,1 S4,12.551,4,12z M10,20c-0.552,0-1-0.448-1-1s0.448-1,1-1s1,0.448,1,1S10.552,20,10,20z M12.761,17.828 C12.304,16.755,11.238,16,10,16c-0.386,0-0.752,0.079-1.091,0.213l-1.674-2.231C7.705,13.451,8,12.762,8,12 c0-0.536-0.152-1.032-0.399-1.467l1.935-2.58C9.688,7.977,9.841,8,10,8c0.825,0,1.573-0.335,2.116-0.876l3.915,1.566 C16.021,8.793,16,8.894,16,9c0,1.302,0.839,2.401,2,2.815v2.369c-1.161,0.414-2,1.514-2,2.815c0,0.061,0.015,0.117,0.018,0.177 L12.761,17.828z M19,18c-0.552,0-1-0.448-1-1s0.448-1,1-1s1,0.448,1,1S19.552,18,19,18z"}}]})(props);
};
function BiShapeSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21,6c0-1.654-1.346-3-3-3c-1.302,0-2.401,0.838-2.815,2H8.815C8.401,3.838,7.302,3,6,3C4.346,3,3,4.346,3,6 c0,1.302,0.839,2.401,2,2.815v6.369C3.839,15.599,3,16.698,3,18c0,1.654,1.346,3,3,3c1.302,0,2.401-0.838,2.815-2h6.369 c0.414,1.162,1.514,2,2.815,2c1.654,0,3-1.346,3-3c0-1.302-0.839-2.401-2-2.816V8.816C20.161,8.401,21,7.302,21,6z M18,5 c0.552,0,1,0.449,1,1s-0.448,1-1,1s-1-0.449-1-1S17.448,5,18,5z M15.185,17H8.815C8.514,16.153,7.848,15.486,7,15.184V8.816 C7.848,8.514,8.514,7.847,8.815,7h6.369C15.486,7.847,16.152,8.514,17,8.815v6.369C16.152,15.486,15.486,16.153,15.185,17z M6,5 c0.552,0,1,0.449,1,1S6.552,7,6,7S5,6.551,5,6S5.448,5,6,5z M6,19c-0.552,0-1-0.449-1-1s0.448-1,1-1s1,0.449,1,1S6.552,19,6,19z M18,19c-0.552,0-1-0.449-1-1s0.448-1,1-1s1,0.449,1,1S18.552,19,18,19z"}}]})(props);
};
function BiShapeTriangle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18,15c-0.183,0-0.358,0.022-0.532,0.054L8.946,6.532C8.978,6.359,9,6.182,9,6c0-1.654-1.346-3-3-3S3,4.346,3,6 c0,1.302,0.839,2.401,2,2.815v6.369C3.839,15.599,3,16.698,3,18c0,1.654,1.346,3,3,3c1.302,0,2.401-0.838,2.815-2h6.369 c0.414,1.162,1.514,2,2.815,2c1.654,0,3-1.346,3-3S19.654,15,18,15z M7,15.184V8.816c0.329-0.118,0.629-0.291,0.894-0.508 l7.799,7.799c-0.218,0.265-0.391,0.564-0.508,0.894H8.815C8.514,16.153,7.848,15.486,7,15.184z M6,5c0.552,0,1,0.449,1,1 S6.552,7,6,7S5,6.551,5,6S5.448,5,6,5z M6,19c-0.552,0-1-0.449-1-1s0.448-1,1-1s1,0.449,1,1S6.552,19,6,19z M18,19 c-0.552,0-1-0.449-1-1s0.448-1,1-1s1,0.449,1,1S18.552,19,18,19z"}}]})(props);
};
function BiShareAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"fill":"none","cx":"17.5","cy":"18.5","r":"1.5"}},{"tag":"circle","attr":{"fill":"none","cx":"5.5","cy":"11.5","r":"1.5"}},{"tag":"circle","attr":{"fill":"none","cx":"17.5","cy":"5.5","r":"1.5"}},{"tag":"path","attr":{"d":"M5.5,15c0.91,0,1.733-0.358,2.357-0.93l6.26,3.577C14.048,17.922,14,18.204,14,18.5c0,1.93,1.57,3.5,3.5,3.5 s3.5-1.57,3.5-3.5S19.43,15,17.5,15c-0.91,0-1.733,0.358-2.357,0.93l-6.26-3.577c0.063-0.247,0.103-0.502,0.108-0.768l6.151-3.515 C15.767,8.642,16.59,9,17.5,9C19.43,9,21,7.43,21,5.5S19.43,2,17.5,2S14,3.57,14,5.5c0,0.296,0.048,0.578,0.117,0.853L8.433,9.602 C7.808,8.64,6.729,8,5.5,8C3.57,8,2,9.57,2,11.5S3.57,15,5.5,15z M17.5,17c0.827,0,1.5,0.673,1.5,1.5S18.327,20,17.5,20 S16,19.327,16,18.5S16.673,17,17.5,17z M17.5,4C18.327,4,19,4.673,19,5.5S18.327,7,17.5,7S16,6.327,16,5.5S16.673,4,17.5,4z M5.5,10C6.327,10,7,10.673,7,11.5S6.327,13,5.5,13S4,12.327,4,11.5S4.673,10,5.5,10z"}}]})(props);
};
function BiShare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M10.025,9C9.474,9,9.003,8.552,9.003,8V6.414L4.417,11l4.586,4.586V14c0-0.501,0.371-0.925,0.868-0.991 c0.663-0.088,1.327-0.133,1.975-0.133c3.577,0,6.204,1.331,7.858,2.55C18.14,9.201,10.936,9,10.025,9z"}},{"tag":"path","attr":{"d":"M11.003,7.054V4c0-0.404-0.243-0.769-0.617-0.924c-0.373-0.154-0.804-0.069-1.09,0.217l-7,7 c-0.391,0.391-0.391,1.023,0,1.414l7,7c0.287,0.287,0.717,0.372,1.09,0.217c0.374-0.155,0.617-0.52,0.617-0.924v-3.096 c0.284-0.02,0.565-0.029,0.843-0.029c5.426,0,8.239,3.572,8.362,3.73C20.4,18.859,20.697,19,21.003,19 c0.106,0,0.214-0.017,0.318-0.052c0.407-0.137,0.682-0.518,0.682-0.948C22.003,8.876,13.917,7.319,11.003,7.054z M11.846,12.875 c-0.647,0-1.312,0.045-1.975,0.133C9.374,13.075,9.003,13.499,9.003,14v1.586L4.417,11l4.586-4.586V8c0,0.552,0.471,1,1.022,1 c0.91,0,8.114,0.201,9.679,6.425C18.05,14.207,15.423,12.875,11.846,12.875z"}}]})(props);
};
function BiShekel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13,8v8h2V8c0-2.206-1.794-4-4-4H5v2v14h2V6h4C12.103,6,13,6.897,13,8z"}},{"tag":"path","attr":{"d":"M17,16c0,1.103-0.897,2-2,2h-4V8H9v12h6c2.206,0,4-1.794,4-4V4h-2V16z"}}]})(props);
};
function BiShieldAlt2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.438,5.089c-0.301-0.159-0.664-0.152-0.959,0.015c-0.684,0.389-1.355,0.577-2.053,0.577 c-2.035,0-3.952-1.629-5.722-3.39c-0.375-0.373-1.063-0.373-1.438,0C9.592,3.959,7.598,5.663,5.51,5.663 c-0.69,0-1.351-0.184-2.018-0.561C3.194,4.936,2.834,4.931,2.532,5.09S2.031,5.551,2.004,5.891 C1.993,6.02,1.06,18.763,11.687,21.932c0.093,0.028,0.189,0.042,0.286,0.042H12c0.097,0,0.192-0.014,0.285-0.041 c10.657-3.17,9.695-15.916,9.684-16.044C21.94,5.549,21.74,5.248,21.438,5.089z M11.986,19.931 c-6.979-2.255-7.934-9.412-8.014-12.477c0.505,0.14,1.019,0.209,1.537,0.209c2.492,0,4.65-1.567,6.476-3.283 c1.893,1.788,3.983,3.301,6.442,3.301c0.53,0,1.057-0.074,1.575-0.22C19.928,10.526,18.981,17.678,11.986,19.931z"}}]})(props);
};
function BiShieldAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.342,8.447l1.105-0.553c0.266-0.133,0.458-0.376,0.526-0.665C22.041,6.941,21.978,6.638,21.8,6.4l-3-4 C18.611,2.148,18.314,2,18,2H6C5.686,2,5.389,2.148,5.2,2.4l-3,4C2.022,6.638,1.959,6.941,2.026,7.229 c0.068,0.289,0.261,0.532,0.526,0.665l1.105,0.553l-1.131,2.262C2.183,11.399,2,12.173,2,12.944v0.591 c0,2.486,1.564,4.744,3.894,5.618l3.431,1.286c0.745,0.279,1.407,0.706,1.969,1.268C11.488,21.902,11.744,22,12,22 s0.512-0.098,0.707-0.293c0.562-0.562,1.224-0.988,1.969-1.267l3.432-1.287C20.436,18.279,22,16.021,22,13.535v-0.591 c0-0.771-0.183-1.545-0.527-2.236L20.342,8.447z M20,13.535c0,1.657-1.043,3.163-2.596,3.745l-3.431,1.287 c-0.717,0.269-1.378,0.638-1.974,1.101c-0.596-0.463-1.256-0.832-1.974-1.102L6.596,17.28C5.043,16.698,4,15.192,4,13.535v-0.591 c0-0.463,0.109-0.928,0.316-1.342l1.131-2.261c0.493-0.986,0.092-2.19-0.895-2.684L4.519,6.642L6.5,4h11l1.981,2.642l-0.034,0.017 c-0.986,0.493-1.388,1.697-0.895,2.684l1.131,2.26C19.891,12.017,20,12.481,20,12.944V13.535z"}}]})(props);
};
function BiShieldQuarter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.995,6.9c-0.034-0.342-0.241-0.642-0.548-0.795l-8-4c-0.281-0.141-0.613-0.141-0.895,0l-8,4 C3.246,6.259,3.039,6.559,3.005,6.9c-0.011,0.107-0.961,10.767,8.589,15.014C11.723,21.972,11.861,22,12,22 s0.277-0.028,0.406-0.086C21.956,17.667,21.006,7.008,20.995,6.9z M12,19.897V12H5.51c-0.518-1.89-0.566-3.545-0.544-4.365 L12,4.118V12h6.46C17.701,14.74,15.962,17.979,12,19.897z"}}]})(props);
};
function BiShieldX (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.48,6.105l-8-4c-0.281-0.141-0.613-0.141-0.895,0l-8,4C3.279,6.259,3.072,6.559,3.038,6.9 c-0.011,0.107-0.961,10.767,8.589,15.014C11.756,21.972,11.895,22,12.033,22s0.277-0.028,0.406-0.086 c9.55-4.247,8.6-14.906,8.589-15.014C20.994,6.559,20.787,6.259,20.48,6.105z M12.033,19.897C5.265,16.625,4.944,9.642,4.999,7.635 l7.034-3.517l7.029,3.515C19.1,9.622,18.734,16.651,12.033,19.897z"}},{"tag":"path","attr":{"d":"M14.293 8.293L12 10.586 9.707 8.293 8.293 9.707 10.586 12 8.293 14.293 9.707 15.707 12 13.414 14.293 15.707 15.707 14.293 13.414 12 15.707 9.707z"}}]})(props);
};
function BiShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.995,6.903c-0.033-0.342-0.239-0.643-0.547-0.797l-7.973-4c-0.281-0.143-0.613-0.142-0.895-0.002l-8.027,4 C3.256,6.254,3.051,6.541,3.009,6.871c-0.013,0.097-1.145,9.741,8.541,15.008C11.698,21.96,11.863,22,12.027,22 c0.17,0,0.34-0.043,0.492-0.13C21.826,16.611,21.033,7.297,20.995,6.903z M12.018,19.847c-6.86-4.01-7.14-10.352-7.063-12.205 l7.071-3.523l6.998,3.511C19.029,9.5,18.543,15.873,12.018,19.847z"}}]})(props);
};
function BiShocked (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12c0,5.514,4.486,10,10,10s10-4.486,10-10C22,6.486,17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8 s3.589-8,8-8s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"circle","attr":{"cx":"8.5","cy":"10.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"15.493","cy":"10.493","r":"1.493"}},{"tag":"ellipse","attr":{"cx":"12","cy":"15.5","rx":"3","ry":"2.5"}}]})(props);
};
function BiShoppingBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5,22h14c1.103,0,2-0.897,2-2V9c0-0.553-0.447-1-1-1h-3V7c0-2.757-2.243-5-5-5S7,4.243,7,7v1H4C3.447,8,3,8.447,3,9v11 C3,21.103,3.897,22,5,22z M9,7c0-1.654,1.346-3,3-3s3,1.346,3,3v1H9V7z M5,10h2v2h2v-2h6v2h2v-2h2l0.002,10H5V10z"}}]})(props);
};
function BiShowAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14,12c-1.095,0-2-0.905-2-2c0-0.354,0.103-0.683,0.268-0.973C12.178,9.02,12.092,9,12,9c-1.642,0-3,1.359-3,3 c0,1.642,1.358,3,3,3c1.641,0,3-1.358,3-3c0-0.092-0.02-0.178-0.027-0.268C14.683,11.897,14.354,12,14,12z"}},{"tag":"path","attr":{"d":"M12,5c-7.633,0-9.927,6.617-9.948,6.684L1.946,12l0.105,0.316C2.073,12.383,4.367,19,12,19s9.927-6.617,9.948-6.684 L22.054,12l-0.105-0.316C21.927,11.617,19.633,5,12,5z M12,17c-5.351,0-7.424-3.846-7.926-5C4.578,10.842,6.652,7,12,7 c5.351,0,7.424,3.846,7.926,5C19.422,13.158,17.348,17,12,17z"}}]})(props);
};
function BiShow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,9c-1.642,0-3,1.359-3,3c0,1.642,1.358,3,3,3c1.641,0,3-1.358,3-3C15,10.359,13.641,9,12,9z"}},{"tag":"path","attr":{"d":"M12,5c-7.633,0-9.927,6.617-9.948,6.684L1.946,12l0.105,0.316C2.073,12.383,4.367,19,12,19s9.927-6.617,9.948-6.684 L22.054,12l-0.105-0.316C21.927,11.617,19.633,5,12,5z M12,17c-5.351,0-7.424-3.846-7.926-5C4.578,10.842,6.652,7,12,7 c5.351,0,7.424,3.846,7.926,5C19.422,13.158,17.348,17,12,17z"}}]})(props);
};
function BiShuffle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17,17h-1.559l-9.7-10.673C5.552,6.119,5.283,6,5.001,6H2v2h2.559l4.09,4.5l-4.09,4.501H2v2h3.001 c0.282,0,0.551-0.119,0.74-0.327L10,13.987l4.259,4.686C14.448,18.881,14.717,19,14.999,19H17v3l5-4l-5-4V17z"}},{"tag":"path","attr":{"d":"M15.441,8H17v3l5-3.938L17,3v3h-2.001c-0.282,0-0.551,0.119-0.74,0.327l-3.368,3.707l1.48,1.346L15.441,8z"}}]})(props);
};
function BiSidebar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H4C2.897,3,2,3.897,2,5v14c0,1.103,0.897,2,2,2h6h2h8c1.103,0,2-0.897,2-2V5C22,3.897,21.103,3,20,3z M4,19V7h6v12H4z M12,19V7h8V5l0.002,14H12z"}},{"tag":"path","attr":{"d":"M6 10H8V12H6zM6 14H8V16H6z"}}]})(props);
};
function BiSitemap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,13.01h-7V10h1c1.103,0,2-0.897,2-2V4c0-1.103-0.897-2-2-2h-4C8.897,2,8,2.897,8,4v4c0,1.103,0.897,2,2,2h1v3.01H4V18H3 v4h4v-4H6v-2.99h5V18h-1v4h4v-4h-1v-2.99h5V18h-1v4h4v-4h-1V13.01z M10,8V4h4l0.002,4H10z"}}]})(props);
};
function BiSkipNextCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M8 16L13 12 8 8zM13 12L13 16 15 16 15 8 13 8z"}}]})(props);
};
function BiSkipNext (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 7L7 17 14 12zM16 17L16 7 14 7 14 12 14 17z"}}]})(props);
};
function BiSkipPreviousCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M16 16L16 8 11 12zM9 8L9 16 11 16 11 12 11 8z"}}]})(props);
};
function BiSkipPrevious (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16 7L9 12 16 17zM9 12L9 7 7 7 7 17 9 17z"}}]})(props);
};
function BiSleepy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12c0,5.514,4.486,10,10,10s10-4.486,10-10C22,6.486,17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8 s3.589-8,8-8s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"ellipse","attr":{"cx":"12","cy":"15.5","rx":"3","ry":"2.5"}},{"tag":"path","attr":{"d":"M10 7c-2.905 0-3.983 2.386-4 3.99l2 .021C8.002 10.804 8.076 9 10 9V7zM14 7v2c1.826 0 1.992 1.537 2 2.007L17 11h1C18 9.392 16.935 7 14 7z"}}]})(props);
};
function BiSliderAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.5 14.5c-1.58 0-2.903 1.06-3.337 2.5H2v2h2.163c.434 1.44 1.757 2.5 3.337 2.5s2.903-1.06 3.337-2.5H22v-2H10.837C10.403 15.56 9.08 14.5 7.5 14.5zM7.5 19.5C6.673 19.5 6 18.827 6 18s.673-1.5 1.5-1.5S9 17.173 9 18 8.327 19.5 7.5 19.5zM16.5 8.5c-1.58 0-2.903 1.06-3.337 2.5H2v2h11.163c.434 1.44 1.757 2.5 3.337 2.5s2.903-1.06 3.337-2.5H22v-2h-2.163C19.403 9.56 18.08 8.5 16.5 8.5zM16.5 13.5c-.827 0-1.5-.673-1.5-1.5s.673-1.5 1.5-1.5S18 11.173 18 12 17.327 13.5 16.5 13.5z"}},{"tag":"path","attr":{"d":"M12.837,5C12.403,3.56,11.08,2.5,9.5,2.5S6.597,3.56,6.163,5H2v2h4.163C6.597,8.44,7.92,9.5,9.5,9.5s2.903-1.06,3.337-2.5 h9.288V5H12.837z M9.5,7.5C8.673,7.5,8,6.827,8,6s0.673-1.5,1.5-1.5S11,5.173,11,6S10.327,7.5,9.5,7.5z"}}]})(props);
};
function BiSlider (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 5H22V7H13zM2 7L9 7 9 9 11 9 11 3 9 3 9 5 2 5zM9 17H22V19H9zM19 11H22V13H19zM17 15L17 9.012 15 9.012 15 11 2 11 2 13 15 13 15 15zM7 21L7 15 5 15 5 17 2 17 2 19 5 19 5 21z"}}]})(props);
};
function BiSlideshow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H4C2.897,3,2,3.897,2,5v10c0,1.103,0.897,2,2,2h7v3H8v2h3h2h3v-2h-3v-3h7c1.103,0,2-0.897,2-2V5 C22,3.897,21.103,3,20,3z M4,15V5h16l0.001,10H4z"}},{"tag":"path","attr":{"d":"M10 13L15 10 10 7z"}}]})(props);
};
function BiSmile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M14.829,14.828c-0.185,0.184-0.384,0.349-0.592,0.489c-0.217,0.146-0.445,0.27-0.68,0.369 c-0.244,0.103-0.496,0.181-0.749,0.233c-0.531,0.108-1.087,0.108-1.616,0c-0.254-0.052-0.506-0.13-0.75-0.233 c-0.234-0.099-0.463-0.223-0.679-0.369c-0.209-0.141-0.408-0.305-0.593-0.489c-0.181-0.181-0.346-0.38-0.488-0.592l-1.658,1.119 c0.215,0.318,0.462,0.617,0.734,0.889c0.273,0.273,0.572,0.52,0.887,0.731c0.323,0.218,0.666,0.404,1.02,0.553 c0.365,0.154,0.744,0.272,1.128,0.35C11.189,17.959,11.596,18,12,18s0.811-0.041,1.208-0.122c0.383-0.078,0.762-0.196,1.127-0.35 c0.354-0.149,0.696-0.335,1.021-0.553c0.313-0.212,0.612-0.458,0.886-0.731c0.272-0.271,0.52-0.571,0.734-0.889l-1.658-1.119 C15.175,14.448,15.01,14.647,14.829,14.828z"}},{"tag":"circle","attr":{"cx":"8.5","cy":"10.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"15.493","cy":"10.493","r":"1.493"}}]})(props);
};
function BiSortAZ (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.707 14.707c.286-.286.372-.716.217-1.09C19.77 13.244 19.404 13 19 13h-7v2h4.586l-4.293 4.293c-.286.286-.372.716-.217 1.09C12.23 20.756 12.596 21 13 21h7v-2h-4.586L19.707 14.707zM7 3.99L5 3.99 5 15.99 2 15.99 6 19.99 10 15.99 7 15.99zM17 3h-2c-.417 0-.79.259-.937.649l-2.75 7.333h2.137L14.193 9h3.613l.743 1.981h2.137l-2.75-7.333C17.79 3.259 17.417 3 17 3zM14.943 7l.75-2h.613l.75 2H14.943z"}}]})(props);
};
function BiSortDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 20L10 16 7 16 7 4 5 4 5 16 2 16zM11 8H20V10H11zM11 12H18V14H11zM11 4H22V6H11zM11 16H16V18H11z"}}]})(props);
};
function BiSortUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 9H20V11H11zM11 13H18V15H11zM11 5H22V7H11zM11 17H16V19H11zM5 20L7 20 7 8 10 8 6 4 2 8 5 8z"}}]})(props);
};
function BiSortZA (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.707 14.707c.286-.286.372-.716.217-1.09C19.77 13.244 19.404 13 19 13h-7v2h4.586l-4.293 4.293c-.286.286-.372.716-.217 1.09C12.23 20.756 12.596 21 13 21h7v-2h-4.586L19.707 14.707zM6 3.99L2 7.99 5 7.99 5 19.99 7 19.99 7 7.99 10 7.99zM17 3h-2c-.417 0-.79.259-.937.649l-2.75 7.333h2.137L14.193 9h3.613l.743 1.981h2.137l-2.75-7.333C17.79 3.259 17.417 3 17 3zM14.943 7l.75-2h.613l.75 2H14.943z"}}]})(props);
};
function BiSort (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 16L4 16 10 22 10 19 10 16 10 2 8 2zM14 5L14 8 14 22 16 22 16 8 20 8 14 2z"}}]})(props);
};
function BiSpa (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.787,9.023c-0.125,0.027-1.803,0.418-3.953,1.774c-0.323-1.567-1.279-4.501-4.108-7.485L12,2.546l-0.726,0.767 c-2.839,2.995-3.791,5.937-4.111,7.514C5.005,9.448,3.34,9.052,3.218,9.024L2,8.752V10c0,7.29,3.925,12,10,12 c5.981,0,10-4.822,10-12V8.758L20.787,9.023z M8.999,12.038C9.001,12.005,9.151,8.938,12,5.506C14.814,8.906,14.999,12,15,12 v0.125c-0.998,0.826-2.029,1.861-3.01,3.154c-0.984-1.271-2.007-2.293-2.991-3.113V12.038z M12,20 c-5.316,0-7.549-4.196-7.937-8.564c1.655,0.718,4.616,2.426,7.107,6.123l0.841,1.249l0.825-1.26 c2.426-3.708,5.425-5.411,7.096-6.122C19.534,15.654,17.304,20,12,20z"}}]})(props);
};
function BiSpaceBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 13L7 13 7 9 5 9 5 15 19 15 19 9 17 9z"}}]})(props);
};
function BiSprayCan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.002 2h-4c-.552 0-1 .448-1 1v3.812c-1.791 1.04-3 2.973-3 5.188v.988C3.002 12.992 3 12.996 3 13c0 .024.001.048.002.072V21c0 .553.448 1 1 1h10c.553 0 1-.447 1-1v-8-1c0-2.215-1.21-4.149-3-5.188V3C12.002 2.448 11.555 2 11.002 2zM8.002 6V4h2v2H8.002zM13.003 20h-8v-6h8V20zM5.002 12c0-2.206 1.794-4 4-4 2.206 0 4 1.794 4 4H5.002zM13.003 3H15.003V5H13.003zM16 3H18V5H16zM16 6H18V8H16zM19 3H21V5H19zM19 6H21V8H19zM19 9H21V11H19z"}}]})(props);
};
function BiSpreadsheet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21,5c0-1.103-0.897-2-2-2H5C3.897,3,3,3.897,3,5v14c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5z M5,19V5h14l0.002,14H5 z"}},{"tag":"path","attr":{"d":"M7 7H8.998V9H7zM11 7H17V9H11zM7 11H8.998V13H7zM11 11H17V13H11zM7 15H8.998V17H7zM11 15H17V17H11z"}}]})(props);
};
function BiSquareRounded (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17,2H7C4.243,2,2,4.243,2,7v10c0,2.757,2.243,5,5,5h10c2.757,0,5-2.243,5-5V7C22,4.243,19.757,2,17,2z M20,17 c0,1.654-1.346,3-3,3H7c-1.654,0-3-1.346-3-3V7c0-1.654,1.346-3,3-3h10c1.654,0,3,1.346,3,3V17z"}}]})(props);
};
function BiSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H4C3.448,3,3,3.447,3,4v16c0,0.553,0.448,1,1,1h16c0.553,0,1-0.447,1-1V4C21,3.447,20.553,3,20,3z M19,19H5V5h14V19z"}}]})(props);
};
function BiStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6.516,14.323l-1.49,6.452c-0.092,0.399,0.068,0.814,0.406,1.047C5.603,21.94,5.801,22,6,22 c0.193,0,0.387-0.056,0.555-0.168L12,18.202l5.445,3.63c0.348,0.232,0.805,0.223,1.145-0.024c0.338-0.247,0.487-0.68,0.372-1.082 l-1.829-6.4l4.536-4.082c0.297-0.268,0.406-0.686,0.278-1.064c-0.129-0.378-0.47-0.644-0.868-0.676L15.378,8.05l-2.467-5.461 C12.75,2.23,12.393,2,12,2s-0.75,0.23-0.911,0.589L8.622,8.05L2.921,8.503C2.529,8.534,2.192,8.791,2.06,9.16 c-0.134,0.369-0.038,0.782,0.242,1.056L6.516,14.323z M9.369,9.997c0.363-0.029,0.683-0.253,0.832-0.586L12,5.43l1.799,3.981 c0.149,0.333,0.469,0.557,0.832,0.586l3.972,0.315l-3.271,2.944c-0.284,0.256-0.397,0.65-0.293,1.018l1.253,4.385l-3.736-2.491 c-0.336-0.225-0.773-0.225-1.109,0l-3.904,2.603l1.05-4.546c0.078-0.34-0.026-0.697-0.276-0.94l-3.038-2.962L9.369,9.997z"}}]})(props);
};
function BiStation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"12","r":"2"}},{"tag":"path","attr":{"d":"M7.758 16.243l1.414-1.415c-.757-.756-1.174-1.762-1.173-2.831 0-1.068.417-2.071 1.173-2.825L7.758 7.756c-1.134 1.132-1.759 2.638-1.76 4.24C5.998 13.6 6.623 15.108 7.758 16.243zM16.242 16.243C17.376 15.109 18 13.603 18 12c0-1.603-.624-3.109-1.758-4.243l-1.414 1.414C15.584 9.927 16 10.932 16 12s-.416 2.073-1.172 2.829L16.242 16.243z"}},{"tag":"path","attr":{"d":"M6.344 17.657c-1.512-1.513-2.345-3.522-2.345-5.659 0-2.137.833-4.145 2.345-5.654L4.93 4.929C3.04 6.815 1.999 9.326 1.999 11.998s1.041 5.183 2.931 7.073L6.344 17.657zM17.657 6.343C19.168 7.854 20 9.863 20 12c0 2.137-.832 4.146-2.343 5.657l1.414 1.414C20.96 17.183 22 14.671 22 12c0-2.671-1.04-5.182-2.929-7.071L17.657 6.343z"}}]})(props);
};
function BiStats (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,12c-0.249,0-0.483,0.051-0.703,0.133l-2.398-1.963C16.958,9.956,17,9.734,17,9.5C17,8.114,15.886,7,14.5,7 S12,8.114,12,9.5c0,0.396,0.1,0.765,0.262,1.097l-2.909,3.438C9.237,14.015,9.121,14,9,14c-0.179,0-0.348,0.03-0.512,0.074 l-2.563-2.563C5.97,11.348,6,11.179,6,11c0-1.108-0.892-2-2-2s-2,0.892-2,2s0.892,2,2,2c0.179,0,0.348-0.03,0.512-0.074 l2.563,2.563C7.03,15.652,7,15.821,7,16c0,1.108,0.892,2,2,2s2-0.892,2-2c0-0.237-0.048-0.46-0.123-0.671l2.913-3.442 C14.017,11.953,14.252,12,14.5,12c0.411,0,0.792-0.107,1.133-0.281l2.399,1.963C18.016,13.786,18,13.891,18,14c0,1.108,0.892,2,2,2 s2-0.892,2-2S21.108,12,20,12z"}}]})(props);
};
function BiSticker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.796,9.982C20.849,5.357,16.729,2,12,2C6.486,2,2,6.486,2,12c0,4.729,3.357,8.849,7.982,9.796\tc0.067,0.014,0.135,0.021,0.201,0.021c0.263,0,0.518-0.104,0.707-0.293l10.633-10.633C21.761,10.653,21.863,10.313,21.796,9.982z M11,18c0-0.545,0.055-1.088,0.162-1.612c0.105-0.515,0.263-1.02,0.466-1.5c0.201-0.476,0.45-0.934,0.737-1.359\tc0.29-0.428,0.619-0.826,0.978-1.186c0.359-0.358,0.758-0.688,1.184-0.977c0.428-0.288,0.886-0.537,1.36-0.738\tc0.481-0.203,0.986-0.36,1.501-0.466c0.704-0.145,1.442-0.183,2.17-0.134l-8.529,8.529C11.016,18.372,11,18.187,11,18z M4,12\tc0-4.411,3.589-8,8-8c2.909,0,5.528,1.589,6.929,4.005c-0.655,0.004-1.31,0.068-1.943,0.198c-0.643,0.132-1.274,0.328-1.879,0.583\tc-0.594,0.252-1.164,0.563-1.699,0.923c-0.533,0.361-1.03,0.771-1.479,1.22s-0.858,0.945-1.221,1.48\tc-0.359,0.533-0.67,1.104-0.922,1.698c-0.255,0.604-0.451,1.235-0.583,1.878C9.068,16.643,9,17.32,9,18\tc0,0.491,0.048,0.979,0.119,1.461C6.089,18.288,4,15.336,4,12z"}}]})(props);
};
function BiStopCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M9 9H15V15H9z"}}]})(props);
};
function BiStop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 7H17V17H7z"}}]})(props);
};
function BiStopwatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,5c-4.411,0-8,3.589-8,8s3.589,8,8,8s8-3.589,8-8S16.411,5,12,5z M12,19c-3.309,0-6-2.691-6-6s2.691-6,6-6s6,2.691,6,6 S15.309,19,12,19z"}},{"tag":"path","attr":{"d":"M11 9H13V14H11zM9 2H15V4H9z"}},{"tag":"path","attr":{"transform":"rotate(-134.999 19 6)","d":"M17.586 5H20.413999999999998V7H17.586z"}}]})(props);
};
function BiStoreAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22,5c0-1.654-1.346-3-3-3H5C3.346,2,2,3.346,2,5v2.831c0,1.053,0.382,2.01,1,2.746V19c0,1.103,0.897,2,2,2h4h6h4\tc1.103,0,2-0.897,2-2v-8.424c0.618-0.735,1-1.692,1-2.746V5z M20,5v2.831c0,1.14-0.849,2.112-1.891,2.167L18,10\tc-1.103,0-2-0.897-2-2V4h3C19.552,4,20,4.449,20,5z M10,4h4v4c0,1.103-0.897,2-2,2s-2-0.897-2-2V4z M4,5c0-0.551,0.448-1,1-1h3v4\tc0,1.103-0.897,2-2,2L5.891,9.997C4.849,9.943,4,8.971,4,7.831V5z M10,19v-3h4v3H10z M16,19v-3c0-1.103-0.897-2-2-2h-4\tc-1.103,0-2,0.897-2,2v3H5v-7.131c0.254,0.067,0.517,0.111,0.787,0.125C7.068,12.061,8.224,11.523,9,10.643\tC9.733,11.475,10.807,12,12,12s2.267-0.525,3-1.357c0.776,0.88,1.934,1.419,3.213,1.351c0.271-0.014,0.533-0.058,0.787-0.125V19H16z"}}]})(props);
};
function BiStore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.148,2.971C18.789,2.372,18.132,2,17.434,2H6.566C5.868,2,5.211,2.372,4.852,2.971L2.143,7.485 C2.049,7.641,2,7.818,2,8c0,1.006,0.386,1.914,1,2.618V19c0,1.103,0.897,2,2,2h4h6h4c1.103,0,2-0.897,2-2v-8.382 C21.614,9.914,22,9.006,22,8c0-0.182-0.049-0.359-0.143-0.515L19.148,2.971z M19.984,8.251C19.86,9.235,19.018,10,18,10 c-1.103,0-2-0.897-2-2c0-0.068-0.025-0.128-0.039-0.192l0.02-0.004L15.22,4h2.214L19.984,8.251z M10.819,4h2.361l0.813,4.065 C13.958,9.137,13.08,10,12,10s-1.958-0.863-1.993-1.935L10.819,4z M6.566,4H8.78L8.02,7.804l0.02,0.004C8.025,7.872,8,7.932,8,8 c0,1.103-0.897,2-2,2c-1.018,0-1.86-0.765-1.984-1.749L6.566,4z M10,19v-3h4v3H10z M16,19v-3c0-1.103-0.897-2-2-2h-4 c-1.103,0-2,0.897-2,2v3H5v-7.142C5.321,11.941,5.652,12,6,12c1.193,0,2.267-0.525,3-1.357C9.733,11.475,10.807,12,12,12 s2.267-0.525,3-1.357C15.733,11.475,16.807,12,18,12c0.348,0,0.679-0.059,1-0.142V19H16z"}}]})(props);
};
function BiStreetView (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"4","r":"2"}},{"tag":"path","attr":{"d":"M12,18h2v-5h2V9c0-1.103-0.897-2-2-2h-4C8.897,7,8,7.897,8,9v4h2v5H12z"}},{"tag":"path","attr":{"d":"M18.446,11.386l-0.893,1.789C19.108,13.95,20,14.98,20,16c0,1.892-3.285,4-8,4s-8-2.108-8-4c0-1.02,0.892-2.05,2.446-2.825 l-0.893-1.789C3.295,12.512,2,14.193,2,16c0,3.364,4.393,6,10,6s10-2.636,10-6C22,14.193,20.705,12.512,18.446,11.386z"}}]})(props);
};
function BiStrikethrough (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 11h-8c-4 0-4-1.816-4-2.5C8 7.882 8 6 12 6c2.8 0 2.99 1.678 3 2.014L16 8h1c0-1.384-1.045-4-5-4C6.584 4 6 7.147 6 8.5c0 .728.148 1.667.736 2.5H4v2h8 5.227H20V11zM12 18c-3.793 0-3.99-1.815-4-2H6c0 .04.069 4 6 4 5.221 0 6-2.819 6-4.5 0-.146-.009-.317-.028-.5h-2.006C15.998 15.2 16 15.376 16 15.5 16 16.184 16 18 12 18z"}}]})(props);
};
function BiSubdirectoryLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,13h-6v-3l-5,4l5,4v-3h7c0.553,0,1-0.447,1-1V5h-2V13z"}}]})(props);
};
function BiSubdirectoryRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14,13H8V5H6v9c0,0.553,0.447,1,1,1h7v3l5-4l-5-4V13z"}}]})(props);
};
function BiSun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6.993 12c0 2.761 2.246 5.007 5.007 5.007s5.007-2.246 5.007-5.007S14.761 6.993 12 6.993 6.993 9.239 6.993 12zM12 8.993c1.658 0 3.007 1.349 3.007 3.007S13.658 15.007 12 15.007 8.993 13.658 8.993 12 10.342 8.993 12 8.993zM10.998 19H12.998V22H10.998zM10.998 2H12.998V5H10.998zM1.998 11H4.998V13H1.998zM18.998 11H21.998V13H18.998z"}},{"tag":"path","attr":{"transform":"rotate(-45.017 5.986 18.01)","d":"M4.487 17.01H7.487V19.01H4.487z"}},{"tag":"path","attr":{"transform":"rotate(-45.001 18.008 5.99)","d":"M16.508 4.99H19.509V6.99H16.508z"}},{"tag":"path","attr":{"transform":"rotate(-134.983 5.988 5.99)","d":"M4.487 4.99H7.487V6.99H4.487z"}},{"tag":"path","attr":{"transform":"rotate(134.999 18.008 18.01)","d":"M17.008 16.51H19.008V19.511000000000003H17.008z"}}]})(props);
};
function BiSupport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12v0.714V16v0.143C2,17.167,2.897,18,4,18h1c0.553,0,1-0.448,1-1v-5.143c0-0.552-0.447-1-1-1 H4.092C4.648,6.987,7.978,4,12,4s7.352,2.987,7.908,6.857H19c-0.553,0-1,0.448-1,1V16v1v1c0,1.103-0.897,2-2,2h-2v-1h-4v3h2h2h2 c2.206,0,4-1.794,4-4c1.103,0,2-0.833,2-1.857V16v-3.286V12C22,6.486,17.514,2,12,2z"}}]})(props);
};
function BiSwim (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"19.003","cy":"6.002","r":"2.002"}},{"tag":"path","attr":{"d":"M18.875 13.219C18.308 13.672 17.897 14 16.997 14c-.899 0-1.288-.311-1.876-.781C14.441 12.676 13.596 12 11.994 12c-1.601 0-2.445.676-3.124 1.219C8.282 13.689 7.895 14 6.995 14c-.898 0-1.286-.311-1.873-.78C4.443 12.676 3.6 12 2 12v2c.897 0 1.285.311 1.872.78C4.551 15.324 5.395 16 6.995 16s2.446-.676 3.125-1.22c.587-.47.976-.78 1.874-.78.9 0 1.311.328 1.878.781C14.551 15.324 15.396 16 16.997 16c1.602 0 2.447-.676 3.127-1.219C20.712 14.311 21.101 14 22 14v-2C20.399 12 19.554 12.676 18.875 13.219zM16.997 19c-.899 0-1.288-.311-1.876-.781C14.441 17.676 13.596 17 11.994 17c-1.601 0-2.445.676-3.124 1.219C8.282 18.689 7.895 19 6.995 19c-.898 0-1.286-.311-1.873-.78C4.443 17.676 3.6 17 2 17v2c.897 0 1.285.311 1.872.78C4.551 20.324 5.395 21 6.995 21s2.446-.676 3.125-1.22c.587-.47.976-.78 1.874-.78.9 0 1.311.328 1.878.781C14.551 20.324 15.396 21 16.997 21c1.602 0 2.447-.676 3.127-1.219C20.712 19.311 21.101 19 22 19v-2c-1.601 0-2.446.676-3.125 1.219C18.308 18.672 17.897 19 16.997 19zM11 5.419l2.104 2.104-2.057 2.57C11.333 10.037 11.643 10 11.994 10c1.602 0 2.447.676 3.127 1.219C15.709 11.689 16.098 12 16.997 12c.9 0 1.311-.328 1.878-.781.132-.105.274-.217.423-.326l-2.096-2.09.005-.005-5.5-5.5c-.391-.391-1.023-.391-1.414 0l-4 4 1.414 1.414L11 5.419z"}}]})(props);
};
function BiSync (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 7.101c.003 0 .007 0 .01.001.318.065.634.163.937.291.296.125.581.281.849.461.264.178.513.383.74.61s.434.477.611.74c.182.271.337.556.461.851.127.298.225.613.291.937C16.966 11.321 17 11.66 17 12s-.034.679-.102 1.008c-.066.324-.164.639-.292.938-.123.293-.278.579-.459.848-.179.264-.385.514-.612.741l1.414 1.414c.317-.317.605-.666.855-1.037.254-.377.472-.777.645-1.187.178-.42.315-.863.408-1.316C18.952 12.949 19 12.475 19 12s-.048-.949-.143-1.41c-.093-.454-.23-.896-.407-1.314-.174-.412-.392-.812-.646-1.19-.249-.37-.537-.718-.854-1.035-.317-.318-.666-.605-1.035-.854-.373-.252-.773-.47-1.188-.646-.425-.18-.868-.317-1.315-.408C13.275 5.115 13.137 5.1 13 5.08V2L9 6l4 4V7.101zM5.55 14.724c.174.412.392.812.646 1.19.249.37.537.718.854 1.034.314.316.664.604 1.036.855.373.252.773.47 1.188.646.425.18.868.317 1.315.408.167.034.338.056.508.078v2.944l4-4-4-4v3.03c-.035-.006-.072-.003-.107-.011-.318-.065-.634-.163-.937-.291-.296-.125-.581-.281-.849-.461-.267-.179-.515-.384-.74-.61-.228-.228-.434-.477-.611-.74-.182-.271-.337-.556-.461-.851-.127-.298-.225-.613-.291-.937C7.034 12.679 7 12.34 7 12s.034-.679.102-1.008c.066-.324.164-.639.292-.938C7.517 9.76 7.672 9.475 7.853 9.206c.179-.264.385-.514.612-.741L7.051 7.05C6.733 7.368 6.445 7.716 6.195 8.087 5.941 8.464 5.724 8.864 5.551 9.274c-.178.42-.315.863-.408 1.316C5.048 11.051 5 11.525 5 12s.048.949.143 1.41C5.235 13.863 5.373 14.306 5.55 14.724z"}}]})(props);
};
function BiTab (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6,2C4.897,2,4,2.897,4,4v16c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2V4c0-1.103-0.897-2-2-2H6z M6,17V5h12l0.002,12H6z"}}]})(props);
};
function BiTable (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4,21h15.893c1.103,0,2-0.897,2-2V7V5v0l0,0c0-1.103-0.897-2-2-2H4C2.897,3,2,3.897,2,5v14C2,20.103,2.897,21,4,21z M4,19 v-5h4v5H4z M14,7v5h-4V7H14z M8,7v5H4V7H8z M10,19v-5h4v5H10z M16,19v-5h3.894v5H16z M19.893,12H16V7h3.893V12z"}}]})(props);
};
function BiTachometer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,4C6.486,4,2,8.486,2,14c0,1.55,0.354,3.045,1.051,4.445C3.221,18.785,3.567,19,3.946,19h16.107 c0.379,0,0.726-0.215,0.896-0.555C21.646,17.045,22,15.55,22,14C22,8.486,17.514,4,12,4z M19.41,17H4.59 C4.198,16.042,4,15.035,4,14c0-4.411,3.589-8,8-8s8,3.589,8,8C20,15.035,19.802,16.042,19.41,17z"}},{"tag":"path","attr":{"d":"M10.939,12.939c-0.168,0.111-0.323,0.262-0.44,0.44c-0.465,0.708-0.268,1.657,0.44,2.121 c0.707,0.465,1.657,0.268,2.121-0.44l3.962-6.038c0.006-0.011,0.007-0.024,0-0.035c-0.01-0.015-0.03-0.019-0.045-0.01 L10.939,12.939z"}}]})(props);
};
function BiTag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,4h-9H9H8.515C7.87,4,7.262,4.313,6.888,4.838l-4.701,6.581c-0.249,0.348-0.249,0.814,0,1.162l4.701,6.581 C7.262,19.687,7.87,20,8.515,20H9h1h10c1.103,0,2-0.897,2-2V6C22,4.897,21.103,4,20,4z M20,18H10H9H8.515l-4.286-6l4.286-6H9h2h9 V18z"}}]})(props);
};
function BiTargetLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"12","r":"3"}},{"tag":"path","attr":{"d":"M13,4.069V2h-2v2.069C7.389,4.522,4.522,7.389,4.069,11H2v2h2.069c0.453,3.611,3.319,6.478,6.931,6.931V22h2v-2.069 c3.611-0.453,6.478-3.319,6.931-6.931H22v-2h-2.069C19.478,7.389,16.611,4.522,13,4.069z M12,18c-3.309,0-6-2.691-6-6s2.691-6,6-6 s6,2.691,6,6S15.309,18,12,18z"}}]})(props);
};
function BiTaskX (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3,20c0,1.103,0.897,2,2,2h14c1.103,0,2-0.897,2-2V5c0-1.103-0.897-2-2-2h-2c0-0.553-0.447-1-1-1H8C7.447,2,7,2.447,7,3H5 C3.897,3,3,3.897,3,5V20z M5,5h2v2h10V5h2v15H5V5z"}},{"tag":"path","attr":{"d":"M14.292 10.295L12 12.587 9.708 10.295 8.294 11.709 10.586 14.001 8.294 16.293 9.708 17.707 12 15.415 14.292 17.707 15.706 16.293 13.414 14.001 15.706 11.709z"}}]})(props);
};
function BiTask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5,22h14c1.103,0,2-0.897,2-2V5c0-1.103-0.897-2-2-2h-2c0-0.553-0.447-1-1-1H8C7.447,2,7,2.447,7,3H5C3.897,3,3,3.897,3,5 v15C3,21.103,3.897,22,5,22z M5,5h2v2h10V5h2v15H5V5z"}},{"tag":"path","attr":{"d":"M11 13.586L9.207 11.793 7.793 13.207 11 16.414 16.207 11.207 14.793 9.793z"}}]})(props);
};
function BiTaxi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.772,10.156l-1.368-4.105C18.995,4.824,17.852,4,16.559,4H14V2h-4v2H7.441C6.148,4,5.005,4.824,4.596,6.051 l-1.368,4.105C2.508,10.459,2,11.171,2,12v5c0,0.753,0.423,1.402,1.039,1.743C3.026,18.809,3,18.869,3,18.938V21 c0,0.553,0.447,1,1,1h1c0.553,0,1-0.447,1-1v-2h12v2c0,0.553,0.447,1,1,1h1c0.553,0,1-0.447,1-1v-2.062 c0-0.069-0.026-0.13-0.039-0.195C21.577,18.402,22,17.753,22,17v-5C22,11.171,21.492,10.459,20.772,10.156z M4,17v-5h16l0.002,5H4 z M7.441,6h9.117c0.431,0,0.813,0.274,0.949,0.684L18.613,10H5.387l1.105-3.316C6.629,6.274,7.011,6,7.441,6z"}},{"tag":"circle","attr":{"cx":"6.5","cy":"14.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"17.5","cy":"14.5","r":"1.5"}}]})(props);
};
function BiTennisBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4.929,19.081c1.895,1.895,4.405,2.938,7.071,2.938s5.177-1.043,7.071-2.938c3.899-3.899,3.899-10.243,0-14.143 C17.177,3.044,14.665,2,12,2S6.823,3.044,4.929,4.938C1.03,8.837,1.03,15.182,4.929,19.081z M17.657,17.667 c-1.069,1.069-2.385,1.791-3.813,2.129c-0.009-1.602,0.586-3.146,1.691-4.251c1.163-1.163,2.732-1.828,4.277-1.851 C19.501,15.15,18.786,16.538,17.657,17.667z M19.982,11.702c-2.124-0.021-4.284,0.853-5.861,2.429 c-1.532,1.532-2.327,3.68-2.263,5.881c-2.079-0.036-4.033-0.862-5.516-2.345c-1.522-1.523-2.296-3.512-2.332-5.512 c0.077,0.002,0.154,0.014,0.231,0.014c2.115,0,4.16-0.804,5.637-2.28c1.58-1.58,2.457-3.739,2.43-5.873 c2.015,0.076,3.906,0.895,5.349,2.337C19.139,7.834,19.907,9.757,19.982,11.702z M6.343,6.353c1.108-1.108,2.482-1.849,3.973-2.169 c-0.018,1.555-0.685,3.124-1.851,4.291c-1.104,1.103-2.642,1.696-4.238,1.691C4.555,8.769,5.255,7.44,6.343,6.353z"}}]})(props);
};
function BiTerminal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 14H18V16H12zM6.293 9.707L8.586 12 6.293 14.293 7.707 15.707 11.414 12 7.707 8.293z"}},{"tag":"path","attr":{"d":"M20,4H4C2.897,4,2,4.897,2,6v12c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V6C22,4.897,21.103,4,20,4z M4,18V6h16 l0.002,12H4z"}}]})(props);
};
function BiTestTube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13.293,2.707l0.818,0.818L3.318,14.318C2.468,15.168,2,16.298,2,17.5s0.468,2.332,1.318,3.183 C4.169,21.532,5.299,22,6.5,22s2.331-0.468,3.182-1.318L20.475,9.889l0.818,0.818l1.414-1.414l-8-8L13.293,2.707z M16.475,11.061 l-2.403-2.404l-1.414,1.414l2.403,2.404l-1.414,1.415l-0.99-0.99l-1.414,1.414l0.99,0.99l-1.415,1.415l-2.403-2.404L7,15.728 l2.403,2.404l-1.136,1.136c-0.945,0.944-2.59,0.944-3.535,0C4.26,18.795,4,18.168,4,17.5s0.26-1.295,0.732-1.768L15.525,4.939 l3.535,3.535L16.475,11.061z"}}]})(props);
};
function BiText (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 8L7 8 7 6 10.252 6 7.68 18 5 18 5 20 13 20 13 18 10.748 18 13.32 6 17 6 17 8 19 8 19 4 5 4z"}}]})(props);
};
function BiTimeFive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M13 7L11 7 11 12.414 14.293 15.707 15.707 14.293 13 11.586z"}}]})(props);
};
function BiTime (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10c5.514,0,10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8 s3.589-8,8-8s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M13 7L11 7 11 13 17 13 17 11 13 11z"}}]})(props);
};
function BiTimer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.145,8.27l1.563-1.563l-1.414-1.414L18.586,7c-1.05-0.63-2.274-1-3.586-1c-3.859,0-7,3.14-7,7s3.141,7,7,7s7-3.14,7-7 C22,11.175,21.292,9.517,20.145,8.27z M15,18c-2.757,0-5-2.243-5-5s2.243-5,5-5s5,2.243,5,5S17.757,18,15,18z"}},{"tag":"path","attr":{"d":"M14 10H16V14H14zM13 3H17V5H13zM3 8H7V10H3zM3 16H7V18H3zM2 12H5.99V14H2z"}}]})(props);
};
function BiTired (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,14c-3,0-4,3-4,3h8C16,17,15,14,12,14z"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8s3.589-8,8-8 s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M17.555 8.832l-1.109-1.664-3 2c-.297.198-.466.539-.443.894.022.356.232.673.551.833l4 2 .895-1.789-2.459-1.229L17.555 8.832zM10.998 10.062c.022-.355-.146-.696-.443-.894l-3-2L6.445 8.832l1.566 1.044-2.459 1.229.895 1.789 4-2C10.766 10.735 10.976 10.418 10.998 10.062z"}}]})(props);
};
function BiToggleLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8,9c-1.628,0-3,1.372-3,3s1.372,3,3,3s3-1.372,3-3S9.628,9,8,9z"}},{"tag":"path","attr":{"d":"M16,6H8c-3.3,0-5.989,2.689-6,6v0.016C2.009,15.316,4.699,18,8,18h8c3.303,0,5.995-2.688,6-5.994c0-0.002,0-0.004,0-0.006 C21.991,8.691,19.301,6,16,6z M16,16H8c-2.202,0-3.996-1.792-4-3.99C4.004,9.799,5.798,8,8,8h8c2.202,0,3.996,1.799,4,4.006 C19.996,14.208,18.202,16,16,16z M20,12.016l0.443-0.004L21,12.016H20z"}}]})(props);
};
function BiToggleRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,9c-1.628,0-3,1.372-3,3s1.372,3,3,3s3-1.372,3-3S17.628,9,16,9z"}},{"tag":"path","attr":{"d":"M16,6H8c-3.296,0-5.982,2.682-6,5.986C2,11.991,2,11.995,2,12v0.016c0,0.004,0,0.008,0,0.012C2.015,15.322,4.703,18,8,18h8 c3.309,0,6-2.691,6-6S19.309,6,16,6z M16,16H8c-2.202,0-3.996-1.792-4-3.99C4.004,9.799,5.798,8,8,8h8c2.206,0,4,1.794,4,4 S18.206,16,16,16z"}}]})(props);
};
function BiTone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M11,11H4.069c0.088-0.698,0.264-1.369,0.52-2 H11V11z M11,15H4.589c-0.256-0.631-0.432-1.302-0.52-2H11V15z M11,4.069V7H5.765C7.035,5.42,8.891,4.334,11,4.069z M5.765,17H11 v2.931C8.891,19.666,7.035,18.58,5.765,17z M13,19.931V4.069c3.939,0.495,7,3.858,7,7.931S16.939,19.436,13,19.931z"}}]})(props);
};
function BiTrafficCone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13.943,2.667C13.802,2.268,13.424,2,13,2h-2c-0.424,0-0.802,0.268-0.943,0.667L4.292,19H2v2h3h14h3v-2h-2.292 L13.943,2.667z M15.47,13H8.53l1.06-3h4.82L15.47,13z M11.707,4h0.586l1.412,4h-3.41L11.707,4z M7.825,15h8.35l1.412,4H6.413 L7.825,15z"}}]})(props);
};
function BiTrain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M17.63 5c-.071-.109-.151-.221-.253-.335-.55-.617-1.021-.664-1.041-.666L7.625 4C7.624 4.001 7.163 4.039 6.636 4.653 6.532 4.773 6.462 4.887 6.39 5H17.63zM18 8L18 7 6 7 6 8 6 10 18 10zM6 12v1 4h12v-4-1H6zM8.5 16C7.672 16 7 15.328 7 14.5S7.672 13 8.5 13s1.5.672 1.5 1.5S9.328 16 8.5 16zM15.5 16c-.828 0-1.5-.672-1.5-1.5s.672-1.5 1.5-1.5 1.5.672 1.5 1.5S16.328 16 15.5 16z"}},{"tag":"circle","attr":{"cx":"8.5","cy":"14.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"15.5","cy":"14.5","r":"1.5"}},{"tag":"path","attr":{"d":"M18.871,3.335C17.715,2.037,16.509,2,16.375,2H7.621C7.397,2,6.222,2.065,5.118,3.351C4.031,4.616,4,5.862,4,6v2v10 c0,0.553,0.447,1,1,1h2l-2,3h2.317l0.667-1h8l0.677,1H19l-2-3h2c0.553,0,1-0.447,1-1v-5v-2V8V6.019V6 C20.001,5.813,19.968,4.566,18.871,3.335z M7.625,4l8.711-0.001c0.02,0.002,0.491,0.049,1.041,0.666 C17.479,4.779,17.559,4.891,17.63,5H6.39c0.072-0.113,0.143-0.227,0.246-0.347C7.163,4.039,7.624,4.001,7.625,4z M6,8V7h12v1v2H6V8 z M18,17H6v-4v-1h12v1V17z"}}]})(props);
};
function BiTransferAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.924 10.383c.155-.374.069-.804-.217-1.09l-5-5-1.414 1.414L16.586 9H4v2h15C19.404 11 19.77 10.756 19.924 10.383zM4.076 13.617c-.155.374-.069.804.217 1.09l5 5 1.414-1.414L7.414 15H20v-2H5C4.596 13 4.23 13.243 4.076 13.617z"}}]})(props);
};
function BiTransfer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 12L20 8 15 4 15 6.999 2 6.999 2 8.999 15 8.999zM22 15L9 15 9 12 4 16 9 20 9 17 22 17z"}}]})(props);
};
function BiTrashAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15,2H9C7.897,2,7,2.897,7,4v2H3v2h2v12c0,1.103,0.897,2,2,2h10c1.103,0,2-0.897,2-2V8h2V6h-4V4C17,2.897,16.103,2,15,2z M9,4h6v2H9V4z M17,20H7V8h1h8h1V20z"}}]})(props);
};
function BiTrash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M17.004 20L17.003 8h-1-8-1v12H17.004zM13.003 10h2v8h-2V10zM9.003 10h2v8h-2V10zM9.003 4H15.003V6H9.003z"}},{"tag":"path","attr":{"d":"M5.003,20c0,1.103,0.897,2,2,2h10c1.103,0,2-0.897,2-2V8h2V6h-3h-1V4c0-1.103-0.897-2-2-2h-6c-1.103,0-2,0.897-2,2v2h-1h-3 v2h2V20z M9.003,4h6v2h-6V4z M8.003,8h8h1l0.001,12H7.003V8H8.003z"}},{"tag":"path","attr":{"d":"M9.003 10H11.003V18H9.003zM13.003 10H15.003V18H13.003z"}}]})(props);
};
function BiTrendingDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 9.586L10 13.586 3.707 7.293 2.293 8.707 10 16.414 14 12.414 18.293 16.707 16 19 22 19 22 13 19.707 15.293z"}}]})(props);
};
function BiTrendingUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 10.414L14 14.414 19.707 8.707 22 11 22 5 16 5 18.293 7.293 14 11.586 10 7.586 2.293 15.293 3.707 16.707z"}}]})(props);
};
function BiTrim (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5,16h3v3c0,1.103,0.897,2,2,2h9c1.103,0,2-0.897,2-2v-9c0-1.103-0.897-2-2-2h-3V5c0-1.103-0.897-2-2-2H5 C3.897,3,3,3.897,3,5v9C3,15.103,3.897,16,5,16z M19,10l-0.003,9H10v-3h4c1.103,0,2-0.897,2-2v-4H19z M5,10h5V5h4l-0.003,9H9H5V10z"}}]})(props);
};
function BiTrophy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21,4h-3V3c0-0.553-0.447-1-1-1H7C6.447,2,6,2.447,6,3v1H3C2.447,4,2,4.447,2,5v3c0,4.31,1.799,6.91,4.819,7.012 c0.88,1.509,2.396,2.597,4.181,2.898V20H9v2h6v-2h-2v-2.09c1.784-0.302,3.301-1.39,4.181-2.898C20.201,14.91,22,12.31,22,8V5 C22,4.447,21.553,4,21,4z M4,8V6h2v6.021v0.809C4.216,12.078,4,9.299,4,8z M12,16c-2.206,0-4-1.794-4-4V4h8v8 C16,14.206,14.206,16,12,16z M18,12.83v-0.809V6h2v2C20,9.299,19.784,12.078,18,12.83z"}}]})(props);
};
function BiTv (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,6h-5.586l2.293-2.293l-1.414-1.414L12,5.586L8.707,2.293L7.293,3.707L9.586,6H4C2.897,6,2,6.897,2,8v11 c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V8C22,6.897,21.103,6,20,6z M4,19V8h16l0.002,11H4z"}}]})(props);
};
function BiUnderline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 18H19V20H5zM6 4v6c0 3.309 2.691 6 6 6s6-2.691 6-6V4h-2v6c0 2.206-1.794 4-4 4s-4-1.794-4-4V4H6z"}}]})(props);
};
function BiUndo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9,10h6c1.654,0,3,1.346,3,3s-1.346,3-3,3h-3v2h3c2.757,0,5-2.243,5-5s-2.243-5-5-5H9V5L4,9l5,4V10z"}}]})(props);
};
function BiUnite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15,16c0.553,0,1-0.448,1-1V9c0-0.552-0.447-1-1-1H9C8.448,8,8,8.448,8,9v6c0,0.552,0.448,1,1,1H15z"}},{"tag":"path","attr":{"d":"M5 16h1V8c0-1.104.896-2 2-2h8V5c0-1.104-.896-2-2-2H5C3.896 3 3 3.896 3 5v9C3 15.104 3.896 16 5 16zM8 19c0 1.104.896 2 2 2h9c1.104 0 2-.896 2-2v-9c0-1.104-.896-2-2-2h-1v8c0 1.104-.896 2-2 2H8V19z"}}]})(props);
};
function BiUnlink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.949 14.121L19.071 12c1.948-1.949 1.948-5.122 0-7.071-1.95-1.95-5.123-1.948-7.071 0l-.707.707 1.414 1.414.707-.707c1.169-1.167 3.072-1.169 4.243 0 1.169 1.17 1.169 3.073 0 4.243l-2.122 2.121c-.247.247-.534.435-.844.57L13.414 12l1.414-1.414-.707-.707c-.943-.944-2.199-1.465-3.535-1.465-.235 0-.464.032-.691.066L3.707 2.293 2.293 3.707l18 18 1.414-1.414-5.536-5.536C16.448 14.573 16.709 14.361 16.949 14.121zM10.586 17.657c-1.169 1.167-3.072 1.169-4.243 0-1.169-1.17-1.169-3.073 0-4.243l1.476-1.475-1.414-1.414L4.929 12c-1.948 1.949-1.948 5.122 0 7.071.975.975 2.255 1.462 3.535 1.462 1.281 0 2.562-.487 3.536-1.462l.707-.707-1.414-1.414L10.586 17.657z"}}]})(props);
};
function BiUpArrowAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 8.414L11 18 13 18 13 8.414 17.293 12.707 18.707 11.293 12 4.586 5.293 11.293 6.707 12.707z"}}]})(props);
};
function BiUpArrowCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.001,1.993C6.486,1.994,2,6.48,2,11.994c0.001,5.514,4.487,10,10,10c5.515,0,10.001-4.486,10.001-10 S17.515,1.994,12.001,1.993z M12,19.994c-4.41,0-7.999-3.589-8-8c0-4.411,3.589-8,8.001-8.001c4.411,0.001,8,3.59,8,8.001 S16.412,19.994,12,19.994z"}},{"tag":"path","attr":{"d":"M12.001 8.001L7.996 12.006 11.001 12.006 11.001 16 13.001 16 13.001 12.006 16.005 12.006z"}}]})(props);
};
function BiUpArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3,19h18c0.372,0,0.713-0.207,0.886-0.536c0.173-0.329,0.148-0.727-0.063-1.033l-9-13c-0.373-0.539-1.271-0.539-1.645,0 l-9,13c-0.212,0.306-0.236,0.704-0.063,1.033C2.287,18.793,2.628,19,3,19z M12,6.757L19.092,17H4.908L12,6.757z"}}]})(props);
};
function BiUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 15L13 15 13 9 16 9 12 4 8 9 11 9z"}},{"tag":"path","attr":{"d":"M20,18H4v-7H2v7c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2v-7h-2V18z"}}]})(props);
};
function BiUpsideDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12c0,5.514,4.486,10,10,10c5.514,0,10-4.486,10-10C22,6.486,17.514,2,12,2z M12,20 c-4.411,0-8-3.589-8-8s3.589-8,8-8s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M14.829,9.172c0.181,0.181,0.346,0.38,0.488,0.592l1.658-1.119c-0.215-0.318-0.462-0.617-0.734-0.889 c-0.273-0.273-0.572-0.52-0.887-0.731c-0.323-0.218-0.666-0.404-1.02-0.553c-0.365-0.154-0.744-0.272-1.128-0.35 c-0.793-0.161-1.62-0.161-2.415,0C10.409,6.2,10.03,6.318,9.665,6.472c-0.354,0.149-0.696,0.335-1.02,0.553 C8.331,7.237,8.033,7.483,7.758,7.756C7.486,8.028,7.239,8.327,7.025,8.645l1.657,1.119C8.825,9.552,8.99,9.353,9.171,9.172 c0.184-0.184,0.383-0.349,0.592-0.489c0.216-0.146,0.445-0.27,0.679-0.369c0.244-0.103,0.496-0.181,0.75-0.233 c0.53-0.108,1.086-0.108,1.616,0c0.254,0.052,0.506,0.13,0.75,0.233c0.234,0.099,0.463,0.223,0.679,0.369 C14.445,8.824,14.645,8.988,14.829,9.172z"}},{"tag":"circle","attr":{"cx":"15.5","cy":"13.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"8.507","cy":"13.507","r":"1.493"}}]})(props);
};
function BiUpvote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.781,2.375C12.4,1.9,11.6,1.9,11.219,2.375l-8,10c-0.24,0.301-0.286,0.712-0.12,1.059C3.266,13.779,3.615,14,4,14h2h2 v3v4c0,0.553,0.447,1,1,1h6c0.553,0,1-0.447,1-1v-5v-2h2h2c0.385,0,0.734-0.221,0.901-0.566c0.166-0.347,0.12-0.758-0.12-1.059 L12.781,2.375z M15,12h-1v1v3v4h-4v-3v-4v-1H9H6.081L12,4.601L17.919,12H15z"}}]})(props);
};
function BiUsb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,10h1v2h-4V6h2l-3-4L9,6h2v8H7v-2.277C7.596,11.376,8,10.738,8,10c0-1.104-0.896-2-2-2s-2,0.896-2,2 c0,0.738,0.404,1.376,1,1.723V14c0,1.103,0.897,2,2,2h4v2.277c-0.596,0.347-1,0.984-1,1.723c0,1.104,0.896,2,2,2s2-0.896,2-2 c0-0.738-0.404-1.376-1-1.723V14h4c1.103,0,2-0.897,2-2v-2h1V6h-4V10z"}}]})(props);
};
function BiUserCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M6,8c0,1.178,0.822,2,2,2s2-0.822,2-2S9.178,6,8,6S6,6.822,6,8z"}},{"tag":"path","attr":{"d":"M20.294 8.292L15.994 12.584 14.702 11.292 13.288 12.706 15.994 15.41 21.706 9.708zM4 8c0 2.28 1.72 4 4 4s4-1.72 4-4-1.72-4-4-4S4 5.72 4 8zM10 8c0 1.178-.822 2-2 2S6 9.178 6 8s.822-2 2-2S10 6.822 10 8zM4 18c0-1.654 1.346-3 3-3h2c1.654 0 3 1.346 3 3v1h2v-1c0-2.757-2.243-5-5-5H7c-2.757 0-5 2.243-5 5v1h2V18z"}}]})(props);
};
function BiUserCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M12,8c-1.178,0-2,0.822-2,2s0.822,2,2,2s2-0.822,2-2S13.178,8,12,8z"}},{"tag":"path","attr":{"fill":"none","d":"M12,4c-4.337,0-8,3.663-8,8c0,2.176,0.923,4.182,2.39,5.641c0.757-1.8,2.538-3.068,4.61-3.068h2 c2.072,0,3.854,1.269,4.61,3.068C19.077,16.182,20,14.176,20,12C20,7.663,16.337,4,12,4z M12,14c-2.28,0-4-1.72-4-4s1.72-4,4-4 s4,1.72,4,4S14.28,14,12,14z"}},{"tag":"path","attr":{"fill":"none","d":"M13,16.572h-2c-1.432,0-2.629,1.01-2.926,2.354C9.242,19.604,10.584,20,12,20s2.758-0.396,3.926-1.073 C15.629,17.582,14.432,16.572,13,16.572z"}},{"tag":"path","attr":{"d":"M12,2C6.579,2,2,6.579,2,12c0,3.189,1.592,6.078,4,7.924V20h0.102C7.77,21.245,9.813,22,12,22s4.23-0.755,5.898-2H18 v-0.076c2.408-1.846,4-4.734,4-7.924C22,6.579,17.421,2,12,2z M8.074,18.927c0.297-1.345,1.494-2.354,2.926-2.354h2 c1.432,0,2.629,1.01,2.926,2.354C14.758,19.604,13.416,20,12,20S9.242,19.604,8.074,18.927z M17.61,17.641 c-0.757-1.8-2.538-3.068-4.61-3.068h-2c-2.072,0-3.854,1.269-4.61,3.068C4.923,16.182,4,14.176,4,12c0-4.337,3.663-8,8-8 s8,3.663,8,8C20,14.176,19.077,16.182,17.61,17.641z"}},{"tag":"path","attr":{"d":"M12,6c-2.28,0-4,1.72-4,4s1.72,4,4,4s4-1.72,4-4S14.28,6,12,6z M12,12c-1.178,0-2-0.822-2-2s0.822-2,2-2s2,0.822,2,2 S13.178,12,12,12z"}}]})(props);
};
function BiUserMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M8,6C6.822,6,6,6.822,6,8s0.822,2,2,2s2-0.822,2-2S9.178,6,8,6z"}},{"tag":"path","attr":{"d":"M14 11H22V13H14zM8 4C5.72 4 4 5.72 4 8s1.72 4 4 4 4-1.72 4-4S10.28 4 8 4zM8 10c-1.178 0-2-.822-2-2s.822-2 2-2 2 .822 2 2S9.178 10 8 10zM4 18c0-1.654 1.346-3 3-3h2c1.654 0 3 1.346 3 3v1h2v-1c0-2.757-2.243-5-5-5H7c-2.757 0-5 2.243-5 5v1h2V18z"}}]})(props);
};
function BiUserPin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 10c1.151 0 2-.848 2-2s-.849-2-2-2c-1.15 0-2 .848-2 2S10.85 10 12 10zM12 11c-2.209 0-4 1.612-4 3.6v.386h8V14.6C16 12.612 14.209 11 12 11z"}},{"tag":"path","attr":{"d":"M19,2H5C3.897,2,3,2.897,3,4v13c0,1.103,0.897,2,2,2h4l3,3l3-3h4c1.103,0,2-0.897,2-2V4C21,2.897,20.103,2,19,2z M14,17 l-2,2l-2-2H5V4h14l0.002,13H14z"}}]})(props);
};
function BiUserPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M6,8c0,1.178,0.822,2,2,2s2-0.822,2-2S9.178,6,8,6S6,6.822,6,8z"}},{"tag":"path","attr":{"d":"M19 8L17 8 17 11 14 11 14 13 17 13 17 16 19 16 19 13 22 13 22 11 19 11zM4 8c0 2.28 1.72 4 4 4s4-1.72 4-4-1.72-4-4-4S4 5.72 4 8zM10 8c0 1.178-.822 2-2 2S6 9.178 6 8s.822-2 2-2S10 6.822 10 8zM4 18c0-1.654 1.346-3 3-3h2c1.654 0 3 1.346 3 3v1h2v-1c0-2.757-2.243-5-5-5H7c-2.757 0-5 2.243-5 5v1h2V18z"}}]})(props);
};
function BiUserVoice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 12c2.28 0 4-1.72 4-4s-1.72-4-4-4S4 5.72 4 8 5.72 12 8 12zM8 6c1.178 0 2 .822 2 2s-.822 2-2 2S6 9.178 6 8 6.822 6 8 6zM9 13H7c-2.757 0-5 2.243-5 5v1h2v-1c0-1.654 1.346-3 3-3h2c1.654 0 3 1.346 3 3v1h2v-1C14 15.243 11.757 13 9 13zM18.364 2.636L16.95 4.05C18.271 5.373 19 7.131 19 9s-.729 3.627-2.05 4.95l1.414 1.414C20.064 13.663 21 11.403 21 9S20.064 4.337 18.364 2.636z"}},{"tag":"path","attr":{"d":"M15.535,5.464L14.121,6.88C14.688,7.445,15,8.198,15,9s-0.312,1.555-0.879,2.12l1.414,1.416C16.479,11.592,17,10.337,17,9 S16.479,6.408,15.535,5.464z"}}]})(props);
};
function BiUserX (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fill":"none","d":"M10,8c0-1.178-0.822-2-2-2S6,6.822,6,8s0.822,2,2,2S10,9.178,10,8z"}},{"tag":"path","attr":{"d":"M15.706 15.706L17.999 13.413 20.293 15.707 21.707 14.293 19.414 12 21.707 9.707 20.293 8.293 18 10.586 15.707 8.293 14.293 9.707 16.585 11.999 14.292 14.292zM12 8c0-2.28-1.72-4-4-4S4 5.72 4 8s1.72 4 4 4S12 10.28 12 8zM6 8c0-1.178.822-2 2-2s2 .822 2 2-.822 2-2 2S6 9.178 6 8zM4 18c0-1.654 1.346-3 3-3h2c1.654 0 3 1.346 3 3v1h2v-1c0-2.757-2.243-5-5-5H7c-2.757 0-5 2.243-5 5v1h2V18z"}}]})(props);
};
function BiUser (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"fill":"none","cx":"12","cy":"7","r":"3"}},{"tag":"path","attr":{"d":"M12 2C9.243 2 7 4.243 7 7s2.243 5 5 5 5-2.243 5-5S14.757 2 12 2zM12 10c-1.654 0-3-1.346-3-3s1.346-3 3-3 3 1.346 3 3S13.654 10 12 10zM21 21v-1c0-3.859-3.141-7-7-7h-4c-3.86 0-7 3.141-7 7v1h2v-1c0-2.757 2.243-5 5-5h4c2.757 0 5 2.243 5 5v1H21z"}}]})(props);
};
function BiVector (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.277,8C18.624,8.596,19.262,9,20,9c1.104,0,2-0.896,2-2s-0.896-2-2-2c-0.738,0-1.376,0.404-1.723,1H16V4 c0-0.553-0.447-1-1-1H9C8.448,3,8,3.447,8,4v2H5.723C5.376,5.404,4.738,5,4,5C2.896,5,2,5.896,2,7s0.896,2,2,2 c0.738,0,1.376-0.404,1.723-1H8v0.369C5.133,9.84,4.318,12.534,4.091,14H3c-0.552,0-1,0.447-1,1v4c0,0.553,0.448,1,1,1h4 c0.552,0,1-0.447,1-1v-4c0-0.553-0.448-1-1-1H6.123c0.197-0.959,0.718-2.406,2.085-3.418C8.391,10.829,8.669,11,9,11h6 c0.331,0,0.61-0.171,0.792-0.419c1.373,1.013,1.895,2.458,2.089,3.419H17c-0.553,0-1,0.447-1,1v4c0,0.553,0.447,1,1,1h4 c0.553,0,1-0.447,1-1v-4c0-0.553-0.447-1-1-1h-1.092C19.681,12.534,18.866,9.839,16,8.368V8H18.277z M6,18H4v-2h2V18z M20,18h-2v-2 h2V18z M14,9h-4V8V6V5h4V9z"}}]})(props);
};
function BiVerticalCenter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 5L13 4.382 13 2 11 2 11 4.382 11 5 8 5 12 9 16 5zM13 22L13 19 16 19 12 15 8 19 11 19 11 22zM3 11H6V13H3zM8 11H11V13H8zM13 11H16V13H13zM18 11H21V13H18z"}}]})(props);
};
function BiVial (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.95,3.564l0.708,0.707l-9.193,9.193C2.521,14.408,2,15.664,2,17s0.521,2.592,1.465,3.535C4.408,21.479,5.664,22,7,22 s2.592-0.521,3.535-1.465l9.193-9.193l0.707,0.708l1.414-1.414L13.364,2.15L11.95,3.564z M9.121,19.121 c-1.133,1.133-3.109,1.133-4.242,0C4.313,18.555,4,17.802,4,17s0.313-1.555,0.879-2.121L5.758,14h8.484L9.121,19.121z M16.242,12 H7.758l6.314-6.314l4.242,4.242L16.242,12z"}}]})(props);
};
function BiVideoOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 7c0-1.103-.897-2-2-2H6.414L3.707 2.293 2.293 3.707l18 18 1.414-1.414L18 16.586v-2.919L22 17V7l-4 3.333V7zM16 14.586L8.414 7H16V14.586zM4 19h10.879l-2-2H4V8.121L2.145 6.265C2.054 6.493 2 6.74 2 7v10C2 18.103 2.897 19 4 19z"}}]})(props);
};
function BiVideoPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 8L9 8 9 11 6 11 6 13 9 13 9 16 11 16 11 13 14 13 14 11 11 11z"}},{"tag":"path","attr":{"d":"M18,7c0-1.103-0.897-2-2-2H4C2.897,5,2,5.897,2,7v10c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2v-3.333L22,17V7l-4,3.333 V7z M16.001,17H4V7h12v5v0v0L16.001,17z"}}]})(props);
};
function BiVideoRecording (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18,9c0-1.103-0.897-2-2-2h-1.434l-2.418-4.029C11.789,2.372,11.132,2,10.434,2H5v2h5.434l1.8,3H4C2.897,7,2,7.897,2,9v9 c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2v-3l4,2v-7l-4,2V9z M16.002,18H4V9h12l0.001,4L16,13v1l0.001,0.001L16.002,18z"}},{"tag":"path","attr":{"d":"M6 14H12V16H6z"}}]})(props);
};
function BiVideo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18,7c0-1.103-0.897-2-2-2H4C2.897,5,2,5.897,2,7v10c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2v-3.333L22,17V7l-4,3.333 V7z M16.002,17H4V7h12l0.001,4.999L16,12l0.001,0.001L16.002,17z"}}]})(props);
};
function BiVoicemail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.5,8c-2.481,0-4.5,2.019-4.5,4.5c0,0.925,0.281,1.784,0.762,2.5h-3.523C10.719,14.284,11,13.425,11,12.5 C11,10.019,8.981,8,6.5,8S2,10.019,2,12.5S4.019,17,6.5,17c0.171,0,0.334-0.032,0.5-0.051V17h11v-0.051 c2.244-0.252,4-2.139,4-4.449C22,10.019,19.981,8,17.5,8z M4,12.5C4,11.121,5.121,10,6.5,10S9,11.121,9,12.5S7.879,15,6.5,15 S4,13.879,4,12.5z M17.5,15c-1.379,0-2.5-1.121-2.5-2.5s1.121-2.5,2.5-2.5s2.5,1.121,2.5,2.5S18.879,15,17.5,15z"}}]})(props);
};
function BiVolumeFull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,21c3.527-1.547,5.999-4.909,5.999-9S19.527,4.547,16,3v2c2.387,1.386,3.999,4.047,3.999,7S18.387,17.614,16,19V21z"}},{"tag":"path","attr":{"d":"M16 7v10c1.225-1.1 2-3.229 2-5S17.225 8.1 16 7zM4 17h2.697l5.748 3.832C12.612 20.943 12.806 21 13 21c.162 0 .324-.039.472-.118C13.797 20.708 14 20.369 14 20V4c0-.369-.203-.708-.528-.882-.324-.175-.72-.154-1.026.05L6.697 7H4C2.897 7 2 7.897 2 9v6C2 16.103 2.897 17 4 17zM4 9h3c.033 0 .061-.016.093-.019.064-.006.125-.02.188-.038.068-.021.131-.045.192-.078.026-.015.057-.017.082-.033L12 5.868v12.264l-4.445-2.964c-.025-.017-.056-.02-.082-.033-.061-.033-.123-.058-.19-.078-.064-.019-.126-.032-.192-.038C7.059 15.016 7.032 15 7 15H4V9z"}}]})(props);
};
function BiVolumeLow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 17h2.697l5.748 3.832C12.612 20.943 12.806 21 13 21c.162 0 .324-.039.472-.118C13.797 20.708 14 20.369 14 20V4c0-.369-.203-.708-.528-.882-.324-.174-.72-.154-1.026.05L6.697 7H4C2.897 7 2 7.897 2 9v6C2 16.103 2.897 17 4 17zM4 9h3c.033 0 .061-.016.093-.019.064-.006.125-.02.188-.038.067-.021.13-.045.191-.078.026-.014.057-.017.082-.033L12 5.868v12.264l-4.445-2.964c-.025-.018-.056-.02-.082-.033-.061-.033-.122-.058-.189-.078-.064-.019-.127-.032-.193-.038C7.059 15.016 7.032 15 7 15H4V9zM16 7v10c1.225-1.1 2-3.229 2-5S17.225 8.1 16 7z"}}]})(props);
};
function BiVolumeMute (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.707 20.293l-2.023-2.023c1.44-1.686 2.315-3.846 2.315-6.27 0-4.091-2.472-7.453-5.999-9v2c2.387 1.386 3.999 4.047 3.999 7 0 1.832-.629 3.543-1.672 4.913l-1.285-1.285C17.644 14.536 18 13.19 18 12c0-1.771-.775-3.9-2-5v7.586l-2-2V4c0-.369-.203-.708-.528-.882-.324-.174-.72-.154-1.026.05L7.727 6.313l-4.02-4.02L2.293 3.707l18 18L21.707 20.293zM12 5.868v4.718L9.169 7.755 12 5.868zM4 17h2.697l5.748 3.832C12.612 20.943 12.806 21 13 21c.162 0 .324-.039.472-.118C13.797 20.708 14 20.369 14 20v-1.879l-2-2v2.011l-4.445-2.964c-.025-.017-.056-.02-.082-.033-.061-.033-.123-.058-.19-.078-.064-.019-.126-.032-.192-.038C7.059 15.016 7.032 15 7 15H4V9h.879L3.102 7.223C2.451 7.554 2 8.222 2 9v6C2 16.103 2.897 17 4 17z"}}]})(props);
};
function BiVolume (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4,17h2.697l5.748,3.832C12.612,20.943,12.806,21,13,21c0.162,0,0.324-0.039,0.472-0.118C13.797,20.708,14,20.369,14,20V4 c0-0.369-0.203-0.708-0.528-0.882c-0.324-0.175-0.72-0.154-1.026,0.05L6.697,7H4C2.897,7,2,7.897,2,9v6C2,16.103,2.897,17,4,17z M4,9h3c0.033,0,0.061-0.016,0.093-0.019c0.064-0.006,0.125-0.02,0.188-0.038c0.067-0.021,0.13-0.045,0.191-0.078 c0.026-0.014,0.057-0.017,0.082-0.033L12,5.868v12.264l-4.445-2.964c-0.025-0.018-0.056-0.02-0.082-0.033 c-0.061-0.033-0.122-0.058-0.189-0.078c-0.064-0.019-0.127-0.032-0.193-0.038C7.059,15.016,7.032,15,7,15H4V9z"}}]})(props);
};
function BiWalk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"13","cy":"4","r":"2"}},{"tag":"path","attr":{"d":"M13.978,12.27c0.245,0.368,0.611,0.647,1.031,0.787l2.675,0.892l0.633-1.896l-2.675-0.892l-1.663-2.495 c-0.192-0.288-0.457-0.521-0.769-0.679L11.776,7.27c-0.425-0.212-0.913-0.267-1.378-0.149L7.205,7.918 C6.639,8.059,6.163,8.439,5.899,8.964l-1.794,3.589l1.789,0.895l1.794-3.589l2.223-0.556l-1.804,8.346l-3.674,2.527l1.133,1.648 l3.675-2.528c0.421-0.29,0.713-0.725,0.82-1.225l0.517-2.388l2.517,1.888l0.925,4.625l1.961-0.393l-0.925-4.627 c-0.099-0.484-0.369-0.913-0.762-1.206l-2.171-1.628l0.647-3.885L13.978,12.27z"}}]})(props);
};
function BiWalletAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H5C3.346,3,2,4.346,2,6v12c0,1.654,1.346,3,3,3h15c1.103,0,2-0.897,2-2v-4V9V5C22,3.897,21.103,3,20,3z M5,19 c-0.552,0-1-0.449-1-1V6c0-0.551,0.448-1,1-1h15v3h-6c-1.103,0-2,0.897-2,2v4c0,1.103,0.897,2,2,2h6.001v3H5z M20,10v4h-6v-4H20z"}}]})(props);
};
function BiWallet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16 12H18V16H16z"}},{"tag":"path","attr":{"d":"M20,7V5c0-1.103-0.897-2-2-2H5C3.346,3,2,4.346,2,6v12c0,2.201,1.794,3,3,3h15c1.103,0,2-0.897,2-2V9 C22,7.897,21.103,7,20,7z M5,5h13v2H5C4.448,7,4,6.551,4,6S4.448,5,5,5z M20,19H5.012C4.55,18.988,4,18.805,4,18V8.815 C4.314,8.928,4.647,9,5,9h15V19z"}}]})(props);
};
function BiWater (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5.996 9c1.413 0 2.16-.747 2.705-1.293C9.191 7.217 9.432 7 9.993 7s.802.217 1.292.707C11.83 8.253 12.577 9 13.991 9c1.415 0 2.163-.747 2.71-1.293C17.192 7.217 17.433 7 17.996 7s.804.217 1.295.707C19.837 8.253 20.585 9 22 9V7c-.563 0-.804-.217-1.295-.707C20.159 5.747 19.411 5 17.996 5s-2.162.747-2.709 1.292C14.796 6.783 14.556 7 13.991 7c-.562 0-.802-.217-1.292-.707C12.154 5.747 11.407 5 9.993 5S7.832 5.747 7.287 6.293C6.797 6.783 6.557 7 5.996 7S5.195 6.783 4.705 6.293C4.16 5.747 3.413 5 2 5v2c.561 0 .801.217 1.291.707C3.836 8.253 4.583 9 5.996 9zM5.996 14c1.413 0 2.16-.747 2.705-1.293C9.191 12.217 9.432 12 9.993 12s.802.217 1.292.707C11.83 13.253 12.577 14 13.991 14c1.415 0 2.163-.747 2.71-1.293C17.192 12.217 17.433 12 17.996 12s.804.217 1.295.707C19.837 13.253 20.585 14 22 14v-2c-.563 0-.804-.217-1.295-.707C20.159 10.747 19.411 10 17.996 10s-2.162.747-2.709 1.292C14.796 11.783 14.556 12 13.991 12c-.562 0-.802-.217-1.292-.707C12.154 10.747 11.407 10 9.993 10s-2.161.747-2.706 1.293C6.797 11.783 6.557 12 5.996 12s-.801-.217-1.291-.707C4.16 10.747 3.413 10 2 10v2c.561 0 .801.217 1.291.707C3.836 13.253 4.583 14 5.996 14zM5.996 19c1.413 0 2.16-.747 2.705-1.293C9.191 17.217 9.432 17 9.993 17s.802.217 1.292.707C11.83 18.253 12.577 19 13.991 19c1.415 0 2.163-.747 2.71-1.293C17.192 17.217 17.433 17 17.996 17s.804.217 1.295.707C19.837 18.253 20.585 19 22 19v-2c-.563 0-.804-.217-1.295-.707C20.159 15.747 19.411 15 17.996 15s-2.162.747-2.709 1.292C14.796 16.783 14.556 17 13.991 17c-.562 0-.802-.217-1.292-.707C12.154 15.747 11.407 15 9.993 15s-2.161.747-2.706 1.293C6.797 16.783 6.557 17 5.996 17s-.801-.217-1.291-.707C4.16 15.747 3.413 15 2 15v2c.561 0 .801.217 1.291.707C3.836 18.253 4.583 19 5.996 19z"}}]})(props);
};
function BiWebcam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2c-4.963,0-9,4.038-9,9c0,3.328,1.82,6.232,4.513,7.79l-2.067,1.378c-0.366,0.244-0.53,0.7-0.402,1.122S5.56,22,6,22 h12c0.44,0,0.829-0.288,0.957-0.71s-0.036-0.878-0.402-1.122l-2.067-1.378C19.18,17.232,21,14.328,21,11C21,6.038,16.963,2,12,2z M12,18c-3.859,0-7-3.141-7-7c0-3.86,3.141-7,7-7s7,3.14,7,7C19,14.859,15.859,18,12,18z"}},{"tag":"path","attr":{"d":"M12,6c-2.757,0-5,2.243-5,5s2.243,5,5,5s5-2.243,5-5S14.757,6,12,6z M12,14c-1.654,0-3-1.346-3-3s1.346-3,3-3s3,1.346,3,3 S13.654,14,12,14z"}}]})(props);
};
function BiWifi0 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"18","r":"2"}}]})(props);
};
function BiWifi1 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.671,14.307C16.184,12.819,14.17,12,12,12s-4.184,0.819-5.671,2.307l1.414,1.414c1.11-1.11,2.621-1.722,4.257-1.722 c1.636,0.001,3.147,0.612,4.257,1.722L17.671,14.307z"}},{"tag":"circle","attr":{"cx":"12","cy":"18","r":"2"}}]})(props);
};
function BiWifi2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.671,14.307C16.184,12.819,14.17,12,12,12s-4.184,0.819-5.671,2.307l1.414,1.414c1.11-1.11,2.621-1.722,4.257-1.722 c1.636,0.001,3.147,0.612,4.257,1.722L17.671,14.307z"}},{"tag":"path","attr":{"d":"M20.437,11.292c-4.572-4.573-12.301-4.573-16.873,0l1.414,1.414c3.807-3.807,10.238-3.807,14.045,0L20.437,11.292z"}},{"tag":"circle","attr":{"cx":"12","cy":"18","r":"2"}}]})(props);
};
function BiWifiOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M1.293 8.395l1.414 1.414C3.211 9.305 3.759 8.859 4.329 8.45L2.9 7.021C2.34 7.443 1.796 7.891 1.293 8.395zM6.474 5.06L3.707 2.293 2.293 3.707l18 18 1.414-1.414-5.012-5.012.976-.975c-1.145-1.145-2.585-1.858-4.099-2.148L11.294 9.88c2.789-.191 5.649.748 7.729 2.827l1.414-1.414c-2.898-2.899-7.061-3.936-10.888-3.158L8.024 6.61C9.291 6.216 10.625 6 12 6c3.537 0 6.837 1.353 9.293 3.809l1.414-1.414C19.874 5.561 16.071 4 12 4 10.066 4.001 8.209 4.384 6.474 5.06zM3.563 11.293l1.414 1.414c.622-.622 1.319-1.132 2.058-1.551L5.576 9.697C4.859 10.148 4.181 10.676 3.563 11.293zM6.329 14.307l1.414 1.414c.692-.692 1.535-1.151 2.429-1.428l-1.557-1.557C7.782 13.115 7.003 13.633 6.329 14.307zM13.989 18.11l-2.1-2.1C10.838 16.069 10 16.933 10 18c-.001 1.104.895 2 2 2C13.066 20 13.931 19.162 13.989 18.11z"}}]})(props);
};
function BiWifi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 6c3.537 0 6.837 1.353 9.293 3.809l1.414-1.414C19.874 5.561 16.071 4 12 4 7.929 4.001 4.126 5.561 1.293 8.395l1.414 1.414C5.163 7.353 8.463 6 12 6zM17.671 14.307c-3.074-3.074-8.268-3.074-11.342 0l1.414 1.414c2.307-2.307 6.207-2.307 8.514 0L17.671 14.307z"}},{"tag":"path","attr":{"d":"M20.437,11.293c-4.572-4.574-12.301-4.574-16.873,0l1.414,1.414c3.807-3.807,10.238-3.807,14.045,0L20.437,11.293z"}},{"tag":"circle","attr":{"cx":"12","cy":"18","r":"2"}}]})(props);
};
function BiWind (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 5.5C13 3.57 11.43 2 9.5 2 7.466 2 6.25 3.525 6.25 5h2c0-.415.388-1 1.25-1C10.327 4 11 4.673 11 5.5S10.327 7 9.5 7H2v2h7.5C11.43 9 13 7.43 13 5.5zM15.5 15H8v2h7.5c.827 0 1.5.673 1.5 1.5S16.327 20 15.5 20c-.862 0-1.25-.585-1.25-1h-2c0 1.475 1.216 3 3.25 3 1.93 0 3.5-1.57 3.5-3.5S17.43 15 15.5 15z"}},{"tag":"path","attr":{"d":"M18 5c-2.206 0-4 1.794-4 4h2c0-1.103.897-2 2-2s2 .897 2 2-.897 2-2 2H2v2h16c2.206 0 4-1.794 4-4S20.206 5 18 5zM2 15H6V17H2z"}}]})(props);
};
function BiWindowAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H4C2.897,3,2,3.897,2,5v14c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V5C22,3.897,21.103,3,20,3z M20,5l0.001,4H4V5 H20z M4,19v-8h16.001l0.001,8H4z"}},{"tag":"path","attr":{"d":"M14 6H16V8H14zM17 6H19V8H17z"}}]})(props);
};
function BiWindowClose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H4C2.897,3,2,3.897,2,5v14c0,1.103,0.897,2,2,2h16c1.103,0,2-0.897,2-2V5C22,3.897,21.103,3,20,3z M4,19V7h16 l0.001,12H4z"}},{"tag":"path","attr":{"d":"M15.707 10.707L14.293 9.293 12 11.586 9.707 9.293 8.293 10.707 10.586 13 8.293 15.293 9.707 16.707 12 14.414 14.293 16.707 15.707 15.293 13.414 13z"}}]})(props);
};
function BiWindowOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20,3H4C2.897,3,2,3.897,2,5v14c0,1.103,0.897,2,2,2h5v-2H4V7h16v12h-5v2h5c1.103,0,2-0.897,2-2V5C22,3.897,21.103,3,20,3z"}},{"tag":"path","attr":{"d":"M13 21L13 16 16 16 12 11 8 16 11 16 11 21z"}}]})(props);
};
function BiWindow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4,21h16c1.103,0,2-0.897,2-2V5c0-1.103-0.897-2-2-2H4C2.897,3,2,3.897,2,5v14C2,20.103,2.897,21,4,21z M4,19V7h16 l0.001,12H4z"}}]})(props);
};
function BiWindows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16,7H4C2.897,7,2,7.897,2,9v10c0,1.103,0.897,2,2,2h12c1.103,0,2-0.897,2-2V9C18,7.897,17.103,7,16,7z M4,19v-8h12V9 l0.002,10H4z"}},{"tag":"path","attr":{"d":"M22,5c0-1.103-0.897-2-2-2h-0.999h-2.002H7C5.897,3,5,3.897,5,5h2h9.587h1.414C19.102,5,19.997,5.895,20,6.994L20.002,15 H20v2c1.103,0,2-0.897,2-2V8.007C22,8.004,22.001,8.002,22.001,8V6C22.001,5.997,22,5.994,22,5.99V5z"}}]})(props);
};
function BiWine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.713,12.123c0.264-0.952,0.312-2.03,0.143-3.206L18.99,2.858C18.92,2.366,18.498,2,18,2H6 C5.502,2,5.081,2.366,5.01,2.858L4.145,8.916c-0.169,1.177-0.121,2.255,0.142,3.206c0.864,3.134,3.551,5.392,6.713,5.794V20H9v2h6 v-2h-2v-2.084C16.162,17.514,18.849,15.256,19.713,12.123z M17.133,4l0.57,4H6.296l0.571-4H17.133z M6.215,11.59 C6.083,11.116,6.034,10.581,6.056,10h11.889c0.021,0.581-0.028,1.116-0.159,1.591C17.069,14.187,14.69,16,12,16 C9.31,16,6.931,14.187,6.215,11.59z"}}]})(props);
};
function BiWinkSmile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12c0,5.514,4.486,10,10,10s10-4.486,10-10C22,6.486,17.514,2,12,2z M12,20c-4.411,0-8-3.589-8-8 s3.589-8,8-8s8,3.589,8,8S16.411,20,12,20z"}},{"tag":"path","attr":{"d":"M14.828,14.828c-0.184,0.184-0.383,0.348-0.591,0.489c-0.215,0.145-0.444,0.269-0.679,0.368 c-0.245,0.103-0.497,0.182-0.75,0.233c-0.531,0.107-1.087,0.107-1.616,0c-0.254-0.052-0.506-0.131-0.749-0.232 c-0.236-0.101-0.466-0.225-0.679-0.368c-0.21-0.143-0.409-0.307-0.594-0.492c-0.182-0.18-0.346-0.379-0.488-0.59l-1.658,1.117 c0.215,0.319,0.462,0.619,0.733,0.889c0.272,0.273,0.571,0.52,0.888,0.733c0.32,0.217,0.663,0.402,1.021,0.554 c0.366,0.153,0.744,0.271,1.127,0.349C11.189,17.959,11.596,18,12,18s0.811-0.041,1.208-0.122c0.382-0.077,0.76-0.195,1.128-0.35 c0.355-0.15,0.698-0.336,1.021-0.554c0.314-0.213,0.613-0.459,0.885-0.73c0.272-0.271,0.52-0.571,0.734-0.891l-1.658-1.117 C15.175,14.447,15.011,14.646,14.828,14.828z"}},{"tag":"circle","attr":{"cx":"8.5","cy":"10.5","r":"1.5"}},{"tag":"path","attr":{"d":"M15.5,10c-2,0-2.5,2-2.5,2h5C18,12,17.499,10,15.5,10z"}}]})(props);
};
function BiWinkTongue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.5,9c-2,0-2.5,2-2.5,2h5C18,11,17.499,9,15.5,9z"}},{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10c5.514,0,10-4.486,10-10S17.514,2,12,2z M10,18v-3h4v3c0,1.103-0.897,2-2,2 C10.897,20,10,19.103,10,18z M15.856,19.005C15.941,18.682,16,18.349,16,18v-1.499C17.589,15.028,18,13,18,13H6 c0,0,0.412,2.028,2,3.501V18c0,0.349,0.059,0.682,0.144,1.005C5.676,17.641,4,15.013,4,12c0-4.411,3.589-8,8-8s8,3.589,8,8 C20,15.013,18.324,17.641,15.856,19.005z"}},{"tag":"circle","attr":{"cx":"8.5","cy":"9.5","r":"1.5"}}]})(props);
};
function BiWon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.758,5H19.68l-0.844,3h-4.893l-0.899-3h-2.088l-0.899,3H5.164L4.32,5H2.999H2.242l0.844,3H2v2h1.648l0.563,2H2v2h2.773 l1.688,6h2.083l1.8-6h3.313l1.8,6h2.083l1.688-6H22v-2h-2.211l0.563-2H22V8h-1.086L21.758,5z M5.727,10h3.729l-0.6,2H6.289 L5.727,10z M7.531,16.417L6.852,14h1.404L7.531,16.417z M10.944,12l0.6-2h0.912l0.6,2H10.944z M16.469,16.417L15.744,14h1.404 L16.469,16.417z M17.711,12h-2.567l-0.6-2h3.729L17.711,12z"}}]})(props);
};
function BiWorld (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12,2C6.486,2,2,6.486,2,12s4.486,10,10,10s10-4.486,10-10S17.514,2,12,2z M4,12c0-0.899,0.156-1.762,0.431-2.569L6,11l2,2 v2l2,2l1,1v1.931C7.061,19.436,4,16.072,4,12z M18.33,16.873C17.677,16.347,16.687,16,16,16v-1c0-1.104-0.896-2-2-2h-4v-2v-1 c1.104,0,2-0.896,2-2V7h1c1.104,0,2-0.896,2-2V4.589C17.928,5.778,20,8.65,20,12C20,13.835,19.373,15.522,18.33,16.873z"}}]})(props);
};
function BiWrench (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5.122,21c0.378,0.378,0.88,0.586,1.414,0.586S7.572,21.378,7.95,21l4.336-4.336c0.716,0.221,1.459,0.333,2.217,0.333 c2.003,0,3.887-0.779,5.302-2.195c2.146-2.147,2.787-5.349,1.632-8.158l-0.57-1.388l-4.244,4.243l-2.121-2.122l4.243-4.243 l-1.389-0.571C16.446,2.189,15.485,2,14.499,2c-2.003,0-3.886,0.78-5.301,2.196C7.213,6.18,6.516,9.068,7.336,11.714L3,16.05 c-0.78,0.779-0.78,2.049,0,2.828L5.122,21z M9.67,12.209l-0.254-0.616c-0.848-2.061-0.378-4.41,1.196-5.983 C11.65,4.572,13.03,4,14.499,4c0.177,0,0.352,0.008,0.526,0.025l-3.353,3.353l4.949,4.95l3.355-3.355 c0.156,1.608-0.403,3.231-1.587,4.416c-1.55,1.55-3.964,2.027-5.984,1.196L11.79,14.33l-5.254,5.256h0.001l-0.001,1v-1 l-2.122-2.122L9.67,12.209z"}}]})(props);
};
function BiXCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9.172 16.242L12 13.414 14.828 16.242 16.242 14.828 13.414 12 16.242 9.172 14.828 7.758 12 10.586 9.172 7.758 7.758 9.172 10.586 12 7.758 14.828z"}},{"tag":"path","attr":{"d":"M12,22c5.514,0,10-4.486,10-10S17.514,2,12,2S2,6.486,2,12S6.486,22,12,22z M12,4c4.411,0,8,3.589,8,8s-3.589,8-8,8 s-8-3.589-8-8S7.589,4,12,4z"}}]})(props);
};
function BiX (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.192 6.344L11.949 10.586 7.707 6.344 6.293 7.758 10.535 12 6.293 16.242 7.707 17.656 11.949 13.414 16.192 17.656 17.606 16.242 13.364 12 17.606 7.758z"}}]})(props);
};
function BiYen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.2 3.4L12 10.333 6.8 3.4 5.2 4.6 10 11 7 11 7 13 11 13 11 15 7 15 7 17 11 17 11 21 13 21 13 17 17 17 17 15 13 15 13 13 17 13 17 11 14 11 18.8 4.6z"}}]})(props);
};
function BiZoomIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 6L9 6 9 9 6 9 6 11 9 11 9 14 11 14 11 11 14 11 14 9 11 9z"}},{"tag":"path","attr":{"d":"M10,2c-4.411,0-8,3.589-8,8s3.589,8,8,8c1.846,0,3.543-0.635,4.897-1.688l4.396,4.396l1.414-1.414l-4.396-4.396 C17.365,13.543,18,11.846,18,10C18,5.589,14.411,2,10,2z M10,16c-3.309,0-6-2.691-6-6s2.691-6,6-6s6,2.691,6,6S13.309,16,10,16z"}}]})(props);
};
function BiZoomOut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 9H14V11H6z"}},{"tag":"path","attr":{"d":"M10,18c1.846,0,3.543-0.635,4.897-1.688l4.396,4.396l1.414-1.414l-4.396-4.396C17.365,13.543,18,11.846,18,10 c0-4.411-3.589-8-8-8s-8,3.589-8,8S5.589,18,10,18z M10,4c3.309,0,6,2.691,6,6s-2.691,6-6,6s-6-2.691-6-6S6.691,4,10,4z"}}]})(props);
};


/***/ }),

/***/ "./node_modules/react-icons/fa/index.esm.js":
/*!**************************************************!*\
  !*** ./node_modules/react-icons/fa/index.esm.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Fa500Px": () => (/* binding */ Fa500Px),
/* harmony export */   "FaAccessibleIcon": () => (/* binding */ FaAccessibleIcon),
/* harmony export */   "FaAccusoft": () => (/* binding */ FaAccusoft),
/* harmony export */   "FaAcquisitionsIncorporated": () => (/* binding */ FaAcquisitionsIncorporated),
/* harmony export */   "FaAd": () => (/* binding */ FaAd),
/* harmony export */   "FaAddressBook": () => (/* binding */ FaAddressBook),
/* harmony export */   "FaAddressCard": () => (/* binding */ FaAddressCard),
/* harmony export */   "FaAdjust": () => (/* binding */ FaAdjust),
/* harmony export */   "FaAdn": () => (/* binding */ FaAdn),
/* harmony export */   "FaAdobe": () => (/* binding */ FaAdobe),
/* harmony export */   "FaAdversal": () => (/* binding */ FaAdversal),
/* harmony export */   "FaAffiliatetheme": () => (/* binding */ FaAffiliatetheme),
/* harmony export */   "FaAirFreshener": () => (/* binding */ FaAirFreshener),
/* harmony export */   "FaAirbnb": () => (/* binding */ FaAirbnb),
/* harmony export */   "FaAlgolia": () => (/* binding */ FaAlgolia),
/* harmony export */   "FaAlignCenter": () => (/* binding */ FaAlignCenter),
/* harmony export */   "FaAlignJustify": () => (/* binding */ FaAlignJustify),
/* harmony export */   "FaAlignLeft": () => (/* binding */ FaAlignLeft),
/* harmony export */   "FaAlignRight": () => (/* binding */ FaAlignRight),
/* harmony export */   "FaAlipay": () => (/* binding */ FaAlipay),
/* harmony export */   "FaAllergies": () => (/* binding */ FaAllergies),
/* harmony export */   "FaAmazon": () => (/* binding */ FaAmazon),
/* harmony export */   "FaAmazonPay": () => (/* binding */ FaAmazonPay),
/* harmony export */   "FaAmbulance": () => (/* binding */ FaAmbulance),
/* harmony export */   "FaAmericanSignLanguageInterpreting": () => (/* binding */ FaAmericanSignLanguageInterpreting),
/* harmony export */   "FaAmilia": () => (/* binding */ FaAmilia),
/* harmony export */   "FaAnchor": () => (/* binding */ FaAnchor),
/* harmony export */   "FaAndroid": () => (/* binding */ FaAndroid),
/* harmony export */   "FaAngellist": () => (/* binding */ FaAngellist),
/* harmony export */   "FaAngleDoubleDown": () => (/* binding */ FaAngleDoubleDown),
/* harmony export */   "FaAngleDoubleLeft": () => (/* binding */ FaAngleDoubleLeft),
/* harmony export */   "FaAngleDoubleRight": () => (/* binding */ FaAngleDoubleRight),
/* harmony export */   "FaAngleDoubleUp": () => (/* binding */ FaAngleDoubleUp),
/* harmony export */   "FaAngleDown": () => (/* binding */ FaAngleDown),
/* harmony export */   "FaAngleLeft": () => (/* binding */ FaAngleLeft),
/* harmony export */   "FaAngleRight": () => (/* binding */ FaAngleRight),
/* harmony export */   "FaAngleUp": () => (/* binding */ FaAngleUp),
/* harmony export */   "FaAngry": () => (/* binding */ FaAngry),
/* harmony export */   "FaAngrycreative": () => (/* binding */ FaAngrycreative),
/* harmony export */   "FaAngular": () => (/* binding */ FaAngular),
/* harmony export */   "FaAnkh": () => (/* binding */ FaAnkh),
/* harmony export */   "FaAppStore": () => (/* binding */ FaAppStore),
/* harmony export */   "FaAppStoreIos": () => (/* binding */ FaAppStoreIos),
/* harmony export */   "FaApper": () => (/* binding */ FaApper),
/* harmony export */   "FaApple": () => (/* binding */ FaApple),
/* harmony export */   "FaAppleAlt": () => (/* binding */ FaAppleAlt),
/* harmony export */   "FaApplePay": () => (/* binding */ FaApplePay),
/* harmony export */   "FaArchive": () => (/* binding */ FaArchive),
/* harmony export */   "FaArchway": () => (/* binding */ FaArchway),
/* harmony export */   "FaArrowAltCircleDown": () => (/* binding */ FaArrowAltCircleDown),
/* harmony export */   "FaArrowAltCircleLeft": () => (/* binding */ FaArrowAltCircleLeft),
/* harmony export */   "FaArrowAltCircleRight": () => (/* binding */ FaArrowAltCircleRight),
/* harmony export */   "FaArrowAltCircleUp": () => (/* binding */ FaArrowAltCircleUp),
/* harmony export */   "FaArrowCircleDown": () => (/* binding */ FaArrowCircleDown),
/* harmony export */   "FaArrowCircleLeft": () => (/* binding */ FaArrowCircleLeft),
/* harmony export */   "FaArrowCircleRight": () => (/* binding */ FaArrowCircleRight),
/* harmony export */   "FaArrowCircleUp": () => (/* binding */ FaArrowCircleUp),
/* harmony export */   "FaArrowDown": () => (/* binding */ FaArrowDown),
/* harmony export */   "FaArrowLeft": () => (/* binding */ FaArrowLeft),
/* harmony export */   "FaArrowRight": () => (/* binding */ FaArrowRight),
/* harmony export */   "FaArrowUp": () => (/* binding */ FaArrowUp),
/* harmony export */   "FaArrowsAlt": () => (/* binding */ FaArrowsAlt),
/* harmony export */   "FaArrowsAltH": () => (/* binding */ FaArrowsAltH),
/* harmony export */   "FaArrowsAltV": () => (/* binding */ FaArrowsAltV),
/* harmony export */   "FaArtstation": () => (/* binding */ FaArtstation),
/* harmony export */   "FaAssistiveListeningSystems": () => (/* binding */ FaAssistiveListeningSystems),
/* harmony export */   "FaAsterisk": () => (/* binding */ FaAsterisk),
/* harmony export */   "FaAsymmetrik": () => (/* binding */ FaAsymmetrik),
/* harmony export */   "FaAt": () => (/* binding */ FaAt),
/* harmony export */   "FaAtlas": () => (/* binding */ FaAtlas),
/* harmony export */   "FaAtlassian": () => (/* binding */ FaAtlassian),
/* harmony export */   "FaAtom": () => (/* binding */ FaAtom),
/* harmony export */   "FaAudible": () => (/* binding */ FaAudible),
/* harmony export */   "FaAudioDescription": () => (/* binding */ FaAudioDescription),
/* harmony export */   "FaAutoprefixer": () => (/* binding */ FaAutoprefixer),
/* harmony export */   "FaAvianex": () => (/* binding */ FaAvianex),
/* harmony export */   "FaAviato": () => (/* binding */ FaAviato),
/* harmony export */   "FaAward": () => (/* binding */ FaAward),
/* harmony export */   "FaAws": () => (/* binding */ FaAws),
/* harmony export */   "FaBaby": () => (/* binding */ FaBaby),
/* harmony export */   "FaBabyCarriage": () => (/* binding */ FaBabyCarriage),
/* harmony export */   "FaBackspace": () => (/* binding */ FaBackspace),
/* harmony export */   "FaBackward": () => (/* binding */ FaBackward),
/* harmony export */   "FaBacon": () => (/* binding */ FaBacon),
/* harmony export */   "FaBahai": () => (/* binding */ FaBahai),
/* harmony export */   "FaBalanceScale": () => (/* binding */ FaBalanceScale),
/* harmony export */   "FaBalanceScaleLeft": () => (/* binding */ FaBalanceScaleLeft),
/* harmony export */   "FaBalanceScaleRight": () => (/* binding */ FaBalanceScaleRight),
/* harmony export */   "FaBan": () => (/* binding */ FaBan),
/* harmony export */   "FaBandAid": () => (/* binding */ FaBandAid),
/* harmony export */   "FaBandcamp": () => (/* binding */ FaBandcamp),
/* harmony export */   "FaBarcode": () => (/* binding */ FaBarcode),
/* harmony export */   "FaBars": () => (/* binding */ FaBars),
/* harmony export */   "FaBaseballBall": () => (/* binding */ FaBaseballBall),
/* harmony export */   "FaBasketballBall": () => (/* binding */ FaBasketballBall),
/* harmony export */   "FaBath": () => (/* binding */ FaBath),
/* harmony export */   "FaBatteryEmpty": () => (/* binding */ FaBatteryEmpty),
/* harmony export */   "FaBatteryFull": () => (/* binding */ FaBatteryFull),
/* harmony export */   "FaBatteryHalf": () => (/* binding */ FaBatteryHalf),
/* harmony export */   "FaBatteryQuarter": () => (/* binding */ FaBatteryQuarter),
/* harmony export */   "FaBatteryThreeQuarters": () => (/* binding */ FaBatteryThreeQuarters),
/* harmony export */   "FaBattleNet": () => (/* binding */ FaBattleNet),
/* harmony export */   "FaBed": () => (/* binding */ FaBed),
/* harmony export */   "FaBeer": () => (/* binding */ FaBeer),
/* harmony export */   "FaBehance": () => (/* binding */ FaBehance),
/* harmony export */   "FaBehanceSquare": () => (/* binding */ FaBehanceSquare),
/* harmony export */   "FaBell": () => (/* binding */ FaBell),
/* harmony export */   "FaBellSlash": () => (/* binding */ FaBellSlash),
/* harmony export */   "FaBezierCurve": () => (/* binding */ FaBezierCurve),
/* harmony export */   "FaBible": () => (/* binding */ FaBible),
/* harmony export */   "FaBicycle": () => (/* binding */ FaBicycle),
/* harmony export */   "FaBiking": () => (/* binding */ FaBiking),
/* harmony export */   "FaBimobject": () => (/* binding */ FaBimobject),
/* harmony export */   "FaBinoculars": () => (/* binding */ FaBinoculars),
/* harmony export */   "FaBiohazard": () => (/* binding */ FaBiohazard),
/* harmony export */   "FaBirthdayCake": () => (/* binding */ FaBirthdayCake),
/* harmony export */   "FaBitbucket": () => (/* binding */ FaBitbucket),
/* harmony export */   "FaBitcoin": () => (/* binding */ FaBitcoin),
/* harmony export */   "FaBity": () => (/* binding */ FaBity),
/* harmony export */   "FaBlackTie": () => (/* binding */ FaBlackTie),
/* harmony export */   "FaBlackberry": () => (/* binding */ FaBlackberry),
/* harmony export */   "FaBlender": () => (/* binding */ FaBlender),
/* harmony export */   "FaBlenderPhone": () => (/* binding */ FaBlenderPhone),
/* harmony export */   "FaBlind": () => (/* binding */ FaBlind),
/* harmony export */   "FaBlog": () => (/* binding */ FaBlog),
/* harmony export */   "FaBlogger": () => (/* binding */ FaBlogger),
/* harmony export */   "FaBloggerB": () => (/* binding */ FaBloggerB),
/* harmony export */   "FaBluetooth": () => (/* binding */ FaBluetooth),
/* harmony export */   "FaBluetoothB": () => (/* binding */ FaBluetoothB),
/* harmony export */   "FaBold": () => (/* binding */ FaBold),
/* harmony export */   "FaBolt": () => (/* binding */ FaBolt),
/* harmony export */   "FaBomb": () => (/* binding */ FaBomb),
/* harmony export */   "FaBone": () => (/* binding */ FaBone),
/* harmony export */   "FaBong": () => (/* binding */ FaBong),
/* harmony export */   "FaBook": () => (/* binding */ FaBook),
/* harmony export */   "FaBookDead": () => (/* binding */ FaBookDead),
/* harmony export */   "FaBookMedical": () => (/* binding */ FaBookMedical),
/* harmony export */   "FaBookOpen": () => (/* binding */ FaBookOpen),
/* harmony export */   "FaBookReader": () => (/* binding */ FaBookReader),
/* harmony export */   "FaBookmark": () => (/* binding */ FaBookmark),
/* harmony export */   "FaBootstrap": () => (/* binding */ FaBootstrap),
/* harmony export */   "FaBorderAll": () => (/* binding */ FaBorderAll),
/* harmony export */   "FaBorderNone": () => (/* binding */ FaBorderNone),
/* harmony export */   "FaBorderStyle": () => (/* binding */ FaBorderStyle),
/* harmony export */   "FaBowlingBall": () => (/* binding */ FaBowlingBall),
/* harmony export */   "FaBox": () => (/* binding */ FaBox),
/* harmony export */   "FaBoxOpen": () => (/* binding */ FaBoxOpen),
/* harmony export */   "FaBoxes": () => (/* binding */ FaBoxes),
/* harmony export */   "FaBraille": () => (/* binding */ FaBraille),
/* harmony export */   "FaBrain": () => (/* binding */ FaBrain),
/* harmony export */   "FaBreadSlice": () => (/* binding */ FaBreadSlice),
/* harmony export */   "FaBriefcase": () => (/* binding */ FaBriefcase),
/* harmony export */   "FaBriefcaseMedical": () => (/* binding */ FaBriefcaseMedical),
/* harmony export */   "FaBroadcastTower": () => (/* binding */ FaBroadcastTower),
/* harmony export */   "FaBroom": () => (/* binding */ FaBroom),
/* harmony export */   "FaBrush": () => (/* binding */ FaBrush),
/* harmony export */   "FaBtc": () => (/* binding */ FaBtc),
/* harmony export */   "FaBuffer": () => (/* binding */ FaBuffer),
/* harmony export */   "FaBug": () => (/* binding */ FaBug),
/* harmony export */   "FaBuilding": () => (/* binding */ FaBuilding),
/* harmony export */   "FaBullhorn": () => (/* binding */ FaBullhorn),
/* harmony export */   "FaBullseye": () => (/* binding */ FaBullseye),
/* harmony export */   "FaBurn": () => (/* binding */ FaBurn),
/* harmony export */   "FaBuromobelexperte": () => (/* binding */ FaBuromobelexperte),
/* harmony export */   "FaBus": () => (/* binding */ FaBus),
/* harmony export */   "FaBusAlt": () => (/* binding */ FaBusAlt),
/* harmony export */   "FaBusinessTime": () => (/* binding */ FaBusinessTime),
/* harmony export */   "FaBuyNLarge": () => (/* binding */ FaBuyNLarge),
/* harmony export */   "FaBuysellads": () => (/* binding */ FaBuysellads),
/* harmony export */   "FaCalculator": () => (/* binding */ FaCalculator),
/* harmony export */   "FaCalendar": () => (/* binding */ FaCalendar),
/* harmony export */   "FaCalendarAlt": () => (/* binding */ FaCalendarAlt),
/* harmony export */   "FaCalendarCheck": () => (/* binding */ FaCalendarCheck),
/* harmony export */   "FaCalendarDay": () => (/* binding */ FaCalendarDay),
/* harmony export */   "FaCalendarMinus": () => (/* binding */ FaCalendarMinus),
/* harmony export */   "FaCalendarPlus": () => (/* binding */ FaCalendarPlus),
/* harmony export */   "FaCalendarTimes": () => (/* binding */ FaCalendarTimes),
/* harmony export */   "FaCalendarWeek": () => (/* binding */ FaCalendarWeek),
/* harmony export */   "FaCamera": () => (/* binding */ FaCamera),
/* harmony export */   "FaCameraRetro": () => (/* binding */ FaCameraRetro),
/* harmony export */   "FaCampground": () => (/* binding */ FaCampground),
/* harmony export */   "FaCanadianMapleLeaf": () => (/* binding */ FaCanadianMapleLeaf),
/* harmony export */   "FaCandyCane": () => (/* binding */ FaCandyCane),
/* harmony export */   "FaCannabis": () => (/* binding */ FaCannabis),
/* harmony export */   "FaCapsules": () => (/* binding */ FaCapsules),
/* harmony export */   "FaCar": () => (/* binding */ FaCar),
/* harmony export */   "FaCarAlt": () => (/* binding */ FaCarAlt),
/* harmony export */   "FaCarBattery": () => (/* binding */ FaCarBattery),
/* harmony export */   "FaCarCrash": () => (/* binding */ FaCarCrash),
/* harmony export */   "FaCarSide": () => (/* binding */ FaCarSide),
/* harmony export */   "FaCaravan": () => (/* binding */ FaCaravan),
/* harmony export */   "FaCaretDown": () => (/* binding */ FaCaretDown),
/* harmony export */   "FaCaretLeft": () => (/* binding */ FaCaretLeft),
/* harmony export */   "FaCaretRight": () => (/* binding */ FaCaretRight),
/* harmony export */   "FaCaretSquareDown": () => (/* binding */ FaCaretSquareDown),
/* harmony export */   "FaCaretSquareLeft": () => (/* binding */ FaCaretSquareLeft),
/* harmony export */   "FaCaretSquareRight": () => (/* binding */ FaCaretSquareRight),
/* harmony export */   "FaCaretSquareUp": () => (/* binding */ FaCaretSquareUp),
/* harmony export */   "FaCaretUp": () => (/* binding */ FaCaretUp),
/* harmony export */   "FaCarrot": () => (/* binding */ FaCarrot),
/* harmony export */   "FaCartArrowDown": () => (/* binding */ FaCartArrowDown),
/* harmony export */   "FaCartPlus": () => (/* binding */ FaCartPlus),
/* harmony export */   "FaCashRegister": () => (/* binding */ FaCashRegister),
/* harmony export */   "FaCat": () => (/* binding */ FaCat),
/* harmony export */   "FaCcAmazonPay": () => (/* binding */ FaCcAmazonPay),
/* harmony export */   "FaCcAmex": () => (/* binding */ FaCcAmex),
/* harmony export */   "FaCcApplePay": () => (/* binding */ FaCcApplePay),
/* harmony export */   "FaCcDinersClub": () => (/* binding */ FaCcDinersClub),
/* harmony export */   "FaCcDiscover": () => (/* binding */ FaCcDiscover),
/* harmony export */   "FaCcJcb": () => (/* binding */ FaCcJcb),
/* harmony export */   "FaCcMastercard": () => (/* binding */ FaCcMastercard),
/* harmony export */   "FaCcPaypal": () => (/* binding */ FaCcPaypal),
/* harmony export */   "FaCcStripe": () => (/* binding */ FaCcStripe),
/* harmony export */   "FaCcVisa": () => (/* binding */ FaCcVisa),
/* harmony export */   "FaCentercode": () => (/* binding */ FaCentercode),
/* harmony export */   "FaCentos": () => (/* binding */ FaCentos),
/* harmony export */   "FaCertificate": () => (/* binding */ FaCertificate),
/* harmony export */   "FaChair": () => (/* binding */ FaChair),
/* harmony export */   "FaChalkboard": () => (/* binding */ FaChalkboard),
/* harmony export */   "FaChalkboardTeacher": () => (/* binding */ FaChalkboardTeacher),
/* harmony export */   "FaChargingStation": () => (/* binding */ FaChargingStation),
/* harmony export */   "FaChartArea": () => (/* binding */ FaChartArea),
/* harmony export */   "FaChartBar": () => (/* binding */ FaChartBar),
/* harmony export */   "FaChartLine": () => (/* binding */ FaChartLine),
/* harmony export */   "FaChartPie": () => (/* binding */ FaChartPie),
/* harmony export */   "FaCheck": () => (/* binding */ FaCheck),
/* harmony export */   "FaCheckCircle": () => (/* binding */ FaCheckCircle),
/* harmony export */   "FaCheckDouble": () => (/* binding */ FaCheckDouble),
/* harmony export */   "FaCheckSquare": () => (/* binding */ FaCheckSquare),
/* harmony export */   "FaCheese": () => (/* binding */ FaCheese),
/* harmony export */   "FaChess": () => (/* binding */ FaChess),
/* harmony export */   "FaChessBishop": () => (/* binding */ FaChessBishop),
/* harmony export */   "FaChessBoard": () => (/* binding */ FaChessBoard),
/* harmony export */   "FaChessKing": () => (/* binding */ FaChessKing),
/* harmony export */   "FaChessKnight": () => (/* binding */ FaChessKnight),
/* harmony export */   "FaChessPawn": () => (/* binding */ FaChessPawn),
/* harmony export */   "FaChessQueen": () => (/* binding */ FaChessQueen),
/* harmony export */   "FaChessRook": () => (/* binding */ FaChessRook),
/* harmony export */   "FaChevronCircleDown": () => (/* binding */ FaChevronCircleDown),
/* harmony export */   "FaChevronCircleLeft": () => (/* binding */ FaChevronCircleLeft),
/* harmony export */   "FaChevronCircleRight": () => (/* binding */ FaChevronCircleRight),
/* harmony export */   "FaChevronCircleUp": () => (/* binding */ FaChevronCircleUp),
/* harmony export */   "FaChevronDown": () => (/* binding */ FaChevronDown),
/* harmony export */   "FaChevronLeft": () => (/* binding */ FaChevronLeft),
/* harmony export */   "FaChevronRight": () => (/* binding */ FaChevronRight),
/* harmony export */   "FaChevronUp": () => (/* binding */ FaChevronUp),
/* harmony export */   "FaChild": () => (/* binding */ FaChild),
/* harmony export */   "FaChrome": () => (/* binding */ FaChrome),
/* harmony export */   "FaChromecast": () => (/* binding */ FaChromecast),
/* harmony export */   "FaChurch": () => (/* binding */ FaChurch),
/* harmony export */   "FaCircle": () => (/* binding */ FaCircle),
/* harmony export */   "FaCircleNotch": () => (/* binding */ FaCircleNotch),
/* harmony export */   "FaCity": () => (/* binding */ FaCity),
/* harmony export */   "FaClinicMedical": () => (/* binding */ FaClinicMedical),
/* harmony export */   "FaClipboard": () => (/* binding */ FaClipboard),
/* harmony export */   "FaClipboardCheck": () => (/* binding */ FaClipboardCheck),
/* harmony export */   "FaClipboardList": () => (/* binding */ FaClipboardList),
/* harmony export */   "FaClock": () => (/* binding */ FaClock),
/* harmony export */   "FaClone": () => (/* binding */ FaClone),
/* harmony export */   "FaClosedCaptioning": () => (/* binding */ FaClosedCaptioning),
/* harmony export */   "FaCloud": () => (/* binding */ FaCloud),
/* harmony export */   "FaCloudDownloadAlt": () => (/* binding */ FaCloudDownloadAlt),
/* harmony export */   "FaCloudMeatball": () => (/* binding */ FaCloudMeatball),
/* harmony export */   "FaCloudMoon": () => (/* binding */ FaCloudMoon),
/* harmony export */   "FaCloudMoonRain": () => (/* binding */ FaCloudMoonRain),
/* harmony export */   "FaCloudRain": () => (/* binding */ FaCloudRain),
/* harmony export */   "FaCloudShowersHeavy": () => (/* binding */ FaCloudShowersHeavy),
/* harmony export */   "FaCloudSun": () => (/* binding */ FaCloudSun),
/* harmony export */   "FaCloudSunRain": () => (/* binding */ FaCloudSunRain),
/* harmony export */   "FaCloudUploadAlt": () => (/* binding */ FaCloudUploadAlt),
/* harmony export */   "FaCloudscale": () => (/* binding */ FaCloudscale),
/* harmony export */   "FaCloudsmith": () => (/* binding */ FaCloudsmith),
/* harmony export */   "FaCloudversify": () => (/* binding */ FaCloudversify),
/* harmony export */   "FaCocktail": () => (/* binding */ FaCocktail),
/* harmony export */   "FaCode": () => (/* binding */ FaCode),
/* harmony export */   "FaCodeBranch": () => (/* binding */ FaCodeBranch),
/* harmony export */   "FaCodepen": () => (/* binding */ FaCodepen),
/* harmony export */   "FaCodiepie": () => (/* binding */ FaCodiepie),
/* harmony export */   "FaCoffee": () => (/* binding */ FaCoffee),
/* harmony export */   "FaCog": () => (/* binding */ FaCog),
/* harmony export */   "FaCogs": () => (/* binding */ FaCogs),
/* harmony export */   "FaCoins": () => (/* binding */ FaCoins),
/* harmony export */   "FaColumns": () => (/* binding */ FaColumns),
/* harmony export */   "FaComment": () => (/* binding */ FaComment),
/* harmony export */   "FaCommentAlt": () => (/* binding */ FaCommentAlt),
/* harmony export */   "FaCommentDollar": () => (/* binding */ FaCommentDollar),
/* harmony export */   "FaCommentDots": () => (/* binding */ FaCommentDots),
/* harmony export */   "FaCommentMedical": () => (/* binding */ FaCommentMedical),
/* harmony export */   "FaCommentSlash": () => (/* binding */ FaCommentSlash),
/* harmony export */   "FaComments": () => (/* binding */ FaComments),
/* harmony export */   "FaCommentsDollar": () => (/* binding */ FaCommentsDollar),
/* harmony export */   "FaCompactDisc": () => (/* binding */ FaCompactDisc),
/* harmony export */   "FaCompass": () => (/* binding */ FaCompass),
/* harmony export */   "FaCompress": () => (/* binding */ FaCompress),
/* harmony export */   "FaCompressAlt": () => (/* binding */ FaCompressAlt),
/* harmony export */   "FaCompressArrowsAlt": () => (/* binding */ FaCompressArrowsAlt),
/* harmony export */   "FaConciergeBell": () => (/* binding */ FaConciergeBell),
/* harmony export */   "FaConfluence": () => (/* binding */ FaConfluence),
/* harmony export */   "FaConnectdevelop": () => (/* binding */ FaConnectdevelop),
/* harmony export */   "FaContao": () => (/* binding */ FaContao),
/* harmony export */   "FaCookie": () => (/* binding */ FaCookie),
/* harmony export */   "FaCookieBite": () => (/* binding */ FaCookieBite),
/* harmony export */   "FaCopy": () => (/* binding */ FaCopy),
/* harmony export */   "FaCopyright": () => (/* binding */ FaCopyright),
/* harmony export */   "FaCottonBureau": () => (/* binding */ FaCottonBureau),
/* harmony export */   "FaCouch": () => (/* binding */ FaCouch),
/* harmony export */   "FaCpanel": () => (/* binding */ FaCpanel),
/* harmony export */   "FaCreativeCommons": () => (/* binding */ FaCreativeCommons),
/* harmony export */   "FaCreativeCommonsBy": () => (/* binding */ FaCreativeCommonsBy),
/* harmony export */   "FaCreativeCommonsNc": () => (/* binding */ FaCreativeCommonsNc),
/* harmony export */   "FaCreativeCommonsNcEu": () => (/* binding */ FaCreativeCommonsNcEu),
/* harmony export */   "FaCreativeCommonsNcJp": () => (/* binding */ FaCreativeCommonsNcJp),
/* harmony export */   "FaCreativeCommonsNd": () => (/* binding */ FaCreativeCommonsNd),
/* harmony export */   "FaCreativeCommonsPd": () => (/* binding */ FaCreativeCommonsPd),
/* harmony export */   "FaCreativeCommonsPdAlt": () => (/* binding */ FaCreativeCommonsPdAlt),
/* harmony export */   "FaCreativeCommonsRemix": () => (/* binding */ FaCreativeCommonsRemix),
/* harmony export */   "FaCreativeCommonsSa": () => (/* binding */ FaCreativeCommonsSa),
/* harmony export */   "FaCreativeCommonsSampling": () => (/* binding */ FaCreativeCommonsSampling),
/* harmony export */   "FaCreativeCommonsSamplingPlus": () => (/* binding */ FaCreativeCommonsSamplingPlus),
/* harmony export */   "FaCreativeCommonsShare": () => (/* binding */ FaCreativeCommonsShare),
/* harmony export */   "FaCreativeCommonsZero": () => (/* binding */ FaCreativeCommonsZero),
/* harmony export */   "FaCreditCard": () => (/* binding */ FaCreditCard),
/* harmony export */   "FaCriticalRole": () => (/* binding */ FaCriticalRole),
/* harmony export */   "FaCrop": () => (/* binding */ FaCrop),
/* harmony export */   "FaCropAlt": () => (/* binding */ FaCropAlt),
/* harmony export */   "FaCross": () => (/* binding */ FaCross),
/* harmony export */   "FaCrosshairs": () => (/* binding */ FaCrosshairs),
/* harmony export */   "FaCrow": () => (/* binding */ FaCrow),
/* harmony export */   "FaCrown": () => (/* binding */ FaCrown),
/* harmony export */   "FaCrutch": () => (/* binding */ FaCrutch),
/* harmony export */   "FaCss3": () => (/* binding */ FaCss3),
/* harmony export */   "FaCss3Alt": () => (/* binding */ FaCss3Alt),
/* harmony export */   "FaCube": () => (/* binding */ FaCube),
/* harmony export */   "FaCubes": () => (/* binding */ FaCubes),
/* harmony export */   "FaCut": () => (/* binding */ FaCut),
/* harmony export */   "FaCuttlefish": () => (/* binding */ FaCuttlefish),
/* harmony export */   "FaDAndD": () => (/* binding */ FaDAndD),
/* harmony export */   "FaDAndDBeyond": () => (/* binding */ FaDAndDBeyond),
/* harmony export */   "FaDailymotion": () => (/* binding */ FaDailymotion),
/* harmony export */   "FaDashcube": () => (/* binding */ FaDashcube),
/* harmony export */   "FaDatabase": () => (/* binding */ FaDatabase),
/* harmony export */   "FaDeaf": () => (/* binding */ FaDeaf),
/* harmony export */   "FaDelicious": () => (/* binding */ FaDelicious),
/* harmony export */   "FaDemocrat": () => (/* binding */ FaDemocrat),
/* harmony export */   "FaDeploydog": () => (/* binding */ FaDeploydog),
/* harmony export */   "FaDeskpro": () => (/* binding */ FaDeskpro),
/* harmony export */   "FaDesktop": () => (/* binding */ FaDesktop),
/* harmony export */   "FaDev": () => (/* binding */ FaDev),
/* harmony export */   "FaDeviantart": () => (/* binding */ FaDeviantart),
/* harmony export */   "FaDharmachakra": () => (/* binding */ FaDharmachakra),
/* harmony export */   "FaDhl": () => (/* binding */ FaDhl),
/* harmony export */   "FaDiagnoses": () => (/* binding */ FaDiagnoses),
/* harmony export */   "FaDiaspora": () => (/* binding */ FaDiaspora),
/* harmony export */   "FaDice": () => (/* binding */ FaDice),
/* harmony export */   "FaDiceD20": () => (/* binding */ FaDiceD20),
/* harmony export */   "FaDiceD6": () => (/* binding */ FaDiceD6),
/* harmony export */   "FaDiceFive": () => (/* binding */ FaDiceFive),
/* harmony export */   "FaDiceFour": () => (/* binding */ FaDiceFour),
/* harmony export */   "FaDiceOne": () => (/* binding */ FaDiceOne),
/* harmony export */   "FaDiceSix": () => (/* binding */ FaDiceSix),
/* harmony export */   "FaDiceThree": () => (/* binding */ FaDiceThree),
/* harmony export */   "FaDiceTwo": () => (/* binding */ FaDiceTwo),
/* harmony export */   "FaDigg": () => (/* binding */ FaDigg),
/* harmony export */   "FaDigitalOcean": () => (/* binding */ FaDigitalOcean),
/* harmony export */   "FaDigitalTachograph": () => (/* binding */ FaDigitalTachograph),
/* harmony export */   "FaDirections": () => (/* binding */ FaDirections),
/* harmony export */   "FaDiscord": () => (/* binding */ FaDiscord),
/* harmony export */   "FaDiscourse": () => (/* binding */ FaDiscourse),
/* harmony export */   "FaDivide": () => (/* binding */ FaDivide),
/* harmony export */   "FaDizzy": () => (/* binding */ FaDizzy),
/* harmony export */   "FaDna": () => (/* binding */ FaDna),
/* harmony export */   "FaDochub": () => (/* binding */ FaDochub),
/* harmony export */   "FaDocker": () => (/* binding */ FaDocker),
/* harmony export */   "FaDog": () => (/* binding */ FaDog),
/* harmony export */   "FaDollarSign": () => (/* binding */ FaDollarSign),
/* harmony export */   "FaDolly": () => (/* binding */ FaDolly),
/* harmony export */   "FaDollyFlatbed": () => (/* binding */ FaDollyFlatbed),
/* harmony export */   "FaDonate": () => (/* binding */ FaDonate),
/* harmony export */   "FaDoorClosed": () => (/* binding */ FaDoorClosed),
/* harmony export */   "FaDoorOpen": () => (/* binding */ FaDoorOpen),
/* harmony export */   "FaDotCircle": () => (/* binding */ FaDotCircle),
/* harmony export */   "FaDove": () => (/* binding */ FaDove),
/* harmony export */   "FaDownload": () => (/* binding */ FaDownload),
/* harmony export */   "FaDraft2Digital": () => (/* binding */ FaDraft2Digital),
/* harmony export */   "FaDraftingCompass": () => (/* binding */ FaDraftingCompass),
/* harmony export */   "FaDragon": () => (/* binding */ FaDragon),
/* harmony export */   "FaDrawPolygon": () => (/* binding */ FaDrawPolygon),
/* harmony export */   "FaDribbble": () => (/* binding */ FaDribbble),
/* harmony export */   "FaDribbbleSquare": () => (/* binding */ FaDribbbleSquare),
/* harmony export */   "FaDropbox": () => (/* binding */ FaDropbox),
/* harmony export */   "FaDrum": () => (/* binding */ FaDrum),
/* harmony export */   "FaDrumSteelpan": () => (/* binding */ FaDrumSteelpan),
/* harmony export */   "FaDrumstickBite": () => (/* binding */ FaDrumstickBite),
/* harmony export */   "FaDrupal": () => (/* binding */ FaDrupal),
/* harmony export */   "FaDumbbell": () => (/* binding */ FaDumbbell),
/* harmony export */   "FaDumpster": () => (/* binding */ FaDumpster),
/* harmony export */   "FaDumpsterFire": () => (/* binding */ FaDumpsterFire),
/* harmony export */   "FaDungeon": () => (/* binding */ FaDungeon),
/* harmony export */   "FaDyalog": () => (/* binding */ FaDyalog),
/* harmony export */   "FaEarlybirds": () => (/* binding */ FaEarlybirds),
/* harmony export */   "FaEbay": () => (/* binding */ FaEbay),
/* harmony export */   "FaEdge": () => (/* binding */ FaEdge),
/* harmony export */   "FaEdit": () => (/* binding */ FaEdit),
/* harmony export */   "FaEgg": () => (/* binding */ FaEgg),
/* harmony export */   "FaEject": () => (/* binding */ FaEject),
/* harmony export */   "FaElementor": () => (/* binding */ FaElementor),
/* harmony export */   "FaEllipsisH": () => (/* binding */ FaEllipsisH),
/* harmony export */   "FaEllipsisV": () => (/* binding */ FaEllipsisV),
/* harmony export */   "FaEllo": () => (/* binding */ FaEllo),
/* harmony export */   "FaEmber": () => (/* binding */ FaEmber),
/* harmony export */   "FaEmpire": () => (/* binding */ FaEmpire),
/* harmony export */   "FaEnvelope": () => (/* binding */ FaEnvelope),
/* harmony export */   "FaEnvelopeOpen": () => (/* binding */ FaEnvelopeOpen),
/* harmony export */   "FaEnvelopeOpenText": () => (/* binding */ FaEnvelopeOpenText),
/* harmony export */   "FaEnvelopeSquare": () => (/* binding */ FaEnvelopeSquare),
/* harmony export */   "FaEnvira": () => (/* binding */ FaEnvira),
/* harmony export */   "FaEquals": () => (/* binding */ FaEquals),
/* harmony export */   "FaEraser": () => (/* binding */ FaEraser),
/* harmony export */   "FaErlang": () => (/* binding */ FaErlang),
/* harmony export */   "FaEthereum": () => (/* binding */ FaEthereum),
/* harmony export */   "FaEthernet": () => (/* binding */ FaEthernet),
/* harmony export */   "FaEtsy": () => (/* binding */ FaEtsy),
/* harmony export */   "FaEuroSign": () => (/* binding */ FaEuroSign),
/* harmony export */   "FaEvernote": () => (/* binding */ FaEvernote),
/* harmony export */   "FaExchangeAlt": () => (/* binding */ FaExchangeAlt),
/* harmony export */   "FaExclamation": () => (/* binding */ FaExclamation),
/* harmony export */   "FaExclamationCircle": () => (/* binding */ FaExclamationCircle),
/* harmony export */   "FaExclamationTriangle": () => (/* binding */ FaExclamationTriangle),
/* harmony export */   "FaExpand": () => (/* binding */ FaExpand),
/* harmony export */   "FaExpandAlt": () => (/* binding */ FaExpandAlt),
/* harmony export */   "FaExpandArrowsAlt": () => (/* binding */ FaExpandArrowsAlt),
/* harmony export */   "FaExpeditedssl": () => (/* binding */ FaExpeditedssl),
/* harmony export */   "FaExternalLinkAlt": () => (/* binding */ FaExternalLinkAlt),
/* harmony export */   "FaExternalLinkSquareAlt": () => (/* binding */ FaExternalLinkSquareAlt),
/* harmony export */   "FaEye": () => (/* binding */ FaEye),
/* harmony export */   "FaEyeDropper": () => (/* binding */ FaEyeDropper),
/* harmony export */   "FaEyeSlash": () => (/* binding */ FaEyeSlash),
/* harmony export */   "FaFacebook": () => (/* binding */ FaFacebook),
/* harmony export */   "FaFacebookF": () => (/* binding */ FaFacebookF),
/* harmony export */   "FaFacebookMessenger": () => (/* binding */ FaFacebookMessenger),
/* harmony export */   "FaFacebookSquare": () => (/* binding */ FaFacebookSquare),
/* harmony export */   "FaFan": () => (/* binding */ FaFan),
/* harmony export */   "FaFantasyFlightGames": () => (/* binding */ FaFantasyFlightGames),
/* harmony export */   "FaFastBackward": () => (/* binding */ FaFastBackward),
/* harmony export */   "FaFastForward": () => (/* binding */ FaFastForward),
/* harmony export */   "FaFax": () => (/* binding */ FaFax),
/* harmony export */   "FaFeather": () => (/* binding */ FaFeather),
/* harmony export */   "FaFeatherAlt": () => (/* binding */ FaFeatherAlt),
/* harmony export */   "FaFedex": () => (/* binding */ FaFedex),
/* harmony export */   "FaFedora": () => (/* binding */ FaFedora),
/* harmony export */   "FaFemale": () => (/* binding */ FaFemale),
/* harmony export */   "FaFighterJet": () => (/* binding */ FaFighterJet),
/* harmony export */   "FaFigma": () => (/* binding */ FaFigma),
/* harmony export */   "FaFile": () => (/* binding */ FaFile),
/* harmony export */   "FaFileAlt": () => (/* binding */ FaFileAlt),
/* harmony export */   "FaFileArchive": () => (/* binding */ FaFileArchive),
/* harmony export */   "FaFileAudio": () => (/* binding */ FaFileAudio),
/* harmony export */   "FaFileCode": () => (/* binding */ FaFileCode),
/* harmony export */   "FaFileContract": () => (/* binding */ FaFileContract),
/* harmony export */   "FaFileCsv": () => (/* binding */ FaFileCsv),
/* harmony export */   "FaFileDownload": () => (/* binding */ FaFileDownload),
/* harmony export */   "FaFileExcel": () => (/* binding */ FaFileExcel),
/* harmony export */   "FaFileExport": () => (/* binding */ FaFileExport),
/* harmony export */   "FaFileImage": () => (/* binding */ FaFileImage),
/* harmony export */   "FaFileImport": () => (/* binding */ FaFileImport),
/* harmony export */   "FaFileInvoice": () => (/* binding */ FaFileInvoice),
/* harmony export */   "FaFileInvoiceDollar": () => (/* binding */ FaFileInvoiceDollar),
/* harmony export */   "FaFileMedical": () => (/* binding */ FaFileMedical),
/* harmony export */   "FaFileMedicalAlt": () => (/* binding */ FaFileMedicalAlt),
/* harmony export */   "FaFilePdf": () => (/* binding */ FaFilePdf),
/* harmony export */   "FaFilePowerpoint": () => (/* binding */ FaFilePowerpoint),
/* harmony export */   "FaFilePrescription": () => (/* binding */ FaFilePrescription),
/* harmony export */   "FaFileSignature": () => (/* binding */ FaFileSignature),
/* harmony export */   "FaFileUpload": () => (/* binding */ FaFileUpload),
/* harmony export */   "FaFileVideo": () => (/* binding */ FaFileVideo),
/* harmony export */   "FaFileWord": () => (/* binding */ FaFileWord),
/* harmony export */   "FaFill": () => (/* binding */ FaFill),
/* harmony export */   "FaFillDrip": () => (/* binding */ FaFillDrip),
/* harmony export */   "FaFilm": () => (/* binding */ FaFilm),
/* harmony export */   "FaFilter": () => (/* binding */ FaFilter),
/* harmony export */   "FaFingerprint": () => (/* binding */ FaFingerprint),
/* harmony export */   "FaFire": () => (/* binding */ FaFire),
/* harmony export */   "FaFireAlt": () => (/* binding */ FaFireAlt),
/* harmony export */   "FaFireExtinguisher": () => (/* binding */ FaFireExtinguisher),
/* harmony export */   "FaFirefox": () => (/* binding */ FaFirefox),
/* harmony export */   "FaFirefoxBrowser": () => (/* binding */ FaFirefoxBrowser),
/* harmony export */   "FaFirstAid": () => (/* binding */ FaFirstAid),
/* harmony export */   "FaFirstOrder": () => (/* binding */ FaFirstOrder),
/* harmony export */   "FaFirstOrderAlt": () => (/* binding */ FaFirstOrderAlt),
/* harmony export */   "FaFirstdraft": () => (/* binding */ FaFirstdraft),
/* harmony export */   "FaFish": () => (/* binding */ FaFish),
/* harmony export */   "FaFistRaised": () => (/* binding */ FaFistRaised),
/* harmony export */   "FaFlag": () => (/* binding */ FaFlag),
/* harmony export */   "FaFlagCheckered": () => (/* binding */ FaFlagCheckered),
/* harmony export */   "FaFlagUsa": () => (/* binding */ FaFlagUsa),
/* harmony export */   "FaFlask": () => (/* binding */ FaFlask),
/* harmony export */   "FaFlickr": () => (/* binding */ FaFlickr),
/* harmony export */   "FaFlipboard": () => (/* binding */ FaFlipboard),
/* harmony export */   "FaFlushed": () => (/* binding */ FaFlushed),
/* harmony export */   "FaFly": () => (/* binding */ FaFly),
/* harmony export */   "FaFolder": () => (/* binding */ FaFolder),
/* harmony export */   "FaFolderMinus": () => (/* binding */ FaFolderMinus),
/* harmony export */   "FaFolderOpen": () => (/* binding */ FaFolderOpen),
/* harmony export */   "FaFolderPlus": () => (/* binding */ FaFolderPlus),
/* harmony export */   "FaFont": () => (/* binding */ FaFont),
/* harmony export */   "FaFontAwesome": () => (/* binding */ FaFontAwesome),
/* harmony export */   "FaFontAwesomeAlt": () => (/* binding */ FaFontAwesomeAlt),
/* harmony export */   "FaFontAwesomeFlag": () => (/* binding */ FaFontAwesomeFlag),
/* harmony export */   "FaFontAwesomeLogoFull": () => (/* binding */ FaFontAwesomeLogoFull),
/* harmony export */   "FaFonticons": () => (/* binding */ FaFonticons),
/* harmony export */   "FaFonticonsFi": () => (/* binding */ FaFonticonsFi),
/* harmony export */   "FaFootballBall": () => (/* binding */ FaFootballBall),
/* harmony export */   "FaFortAwesome": () => (/* binding */ FaFortAwesome),
/* harmony export */   "FaFortAwesomeAlt": () => (/* binding */ FaFortAwesomeAlt),
/* harmony export */   "FaForumbee": () => (/* binding */ FaForumbee),
/* harmony export */   "FaForward": () => (/* binding */ FaForward),
/* harmony export */   "FaFoursquare": () => (/* binding */ FaFoursquare),
/* harmony export */   "FaFreeCodeCamp": () => (/* binding */ FaFreeCodeCamp),
/* harmony export */   "FaFreebsd": () => (/* binding */ FaFreebsd),
/* harmony export */   "FaFrog": () => (/* binding */ FaFrog),
/* harmony export */   "FaFrown": () => (/* binding */ FaFrown),
/* harmony export */   "FaFrownOpen": () => (/* binding */ FaFrownOpen),
/* harmony export */   "FaFulcrum": () => (/* binding */ FaFulcrum),
/* harmony export */   "FaFunnelDollar": () => (/* binding */ FaFunnelDollar),
/* harmony export */   "FaFutbol": () => (/* binding */ FaFutbol),
/* harmony export */   "FaGalacticRepublic": () => (/* binding */ FaGalacticRepublic),
/* harmony export */   "FaGalacticSenate": () => (/* binding */ FaGalacticSenate),
/* harmony export */   "FaGamepad": () => (/* binding */ FaGamepad),
/* harmony export */   "FaGasPump": () => (/* binding */ FaGasPump),
/* harmony export */   "FaGavel": () => (/* binding */ FaGavel),
/* harmony export */   "FaGem": () => (/* binding */ FaGem),
/* harmony export */   "FaGenderless": () => (/* binding */ FaGenderless),
/* harmony export */   "FaGetPocket": () => (/* binding */ FaGetPocket),
/* harmony export */   "FaGg": () => (/* binding */ FaGg),
/* harmony export */   "FaGgCircle": () => (/* binding */ FaGgCircle),
/* harmony export */   "FaGhost": () => (/* binding */ FaGhost),
/* harmony export */   "FaGift": () => (/* binding */ FaGift),
/* harmony export */   "FaGifts": () => (/* binding */ FaGifts),
/* harmony export */   "FaGit": () => (/* binding */ FaGit),
/* harmony export */   "FaGitAlt": () => (/* binding */ FaGitAlt),
/* harmony export */   "FaGitSquare": () => (/* binding */ FaGitSquare),
/* harmony export */   "FaGithub": () => (/* binding */ FaGithub),
/* harmony export */   "FaGithubAlt": () => (/* binding */ FaGithubAlt),
/* harmony export */   "FaGithubSquare": () => (/* binding */ FaGithubSquare),
/* harmony export */   "FaGitkraken": () => (/* binding */ FaGitkraken),
/* harmony export */   "FaGitlab": () => (/* binding */ FaGitlab),
/* harmony export */   "FaGitter": () => (/* binding */ FaGitter),
/* harmony export */   "FaGlassCheers": () => (/* binding */ FaGlassCheers),
/* harmony export */   "FaGlassMartini": () => (/* binding */ FaGlassMartini),
/* harmony export */   "FaGlassMartiniAlt": () => (/* binding */ FaGlassMartiniAlt),
/* harmony export */   "FaGlassWhiskey": () => (/* binding */ FaGlassWhiskey),
/* harmony export */   "FaGlasses": () => (/* binding */ FaGlasses),
/* harmony export */   "FaGlide": () => (/* binding */ FaGlide),
/* harmony export */   "FaGlideG": () => (/* binding */ FaGlideG),
/* harmony export */   "FaGlobe": () => (/* binding */ FaGlobe),
/* harmony export */   "FaGlobeAfrica": () => (/* binding */ FaGlobeAfrica),
/* harmony export */   "FaGlobeAmericas": () => (/* binding */ FaGlobeAmericas),
/* harmony export */   "FaGlobeAsia": () => (/* binding */ FaGlobeAsia),
/* harmony export */   "FaGlobeEurope": () => (/* binding */ FaGlobeEurope),
/* harmony export */   "FaGofore": () => (/* binding */ FaGofore),
/* harmony export */   "FaGolfBall": () => (/* binding */ FaGolfBall),
/* harmony export */   "FaGoodreads": () => (/* binding */ FaGoodreads),
/* harmony export */   "FaGoodreadsG": () => (/* binding */ FaGoodreadsG),
/* harmony export */   "FaGoogle": () => (/* binding */ FaGoogle),
/* harmony export */   "FaGoogleDrive": () => (/* binding */ FaGoogleDrive),
/* harmony export */   "FaGooglePlay": () => (/* binding */ FaGooglePlay),
/* harmony export */   "FaGooglePlus": () => (/* binding */ FaGooglePlus),
/* harmony export */   "FaGooglePlusG": () => (/* binding */ FaGooglePlusG),
/* harmony export */   "FaGooglePlusSquare": () => (/* binding */ FaGooglePlusSquare),
/* harmony export */   "FaGoogleWallet": () => (/* binding */ FaGoogleWallet),
/* harmony export */   "FaGopuram": () => (/* binding */ FaGopuram),
/* harmony export */   "FaGraduationCap": () => (/* binding */ FaGraduationCap),
/* harmony export */   "FaGratipay": () => (/* binding */ FaGratipay),
/* harmony export */   "FaGrav": () => (/* binding */ FaGrav),
/* harmony export */   "FaGreaterThan": () => (/* binding */ FaGreaterThan),
/* harmony export */   "FaGreaterThanEqual": () => (/* binding */ FaGreaterThanEqual),
/* harmony export */   "FaGrimace": () => (/* binding */ FaGrimace),
/* harmony export */   "FaGrin": () => (/* binding */ FaGrin),
/* harmony export */   "FaGrinAlt": () => (/* binding */ FaGrinAlt),
/* harmony export */   "FaGrinBeam": () => (/* binding */ FaGrinBeam),
/* harmony export */   "FaGrinBeamSweat": () => (/* binding */ FaGrinBeamSweat),
/* harmony export */   "FaGrinHearts": () => (/* binding */ FaGrinHearts),
/* harmony export */   "FaGrinSquint": () => (/* binding */ FaGrinSquint),
/* harmony export */   "FaGrinSquintTears": () => (/* binding */ FaGrinSquintTears),
/* harmony export */   "FaGrinStars": () => (/* binding */ FaGrinStars),
/* harmony export */   "FaGrinTears": () => (/* binding */ FaGrinTears),
/* harmony export */   "FaGrinTongue": () => (/* binding */ FaGrinTongue),
/* harmony export */   "FaGrinTongueSquint": () => (/* binding */ FaGrinTongueSquint),
/* harmony export */   "FaGrinTongueWink": () => (/* binding */ FaGrinTongueWink),
/* harmony export */   "FaGrinWink": () => (/* binding */ FaGrinWink),
/* harmony export */   "FaGripHorizontal": () => (/* binding */ FaGripHorizontal),
/* harmony export */   "FaGripLines": () => (/* binding */ FaGripLines),
/* harmony export */   "FaGripLinesVertical": () => (/* binding */ FaGripLinesVertical),
/* harmony export */   "FaGripVertical": () => (/* binding */ FaGripVertical),
/* harmony export */   "FaGripfire": () => (/* binding */ FaGripfire),
/* harmony export */   "FaGrunt": () => (/* binding */ FaGrunt),
/* harmony export */   "FaGuitar": () => (/* binding */ FaGuitar),
/* harmony export */   "FaGulp": () => (/* binding */ FaGulp),
/* harmony export */   "FaHSquare": () => (/* binding */ FaHSquare),
/* harmony export */   "FaHackerNews": () => (/* binding */ FaHackerNews),
/* harmony export */   "FaHackerNewsSquare": () => (/* binding */ FaHackerNewsSquare),
/* harmony export */   "FaHackerrank": () => (/* binding */ FaHackerrank),
/* harmony export */   "FaHamburger": () => (/* binding */ FaHamburger),
/* harmony export */   "FaHammer": () => (/* binding */ FaHammer),
/* harmony export */   "FaHamsa": () => (/* binding */ FaHamsa),
/* harmony export */   "FaHandHolding": () => (/* binding */ FaHandHolding),
/* harmony export */   "FaHandHoldingHeart": () => (/* binding */ FaHandHoldingHeart),
/* harmony export */   "FaHandHoldingUsd": () => (/* binding */ FaHandHoldingUsd),
/* harmony export */   "FaHandLizard": () => (/* binding */ FaHandLizard),
/* harmony export */   "FaHandMiddleFinger": () => (/* binding */ FaHandMiddleFinger),
/* harmony export */   "FaHandPaper": () => (/* binding */ FaHandPaper),
/* harmony export */   "FaHandPeace": () => (/* binding */ FaHandPeace),
/* harmony export */   "FaHandPointDown": () => (/* binding */ FaHandPointDown),
/* harmony export */   "FaHandPointLeft": () => (/* binding */ FaHandPointLeft),
/* harmony export */   "FaHandPointRight": () => (/* binding */ FaHandPointRight),
/* harmony export */   "FaHandPointUp": () => (/* binding */ FaHandPointUp),
/* harmony export */   "FaHandPointer": () => (/* binding */ FaHandPointer),
/* harmony export */   "FaHandRock": () => (/* binding */ FaHandRock),
/* harmony export */   "FaHandScissors": () => (/* binding */ FaHandScissors),
/* harmony export */   "FaHandSpock": () => (/* binding */ FaHandSpock),
/* harmony export */   "FaHands": () => (/* binding */ FaHands),
/* harmony export */   "FaHandsHelping": () => (/* binding */ FaHandsHelping),
/* harmony export */   "FaHandshake": () => (/* binding */ FaHandshake),
/* harmony export */   "FaHanukiah": () => (/* binding */ FaHanukiah),
/* harmony export */   "FaHardHat": () => (/* binding */ FaHardHat),
/* harmony export */   "FaHashtag": () => (/* binding */ FaHashtag),
/* harmony export */   "FaHatCowboy": () => (/* binding */ FaHatCowboy),
/* harmony export */   "FaHatCowboySide": () => (/* binding */ FaHatCowboySide),
/* harmony export */   "FaHatWizard": () => (/* binding */ FaHatWizard),
/* harmony export */   "FaHdd": () => (/* binding */ FaHdd),
/* harmony export */   "FaHeading": () => (/* binding */ FaHeading),
/* harmony export */   "FaHeadphones": () => (/* binding */ FaHeadphones),
/* harmony export */   "FaHeadphonesAlt": () => (/* binding */ FaHeadphonesAlt),
/* harmony export */   "FaHeadset": () => (/* binding */ FaHeadset),
/* harmony export */   "FaHeart": () => (/* binding */ FaHeart),
/* harmony export */   "FaHeartBroken": () => (/* binding */ FaHeartBroken),
/* harmony export */   "FaHeartbeat": () => (/* binding */ FaHeartbeat),
/* harmony export */   "FaHelicopter": () => (/* binding */ FaHelicopter),
/* harmony export */   "FaHighlighter": () => (/* binding */ FaHighlighter),
/* harmony export */   "FaHiking": () => (/* binding */ FaHiking),
/* harmony export */   "FaHippo": () => (/* binding */ FaHippo),
/* harmony export */   "FaHips": () => (/* binding */ FaHips),
/* harmony export */   "FaHireAHelper": () => (/* binding */ FaHireAHelper),
/* harmony export */   "FaHistory": () => (/* binding */ FaHistory),
/* harmony export */   "FaHockeyPuck": () => (/* binding */ FaHockeyPuck),
/* harmony export */   "FaHollyBerry": () => (/* binding */ FaHollyBerry),
/* harmony export */   "FaHome": () => (/* binding */ FaHome),
/* harmony export */   "FaHooli": () => (/* binding */ FaHooli),
/* harmony export */   "FaHornbill": () => (/* binding */ FaHornbill),
/* harmony export */   "FaHorse": () => (/* binding */ FaHorse),
/* harmony export */   "FaHorseHead": () => (/* binding */ FaHorseHead),
/* harmony export */   "FaHospital": () => (/* binding */ FaHospital),
/* harmony export */   "FaHospitalAlt": () => (/* binding */ FaHospitalAlt),
/* harmony export */   "FaHospitalSymbol": () => (/* binding */ FaHospitalSymbol),
/* harmony export */   "FaHotTub": () => (/* binding */ FaHotTub),
/* harmony export */   "FaHotdog": () => (/* binding */ FaHotdog),
/* harmony export */   "FaHotel": () => (/* binding */ FaHotel),
/* harmony export */   "FaHotjar": () => (/* binding */ FaHotjar),
/* harmony export */   "FaHourglass": () => (/* binding */ FaHourglass),
/* harmony export */   "FaHourglassEnd": () => (/* binding */ FaHourglassEnd),
/* harmony export */   "FaHourglassHalf": () => (/* binding */ FaHourglassHalf),
/* harmony export */   "FaHourglassStart": () => (/* binding */ FaHourglassStart),
/* harmony export */   "FaHouseDamage": () => (/* binding */ FaHouseDamage),
/* harmony export */   "FaHouzz": () => (/* binding */ FaHouzz),
/* harmony export */   "FaHryvnia": () => (/* binding */ FaHryvnia),
/* harmony export */   "FaHtml5": () => (/* binding */ FaHtml5),
/* harmony export */   "FaHubspot": () => (/* binding */ FaHubspot),
/* harmony export */   "FaICursor": () => (/* binding */ FaICursor),
/* harmony export */   "FaIceCream": () => (/* binding */ FaIceCream),
/* harmony export */   "FaIcicles": () => (/* binding */ FaIcicles),
/* harmony export */   "FaIcons": () => (/* binding */ FaIcons),
/* harmony export */   "FaIdBadge": () => (/* binding */ FaIdBadge),
/* harmony export */   "FaIdCard": () => (/* binding */ FaIdCard),
/* harmony export */   "FaIdCardAlt": () => (/* binding */ FaIdCardAlt),
/* harmony export */   "FaIdeal": () => (/* binding */ FaIdeal),
/* harmony export */   "FaIgloo": () => (/* binding */ FaIgloo),
/* harmony export */   "FaImage": () => (/* binding */ FaImage),
/* harmony export */   "FaImages": () => (/* binding */ FaImages),
/* harmony export */   "FaImdb": () => (/* binding */ FaImdb),
/* harmony export */   "FaInbox": () => (/* binding */ FaInbox),
/* harmony export */   "FaIndent": () => (/* binding */ FaIndent),
/* harmony export */   "FaIndustry": () => (/* binding */ FaIndustry),
/* harmony export */   "FaInfinity": () => (/* binding */ FaInfinity),
/* harmony export */   "FaInfo": () => (/* binding */ FaInfo),
/* harmony export */   "FaInfoCircle": () => (/* binding */ FaInfoCircle),
/* harmony export */   "FaInstagram": () => (/* binding */ FaInstagram),
/* harmony export */   "FaInstagramSquare": () => (/* binding */ FaInstagramSquare),
/* harmony export */   "FaIntercom": () => (/* binding */ FaIntercom),
/* harmony export */   "FaInternetExplorer": () => (/* binding */ FaInternetExplorer),
/* harmony export */   "FaInvision": () => (/* binding */ FaInvision),
/* harmony export */   "FaIoxhost": () => (/* binding */ FaIoxhost),
/* harmony export */   "FaItalic": () => (/* binding */ FaItalic),
/* harmony export */   "FaItchIo": () => (/* binding */ FaItchIo),
/* harmony export */   "FaItunes": () => (/* binding */ FaItunes),
/* harmony export */   "FaItunesNote": () => (/* binding */ FaItunesNote),
/* harmony export */   "FaJava": () => (/* binding */ FaJava),
/* harmony export */   "FaJedi": () => (/* binding */ FaJedi),
/* harmony export */   "FaJediOrder": () => (/* binding */ FaJediOrder),
/* harmony export */   "FaJenkins": () => (/* binding */ FaJenkins),
/* harmony export */   "FaJira": () => (/* binding */ FaJira),
/* harmony export */   "FaJoget": () => (/* binding */ FaJoget),
/* harmony export */   "FaJoint": () => (/* binding */ FaJoint),
/* harmony export */   "FaJoomla": () => (/* binding */ FaJoomla),
/* harmony export */   "FaJournalWhills": () => (/* binding */ FaJournalWhills),
/* harmony export */   "FaJs": () => (/* binding */ FaJs),
/* harmony export */   "FaJsSquare": () => (/* binding */ FaJsSquare),
/* harmony export */   "FaJsfiddle": () => (/* binding */ FaJsfiddle),
/* harmony export */   "FaKaaba": () => (/* binding */ FaKaaba),
/* harmony export */   "FaKaggle": () => (/* binding */ FaKaggle),
/* harmony export */   "FaKey": () => (/* binding */ FaKey),
/* harmony export */   "FaKeybase": () => (/* binding */ FaKeybase),
/* harmony export */   "FaKeyboard": () => (/* binding */ FaKeyboard),
/* harmony export */   "FaKeycdn": () => (/* binding */ FaKeycdn),
/* harmony export */   "FaKhanda": () => (/* binding */ FaKhanda),
/* harmony export */   "FaKickstarter": () => (/* binding */ FaKickstarter),
/* harmony export */   "FaKickstarterK": () => (/* binding */ FaKickstarterK),
/* harmony export */   "FaKiss": () => (/* binding */ FaKiss),
/* harmony export */   "FaKissBeam": () => (/* binding */ FaKissBeam),
/* harmony export */   "FaKissWinkHeart": () => (/* binding */ FaKissWinkHeart),
/* harmony export */   "FaKiwiBird": () => (/* binding */ FaKiwiBird),
/* harmony export */   "FaKorvue": () => (/* binding */ FaKorvue),
/* harmony export */   "FaLandmark": () => (/* binding */ FaLandmark),
/* harmony export */   "FaLanguage": () => (/* binding */ FaLanguage),
/* harmony export */   "FaLaptop": () => (/* binding */ FaLaptop),
/* harmony export */   "FaLaptopCode": () => (/* binding */ FaLaptopCode),
/* harmony export */   "FaLaptopMedical": () => (/* binding */ FaLaptopMedical),
/* harmony export */   "FaLaravel": () => (/* binding */ FaLaravel),
/* harmony export */   "FaLastfm": () => (/* binding */ FaLastfm),
/* harmony export */   "FaLastfmSquare": () => (/* binding */ FaLastfmSquare),
/* harmony export */   "FaLaugh": () => (/* binding */ FaLaugh),
/* harmony export */   "FaLaughBeam": () => (/* binding */ FaLaughBeam),
/* harmony export */   "FaLaughSquint": () => (/* binding */ FaLaughSquint),
/* harmony export */   "FaLaughWink": () => (/* binding */ FaLaughWink),
/* harmony export */   "FaLayerGroup": () => (/* binding */ FaLayerGroup),
/* harmony export */   "FaLeaf": () => (/* binding */ FaLeaf),
/* harmony export */   "FaLeanpub": () => (/* binding */ FaLeanpub),
/* harmony export */   "FaLemon": () => (/* binding */ FaLemon),
/* harmony export */   "FaLess": () => (/* binding */ FaLess),
/* harmony export */   "FaLessThan": () => (/* binding */ FaLessThan),
/* harmony export */   "FaLessThanEqual": () => (/* binding */ FaLessThanEqual),
/* harmony export */   "FaLevelDownAlt": () => (/* binding */ FaLevelDownAlt),
/* harmony export */   "FaLevelUpAlt": () => (/* binding */ FaLevelUpAlt),
/* harmony export */   "FaLifeRing": () => (/* binding */ FaLifeRing),
/* harmony export */   "FaLightbulb": () => (/* binding */ FaLightbulb),
/* harmony export */   "FaLine": () => (/* binding */ FaLine),
/* harmony export */   "FaLink": () => (/* binding */ FaLink),
/* harmony export */   "FaLinkedin": () => (/* binding */ FaLinkedin),
/* harmony export */   "FaLinkedinIn": () => (/* binding */ FaLinkedinIn),
/* harmony export */   "FaLinode": () => (/* binding */ FaLinode),
/* harmony export */   "FaLinux": () => (/* binding */ FaLinux),
/* harmony export */   "FaLiraSign": () => (/* binding */ FaLiraSign),
/* harmony export */   "FaList": () => (/* binding */ FaList),
/* harmony export */   "FaListAlt": () => (/* binding */ FaListAlt),
/* harmony export */   "FaListOl": () => (/* binding */ FaListOl),
/* harmony export */   "FaListUl": () => (/* binding */ FaListUl),
/* harmony export */   "FaLocationArrow": () => (/* binding */ FaLocationArrow),
/* harmony export */   "FaLock": () => (/* binding */ FaLock),
/* harmony export */   "FaLockOpen": () => (/* binding */ FaLockOpen),
/* harmony export */   "FaLongArrowAltDown": () => (/* binding */ FaLongArrowAltDown),
/* harmony export */   "FaLongArrowAltLeft": () => (/* binding */ FaLongArrowAltLeft),
/* harmony export */   "FaLongArrowAltRight": () => (/* binding */ FaLongArrowAltRight),
/* harmony export */   "FaLongArrowAltUp": () => (/* binding */ FaLongArrowAltUp),
/* harmony export */   "FaLowVision": () => (/* binding */ FaLowVision),
/* harmony export */   "FaLuggageCart": () => (/* binding */ FaLuggageCart),
/* harmony export */   "FaLyft": () => (/* binding */ FaLyft),
/* harmony export */   "FaMagento": () => (/* binding */ FaMagento),
/* harmony export */   "FaMagic": () => (/* binding */ FaMagic),
/* harmony export */   "FaMagnet": () => (/* binding */ FaMagnet),
/* harmony export */   "FaMailBulk": () => (/* binding */ FaMailBulk),
/* harmony export */   "FaMailchimp": () => (/* binding */ FaMailchimp),
/* harmony export */   "FaMale": () => (/* binding */ FaMale),
/* harmony export */   "FaMandalorian": () => (/* binding */ FaMandalorian),
/* harmony export */   "FaMap": () => (/* binding */ FaMap),
/* harmony export */   "FaMapMarked": () => (/* binding */ FaMapMarked),
/* harmony export */   "FaMapMarkedAlt": () => (/* binding */ FaMapMarkedAlt),
/* harmony export */   "FaMapMarker": () => (/* binding */ FaMapMarker),
/* harmony export */   "FaMapMarkerAlt": () => (/* binding */ FaMapMarkerAlt),
/* harmony export */   "FaMapPin": () => (/* binding */ FaMapPin),
/* harmony export */   "FaMapSigns": () => (/* binding */ FaMapSigns),
/* harmony export */   "FaMarkdown": () => (/* binding */ FaMarkdown),
/* harmony export */   "FaMarker": () => (/* binding */ FaMarker),
/* harmony export */   "FaMars": () => (/* binding */ FaMars),
/* harmony export */   "FaMarsDouble": () => (/* binding */ FaMarsDouble),
/* harmony export */   "FaMarsStroke": () => (/* binding */ FaMarsStroke),
/* harmony export */   "FaMarsStrokeH": () => (/* binding */ FaMarsStrokeH),
/* harmony export */   "FaMarsStrokeV": () => (/* binding */ FaMarsStrokeV),
/* harmony export */   "FaMask": () => (/* binding */ FaMask),
/* harmony export */   "FaMastodon": () => (/* binding */ FaMastodon),
/* harmony export */   "FaMaxcdn": () => (/* binding */ FaMaxcdn),
/* harmony export */   "FaMdb": () => (/* binding */ FaMdb),
/* harmony export */   "FaMedal": () => (/* binding */ FaMedal),
/* harmony export */   "FaMedapps": () => (/* binding */ FaMedapps),
/* harmony export */   "FaMedium": () => (/* binding */ FaMedium),
/* harmony export */   "FaMediumM": () => (/* binding */ FaMediumM),
/* harmony export */   "FaMedkit": () => (/* binding */ FaMedkit),
/* harmony export */   "FaMedrt": () => (/* binding */ FaMedrt),
/* harmony export */   "FaMeetup": () => (/* binding */ FaMeetup),
/* harmony export */   "FaMegaport": () => (/* binding */ FaMegaport),
/* harmony export */   "FaMeh": () => (/* binding */ FaMeh),
/* harmony export */   "FaMehBlank": () => (/* binding */ FaMehBlank),
/* harmony export */   "FaMehRollingEyes": () => (/* binding */ FaMehRollingEyes),
/* harmony export */   "FaMemory": () => (/* binding */ FaMemory),
/* harmony export */   "FaMendeley": () => (/* binding */ FaMendeley),
/* harmony export */   "FaMenorah": () => (/* binding */ FaMenorah),
/* harmony export */   "FaMercury": () => (/* binding */ FaMercury),
/* harmony export */   "FaMeteor": () => (/* binding */ FaMeteor),
/* harmony export */   "FaMicroblog": () => (/* binding */ FaMicroblog),
/* harmony export */   "FaMicrochip": () => (/* binding */ FaMicrochip),
/* harmony export */   "FaMicrophone": () => (/* binding */ FaMicrophone),
/* harmony export */   "FaMicrophoneAlt": () => (/* binding */ FaMicrophoneAlt),
/* harmony export */   "FaMicrophoneAltSlash": () => (/* binding */ FaMicrophoneAltSlash),
/* harmony export */   "FaMicrophoneSlash": () => (/* binding */ FaMicrophoneSlash),
/* harmony export */   "FaMicroscope": () => (/* binding */ FaMicroscope),
/* harmony export */   "FaMicrosoft": () => (/* binding */ FaMicrosoft),
/* harmony export */   "FaMinus": () => (/* binding */ FaMinus),
/* harmony export */   "FaMinusCircle": () => (/* binding */ FaMinusCircle),
/* harmony export */   "FaMinusSquare": () => (/* binding */ FaMinusSquare),
/* harmony export */   "FaMitten": () => (/* binding */ FaMitten),
/* harmony export */   "FaMix": () => (/* binding */ FaMix),
/* harmony export */   "FaMixcloud": () => (/* binding */ FaMixcloud),
/* harmony export */   "FaMixer": () => (/* binding */ FaMixer),
/* harmony export */   "FaMizuni": () => (/* binding */ FaMizuni),
/* harmony export */   "FaMobile": () => (/* binding */ FaMobile),
/* harmony export */   "FaMobileAlt": () => (/* binding */ FaMobileAlt),
/* harmony export */   "FaModx": () => (/* binding */ FaModx),
/* harmony export */   "FaMonero": () => (/* binding */ FaMonero),
/* harmony export */   "FaMoneyBill": () => (/* binding */ FaMoneyBill),
/* harmony export */   "FaMoneyBillAlt": () => (/* binding */ FaMoneyBillAlt),
/* harmony export */   "FaMoneyBillWave": () => (/* binding */ FaMoneyBillWave),
/* harmony export */   "FaMoneyBillWaveAlt": () => (/* binding */ FaMoneyBillWaveAlt),
/* harmony export */   "FaMoneyCheck": () => (/* binding */ FaMoneyCheck),
/* harmony export */   "FaMoneyCheckAlt": () => (/* binding */ FaMoneyCheckAlt),
/* harmony export */   "FaMonument": () => (/* binding */ FaMonument),
/* harmony export */   "FaMoon": () => (/* binding */ FaMoon),
/* harmony export */   "FaMortarPestle": () => (/* binding */ FaMortarPestle),
/* harmony export */   "FaMosque": () => (/* binding */ FaMosque),
/* harmony export */   "FaMotorcycle": () => (/* binding */ FaMotorcycle),
/* harmony export */   "FaMountain": () => (/* binding */ FaMountain),
/* harmony export */   "FaMouse": () => (/* binding */ FaMouse),
/* harmony export */   "FaMousePointer": () => (/* binding */ FaMousePointer),
/* harmony export */   "FaMugHot": () => (/* binding */ FaMugHot),
/* harmony export */   "FaMusic": () => (/* binding */ FaMusic),
/* harmony export */   "FaNapster": () => (/* binding */ FaNapster),
/* harmony export */   "FaNeos": () => (/* binding */ FaNeos),
/* harmony export */   "FaNetworkWired": () => (/* binding */ FaNetworkWired),
/* harmony export */   "FaNeuter": () => (/* binding */ FaNeuter),
/* harmony export */   "FaNewspaper": () => (/* binding */ FaNewspaper),
/* harmony export */   "FaNimblr": () => (/* binding */ FaNimblr),
/* harmony export */   "FaNode": () => (/* binding */ FaNode),
/* harmony export */   "FaNodeJs": () => (/* binding */ FaNodeJs),
/* harmony export */   "FaNotEqual": () => (/* binding */ FaNotEqual),
/* harmony export */   "FaNotesMedical": () => (/* binding */ FaNotesMedical),
/* harmony export */   "FaNpm": () => (/* binding */ FaNpm),
/* harmony export */   "FaNs8": () => (/* binding */ FaNs8),
/* harmony export */   "FaNutritionix": () => (/* binding */ FaNutritionix),
/* harmony export */   "FaObjectGroup": () => (/* binding */ FaObjectGroup),
/* harmony export */   "FaObjectUngroup": () => (/* binding */ FaObjectUngroup),
/* harmony export */   "FaOdnoklassniki": () => (/* binding */ FaOdnoklassniki),
/* harmony export */   "FaOdnoklassnikiSquare": () => (/* binding */ FaOdnoklassnikiSquare),
/* harmony export */   "FaOilCan": () => (/* binding */ FaOilCan),
/* harmony export */   "FaOldRepublic": () => (/* binding */ FaOldRepublic),
/* harmony export */   "FaOm": () => (/* binding */ FaOm),
/* harmony export */   "FaOpencart": () => (/* binding */ FaOpencart),
/* harmony export */   "FaOpenid": () => (/* binding */ FaOpenid),
/* harmony export */   "FaOpera": () => (/* binding */ FaOpera),
/* harmony export */   "FaOptinMonster": () => (/* binding */ FaOptinMonster),
/* harmony export */   "FaOrcid": () => (/* binding */ FaOrcid),
/* harmony export */   "FaOsi": () => (/* binding */ FaOsi),
/* harmony export */   "FaOtter": () => (/* binding */ FaOtter),
/* harmony export */   "FaOutdent": () => (/* binding */ FaOutdent),
/* harmony export */   "FaPage4": () => (/* binding */ FaPage4),
/* harmony export */   "FaPagelines": () => (/* binding */ FaPagelines),
/* harmony export */   "FaPager": () => (/* binding */ FaPager),
/* harmony export */   "FaPaintBrush": () => (/* binding */ FaPaintBrush),
/* harmony export */   "FaPaintRoller": () => (/* binding */ FaPaintRoller),
/* harmony export */   "FaPalette": () => (/* binding */ FaPalette),
/* harmony export */   "FaPalfed": () => (/* binding */ FaPalfed),
/* harmony export */   "FaPallet": () => (/* binding */ FaPallet),
/* harmony export */   "FaPaperPlane": () => (/* binding */ FaPaperPlane),
/* harmony export */   "FaPaperclip": () => (/* binding */ FaPaperclip),
/* harmony export */   "FaParachuteBox": () => (/* binding */ FaParachuteBox),
/* harmony export */   "FaParagraph": () => (/* binding */ FaParagraph),
/* harmony export */   "FaParking": () => (/* binding */ FaParking),
/* harmony export */   "FaPassport": () => (/* binding */ FaPassport),
/* harmony export */   "FaPastafarianism": () => (/* binding */ FaPastafarianism),
/* harmony export */   "FaPaste": () => (/* binding */ FaPaste),
/* harmony export */   "FaPatreon": () => (/* binding */ FaPatreon),
/* harmony export */   "FaPause": () => (/* binding */ FaPause),
/* harmony export */   "FaPauseCircle": () => (/* binding */ FaPauseCircle),
/* harmony export */   "FaPaw": () => (/* binding */ FaPaw),
/* harmony export */   "FaPaypal": () => (/* binding */ FaPaypal),
/* harmony export */   "FaPeace": () => (/* binding */ FaPeace),
/* harmony export */   "FaPen": () => (/* binding */ FaPen),
/* harmony export */   "FaPenAlt": () => (/* binding */ FaPenAlt),
/* harmony export */   "FaPenFancy": () => (/* binding */ FaPenFancy),
/* harmony export */   "FaPenNib": () => (/* binding */ FaPenNib),
/* harmony export */   "FaPenSquare": () => (/* binding */ FaPenSquare),
/* harmony export */   "FaPencilAlt": () => (/* binding */ FaPencilAlt),
/* harmony export */   "FaPencilRuler": () => (/* binding */ FaPencilRuler),
/* harmony export */   "FaPennyArcade": () => (/* binding */ FaPennyArcade),
/* harmony export */   "FaPeopleCarry": () => (/* binding */ FaPeopleCarry),
/* harmony export */   "FaPepperHot": () => (/* binding */ FaPepperHot),
/* harmony export */   "FaPercent": () => (/* binding */ FaPercent),
/* harmony export */   "FaPercentage": () => (/* binding */ FaPercentage),
/* harmony export */   "FaPeriscope": () => (/* binding */ FaPeriscope),
/* harmony export */   "FaPersonBooth": () => (/* binding */ FaPersonBooth),
/* harmony export */   "FaPhabricator": () => (/* binding */ FaPhabricator),
/* harmony export */   "FaPhoenixFramework": () => (/* binding */ FaPhoenixFramework),
/* harmony export */   "FaPhoenixSquadron": () => (/* binding */ FaPhoenixSquadron),
/* harmony export */   "FaPhone": () => (/* binding */ FaPhone),
/* harmony export */   "FaPhoneAlt": () => (/* binding */ FaPhoneAlt),
/* harmony export */   "FaPhoneSlash": () => (/* binding */ FaPhoneSlash),
/* harmony export */   "FaPhoneSquare": () => (/* binding */ FaPhoneSquare),
/* harmony export */   "FaPhoneSquareAlt": () => (/* binding */ FaPhoneSquareAlt),
/* harmony export */   "FaPhoneVolume": () => (/* binding */ FaPhoneVolume),
/* harmony export */   "FaPhotoVideo": () => (/* binding */ FaPhotoVideo),
/* harmony export */   "FaPhp": () => (/* binding */ FaPhp),
/* harmony export */   "FaPiedPiper": () => (/* binding */ FaPiedPiper),
/* harmony export */   "FaPiedPiperAlt": () => (/* binding */ FaPiedPiperAlt),
/* harmony export */   "FaPiedPiperHat": () => (/* binding */ FaPiedPiperHat),
/* harmony export */   "FaPiedPiperPp": () => (/* binding */ FaPiedPiperPp),
/* harmony export */   "FaPiedPiperSquare": () => (/* binding */ FaPiedPiperSquare),
/* harmony export */   "FaPiggyBank": () => (/* binding */ FaPiggyBank),
/* harmony export */   "FaPills": () => (/* binding */ FaPills),
/* harmony export */   "FaPinterest": () => (/* binding */ FaPinterest),
/* harmony export */   "FaPinterestP": () => (/* binding */ FaPinterestP),
/* harmony export */   "FaPinterestSquare": () => (/* binding */ FaPinterestSquare),
/* harmony export */   "FaPizzaSlice": () => (/* binding */ FaPizzaSlice),
/* harmony export */   "FaPlaceOfWorship": () => (/* binding */ FaPlaceOfWorship),
/* harmony export */   "FaPlane": () => (/* binding */ FaPlane),
/* harmony export */   "FaPlaneArrival": () => (/* binding */ FaPlaneArrival),
/* harmony export */   "FaPlaneDeparture": () => (/* binding */ FaPlaneDeparture),
/* harmony export */   "FaPlay": () => (/* binding */ FaPlay),
/* harmony export */   "FaPlayCircle": () => (/* binding */ FaPlayCircle),
/* harmony export */   "FaPlaystation": () => (/* binding */ FaPlaystation),
/* harmony export */   "FaPlug": () => (/* binding */ FaPlug),
/* harmony export */   "FaPlus": () => (/* binding */ FaPlus),
/* harmony export */   "FaPlusCircle": () => (/* binding */ FaPlusCircle),
/* harmony export */   "FaPlusSquare": () => (/* binding */ FaPlusSquare),
/* harmony export */   "FaPodcast": () => (/* binding */ FaPodcast),
/* harmony export */   "FaPoll": () => (/* binding */ FaPoll),
/* harmony export */   "FaPollH": () => (/* binding */ FaPollH),
/* harmony export */   "FaPoo": () => (/* binding */ FaPoo),
/* harmony export */   "FaPooStorm": () => (/* binding */ FaPooStorm),
/* harmony export */   "FaPoop": () => (/* binding */ FaPoop),
/* harmony export */   "FaPortrait": () => (/* binding */ FaPortrait),
/* harmony export */   "FaPoundSign": () => (/* binding */ FaPoundSign),
/* harmony export */   "FaPowerOff": () => (/* binding */ FaPowerOff),
/* harmony export */   "FaPray": () => (/* binding */ FaPray),
/* harmony export */   "FaPrayingHands": () => (/* binding */ FaPrayingHands),
/* harmony export */   "FaPrescription": () => (/* binding */ FaPrescription),
/* harmony export */   "FaPrescriptionBottle": () => (/* binding */ FaPrescriptionBottle),
/* harmony export */   "FaPrescriptionBottleAlt": () => (/* binding */ FaPrescriptionBottleAlt),
/* harmony export */   "FaPrint": () => (/* binding */ FaPrint),
/* harmony export */   "FaProcedures": () => (/* binding */ FaProcedures),
/* harmony export */   "FaProductHunt": () => (/* binding */ FaProductHunt),
/* harmony export */   "FaProjectDiagram": () => (/* binding */ FaProjectDiagram),
/* harmony export */   "FaPushed": () => (/* binding */ FaPushed),
/* harmony export */   "FaPuzzlePiece": () => (/* binding */ FaPuzzlePiece),
/* harmony export */   "FaPython": () => (/* binding */ FaPython),
/* harmony export */   "FaQq": () => (/* binding */ FaQq),
/* harmony export */   "FaQrcode": () => (/* binding */ FaQrcode),
/* harmony export */   "FaQuestion": () => (/* binding */ FaQuestion),
/* harmony export */   "FaQuestionCircle": () => (/* binding */ FaQuestionCircle),
/* harmony export */   "FaQuidditch": () => (/* binding */ FaQuidditch),
/* harmony export */   "FaQuinscape": () => (/* binding */ FaQuinscape),
/* harmony export */   "FaQuora": () => (/* binding */ FaQuora),
/* harmony export */   "FaQuoteLeft": () => (/* binding */ FaQuoteLeft),
/* harmony export */   "FaQuoteRight": () => (/* binding */ FaQuoteRight),
/* harmony export */   "FaQuran": () => (/* binding */ FaQuran),
/* harmony export */   "FaRProject": () => (/* binding */ FaRProject),
/* harmony export */   "FaRadiation": () => (/* binding */ FaRadiation),
/* harmony export */   "FaRadiationAlt": () => (/* binding */ FaRadiationAlt),
/* harmony export */   "FaRainbow": () => (/* binding */ FaRainbow),
/* harmony export */   "FaRandom": () => (/* binding */ FaRandom),
/* harmony export */   "FaRaspberryPi": () => (/* binding */ FaRaspberryPi),
/* harmony export */   "FaRavelry": () => (/* binding */ FaRavelry),
/* harmony export */   "FaReact": () => (/* binding */ FaReact),
/* harmony export */   "FaReacteurope": () => (/* binding */ FaReacteurope),
/* harmony export */   "FaReadme": () => (/* binding */ FaReadme),
/* harmony export */   "FaRebel": () => (/* binding */ FaRebel),
/* harmony export */   "FaReceipt": () => (/* binding */ FaReceipt),
/* harmony export */   "FaRecordVinyl": () => (/* binding */ FaRecordVinyl),
/* harmony export */   "FaRecycle": () => (/* binding */ FaRecycle),
/* harmony export */   "FaRedRiver": () => (/* binding */ FaRedRiver),
/* harmony export */   "FaReddit": () => (/* binding */ FaReddit),
/* harmony export */   "FaRedditAlien": () => (/* binding */ FaRedditAlien),
/* harmony export */   "FaRedditSquare": () => (/* binding */ FaRedditSquare),
/* harmony export */   "FaRedhat": () => (/* binding */ FaRedhat),
/* harmony export */   "FaRedo": () => (/* binding */ FaRedo),
/* harmony export */   "FaRedoAlt": () => (/* binding */ FaRedoAlt),
/* harmony export */   "FaRegAddressBook": () => (/* binding */ FaRegAddressBook),
/* harmony export */   "FaRegAddressCard": () => (/* binding */ FaRegAddressCard),
/* harmony export */   "FaRegAngry": () => (/* binding */ FaRegAngry),
/* harmony export */   "FaRegArrowAltCircleDown": () => (/* binding */ FaRegArrowAltCircleDown),
/* harmony export */   "FaRegArrowAltCircleLeft": () => (/* binding */ FaRegArrowAltCircleLeft),
/* harmony export */   "FaRegArrowAltCircleRight": () => (/* binding */ FaRegArrowAltCircleRight),
/* harmony export */   "FaRegArrowAltCircleUp": () => (/* binding */ FaRegArrowAltCircleUp),
/* harmony export */   "FaRegBell": () => (/* binding */ FaRegBell),
/* harmony export */   "FaRegBellSlash": () => (/* binding */ FaRegBellSlash),
/* harmony export */   "FaRegBookmark": () => (/* binding */ FaRegBookmark),
/* harmony export */   "FaRegBuilding": () => (/* binding */ FaRegBuilding),
/* harmony export */   "FaRegCalendar": () => (/* binding */ FaRegCalendar),
/* harmony export */   "FaRegCalendarAlt": () => (/* binding */ FaRegCalendarAlt),
/* harmony export */   "FaRegCalendarCheck": () => (/* binding */ FaRegCalendarCheck),
/* harmony export */   "FaRegCalendarMinus": () => (/* binding */ FaRegCalendarMinus),
/* harmony export */   "FaRegCalendarPlus": () => (/* binding */ FaRegCalendarPlus),
/* harmony export */   "FaRegCalendarTimes": () => (/* binding */ FaRegCalendarTimes),
/* harmony export */   "FaRegCaretSquareDown": () => (/* binding */ FaRegCaretSquareDown),
/* harmony export */   "FaRegCaretSquareLeft": () => (/* binding */ FaRegCaretSquareLeft),
/* harmony export */   "FaRegCaretSquareRight": () => (/* binding */ FaRegCaretSquareRight),
/* harmony export */   "FaRegCaretSquareUp": () => (/* binding */ FaRegCaretSquareUp),
/* harmony export */   "FaRegChartBar": () => (/* binding */ FaRegChartBar),
/* harmony export */   "FaRegCheckCircle": () => (/* binding */ FaRegCheckCircle),
/* harmony export */   "FaRegCheckSquare": () => (/* binding */ FaRegCheckSquare),
/* harmony export */   "FaRegCircle": () => (/* binding */ FaRegCircle),
/* harmony export */   "FaRegClipboard": () => (/* binding */ FaRegClipboard),
/* harmony export */   "FaRegClock": () => (/* binding */ FaRegClock),
/* harmony export */   "FaRegClone": () => (/* binding */ FaRegClone),
/* harmony export */   "FaRegClosedCaptioning": () => (/* binding */ FaRegClosedCaptioning),
/* harmony export */   "FaRegComment": () => (/* binding */ FaRegComment),
/* harmony export */   "FaRegCommentAlt": () => (/* binding */ FaRegCommentAlt),
/* harmony export */   "FaRegCommentDots": () => (/* binding */ FaRegCommentDots),
/* harmony export */   "FaRegComments": () => (/* binding */ FaRegComments),
/* harmony export */   "FaRegCompass": () => (/* binding */ FaRegCompass),
/* harmony export */   "FaRegCopy": () => (/* binding */ FaRegCopy),
/* harmony export */   "FaRegCopyright": () => (/* binding */ FaRegCopyright),
/* harmony export */   "FaRegCreditCard": () => (/* binding */ FaRegCreditCard),
/* harmony export */   "FaRegDizzy": () => (/* binding */ FaRegDizzy),
/* harmony export */   "FaRegDotCircle": () => (/* binding */ FaRegDotCircle),
/* harmony export */   "FaRegEdit": () => (/* binding */ FaRegEdit),
/* harmony export */   "FaRegEnvelope": () => (/* binding */ FaRegEnvelope),
/* harmony export */   "FaRegEnvelopeOpen": () => (/* binding */ FaRegEnvelopeOpen),
/* harmony export */   "FaRegEye": () => (/* binding */ FaRegEye),
/* harmony export */   "FaRegEyeSlash": () => (/* binding */ FaRegEyeSlash),
/* harmony export */   "FaRegFile": () => (/* binding */ FaRegFile),
/* harmony export */   "FaRegFileAlt": () => (/* binding */ FaRegFileAlt),
/* harmony export */   "FaRegFileArchive": () => (/* binding */ FaRegFileArchive),
/* harmony export */   "FaRegFileAudio": () => (/* binding */ FaRegFileAudio),
/* harmony export */   "FaRegFileCode": () => (/* binding */ FaRegFileCode),
/* harmony export */   "FaRegFileExcel": () => (/* binding */ FaRegFileExcel),
/* harmony export */   "FaRegFileImage": () => (/* binding */ FaRegFileImage),
/* harmony export */   "FaRegFilePdf": () => (/* binding */ FaRegFilePdf),
/* harmony export */   "FaRegFilePowerpoint": () => (/* binding */ FaRegFilePowerpoint),
/* harmony export */   "FaRegFileVideo": () => (/* binding */ FaRegFileVideo),
/* harmony export */   "FaRegFileWord": () => (/* binding */ FaRegFileWord),
/* harmony export */   "FaRegFlag": () => (/* binding */ FaRegFlag),
/* harmony export */   "FaRegFlushed": () => (/* binding */ FaRegFlushed),
/* harmony export */   "FaRegFolder": () => (/* binding */ FaRegFolder),
/* harmony export */   "FaRegFolderOpen": () => (/* binding */ FaRegFolderOpen),
/* harmony export */   "FaRegFontAwesomeLogoFull": () => (/* binding */ FaRegFontAwesomeLogoFull),
/* harmony export */   "FaRegFrown": () => (/* binding */ FaRegFrown),
/* harmony export */   "FaRegFrownOpen": () => (/* binding */ FaRegFrownOpen),
/* harmony export */   "FaRegFutbol": () => (/* binding */ FaRegFutbol),
/* harmony export */   "FaRegGem": () => (/* binding */ FaRegGem),
/* harmony export */   "FaRegGrimace": () => (/* binding */ FaRegGrimace),
/* harmony export */   "FaRegGrin": () => (/* binding */ FaRegGrin),
/* harmony export */   "FaRegGrinAlt": () => (/* binding */ FaRegGrinAlt),
/* harmony export */   "FaRegGrinBeam": () => (/* binding */ FaRegGrinBeam),
/* harmony export */   "FaRegGrinBeamSweat": () => (/* binding */ FaRegGrinBeamSweat),
/* harmony export */   "FaRegGrinHearts": () => (/* binding */ FaRegGrinHearts),
/* harmony export */   "FaRegGrinSquint": () => (/* binding */ FaRegGrinSquint),
/* harmony export */   "FaRegGrinSquintTears": () => (/* binding */ FaRegGrinSquintTears),
/* harmony export */   "FaRegGrinStars": () => (/* binding */ FaRegGrinStars),
/* harmony export */   "FaRegGrinTears": () => (/* binding */ FaRegGrinTears),
/* harmony export */   "FaRegGrinTongue": () => (/* binding */ FaRegGrinTongue),
/* harmony export */   "FaRegGrinTongueSquint": () => (/* binding */ FaRegGrinTongueSquint),
/* harmony export */   "FaRegGrinTongueWink": () => (/* binding */ FaRegGrinTongueWink),
/* harmony export */   "FaRegGrinWink": () => (/* binding */ FaRegGrinWink),
/* harmony export */   "FaRegHandLizard": () => (/* binding */ FaRegHandLizard),
/* harmony export */   "FaRegHandPaper": () => (/* binding */ FaRegHandPaper),
/* harmony export */   "FaRegHandPeace": () => (/* binding */ FaRegHandPeace),
/* harmony export */   "FaRegHandPointDown": () => (/* binding */ FaRegHandPointDown),
/* harmony export */   "FaRegHandPointLeft": () => (/* binding */ FaRegHandPointLeft),
/* harmony export */   "FaRegHandPointRight": () => (/* binding */ FaRegHandPointRight),
/* harmony export */   "FaRegHandPointUp": () => (/* binding */ FaRegHandPointUp),
/* harmony export */   "FaRegHandPointer": () => (/* binding */ FaRegHandPointer),
/* harmony export */   "FaRegHandRock": () => (/* binding */ FaRegHandRock),
/* harmony export */   "FaRegHandScissors": () => (/* binding */ FaRegHandScissors),
/* harmony export */   "FaRegHandSpock": () => (/* binding */ FaRegHandSpock),
/* harmony export */   "FaRegHandshake": () => (/* binding */ FaRegHandshake),
/* harmony export */   "FaRegHdd": () => (/* binding */ FaRegHdd),
/* harmony export */   "FaRegHeart": () => (/* binding */ FaRegHeart),
/* harmony export */   "FaRegHospital": () => (/* binding */ FaRegHospital),
/* harmony export */   "FaRegHourglass": () => (/* binding */ FaRegHourglass),
/* harmony export */   "FaRegIdBadge": () => (/* binding */ FaRegIdBadge),
/* harmony export */   "FaRegIdCard": () => (/* binding */ FaRegIdCard),
/* harmony export */   "FaRegImage": () => (/* binding */ FaRegImage),
/* harmony export */   "FaRegImages": () => (/* binding */ FaRegImages),
/* harmony export */   "FaRegKeyboard": () => (/* binding */ FaRegKeyboard),
/* harmony export */   "FaRegKiss": () => (/* binding */ FaRegKiss),
/* harmony export */   "FaRegKissBeam": () => (/* binding */ FaRegKissBeam),
/* harmony export */   "FaRegKissWinkHeart": () => (/* binding */ FaRegKissWinkHeart),
/* harmony export */   "FaRegLaugh": () => (/* binding */ FaRegLaugh),
/* harmony export */   "FaRegLaughBeam": () => (/* binding */ FaRegLaughBeam),
/* harmony export */   "FaRegLaughSquint": () => (/* binding */ FaRegLaughSquint),
/* harmony export */   "FaRegLaughWink": () => (/* binding */ FaRegLaughWink),
/* harmony export */   "FaRegLemon": () => (/* binding */ FaRegLemon),
/* harmony export */   "FaRegLifeRing": () => (/* binding */ FaRegLifeRing),
/* harmony export */   "FaRegLightbulb": () => (/* binding */ FaRegLightbulb),
/* harmony export */   "FaRegListAlt": () => (/* binding */ FaRegListAlt),
/* harmony export */   "FaRegMap": () => (/* binding */ FaRegMap),
/* harmony export */   "FaRegMeh": () => (/* binding */ FaRegMeh),
/* harmony export */   "FaRegMehBlank": () => (/* binding */ FaRegMehBlank),
/* harmony export */   "FaRegMehRollingEyes": () => (/* binding */ FaRegMehRollingEyes),
/* harmony export */   "FaRegMinusSquare": () => (/* binding */ FaRegMinusSquare),
/* harmony export */   "FaRegMoneyBillAlt": () => (/* binding */ FaRegMoneyBillAlt),
/* harmony export */   "FaRegMoon": () => (/* binding */ FaRegMoon),
/* harmony export */   "FaRegNewspaper": () => (/* binding */ FaRegNewspaper),
/* harmony export */   "FaRegObjectGroup": () => (/* binding */ FaRegObjectGroup),
/* harmony export */   "FaRegObjectUngroup": () => (/* binding */ FaRegObjectUngroup),
/* harmony export */   "FaRegPaperPlane": () => (/* binding */ FaRegPaperPlane),
/* harmony export */   "FaRegPauseCircle": () => (/* binding */ FaRegPauseCircle),
/* harmony export */   "FaRegPlayCircle": () => (/* binding */ FaRegPlayCircle),
/* harmony export */   "FaRegPlusSquare": () => (/* binding */ FaRegPlusSquare),
/* harmony export */   "FaRegQuestionCircle": () => (/* binding */ FaRegQuestionCircle),
/* harmony export */   "FaRegRegistered": () => (/* binding */ FaRegRegistered),
/* harmony export */   "FaRegSadCry": () => (/* binding */ FaRegSadCry),
/* harmony export */   "FaRegSadTear": () => (/* binding */ FaRegSadTear),
/* harmony export */   "FaRegSave": () => (/* binding */ FaRegSave),
/* harmony export */   "FaRegShareSquare": () => (/* binding */ FaRegShareSquare),
/* harmony export */   "FaRegSmile": () => (/* binding */ FaRegSmile),
/* harmony export */   "FaRegSmileBeam": () => (/* binding */ FaRegSmileBeam),
/* harmony export */   "FaRegSmileWink": () => (/* binding */ FaRegSmileWink),
/* harmony export */   "FaRegSnowflake": () => (/* binding */ FaRegSnowflake),
/* harmony export */   "FaRegSquare": () => (/* binding */ FaRegSquare),
/* harmony export */   "FaRegStar": () => (/* binding */ FaRegStar),
/* harmony export */   "FaRegStarHalf": () => (/* binding */ FaRegStarHalf),
/* harmony export */   "FaRegStickyNote": () => (/* binding */ FaRegStickyNote),
/* harmony export */   "FaRegStopCircle": () => (/* binding */ FaRegStopCircle),
/* harmony export */   "FaRegSun": () => (/* binding */ FaRegSun),
/* harmony export */   "FaRegSurprise": () => (/* binding */ FaRegSurprise),
/* harmony export */   "FaRegThumbsDown": () => (/* binding */ FaRegThumbsDown),
/* harmony export */   "FaRegThumbsUp": () => (/* binding */ FaRegThumbsUp),
/* harmony export */   "FaRegTimesCircle": () => (/* binding */ FaRegTimesCircle),
/* harmony export */   "FaRegTired": () => (/* binding */ FaRegTired),
/* harmony export */   "FaRegTrashAlt": () => (/* binding */ FaRegTrashAlt),
/* harmony export */   "FaRegUser": () => (/* binding */ FaRegUser),
/* harmony export */   "FaRegUserCircle": () => (/* binding */ FaRegUserCircle),
/* harmony export */   "FaRegWindowClose": () => (/* binding */ FaRegWindowClose),
/* harmony export */   "FaRegWindowMaximize": () => (/* binding */ FaRegWindowMaximize),
/* harmony export */   "FaRegWindowMinimize": () => (/* binding */ FaRegWindowMinimize),
/* harmony export */   "FaRegWindowRestore": () => (/* binding */ FaRegWindowRestore),
/* harmony export */   "FaRegistered": () => (/* binding */ FaRegistered),
/* harmony export */   "FaRemoveFormat": () => (/* binding */ FaRemoveFormat),
/* harmony export */   "FaRenren": () => (/* binding */ FaRenren),
/* harmony export */   "FaReply": () => (/* binding */ FaReply),
/* harmony export */   "FaReplyAll": () => (/* binding */ FaReplyAll),
/* harmony export */   "FaReplyd": () => (/* binding */ FaReplyd),
/* harmony export */   "FaRepublican": () => (/* binding */ FaRepublican),
/* harmony export */   "FaResearchgate": () => (/* binding */ FaResearchgate),
/* harmony export */   "FaResolving": () => (/* binding */ FaResolving),
/* harmony export */   "FaRestroom": () => (/* binding */ FaRestroom),
/* harmony export */   "FaRetweet": () => (/* binding */ FaRetweet),
/* harmony export */   "FaRev": () => (/* binding */ FaRev),
/* harmony export */   "FaRibbon": () => (/* binding */ FaRibbon),
/* harmony export */   "FaRing": () => (/* binding */ FaRing),
/* harmony export */   "FaRoad": () => (/* binding */ FaRoad),
/* harmony export */   "FaRobot": () => (/* binding */ FaRobot),
/* harmony export */   "FaRocket": () => (/* binding */ FaRocket),
/* harmony export */   "FaRocketchat": () => (/* binding */ FaRocketchat),
/* harmony export */   "FaRockrms": () => (/* binding */ FaRockrms),
/* harmony export */   "FaRoute": () => (/* binding */ FaRoute),
/* harmony export */   "FaRss": () => (/* binding */ FaRss),
/* harmony export */   "FaRssSquare": () => (/* binding */ FaRssSquare),
/* harmony export */   "FaRubleSign": () => (/* binding */ FaRubleSign),
/* harmony export */   "FaRuler": () => (/* binding */ FaRuler),
/* harmony export */   "FaRulerCombined": () => (/* binding */ FaRulerCombined),
/* harmony export */   "FaRulerHorizontal": () => (/* binding */ FaRulerHorizontal),
/* harmony export */   "FaRulerVertical": () => (/* binding */ FaRulerVertical),
/* harmony export */   "FaRunning": () => (/* binding */ FaRunning),
/* harmony export */   "FaRupeeSign": () => (/* binding */ FaRupeeSign),
/* harmony export */   "FaSadCry": () => (/* binding */ FaSadCry),
/* harmony export */   "FaSadTear": () => (/* binding */ FaSadTear),
/* harmony export */   "FaSafari": () => (/* binding */ FaSafari),
/* harmony export */   "FaSalesforce": () => (/* binding */ FaSalesforce),
/* harmony export */   "FaSass": () => (/* binding */ FaSass),
/* harmony export */   "FaSatellite": () => (/* binding */ FaSatellite),
/* harmony export */   "FaSatelliteDish": () => (/* binding */ FaSatelliteDish),
/* harmony export */   "FaSave": () => (/* binding */ FaSave),
/* harmony export */   "FaSchlix": () => (/* binding */ FaSchlix),
/* harmony export */   "FaSchool": () => (/* binding */ FaSchool),
/* harmony export */   "FaScrewdriver": () => (/* binding */ FaScrewdriver),
/* harmony export */   "FaScribd": () => (/* binding */ FaScribd),
/* harmony export */   "FaScroll": () => (/* binding */ FaScroll),
/* harmony export */   "FaSdCard": () => (/* binding */ FaSdCard),
/* harmony export */   "FaSearch": () => (/* binding */ FaSearch),
/* harmony export */   "FaSearchDollar": () => (/* binding */ FaSearchDollar),
/* harmony export */   "FaSearchLocation": () => (/* binding */ FaSearchLocation),
/* harmony export */   "FaSearchMinus": () => (/* binding */ FaSearchMinus),
/* harmony export */   "FaSearchPlus": () => (/* binding */ FaSearchPlus),
/* harmony export */   "FaSearchengin": () => (/* binding */ FaSearchengin),
/* harmony export */   "FaSeedling": () => (/* binding */ FaSeedling),
/* harmony export */   "FaSellcast": () => (/* binding */ FaSellcast),
/* harmony export */   "FaSellsy": () => (/* binding */ FaSellsy),
/* harmony export */   "FaServer": () => (/* binding */ FaServer),
/* harmony export */   "FaServicestack": () => (/* binding */ FaServicestack),
/* harmony export */   "FaShapes": () => (/* binding */ FaShapes),
/* harmony export */   "FaShare": () => (/* binding */ FaShare),
/* harmony export */   "FaShareAlt": () => (/* binding */ FaShareAlt),
/* harmony export */   "FaShareAltSquare": () => (/* binding */ FaShareAltSquare),
/* harmony export */   "FaShareSquare": () => (/* binding */ FaShareSquare),
/* harmony export */   "FaShekelSign": () => (/* binding */ FaShekelSign),
/* harmony export */   "FaShieldAlt": () => (/* binding */ FaShieldAlt),
/* harmony export */   "FaShip": () => (/* binding */ FaShip),
/* harmony export */   "FaShippingFast": () => (/* binding */ FaShippingFast),
/* harmony export */   "FaShirtsinbulk": () => (/* binding */ FaShirtsinbulk),
/* harmony export */   "FaShoePrints": () => (/* binding */ FaShoePrints),
/* harmony export */   "FaShopify": () => (/* binding */ FaShopify),
/* harmony export */   "FaShoppingBag": () => (/* binding */ FaShoppingBag),
/* harmony export */   "FaShoppingBasket": () => (/* binding */ FaShoppingBasket),
/* harmony export */   "FaShoppingCart": () => (/* binding */ FaShoppingCart),
/* harmony export */   "FaShopware": () => (/* binding */ FaShopware),
/* harmony export */   "FaShower": () => (/* binding */ FaShower),
/* harmony export */   "FaShuttleVan": () => (/* binding */ FaShuttleVan),
/* harmony export */   "FaSign": () => (/* binding */ FaSign),
/* harmony export */   "FaSignInAlt": () => (/* binding */ FaSignInAlt),
/* harmony export */   "FaSignLanguage": () => (/* binding */ FaSignLanguage),
/* harmony export */   "FaSignOutAlt": () => (/* binding */ FaSignOutAlt),
/* harmony export */   "FaSignal": () => (/* binding */ FaSignal),
/* harmony export */   "FaSignature": () => (/* binding */ FaSignature),
/* harmony export */   "FaSimCard": () => (/* binding */ FaSimCard),
/* harmony export */   "FaSimplybuilt": () => (/* binding */ FaSimplybuilt),
/* harmony export */   "FaSistrix": () => (/* binding */ FaSistrix),
/* harmony export */   "FaSitemap": () => (/* binding */ FaSitemap),
/* harmony export */   "FaSith": () => (/* binding */ FaSith),
/* harmony export */   "FaSkating": () => (/* binding */ FaSkating),
/* harmony export */   "FaSketch": () => (/* binding */ FaSketch),
/* harmony export */   "FaSkiing": () => (/* binding */ FaSkiing),
/* harmony export */   "FaSkiingNordic": () => (/* binding */ FaSkiingNordic),
/* harmony export */   "FaSkull": () => (/* binding */ FaSkull),
/* harmony export */   "FaSkullCrossbones": () => (/* binding */ FaSkullCrossbones),
/* harmony export */   "FaSkyatlas": () => (/* binding */ FaSkyatlas),
/* harmony export */   "FaSkype": () => (/* binding */ FaSkype),
/* harmony export */   "FaSlack": () => (/* binding */ FaSlack),
/* harmony export */   "FaSlackHash": () => (/* binding */ FaSlackHash),
/* harmony export */   "FaSlash": () => (/* binding */ FaSlash),
/* harmony export */   "FaSleigh": () => (/* binding */ FaSleigh),
/* harmony export */   "FaSlidersH": () => (/* binding */ FaSlidersH),
/* harmony export */   "FaSlideshare": () => (/* binding */ FaSlideshare),
/* harmony export */   "FaSmile": () => (/* binding */ FaSmile),
/* harmony export */   "FaSmileBeam": () => (/* binding */ FaSmileBeam),
/* harmony export */   "FaSmileWink": () => (/* binding */ FaSmileWink),
/* harmony export */   "FaSmog": () => (/* binding */ FaSmog),
/* harmony export */   "FaSmoking": () => (/* binding */ FaSmoking),
/* harmony export */   "FaSmokingBan": () => (/* binding */ FaSmokingBan),
/* harmony export */   "FaSms": () => (/* binding */ FaSms),
/* harmony export */   "FaSnapchat": () => (/* binding */ FaSnapchat),
/* harmony export */   "FaSnapchatGhost": () => (/* binding */ FaSnapchatGhost),
/* harmony export */   "FaSnapchatSquare": () => (/* binding */ FaSnapchatSquare),
/* harmony export */   "FaSnowboarding": () => (/* binding */ FaSnowboarding),
/* harmony export */   "FaSnowflake": () => (/* binding */ FaSnowflake),
/* harmony export */   "FaSnowman": () => (/* binding */ FaSnowman),
/* harmony export */   "FaSnowplow": () => (/* binding */ FaSnowplow),
/* harmony export */   "FaSocks": () => (/* binding */ FaSocks),
/* harmony export */   "FaSolarPanel": () => (/* binding */ FaSolarPanel),
/* harmony export */   "FaSort": () => (/* binding */ FaSort),
/* harmony export */   "FaSortAlphaDown": () => (/* binding */ FaSortAlphaDown),
/* harmony export */   "FaSortAlphaDownAlt": () => (/* binding */ FaSortAlphaDownAlt),
/* harmony export */   "FaSortAlphaUp": () => (/* binding */ FaSortAlphaUp),
/* harmony export */   "FaSortAlphaUpAlt": () => (/* binding */ FaSortAlphaUpAlt),
/* harmony export */   "FaSortAmountDown": () => (/* binding */ FaSortAmountDown),
/* harmony export */   "FaSortAmountDownAlt": () => (/* binding */ FaSortAmountDownAlt),
/* harmony export */   "FaSortAmountUp": () => (/* binding */ FaSortAmountUp),
/* harmony export */   "FaSortAmountUpAlt": () => (/* binding */ FaSortAmountUpAlt),
/* harmony export */   "FaSortDown": () => (/* binding */ FaSortDown),
/* harmony export */   "FaSortNumericDown": () => (/* binding */ FaSortNumericDown),
/* harmony export */   "FaSortNumericDownAlt": () => (/* binding */ FaSortNumericDownAlt),
/* harmony export */   "FaSortNumericUp": () => (/* binding */ FaSortNumericUp),
/* harmony export */   "FaSortNumericUpAlt": () => (/* binding */ FaSortNumericUpAlt),
/* harmony export */   "FaSortUp": () => (/* binding */ FaSortUp),
/* harmony export */   "FaSoundcloud": () => (/* binding */ FaSoundcloud),
/* harmony export */   "FaSourcetree": () => (/* binding */ FaSourcetree),
/* harmony export */   "FaSpa": () => (/* binding */ FaSpa),
/* harmony export */   "FaSpaceShuttle": () => (/* binding */ FaSpaceShuttle),
/* harmony export */   "FaSpeakap": () => (/* binding */ FaSpeakap),
/* harmony export */   "FaSpeakerDeck": () => (/* binding */ FaSpeakerDeck),
/* harmony export */   "FaSpellCheck": () => (/* binding */ FaSpellCheck),
/* harmony export */   "FaSpider": () => (/* binding */ FaSpider),
/* harmony export */   "FaSpinner": () => (/* binding */ FaSpinner),
/* harmony export */   "FaSplotch": () => (/* binding */ FaSplotch),
/* harmony export */   "FaSpotify": () => (/* binding */ FaSpotify),
/* harmony export */   "FaSprayCan": () => (/* binding */ FaSprayCan),
/* harmony export */   "FaSquare": () => (/* binding */ FaSquare),
/* harmony export */   "FaSquareFull": () => (/* binding */ FaSquareFull),
/* harmony export */   "FaSquareRootAlt": () => (/* binding */ FaSquareRootAlt),
/* harmony export */   "FaSquarespace": () => (/* binding */ FaSquarespace),
/* harmony export */   "FaStackExchange": () => (/* binding */ FaStackExchange),
/* harmony export */   "FaStackOverflow": () => (/* binding */ FaStackOverflow),
/* harmony export */   "FaStackpath": () => (/* binding */ FaStackpath),
/* harmony export */   "FaStamp": () => (/* binding */ FaStamp),
/* harmony export */   "FaStar": () => (/* binding */ FaStar),
/* harmony export */   "FaStarAndCrescent": () => (/* binding */ FaStarAndCrescent),
/* harmony export */   "FaStarHalf": () => (/* binding */ FaStarHalf),
/* harmony export */   "FaStarHalfAlt": () => (/* binding */ FaStarHalfAlt),
/* harmony export */   "FaStarOfDavid": () => (/* binding */ FaStarOfDavid),
/* harmony export */   "FaStarOfLife": () => (/* binding */ FaStarOfLife),
/* harmony export */   "FaStaylinked": () => (/* binding */ FaStaylinked),
/* harmony export */   "FaSteam": () => (/* binding */ FaSteam),
/* harmony export */   "FaSteamSquare": () => (/* binding */ FaSteamSquare),
/* harmony export */   "FaSteamSymbol": () => (/* binding */ FaSteamSymbol),
/* harmony export */   "FaStepBackward": () => (/* binding */ FaStepBackward),
/* harmony export */   "FaStepForward": () => (/* binding */ FaStepForward),
/* harmony export */   "FaStethoscope": () => (/* binding */ FaStethoscope),
/* harmony export */   "FaStickerMule": () => (/* binding */ FaStickerMule),
/* harmony export */   "FaStickyNote": () => (/* binding */ FaStickyNote),
/* harmony export */   "FaStop": () => (/* binding */ FaStop),
/* harmony export */   "FaStopCircle": () => (/* binding */ FaStopCircle),
/* harmony export */   "FaStopwatch": () => (/* binding */ FaStopwatch),
/* harmony export */   "FaStore": () => (/* binding */ FaStore),
/* harmony export */   "FaStoreAlt": () => (/* binding */ FaStoreAlt),
/* harmony export */   "FaStrava": () => (/* binding */ FaStrava),
/* harmony export */   "FaStream": () => (/* binding */ FaStream),
/* harmony export */   "FaStreetView": () => (/* binding */ FaStreetView),
/* harmony export */   "FaStrikethrough": () => (/* binding */ FaStrikethrough),
/* harmony export */   "FaStripe": () => (/* binding */ FaStripe),
/* harmony export */   "FaStripeS": () => (/* binding */ FaStripeS),
/* harmony export */   "FaStroopwafel": () => (/* binding */ FaStroopwafel),
/* harmony export */   "FaStudiovinari": () => (/* binding */ FaStudiovinari),
/* harmony export */   "FaStumbleupon": () => (/* binding */ FaStumbleupon),
/* harmony export */   "FaStumbleuponCircle": () => (/* binding */ FaStumbleuponCircle),
/* harmony export */   "FaSubscript": () => (/* binding */ FaSubscript),
/* harmony export */   "FaSubway": () => (/* binding */ FaSubway),
/* harmony export */   "FaSuitcase": () => (/* binding */ FaSuitcase),
/* harmony export */   "FaSuitcaseRolling": () => (/* binding */ FaSuitcaseRolling),
/* harmony export */   "FaSun": () => (/* binding */ FaSun),
/* harmony export */   "FaSuperpowers": () => (/* binding */ FaSuperpowers),
/* harmony export */   "FaSuperscript": () => (/* binding */ FaSuperscript),
/* harmony export */   "FaSupple": () => (/* binding */ FaSupple),
/* harmony export */   "FaSurprise": () => (/* binding */ FaSurprise),
/* harmony export */   "FaSuse": () => (/* binding */ FaSuse),
/* harmony export */   "FaSwatchbook": () => (/* binding */ FaSwatchbook),
/* harmony export */   "FaSwift": () => (/* binding */ FaSwift),
/* harmony export */   "FaSwimmer": () => (/* binding */ FaSwimmer),
/* harmony export */   "FaSwimmingPool": () => (/* binding */ FaSwimmingPool),
/* harmony export */   "FaSymfony": () => (/* binding */ FaSymfony),
/* harmony export */   "FaSynagogue": () => (/* binding */ FaSynagogue),
/* harmony export */   "FaSync": () => (/* binding */ FaSync),
/* harmony export */   "FaSyncAlt": () => (/* binding */ FaSyncAlt),
/* harmony export */   "FaSyringe": () => (/* binding */ FaSyringe),
/* harmony export */   "FaTable": () => (/* binding */ FaTable),
/* harmony export */   "FaTableTennis": () => (/* binding */ FaTableTennis),
/* harmony export */   "FaTablet": () => (/* binding */ FaTablet),
/* harmony export */   "FaTabletAlt": () => (/* binding */ FaTabletAlt),
/* harmony export */   "FaTablets": () => (/* binding */ FaTablets),
/* harmony export */   "FaTachometerAlt": () => (/* binding */ FaTachometerAlt),
/* harmony export */   "FaTag": () => (/* binding */ FaTag),
/* harmony export */   "FaTags": () => (/* binding */ FaTags),
/* harmony export */   "FaTape": () => (/* binding */ FaTape),
/* harmony export */   "FaTasks": () => (/* binding */ FaTasks),
/* harmony export */   "FaTaxi": () => (/* binding */ FaTaxi),
/* harmony export */   "FaTeamspeak": () => (/* binding */ FaTeamspeak),
/* harmony export */   "FaTeeth": () => (/* binding */ FaTeeth),
/* harmony export */   "FaTeethOpen": () => (/* binding */ FaTeethOpen),
/* harmony export */   "FaTelegram": () => (/* binding */ FaTelegram),
/* harmony export */   "FaTelegramPlane": () => (/* binding */ FaTelegramPlane),
/* harmony export */   "FaTemperatureHigh": () => (/* binding */ FaTemperatureHigh),
/* harmony export */   "FaTemperatureLow": () => (/* binding */ FaTemperatureLow),
/* harmony export */   "FaTencentWeibo": () => (/* binding */ FaTencentWeibo),
/* harmony export */   "FaTenge": () => (/* binding */ FaTenge),
/* harmony export */   "FaTerminal": () => (/* binding */ FaTerminal),
/* harmony export */   "FaTextHeight": () => (/* binding */ FaTextHeight),
/* harmony export */   "FaTextWidth": () => (/* binding */ FaTextWidth),
/* harmony export */   "FaTh": () => (/* binding */ FaTh),
/* harmony export */   "FaThLarge": () => (/* binding */ FaThLarge),
/* harmony export */   "FaThList": () => (/* binding */ FaThList),
/* harmony export */   "FaTheRedYeti": () => (/* binding */ FaTheRedYeti),
/* harmony export */   "FaTheaterMasks": () => (/* binding */ FaTheaterMasks),
/* harmony export */   "FaThemeco": () => (/* binding */ FaThemeco),
/* harmony export */   "FaThemeisle": () => (/* binding */ FaThemeisle),
/* harmony export */   "FaThermometer": () => (/* binding */ FaThermometer),
/* harmony export */   "FaThermometerEmpty": () => (/* binding */ FaThermometerEmpty),
/* harmony export */   "FaThermometerFull": () => (/* binding */ FaThermometerFull),
/* harmony export */   "FaThermometerHalf": () => (/* binding */ FaThermometerHalf),
/* harmony export */   "FaThermometerQuarter": () => (/* binding */ FaThermometerQuarter),
/* harmony export */   "FaThermometerThreeQuarters": () => (/* binding */ FaThermometerThreeQuarters),
/* harmony export */   "FaThinkPeaks": () => (/* binding */ FaThinkPeaks),
/* harmony export */   "FaThumbsDown": () => (/* binding */ FaThumbsDown),
/* harmony export */   "FaThumbsUp": () => (/* binding */ FaThumbsUp),
/* harmony export */   "FaThumbtack": () => (/* binding */ FaThumbtack),
/* harmony export */   "FaTicketAlt": () => (/* binding */ FaTicketAlt),
/* harmony export */   "FaTimes": () => (/* binding */ FaTimes),
/* harmony export */   "FaTimesCircle": () => (/* binding */ FaTimesCircle),
/* harmony export */   "FaTint": () => (/* binding */ FaTint),
/* harmony export */   "FaTintSlash": () => (/* binding */ FaTintSlash),
/* harmony export */   "FaTired": () => (/* binding */ FaTired),
/* harmony export */   "FaToggleOff": () => (/* binding */ FaToggleOff),
/* harmony export */   "FaToggleOn": () => (/* binding */ FaToggleOn),
/* harmony export */   "FaToilet": () => (/* binding */ FaToilet),
/* harmony export */   "FaToiletPaper": () => (/* binding */ FaToiletPaper),
/* harmony export */   "FaToolbox": () => (/* binding */ FaToolbox),
/* harmony export */   "FaTools": () => (/* binding */ FaTools),
/* harmony export */   "FaTooth": () => (/* binding */ FaTooth),
/* harmony export */   "FaTorah": () => (/* binding */ FaTorah),
/* harmony export */   "FaToriiGate": () => (/* binding */ FaToriiGate),
/* harmony export */   "FaTractor": () => (/* binding */ FaTractor),
/* harmony export */   "FaTradeFederation": () => (/* binding */ FaTradeFederation),
/* harmony export */   "FaTrademark": () => (/* binding */ FaTrademark),
/* harmony export */   "FaTrafficLight": () => (/* binding */ FaTrafficLight),
/* harmony export */   "FaTrailer": () => (/* binding */ FaTrailer),
/* harmony export */   "FaTrain": () => (/* binding */ FaTrain),
/* harmony export */   "FaTram": () => (/* binding */ FaTram),
/* harmony export */   "FaTransgender": () => (/* binding */ FaTransgender),
/* harmony export */   "FaTransgenderAlt": () => (/* binding */ FaTransgenderAlt),
/* harmony export */   "FaTrash": () => (/* binding */ FaTrash),
/* harmony export */   "FaTrashAlt": () => (/* binding */ FaTrashAlt),
/* harmony export */   "FaTrashRestore": () => (/* binding */ FaTrashRestore),
/* harmony export */   "FaTrashRestoreAlt": () => (/* binding */ FaTrashRestoreAlt),
/* harmony export */   "FaTree": () => (/* binding */ FaTree),
/* harmony export */   "FaTrello": () => (/* binding */ FaTrello),
/* harmony export */   "FaTripadvisor": () => (/* binding */ FaTripadvisor),
/* harmony export */   "FaTrophy": () => (/* binding */ FaTrophy),
/* harmony export */   "FaTruck": () => (/* binding */ FaTruck),
/* harmony export */   "FaTruckLoading": () => (/* binding */ FaTruckLoading),
/* harmony export */   "FaTruckMonster": () => (/* binding */ FaTruckMonster),
/* harmony export */   "FaTruckMoving": () => (/* binding */ FaTruckMoving),
/* harmony export */   "FaTruckPickup": () => (/* binding */ FaTruckPickup),
/* harmony export */   "FaTshirt": () => (/* binding */ FaTshirt),
/* harmony export */   "FaTty": () => (/* binding */ FaTty),
/* harmony export */   "FaTumblr": () => (/* binding */ FaTumblr),
/* harmony export */   "FaTumblrSquare": () => (/* binding */ FaTumblrSquare),
/* harmony export */   "FaTv": () => (/* binding */ FaTv),
/* harmony export */   "FaTwitch": () => (/* binding */ FaTwitch),
/* harmony export */   "FaTwitter": () => (/* binding */ FaTwitter),
/* harmony export */   "FaTwitterSquare": () => (/* binding */ FaTwitterSquare),
/* harmony export */   "FaTypo3": () => (/* binding */ FaTypo3),
/* harmony export */   "FaUber": () => (/* binding */ FaUber),
/* harmony export */   "FaUbuntu": () => (/* binding */ FaUbuntu),
/* harmony export */   "FaUikit": () => (/* binding */ FaUikit),
/* harmony export */   "FaUmbraco": () => (/* binding */ FaUmbraco),
/* harmony export */   "FaUmbrella": () => (/* binding */ FaUmbrella),
/* harmony export */   "FaUmbrellaBeach": () => (/* binding */ FaUmbrellaBeach),
/* harmony export */   "FaUnderline": () => (/* binding */ FaUnderline),
/* harmony export */   "FaUndo": () => (/* binding */ FaUndo),
/* harmony export */   "FaUndoAlt": () => (/* binding */ FaUndoAlt),
/* harmony export */   "FaUniregistry": () => (/* binding */ FaUniregistry),
/* harmony export */   "FaUnity": () => (/* binding */ FaUnity),
/* harmony export */   "FaUniversalAccess": () => (/* binding */ FaUniversalAccess),
/* harmony export */   "FaUniversity": () => (/* binding */ FaUniversity),
/* harmony export */   "FaUnlink": () => (/* binding */ FaUnlink),
/* harmony export */   "FaUnlock": () => (/* binding */ FaUnlock),
/* harmony export */   "FaUnlockAlt": () => (/* binding */ FaUnlockAlt),
/* harmony export */   "FaUntappd": () => (/* binding */ FaUntappd),
/* harmony export */   "FaUpload": () => (/* binding */ FaUpload),
/* harmony export */   "FaUps": () => (/* binding */ FaUps),
/* harmony export */   "FaUsb": () => (/* binding */ FaUsb),
/* harmony export */   "FaUser": () => (/* binding */ FaUser),
/* harmony export */   "FaUserAlt": () => (/* binding */ FaUserAlt),
/* harmony export */   "FaUserAltSlash": () => (/* binding */ FaUserAltSlash),
/* harmony export */   "FaUserAstronaut": () => (/* binding */ FaUserAstronaut),
/* harmony export */   "FaUserCheck": () => (/* binding */ FaUserCheck),
/* harmony export */   "FaUserCircle": () => (/* binding */ FaUserCircle),
/* harmony export */   "FaUserClock": () => (/* binding */ FaUserClock),
/* harmony export */   "FaUserCog": () => (/* binding */ FaUserCog),
/* harmony export */   "FaUserEdit": () => (/* binding */ FaUserEdit),
/* harmony export */   "FaUserFriends": () => (/* binding */ FaUserFriends),
/* harmony export */   "FaUserGraduate": () => (/* binding */ FaUserGraduate),
/* harmony export */   "FaUserInjured": () => (/* binding */ FaUserInjured),
/* harmony export */   "FaUserLock": () => (/* binding */ FaUserLock),
/* harmony export */   "FaUserMd": () => (/* binding */ FaUserMd),
/* harmony export */   "FaUserMinus": () => (/* binding */ FaUserMinus),
/* harmony export */   "FaUserNinja": () => (/* binding */ FaUserNinja),
/* harmony export */   "FaUserNurse": () => (/* binding */ FaUserNurse),
/* harmony export */   "FaUserPlus": () => (/* binding */ FaUserPlus),
/* harmony export */   "FaUserSecret": () => (/* binding */ FaUserSecret),
/* harmony export */   "FaUserShield": () => (/* binding */ FaUserShield),
/* harmony export */   "FaUserSlash": () => (/* binding */ FaUserSlash),
/* harmony export */   "FaUserTag": () => (/* binding */ FaUserTag),
/* harmony export */   "FaUserTie": () => (/* binding */ FaUserTie),
/* harmony export */   "FaUserTimes": () => (/* binding */ FaUserTimes),
/* harmony export */   "FaUsers": () => (/* binding */ FaUsers),
/* harmony export */   "FaUsersCog": () => (/* binding */ FaUsersCog),
/* harmony export */   "FaUsps": () => (/* binding */ FaUsps),
/* harmony export */   "FaUssunnah": () => (/* binding */ FaUssunnah),
/* harmony export */   "FaUtensilSpoon": () => (/* binding */ FaUtensilSpoon),
/* harmony export */   "FaUtensils": () => (/* binding */ FaUtensils),
/* harmony export */   "FaVaadin": () => (/* binding */ FaVaadin),
/* harmony export */   "FaVectorSquare": () => (/* binding */ FaVectorSquare),
/* harmony export */   "FaVenus": () => (/* binding */ FaVenus),
/* harmony export */   "FaVenusDouble": () => (/* binding */ FaVenusDouble),
/* harmony export */   "FaVenusMars": () => (/* binding */ FaVenusMars),
/* harmony export */   "FaViacoin": () => (/* binding */ FaViacoin),
/* harmony export */   "FaViadeo": () => (/* binding */ FaViadeo),
/* harmony export */   "FaViadeoSquare": () => (/* binding */ FaViadeoSquare),
/* harmony export */   "FaVial": () => (/* binding */ FaVial),
/* harmony export */   "FaVials": () => (/* binding */ FaVials),
/* harmony export */   "FaViber": () => (/* binding */ FaViber),
/* harmony export */   "FaVideo": () => (/* binding */ FaVideo),
/* harmony export */   "FaVideoSlash": () => (/* binding */ FaVideoSlash),
/* harmony export */   "FaVihara": () => (/* binding */ FaVihara),
/* harmony export */   "FaVimeo": () => (/* binding */ FaVimeo),
/* harmony export */   "FaVimeoSquare": () => (/* binding */ FaVimeoSquare),
/* harmony export */   "FaVimeoV": () => (/* binding */ FaVimeoV),
/* harmony export */   "FaVine": () => (/* binding */ FaVine),
/* harmony export */   "FaVk": () => (/* binding */ FaVk),
/* harmony export */   "FaVnv": () => (/* binding */ FaVnv),
/* harmony export */   "FaVoicemail": () => (/* binding */ FaVoicemail),
/* harmony export */   "FaVolleyballBall": () => (/* binding */ FaVolleyballBall),
/* harmony export */   "FaVolumeDown": () => (/* binding */ FaVolumeDown),
/* harmony export */   "FaVolumeMute": () => (/* binding */ FaVolumeMute),
/* harmony export */   "FaVolumeOff": () => (/* binding */ FaVolumeOff),
/* harmony export */   "FaVolumeUp": () => (/* binding */ FaVolumeUp),
/* harmony export */   "FaVoteYea": () => (/* binding */ FaVoteYea),
/* harmony export */   "FaVrCardboard": () => (/* binding */ FaVrCardboard),
/* harmony export */   "FaVuejs": () => (/* binding */ FaVuejs),
/* harmony export */   "FaWalking": () => (/* binding */ FaWalking),
/* harmony export */   "FaWallet": () => (/* binding */ FaWallet),
/* harmony export */   "FaWarehouse": () => (/* binding */ FaWarehouse),
/* harmony export */   "FaWater": () => (/* binding */ FaWater),
/* harmony export */   "FaWaveSquare": () => (/* binding */ FaWaveSquare),
/* harmony export */   "FaWaze": () => (/* binding */ FaWaze),
/* harmony export */   "FaWeebly": () => (/* binding */ FaWeebly),
/* harmony export */   "FaWeibo": () => (/* binding */ FaWeibo),
/* harmony export */   "FaWeight": () => (/* binding */ FaWeight),
/* harmony export */   "FaWeightHanging": () => (/* binding */ FaWeightHanging),
/* harmony export */   "FaWeixin": () => (/* binding */ FaWeixin),
/* harmony export */   "FaWhatsapp": () => (/* binding */ FaWhatsapp),
/* harmony export */   "FaWhatsappSquare": () => (/* binding */ FaWhatsappSquare),
/* harmony export */   "FaWheelchair": () => (/* binding */ FaWheelchair),
/* harmony export */   "FaWhmcs": () => (/* binding */ FaWhmcs),
/* harmony export */   "FaWifi": () => (/* binding */ FaWifi),
/* harmony export */   "FaWikipediaW": () => (/* binding */ FaWikipediaW),
/* harmony export */   "FaWind": () => (/* binding */ FaWind),
/* harmony export */   "FaWindowClose": () => (/* binding */ FaWindowClose),
/* harmony export */   "FaWindowMaximize": () => (/* binding */ FaWindowMaximize),
/* harmony export */   "FaWindowMinimize": () => (/* binding */ FaWindowMinimize),
/* harmony export */   "FaWindowRestore": () => (/* binding */ FaWindowRestore),
/* harmony export */   "FaWindows": () => (/* binding */ FaWindows),
/* harmony export */   "FaWineBottle": () => (/* binding */ FaWineBottle),
/* harmony export */   "FaWineGlass": () => (/* binding */ FaWineGlass),
/* harmony export */   "FaWineGlassAlt": () => (/* binding */ FaWineGlassAlt),
/* harmony export */   "FaWix": () => (/* binding */ FaWix),
/* harmony export */   "FaWizardsOfTheCoast": () => (/* binding */ FaWizardsOfTheCoast),
/* harmony export */   "FaWolfPackBattalion": () => (/* binding */ FaWolfPackBattalion),
/* harmony export */   "FaWonSign": () => (/* binding */ FaWonSign),
/* harmony export */   "FaWordpress": () => (/* binding */ FaWordpress),
/* harmony export */   "FaWordpressSimple": () => (/* binding */ FaWordpressSimple),
/* harmony export */   "FaWpbeginner": () => (/* binding */ FaWpbeginner),
/* harmony export */   "FaWpexplorer": () => (/* binding */ FaWpexplorer),
/* harmony export */   "FaWpforms": () => (/* binding */ FaWpforms),
/* harmony export */   "FaWpressr": () => (/* binding */ FaWpressr),
/* harmony export */   "FaWrench": () => (/* binding */ FaWrench),
/* harmony export */   "FaXRay": () => (/* binding */ FaXRay),
/* harmony export */   "FaXbox": () => (/* binding */ FaXbox),
/* harmony export */   "FaXing": () => (/* binding */ FaXing),
/* harmony export */   "FaXingSquare": () => (/* binding */ FaXingSquare),
/* harmony export */   "FaYCombinator": () => (/* binding */ FaYCombinator),
/* harmony export */   "FaYahoo": () => (/* binding */ FaYahoo),
/* harmony export */   "FaYammer": () => (/* binding */ FaYammer),
/* harmony export */   "FaYandex": () => (/* binding */ FaYandex),
/* harmony export */   "FaYandexInternational": () => (/* binding */ FaYandexInternational),
/* harmony export */   "FaYarn": () => (/* binding */ FaYarn),
/* harmony export */   "FaYelp": () => (/* binding */ FaYelp),
/* harmony export */   "FaYenSign": () => (/* binding */ FaYenSign),
/* harmony export */   "FaYinYang": () => (/* binding */ FaYinYang),
/* harmony export */   "FaYoast": () => (/* binding */ FaYoast),
/* harmony export */   "FaYoutube": () => (/* binding */ FaYoutube),
/* harmony export */   "FaYoutubeSquare": () => (/* binding */ FaYoutubeSquare),
/* harmony export */   "FaZhihu": () => (/* binding */ FaZhihu)
/* harmony export */ });
/* harmony import */ var _lib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../lib */ "./node_modules/react-icons/lib/esm/index.js");
// THIS FILE IS AUTO GENERATED

function Fa500Px (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M103.3 344.3c-6.5-14.2-6.9-18.3 7.4-23.1 25.6-8 8 9.2 43.2 49.2h.3v-93.9c1.2-50.2 44-92.2 97.7-92.2 53.9 0 97.7 43.5 97.7 96.8 0 63.4-60.8 113.2-128.5 93.3-10.5-4.2-2.1-31.7 8.5-28.6 53 0 89.4-10.1 89.4-64.4 0-61-77.1-89.6-116.9-44.6-23.5 26.4-17.6 42.1-17.6 157.6 50.7 31 118.3 22 160.4-20.1 24.8-24.8 38.5-58 38.5-93 0-35.2-13.8-68.2-38.8-93.3-24.8-24.8-57.8-38.5-93.3-38.5s-68.8 13.8-93.5 38.5c-.3.3-16 16.5-21.2 23.9l-.5.6c-3.3 4.7-6.3 9.1-20.1 6.1-6.9-1.7-14.3-5.8-14.3-11.8V20c0-5 3.9-10.5 10.5-10.5h241.3c8.3 0 8.3 11.6 8.3 15.1 0 3.9 0 15.1-8.3 15.1H130.3v132.9h.3c104.2-109.8 282.8-36 282.8 108.9 0 178.1-244.8 220.3-310.1 62.8zm63.3-260.8c-.5 4.2 4.6 24.5 14.6 20.6C306 56.6 384 144.5 390.6 144.5c4.8 0 22.8-15.3 14.3-22.8-93.2-89-234.5-57-238.3-38.2zM393 414.7C283 524.6 94 475.5 61 310.5c0-12.2-30.4-7.4-28.9 3.3 24 173.4 246 256.9 381.6 121.3 6.9-7.8-12.6-28.4-20.7-20.4zM213.6 306.6c0 4 4.3 7.3 5.5 8.5 3 3 6.1 4.4 8.5 4.4 3.8 0 2.6.2 22.3-19.5 19.6 19.3 19.1 19.5 22.3 19.5 5.4 0 18.5-10.4 10.7-18.2L265.6 284l18.2-18.2c6.3-6.8-10.1-21.8-16.2-15.7L249.7 268c-18.6-18.8-18.4-19.5-21.5-19.5-5 0-18 11.7-12.4 17.3L234 284c-18.1 17.9-20.4 19.2-20.4 22.6z"}}]})(props);
};
function FaAccessibleIcon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M423.9 255.8L411 413.1c-3.3 40.7-63.9 35.1-60.6-4.9l10-122.5-41.1 2.3c10.1 20.7 15.8 43.9 15.8 68.5 0 41.2-16.1 78.7-42.3 106.5l-39.3-39.3c57.9-63.7 13.1-167.2-74-167.2-25.9 0-49.5 9.9-67.2 26L73 243.2c22-20.7 50.1-35.1 81.4-40.2l75.3-85.7-42.6-24.8-51.6 46c-30 26.8-70.6-18.5-40.5-45.4l68-60.7c9.8-8.8 24.1-10.2 35.5-3.6 0 0 139.3 80.9 139.5 81.1 16.2 10.1 20.7 36 6.1 52.6L285.7 229l106.1-5.9c18.5-1.1 33.6 14.4 32.1 32.7zm-64.9-154c28.1 0 50.9-22.8 50.9-50.9C409.9 22.8 387.1 0 359 0c-28.1 0-50.9 22.8-50.9 50.9 0 28.1 22.8 50.9 50.9 50.9zM179.6 456.5c-80.6 0-127.4-90.6-82.7-156.1l-39.7-39.7C36.4 287 24 320.3 24 356.4c0 130.7 150.7 201.4 251.4 122.5l-39.7-39.7c-16 10.9-35.3 17.3-56.1 17.3z"}}]})(props);
};
function FaAccusoft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M322.1 252v-1l-51.2-65.8s-12 1.6-25 15.1c-9 9.3-242.1 239.1-243.4 240.9-7 10 1.6 6.8 15.7 1.7.8 0 114.5-36.6 114.5-36.6.5-.6-.1-.1.6-.6-.4-5.1-.8-26.2-1-27.7-.6-5.2 2.2-6.9 7-8.9l92.6-33.8c.6-.8 88.5-81.7 90.2-83.3zm160.1 120.1c13.3 16.1 20.7 13.3 30.8 9.3 3.2-1.2 115.4-47.6 117.8-48.9 8-4.3-1.7-16.7-7.2-23.4-2.1-2.5-205.1-245.6-207.2-248.3-9.7-12.2-14.3-12.9-38.4-12.8-10.2 0-106.8.5-116.5.6-19.2.1-32.9-.3-19.2 16.9C250 75 476.5 365.2 482.2 372.1zm152.7 1.6c-2.3-.3-24.6-4.7-38-7.2 0 0-115 50.4-117.5 51.6-16 7.3-26.9-3.2-36.7-14.6l-57.1-74c-5.4-.9-60.4-9.6-65.3-9.3-3.1.2-9.6.8-14.4 2.9-4.9 2.1-145.2 52.8-150.2 54.7-5.1 2-11.4 3.6-11.1 7.6.2 2.5 2 2.6 4.6 3.5 2.7.8 300.9 67.6 308 69.1 15.6 3.3 38.5 10.5 53.6 1.7 2.1-1.2 123.8-76.4 125.8-77.8 5.4-4 4.3-6.8-1.7-8.2z"}}]})(props);
};
function FaAcquisitionsIncorporated (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M357.45 468.2c-1.2-7.7-1.3-7.6-9.6-7.6-99.8.2-111.8-2.4-112.7-2.6-12.3-1.7-20.6-10.5-21-23.1-.1-1.6-.2-71.6-1-129.1-.1-4.7 1.6-6.4 5.9-7.5 12.5-3 24.9-6.1 37.3-9.7 4.3-1.3 6.8-.2 8.4 3.5 4.5 10.3 8.8 20.6 13.2 30.9 1.6 3.7.1 4.4-3.4 4.4-10-.2-20-.1-30.4-.1v27h116c-1.4-9.5-2.7-18.1-4-27.5-7 0-13.8.4-20.4-.1-22.6-1.6-18.3-4.4-84-158.6-8.8-20.1-27.9-62.1-36.5-89.2-4.4-14 5.5-25.4 18.9-26.6 18.6-1.7 37.5-1.6 56.2-2 20.6-.4 41.2-.4 61.8-.5 3.1 0 4-1.4 4.3-4.3 1.2-9.8 2.7-19.5 4-29.2.8-5.3 1.6-10.7 2.4-16.1L23.75 0c-3.6 0-5.3 1.1-4.6 5.3 2.2 13.2-.8.8 6.4 45.3 63.4 0 71.8.9 101.8.5 12.3-.2 37 3.5 37.7 22.1.4 11.4-1.1 11.3-32.6 87.4-53.8 129.8-50.7 120.3-67.3 161-1.7 4.1-3.6 5.2-7.6 5.2-8.5-.2-17-.3-25.4.1-1.9.1-5.2 1.8-5.5 3.2-1.5 8.1-2.2 16.3-3.2 24.9h114.3v-27.6c-6.9 0-33.5.4-35.3-2.9 5.3-12.3 10.4-24.4 15.7-36.7 16.3 4 31.9 7.8 47.6 11.7 3.4.9 4.6 3 4.6 6.8-.1 42.9.1 85.9.2 128.8 0 10.2-5.5 19.1-14.9 23.1-6.5 2.7-3.3 3.4-121.4 2.4-5.3 0-7.1 2-7.6 6.8-1.5 12.9-2.9 25.9-5 38.8-.8 5 1.3 5.7 5.3 5.7 183.2.6-30.7 0 337.1 0-2.5-15-4.4-29.4-6.6-43.7zm-174.9-205.7c-13.3-4.2-26.6-8.2-39.9-12.5a44.53 44.53 0 0 1-5.8-2.9c17.2-44.3 34.2-88.1 51.3-132.1 7.5 2.4 7.9-.8 9.4 0 9.3 22.5 18.1 60.1 27 82.8 6.6 16.7 13 33.5 19.7 50.9a35.78 35.78 0 0 1-3.9 2.1c-13.1 3.9-26.4 7.5-39.4 11.7a27.66 27.66 0 0 1-18.4 0z"}}]})(props);
};
function FaAdn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 167.5l64.9 98.8H183.1l64.9-98.8zM496 256c0 136.9-111.1 248-248 248S0 392.9 0 256 111.1 8 248 8s248 111.1 248 248zm-99.8 82.7L248 115.5 99.8 338.7h30.4l33.6-51.7h168.6l33.6 51.7h30.2z"}}]})(props);
};
function FaAdobe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M315.5 64h170.9v384L315.5 64zm-119 0H25.6v384L196.5 64zM256 206.1L363.5 448h-73l-30.7-76.8h-78.7L256 206.1z"}}]})(props);
};
function FaAdversal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M482.1 32H28.7C5.8 32 0 37.9 0 60.9v390.2C0 474.4 5.8 480 28.7 480h453.4c24.4 0 29.9-5.2 29.9-29.7V62.2c0-24.6-5.4-30.2-29.9-30.2zM178.4 220.3c-27.5-20.2-72.1-8.7-84.2 23.4-4.3 11.1-9.3 9.5-17.5 8.3-9.7-1.5-17.2-3.2-22.5-5.5-28.8-11.4 8.6-55.3 24.9-64.3 41.1-21.4 83.4-22.2 125.3-4.8 40.9 16.8 34.5 59.2 34.5 128.5 2.7 25.8-4.3 58.3 9.3 88.8 1.9 4.4.4 7.9-2.7 10.7-8.4 6.7-39.3 2.2-46.6-7.4-1.9-2.2-1.8-3.6-3.9-6.2-3.6-3.9-7.3-2.2-11.9 1-57.4 36.4-140.3 21.4-147-43.3-3.1-29.3 12.4-57.1 39.6-71 38.2-19.5 112.2-11.8 114-30.9 1.1-10.2-1.9-20.1-11.3-27.3zm286.7 222c0 15.1-11.1 9.9-17.8 9.9H52.4c-7.4 0-18.2 4.8-17.8-10.7.4-13.9 10.5-9.1 17.1-9.1 132.3-.4 264.5-.4 396.8 0 6.8 0 16.6-4.4 16.6 9.9zm3.8-340.5v291c0 5.7-.7 13.9-8.1 13.9-12.4-.4-27.5 7.1-36.1-5.6-5.8-8.7-7.8-4-12.4-1.2-53.4 29.7-128.1 7.1-144.4-85.2-6.1-33.4-.7-67.1 15.7-100 11.8-23.9 56.9-76.1 136.1-30.5v-71c0-26.2-.1-26.2 26-26.2 3.1 0 6.6.4 9.7 0 10.1-.8 13.6 4.4 13.6 14.3-.1.2-.1.3-.1.5zm-51.5 232.3c-19.5 47.6-72.9 43.3-90 5.2-15.1-33.3-15.5-68.2.4-101.5 16.3-34.1 59.7-35.7 81.5-4.8 20.6 28.8 14.9 84.6 8.1 101.1zm-294.8 35.3c-7.5-1.3-33-3.3-33.7-27.8-.4-13.9 7.8-23 19.8-25.8 24.4-5.9 49.3-9.9 73.7-14.7 8.9-2 7.4 4.4 7.8 9.5 1.4 33-26.1 59.2-67.6 58.8z"}}]})(props);
};
function FaAffiliatetheme (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M159.7 237.4C108.4 308.3 43.1 348.2 14 326.6-15.2 304.9 2.8 230 54.2 159.1c51.3-70.9 116.6-110.8 145.7-89.2 29.1 21.6 11.1 96.6-40.2 167.5zm351.2-57.3C437.1 303.5 319 367.8 246.4 323.7c-25-15.2-41.3-41.2-49-73.8-33.6 64.8-92.8 113.8-164.1 133.2 49.8 59.3 124.1 96.9 207 96.9 150 0 271.6-123.1 271.6-274.9.1-8.5-.3-16.8-1-25z"}}]})(props);
};
function FaAirbnb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M224 373.12c-25.24-31.67-40.08-59.43-45-83.18-22.55-88 112.61-88 90.06 0-5.45 24.25-20.29 52-45 83.18zm138.15 73.23c-42.06 18.31-83.67-10.88-119.3-50.47 103.9-130.07 46.11-200-18.85-200-54.92 0-85.16 46.51-73.28 100.5 6.93 29.19 25.23 62.39 54.43 99.5-32.53 36.05-60.55 52.69-85.15 54.92-50 7.43-89.11-41.06-71.3-91.09 15.1-39.16 111.72-231.18 115.87-241.56 15.75-30.07 25.56-57.4 59.38-57.4 32.34 0 43.4 25.94 60.37 59.87 36 70.62 89.35 177.48 114.84 239.09 13.17 33.07-1.37 71.29-37.01 86.64zm47-136.12C280.27 35.93 273.13 32 224 32c-45.52 0-64.87 31.67-84.66 72.79C33.18 317.1 22.89 347.19 22 349.81-3.22 419.14 48.74 480 111.63 480c21.71 0 60.61-6.06 112.37-62.4 58.68 63.78 101.26 62.4 112.37 62.4 62.89.05 114.85-60.86 89.61-130.19.02-3.89-16.82-38.9-16.82-39.58z"}}]})(props);
};
function FaAlgolia (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M229.3 182.6c-49.3 0-89.2 39.9-89.2 89.2 0 49.3 39.9 89.2 89.2 89.2s89.2-39.9 89.2-89.2c0-49.3-40-89.2-89.2-89.2zm62.7 56.6l-58.9 30.6c-1.8.9-3.8-.4-3.8-2.3V201c0-1.5 1.3-2.7 2.7-2.6 26.2 1 48.9 15.7 61.1 37.1.7 1.3.2 3-1.1 3.7zM389.1 32H58.9C26.4 32 0 58.4 0 90.9V421c0 32.6 26.4 59 58.9 59H389c32.6 0 58.9-26.4 58.9-58.9V90.9C448 58.4 421.6 32 389.1 32zm-202.6 84.7c0-10.8 8.7-19.5 19.5-19.5h45.3c10.8 0 19.5 8.7 19.5 19.5v15.4c0 1.8-1.7 3-3.3 2.5-12.3-3.4-25.1-5.1-38.1-5.1-13.5 0-26.7 1.8-39.4 5.5-1.7.5-3.4-.8-3.4-2.5v-15.8zm-84.4 37l9.2-9.2c7.6-7.6 19.9-7.6 27.5 0l7.7 7.7c1.1 1.1 1 3-.3 4-6.2 4.5-12.1 9.4-17.6 14.9-5.4 5.4-10.4 11.3-14.8 17.4-1 1.3-2.9 1.5-4 .3l-7.7-7.7c-7.6-7.5-7.6-19.8 0-27.4zm127.2 244.8c-70 0-126.6-56.7-126.6-126.6s56.7-126.6 126.6-126.6c70 0 126.6 56.6 126.6 126.6 0 69.8-56.7 126.6-126.6 126.6z"}}]})(props);
};
function FaAlipay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M377.74 32H70.26C31.41 32 0 63.41 0 102.26v307.48C0 448.59 31.41 480 70.26 480h307.48c38.52 0 69.76-31.08 70.26-69.6-45.96-25.62-110.59-60.34-171.6-88.44-32.07 43.97-84.14 81-148.62 81-70.59 0-93.73-45.3-97.04-76.37-3.97-39.01 14.88-81.5 99.52-81.5 35.38 0 79.35 10.25 127.13 24.96 16.53-30.09 26.45-60.34 26.45-60.34h-178.2v-16.7h92.08v-31.24H88.28v-19.01h109.44V92.34h50.92v50.42h109.44v19.01H248.63v31.24h88.77s-15.21 46.62-38.35 90.92c48.93 16.7 100.01 36.04 148.62 52.74V102.26C447.83 63.57 416.43 32 377.74 32zM47.28 322.95c.99 20.17 10.25 53.73 69.93 53.73 52.07 0 92.58-39.68 117.87-72.9-44.63-18.68-84.48-31.41-109.44-31.41-67.45 0-79.35 33.06-78.36 50.58z"}}]})(props);
};
function FaAmazonPay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M14 325.3c2.3-4.2 5.2-4.9 9.7-2.5 10.4 5.6 20.6 11.4 31.2 16.7a595.88 595.88 0 0 0 127.4 46.3 616.61 616.61 0 0 0 63.2 11.8 603.33 603.33 0 0 0 95 5.2c17.4-.4 34.8-1.8 52.1-3.8a603.66 603.66 0 0 0 163.3-42.8c2.9-1.2 5.9-2 9.1-1.2 6.7 1.8 9 9 4.1 13.9a70 70 0 0 1-9.6 7.4c-30.7 21.1-64.2 36.4-99.6 47.9a473.31 473.31 0 0 1-75.1 17.6 431 431 0 0 1-53.2 4.8 21.3 21.3 0 0 0-2.5.3H308a21.3 21.3 0 0 0-2.5-.3c-3.6-.2-7.2-.3-10.7-.4a426.3 426.3 0 0 1-50.4-5.3A448.4 448.4 0 0 1 164 420a443.33 443.33 0 0 1-145.6-87c-1.8-1.6-3-3.8-4.4-5.7zM172 65.1l-4.3.6a80.92 80.92 0 0 0-38 15.1c-2.4 1.7-4.6 3.5-7.1 5.4a4.29 4.29 0 0 1-.4-1.4c-.4-2.7-.8-5.5-1.3-8.2-.7-4.6-3-6.6-7.6-6.6h-11.5c-6.9 0-8.2 1.3-8.2 8.2v209.3c0 1 0 2 .1 3 .2 3 2 4.9 4.9 5 7 .1 14.1.1 21.1 0 2.9 0 4.7-2 5-5 .1-1 .1-2 .1-3v-72.4c1.1.9 1.7 1.4 2.2 1.9 17.9 14.9 38.5 19.8 61 15.4 20.4-4 34.6-16.5 43.8-34.9 7-13.9 9.9-28.7 10.3-44.1.5-17.1-1.2-33.9-8.1-49.8-8.5-19.6-22.6-32.5-43.9-36.9-3.2-.7-6.5-1-9.8-1.5-2.8-.1-5.5-.1-8.3-.1zM124.6 107a3.48 3.48 0 0 1 1.7-3.3c13.7-9.5 28.8-14.5 45.6-13.2 14.9 1.1 27.1 8.4 33.5 25.9 3.9 10.7 4.9 21.8 4.9 33 0 10.4-.8 20.6-4 30.6-6.8 21.3-22.4 29.4-42.6 28.5-14-.6-26.2-6-37.4-13.9a3.57 3.57 0 0 1-1.7-3.3c.1-14.1 0-28.1 0-42.2s.1-28 0-42.1zm205.7-41.9c-1 .1-2 .3-2.9.4a148 148 0 0 0-28.9 4.1c-6.1 1.6-12 3.8-17.9 5.8-3.6 1.2-5.4 3.8-5.3 7.7.1 3.3-.1 6.6 0 9.9.1 4.8 2.1 6.1 6.8 4.9 7.8-2 15.6-4.2 23.5-5.7 12.3-2.3 24.7-3.3 37.2-1.4 6.5 1 12.6 2.9 16.8 8.4 3.7 4.8 5.1 10.5 5.3 16.4.3 8.3.2 16.6.3 24.9a7.84 7.84 0 0 1-.2 1.4c-.5-.1-.9 0-1.3-.1a180.56 180.56 0 0 0-32-4.9c-11.3-.6-22.5.1-33.3 3.9-12.9 4.5-23.3 12.3-29.4 24.9-4.7 9.8-5.4 20.2-3.9 30.7 2 14 9 24.8 21.4 31.7 11.9 6.6 24.8 7.4 37.9 5.4 15.1-2.3 28.5-8.7 40.3-18.4a7.36 7.36 0 0 1 1.6-1.1c.6 3.8 1.1 7.4 1.8 11 .6 3.1 2.5 5.1 5.4 5.2 5.4.1 10.9.1 16.3 0a4.84 4.84 0 0 0 4.8-4.7 26.2 26.2 0 0 0 .1-2.8v-106a80 80 0 0 0-.9-12.9c-1.9-12.9-7.4-23.5-19-30.4-6.7-4-14.1-6-21.8-7.1-3.6-.5-7.2-.8-10.8-1.3-3.9.1-7.9.1-11.9.1zm35 127.7a3.33 3.33 0 0 1-1.5 3c-11.2 8.1-23.5 13.5-37.4 14.9-5.7.6-11.4.4-16.8-1.8a20.08 20.08 0 0 1-12.4-13.3 32.9 32.9 0 0 1-.1-19.4c2.5-8.3 8.4-13 16.4-15.6a61.33 61.33 0 0 1 24.8-2.2c8.4.7 16.6 2.3 25 3.4 1.6.2 2.1 1 2.1 2.6-.1 4.8 0 9.5 0 14.3s-.2 9.4-.1 14.1zm259.9 129.4c-1-5-4.8-6.9-9.1-8.3a88.42 88.42 0 0 0-21-3.9 147.32 147.32 0 0 0-39.2 1.9c-14.3 2.7-27.9 7.3-40 15.6a13.75 13.75 0 0 0-3.7 3.5 5.11 5.11 0 0 0-.5 4c.4 1.5 2.1 1.9 3.6 1.8a16.2 16.2 0 0 0 2.2-.1c7.8-.8 15.5-1.7 23.3-2.5 11.4-1.1 22.9-1.8 34.3-.9a71.64 71.64 0 0 1 14.4 2.7c5.1 1.4 7.4 5.2 7.6 10.4.4 8-1.4 15.7-3.5 23.3-4.1 15.4-10 30.3-15.8 45.1a17.6 17.6 0 0 0-1 3c-.5 2.9 1.2 4.8 4.1 4.1a10.56 10.56 0 0 0 4.8-2.5 145.91 145.91 0 0 0 12.7-13.4c12.8-16.4 20.3-35.3 24.7-55.6.8-3.6 1.4-7.3 2.1-10.9v-17.3zM493.1 199q-19.35-53.55-38.7-107.2c-2-5.7-4.2-11.3-6.3-16.9-1.1-2.9-3.2-4.8-6.4-4.8-7.6-.1-15.2-.2-22.9-.1-2.5 0-3.7 2-3.2 4.5a43.1 43.1 0 0 0 1.9 6.1q29.4 72.75 59.1 145.5c1.7 4.1 2.1 7.6.2 11.8-3.3 7.3-5.9 15-9.3 22.3-3 6.5-8 11.4-15.2 13.3a42.13 42.13 0 0 1-15.4 1.1c-2.5-.2-5-.8-7.5-1-3.4-.2-5.1 1.3-5.2 4.8q-.15 5 0 9.9c.1 5.5 2 8 7.4 8.9a108.18 108.18 0 0 0 16.9 2c17.1.4 30.7-6.5 39.5-21.4a131.63 131.63 0 0 0 9.2-18.4q35.55-89.7 70.6-179.6a26.62 26.62 0 0 0 1.6-5.5c.4-2.8-.9-4.4-3.7-4.4-6.6-.1-13.3 0-19.9 0a7.54 7.54 0 0 0-7.7 5.2c-.5 1.4-1.1 2.7-1.6 4.1l-34.8 100c-2.5 7.2-5.1 14.5-7.7 22.2-.4-1.1-.6-1.7-.9-2.4z"}}]})(props);
};
function FaAmazon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M257.2 162.7c-48.7 1.8-169.5 15.5-169.5 117.5 0 109.5 138.3 114 183.5 43.2 6.5 10.2 35.4 37.5 45.3 46.8l56.8-56S341 288.9 341 261.4V114.3C341 89 316.5 32 228.7 32 140.7 32 94 87 94 136.3l73.5 6.8c16.3-49.5 54.2-49.5 54.2-49.5 40.7-.1 35.5 29.8 35.5 69.1zm0 86.8c0 80-84.2 68-84.2 17.2 0-47.2 50.5-56.7 84.2-57.8v40.6zm136 163.5c-7.7 10-70 67-174.5 67S34.2 408.5 9.7 379c-6.8-7.7 1-11.3 5.5-8.3C88.5 415.2 203 488.5 387.7 401c7.5-3.7 13.3 2 5.5 12zm39.8 2.2c-6.5 15.8-16 26.8-21.2 31-5.5 4.5-9.5 2.7-6.5-3.8s19.3-46.5 12.7-55c-6.5-8.3-37-4.3-48-3.2-10.8 1-13 2-14-.3-2.3-5.7 21.7-15.5 37.5-17.5 15.7-1.8 41-.8 46 5.7 3.7 5.1 0 27.1-6.5 43.1z"}}]})(props);
};
function FaAmilia (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M240.1 32c-61.9 0-131.5 16.9-184.2 55.4-5.1 3.1-9.1 9.2-7.2 19.4 1.1 5.1 5.1 27.4 10.2 39.6 4.1 10.2 14.2 10.2 20.3 6.1 32.5-22.3 96.5-47.7 152.3-47.7 57.9 0 58.9 28.4 58.9 73.1v38.5C203 227.7 78.2 251 46.7 264.2 11.2 280.5 16.3 357.7 16.3 376s15.2 104 124.9 104c47.8 0 113.7-20.7 153.3-42.1v25.4c0 3 2.1 8.2 6.1 9.1 3.1 1 50.7 2 59.9 2s62.5.3 66.5-.7c4.1-1 5.1-6.1 5.1-9.1V168c-.1-80.3-57.9-136-192-136zm50.2 348c-21.4 13.2-48.7 24.4-79.1 24.4-52.8 0-58.9-33.5-59-44.7 0-12.2-3-42.7 18.3-52.9 24.3-13.2 75.1-29.4 119.8-33.5z"}}]})(props);
};
function FaAndroid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M420.55,301.93a24,24,0,1,1,24-24,24,24,0,0,1-24,24m-265.1,0a24,24,0,1,1,24-24,24,24,0,0,1-24,24m273.7-144.48,47.94-83a10,10,0,1,0-17.27-10h0l-48.54,84.07a301.25,301.25,0,0,0-246.56,0L116.18,64.45a10,10,0,1,0-17.27,10h0l47.94,83C64.53,202.22,8.24,285.55,0,384H576c-8.24-98.45-64.54-181.78-146.85-226.55"}}]})(props);
};
function FaAngellist (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M347.1 215.4c11.7-32.6 45.4-126.9 45.4-157.1 0-26.6-15.7-48.9-43.7-48.9-44.6 0-84.6 131.7-97.1 163.1C242 144 196.6 0 156.6 0c-31.1 0-45.7 22.9-45.7 51.7 0 35.3 34.2 126.8 46.6 162-6.3-2.3-13.1-4.3-20-4.3-23.4 0-48.3 29.1-48.3 52.6 0 8.9 4.9 21.4 8 29.7-36.9 10-51.1 34.6-51.1 71.7C46 435.6 114.4 512 210.6 512c118 0 191.4-88.6 191.4-202.9 0-43.1-6.9-82-54.9-93.7zM311.7 108c4-12.3 21.1-64.3 37.1-64.3 8.6 0 10.9 8.9 10.9 16 0 19.1-38.6 124.6-47.1 148l-34-6 33.1-93.7zM142.3 48.3c0-11.9 14.5-45.7 46.3 47.1l34.6 100.3c-15.6-1.3-27.7-3-35.4 1.4-10.9-28.8-45.5-119.7-45.5-148.8zM140 244c29.3 0 67.1 94.6 67.1 107.4 0 5.1-4.9 11.4-10.6 11.4-20.9 0-76.9-76.9-76.9-97.7.1-7.7 12.7-21.1 20.4-21.1zm184.3 186.3c-29.1 32-66.3 48.6-109.7 48.6-59.4 0-106.3-32.6-128.9-88.3-17.1-43.4 3.8-68.3 20.6-68.3 11.4 0 54.3 60.3 54.3 73.1 0 4.9-7.7 8.3-11.7 8.3-16.1 0-22.4-15.5-51.1-51.4-29.7 29.7 20.5 86.9 58.3 86.9 26.1 0 43.1-24.2 38-42 3.7 0 8.3.3 11.7-.6 1.1 27.1 9.1 59.4 41.7 61.7 0-.9 2-7.1 2-7.4 0-17.4-10.6-32.6-10.6-50.3 0-28.3 21.7-55.7 43.7-71.7 8-6 17.7-9.7 27.1-13.1 9.7-3.7 20-8 27.4-15.4-1.1-11.2-5.7-21.1-16.9-21.1-27.7 0-120.6 4-120.6-39.7 0-6.7.1-13.1 17.4-13.1 32.3 0 114.3 8 138.3 29.1 18.1 16.1 24.3 113.2-31 174.7zm-98.6-126c9.7 3.1 19.7 4 29.7 6-7.4 5.4-14 12-20.3 19.1-2.8-8.5-6.2-16.8-9.4-25.1z"}}]})(props);
};
function FaAngrycreative (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M640 238.2l-3.2 28.2-34.5 2.3-2 18.1 34.5-2.3-3.2 28.2-34.4 2.2-2.3 20.1 34.4-2.2-3 26.1-64.7 4.1 12.7-113.2L527 365.2l-31.9 2-23.8-117.8 30.3-2 13.6 79.4 31.7-82.4 93.1-6.2zM426.8 371.5l28.3-1.8L468 249.6l-28.4 1.9-12.8 120zM162 388.1l-19.4-36-3.5 37.4-28.2 1.7 2.7-29.1c-11 18-32 34.3-56.9 35.8C23.9 399.9-3 377 .3 339.7c2.6-29.3 26.7-62.8 67.5-65.4 37.7-2.4 47.6 23.2 51.3 28.8l2.8-30.8 38.9-2.5c20.1-1.3 38.7 3.7 42.5 23.7l2.6-26.6 64.8-4.2-2.7 27.9-36.4 2.4-1.7 17.9 36.4-2.3-2.7 27.9-36.4 2.3-1.9 19.9 36.3-2.3-2.1 20.8 55-117.2 23.8-1.6L370.4 369l8.9-85.6-22.3 1.4 2.9-27.9 75-4.9-3 28-24.3 1.6-9.7 91.9-58 3.7-4.3-15.6-39.4 2.5-8 16.3-126.2 7.7zm-44.3-70.2l-26.4 1.7C84.6 307.2 76.9 303 65 303.8c-19 1.2-33.3 17.5-34.6 33.3-1.4 16 7.3 32.5 28.7 31.2 12.8-.8 21.3-8.6 28.9-18.9l27-1.7 2.7-29.8zm56.1-7.7c1.2-12.9-7.6-13.6-26.1-12.4l-2.7 28.5c14.2-.9 27.5-2.1 28.8-16.1zm21.1 70.8l5.8-60c-5 13.5-14.7 21.1-27.9 26.6l22.1 33.4zm135.4-45l-7.9-37.8-15.8 39.3 23.7-1.5zm-170.1-74.6l-4.3-17.5-39.6 2.6-8.1 18.2-31.9 2.1 57-121.9 23.9-1.6 30.7 102 9.9-104.7 27-1.8 37.8 63.6 6.5-66.6 28.5-1.9-4 41.2c7.4-13.5 22.9-44.7 63.6-47.5 40.5-2.8 52.4 29.3 53.4 30.3l3.3-32 39.3-2.7c12.7-.9 27.8.3 36.3 9.7l-4.4-11.9 32.2-2.2 12.9 43.2 23-45.7 31-2.2-43.6 78.4-4.8 44.3-28.4 1.9 4.8-44.3-15.8-43c1 22.3-9.2 40.1-32 49.6l25.2 38.8-36.4 2.4-19.2-36.8-4 38.3-28.4 1.9 3.3-31.5c-6.7 9.3-19.7 35.4-59.6 38-26.2 1.7-45.6-10.3-55.4-39.2l-4 40.3-25 1.6-37.6-63.3-6.3 66.2-56.8 3.7zm276.6-82.1c10.2-.7 17.5-2.1 21.6-4.3 4.5-2.4 7-6.4 7.6-12.1.6-5.3-.6-8.8-3.4-10.4-3.6-2.1-10.6-2.8-22.9-2l-2.9 28.8zM327.7 214c5.6 5.9 12.7 8.5 21.3 7.9 4.7-.3 9.1-1.8 13.3-4.1 5.5-3 10.6-8 15.1-14.3l-34.2 2.3 2.4-23.9 63.1-4.3 1.2-12-31.2 2.1c-4.1-3.7-7.8-6.6-11.1-8.1-4-1.7-8.1-2.8-12.2-2.5-8 .5-15.3 3.6-22 9.2-7.7 6.4-12 14.5-12.9 24.4-1.1 9.6 1.4 17.3 7.2 23.3zm-201.3 8.2l23.8-1.6-8.3-37.6-15.5 39.2z"}}]})(props);
};
function FaAngular (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M185.7 268.1h76.2l-38.1-91.6-38.1 91.6zM223.8 32L16 106.4l31.8 275.7 176 97.9 176-97.9 31.8-275.7zM354 373.8h-48.6l-26.2-65.4H168.6l-26.2 65.4H93.7L223.8 81.5z"}}]})(props);
};
function FaAppStoreIos (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM127 384.5c-5.5 9.6-17.8 12.8-27.3 7.3-9.6-5.5-12.8-17.8-7.3-27.3l14.3-24.7c16.1-4.9 29.3-1.1 39.6 11.4L127 384.5zm138.9-53.9H84c-11 0-20-9-20-20s9-20 20-20h51l65.4-113.2-20.5-35.4c-5.5-9.6-2.2-21.8 7.3-27.3 9.6-5.5 21.8-2.2 27.3 7.3l8.9 15.4 8.9-15.4c5.5-9.6 17.8-12.8 27.3-7.3 9.6 5.5 12.8 17.8 7.3 27.3l-85.8 148.6h62.1c20.2 0 31.5 23.7 22.7 40zm98.1 0h-29l19.6 33.9c5.5 9.6 2.2 21.8-7.3 27.3-9.6 5.5-21.8 2.2-27.3-7.3-32.9-56.9-57.5-99.7-74-128.1-16.7-29-4.8-58 7.1-67.8 13.1 22.7 32.7 56.7 58.9 102h52c11 0 20 9 20 20 0 11.1-9 20-20 20z"}}]})(props);
};
function FaAppStore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.9 120.9l9.1-15.7c5.6-9.8 18.1-13.1 27.9-7.5 9.8 5.6 13.1 18.1 7.5 27.9l-87.5 151.5h63.3c20.5 0 32 24.1 23.1 40.8H113.8c-11.3 0-20.4-9.1-20.4-20.4 0-11.3 9.1-20.4 20.4-20.4h52l66.6-115.4-20.8-36.1c-5.6-9.8-2.3-22.2 7.5-27.9 9.8-5.6 22.2-2.3 27.9 7.5l8.9 15.7zm-78.7 218l-19.6 34c-5.6 9.8-18.1 13.1-27.9 7.5-9.8-5.6-13.1-18.1-7.5-27.9l14.6-25.2c16.4-5.1 29.8-1.2 40.4 11.6zm168.9-61.7h53.1c11.3 0 20.4 9.1 20.4 20.4 0 11.3-9.1 20.4-20.4 20.4h-29.5l19.9 34.5c5.6 9.8 2.3 22.2-7.5 27.9-9.8 5.6-22.2 2.3-27.9-7.5-33.5-58.1-58.7-101.6-75.4-130.6-17.1-29.5-4.9-59.1 7.2-69.1 13.4 23 33.4 57.7 60.1 104zM256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm216 248c0 118.7-96.1 216-216 216-118.7 0-216-96.1-216-216 0-118.7 96.1-216 216-216 118.7 0 216 96.1 216 216z"}}]})(props);
};
function FaApper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M42.1 239.1c22.2 0 29 2.8 33.5 14.6h.8v-22.9c0-11.3-4.8-15.4-17.9-15.4-11.3 0-14.4 2.5-15.1 12.8H4.8c.3-13.9 1.5-19.1 5.8-24.4C17.9 195 29.5 192 56.7 192c33 0 47.1 5 53.9 18.9 2 4.3 4 15.6 4 23.7v76.3H76.3l1.3-19.1h-1c-5.3 15.6-13.6 20.4-35.5 20.4-30.3 0-41.1-10.1-41.1-37.3 0-25.2 12.3-35.8 42.1-35.8zm17.1 48.1c13.1 0 16.9-3 16.9-13.4 0-9.1-4.3-11.6-19.6-11.6-13.1 0-17.9 3-17.9 12.1-.1 10.4 3.7 12.9 20.6 12.9zm77.8-94.9h38.3l-1.5 20.6h.8c9.1-17.1 15.9-20.9 37.5-20.9 14.4 0 24.7 3 31.5 9.1 9.8 8.6 12.8 20.4 12.8 48.1 0 30-3 43.1-12.1 52.9-6.8 7.3-16.4 10.1-33.2 10.1-20.4 0-29.2-5.5-33.8-21.2h-.8v70.3H137v-169zm80.9 60.7c0-27.5-3.3-32.5-20.7-32.5-16.9 0-20.7 5-20.7 28.7 0 28 3.5 33.5 21.2 33.5 16.4 0 20.2-5.6 20.2-29.7zm57.9-60.7h38.3l-1.5 20.6h.8c9.1-17.1 15.9-20.9 37.5-20.9 14.4 0 24.7 3 31.5 9.1 9.8 8.6 12.8 20.4 12.8 48.1 0 30-3 43.1-12.1 52.9-6.8 7.3-16.4 10.1-33.3 10.1-20.4 0-29.2-5.5-33.8-21.2h-.8v70.3h-39.5v-169zm80.9 60.7c0-27.5-3.3-32.5-20.7-32.5-16.9 0-20.7 5-20.7 28.7 0 28 3.5 33.5 21.2 33.5 16.4 0 20.2-5.6 20.2-29.7zm53.8-3.8c0-25.4 3.3-37.8 12.3-45.8 8.8-8.1 22.2-11.3 45.1-11.3 42.8 0 55.7 12.8 55.7 55.7v11.1h-75.3c-.3 2-.3 4-.3 4.8 0 16.9 4.5 21.9 20.1 21.9 13.9 0 17.9-3 17.9-13.9h37.5v2.3c0 9.8-2.5 18.9-6.8 24.7-7.3 9.8-19.6 13.6-44.3 13.6-27.5 0-41.6-3.3-50.6-12.3-8.5-8.5-11.3-21.3-11.3-50.8zm76.4-11.6c-.3-1.8-.3-3.3-.3-3.8 0-12.3-3.3-14.6-19.6-14.6-14.4 0-17.1 3-18.1 15.1l-.3 3.3h38.3zm55.6-45.3h38.3l-1.8 19.9h.7c6.8-14.9 14.4-20.2 29.7-20.2 10.8 0 19.1 3.3 23.4 9.3 5.3 7.3 6.8 14.4 6.8 34 0 1.5 0 5 .2 9.3h-35c.3-1.8.3-3.3.3-4 0-15.4-2-19.4-10.3-19.4-6.3 0-10.8 3.3-13.1 9.3-1 3-1 4.3-1 12.3v68h-38.3V192.3z"}}]})(props);
};
function FaApplePay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M116.9 158.5c-7.5 8.9-19.5 15.9-31.5 14.9-1.5-12 4.4-24.8 11.3-32.6 7.5-9.1 20.6-15.6 31.3-16.1 1.2 12.4-3.7 24.7-11.1 33.8m10.9 17.2c-17.4-1-32.3 9.9-40.5 9.9-8.4 0-21-9.4-34.8-9.1-17.9.3-34.5 10.4-43.6 26.5-18.8 32.3-4.9 80 13.3 106.3 8.9 13 19.5 27.3 33.5 26.8 13.3-.5 18.5-8.6 34.5-8.6 16.1 0 20.8 8.6 34.8 8.4 14.5-.3 23.6-13 32.5-26 10.1-14.8 14.3-29.1 14.5-29.9-.3-.3-28-10.9-28.3-42.9-.3-26.8 21.9-39.5 22.9-40.3-12.5-18.6-32-20.6-38.8-21.1m100.4-36.2v194.9h30.3v-66.6h41.9c38.3 0 65.1-26.3 65.1-64.3s-26.4-64-64.1-64h-73.2zm30.3 25.5h34.9c26.3 0 41.3 14 41.3 38.6s-15 38.8-41.4 38.8h-34.8V165zm162.2 170.9c19 0 36.6-9.6 44.6-24.9h.6v23.4h28v-97c0-28.1-22.5-46.3-57.1-46.3-32.1 0-55.9 18.4-56.8 43.6h27.3c2.3-12 13.4-19.9 28.6-19.9 18.5 0 28.9 8.6 28.9 24.5v10.8l-37.8 2.3c-35.1 2.1-54.1 16.5-54.1 41.5.1 25.2 19.7 42 47.8 42zm8.2-23.1c-16.1 0-26.4-7.8-26.4-19.6 0-12.3 9.9-19.4 28.8-20.5l33.6-2.1v11c0 18.2-15.5 31.2-36 31.2zm102.5 74.6c29.5 0 43.4-11.3 55.5-45.4L640 193h-30.8l-35.6 115.1h-.6L537.4 193h-31.6L557 334.9l-2.8 8.6c-4.6 14.6-12.1 20.3-25.5 20.3-2.4 0-7-.3-8.9-.5v23.4c1.8.4 9.3.7 11.6.7z"}}]})(props);
};
function FaApple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M318.7 268.7c-.2-36.7 16.4-64.4 50-84.8-18.8-26.9-47.2-41.7-84.7-44.6-35.5-2.8-74.3 20.7-88.5 20.7-15 0-49.4-19.7-76.4-19.7C63.3 141.2 4 184.8 4 273.5q0 39.3 14.4 81.2c12.8 36.7 59 126.7 107.2 125.2 25.2-.6 43-17.9 75.8-17.9 31.8 0 48.3 17.9 76.4 17.9 48.6-.7 90.4-82.5 102.6-119.3-65.2-30.7-61.7-90-61.7-91.9zm-56.6-164.2c27.3-32.4 24.8-61.9 24-72.5-24.1 1.4-52 16.4-67.9 34.9-17.5 19.8-27.8 44.3-25.6 71.9 26.1 2 49.9-11.4 69.5-34.3z"}}]})(props);
};
function FaArtstation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M2 377.4l43 74.3A51.35 51.35 0 0 0 90.9 480h285.4l-59.2-102.6zM501.8 350L335.6 59.3A51.38 51.38 0 0 0 290.2 32h-88.4l257.3 447.6 40.7-70.5c1.9-3.2 21-29.7 2-59.1zM275 304.5l-115.5-200L44 304.5z"}}]})(props);
};
function FaAsymmetrik (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M517.5 309.2c38.8-40 58.1-80 58.5-116.1.8-65.5-59.4-118.2-169.4-135C277.9 38.4 118.1 73.6 0 140.5 52 114 110.6 92.3 170.7 82.3c74.5-20.5 153-25.4 221.3-14.8C544.5 91.3 588.8 195 490.8 299.2c-10.2 10.8-22 21.1-35 30.6L304.9 103.4 114.7 388.9c-65.6-29.4-76.5-90.2-19.1-151.2 20.8-22.2 48.3-41.9 79.5-58.1 20-12.2 39.7-22.6 62-30.7-65.1 20.3-122.7 52.9-161.6 92.9-27.7 28.6-41.4 57.1-41.7 82.9-.5 35.1 23.4 65.1 68.4 83l-34.5 51.7h101.6l22-34.4c22.2 1 45.3 0 68.6-2.7l-22.8 37.1h135.5L340 406.3c18.6-5.3 36.9-11.5 54.5-18.7l45.9 71.8H542L468.6 349c18.5-12.1 35-25.5 48.9-39.8zm-187.6 80.5l-25-40.6-32.7 53.3c-23.4 3.5-46.7 5.1-69.2 4.4l101.9-159.3 78.7 123c-17.2 7.4-35.3 13.9-53.7 19.2z"}}]})(props);
};
function FaAtlassian (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M152.2 236.4c-7.7-8.2-19.7-7.7-24.8 2.8L1.6 490.2c-5 10 2.4 21.7 13.4 21.7h175c5.8.1 11-3.2 13.4-8.4 37.9-77.8 15.1-196.3-51.2-267.1zM244.4 8.1c-122.3 193.4-8.5 348.6 65 495.5 2.5 5.1 7.7 8.4 13.4 8.4H497c11.2 0 18.4-11.8 13.4-21.7 0 0-234.5-470.6-240.4-482.3-5.3-10.6-18.8-10.8-25.6.1z"}}]})(props);
};
function FaAudible (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M640 199.9v54l-320 200L0 254v-54l320 200 320-200.1zm-194.5 72l47.1-29.4c-37.2-55.8-100.7-92.6-172.7-92.6-72 0-135.5 36.7-172.6 92.4h.3c2.5-2.3 5.1-4.5 7.7-6.7 89.7-74.4 219.4-58.1 290.2 36.3zm-220.1 18.8c16.9-11.9 36.5-18.7 57.4-18.7 34.4 0 65.2 18.4 86.4 47.6l45.4-28.4c-20.9-29.9-55.6-49.5-94.8-49.5-38.9 0-73.4 19.4-94.4 49zM103.6 161.1c131.8-104.3 318.2-76.4 417.5 62.1l.7 1 48.8-30.4C517.1 112.1 424.8 58.1 319.9 58.1c-103.5 0-196.6 53.5-250.5 135.6 9.9-10.5 22.7-23.5 34.2-32.6zm467 32.7z"}}]})(props);
};
function FaAutoprefixer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M318.4 16l-161 480h77.5l25.4-81.4h119.5L405 496h77.5L318.4 16zm-40.3 341.9l41.2-130.4h1.5l40.9 130.4h-83.6zM640 405l-10-31.4L462.1 358l19.4 56.5L640 405zm-462.1-47L10 373.7 0 405l158.5 9.4 19.4-56.4z"}}]})(props);
};
function FaAvianex (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M453.1 32h-312c-38.9 0-76.2 31.2-83.3 69.7L1.2 410.3C-5.9 448.8 19.9 480 58.9 480h312c38.9 0 76.2-31.2 83.3-69.7l56.7-308.5c7-38.6-18.8-69.8-57.8-69.8zm-58.2 347.3l-32 13.5-115.4-110c-14.7 10-29.2 19.5-41.7 27.1l22.1 64.2-17.9 12.7-40.6-61-52.4-48.1 15.7-15.4 58 31.1c9.3-10.5 20.8-22.6 32.8-34.9L203 228.9l-68.8-99.8 18.8-28.9 8.9-4.8L265 207.8l4.9 4.5c19.4-18.8 33.8-32.4 33.8-32.4 7.7-6.5 21.5-2.9 30.7 7.9 9 10.5 10.6 24.7 2.7 31.3-1.8 1.3-15.5 11.4-35.3 25.6l4.5 7.3 94.9 119.4-6.3 7.9z"}}]})(props);
};
function FaAviato (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M107.2 283.5l-19-41.8H36.1l-19 41.8H0l62.2-131.4 62.2 131.4h-17.2zm-45-98.1l-19.6 42.5h39.2l-19.6-42.5zm112.7 102.4l-62.2-131.4h17.1l45.1 96 45.1-96h17l-62.1 131.4zm80.6-4.3V156.4H271v127.1h-15.5zm209.1-115.6v115.6h-17.3V167.9h-41.2v-11.5h99.6v11.5h-41.1zM640 218.8c0 9.2-1.7 17.8-5.1 25.8-3.4 8-8.2 15.1-14.2 21.1-6 6-13.1 10.8-21.1 14.2-8 3.4-16.6 5.1-25.8 5.1s-17.8-1.7-25.8-5.1c-8-3.4-15.1-8.2-21.1-14.2-6-6-10.8-13-14.2-21.1-3.4-8-5.1-16.6-5.1-25.8s1.7-17.8 5.1-25.8c3.4-8 8.2-15.1 14.2-21.1 6-6 13-8.4 21.1-11.9 8-3.4 16.6-5.1 25.8-5.1s17.8 1.7 25.8 5.1c8 3.4 15.1 5.8 21.1 11.9 6 6 10.7 13.1 14.2 21.1 3.4 8 5.1 16.6 5.1 25.8zm-15.5 0c0-7.3-1.3-14-3.9-20.3-2.6-6.3-6.2-11.7-10.8-16.3-4.6-4.6-10-8.2-16.2-10.9-6.2-2.7-12.8-4-19.8-4s-13.6 1.3-19.8 4c-6.2 2.7-11.6 6.3-16.2 10.9-4.6 4.6-8.2 10-10.8 16.3-2.6 6.3-3.9 13.1-3.9 20.3 0 7.3 1.3 14 3.9 20.3 2.6 6.3 6.2 11.7 10.8 16.3 4.6 4.6 10 8.2 16.2 10.9 6.2 2.7 12.8 4 19.8 4s13.6-1.3 19.8-4c6.2-2.7 11.6-6.3 16.2-10.9 4.6-4.6 8.2-10 10.8-16.3 2.6-6.3 3.9-13.1 3.9-20.3zm-94.8 96.7v-6.3l88.9-10-242.9 13.4c.6-2.2 1.1-4.6 1.4-7.2.3-2 .5-4.2.6-6.5l64.8-8.1-64.9 1.9c0-.4-.1-.7-.1-1.1-2.8-17.2-25.5-23.7-25.5-23.7l-1.1-26.3h23.8l19 41.8h17.1L348.6 152l-62.2 131.4h17.1l19-41.8h23.6L345 268s-22.7 6.5-25.5 23.7c-.1.3-.1.7-.1 1.1l-64.9-1.9 64.8 8.1c.1 2.3.3 4.4.6 6.5.3 2.6.8 5 1.4 7.2L78.4 299.2l88.9 10v6.3c-5.9.9-10.5 6-10.5 12.2 0 6.8 5.6 12.4 12.4 12.4 6.8 0 12.4-5.6 12.4-12.4 0-6.2-4.6-11.3-10.5-12.2v-5.8l80.3 9v5.4c-5.7 1.1-9.9 6.2-9.9 12.1 0 6.8 5.6 10.2 12.4 10.2 6.8 0 12.4-3.4 12.4-10.2 0-6-4.3-11-9.9-12.1v-4.9l28.4 3.2v23.7h-5.9V360h5.9v-6.6h5v6.6h5.9v-13.8h-5.9V323l38.3 4.3c8.1 11.4 19 13.6 19 13.6l-.1 6.7-5.1.2-.1 12.1h4.1l.1-5h5.2l.1 5h4.1l-.1-12.1-5.1-.2-.1-6.7s10.9-2.1 19-13.6l38.3-4.3v23.2h-5.9V360h5.9v-6.6h5v6.6h5.9v-13.8h-5.9v-23.7l28.4-3.2v4.9c-5.7 1.1-9.9 6.2-9.9 12.1 0 6.8 5.6 10.2 12.4 10.2 6.8 0 12.4-3.4 12.4-10.2 0-6-4.3-11-9.9-12.1v-5.4l80.3-9v5.8c-5.9.9-10.5 6-10.5 12.2 0 6.8 5.6 12.4 12.4 12.4 6.8 0 12.4-5.6 12.4-12.4-.2-6.3-4.7-11.4-10.7-12.3zm-200.8-87.6l19.6-42.5 19.6 42.5h-17.9l-1.7-40.3-1.7 40.3h-17.9z"}}]})(props);
};
function FaAws (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M180.41 203.01c-.72 22.65 10.6 32.68 10.88 39.05a8.164 8.164 0 0 1-4.1 6.27l-12.8 8.96a10.66 10.66 0 0 1-5.63 1.92c-.43-.02-8.19 1.83-20.48-25.61a78.608 78.608 0 0 1-62.61 29.45c-16.28.89-60.4-9.24-58.13-56.21-1.59-38.28 34.06-62.06 70.93-60.05 7.1.02 21.6.37 46.99 6.27v-15.62c2.69-26.46-14.7-46.99-44.81-43.91-2.4.01-19.4-.5-45.84 10.11-7.36 3.38-8.3 2.82-10.75 2.82-7.41 0-4.36-21.48-2.94-24.2 5.21-6.4 35.86-18.35 65.94-18.18a76.857 76.857 0 0 1 55.69 17.28 70.285 70.285 0 0 1 17.67 52.36l-.01 69.29zM93.99 235.4c32.43-.47 46.16-19.97 49.29-30.47 2.46-10.05 2.05-16.41 2.05-27.4-9.67-2.32-23.59-4.85-39.56-4.87-15.15-1.14-42.82 5.63-41.74 32.26-1.24 16.79 11.12 31.4 29.96 30.48zm170.92 23.05c-7.86.72-11.52-4.86-12.68-10.37l-49.8-164.65c-.97-2.78-1.61-5.65-1.92-8.58a4.61 4.61 0 0 1 3.86-5.25c.24-.04-2.13 0 22.25 0 8.78-.88 11.64 6.03 12.55 10.37l35.72 140.83 33.16-140.83c.53-3.22 2.94-11.07 12.8-10.24h17.16c2.17-.18 11.11-.5 12.68 10.37l33.42 142.63L420.98 80.1c.48-2.18 2.72-11.37 12.68-10.37h19.72c.85-.13 6.15-.81 5.25 8.58-.43 1.85 3.41-10.66-52.75 169.9-1.15 5.51-4.82 11.09-12.68 10.37h-18.69c-10.94 1.15-12.51-9.66-12.68-10.75L328.67 110.7l-32.78 136.99c-.16 1.09-1.73 11.9-12.68 10.75h-18.3zm273.48 5.63c-5.88.01-33.92-.3-57.36-12.29a12.802 12.802 0 0 1-7.81-11.91v-10.75c0-8.45 6.2-6.9 8.83-5.89 10.04 4.06 16.48 7.14 28.81 9.6 36.65 7.53 52.77-2.3 56.72-4.48 13.15-7.81 14.19-25.68 5.25-34.95-10.48-8.79-15.48-9.12-53.13-21-4.64-1.29-43.7-13.61-43.79-52.36-.61-28.24 25.05-56.18 69.52-55.95 12.67-.01 46.43 4.13 55.57 15.62 1.35 2.09 2.02 4.55 1.92 7.04v10.11c0 4.44-1.62 6.66-4.87 6.66-7.71-.86-21.39-11.17-49.16-10.75-6.89-.36-39.89.91-38.41 24.97-.43 18.96 26.61 26.07 29.7 26.89 36.46 10.97 48.65 12.79 63.12 29.58 17.14 22.25 7.9 48.3 4.35 55.44-19.08 37.49-68.42 34.44-69.26 34.42zm40.2 104.86c-70.03 51.72-171.69 79.25-258.49 79.25A469.127 469.127 0 0 1 2.83 327.46c-6.53-5.89-.77-13.96 7.17-9.47a637.37 637.37 0 0 0 316.88 84.12 630.22 630.22 0 0 0 241.59-49.55c11.78-5 21.77 7.8 10.12 16.38zm29.19-33.29c-8.96-11.52-59.28-5.38-81.81-2.69-6.79.77-7.94-5.12-1.79-9.47 40.07-28.17 105.88-20.1 113.44-10.63 7.55 9.47-2.05 75.41-39.56 106.91-5.76 4.87-11.27 2.3-8.71-4.1 8.44-21.25 27.39-68.49 18.43-80.02z"}}]})(props);
};
function FaBandcamp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm48.2 326.1h-181L199.9 178h181l-84.7 156.1z"}}]})(props);
};
function FaBattleNet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448.61 225.62c26.87.18 35.57-7.43 38.92-12.37 12.47-16.32-7.06-47.6-52.85-71.33 17.76-33.58 30.11-63.68 36.34-85.3 3.38-11.83 1.09-19 .45-20.25-1.72 10.52-15.85 48.46-48.2 100.05-25-11.22-56.52-20.1-93.77-23.8-8.94-16.94-34.88-63.86-60.48-88.93C252.18 7.14 238.7 1.07 228.18.22h-.05c-13.83-1.55-22.67 5.85-27.4 11-17.2 18.53-24.33 48.87-25 84.07-7.24-12.35-17.17-24.63-28.5-25.93h-.18c-20.66-3.48-38.39 29.22-36 81.29-38.36 1.38-71 5.75-93 11.23-9.9 2.45-16.22 7.27-17.76 9.72 1-.38 22.4-9.22 111.56-9.22 5.22 53 29.75 101.82 26 93.19-9.73 15.4-38.24 62.36-47.31 97.7-5.87 22.88-4.37 37.61.15 47.14 5.57 12.75 16.41 16.72 23.2 18.26 25 5.71 55.38-3.63 86.7-21.14-7.53 12.84-13.9 28.51-9.06 39.34 7.31 19.65 44.49 18.66 88.44-9.45 20.18 32.18 40.07 57.94 55.7 74.12a39.79 39.79 0 0 0 8.75 7.09c5.14 3.21 8.58 3.37 8.58 3.37-8.24-6.75-34-38-62.54-91.78 22.22-16 45.65-38.87 67.47-69.27 122.82 4.6 143.29-24.76 148-31.64 14.67-19.88 3.43-57.44-57.32-93.69zm-77.85 106.22c23.81-37.71 30.34-67.77 29.45-92.33 27.86 17.57 47.18 37.58 49.06 58.83 1.14 12.93-8.1 29.12-78.51 33.5zM216.9 387.69c9.76-6.23 19.53-13.12 29.2-20.49 6.68 13.33 13.6 26.1 20.6 38.19-40.6 21.86-68.84 12.76-49.8-17.7zm215-171.35c-10.29-5.34-21.16-10.34-32.38-15.05a722.459 722.459 0 0 0 22.74-36.9c39.06 24.1 45.9 53.18 9.64 51.95zM279.18 398c-5.51-11.35-11-23.5-16.5-36.44 43.25 1.27 62.42-18.73 63.28-20.41 0 .07-25 15.64-62.53 12.25a718.78 718.78 0 0 0 85.06-84q13.06-15.31 24.93-31.11c-.36-.29-1.54-3-16.51-12-51.7 60.27-102.34 98-132.75 115.92-20.59-11.18-40.84-31.78-55.71-61.49-20-39.92-30-82.39-31.57-116.07 12.3.91 25.27 2.17 38.85 3.88-22.29 36.8-14.39 63-13.47 64.23 0-.07-.95-29.17 20.14-59.57a695.23 695.23 0 0 0 44.67 152.84c.93-.38 1.84.88 18.67-8.25-26.33-74.47-33.76-138.17-34-173.43 20-12.42 48.18-19.8 81.63-17.81 44.57 2.67 86.36 15.25 116.32 30.71q-10.69 15.66-23.33 32.47C365.63 152 339.1 145.84 337.5 146c.11 0 25.9 14.07 41.52 47.22a717.63 717.63 0 0 0-115.34-31.71 646.608 646.608 0 0 0-39.39-6.05c-.07.45-1.81 1.85-2.16 20.33C300 190.28 358.78 215.68 389.36 233c.74 23.55-6.95 51.61-25.41 79.57-24.6 37.31-56.39 67.23-84.77 85.43zm27.4-287c-44.56-1.66-73.58 7.43-94.69 20.67 2-52.3 21.31-76.38 38.21-75.28C267 52.15 305 108.55 306.58 111zm-130.65 3.1c.48 12.11 1.59 24.62 3.21 37.28-14.55-.85-28.74-1.25-42.4-1.26-.08 3.24-.12-51 24.67-49.59h.09c5.76 1.09 10.63 6.88 14.43 13.57zm-28.06 162c20.76 39.7 43.3 60.57 65.25 72.31-46.79 24.76-77.53 20-84.92 4.51-.2-.21-11.13-15.3 19.67-76.81zm210.06 74.8"}}]})(props);
};
function FaBehanceSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M186.5 293c0 19.3-14 25.4-31.2 25.4h-45.1v-52.9h46c18.6.1 30.3 7.8 30.3 27.5zm-7.7-82.3c0-17.7-13.7-21.9-28.9-21.9h-39.6v44.8H153c15.1 0 25.8-6.6 25.8-22.9zm132.3 23.2c-18.3 0-30.5 11.4-31.7 29.7h62.2c-1.7-18.5-11.3-29.7-30.5-29.7zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zM271.7 185h77.8v-18.9h-77.8V185zm-43 110.3c0-24.1-11.4-44.9-35-51.6 17.2-8.2 26.2-17.7 26.2-37 0-38.2-28.5-47.5-61.4-47.5H68v192h93.1c34.9-.2 67.6-16.9 67.6-55.9zM380 280.5c0-41.1-24.1-75.4-67.6-75.4-42.4 0-71.1 31.8-71.1 73.6 0 43.3 27.3 73 71.1 73 33.2 0 54.7-14.9 65.1-46.8h-33.7c-3.7 11.9-18.6 18.1-30.2 18.1-22.4 0-34.1-13.1-34.1-35.3h100.2c.1-2.3.3-4.8.3-7.2z"}}]})(props);
};
function FaBehance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M232 237.2c31.8-15.2 48.4-38.2 48.4-74 0-70.6-52.6-87.8-113.3-87.8H0v354.4h171.8c64.4 0 124.9-30.9 124.9-102.9 0-44.5-21.1-77.4-64.7-89.7zM77.9 135.9H151c28.1 0 53.4 7.9 53.4 40.5 0 30.1-19.7 42.2-47.5 42.2h-79v-82.7zm83.3 233.7H77.9V272h84.9c34.3 0 56 14.3 56 50.6 0 35.8-25.9 47-57.6 47zm358.5-240.7H376V94h143.7v34.9zM576 305.2c0-75.9-44.4-139.2-124.9-139.2-78.2 0-131.3 58.8-131.3 135.8 0 79.9 50.3 134.7 131.3 134.7 61.3 0 101-27.6 120.1-86.3H509c-6.7 21.9-34.3 33.5-55.7 33.5-41.3 0-63-24.2-63-65.3h185.1c.3-4.2.6-8.7.6-13.2zM390.4 274c2.3-33.7 24.7-54.8 58.5-54.8 35.4 0 53.2 20.8 56.2 54.8H390.4z"}}]})(props);
};
function FaBimobject (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M416 32H32C14.4 32 0 46.4 0 64v384c0 17.6 14.4 32 32 32h384c17.6 0 32-14.4 32-32V64c0-17.6-14.4-32-32-32zm-64 257.4c0 49.4-11.4 82.6-103.8 82.6h-16.9c-44.1 0-62.4-14.9-70.4-38.8h-.9V368H96V136h64v74.7h1.1c4.6-30.5 39.7-38.8 69.7-38.8h17.3c92.4 0 103.8 33.1 103.8 82.5v35zm-64-28.9v22.9c0 21.7-3.4 33.8-38.4 33.8h-45.3c-28.9 0-44.1-6.5-44.1-35.7v-19c0-29.3 15.2-35.7 44.1-35.7h45.3c35-.2 38.4 12 38.4 33.7z"}}]})(props);
};
function FaBitbucket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M22.2 32A16 16 0 0 0 6 47.8a26.35 26.35 0 0 0 .2 2.8l67.9 412.1a21.77 21.77 0 0 0 21.3 18.2h325.7a16 16 0 0 0 16-13.4L505 50.7a16 16 0 0 0-13.2-18.3 24.58 24.58 0 0 0-2.8-.2L22.2 32zm285.9 297.8h-104l-28.1-147h157.3l-25.2 147z"}}]})(props);
};
function FaBitcoin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M504 256c0 136.967-111.033 248-248 248S8 392.967 8 256 119.033 8 256 8s248 111.033 248 248zm-141.651-35.33c4.937-32.999-20.191-50.739-54.55-62.573l11.146-44.702-27.213-6.781-10.851 43.524c-7.154-1.783-14.502-3.464-21.803-5.13l10.929-43.81-27.198-6.781-11.153 44.686c-5.922-1.349-11.735-2.682-17.377-4.084l.031-.14-37.53-9.37-7.239 29.062s20.191 4.627 19.765 4.913c11.022 2.751 13.014 10.044 12.68 15.825l-12.696 50.925c.76.194 1.744.473 2.829.907-.907-.225-1.876-.473-2.876-.713l-17.796 71.338c-1.349 3.348-4.767 8.37-12.471 6.464.271.395-19.78-4.937-19.78-4.937l-13.51 31.147 35.414 8.827c6.588 1.651 13.045 3.379 19.4 5.006l-11.262 45.213 27.182 6.781 11.153-44.733a1038.209 1038.209 0 0 0 21.687 5.627l-11.115 44.523 27.213 6.781 11.262-45.128c46.404 8.781 81.299 5.239 95.986-36.727 11.836-33.79-.589-53.281-25.004-65.991 17.78-4.098 31.174-15.792 34.747-39.949zm-62.177 87.179c-8.41 33.79-65.308 15.523-83.755 10.943l14.944-59.899c18.446 4.603 77.6 13.717 68.811 48.956zm8.417-87.667c-7.673 30.736-55.031 15.12-70.393 11.292l13.548-54.327c15.363 3.828 64.836 10.973 56.845 43.035z"}}]})(props);
};
function FaBity (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M78.4 67.2C173.8-22 324.5-24 421.5 71c14.3 14.1-6.4 37.1-22.4 21.5-84.8-82.4-215.8-80.3-298.9-3.2-16.3 15.1-36.5-8.3-21.8-22.1zm98.9 418.6c19.3 5.7 29.3-23.6 7.9-30C73 421.9 9.4 306.1 37.7 194.8c5-19.6-24.9-28.1-30.2-7.1-32.1 127.4 41.1 259.8 169.8 298.1zm148.1-2c121.9-40.2 192.9-166.9 164.4-291-4.5-19.7-34.9-13.8-30 7.9 24.2 107.7-37.1 217.9-143.2 253.4-21.2 7-10.4 36 8.8 29.7zm-62.9-79l.2-71.8c0-8.2-6.6-14.8-14.8-14.8-8.2 0-14.8 6.7-14.8 14.8l-.2 71.8c0 8.2 6.6 14.8 14.8 14.8s14.8-6.6 14.8-14.8zm71-269c2.1 90.9 4.7 131.9-85.5 132.5-92.5-.7-86.9-44.3-85.5-132.5 0-21.8-32.5-19.6-32.5 0v71.6c0 69.3 60.7 90.9 118 90.1 57.3.8 118-20.8 118-90.1v-71.6c0-19.6-32.5-21.8-32.5 0z"}}]})(props);
};
function FaBlackTie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 32v448h448V32H0zm316.5 325.2L224 445.9l-92.5-88.7 64.5-184-64.5-86.6h184.9L252 173.2l64.5 184z"}}]})(props);
};
function FaBlackberry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M166 116.9c0 23.4-16.4 49.1-72.5 49.1H23.4l21-88.8h67.8c42.1 0 53.8 23.3 53.8 39.7zm126.2-39.7h-67.8L205.7 166h70.1c53.8 0 70.1-25.7 70.1-49.1.1-16.4-11.6-39.7-53.7-39.7zM88.8 208.1H21L0 296.9h70.1c56.1 0 72.5-23.4 72.5-49.1 0-16.3-11.7-39.7-53.8-39.7zm180.1 0h-67.8l-18.7 88.8h70.1c53.8 0 70.1-23.4 70.1-49.1 0-16.3-11.7-39.7-53.7-39.7zm189.3-53.8h-67.8l-18.7 88.8h70.1c53.8 0 70.1-23.4 70.1-49.1.1-16.3-11.6-39.7-53.7-39.7zm-28 137.9h-67.8L343.7 381h70.1c56.1 0 70.1-23.4 70.1-49.1 0-16.3-11.6-39.7-53.7-39.7zM240.8 346H173l-18.7 88.8h70.1c56.1 0 70.1-25.7 70.1-49.1.1-16.3-11.6-39.7-53.7-39.7z"}}]})(props);
};
function FaBloggerB (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M446.6 222.7c-1.8-8-6.8-15.4-12.5-18.5-1.8-1-13-2.2-25-2.7-20.1-.9-22.3-1.3-28.7-5-10.1-5.9-12.8-12.3-12.9-29.5-.1-33-13.8-63.7-40.9-91.3-19.3-19.7-40.9-33-65.5-40.5-5.9-1.8-19.1-2.4-63.3-2.9-69.4-.8-84.8.6-108.4 10C45.9 59.5 14.7 96.1 3.3 142.9 1.2 151.7.7 165.8.2 246.8c-.6 101.5.1 116.4 6.4 136.5 15.6 49.6 59.9 86.3 104.4 94.3 14.8 2.7 197.3 3.3 216 .8 32.5-4.4 58-17.5 81.9-41.9 17.3-17.7 28.1-36.8 35.2-62.1 4.9-17.6 4.5-142.8 2.5-151.7zm-322.1-63.6c7.8-7.9 10-8.2 58.8-8.2 43.9 0 45.4.1 51.8 3.4 9.3 4.7 13.4 11.3 13.4 21.9 0 9.5-3.8 16.2-12.3 21.6-4.6 2.9-7.3 3.1-50.3 3.3-26.5.2-47.7-.4-50.8-1.2-16.6-4.7-22.8-28.5-10.6-40.8zm191.8 199.8l-14.9 2.4-77.5.9c-68.1.8-87.3-.4-90.9-2-7.1-3.1-13.8-11.7-14.9-19.4-1.1-7.3 2.6-17.3 8.2-22.4 7.1-6.4 10.2-6.6 97.3-6.7 89.6-.1 89.1-.1 97.6 7.8 12.1 11.3 9.5 31.2-4.9 39.4z"}}]})(props);
};
function FaBlogger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M162.4 196c4.8-4.9 6.2-5.1 36.4-5.1 27.2 0 28.1.1 32.1 2.1 5.8 2.9 8.3 7 8.3 13.6 0 5.9-2.4 10-7.6 13.4-2.8 1.8-4.5 1.9-31.1 2.1-16.4.1-29.5-.2-31.5-.8-10.3-2.9-14.1-17.7-6.6-25.3zm61.4 94.5c-53.9 0-55.8.2-60.2 4.1-3.5 3.1-5.7 9.4-5.1 13.9.7 4.7 4.8 10.1 9.2 12 2.2 1 14.1 1.7 56.3 1.2l47.9-.6 9.2-1.5c9-5.1 10.5-17.4 3.1-24.4-5.3-4.7-5-4.7-60.4-4.7zm223.4 130.1c-3.5 28.4-23 50.4-51.1 57.5-7.2 1.8-9.7 1.9-172.9 1.8-157.8 0-165.9-.1-172-1.8-8.4-2.2-15.6-5.5-22.3-10-5.6-3.8-13.9-11.8-17-16.4-3.8-5.6-8.2-15.3-10-22C.1 423 0 420.3 0 256.3 0 93.2 0 89.7 1.8 82.6 8.1 57.9 27.7 39 53 33.4c7.3-1.6 332.1-1.9 340-.3 21.2 4.3 37.9 17.1 47.6 36.4 7.7 15.3 7-1.5 7.3 180.6.2 115.8 0 164.5-.7 170.5zm-85.4-185.2c-1.1-5-4.2-9.6-7.7-11.5-1.1-.6-8-1.3-15.5-1.7-12.4-.6-13.8-.8-17.8-3.1-6.2-3.6-7.9-7.6-8-18.3 0-20.4-8.5-39.4-25.3-56.5-12-12.2-25.3-20.5-40.6-25.1-3.6-1.1-11.8-1.5-39.2-1.8-42.9-.5-52.5.4-67.1 6.2-27 10.7-46.3 33.4-53.4 62.4-1.3 5.4-1.6 14.2-1.9 64.3-.4 62.8 0 72.1 4 84.5 9.7 30.7 37.1 53.4 64.6 58.4 9.2 1.7 122.2 2.1 133.7.5 20.1-2.7 35.9-10.8 50.7-25.9 10.7-10.9 17.4-22.8 21.8-38.5 3.2-10.9 2.9-88.4 1.7-93.9z"}}]})(props);
};
function FaBluetoothB (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M196.48 260.023l92.626-103.333L143.125 0v206.33l-86.111-86.111-31.406 31.405 108.061 108.399L25.608 368.422l31.406 31.405 86.111-86.111L145.84 512l148.552-148.644-97.912-103.333zm40.86-102.996l-49.977 49.978-.338-100.295 50.315 50.317zM187.363 313.04l49.977 49.978-50.315 50.316.338-100.294z"}}]})(props);
};
function FaBluetooth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M292.6 171.1L249.7 214l-.3-86 43.2 43.1m-43.2 219.8l43.1-43.1-42.9-42.9-.2 86zM416 259.4C416 465 344.1 512 230.9 512S32 465 32 259.4 115.4 0 228.6 0 416 53.9 416 259.4zm-158.5 0l79.4-88.6L211.8 36.5v176.9L138 139.6l-27 26.9 92.7 93-92.7 93 26.9 26.9 73.8-73.8 2.3 170 127.4-127.5-83.9-88.7z"}}]})(props);
};
function FaBootstrap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M292.3 311.93c0 42.41-39.72 41.43-43.92 41.43h-80.89v-81.69h80.89c42.56 0 43.92 31.9 43.92 40.26zm-50.15-73.13c.67 0 38.44 1 38.44-36.31 0-15.52-3.51-35.87-38.44-35.87h-74.66v72.18h74.66zM448 106.67v298.66A74.89 74.89 0 0 1 373.33 480H74.67A74.89 74.89 0 0 1 0 405.33V106.67A74.89 74.89 0 0 1 74.67 32h298.66A74.89 74.89 0 0 1 448 106.67zM338.05 317.86c0-21.57-6.65-58.29-49.05-67.35v-.73c22.91-9.78 37.34-28.25 37.34-55.64 0-7 2-64.78-77.6-64.78h-127v261.33c128.23 0 139.87 1.68 163.6-5.71 14.21-4.42 52.71-17.98 52.71-67.12z"}}]})(props);
};
function FaBtc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M310.204 242.638c27.73-14.18 45.377-39.39 41.28-81.3-5.358-57.351-52.458-76.573-114.85-81.929V0h-48.528v77.203c-12.605 0-25.525.315-38.444.63V0h-48.528v79.409c-17.842.539-38.622.276-97.37 0v51.678c38.314-.678 58.417-3.14 63.023 21.427v217.429c-2.925 19.492-18.524 16.685-53.255 16.071L3.765 443.68c88.481 0 97.37.315 97.37.315V512h48.528v-67.06c13.234.315 26.154.315 38.444.315V512h48.528v-68.005c81.299-4.412 135.647-24.894 142.895-101.467 5.671-61.446-23.32-88.862-69.326-99.89zM150.608 134.553c27.415 0 113.126-8.507 113.126 48.528 0 54.515-85.71 48.212-113.126 48.212v-96.74zm0 251.776V279.821c32.772 0 133.127-9.138 133.127 53.255-.001 60.186-100.355 53.253-133.127 53.253z"}}]})(props);
};
function FaBuffer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M427.84 380.67l-196.5 97.82a18.6 18.6 0 0 1-14.67 0L20.16 380.67c-4-2-4-5.28 0-7.29L67.22 350a18.65 18.65 0 0 1 14.69 0l134.76 67a18.51 18.51 0 0 0 14.67 0l134.76-67a18.62 18.62 0 0 1 14.68 0l47.06 23.43c4.05 1.96 4.05 5.24 0 7.24zm0-136.53l-47.06-23.43a18.62 18.62 0 0 0-14.68 0l-134.76 67.08a18.68 18.68 0 0 1-14.67 0L81.91 220.71a18.65 18.65 0 0 0-14.69 0l-47.06 23.43c-4 2-4 5.29 0 7.31l196.51 97.8a18.6 18.6 0 0 0 14.67 0l196.5-97.8c4.05-2.02 4.05-5.3 0-7.31zM20.16 130.42l196.5 90.29a20.08 20.08 0 0 0 14.67 0l196.51-90.29c4-1.86 4-4.89 0-6.74L231.33 33.4a19.88 19.88 0 0 0-14.67 0l-196.5 90.28c-4.05 1.85-4.05 4.88 0 6.74z"}}]})(props);
};
function FaBuromobelexperte (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 32v128h128V32H0zm120 120H8V40h112v112zm40-120v128h128V32H160zm120 120H168V40h112v112zm40-120v128h128V32H320zm120 120H328V40h112v112zM0 192v128h128V192H0zm120 120H8V200h112v112zm40-120v128h128V192H160zm120 120H168V200h112v112zm40-120v128h128V192H320zm120 120H328V200h112v112zM0 352v128h128V352H0zm120 120H8V360h112v112zm40-120v128h128V352H160zm120 120H168V360h112v112zm40-120v128h128V352H320z"}}]})(props);
};
function FaBuyNLarge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M288 32C133.27 32 7.79 132.32 7.79 256S133.27 480 288 480s280.21-100.32 280.21-224S442.73 32 288 32zm-85.39 357.19L64.1 390.55l77.25-290.74h133.44c63.15 0 84.93 28.65 78 72.84a60.24 60.24 0 0 1-1.5 6.85 77.39 77.39 0 0 0-17.21-1.93c-42.35 0-76.69 33.88-76.69 75.65 0 37.14 27.14 68 62.93 74.45-18.24 37.16-56.16 60.92-117.71 61.52zM358 207.11h32l-22.16 90.31h-35.41l-11.19-35.63-7.83 35.63h-37.83l26.63-90.31h31.34l15 36.75zm145.86 182.08H306.79L322.63 328a78.8 78.8 0 0 0 11.47.83c42.34 0 76.69-33.87 76.69-75.65 0-32.65-21-60.46-50.38-71.06l21.33-82.35h92.5l-53.05 205.36h103.87zM211.7 269.39H187l-13.8 56.47h24.7c16.14 0 32.11-3.18 37.94-26.65 5.56-22.31-7.99-29.82-24.14-29.82zM233 170h-21.34L200 217.71h21.37c18 0 35.38-14.64 39.21-30.14C265.23 168.71 251.07 170 233 170z"}}]})(props);
};
function FaBuysellads (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M224 150.7l42.9 160.7h-85.8L224 150.7zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-65.3 325.3l-94.5-298.7H159.8L65.3 405.3H156l111.7-91.6 24.2 91.6h90.8z"}}]})(props);
};
function FaCanadianMapleLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M383.8 351.7c2.5-2.5 105.2-92.4 105.2-92.4l-17.5-7.5c-10-4.9-7.4-11.5-5-17.4 2.4-7.6 20.1-67.3 20.1-67.3s-47.7 10-57.7 12.5c-7.5 2.4-10-2.5-12.5-7.5s-15-32.4-15-32.4-52.6 59.9-55.1 62.3c-10 7.5-20.1 0-17.6-10 0-10 27.6-129.6 27.6-129.6s-30.1 17.4-40.1 22.4c-7.5 5-12.6 5-17.6-5C293.5 72.3 255.9 0 255.9 0s-37.5 72.3-42.5 79.8c-5 10-10 10-17.6 5-10-5-40.1-22.4-40.1-22.4S183.3 182 183.3 192c2.5 10-7.5 17.5-17.6 10-2.5-2.5-55.1-62.3-55.1-62.3S98.1 167 95.6 172s-5 9.9-12.5 7.5C73 177 25.4 167 25.4 167s17.6 59.7 20.1 67.3c2.4 6 5 12.5-5 17.4L23 259.3s102.6 89.9 105.2 92.4c5.1 5 10 7.5 5.1 22.5-5.1 15-10.1 35.1-10.1 35.1s95.2-20.1 105.3-22.6c8.7-.9 18.3 2.5 18.3 12.5S241 512 241 512h30s-5.8-102.7-5.8-112.8 9.5-13.4 18.4-12.5c10 2.5 105.2 22.6 105.2 22.6s-5-20.1-10-35.1 0-17.5 5-22.5z"}}]})(props);
};
function FaCcAmazonPay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M124.7 201.8c.1-11.8 0-23.5 0-35.3v-35.3c0-1.3.4-2 1.4-2.7 11.5-8 24.1-12.1 38.2-11.1 12.5.9 22.7 7 28.1 21.7 3.3 8.9 4.1 18.2 4.1 27.7 0 8.7-.7 17.3-3.4 25.6-5.7 17.8-18.7 24.7-35.7 23.9-11.7-.5-21.9-5-31.4-11.7-.9-.8-1.4-1.6-1.3-2.8zm154.9 14.6c4.6 1.8 9.3 2 14.1 1.5 11.6-1.2 21.9-5.7 31.3-12.5.9-.6 1.3-1.3 1.3-2.5-.1-3.9 0-7.9 0-11.8 0-4-.1-8 0-12 0-1.4-.4-2-1.8-2.2-7-.9-13.9-2.2-20.9-2.9-7-.6-14-.3-20.8 1.9-6.7 2.2-11.7 6.2-13.7 13.1-1.6 5.4-1.6 10.8.1 16.2 1.6 5.5 5.2 9.2 10.4 11.2zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zm-207.5 23.9c.4 1.7.9 3.4 1.6 5.1 16.5 40.6 32.9 81.3 49.5 121.9 1.4 3.5 1.7 6.4.2 9.9-2.8 6.2-4.9 12.6-7.8 18.7-2.6 5.5-6.7 9.5-12.7 11.2-4.2 1.1-8.5 1.3-12.9.9-2.1-.2-4.2-.7-6.3-.8-2.8-.2-4.2 1.1-4.3 4-.1 2.8-.1 5.6 0 8.3.1 4.6 1.6 6.7 6.2 7.5 4.7.8 9.4 1.6 14.2 1.7 14.3.3 25.7-5.4 33.1-17.9 2.9-4.9 5.6-10.1 7.7-15.4 19.8-50.1 39.5-100.3 59.2-150.5.6-1.5 1.1-3 1.3-4.6.4-2.4-.7-3.6-3.1-3.7-5.6-.1-11.1 0-16.7 0-3.1 0-5.3 1.4-6.4 4.3-.4 1.1-.9 2.3-1.3 3.4l-29.1 83.7c-2.1 6.1-4.2 12.1-6.5 18.6-.4-.9-.6-1.4-.8-1.9-10.8-29.9-21.6-59.9-32.4-89.8-1.7-4.7-3.5-9.5-5.3-14.2-.9-2.5-2.7-4-5.4-4-6.4-.1-12.8-.2-19.2-.1-2.2 0-3.3 1.6-2.8 3.7zM242.4 206c1.7 11.7 7.6 20.8 18 26.6 9.9 5.5 20.7 6.2 31.7 4.6 12.7-1.9 23.9-7.3 33.8-15.5.4-.3.8-.6 1.4-1 .5 3.2.9 6.2 1.5 9.2.5 2.6 2.1 4.3 4.5 4.4 4.6.1 9.1.1 13.7 0 2.3-.1 3.8-1.6 4-3.9.1-.8.1-1.6.1-2.3v-88.8c0-3.6-.2-7.2-.7-10.8-1.6-10.8-6.2-19.7-15.9-25.4-5.6-3.3-11.8-5-18.2-5.9-3-.4-6-.7-9.1-1.1h-10c-.8.1-1.6.3-2.5.3-8.2.4-16.3 1.4-24.2 3.5-5.1 1.3-10 3.2-15 4.9-3 1-4.5 3.2-4.4 6.5.1 2.8-.1 5.6 0 8.3.1 4.1 1.8 5.2 5.7 4.1 6.5-1.7 13.1-3.5 19.7-4.8 10.3-1.9 20.7-2.7 31.1-1.2 5.4.8 10.5 2.4 14.1 7 3.1 4 4.2 8.8 4.4 13.7.3 6.9.2 13.9.3 20.8 0 .4-.1.7-.2 1.2-.4 0-.8 0-1.1-.1-8.8-2.1-17.7-3.6-26.8-4.1-9.5-.5-18.9.1-27.9 3.2-10.8 3.8-19.5 10.3-24.6 20.8-4.1 8.3-4.6 17-3.4 25.8zM98.7 106.9v175.3c0 .8 0 1.7.1 2.5.2 2.5 1.7 4.1 4.1 4.2 5.9.1 11.8.1 17.7 0 2.5 0 4-1.7 4.1-4.1.1-.8.1-1.7.1-2.5v-60.7c.9.7 1.4 1.2 1.9 1.6 15 12.5 32.2 16.6 51.1 12.9 17.1-3.4 28.9-13.9 36.7-29.2 5.8-11.6 8.3-24.1 8.7-37 .5-14.3-1-28.4-6.8-41.7-7.1-16.4-18.9-27.3-36.7-30.9-2.7-.6-5.5-.8-8.2-1.2h-7c-1.2.2-2.4.3-3.6.5-11.7 1.4-22.3 5.8-31.8 12.7-2 1.4-3.9 3-5.9 4.5-.1-.5-.3-.8-.4-1.2-.4-2.3-.7-4.6-1.1-6.9-.6-3.9-2.5-5.5-6.4-5.6h-9.7c-5.9-.1-6.9 1-6.9 6.8zM493.6 339c-2.7-.7-5.1 0-7.6 1-43.9 18.4-89.5 30.2-136.8 35.8-14.5 1.7-29.1 2.8-43.7 3.2-26.6.7-53.2-.8-79.6-4.3-17.8-2.4-35.5-5.7-53-9.9-37-8.9-72.7-21.7-106.7-38.8-8.8-4.4-17.4-9.3-26.1-14-3.8-2.1-6.2-1.5-8.2 2.1v1.7c1.2 1.6 2.2 3.4 3.7 4.8 36 32.2 76.6 56.5 122 72.9 21.9 7.9 44.4 13.7 67.3 17.5 14 2.3 28 3.8 42.2 4.5 3 .1 6 .2 9 .4.7 0 1.4.2 2.1.3h17.7c.7-.1 1.4-.3 2.1-.3 14.9-.4 29.8-1.8 44.6-4 21.4-3.2 42.4-8.1 62.9-14.7 29.6-9.6 57.7-22.4 83.4-40.1 2.8-1.9 5.7-3.8 8-6.2 4.3-4.4 2.3-10.4-3.3-11.9zm50.4-27.7c-.8-4.2-4-5.8-7.6-7-5.7-1.9-11.6-2.8-17.6-3.3-11-.9-22-.4-32.8 1.6-12 2.2-23.4 6.1-33.5 13.1-1.2.8-2.4 1.8-3.1 3-.6.9-.7 2.3-.5 3.4.3 1.3 1.7 1.6 3 1.5.6 0 1.2 0 1.8-.1l19.5-2.1c9.6-.9 19.2-1.5 28.8-.8 4.1.3 8.1 1.2 12 2.2 4.3 1.1 6.2 4.4 6.4 8.7.3 6.7-1.2 13.1-2.9 19.5-3.5 12.9-8.3 25.4-13.3 37.8-.3.8-.7 1.7-.8 2.5-.4 2.5 1 4 3.4 3.5 1.4-.3 3-1.1 4-2.1 3.7-3.6 7.5-7.2 10.6-11.2 10.7-13.8 17-29.6 20.7-46.6.7-3 1.2-6.1 1.7-9.1.2-4.7.2-9.6.2-14.5z"}}]})(props);
};
function FaCcAmex (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M325.1 167.8c0-16.4-14.1-18.4-27.4-18.4l-39.1-.3v69.3H275v-25.1h18c18.4 0 14.5 10.3 14.8 25.1h16.6v-13.5c0-9.2-1.5-15.1-11-18.4 7.4-3 11.8-10.7 11.7-18.7zm-29.4 11.3H275v-15.3h21c5.1 0 10.7 1 10.7 7.4 0 6.6-5.3 7.9-11 7.9zM279 268.6h-52.7l-21 22.8-20.5-22.8h-66.5l-.1 69.3h65.4l21.3-23 20.4 23h32.2l.1-23.3c18.9 0 49.3 4.6 49.3-23.3 0-17.3-12.3-22.7-27.9-22.7zm-103.8 54.7h-40.6v-13.8h36.3v-14.1h-36.3v-12.5h41.7l17.9 20.2zm65.8 8.2l-25.3-28.1L241 276zm37.8-31h-21.2v-17.6h21.5c5.6 0 10.2 2.3 10.2 8.4 0 6.4-4.6 9.2-10.5 9.2zm-31.6-136.7v-14.6h-55.5v69.3h55.5v-14.3h-38.9v-13.8h37.8v-14.1h-37.8v-12.5zM576 255.4h-.2zm-194.6 31.9c0-16.4-14.1-18.7-27.1-18.7h-39.4l-.1 69.3h16.6l.1-25.3h17.6c11 0 14.8 2 14.8 13.8l-.1 11.5h16.6l.1-13.8c0-8.9-1.8-15.1-11-18.4 7.7-3.1 11.8-10.8 11.9-18.4zm-29.2 11.2h-20.7v-15.6h21c5.1 0 10.7 1 10.7 7.4 0 6.9-5.4 8.2-11 8.2zm-172.8-80v-69.3h-27.6l-19.7 47-21.7-47H83.3v65.7l-28.1-65.7H30.7L1 218.5h17.9l6.4-15.3h34.5l6.4 15.3H100v-54.2l24 54.2h14.6l24-54.2v54.2zM31.2 188.8l11.2-27.6 11.5 27.6zm477.4 158.9v-4.5c-10.8 5.6-3.9 4.5-156.7 4.5 0-25.2.1-23.9 0-25.2-1.7-.1-3.2-.1-9.4-.1 0 17.9-.1 6.8-.1 25.3h-39.6c0-12.1.1-15.3.1-29.2-10 6-22.8 6.4-34.3 6.2 0 14.7-.1 8.3-.1 23h-48.9c-5.1-5.7-2.7-3.1-15.4-17.4-3.2 3.5-12.8 13.9-16.1 17.4h-82v-92.3h83.1c5 5.6 2.8 3.1 15.5 17.2 3.2-3.5 12.2-13.4 15.7-17.2h58c9.8 0 18 1.9 24.3 5.6v-5.6c54.3 0 64.3-1.4 75.7 5.1v-5.1h78.2v5.2c11.4-6.9 19.6-5.2 64.9-5.2v5c10.3-5.9 16.6-5.2 54.3-5V80c0-26.5-21.5-48-48-48h-480c-26.5 0-48 21.5-48 48v109.8c9.4-21.9 19.7-46 23.1-53.9h39.7c4.3 10.1 1.6 3.7 9 21.1v-21.1h46c2.9 6.2 11.1 24 13.9 30 5.8-13.6 10.1-23.9 12.6-30h103c0-.1 11.5 0 11.6 0 43.7.2 53.6-.8 64.4 5.3v-5.3H363v9.3c7.6-6.1 17.9-9.3 30.7-9.3h27.6c0 .5 1.9.3 2.3.3H456c4.2 9.8 2.6 6 8.8 20.6v-20.6h43.3c4.9 8-1-1.8 11.2 18.4v-18.4h39.9v92h-41.6c-5.4-9-1.4-2.2-13.2-21.9v21.9h-52.8c-6.4-14.8-.1-.3-6.6-15.3h-19c-4.2 10-2.2 5.2-6.4 15.3h-26.8c-12.3 0-22.3-3-29.7-8.9v8.9h-66.5c-.3-13.9-.1-24.8-.1-24.8-1.8-.3-3.4-.2-9.8-.2v25.1H151.2v-11.4c-2.5 5.6-2.7 5.9-5.1 11.4h-29.5c-4-8.9-2.9-6.4-5.1-11.4v11.4H58.6c-4.2-10.1-2.2-5.3-6.4-15.3H33c-4.2 10-2.2 5.2-6.4 15.3H0V432c0 26.5 21.5 48 48 48h480.1c26.5 0 48-21.5 48-48v-90.4c-12.7 8.3-32.7 6.1-67.5 6.1zm36.3-64.5H575v-14.6h-32.9c-12.8 0-23.8 6.6-23.8 20.7 0 33 42.7 12.8 42.7 27.4 0 5.1-4.3 6.4-8.4 6.4h-32l-.1 14.8h32c8.4 0 17.6-1.8 22.5-8.9v-25.8c-10.5-13.8-39.3-1.3-39.3-13.5 0-5.8 4.6-6.5 9.2-6.5zm-57 39.8h-32.2l-.1 14.8h32.2c14.8 0 26.2-5.6 26.2-22 0-33.2-42.9-11.2-42.9-26.3 0-5.6 4.9-6.4 9.2-6.4h30.4v-14.6h-33.2c-12.8 0-23.5 6.6-23.5 20.7 0 33 42.7 12.5 42.7 27.4-.1 5.4-4.7 6.4-8.8 6.4zm-42.2-40.1v-14.3h-55.2l-.1 69.3h55.2l.1-14.3-38.6-.3v-13.8H445v-14.1h-37.8v-12.5zm-56.3-108.1c-.3.2-1.4 2.2-1.4 7.6 0 6 .9 7.7 1.1 7.9.2.1 1.1.5 3.4.5l7.3-16.9c-1.1 0-2.1-.1-3.1-.1-5.6 0-7 .7-7.3 1zm20.4-10.5h-.1zm-16.2-15.2c-23.5 0-34 12-34 35.3 0 22.2 10.2 34 33 34h19.2l6.4-15.3h34.3l6.6 15.3h33.7v-51.9l31.2 51.9h23.6v-69h-16.9v48.1l-29.1-48.1h-25.3v65.4l-27.9-65.4h-24.8l-23.5 54.5h-7.4c-13.3 0-16.1-8.1-16.1-19.9 0-23.8 15.7-20 33.1-19.7v-15.2zm42.1 12.1l11.2 27.6h-22.8zm-101.1-12v69.3h16.9v-69.3z"}}]})(props);
};
function FaCcApplePay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M302.2 218.4c0 17.2-10.5 27.1-29 27.1h-24.3v-54.2h24.4c18.4 0 28.9 9.8 28.9 27.1zm47.5 62.6c0 8.3 7.2 13.7 18.5 13.7 14.4 0 25.2-9.1 25.2-21.9v-7.7l-23.5 1.5c-13.3.9-20.2 5.8-20.2 14.4zM576 79v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V79c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM127.8 197.2c8.4.7 16.8-4.2 22.1-10.4 5.2-6.4 8.6-15 7.7-23.7-7.4.3-16.6 4.9-21.9 11.3-4.8 5.5-8.9 14.4-7.9 22.8zm60.6 74.5c-.2-.2-19.6-7.6-19.8-30-.2-18.7 15.3-27.7 16-28.2-8.8-13-22.4-14.4-27.1-14.7-12.2-.7-22.6 6.9-28.4 6.9-5.9 0-14.7-6.6-24.3-6.4-12.5.2-24.2 7.3-30.5 18.6-13.1 22.6-3.4 56 9.3 74.4 6.2 9.1 13.7 19.1 23.5 18.7 9.3-.4 13-6 24.2-6 11.3 0 14.5 6 24.3 5.9 10.2-.2 16.5-9.1 22.8-18.2 6.9-10.4 9.8-20.4 10-21zm135.4-53.4c0-26.6-18.5-44.8-44.9-44.8h-51.2v136.4h21.2v-46.6h29.3c26.8 0 45.6-18.4 45.6-45zm90 23.7c0-19.7-15.8-32.4-40-32.4-22.5 0-39.1 12.9-39.7 30.5h19.1c1.6-8.4 9.4-13.9 20-13.9 13 0 20.2 6 20.2 17.2v7.5l-26.4 1.6c-24.6 1.5-37.9 11.6-37.9 29.1 0 17.7 13.7 29.4 33.4 29.4 13.3 0 25.6-6.7 31.2-17.4h.4V310h19.6v-68zM516 210.9h-21.5l-24.9 80.6h-.4l-24.9-80.6H422l35.9 99.3-1.9 6c-3.2 10.2-8.5 14.2-17.9 14.2-1.7 0-4.9-.2-6.2-.3v16.4c1.2.4 6.5.5 8.1.5 20.7 0 30.4-7.9 38.9-31.8L516 210.9z"}}]})(props);
};
function FaCcDinersClub (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M239.7 79.9c-96.9 0-175.8 78.6-175.8 175.8 0 96.9 78.9 175.8 175.8 175.8 97.2 0 175.8-78.9 175.8-175.8 0-97.2-78.6-175.8-175.8-175.8zm-39.9 279.6c-41.7-15.9-71.4-56.4-71.4-103.8s29.7-87.9 71.4-104.1v207.9zm79.8.3V151.6c41.7 16.2 71.4 56.7 71.4 104.1s-29.7 87.9-71.4 104.1zM528 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h480c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM329.7 448h-90.3c-106.2 0-193.8-85.5-193.8-190.2C45.6 143.2 133.2 64 239.4 64h90.3c105 0 200.7 79.2 200.7 193.8 0 104.7-95.7 190.2-200.7 190.2z"}}]})(props);
};
function FaCcDiscover (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M520.4 196.1c0-7.9-5.5-12.1-15.6-12.1h-4.9v24.9h4.7c10.3 0 15.8-4.4 15.8-12.8zM528 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h480c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-44.1 138.9c22.6 0 52.9-4.1 52.9 24.4 0 12.6-6.6 20.7-18.7 23.2l25.8 34.4h-19.6l-22.2-32.8h-2.2v32.8h-16zm-55.9.1h45.3v14H444v18.2h28.3V217H444v22.2h29.3V253H428zm-68.7 0l21.9 55.2 22.2-55.2h17.5l-35.5 84.2h-8.6l-35-84.2zm-55.9-3c24.7 0 44.6 20 44.6 44.6 0 24.7-20 44.6-44.6 44.6-24.7 0-44.6-20-44.6-44.6 0-24.7 20-44.6 44.6-44.6zm-49.3 6.1v19c-20.1-20.1-46.8-4.7-46.8 19 0 25 27.5 38.5 46.8 19.2v19c-29.7 14.3-63.3-5.7-63.3-38.2 0-31.2 33.1-53 63.3-38zm-97.2 66.3c11.4 0 22.4-15.3-3.3-24.4-15-5.5-20.2-11.4-20.2-22.7 0-23.2 30.6-31.4 49.7-14.3l-8.4 10.8c-10.4-11.6-24.9-6.2-24.9 2.5 0 4.4 2.7 6.9 12.3 10.3 18.2 6.6 23.6 12.5 23.6 25.6 0 29.5-38.8 37.4-56.6 11.3l10.3-9.9c3.7 7.1 9.9 10.8 17.5 10.8zM55.4 253H32v-82h23.4c26.1 0 44.1 17 44.1 41.1 0 18.5-13.2 40.9-44.1 40.9zm67.5 0h-16v-82h16zM544 433c0 8.2-6.8 15-15 15H128c189.6-35.6 382.7-139.2 416-160zM74.1 191.6c-5.2-4.9-11.6-6.6-21.9-6.6H48v54.2h4.2c10.3 0 17-2 21.9-6.4 5.7-5.2 8.9-12.8 8.9-20.7s-3.2-15.5-8.9-20.5z"}}]})(props);
};
function FaCcJcb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M431.5 244.3V212c41.2 0 38.5.2 38.5.2 7.3 1.3 13.3 7.3 13.3 16 0 8.8-6 14.5-13.3 15.8-1.2.4-3.3.3-38.5.3zm42.8 20.2c-2.8-.7-3.3-.5-42.8-.5v35c39.6 0 40 .2 42.8-.5 7.5-1.5 13.5-8 13.5-17 0-8.7-6-15.5-13.5-17zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM182 192.3h-57c0 67.1 10.7 109.7-35.8 109.7-19.5 0-38.8-5.7-57.2-14.8v28c30 8.3 68 8.3 68 8.3 97.9 0 82-47.7 82-131.2zm178.5 4.5c-63.4-16-165-14.9-165 59.3 0 77.1 108.2 73.6 165 59.2V287C312.9 311.7 253 309 253 256s59.8-55.6 107.5-31.2v-28zM544 286.5c0-18.5-16.5-30.5-38-32v-.8c19.5-2.7 30.3-15.5 30.3-30.2 0-19-15.7-30-37-31 0 0 6.3-.3-120.3-.3v127.5h122.7c24.3.1 42.3-12.9 42.3-33.2z"}}]})(props);
};
function FaCcMastercard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M482.9 410.3c0 6.8-4.6 11.7-11.2 11.7-6.8 0-11.2-5.2-11.2-11.7 0-6.5 4.4-11.7 11.2-11.7 6.6 0 11.2 5.2 11.2 11.7zm-310.8-11.7c-7.1 0-11.2 5.2-11.2 11.7 0 6.5 4.1 11.7 11.2 11.7 6.5 0 10.9-4.9 10.9-11.7-.1-6.5-4.4-11.7-10.9-11.7zm117.5-.3c-5.4 0-8.7 3.5-9.5 8.7h19.1c-.9-5.7-4.4-8.7-9.6-8.7zm107.8.3c-6.8 0-10.9 5.2-10.9 11.7 0 6.5 4.1 11.7 10.9 11.7 6.8 0 11.2-4.9 11.2-11.7 0-6.5-4.4-11.7-11.2-11.7zm105.9 26.1c0 .3.3.5.3 1.1 0 .3-.3.5-.3 1.1-.3.3-.3.5-.5.8-.3.3-.5.5-1.1.5-.3.3-.5.3-1.1.3-.3 0-.5 0-1.1-.3-.3 0-.5-.3-.8-.5-.3-.3-.5-.5-.5-.8-.3-.5-.3-.8-.3-1.1 0-.5 0-.8.3-1.1 0-.5.3-.8.5-1.1.3-.3.5-.3.8-.5.5-.3.8-.3 1.1-.3.5 0 .8 0 1.1.3.5.3.8.3 1.1.5s.2.6.5 1.1zm-2.2 1.4c.5 0 .5-.3.8-.3.3-.3.3-.5.3-.8 0-.3 0-.5-.3-.8-.3 0-.5-.3-1.1-.3h-1.6v3.5h.8V426h.3l1.1 1.4h.8l-1.1-1.3zM576 81v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V81c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM64 220.6c0 76.5 62.1 138.5 138.5 138.5 27.2 0 53.9-8.2 76.5-23.1-72.9-59.3-72.4-171.2 0-230.5-22.6-15-49.3-23.1-76.5-23.1-76.4-.1-138.5 62-138.5 138.2zm224 108.8c70.5-55 70.2-162.2 0-217.5-70.2 55.3-70.5 162.6 0 217.5zm-142.3 76.3c0-8.7-5.7-14.4-14.7-14.7-4.6 0-9.5 1.4-12.8 6.5-2.4-4.1-6.5-6.5-12.2-6.5-3.8 0-7.6 1.4-10.6 5.4V392h-8.2v36.7h8.2c0-18.9-2.5-30.2 9-30.2 10.2 0 8.2 10.2 8.2 30.2h7.9c0-18.3-2.5-30.2 9-30.2 10.2 0 8.2 10 8.2 30.2h8.2v-23zm44.9-13.7h-7.9v4.4c-2.7-3.3-6.5-5.4-11.7-5.4-10.3 0-18.2 8.2-18.2 19.3 0 11.2 7.9 19.3 18.2 19.3 5.2 0 9-1.9 11.7-5.4v4.6h7.9V392zm40.5 25.6c0-15-22.9-8.2-22.9-15.2 0-5.7 11.9-4.8 18.5-1.1l3.3-6.5c-9.4-6.1-30.2-6-30.2 8.2 0 14.3 22.9 8.3 22.9 15 0 6.3-13.5 5.8-20.7.8l-3.5 6.3c11.2 7.6 32.6 6 32.6-7.5zm35.4 9.3l-2.2-6.8c-3.8 2.1-12.2 4.4-12.2-4.1v-16.6h13.1V392h-13.1v-11.2h-8.2V392h-7.6v7.3h7.6V416c0 17.6 17.3 14.4 22.6 10.9zm13.3-13.4h27.5c0-16.2-7.4-22.6-17.4-22.6-10.6 0-18.2 7.9-18.2 19.3 0 20.5 22.6 23.9 33.8 14.2l-3.8-6c-7.8 6.4-19.6 5.8-21.9-4.9zm59.1-21.5c-4.6-2-11.6-1.8-15.2 4.4V392h-8.2v36.7h8.2V408c0-11.6 9.5-10.1 12.8-8.4l2.4-7.6zm10.6 18.3c0-11.4 11.6-15.1 20.7-8.4l3.8-6.5c-11.6-9.1-32.7-4.1-32.7 15 0 19.8 22.4 23.8 32.7 15l-3.8-6.5c-9.2 6.5-20.7 2.6-20.7-8.6zm66.7-18.3H408v4.4c-8.3-11-29.9-4.8-29.9 13.9 0 19.2 22.4 24.7 29.9 13.9v4.6h8.2V392zm33.7 0c-2.4-1.2-11-2.9-15.2 4.4V392h-7.9v36.7h7.9V408c0-11 9-10.3 12.8-8.4l2.4-7.6zm40.3-14.9h-7.9v19.3c-8.2-10.9-29.9-5.1-29.9 13.9 0 19.4 22.5 24.6 29.9 13.9v4.6h7.9v-51.7zm7.6-75.1v4.6h.8V302h1.9v-.8h-4.6v.8h1.9zm6.6 123.8c0-.5 0-1.1-.3-1.6-.3-.3-.5-.8-.8-1.1-.3-.3-.8-.5-1.1-.8-.5 0-1.1-.3-1.6-.3-.3 0-.8.3-1.4.3-.5.3-.8.5-1.1.8-.5.3-.8.8-.8 1.1-.3.5-.3 1.1-.3 1.6 0 .3 0 .8.3 1.4 0 .3.3.8.8 1.1.3.3.5.5 1.1.8.5.3 1.1.3 1.4.3.5 0 1.1 0 1.6-.3.3-.3.8-.5 1.1-.8.3-.3.5-.8.8-1.1.3-.6.3-1.1.3-1.4zm3.2-124.7h-1.4l-1.6 3.5-1.6-3.5h-1.4v5.4h.8v-4.1l1.6 3.5h1.1l1.4-3.5v4.1h1.1v-5.4zm4.4-80.5c0-76.2-62.1-138.3-138.5-138.3-27.2 0-53.9 8.2-76.5 23.1 72.1 59.3 73.2 171.5 0 230.5 22.6 15 49.5 23.1 76.5 23.1 76.4.1 138.5-61.9 138.5-138.4z"}}]})(props);
};
function FaCcPaypal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M186.3 258.2c0 12.2-9.7 21.5-22 21.5-9.2 0-16-5.2-16-15 0-12.2 9.5-22 21.7-22 9.3 0 16.3 5.7 16.3 15.5zM80.5 209.7h-4.7c-1.5 0-3 1-3.2 2.7l-4.3 26.7 8.2-.3c11 0 19.5-1.5 21.5-14.2 2.3-13.4-6.2-14.9-17.5-14.9zm284 0H360c-1.8 0-3 1-3.2 2.7l-4.2 26.7 8-.3c13 0 22-3 22-18-.1-10.6-9.6-11.1-18.1-11.1zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM128.3 215.4c0-21-16.2-28-34.7-28h-40c-2.5 0-5 2-5.2 4.7L32 294.2c-.3 2 1.2 4 3.2 4h19c2.7 0 5.2-2.9 5.5-5.7l4.5-26.6c1-7.2 13.2-4.7 18-4.7 28.6 0 46.1-17 46.1-45.8zm84.2 8.8h-19c-3.8 0-4 5.5-4.2 8.2-5.8-8.5-14.2-10-23.7-10-24.5 0-43.2 21.5-43.2 45.2 0 19.5 12.2 32.2 31.7 32.2 9 0 20.2-4.9 26.5-11.9-.5 1.5-1 4.7-1 6.2 0 2.3 1 4 3.2 4H200c2.7 0 5-2.9 5.5-5.7l10.2-64.3c.3-1.9-1.2-3.9-3.2-3.9zm40.5 97.9l63.7-92.6c.5-.5.5-1 .5-1.7 0-1.7-1.5-3.5-3.2-3.5h-19.2c-1.7 0-3.5 1-4.5 2.5l-26.5 39-11-37.5c-.8-2.2-3-4-5.5-4h-18.7c-1.7 0-3.2 1.8-3.2 3.5 0 1.2 19.5 56.8 21.2 62.1-2.7 3.8-20.5 28.6-20.5 31.6 0 1.8 1.5 3.2 3.2 3.2h19.2c1.8-.1 3.5-1.1 4.5-2.6zm159.3-106.7c0-21-16.2-28-34.7-28h-39.7c-2.7 0-5.2 2-5.5 4.7l-16.2 102c-.2 2 1.3 4 3.2 4h20.5c2 0 3.5-1.5 4-3.2l4.5-29c1-7.2 13.2-4.7 18-4.7 28.4 0 45.9-17 45.9-45.8zm84.2 8.8h-19c-3.8 0-4 5.5-4.3 8.2-5.5-8.5-14-10-23.7-10-24.5 0-43.2 21.5-43.2 45.2 0 19.5 12.2 32.2 31.7 32.2 9.3 0 20.5-4.9 26.5-11.9-.3 1.5-1 4.7-1 6.2 0 2.3 1 4 3.2 4H484c2.7 0 5-2.9 5.5-5.7l10.2-64.3c.3-1.9-1.2-3.9-3.2-3.9zm47.5-33.3c0-2-1.5-3.5-3.2-3.5h-18.5c-1.5 0-3 1.2-3.2 2.7l-16.2 104-.3.5c0 1.8 1.5 3.5 3.5 3.5h16.5c2.5 0 5-2.9 5.2-5.7L544 191.2v-.3zm-90 51.8c-12.2 0-21.7 9.7-21.7 22 0 9.7 7 15 16.2 15 12 0 21.7-9.2 21.7-21.5.1-9.8-6.9-15.5-16.2-15.5z"}}]})(props);
};
function FaCcStripe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M492.4 220.8c-8.9 0-18.7 6.7-18.7 22.7h36.7c0-16-9.3-22.7-18-22.7zM375 223.4c-8.2 0-13.3 2.9-17 7l.2 52.8c3.5 3.7 8.5 6.7 16.8 6.7 13.1 0 21.9-14.3 21.9-33.4 0-18.6-9-33.2-21.9-33.1zM528 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h480c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM122.2 281.1c0 25.6-20.3 40.1-49.9 40.3-12.2 0-25.6-2.4-38.8-8.1v-33.9c12 6.4 27.1 11.3 38.9 11.3 7.9 0 13.6-2.1 13.6-8.7 0-17-54-10.6-54-49.9 0-25.2 19.2-40.2 48-40.2 11.8 0 23.5 1.8 35.3 6.5v33.4c-10.8-5.8-24.5-9.1-35.3-9.1-7.5 0-12.1 2.2-12.1 7.7 0 16 54.3 8.4 54.3 50.7zm68.8-56.6h-27V275c0 20.9 22.5 14.4 27 12.6v28.9c-4.7 2.6-13.3 4.7-24.9 4.7-21.1 0-36.9-15.5-36.9-36.5l.2-113.9 34.7-7.4v30.8H191zm74 2.4c-4.5-1.5-18.7-3.6-27.1 7.4v84.4h-35.5V194.2h30.7l2.2 10.5c8.3-15.3 24.9-12.2 29.6-10.5h.1zm44.1 91.8h-35.7V194.2h35.7zm0-142.9l-35.7 7.6v-28.9l35.7-7.6zm74.1 145.5c-12.4 0-20-5.3-25.1-9l-.1 40.2-35.5 7.5V194.2h31.3l1.8 8.8c4.9-4.5 13.9-11.1 27.8-11.1 24.9 0 48.4 22.5 48.4 63.8 0 45.1-23.2 65.5-48.6 65.6zm160.4-51.5h-69.5c1.6 16.6 13.8 21.5 27.6 21.5 14.1 0 25.2-3 34.9-7.9V312c-9.7 5.3-22.4 9.2-39.4 9.2-34.6 0-58.8-21.7-58.8-64.5 0-36.2 20.5-64.9 54.3-64.9 33.7 0 51.3 28.7 51.3 65.1 0 3.5-.3 10.9-.4 12.9z"}}]})(props);
};
function FaCcVisa (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M470.1 231.3s7.6 37.2 9.3 45H446c3.3-8.9 16-43.5 16-43.5-.2.3 3.3-9.1 5.3-14.9l2.8 13.4zM576 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48zM152.5 331.2L215.7 176h-42.5l-39.3 106-4.3-21.5-14-71.4c-2.3-9.9-9.4-12.7-18.2-13.1H32.7l-.7 3.1c15.8 4 29.9 9.8 42.2 17.1l35.8 135h42.5zm94.4.2L272.1 176h-40.2l-25.1 155.4h40.1zm139.9-50.8c.2-17.7-10.6-31.2-33.7-42.3-14.1-7.1-22.7-11.9-22.7-19.2.2-6.6 7.3-13.4 23.1-13.4 13.1-.3 22.7 2.8 29.9 5.9l3.6 1.7 5.5-33.6c-7.9-3.1-20.5-6.6-36-6.6-39.7 0-67.6 21.2-67.8 51.4-.3 22.3 20 34.7 35.2 42.2 15.5 7.6 20.8 12.6 20.8 19.3-.2 10.4-12.6 15.2-24.1 15.2-16 0-24.6-2.5-37.7-8.3l-5.3-2.5-5.6 34.9c9.4 4.3 26.8 8.1 44.8 8.3 42.2.1 69.7-20.8 70-53zM528 331.4L495.6 176h-31.1c-9.6 0-16.9 2.8-21 12.9l-59.7 142.5H426s6.9-19.2 8.4-23.3H486c1.2 5.5 4.8 23.3 4.8 23.3H528z"}}]})(props);
};
function FaCentercode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M329.2 268.6c-3.8 35.2-35.4 60.6-70.6 56.8-35.2-3.8-60.6-35.4-56.8-70.6 3.8-35.2 35.4-60.6 70.6-56.8 35.1 3.8 60.6 35.4 56.8 70.6zm-85.8 235.1C96.7 496-8.2 365.5 10.1 224.3c11.2-86.6 65.8-156.9 139.1-192 161-77.1 349.7 37.4 354.7 216.6 4.1 147-118.4 262.2-260.5 254.8zm179.9-180c27.9-118-160.5-205.9-237.2-234.2-57.5 56.3-69.1 188.6-33.8 344.4 68.8 15.8 169.1-26.4 271-110.2z"}}]})(props);
};
function FaCentos (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M289.6 97.5l31.6 31.7-76.3 76.5V97.5zm-162.4 31.7l76.3 76.5V97.5h-44.7zm41.5-41.6h44.7v127.9l10.8 10.8 10.8-10.8V87.6h44.7L224.2 32zm26.2 168.1l-10.8-10.8H55.5v-44.8L0 255.7l55.5 55.6v-44.8h128.6l10.8-10.8zm79.3-20.7h107.9v-44.8l-31.6-31.7zm173.3 20.7L392 200.1v44.8H264.3l-10.8 10.8 10.8 10.8H392v44.8l55.5-55.6zM65.4 176.2l32.5-31.7 90.3 90.5h15.3v-15.3l-90.3-90.5 31.6-31.7H65.4zm316.7-78.7h-78.5l31.6 31.7-90.3 90.5V235h15.3l90.3-90.5 31.6 31.7zM203.5 413.9V305.8l-76.3 76.5 31.6 31.7h44.7zM65.4 235h108.8l-76.3-76.5-32.5 31.7zm316.7 100.2l-31.6 31.7-90.3-90.5h-15.3v15.3l90.3 90.5-31.6 31.7h78.5zm0-58.8H274.2l76.3 76.5 31.6-31.7zm-60.9 105.8l-76.3-76.5v108.1h44.7zM97.9 352.9l76.3-76.5H65.4v44.8zm181.8 70.9H235V295.9l-10.8-10.8-10.8 10.8v127.9h-44.7l55.5 55.6zm-166.5-41.6l90.3-90.5v-15.3h-15.3l-90.3 90.5-32.5-31.7v78.7h79.4z"}}]})(props);
};
function FaChrome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M131.5 217.5L55.1 100.1c47.6-59.2 119-91.8 192-92.1 42.3-.3 85.5 10.5 124.8 33.2 43.4 25.2 76.4 61.4 97.4 103L264 133.4c-58.1-3.4-113.4 29.3-132.5 84.1zm32.9 38.5c0 46.2 37.4 83.6 83.6 83.6s83.6-37.4 83.6-83.6-37.4-83.6-83.6-83.6-83.6 37.3-83.6 83.6zm314.9-89.2L339.6 174c37.9 44.3 38.5 108.2 6.6 157.2L234.1 503.6c46.5 2.5 94.4-7.7 137.8-32.9 107.4-62 150.9-192 107.4-303.9zM133.7 303.6L40.4 120.1C14.9 159.1 0 205.9 0 256c0 124 90.8 226.7 209.5 244.9l63.7-124.8c-57.6 10.8-113.2-20.8-139.5-72.5z"}}]})(props);
};
function FaChromecast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M447.83 64H64a42.72 42.72 0 0 0-42.72 42.72v63.92H64v-63.92h383.83v298.56H298.64V448H448a42.72 42.72 0 0 0 42.72-42.72V106.72A42.72 42.72 0 0 0 448 64zM21.28 383.58v63.92h63.91a63.91 63.91 0 0 0-63.91-63.92zm0-85.28V341a106.63 106.63 0 0 1 106.64 106.66v.34h42.72a149.19 149.19 0 0 0-149-149.36h-.33zm0-85.27v42.72c106-.1 192 85.75 192.08 191.75v.5h42.72c-.46-129.46-105.34-234.27-234.8-234.64z"}}]})(props);
};
function FaCloudscale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M318.1 154l-9.4 7.6c-22.5-19.3-51.5-33.6-83.3-33.6C153.8 128 96 188.8 96 260.3c0 6.6.4 13.1 1.4 19.4-2-56 41.8-97.4 92.6-97.4 24.2 0 46.2 9.4 62.6 24.7l-25.2 20.4c-8.3-.9-16.8 1.8-23.1 8.1-11.1 11-11.1 28.9 0 40 11.1 11 28.9 11 40 0 6.3-6.3 9-14.9 8.1-23.1l75.2-88.8c6.3-6.5-3.3-15.9-9.5-9.6zm-83.8 111.5c-5.6 5.5-14.6 5.5-20.2 0-5.6-5.6-5.6-14.6 0-20.2s14.6-5.6 20.2 0 5.6 14.7 0 20.2zM224 32C100.5 32 0 132.5 0 256s100.5 224 224 224 224-100.5 224-224S347.5 32 224 32zm0 384c-88.2 0-160-71.8-160-160S135.8 96 224 96s160 71.8 160 160-71.8 160-160 160z"}}]})(props);
};
function FaCloudsmith (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 332 512"},"child":[{"tag":"path","attr":{"d":"M332.5 419.9c0 46.4-37.6 84.1-84 84.1s-84-37.7-84-84.1 37.6-84 84-84 84 37.6 84 84zm-84-243.9c46.4 0 80-37.6 80-84s-33.6-84-80-84-88 37.6-88 84-29.6 76-76 76-84 41.6-84 88 37.6 80 84 80 84-33.6 84-80 33.6-80 80-80z"}}]})(props);
};
function FaCloudversify (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 616 512"},"child":[{"tag":"path","attr":{"d":"M148.6 304c8.2 68.5 67.4 115.5 146 111.3 51.2 43.3 136.8 45.8 186.4-5.6 69.2 1.1 118.5-44.6 131.5-99.5 14.8-62.5-18.2-132.5-92.1-155.1-33-88.1-131.4-101.5-186.5-85-57.3 17.3-84.3 53.2-99.3 109.7-7.8 2.7-26.5 8.9-45 24.1 11.7 0 15.2 8.9 15.2 19.5v20.4c0 10.7-8.7 19.5-19.5 19.5h-20.2c-10.7 0-19.5-6-19.5-16.7V240H98.8C95 240 88 244.3 88 251.9v40.4c0 6.4 5.3 11.8 11.7 11.8h48.9zm227.4 8c-10.7 46.3 21.7 72.4 55.3 86.8C324.1 432.6 259.7 348 296 288c-33.2 21.6-33.7 71.2-29.2 92.9-17.9-12.4-53.8-32.4-57.4-79.8-3-39.9 21.5-75.7 57-93.9C297 191.4 369.9 198.7 400 248c-14.1-48-53.8-70.1-101.8-74.8 30.9-30.7 64.4-50.3 114.2-43.7 69.8 9.3 133.2 82.8 67.7 150.5 35-16.3 48.7-54.4 47.5-76.9l10.5 19.6c11.8 22 15.2 47.6 9.4 72-9.2 39-40.6 68.8-79.7 76.5-32.1 6.3-83.1-5.1-91.8-59.2zM128 208H88.2c-8.9 0-16.2-7.3-16.2-16.2v-39.6c0-8.9 7.3-16.2 16.2-16.2H128c8.9 0 16.2 7.3 16.2 16.2v39.6c0 8.9-7.3 16.2-16.2 16.2zM10.1 168C4.5 168 0 163.5 0 157.9v-27.8c0-5.6 4.5-10.1 10.1-10.1h27.7c5.5 0 10.1 4.5 10.1 10.1v27.8c0 5.6-4.5 10.1-10.1 10.1H10.1zM168 142.7v-21.4c0-5.1 4.2-9.3 9.3-9.3h21.4c5.1 0 9.3 4.2 9.3 9.3v21.4c0 5.1-4.2 9.3-9.3 9.3h-21.4c-5.1 0-9.3-4.2-9.3-9.3zM56 235.5v25c0 6.3-5.1 11.5-11.4 11.5H19.4C13.1 272 8 266.8 8 260.5v-25c0-6.3 5.1-11.5 11.4-11.5h25.1c6.4 0 11.5 5.2 11.5 11.5z"}}]})(props);
};
function FaCodepen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M502.285 159.704l-234-156c-7.987-4.915-16.511-4.96-24.571 0l-234 156C3.714 163.703 0 170.847 0 177.989v155.999c0 7.143 3.714 14.286 9.715 18.286l234 156.022c7.987 4.915 16.511 4.96 24.571 0l234-156.022c6-3.999 9.715-11.143 9.715-18.286V177.989c-.001-7.142-3.715-14.286-9.716-18.285zM278 63.131l172.286 114.858-76.857 51.429L278 165.703V63.131zm-44 0v102.572l-95.429 63.715-76.857-51.429L234 63.131zM44 219.132l55.143 36.857L44 292.846v-73.714zm190 229.715L61.714 333.989l76.857-51.429L234 346.275v102.572zm22-140.858l-77.715-52 77.715-52 77.715 52-77.715 52zm22 140.858V346.275l95.429-63.715 76.857 51.429L278 448.847zm190-156.001l-55.143-36.857L468 219.132v73.714z"}}]})(props);
};
function FaCodiepie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 472 512"},"child":[{"tag":"path","attr":{"d":"M422.5 202.9c30.7 0 33.5 53.1-.3 53.1h-10.8v44.3h-26.6v-97.4h37.7zM472 352.6C429.9 444.5 350.4 504 248 504 111 504 0 393 0 256S111 8 248 8c97.4 0 172.8 53.7 218.2 138.4l-186 108.8L472 352.6zm-38.5 12.5l-60.3-30.7c-27.1 44.3-70.4 71.4-122.4 71.4-82.5 0-149.2-66.7-149.2-148.9 0-82.5 66.7-149.2 149.2-149.2 48.4 0 88.9 23.5 116.9 63.4l59.5-34.6c-40.7-62.6-104.7-100-179.2-100-121.2 0-219.5 98.3-219.5 219.5S126.8 475.5 248 475.5c78.6 0 146.5-42.1 185.5-110.4z"}}]})(props);
};
function FaConfluence (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M2.3 412.2c-4.5 7.6-2.1 17.5 5.5 22.2l105.9 65.2c7.7 4.7 17.7 2.4 22.4-5.3 0-.1.1-.2.1-.2 67.1-112.2 80.5-95.9 280.9-.7 8.1 3.9 17.8.4 21.7-7.7.1-.1.1-.3.2-.4l50.4-114.1c3.6-8.1-.1-17.6-8.1-21.3-22.2-10.4-66.2-31.2-105.9-50.3C127.5 179 44.6 345.3 2.3 412.2zm507.4-312.1c4.5-7.6 2.1-17.5-5.5-22.2L398.4 12.8c-7.5-5-17.6-3.1-22.6 4.4-.2.3-.4.6-.6 1-67.3 112.6-81.1 95.6-280.6.9-8.1-3.9-17.8-.4-21.7 7.7-.1.1-.1.3-.2.4L22.2 141.3c-3.6 8.1.1 17.6 8.1 21.3 22.2 10.4 66.3 31.2 106 50.4 248 120 330.8-45.4 373.4-112.9z"}}]})(props);
};
function FaConnectdevelop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M550.5 241l-50.089-86.786c1.071-2.142 1.875-4.553 1.875-7.232 0-8.036-6.696-14.733-14.732-15.001l-55.447-95.893c.536-1.607 1.071-3.214 1.071-4.821 0-8.571-6.964-15.268-15.268-15.268-4.821 0-8.839 2.143-11.786 5.625H299.518C296.839 18.143 292.821 16 288 16s-8.839 2.143-11.518 5.625H170.411C167.464 18.143 163.447 16 158.625 16c-8.303 0-15.268 6.696-15.268 15.268 0 1.607.536 3.482 1.072 4.821l-55.983 97.233c-5.356 2.41-9.107 7.5-9.107 13.661 0 .535.268 1.071.268 1.607l-53.304 92.143c-7.232 1.339-12.59 7.5-12.59 15 0 7.232 5.089 13.393 12.054 15l55.179 95.358c-.536 1.607-.804 2.946-.804 4.821 0 7.232 5.089 13.393 12.054 14.732l51.697 89.732c-.536 1.607-1.071 3.482-1.071 5.357 0 8.571 6.964 15.268 15.268 15.268 4.821 0 8.839-2.143 11.518-5.357h106.875C279.161 493.857 283.447 496 288 496s8.839-2.143 11.518-5.357h107.143c2.678 2.946 6.696 4.821 10.982 4.821 8.571 0 15.268-6.964 15.268-15.268 0-1.607-.267-2.946-.803-4.285l51.697-90.268c6.964-1.339 12.054-7.5 12.054-14.732 0-1.607-.268-3.214-.804-4.821l54.911-95.358c6.964-1.339 12.322-7.5 12.322-15-.002-7.232-5.092-13.393-11.788-14.732zM153.535 450.732l-43.66-75.803h43.66v75.803zm0-83.839h-43.66c-.268-1.071-.804-2.142-1.339-3.214l44.999-47.41v50.624zm0-62.411l-50.357 53.304c-1.339-.536-2.679-1.34-4.018-1.607L43.447 259.75c.535-1.339.535-2.679.535-4.018s0-2.41-.268-3.482l51.965-90c2.679-.268 5.357-1.072 7.768-2.679l50.089 51.965v92.946zm0-102.322l-45.803-47.41c1.339-2.143 2.143-4.821 2.143-7.767 0-.268-.268-.804-.268-1.072l43.928-15.804v72.053zm0-80.625l-43.66 15.804 43.66-75.536v59.732zm326.519 39.108l.804 1.339L445.5 329.125l-63.75-67.232 98.036-101.518.268.268zM291.75 355.107l11.518 11.786H280.5l11.25-11.786zm-.268-11.25l-83.303-85.446 79.553-84.375 83.036 87.589-79.286 82.232zm5.357 5.893l79.286-82.232 67.5 71.25-5.892 28.125H313.714l-16.875-17.143zM410.411 44.393c1.071.536 2.142 1.072 3.482 1.34l57.857 100.714v.536c0 2.946.803 5.624 2.143 7.767L376.393 256l-83.035-87.589L410.411 44.393zm-9.107-2.143L287.732 162.518l-57.054-60.268 166.339-60h4.287zm-123.483 0c2.678 2.678 6.16 4.285 10.179 4.285s7.5-1.607 10.179-4.285h75L224.786 95.821 173.893 42.25h103.928zm-116.249 5.625l1.071-2.142a33.834 33.834 0 0 0 2.679-.804l51.161 53.84-54.911 19.821V47.875zm0 79.286l60.803-21.964 59.732 63.214-79.553 84.107-40.982-42.053v-83.304zm0 92.678L198 257.607l-36.428 38.304v-76.072zm0 87.858l42.053-44.464 82.768 85.982-17.143 17.678H161.572v-59.196zm6.964 162.053c-1.607-1.607-3.482-2.678-5.893-3.482l-1.071-1.607v-89.732h99.91l-91.607 94.821h-1.339zm129.911 0c-2.679-2.41-6.428-4.285-10.447-4.285s-7.767 1.875-10.447 4.285h-96.429l91.607-94.821h38.304l91.607 94.821H298.447zm120-11.786l-4.286 7.5c-1.339.268-2.41.803-3.482 1.339l-89.196-91.875h114.376l-17.412 83.036zm12.856-22.232l12.858-60.803h21.964l-34.822 60.803zm34.822-68.839h-20.357l4.553-21.16 17.143 18.214c-.535.803-1.071 1.874-1.339 2.946zm66.161-107.411l-55.447 96.697c-1.339.535-2.679 1.071-4.018 1.874l-20.625-21.964 34.554-163.928 45.803 79.286c-.267 1.339-.803 2.678-.803 4.285 0 1.339.268 2.411.536 3.75z"}}]})(props);
};
function FaContao (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M45.4 305c14.4 67.1 26.4 129 68.2 175H34c-18.7 0-34-15.2-34-34V66c0-18.7 15.2-34 34-34h57.7C77.9 44.6 65.6 59.2 54.8 75.6c-45.4 70-27 146.8-9.4 229.4zM478 32h-90.2c21.4 21.4 39.2 49.5 52.7 84.1l-137.1 29.3c-14.9-29-37.8-53.3-82.6-43.9-24.6 5.3-41 19.3-48.3 34.6-8.8 18.7-13.2 39.8 8.2 140.3 21.1 100.2 33.7 117.7 49.5 131.2 12.9 11.1 33.4 17 58.3 11.7 44.5-9.4 55.7-40.7 57.4-73.2l137.4-29.6c3.2 71.5-18.7 125.2-57.4 163.6H478c18.7 0 34-15.2 34-34V66c0-18.8-15.2-34-34-34z"}}]})(props);
};
function FaCottonBureau (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M474.31 330.41c-23.66 91.85-94.23 144.59-201.9 148.35V429.6c0-48 26.41-74.39 74.39-74.39 62 0 99.2-37.2 99.2-99.21 0-61.37-36.53-98.28-97.38-99.06-33-69.32-146.5-64.65-177.24 0C110.52 157.72 74 194.63 74 256c0 62.13 37.27 99.41 99.4 99.41 48 0 74.55 26.23 74.55 74.39V479c-134.43-5-211.1-85.07-211.1-223 0-141.82 81.35-223.2 223.2-223.2 114.77 0 189.84 53.2 214.69 148.81H500C473.88 71.51 388.22 8 259.82 8 105 8 12 101.19 12 255.82 12 411.14 105.19 504.34 259.82 504c128.27 0 213.87-63.81 239.67-173.59zM357 182.33c41.37 3.45 64.2 29 64.2 73.67 0 48-26.43 74.41-74.4 74.41-28.61 0-49.33-9.59-61.59-27.33 83.06-16.55 75.59-99.67 71.79-120.75zm-81.68 97.36c-2.46-10.34-16.33-87 56.23-97 2.27 10.09 16.52 87.11-56.26 97zM260 132c28.61 0 49 9.67 61.44 27.61-28.36 5.48-49.36 20.59-61.59 43.45-12.23-22.86-33.23-38-61.6-43.45 12.41-17.69 33.27-27.35 61.57-27.35zm-71.52 50.72c73.17 10.57 58.91 86.81 56.49 97-72.41-9.84-59-86.95-56.25-97zM173.2 330.41c-48 0-74.4-26.4-74.4-74.41 0-44.36 22.86-70 64.22-73.67-6.75 37.2-1.38 106.53 71.65 120.75-12.14 17.63-32.84 27.3-61.14 27.3zm53.21 12.39A80.8 80.8 0 0 0 260 309.25c7.77 14.49 19.33 25.54 33.82 33.55a80.28 80.28 0 0 0-33.58 33.83c-8-14.5-19.07-26.23-33.56-33.83z"}}]})(props);
};
function FaCpanel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M210.3 220.2c-5.6-24.8-26.9-41.2-51-41.2h-37c-7.1 0-12.5 4.5-14.3 10.9L73.1 320l24.7-.1c6.8 0 12.3-4.5 14.2-10.7l25.8-95.7h19.8c8.4 0 16.2 5.6 18.3 14.8 2.5 10.9-5.9 22.6-18.3 22.6h-10.3c-7 0-12.5 4.6-14.3 10.8l-6.4 23.8h32c37.2 0 58.3-36.2 51.7-65.3zm-156.5 28h18.6c6.9 0 12.4-4.4 14.3-10.9l6.2-23.6h-40C30 213.7 9 227.8 1.7 254.8-7 288.6 18.5 320 52 320h12.4l7.1-26.1c1.2-4.4-2.2-8.3-6.4-8.3H53.8c-24.7 0-24.9-37.4 0-37.4zm247.5-34.8h-77.9l-3.5 13.4c-2.4 9.6 4.5 18.5 14.2 18.5h57.5c4 0 2.4 4.3 2.1 5.3l-8.6 31.8c-.4 1.4-.9 5.3-5.5 5.3h-34.9c-5.3 0-5.3-7.9 0-7.9h21.6c6.8 0 12.3-4.6 14.2-10.8l3.5-13.2h-48.4c-39.2 0-43.6 63.8-.7 63.8l57.5.2c11.2 0 20.6-7.2 23.4-17.8l14-51.8c4.8-19.2-9.7-36.8-28.5-36.8zM633.1 179h-18.9c-4.9 0-9.2 3.2-10.4 7.9L568.2 320c20.7 0 39.8-13.8 44.9-34.5l26.5-98.2c1.2-4.3-2-8.3-6.5-8.3zm-236.3 34.7v.1h-48.3l-26.2 98c-1.2 4.4 2.2 8.3 6.4 8.3h18.9c4.8 0 9.2-3 10.4-7.8l17.2-64H395c12.5 0 21.4 11.8 18.1 23.4l-10.6 40c-1.2 4.3 1.9 8.3 6.4 8.3H428c4.6 0 9.1-2.9 10.3-7.8l8.8-33.1c9-33.1-15.9-65.4-50.3-65.4zm98.3 74.6c-3.6 0-6-3.4-5.1-6.7l8-30c.9-3.9 3.7-6 7.8-6h32.9c2.6 0 4.6 2.4 3.9 5.1l-.7 2.6c-.6 2-1.9 3-3.9 3h-21.6c-7 0-12.6 4.6-14.2 10.8l-3.5 13h53.4c10.5 0 20.3-6.6 23.2-17.6l3.2-12c4.9-19.1-9.3-36.8-28.3-36.8h-47.3c-17.9 0-33.8 12-38.6 29.6l-10.8 40c-5 17.7 8.3 36.7 28.3 36.7h66.7c6.8 0 12.3-4.5 14.2-10.7l5.7-21z"}}]})(props);
};
function FaCreativeCommonsBy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M314.9 194.4v101.4h-28.3v120.5h-77.1V295.9h-28.3V194.4c0-4.4 1.6-8.2 4.6-11.3 3.1-3.1 6.9-4.7 11.3-4.7H299c4.1 0 7.8 1.6 11.1 4.7 3.1 3.2 4.8 6.9 4.8 11.3zm-101.5-63.7c0-23.3 11.5-35 34.5-35s34.5 11.7 34.5 35c0 23-11.5 34.5-34.5 34.5s-34.5-11.5-34.5-34.5zM247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8.1-113.8-90.2-203.3-202.8-203.3z"}}]})(props);
};
function FaCreativeCommonsNcEu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M247.7 8C103.6 8 0 124.8 0 256c0 136.3 111.7 248 247.7 248C377.9 504 496 403.1 496 256 496 117 388.4 8 247.7 8zm.6 450.7c-112 0-203.6-92.5-203.6-202.7 0-23.2 3.7-45.2 10.9-66l65.7 29.1h-4.7v29.5h23.3c0 6.2-.4 3.2-.4 19.5h-22.8v29.5h27c11.4 67 67.2 101.3 124.6 101.3 26.6 0 50.6-7.9 64.8-15.8l-10-46.1c-8.7 4.6-28.2 10.8-47.3 10.8-28.2 0-58.1-10.9-67.3-50.2h90.3l128.3 56.8c-1.5 2.1-56.2 104.3-178.8 104.3zm-16.7-190.6l-.5-.4.9.4h-.4zm77.2-19.5h3.7v-29.5h-70.3l-28.6-12.6c2.5-5.5 5.4-10.5 8.8-14.3 12.9-15.8 31.1-22.4 51.1-22.4 18.3 0 35.3 5.4 46.1 10l11.6-47.3c-15-6.6-37-12.4-62.3-12.4-39 0-72.2 15.8-95.9 42.3-5.3 6.1-9.8 12.9-13.9 20.1l-81.6-36.1c64.6-96.8 157.7-93.6 170.7-93.6 113 0 203 90.2 203 203.4 0 18.7-2.1 36.3-6.3 52.9l-136.1-60.5z"}}]})(props);
};
function FaCreativeCommonsNcJp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M247.7 8C103.6 8 0 124.8 0 256c0 136.4 111.8 248 247.7 248C377.9 504 496 403.2 496 256 496 117.2 388.5 8 247.7 8zm.6 450.7c-112 0-203.6-92.5-203.6-202.7 0-21.1 3-41.2 9-60.3l127 56.5h-27.9v38.6h58.1l5.7 11.8v18.7h-63.8V360h63.8v56h61.7v-56h64.2v-35.7l81 36.1c-1.5 2.2-57.1 98.3-175.2 98.3zm87.6-137.3h-57.6v-18.7l2.9-5.6 54.7 24.3zm6.5-51.4v-17.8h-38.6l63-116H301l-43.4 96-23-10.2-39.6-85.7h-65.8l27.3 51-81.9-36.5c27.8-44.1 82.6-98.1 173.7-98.1 112.8 0 203 90 203 203.4 0 21-2.7 40.6-7.9 59l-101-45.1z"}}]})(props);
};
function FaCreativeCommonsNc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M247.6 8C387.4 8 496 115.9 496 256c0 147.2-118.5 248-248.4 248C113.1 504 0 393.2 0 256 0 123.1 104.7 8 247.6 8zM55.8 189.1c-7.4 20.4-11.1 42.7-11.1 66.9 0 110.9 92.1 202.4 203.7 202.4 122.4 0 177.2-101.8 178.5-104.1l-93.4-41.6c-7.7 37.1-41.2 53-68.2 55.4v38.1h-28.8V368c-27.5-.3-52.6-10.2-75.3-29.7l34.1-34.5c31.7 29.4 86.4 31.8 86.4-2.2 0-6.2-2.2-11.2-6.6-15.1-14.2-6-1.8-.1-219.3-97.4zM248.4 52.3c-38.4 0-112.4 8.7-170.5 93l94.8 42.5c10-31.3 40.4-42.9 63.8-44.3v-38.1h28.8v38.1c22.7 1.2 43.4 8.9 62 23L295 199.7c-42.7-29.9-83.5-8-70 11.1 53.4 24.1 43.8 19.8 93 41.6l127.1 56.7c4.1-17.4 6.2-35.1 6.2-53.1 0-57-19.8-105-59.3-143.9-39.3-39.9-87.2-59.8-143.6-59.8z"}}]})(props);
};
function FaCreativeCommonsNd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8.1-113.8-90.2-203.3-202.8-203.3zm94 144.3v42.5H162.1V197h180.3zm0 79.8v42.5H162.1v-42.5h180.3z"}}]})(props);
};
function FaCreativeCommonsPdAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M247.6 8C104.7 8 0 123.1 0 256c0 138.5 113.6 248 247.6 248C377.5 504 496 403.1 496 256 496 118.1 389.4 8 247.6 8zm.8 450.8c-112.5 0-203.7-93-203.7-202.8 0-105.4 85.5-203.3 203.7-203.3 112.6 0 202.9 89.5 202.8 203.3 0 121.7-99.6 202.8-202.8 202.8zM316.7 186h-53.2v137.2h53.2c21.4 0 70-5.1 70-68.6 0-63.4-48.6-68.6-70-68.6zm.8 108.5h-19.9v-79.7l19.4-.1c3.8 0 35-2.1 35 39.9 0 24.6-10.5 39.9-34.5 39.9zM203.7 186h-68.2v137.3h34.6V279h27c54.1 0 57.1-37.5 57.1-46.5 0-31-16.8-46.5-50.5-46.5zm-4.9 67.3h-29.2v-41.6h28.3c30.9 0 28.8 41.6.9 41.6z"}}]})(props);
};
function FaCreativeCommonsPd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119.1 0 256c0 137 111 248 248 248s248-111 248-248C496 119.1 385 8 248 8zm0 449.5c-139.2 0-235.8-138-190.2-267.9l78.8 35.1c-2.1 10.5-3.3 21.5-3.3 32.9 0 99 73.9 126.9 120.4 126.9 22.9 0 53.5-6.7 79.4-29.5L297 311.1c-5.5 6.3-17.6 16.7-36.3 16.7-37.8 0-53.7-39.9-53.9-71.9 230.4 102.6 216.5 96.5 217.9 96.8-34.3 62.4-100.6 104.8-176.7 104.8zm194.2-150l-224-100c18.8-34 54.9-30.7 74.7-11l40.4-41.6c-27.1-23.3-58-27.5-78.1-27.5-47.4 0-80.9 20.5-100.7 51.6l-74.9-33.4c36.1-54.9 98.1-91.2 168.5-91.2 111.1 0 201.5 90.4 201.5 201.5 0 18-2.4 35.4-6.8 52-.3-.1-.4-.2-.6-.4z"}}]})(props);
};
function FaCreativeCommonsRemix (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8.1-113.8-90.2-203.3-202.8-203.3zm161.7 207.7l4.9 2.2v70c-7.2 3.6-63.4 27.5-67.3 28.8-6.5-1.8-113.7-46.8-137.3-56.2l-64.2 26.6-63.3-27.5v-63.8l59.3-24.8c-.7-.7-.4 5-.4-70.4l67.3-29.7L361 178.5v61.6l49.1 20.3zm-70.4 81.5v-43.8h-.4v-1.8l-113.8-46.5V295l113.8 46.9v-.4l.4.4zm7.5-57.6l39.9-16.4-36.8-15.5-39 16.4 35.9 15.5zm52.3 38.1v-43L355.2 298v43.4l44.3-19z"}}]})(props);
};
function FaCreativeCommonsSa (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8.1-113.8-90.2-203.3-202.8-203.3zM137.7 221c13-83.9 80.5-95.7 108.9-95.7 99.8 0 127.5 82.5 127.5 134.2 0 63.6-41 132.9-128.9 132.9-38.9 0-99.1-20-109.4-97h62.5c1.5 30.1 19.6 45.2 54.5 45.2 23.3 0 58-18.2 58-82.8 0-82.5-49.1-80.6-56.7-80.6-33.1 0-51.7 14.6-55.8 43.8h18.2l-49.2 49.2-49-49.2h19.4z"}}]})(props);
};
function FaCreativeCommonsSamplingPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8.1-113.8-90.2-203.3-202.8-203.3zm107 205.6c-4.7 0-9 2.8-10.7 7.2l-4 9.5-11-92.8c-1.7-13.9-22-13.4-23.1.4l-4.3 51.4-5.2-68.8c-1.1-14.3-22.1-14.2-23.2 0l-3.5 44.9-5.9-94.3c-.9-14.5-22.3-14.4-23.2 0l-5.1 83.7-4.3-66.3c-.9-14.4-22.2-14.4-23.2 0l-5.3 80.2-4.1-57c-1.1-14.3-22-14.3-23.2-.2l-7.7 89.8-1.8-12.2c-1.7-11.4-17.1-13.6-22-3.3l-13.2 27.7H87.5v23.2h51.3c4.4 0 8.4-2.5 10.4-6.4l10.7 73.1c2 13.5 21.9 13 23.1-.7l3.8-43.6 5.7 78.3c1.1 14.4 22.3 14.2 23.2-.1l4.6-70.4 4.8 73.3c.9 14.4 22.3 14.4 23.2-.1l4.9-80.5 4.5 71.8c.9 14.3 22.1 14.5 23.2.2l4.6-58.6 4.9 64.4c1.1 14.3 22 14.2 23.1.1l6.8-83 2.7 22.3c1.4 11.8 17.7 14.1 22.3 3.1l18-43.4h50.5V258l-58.4.3zm-78 5.2h-21.9v21.9c0 4.1-3.3 7.5-7.5 7.5-4.1 0-7.5-3.3-7.5-7.5v-21.9h-21.9c-4.1 0-7.5-3.3-7.5-7.5 0-4.1 3.4-7.5 7.5-7.5h21.9v-21.9c0-4.1 3.4-7.5 7.5-7.5s7.5 3.3 7.5 7.5v21.9h21.9c4.1 0 7.5 3.3 7.5 7.5 0 4.1-3.4 7.5-7.5 7.5z"}}]})(props);
};
function FaCreativeCommonsSampling (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8.1-113.8-90.2-203.3-202.8-203.3zm3.6 53.2c2.8-.3 11.5 1 11.5 11.5l6.6 107.2 4.9-59.3c0-6 4.7-10.6 10.6-10.6 5.9 0 10.6 4.7 10.6 10.6 0 2.5-.5-5.7 5.7 81.5l5.8-64.2c.3-2.9 2.9-9.3 10.2-9.3 3.8 0 9.9 2.3 10.6 8.9l11.5 96.5 5.3-12.8c1.8-4.4 5.2-6.6 10.2-6.6h58v21.3h-50.9l-18.2 44.3c-3.9 9.9-19.5 9.1-20.8-3.1l-4-31.9-7.5 92.6c-.3 3-3 9.3-10.2 9.3-3 0-9.8-2.1-10.6-9.3 0-1.9.6 5.8-6.2-77.9l-5.3 72.2c-1.1 4.8-4.8 9.3-10.6 9.3-2.9 0-9.8-2-10.6-9.3 0-1.9.5 6.7-5.8-87.7l-5.8 94.8c0 6.3-3.6 12.4-10.6 12.4-5.2 0-10.6-4.1-10.6-12l-5.8-87.7c-5.8 92.5-5.3 84-5.3 85.9-1.1 4.8-4.8 9.3-10.6 9.3-3 0-9.8-2.1-10.6-9.3 0-.7-.4-1.1-.4-2.6l-6.2-88.6L182 348c-.7 6.5-6.7 9.3-10.6 9.3-5.8 0-9.6-4.1-10.6-8.9L149.7 272c-2 4-3.5 8.4-11.1 8.4H87.2v-21.3H132l13.7-27.9c4.4-9.9 18.2-7.2 19.9 2.7l3.1 20.4 8.4-97.9c0-6 4.8-10.6 10.6-10.6.5 0 10.6-.2 10.6 12.4l4.9 69.1 6.6-92.6c0-10.1 9.5-10.6 10.2-10.6.6 0 10.6.7 10.6 10.6l5.3 80.6 6.2-97.9c.1-1.1-.6-10.3 9.9-11.5z"}}]})(props);
};
function FaCreativeCommonsShare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8.1-113.8-90.2-203.3-202.8-203.3zm101 132.4c7.8 0 13.7 6.1 13.7 13.7v182.5c0 7.7-6.1 13.7-13.7 13.7H214.3c-7.7 0-13.7-6-13.7-13.7v-54h-54c-7.8 0-13.7-6-13.7-13.7V131.1c0-8.2 6.6-12.7 12.4-13.7h136.4c7.7 0 13.7 6 13.7 13.7v54h54zM159.9 300.3h40.7V198.9c0-7.4 5.8-12.6 12-13.7h55.8v-40.3H159.9v155.4zm176.2-88.1H227.6v155.4h108.5V212.2z"}}]})(props);
};
function FaCreativeCommonsZero (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M247.6 8C389.4 8 496 118.1 496 256c0 147.1-118.5 248-248.4 248C113.6 504 0 394.5 0 256 0 123.1 104.7 8 247.6 8zm.8 44.7C130.2 52.7 44.7 150.6 44.7 256c0 109.8 91.2 202.8 203.7 202.8 103.2 0 202.8-81.1 202.8-202.8.1-113.8-90.2-203.3-202.8-203.3zm-.4 60.5c-81.9 0-102.5 77.3-102.5 142.8 0 65.5 20.6 142.8 102.5 142.8S350.5 321.5 350.5 256c0-65.5-20.6-142.8-102.5-142.8zm0 53.9c3.3 0 6.4.5 9.2 1.2 5.9 5.1 8.8 12.1 3.1 21.9l-54.5 100.2c-1.7-12.7-1.9-25.1-1.9-34.4 0-28.8 2-88.9 44.1-88.9zm40.8 46.2c2.9 15.4 3.3 31.4 3.3 42.7 0 28.9-2 88.9-44.1 88.9-13.5 0-32.6-7.7-20.1-26.4l60.9-105.2z"}}]})(props);
};
function FaCreativeCommons (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M245.83 214.87l-33.22 17.28c-9.43-19.58-25.24-19.93-27.46-19.93-22.13 0-33.22 14.61-33.22 43.84 0 23.57 9.21 43.84 33.22 43.84 14.47 0 24.65-7.09 30.57-21.26l30.55 15.5c-6.17 11.51-25.69 38.98-65.1 38.98-22.6 0-73.96-10.32-73.96-77.05 0-58.69 43-77.06 72.63-77.06 30.72-.01 52.7 11.95 65.99 35.86zm143.05 0l-32.78 17.28c-9.5-19.77-25.72-19.93-27.9-19.93-22.14 0-33.22 14.61-33.22 43.84 0 23.55 9.23 43.84 33.22 43.84 14.45 0 24.65-7.09 30.54-21.26l31 15.5c-2.1 3.75-21.39 38.98-65.09 38.98-22.69 0-73.96-9.87-73.96-77.05 0-58.67 42.97-77.06 72.63-77.06 30.71-.01 52.58 11.95 65.56 35.86zM247.56 8.05C104.74 8.05 0 123.11 0 256.05c0 138.49 113.6 248 247.56 248 129.93 0 248.44-100.87 248.44-248 0-137.87-106.62-248-248.44-248zm.87 450.81c-112.54 0-203.7-93.04-203.7-202.81 0-105.42 85.43-203.27 203.72-203.27 112.53 0 202.82 89.46 202.82 203.26-.01 121.69-99.68 202.82-202.84 202.82z"}}]})(props);
};
function FaCriticalRole (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M225.82 0c.26.15 216.57 124.51 217.12 124.72 3 1.18 3.7 3.46 3.7 6.56q-.11 125.17 0 250.36a5.88 5.88 0 0 1-3.38 5.78c-21.37 12-207.86 118.29-218.93 124.58h-3C142 466.34 3.08 386.56 2.93 386.48a3.29 3.29 0 0 1-1.88-3.24c0-.87 0-225.94-.05-253.1a5 5 0 0 1 2.93-4.93C27.19 112.11 213.2 6 224.07 0zM215.4 20.42l-.22-.16Q118.06 75.55 21 130.87c0 .12.08.23.13.35l30.86 11.64c-7.71 6-8.32 6-10.65 5.13-.1 0-24.17-9.28-26.8-10v230.43c.88-1.41 64.07-110.91 64.13-111 1.62-2.82 3-1.92 9.12-1.52 1.4.09 1.48.22.78 1.42-41.19 71.33-36.4 63-67.48 116.94-.81 1.4-.61 1.13 1.25 1.13h186.5c1.44 0 1.69-.23 1.7-1.64v-8.88c0-1.34 2.36-.81-18.37-1-7.46-.07-14.14-3.22-21.38-12.7-7.38-9.66-14.62-19.43-21.85-29.21-2.28-3.08-3.45-2.38-16.76-2.38-1.75 0-1.78 0-1.76 1.82.29 26.21.15 25.27 1 32.66.52 4.37 2.16 4.2 9.69 4.81 3.14.26 3.88 4.08.52 4.92-1.57.39-31.6.51-33.67-.1a2.42 2.42 0 0 1 .3-4.73c3.29-.76 6.16.81 6.66-4.44 1.3-13.66 1.17-9 1.1-79.42 0-10.82-.35-12.58-5.36-13.55-1.22-.24-3.54-.16-4.69-.55-2.88-1-2-4.84 1.77-4.85 33.67 0 46.08-1.07 56.06 4.86 7.74 4.61 12 11.48 12.51 20.4.88 14.59-6.51 22.35-15 32.59a1.46 1.46 0 0 0 0 2.22c2.6 3.25 5 6.63 7.71 9.83 27.56 33.23 24.11 30.54 41.28 33.06.89.13 1-.42 1-1.15v-11c0-1 .32-1.43 1.41-1.26a72.37 72.37 0 0 0 23.58-.3c1.08-.15 1.5.2 1.48 1.33 0 .11.88 26.69.87 26.8-.05 1.52.67 1.62 1.89 1.62h186.71Q386.51 304.6 346 234.33c2.26-.66-.4 0 6.69-1.39 2-.39 2.05-.41 3.11 1.44 7.31 12.64 77.31 134 77.37 134.06V138c-1.72.5-103.3 38.72-105.76 39.68-1.08.42-1.55.2-1.91-.88-.63-1.9-1.34-3.76-2.09-5.62-.32-.79-.09-1.13.65-1.39.1 0 95.53-35.85 103-38.77-65.42-37.57-130.56-75-196-112.6l86.82 150.39-.28.33c-9.57-.9-10.46-1.6-11.8-3.94-1-1.69-73.5-127.71-82-142.16-9.1 14.67-83.56 146.21-85.37 146.32-2.93.17-5.88.08-9.25.08q43.25-74.74 86.18-149zm51.93 129.92a37.68 37.68 0 0 0 5.54-.85c1.69-.3 2.53.2 2.6 1.92 0 .11.07 19.06-.86 20.45s-1.88 1.22-2.6-.19c-5-9.69 6.22-9.66-39.12-12-.7 0-1 .23-1 .93 0 .13 3.72 122 3.73 122.11 0 .89.52 1.2 1.21 1.51a83.92 83.92 0 0 1 8.7 4.05c7.31 4.33 11.38 10.84 12.41 19.31 1.44 11.8-2.77 35.77-32.21 37.14-2.75.13-28.26 1.08-34.14-23.25-4.66-19.26 8.26-32.7 19.89-36.4a2.45 2.45 0 0 0 2-2.66c.1-5.63 3-107.1 3.71-121.35.05-1.08-.62-1.16-1.35-1.15-32.35.52-36.75-.34-40.22 8.52-2.42 6.18-4.14 1.32-3.95.23q1.59-9 3.31-18c.4-2.11 1.43-2.61 3.43-1.86 5.59 2.11 6.72 1.7 37.25 1.92 1.73 0 1.78-.08 1.82-1.85.68-27.49.58-22.59 1-29.55a2.69 2.69 0 0 0-1.63-2.8c-5.6-2.91-8.75-7.55-8.9-13.87-.35-14.81 17.72-21.67 27.38-11.51 6.84 7.19 5.8 18.91-2.45 24.15a4.35 4.35 0 0 0-2.22 4.34c0 .59-.11-4.31 1 30.05 0 .9.43 1.12 1.24 1.11.1 0 23-.09 34.47-.37zM68.27 141.7c19.84-4.51 32.68-.56 52.49 1.69 2.76.31 3.74 1.22 3.62 4-.21 5-1.16 22.33-1.24 23.15a2.65 2.65 0 0 1-1.63 2.34c-4.06 1.7-3.61-4.45-4-7.29-3.13-22.43-73.87-32.7-74.63 25.4-.31 23.92 17 53.63 54.08 50.88 27.24-2 19-20.19 24.84-20.47a2.72 2.72 0 0 1 3 3.36c-1.83 10.85-3.42 18.95-3.45 19.15-1.54 9.17-86.7 22.09-93.35-42.06-2.71-25.85 10.44-53.37 40.27-60.15zm80 87.67h-19.49a2.57 2.57 0 0 1-2.66-1.79c2.38-3.75 5.89.92 5.86-6.14-.08-25.75.21-38 .23-40.1 0-3.42-.53-4.65-3.32-4.94-7-.72-3.11-3.37-1.11-3.38 11.84-.1 22.62-.18 30.05.72 8.77 1.07 16.71 12.63 7.93 22.62-2 2.25-4 4.42-6.14 6.73.95 1.15 6.9 8.82 17.28 19.68 2.66 2.78 6.15 3.51 9.88 3.13a2.21 2.21 0 0 0 2.23-2.12c.3-3.42.26 4.73.45-40.58 0-5.65-.34-6.58-3.23-6.83-3.95-.35-4-2.26-.69-3.37l19.09-.09c.32 0 4.49.53 1 3.38 0 .05-.16 0-.24 0-3.61.26-3.94 1-4 4.62-.27 43.93.07 40.23.41 42.82.11.84.27 2.23 5.1 2.14 2.49 0 3.86 3.37 0 3.4-10.37.08-20.74 0-31.11.07-10.67 0-13.47-6.2-24.21-20.82-1.6-2.18-8.31-2.36-8.2-.37.88 16.47 0 17.78 4 17.67 4.75-.1 4.73 3.57.83 3.55zm275-10.15c-1.21 7.13.17 10.38-5.3 10.34-61.55-.42-47.82-.22-50.72-.31a18.4 18.4 0 0 1-3.63-.73c-2.53-.6 1.48-1.23-.38-5.6-1.43-3.37-2.78-6.78-4.11-10.19a1.94 1.94 0 0 0-2-1.44 138 138 0 0 0-14.58.07 2.23 2.23 0 0 0-1.62 1.06c-1.58 3.62-3.07 7.29-4.51 11-1.27 3.23 7.86 1.32 12.19 2.16 3 .57 4.53 3.72.66 3.73H322.9c-2.92 0-3.09-3.15-.74-3.21a6.3 6.3 0 0 0 5.92-3.47c1.5-3 2.8-6 4.11-9.09 18.18-42.14 17.06-40.17 18.42-41.61a1.83 1.83 0 0 1 3 0c2.93 3.34 18.4 44.71 23.62 51.92 2 2.7 5.74 2 6.36 2 3.61.13 4-1.11 4.13-4.29.09-1.87.08 1.17.07-41.24 0-4.46-2.36-3.74-5.55-4.27-.26 0-2.56-.63-.08-3.06.21-.2-.89-.24 21.7-.15 2.32 0 5.32 2.75-1.21 3.45a2.56 2.56 0 0 0-2.66 2.83c-.07 1.63-.19 38.89.29 41.21a3.06 3.06 0 0 0 3.23 2.43c13.25.43 14.92.44 16-3.41 1.67-5.78 4.13-2.52 3.73-.19zm-104.72 64.37c-4.24 0-4.42-3.39-.61-3.41 35.91-.16 28.11.38 37.19-.65 1.68-.19 2.38.24 2.25 1.89-.26 3.39-.64 6.78-1 10.16-.25 2.16-3.2 2.61-3.4-.15-.38-5.31-2.15-4.45-15.63-5.08-1.58-.07-1.64 0-1.64 1.52V304c0 1.65 0 1.6 1.62 1.47 3.12-.25 10.31.34 15.69-1.52.47-.16 3.3-1.79 3.07 1.76 0 .21-.76 10.35-1.18 11.39-.53 1.29-1.88 1.51-2.58.32-1.17-2 0-5.08-3.71-5.3-15.42-.9-12.91-2.55-12.91 6 0 12.25-.76 16.11 3.89 16.24 16.64.48 14.4 0 16.43-5.71.84-2.37 3.5-1.77 3.18.58-.44 3.21-.85 6.43-1.23 9.64 0 .36-.16 2.4-4.66 2.39-37.16-.08-34.54-.19-35.21-.31-2.72-.51-2.2-3 .22-3.45 1.1-.19 4 .54 4.16-2.56 2.44-56.22-.07-51.34-3.91-51.33zm-.41-109.52c2.46.61 3.13 1.76 2.95 4.65-.33 5.3-.34 9-.55 9.69-.66 2.23-3.15 2.12-3.34-.27-.38-4.81-3.05-7.82-7.57-9.15-26.28-7.73-32.81 15.46-27.17 30.22 5.88 15.41 22 15.92 28.86 13.78 5.92-1.85 5.88-6.5 6.91-7.58 1.23-1.3 2.25-1.84 3.12 1.1 0 .1.57 11.89-6 12.75-1.6.21-19.38 3.69-32.68-3.39-21-11.19-16.74-35.47-6.88-45.33 14-14.06 39.91-7.06 42.32-6.47zM289.8 280.14c3.28 0 3.66 3 .16 3.43-2.61.32-5-.42-5 5.46 0 2-.19 29.05.4 41.45.11 2.29 1.15 3.52 3.44 3.65 22 1.21 14.95-1.65 18.79-6.34 1.83-2.24 2.76.84 2.76 1.08.35 13.62-4 12.39-5.19 12.4l-38.16-.19c-1.93-.23-2.06-3-.42-3.38 2-.48 4.94.4 5.13-2.8 1-15.87.57-44.65.34-47.81-.27-3.77-2.8-3.27-5.68-3.71-2.47-.38-2-3.22.34-3.22 1.45-.02 17.97-.03 23.09-.02zm-31.63-57.79c.07 4.08 2.86 3.46 6 3.58 2.61.1 2.53 3.41-.07 3.43-6.48 0-13.7 0-21.61-.06-3.84 0-3.38-3.35 0-3.37 4.49 0 3.24 1.61 3.41-45.54 0-5.08-3.27-3.54-4.72-4.23-2.58-1.23-1.36-3.09.41-3.15 1.29 0 20.19-.41 21.17.21s1.87 1.65-.42 2.86c-1 .52-3.86-.28-4.15 2.47 0 .21-.82 1.63-.07 43.8zm-36.91 274.27a2.93 2.93 0 0 0 3.26 0c17-9.79 182-103.57 197.42-112.51-.14-.43 11.26-.18-181.52-.27-1.22 0-1.57.37-1.53 1.56 0 .1 1.25 44.51 1.22 50.38a28.33 28.33 0 0 1-1.36 7.71c-.55 1.83.38-.5-13.5 32.23-.73 1.72-1 2.21-2-.08-4.19-10.34-8.28-20.72-12.57-31a23.6 23.6 0 0 1-2-10.79c.16-2.46.8-16.12 1.51-48 0-1.95 0-2-2-2h-183c2.58 1.63 178.32 102.57 196 112.76zm-90.9-188.75c0 2.4.36 2.79 2.76 3 11.54 1.17 21 3.74 25.64-7.32 6-14.46 2.66-34.41-12.48-38.84-2-.59-16-2.76-15.94 1.51.05 8.04.01 11.61.02 41.65zm105.75-15.05c0 2.13 1.07 38.68 1.09 39.13.34 9.94-25.58 5.77-25.23-2.59.08-2 1.37-37.42 1.1-39.43-14.1 7.44-14.42 40.21 6.44 48.8a17.9 17.9 0 0 0 22.39-7.07c4.91-7.76 6.84-29.47-5.43-39a2.53 2.53 0 0 1-.36.12zm-12.28-198c-9.83 0-9.73 14.75-.07 14.87s10.1-14.88.07-14.91zm-80.15 103.83c0 1.8.41 2.4 2.17 2.58 13.62 1.39 12.51-11 12.16-13.36-1.69-11.22-14.38-10.2-14.35-7.81.05 4.5-.03 13.68.02 18.59zm212.32 6.4l-6.1-15.84c-2.16 5.48-4.16 10.57-6.23 15.84z"}}]})(props);
};
function FaCss3Alt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M0 32l34.9 395.8L192 480l157.1-52.2L384 32H0zm313.1 80l-4.8 47.3L193 208.6l-.3.1h111.5l-12.8 146.6-98.2 28.7-98.8-29.2-6.4-73.9h48.9l3.2 38.3 52.6 13.3 54.7-15.4 3.7-61.6-166.3-.5v-.1l-.2.1-3.6-46.3L193.1 162l6.5-2.7H76.7L70.9 112h242.2z"}}]})(props);
};
function FaCss3 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 32l-64 368-223.3 80L0 400l19.6-94.8h82l-8 40.6L210 390.2l134.1-44.4 18.8-97.1H29.5l16-82h333.7l10.5-52.7H56.3l16.3-82H480z"}}]})(props);
};
function FaCuttlefish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 440 512"},"child":[{"tag":"path","attr":{"d":"M344 305.5c-17.5 31.6-57.4 54.5-96 54.5-56.6 0-104-47.4-104-104s47.4-104 104-104c38.6 0 78.5 22.9 96 54.5 13.7-50.9 41.7-93.3 87-117.8C385.7 39.1 320.5 8 248 8 111 8 0 119 0 256s111 248 248 248c72.5 0 137.7-31.1 183-80.7-45.3-24.5-73.3-66.9-87-117.8z"}}]})(props);
};
function FaDAndDBeyond (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M313.8 241.5c13.8 0 21-10.1 24.8-17.9-1-1.1-5-4.2-7.4-6.6-2.4 4.3-8.2 10.7-13.9 10.7-10.2 0-15.4-14.7-3.2-26.6-.5-.2-4.3-1.8-8 2.4 0-3 1-5.1 2.1-6.6-3.5 1.3-9.8 5.6-11.4 7.9.2-5.8 1.6-7.5.6-9l-.2-.2s-8.5 5.6-9.3 14.7c0 0 1.1-1.6 2.1-1.9.6-.3 1.3 0 .6 1.9-.2.6-5.8 15.7 5.1 26-.6-1.6-1.9-7.6 2.4-1.9-.3.1 5.8 7.1 15.7 7.1zm52.4-21.1c0-4-4.9-4.4-5.6-4.5 2 3.9.9 7.5.2 9 2.5-.4 5.4-1.6 5.4-4.5zm10.3 5.2c0-6.4-6.2-11.4-13.5-10.7 8 1.3 5.6 13.8-5 11.4 3.7-2.6 3.2-9.9-1.3-12.5 1.4 4.2-3 8.2-7.4 4.6-2.4-1.9-8-6.6-10.6-8.6-2.4-2.1-5.5-1-6.6-1.8-1.3-1.1-.5-3.8-2.2-5-1.6-.8-3-.3-4.8-1-1.6-.6-2.7-1.9-2.6-3.5-2.5 4.4 3.4 6.3 4.5 8.5 1 1.9-.8 4.8 4 8.5 14.8 11.6 9.1 8 10.4 18.1.6 4.3 4.2 6.7 6.4 7.4-2.1-1.9-2.9-6.4 0-9.3 0 13.9 19.2 13.3 23.1 6.4-2.4 1.1-7-.2-9-1.9 7.7 1 14.2-4.1 14.6-10.6zm-39.4-18.4c2 .8 1.6.7 6.4 4.5 10.2-24.5 21.7-15.7 22-15.5 2.2-1.9 9.8-3.8 13.8-2.7-2.4-2.7-7.5-6.2-13.3-6.2-4.7 0-7.4 2.2-8 1.3-.8-1.4 3.2-3.4 3.2-3.4-5.4.2-9.6 6.7-11.2 5.9-1.1-.5 1.4-3.7 1.4-3.7-5.1 2.9-9.3 9.1-10.2 13 4.6-5.8 13.8-9.8 19.7-9-10.5.5-19.5 9.7-23.8 15.8zm242.5 51.9c-20.7 0-40 1.3-50.3 2.1l7.4 8.2v77.2l-7.4 8.2c10.4.8 30.9 2.1 51.6 2.1 42.1 0 59.1-20.7 59.1-48.9 0-29.3-23.2-48.9-60.4-48.9zm-15.1 75.6v-53.3c30.1-3.3 46.8 3.8 46.8 26.3 0 25.6-21.4 30.2-46.8 27zM301.6 181c-1-3.4-.2-6.9 1.1-9.4 1 3 2.6 6.4 7.5 9-.5-2.4-.2-5.6.5-8-1.4-5.4 2.1-9.9 6.4-9.9 6.9 0 8.5 8.8 4.7 14.4 2.1 3.2 5.5 5.6 7.7 7.8 3.2-3.7 5.5-9.5 5.5-13.8 0-8.2-5.5-15.9-16.7-16.5-20-.9-20.2 16.6-20 18.9.5 5.2 3.4 7.8 3.3 7.5zm-.4 6c-.5 1.8-7 3.7-10.2 6.9 4.8-1 7-.2 7.8 1.8.5 1.4-.2 3.4-.5 5.6 1.6-1.8 7-5.5 11-6.2-1-.3-3.4-.8-4.3-.8 2.9-3.4 9.3-4.5 12.8-3.7-2.2-.2-6.7 1.1-8.5 2.6 1.6.3 3 .6 4.3 1.1-2.1.8-4.8 3.4-5.8 6.1 7-5 13.1 5.2 7 8.2.8.2 2.7 0 3.5-.5-.3 1.1-1.9 3-3 3.4 2.9 0 7-1.9 8.2-4.6 0 0-1.8.6-2.6-.2s.3-4.3.3-4.3c-2.3 2.9-3.4-1.3-1.3-4.2-1-.3-3.5-.6-4.6-.5 3.2-1.1 10.4-1.8 11.2-.3.6 1.1-1 3.4-1 3.4 4-.5 8.3 1.1 6.7 5.1 2.9-1.4 5.5-5.9 4.8-10.4-.3 1-1.6 2.4-2.9 2.7.2-1.4-1-2.2-1.9-2.6 1.7-9.6-14.6-14.2-14.1-23.9-1 1.3-1.8 5-.8 7.1 2.7 3.2 8.7 6.7 10.1 12.2-2.6-6.4-15.1-11.4-14.6-20.2-1.6 1.6-2.6 7.8-1.3 11 2.4 1.4 4.5 3.8 4.8 6.1-2.2-5.1-11.4-6.1-13.9-12.2-.6 2.2-.3 5 1 6.7 0 0-2.2-.8-7-.6 1.7.6 5.1 3.5 4.8 5.2zm25.9 7.4c-2.7 0-3.5-2.1-4.2-4.3 3.3 1.3 4.2 4.3 4.2 4.3zm38.9 3.7l-1-.6c-1.1-1-2.9-1.4-4.7-1.4-2.9 0-5.8 1.3-7.5 3.4-.8.8-1.4 1.8-2.1 2.6v15.7c3.5 2.6 7.1-2.9 3-7.2 1.5.3 4.6 2.7 5.1 3.2 0 0 2.6-.5 5-.5 2.1 0 3.9.3 5.6 1.1V196c-1.1.5-2.2 1-2.7 1.4zM79.9 305.9c17.2-4.6 16.2-18 16.2-19.9 0-20.6-24.1-25-37-25H3l8.3 8.6v29.5H0l11.4 14.6V346L3 354.6c61.7 0 73.8 1.5 86.4-5.9 6.7-4 9.9-9.8 9.9-17.6 0-5.1 2.6-18.8-19.4-25.2zm-41.3-27.5c20 0 29.6-.8 29.6 9.1v3c0 12.1-19 8.8-29.6 8.8zm0 59.2V315c12.2 0 32.7-2.3 32.7 8.8v4.5h.2c0 11.2-12.5 9.3-32.9 9.3zm101.2-19.3l23.1.2v-.2l14.1-21.2h-37.2v-14.9h52.4l-14.1-21v-.2l-73.5.2 7.4 8.2v77.1l-7.4 8.2h81.2l14.1-21.2-60.1.2zm214.7-60.1c-73.9 0-77.5 99.3-.3 99.3 77.9 0 74.1-99.3.3-99.3zm-.3 77.5c-37.4 0-36.9-55.3.2-55.3 36.8.1 38.8 55.3-.2 55.3zm-91.3-8.3l44.1-66.2h-41.7l6.1 7.2-20.5 37.2h-.3l-21-37.2 6.4-7.2h-44.9l44.1 65.8.2 19.4-7.7 8.2h42.6l-7.2-8.2zm-28.4-151.3c1.6 1.3 2.9 2.4 2.9 6.6v38.8c0 4.2-.8 5.3-2.7 6.4-.1.1-7.5 4.5-7.9 4.6h35.1c10 0 17.4-1.5 26-8.6-.6-5 .2-9.5.8-12 0-.2-1.8 1.4-2.7 3.5 0-5.7 1.6-15.4 9.6-20.5-.1 0-3.7-.8-9 1.1 2-3.1 10-7.9 10.4-7.9-8.2-26-38-22.9-32.2-22.9-30.9 0-32.6.3-39.9-4 .1.8.5 8.2 9.6 14.9zm21.5 5.5c4.6 0 23.1-3.3 23.1 17.3 0 20.7-18.4 17.3-23.1 17.3zm228.9 79.6l7 8.3V312h-.3c-5.4-14.4-42.3-41.5-45.2-50.9h-31.6l7.4 8.5v76.9l-7.2 8.3h39l-7.4-8.2v-47.4h.3c3.7 10.6 44.5 42.9 48.5 55.6h21.3v-85.2l7.4-8.3zm-106.7-96.1c-32.2 0-32.8.2-39.9-4 .1.7.5 8.3 9.6 14.9 3.1 2 2.9 4.3 2.9 9.5 1.8-1.1 3.8-2.2 6.1-3-1.1 1.1-2.7 2.7-3.5 4.5 1-1.1 7.5-5.1 14.6-3.5-1.6.3-4 1.1-6.1 2.9.1 0 2.1-1.1 7.5-.3v-4.3c4.7 0 23.1-3.4 23.1 17.3 0 20.5-18.5 17.3-19.7 17.3 5.7 4.4 5.8 12 2.2 16.3h.3c33.4 0 36.7-27.3 36.7-34 0-3.8-1.1-32-33.8-33.6z"}}]})(props);
};
function FaDAndD (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M82.5 98.9c-.6-17.2 2-33.8 12.7-48.2.3 7.4 1.2 14.5 4.2 21.6 5.9-27.5 19.7-49.3 42.3-65.5-1.9 5.9-3.5 11.8-3 17.7 8.7-7.4 18.8-17.8 44.4-22.7 14.7-2.8 29.7-2 42.1 1 38.5 9.3 61 34.3 69.7 72.3 5.3 23.1.7 45-8.3 66.4-5.2 12.4-12 24.4-20.7 35.1-2-1.9-3.9-3.8-5.8-5.6-42.8-40.8-26.8-25.2-37.4-37.4-1.1-1.2-1-2.2-.1-3.6 8.3-13.5 11.8-28.2 10-44-1.1-9.8-4.3-18.9-11.3-26.2-14.5-15.3-39.2-15-53.5.6-11.4 12.5-14.1 27.4-10.9 43.6.2 1.3.4 2.7 0 3.9-3.4 13.7-4.6 27.6-2.5 41.6.1.5.1 1.1.1 1.6 0 .3-.1.5-.2 1.1-21.8-11-36-28.3-43.2-52.2-8.3 17.8-11.1 35.5-6.6 54.1-15.6-15.2-21.3-34.3-22-55.2zm469.6 123.2c-11.6-11.6-25-20.4-40.1-26.6-12.8-5.2-26-7.9-39.9-7.1-10 .6-19.6 3.1-29 6.4-2.5.9-5.1 1.6-7.7 2.2-4.9 1.2-7.3-3.1-4.7-6.8 3.2-4.6 3.4-4.2 15-12 .6-.4 1.2-.8 2.2-1.5h-2.5c-.6 0-1.2.2-1.9.3-19.3 3.3-30.7 15.5-48.9 29.6-10.4 8.1-13.8 3.8-12-.5 1.4-3.5 3.3-6.7 5.1-10 1-1.8 2.3-3.4 3.5-5.1-.2-.2-.5-.3-.7-.5-27 18.3-46.7 42.4-57.7 73.3.3.3.7.6 1 .9.3-.6.5-1.2.9-1.7 10.4-12.1 22.8-21.8 36.6-29.8 18.2-10.6 37.5-18.3 58.7-20.2 4.3-.4 8.7-.1 13.1-.1-1.8.7-3.5.9-5.3 1.1-18.5 2.4-35.5 9-51.5 18.5-30.2 17.9-54.5 42.2-75.1 70.4-.3.4-.4.9-.7 1.3 14.5 5.3 24 17.3 36.1 25.6.2-.1.3-.2.4-.4l1.2-2.7c12.2-26.9 27-52.3 46.7-74.5 16.7-18.8 38-25.3 62.5-20 5.9 1.3 11.4 4.4 17.2 6.8 2.3-1.4 5.1-3.2 8-4.7 8.4-4.3 17.4-7 26.7-9 14.7-3.1 29.5-4.9 44.5-1.3v-.5c-.5-.4-1.2-.8-1.7-1.4zM316.7 397.6c-39.4-33-22.8-19.5-42.7-35.6-.8.9 0-.2-1.9 3-11.2 19.1-25.5 35.3-44 47.6-10.3 6.8-21.5 11.8-34.1 11.8-21.6 0-38.2-9.5-49.4-27.8-12-19.5-13.3-40.7-8.2-62.6 7.8-33.8 30.1-55.2 38.6-64.3-18.7-6.2-33 1.7-46.4 13.9.8-13.9 4.3-26.2 11.8-37.3-24.3 10.6-45.9 25-64.8 43.9-.3-5.8 5.4-43.7 5.6-44.7.3-2.7-.6-5.3-3-7.4-24.2 24.7-44.5 51.8-56.1 84.6 7.4-5.9 14.9-11.4 23.6-16.2-8.3 22.3-19.6 52.8-7.8 101.1 4.6 19 11.9 36.8 24.1 52.3 2.9 3.7 6.3 6.9 9.5 10.3.2-.2.4-.3.6-.5-1.4-7-2.2-14.1-1.5-21.9 2.2 3.2 3.9 6 5.9 8.6 12.6 16 28.7 27.4 47.2 35.6 25 11.3 51.1 13.3 77.9 8.6 54.9-9.7 90.7-48.6 116-98.8 1-1.8.6-2.9-.9-4.2zm172-46.4c-9.5-3.1-22.2-4.2-28.7-2.9 9.9 4 14.1 6.6 18.8 12 12.6 14.4 10.4 34.7-5.4 45.6-11.7 8.1-24.9 10.5-38.9 9.1-1.2-.1-2.3-.4-3-.6 2.8-3.7 6-7 8.1-10.8 9.4-16.8 5.4-42.1-8.7-56.1-2.1-2.1-4.6-3.9-7-5.9-.3 1.3-.1 2.1.1 2.8 4.2 16.6-8.1 32.4-24.8 31.8-7.6-.3-13.9-3.8-19.6-8.5-19.5-16.1-39.1-32.1-58.5-48.3-5.9-4.9-12.5-8.1-20.1-8.7-4.6-.4-9.3-.6-13.9-.9-5.9-.4-8.8-2.8-10.4-8.4-.9-3.4-1.5-6.8-2.2-10.2-1.5-8.1-6.2-13-14.3-14.2-4.4-.7-8.9-1-13.3-1.5-13-1.4-19.8-7.4-22.6-20.3-5 11-1.6 22.4 7.3 29.9 4.5 3.8 9.3 7.3 13.8 11.2 4.6 3.8 7.4 8.7 7.9 14.8.4 4.7.8 9.5 1.8 14.1 2.2 10.6 8.9 18.4 17 25.1 16.5 13.7 33 27.3 49.5 41.1 17.9 15 13.9 32.8 13 56-.9 22.9 12.2 42.9 33.5 51.2 1 .4 2 .6 3.6 1.1-15.7-18.2-10.1-44.1.7-52.3.3 2.2.4 4.3.9 6.4 9.4 44.1 45.4 64.2 85 56.9 16-2.9 30.6-8.9 42.9-19.8 2-1.8 3.7-4.1 5.9-6.5-19.3 4.6-35.8.1-50.9-10.6.7-.3 1.3-.3 1.9-.3 21.3 1.8 40.6-3.4 57-17.4 19.5-16.6 26.6-42.9 17.4-66-8.3-20.1-23.6-32.3-43.8-38.9zM99.4 179.3c-5.3-9.2-13.2-15.6-22.1-21.3 13.7-.5 26.6.2 39.6 3.7-7-12.2-8.5-24.7-5-38.7 5.3 11.9 13.7 20.1 23.6 26.8 19.7 13.2 35.7 19.6 46.7 30.2 3.4 3.3 6.3 7.1 9.6 10.9-.8-2.1-1.4-4.1-2.2-6-5-10.6-13-18.6-22.6-25-1.8-1.2-2.8-2.5-3.4-4.5-3.3-12.5-3-25.1-.7-37.6 1-5.5 2.8-10.9 4.5-16.3.8-2.4 2.3-4.6 4-6.6.6 6.9 0 25.5 19.6 46 10.8 11.3 22.4 21.9 33.9 32.7 9 8.5 18.3 16.7 25.5 26.8 1.1 1.6 2.2 3.3 3.8 4.7-5-13-14.2-24.1-24.2-33.8-9.6-9.3-19.4-18.4-29.2-27.4-3.3-3-4.6-6.7-5.1-10.9-1.2-10.4 0-20.6 4.3-30.2.5-1 1.1-2 1.9-3.3.5 4.2.6 7.9 1.4 11.6 4.8 23.1 20.4 36.3 49.3 63.5 10 9.4 19.3 19.2 25.6 31.6 4.8 9.3 7.3 19 5.7 29.6-.1.6.5 1.7 1.1 2 6.2 2.6 10 6.9 9.7 14.3 7.7-2.6 12.5-8 16.4-14.5 4.2 20.2-9.1 50.3-27.2 58.7.4-4.5 5-23.4-16.5-27.7-6.8-1.3-12.8-1.3-22.9-2.1 4.7-9 10.4-20.6.5-22.4-24.9-4.6-52.8 1.9-57.8 4.6 8.2.4 16.3 1 23.5 3.3-2 6.5-4 12.7-5.8 18.9-1.9 6.5 2.1 14.6 9.3 9.6 1.2-.9 2.3-1.9 3.3-2.7-3.1 17.9-2.9 15.9-2.8 18.3.3 10.2 9.5 7.8 15.7 7.3-2.5 11.8-29.5 27.3-45.4 25.8 7-4.7 12.7-10.3 15.9-17.9-6.5.8-12.9 1.6-19.2 2.4l-.3-.9c4.7-3.4 8-7.8 10.2-13.1 8.7-21.1-3.6-38-25-39.9-9.1-.8-17.8.8-25.9 5.5 6.2-15.6 17.2-26.6 32.6-34.5-15.2-4.3-8.9-2.7-24.6-6.3 14.6-9.3 30.2-13.2 46.5-14.6-5.2-3.2-48.1-3.6-70.2 20.9 7.9 1.4 15.5 2.8 23.2 4.2-23.8 7-44 19.7-62.4 35.6 1.1-4.8 2.7-9.5 3.3-14.3.6-4.5.8-9.2.1-13.6-1.5-9.4-8.9-15.1-19.7-16.3-7.9-.9-15.6.1-23.3 1.3-.9.1-1.7.3-2.9 0 15.8-14.8 36-21.7 53.1-33.5 6-4.5 6.8-8.2 3-14.9zm128.4 26.8c3.3 16 12.6 25.5 23.8 24.3-4.6-11.3-12.1-19.5-23.8-24.3z"}}]})(props);
};
function FaDailymotion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M298.93,267a48.4,48.4,0,0,0-24.36-6.21q-19.83,0-33.44,13.27t-13.61,33.42q0,21.16,13.28,34.6t33.43,13.44q20.5,0,34.11-13.78T322,307.47A47.13,47.13,0,0,0,315.9,284,44.13,44.13,0,0,0,298.93,267ZM0,32V480H448V32ZM374.71,405.26h-53.1V381.37h-.67q-15.79,26.2-55.78,26.2-27.56,0-48.89-13.1a88.29,88.29,0,0,1-32.94-35.77q-11.6-22.68-11.59-50.89,0-27.56,11.76-50.22a89.9,89.9,0,0,1,32.93-35.78q21.18-13.09,47.72-13.1a80.87,80.87,0,0,1,29.74,5.21q13.28,5.21,25,17V153l55.79-12.09Z"}}]})(props);
};
function FaDashcube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M326.6 104H110.4c-51.1 0-91.2 43.3-91.2 93.5V427c0 50.5 40.1 85 91.2 85h227.2c51.1 0 91.2-34.5 91.2-85V0L326.6 104zM153.9 416.5c-17.7 0-32.4-15.1-32.4-32.8V240.8c0-17.7 14.7-32.5 32.4-32.5h140.7c17.7 0 32 14.8 32 32.5v123.5l51.1 52.3H153.9z"}}]})(props);
};
function FaDelicious (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M446.5 68c-.4-1.5-.9-3-1.4-4.5-.9-2.5-2-4.8-3.3-7.1-1.4-2.4-3-4.8-4.7-6.9-2.1-2.5-4.4-4.8-6.9-6.8-1.1-.9-2.2-1.7-3.3-2.5-1.3-.9-2.6-1.7-4-2.4-1.8-1-3.6-1.8-5.5-2.5-1.7-.7-3.5-1.3-5.4-1.7-3.8-1-7.9-1.5-12-1.5H48C21.5 32 0 53.5 0 80v352c0 4.1.5 8.2 1.5 12 2 7.7 5.8 14.6 11 20.3 1 1.1 2.1 2.2 3.3 3.3 5.7 5.2 12.6 9 20.3 11 3.8 1 7.9 1.5 12 1.5h352c26.5 0 48-21.5 48-48V80c-.1-4.1-.6-8.2-1.6-12zM416 432c0 8.8-7.2 16-16 16H224V256H32V80c0-8.8 7.2-16 16-16h176v192h192z"}}]})(props);
};
function FaDeploydog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M382.2 136h51.7v239.6h-51.7v-20.7c-19.8 24.8-52.8 24.1-73.8 14.7-26.2-11.7-44.3-38.1-44.3-71.8 0-29.8 14.8-57.9 43.3-70.8 20.2-9.1 52.7-10.6 74.8 12.9V136zm-64.7 161.8c0 18.2 13.6 33.5 33.2 33.5 19.8 0 33.2-16.4 33.2-32.9 0-17.1-13.7-33.2-33.2-33.2-19.6 0-33.2 16.4-33.2 32.6zM188.5 136h51.7v239.6h-51.7v-20.7c-19.8 24.8-52.8 24.1-73.8 14.7-26.2-11.7-44.3-38.1-44.3-71.8 0-29.8 14.8-57.9 43.3-70.8 20.2-9.1 52.7-10.6 74.8 12.9V136zm-64.7 161.8c0 18.2 13.6 33.5 33.2 33.5 19.8 0 33.2-16.4 33.2-32.9 0-17.1-13.7-33.2-33.2-33.2-19.7 0-33.2 16.4-33.2 32.6zM448 96c17.5 0 32 14.4 32 32v256c0 17.5-14.4 32-32 32H64c-17.5 0-32-14.4-32-32V128c0-17.5 14.4-32 32-32h384m0-32H64C28.8 64 0 92.8 0 128v256c0 35.2 28.8 64 64 64h384c35.2 0 64-28.8 64-64V128c0-35.2-28.8-64-64-64z"}}]})(props);
};
function FaDeskpro (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 480 512"},"child":[{"tag":"path","attr":{"d":"M205.9 512l31.1-38.4c12.3-.2 25.6-1.4 36.5-6.6 38.9-18.6 38.4-61.9 38.3-63.8-.1-5-.8-4.4-28.9-37.4H362c-.2 50.1-7.3 68.5-10.2 75.7-9.4 23.7-43.9 62.8-95.2 69.4-8.7 1.1-32.8 1.2-50.7 1.1zm200.4-167.7c38.6 0 58.5-13.6 73.7-30.9l-175.5-.3-17.4 31.3 119.2-.1zm-43.6-223.9v168.3h-73.5l-32.7 55.5H250c-52.3 0-58.1-56.5-58.3-58.9-1.2-13.2-21.3-11.6-20.1 1.8 1.4 15.8 8.8 40 26.4 57.1h-91c-25.5 0-110.8-26.8-107-114V16.9C0 .9 9.7.3 15 .1h82c.2 0 .3.1.5.1 4.3-.4 50.1-2.1 50.1 43.7 0 13.3 20.2 13.4 20.2 0 0-18.2-5.5-32.8-15.8-43.7h84.2c108.7-.4 126.5 79.4 126.5 120.2zm-132.5 56l64 29.3c13.3-45.5-42.2-71.7-64-29.3z"}}]})(props);
};
function FaDev (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M120.12 208.29c-3.88-2.9-7.77-4.35-11.65-4.35H91.03v104.47h17.45c3.88 0 7.77-1.45 11.65-4.35 3.88-2.9 5.82-7.25 5.82-13.06v-69.65c-.01-5.8-1.96-10.16-5.83-13.06zM404.1 32H43.9C19.7 32 .06 51.59 0 75.8v360.4C.06 460.41 19.7 480 43.9 480h360.2c24.21 0 43.84-19.59 43.9-43.8V75.8c-.06-24.21-19.7-43.8-43.9-43.8zM154.2 291.19c0 18.81-11.61 47.31-48.36 47.25h-46.4V172.98h47.38c35.44 0 47.36 28.46 47.37 47.28l.01 70.93zm100.68-88.66H201.6v38.42h32.57v29.57H201.6v38.41h53.29v29.57h-62.18c-11.16.29-20.44-8.53-20.72-19.69V193.7c-.27-11.15 8.56-20.41 19.71-20.69h63.19l-.01 29.52zm103.64 115.29c-13.2 30.75-36.85 24.63-47.44 0l-38.53-144.8h32.57l29.71 113.72 29.57-113.72h32.58l-38.46 144.8z"}}]})(props);
};
function FaDeviantart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M320 93.2l-98.2 179.1 7.4 9.5H320v127.7H159.1l-13.5 9.2-43.7 84c-.3 0-8.6 8.6-9.2 9.2H0v-93.2l93.2-179.4-7.4-9.2H0V102.5h156l13.5-9.2 43.7-84c.3 0 8.6-8.6 9.2-9.2H320v93.1z"}}]})(props);
};
function FaDhl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M238 301.2h58.7L319 271h-58.7L238 301.2zM0 282.9v6.4h81.8l4.7-6.4H0zM172.9 271c-8.7 0-6-3.6-4.6-5.5 2.8-3.8 7.6-10.4 10.4-14.1 2.8-3.7 2.8-5.9-2.8-5.9h-51l-41.1 55.8h100.1c33.1 0 51.5-22.5 57.2-30.3h-68.2zm317.5-6.9l39.3-53.4h-62.2l-39.3 53.4h62.2zM95.3 271H0v6.4h90.6l4.7-6.4zm111-26.6c-2.8 3.8-7.5 10.4-10.3 14.2-1.4 2-4.1 5.5 4.6 5.5h45.6s7.3-10 13.5-18.4c8.4-11.4.7-35-29.2-35H112.6l-20.4 27.8h111.4c5.6 0 5.5 2.2 2.7 5.9zM0 301.2h73.1l4.7-6.4H0v6.4zm323 0h58.7L404 271h-58.7c-.1 0-22.3 30.2-22.3 30.2zm222 .1h95v-6.4h-90.3l-4.7 6.4zm22.3-30.3l-4.7 6.4H640V271h-72.7zm-13.5 18.3H640v-6.4h-81.5l-4.7 6.4zm-164.2-78.6l-22.5 30.6h-26.2l22.5-30.6h-58.7l-39.3 53.4H409l39.3-53.4h-58.7zm33.5 60.3s-4.3 5.9-6.4 8.7c-7.4 10-.9 21.6 23.2 21.6h94.3l22.3-30.3H423.1z"}}]})(props);
};
function FaDiaspora (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M251.64 354.55c-1.4 0-88 119.9-88.7 119.9S76.34 414 76 413.25s86.6-125.7 86.6-127.4c0-2.2-129.6-44-137.6-47.1-1.3-.5 31.4-101.8 31.7-102.1.6-.7 144.4 47 145.5 47 .4 0 .9-.6 1-1.3.4-2 1-148.6 1.7-149.6.8-1.2 104.5-.7 105.1-.3 1.5 1 3.5 156.1 6.1 156.1 1.4 0 138.7-47 139.3-46.3.8.9 31.9 102.2 31.5 102.6-.9.9-140.2 47.1-140.6 48.8-.3 1.4 82.8 122.1 82.5 122.9s-85.5 63.5-86.3 63.5c-1-.2-89-125.5-90.9-125.5z"}}]})(props);
};
function FaDigg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M81.7 172.3H0v174.4h132.7V96h-51v76.3zm0 133.4H50.9v-92.3h30.8v92.3zm297.2-133.4v174.4h81.8v28.5h-81.8V416H512V172.3H378.9zm81.8 133.4h-30.8v-92.3h30.8v92.3zm-235.6 41h82.1v28.5h-82.1V416h133.3V172.3H225.1v174.4zm51.2-133.3h30.8v92.3h-30.8v-92.3zM153.3 96h51.3v51h-51.3V96zm0 76.3h51.3v174.4h-51.3V172.3z"}}]})(props);
};
function FaDigitalOcean (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M87 481.8h73.7v-73.6H87zM25.4 346.6v61.6H87v-61.6zm466.2-169.7c-23-74.2-82.4-133.3-156.6-156.6C164.9-32.8 8 93.7 8 255.9h95.8c0-101.8 101-180.5 208.1-141.7 39.7 14.3 71.5 46.1 85.8 85.7 39.1 107-39.7 207.8-141.4 208v.3h-.3V504c162.6 0 288.8-156.8 235.6-327.1zm-235.3 231v-95.3h-95.6v95.6H256v-.3z"}}]})(props);
};
function FaDiscord (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M297.216 243.2c0 15.616-11.52 28.416-26.112 28.416-14.336 0-26.112-12.8-26.112-28.416s11.52-28.416 26.112-28.416c14.592 0 26.112 12.8 26.112 28.416zm-119.552-28.416c-14.592 0-26.112 12.8-26.112 28.416s11.776 28.416 26.112 28.416c14.592 0 26.112-12.8 26.112-28.416.256-15.616-11.52-28.416-26.112-28.416zM448 52.736V512c-64.494-56.994-43.868-38.128-118.784-107.776l13.568 47.36H52.48C23.552 451.584 0 428.032 0 398.848V52.736C0 23.552 23.552 0 52.48 0h343.04C424.448 0 448 23.552 448 52.736zm-72.96 242.688c0-82.432-36.864-149.248-36.864-149.248-36.864-27.648-71.936-26.88-71.936-26.88l-3.584 4.096c43.52 13.312 63.744 32.512 63.744 32.512-60.811-33.329-132.244-33.335-191.232-7.424-9.472 4.352-15.104 7.424-15.104 7.424s21.248-20.224 67.328-33.536l-2.56-3.072s-35.072-.768-71.936 26.88c0 0-36.864 66.816-36.864 149.248 0 0 21.504 37.12 78.08 38.912 0 0 9.472-11.52 17.152-21.248-32.512-9.728-44.8-30.208-44.8-30.208 3.766 2.636 9.976 6.053 10.496 6.4 43.21 24.198 104.588 32.126 159.744 8.96 8.96-3.328 18.944-8.192 29.44-15.104 0 0-12.8 20.992-46.336 30.464 7.68 9.728 16.896 20.736 16.896 20.736 56.576-1.792 78.336-38.912 78.336-38.912z"}}]})(props);
};
function FaDiscourse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M225.9 32C103.3 32 0 130.5 0 252.1 0 256 .1 480 .1 480l225.8-.2c122.7 0 222.1-102.3 222.1-223.9C448 134.3 348.6 32 225.9 32zM224 384c-19.4 0-37.9-4.3-54.4-12.1L88.5 392l22.9-75c-9.8-18.1-15.4-38.9-15.4-61 0-70.7 57.3-128 128-128s128 57.3 128 128-57.3 128-128 128z"}}]})(props);
};
function FaDochub (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 416 512"},"child":[{"tag":"path","attr":{"d":"M397.9 160H256V19.6L397.9 160zM304 192v130c0 66.8-36.5 100.1-113.3 100.1H96V84.8h94.7c12 0 23.1.8 33.1 2.5v-84C212.9 1.1 201.4 0 189.2 0H0v512h189.2C329.7 512 400 447.4 400 318.1V192h-96z"}}]})(props);
};
function FaDocker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M349.9 236.3h-66.1v-59.4h66.1v59.4zm0-204.3h-66.1v60.7h66.1V32zm78.2 144.8H362v59.4h66.1v-59.4zm-156.3-72.1h-66.1v60.1h66.1v-60.1zm78.1 0h-66.1v60.1h66.1v-60.1zm276.8 100c-14.4-9.7-47.6-13.2-73.1-8.4-3.3-24-16.7-44.9-41.1-63.7l-14-9.3-9.3 14c-18.4 27.8-23.4 73.6-3.7 103.8-8.7 4.7-25.8 11.1-48.4 10.7H2.4c-8.7 50.8 5.8 116.8 44 162.1 37.1 43.9 92.7 66.2 165.4 66.2 157.4 0 273.9-72.5 328.4-204.2 21.4.4 67.6.1 91.3-45.2 1.5-2.5 6.6-13.2 8.5-17.1l-13.3-8.9zm-511.1-27.9h-66v59.4h66.1v-59.4zm78.1 0h-66.1v59.4h66.1v-59.4zm78.1 0h-66.1v59.4h66.1v-59.4zm-78.1-72.1h-66.1v60.1h66.1v-60.1z"}}]})(props);
};
function FaDraft2Digital (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 480 512"},"child":[{"tag":"path","attr":{"d":"M480 398.1l-144-82.2v64.7h-91.3c30.8-35 81.8-95.9 111.8-149.3 35.2-62.6 16.1-123.4-12.8-153.3-4.4-4.6-62.2-62.9-166-41.2-59.1 12.4-89.4 43.4-104.3 67.3-13.1 20.9-17 39.8-18.2 47.7-5.5 33 19.4 67.1 56.7 67.1 31.7 0 57.3-25.7 57.3-57.4 0-27.1-19.7-52.1-48-56.8 1.8-7.3 17.7-21.1 26.3-24.7 41.1-17.3 78 5.2 83.3 33.5 8.3 44.3-37.1 90.4-69.7 127.6C84.5 328.1 18.3 396.8 0 415.9l336-.1V480zM369.9 371l47.1 27.2-47.1 27.2zM134.2 161.4c0 12.4-10 22.4-22.4 22.4s-22.4-10-22.4-22.4 10-22.4 22.4-22.4 22.4 10.1 22.4 22.4zM82.5 380.5c25.6-27.4 97.7-104.7 150.8-169.9 35.1-43.1 40.3-82.4 28.4-112.7-7.4-18.8-17.5-30.2-24.3-35.7 45.3 2.1 68 23.4 82.2 38.3 0 0 42.4 48.2 5.8 113.3-37 65.9-110.9 147.5-128.5 166.7z"}}]})(props);
};
function FaDribbbleSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M90.2 228.2c8.9-42.4 37.4-77.7 75.7-95.7 3.6 4.9 28 38.8 50.7 79-64 17-120.3 16.8-126.4 16.7zM314.6 154c-33.6-29.8-79.3-41.1-122.6-30.6 3.8 5.1 28.6 38.9 51 80 48.6-18.3 69.1-45.9 71.6-49.4zM140.1 364c40.5 31.6 93.3 36.7 137.3 18-2-12-10-53.8-29.2-103.6-55.1 18.8-93.8 56.4-108.1 85.6zm98.8-108.2c-3.4-7.8-7.2-15.5-11.1-23.2C159.6 253 93.4 252.2 87.4 252c0 1.4-.1 2.8-.1 4.2 0 35.1 13.3 67.1 35.1 91.4 22.2-37.9 67.1-77.9 116.5-91.8zm34.9 16.3c17.9 49.1 25.1 89.1 26.5 97.4 30.7-20.7 52.5-53.6 58.6-91.6-4.6-1.5-42.3-12.7-85.1-5.8zm-20.3-48.4c4.8 9.8 8.3 17.8 12 26.8 45.5-5.7 90.7 3.4 95.2 4.4-.3-32.3-11.8-61.9-30.9-85.1-2.9 3.9-25.8 33.2-76.3 53.9zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-64 176c0-88.2-71.8-160-160-160S64 167.8 64 256s71.8 160 160 160 160-71.8 160-160z"}}]})(props);
};
function FaDribbble (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119.252 8 8 119.252 8 256s111.252 248 248 248 248-111.252 248-248S392.748 8 256 8zm163.97 114.366c29.503 36.046 47.369 81.957 47.835 131.955-6.984-1.477-77.018-15.682-147.502-6.818-5.752-14.041-11.181-26.393-18.617-41.614 78.321-31.977 113.818-77.482 118.284-83.523zM396.421 97.87c-3.81 5.427-35.697 48.286-111.021 76.519-34.712-63.776-73.185-116.168-79.04-124.008 67.176-16.193 137.966 1.27 190.061 47.489zm-230.48-33.25c5.585 7.659 43.438 60.116 78.537 122.509-99.087 26.313-186.36 25.934-195.834 25.809C62.38 147.205 106.678 92.573 165.941 64.62zM44.17 256.323c0-2.166.043-4.322.108-6.473 9.268.19 111.92 1.513 217.706-30.146 6.064 11.868 11.857 23.915 17.174 35.949-76.599 21.575-146.194 83.527-180.531 142.306C64.794 360.405 44.17 310.73 44.17 256.323zm81.807 167.113c22.127-45.233 82.178-103.622 167.579-132.756 29.74 77.283 42.039 142.053 45.189 160.638-68.112 29.013-150.015 21.053-212.768-27.882zm248.38 8.489c-2.171-12.886-13.446-74.897-41.152-151.033 66.38-10.626 124.7 6.768 131.947 9.055-9.442 58.941-43.273 109.844-90.795 141.978z"}}]})(props);
};
function FaDropbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 528 512"},"child":[{"tag":"path","attr":{"d":"M264.4 116.3l-132 84.3 132 84.3-132 84.3L0 284.1l132.3-84.3L0 116.3 132.3 32l132.1 84.3zM131.6 395.7l132-84.3 132 84.3-132 84.3-132-84.3zm132.8-111.6l132-84.3-132-83.6L395.7 32 528 116.3l-132.3 84.3L528 284.8l-132.3 84.3-131.3-85z"}}]})(props);
};
function FaDrupal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M319.5 114.7c-22.2-14-43.5-19.5-64.7-33.5-13-8.8-31.3-30-46.5-48.3-2.7 29.3-11.5 41.2-22 49.5-21.3 17-34.8 22.2-53.5 32.3C117 123 32 181.5 32 290.5 32 399.7 123.8 480 225.8 480 327.5 480 416 406 416 294c0-112.3-83-171-96.5-179.3zm2.5 325.6c-20.1 20.1-90.1 28.7-116.7 4.2-4.8-4.8.3-12 6.5-12 0 0 17 13.3 51.5 13.3 27 0 46-7.7 54.5-14 6.1-4.6 8.4 4.3 4.2 8.5zm-54.5-52.6c8.7-3.6 29-3.8 36.8 1.3 4.1 2.8 16.1 18.8 6.2 23.7-8.4 4.2-1.2-15.7-26.5-15.7-14.7 0-19.5 5.2-26.7 11-7 6-9.8 8-12.2 4.7-6-8.2 15.9-22.3 22.4-25zM360 405c-15.2-1-45.5-48.8-65-49.5-30.9-.9-104.1 80.7-161.3 42-38.8-26.6-14.6-104.8 51.8-105.2 49.5-.5 83.8 49 108.5 48.5 21.3-.3 61.8-41.8 81.8-41.8 48.7 0 23.3 109.3-15.8 106z"}}]})(props);
};
function FaDyalog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 416 512"},"child":[{"tag":"path","attr":{"d":"M0 32v119.2h64V96h107.2C284.6 96 352 176.2 352 255.9 352 332 293.4 416 171.2 416H0v64h171.2C331.9 480 416 367.3 416 255.9c0-58.7-22.1-113.4-62.3-154.3C308.9 56 245.7 32 171.2 32H0z"}}]})(props);
};
function FaEarlybirds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 480 512"},"child":[{"tag":"path","attr":{"d":"M313.2 47.5c1.2-13 21.3-14 36.6-8.7.9.3 26.2 9.7 19 15.2-27.9-7.4-56.4 18.2-55.6-6.5zm-201 6.9c30.7-8.1 62 20 61.1-7.1-1.3-14.2-23.4-15.3-40.2-9.6-1 .3-28.7 10.5-20.9 16.7zM319.4 160c-8.8 0-16 7.2-16 16s7.2 16 16 16 16-7.2 16-16-7.2-16-16-16zm-159.7 0c-8.8 0-16 7.2-16 16s7.2 16 16 16 16-7.2 16-16-7.2-16-16-16zm318.5 163.2c-9.9 24-40.7 11-63.9-1.2-13.5 69.1-58.1 111.4-126.3 124.2.3.9-2-.1 24 1 33.6 1.4 63.8-3.1 97.4-8-19.8-13.8-11.4-37.1-9.8-38.1 1.4-.9 14.7 1.7 21.6 11.5 8.6-12.5 28.4-14.8 30.2-13.6 1.6 1.1 6.6 20.9-6.9 34.6 4.7-.9 8.2-1.6 9.8-2.1 2.6-.8 17.7 11.3 3.1 13.3-14.3 2.3-22.6 5.1-47.1 10.8-45.9 10.7-85.9 11.8-117.7 12.8l1 11.6c3.8 18.1-23.4 24.3-27.6 6.2.8 17.9-27.1 21.8-28.4-1l-.5 5.3c-.7 18.4-28.4 17.9-28.3-.6-7.5 13.5-28.1 6.8-26.4-8.5l1.2-12.4c-36.7.9-59.7 3.1-61.8 3.1-20.9 0-20.9-31.6 0-31.6 2.4 0 27.7 1.3 63.2 2.8-61.1-15.5-103.7-55-114.9-118.2-25 12.8-57.5 26.8-68.2.8-10.5-25.4 21.5-42.6 66.8-73.4.7-6.6 1.6-13.3 2.7-19.8-14.4-19.6-11.6-36.3-16.1-60.4-16.8 2.4-23.2-9.1-23.6-23.1.3-7.3 2.1-14.9 2.4-15.4 1.1-1.8 10.1-2 12.7-2.6 6-31.7 50.6-33.2 90.9-34.5 19.7-21.8 45.2-41.5 80.9-48.3C203.3 29 215.2 8.5 216.2 8c1.7-.8 21.2 4.3 26.3 23.2 5.2-8.8 18.3-11.4 19.6-10.7 1.1.6 6.4 15-4.9 25.9 40.3 3.5 72.2 24.7 96 50.7 36.1 1.5 71.8 5.9 77.1 34 2.7.6 11.6.8 12.7 2.6.3.5 2.1 8.1 2.4 15.4-.5 13.9-6.8 25.4-23.6 23.1-3.2 17.3-2.7 32.9-8.7 47.7 2.4 11.7 4 23.8 4.8 36.4 37 25.4 70.3 42.5 60.3 66.9zM207.4 159.9c.9-44-37.9-42.2-78.6-40.3-21.7 1-38.9 1.9-45.5 13.9-11.4 20.9 5.9 92.9 23.2 101.2 9.8 4.7 73.4 7.9 86.3-7.1 8.2-9.4 15-49.4 14.6-67.7zm52 58.3c-4.3-12.4-6-30.1-15.3-32.7-2-.5-9-.5-11 0-10 2.8-10.8 22.1-17 37.2 15.4 0 19.3 9.7 23.7 9.7 4.3 0 6.3-11.3 19.6-14.2zm135.7-84.7c-6.6-12.1-24.8-12.9-46.5-13.9-40.2-1.9-78.2-3.8-77.3 40.3-.5 18.3 5 58.3 13.2 67.8 13 14.9 76.6 11.8 86.3 7.1 15.8-7.6 36.5-78.9 24.3-101.3z"}}]})(props);
};
function FaEbay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M606 189.5l-54.8 109.9-54.9-109.9h-37.5l10.9 20.6c-11.5-19-35.9-26-63.3-26-31.8 0-67.9 8.7-71.5 43.1h33.7c1.4-13.8 15.7-21.8 35-21.8 26 0 41 9.6 41 33v3.4c-12.7 0-28 .1-41.7.4-42.4.9-69.6 10-76.7 34.4 1-5.2 1.5-10.6 1.5-16.2 0-52.1-39.7-76.2-75.4-76.2-21.3 0-43 5.5-58.7 24.2v-80.6h-32.1v169.5c0 10.3-.6 22.9-1.1 33.1h31.5c.7-6.3 1.1-12.9 1.1-19.5 13.6 16.6 35.4 24.9 58.7 24.9 36.9 0 64.9-21.9 73.3-54.2-.5 2.8-.7 5.8-.7 9 0 24.1 21.1 45 60.6 45 26.6 0 45.8-5.7 61.9-25.5 0 6.6.3 13.3 1.1 20.2h29.8c-.7-8.2-1-17.5-1-26.8v-65.6c0-9.3-1.7-17.2-4.8-23.8l61.5 116.1-28.5 54.1h35.9L640 189.5zM243.7 313.8c-29.6 0-50.2-21.5-50.2-53.8 0-32.4 20.6-53.8 50.2-53.8 29.8 0 50.2 21.4 50.2 53.8 0 32.3-20.4 53.8-50.2 53.8zm200.9-47.3c0 30-17.9 48.4-51.6 48.4-25.1 0-35-13.4-35-25.8 0-19.1 18.1-24.4 47.2-25.3 13.1-.5 27.6-.6 39.4-.6zm-411.9 1.6h128.8v-8.5c0-51.7-33.1-75.4-78.4-75.4-56.8 0-83 30.8-83 77.6 0 42.5 25.3 74 82.5 74 31.4 0 68-11.7 74.4-46.1h-33.1c-12 35.8-87.7 36.7-91.2-21.6zm95-21.4H33.3c6.9-56.6 92.1-54.7 94.4 0z"}}]})(props);
};
function FaEdge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M481.92,134.48C440.87,54.18,352.26,8,255.91,8,137.05,8,37.51,91.68,13.47,203.66c26-46.49,86.22-79.14,149.46-79.14,79.27,0,121.09,48.93,122.25,50.18,22,23.8,33,50.39,33,83.1,0,10.4-5.31,25.82-15.11,38.57-1.57,2-6.39,4.84-6.39,11,0,5.06,3.29,9.92,9.14,14,27.86,19.37,80.37,16.81,80.51,16.81A115.39,115.39,0,0,0,444.94,322a118.92,118.92,0,0,0,58.95-102.44C504.39,176.13,488.39,147.26,481.92,134.48ZM212.77,475.67a154.88,154.88,0,0,1-46.64-45c-32.94-47.42-34.24-95.6-20.1-136A155.5,155.5,0,0,1,203,215.75c59-45.2,94.84-5.65,99.06-1a80,80,0,0,0-4.89-10.14c-9.24-15.93-24-36.41-56.56-53.51-33.72-17.69-70.59-18.59-77.64-18.59-38.71,0-77.9,13-107.53,35.69C35.68,183.3,12.77,208.72,8.6,243c-1.08,12.31-2.75,62.8,23,118.27a248,248,0,0,0,248.3,141.61C241.78,496.26,214.05,476.24,212.77,475.67Zm250.72-98.33a7.76,7.76,0,0,0-7.92-.23,181.66,181.66,0,0,1-20.41,9.12,197.54,197.54,0,0,1-69.55,12.52c-91.67,0-171.52-63.06-171.52-144A61.12,61.12,0,0,1,200.61,228,168.72,168.72,0,0,0,161.85,278c-14.92,29.37-33,88.13,13.33,151.66,6.51,8.91,23,30,56,47.67,23.57,12.65,49,19.61,71.7,19.61,35.14,0,115.43-33.44,163-108.87A7.75,7.75,0,0,0,463.49,377.34Z"}}]})(props);
};
function FaElementor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M425.6 32H22.4C10 32 0 42 0 54.4v403.2C0 470 10 480 22.4 480h403.2c12.4 0 22.4-10 22.4-22.4V54.4C448 42 438 32 425.6 32M164.3 355.5h-39.8v-199h39.8v199zm159.3 0H204.1v-39.8h119.5v39.8zm0-79.6H204.1v-39.8h119.5v39.8zm0-79.7H204.1v-39.8h119.5v39.8z"}}]})(props);
};
function FaEllo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111.03 8 0 119.03 0 256s111.03 248 248 248 248-111.03 248-248S384.97 8 248 8zm143.84 285.2C375.31 358.51 315.79 404.8 248 404.8s-127.31-46.29-143.84-111.6c-1.65-7.44 2.48-15.71 9.92-17.36 7.44-1.65 15.71 2.48 17.36 9.92 14.05 52.91 62 90.11 116.56 90.11s102.51-37.2 116.56-90.11c1.65-7.44 9.92-12.4 17.36-9.92 7.44 1.65 12.4 9.92 9.92 17.36z"}}]})(props);
};
function FaEmber (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M639.9 254.6c-1.1-10.7-10.7-6.8-10.7-6.8s-15.6 12.1-29.3 10.7c-13.7-1.3-9.4-32-9.4-32s3-28.1-5.1-30.4c-8.1-2.4-18 7.3-18 7.3s-12.4 13.7-18.3 31.2l-1.6.5s1.9-30.6-.3-37.6c-1.6-3.5-16.4-3.2-18.8 3s-14.2 49.2-15 67.2c0 0-23.1 19.6-43.3 22.8s-25-9.4-25-9.4 54.8-15.3 52.9-59.1-44.2-27.6-49-24c-4.6 3.5-29.4 18.4-36.6 59.7-.2 1.4-.7 7.5-.7 7.5s-21.2 14.2-33 18c0 0 33-55.6-7.3-80.9-11.4-6.8-21.3-.5-27.2 5.3 13.6-17.3 46.4-64.2 36.9-105.2-5.8-24.4-18-27.1-29.2-23.1-17 6.7-23.5 16.7-23.5 16.7s-22 32-27.1 79.5-12.6 105.1-12.6 105.1-10.5 10.2-20.2 10.7-5.4-28.7-5.4-28.7 7.5-44.6 7-52.1-1.1-11.6-9.9-14.2c-8.9-2.7-18.5 8.6-18.5 8.6s-25.5 38.7-27.7 44.6l-1.3 2.4-1.3-1.6s18-52.7.8-53.5-28.5 18.8-28.5 18.8-19.6 32.8-20.4 36.5l-1.3-1.6s8.1-38.2 6.4-47.6c-1.6-9.4-10.5-7.5-10.5-7.5s-11.3-1.3-14.2 5.9-13.7 55.3-15 70.7c0 0-28.2 20.2-46.8 20.4-18.5.3-16.7-11.8-16.7-11.8s68-23.3 49.4-69.2c-8.3-11.8-18-15.5-31.7-15.3-13.7.3-30.3 8.6-41.3 33.3-5.3 11.8-6.8 23-7.8 31.5 0 0-12.3 2.4-18.8-2.9s-10 0-10 0-11.2 14-.1 18.3 28.1 6.1 28.1 6.1c1.6 7.5 6.2 19.5 19.6 29.7 20.2 15.3 58.8-1.3 58.8-1.3l15.9-8.8s.5 14.6 12.1 16.7 16.4 1 36.5-47.9c11.8-25 12.6-23.6 12.6-23.6l1.3-.3s-9.1 46.8-5.6 59.7C187.7 319.4 203 318 203 318s8.3 2.4 15-21.2 19.6-49.9 19.6-49.9h1.6s-5.6 48.1 3 63.7 30.9 5.3 30.9 5.3 15.6-7.8 18-10.2c0 0 18.5 15.8 44.6 12.9 58.3-11.5 79.1-25.9 79.1-25.9s10 24.4 41.1 26.7c35.5 2.7 54.8-18.6 54.8-18.6s-.3 13.5 12.1 18.6 20.7-22.8 20.7-22.8l20.7-57.2h1.9s1.1 37.3 21.5 43.2 47-13.7 47-13.7 6.4-3.5 5.3-14.3zm-578 5.3c.8-32 21.8-45.9 29-39 7.3 7 4.6 22-9.1 31.4-13.7 9.5-19.9 7.6-19.9 7.6zm272.8-123.8s19.1-49.7 23.6-25.5-40 96.2-40 96.2c.5-16.2 16.4-70.7 16.4-70.7zm22.8 138.4c-12.6 33-43.3 19.6-43.3 19.6s-3.5-11.8 6.4-44.9 33.3-20.2 33.3-20.2 16.2 12.4 3.6 45.5zm84.6-14.6s-3-10.5 8.1-30.6c11-20.2 19.6-9.1 19.6-9.1s9.4 10.2-1.3 25.5-26.4 14.2-26.4 14.2z"}}]})(props);
};
function FaEmpire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M287.6 54.2c-10.8-2.2-22.1-3.3-33.5-3.6V32.4c78.1 2.2 146.1 44 184.6 106.6l-15.8 9.1c-6.1-9.7-12.7-18.8-20.2-27.1l-18 15.5c-26-29.6-61.4-50.7-101.9-58.4l4.8-23.9zM53.4 322.4l23-7.7c-6.4-18.3-10-38.2-10-58.7s3.3-40.4 9.7-58.7l-22.7-7.7c3.6-10.8 8.3-21.3 13.6-31l-15.8-9.1C34 181 24.1 217.5 24.1 256s10 75 27.1 106.6l15.8-9.1c-5.3-10-9.7-20.3-13.6-31.1zM213.1 434c-40.4-8-75.8-29.1-101.9-58.7l-18 15.8c-7.5-8.6-14.4-17.7-20.2-27.4l-16 9.4c38.5 62.3 106.8 104.3 184.9 106.6v-18.3c-11.3-.3-22.7-1.7-33.5-3.6l4.7-23.8zM93.3 120.9l18 15.5c26-29.6 61.4-50.7 101.9-58.4l-4.7-23.8c10.8-2.2 22.1-3.3 33.5-3.6V32.4C163.9 34.6 95.9 76.4 57.4 139l15.8 9.1c6-9.7 12.6-18.9 20.1-27.2zm309.4 270.2l-18-15.8c-26 29.6-61.4 50.7-101.9 58.7l4.7 23.8c-10.8 1.9-22.1 3.3-33.5 3.6v18.3c78.1-2.2 146.4-44.3 184.9-106.6l-16.1-9.4c-5.7 9.7-12.6 18.8-20.1 27.4zM496 256c0 137-111 248-248 248S0 393 0 256 111 8 248 8s248 111 248 248zm-12.2 0c0-130.1-105.7-235.8-235.8-235.8S12.2 125.9 12.2 256 117.9 491.8 248 491.8 483.8 386.1 483.8 256zm-39-106.6l-15.8 9.1c5.3 9.7 10 20.2 13.6 31l-22.7 7.7c6.4 18.3 9.7 38.2 9.7 58.7s-3.6 40.4-10 58.7l23 7.7c-3.9 10.8-8.3 21-13.6 31l15.8 9.1C462 331 471.9 294.5 471.9 256s-9.9-75-27.1-106.6zm-183 177.7c16.3-3.3 30.4-11.6 40.7-23.5l51.2 44.8c11.9-13.6 21.3-29.3 27.1-46.8l-64.2-22.1c2.5-7.5 3.9-15.2 3.9-23.5s-1.4-16.1-3.9-23.5l64.5-22.1c-6.1-17.4-15.5-33.2-27.4-46.8l-51.2 44.8c-10.2-11.9-24.4-20.5-40.7-23.8l13.3-66.4c-8.6-1.9-17.7-2.8-27.1-2.8-9.4 0-18.5.8-27.1 2.8l13.3 66.4c-16.3 3.3-30.4 11.9-40.7 23.8l-51.2-44.8c-11.9 13.6-21.3 29.3-27.4 46.8l64.5 22.1c-2.5 7.5-3.9 15.2-3.9 23.5s1.4 16.1 3.9 23.5l-64.2 22.1c5.8 17.4 15.2 33.2 27.1 46.8l51.2-44.8c10.2 11.9 24.4 20.2 40.7 23.5l-13.3 66.7c8.6 1.7 17.7 2.8 27.1 2.8 9.4 0 18.5-1.1 27.1-2.8l-13.3-66.7z"}}]})(props);
};
function FaEnvira (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 32c477.6 0 366.6 317.3 367.1 366.3L448 480h-26l-70.4-71.2c-39 4.2-124.4 34.5-214.4-37C47 300.3 52 214.7 0 32zm79.7 46c-49.7-23.5-5.2 9.2-5.2 9.2 45.2 31.2 66 73.7 90.2 119.9 31.5 60.2 79 139.7 144.2 167.7 65 28 34.2 12.5 6-8.5-28.2-21.2-68.2-87-91-130.2-31.7-60-61-118.6-144.2-158.1z"}}]})(props);
};
function FaErlang (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M87.2 53.5H0v405h100.4c-49.7-52.6-78.8-125.3-78.7-212.1-.1-76.7 24-142.7 65.5-192.9zm238.2 9.7c-45.9.1-85.1 33.5-89.2 83.2h169.9c-1.1-49.7-34.5-83.1-80.7-83.2zm230.7-9.6h.3l-.1-.1zm.3 0c31.4 42.7 48.7 97.5 46.2 162.7.5 6 .5 11.7 0 24.1H230.2c-.2 109.7 38.9 194.9 138.6 195.3 68.5-.3 118-51 151.9-106.1l96.4 48.2c-17.4 30.9-36.5 57.8-57.9 80.8H640v-405z"}}]})(props);
};
function FaEthereum (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M311.9 260.8L160 353.6 8 260.8 160 0l151.9 260.8zM160 383.4L8 290.6 160 512l152-221.4-152 92.8z"}}]})(props);
};
function FaEtsy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M384 348c-1.75 10.75-13.75 110-15.5 132-117.879-4.299-219.895-4.743-368.5 0v-25.5c45.457-8.948 60.627-8.019 61-35.25 1.793-72.322 3.524-244.143 0-322-1.029-28.46-12.13-26.765-61-36v-25.5c73.886 2.358 255.933 8.551 362.999-3.75-3.5 38.25-7.75 126.5-7.75 126.5H332C320.947 115.665 313.241 68 277.25 68h-137c-10.25 0-10.75 3.5-10.75 9.75V241.5c58 .5 88.5-2.5 88.5-2.5 29.77-.951 27.56-8.502 40.75-65.251h25.75c-4.407 101.351-3.91 61.829-1.75 160.25H257c-9.155-40.086-9.065-61.045-39.501-61.5 0 0-21.5-2-88-2v139c0 26 14.25 38.25 44.25 38.25H263c63.636 0 66.564-24.996 98.751-99.75H384z"}}]})(props);
};
function FaEvernote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M120.82 132.21c1.6 22.31-17.55 21.59-21.61 21.59-68.93 0-73.64-1-83.58 3.34-.56.22-.74 0-.37-.37L123.79 46.45c.38-.37.6-.22.38.37-4.35 9.99-3.35 15.09-3.35 85.39zm79 308c-14.68-37.08 13-76.93 52.52-76.62 17.49 0 22.6 23.21 7.95 31.42-6.19 3.3-24.95 1.74-25.14 19.2-.05 17.09 19.67 25 31.2 24.89A45.64 45.64 0 0 0 312 393.45v-.08c0-11.63-7.79-47.22-47.54-55.34-7.72-1.54-65-6.35-68.35-50.52-3.74 16.93-17.4 63.49-43.11 69.09-8.74 1.94-69.68 7.64-112.92-36.77 0 0-18.57-15.23-28.23-57.95-3.38-15.75-9.28-39.7-11.14-62 0-18 11.14-30.45 25.07-32.2 81 0 90 2.32 101-7.8 9.82-9.24 7.8-15.5 7.8-102.78 1-8.3 7.79-30.81 53.41-24.14 6 .86 31.91 4.18 37.48 30.64l64.26 11.15c20.43 3.71 70.94 7 80.6 57.94 22.66 121.09 8.91 238.46 7.8 238.46C362.15 485.53 267.06 480 267.06 480c-18.95-.23-54.25-9.4-67.27-39.83zm80.94-204.84c-1 1.92-2.2 6 .85 7 14.09 4.93 39.75 6.84 45.88 5.53 3.11-.25 3.05-4.43 2.48-6.65-3.53-21.85-40.83-26.5-49.24-5.92z"}}]})(props);
};
function FaExpeditedssl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 43.4C130.6 43.4 35.4 138.6 35.4 256S130.6 468.6 248 468.6 460.6 373.4 460.6 256 365.4 43.4 248 43.4zm-97.4 132.9c0-53.7 43.7-97.4 97.4-97.4s97.4 43.7 97.4 97.4v26.6c0 5-3.9 8.9-8.9 8.9h-17.7c-5 0-8.9-3.9-8.9-8.9v-26.6c0-82.1-124-82.1-124 0v26.6c0 5-3.9 8.9-8.9 8.9h-17.7c-5 0-8.9-3.9-8.9-8.9v-26.6zM389.7 380c0 9.7-8 17.7-17.7 17.7H124c-9.7 0-17.7-8-17.7-17.7V238.3c0-9.7 8-17.7 17.7-17.7h248c9.7 0 17.7 8 17.7 17.7V380zm-248-137.3v132.9c0 2.5-1.9 4.4-4.4 4.4h-8.9c-2.5 0-4.4-1.9-4.4-4.4V242.7c0-2.5 1.9-4.4 4.4-4.4h8.9c2.5 0 4.4 1.9 4.4 4.4zm141.7 48.7c0 13-7.2 24.4-17.7 30.4v31.6c0 5-3.9 8.9-8.9 8.9h-17.7c-5 0-8.9-3.9-8.9-8.9v-31.6c-10.5-6.1-17.7-17.4-17.7-30.4 0-19.7 15.8-35.4 35.4-35.4s35.5 15.8 35.5 35.4zM248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 478.3C121 486.3 17.7 383 17.7 256S121 25.7 248 25.7 478.3 129 478.3 256 375 486.3 248 486.3z"}}]})(props);
};
function FaFacebookF (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M279.14 288l14.22-92.66h-88.91v-60.13c0-25.35 12.42-50.06 52.24-50.06h40.42V6.26S260.43 0 225.36 0c-73.22 0-121.08 44.38-121.08 124.72v70.62H22.89V288h81.39v224h100.17V288z"}}]})(props);
};
function FaFacebookMessenger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.55 8C116.52 8 8 110.34 8 248.57c0 72.3 29.71 134.78 78.07 177.94 8.35 7.51 6.63 11.86 8.05 58.23A19.92 19.92 0 0 0 122 502.31c52.91-23.3 53.59-25.14 62.56-22.7C337.85 521.8 504 423.7 504 248.57 504 110.34 396.59 8 256.55 8zm149.24 185.13l-73 115.57a37.37 37.37 0 0 1-53.91 9.93l-58.08-43.47a15 15 0 0 0-18 0l-78.37 59.44c-10.46 7.93-24.16-4.6-17.11-15.67l73-115.57a37.36 37.36 0 0 1 53.91-9.93l58.06 43.46a15 15 0 0 0 18 0l78.41-59.38c10.44-7.98 24.14 4.54 17.09 15.62z"}}]})(props);
};
function FaFacebookSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48A48 48 0 0 0 0 80v352a48 48 0 0 0 48 48h137.25V327.69h-63V256h63v-54.64c0-62.15 37-96.48 93.67-96.48 27.14 0 55.52 4.84 55.52 4.84v61h-31.27c-30.81 0-40.42 19.12-40.42 38.73V256h68.78l-11 71.69h-57.78V480H400a48 48 0 0 0 48-48V80a48 48 0 0 0-48-48z"}}]})(props);
};
function FaFacebook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M504 256C504 119 393 8 256 8S8 119 8 256c0 123.78 90.69 226.38 209.25 245V327.69h-63V256h63v-54.64c0-62.15 37-96.48 93.67-96.48 27.14 0 55.52 4.84 55.52 4.84v61h-31.28c-30.8 0-40.41 19.12-40.41 38.73V256h68.78l-11 71.69h-57.78V501C413.31 482.38 504 379.78 504 256z"}}]})(props);
};
function FaFantasyFlightGames (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32.86L32.86 256 256 479.14 479.14 256 256 32.86zM88.34 255.83c1.96-2 11.92-12.3 96.49-97.48 41.45-41.75 86.19-43.77 119.77-18.69 24.63 18.4 62.06 58.9 62.15 59 .68.74 1.07 2.86.58 3.38-11.27 11.84-22.68 23.54-33.5 34.69-34.21-32.31-40.52-38.24-48.51-43.95-17.77-12.69-41.4-10.13-56.98 5.1-2.17 2.13-1.79 3.43.12 5.35 2.94 2.95 28.1 28.33 35.09 35.78-11.95 11.6-23.66 22.97-35.69 34.66-12.02-12.54-24.48-25.53-36.54-38.11-21.39 21.09-41.69 41.11-61.85 60.99a42569.01 42569.01 0 0 1-41.13-40.72zm234.82 101.6c-35.49 35.43-78.09 38.14-106.99 20.47-22.08-13.5-39.38-32.08-72.93-66.84 12.05-12.37 23.79-24.42 35.37-36.31 33.02 31.91 37.06 36.01 44.68 42.09 18.48 14.74 42.52 13.67 59.32-1.8 3.68-3.39 3.69-3.64.14-7.24-10.59-10.73-21.19-21.44-31.77-32.18-1.32-1.34-3.03-2.48-.8-4.69 10.79-10.71 21.48-21.52 32.21-32.29.26-.26.65-.38 1.91-1.07 12.37 12.87 24.92 25.92 37.25 38.75 21.01-20.73 41.24-40.68 61.25-60.42 13.68 13.4 27.13 26.58 40.86 40.03-20.17 20.86-81.68 82.71-100.5 101.5zM256 0L0 256l256 256 256-256L256 0zM16 256L256 16l240 240-240 240L16 256z"}}]})(props);
};
function FaFedex (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M586 284.5l53.3-59.9h-62.4l-21.7 24.8-22.5-24.8H414v-16h56.1v-48.1H318.9V236h-.5c-9.6-11-21.5-14.8-35.4-14.8-28.4 0-49.8 19.4-57.3 44.9-18-59.4-97.4-57.6-121.9-14v-24.2H49v-26.2h60v-41.1H0V345h49v-77.5h48.9c-1.5 5.7-2.3 11.8-2.3 18.2 0 73.1 102.6 91.4 130.2 23.7h-42c-14.7 20.9-45.8 8.9-45.8-14.6h85.5c3.7 30.5 27.4 56.9 60.1 56.9 14.1 0 27-6.9 34.9-18.6h.5V345h212.2l22.1-25 22.3 25H640l-54-60.5zm-446.7-16.6c6.1-26.3 41.7-25.6 46.5 0h-46.5zm153.4 48.9c-34.6 0-34-62.8 0-62.8 32.6 0 34.5 62.8 0 62.8zm167.8 19.1h-94.4V169.4h95v30.2H405v33.9h55.5v28.1h-56.1v44.7h56.1v29.6zm-45.9-39.8v-24.4h56.1v-44l50.7 57-50.7 57v-45.6h-56.1zm138.6 10.3l-26.1 29.5H489l45.6-51.2-45.6-51.2h39.7l26.6 29.3 25.6-29.3h38.5l-45.4 51 46 51.4h-40.5l-26.3-29.5z"}}]})(props);
};
function FaFedora (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M225 32C101.3 31.7.8 131.7.4 255.4L0 425.7a53.6 53.6 0 0 0 53.6 53.9l170.2.4c123.7.3 224.3-99.7 224.6-223.4S348.7 32.3 225 32zm169.8 157.2L333 126.6c2.3-4.7 3.8-9.2 3.8-14.3v-1.6l55.2 56.1a101 101 0 0 1 2.8 22.4zM331 94.3a106.06 106.06 0 0 1 58.5 63.8l-54.3-54.6a26.48 26.48 0 0 0-4.2-9.2zM118.1 247.2a49.66 49.66 0 0 0-7.7 11.4l-8.5-8.5a85.78 85.78 0 0 1 16.2-2.9zM97 251.4l11.8 11.9-.9 8a34.74 34.74 0 0 0 2.4 12.5l-27-27.2a80.6 80.6 0 0 1 13.7-5.2zm-18.2 7.4l38.2 38.4a53.17 53.17 0 0 0-14.1 4.7L67.6 266a107 107 0 0 1 11.2-7.2zm-15.2 9.8l35.3 35.5a67.25 67.25 0 0 0-10.5 8.5L53.5 278a64.33 64.33 0 0 1 10.1-9.4zm-13.3 12.3l34.9 35a56.84 56.84 0 0 0-7.7 11.4l-35.8-35.9c2.8-3.8 5.7-7.2 8.6-10.5zm-11 14.3l36.4 36.6a48.29 48.29 0 0 0-3.6 15.2l-39.5-39.8a99.81 99.81 0 0 1 6.7-12zm-8.8 16.3l41.3 41.8a63.47 63.47 0 0 0 6.7 26.2L25.8 326c1.4-4.9 2.9-9.6 4.7-14.5zm-7.9 43l61.9 62.2a31.24 31.24 0 0 0-3.6 14.3v1.1l-55.4-55.7a88.27 88.27 0 0 1-2.9-21.9zm5.3 30.7l54.3 54.6a28.44 28.44 0 0 0 4.2 9.2 106.32 106.32 0 0 1-58.5-63.8zm-5.3-37a80.69 80.69 0 0 1 2.1-17l72.2 72.5a37.59 37.59 0 0 0-9.9 8.7zm253.3-51.8l-42.6-.1-.1 56c-.2 69.3-64.4 115.8-125.7 102.9-5.7 0-19.9-8.7-19.9-24.2a24.89 24.89 0 0 1 24.5-24.6c6.3 0 6.3 1.6 15.7 1.6a55.91 55.91 0 0 0 56.1-55.9l.1-47c0-4.5-4.5-9-8.9-9l-33.6-.1c-32.6-.1-32.5-49.4.1-49.3l42.6.1.1-56a105.18 105.18 0 0 1 105.6-105 86.35 86.35 0 0 1 20.2 2.3c11.2 1.8 19.9 11.9 19.9 24 0 15.5-14.9 27.8-30.3 23.9-27.4-5.9-65.9 14.4-66 54.9l-.1 47a8.94 8.94 0 0 0 8.9 9l33.6.1c32.5.2 32.4 49.5-.2 49.4zm23.5-.3a35.58 35.58 0 0 0 7.6-11.4l8.5 8.5a102 102 0 0 1-16.1 2.9zm21-4.2L308.6 280l.9-8.1a34.74 34.74 0 0 0-2.4-12.5l27 27.2a74.89 74.89 0 0 1-13.7 5.3zm18-7.4l-38-38.4c4.9-1.1 9.6-2.4 13.7-4.7l36.2 35.9c-3.8 2.5-7.9 5-11.9 7.2zm15.5-9.8l-35.3-35.5a61.06 61.06 0 0 0 10.5-8.5l34.9 35a124.56 124.56 0 0 1-10.1 9zm13.2-12.3l-34.9-35a63.18 63.18 0 0 0 7.7-11.4l35.8 35.9a130.28 130.28 0 0 1-8.6 10.5zm11-14.3l-36.4-36.6a48.29 48.29 0 0 0 3.6-15.2l39.5 39.8a87.72 87.72 0 0 1-6.7 12zm13.5-30.9a140.63 140.63 0 0 1-4.7 14.3L345.6 190a58.19 58.19 0 0 0-7.1-26.2zm1-5.6l-71.9-72.1a32 32 0 0 0 9.9-9.2l64.3 64.7a90.93 90.93 0 0 1-2.3 16.6z"}}]})(props);
};
function FaFigma (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M277 170.7A85.35 85.35 0 0 0 277 0H106.3a85.3 85.3 0 0 0 0 170.6 85.35 85.35 0 0 0 0 170.7 85.35 85.35 0 1 0 85.3 85.4v-256zm0 0a85.3 85.3 0 1 0 85.3 85.3 85.31 85.31 0 0 0-85.3-85.3z"}}]})(props);
};
function FaFirefoxBrowser (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M189.37,152.86Zm-58.74-29.37C130.79,123.5,130.71,123.5,130.63,123.49Zm351.42,45.35c-10.61-25.5-32.08-53-48.94-61.73,13.72,26.89,21.67,53.88,24.7,74,0,0,0,.14.05.41-27.58-68.75-74.35-96.47-112.55-156.83-1.93-3.05-3.86-6.11-5.74-9.33-1-1.65-1.86-3.34-2.69-5.05A44.88,44.88,0,0,1,333.24.69a.63.63,0,0,0-.55-.66.9.9,0,0,0-.46,0l-.12.07-.18.1.1-.14c-54.23,31.77-76.72,87.38-82.5,122.78a130,130,0,0,0-48.33,12.33,6.25,6.25,0,0,0-3.09,7.75,6.13,6.13,0,0,0,7.79,3.79l.52-.21a117.84,117.84,0,0,1,42.11-11l1.42-.1c2-.12,4-.2,6-.22A122.61,122.61,0,0,1,291,140c.67.2,1.32.42,2,.63,1.89.57,3.76,1.2,5.62,1.87,1.36.5,2.71,1,4.05,1.58,1.09.44,2.18.88,3.25,1.35q2.52,1.13,5,2.35c.75.37,1.5.74,2.25,1.13q2.4,1.26,4.74,2.63,1.51.87,3,1.8a124.89,124.89,0,0,1,42.66,44.13c-13-9.15-36.35-18.19-58.82-14.28,87.74,43.86,64.18,194.9-57.39,189.2a108.43,108.43,0,0,1-31.74-6.12c-2.42-.91-4.8-1.89-7.16-2.93-1.38-.63-2.76-1.27-4.12-2C174.5,346,149.9,316.92,146.83,281.59c0,0,11.25-41.95,80.62-41.95,7.5,0,28.93-20.92,29.33-27-.09-2-42.54-18.87-59.09-35.18-8.85-8.71-13.05-12.91-16.77-16.06a69.58,69.58,0,0,0-6.31-4.77A113.05,113.05,0,0,1,173.92,97c-25.06,11.41-44.55,29.45-58.71,45.37h-.12c-9.67-12.25-9-52.65-8.43-61.08-.12-.53-7.22,3.68-8.15,4.31a178.54,178.54,0,0,0-23.84,20.43A214,214,0,0,0,51.9,133.36l0,0a.08.08,0,0,1,0,0,205.84,205.84,0,0,0-32.73,73.9c-.06.27-2.33,10.21-4,22.48q-.42,2.87-.78,5.74c-.57,3.69-1,7.71-1.44,14,0,.24,0,.48-.05.72-.18,2.71-.34,5.41-.49,8.12,0,.41,0,.82,0,1.24,0,134.7,109.21,243.89,243.92,243.89,120.64,0,220.82-87.58,240.43-202.62.41-3.12.74-6.26,1.11-9.41,4.85-41.83-.54-85.79-15.82-122.55Z"}}]})(props);
};
function FaFirefox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M503.52,241.48c-.12-1.56-.24-3.12-.24-4.68v-.12l-.36-4.68v-.12a245.86,245.86,0,0,0-7.32-41.15c0-.12,0-.12-.12-.24l-1.08-4c-.12-.24-.12-.48-.24-.6-.36-1.2-.72-2.52-1.08-3.72-.12-.24-.12-.6-.24-.84-.36-1.2-.72-2.4-1.08-3.48-.12-.36-.24-.6-.36-1-.36-1.2-.72-2.28-1.2-3.48l-.36-1.08c-.36-1.08-.84-2.28-1.2-3.36a8.27,8.27,0,0,0-.36-1c-.48-1.08-.84-2.28-1.32-3.36-.12-.24-.24-.6-.36-.84-.48-1.2-1-2.28-1.44-3.48,0-.12-.12-.24-.12-.36-1.56-3.84-3.24-7.68-5-11.4l-.36-.72c-.48-1-.84-1.8-1.32-2.64-.24-.48-.48-1.08-.72-1.56-.36-.84-.84-1.56-1.2-2.4-.36-.6-.6-1.2-1-1.8s-.84-1.44-1.2-2.28c-.36-.6-.72-1.32-1.08-1.92s-.84-1.44-1.2-2.16a18.07,18.07,0,0,0-1.2-2c-.36-.72-.84-1.32-1.2-2s-.84-1.32-1.2-2-.84-1.32-1.2-1.92-.84-1.44-1.32-2.16a15.63,15.63,0,0,0-1.2-1.8L463.2,119a15.63,15.63,0,0,0-1.2-1.8c-.48-.72-1.08-1.56-1.56-2.28-.36-.48-.72-1.08-1.08-1.56l-1.8-2.52c-.36-.48-.6-.84-1-1.32-1-1.32-1.8-2.52-2.76-3.72a248.76,248.76,0,0,0-23.51-26.64A186.82,186.82,0,0,0,412,62.46c-4-3.48-8.16-6.72-12.48-9.84a162.49,162.49,0,0,0-24.6-15.12c-2.4-1.32-4.8-2.52-7.2-3.72a254,254,0,0,0-55.43-19.56c-1.92-.36-3.84-.84-5.64-1.2h-.12c-1-.12-1.8-.36-2.76-.48a236.35,236.35,0,0,0-38-4H255.14a234.62,234.62,0,0,0-45.48,5c-33.59,7.08-63.23,21.24-82.91,39-1.08,1-1.92,1.68-2.4,2.16l-.48.48H124l-.12.12.12-.12a.12.12,0,0,0,.12-.12l-.12.12a.42.42,0,0,1,.24-.12c14.64-8.76,34.92-16,49.44-19.56l5.88-1.44c.36-.12.84-.12,1.2-.24,1.68-.36,3.36-.72,5.16-1.08.24,0,.6-.12.84-.12C250.94,20.94,319.34,40.14,367,85.61a171.49,171.49,0,0,1,26.88,32.76c30.36,49.2,27.48,111.11,3.84,147.59-34.44,53-111.35,71.27-159,24.84a84.19,84.19,0,0,1-25.56-59,74.05,74.05,0,0,1,6.24-31c1.68-3.84,13.08-25.67,18.24-24.59-13.08-2.76-37.55,2.64-54.71,28.19-15.36,22.92-14.52,58.2-5,83.28a132.85,132.85,0,0,1-12.12-39.24c-12.24-82.55,43.31-153,94.31-170.51-27.48-24-96.47-22.31-147.71,15.36-29.88,22-51.23,53.16-62.51,90.36,1.68-20.88,9.6-52.08,25.8-83.88-17.16,8.88-39,37-49.8,62.88-15.6,37.43-21,82.19-16.08,124.79.36,3.24.72,6.36,1.08,9.6,19.92,117.11,122,206.38,244.78,206.38C392.77,503.42,504,392.19,504,255,503.88,250.48,503.76,245.92,503.52,241.48Z"}}]})(props);
};
function FaFirstOrderAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111.03 8 0 119.03 0 256s111.03 248 248 248 248-111.03 248-248S384.97 8 248 8zm0 488.21C115.34 496.21 7.79 388.66 7.79 256S115.34 15.79 248 15.79 488.21 123.34 488.21 256 380.66 496.21 248 496.21zm0-459.92C126.66 36.29 28.29 134.66 28.29 256S126.66 475.71 248 475.71 467.71 377.34 467.71 256 369.34 36.29 248 36.29zm0 431.22c-116.81 0-211.51-94.69-211.51-211.51S131.19 44.49 248 44.49 459.51 139.19 459.51 256 364.81 467.51 248 467.51zm186.23-162.98a191.613 191.613 0 0 1-20.13 48.69l-74.13-35.88 61.48 54.82a193.515 193.515 0 0 1-37.2 37.29l-54.8-61.57 35.88 74.27a190.944 190.944 0 0 1-48.63 20.23l-27.29-78.47 4.79 82.93c-8.61 1.18-17.4 1.8-26.33 1.8s-17.72-.62-26.33-1.8l4.76-82.46-27.15 78.03a191.365 191.365 0 0 1-48.65-20.2l35.93-74.34-54.87 61.64a193.85 193.85 0 0 1-37.22-37.28l61.59-54.9-74.26 35.93a191.638 191.638 0 0 1-20.14-48.69l77.84-27.11-82.23 4.76c-1.16-8.57-1.78-17.32-1.78-26.21 0-9 .63-17.84 1.82-26.51l82.38 4.77-77.94-27.16a191.726 191.726 0 0 1 20.23-48.67l74.22 35.92-61.52-54.86a193.85 193.85 0 0 1 37.28-37.22l54.76 61.53-35.83-74.17a191.49 191.49 0 0 1 48.65-20.13l26.87 77.25-4.71-81.61c8.61-1.18 17.39-1.8 26.32-1.8s17.71.62 26.32 1.8l-4.74 82.16 27.05-77.76c17.27 4.5 33.6 11.35 48.63 20.17l-35.82 74.12 54.72-61.47a193.13 193.13 0 0 1 37.24 37.23l-61.45 54.77 74.12-35.86a191.515 191.515 0 0 1 20.2 48.65l-77.81 27.1 82.24-4.75c1.19 8.66 1.82 17.5 1.82 26.49 0 8.88-.61 17.63-1.78 26.19l-82.12-4.75 77.72 27.09z"}}]})(props);
};
function FaFirstOrder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M12.9 229.2c.1-.1.2-.3.3-.4 0 .1 0 .3-.1.4h-.2zM224 96.6c-7.1 0-14.6.6-21.4 1.7l3.7 67.4-22-64c-14.3 3.7-27.7 9.4-40 16.6l29.4 61.4-45.1-50.9c-11.4 8.9-21.7 19.1-30.6 30.9l50.6 45.4-61.1-29.7c-7.1 12.3-12.9 25.7-16.6 40l64.3 22.6-68-4c-.9 7.1-1.4 14.6-1.4 22s.6 14.6 1.4 21.7l67.7-4-64 22.6c3.7 14.3 9.4 27.7 16.6 40.3l61.1-29.7L97.7 352c8.9 11.7 19.1 22.3 30.9 30.9l44.9-50.9-29.5 61.4c12.3 7.4 25.7 13.1 40 16.9l22.3-64.6-4 68c7.1 1.1 14.6 1.7 21.7 1.7 7.4 0 14.6-.6 21.7-1.7l-4-68.6 22.6 65.1c14.3-4 27.7-9.4 40-16.9L274.9 332l44.9 50.9c11.7-8.9 22-19.1 30.6-30.9l-50.6-45.1 61.1 29.4c7.1-12.3 12.9-25.7 16.6-40.3l-64-22.3 67.4 4c1.1-7.1 1.4-14.3 1.4-21.7s-.3-14.9-1.4-22l-67.7 4 64-22.3c-3.7-14.3-9.1-28-16.6-40.3l-60.9 29.7 50.6-45.4c-8.9-11.7-19.1-22-30.6-30.9l-45.1 50.9 29.4-61.1c-12.3-7.4-25.7-13.1-40-16.9L241.7 166l4-67.7c-7.1-1.2-14.3-1.7-21.7-1.7zM443.4 128v256L224 512 4.6 384V128L224 0l219.4 128zm-17.1 10.3L224 20.9 21.7 138.3v235.1L224 491.1l202.3-117.7V138.3zM224 37.1l187.7 109.4v218.9L224 474.9 36.3 365.4V146.6L224 37.1zm0 50.9c-92.3 0-166.9 75.1-166.9 168 0 92.6 74.6 167.7 166.9 167.7 92 0 166.9-75.1 166.9-167.7 0-92.9-74.9-168-166.9-168z"}}]})(props);
};
function FaFirstdraft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M384 192h-64v128H192v128H0v-25.6h166.4v-128h128v-128H384V192zm-25.6 38.4v128h-128v128H64V512h192V384h128V230.4h-25.6zm25.6 192h-89.6V512H320v-64h64v-25.6zM0 0v384h128V256h128V128h128V0H0z"}}]})(props);
};
function FaFlickr (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM144.5 319c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5zm159 0c-35.1 0-63.5-28.4-63.5-63.5s28.4-63.5 63.5-63.5 63.5 28.4 63.5 63.5-28.4 63.5-63.5 63.5z"}}]})(props);
};
function FaFlipboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 32v448h448V32H0zm358.4 179.2h-89.6v89.6h-89.6v89.6H89.6V121.6h268.8v89.6z"}}]})(props);
};
function FaFly (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M197.8 427.8c12.9 11.7 33.7 33.3 33.2 50.7 0 .8-.1 1.6-.1 2.5-1.8 19.8-18.8 31.1-39.1 31-25-.1-39.9-16.8-38.7-35.8 1-16.2 20.5-36.7 32.4-47.6 2.3-2.1 2.7-2.7 5.6-3.6 3.4 0 3.9.3 6.7 2.8zM331.9 67.3c-16.3-25.7-38.6-40.6-63.3-52.1C243.1 4.5 214-.2 192 0c-44.1 0-71.2 13.2-81.1 17.3C57.3 45.2 26.5 87.2 28 158.6c7.1 82.2 97 176 155.8 233.8 1.7 1.6 4.5 4.5 6.2 5.1l3.3.1c2.1-.7 1.8-.5 3.5-2.1 52.3-49.2 140.7-145.8 155.9-215.7 7-39.2 3.1-72.5-20.8-112.5zM186.8 351.9c-28-51.1-65.2-130.7-69.3-189-3.4-47.5 11.4-131.2 69.3-136.7v325.7zM328.7 180c-16.4 56.8-77.3 128-118.9 170.3C237.6 298.4 275 217 277 158.4c1.6-45.9-9.8-105.8-48-131.4 88.8 18.3 115.5 98.1 99.7 153z"}}]})(props);
};
function FaFontAwesomeAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M339.3 171.2c-6 0-29.9 15.5-52.6 15.5-4.2 0-8.4-.6-12.5-2.4-19.7-7.8-37-13.7-59.1-13.7-20.3 0-41.8 6.6-59.7 13.7-1.8.6-3.6 1.2-4.8 1.8v-17.9c7.8-6 12.5-14.9 12.5-25.7 0-17.9-14.3-32.3-32.3-32.3s-32.3 14.3-32.3 32.3c0 10.2 4.8 19.7 12.5 25.7v212.1c0 10.8 9 19.7 19.7 19.7 9 0 16.1-6 18.5-13.7V385c.6-1.8.6-3 .6-4.8V336c1.2 0 2.4-.6 3-1.2 19.7-8.4 43-16.7 65.7-16.7 31.1 0 43 16.1 69.3 16.1 18.5 0 36.4-6.6 52-13.7 4.2-1.8 7.2-3.6 7.2-7.8V178.3c1.8-4.1-2.3-7.1-7.7-7.1zM397.8 32H50.2C22.7 32 0 54.7 0 82.2v347.6C0 457.3 22.7 480 50.2 480h347.6c27.5 0 50.2-22.7 50.2-50.2V82.2c0-27.5-22.7-50.2-50.2-50.2zm14.3 397.7c0 7.8-6.6 14.3-14.3 14.3H50.2c-7.8 0-14.3-6.6-14.3-14.3V82.2c0-7.8 6.6-14.3 14.3-14.3h347.6v-.1c7.8 0 14.3 6.6 14.3 14.3z"}}]})(props);
};
function FaFontAwesomeFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M444.373 359.424c0 7.168-6.144 10.24-13.312 13.312-28.672 12.288-59.392 23.552-92.16 23.552-46.08 0-67.584-28.672-122.88-28.672-39.936 0-81.92 14.336-115.712 29.696-2.048 1.024-4.096 1.024-6.144 2.048v77.824c0 21.405-16.122 34.816-33.792 34.816-19.456 0-34.816-15.36-34.816-34.816V102.4C12.245 92.16 3.029 75.776 3.029 57.344 3.029 25.6 28.629 0 60.373 0s57.344 25.6 57.344 57.344c0 18.432-8.192 34.816-22.528 45.056v31.744c4.124-1.374 58.768-28.672 114.688-28.672 65.27 0 97.676 27.648 126.976 27.648 38.912 0 81.92-27.648 92.16-27.648 8.192 0 15.36 6.144 15.36 13.312v240.64z"}}]})(props);
};
function FaFontAwesomeLogoFull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 3992 512"},"child":[{"tag":"path","attr":{"d":"M454.6 0H57.4C25.9 0 0 25.9 0 57.4v397.3C0 486.1 25.9 512 57.4 512h397.3c31.4 0 57.4-25.9 57.4-57.4V57.4C512 25.9 486.1 0 454.6 0zm-58.9 324.9c0 4.8-4.1 6.9-8.9 8.9-19.2 8.1-39.7 15.7-61.5 15.7-40.5 0-68.7-44.8-163.2 2.5v51.8c0 30.3-45.7 30.2-45.7 0v-250c-9-7-15-17.9-15-30.3 0-21 17.1-38.2 38.2-38.2 21 0 38.2 17.1 38.2 38.2 0 12.2-5.8 23.2-14.9 30.2v21c37.1-12 65.5-34.4 146.1-3.4 26.6 11.4 68.7-15.7 76.5-15.7 5.5 0 10.3 4.1 10.3 8.9v160.4zm432.9-174.2h-137v70.1H825c39.8 0 40.4 62.2 0 62.2H691.6v105.6c0 45.5-70.7 46.4-70.7 0V128.3c0-22 18-39.8 39.8-39.8h167.8c39.6 0 40.5 62.2.1 62.2zm191.1 23.4c-169.3 0-169.1 252.4 0 252.4 169.9 0 169.9-252.4 0-252.4zm0 196.1c-81.6 0-82.1-139.8 0-139.8 82.5 0 82.4 139.8 0 139.8zm372.4 53.4c-17.5 0-31.4-13.9-31.4-31.4v-117c0-62.4-72.6-52.5-99.1-16.4v133.4c0 41.5-63.3 41.8-63.3 0V208c0-40 63.1-41.6 63.1 0v3.4c43.3-51.6 162.4-60.4 162.4 39.3v141.5c.3 30.4-31.5 31.4-31.7 31.4zm179.7 2.9c-44.3 0-68.3-22.9-68.3-65.8V235.2H1488c-35.6 0-36.7-55.3 0-55.3h15.5v-37.3c0-41.3 63.8-42.1 63.8 0v37.5h24.9c35.4 0 35.7 55.3 0 55.3h-24.9v108.5c0 29.6 26.1 26.3 27.4 26.3 31.4 0 52.6 56.3-22.9 56.3zM1992 123c-19.5-50.2-95.5-50-114.5 0-107.3 275.7-99.5 252.7-99.5 262.8 0 42.8 58.3 51.2 72.1 14.4l13.5-35.9H2006l13 35.9c14.2 37.7 72.1 27.2 72.1-14.4 0-10.1 5.3 6.8-99.1-262.8zm-108.9 179.1l51.7-142.9 51.8 142.9h-103.5zm591.3-85.6l-53.7 176.3c-12.4 41.2-72 41-84 0l-42.3-135.9-42.3 135.9c-12.4 40.9-72 41.2-84.5 0l-54.2-176.3c-12.5-39.4 49.8-56.1 60.2-16.9L2213 342l45.3-139.5c10.9-32.7 59.6-34.7 71.2 0l45.3 139.5 39.3-142.4c10.3-38.3 72.6-23.8 60.3 16.9zm275.4 75.1c0-42.4-33.9-117.5-119.5-117.5-73.2 0-124.4 56.3-124.4 126 0 77.2 55.3 126.4 128.5 126.4 31.7 0 93-11.5 93-39.8 0-18.3-21.1-31.5-39.3-22.4-49.4 26.2-109 8.4-115.9-43.8h148.3c16.3 0 29.3-13.4 29.3-28.9zM2571 277.7c9.5-73.4 113.9-68.6 118.6 0H2571zm316.7 148.8c-31.4 0-81.6-10.5-96.6-31.9-12.4-17 2.5-39.8 21.8-39.8 16.3 0 36.8 22.9 77.7 22.9 27.4 0 40.4-11 40.4-25.8 0-39.8-142.9-7.4-142.9-102 0-40.4 35.3-75.7 98.6-75.7 31.4 0 74.1 9.9 87.6 29.4 10.8 14.8-1.4 36.2-20.9 36.2-15.1 0-26.7-17.3-66.2-17.3-22.9 0-37.8 10.5-37.8 23.8 0 35.9 142.4 6 142.4 103.1-.1 43.7-37.4 77.1-104.1 77.1zm266.8-252.4c-169.3 0-169.1 252.4 0 252.4 170.1 0 169.6-252.4 0-252.4zm0 196.1c-81.8 0-82-139.8 0-139.8 82.5 0 82.4 139.8 0 139.8zm476.9 22V268.7c0-53.8-61.4-45.8-85.7-10.5v134c0 41.3-63.8 42.1-63.8 0V268.7c0-52.1-59.5-47.4-85.7-10.1v133.6c0 41.5-63.3 41.8-63.3 0V208c0-40 63.1-41.6 63.1 0v3.4c9.9-14.4 41.8-37.3 78.6-37.3 35.3 0 57.7 16.4 66.7 43.8 13.9-21.8 45.8-43.8 82.6-43.8 44.3 0 70.7 23.4 70.7 72.7v145.3c.5 17.3-13.5 31.4-31.9 31.4 3.5.1-31.3 1.1-31.3-31.3zM3992 291.6c0-42.4-32.4-117.5-117.9-117.5-73.2 0-127.5 56.3-127.5 126 0 77.2 58.3 126.4 131.6 126.4 31.7 0 91.5-11.5 91.5-39.8 0-18.3-21.1-31.5-39.3-22.4-49.4 26.2-110.5 8.4-117.5-43.8h149.8c16.3 0 29.1-13.4 29.3-28.9zm-180.5-13.9c9.7-74.4 115.9-68.3 120.1 0h-120.1z"}}]})(props);
};
function FaFontAwesome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M397.8 32H50.2C22.7 32 0 54.7 0 82.2v347.6C0 457.3 22.7 480 50.2 480h347.6c27.5 0 50.2-22.7 50.2-50.2V82.2c0-27.5-22.7-50.2-50.2-50.2zm-45.4 284.3c0 4.2-3.6 6-7.8 7.8-16.7 7.2-34.6 13.7-53.8 13.7-26.9 0-39.4-16.7-71.7-16.7-23.3 0-47.8 8.4-67.5 17.3-1.2.6-2.4.6-3.6 1.2V385c0 1.8 0 3.6-.6 4.8v1.2c-2.4 8.4-10.2 14.3-19.1 14.3-11.3 0-20.3-9-20.3-20.3V166.4c-7.8-6-13.1-15.5-13.1-26.3 0-18.5 14.9-33.5 33.5-33.5 18.5 0 33.5 14.9 33.5 33.5 0 10.8-4.8 20.3-13.1 26.3v18.5c1.8-.6 3.6-1.2 5.4-2.4 18.5-7.8 40.6-14.3 61.5-14.3 22.7 0 40.6 6 60.9 13.7 4.2 1.8 8.4 2.4 13.1 2.4 22.7 0 47.8-16.1 53.8-16.1 4.8 0 9 3.6 9 7.8v140.3z"}}]})(props);
};
function FaFonticonsFi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M114.4 224h92.4l-15.2 51.2h-76.4V433c0 8-2.8 9.2 4.4 10l59.6 5.6V483H0v-35.2l29.2-2.8c7.2-.8 9.2-3.2 9.2-10.8V278.4c0-3.2-4-3.2-8-3.2H0V224h38.4v-28.8c0-68 36.4-96 106-96 46.8 0 88.8 11.2 88.8 72.4l-69.6 8.4c.4-25.6-6-31.6-22.4-31.6-25.2 0-26 13.6-26 37.6v32c0 3.2-4.8 6-.8 6zM384 483H243.2v-34.4l28-3.6c7.2-.8 10.4-2.4 10.4-10V287c0-5.6-4-9.2-9.2-10.8l-33.2-8.8 9.2-40.4h110v208c0 8-3.6 8.8 4 10l21.6 3.6V483zm-30-347.2l12.4 45.6-10 10-42.8-22.8-42.8 22.8-10-10 12.4-45.6-30-36.4 4.8-10h38L307.2 51H320l21.2 38.4h38l4.8 13.2-30 33.2z"}}]})(props);
};
function FaFonticons (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 32v448h448V32zm187 140.9c-18.4 0-19 9.9-19 27.4v23.3c0 2.4-3.5 4.4-.6 4.4h67.4l-11.1 37.3H168v112.9c0 5.8-2 6.7 3.2 7.3l43.5 4.1v25.1H84V389l21.3-2c5.2-.6 6.7-2.3 6.7-7.9V267.7c0-2.3-2.9-2.3-5.8-2.3H84V228h28v-21c0-49.6 26.5-70 77.3-70 34.1 0 64.7 8.2 64.7 52.8l-50.7 6.1c.3-18.7-4.4-23-16.3-23zm74.3 241.8v-25.1l20.4-2.6c5.2-.6 7.6-1.7 7.6-7.3V271.8c0-4.1-2.9-6.7-6.7-7.9l-24.2-6.4 6.7-29.5h80.2v151.7c0 5.8-2.6 6.4 2.9 7.3l15.7 2.6v25.1zm80.8-255.5l9 33.2-7.3 7.3-31.2-16.6-31.2 16.6-7.3-7.3 9-33.2-21.8-24.2 3.5-9.6h27.7l15.5-28h9.3l15.5 28h27.7l3.5 9.6z"}}]})(props);
};
function FaFortAwesomeAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208 237.4h-22.2c-2.1 0-3.7 1.6-3.7 3.7v51.7c0 2.1 1.6 3.7 3.7 3.7H208c2.1 0 3.7-1.6 3.7-3.7v-51.7c0-2.1-1.6-3.7-3.7-3.7zm118.2 0H304c-2.1 0-3.7 1.6-3.7 3.7v51.7c0 2.1 1.6 3.7 3.7 3.7h22.2c2.1 0 3.7-1.6 3.7-3.7v-51.7c-.1-2.1-1.7-3.7-3.7-3.7zm132-125.1c-2.3-3.2-4.6-6.4-7.1-9.5-9.8-12.5-20.8-24-32.8-34.4-4.5-3.9-9.1-7.6-13.9-11.2-1.6-1.2-3.2-2.3-4.8-3.5C372 34.1 340.3 20 306 13c-16.2-3.3-32.9-5-50-5s-33.9 1.7-50 5c-34.3 7.1-66 21.2-93.3 40.8-1.6 1.1-3.2 2.3-4.8 3.5-4.8 3.6-9.4 7.3-13.9 11.2-3 2.6-5.9 5.3-8.8 8s-5.7 5.5-8.4 8.4c-5.5 5.7-10.7 11.8-15.6 18-2.4 3.1-4.8 6.3-7.1 9.5C25.2 153 8.3 202.5 8.3 256c0 2 .1 4 .1 6 .1.7.1 1.3.1 2 .1 1.3.1 2.7.2 4 0 .8.1 1.5.1 2.3 0 1.3.1 2.5.2 3.7.1.8.1 1.6.2 2.4.1 1.1.2 2.3.3 3.5 0 .8.1 1.6.2 2.4.1 1.2.3 2.4.4 3.6.1.8.2 1.5.3 2.3.1 1.3.3 2.6.5 3.9.1.6.2 1.3.3 1.9l.9 5.7c.1.6.2 1.1.3 1.7.3 1.3.5 2.7.8 4 .2.8.3 1.6.5 2.4.2 1 .5 2.1.7 3.2.2.9.4 1.7.6 2.6.2 1 .4 2 .7 3 .2.9.5 1.8.7 2.7.3 1 .5 1.9.8 2.9.3.9.5 1.8.8 2.7.2.9.5 1.9.8 2.8s.5 1.8.8 2.7c.3 1 .6 1.9.9 2.8.6 1.6 1.1 3.3 1.7 4.9.4 1 .7 1.9 1 2.8.3 1 .7 2 1.1 3 .3.8.6 1.5.9 2.3l1.2 3c.3.7.6 1.5.9 2.2.4 1 .9 2 1.3 3l.9 2.1c.5 1 .9 2 1.4 3 .3.7.6 1.3.9 2 .5 1 1 2.1 1.5 3.1.2.6.5 1.1.8 1.7.6 1.1 1.1 2.2 1.7 3.3.1.2.2.3.3.5 2.2 4.1 4.4 8.2 6.8 12.2.2.4.5.8.7 1.2.7 1.1 1.3 2.2 2 3.3.3.5.6.9.9 1.4.6 1.1 1.3 2.1 2 3.2.3.5.6.9.9 1.4.7 1.1 1.4 2.1 2.1 3.2.2.4.5.8.8 1.2.7 1.1 1.5 2.2 2.3 3.3.2.2.3.5.5.7 37.5 51.7 94.4 88.5 160 99.4.9.1 1.7.3 2.6.4 1 .2 2.1.4 3.1.5s1.9.3 2.8.4c1 .2 2 .3 3 .4.9.1 1.9.2 2.9.3s1.9.2 2.9.3 2.1.2 3.1.3c.9.1 1.8.1 2.7.2 1.1.1 2.3.1 3.4.2.8 0 1.7.1 2.5.1 1.3 0 2.6.1 3.9.1.7.1 1.4.1 2.1.1 2 .1 4 .1 6 .1s4-.1 6-.1c.7 0 1.4-.1 2.1-.1 1.3 0 2.6 0 3.9-.1.8 0 1.7-.1 2.5-.1 1.1-.1 2.3-.1 3.4-.2.9 0 1.8-.1 2.7-.2 1-.1 2.1-.2 3.1-.3s1.9-.2 2.9-.3c.9-.1 1.9-.2 2.9-.3s2-.3 3-.4 1.9-.3 2.8-.4c1-.2 2.1-.3 3.1-.5.9-.1 1.7-.3 2.6-.4 65.6-11 122.5-47.7 160.1-102.4.2-.2.3-.5.5-.7.8-1.1 1.5-2.2 2.3-3.3.2-.4.5-.8.8-1.2.7-1.1 1.4-2.1 2.1-3.2.3-.5.6-.9.9-1.4.6-1.1 1.3-2.1 2-3.2.3-.5.6-.9.9-1.4.7-1.1 1.3-2.2 2-3.3.2-.4.5-.8.7-1.2 2.4-4 4.6-8.1 6.8-12.2.1-.2.2-.3.3-.5.6-1.1 1.1-2.2 1.7-3.3.2-.6.5-1.1.8-1.7.5-1 1-2.1 1.5-3.1.3-.7.6-1.3.9-2 .5-1 1-2 1.4-3l.9-2.1c.5-1 .9-2 1.3-3 .3-.7.6-1.5.9-2.2l1.2-3c.3-.8.6-1.5.9-2.3.4-1 .7-2 1.1-3s.7-1.9 1-2.8c.6-1.6 1.2-3.3 1.7-4.9.3-1 .6-1.9.9-2.8s.5-1.8.8-2.7c.2-.9.5-1.9.8-2.8s.6-1.8.8-2.7c.3-1 .5-1.9.8-2.9.2-.9.5-1.8.7-2.7.2-1 .5-2 .7-3 .2-.9.4-1.7.6-2.6.2-1 .5-2.1.7-3.2.2-.8.3-1.6.5-2.4.3-1.3.6-2.7.8-4 .1-.6.2-1.1.3-1.7l.9-5.7c.1-.6.2-1.3.3-1.9.1-1.3.3-2.6.5-3.9.1-.8.2-1.5.3-2.3.1-1.2.3-2.4.4-3.6 0-.8.1-1.6.2-2.4.1-1.1.2-2.3.3-3.5.1-.8.1-1.6.2-2.4.1 1.7.1.5.2-.7 0-.8.1-1.5.1-2.3.1-1.3.2-2.7.2-4 .1-.7.1-1.3.1-2 .1-2 .1-4 .1-6 0-53.5-16.9-103-45.8-143.7zM448 371.5c-9.4 15.5-20.6 29.9-33.6 42.9-20.6 20.6-44.5 36.7-71.2 48-13.9 5.8-28.2 10.3-42.9 13.2v-75.8c0-58.6-88.6-58.6-88.6 0v75.8c-14.7-2.9-29-7.3-42.9-13.2-26.7-11.3-50.6-27.4-71.2-48-13-13-24.2-27.4-33.6-42.9v-71.3c0-2.1 1.6-3.7 3.7-3.7h22.1c2.1 0 3.7 1.6 3.7 3.7V326h29.6V182c0-2.1 1.6-3.7 3.7-3.7h22.1c2.1 0 3.7 1.6 3.7 3.7v25.9h29.5V182c0-2.1 1.6-3.7 3.7-3.7H208c2.1 0 3.7 1.6 3.7 3.7v25.9h29.5V182c0-4.8 6.5-3.7 9.5-3.7V88.1c-4.4-2-7.4-6.7-7.4-11.5 0-16.8 25.4-16.8 25.4 0 0 4.8-3 9.4-7.4 11.5V92c6.3-1.4 12.7-2.3 19.2-2.3 9.4 0 18.4 3.5 26.3 3.5 7.2 0 15.2-3.5 19.4-3.5 2.1 0 3.7 1.6 3.7 3.7v48.4c0 5.6-18.7 6.5-22.4 6.5-8.6 0-16.6-3.5-25.4-3.5-7 0-14.1 1.2-20.8 2.8v30.7c3 0 9.5-1.1 9.5 3.7v25.9h29.5V182c0-2.1 1.6-3.7 3.7-3.7h22.2c2.1 0 3.7 1.6 3.7 3.7v25.9h29.5V182c0-2.1 1.6-3.7 3.7-3.7h22.1c2.1 0 3.7 1.6 3.7 3.7v144h29.5v-25.8c0-2.1 1.6-3.7 3.7-3.7h22.2c2.1 0 3.7 1.6 3.7 3.7z"}}]})(props);
};
function FaFortAwesome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M489.2 287.9h-27.4c-2.6 0-4.6 2-4.6 4.6v32h-36.6V146.2c0-2.6-2-4.6-4.6-4.6h-27.4c-2.6 0-4.6 2-4.6 4.6v32h-36.6v-32c0-2.6-2-4.6-4.6-4.6h-27.4c-2.6 0-4.6 2-4.6 4.6v32h-36.6v-32c0-6-8-4.6-11.7-4.6v-38c8.3-2 17.1-3.4 25.7-3.4 10.9 0 20.9 4.3 31.4 4.3 4.6 0 27.7-1.1 27.7-8v-60c0-2.6-2-4.6-4.6-4.6-5.1 0-15.1 4.3-24 4.3-9.7 0-20.9-4.3-32.6-4.3-8 0-16 1.1-23.7 2.9v-4.9c5.4-2.6 9.1-8.3 9.1-14.3 0-20.7-31.4-20.8-31.4 0 0 6 3.7 11.7 9.1 14.3v111.7c-3.7 0-11.7-1.4-11.7 4.6v32h-36.6v-32c0-2.6-2-4.6-4.6-4.6h-27.4c-2.6 0-4.6 2-4.6 4.6v32H128v-32c0-2.6-2-4.6-4.6-4.6H96c-2.6 0-4.6 2-4.6 4.6v178.3H54.8v-32c0-2.6-2-4.6-4.6-4.6H22.8c-2.6 0-4.6 2-4.6 4.6V512h182.9v-96c0-72.6 109.7-72.6 109.7 0v96h182.9V292.5c.1-2.6-1.9-4.6-4.5-4.6zm-288.1-4.5c0 2.6-2 4.6-4.6 4.6h-27.4c-2.6 0-4.6-2-4.6-4.6v-64c0-2.6 2-4.6 4.6-4.6h27.4c2.6 0 4.6 2 4.6 4.6v64zm146.4 0c0 2.6-2 4.6-4.6 4.6h-27.4c-2.6 0-4.6-2-4.6-4.6v-64c0-2.6 2-4.6 4.6-4.6h27.4c2.6 0 4.6 2 4.6 4.6v64z"}}]})(props);
};
function FaForumbee (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M5.8 309.7C2 292.7 0 275.5 0 258.3 0 135 99.8 35 223.1 35c16.6 0 33.3 2 49.3 5.5C149 87.5 51.9 186 5.8 309.7zm392.9-189.2C385 103 369 87.8 350.9 75.2c-149.6 44.3-266.3 162.1-309.7 312 12.5 18.1 28 35.6 45.2 49 43.1-151.3 161.2-271.7 312.3-315.7zm15.8 252.7c15.2-25.1 25.4-53.7 29.5-82.8-79.4 42.9-145 110.6-187.6 190.3 30-4.4 58.9-15.3 84.6-31.3 35 13.1 70.9 24.3 107 33.6-9.3-36.5-20.4-74.5-33.5-109.8zm29.7-145.5c-2.6-19.5-7.9-38.7-15.8-56.8C290.5 216.7 182 327.5 137.1 466c18.1 7.6 37 12.5 56.6 15.2C240 367.1 330.5 274.4 444.2 227.7z"}}]})(props);
};
function FaFoursquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 368 512"},"child":[{"tag":"path","attr":{"d":"M323.1 3H49.9C12.4 3 0 31.3 0 49.1v433.8c0 20.3 12.1 27.7 18.2 30.1 6.2 2.5 22.8 4.6 32.9-7.1C180 356.5 182.2 354 182.2 354c3.1-3.4 3.4-3.1 6.8-3.1h83.4c35.1 0 40.6-25.2 44.3-39.7l48.6-243C373.8 25.8 363.1 3 323.1 3zm-16.3 73.8l-11.4 59.7c-1.2 6.5-9.5 13.2-16.9 13.2H172.1c-12 0-20.6 8.3-20.6 20.3v13c0 12 8.6 20.6 20.6 20.6h90.4c8.3 0 16.6 9.2 14.8 18.2-1.8 8.9-10.5 53.8-11.4 58.8-.9 4.9-6.8 13.5-16.9 13.5h-73.5c-13.5 0-17.2 1.8-26.5 12.6 0 0-8.9 11.4-89.5 108.3-.9.9-1.8.6-1.8-.3V75.9c0-7.7 6.8-16.6 16.6-16.6h219c8.2 0 15.6 7.7 13.5 17.5z"}}]})(props);
};
function FaFreeCodeCamp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M97.22,96.21c10.36-10.65,16-17.12,16-21.9,0-2.76-1.92-5.51-3.83-7.42A14.81,14.81,0,0,0,101,64.05c-8.48,0-20.92,8.79-35.84,25.69C23.68,137,2.51,182.81,3.37,250.34s17.47,117,54.06,161.87C76.22,435.86,90.62,448,100.9,448a13.55,13.55,0,0,0,8.37-3.84c1.91-2.76,3.81-5.63,3.81-8.38,0-5.63-3.86-12.2-13.2-20.55-44.45-42.33-67.32-97-67.48-165C32.25,188.8,54,137.83,97.22,96.21ZM239.47,420.07c.58.37.91.55.91.55Zm93.79.55.17-.13C333.24,420.62,333.17,420.67,333.26,420.62Zm3.13-158.18c-16.24-4.15,50.41-82.89-68.05-177.17,0,0,15.54,49.38-62.83,159.57-74.27,104.35,23.46,168.73,34,175.23-6.73-4.35-47.4-35.7,9.55-128.64,11-18.3,25.53-34.87,43.5-72.16,0,0,15.91,22.45,7.6,71.13C287.7,364,354,342.91,355,343.94c22.75,26.78-17.72,73.51-21.58,76.55,5.49-3.65,117.71-78,33-188.1C360.43,238.4,352.62,266.59,336.39,262.44ZM510.88,89.69C496,72.79,483.52,64,475,64a14.81,14.81,0,0,0-8.39,2.84c-1.91,1.91-3.83,4.66-3.83,7.42,0,4.78,5.6,11.26,16,21.9,43.23,41.61,65,92.59,64.82,154.06-.16,68-23,122.63-67.48,165-9.34,8.35-13.18,14.92-13.2,20.55,0,2.75,1.9,5.62,3.81,8.38A13.61,13.61,0,0,0,475.1,448c10.28,0,24.68-12.13,43.47-35.79,36.59-44.85,53.14-94.38,54.06-161.87S552.32,137,510.88,89.69Z"}}]})(props);
};
function FaFreebsd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M303.7 96.2c11.1-11.1 115.5-77 139.2-53.2 23.7 23.7-42.1 128.1-53.2 139.2-11.1 11.1-39.4.9-63.1-22.9-23.8-23.7-34.1-52-22.9-63.1zM109.9 68.1C73.6 47.5 22 24.6 5.6 41.1c-16.6 16.6 7.1 69.4 27.9 105.7 18.5-32.2 44.8-59.3 76.4-78.7zM406.7 174c3.3 11.3 2.7 20.7-2.7 26.1-20.3 20.3-87.5-27-109.3-70.1-18-32.3-11.1-53.4 14.9-48.7 5.7-3.6 12.3-7.6 19.6-11.6-29.8-15.5-63.6-24.3-99.5-24.3-119.1 0-215.6 96.5-215.6 215.6 0 119 96.5 215.6 215.6 215.6S445.3 380.1 445.3 261c0-38.4-10.1-74.5-27.7-105.8-3.9 7-7.6 13.3-10.9 18.8z"}}]})(props);
};
function FaFulcrum (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M95.75 164.14l-35.38 43.55L25 164.14l35.38-43.55zM144.23 0l-20.54 198.18L72.72 256l51 57.82L144.23 512V300.89L103.15 256l41.08-44.89zm79.67 164.14l35.38 43.55 35.38-43.55-35.38-43.55zm-48.48 47L216.5 256l-41.08 44.89V512L196 313.82 247 256l-51-57.82L175.42 0z"}}]})(props);
};
function FaGalacticRepublic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 504C111.25 504 0 392.75 0 256S111.25 8 248 8s248 111.25 248 248-111.25 248-248 248zm0-479.47C120.37 24.53 16.53 128.37 16.53 256S120.37 487.47 248 487.47 479.47 383.63 479.47 256 375.63 24.53 248 24.53zm27.62 21.81v24.62a185.933 185.933 0 0 1 83.57 34.54l17.39-17.36c-28.75-22.06-63.3-36.89-100.96-41.8zm-55.37.07c-37.64 4.94-72.16 19.8-100.88 41.85l17.28 17.36h.08c24.07-17.84 52.55-30.06 83.52-34.67V46.41zm12.25 50.17v82.87c-10.04 2.03-19.42 5.94-27.67 11.42l-58.62-58.59-21.93 21.93 58.67 58.67c-5.47 8.23-9.45 17.59-11.47 27.62h-82.9v31h82.9c2.02 10.02 6.01 19.31 11.47 27.54l-58.67 58.69 21.93 21.93 58.62-58.62a77.873 77.873 0 0 0 27.67 11.47v82.9h31v-82.9c10.05-2.03 19.37-6.06 27.62-11.55l58.67 58.69 21.93-21.93-58.67-58.69c5.46-8.23 9.47-17.52 11.5-27.54h82.87v-31h-82.87c-2.02-10.02-6.03-19.38-11.5-27.62l58.67-58.67-21.93-21.93-58.67 58.67c-8.25-5.49-17.57-9.47-27.62-11.5V96.58h-31zm183.24 30.72l-17.36 17.36a186.337 186.337 0 0 1 34.67 83.67h24.62c-4.95-37.69-19.83-72.29-41.93-101.03zm-335.55.13c-22.06 28.72-36.91 63.26-41.85 100.91h24.65c4.6-30.96 16.76-59.45 34.59-83.52l-17.39-17.39zM38.34 283.67c4.92 37.64 19.75 72.18 41.8 100.9l17.36-17.39c-17.81-24.07-29.92-52.57-34.51-83.52H38.34zm394.7 0c-4.61 30.99-16.8 59.5-34.67 83.6l17.36 17.36c22.08-28.74 36.98-63.29 41.93-100.96h-24.62zM136.66 406.38l-17.36 17.36c28.73 22.09 63.3 36.98 100.96 41.93v-24.64c-30.99-4.63-59.53-16.79-83.6-34.65zm222.53.05c-24.09 17.84-52.58 30.08-83.57 34.67v24.57c37.67-4.92 72.21-19.79 100.96-41.85l-17.31-17.39h-.08z"}}]})(props);
};
function FaGalacticSenate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M249.86 33.48v26.07C236.28 80.17 226 168.14 225.39 274.9c11.74-15.62 19.13-33.33 19.13-48.24v-16.88c-.03-5.32.75-10.53 2.19-15.65.65-2.14 1.39-4.08 2.62-5.82 1.23-1.75 3.43-3.79 6.68-3.79 3.24 0 5.45 2.05 6.68 3.79 1.23 1.75 1.97 3.68 2.62 5.82 1.44 5.12 2.22 10.33 2.19 15.65v16.88c0 14.91 7.39 32.62 19.13 48.24-.63-106.76-10.91-194.73-24.49-215.35V33.48h-12.28zm-26.34 147.77c-9.52 2.15-18.7 5.19-27.46 9.08 8.9 16.12 9.76 32.64 1.71 37.29-8 4.62-21.85-4.23-31.36-19.82-11.58 8.79-21.88 19.32-30.56 31.09 14.73 9.62 22.89 22.92 18.32 30.66-4.54 7.7-20.03 7.14-35.47-.96-5.78 13.25-9.75 27.51-11.65 42.42 9.68.18 18.67 2.38 26.18 6.04 17.78-.3 32.77-1.96 40.49-4.22 5.55-26.35 23.02-48.23 46.32-59.51.73-25.55 1.88-49.67 3.48-72.07zm64.96 0c1.59 22.4 2.75 46.52 3.47 72.07 23.29 11.28 40.77 33.16 46.32 59.51 7.72 2.26 22.71 3.92 40.49 4.22 7.51-3.66 16.5-5.85 26.18-6.04-1.9-14.91-5.86-29.17-11.65-42.42-15.44 8.1-30.93 8.66-35.47.96-4.57-7.74 3.6-21.05 18.32-30.66-8.68-11.77-18.98-22.3-30.56-31.09-9.51 15.59-23.36 24.44-31.36 19.82-8.05-4.65-7.19-21.16 1.71-37.29a147.49 147.49 0 0 0-27.45-9.08zm-32.48 8.6c-3.23 0-5.86 8.81-6.09 19.93h-.05v16.88c0 41.42-49.01 95.04-93.49 95.04-52 0-122.75-1.45-156.37 29.17v2.51c9.42 17.12 20.58 33.17 33.18 47.97C45.7 380.26 84.77 360.4 141.2 360c45.68 1.02 79.03 20.33 90.76 40.87.01.01-.01.04 0 .05 7.67 2.14 15.85 3.23 24.04 3.21 8.19.02 16.37-1.07 24.04-3.21.01-.01-.01-.04 0-.05 11.74-20.54 45.08-39.85 90.76-40.87 56.43.39 95.49 20.26 108.02 41.35 12.6-14.8 23.76-30.86 33.18-47.97v-2.51c-33.61-30.62-104.37-29.17-156.37-29.17-44.48 0-93.49-53.62-93.49-95.04v-16.88h-.05c-.23-11.12-2.86-19.93-6.09-19.93zm0 96.59c22.42 0 40.6 18.18 40.6 40.6s-18.18 40.65-40.6 40.65-40.6-18.23-40.6-40.65c0-22.42 18.18-40.6 40.6-40.6zm0 7.64c-18.19 0-32.96 14.77-32.96 32.96S237.81 360 256 360s32.96-14.77 32.96-32.96-14.77-32.96-32.96-32.96zm0 6.14c14.81 0 26.82 12.01 26.82 26.82s-12.01 26.82-26.82 26.82-26.82-12.01-26.82-26.82 12.01-26.82 26.82-26.82zm-114.8 66.67c-10.19.07-21.6.36-30.5 1.66.43 4.42 1.51 18.63 7.11 29.76 9.11-2.56 18.36-3.9 27.62-3.9 41.28.94 71.48 34.35 78.26 74.47l.11 4.7c10.4 1.91 21.19 2.94 32.21 2.94 11.03 0 21.81-1.02 32.21-2.94l.11-4.7c6.78-40.12 36.98-73.53 78.26-74.47 9.26 0 18.51 1.34 27.62 3.9 5.6-11.13 6.68-25.34 7.11-29.76-8.9-1.3-20.32-1.58-30.5-1.66-18.76.42-35.19 4.17-48.61 9.67-12.54 16.03-29.16 30.03-49.58 33.07-.09.02-.17.04-.27.05-.05.01-.11.04-.16.05-5.24 1.07-10.63 1.6-16.19 1.6-5.55 0-10.95-.53-16.19-1.6-.05-.01-.11-.04-.16-.05-.1-.02-.17-.04-.27-.05-20.42-3.03-37.03-17.04-49.58-33.07-13.42-5.49-29.86-9.25-48.61-9.67z"}}]})(props);
};
function FaGetPocket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M407.6 64h-367C18.5 64 0 82.5 0 104.6v135.2C0 364.5 99.7 464 224.2 464c124 0 223.8-99.5 223.8-224.2V104.6c0-22.4-17.7-40.6-40.4-40.6zm-162 268.5c-12.4 11.8-31.4 11.1-42.4 0C89.5 223.6 88.3 227.4 88.3 209.3c0-16.9 13.8-30.7 30.7-30.7 17 0 16.1 3.8 105.2 89.3 90.6-86.9 88.6-89.3 105.5-89.3 16.9 0 30.7 13.8 30.7 30.7 0 17.8-2.9 15.7-114.8 123.2z"}}]})(props);
};
function FaGgCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257 8C120 8 9 119 9 256s111 248 248 248 248-111 248-248S394 8 257 8zm-49.5 374.8L81.8 257.1l125.7-125.7 35.2 35.4-24.2 24.2-11.1-11.1-77.2 77.2 77.2 77.2 26.6-26.6-53.1-52.9 24.4-24.4 77.2 77.2-75 75.2zm99-2.2l-35.2-35.2 24.1-24.4 11.1 11.1 77.2-77.2-77.2-77.2-26.5 26.5 53.1 52.9-24.4 24.4-77.2-77.2 75-75L432.2 255 306.5 380.6z"}}]})(props);
};
function FaGg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M179.2 230.4l102.4 102.4-102.4 102.4L0 256 179.2 76.8l44.8 44.8-25.6 25.6-19.2-19.2-128 128 128 128 51.5-51.5-77.1-76.5 25.6-25.6zM332.8 76.8L230.4 179.2l102.4 102.4 25.6-25.6-77.1-76.5 51.5-51.5 128 128-128 128-19.2-19.2-25.6 25.6 44.8 44.8L512 256 332.8 76.8z"}}]})(props);
};
function FaGitAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M439.55 236.05L244 40.45a28.87 28.87 0 0 0-40.81 0l-40.66 40.63 51.52 51.52c27.06-9.14 52.68 16.77 43.39 43.68l49.66 49.66c34.23-11.8 61.18 31 35.47 56.69-26.49 26.49-70.21-2.87-56-37.34L240.22 199v121.85c25.3 12.54 22.26 41.85 9.08 55a34.34 34.34 0 0 1-48.55 0c-17.57-17.6-11.07-46.91 11.25-56v-123c-20.8-8.51-24.6-30.74-18.64-45L142.57 101 8.45 235.14a28.86 28.86 0 0 0 0 40.81l195.61 195.6a28.86 28.86 0 0 0 40.8 0l194.69-194.69a28.86 28.86 0 0 0 0-40.81z"}}]})(props);
};
function FaGitSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M100.59 334.24c48.57 3.31 58.95 2.11 58.95 11.94 0 20-65.55 20.06-65.55 1.52.01-5.09 3.29-9.4 6.6-13.46zm27.95-116.64c-32.29 0-33.75 44.47-.75 44.47 32.51 0 31.71-44.47.75-44.47zM448 80v352a48 48 0 0 1-48 48H48a48 48 0 0 1-48-48V80a48 48 0 0 1 48-48h352a48 48 0 0 1 48 48zm-227 69.31c0 14.49 8.38 22.88 22.86 22.88 14.74 0 23.13-8.39 23.13-22.88S258.62 127 243.88 127c-14.48 0-22.88 7.84-22.88 22.31zM199.18 195h-49.55c-25-6.55-81.56-4.85-81.56 46.75 0 18.8 9.4 32 21.85 38.11C74.23 294.23 66.8 301 66.8 310.6c0 6.87 2.79 13.22 11.18 16.76-8.9 8.4-14 14.48-14 25.92C64 373.35 81.53 385 127.52 385c44.22 0 69.87-16.51 69.87-45.73 0-36.67-28.23-35.32-94.77-39.38l8.38-13.43c17 4.74 74.19 6.23 74.19-42.43 0-11.69-4.83-19.82-9.4-25.67l23.38-1.78zm84.34 109.84l-13-1.78c-3.82-.51-4.07-1-4.07-5.09V192.52h-52.6l-2.79 20.57c15.75 5.55 17 4.86 17 10.17V298c0 5.62-.31 4.58-17 6.87v20.06h72.42zM384 315l-6.87-22.37c-40.93 15.37-37.85-12.41-37.85-16.73v-60.72h37.85v-25.41h-35.82c-2.87 0-2 2.52-2-38.63h-24.18c-2.79 27.7-11.68 38.88-34 41.42v22.62c20.47 0 19.82-.85 19.82 2.54v66.57c0 28.72 11.43 40.91 41.67 40.91 14.45 0 30.45-4.83 41.38-10.2z"}}]})(props);
};
function FaGit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M216.29 158.39H137C97 147.9 6.51 150.63 6.51 233.18c0 30.09 15 51.23 35 61-25.1 23-37 33.85-37 49.21 0 11 4.47 21.14 17.89 26.81C8.13 383.61 0 393.35 0 411.65c0 32.11 28.05 50.82 101.63 50.82 70.75 0 111.79-26.42 111.79-73.18 0-58.66-45.16-56.5-151.63-63l13.43-21.55c27.27 7.58 118.7 10 118.7-67.89 0-18.7-7.73-31.71-15-41.07l37.41-2.84zm-63.42 241.9c0 32.06-104.89 32.1-104.89 2.43 0-8.14 5.27-15 10.57-21.54 77.71 5.3 94.32 3.37 94.32 19.11zm-50.81-134.58c-52.8 0-50.46-71.16 1.2-71.16 49.54 0 50.82 71.16-1.2 71.16zm133.3 100.51v-32.1c26.75-3.66 27.24-2 27.24-11V203.61c0-8.5-2.05-7.38-27.24-16.26l4.47-32.92H324v168.71c0 6.51.4 7.32 6.51 8.14l20.73 2.84v32.1zm52.45-244.31c-23.17 0-36.59-13.43-36.59-36.61s13.42-35.77 36.59-35.77c23.58 0 37 12.62 37 35.77s-13.42 36.61-37 36.61zM512 350.46c-17.49 8.53-43.1 16.26-66.28 16.26-48.38 0-66.67-19.5-66.67-65.46V194.75c0-5.42 1.05-4.06-31.71-4.06V154.5c35.78-4.07 50-22 54.47-66.27h38.63c0 65.83-1.34 61.81 3.26 61.81H501v40.65h-60.56v97.15c0 6.92-4.92 51.41 60.57 26.84z"}}]})(props);
};
function FaGithubAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 480 512"},"child":[{"tag":"path","attr":{"d":"M186.1 328.7c0 20.9-10.9 55.1-36.7 55.1s-36.7-34.2-36.7-55.1 10.9-55.1 36.7-55.1 36.7 34.2 36.7 55.1zM480 278.2c0 31.9-3.2 65.7-17.5 95-37.9 76.6-142.1 74.8-216.7 74.8-75.8 0-186.2 2.7-225.6-74.8-14.6-29-20.2-63.1-20.2-95 0-41.9 13.9-81.5 41.5-113.6-5.2-15.8-7.7-32.4-7.7-48.8 0-21.5 4.9-32.3 14.6-51.8 45.3 0 74.3 9 108.8 36 29-6.9 58.8-10 88.7-10 27 0 54.2 2.9 80.4 9.2 34-26.7 63-35.2 107.8-35.2 9.8 19.5 14.6 30.3 14.6 51.8 0 16.4-2.6 32.7-7.7 48.2 27.5 32.4 39 72.3 39 114.2zm-64.3 50.5c0-43.9-26.7-82.6-73.5-82.6-18.9 0-37 3.4-56 6-14.9 2.3-29.8 3.2-45.1 3.2-15.2 0-30.1-.9-45.1-3.2-18.7-2.6-37-6-56-6-46.8 0-73.5 38.7-73.5 82.6 0 87.8 80.4 101.3 150.4 101.3h48.2c70.3 0 150.6-13.4 150.6-101.3zm-82.6-55.1c-25.8 0-36.7 34.2-36.7 55.1s10.9 55.1 36.7 55.1 36.7-34.2 36.7-55.1-10.9-55.1-36.7-55.1z"}}]})(props);
};
function FaGithubSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM277.3 415.7c-8.4 1.5-11.5-3.7-11.5-8 0-5.4.2-33 .2-55.3 0-15.6-5.2-25.5-11.3-30.7 37-4.1 76-9.2 76-73.1 0-18.2-6.5-27.3-17.1-39 1.7-4.3 7.4-22-1.7-45-13.9-4.3-45.7 17.9-45.7 17.9-13.2-3.7-27.5-5.6-41.6-5.6-14.1 0-28.4 1.9-41.6 5.6 0 0-31.8-22.2-45.7-17.9-9.1 22.9-3.5 40.6-1.7 45-10.6 11.7-15.6 20.8-15.6 39 0 63.6 37.3 69 74.3 73.1-4.8 4.3-9.1 11.7-10.6 22.3-9.5 4.3-33.8 11.7-48.3-13.9-9.1-15.8-25.5-17.1-25.5-17.1-16.2-.2-1.1 10.2-1.1 10.2 10.8 5 18.4 24.2 18.4 24.2 9.7 29.7 56.1 19.7 56.1 19.7 0 13.9.2 36.5.2 40.6 0 4.3-3 9.5-11.5 8-66-22.1-112.2-84.9-112.2-158.3 0-91.8 70.2-161.5 162-161.5S388 165.6 388 257.4c.1 73.4-44.7 136.3-110.7 158.3zm-98.1-61.1c-1.9.4-3.7-.4-3.9-1.7-.2-1.5 1.1-2.8 3-3.2 1.9-.2 3.7.6 3.9 1.9.3 1.3-1 2.6-3 3zm-9.5-.9c0 1.3-1.5 2.4-3.5 2.4-2.2.2-3.7-.9-3.7-2.4 0-1.3 1.5-2.4 3.5-2.4 1.9-.2 3.7.9 3.7 2.4zm-13.7-1.1c-.4 1.3-2.4 1.9-4.1 1.3-1.9-.4-3.2-1.9-2.8-3.2.4-1.3 2.4-1.9 4.1-1.5 2 .6 3.3 2.1 2.8 3.4zm-12.3-5.4c-.9 1.1-2.8.9-4.3-.6-1.5-1.3-1.9-3.2-.9-4.1.9-1.1 2.8-.9 4.3.6 1.3 1.3 1.8 3.3.9 4.1zm-9.1-9.1c-.9.6-2.6 0-3.7-1.5s-1.1-3.2 0-3.9c1.1-.9 2.8-.2 3.7 1.3 1.1 1.5 1.1 3.3 0 4.1zm-6.5-9.7c-.9.9-2.4.4-3.5-.6-1.1-1.3-1.3-2.8-.4-3.5.9-.9 2.4-.4 3.5.6 1.1 1.3 1.3 2.8.4 3.5zm-6.7-7.4c-.4.9-1.7 1.1-2.8.4-1.3-.6-1.9-1.7-1.5-2.6.4-.6 1.5-.9 2.8-.4 1.3.7 1.9 1.8 1.5 2.6z"}}]})(props);
};
function FaGithub (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M165.9 397.4c0 2-2.3 3.6-5.2 3.6-3.3.3-5.6-1.3-5.6-3.6 0-2 2.3-3.6 5.2-3.6 3-.3 5.6 1.3 5.6 3.6zm-31.1-4.5c-.7 2 1.3 4.3 4.3 4.9 2.6 1 5.6 0 6.2-2s-1.3-4.3-4.3-5.2c-2.6-.7-5.5.3-6.2 2.3zm44.2-1.7c-2.9.7-4.9 2.6-4.6 4.9.3 2 2.9 3.3 5.9 2.6 2.9-.7 4.9-2.6 4.6-4.6-.3-1.9-3-3.2-5.9-2.9zM244.8 8C106.1 8 0 113.3 0 252c0 110.9 69.8 205.8 169.5 239.2 12.8 2.3 17.3-5.6 17.3-12.1 0-6.2-.3-40.4-.3-61.4 0 0-70 15-84.7-29.8 0 0-11.4-29.1-27.8-36.6 0 0-22.9-15.7 1.6-15.4 0 0 24.9 2 38.6 25.8 21.9 38.6 58.6 27.5 72.9 20.9 2.3-16 8.8-27.1 16-33.7-55.9-6.2-112.3-14.3-112.3-110.5 0-27.5 7.6-41.3 23.6-58.9-2.6-6.5-11.1-33.3 2.6-67.9 20.9-6.5 69 27 69 27 20-5.6 41.5-8.5 62.8-8.5s42.8 2.9 62.8 8.5c0 0 48.1-33.6 69-27 13.7 34.7 5.2 61.4 2.6 67.9 16 17.7 25.8 31.5 25.8 58.9 0 96.5-58.9 104.2-114.8 110.5 9.2 7.9 17 22.9 17 46.4 0 33.7-.3 75.4-.3 83.6 0 6.5 4.6 14.4 17.3 12.1C428.2 457.8 496 362.9 496 252 496 113.3 383.5 8 244.8 8zM97.2 352.9c-1.3 1-1 3.3.7 5.2 1.6 1.6 3.9 2.3 5.2 1 1.3-1 1-3.3-.7-5.2-1.6-1.6-3.9-2.3-5.2-1zm-10.8-8.1c-.7 1.3.3 2.9 2.3 3.9 1.6 1 3.6.7 4.3-.7.7-1.3-.3-2.9-2.3-3.9-2-.6-3.6-.3-4.3.7zm32.4 35.6c-1.6 1.3-1 4.3 1.3 6.2 2.3 2.3 5.2 2.6 6.5 1 1.3-1.3.7-4.3-1.3-6.2-2.2-2.3-5.2-2.6-6.5-1zm-11.4-14.7c-1.6 1-1.6 3.6 0 5.9 1.6 2.3 4.3 3.3 5.6 2.3 1.6-1.3 1.6-3.9 0-6.2-1.4-2.3-4-3.3-5.6-2z"}}]})(props);
};
function FaGitkraken (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 592 512"},"child":[{"tag":"path","attr":{"d":"M565.7 118.1c-2.3-6.1-9.3-9.2-15.3-6.6-5.7 2.4-8.5 8.9-6.3 14.6 10.9 29 16.9 60.5 16.9 93.3 0 134.6-100.3 245.7-230.2 262.7V358.4c7.9-1.5 15.5-3.6 23-6.2v104c106.7-25.9 185.9-122.1 185.9-236.8 0-91.8-50.8-171.8-125.8-213.3-5.7-3.2-13-.9-15.9 5-2.7 5.5-.6 12.2 4.7 15.1 67.9 37.6 113.9 110 113.9 193.2 0 93.3-57.9 173.1-139.8 205.4v-92.2c14.2-4.5 24.9-17.7 24.9-33.5 0-13.1-6.8-24.4-17.3-30.5 8.3-79.5 44.5-58.6 44.5-83.9V170c0-38-87.9-161.8-129-164.7-2.5-.2-5-.2-7.6 0C251.1 8.3 163.2 132 163.2 170v14.8c0 25.3 36.3 4.3 44.5 83.9-10.6 6.1-17.3 17.4-17.3 30.5 0 15.8 10.6 29 24.8 33.5v92.2c-81.9-32.2-139.8-112-139.8-205.4 0-83.1 46-155.5 113.9-193.2 5.4-3 7.4-9.6 4.7-15.1-2.9-5.9-10.1-8.2-15.9-5-75 41.5-125.8 121.5-125.8 213.3 0 114.7 79.2 210.8 185.9 236.8v-104c7.6 2.5 15.1 4.6 23 6.2v123.7C131.4 465.2 31 354.1 31 219.5c0-32.8 6-64.3 16.9-93.3 2.2-5.8-.6-12.2-6.3-14.6-6-2.6-13 .4-15.3 6.6C14.5 149.7 8 183.8 8 219.5c0 155.1 122.6 281.6 276.3 287.8V361.4c6.8.4 15 .5 23.4 0v145.8C461.4 501.1 584 374.6 584 219.5c0-35.7-6.5-69.8-18.3-101.4zM365.9 275.5c13 0 23.7 10.5 23.7 23.7 0 13.1-10.6 23.7-23.7 23.7-13 0-23.7-10.5-23.7-23.7 0-13.1 10.6-23.7 23.7-23.7zm-139.8 47.3c-13.2 0-23.7-10.7-23.7-23.7s10.5-23.7 23.7-23.7c13.1 0 23.7 10.6 23.7 23.7 0 13-10.5 23.7-23.7 23.7z"}}]})(props);
};
function FaGitlab (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105.2 24.9c-3.1-8.9-15.7-8.9-18.9 0L29.8 199.7h132c-.1 0-56.6-174.8-56.6-174.8zM.9 287.7c-2.6 8 .3 16.9 7.1 22l247.9 184-226.2-294zm160.8-88l94.3 294 94.3-294zm349.4 88l-28.8-88-226.3 294 247.9-184c6.9-5.1 9.7-14 7.2-22zM425.7 24.9c-3.1-8.9-15.7-8.9-18.9 0l-56.6 174.8h132z"}}]})(props);
};
function FaGitter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M66.4 322.5H16V0h50.4v322.5zM166.9 76.1h-50.4V512h50.4V76.1zm100.6 0h-50.4V512h50.4V76.1zM368 76h-50.4v247H368V76z"}}]})(props);
};
function FaGlideG (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M407.1 211.2c-3.5-1.4-11.6-3.8-15.4-3.8-37.1 0-62.2 16.8-93.5 34.5l-.9-.9c7-47.3 23.5-91.9 23.5-140.4C320.8 29.1 282.6 0 212.4 0 97.3 0 39 113.7 39 198.4 39 286.3 90.3 335 177.6 335c12 0 11-1 11 3.8-16.9 128.9-90.8 133.1-90.8 94.6 0-39.2 45-58.6 45.5-61-.3-12.2-47-27.6-58.9-27.6-33.9.1-52.4 51.2-52.4 79.3C32 476 64.8 512 117.5 512c77.4 0 134-77.8 151.4-145.4 15.1-60.5 11.2-63.3 19.7-67.6 32.2-16.2 57.5-27 93.8-27 17.8 0 30.5 3.7 58.9 8.4 2.9 0 6.7-2.9 6.7-5.8 0-8-33.4-60.5-40.9-63.4zm-175.3-84.4c-9.3 44.7-18.6 89.6-27.8 134.3-2.3 10.2-13.3 7.8-22 7.8-38.3 0-49-41.8-49-73.1 0-47 18-109.3 61.8-133.4 7-4.1 14.8-6.7 22.6-6.7 18.6 0 20 13.3 20 28.7-.1 14.3-2.7 28.5-5.6 42.4z"}}]})(props);
};
function FaGlide (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M252.8 148.6c0 8.8-1.6 17.7-3.4 26.4-5.8 27.8-11.6 55.8-17.3 83.6-1.4 6.3-8.3 4.9-13.7 4.9-23.8 0-30.5-26-30.5-45.5 0-29.3 11.2-68.1 38.5-83.1 4.3-2.5 9.2-4.2 14.1-4.2 11.4 0 12.3 8.3 12.3 17.9zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-64 187c0-5.1-20.8-37.7-25.5-39.5-2.2-.9-7.2-2.3-9.6-2.3-23.1 0-38.7 10.5-58.2 21.5l-.5-.5c4.3-29.4 14.6-57.2 14.6-87.4 0-44.6-23.8-62.7-67.5-62.7-71.7 0-108 70.8-108 123.5 0 54.7 32 85 86.3 85 7.5 0 6.9-.6 6.9 2.3-10.5 80.3-56.5 82.9-56.5 58.9 0-24.4 28-36.5 28.3-38-.2-7.6-29.3-17.2-36.7-17.2-21.1 0-32.7 33-32.7 50.6 0 32.3 20.4 54.7 53.3 54.7 48.2 0 83.4-49.7 94.3-91.7 9.4-37.7 7-39.4 12.3-42.1 20-10.1 35.8-16.8 58.4-16.8 11.1 0 19 2.3 36.7 5.2 1.8.1 4.1-1.7 4.1-3.5z"}}]})(props);
};
function FaGofore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 400 512"},"child":[{"tag":"path","attr":{"d":"M324 319.8h-13.2v34.7c-24.5 23.1-56.3 35.8-89.9 35.8-73.2 0-132.4-60.2-132.4-134.4 0-74.1 59.2-134.4 132.4-134.4 35.3 0 68.6 14 93.6 39.4l62.3-63.3C335 55.3 279.7 32 220.7 32 98 32 0 132.6 0 256c0 122.5 97 224 220.7 224 63.2 0 124.5-26.2 171-82.5-2-27.6-13.4-77.7-67.7-77.7zm-12.1-112.5H205.6v89H324c33.5 0 60.5 15.1 76 41.8v-30.6c0-65.2-40.4-100.2-88.1-100.2z"}}]})(props);
};
function FaGoodreadsG (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M42.6 403.3h2.8c12.7 0 25.5 0 38.2.1 1.6 0 3.1-.4 3.6 2.1 7.1 34.9 30 54.6 62.9 63.9 26.9 7.6 54.1 7.8 81.3 1.8 33.8-7.4 56-28.3 68-60.4 8-21.5 10.7-43.8 11-66.5.1-5.8.3-47-.2-52.8l-.9-.3c-.8 1.5-1.7 2.9-2.5 4.4-22.1 43.1-61.3 67.4-105.4 69.1-103 4-169.4-57-172-176.2-.5-23.7 1.8-46.9 8.3-69.7C58.3 47.7 112.3.6 191.6 0c61.3-.4 101.5 38.7 116.2 70.3.5 1.1 1.3 2.3 2.4 1.9V10.6h44.3c0 280.3.1 332.2.1 332.2-.1 78.5-26.7 143.7-103 162.2-69.5 16.9-159 4.8-196-57.2-8-13.5-11.8-28.3-13-44.5zM188.9 36.5c-52.5-.5-108.5 40.7-115 133.8-4.1 59 14.8 122.2 71.5 148.6 27.6 12.9 74.3 15 108.3-8.7 47.6-33.2 62.7-97 54.8-154-9.7-71.1-47.8-120-119.6-119.7z"}}]})(props);
};
function FaGoodreads (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M299.9 191.2c5.1 37.3-4.7 79-35.9 100.7-22.3 15.5-52.8 14.1-70.8 5.7-37.1-17.3-49.5-58.6-46.8-97.2 4.3-60.9 40.9-87.9 75.3-87.5 46.9-.2 71.8 31.8 78.2 78.3zM448 88v336c0 30.9-25.1 56-56 56H56c-30.9 0-56-25.1-56-56V88c0-30.9 25.1-56 56-56h336c30.9 0 56 25.1 56 56zM330 313.2s-.1-34-.1-217.3h-29v40.3c-.8.3-1.2-.5-1.6-1.2-9.6-20.7-35.9-46.3-76-46-51.9.4-87.2 31.2-100.6 77.8-4.3 14.9-5.8 30.1-5.5 45.6 1.7 77.9 45.1 117.8 112.4 115.2 28.9-1.1 54.5-17 69-45.2.5-1 1.1-1.9 1.7-2.9.2.1.4.1.6.2.3 3.8.2 30.7.1 34.5-.2 14.8-2 29.5-7.2 43.5-7.8 21-22.3 34.7-44.5 39.5-17.8 3.9-35.6 3.8-53.2-1.2-21.5-6.1-36.5-19-41.1-41.8-.3-1.6-1.3-1.3-2.3-1.3h-26.8c.8 10.6 3.2 20.3 8.5 29.2 24.2 40.5 82.7 48.5 128.2 37.4 49.9-12.3 67.3-54.9 67.4-106.3z"}}]})(props);
};
function FaGoogleDrive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M339 314.9L175.4 32h161.2l163.6 282.9H339zm-137.5 23.6L120.9 480h310.5L512 338.5H201.5zM154.1 67.4L0 338.5 80.6 480 237 208.8 154.1 67.4z"}}]})(props);
};
function FaGooglePlay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M325.3 234.3L104.6 13l280.8 161.2-60.1 60.1zM47 0C34 6.8 25.3 19.2 25.3 35.3v441.3c0 16.1 8.7 28.5 21.7 35.3l256.6-256L47 0zm425.2 225.6l-58.9-34.1-65.7 64.5 65.7 64.5 60.1-34.1c18-14.3 18-46.5-1.2-60.8zM104.6 499l280.8-161.2-60.1-60.1L104.6 499z"}}]})(props);
};
function FaGooglePlusG (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M386.061 228.496c1.834 9.692 3.143 19.384 3.143 31.956C389.204 370.205 315.599 448 204.8 448c-106.084 0-192-85.915-192-192s85.916-192 192-192c51.864 0 95.083 18.859 128.611 50.292l-52.126 50.03c-14.145-13.621-39.028-29.599-76.485-29.599-65.484 0-118.92 54.221-118.92 121.277 0 67.056 53.436 121.277 118.92 121.277 75.961 0 104.513-54.745 108.965-82.773H204.8v-66.009h181.261zm185.406 6.437V179.2h-56.001v55.733h-55.733v56.001h55.733v55.733h56.001v-55.733H627.2v-56.001h-55.733z"}}]})(props);
};
function FaGooglePlusSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM164 356c-55.3 0-100-44.7-100-100s44.7-100 100-100c27 0 49.5 9.8 67 26.2l-27.1 26.1c-7.4-7.1-20.3-15.4-39.8-15.4-34.1 0-61.9 28.2-61.9 63.2 0 34.9 27.8 63.2 61.9 63.2 39.6 0 54.4-28.5 56.8-43.1H164v-34.4h94.4c1 5 1.6 10.1 1.6 16.6 0 57.1-38.3 97.6-96 97.6zm220-81.8h-29v29h-29.2v-29h-29V245h29v-29H355v29h29v29.2z"}}]})(props);
};
function FaGooglePlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111.1 8 0 119.1 0 256s111.1 248 248 248 248-111.1 248-248S384.9 8 248 8zm-70.7 372c-68.8 0-124-55.5-124-124s55.2-124 124-124c31.3 0 60.1 11 83 32.3l-33.6 32.6c-13.2-12.9-31.3-19.1-49.4-19.1-42.9 0-77.2 35.5-77.2 78.1s34.2 78.1 77.2 78.1c32.6 0 64.9-19.1 70.1-53.3h-70.1v-42.6h116.9c1.3 6.8 1.9 13.6 1.9 20.7 0 70.8-47.5 121.2-118.8 121.2zm230.2-106.2v35.5H372v-35.5h-35.5v-35.5H372v-35.5h35.5v35.5h35.2v35.5h-35.2z"}}]})(props);
};
function FaGoogleWallet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M156.8 126.8c37.6 60.6 64.2 113.1 84.3 162.5-8.3 33.8-18.8 66.5-31.3 98.3-13.2-52.3-26.5-101.3-56-148.5 6.5-36.4 2.3-73.6 3-112.3zM109.3 200H16.1c-6.5 0-10.5 7.5-6.5 12.7C51.8 267 81.3 330.5 101.3 400h103.5c-16.2-69.7-38.7-133.7-82.5-193.5-3-4-8-6.5-13-6.5zm47.8-88c68.5 108 130 234.5 138.2 368H409c-12-138-68.4-265-143.2-368H157.1zm251.8-68.5c-1.8-6.8-8.2-11.5-15.2-11.5h-88.3c-5.3 0-9 5-7.8 10.3 13.2 46.5 22.3 95.5 26.5 146 48.2 86.2 79.7 178.3 90.6 270.8 15.8-60.5 25.3-133.5 25.3-203 0-73.6-12.1-145.1-31.1-212.6z"}}]})(props);
};
function FaGoogle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 488 512"},"child":[{"tag":"path","attr":{"d":"M488 261.8C488 403.3 391.1 504 248 504 110.8 504 0 393.2 0 256S110.8 8 248 8c66.8 0 123 24.5 166.3 64.9l-67.5 64.9C258.5 52.6 94.3 116.6 94.3 256c0 86.5 69.1 156.6 153.7 156.6 98.2 0 135-70.4 140.8-106.9H248v-85.3h236.1c2.3 12.7 3.9 24.9 3.9 41.4z"}}]})(props);
};
function FaGratipay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111.1 8 0 119.1 0 256s111.1 248 248 248 248-111.1 248-248S384.9 8 248 8zm114.6 226.4l-113 152.7-112.7-152.7c-8.7-11.9-19.1-50.4 13.6-72 28.1-18.1 54.6-4.2 68.5 11.9 15.9 17.9 46.6 16.9 61.7 0 13.9-16.1 40.4-30 68.1-11.9 32.9 21.6 22.6 60 13.8 72z"}}]})(props);
};
function FaGrav (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M301.1 212c4.4 4.4 4.4 11.9 0 16.3l-9.7 9.7c-4.4 4.7-11.9 4.7-16.6 0l-10.5-10.5c-4.4-4.7-4.4-11.9 0-16.6l9.7-9.7c4.4-4.4 11.9-4.4 16.6 0l10.5 10.8zm-30.2-19.7c3-3 3-7.8 0-10.5-2.8-3-7.5-3-10.5 0-2.8 2.8-2.8 7.5 0 10.5 3.1 2.8 7.8 2.8 10.5 0zm-26 5.3c-3 2.8-3 7.5 0 10.2 2.8 3 7.5 3 10.5 0 2.8-2.8 2.8-7.5 0-10.2-3-3-7.7-3-10.5 0zm72.5-13.3c-19.9-14.4-33.8-43.2-11.9-68.1 21.6-24.9 40.7-17.2 59.8.8 11.9 11.3 29.3 24.9 17.2 48.2-12.5 23.5-45.1 33.2-65.1 19.1zm47.7-44.5c-8.9-10-23.3 6.9-15.5 16.1 7.4 9 32.1 2.4 15.5-16.1zM504 256c0 137-111 248-248 248S8 393 8 256 119 8 256 8s248 111 248 248zm-66.2 42.6c2.5-16.1-20.2-16.6-25.2-25.7-13.6-24.1-27.7-36.8-54.5-30.4 11.6-8 23.5-6.1 23.5-6.1.3-6.4 0-13-9.4-24.9 3.9-12.5.3-22.4.3-22.4 15.5-8.6 26.8-24.4 29.1-43.2 3.6-31-18.8-59.2-49.8-62.8-22.1-2.5-43.7 7.7-54.3 25.7-23.2 40.1 1.4 70.9 22.4 81.4-14.4-1.4-34.3-11.9-40.1-34.3-6.6-25.7 2.8-49.8 8.9-61.4 0 0-4.4-5.8-8-8.9 0 0-13.8 0-24.6 5.3 11.9-15.2 25.2-14.4 25.2-14.4 0-6.4-.6-14.9-3.6-21.6-5.4-11-23.8-12.9-31.7 2.8.1-.2.3-.4.4-.5-5 11.9-1.1 55.9 16.9 87.2-2.5 1.4-9.1 6.1-13 10-21.6 9.7-56.2 60.3-56.2 60.3-28.2 10.8-77.2 50.9-70.6 79.7.3 3 1.4 5.5 3 7.5-2.8 2.2-5.5 5-8.3 8.3-11.9 13.8-5.3 35.2 17.7 24.4 15.8-7.2 29.6-20.2 36.3-30.4 0 0-5.5-5-16.3-4.4 27.7-6.6 34.3-9.4 46.2-9.1 8 3.9 8-34.3 8-34.3 0-14.7-2.2-31-11.1-41.5 12.5 12.2 29.1 32.7 28 60.6-.8 18.3-15.2 23-15.2 23-9.1 16.6-43.2 65.9-30.4 106 0 0-9.7-14.9-10.2-22.1-17.4 19.4-46.5 52.3-24.6 64.5 26.6 14.7 108.8-88.6 126.2-142.3 34.6-20.8 55.4-47.3 63.9-65 22 43.5 95.3 94.5 101.1 59z"}}]})(props);
};
function FaGripfire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M112.5 301.4c0-73.8 105.1-122.5 105.1-203 0-47.1-34-88-39.1-90.4.4 3.3.6 6.7.6 10C179.1 110.1 32 171.9 32 286.6c0 49.8 32.2 79.2 66.5 108.3 65.1 46.7 78.1 71.4 78.1 86.6 0 10.1-4.8 17-4.8 22.3 13.1-16.7 17.4-31.9 17.5-46.4 0-29.6-21.7-56.3-44.2-86.5-16-22.3-32.6-42.6-32.6-69.5zm205.3-39c-12.1-66.8-78-124.4-94.7-130.9l4 7.2c2.4 5.1 3.4 10.9 3.4 17.1 0 44.7-54.2 111.2-56.6 116.7-2.2 5.1-3.2 10.5-3.2 15.8 0 20.1 15.2 42.1 17.9 42.1 2.4 0 56.6-55.4 58.1-87.7 6.4 11.7 9.1 22.6 9.1 33.4 0 41.2-41.8 96.9-41.8 96.9 0 11.6 31.9 53.2 35.5 53.2 1 0 2.2-1.4 3.2-2.4 37.9-39.3 67.3-85 67.3-136.8 0-8-.7-16.2-2.2-24.6z"}}]})(props);
};
function FaGrunt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M61.3 189.3c-1.1 10 5.2 19.1 5.2 19.1.7-7.5 2.2-12.8 4-16.6.4 10.3 3.2 23.5 12.8 34.1 6.9 7.6 35.6 23.3 54.9 6.1 1 2.4 2.1 5.3 3 8.5 2.9 10.3-2.7 25.3-2.7 25.3s15.1-17.1 13.9-32.5c10.8-.5 21.4-8.4 21.1-19.5 0 0-18.9 10.4-35.5-8.8-9.7-11.2-40.9-42-83.1-31.8 4.3 1 8.9 2.4 13.5 4.1h-.1c-4.2 2-6.5 7.1-7 12zm28.3-1.8c19.5 11 37.4 25.7 44.9 37-5.7 3.3-21.7 10.4-38-1.7-10.3-7.6-9.8-26.2-6.9-35.3zm142.1 45.8c-1.2 15.5 13.9 32.5 13.9 32.5s-5.6-15-2.7-25.3c.9-3.2 2-6 3-8.5 19.3 17.3 48 1.5 54.8-6.1 9.6-10.6 12.3-23.8 12.8-34.1 1.8 3.8 3.4 9.1 4 16.6 0 0 6.4-9.1 5.2-19.1-.6-5-2.9-10-7-11.8h-.1c4.6-1.8 9.2-3.2 13.5-4.1-42.3-10.2-73.4 20.6-83.1 31.8-16.7 19.2-35.5 8.8-35.5 8.8-.2 10.9 10.4 18.9 21.2 19.3zm62.7-45.8c3 9.1 3.4 27.7-7 35.4-16.3 12.1-32.2 5-37.9 1.6 7.5-11.4 25.4-26 44.9-37zM160 418.5h-29.4c-5.5 0-8.2 1.6-9.5 2.9-1.9 2-2.2 4.7-.9 8.1 3.5 9.1 11.4 16.5 13.7 18.6 3.1 2.7 7.5 4.3 11.8 4.3 4.4 0 8.3-1.7 11-4.6 7.5-8.2 11.9-17.1 13-19.8.6-1.5 1.3-4.5-.9-6.8-1.8-1.8-4.7-2.7-8.8-2.7zm189.2-101.2c-2.4 17.9-13 33.8-24.6 43.7-3.1-22.7-3.7-55.5-3.7-62.4 0-14.7 9.5-24.5 12.2-26.1 2.5-1.5 5.4-3 8.3-4.6 18-9.6 40.4-21.6 40.4-43.7 0-16.2-9.3-23.2-15.4-27.8-.8-.6-1.5-1.1-2.2-1.7-2.1-1.7-3.7-3-4.3-4.4-4.4-9.8-3.6-34.2-1.7-37.6.6-.6 16.7-20.9 11.8-39.2-2-7.4-6.9-13.3-14.1-17-5.3-2.7-11.9-4.2-19.5-4.5-.1-2-.5-3.9-.9-5.9-.6-2.6-1.1-5.3-.9-8.1.4-4.7.8-9 2.2-11.3 8.4-13.3 28.8-17.6 29-17.6l12.3-2.4-8.1-9.5c-.1-.2-17.3-17.5-46.3-17.5-7.9 0-16 1.3-24.1 3.9-24.2 7.8-42.9 30.5-49.4 39.3-3.1-1-6.3-1.9-9.6-2.7-4.2-15.8 9-38.5 9-38.5s-13.6-3-33.7 15.2c-2.6-6.5-8.1-20.5-1.8-37.2C184.6 10.1 177.2 26 175 40.4c-7.6-5.4-6.7-23.1-7.2-27.6-7.5.9-29.2 21.9-28.2 48.3-2 .5-3.9 1.1-5.9 1.7-6.5-8.8-25.1-31.5-49.4-39.3-7.9-2.2-16-3.5-23.9-3.5-29 0-46.1 17.3-46.3 17.5L6 46.9l12.3 2.4c.2 0 20.6 4.3 29 17.6 1.4 2.2 1.8 6.6 2.2 11.3.2 2.8-.4 5.5-.9 8.1-.4 1.9-.8 3.9-.9 5.9-7.7.3-14.2 1.8-19.5 4.5-7.2 3.7-12.1 9.6-14.1 17-5 18.2 11.2 38.5 11.8 39.2 1.9 3.4 2.7 27.8-1.7 37.6-.6 1.4-2.2 2.7-4.3 4.4-.7.5-1.4 1.1-2.2 1.7-6.1 4.6-15.4 11.7-15.4 27.8 0 22.1 22.4 34.1 40.4 43.7 3 1.6 5.8 3.1 8.3 4.6 2.7 1.6 12.2 11.4 12.2 26.1 0 6.9-.6 39.7-3.7 62.4-11.6-9.9-22.2-25.9-24.6-43.8 0 0-29.2 22.6-20.6 70.8 5.2 29.5 23.2 46.1 47 54.7 8.8 19.1 29.4 45.7 67.3 49.6C143 504.3 163 512 192.2 512h.2c29.1 0 49.1-7.7 63.6-19.5 37.9-3.9 58.5-30.5 67.3-49.6 23.8-8.7 41.7-25.2 47-54.7 8.2-48.4-21.1-70.9-21.1-70.9zM305.7 37.7c5.6-1.8 11.6-2.7 17.7-2.7 11 0 19.9 3 24.7 5-3.1 1.4-6.4 3.2-9.7 5.3-2.4-.4-5.6-.8-9.2-.8-10.5 0-20.5 3.1-28.7 8.9-12.3 8.7-18 16.9-20.7 22.4-2.2-1.3-4.5-2.5-7.1-3.7-1.6-.8-3.1-1.5-4.7-2.2 6.1-9.1 19.9-26.5 37.7-32.2zm21 18.2c-.8 1-1.6 2.1-2.3 3.2-3.3 5.2-3.9 11.6-4.4 17.8-.5 6.4-1.1 12.5-4.4 17-4.2.8-8.1 1.7-11.5 2.7-2.3-3.1-5.6-7-10.5-11.2 1.4-4.8 5.5-16.1 13.5-22.5 5.6-4.3 12.2-6.7 19.6-7zM45.6 45.3c-3.3-2.2-6.6-4-9.7-5.3 4.8-2 13.7-5 24.7-5 6.1 0 12 .9 17.7 2.7 17.8 5.8 31.6 23.2 37.7 32.1-1.6.7-3.2 1.4-4.8 2.2-2.5 1.2-4.9 2.5-7.1 3.7-2.6-5.4-8.3-13.7-20.7-22.4-8.3-5.8-18.2-8.9-28.8-8.9-3.4.1-6.6.5-9 .9zm44.7 40.1c-4.9 4.2-8.3 8-10.5 11.2-3.4-.9-7.3-1.9-11.5-2.7C65 89.5 64.5 83.4 64 77c-.5-6.2-1.1-12.6-4.4-17.8-.7-1.1-1.5-2.2-2.3-3.2 7.4.3 14 2.6 19.5 7 8 6.3 12.1 17.6 13.5 22.4zM58.1 259.9c-2.7-1.6-5.6-3.1-8.4-4.6-14.9-8-30.2-16.3-30.2-30.5 0-11.1 4.3-14.6 8.9-18.2l.5-.4c.7-.6 1.4-1.2 2.2-1.8-.9 7.2-1.9 13.3-2.7 14.9 0 0 12.1-15 15.7-44.3 1.4-11.5-1.1-34.3-5.1-43 .2 4.9 0 9.8-.3 14.4-.4-.8-.8-1.6-1.3-2.2-3.2-4-11.8-17.5-9.4-26.6.9-3.5 3.1-6 6.7-7.8 3.8-1.9 8.8-2.9 15.1-2.9 12.3 0 25.9 3.7 32.9 6 25.1 8 55.4 30.9 64.1 37.7.2.2.4.3.4.3l5.6 3.9-3.5-5.8c-.2-.3-19.1-31.4-53.2-46.5 2-2.9 7.4-8.1 21.6-15.1 21.4-10.5 46.5-15.8 74.3-15.8 27.9 0 52.9 5.3 74.3 15.8 14.2 6.9 19.6 12.2 21.6 15.1-34 15.1-52.9 46.2-53.1 46.5l-3.5 5.8 5.6-3.9s.2-.1.4-.3c8.7-6.8 39-29.8 64.1-37.7 7-2.2 20.6-6 32.9-6 6.3 0 11.3 1 15.1 2.9 3.5 1.8 5.7 4.4 6.7 7.8 2.5 9.1-6.1 22.6-9.4 26.6-.5.6-.9 1.3-1.3 2.2-.3-4.6-.5-9.5-.3-14.4-4 8.8-6.5 31.5-5.1 43 3.6 29.3 15.7 44.3 15.7 44.3-.8-1.6-1.8-7.7-2.7-14.9.7.6 1.5 1.2 2.2 1.8l.5.4c4.6 3.7 8.9 7.1 8.9 18.2 0 14.2-15.4 22.5-30.2 30.5-2.9 1.5-5.7 3.1-8.4 4.6-8.7 5-18 16.7-19.1 34.2-.9 14.6.9 49.9 3.4 75.9-12.4 4.8-26.7 6.4-39.7 6.8-2-4.1-3.9-8.5-5.5-13.1-.7-2-19.6-51.1-26.4-62.2 5.5 39 17.5 73.7 23.5 89.6-3.5-.5-7.3-.7-11.7-.7h-117c-4.4 0-8.3.3-11.7.7 6-15.9 18.1-50.6 23.5-89.6-6.8 11.2-25.7 60.3-26.4 62.2-1.6 4.6-3.5 9-5.5 13.1-13-.4-27.2-2-39.7-6.8 2.5-26 4.3-61.2 3.4-75.9-.9-17.4-10.3-29.2-19-34.2zM34.8 404.6c-12.1-20-8.7-54.1-3.7-59.1 10.9 34.4 47.2 44.3 74.4 45.4-2.7 4.2-5.2 7.6-7 10l-1.4 1.4c-7.2 7.8-8.6 18.5-4.1 31.8-22.7-.1-46.3-9.8-58.2-29.5zm45.7 43.5c6 1.1 12.2 1.9 18.6 2.4 3.5 8 7.4 15.9 12.3 23.1-14.4-5.9-24.4-16-30.9-25.5zM192 498.2c-60.6-.1-78.3-45.8-84.9-64.7-3.7-10.5-3.4-18.2.9-23.1 2.9-3.3 9.5-7.2 24.6-7.2h118.8c15.1 0 21.8 3.9 24.6 7.2 4.2 4.8 4.5 12.6.9 23.1-6.6 18.8-24.3 64.6-84.9 64.7zm80.6-24.6c4.9-7.2 8.8-15.1 12.3-23.1 6.4-.5 12.6-1.3 18.6-2.4-6.5 9.5-16.5 19.6-30.9 25.5zm76.6-69c-12 19.7-35.6 29.3-58.1 29.7 4.5-13.3 3.1-24.1-4.1-31.8-.4-.5-.9-1-1.4-1.5-1.8-2.4-4.3-5.8-7-10 27.2-1.2 63.5-11 74.4-45.4 5 5 8.4 39.1-3.8 59zM191.9 187.7h.2c12.7-.1 27.2-17.8 27.2-17.8-9.9 6-18.8 8.1-27.3 8.3-8.5-.2-17.4-2.3-27.3-8.3 0 0 14.5 17.6 27.2 17.8zm61.7 230.7h-29.4c-4.2 0-7.2.9-8.9 2.7-2.2 2.3-1.5 5.2-.9 6.7 1 2.6 5.5 11.3 13 19.3 2.7 2.9 6.6 4.5 11 4.5s8.7-1.6 11.8-4.2c2.3-2 10.2-9.2 13.7-18.1 1.3-3.3 1-6-.9-7.9-1.3-1.3-4-2.9-9.4-3z"}}]})(props);
};
function FaGulp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M209.8 391.1l-14.1 24.6-4.6 80.2c0 8.9-28.3 16.1-63.1 16.1s-63.1-7.2-63.1-16.1l-5.8-79.4-14.9-25.4c41.2 17.3 126 16.7 165.6 0zm-196-253.3l13.6 125.5c5.9-20 20.8-47 40-55.2 6.3-2.7 12.7-2.7 18.7.9 5.2 3 9.6 9.3 10.1 11.8 1.2 6.5-2 9.1-4.5 9.1-3 0-5.3-4.6-6.8-7.3-4.1-7.3-10.3-7.6-16.9-2.8-6.9 5-12.9 13.4-17.1 20.7-5.1 8.8-9.4 18.5-12 28.2-1.5 5.6-2.9 14.6-.6 19.9 1 2.2 2.5 3.6 4.9 3.6 5 0 12.3-6.6 15.8-10.1 4.5-4.5 10.3-11.5 12.5-16l5.2-15.5c2.6-6.8 9.9-5.6 9.9 0 0 10.2-3.7 13.6-10 34.7-5.8 19.5-7.6 25.8-7.6 25.8-.7 2.8-3.4 7.5-6.3 7.5-1.2 0-2.1-.4-2.6-1.2-1-1.4-.9-5.3-.8-6.3.2-3.2 6.3-22.2 7.3-25.2-2 2.2-4.1 4.4-6.4 6.6-5.4 5.1-14.1 11.8-21.5 11.8-3.4 0-5.6-.9-7.7-2.4l7.6 79.6c2 5 39.2 17.1 88.2 17.1 49.1 0 86.3-12.2 88.2-17.1l10.9-94.6c-5.7 5.2-12.3 11.6-19.6 14.8-5.4 2.3-17.4 3.8-17.4-5.7 0-5.2 9.1-14.8 14.4-21.5 1.4-1.7 4.7-5.9 4.7-8.1 0-2.9-6-2.2-11.7 2.5-3.2 2.7-6.2 6.3-8.7 9.7-4.3 6-6.6 11.2-8.5 15.5-6.2 14.2-4.1 8.6-9.1 22-5 13.3-4.2 11.8-5.2 14-.9 1.9-2.2 3.5-4 4.5-1.9 1-4.5.9-6.1-.3-.9-.6-1.3-1.9-1.3-3.7 0-.9.1-1.8.3-2.7 1.5-6.1 7.8-18.1 15-34.3 1.6-3.7 1-2.6.8-2.3-6.2 6-10.9 8.9-14.4 10.5-5.8 2.6-13 2.6-14.5-4.1-.1-.4-.1-.8-.2-1.2-11.8 9.2-24.3 11.7-20-8.1-4.6 8.2-12.6 14.9-22.4 14.9-4.1 0-7.1-1.4-8.6-5.1-2.3-5.5 1.3-14.9 4.6-23.8 1.7-4.5 4-9.9 7.1-16.2 1.6-3.4 4.2-5.4 7.6-4.5.6.2 1.1.4 1.6.7 2.6 1.8 1.6 4.5.3 7.2-3.8 7.5-7.1 13-9.3 20.8-.9 3.3-2 9 1.5 9 2.4 0 4.7-.8 6.9-2.4 4.6-3.4 8.3-8.5 11.1-13.5 2-3.6 4.4-8.3 5.6-12.3.5-1.7 1.1-3.3 1.8-4.8 1.1-2.5 2.6-5.1 5.2-5.1 1.3 0 2.4.5 3.2 1.5 1.7 2.2 1.3 4.5.4 6.9-2 5.6-4.7 10.6-6.9 16.7-1.3 3.5-2.7 8-2.7 11.7 0 3.4 3.7 2.6 6.8 1.2 2.4-1.1 4.8-2.8 6.8-4.5 1.2-4.9.9-3.8 26.4-68.2 1.3-3.3 3.7-4.7 6.1-4.7 1.2 0 2.2.4 3.2 1.1 1.7 1.3 1.7 4.1 1 6.2-.7 1.9-.6 1.3-4.5 10.5-5.2 12.1-8.6 20.8-13.2 31.9-1.9 4.6-7.7 18.9-8.7 22.3-.6 2.2-1.3 5.8 1 5.8 5.4 0 19.3-13.1 23.1-17 .2-.3.5-.4.9-.6.6-1.9 1.2-3.7 1.7-5.5 1.4-3.8 2.7-8.2 5.3-11.3.8-1 1.7-1.6 2.7-1.6 2.8 0 4.2 1.2 4.2 4 0 1.1-.7 5.1-1.1 6.2 1.4-1.5 2.9-3 4.5-4.5 15-13.9 25.7-6.8 25.7.2 0 7.4-8.9 17.7-13.8 23.4-1.6 1.9-4.9 5.4-5 6.4 0 1.3.9 1.8 2.2 1.8 2 0 6.4-3.5 8-4.7 5-3.9 11.8-9.9 16.6-14.1l14.8-136.8c-30.5 17.1-197.6 17.2-228.3.2zm229.7-8.5c0 21-231.2 21-231.2 0 0-8.8 51.8-15.9 115.6-15.9 9 0 17.8.1 26.3.4l12.6-48.7L228.1.6c1.4-1.4 5.8-.2 9.9 3.5s6.6 7.9 5.3 9.3l-.1.1L185.9 74l-10 40.7c39.9 2.6 67.6 8.1 67.6 14.6zm-69.4 4.6c0-.8-.9-1.5-2.5-2.1l-.2.8c0 1.3-5 2.4-11.1 2.4s-11.1-1.1-11.1-2.4c0-.1 0-.2.1-.3l.2-.7c-1.8.6-3 1.4-3 2.3 0 2.1 6.2 3.7 13.7 3.7 7.7.1 13.9-1.6 13.9-3.7z"}}]})(props);
};
function FaHackerNewsSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM21.2 229.2H21c.1-.1.2-.3.3-.4 0 .1 0 .3-.1.4zm218 53.9V384h-31.4V281.3L128 128h37.3c52.5 98.3 49.2 101.2 59.3 125.6 12.3-27 5.8-24.4 60.6-125.6H320l-80.8 155.1z"}}]})(props);
};
function FaHackerNews (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 32v448h448V32H0zm21.2 197.2H21c.1-.1.2-.3.3-.4 0 .1 0 .3-.1.4zm218 53.9V384h-31.4V281.3L128 128h37.3c52.5 98.3 49.2 101.2 59.3 125.6 12.3-27 5.8-24.4 60.6-125.6H320l-80.8 155.1z"}}]})(props);
};
function FaHackerrank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M477.5 128C463 103.05 285.13 0 256.16 0S49.25 102.79 34.84 128s-14.49 230.8 0 256 192.38 128 221.32 128S463 409.08 477.49 384s14.51-231 .01-256zM316.13 414.22c-4 0-40.91-35.77-38-38.69.87-.87 6.26-1.48 17.55-1.83 0-26.23.59-68.59.94-86.32 0-2-.44-3.43-.44-5.85h-79.93c0 7.1-.46 36.2 1.37 72.88.23 4.54-1.58 6-5.74 5.94-10.13 0-20.27-.11-30.41-.08-4.1 0-5.87-1.53-5.74-6.11.92-33.44 3-84-.15-212.67v-3.17c-9.67-.35-16.38-1-17.26-1.84-2.92-2.92 34.54-38.69 38.49-38.69s41.17 35.78 38.27 38.69c-.87.87-7.9 1.49-16.77 1.84v3.16c-2.42 25.75-2 79.59-2.63 105.39h80.26c0-4.55.39-34.74-1.2-83.64-.1-3.39.95-5.17 4.21-5.2 11.07-.08 22.15-.13 33.23-.06 3.46 0 4.57 1.72 4.5 5.38C333 354.64 336 341.29 336 373.69c8.87.35 16.82 1 17.69 1.84 2.88 2.91-33.62 38.69-37.58 38.69z"}}]})(props);
};
function FaHips (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M251.6 157.6c0-1.9-.9-2.8-2.8-2.8h-40.9c-1.6 0-2.7 1.4-2.7 2.8v201.8c0 1.4 1.1 2.8 2.7 2.8h40.9c1.9 0 2.8-.9 2.8-2.8zM156.5 168c-16.1-11.8-36.3-17.9-60.3-18-18.1-.1-34.6 3.7-49.8 11.4V80.2c0-1.8-.9-2.7-2.8-2.7H2.7c-1.8 0-2.7.9-2.7 2.7v279.2c0 1.9.9 2.8 2.7 2.8h41c1.9 0 2.8-.9 2.8-2.8V223.3c0-.8-2.8-27 45.8-27 48.5 0 45.8 26.1 45.8 27v122.6c0 9 7.3 16.3 16.4 16.3h27.3c1.8 0 2.7-.9 2.7-2.8V223.3c0-23.4-9.3-41.8-28-55.3zm478.4 110.1c-6.8-15.7-18.4-27-34.9-34.1l-57.6-25.3c-8.6-3.6-9.2-11.2-2.6-16.1 7.4-5.5 44.3-13.9 84 6.8 1.7 1 4-.3 4-2.4v-44.7c0-1.3-.6-2.1-1.9-2.6-17.7-6.6-36.1-9.9-55.1-9.9-26.5 0-45.3 5.8-58.5 15.4-.5.4-28.4 20-22.7 53.7 3.4 19.6 15.8 34.2 37.2 43.6l53.6 23.5c11.6 5.1 15.2 13.3 12.2 21.2-3.7 9.1-13.2 13.6-36.5 13.6-24.3 0-44.7-8.9-58.4-19.1-2.1-1.4-4.4.2-4.4 2.3v34.4c0 10.4 4.9 17.3 14.6 20.7 15.6 5.5 31.6 8.2 48.2 8.2 12.7 0 25.8-1.2 36.3-4.3.7-.3 36-8.9 45.6-45.8 3.5-13.5 2.4-26.5-3.1-39.1zM376.2 149.8c-31.7 0-104.2 20.1-104.2 103.5v183.5c0 .8.6 2.7 2.7 2.7h40.9c1.9 0 2.8-.9 2.8-2.7V348c16.5 12.7 35.8 19.1 57.7 19.1 60.5 0 108.7-48.5 108.7-108.7.1-60.3-48.2-108.6-108.6-108.6zm0 170.9c-17.2 0-31.9-6.1-44-18.2-12.2-12.2-18.2-26.8-18.2-44 0-34.5 27.6-62.2 62.2-62.2 34.5 0 62.2 27.6 62.2 62.2.1 34.3-27.3 62.2-62.2 62.2zM228.3 72.5c-15.9 0-28.8 12.9-28.9 28.9 0 15.6 12.7 28.9 28.9 28.9s28.9-13.1 28.9-28.9c0-16.2-13-28.9-28.9-28.9z"}}]})(props);
};
function FaHireAHelper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M443.1 0H71.9C67.9 37.3 37.4 67.8 0 71.7v371.5c37.4 4.9 66 32.4 71.9 68.8h372.2c3-36.4 32.5-65.8 67.9-69.8V71.7c-36.4-5.9-65-35.3-68.9-71.7zm-37 404.9c-36.3 0-18.8-2-55.1-2-35.8 0-21 2-56.1 2-5.9 0-4.9-8.2 0-9.8 22.8-7.6 22.9-10.2 24.6-12.8 10.4-15.6 5.9-83 5.9-113 0-5.3-6.4-12.8-13.8-12.8H200.4c-7.4 0-13.8 7.5-13.8 12.8 0 30-4.5 97.4 5.9 113 1.7 2.5 1.8 5.2 24.6 12.8 4.9 1.6 6 9.8 0 9.8-35.1 0-20.3-2-56.1-2-36.3 0-18.8 2-55.1 2-7.9 0-5.8-10.8 0-10.8 10.2-3.4 13.5-3.5 21.7-13.8 7.7-12.9 7.9-44.4 7.9-127.8V151.3c0-22.2-12.2-28.3-28.6-32.4-8.8-2.2-4-11.8 1-11.8 36.5 0 20.6 2 57.1 2 32.7 0 16.5-2 49.2-2 3.3 0 8.5 8.3 1 10.8-4.9 1.6-27.6 3.7-27.6 39.3 0 45.6-.2 55.8 1 68.8 0 1.3 2.3 12.8 12.8 12.8h109.2c10.5 0 12.8-11.5 12.8-12.8 1.2-13 1-23.2 1-68.8 0-35.6-22.7-37.7-27.6-39.3-7.5-2.5-2.3-10.8 1-10.8 32.7 0 16.5 2 49.2 2 36.5 0 20.6-2 57.1-2 4.9 0 9.9 9.6 1 11.8-16.4 4.1-28.6 10.3-28.6 32.4v101.2c0 83.4.1 114.9 7.9 127.8 8.2 10.2 11.4 10.4 21.7 13.8 5.8 0 7.8 10.8 0 10.8z"}}]})(props);
};
function FaHooli (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M144.5 352l38.3.8c-13.2-4.6-26-10.2-38.3-16.8zm57.7-5.3v5.3l-19.4.8c36.5 12.5 69.9 14.2 94.7 7.2-19.9.2-45.8-2.6-75.3-13.3zm408.9-115.2c15.9 0 28.9-12.9 28.9-28.9s-12.9-24.5-28.9-24.5c-15.9 0-28.9 8.6-28.9 24.5s12.9 28.9 28.9 28.9zm-29 120.5H640V241.5h-57.9zm-73.7 0h57.9V156.7L508.4 184zm-31-119.4c-18.2-18.2-50.4-17.1-50.4-17.1s-32.3-1.1-50.4 17.1c-18.2 18.2-16.8 33.9-16.8 52.6s-1.4 34.3 16.8 52.5 50.4 17.1 50.4 17.1 32.3 1.1 50.4-17.1c18.2-18.2 16.8-33.8 16.8-52.5-.1-18.8 1.3-34.5-16.8-52.6zm-39.8 71.9c0 3.6-1.8 12.5-10.7 12.5s-10.7-8.9-10.7-12.5v-40.4c0-8.7 7.3-10.9 10.7-10.9s10.7 2.1 10.7 10.9zm-106.2-71.9c-18.2-18.2-50.4-17.1-50.4-17.1s-32.2-1.1-50.4 17.1c-1.9 1.9-3.7 3.9-5.3 6-38.2-29.6-72.5-46.5-102.1-61.1v-20.7l-22.5 10.6c-54.4-22.1-89-18.2-97.3.1 0 0-24.9 32.8 61.8 110.8V352h57.9v-28.6c-6.5-4.2-13-8.7-19.4-13.6-14.8-11.2-27.4-21.6-38.4-31.4v-31c13.1 14.7 30.5 31.4 53.4 50.3l4.5 3.6v-29.8c0-6.9 1.7-18.2 10.8-18.2s10.6 6.9 10.6 15V317c18 12.2 37.3 22.1 57.7 29.6v-93.9c0-18.7-13.4-37.4-40.6-37.4-15.8-.1-30.5 8.2-38.5 21.9v-54.3c41.9 20.9 83.9 46.5 99.9 58.3-10.2 14.6-9.3 28.1-9.3 43.7 0 18.7-1.4 34.3 16.8 52.5s50.4 17.1 50.4 17.1 32.3 1.1 50.4-17.1c18.2-18.2 16.7-33.8 16.7-52.5 0-18.5 1.5-34.2-16.7-52.3zM65.2 184v63.3c-48.7-54.5-38.9-76-35.2-79.1 13.5-11.4 37.5-8 64.4 2.1zm226.5 120.5c0 3.6-1.8 12.5-10.7 12.5s-10.7-8.9-10.7-12.5v-40.4c0-8.7 7.3-10.9 10.7-10.9s10.7 2.1 10.7 10.9z"}}]})(props);
};
function FaHornbill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M76.38 370.3a37.8 37.8 0 1 1-32.07-32.42c-78.28-111.35 52-190.53 52-190.53-5.86 43-8.24 91.16-8.24 91.16-67.31 41.49.93 64.06 39.81 72.87a140.38 140.38 0 0 0 131.66 91.94c1.92 0 3.77-.21 5.67-.28l.11 18.86c-99.22 1.39-158.7-29.14-188.94-51.6zm108-327.7A37.57 37.57 0 0 0 181 21.45a37.95 37.95 0 1 0-31.17 54.22c-22.55 29.91-53.83 89.57-52.42 190l21.84-.15c0-.9-.14-1.77-.14-2.68A140.42 140.42 0 0 1 207 132.71c8-37.71 30.7-114.3 73.8-44.29 0 0 48.14 2.38 91.18 8.24 0 0-77.84-128-187.59-54.06zm304.19 134.17a37.94 37.94 0 1 0-53.84-28.7C403 126.13 344.89 99 251.28 100.33l.14 22.5c2.7-.15 5.39-.41 8.14-.41a140.37 140.37 0 0 1 130.49 88.76c39.1 9 105.06 31.58 38.46 72.54 0 0-2.34 48.13-8.21 91.16 0 0 133.45-81.16 49-194.61a37.45 37.45 0 0 0 19.31-3.5zM374.06 436.24c21.43-32.46 46.42-89.69 45.14-179.66l-19.52.14c.08 2.06.3 4.07.3 6.15a140.34 140.34 0 0 1-91.39 131.45c-8.85 38.95-31.44 106.66-72.77 39.49 0 0-48.12-2.34-91.19-8.22 0 0 79.92 131.34 191.9 51a37.5 37.5 0 0 0 3.64 14 37.93 37.93 0 1 0 33.89-54.29z"}}]})(props);
};
function FaHotjar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M414.9 161.5C340.2 29 121.1 0 121.1 0S222.2 110.4 93 197.7C11.3 252.8-21 324.4 14 402.6c26.8 59.9 83.5 84.3 144.6 93.4-29.2-55.1-6.6-122.4-4.1-129.6 57.1 86.4 165 0 110.8-93.9 71 15.4 81.6 138.6 27.1 215.5 80.5-25.3 134.1-88.9 148.8-145.6 15.5-59.3 3.7-127.9-26.3-180.9z"}}]})(props);
};
function FaHouzz (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M275.9 330.7H171.3V480H17V32h109.5v104.5l305.1 85.6V480H275.9z"}}]})(props);
};
function FaHtml5 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M0 32l34.9 395.8L191.5 480l157.6-52.2L384 32H0zm308.2 127.9H124.4l4.1 49.4h175.6l-13.6 148.4-97.9 27v.3h-1.1l-98.7-27.3-6-75.8h47.7L138 320l53.5 14.5 53.7-14.5 6-62.2H84.3L71.5 112.2h241.1l-4.4 47.7z"}}]})(props);
};
function FaHubspot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M267.4 211.6c-25.1 23.7-40.8 57.3-40.8 94.6 0 29.3 9.7 56.3 26 78L203.1 434c-4.4-1.6-9.1-2.5-14-2.5-10.8 0-20.9 4.2-28.5 11.8-7.6 7.6-11.8 17.8-11.8 28.6s4.2 20.9 11.8 28.5c7.6 7.6 17.8 11.6 28.5 11.6 10.8 0 20.9-3.9 28.6-11.6 7.6-7.6 11.8-17.8 11.8-28.5 0-4.2-.6-8.2-1.9-12.1l50-50.2c22 16.9 49.4 26.9 79.3 26.9 71.9 0 130-58.3 130-130.2 0-65.2-47.7-119.2-110.2-128.7V116c17.5-7.4 28.2-23.8 28.2-42.9 0-26.1-20.9-47.9-47-47.9S311.2 47 311.2 73.1c0 19.1 10.7 35.5 28.2 42.9v61.2c-15.2 2.1-29.6 6.7-42.7 13.6-27.6-20.9-117.5-85.7-168.9-124.8 1.2-4.4 2-9 2-13.8C129.8 23.4 106.3 0 77.4 0 48.6 0 25.2 23.4 25.2 52.2c0 28.9 23.4 52.3 52.2 52.3 9.8 0 18.9-2.9 26.8-7.6l163.2 114.7zm89.5 163.6c-38.1 0-69-30.9-69-69s30.9-69 69-69 69 30.9 69 69-30.9 69-69 69z"}}]})(props);
};
function FaIdeal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M125.61,165.48a49.07,49.07,0,1,0,49.06,49.06A49.08,49.08,0,0,0,125.61,165.48ZM86.15,425.84h78.94V285.32H86.15Zm151.46-211.6c0-20-10-22.53-18.74-22.53H204.82V237.5h14.05C228.62,237.5,237.61,234.69,237.61,214.24Zm201.69,46V168.93h22.75V237.5h33.69C486.5,113.08,388.61,86.19,299.67,86.19H204.84V169h14c25.6,0,41.5,17.35,41.5,45.26,0,28.81-15.52,46-41.5,46h-14V425.88h94.83c144.61,0,194.94-67.16,196.72-165.64Zm-109.75,0H273.3V169h54.43v22.73H296v10.58h30V225H296V237.5h33.51Zm74.66,0-5.16-17.67H369.31l-5.18,17.67H340.47L368,168.92h32.35l27.53,91.34ZM299.65,32H32V480H299.65c161.85,0,251-79.73,251-224.52C550.62,172,518,32,299.65,32Zm0,426.92H53.07V53.07H299.65c142.1,0,229.9,64.61,229.9,202.41C529.55,389.57,448.55,458.92,299.65,458.92Zm83.86-264.85L376,219.88H392.4l-7.52-25.81Z"}}]})(props);
};
function FaImdb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM21.3 229.2H21c.1-.1.2-.3.3-.4zM97 319.8H64V192h33zm113.2 0h-28.7v-86.4l-11.6 86.4h-20.6l-12.2-84.5v84.5h-29V192h42.8c3.3 19.8 6 39.9 8.7 59.9l7.6-59.9h43zm11.4 0V192h24.6c17.6 0 44.7-1.6 49 20.9 1.7 7.6 1.4 16.3 1.4 24.4 0 88.5 11.1 82.6-75 82.5zm160.9-29.2c0 15.7-2.4 30.9-22.2 30.9-9 0-15.2-3-20.9-9.8l-1.9 8.1h-29.8V192h31.7v41.7c6-6.5 12-9.2 20.9-9.2 21.4 0 22.2 12.8 22.2 30.1zM265 229.9c0-9.7 1.6-16-10.3-16v83.7c12.2.3 10.3-8.7 10.3-18.4zm85.5 26.1c0-5.4 1.1-12.7-6.2-12.7-6 0-4.9 8.9-4.9 12.7 0 .6-1.1 39.6 1.1 44.7.8 1.6 2.2 2.4 3.8 2.4 7.8 0 6.2-9 6.2-14.4z"}}]})(props);
};
function FaInstagramSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M224,202.66A53.34,53.34,0,1,0,277.36,256,53.38,53.38,0,0,0,224,202.66Zm124.71-41a54,54,0,0,0-30.41-30.41c-21-8.29-71-6.43-94.3-6.43s-73.25-1.93-94.31,6.43a54,54,0,0,0-30.41,30.41c-8.28,21-6.43,71.05-6.43,94.33S91,329.26,99.32,350.33a54,54,0,0,0,30.41,30.41c21,8.29,71,6.43,94.31,6.43s73.24,1.93,94.3-6.43a54,54,0,0,0,30.41-30.41c8.35-21,6.43-71.05,6.43-94.33S357.1,182.74,348.75,161.67ZM224,338a82,82,0,1,1,82-82A81.9,81.9,0,0,1,224,338Zm85.38-148.3a19.14,19.14,0,1,1,19.13-19.14A19.1,19.1,0,0,1,309.42,189.74ZM400,32H48A48,48,0,0,0,0,80V432a48,48,0,0,0,48,48H400a48,48,0,0,0,48-48V80A48,48,0,0,0,400,32ZM382.88,322c-1.29,25.63-7.14,48.34-25.85,67s-41.4,24.63-67,25.85c-26.41,1.49-105.59,1.49-132,0-25.63-1.29-48.26-7.15-67-25.85s-24.63-41.42-25.85-67c-1.49-26.42-1.49-105.61,0-132,1.29-25.63,7.07-48.34,25.85-67s41.47-24.56,67-25.78c26.41-1.49,105.59-1.49,132,0,25.63,1.29,48.33,7.15,67,25.85s24.63,41.42,25.85,67.05C384.37,216.44,384.37,295.56,382.88,322Z"}}]})(props);
};
function FaInstagram (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M224.1 141c-63.6 0-114.9 51.3-114.9 114.9s51.3 114.9 114.9 114.9S339 319.5 339 255.9 287.7 141 224.1 141zm0 189.6c-41.1 0-74.7-33.5-74.7-74.7s33.5-74.7 74.7-74.7 74.7 33.5 74.7 74.7-33.6 74.7-74.7 74.7zm146.4-194.3c0 14.9-12 26.8-26.8 26.8-14.9 0-26.8-12-26.8-26.8s12-26.8 26.8-26.8 26.8 12 26.8 26.8zm76.1 27.2c-1.7-35.9-9.9-67.7-36.2-93.9-26.2-26.2-58-34.4-93.9-36.2-37-2.1-147.9-2.1-184.9 0-35.8 1.7-67.6 9.9-93.9 36.1s-34.4 58-36.2 93.9c-2.1 37-2.1 147.9 0 184.9 1.7 35.9 9.9 67.7 36.2 93.9s58 34.4 93.9 36.2c37 2.1 147.9 2.1 184.9 0 35.9-1.7 67.7-9.9 93.9-36.2 26.2-26.2 34.4-58 36.2-93.9 2.1-37 2.1-147.8 0-184.8zM398.8 388c-7.8 19.6-22.9 34.7-42.6 42.6-29.5 11.7-99.5 9-132.1 9s-102.7 2.6-132.1-9c-19.6-7.8-34.7-22.9-42.6-42.6-11.7-29.5-9-99.5-9-132.1s-2.6-102.7 9-132.1c7.8-19.6 22.9-34.7 42.6-42.6 29.5-11.7 99.5-9 132.1-9s102.7-2.6 132.1 9c19.6 7.8 34.7 22.9 42.6 42.6 11.7 29.5 9 99.5 9 132.1s2.7 102.7-9 132.1z"}}]})(props);
};
function FaIntercom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M392 32H56C25.1 32 0 57.1 0 88v336c0 30.9 25.1 56 56 56h336c30.9 0 56-25.1 56-56V88c0-30.9-25.1-56-56-56zm-108.3 82.1c0-19.8 29.9-19.8 29.9 0v199.5c0 19.8-29.9 19.8-29.9 0V114.1zm-74.6-7.5c0-19.8 29.9-19.8 29.9 0v216.5c0 19.8-29.9 19.8-29.9 0V106.6zm-74.7 7.5c0-19.8 29.9-19.8 29.9 0v199.5c0 19.8-29.9 19.8-29.9 0V114.1zM59.7 144c0-19.8 29.9-19.8 29.9 0v134.3c0 19.8-29.9 19.8-29.9 0V144zm323.4 227.8c-72.8 63-241.7 65.4-318.1 0-15-12.8 4.4-35.5 19.4-22.7 65.9 55.3 216.1 53.9 279.3 0 14.9-12.9 34.3 9.8 19.4 22.7zm5.2-93.5c0 19.8-29.9 19.8-29.9 0V144c0-19.8 29.9-19.8 29.9 0v134.3z"}}]})(props);
};
function FaInternetExplorer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M483.049 159.706c10.855-24.575 21.424-60.438 21.424-87.871 0-72.722-79.641-98.371-209.673-38.577-107.632-7.181-211.221 73.67-237.098 186.457 30.852-34.862 78.271-82.298 121.977-101.158C125.404 166.85 79.128 228.002 43.992 291.725 23.246 329.651 0 390.94 0 436.747c0 98.575 92.854 86.5 180.251 42.006 31.423 15.43 66.559 15.573 101.695 15.573 97.124 0 184.249-54.294 216.814-146.022H377.927c-52.509 88.593-196.819 52.996-196.819-47.436H509.9c6.407-43.581-1.655-95.715-26.851-141.162zM64.559 346.877c17.711 51.15 53.703 95.871 100.266 123.304-88.741 48.94-173.267 29.096-100.266-123.304zm115.977-108.873c2-55.151 50.276-94.871 103.98-94.871 53.418 0 101.981 39.72 103.981 94.871H180.536zm184.536-187.6c21.425-10.287 48.563-22.003 72.558-22.003 31.422 0 54.274 21.717 54.274 53.722 0 20.003-7.427 49.007-14.569 67.867-26.28-42.292-65.986-81.584-112.263-99.586z"}}]})(props);
};
function FaInvision (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M407.4 32H40.6C18.2 32 0 50.2 0 72.6v366.8C0 461.8 18.2 480 40.6 480h366.8c22.4 0 40.6-18.2 40.6-40.6V72.6c0-22.4-18.2-40.6-40.6-40.6zM176.1 145.6c.4 23.4-22.4 27.3-26.6 27.4-14.9 0-27.1-12-27.1-27 .1-35.2 53.1-35.5 53.7-.4zM332.8 377c-65.6 0-34.1-74-25-106.6 14.1-46.4-45.2-59-59.9.7l-25.8 103.3H177l8.1-32.5c-31.5 51.8-94.6 44.4-94.6-4.3.1-14.3.9-14 23-104.1H81.7l9.7-35.6h76.4c-33.6 133.7-32.6 126.9-32.9 138.2 0 20.9 40.9 13.5 57.4-23.2l19.8-79.4h-32.3l9.7-35.6h68.8l-8.9 40.5c40.5-75.5 127.9-47.8 101.8 38-14.2 51.1-14.6 50.7-14.9 58.8 0 15.5 17.5 22.6 31.8-16.9L386 325c-10.5 36.7-29.4 52-53.2 52z"}}]})(props);
};
function FaIoxhost (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M616 160h-67.3C511.2 70.7 422.9 8 320 8 183 8 72 119 72 256c0 16.4 1.6 32.5 4.7 48H24c-13.3 0-24 10.8-24 24 0 13.3 10.7 24 24 24h67.3c37.5 89.3 125.8 152 228.7 152 137 0 248-111 248-248 0-16.4-1.6-32.5-4.7-48H616c13.3 0 24-10.8 24-24 0-13.3-10.7-24-24-24zm-96 96c0 110.5-89.5 200-200 200-75.7 0-141.6-42-175.5-104H424c13.3 0 24-10.8 24-24 0-13.3-10.7-24-24-24H125.8c-3.8-15.4-5.8-31.4-5.8-48 0-110.5 89.5-200 200-200 75.7 0 141.6 42 175.5 104H216c-13.3 0-24 10.8-24 24 0 13.3 10.7 24 24 24h298.2c3.8 15.4 5.8 31.4 5.8 48zm-304-24h208c13.3 0 24 10.7 24 24 0 13.2-10.7 24-24 24H216c-13.3 0-24-10.7-24-24 0-13.2 10.7-24 24-24z"}}]})(props);
};
function FaItchIo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M71.92 34.77C50.2 47.67 7.4 96.84 7 109.73v21.34c0 27.06 25.29 50.84 48.25 50.84 27.57 0 50.54-22.85 50.54-50 0 27.12 22.18 50 49.76 50s49-22.85 49-50c0 27.12 23.59 50 51.16 50h.5c27.57 0 51.16-22.85 51.16-50 0 27.12 21.47 50 49 50s49.76-22.85 49.76-50c0 27.12 23 50 50.54 50 23 0 48.25-23.78 48.25-50.84v-21.34c-.4-12.9-43.2-62.07-64.92-75C372.56 32.4 325.76 32 256 32S91.14 33.1 71.92 34.77zm132.32 134.39c-22 38.4-77.9 38.71-99.85.25-13.17 23.14-43.17 32.07-56 27.66-3.87 40.15-13.67 237.13 17.73 269.15 80 18.67 302.08 18.12 379.76 0 31.65-32.27 21.32-232 17.75-269.15-12.92 4.44-42.88-4.6-56-27.66-22 38.52-77.85 38.1-99.85-.24-7.1 12.49-23.05 28.94-51.76 28.94a57.54 57.54 0 0 1-51.75-28.94zm-41.58 53.77c16.47 0 31.09 0 49.22 19.78a436.91 436.91 0 0 1 88.18 0C318.22 223 332.85 223 349.31 223c52.33 0 65.22 77.53 83.87 144.45 17.26 62.15-5.52 63.67-33.95 63.73-42.15-1.57-65.49-32.18-65.49-62.79-39.25 6.43-101.93 8.79-155.55 0 0 30.61-23.34 61.22-65.49 62.79-28.42-.06-51.2-1.58-33.94-63.73 18.67-67 31.56-144.45 83.88-144.45zM256 270.79s-44.38 40.77-52.35 55.21l29-1.17v25.32c0 1.55 21.34.16 23.33.16 11.65.54 23.31 1 23.31-.16v-25.28l29 1.17c-8-14.48-52.35-55.24-52.35-55.24z"}}]})(props);
};
function FaItunesNote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M381.9 388.2c-6.4 27.4-27.2 42.8-55.1 48-24.5 4.5-44.9 5.6-64.5-10.2-23.9-20.1-24.2-53.4-2.7-74.4 17-16.2 40.9-19.5 76.8-25.8 6-1.1 11.2-2.5 15.6-7.4 6.4-7.2 4.4-4.1 4.4-163.2 0-11.2-5.5-14.3-17-12.3-8.2 1.4-185.7 34.6-185.7 34.6-10.2 2.2-13.4 5.2-13.4 16.7 0 234.7 1.1 223.9-2.5 239.5-4.2 18.2-15.4 31.9-30.2 39.5-16.8 9.3-47.2 13.4-63.4 10.4-43.2-8.1-58.4-58-29.1-86.6 17-16.2 40.9-19.5 76.8-25.8 6-1.1 11.2-2.5 15.6-7.4 10.1-11.5 1.8-256.6 5.2-270.2.8-5.2 3-9.6 7.1-12.9 4.2-3.5 11.8-5.5 13.4-5.5 204-38.2 228.9-43.1 232.4-43.1 11.5-.8 18.1 6 18.1 17.6.2 344.5 1.1 326-1.8 338.5z"}}]})(props);
};
function FaItunes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M223.6 80.3C129 80.3 52.5 157 52.5 251.5S129 422.8 223.6 422.8s171.2-76.7 171.2-171.2c0-94.6-76.7-171.3-171.2-171.3zm79.4 240c-3.2 13.6-13.5 21.2-27.3 23.8-12.1 2.2-22.2 2.8-31.9-5-11.8-10-12-26.4-1.4-36.8 8.4-8 20.3-9.6 38-12.8 3-.5 5.6-1.2 7.7-3.7 3.2-3.6 2.2-2 2.2-80.8 0-5.6-2.7-7.1-8.4-6.1-4 .7-91.9 17.1-91.9 17.1-5 1.1-6.7 2.6-6.7 8.3 0 116.1.5 110.8-1.2 118.5-2.1 9-7.6 15.8-14.9 19.6-8.3 4.6-23.4 6.6-31.4 5.2-21.4-4-28.9-28.7-14.4-42.9 8.4-8 20.3-9.6 38-12.8 3-.5 5.6-1.2 7.7-3.7 5-5.7.9-127 2.6-133.7.4-2.6 1.5-4.8 3.5-6.4 2.1-1.7 5.8-2.7 6.7-2.7 101-19 113.3-21.4 115.1-21.4 5.7-.4 9 3 9 8.7-.1 170.6.4 161.4-1 167.6zM345.2 32H102.8C45.9 32 0 77.9 0 134.8v242.4C0 434.1 45.9 480 102.8 480h242.4c57 0 102.8-45.9 102.8-102.8V134.8C448 77.9 402.1 32 345.2 32zM223.6 444c-106.3 0-192.5-86.2-192.5-192.5S117.3 59 223.6 59s192.5 86.2 192.5 192.5S329.9 444 223.6 444z"}}]})(props);
};
function FaJava (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M277.74 312.9c9.8-6.7 23.4-12.5 23.4-12.5s-38.7 7-77.2 10.2c-47.1 3.9-97.7 4.7-123.1 1.3-60.1-8 33-30.1 33-30.1s-36.1-2.4-80.6 19c-52.5 25.4 130 37 224.5 12.1zm-85.4-32.1c-19-42.7-83.1-80.2 0-145.8C296 53.2 242.84 0 242.84 0c21.5 84.5-75.6 110.1-110.7 162.6-23.9 35.9 11.7 74.4 60.2 118.2zm114.6-176.2c.1 0-175.2 43.8-91.5 140.2 24.7 28.4-6.5 54-6.5 54s62.7-32.4 33.9-72.9c-26.9-37.8-47.5-56.6 64.1-121.3zm-6.1 270.5a12.19 12.19 0 0 1-2 2.6c128.3-33.7 81.1-118.9 19.8-97.3a17.33 17.33 0 0 0-8.2 6.3 70.45 70.45 0 0 1 11-3c31-6.5 75.5 41.5-20.6 91.4zM348 437.4s14.5 11.9-15.9 21.2c-57.9 17.5-240.8 22.8-291.6.7-18.3-7.9 16-19 26.8-21.3 11.2-2.4 17.7-2 17.7-2-20.3-14.3-131.3 28.1-56.4 40.2C232.84 509.4 401 461.3 348 437.4zM124.44 396c-78.7 22 47.9 67.4 148.1 24.5a185.89 185.89 0 0 1-28.2-13.8c-44.7 8.5-65.4 9.1-106 4.5-33.5-3.8-13.9-15.2-13.9-15.2zm179.8 97.2c-78.7 14.8-175.8 13.1-233.3 3.6 0-.1 11.8 9.7 72.4 13.6 92.2 5.9 233.8-3.3 237.1-46.9 0 0-6.4 16.5-76.2 29.7zM260.64 353c-59.2 11.4-93.5 11.1-136.8 6.6-33.5-3.5-11.6-19.7-11.6-19.7-86.8 28.8 48.2 61.4 169.5 25.9a60.37 60.37 0 0 1-21.1-12.8z"}}]})(props);
};
function FaJediOrder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M398.5 373.6c95.9-122.1 17.2-233.1 17.2-233.1 45.4 85.8-41.4 170.5-41.4 170.5 105-171.5-60.5-271.5-60.5-271.5 96.9 72.7-10.1 190.7-10.1 190.7 85.8 158.4-68.6 230.1-68.6 230.1s-.4-16.9-2.2-85.7c4.3 4.5 34.5 36.2 34.5 36.2l-24.2-47.4 62.6-9.1-62.6-9.1 20.2-55.5-31.4 45.9c-2.2-87.7-7.8-305.1-7.9-306.9v-2.4 1-1 2.4c0 1-5.6 219-7.9 306.9l-31.4-45.9 20.2 55.5-62.6 9.1 62.6 9.1-24.2 47.4 34.5-36.2c-1.8 68.8-2.2 85.7-2.2 85.7s-154.4-71.7-68.6-230.1c0 0-107-118.1-10.1-190.7 0 0-165.5 99.9-60.5 271.5 0 0-86.8-84.8-41.4-170.5 0 0-78.7 111 17.2 233.1 0 0-26.2-16.1-49.4-77.7 0 0 16.9 183.3 222 185.7h4.1c205-2.4 222-185.7 222-185.7-23.6 61.5-49.9 77.7-49.9 77.7z"}}]})(props);
};
function FaJenkins (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M487.1 425c-1.4-11.2-19-23.1-28.2-31.9-5.1-5-29-23.1-30.4-29.9-1.4-6.6 9.7-21.5 13.3-28.9 5.1-10.7 8.8-23.7 11.3-32.6 18.8-66.1 20.7-156.9-6.2-211.2-10.2-20.6-38.6-49-56.4-62.5-42-31.7-119.6-35.3-170.1-16.6-14.1 5.2-27.8 9.8-40.1 17.1-33.1 19.4-68.3 32.5-78.1 71.6-24.2 10.8-31.5 41.8-30.3 77.8.2 7 4.1 15.8 2.7 22.4-.7 3.3-5.2 7.6-6.1 9.8-11.6 27.7-2.3 64 11.1 83.7 8.1 11.9 21.5 22.4 39.2 25.2.7 10.6 3.3 19.7 8.2 30.4 3.1 6.8 14.7 19 10.4 27.7-2.2 4.4-21 13.8-27.3 17.6C89 407.2 73.7 415 54.2 429c-12.6 9-32.3 10.2-29.2 31.1 2.1 14.1 10.1 31.6 14.7 45.8.7 2 1.4 4.1 2.1 6h422c4.9-15.3 9.7-30.9 14.6-47.2 3.4-11.4 10.2-27.8 8.7-39.7zM205.9 33.7c1.8-.5 3.4.7 4.9 2.4-.2 5.2-5.4 5.1-8.9 6.8-5.4 6.7-13.4 9.8-20 17.2-6.8 7.5-14.4 27.7-23.4 30-4.5 1.1-9.7-.8-13.6-.5-10.4.7-17.7 6-28.3 7.5 13.6-29.9 56.1-54 89.3-63.4zm-104.8 93.6c13.5-14.9 32.1-24.1 54.8-25.9 11.7 29.7-8.4 65-.9 97.6 2.3 9.9 10.2 25.4-2.4 25.7.3-28.3-34.8-46.3-61.3-29.6-1.8-21.5-4.9-51.7 9.8-67.8zm36.7 200.2c-1-4.1-2.7-12.9-2.3-15.1 1.6-8.7 17.1-12.5 11-24.7-11.3-.1-13.8 10.2-24.1 11.3-26.7 2.6-45.6-35.4-44.4-58.4 1-19.5 17.6-38.2 40.1-35.8 16 1.8 21.4 19.2 24.5 34.7 9.2.5 22.5-.4 26.9-7.6-.6-17.5-8.8-31.6-8.2-47.7 1-30.3 17.5-57.6 4.8-87.4 13.6-30.9 53.5-55.3 83.1-70 36.6-18.3 94.9-3.7 129.3 15.8 19.7 11.1 34.4 32.7 48.3 50.7-19.5-5.8-36.1 4.2-33.1 20.3 16.3-14.9 44.2-.2 52.5 16.4 7.9 15.8 7.8 39.3 9 62.8 2.9 57-10.4 115.9-39.1 157.1-7.7 11-14.1 23-24.9 30.6-26 18.2-65.4 34.7-99.2 23.4-44.7-15-65-44.8-89.5-78.8.7 18.7 13.8 34.1 26.8 48.4 11.3 12.5 25 26.6 39.7 32.4-12.3-2.9-31.1-3.8-36.2 7.2-28.6-1.9-55.1-4.8-68.7-24.2-10.6-15.4-21.4-41.4-26.3-61.4zm222 124.1c4.1-3 11.1-2.9 17.4-3.6-5.4-2.7-13-3.7-19.3-2.2-.1-4.2-2-6.8-3.2-10.2 10.6-3.8 35.5-28.5 49.6-20.3 6.7 3.9 9.5 26.2 10.1 37 .4 9-.8 18-4.5 22.8-18.8-.6-35.8-2.8-50.7-7 .9-6.1-1-12.1.6-16.5zm-17.2-20c-16.8.8-26-1.2-38.3-10.8.2-.8 1.4-.5 1.5-1.4 18 8 40.8-3.3 59-4.9-7.9 5.1-14.6 11.6-22.2 17.1zm-12.1 33.2c-1.6-9.4-3.5-12-2.8-20.2 25-16.6 29.7 28.6 2.8 20.2zM226 438.6c-11.6-.7-48.1-14-38.5-23.7 9.4 6.5 27.5 4.9 41.3 7.3.8 4.4-2.8 10.2-2.8 16.4zM57.7 497.1c-4.3-12.7-9.2-25.1-14.8-36.9 30.8-23.8 65.3-48.9 102.2-63.5 2.8-1.1 23.2 25.4 26.2 27.6 16.5 11.7 37 21 56.2 30.2 1.2 8.8 3.9 20.2 8.7 35.5.7 2.3 1.4 4.7 2.2 7.2H57.7zm240.6 5.7h-.8c.3-.2.5-.4.8-.5v.5zm7.5-5.7c2.1-1.4 4.3-2.8 6.4-4.3 1.1 1.4 2.2 2.8 3.2 4.3h-9.6zm15.1-24.7c-10.8 7.3-20.6 18.3-33.3 25.2-6 3.3-27 11.7-33.4 10.2-3.6-.8-3.9-5.3-5.4-9.5-3.1-9-10.1-23.4-10.8-37-.8-17.2-2.5-46 16-42.4 14.9 2.9 32.3 9.7 43.9 16.1 7.1 3.9 11.1 8.6 21.9 9.5-.1 1.4-.1 2.8-.2 4.3-5.9 3.9-15.3 3.8-21.8 7.1 9.5.4 17 2.7 23.5 5.9-.1 3.4-.3 7-.4 10.6zm53.4 24.7h-14c-.1-3.2-2.8-5.8-6.1-5.8s-5.9 2.6-6.1 5.8h-17.4c-2.8-4.4-5.7-8.6-8.9-12.5 2.1-2.2 4-4.7 6-6.9 9 3.7 14.8-4.9 21.7-4.2 7.9.8 14.2 11.7 25.4 11l-.6 12.6zm8.7 0c.2-4 .4-7.8.6-11.5 15.6-7.3 29 1.3 35.7 11.5H383zm83.4-37c-2.3 11.2-5.8 24-9.9 37.1-.2-.1-.4-.1-.6-.1H428c.6-1.1 1.2-2.2 1.9-3.3-2.6-6.1-9-8.7-10.9-15.5 12.1-22.7 6.5-93.4-24.2-78.5 4.3-6.3 15.6-11.5 20.8-19.3 13 10.4 20.8 20.3 33.2 31.4 6.8 6 20 13.3 21.4 23.1.8 5.5-2.6 18.9-3.8 25.1zM222.2 130.5c5.4-14.9 27.2-34.7 45-32 7.7 1.2 18 8.2 12.2 17.7-30.2-7-45.2 12.6-54.4 33.1-8.1-2-4.9-13.1-2.8-18.8zm184.1 63.1c8.2-3.6 22.4-.7 29.6-5.3-4.2-11.5-10.3-21.4-9.3-37.7.5 0 1 0 1.4.1 6.8 14.2 12.7 29.2 21.4 41.7-5.7 13.5-43.6 25.4-43.1 1.2zm20.4-43zm-117.2 45.7c-6.8-10.9-19-32.5-14.5-45.3 6.5 11.9 8.6 24.4 17.8 33.3 4.1 4 12.2 9 8.2 20.2-.9 2.7-7.8 8.6-11.7 9.7-14.4 4.3-47.9.9-36.6-17.1 11.9.7 27.9 7.8 36.8-.8zm27.3 70c3.8 6.6 1.4 18.7 12.1 20.6 20.2 3.4 43.6-12.3 58.1-17.8 9-15.2-.8-20.7-8.9-30.5-16.6-20-38.8-44.8-38-74.7 6.7-4.9 7.3 7.4 8.2 9.7 8.7 20.3 30.4 46.2 46.3 63.5 3.9 4.3 10.3 8.4 11 11.2 2.1 8.2-5.4 18-4.5 23.5-21.7 13.9-45.8 29.1-81.4 25.6-7.4-6.7-10.3-21.4-2.9-31.1zm-201.3-9.2c-6.8-3.9-8.4-21-16.4-21.4-11.4-.7-9.3 22.2-9.3 35.5-7.8-7.1-9.2-29.1-3.5-40.3-6.6-3.2-9.5 3.6-13.1 5.9 4.7-34.1 49.8-15.8 42.3 20.3zm299.6 28.8c-10.1 19.2-24.4 40.4-54 41-.6-6.2-1.1-15.6 0-19.4 22.7-2.2 36.6-13.7 54-21.6zm-141.9 12.4c18.9 9.9 53.6 11 79.3 10.2 1.4 5.6 1.3 12.6 1.4 19.4-33 1.8-72-6.4-80.7-29.6zm92.2 46.7c-1.7 4.3-5.3 9.3-9.8 11.1-12.1 4.9-45.6 8.7-62.4-.3-10.7-5.7-17.5-18.5-23.4-26-2.8-3.6-16.9-12.9-.2-12.9 13.1 32.7 58 29 95.8 28.1z"}}]})(props);
};
function FaJira (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M490 241.7C417.1 169 320.6 71.8 248.5 0 83 164.9 6 241.7 6 241.7c-7.9 7.9-7.9 20.7 0 28.7C138.8 402.7 67.8 331.9 248.5 512c379.4-378 15.7-16.7 241.5-241.7 8-7.9 8-20.7 0-28.6zm-241.5 90l-76-75.7 76-75.7 76 75.7-76 75.7z"}}]})(props);
};
function FaJoget (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M378.1 45C337.6 19.9 292.6 8 248.2 8 165 8 83.8 49.9 36.9 125.9c-71.9 116.6-35.6 269.3 81 341.2s269.3 35.6 341.2-80.9c71.9-116.6 35.6-269.4-81-341.2zm51.8 323.2c-40.4 65.5-110.4 101.5-182 101.5-6.8 0-13.6-.4-20.4-1-9-13.6-19.9-33.3-23.7-42.4-5.7-13.7-27.2-45.6 31.2-67.1 51.7-19.1 176.7-16.5 208.8-17.6-4 9-8.6 17.9-13.9 26.6zm-200.8-86.3c-55.5-1.4-81.7-20.8-58.5-48.2s51.1-40.7 68.9-51.2c17.9-10.5 27.3-33.7-23.6-29.7C87.3 161.5 48.6 252.1 37.6 293c-8.8-49.7-.1-102.7 28.5-149.1C128 43.4 259.6 12.2 360.1 74.1c74.8 46.1 111.2 130.9 99.3 212.7-24.9-.5-179.3-3.6-230.3-4.9zm183.8-54.8c-22.7-6-57 11.3-86.7 27.2-29.7 15.8-31.1 8.2-31.1 8.2s40.2-28.1 50.7-34.5 31.9-14 13.4-24.6c-3.2-1.8-6.7-2.7-10.4-2.7-17.8 0-41.5 18.7-67.5 35.6-31.5 20.5-65.3 31.3-65.3 31.3l169.5-1.6 46.5-23.4s3.6-9.5-19.1-15.5z"}}]})(props);
};
function FaJoomla (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M.6 92.1C.6 58.8 27.4 32 60.4 32c30 0 54.5 21.9 59.2 50.2 32.6-7.6 67.1.6 96.5 30l-44.3 44.3c-20.5-20.5-42.6-16.3-55.4-3.5-14.3 14.3-14.3 37.9 0 52.2l99.5 99.5-44 44.3c-87.7-87.2-49.7-49.7-99.8-99.7-26.8-26.5-35-64.8-24.8-98.9C20.4 144.6.6 120.7.6 92.1zm129.5 116.4l44.3 44.3c10-10 89.7-89.7 99.7-99.8 14.3-14.3 37.6-14.3 51.9 0 12.8 12.8 17 35-3.5 55.4l44 44.3c31.2-31.2 38.5-67.6 28.9-101.2 29.2-4.1 51.9-29.2 51.9-59.5 0-33.2-26.8-60.1-59.8-60.1-30.3 0-55.4 22.5-59.5 51.6-33.8-9.9-71.7-1.5-98.3 25.1-18.3 19.1-71.1 71.5-99.6 99.9zm266.3 152.2c8.2-32.7-.9-68.5-26.3-93.9-11.8-12.2 5 4.7-99.5-99.7l-44.3 44.3 99.7 99.7c14.3 14.3 14.3 37.6 0 51.9-12.8 12.8-35 17-55.4-3.5l-44 44.3c27.6 30.2 68 38.8 102.7 28 5.5 27.4 29.7 48.1 58.9 48.1 33 0 59.8-26.8 59.8-60.1 0-30.2-22.5-55-51.6-59.1zm-84.3-53.1l-44-44.3c-87 86.4-50.4 50.4-99.7 99.8-14.3 14.3-37.6 14.3-51.9 0-13.1-13.4-16.9-35.3 3.2-55.4l-44-44.3c-30.2 30.2-38 65.2-29.5 98.3-26.7 6-46.2 29.9-46.2 58.2C0 453.2 26.8 480 59.8 480c28.6 0 52.5-19.8 58.6-46.7 32.7 8.2 68.5-.6 94.2-26 32.1-32 12.2-12.4 99.5-99.7z"}}]})(props);
};
function FaJsSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM243.8 381.4c0 43.6-25.6 63.5-62.9 63.5-33.7 0-53.2-17.4-63.2-38.5l34.3-20.7c6.6 11.7 12.6 21.6 27.1 21.6 13.8 0 22.6-5.4 22.6-26.5V237.7h42.1v143.7zm99.6 63.5c-39.1 0-64.4-18.6-76.7-43l34.3-19.8c9 14.7 20.8 25.6 41.5 25.6 17.4 0 28.6-8.7 28.6-20.8 0-14.4-11.4-19.5-30.7-28l-10.5-4.5c-30.4-12.9-50.5-29.2-50.5-63.5 0-31.6 24.1-55.6 61.6-55.6 26.8 0 46 9.3 59.8 33.7L368 290c-7.2-12.9-15-18-27.1-18-12.3 0-20.1 7.8-20.1 18 0 12.6 7.8 17.7 25.9 25.6l10.5 4.5c35.8 15.3 55.9 31 55.9 66.2 0 37.8-29.8 58.6-69.7 58.6z"}}]})(props);
};
function FaJs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 32v448h448V32H0zm243.8 349.4c0 43.6-25.6 63.5-62.9 63.5-33.7 0-53.2-17.4-63.2-38.5l34.3-20.7c6.6 11.7 12.6 21.6 27.1 21.6 13.8 0 22.6-5.4 22.6-26.5V237.7h42.1v143.7zm99.6 63.5c-39.1 0-64.4-18.6-76.7-43l34.3-19.8c9 14.7 20.8 25.6 41.5 25.6 17.4 0 28.6-8.7 28.6-20.8 0-14.4-11.4-19.5-30.7-28l-10.5-4.5c-30.4-12.9-50.5-29.2-50.5-63.5 0-31.6 24.1-55.6 61.6-55.6 26.8 0 46 9.3 59.8 33.7L368 290c-7.2-12.9-15-18-27.1-18-12.3 0-20.1 7.8-20.1 18 0 12.6 7.8 17.7 25.9 25.6l10.5 4.5c35.8 15.3 55.9 31 55.9 66.2 0 37.8-29.8 58.6-69.7 58.6z"}}]})(props);
};
function FaJsfiddle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M510.634 237.462c-4.727-2.621-5.664-5.748-6.381-10.776-2.352-16.488-3.539-33.619-9.097-49.095-35.895-99.957-153.99-143.386-246.849-91.646-27.37 15.25-48.971 36.369-65.493 63.903-3.184-1.508-5.458-2.71-7.824-3.686-30.102-12.421-59.049-10.121-85.331 9.167-25.531 18.737-36.422 44.548-32.676 76.408.355 3.025-1.967 7.621-4.514 9.545-39.712 29.992-56.031 78.065-41.902 124.615 13.831 45.569 57.514 79.796 105.608 81.433 30.291 1.031 60.637.546 90.959.539 84.041-.021 168.09.531 252.12-.48 52.664-.634 96.108-36.873 108.212-87.293 11.54-48.074-11.144-97.3-56.832-122.634zm21.107 156.88c-18.23 22.432-42.343 35.253-71.28 35.65-56.874.781-113.767.23-170.652.23 0 .7-163.028.159-163.728.154-43.861-.332-76.739-19.766-95.175-59.995-18.902-41.245-4.004-90.848 34.186-116.106 9.182-6.073 12.505-11.566 10.096-23.136-5.49-26.361 4.453-47.956 26.42-62.981 22.987-15.723 47.422-16.146 72.034-3.083 10.269 5.45 14.607 11.564 22.198-2.527 14.222-26.399 34.557-46.727 60.671-61.294 97.46-54.366 228.37 7.568 230.24 132.697.122 8.15 2.412 12.428 9.848 15.894 57.56 26.829 74.456 96.122 35.142 144.497zm-87.789-80.499c-5.848 31.157-34.622 55.096-66.666 55.095-16.953-.001-32.058-6.545-44.079-17.705-27.697-25.713-71.141-74.98-95.937-93.387-20.056-14.888-41.99-12.333-60.272 3.782-49.996 44.071 15.859 121.775 67.063 77.188 4.548-3.96 7.84-9.543 12.744-12.844 8.184-5.509 20.766-.884 13.168 10.622-17.358 26.284-49.33 38.197-78.863 29.301-28.897-8.704-48.84-35.968-48.626-70.179 1.225-22.485 12.364-43.06 35.414-55.965 22.575-12.638 46.369-13.146 66.991 2.474C295.68 280.7 320.467 323.97 352.185 343.47c24.558 15.099 54.254 7.363 68.823-17.506 28.83-49.209-34.592-105.016-78.868-63.46-3.989 3.744-6.917 8.932-11.41 11.72-10.975 6.811-17.333-4.113-12.809-10.353 20.703-28.554 50.464-40.44 83.271-28.214 31.429 11.714 49.108 44.366 42.76 78.186z"}}]})(props);
};
function FaKaggle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M304.2 501.5L158.4 320.3 298.2 185c2.6-2.7 1.7-10.5-5.3-10.5h-69.2c-3.5 0-7 1.8-10.5 5.3L80.9 313.5V7.5q0-7.5-7.5-7.5H21.5Q14 0 14 7.5v497q0 7.5 7.5 7.5h51.9q7.5 0 7.5-7.5v-109l30.8-29.3 110.5 140.6c3 3.5 6.5 5.3 10.5 5.3h66.9q5.25 0 6-3z"}}]})(props);
};
function FaKeybase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M286.17 419a18 18 0 1 0 18 18 18 18 0 0 0-18-18zm111.92-147.6c-9.5-14.62-39.37-52.45-87.26-73.71q-9.1-4.06-18.38-7.27a78.43 78.43 0 0 0-47.88-104.13c-12.41-4.1-23.33-6-32.41-5.77-.6-2-1.89-11 9.4-35L198.66 32l-5.48 7.56c-8.69 12.06-16.92 23.55-24.34 34.89a51 51 0 0 0-8.29-1.25c-41.53-2.45-39-2.33-41.06-2.33-50.61 0-50.75 52.12-50.75 45.88l-2.36 36.68c-1.61 27 19.75 50.21 47.63 51.85l8.93.54a214 214 0 0 0-46.29 35.54C14 304.66 14 374 14 429.77v33.64l23.32-29.8a148.6 148.6 0 0 0 14.56 37.56c5.78 10.13 14.87 9.45 19.64 7.33 4.21-1.87 10-6.92 3.75-20.11a178.29 178.29 0 0 1-15.76-53.13l46.82-59.83-24.66 74.11c58.23-42.4 157.38-61.76 236.25-38.59 34.2 10.05 67.45.69 84.74-23.84.72-1 1.2-2.16 1.85-3.22a156.09 156.09 0 0 1 2.8 28.43c0 23.3-3.69 52.93-14.88 81.64-2.52 6.46 1.76 14.5 8.6 15.74 7.42 1.57 15.33-3.1 18.37-11.15C429 443 434 414 434 382.32c0-38.58-13-77.46-35.91-110.92zM142.37 128.58l-15.7-.93-1.39 21.79 13.13.78a93 93 0 0 0 .32 19.57l-22.38-1.34a12.28 12.28 0 0 1-11.76-12.79L107 119c1-12.17 13.87-11.27 13.26-11.32l29.11 1.73a144.35 144.35 0 0 0-7 19.17zm148.42 172.18a10.51 10.51 0 0 1-14.35-1.39l-9.68-11.49-34.42 27a8.09 8.09 0 0 1-11.13-1.08l-15.78-18.64a7.38 7.38 0 0 1 1.34-10.34l34.57-27.18-14.14-16.74-17.09 13.45a7.75 7.75 0 0 1-10.59-1s-3.72-4.42-3.8-4.53a7.38 7.38 0 0 1 1.37-10.34L214 225.19s-18.51-22-18.6-22.14a9.56 9.56 0 0 1 1.74-13.42 10.38 10.38 0 0 1 14.3 1.37l81.09 96.32a9.58 9.58 0 0 1-1.74 13.44zM187.44 419a18 18 0 1 0 18 18 18 18 0 0 0-18-18z"}}]})(props);
};
function FaKeycdn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M63.8 409.3l60.5-59c32.1 42.8 71.1 66 126.6 67.4 30.5.7 60.3-7 86.4-22.4 5.1 5.3 18.5 19.5 20.9 22-32.2 20.7-69.6 31.1-108.1 30.2-43.3-1.1-84.6-16.7-117.7-44.4.3-.6-38.2 37.5-38.6 37.9 9.5 29.8-13.1 62.4-46.3 62.4C20.7 503.3 0 481.7 0 454.9c0-34.3 33.1-56.6 63.8-45.6zm354.9-252.4c19.1 31.3 29.6 67.4 28.7 104-1.1 44.8-19 87.5-48.6 121 .3.3 23.8 25.2 24.1 25.5 9.6-1.3 19.2 2 25.9 9.1 11.3 12 10.9 30.9-1.1 42.4-12 11.3-30.9 10.9-42.4-1.1-6.7-7-9.4-16.8-7.6-26.3-24.9-26.6-44.4-47.2-44.4-47.2 42.7-34.1 63.3-79.6 64.4-124.2.7-28.9-7.2-57.2-21.1-82.2l22.1-21zM104 53.1c6.7 7 9.4 16.8 7.6 26.3l45.9 48.1c-4.7 3.8-13.3 10.4-22.8 21.3-25.4 28.5-39.6 64.8-40.7 102.9-.7 28.9 6.1 57.2 20 82.4l-22 21.5C72.7 324 63.1 287.9 64.2 250.9c1-44.6 18.3-87.6 47.5-121.1l-25.3-26.4c-9.6 1.3-19.2-2-25.9-9.1-11.3-12-10.9-30.9 1.1-42.4C73.5 40.7 92.2 41 104 53.1zM464.9 8c26 0 47.1 22.4 47.1 48.3S490.9 104 464.9 104c-6.3.1-14-1.1-15.9-1.8l-62.9 59.7c-32.7-43.6-76.7-65.9-126.9-67.2-30.5-.7-60.3 6.8-86.2 22.4l-21.1-22C184.1 74.3 221.5 64 260 64.9c43.3 1.1 84.6 16.7 117.7 44.6l41.1-38.6c-1.5-4.7-2.2-9.6-2.2-14.5C416.5 29.7 438.9 8 464.9 8zM256.7 113.4c5.5 0 10.9.4 16.4 1.1 78.1 9.8 133.4 81.1 123.8 159.1-9.8 78.1-81.1 133.4-159.1 123.8-78.1-9.8-133.4-81.1-123.8-159.2 9.3-72.4 70.1-124.6 142.7-124.8zm-59 119.4c.6 22.7 12.2 41.8 32.4 52.2l-11 51.7h73.7l-11-51.7c20.1-10.9 32.1-29 32.4-52.2-.4-32.8-25.8-57.5-58.3-58.3-32.1.8-57.3 24.8-58.2 58.3zM256 160"}}]})(props);
};
function FaKickstarterK (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M147.3 114.4c0-56.2-32.5-82.4-73.4-82.4C26.2 32 0 68.2 0 113.4v283c0 47.3 25.3 83.4 74.9 83.4 39.8 0 72.4-25.6 72.4-83.4v-76.5l112.1 138.3c22.7 27.2 72.1 30.7 103.2 0 27-27.6 27.3-67.4 7.4-92.2l-90.8-114.8 74.9-107.4c17.4-24.7 17.5-63.1-10.4-89.8-30.3-29-82.4-31.6-113.6 12.8L147.3 185v-70.6z"}}]})(props);
};
function FaKickstarter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 480H48c-26.4 0-48-21.6-48-48V80c0-26.4 21.6-48 48-48h352c26.4 0 48 21.6 48 48v352c0 26.4-21.6 48-48 48zM199.6 178.5c0-30.7-17.6-45.1-39.7-45.1-25.8 0-40 19.8-40 44.5v154.8c0 25.8 13.7 45.6 40.5 45.6 21.5 0 39.2-14 39.2-45.6v-41.8l60.6 75.7c12.3 14.9 39 16.8 55.8 0 14.6-15.1 14.8-36.8 4-50.4l-49.1-62.8 40.5-58.7c9.4-13.5 9.5-34.5-5.6-49.1-16.4-15.9-44.6-17.3-61.4 7l-44.8 64.7v-38.8z"}}]})(props);
};
function FaKorvue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 446 512"},"child":[{"tag":"path","attr":{"d":"M386.5 34h-327C26.8 34 0 60.8 0 93.5v327.1C0 453.2 26.8 480 59.5 480h327.1c33 0 59.5-26.8 59.5-59.5v-327C446 60.8 419.2 34 386.5 34zM87.1 120.8h96v116l61.8-116h110.9l-81.2 132H87.1v-132zm161.8 272.1l-65.7-113.6v113.6h-96V262.1h191.5l88.6 130.8H248.9z"}}]})(props);
};
function FaLaravel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M504.4,115.83a5.72,5.72,0,0,0-.28-.68,8.52,8.52,0,0,0-.53-1.25,6,6,0,0,0-.54-.71,9.36,9.36,0,0,0-.72-.94c-.23-.22-.52-.4-.77-.6a8.84,8.84,0,0,0-.9-.68L404.4,55.55a8,8,0,0,0-8,0L300.12,111h0a8.07,8.07,0,0,0-.88.69,7.68,7.68,0,0,0-.78.6,8.23,8.23,0,0,0-.72.93c-.17.24-.39.45-.54.71a9.7,9.7,0,0,0-.52,1.25c-.08.23-.21.44-.28.68a8.08,8.08,0,0,0-.28,2.08V223.18l-80.22,46.19V63.44a7.8,7.8,0,0,0-.28-2.09c-.06-.24-.2-.45-.28-.68a8.35,8.35,0,0,0-.52-1.24c-.14-.26-.37-.47-.54-.72a9.36,9.36,0,0,0-.72-.94,9.46,9.46,0,0,0-.78-.6,9.8,9.8,0,0,0-.88-.68h0L115.61,1.07a8,8,0,0,0-8,0L11.34,56.49h0a6.52,6.52,0,0,0-.88.69,7.81,7.81,0,0,0-.79.6,8.15,8.15,0,0,0-.71.93c-.18.25-.4.46-.55.72a7.88,7.88,0,0,0-.51,1.24,6.46,6.46,0,0,0-.29.67,8.18,8.18,0,0,0-.28,2.1v329.7a8,8,0,0,0,4,6.95l192.5,110.84a8.83,8.83,0,0,0,1.33.54c.21.08.41.2.63.26a7.92,7.92,0,0,0,4.1,0c.2-.05.37-.16.55-.22a8.6,8.6,0,0,0,1.4-.58L404.4,400.09a8,8,0,0,0,4-6.95V287.88l92.24-53.11a8,8,0,0,0,4-7V117.92A8.63,8.63,0,0,0,504.4,115.83ZM111.6,17.28h0l80.19,46.15-80.2,46.18L31.41,63.44Zm88.25,60V278.6l-46.53,26.79-33.69,19.4V123.5l46.53-26.79Zm0,412.78L23.37,388.5V77.32L57.06,96.7l46.52,26.8V338.68a6.94,6.94,0,0,0,.12.9,8,8,0,0,0,.16,1.18h0a5.92,5.92,0,0,0,.38.9,6.38,6.38,0,0,0,.42,1v0a8.54,8.54,0,0,0,.6.78,7.62,7.62,0,0,0,.66.84l0,0c.23.22.52.38.77.58a8.93,8.93,0,0,0,.86.66l0,0,0,0,92.19,52.18Zm8-106.17-80.06-45.32,84.09-48.41,92.26-53.11,80.13,46.13-58.8,33.56Zm184.52,4.57L215.88,490.11V397.8L346.6,323.2l45.77-26.15Zm0-119.13L358.68,250l-46.53-26.79V131.79l33.69,19.4L392.37,178Zm8-105.28-80.2-46.17,80.2-46.16,80.18,46.15Zm8,105.28V178L455,151.19l33.68-19.4v91.39h0Z"}}]})(props);
};
function FaLastfmSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-92.2 312.9c-63.4 0-85.4-28.6-97.1-64.1-16.3-51-21.5-84.3-63-84.3-22.4 0-45.1 16.1-45.1 61.2 0 35.2 18 57.2 43.3 57.2 28.6 0 47.6-21.3 47.6-21.3l11.7 31.9s-19.8 19.4-61.2 19.4c-51.3 0-79.9-30.1-79.9-85.8 0-57.9 28.6-92 82.5-92 73.5 0 80.8 41.4 100.8 101.9 8.8 26.8 24.2 46.2 61.2 46.2 24.9 0 38.1-5.5 38.1-19.1 0-19.9-21.8-22-49.9-28.6-30.4-7.3-42.5-23.1-42.5-48 0-40 32.3-52.4 65.2-52.4 37.4 0 60.1 13.6 63 46.6l-36.7 4.4c-1.5-15.8-11-22.4-28.6-22.4-16.1 0-26 7.3-26 19.8 0 11 4.8 17.6 20.9 21.3 32.7 7.1 71.8 12 71.8 57.5.1 36.7-30.7 50.6-76.1 50.6z"}}]})(props);
};
function FaLastfm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M225.8 367.1l-18.8-51s-30.5 34-76.2 34c-40.5 0-69.2-35.2-69.2-91.5 0-72.1 36.4-97.9 72.1-97.9 66.5 0 74.8 53.3 100.9 134.9 18.8 56.9 54 102.6 155.4 102.6 72.7 0 122-22.3 122-80.9 0-72.9-62.7-80.6-115-92.1-25.8-5.9-33.4-16.4-33.4-34 0-19.9 15.8-31.7 41.6-31.7 28.2 0 43.4 10.6 45.7 35.8l58.6-7c-4.7-52.8-41.1-74.5-100.9-74.5-52.8 0-104.4 19.9-104.4 83.9 0 39.9 19.4 65.1 68 76.8 44.9 10.6 79.8 13.8 79.8 45.7 0 21.7-21.1 30.5-61 30.5-59.2 0-83.9-31.1-97.9-73.9-32-96.8-43.6-163-161.3-163C45.7 113.8 0 168.3 0 261c0 89.1 45.7 137.2 127.9 137.2 66.2 0 97.9-31.1 97.9-31.1z"}}]})(props);
};
function FaLeanpub (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M386.539 111.485l15.096 248.955-10.979-.275c-36.232-.824-71.64 8.783-102.657 27.997-31.016-19.214-66.424-27.997-102.657-27.997-45.564 0-82.07 10.705-123.516 27.723L93.117 129.6c28.546-11.803 61.484-18.115 92.226-18.115 41.173 0 73.836 13.175 102.657 42.544 27.723-28.271 59.013-41.721 98.539-42.544zM569.07 448c-25.526 0-47.485-5.215-70.542-15.645-34.31-15.645-69.993-24.978-107.871-24.978-38.977 0-74.934 12.901-102.657 40.623-27.723-27.723-63.68-40.623-102.657-40.623-37.878 0-73.561 9.333-107.871 24.978C55.239 442.236 32.731 448 8.303 448H6.93L49.475 98.859C88.726 76.626 136.486 64 181.775 64 218.83 64 256.984 71.685 288 93.095 319.016 71.685 357.17 64 394.225 64c45.289 0 93.049 12.626 132.3 34.859L569.07 448zm-43.368-44.741l-34.036-280.246c-30.742-13.999-67.248-21.41-101.009-21.41-38.428 0-74.385 12.077-102.657 38.702-28.272-26.625-64.228-38.702-102.657-38.702-33.761 0-70.267 7.411-101.009 21.41L50.298 403.259c47.211-19.487 82.894-33.486 135.045-33.486 37.604 0 70.817 9.606 102.657 29.644 31.84-20.038 65.052-29.644 102.657-29.644 52.151 0 87.834 13.999 135.045 33.486z"}}]})(props);
};
function FaLess (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M612.7 219c0-20.5 3.2-32.6 3.2-54.6 0-34.2-12.6-45.2-40.5-45.2h-20.5v24.2h6.3c14.2 0 17.3 4.7 17.3 22.1 0 16.3-1.6 32.6-1.6 51.5 0 24.2 7.9 33.6 23.6 37.3v1.6c-15.8 3.7-23.6 13.1-23.6 37.3 0 18.9 1.6 34.2 1.6 51.5 0 17.9-3.7 22.6-17.3 22.6v.5h-6.3V393h20.5c27.8 0 40.5-11 40.5-45.2 0-22.6-3.2-34.2-3.2-54.6 0-11 6.8-22.6 27.3-23.6v-27.3c-20.5-.7-27.3-12.3-27.3-23.3zm-105.6 32c-15.8-6.3-30.5-10-30.5-20.5 0-7.9 6.3-12.6 17.9-12.6s22.1 4.7 33.6 13.1l21-27.8c-13.1-10-31-20.5-55.2-20.5-35.7 0-59.9 20.5-59.9 49.4 0 25.7 22.6 38.9 41.5 46.2 16.3 6.3 32.1 11.6 32.1 22.1 0 7.9-6.3 13.1-20.5 13.1-13.1 0-26.3-5.3-40.5-16.3l-21 30.5c15.8 13.1 39.9 22.1 59.9 22.1 42 0 64.6-22.1 64.6-51s-22.5-41-43-47.8zm-358.9 59.4c-3.7 0-8.4-3.2-8.4-13.1V119.1H65.2c-28.4 0-41 11-41 45.2 0 22.6 3.2 35.2 3.2 54.6 0 11-6.8 22.6-27.3 23.6v27.3c20.5.5 27.3 12.1 27.3 23.1 0 19.4-3.2 31-3.2 53.6 0 34.2 12.6 45.2 40.5 45.2h20.5v-24.2h-6.3c-13.1 0-17.3-5.3-17.3-22.6s1.6-32.1 1.6-51.5c0-24.2-7.9-33.6-23.6-37.3v-1.6c15.8-3.7 23.6-13.1 23.6-37.3 0-18.9-1.6-34.2-1.6-51.5s3.7-22.1 17.3-22.1H93v150.8c0 32.1 11 53.1 43.1 53.1 10 0 17.9-1.6 23.6-3.7l-5.3-34.2c-3.1.8-4.6.8-6.2.8zM379.9 251c-16.3-6.3-31-10-31-20.5 0-7.9 6.3-12.6 17.9-12.6 11.6 0 22.1 4.7 33.6 13.1l21-27.8c-13.1-10-31-20.5-55.2-20.5-35.7 0-59.9 20.5-59.9 49.4 0 25.7 22.6 38.9 41.5 46.2 16.3 6.3 32.1 11.6 32.1 22.1 0 7.9-6.3 13.1-20.5 13.1-13.1 0-26.3-5.3-40.5-16.3l-20.5 30.5c15.8 13.1 39.9 22.1 59.9 22.1 42 0 64.6-22.1 64.6-51 .1-28.9-22.5-41-43-47.8zm-155-68.8c-38.4 0-75.1 32.1-74.1 82.5 0 52 34.2 82.5 79.3 82.5 18.9 0 39.9-6.8 56.2-17.9l-15.8-27.8c-11.6 6.8-22.6 10-34.2 10-21 0-37.3-10-41.5-34.2H290c.5-3.7 1.6-11 1.6-19.4.6-42.6-22.6-75.7-66.7-75.7zm-30 66.2c3.2-21 15.8-31 30.5-31 18.9 0 26.3 13.1 26.3 31h-56.8z"}}]})(props);
};
function FaLine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M272.1 204.2v71.1c0 1.8-1.4 3.2-3.2 3.2h-11.4c-1.1 0-2.1-.6-2.6-1.3l-32.6-44v42.2c0 1.8-1.4 3.2-3.2 3.2h-11.4c-1.8 0-3.2-1.4-3.2-3.2v-71.1c0-1.8 1.4-3.2 3.2-3.2H219c1 0 2.1.5 2.6 1.4l32.6 44v-42.2c0-1.8 1.4-3.2 3.2-3.2h11.4c1.8-.1 3.3 1.4 3.3 3.1zm-82-3.2h-11.4c-1.8 0-3.2 1.4-3.2 3.2v71.1c0 1.8 1.4 3.2 3.2 3.2h11.4c1.8 0 3.2-1.4 3.2-3.2v-71.1c0-1.7-1.4-3.2-3.2-3.2zm-27.5 59.6h-31.1v-56.4c0-1.8-1.4-3.2-3.2-3.2h-11.4c-1.8 0-3.2 1.4-3.2 3.2v71.1c0 .9.3 1.6.9 2.2.6.5 1.3.9 2.2.9h45.7c1.8 0 3.2-1.4 3.2-3.2v-11.4c0-1.7-1.4-3.2-3.1-3.2zM332.1 201h-45.7c-1.7 0-3.2 1.4-3.2 3.2v71.1c0 1.7 1.4 3.2 3.2 3.2h45.7c1.8 0 3.2-1.4 3.2-3.2v-11.4c0-1.8-1.4-3.2-3.2-3.2H301v-12h31.1c1.8 0 3.2-1.4 3.2-3.2V234c0-1.8-1.4-3.2-3.2-3.2H301v-12h31.1c1.8 0 3.2-1.4 3.2-3.2v-11.4c-.1-1.7-1.5-3.2-3.2-3.2zM448 113.7V399c-.1 44.8-36.8 81.1-81.7 81H81c-44.8-.1-81.1-36.9-81-81.7V113c.1-44.8 36.9-81.1 81.7-81H367c44.8.1 81.1 36.8 81 81.7zm-61.6 122.6c0-73-73.2-132.4-163.1-132.4-89.9 0-163.1 59.4-163.1 132.4 0 65.4 58 120.2 136.4 130.6 19.1 4.1 16.9 11.1 12.6 36.8-.7 4.1-3.3 16.1 14.1 8.8 17.4-7.3 93.9-55.3 128.2-94.7 23.6-26 34.9-52.3 34.9-81.5z"}}]})(props);
};
function FaLinkedinIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M100.28 448H7.4V148.9h92.88zM53.79 108.1C24.09 108.1 0 83.5 0 53.8a53.79 53.79 0 0 1 107.58 0c0 29.7-24.1 54.3-53.79 54.3zM447.9 448h-92.68V302.4c0-34.7-.7-79.2-48.29-79.2-48.29 0-55.69 37.7-55.69 76.7V448h-92.78V148.9h89.08v40.8h1.3c12.4-23.5 42.69-48.3 87.88-48.3 94 0 111.28 61.9 111.28 142.3V448z"}}]})(props);
};
function FaLinkedin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z"}}]})(props);
};
function FaLinode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M437.4 226.3c-.3-.9-.9-1.4-1.4-2l-70-38.6c-.9-.6-2-.6-3.1 0l-58.9 36c-.9.6-1.4 1.7-1.4 2.6l-.9 31.4-24-16c-.9-.6-2.3-.6-3.1 0L240 260.9l-1.4-35.1c0-.9-.6-2-1.4-2.3l-36-24.3 33.7-17.4c1.1-.6 1.7-1.7 1.7-2.9l-5.7-132.3c0-.9-.9-2-1.7-2.6L138.6.3c-.9-.3-1.7-.3-2.3-.3L12.6 38.6c-1.4.6-2.3 2-2 3.7L38 175.4c.9 3.4 34 27.4 38.6 30.9l-26.9 12.9c-1.4.9-2 2.3-1.7 3.4l20.6 100.3c.6 2.9 23.7 23.1 27.1 26.3l-17.4 10.6c-.9.6-1.7 2-1.4 3.1 1.4 7.1 15.4 77.7 16.9 79.1l65.1 69.1c.6.6 1.4.6 2.3.9.6 0 1.1-.3 1.7-.6l83.7-66.9c.9-.6 1.1-1.4 1.1-2.3l-2-46 28 23.7c1.1.9 2.9.9 4 0l66.9-53.4c.9-.6 1.1-1.4 1.1-2.3l2.3-33.4 20.3 14c1.1.9 2.6.9 3.7 0l54.6-43.7c.6-.3 1.1-1.1 1.1-2 .9-6.5 10.3-70.8 9.7-72.8zm-204.8 4.8l4 92.6-90.6 61.2-14-96.6 100.6-57.2zm-7.7-180l5.4 126-106.6 55.4L104 97.7l120.9-46.6zM44 173.1L18 48l79.7 49.4 19.4 132.9L44 173.1zm30.6 147.8L55.7 230l70 58.3 13.7 93.4-64.8-60.8zm24.3 117.7l-13.7-67.1 61.7 60.9 9.7 67.4-57.7-61.2zm64.5 64.5l-10.6-70.9 85.7-61.4 3.1 70-78.2 62.3zm82-115.1c0-3.4.9-22.9-2-25.1l-24.3-20 22.3-14.9c2.3-1.7 1.1-5.7 1.1-8l29.4 22.6.6 68.3-27.1-22.9zm94.3-25.4l-60.9 48.6-.6-68.6 65.7-46.9-4.2 66.9zm27.7-25.7l-19.1-13.4 2-34c.3-.9-.3-2-1.1-2.6L308 259.7l.6-30 64.6 40.6-5.8 66.6zm54.6-39.8l-48.3 38.3 5.7-65.1 51.1-36.6-8.5 63.4z"}}]})(props);
};
function FaLinux (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M220.8 123.3c1 .5 1.8 1.7 3 1.7 1.1 0 2.8-.4 2.9-1.5.2-1.4-1.9-2.3-3.2-2.9-1.7-.7-3.9-1-5.5-.1-.4.2-.8.7-.6 1.1.3 1.3 2.3 1.1 3.4 1.7zm-21.9 1.7c1.2 0 2-1.2 3-1.7 1.1-.6 3.1-.4 3.5-1.6.2-.4-.2-.9-.6-1.1-1.6-.9-3.8-.6-5.5.1-1.3.6-3.4 1.5-3.2 2.9.1 1 1.8 1.5 2.8 1.4zM420 403.8c-3.6-4-5.3-11.6-7.2-19.7-1.8-8.1-3.9-16.8-10.5-22.4-1.3-1.1-2.6-2.1-4-2.9-1.3-.8-2.7-1.5-4.1-2 9.2-27.3 5.6-54.5-3.7-79.1-11.4-30.1-31.3-56.4-46.5-74.4-17.1-21.5-33.7-41.9-33.4-72C311.1 85.4 315.7.1 234.8 0 132.4-.2 158 103.4 156.9 135.2c-1.7 23.4-6.4 41.8-22.5 64.7-18.9 22.5-45.5 58.8-58.1 96.7-6 17.9-8.8 36.1-6.2 53.3-6.5 5.8-11.4 14.7-16.6 20.2-4.2 4.3-10.3 5.9-17 8.3s-14 6-18.5 14.5c-2.1 3.9-2.8 8.1-2.8 12.4 0 3.9.6 7.9 1.2 11.8 1.2 8.1 2.5 15.7.8 20.8-5.2 14.4-5.9 24.4-2.2 31.7 3.8 7.3 11.4 10.5 20.1 12.3 17.3 3.6 40.8 2.7 59.3 12.5 19.8 10.4 39.9 14.1 55.9 10.4 11.6-2.6 21.1-9.6 25.9-20.2 12.5-.1 26.3-5.4 48.3-6.6 14.9-1.2 33.6 5.3 55.1 4.1.6 2.3 1.4 4.6 2.5 6.7v.1c8.3 16.7 23.8 24.3 40.3 23 16.6-1.3 34.1-11 48.3-27.9 13.6-16.4 36-23.2 50.9-32.2 7.4-4.5 13.4-10.1 13.9-18.3.4-8.2-4.4-17.3-15.5-29.7zM223.7 87.3c9.8-22.2 34.2-21.8 44-.4 6.5 14.2 3.6 30.9-4.3 40.4-1.6-.8-5.9-2.6-12.6-4.9 1.1-1.2 3.1-2.7 3.9-4.6 4.8-11.8-.2-27-9.1-27.3-7.3-.5-13.9 10.8-11.8 23-4.1-2-9.4-3.5-13-4.4-1-6.9-.3-14.6 2.9-21.8zM183 75.8c10.1 0 20.8 14.2 19.1 33.5-3.5 1-7.1 2.5-10.2 4.6 1.2-8.9-3.3-20.1-9.6-19.6-8.4.7-9.8 21.2-1.8 28.1 1 .8 1.9-.2-5.9 5.5-15.6-14.6-10.5-52.1 8.4-52.1zm-13.6 60.7c6.2-4.6 13.6-10 14.1-10.5 4.7-4.4 13.5-14.2 27.9-14.2 7.1 0 15.6 2.3 25.9 8.9 6.3 4.1 11.3 4.4 22.6 9.3 8.4 3.5 13.7 9.7 10.5 18.2-2.6 7.1-11 14.4-22.7 18.1-11.1 3.6-19.8 16-38.2 14.9-3.9-.2-7-1-9.6-2.1-8-3.5-12.2-10.4-20-15-8.6-4.8-13.2-10.4-14.7-15.3-1.4-4.9 0-9 4.2-12.3zm3.3 334c-2.7 35.1-43.9 34.4-75.3 18-29.9-15.8-68.6-6.5-76.5-21.9-2.4-4.7-2.4-12.7 2.6-26.4v-.2c2.4-7.6.6-16-.6-23.9-1.2-7.8-1.8-15 .9-20 3.5-6.7 8.5-9.1 14.8-11.3 10.3-3.7 11.8-3.4 19.6-9.9 5.5-5.7 9.5-12.9 14.3-18 5.1-5.5 10-8.1 17.7-6.9 8.1 1.2 15.1 6.8 21.9 16l19.6 35.6c9.5 19.9 43.1 48.4 41 68.9zm-1.4-25.9c-4.1-6.6-9.6-13.6-14.4-19.6 7.1 0 14.2-2.2 16.7-8.9 2.3-6.2 0-14.9-7.4-24.9-13.5-18.2-38.3-32.5-38.3-32.5-13.5-8.4-21.1-18.7-24.6-29.9s-3-23.3-.3-35.2c5.2-22.9 18.6-45.2 27.2-59.2 2.3-1.7.8 3.2-8.7 20.8-8.5 16.1-24.4 53.3-2.6 82.4.6-20.7 5.5-41.8 13.8-61.5 12-27.4 37.3-74.9 39.3-112.7 1.1.8 4.6 3.2 6.2 4.1 4.6 2.7 8.1 6.7 12.6 10.3 12.4 10 28.5 9.2 42.4 1.2 6.2-3.5 11.2-7.5 15.9-9 9.9-3.1 17.8-8.6 22.3-15 7.7 30.4 25.7 74.3 37.2 95.7 6.1 11.4 18.3 35.5 23.6 64.6 3.3-.1 7 .4 10.9 1.4 13.8-35.7-11.7-74.2-23.3-84.9-4.7-4.6-4.9-6.6-2.6-6.5 12.6 11.2 29.2 33.7 35.2 59 2.8 11.6 3.3 23.7.4 35.7 16.4 6.8 35.9 17.9 30.7 34.8-2.2-.1-3.2 0-4.2 0 3.2-10.1-3.9-17.6-22.8-26.1-19.6-8.6-36-8.6-38.3 12.5-12.1 4.2-18.3 14.7-21.4 27.3-2.8 11.2-3.6 24.7-4.4 39.9-.5 7.7-3.6 18-6.8 29-32.1 22.9-76.7 32.9-114.3 7.2zm257.4-11.5c-.9 16.8-41.2 19.9-63.2 46.5-13.2 15.7-29.4 24.4-43.6 25.5s-26.5-4.8-33.7-19.3c-4.7-11.1-2.4-23.1 1.1-36.3 3.7-14.2 9.2-28.8 9.9-40.6.8-15.2 1.7-28.5 4.2-38.7 2.6-10.3 6.6-17.2 13.7-21.1.3-.2.7-.3 1-.5.8 13.2 7.3 26.6 18.8 29.5 12.6 3.3 30.7-7.5 38.4-16.3 9-.3 15.7-.9 22.6 5.1 9.9 8.5 7.1 30.3 17.1 41.6 10.6 11.6 14 19.5 13.7 24.6zM173.3 148.7c2 1.9 4.7 4.5 8 7.1 6.6 5.2 15.8 10.6 27.3 10.6 11.6 0 22.5-5.9 31.8-10.8 4.9-2.6 10.9-7 14.8-10.4s5.9-6.3 3.1-6.6-2.6 2.6-6 5.1c-4.4 3.2-9.7 7.4-13.9 9.8-7.4 4.2-19.5 10.2-29.9 10.2s-18.7-4.8-24.9-9.7c-3.1-2.5-5.7-5-7.7-6.9-1.5-1.4-1.9-4.6-4.3-4.9-1.4-.1-1.8 3.7 1.7 6.5z"}}]})(props);
};
function FaLyft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M0 81.1h77.8v208.7c0 33.1 15 52.8 27.2 61-12.7 11.1-51.2 20.9-80.2-2.8C7.8 334 0 310.7 0 289V81.1zm485.9 173.5v-22h23.8v-76.8h-26.1c-10.1-46.3-51.2-80.7-100.3-80.7-56.6 0-102.7 46-102.7 102.7V357c16 2.3 35.4-.3 51.7-14 17.1-14 24.8-37.2 24.8-59v-6.7h38.8v-76.8h-38.8v-23.3c0-34.6 52.2-34.6 52.2 0v77.1c0 56.6 46 102.7 102.7 102.7v-76.5c-14.5 0-26.1-11.7-26.1-25.9zm-294.3-99v113c0 15.4-23.8 15.4-23.8 0v-113H91v132.7c0 23.8 8 54 45 63.9 37 9.8 58.2-10.6 58.2-10.6-2.1 13.4-14.5 23.3-34.9 25.3-15.5 1.6-35.2-3.6-45-7.8v70.3c25.1 7.5 51.5 9.8 77.6 4.7 47.1-9.1 76.8-48.4 76.8-100.8V155.1h-77.1v.5z"}}]})(props);
};
function FaMagento (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M445.7 127.9V384l-63.4 36.5V164.7L223.8 73.1 65.2 164.7l.4 255.9L2.3 384V128.1L224.2 0l221.5 127.9zM255.6 420.5L224 438.9l-31.8-18.2v-256l-63.3 36.6.1 255.9 94.9 54.9 95.1-54.9v-256l-63.4-36.6v255.9z"}}]})(props);
};
function FaMailchimp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M330.61 243.52a36.15 36.15 0 0 1 9.3 0c1.66-3.83 1.95-10.43.45-17.61-2.23-10.67-5.25-17.14-11.48-16.13s-6.47 8.74-4.24 19.42c1.26 6 3.49 11.14 6 14.32zM277.05 252c4.47 2 7.2 3.26 8.28 2.13 1.89-1.94-3.48-9.39-12.12-13.09a31.44 31.44 0 0 0-30.61 3.68c-3 2.18-5.81 5.22-5.41 7.06.85 3.74 10-2.71 22.6-3.48 7-.44 12.8 1.75 17.26 3.71zm-9 5.13c-9.07 1.42-15 6.53-13.47 10.1.9.34 1.17.81 5.21-.81a37 37 0 0 1 18.72-1.95c2.92.34 4.31.52 4.94-.49 1.46-2.22-5.71-8-15.39-6.85zm54.17 17.1c3.38-6.87-10.9-13.93-14.3-7s10.92 13.88 14.32 6.97zm15.66-20.47c-7.66-.13-7.95 15.8-.26 15.93s7.98-15.81.28-15.96zm-218.79 78.9c-1.32.31-6 1.45-8.47-2.35-5.2-8 11.11-20.38 3-35.77-9.1-17.47-27.82-13.54-35.05-5.54-8.71 9.6-8.72 23.54-5 24.08 4.27.57 4.08-6.47 7.38-11.63a12.83 12.83 0 0 1 17.85-3.72c11.59 7.59 1.37 17.76 2.28 28.62 1.39 16.68 18.42 16.37 21.58 9a2.08 2.08 0 0 0-.2-2.33c.03.89.68-1.3-3.35-.39zm299.72-17.07c-3.35-11.73-2.57-9.22-6.78-20.52 2.45-3.67 15.29-24-3.07-43.25-10.4-10.92-33.9-16.54-41.1-18.54-1.5-11.39 4.65-58.7-21.52-83 20.79-21.55 33.76-45.29 33.73-65.65-.06-39.16-48.15-51-107.42-26.47l-12.55 5.33c-.06-.05-22.71-22.27-23.05-22.57C169.5-18-41.77 216.81 25.78 273.85l14.76 12.51a72.49 72.49 0 0 0-4.1 33.5c3.36 33.4 36 60.42 67.53 60.38 57.73 133.06 267.9 133.28 322.29 3 1.74-4.47 9.11-24.61 9.11-42.38s-10.09-25.27-16.53-25.27zm-316 48.16c-22.82-.61-47.46-21.15-49.91-45.51-6.17-61.31 74.26-75.27 84-12.33 4.54 29.64-4.67 58.49-34.12 57.81zM84.3 249.55C69.14 252.5 55.78 261.09 47.6 273c-4.88-4.07-14-12-15.59-15-13.01-24.85 14.24-73 33.3-100.21C112.42 90.56 186.19 39.68 220.36 48.91c5.55 1.57 23.94 22.89 23.94 22.89s-34.15 18.94-65.8 45.35c-42.66 32.85-74.89 80.59-94.2 132.4zM323.18 350.7s-35.74 5.3-69.51-7.07c6.21-20.16 27 6.1 96.4-13.81 15.29-4.38 35.37-13 51-25.35a102.85 102.85 0 0 1 7.12 24.28c3.66-.66 14.25-.52 11.44 18.1-3.29 19.87-11.73 36-25.93 50.84A106.86 106.86 0 0 1 362.55 421a132.45 132.45 0 0 1-20.34 8.58c-53.51 17.48-108.3-1.74-126-43a66.33 66.33 0 0 1-3.55-9.74c-7.53-27.2-1.14-59.83 18.84-80.37 1.23-1.31 2.48-2.85 2.48-4.79a8.45 8.45 0 0 0-1.92-4.54c-7-10.13-31.19-27.4-26.33-60.83 3.5-24 24.49-40.91 44.07-39.91l5 .29c8.48.5 15.89 1.59 22.88 1.88 11.69.5 22.2-1.19 34.64-11.56 4.2-3.5 7.57-6.54 13.26-7.51a17.45 17.45 0 0 1 13.6 2.24c10 6.64 11.4 22.73 11.92 34.49.29 6.72 1.1 23 1.38 27.63.63 10.67 3.43 12.17 9.11 14 3.19 1.05 6.15 1.83 10.51 3.06 13.21 3.71 21 7.48 26 12.31a16.38 16.38 0 0 1 4.74 9.29c1.56 11.37-8.82 25.4-36.31 38.16-46.71 21.68-93.68 14.45-100.48 13.68-20.15-2.71-31.63 23.32-19.55 41.15 22.64 33.41 122.4 20 151.37-21.35.69-1 .12-1.59-.73-1-41.77 28.58-97.06 38.21-128.46 26-4.77-1.85-14.73-6.44-15.94-16.67 43.6 13.49 71 .74 71 .74s2.03-2.79-.56-2.53zm-68.47-5.7zm-83.4-187.5c16.74-19.35 37.36-36.18 55.83-45.63a.73.73 0 0 1 1 1c-1.46 2.66-4.29 8.34-5.19 12.65a.75.75 0 0 0 1.16.79c11.49-7.83 31.48-16.22 49-17.3a.77.77 0 0 1 .52 1.38 41.86 41.86 0 0 0-7.71 7.74.75.75 0 0 0 .59 1.19c12.31.09 29.66 4.4 41 10.74.76.43.22 1.91-.64 1.72-69.55-15.94-123.08 18.53-134.5 26.83a.76.76 0 0 1-1-1.12z"}}]})(props);
};
function FaMandalorian (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M232.27 511.89c-1-3.26-1.69-15.83-1.39-24.58.55-15.89 1-24.72 1.4-28.76.64-6.2 2.87-20.72 3.28-21.38.6-1 .4-27.87-.24-33.13-.31-2.58-.63-11.9-.69-20.73-.13-16.47-.53-20.12-2.73-24.76-1.1-2.32-1.23-3.84-1-11.43a92.38 92.38 0 0 0-.34-12.71c-2-13-3.46-27.7-3.25-33.9s.43-7.15 2.06-9.67c3.05-4.71 6.51-14 8.62-23.27 2.26-9.86 3.88-17.18 4.59-20.74a109.54 109.54 0 0 1 4.42-15.05c2.27-6.25 2.49-15.39.37-15.39-.3 0-1.38 1.22-2.41 2.71s-4.76 4.8-8.29 7.36c-8.37 6.08-11.7 9.39-12.66 12.58s-1 7.23-.16 7.76c.34.21 1.29 2.4 2.11 4.88a28.83 28.83 0 0 1 .72 15.36c-.39 1.77-1 5.47-1.46 8.23s-1 6.46-1.25 8.22a9.85 9.85 0 0 1-1.55 4.26c-1 1-1.14.91-2.05-.53a14.87 14.87 0 0 1-1.44-4.75c-.25-1.74-1.63-7.11-3.08-11.93-3.28-10.9-3.52-16.15-1-21a14.24 14.24 0 0 0 1.67-4.61c0-2.39-2.2-5.32-7.41-9.89-7-6.18-8.63-7.92-10.23-11.3-1.71-3.6-3.06-4.06-4.54-1.54-1.78 3-2.6 9.11-3 22l-.34 12.19 2 2.25c3.21 3.7 12.07 16.45 13.78 19.83 3.41 6.74 4.34 11.69 4.41 23.56s.95 22.75 2 24.71c.36.66.51 1.35.34 1.52s.41 2.09 1.29 4.27a38.14 38.14 0 0 1 2.06 9 91 91 0 0 0 1.71 10.37c2.23 9.56 2.77 14.08 2.39 20.14-.2 3.27-.53 11.07-.73 17.32-1.31 41.76-1.85 58-2 61.21-.12 2-.39 11.51-.6 21.07-.36 16.3-1.3 27.37-2.42 28.65-.64.73-8.07-4.91-12.52-9.49-3.75-3.87-4-4.79-2.83-9.95.7-3 2.26-18.29 3.33-32.62.36-4.78.81-10.5 1-12.71.83-9.37 1.66-20.35 2.61-34.78.56-8.46 1.33-16.44 1.72-17.73s.89-9.89 1.13-19.11l.43-16.77-2.26-4.3c-1.72-3.28-4.87-6.94-13.22-15.34-6-6.07-11.84-12.3-12.91-13.85l-1.95-2.81.75-10.9c1.09-15.71 1.1-48.57 0-59.06l-.89-8.7-3.28-4.52c-5.86-8.08-5.8-7.75-6.22-33.27-.1-6.07-.38-11.5-.63-12.06-.83-1.87-3.05-2.66-8.54-3.05-8.86-.62-11-1.9-23.85-14.55-6.15-6-12.34-12-13.75-13.19-2.81-2.42-2.79-2-.56-9.63l1.35-4.65-1.69-3a32.22 32.22 0 0 0-2.59-4.07c-1.33-1.51-5.5-10.89-6-13.49a4.24 4.24 0 0 1 .87-3.9c2.23-2.86 3.4-5.68 4.45-10.73 2.33-11.19 7.74-26.09 10.6-29.22 3.18-3.47 7.7-1 9.41 5 1.34 4.79 1.37 9.79.1 18.55a101.2 101.2 0 0 0-1 11.11c0 4 .19 4.69 2.25 7.39 3.33 4.37 7.73 7.41 15.2 10.52a18.67 18.67 0 0 1 4.72 2.85c11.17 10.72 18.62 16.18 22.95 16.85 5.18.8 8 4.54 10 13.39 1.31 5.65 4 11.14 5.46 11.14a9.38 9.38 0 0 0 3.33-1.39c2-1.22 2.25-1.73 2.25-4.18a132.88 132.88 0 0 0-2-17.84c-.37-1.66-.78-4.06-.93-5.35s-.61-3.85-1-5.69c-2.55-11.16-3.65-15.46-4.1-16-1.55-2-4.08-10.2-4.93-15.92-1.64-11.11-4-14.23-12.91-17.39A43.15 43.15 0 0 1 165.24 78c-1.15-1-4-3.22-6.35-5.06s-4.41-3.53-4.6-3.76a22.7 22.7 0 0 0-2.69-2c-6.24-4.22-8.84-7-11.26-12l-2.44-5-.22-13-.22-13 6.91-6.55c3.95-3.75 8.48-7.35 10.59-8.43 3.31-1.69 4.45-1.89 11.37-2 8.53-.19 10.12 0 11.66 1.56s1.36 6.4-.29 8.5a6.66 6.66 0 0 0-1.34 2.32c0 .58-2.61 4.91-5.42 9a30.39 30.39 0 0 0-2.37 6.82c20.44 13.39 21.55 3.77 14.07 29L194 66.92c3.11-8.66 6.47-17.26 8.61-26.22.29-7.63-12-4.19-15.4-8.68-2.33-5.93 3.13-14.18 6.06-19.2 1.6-2.34 6.62-4.7 8.82-4.15.88.22 4.16-.35 7.37-1.28a45.3 45.3 0 0 1 7.55-1.68 29.57 29.57 0 0 0 6-1.29c3.65-1.11 4.5-1.17 6.35-.4a29.54 29.54 0 0 0 5.82 1.36 18.18 18.18 0 0 1 6 1.91 22.67 22.67 0 0 0 5 2.17c2.51.68 3 .57 7.05-1.67l4.35-2.4L268.32 5c10.44-.4 10.81-.47 15.26-2.68L288.16 0l2.46 1.43c1.76 1 3.14 2.73 4.85 6 2.36 4.51 2.38 4.58 1.37 7.37-.88 2.44-.89 3.3-.1 6.39a35.76 35.76 0 0 0 2.1 5.91 13.55 13.55 0 0 1 1.31 4c.31 4.33 0 5.3-2.41 6.92-2.17 1.47-7 7.91-7 9.34a14.77 14.77 0 0 1-1.07 3c-5 11.51-6.76 13.56-14.26 17-9.2 4.2-12.3 5.19-16.21 5.19-3.1 0-4 .25-4.54 1.26a18.33 18.33 0 0 1-4.09 3.71 13.62 13.62 0 0 0-4.38 4.78 5.89 5.89 0 0 1-2.49 2.91 6.88 6.88 0 0 0-2.45 1.71 67.62 67.62 0 0 1-7 5.38c-3.33 2.34-6.87 5-7.87 6A7.27 7.27 0 0 1 224 100a5.76 5.76 0 0 0-2.13 1.65c-1.31 1.39-1.49 2.11-1.14 4.6a36.45 36.45 0 0 0 1.42 5.88c1.32 3.8 1.31 7.86 0 10.57s-.89 6.65 1.35 9.59c2 2.63 2.16 4.56.71 8.84a33.45 33.45 0 0 0-1.06 8.91c0 4.88.22 6.28 1.46 8.38s1.82 2.48 3.24 2.32c2-.23 2.3-1.05 4.71-12.12 2.18-10 3.71-11.92 13.76-17.08 2.94-1.51 7.46-4 10-5.44s6.79-3.69 9.37-4.91a40.09 40.09 0 0 0 15.22-11.67c7.11-8.79 10-16.22 12.85-33.3a18.37 18.37 0 0 1 2.86-7.73 20.39 20.39 0 0 0 2.89-7.31c1-5.3 2.85-9.08 5.58-11.51 4.7-4.18 6-1.09 4.59 10.87-.46 3.86-1.1 10.33-1.44 14.38l-.61 7.36 4.45 4.09 4.45 4.09.11 8.42c.06 4.63.47 9.53.92 10.89l.82 2.47-6.43 6.28c-8.54 8.33-12.88 13.93-16.76 21.61-1.77 3.49-3.74 7.11-4.38 8-2.18 3.11-6.46 13-8.76 20.26l-2.29 7.22-7 6.49c-3.83 3.57-8 7.25-9.17 8.17-3.05 2.32-4.26 5.15-4.26 10a14.62 14.62 0 0 0 1.59 7.26 42 42 0 0 1 2.09 4.83 9.28 9.28 0 0 0 1.57 2.89c1.4 1.59 1.92 16.12.83 23.22-.68 4.48-3.63 12-4.7 12-1.79 0-4.06 9.27-5.07 20.74-.18 2-.62 5.94-1 8.7s-1 10-1.35 16.05c-.77 12.22-.19 18.77 2 23.15 3.41 6.69.52 12.69-11 22.84l-4 3.49.07 5.19a40.81 40.81 0 0 0 1.14 8.87c4.61 16 4.73 16.92 4.38 37.13-.46 26.4-.26 40.27.63 44.15a61.31 61.31 0 0 1 1.08 7c.17 2 .66 5.33 1.08 7.36.47 2.26.78 11 .79 22.74v19.06l-1.81 2.63c-2.71 3.91-15.11 13.54-15.49 12.29zm29.53-45.11c-.18-.3-.33-6.87-.33-14.59 0-14.06-.89-27.54-2.26-34.45-.4-2-.81-9.7-.9-17.06-.15-11.93-1.4-24.37-2.64-26.38-.66-1.07-3-17.66-3-21.3 0-4.23 1-6 5.28-9.13s4.86-3.14 5.48-.72c.28 1.1 1.45 5.62 2.6 10 3.93 15.12 4.14 16.27 4.05 21.74-.1 5.78-.13 6.13-1.74 17.73-1 7.07-1.17 12.39-1 28.43.17 19.4-.64 35.73-2 41.27-.71 2.78-2.8 5.48-3.43 4.43zm-71-37.58a101 101 0 0 1-1.73-10.79 100.5 100.5 0 0 0-1.73-10.79 37.53 37.53 0 0 1-1-6.49c-.31-3.19-.91-7.46-1.33-9.48-1-4.79-3.35-19.35-3.42-21.07 0-.74-.34-4.05-.7-7.36-.67-6.21-.84-27.67-.22-28.29 1-1 6.63 2.76 11.33 7.43l5.28 5.25-.45 6.47c-.25 3.56-.6 10.23-.78 14.83s-.49 9.87-.67 11.71-.61 9.36-.94 16.72c-.79 17.41-1.94 31.29-2.65 32a.62.62 0 0 1-1-.14zm-87.18-266.59c21.07 12.79 17.84 14.15 28.49 17.66 13 4.29 18.87 7.13 23.15 16.87C111.6 233.28 86.25 255 78.55 268c-31 52-6 101.59 62.75 87.21-14.18 29.23-78 28.63-98.68-4.9-24.68-39.95-22.09-118.3 61-187.66zm210.79 179c56.66 6.88 82.32-37.74 46.54-89.23 0 0-26.87-29.34-64.28-68 3-15.45 9.49-32.12 30.57-53.82 89.2 63.51 92 141.61 92.46 149.36 4.3 70.64-78.7 91.18-105.29 61.71z"}}]})(props);
};
function FaMarkdown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M593.8 59.1H46.2C20.7 59.1 0 79.8 0 105.2v301.5c0 25.5 20.7 46.2 46.2 46.2h547.7c25.5 0 46.2-20.7 46.1-46.1V105.2c0-25.4-20.7-46.1-46.2-46.1zM338.5 360.6H277v-120l-61.5 76.9-61.5-76.9v120H92.3V151.4h61.5l61.5 76.9 61.5-76.9h61.5v209.2zm135.3 3.1L381.5 256H443V151.4h61.5V256H566z"}}]})(props);
};
function FaMastodon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M433 179.11c0-97.2-63.71-125.7-63.71-125.7-62.52-28.7-228.56-28.4-290.48 0 0 0-63.72 28.5-63.72 125.7 0 115.7-6.6 259.4 105.63 289.1 40.51 10.7 75.32 13 103.33 11.4 50.81-2.8 79.32-18.1 79.32-18.1l-1.7-36.9s-36.31 11.4-77.12 10.1c-40.41-1.4-83-4.4-89.63-54a102.54 102.54 0 0 1-.9-13.9c85.63 20.9 158.65 9.1 178.75 6.7 56.12-6.7 105-41.3 111.23-72.9 9.8-49.8 9-121.5 9-121.5zm-75.12 125.2h-46.63v-114.2c0-49.7-64-51.6-64 6.9v62.5h-46.33V197c0-58.5-64-56.6-64-6.9v114.2H90.19c0-122.1-5.2-147.9 18.41-175 25.9-28.9 79.82-30.8 103.83 6.1l11.6 19.5 11.6-19.5c24.11-37.1 78.12-34.8 103.83-6.1 23.71 27.3 18.4 53 18.4 175z"}}]})(props);
};
function FaMaxcdn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M461.1 442.7h-97.4L415.6 200c2.3-10.2.9-19.5-4.4-25.7-5-6.1-13.7-9.6-24.2-9.6h-49.3l-59.5 278h-97.4l59.5-278h-83.4l-59.5 278H0l59.5-278-44.6-95.4H387c39.4 0 75.3 16.3 98.3 44.9 23.3 28.6 31.8 67.4 23.6 105.9l-47.8 222.6z"}}]})(props);
};
function FaMdb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M17.37 160.41L7 352h43.91l5.59-79.83L84.43 352h44.71l25.54-77.43 4.79 77.43H205l-12.79-191.59H146.7L106 277.74 63.67 160.41zm281 0h-47.9V352h47.9s95 .8 94.2-95.79c-.78-94.21-94.18-95.78-94.18-95.78zm-1.2 146.46V204.78s46 4.27 46.8 50.57-46.78 51.54-46.78 51.54zm238.29-74.24a56.16 56.16 0 0 0 8-38.31c-5.34-35.76-55.08-34.32-55.08-34.32h-51.9v191.58H482s87 4.79 87-63.85c0-43.14-33.52-55.08-33.52-55.08zm-51.9-31.94s13.57-1.59 16 9.59c1.43 6.66-4 12-4 12h-12v-21.57zm-.1 109.46l.1-24.92V267h.08s41.58-4.73 41.19 22.43c-.33 25.65-41.35 20.74-41.35 20.74z"}}]})(props);
};
function FaMedapps (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M118.3 238.4c3.5-12.5 6.9-33.6 13.2-33.6 8.3 1.8 9.6 23.4 18.6 36.6 4.6-23.5 5.3-85.1 14.1-86.7 9-.7 19.7 66.5 22 77.5 9.9 4.1 48.9 6.6 48.9 6.6 1.9 7.3-24 7.6-40 7.8-4.6 14.8-5.4 27.7-11.4 28-4.7.2-8.2-28.8-17.5-49.6l-9.4 65.5c-4.4 13-15.5-22.5-21.9-39.3-3.3-.1-62.4-1.6-47.6-7.8l31-5zM228 448c21.2 0 21.2-32 0-32H92c-21.2 0-21.2 32 0 32h136zm-24 64c21.2 0 21.2-32 0-32h-88c-21.2 0-21.2 32 0 32h88zm34.2-141.5c3.2-18.9 5.2-36.4 11.9-48.8 7.9-14.7 16.1-28.1 24-41 24.6-40.4 45.9-75.2 45.9-125.5C320 69.6 248.2 0 160 0S0 69.6 0 155.2c0 50.2 21.3 85.1 45.9 125.5 7.9 12.9 16 26.3 24 41 6.7 12.5 8.7 29.8 11.9 48.9 3.5 21 36.1 15.7 32.6-5.1-3.6-21.7-5.6-40.7-15.3-58.6C66.5 246.5 33 211.3 33 155.2 33 87.3 90 32 160 32s127 55.3 127 123.2c0 56.1-33.5 91.3-66.1 151.6-9.7 18-11.7 37.4-15.3 58.6-3.4 20.6 29 26.4 32.6 5.1z"}}]})(props);
};
function FaMediumM (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M71.5 142.3c.6-5.9-1.7-11.8-6.1-15.8L20.3 72.1V64h140.2l108.4 237.7L364.2 64h133.7v8.1l-38.6 37c-3.3 2.5-5 6.7-4.3 10.8v272c-.7 4.1 1 8.3 4.3 10.8l37.7 37v8.1H307.3v-8.1l39.1-37.9c3.8-3.8 3.8-5 3.8-10.8V171.2L241.5 447.1h-14.7L100.4 171.2v184.9c-1.1 7.8 1.5 15.6 7 21.2l50.8 61.6v8.1h-144v-8L65 377.3c5.4-5.6 7.9-13.5 6.5-21.2V142.3z"}}]})(props);
};
function FaMedium (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 32v448h448V32H0zm372.2 106.1l-24 23c-2.1 1.6-3.1 4.2-2.7 6.7v169.3c-.4 2.6.6 5.2 2.7 6.7l23.5 23v5.1h-118V367l24.3-23.6c2.4-2.4 2.4-3.1 2.4-6.7V199.8l-67.6 171.6h-9.1L125 199.8v115c-.7 4.8 1 9.7 4.4 13.2l31.6 38.3v5.1H71.2v-5.1l31.6-38.3c3.4-3.5 4.9-8.4 4.1-13.2v-133c.4-3.7-1-7.3-3.8-9.8L75 138.1V133h87.3l67.4 148L289 133.1h83.2v5z"}}]})(props);
};
function FaMedrt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 544 512"},"child":[{"tag":"path","attr":{"d":"M113.7 256c0 121.8 83.9 222.8 193.5 241.1-18.7 4.5-38.2 6.9-58.2 6.9C111.4 504 0 393 0 256S111.4 8 248.9 8c20.1 0 39.6 2.4 58.2 6.9C197.5 33.2 113.7 134.2 113.7 256m297.4 100.3c-77.7 55.4-179.6 47.5-240.4-14.6 5.5 14.1 12.7 27.7 21.7 40.5 61.6 88.2 182.4 109.3 269.7 47 87.3-62.3 108.1-184.3 46.5-272.6-9-12.9-19.3-24.3-30.5-34.2 37.4 78.8 10.7 178.5-67 233.9m-218.8-244c-1.4 1-2.7 2.1-4 3.1 64.3-17.8 135.9 4 178.9 60.5 35.7 47 42.9 106.6 24.4 158 56.7-56.2 67.6-142.1 22.3-201.8-50-65.5-149.1-74.4-221.6-19.8M296 224c-4.4 0-8-3.6-8-8v-40c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v40c0 4.4-3.6 8-8 8h-40c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h40c4.4 0 8 3.6 8 8v40c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-40c0-4.4 3.6-8 8-8h40c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8h-40z"}}]})(props);
};
function FaMeetup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M99 414.3c1.1 5.7-2.3 11.1-8 12.3-5.4 1.1-10.9-2.3-12-8-1.1-5.4 2.3-11.1 7.7-12.3 5.4-1.2 11.1 2.3 12.3 8zm143.1 71.4c-6.3 4.6-8 13.4-3.7 20 4.6 6.6 13.4 8.3 20 3.7 6.3-4.6 8-13.4 3.4-20-4.2-6.5-13.1-8.3-19.7-3.7zm-86-462.3c6.3-1.4 10.3-7.7 8.9-14-1.1-6.6-7.4-10.6-13.7-9.1-6.3 1.4-10.3 7.7-9.1 14 1.4 6.6 7.6 10.6 13.9 9.1zM34.4 226.3c-10-6.9-23.7-4.3-30.6 6-6.9 10-4.3 24 5.7 30.9 10 7.1 23.7 4.6 30.6-5.7 6.9-10.4 4.3-24.1-5.7-31.2zm272-170.9c10.6-6.3 13.7-20 7.7-30.3-6.3-10.6-19.7-14-30-7.7s-13.7 20-7.4 30.6c6 10.3 19.4 13.7 29.7 7.4zm-191.1 58c7.7-5.4 9.4-16 4.3-23.7s-15.7-9.4-23.1-4.3c-7.7 5.4-9.4 16-4.3 23.7 5.1 7.8 15.6 9.5 23.1 4.3zm372.3 156c-7.4 1.7-12.3 9.1-10.6 16.9 1.4 7.4 8.9 12.3 16.3 10.6 7.4-1.4 12.3-8.9 10.6-16.6-1.5-7.4-8.9-12.3-16.3-10.9zm39.7-56.8c-1.1-5.7-6.6-9.1-12-8-5.7 1.1-9.1 6.9-8 12.6 1.1 5.4 6.6 9.1 12.3 8 5.4-1.5 9.1-6.9 7.7-12.6zM447 138.9c-8.6 6-10.6 17.7-4.9 26.3 5.7 8.6 17.4 10.6 26 4.9 8.3-6 10.3-17.7 4.6-26.3-5.7-8.7-17.4-10.9-25.7-4.9zm-6.3 139.4c26.3 43.1 15.1 100-26.3 129.1-17.4 12.3-37.1 17.7-56.9 17.1-12 47.1-69.4 64.6-105.1 32.6-1.1.9-2.6 1.7-3.7 2.9-39.1 27.1-92.3 17.4-119.4-22.3-9.7-14.3-14.6-30.6-15.1-46.9-65.4-10.9-90-94-41.1-139.7-28.3-46.9.6-107.4 53.4-114.9C151.6 70 234.1 38.6 290.1 82c67.4-22.3 136.3 29.4 130.9 101.1 41.1 12.6 52.8 66.9 19.7 95.2zm-70 74.3c-3.1-20.6-40.9-4.6-43.1-27.1-3.1-32 43.7-101.1 40-128-3.4-24-19.4-29.1-33.4-29.4-13.4-.3-16.9 2-21.4 4.6-2.9 1.7-6.6 4.9-11.7-.3-6.3-6-11.1-11.7-19.4-12.9-12.3-2-17.7 2-26.6 9.7-3.4 2.9-12 12.9-20 9.1-3.4-1.7-15.4-7.7-24-11.4-16.3-7.1-40 4.6-48.6 20-12.9 22.9-38 113.1-41.7 125.1-8.6 26.6 10.9 48.6 36.9 47.1 11.1-.6 18.3-4.6 25.4-17.4 4-7.4 41.7-107.7 44.6-112.6 2-3.4 8.9-8 14.6-5.1 5.7 3.1 6.9 9.4 6 15.1-1.1 9.7-28 70.9-28.9 77.7-3.4 22.9 26.9 26.6 38.6 4 3.7-7.1 45.7-92.6 49.4-98.3 4.3-6.3 7.4-8.3 11.7-8 3.1 0 8.3.9 7.1 10.9-1.4 9.4-35.1 72.3-38.9 87.7-4.6 20.6 6.6 41.4 24.9 50.6 11.4 5.7 62.5 15.7 58.5-11.1zm5.7 92.3c-10.3 7.4-12.9 22-5.7 32.6 7.1 10.6 21.4 13.1 32 6 10.6-7.4 13.1-22 6-32.6-7.4-10.6-21.7-13.5-32.3-6z"}}]})(props);
};
function FaMegaport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M214.5 209.6v66.2l33.5 33.5 33.3-33.3v-66.4l-33.4-33.4zM248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm145.1 414.4L367 441.6l-26-19.2v-65.5l-33.4-33.4-33.4 33.4v65.5L248 441.6l-26.1-19.2v-65.5l-33.4-33.4-33.5 33.4v65.5l-26.1 19.2-26.1-19.2v-87l59.5-59.5V188l59.5-59.5V52.9l26.1-19.2L274 52.9v75.6l59.5 59.5v87.6l59.7 59.7v87.1z"}}]})(props);
};
function FaMendeley (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624.6 325.2c-12.3-12.4-29.7-19.2-48.4-17.2-43.3-1-49.7-34.9-37.5-98.8 22.8-57.5-14.9-131.5-87.4-130.8-77.4.7-81.7 82-130.9 82-48.1 0-54-81.3-130.9-82-72.9-.8-110.1 73.3-87.4 130.8 12.2 63.9 5.8 97.8-37.5 98.8-21.2-2.3-37 6.5-53 22.5-19.9 19.7-19.3 94.8 42.6 102.6 47.1 5.9 81.6-42.9 61.2-87.8-47.3-103.7 185.9-106.1 146.5-8.2-.1.1-.2.2-.3.4-26.8 42.8 6.8 97.4 58.8 95.2 52.1 2.1 85.4-52.6 58.8-95.2-.1-.2-.2-.3-.3-.4-39.4-97.9 193.8-95.5 146.5 8.2-4.6 10-6.7 21.3-5.7 33 4.9 53.4 68.7 74.1 104.9 35.2 17.8-14.8 23.1-65.6 0-88.3zm-303.9-19.1h-.6c-43.4 0-62.8-37.5-62.8-62.8 0-34.7 28.2-62.8 62.8-62.8h.6c34.7 0 62.8 28.1 62.8 62.8 0 25-19.2 62.8-62.8 62.8z"}}]})(props);
};
function FaMicroblog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M399.36,362.23c29.49-34.69,47.1-78.34,47.1-125.79C446.46,123.49,346.86,32,224,32S1.54,123.49,1.54,236.44,101.14,440.87,224,440.87a239.28,239.28,0,0,0,79.44-13.44,7.18,7.18,0,0,1,8.12,2.56c18.58,25.09,47.61,42.74,79.89,49.92a4.42,4.42,0,0,0,5.22-3.43,4.37,4.37,0,0,0-.85-3.62,87,87,0,0,1,3.69-110.69ZM329.52,212.4l-57.3,43.49L293,324.75a6.5,6.5,0,0,1-9.94,7.22L224,290.92,164.94,332a6.51,6.51,0,0,1-9.95-7.22l20.79-68.86-57.3-43.49a6.5,6.5,0,0,1,3.8-11.68l71.88-1.51,23.66-67.92a6.5,6.5,0,0,1,12.28,0l23.66,67.92,71.88,1.51a6.5,6.5,0,0,1,3.88,11.68Z"}}]})(props);
};
function FaMicrosoft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 32h214.6v214.6H0V32zm233.4 0H448v214.6H233.4V32zM0 265.4h214.6V480H0V265.4zm233.4 0H448V480H233.4V265.4z"}}]})(props);
};
function FaMix (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 64v348.9c0 56.2 88 58.1 88 0V174.3c7.9-52.9 88-50.4 88 6.5v175.3c0 57.9 96 58 96 0V240c5.3-54.7 88-52.5 88 4.3v23.8c0 59.9 88 56.6 88 0V64H0z"}}]})(props);
};
function FaMixcloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M424.43 219.729C416.124 134.727 344.135 68 256.919 68c-72.266 0-136.224 46.516-159.205 114.074-54.545 8.029-96.63 54.822-96.63 111.582 0 62.298 50.668 112.966 113.243 112.966h289.614c52.329 0 94.969-42.362 94.969-94.693 0-45.131-32.118-83.063-74.48-92.2zm-20.489 144.53H114.327c-39.04 0-70.881-31.564-70.881-70.604s31.841-70.604 70.881-70.604c18.827 0 36.548 7.475 49.838 20.766 19.963 19.963 50.133-10.227 30.18-30.18-14.675-14.398-32.672-24.365-52.053-29.349 19.935-44.3 64.79-73.926 114.628-73.926 69.496 0 125.979 56.483 125.979 125.702 0 13.568-2.215 26.857-6.369 39.594-8.943 27.517 32.133 38.939 40.147 13.29 2.769-8.306 4.984-16.889 6.369-25.472 19.381 7.476 33.502 26.303 33.502 48.453 0 28.795-23.535 52.33-52.607 52.33zm235.069-52.33c0 44.024-12.737 86.386-37.102 122.657-4.153 6.092-10.798 9.414-17.72 9.414-16.317 0-27.127-18.826-17.443-32.949 19.381-29.349 29.903-63.682 29.903-99.122s-10.521-69.773-29.903-98.845c-15.655-22.831 19.361-47.24 35.163-23.534 24.366 35.993 37.102 78.356 37.102 122.379zm-70.88 0c0 31.565-9.137 62.021-26.857 88.325-4.153 6.091-10.798 9.136-17.72 9.136-17.201 0-27.022-18.979-17.443-32.948 13.013-19.104 19.658-41.255 19.658-64.513 0-22.981-6.645-45.408-19.658-64.512-15.761-22.986 19.008-47.095 35.163-23.535 17.719 26.026 26.857 56.483 26.857 88.047z"}}]})(props);
};
function FaMixer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M114.57,76.07a45.71,45.71,0,0,0-67.51-6.41c-17.58,16.18-19,43.52-4.75,62.77l91.78,123L41.76,379.58c-14.23,19.25-13.11,46.59,4.74,62.77A45.71,45.71,0,0,0,114,435.94L242.89,262.7a12.14,12.14,0,0,0,0-14.23ZM470.24,379.58,377.91,255.45l91.78-123c14.22-19.25,12.83-46.59-4.75-62.77a45.71,45.71,0,0,0-67.51,6.41l-128,172.12a12.14,12.14,0,0,0,0,14.23L398,435.94a45.71,45.71,0,0,0,67.51,6.41C483.35,426.17,484.47,398.83,470.24,379.58Z"}}]})(props);
};
function FaMizuni (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119.1 0 256c0 137 111 248 248 248s248-111 248-248C496 119.1 385 8 248 8zm-80 351.9c-31.4 10.6-58.8 27.3-80 48.2V136c0-22.1 17.9-40 40-40s40 17.9 40 40v223.9zm120-9.9c-12.9-2-26.2-3.1-39.8-3.1-13.8 0-27.2 1.1-40.2 3.1V136c0-22.1 17.9-40 40-40s40 17.9 40 40v214zm120 57.7c-21.2-20.8-48.6-37.4-80-48V136c0-22.1 17.9-40 40-40s40 17.9 40 40v271.7z"}}]})(props);
};
function FaModx (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M356 241.8l36.7 23.7V480l-133-83.8L356 241.8zM440 75H226.3l-23 37.8 153.5 96.5L440 75zm-89 142.8L55.2 32v214.5l46 29L351 217.8zM97 294.2L8 437h213.7l125-200.5L97 294.2z"}}]})(props);
};
function FaMonero (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M352 384h108.4C417 455.9 338.1 504 248 504S79 455.9 35.6 384H144V256.2L248 361l104-105v128zM88 336V128l159.4 159.4L408 128v208h74.8c8.5-25.1 13.2-52 13.2-80C496 119 385 8 248 8S0 119 0 256c0 28 4.6 54.9 13.2 80H88z"}}]})(props);
};
function FaNapster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M298.3 373.6c-14.2 13.6-31.3 24.1-50.4 30.5-19-6.4-36.2-16.9-50.3-30.5h100.7zm44-199.6c20-16.9 43.6-29.2 69.6-36.2V299c0 219.4-328 217.6-328 .3V137.7c25.9 6.9 49.6 19.6 69.5 36.4 56.8-40 132.5-39.9 188.9-.1zm-208.8-58.5c64.4-60 164.3-60.1 228.9-.2-7.1 3.5-13.9 7.3-20.6 11.5-58.7-30.5-129.2-30.4-187.9.1-6.3-4-13.9-8.2-20.4-11.4zM43.8 93.2v69.3c-58.4 36.5-58.4 121.1.1 158.3 26.4 245.1 381.7 240.3 407.6 1.5l.3-1.7c58.7-36.3 58.9-121.7.2-158.2V93.2c-17.3.5-34 3-50.1 7.4-82-91.5-225.5-91.5-307.5.1-16.3-4.4-33.1-7-50.6-7.5zM259.2 352s36-.3 61.3-1.5c10.2-.5 21.1-4 25.5-6.5 26.3-15.1 25.4-39.2 26.2-47.4-79.5-.6-99.9-3.9-113 55.4zm-135.5-55.3c.8 8.2-.1 32.3 26.2 47.4 4.4 2.5 15.2 6 25.5 6.5 25.3 1.1 61.3 1.5 61.3 1.5-13.2-59.4-33.7-56.1-113-55.4zm169.1 123.4c-3.2-5.3-6.9-7.3-6.9-7.3-24.8 7.3-52.2 6.9-75.9 0 0 0-2.9 1.5-6.4 6.6-2.8 4.1-3.7 9.6-3.7 9.6 29.1 17.6 67.1 17.6 96.2 0-.1-.1-.3-4-3.3-8.9z"}}]})(props);
};
function FaNeos (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M415.44 512h-95.11L212.12 357.46v91.1L125.69 512H28V29.82L68.47 0h108.05l123.74 176.13V63.45L386.69 0h97.69v461.5zM38.77 35.27V496l72-52.88V194l215.5 307.64h84.79l52.35-38.17h-78.27L69 13zm82.54 466.61l80-58.78v-101l-79.76-114.4v220.94L49 501.89h72.34zM80.63 10.77l310.6 442.57h82.37V10.77h-79.75v317.56L170.91 10.77zM311 191.65l72 102.81V15.93l-72 53v122.72z"}}]})(props);
};
function FaNimblr (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M246.6 299.29c15.57 0 27.15 11.46 27.15 27s-11.62 27-27.15 27c-15.7 0-27.15-11.57-27.15-27s11.55-27 27.15-27zM113 326.25c0-15.61 11.68-27 27.15-27s27.15 11.46 27.15 27-11.47 27-27.15 27c-15.44 0-27.15-11.31-27.15-27M191.76 159C157 159 89.45 178.77 59.25 227L14 0v335.48C14 433.13 93.61 512 191.76 512s177.76-78.95 177.76-176.52S290.13 159 191.76 159zm0 308.12c-73.27 0-132.51-58.9-132.51-131.59s59.24-131.59 132.51-131.59 132.51 58.86 132.51 131.54S265 467.07 191.76 467.07z"}}]})(props);
};
function FaNodeJs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M224 508c-6.7 0-13.5-1.8-19.4-5.2l-61.7-36.5c-9.2-5.2-4.7-7-1.7-8 12.3-4.3 14.8-5.2 27.9-12.7 1.4-.8 3.2-.5 4.6.4l47.4 28.1c1.7 1 4.1 1 5.7 0l184.7-106.6c1.7-1 2.8-3 2.8-5V149.3c0-2.1-1.1-4-2.9-5.1L226.8 37.7c-1.7-1-4-1-5.7 0L36.6 144.3c-1.8 1-2.9 3-2.9 5.1v213.1c0 2 1.1 4 2.9 4.9l50.6 29.2c27.5 13.7 44.3-2.4 44.3-18.7V167.5c0-3 2.4-5.3 5.4-5.3h23.4c2.9 0 5.4 2.3 5.4 5.3V378c0 36.6-20 57.6-54.7 57.6-10.7 0-19.1 0-42.5-11.6l-48.4-27.9C8.1 389.2.7 376.3.7 362.4V149.3c0-13.8 7.4-26.8 19.4-33.7L204.6 9c11.7-6.6 27.2-6.6 38.8 0l184.7 106.7c12 6.9 19.4 19.8 19.4 33.7v213.1c0 13.8-7.4 26.7-19.4 33.7L243.4 502.8c-5.9 3.4-12.6 5.2-19.4 5.2zm149.1-210.1c0-39.9-27-50.5-83.7-58-57.4-7.6-63.2-11.5-63.2-24.9 0-11.1 4.9-25.9 47.4-25.9 37.9 0 51.9 8.2 57.7 33.8.5 2.4 2.7 4.2 5.2 4.2h24c1.5 0 2.9-.6 3.9-1.7s1.5-2.6 1.4-4.1c-3.7-44.1-33-64.6-92.2-64.6-52.7 0-84.1 22.2-84.1 59.5 0 40.4 31.3 51.6 81.8 56.6 60.5 5.9 65.2 14.8 65.2 26.7 0 20.6-16.6 29.4-55.5 29.4-48.9 0-59.6-12.3-63.2-36.6-.4-2.6-2.6-4.5-5.3-4.5h-23.9c-3 0-5.3 2.4-5.3 5.3 0 31.1 16.9 68.2 97.8 68.2 58.4-.1 92-23.2 92-63.4z"}}]})(props);
};
function FaNode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M316.3 452c-2.1 0-4.2-.6-6.1-1.6L291 439c-2.9-1.6-1.5-2.2-.5-2.5 3.8-1.3 4.6-1.6 8.7-4 .4-.2 1-.1 1.4.1l14.8 8.8c.5.3 1.3.3 1.8 0L375 408c.5-.3.9-.9.9-1.6v-66.7c0-.7-.3-1.3-.9-1.6l-57.8-33.3c-.5-.3-1.2-.3-1.8 0l-57.8 33.3c-.6.3-.9 1-.9 1.6v66.7c0 .6.4 1.2.9 1.5l15.8 9.1c8.6 4.3 13.9-.8 13.9-5.8v-65.9c0-.9.7-1.7 1.7-1.7h7.3c.9 0 1.7.7 1.7 1.7v65.9c0 11.5-6.2 18-17.1 18-3.3 0-6 0-13.3-3.6l-15.2-8.7c-3.7-2.2-6.1-6.2-6.1-10.5v-66.7c0-4.3 2.3-8.4 6.1-10.5l57.8-33.4c3.7-2.1 8.5-2.1 12.1 0l57.8 33.4c3.7 2.2 6.1 6.2 6.1 10.5v66.7c0 4.3-2.3 8.4-6.1 10.5l-57.8 33.4c-1.7 1.1-3.8 1.7-6 1.7zm46.7-65.8c0-12.5-8.4-15.8-26.2-18.2-18-2.4-19.8-3.6-19.8-7.8 0-3.5 1.5-8.1 14.8-8.1 11.9 0 16.3 2.6 18.1 10.6.2.8.8 1.3 1.6 1.3h7.5c.5 0 .9-.2 1.2-.5.3-.4.5-.8.4-1.3-1.2-13.8-10.3-20.2-28.8-20.2-16.5 0-26.3 7-26.3 18.6 0 12.7 9.8 16.1 25.6 17.7 18.9 1.9 20.4 4.6 20.4 8.3 0 6.5-5.2 9.2-17.4 9.2-15.3 0-18.7-3.8-19.8-11.4-.1-.8-.8-1.4-1.7-1.4h-7.5c-.9 0-1.7.7-1.7 1.7 0 9.7 5.3 21.3 30.6 21.3 18.5 0 29-7.2 29-19.8zm54.5-50.1c0 6.1-5 11.1-11.1 11.1s-11.1-5-11.1-11.1c0-6.3 5.2-11.1 11.1-11.1 6-.1 11.1 4.8 11.1 11.1zm-1.8 0c0-5.2-4.2-9.3-9.4-9.3-5.1 0-9.3 4.1-9.3 9.3 0 5.2 4.2 9.4 9.3 9.4 5.2-.1 9.4-4.3 9.4-9.4zm-4.5 6.2h-2.6c-.1-.6-.5-3.8-.5-3.9-.2-.7-.4-1.1-1.3-1.1h-2.2v5h-2.4v-12.5h4.3c1.5 0 4.4 0 4.4 3.3 0 2.3-1.5 2.8-2.4 3.1 1.7.1 1.8 1.2 2.1 2.8.1 1 .3 2.7.6 3.3zm-2.8-8.8c0-1.7-1.2-1.7-1.8-1.7h-2v3.5h1.9c1.6 0 1.9-1.1 1.9-1.8zM137.3 191c0-2.7-1.4-5.1-3.7-6.4l-61.3-35.3c-1-.6-2.2-.9-3.4-1h-.6c-1.2 0-2.3.4-3.4 1L3.7 184.6C1.4 185.9 0 188.4 0 191l.1 95c0 1.3.7 2.5 1.8 3.2 1.1.7 2.5.7 3.7 0L42 268.3c2.3-1.4 3.7-3.8 3.7-6.4v-44.4c0-2.6 1.4-5.1 3.7-6.4l15.5-8.9c1.2-.7 2.4-1 3.7-1 1.3 0 2.6.3 3.7 1l15.5 8.9c2.3 1.3 3.7 3.8 3.7 6.4v44.4c0 2.6 1.4 5.1 3.7 6.4l36.4 20.9c1.1.7 2.6.7 3.7 0 1.1-.6 1.8-1.9 1.8-3.2l.2-95zM472.5 87.3v176.4c0 2.6-1.4 5.1-3.7 6.4l-61.3 35.4c-2.3 1.3-5.1 1.3-7.4 0l-61.3-35.4c-2.3-1.3-3.7-3.8-3.7-6.4v-70.8c0-2.6 1.4-5.1 3.7-6.4l61.3-35.4c2.3-1.3 5.1-1.3 7.4 0l15.3 8.8c1.7 1 3.9-.3 3.9-2.2v-94c0-2.8 3-4.6 5.5-3.2l36.5 20.4c2.3 1.2 3.8 3.7 3.8 6.4zm-46 128.9c0-.7-.4-1.3-.9-1.6l-21-12.2c-.6-.3-1.3-.3-1.9 0l-21 12.2c-.6.3-.9.9-.9 1.6v24.3c0 .7.4 1.3.9 1.6l21 12.1c.6.3 1.3.3 1.8 0l21-12.1c.6-.3.9-.9.9-1.6v-24.3zm209.8-.7c2.3-1.3 3.7-3.8 3.7-6.4V192c0-2.6-1.4-5.1-3.7-6.4l-60.9-35.4c-2.3-1.3-5.1-1.3-7.4 0l-61.3 35.4c-2.3 1.3-3.7 3.8-3.7 6.4v70.8c0 2.7 1.4 5.1 3.7 6.4l60.9 34.7c2.2 1.3 5 1.3 7.3 0l36.8-20.5c2.5-1.4 2.5-5 0-6.4L550 241.6c-1.2-.7-1.9-1.9-1.9-3.2v-22.2c0-1.3.7-2.5 1.9-3.2l19.2-11.1c1.1-.7 2.6-.7 3.7 0l19.2 11.1c1.1.7 1.9 1.9 1.9 3.2v17.4c0 2.8 3.1 4.6 5.6 3.2l36.7-21.3zM559 219c-.4.3-.7.7-.7 1.2v13.6c0 .5.3 1 .7 1.2l11.8 6.8c.4.3 1 .3 1.4 0L584 235c.4-.3.7-.7.7-1.2v-13.6c0-.5-.3-1-.7-1.2l-11.8-6.8c-.4-.3-1-.3-1.4 0L559 219zm-254.2 43.5v-70.4c0-2.6-1.6-5.1-3.9-6.4l-61.1-35.2c-2.1-1.2-5-1.4-7.4 0l-61.1 35.2c-2.3 1.3-3.9 3.7-3.9 6.4v70.4c0 2.8 1.9 5.2 4 6.4l61.2 35.2c2.4 1.4 5.2 1.3 7.4 0l61-35.2c1.8-1 3.1-2.7 3.6-4.7.1-.5.2-1.1.2-1.7zm-74.3-124.9l-.8.5h1.1l-.3-.5zm76.2 130.2l-.4-.7v.9l.4-.2z"}}]})(props);
};
function FaNpm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M288 288h-32v-64h32v64zm288-128v192H288v32H160v-32H0V160h576zm-416 32H32v128h64v-96h32v96h32V192zm160 0H192v160h64v-32h64V192zm224 0H352v128h64v-96h32v96h32v-96h32v96h32V192z"}}]})(props);
};
function FaNs8 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M187.1 159.9l-34.2 113.7-54.5-113.7H49L0 320h44.9L76 213.5 126.6 320h56.9L232 159.9h-44.9zm452.5-.9c-2.9-18-23.9-28.1-42.1-31.3-44.6-7.8-101.9 16.3-88.5 58.8v.1c-43.8 8.7-74.3 26.8-94.2 48.2-3-9.8-13.6-16.6-34-16.6h-87.6c-9.3 0-12.9-2.3-11.5-7.4 1.6-5.5 1.9-6.8 3.7-12.2 2.1-6.4 7.8-7.1 13.3-7.1h133.5l9.7-31.5c-139.7 0-144.5-.5-160.1 1.2-12.3 1.3-23.5 4.8-30.6 15-6.8 9.9-14.4 35.6-17.6 47.1-5.4 19.4-.6 28.6 32.8 28.6h87.3c7.8 0 8.8 2.7 7.7 6.6-1.1 4.4-2.8 10-4.5 14.6-1.6 4.2-4.7 7.4-13.8 7.4H216.3L204.7 320c139.9 0 145.3-.6 160.9-2.3 6.6-.7 13-2.1 18.5-4.9.2 3.7.5 7.3 1.2 10.8 5.4 30.5 27.4 52.3 56.8 59.5 48.6 11.9 108.7-16.8 135.1-68 18.7-36.2 14.1-76.2-3.4-105.5h.1c29.6-5.9 70.3-22 65.7-50.6zM530.7 263.7c-5.9 29.5-36.6 47.8-61.6 43.9-30.9-4.8-38.5-39.5-14.1-64.8 16.2-16.8 45.2-24 68.5-26.9 6.7 14.1 10.3 32 7.2 47.8zm21.8-83.1c-4.2-6-9.8-18.5-2.5-26.3 6.7-7.2 20.9-10.1 31.8-7.7 15.3 3.4 19.7 15.9 4.9 24.4-10.7 6.1-23.6 8.1-34.2 9.6z"}}]})(props);
};
function FaNutritionix (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 400 512"},"child":[{"tag":"path","attr":{"d":"M88 8.1S221.4-.1 209 112.5c0 0 19.1-74.9 103-40.6 0 0-17.7 74-88 56 0 0 14.6-54.6 66.1-56.6 0 0-39.9-10.3-82.1 48.8 0 0-19.8-94.5-93.6-99.7 0 0 75.2 19.4 77.6 107.5 0 .1-106.4 7-104-119.8zm312 315.6c0 48.5-9.7 95.3-32 132.3-42.2 30.9-105 48-168 48-62.9 0-125.8-17.1-168-48C9.7 419 0 372.2 0 323.7 0 275.3 17.7 229 40 192c42.2-30.9 97.1-48.6 160-48.6 63 0 117.8 17.6 160 48.6 22.3 37 40 83.3 40 131.7zM120 428c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zM192 428c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zM264 428c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zM336 428c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm0-66.2c0-15.5-12.5-28-28-28s-28 12.5-28 28 12.5 28 28 28 28-12.5 28-28zm24-39.6c-4.8-22.3-7.4-36.9-16-56-38.8-19.9-90.5-32-144-32S94.8 180.1 56 200c-8.8 19.5-11.2 33.9-16 56 42.2-7.9 98.7-14.8 160-14.8s117.8 6.9 160 14.8z"}}]})(props);
};
function FaOdnoklassnikiSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M184.2 177.1c0-22.1 17.9-40 39.8-40s39.8 17.9 39.8 40c0 22-17.9 39.8-39.8 39.8s-39.8-17.9-39.8-39.8zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-305.1 97.1c0 44.6 36.4 80.9 81.1 80.9s81.1-36.2 81.1-80.9c0-44.8-36.4-81.1-81.1-81.1s-81.1 36.2-81.1 81.1zm174.5 90.7c-4.6-9.1-17.3-16.8-34.1-3.6 0 0-22.7 18-59.3 18s-59.3-18-59.3-18c-16.8-13.2-29.5-5.5-34.1 3.6-7.9 16.1 1.1 23.7 21.4 37 17.3 11.1 41.2 15.2 56.6 16.8l-12.9 12.9c-18.2 18-35.5 35.5-47.7 47.7-17.6 17.6 10.7 45.8 28.4 28.6l47.7-47.9c18.2 18.2 35.7 35.7 47.7 47.9 17.6 17.2 46-10.7 28.6-28.6l-47.7-47.7-13-12.9c15.5-1.6 39.1-5.9 56.2-16.8 20.4-13.3 29.3-21 21.5-37z"}}]})(props);
};
function FaOdnoklassniki (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M275.1 334c-27.4 17.4-65.1 24.3-90 26.9l20.9 20.6 76.3 76.3c27.9 28.6-17.5 73.3-45.7 45.7-19.1-19.4-47.1-47.4-76.3-76.6L84 503.4c-28.2 27.5-73.6-17.6-45.4-45.7 19.4-19.4 47.1-47.4 76.3-76.3l20.6-20.6c-24.6-2.6-62.9-9.1-90.6-26.9-32.6-21-46.9-33.3-34.3-59 7.4-14.6 27.7-26.9 54.6-5.7 0 0 36.3 28.9 94.9 28.9s94.9-28.9 94.9-28.9c26.9-21.1 47.1-8.9 54.6 5.7 12.4 25.7-1.9 38-34.5 59.1zM30.3 129.7C30.3 58 88.6 0 160 0s129.7 58 129.7 129.7c0 71.4-58.3 129.4-129.7 129.4s-129.7-58-129.7-129.4zm66 0c0 35.1 28.6 63.7 63.7 63.7s63.7-28.6 63.7-63.7c0-35.4-28.6-64-63.7-64s-63.7 28.6-63.7 64z"}}]})(props);
};
function FaOldRepublic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M235.76 10.23c7.5-.31 15-.28 22.5-.09 3.61.14 7.2.4 10.79.73 4.92.27 9.79 1.03 14.67 1.62 2.93.43 5.83.98 8.75 1.46 7.9 1.33 15.67 3.28 23.39 5.4 12.24 3.47 24.19 7.92 35.76 13.21 26.56 12.24 50.94 29.21 71.63 49.88 20.03 20.09 36.72 43.55 48.89 69.19 1.13 2.59 2.44 5.1 3.47 7.74 2.81 6.43 5.39 12.97 7.58 19.63 4.14 12.33 7.34 24.99 9.42 37.83.57 3.14 1.04 6.3 1.4 9.47.55 3.83.94 7.69 1.18 11.56.83 8.34.84 16.73.77 25.1-.07 4.97-.26 9.94-.75 14.89-.24 3.38-.51 6.76-.98 10.12-.39 2.72-.63 5.46-1.11 8.17-.9 5.15-1.7 10.31-2.87 15.41-4.1 18.5-10.3 36.55-18.51 53.63-15.77 32.83-38.83 62.17-67.12 85.12a246.503 246.503 0 0 1-56.91 34.86c-6.21 2.68-12.46 5.25-18.87 7.41-3.51 1.16-7.01 2.38-10.57 3.39-6.62 1.88-13.29 3.64-20.04 5-4.66.91-9.34 1.73-14.03 2.48-5.25.66-10.5 1.44-15.79 1.74-6.69.66-13.41.84-20.12.81-6.82.03-13.65-.12-20.45-.79-3.29-.23-6.57-.5-9.83-.95-2.72-.39-5.46-.63-8.17-1.11-4.12-.72-8.25-1.37-12.35-2.22-4.25-.94-8.49-1.89-12.69-3.02-8.63-2.17-17.08-5.01-25.41-8.13-10.49-4.12-20.79-8.75-30.64-14.25-2.14-1.15-4.28-2.29-6.35-3.57-11.22-6.58-21.86-14.1-31.92-22.34-34.68-28.41-61.41-66.43-76.35-108.7-3.09-8.74-5.71-17.65-7.8-26.68-1.48-6.16-2.52-12.42-3.58-18.66-.4-2.35-.61-4.73-.95-7.09-.6-3.96-.75-7.96-1.17-11.94-.8-9.47-.71-18.99-.51-28.49.14-3.51.34-7.01.7-10.51.31-3.17.46-6.37.92-9.52.41-2.81.65-5.65 1.16-8.44.7-3.94 1.3-7.9 2.12-11.82 3.43-16.52 8.47-32.73 15.26-48.18 1.15-2.92 2.59-5.72 3.86-8.59 8.05-16.71 17.9-32.56 29.49-47.06 20-25.38 45.1-46.68 73.27-62.47 7.5-4.15 15.16-8.05 23.07-11.37 15.82-6.88 32.41-11.95 49.31-15.38 3.51-.67 7.04-1.24 10.56-1.85 2.62-.47 5.28-.7 7.91-1.08 3.53-.53 7.1-.68 10.65-1.04 2.46-.24 4.91-.36 7.36-.51m8.64 24.41c-9.23.1-18.43.99-27.57 2.23-7.3 1.08-14.53 2.6-21.71 4.3-13.91 3.5-27.48 8.34-40.46 14.42-10.46 4.99-20.59 10.7-30.18 17.22-4.18 2.92-8.4 5.8-12.34 9.03-5.08 3.97-9.98 8.17-14.68 12.59-2.51 2.24-4.81 4.7-7.22 7.06-28.22 28.79-48.44 65.39-57.5 104.69-2.04 8.44-3.54 17.02-4.44 25.65-1.1 8.89-1.44 17.85-1.41 26.8.11 7.14.38 14.28 1.22 21.37.62 7.12 1.87 14.16 3.2 21.18 1.07 4.65 2.03 9.32 3.33 13.91 6.29 23.38 16.5 45.7 30.07 65.75 8.64 12.98 18.78 24.93 29.98 35.77 16.28 15.82 35.05 29.04 55.34 39.22 7.28 3.52 14.66 6.87 22.27 9.63 5.04 1.76 10.06 3.57 15.22 4.98 11.26 3.23 22.77 5.6 34.39 7.06 2.91.29 5.81.61 8.72.9 13.82 1.08 27.74 1 41.54-.43 4.45-.6 8.92-.99 13.35-1.78 3.63-.67 7.28-1.25 10.87-2.1 4.13-.98 8.28-1.91 12.36-3.07 26.5-7.34 51.58-19.71 73.58-36.2 15.78-11.82 29.96-25.76 42.12-41.28 3.26-4.02 6.17-8.31 9.13-12.55 3.39-5.06 6.58-10.25 9.6-15.54 2.4-4.44 4.74-8.91 6.95-13.45 5.69-12.05 10.28-24.62 13.75-37.49 2.59-10.01 4.75-20.16 5.9-30.45 1.77-13.47 1.94-27.1 1.29-40.65-.29-3.89-.67-7.77-1-11.66-2.23-19.08-6.79-37.91-13.82-55.8-5.95-15.13-13.53-29.63-22.61-43.13-12.69-18.8-28.24-35.68-45.97-49.83-25.05-20-54.47-34.55-85.65-42.08-7.78-1.93-15.69-3.34-23.63-4.45-3.91-.59-7.85-.82-11.77-1.24-7.39-.57-14.81-.72-22.22-.58zM139.26 83.53c13.3-8.89 28.08-15.38 43.3-20.18-3.17 1.77-6.44 3.38-9.53 5.29-11.21 6.68-21.52 14.9-30.38 24.49-6.8 7.43-12.76 15.73-17.01 24.89-3.29 6.86-5.64 14.19-6.86 21.71-.93 4.85-1.3 9.81-1.17 14.75.13 13.66 4.44 27.08 11.29 38.82 5.92 10.22 13.63 19.33 22.36 27.26 4.85 4.36 10.24 8.09 14.95 12.6 2.26 2.19 4.49 4.42 6.43 6.91 2.62 3.31 4.89 6.99 5.99 11.1.9 3.02.66 6.2.69 9.31.02 4.1-.04 8.2.03 12.3.14 3.54-.02 7.09.11 10.63.08 2.38.02 4.76.05 7.14.16 5.77.06 11.53.15 17.3.11 2.91.02 5.82.13 8.74.03 1.63.13 3.28-.03 4.91-.91.12-1.82.18-2.73.16-10.99 0-21.88-2.63-31.95-6.93-6-2.7-11.81-5.89-17.09-9.83-5.75-4.19-11.09-8.96-15.79-14.31-6.53-7.24-11.98-15.39-16.62-23.95-1.07-2.03-2.24-4.02-3.18-6.12-1.16-2.64-2.62-5.14-3.67-7.82-4.05-9.68-6.57-19.94-8.08-30.31-.49-4.44-1.09-8.88-1.2-13.35-.7-15.73.84-31.55 4.67-46.82 2.12-8.15 4.77-16.18 8.31-23.83 6.32-14.2 15.34-27.18 26.3-38.19 6.28-6.2 13.13-11.84 20.53-16.67zm175.37-20.12c2.74.74 5.41 1.74 8.09 2.68 6.36 2.33 12.68 4.84 18.71 7.96 13.11 6.44 25.31 14.81 35.82 24.97 10.2 9.95 18.74 21.6 25.14 34.34 1.28 2.75 2.64 5.46 3.81 8.26 6.31 15.1 10 31.26 11.23 47.57.41 4.54.44 9.09.45 13.64.07 11.64-1.49 23.25-4.3 34.53-1.97 7.27-4.35 14.49-7.86 21.18-3.18 6.64-6.68 13.16-10.84 19.24-6.94 10.47-15.6 19.87-25.82 27.22-10.48 7.64-22.64 13.02-35.4 15.38-3.51.69-7.08 1.08-10.66 1.21-1.85.06-3.72.16-5.56-.1-.28-2.15 0-4.31-.01-6.46-.03-3.73.14-7.45.1-11.17.19-7.02.02-14.05.21-21.07.03-2.38-.03-4.76.03-7.14.17-5.07-.04-10.14.14-15.21.1-2.99-.24-6.04.51-8.96.66-2.5 1.78-4.86 3.09-7.08 4.46-7.31 11.06-12.96 17.68-18.26 5.38-4.18 10.47-8.77 15.02-13.84 7.68-8.37 14.17-17.88 18.78-28.27 2.5-5.93 4.52-12.1 5.55-18.46.86-4.37 1.06-8.83 1.01-13.27-.02-7.85-1.4-15.65-3.64-23.17-1.75-5.73-4.27-11.18-7.09-16.45-3.87-6.93-8.65-13.31-13.96-19.2-9.94-10.85-21.75-19.94-34.6-27.1-1.85-1.02-3.84-1.82-5.63-2.97zm-100.8 58.45c.98-1.18 1.99-2.33 3.12-3.38-.61.93-1.27 1.81-1.95 2.68-3.1 3.88-5.54 8.31-7.03 13.06-.87 3.27-1.68 6.6-1.73 10-.07 2.52-.08 5.07.32 7.57 1.13 7.63 4.33 14.85 8.77 21.12 2 2.7 4.25 5.27 6.92 7.33 1.62 1.27 3.53 2.09 5.34 3.05 3.11 1.68 6.32 3.23 9.07 5.48 2.67 2.09 4.55 5.33 4.4 8.79-.01 73.67 0 147.34-.01 221.02 0 1.35-.08 2.7.04 4.04.13 1.48.82 2.83 1.47 4.15.86 1.66 1.78 3.34 3.18 4.62.85.77 1.97 1.4 3.15 1.24 1.5-.2 2.66-1.35 3.45-2.57.96-1.51 1.68-3.16 2.28-4.85.76-2.13.44-4.42.54-6.63.14-4.03-.02-8.06.14-12.09.03-5.89.03-11.77.06-17.66.14-3.62.03-7.24.11-10.86.15-4.03-.02-8.06.14-12.09.03-5.99.03-11.98.07-17.97.14-3.62.02-7.24.11-10.86.14-3.93-.02-7.86.14-11.78.03-5.99.03-11.98.06-17.97.16-3.94-.01-7.88.19-11.82.29 1.44.13 2.92.22 4.38.19 3.61.42 7.23.76 10.84.32 3.44.44 6.89.86 10.32.37 3.1.51 6.22.95 9.31.57 4.09.87 8.21 1.54 12.29 1.46 9.04 2.83 18.11 5.09 26.99 1.13 4.82 2.4 9.61 4 14.3 2.54 7.9 5.72 15.67 10.31 22.62 1.73 2.64 3.87 4.98 6.1 7.21.27.25.55.51.88.71.6.25 1.31-.07 1.7-.57.71-.88 1.17-1.94 1.7-2.93 4.05-7.8 8.18-15.56 12.34-23.31.7-1.31 1.44-2.62 2.56-3.61 1.75-1.57 3.84-2.69 5.98-3.63 2.88-1.22 5.9-2.19 9.03-2.42 6.58-.62 13.11.75 19.56 1.85 3.69.58 7.4 1.17 11.13 1.41 3.74.1 7.48.05 11.21-.28 8.55-.92 16.99-2.96 24.94-6.25 5.3-2.24 10.46-4.83 15.31-7.93 11.46-7.21 21.46-16.57 30.04-27.01 1.17-1.42 2.25-2.9 3.46-4.28-1.2 3.24-2.67 6.37-4.16 9.48-1.25 2.9-2.84 5.61-4.27 8.42-5.16 9.63-11.02 18.91-17.75 27.52-4.03 5.21-8.53 10.05-13.33 14.57-6.64 6.05-14.07 11.37-22.43 14.76-8.21 3.37-17.31 4.63-26.09 3.29-3.56-.58-7.01-1.69-10.41-2.88-2.79-.97-5.39-2.38-8.03-3.69-3.43-1.71-6.64-3.81-9.71-6.08 2.71 3.06 5.69 5.86 8.7 8.61 4.27 3.76 8.74 7.31 13.63 10.23 3.98 2.45 8.29 4.4 12.84 5.51 1.46.37 2.96.46 4.45.6-1.25 1.1-2.63 2.04-3.99 2.98-9.61 6.54-20.01 11.86-30.69 16.43-20.86 8.7-43.17 13.97-65.74 15.34-4.66.24-9.32.36-13.98.36-4.98-.11-9.97-.13-14.92-.65-11.2-.76-22.29-2.73-33.17-5.43-10.35-2.71-20.55-6.12-30.3-10.55-8.71-3.86-17.12-8.42-24.99-13.79-1.83-1.31-3.74-2.53-5.37-4.08 6.6-1.19 13.03-3.39 18.99-6.48 5.74-2.86 10.99-6.66 15.63-11.07 2.24-2.19 4.29-4.59 6.19-7.09-3.43 2.13-6.93 4.15-10.62 5.78-4.41 2.16-9.07 3.77-13.81 5.02-5.73 1.52-11.74 1.73-17.61 1.14-8.13-.95-15.86-4.27-22.51-8.98-4.32-2.94-8.22-6.43-11.96-10.06-9.93-10.16-18.2-21.81-25.66-33.86-3.94-6.27-7.53-12.75-11.12-19.22-1.05-2.04-2.15-4.05-3.18-6.1 2.85 2.92 5.57 5.97 8.43 8.88 8.99 8.97 18.56 17.44 29.16 24.48 7.55 4.9 15.67 9.23 24.56 11.03 3.11.73 6.32.47 9.47.81 2.77.28 5.56.2 8.34.3 5.05.06 10.11.04 15.16-.16 3.65-.16 7.27-.66 10.89-1.09 2.07-.25 4.11-.71 6.14-1.2 3.88-.95 8.11-.96 11.83.61 4.76 1.85 8.44 5.64 11.38 9.71 2.16 3.02 4.06 6.22 5.66 9.58 1.16 2.43 2.46 4.79 3.55 7.26 1 2.24 2.15 4.42 3.42 6.52.67 1.02 1.4 2.15 2.62 2.55 1.06-.75 1.71-1.91 2.28-3.03 2.1-4.16 3.42-8.65 4.89-13.05 2.02-6.59 3.78-13.27 5.19-20.02 2.21-9.25 3.25-18.72 4.54-28.13.56-3.98.83-7.99 1.31-11.97.87-10.64 1.9-21.27 2.24-31.94.08-1.86.24-3.71.25-5.57.01-4.35.25-8.69.22-13.03-.01-2.38-.01-4.76 0-7.13.05-5.07-.2-10.14-.22-15.21-.2-6.61-.71-13.2-1.29-19.78-.73-5.88-1.55-11.78-3.12-17.51-2.05-7.75-5.59-15.03-9.8-21.82-3.16-5.07-6.79-9.88-11.09-14.03-3.88-3.86-8.58-7.08-13.94-8.45-1.5-.41-3.06-.45-4.59-.64.07-2.99.7-5.93 1.26-8.85 1.59-7.71 3.8-15.3 6.76-22.6 1.52-4.03 3.41-7.9 5.39-11.72 3.45-6.56 7.62-12.79 12.46-18.46zm31.27 1.7c.35-.06.71-.12 1.07-.19.19 1.79.09 3.58.1 5.37v38.13c-.01 1.74.13 3.49-.15 5.22-.36-.03-.71-.05-1.06-.05-.95-3.75-1.72-7.55-2.62-11.31-.38-1.53-.58-3.09-1.07-4.59-1.7-.24-3.43-.17-5.15-.2-5.06-.01-10.13 0-15.19-.01-1.66-.01-3.32.09-4.98-.03-.03-.39-.26-.91.16-1.18 1.28-.65 2.72-.88 4.06-1.35 3.43-1.14 6.88-2.16 10.31-3.31 1.39-.48 2.9-.72 4.16-1.54.04-.56.02-1.13-.05-1.68-1.23-.55-2.53-.87-3.81-1.28-3.13-1.03-6.29-1.96-9.41-3.02-1.79-.62-3.67-1-5.41-1.79-.03-.37-.07-.73-.11-1.09 5.09-.19 10.2.06 15.3-.12 3.36-.13 6.73.08 10.09-.07.12-.39.26-.77.37-1.16 1.08-4.94 2.33-9.83 3.39-14.75zm5.97-.2c.36.05.72.12 1.08.2.98 3.85 1.73 7.76 2.71 11.61.36 1.42.56 2.88 1.03 4.27 2.53.18 5.07-.01 7.61.05 5.16.12 10.33.12 15.49.07.76-.01 1.52.03 2.28.08-.04.36-.07.72-.1 1.08-1.82.83-3.78 1.25-5.67 1.89-3.73 1.23-7.48 2.39-11.22 3.57-.57.17-1.12.42-1.67.64-.15.55-.18 1.12-.12 1.69.87.48 1.82.81 2.77 1.09 4.88 1.52 9.73 3.14 14.63 4.6.38.13.78.27 1.13.49.4.27.23.79.15 1.18-1.66.13-3.31.03-4.97.04-5.17.01-10.33-.01-15.5.01-1.61.03-3.22-.02-4.82.21-.52 1.67-.72 3.42-1.17 5.11-.94 3.57-1.52 7.24-2.54 10.78-.36.01-.71.02-1.06.06-.29-1.73-.15-3.48-.15-5.22v-38.13c.02-1.78-.08-3.58.11-5.37zM65.05 168.33c1.12-2.15 2.08-4.4 3.37-6.46-1.82 7.56-2.91 15.27-3.62 23-.8 7.71-.85 15.49-.54 23.23 1.05 19.94 5.54 39.83 14.23 57.88 2.99 5.99 6.35 11.83 10.5 17.11 6.12 7.47 12.53 14.76 19.84 21.09 4.8 4.1 9.99 7.78 15.54 10.8 3.27 1.65 6.51 3.39 9.94 4.68 5.01 2.03 10.19 3.61 15.42 4.94 3.83.96 7.78 1.41 11.52 2.71 5 1.57 9.47 4.61 13.03 8.43 4.93 5.23 8.09 11.87 10.2 18.67.99 2.9 1.59 5.91 2.17 8.92.15.75.22 1.52.16 2.29-6.5 2.78-13.26 5.06-20.26 6.18-4.11.78-8.29.99-12.46 1.08-10.25.24-20.47-1.76-30.12-5.12-3.74-1.42-7.49-2.85-11.03-4.72-8.06-3.84-15.64-8.7-22.46-14.46-2.92-2.55-5.83-5.13-8.4-8.03-9.16-9.83-16.3-21.41-21.79-33.65-2.39-5.55-4.61-11.18-6.37-16.96-1.17-3.94-2.36-7.89-3.26-11.91-.75-2.94-1.22-5.95-1.87-8.92-.46-2.14-.69-4.32-1.03-6.48-.85-5.43-1.28-10.93-1.33-16.43.11-6.18.25-12.37 1.07-18.5.4-2.86.67-5.74 1.15-8.6.98-5.7 2.14-11.37 3.71-16.93 3.09-11.65 7.48-22.95 12.69-33.84zm363.73-6.44c1.1 1.66 1.91 3.48 2.78 5.26 2.1 4.45 4.24 8.9 6.02 13.49 7.61 18.76 12.3 38.79 13.04 59.05.02 1.76.07 3.52.11 5.29.13 9.57-1.27 19.09-3.18 28.45-.73 3.59-1.54 7.17-2.58 10.69-4.04 14.72-10 29-18.41 41.78-8.21 12.57-19.01 23.55-31.84 31.41-5.73 3.59-11.79 6.64-18.05 9.19-5.78 2.19-11.71 4.03-17.8 5.11-6.4 1.05-12.91 1.52-19.4 1.23-7.92-.48-15.78-2.07-23.21-4.85-1.94-.8-3.94-1.46-5.84-2.33-.21-1.51.25-2.99.53-4.46 1.16-5.74 3.03-11.36 5.7-16.58 2.37-4.51 5.52-8.65 9.46-11.9 2.43-2.05 5.24-3.61 8.16-4.83 3.58-1.5 7.47-1.97 11.24-2.83 7.23-1.71 14.37-3.93 21.15-7 10.35-4.65 19.71-11.38 27.65-19.46 1.59-1.61 3.23-3.18 4.74-4.87 3.37-3.76 6.71-7.57 9.85-11.53 7.48-10.07 12.82-21.59 16.71-33.48 1.58-5.3 3.21-10.6 4.21-16.05.63-2.87 1.04-5.78 1.52-8.68.87-6.09 1.59-12.22 1.68-18.38.12-6.65.14-13.32-.53-19.94-.73-7.99-1.87-15.96-3.71-23.78z"}}]})(props);
};
function FaOpencart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M423.3 440.7c0 25.3-20.3 45.6-45.6 45.6s-45.8-20.3-45.8-45.6 20.6-45.8 45.8-45.8c25.4 0 45.6 20.5 45.6 45.8zm-253.9-45.8c-25.3 0-45.6 20.6-45.6 45.8s20.3 45.6 45.6 45.6 45.8-20.3 45.8-45.6-20.5-45.8-45.8-45.8zm291.7-270C158.9 124.9 81.9 112.1 0 25.7c34.4 51.7 53.3 148.9 373.1 144.2 333.3-5 130 86.1 70.8 188.9 186.7-166.7 319.4-233.9 17.2-233.9z"}}]})(props);
};
function FaOpenid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M271.5 432l-68 32C88.5 453.7 0 392.5 0 318.2c0-71.5 82.5-131 191.7-144.3v43c-71.5 12.5-124 53-124 101.3 0 51 58.5 93.3 135.7 103v-340l68-33.2v384zM448 291l-131.3-28.5 36.8-20.7c-19.5-11.5-43.5-20-70-24.8v-43c46.2 5.5 87.7 19.5 120.3 39.3l35-19.8L448 291z"}}]})(props);
};
function FaOpera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M313.9 32.7c-170.2 0-252.6 223.8-147.5 355.1 36.5 45.4 88.6 75.6 147.5 75.6 36.3 0 70.3-11.1 99.4-30.4-43.8 39.2-101.9 63-165.3 63-3.9 0-8 0-11.9-.3C104.6 489.6 0 381.1 0 248 0 111 111 0 248 0h.8c63.1.3 120.7 24.1 164.4 63.1-29-19.4-63.1-30.4-99.3-30.4zm101.8 397.7c-40.9 24.7-90.7 23.6-132-5.8 56.2-20.5 97.7-91.6 97.7-176.6 0-84.7-41.2-155.8-97.4-176.6 41.8-29.2 91.2-30.3 132.9-5 105.9 98.7 105.5 265.7-1.2 364z"}}]})(props);
};
function FaOptinMonster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M572.6 421.4c5.6-9.5 4.7-15.2-5.4-11.6-3-4.9-7-9.5-11.1-13.8 2.9-9.7-.7-14.2-10.8-9.2-4.6-3.2-10.3-6.5-15.9-9.2 0-15.1-11.6-11.6-17.6-5.7-10.4-1.5-18.7-.3-26.8 5.7.3-6.5.3-13 .3-19.7 12.6 0 40.2-11 45.9-36.2 1.4-6.8 1.6-13.8-.3-21.9-3-13.5-14.3-21.3-25.1-25.7-.8-5.9-7.6-14.3-14.9-15.9s-12.4 4.9-14.1 10.3c-8.5 0-19.2 2.8-21.1 8.4-5.4-.5-11.1-1.4-16.8-1.9 2.7-1.9 5.4-3.5 8.4-4.6 5.4-9.2 14.6-11.4 25.7-11.6V256c19.5-.5 43-5.9 53.8-18.1 12.7-13.8 14.6-37.3 12.4-55.1-2.4-17.3-9.7-37.6-24.6-48.1-8.4-5.9-21.6-.8-22.7 9.5-2.2 19.6 1.2 30-38.6 25.1-10.3-23.8-24.6-44.6-42.7-60C341 49.6 242.9 55.5 166.4 71.7c19.7 4.6 41.1 8.6 59.7 16.5-26.2 2.4-52.7 11.3-76.2 23.2-32.8 17-44 29.9-56.7 42.4 14.9-2.2 28.9-5.1 43.8-3.8-9.7 5.4-18.4 12.2-26.5 20-25.8.9-23.8-5.3-26.2-25.9-1.1-10.5-14.3-15.4-22.7-9.7-28.1 19.9-33.5 79.9-12.2 103.5 10.8 12.2 35.1 17.3 54.9 17.8-.3 1.1-.3 1.9-.3 2.7 10.8.5 19.5 2.7 24.6 11.6 3 1.1 5.7 2.7 8.1 4.6-5.4.5-11.1 1.4-16.5 1.9-3.3-6.6-13.7-8.1-21.1-8.1-1.6-5.7-6.5-12.2-14.1-10.3-6.8 1.9-14.1 10-14.9 15.9-22.5 9.5-30.1 26.8-25.1 47.6 5.3 24.8 33 36.2 45.9 36.2v19.7c-6.6-5-14.3-7.5-26.8-5.7-5.5-5.5-17.3-10.1-17.3 5.7-5.9 2.7-11.4 5.9-15.9 9.2-9.8-4.9-13.6-1.7-11.1 9.2-4.1 4.3-7.8 8.6-11.1 13.8-10.2-3.7-11 2.2-5.4 11.6-1.1 3.5-1.6 7-1.9 10.8-.5 31.6 44.6 64 73.5 65.1 17.3.5 34.6-8.4 43-23.5 113.2 4.9 226.7 4.1 340.2 0 8.1 15.1 25.4 24.3 42.7 23.5 29.2-1.1 74.3-33.5 73.5-65.1.2-3.7-.7-7.2-1.7-10.7zm-73.8-254c1.1-3 2.4-8.4 2.4-14.6 0-5.9 6.8-8.1 14.1-.8 11.1 11.6 14.9 40.5 13.8 51.1-4.1-13.6-13-29-30.3-35.7zm-4.6 6.7c19.5 6.2 28.6 27.6 29.7 48.9-1.1 2.7-3 5.4-4.9 7.6-5.7 5.9-15.4 10-26.2 12.2 4.3-21.3.3-47.3-12.7-63 4.9-.8 10.9-2.4 14.1-5.7zm-24.1 6.8c13.8 11.9 20 39.2 14.1 63.5-4.1.5-8.1.8-11.6.8-1.9-21.9-6.8-44-14.3-64.6 3.7.3 8.1.3 11.8.3zM47.5 203c-1.1-10.5 2.4-39.5 13.8-51.1 7-7.3 14.1-5.1 14.1.8 0 6.2 1.4 11.6 2.4 14.6-17.3 6.8-26.2 22.2-30.3 35.7zm9.7 27.6c-1.9-2.2-3.5-4.9-4.9-7.6 1.4-21.3 10.3-42.7 29.7-48.9 3.2 3.2 9.2 4.9 14.1 5.7-13 15.7-17 41.6-12.7 63-10.8-2.2-20.5-6-26.2-12.2zm47.9 14.6c-4.1 0-8.1-.3-12.7-.8-4.6-18.6-1.9-38.9 5.4-53v.3l12.2-5.1c4.9-1.9 9.7-3.8 14.9-4.9-10.7 19.7-17.4 41.3-19.8 63.5zm184-162.7c41.9 0 76.2 34 76.2 75.9 0 42.2-34.3 76.2-76.2 76.2s-76.2-34-76.2-76.2c0-41.8 34.3-75.9 76.2-75.9zm115.6 174.3c-.3 17.8-7 48.9-23 57-13.2 6.6-6.5-7.5-16.5-58.1 13.3.3 26.6.3 39.5 1.1zm-54-1.6c.8 4.9 3.8 40.3-1.6 41.9-11.6 3.5-40 4.3-51.1-1.1-4.1-3-4.6-35.9-4.3-41.1v.3c18.9-.3 38.1-.3 57 0zM278.3 309c-13 3.5-41.6 4.1-54.6-1.6-6.5-2.7-3.8-42.4-1.9-51.6 19.2-.5 38.4-.5 57.8-.8v.3c1.1 8.3 3.3 51.2-1.3 53.7zm-106.5-51.1c12.2-.8 24.6-1.4 36.8-1.6-2.4 15.4-3 43.5-4.9 52.2-1.1 6.8-4.3 6.8-9.7 4.3-21.9-9.8-27.6-35.2-22.2-54.9zm-35.4 31.3c7.8-1.1 15.7-1.9 23.5-2.7 1.6 6.2 3.8 11.9 7 17.6 10 17 44 35.7 45.1 7 6.2 14.9 40.8 12.2 54.9 10.8 15.7-1.4 23.8-1.4 26.8-14.3 12.4 4.3 30.8 4.1 44 3 11.3-.8 20.8-.5 24.6-8.9 1.1 5.1 1.9 11.6 4.6 16.8 10.8 21.3 37.3 1.4 46.8-31.6 8.6.8 17.6 1.9 26.5 2.7-.4 1.3-3.8 7.3 7.3 11.6-47.6 47-95.7 87.8-163.2 107-63.2-20.8-112.1-59.5-155.9-106.5 9.6-3.4 10.4-8.8 8-12.5zm-21.6 172.5c-3.8 17.8-21.9 29.7-39.7 28.9-19.2-.8-46.5-17-59.2-36.5-2.7-31.1 43.8-61.3 66.2-54.6 14.9 4.3 27.8 30.8 33.5 54 0 3-.3 5.7-.8 8.2zm-8.7-66c-.5-13.5-.5-27-.3-40.5h.3c2.7-1.6 5.7-3.8 7.8-6.5 6.5-1.6 13-5.1 15.1-9.2 3.3-7.1-7-7.5-5.4-12.4 2.7-1.1 5.7-2.2 7.8-3.5 29.2 29.2 58.6 56.5 97.3 77-36.8 11.3-72.4 27.6-105.9 47-1.2-18.6-7.7-35.9-16.7-51.9zm337.6 64.6c-103 3.5-206.2 4.1-309.4 0 0 .3 0 .3-.3.3v-.3h.3c35.1-21.6 72.2-39.2 112.4-50.8 11.6 5.1 23 9.5 34.9 13.2 2.2.8 2.2.8 4.3 0 14.3-4.1 28.4-9.2 42.2-15.4 41.5 11.7 78.8 31.7 115.6 53zm10.5-12.4c-35.9-19.5-73-35.9-111.9-47.6 38.1-20 71.9-47.3 103.5-76.7 2.2 1.4 4.6 2.4 7.6 3.2 0 .8.3 1.9.5 2.4-4.6 2.7-7.8 6.2-5.9 10.3 2.2 3.8 8.6 7.6 15.1 8.9 2.4 2.7 5.1 5.1 8.1 6.8 0 13.8-.3 27.6-.8 41.3l.3-.3c-9.3 15.9-15.5 37-16.5 51.7zm105.9 6.2c-12.7 19.5-40 35.7-59.2 36.5-19.3.9-40.5-13.2-40.5-37 5.7-23.2 18.9-49.7 33.5-54 22.7-6.9 69.2 23.4 66.2 54.5zM372.9 75.2c-3.8-72.1-100.8-79.7-126-23.5 44.6-24.3 90.3-15.7 126 23.5zM74.8 407.1c-15.7 1.6-49.5 25.4-49.5 43.2 0 11.6 15.7 19.5 32.2 14.9 12.2-3.2 31.1-17.6 35.9-27.3 6-11.6-3.7-32.7-18.6-30.8zm215.9-176.2c28.6 0 51.9-21.6 51.9-48.4 0-36.1-40.5-58.1-72.2-44.3 9.5 3 16.5 11.6 16.5 21.6 0 23.3-33.3 32-46.5 11.3-7.3 34.1 19.4 59.8 50.3 59.8zM68 474.1c.5 6.5 12.2 12.7 21.6 9.5 6.8-2.7 14.6-10.5 17.3-16.2 3-7-1.1-20-9.7-18.4-8.9 1.6-29.7 16.7-29.2 25.1zm433.2-67c-14.9-1.9-24.6 19.2-18.9 30.8 4.9 9.7 24.1 24.1 36.2 27.3 16.5 4.6 32.2-3.2 32.2-14.9 0-17.8-33.8-41.6-49.5-43.2zM478.8 449c-8.4-1.6-12.4 11.3-9.5 18.4 2.4 5.7 10.3 13.5 17.3 16.2 9.2 3.2 21.1-3 21.3-9.5.9-8.4-20.2-23.5-29.1-25.1z"}}]})(props);
};
function FaOrcid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M294.75 188.19h-45.92V342h47.47c67.62 0 83.12-51.34 83.12-76.91 0-41.64-26.54-76.9-84.67-76.9zM256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm-80.79 360.76h-29.84v-207.5h29.84zm-14.92-231.14a19.57 19.57 0 1 1 19.57-19.57 19.64 19.64 0 0 1-19.57 19.57zM300 369h-81V161.26h80.6c76.73 0 110.44 54.83 110.44 103.85C410 318.39 368.38 369 300 369z"}}]})(props);
};
function FaOsi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M8 266.44C10.3 130.64 105.4 34 221.8 18.34c138.8-18.6 255.6 75.8 278 201.1 21.3 118.8-44 230-151.6 274-9.3 3.8-14.4 1.7-18-7.7q-26.7-69.45-53.4-139c-3.1-8.1-1-13.2 7-16.8 24.2-11 39.3-29.4 43.3-55.8a71.47 71.47 0 0 0-64.5-82.2c-39-3.4-71.8 23.7-77.5 59.7-5.2 33 11.1 63.7 41.9 77.7 9.6 4.4 11.5 8.6 7.8 18.4q-26.85 69.9-53.7 139.9c-2.6 6.9-8.3 9.3-15.5 6.5-52.6-20.3-101.4-61-130.8-119-24.9-49.2-25.2-87.7-26.8-108.7zm20.9-1.9c.4 6.6.6 14.3 1.3 22.1 6.3 71.9 49.6 143.5 131 183.1 3.2 1.5 4.4.8 5.6-2.3q22.35-58.65 45-117.3c1.3-3.3.6-4.8-2.4-6.7-31.6-19.9-47.3-48.5-45.6-86 1-21.6 9.3-40.5 23.8-56.3 30-32.7 77-39.8 115.5-17.6a91.64 91.64 0 0 1 45.2 90.4c-3.6 30.6-19.3 53.9-45.7 69.8-2.7 1.6-3.5 2.9-2.3 6q22.8 58.8 45.2 117.7c1.2 3.1 2.4 3.8 5.6 2.3 35.5-16.6 65.2-40.3 88.1-72 34.8-48.2 49.1-101.9 42.3-161-13.7-117.5-119.4-214.8-255.5-198-106.1 13-195.3 102.5-197.1 225.8z"}}]})(props);
};
function FaPage4 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 504C111 504 0 393 0 256S111 8 248 8c20.9 0 41.3 2.6 60.7 7.5L42.3 392H248v112zm0-143.6V146.8L98.6 360.4H248zm96 31.6v92.7c45.7-19.2 84.5-51.7 111.4-92.7H344zm57.4-138.2l-21.2 8.4 21.2 8.3v-16.7zm-20.3 54.5c-6.7 0-8 6.3-8 12.9v7.7h16.2v-10c0-5.9-2.3-10.6-8.2-10.6zM496 256c0 37.3-8.2 72.7-23 104.4H344V27.3C433.3 64.8 496 153.1 496 256zM360.4 143.6h68.2V96h-13.9v32.6h-13.9V99h-13.9v29.6h-12.7V96h-13.9v47.6zm68.1 185.3H402v-11c0-15.4-5.6-25.2-20.9-25.2-15.4 0-20.7 10.6-20.7 25.9v25.3h68.2v-15zm0-103l-68.2 29.7V268l68.2 29.5v-16.6l-14.4-5.7v-26.5l14.4-5.9v-16.9zm-4.8-68.5h-35.6V184H402v-12.2h11c8.6 15.8 1.3 35.3-18.6 35.3-22.5 0-28.3-25.3-15.5-37.7l-11.6-10.6c-16.2 17.5-12.2 63.9 27.1 63.9 34 0 44.7-35.9 29.3-65.3z"}}]})(props);
};
function FaPagelines (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M384 312.7c-55.1 136.7-187.1 54-187.1 54-40.5 81.8-107.4 134.4-184.6 134.7-16.1 0-16.6-24.4 0-24.4 64.4-.3 120.5-42.7 157.2-110.1-41.1 15.9-118.6 27.9-161.6-82.2 109-44.9 159.1 11.2 178.3 45.5 9.9-24.4 17-50.9 21.6-79.7 0 0-139.7 21.9-149.5-98.1 119.1-47.9 152.6 76.7 152.6 76.7 1.6-16.7 3.3-52.6 3.3-53.4 0 0-106.3-73.7-38.1-165.2 124.6 43 61.4 162.4 61.4 162.4.5 1.6.5 23.8 0 33.4 0 0 45.2-89 136.4-57.5-4.2 134-141.9 106.4-141.9 106.4-4.4 27.4-11.2 53.4-20 77.5 0 0 83-91.8 172-20z"}}]})(props);
};
function FaPalfed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M384.9 193.9c0-47.4-55.2-44.2-95.4-29.8-1.3 39.4-2.5 80.7-3 119.8.7 2.8 2.6 6.2 15.1 6.2 36.8 0 83.4-42.8 83.3-96.2zm-194.5 72.2c.2 0 6.5-2.7 11.2-2.7 26.6 0 20.7 44.1-14.4 44.1-21.5 0-37.1-18.1-37.1-43 0-42 42.9-95.6 100.7-126.5 1-12.4 3-22 10.5-28.2 11.2-9 26.6-3.5 29.5 11.1 72.2-22.2 135.2 1 135.2 72 0 77.9-79.3 152.6-140.1 138.2-.1 39.4.9 74.4 2.7 100v.2c.2 3.4.6 12.5-5.3 19.1-9.6 10.6-33.4 10-36.4-22.3-4.1-44.4.2-206.1 1.4-242.5-21.5 15-58.5 50.3-58.5 75.9.2 2.5.4 4 .6 4.6zM8 181.1s-.1 37.4 38.4 37.4h30l22.4 217.2s0 44.3 44.7 44.3h288.9s44.7-.4 44.7-44.3l22.4-217.2h30s38.4 1.2 38.4-37.4c0 0 .1-37.4-38.4-37.4h-30.1c-7.3-25.6-30.2-74.3-119.4-74.3h-28V50.3s-2.7-18.4-21.1-18.4h-85.8s-21.1 0-21.1 18.4v19.1h-28.1s-105 4.2-120.5 74.3h-29S8 142.5 8 181.1z"}}]})(props);
};
function FaPatreon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M512 194.8c0 101.3-82.4 183.8-183.8 183.8-101.7 0-184.4-82.4-184.4-183.8 0-101.6 82.7-184.3 184.4-184.3C429.6 10.5 512 93.2 512 194.8zM0 501.5h90v-491H0v491z"}}]})(props);
};
function FaPaypal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M111.4 295.9c-3.5 19.2-17.4 108.7-21.5 134-.3 1.8-1 2.5-3 2.5H12.3c-7.6 0-13.1-6.6-12.1-13.9L58.8 46.6c1.5-9.6 10.1-16.9 20-16.9 152.3 0 165.1-3.7 204 11.4 60.1 23.3 65.6 79.5 44 140.3-21.5 62.6-72.5 89.5-140.1 90.3-43.4.7-69.5-7-75.3 24.2zM357.1 152c-1.8-1.3-2.5-1.8-3 1.3-2 11.4-5.1 22.5-8.8 33.6-39.9 113.8-150.5 103.9-204.5 103.9-6.1 0-10.1 3.3-10.9 9.4-22.6 140.4-27.1 169.7-27.1 169.7-1 7.1 3.5 12.9 10.6 12.9h63.5c8.6 0 15.7-6.3 17.4-14.9.7-5.4-1.1 6.1 14.4-91.3 4.6-22 14.3-19.7 29.3-19.7 71 0 126.4-28.8 142.9-112.3 6.5-34.8 4.6-71.4-23.8-92.6z"}}]})(props);
};
function FaPennyArcade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M421.91 164.27c-4.49 19.45-1.4 6.06-15.1 65.29l39.73-10.61c-22.34-49.61-17.29-38.41-24.63-54.68zm-206.09 51.11c-20.19 5.4-11.31 3.03-39.63 10.58l4.46 46.19c28.17-7.59 20.62-5.57 34.82-9.34 42.3-9.79 32.85-56.42.35-47.43zm326.16-26.19l-45.47-99.2c-5.69-12.37-19.46-18.84-32.62-15.33-70.27 18.75-38.72 10.32-135.59 36.23a27.618 27.618 0 0 0-18.89 17.41C144.26 113.27 0 153.75 0 226.67c0 33.5 30.67 67.11 80.9 95.37l1.74 17.88a27.891 27.891 0 0 0-17.77 28.67l4.3 44.48c1.39 14.31 13.43 25.21 27.8 25.2 5.18-.01-3.01 1.78 122.53-31.76 12.57-3.37 21.12-15.02 20.58-28.02 216.59 45.5 401.99-5.98 399.89-84.83.01-28.15-22.19-66.56-97.99-104.47zM255.14 298.3l-21.91 5.88-48.44 12.91 2.46 23.55 20.53-5.51 4.51 44.51-115.31 30.78-4.3-44.52 20.02-5.35-11.11-114.64-20.12 5.39-4.35-44.5c178.15-47.54 170.18-46.42 186.22-46.65 56.66-1.13 64.15 71.84 42.55 104.43a86.7 86.7 0 0 1-50.75 33.72zm199.18 16.62l-3.89-39.49 14.9-3.98-6.61-14.68-57.76 15.42-4.1 17.54 19.2-5.12 4.05 39.54-112.85 30.07-4.46-44.43 20.99-5.59 33.08-126.47-17.15 4.56-4.2-44.48c93.36-24.99 65.01-17.41 135.59-36.24l66.67 145.47 20.79-5.56 4.3 44.48-108.55 28.96z"}}]})(props);
};
function FaPeriscope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M370 63.6C331.4 22.6 280.5 0 226.6 0 111.9 0 18.5 96.2 18.5 214.4c0 75.1 57.8 159.8 82.7 192.7C137.8 455.5 192.6 512 226.6 512c41.6 0 112.9-94.2 120.9-105 24.6-33.1 82-118.3 82-192.6 0-56.5-21.1-110.1-59.5-150.8zM226.6 493.9c-42.5 0-190-167.3-190-279.4 0-107.4 83.9-196.3 190-196.3 100.8 0 184.7 89 184.7 196.3.1 112.1-147.4 279.4-184.7 279.4zM338 206.8c0 59.1-51.1 109.7-110.8 109.7-100.6 0-150.7-108.2-92.9-181.8v.4c0 24.5 20.1 44.4 44.8 44.4 24.7 0 44.8-19.9 44.8-44.4 0-18.2-11.1-33.8-26.9-40.7 76.6-19.2 141 39.3 141 112.4z"}}]})(props);
};
function FaPhabricator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M323 262.1l-.1-13s21.7-19.8 21.1-21.2l-9.5-20c-.6-1.4-29.5-.5-29.5-.5l-9.4-9.3s.2-28.5-1.2-29.1l-20.1-9.2c-1.4-.6-20.7 21-20.7 21l-13.1-.2s-20.5-21.4-21.9-20.8l-20 8.3c-1.4.5.2 28.9.2 28.9l-9.1 9.1s-29.2-.9-29.7.4l-8.1 19.8c-.6 1.4 21 21 21 21l.1 12.9s-21.7 19.8-21.1 21.2l9.5 20c.6 1.4 29.5.5 29.5.5l9.4 9.3s-.2 31.8 1.2 32.3l20.1 8.3c1.4.6 20.7-23.5 20.7-23.5l13.1.2s20.5 23.8 21.8 23.3l20-7.5c1.4-.6-.2-32.1-.2-32.1l9.1-9.1s29.2.9 29.7-.5l8.1-19.8c.7-1.1-20.9-20.7-20.9-20.7zm-44.9-8.7c.7 17.1-12.8 31.6-30.1 32.4-17.3.8-32.1-12.5-32.8-29.6-.7-17.1 12.8-31.6 30.1-32.3 17.3-.8 32.1 12.5 32.8 29.5zm201.2-37.9l-97-97-.1.1c-75.1-73.3-195.4-72.8-269.8 1.6-50.9 51-27.8 27.9-95.7 95.3-22.3 22.3-22.3 58.7 0 81 69.9 69.4 46.4 46 97.4 97l.1-.1c75.1 73.3 195.4 72.9 269.8-1.6 51-50.9 27.9-27.9 95.3-95.3 22.3-22.3 22.3-58.7 0-81zM140.4 363.8c-59.6-59.5-59.6-156 0-215.5 59.5-59.6 156-59.5 215.6 0 59.5 59.5 59.6 156 0 215.6-59.6 59.5-156 59.4-215.6-.1z"}}]})(props);
};
function FaPhoenixFramework (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M212.9 344.3c3.8-.1 22.8-1.4 25.6-2.2-2.4-2.6-43.6-1-68-49.6-4.3-8.6-7.5-17.6-6.4-27.6 2.9-25.5 32.9-30 52-18.5 36 21.6 63.3 91.3 113.7 97.5 37 4.5 84.6-17 108.2-45.4-.6-.1-.8-.2-1-.1-.4.1-.8.2-1.1.3-33.3 12.1-94.3 9.7-134.7-14.8-37.6-22.8-53.1-58.7-51.8-74.6 1.8-21.3 22.9-23.2 35.9-19.6 14.4 3.9 24.4 17.6 38.9 27.4 15.6 10.4 32.9 13.7 51.3 10.3 14.9-2.7 34.4-12.3 36.5-14.5-1.1-.1-1.8-.1-2.5-.2-6.2-.6-12.4-.8-18.5-1.7C279.8 194.5 262.1 47.4 138.5 37.9 94.2 34.5 39.1 46 2.2 72.9c-.8.6-1.5 1.2-2.2 1.8.1.2.1.3.2.5.8 0 1.6-.1 2.4-.2 6.3-1 12.5-.8 18.7.3 23.8 4.3 47.7 23.1 55.9 76.5 5.3 34.3-.7 50.8 8 86.1 19 77.1 91 107.6 127.7 106.4zM75.3 64.9c-.9-1-.9-1.2-1.3-2 12.1-2.6 24.2-4.1 36.6-4.8-1.1 14.7-22.2 21.3-35.3 6.8zm196.9 350.5c-42.8 1.2-92-26.7-123.5-61.4-4.6-5-16.8-20.2-18.6-23.4l.4-.4c6.6 4.1 25.7 18.6 54.8 27 24.2 7 48.1 6.3 71.6-3.3 22.7-9.3 41-.5 43.1 2.9-18.5 3.8-20.1 4.4-24 7.9-5.1 4.4-4.6 11.7 7 17.2 26.2 12.4 63-2.8 97.2 25.4 2.4 2 8.1 7.8 10.1 10.7-.1.2-.3.3-.4.5-4.8-1.5-16.4-7.5-40.2-9.3-24.7-2-46.3 5.3-77.5 6.2zm174.8-252c16.4-5.2 41.3-13.4 66.5-3.3 16.1 6.5 26.2 18.7 32.1 34.6 3.5 9.4 5.1 19.7 5.1 28.7-.2 0-.4 0-.6.1-.2-.4-.4-.9-.5-1.3-5-22-29.9-43.8-67.6-29.9-50.2 18.6-130.4 9.7-176.9-48-.7-.9-2.4-1.7-1.3-3.2.1-.2 2.1.6 3 1.3 18.1 13.4 38.3 21.9 60.3 26.2 30.5 6.1 54.6 2.9 79.9-5.2zm102.7 117.5c-32.4.2-33.8 50.1-103.6 64.4-18.2 3.7-38.7 4.6-44.9 4.2v-.4c2.8-1.5 14.7-2.6 29.7-16.6 7.9-7.3 15.3-15.1 22.8-22.9 19.5-20.2 41.4-42.2 81.9-39 23.1 1.8 29.3 8.2 36.1 12.7.3.2.4.5.7.9-.5 0-.7.1-.9 0-7-2.7-14.3-3.3-21.8-3.3zm-12.3-24.1c-.1.2-.1.4-.2.6-28.9-4.4-48-7.9-68.5 4-17 9.9-31.4 20.5-62 24.4-27.1 3.4-45.1 2.4-66.1-8-.3-.2-.6-.4-1-.6 0-.2.1-.3.1-.5 24.9 3.8 36.4 5.1 55.5-5.8 22.3-12.9 40.1-26.6 71.3-31 29.6-4.1 51.3 2.5 70.9 16.9zM268.6 97.3c-.6-.6-1.1-1.2-2.1-2.3 7.6 0 29.7-1.2 53.4 8.4 19.7 8 32.2 21 50.2 32.9 11.1 7.3 23.4 9.3 36.4 8.1 4.3-.4 8.5-1.2 12.8-1.7.4-.1.9 0 1.5.3-.6.4-1.2.9-1.8 1.2-8.1 4-16.7 6.3-25.6 7.1-26.1 2.6-50.3-3.7-73.4-15.4-19.3-9.9-36.4-22.9-51.4-38.6zM640 335.7c-3.5 3.1-22.7 11.6-42.7 5.3-12.3-3.9-19.5-14.9-31.6-24.1-10-7.6-20.9-7.9-28.1-8.4.6-.8.9-1.2 1.2-1.4 14.8-9.2 30.5-12.2 47.3-6.5 12.5 4.2 19.2 13.5 30.4 24.2 10.8 10.4 21 9.9 23.1 10.5.1-.1.2 0 .4.4zm-212.5 137c2.2 1.2 1.6 1.5 1.5 2-18.5-1.4-33.9-7.6-46.8-22.2-21.8-24.7-41.7-27.9-48.6-29.7.5-.2.8-.4 1.1-.4 13.1.1 26.1.7 38.9 3.9 25.3 6.4 35 25.4 41.6 35.3 3.2 4.8 7.3 8.3 12.3 11.1z"}}]})(props);
};
function FaPhoenixSquadron (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96 63.38C142.49 27.25 201.55 7.31 260.51 8.81c29.58-.38 59.11 5.37 86.91 15.33-24.13-4.63-49-6.34-73.38-2.45C231.17 27 191 48.84 162.21 80.87c5.67-1 10.78-3.67 16-5.86 18.14-7.87 37.49-13.26 57.23-14.83 19.74-2.13 39.64-.43 59.28 1.92-14.42 2.79-29.12 4.57-43 9.59-34.43 11.07-65.27 33.16-86.3 62.63-13.8 19.71-23.63 42.86-24.67 67.13-.35 16.49 5.22 34.81 19.83 44a53.27 53.27 0 0 0 37.52 6.74c15.45-2.46 30.07-8.64 43.6-16.33 11.52-6.82 22.67-14.55 32-24.25 3.79-3.22 2.53-8.45 2.62-12.79-2.12-.34-4.38-1.11-6.3.3a203 203 0 0 1-35.82 15.37c-20 6.17-42.16 8.46-62.1.78 12.79 1.73 26.06.31 37.74-5.44 20.23-9.72 36.81-25.2 54.44-38.77a526.57 526.57 0 0 1 88.9-55.31c25.71-12 52.94-22.78 81.57-24.12-15.63 13.72-32.15 26.52-46.78 41.38-14.51 14-27.46 29.5-40.11 45.18-3.52 4.6-8.95 6.94-13.58 10.16a150.7 150.7 0 0 0-51.89 60.1c-9.33 19.68-14.5 41.85-11.77 63.65 1.94 13.69 8.71 27.59 20.9 34.91 12.9 8 29.05 8.07 43.48 5.1 32.8-7.45 61.43-28.89 81-55.84 20.44-27.52 30.52-62.2 29.16-96.35-.52-7.5-1.57-15-1.66-22.49 8 19.48 14.82 39.71 16.65 60.83 2 14.28.75 28.76-1.62 42.9-1.91 11-5.67 21.51-7.78 32.43a165 165 0 0 0 39.34-81.07 183.64 183.64 0 0 0-14.21-104.64c20.78 32 32.34 69.58 35.71 107.48.49 12.73.49 25.51 0 38.23A243.21 243.21 0 0 1 482 371.34c-26.12 47.34-68 85.63-117.19 108-78.29 36.23-174.68 31.32-248-14.68A248.34 248.34 0 0 1 25.36 366 238.34 238.34 0 0 1 0 273.08v-31.34C3.93 172 40.87 105.82 96 63.38m222 80.33a79.13 79.13 0 0 0 16-4.48c5-1.77 9.24-5.94 10.32-11.22-8.96 4.99-17.98 9.92-26.32 15.7z"}}]})(props);
};
function FaPhp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M320 104.5c171.4 0 303.2 72.2 303.2 151.5S491.3 407.5 320 407.5c-171.4 0-303.2-72.2-303.2-151.5S148.7 104.5 320 104.5m0-16.8C143.3 87.7 0 163 0 256s143.3 168.3 320 168.3S640 349 640 256 496.7 87.7 320 87.7zM218.2 242.5c-7.9 40.5-35.8 36.3-70.1 36.3l13.7-70.6c38 0 63.8-4.1 56.4 34.3zM97.4 350.3h36.7l8.7-44.8c41.1 0 66.6 3 90.2-19.1 26.1-24 32.9-66.7 14.3-88.1-9.7-11.2-25.3-16.7-46.5-16.7h-70.7L97.4 350.3zm185.7-213.6h36.5l-8.7 44.8c31.5 0 60.7-2.3 74.8 10.7 14.8 13.6 7.7 31-8.3 113.1h-37c15.4-79.4 18.3-86 12.7-92-5.4-5.8-17.7-4.6-47.4-4.6l-18.8 96.6h-36.5l32.7-168.6zM505 242.5c-8 41.1-36.7 36.3-70.1 36.3l13.7-70.6c38.2 0 63.8-4.1 56.4 34.3zM384.2 350.3H421l8.7-44.8c43.2 0 67.1 2.5 90.2-19.1 26.1-24 32.9-66.7 14.3-88.1-9.7-11.2-25.3-16.7-46.5-16.7H417l-32.8 168.7z"}}]})(props);
};
function FaPiedPiperAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M244 246c-3.2-2-6.3-2.9-10.1-2.9-6.6 0-12.6 3.2-19.3 3.7l1.7 4.9zm135.9 197.9c-19 0-64.1 9.5-79.9 19.8l6.9 45.1c35.7 6.1 70.1 3.6 106-9.8-4.8-10-23.5-55.1-33-55.1zM340.8 177c6.6 2.8 11.5 9.2 22.7 22.1 2-1.4 7.5-5.2 7.5-8.6 0-4.9-11.8-13.2-13.2-23 11.2-5.7 25.2-6 37.6-8.9 68.1-16.4 116.3-52.9 146.8-116.7C548.3 29.3 554 16.1 554.6 2l-2 2.6c-28.4 50-33 63.2-81.3 100-31.9 24.4-69.2 40.2-106.6 54.6l-6.3-.3v-21.8c-19.6 1.6-19.7-14.6-31.6-23-18.7 20.6-31.6 40.8-58.9 51.1-12.7 4.8-19.6 10-25.9 21.8 34.9-16.4 91.2-13.5 98.8-10zM555.5 0l-.6 1.1-.3.9.6-.6zm-59.2 382.1c-33.9-56.9-75.3-118.4-150-115.5l-.3-6c-1.1-13.5 32.8 3.2 35.1-31l-14.4 7.2c-19.8-45.7-8.6-54.3-65.5-54.3-14.7 0-26.7 1.7-41.4 4.6 2.9 18.6 2.2 36.7-10.9 50.3l19.5 5.5c-1.7 3.2-2.9 6.3-2.9 9.8 0 21 42.8 2.9 42.8 33.6 0 18.4-36.8 60.1-54.9 60.1-8 0-53.7-50-53.4-60.1l.3-4.6 52.3-11.5c13-2.6 12.3-22.7-2.9-22.7-3.7 0-43.1 9.2-49.4 10.6-2-5.2-7.5-14.1-13.8-14.1-3.2 0-6.3 3.2-9.5 4-9.2 2.6-31 2.9-21.5 20.1L15.9 298.5c-5.5 1.1-8.9 6.3-8.9 11.8 0 6 5.5 10.9 11.5 10.9 8 0 131.3-28.4 147.4-32.2 2.6 3.2 4.6 6.3 7.8 8.6 20.1 14.4 59.8 85.9 76.4 85.9 24.1 0 58-22.4 71.3-41.9 3.2-4.3 6.9-7.5 12.4-6.9.6 13.8-31.6 34.2-33 43.7-1.4 10.2-1 35.2-.3 41.1 26.7 8.1 52-3.6 77.9-2.9 4.3-21 10.6-41.9 9.8-63.5l-.3-9.5c-1.4-34.2-10.9-38.5-34.8-58.6-1.1-1.1-2.6-2.6-3.7-4 2.2-1.4 1.1-1 4.6-1.7 88.5 0 56.3 183.6 111.5 229.9 33.1-15 72.5-27.9 103.5-47.2-29-25.6-52.6-45.7-72.7-79.9zm-196.2 46.1v27.2l11.8-3.4-2.9-23.8zm-68.7-150.4l24.1 61.2 21-13.8-31.3-50.9zm84.4 154.9l2 12.4c9-1.5 58.4-6.6 58.4-14.1 0-1.4-.6-3.2-.9-4.6-26.8 0-36.9 3.8-59.5 6.3z"}}]})(props);
};
function FaPiedPiperHat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M640 24.9c-80.8 53.6-89.4 92.5-96.4 104.4-6.7 12.2-11.7 60.3-23.3 83.6-11.7 23.6-54.2 42.2-66.1 50-11.7 7.8-28.3 38.1-41.9 64.2-108.1-4.4-167.4 38.8-259.2 93.6 29.4-9.7 43.3-16.7 43.3-16.7 94.2-36 139.3-68.3 281.1-49.2 1.1 0 1.9.6 2.8.8 3.9 2.2 5.3 6.9 3.1 10.8l-53.9 95.8c-2.5 4.7-7.8 7.2-13.1 6.1-126.8-23.8-226.9 17.3-318.9 18.6C24.1 488 0 453.4 0 451.8c0-1.1.6-1.7 1.7-1.7 0 0 38.3 0 103.1-15.3C178.4 294.5 244 245.4 315.4 245.4c0 0 71.7 0 90.6 61.9 22.8-39.7 28.3-49.2 28.3-49.2 5.3-9.4 35-77.2 86.4-141.4 51.5-64 90.4-79.9 119.3-91.8z"}}]})(props);
};
function FaPiedPiperPp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M205.3 174.6c0 21.1-14.2 38.1-31.7 38.1-7.1 0-12.8-1.2-17.2-3.7v-68c4.4-2.7 10.1-4.2 17.2-4.2 17.5 0 31.7 16.9 31.7 37.8zm52.6 67c-7.1 0-12.8 1.5-17.2 4.2v68c4.4 2.5 10.1 3.7 17.2 3.7 17.4 0 31.7-16.9 31.7-37.8 0-21.1-14.3-38.1-31.7-38.1zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zM185 255.1c41 0 74.2-35.6 74.2-79.6 0-44-33.2-79.6-74.2-79.6-12 0-24.1 3.2-34.6 8.8h-45.7V311l51.8-10.1v-50.6c8.6 3.1 18.1 4.8 28.5 4.8zm158.4 25.3c0-44-33.2-79.6-73.9-79.6-3.2 0-6.4.2-9.6.7-3.7 12.5-10.1 23.8-19.2 33.4-13.8 15-32.2 23.8-51.8 24.8V416l51.8-10.1v-50.6c8.6 3.2 18.2 4.7 28.7 4.7 40.8 0 74-35.6 74-79.6z"}}]})(props);
};
function FaPiedPiperSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M32 419L0 479.2l.8-328C.8 85.3 54 32 120 32h327.2c-93 28.9-189.9 94.2-253.9 168.6C122.7 282 82.6 338 32 419M448 32S305.2 98.8 261.6 199.1c-23.2 53.6-28.9 118.1-71 158.6-28.9 27.8-69.8 38.2-105.3 56.3-23.2 12-66.4 40.5-84.9 66h328.4c66 0 119.3-53.3 119.3-119.2-.1 0-.1-328.8-.1-328.8z"}}]})(props);
};
function FaPiedPiper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 480 512"},"child":[{"tag":"path","attr":{"d":"M455.93,23.2C429.23,30,387.79,51.69,341.35,90.66A206,206,0,0,0,240,64C125.13,64,32,157.12,32,272s93.13,208,208,208,208-93.13,208-208a207.25,207.25,0,0,0-58.75-144.81,155.35,155.35,0,0,0-17,27.4A176.16,176.16,0,0,1,417.1,272c0,97.66-79.44,177.11-177.09,177.11a175.81,175.81,0,0,1-87.63-23.4c82.94-107.33,150.79-37.77,184.31-226.65,5.79-32.62,28-94.26,126.23-160.18C471,33.45,465.35,20.8,455.93,23.2ZM125,406.4A176.66,176.66,0,0,1,62.9,272C62.9,174.34,142.35,94.9,240,94.9a174,174,0,0,1,76.63,17.75C250.64,174.76,189.77,265.52,125,406.4Z"}}]})(props);
};
function FaPinterestP (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M204 6.5C101.4 6.5 0 74.9 0 185.6 0 256 39.6 296 63.6 296c9.9 0 15.6-27.6 15.6-35.4 0-9.3-23.7-29.1-23.7-67.8 0-80.4 61.2-137.4 140.4-137.4 68.1 0 118.5 38.7 118.5 109.8 0 53.1-21.3 152.7-90.3 152.7-24.9 0-46.2-18-46.2-43.8 0-37.8 26.4-74.4 26.4-113.4 0-66.2-93.9-54.2-93.9 25.8 0 16.8 2.1 35.4 9.6 50.7-13.8 59.4-42 147.9-42 209.1 0 18.9 2.7 37.5 4.5 56.4 3.4 3.8 1.7 3.4 6.9 1.5 50.4-69 48.6-82.5 71.4-172.8 12.3 23.4 44.1 36 69.3 36 106.2 0 153.9-103.5 153.9-196.8C384 71.3 298.2 6.5 204 6.5z"}}]})(props);
};
function FaPinterestSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 80v352c0 26.5-21.5 48-48 48H154.4c9.8-16.4 22.4-40 27.4-59.3 3-11.5 15.3-58.4 15.3-58.4 8 15.3 31.4 28.2 56.3 28.2 74.1 0 127.4-68.1 127.4-152.7 0-81.1-66.2-141.8-151.4-141.8-106 0-162.2 71.1-162.2 148.6 0 36 19.2 80.8 49.8 95.1 4.7 2.2 7.1 1.2 8.2-3.3.8-3.4 5-20.1 6.8-27.8.6-2.5.3-4.6-1.7-7-10.1-12.3-18.3-34.9-18.3-56 0-54.2 41-106.6 110.9-106.6 60.3 0 102.6 41.1 102.6 99.9 0 66.4-33.5 112.4-77.2 112.4-24.1 0-42.1-19.9-36.4-44.4 6.9-29.2 20.3-60.7 20.3-81.8 0-53-75.5-45.7-75.5 25 0 21.7 7.3 36.5 7.3 36.5-31.4 132.8-36.1 134.5-29.6 192.6l2.2.8H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48z"}}]})(props);
};
function FaPinterest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M496 256c0 137-111 248-248 248-25.6 0-50.2-3.9-73.4-11.1 10.1-16.5 25.2-43.5 30.8-65 3-11.6 15.4-59 15.4-59 8.1 15.4 31.7 28.5 56.8 28.5 74.8 0 128.7-68.8 128.7-154.3 0-81.9-66.9-143.2-152.9-143.2-107 0-163.9 71.8-163.9 150.1 0 36.4 19.4 81.7 50.3 96.1 4.7 2.2 7.2 1.2 8.3-3.3.8-3.4 5-20.3 6.9-28.1.6-2.5.3-4.7-1.7-7.1-10.1-12.5-18.3-35.3-18.3-56.6 0-54.7 41.4-107.6 112-107.6 60.9 0 103.6 41.5 103.6 100.9 0 67.1-33.9 113.6-78 113.6-24.3 0-42.6-20.1-36.7-44.8 7-29.5 20.5-61.3 20.5-82.6 0-19-10.2-34.9-31.4-34.9-24.9 0-44.9 25.7-44.9 60.2 0 22 7.4 36.8 7.4 36.8s-24.5 103.8-29 123.2c-5 21.4-3 51.6-.9 71.2C65.4 450.9 0 361.1 0 256 0 119 111 8 248 8s248 111 248 248z"}}]})(props);
};
function FaPlaystation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M570.9 372.3c-11.3 14.2-38.8 24.3-38.8 24.3L327 470.2v-54.3l150.9-53.8c17.1-6.1 19.8-14.8 5.8-19.4-13.9-4.6-39.1-3.3-56.2 2.9L327 381.1v-56.4c23.2-7.8 47.1-13.6 75.7-16.8 40.9-4.5 90.9.6 130.2 15.5 44.2 14 49.2 34.7 38 48.9zm-224.4-92.5v-139c0-16.3-3-31.3-18.3-35.6-11.7-3.8-19 7.1-19 23.4v347.9l-93.8-29.8V32c39.9 7.4 98 24.9 129.2 35.4C424.1 94.7 451 128.7 451 205.2c0 74.5-46 102.8-104.5 74.6zM43.2 410.2c-45.4-12.8-53-39.5-32.3-54.8 19.1-14.2 51.7-24.9 51.7-24.9l134.5-47.8v54.5l-96.8 34.6c-17.1 6.1-19.7 14.8-5.8 19.4 13.9 4.6 39.1 3.3 56.2-2.9l46.4-16.9v48.8c-51.6 9.3-101.4 7.3-153.9-10z"}}]})(props);
};
function FaProductHunt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M326.3 218.8c0 20.5-16.7 37.2-37.2 37.2h-70.3v-74.4h70.3c20.5 0 37.2 16.7 37.2 37.2zM504 256c0 137-111 248-248 248S8 393 8 256 119 8 256 8s248 111 248 248zm-128.1-37.2c0-47.9-38.9-86.8-86.8-86.8H169.2v248h49.6v-74.4h70.3c47.9 0 86.8-38.9 86.8-86.8z"}}]})(props);
};
function FaPushed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 432 512"},"child":[{"tag":"path","attr":{"d":"M407 111.9l-98.5-9 14-33.4c10.4-23.5-10.8-40.4-28.7-37L22.5 76.9c-15.1 2.7-26 18.3-21.4 36.6l105.1 348.3c6.5 21.3 36.7 24.2 47.7 7l35.3-80.8 235.2-231.3c16.4-16.8 4.3-42.9-17.4-44.8zM297.6 53.6c5.1-.7 7.5 2.5 5.2 7.4L286 100.9 108.6 84.6l189-31zM22.7 107.9c-3.1-5.1 1-10 6.1-9.1l248.7 22.7-96.9 230.7L22.7 107.9zM136 456.4c-2.6 4-7.9 3.1-9.4-1.2L43.5 179.7l127.7 197.6c-7 15-35.2 79.1-35.2 79.1zm272.8-314.5L210.1 337.3l89.7-213.7 106.4 9.7c4 1.1 5.7 5.3 2.6 8.6z"}}]})(props);
};
function FaPython (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M439.8 200.5c-7.7-30.9-22.3-54.2-53.4-54.2h-40.1v47.4c0 36.8-31.2 67.8-66.8 67.8H172.7c-29.2 0-53.4 25-53.4 54.3v101.8c0 29 25.2 46 53.4 54.3 33.8 9.9 66.3 11.7 106.8 0 26.9-7.8 53.4-23.5 53.4-54.3v-40.7H226.2v-13.6h160.2c31.1 0 42.6-21.7 53.4-54.2 11.2-33.5 10.7-65.7 0-108.6zM286.2 404c11.1 0 20.1 9.1 20.1 20.3 0 11.3-9 20.4-20.1 20.4-11 0-20.1-9.2-20.1-20.4.1-11.3 9.1-20.3 20.1-20.3zM167.8 248.1h106.8c29.7 0 53.4-24.5 53.4-54.3V91.9c0-29-24.4-50.7-53.4-55.6-35.8-5.9-74.7-5.6-106.8.1-45.2 8-53.4 24.7-53.4 55.6v40.7h106.9v13.6h-147c-31.1 0-58.3 18.7-66.8 54.2-9.8 40.7-10.2 66.1 0 108.6 7.6 31.6 25.7 54.2 56.8 54.2H101v-48.8c0-35.3 30.5-66.4 66.8-66.4zm-6.7-142.6c-11.1 0-20.1-9.1-20.1-20.3.1-11.3 9-20.4 20.1-20.4 11 0 20.1 9.2 20.1 20.4s-9 20.3-20.1 20.3z"}}]})(props);
};
function FaQq (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M433.754 420.445c-11.526 1.393-44.86-52.741-44.86-52.741 0 31.345-16.136 72.247-51.051 101.786 16.842 5.192 54.843 19.167 45.803 34.421-7.316 12.343-125.51 7.881-159.632 4.037-34.122 3.844-152.316 8.306-159.632-4.037-9.045-15.25 28.918-29.214 45.783-34.415-34.92-29.539-51.059-70.445-51.059-101.792 0 0-33.334 54.134-44.859 52.741-5.37-.65-12.424-29.644 9.347-99.704 10.261-33.024 21.995-60.478 40.144-105.779C60.683 98.063 108.982.006 224 0c113.737.006 163.156 96.133 160.264 214.963 18.118 45.223 29.912 72.85 40.144 105.778 21.768 70.06 14.716 99.053 9.346 99.704z"}}]})(props);
};
function FaQuinscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M313.6 474.6h-1a158.1 158.1 0 0 1 0-316.2c94.9 0 168.2 83.1 157 176.6 4 5.1 8.2 9.6 11.2 15.3 13.4-30.3 20.3-62.4 20.3-97.7C501.1 117.5 391.6 8 256.5 8S12 117.5 12 252.6s109.5 244.6 244.5 244.6a237.36 237.36 0 0 0 70.4-10.1c-5.2-3.5-8.9-8.1-13.3-12.5zm-.1-.1l.4.1zm78.4-168.9a99.2 99.2 0 1 0 99.2 99.2 99.18 99.18 0 0 0-99.2-99.2z"}}]})(props);
};
function FaQuora (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M440.5 386.7h-29.3c-1.5 13.5-10.5 30.8-33 30.8-20.5 0-35.3-14.2-49.5-35.8 44.2-34.2 74.7-87.5 74.7-153C403.5 111.2 306.8 32 205 32 105.3 32 7.3 111.7 7.3 228.7c0 134.1 131.3 221.6 249 189C276 451.3 302 480 351.5 480c81.8 0 90.8-75.3 89-93.3zM297 329.2C277.5 300 253.3 277 205.5 277c-30.5 0-54.3 10-69 22.8l12.2 24.3c6.2-3 13-4 19.8-4 35.5 0 53.7 30.8 69.2 61.3-10 3-20.7 4.2-32.7 4.2-75 0-107.5-53-107.5-156.7C97.5 124.5 130 71 205 71c76.2 0 108.7 53.5 108.7 157.7.1 41.8-5.4 75.6-16.7 100.5z"}}]})(props);
};
function FaRProject (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 581 512"},"child":[{"tag":"path","attr":{"d":"M581 226.6C581 119.1 450.9 32 290.5 32S0 119.1 0 226.6C0 322.4 103.3 402 239.4 418.1V480h99.1v-61.5c24.3-2.7 47.6-7.4 69.4-13.9L448 480h112l-67.4-113.7c54.5-35.4 88.4-84.9 88.4-139.7zm-466.8 14.5c0-73.5 98.9-133 220.8-133s211.9 40.7 211.9 133c0 50.1-26.5 85-70.3 106.4-2.4-1.6-4.7-2.9-6.4-3.7-10.2-5.2-27.8-10.5-27.8-10.5s86.6-6.4 86.6-92.7-90.6-87.9-90.6-87.9h-199V361c-74.1-21.5-125.2-67.1-125.2-119.9zm225.1 38.3v-55.6c57.8 0 87.8-6.8 87.8 27.3 0 36.5-38.2 28.3-87.8 28.3zm-.9 72.5H365c10.8 0 18.9 11.7 24 19.2-16.1 1.9-33 2.8-50.6 2.9v-22.1z"}}]})(props);
};
function FaRaspberryPi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 407 512"},"child":[{"tag":"path","attr":{"d":"M372 232.5l-3.7-6.5c.1-46.4-21.4-65.3-46.5-79.7 7.6-2 15.4-3.6 17.6-13.2 13.1-3.3 15.8-9.4 17.1-15.8 3.4-2.3 14.8-8.7 13.6-19.7 6.4-4.4 10-10.1 8.1-18.1 6.9-7.5 8.7-13.7 5.8-19.4 8.3-10.3 4.6-15.6 1.1-20.9 6.2-11.2.7-23.2-16.6-21.2-6.9-10.1-21.9-7.8-24.2-7.8-2.6-3.2-6-6-16.5-4.7-6.8-6.1-14.4-5-22.3-2.1-9.3-7.3-15.5-1.4-22.6.8C271.6.6 269 5.5 263.5 7.6c-12.3-2.6-16.1 3-22 8.9l-6.9-.1c-18.6 10.8-27.8 32.8-31.1 44.1-3.3-11.3-12.5-33.3-31.1-44.1l-6.9.1c-5.9-5.9-9.7-11.5-22-8.9-5.6-2-8.1-7-19.4-3.4-4.6-1.4-8.9-4.4-13.9-4.3-2.6.1-5.5 1-8.7 3.5-7.9-3-15.5-4-22.3 2.1-10.5-1.3-14 1.4-16.5 4.7-2.3 0-17.3-2.3-24.2 7.8C21.2 16 15.8 28 22 39.2c-3.5 5.4-7.2 10.7 1.1 20.9-2.9 5.7-1.1 11.9 5.8 19.4-1.8 8 1.8 13.7 8.1 18.1-1.2 11 10.2 17.4 13.6 19.7 1.3 6.4 4 12.4 17.1 15.8 2.2 9.5 10 11.2 17.6 13.2-25.1 14.4-46.6 33.3-46.5 79.7l-3.7 6.5c-28.8 17.2-54.7 72.7-14.2 117.7 2.6 14.1 7.1 24.2 11 35.4 5.9 45.2 44.5 66.3 54.6 68.8 14.9 11.2 30.8 21.8 52.2 29.2C159 504.2 181 512 203 512h1c22.1 0 44-7.8 64.2-28.4 21.5-7.4 37.3-18 52.2-29.2 10.2-2.5 48.7-23.6 54.6-68.8 3.9-11.2 8.4-21.3 11-35.4 40.6-45.1 14.7-100.5-14-117.7zm-22.2-8c-1.5 18.7-98.9-65.1-82.1-67.9 45.7-7.5 83.6 19.2 82.1 67.9zm-43 93.1c-24.5 15.8-59.8 5.6-78.8-22.8s-14.6-64.2 9.9-80c24.5-15.8 59.8-5.6 78.8 22.8s14.6 64.2-9.9 80zM238.9 29.3c.8 4.2 1.8 6.8 2.9 7.6 5.4-5.8 9.8-11.7 16.8-17.3 0 3.3-1.7 6.8 2.5 9.4 3.7-5 8.8-9.5 15.5-13.3-3.2 5.6-.6 7.3 1.2 9.6 5.1-4.4 10-8.8 19.4-12.3-2.6 3.1-6.2 6.2-2.4 9.8 5.3-3.3 10.6-6.6 23.1-8.9-2.8 3.1-8.7 6.3-5.1 9.4 6.6-2.5 14-4.4 22.1-5.4-3.9 3.2-7.1 6.3-3.9 8.8 7.1-2.2 16.9-5.1 26.4-2.6l-6 6.1c-.7.8 14.1.6 23.9.8-3.6 5-7.2 9.7-9.3 18.2 1 1 5.8.4 10.4 0-4.7 9.9-12.8 12.3-14.7 16.6 2.9 2.2 6.8 1.6 11.2.1-3.4 6.9-10.4 11.7-16 17.3 1.4 1 3.9 1.6 9.7.9-5.2 5.5-11.4 10.5-18.8 15 1.3 1.5 5.8 1.5 10 1.6-6.7 6.5-15.3 9.9-23.4 14.2 4 2.7 6.9 2.1 10 2.1-5.7 4.7-15.4 7.1-24.4 10 1.7 2.7 3.4 3.4 7.1 4.1-9.5 5.3-23.2 2.9-27 5.6.9 2.7 3.6 4.4 6.7 5.8-15.4.9-57.3-.6-65.4-32.3 15.7-17.3 44.4-37.5 93.7-62.6-38.4 12.8-73 30-102 53.5-34.3-15.9-10.8-55.9 5.8-71.8zm-34.4 114.6c24.2-.3 54.1 17.8 54 34.7-.1 15-21 27.1-53.8 26.9-32.1-.4-53.7-15.2-53.6-29.8 0-11.9 26.2-32.5 53.4-31.8zm-123-12.8c3.7-.7 5.4-1.5 7.1-4.1-9-2.8-18.7-5.3-24.4-10 3.1 0 6 .7 10-2.1-8.1-4.3-16.7-7.7-23.4-14.2 4.2-.1 8.7 0 10-1.6-7.4-4.5-13.6-9.5-18.8-15 5.8.7 8.3.1 9.7-.9-5.6-5.6-12.7-10.4-16-17.3 4.3 1.5 8.3 2 11.2-.1-1.9-4.2-10-6.7-14.7-16.6 4.6.4 9.4 1 10.4 0-2.1-8.5-5.8-13.3-9.3-18.2 9.8-.1 24.6 0 23.9-.8l-6-6.1c9.5-2.5 19.3.4 26.4 2.6 3.2-2.5-.1-5.6-3.9-8.8 8.1 1.1 15.4 2.9 22.1 5.4 3.5-3.1-2.3-6.3-5.1-9.4 12.5 2.3 17.8 5.6 23.1 8.9 3.8-3.6.2-6.7-2.4-9.8 9.4 3.4 14.3 7.9 19.4 12.3 1.7-2.3 4.4-4 1.2-9.6 6.7 3.8 11.8 8.3 15.5 13.3 4.1-2.6 2.5-6.2 2.5-9.4 7 5.6 11.4 11.5 16.8 17.3 1.1-.8 2-3.4 2.9-7.6 16.6 15.9 40.1 55.9 6 71.8-29-23.5-63.6-40.7-102-53.5 49.3 25 78 45.3 93.7 62.6-8 31.8-50 33.2-65.4 32.3 3.1-1.4 5.8-3.2 6.7-5.8-4-2.8-17.6-.4-27.2-5.6zm60.1 24.1c16.8 2.8-80.6 86.5-82.1 67.9-1.5-48.7 36.5-75.5 82.1-67.9zM38.2 342c-23.7-18.8-31.3-73.7 12.6-98.3 26.5-7 9 107.8-12.6 98.3zm91 98.2c-13.3 7.9-45.8 4.7-68.8-27.9-15.5-27.4-13.5-55.2-2.6-63.4 16.3-9.8 41.5 3.4 60.9 25.6 16.9 20 24.6 55.3 10.5 65.7zm-26.4-119.7c-24.5-15.8-28.9-51.6-9.9-80s54.3-38.6 78.8-22.8 28.9 51.6 9.9 80c-19.1 28.4-54.4 38.6-78.8 22.8zM205 496c-29.4 1.2-58.2-23.7-57.8-32.3-.4-12.7 35.8-22.6 59.3-22 23.7-1 55.6 7.5 55.7 18.9.5 11-28.8 35.9-57.2 35.4zm58.9-124.9c.2 29.7-26.2 53.8-58.8 54-32.6.2-59.2-23.8-59.4-53.4v-.6c-.2-29.7 26.2-53.8 58.8-54 32.6-.2 59.2 23.8 59.4 53.4v.6zm82.2 42.7c-25.3 34.6-59.6 35.9-72.3 26.3-13.3-12.4-3.2-50.9 15.1-72 20.9-23.3 43.3-38.5 58.9-26.6 10.5 10.3 16.7 49.1-1.7 72.3zm22.9-73.2c-21.5 9.4-39-105.3-12.6-98.3 43.9 24.7 36.3 79.6 12.6 98.3z"}}]})(props);
};
function FaRavelry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M407.4 61.5C331.6 22.1 257.8 31 182.9 66c-11.3 5.2-15.5 10.6-19.9 19-10.3 19.2-16.2 37.4-19.9 52.7-21.2 25.6-36.4 56.1-43.3 89.9-10.6 18-20.9 41.4-23.1 71.4 0 0-.7 7.6-.5 7.9-35.3-4.6-76.2-27-76.2-27 9.1 14.5 61.3 32.3 76.3 37.9 0 0 1.7 98 64.5 131.2-11.3-17.2-13.3-20.2-13.3-20.2S94.8 369 100.4 324.7c.7 0 1.5.2 2.2.2 23.9 87.4 103.2 151.4 196.9 151.4 6.2 0 12.1-.2 18-.7 14 1.5 27.6.5 40.1-3.9 6.9-2.2 13.8-6.4 20.2-10.8 70.2-39.1 100.9-82 123.1-147.7 5.4-16 8.1-35.5 9.8-52.2 8.7-82.3-30.6-161.6-103.3-199.5zM138.8 163.2s-1.2 12.3-.7 19.7c-3.4 2.5-10.1 8.1-18.2 16.7 5.2-12.8 11.3-25.1 18.9-36.4zm-31.2 121.9c4.4-17.2 13.3-39.1 29.8-55.1 0 0 1.7 48 15.8 90.1l-41.4-6.9c-2.2-9.2-3.5-18.5-4.2-28.1zm7.9 42.8c14.8 3.2 34 7.6 43.1 9.1 27.3 76.8 108.3 124.3 108.3 124.3 1 .5 1.7.7 2.7 1-73.1-11.6-132.7-64.7-154.1-134.4zM386 444.1c-14.5 4.7-36.2 8.4-64.7 3.7 0 0-91.1-23.1-127.5-107.8 38.2.7 52.4-.2 78-3.9 39.4-5.7 79-16.2 115-33 11.8-5.4 11.1-19.4 9.6-29.8-2-12.8-11.1-12.1-21.4-4.7 0 0-82 58.6-189.8 53.7-18.7-32-26.8-110.8-26.8-110.8 41.4-35.2 83.2-59.6 168.4-52.4.2-6.4 3-27.1-20.4-28.1 0 0-93.5-11.1-146 33.5 2.5-16.5 5.9-29.3 11.1-39.4 34.2-30.8 79-49.5 128.3-49.5 106.4 0 193 87.1 193 194.5-.2 76-43.8 142-106.8 174z"}}]})(props);
};
function FaReact (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M418.2 177.2c-5.4-1.8-10.8-3.5-16.2-5.1.9-3.7 1.7-7.4 2.5-11.1 12.3-59.6 4.2-107.5-23.1-123.3-26.3-15.1-69.2.6-112.6 38.4-4.3 3.7-8.5 7.6-12.5 11.5-2.7-2.6-5.5-5.2-8.3-7.7-45.5-40.4-91.1-57.4-118.4-41.5-26.2 15.2-34 60.3-23 116.7 1.1 5.6 2.3 11.1 3.7 16.7-6.4 1.8-12.7 3.8-18.6 5.9C38.3 196.2 0 225.4 0 255.6c0 31.2 40.8 62.5 96.3 81.5 4.5 1.5 9 3 13.6 4.3-1.5 6-2.8 11.9-4 18-10.5 55.5-2.3 99.5 23.9 114.6 27 15.6 72.4-.4 116.6-39.1 3.5-3.1 7-6.3 10.5-9.7 4.4 4.3 9 8.4 13.6 12.4 42.8 36.8 85.1 51.7 111.2 36.6 27-15.6 35.8-62.9 24.4-120.5-.9-4.4-1.9-8.9-3-13.5 3.2-.9 6.3-1.9 9.4-2.9 57.7-19.1 99.5-50 99.5-81.7 0-30.3-39.4-59.7-93.8-78.4zM282.9 92.3c37.2-32.4 71.9-45.1 87.7-36 16.9 9.7 23.4 48.9 12.8 100.4-.7 3.4-1.4 6.7-2.3 10-22.2-5-44.7-8.6-67.3-10.6-13-18.6-27.2-36.4-42.6-53.1 3.9-3.7 7.7-7.2 11.7-10.7zM167.2 307.5c5.1 8.7 10.3 17.4 15.8 25.9-15.6-1.7-31.1-4.2-46.4-7.5 4.4-14.4 9.9-29.3 16.3-44.5 4.6 8.8 9.3 17.5 14.3 26.1zm-30.3-120.3c14.4-3.2 29.7-5.8 45.6-7.8-5.3 8.3-10.5 16.8-15.4 25.4-4.9 8.5-9.7 17.2-14.2 26-6.3-14.9-11.6-29.5-16-43.6zm27.4 68.9c6.6-13.8 13.8-27.3 21.4-40.6s15.8-26.2 24.4-38.9c15-1.1 30.3-1.7 45.9-1.7s31 .6 45.9 1.7c8.5 12.6 16.6 25.5 24.3 38.7s14.9 26.7 21.7 40.4c-6.7 13.8-13.9 27.4-21.6 40.8-7.6 13.3-15.7 26.2-24.2 39-14.9 1.1-30.4 1.6-46.1 1.6s-30.9-.5-45.6-1.4c-8.7-12.7-16.9-25.7-24.6-39s-14.8-26.8-21.5-40.6zm180.6 51.2c5.1-8.8 9.9-17.7 14.6-26.7 6.4 14.5 12 29.2 16.9 44.3-15.5 3.5-31.2 6.2-47 8 5.4-8.4 10.5-17 15.5-25.6zm14.4-76.5c-4.7-8.8-9.5-17.6-14.5-26.2-4.9-8.5-10-16.9-15.3-25.2 16.1 2 31.5 4.7 45.9 8-4.6 14.8-10 29.2-16.1 43.4zM256.2 118.3c10.5 11.4 20.4 23.4 29.6 35.8-19.8-.9-39.7-.9-59.5 0 9.8-12.9 19.9-24.9 29.9-35.8zM140.2 57c16.8-9.8 54.1 4.2 93.4 39 2.5 2.2 5 4.6 7.6 7-15.5 16.7-29.8 34.5-42.9 53.1-22.6 2-45 5.5-67.2 10.4-1.3-5.1-2.4-10.3-3.5-15.5-9.4-48.4-3.2-84.9 12.6-94zm-24.5 263.6c-4.2-1.2-8.3-2.5-12.4-3.9-21.3-6.7-45.5-17.3-63-31.2-10.1-7-16.9-17.8-18.8-29.9 0-18.3 31.6-41.7 77.2-57.6 5.7-2 11.5-3.8 17.3-5.5 6.8 21.7 15 43 24.5 63.6-9.6 20.9-17.9 42.5-24.8 64.5zm116.6 98c-16.5 15.1-35.6 27.1-56.4 35.3-11.1 5.3-23.9 5.8-35.3 1.3-15.9-9.2-22.5-44.5-13.5-92 1.1-5.6 2.3-11.2 3.7-16.7 22.4 4.8 45 8.1 67.9 9.8 13.2 18.7 27.7 36.6 43.2 53.4-3.2 3.1-6.4 6.1-9.6 8.9zm24.5-24.3c-10.2-11-20.4-23.2-30.3-36.3 9.6.4 19.5.6 29.5.6 10.3 0 20.4-.2 30.4-.7-9.2 12.7-19.1 24.8-29.6 36.4zm130.7 30c-.9 12.2-6.9 23.6-16.5 31.3-15.9 9.2-49.8-2.8-86.4-34.2-4.2-3.6-8.4-7.5-12.7-11.5 15.3-16.9 29.4-34.8 42.2-53.6 22.9-1.9 45.7-5.4 68.2-10.5 1 4.1 1.9 8.2 2.7 12.2 4.9 21.6 5.7 44.1 2.5 66.3zm18.2-107.5c-2.8.9-5.6 1.8-8.5 2.6-7-21.8-15.6-43.1-25.5-63.8 9.6-20.4 17.7-41.4 24.5-62.9 5.2 1.5 10.2 3.1 15 4.7 46.6 16 79.3 39.8 79.3 58 0 19.6-34.9 44.9-84.8 61.4zm-149.7-15c25.3 0 45.8-20.5 45.8-45.8s-20.5-45.8-45.8-45.8c-25.3 0-45.8 20.5-45.8 45.8s20.5 45.8 45.8 45.8z"}}]})(props);
};
function FaReacteurope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M250.6 211.74l5.8-4.1 5.8 4.1-2.1-6.8 5.7-4.3-7.1-.1-2.3-6.8-2.3 6.8-7.2.1 5.7 4.3zm63.7 0l5.8-4.1 5.8 4.1-2.1-6.8 5.7-4.3-7.2-.1-2.3-6.8-2.3 6.8-7.2.1 5.7 4.3zm-91.3 50.5h-3.4c-4.8 0-3.8 4-3.8 12.1 0 4.7-2.3 6.1-5.8 6.1s-5.8-1.4-5.8-6.1v-36.6c0-4.7 2.3-6.1 5.8-6.1s5.8 1.4 5.8 6.1c0 7.2-.7 10.5 3.8 10.5h3.4c4.7-.1 3.8-3.9 3.8-12.3 0-9.9-6.7-14.1-16.8-14.1h-.2c-10.1 0-16.8 4.2-16.8 14.1V276c0 10.4 6.7 14.1 16.8 14.1h.2c10.1 0 16.8-3.8 16.8-14.1 0-9.86 1.1-13.76-3.8-13.76zm-80.7 17.4h-14.7v-19.3H139c2.5 0 3.8-1.3 3.8-3.8v-2.1c0-2.5-1.3-3.8-3.8-3.8h-11.4v-18.3H142c2.5 0 3.8-1.3 3.8-3.8v-2.1c0-2.5-1.3-3.8-3.8-3.8h-21.7c-2.4-.1-3.7 1.3-3.7 3.8v59.1c0 2.5 1.3 3.8 3.8 3.8h21.9c2.5 0 3.8-1.3 3.8-3.8v-2.1c0-2.5-1.3-3.8-3.8-3.8zm-42-18.5c4.6-2 7.3-6 7.3-12.4v-11.9c0-10.1-6.7-14.1-16.8-14.1H77.4c-2.5 0-3.8 1.3-3.8 3.8v59.1c0 2.5 1.3 3.8 3.8 3.8h3.4c2.5 0 3.8-1.3 3.8-3.8v-22.9h5.6l7.4 23.5a4.1 4.1 0 0 0 4.3 3.2h3.3c2.8 0 4-1.8 3.2-4.4zm-3.8-14c0 4.8-2.5 6.1-6.1 6.1h-5.8v-20.9h5.8c3.6 0 6.1 1.3 6.1 6.1zM176 226a3.82 3.82 0 0 0-4.2-3.4h-6.9a3.68 3.68 0 0 0-4 3.4l-11 59.2c-.5 2.7.9 4.1 3.4 4.1h3a3.74 3.74 0 0 0 4.1-3.5l1.8-11.3h12.2l1.8 11.3a3.74 3.74 0 0 0 4.1 3.5h3.5c2.6 0 3.9-1.4 3.4-4.1zm-12.3 39.3l4.7-29.7 4.7 29.7zm89.3 20.2v-53.2h7.5c2.5 0 3.8-1.3 3.8-3.8v-2.1c0-2.5-1.3-3.8-3.8-3.8h-25.8c-2.5 0-3.8 1.3-3.8 3.8v2.1c0 2.5 1.3 3.8 3.8 3.8h7.3v53.2c0 2.5 1.3 3.8 3.8 3.8h3.4c2.5.04 3.8-1.3 3.8-3.76zm248-.8h-19.4V258h16.1a1.89 1.89 0 0 0 2-2v-.8a1.89 1.89 0 0 0-2-2h-16.1v-25.8h19.1a1.89 1.89 0 0 0 2-2v-.8a1.77 1.77 0 0 0-2-1.9h-22.2a1.62 1.62 0 0 0-2 1.8v63a1.81 1.81 0 0 0 2 1.9H501a1.81 1.81 0 0 0 2-1.9v-.8a1.84 1.84 0 0 0-2-1.96zm-93.1-62.9h-.8c-10.1 0-15.3 4.7-15.3 14.1V276c0 9.3 5.2 14.1 15.3 14.1h.8c10.1 0 15.3-4.8 15.3-14.1v-40.1c0-9.36-5.2-14.06-15.3-14.06zm10.2 52.4c-.1 8-3 11.1-10.5 11.1s-10.5-3.1-10.5-11.1v-36.6c0-7.9 3-11.1 10.5-11.1s10.5 3.2 10.5 11.1zm-46.5-14.5c6.1-1.6 9.2-6.1 9.2-13.3v-9.7c0-9.4-5.2-14.1-15.3-14.1h-13.7a1.81 1.81 0 0 0-2 1.9v63a1.81 1.81 0 0 0 2 1.9h1.2a1.74 1.74 0 0 0 1.9-1.9v-26.9h11.6l10.4 27.2a2.32 2.32 0 0 0 2.3 1.5h1.5c1.4 0 2-1 1.5-2.3zm-6.4-3.9H355v-28.5h10.2c7.5 0 10.5 3.1 10.5 11.1v6.4c0 7.84-3 11.04-10.5 11.04zm85.9-33.1h-13.7a1.62 1.62 0 0 0-2 1.8v63a1.81 1.81 0 0 0 2 1.9h1.2a1.74 1.74 0 0 0 1.9-1.9v-26.1h10.6c10.1 0 15.3-4.8 15.3-14.1v-10.5c0-9.4-5.2-14.1-15.3-14.1zm10.2 22.8c0 7.9-3 11.1-10.5 11.1h-10.2v-29.2h10.2c7.5-.1 10.5 3.1 10.5 11zM259.5 308l-2.3-6.8-2.3 6.8-7.1.1 5.7 4.3-2.1 6.8 5.8-4.1 5.8 4.1-2.1-6.8 5.7-4.3zm227.6-136.1a364.42 364.42 0 0 0-35.6-11.3c19.6-78 11.6-134.7-22.3-153.9C394.7-12.66 343.3 11 291 61.94q5.1 4.95 10.2 10.2c82.5-80 119.6-53.5 120.9-52.8 22.4 12.7 36 55.8 15.5 137.8a587.83 587.83 0 0 0-84.6-13C281.1 43.64 212.4 2 170.8 2 140 2 127 23 123.2 29.74c-18.1 32-13.3 84.2.1 133.8-70.5 20.3-120.7 54.1-120.3 95 .5 59.6 103.2 87.8 122.1 92.8-20.5 81.9-10.1 135.6 22.3 153.9 28 15.8 75.1 6 138.2-55.2q-5.1-4.95-10.2-10.2c-82.5 80-119.7 53.5-120.9 52.8-22.3-12.6-36-55.6-15.5-137.9 12.4 2.9 41.8 9.5 84.6 13 71.9 100.4 140.6 142 182.1 142 30.8 0 43.8-21 47.6-27.7 18-31.9 13.3-84.1-.1-133.8 152.3-43.8 156.2-130.2 33.9-176.3zM135.9 36.84c2.9-5.1 11.9-20.3 34.9-20.3 36.8 0 98.8 39.6 163.3 126.2a714 714 0 0 0-93.9.9 547.76 547.76 0 0 1 42.2-52.4Q277.3 86 272.2 81a598.25 598.25 0 0 0-50.7 64.2 569.69 569.69 0 0 0-84.4 14.6c-.2-1.4-24.3-82.2-1.2-123zm304.8 438.3c-2.9 5.1-11.8 20.3-34.9 20.3-36.7 0-98.7-39.4-163.3-126.2a695.38 695.38 0 0 0 93.9-.9 547.76 547.76 0 0 1-42.2 52.4q5.1 5.25 10.2 10.2a588.47 588.47 0 0 0 50.7-64.2c47.3-4.7 80.3-13.5 84.4-14.6 22.7 84.4 4.5 117 1.2 123zm9.1-138.6c-3.6-11.9-7.7-24.1-12.4-36.4a12.67 12.67 0 0 1-10.7-5.7l-.1.1a19.61 19.61 0 0 1-5.4 3.6c5.7 14.3 10.6 28.4 14.7 42.2a535.3 535.3 0 0 1-72 13c3.5-5.3 17.2-26.2 32.2-54.2a24.6 24.6 0 0 1-6-3.2c-1.1 1.2-3.6 4.2-10.9 4.2-6.2 11.2-17.4 30.9-33.9 55.2a711.91 711.91 0 0 1-112.4 1c-7.9-11.2-21.5-31.1-36.8-57.8a21 21 0 0 1-3-1.5c-1.9 1.6-3.9 3.2-12.6 3.2 6.3 11.2 17.5 30.7 33.8 54.6a548.81 548.81 0 0 1-72.2-11.7q5.85-21 14.1-42.9c-3.2 0-5.4.2-8.4-1a17.58 17.58 0 0 1-6.9 1c-4.9 13.4-9.1 26.5-12.7 39.4C-31.7 297-12.1 216 126.7 175.64c3.6 11.9 7.7 24.1 12.4 36.4 10.4 0 12.9 3.4 14.4 5.3a12 12 0 0 1 2.3-2.2c-5.8-14.7-10.9-29.2-15.2-43.3 7-1.8 32.4-8.4 72-13-15.9 24.3-26.7 43.9-32.8 55.3a14.22 14.22 0 0 1 6.4 8 23.42 23.42 0 0 1 10.2-8.4c6.5-11.7 17.9-31.9 34.8-56.9a711.72 711.72 0 0 1 112.4-1c31.5 44.6 28.9 48.1 42.5 64.5a21.42 21.42 0 0 1 10.4-7.4c-6.4-11.4-17.6-31-34.3-55.5 40.4 4.1 65 10 72.2 11.7-4 14.4-8.9 29.2-14.6 44.2a20.74 20.74 0 0 1 6.8 4.3l.1.1a12.72 12.72 0 0 1 8.9-5.6c4.9-13.4 9.2-26.6 12.8-39.5a359.71 359.71 0 0 1 34.5 11c106.1 39.9 74 87.9 72.6 90.4-19.8 35.1-80.1 55.2-105.7 62.5zm-114.4-114h-1.2a1.74 1.74 0 0 0-1.9 1.9v49.8c0 7.9-2.6 11.1-10.1 11.1s-10.1-3.1-10.1-11.1v-49.8a1.69 1.69 0 0 0-1.9-1.9H309a1.81 1.81 0 0 0-2 1.9v51.5c0 9.6 5 14.1 15.1 14.1h.4c10.1 0 15.1-4.6 15.1-14.1v-51.5a2 2 0 0 0-2.2-1.9zM321.7 308l-2.3-6.8-2.3 6.8-7.1.1 5.7 4.3-2.1 6.8 5.8-4.1 5.8 4.1-2.1-6.8 5.7-4.3zm-31.1 7.4l-2.3-6.8-2.3 6.8-7.1.1 5.7 4.3-2.1 6.8 5.8-4.1 5.8 4.1-2.1-6.8 5.7-4.3zm5.1-30.8h-19.4v-26.7h16.1a1.89 1.89 0 0 0 2-2v-.8a1.89 1.89 0 0 0-2-2h-16.1v-25.8h19.1a1.89 1.89 0 0 0 2-2v-.8a1.77 1.77 0 0 0-2-1.9h-22.2a1.81 1.81 0 0 0-2 1.9v63a1.81 1.81 0 0 0 2 1.9h22.5a1.77 1.77 0 0 0 2-1.9v-.8a1.83 1.83 0 0 0-2-2.06zm-7.4-99.4L286 192l-7.1.1 5.7 4.3-2.1 6.8 5.8-4.1 5.8 4.1-2.1-6.8 5.7-4.3-7.1-.1z"}}]})(props);
};
function FaReadme (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M528.3 46.5H388.5c-48.1 0-89.9 33.3-100.4 80.3-10.6-47-52.3-80.3-100.4-80.3H48c-26.5 0-48 21.5-48 48v245.8c0 26.5 21.5 48 48 48h89.7c102.2 0 132.7 24.4 147.3 75 .7 2.8 5.2 2.8 6 0 14.7-50.6 45.2-75 147.3-75H528c26.5 0 48-21.5 48-48V94.6c0-26.4-21.3-47.9-47.7-48.1zM242 311.9c0 1.9-1.5 3.5-3.5 3.5H78.2c-1.9 0-3.5-1.5-3.5-3.5V289c0-1.9 1.5-3.5 3.5-3.5h160.4c1.9 0 3.5 1.5 3.5 3.5v22.9zm0-60.9c0 1.9-1.5 3.5-3.5 3.5H78.2c-1.9 0-3.5-1.5-3.5-3.5v-22.9c0-1.9 1.5-3.5 3.5-3.5h160.4c1.9 0 3.5 1.5 3.5 3.5V251zm0-60.9c0 1.9-1.5 3.5-3.5 3.5H78.2c-1.9 0-3.5-1.5-3.5-3.5v-22.9c0-1.9 1.5-3.5 3.5-3.5h160.4c1.9 0 3.5 1.5 3.5 3.5v22.9zm259.3 121.7c0 1.9-1.5 3.5-3.5 3.5H337.5c-1.9 0-3.5-1.5-3.5-3.5v-22.9c0-1.9 1.5-3.5 3.5-3.5h160.4c1.9 0 3.5 1.5 3.5 3.5v22.9zm0-60.9c0 1.9-1.5 3.5-3.5 3.5H337.5c-1.9 0-3.5-1.5-3.5-3.5V228c0-1.9 1.5-3.5 3.5-3.5h160.4c1.9 0 3.5 1.5 3.5 3.5v22.9zm0-60.9c0 1.9-1.5 3.5-3.5 3.5H337.5c-1.9 0-3.5-1.5-3.5-3.5v-22.8c0-1.9 1.5-3.5 3.5-3.5h160.4c1.9 0 3.5 1.5 3.5 3.5V190z"}}]})(props);
};
function FaRebel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.5 504C117.2 504 9 387.8 13.2 249.9 16 170.7 56.4 97.7 129.7 49.5c.3 0 1.9-.6 1.1.8-5.8 5.5-111.3 129.8-14.1 226.4 49.8 49.5 90 2.5 90 2.5 38.5-50.1-.6-125.9-.6-125.9-10-24.9-45.7-40.1-45.7-40.1l28.8-31.8c24.4 10.5 43.2 38.7 43.2 38.7.8-29.6-21.9-61.4-21.9-61.4L255.1 8l44.3 50.1c-20.5 28.8-21.9 62.6-21.9 62.6 13.8-23 43.5-39.3 43.5-39.3l28.5 31.8c-27.4 8.9-45.4 39.9-45.4 39.9-15.8 28.5-27.1 89.4.6 127.3 32.4 44.6 87.7-2.8 87.7-2.8 102.7-91.9-10.5-225-10.5-225-6.1-5.5.8-2.8.8-2.8 50.1 36.5 114.6 84.4 116.2 204.8C500.9 400.2 399 504 256.5 504z"}}]})(props);
};
function FaRedRiver (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M353.2 32H94.8C42.4 32 0 74.4 0 126.8v258.4C0 437.6 42.4 480 94.8 480h258.4c52.4 0 94.8-42.4 94.8-94.8V126.8c0-52.4-42.4-94.8-94.8-94.8zM144.9 200.9v56.3c0 27-21.9 48.9-48.9 48.9V151.9c0-13.2 10.7-23.9 23.9-23.9h154.2c0 27-21.9 48.9-48.9 48.9h-56.3c-12.3-.6-24.6 11.6-24 24zm176.3 72h-56.3c-12.3-.6-24.6 11.6-24 24v56.3c0 27-21.9 48.9-48.9 48.9V247.9c0-13.2 10.7-23.9 23.9-23.9h154.2c0 27-21.9 48.9-48.9 48.9z"}}]})(props);
};
function FaRedditAlien (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440.3 203.5c-15 0-28.2 6.2-37.9 15.9-35.7-24.7-83.8-40.6-137.1-42.3L293 52.3l88.2 19.8c0 21.6 17.6 39.2 39.2 39.2 22 0 39.7-18.1 39.7-39.7s-17.6-39.7-39.7-39.7c-15.4 0-28.7 9.3-35.3 22l-97.4-21.6c-4.9-1.3-9.7 2.2-11 7.1L246.3 177c-52.9 2.2-100.5 18.1-136.3 42.8-9.7-10.1-23.4-16.3-38.4-16.3-55.6 0-73.8 74.6-22.9 100.1-1.8 7.9-2.6 16.3-2.6 24.7 0 83.8 94.4 151.7 210.3 151.7 116.4 0 210.8-67.9 210.8-151.7 0-8.4-.9-17.2-3.1-25.1 49.9-25.6 31.5-99.7-23.8-99.7zM129.4 308.9c0-22 17.6-39.7 39.7-39.7 21.6 0 39.2 17.6 39.2 39.7 0 21.6-17.6 39.2-39.2 39.2-22 .1-39.7-17.6-39.7-39.2zm214.3 93.5c-36.4 36.4-139.1 36.4-175.5 0-4-3.5-4-9.7 0-13.7 3.5-3.5 9.7-3.5 13.2 0 27.8 28.5 120 29 149 0 3.5-3.5 9.7-3.5 13.2 0 4.1 4 4.1 10.2.1 13.7zm-.8-54.2c-21.6 0-39.2-17.6-39.2-39.2 0-22 17.6-39.7 39.2-39.7 22 0 39.7 17.6 39.7 39.7-.1 21.5-17.7 39.2-39.7 39.2z"}}]})(props);
};
function FaRedditSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M283.2 345.5c2.7 2.7 2.7 6.8 0 9.2-24.5 24.5-93.8 24.6-118.4 0-2.7-2.4-2.7-6.5 0-9.2 2.4-2.4 6.5-2.4 8.9 0 18.7 19.2 81 19.6 100.5 0 2.4-2.3 6.6-2.3 9 0zm-91.3-53.8c0-14.9-11.9-26.8-26.5-26.8-14.9 0-26.8 11.9-26.8 26.8 0 14.6 11.9 26.5 26.8 26.5 14.6 0 26.5-11.9 26.5-26.5zm90.7-26.8c-14.6 0-26.5 11.9-26.5 26.8 0 14.6 11.9 26.5 26.5 26.5 14.9 0 26.8-11.9 26.8-26.5 0-14.9-11.9-26.8-26.8-26.8zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-99.7 140.6c-10.1 0-19 4.2-25.6 10.7-24.1-16.7-56.5-27.4-92.5-28.6l18.7-84.2 59.5 13.4c0 14.6 11.9 26.5 26.5 26.5 14.9 0 26.8-12.2 26.8-26.8 0-14.6-11.9-26.8-26.8-26.8-10.4 0-19.3 6.2-23.8 14.9l-65.7-14.6c-3.3-.9-6.5 1.5-7.4 4.8l-20.5 92.8c-35.7 1.5-67.8 12.2-91.9 28.9-6.5-6.8-15.8-11-25.9-11-37.5 0-49.8 50.4-15.5 67.5-1.2 5.4-1.8 11-1.8 16.7 0 56.5 63.7 102.3 141.9 102.3 78.5 0 142.2-45.8 142.2-102.3 0-5.7-.6-11.6-2.1-17 33.6-17.2 21.2-67.2-16.1-67.2z"}}]})(props);
};
function FaReddit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201.5 305.5c-13.8 0-24.9-11.1-24.9-24.6 0-13.8 11.1-24.9 24.9-24.9 13.6 0 24.6 11.1 24.6 24.9 0 13.6-11.1 24.6-24.6 24.6zM504 256c0 137-111 248-248 248S8 393 8 256 119 8 256 8s248 111 248 248zm-132.3-41.2c-9.4 0-17.7 3.9-23.8 10-22.4-15.5-52.6-25.5-86.1-26.6l17.4-78.3 55.4 12.5c0 13.6 11.1 24.6 24.6 24.6 13.8 0 24.9-11.3 24.9-24.9s-11.1-24.9-24.9-24.9c-9.7 0-18 5.8-22.1 13.8l-61.2-13.6c-3-.8-6.1 1.4-6.9 4.4l-19.1 86.4c-33.2 1.4-63.1 11.3-85.5 26.8-6.1-6.4-14.7-10.2-24.1-10.2-34.9 0-46.3 46.9-14.4 62.8-1.1 5-1.7 10.2-1.7 15.5 0 52.6 59.2 95.2 132 95.2 73.1 0 132.3-42.6 132.3-95.2 0-5.3-.6-10.8-1.9-15.8 31.3-16 19.8-62.5-14.9-62.5zM302.8 331c-18.2 18.2-76.1 17.9-93.6 0-2.2-2.2-6.1-2.2-8.3 0-2.5 2.5-2.5 6.4 0 8.6 22.8 22.8 87.3 22.8 110.2 0 2.5-2.2 2.5-6.1 0-8.6-2.2-2.2-6.1-2.2-8.3 0zm7.7-75c-13.6 0-24.6 11.1-24.6 24.9 0 13.6 11.1 24.6 24.6 24.6 13.8 0 24.9-11.1 24.9-24.6 0-13.8-11-24.9-24.9-24.9z"}}]})(props);
};
function FaRedhat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M341.52 285.56c33.65 0 82.34-6.94 82.34-47 .22-6.74.86-1.82-20.88-96.24-4.62-19.15-8.68-27.84-42.31-44.65-26.09-13.34-82.92-35.37-99.73-35.37-15.66 0-20.2 20.17-38.87 20.17-18 0-31.31-15.06-48.12-15.06-16.14 0-26.66 11-34.78 33.62-27.5 77.55-26.28 74.27-26.12 78.27 0 24.8 97.64 106.11 228.47 106.11M429 254.84c4.65 22 4.65 24.35 4.65 27.25 0 37.66-42.33 58.56-98 58.56-125.74.08-235.91-73.65-235.91-122.33a49.55 49.55 0 0 1 4.06-19.72C58.56 200.86 0 208.93 0 260.63c0 84.67 200.63 189 359.49 189 121.79 0 152.51-55.08 152.51-98.58 0-34.21-29.59-73.05-82.93-96.24"}}]})(props);
};
function FaRenren (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M214 169.1c0 110.4-61 205.4-147.6 247.4C30 373.2 8 317.7 8 256.6 8 133.9 97.1 32.2 214 12.5v156.6zM255 504c-42.9 0-83.3-11-118.5-30.4C193.7 437.5 239.9 382.9 255 319c15.5 63.9 61.7 118.5 118.8 154.7C338.7 493 298.3 504 255 504zm190.6-87.5C359 374.5 298 279.6 298 169.1V12.5c116.9 19.7 206 121.4 206 244.1 0 61.1-22 116.6-58.4 159.9z"}}]})(props);
};
function FaReplyd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M320 480H128C57.6 480 0 422.4 0 352V160C0 89.6 57.6 32 128 32h192c70.4 0 128 57.6 128 128v192c0 70.4-57.6 128-128 128zM193.4 273.2c-6.1-2-11.6-3.1-16.4-3.1-7.2 0-13.5 1.9-18.9 5.6-5.4 3.7-9.6 9-12.8 15.8h-1.1l-4.2-18.3h-28v138.9h36.1v-89.7c1.5-5.4 4.4-9.8 8.7-13.2 4.3-3.4 9.8-5.1 16.2-5.1 4.6 0 9.8 1 15.6 3.1l4.8-34zm115.2 103.4c-3.2 2.4-7.7 4.8-13.7 7.1-6 2.3-12.8 3.5-20.4 3.5-12.2 0-21.1-3-26.5-8.9-5.5-5.9-8.5-14.7-9-26.4h83.3c.9-4.8 1.6-9.4 2.1-13.9.5-4.4.7-8.6.7-12.5 0-10.7-1.6-19.7-4.7-26.9-3.2-7.2-7.3-13-12.5-17.2-5.2-4.3-11.1-7.3-17.8-9.2-6.7-1.8-13.5-2.8-20.6-2.8-21.1 0-37.5 6.1-49.2 18.3s-17.5 30.5-17.5 55c0 22.8 5.2 40.7 15.6 53.7 10.4 13.1 26.8 19.6 49.2 19.6 10.7 0 20.9-1.5 30.4-4.6 9.5-3.1 17.1-6.8 22.6-11.2l-12-23.6zm-21.8-70.3c3.8 5.4 5.3 13.1 4.6 23.1h-51.7c.9-9.4 3.7-17 8.2-22.6 4.5-5.6 11.5-8.5 21-8.5 8.2-.1 14.1 2.6 17.9 8zm79.9 2.5c4.1 3.9 9.4 5.8 16.1 5.8 7 0 12.6-1.9 16.7-5.8s6.1-9.1 6.1-15.6-2-11.6-6.1-15.4c-4.1-3.8-9.6-5.7-16.7-5.7-6.7 0-12 1.9-16.1 5.7-4.1 3.8-6.1 8.9-6.1 15.4s2 11.7 6.1 15.6zm0 100.5c4.1 3.9 9.4 5.8 16.1 5.8 7 0 12.6-1.9 16.7-5.8s6.1-9.1 6.1-15.6-2-11.6-6.1-15.4c-4.1-3.8-9.6-5.7-16.7-5.7-6.7 0-12 1.9-16.1 5.7-4.1 3.8-6.1 8.9-6.1 15.4 0 6.6 2 11.7 6.1 15.6z"}}]})(props);
};
function FaResearchgate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 32v448h448V32H0zm262.2 334.4c-6.6 3-33.2 6-50-14.2-9.2-10.6-25.3-33.3-42.2-63.6-8.9 0-14.7 0-21.4-.6v46.4c0 23.5 6 21.2 25.8 23.9v8.1c-6.9-.3-23.1-.8-35.6-.8-13.1 0-26.1.6-33.6.8v-8.1c15.5-2.9 22-1.3 22-23.9V225c0-22.6-6.4-21-22-23.9V193c25.8 1 53.1-.6 70.9-.6 31.7 0 55.9 14.4 55.9 45.6 0 21.1-16.7 42.2-39.2 47.5 13.6 24.2 30 45.6 42.2 58.9 7.2 7.8 17.2 14.7 27.2 14.7v7.3zm22.9-135c-23.3 0-32.2-15.7-32.2-32.2V167c0-12.2 8.8-30.4 34-30.4s30.4 17.9 30.4 17.9l-10.7 7.2s-5.5-12.5-19.7-12.5c-7.9 0-19.7 7.3-19.7 19.7v26.8c0 13.4 6.6 23.3 17.9 23.3 14.1 0 21.5-10.9 21.5-26.8h-17.9v-10.7h30.4c0 20.5 4.7 49.9-34 49.9zm-116.5 44.7c-9.4 0-13.6-.3-20-.8v-69.7c6.4-.6 15-.6 22.5-.6 23.3 0 37.2 12.2 37.2 34.5 0 21.9-15 36.6-39.7 36.6z"}}]})(props);
};
function FaResolving (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M281.2 278.2c46-13.3 49.6-23.5 44-43.4L314 195.5c-6.1-20.9-18.4-28.1-71.1-12.8L54.7 236.8l28.6 98.6 197.9-57.2zM248.5 8C131.4 8 33.2 88.7 7.2 197.5l221.9-63.9c34.8-10.2 54.2-11.7 79.3-8.2 36.3 6.1 52.7 25 61.4 55.2l10.7 37.8c8.2 28.1 1 50.6-23.5 73.6-19.4 17.4-31.2 24.5-61.4 33.2L203 351.8l220.4 27.1 9.7 34.2-48.1 13.3-286.8-37.3 23 80.2c36.8 22 80.3 34.7 126.3 34.7 137 0 248.5-111.4 248.5-248.3C497 119.4 385.5 8 248.5 8zM38.3 388.6L0 256.8c0 48.5 14.3 93.4 38.3 131.8z"}}]})(props);
};
function FaRev (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M289.67 274.89a65.57 65.57 0 1 1-65.56-65.56 65.64 65.64 0 0 1 65.56 65.56zm139.55-5.05h-.13a204.69 204.69 0 0 0-74.32-153l-45.38 26.2a157.07 157.07 0 0 1 71.81 131.84C381.2 361.5 310.73 432 224.11 432S67 361.5 67 274.88c0-81.88 63-149.27 143-156.43v39.12l108.77-62.79L210 32v38.32c-106.7 7.25-191 96-191 204.57 0 111.59 89.12 202.29 200.06 205v.11h210.16V269.84z"}}]})(props);
};
function FaRocketchat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M486.41 107.57c-76.93-50.83-179.18-62.4-264.12-47.07C127.26-31.16 20.77 11 0 23.12c0 0 73.08 62.1 61.21 116.49-86.52 88.2-45.39 186.4 0 232.77C73.08 426.77 0 488.87 0 488.87c20.57 12.16 126.77 54.19 222.29-37 84.75 15.23 187 3.76 264.12-47.16 119.26-76.14 119.65-220.61 0-297.15zM294.18 404.22a339.53 339.53 0 0 1-88.11-11.37l-19.77 19.09a179.74 179.74 0 0 1-36.59 27.39A143.14 143.14 0 0 1 98 454.06c1-1.78 1.88-3.56 2.77-5.24q29.67-55 16-98.69c-32.53-25.61-52-58.34-52-94.13 0-82 102.74-148.43 229.41-148.43S523.59 174 523.59 256 420.85 404.22 294.18 404.22zM184.12 291.3a34.32 34.32 0 0 1-34.8-33.72c-.7-45.39 67.83-46.38 68.52-1.09v.51a34 34 0 0 1-33.72 34.32zm73.77-33.72c-.79-45.39 67.74-46.48 68.53-1.19v.61c.39 45.08-67.74 45.57-68.53.58zm143.38 33.72a34.33 34.33 0 0 1-34.81-33.72c-.69-45.39 67.84-46.38 68.53-1.09v.51a33.89 33.89 0 0 1-33.72 34.32z"}}]})(props);
};
function FaRockrms (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm157.4 419.5h-90l-112-131.3c-17.9-20.4-3.9-56.1 26.6-56.1h75.3l-84.6-99.3-84.3 98.9h-90L193.5 67.2c14.4-18.4 41.3-17.3 54.5 0l157.7 185.1c19 22.8 2 57.2-27.6 56.1-.6 0-74.2.2-74.2.2l101.5 118.9z"}}]})(props);
};
function FaSafari (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M274.69,274.69l-37.38-37.38L166,346ZM256,8C119,8,8,119,8,256S119,504,256,504,504,393,504,256,393,8,256,8ZM411.85,182.79l14.78-6.13A8,8,0,0,1,437.08,181h0a8,8,0,0,1-4.33,10.46L418,197.57a8,8,0,0,1-10.45-4.33h0A8,8,0,0,1,411.85,182.79ZM314.43,94l6.12-14.78A8,8,0,0,1,331,74.92h0a8,8,0,0,1,4.33,10.45l-6.13,14.78a8,8,0,0,1-10.45,4.33h0A8,8,0,0,1,314.43,94ZM256,60h0a8,8,0,0,1,8,8V84a8,8,0,0,1-8,8h0a8,8,0,0,1-8-8V68A8,8,0,0,1,256,60ZM181,74.92a8,8,0,0,1,10.46,4.33L197.57,94a8,8,0,1,1-14.78,6.12l-6.13-14.78A8,8,0,0,1,181,74.92Zm-63.58,42.49h0a8,8,0,0,1,11.31,0L140,128.72A8,8,0,0,1,140,140h0a8,8,0,0,1-11.31,0l-11.31-11.31A8,8,0,0,1,117.41,117.41ZM60,256h0a8,8,0,0,1,8-8H84a8,8,0,0,1,8,8h0a8,8,0,0,1-8,8H68A8,8,0,0,1,60,256Zm40.15,73.21-14.78,6.13A8,8,0,0,1,74.92,331h0a8,8,0,0,1,4.33-10.46L94,314.43a8,8,0,0,1,10.45,4.33h0A8,8,0,0,1,100.15,329.21Zm4.33-136h0A8,8,0,0,1,94,197.57l-14.78-6.12A8,8,0,0,1,74.92,181h0a8,8,0,0,1,10.45-4.33l14.78,6.13A8,8,0,0,1,104.48,193.24ZM197.57,418l-6.12,14.78a8,8,0,0,1-14.79-6.12l6.13-14.78A8,8,0,1,1,197.57,418ZM264,444a8,8,0,0,1-8,8h0a8,8,0,0,1-8-8V428a8,8,0,0,1,8-8h0a8,8,0,0,1,8,8Zm67-6.92h0a8,8,0,0,1-10.46-4.33L314.43,418a8,8,0,0,1,4.33-10.45h0a8,8,0,0,1,10.45,4.33l6.13,14.78A8,8,0,0,1,331,437.08Zm63.58-42.49h0a8,8,0,0,1-11.31,0L372,383.28A8,8,0,0,1,372,372h0a8,8,0,0,1,11.31,0l11.31,11.31A8,8,0,0,1,394.59,394.59ZM286.25,286.25,110.34,401.66,225.75,225.75,401.66,110.34ZM437.08,331h0a8,8,0,0,1-10.45,4.33l-14.78-6.13a8,8,0,0,1-4.33-10.45h0A8,8,0,0,1,418,314.43l14.78,6.12A8,8,0,0,1,437.08,331ZM444,264H428a8,8,0,0,1-8-8h0a8,8,0,0,1,8-8h16a8,8,0,0,1,8,8h0A8,8,0,0,1,444,264Z"}}]})(props);
};
function FaSalesforce (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M248.89 245.64h-26.35c.69-5.16 3.32-14.12 13.64-14.12 6.75 0 11.97 3.82 12.71 14.12zm136.66-13.88c-.47 0-14.11-1.77-14.11 20s13.63 20 14.11 20c13 0 14.11-13.54 14.11-20 0-21.76-13.66-20-14.11-20zm-243.22 23.76a8.63 8.63 0 0 0-3.29 7.29c0 4.78 2.08 6.05 3.29 7.05 4.7 3.7 15.07 2.12 20.93.95v-16.94c-5.32-1.07-16.73-1.96-20.93 1.65zM640 232c0 87.58-80 154.39-165.36 136.43-18.37 33-70.73 70.75-132.2 41.63-41.16 96.05-177.89 92.18-213.81-5.17C8.91 428.78-50.19 266.52 53.36 205.61 18.61 126.18 76 32 167.67 32a124.24 124.24 0 0 1 98.56 48.7c20.7-21.4 49.4-34.81 81.15-34.81 42.34 0 79 23.52 98.8 58.57C539 63.78 640 132.69 640 232zm-519.55 31.8c0-11.76-11.69-15.17-17.87-17.17-5.27-2.11-13.41-3.51-13.41-8.94 0-9.46 17-6.66 25.17-2.12 0 0 1.17.71 1.64-.47.24-.7 2.36-6.58 2.59-7.29a1.13 1.13 0 0 0-.7-1.41c-12.33-7.63-40.7-8.51-40.7 12.7 0 12.46 11.49 15.44 17.88 17.17 4.72 1.58 13.17 3 13.17 8.7 0 4-3.53 7.06-9.17 7.06a31.76 31.76 0 0 1-19-6.35c-.47-.23-1.42-.71-1.65.71l-2.4 7.47c-.47.94.23 1.18.23 1.41 1.75 1.4 10.3 6.59 22.82 6.59 13.17 0 21.4-7.06 21.4-18.11zm32-42.58c-10.13 0-18.66 3.17-21.4 5.18a1 1 0 0 0-.24 1.41l2.59 7.06a1 1 0 0 0 1.18.7c.65 0 6.8-4 16.93-4 4 0 7.06.71 9.18 2.36 3.6 2.8 3.06 8.29 3.06 10.58-4.79-.3-19.11-3.44-29.41 3.76a16.92 16.92 0 0 0-7.34 14.54c0 5.9 1.51 10.4 6.59 14.35 12.24 8.16 36.28 2 38.1 1.41 1.58-.32 3.53-.66 3.53-1.88v-33.88c.04-4.61.32-21.64-22.78-21.64zM199 200.24a1.11 1.11 0 0 0-1.18-1.18H188a1.11 1.11 0 0 0-1.17 1.18v79a1.11 1.11 0 0 0 1.17 1.18h9.88a1.11 1.11 0 0 0 1.18-1.18zm55.75 28.93c-2.1-2.31-6.79-7.53-17.65-7.53-3.51 0-14.16.23-20.7 8.94-6.35 7.63-6.58 18.11-6.58 21.41 0 3.12.15 14.26 7.06 21.17 2.64 2.91 9.06 8.23 22.81 8.23 10.82 0 16.47-2.35 18.58-3.76.47-.24.71-.71.24-1.88l-2.35-6.83a1.26 1.26 0 0 0-1.41-.7c-2.59.94-6.35 2.82-15.29 2.82-17.42 0-16.85-14.74-16.94-16.7h37.17a1.23 1.23 0 0 0 1.17-.94c-.29 0 2.07-14.7-6.09-24.23zm36.69 52.69c13.17 0 21.41-7.06 21.41-18.11 0-11.76-11.7-15.17-17.88-17.17-4.14-1.66-13.41-3.38-13.41-8.94 0-3.76 3.29-6.35 8.47-6.35a38.11 38.11 0 0 1 16.7 4.23s1.18.71 1.65-.47c.23-.7 2.35-6.58 2.58-7.29a1.13 1.13 0 0 0-.7-1.41c-7.91-4.9-16.74-4.94-20.23-4.94-12 0-20.46 7.29-20.46 17.64 0 12.46 11.48 15.44 17.87 17.17 6.11 2 13.17 3.26 13.17 8.7 0 4-3.52 7.06-9.17 7.06a31.8 31.8 0 0 1-19-6.35 1 1 0 0 0-1.65.71l-2.35 7.52c-.47.94.23 1.18.23 1.41 1.72 1.4 10.33 6.59 22.79 6.59zM357.09 224c0-.71-.24-1.18-1.18-1.18h-11.76c0-.14.94-8.94 4.47-12.47 4.16-4.15 11.76-1.64 12-1.64 1.17.47 1.41 0 1.64-.47l2.83-7.77c.7-.94 0-1.17-.24-1.41-5.09-2-17.35-2.87-24.46 4.24-5.48 5.48-7 13.92-8 19.52h-8.47a1.28 1.28 0 0 0-1.17 1.18l-1.42 7.76c0 .7.24 1.17 1.18 1.17h8.23c-8.51 47.9-8.75 50.21-10.35 55.52-1.08 3.62-3.29 6.9-5.88 7.76-.09 0-3.88 1.68-9.64-.24 0 0-.94-.47-1.41.71-.24.71-2.59 6.82-2.83 7.53s0 1.41.47 1.41c5.11 2 13 1.77 17.88 0 6.28-2.28 9.72-7.89 11.53-12.94 2.75-7.71 2.81-9.79 11.76-59.74h12.23a1.29 1.29 0 0 0 1.18-1.18zm53.39 16c-.56-1.68-5.1-18.11-25.17-18.11-15.25 0-23 10-25.16 18.11-1 3-3.18 14 0 23.52.09.3 4.41 18.12 25.16 18.12 14.95 0 22.9-9.61 25.17-18.12 3.21-9.61 1.01-20.52 0-23.52zm45.4-16.7c-5-1.65-16.62-1.9-22.11 5.41v-4.47a1.11 1.11 0 0 0-1.18-1.17h-9.4a1.11 1.11 0 0 0-1.18 1.17v55.28a1.12 1.12 0 0 0 1.18 1.18h9.64a1.12 1.12 0 0 0 1.18-1.18v-27.77c0-2.91.05-11.37 4.46-15.05 4.9-4.9 12-3.36 13.41-3.06a1.57 1.57 0 0 0 1.41-.94 74 74 0 0 0 3.06-8 1.16 1.16 0 0 0-.47-1.41zm46.81 54.1l-2.12-7.29c-.47-1.18-1.41-.71-1.41-.71-4.23 1.82-10.15 1.89-11.29 1.89-4.64 0-17.17-1.13-17.17-19.76 0-6.23 1.85-19.76 16.47-19.76a34.85 34.85 0 0 1 11.52 1.65s.94.47 1.18-.71c.94-2.59 1.64-4.47 2.59-7.53.23-.94-.47-1.17-.71-1.17-11.59-3.87-22.34-2.53-27.76 0-1.59.74-16.23 6.49-16.23 27.52 0 2.9-.58 30.11 28.94 30.11a44.45 44.45 0 0 0 15.52-2.83 1.3 1.3 0 0 0 .47-1.42zm53.87-39.52c-.8-3-5.37-16.23-22.35-16.23-16 0-23.52 10.11-25.64 18.59a38.58 38.58 0 0 0-1.65 11.76c0 25.87 18.84 29.4 29.88 29.4 10.82 0 16.46-2.35 18.58-3.76.47-.24.71-.71.24-1.88l-2.36-6.83a1.26 1.26 0 0 0-1.41-.7c-2.59.94-6.35 2.82-15.29 2.82-17.42 0-16.85-14.74-16.93-16.7h37.16a1.25 1.25 0 0 0 1.18-.94c-.24-.01.94-7.07-1.41-15.54zm-23.29-6.35c-10.33 0-13 9-13.64 14.12H546c-.88-11.92-7.62-14.13-12.73-14.13z"}}]})(props);
};
function FaSass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M301.84 378.92c-.3.6-.6 1.08 0 0zm249.13-87a131.16 131.16 0 0 0-58 13.5c-5.9-11.9-12-22.3-13-30.1-1.2-9.1-2.5-14.5-1.1-25.3s7.7-26.1 7.6-27.2-1.4-6.6-14.3-6.7-24 2.5-25.29 5.9a122.83 122.83 0 0 0-5.3 19.1c-2.3 11.7-25.79 53.5-39.09 75.3-4.4-8.5-8.1-16-8.9-22-1.2-9.1-2.5-14.5-1.1-25.3s7.7-26.1 7.6-27.2-1.4-6.6-14.29-6.7-24 2.5-25.3 5.9-2.7 11.4-5.3 19.1-33.89 77.3-42.08 95.4c-4.2 9.2-7.8 16.6-10.4 21.6-.4.8-.7 1.3-.9 1.7.3-.5.5-1 .5-.8-2.2 4.3-3.5 6.7-3.5 6.7v.1c-1.7 3.2-3.6 6.1-4.5 6.1-.6 0-1.9-8.4.3-19.9 4.7-24.2 15.8-61.8 15.7-63.1-.1-.7 2.1-7.2-7.3-10.7-9.1-3.3-12.4 2.2-13.2 2.2s-1.4 2-1.4 2 10.1-42.4-19.39-42.4c-18.4 0-44 20.2-56.58 38.5-7.9 4.3-25 13.6-43 23.5-6.9 3.8-14 7.7-20.7 11.4-.5-.5-.9-1-1.4-1.5-35.79-38.2-101.87-65.2-99.07-116.5 1-18.7 7.5-67.8 127.07-127.4 98-48.8 176.35-35.4 189.84-5.6 19.4 42.5-41.89 121.6-143.66 133-38.79 4.3-59.18-10.7-64.28-16.3-5.3-5.9-6.1-6.2-8.1-5.1-3.3 1.8-1.2 7 0 10.1 3 7.9 15.5 21.9 36.79 28.9 18.7 6.1 64.18 9.5 119.17-11.8 61.78-23.8 109.87-90.1 95.77-145.6C386.52 18.32 293-.18 204.57 31.22c-52.69 18.7-109.67 48.1-150.66 86.4-48.69 45.6-56.48 85.3-53.28 101.9 11.39 58.9 92.57 97.3 125.06 125.7-1.6.9-3.1 1.7-4.5 2.5-16.29 8.1-78.18 40.5-93.67 74.7-17.5 38.8 2.9 66.6 16.29 70.4 41.79 11.6 84.58-9.3 107.57-43.6s20.2-79.1 9.6-99.5c-.1-.3-.3-.5-.4-.8 4.2-2.5 8.5-5 12.8-7.5 8.29-4.9 16.39-9.4 23.49-13.3-4 10.8-6.9 23.8-8.4 42.6-1.8 22 7.3 50.5 19.1 61.7 5.2 4.9 11.49 5 15.39 5 13.8 0 20-11.4 26.89-25 8.5-16.6 16-35.9 16-35.9s-9.4 52.2 16.3 52.2c9.39 0 18.79-12.1 23-18.3v.1s.2-.4.7-1.2c1-1.5 1.5-2.4 1.5-2.4v-.3c3.8-6.5 12.1-21.4 24.59-46 16.2-31.8 31.69-71.5 31.69-71.5a201.24 201.24 0 0 0 6.2 25.8c2.8 9.5 8.7 19.9 13.4 30-3.8 5.2-6.1 8.2-6.1 8.2a.31.31 0 0 0 .1.2c-3 4-6.4 8.3-9.9 12.5-12.79 15.2-28 32.6-30 37.6-2.4 5.9-1.8 10.3 2.8 13.7 3.4 2.6 9.4 3 15.69 2.5 11.5-.8 19.6-3.6 23.5-5.4a82.2 82.2 0 0 0 20.19-10.6c12.5-9.2 20.1-22.4 19.4-39.8-.4-9.6-3.5-19.2-7.3-28.2 1.1-1.6 2.3-3.3 3.4-5C434.8 301.72 450.1 270 450.1 270a201.24 201.24 0 0 0 6.2 25.8c2.4 8.1 7.09 17 11.39 25.7-18.59 15.1-30.09 32.6-34.09 44.1-7.4 21.3-1.6 30.9 9.3 33.1 4.9 1 11.9-1.3 17.1-3.5a79.46 79.46 0 0 0 21.59-11.1c12.5-9.2 24.59-22.1 23.79-39.6-.3-7.9-2.5-15.8-5.4-23.4 15.7-6.6 36.09-10.2 62.09-7.2 55.68 6.5 66.58 41.3 64.48 55.8s-13.8 22.6-17.7 25-5.1 3.3-4.8 5.1c.5 2.6 2.3 2.5 5.6 1.9 4.6-.8 29.19-11.8 30.29-38.7 1.6-34-31.09-71.4-89-71.1zm-429.18 144.7c-18.39 20.1-44.19 27.7-55.28 21.3C54.61 451 59.31 421.42 82 400c13.8-13 31.59-25 43.39-32.4 2.7-1.6 6.6-4 11.4-6.9.8-.5 1.2-.7 1.2-.7.9-.6 1.9-1.1 2.9-1.7 8.29 30.4.3 57.2-19.1 78.3zm134.36-91.4c-6.4 15.7-19.89 55.7-28.09 53.6-7-1.8-11.3-32.3-1.4-62.3 5-15.1 15.6-33.1 21.9-40.1 10.09-11.3 21.19-14.9 23.79-10.4 3.5 5.9-12.2 49.4-16.2 59.2zm111 53c-2.7 1.4-5.2 2.3-6.4 1.6-.9-.5 1.1-2.4 1.1-2.4s13.9-14.9 19.4-21.7c3.2-4 6.9-8.7 10.89-13.9 0 .5.1 1 .1 1.6-.13 17.9-17.32 30-25.12 34.8zm85.58-19.5c-2-1.4-1.7-6.1 5-20.7 2.6-5.7 8.59-15.3 19-24.5a36.18 36.18 0 0 1 1.9 10.8c-.1 22.5-16.2 30.9-25.89 34.4z"}}]})(props);
};
function FaSchlix (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M350.5 157.7l-54.2-46.1 73.4-39 78.3 44.2-97.5 40.9zM192 122.1l45.7-28.2 34.7 34.6-55.4 29-25-35.4zm-65.1 6.6l31.9-22.1L176 135l-36.7 22.5-12.4-28.8zm-23.3 88.2l-8.8-34.8 29.6-18.3 13.1 35.3-33.9 17.8zm-21.2-83.7l23.9-18.1 8.9 24-26.7 18.3-6.1-24.2zM59 206.5l-3.6-28.4 22.3-15.5 6.1 28.7L59 206.5zm-30.6 16.6l20.8-12.8 3.3 33.4-22.9 12-1.2-32.6zM1.4 268l19.2-10.2.4 38.2-21 8.8L1.4 268zm59.1 59.3l-28.3 8.3-1.6-46.8 25.1-10.7 4.8 49.2zM99 263.2l-31.1 13-5.2-40.8L90.1 221l8.9 42.2zM123.2 377l-41.6 5.9-8.1-63.5 35.2-10.8 14.5 68.4zm28.5-139.9l21.2 57.1-46.2 13.6-13.7-54.1 38.7-16.6zm85.7 230.5l-70.9-3.3-24.3-95.8 55.2-8.6 40 107.7zm-84.9-279.7l42.2-22.4 28 45.9-50.8 21.3-19.4-44.8zm41 94.9l61.3-18.7 52.8 86.6-79.8 11.3-34.3-79.2zm51.4-85.6l67.3-28.8 65.5 65.4-88.6 26.2-44.2-62.8z"}}]})(props);
};
function FaScribd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M42.3 252.7c-16.1-19-24.7-45.9-24.8-79.9 0-100.4 75.2-153.1 167.2-153.1 98.6-1.6 156.8 49 184.3 70.6l-50.5 72.1-37.3-24.6 26.9-38.6c-36.5-24-79.4-36.5-123-35.8-50.7-.8-111.7 27.2-111.7 76.2 0 18.7 11.2 20.7 28.6 15.6 23.3-5.3 41.9.6 55.8 14 26.4 24.3 23.2 67.6-.7 91.9-29.2 29.5-85.2 27.3-114.8-8.4zm317.7 5.9c-15.5-18.8-38.9-29.4-63.2-28.6-38.1-2-71.1 28-70.5 67.2-.7 16.8 6 33 18.4 44.3 14.1 13.9 33 19.7 56.3 14.4 17.4-5.1 28.6-3.1 28.6 15.6 0 4.3-.5 8.5-1.4 12.7-16.7 40.9-59.5 64.4-121.4 64.4-51.9.2-102.4-16.4-144.1-47.3l33.7-39.4-35.6-27.4L0 406.3l15.4 13.8c52.5 46.8 120.4 72.5 190.7 72.2 51.4 0 94.4-10.5 133.6-44.1 57.1-51.4 54.2-149.2 20.3-189.6z"}}]})(props);
};
function FaSearchengin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 460 512"},"child":[{"tag":"path","attr":{"d":"M220.6 130.3l-67.2 28.2V43.2L98.7 233.5l54.7-24.2v130.3l67.2-209.3zm-83.2-96.7l-1.3 4.7-15.2 52.9C80.6 106.7 52 145.8 52 191.5c0 52.3 34.3 95.9 83.4 105.5v53.6C57.5 340.1 0 272.4 0 191.6c0-80.5 59.8-147.2 137.4-158zm311.4 447.2c-11.2 11.2-23.1 12.3-28.6 10.5-5.4-1.8-27.1-19.9-60.4-44.4-33.3-24.6-33.6-35.7-43-56.7-9.4-20.9-30.4-42.6-57.5-52.4l-9.7-14.7c-24.7 16.9-53 26.9-81.3 28.7l2.1-6.6 15.9-49.5c46.5-11.9 80.9-54 80.9-104.2 0-54.5-38.4-102.1-96-107.1V32.3C254.4 37.4 320 106.8 320 191.6c0 33.6-11.2 64.7-29 90.4l14.6 9.6c9.8 27.1 31.5 48 52.4 57.4s32.2 9.7 56.8 43c24.6 33.2 42.7 54.9 44.5 60.3s.7 17.3-10.5 28.5zm-9.9-17.9c0-4.4-3.6-8-8-8s-8 3.6-8 8 3.6 8 8 8 8-3.6 8-8z"}}]})(props);
};
function FaSellcast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M353.4 32H94.7C42.6 32 0 74.6 0 126.6v258.7C0 437.4 42.6 480 94.7 480h258.7c52.1 0 94.7-42.6 94.7-94.6V126.6c0-52-42.6-94.6-94.7-94.6zm-50 316.4c-27.9 48.2-89.9 64.9-138.2 37.2-22.9 39.8-54.9 8.6-42.3-13.2l15.7-27.2c5.9-10.3 19.2-13.9 29.5-7.9 18.6 10.8-.1-.1 18.5 10.7 27.6 15.9 63.4 6.3 79.4-21.3 15.9-27.6 6.3-63.4-21.3-79.4-17.8-10.2-.6-.4-18.6-10.6-24.6-14.2-3.4-51.9 21.6-37.5 18.6 10.8-.1-.1 18.5 10.7 48.4 28 65.1 90.3 37.2 138.5zm21.8-208.8c-17 29.5-16.3 28.8-19 31.5-6.5 6.5-16.3 8.7-26.5 3.6-18.6-10.8.1.1-18.5-10.7-27.6-15.9-63.4-6.3-79.4 21.3s-6.3 63.4 21.3 79.4c0 0 18.5 10.6 18.6 10.6 24.6 14.2 3.4 51.9-21.6 37.5-18.6-10.8.1.1-18.5-10.7-48.2-27.8-64.9-90.1-37.1-138.4 27.9-48.2 89.9-64.9 138.2-37.2l4.8-8.4c14.3-24.9 52-3.3 37.7 21.5z"}}]})(props);
};
function FaSellsy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M539.71 237.308c3.064-12.257 4.29-24.821 4.29-37.384C544 107.382 468.618 32 376.076 32c-77.22 0-144.634 53.012-163.02 127.781-15.322-13.176-34.934-20.53-55.157-20.53-46.271 0-83.962 37.69-83.962 83.961 0 7.354.92 15.015 3.065 22.369-42.9 20.225-70.785 63.738-70.785 111.234C6.216 424.843 61.68 480 129.401 480h381.198c67.72 0 123.184-55.157 123.184-123.184.001-56.384-38.916-106.025-94.073-119.508zM199.88 401.554c0 8.274-7.048 15.321-15.321 15.321H153.61c-8.274 0-15.321-7.048-15.321-15.321V290.626c0-8.273 7.048-15.321 15.321-15.321h30.949c8.274 0 15.321 7.048 15.321 15.321v110.928zm89.477 0c0 8.274-7.048 15.321-15.322 15.321h-30.949c-8.274 0-15.321-7.048-15.321-15.321V270.096c0-8.274 7.048-15.321 15.321-15.321h30.949c8.274 0 15.322 7.048 15.322 15.321v131.458zm89.477 0c0 8.274-7.047 15.321-15.321 15.321h-30.949c-8.274 0-15.322-7.048-15.322-15.321V238.84c0-8.274 7.048-15.321 15.322-15.321h30.949c8.274 0 15.321 7.048 15.321 15.321v162.714zm87.027 0c0 8.274-7.048 15.321-15.322 15.321h-28.497c-8.274 0-15.321-7.048-15.321-15.321V176.941c0-8.579 7.047-15.628 15.321-15.628h28.497c8.274 0 15.322 7.048 15.322 15.628v224.613z"}}]})(props);
};
function FaServicestack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M88 216c81.7 10.2 273.7 102.3 304 232H0c99.5-8.1 184.5-137 88-232zm32-152c32.3 35.6 47.7 83.9 46.4 133.6C249.3 231.3 373.7 321.3 400 448h96C455.3 231.9 222.8 79.5 120 64z"}}]})(props);
};
function FaShirtsinbulk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M100 410.3l30.6 13.4 4.4-9.9-30.6-13.4zm39.4 17.5l30.6 13.4 4.4-9.9-30.6-13.4zm172.1-14l4.4 9.9 30.6-13.4-4.4-9.9zM179.1 445l30.3 13.7 4.4-9.9-30.3-13.4zM60.4 392.8L91 406.2l4.4-9.6-30.6-13.7zm211.4 38.5l4.4 9.9 30.6-13.4-4.4-9.9zm-39.3 17.5l4.4 9.9 30.6-13.7-4.4-9.6zm118.4-52.2l4.4 9.6 30.6-13.4-4.4-9.9zM170 46.6h-33.5v10.5H170zm-47.2 0H89.2v10.5h33.5zm-47.3 0H42.3v10.5h33.3zm141.5 0h-33.2v10.5H217zm94.5 0H278v10.5h33.5zm47.3 0h-33.5v10.5h33.5zm-94.6 0H231v10.5h33.2zm141.5 0h-33.3v10.5h33.3zM52.8 351.1H42v33.5h10.8zm70-215.9H89.2v10.5h33.5zm-70 10.6h22.8v-10.5H42v33.5h10.8zm168.9 228.6c50.5 0 91.3-40.8 91.3-91.3 0-50.2-40.8-91.3-91.3-91.3-50.2 0-91.3 41.1-91.3 91.3 0 50.5 41.1 91.3 91.3 91.3zm-48.2-111.1c0-25.4 29.5-31.8 49.6-31.8 16.9 0 29.2 5.8 44.3 12l-8.8 16.9h-.9c-6.4-9.9-24.8-13.1-35.6-13.1-9 0-29.8 1.8-29.8 14.9 0 21.6 78.5-10.2 78.5 37.9 0 25.4-31.5 31.2-51 31.2-18.1 0-32.4-2.9-47.2-12.2l9-18.4h.9c6.1 12.2 23.6 14.9 35.9 14.9 8.7 0 32.7-1.2 32.7-14.3 0-26.1-77.6 6.3-77.6-38zM52.8 178.4H42V212h10.8zm342.4 206.2H406v-33.5h-10.8zM52.8 307.9H42v33.5h10.8zM0 3.7v406l221.7 98.6L448 409.7V3.7zm418.8 387.1L222 476.5 29.2 390.8V120.7h389.7v270.1zm0-299.3H29.2V32.9h389.7v58.6zm-366 130.1H42v33.5h10.8zm0 43.2H42v33.5h10.8zM170 135.2h-33.5v10.5H170zm225.2 163.1H406v-33.5h-10.8zm0-43.2H406v-33.5h-10.8zM217 135.2h-33.2v10.5H217zM395.2 212H406v-33.5h-10.8zm0 129.5H406V308h-10.8zm-131-206.3H231v10.5h33.2zm47.3 0H278v10.5h33.5zm83.7 33.6H406v-33.5h-33.5v10.5h22.8zm-36.4-33.6h-33.5v10.5h33.5z"}}]})(props);
};
function FaShopify (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M388.32,104.1a4.66,4.66,0,0,0-4.4-4c-2,0-37.23-.8-37.23-.8s-21.61-20.82-29.62-28.83V503.2L442.76,472S388.72,106.5,388.32,104.1ZM288.65,70.47a116.67,116.67,0,0,0-7.21-17.61C271,32.85,255.42,22,237,22a15,15,0,0,0-4,.4c-.4-.8-1.2-1.2-1.6-2C223.4,11.63,213,7.63,200.58,8c-24,.8-48,18-67.25,48.83-13.61,21.62-24,48.84-26.82,70.06-27.62,8.4-46.83,14.41-47.23,14.81-14,4.4-14.41,4.8-16,18-1.2,10-38,291.82-38,291.82L307.86,504V65.67a41.66,41.66,0,0,0-4.4.4S297.86,67.67,288.65,70.47ZM233.41,87.69c-16,4.8-33.63,10.4-50.84,15.61,4.8-18.82,14.41-37.63,25.62-50,4.4-4.4,10.41-9.61,17.21-12.81C232.21,54.86,233.81,74.48,233.41,87.69ZM200.58,24.44A27.49,27.49,0,0,1,215,28c-6.4,3.2-12.81,8.41-18.81,14.41-15.21,16.42-26.82,42-31.62,66.45-14.42,4.41-28.83,8.81-42,12.81C131.33,83.28,163.75,25.24,200.58,24.44ZM154.15,244.61c1.6,25.61,69.25,31.22,73.25,91.66,2.8,47.64-25.22,80.06-65.65,82.47-48.83,3.2-75.65-25.62-75.65-25.62l10.4-44s26.82,20.42,48.44,18.82c14-.8,19.22-12.41,18.81-20.42-2-33.62-57.24-31.62-60.84-86.86-3.2-46.44,27.22-93.27,94.47-97.68,26-1.6,39.23,4.81,39.23,4.81L221.4,225.39s-17.21-8-37.63-6.4C154.15,221,153.75,239.8,154.15,244.61ZM249.42,82.88c0-12-1.6-29.22-7.21-43.63,18.42,3.6,27.22,24,31.23,36.43Q262.63,78.68,249.42,82.88Z"}}]})(props);
};
function FaShopware (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.5 455.41A246.17 246.17 0 0 1 256 504C118.81 504 8 393 8 256 8 118.81 119 8 256 8a247.39 247.39 0 0 1 165.7 63.5 3.57 3.57 0 0 1-2.86 6.18A418.62 418.62 0 0 0 362.13 74c-129.36 0-222.4 53.47-222.4 155.35 0 109 92.13 145.88 176.83 178.73 33.64 13 65.4 25.36 87 41.59a3.58 3.58 0 0 1 0 5.72zM503 233.09a3.64 3.64 0 0 0-1.27-2.44c-51.76-43-93.62-60.48-144.48-60.48-84.13 0-80.25 52.17-80.25 53.63 0 42.6 52.06 62 112.34 84.49 31.07 11.59 63.19 23.57 92.68 39.93a3.57 3.57 0 0 0 5-1.82A249 249 0 0 0 503 233.09z"}}]})(props);
};
function FaSimplybuilt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M481.2 64h-106c-14.5 0-26.6 11.8-26.6 26.3v39.6H163.3V90.3c0-14.5-12-26.3-26.6-26.3h-106C16.1 64 4.3 75.8 4.3 90.3v331.4c0 14.5 11.8 26.3 26.6 26.3h450.4c14.8 0 26.6-11.8 26.6-26.3V90.3c-.2-14.5-12-26.3-26.7-26.3zM149.8 355.8c-36.6 0-66.4-29.7-66.4-66.4 0-36.9 29.7-66.6 66.4-66.6 36.9 0 66.6 29.7 66.6 66.6 0 36.7-29.7 66.4-66.6 66.4zm212.4 0c-36.9 0-66.6-29.7-66.6-66.6 0-36.6 29.7-66.4 66.6-66.4 36.6 0 66.4 29.7 66.4 66.4 0 36.9-29.8 66.6-66.4 66.6z"}}]})(props);
};
function FaSistrix (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 449L301.2 300.2c20-27.9 31.9-62.2 31.9-99.2 0-93.1-74.7-168.9-166.5-168.9C74.7 32 0 107.8 0 200.9s74.7 168.9 166.5 168.9c39.8 0 76.3-14.2 105-37.9l146 148.1 30.5-31zM166.5 330.8c-70.6 0-128.1-58.3-128.1-129.9S95.9 71 166.5 71s128.1 58.3 128.1 129.9-57.4 129.9-128.1 129.9z"}}]})(props);
};
function FaSith (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 32l69.71 118.75-58.86-11.52 69.84 91.03a146.741 146.741 0 0 0 0 51.45l-69.84 91.03 58.86-11.52L0 480l118.75-69.71-11.52 58.86 91.03-69.84c17.02 3.04 34.47 3.04 51.48 0l91.03 69.84-11.52-58.86L448 480l-69.71-118.78 58.86 11.52-69.84-91.03c3.03-17.01 3.04-34.44 0-51.45l69.84-91.03-58.86 11.52L448 32l-118.75 69.71 11.52-58.9-91.06 69.87c-8.5-1.52-17.1-2.29-25.71-2.29s-17.21.78-25.71 2.29l-91.06-69.87 11.52 58.9L0 32zm224 99.78c31.8 0 63.6 12.12 87.85 36.37 48.5 48.5 48.49 127.21 0 175.7s-127.2 48.46-175.7-.03c-48.5-48.5-48.49-127.21 0-175.7 24.24-24.25 56.05-36.34 87.85-36.34zm0 36.66c-22.42 0-44.83 8.52-61.92 25.61-34.18 34.18-34.19 89.68 0 123.87s89.65 34.18 123.84 0c34.18-34.18 34.19-89.68 0-123.87-17.09-17.09-39.5-25.61-61.92-25.61z"}}]})(props);
};
function FaSketch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M27.5 162.2L9 187.1h90.5l6.9-130.7-78.9 105.8zM396.3 45.7L267.7 32l135.7 147.2-7.1-133.5zM112.2 218.3l-11.2-22H9.9L234.8 458zm2-31.2h284l-81.5-88.5L256.3 33zm297.3 9.1L277.6 458l224.8-261.7h-90.9zM415.4 69L406 56.4l.9 17.3 6.1 113.4h90.3zM113.5 93.5l-4.6 85.6L244.7 32 116.1 45.7zm287.7 102.7h-290l42.4 82.9L256.3 480l144.9-283.8z"}}]})(props);
};
function FaSkyatlas (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M640 329.3c0 65.9-52.5 114.4-117.5 114.4-165.9 0-196.6-249.7-359.7-249.7-146.9 0-147.1 212.2 5.6 212.2 42.5 0 90.9-17.8 125.3-42.5 5.6-4.1 16.9-16.3 22.8-16.3s10.9 5 10.9 10.9c0 7.8-13.1 19.1-18.7 24.1-40.9 35.6-100.3 61.2-154.7 61.2-83.4.1-154-59-154-144.9s67.5-149.1 152.8-149.1c185.3 0 222.5 245.9 361.9 245.9 99.9 0 94.8-139.7 3.4-139.7-17.5 0-35 11.6-46.9 11.6-8.4 0-15.9-7.2-15.9-15.6 0-11.6 5.3-23.7 5.3-36.3 0-66.6-50.9-114.7-116.9-114.7-53.1 0-80 36.9-88.8 36.9-6.2 0-11.2-5-11.2-11.2 0-5.6 4.1-10.3 7.8-14.4 25.3-28.8 64.7-43.7 102.8-43.7 79.4 0 139.1 58.4 139.1 137.8 0 6.9-.3 13.7-1.2 20.6 11.9-3.1 24.1-4.7 35.9-4.7 60.7 0 111.9 45.3 111.9 107.2z"}}]})(props);
};
function FaSkype (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M424.7 299.8c2.9-14 4.7-28.9 4.7-43.8 0-113.5-91.9-205.3-205.3-205.3-14.9 0-29.7 1.7-43.8 4.7C161.3 40.7 137.7 32 112 32 50.2 32 0 82.2 0 144c0 25.7 8.7 49.3 23.3 68.2-2.9 14-4.7 28.9-4.7 43.8 0 113.5 91.9 205.3 205.3 205.3 14.9 0 29.7-1.7 43.8-4.7 19 14.6 42.6 23.3 68.2 23.3 61.8 0 112-50.2 112-112 .1-25.6-8.6-49.2-23.2-68.1zm-194.6 91.5c-65.6 0-120.5-29.2-120.5-65 0-16 9-30.6 29.5-30.6 31.2 0 34.1 44.9 88.1 44.9 25.7 0 42.3-11.4 42.3-26.3 0-18.7-16-21.6-42-28-62.5-15.4-117.8-22-117.8-87.2 0-59.2 58.6-81.1 109.1-81.1 55.1 0 110.8 21.9 110.8 55.4 0 16.9-11.4 31.8-30.3 31.8-28.3 0-29.2-33.5-75-33.5-25.7 0-42 7-42 22.5 0 19.8 20.8 21.8 69.1 33 41.4 9.3 90.7 26.8 90.7 77.6 0 59.1-57.1 86.5-112 86.5z"}}]})(props);
};
function FaSlackHash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M446.2 270.4c-6.2-19-26.9-29.1-46-22.9l-45.4 15.1-30.3-90 45.4-15.1c19.1-6.2 29.1-26.8 23-45.9-6.2-19-26.9-29.1-46-22.9l-45.4 15.1-15.7-47c-6.2-19-26.9-29.1-46-22.9-19.1 6.2-29.1 26.8-23 45.9l15.7 47-93.4 31.2-15.7-47c-6.2-19-26.9-29.1-46-22.9-19.1 6.2-29.1 26.8-23 45.9l15.7 47-45.3 15c-19.1 6.2-29.1 26.8-23 45.9 5 14.5 19.1 24 33.6 24.6 6.8 1 12-1.6 57.7-16.8l30.3 90L78 354.8c-19 6.2-29.1 26.9-23 45.9 5 14.5 19.1 24 33.6 24.6 6.8 1 12-1.6 57.7-16.8l15.7 47c5.9 16.9 24.7 29 46 22.9 19.1-6.2 29.1-26.8 23-45.9l-15.7-47 93.6-31.3 15.7 47c5.9 16.9 24.7 29 46 22.9 19.1-6.2 29.1-26.8 23-45.9l-15.7-47 45.4-15.1c19-6 29.1-26.7 22.9-45.7zm-254.1 47.2l-30.3-90.2 93.5-31.3 30.3 90.2-93.5 31.3z"}}]})(props);
};
function FaSlack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M94.12 315.1c0 25.9-21.16 47.06-47.06 47.06S0 341 0 315.1c0-25.9 21.16-47.06 47.06-47.06h47.06v47.06zm23.72 0c0-25.9 21.16-47.06 47.06-47.06s47.06 21.16 47.06 47.06v117.84c0 25.9-21.16 47.06-47.06 47.06s-47.06-21.16-47.06-47.06V315.1zm47.06-188.98c-25.9 0-47.06-21.16-47.06-47.06S139 32 164.9 32s47.06 21.16 47.06 47.06v47.06H164.9zm0 23.72c25.9 0 47.06 21.16 47.06 47.06s-21.16 47.06-47.06 47.06H47.06C21.16 243.96 0 222.8 0 196.9s21.16-47.06 47.06-47.06H164.9zm188.98 47.06c0-25.9 21.16-47.06 47.06-47.06 25.9 0 47.06 21.16 47.06 47.06s-21.16 47.06-47.06 47.06h-47.06V196.9zm-23.72 0c0 25.9-21.16 47.06-47.06 47.06-25.9 0-47.06-21.16-47.06-47.06V79.06c0-25.9 21.16-47.06 47.06-47.06 25.9 0 47.06 21.16 47.06 47.06V196.9zM283.1 385.88c25.9 0 47.06 21.16 47.06 47.06 0 25.9-21.16 47.06-47.06 47.06-25.9 0-47.06-21.16-47.06-47.06v-47.06h47.06zm0-23.72c-25.9 0-47.06-21.16-47.06-47.06 0-25.9 21.16-47.06 47.06-47.06h117.84c25.9 0 47.06 21.16 47.06 47.06 0 25.9-21.16 47.06-47.06 47.06H283.1z"}}]})(props);
};
function FaSlideshare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M187.7 153.7c-34 0-61.7 25.7-61.7 57.7 0 31.7 27.7 57.7 61.7 57.7s61.7-26 61.7-57.7c0-32-27.7-57.7-61.7-57.7zm143.4 0c-34 0-61.7 25.7-61.7 57.7 0 31.7 27.7 57.7 61.7 57.7 34.3 0 61.7-26 61.7-57.7.1-32-27.4-57.7-61.7-57.7zm156.6 90l-6 4.3V49.7c0-27.4-20.6-49.7-46-49.7H76.6c-25.4 0-46 22.3-46 49.7V248c-2-1.4-4.3-2.9-6.3-4.3-15.1-10.6-25.1 4-16 17.7 18.3 22.6 53.1 50.3 106.3 72C58.3 525.1 252 555.7 248.9 457.5c0-.7.3-56.6.3-96.6 5.1 1.1 9.4 2.3 13.7 3.1 0 39.7.3 92.8.3 93.5-3.1 98.3 190.6 67.7 134.3-124 53.1-21.7 88-49.4 106.3-72 9.1-13.8-.9-28.3-16.1-17.8zm-30.5 19.2c-68.9 37.4-128.3 31.1-160.6 29.7-23.7-.9-32.6 9.1-33.7 24.9-10.3-7.7-18.6-15.5-20.3-17.1-5.1-5.4-13.7-8-27.1-7.7-31.7 1.1-89.7 7.4-157.4-28V72.3c0-34.9 8.9-45.7 40.6-45.7h317.7c30.3 0 40.9 12.9 40.9 45.7v190.6z"}}]})(props);
};
function FaSnapchatGhost (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M510.846 392.673c-5.211 12.157-27.239 21.089-67.36 27.318-2.064 2.786-3.775 14.686-6.507 23.956-1.625 5.566-5.623 8.869-12.128 8.869l-.297-.005c-9.395 0-19.203-4.323-38.852-4.323-26.521 0-35.662 6.043-56.254 20.588-21.832 15.438-42.771 28.764-74.027 27.399-31.646 2.334-58.025-16.908-72.871-27.404-20.714-14.643-29.828-20.582-56.241-20.582-18.864 0-30.736 4.72-38.852 4.72-8.073 0-11.213-4.922-12.422-9.04-2.703-9.189-4.404-21.263-6.523-24.13-20.679-3.209-67.31-11.344-68.498-32.15a10.627 10.627 0 0 1 8.877-11.069c69.583-11.455 100.924-82.901 102.227-85.934.074-.176.155-.344.237-.515 3.713-7.537 4.544-13.849 2.463-18.753-5.05-11.896-26.872-16.164-36.053-19.796-23.715-9.366-27.015-20.128-25.612-27.504 2.437-12.836 21.725-20.735 33.002-15.453 8.919 4.181 16.843 6.297 23.547 6.297 5.022 0 8.212-1.204 9.96-2.171-2.043-35.936-7.101-87.29 5.687-115.969C158.122 21.304 229.705 15.42 250.826 15.42c.944 0 9.141-.089 10.11-.089 52.148 0 102.254 26.78 126.723 81.643 12.777 28.65 7.749 79.792 5.695 116.009 1.582.872 4.357 1.942 8.599 2.139 6.397-.286 13.815-2.389 22.069-6.257 6.085-2.846 14.406-2.461 20.48.058l.029.01c9.476 3.385 15.439 10.215 15.589 17.87.184 9.747-8.522 18.165-25.878 25.018-2.118.835-4.694 1.655-7.434 2.525-9.797 3.106-24.6 7.805-28.616 17.271-2.079 4.904-1.256 11.211 2.46 18.748.087.168.166.342.239.515 1.301 3.03 32.615 74.46 102.23 85.934 6.427 1.058 11.163 7.877 7.725 15.859z"}}]})(props);
};
function FaSnapchatSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-6.5 314.9c-3.5 8.1-18.1 14-44.8 18.2-1.4 1.9-2.5 9.8-4.3 15.9-1.1 3.7-3.7 5.9-8.1 5.9h-.2c-6.2 0-12.8-2.9-25.8-2.9-17.6 0-23.7 4-37.4 13.7-14.5 10.3-28.4 19.1-49.2 18.2-21 1.6-38.6-11.2-48.5-18.2-13.8-9.7-19.8-13.7-37.4-13.7-12.5 0-20.4 3.1-25.8 3.1-5.4 0-7.5-3.3-8.3-6-1.8-6.1-2.9-14.1-4.3-16-13.8-2.1-44.8-7.5-45.5-21.4-.2-3.6 2.3-6.8 5.9-7.4 46.3-7.6 67.1-55.1 68-57.1 0-.1.1-.2.2-.3 2.5-5 3-9.2 1.6-12.5-3.4-7.9-17.9-10.7-24-13.2-15.8-6.2-18-13.4-17-18.3 1.6-8.5 14.4-13.8 21.9-10.3 5.9 2.8 11.2 4.2 15.7 4.2 3.3 0 5.5-.8 6.6-1.4-1.4-23.9-4.7-58 3.8-77.1C159.1 100 206.7 96 220.7 96c.6 0 6.1-.1 6.7-.1 34.7 0 68 17.8 84.3 54.3 8.5 19.1 5.2 53.1 3.8 77.1 1.1.6 2.9 1.3 5.7 1.4 4.3-.2 9.2-1.6 14.7-4.2 4-1.9 9.6-1.6 13.6 0 6.3 2.3 10.3 6.8 10.4 11.9.1 6.5-5.7 12.1-17.2 16.6-1.4.6-3.1 1.1-4.9 1.7-6.5 2.1-16.4 5.2-19 11.5-1.4 3.3-.8 7.5 1.6 12.5.1.1.1.2.2.3.9 2 21.7 49.5 68 57.1 4 1 7.1 5.5 4.9 10.8z"}}]})(props);
};
function FaSnapchat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm169.5 338.9c-3.5 8.1-18.1 14-44.8 18.2-1.4 1.9-2.5 9.8-4.3 15.9-1.1 3.7-3.7 5.9-8.1 5.9h-.2c-6.2 0-12.8-2.9-25.8-2.9-17.6 0-23.7 4-37.4 13.7-14.5 10.3-28.4 19.1-49.2 18.2-21 1.6-38.6-11.2-48.5-18.2-13.8-9.7-19.8-13.7-37.4-13.7-12.5 0-20.4 3.1-25.8 3.1-5.4 0-7.5-3.3-8.3-6-1.8-6.1-2.9-14.1-4.3-16-13.8-2.1-44.8-7.5-45.5-21.4-.2-3.6 2.3-6.8 5.9-7.4 46.3-7.6 67.1-55.1 68-57.1 0-.1.1-.2.2-.3 2.5-5 3-9.2 1.6-12.5-3.4-7.9-17.9-10.7-24-13.2-15.8-6.2-18-13.4-17-18.3 1.6-8.5 14.4-13.8 21.9-10.3 5.9 2.8 11.2 4.2 15.7 4.2 3.3 0 5.5-.8 6.6-1.4-1.4-23.9-4.7-58 3.8-77.1C183.1 100 230.7 96 244.7 96c.6 0 6.1-.1 6.7-.1 34.7 0 68 17.8 84.3 54.3 8.5 19.1 5.2 53.1 3.8 77.1 1.1.6 2.9 1.3 5.7 1.4 4.3-.2 9.2-1.6 14.7-4.2 4-1.9 9.6-1.6 13.6 0 6.3 2.3 10.3 6.8 10.4 11.9.1 6.5-5.7 12.1-17.2 16.6-1.4.6-3.1 1.1-4.9 1.7-6.5 2.1-16.4 5.2-19 11.5-1.4 3.3-.8 7.5 1.6 12.5.1.1.1.2.2.3.9 2 21.7 49.5 68 57.1 4 1 7.1 5.5 4.9 10.8z"}}]})(props);
};
function FaSoundcloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M111.4 256.3l5.8 65-5.8 68.3c-.3 2.5-2.2 4.4-4.4 4.4s-4.2-1.9-4.2-4.4l-5.6-68.3 5.6-65c0-2.2 1.9-4.2 4.2-4.2 2.2 0 4.1 2 4.4 4.2zm21.4-45.6c-2.8 0-4.7 2.2-5 5l-5 105.6 5 68.3c.3 2.8 2.2 5 5 5 2.5 0 4.7-2.2 4.7-5l5.8-68.3-5.8-105.6c0-2.8-2.2-5-4.7-5zm25.5-24.1c-3.1 0-5.3 2.2-5.6 5.3l-4.4 130 4.4 67.8c.3 3.1 2.5 5.3 5.6 5.3 2.8 0 5.3-2.2 5.3-5.3l5.3-67.8-5.3-130c0-3.1-2.5-5.3-5.3-5.3zM7.2 283.2c-1.4 0-2.2 1.1-2.5 2.5L0 321.3l4.7 35c.3 1.4 1.1 2.5 2.5 2.5s2.2-1.1 2.5-2.5l5.6-35-5.6-35.6c-.3-1.4-1.1-2.5-2.5-2.5zm23.6-21.9c-1.4 0-2.5 1.1-2.5 2.5l-6.4 57.5 6.4 56.1c0 1.7 1.1 2.8 2.5 2.8s2.5-1.1 2.8-2.5l7.2-56.4-7.2-57.5c-.3-1.4-1.4-2.5-2.8-2.5zm25.3-11.4c-1.7 0-3.1 1.4-3.3 3.3L47 321.3l5.8 65.8c.3 1.7 1.7 3.1 3.3 3.1 1.7 0 3.1-1.4 3.1-3.1l6.9-65.8-6.9-68.1c0-1.9-1.4-3.3-3.1-3.3zm25.3-2.2c-1.9 0-3.6 1.4-3.6 3.6l-5.8 70 5.8 67.8c0 2.2 1.7 3.6 3.6 3.6s3.6-1.4 3.9-3.6l6.4-67.8-6.4-70c-.3-2.2-2-3.6-3.9-3.6zm241.4-110.9c-1.1-.8-2.8-1.4-4.2-1.4-2.2 0-4.2.8-5.6 1.9-1.9 1.7-3.1 4.2-3.3 6.7v.8l-3.3 176.7 1.7 32.5 1.7 31.7c.3 4.7 4.2 8.6 8.9 8.6s8.6-3.9 8.6-8.6l3.9-64.2-3.9-177.5c-.4-3-2-5.8-4.5-7.2zm-26.7 15.3c-1.4-.8-2.8-1.4-4.4-1.4s-3.1.6-4.4 1.4c-2.2 1.4-3.6 3.9-3.6 6.7l-.3 1.7-2.8 160.8s0 .3 3.1 65.6v.3c0 1.7.6 3.3 1.7 4.7 1.7 1.9 3.9 3.1 6.4 3.1 2.2 0 4.2-1.1 5.6-2.5 1.7-1.4 2.5-3.3 2.5-5.6l.3-6.7 3.1-58.6-3.3-162.8c-.3-2.8-1.7-5.3-3.9-6.7zm-111.4 22.5c-3.1 0-5.8 2.8-5.8 6.1l-4.4 140.6 4.4 67.2c.3 3.3 2.8 5.8 5.8 5.8 3.3 0 5.8-2.5 6.1-5.8l5-67.2-5-140.6c-.2-3.3-2.7-6.1-6.1-6.1zm376.7 62.8c-10.8 0-21.1 2.2-30.6 6.1-6.4-70.8-65.8-126.4-138.3-126.4-17.8 0-35 3.3-50.3 9.4-6.1 2.2-7.8 4.4-7.8 9.2v249.7c0 5 3.9 8.6 8.6 9.2h218.3c43.3 0 78.6-35 78.6-78.3.1-43.6-35.2-78.9-78.5-78.9zm-296.7-60.3c-4.2 0-7.5 3.3-7.8 7.8l-3.3 136.7 3.3 65.6c.3 4.2 3.6 7.5 7.8 7.5 4.2 0 7.5-3.3 7.5-7.5l3.9-65.6-3.9-136.7c-.3-4.5-3.3-7.8-7.5-7.8zm-53.6-7.8c-3.3 0-6.4 3.1-6.4 6.7l-3.9 145.3 3.9 66.9c.3 3.6 3.1 6.4 6.4 6.4 3.6 0 6.4-2.8 6.7-6.4l4.4-66.9-4.4-145.3c-.3-3.6-3.1-6.7-6.7-6.7zm26.7 3.4c-3.9 0-6.9 3.1-6.9 6.9L227 321.3l3.9 66.4c.3 3.9 3.1 6.9 6.9 6.9s6.9-3.1 6.9-6.9l4.2-66.4-4.2-141.7c0-3.9-3-6.9-6.9-6.9z"}}]})(props);
};
function FaSourcetree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M427.2 203c0-112.1-90.9-203-203-203C112.1-.2 21.2 90.6 21 202.6A202.86 202.86 0 0 0 161.5 396v101.7a14.3 14.3 0 0 0 14.3 14.3h96.4a14.3 14.3 0 0 0 14.3-14.3V396.1A203.18 203.18 0 0 0 427.2 203zm-271.6 0c0-90.8 137.3-90.8 137.3 0-.1 89.9-137.3 91-137.3 0z"}}]})(props);
};
function FaSpeakap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M64 391.78C-15.41 303.59-8 167.42 80.64 87.64s224.8-73 304.21 15.24 72 224.36-16.64 304.14c-18.74 16.87 64 43.09 42 52.26-82.06 34.21-253.91 35-346.23-67.5zm213.31-211.6l38.5-40.86c-9.61-8.89-32-26.83-76.17-27.6-52.33-.91-95.86 28.3-96.77 80-.2 11.33.29 36.72 29.42 54.83 34.46 21.42 86.52 21.51 86 52.26-.37 21.28-26.42 25.81-38.59 25.6-3-.05-30.23-.46-47.61-24.62l-40 42.61c28.16 27 59 32.62 83.49 33.05 10.23.18 96.42.33 97.84-81 .28-15.81-2.07-39.72-28.86-56.59-34.36-21.64-85-19.45-84.43-49.75.41-23.25 31-25.37 37.53-25.26.43 0 26.62.26 39.62 17.37z"}}]})(props);
};
function FaSpeakerDeck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M213.86 296H100a100 100 0 0 1 0-200h132.84a40 40 0 0 1 0 80H98c-26.47 0-26.45 40 0 40h113.82a100 100 0 0 1 0 200H40a40 40 0 0 1 0-80h173.86c26.48 0 26.46-40 0-40zM298 416a120.21 120.21 0 0 0 51.11-80h64.55a19.83 19.83 0 0 0 19.66-20V196a19.83 19.83 0 0 0-19.66-20H296.42a60.77 60.77 0 0 0 0-80h136.93c43.44 0 78.65 35.82 78.65 80v160c0 44.18-35.21 80-78.65 80z"}}]})(props);
};
function FaSpotify (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111.1 8 0 119.1 0 256s111.1 248 248 248 248-111.1 248-248S384.9 8 248 8zm100.7 364.9c-4.2 0-6.8-1.3-10.7-3.6-62.4-37.6-135-39.2-206.7-24.5-3.9 1-9 2.6-11.9 2.6-9.7 0-15.8-7.7-15.8-15.8 0-10.3 6.1-15.2 13.6-16.8 81.9-18.1 165.6-16.5 237 26.2 6.1 3.9 9.7 7.4 9.7 16.5s-7.1 15.4-15.2 15.4zm26.9-65.6c-5.2 0-8.7-2.3-12.3-4.2-62.5-37-155.7-51.9-238.6-29.4-4.8 1.3-7.4 2.6-11.9 2.6-10.7 0-19.4-8.7-19.4-19.4s5.2-17.8 15.5-20.7c27.8-7.8 56.2-13.6 97.8-13.6 64.9 0 127.6 16.1 177 45.5 8.1 4.8 11.3 11 11.3 19.7-.1 10.8-8.5 19.5-19.4 19.5zm31-76.2c-5.2 0-8.4-1.3-12.9-3.9-71.2-42.5-198.5-52.7-280.9-29.7-3.6 1-8.1 2.6-12.9 2.6-13.2 0-23.3-10.3-23.3-23.6 0-13.6 8.4-21.3 17.4-23.9 35.2-10.3 74.6-15.2 117.5-15.2 73 0 149.5 15.2 205.4 47.8 7.8 4.5 12.9 10.7 12.9 22.6 0 13.6-11 23.3-23.2 23.3z"}}]})(props);
};
function FaSquarespace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M186.12 343.34c-9.65 9.65-9.65 25.29 0 34.94 9.65 9.65 25.29 9.65 34.94 0L378.24 221.1c19.29-19.29 50.57-19.29 69.86 0s19.29 50.57 0 69.86L293.95 445.1c19.27 19.29 50.53 19.31 69.82.04l.04-.04 119.25-119.24c38.59-38.59 38.59-101.14 0-139.72-38.59-38.59-101.15-38.59-139.72 0l-157.22 157.2zm244.53-104.8c-9.65-9.65-25.29-9.65-34.93 0l-157.2 157.18c-19.27 19.29-50.53 19.31-69.82.05l-.05-.05c-9.64-9.64-25.27-9.65-34.92-.01l-.01.01c-9.65 9.64-9.66 25.28-.02 34.93l.02.02c38.58 38.57 101.14 38.57 139.72 0l157.2-157.2c9.65-9.65 9.65-25.29.01-34.93zm-261.99 87.33l157.18-157.18c9.64-9.65 9.64-25.29 0-34.94-9.64-9.64-25.27-9.64-34.91 0L133.72 290.93c-19.28 19.29-50.56 19.3-69.85.01l-.01-.01c-19.29-19.28-19.31-50.54-.03-69.84l.03-.03L218.03 66.89c-19.28-19.29-50.55-19.3-69.85-.02l-.02.02L28.93 186.14c-38.58 38.59-38.58 101.14 0 139.72 38.6 38.59 101.13 38.59 139.73.01zm-87.33-52.4c9.64 9.64 25.27 9.64 34.91 0l157.21-157.19c19.28-19.29 50.55-19.3 69.84-.02l.02.02c9.65 9.65 25.29 9.65 34.93 0 9.65-9.65 9.65-25.29 0-34.93-38.59-38.59-101.13-38.59-139.72 0L81.33 238.54c-9.65 9.64-9.65 25.28-.01 34.93h.01z"}}]})(props);
};
function FaStackExchange (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M17.7 332.3h412.7v22c0 37.7-29.3 68-65.3 68h-19L259.3 512v-89.7H83c-36 0-65.3-30.3-65.3-68v-22zm0-23.6h412.7v-85H17.7v85zm0-109.4h412.7v-85H17.7v85zM365 0H83C47 0 17.7 30.3 17.7 67.7V90h412.7V67.7C430.3 30.3 401 0 365 0z"}}]})(props);
};
function FaStackOverflow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M290.7 311L95 269.7 86.8 309l195.7 41zm51-87L188.2 95.7l-25.5 30.8 153.5 128.3zm-31.2 39.7L129.2 179l-16.7 36.5L293.7 300zM262 32l-32 24 119.3 160.3 32-24zm20.5 328h-200v39.7h200zm39.7 80H42.7V320h-40v160h359.5V320h-40z"}}]})(props);
};
function FaStackpath (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M244.6 232.4c0 8.5-4.26 20.49-21.34 20.49h-19.61v-41.47h19.61c17.13 0 21.34 12.36 21.34 20.98zM448 32v448H0V32zM151.3 287.84c0-21.24-12.12-34.54-46.72-44.85-20.57-7.41-26-10.91-26-18.63s7-14.61 20.41-14.61c14.09 0 20.79 8.45 20.79 18.35h30.7l.19-.57c.5-19.57-15.06-41.65-51.12-41.65-23.37 0-52.55 10.75-52.55 38.29 0 19.4 9.25 31.29 50.74 44.37 17.26 6.15 21.91 10.4 21.91 19.48 0 15.2-19.13 14.23-19.47 14.23-20.4 0-25.65-9.1-25.65-21.9h-30.8l-.18.56c-.68 31.32 28.38 45.22 56.63 45.22 29.98 0 51.12-13.55 51.12-38.29zm125.38-55.63c0-25.3-18.43-45.46-53.42-45.46h-51.78v138.18h32.17v-47.36h19.61c30.25 0 53.42-15.95 53.42-45.36zM297.94 325L347 186.78h-31.09L268 325zm106.52-138.22h-31.09L325.46 325h29.94z"}}]})(props);
};
function FaStaylinked (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 440 512"},"child":[{"tag":"path","attr":{"d":"M382.7 292.5l2.7 2.7-170-167.3c-3.5-3.5-9.7-3.7-13.8-.5L144.3 171c-4.2 3.2-4.6 8.7-1.1 12.2l68.1 64.3c3.6 3.5 9.9 3.7 14 .5l.1-.1c4.1-3.2 10.4-3 14 .5l84 81.3c3.6 3.5 3.2 9-.9 12.2l-93.2 74c-4.2 3.3-10.5 3.1-14.2-.4L63.2 268c-3.5-3.5-9.7-3.7-13.9-.5L3.5 302.4c-4.2 3.2-4.7 8.7-1.2 12.2L211 510.7s7.4 6.8 17.3-.8l198-163.9c4-3.2 4.4-8.7.7-12.2zm54.5-83.4L226.7 2.5c-1.5-1.2-8-5.5-16.3 1.1L3.6 165.7c-4.2 3.2-4.8 8.7-1.2 12.2l42.3 41.7 171.7 165.1c3.7 3.5 10.1 3.7 14.3.4l50.2-38.8-.3-.3 7.7-6c4.2-3.2 4.6-8.7.9-12.2l-57.1-54.4c-3.6-3.5-10-3.7-14.2-.5l-.1.1c-4.2 3.2-10.5 3.1-14.2-.4L109 180.8c-3.6-3.5-3.1-8.9 1.1-12.2l92.2-71.5c4.1-3.2 10.3-3 13.9.5l160.4 159c3.7 3.5 10 3.7 14.1.5l45.8-35.8c4.1-3.2 4.4-8.7.7-12.2z"}}]})(props);
};
function FaSteamSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M185.2 356.5c7.7-18.5-1-39.7-19.6-47.4l-29.5-12.2c11.4-4.3 24.3-4.5 36.4.5 12.2 5.1 21.6 14.6 26.7 26.7 5 12.2 5 25.6-.1 37.7-10.5 25.1-39.4 37-64.6 26.5-11.6-4.8-20.4-13.6-25.4-24.2l28.5 11.8c18.6 7.8 39.9-.9 47.6-19.4zM400 32H48C21.5 32 0 53.5 0 80v160.7l116.6 48.1c12-8.2 26.2-12.1 40.7-11.3l55.4-80.2v-1.1c0-48.2 39.3-87.5 87.6-87.5s87.6 39.3 87.6 87.5c0 49.2-40.9 88.7-89.6 87.5l-79 56.3c1.6 38.5-29.1 68.8-65.7 68.8-31.8 0-58.5-22.7-64.5-52.7L0 319.2V432c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-99.7 222.5c-32.2 0-58.4-26.1-58.4-58.3s26.2-58.3 58.4-58.3 58.4 26.2 58.4 58.3-26.2 58.3-58.4 58.3zm.1-14.6c24.2 0 43.9-19.6 43.9-43.8 0-24.2-19.6-43.8-43.9-43.8-24.2 0-43.9 19.6-43.9 43.8 0 24.2 19.7 43.8 43.9 43.8z"}}]})(props);
};
function FaSteamSymbol (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M395.5 177.5c0 33.8-27.5 61-61 61-33.8 0-61-27.3-61-61s27.3-61 61-61c33.5 0 61 27.2 61 61zm52.5.2c0 63-51 113.8-113.7 113.8L225 371.3c-4 43-40.5 76.8-84.5 76.8-40.5 0-74.7-28.8-83-67L0 358V250.7L97.2 290c15.1-9.2 32.2-13.3 52-11.5l71-101.7c.5-62.3 51.5-112.8 114-112.8C397 64 448 115 448 177.7zM203 363c0-34.7-27.8-62.5-62.5-62.5-4.5 0-9 .5-13.5 1.5l26 10.5c25.5 10.2 38 39 27.7 64.5-10.2 25.5-39.2 38-64.7 27.5-10.2-4-20.5-8.3-30.7-12.2 10.5 19.7 31.2 33.2 55.2 33.2 34.7 0 62.5-27.8 62.5-62.5zm207.5-185.3c0-42-34.3-76.2-76.2-76.2-42.3 0-76.5 34.2-76.5 76.2 0 42.2 34.3 76.2 76.5 76.2 41.9.1 76.2-33.9 76.2-76.2z"}}]})(props);
};
function FaSteam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M496 256c0 137-111.2 248-248.4 248-113.8 0-209.6-76.3-239-180.4l95.2 39.3c6.4 32.1 34.9 56.4 68.9 56.4 39.2 0 71.9-32.4 70.2-73.5l84.5-60.2c52.1 1.3 95.8-40.9 95.8-93.5 0-51.6-42-93.5-93.7-93.5s-93.7 42-93.7 93.5v1.2L176.6 279c-15.5-.9-30.7 3.4-43.5 12.1L0 236.1C10.2 108.4 117.1 8 247.6 8 384.8 8 496 119 496 256zM155.7 384.3l-30.5-12.6a52.79 52.79 0 0 0 27.2 25.8c26.9 11.2 57.8-1.6 69-28.4 5.4-13 5.5-27.3.1-40.3-5.4-13-15.5-23.2-28.5-28.6-12.9-5.4-26.7-5.2-38.9-.6l31.5 13c19.8 8.2 29.2 30.9 20.9 50.7-8.3 19.9-31 29.2-50.8 21zm173.8-129.9c-34.4 0-62.4-28-62.4-62.3s28-62.3 62.4-62.3 62.4 28 62.4 62.3-27.9 62.3-62.4 62.3zm.1-15.6c25.9 0 46.9-21 46.9-46.8 0-25.9-21-46.8-46.9-46.8s-46.9 21-46.9 46.8c.1 25.8 21.1 46.8 46.9 46.8z"}}]})(props);
};
function FaStickerMule (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M561.7 199.6c-1.3.3.3 0 0 0zm-6.2-77.4c-7.7-22.3-5.1-7.2-13.4-36.9-1.6-6.5-3.6-14.5-6.2-20-4.4-8.7-4.6-7.5-4.6-9.5 0-5.3 30.7-45.3 19-46.9-5.7-.6-12.2 11.6-20.6 17-8.6 4.2-8 5-10.3 5-2.6 0-5.7-3-6.2-5-2-5.7 1.9-25.9-3.6-25.9-3.6 0-12.3 24.8-17 25.8-5.2 1.3-27.9-11.4-75.1 18-25.3 13.2-86.9 65.2-87 65.3-6.7 4.7-20 4.7-35.5 16-44.4 30.1-109.6 9.4-110.7 9-110.6-26.8-128-15.2-159 11.5-20.8 17.9-23.7 36.5-24.2 38.9-4.2 20.4 5.2 48.3 6.7 64.3 1.8 19.3-2.7 17.7 7.7 98.3.5 1 4.1 0 5.1 1.5 0 8.4-3.8 12.1-4.1 13-1.5 4.5-1.5 10.5 0 16 2.3 8.2 8.2 37.2 8.2 46.9 0 41.8.4 44 2.6 49.4 3.9 10 12.5 9.1 17 12 3.1 3.5-.5 8.5 1 12.5.5 2 3.6 4 6.2 5 9.2 3.6 27 .3 29.9-2.5 1.6-1.5.5-4.5 3.1-5 5.1 0 10.8-.5 14.4-2.5 5.1-2.5 4.1-6 1.5-10.5-.4-.8-7-13.3-9.8-16-2.1-2-5.1-3-7.2-4.5-5.8-4.9-10.3-19.4-10.3-19.5-4.6-19.4-10.3-46.3-4.1-66.8 4.6-17.2 39.5-87.7 39.6-87.8 4.1-6.5 17-11.5 27.3-7 6 1.9 19.3 22 65.4 30.9 47.9 8.7 97.4-2 112.2-2 2.8 2-1.9 13-.5 38.9 0 26.4-.4 13.7-4.1 29.9-2.2 9.7 3.4 23.2-1.5 46.9-1.4 9.8-9.9 32.7-8.2 43.4.5 1 1 2 1.5 3.5.5 4.5 1.5 8.5 4.6 10 7.3 3.6 12-3.5 9.8 11.5-.7 3.1-2.6 12 1.5 15 4.4 3.7 30.6 3.4 36.5.5 2.6-1.5 1.6-4.5 6.4-7.4 1.9-.9 11.3-.4 11.3-6.5.3-1.8-9.2-19.9-9.3-20-2.6-3.5-9.2-4.5-11.3-8-6.9-10.1-1.7-52.6.5-59.4 3-11 5.6-22.4 8.7-32.4 11-42.5 10.3-50.6 16.5-68.3.8-1.8 6.4-23.1 10.3-29.9 9.3-17 21.7-32.4 33.5-47.4 18-22.9 34-46.9 52-69.8 6.1-7 8.2-13.7 18-8 10.8 5.7 21.6 7 31.9 17 14.6 12.8 10.2 18.2 11.8 22.9 1.5 5 7.7 10.5 14.9 9.5 10.4-2 13-2.5 13.4-2.5 2.6-.5 5.7-5 7.2-8 3.1-5.5 7.2-9 7.2-16.5 0-7.7-.4-2.8-20.6-52.9z"}}]})(props);
};
function FaStrava (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M158.4 0L7 292h89.2l62.2-116.1L220.1 292h88.5zm150.2 292l-43.9 88.2-44.6-88.2h-67.6l112.2 220 111.5-220z"}}]})(props);
};
function FaStripeS (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M155.3 154.6c0-22.3 18.6-30.9 48.4-30.9 43.4 0 98.5 13.3 141.9 36.7V26.1C298.3 7.2 251.1 0 203.8 0 88.1 0 11 60.4 11 161.4c0 157.9 216.8 132.3 216.8 200.4 0 26.4-22.9 34.9-54.7 34.9-47.2 0-108.2-19.5-156.1-45.5v128.5a396.09 396.09 0 0 0 156 32.4c118.6 0 200.3-51 200.3-153.6 0-170.2-218-139.7-218-203.9z"}}]})(props);
};
function FaStripe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M165 144.7l-43.3 9.2-.2 142.4c0 26.3 19.8 43.3 46.1 43.3 14.6 0 25.3-2.7 31.2-5.9v-33.8c-5.7 2.3-33.7 10.5-33.7-15.7V221h33.7v-37.8h-33.7zm89.1 51.6l-2.7-13.1H213v153.2h44.3V233.3c10.5-13.8 28.2-11.1 33.9-9.3v-40.8c-6-2.1-26.7-6-37.1 13.1zm92.3-72.3l-44.6 9.5v36.2l44.6-9.5zM44.9 228.3c0-6.9 5.8-9.6 15.1-9.7 13.5 0 30.7 4.1 44.2 11.4v-41.8c-14.7-5.8-29.4-8.1-44.1-8.1-36 0-60 18.8-60 50.2 0 49.2 67.5 41.2 67.5 62.4 0 8.2-7.1 10.9-17 10.9-14.7 0-33.7-6.1-48.6-14.2v40c16.5 7.1 33.2 10.1 48.5 10.1 36.9 0 62.3-15.8 62.3-47.8 0-52.9-67.9-43.4-67.9-63.4zM640 261.6c0-45.5-22-81.4-64.2-81.4s-67.9 35.9-67.9 81.1c0 53.5 30.3 78.2 73.5 78.2 21.2 0 37.1-4.8 49.2-11.5v-33.4c-12.1 6.1-26 9.8-43.6 9.8-17.3 0-32.5-6.1-34.5-26.9h86.9c.2-2.3.6-11.6.6-15.9zm-87.9-16.8c0-20 12.3-28.4 23.4-28.4 10.9 0 22.5 8.4 22.5 28.4zm-112.9-64.6c-17.4 0-28.6 8.2-34.8 13.9l-2.3-11H363v204.8l44.4-9.4.1-50.2c6.4 4.7 15.9 11.2 31.4 11.2 31.8 0 60.8-23.2 60.8-79.6.1-51.6-29.3-79.7-60.5-79.7zm-10.6 122.5c-10.4 0-16.6-3.8-20.9-8.4l-.3-66c4.6-5.1 11-8.8 21.2-8.8 16.2 0 27.4 18.2 27.4 41.4.1 23.9-10.9 41.8-27.4 41.8zm-126.7 33.7h44.6V183.2h-44.6z"}}]})(props);
};
function FaStudiovinari (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480.3 187.7l4.2 28v28l-25.1 44.1-39.8 78.4-56.1 67.5-79.1 37.8-17.7 24.5-7.7 12-9.6 4s17.3-63.6 19.4-63.6c2.1 0 20.3.7 20.3.7l66.7-38.6-92.5 26.1-55.9 36.8-22.8 28-6.6 1.4 20.8-73.6 6.9-5.5 20.7 12.9 88.3-45.2 56.8-51.5 14.8-68.4-125.4 23.3 15.2-18.2-173.4-53.3 81.9-10.5-166-122.9L133.5 108 32.2 0l252.9 126.6-31.5-38L378 163 234.7 64l18.7 38.4-49.6-18.1L158.3 0l194.6 122L310 66.2l108 96.4 12-8.9-21-16.4 4.2-37.8L451 89.1l29.2 24.7 11.5 4.2-7 6.2 8.5 12-13.1 7.4-10.3 20.2 10.5 23.9z"}}]})(props);
};
function FaStumbleuponCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm0 177.5c-9.8 0-17.8 8-17.8 17.8v106.9c0 40.9-33.9 73.9-74.9 73.9-41.4 0-74.9-33.5-74.9-74.9v-46.5h57.3v45.8c0 10 8 17.8 17.8 17.8s17.8-7.9 17.8-17.8V200.1c0-40 34.2-72.1 74.7-72.1 40.7 0 74.7 32.3 74.7 72.6v23.7l-34.1 10.1-22.9-10.7v-20.6c.1-9.6-7.9-17.6-17.7-17.6zm167.6 123.6c0 41.4-33.5 74.9-74.9 74.9-41.2 0-74.9-33.2-74.9-74.2V263l22.9 10.7 34.1-10.1v47.1c0 9.8 8 17.6 17.8 17.6s17.8-7.9 17.8-17.6v-48h57.3c-.1 45.9-.1 46.4-.1 46.4z"}}]})(props);
};
function FaStumbleupon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M502.9 266v69.7c0 62.1-50.3 112.4-112.4 112.4-61.8 0-112.4-49.8-112.4-111.3v-70.2l34.3 16 51.1-15.2V338c0 14.7 12 26.5 26.7 26.5S417 352.7 417 338v-72h85.9zm-224.7-58.2l34.3 16 51.1-15.2V173c0-60.5-51.1-109-112.1-109-60.8 0-112.1 48.2-112.1 108.2v162.4c0 14.9-12 26.7-26.7 26.7S86 349.5 86 334.6V266H0v69.7C0 397.7 50.3 448 112.4 448c61.6 0 112.4-49.5 112.4-110.8V176.9c0-14.7 12-26.7 26.7-26.7s26.7 12 26.7 26.7v30.9z"}}]})(props);
};
function FaSuperpowers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 32c-83.3 11-166.8 22-250 33-92 12.5-163.3 86.7-169 180-3.3 55.5 18 109.5 57.8 148.2L0 480c83.3-11 166.5-22 249.8-33 91.8-12.5 163.3-86.8 168.7-179.8 3.5-55.5-18-109.5-57.7-148.2L448 32zm-79.7 232.3c-4.2 79.5-74 139.2-152.8 134.5-79.5-4.7-140.7-71-136.3-151 4.5-79.2 74.3-139.3 153-134.5 79.3 4.7 140.5 71 136.1 151z"}}]})(props);
};
function FaSupple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M640 262.5c0 64.1-109 116.1-243.5 116.1-24.8 0-48.6-1.8-71.1-5 7.7.4 15.5.6 23.4.6 134.5 0 243.5-56.9 243.5-127.1 0-29.4-19.1-56.4-51.2-78 60 21.1 98.9 55.1 98.9 93.4zM47.7 227.9c-.1-70.2 108.8-127.3 243.3-127.6 7.9 0 15.6.2 23.3.5-22.5-3.2-46.3-4.9-71-4.9C108.8 96.3-.1 148.5 0 212.6c.1 38.3 39.1 72.3 99.3 93.3-32.3-21.5-51.5-48.6-51.6-78zm60.2 39.9s10.5 13.2 29.3 13.2c17.9 0 28.4-11.5 28.4-25.1 0-28-40.2-25.1-40.2-39.7 0-5.4 5.3-9.1 12.5-9.1 5.7 0 11.3 2.6 11.3 6.6v3.9h14.2v-7.9c0-12.1-15.4-16.8-25.4-16.8-16.5 0-28.5 10.2-28.5 24.1 0 26.6 40.2 25.4 40.2 39.9 0 6.6-5.8 10.1-12.3 10.1-11.9 0-20.7-10.1-20.7-10.1l-8.8 10.9zm120.8-73.6v54.4c0 11.3-7.1 17.8-17.8 17.8-10.7 0-17.8-6.5-17.8-17.7v-54.5h-15.8v55c0 18.9 13.4 31.9 33.7 31.9 20.1 0 33.4-13 33.4-31.9v-55h-15.7zm34.4 85.4h15.8v-29.5h15.5c16 0 27.2-11.5 27.2-28.1s-11.2-27.8-27.2-27.8h-39.1v13.4h7.8v72zm15.8-43v-29.1h12.9c8.7 0 13.7 5.7 13.7 14.4 0 8.9-5.1 14.7-14 14.7h-12.6zm57 43h15.8v-29.5h15.5c16 0 27.2-11.5 27.2-28.1s-11.2-27.8-27.2-27.8h-39.1v13.4h7.8v72zm15.7-43v-29.1h12.9c8.7 0 13.7 5.7 13.7 14.4 0 8.9-5 14.7-14 14.7h-12.6zm57.1 34.8c0 5.8 2.4 8.2 8.2 8.2h37.6c5.8 0 8.2-2.4 8.2-8.2v-13h-14.3v5.2c0 1.7-1 2.6-2.6 2.6h-18.6c-1.7 0-2.6-1-2.6-2.6v-61.2c0-5.7-2.4-8.2-8.2-8.2H401v13.4h5.2c1.7 0 2.6 1 2.6 2.6v61.2zm63.4 0c0 5.8 2.4 8.2 8.2 8.2H519c5.7 0 8.2-2.4 8.2-8.2v-13h-14.3v5.2c0 1.7-1 2.6-2.6 2.6h-19.7c-1.7 0-2.6-1-2.6-2.6v-20.3h27.7v-13.4H488v-22.4h19.2c1.7 0 2.6 1 2.6 2.6v5.2H524v-13c0-5.7-2.5-8.2-8.2-8.2h-51.6v13.4h7.8v63.9zm58.9-76v5.9h1.6v-5.9h2.7v-1.2h-7v1.2h2.7zm5.7-1.2v7.1h1.5v-5.7l2.3 5.7h1.3l2.3-5.7v5.7h1.5v-7.1h-2.3l-2.1 5.1-2.1-5.1h-2.4z"}}]})(props);
};
function FaSuse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M471.08 102.66s-.3 18.3-.3 20.3c-9.1-3-74.4-24.1-135.7-26.3-51.9-1.8-122.8-4.3-223 57.3-19.4 12.4-73.9 46.1-99.6 109.7C7 277-.12 307 7 335.06a111 111 0 0 0 16.5 35.7c17.4 25 46.6 41.6 78.1 44.4 44.4 3.9 78.1-16 90-53.3 8.2-25.8 0-63.6-31.5-82.9-25.6-15.7-53.3-12.1-69.2-1.6-13.9 9.2-21.8 23.5-21.6 39.2.3 27.8 24.3 42.6 41.5 42.6a49 49 0 0 0 15.8-2.7c6.5-1.8 13.3-6.5 13.3-14.9 0-12.1-11.6-14.8-16.8-13.9-2.9.5-4.5 2-11.8 2.4-2-.2-12-3.1-12-14V316c.2-12.3 13.2-18 25.5-16.9 32.3 2.8 47.7 40.7 28.5 65.7-18.3 23.7-76.6 23.2-99.7-20.4-26-49.2 12.7-111.2 87-98.4 33.2 5.7 83.6 35.5 102.4 104.3h45.9c-5.7-17.6-8.9-68.3 42.7-68.3 56.7 0 63.9 39.9 79.8 68.3H460c-12.8-18.3-21.7-38.7-18.9-55.8 5.6-33.8 39.7-18.4 82.4-17.4 66.5.4 102.1-27 103.1-28 3.7-3.1 6.5-15.8 7-17.7 1.3-5.1-3.2-2.4-3.2-2.4-8.7 5.2-30.5 15.2-50.9 15.6-25.3.5-76.2-25.4-81.6-28.2-.3-.4.1 1.2-11-25.5 88.4 58.3 118.3 40.5 145.2 21.7.8-.6 4.3-2.9 3.6-5.7-13.8-48.1-22.4-62.7-34.5-69.6-37-21.6-125-34.7-129.2-35.3.1-.1-.9-.3-.9.7zm60.4 72.8a37.54 37.54 0 0 1 38.9-36.3c33.4 1.2 48.8 42.3 24.4 65.2-24.2 22.7-64.4 4.6-63.3-28.9zm38.6-25.3a26.27 26.27 0 1 0 25.4 27.2 26.19 26.19 0 0 0-25.4-27.2zm4.3 28.8c-15.4 0-15.4-15.6 0-15.6s15.4 15.64 0 15.64z"}}]})(props);
};
function FaSwift (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 156.09c0-4.51-.08-9-.2-13.52a196.31 196.31 0 0 0-2.58-29.42 99.62 99.62 0 0 0-9.22-28A94.08 94.08 0 0 0 394.84 44a99.17 99.17 0 0 0-28-9.22 195 195 0 0 0-29.43-2.59c-4.51-.12-9-.17-13.52-.2H124.14c-4.51 0-9 .08-13.52.2-2.45.07-4.91.15-7.37.27a171.68 171.68 0 0 0-22.06 2.32 103.06 103.06 0 0 0-21.21 6.1q-3.46 1.45-6.81 3.12a94.66 94.66 0 0 0-18.39 12.32c-1.88 1.61-3.69 3.28-5.43 5A93.86 93.86 0 0 0 12 85.17a99.45 99.45 0 0 0-9.22 28 196.31 196.31 0 0 0-2.54 29.4c-.13 4.51-.18 9-.21 13.52v199.83c0 4.51.08 9 .21 13.51a196.08 196.08 0 0 0 2.58 29.42 99.3 99.3 0 0 0 9.22 28A94.31 94.31 0 0 0 53.17 468a99.47 99.47 0 0 0 28 9.21 195 195 0 0 0 29.43 2.59c4.5.12 9 .17 13.52.2H323.91c4.51 0 9-.08 13.52-.2a196.59 196.59 0 0 0 29.44-2.59 99.57 99.57 0 0 0 28-9.21A94.22 94.22 0 0 0 436 426.84a99.3 99.3 0 0 0 9.22-28 194.79 194.79 0 0 0 2.59-29.42c.12-4.5.17-9 .2-13.51V172.14c-.01-5.35-.01-10.7-.01-16.05zm-69.88 241c-20-38.93-57.23-29.27-76.31-19.47-1.72 1-3.48 2-5.25 3l-.42.25c-39.5 21-92.53 22.54-145.85-.38A234.64 234.64 0 0 1 45 290.12a230.63 230.63 0 0 0 39.17 23.37c56.36 26.4 113 24.49 153 0-57-43.85-104.6-101-141.09-147.22a197.09 197.09 0 0 1-18.78-25.9c43.7 40 112.7 90.22 137.48 104.12-52.57-55.49-98.89-123.94-96.72-121.74 82.79 83.42 159.18 130.59 159.18 130.59 2.88 1.58 5 2.85 6.73 4a127.44 127.44 0 0 0 4.16-12.47c13.22-48.33-1.66-103.58-35.31-149.2C329.61 141.75 375 229.34 356.4 303.42c-.44 1.73-.95 3.4-1.44 5.09 38.52 47.4 28.04 98.17 23.13 88.59z"}}]})(props);
};
function FaSymfony (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm133.74 143.54c-11.47.41-19.4-6.45-19.77-16.87-.27-9.18 6.68-13.44 6.53-18.85-.23-6.55-10.16-6.82-12.87-6.67-39.78 1.29-48.59 57-58.89 113.85 21.43 3.15 36.65-.72 45.14-6.22 12-7.75-3.34-15.72-1.42-24.56 4-18.16 32.55-19 32 5.3-.36 17.86-25.92 41.81-77.6 35.7-10.76 59.52-18.35 115-58.2 161.72-29 34.46-58.4 39.82-71.58 40.26-24.65.85-41-12.31-41.58-29.84-.56-17 14.45-26.26 24.31-26.59 21.89-.75 30.12 25.67 14.88 34-12.09 9.71.11 12.61 2.05 12.55 10.42-.36 17.34-5.51 22.18-9 24-20 33.24-54.86 45.35-118.35 8.19-49.66 17-78 18.23-82-16.93-12.75-27.08-28.55-49.85-34.72-15.61-4.23-25.12-.63-31.81 7.83-7.92 10-5.29 23 2.37 30.7l12.63 14c15.51 17.93 24 31.87 20.8 50.62-5.06 29.93-40.72 52.9-82.88 39.94-36-11.11-42.7-36.56-38.38-50.62 7.51-24.15 42.36-11.72 34.62 13.6-2.79 8.6-4.92 8.68-6.28 13.07-4.56 14.77 41.85 28.4 51-1.39 4.47-14.52-5.3-21.71-22.25-39.85-28.47-31.75-16-65.49 2.95-79.67C204.23 140.13 251.94 197 262 205.29c37.17-109 100.53-105.46 102.43-105.53 25.16-.81 44.19 10.59 44.83 28.65.25 7.69-4.17 22.59-19.52 23.13z"}}]})(props);
};
function FaTeamspeak (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M244.2 346.79c2.4-12.3-12-30-32.4-48.7-20.9-19.2-48.2-39.1-63.4-46.6-21.7-12-41.7-1.8-46.3 22.7-5 26.2 0 51.4 14.5 73.9 10.2 15.5 25.4 22.7 43.4 24 11.6.6 52.5 2.2 61.7-1 11.9-4.3 20.1-11.8 22.5-24.3zm205 20.8a5.22 5.22 0 0 0-8.3 2.4c-8 25.4-44.7 112.5-172.1 121.5-149.7 10.5 80.3 43.6 145.4-6.4 22.7-17.4 47.6-35 46.6-85.4-.4-10.1-4.9-26.69-11.6-32.1zm62-122.4c-.3-18.9-8.6-33.4-26-42.2-2.9-1.3-5-2.7-5.9-6.4A222.64 222.64 0 0 0 438.9 103c-1.1-1.5-3.5-3.2-2.2-5 8.5-11.5-.3-18-7-24.4Q321.4-31.11 177.4 13.09c-40.1 12.3-73.9 35.6-102 67.4-4 4.3-6.7 9.1-3 14.5 3 4 1.3 6.2-1 9.3C51.6 132 38.2 162.59 32.1 196c-.7 4.3-2.9 6-6.4 7.8-14.2 7-22.5 18.5-24.9 34L0 264.29v20.9c0 30.8 21 50.4 51.8 49 7.7-.3 11.7-4.3 12-11.5 2-77.5-2.4-95.4 3.7-125.8C92.1 72.39 234.3 5 345.3 65.39 411.4 102 445.7 159 447.6 234.79c.8 28.2 0 56.5 0 84.6 0 7 2.2 12.5 9.4 14.2 24.1 5 49.2-12 53.2-36.7 2.9-17.1 1-34.5 1-51.7zm-159.6 131.5c36.5 2.8 59.3-28.5 58.4-60.5-2.1-45.2-66.2-16.5-87.8-8-73.2 28.1-45 54.9-22.2 60.8z"}}]})(props);
};
function FaTelegramPlane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M446.7 98.6l-67.6 318.8c-5.1 22.5-18.4 28.1-37.3 17.5l-103-75.9-49.7 47.8c-5.5 5.5-10.1 10.1-20.7 10.1l7.4-104.9 190.9-172.5c8.3-7.4-1.8-11.5-12.9-4.1L117.8 284 16.2 252.2c-22.1-6.9-22.5-22.1 4.6-32.7L418.2 66.4c18.4-6.9 34.5 4.1 28.5 32.2z"}}]})(props);
};
function FaTelegram (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm121.8 169.9l-40.7 191.8c-3 13.6-11.1 16.9-22.4 10.5l-62-45.7-29.9 28.8c-3.3 3.3-6.1 6.1-12.5 6.1l4.4-63.1 114.9-103.8c5-4.4-1.1-6.9-7.7-2.5l-142 89.4-61.2-19.1c-13.3-4.2-13.6-13.3 2.8-19.7l239.1-92.2c11.1-4 20.8 2.7 17.2 19.5z"}}]})(props);
};
function FaTencentWeibo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M72.3 495.8c1.4 19.9-27.6 22.2-29.7 2.9C31 368.8 73.7 259.2 144 185.5c-15.6-34 9.2-77.1 50.6-77.1 30.3 0 55.1 24.6 55.1 55.1 0 44-49.5 70.8-86.9 45.1-65.7 71.3-101.4 169.8-90.5 287.2zM192 .1C66.1.1-12.3 134.3 43.7 242.4 52.4 259.8 79 246.9 70 229 23.7 136.4 91 29.8 192 29.8c75.4 0 136.9 61.4 136.9 136.9 0 90.8-86.9 153.9-167.7 133.1-19.1-4.1-25.6 24.4-6.6 29.1 110.7 23.2 204-60 204-162.3C358.6 74.7 284 .1 192 .1z"}}]})(props);
};
function FaTheRedYeti (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M488.23 241.7l20.7 7.1c-9.6-23.9-23.9-37-31.7-44.8l7.1-18.2c.2 0 12.3-27.8-2.5-30.7-.6-11.3-6.6-27-18.4-27-7.6-10.6-17.7-12.3-30.7-5.9a122.2 122.2 0 0 0-25.3 16.5c-5.3-6.4-3 .4-3-29.8-37.1-24.3-45.4-11.7-74.8 3l.5.5a239.36 239.36 0 0 0-68.4-13.3c-5.5-8.7-18.6-19.1-25.1-25.1l24.8 7.1c-5.5-5.5-26.8-12.9-34.2-15.2 18.2-4.1 29.8-20.8 42.5-33-34.9-10.1-67.9-5.9-97.9 11.8l12-44.2L182 0c-31.6 24.2-33 41.9-33.7 45.5-.9-2.4-6.3-19.6-15.2-27a35.12 35.12 0 0 0-.5 25.3c3 8.4 5.9 14.8 8.4 18.9-16-3.3-28.3-4.9-49.2 0h-3.7l33 14.3a194.26 194.26 0 0 0-46.7 67.4l-1.7 8.4 1.7 1.7 7.6-4.7c-3.3 11.6-5.3 19.4-6.6 25.8a200.18 200.18 0 0 0-27.8 40.3c-15 1-31.8 10.8-40.3 14.3l3 3.4 28.8 1c-.5 1-.7 2.2-1.2 3.2-7.3 6.4-39.8 37.7-33 80.7l20.2-22.4c.5 1.7.7 3.4 1.2 5.2 0 25.5.4 89.6 64.9 150.5 43.6 40 96 60.2 157.5 60.2 121.7 0 223-87.3 223-211.5 6.8-9.7-1.2 3 16.7-25.1l13 14.3 2.5-.5A181.84 181.84 0 0 0 495 255a44.74 44.74 0 0 0-6.8-13.3zM398 111.2l-.5 21.9c5.5 18.1 16.9 17.2 22.4 17.2l-3.4-4.7 22.4-5.4a242.44 242.44 0 0 1-27 0c12.8-2.1 33.3-29 43-11.3 3.4 7.6 6.4 17.2 9.3 27.8l1.7-5.9a56.38 56.38 0 0 1-1.7-15.2c5.4.5 8.8 3.4 9.3 10.1.5 6.4 1.7 14.8 3.4 25.3l4.7-11.3c4.6 0 4.5-3.6-2.5 20.7-20.9-8.7-35.1-8.4-46.5-8.4l18.2-16c-25.3 8.2-33 10.8-54.8 20.9-1.1-5.4-5-13.5-16-19.9-3.2 3.8-2.8.9-.7 14.8h-2.5a62.32 62.32 0 0 0-8.4-23.1l4.2-3.4c8.4-7.1 11.8-14.3 10.6-21.9-.5-6.4-5.4-13.5-13.5-20.7 5.6-3.4 15.2-.4 28.3 8.5zm-39.6-10.1c2.7 1.9 11.4 5.4 18.9 17.2 4.2 8.4 4 9.8 3.4 11.1-.5 2.4-.5 4.3-3 7.1-1.7 2.5-5.4 4.7-11.8 7.6-7.6-13-16.5-23.6-27.8-31.2zM91 143.1l1.2-1.7c1.2-2.9 4.2-7.6 9.3-15.2l2.5-3.4-13 12.3 5.4-4.7-10.1 9.3-4.2 1.2c12.3-24.1 23.1-41.3 32.5-50.2 9.3-9.3 16-16 20.2-19.4l-6.4 1.2c-11.3-4.2-19.4-7.1-24.8-8.4 2.5-.5 3.7-.5 3.2-.5 10.3 0 17.5.5 20.9 1.2a52.35 52.35 0 0 0 16 2.5l.5-1.7-8.4-35.8 13.5 29a42.89 42.89 0 0 0 5.9-14.3c1.7-6.4 5.4-13 10.1-19.4s7.6-10.6 9.3-11.3a234.68 234.68 0 0 0-6.4 25.3l-1.7 7.1-.5 4.7 2.5 2.5C190.4 39.9 214 34 239.8 34.5l21.1.5c-11.8 13.5-27.8 21.9-48.5 24.8a201.26 201.26 0 0 1-23.4 2.9l-.2-.5-2.5-1.2a20.75 20.75 0 0 0-14 2c-2.5-.2-4.9-.5-7.1-.7l-2.5 1.7.5 1.2c2 .2 3.9.5 6.2.7l-2 3.4 3.4-.5-10.6 11.3c-4.2 3-5.4 6.4-4.2 9.3l5.4-3.4h1.2a39.4 39.4 0 0 1 25.3-15.2v-3c6.4.5 13 1 19.4 1.2 6.4 0 8.4.5 5.4 1.2a189.6 189.6 0 0 1 20.7 13.5c13.5 10.1 23.6 21.9 30 35.4 8.8 18.2 13.5 37.1 13.5 56.6a141.13 141.13 0 0 1-3 28.3 209.91 209.91 0 0 1-16 46l2.5.5c18.2-19.7 41.9-16 49.2-16l-6.4 5.9 22.4 17.7-1.7 30.7c-5.4-12.3-16.5-21.1-33-27.8 16.5 14.8 23.6 21.1 21.9 20.2-4.8-2.8-3.5-1.9-10.8-3.7 4.1 4.1 17.5 18.8 18.2 20.7l.2.2-.2.2c0 1.8 1.6-1.2-14 22.9-75.2-15.3-106.27-42.7-141.2-63.2l11.8 1.2c-11.8-18.5-15.6-17.7-38.4-26.1L149 225c-8.8-3-18.2-3-28.3.5l7.6-10.6-1.2-1.7c-14.9 4.3-19.8 9.2-22.6 11.3-1.1-5.5-2.8-12.4-12.3-28.8l-1.2 27-13.2-5c1.5-25.2 5.4-50.5 13.2-74.6zm276.5 330c-49.9 25-56.1 22.4-59 23.9-29.8-11.8-50.9-31.7-63.5-58.8l30 16.5c-9.8-9.3-18.3-16.5-38.4-44.3l11.8 23.1-17.7-7.6c14.2 21.1 23.5 51.7 66.6 73.5-120.8 24.2-199-72.1-200.9-74.3a262.57 262.57 0 0 0 35.4 24.8c3.4 1.7 7.1 2.5 10.1 1.2l-16-20.7c9.2 4.2 9.5 4.5 69.1 29-42.5-20.7-73.8-40.8-93.2-60.2-.5 6.4-1.2 10.1-1.2 10.1a80.25 80.25 0 0 1 20.7 26.6c-39-18.9-57.6-47.6-71.3-82.6 49.9 55.1 118.9 37.5 120.5 37.1 34.8 16.4 69.9 23.6 113.9 10.6 3.3 0 20.3 17 25.3 39.1l4.2-3-2.5-23.6c9 9 24.9 22.6 34.4 13-15.6-5.3-23.5-9.5-29.5-31.7 4.6 4.2 7.6 9 27.8 15l1.2-1.2-10.5-14.2c11.7-4.8-3.5 1 32-10.8 4.3 34.3 9 49.2.7 89.5zm115.3-214.4l-2.5.5 3 9.3c-3.5 5.9-23.7 44.3-71.6 79.7-39.5 29.8-76.6 39.1-80.9 40.3l-7.6-7.1-1.2 3 14.3 16-7.1-4.7 3.4 4.2h-1.2l-21.9-13.5 9.3 26.6-19-27.9-1.2 2.5 7.6 29c-6.1-8.2-21-32.6-56.8-39.6l32.5 21.2a214.82 214.82 0 0 1-93.2-6.4c-4.2-1.2-8.9-2.5-13.5-4.2l1.2-3-44.8-22.4 26.1 22.4c-57.7 9.1-113-25.4-126.4-83.4l-2.5-16.4-22.27 22.3c19.5-57.5 25.6-57.9 51.4-70.1-9.1-5.3-1.6-3.3-38.4-9.3 15.8-5.8 33-15.4 73 5.2a18.5 18.5 0 0 1 3.7-1.7c.6-3.2.4-.8 1-11.8 3.9 10 3.6 8.7 3 9.3l1.7.5c12.7-6.5 8.9-4.5 17-8.9l-5.4 13.5 22.3-5.8-8.4 8.4 2.5 2.5c4.5-1.8 30.3 3.4 40.8 16l-23.6-2.5c39.4 23 51.5 54 55.8 69.6l1.7-1.2c-2.8-22.3-12.4-33.9-16-40.1 4.2 5 39.2 34.6 110.4 46-11.3-.5-23.1 5.4-34.9 18.9l46.7-20.2-9.3 21.9c7.6-10.1 14.8-23.6 21.2-39.6v-.5l1.2-3-1.2 16c13.5-41.8 25.3-78.5 35.4-109.7l13.5-27.8v-2l-5.4-4.2h10.1l5.9 4.2 2.5-1.2-3.4-16 12.3 18.9 41.8-20.2-14.8 13 .5 2.9 17.7-.5a184 184 0 0 1 33 4.2l-23.6 2.5-1.2 3 26.6 23.1a254.21 254.21 0 0 1 27 32c-11.2-3.3-10.3-3.4-21.2-3.4l12.3 32.5zm-6.1-71.3l-3.9 13-14.3-11.8zm-254.8 7.1c1.7 10.6 4.7 17.7 8.8 21.9-9.3 6.6-27.5 13.9-46.5 16l.5 1.2a50.22 50.22 0 0 0 24.8-2.5l-7.1 13c4.2-1.7 10.1-7.1 17.7-14.8 11.9-5.5 12.7-5.1 20.2-16-12.7-6.4-15.7-13.7-18.4-18.8zm3.7-102.3c-6.4-3.4-10.6 3-12.3 18.9s2.5 29.5 11.8 39.6 18.2 10.6 26.1 3 3.4-23.6-11.3-47.7a39.57 39.57 0 0 0-14.27-13.8zm-4.7 46.3c5.4 2.2 10.5 1.9 12.3-10.6v-4.7l-1.2.5c-4.3-3.1-2.5-4.5-1.7-6.2l.5-.5c-.9-1.2-5-8.1-12.5 4.7-.5-13.5.5-21.9 3-24.8 1.2-2.5 4.7-1.2 11.3 4.2 6.4 5.4 11.3 16 15.2 32.5 6.5 28-19.8 26.2-26.9 4.9zm-45-5.5c1.6.3 9.3-1.1 9.3-14.8h-.5c-5.4-1.1-2.2-5.5-.7-5.9-1.7-3-3.4-4.2-5.4-4.7-8.1 0-11.6 12.7-8.1 21.2a7.51 7.51 0 0 0 5.43 4.2zM216 82.9l-2.5.5.5 3a48.94 48.94 0 0 1 26.1 5.9c-2.5-5.5-10-14.3-28.3-14.3l.5 2.5zm-71.8 49.4c21.7 16.8 16.5 21.4 46.5 23.6l-2.9-4.7a42.67 42.67 0 0 0 14.8-28.3c1.7-16-1.2-29.5-8.8-41.3l13-7.6a2.26 2.26 0 0 0-.5-1.7 14.21 14.21 0 0 0-13.5 1.7c-12.7 6.7-28 20.9-29 22.4-1.7 1.7-3.4 5.9-5.4 13.5a99.61 99.61 0 0 0-2.9 23.6c-4.7-8-10.5-6.4-19.9-5.9l7.1 7.6c-16.5 0-23.3 15.4-23.6 16 6.8 0 4.6-7.6 30-12.3-4.3-6.3-3.3-5-4.9-6.6zm18.7-18.7c1.2-7.6 3.4-13 6.4-17.2 5.4-6.4 10.6-10.1 16-11.8 4.2-1.7 7.1 1.2 10.1 9.3a72.14 72.14 0 0 1 3 25.3c-.5 9.3-3.4 17.2-8.4 23.1-2.9 3.4-5.4 5.9-6.4 7.6a39.21 39.21 0 0 1-11.3-.5l-7.1-3.4-5.4-6.4c.8-10 1.3-18.8 3.1-26zm42 56.1c-34.8 14.4-34.7 14-36.1 14.3-20.8 4.7-19-24.4-18.9-24.8l5.9-1.2-.5-2.5c-20.2-2.6-31 4.2-32.5 4.9.5.5 3 3.4 5.9 9.3 4.2-6.4 8.8-10.1 15.2-10.6a83.47 83.47 0 0 0 1.7 33.7c.1.5 2.6 17.4 27.5 24.1 11.3 3 27 1.2 48.9-5.4l-9.2.5c-4.2-14.8-6.4-24.8-5.9-29.5 11.3-8.8 21.9-11.3 30.7-7.6h2.5l-11.8-7.6-7.1.5c-5.9 1.2-12.3 4.2-19.4 8.4z"}}]})(props);
};
function FaThemeco (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M202.9 8.43c9.9-5.73 26-5.82 35.95-.21L430 115.85c10 5.6 18 19.44 18 30.86V364c0 11.44-8.06 25.29-18 31L238.81 503.74c-9.93 5.66-26 5.57-35.85-.21L17.86 395.12C8 389.34 0 375.38 0 364V146.71c0-11.44 8-25.36 17.91-31.08zm-77.4 199.83c-15.94 0-31.89.14-47.83.14v101.45H96.8V280h28.7c49.71 0 49.56-71.74 0-71.74zm140.14 100.29l-30.73-34.64c37-7.51 34.8-65.23-10.87-65.51-16.09 0-32.17-.14-48.26-.14v101.59h19.13v-33.91h18.41l29.56 33.91h22.76zm-41.59-82.32c23.34 0 23.26 32.46 0 32.46h-29.13v-32.46zm-95.56-1.6c21.18 0 21.11 38.85 0 38.85H96.18v-38.84zm192.65-18.25c-68.46 0-71 105.8 0 105.8 69.48-.01 69.41-105.8 0-105.8zm0 17.39c44.12 0 44.8 70.86 0 70.86s-44.43-70.86 0-70.86z"}}]})(props);
};
function FaThemeisle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208 88.286c0-10 6.286-21.714 17.715-21.714 11.142 0 17.714 11.714 17.714 21.714 0 10.285-6.572 21.714-17.714 21.714C214.286 110 208 98.571 208 88.286zm304 160c0 36.001-11.429 102.286-36.286 129.714-22.858 24.858-87.428 61.143-120.857 70.572l-1.143.286v32.571c0 16.286-12.572 30.571-29.143 30.571-10 0-19.429-5.714-24.572-14.286-5.427 8.572-14.856 14.286-24.856 14.286-10 0-19.429-5.714-24.858-14.286-5.142 8.572-14.571 14.286-24.57 14.286-10.286 0-19.429-5.714-24.858-14.286-5.143 8.572-14.571 14.286-24.571 14.286-18.857 0-29.429-15.714-29.429-32.857-16.286 12.285-35.715 19.428-56.571 19.428-22 0-43.429-8.285-60.286-22.857 10.285-.286 20.571-2.286 30.285-5.714-20.857-5.714-39.428-18.857-52-36.286 21.37 4.645 46.209 1.673 67.143-11.143-22-22-56.571-58.857-68.572-87.428C1.143 321.714 0 303.714 0 289.429c0-49.714 20.286-160 86.286-160 10.571 0 18.857 4.858 23.143 14.857a158.792 158.792 0 0 1 12-15.428c2-2.572 5.714-5.429 7.143-8.286 7.999-12.571 11.714-21.142 21.714-34C182.571 45.428 232 17.143 285.143 17.143c6 0 12 .285 17.714 1.143C313.714 6.571 328.857 0 344.572 0c14.571 0 29.714 6 40 16.286.857.858 1.428 2.286 1.428 3.428 0 3.714-10.285 13.429-12.857 16.286 4.286 1.429 15.714 6.858 15.714 12 0 2.857-2.857 5.143-4.571 7.143 31.429 27.714 49.429 67.143 56.286 108 4.286-5.143 10.285-8.572 17.143-8.572 10.571 0 20.857 7.144 28.571 14.001C507.143 187.143 512 221.714 512 248.286zM188 89.428c0 18.286 12.571 37.143 32.286 37.143 19.714 0 32.285-18.857 32.285-37.143 0-18-12.571-36.857-32.285-36.857-19.715 0-32.286 18.858-32.286 36.857zM237.714 194c0-19.714 3.714-39.143 8.571-58.286-52.039 79.534-13.531 184.571 68.858 184.571 21.428 0 42.571-7.714 60-20 2-7.429 3.714-14.857 3.714-22.572 0-14.286-6.286-21.428-20.572-21.428-4.571 0-9.143.857-13.429 1.714-63.343 12.668-107.142 3.669-107.142-63.999zm-41.142 254.858c0-11.143-8.858-20.857-20.286-20.857-11.429 0-20 9.715-20 20.857v32.571c0 11.143 8.571 21.142 20 21.142 11.428 0 20.286-9.715 20.286-21.142v-32.571zm49.143 0c0-11.143-8.572-20.857-20-20.857-11.429 0-20.286 9.715-20.286 20.857v32.571c0 11.143 8.857 21.142 20.286 21.142 11.428 0 20-10 20-21.142v-32.571zm49.713 0c0-11.143-8.857-20.857-20.285-20.857-11.429 0-20.286 9.715-20.286 20.857v32.571c0 11.143 8.857 21.142 20.286 21.142 11.428 0 20.285-9.715 20.285-21.142v-32.571zm49.715 0c0-11.143-8.857-20.857-20.286-20.857-11.428 0-20.286 9.715-20.286 20.857v32.571c0 11.143 8.858 21.142 20.286 21.142 11.429 0 20.286-10 20.286-21.142v-32.571zM421.714 286c-30.857 59.142-90.285 102.572-158.571 102.572-96.571 0-160.571-84.572-160.571-176.572 0-16.857 2-33.429 6-49.714-20 33.715-29.714 72.572-29.714 111.429 0 60.286 24.857 121.715 71.429 160.857 5.143-9.714 14.857-16.286 26-16.286 10 0 19.428 5.714 24.571 14.286 5.429-8.571 14.571-14.286 24.858-14.286 10 0 19.428 5.714 24.571 14.286 5.429-8.571 14.857-14.286 24.858-14.286 10 0 19.428 5.714 24.857 14.286 5.143-8.571 14.571-14.286 24.572-14.286 10.857 0 20.857 6.572 25.714 16 43.427-36.286 68.569-92 71.426-148.286zm10.572-99.714c0-53.714-34.571-105.714-92.572-105.714-30.285 0-58.571 15.143-78.857 36.857C240.862 183.812 233.41 254 302.286 254c28.805 0 97.357-28.538 84.286 36.857 28.857-26 45.714-65.714 45.714-104.571z"}}]})(props);
};
function FaThinkPeaks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M465.4 409.4l87.1-150.2-32-.3-55.1 95L259.2 0 23 407.4l32 .3L259.2 55.6zm-355.3-44.1h32.1l117.4-202.5L463 511.9l32.5.1-235.8-404.6z"}}]})(props);
};
function FaTradeFederation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8.8c-137 0-248 111-248 248s111 248 248 248 248-111 248-248-111-248-248-248zm0 482.8c-129.7 0-234.8-105.1-234.8-234.8S118.3 22 248 22s234.8 105.1 234.8 234.8S377.7 491.6 248 491.6zm155.1-328.5v-46.8H209.3V198H54.2l36.7 46h117.7v196.8h48.8V245h83.3v-47h-83.3v-34.8h145.7zm-73.3 45.1v23.9h-82.9v197.4h-26.8V232.1H96.3l-20.1-23.9h143.9v-80.6h171.8V152h-145v56.2zm-161.3-69l-12.4-20.7 2.1 23.8-23.5 5.4 23.3 5.4-2.1 24 12.3-20.5 22.2 9.5-15.7-18.1 15.8-18.1zm-29.6-19.7l9.3-11.5-12.7 5.9-8-12.4 1.7 13.9-14.3 3.8 13.7 2.7-.8 14.7 6.8-12.2 13.8 5.3zm165.4 145.2l-13.1 5.6-7.3-12.2 1.3 14.2-13.9 3.2 13.9 3.2-1.2 14.2 7.3-12.2 13.1 5.5-9.4-10.7zm106.9-77.2l-20.9 9.1-12-19.6 2.2 22.7-22.3 5.4 22.2 4.9-1.8 22.9 11.5-19.6 21.2 8.8-15.1-17zM248 29.9c-125.3 0-226.9 101.6-226.9 226.9S122.7 483.7 248 483.7s226.9-101.6 226.9-226.9S373.3 29.9 248 29.9zM342.6 196v51h-83.3v195.7h-52.7V245.9H89.9l-40-49.9h157.4v-81.6h197.8v50.7H259.4V196zM248 43.2c60.3 0 114.8 25 153.6 65.2H202.5V190H45.1C73.1 104.8 153.4 43.2 248 43.2zm0 427.1c-117.9 0-213.6-95.6-213.6-213.5 0-21.2 3.1-41.8 8.9-61.1L87.1 252h114.7v196.8h64.6V253h83.3v-62.7h-83.2v-19.2h145.6v-50.8c30.8 37 49.3 84.6 49.3 136.5.1 117.9-95.5 213.5-213.4 213.5zM178.8 275l-11-21.4 1.7 24.5-23.7 3.9 23.8 5.9-3.7 23.8 13-20.9 21.5 10.8-15.8-18.8 16.9-17.1z"}}]})(props);
};
function FaTrello (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M392.3 32H56.1C25.1 32 0 57.1 0 88c-.1 0 0-4 0 336 0 30.9 25.1 56 56 56h336.2c30.8-.2 55.7-25.2 55.7-56V88c.1-30.8-24.8-55.8-55.6-56zM197 371.3c-.2 14.7-12.1 26.6-26.9 26.6H87.4c-14.8.1-26.9-11.8-27-26.6V117.1c0-14.8 12-26.9 26.9-26.9h82.9c14.8 0 26.9 12 26.9 26.9v254.2zm193.1-112c0 14.8-12 26.9-26.9 26.9h-81c-14.8 0-26.9-12-26.9-26.9V117.2c0-14.8 12-26.9 26.8-26.9h81.1c14.8 0 26.9 12 26.9 26.9v142.1z"}}]})(props);
};
function FaTripadvisor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M166.4 280.521c0 13.236-10.73 23.966-23.966 23.966s-23.966-10.73-23.966-23.966 10.73-23.966 23.966-23.966 23.966 10.729 23.966 23.966zm264.962-23.956c-13.23 0-23.956 10.725-23.956 23.956 0 13.23 10.725 23.956 23.956 23.956 13.23 0 23.956-10.725 23.956-23.956-.001-13.231-10.726-23.956-23.956-23.956zm89.388 139.49c-62.667 49.104-153.276 38.109-202.379-24.559l-30.979 46.325-30.683-45.939c-48.277 60.39-135.622 71.891-197.885 26.055-64.058-47.158-77.759-137.316-30.601-201.374A186.762 186.762 0 0 0 0 139.416l90.286-.05a358.48 358.48 0 0 1 197.065-54.03 350.382 350.382 0 0 1 192.181 53.349l96.218.074a185.713 185.713 0 0 0-28.352 57.649c46.793 62.747 34.964 151.37-26.648 199.647zM259.366 281.761c-.007-63.557-51.535-115.075-115.092-115.068C80.717 166.7 29.2 218.228 29.206 281.785c.007 63.557 51.535 115.075 115.092 115.068 63.513-.075 114.984-51.539 115.068-115.052v-.04zm28.591-10.455c5.433-73.44 65.51-130.884 139.12-133.022a339.146 339.146 0 0 0-139.727-27.812 356.31 356.31 0 0 0-140.164 27.253c74.344 1.582 135.299 59.424 140.771 133.581zm251.706-28.767c-21.992-59.634-88.162-90.148-147.795-68.157-59.634 21.992-90.148 88.162-68.157 147.795v.032c22.038 59.607 88.198 90.091 147.827 68.113 59.615-22.004 90.113-88.162 68.125-147.783zm-326.039 37.975v.115c-.057 39.328-31.986 71.163-71.314 71.106-39.328-.057-71.163-31.986-71.106-71.314.057-39.328 31.986-71.163 71.314-71.106 39.259.116 71.042 31.94 71.106 71.199zm-24.512 0v-.084c-.051-25.784-20.994-46.645-46.778-46.594-25.784.051-46.645 20.994-46.594 46.777.051 25.784 20.994 46.645 46.777 46.594 25.726-.113 46.537-20.968 46.595-46.693zm313.423 0v.048c-.02 39.328-31.918 71.194-71.247 71.173s-71.194-31.918-71.173-71.247c.02-39.328 31.918-71.194 71.247-71.173 39.29.066 71.121 31.909 71.173 71.199zm-24.504-.008c-.009-25.784-20.918-46.679-46.702-46.67-25.784.009-46.679 20.918-46.67 46.702.009 25.784 20.918 46.678 46.702 46.67 25.765-.046 46.636-20.928 46.67-46.693v-.009z"}}]})(props);
};
function FaTumblrSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-82.3 364.2c-8.5 9.1-31.2 19.8-60.9 19.8-75.5 0-91.9-55.5-91.9-87.9v-90h-29.7c-3.4 0-6.2-2.8-6.2-6.2v-42.5c0-4.5 2.8-8.5 7.1-10 38.8-13.7 50.9-47.5 52.7-73.2.5-6.9 4.1-10.2 10-10.2h44.3c3.4 0 6.2 2.8 6.2 6.2v72h51.9c3.4 0 6.2 2.8 6.2 6.2v51.1c0 3.4-2.8 6.2-6.2 6.2h-52.1V321c0 21.4 14.8 33.5 42.5 22.4 3-1.2 5.6-2 8-1.4 2.2.5 3.6 2.1 4.6 4.9l13.8 40.2c1 3.2 2 6.7-.3 9.1z"}}]})(props);
};
function FaTumblr (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M309.8 480.3c-13.6 14.5-50 31.7-97.4 31.7-120.8 0-147-88.8-147-140.6v-144H17.9c-5.5 0-10-4.5-10-10v-68c0-7.2 4.5-13.6 11.3-16 62-21.8 81.5-76 84.3-117.1.8-11 6.5-16.3 16.1-16.3h70.9c5.5 0 10 4.5 10 10v115.2h83c5.5 0 10 4.4 10 9.9v81.7c0 5.5-4.5 10-10 10h-83.4V360c0 34.2 23.7 53.6 68 35.8 4.8-1.9 9-3.2 12.7-2.2 3.5.9 5.8 3.4 7.4 7.9l22 64.3c1.8 5 3.3 10.6-.4 14.5z"}}]})(props);
};
function FaTwitch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M391.17,103.47H352.54v109.7h38.63ZM285,103H246.37V212.75H285ZM120.83,0,24.31,91.42V420.58H140.14V512l96.53-91.42h77.25L487.69,256V0ZM449.07,237.75l-77.22,73.12H294.61l-67.6,64v-64H140.14V36.58H449.07Z"}}]})(props);
};
function FaTwitterSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-48.9 158.8c.2 2.8.2 5.7.2 8.5 0 86.7-66 186.6-186.6 186.6-37.2 0-71.7-10.8-100.7-29.4 5.3.6 10.4.8 15.8.8 30.7 0 58.9-10.4 81.4-28-28.8-.6-53-19.5-61.3-45.5 10.1 1.5 19.2 1.5 29.6-1.2-30-6.1-52.5-32.5-52.5-64.4v-.8c8.7 4.9 18.9 7.9 29.6 8.3a65.447 65.447 0 0 1-29.2-54.6c0-12.2 3.2-23.4 8.9-33.1 32.3 39.8 80.8 65.8 135.2 68.6-9.3-44.5 24-80.6 64-80.6 18.9 0 35.9 7.9 47.9 20.7 14.8-2.8 29-8.3 41.6-15.8-4.9 15.2-15.2 28-28.8 36.1 13.2-1.4 26-5.1 37.8-10.2-8.9 13.1-20.1 24.7-32.9 34z"}}]})(props);
};
function FaTwitter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M459.37 151.716c.325 4.548.325 9.097.325 13.645 0 138.72-105.583 298.558-298.558 298.558-59.452 0-114.68-17.219-161.137-47.106 8.447.974 16.568 1.299 25.34 1.299 49.055 0 94.213-16.568 130.274-44.832-46.132-.975-84.792-31.188-98.112-72.772 6.498.974 12.995 1.624 19.818 1.624 9.421 0 18.843-1.3 27.614-3.573-48.081-9.747-84.143-51.98-84.143-102.985v-1.299c13.969 7.797 30.214 12.67 47.431 13.319-28.264-18.843-46.781-51.005-46.781-87.391 0-19.492 5.197-37.36 14.294-52.954 51.655 63.675 129.3 105.258 216.365 109.807-1.624-7.797-2.599-15.918-2.599-24.04 0-57.828 46.782-104.934 104.934-104.934 30.213 0 57.502 12.67 76.67 33.137 23.715-4.548 46.456-13.32 66.599-25.34-7.798 24.366-24.366 44.833-46.132 57.827 21.117-2.273 41.584-8.122 60.426-16.243-14.292 20.791-32.161 39.308-52.628 54.253z"}}]})(props);
};
function FaTypo3 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M178.7 78.4c0-24.7 5.4-32.4 13.9-39.4-69.5 8.5-149.3 34-176.3 66.4-5.4 7.7-9.3 20.8-9.3 37.1C7 246 113.8 480 191.1 480c36.3 0 97.3-59.5 146.7-139-7 2.3-11.6 2.3-18.5 2.3-57.2 0-140.6-198.5-140.6-264.9zM301.5 32c-30.1 0-41.7 5.4-41.7 36.3 0 66.4 53.8 198.5 101.7 198.5 26.3 0 78.8-99.7 78.8-182.3 0-40.9-67-52.5-138.8-52.5z"}}]})(props);
};
function FaUber (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M414.1 32H33.9C15.2 32 0 47.2 0 65.9V446c0 18.8 15.2 34 33.9 34H414c18.7 0 33.9-15.2 33.9-33.9V65.9C448 47.2 432.8 32 414.1 32zM237.6 391.1C163 398.6 96.4 344.2 88.9 269.6h94.4V290c0 3.7 3 6.8 6.8 6.8H258c3.7 0 6.8-3 6.8-6.8v-67.9c0-3.7-3-6.8-6.8-6.8h-67.9c-3.7 0-6.8 3-6.8 6.8v20.4H88.9c7-69.4 65.4-122.2 135.1-122.2 69.7 0 128.1 52.8 135.1 122.2 7.5 74.5-46.9 141.1-121.5 148.6z"}}]})(props);
};
function FaUbuntu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm52.7 93c8.8-15.2 28.3-20.5 43.5-11.7 15.3 8.8 20.5 28.3 11.7 43.6-8.8 15.2-28.3 20.5-43.5 11.7-15.3-8.9-20.5-28.4-11.7-43.6zM87.4 287.9c-17.6 0-31.9-14.3-31.9-31.9 0-17.6 14.3-31.9 31.9-31.9 17.6 0 31.9 14.3 31.9 31.9 0 17.6-14.3 31.9-31.9 31.9zm28.1 3.1c22.3-17.9 22.4-51.9 0-69.9 8.6-32.8 29.1-60.7 56.5-79.1l23.7 39.6c-51.5 36.3-51.5 112.5 0 148.8L172 370c-27.4-18.3-47.8-46.3-56.5-79zm228.7 131.7c-15.3 8.8-34.7 3.6-43.5-11.7-8.8-15.3-3.6-34.8 11.7-43.6 15.2-8.8 34.7-3.6 43.5 11.7 8.8 15.3 3.6 34.8-11.7 43.6zm.3-69.5c-26.7-10.3-56.1 6.6-60.5 35-5.2 1.4-48.9 14.3-96.7-9.4l22.5-40.3c57 26.5 123.4-11.7 128.9-74.4l46.1.7c-2.3 34.5-17.3 65.5-40.3 88.4zm-5.9-105.3c-5.4-62-71.3-101.2-128.9-74.4l-22.5-40.3c47.9-23.7 91.5-10.8 96.7-9.4 4.4 28.3 33.8 45.3 60.5 35 23.1 22.9 38 53.9 40.2 88.5l-46 .6z"}}]})(props);
};
function FaUikit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M443.9 128v256L218 512 0 384V169.7l87.6 45.1v117l133.5 75.5 135.8-75.5v-151l-101.1-57.6 87.6-53.1L443.9 128zM308.6 49.1L223.8 0l-88.6 54.8 86 47.3 87.4-53z"}}]})(props);
};
function FaUmbraco (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 510 512"},"child":[{"tag":"path","attr":{"d":"M255.35 8C118.36 7.83 7.14 118.72 7 255.68c-.07 137 111 248.2 248 248.27 136.85 0 247.82-110.7 248-247.67S392.34 8.17 255.35 8zm145 266q-1.14 40.68-14 65t-43.51 35q-30.61 10.7-85.45 10.47h-4.6q-54.78.22-85.44-10.47t-43.52-35q-12.85-24.36-14-65a224.81 224.81 0 0 1 0-30.71 418.37 418.37 0 0 1 3.6-43.88c1.88-13.39 3.57-22.58 5.4-32 1-4.88 1.28-6.42 1.82-8.45a5.09 5.09 0 0 1 4.9-3.89h.69l32 5a5.07 5.07 0 0 1 4.16 5 5 5 0 0 1 0 .77l-1.7 8.78q-2.41 13.25-4.84 33.68a380.62 380.62 0 0 0-2.64 42.15q-.28 40.43 8.13 59.83a43.87 43.87 0 0 0 31.31 25.18A243 243 0 0 0 250 340.6h10.25a242.64 242.64 0 0 0 57.27-5.16 43.86 43.86 0 0 0 31.15-25.23q8.53-19.42 8.13-59.78a388 388 0 0 0-2.6-42.15q-2.48-20.38-4.89-33.68l-1.69-8.78a5 5 0 0 1 0-.77 5 5 0 0 1 4.2-5l32-5h.82a5 5 0 0 1 4.9 3.89c.55 2.05.81 3.57 1.83 8.45 1.82 9.62 3.52 18.78 5.39 32a415.71 415.71 0 0 1 3.61 43.88 228.06 228.06 0 0 1-.04 30.73z"}}]})(props);
};
function FaUniregistry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M192 480c39.5 0 76.2-11.8 106.8-32.2H85.3C115.8 468.2 152.5 480 192 480zm-89.1-193.1v-12.4H0v12.4c0 2.5 0 5 .1 7.4h103.1c-.2-2.4-.3-4.9-.3-7.4zm20.5 57H8.5c2.6 8.5 5.8 16.8 9.6 24.8h138.3c-12.9-5.7-24.1-14.2-33-24.8zm-17.7-34.7H1.3c.9 7.6 2.2 15 3.9 22.3h109.7c-4-6.9-7.2-14.4-9.2-22.3zm-2.8-69.3H0v17.3h102.9zm0-173.2H0v4.9h102.9zm0-34.7H0v2.5h102.9zm0 69.3H0v7.4h102.9zm0 104H0v14.8h102.9zm0-69.3H0v9.9h102.9zm0 34.6H0V183h102.9zm166.2 160.9h109.7c1.8-7.3 3.1-14.7 3.9-22.3H278.3c-2.1 7.9-5.2 15.4-9.2 22.3zm12-185.7H384V136H281.1zm0 37.2H384v-12.4H281.1zm0-74.3H384v-7.4H281.1zm0-76.7v2.5H384V32zm-203 410.9h227.7c11.8-8.7 22.7-18.6 32.2-29.7H44.9c9.6 11 21.4 21 33.2 29.7zm203-371.3H384v-4.9H281.1zm0 148.5H384v-14.8H281.1zM38.8 405.7h305.3c6.7-8.5 12.6-17.6 17.8-27.2H23c5.2 9.6 9.2 18.7 15.8 27.2zm188.8-37.1H367c3.7-8 5.8-16.2 8.5-24.8h-115c-8.8 10.7-20.1 19.2-32.9 24.8zm53.5-81.7c0 2.5-.1 5-.4 7.4h103.1c.1-2.5.2-4.9.2-7.4v-12.4H281.1zm0-29.7H384v-17.3H281.1z"}}]})(props);
};
function FaUnity (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M498.11,206.4,445.31,14.72,248.2,66.08,219,116.14l-59.2-.43L15.54,256,159.82,396.32l59.17-.43,29.24,50,197.08,51.36,52.8-191.62-30-49.63ZM223.77,124.2,374.55,86.51,288,232.33H114.87Zm0,263.63L114.87,279.71H288l86.55,145.81Zm193,14L330.17,256l86.58-145.84L458.56,256Z"}}]})(props);
};
function FaUntappd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M401.3 49.9c-79.8 160.1-84.6 152.5-87.9 173.2l-5.2 32.8c-1.9 12-6.6 23.5-13.7 33.4L145.6 497.1c-7.6 10.6-20.4 16.2-33.4 14.6-40.3-5-77.8-32.2-95.3-68.5-5.7-11.8-4.5-25.8 3.1-36.4l148.9-207.9c7.1-9.9 16.4-18 27.2-23.7l29.3-15.5c18.5-9.8 9.7-11.9 135.6-138.9 1-4.8 1-7.3 3.6-8 3-.7 6.6-1 6.3-4.6l-.4-4.6c-.2-1.9 1.3-3.6 3.2-3.6 4.5-.1 13.2 1.2 25.6 10 12.3 8.9 16.4 16.8 17.7 21.1.6 1.8-.6 3.7-2.4 4.2l-4.5 1.1c-3.4.9-2.5 4.4-2.3 7.4.1 2.8-2.3 3.6-6.5 6.1zM230.1 36.4c3.4.9 2.5 4.4 2.3 7.4-.2 2.7 2.1 3.5 6.4 6 7.9 15.9 15.3 30.5 22.2 44 .7 1.3 2.3 1.5 3.3.5 11.2-12 24.6-26.2 40.5-42.6 1.3-1.4 1.4-3.5.1-4.9-8-8.2-16.5-16.9-25.6-26.1-1-4.7-1-7.3-3.6-8-3-.8-6.6-1-6.3-4.6.3-3.3 1.4-8.1-2.8-8.2-4.5-.1-13.2 1.1-25.6 10-12.3 8.9-16.4 16.8-17.7 21.1-1.4 4.2 3.6 4.6 6.8 5.4zM620 406.7L471.2 198.8c-13.2-18.5-26.6-23.4-56.4-39.1-11.2-5.9-14.2-10.9-30.5-28.9-1-1.1-2.9-.9-3.6.5-46.3 88.8-47.1 82.8-49 94.8-1.7 10.7-1.3 20 .3 29.8 1.9 12 6.6 23.5 13.7 33.4l148.9 207.9c7.6 10.6 20.2 16.2 33.1 14.7 40.3-4.9 78-32 95.7-68.6 5.4-11.9 4.3-25.9-3.4-36.6z"}}]})(props);
};
function FaUps (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M103.2 303c-5.2 3.6-32.6 13.1-32.6-19V180H37.9v102.6c0 74.9 80.2 51.1 97.9 39V180h-32.6zM4 74.82v220.9c0 103.7 74.9 135.2 187.7 184.1 112.4-48.9 187.7-80.2 187.7-184.1V74.82c-116.3-61.6-281.8-49.6-375.4 0zm358.1 220.9c0 86.6-53.2 113.6-170.4 165.3-117.5-51.8-170.5-78.7-170.5-165.3v-126.4c102.3-93.8 231.6-100 340.9-89.8zm-209.6-107.4v212.8h32.7v-68.7c24.4 7.3 71.7-2.6 71.7-78.5 0-97.4-80.7-80.92-104.4-65.6zm32.7 117.3v-100.3c8.4-4.2 38.4-12.7 38.4 49.3 0 67.9-36.4 51.8-38.4 51zm79.1-86.4c.1 47.3 51.6 42.5 52.2 70.4.6 23.5-30.4 23-50.8 4.9v30.1c36.2 21.5 81.9 8.1 83.2-33.5 1.7-51.5-54.1-46.6-53.4-73.2.6-20.3 30.6-20.5 48.5-2.2v-28.4c-28.5-22-79.9-9.2-79.7 31.9z"}}]})(props);
};
function FaUsb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M641.5 256c0 3.1-1.7 6.1-4.5 7.5L547.9 317c-1.4.8-2.8 1.4-4.5 1.4-1.4 0-3.1-.3-4.5-1.1-2.8-1.7-4.5-4.5-4.5-7.8v-35.6H295.7c25.3 39.6 40.5 106.9 69.6 106.9H392V354c0-5 3.9-8.9 8.9-8.9H490c5 0 8.9 3.9 8.9 8.9v89.1c0 5-3.9 8.9-8.9 8.9h-89.1c-5 0-8.9-3.9-8.9-8.9v-26.7h-26.7c-75.4 0-81.1-142.5-124.7-142.5H140.3c-8.1 30.6-35.9 53.5-69 53.5C32 327.3 0 295.3 0 256s32-71.3 71.3-71.3c33.1 0 61 22.8 69 53.5 39.1 0 43.9 9.5 74.6-60.4C255 88.7 273 95.7 323.8 95.7c7.5-20.9 27-35.6 50.4-35.6 29.5 0 53.5 23.9 53.5 53.5s-23.9 53.5-53.5 53.5c-23.4 0-42.9-14.8-50.4-35.6H294c-29.1 0-44.3 67.4-69.6 106.9h310.1v-35.6c0-3.3 1.7-6.1 4.5-7.8 2.8-1.7 6.4-1.4 8.9.3l89.1 53.5c2.8 1.1 4.5 4.1 4.5 7.2z"}}]})(props);
};
function FaUsps (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M460.3 241.7c25.8-41.3 15.2-48.8-11.7-48.8h-27c-.1 0-1.5-1.4-10.9 8-11.2 5.6-37.9 6.3-37.9 8.7 0 4.5 70.3-3.1 88.1 0 9.5 1.5-1.5 20.4-4.4 32-.5 4.5 2.4 2.3 3.8.1zm-112.1 22.6c64-21.3 97.3-23.9 102-26.2 4.4-2.9-4.4-6.6-26.2-5.8-51.7 2.2-137.6 37.1-172.6 53.9l-30.7-93.3h196.6c-2.7-28.2-152.9-22.6-337.9-22.6L27 415.8c196.4-97.3 258.9-130.3 321.2-151.5zM94.7 96c253.3 53.7 330 65.7 332.1 85.2 36.4 0 45.9 0 52.4 6.6 21.1 19.7-14.6 67.7-14.6 67.7-4.4 2.9-406.4 160.2-406.4 160.2h423.1L549 96z"}}]})(props);
};
function FaUssunnah (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M156.8 285.1l5.7 14.4h-8.2c-1.3-3.2-3.1-7.7-3.8-9.5-2.5-6.3-1.1-8.4 0-10 1.9-2.7 3.2-4.4 3.6-5.2 0 2.2.8 5.7 2.7 10.3zm297.3 18.8c-2.1 13.8-5.7 27.1-10.5 39.7l43 23.4-44.8-18.8c-5.3 13.2-12 25.6-19.9 37.2l34.2 30.2-36.8-26.4c-8.4 11.8-18 22.6-28.7 32.3l24.9 34.7-28.1-31.8c-11 9.6-23.1 18-36.1 25.1l15.7 37.2-19.3-35.3c-13.1 6.8-27 12.1-41.6 15.9l6.7 38.4-10.5-37.4c-14.3 3.4-29.2 5.3-44.5 5.4L256 512l-1.9-38.4c-15.3-.1-30.2-2-44.5-5.3L199 505.6l6.7-38.2c-14.6-3.7-28.6-9.1-41.7-15.8l-19.2 35.1 15.6-37c-13-7-25.2-15.4-36.2-25.1l-27.9 31.6 24.7-34.4c-10.7-9.7-20.4-20.5-28.8-32.3l-36.5 26.2 33.9-29.9c-7.9-11.6-14.6-24.1-20-37.3l-44.4 18.7L67.8 344c-4.8-12.7-8.4-26.1-10.5-39.9l-51 9 50.3-14.2c-1.1-8.5-1.7-17.1-1.7-25.9 0-4.7.2-9.4.5-14.1L0 256l56-2.8c1.3-13.1 3.8-25.8 7.5-38.1L6.4 199l58.9 10.4c4-12 9.1-23.5 15.2-34.4l-55.1-30 58.3 24.6C90 159 97.2 149.2 105.3 140L55.8 96.4l53.9 38.7c8.1-8.6 17-16.5 26.6-23.6l-40-55.6 45.6 51.6c9.5-6.6 19.7-12.3 30.3-17.2l-27.3-64.9 33.8 62.1c10.5-4.4 21.4-7.9 32.7-10.4L199 6.4l19.5 69.2c11-2.1 22.3-3.2 33.8-3.4L256 0l3.6 72.2c11.5.2 22.8 1.4 33.8 3.5L313 6.4l-12.4 70.7c11.3 2.6 22.2 6.1 32.6 10.5l33.9-62.2-27.4 65.1c10.6 4.9 20.7 10.7 30.2 17.2l45.8-51.8-40.1 55.9c9.5 7.1 18.4 15 26.5 23.6l54.2-38.9-49.7 43.9c8 9.1 15.2 18.9 21.5 29.4l58.7-24.7-55.5 30.2c6.1 10.9 11.1 22.3 15.1 34.3l59.3-10.4-57.5 16.2c3.7 12.2 6.2 24.9 7.5 37.9L512 256l-56 2.8c.3 4.6.5 9.3.5 14.1 0 8.7-.6 17.3-1.6 25.8l50.7 14.3-51.5-9.1zm-21.8-31c0-97.5-79-176.5-176.5-176.5s-176.5 79-176.5 176.5 79 176.5 176.5 176.5 176.5-79 176.5-176.5zm-24 0c0 84.3-68.3 152.6-152.6 152.6s-152.6-68.3-152.6-152.6 68.3-152.6 152.6-152.6 152.6 68.3 152.6 152.6zM195 241c0 2.1 1.3 3.8 3.6 5.1 3.3 1.9 6.2 4.6 8.2 8.2 2.8-5.7 4.3-9.5 4.3-11.2 0-2.2-1.1-4.4-3.2-7-2.1-2.5-3.2-5.2-3.3-7.7-6.5 6.8-9.6 10.9-9.6 12.6zm-40.7-19c0 2.1 1.3 3.8 3.6 5.1 3.5 1.9 6.2 4.6 8.2 8.2 2.8-5.7 4.3-9.5 4.3-11.2 0-2.2-1.1-4.4-3.2-7-2.1-2.5-3.2-5.2-3.3-7.7-6.5 6.8-9.6 10.9-9.6 12.6zm-19 0c0 2.1 1.3 3.8 3.6 5.1 3.3 1.9 6.2 4.6 8.2 8.2 2.8-5.7 4.3-9.5 4.3-11.2 0-2.2-1.1-4.4-3.2-7-2.1-2.5-3.2-5.2-3.3-7.7-6.4 6.8-9.6 10.9-9.6 12.6zm204.9 87.9c-8.4-3-8.7-6.8-8.7-15.6V182c-8.2 12.5-14.2 18.6-18 18.6 6.3 14.4 9.5 23.9 9.5 28.3v64.3c0 2.2-2.2 6.5-4.7 6.5h-18c-2.8-7.5-10.2-26.9-15.3-40.3-2 2.5-7.2 9.2-10.7 13.7 2.4 1.6 4.1 3.6 5.2 6.3 2.6 6.7 6.4 16.5 7.9 20.2h-9.2c-3.9-10.4-9.6-25.4-11.8-31.1-2 2.5-7.2 9.2-10.7 13.7 2.4 1.6 4.1 3.6 5.2 6.3.8 2 2.8 7.3 4.3 10.9H256c-1.5-4.1-5.6-14.6-8.4-22-2 2.5-7.2 9.2-10.7 13.7 2.5 1.6 4.3 3.6 5.2 6.3.2.6.5 1.4.6 1.7H225c-4.6-13.9-11.4-27.7-11.4-34.1 0-2.2.3-5.1 1.1-8.2-8.8 10.8-14 15.9-14 25 0 7.5 10.4 28.3 10.4 33.3 0 1.7-.5 3.3-1.4 4.9-9.6-12.7-15.5-20.7-18.8-20.7h-12l-11.2-28c-3.8-9.6-5.7-16-5.7-18.8 0-3.8.5-7.7 1.7-12.2-1 1.3-3.7 4.7-5.5 7.1-.8-2.1-3.1-7.7-4.6-11.5-2.1 2.5-7.5 9.1-11.2 13.6.9 2.3 3.3 8.1 4.9 12.2-2.5 3.3-9.1 11.8-13.6 17.7-4 5.3-5.8 13.3-2.7 21.8 2.5 6.7 2 7.9-1.7 14.1H191c5.5 0 14.3 14 15.5 22 13.2-16 15.4-19.6 16.8-21.6h107c3.9 0 7.2-1.9 9.9-5.8zm20.1-26.6V181.7c-9 12.5-15.9 18.6-20.7 18.6 7.1 14.4 10.7 23.9 10.7 28.3v66.3c0 17.5 8.6 20.4 24 20.4 8.1 0 12.5-.8 13.7-2.7-4.3-1.6-7.6-2.5-9.9-3.3-8.1-3.2-17.8-7.4-17.8-26z"}}]})(props);
};
function FaVaadin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M224.5 140.7c1.5-17.6 4.9-52.7 49.8-52.7h98.6c20.7 0 32.1-7.8 32.1-21.6V54.1c0-12.2 9.3-22.1 21.5-22.1S448 41.9 448 54.1v36.5c0 42.9-21.5 62-66.8 62H280.7c-30.1 0-33 14.7-33 27.1 0 1.3-.1 2.5-.2 3.7-.7 12.3-10.9 22.2-23.4 22.2s-22.7-9.8-23.4-22.2c-.1-1.2-.2-2.4-.2-3.7 0-12.3-3-27.1-33-27.1H66.8c-45.3 0-66.8-19.1-66.8-62V54.1C0 41.9 9.4 32 21.6 32s21.5 9.9 21.5 22.1v12.3C43.1 80.2 54.5 88 75.2 88h98.6c44.8 0 48.3 35.1 49.8 52.7h.9zM224 456c11.5 0 21.4-7 25.7-16.3 1.1-1.8 97.1-169.6 98.2-171.4 11.9-19.6-3.2-44.3-27.2-44.3-13.9 0-23.3 6.4-29.8 20.3L224 362l-66.9-117.7c-6.4-13.9-15.9-20.3-29.8-20.3-24 0-39.1 24.6-27.2 44.3 1.1 1.9 97.1 169.6 98.2 171.4 4.3 9.3 14.2 16.3 25.7 16.3z"}}]})(props);
};
function FaViacoin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M384 32h-64l-80.7 192h-94.5L64 32H0l48 112H0v48h68.5l13.8 32H0v48h102.8L192 480l89.2-208H384v-48h-82.3l13.8-32H384v-48h-48l48-112zM192 336l-27-64h54l-27 64z"}}]})(props);
};
function FaViadeoSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM280.7 381.2c-42.4 46.2-120 46.6-162.4 0-68-73.6-19.8-196.1 81.2-196.1 13.3 0 26.6 2.1 39.1 6.7-4.3 8.4-7.3 17.6-8.4 27.1-9.7-4.1-20.2-6-30.7-6-48.8 0-84.6 41.7-84.6 88.9 0 43 28.5 78.7 69.5 85.9 61.5-24 72.9-117.6 72.9-175 0-7.3 0-14.8-.6-22.1-11.2-32.9-26.6-64.6-44.2-94.5 27.1 18.3 41.9 62.5 44.2 94.1v.4c7.7 22.5 11.8 46.2 11.8 70 0 54.1-21.9 99-68.3 128.2l-2.4.2c50 1 86.2-38.6 86.2-87.2 0-12.2-2.1-24.3-6.9-35.7 9.5-1.9 18.5-5.6 26.4-10.5 15.3 36.6 12.6 87.3-22.8 125.6zM309 233.7c-13.3 0-25.1-7.1-34.4-16.1 21.9-12 49.6-30.7 62.3-53 1.5-3 4.1-8.6 4.5-12-12.5 27.9-44.2 49.8-73.9 56.7-4.7-7.3-7.5-15.5-7.5-24.3 0-10.3 5.2-24.1 12.9-31.6 21.6-20.5 53-8.5 72.4-50 32.5 46.2 13.1 130.3-36.3 130.3z"}}]})(props);
};
function FaViadeo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M276.2 150.5v.7C258.3 98.6 233.6 47.8 205.4 0c43.3 29.2 67 100 70.8 150.5zm32.7 121.7c7.6 18.2 11 37.5 11 57 0 77.7-57.8 141-137.8 139.4l3.8-.3c74.2-46.7 109.3-118.6 109.3-205.1 0-38.1-6.5-75.9-18.9-112 1 11.7 1 23.7 1 35.4 0 91.8-18.1 241.6-116.6 280C95 455.2 49.4 398 49.4 329.2c0-75.6 57.4-142.3 135.4-142.3 16.8 0 33.7 3.1 49.1 9.6 1.7-15.1 6.5-29.9 13.4-43.3-19.9-7.2-41.2-10.7-62.5-10.7-161.5 0-238.7 195.9-129.9 313.7 67.9 74.6 192 73.9 259.8 0 56.6-61.3 60.9-142.4 36.4-201-12.7 8-27.1 13.9-42.2 17zM418.1 11.7c-31 66.5-81.3 47.2-115.8 80.1-12.4 12-20.6 34-20.6 50.5 0 14.1 4.5 27.1 12 38.8 47.4-11 98.3-46 118.2-90.7-.7 5.5-4.8 14.4-7.2 19.2-20.3 35.7-64.6 65.6-99.7 84.9 14.8 14.4 33.7 25.8 55 25.8 79 0 110.1-134.6 58.1-208.6z"}}]})(props);
};
function FaViber (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M444 49.9C431.3 38.2 379.9.9 265.3.4c0 0-135.1-8.1-200.9 52.3C27.8 89.3 14.9 143 13.5 209.5c-1.4 66.5-3.1 191.1 117 224.9h.1l-.1 51.6s-.8 20.9 13 25.1c16.6 5.2 26.4-10.7 42.3-27.8 8.7-9.4 20.7-23.2 29.8-33.7 82.2 6.9 145.3-8.9 152.5-11.2 16.6-5.4 110.5-17.4 125.7-142 15.8-128.6-7.6-209.8-49.8-246.5zM457.9 287c-12.9 104-89 110.6-103 115.1-6 1.9-61.5 15.7-131.2 11.2 0 0-52 62.7-68.2 79-5.3 5.3-11.1 4.8-11-5.7 0-6.9.4-85.7.4-85.7-.1 0-.1 0 0 0-101.8-28.2-95.8-134.3-94.7-189.8 1.1-55.5 11.6-101 42.6-131.6 55.7-50.5 170.4-43 170.4-43 96.9.4 143.3 29.6 154.1 39.4 35.7 30.6 53.9 103.8 40.6 211.1zm-139-80.8c.4 8.6-12.5 9.2-12.9.6-1.1-22-11.4-32.7-32.6-33.9-8.6-.5-7.8-13.4.7-12.9 27.9 1.5 43.4 17.5 44.8 46.2zm20.3 11.3c1-42.4-25.5-75.6-75.8-79.3-8.5-.6-7.6-13.5.9-12.9 58 4.2 88.9 44.1 87.8 92.5-.1 8.6-13.1 8.2-12.9-.3zm47 13.4c.1 8.6-12.9 8.7-12.9.1-.6-81.5-54.9-125.9-120.8-126.4-8.5-.1-8.5-12.9 0-12.9 73.7.5 133 51.4 133.7 139.2zM374.9 329v.2c-10.8 19-31 40-51.8 33.3l-.2-.3c-21.1-5.9-70.8-31.5-102.2-56.5-16.2-12.8-31-27.9-42.4-42.4-10.3-12.9-20.7-28.2-30.8-46.6-21.3-38.5-26-55.7-26-55.7-6.7-20.8 14.2-41 33.3-51.8h.2c9.2-4.8 18-3.2 23.9 3.9 0 0 12.4 14.8 17.7 22.1 5 6.8 11.7 17.7 15.2 23.8 6.1 10.9 2.3 22-3.7 26.6l-12 9.6c-6.1 4.9-5.3 14-5.3 14s17.8 67.3 84.3 84.3c0 0 9.1.8 14-5.3l9.6-12c4.6-6 15.7-9.8 26.6-3.7 14.7 8.3 33.4 21.2 45.8 32.9 7 5.7 8.6 14.4 3.8 23.6z"}}]})(props);
};
function FaVimeoSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-16.2 149.6c-1.4 31.1-23.2 73.8-65.3 127.9-43.5 56.5-80.3 84.8-110.4 84.8-18.7 0-34.4-17.2-47.3-51.6-25.2-92.3-35.9-146.4-56.7-146.4-2.4 0-10.8 5-25.1 15.1L64 192c36.9-32.4 72.1-68.4 94.1-70.4 24.9-2.4 40.2 14.6 46 51.1 20.5 129.6 29.6 149.2 66.8 90.5 13.4-21.2 20.6-37.2 21.5-48.3 3.4-32.8-25.6-30.6-45.2-22.2 15.7-51.5 45.8-76.5 90.1-75.1 32.9 1 48.4 22.4 46.5 64z"}}]})(props);
};
function FaVimeoV (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M447.8 153.6c-2 43.6-32.4 103.3-91.4 179.1-60.9 79.2-112.4 118.8-154.6 118.8-26.1 0-48.2-24.1-66.3-72.3C100.3 250 85.3 174.3 56.2 174.3c-3.4 0-15.1 7.1-35.2 21.1L0 168.2c51.6-45.3 100.9-95.7 131.8-98.5 34.9-3.4 56.3 20.5 64.4 71.5 28.7 181.5 41.4 208.9 93.6 126.7 18.7-29.6 28.8-52.1 30.2-67.6 4.8-45.9-35.8-42.8-63.3-31 22-72.1 64.1-107.1 126.2-105.1 45.8 1.2 67.5 31.1 64.9 89.4z"}}]})(props);
};
function FaVimeo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M403.2 32H44.8C20.1 32 0 52.1 0 76.8v358.4C0 459.9 20.1 480 44.8 480h358.4c24.7 0 44.8-20.1 44.8-44.8V76.8c0-24.7-20.1-44.8-44.8-44.8zM377 180.8c-1.4 31.5-23.4 74.7-66 129.4-44 57.2-81.3 85.8-111.7 85.8-18.9 0-34.8-17.4-47.9-52.3-25.5-93.3-36.4-148-57.4-148-2.4 0-10.9 5.1-25.4 15.2l-15.2-19.6c37.3-32.8 72.9-69.2 95.2-71.2 25.2-2.4 40.7 14.8 46.5 51.7 20.7 131.2 29.9 151 67.6 91.6 13.5-21.4 20.8-37.7 21.8-48.9 3.5-33.2-25.9-30.9-45.8-22.4 15.9-52.1 46.3-77.4 91.2-76 33.3.9 49 22.5 47.1 64.7z"}}]})(props);
};
function FaVine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M384 254.7v52.1c-18.4 4.2-36.9 6.1-52.1 6.1-36.9 77.4-103 143.8-125.1 156.2-14 7.9-27.1 8.4-42.7-.8C137 452 34.2 367.7 0 102.7h74.5C93.2 261.8 139 343.4 189.3 404.5c27.9-27.9 54.8-65.1 75.6-106.9-49.8-25.3-80.1-80.9-80.1-145.6 0-65.6 37.7-115.1 102.2-115.1 114.9 0 106.2 127.9 81.6 181.5 0 0-46.4 9.2-63.5-20.5 3.4-11.3 8.2-30.8 8.2-48.5 0-31.3-11.3-46.6-28.4-46.6-18.2 0-30.8 17.1-30.8 50 .1 79.2 59.4 118.7 129.9 101.9z"}}]})(props);
};
function FaVk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M545 117.7c3.7-12.5 0-21.7-17.8-21.7h-58.9c-15 0-21.9 7.9-25.6 16.7 0 0-30 73.1-72.4 120.5-13.7 13.7-20 18.1-27.5 18.1-3.7 0-9.4-4.4-9.4-16.9V117.7c0-15-4.2-21.7-16.6-21.7h-92.6c-9.4 0-15 7-15 13.5 0 14.2 21.2 17.5 23.4 57.5v86.8c0 19-3.4 22.5-10.9 22.5-20 0-68.6-73.4-97.4-157.4-5.8-16.3-11.5-22.9-26.6-22.9H38.8c-16.8 0-20.2 7.9-20.2 16.7 0 15.6 20 93.1 93.1 195.5C160.4 378.1 229 416 291.4 416c37.5 0 42.1-8.4 42.1-22.9 0-66.8-3.4-73.1 15.4-73.1 8.7 0 23.7 4.4 58.7 38.1 40 40 46.6 57.9 69 57.9h58.9c16.8 0 25.3-8.4 20.4-25-11.2-34.9-86.9-106.7-90.3-111.5-8.7-11.2-6.2-16.2 0-26.2.1-.1 72-101.3 79.4-135.6z"}}]})(props);
};
function FaVnv (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M104.9 352c-34.1 0-46.4-30.4-46.4-30.4L2.6 210.1S-7.8 192 13 192h32.8c10.4 0 13.2 8.7 18.8 18.1l36.7 74.5s5.2 13.1 21.1 13.1 21.1-13.1 21.1-13.1l36.7-74.5c5.6-9.5 8.4-18.1 18.8-18.1h32.8c20.8 0 10.4 18.1 10.4 18.1l-55.8 111.5S174.2 352 140 352h-35.1zm395 0c-34.1 0-46.4-30.4-46.4-30.4l-55.9-111.5S387.2 192 408 192h32.8c10.4 0 13.2 8.7 18.8 18.1l36.7 74.5s5.2 13.1 21.1 13.1 21.1-13.1 21.1-13.1l36.8-74.5c5.6-9.5 8.4-18.1 18.8-18.1H627c20.8 0 10.4 18.1 10.4 18.1l-55.9 111.5S569.3 352 535.1 352h-35.2zM337.6 192c34.1 0 46.4 30.4 46.4 30.4l55.9 111.5s10.4 18.1-10.4 18.1h-32.8c-10.4 0-13.2-8.7-18.8-18.1l-36.7-74.5s-5.2-13.1-21.1-13.1c-15.9 0-21.1 13.1-21.1 13.1l-36.7 74.5c-5.6 9.4-8.4 18.1-18.8 18.1h-32.9c-20.8 0-10.4-18.1-10.4-18.1l55.9-111.5s12.2-30.4 46.4-30.4h35.1z"}}]})(props);
};
function FaVuejs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M356.9 64.3H280l-56 88.6-48-88.6H0L224 448 448 64.3h-91.1zm-301.2 32h53.8L224 294.5 338.4 96.3h53.8L224 384.5 55.7 96.3z"}}]})(props);
};
function FaWaze (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M502.17 201.67C516.69 287.53 471.23 369.59 389 409.8c13 34.1-12.4 70.2-48.32 70.2a51.68 51.68 0 0 1-51.57-49c-6.44.19-64.2 0-76.33-.64A51.69 51.69 0 0 1 159 479.92c-33.86-1.36-57.95-34.84-47-67.92-37.21-13.11-72.54-34.87-99.62-70.8-13-17.28-.48-41.8 20.84-41.8 46.31 0 32.22-54.17 43.15-110.26C94.8 95.2 193.12 32 288.09 32c102.48 0 197.15 70.67 214.08 169.67zM373.51 388.28c42-19.18 81.33-56.71 96.29-102.14 40.48-123.09-64.15-228-181.71-228-83.45 0-170.32 55.42-186.07 136-9.53 48.91 5 131.35-68.75 131.35C58.21 358.6 91.6 378.11 127 389.54c24.66-21.8 63.87-15.47 79.83 14.34 14.22 1 79.19 1.18 87.9.82a51.69 51.69 0 0 1 78.78-16.42zM205.12 187.13c0-34.74 50.84-34.75 50.84 0s-50.84 34.74-50.84 0zm116.57 0c0-34.74 50.86-34.75 50.86 0s-50.86 34.75-50.86 0zm-122.61 70.69c-3.44-16.94 22.18-22.18 25.62-5.21l.06.28c4.14 21.42 29.85 44 64.12 43.07 35.68-.94 59.25-22.21 64.11-42.77 4.46-16.05 28.6-10.36 25.47 6-5.23 22.18-31.21 62-91.46 62.9-42.55 0-80.88-27.84-87.9-64.25z"}}]})(props);
};
function FaWeebly (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M425.09 65.83c-39.88 0-73.28 25.73-83.66 64.33-18.16-58.06-65.5-64.33-84.95-64.33-19.78 0-66.8 6.28-85.28 64.33-10.38-38.6-43.45-64.33-83.66-64.33C38.59 65.83 0 99.72 0 143.03c0 28.96 4.18 33.27 77.17 233.48 22.37 60.57 67.77 69.35 92.74 69.35 39.23 0 70.04-19.46 85.93-53.98 15.89 34.83 46.69 54.29 85.93 54.29 24.97 0 70.36-9.1 92.74-69.67 76.55-208.65 77.5-205.58 77.5-227.2.63-48.32-36.01-83.47-86.92-83.47zm26.34 114.81l-65.57 176.44c-7.92 21.49-21.22 37.22-46.24 37.22-23.44 0-37.38-12.41-44.03-33.9l-39.28-117.42h-.95L216.08 360.4c-6.96 21.5-20.9 33.6-44.02 33.6-25.02 0-38.33-15.74-46.24-37.22L60.88 181.55c-5.38-14.83-7.92-23.91-7.92-34.5 0-16.34 15.84-29.36 38.33-29.36 18.69 0 31.99 11.8 36.11 29.05l44.03 139.82h.95l44.66-136.79c6.02-19.67 16.47-32.08 38.96-32.08s32.94 12.11 38.96 32.08l44.66 136.79h.95l44.03-139.82c4.12-17.25 17.42-29.05 36.11-29.05 22.17 0 38.33 13.32 38.33 35.71-.32 7.87-4.12 16.04-7.61 27.24z"}}]})(props);
};
function FaWeibo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M407 177.6c7.6-24-13.4-46.8-37.4-41.7-22 4.8-28.8-28.1-7.1-32.8 50.1-10.9 92.3 37.1 76.5 84.8-6.8 21.2-38.8 10.8-32-10.3zM214.8 446.7C108.5 446.7 0 395.3 0 310.4c0-44.3 28-95.4 76.3-143.7C176 67 279.5 65.8 249.9 161c-4 13.1 12.3 5.7 12.3 6 79.5-33.6 140.5-16.8 114 51.4-3.7 9.4 1.1 10.9 8.3 13.1 135.7 42.3 34.8 215.2-169.7 215.2zm143.7-146.3c-5.4-55.7-78.5-94-163.4-85.7-84.8 8.6-148.8 60.3-143.4 116s78.5 94 163.4 85.7c84.8-8.6 148.8-60.3 143.4-116zM347.9 35.1c-25.9 5.6-16.8 43.7 8.3 38.3 72.3-15.2 134.8 52.8 111.7 124-7.4 24.2 29.1 37 37.4 12 31.9-99.8-55.1-195.9-157.4-174.3zm-78.5 311c-17.1 38.8-66.8 60-109.1 46.3-40.8-13.1-58-53.4-40.3-89.7 17.7-35.4 63.1-55.4 103.4-45.1 42 10.8 63.1 50.2 46 88.5zm-86.3-30c-12.9-5.4-30 .3-38 12.9-8.3 12.9-4.3 28 8.6 34 13.1 6 30.8.3 39.1-12.9 8-13.1 3.7-28.3-9.7-34zm32.6-13.4c-5.1-1.7-11.4.6-14.3 5.4-2.9 5.1-1.4 10.6 3.7 12.9 5.1 2 11.7-.3 14.6-5.4 2.8-5.2 1.1-10.9-4-12.9z"}}]})(props);
};
function FaWeixin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M385.2 167.6c6.4 0 12.6.3 18.8 1.1C387.4 90.3 303.3 32 207.7 32 100.5 32 13 104.8 13 197.4c0 53.4 29.3 97.5 77.9 131.6l-19.3 58.6 68-34.1c24.4 4.8 43.8 9.7 68.2 9.7 6.2 0 12.1-.3 18.3-.8-4-12.9-6.2-26.6-6.2-40.8-.1-84.9 72.9-154 165.3-154zm-104.5-52.9c14.5 0 24.2 9.7 24.2 24.4 0 14.5-9.7 24.2-24.2 24.2-14.8 0-29.3-9.7-29.3-24.2.1-14.7 14.6-24.4 29.3-24.4zm-136.4 48.6c-14.5 0-29.3-9.7-29.3-24.2 0-14.8 14.8-24.4 29.3-24.4 14.8 0 24.4 9.7 24.4 24.4 0 14.6-9.6 24.2-24.4 24.2zM563 319.4c0-77.9-77.9-141.3-165.4-141.3-92.7 0-165.4 63.4-165.4 141.3S305 460.7 397.6 460.7c19.3 0 38.9-5.1 58.6-9.9l53.4 29.3-14.8-48.6C534 402.1 563 363.2 563 319.4zm-219.1-24.5c-9.7 0-19.3-9.7-19.3-19.6 0-9.7 9.7-19.3 19.3-19.3 14.8 0 24.4 9.7 24.4 19.3 0 10-9.7 19.6-24.4 19.6zm107.1 0c-9.7 0-19.3-9.7-19.3-19.6 0-9.7 9.7-19.3 19.3-19.3 14.5 0 24.4 9.7 24.4 19.3.1 10-9.9 19.6-24.4 19.6z"}}]})(props);
};
function FaWhatsappSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M224 122.8c-72.7 0-131.8 59.1-131.9 131.8 0 24.9 7 49.2 20.2 70.1l3.1 5-13.3 48.6 49.9-13.1 4.8 2.9c20.2 12 43.4 18.4 67.1 18.4h.1c72.6 0 133.3-59.1 133.3-131.8 0-35.2-15.2-68.3-40.1-93.2-25-25-58-38.7-93.2-38.7zm77.5 188.4c-3.3 9.3-19.1 17.7-26.7 18.8-12.6 1.9-22.4.9-47.5-9.9-39.7-17.2-65.7-57.2-67.7-59.8-2-2.6-16.2-21.5-16.2-41s10.2-29.1 13.9-33.1c3.6-4 7.9-5 10.6-5 2.6 0 5.3 0 7.6.1 2.4.1 5.7-.9 8.9 6.8 3.3 7.9 11.2 27.4 12.2 29.4s1.7 4.3.3 6.9c-7.6 15.2-15.7 14.6-11.6 21.6 15.3 26.3 30.6 35.4 53.9 47.1 4 2 6.3 1.7 8.6-1 2.3-2.6 9.9-11.6 12.5-15.5 2.6-4 5.3-3.3 8.9-2 3.6 1.3 23.1 10.9 27.1 12.9s6.6 3 7.6 4.6c.9 1.9.9 9.9-2.4 19.1zM400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM223.9 413.2c-26.6 0-52.7-6.7-75.8-19.3L64 416l22.5-82.2c-13.9-24-21.2-51.3-21.2-79.3C65.4 167.1 136.5 96 223.9 96c42.4 0 82.2 16.5 112.2 46.5 29.9 30 47.9 69.8 47.9 112.2 0 87.4-72.7 158.5-160.1 158.5z"}}]})(props);
};
function FaWhatsapp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M380.9 97.1C339 55.1 283.2 32 223.9 32c-122.4 0-222 99.6-222 222 0 39.1 10.2 77.3 29.6 111L0 480l117.7-30.9c32.4 17.7 68.9 27 106.1 27h.1c122.3 0 224.1-99.6 224.1-222 0-59.3-25.2-115-67.1-157zm-157 341.6c-33.2 0-65.7-8.9-94-25.7l-6.7-4-69.8 18.3L72 359.2l-4.4-7c-18.5-29.4-28.2-63.3-28.2-98.2 0-101.7 82.8-184.5 184.6-184.5 49.3 0 95.6 19.2 130.4 54.1 34.8 34.9 56.2 81.2 56.1 130.5 0 101.8-84.9 184.6-186.6 184.6zm101.2-138.2c-5.5-2.8-32.8-16.2-37.9-18-5.1-1.9-8.8-2.8-12.5 2.8-3.7 5.6-14.3 18-17.6 21.8-3.2 3.7-6.5 4.2-12 1.4-32.6-16.3-54-29.1-75.5-66-5.7-9.8 5.7-9.1 16.3-30.3 1.8-3.7.9-6.9-.5-9.7-1.4-2.8-12.5-30.1-17.1-41.2-4.5-10.8-9.1-9.3-12.5-9.5-3.2-.2-6.9-.2-10.6-.2-3.7 0-9.7 1.4-14.8 6.9-5.1 5.6-19.4 19-19.4 46.3 0 27.3 19.9 53.7 22.6 57.4 2.8 3.7 39.1 59.7 94.8 83.8 35.2 15.2 49 16.5 66.6 13.9 10.7-1.6 32.8-13.4 37.4-26.4 4.6-13 4.6-24.1 3.2-26.4-1.3-2.5-5-3.9-10.5-6.6z"}}]})(props);
};
function FaWhmcs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 161v-21.3l-28.5-8.8-2.2-10.4 20.1-20.7L427 80.4l-29 7.5-7.2-7.5 7.5-28.2-19.1-11.6-21.3 21-10.7-3.2-7-26.4h-22.6l-6.2 26.4-12.1 3.2-19.7-21-19.4 11 8.1 27.7-8.1 8.4-28.5-7.5-11 19.1 20.7 21-2.9 10.4-28.5 7.8-.3 21.7 28.8 7.5 2.4 12.1-20.1 19.9 10.4 18.5 29.6-7.5 7.2 8.6-8.1 26.9 19.9 11.6 19.4-20.4 11.6 2.9 6.7 28.5 22.6.3 6.7-28.8 11.6-3.5 20.7 21.6 20.4-12.1-8.8-28 7.8-8.1 28.8 8.8 10.3-20.1-20.9-18.8 2.2-12.1 29.1-7zm-119.2 45.2c-31.3 0-56.8-25.4-56.8-56.8s25.4-56.8 56.8-56.8 56.8 25.4 56.8 56.8c0 31.5-25.4 56.8-56.8 56.8zm72.3 16.4l46.9 14.5V277l-55.1 13.4-4.1 22.7 38.9 35.3-19.2 37.9-54-16.7-14.6 15.2 16.7 52.5-38.3 22.7-38.9-40.5-21.7 6.6-12.6 54-42.4-.5-12.6-53.6-21.7-5.6-36.4 38.4-37.4-21.7 15.2-50.5-13.7-16.1-55.5 14.1-19.7-34.8 37.9-37.4-4.8-22.8-54-14.1.5-40.9L54 219.9l5.7-19.7-38.9-39.4L41.5 125l53.6 14.1 15.2-15.7-15.2-52 36.4-20.7 36.8 39.4L191 84l11.6-52H245l11.6 45.9L234 72l-6.3-1.7-3.3 5.7-11 19.1-3.3 5.6 4.6 4.6 17.2 17.4-.3 1-23.8 6.5-6.2 1.7-.1 6.4-.2 12.9C153.8 161.6 118 204 118 254.7c0 58.3 47.3 105.7 105.7 105.7 50.5 0 92.7-35.4 103.2-82.8l13.2.2 6.9.1 1.6-6.7 5.6-24 1.9-.6 17.1 17.8 4.7 4.9 5.8-3.4 20.4-12.1 5.8-3.5-2-6.5-6.8-21.2z"}}]})(props);
};
function FaWikipediaW (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M640 51.2l-.3 12.2c-28.1.8-45 15.8-55.8 40.3-25 57.8-103.3 240-155.3 358.6H415l-81.9-193.1c-32.5 63.6-68.3 130-99.2 193.1-.3.3-15 0-15-.3C172 352.3 122.8 243.4 75.8 133.4 64.4 106.7 26.4 63.4.2 63.7c0-3.1-.3-10-.3-14.2h161.9v13.9c-19.2 1.1-52.8 13.3-43.3 34.2 21.9 49.7 103.6 240.3 125.6 288.6 15-29.7 57.8-109.2 75.3-142.8-13.9-28.3-58.6-133.9-72.8-160-9.7-17.8-36.1-19.4-55.8-19.7V49.8l142.5.3v13.1c-19.4.6-38.1 7.8-29.4 26.1 18.9 40 30.6 68.1 48.1 104.7 5.6-10.8 34.7-69.4 48.1-100.8 8.9-20.6-3.9-28.6-38.6-29.4.3-3.6 0-10.3.3-13.6 44.4-.3 111.1-.3 123.1-.6v13.6c-22.5.8-45.8 12.8-58.1 31.7l-59.2 122.8c6.4 16.1 63.3 142.8 69.2 156.7L559.2 91.8c-8.6-23.1-36.4-28.1-47.2-28.3V49.6l127.8 1.1.2.5z"}}]})(props);
};
function FaWindows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 93.7l183.6-25.3v177.4H0V93.7zm0 324.6l183.6 25.3V268.4H0v149.9zm203.8 28L448 480V268.4H203.8v177.9zm0-380.6v180.1H448V32L203.8 65.7z"}}]})(props);
};
function FaWix (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M393.38 131.69c0 13.03 2.08 32.69-28.68 43.83-9.52 3.45-15.95 9.66-15.95 9.66 0-31 4.72-42.22 17.4-48.86 9.75-5.11 27.23-4.63 27.23-4.63zm-115.8 35.54l-34.24 132.66-28.48-108.57c-7.69-31.99-20.81-48.53-48.43-48.53-27.37 0-40.66 16.18-48.43 48.53L89.52 299.89 55.28 167.23C49.73 140.51 23.86 128.96 0 131.96l65.57 247.93s21.63 1.56 32.46-3.96c14.22-7.25 20.98-12.84 29.59-46.57 7.67-30.07 29.11-118.41 31.12-124.7 4.76-14.94 11.09-13.81 15.4 0 1.97 6.3 23.45 94.63 31.12 124.7 8.6 33.73 15.37 39.32 29.59 46.57 10.82 5.52 32.46 3.96 32.46 3.96l65.57-247.93c-24.42-3.07-49.82 8.93-55.3 35.27zm115.78 5.21s-4.1 6.34-13.46 11.57c-6.01 3.36-11.78 5.64-17.97 8.61-15.14 7.26-13.18 13.95-13.18 35.2v152.07s16.55 2.09 27.37-3.43c13.93-7.1 17.13-13.95 17.26-44.78V181.41l-.02.01v-8.98zm163.44 84.08L640 132.78s-35.11-5.98-52.5 9.85c-13.3 12.1-24.41 29.55-54.18 72.47-.47.73-6.25 10.54-13.07 0-29.29-42.23-40.8-60.29-54.18-72.47-17.39-15.83-52.5-9.85-52.5-9.85l83.2 123.74-82.97 123.36s36.57 4.62 53.95-11.21c11.49-10.46 17.58-20.37 52.51-70.72 6.81-10.52 12.57-.77 13.07 0 29.4 42.38 39.23 58.06 53.14 70.72 17.39 15.83 53.32 11.21 53.32 11.21L556.8 256.52z"}}]})(props);
};
function FaWizardsOfTheCoast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M219.19 345.69c-1.9 1.38-11.07 8.44-.26 23.57 4.64 6.42 14.11 12.79 21.73 6.55 6.5-4.88 7.35-12.92.26-23.04-5.47-7.76-14.28-12.88-21.73-7.08zm336.75 75.94c-.34 1.7-.55 1.67.79 0 2.09-4.19 4.19-10.21 4.98-19.9 3.14-38.49-40.33-71.49-101.34-78.03-54.73-6.02-124.38 9.17-188.8 60.49l-.26 1.57c2.62 4.98 4.98 10.74 3.4 21.21l.79.26c63.89-58.4 131.19-77.25 184.35-73.85 58.4 3.67 100.03 34.04 100.03 68.08-.01 9.96-2.63 15.72-3.94 20.17zM392.28 240.42c.79 7.07 4.19 10.21 9.17 10.47 5.5.26 9.43-2.62 10.47-6.55.79-3.4 2.09-29.85 2.09-29.85s-11.26 6.55-14.93 10.47c-3.66 3.68-7.33 8.39-6.8 15.46zm-50.02-151.1C137.75 89.32 13.1 226.8.79 241.2c-1.05.52-1.31.79.79 1.31 60.49 16.5 155.81 81.18 196.13 202.16l1.05.26c55.25-69.92 140.88-128.05 236.99-128.05 80.92 0 130.15 42.16 130.15 80.39 0 18.33-6.55 33.52-22.26 46.35 0 .96-.2.79.79.79 14.66-10.74 27.5-28.8 27.5-48.18 0-22.78-12.05-38.23-12.05-38.23 7.07 7.07 10.74 16.24 10.74 16.24 5.76-40.85 26.97-62.32 26.97-62.32-2.36-9.69-6.81-17.81-6.81-17.81 7.59 8.12 14.4 27.5 14.4 41.37 0 10.47-3.4 22.78-12.57 31.95l.26.52c8.12-4.98 16.5-16.76 16.5-37.97 0-15.71-4.71-25.92-4.71-25.92 5.76-5.24 11.26-9.17 15.97-11.78.79 3.4 2.09 9.69 2.36 14.93 0 1.05.79 1.83 1.05 0 .79-5.76-.26-16.24-.26-16.5 6.02-3.14 9.69-4.45 9.69-4.45C617.74 176 489.43 89.32 342.26 89.32zm-99.24 289.62c-11.06 8.99-24.2 4.08-30.64-4.19-7.45-9.58-6.76-24.09 4.19-32.47 14.85-11.35 27.08-.49 31.16 5.5.28.39 12.13 16.57-4.71 31.16zm2.09-136.43l9.43-17.81 11.78 70.96-12.57 6.02-24.62-28.8 14.14-26.71 3.67 4.45-1.83-8.11zm18.59 117.58l-.26-.26c2.05-4.1-2.5-6.61-17.54-31.69-1.31-2.36-3.14-2.88-4.45-2.62l-.26-.52c7.86-5.76 15.45-10.21 25.4-15.71l.52.26c1.31 1.83 2.09 2.88 3.4 4.71l-.26.52c-1.05-.26-2.36-.79-5.24.26-2.09.79-7.86 3.67-12.31 7.59v1.31c1.57 2.36 3.93 6.55 5.76 9.69h.26c10.05-6.28 7.56-4.55 11.52-7.86h.26c.52 1.83.52 1.83 1.83 5.5l-.26.26c-3.06.61-4.65.34-11.52 5.5v.26c9.46 17.02 11.01 16.75 12.57 15.97l.26.26c-2.34 1.59-6.27 4.21-9.68 6.57zm55.26-32.47c-3.14 1.57-6.02 2.88-9.95 4.98l-.26-.26c1.29-2.59 1.16-2.71-11.78-32.47l-.26-.26c-.15 0-8.9 3.65-9.95 7.33h-.52l-1.05-5.76.26-.52c7.29-4.56 25.53-11.64 27.76-12.57l.52.26 3.14 4.98-.26.52c-3.53-1.76-7.35.76-12.31 2.62v.26c12.31 32.01 12.67 30.64 14.66 30.64v.25zm44.77-16.5c-4.19 1.05-5.24 1.31-9.69 2.88l-.26-.26.52-4.45c-1.05-3.4-3.14-11.52-3.67-13.62l-.26-.26c-3.4.79-8.9 2.62-12.83 3.93l-.26.26c.79 2.62 3.14 9.95 4.19 13.88.79 2.36 1.83 2.88 2.88 3.14v.52c-3.67 1.05-7.07 2.62-10.21 3.93l-.26-.26c1.05-1.31 1.05-2.88.26-4.98-1.05-3.14-8.12-23.83-9.17-27.23-.52-1.83-1.57-3.14-2.62-3.14v-.52c3.14-1.05 6.02-2.09 10.74-3.4l.26.26-.26 4.71c1.31 3.93 2.36 7.59 3.14 9.69h.26c3.93-1.31 9.43-2.88 12.83-3.93l.26-.26-2.62-9.43c-.52-1.83-1.05-3.4-2.62-3.93v-.26c4.45-1.05 7.33-1.83 10.74-2.36l.26.26c-1.05 1.31-1.05 2.88-.52 4.45 1.57 6.28 4.71 20.43 6.28 26.45.54 2.62 1.85 3.41 2.63 3.93zm32.21-6.81l-.26.26c-4.71.52-14.14 2.36-22.52 4.19l-.26-.26.79-4.19c-1.57-7.86-3.4-18.59-4.98-26.19-.26-1.83-.79-2.88-2.62-3.67l.79-.52c9.17-1.57 20.16-2.36 24.88-2.62l.26.26c.52 2.36.79 3.14 1.57 5.5l-.26.26c-1.14-1.14-3.34-3.2-16.24-.79l-.26.26c.26 1.57 1.05 6.55 1.57 9.95l.26.26c9.52-1.68 4.76-.06 10.74-2.36h.26c0 1.57-.26 1.83-.26 5.24h-.26c-4.81-1.03-2.15-.9-10.21 0l-.26.26c.26 2.09 1.57 9.43 2.09 12.57l.26.26c1.15.38 14.21-.65 16.24-4.71h.26c-.53 2.38-1.05 4.21-1.58 6.04zm10.74-44.51c-4.45 2.36-8.12 2.88-11 2.88-.25.02-11.41 1.09-17.54-9.95-6.74-10.79-.98-25.2 5.5-31.69 8.8-8.12 23.35-10.1 28.54-17.02 8.03-10.33-13.04-22.31-29.59-5.76l-2.62-2.88 5.24-16.24c25.59-1.57 45.2-3.04 50.02 16.24.79 3.14 0 9.43-.26 12.05 0 2.62-1.83 18.85-2.09 23.04-.52 4.19-.79 18.33-.79 20.69.26 2.36.52 4.19 1.57 5.5 1.57 1.83 5.76 1.83 5.76 1.83l-.79 4.71c-11.82-1.07-10.28-.59-20.43-1.05-3.22-5.15-2.23-3.28-4.19-7.86 0 .01-4.19 3.94-7.33 5.51zm37.18 21.21c-6.35-10.58-19.82-7.16-21.73 5.5-2.63 17.08 14.3 19.79 20.69 10.21l.26.26c-.52 1.83-1.83 6.02-1.83 6.28l-.52.52c-10.3 6.87-28.5-2.5-25.66-18.59 1.94-10.87 14.44-18.93 28.8-9.95l.26.52c0 1.06-.27 3.41-.27 5.25zm5.77-87.73v-6.55c.69 0 19.65 3.28 27.76 7.33l-1.57 17.54s10.21-9.43 15.45-10.74c5.24-1.57 14.93 7.33 14.93 7.33l-11.26 11.26c-12.07-6.35-19.59-.08-20.69.79-5.29 38.72-8.6 42.17 4.45 46.09l-.52 4.71c-17.55-4.29-18.53-4.5-36.92-7.33l.79-4.71c7.25 0 7.48-5.32 7.59-6.81 0 0 4.98-53.16 4.98-55.25-.02-2.87-4.99-3.66-4.99-3.66zm10.99 114.44c-8.12-2.09-14.14-11-10.74-20.69 3.14-9.43 12.31-12.31 18.85-10.21 9.17 2.62 12.83 11.78 10.74 19.38-2.61 8.9-9.42 13.87-18.85 11.52zm42.16 9.69c-2.36-.52-7.07-2.36-8.64-2.88v-.26l1.57-1.83c.59-8.24.59-7.27.26-7.59-4.82-1.81-6.66-2.36-7.07-2.36-1.31 1.83-2.88 4.45-3.67 5.5l-.79 3.4v.26c-1.31-.26-3.93-1.31-6.02-1.57v-.26l2.62-1.83c3.4-4.71 9.95-14.14 13.88-20.16v-2.09l.52-.26c2.09.79 5.5 2.09 7.59 2.88.48.48.18-1.87-1.05 25.14-.24 1.81.02 2.6.8 3.91zm-4.71-89.82c11.25-18.27 30.76-16.19 34.04-3.4L539.7 198c2.34-6.25-2.82-9.9-4.45-11.26l1.83-3.67c12.22 10.37 16.38 13.97 22.52 20.43-25.91 73.07-30.76 80.81-24.62 84.32l-1.83 4.45c-6.37-3.35-8.9-4.42-17.81-8.64l2.09-6.81c-.26-.26-3.93 3.93-9.69 3.67-19.06-1.3-22.89-31.75-9.67-52.9zm29.33 79.34c0-5.71-6.34-7.89-7.86-5.24-1.31 2.09 1.05 4.98 2.88 8.38 1.57 2.62 2.62 6.28 1.05 9.43-2.64 6.34-12.4 5.31-15.45-.79 0-.7-.27.09 1.83-4.71l.79-.26c-.57 5.66 6.06 9.61 8.38 4.98 1.05-2.09-.52-5.5-2.09-8.38-1.57-2.62-3.67-6.28-1.83-9.69 2.72-5.06 11.25-4.47 14.66 2.36v.52l-2.36 3.4zm21.21 13.36c-1.96-3.27-.91-2.14-4.45-4.71h-.26c-2.36 4.19-5.76 10.47-8.64 16.24-1.31 2.36-1.05 3.4-.79 3.93l-.26.26-5.76-4.45.26-.26 2.09-1.31c3.14-5.76 6.55-12.05 9.17-17.02v-.26c-2.64-1.98-1.22-1.51-6.02-1.83v-.26l3.14-3.4h.26c3.67 2.36 9.95 6.81 12.31 8.9l.26.26-1.31 3.91zm27.23-44.26l-2.88-2.88c.79-2.36 1.83-4.98 2.09-7.59.75-9.74-11.52-11.84-11.52-4.98 0 4.98 7.86 19.38 7.86 27.76 0 10.21-5.76 15.71-13.88 16.5-8.38.79-20.16-10.47-20.16-10.47l4.98-14.4 2.88 2.09c-2.97 17.8 17.68 20.37 13.35 5.24-1.06-4.02-18.75-34.2 2.09-38.23 13.62-2.36 23.04 16.5 23.04 16.5l-7.85 10.46zm35.62-10.21c-11-30.38-60.49-127.53-191.95-129.62-53.42-1.05-94.27 15.45-132.76 37.97l85.63-9.17-91.39 20.69 25.14 19.64-3.93-16.5c7.5-1.71 39.15-8.45 66.77-8.9l-22.26 80.39c13.61-.7 18.97-8.98 19.64-22.78l4.98-1.05.26 26.71c-22.46 3.21-37.3 6.69-49.49 9.95l13.09-43.21-61.54-36.66 2.36 8.12 10.21 4.98c6.28 18.59 19.38 56.56 20.43 58.66 1.95 4.28 3.16 5.78 12.05 4.45l1.05 4.98c-16.08 4.86-23.66 7.61-39.02 14.4l-2.36-4.71c4.4-2.94 8.73-3.94 5.5-12.83-23.7-62.5-21.48-58.14-22.78-59.44l2.36-4.45 33.52 67.3c-3.84-11.87 1.68 1.69-32.99-78.82l-41.9 88.51 4.71-13.88-35.88-42.16 27.76 93.48-11.78 8.38C95 228.58 101.05 231.87 93.23 231.52c-5.5-.26-13.62 5.5-13.62 5.5L74.63 231c30.56-23.53 31.62-24.33 58.4-42.68l4.19 7.07s-5.76 4.19-7.86 7.07c-5.9 9.28 1.67 13.28 61.8 75.68l-18.85-58.92 39.8-10.21 25.66 30.64 4.45-12.31-4.98-24.62 13.09-3.4.52 3.14 3.67-10.47-94.27 29.33 11.26-4.98-13.62-42.42 17.28-9.17 30.11 36.14 28.54-13.09c-1.41-7.47-2.47-14.5-4.71-19.64l17.28 13.88 4.71-2.09-59.18-42.68 23.08 11.5c18.98-6.07 25.23-7.47 32.21-9.69l2.62 11c-12.55 12.55 1.43 16.82 6.55 19.38l-13.62-61.01 12.05 28.28c4.19-1.31 7.33-2.09 7.33-2.09l2.62 8.64s-3.14 1.05-6.28 2.09l8.9 20.95 33.78-65.73-20.69 61.01c42.42-24.09 81.44-36.66 131.98-35.88 67.04 1.05 167.33 40.85 199.8 139.83.78 2.1-.01 2.63-.79.27zM203.48 152.43s1.83-.52 4.19-1.31l9.43 7.59c-.4 0-3.44-.25-11.26 2.36l-2.36-8.64zm143.76 38.5c-1.57-.6-26.46-4.81-33.26 20.69l21.73 17.02 11.53-37.71zM318.43 67.07c-58.4 0-106.05 12.05-114.96 14.4v.79c8.38 2.09 14.4 4.19 21.21 11.78l1.57.26c6.55-1.83 48.97-13.88 110.24-13.88 180.16 0 301.67 116.79 301.67 223.37v9.95c0 1.31.79 2.62 1.05.52.52-2.09.79-8.64.79-19.64.26-83.79-96.63-227.55-321.57-227.55zm211.06 169.68c1.31-5.76 0-12.31-7.33-13.09-9.62-1.13-16.14 23.79-17.02 33.52-.79 5.5-1.31 14.93 6.02 14.93 4.68-.01 9.72-.91 18.33-35.36zm-61.53 42.95c-2.62-.79-9.43-.79-12.57 10.47-1.83 6.81.52 13.35 6.02 14.66 3.67 1.05 8.9.52 11.78-10.74 2.62-9.94-1.83-13.61-5.23-14.39zM491 300.65c1.83.52 3.14 1.05 5.76 1.83 0-1.83.52-8.38.79-12.05-1.05 1.31-5.5 8.12-6.55 9.95v.27z"}}]})(props);
};
function FaWolfPackBattalion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M267.73 471.53l10.56 15.84 5.28-12.32 5.28 7V512c21.06-7.92 21.11-66.86 25.51-97.21 4.62-31.89-.88-92.81 81.37-149.11-8.88-23.61-12-49.43-2.64-80.05C421 189 447 196.21 456.43 239.73l-30.35 8.36c11.15 23 17 46.76 13.2 72.14L412 313.18l-6.16 33.43-18.47-7-8.8 33.39-19.35-7 26.39 21.11 8.8-28.15L419 364.2l7-35.63 26.39 14.52c.25-20 7-58.06-8.8-84.45l26.39 5.28c4-22.07-2.38-39.21-7.92-56.74l22.43 9.68c-.44-25.07-29.94-56.79-61.58-58.5-20.22-1.09-56.74-25.17-54.1-51.9 2-19.87 17.45-42.62 43.11-49.7-44 36.51-9.68 67.3 5.28 73.46 4.4-11.44 17.54-69.08 0-130.2-40.39 22.87-89.65 65.1-93.2 147.79l-58 38.71-3.52 93.25L369.78 220l7 7-17.59 3.52-44 38.71-15.84-5.28-28.1 49.25-3.52 119.64 21.11 15.84-32.55 15.84-32.55-15.84 21.11-15.84-3.52-119.64-28.15-49.26-15.84 5.28-44-38.71-17.58-3.51 7-7 107.33 59.82-3.52-93.25-58.06-38.71C185 65.1 135.77 22.87 95.3 0c-17.54 61.12-4.4 118.76 0 130.2 15-6.16 49.26-36.95 5.28-73.46 25.66 7.08 41.15 29.83 43.11 49.7 2.63 26.74-33.88 50.81-54.1 51.9-31.65 1.72-61.15 33.44-61.59 58.51l22.43-9.68c-5.54 17.53-11.91 34.67-7.92 56.74l26.39-5.28c-15.76 26.39-9.05 64.43-8.8 84.45l26.39-14.52 7 35.63 24.63-5.28 8.8 28.15L153.35 366 134 373l-8.8-33.43-18.47 7-6.16-33.43-27.27 7c-3.82-25.38 2-49.1 13.2-72.14l-30.35-8.36c9.4-43.52 35.47-50.77 63.34-54.1 9.36 30.62 6.24 56.45-2.64 80.05 82.25 56.3 76.75 117.23 81.37 149.11 4.4 30.35 4.45 89.29 25.51 97.21v-29.83l5.28-7 5.28 12.32 10.56-15.84 11.44 21.11 11.43-21.1zm79.17-95L331.06 366c7.47-4.36 13.76-8.42 19.35-12.32-.6 7.22-.27 13.84-3.51 22.84zm28.15-49.26c-.4 10.94-.9 21.66-1.76 31.67-7.85-1.86-15.57-3.8-21.11-7 8.24-7.94 15.55-16.32 22.87-24.68zm24.63 5.28c0-13.43-2.05-24.21-5.28-33.43a235 235 0 0 1-18.47 27.27zm3.52-80.94c19.44 12.81 27.8 33.66 29.91 56.3-12.32-4.53-24.63-9.31-36.95-10.56 5.06-12 6.65-28.14 7-45.74zm-1.76-45.74c.81 14.3 1.84 28.82 1.76 42.23 19.22-8.11 29.78-9.72 44-14.08-10.61-18.96-27.2-25.53-45.76-28.16zM165.68 376.52L181.52 366c-7.47-4.36-13.76-8.42-19.35-12.32.6 7.26.27 13.88 3.51 22.88zm-28.15-49.26c.4 10.94.9 21.66 1.76 31.67 7.85-1.86 15.57-3.8 21.11-7-8.24-7.93-15.55-16.31-22.87-24.67zm-24.64 5.28c0-13.43 2-24.21 5.28-33.43a235 235 0 0 0 18.47 27.27zm-3.52-80.94c-19.44 12.81-27.8 33.66-29.91 56.3 12.32-4.53 24.63-9.31 37-10.56-5-12-6.65-28.14-7-45.74zm1.76-45.74c-.81 14.3-1.84 28.82-1.76 42.23-19.22-8.11-29.78-9.72-44-14.08 10.63-18.95 27.23-25.52 45.76-28.15z"}}]})(props);
};
function FaWordpressSimple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119.3 8 8 119.2 8 256c0 136.7 111.3 248 248 248s248-111.3 248-248C504 119.2 392.7 8 256 8zM33 256c0-32.3 6.9-63 19.3-90.7l106.4 291.4C84.3 420.5 33 344.2 33 256zm223 223c-21.9 0-43-3.2-63-9.1l66.9-194.4 68.5 187.8c.5 1.1 1 2.1 1.6 3.1-23.1 8.1-48 12.6-74 12.6zm30.7-327.5c13.4-.7 25.5-2.1 25.5-2.1 12-1.4 10.6-19.1-1.4-18.4 0 0-36.1 2.8-59.4 2.8-21.9 0-58.7-2.8-58.7-2.8-12-.7-13.4 17.7-1.4 18.4 0 0 11.4 1.4 23.4 2.1l34.7 95.2L200.6 393l-81.2-241.5c13.4-.7 25.5-2.1 25.5-2.1 12-1.4 10.6-19.1-1.4-18.4 0 0-36.1 2.8-59.4 2.8-4.2 0-9.1-.1-14.4-.3C109.6 73 178.1 33 256 33c58 0 110.9 22.2 150.6 58.5-1-.1-1.9-.2-2.9-.2-21.9 0-37.4 19.1-37.4 39.6 0 18.4 10.6 33.9 21.9 52.3 8.5 14.8 18.4 33.9 18.4 61.5 0 19.1-7.3 41.2-17 72.1l-22.2 74.3-80.7-239.6zm81.4 297.2l68.1-196.9c12.7-31.8 17-57.2 17-79.9 0-8.2-.5-15.8-1.5-22.9 17.4 31.8 27.3 68.2 27.3 107 0 82.3-44.6 154.1-110.9 192.7z"}}]})(props);
};
function FaWordpress (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M61.7 169.4l101.5 278C92.2 413 43.3 340.2 43.3 256c0-30.9 6.6-60.1 18.4-86.6zm337.9 75.9c0-26.3-9.4-44.5-17.5-58.7-10.8-17.5-20.9-32.4-20.9-49.9 0-19.6 14.8-37.8 35.7-37.8.9 0 1.8.1 2.8.2-37.9-34.7-88.3-55.9-143.7-55.9-74.3 0-139.7 38.1-177.8 95.9 5 .2 9.7.3 13.7.3 22.2 0 56.7-2.7 56.7-2.7 11.5-.7 12.8 16.2 1.4 17.5 0 0-11.5 1.3-24.3 2l77.5 230.4L249.8 247l-33.1-90.8c-11.5-.7-22.3-2-22.3-2-11.5-.7-10.1-18.2 1.3-17.5 0 0 35.1 2.7 56 2.7 22.2 0 56.7-2.7 56.7-2.7 11.5-.7 12.8 16.2 1.4 17.5 0 0-11.5 1.3-24.3 2l76.9 228.7 21.2-70.9c9-29.4 16-50.5 16-68.7zm-139.9 29.3l-63.8 185.5c19.1 5.6 39.2 8.7 60.1 8.7 24.8 0 48.5-4.3 70.6-12.1-.6-.9-1.1-1.9-1.5-2.9l-65.4-179.2zm183-120.7c.9 6.8 1.4 14 1.4 21.9 0 21.6-4 45.8-16.2 76.2l-65 187.9C426.2 403 468.7 334.5 468.7 256c0-37-9.4-71.8-26-102.1zM504 256c0 136.8-111.3 248-248 248C119.2 504 8 392.7 8 256 8 119.2 119.2 8 256 8c136.7 0 248 111.2 248 248zm-11.4 0c0-130.5-106.2-236.6-236.6-236.6C125.5 19.4 19.4 125.5 19.4 256S125.6 492.6 256 492.6c130.5 0 236.6-106.1 236.6-236.6z"}}]})(props);
};
function FaWpbeginner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M462.799 322.374C519.01 386.682 466.961 480 370.944 480c-39.602 0-78.824-17.687-100.142-50.04-6.887.356-22.702.356-29.59 0C219.848 462.381 180.588 480 141.069 480c-95.49 0-148.348-92.996-91.855-157.626C-29.925 190.523 80.479 32 256.006 32c175.632 0 285.87 158.626 206.793 290.374zm-339.647-82.972h41.529v-58.075h-41.529v58.075zm217.18 86.072v-23.839c-60.506 20.915-132.355 9.198-187.589-33.971l.246 24.897c51.101 46.367 131.746 57.875 187.343 32.913zm-150.753-86.072h166.058v-58.075H189.579v58.075z"}}]})(props);
};
function FaWpexplorer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M512 256c0 141.2-114.7 256-256 256C114.8 512 0 397.3 0 256S114.7 0 256 0s256 114.7 256 256zm-32 0c0-123.2-100.3-224-224-224C132.5 32 32 132.5 32 256s100.5 224 224 224 224-100.5 224-224zM160.9 124.6l86.9 37.1-37.1 86.9-86.9-37.1 37.1-86.9zm110 169.1l46.6 94h-14.6l-50-100-48.9 100h-14l51.1-106.9-22.3-9.4 6-14 68.6 29.1-6 14.3-16.5-7.1zm-11.8-116.3l68.6 29.4-29.4 68.3L230 246l29.1-68.6zm80.3 42.9l54.6 23.1-23.4 54.3-54.3-23.1 23.1-54.3z"}}]})(props);
};
function FaWpforms (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 75.2v361.7c0 24.3-19 43.2-43.2 43.2H43.2C19.3 480 0 461.4 0 436.8V75.2C0 51.1 18.8 32 43.2 32h361.7c24 0 43.1 18.8 43.1 43.2zm-37.3 361.6V75.2c0-3-2.6-5.8-5.8-5.8h-9.3L285.3 144 224 94.1 162.8 144 52.5 69.3h-9.3c-3.2 0-5.8 2.8-5.8 5.8v361.7c0 3 2.6 5.8 5.8 5.8h361.7c3.2.1 5.8-2.7 5.8-5.8zM150.2 186v37H76.7v-37h73.5zm0 74.4v37.3H76.7v-37.3h73.5zm11.1-147.3l54-43.7H96.8l64.5 43.7zm210 72.9v37h-196v-37h196zm0 74.4v37.3h-196v-37.3h196zm-84.6-147.3l64.5-43.7H232.8l53.9 43.7zM371.3 335v37.3h-99.4V335h99.4z"}}]})(props);
};
function FaWpressr (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111.03 8 0 119.03 0 256s111.03 248 248 248 248-111.03 248-248S384.97 8 248 8zm171.33 158.6c-15.18 34.51-30.37 69.02-45.63 103.5-2.44 5.51-6.89 8.24-12.97 8.24-23.02-.01-46.03.06-69.05-.05-5.12-.03-8.25 1.89-10.34 6.72-10.19 23.56-20.63 47-30.95 70.5-1.54 3.51-4.06 5.29-7.92 5.29-45.94-.01-91.87-.02-137.81 0-3.13 0-5.63-1.15-7.72-3.45-11.21-12.33-22.46-24.63-33.68-36.94-2.69-2.95-2.79-6.18-1.21-9.73 8.66-19.54 17.27-39.1 25.89-58.66 12.93-29.35 25.89-58.69 38.75-88.08 1.7-3.88 4.28-5.68 8.54-5.65 14.24.1 28.48.02 42.72.05 6.24.01 9.2 4.84 6.66 10.59-13.6 30.77-27.17 61.55-40.74 92.33-5.72 12.99-11.42 25.99-17.09 39-3.91 8.95 7.08 11.97 10.95 5.6.23-.37-1.42 4.18 30.01-67.69 1.36-3.1 3.41-4.4 6.77-4.39 15.21.08 30.43.02 45.64.04 5.56.01 7.91 3.64 5.66 8.75-8.33 18.96-16.71 37.9-24.98 56.89-4.98 11.43 8.08 12.49 11.28 5.33.04-.08 27.89-63.33 32.19-73.16 2.02-4.61 5.44-6.51 10.35-6.5 26.43.05 52.86 0 79.29.05 12.44.02 13.93-13.65 3.9-13.64-25.26.03-50.52.02-75.78.02-6.27 0-7.84-2.47-5.27-8.27 5.78-13.06 11.59-26.11 17.3-39.21 1.73-3.96 4.52-5.79 8.84-5.78 23.09.06 25.98.02 130.78.03 6.08-.01 8.03 2.79 5.62 8.27z"}}]})(props);
};
function FaXbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M369.9 318.2c44.3 54.3 64.7 98.8 54.4 118.7-7.9 15.1-56.7 44.6-92.6 55.9-29.6 9.3-68.4 13.3-100.4 10.2-38.2-3.7-76.9-17.4-110.1-39C93.3 445.8 87 438.3 87 423.4c0-29.9 32.9-82.3 89.2-142.1 32-33.9 76.5-73.7 81.4-72.6 9.4 2.1 84.3 75.1 112.3 109.5zM188.6 143.8c-29.7-26.9-58.1-53.9-86.4-63.4-15.2-5.1-16.3-4.8-28.7 8.1-29.2 30.4-53.5 79.7-60.3 122.4-5.4 34.2-6.1 43.8-4.2 60.5 5.6 50.5 17.3 85.4 40.5 120.9 9.5 14.6 12.1 17.3 9.3 9.9-4.2-11-.3-37.5 9.5-64 14.3-39 53.9-112.9 120.3-194.4zm311.6 63.5C483.3 127.3 432.7 77 425.6 77c-7.3 0-24.2 6.5-36 13.9-23.3 14.5-41 31.4-64.3 52.8C367.7 197 427.5 283.1 448.2 346c6.8 20.7 9.7 41.1 7.4 52.3-1.7 8.5-1.7 8.5 1.4 4.6 6.1-7.7 19.9-31.3 25.4-43.5 7.4-16.2 15-40.2 18.6-58.7 4.3-22.5 3.9-70.8-.8-93.4zM141.3 43C189 40.5 251 77.5 255.6 78.4c.7.1 10.4-4.2 21.6-9.7 63.9-31.1 94-25.8 107.4-25.2-63.9-39.3-152.7-50-233.9-11.7-23.4 11.1-24 11.9-9.4 11.2z"}}]})(props);
};
function FaXingSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM140.4 320.2H93.8c-5.5 0-8.7-5.3-6-10.3l49.3-86.7c.1 0 .1-.1 0-.2l-31.4-54c-3-5.6.2-10.1 6-10.1h46.6c5.2 0 9.5 2.9 12.9 8.7l31.9 55.3c-1.3 2.3-18 31.7-50.1 88.2-3.5 6.2-7.7 9.1-12.6 9.1zm219.7-214.1L257.3 286.8v.2l65.5 119c2.8 5.1.1 10.1-6 10.1h-46.6c-5.5 0-9.7-2.9-12.9-8.7l-66-120.3c2.3-4.1 36.8-64.9 103.4-182.3 3.3-5.8 7.4-8.7 12.5-8.7h46.9c5.7-.1 8.8 4.7 6 10z"}}]})(props);
};
function FaXing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M162.7 210c-1.8 3.3-25.2 44.4-70.1 123.5-4.9 8.3-10.8 12.5-17.7 12.5H9.8c-7.7 0-12.1-7.5-8.5-14.4l69-121.3c.2 0 .2-.1 0-.3l-43.9-75.6c-4.3-7.8.3-14.1 8.5-14.1H100c7.3 0 13.3 4.1 18 12.2l44.7 77.5zM382.6 46.1l-144 253v.3L330.2 466c3.9 7.1.2 14.1-8.5 14.1h-65.2c-7.6 0-13.6-4-18-12.2l-92.4-168.5c3.3-5.8 51.5-90.8 144.8-255.2 4.6-8.1 10.4-12.2 17.5-12.2h65.7c8 0 12.3 6.7 8.5 14.1z"}}]})(props);
};
function FaYCombinator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 32v448H0V32h448zM236 287.5L313.5 142h-32.7L235 233c-4.7 9.3-9 18.3-12.8 26.8L210 233l-45.2-91h-35l76.7 143.8v94.5H236v-92.8z"}}]})(props);
};
function FaYahoo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M252 292l4 220c-12.7-2.2-23.5-3.9-32.3-3.9-8.4 0-19.2 1.7-32.3 3.9l4-220C140.4 197.2 85 95.2 21.4 0c11.9 3.1 23 3.9 33.2 3.9 9 0 20.4-.8 34.1-3.9 40.9 72.2 82.1 138.7 135 225.5C261 163.9 314.8 81.4 358.6 0c11.1 2.9 22 3.9 32.9 3.9 11.5 0 23.2-1 35-3.9C392.1 47.9 294.9 216.9 252 292z"}}]})(props);
};
function FaYammer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M421.78 152.17A23.06 23.06 0 0 0 400.9 112c-.83.43-1.71.9-2.63 1.4-15.25 8.4-118.33 80.62-106.69 88.77s82.04-23.61 130.2-50zm0 217.17c-48.16-26.38-118.64-58.1-130.2-50s91.42 80.35 106.69 88.74c.92.51 1.8 1 2.63 1.41a23.07 23.07 0 0 0 20.88-40.15zM464.21 237c-.95 0-1.95-.06-3-.06-17.4 0-142.52 13.76-136.24 26.51s83.3 18.74 138.21 18.76a23 23 0 0 0 1-45.21zM31 96.65a24.88 24.88 0 0 1 46.14-18.4l81 205.06h1.21l77-203.53a23.52 23.52 0 0 1 44.45 15.27L171.2 368.44C152.65 415.66 134.08 448 77.91 448a139.67 139.67 0 0 1-23.81-1.95 21.31 21.31 0 0 1 6.9-41.77c.66.06 10.91.66 13.86.66 30.47 0 43.74-18.94 58.07-59.41z"}}]})(props);
};
function FaYandexInternational (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M129.5 512V345.9L18.5 48h55.8l81.8 229.7L250.2 0h51.3L180.8 347.8V512h-51.3z"}}]})(props);
};
function FaYandex (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M153.1 315.8L65.7 512H2l96-209.8c-45.1-22.9-75.2-64.4-75.2-141.1C22.7 53.7 90.8 0 171.7 0H254v512h-55.1V315.8h-45.8zm45.8-269.3h-29.4c-44.4 0-87.4 29.4-87.4 114.6 0 82.3 39.4 108.8 87.4 108.8h29.4V46.5z"}}]})(props);
};
function FaYarn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M393.9 345.2c-39 9.3-48.4 32.1-104 47.4 0 0-2.7 4-10.4 5.8-13.4 3.3-63.9 6-68.5 6.1-12.4.1-19.9-3.2-22-8.2-6.4-15.3 9.2-22 9.2-22-8.1-5-9-9.9-9.8-8.1-2.4 5.8-3.6 20.1-10.1 26.5-8.8 8.9-25.5 5.9-35.3.8-10.8-5.7.8-19.2.8-19.2s-5.8 3.4-10.5-3.6c-6-9.3-17.1-37.3 11.5-62-1.3-10.1-4.6-53.7 40.6-85.6 0 0-20.6-22.8-12.9-43.3 5-13.4 7-13.3 8.6-13.9 5.7-2.2 11.3-4.6 15.4-9.1 20.6-22.2 46.8-18 46.8-18s12.4-37.8 23.9-30.4c3.5 2.3 16.3 30.6 16.3 30.6s13.6-7.9 15.1-5c8.2 16 9.2 46.5 5.6 65.1-6.1 30.6-21.4 47.1-27.6 57.5-1.4 2.4 16.5 10 27.8 41.3 10.4 28.6 1.1 52.7 2.8 55.3.8 1.4 13.7.8 36.4-13.2 12.8-7.9 28.1-16.9 45.4-17 16.7-.5 17.6 19.2 4.9 22.2zM496 256c0 136.9-111.1 248-248 248S0 392.9 0 256 111.1 8 248 8s248 111.1 248 248zm-79.3 75.2c-1.7-13.6-13.2-23-28-22.8-22 .3-40.5 11.7-52.8 19.2-4.8 3-8.9 5.2-12.4 6.8 3.1-44.5-22.5-73.1-28.7-79.4 7.8-11.3 18.4-27.8 23.4-53.2 4.3-21.7 3-55.5-6.9-74.5-1.6-3.1-7.4-11.2-21-7.4-9.7-20-13-22.1-15.6-23.8-1.1-.7-23.6-16.4-41.4 28-12.2.9-31.3 5.3-47.5 22.8-2 2.2-5.9 3.8-10.1 5.4h.1c-8.4 3-12.3 9.9-16.9 22.3-6.5 17.4.2 34.6 6.8 45.7-17.8 15.9-37 39.8-35.7 82.5-34 36-11.8 73-5.6 79.6-1.6 11.1 3.7 19.4 12 23.8 12.6 6.7 30.3 9.6 43.9 2.8 4.9 5.2 13.8 10.1 30 10.1 6.8 0 58-2.9 72.6-6.5 6.8-1.6 11.5-4.5 14.6-7.1 9.8-3.1 36.8-12.3 62.2-28.7 18-11.7 24.2-14.2 37.6-17.4 12.9-3.2 21-15.1 19.4-28.2z"}}]})(props);
};
function FaYelp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M42.9 240.32l99.62 48.61c19.2 9.4 16.2 37.51-4.5 42.71L30.5 358.45a22.79 22.79 0 0 1-28.21-19.6 197.16 197.16 0 0 1 9-85.32 22.8 22.8 0 0 1 31.61-13.21zm44 239.25a199.45 199.45 0 0 0 79.42 32.11A22.78 22.78 0 0 0 192.94 490l3.9-110.82c.7-21.3-25.5-31.91-39.81-16.1l-74.21 82.4a22.82 22.82 0 0 0 4.09 34.09zm145.34-109.92l58.81 94a22.93 22.93 0 0 0 34 5.5 198.36 198.36 0 0 0 52.71-67.61A23 23 0 0 0 364.17 370l-105.42-34.26c-20.31-6.5-37.81 15.8-26.51 33.91zm148.33-132.23a197.44 197.44 0 0 0-50.41-69.31 22.85 22.85 0 0 0-34 4.4l-62 91.92c-11.9 17.7 4.7 40.61 25.2 34.71L366 268.63a23 23 0 0 0 14.61-31.21zM62.11 30.18a22.86 22.86 0 0 0-9.9 32l104.12 180.44c11.7 20.2 42.61 11.9 42.61-11.4V22.88a22.67 22.67 0 0 0-24.5-22.8 320.37 320.37 0 0 0-112.33 30.1z"}}]})(props);
};
function FaYoast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M91.3 76h186l-7 18.9h-179c-39.7 0-71.9 31.6-71.9 70.3v205.4c0 35.4 24.9 70.3 84 70.3V460H91.3C41.2 460 0 419.8 0 370.5V165.2C0 115.9 40.7 76 91.3 76zm229.1-56h66.5C243.1 398.1 241.2 418.9 202.2 459.3c-20.8 21.6-49.3 31.7-78.3 32.7v-51.1c49.2-7.7 64.6-49.9 64.6-75.3 0-20.1.6-12.6-82.1-223.2h61.4L218.2 299 320.4 20zM448 161.5V460H234c6.6-9.6 10.7-16.3 12.1-19.4h182.5V161.5c0-32.5-17.1-51.9-48.2-62.9l6.7-17.6c41.7 13.6 60.9 43.1 60.9 80.5z"}}]})(props);
};
function FaYoutubeSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M186.8 202.1l95.2 54.1-95.2 54.1V202.1zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-42 176.3s0-59.6-7.6-88.2c-4.2-15.8-16.5-28.2-32.2-32.4C337.9 128 224 128 224 128s-113.9 0-142.2 7.7c-15.7 4.2-28 16.6-32.2 32.4-7.6 28.5-7.6 88.2-7.6 88.2s0 59.6 7.6 88.2c4.2 15.8 16.5 27.7 32.2 31.9C110.1 384 224 384 224 384s113.9 0 142.2-7.7c15.7-4.2 28-16.1 32.2-31.9 7.6-28.5 7.6-88.1 7.6-88.1z"}}]})(props);
};
function FaYoutube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M549.655 124.083c-6.281-23.65-24.787-42.276-48.284-48.597C458.781 64 288 64 288 64S117.22 64 74.629 75.486c-23.497 6.322-42.003 24.947-48.284 48.597-11.412 42.867-11.412 132.305-11.412 132.305s0 89.438 11.412 132.305c6.281 23.65 24.787 41.5 48.284 47.821C117.22 448 288 448 288 448s170.78 0 213.371-11.486c23.497-6.321 42.003-24.171 48.284-47.821 11.412-42.867 11.412-132.305 11.412-132.305s0-89.438-11.412-132.305zm-317.51 213.508V175.185l142.739 81.205-142.739 81.201z"}}]})(props);
};
function FaZhihu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M170.54 148.13v217.54l23.43.01 7.71 26.37 42.01-26.37h49.53V148.13H170.54zm97.75 193.93h-27.94l-27.9 17.51-5.08-17.47-11.9-.04V171.75h72.82v170.31zm-118.46-94.39H97.5c1.74-27.1 2.2-51.59 2.2-73.46h51.16s1.97-22.56-8.58-22.31h-88.5c3.49-13.12 7.87-26.66 13.12-40.67 0 0-24.07 0-32.27 21.57-3.39 8.9-13.21 43.14-30.7 78.12 5.89-.64 25.37-1.18 36.84-22.21 2.11-5.89 2.51-6.66 5.14-14.53h28.87c0 10.5-1.2 66.88-1.68 73.44H20.83c-11.74 0-15.56 23.62-15.56 23.62h65.58C66.45 321.1 42.83 363.12 0 396.34c20.49 5.85 40.91-.93 51-9.9 0 0 22.98-20.9 35.59-69.25l53.96 64.94s7.91-26.89-1.24-39.99c-7.58-8.92-28.06-33.06-36.79-41.81L87.9 311.95c4.36-13.98 6.99-27.55 7.87-40.67h61.65s-.09-23.62-7.59-23.62v.01zm412.02-1.6c20.83-25.64 44.98-58.57 44.98-58.57s-18.65-14.8-27.38-4.06c-6 8.15-36.83 48.2-36.83 48.2l19.23 14.43zm-150.09-59.09c-9.01-8.25-25.91 2.13-25.91 2.13s39.52 55.04 41.12 57.45l19.46-13.73s-25.67-37.61-34.66-45.86h-.01zM640 258.35c-19.78 0-130.91.93-131.06.93v-101c4.81 0 12.42-.4 22.85-1.2 40.88-2.41 70.13-4 87.77-4.81 0 0 12.22-27.19-.59-33.44-3.07-1.18-23.17 4.58-23.17 4.58s-165.22 16.49-232.36 18.05c1.6 8.82 7.62 17.08 15.78 19.55 13.31 3.48 22.69 1.7 49.15.89 24.83-1.6 43.68-2.43 56.51-2.43v99.81H351.41s2.82 22.31 25.51 22.85h107.94v70.92c0 13.97-11.19 21.99-24.48 21.12-14.08.11-26.08-1.15-41.69-1.81 1.99 3.97 6.33 14.39 19.31 21.84 9.88 4.81 16.17 6.57 26.02 6.57 29.56 0 45.67-17.28 44.89-45.31v-73.32h122.36c9.68 0 8.7-23.78 8.7-23.78l.03-.01z"}}]})(props);
};
function FaAd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M157.52 272h36.96L176 218.78 157.52 272zM352 256c-13.23 0-24 10.77-24 24s10.77 24 24 24 24-10.77 24-24-10.77-24-24-24zM464 64H48C21.5 64 0 85.5 0 112v288c0 26.5 21.5 48 48 48h416c26.5 0 48-21.5 48-48V112c0-26.5-21.5-48-48-48zM250.58 352h-16.94c-6.81 0-12.88-4.32-15.12-10.75L211.15 320h-70.29l-7.38 21.25A16 16 0 0 1 118.36 352h-16.94c-11.01 0-18.73-10.85-15.12-21.25L140 176.12A23.995 23.995 0 0 1 162.67 160h26.66A23.99 23.99 0 0 1 212 176.13l53.69 154.62c3.61 10.4-4.11 21.25-15.11 21.25zM424 336c0 8.84-7.16 16-16 16h-16c-4.85 0-9.04-2.27-11.98-5.68-8.62 3.66-18.09 5.68-28.02 5.68-39.7 0-72-32.3-72-72s32.3-72 72-72c8.46 0 16.46 1.73 24 4.42V176c0-8.84 7.16-16 16-16h16c8.84 0 16 7.16 16 16v160z"}}]})(props);
};
function FaAddressBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M436 160c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-20V48c0-26.5-21.5-48-48-48H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h320c26.5 0 48-21.5 48-48v-48h20c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-20v-64h20c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-20v-64h20zm-228-32c35.3 0 64 28.7 64 64s-28.7 64-64 64-64-28.7-64-64 28.7-64 64-64zm112 236.8c0 10.6-10 19.2-22.4 19.2H118.4C106 384 96 375.4 96 364.8v-19.2c0-31.8 30.1-57.6 67.2-57.6h5c12.3 5.1 25.7 8 39.8 8s27.6-2.9 39.8-8h5c37.1 0 67.2 25.8 67.2 57.6v19.2z"}}]})(props);
};
function FaAddressCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M528 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h480c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-352 96c35.3 0 64 28.7 64 64s-28.7 64-64 64-64-28.7-64-64 28.7-64 64-64zm112 236.8c0 10.6-10 19.2-22.4 19.2H86.4C74 384 64 375.4 64 364.8v-19.2c0-31.8 30.1-57.6 67.2-57.6h5c12.3 5.1 25.7 8 39.8 8s27.6-2.9 39.8-8h5c37.1 0 67.2 25.8 67.2 57.6v19.2zM512 312c0 4.4-3.6 8-8 8H360c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h144c4.4 0 8 3.6 8 8v16zm0-64c0 4.4-3.6 8-8 8H360c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h144c4.4 0 8 3.6 8 8v16zm0-64c0 4.4-3.6 8-8 8H360c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h144c4.4 0 8 3.6 8 8v16z"}}]})(props);
};
function FaAdjust (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M8 256c0 136.966 111.033 248 248 248s248-111.034 248-248S392.966 8 256 8 8 119.033 8 256zm248 184V72c101.705 0 184 82.311 184 184 0 101.705-82.311 184-184 184z"}}]})(props);
};
function FaAirFreshener (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M378.94 321.41L284.7 224h49.22c15.3 0 23.66-16.6 13.86-27.53L234.45 69.96c3.43-6.61 5.55-14 5.55-21.96 0-26.51-21.49-48-48-48s-48 21.49-48 48c0 7.96 2.12 15.35 5.55 21.96L36.22 196.47C26.42 207.4 34.78 224 50.08 224H99.3L5.06 321.41C-6.69 333.56 3.34 352 21.7 352H160v32H48c-8.84 0-16 7.16-16 16v96c0 8.84 7.16 16 16 16h288c8.84 0 16-7.16 16-16v-96c0-8.84-7.16-16-16-16H224v-32h138.3c18.36 0 28.39-18.44 16.64-30.59zM192 31.98c8.85 0 16.02 7.17 16.02 16.02 0 8.84-7.17 16.02-16.02 16.02S175.98 56.84 175.98 48c0-8.85 7.17-16.02 16.02-16.02zM304 432v32H80v-32h224z"}}]})(props);
};
function FaAlignCenter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M432 160H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0 256H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zM108.1 96h231.81A12.09 12.09 0 0 0 352 83.9V44.09A12.09 12.09 0 0 0 339.91 32H108.1A12.09 12.09 0 0 0 96 44.09V83.9A12.1 12.1 0 0 0 108.1 96zm231.81 256A12.09 12.09 0 0 0 352 339.9v-39.81A12.09 12.09 0 0 0 339.91 288H108.1A12.09 12.09 0 0 0 96 300.09v39.81a12.1 12.1 0 0 0 12.1 12.1z"}}]})(props);
};
function FaAlignJustify (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M432 416H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-128H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-128H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-128H16A16 16 0 0 0 0 48v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16z"}}]})(props);
};
function FaAlignLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M12.83 352h262.34A12.82 12.82 0 0 0 288 339.17v-38.34A12.82 12.82 0 0 0 275.17 288H12.83A12.82 12.82 0 0 0 0 300.83v38.34A12.82 12.82 0 0 0 12.83 352zm0-256h262.34A12.82 12.82 0 0 0 288 83.17V44.83A12.82 12.82 0 0 0 275.17 32H12.83A12.82 12.82 0 0 0 0 44.83v38.34A12.82 12.82 0 0 0 12.83 96zM432 160H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0 256H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16z"}}]})(props);
};
function FaAlignRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M16 224h416a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16zm416 192H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm3.17-384H172.83A12.82 12.82 0 0 0 160 44.83v38.34A12.82 12.82 0 0 0 172.83 96h262.34A12.82 12.82 0 0 0 448 83.17V44.83A12.82 12.82 0 0 0 435.17 32zm0 256H172.83A12.82 12.82 0 0 0 160 300.83v38.34A12.82 12.82 0 0 0 172.83 352h262.34A12.82 12.82 0 0 0 448 339.17v-38.34A12.82 12.82 0 0 0 435.17 288z"}}]})(props);
};
function FaAllergies (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M416 112c-17.6 0-32 14.4-32 32v72c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8V64c0-17.6-14.4-32-32-32s-32 14.4-32 32v152c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8V32c0-17.6-14.4-32-32-32s-32 14.4-32 32v184c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8V64c0-17.6-14.4-32-32-32S96 46.4 96 64v241l-23.6-32.5c-13-17.9-38-21.8-55.9-8.8s-21.8 38-8.8 55.9l125.6 172.7c9 12.4 23.5 19.8 38.8 19.8h197.6c22.3 0 41.6-15.3 46.7-37l26.5-112.7c3.2-13.7 4.9-28.3 5.1-42.3V144c0-17.6-14.4-32-32-32zM176 416c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zm0-96c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zm64 128c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zm0-96c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zm64 32c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zm32 64c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zm32-128c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16z"}}]})(props);
};
function FaAmbulance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624 352h-16V243.9c0-12.7-5.1-24.9-14.1-33.9L494 110.1c-9-9-21.2-14.1-33.9-14.1H416V48c0-26.5-21.5-48-48-48H48C21.5 0 0 21.5 0 48v320c0 26.5 21.5 48 48 48h16c0 53 43 96 96 96s96-43 96-96h128c0 53 43 96 96 96s96-43 96-96h48c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16zM160 464c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48zm144-248c0 4.4-3.6 8-8 8h-56v56c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-56h-56c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h56v-56c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v56h56c4.4 0 8 3.6 8 8v48zm176 248c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48zm80-208H416V144h44.1l99.9 99.9V256z"}}]})(props);
};
function FaAmericanSignLanguageInterpreting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M290.547 189.039c-20.295-10.149-44.147-11.199-64.739-3.89 42.606 0 71.208 20.475 85.578 50.576 8.576 17.899-5.148 38.071-23.617 38.071 18.429 0 32.211 20.136 23.617 38.071-14.725 30.846-46.123 50.854-80.298 50.854-.557 0-94.471-8.615-94.471-8.615l-66.406 33.347c-9.384 4.693-19.815.379-23.895-7.781L1.86 290.747c-4.167-8.615-1.111-18.897 6.946-23.621l58.072-33.069L108 159.861c6.39-57.245 34.731-109.767 79.743-146.726 11.391-9.448 28.341-7.781 37.51 3.613 9.446 11.394 7.78 28.067-3.612 37.516-12.503 10.559-23.618 22.509-32.509 35.57 21.672-14.729 46.679-24.732 74.186-28.067 14.725-1.945 28.063 8.336 29.73 23.065 1.945 14.728-8.336 28.067-23.062 29.734-16.116 1.945-31.12 7.503-44.178 15.284 26.114-5.713 58.712-3.138 88.079 11.115 13.336 6.669 18.893 22.509 12.224 35.848-6.389 13.06-22.504 18.617-35.564 12.226zm-27.229 69.472c-6.112-12.505-18.338-20.286-32.231-20.286a35.46 35.46 0 0 0-35.565 35.57c0 21.428 17.808 35.57 35.565 35.57 13.893 0 26.119-7.781 32.231-20.286 4.446-9.449 13.614-15.006 23.339-15.284-9.725-.277-18.893-5.835-23.339-15.284zm374.821-37.237c4.168 8.615 1.111 18.897-6.946 23.621l-58.071 33.069L532 352.16c-6.39 57.245-34.731 109.767-79.743 146.726-10.932 9.112-27.799 8.144-37.51-3.613-9.446-11.394-7.78-28.067 3.613-37.516 12.503-10.559 23.617-22.509 32.508-35.57-21.672 14.729-46.679 24.732-74.186 28.067-10.021 2.506-27.552-5.643-29.73-23.065-1.945-14.728 8.336-28.067 23.062-29.734 16.116-1.946 31.12-7.503 44.178-15.284-26.114 5.713-58.712 3.138-88.079-11.115-13.336-6.669-18.893-22.509-12.224-35.848 6.389-13.061 22.505-18.619 35.565-12.227 20.295 10.149 44.147 11.199 64.739 3.89-42.606 0-71.208-20.475-85.578-50.576-8.576-17.899 5.148-38.071 23.617-38.071-18.429 0-32.211-20.136-23.617-38.071 14.033-29.396 44.039-50.887 81.966-50.854l92.803 8.615 66.406-33.347c9.408-4.704 19.828-.354 23.894 7.781l44.455 88.926zm-229.227-18.618c-13.893 0-26.119 7.781-32.231 20.286-4.446 9.449-13.614 15.006-23.339 15.284 9.725.278 18.893 5.836 23.339 15.284 6.112 12.505 18.338 20.286 32.231 20.286a35.46 35.46 0 0 0 35.565-35.57c0-21.429-17.808-35.57-35.565-35.57z"}}]})(props);
};
function FaAnchor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M12.971 352h32.394C67.172 454.735 181.944 512 288 512c106.229 0 220.853-57.38 242.635-160h32.394c10.691 0 16.045-12.926 8.485-20.485l-67.029-67.029c-4.686-4.686-12.284-4.686-16.971 0l-67.029 67.029c-7.56 7.56-2.206 20.485 8.485 20.485h35.146c-20.29 54.317-84.963 86.588-144.117 94.015V256h52c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12h-52v-5.47c37.281-13.178 63.995-48.725 64-90.518C384.005 43.772 341.605.738 289.37.01 235.723-.739 192 42.525 192 96c0 41.798 26.716 77.35 64 90.53V192h-52c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h52v190.015c-58.936-7.399-123.82-39.679-144.117-94.015h35.146c10.691 0 16.045-12.926 8.485-20.485l-67.029-67.029c-4.686-4.686-12.284-4.686-16.971 0L4.485 331.515C-3.074 339.074 2.28 352 12.971 352zM288 64c17.645 0 32 14.355 32 32s-14.355 32-32 32-32-14.355-32-32 14.355-32 32-32z"}}]})(props);
};
function FaAngleDoubleDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M143 256.3L7 120.3c-9.4-9.4-9.4-24.6 0-33.9l22.6-22.6c9.4-9.4 24.6-9.4 33.9 0l96.4 96.4 96.4-96.4c9.4-9.4 24.6-9.4 33.9 0L313 86.3c9.4 9.4 9.4 24.6 0 33.9l-136 136c-9.4 9.5-24.6 9.5-34 .1zm34 192l136-136c9.4-9.4 9.4-24.6 0-33.9l-22.6-22.6c-9.4-9.4-24.6-9.4-33.9 0L160 352.1l-96.4-96.4c-9.4-9.4-24.6-9.4-33.9 0L7 278.3c-9.4 9.4-9.4 24.6 0 33.9l136 136c9.4 9.5 24.6 9.5 34 .1z"}}]})(props);
};
function FaAngleDoubleLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M223.7 239l136-136c9.4-9.4 24.6-9.4 33.9 0l22.6 22.6c9.4 9.4 9.4 24.6 0 33.9L319.9 256l96.4 96.4c9.4 9.4 9.4 24.6 0 33.9L393.7 409c-9.4 9.4-24.6 9.4-33.9 0l-136-136c-9.5-9.4-9.5-24.6-.1-34zm-192 34l136 136c9.4 9.4 24.6 9.4 33.9 0l22.6-22.6c9.4-9.4 9.4-24.6 0-33.9L127.9 256l96.4-96.4c9.4-9.4 9.4-24.6 0-33.9L201.7 103c-9.4-9.4-24.6-9.4-33.9 0l-136 136c-9.5 9.4-9.5 24.6-.1 34z"}}]})(props);
};
function FaAngleDoubleRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M224.3 273l-136 136c-9.4 9.4-24.6 9.4-33.9 0l-22.6-22.6c-9.4-9.4-9.4-24.6 0-33.9l96.4-96.4-96.4-96.4c-9.4-9.4-9.4-24.6 0-33.9L54.3 103c9.4-9.4 24.6-9.4 33.9 0l136 136c9.5 9.4 9.5 24.6.1 34zm192-34l-136-136c-9.4-9.4-24.6-9.4-33.9 0l-22.6 22.6c-9.4 9.4-9.4 24.6 0 33.9l96.4 96.4-96.4 96.4c-9.4 9.4-9.4 24.6 0 33.9l22.6 22.6c9.4 9.4 24.6 9.4 33.9 0l136-136c9.4-9.2 9.4-24.4 0-33.8z"}}]})(props);
};
function FaAngleDoubleUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M177 255.7l136 136c9.4 9.4 9.4 24.6 0 33.9l-22.6 22.6c-9.4 9.4-24.6 9.4-33.9 0L160 351.9l-96.4 96.4c-9.4 9.4-24.6 9.4-33.9 0L7 425.7c-9.4-9.4-9.4-24.6 0-33.9l136-136c9.4-9.5 24.6-9.5 34-.1zm-34-192L7 199.7c-9.4 9.4-9.4 24.6 0 33.9l22.6 22.6c9.4 9.4 24.6 9.4 33.9 0l96.4-96.4 96.4 96.4c9.4 9.4 24.6 9.4 33.9 0l22.6-22.6c9.4-9.4 9.4-24.6 0-33.9l-136-136c-9.2-9.4-24.4-9.4-33.8 0z"}}]})(props);
};
function FaAngleDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M143 352.3L7 216.3c-9.4-9.4-9.4-24.6 0-33.9l22.6-22.6c9.4-9.4 24.6-9.4 33.9 0l96.4 96.4 96.4-96.4c9.4-9.4 24.6-9.4 33.9 0l22.6 22.6c9.4 9.4 9.4 24.6 0 33.9l-136 136c-9.2 9.4-24.4 9.4-33.8 0z"}}]})(props);
};
function FaAngleLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M31.7 239l136-136c9.4-9.4 24.6-9.4 33.9 0l22.6 22.6c9.4 9.4 9.4 24.6 0 33.9L127.9 256l96.4 96.4c9.4 9.4 9.4 24.6 0 33.9L201.7 409c-9.4 9.4-24.6 9.4-33.9 0l-136-136c-9.5-9.4-9.5-24.6-.1-34z"}}]})(props);
};
function FaAngleRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M224.3 273l-136 136c-9.4 9.4-24.6 9.4-33.9 0l-22.6-22.6c-9.4-9.4-9.4-24.6 0-33.9l96.4-96.4-96.4-96.4c-9.4-9.4-9.4-24.6 0-33.9L54.3 103c9.4-9.4 24.6-9.4 33.9 0l136 136c9.5 9.4 9.5 24.6.1 34z"}}]})(props);
};
function FaAngleUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M177 159.7l136 136c9.4 9.4 9.4 24.6 0 33.9l-22.6 22.6c-9.4 9.4-24.6 9.4-33.9 0L160 255.9l-96.4 96.4c-9.4 9.4-24.6 9.4-33.9 0L7 329.7c-9.4-9.4-9.4-24.6 0-33.9l136-136c9.4-9.5 24.6-9.5 34-.1z"}}]})(props);
};
function FaAngry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zM136 240c0-9.3 4.1-17.5 10.5-23.4l-31-9.3c-8.5-2.5-13.3-11.5-10.7-19.9 2.5-8.5 11.4-13.2 19.9-10.7l80 24c8.5 2.5 13.3 11.5 10.7 19.9-2.1 6.9-8.4 11.4-15.3 11.4-.5 0-1.1-.2-1.7-.2.7 2.7 1.7 5.3 1.7 8.2 0 17.7-14.3 32-32 32S136 257.7 136 240zm168 154.2c-27.8-33.4-84.2-33.4-112.1 0-13.5 16.3-38.2-4.2-24.6-20.5 20-24 49.4-37.8 80.6-37.8s60.6 13.8 80.6 37.8c13.8 16.5-11.1 36.6-24.5 20.5zm76.6-186.9l-31 9.3c6.3 5.8 10.5 14.1 10.5 23.4 0 17.7-14.3 32-32 32s-32-14.3-32-32c0-2.9.9-5.6 1.7-8.2-.6.1-1.1.2-1.7.2-6.9 0-13.2-4.5-15.3-11.4-2.5-8.5 2.3-17.4 10.7-19.9l80-24c8.4-2.5 17.4 2.3 19.9 10.7 2.5 8.5-2.3 17.4-10.8 19.9z"}}]})(props);
};
function FaAnkh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M296 256h-44.62C272.46 222.01 288 181.65 288 144 288 55.63 230.69 0 160 0S32 55.63 32 144c0 37.65 15.54 78.01 36.62 112H24c-13.25 0-24 10.74-24 24v32c0 13.25 10.75 24 24 24h96v152c0 13.25 10.75 24 24 24h32c13.25 0 24-10.75 24-24V336h96c13.25 0 24-10.75 24-24v-32c0-13.26-10.75-24-24-24zM160 80c29.61 0 48 24.52 48 64 0 34.66-27.14 78.14-48 100.87-20.86-22.72-48-66.21-48-100.87 0-39.48 18.39-64 48-64z"}}]})(props);
};
function FaAppleAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M350.85 129c25.97 4.67 47.27 18.67 63.92 42 14.65 20.67 24.64 46.67 29.96 78 4.67 28.67 4.32 57.33-1 86-7.99 47.33-23.97 87-47.94 119-28.64 38.67-64.59 58-107.87 58-10.66 0-22.3-3.33-34.96-10-8.66-5.33-18.31-8-28.97-8s-20.3 2.67-28.97 8c-12.66 6.67-24.3 10-34.96 10-43.28 0-79.23-19.33-107.87-58-23.97-32-39.95-71.67-47.94-119-5.32-28.67-5.67-57.33-1-86 5.32-31.33 15.31-57.33 29.96-78 16.65-23.33 37.95-37.33 63.92-42 15.98-2.67 37.95-.33 65.92 7 23.97 6.67 44.28 14.67 60.93 24 16.65-9.33 36.96-17.33 60.93-24 27.98-7.33 49.96-9.67 65.94-7zm-54.94-41c-9.32 8.67-21.65 15-36.96 19-10.66 3.33-22.3 5-34.96 5l-14.98-1c-1.33-9.33-1.33-20 0-32 2.67-24 10.32-42.33 22.97-55 9.32-8.67 21.65-15 36.96-19 10.66-3.33 22.3-5 34.96-5l14.98 1 1 15c0 12.67-1.67 24.33-4.99 35-3.99 15.33-10.31 27.67-18.98 37z"}}]})(props);
};
function FaArchive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 448c0 17.7 14.3 32 32 32h384c17.7 0 32-14.3 32-32V160H32v288zm160-212c0-6.6 5.4-12 12-12h104c6.6 0 12 5.4 12 12v8c0 6.6-5.4 12-12 12H204c-6.6 0-12-5.4-12-12v-8zM480 32H32C14.3 32 0 46.3 0 64v48c0 8.8 7.2 16 16 16h480c8.8 0 16-7.2 16-16V64c0-17.7-14.3-32-32-32z"}}]})(props);
};
function FaArchway (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M560 448h-16V96H32v352H16.02c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16H176c8.84 0 16-7.16 16-16V320c0-53.02 42.98-96 96-96s96 42.98 96 96l.02 160v16c0 8.84 7.16 16 16 16H560c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16zm0-448H16C7.16 0 0 7.16 0 16v32c0 8.84 7.16 16 16 16h544c8.84 0 16-7.16 16-16V16c0-8.84-7.16-16-16-16z"}}]})(props);
};
function FaArrowAltCircleDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M504 256c0 137-111 248-248 248S8 393 8 256 119 8 256 8s248 111 248 248zM212 140v116h-70.9c-10.7 0-16.1 13-8.5 20.5l114.9 114.3c4.7 4.7 12.2 4.7 16.9 0l114.9-114.3c7.6-7.6 2.2-20.5-8.5-20.5H300V140c0-6.6-5.4-12-12-12h-64c-6.6 0-12 5.4-12 12z"}}]})(props);
};
function FaArrowAltCircleLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 504C119 504 8 393 8 256S119 8 256 8s248 111 248 248-111 248-248 248zm116-292H256v-70.9c0-10.7-13-16.1-20.5-8.5L121.2 247.5c-4.7 4.7-4.7 12.2 0 16.9l114.3 114.9c7.6 7.6 20.5 2.2 20.5-8.5V300h116c6.6 0 12-5.4 12-12v-64c0-6.6-5.4-12-12-12z"}}]})(props);
};
function FaArrowAltCircleRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8c137 0 248 111 248 248S393 504 256 504 8 393 8 256 119 8 256 8zM140 300h116v70.9c0 10.7 13 16.1 20.5 8.5l114.3-114.9c4.7-4.7 4.7-12.2 0-16.9l-114.3-115c-7.6-7.6-20.5-2.2-20.5 8.5V212H140c-6.6 0-12 5.4-12 12v64c0 6.6 5.4 12 12 12z"}}]})(props);
};
function FaArrowAltCircleUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M8 256C8 119 119 8 256 8s248 111 248 248-111 248-248 248S8 393 8 256zm292 116V256h70.9c10.7 0 16.1-13 8.5-20.5L264.5 121.2c-4.7-4.7-12.2-4.7-16.9 0l-115 114.3c-7.6 7.6-2.2 20.5 8.5 20.5H212v116c0 6.6 5.4 12 12 12h64c6.6 0 12-5.4 12-12z"}}]})(props);
};
function FaArrowCircleDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M504 256c0 137-111 248-248 248S8 393 8 256 119 8 256 8s248 111 248 248zm-143.6-28.9L288 302.6V120c0-13.3-10.7-24-24-24h-16c-13.3 0-24 10.7-24 24v182.6l-72.4-75.5c-9.3-9.7-24.8-9.9-34.3-.4l-10.9 11c-9.4 9.4-9.4 24.6 0 33.9L239 404.3c9.4 9.4 24.6 9.4 33.9 0l132.7-132.7c9.4-9.4 9.4-24.6 0-33.9l-10.9-11c-9.5-9.5-25-9.3-34.3.4z"}}]})(props);
};
function FaArrowCircleLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 504C119 504 8 393 8 256S119 8 256 8s248 111 248 248-111 248-248 248zm28.9-143.6L209.4 288H392c13.3 0 24-10.7 24-24v-16c0-13.3-10.7-24-24-24H209.4l75.5-72.4c9.7-9.3 9.9-24.8.4-34.3l-11-10.9c-9.4-9.4-24.6-9.4-33.9 0L107.7 239c-9.4 9.4-9.4 24.6 0 33.9l132.7 132.7c9.4 9.4 24.6 9.4 33.9 0l11-10.9c9.5-9.5 9.3-25-.4-34.3z"}}]})(props);
};
function FaArrowCircleRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8c137 0 248 111 248 248S393 504 256 504 8 393 8 256 119 8 256 8zm-28.9 143.6l75.5 72.4H120c-13.3 0-24 10.7-24 24v16c0 13.3 10.7 24 24 24h182.6l-75.5 72.4c-9.7 9.3-9.9 24.8-.4 34.3l11 10.9c9.4 9.4 24.6 9.4 33.9 0L404.3 273c9.4-9.4 9.4-24.6 0-33.9L271.6 106.3c-9.4-9.4-24.6-9.4-33.9 0l-11 10.9c-9.5 9.6-9.3 25.1.4 34.4z"}}]})(props);
};
function FaArrowCircleUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M8 256C8 119 119 8 256 8s248 111 248 248-111 248-248 248S8 393 8 256zm143.6 28.9l72.4-75.5V392c0 13.3 10.7 24 24 24h16c13.3 0 24-10.7 24-24V209.4l72.4 75.5c9.3 9.7 24.8 9.9 34.3.4l10.9-11c9.4-9.4 9.4-24.6 0-33.9L273 107.7c-9.4-9.4-24.6-9.4-33.9 0L106.3 240.4c-9.4 9.4-9.4 24.6 0 33.9l10.9 11c9.6 9.5 25.1 9.3 34.4-.4z"}}]})(props);
};
function FaArrowDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M413.1 222.5l22.2 22.2c9.4 9.4 9.4 24.6 0 33.9L241 473c-9.4 9.4-24.6 9.4-33.9 0L12.7 278.6c-9.4-9.4-9.4-24.6 0-33.9l22.2-22.2c9.5-9.5 25-9.3 34.3.4L184 343.4V56c0-13.3 10.7-24 24-24h32c13.3 0 24 10.7 24 24v287.4l114.8-120.5c9.3-9.8 24.8-10 34.3-.4z"}}]})(props);
};
function FaArrowLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M257.5 445.1l-22.2 22.2c-9.4 9.4-24.6 9.4-33.9 0L7 273c-9.4-9.4-9.4-24.6 0-33.9L201.4 44.7c9.4-9.4 24.6-9.4 33.9 0l22.2 22.2c9.5 9.5 9.3 25-.4 34.3L136.6 216H424c13.3 0 24 10.7 24 24v32c0 13.3-10.7 24-24 24H136.6l120.5 114.8c9.8 9.3 10 24.8.4 34.3z"}}]})(props);
};
function FaArrowRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M190.5 66.9l22.2-22.2c9.4-9.4 24.6-9.4 33.9 0L441 239c9.4 9.4 9.4 24.6 0 33.9L246.6 467.3c-9.4 9.4-24.6 9.4-33.9 0l-22.2-22.2c-9.5-9.5-9.3-25 .4-34.3L311.4 296H24c-13.3 0-24-10.7-24-24v-32c0-13.3 10.7-24 24-24h287.4L190.9 101.2c-9.8-9.3-10-24.8-.4-34.3z"}}]})(props);
};
function FaArrowUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M34.9 289.5l-22.2-22.2c-9.4-9.4-9.4-24.6 0-33.9L207 39c9.4-9.4 24.6-9.4 33.9 0l194.3 194.3c9.4 9.4 9.4 24.6 0 33.9L413 289.4c-9.5 9.5-25 9.3-34.3-.4L264 168.6V456c0 13.3-10.7 24-24 24h-32c-13.3 0-24-10.7-24-24V168.6L69.2 289.1c-9.3 9.8-24.8 10-34.3.4z"}}]})(props);
};
function FaArrowsAltH (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M377.941 169.941V216H134.059v-46.059c0-21.382-25.851-32.09-40.971-16.971L7.029 239.029c-9.373 9.373-9.373 24.568 0 33.941l86.059 86.059c15.119 15.119 40.971 4.411 40.971-16.971V296h243.882v46.059c0 21.382 25.851 32.09 40.971 16.971l86.059-86.059c9.373-9.373 9.373-24.568 0-33.941l-86.059-86.059c-15.119-15.12-40.971-4.412-40.971 16.97z"}}]})(props);
};
function FaArrowsAltV (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M214.059 377.941H168V134.059h46.059c21.382 0 32.09-25.851 16.971-40.971L144.971 7.029c-9.373-9.373-24.568-9.373-33.941 0L24.971 93.088c-15.119 15.119-4.411 40.971 16.971 40.971H88v243.882H41.941c-21.382 0-32.09 25.851-16.971 40.971l86.059 86.059c9.373 9.373 24.568 9.373 33.941 0l86.059-86.059c15.12-15.119 4.412-40.971-16.97-40.971z"}}]})(props);
};
function FaArrowsAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352.201 425.775l-79.196 79.196c-9.373 9.373-24.568 9.373-33.941 0l-79.196-79.196c-15.119-15.119-4.411-40.971 16.971-40.97h51.162L228 284H127.196v51.162c0 21.382-25.851 32.09-40.971 16.971L7.029 272.937c-9.373-9.373-9.373-24.569 0-33.941L86.225 159.8c15.119-15.119 40.971-4.411 40.971 16.971V228H228V127.196h-51.23c-21.382 0-32.09-25.851-16.971-40.971l79.196-79.196c9.373-9.373 24.568-9.373 33.941 0l79.196 79.196c15.119 15.119 4.411 40.971-16.971 40.971h-51.162V228h100.804v-51.162c0-21.382 25.851-32.09 40.97-16.971l79.196 79.196c9.373 9.373 9.373 24.569 0 33.941L425.773 352.2c-15.119 15.119-40.971 4.411-40.97-16.971V284H284v100.804h51.23c21.382 0 32.09 25.851 16.971 40.971z"}}]})(props);
};
function FaAssistiveListeningSystems (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M216 260c0 15.464-12.536 28-28 28s-28-12.536-28-28c0-44.112 35.888-80 80-80s80 35.888 80 80c0 15.464-12.536 28-28 28s-28-12.536-28-28c0-13.234-10.767-24-24-24s-24 10.766-24 24zm24-176c-97.047 0-176 78.953-176 176 0 15.464 12.536 28 28 28s28-12.536 28-28c0-66.168 53.832-120 120-120s120 53.832 120 120c0 75.164-71.009 70.311-71.997 143.622L288 404c0 28.673-23.327 52-52 52-15.464 0-28 12.536-28 28s12.536 28 28 28c59.475 0 107.876-48.328 108-107.774.595-34.428 72-48.24 72-144.226 0-97.047-78.953-176-176-176zm-80 236c-17.673 0-32 14.327-32 32s14.327 32 32 32 32-14.327 32-32-14.327-32-32-32zM32 448c-17.673 0-32 14.327-32 32s14.327 32 32 32 32-14.327 32-32-14.327-32-32-32zm480-187.993c0-1.518-.012-3.025-.045-4.531C510.076 140.525 436.157 38.47 327.994 1.511c-14.633-4.998-30.549 2.809-35.55 17.442-5 14.633 2.81 30.549 17.442 35.55 85.906 29.354 144.61 110.513 146.077 201.953l.003.188c.026 1.118.033 2.236.033 3.363 0 15.464 12.536 28 28 28s28.001-12.536 28.001-28zM152.971 439.029l-80-80L39.03 392.97l80 80 33.941-33.941z"}}]})(props);
};
function FaAsterisk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M478.21 334.093L336 256l142.21-78.093c11.795-6.477 15.961-21.384 9.232-33.037l-19.48-33.741c-6.728-11.653-21.72-15.499-33.227-8.523L296 186.718l3.475-162.204C299.763 11.061 288.937 0 275.48 0h-38.96c-13.456 0-24.283 11.061-23.994 24.514L216 186.718 77.265 102.607c-11.506-6.976-26.499-3.13-33.227 8.523l-19.48 33.741c-6.728 11.653-2.562 26.56 9.233 33.037L176 256 33.79 334.093c-11.795 6.477-15.961 21.384-9.232 33.037l19.48 33.741c6.728 11.653 21.721 15.499 33.227 8.523L216 325.282l-3.475 162.204C212.237 500.939 223.064 512 236.52 512h38.961c13.456 0 24.283-11.061 23.995-24.514L296 325.282l138.735 84.111c11.506 6.976 26.499 3.13 33.227-8.523l19.48-33.741c6.728-11.653 2.563-26.559-9.232-33.036z"}}]})(props);
};
function FaAt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C118.941 8 8 118.919 8 256c0 137.059 110.919 248 248 248 48.154 0 95.342-14.14 135.408-40.223 12.005-7.815 14.625-24.288 5.552-35.372l-10.177-12.433c-7.671-9.371-21.179-11.667-31.373-5.129C325.92 429.757 291.314 440 256 440c-101.458 0-184-82.542-184-184S154.542 72 256 72c100.139 0 184 57.619 184 160 0 38.786-21.093 79.742-58.17 83.693-17.349-.454-16.91-12.857-13.476-30.024l23.433-121.11C394.653 149.75 383.308 136 368.225 136h-44.981a13.518 13.518 0 0 0-13.432 11.993l-.01.092c-14.697-17.901-40.448-21.775-59.971-21.775-74.58 0-137.831 62.234-137.831 151.46 0 65.303 36.785 105.87 96 105.87 26.984 0 57.369-15.637 74.991-38.333 9.522 34.104 40.613 34.103 70.71 34.103C462.609 379.41 504 307.798 504 232 504 95.653 394.023 8 256 8zm-21.68 304.43c-22.249 0-36.07-15.623-36.07-40.771 0-44.993 30.779-72.729 58.63-72.729 22.292 0 35.601 15.241 35.601 40.77 0 45.061-33.875 72.73-58.161 72.73z"}}]})(props);
};
function FaAtlas (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M318.38 208h-39.09c-1.49 27.03-6.54 51.35-14.21 70.41 27.71-13.24 48.02-39.19 53.3-70.41zm0-32c-5.29-31.22-25.59-57.17-53.3-70.41 7.68 19.06 12.72 43.38 14.21 70.41h39.09zM224 97.31c-7.69 7.45-20.77 34.42-23.43 78.69h46.87c-2.67-44.26-15.75-71.24-23.44-78.69zm-41.08 8.28c-27.71 13.24-48.02 39.19-53.3 70.41h39.09c1.49-27.03 6.53-51.35 14.21-70.41zm0 172.82c-7.68-19.06-12.72-43.38-14.21-70.41h-39.09c5.28 31.22 25.59 57.17 53.3 70.41zM247.43 208h-46.87c2.66 44.26 15.74 71.24 23.43 78.69 7.7-7.45 20.78-34.43 23.44-78.69zM448 358.4V25.6c0-16-9.6-25.6-25.6-25.6H96C41.6 0 0 41.6 0 96v320c0 54.4 41.6 96 96 96h326.4c12.8 0 25.6-9.6 25.6-25.6v-16c0-6.4-3.2-12.8-9.6-19.2-3.2-16-3.2-60.8 0-73.6 6.4-3.2 9.6-9.6 9.6-19.2zM224 64c70.69 0 128 57.31 128 128s-57.31 128-128 128S96 262.69 96 192 153.31 64 224 64zm160 384H96c-19.2 0-32-12.8-32-32s16-32 32-32h288v64z"}}]})(props);
};
function FaAtom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M223.99908,224a32,32,0,1,0,32.00782,32A32.06431,32.06431,0,0,0,223.99908,224Zm214.172-96c-10.877-19.5-40.50979-50.75-116.27544-41.875C300.39168,34.875,267.63386,0,223.99908,0s-76.39066,34.875-97.89653,86.125C50.3369,77.375,20.706,108.5,9.82907,128-6.54984,157.375-5.17484,201.125,34.958,256-5.17484,310.875-6.54984,354.625,9.82907,384c29.13087,52.375,101.64652,43.625,116.27348,41.875C147.60842,477.125,180.36429,512,223.99908,512s76.3926-34.875,97.89652-86.125c14.62891,1.75,87.14456,10.5,116.27544-41.875C454.55,354.625,453.175,310.875,413.04017,256,453.175,201.125,454.55,157.375,438.171,128ZM63.33886,352c-4-7.25-.125-24.75,15.00391-48.25,6.87695,6.5,14.12891,12.875,21.88087,19.125,1.625,13.75,4,27.125,6.75,40.125C82.34472,363.875,67.09081,358.625,63.33886,352Zm36.88478-162.875c-7.752,6.25-15.00392,12.625-21.88087,19.125-15.12891-23.5-19.00392-41-15.00391-48.25,3.377-6.125,16.37891-11.5,37.88478-11.5,1.75,0,3.875.375,5.75.375C104.09864,162.25,101.84864,175.625,100.22364,189.125ZM223.99908,64c9.50195,0,22.25586,13.5,33.88282,37.25-11.252,3.75-22.50391,8-33.88282,12.875-11.377-4.875-22.62892-9.125-33.88283-12.875C201.74516,77.5,214.49712,64,223.99908,64Zm0,384c-9.502,0-22.25392-13.5-33.88283-37.25,11.25391-3.75,22.50587-8,33.88283-12.875C235.378,402.75,246.62994,407,257.8819,410.75,246.25494,434.5,233.501,448,223.99908,448Zm0-112a80,80,0,1,1,80-80A80.00023,80.00023,0,0,1,223.99908,336ZM384.6593,352c-3.625,6.625-19.00392,11.875-43.63479,11,2.752-13,5.127-26.375,6.752-40.125,7.75195-6.25,15.00391-12.625,21.87891-19.125C384.7843,327.25,388.6593,344.75,384.6593,352ZM369.65538,208.25c-6.875-6.5-14.127-12.875-21.87891-19.125-1.625-13.5-3.875-26.875-6.752-40.25,1.875,0,4.002-.375,5.752-.375,21.50391,0,34.50782,5.375,37.88283,11.5C388.6593,167.25,384.7843,184.75,369.65538,208.25Z"}}]})(props);
};
function FaAudioDescription (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M162.925 238.709l8.822 30.655h-25.606l9.041-30.652c1.277-4.421 2.651-9.994 3.872-15.245 1.22 5.251 2.594 10.823 3.871 15.242zm166.474-32.099h-14.523v98.781h14.523c29.776 0 46.175-17.678 46.175-49.776 0-32.239-17.49-49.005-46.175-49.005zM512 112v288c0 26.51-21.49 48-48 48H48c-26.51 0-48-21.49-48-48V112c0-26.51 21.49-48 48-48h416c26.51 0 48 21.49 48 48zM245.459 336.139l-57.097-168A12.001 12.001 0 0 0 177 160h-35.894a12.001 12.001 0 0 0-11.362 8.139l-57.097 168C70.003 343.922 75.789 352 84.009 352h29.133a12 12 0 0 0 11.535-8.693l8.574-29.906h51.367l8.793 29.977A12 12 0 0 0 204.926 352h29.172c8.22 0 14.006-8.078 11.361-15.861zm184.701-80.525c0-58.977-37.919-95.614-98.96-95.614h-57.366c-6.627 0-12 5.373-12 12v168c0 6.627 5.373 12 12 12H331.2c61.041 0 98.96-36.933 98.96-96.386z"}}]})(props);
};
function FaAward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M97.12 362.63c-8.69-8.69-4.16-6.24-25.12-11.85-9.51-2.55-17.87-7.45-25.43-13.32L1.2 448.7c-4.39 10.77 3.81 22.47 15.43 22.03l52.69-2.01L105.56 507c8 8.44 22.04 5.81 26.43-4.96l52.05-127.62c-10.84 6.04-22.87 9.58-35.31 9.58-19.5 0-37.82-7.59-51.61-21.37zM382.8 448.7l-45.37-111.24c-7.56 5.88-15.92 10.77-25.43 13.32-21.07 5.64-16.45 3.18-25.12 11.85-13.79 13.78-32.12 21.37-51.62 21.37-12.44 0-24.47-3.55-35.31-9.58L252 502.04c4.39 10.77 18.44 13.4 26.43 4.96l36.25-38.28 52.69 2.01c11.62.44 19.82-11.27 15.43-22.03zM263 340c15.28-15.55 17.03-14.21 38.79-20.14 13.89-3.79 24.75-14.84 28.47-28.98 7.48-28.4 5.54-24.97 25.95-45.75 10.17-10.35 14.14-25.44 10.42-39.58-7.47-28.38-7.48-24.42 0-52.83 3.72-14.14-.25-29.23-10.42-39.58-20.41-20.78-18.47-17.36-25.95-45.75-3.72-14.14-14.58-25.19-28.47-28.98-27.88-7.61-24.52-5.62-44.95-26.41-10.17-10.35-25-14.4-38.89-10.61-27.87 7.6-23.98 7.61-51.9 0-13.89-3.79-28.72.25-38.89 10.61-20.41 20.78-17.05 18.8-44.94 26.41-13.89 3.79-24.75 14.84-28.47 28.98-7.47 28.39-5.54 24.97-25.95 45.75-10.17 10.35-14.15 25.44-10.42 39.58 7.47 28.36 7.48 24.4 0 52.82-3.72 14.14.25 29.23 10.42 39.59 20.41 20.78 18.47 17.35 25.95 45.75 3.72 14.14 14.58 25.19 28.47 28.98C104.6 325.96 106.27 325 121 340c13.23 13.47 33.84 15.88 49.74 5.82a39.676 39.676 0 0 1 42.53 0c15.89 10.06 36.5 7.65 49.73-5.82zM97.66 175.96c0-53.03 42.24-96.02 94.34-96.02s94.34 42.99 94.34 96.02-42.24 96.02-94.34 96.02-94.34-42.99-94.34-96.02z"}}]})(props);
};
function FaBabyCarriage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M144.8 17c-11.3-17.8-37.2-22.8-54-9.4C35.3 51.9 0 118 0 192h256L144.8 17zM496 96h-48c-35.3 0-64 28.7-64 64v64H0c0 50.6 23 96.4 60.3 130.7C25.7 363.6 0 394.7 0 432c0 44.2 35.8 80 80 80s80-35.8 80-80c0-8.9-1.8-17.2-4.4-25.2 21.6 5.9 44.6 9.2 68.4 9.2s46.9-3.3 68.4-9.2c-2.7 8-4.4 16.3-4.4 25.2 0 44.2 35.8 80 80 80s80-35.8 80-80c0-37.3-25.7-68.4-60.3-77.3C425 320.4 448 274.6 448 224v-64h48c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16zM80 464c-17.6 0-32-14.4-32-32s14.4-32 32-32 32 14.4 32 32-14.4 32-32 32zm320-32c0 17.6-14.4 32-32 32s-32-14.4-32-32 14.4-32 32-32 32 14.4 32 32z"}}]})(props);
};
function FaBaby (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M192 160c44.2 0 80-35.8 80-80S236.2 0 192 0s-80 35.8-80 80 35.8 80 80 80zm-53.4 248.8l25.6-32-61.5-51.2L56.8 383c-11.4 14.2-11.7 34.4-.8 49l48 64c7.9 10.5 19.9 16 32 16 8.3 0 16.8-2.6 24-8 17.7-13.2 21.2-38.3 8-56l-29.4-39.2zm142.7-83.2l-61.5 51.2 25.6 32L216 448c-13.2 17.7-9.7 42.8 8 56 7.2 5.4 15.6 8 24 8 12.2 0 24.2-5.5 32-16l48-64c10.9-14.6 10.6-34.8-.8-49l-45.9-57.4zM376.7 145c-12.7-18.1-37.6-22.4-55.7-9.8l-40.6 28.5c-52.7 37-124.2 37-176.8 0L63 135.3C44.9 122.6 20 127 7.3 145-5.4 163.1-1 188 17 200.7l40.6 28.5c17 11.9 35.4 20.9 54.4 27.9V288h160v-30.8c19-7 37.4-16 54.4-27.9l40.6-28.5c18.1-12.8 22.4-37.7 9.7-55.8z"}}]})(props);
};
function FaBackspace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M576 64H205.26A63.97 63.97 0 0 0 160 82.75L9.37 233.37c-12.5 12.5-12.5 32.76 0 45.25L160 429.25c12 12 28.28 18.75 45.25 18.75H576c35.35 0 64-28.65 64-64V128c0-35.35-28.65-64-64-64zm-84.69 254.06c6.25 6.25 6.25 16.38 0 22.63l-22.62 22.62c-6.25 6.25-16.38 6.25-22.63 0L384 301.25l-62.06 62.06c-6.25 6.25-16.38 6.25-22.63 0l-22.62-22.62c-6.25-6.25-6.25-16.38 0-22.63L338.75 256l-62.06-62.06c-6.25-6.25-6.25-16.38 0-22.63l22.62-22.62c6.25-6.25 16.38-6.25 22.63 0L384 210.75l62.06-62.06c6.25-6.25 16.38-6.25 22.63 0l22.62 22.62c6.25 6.25 6.25 16.38 0 22.63L429.25 256l62.06 62.06z"}}]})(props);
};
function FaBackward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M11.5 280.6l192 160c20.6 17.2 52.5 2.8 52.5-24.6V96c0-27.4-31.9-41.8-52.5-24.6l-192 160c-15.3 12.8-15.3 36.4 0 49.2zm256 0l192 160c20.6 17.2 52.5 2.8 52.5-24.6V96c0-27.4-31.9-41.8-52.5-24.6l-192 160c-15.3 12.8-15.3 36.4 0 49.2z"}}]})(props);
};
function FaBacon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M218.92 336.39c34.89-34.89 44.2-59.7 54.05-86 10.61-28.29 21.59-57.54 61.37-97.34s69.05-50.77 97.35-61.38c23.88-9 46.64-17.68 76.79-45.37L470.81 8.91a31 31 0 0 0-40.18-2.83c-13.64 10.1-25.15 14.39-41 20.3C247 79.52 209.26 191.29 200.65 214.1c-29.75 78.83-89.55 94.68-98.72 98.09-24.86 9.26-54.73 20.38-91.07 50.36C-3 374-3.63 395 9.07 407.61l35.76 35.51C80 410.52 107 400.15 133 390.39c26.27-9.84 51.06-19.12 85.92-54zm348-232l-35.75-35.51c-35.19 32.63-62.18 43-88.25 52.79-26.26 9.85-51.06 19.16-85.95 54s-44.19 59.69-54 86C292.33 290 281.34 319.22 241.55 359s-69 50.73-97.3 61.32c-23.86 9-46.61 17.66-76.72 45.33l37.68 37.43a31 31 0 0 0 40.18 2.82c13.6-10.06 25.09-14.34 40.94-20.24 142.2-53 180-164.1 188.94-187.69C405 219.18 464.8 203.3 474 199.86c24.87-9.27 54.74-20.4 91.11-50.41 13.89-11.4 14.52-32.45 1.82-45.05z"}}]})(props);
};
function FaBahai (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496.25 202.52l-110-15.44 41.82-104.34c6.67-16.64-11.6-32.18-26.59-22.63L307.44 120 273.35 12.82C270.64 4.27 263.32 0 256 0c-7.32 0-14.64 4.27-17.35 12.82l-34.09 107.19-94.04-59.89c-14.99-9.55-33.25 5.99-26.59 22.63l41.82 104.34-110 15.43c-17.54 2.46-21.68 26.27-6.03 34.67l98.16 52.66-74.48 83.54c-10.92 12.25-1.72 30.93 13.29 30.93 1.31 0 2.67-.14 4.07-.45l108.57-23.65-4.11 112.55c-.43 11.65 8.87 19.22 18.41 19.22 5.15 0 10.39-2.21 14.2-7.18l68.18-88.9 68.18 88.9c3.81 4.97 9.04 7.18 14.2 7.18 9.54 0 18.84-7.57 18.41-19.22l-4.11-112.55 108.57 23.65c17.36 3.76 29.21-17.2 17.35-30.49l-74.48-83.54 98.16-52.66c15.64-8.39 11.5-32.2-6.04-34.66zM338.51 311.68l-51.89-11.3 1.97 53.79L256 311.68l-32.59 42.49 1.96-53.79-51.89 11.3 35.6-39.93-46.92-25.17 52.57-7.38-19.99-49.87 44.95 28.62L256 166.72l16.29 51.23 44.95-28.62-19.99 49.87 52.57 7.38-46.92 25.17 35.61 39.93z"}}]})(props);
};
function FaBalanceScaleLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M528 448H352V153.25c20.42-8.94 36.1-26.22 43.38-47.47l132-44.26c8.38-2.81 12.89-11.88 10.08-20.26l-10.17-30.34C524.48 2.54 515.41-1.97 507.03.84L389.11 40.37C375.3 16.36 349.69 0 320 0c-44.18 0-80 35.82-80 80 0 3.43.59 6.71 1.01 10.03l-128.39 43.05c-8.38 2.81-12.89 11.88-10.08 20.26l10.17 30.34c2.81 8.38 11.88 12.89 20.26 10.08l142.05-47.63c4.07 2.77 8.43 5.12 12.99 7.12V496c0 8.84 7.16 16 16 16h224c8.84 0 16-7.16 16-16v-32c-.01-8.84-7.17-16-16.01-16zm111.98-144c0-16.18 1.34-8.73-85.05-181.51-17.65-35.29-68.19-35.36-85.87 0-87.12 174.26-85.04 165.84-85.04 181.51H384c0 44.18 57.31 80 128 80s128-35.82 128-80h-.02zM440 288l72-144 72 144H440zm-269.07-37.51c-17.65-35.29-68.19-35.36-85.87 0C-2.06 424.75.02 416.33.02 432H0c0 44.18 57.31 80 128 80s128-35.82 128-80h-.02c0-16.18 1.34-8.73-85.05-181.51zM56 416l72-144 72 144H56z"}}]})(props);
};
function FaBalanceScaleRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M96 464v32c0 8.84 7.16 16 16 16h224c8.84 0 16-7.16 16-16V153.25c4.56-2 8.92-4.35 12.99-7.12l142.05 47.63c8.38 2.81 17.45-1.71 20.26-10.08l10.17-30.34c2.81-8.38-1.71-17.45-10.08-20.26l-128.4-43.05c.42-3.32 1.01-6.6 1.01-10.03 0-44.18-35.82-80-80-80-29.69 0-55.3 16.36-69.11 40.37L132.96.83c-8.38-2.81-17.45 1.71-20.26 10.08l-10.17 30.34c-2.81 8.38 1.71 17.45 10.08 20.26l132 44.26c7.28 21.25 22.96 38.54 43.38 47.47V448H112c-8.84 0-16 7.16-16 16zM0 304c0 44.18 57.31 80 128 80s128-35.82 128-80h-.02c0-15.67 2.08-7.25-85.05-181.51-17.68-35.36-68.22-35.29-85.87 0C-1.32 295.27.02 287.82.02 304H0zm56-16l72-144 72 144H56zm328.02 144H384c0 44.18 57.31 80 128 80s128-35.82 128-80h-.02c0-15.67 2.08-7.25-85.05-181.51-17.68-35.36-68.22-35.29-85.87 0-86.38 172.78-85.04 165.33-85.04 181.51zM440 416l72-144 72 144H440z"}}]})(props);
};
function FaBalanceScale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M256 336h-.02c0-16.18 1.34-8.73-85.05-181.51-17.65-35.29-68.19-35.36-85.87 0C-2.06 328.75.02 320.33.02 336H0c0 44.18 57.31 80 128 80s128-35.82 128-80zM128 176l72 144H56l72-144zm511.98 160c0-16.18 1.34-8.73-85.05-181.51-17.65-35.29-68.19-35.36-85.87 0-87.12 174.26-85.04 165.84-85.04 181.51H384c0 44.18 57.31 80 128 80s128-35.82 128-80h-.02zM440 320l72-144 72 144H440zm88 128H352V153.25c23.51-10.29 41.16-31.48 46.39-57.25H528c8.84 0 16-7.16 16-16V48c0-8.84-7.16-16-16-16H383.64C369.04 12.68 346.09 0 320 0s-49.04 12.68-63.64 32H112c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h129.61c5.23 25.76 22.87 46.96 46.39 57.25V448H112c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h416c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16z"}}]})(props);
};
function FaBan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119.034 8 8 119.033 8 256s111.034 248 248 248 248-111.034 248-248S392.967 8 256 8zm130.108 117.892c65.448 65.448 70 165.481 20.677 235.637L150.47 105.216c70.204-49.356 170.226-44.735 235.638 20.676zM125.892 386.108c-65.448-65.448-70-165.481-20.677-235.637L361.53 406.784c-70.203 49.356-170.226 44.736-235.638-20.676z"}}]})(props);
};
function FaBandAid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M0 160v192c0 35.3 28.7 64 64 64h96V96H64c-35.3 0-64 28.7-64 64zm576-64h-96v320h96c35.3 0 64-28.7 64-64V160c0-35.3-28.7-64-64-64zM192 416h256V96H192v320zm176-232c13.3 0 24 10.7 24 24s-10.7 24-24 24-24-10.7-24-24 10.7-24 24-24zm0 96c13.3 0 24 10.7 24 24s-10.7 24-24 24-24-10.7-24-24 10.7-24 24-24zm-96-96c13.3 0 24 10.7 24 24s-10.7 24-24 24-24-10.7-24-24 10.7-24 24-24zm0 96c13.3 0 24 10.7 24 24s-10.7 24-24 24-24-10.7-24-24 10.7-24 24-24z"}}]})(props);
};
function FaBarcode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M0 448V64h18v384H0zm26.857-.273V64H36v383.727h-9.143zm27.143 0V64h8.857v383.727H54zm44.857 0V64h8.857v383.727h-8.857zm36 0V64h17.714v383.727h-17.714zm44.857 0V64h8.857v383.727h-8.857zm18 0V64h8.857v383.727h-8.857zm18 0V64h8.857v383.727h-8.857zm35.715 0V64h18v383.727h-18zm44.857 0V64h18v383.727h-18zm35.999 0V64h18.001v383.727h-18.001zm36.001 0V64h18.001v383.727h-18.001zm26.857 0V64h18v383.727h-18zm45.143 0V64h26.857v383.727h-26.857zm35.714 0V64h9.143v383.727H476zm18 .273V64h18v384h-18z"}}]})(props);
};
function FaBars (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M16 132h416c8.837 0 16-7.163 16-16V76c0-8.837-7.163-16-16-16H16C7.163 60 0 67.163 0 76v40c0 8.837 7.163 16 16 16zm0 160h416c8.837 0 16-7.163 16-16v-40c0-8.837-7.163-16-16-16H16c-8.837 0-16 7.163-16 16v40c0 8.837 7.163 16 16 16zm0 160h416c8.837 0 16-7.163 16-16v-40c0-8.837-7.163-16-16-16H16c-8.837 0-16 7.163-16 16v40c0 8.837 7.163 16 16 16z"}}]})(props);
};
function FaBaseballBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M368.5 363.9l28.8-13.9c11.1 22.9 26 43.2 44.1 60.9 34-42.5 54.5-96.3 54.5-154.9 0-58.5-20.4-112.2-54.2-154.6-17.8 17.3-32.6 37.1-43.6 59.5l-28.7-14.1c12.8-26 30-49 50.8-69C375.6 34.7 315 8 248 8 181.1 8 120.5 34.6 75.9 77.7c20.7 19.9 37.9 42.9 50.7 68.8l-28.7 14.1c-11-22.3-25.7-42.1-43.5-59.4C20.4 143.7 0 197.4 0 256c0 58.6 20.4 112.3 54.4 154.7 18.2-17.7 33.2-38 44.3-61l28.8 13.9c-12.9 26.7-30.3 50.3-51.5 70.7 44.5 43.1 105.1 69.7 172 69.7 66.8 0 127.3-26.5 171.9-69.5-21.1-20.4-38.5-43.9-51.4-70.6zm-228.3-32l-30.5-9.8c14.9-46.4 12.7-93.8-.6-134l30.4-10c15 45.6 18 99.9.7 153.8zm216.3-153.4l30.4 10c-13.2 40.1-15.5 87.5-.6 134l-30.5 9.8c-17.3-54-14.3-108.3.7-153.8z"}}]})(props);
};
function FaBasketballBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M212.3 10.3c-43.8 6.3-86.2 24.1-122.2 53.8l77.4 77.4c27.8-35.8 43.3-81.2 44.8-131.2zM248 222L405.9 64.1c-42.4-35-93.6-53.5-145.5-56.1-1.2 63.9-21.5 122.3-58.7 167.7L248 222zM56.1 98.1c-29.7 36-47.5 78.4-53.8 122.2 50-1.5 95.5-17 131.2-44.8L56.1 98.1zm272.2 204.2c45.3-37.1 103.7-57.4 167.7-58.7-2.6-51.9-21.1-103.1-56.1-145.5L282 256l46.3 46.3zM248 290L90.1 447.9c42.4 34.9 93.6 53.5 145.5 56.1 1.3-64 21.6-122.4 58.7-167.7L248 290zm191.9 123.9c29.7-36 47.5-78.4 53.8-122.2-50.1 1.6-95.5 17.1-131.2 44.8l77.4 77.4zM167.7 209.7C122.3 246.9 63.9 267.3 0 268.4c2.6 51.9 21.1 103.1 56.1 145.5L214 256l-46.3-46.3zm116 292c43.8-6.3 86.2-24.1 122.2-53.8l-77.4-77.4c-27.7 35.7-43.2 81.2-44.8 131.2z"}}]})(props);
};
function FaBath (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32,384a95.4,95.4,0,0,0,32,71.09V496a16,16,0,0,0,16,16h32a16,16,0,0,0,16-16V480H384v16a16,16,0,0,0,16,16h32a16,16,0,0,0,16-16V455.09A95.4,95.4,0,0,0,480,384V336H32ZM496,256H80V69.25a21.26,21.26,0,0,1,36.28-15l19.27,19.26c-13.13,29.88-7.61,59.11,8.62,79.73l-.17.17A16,16,0,0,0,144,176l11.31,11.31a16,16,0,0,0,22.63,0L283.31,81.94a16,16,0,0,0,0-22.63L272,48a16,16,0,0,0-22.62,0l-.17.17c-20.62-16.23-49.83-21.75-79.73-8.62L150.22,20.28A69.25,69.25,0,0,0,32,69.25V256H16A16,16,0,0,0,0,272v16a16,16,0,0,0,16,16H496a16,16,0,0,0,16-16V272A16,16,0,0,0,496,256Z"}}]})(props);
};
function FaBatteryEmpty (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M544 160v64h32v64h-32v64H64V160h480m16-64H48c-26.51 0-48 21.49-48 48v224c0 26.51 21.49 48 48 48h512c26.51 0 48-21.49 48-48v-16h8c13.255 0 24-10.745 24-24V184c0-13.255-10.745-24-24-24h-8v-16c0-26.51-21.49-48-48-48z"}}]})(props);
};
function FaBatteryFull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M544 160v64h32v64h-32v64H64V160h480m16-64H48c-26.51 0-48 21.49-48 48v224c0 26.51 21.49 48 48 48h512c26.51 0 48-21.49 48-48v-16h8c13.255 0 24-10.745 24-24V184c0-13.255-10.745-24-24-24h-8v-16c0-26.51-21.49-48-48-48zm-48 96H96v128h416V192z"}}]})(props);
};
function FaBatteryHalf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M544 160v64h32v64h-32v64H64V160h480m16-64H48c-26.51 0-48 21.49-48 48v224c0 26.51 21.49 48 48 48h512c26.51 0 48-21.49 48-48v-16h8c13.255 0 24-10.745 24-24V184c0-13.255-10.745-24-24-24h-8v-16c0-26.51-21.49-48-48-48zm-240 96H96v128h224V192z"}}]})(props);
};
function FaBatteryQuarter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M544 160v64h32v64h-32v64H64V160h480m16-64H48c-26.51 0-48 21.49-48 48v224c0 26.51 21.49 48 48 48h512c26.51 0 48-21.49 48-48v-16h8c13.255 0 24-10.745 24-24V184c0-13.255-10.745-24-24-24h-8v-16c0-26.51-21.49-48-48-48zm-336 96H96v128h128V192z"}}]})(props);
};
function FaBatteryThreeQuarters (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M544 160v64h32v64h-32v64H64V160h480m16-64H48c-26.51 0-48 21.49-48 48v224c0 26.51 21.49 48 48 48h512c26.51 0 48-21.49 48-48v-16h8c13.255 0 24-10.745 24-24V184c0-13.255-10.745-24-24-24h-8v-16c0-26.51-21.49-48-48-48zm-144 96H96v128h320V192z"}}]})(props);
};
function FaBed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M176 256c44.11 0 80-35.89 80-80s-35.89-80-80-80-80 35.89-80 80 35.89 80 80 80zm352-128H304c-8.84 0-16 7.16-16 16v144H64V80c0-8.84-7.16-16-16-16H16C7.16 64 0 71.16 0 80v352c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16v-48h512v48c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16V240c0-61.86-50.14-112-112-112z"}}]})(props);
};
function FaBeer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M368 96h-48V56c0-13.255-10.745-24-24-24H24C10.745 32 0 42.745 0 56v400c0 13.255 10.745 24 24 24h272c13.255 0 24-10.745 24-24v-42.11l80.606-35.977C429.396 365.063 448 336.388 448 304.86V176c0-44.112-35.888-80-80-80zm16 208.86a16.018 16.018 0 0 1-9.479 14.611L320 343.805V160h48c8.822 0 16 7.178 16 16v128.86zM208 384c-8.836 0-16-7.164-16-16V144c0-8.836 7.164-16 16-16s16 7.164 16 16v224c0 8.836-7.164 16-16 16zm-96 0c-8.836 0-16-7.164-16-16V144c0-8.836 7.164-16 16-16s16 7.164 16 16v224c0 8.836-7.164 16-16 16z"}}]})(props);
};
function FaBellSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M633.82 458.1l-90.62-70.05c.19-1.38.8-2.66.8-4.06.05-7.55-2.61-15.27-8.61-21.71-19.32-20.76-55.47-51.99-55.47-154.29 0-77.7-54.48-139.9-127.94-155.16V32c0-17.67-14.32-32-31.98-32s-31.98 14.33-31.98 32v20.84c-40.33 8.38-74.66 31.07-97.59 62.57L45.47 3.37C38.49-2.05 28.43-.8 23.01 6.18L3.37 31.45C-2.05 38.42-.8 48.47 6.18 53.9l588.35 454.73c6.98 5.43 17.03 4.17 22.46-2.81l19.64-25.27c5.42-6.97 4.17-17.02-2.81-22.45zM157.23 251.54c-8.61 67.96-36.41 93.33-52.62 110.75-6 6.45-8.66 14.16-8.61 21.71.11 16.4 12.98 32 32.1 32h241.92L157.23 251.54zM320 512c35.32 0 63.97-28.65 63.97-64H256.03c0 35.35 28.65 64 63.97 64z"}}]})(props);
};
function FaBell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M224 512c35.32 0 63.97-28.65 63.97-64H160.03c0 35.35 28.65 64 63.97 64zm215.39-149.71c-19.32-20.76-55.47-51.99-55.47-154.29 0-77.7-54.48-139.9-127.94-155.16V32c0-17.67-14.32-32-31.98-32s-31.98 14.33-31.98 32v20.84C118.56 68.1 64.08 130.3 64.08 208c0 102.3-36.15 133.53-55.47 154.29-6 6.45-8.66 14.16-8.61 21.71.11 16.4 12.98 32 32.1 32h383.8c19.12 0 32-15.6 32.1-32 .05-7.55-2.61-15.27-8.61-21.71z"}}]})(props);
};
function FaBezierCurve (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M368 32h-96c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h96c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32zM208 88h-84.75C113.75 64.56 90.84 48 64 48 28.66 48 0 76.65 0 112s28.66 64 64 64c26.84 0 49.75-16.56 59.25-40h79.73c-55.37 32.52-95.86 87.32-109.54 152h49.4c11.3-41.61 36.77-77.21 71.04-101.56-3.7-8.08-5.88-16.99-5.88-26.44V88zm-48 232H64c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h96c17.67 0 32-14.33 32-32v-96c0-17.67-14.33-32-32-32zM576 48c-26.84 0-49.75 16.56-59.25 40H432v72c0 9.45-2.19 18.36-5.88 26.44 34.27 24.35 59.74 59.95 71.04 101.56h49.4c-13.68-64.68-54.17-119.48-109.54-152h79.73c9.5 23.44 32.41 40 59.25 40 35.34 0 64-28.65 64-64s-28.66-64-64-64zm0 272h-96c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h96c17.67 0 32-14.33 32-32v-96c0-17.67-14.33-32-32-32z"}}]})(props);
};
function FaBible (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 358.4V25.6c0-16-9.6-25.6-25.6-25.6H96C41.6 0 0 41.6 0 96v320c0 54.4 41.6 96 96 96h326.4c12.8 0 25.6-9.6 25.6-25.6v-16c0-6.4-3.2-12.8-9.6-19.2-3.2-16-3.2-60.8 0-73.6 6.4-3.2 9.6-9.6 9.6-19.2zM144 144c0-8.84 7.16-16 16-16h48V80c0-8.84 7.16-16 16-16h32c8.84 0 16 7.16 16 16v48h48c8.84 0 16 7.16 16 16v32c0 8.84-7.16 16-16 16h-48v112c0 8.84-7.16 16-16 16h-32c-8.84 0-16-7.16-16-16V192h-48c-8.84 0-16-7.16-16-16v-32zm236.8 304H96c-19.2 0-32-12.8-32-32s16-32 32-32h284.8v64z"}}]})(props);
};
function FaBicycle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M512.509 192.001c-16.373-.064-32.03 2.955-46.436 8.495l-77.68-125.153A24 24 0 0 0 368.001 64h-64c-8.837 0-16 7.163-16 16v16c0 8.837 7.163 16 16 16h50.649l14.896 24H256.002v-16c0-8.837-7.163-16-16-16h-87.459c-13.441 0-24.777 10.999-24.536 24.437.232 13.044 10.876 23.563 23.995 23.563h48.726l-29.417 47.52c-13.433-4.83-27.904-7.483-42.992-7.52C58.094 191.83.412 249.012.002 319.236-.413 390.279 57.055 448 128.002 448c59.642 0 109.758-40.793 123.967-96h52.033a24 24 0 0 0 20.406-11.367L410.37 201.77l14.938 24.067c-25.455 23.448-41.385 57.081-41.307 94.437.145 68.833 57.899 127.051 126.729 127.719 70.606.685 128.181-55.803 129.255-125.996 1.086-70.941-56.526-129.72-127.476-129.996zM186.75 265.772c9.727 10.529 16.673 23.661 19.642 38.228h-43.306l23.664-38.228zM128.002 400c-44.112 0-80-35.888-80-80s35.888-80 80-80c5.869 0 11.586.653 17.099 1.859l-45.505 73.509C89.715 331.327 101.213 352 120.002 352h81.3c-12.37 28.225-40.562 48-73.3 48zm162.63-96h-35.624c-3.96-31.756-19.556-59.894-42.383-80.026L237.371 184h127.547l-74.286 120zm217.057 95.886c-41.036-2.165-74.049-35.692-75.627-76.755-.812-21.121 6.633-40.518 19.335-55.263l44.433 71.586c4.66 7.508 14.524 9.816 22.032 5.156l13.594-8.437c7.508-4.66 9.817-14.524 5.156-22.032l-44.468-71.643a79.901 79.901 0 0 1 19.858-2.497c44.112 0 80 35.888 80 80-.001 45.54-38.252 82.316-84.313 79.885z"}}]})(props);
};
function FaBiking (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M400 96a48 48 0 1 0-48-48 48 48 0 0 0 48 48zm-4 121a31.9 31.9 0 0 0 20 7h64a32 32 0 0 0 0-64h-52.78L356 103a31.94 31.94 0 0 0-40.81.68l-112 96a32 32 0 0 0 3.08 50.92L288 305.12V416a32 32 0 0 0 64 0V288a32 32 0 0 0-14.25-26.62l-41.36-27.57 58.25-49.92zm116 39a128 128 0 1 0 128 128 128 128 0 0 0-128-128zm0 192a64 64 0 1 1 64-64 64 64 0 0 1-64 64zM128 256a128 128 0 1 0 128 128 128 128 0 0 0-128-128zm0 192a64 64 0 1 1 64-64 64 64 0 0 1-64 64z"}}]})(props);
};
function FaBinoculars (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 48c0-8.84-7.16-16-16-16h-64c-8.84 0-16 7.16-16 16v48h96V48zM63.91 159.99C61.4 253.84 3.46 274.22 0 404v44c0 17.67 14.33 32 32 32h96c17.67 0 32-14.33 32-32V288h32V128H95.84c-17.63 0-31.45 14.37-31.93 31.99zm384.18 0c-.48-17.62-14.3-31.99-31.93-31.99H320v160h32v160c0 17.67 14.33 32 32 32h96c17.67 0 32-14.33 32-32v-44c-3.46-129.78-61.4-150.16-63.91-244.01zM176 32h-64c-8.84 0-16 7.16-16 16v48h96V48c0-8.84-7.16-16-16-16zm48 256h64V128h-64v160z"}}]})(props);
};
function FaBiohazard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M287.9 112c18.6 0 36.2 3.8 52.8 9.6 13.3-10.3 23.6-24.3 29.5-40.7-25.2-10.9-53-17-82.2-17-29.1 0-56.9 6-82.1 16.9 5.9 16.4 16.2 30.4 29.5 40.7 16.5-5.7 34-9.5 52.5-9.5zM163.6 438.7c12-11.8 20.4-26.4 24.5-42.4-32.9-26.4-54.8-65.3-58.9-109.6-8.5-2.8-17.2-4.6-26.4-4.6-7.6 0-15.2 1-22.5 3.1 4.1 62.8 35.8 118 83.3 153.5zm224.2-42.6c4.1 16 12.5 30.7 24.5 42.5 47.4-35.5 79.1-90.7 83-153.5-7.2-2-14.7-3-22.2-3-9.2 0-18 1.9-26.6 4.7-4.1 44.2-26 82.9-58.7 109.3zm113.5-205c-17.6-10.4-36.3-16.6-55.3-19.9 6-17.7 10-36.4 10-56.2 0-41-14.5-80.8-41-112.2-2.5-3-6.6-3.7-10-1.8-3.3 1.9-4.8 6-3.6 9.7 4.5 13.8 6.6 26.3 6.6 38.5 0 67.8-53.8 122.9-120 122.9S168 117 168 49.2c0-12.1 2.2-24.7 6.6-38.5 1.2-3.7-.3-7.8-3.6-9.7-3.4-1.9-7.5-1.2-10 1.8C134.6 34.2 120 74 120 115c0 19.8 3.9 38.5 10 56.2-18.9 3.3-37.7 9.5-55.3 19.9-34.6 20.5-61 53.3-74.3 92.4-1.3 3.7.2 7.7 3.5 9.8 3.3 2 7.5 1.3 10-1.6 9.4-10.8 19-19.1 29.2-25.1 57.3-33.9 130.8-13.7 163.9 45 33.1 58.7 13.4 134-43.9 167.9-10.2 6.1-22 10.4-35.8 13.4-3.7.8-6.4 4.2-6.4 8.1.1 4 2.7 7.3 6.5 8 39.7 7.8 80.6.8 115.2-19.7 18-10.6 32.9-24.5 45.3-40.1 12.4 15.6 27.3 29.5 45.3 40.1 34.6 20.5 75.5 27.5 115.2 19.7 3.8-.7 6.4-4 6.5-8 0-3.9-2.6-7.3-6.4-8.1-13.9-2.9-25.6-7.3-35.8-13.4-57.3-33.9-77-109.2-43.9-167.9s106.6-78.9 163.9-45c10.2 6.1 19.8 14.3 29.2 25.1 2.5 2.9 6.7 3.6 10 1.6s4.8-6.1 3.5-9.8c-13.1-39.1-39.5-72-74.1-92.4zm-213.4 129c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48z"}}]})(props);
};
function FaBirthdayCake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 384c-28.02 0-31.26-32-74.5-32-43.43 0-46.825 32-74.75 32-27.695 0-31.454-32-74.75-32-42.842 0-47.218 32-74.5 32-28.148 0-31.202-32-74.75-32-43.547 0-46.653 32-74.75 32v-80c0-26.5 21.5-48 48-48h16V112h64v144h64V112h64v144h64V112h64v144h16c26.5 0 48 21.5 48 48v80zm0 128H0v-96c43.356 0 46.767-32 74.75-32 27.951 0 31.253 32 74.75 32 42.843 0 47.217-32 74.5-32 28.148 0 31.201 32 74.75 32 43.357 0 46.767-32 74.75-32 27.488 0 31.252 32 74.5 32v96zM96 96c-17.75 0-32-14.25-32-32 0-31 32-23 32-64 12 0 32 29.5 32 56s-14.25 40-32 40zm128 0c-17.75 0-32-14.25-32-32 0-31 32-23 32-64 12 0 32 29.5 32 56s-14.25 40-32 40zm128 0c-17.75 0-32-14.25-32-32 0-31 32-23 32-64 12 0 32 29.5 32 56s-14.25 40-32 40z"}}]})(props);
};
function FaBlenderPhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M392 64h166.54L576 0H192v352h288l17.46-64H392c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h114.18l17.46-64H392c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h140.36l17.46-64H392c-4.42 0-8-3.58-8-8V72c0-4.42 3.58-8 8-8zM158.8 335.01l-25.78-63.26c-2.78-6.81-9.8-10.99-17.24-10.26l-45.03 4.42c-17.28-46.94-17.65-99.78 0-147.72l45.03 4.42c7.43.73 14.46-3.46 17.24-10.26l25.78-63.26c3.02-7.39.2-15.85-6.68-20.07l-39.28-24.1C98.51-3.87 80.09-.5 68.95 11.97c-92.57 103.6-92 259.55 2.1 362.49 9.87 10.8 29.12 12.48 41.65 4.8l39.41-24.18c6.89-4.22 9.7-12.67 6.69-20.07zM480 384H192c-35.35 0-64 28.65-64 64v32c0 17.67 14.33 32 32 32h352c17.67 0 32-14.33 32-32v-32c0-35.35-28.65-64-64-64zm-144 96c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z"}}]})(props);
};
function FaBlender (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 384H160c-35.35 0-64 28.65-64 64v32c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32v-32c0-35.35-28.65-64-64-64zm-128 96c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm40-416h166.54L512 0H48C21.49 0 0 21.49 0 48v160c0 26.51 21.49 48 48 48h103.27l8.73 96h256l17.46-64H328c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h114.18l17.46-64H328c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h140.36l17.46-64H328c-4.42 0-8-3.58-8-8V72c0-4.42 3.58-8 8-8zM64 192V64h69.82l11.64 128H64z"}}]})(props);
};
function FaBlind (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M380.15 510.837a8 8 0 0 1-10.989-2.687l-125.33-206.427a31.923 31.923 0 0 0 12.958-9.485l126.048 207.608a8 8 0 0 1-2.687 10.991zM142.803 314.338l-32.54 89.485 36.12 88.285c6.693 16.36 25.377 24.192 41.733 17.501 16.357-6.692 24.193-25.376 17.501-41.734l-62.814-153.537zM96 88c24.301 0 44-19.699 44-44S120.301 0 96 0 52 19.699 52 44s19.699 44 44 44zm154.837 169.128l-120-152c-4.733-5.995-11.75-9.108-18.837-9.112V96H80v.026c-7.146.003-14.217 3.161-18.944 9.24L0 183.766v95.694c0 13.455 11.011 24.791 24.464 24.536C37.505 303.748 48 293.1 48 280v-79.766l16-20.571v140.698L9.927 469.055c-6.04 16.609 2.528 34.969 19.138 41.009 16.602 6.039 34.968-2.524 41.009-19.138L136 309.638V202.441l-31.406-39.816a4 4 0 1 1 6.269-4.971l102.3 129.217c9.145 11.584 24.368 11.339 33.708 3.965 10.41-8.216 12.159-23.334 3.966-33.708z"}}]})(props);
};
function FaBlog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M172.2 226.8c-14.6-2.9-28.2 8.9-28.2 23.8V301c0 10.2 7.1 18.4 16.7 22 18.2 6.8 31.3 24.4 31.3 45 0 26.5-21.5 48-48 48s-48-21.5-48-48V120c0-13.3-10.7-24-24-24H24c-13.3 0-24 10.7-24 24v248c0 89.5 82.1 160.2 175 140.7 54.4-11.4 98.3-55.4 109.7-109.7 17.4-82.9-37-157.2-112.5-172.2zM209 0c-9.2-.5-17 6.8-17 16v31.6c0 8.5 6.6 15.5 15 15.9 129.4 7 233.4 112 240.9 241.5.5 8.4 7.5 15 15.9 15h32.1c9.2 0 16.5-7.8 16-17C503.4 139.8 372.2 8.6 209 0zm.3 96c-9.3-.7-17.3 6.7-17.3 16.1v32.1c0 8.4 6.5 15.3 14.8 15.9 76.8 6.3 138 68.2 144.9 145.2.8 8.3 7.6 14.7 15.9 14.7h32.2c9.3 0 16.8-8 16.1-17.3-8.4-110.1-96.5-198.2-206.6-206.7z"}}]})(props);
};
function FaBold (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M333.49 238a122 122 0 0 0 27-65.21C367.87 96.49 308 32 233.42 32H34a16 16 0 0 0-16 16v48a16 16 0 0 0 16 16h31.87v288H34a16 16 0 0 0-16 16v48a16 16 0 0 0 16 16h209.32c70.8 0 134.14-51.75 141-122.4 4.74-48.45-16.39-92.06-50.83-119.6zM145.66 112h87.76a48 48 0 0 1 0 96h-87.76zm87.76 288h-87.76V288h87.76a56 56 0 0 1 0 112z"}}]})(props);
};
function FaBolt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M296 160H180.6l42.6-129.8C227.2 15 215.7 0 200 0H56C44 0 33.8 8.9 32.2 20.8l-32 240C-1.7 275.2 9.5 288 24 288h118.7L96.6 482.5c-3.6 15.2 8 29.5 23.3 29.5 8.4 0 16.4-4.4 20.8-12l176-304c9.3-15.9-2.2-36-20.7-36z"}}]})(props);
};
function FaBomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440.5 88.5l-52 52L415 167c9.4 9.4 9.4 24.6 0 33.9l-17.4 17.4c11.8 26.1 18.4 55.1 18.4 85.6 0 114.9-93.1 208-208 208S0 418.9 0 304 93.1 96 208 96c30.5 0 59.5 6.6 85.6 18.4L311 97c9.4-9.4 24.6-9.4 33.9 0l26.5 26.5 52-52 17.1 17zM500 60h-24c-6.6 0-12 5.4-12 12s5.4 12 12 12h24c6.6 0 12-5.4 12-12s-5.4-12-12-12zM440 0c-6.6 0-12 5.4-12 12v24c0 6.6 5.4 12 12 12s12-5.4 12-12V12c0-6.6-5.4-12-12-12zm33.9 55l17-17c4.7-4.7 4.7-12.3 0-17-4.7-4.7-12.3-4.7-17 0l-17 17c-4.7 4.7-4.7 12.3 0 17 4.8 4.7 12.4 4.7 17 0zm-67.8 0c4.7 4.7 12.3 4.7 17 0 4.7-4.7 4.7-12.3 0-17l-17-17c-4.7-4.7-12.3-4.7-17 0-4.7 4.7-4.7 12.3 0 17l17 17zm67.8 34c-4.7-4.7-12.3-4.7-17 0-4.7 4.7-4.7 12.3 0 17l17 17c4.7 4.7 12.3 4.7 17 0 4.7-4.7 4.7-12.3 0-17l-17-17zM112 272c0-35.3 28.7-64 64-64 8.8 0 16-7.2 16-16s-7.2-16-16-16c-52.9 0-96 43.1-96 96 0 8.8 7.2 16 16 16s16-7.2 16-16z"}}]})(props);
};
function FaBone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M598.88 244.56c25.2-12.6 41.12-38.36 41.12-66.53v-7.64C640 129.3 606.7 96 565.61 96c-32.02 0-60.44 20.49-70.57 50.86-7.68 23.03-11.6 45.14-38.11 45.14H183.06c-27.38 0-31.58-25.54-38.11-45.14C134.83 116.49 106.4 96 74.39 96 33.3 96 0 129.3 0 170.39v7.64c0 28.17 15.92 53.93 41.12 66.53 9.43 4.71 9.43 18.17 0 22.88C15.92 280.04 0 305.8 0 333.97v7.64C0 382.7 33.3 416 74.38 416c32.02 0 60.44-20.49 70.57-50.86 7.68-23.03 11.6-45.14 38.11-45.14h273.87c27.38 0 31.58 25.54 38.11 45.14C505.17 395.51 533.6 416 565.61 416c41.08 0 74.38-33.3 74.38-74.39v-7.64c0-28.18-15.92-53.93-41.12-66.53-9.42-4.71-9.42-18.17.01-22.88z"}}]})(props);
};
function FaBong (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M302.5 512c23.18 0 44.43-12.58 56-32.66C374.69 451.26 384 418.75 384 384c0-36.12-10.08-69.81-27.44-98.62L400 241.94l9.38 9.38c6.25 6.25 16.38 6.25 22.63 0l11.3-11.32c6.25-6.25 6.25-16.38 0-22.63l-52.69-52.69c-6.25-6.25-16.38-6.25-22.63 0l-11.31 11.31c-6.25 6.25-6.25 16.38 0 22.63l9.38 9.38-39.41 39.41c-11.56-11.37-24.53-21.33-38.65-29.51V63.74l15.97-.02c8.82-.01 15.97-7.16 15.98-15.98l.04-31.72C320 7.17 312.82-.01 303.97 0L80.03.26c-8.82.01-15.97 7.16-15.98 15.98l-.04 31.73c-.01 8.85 7.17 16.02 16.02 16.01L96 63.96v153.93C38.67 251.1 0 312.97 0 384c0 34.75 9.31 67.27 25.5 95.34C37.08 499.42 58.33 512 81.5 512h221zM120.06 259.43L144 245.56V63.91l96-.11v181.76l23.94 13.87c24.81 14.37 44.12 35.73 56.56 60.57h-257c12.45-24.84 31.75-46.2 56.56-60.57z"}}]})(props);
};
function FaBookDead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M272 136c8.8 0 16-7.2 16-16s-7.2-16-16-16-16 7.2-16 16 7.2 16 16 16zm176 222.4V25.6c0-16-9.6-25.6-25.6-25.6H96C41.6 0 0 41.6 0 96v320c0 54.4 41.6 96 96 96h326.4c12.8 0 25.6-9.6 25.6-25.6v-16c0-6.4-3.2-12.8-9.6-19.2-3.2-16-3.2-60.8 0-73.6 6.4-3.2 9.6-9.6 9.6-19.2zM240 56c44.2 0 80 28.7 80 64 0 20.9-12.7 39.2-32 50.9V184c0 8.8-7.2 16-16 16h-64c-8.8 0-16-7.2-16-16v-13.1c-19.3-11.7-32-30-32-50.9 0-35.3 35.8-64 80-64zM124.8 223.3l6.3-14.7c1.7-4.1 6.4-5.9 10.5-4.2l98.3 42.1 98.4-42.1c4.1-1.7 8.8.1 10.5 4.2l6.3 14.7c1.7 4.1-.1 8.8-4.2 10.5L280.6 264l70.3 30.1c4.1 1.7 5.9 6.4 4.2 10.5l-6.3 14.7c-1.7 4.1-6.4 5.9-10.5 4.2L240 281.4l-98.3 42.2c-4.1 1.7-8.8-.1-10.5-4.2l-6.3-14.7c-1.7-4.1.1-8.8 4.2-10.5l70.4-30.1-70.5-30.3c-4.1-1.7-5.9-6.4-4.2-10.5zm256 224.7H96c-19.2 0-32-12.8-32-32s16-32 32-32h284.8zM208 136c8.8 0 16-7.2 16-16s-7.2-16-16-16-16 7.2-16 16 7.2 16 16 16z"}}]})(props);
};
function FaBookMedical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 358.4V25.6c0-16-9.6-25.6-25.6-25.6H96C41.6 0 0 41.6 0 96v320c0 54.4 41.6 96 96 96h326.4c12.8 0 25.6-9.6 25.6-25.6v-16q0-9.6-9.6-19.2c-3.2-16-3.2-60.8 0-73.6q9.6-4.8 9.6-19.2zM144 168a8 8 0 0 1 8-8h56v-56a8 8 0 0 1 8-8h48a8 8 0 0 1 8 8v56h56a8 8 0 0 1 8 8v48a8 8 0 0 1-8 8h-56v56a8 8 0 0 1-8 8h-48a8 8 0 0 1-8-8v-56h-56a8 8 0 0 1-8-8zm236.8 280H96c-19.2 0-32-12.8-32-32s16-32 32-32h284.8z"}}]})(props);
};
function FaBookOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M542.22 32.05c-54.8 3.11-163.72 14.43-230.96 55.59-4.64 2.84-7.27 7.89-7.27 13.17v363.87c0 11.55 12.63 18.85 23.28 13.49 69.18-34.82 169.23-44.32 218.7-46.92 16.89-.89 30.02-14.43 30.02-30.66V62.75c.01-17.71-15.35-31.74-33.77-30.7zM264.73 87.64C197.5 46.48 88.58 35.17 33.78 32.05 15.36 31.01 0 45.04 0 62.75V400.6c0 16.24 13.13 29.78 30.02 30.66 49.49 2.6 149.59 12.11 218.77 46.95 10.62 5.35 23.21-1.94 23.21-13.46V100.63c0-5.29-2.62-10.14-7.27-12.99z"}}]})(props);
};
function FaBookReader (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 96c0-53.02-42.98-96-96-96s-96 42.98-96 96 42.98 96 96 96 96-42.98 96-96zM233.59 241.1c-59.33-36.32-155.43-46.3-203.79-49.05C13.55 191.13 0 203.51 0 219.14v222.8c0 14.33 11.59 26.28 26.49 27.05 43.66 2.29 131.99 10.68 193.04 41.43 9.37 4.72 20.48-1.71 20.48-11.87V252.56c-.01-4.67-2.32-8.95-6.42-11.46zm248.61-49.05c-48.35 2.74-144.46 12.73-203.78 49.05-4.1 2.51-6.41 6.96-6.41 11.63v245.79c0 10.19 11.14 16.63 20.54 11.9 61.04-30.72 149.32-39.11 192.97-41.4 14.9-.78 26.49-12.73 26.49-27.06V219.14c-.01-15.63-13.56-28.01-29.81-27.09z"}}]})(props);
};
function FaBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 360V24c0-13.3-10.7-24-24-24H96C43 0 0 43 0 96v320c0 53 43 96 96 96h328c13.3 0 24-10.7 24-24v-16c0-7.5-3.5-14.3-8.9-18.7-4.2-15.4-4.2-59.3 0-74.7 5.4-4.3 8.9-11.1 8.9-18.6zM128 134c0-3.3 2.7-6 6-6h212c3.3 0 6 2.7 6 6v20c0 3.3-2.7 6-6 6H134c-3.3 0-6-2.7-6-6v-20zm0 64c0-3.3 2.7-6 6-6h212c3.3 0 6 2.7 6 6v20c0 3.3-2.7 6-6 6H134c-3.3 0-6-2.7-6-6v-20zm253.4 250H96c-17.7 0-32-14.3-32-32 0-17.6 14.4-32 32-32h285.4c-1.9 17.1-1.9 46.9 0 64z"}}]})(props);
};
function FaBookmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M0 512V48C0 21.49 21.49 0 48 0h288c26.51 0 48 21.49 48 48v464L192 400 0 512z"}}]})(props);
};
function FaBorderAll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M416 32H32A32 32 0 0 0 0 64v384a32 32 0 0 0 32 32h384a32 32 0 0 0 32-32V64a32 32 0 0 0-32-32zm-32 64v128H256V96zm-192 0v128H64V96zM64 416V288h128v128zm192 0V288h128v128z"}}]})(props);
};
function FaBorderNone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M240 224h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm96 0h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm96 0h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm-288 0h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm96 192h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm96 0h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm96 0h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-96h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-192h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zM240 320h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-192h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm-96 288h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm96-384h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16zm96 0h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16zm96 0h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16zM48 224H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0 192H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-96H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-192H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-96H16A16 16 0 0 0 0 48v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16zm96 0h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16z"}}]})(props);
};
function FaBorderStyle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M240 416h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm-96 0h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm192 0h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm96-192h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0 96h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0 96h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-288h-32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-96H32A32 32 0 0 0 0 64v400a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V96h368a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16z"}}]})(props);
};
function FaBowlingBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zM120 192c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm64-96c0-17.7 14.3-32 32-32s32 14.3 32 32-14.3 32-32 32-32-14.3-32-32zm48 144c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}}]})(props);
};
function FaBoxOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M425.7 256c-16.9 0-32.8-9-41.4-23.4L320 126l-64.2 106.6c-8.7 14.5-24.6 23.5-41.5 23.5-4.5 0-9-.6-13.3-1.9L64 215v178c0 14.7 10 27.5 24.2 31l216.2 54.1c10.2 2.5 20.9 2.5 31 0L551.8 424c14.2-3.6 24.2-16.4 24.2-31V215l-137 39.1c-4.3 1.3-8.8 1.9-13.3 1.9zm212.6-112.2L586.8 41c-3.1-6.2-9.8-9.8-16.7-8.9L320 64l91.7 152.1c3.8 6.3 11.4 9.3 18.5 7.3l197.9-56.5c9.9-2.9 14.7-13.9 10.2-23.1zM53.2 41L1.7 143.8c-4.6 9.2.3 20.2 10.1 23l197.9 56.5c7.1 2 14.7-1 18.5-7.3L320 64 69.8 32.1c-6.9-.8-13.5 2.7-16.6 8.9z"}}]})(props);
};
function FaBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M509.5 184.6L458.9 32.8C452.4 13.2 434.1 0 413.4 0H272v192h238.7c-.4-2.5-.4-5-1.2-7.4zM240 0H98.6c-20.7 0-39 13.2-45.5 32.8L2.5 184.6c-.8 2.4-.8 4.9-1.2 7.4H240V0zM0 224v240c0 26.5 21.5 48 48 48h416c26.5 0 48-21.5 48-48V224H0z"}}]})(props);
};
function FaBoxes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M560 288h-80v96l-32-21.3-32 21.3v-96h-80c-8.8 0-16 7.2-16 16v192c0 8.8 7.2 16 16 16h224c8.8 0 16-7.2 16-16V304c0-8.8-7.2-16-16-16zm-384-64h224c8.8 0 16-7.2 16-16V16c0-8.8-7.2-16-16-16h-80v96l-32-21.3L256 96V0h-80c-8.8 0-16 7.2-16 16v192c0 8.8 7.2 16 16 16zm64 64h-80v96l-32-21.3L96 384v-96H16c-8.8 0-16 7.2-16 16v192c0 8.8 7.2 16 16 16h224c8.8 0 16-7.2 16-16V304c0-8.8-7.2-16-16-16z"}}]})(props);
};
function FaBraille (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M128 256c0 35.346-28.654 64-64 64S0 291.346 0 256s28.654-64 64-64 64 28.654 64 64zM64 384c-17.673 0-32 14.327-32 32s14.327 32 32 32 32-14.327 32-32-14.327-32-32-32zm0-352C28.654 32 0 60.654 0 96s28.654 64 64 64 64-28.654 64-64-28.654-64-64-64zm160 192c-17.673 0-32 14.327-32 32s14.327 32 32 32 32-14.327 32-32-14.327-32-32-32zm0 160c-17.673 0-32 14.327-32 32s14.327 32 32 32 32-14.327 32-32-14.327-32-32-32zm0-352c-35.346 0-64 28.654-64 64s28.654 64 64 64 64-28.654 64-64-28.654-64-64-64zm224 192c-17.673 0-32 14.327-32 32s14.327 32 32 32 32-14.327 32-32-14.327-32-32-32zm0 160c-17.673 0-32 14.327-32 32s14.327 32 32 32 32-14.327 32-32-14.327-32-32-32zm0-352c-35.346 0-64 28.654-64 64s28.654 64 64 64 64-28.654 64-64-28.654-64-64-64zm160 192c-17.673 0-32 14.327-32 32s14.327 32 32 32 32-14.327 32-32-14.327-32-32-32zm0 160c-17.673 0-32 14.327-32 32s14.327 32 32 32 32-14.327 32-32-14.327-32-32-32zm0-320c-17.673 0-32 14.327-32 32s14.327 32 32 32 32-14.327 32-32-14.327-32-32-32z"}}]})(props);
};
function FaBrain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M208 0c-29.9 0-54.7 20.5-61.8 48.2-.8 0-1.4-.2-2.2-.2-35.3 0-64 28.7-64 64 0 4.8.6 9.5 1.7 14C52.5 138 32 166.6 32 200c0 12.6 3.2 24.3 8.3 34.9C16.3 248.7 0 274.3 0 304c0 33.3 20.4 61.9 49.4 73.9-.9 4.6-1.4 9.3-1.4 14.1 0 39.8 32.2 72 72 72 4.1 0 8.1-.5 12-1.2 9.6 28.5 36.2 49.2 68 49.2 39.8 0 72-32.2 72-72V64c0-35.3-28.7-64-64-64zm368 304c0-29.7-16.3-55.3-40.3-69.1 5.2-10.6 8.3-22.3 8.3-34.9 0-33.4-20.5-62-49.7-74 1-4.5 1.7-9.2 1.7-14 0-35.3-28.7-64-64-64-.8 0-1.5.2-2.2.2C422.7 20.5 397.9 0 368 0c-35.3 0-64 28.6-64 64v376c0 39.8 32.2 72 72 72 31.8 0 58.4-20.7 68-49.2 3.9.7 7.9 1.2 12 1.2 39.8 0 72-32.2 72-72 0-4.8-.5-9.5-1.4-14.1 29-12 49.4-40.6 49.4-73.9z"}}]})(props);
};
function FaBreadSlice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M288 0C108 0 0 93.4 0 169.14 0 199.44 24.24 224 64 224v256c0 17.67 16.12 32 36 32h376c19.88 0 36-14.33 36-32V224c39.76 0 64-24.56 64-54.86C576 93.4 468 0 288 0z"}}]})(props);
};
function FaBriefcaseMedical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 128h-80V80c0-26.5-21.5-48-48-48H176c-26.5 0-48 21.5-48 48v48H48c-26.5 0-48 21.5-48 48v288c0 26.5 21.5 48 48 48h416c26.5 0 48-21.5 48-48V176c0-26.5-21.5-48-48-48zM192 96h128v32H192V96zm160 248c0 4.4-3.6 8-8 8h-56v56c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-56h-56c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h56v-56c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v56h56c4.4 0 8 3.6 8 8v48z"}}]})(props);
};
function FaBriefcase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M320 336c0 8.84-7.16 16-16 16h-96c-8.84 0-16-7.16-16-16v-48H0v144c0 25.6 22.4 48 48 48h416c25.6 0 48-22.4 48-48V288H320v48zm144-208h-80V80c0-25.6-22.4-48-48-48H176c-25.6 0-48 22.4-48 48v48H48c-25.6 0-48 22.4-48 48v80h512v-80c0-25.6-22.4-48-48-48zm-144 0H192V96h128v32z"}}]})(props);
};
function FaBroadcastTower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M150.94 192h33.73c11.01 0 18.61-10.83 14.86-21.18-4.93-13.58-7.55-27.98-7.55-42.82s2.62-29.24 7.55-42.82C203.29 74.83 195.68 64 184.67 64h-33.73c-7.01 0-13.46 4.49-15.41 11.23C130.64 92.21 128 109.88 128 128c0 18.12 2.64 35.79 7.54 52.76 1.94 6.74 8.39 11.24 15.4 11.24zM89.92 23.34C95.56 12.72 87.97 0 75.96 0H40.63c-6.27 0-12.14 3.59-14.74 9.31C9.4 45.54 0 85.65 0 128c0 24.75 3.12 68.33 26.69 118.86 2.62 5.63 8.42 9.14 14.61 9.14h34.84c12.02 0 19.61-12.74 13.95-23.37-49.78-93.32-16.71-178.15-.17-209.29zM614.06 9.29C611.46 3.58 605.6 0 599.33 0h-35.42c-11.98 0-19.66 12.66-14.02 23.25 18.27 34.29 48.42 119.42.28 209.23-5.72 10.68 1.8 23.52 13.91 23.52h35.23c6.27 0 12.13-3.58 14.73-9.29C630.57 210.48 640 170.36 640 128s-9.42-82.48-25.94-118.71zM489.06 64h-33.73c-11.01 0-18.61 10.83-14.86 21.18 4.93 13.58 7.55 27.98 7.55 42.82s-2.62 29.24-7.55 42.82c-3.76 10.35 3.85 21.18 14.86 21.18h33.73c7.02 0 13.46-4.49 15.41-11.24 4.9-16.97 7.53-34.64 7.53-52.76 0-18.12-2.64-35.79-7.54-52.76-1.94-6.75-8.39-11.24-15.4-11.24zm-116.3 100.12c7.05-10.29 11.2-22.71 11.2-36.12 0-35.35-28.63-64-63.96-64-35.32 0-63.96 28.65-63.96 64 0 13.41 4.15 25.83 11.2 36.12l-130.5 313.41c-3.4 8.15.46 17.52 8.61 20.92l29.51 12.31c8.15 3.4 17.52-.46 20.91-8.61L244.96 384h150.07l49.2 118.15c3.4 8.16 12.76 12.01 20.91 8.61l29.51-12.31c8.15-3.4 12-12.77 8.61-20.92l-130.5-313.41zM271.62 320L320 203.81 368.38 320h-96.76z"}}]})(props);
};
function FaBroom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M256.47 216.77l86.73 109.18s-16.6 102.36-76.57 150.12C206.66 523.85 0 510.19 0 510.19s3.8-23.14 11-55.43l94.62-112.17c3.97-4.7-.87-11.62-6.65-9.5l-60.4 22.09c14.44-41.66 32.72-80.04 54.6-97.47 59.97-47.76 163.3-40.94 163.3-40.94zM636.53 31.03l-19.86-25c-5.49-6.9-15.52-8.05-22.41-2.56l-232.48 177.8-34.14-42.97c-5.09-6.41-15.14-5.21-18.59 2.21l-25.33 54.55 86.73 109.18 58.8-12.45c8-1.69 11.42-11.2 6.34-17.6l-34.09-42.92 232.48-177.8c6.89-5.48 8.04-15.53 2.55-22.44z"}}]})(props);
};
function FaBrush (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M352 0H32C14.33 0 0 14.33 0 32v224h384V32c0-17.67-14.33-32-32-32zM0 320c0 35.35 28.66 64 64 64h64v64c0 35.35 28.66 64 64 64s64-28.65 64-64v-64h64c35.34 0 64-28.65 64-64v-32H0v32zm192 104c13.25 0 24 10.74 24 24 0 13.25-10.75 24-24 24s-24-10.75-24-24c0-13.26 10.75-24 24-24z"}}]})(props);
};
function FaBug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M511.988 288.9c-.478 17.43-15.217 31.1-32.653 31.1H424v16c0 21.864-4.882 42.584-13.6 61.145l60.228 60.228c12.496 12.497 12.496 32.758 0 45.255-12.498 12.497-32.759 12.496-45.256 0l-54.736-54.736C345.886 467.965 314.351 480 280 480V236c0-6.627-5.373-12-12-12h-24c-6.627 0-12 5.373-12 12v244c-34.351 0-65.886-12.035-90.636-32.108l-54.736 54.736c-12.498 12.497-32.759 12.496-45.256 0-12.496-12.497-12.496-32.758 0-45.255l60.228-60.228C92.882 378.584 88 357.864 88 336v-16H32.666C15.23 320 .491 306.33.013 288.9-.484 270.816 14.028 256 32 256h56v-58.745l-46.628-46.628c-12.496-12.497-12.496-32.758 0-45.255 12.498-12.497 32.758-12.497 45.256 0L141.255 160h229.489l54.627-54.627c12.498-12.497 32.758-12.497 45.256 0 12.496 12.497 12.496 32.758 0 45.255L424 197.255V256h56c17.972 0 32.484 14.816 31.988 32.9zM257 0c-61.856 0-112 50.144-112 112h224C369 50.144 318.856 0 257 0z"}}]})(props);
};
function FaBuilding (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M436 480h-20V24c0-13.255-10.745-24-24-24H56C42.745 0 32 10.745 32 24v456H12c-6.627 0-12 5.373-12 12v20h448v-20c0-6.627-5.373-12-12-12zM128 76c0-6.627 5.373-12 12-12h40c6.627 0 12 5.373 12 12v40c0 6.627-5.373 12-12 12h-40c-6.627 0-12-5.373-12-12V76zm0 96c0-6.627 5.373-12 12-12h40c6.627 0 12 5.373 12 12v40c0 6.627-5.373 12-12 12h-40c-6.627 0-12-5.373-12-12v-40zm52 148h-40c-6.627 0-12-5.373-12-12v-40c0-6.627 5.373-12 12-12h40c6.627 0 12 5.373 12 12v40c0 6.627-5.373 12-12 12zm76 160h-64v-84c0-6.627 5.373-12 12-12h40c6.627 0 12 5.373 12 12v84zm64-172c0 6.627-5.373 12-12 12h-40c-6.627 0-12-5.373-12-12v-40c0-6.627 5.373-12 12-12h40c6.627 0 12 5.373 12 12v40zm0-96c0 6.627-5.373 12-12 12h-40c-6.627 0-12-5.373-12-12v-40c0-6.627 5.373-12 12-12h40c6.627 0 12 5.373 12 12v40zm0-96c0 6.627-5.373 12-12 12h-40c-6.627 0-12-5.373-12-12V76c0-6.627 5.373-12 12-12h40c6.627 0 12 5.373 12 12v40z"}}]})(props);
};
function FaBullhorn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M576 240c0-23.63-12.95-44.04-32-55.12V32.01C544 23.26 537.02 0 512 0c-7.12 0-14.19 2.38-19.98 7.02l-85.03 68.03C364.28 109.19 310.66 128 256 128H64c-35.35 0-64 28.65-64 64v96c0 35.35 28.65 64 64 64h33.7c-1.39 10.48-2.18 21.14-2.18 32 0 39.77 9.26 77.35 25.56 110.94 5.19 10.69 16.52 17.06 28.4 17.06h74.28c26.05 0 41.69-29.84 25.9-50.56-16.4-21.52-26.15-48.36-26.15-77.44 0-11.11 1.62-21.79 4.41-32H256c54.66 0 108.28 18.81 150.98 52.95l85.03 68.03a32.023 32.023 0 0 0 19.98 7.02c24.92 0 32-22.78 32-32V295.13C563.05 284.04 576 263.63 576 240zm-96 141.42l-33.05-26.44C392.95 311.78 325.12 288 256 288v-96c69.12 0 136.95-23.78 190.95-66.98L480 98.58v282.84z"}}]})(props);
};
function FaBullseye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111.03 8 0 119.03 0 256s111.03 248 248 248 248-111.03 248-248S384.97 8 248 8zm0 432c-101.69 0-184-82.29-184-184 0-101.69 82.29-184 184-184 101.69 0 184 82.29 184 184 0 101.69-82.29 184-184 184zm0-312c-70.69 0-128 57.31-128 128s57.31 128 128 128 128-57.31 128-128-57.31-128-128-128zm0 192c-35.29 0-64-28.71-64-64s28.71-64 64-64 64 28.71 64 64-28.71 64-64 64z"}}]})(props);
};
function FaBurn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M192 0C79.7 101.3 0 220.9 0 300.5 0 425 79 512 192 512s192-87 192-211.5c0-79.9-80.2-199.6-192-300.5zm0 448c-56.5 0-96-39-96-94.8 0-13.5 4.6-61.5 96-161.2 91.4 99.7 96 147.7 96 161.2 0 55.8-39.5 94.8-96 94.8z"}}]})(props);
};
function FaBusAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M488 128h-8V80c0-44.8-99.2-80-224-80S32 35.2 32 80v48h-8c-13.25 0-24 10.74-24 24v80c0 13.25 10.75 24 24 24h8v160c0 17.67 14.33 32 32 32v32c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-32h192v32c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-32h6.4c16 0 25.6-12.8 25.6-25.6V256h8c13.25 0 24-10.75 24-24v-80c0-13.26-10.75-24-24-24zM160 72c0-4.42 3.58-8 8-8h176c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8H168c-4.42 0-8-3.58-8-8V72zm-48 328c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm128-112H128c-17.67 0-32-14.33-32-32v-96c0-17.67 14.33-32 32-32h112v160zm32 0V128h112c17.67 0 32 14.33 32 32v96c0 17.67-14.33 32-32 32H272zm128 112c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z"}}]})(props);
};
function FaBus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M488 128h-8V80c0-44.8-99.2-80-224-80S32 35.2 32 80v48h-8c-13.25 0-24 10.74-24 24v80c0 13.25 10.75 24 24 24h8v160c0 17.67 14.33 32 32 32v32c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-32h192v32c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-32h6.4c16 0 25.6-12.8 25.6-25.6V256h8c13.25 0 24-10.75 24-24v-80c0-13.26-10.75-24-24-24zM112 400c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm16-112c-17.67 0-32-14.33-32-32V128c0-17.67 14.33-32 32-32h256c17.67 0 32 14.33 32 32v128c0 17.67-14.33 32-32 32H128zm272 112c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z"}}]})(props);
};
function FaBusinessTime (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M496 224c-79.59 0-144 64.41-144 144s64.41 144 144 144 144-64.41 144-144-64.41-144-144-144zm64 150.29c0 5.34-4.37 9.71-9.71 9.71h-60.57c-5.34 0-9.71-4.37-9.71-9.71v-76.57c0-5.34 4.37-9.71 9.71-9.71h12.57c5.34 0 9.71 4.37 9.71 9.71V352h38.29c5.34 0 9.71 4.37 9.71 9.71v12.58zM496 192c5.4 0 10.72.33 16 .81V144c0-25.6-22.4-48-48-48h-80V48c0-25.6-22.4-48-48-48H176c-25.6 0-48 22.4-48 48v48H48c-25.6 0-48 22.4-48 48v80h395.12c28.6-20.09 63.35-32 100.88-32zM320 96H192V64h128v32zm6.82 224H208c-8.84 0-16-7.16-16-16v-48H0v144c0 25.6 22.4 48 48 48h291.43C327.1 423.96 320 396.82 320 368c0-16.66 2.48-32.72 6.82-48z"}}]})(props);
};
function FaCalculator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 0H48C22.4 0 0 22.4 0 48v416c0 25.6 22.4 48 48 48h352c25.6 0 48-22.4 48-48V48c0-25.6-22.4-48-48-48zM128 435.2c0 6.4-6.4 12.8-12.8 12.8H76.8c-6.4 0-12.8-6.4-12.8-12.8v-38.4c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v38.4zm0-128c0 6.4-6.4 12.8-12.8 12.8H76.8c-6.4 0-12.8-6.4-12.8-12.8v-38.4c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v38.4zm128 128c0 6.4-6.4 12.8-12.8 12.8h-38.4c-6.4 0-12.8-6.4-12.8-12.8v-38.4c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v38.4zm0-128c0 6.4-6.4 12.8-12.8 12.8h-38.4c-6.4 0-12.8-6.4-12.8-12.8v-38.4c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v38.4zm128 128c0 6.4-6.4 12.8-12.8 12.8h-38.4c-6.4 0-12.8-6.4-12.8-12.8V268.8c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v166.4zm0-256c0 6.4-6.4 12.8-12.8 12.8H76.8c-6.4 0-12.8-6.4-12.8-12.8V76.8C64 70.4 70.4 64 76.8 64h294.4c6.4 0 12.8 6.4 12.8 12.8v102.4z"}}]})(props);
};
function FaCalendarAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 464c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V192H0v272zm320-196c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40zm0 128c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40zM192 268c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40zm0 128c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40zM64 268c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12H76c-6.6 0-12-5.4-12-12v-40zm0 128c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12H76c-6.6 0-12-5.4-12-12v-40zM400 64h-48V16c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v48H160V16c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v48H48C21.5 64 0 85.5 0 112v48h448v-48c0-26.5-21.5-48-48-48z"}}]})(props);
};
function FaCalendarCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M436 160H12c-6.627 0-12-5.373-12-12v-36c0-26.51 21.49-48 48-48h48V12c0-6.627 5.373-12 12-12h40c6.627 0 12 5.373 12 12v52h128V12c0-6.627 5.373-12 12-12h40c6.627 0 12 5.373 12 12v52h48c26.51 0 48 21.49 48 48v36c0 6.627-5.373 12-12 12zM12 192h424c6.627 0 12 5.373 12 12v260c0 26.51-21.49 48-48 48H48c-26.51 0-48-21.49-48-48V204c0-6.627 5.373-12 12-12zm333.296 95.947l-28.169-28.398c-4.667-4.705-12.265-4.736-16.97-.068L194.12 364.665l-45.98-46.352c-4.667-4.705-12.266-4.736-16.971-.068l-28.397 28.17c-4.705 4.667-4.736 12.265-.068 16.97l82.601 83.269c4.667 4.705 12.265 4.736 16.97.068l142.953-141.805c4.705-4.667 4.736-12.265.068-16.97z"}}]})(props);
};
function FaCalendarDay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 464c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V192H0v272zm64-192c0-8.8 7.2-16 16-16h96c8.8 0 16 7.2 16 16v96c0 8.8-7.2 16-16 16H80c-8.8 0-16-7.2-16-16v-96zM400 64h-48V16c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v48H160V16c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v48H48C21.5 64 0 85.5 0 112v48h448v-48c0-26.5-21.5-48-48-48z"}}]})(props);
};
function FaCalendarMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M436 160H12c-6.6 0-12-5.4-12-12v-36c0-26.5 21.5-48 48-48h48V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h128V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h48c26.5 0 48 21.5 48 48v36c0 6.6-5.4 12-12 12zM12 192h424c6.6 0 12 5.4 12 12v260c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V204c0-6.6 5.4-12 12-12zm304 192c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12H132c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h184z"}}]})(props);
};
function FaCalendarPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M436 160H12c-6.6 0-12-5.4-12-12v-36c0-26.5 21.5-48 48-48h48V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h128V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h48c26.5 0 48 21.5 48 48v36c0 6.6-5.4 12-12 12zM12 192h424c6.6 0 12 5.4 12 12v260c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V204c0-6.6 5.4-12 12-12zm316 140c0-6.6-5.4-12-12-12h-60v-60c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v60h-60c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h60v60c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12v-60h60c6.6 0 12-5.4 12-12v-40z"}}]})(props);
};
function FaCalendarTimes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M436 160H12c-6.6 0-12-5.4-12-12v-36c0-26.5 21.5-48 48-48h48V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h128V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h48c26.5 0 48 21.5 48 48v36c0 6.6-5.4 12-12 12zM12 192h424c6.6 0 12 5.4 12 12v260c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V204c0-6.6 5.4-12 12-12zm257.3 160l48.1-48.1c4.7-4.7 4.7-12.3 0-17l-28.3-28.3c-4.7-4.7-12.3-4.7-17 0L224 306.7l-48.1-48.1c-4.7-4.7-12.3-4.7-17 0l-28.3 28.3c-4.7 4.7-4.7 12.3 0 17l48.1 48.1-48.1 48.1c-4.7 4.7-4.7 12.3 0 17l28.3 28.3c4.7 4.7 12.3 4.7 17 0l48.1-48.1 48.1 48.1c4.7 4.7 12.3 4.7 17 0l28.3-28.3c4.7-4.7 4.7-12.3 0-17L269.3 352z"}}]})(props);
};
function FaCalendarWeek (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 464c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V192H0v272zm64-192c0-8.8 7.2-16 16-16h288c8.8 0 16 7.2 16 16v64c0 8.8-7.2 16-16 16H80c-8.8 0-16-7.2-16-16v-64zM400 64h-48V16c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v48H160V16c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v48H48C21.5 64 0 85.5 0 112v48h448v-48c0-26.5-21.5-48-48-48z"}}]})(props);
};
function FaCalendar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M12 192h424c6.6 0 12 5.4 12 12v260c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V204c0-6.6 5.4-12 12-12zm436-44v-36c0-26.5-21.5-48-48-48h-48V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H160V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H48C21.5 64 0 85.5 0 112v36c0 6.6 5.4 12 12 12h424c6.6 0 12-5.4 12-12z"}}]})(props);
};
function FaCameraRetro (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48 32C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h416c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48H48zm0 32h106c3.3 0 6 2.7 6 6v20c0 3.3-2.7 6-6 6H38c-3.3 0-6-2.7-6-6V80c0-8.8 7.2-16 16-16zm426 96H38c-3.3 0-6-2.7-6-6v-36c0-3.3 2.7-6 6-6h138l30.2-45.3c1.1-1.7 3-2.7 5-2.7H464c8.8 0 16 7.2 16 16v74c0 3.3-2.7 6-6 6zM256 424c-66.2 0-120-53.8-120-120s53.8-120 120-120 120 53.8 120 120-53.8 120-120 120zm0-208c-48.5 0-88 39.5-88 88s39.5 88 88 88 88-39.5 88-88-39.5-88-88-88zm-48 104c-8.8 0-16-7.2-16-16 0-35.3 28.7-64 64-64 8.8 0 16 7.2 16 16s-7.2 16-16 16c-17.6 0-32 14.4-32 32 0 8.8-7.2 16-16 16z"}}]})(props);
};
function FaCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M512 144v288c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V144c0-26.5 21.5-48 48-48h88l12.3-32.9c7-18.7 24.9-31.1 44.9-31.1h125.5c20 0 37.9 12.4 44.9 31.1L376 96h88c26.5 0 48 21.5 48 48zM376 288c0-66.2-53.8-120-120-120s-120 53.8-120 120 53.8 120 120 120 120-53.8 120-120zm-32 0c0 48.5-39.5 88-88 88s-88-39.5-88-88 39.5-88 88-88 88 39.5 88 88z"}}]})(props);
};
function FaCampground (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624 448h-24.68L359.54 117.75l53.41-73.55c5.19-7.15 3.61-17.16-3.54-22.35l-25.9-18.79c-7.15-5.19-17.15-3.61-22.35 3.55L320 63.3 278.83 6.6c-5.19-7.15-15.2-8.74-22.35-3.55l-25.88 18.8c-7.15 5.19-8.74 15.2-3.54 22.35l53.41 73.55L40.68 448H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h608c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16zM320 288l116.36 160H203.64L320 288z"}}]})(props);
};
function FaCandyCane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M497.5 92C469.6 33.1 411.8 0 352.4 0c-27.9 0-56.2 7.3-81.8 22.6L243.1 39c-15.2 9.1-20.1 28.7-11 43.9l32.8 54.9c6 10 16.6 15.6 27.5 15.6 5.6 0 11.2-1.5 16.4-4.5l27.5-16.4c5.1-3.1 10.8-4.5 16.4-4.5 10.9 0 21.5 5.6 27.5 15.6 9.1 15.1 4.1 34.8-11 43.9L15.6 397.6c-15.2 9.1-20.1 28.7-11 43.9l32.8 54.9c6 10 16.6 15.6 27.5 15.6 5.6 0 11.2-1.5 16.4-4.5L428.6 301c71.7-42.9 104.6-133.5 68.9-209zm-177.7 13l-2.5 1.5L296.8 45c9.7-4.7 19.8-8.1 30.3-10.2l20.6 61.8c-9.8.8-19.4 3.3-27.9 8.4zM145.9 431.8l-60.5-38.5 30.8-18.3 60.5 38.5-30.8 18.3zm107.5-63.9l-60.5-38.5 30.8-18.3 60.5 38.5-30.8 18.3zM364.3 302l-60.5-38.5 30.8-18.3 60.5 38.5-30.8 18.3zm20.4-197.3l46-46c8.4 6.5 16 14.1 22.6 22.6L407.6 127c-5.7-9.3-13.7-16.9-22.9-22.3zm82.1 107.8l-59.5-19.8c3.2-5.3 5.8-10.9 7.4-17.1 1.1-4.5 1.7-9.1 1.8-13.6l60.4 20.1c-2.1 10.4-5.5 20.6-10.1 30.4z"}}]})(props);
};
function FaCannabis (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M503.47 360.25c-1.56-.82-32.39-16.89-76.78-25.81 64.25-75.12 84.05-161.67 84.93-165.64 1.18-5.33-.44-10.9-4.3-14.77-3.03-3.04-7.12-4.7-11.32-4.7-1.14 0-2.29.12-3.44.38-3.88.85-86.54 19.59-160.58 79.76.01-1.46.01-2.93.01-4.4 0-118.79-59.98-213.72-62.53-217.7A15.973 15.973 0 0 0 256 0c-5.45 0-10.53 2.78-13.47 7.37-2.55 3.98-62.53 98.91-62.53 217.7 0 1.47.01 2.94.01 4.4-74.03-60.16-156.69-78.9-160.58-79.76-1.14-.25-2.29-.38-3.44-.38-4.2 0-8.29 1.66-11.32 4.7A15.986 15.986 0 0 0 .38 168.8c.88 3.97 20.68 90.52 84.93 165.64-44.39 8.92-75.21 24.99-76.78 25.81a16.003 16.003 0 0 0-.02 28.29c2.45 1.29 60.76 31.72 133.49 31.72 6.14 0 11.96-.1 17.5-.31-11.37 22.23-16.52 38.31-16.81 39.22-1.8 5.68-.29 11.89 3.91 16.11a16.019 16.019 0 0 0 16.1 3.99c1.83-.57 37.72-11.99 77.3-39.29V504c0 4.42 3.58 8 8 8h16c4.42 0 8-3.58 8-8v-64.01c39.58 27.3 75.47 38.71 77.3 39.29a16.019 16.019 0 0 0 16.1-3.99c4.2-4.22 5.71-10.43 3.91-16.11-.29-.91-5.45-16.99-16.81-39.22 5.54.21 11.37.31 17.5.31 72.72 0 131.04-30.43 133.49-31.72 5.24-2.78 8.52-8.22 8.51-14.15-.01-5.94-3.29-11.39-8.53-14.15z"}}]})(props);
};
function FaCapsules (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M555.3 300.1L424.2 112.8C401.9 81 366.4 64 330.4 64c-22.6 0-45.5 6.7-65.5 20.7-19.7 13.8-33.7 32.8-41.5 53.8C220.5 79.2 172 32 112 32 50.1 32 0 82.1 0 144v224c0 61.9 50.1 112 112 112s112-50.1 112-112V218.9c3.3 8.6 7.3 17.1 12.8 25L368 431.2c22.2 31.8 57.7 48.8 93.8 48.8 22.7 0 45.5-6.7 65.5-20.7 51.7-36.2 64.2-107.5 28-159.2zM160 256H64V144c0-26.5 21.5-48 48-48s48 21.5 48 48v112zm194.8 44.9l-65.6-93.7c-7.7-11-10.7-24.4-8.3-37.6 2.3-13.2 9.7-24.8 20.7-32.5 8.5-6 18.5-9.1 28.8-9.1 16.5 0 31.9 8 41.3 21.5l65.6 93.7-82.5 57.7z"}}]})(props);
};
function FaCarAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 480 512"},"child":[{"tag":"path","attr":{"d":"M438.66 212.33l-11.24-28.1-19.93-49.83C390.38 91.63 349.57 64 303.5 64h-127c-46.06 0-86.88 27.63-103.99 70.4l-19.93 49.83-11.24 28.1C17.22 221.5 0 244.66 0 272v48c0 16.12 6.16 30.67 16 41.93V416c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-32h256v32c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-54.07c9.84-11.25 16-25.8 16-41.93v-48c0-27.34-17.22-50.5-41.34-59.67zm-306.73-54.16c7.29-18.22 24.94-30.17 44.57-30.17h127c19.63 0 37.28 11.95 44.57 30.17L368 208H112l19.93-49.83zM80 319.8c-19.2 0-32-12.76-32-31.9S60.8 256 80 256s48 28.71 48 47.85-28.8 15.95-48 15.95zm320 0c-19.2 0-48 3.19-48-15.95S380.8 256 400 256s32 12.76 32 31.9-12.8 31.9-32 31.9z"}}]})(props);
};
function FaCarBattery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 128h-32V80c0-8.84-7.16-16-16-16h-96c-8.84 0-16 7.16-16 16v48H192V80c0-8.84-7.16-16-16-16H80c-8.84 0-16 7.16-16 16v48H32c-17.67 0-32 14.33-32 32v256c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32V160c0-17.67-14.33-32-32-32zM192 264c0 4.42-3.58 8-8 8H72c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h112c4.42 0 8 3.58 8 8v16zm256 0c0 4.42-3.58 8-8 8h-40v40c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8v-40h-40c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h40v-40c0-4.42 3.58-8 8-8h16c4.42 0 8 3.58 8 8v40h40c4.42 0 8 3.58 8 8v16z"}}]})(props);
};
function FaCarCrash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M143.25 220.81l-12.42 46.37c-3.01 11.25-3.63 22.89-2.41 34.39l-35.2 28.98c-6.57 5.41-16.31-.43-14.62-8.77l15.44-76.68c1.06-5.26-2.66-10.28-8-10.79l-77.86-7.55c-8.47-.82-11.23-11.83-4.14-16.54l65.15-43.3c4.46-2.97 5.38-9.15 1.98-13.29L21.46 93.22c-5.41-6.57.43-16.3 8.78-14.62l76.68 15.44c5.26 1.06 10.28-2.66 10.8-8l7.55-77.86c.82-8.48 11.83-11.23 16.55-4.14l43.3 65.14c2.97 4.46 9.15 5.38 13.29 1.98l60.4-49.71c6.57-5.41 16.3.43 14.62 8.77L262.1 86.38c-2.71 3.05-5.43 6.09-7.91 9.4l-32.15 42.97-10.71 14.32c-32.73 8.76-59.18 34.53-68.08 67.74zm494.57 132.51l-12.42 46.36c-3.13 11.68-9.38 21.61-17.55 29.36a66.876 66.876 0 0 1-8.76 7l-13.99 52.23c-1.14 4.27-3.1 8.1-5.65 11.38-7.67 9.84-20.74 14.68-33.54 11.25L515 502.62c-17.07-4.57-27.2-22.12-22.63-39.19l8.28-30.91-247.28-66.26-8.28 30.91c-4.57 17.07-22.12 27.2-39.19 22.63l-30.91-8.28c-12.8-3.43-21.7-14.16-23.42-26.51-.57-4.12-.35-8.42.79-12.68l13.99-52.23a66.62 66.62 0 0 1-4.09-10.45c-3.2-10.79-3.65-22.52-.52-34.2l12.42-46.37c5.31-19.8 19.36-34.83 36.89-42.21a64.336 64.336 0 0 1 18.49-4.72l18.13-24.23 32.15-42.97c3.45-4.61 7.19-8.9 11.2-12.84 8-7.89 17.03-14.44 26.74-19.51 4.86-2.54 9.89-4.71 15.05-6.49 10.33-3.58 21.19-5.63 32.24-6.04 11.05-.41 22.31.82 33.43 3.8l122.68 32.87c11.12 2.98 21.48 7.54 30.85 13.43a111.11 111.11 0 0 1 34.69 34.5c8.82 13.88 14.64 29.84 16.68 46.99l6.36 53.29 3.59 30.05a64.49 64.49 0 0 1 22.74 29.93c4.39 11.88 5.29 25.19 1.75 38.39zM255.58 234.34c-18.55-4.97-34.21 4.04-39.17 22.53-4.96 18.49 4.11 34.12 22.65 39.09 18.55 4.97 45.54 15.51 50.49-2.98 4.96-18.49-15.43-53.67-33.97-58.64zm290.61 28.17l-6.36-53.29c-.58-4.87-1.89-9.53-3.82-13.86-5.8-12.99-17.2-23.01-31.42-26.82l-122.68-32.87a48.008 48.008 0 0 0-50.86 17.61l-32.15 42.97 172 46.08 75.29 20.18zm18.49 54.65c-18.55-4.97-53.8 15.31-58.75 33.79-4.95 18.49 23.69 22.86 42.24 27.83 18.55 4.97 34.21-4.04 39.17-22.53 4.95-18.48-4.11-34.12-22.66-39.09z"}}]})(props);
};
function FaCarSide (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M544 192h-16L419.22 56.02A64.025 64.025 0 0 0 369.24 32H155.33c-26.17 0-49.7 15.93-59.42 40.23L48 194.26C20.44 201.4 0 226.21 0 256v112c0 8.84 7.16 16 16 16h48c0 53.02 42.98 96 96 96s96-42.98 96-96h128c0 53.02 42.98 96 96 96s96-42.98 96-96h48c8.84 0 16-7.16 16-16v-80c0-53.02-42.98-96-96-96zM160 432c-26.47 0-48-21.53-48-48s21.53-48 48-48 48 21.53 48 48-21.53 48-48 48zm72-240H116.93l38.4-96H232v96zm48 0V96h89.24l76.8 96H280zm200 240c-26.47 0-48-21.53-48-48s21.53-48 48-48 48 21.53 48 48-21.53 48-48 48z"}}]})(props);
};
function FaCar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M499.99 176h-59.87l-16.64-41.6C406.38 91.63 365.57 64 319.5 64h-127c-46.06 0-86.88 27.63-103.99 70.4L71.87 176H12.01C4.2 176-1.53 183.34.37 190.91l6 24C7.7 220.25 12.5 224 18.01 224h20.07C24.65 235.73 16 252.78 16 272v48c0 16.12 6.16 30.67 16 41.93V416c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-32h256v32c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-54.07c9.84-11.25 16-25.8 16-41.93v-48c0-19.22-8.65-36.27-22.07-48H494c5.51 0 10.31-3.75 11.64-9.09l6-24c1.89-7.57-3.84-14.91-11.65-14.91zm-352.06-17.83c7.29-18.22 24.94-30.17 44.57-30.17h127c19.63 0 37.28 11.95 44.57 30.17L384 208H128l19.93-49.83zM96 319.8c-19.2 0-32-12.76-32-31.9S76.8 256 96 256s48 28.71 48 47.85-28.8 15.95-48 15.95zm320 0c-19.2 0-48 3.19-48-15.95S396.8 256 416 256s32 12.76 32 31.9-12.8 31.9-32 31.9z"}}]})(props);
};
function FaCaravan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M416,208a16,16,0,1,0,16,16A16,16,0,0,0,416,208ZM624,320H576V160A160,160,0,0,0,416,0H64A64,64,0,0,0,0,64V320a64,64,0,0,0,64,64H96a96,96,0,0,0,192,0H624a16,16,0,0,0,16-16V336A16,16,0,0,0,624,320ZM192,432a48,48,0,1,1,48-48A48.05,48.05,0,0,1,192,432Zm64-240a32,32,0,0,1-32,32H96a32,32,0,0,1-32-32V128A32,32,0,0,1,96,96H224a32,32,0,0,1,32,32ZM448,320H320V128a32,32,0,0,1,32-32h64a32,32,0,0,1,32,32Z"}}]})(props);
};
function FaCaretDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M31.3 192h257.3c17.8 0 26.7 21.5 14.1 34.1L174.1 354.8c-7.8 7.8-20.5 7.8-28.3 0L17.2 226.1C4.6 213.5 13.5 192 31.3 192z"}}]})(props);
};
function FaCaretLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 192 512"},"child":[{"tag":"path","attr":{"d":"M192 127.338v257.324c0 17.818-21.543 26.741-34.142 14.142L29.196 270.142c-7.81-7.81-7.81-20.474 0-28.284l128.662-128.662c12.599-12.6 34.142-3.676 34.142 14.142z"}}]})(props);
};
function FaCaretRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 192 512"},"child":[{"tag":"path","attr":{"d":"M0 384.662V127.338c0-17.818 21.543-26.741 34.142-14.142l128.662 128.662c7.81 7.81 7.81 20.474 0 28.284L34.142 398.804C21.543 411.404 0 402.48 0 384.662z"}}]})(props);
};
function FaCaretSquareDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zM92.5 220.5l123 123c4.7 4.7 12.3 4.7 17 0l123-123c7.6-7.6 2.2-20.5-8.5-20.5H101c-10.7 0-16.1 12.9-8.5 20.5z"}}]})(props);
};
function FaCaretSquareLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 480H48c-26.51 0-48-21.49-48-48V80c0-26.51 21.49-48 48-48h352c26.51 0 48 21.49 48 48v352c0 26.51-21.49 48-48 48zM259.515 124.485l-123.03 123.03c-4.686 4.686-4.686 12.284 0 16.971l123.029 123.029c7.56 7.56 20.485 2.206 20.485-8.485V132.971c.001-10.691-12.925-16.045-20.484-8.486z"}}]})(props);
};
function FaCaretSquareRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M48 32h352c26.51 0 48 21.49 48 48v352c0 26.51-21.49 48-48 48H48c-26.51 0-48-21.49-48-48V80c0-26.51 21.49-48 48-48zm140.485 355.515l123.029-123.029c4.686-4.686 4.686-12.284 0-16.971l-123.029-123.03c-7.56-7.56-20.485-2.206-20.485 8.485v246.059c0 10.691 12.926 16.045 20.485 8.486z"}}]})(props);
};
function FaCaretSquareUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 432V80c0-26.51 21.49-48 48-48h352c26.51 0 48 21.49 48 48v352c0 26.51-21.49 48-48 48H48c-26.51 0-48-21.49-48-48zm355.515-140.485l-123.03-123.03c-4.686-4.686-12.284-4.686-16.971 0L92.485 291.515c-7.56 7.56-2.206 20.485 8.485 20.485h246.059c10.691 0 16.045-12.926 8.486-20.485z"}}]})(props);
};
function FaCaretUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M288.662 352H31.338c-17.818 0-26.741-21.543-14.142-34.142l128.662-128.662c7.81-7.81 20.474-7.81 28.284 0l128.662 128.662c12.6 12.599 3.676 34.142-14.142 34.142z"}}]})(props);
};
function FaCarrot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M298.2 156.6c-52.7-25.7-114.5-10.5-150.2 32.8l55.2 55.2c6.3 6.3 6.3 16.4 0 22.6-3.1 3.1-7.2 4.7-11.3 4.7s-8.2-1.6-11.3-4.7L130.4 217 2.3 479.7c-2.9 6-3.1 13.3 0 19.7 5.4 11.1 18.9 15.7 30 10.3l133.6-65.2-49.2-49.2c-6.3-6.2-6.3-16.4 0-22.6 6.3-6.2 16.4-6.2 22.6 0l57 57 102-49.8c24-11.7 44.5-31.3 57.1-57.1 30.1-61.7 4.5-136.1-57.2-166.2zm92.1-34.9C409.8 81 399.7 32.9 360 0c-50.3 41.7-52.5 107.5-7.9 151.9l8 8c44.4 44.6 110.3 42.4 151.9-7.9-32.9-39.7-81-49.8-121.7-30.3z"}}]})(props);
};
function FaCartArrowDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M504.717 320H211.572l6.545 32h268.418c15.401 0 26.816 14.301 23.403 29.319l-5.517 24.276C523.112 414.668 536 433.828 536 456c0 31.202-25.519 56.444-56.824 55.994-29.823-.429-54.35-24.631-55.155-54.447-.44-16.287 6.085-31.049 16.803-41.548H231.176C241.553 426.165 248 440.326 248 456c0 31.813-26.528 57.431-58.67 55.938-28.54-1.325-51.751-24.385-53.251-52.917-1.158-22.034 10.436-41.455 28.051-51.586L93.883 64H24C10.745 64 0 53.255 0 40V24C0 10.745 10.745 0 24 0h102.529c11.401 0 21.228 8.021 23.513 19.19L159.208 64H551.99c15.401 0 26.816 14.301 23.403 29.319l-47.273 208C525.637 312.246 515.923 320 504.717 320zM403.029 192H360v-60c0-6.627-5.373-12-12-12h-24c-6.627 0-12 5.373-12 12v60h-43.029c-10.691 0-16.045 12.926-8.485 20.485l67.029 67.029c4.686 4.686 12.284 4.686 16.971 0l67.029-67.029c7.559-7.559 2.205-20.485-8.486-20.485z"}}]})(props);
};
function FaCartPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M504.717 320H211.572l6.545 32h268.418c15.401 0 26.816 14.301 23.403 29.319l-5.517 24.276C523.112 414.668 536 433.828 536 456c0 31.202-25.519 56.444-56.824 55.994-29.823-.429-54.35-24.631-55.155-54.447-.44-16.287 6.085-31.049 16.803-41.548H231.176C241.553 426.165 248 440.326 248 456c0 31.813-26.528 57.431-58.67 55.938-28.54-1.325-51.751-24.385-53.251-52.917-1.158-22.034 10.436-41.455 28.051-51.586L93.883 64H24C10.745 64 0 53.255 0 40V24C0 10.745 10.745 0 24 0h102.529c11.401 0 21.228 8.021 23.513 19.19L159.208 64H551.99c15.401 0 26.816 14.301 23.403 29.319l-47.273 208C525.637 312.246 515.923 320 504.717 320zM408 168h-48v-40c0-8.837-7.163-16-16-16h-16c-8.837 0-16 7.163-16 16v40h-48c-8.837 0-16 7.163-16 16v16c0 8.837 7.163 16 16 16h48v40c0 8.837 7.163 16 16 16h16c8.837 0 16-7.163 16-16v-40h48c8.837 0 16-7.163 16-16v-16c0-8.837-7.163-16-16-16z"}}]})(props);
};
function FaCashRegister (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M511.1 378.8l-26.7-160c-2.6-15.4-15.9-26.7-31.6-26.7H208v-64h96c8.8 0 16-7.2 16-16V16c0-8.8-7.2-16-16-16H48c-8.8 0-16 7.2-16 16v96c0 8.8 7.2 16 16 16h96v64H59.1c-15.6 0-29 11.3-31.6 26.7L.8 378.7c-.6 3.5-.9 7-.9 10.5V480c0 17.7 14.3 32 32 32h448c17.7 0 32-14.3 32-32v-90.7c.1-3.5-.2-7-.8-10.5zM280 248c0-8.8 7.2-16 16-16h16c8.8 0 16 7.2 16 16v16c0 8.8-7.2 16-16 16h-16c-8.8 0-16-7.2-16-16v-16zm-32 64h16c8.8 0 16 7.2 16 16v16c0 8.8-7.2 16-16 16h-16c-8.8 0-16-7.2-16-16v-16c0-8.8 7.2-16 16-16zm-32-80c8.8 0 16 7.2 16 16v16c0 8.8-7.2 16-16 16h-16c-8.8 0-16-7.2-16-16v-16c0-8.8 7.2-16 16-16h16zM80 80V48h192v32H80zm40 200h-16c-8.8 0-16-7.2-16-16v-16c0-8.8 7.2-16 16-16h16c8.8 0 16 7.2 16 16v16c0 8.8-7.2 16-16 16zm16 64v-16c0-8.8 7.2-16 16-16h16c8.8 0 16 7.2 16 16v16c0 8.8-7.2 16-16 16h-16c-8.8 0-16-7.2-16-16zm216 112c0 4.4-3.6 8-8 8H168c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h176c4.4 0 8 3.6 8 8v16zm24-112c0 8.8-7.2 16-16 16h-16c-8.8 0-16-7.2-16-16v-16c0-8.8 7.2-16 16-16h16c8.8 0 16 7.2 16 16v16zm48-80c0 8.8-7.2 16-16 16h-16c-8.8 0-16-7.2-16-16v-16c0-8.8 7.2-16 16-16h16c8.8 0 16 7.2 16 16v16z"}}]})(props);
};
function FaCat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M290.59 192c-20.18 0-106.82 1.98-162.59 85.95V192c0-52.94-43.06-96-96-96-17.67 0-32 14.33-32 32s14.33 32 32 32c17.64 0 32 14.36 32 32v256c0 35.3 28.7 64 64 64h176c8.84 0 16-7.16 16-16v-16c0-17.67-14.33-32-32-32h-32l128-96v144c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16V289.86c-10.29 2.67-20.89 4.54-32 4.54-61.81 0-113.52-44.05-125.41-102.4zM448 96h-64l-64-64v134.4c0 53.02 42.98 96 96 96s96-42.98 96-96V32l-64 64zm-72 80c-8.84 0-16-7.16-16-16s7.16-16 16-16 16 7.16 16 16-7.16 16-16 16zm80 0c-8.84 0-16-7.16-16-16s7.16-16 16-16 16 7.16 16 16-7.16 16-16 16z"}}]})(props);
};
function FaCertificate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M458.622 255.92l45.985-45.005c13.708-12.977 7.316-36.039-10.664-40.339l-62.65-15.99 17.661-62.015c4.991-17.838-11.829-34.663-29.661-29.671l-61.994 17.667-15.984-62.671C337.085.197 313.765-6.276 300.99 7.228L256 53.57 211.011 7.229c-12.63-13.351-36.047-7.234-40.325 10.668l-15.984 62.671-61.995-17.667C74.87 57.907 58.056 74.738 63.046 92.572l17.661 62.015-62.65 15.99C.069 174.878-6.31 197.944 7.392 210.915l45.985 45.005-45.985 45.004c-13.708 12.977-7.316 36.039 10.664 40.339l62.65 15.99-17.661 62.015c-4.991 17.838 11.829 34.663 29.661 29.671l61.994-17.667 15.984 62.671c4.439 18.575 27.696 24.018 40.325 10.668L256 458.61l44.989 46.001c12.5 13.488 35.987 7.486 40.325-10.668l15.984-62.671 61.994 17.667c17.836 4.994 34.651-11.837 29.661-29.671l-17.661-62.015 62.65-15.99c17.987-4.302 24.366-27.367 10.664-40.339l-45.984-45.004z"}}]})(props);
};
function FaChair (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M112 128c0-29.5 16.2-55 40-68.9V256h48V48h48v208h48V59.1c23.8 13.9 40 39.4 40 68.9v128h48V128C384 57.3 326.7 0 256 0h-64C121.3 0 64 57.3 64 128v128h48zm334.3 213.9l-10.7-32c-4.4-13.1-16.6-21.9-30.4-21.9H42.7c-13.8 0-26 8.8-30.4 21.9l-10.7 32C-5.2 362.6 10.2 384 32 384v112c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V384h256v112c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V384c21.8 0 37.2-21.4 30.3-42.1z"}}]})(props);
};
function FaChalkboardTeacher (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M208 352c-2.39 0-4.78.35-7.06 1.09C187.98 357.3 174.35 360 160 360c-14.35 0-27.98-2.7-40.95-6.91-2.28-.74-4.66-1.09-7.05-1.09C49.94 352-.33 402.48 0 464.62.14 490.88 21.73 512 48 512h224c26.27 0 47.86-21.12 48-47.38.33-62.14-49.94-112.62-112-112.62zm-48-32c53.02 0 96-42.98 96-96s-42.98-96-96-96-96 42.98-96 96 42.98 96 96 96zM592 0H208c-26.47 0-48 22.25-48 49.59V96c23.42 0 45.1 6.78 64 17.8V64h352v288h-64v-64H384v64h-76.24c19.1 16.69 33.12 38.73 39.69 64H592c26.47 0 48-22.25 48-49.59V49.59C640 22.25 618.47 0 592 0z"}}]})(props);
};
function FaChalkboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M96 64h448v352h64V40c0-22.06-17.94-40-40-40H72C49.94 0 32 17.94 32 40v376h64V64zm528 384H480v-64H288v64H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h608c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16z"}}]})(props);
};
function FaChargingStation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M336 448H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h320c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16zm208-320V80c0-8.84-7.16-16-16-16s-16 7.16-16 16v48h-32V80c0-8.84-7.16-16-16-16s-16 7.16-16 16v48h-16c-8.84 0-16 7.16-16 16v32c0 35.76 23.62 65.69 56 75.93v118.49c0 13.95-9.5 26.92-23.26 29.19C431.22 402.5 416 388.99 416 372v-28c0-48.6-39.4-88-88-88h-8V64c0-35.35-28.65-64-64-64H96C60.65 0 32 28.65 32 64v352h288V304h8c22.09 0 40 17.91 40 40v24.61c0 39.67 28.92 75.16 68.41 79.01C481.71 452.05 520 416.41 520 372V251.93c32.38-10.24 56-40.17 56-75.93v-32c0-8.84-7.16-16-16-16h-16zm-283.91 47.76l-93.7 139c-2.2 3.33-6.21 5.24-10.39 5.24-7.67 0-13.47-6.28-11.67-12.92L167.35 224H108c-7.25 0-12.85-5.59-11.89-11.89l16-107C112.9 99.9 117.98 96 124 96h68c7.88 0 13.62 6.54 11.6 13.21L192 160h57.7c9.24 0 15.01 8.78 10.39 15.76z"}}]})(props);
};
function FaChartArea (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M500 384c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12H12c-6.6 0-12-5.4-12-12V76c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v308h436zM372.7 159.5L288 216l-85.3-113.7c-5.1-6.8-15.5-6.3-19.9 1L96 248v104h384l-89.9-187.8c-3.2-6.5-11.4-8.7-17.4-4.7z"}}]})(props);
};
function FaChartBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M332.8 320h38.4c6.4 0 12.8-6.4 12.8-12.8V172.8c0-6.4-6.4-12.8-12.8-12.8h-38.4c-6.4 0-12.8 6.4-12.8 12.8v134.4c0 6.4 6.4 12.8 12.8 12.8zm96 0h38.4c6.4 0 12.8-6.4 12.8-12.8V76.8c0-6.4-6.4-12.8-12.8-12.8h-38.4c-6.4 0-12.8 6.4-12.8 12.8v230.4c0 6.4 6.4 12.8 12.8 12.8zm-288 0h38.4c6.4 0 12.8-6.4 12.8-12.8v-70.4c0-6.4-6.4-12.8-12.8-12.8h-38.4c-6.4 0-12.8 6.4-12.8 12.8v70.4c0 6.4 6.4 12.8 12.8 12.8zm96 0h38.4c6.4 0 12.8-6.4 12.8-12.8V108.8c0-6.4-6.4-12.8-12.8-12.8h-38.4c-6.4 0-12.8 6.4-12.8 12.8v198.4c0 6.4 6.4 12.8 12.8 12.8zM496 384H64V80c0-8.84-7.16-16-16-16H16C7.16 64 0 71.16 0 80v336c0 17.67 14.33 32 32 32h464c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16z"}}]})(props);
};
function FaChartLine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496 384H64V80c0-8.84-7.16-16-16-16H16C7.16 64 0 71.16 0 80v336c0 17.67 14.33 32 32 32h464c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16zM464 96H345.94c-21.38 0-32.09 25.85-16.97 40.97l32.4 32.4L288 242.75l-73.37-73.37c-12.5-12.5-32.76-12.5-45.25 0l-68.69 68.69c-6.25 6.25-6.25 16.38 0 22.63l22.62 22.62c6.25 6.25 16.38 6.25 22.63 0L192 237.25l73.37 73.37c12.5 12.5 32.76 12.5 45.25 0l96-96 32.4 32.4c15.12 15.12 40.97 4.41 40.97-16.97V112c.01-8.84-7.15-16-15.99-16z"}}]})(props);
};
function FaChartPie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 544 512"},"child":[{"tag":"path","attr":{"d":"M527.79 288H290.5l158.03 158.03c6.04 6.04 15.98 6.53 22.19.68 38.7-36.46 65.32-85.61 73.13-140.86 1.34-9.46-6.51-17.85-16.06-17.85zm-15.83-64.8C503.72 103.74 408.26 8.28 288.8.04 279.68-.59 272 7.1 272 16.24V240h223.77c9.14 0 16.82-7.68 16.19-16.8zM224 288V50.71c0-9.55-8.39-17.4-17.84-16.06C86.99 51.49-4.1 155.6.14 280.37 4.5 408.51 114.83 513.59 243.03 511.98c50.4-.63 96.97-16.87 135.26-44.03 7.9-5.6 8.42-17.23 1.57-24.08L224 288z"}}]})(props);
};
function FaCheckCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M504 256c0 136.967-111.033 248-248 248S8 392.967 8 256 119.033 8 256 8s248 111.033 248 248zM227.314 387.314l184-184c6.248-6.248 6.248-16.379 0-22.627l-22.627-22.627c-6.248-6.249-16.379-6.249-22.628 0L216 308.118l-70.059-70.059c-6.248-6.248-16.379-6.248-22.628 0l-22.627 22.627c-6.248 6.248-6.248 16.379 0 22.627l104 104c6.249 6.249 16.379 6.249 22.628.001z"}}]})(props);
};
function FaCheckDouble (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M505 174.8l-39.6-39.6c-9.4-9.4-24.6-9.4-33.9 0L192 374.7 80.6 263.2c-9.4-9.4-24.6-9.4-33.9 0L7 302.9c-9.4 9.4-9.4 24.6 0 34L175 505c9.4 9.4 24.6 9.4 33.9 0l296-296.2c9.4-9.5 9.4-24.7.1-34zm-324.3 106c6.2 6.3 16.4 6.3 22.6 0l208-208.2c6.2-6.3 6.2-16.4 0-22.6L366.1 4.7c-6.2-6.3-16.4-6.3-22.6 0L192 156.2l-55.4-55.5c-6.2-6.3-16.4-6.3-22.6 0L68.7 146c-6.2 6.3-6.2 16.4 0 22.6l112 112.2z"}}]})(props);
};
function FaCheckSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 480H48c-26.51 0-48-21.49-48-48V80c0-26.51 21.49-48 48-48h352c26.51 0 48 21.49 48 48v352c0 26.51-21.49 48-48 48zm-204.686-98.059l184-184c6.248-6.248 6.248-16.379 0-22.627l-22.627-22.627c-6.248-6.248-16.379-6.249-22.628 0L184 302.745l-70.059-70.059c-6.248-6.248-16.379-6.248-22.628 0l-22.627 22.627c-6.248 6.248-6.248 16.379 0 22.627l104 104c6.249 6.25 16.379 6.25 22.628.001z"}}]})(props);
};
function FaCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M173.898 439.404l-166.4-166.4c-9.997-9.997-9.997-26.206 0-36.204l36.203-36.204c9.997-9.998 26.207-9.998 36.204 0L192 312.69 432.095 72.596c9.997-9.997 26.207-9.997 36.204 0l36.203 36.204c9.997 9.997 9.997 26.206 0 36.204l-294.4 294.401c-9.998 9.997-26.207 9.997-36.204-.001z"}}]})(props);
};
function FaCheese (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M0 288v160a32 32 0 0 0 32 32h448a32 32 0 0 0 32-32V288zM299.83 32a32 32 0 0 0-21.13 7L0 256h512c0-119.89-94-217.8-212.17-224z"}}]})(props);
};
function FaChessBishop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M8 287.88c0 51.64 22.14 73.83 56 84.6V416h192v-43.52c33.86-10.77 56-33 56-84.6 0-30.61-10.73-67.1-26.69-102.56L185 285.65a8 8 0 0 1-11.31 0l-11.31-11.31a8 8 0 0 1 0-11.31L270.27 155.1c-20.8-37.91-46.47-72.1-70.87-92.59C213.4 59.09 224 47.05 224 32a32 32 0 0 0-32-32h-64a32 32 0 0 0-32 32c0 15 10.6 27.09 24.6 30.51C67.81 106.8 8 214.5 8 287.88zM304 448H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h288a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16z"}}]})(props);
};
function FaChessBoard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.9.2h-64v64h64zM0 64.17v64h64v-64zM128 .2H64v64h64zm64 255.9v64h64v-64zM0 192.12v64h64v-64zM383.85.2h-64v64h64zm128 0h-64v64h64zM128 256.1H64v64h64zM511.8 448v-64h-64v64zm0-128v-64h-64v64zM383.85 512h64v-64h-64zm128-319.88v-64h-64v64zM128 512h64v-64h-64zM0 512h64v-64H0zm255.9 0h64v-64h-64zM0 320.07v64h64v-64zm319.88-191.92v-64h-64v64zm-64 128h64v-64h-64zm-64 128v64h64v-64zm128-64h64v-64h-64zm0-127.95h64v-64h-64zm0 191.93v64h64v-64zM64 384.05v64h64v-64zm128-255.9v-64h-64v64zm191.92 255.9h64v-64h-64zm-128-191.93v-64h-64v64zm128-127.95v64h64v-64zm-128 255.9v64h64v-64zm-64-127.95H128v64h64zm191.92 64h64v-64h-64zM128 128.15H64v64h64zm0 191.92v64h64v-64z"}}]})(props);
};
function FaChessKing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 448H48a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h352a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm16-288H256v-48h40a8 8 0 0 0 8-8V56a8 8 0 0 0-8-8h-40V8a8 8 0 0 0-8-8h-48a8 8 0 0 0-8 8v40h-40a8 8 0 0 0-8 8v48a8 8 0 0 0 8 8h40v48H32a32 32 0 0 0-30.52 41.54L74.56 416h298.88l73.08-214.46A32 32 0 0 0 416 160z"}}]})(props);
};
function FaChessKnight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M19 272.47l40.63 18.06a32 32 0 0 0 24.88.47l12.78-5.12a32 32 0 0 0 18.76-20.5l9.22-30.65a24 24 0 0 1 12.55-15.65L159.94 208v50.33a48 48 0 0 1-26.53 42.94l-57.22 28.65A80 80 0 0 0 32 401.48V416h319.86V224c0-106-85.92-192-191.92-192H12A12 12 0 0 0 0 44a16.9 16.9 0 0 0 1.79 7.58L16 80l-9 9a24 24 0 0 0-7 17v137.21a32 32 0 0 0 19 29.26zM52 128a20 20 0 1 1-20 20 20 20 0 0 1 20-20zm316 320H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h352a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16z"}}]})(props);
};
function FaChessPawn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M105.1 224H80a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h16v5.49c0 44-4.14 86.6-24 122.51h176c-19.89-35.91-24-78.51-24-122.51V288h16a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16h-25.1c29.39-18.38 49.1-50.78 49.1-88a104 104 0 0 0-208 0c0 37.22 19.71 69.62 49.1 88zM304 448H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h288a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16z"}}]})(props);
};
function FaChessQueen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 112a56 56 0 1 0-56-56 56 56 0 0 0 56 56zm176 336H80a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h352a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm72.87-263.84l-28.51-15.92c-7.44-5-16.91-2.46-22.29 4.68a47.59 47.59 0 0 1-47.23 18.23C383.7 186.86 368 164.93 368 141.4a13.4 13.4 0 0 0-13.4-13.4h-38.77c-6 0-11.61 4-12.86 9.91a48 48 0 0 1-93.94 0c-1.25-5.92-6.82-9.91-12.86-9.91H157.4a13.4 13.4 0 0 0-13.4 13.4c0 25.69-19 48.75-44.67 50.49a47.5 47.5 0 0 1-41.54-19.15c-5.28-7.09-14.73-9.45-22.09-4.54l-28.57 16a16 16 0 0 0-5.44 20.47L104.24 416h303.52l102.55-211.37a16 16 0 0 0-5.44-20.47z"}}]})(props);
};
function FaChessRook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M368 32h-56a16 16 0 0 0-16 16v48h-48V48a16 16 0 0 0-16-16h-80a16 16 0 0 0-16 16v48H88.1V48a16 16 0 0 0-16-16H16A16 16 0 0 0 0 48v176l64 32c0 48.33-1.54 95-13.21 160h282.42C321.54 351 320 303.72 320 256l64-32V48a16 16 0 0 0-16-16zM224 320h-64v-64a32 32 0 0 1 64 0zm144 128H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h352a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16z"}}]})(props);
};
function FaChess (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M74 208H64a16 16 0 0 0-16 16v16a16 16 0 0 0 16 16h15.94A535.78 535.78 0 0 1 64 384h128a535.78 535.78 0 0 1-15.94-128H192a16 16 0 0 0 16-16v-16a16 16 0 0 0-16-16h-10l33.89-90.38a16 16 0 0 0-15-21.62H144V64h24a8 8 0 0 0 8-8V40a8 8 0 0 0-8-8h-24V8a8 8 0 0 0-8-8h-16a8 8 0 0 0-8 8v24H88a8 8 0 0 0-8 8v16a8 8 0 0 0 8 8h24v32H55.09a16 16 0 0 0-15 21.62zm173.16 251.58L224 448v-16a16 16 0 0 0-16-16H48a16 16 0 0 0-16 16v16L8.85 459.58A16 16 0 0 0 0 473.89V496a16 16 0 0 0 16 16h224a16 16 0 0 0 16-16v-22.11a16 16 0 0 0-8.84-14.31zm92.77-157.78l-3.29 82.2h126.72l-3.29-82.21 24.6-20.79A32 32 0 0 0 496 256.54V198a6 6 0 0 0-6-6h-26.38a6 6 0 0 0-6 6v26h-24.71v-26a6 6 0 0 0-6-6H373.1a6 6 0 0 0-6 6v26h-24.71v-26a6 6 0 0 0-6-6H310a6 6 0 0 0-6 6v58.6a32 32 0 0 0 11.36 24.4zM384 304a16 16 0 0 1 32 0v32h-32zm119.16 155.58L480 448v-16a16 16 0 0 0-16-16H336a16 16 0 0 0-16 16v16l-23.15 11.58a16 16 0 0 0-8.85 14.31V496a16 16 0 0 0 16 16h192a16 16 0 0 0 16-16v-22.11a16 16 0 0 0-8.84-14.31z"}}]})(props);
};
function FaChevronCircleDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M504 256c0 137-111 248-248 248S8 393 8 256 119 8 256 8s248 111 248 248zM273 369.9l135.5-135.5c9.4-9.4 9.4-24.6 0-33.9l-17-17c-9.4-9.4-24.6-9.4-33.9 0L256 285.1 154.4 183.5c-9.4-9.4-24.6-9.4-33.9 0l-17 17c-9.4 9.4-9.4 24.6 0 33.9L239 369.9c9.4 9.4 24.6 9.4 34 0z"}}]})(props);
};
function FaChevronCircleLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 504C119 504 8 393 8 256S119 8 256 8s248 111 248 248-111 248-248 248zM142.1 273l135.5 135.5c9.4 9.4 24.6 9.4 33.9 0l17-17c9.4-9.4 9.4-24.6 0-33.9L226.9 256l101.6-101.6c9.4-9.4 9.4-24.6 0-33.9l-17-17c-9.4-9.4-24.6-9.4-33.9 0L142.1 239c-9.4 9.4-9.4 24.6 0 34z"}}]})(props);
};
function FaChevronCircleRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8c137 0 248 111 248 248S393 504 256 504 8 393 8 256 119 8 256 8zm113.9 231L234.4 103.5c-9.4-9.4-24.6-9.4-33.9 0l-17 17c-9.4 9.4-9.4 24.6 0 33.9L285.1 256 183.5 357.6c-9.4 9.4-9.4 24.6 0 33.9l17 17c9.4 9.4 24.6 9.4 33.9 0L369.9 273c9.4-9.4 9.4-24.6 0-34z"}}]})(props);
};
function FaChevronCircleUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M8 256C8 119 119 8 256 8s248 111 248 248-111 248-248 248S8 393 8 256zm231-113.9L103.5 277.6c-9.4 9.4-9.4 24.6 0 33.9l17 17c9.4 9.4 24.6 9.4 33.9 0L256 226.9l101.6 101.6c9.4 9.4 24.6 9.4 33.9 0l17-17c9.4-9.4 9.4-24.6 0-33.9L273 142.1c-9.4-9.4-24.6-9.4-34 0z"}}]})(props);
};
function FaChevronDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M207.029 381.476L12.686 187.132c-9.373-9.373-9.373-24.569 0-33.941l22.667-22.667c9.357-9.357 24.522-9.375 33.901-.04L224 284.505l154.745-154.021c9.379-9.335 24.544-9.317 33.901.04l22.667 22.667c9.373 9.373 9.373 24.569 0 33.941L240.971 381.476c-9.373 9.372-24.569 9.372-33.942 0z"}}]})(props);
};
function FaChevronLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M34.52 239.03L228.87 44.69c9.37-9.37 24.57-9.37 33.94 0l22.67 22.67c9.36 9.36 9.37 24.52.04 33.9L131.49 256l154.02 154.75c9.34 9.38 9.32 24.54-.04 33.9l-22.67 22.67c-9.37 9.37-24.57 9.37-33.94 0L34.52 272.97c-9.37-9.37-9.37-24.57 0-33.94z"}}]})(props);
};
function FaChevronRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M285.476 272.971L91.132 467.314c-9.373 9.373-24.569 9.373-33.941 0l-22.667-22.667c-9.357-9.357-9.375-24.522-.04-33.901L188.505 256 34.484 101.255c-9.335-9.379-9.317-24.544.04-33.901l22.667-22.667c9.373-9.373 24.569-9.373 33.941 0L285.475 239.03c9.373 9.372 9.373 24.568.001 33.941z"}}]})(props);
};
function FaChevronUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M240.971 130.524l194.343 194.343c9.373 9.373 9.373 24.569 0 33.941l-22.667 22.667c-9.357 9.357-24.522 9.375-33.901.04L224 227.495 69.255 381.516c-9.379 9.335-24.544 9.317-33.901-.04l-22.667-22.667c-9.373-9.373-9.373-24.569 0-33.941L207.03 130.525c9.372-9.373 24.568-9.373 33.941-.001z"}}]})(props);
};
function FaChild (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M120 72c0-39.765 32.235-72 72-72s72 32.235 72 72c0 39.764-32.235 72-72 72s-72-32.236-72-72zm254.627 1.373c-12.496-12.497-32.758-12.497-45.254 0L242.745 160H141.254L54.627 73.373c-12.496-12.497-32.758-12.497-45.254 0-12.497 12.497-12.497 32.758 0 45.255L104 213.254V480c0 17.673 14.327 32 32 32h16c17.673 0 32-14.327 32-32V368h16v112c0 17.673 14.327 32 32 32h16c17.673 0 32-14.327 32-32V213.254l94.627-94.627c12.497-12.497 12.497-32.757 0-45.254z"}}]})(props);
};
function FaChurch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M464.46 246.68L352 179.2V128h48c8.84 0 16-7.16 16-16V80c0-8.84-7.16-16-16-16h-48V16c0-8.84-7.16-16-16-16h-32c-8.84 0-16 7.16-16 16v48h-48c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h48v51.2l-112.46 67.48A31.997 31.997 0 0 0 160 274.12V512h96v-96c0-35.35 28.65-64 64-64s64 28.65 64 64v96h96V274.12c0-11.24-5.9-21.66-15.54-27.44zM0 395.96V496c0 8.84 7.16 16 16 16h112V320L19.39 366.54A32.024 32.024 0 0 0 0 395.96zm620.61-29.42L512 320v192h112c8.84 0 16-7.16 16-16V395.96c0-12.8-7.63-24.37-19.39-29.42z"}}]})(props);
};
function FaCircleNotch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M288 39.056v16.659c0 10.804 7.281 20.159 17.686 23.066C383.204 100.434 440 171.518 440 256c0 101.689-82.295 184-184 184-101.689 0-184-82.295-184-184 0-84.47 56.786-155.564 134.312-177.219C216.719 75.874 224 66.517 224 55.712V39.064c0-15.709-14.834-27.153-30.046-23.234C86.603 43.482 7.394 141.206 8.003 257.332c.72 137.052 111.477 246.956 248.531 246.667C393.255 503.711 504 392.788 504 256c0-115.633-79.14-212.779-186.211-240.236C302.678 11.889 288 23.456 288 39.056z"}}]})(props);
};
function FaCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8z"}}]})(props);
};
function FaCity (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M616 192H480V24c0-13.26-10.74-24-24-24H312c-13.26 0-24 10.74-24 24v72h-64V16c0-8.84-7.16-16-16-16h-16c-8.84 0-16 7.16-16 16v80h-64V16c0-8.84-7.16-16-16-16H80c-8.84 0-16 7.16-16 16v80H24c-13.26 0-24 10.74-24 24v360c0 17.67 14.33 32 32 32h576c17.67 0 32-14.33 32-32V216c0-13.26-10.75-24-24-24zM128 404c0 6.63-5.37 12-12 12H76c-6.63 0-12-5.37-12-12v-40c0-6.63 5.37-12 12-12h40c6.63 0 12 5.37 12 12v40zm0-96c0 6.63-5.37 12-12 12H76c-6.63 0-12-5.37-12-12v-40c0-6.63 5.37-12 12-12h40c6.63 0 12 5.37 12 12v40zm0-96c0 6.63-5.37 12-12 12H76c-6.63 0-12-5.37-12-12v-40c0-6.63 5.37-12 12-12h40c6.63 0 12 5.37 12 12v40zm128 192c0 6.63-5.37 12-12 12h-40c-6.63 0-12-5.37-12-12v-40c0-6.63 5.37-12 12-12h40c6.63 0 12 5.37 12 12v40zm0-96c0 6.63-5.37 12-12 12h-40c-6.63 0-12-5.37-12-12v-40c0-6.63 5.37-12 12-12h40c6.63 0 12 5.37 12 12v40zm0-96c0 6.63-5.37 12-12 12h-40c-6.63 0-12-5.37-12-12v-40c0-6.63 5.37-12 12-12h40c6.63 0 12 5.37 12 12v40zm160 96c0 6.63-5.37 12-12 12h-40c-6.63 0-12-5.37-12-12v-40c0-6.63 5.37-12 12-12h40c6.63 0 12 5.37 12 12v40zm0-96c0 6.63-5.37 12-12 12h-40c-6.63 0-12-5.37-12-12v-40c0-6.63 5.37-12 12-12h40c6.63 0 12 5.37 12 12v40zm0-96c0 6.63-5.37 12-12 12h-40c-6.63 0-12-5.37-12-12V76c0-6.63 5.37-12 12-12h40c6.63 0 12 5.37 12 12v40zm160 288c0 6.63-5.37 12-12 12h-40c-6.63 0-12-5.37-12-12v-40c0-6.63 5.37-12 12-12h40c6.63 0 12 5.37 12 12v40zm0-96c0 6.63-5.37 12-12 12h-40c-6.63 0-12-5.37-12-12v-40c0-6.63 5.37-12 12-12h40c6.63 0 12 5.37 12 12v40z"}}]})(props);
};
function FaClinicMedical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M288 115L69.47 307.71c-1.62 1.46-3.69 2.14-5.47 3.35V496a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16V311.1c-1.7-1.16-3.72-1.82-5.26-3.2zm96 261a8 8 0 0 1-8 8h-56v56a8 8 0 0 1-8 8h-48a8 8 0 0 1-8-8v-56h-56a8 8 0 0 1-8-8v-48a8 8 0 0 1 8-8h56v-56a8 8 0 0 1 8-8h48a8 8 0 0 1 8 8v56h56a8 8 0 0 1 8 8zm186.69-139.72l-255.94-226a39.85 39.85 0 0 0-53.45 0l-256 226a16 16 0 0 0-1.21 22.6L25.5 282.7a16 16 0 0 0 22.6 1.21L277.42 81.63a16 16 0 0 1 21.17 0L527.91 283.9a16 16 0 0 0 22.6-1.21l21.4-23.82a16 16 0 0 0-1.22-22.59z"}}]})(props);
};
function FaClipboardCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M336 64h-80c0-35.3-28.7-64-64-64s-64 28.7-64 64H48C21.5 64 0 85.5 0 112v352c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48V112c0-26.5-21.5-48-48-48zM192 40c13.3 0 24 10.7 24 24s-10.7 24-24 24-24-10.7-24-24 10.7-24 24-24zm121.2 231.8l-143 141.8c-4.7 4.7-12.3 4.6-17-.1l-82.6-83.3c-4.7-4.7-4.6-12.3.1-17L99.1 285c4.7-4.7 12.3-4.6 17 .1l46 46.4 106-105.2c4.7-4.7 12.3-4.6 17 .1l28.2 28.4c4.7 4.8 4.6 12.3-.1 17z"}}]})(props);
};
function FaClipboardList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M336 64h-80c0-35.3-28.7-64-64-64s-64 28.7-64 64H48C21.5 64 0 85.5 0 112v352c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48V112c0-26.5-21.5-48-48-48zM96 424c-13.3 0-24-10.7-24-24s10.7-24 24-24 24 10.7 24 24-10.7 24-24 24zm0-96c-13.3 0-24-10.7-24-24s10.7-24 24-24 24 10.7 24 24-10.7 24-24 24zm0-96c-13.3 0-24-10.7-24-24s10.7-24 24-24 24 10.7 24 24-10.7 24-24 24zm96-192c13.3 0 24 10.7 24 24s-10.7 24-24 24-24-10.7-24-24 10.7-24 24-24zm128 368c0 4.4-3.6 8-8 8H168c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h144c4.4 0 8 3.6 8 8v16zm0-96c0 4.4-3.6 8-8 8H168c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h144c4.4 0 8 3.6 8 8v16zm0-96c0 4.4-3.6 8-8 8H168c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h144c4.4 0 8 3.6 8 8v16z"}}]})(props);
};
function FaClipboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M384 112v352c0 26.51-21.49 48-48 48H48c-26.51 0-48-21.49-48-48V112c0-26.51 21.49-48 48-48h80c0-35.29 28.71-64 64-64s64 28.71 64 64h80c26.51 0 48 21.49 48 48zM192 40c-13.255 0-24 10.745-24 24s10.745 24 24 24 24-10.745 24-24-10.745-24-24-24m96 114v-20a6 6 0 0 0-6-6H102a6 6 0 0 0-6 6v20a6 6 0 0 0 6 6h180a6 6 0 0 0 6-6z"}}]})(props);
};
function FaClock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256,8C119,8,8,119,8,256S119,504,256,504,504,393,504,256,393,8,256,8Zm92.49,313h0l-20,25a16,16,0,0,1-22.49,2.5h0l-67-49.72a40,40,0,0,1-15-31.23V112a16,16,0,0,1,16-16h32a16,16,0,0,1,16,16V256l58,42.5A16,16,0,0,1,348.49,321Z"}}]})(props);
};
function FaClone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 0c26.51 0 48 21.49 48 48v288c0 26.51-21.49 48-48 48H176c-26.51 0-48-21.49-48-48V48c0-26.51 21.49-48 48-48h288M176 416c-44.112 0-80-35.888-80-80V128H48c-26.51 0-48 21.49-48 48v288c0 26.51 21.49 48 48 48h288c26.51 0 48-21.49 48-48v-48H176z"}}]})(props);
};
function FaClosedCaptioning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 64H48C21.5 64 0 85.5 0 112v288c0 26.5 21.5 48 48 48h416c26.5 0 48-21.5 48-48V112c0-26.5-21.5-48-48-48zM218.1 287.7c2.8-2.5 7.1-2.1 9.2.9l19.5 27.7c1.7 2.4 1.5 5.6-.5 7.7-53.6 56.8-172.8 32.1-172.8-67.9 0-97.3 121.7-119.5 172.5-70.1 2.1 2 2.5 3.2 1 5.7l-17.5 30.5c-1.9 3.1-6.2 4-9.1 1.7-40.8-32-94.6-14.9-94.6 31.2.1 48 51.1 70.5 92.3 32.6zm190.4 0c2.8-2.5 7.1-2.1 9.2.9l19.5 27.7c1.7 2.4 1.5 5.6-.5 7.7-53.5 56.9-172.7 32.1-172.7-67.9 0-97.3 121.7-119.5 172.5-70.1 2.1 2 2.5 3.2 1 5.7L420 222.2c-1.9 3.1-6.2 4-9.1 1.7-40.8-32-94.6-14.9-94.6 31.2 0 48 51 70.5 92.2 32.6z"}}]})(props);
};
function FaCloudDownloadAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M537.6 226.6c4.1-10.7 6.4-22.4 6.4-34.6 0-53-43-96-96-96-19.7 0-38.1 6-53.3 16.2C367 64.2 315.3 32 256 32c-88.4 0-160 71.6-160 160 0 2.7.1 5.4.2 8.1C40.2 219.8 0 273.2 0 336c0 79.5 64.5 144 144 144h368c70.7 0 128-57.3 128-128 0-61.9-44-113.6-102.4-125.4zm-132.9 88.7L299.3 420.7c-6.2 6.2-16.4 6.2-22.6 0L171.3 315.3c-10.1-10.1-2.9-27.3 11.3-27.3H248V176c0-8.8 7.2-16 16-16h48c8.8 0 16 7.2 16 16v112h65.4c14.2 0 21.4 17.2 11.3 27.3z"}}]})(props);
};
function FaCloudMeatball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48 352c-26.5 0-48 21.5-48 48s21.5 48 48 48 48-21.5 48-48-21.5-48-48-48zm416 0c-26.5 0-48 21.5-48 48s21.5 48 48 48 48-21.5 48-48-21.5-48-48-48zm-119 11.1c4.6-14.5 1.6-30.8-9.8-42.3-11.5-11.5-27.8-14.4-42.3-9.9-7-13.5-20.7-23-36.9-23s-29.9 9.5-36.9 23c-14.5-4.6-30.8-1.6-42.3 9.9-11.5 11.5-14.4 27.8-9.9 42.3-13.5 7-23 20.7-23 36.9s9.5 29.9 23 36.9c-4.6 14.5-1.6 30.8 9.9 42.3 8.2 8.2 18.9 12.3 29.7 12.3 4.3 0 8.5-1.1 12.6-2.5 7 13.5 20.7 23 36.9 23s29.9-9.5 36.9-23c4.1 1.3 8.3 2.5 12.6 2.5 10.8 0 21.5-4.1 29.7-12.3 11.5-11.5 14.4-27.8 9.8-42.3 13.5-7 23-20.7 23-36.9s-9.5-29.9-23-36.9zM512 224c0-53-43-96-96-96-.6 0-1.1.2-1.6.2 1.1-5.2 1.6-10.6 1.6-16.2 0-44.2-35.8-80-80-80-24.6 0-46.3 11.3-61 28.8C256.4 24.8 219.3 0 176 0 114.1 0 64 50.1 64 112c0 7.3.8 14.3 2.1 21.2C27.8 145.8 0 181.5 0 224c0 53 43 96 96 96h43.4c3.6-8 8.4-15.4 14.8-21.8 13.5-13.5 31.5-21.1 50.8-21.3 13.5-13.2 31.7-20.9 51-20.9s37.5 7.7 51 20.9c19.3.2 37.3 7.8 50.8 21.3 6.4 6.4 11.3 13.8 14.8 21.8H416c53 0 96-43 96-96z"}}]})(props);
};
function FaCloudMoonRain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M350.5 225.5c-6.9-37.2-39.3-65.5-78.5-65.5-12.3 0-23.9 3-34.3 8-17.4-24.1-45.6-40-77.7-40-53 0-96 43-96 96 0 .5.2 1.1.2 1.6C27.6 232.9 0 265.2 0 304c0 44.2 35.8 80 80 80h256c44.2 0 80-35.8 80-80 0-39.2-28.2-71.7-65.5-78.5zm217.4-1.7c-70.4 13.3-135-40.3-135-110.8 0-40.6 21.9-78 57.5-98.1 5.5-3.1 4.1-11.4-2.1-12.5C479.6.8 470.7 0 461.8 0c-77.9 0-141.1 61.2-144.4 137.9 26.7 11.9 48.2 33.8 58.9 61.7 37.1 14.3 64 47.4 70.2 86.8 5.1.5 10 1.5 15.2 1.5 44.7 0 85.6-20.2 112.6-53.3 4.2-4.8-.2-12-6.4-10.8zM364.5 418.1c-7.6-4.3-17.4-1.8-21.8 6l-36.6 64c-4.4 7.7-1.7 17.4 6 21.8 2.5 1.4 5.2 2.1 7.9 2.1 5.5 0 10.9-2.9 13.9-8.1l36.6-64c4.3-7.7 1.7-17.4-6-21.8zm-96 0c-7.6-4.3-17.4-1.8-21.8 6l-36.6 64c-4.4 7.7-1.7 17.4 6 21.8 2.5 1.4 5.2 2.1 7.9 2.1 5.5 0 10.9-2.9 13.9-8.1l36.6-64c4.3-7.7 1.7-17.4-6-21.8zm-96 0c-7.6-4.3-17.4-1.8-21.8 6l-36.6 64c-4.4 7.7-1.7 17.4 6 21.8 2.5 1.4 5.2 2.1 7.9 2.1 5.5 0 10.9-2.9 13.9-8.1l36.6-64c4.3-7.7 1.7-17.4-6-21.8zm-96 0c-7.6-4.3-17.4-1.8-21.8 6l-36.6 64c-4.4 7.7-1.7 17.4 6 21.8 2.5 1.4 5.2 2.1 7.9 2.1 5.5 0 10.9-2.9 13.9-8.1l36.6-64c4.3-7.7 1.7-17.4-6-21.8z"}}]})(props);
};
function FaCloudMoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M342.8 352.7c5.7-9.6 9.2-20.7 9.2-32.7 0-35.3-28.7-64-64-64-17.2 0-32.8 6.9-44.3 17.9-16.3-29.6-47.5-49.9-83.7-49.9-53 0-96 43-96 96 0 2 .5 3.8.6 5.7C27.1 338.8 0 374.1 0 416c0 53 43 96 96 96h240c44.2 0 80-35.8 80-80 0-41.9-32.3-75.8-73.2-79.3zm222.5-54.3c-93.1 17.7-178.5-53.7-178.5-147.7 0-54.2 29-104 76.1-130.8 7.3-4.1 5.4-15.1-2.8-16.7C448.4 1.1 436.7 0 425 0 319.1 0 233.1 85.9 233.1 192c0 8.5.7 16.8 1.8 25 5.9 4.3 11.6 8.9 16.7 14.2 11.4-4.7 23.7-7.2 36.4-7.2 52.9 0 96 43.1 96 96 0 3.6-.2 7.2-.6 10.7 23.6 10.8 42.4 29.5 53.5 52.6 54.4-3.4 103.7-29.3 137.1-70.4 5.3-6.5-.5-16.1-8.7-14.5z"}}]})(props);
};
function FaCloudRain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 128c-.6 0-1.1.2-1.6.2 1.1-5.2 1.6-10.6 1.6-16.2 0-44.2-35.8-80-80-80-24.6 0-46.3 11.3-61 28.8C256.4 24.8 219.3 0 176 0 114.1 0 64 50.1 64 112c0 7.3.8 14.3 2.1 21.2C27.8 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96s-43-96-96-96zM88 374.2c-12.8 44.4-40 56.4-40 87.7 0 27.7 21.5 50.1 48 50.1s48-22.4 48-50.1c0-31.4-27.2-43.1-40-87.7-2.2-8.1-13.5-8.5-16 0zm160 0c-12.8 44.4-40 56.4-40 87.7 0 27.7 21.5 50.1 48 50.1s48-22.4 48-50.1c0-31.4-27.2-43.1-40-87.7-2.2-8.1-13.5-8.5-16 0zm160 0c-12.8 44.4-40 56.4-40 87.7 0 27.7 21.5 50.1 48 50.1s48-22.4 48-50.1c0-31.4-27.2-43.1-40-87.7-2.2-8.1-13.5-8.5-16 0z"}}]})(props);
};
function FaCloudShowersHeavy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M183.9 370.1c-7.6-4.4-17.4-1.8-21.8 6l-64 112c-4.4 7.7-1.7 17.5 6 21.8 2.5 1.4 5.2 2.1 7.9 2.1 5.5 0 10.9-2.9 13.9-8.1l64-112c4.4-7.6 1.7-17.4-6-21.8zm96 0c-7.6-4.4-17.4-1.8-21.8 6l-64 112c-4.4 7.7-1.7 17.5 6 21.8 2.5 1.4 5.2 2.1 7.9 2.1 5.5 0 10.9-2.9 13.9-8.1l64-112c4.4-7.6 1.7-17.4-6-21.8zm-192 0c-7.6-4.4-17.4-1.8-21.8 6l-64 112c-4.4 7.7-1.7 17.5 6 21.8 2.5 1.4 5.2 2.1 7.9 2.1 5.5 0 10.9-2.9 13.9-8.1l64-112c4.4-7.6 1.7-17.4-6-21.8zm384 0c-7.6-4.4-17.4-1.8-21.8 6l-64 112c-4.4 7.7-1.7 17.5 6 21.8 2.5 1.4 5.2 2.1 7.9 2.1 5.5 0 10.9-2.9 13.9-8.1l64-112c4.4-7.6 1.7-17.4-6-21.8zm-96 0c-7.6-4.4-17.4-1.8-21.8 6l-64 112c-4.4 7.7-1.7 17.5 6 21.8 2.5 1.4 5.2 2.1 7.9 2.1 5.5 0 10.9-2.9 13.9-8.1l64-112c4.4-7.6 1.7-17.4-6-21.8zM416 128c-.6 0-1.1.2-1.6.2 1.1-5.2 1.6-10.6 1.6-16.2 0-44.2-35.8-80-80-80-24.6 0-46.3 11.3-61 28.8C256.4 24.8 219.3 0 176 0 114.2 0 64 50.1 64 112c0 7.3.8 14.3 2.1 21.2C27.8 145.8 0 181.5 0 224c0 53 43 96 96 96h320c53 0 96-43 96-96s-43-96-96-96z"}}]})(props);
};
function FaCloudSunRain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M510.5 225.5c-6.9-37.2-39.3-65.5-78.5-65.5-12.3 0-23.9 3-34.3 8-17.4-24.1-45.6-40-77.7-40-53 0-96 43-96 96 0 .5.2 1.1.2 1.6C187.6 233 160 265.2 160 304c0 44.2 35.8 80 80 80h256c44.2 0 80-35.8 80-80 0-39.2-28.2-71.7-65.5-78.5zm-386.4 34.4c-37.4-37.4-37.4-98.3 0-135.8 34.6-34.6 89.1-36.8 126.7-7.4 20-12.9 43.6-20.7 69.2-20.7.7 0 1.3.2 2 .2l8.9-26.7c3.4-10.2-6.3-19.8-16.5-16.4l-75.3 25.1-35.5-71c-4.8-9.6-18.5-9.6-23.3 0l-35.5 71-75.3-25.1c-10.2-3.4-19.8 6.3-16.4 16.5l25.1 75.3-71 35.5c-9.6 4.8-9.6 18.5 0 23.3l71 35.5-25.1 75.3c-3.4 10.2 6.3 19.8 16.5 16.5l59.2-19.7c-.2-2.4-.7-4.7-.7-7.2 0-12.5 2.3-24.5 6.2-35.9-3.6-2.7-7.1-5.2-10.2-8.3zm69.8-58c4.3-24.5 15.8-46.4 31.9-64-9.8-6.2-21.4-9.9-33.8-9.9-35.3 0-64 28.7-64 64 0 18.7 8.2 35.4 21.1 47.1 11.3-15.9 26.6-28.9 44.8-37.2zm330.6 216.2c-7.6-4.3-17.4-1.8-21.8 6l-36.6 64c-4.4 7.7-1.7 17.4 6 21.8 2.5 1.4 5.2 2.1 7.9 2.1 5.5 0 10.9-2.9 13.9-8.1l36.6-64c4.3-7.7 1.7-17.4-6-21.8zm-96 0c-7.6-4.3-17.4-1.8-21.8 6l-36.6 64c-4.4 7.7-1.7 17.4 6 21.8 2.5 1.4 5.2 2.1 7.9 2.1 5.5 0 10.9-2.9 13.9-8.1l36.6-64c4.3-7.7 1.7-17.4-6-21.8zm-96 0c-7.6-4.3-17.4-1.8-21.8 6l-36.6 64c-4.4 7.7-1.7 17.4 6 21.8 2.5 1.4 5.2 2.1 7.9 2.1 5.5 0 10.9-2.9 13.9-8.1l36.6-64c4.3-7.7 1.7-17.4-6-21.8zm-96 0c-7.6-4.3-17.4-1.8-21.8 6l-36.6 64c-4.4 7.7-1.7 17.4 6 21.8 2.5 1.4 5.2 2.1 7.9 2.1 5.5 0 10.9-2.9 13.9-8.1l36.6-64c4.3-7.7 1.7-17.4-6-21.8z"}}]})(props);
};
function FaCloudSun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M575.2 325.7c.2-1.9.8-3.7.8-5.6 0-35.3-28.7-64-64-64-12.6 0-24.2 3.8-34.1 10-17.6-38.8-56.5-66-101.9-66-61.8 0-112 50.1-112 112 0 3 .7 5.8.9 8.7-49.6 3.7-88.9 44.7-88.9 95.3 0 53 43 96 96 96h272c53 0 96-43 96-96 0-42.1-27.2-77.4-64.8-90.4zm-430.4-22.6c-43.7-43.7-43.7-114.7 0-158.3 43.7-43.7 114.7-43.7 158.4 0 9.7 9.7 16.9 20.9 22.3 32.7 9.8-3.7 20.1-6 30.7-7.5L386 81.1c4-11.9-7.3-23.1-19.2-19.2L279 91.2 237.5 8.4C232-2.8 216-2.8 210.4 8.4L169 91.2 81.1 61.9C69.3 58 58 69.3 61.9 81.1l29.3 87.8-82.8 41.5c-11.2 5.6-11.2 21.5 0 27.1l82.8 41.4-29.3 87.8c-4 11.9 7.3 23.1 19.2 19.2l76.1-25.3c6.1-12.4 14-23.7 23.6-33.5-13.1-5.4-25.4-13.4-36-24zm-4.8-79.2c0 40.8 29.3 74.8 67.9 82.3 8-4.7 16.3-8.8 25.2-11.7 5.4-44.3 31-82.5 67.4-105C287.3 160.4 258 140 224 140c-46.3 0-84 37.6-84 83.9z"}}]})(props);
};
function FaCloudUploadAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M537.6 226.6c4.1-10.7 6.4-22.4 6.4-34.6 0-53-43-96-96-96-19.7 0-38.1 6-53.3 16.2C367 64.2 315.3 32 256 32c-88.4 0-160 71.6-160 160 0 2.7.1 5.4.2 8.1C40.2 219.8 0 273.2 0 336c0 79.5 64.5 144 144 144h368c70.7 0 128-57.3 128-128 0-61.9-44-113.6-102.4-125.4zM393.4 288H328v112c0 8.8-7.2 16-16 16h-48c-8.8 0-16-7.2-16-16V288h-65.4c-14.3 0-21.4-17.2-11.3-27.3l105.4-105.4c6.2-6.2 16.4-6.2 22.6 0l105.4 105.4c10.1 10.1 2.9 27.3-11.3 27.3z"}}]})(props);
};
function FaCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M537.6 226.6c4.1-10.7 6.4-22.4 6.4-34.6 0-53-43-96-96-96-19.7 0-38.1 6-53.3 16.2C367 64.2 315.3 32 256 32c-88.4 0-160 71.6-160 160 0 2.7.1 5.4.2 8.1C40.2 219.8 0 273.2 0 336c0 79.5 64.5 144 144 144h368c70.7 0 128-57.3 128-128 0-61.9-44-113.6-102.4-125.4z"}}]})(props);
};
function FaCocktail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M296 464h-56V338.78l168.74-168.73c15.52-15.52 4.53-42.05-17.42-42.05H24.68c-21.95 0-32.94 26.53-17.42 42.05L176 338.78V464h-56c-22.09 0-40 17.91-40 40 0 4.42 3.58 8 8 8h240c4.42 0 8-3.58 8-8 0-22.09-17.91-40-40-40zM432 0c-62.61 0-115.35 40.2-135.18 96h52.54c16.65-28.55 47.27-48 82.64-48 52.93 0 96 43.06 96 96s-43.07 96-96 96c-14.04 0-27.29-3.2-39.32-8.64l-35.26 35.26C379.23 279.92 404.59 288 432 288c79.53 0 144-64.47 144-144S511.53 0 432 0z"}}]})(props);
};
function FaCodeBranch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M384 144c0-44.2-35.8-80-80-80s-80 35.8-80 80c0 36.4 24.3 67.1 57.5 76.8-.6 16.1-4.2 28.5-11 36.9-15.4 19.2-49.3 22.4-85.2 25.7-28.2 2.6-57.4 5.4-81.3 16.9v-144c32.5-10.2 56-40.5 56-76.3 0-44.2-35.8-80-80-80S0 35.8 0 80c0 35.8 23.5 66.1 56 76.3v199.3C23.5 365.9 0 396.2 0 432c0 44.2 35.8 80 80 80s80-35.8 80-80c0-34-21.2-63.1-51.2-74.6 3.1-5.2 7.8-9.8 14.9-13.4 16.2-8.2 40.4-10.4 66.1-12.8 42.2-3.9 90-8.4 118.2-43.4 14-17.4 21.1-39.8 21.6-67.9 31.6-10.8 54.4-40.7 54.4-75.9zM80 64c8.8 0 16 7.2 16 16s-7.2 16-16 16-16-7.2-16-16 7.2-16 16-16zm0 384c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zm224-320c8.8 0 16 7.2 16 16s-7.2 16-16 16-16-7.2-16-16 7.2-16 16-16z"}}]})(props);
};
function FaCode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M278.9 511.5l-61-17.7c-6.4-1.8-10-8.5-8.2-14.9L346.2 8.7c1.8-6.4 8.5-10 14.9-8.2l61 17.7c6.4 1.8 10 8.5 8.2 14.9L293.8 503.3c-1.9 6.4-8.5 10.1-14.9 8.2zm-114-112.2l43.5-46.4c4.6-4.9 4.3-12.7-.8-17.2L117 256l90.6-79.7c5.1-4.5 5.5-12.3.8-17.2l-43.5-46.4c-4.5-4.8-12.1-5.1-17-.5L3.8 247.2c-5.1 4.7-5.1 12.8 0 17.5l144.1 135.1c4.9 4.6 12.5 4.4 17-.5zm327.2.6l144.1-135.1c5.1-4.7 5.1-12.8 0-17.5L492.1 112.1c-4.8-4.5-12.4-4.3-17 .5L431.6 159c-4.6 4.9-4.3 12.7.8 17.2L523 256l-90.6 79.7c-5.1 4.5-5.5 12.3-.8 17.2l43.5 46.4c4.5 4.9 12.1 5.1 17 .6z"}}]})(props);
};
function FaCoffee (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M192 384h192c53 0 96-43 96-96h32c70.6 0 128-57.4 128-128S582.6 32 512 32H120c-13.3 0-24 10.7-24 24v232c0 53 43 96 96 96zM512 96c35.3 0 64 28.7 64 64s-28.7 64-64 64h-32V96h32zm47.7 384H48.3c-47.6 0-61-64-36-64h583.3c25 0 11.8 64-35.9 64z"}}]})(props);
};
function FaCog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M487.4 315.7l-42.6-24.6c4.3-23.2 4.3-47 0-70.2l42.6-24.6c4.9-2.8 7.1-8.6 5.5-14-11.1-35.6-30-67.8-54.7-94.6-3.8-4.1-10-5.1-14.8-2.3L380.8 110c-17.9-15.4-38.5-27.3-60.8-35.1V25.8c0-5.6-3.9-10.5-9.4-11.7-36.7-8.2-74.3-7.8-109.2 0-5.5 1.2-9.4 6.1-9.4 11.7V75c-22.2 7.9-42.8 19.8-60.8 35.1L88.7 85.5c-4.9-2.8-11-1.9-14.8 2.3-24.7 26.7-43.6 58.9-54.7 94.6-1.7 5.4.6 11.2 5.5 14L67.3 221c-4.3 23.2-4.3 47 0 70.2l-42.6 24.6c-4.9 2.8-7.1 8.6-5.5 14 11.1 35.6 30 67.8 54.7 94.6 3.8 4.1 10 5.1 14.8 2.3l42.6-24.6c17.9 15.4 38.5 27.3 60.8 35.1v49.2c0 5.6 3.9 10.5 9.4 11.7 36.7 8.2 74.3 7.8 109.2 0 5.5-1.2 9.4-6.1 9.4-11.7v-49.2c22.2-7.9 42.8-19.8 60.8-35.1l42.6 24.6c4.9 2.8 11 1.9 14.8-2.3 24.7-26.7 43.6-58.9 54.7-94.6 1.5-5.5-.7-11.3-5.6-14.1zM256 336c-44.1 0-80-35.9-80-80s35.9-80 80-80 80 35.9 80 80-35.9 80-80 80z"}}]})(props);
};
function FaCogs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M512.1 191l-8.2 14.3c-3 5.3-9.4 7.5-15.1 5.4-11.8-4.4-22.6-10.7-32.1-18.6-4.6-3.8-5.8-10.5-2.8-15.7l8.2-14.3c-6.9-8-12.3-17.3-15.9-27.4h-16.5c-6 0-11.2-4.3-12.2-10.3-2-12-2.1-24.6 0-37.1 1-6 6.2-10.4 12.2-10.4h16.5c3.6-10.1 9-19.4 15.9-27.4l-8.2-14.3c-3-5.2-1.9-11.9 2.8-15.7 9.5-7.9 20.4-14.2 32.1-18.6 5.7-2.1 12.1.1 15.1 5.4l8.2 14.3c10.5-1.9 21.2-1.9 31.7 0L552 6.3c3-5.3 9.4-7.5 15.1-5.4 11.8 4.4 22.6 10.7 32.1 18.6 4.6 3.8 5.8 10.5 2.8 15.7l-8.2 14.3c6.9 8 12.3 17.3 15.9 27.4h16.5c6 0 11.2 4.3 12.2 10.3 2 12 2.1 24.6 0 37.1-1 6-6.2 10.4-12.2 10.4h-16.5c-3.6 10.1-9 19.4-15.9 27.4l8.2 14.3c3 5.2 1.9 11.9-2.8 15.7-9.5 7.9-20.4 14.2-32.1 18.6-5.7 2.1-12.1-.1-15.1-5.4l-8.2-14.3c-10.4 1.9-21.2 1.9-31.7 0zm-10.5-58.8c38.5 29.6 82.4-14.3 52.8-52.8-38.5-29.7-82.4 14.3-52.8 52.8zM386.3 286.1l33.7 16.8c10.1 5.8 14.5 18.1 10.5 29.1-8.9 24.2-26.4 46.4-42.6 65.8-7.4 8.9-20.2 11.1-30.3 5.3l-29.1-16.8c-16 13.7-34.6 24.6-54.9 31.7v33.6c0 11.6-8.3 21.6-19.7 23.6-24.6 4.2-50.4 4.4-75.9 0-11.5-2-20-11.9-20-23.6V418c-20.3-7.2-38.9-18-54.9-31.7L74 403c-10 5.8-22.9 3.6-30.3-5.3-16.2-19.4-33.3-41.6-42.2-65.7-4-10.9.4-23.2 10.5-29.1l33.3-16.8c-3.9-20.9-3.9-42.4 0-63.4L12 205.8c-10.1-5.8-14.6-18.1-10.5-29 8.9-24.2 26-46.4 42.2-65.8 7.4-8.9 20.2-11.1 30.3-5.3l29.1 16.8c16-13.7 34.6-24.6 54.9-31.7V57.1c0-11.5 8.2-21.5 19.6-23.5 24.6-4.2 50.5-4.4 76-.1 11.5 2 20 11.9 20 23.6v33.6c20.3 7.2 38.9 18 54.9 31.7l29.1-16.8c10-5.8 22.9-3.6 30.3 5.3 16.2 19.4 33.2 41.6 42.1 65.8 4 10.9.1 23.2-10 29.1l-33.7 16.8c3.9 21 3.9 42.5 0 63.5zm-117.6 21.1c59.2-77-28.7-164.9-105.7-105.7-59.2 77 28.7 164.9 105.7 105.7zm243.4 182.7l-8.2 14.3c-3 5.3-9.4 7.5-15.1 5.4-11.8-4.4-22.6-10.7-32.1-18.6-4.6-3.8-5.8-10.5-2.8-15.7l8.2-14.3c-6.9-8-12.3-17.3-15.9-27.4h-16.5c-6 0-11.2-4.3-12.2-10.3-2-12-2.1-24.6 0-37.1 1-6 6.2-10.4 12.2-10.4h16.5c3.6-10.1 9-19.4 15.9-27.4l-8.2-14.3c-3-5.2-1.9-11.9 2.8-15.7 9.5-7.9 20.4-14.2 32.1-18.6 5.7-2.1 12.1.1 15.1 5.4l8.2 14.3c10.5-1.9 21.2-1.9 31.7 0l8.2-14.3c3-5.3 9.4-7.5 15.1-5.4 11.8 4.4 22.6 10.7 32.1 18.6 4.6 3.8 5.8 10.5 2.8 15.7l-8.2 14.3c6.9 8 12.3 17.3 15.9 27.4h16.5c6 0 11.2 4.3 12.2 10.3 2 12 2.1 24.6 0 37.1-1 6-6.2 10.4-12.2 10.4h-16.5c-3.6 10.1-9 19.4-15.9 27.4l8.2 14.3c3 5.2 1.9 11.9-2.8 15.7-9.5 7.9-20.4 14.2-32.1 18.6-5.7 2.1-12.1-.1-15.1-5.4l-8.2-14.3c-10.4 1.9-21.2 1.9-31.7 0zM501.6 431c38.5 29.6 82.4-14.3 52.8-52.8-38.5-29.6-82.4 14.3-52.8 52.8z"}}]})(props);
};
function FaCoins (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M0 405.3V448c0 35.3 86 64 192 64s192-28.7 192-64v-42.7C342.7 434.4 267.2 448 192 448S41.3 434.4 0 405.3zM320 128c106 0 192-28.7 192-64S426 0 320 0 128 28.7 128 64s86 64 192 64zM0 300.4V352c0 35.3 86 64 192 64s192-28.7 192-64v-51.6c-41.3 34-116.9 51.6-192 51.6S41.3 334.4 0 300.4zm416 11c57.3-11.1 96-31.7 96-55.4v-42.7c-23.2 16.4-57.3 27.6-96 34.5v63.6zM192 160C86 160 0 195.8 0 240s86 80 192 80 192-35.8 192-80-86-80-192-80zm219.3 56.3c60-10.8 100.7-32 100.7-56.3v-42.7c-35.5 25.1-96.5 38.6-160.7 41.8 29.5 14.3 51.2 33.5 60 57.2z"}}]})(props);
};
function FaColumns (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 32H48C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V80c0-26.51-21.49-48-48-48zM224 416H64V160h160v256zm224 0H288V160h160v256z"}}]})(props);
};
function FaCommentAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 0H64C28.7 0 0 28.7 0 64v288c0 35.3 28.7 64 64 64h96v84c0 9.8 11.2 15.5 19.1 9.7L304 416h144c35.3 0 64-28.7 64-64V64c0-35.3-28.7-64-64-64z"}}]})(props);
};
function FaCommentDollar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32C114.62 32 0 125.12 0 240c0 49.56 21.41 95.01 57.02 130.74C44.46 421.05 2.7 465.97 2.2 466.5A7.995 7.995 0 0 0 8 480c66.26 0 115.99-31.75 140.6-51.38C181.29 440.93 217.59 448 256 448c141.38 0 256-93.12 256-208S397.38 32 256 32zm24 302.44V352c0 8.84-7.16 16-16 16h-16c-8.84 0-16-7.16-16-16v-17.73c-11.42-1.35-22.28-5.19-31.78-11.46-6.22-4.11-6.82-13.11-1.55-18.38l17.52-17.52c3.74-3.74 9.31-4.24 14.11-2.03 3.18 1.46 6.66 2.22 10.26 2.22h32.78c4.66 0 8.44-3.78 8.44-8.42 0-3.75-2.52-7.08-6.12-8.11l-50.07-14.3c-22.25-6.35-40.01-24.71-42.91-47.67-4.05-32.07 19.03-59.43 49.32-63.05V128c0-8.84 7.16-16 16-16h16c8.84 0 16 7.16 16 16v17.73c11.42 1.35 22.28 5.19 31.78 11.46 6.22 4.11 6.82 13.11 1.55 18.38l-17.52 17.52c-3.74 3.74-9.31 4.24-14.11 2.03a24.516 24.516 0 0 0-10.26-2.22h-32.78c-4.66 0-8.44 3.78-8.44 8.42 0 3.75 2.52 7.08 6.12 8.11l50.07 14.3c22.25 6.36 40.01 24.71 42.91 47.67 4.05 32.06-19.03 59.42-49.32 63.04z"}}]})(props);
};
function FaCommentDots (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32C114.6 32 0 125.1 0 240c0 49.6 21.4 95 57 130.7C44.5 421.1 2.7 466 2.2 466.5c-2.2 2.3-2.8 5.7-1.5 8.7S4.8 480 8 480c66.3 0 116-31.8 140.6-51.4 32.7 12.3 69 19.4 107.4 19.4 141.4 0 256-93.1 256-208S397.4 32 256 32zM128 272c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm128 0c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm128 0c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}}]})(props);
};
function FaCommentMedical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32C114.62 32 0 125.12 0 240c0 49.56 21.41 95 57 130.74C44.46 421.05 2.7 466 2.2 466.5A8 8 0 0 0 8 480c66.26 0 116-31.75 140.6-51.38A304.66 304.66 0 0 0 256 448c141.39 0 256-93.12 256-208S397.39 32 256 32zm96 232a8 8 0 0 1-8 8h-56v56a8 8 0 0 1-8 8h-48a8 8 0 0 1-8-8v-56h-56a8 8 0 0 1-8-8v-48a8 8 0 0 1 8-8h56v-56a8 8 0 0 1 8-8h48a8 8 0 0 1 8 8v56h56a8 8 0 0 1 8 8z"}}]})(props);
};
function FaCommentSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M64 240c0 49.6 21.4 95 57 130.7-12.6 50.3-54.3 95.2-54.8 95.8-2.2 2.3-2.8 5.7-1.5 8.7 1.3 2.9 4.1 4.8 7.3 4.8 66.3 0 116-31.8 140.6-51.4 32.7 12.3 69 19.4 107.4 19.4 27.4 0 53.7-3.6 78.4-10L72.9 186.4c-5.6 17.1-8.9 35-8.9 53.6zm569.8 218.1l-114.4-88.4C554.6 334.1 576 289.2 576 240c0-114.9-114.6-208-256-208-65.1 0-124.2 20.1-169.4 52.7L45.5 3.4C38.5-2 28.5-.8 23 6.2L3.4 31.4c-5.4 7-4.2 17 2.8 22.4l588.4 454.7c7 5.4 17 4.2 22.5-2.8l19.6-25.3c5.4-6.8 4.1-16.9-2.9-22.3z"}}]})(props);
};
function FaComment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32C114.6 32 0 125.1 0 240c0 49.6 21.4 95 57 130.7C44.5 421.1 2.7 466 2.2 466.5c-2.2 2.3-2.8 5.7-1.5 8.7S4.8 480 8 480c66.3 0 116-31.8 140.6-51.4 32.7 12.3 69 19.4 107.4 19.4 141.4 0 256-93.1 256-208S397.4 32 256 32z"}}]})(props);
};
function FaCommentsDollar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M416 192c0-88.37-93.12-160-208-160S0 103.63 0 192c0 34.27 14.13 65.95 37.97 91.98C24.61 314.22 2.52 338.16 2.2 338.5A7.995 7.995 0 0 0 8 352c36.58 0 66.93-12.25 88.73-24.98C128.93 342.76 167.02 352 208 352c114.88 0 208-71.63 208-160zm-224 96v-16.29c-11.29-.58-22.27-4.52-31.37-11.35-3.9-2.93-4.1-8.77-.57-12.14l11.75-11.21c2.77-2.64 6.89-2.76 10.13-.73 3.87 2.42 8.26 3.72 12.82 3.72h28.11c6.5 0 11.8-5.92 11.8-13.19 0-5.95-3.61-11.19-8.77-12.73l-45-13.5c-18.59-5.58-31.58-23.42-31.58-43.39 0-24.52 19.05-44.44 42.67-45.07V96c0-4.42 3.58-8 8-8h16c4.42 0 8 3.58 8 8v16.29c11.29.58 22.27 4.51 31.37 11.35 3.9 2.93 4.1 8.77.57 12.14l-11.75 11.21c-2.77 2.64-6.89 2.76-10.13.73-3.87-2.43-8.26-3.72-12.82-3.72h-28.11c-6.5 0-11.8 5.92-11.8 13.19 0 5.95 3.61 11.19 8.77 12.73l45 13.5c18.59 5.58 31.58 23.42 31.58 43.39 0 24.53-19.05 44.44-42.67 45.07V288c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8zm346.01 123.99C561.87 385.96 576 354.27 576 320c0-66.94-53.49-124.2-129.33-148.07.86 6.6 1.33 13.29 1.33 20.07 0 105.87-107.66 192-240 192-10.78 0-21.32-.77-31.73-1.88C207.8 439.63 281.77 480 368 480c40.98 0 79.07-9.24 111.27-24.98C501.07 467.75 531.42 480 568 480c3.2 0 6.09-1.91 7.34-4.84 1.27-2.94.66-6.34-1.55-8.67-.31-.33-22.42-24.24-35.78-54.5z"}}]})(props);
};
function FaComments (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M416 192c0-88.4-93.1-160-208-160S0 103.6 0 192c0 34.3 14.1 65.9 38 92-13.4 30.2-35.5 54.2-35.8 54.5-2.2 2.3-2.8 5.7-1.5 8.7S4.8 352 8 352c36.6 0 66.9-12.3 88.7-25 32.2 15.7 70.3 25 111.3 25 114.9 0 208-71.6 208-160zm122 220c23.9-26 38-57.7 38-92 0-66.9-53.5-124.2-129.3-148.1.9 6.6 1.3 13.3 1.3 20.1 0 105.9-107.7 192-240 192-10.8 0-21.3-.8-31.7-1.9C207.8 439.6 281.8 480 368 480c41 0 79.1-9.2 111.3-25 21.8 12.7 52.1 25 88.7 25 3.2 0 6.1-1.9 7.3-4.8 1.3-2.9.7-6.3-1.5-8.7-.3-.3-22.4-24.2-35.8-54.5z"}}]})(props);
};
function FaCompactDisc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zM88 256H56c0-105.9 86.1-192 192-192v32c-88.2 0-160 71.8-160 160zm160 96c-53 0-96-43-96-96s43-96 96-96 96 43 96 96-43 96-96 96zm0-128c-17.7 0-32 14.3-32 32s14.3 32 32 32 32-14.3 32-32-14.3-32-32-32z"}}]})(props);
};
function FaCompass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M225.38 233.37c-12.5 12.5-12.5 32.76 0 45.25 12.49 12.5 32.76 12.5 45.25 0 12.5-12.5 12.5-32.76 0-45.25-12.5-12.49-32.76-12.49-45.25 0zM248 8C111.03 8 0 119.03 0 256s111.03 248 248 248 248-111.03 248-248S384.97 8 248 8zm126.14 148.05L308.17 300.4a31.938 31.938 0 0 1-15.77 15.77l-144.34 65.97c-16.65 7.61-33.81-9.55-26.2-26.2l65.98-144.35a31.938 31.938 0 0 1 15.77-15.77l144.34-65.97c16.65-7.6 33.8 9.55 26.19 26.2z"}}]})(props);
};
function FaCompressAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M4.686 427.314L104 328l-32.922-31.029C55.958 281.851 66.666 256 88.048 256h112C213.303 256 224 266.745 224 280v112c0 21.382-25.803 32.09-40.922 16.971L152 376l-99.314 99.314c-6.248 6.248-16.379 6.248-22.627 0L4.686 449.941c-6.248-6.248-6.248-16.379 0-22.627zM443.314 84.686L344 184l32.922 31.029c15.12 15.12 4.412 40.971-16.97 40.971h-112C234.697 256 224 245.255 224 232V120c0-21.382 25.803-32.09 40.922-16.971L296 136l99.314-99.314c6.248-6.248 16.379-6.248 22.627 0l25.373 25.373c6.248 6.248 6.248 16.379 0 22.627z"}}]})(props);
};
function FaCompressArrowsAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M200 288H88c-21.4 0-32.1 25.8-17 41l32.9 31-99.2 99.3c-6.2 6.2-6.2 16.4 0 22.6l25.4 25.4c6.2 6.2 16.4 6.2 22.6 0L152 408l31.1 33c15.1 15.1 40.9 4.4 40.9-17V312c0-13.3-10.7-24-24-24zm112-64h112c21.4 0 32.1-25.9 17-41l-33-31 99.3-99.3c6.2-6.2 6.2-16.4 0-22.6L481.9 4.7c-6.2-6.2-16.4-6.2-22.6 0L360 104l-31.1-33C313.8 55.9 288 66.6 288 88v112c0 13.3 10.7 24 24 24zm96 136l33-31.1c15.1-15.1 4.4-40.9-17-40.9H312c-13.3 0-24 10.7-24 24v112c0 21.4 25.9 32.1 41 17l31-32.9 99.3 99.3c6.2 6.2 16.4 6.2 22.6 0l25.4-25.4c6.2-6.2 6.2-16.4 0-22.6L408 360zM183 71.1L152 104 52.7 4.7c-6.2-6.2-16.4-6.2-22.6 0L4.7 30.1c-6.2 6.2-6.2 16.4 0 22.6L104 152l-33 31.1C55.9 198.2 66.6 224 88 224h112c13.3 0 24-10.7 24-24V88c0-21.3-25.9-32-41-16.9z"}}]})(props);
};
function FaCompress (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M436 192H312c-13.3 0-24-10.7-24-24V44c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v84h84c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12zm-276-24V44c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v84H12c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h124c13.3 0 24-10.7 24-24zm0 300V344c0-13.3-10.7-24-24-24H12c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h84v84c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm192 0v-84h84c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12H312c-13.3 0-24 10.7-24 24v124c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12z"}}]})(props);
};
function FaConciergeBell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M288 130.54V112h16c8.84 0 16-7.16 16-16V80c0-8.84-7.16-16-16-16h-96c-8.84 0-16 7.16-16 16v16c0 8.84 7.16 16 16 16h16v18.54C115.49 146.11 32 239.18 32 352h448c0-112.82-83.49-205.89-192-221.46zM496 384H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h480c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16z"}}]})(props);
};
function FaCookieBite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M510.52 255.82c-69.97-.85-126.47-57.69-126.47-127.86-70.17 0-127-56.49-127.86-126.45-27.26-4.14-55.13.3-79.72 12.82l-69.13 35.22a132.221 132.221 0 0 0-57.79 57.81l-35.1 68.88a132.645 132.645 0 0 0-12.82 80.95l12.08 76.27a132.521 132.521 0 0 0 37.16 72.96l54.77 54.76a132.036 132.036 0 0 0 72.71 37.06l76.71 12.15c27.51 4.36 55.7-.11 80.53-12.76l69.13-35.21a132.273 132.273 0 0 0 57.79-57.81l35.1-68.88c12.56-24.64 17.01-52.58 12.91-79.91zM176 368c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm32-160c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm160 128c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z"}}]})(props);
};
function FaCookie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M510.37 254.79l-12.08-76.26a132.493 132.493 0 0 0-37.16-72.95l-54.76-54.75c-19.73-19.72-45.18-32.7-72.71-37.05l-76.7-12.15c-27.51-4.36-55.69.11-80.52 12.76L107.32 49.6a132.25 132.25 0 0 0-57.79 57.8l-35.1 68.88a132.602 132.602 0 0 0-12.82 80.94l12.08 76.27a132.493 132.493 0 0 0 37.16 72.95l54.76 54.75a132.087 132.087 0 0 0 72.71 37.05l76.7 12.14c27.51 4.36 55.69-.11 80.52-12.75l69.12-35.21a132.302 132.302 0 0 0 57.79-57.8l35.1-68.87c12.71-24.96 17.2-53.3 12.82-80.96zM176 368c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm32-160c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm160 128c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z"}}]})(props);
};
function FaCopy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M320 448v40c0 13.255-10.745 24-24 24H24c-13.255 0-24-10.745-24-24V120c0-13.255 10.745-24 24-24h72v296c0 30.879 25.121 56 56 56h168zm0-344V0H152c-13.255 0-24 10.745-24 24v368c0 13.255 10.745 24 24 24h272c13.255 0 24-10.745 24-24V128H344c-13.2 0-24-10.8-24-24zm120.971-31.029L375.029 7.029A24 24 0 0 0 358.059 0H352v96h96v-6.059a24 24 0 0 0-7.029-16.97z"}}]})(props);
};
function FaCopyright (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119.033 8 8 119.033 8 256s111.033 248 248 248 248-111.033 248-248S392.967 8 256 8zm117.134 346.753c-1.592 1.867-39.776 45.731-109.851 45.731-84.692 0-144.484-63.26-144.484-145.567 0-81.303 62.004-143.401 143.762-143.401 66.957 0 101.965 37.315 103.422 38.904a12 12 0 0 1 1.238 14.623l-22.38 34.655c-4.049 6.267-12.774 7.351-18.234 2.295-.233-.214-26.529-23.88-61.88-23.88-46.116 0-73.916 33.575-73.916 76.082 0 39.602 25.514 79.692 74.277 79.692 38.697 0 65.28-28.338 65.544-28.625 5.132-5.565 14.059-5.033 18.508 1.053l24.547 33.572a12.001 12.001 0 0 1-.553 14.866z"}}]})(props);
};
function FaCouch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M160 224v64h320v-64c0-35.3 28.7-64 64-64h32c0-53-43-96-96-96H160c-53 0-96 43-96 96h32c35.3 0 64 28.7 64 64zm416-32h-32c-17.7 0-32 14.3-32 32v96H128v-96c0-17.7-14.3-32-32-32H64c-35.3 0-64 28.7-64 64 0 23.6 13 44 32 55.1V432c0 8.8 7.2 16 16 16h64c8.8 0 16-7.2 16-16v-16h384v16c0 8.8 7.2 16 16 16h64c8.8 0 16-7.2 16-16V311.1c19-11.1 32-31.5 32-55.1 0-35.3-28.7-64-64-64z"}}]})(props);
};
function FaCreditCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M0 432c0 26.5 21.5 48 48 48h480c26.5 0 48-21.5 48-48V256H0v176zm192-68c0-6.6 5.4-12 12-12h136c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12H204c-6.6 0-12-5.4-12-12v-40zm-128 0c0-6.6 5.4-12 12-12h72c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12H76c-6.6 0-12-5.4-12-12v-40zM576 80v48H0V80c0-26.5 21.5-48 48-48h480c26.5 0 48 21.5 48 48z"}}]})(props);
};
function FaCropAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M488 352h-40V96c0-17.67-14.33-32-32-32H192v96h160v328c0 13.25 10.75 24 24 24h48c13.25 0 24-10.75 24-24v-40h40c13.25 0 24-10.75 24-24v-48c0-13.26-10.75-24-24-24zM160 24c0-13.26-10.75-24-24-24H88C74.75 0 64 10.74 64 24v40H24C10.75 64 0 74.74 0 88v48c0 13.25 10.75 24 24 24h40v256c0 17.67 14.33 32 32 32h224v-96H160V24z"}}]})(props);
};
function FaCrop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M488 352h-40V109.25l59.31-59.31c6.25-6.25 6.25-16.38 0-22.63L484.69 4.69c-6.25-6.25-16.38-6.25-22.63 0L402.75 64H192v96h114.75L160 306.75V24c0-13.26-10.75-24-24-24H88C74.75 0 64 10.74 64 24v40H24C10.75 64 0 74.74 0 88v48c0 13.25 10.75 24 24 24h40v264c0 13.25 10.75 24 24 24h232v-96H205.25L352 205.25V488c0 13.25 10.75 24 24 24h48c13.25 0 24-10.75 24-24v-40h40c13.25 0 24-10.75 24-24v-48c0-13.26-10.75-24-24-24z"}}]})(props);
};
function FaCross (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M352 128h-96V32c0-17.67-14.33-32-32-32h-64c-17.67 0-32 14.33-32 32v96H32c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h96v224c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V256h96c17.67 0 32-14.33 32-32v-64c0-17.67-14.33-32-32-32z"}}]})(props);
};
function FaCrosshairs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M500 224h-30.364C455.724 130.325 381.675 56.276 288 42.364V12c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v30.364C130.325 56.276 56.276 130.325 42.364 224H12c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h30.364C56.276 381.675 130.325 455.724 224 469.636V500c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12v-30.364C381.675 455.724 455.724 381.675 469.636 288H500c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12zM288 404.634V364c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40.634C165.826 392.232 119.783 346.243 107.366 288H148c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12h-40.634C119.768 165.826 165.757 119.783 224 107.366V148c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12v-40.634C346.174 119.768 392.217 165.757 404.634 224H364c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40.634C392.232 346.174 346.243 392.217 288 404.634zM288 256c0 17.673-14.327 32-32 32s-32-14.327-32-32c0-17.673 14.327-32 32-32s32 14.327 32 32z"}}]})(props);
};
function FaCrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M544 32h-16.36C513.04 12.68 490.09 0 464 0c-44.18 0-80 35.82-80 80v20.98L12.09 393.57A30.216 30.216 0 0 0 0 417.74c0 22.46 23.64 37.07 43.73 27.03L165.27 384h96.49l44.41 120.1c2.27 6.23 9.15 9.44 15.38 7.17l22.55-8.21c6.23-2.27 9.44-9.15 7.17-15.38L312.94 384H352c1.91 0 3.76-.23 5.66-.29l44.51 120.38c2.27 6.23 9.15 9.44 15.38 7.17l22.55-8.21c6.23-2.27 9.44-9.15 7.17-15.38l-41.24-111.53C485.74 352.8 544 279.26 544 192v-80l96-16c0-35.35-42.98-64-96-64zm-80 72c-13.25 0-24-10.75-24-24 0-13.26 10.75-24 24-24s24 10.74 24 24c0 13.25-10.75 24-24 24z"}}]})(props);
};
function FaCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M528 448H112c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h416c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16zm64-320c-26.5 0-48 21.5-48 48 0 7.1 1.6 13.7 4.4 19.8L476 239.2c-15.4 9.2-35.3 4-44.2-11.6L350.3 85C361 76.2 368 63 368 48c0-26.5-21.5-48-48-48s-48 21.5-48 48c0 15 7 28.2 17.7 37l-81.5 142.6c-8.9 15.6-28.9 20.8-44.2 11.6l-72.3-43.4c2.7-6 4.4-12.7 4.4-19.8 0-26.5-21.5-48-48-48S0 149.5 0 176s21.5 48 48 48c2.6 0 5.2-.4 7.7-.8L128 416h384l72.3-192.8c2.5.4 5.1.8 7.7.8 26.5 0 48-21.5 48-48s-21.5-48-48-48z"}}]})(props);
};
function FaCrutch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M507.31 185.71l-181-181a16 16 0 0 0-22.62 0L281 27.31a16 16 0 0 0 0 22.63l181 181a16 16 0 0 0 22.63 0l22.62-22.63a16 16 0 0 0 .06-22.6zm-179.54 66.41l-67.89-67.89 55.1-55.1-45.25-45.25-109.67 109.67a96.08 96.08 0 0 0-25.67 46.29L106.65 360.1l-102 102a16 16 0 0 0 0 22.63l22.62 22.62a16 16 0 0 0 22.63 0l102-102 120.25-27.75a95.88 95.88 0 0 0 46.29-25.65l109.68-109.68L382.87 197zm-54.57 54.57a32 32 0 0 1-15.45 8.54l-79.3 18.32 18.3-79.3a32.22 32.22 0 0 1 8.56-15.45l9.31-9.31 67.89 67.89z"}}]})(props);
};
function FaCube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M239.1 6.3l-208 78c-18.7 7-31.1 25-31.1 45v225.1c0 18.2 10.3 34.8 26.5 42.9l208 104c13.5 6.8 29.4 6.8 42.9 0l208-104c16.3-8.1 26.5-24.8 26.5-42.9V129.3c0-20-12.4-37.9-31.1-44.9l-208-78C262 2.2 250 2.2 239.1 6.3zM256 68.4l192 72v1.1l-192 78-192-78v-1.1l192-72zm32 356V275.5l160-65v133.9l-160 80z"}}]})(props);
};
function FaCubes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M488.6 250.2L392 214V105.5c0-15-9.3-28.4-23.4-33.7l-100-37.5c-8.1-3.1-17.1-3.1-25.3 0l-100 37.5c-14.1 5.3-23.4 18.7-23.4 33.7V214l-96.6 36.2C9.3 255.5 0 268.9 0 283.9V394c0 13.6 7.7 26.1 19.9 32.2l100 50c10.1 5.1 22.1 5.1 32.2 0l103.9-52 103.9 52c10.1 5.1 22.1 5.1 32.2 0l100-50c12.2-6.1 19.9-18.6 19.9-32.2V283.9c0-15-9.3-28.4-23.4-33.7zM358 214.8l-85 31.9v-68.2l85-37v73.3zM154 104.1l102-38.2 102 38.2v.6l-102 41.4-102-41.4v-.6zm84 291.1l-85 42.5v-79.1l85-38.8v75.4zm0-112l-102 41.4-102-41.4v-.6l102-38.2 102 38.2v.6zm240 112l-85 42.5v-79.1l85-38.8v75.4zm0-112l-102 41.4-102-41.4v-.6l102-38.2 102 38.2v.6z"}}]})(props);
};
function FaCut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M278.06 256L444.48 89.57c4.69-4.69 4.69-12.29 0-16.97-32.8-32.8-85.99-32.8-118.79 0L210.18 188.12l-24.86-24.86c4.31-10.92 6.68-22.81 6.68-35.26 0-53.02-42.98-96-96-96S0 74.98 0 128s42.98 96 96 96c4.54 0 8.99-.32 13.36-.93L142.29 256l-32.93 32.93c-4.37-.61-8.83-.93-13.36-.93-53.02 0-96 42.98-96 96s42.98 96 96 96 96-42.98 96-96c0-12.45-2.37-24.34-6.68-35.26l24.86-24.86L325.69 439.4c32.8 32.8 85.99 32.8 118.79 0 4.69-4.68 4.69-12.28 0-16.97L278.06 256zM96 160c-17.64 0-32-14.36-32-32s14.36-32 32-32 32 14.36 32 32-14.36 32-32 32zm0 256c-17.64 0-32-14.36-32-32s14.36-32 32-32 32 14.36 32 32-14.36 32-32 32z"}}]})(props);
};
function FaDatabase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 73.143v45.714C448 159.143 347.667 192 224 192S0 159.143 0 118.857V73.143C0 32.857 100.333 0 224 0s224 32.857 224 73.143zM448 176v102.857C448 319.143 347.667 352 224 352S0 319.143 0 278.857V176c48.125 33.143 136.208 48.572 224 48.572S399.874 209.143 448 176zm0 160v102.857C448 479.143 347.667 512 224 512S0 479.143 0 438.857V336c48.125 33.143 136.208 48.572 224 48.572S399.874 369.143 448 336z"}}]})(props);
};
function FaDeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M216 260c0 15.464-12.536 28-28 28s-28-12.536-28-28c0-44.112 35.888-80 80-80s80 35.888 80 80c0 15.464-12.536 28-28 28s-28-12.536-28-28c0-13.234-10.767-24-24-24s-24 10.766-24 24zm24-176c-97.047 0-176 78.953-176 176 0 15.464 12.536 28 28 28s28-12.536 28-28c0-66.168 53.832-120 120-120s120 53.832 120 120c0 75.164-71.009 70.311-71.997 143.622L288 404c0 28.673-23.327 52-52 52-15.464 0-28 12.536-28 28s12.536 28 28 28c59.475 0 107.876-48.328 108-107.774.595-34.428 72-48.24 72-144.226 0-97.047-78.953-176-176-176zm268.485-52.201L480.2 3.515c-4.687-4.686-12.284-4.686-16.971 0L376.2 90.544c-4.686 4.686-4.686 12.284 0 16.971l28.285 28.285c4.686 4.686 12.284 4.686 16.97 0l87.03-87.029c4.687-4.688 4.687-12.286 0-16.972zM168.97 314.745c-4.686-4.686-12.284-4.686-16.97 0L3.515 463.23c-4.686 4.686-4.686 12.284 0 16.971L31.8 508.485c4.687 4.686 12.284 4.686 16.971 0L197.256 360c4.686-4.686 4.686-12.284 0-16.971l-28.286-28.284z"}}]})(props);
};
function FaDemocrat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M637.3 256.9l-19.6-29.4c-28.2-42.3-75.3-67.5-126.1-67.5H256l-81.2-81.2c20.1-20.1 22.6-51.1 7.5-73.9-3.4-5.2-10.8-5.9-15.2-1.5l-41.8 41.8L82.4 2.4c-3.6-3.6-9.6-3-12.4 1.2-12.3 18.6-10.3 44 6.1 60.4 3.3 3.3 7.3 5.3 11.3 7.5-2.2 1.7-4.7 3.1-6.4 5.4L6.4 176.2c-7.3 9.7-8.4 22.7-3 33.5l14.3 28.6c5.4 10.8 16.5 17.7 28.6 17.7h31c8.5 0 16.6-3.4 22.6-9.4L138 212l54 108h352v-77.8c16.2 12.2 18.3 17.6 40.1 50.3 4.9 7.4 14.8 9.3 22.2 4.4l26.6-17.7c7.3-5 9.3-14.9 4.4-22.3zm-341.1-13.6l-16.5 16.1 3.9 22.7c.7 4.1-3.6 7.2-7.2 5.3L256 276.7l-20.4 10.7c-3.6 1.9-7.9-1.2-7.2-5.3l3.9-22.7-16.5-16.1c-3-2.9-1.3-7.9 2.8-8.5l22.8-3.3 10.2-20.7c1.8-3.7 7.1-3.7 9 0l10.2 20.7 22.8 3.3c4 .6 5.6 5.6 2.6 8.5zm112 0l-16.5 16.1 3.9 22.7c.7 4.1-3.6 7.2-7.2 5.3L368 276.7l-20.4 10.7c-3.6 1.9-7.9-1.2-7.2-5.3l3.9-22.7-16.5-16.1c-3-2.9-1.3-7.9 2.8-8.5l22.8-3.3 10.2-20.7c1.8-3.7 7.1-3.7 9 0l10.2 20.7 22.8 3.3c4 .6 5.6 5.6 2.6 8.5zm112 0l-16.5 16.1 3.9 22.7c.7 4.1-3.6 7.2-7.2 5.3L480 276.7l-20.4 10.7c-3.6 1.9-7.9-1.2-7.2-5.3l3.9-22.7-16.5-16.1c-3-2.9-1.3-7.9 2.8-8.5l22.8-3.3 10.2-20.7c1.8-3.7 7.1-3.7 9 0l10.2 20.7 22.8 3.3c4 .6 5.6 5.6 2.6 8.5zM192 496c0 8.8 7.2 16 16 16h64c8.8 0 16-7.2 16-16v-80h160v80c0 8.8 7.2 16 16 16h64c8.8 0 16-7.2 16-16V352H192v144z"}}]})(props);
};
function FaDesktop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M528 0H48C21.5 0 0 21.5 0 48v320c0 26.5 21.5 48 48 48h192l-16 48h-72c-13.3 0-24 10.7-24 24s10.7 24 24 24h272c13.3 0 24-10.7 24-24s-10.7-24-24-24h-72l-16-48h192c26.5 0 48-21.5 48-48V48c0-26.5-21.5-48-48-48zm-16 352H64V64h448v288z"}}]})(props);
};
function FaDharmachakra (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M495 225.06l-17.22 1.08c-5.27-39.49-20.79-75.64-43.86-105.84l12.95-11.43c6.92-6.11 7.25-16.79.73-23.31L426.44 64.4c-6.53-6.53-17.21-6.19-23.31.73L391.7 78.07c-30.2-23.06-66.35-38.58-105.83-43.86L286.94 17c.58-9.21-6.74-17-15.97-17h-29.94c-9.23 0-16.54 7.79-15.97 17l1.08 17.22c-39.49 5.27-75.64 20.79-105.83 43.86l-11.43-12.95c-6.11-6.92-16.79-7.25-23.31-.73L64.4 85.56c-6.53 6.53-6.19 17.21.73 23.31l12.95 11.43c-23.06 30.2-38.58 66.35-43.86 105.84L17 225.06c-9.21-.58-17 6.74-17 15.97v29.94c0 9.23 7.79 16.54 17 15.97l17.22-1.08c5.27 39.49 20.79 75.64 43.86 105.83l-12.95 11.43c-6.92 6.11-7.25 16.79-.73 23.31l21.17 21.17c6.53 6.53 17.21 6.19 23.31-.73l11.43-12.95c30.2 23.06 66.35 38.58 105.84 43.86L225.06 495c-.58 9.21 6.74 17 15.97 17h29.94c9.23 0 16.54-7.79 15.97-17l-1.08-17.22c39.49-5.27 75.64-20.79 105.84-43.86l11.43 12.95c6.11 6.92 16.79 7.25 23.31.73l21.17-21.17c6.53-6.53 6.19-17.21-.73-23.31l-12.95-11.43c23.06-30.2 38.58-66.35 43.86-105.83l17.22 1.08c9.21.58 17-6.74 17-15.97v-29.94c-.01-9.23-7.8-16.54-17.01-15.97zM281.84 98.61c24.81 4.07 47.63 13.66 67.23 27.78l-42.62 48.29c-8.73-5.44-18.32-9.54-28.62-11.95l4.01-64.12zm-51.68 0l4.01 64.12c-10.29 2.41-19.89 6.52-28.62 11.95l-42.62-48.29c19.6-14.12 42.42-23.71 67.23-27.78zm-103.77 64.33l48.3 42.61c-5.44 8.73-9.54 18.33-11.96 28.62l-64.12-4.01c4.07-24.81 13.66-47.62 27.78-67.22zm-27.78 118.9l64.12-4.01c2.41 10.29 6.52 19.89 11.95 28.62l-48.29 42.62c-14.12-19.6-23.71-42.42-27.78-67.23zm131.55 131.55c-24.81-4.07-47.63-13.66-67.23-27.78l42.61-48.3c8.73 5.44 18.33 9.54 28.62 11.96l-4 64.12zM256 288c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm25.84 125.39l-4.01-64.12c10.29-2.41 19.89-6.52 28.62-11.96l42.61 48.3c-19.6 14.12-42.41 23.71-67.22 27.78zm103.77-64.33l-48.29-42.62c5.44-8.73 9.54-18.32 11.95-28.62l64.12 4.01c-4.07 24.82-13.66 47.64-27.78 67.23zm-36.34-114.89c-2.41-10.29-6.52-19.89-11.96-28.62l48.3-42.61c14.12 19.6 23.71 42.42 27.78 67.23l-64.12 4z"}}]})(props);
};
function FaDiagnoses (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M496 256c8.8 0 16-7.2 16-16s-7.2-16-16-16-16 7.2-16 16 7.2 16 16 16zm-176-80c48.5 0 88-39.5 88-88S368.5 0 320 0s-88 39.5-88 88 39.5 88 88 88zM59.8 364c10.2 15.3 29.3 17.8 42.9 9.8 16.2-9.6 56.2-31.7 105.3-48.6V416h224v-90.7c49.1 16.8 89.1 39 105.3 48.6 13.6 8 32.7 5.3 42.9-9.8l17.8-26.7c8.8-13.2 7.6-34.6-10-45.1-11.9-7.1-29.7-17-51.1-27.4-28.1 46.1-99.4 17.8-87.7-35.1C409.3 217.2 365.1 208 320 208c-57 0-112.9 14.5-160 32.2-.2 40.2-47.6 63.3-79.2 36-11.2 6-21.3 11.6-28.7 16-17.6 10.5-18.8 31.8-10 45.1L59.8 364zM368 344c13.3 0 24 10.7 24 24s-10.7 24-24 24-24-10.7-24-24 10.7-24 24-24zm-96-96c13.3 0 24 10.7 24 24s-10.7 24-24 24-24-10.7-24-24 10.7-24 24-24zm-160 8c8.8 0 16-7.2 16-16s-7.2-16-16-16-16 7.2-16 16 7.2 16 16 16zm512 192H16c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h608c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16z"}}]})(props);
};
function FaDiceD20 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 480 512"},"child":[{"tag":"path","attr":{"d":"M106.75 215.06L1.2 370.95c-3.08 5 .1 11.5 5.93 12.14l208.26 22.07-108.64-190.1zM7.41 315.43L82.7 193.08 6.06 147.1c-2.67-1.6-6.06.32-6.06 3.43v162.81c0 4.03 5.29 5.53 7.41 2.09zM18.25 423.6l194.4 87.66c5.3 2.45 11.35-1.43 11.35-7.26v-65.67l-203.55-22.3c-4.45-.5-6.23 5.59-2.2 7.57zm81.22-257.78L179.4 22.88c4.34-7.06-3.59-15.25-10.78-11.14L17.81 110.35c-2.47 1.62-2.39 5.26.13 6.78l81.53 48.69zM240 176h109.21L253.63 7.62C250.5 2.54 245.25 0 240 0s-10.5 2.54-13.63 7.62L130.79 176H240zm233.94-28.9l-76.64 45.99 75.29 122.35c2.11 3.44 7.41 1.94 7.41-2.1V150.53c0-3.11-3.39-5.03-6.06-3.43zm-93.41 18.72l81.53-48.7c2.53-1.52 2.6-5.16.13-6.78l-150.81-98.6c-7.19-4.11-15.12 4.08-10.78 11.14l79.93 142.94zm79.02 250.21L256 438.32v65.67c0 5.84 6.05 9.71 11.35 7.26l194.4-87.66c4.03-1.97 2.25-8.06-2.2-7.56zm-86.3-200.97l-108.63 190.1 208.26-22.07c5.83-.65 9.01-7.14 5.93-12.14L373.25 215.06zM240 208H139.57L240 383.75 340.43 208H240z"}}]})(props);
};
function FaDiceD6 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M422.19 109.95L256.21 9.07c-19.91-12.1-44.52-12.1-64.43 0L25.81 109.95c-5.32 3.23-5.29 11.27.06 14.46L224 242.55l198.14-118.14c5.35-3.19 5.38-11.22.05-14.46zm13.84 44.63L240 271.46v223.82c0 12.88 13.39 20.91 24.05 14.43l152.16-92.48c19.68-11.96 31.79-33.94 31.79-57.7v-197.7c0-6.41-6.64-10.43-11.97-7.25zM0 161.83v197.7c0 23.77 12.11 45.74 31.79 57.7l152.16 92.47c10.67 6.48 24.05-1.54 24.05-14.43V271.46L11.97 154.58C6.64 151.4 0 155.42 0 161.83z"}}]})(props);
};
function FaDiceFive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64zM128 384c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm0-192c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm96 96c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm96 96c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm0-192c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z"}}]})(props);
};
function FaDiceFour (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64zM128 384c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm0-192c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm192 192c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm0-192c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z"}}]})(props);
};
function FaDiceOne (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64zM224 288c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z"}}]})(props);
};
function FaDiceSix (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64zM128 384c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm0-96c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm0-96c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm192 192c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm0-96c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm0-96c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z"}}]})(props);
};
function FaDiceThree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64zM128 192c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm96 96c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm96 96c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z"}}]})(props);
};
function FaDiceTwo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M384 32H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h320c35.35 0 64-28.65 64-64V96c0-35.35-28.65-64-64-64zM128 192c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm192 192c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z"}}]})(props);
};
function FaDice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M592 192H473.26c12.69 29.59 7.12 65.2-17 89.32L320 417.58V464c0 26.51 21.49 48 48 48h224c26.51 0 48-21.49 48-48V240c0-26.51-21.49-48-48-48zM480 376c-13.25 0-24-10.75-24-24 0-13.26 10.75-24 24-24s24 10.74 24 24c0 13.25-10.75 24-24 24zm-46.37-186.7L258.7 14.37c-19.16-19.16-50.23-19.16-69.39 0L14.37 189.3c-19.16 19.16-19.16 50.23 0 69.39L189.3 433.63c19.16 19.16 50.23 19.16 69.39 0L433.63 258.7c19.16-19.17 19.16-50.24 0-69.4zM96 248c-13.25 0-24-10.75-24-24 0-13.26 10.75-24 24-24s24 10.74 24 24c0 13.25-10.75 24-24 24zm128 128c-13.25 0-24-10.75-24-24 0-13.26 10.75-24 24-24s24 10.74 24 24c0 13.25-10.75 24-24 24zm0-128c-13.25 0-24-10.75-24-24 0-13.26 10.75-24 24-24s24 10.74 24 24c0 13.25-10.75 24-24 24zm0-128c-13.25 0-24-10.75-24-24 0-13.26 10.75-24 24-24s24 10.74 24 24c0 13.25-10.75 24-24 24zm128 128c-13.25 0-24-10.75-24-24 0-13.26 10.75-24 24-24s24 10.74 24 24c0 13.25-10.75 24-24 24z"}}]})(props);
};
function FaDigitalTachograph (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M608 96H32c-17.67 0-32 14.33-32 32v256c0 17.67 14.33 32 32 32h576c17.67 0 32-14.33 32-32V128c0-17.67-14.33-32-32-32zM304 352c0 4.42-3.58 8-8 8H72c-4.42 0-8-3.58-8-8v-8c0-4.42 3.58-8 8-8h224c4.42 0 8 3.58 8 8v8zM72 288v-16c0-4.42 3.58-8 8-8h16c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8H80c-4.42 0-8-3.58-8-8zm64 0v-16c0-4.42 3.58-8 8-8h16c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8zm64 0v-16c0-4.42 3.58-8 8-8h16c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8zm64 0v-16c0-4.42 3.58-8 8-8h16c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8zm40-64c0 8.84-7.16 16-16 16H80c-8.84 0-16-7.16-16-16v-48c0-8.84 7.16-16 16-16h208c8.84 0 16 7.16 16 16v48zm272 128c0 4.42-3.58 8-8 8H344c-4.42 0-8-3.58-8-8v-8c0-4.42 3.58-8 8-8h224c4.42 0 8 3.58 8 8v8z"}}]})(props);
};
function FaDirections (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M502.61 233.32L278.68 9.39c-12.52-12.52-32.83-12.52-45.36 0L9.39 233.32c-12.52 12.53-12.52 32.83 0 45.36l223.93 223.93c12.52 12.53 32.83 12.53 45.36 0l223.93-223.93c12.52-12.53 12.52-32.83 0-45.36zm-100.98 12.56l-84.21 77.73c-5.12 4.73-13.43 1.1-13.43-5.88V264h-96v64c0 4.42-3.58 8-8 8h-32c-4.42 0-8-3.58-8-8v-80c0-17.67 14.33-32 32-32h112v-53.73c0-6.97 8.3-10.61 13.43-5.88l84.21 77.73c3.43 3.17 3.43 8.59 0 11.76z"}}]})(props);
};
function FaDivide (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M224 352c-35.35 0-64 28.65-64 64s28.65 64 64 64 64-28.65 64-64-28.65-64-64-64zm0-192c35.35 0 64-28.65 64-64s-28.65-64-64-64-64 28.65-64 64 28.65 64 64 64zm192 48H32c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32v-32c0-17.67-14.33-32-32-32z"}}]})(props);
};
function FaDizzy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm-96 206.6l-28.7 28.7c-14.8 14.8-37.8-7.5-22.6-22.6l28.7-28.7-28.7-28.7c-15-15 7.7-37.6 22.6-22.6l28.7 28.7 28.7-28.7c15-15 37.6 7.7 22.6 22.6L174.6 192l28.7 28.7c15.2 15.2-7.9 37.4-22.6 22.6L152 214.6zM248 416c-35.3 0-64-28.7-64-64s28.7-64 64-64 64 28.7 64 64-28.7 64-64 64zm147.3-195.3c15.2 15.2-7.9 37.4-22.6 22.6L344 214.6l-28.7 28.7c-14.8 14.8-37.8-7.5-22.6-22.6l28.7-28.7-28.7-28.7c-15-15 7.7-37.6 22.6-22.6l28.7 28.7 28.7-28.7c15-15 37.6 7.7 22.6 22.6L366.6 192l28.7 28.7z"}}]})(props);
};
function FaDna (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M.1 494.1c-1.1 9.5 6.3 17.8 15.9 17.8l32.3.1c8.1 0 14.9-5.9 16-13.9.7-4.9 1.8-11.1 3.4-18.1H380c1.6 6.9 2.9 13.2 3.5 18.1 1.1 8 7.9 14 16 13.9l32.3-.1c9.6 0 17.1-8.3 15.9-17.8-4.6-37.9-25.6-129-118.9-207.7-17.6 12.4-37.1 24.2-58.5 35.4 6.2 4.6 11.4 9.4 17 14.2H159.7c21.3-18.1 47-35.6 78.7-51.4C410.5 199.1 442.1 65.8 447.9 17.9 449 8.4 441.6.1 432 .1L399.6 0c-8.1 0-14.9 5.9-16 13.9-.7 4.9-1.8 11.1-3.4 18.1H67.8c-1.6-7-2.7-13.1-3.4-18.1-1.1-8-7.9-14-16-13.9L16.1.1C6.5.1-1 8.4.1 17.9 5.3 60.8 31.4 171.8 160 256 31.5 340.2 5.3 451.2.1 494.1zM224 219.6c-25.1-13.7-46.4-28.4-64.3-43.6h128.5c-17.8 15.2-39.1 30-64.2 43.6zM355.1 96c-5.8 10.4-12.8 21.1-21 32H114c-8.3-10.9-15.3-21.6-21-32h262.1zM92.9 416c5.8-10.4 12.8-21.1 21-32h219.4c8.3 10.9 15.4 21.6 21.2 32H92.9z"}}]})(props);
};
function FaDog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M298.06,224,448,277.55V496a16,16,0,0,1-16,16H368a16,16,0,0,1-16-16V384H192V496a16,16,0,0,1-16,16H112a16,16,0,0,1-16-16V282.09C58.84,268.84,32,233.66,32,192a32,32,0,0,1,64,0,32.06,32.06,0,0,0,32,32ZM544,112v32a64,64,0,0,1-64,64H448v35.58L320,197.87V48c0-14.25,17.22-21.39,27.31-11.31L374.59,64h53.63c10.91,0,23.75,7.92,28.62,17.69L464,96h64A16,16,0,0,1,544,112Zm-112,0a16,16,0,1,0-16,16A16,16,0,0,0,432,112Z"}}]})(props);
};
function FaDollarSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 288 512"},"child":[{"tag":"path","attr":{"d":"M209.2 233.4l-108-31.6C88.7 198.2 80 186.5 80 173.5c0-16.3 13.2-29.5 29.5-29.5h66.3c12.2 0 24.2 3.7 34.2 10.5 6.1 4.1 14.3 3.1 19.5-2l34.8-34c7.1-6.9 6.1-18.4-1.8-24.5C238 74.8 207.4 64.1 176 64V16c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v48h-2.5C45.8 64-5.4 118.7.5 183.6c4.2 46.1 39.4 83.6 83.8 96.6l102.5 30c12.5 3.7 21.2 15.3 21.2 28.3 0 16.3-13.2 29.5-29.5 29.5h-66.3C100 368 88 364.3 78 357.5c-6.1-4.1-14.3-3.1-19.5 2l-34.8 34c-7.1 6.9-6.1 18.4 1.8 24.5 24.5 19.2 55.1 29.9 86.5 30v48c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16v-48.2c46.6-.9 90.3-28.6 105.7-72.7 21.5-61.6-14.6-124.8-72.5-141.7z"}}]})(props);
};
function FaDollyFlatbed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M208 320h384c8.8 0 16-7.2 16-16V48c0-8.8-7.2-16-16-16H448v128l-48-32-48 32V32H208c-8.8 0-16 7.2-16 16v256c0 8.8 7.2 16 16 16zm416 64H128V16c0-8.8-7.2-16-16-16H16C7.2 0 0 7.2 0 16v32c0 8.8 7.2 16 16 16h48v368c0 8.8 7.2 16 16 16h82.9c-1.8 5-2.9 10.4-2.9 16 0 26.5 21.5 48 48 48s48-21.5 48-48c0-5.6-1.2-11-2.9-16H451c-1.8 5-2.9 10.4-2.9 16 0 26.5 21.5 48 48 48s48-21.5 48-48c0-5.6-1.2-11-2.9-16H624c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16z"}}]})(props);
};
function FaDolly (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M294.2 277.7c18 5 34.7 13.4 49.5 24.7l161.5-53.8c8.4-2.8 12.9-11.9 10.1-20.2L454.9 47.2c-2.8-8.4-11.9-12.9-20.2-10.1l-61.1 20.4 33.1 99.4L346 177l-33.1-99.4-61.6 20.5c-8.4 2.8-12.9 11.9-10.1 20.2l53 159.4zm281 48.7L565 296c-2.8-8.4-11.9-12.9-20.2-10.1l-213.5 71.2c-17.2-22-43.6-36.4-73.5-37L158.4 21.9C154 8.8 141.8 0 128 0H16C7.2 0 0 7.2 0 16v32c0 8.8 7.2 16 16 16h88.9l92.2 276.7c-26.1 20.4-41.7 53.6-36 90.5 6.1 39.4 37.9 72.3 77.3 79.2 60.2 10.7 112.3-34.8 113.4-92.6l213.3-71.2c8.3-2.8 12.9-11.8 10.1-20.2zM256 464c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48z"}}]})(props);
};
function FaDonate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 416c114.9 0 208-93.1 208-208S370.9 0 256 0 48 93.1 48 208s93.1 208 208 208zM233.8 97.4V80.6c0-9.2 7.4-16.6 16.6-16.6h11.1c9.2 0 16.6 7.4 16.6 16.6v17c15.5.8 30.5 6.1 43 15.4 5.6 4.1 6.2 12.3 1.2 17.1L306 145.6c-3.8 3.7-9.5 3.8-14 1-5.4-3.4-11.4-5.1-17.8-5.1h-38.9c-9 0-16.3 8.2-16.3 18.3 0 8.2 5 15.5 12.1 17.6l62.3 18.7c25.7 7.7 43.7 32.4 43.7 60.1 0 34-26.4 61.5-59.1 62.4v16.8c0 9.2-7.4 16.6-16.6 16.6h-11.1c-9.2 0-16.6-7.4-16.6-16.6v-17c-15.5-.8-30.5-6.1-43-15.4-5.6-4.1-6.2-12.3-1.2-17.1l16.3-15.5c3.8-3.7 9.5-3.8 14-1 5.4 3.4 11.4 5.1 17.8 5.1h38.9c9 0 16.3-8.2 16.3-18.3 0-8.2-5-15.5-12.1-17.6l-62.3-18.7c-25.7-7.7-43.7-32.4-43.7-60.1.1-34 26.4-61.5 59.1-62.4zM480 352h-32.5c-19.6 26-44.6 47.7-73 64h63.8c5.3 0 9.6 3.6 9.6 8v16c0 4.4-4.3 8-9.6 8H73.6c-5.3 0-9.6-3.6-9.6-8v-16c0-4.4 4.3-8 9.6-8h63.8c-28.4-16.3-53.3-38-73-64H32c-17.7 0-32 14.3-32 32v96c0 17.7 14.3 32 32 32h448c17.7 0 32-14.3 32-32v-96c0-17.7-14.3-32-32-32z"}}]})(props);
};
function FaDoorClosed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624 448H512V50.8C512 22.78 490.47 0 464 0H175.99c-26.47 0-48 22.78-48 50.8V448H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h608c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16zM415.99 288c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32c.01 17.67-14.32 32-32 32z"}}]})(props);
};
function FaDoorOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624 448h-80V113.45C544 86.19 522.47 64 496 64H384v64h96v384h144c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16zM312.24 1.01l-192 49.74C105.99 54.44 96 67.7 96 82.92V448H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h336V33.18c0-21.58-19.56-37.41-39.76-32.17zM264 288c-13.25 0-24-14.33-24-32s10.75-32 24-32 24 14.33 24 32-10.75 32-24 32z"}}]})(props);
};
function FaDotCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119.033 8 8 119.033 8 256s111.033 248 248 248 248-111.033 248-248S392.967 8 256 8zm80 248c0 44.112-35.888 80-80 80s-80-35.888-80-80 35.888-80 80-80 80 35.888 80 80z"}}]})(props);
};
function FaDove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M288 167.2v-28.1c-28.2-36.3-47.1-79.3-54.1-125.2-2.1-13.5-19-18.8-27.8-8.3-21.1 24.9-37.7 54.1-48.9 86.5 34.2 38.3 80 64.6 130.8 75.1zM400 64c-44.2 0-80 35.9-80 80.1v59.4C215.6 197.3 127 133 87 41.8c-5.5-12.5-23.2-13.2-29-.9C41.4 76 32 115.2 32 156.6c0 70.8 34.1 136.9 85.1 185.9 13.2 12.7 26.1 23.2 38.9 32.8l-143.9 36C1.4 414-3.4 426.4 2.6 435.7 20 462.6 63 508.2 155.8 512c8 .3 16-2.6 22.1-7.9l65.2-56.1H320c88.4 0 160-71.5 160-159.9V128l32-64H400zm0 96.1c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16z"}}]})(props);
};
function FaDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M216 0h80c13.3 0 24 10.7 24 24v168h87.7c17.8 0 26.7 21.5 14.1 34.1L269.7 378.3c-7.5 7.5-19.8 7.5-27.3 0L90.1 226.1c-12.6-12.6-3.7-34.1 14.1-34.1H192V24c0-13.3 10.7-24 24-24zm296 376v112c0 13.3-10.7 24-24 24H24c-13.3 0-24-10.7-24-24V376c0-13.3 10.7-24 24-24h146.7l49 49c20.1 20.1 52.5 20.1 72.6 0l49-49H488c13.3 0 24 10.7 24 24zm-124 88c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20zm64 0c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20z"}}]})(props);
};
function FaDraftingCompass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M457.01 344.42c-25.05 20.33-52.63 37.18-82.54 49.05l54.38 94.19 53.95 23.04c9.81 4.19 20.89-2.21 22.17-12.8l7.02-58.25-54.98-95.23zm42.49-94.56c4.86-7.67 1.89-17.99-6.05-22.39l-28.07-15.57c-7.48-4.15-16.61-1.46-21.26 5.72C403.01 281.15 332.25 320 256 320c-23.93 0-47.23-4.25-69.41-11.53l67.36-116.68c.7.02 1.34.21 2.04.21s1.35-.19 2.04-.21l51.09 88.5c31.23-8.96 59.56-25.75 82.61-48.92l-51.79-89.71C347.39 128.03 352 112.63 352 96c0-53.02-42.98-96-96-96s-96 42.98-96 96c0 16.63 4.61 32.03 12.05 45.66l-68.3 118.31c-12.55-11.61-23.96-24.59-33.68-39-4.79-7.1-13.97-9.62-21.38-5.33l-27.75 16.07c-7.85 4.54-10.63 14.9-5.64 22.47 15.57 23.64 34.69 44.21 55.98 62.02L0 439.66l7.02 58.25c1.28 10.59 12.36 16.99 22.17 12.8l53.95-23.04 70.8-122.63C186.13 377.28 220.62 384 256 384c99.05 0 190.88-51.01 243.5-134.14zM256 64c17.67 0 32 14.33 32 32s-14.33 32-32 32-32-14.33-32-32 14.33-32 32-32z"}}]})(props);
};
function FaDragon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M18.32 255.78L192 223.96l-91.28 68.69c-10.08 10.08-2.94 27.31 11.31 27.31h222.7c-9.44-26.4-14.73-54.47-14.73-83.38v-42.27l-119.73-87.6c-23.82-15.88-55.29-14.01-77.06 4.59L5.81 227.64c-12.38 10.33-3.45 30.42 12.51 28.14zm556.87 34.1l-100.66-50.31A47.992 47.992 0 0 1 448 196.65v-36.69h64l28.09 22.63c6 6 14.14 9.37 22.63 9.37h30.97a32 32 0 0 0 28.62-17.69l14.31-28.62a32.005 32.005 0 0 0-3.02-33.51l-74.53-99.38C553.02 4.7 543.54 0 533.47 0H296.02c-7.13 0-10.7 8.57-5.66 13.61L352 63.96 292.42 88.8c-5.9 2.95-5.9 11.36 0 14.31L352 127.96v108.62c0 72.08 36.03 139.39 96 179.38-195.59 6.81-344.56 41.01-434.1 60.91C5.78 478.67 0 485.88 0 494.2 0 504 7.95 512 17.76 512h499.08c63.29.01 119.61-47.56 122.99-110.76 2.52-47.28-22.73-90.4-64.64-111.36zM489.18 66.25l45.65 11.41c-2.75 10.91-12.47 18.89-24.13 18.26-12.96-.71-25.85-12.53-21.52-29.67z"}}]})(props);
};
function FaDrawPolygon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M384 352c-.35 0-.67.1-1.02.1l-39.2-65.32c5.07-9.17 8.22-19.56 8.22-30.78s-3.14-21.61-8.22-30.78l39.2-65.32c.35.01.67.1 1.02.1 35.35 0 64-28.65 64-64s-28.65-64-64-64c-23.63 0-44.04 12.95-55.12 32H119.12C108.04 44.95 87.63 32 64 32 28.65 32 0 60.65 0 96c0 23.63 12.95 44.04 32 55.12v209.75C12.95 371.96 0 392.37 0 416c0 35.35 28.65 64 64 64 23.63 0 44.04-12.95 55.12-32h209.75c11.09 19.05 31.49 32 55.12 32 35.35 0 64-28.65 64-64 .01-35.35-28.64-64-63.99-64zm-288 8.88V151.12A63.825 63.825 0 0 0 119.12 128h208.36l-38.46 64.1c-.35-.01-.67-.1-1.02-.1-35.35 0-64 28.65-64 64s28.65 64 64 64c.35 0 .67-.1 1.02-.1l38.46 64.1H119.12A63.748 63.748 0 0 0 96 360.88zM272 256c0-8.82 7.18-16 16-16s16 7.18 16 16-7.18 16-16 16-16-7.18-16-16zM400 96c0 8.82-7.18 16-16 16s-16-7.18-16-16 7.18-16 16-16 16 7.18 16 16zM64 80c8.82 0 16 7.18 16 16s-7.18 16-16 16-16-7.18-16-16 7.18-16 16-16zM48 416c0-8.82 7.18-16 16-16s16 7.18 16 16-7.18 16-16 16-16-7.18-16-16zm336 16c-8.82 0-16-7.18-16-16s7.18-16 16-16 16 7.18 16 16-7.18 16-16 16z"}}]})(props);
};
function FaDrumSteelpan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M288 32C128.94 32 0 89.31 0 160v192c0 70.69 128.94 128 288 128s288-57.31 288-128V160c0-70.69-128.94-128-288-128zm-82.99 158.36c-4.45 16.61-14.54 30.57-28.31 40.48C100.23 217.46 48 190.78 48 160c0-30.16 50.11-56.39 124.04-70.03l25.6 44.34c9.86 17.09 12.48 36.99 7.37 56.05zM288 240c-21.08 0-41.41-1-60.89-2.7 8.06-26.13 32.15-45.3 60.89-45.3s52.83 19.17 60.89 45.3C329.41 239 309.08 240 288 240zm64-144c0 35.29-28.71 64-64 64s-64-28.71-64-64V82.96c20.4-1.88 41.8-2.96 64-2.96s43.6 1.08 64 2.96V96zm46.93 134.9c-13.81-9.91-23.94-23.9-28.4-40.54-5.11-19.06-2.49-38.96 7.38-56.04l25.65-44.42C477.72 103.5 528 129.79 528 160c0 30.83-52.4 57.54-129.07 70.9z"}}]})(props);
};
function FaDrum (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M431.34 122.05l73.53-47.42a16 16 0 0 0 4.44-22.19l-8.87-13.31a16 16 0 0 0-22.19-4.44l-110.06 71C318.43 96.91 271.22 96 256 96 219.55 96 0 100.55 0 208.15v160.23c0 30.27 27.5 57.68 72 77.86v-101.9a24 24 0 1 1 48 0v118.93c33.05 9.11 71.07 15.06 112 16.73V376.39a24 24 0 1 1 48 0V480c40.93-1.67 78.95-7.62 112-16.73V344.34a24 24 0 1 1 48 0v101.9c44.5-20.18 72-47.59 72-77.86V208.15c0-43.32-35.76-69.76-80.66-86.1zM256 272.24c-114.88 0-208-28.69-208-64.09s93.12-64.08 208-64.08c17.15 0 33.73.71 49.68 1.91l-72.81 47a16 16 0 0 0-4.43 22.19l8.87 13.31a16 16 0 0 0 22.19 4.44l118.64-76.52C430.09 168 464 186.84 464 208.15c0 35.4-93.13 64.09-208 64.09z"}}]})(props);
};
function FaDrumstickBite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M462.8 49.57a169.44 169.44 0 0 0-239.5 0C187.82 85 160.13 128 160.13 192v85.83l-40.62 40.59c-9.7 9.69-24 11.07-36.78 6a60.33 60.33 0 0 0-65 98.72C33 438.39 54.24 442.7 73.85 438.21c-4.5 19.6-.18 40.83 15.1 56.1a60.35 60.35 0 0 0 98.8-65c-5.09-12.73-3.72-27 6-36.75L234.36 352h85.89a187.87 187.87 0 0 0 61.89-10c-39.64-43.89-39.83-110.23 1.05-151.07 34.38-34.36 86.76-39.46 128.74-16.8 1.3-44.96-14.81-90.28-49.13-124.56z"}}]})(props);
};
function FaDumbbell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M104 96H56c-13.3 0-24 10.7-24 24v104H8c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8h24v104c0 13.3 10.7 24 24 24h48c13.3 0 24-10.7 24-24V120c0-13.3-10.7-24-24-24zm528 128h-24V120c0-13.3-10.7-24-24-24h-48c-13.3 0-24 10.7-24 24v272c0 13.3 10.7 24 24 24h48c13.3 0 24-10.7 24-24V288h24c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zM456 32h-48c-13.3 0-24 10.7-24 24v168H256V56c0-13.3-10.7-24-24-24h-48c-13.3 0-24 10.7-24 24v400c0 13.3 10.7 24 24 24h48c13.3 0 24-10.7 24-24V288h128v168c0 13.3 10.7 24 24 24h48c13.3 0 24-10.7 24-24V56c0-13.3-10.7-24-24-24z"}}]})(props);
};
function FaDumpsterFire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M418.7 104.1l.2-.2-14.4-72H304v128h60.8c16.2-19.3 34.2-38.2 53.9-55.8zM272 32H171.5l-25.6 128H272V32zm189.3 72.1c18.2 16.3 35.5 33.7 51.1 51.5 5.7-5.6 11.4-11.1 17.3-16.3l21.3-19 21.3 19c1.1.9 2.1 2.1 3.1 3.1-.1-.8.2-1.5 0-2.3l-24-96C549.7 37 543.3 32 536 32h-98.9l12.3 61.5 11.9 10.6zM16 160h97.3l25.6-128H40c-7.3 0-13.7 5-15.5 12.1l-24 96C-2 150.2 5.6 160 16 160zm324.6 32H32l4 32H16c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h28l20 160v16c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16v-16h208.8c-30.2-33.7-48.8-77.9-48.8-126.4 0-35.9 19.9-82.9 52.6-129.6zm210.5-28.8c-14.9 13.3-28.3 27.2-40.2 41.2-19.5-25.8-43.6-52-71-76.4-70.2 62.7-120 144.3-120 193.6 0 87.5 71.6 158.4 160 158.4s160-70.9 160-158.4c.1-36.6-37-112.2-88.8-158.4zm-18.6 229.4c-14.7 10.7-32.9 17-52.5 17-49 0-88.9-33.5-88.9-88 0-27.1 16.5-51 49.4-91.9 4.7 5.6 67.1 88.1 67.1 88.1l39.8-47c2.8 4.8 5.4 9.5 7.7 14 18.6 36.7 10.8 83.6-22.6 107.8z"}}]})(props);
};
function FaDumpster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M560 160c10.4 0 18-9.8 15.5-19.9l-24-96C549.7 37 543.3 32 536 32h-98.9l25.6 128H560zM272 32H171.5l-25.6 128H272V32zm132.5 0H304v128h126.1L404.5 32zM16 160h97.3l25.6-128H40c-7.3 0-13.7 5-15.5 12.1l-24 96C-2 150.2 5.6 160 16 160zm544 64h-20l4-32H32l4 32H16c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h28l20 160v16c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16v-16h320v16c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16v-16l20-160h28c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16z"}}]})(props);
};
function FaDungeon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128.73 195.32l-82.81-51.76c-8.04-5.02-18.99-2.17-22.93 6.45A254.19 254.19 0 0 0 .54 239.28C-.05 248.37 7.59 256 16.69 256h97.13c7.96 0 14.08-6.25 15.01-14.16 1.09-9.33 3.24-18.33 6.24-26.94 2.56-7.34.25-15.46-6.34-19.58zM319.03 8C298.86 2.82 277.77 0 256 0s-42.86 2.82-63.03 8c-9.17 2.35-13.91 12.6-10.39 21.39l37.47 104.03A16.003 16.003 0 0 0 235.1 144h41.8c6.75 0 12.77-4.23 15.05-10.58l37.47-104.03c3.52-8.79-1.22-19.03-10.39-21.39zM112 288H16c-8.84 0-16 7.16-16 16v64c0 8.84 7.16 16 16 16h96c8.84 0 16-7.16 16-16v-64c0-8.84-7.16-16-16-16zm0 128H16c-8.84 0-16 7.16-16 16v64c0 8.84 7.16 16 16 16h96c8.84 0 16-7.16 16-16v-64c0-8.84-7.16-16-16-16zm77.31-283.67l-36.32-90.8c-3.53-8.83-14.13-12.99-22.42-8.31a257.308 257.308 0 0 0-71.61 59.89c-6.06 7.32-3.85 18.48 4.22 23.52l82.93 51.83c6.51 4.07 14.66 2.62 20.11-2.79 5.18-5.15 10.79-9.85 16.79-14.05 6.28-4.41 9.15-12.17 6.3-19.29zM398.18 256h97.13c9.1 0 16.74-7.63 16.15-16.72a254.135 254.135 0 0 0-22.45-89.27c-3.94-8.62-14.89-11.47-22.93-6.45l-82.81 51.76c-6.59 4.12-8.9 12.24-6.34 19.58 3.01 8.61 5.15 17.62 6.24 26.94.93 7.91 7.05 14.16 15.01 14.16zm54.85-162.89a257.308 257.308 0 0 0-71.61-59.89c-8.28-4.68-18.88-.52-22.42 8.31l-36.32 90.8c-2.85 7.12.02 14.88 6.3 19.28 6 4.2 11.61 8.9 16.79 14.05 5.44 5.41 13.6 6.86 20.11 2.79l82.93-51.83c8.07-5.03 10.29-16.19 4.22-23.51zM496 288h-96c-8.84 0-16 7.16-16 16v64c0 8.84 7.16 16 16 16h96c8.84 0 16-7.16 16-16v-64c0-8.84-7.16-16-16-16zm0 128h-96c-8.84 0-16 7.16-16 16v64c0 8.84 7.16 16 16 16h96c8.84 0 16-7.16 16-16v-64c0-8.84-7.16-16-16-16zM240 177.62V472c0 4.42 3.58 8 8 8h16c4.42 0 8-3.58 8-8V177.62c-5.23-.89-10.52-1.62-16-1.62s-10.77.73-16 1.62zm-64 41.51V472c0 4.42 3.58 8 8 8h16c4.42 0 8-3.58 8-8V189.36c-12.78 7.45-23.84 17.47-32 29.77zm128-29.77V472c0 4.42 3.58 8 8 8h16c4.42 0 8-3.58 8-8V219.13c-8.16-12.3-19.22-22.32-32-29.77z"}}]})(props);
};
function FaEdit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M402.6 83.2l90.2 90.2c3.8 3.8 3.8 10 0 13.8L274.4 405.6l-92.8 10.3c-12.4 1.4-22.9-9.1-21.5-21.5l10.3-92.8L388.8 83.2c3.8-3.8 10-3.8 13.8 0zm162-22.9l-48.8-48.8c-15.2-15.2-39.9-15.2-55.2 0l-35.4 35.4c-3.8 3.8-3.8 10 0 13.8l90.2 90.2c3.8 3.8 10 3.8 13.8 0l35.4-35.4c15.2-15.3 15.2-40 0-55.2zM384 346.2V448H64V128h229.8c3.2 0 6.2-1.3 8.5-3.5l40-40c7.6-7.6 2.2-20.5-8.5-20.5H48C21.5 64 0 85.5 0 112v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V306.2c0-10.7-12.9-16-20.5-8.5l-40 40c-2.2 2.3-3.5 5.3-3.5 8.5z"}}]})(props);
};
function FaEgg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M192 0C86 0 0 214 0 320s86 192 192 192 192-86 192-192S298 0 192 0z"}}]})(props);
};
function FaEject (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 384v64c0 17.673-14.327 32-32 32H32c-17.673 0-32-14.327-32-32v-64c0-17.673 14.327-32 32-32h384c17.673 0 32 14.327 32 32zM48.053 320h351.886c41.651 0 63.581-49.674 35.383-80.435L259.383 47.558c-19.014-20.743-51.751-20.744-70.767 0L12.67 239.565C-15.475 270.268 6.324 320 48.053 320z"}}]})(props);
};
function FaEllipsisH (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M328 256c0 39.8-32.2 72-72 72s-72-32.2-72-72 32.2-72 72-72 72 32.2 72 72zm104-72c-39.8 0-72 32.2-72 72s32.2 72 72 72 72-32.2 72-72-32.2-72-72-72zm-352 0c-39.8 0-72 32.2-72 72s32.2 72 72 72 72-32.2 72-72-32.2-72-72-72z"}}]})(props);
};
function FaEllipsisV (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 192 512"},"child":[{"tag":"path","attr":{"d":"M96 184c39.8 0 72 32.2 72 72s-32.2 72-72 72-72-32.2-72-72 32.2-72 72-72zM24 80c0 39.8 32.2 72 72 72s72-32.2 72-72S135.8 8 96 8 24 40.2 24 80zm0 352c0 39.8 32.2 72 72 72s72-32.2 72-72-32.2-72-72-72-72 32.2-72 72z"}}]})(props);
};
function FaEnvelopeOpenText (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M176 216h160c8.84 0 16-7.16 16-16v-16c0-8.84-7.16-16-16-16H176c-8.84 0-16 7.16-16 16v16c0 8.84 7.16 16 16 16zm-16 80c0 8.84 7.16 16 16 16h160c8.84 0 16-7.16 16-16v-16c0-8.84-7.16-16-16-16H176c-8.84 0-16 7.16-16 16v16zm96 121.13c-16.42 0-32.84-5.06-46.86-15.19L0 250.86V464c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V250.86L302.86 401.94c-14.02 10.12-30.44 15.19-46.86 15.19zm237.61-254.18c-8.85-6.94-17.24-13.47-29.61-22.81V96c0-26.51-21.49-48-48-48h-77.55c-3.04-2.2-5.87-4.26-9.04-6.56C312.6 29.17 279.2-.35 256 0c-23.2-.35-56.59 29.17-73.41 41.44-3.17 2.3-6 4.36-9.04 6.56H96c-26.51 0-48 21.49-48 48v44.14c-12.37 9.33-20.76 15.87-29.61 22.81A47.995 47.995 0 0 0 0 200.72v10.65l96 69.35V96h320v184.72l96-69.35v-10.65c0-14.74-6.78-28.67-18.39-37.77z"}}]})(props);
};
function FaEnvelopeOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M512 464c0 26.51-21.49 48-48 48H48c-26.51 0-48-21.49-48-48V200.724a48 48 0 0 1 18.387-37.776c24.913-19.529 45.501-35.365 164.2-121.511C199.412 29.17 232.797-.347 256 .003c23.198-.354 56.596 29.172 73.413 41.433 118.687 86.137 139.303 101.995 164.2 121.512A48 48 0 0 1 512 200.724V464zm-65.666-196.605c-2.563-3.728-7.7-4.595-11.339-1.907-22.845 16.873-55.462 40.705-105.582 77.079-16.825 12.266-50.21 41.781-73.413 41.43-23.211.344-56.559-29.143-73.413-41.43-50.114-36.37-82.734-60.204-105.582-77.079-3.639-2.688-8.776-1.821-11.339 1.907l-9.072 13.196a7.998 7.998 0 0 0 1.839 10.967c22.887 16.899 55.454 40.69 105.303 76.868 20.274 14.781 56.524 47.813 92.264 47.573 35.724.242 71.961-32.771 92.263-47.573 49.85-36.179 82.418-59.97 105.303-76.868a7.998 7.998 0 0 0 1.839-10.967l-9.071-13.196z"}}]})(props);
};
function FaEnvelopeSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48V80c0-26.51-21.49-48-48-48zM178.117 262.104C87.429 196.287 88.353 196.121 64 177.167V152c0-13.255 10.745-24 24-24h272c13.255 0 24 10.745 24 24v25.167c-24.371 18.969-23.434 19.124-114.117 84.938-10.5 7.655-31.392 26.12-45.883 25.894-14.503.218-35.367-18.227-45.883-25.895zM384 217.775V360c0 13.255-10.745 24-24 24H88c-13.255 0-24-10.745-24-24V217.775c13.958 10.794 33.329 25.236 95.303 70.214 14.162 10.341 37.975 32.145 64.694 32.01 26.887.134 51.037-22.041 64.72-32.025 61.958-44.965 81.325-59.406 95.283-70.199z"}}]})(props);
};
function FaEnvelope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M502.3 190.8c3.9-3.1 9.7-.2 9.7 4.7V400c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V195.6c0-5 5.7-7.8 9.7-4.7 22.4 17.4 52.1 39.5 154.1 113.6 21.1 15.4 56.7 47.8 92.2 47.6 35.7.3 72-32.8 92.3-47.6 102-74.1 131.6-96.3 154-113.7zM256 320c23.2.4 56.6-29.2 73.4-41.4 132.7-96.3 142.8-104.7 173.4-128.7 5.8-4.5 9.2-11.5 9.2-18.9v-19c0-26.5-21.5-48-48-48H48C21.5 64 0 85.5 0 112v19c0 7.4 3.4 14.3 9.2 18.9 30.6 23.9 40.7 32.4 173.4 128.7 16.8 12.2 50.2 41.8 73.4 41.4z"}}]})(props);
};
function FaEquals (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M416 304H32c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32v-32c0-17.67-14.33-32-32-32zm0-192H32c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32v-32c0-17.67-14.33-32-32-32z"}}]})(props);
};
function FaEraser (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M497.941 273.941c18.745-18.745 18.745-49.137 0-67.882l-160-160c-18.745-18.745-49.136-18.746-67.883 0l-256 256c-18.745 18.745-18.745 49.137 0 67.882l96 96A48.004 48.004 0 0 0 144 480h356c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12H355.883l142.058-142.059zm-302.627-62.627l137.373 137.373L265.373 416H150.628l-80-80 124.686-124.686z"}}]})(props);
};
function FaEthernet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496 192h-48v-48c0-8.8-7.2-16-16-16h-48V80c0-8.8-7.2-16-16-16H144c-8.8 0-16 7.2-16 16v48H80c-8.8 0-16 7.2-16 16v48H16c-8.8 0-16 7.2-16 16v224c0 8.8 7.2 16 16 16h80V320h32v128h64V320h32v128h64V320h32v128h64V320h32v128h80c8.8 0 16-7.2 16-16V208c0-8.8-7.2-16-16-16z"}}]})(props);
};
function FaEuroSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M310.706 413.765c-1.314-6.63-7.835-10.872-14.424-9.369-10.692 2.439-27.422 5.413-45.426 5.413-56.763 0-101.929-34.79-121.461-85.449h113.689a12 12 0 0 0 11.708-9.369l6.373-28.36c1.686-7.502-4.019-14.631-11.708-14.631H115.22c-1.21-14.328-1.414-28.287.137-42.245H261.95a12 12 0 0 0 11.723-9.434l6.512-29.755c1.638-7.484-4.061-14.566-11.723-14.566H130.184c20.633-44.991 62.69-75.03 117.619-75.03 14.486 0 28.564 2.25 37.851 4.145 6.216 1.268 12.347-2.498 14.002-8.623l11.991-44.368c1.822-6.741-2.465-13.616-9.326-14.917C290.217 34.912 270.71 32 249.635 32 152.451 32 74.03 92.252 45.075 176H12c-6.627 0-12 5.373-12 12v29.755c0 6.627 5.373 12 12 12h21.569c-1.009 13.607-1.181 29.287-.181 42.245H12c-6.627 0-12 5.373-12 12v28.36c0 6.627 5.373 12 12 12h30.114C67.139 414.692 145.264 480 249.635 480c26.301 0 48.562-4.544 61.101-7.788 6.167-1.595 10.027-7.708 8.788-13.957l-8.818-44.49z"}}]})(props);
};
function FaExchangeAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M0 168v-16c0-13.255 10.745-24 24-24h360V80c0-21.367 25.899-32.042 40.971-16.971l80 80c9.372 9.373 9.372 24.569 0 33.941l-80 80C409.956 271.982 384 261.456 384 240v-48H24c-13.255 0-24-10.745-24-24zm488 152H128v-48c0-21.314-25.862-32.08-40.971-16.971l-80 80c-9.372 9.373-9.372 24.569 0 33.941l80 80C102.057 463.997 128 453.437 128 432v-48h360c13.255 0 24-10.745 24-24v-16c0-13.255-10.745-24-24-24z"}}]})(props);
};
function FaExclamationCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M504 256c0 136.997-111.043 248-248 248S8 392.997 8 256C8 119.083 119.043 8 256 8s248 111.083 248 248zm-248 50c-25.405 0-46 20.595-46 46s20.595 46 46 46 46-20.595 46-46-20.595-46-46-46zm-43.673-165.346l7.418 136c.347 6.364 5.609 11.346 11.982 11.346h48.546c6.373 0 11.635-4.982 11.982-11.346l7.418-136c.375-6.874-5.098-12.654-11.982-12.654h-63.383c-6.884 0-12.356 5.78-11.981 12.654z"}}]})(props);
};
function FaExclamationTriangle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M569.517 440.013C587.975 472.007 564.806 512 527.94 512H48.054c-36.937 0-59.999-40.055-41.577-71.987L246.423 23.985c18.467-32.009 64.72-31.951 83.154 0l239.94 416.028zM288 354c-25.405 0-46 20.595-46 46s20.595 46 46 46 46-20.595 46-46-20.595-46-46-46zm-43.673-165.346l7.418 136c.347 6.364 5.609 11.346 11.982 11.346h48.546c6.373 0 11.635-4.982 11.982-11.346l7.418-136c.375-6.874-5.098-12.654-11.982-12.654h-63.383c-6.884 0-12.356 5.78-11.981 12.654z"}}]})(props);
};
function FaExclamation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 192 512"},"child":[{"tag":"path","attr":{"d":"M176 432c0 44.112-35.888 80-80 80s-80-35.888-80-80 35.888-80 80-80 80 35.888 80 80zM25.26 25.199l13.6 272C39.499 309.972 50.041 320 62.83 320h66.34c12.789 0 23.331-10.028 23.97-22.801l13.6-272C167.425 11.49 156.496 0 142.77 0H49.23C35.504 0 24.575 11.49 25.26 25.199z"}}]})(props);
};
function FaExpandAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M212.686 315.314L120 408l32.922 31.029c15.12 15.12 4.412 40.971-16.97 40.971h-112C10.697 480 0 469.255 0 456V344c0-21.382 25.803-32.09 40.922-16.971L72 360l92.686-92.686c6.248-6.248 16.379-6.248 22.627 0l25.373 25.373c6.249 6.248 6.249 16.378 0 22.627zm22.628-118.628L328 104l-32.922-31.029C279.958 57.851 290.666 32 312.048 32h112C437.303 32 448 42.745 448 56v112c0 21.382-25.803 32.09-40.922 16.971L376 152l-92.686 92.686c-6.248 6.248-16.379 6.248-22.627 0l-25.373-25.373c-6.249-6.248-6.249-16.378 0-22.627z"}}]})(props);
};
function FaExpandArrowsAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 344v112a23.94 23.94 0 0 1-24 24H312c-21.39 0-32.09-25.9-17-41l36.2-36.2L224 295.6 116.77 402.9 153 439c15.09 15.1 4.39 41-17 41H24a23.94 23.94 0 0 1-24-24V344c0-21.4 25.89-32.1 41-17l36.19 36.2L184.46 256 77.18 148.7 41 185c-15.1 15.1-41 4.4-41-17V56a23.94 23.94 0 0 1 24-24h112c21.39 0 32.09 25.9 17 41l-36.2 36.2L224 216.4l107.23-107.3L295 73c-15.09-15.1-4.39-41 17-41h112a23.94 23.94 0 0 1 24 24v112c0 21.4-25.89 32.1-41 17l-36.19-36.2L263.54 256l107.28 107.3L407 327.1c15.1-15.2 41-4.5 41 16.9z"}}]})(props);
};
function FaExpand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 180V56c0-13.3 10.7-24 24-24h124c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12H64v84c0 6.6-5.4 12-12 12H12c-6.6 0-12-5.4-12-12zM288 44v40c0 6.6 5.4 12 12 12h84v84c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12V56c0-13.3-10.7-24-24-24H300c-6.6 0-12 5.4-12 12zm148 276h-40c-6.6 0-12 5.4-12 12v84h-84c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h124c13.3 0 24-10.7 24-24V332c0-6.6-5.4-12-12-12zM160 468v-40c0-6.6-5.4-12-12-12H64v-84c0-6.6-5.4-12-12-12H12c-6.6 0-12 5.4-12 12v124c0 13.3 10.7 24 24 24h124c6.6 0 12-5.4 12-12z"}}]})(props);
};
function FaExternalLinkAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M432,320H400a16,16,0,0,0-16,16V448H64V128H208a16,16,0,0,0,16-16V80a16,16,0,0,0-16-16H48A48,48,0,0,0,0,112V464a48,48,0,0,0,48,48H400a48,48,0,0,0,48-48V336A16,16,0,0,0,432,320ZM488,0h-128c-21.37,0-32.05,25.91-17,41l35.73,35.73L135,320.37a24,24,0,0,0,0,34L157.67,377a24,24,0,0,0,34,0L435.28,133.32,471,169c15,15,41,4.5,41-17V24A24,24,0,0,0,488,0Z"}}]})(props);
};
function FaExternalLinkSquareAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 80v352c0 26.51-21.49 48-48 48H48c-26.51 0-48-21.49-48-48V80c0-26.51 21.49-48 48-48h352c26.51 0 48 21.49 48 48zm-88 16H248.029c-21.313 0-32.08 25.861-16.971 40.971l31.984 31.987L67.515 364.485c-4.686 4.686-4.686 12.284 0 16.971l31.029 31.029c4.687 4.686 12.285 4.686 16.971 0l195.526-195.526 31.988 31.991C358.058 263.977 384 253.425 384 231.979V120c0-13.255-10.745-24-24-24z"}}]})(props);
};
function FaEyeDropper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M50.75 333.25c-12 12-18.75 28.28-18.75 45.26V424L0 480l32 32 56-32h45.49c16.97 0 33.25-6.74 45.25-18.74l126.64-126.62-128-128L50.75 333.25zM483.88 28.12c-37.47-37.5-98.28-37.5-135.75 0l-77.09 77.09-13.1-13.1c-9.44-9.44-24.65-9.31-33.94 0l-40.97 40.97c-9.37 9.37-9.37 24.57 0 33.94l161.94 161.94c9.44 9.44 24.65 9.31 33.94 0L419.88 288c9.37-9.37 9.37-24.57 0-33.94l-13.1-13.1 77.09-77.09c37.51-37.48 37.51-98.26.01-135.75z"}}]})(props);
};
function FaEyeSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M320 400c-75.85 0-137.25-58.71-142.9-133.11L72.2 185.82c-13.79 17.3-26.48 35.59-36.72 55.59a32.35 32.35 0 0 0 0 29.19C89.71 376.41 197.07 448 320 448c26.91 0 52.87-4 77.89-10.46L346 397.39a144.13 144.13 0 0 1-26 2.61zm313.82 58.1l-110.55-85.44a331.25 331.25 0 0 0 81.25-102.07 32.35 32.35 0 0 0 0-29.19C550.29 135.59 442.93 64 320 64a308.15 308.15 0 0 0-147.32 37.7L45.46 3.37A16 16 0 0 0 23 6.18L3.37 31.45A16 16 0 0 0 6.18 53.9l588.36 454.73a16 16 0 0 0 22.46-2.81l19.64-25.27a16 16 0 0 0-2.82-22.45zm-183.72-142l-39.3-30.38A94.75 94.75 0 0 0 416 256a94.76 94.76 0 0 0-121.31-92.21A47.65 47.65 0 0 1 304 192a46.64 46.64 0 0 1-1.54 10l-73.61-56.89A142.31 142.31 0 0 1 320 112a143.92 143.92 0 0 1 144 144c0 21.63-5.29 41.79-13.9 60.11z"}}]})(props);
};
function FaEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M572.52 241.4C518.29 135.59 410.93 64 288 64S57.68 135.64 3.48 241.41a32.35 32.35 0 0 0 0 29.19C57.71 376.41 165.07 448 288 448s230.32-71.64 284.52-177.41a32.35 32.35 0 0 0 0-29.19zM288 400a144 144 0 1 1 144-144 143.93 143.93 0 0 1-144 144zm0-240a95.31 95.31 0 0 0-25.31 3.79 47.85 47.85 0 0 1-66.9 66.9A95.78 95.78 0 1 0 288 160z"}}]})(props);
};
function FaFan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352.57 128c-28.09 0-54.09 4.52-77.06 12.86l12.41-123.11C289 7.31 279.81-1.18 269.33.13 189.63 10.13 128 77.64 128 159.43c0 28.09 4.52 54.09 12.86 77.06L17.75 224.08C7.31 223-1.18 232.19.13 242.67c10 79.7 77.51 141.33 159.3 141.33 28.09 0 54.09-4.52 77.06-12.86l-12.41 123.11c-1.05 10.43 8.11 18.93 18.59 17.62 79.7-10 141.33-77.51 141.33-159.3 0-28.09-4.52-54.09-12.86-77.06l123.11 12.41c10.44 1.05 18.93-8.11 17.62-18.59-10-79.7-77.51-141.33-159.3-141.33zM256 288a32 32 0 1 1 32-32 32 32 0 0 1-32 32z"}}]})(props);
};
function FaFastBackward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M0 436V76c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v151.9L235.5 71.4C256.1 54.3 288 68.6 288 96v131.9L459.5 71.4C480.1 54.3 512 68.6 512 96v320c0 27.4-31.9 41.7-52.5 24.6L288 285.3V416c0 27.4-31.9 41.7-52.5 24.6L64 285.3V436c0 6.6-5.4 12-12 12H12c-6.6 0-12-5.4-12-12z"}}]})(props);
};
function FaFastForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M512 76v360c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12V284.1L276.5 440.6c-20.6 17.2-52.5 2.8-52.5-24.6V284.1L52.5 440.6C31.9 457.8 0 443.4 0 416V96c0-27.4 31.9-41.7 52.5-24.6L224 226.8V96c0-27.4 31.9-41.7 52.5-24.6L448 226.8V76c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12z"}}]})(props);
};
function FaFax (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 160V77.25a32 32 0 0 0-9.38-22.63L425.37 9.37A32 32 0 0 0 402.75 0H160a32 32 0 0 0-32 32v448a32 32 0 0 0 32 32h320a32 32 0 0 0 32-32V192a32 32 0 0 0-32-32zM288 432a16 16 0 0 1-16 16h-32a16 16 0 0 1-16-16v-32a16 16 0 0 1 16-16h32a16 16 0 0 1 16 16zm0-128a16 16 0 0 1-16 16h-32a16 16 0 0 1-16-16v-32a16 16 0 0 1 16-16h32a16 16 0 0 1 16 16zm128 128a16 16 0 0 1-16 16h-32a16 16 0 0 1-16-16v-32a16 16 0 0 1 16-16h32a16 16 0 0 1 16 16zm0-128a16 16 0 0 1-16 16h-32a16 16 0 0 1-16-16v-32a16 16 0 0 1 16-16h32a16 16 0 0 1 16 16zm0-112H192V64h160v48a16 16 0 0 0 16 16h48zM64 128H32a32 32 0 0 0-32 32v320a32 32 0 0 0 32 32h32a32 32 0 0 0 32-32V160a32 32 0 0 0-32-32z"}}]})(props);
};
function FaFeatherAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M512 0C460.22 3.56 96.44 38.2 71.01 287.61c-3.09 26.66-4.84 53.44-5.99 80.24l178.87-178.69c6.25-6.25 16.4-6.25 22.65 0s6.25 16.38 0 22.63L7.04 471.03c-9.38 9.37-9.38 24.57 0 33.94 9.38 9.37 24.59 9.37 33.98 0l57.13-57.07c42.09-.14 84.15-2.53 125.96-7.36 53.48-5.44 97.02-26.47 132.58-56.54H255.74l146.79-48.88c11.25-14.89 21.37-30.71 30.45-47.12h-81.14l106.54-53.21C500.29 132.86 510.19 26.26 512 0z"}}]})(props);
};
function FaFeather (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M467.14 44.84c-62.55-62.48-161.67-64.78-252.28 25.73-78.61 78.52-60.98 60.92-85.75 85.66-60.46 60.39-70.39 150.83-63.64 211.17l178.44-178.25c6.26-6.25 16.4-6.25 22.65 0s6.25 16.38 0 22.63L7.04 471.03c-9.38 9.37-9.38 24.57 0 33.94 9.38 9.37 24.6 9.37 33.98 0l66.1-66.03C159.42 454.65 279 457.11 353.95 384h-98.19l147.57-49.14c49.99-49.93 36.38-36.18 46.31-46.86h-97.78l131.54-43.8c45.44-74.46 34.31-148.84-16.26-199.36z"}}]})(props);
};
function FaFemale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M128 0c35.346 0 64 28.654 64 64s-28.654 64-64 64c-35.346 0-64-28.654-64-64S92.654 0 128 0m119.283 354.179l-48-192A24 24 0 0 0 176 144h-11.36c-22.711 10.443-49.59 10.894-73.28 0H80a24 24 0 0 0-23.283 18.179l-48 192C4.935 369.305 16.383 384 32 384h56v104c0 13.255 10.745 24 24 24h32c13.255 0 24-10.745 24-24V384h56c15.591 0 27.071-14.671 23.283-29.821z"}}]})(props);
};
function FaFighterJet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M544 224l-128-16-48-16h-24L227.158 44h39.509C278.333 44 288 41.375 288 38s-9.667-6-21.333-6H152v12h16v164h-48l-66.667-80H18.667L8 138.667V208h8v16h48v2.666l-64 8v42.667l64 8V288H16v16H8v69.333L18.667 384h34.667L120 304h48v164h-16v12h114.667c11.667 0 21.333-2.625 21.333-6s-9.667-6-21.333-6h-39.509L344 320h24l48-16 128-16c96-21.333 96-26.583 96-32 0-5.417 0-10.667-96-32z"}}]})(props);
};
function FaFileAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M224 136V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zm64 236c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-8c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12v8zm0-64c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-8c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12v8zm0-72v8c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-8c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12zm96-114.1v6.1H256V0h6.1c6.4 0 12.5 2.5 17 7l97.9 98c4.5 4.5 7 10.6 7 16.9z"}}]})(props);
};
function FaFileArchive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M377 105L279.1 7c-4.5-4.5-10.6-7-17-7H256v128h128v-6.1c0-6.3-2.5-12.4-7-16.9zM128.4 336c-17.9 0-32.4 12.1-32.4 27 0 15 14.6 27 32.5 27s32.4-12.1 32.4-27-14.6-27-32.5-27zM224 136V0h-63.6v32h-32V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zM95.9 32h32v32h-32zm32.3 384c-33.2 0-58-30.4-51.4-62.9L96.4 256v-32h32v-32h-32v-32h32v-32h-32V96h32V64h32v32h-32v32h32v32h-32v32h32v32h-32v32h22.1c5.7 0 10.7 4.1 11.8 9.7l17.3 87.7c6.4 32.4-18.4 62.6-51.4 62.6z"}}]})(props);
};
function FaFileAudio (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M224 136V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zm-64 268c0 10.7-12.9 16-20.5 8.5L104 376H76c-6.6 0-12-5.4-12-12v-56c0-6.6 5.4-12 12-12h28l35.5-36.5c7.6-7.6 20.5-2.2 20.5 8.5v136zm33.2-47.6c9.1-9.3 9.1-24.1 0-33.4-22.1-22.8 12.2-56.2 34.4-33.5 27.2 27.9 27.2 72.4 0 100.4-21.8 22.3-56.9-10.4-34.4-33.5zm86-117.1c54.4 55.9 54.4 144.8 0 200.8-21.8 22.4-57-10.3-34.4-33.5 36.2-37.2 36.3-96.5 0-133.8-22.1-22.8 12.3-56.3 34.4-33.5zM384 121.9v6.1H256V0h6.1c6.4 0 12.5 2.5 17 7l97.9 98c4.5 4.5 7 10.6 7 16.9z"}}]})(props);
};
function FaFileCode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M384 121.941V128H256V0h6.059c6.365 0 12.47 2.529 16.971 7.029l97.941 97.941A24.005 24.005 0 0 1 384 121.941zM248 160c-13.2 0-24-10.8-24-24V0H24C10.745 0 0 10.745 0 24v464c0 13.255 10.745 24 24 24h336c13.255 0 24-10.745 24-24V160H248zM123.206 400.505a5.4 5.4 0 0 1-7.633.246l-64.866-60.812a5.4 5.4 0 0 1 0-7.879l64.866-60.812a5.4 5.4 0 0 1 7.633.246l19.579 20.885a5.4 5.4 0 0 1-.372 7.747L101.65 336l40.763 35.874a5.4 5.4 0 0 1 .372 7.747l-19.579 20.884zm51.295 50.479l-27.453-7.97a5.402 5.402 0 0 1-3.681-6.692l61.44-211.626a5.402 5.402 0 0 1 6.692-3.681l27.452 7.97a5.4 5.4 0 0 1 3.68 6.692l-61.44 211.626a5.397 5.397 0 0 1-6.69 3.681zm160.792-111.045l-64.866 60.812a5.4 5.4 0 0 1-7.633-.246l-19.58-20.885a5.4 5.4 0 0 1 .372-7.747L284.35 336l-40.763-35.874a5.4 5.4 0 0 1-.372-7.747l19.58-20.885a5.4 5.4 0 0 1 7.633-.246l64.866 60.812a5.4 5.4 0 0 1-.001 7.879z"}}]})(props);
};
function FaFileContract (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M224 136V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zM64 72c0-4.42 3.58-8 8-8h80c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8H72c-4.42 0-8-3.58-8-8V72zm0 64c0-4.42 3.58-8 8-8h80c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8H72c-4.42 0-8-3.58-8-8v-16zm192.81 248H304c8.84 0 16 7.16 16 16s-7.16 16-16 16h-47.19c-16.45 0-31.27-9.14-38.64-23.86-2.95-5.92-8.09-6.52-10.17-6.52s-7.22.59-10.02 6.19l-7.67 15.34a15.986 15.986 0 0 1-14.31 8.84c-.38 0-.75-.02-1.14-.05-6.45-.45-12-4.75-14.03-10.89L144 354.59l-10.61 31.88c-5.89 17.66-22.38 29.53-41 29.53H80c-8.84 0-16-7.16-16-16s7.16-16 16-16h12.39c4.83 0 9.11-3.08 10.64-7.66l18.19-54.64c3.3-9.81 12.44-16.41 22.78-16.41s19.48 6.59 22.77 16.41l13.88 41.64c19.77-16.19 54.05-9.7 66 14.16 2.02 4.06 5.96 6.5 10.16 6.5zM377 105L279.1 7c-4.5-4.5-10.6-7-17-7H256v128h128v-6.1c0-6.3-2.5-12.4-7-16.9z"}}]})(props);
};
function FaFileCsv (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M224 136V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zm-96 144c0 4.42-3.58 8-8 8h-8c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h8c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8h-8c-26.51 0-48-21.49-48-48v-32c0-26.51 21.49-48 48-48h8c4.42 0 8 3.58 8 8v16zm44.27 104H160c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h12.27c5.95 0 10.41-3.5 10.41-6.62 0-1.3-.75-2.66-2.12-3.84l-21.89-18.77c-8.47-7.22-13.33-17.48-13.33-28.14 0-21.3 19.02-38.62 42.41-38.62H200c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8h-12.27c-5.95 0-10.41 3.5-10.41 6.62 0 1.3.75 2.66 2.12 3.84l21.89 18.77c8.47 7.22 13.33 17.48 13.33 28.14.01 21.29-19 38.62-42.39 38.62zM256 264v20.8c0 20.27 5.7 40.17 16 56.88 10.3-16.7 16-36.61 16-56.88V264c0-4.42 3.58-8 8-8h16c4.42 0 8 3.58 8 8v20.8c0 35.48-12.88 68.89-36.28 94.09-3.02 3.25-7.27 5.11-11.72 5.11s-8.7-1.86-11.72-5.11c-23.4-25.2-36.28-58.61-36.28-94.09V264c0-4.42 3.58-8 8-8h16c4.42 0 8 3.58 8 8zm121-159L279.1 7c-4.5-4.5-10.6-7-17-7H256v128h128v-6.1c0-6.3-2.5-12.4-7-16.9z"}}]})(props);
};
function FaFileDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M224 136V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zm76.45 211.36l-96.42 95.7c-6.65 6.61-17.39 6.61-24.04 0l-96.42-95.7C73.42 337.29 80.54 320 94.82 320H160v-80c0-8.84 7.16-16 16-16h32c8.84 0 16 7.16 16 16v80h65.18c14.28 0 21.4 17.29 11.27 27.36zM377 105L279.1 7c-4.5-4.5-10.6-7-17-7H256v128h128v-6.1c0-6.3-2.5-12.4-7-16.9z"}}]})(props);
};
function FaFileExcel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M224 136V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zm60.1 106.5L224 336l60.1 93.5c5.1 8-.6 18.5-10.1 18.5h-34.9c-4.4 0-8.5-2.4-10.6-6.3C208.9 405.5 192 373 192 373c-6.4 14.8-10 20-36.6 68.8-2.1 3.9-6.1 6.3-10.5 6.3H110c-9.5 0-15.2-10.5-10.1-18.5l60.3-93.5-60.3-93.5c-5.2-8 .6-18.5 10.1-18.5h34.8c4.4 0 8.5 2.4 10.6 6.3 26.1 48.8 20 33.6 36.6 68.5 0 0 6.1-11.7 36.6-68.5 2.1-3.9 6.2-6.3 10.6-6.3H274c9.5-.1 15.2 10.4 10.1 18.4zM384 121.9v6.1H256V0h6.1c6.4 0 12.5 2.5 17 7l97.9 98c4.5 4.5 7 10.6 7 16.9z"}}]})(props);
};
function FaFileExport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M384 121.9c0-6.3-2.5-12.4-7-16.9L279.1 7c-4.5-4.5-10.6-7-17-7H256v128h128zM571 308l-95.7-96.4c-10.1-10.1-27.4-3-27.4 11.3V288h-64v64h64v65.2c0 14.3 17.3 21.4 27.4 11.3L571 332c6.6-6.6 6.6-17.4 0-24zm-379 28v-32c0-8.8 7.2-16 16-16h176V160H248c-13.2 0-24-10.8-24-24V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V352H208c-8.8 0-16-7.2-16-16z"}}]})(props);
};
function FaFileImage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M384 121.941V128H256V0h6.059a24 24 0 0 1 16.97 7.029l97.941 97.941a24.002 24.002 0 0 1 7.03 16.971zM248 160c-13.2 0-24-10.8-24-24V0H24C10.745 0 0 10.745 0 24v464c0 13.255 10.745 24 24 24h336c13.255 0 24-10.745 24-24V160H248zm-135.455 16c26.51 0 48 21.49 48 48s-21.49 48-48 48-48-21.49-48-48 21.491-48 48-48zm208 240h-256l.485-48.485L104.545 328c4.686-4.686 11.799-4.201 16.485.485L160.545 368 264.06 264.485c4.686-4.686 12.284-4.686 16.971 0L320.545 304v112z"}}]})(props);
};
function FaFileImport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16 288c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h112v-64zm489-183L407.1 7c-4.5-4.5-10.6-7-17-7H384v128h128v-6.1c0-6.3-2.5-12.4-7-16.9zm-153 31V0H152c-13.3 0-24 10.7-24 24v264h128v-65.2c0-14.3 17.3-21.4 27.4-11.3L379 308c6.6 6.7 6.6 17.4 0 24l-95.7 96.4c-10.1 10.1-27.4 3-27.4-11.3V352H128v136c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H376c-13.2 0-24-10.8-24-24z"}}]})(props);
};
function FaFileInvoiceDollar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M377 105L279.1 7c-4.5-4.5-10.6-7-17-7H256v128h128v-6.1c0-6.3-2.5-12.4-7-16.9zm-153 31V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zM64 72c0-4.42 3.58-8 8-8h80c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8H72c-4.42 0-8-3.58-8-8V72zm0 80v-16c0-4.42 3.58-8 8-8h80c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8H72c-4.42 0-8-3.58-8-8zm144 263.88V440c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8v-24.29c-11.29-.58-22.27-4.52-31.37-11.35-3.9-2.93-4.1-8.77-.57-12.14l11.75-11.21c2.77-2.64 6.89-2.76 10.13-.73 3.87 2.42 8.26 3.72 12.82 3.72h28.11c6.5 0 11.8-5.92 11.8-13.19 0-5.95-3.61-11.19-8.77-12.73l-45-13.5c-18.59-5.58-31.58-23.42-31.58-43.39 0-24.52 19.05-44.44 42.67-45.07V232c0-4.42 3.58-8 8-8h16c4.42 0 8 3.58 8 8v24.29c11.29.58 22.27 4.51 31.37 11.35 3.9 2.93 4.1 8.77.57 12.14l-11.75 11.21c-2.77 2.64-6.89 2.76-10.13.73-3.87-2.43-8.26-3.72-12.82-3.72h-28.11c-6.5 0-11.8 5.92-11.8 13.19 0 5.95 3.61 11.19 8.77 12.73l45 13.5c18.59 5.58 31.58 23.42 31.58 43.39 0 24.53-19.05 44.44-42.67 45.07z"}}]})(props);
};
function FaFileInvoice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M288 256H96v64h192v-64zm89-151L279.1 7c-4.5-4.5-10.6-7-17-7H256v128h128v-6.1c0-6.3-2.5-12.4-7-16.9zm-153 31V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zM64 72c0-4.42 3.58-8 8-8h80c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8H72c-4.42 0-8-3.58-8-8V72zm0 64c0-4.42 3.58-8 8-8h80c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8H72c-4.42 0-8-3.58-8-8v-16zm256 304c0 4.42-3.58 8-8 8h-80c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h80c4.42 0 8 3.58 8 8v16zm0-200v96c0 8.84-7.16 16-16 16H80c-8.84 0-16-7.16-16-16v-96c0-8.84 7.16-16 16-16h224c8.84 0 16 7.16 16 16z"}}]})(props);
};
function FaFileMedicalAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M288 136V0H88C74.7 0 64 10.7 64 24v232H8c-4.4 0-8 3.6-8 8v16c0 4.4 3.6 8 8 8h140.9c3 0 5.8 1.7 7.2 4.4l19.9 39.8 56.8-113.7c2.9-5.9 11.4-5.9 14.3 0l34.7 69.5H352c8.8 0 16 7.2 16 16s-7.2 16-16 16h-89.9L240 275.8l-56.8 113.7c-2.9 5.9-11.4 5.9-14.3 0L134.1 320H64v168c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H312c-13.2 0-24-10.8-24-24zm153-31L343.1 7c-4.5-4.5-10.6-7-17-7H320v128h128v-6.1c0-6.3-2.5-12.4-7-16.9z"}}]})(props);
};
function FaFileMedical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M377 105L279.1 7c-4.5-4.5-10.6-7-17-7H256v128h128v-6.1c0-6.3-2.5-12.4-7-16.9zm-153 31V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zm64 160v48c0 4.4-3.6 8-8 8h-56v56c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-56h-56c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h56v-56c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v56h56c4.4 0 8 3.6 8 8z"}}]})(props);
};
function FaFilePdf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M181.9 256.1c-5-16-4.9-46.9-2-46.9 8.4 0 7.6 36.9 2 46.9zm-1.7 47.2c-7.7 20.2-17.3 43.3-28.4 62.7 18.3-7 39-17.2 62.9-21.9-12.7-9.6-24.9-23.4-34.5-40.8zM86.1 428.1c0 .8 13.2-5.4 34.9-40.2-6.7 6.3-29.1 24.5-34.9 40.2zM248 160h136v328c0 13.3-10.7 24-24 24H24c-13.3 0-24-10.7-24-24V24C0 10.7 10.7 0 24 0h200v136c0 13.2 10.8 24 24 24zm-8 171.8c-20-12.2-33.3-29-42.7-53.8 4.5-18.5 11.6-46.6 6.2-64.2-4.7-29.4-42.4-26.5-47.8-6.8-5 18.3-.4 44.1 8.1 77-11.6 27.6-28.7 64.6-40.8 85.8-.1 0-.1.1-.2.1-27.1 13.9-73.6 44.5-54.5 68 5.6 6.9 16 10 21.5 10 17.9 0 35.7-18 61.1-61.8 25.8-8.5 54.1-19.1 79-23.2 21.7 11.8 47.1 19.5 64 19.5 29.2 0 31.2-32 19.7-43.4-13.9-13.6-54.3-9.7-73.6-7.2zM377 105L279 7c-4.5-4.5-10.6-7-17-7h-6v128h128v-6.1c0-6.3-2.5-12.4-7-16.9zm-74.1 255.3c4.1-2.7-2.5-11.9-42.8-9 37.1 15.8 42.8 9 42.8 9z"}}]})(props);
};
function FaFilePowerpoint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M193.7 271.2c8.8 0 15.5 2.7 20.3 8.1 9.6 10.9 9.8 32.7-.2 44.1-4.9 5.6-11.9 8.5-21.1 8.5h-26.9v-60.7h27.9zM377 105L279 7c-4.5-4.5-10.6-7-17-7h-6v128h128v-6.1c0-6.3-2.5-12.4-7-16.9zm-153 31V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zm53 165.2c0 90.3-88.8 77.6-111.1 77.6V436c0 6.6-5.4 12-12 12h-30.8c-6.6 0-12-5.4-12-12V236.2c0-6.6 5.4-12 12-12h81c44.5 0 72.9 32.8 72.9 77z"}}]})(props);
};
function FaFilePrescription (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M224 136V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zm68.53 179.48l11.31 11.31c6.25 6.25 6.25 16.38 0 22.63l-29.9 29.9L304 409.38c6.25 6.25 6.25 16.38 0 22.63l-11.31 11.31c-6.25 6.25-16.38 6.25-22.63 0L240 413.25l-30.06 30.06c-6.25 6.25-16.38 6.25-22.63 0L176 432c-6.25-6.25-6.25-16.38 0-22.63l30.06-30.06L146.74 320H128v48c0 8.84-7.16 16-16 16H96c-8.84 0-16-7.16-16-16V208c0-8.84 7.16-16 16-16h80c35.35 0 64 28.65 64 64 0 24.22-13.62 45.05-33.46 55.92L240 345.38l29.9-29.9c6.25-6.25 16.38-6.25 22.63 0zM176 272h-48v-32h48c8.82 0 16 7.18 16 16s-7.18 16-16 16zm208-150.1v6.1H256V0h6.1c6.4 0 12.5 2.5 17 7l97.9 98c4.5 4.5 7 10.6 7 16.9z"}}]})(props);
};
function FaFileSignature (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M218.17 424.14c-2.95-5.92-8.09-6.52-10.17-6.52s-7.22.59-10.02 6.19l-7.67 15.34c-6.37 12.78-25.03 11.37-29.48-2.09L144 386.59l-10.61 31.88c-5.89 17.66-22.38 29.53-41 29.53H80c-8.84 0-16-7.16-16-16s7.16-16 16-16h12.39c4.83 0 9.11-3.08 10.64-7.66l18.19-54.64c3.3-9.81 12.44-16.41 22.78-16.41s19.48 6.59 22.77 16.41l13.88 41.64c19.75-16.19 54.06-9.7 66 14.16 1.89 3.78 5.49 5.95 9.36 6.26v-82.12l128-127.09V160H248c-13.2 0-24-10.8-24-24V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24v-40l-128-.11c-16.12-.31-30.58-9.28-37.83-23.75zM384 121.9c0-6.3-2.5-12.4-7-16.9L279.1 7c-4.5-4.5-10.6-7-17-7H256v128h128v-6.1zm-96 225.06V416h68.99l161.68-162.78-67.88-67.88L288 346.96zm280.54-179.63l-31.87-31.87c-9.94-9.94-26.07-9.94-36.01 0l-27.25 27.25 67.88 67.88 27.25-27.25c9.95-9.94 9.95-26.07 0-36.01z"}}]})(props);
};
function FaFileUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M224 136V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zm65.18 216.01H224v80c0 8.84-7.16 16-16 16h-32c-8.84 0-16-7.16-16-16v-80H94.82c-14.28 0-21.41-17.29-11.27-27.36l96.42-95.7c6.65-6.61 17.39-6.61 24.04 0l96.42 95.7c10.15 10.07 3.03 27.36-11.25 27.36zM377 105L279.1 7c-4.5-4.5-10.6-7-17-7H256v128h128v-6.1c0-6.3-2.5-12.4-7-16.9z"}}]})(props);
};
function FaFileVideo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M384 121.941V128H256V0h6.059c6.365 0 12.47 2.529 16.971 7.029l97.941 97.941A24.005 24.005 0 0 1 384 121.941zM224 136V0H24C10.745 0 0 10.745 0 24v464c0 13.255 10.745 24 24 24h336c13.255 0 24-10.745 24-24V160H248c-13.2 0-24-10.8-24-24zm96 144.016v111.963c0 21.445-25.943 31.998-40.971 16.971L224 353.941V392c0 13.255-10.745 24-24 24H88c-13.255 0-24-10.745-24-24V280c0-13.255 10.745-24 24-24h112c13.255 0 24 10.745 24 24v38.059l55.029-55.013c15.011-15.01 40.971-4.491 40.971 16.97z"}}]})(props);
};
function FaFileWord (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M224 136V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zm57.1 120H305c7.7 0 13.4 7.1 11.7 14.7l-38 168c-1.2 5.5-6.1 9.3-11.7 9.3h-38c-5.5 0-10.3-3.8-11.6-9.1-25.8-103.5-20.8-81.2-25.6-110.5h-.5c-1.1 14.3-2.4 17.4-25.6 110.5-1.3 5.3-6.1 9.1-11.6 9.1H117c-5.6 0-10.5-3.9-11.7-9.4l-37.8-168c-1.7-7.5 4-14.6 11.7-14.6h24.5c5.7 0 10.7 4 11.8 9.7 15.6 78 20.1 109.5 21 122.2 1.6-10.2 7.3-32.7 29.4-122.7 1.3-5.4 6.1-9.1 11.7-9.1h29.1c5.6 0 10.4 3.8 11.7 9.2 24 100.4 28.8 124 29.6 129.4-.2-11.2-2.6-17.8 21.6-129.2 1-5.6 5.9-9.5 11.5-9.5zM384 121.9v6.1H256V0h6.1c6.4 0 12.5 2.5 17 7l97.9 98c4.5 4.5 7 10.6 7 16.9z"}}]})(props);
};
function FaFile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M224 136V0H24C10.7 0 0 10.7 0 24v464c0 13.3 10.7 24 24 24h336c13.3 0 24-10.7 24-24V160H248c-13.2 0-24-10.8-24-24zm160-14.1v6.1H256V0h6.1c6.4 0 12.5 2.5 17 7l97.9 98c4.5 4.5 7 10.6 7 16.9z"}}]})(props);
};
function FaFillDrip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M512 320s-64 92.65-64 128c0 35.35 28.66 64 64 64s64-28.65 64-64-64-128-64-128zm-9.37-102.94L294.94 9.37C288.69 3.12 280.5 0 272.31 0s-16.38 3.12-22.62 9.37l-81.58 81.58L81.93 4.76c-6.25-6.25-16.38-6.25-22.62 0L36.69 27.38c-6.24 6.25-6.24 16.38 0 22.62l86.19 86.18-94.76 94.76c-37.49 37.48-37.49 98.26 0 135.75l117.19 117.19c18.74 18.74 43.31 28.12 67.87 28.12 24.57 0 49.13-9.37 67.87-28.12l221.57-221.57c12.5-12.5 12.5-32.75.01-45.25zm-116.22 70.97H65.93c1.36-3.84 3.57-7.98 7.43-11.83l13.15-13.15 81.61-81.61 58.6 58.6c12.49 12.49 32.75 12.49 45.24 0s12.49-32.75 0-45.24l-58.6-58.6 58.95-58.95 162.44 162.44-48.34 48.34z"}}]})(props);
};
function FaFill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M502.63 217.06L294.94 9.37C288.69 3.12 280.5 0 272.31 0s-16.38 3.12-22.62 9.37l-81.58 81.58L81.93 4.77c-6.24-6.25-16.38-6.25-22.62 0L36.69 27.38c-6.24 6.25-6.24 16.38 0 22.63l86.19 86.18-94.76 94.76c-37.49 37.49-37.49 98.26 0 135.75l117.19 117.19c18.75 18.74 43.31 28.12 67.87 28.12 24.57 0 49.13-9.37 67.88-28.12l221.57-221.57c12.49-12.5 12.49-32.76 0-45.26zm-116.22 70.97H65.93c1.36-3.84 3.57-7.98 7.43-11.83l13.15-13.15 81.61-81.61 58.61 58.6c12.49 12.49 32.75 12.49 45.24 0 12.49-12.49 12.49-32.75 0-45.24l-58.61-58.6 58.95-58.95 162.45 162.44-48.35 48.34z"}}]})(props);
};
function FaFilm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M488 64h-8v20c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12V64H96v20c0 6.6-5.4 12-12 12H44c-6.6 0-12-5.4-12-12V64h-8C10.7 64 0 74.7 0 88v336c0 13.3 10.7 24 24 24h8v-20c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v20h320v-20c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v20h8c13.3 0 24-10.7 24-24V88c0-13.3-10.7-24-24-24zM96 372c0 6.6-5.4 12-12 12H44c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40zm0-96c0 6.6-5.4 12-12 12H44c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40zm0-96c0 6.6-5.4 12-12 12H44c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40zm272 208c0 6.6-5.4 12-12 12H156c-6.6 0-12-5.4-12-12v-96c0-6.6 5.4-12 12-12h200c6.6 0 12 5.4 12 12v96zm0-168c0 6.6-5.4 12-12 12H156c-6.6 0-12-5.4-12-12v-96c0-6.6 5.4-12 12-12h200c6.6 0 12 5.4 12 12v96zm112 152c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40zm0-96c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40zm0-96c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40z"}}]})(props);
};
function FaFilter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M487.976 0H24.028C2.71 0-8.047 25.866 7.058 40.971L192 225.941V432c0 7.831 3.821 15.17 10.237 19.662l80 55.98C298.02 518.69 320 507.493 320 487.98V225.941l184.947-184.97C520.021 25.896 509.338 0 487.976 0z"}}]})(props);
};
function FaFingerprint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.12 245.96c-13.25 0-24 10.74-24 24 1.14 72.25-8.14 141.9-27.7 211.55-2.73 9.72 2.15 30.49 23.12 30.49 10.48 0 20.11-6.92 23.09-17.52 13.53-47.91 31.04-125.41 29.48-224.52.01-13.25-10.73-24-23.99-24zm-.86-81.73C194 164.16 151.25 211.3 152.1 265.32c.75 47.94-3.75 95.91-13.37 142.55-2.69 12.98 5.67 25.69 18.64 28.36 13.05 2.67 25.67-5.66 28.36-18.64 10.34-50.09 15.17-101.58 14.37-153.02-.41-25.95 19.92-52.49 54.45-52.34 31.31.47 57.15 25.34 57.62 55.47.77 48.05-2.81 96.33-10.61 143.55-2.17 13.06 6.69 25.42 19.76 27.58 19.97 3.33 26.81-15.1 27.58-19.77 8.28-50.03 12.06-101.21 11.27-152.11-.88-55.8-47.94-101.88-104.91-102.72zm-110.69-19.78c-10.3-8.34-25.37-6.8-33.76 3.48-25.62 31.5-39.39 71.28-38.75 112 .59 37.58-2.47 75.27-9.11 112.05-2.34 13.05 6.31 25.53 19.36 27.89 20.11 3.5 27.07-14.81 27.89-19.36 7.19-39.84 10.5-80.66 9.86-121.33-.47-29.88 9.2-57.88 28-80.97 8.35-10.28 6.79-25.39-3.49-33.76zm109.47-62.33c-15.41-.41-30.87 1.44-45.78 4.97-12.89 3.06-20.87 15.98-17.83 28.89 3.06 12.89 16 20.83 28.89 17.83 11.05-2.61 22.47-3.77 34-3.69 75.43 1.13 137.73 61.5 138.88 134.58.59 37.88-1.28 76.11-5.58 113.63-1.5 13.17 7.95 25.08 21.11 26.58 16.72 1.95 25.51-11.88 26.58-21.11a929.06 929.06 0 0 0 5.89-119.85c-1.56-98.75-85.07-180.33-186.16-181.83zm252.07 121.45c-2.86-12.92-15.51-21.2-28.61-18.27-12.94 2.86-21.12 15.66-18.26 28.61 4.71 21.41 4.91 37.41 4.7 61.6-.11 13.27 10.55 24.09 23.8 24.2h.2c13.17 0 23.89-10.61 24-23.8.18-22.18.4-44.11-5.83-72.34zm-40.12-90.72C417.29 43.46 337.6 1.29 252.81.02 183.02-.82 118.47 24.91 70.46 72.94 24.09 119.37-.9 181.04.14 246.65l-.12 21.47c-.39 13.25 10.03 24.31 23.28 24.69.23.02.48.02.72.02 12.92 0 23.59-10.3 23.97-23.3l.16-23.64c-.83-52.5 19.16-101.86 56.28-139 38.76-38.8 91.34-59.67 147.68-58.86 69.45 1.03 134.73 35.56 174.62 92.39 7.61 10.86 22.56 13.45 33.42 5.86 10.84-7.62 13.46-22.59 5.84-33.43z"}}]})(props);
};
function FaFireAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M323.56 51.2c-20.8 19.3-39.58 39.59-56.22 59.97C240.08 73.62 206.28 35.53 168 0 69.74 91.17 0 209.96 0 281.6 0 408.85 100.29 512 224 512s224-103.15 224-230.4c0-53.27-51.98-163.14-124.44-230.4zm-19.47 340.65C282.43 407.01 255.72 416 226.86 416 154.71 416 96 368.26 96 290.75c0-38.61 24.31-72.63 72.79-130.75 6.93 7.98 98.83 125.34 98.83 125.34l58.63-66.88c4.14 6.85 7.91 13.55 11.27 19.97 27.35 52.19 15.81 118.97-33.43 153.42z"}}]})(props);
};
function FaFireExtinguisher (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M434.027 26.329l-168 28C254.693 56.218 256 67.8 256 72h-58.332C208.353 36.108 181.446 0 144 0c-39.435 0-66.368 39.676-52.228 76.203-52.039 13.051-75.381 54.213-90.049 90.884-4.923 12.307 1.063 26.274 13.37 31.197 12.317 4.926 26.279-1.075 31.196-13.37C75.058 112.99 106.964 120 168 120v27.076c-41.543 10.862-72 49.235-72 94.129V488c0 13.255 10.745 24 24 24h144c13.255 0 24-10.745 24-24V240c0-44.731-30.596-82.312-72-92.97V120h40c0 2.974-1.703 15.716 10.027 17.671l168 28C441.342 166.89 448 161.25 448 153.834V38.166c0-7.416-6.658-13.056-13.973-11.837zM144 72c-8.822 0-16-7.178-16-16s7.178-16 16-16 16 7.178 16 16-7.178 16-16 16z"}}]})(props);
};
function FaFire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M216 23.86c0-23.8-30.65-32.77-44.15-13.04C48 191.85 224 200 224 288c0 35.63-29.11 64.46-64.85 63.99-35.17-.45-63.15-29.77-63.15-64.94v-85.51c0-21.7-26.47-32.23-41.43-16.5C27.8 213.16 0 261.33 0 320c0 105.87 86.13 192 192 192s192-86.13 192-192c0-170.29-168-193-168-296.14z"}}]})(props);
};
function FaFirstAid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M0 80v352c0 26.5 21.5 48 48 48h48V32H48C21.5 32 0 53.5 0 80zm128 400h320V32H128v448zm64-248c0-4.4 3.6-8 8-8h56v-56c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v56h56c4.4 0 8 3.6 8 8v48c0 4.4-3.6 8-8 8h-56v56c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-56h-56c-4.4 0-8-3.6-8-8v-48zM528 32h-48v448h48c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48z"}}]})(props);
};
function FaFish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M327.1 96c-89.97 0-168.54 54.77-212.27 101.63L27.5 131.58c-12.13-9.18-30.24.6-27.14 14.66L24.54 256 .35 365.77c-3.1 14.06 15.01 23.83 27.14 14.66l87.33-66.05C158.55 361.23 237.13 416 327.1 416 464.56 416 576 288 576 256S464.56 96 327.1 96zm87.43 184c-13.25 0-24-10.75-24-24 0-13.26 10.75-24 24-24 13.26 0 24 10.74 24 24 0 13.25-10.75 24-24 24z"}}]})(props);
};
function FaFistRaised (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M255.98 160V16c0-8.84-7.16-16-16-16h-32c-8.84 0-16 7.16-16 16v146.93c5.02-1.78 10.34-2.93 15.97-2.93h48.03zm128 95.99c-.01-35.34-28.66-63.99-63.99-63.99H207.85c-8.78 0-15.9 7.07-15.9 15.85v.56c0 26.27 21.3 47.59 47.57 47.59h35.26c9.68 0 13.2 3.58 13.2 8v16.2c0 4.29-3.59 7.78-7.88 8-44.52 2.28-64.16 24.71-96.05 72.55l-6.31 9.47a7.994 7.994 0 0 1-11.09 2.22l-13.31-8.88a7.994 7.994 0 0 1-2.22-11.09l6.31-9.47c15.73-23.6 30.2-43.26 47.31-58.08-17.27-5.51-31.4-18.12-38.87-34.45-6.59 3.41-13.96 5.52-21.87 5.52h-32c-12.34 0-23.49-4.81-32-12.48C71.48 251.19 60.33 256 48 256H16c-5.64 0-10.97-1.15-16-2.95v77.93c0 33.95 13.48 66.5 37.49 90.51L63.99 448v64h255.98v-63.96l35.91-35.92A96.035 96.035 0 0 0 384 344.21l-.02-88.22zm-32.01-90.09V48c0-8.84-7.16-16-16-16h-32c-8.84 0-16 7.16-16 16v112h32c11.28 0 21.94 2.31 32 5.9zM16 224h32c8.84 0 16-7.16 16-16V80c0-8.84-7.16-16-16-16H16C7.16 64 0 71.16 0 80v128c0 8.84 7.16 16 16 16zm95.99 0h32c8.84 0 16-7.16 16-16V48c0-8.84-7.16-16-16-16h-32c-8.84 0-16 7.16-16 16v160c0 8.84 7.16 16 16 16z"}}]})(props);
};
function FaFlagCheckered (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M243.2 189.9V258c26.1 5.9 49.3 15.6 73.6 22.3v-68.2c-26-5.8-49.4-15.5-73.6-22.2zm223.3-123c-34.3 15.9-76.5 31.9-117 31.9C296 98.8 251.7 64 184.3 64c-25 0-47.3 4.4-68 12 2.8-7.3 4.1-15.2 3.6-23.6C118.1 24 94.8 1.2 66.3 0 34.3-1.3 8 24.3 8 56c0 19 9.5 35.8 24 45.9V488c0 13.3 10.7 24 24 24h16c13.3 0 24-10.7 24-24v-94.4c28.3-12.1 63.6-22.1 114.4-22.1 53.6 0 97.8 34.8 165.2 34.8 48.2 0 86.7-16.3 122.5-40.9 8.7-6 13.8-15.8 13.8-26.4V95.9c.1-23.3-24.2-38.8-45.4-29zM169.6 325.5c-25.8 2.7-50 8.2-73.6 16.6v-70.5c26.2-9.3 47.5-15 73.6-17.4zM464 191c-23.6 9.8-46.3 19.5-73.6 23.9V286c24.8-3.4 51.4-11.8 73.6-26v70.5c-25.1 16.1-48.5 24.7-73.6 27.1V286c-27 3.7-47.9 1.5-73.6-5.6v67.4c-23.9-7.4-47.3-16.7-73.6-21.3V258c-19.7-4.4-40.8-6.8-73.6-3.8v-70c-22.4 3.1-44.6 10.2-73.6 20.9v-70.5c33.2-12.2 50.1-19.8 73.6-22v71.6c27-3.7 48.4-1.3 73.6 5.7v-67.4c23.7 7.4 47.2 16.7 73.6 21.3v68.4c23.7 5.3 47.6 6.9 73.6 2.7V143c27-4.8 52.3-13.6 73.6-22.5z"}}]})(props);
};
function FaFlagUsa (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 0C14.3 0 0 14.3 0 32v464c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V32C64 14.3 49.7 0 32 0zm267.9 303.6c-57.2-15.1-111.7-28.8-203.9 11.1V384c185.7-92.2 221.7 53.3 397.5-23.1 11.4-5 18.5-16.5 18.5-28.8v-36c-43.6 17.3-80.2 24.1-112.1 24.1-37.4-.1-68.9-8.4-100-16.6zm0-96c-57.2-15.1-111.7-28.8-203.9 11.1v61.5c94.8-37.6 154.6-22.7 212.1-7.6 57.2 15.1 111.7 28.8 203.9-11.1V200c-43.6 17.3-80.2 24.1-112.1 24.1-37.4 0-68.9-8.3-100-16.5zm9.5-125.9c51.8 15.6 97.4 29 202.6-20.1V30.8c0-25.1-26.8-38.1-49.4-26.6C291.3 91.5 305.4-62.2 96 32.4v151.9c94.8-37.5 154.6-22.7 212.1-7.6 57.2 15 111.7 28.7 203.9-11.1V96.7c-53.6 23.5-93.3 31.4-126.1 31.4s-59-7.8-85.7-15.9c-4-1.2-8.1-2.4-12.1-3.5V75.5c7.2 2 14.3 4.1 21.3 6.2zM160 128.1c-8.8 0-16-7.1-16-16 0-8.8 7.2-16 16-16s16 7.1 16 16-7.2 16-16 16zm0-55.8c-8.8 0-16-7.1-16-16 0-8.8 7.2-16 16-16s16 7.1 16 16c0 8.8-7.2 16-16 16zm64 47.9c-8.8 0-16-7.1-16-16 0-8.8 7.2-16 16-16s16 7.1 16 16c0 8.8-7.2 16-16 16zm0-55.9c-8.8 0-16-7.1-16-16 0-8.8 7.2-16 16-16s16 7.1 16 16c0 8.8-7.2 16-16 16z"}}]})(props);
};
function FaFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M349.565 98.783C295.978 98.783 251.721 64 184.348 64c-24.955 0-47.309 4.384-68.045 12.013a55.947 55.947 0 0 0 3.586-23.562C118.117 24.015 94.806 1.206 66.338.048 34.345-1.254 8 24.296 8 56c0 19.026 9.497 35.825 24 45.945V488c0 13.255 10.745 24 24 24h16c13.255 0 24-10.745 24-24v-94.4c28.311-12.064 63.582-22.122 114.435-22.122 53.588 0 97.844 34.783 165.217 34.783 48.169 0 86.667-16.294 122.505-40.858C506.84 359.452 512 349.571 512 339.045v-243.1c0-23.393-24.269-38.87-45.485-29.016-34.338 15.948-76.454 31.854-116.95 31.854z"}}]})(props);
};
function FaFlask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M437.2 403.5L320 215V64h8c13.3 0 24-10.7 24-24V24c0-13.3-10.7-24-24-24H120c-13.3 0-24 10.7-24 24v16c0 13.3 10.7 24 24 24h8v151L10.8 403.5C-18.5 450.6 15.3 512 70.9 512h306.2c55.7 0 89.4-61.5 60.1-108.5zM137.9 320l48.2-77.6c3.7-5.2 5.8-11.6 5.8-18.4V64h64v160c0 6.9 2.2 13.2 5.8 18.4l48.2 77.6h-172z"}}]})(props);
};
function FaFlushed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M344 200c-13.3 0-24 10.7-24 24s10.7 24 24 24 24-10.7 24-24-10.7-24-24-24zm-192 0c-13.3 0-24 10.7-24 24s10.7 24 24 24 24-10.7 24-24-10.7-24-24-24zM248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zM80 224c0-39.8 32.2-72 72-72s72 32.2 72 72-32.2 72-72 72-72-32.2-72-72zm232 176H184c-21.2 0-21.2-32 0-32h128c21.2 0 21.2 32 0 32zm32-104c-39.8 0-72-32.2-72-72s32.2-72 72-72 72 32.2 72 72-32.2 72-72 72z"}}]})(props);
};
function FaFolderMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 128H272l-64-64H48C21.49 64 0 85.49 0 112v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V176c0-26.51-21.49-48-48-48zm-96 168c0 8.84-7.16 16-16 16H160c-8.84 0-16-7.16-16-16v-16c0-8.84 7.16-16 16-16h192c8.84 0 16 7.16 16 16v16z"}}]})(props);
};
function FaFolderOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M572.694 292.093L500.27 416.248A63.997 63.997 0 0 1 444.989 448H45.025c-18.523 0-30.064-20.093-20.731-36.093l72.424-124.155A64 64 0 0 1 152 256h399.964c18.523 0 30.064 20.093 20.73 36.093zM152 224h328v-48c0-26.51-21.49-48-48-48H272l-64-64H48C21.49 64 0 85.49 0 112v278.046l69.077-118.418C86.214 242.25 117.989 224 152 224z"}}]})(props);
};
function FaFolderPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464,128H272L208,64H48A48,48,0,0,0,0,112V400a48,48,0,0,0,48,48H464a48,48,0,0,0,48-48V176A48,48,0,0,0,464,128ZM359.5,296a16,16,0,0,1-16,16h-64v64a16,16,0,0,1-16,16h-16a16,16,0,0,1-16-16V312h-64a16,16,0,0,1-16-16V280a16,16,0,0,1,16-16h64V200a16,16,0,0,1,16-16h16a16,16,0,0,1,16,16v64h64a16,16,0,0,1,16,16Z"}}]})(props);
};
function FaFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 128H272l-64-64H48C21.49 64 0 85.49 0 112v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V176c0-26.51-21.49-48-48-48z"}}]})(props);
};
function FaFont (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M432 416h-23.41L277.88 53.69A32 32 0 0 0 247.58 32h-47.16a32 32 0 0 0-30.3 21.69L39.41 416H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h128a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16h-19.58l23.3-64h152.56l23.3 64H304a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h128a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zM176.85 272L224 142.51 271.15 272z"}}]})(props);
};
function FaFootballBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M481.5 60.3c-4.8-18.2-19.1-32.5-37.3-37.4C420.3 16.5 383 8.9 339.4 8L496 164.8c-.8-43.5-8.2-80.6-14.5-104.5zm-467 391.4c4.8 18.2 19.1 32.5 37.3 37.4 23.9 6.4 61.2 14 104.8 14.9L0 347.2c.8 43.5 8.2 80.6 14.5 104.5zM4.2 283.4L220.4 500c132.5-19.4 248.8-118.7 271.5-271.4L275.6 12C143.1 31.4 26.8 130.7 4.2 283.4zm317.3-123.6c3.1-3.1 8.2-3.1 11.3 0l11.3 11.3c3.1 3.1 3.1 8.2 0 11.3l-28.3 28.3 28.3 28.3c3.1 3.1 3.1 8.2 0 11.3l-11.3 11.3c-3.1 3.1-8.2 3.1-11.3 0l-28.3-28.3-22.6 22.7 28.3 28.3c3.1 3.1 3.1 8.2 0 11.3l-11.3 11.3c-3.1 3.1-8.2 3.1-11.3 0L248 278.6l-22.6 22.6 28.3 28.3c3.1 3.1 3.1 8.2 0 11.3l-11.3 11.3c-3.1 3.1-8.2 3.1-11.3 0l-28.3-28.3-28.3 28.3c-3.1 3.1-8.2 3.1-11.3 0l-11.3-11.3c-3.1-3.1-3.1-8.2 0-11.3l28.3-28.3-28.3-28.2c-3.1-3.1-3.1-8.2 0-11.3l11.3-11.3c3.1-3.1 8.2-3.1 11.3 0l28.3 28.3 22.6-22.6-28.3-28.3c-3.1-3.1-3.1-8.2 0-11.3l11.3-11.3c3.1-3.1 8.2-3.1 11.3 0l28.3 28.3 22.6-22.6-28.3-28.3c-3.1-3.1-3.1-8.2 0-11.3l11.3-11.3c3.1-3.1 8.2-3.1 11.3 0l28.3 28.3 28.3-28.5z"}}]})(props);
};
function FaForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M500.5 231.4l-192-160C287.9 54.3 256 68.6 256 96v320c0 27.4 31.9 41.8 52.5 24.6l192-160c15.3-12.8 15.3-36.4 0-49.2zm-256 0l-192-160C31.9 54.3 0 68.6 0 96v320c0 27.4 31.9 41.8 52.5 24.6l192-160c15.3-12.8 15.3-36.4 0-49.2z"}}]})(props);
};
function FaFrog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M446.53 97.43C439.67 60.23 407.19 32 368 32c-39.23 0-71.72 28.29-78.54 65.54C126.75 112.96-.5 250.12 0 416.98.11 451.9 29.08 480 64 480h304c8.84 0 16-7.16 16-16 0-17.67-14.33-32-32-32h-79.49l35.8-48.33c24.14-36.23 10.35-88.28-33.71-106.6-23.89-9.93-51.55-4.65-72.24 10.88l-32.76 24.59c-7.06 5.31-17.09 3.91-22.41-3.19-5.3-7.08-3.88-17.11 3.19-22.41l34.78-26.09c36.84-27.66 88.28-27.62 125.13 0 10.87 8.15 45.87 39.06 40.8 93.21L469.62 480H560c8.84 0 16-7.16 16-16 0-17.67-14.33-32-32-32h-53.63l-98.52-104.68 154.44-86.65A58.16 58.16 0 0 0 576 189.94c0-21.4-11.72-40.95-30.48-51.23-40.56-22.22-98.99-41.28-98.99-41.28zM368 136c-13.26 0-24-10.75-24-24 0-13.26 10.74-24 24-24 13.25 0 24 10.74 24 24 0 13.25-10.75 24-24 24z"}}]})(props);
};
function FaFrownOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zM136 208c0-17.7 14.3-32 32-32s32 14.3 32 32-14.3 32-32 32-32-14.3-32-32zm187.3 183.3c-31.2-9.6-59.4-15.3-75.3-15.3s-44.1 5.7-75.3 15.3c-11.5 3.5-22.5-6.3-20.5-18.1 7-40 60.1-61.2 95.8-61.2s88.8 21.3 95.8 61.2c2 11.9-9.1 21.6-20.5 18.1zM328 240c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}}]})(props);
};
function FaFrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm80 168c17.7 0 32 14.3 32 32s-14.3 32-32 32-32-14.3-32-32 14.3-32 32-32zm-160 0c17.7 0 32 14.3 32 32s-14.3 32-32 32-32-14.3-32-32 14.3-32 32-32zm170.2 218.2C315.8 367.4 282.9 352 248 352s-67.8 15.4-90.2 42.2c-13.5 16.3-38.1-4.2-24.6-20.5C161.7 339.6 203.6 320 248 320s86.3 19.6 114.7 53.8c13.6 16.2-11 36.7-24.5 20.4z"}}]})(props);
};
function FaFunnelDollar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M433.46 165.94l101.2-111.87C554.61 34.12 540.48 0 512.26 0H31.74C3.52 0-10.61 34.12 9.34 54.07L192 256v155.92c0 12.59 5.93 24.44 16 32l79.99 60c20.86 15.64 48.47 6.97 59.22-13.57C310.8 455.38 288 406.35 288 352c0-89.79 62.05-165.17 145.46-186.06zM480 192c-88.37 0-160 71.63-160 160s71.63 160 160 160 160-71.63 160-160-71.63-160-160-160zm16 239.88V448c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8v-16.29c-11.29-.58-22.27-4.52-31.37-11.35-3.9-2.93-4.1-8.77-.57-12.14l11.75-11.21c2.77-2.64 6.89-2.76 10.13-.73 3.87 2.42 8.26 3.72 12.82 3.72h28.11c6.5 0 11.8-5.92 11.8-13.19 0-5.95-3.61-11.19-8.77-12.73l-45-13.5c-18.59-5.58-31.58-23.42-31.58-43.39 0-24.52 19.05-44.44 42.67-45.07V256c0-4.42 3.58-8 8-8h16c4.42 0 8 3.58 8 8v16.29c11.29.58 22.27 4.51 31.37 11.35 3.9 2.93 4.1 8.77.57 12.14l-11.75 11.21c-2.77 2.64-6.89 2.76-10.13.73-3.87-2.43-8.26-3.72-12.82-3.72h-28.11c-6.5 0-11.8 5.92-11.8 13.19 0 5.95 3.61 11.19 8.77 12.73l45 13.5c18.59 5.58 31.58 23.42 31.58 43.39 0 24.53-19.04 44.44-42.67 45.07z"}}]})(props);
};
function FaFutbol (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M504 256c0 136.967-111.033 248-248 248S8 392.967 8 256 119.033 8 256 8s248 111.033 248 248zm-48 0l-.003-.282-26.064 22.741-62.679-58.5 16.454-84.355 34.303 3.072c-24.889-34.216-60.004-60.089-100.709-73.141l13.651 31.939L256 139l-74.953-41.525 13.651-31.939c-40.631 13.028-75.78 38.87-100.709 73.141l34.565-3.073 16.192 84.355-62.678 58.5-26.064-22.741-.003.282c0 43.015 13.497 83.952 38.472 117.991l7.704-33.897 85.138 10.447 36.301 77.826-29.902 17.786c40.202 13.122 84.29 13.148 124.572 0l-29.902-17.786 36.301-77.826 85.138-10.447 7.704 33.897C442.503 339.952 456 299.015 456 256zm-248.102 69.571l-29.894-91.312L256 177.732l77.996 56.527-29.622 91.312h-96.476z"}}]})(props);
};
function FaGamepad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M480.07 96H160a160 160 0 1 0 114.24 272h91.52A160 160 0 1 0 480.07 96zM248 268a12 12 0 0 1-12 12h-52v52a12 12 0 0 1-12 12h-24a12 12 0 0 1-12-12v-52H84a12 12 0 0 1-12-12v-24a12 12 0 0 1 12-12h52v-52a12 12 0 0 1 12-12h24a12 12 0 0 1 12 12v52h52a12 12 0 0 1 12 12zm216 76a40 40 0 1 1 40-40 40 40 0 0 1-40 40zm64-96a40 40 0 1 1 40-40 40 40 0 0 1-40 40z"}}]})(props);
};
function FaGasPump (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M336 448H16c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h320c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16zm157.2-340.7l-81-81c-6.2-6.2-16.4-6.2-22.6 0l-11.3 11.3c-6.2 6.2-6.2 16.4 0 22.6L416 97.9V160c0 28.1 20.9 51.3 48 55.2V376c0 13.2-10.8 24-24 24s-24-10.8-24-24v-32c0-48.6-39.4-88-88-88h-8V64c0-35.3-28.7-64-64-64H96C60.7 0 32 28.7 32 64v352h288V304h8c22.1 0 40 17.9 40 40v27.8c0 37.7 27 72 64.5 75.9 43 4.3 79.5-29.5 79.5-71.7V152.6c0-17-6.8-33.3-18.8-45.3zM256 192H96V64h160v128z"}}]})(props);
};
function FaGavel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M504.971 199.362l-22.627-22.627c-9.373-9.373-24.569-9.373-33.941 0l-5.657 5.657L329.608 69.255l5.657-5.657c9.373-9.373 9.373-24.569 0-33.941L312.638 7.029c-9.373-9.373-24.569-9.373-33.941 0L154.246 131.48c-9.373 9.373-9.373 24.569 0 33.941l22.627 22.627c9.373 9.373 24.569 9.373 33.941 0l5.657-5.657 39.598 39.598-81.04 81.04-5.657-5.657c-12.497-12.497-32.758-12.497-45.255 0L9.373 412.118c-12.497 12.497-12.497 32.758 0 45.255l45.255 45.255c12.497 12.497 32.758 12.497 45.255 0l114.745-114.745c12.497-12.497 12.497-32.758 0-45.255l-5.657-5.657 81.04-81.04 39.598 39.598-5.657 5.657c-9.373 9.373-9.373 24.569 0 33.941l22.627 22.627c9.373 9.373 24.569 9.373 33.941 0l124.451-124.451c9.372-9.372 9.372-24.568 0-33.941z"}}]})(props);
};
function FaGem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M485.5 0L576 160H474.9L405.7 0h79.8zm-128 0l69.2 160H149.3L218.5 0h139zm-267 0h79.8l-69.2 160H0L90.5 0zM0 192h100.7l123 251.7c1.5 3.1-2.7 5.9-5 3.3L0 192zm148.2 0h279.6l-137 318.2c-1 2.4-4.5 2.4-5.5 0L148.2 192zm204.1 251.7l123-251.7H576L357.3 446.9c-2.3 2.7-6.5-.1-5-3.2z"}}]})(props);
};
function FaGenderless (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 288 512"},"child":[{"tag":"path","attr":{"d":"M144 176c44.1 0 80 35.9 80 80s-35.9 80-80 80-80-35.9-80-80 35.9-80 80-80m0-64C64.5 112 0 176.5 0 256s64.5 144 144 144 144-64.5 144-144-64.5-144-144-144z"}}]})(props);
};
function FaGhost (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M186.1.09C81.01 3.24 0 94.92 0 200.05v263.92c0 14.26 17.23 21.39 27.31 11.31l24.92-18.53c6.66-4.95 16-3.99 21.51 2.21l42.95 48.35c6.25 6.25 16.38 6.25 22.63 0l40.72-45.85c6.37-7.17 17.56-7.17 23.92 0l40.72 45.85c6.25 6.25 16.38 6.25 22.63 0l42.95-48.35c5.51-6.2 14.85-7.17 21.51-2.21l24.92 18.53c10.08 10.08 27.31 2.94 27.31-11.31V192C384 84 294.83-3.17 186.1.09zM128 224c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm128 0c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z"}}]})(props);
};
function FaGift (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 448c0 17.7 14.3 32 32 32h160V320H32v128zm256 32h160c17.7 0 32-14.3 32-32V320H288v160zm192-320h-42.1c6.2-12.1 10.1-25.5 10.1-40 0-48.5-39.5-88-88-88-41.6 0-68.5 21.3-103 68.3-34.5-47-61.4-68.3-103-68.3-48.5 0-88 39.5-88 88 0 14.5 3.8 27.9 10.1 40H32c-17.7 0-32 14.3-32 32v80c0 8.8 7.2 16 16 16h480c8.8 0 16-7.2 16-16v-80c0-17.7-14.3-32-32-32zm-326.1 0c-22.1 0-40-17.9-40-40s17.9-40 40-40c19.9 0 34.6 3.3 86.1 80h-86.1zm206.1 0h-86.1c51.4-76.5 65.7-80 86.1-80 22.1 0 40 17.9 40 40s-17.9 40-40 40z"}}]})(props);
};
function FaGifts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M240.6 194.1c1.9-30.8 17.3-61.2 44-79.8C279.4 103.5 268.7 96 256 96h-29.4l30.7-22c7.2-5.1 8.9-15.1 3.7-22.3l-9.3-13c-5.1-7.2-15.1-8.9-22.3-3.7l-32 22.9 11.5-30.6c3.1-8.3-1.1-17.5-9.4-20.6l-15-5.6c-8.3-3.1-17.5 1.1-20.6 9.4l-19.9 53-19.9-53.1C121 2.1 111.8-2.1 103.5 1l-15 5.6C80.2 9.7 76 19 79.2 27.2l11.5 30.6L58.6 35c-7.2-5.1-17.2-3.5-22.3 3.7l-9.3 13c-5.1 7.2-3.5 17.2 3.7 22.3l30.7 22H32c-17.7 0-32 14.3-32 32v352c0 17.7 14.3 32 32 32h168.9c-5.5-9.5-8.9-20.3-8.9-32V256c0-29.9 20.8-55 48.6-61.9zM224 480c0 17.7 14.3 32 32 32h160V384H224v96zm224 32h160c17.7 0 32-14.3 32-32v-96H448v128zm160-288h-20.4c2.6-7.6 4.4-15.5 4.4-23.8 0-35.5-27-72.2-72.1-72.2-48.1 0-75.9 47.7-87.9 75.3-12.1-27.6-39.9-75.3-87.9-75.3-45.1 0-72.1 36.7-72.1 72.2 0 8.3 1.7 16.2 4.4 23.8H256c-17.7 0-32 14.3-32 32v96h192V224h15.3l.7-.2.7.2H448v128h192v-96c0-17.7-14.3-32-32-32zm-272 0c-2.7-1.4-5.1-3-7.2-4.8-7.3-6.4-8.8-13.8-8.8-19 0-9.7 6.4-24.2 24.1-24.2 18.7 0 35.6 27.4 44.5 48H336zm199.2-4.8c-2.1 1.8-4.5 3.4-7.2 4.8h-52.6c8.8-20.3 25.8-48 44.5-48 17.7 0 24.1 14.5 24.1 24.2 0 5.2-1.5 12.6-8.8 19z"}}]})(props);
};
function FaGlassCheers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M639.4 433.6c-8.4-20.4-31.8-30.1-52.2-21.6l-22.1 9.2-38.7-101.9c47.9-35 64.8-100.3 34.5-152.8L474.3 16c-8-13.9-25.1-19.7-40-13.6L320 49.8 205.7 2.4c-14.9-6.2-32-.3-40 13.6L79.1 166.5C48.9 219 65.7 284.3 113.6 319.2L74.9 421.1l-22.1-9.2c-20.4-8.5-43.7 1.2-52.2 21.6-1.7 4.1.2 8.8 4.3 10.5l162.3 67.4c4.1 1.7 8.7-.2 10.4-4.3 8.4-20.4-1.2-43.8-21.6-52.3l-22.1-9.2L173.3 342c4.4.5 8.8 1.3 13.1 1.3 51.7 0 99.4-33.1 113.4-85.3l20.2-75.4 20.2 75.4c14 52.2 61.7 85.3 113.4 85.3 4.3 0 8.7-.8 13.1-1.3L506 445.6l-22.1 9.2c-20.4 8.5-30.1 31.9-21.6 52.3 1.7 4.1 6.4 6 10.4 4.3L635.1 444c4-1.7 6-6.3 4.3-10.4zM275.9 162.1l-112.1-46.5 36.5-63.4 94.5 39.2-18.9 70.7zm88.2 0l-18.9-70.7 94.5-39.2 36.5 63.4-112.1 46.5z"}}]})(props);
};
function FaGlassMartiniAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M502.05 57.6C523.3 36.34 508.25 0 478.2 0H33.8C3.75 0-11.3 36.34 9.95 57.6L224 271.64V464h-56c-22.09 0-40 17.91-40 40 0 4.42 3.58 8 8 8h240c4.42 0 8-3.58 8-8 0-22.09-17.91-40-40-40h-56V271.64L502.05 57.6zM443.77 48l-48 48H116.24l-48-48h375.53z"}}]})(props);
};
function FaGlassMartini (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M502.05 57.6C523.3 36.34 508.25 0 478.2 0H33.8C3.75 0-11.3 36.34 9.95 57.6L224 271.64V464h-56c-22.09 0-40 17.91-40 40 0 4.42 3.58 8 8 8h240c4.42 0 8-3.58 8-8 0-22.09-17.91-40-40-40h-56V271.64L502.05 57.6z"}}]})(props);
};
function FaGlassWhiskey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 32H32C12.5 32-2.4 49.2.3 68.5l56 356.5c4.5 31.5 31.5 54.9 63.4 54.9h273c31.8 0 58.9-23.4 63.4-54.9l55.6-356.5C514.4 49.2 499.5 32 480 32zm-37.4 64l-30 192h-313L69.4 96h373.2z"}}]})(props);
};
function FaGlasses (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M574.1 280.37L528.75 98.66c-5.91-23.7-21.59-44.05-43-55.81-21.44-11.73-46.97-14.11-70.19-6.33l-15.25 5.08c-8.39 2.79-12.92 11.86-10.12 20.24l5.06 15.18c2.79 8.38 11.85 12.91 20.23 10.12l13.18-4.39c10.87-3.62 23-3.57 33.16 1.73 10.29 5.37 17.57 14.56 20.37 25.82l38.46 153.82c-22.19-6.81-49.79-12.46-81.2-12.46-34.77 0-73.98 7.02-114.85 26.74h-73.18c-40.87-19.74-80.08-26.75-114.86-26.75-31.42 0-59.02 5.65-81.21 12.46l38.46-153.83c2.79-11.25 10.09-20.45 20.38-25.81 10.16-5.3 22.28-5.35 33.15-1.73l13.17 4.39c8.38 2.79 17.44-1.74 20.23-10.12l5.06-15.18c2.8-8.38-1.73-17.45-10.12-20.24l-15.25-5.08c-23.22-7.78-48.75-5.41-70.19 6.33-21.41 11.77-37.09 32.11-43 55.8L1.9 280.37A64.218 64.218 0 0 0 0 295.86v70.25C0 429.01 51.58 480 115.2 480h37.12c60.28 0 110.37-45.94 114.88-105.37l2.93-38.63h35.75l2.93 38.63C313.31 434.06 363.4 480 423.68 480h37.12c63.62 0 115.2-50.99 115.2-113.88v-70.25c0-5.23-.64-10.43-1.9-15.5zm-370.72 89.42c-1.97 25.91-24.4 46.21-51.06 46.21H115.2C86.97 416 64 393.62 64 366.11v-37.54c18.12-6.49 43.42-12.92 72.58-12.92 23.86 0 47.26 4.33 69.93 12.92l-3.13 41.22zM512 366.12c0 27.51-22.97 49.88-51.2 49.88h-37.12c-26.67 0-49.1-20.3-51.06-46.21l-3.13-41.22c22.67-8.59 46.08-12.92 69.95-12.92 29.12 0 54.43 6.44 72.55 12.93v37.54z"}}]})(props);
};
function FaGlobeAfrica (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111.03 8 0 119.03 0 256s111.03 248 248 248 248-111.03 248-248S384.97 8 248 8zm160 215.5v6.93c0 5.87-3.32 11.24-8.57 13.86l-15.39 7.7a15.485 15.485 0 0 1-15.53-.97l-18.21-12.14a15.52 15.52 0 0 0-13.5-1.81l-2.65.88c-9.7 3.23-13.66 14.79-7.99 23.3l13.24 19.86c2.87 4.31 7.71 6.9 12.89 6.9h8.21c8.56 0 15.5 6.94 15.5 15.5v11.34c0 3.35-1.09 6.62-3.1 9.3l-18.74 24.98c-1.42 1.9-2.39 4.1-2.83 6.43l-4.3 22.83c-.62 3.29-2.29 6.29-4.76 8.56a159.608 159.608 0 0 0-25 29.16l-13.03 19.55a27.756 27.756 0 0 1-23.09 12.36c-10.51 0-20.12-5.94-24.82-15.34a78.902 78.902 0 0 1-8.33-35.29V367.5c0-8.56-6.94-15.5-15.5-15.5h-25.88c-14.49 0-28.38-5.76-38.63-16a54.659 54.659 0 0 1-16-38.63v-14.06c0-17.19 8.1-33.38 21.85-43.7l27.58-20.69a54.663 54.663 0 0 1 32.78-10.93h.89c8.48 0 16.85 1.97 24.43 5.77l14.72 7.36c3.68 1.84 7.93 2.14 11.83.84l47.31-15.77c6.33-2.11 10.6-8.03 10.6-14.7 0-8.56-6.94-15.5-15.5-15.5h-10.09c-4.11 0-8.05-1.63-10.96-4.54l-6.92-6.92a15.493 15.493 0 0 0-10.96-4.54H199.5c-8.56 0-15.5-6.94-15.5-15.5v-4.4c0-7.11 4.84-13.31 11.74-15.04l14.45-3.61c3.74-.94 7-3.23 9.14-6.44l8.08-12.11c2.87-4.31 7.71-6.9 12.89-6.9h24.21c8.56 0 15.5-6.94 15.5-15.5v-21.7C359.23 71.63 422.86 131.02 441.93 208H423.5c-8.56 0-15.5 6.94-15.5 15.5z"}}]})(props);
};
function FaGlobeAmericas (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111.03 8 0 119.03 0 256s111.03 248 248 248 248-111.03 248-248S384.97 8 248 8zm82.29 357.6c-3.9 3.88-7.99 7.95-11.31 11.28-2.99 3-5.1 6.7-6.17 10.71-1.51 5.66-2.73 11.38-4.77 16.87l-17.39 46.85c-13.76 3-28 4.69-42.65 4.69v-27.38c1.69-12.62-7.64-36.26-22.63-51.25-6-6-9.37-14.14-9.37-22.63v-32.01c0-11.64-6.27-22.34-16.46-27.97-14.37-7.95-34.81-19.06-48.81-26.11-11.48-5.78-22.1-13.14-31.65-21.75l-.8-.72a114.792 114.792 0 0 1-18.06-20.74c-9.38-13.77-24.66-36.42-34.59-51.14 20.47-45.5 57.36-82.04 103.2-101.89l24.01 12.01C203.48 89.74 216 82.01 216 70.11v-11.3c7.99-1.29 16.12-2.11 24.39-2.42l28.3 28.3c6.25 6.25 6.25 16.38 0 22.63L264 112l-10.34 10.34c-3.12 3.12-3.12 8.19 0 11.31l4.69 4.69c3.12 3.12 3.12 8.19 0 11.31l-8 8a8.008 8.008 0 0 1-5.66 2.34h-8.99c-2.08 0-4.08.81-5.58 2.27l-9.92 9.65a8.008 8.008 0 0 0-1.58 9.31l15.59 31.19c2.66 5.32-1.21 11.58-7.15 11.58h-5.64c-1.93 0-3.79-.7-5.24-1.96l-9.28-8.06a16.017 16.017 0 0 0-15.55-3.1l-31.17 10.39a11.95 11.95 0 0 0-8.17 11.34c0 4.53 2.56 8.66 6.61 10.69l11.08 5.54c9.41 4.71 19.79 7.16 30.31 7.16s22.59 27.29 32 32h66.75c8.49 0 16.62 3.37 22.63 9.37l13.69 13.69a30.503 30.503 0 0 1 8.93 21.57 46.536 46.536 0 0 1-13.72 32.98zM417 274.25c-5.79-1.45-10.84-5-14.15-9.97l-17.98-26.97a23.97 23.97 0 0 1 0-26.62l19.59-29.38c2.32-3.47 5.5-6.29 9.24-8.15l12.98-6.49C440.2 193.59 448 223.87 448 256c0 8.67-.74 17.16-1.82 25.54L417 274.25z"}}]})(props);
};
function FaGlobeAsia (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111.03 8 0 119.03 0 256s111.03 248 248 248 248-111.03 248-248S384.97 8 248 8zm-11.34 240.23c-2.89 4.82-8.1 7.77-13.72 7.77h-.31c-4.24 0-8.31 1.69-11.31 4.69l-5.66 5.66c-3.12 3.12-3.12 8.19 0 11.31l5.66 5.66c3 3 4.69 7.07 4.69 11.31V304c0 8.84-7.16 16-16 16h-6.11c-6.06 0-11.6-3.42-14.31-8.85l-22.62-45.23c-2.44-4.88-8.95-5.94-12.81-2.08l-19.47 19.46c-3 3-7.07 4.69-11.31 4.69H50.81C49.12 277.55 48 266.92 48 256c0-110.28 89.72-200 200-200 21.51 0 42.2 3.51 61.63 9.82l-50.16 38.53c-5.11 3.41-4.63 11.06.86 13.81l10.83 5.41c5.42 2.71 8.84 8.25 8.84 14.31V216c0 4.42-3.58 8-8 8h-3.06c-3.03 0-5.8-1.71-7.15-4.42-1.56-3.12-5.96-3.29-7.76-.3l-17.37 28.95zM408 358.43c0 4.24-1.69 8.31-4.69 11.31l-9.57 9.57c-3 3-7.07 4.69-11.31 4.69h-15.16c-4.24 0-8.31-1.69-11.31-4.69l-13.01-13.01a26.767 26.767 0 0 0-25.42-7.04l-21.27 5.32c-1.27.32-2.57.48-3.88.48h-10.34c-4.24 0-8.31-1.69-11.31-4.69l-11.91-11.91a8.008 8.008 0 0 1-2.34-5.66v-10.2c0-3.27 1.99-6.21 5.03-7.43l39.34-15.74c1.98-.79 3.86-1.82 5.59-3.05l23.71-16.89a7.978 7.978 0 0 1 4.64-1.48h12.09c3.23 0 6.15 1.94 7.39 4.93l5.35 12.85a4 4 0 0 0 3.69 2.46h3.8c1.78 0 3.35-1.18 3.84-2.88l4.2-14.47c.5-1.71 2.06-2.88 3.84-2.88h6.06c2.21 0 4 1.79 4 4v12.93c0 2.12.84 4.16 2.34 5.66l11.91 11.91c3 3 4.69 7.07 4.69 11.31v24.6z"}}]})(props);
};
function FaGlobeEurope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm200 248c0 22.5-3.9 44.2-10.8 64.4h-20.3c-4.3 0-8.4-1.7-11.4-4.8l-32-32.6c-4.5-4.6-4.5-12.1.1-16.7l12.5-12.5v-8.7c0-3-1.2-5.9-3.3-8l-9.4-9.4c-2.1-2.1-5-3.3-8-3.3h-16c-6.2 0-11.3-5.1-11.3-11.3 0-3 1.2-5.9 3.3-8l9.4-9.4c2.1-2.1 5-3.3 8-3.3h32c6.2 0 11.3-5.1 11.3-11.3v-9.4c0-6.2-5.1-11.3-11.3-11.3h-36.7c-8.8 0-16 7.2-16 16v4.5c0 6.9-4.4 13-10.9 15.2l-31.6 10.5c-3.3 1.1-5.5 4.1-5.5 7.6v2.2c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8s-3.6-8-8-8H247c-3 0-5.8 1.7-7.2 4.4l-9.4 18.7c-2.7 5.4-8.2 8.8-14.3 8.8H194c-8.8 0-16-7.2-16-16V199c0-4.2 1.7-8.3 4.7-11.3l20.1-20.1c4.6-4.6 7.2-10.9 7.2-17.5 0-3.4 2.2-6.5 5.5-7.6l40-13.3c1.7-.6 3.2-1.5 4.4-2.7l26.8-26.8c2.1-2.1 3.3-5 3.3-8 0-6.2-5.1-11.3-11.3-11.3H258l-16 16v8c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8v-20c0-2.5 1.2-4.9 3.2-6.4l28.9-21.7c1.9-.1 3.8-.3 5.7-.3C358.3 56 448 145.7 448 256zM130.1 149.1c0-3 1.2-5.9 3.3-8l25.4-25.4c2.1-2.1 5-3.3 8-3.3 6.2 0 11.3 5.1 11.3 11.3v16c0 3-1.2 5.9-3.3 8l-9.4 9.4c-2.1 2.1-5 3.3-8 3.3h-16c-6.2 0-11.3-5.1-11.3-11.3zm128 306.4v-7.1c0-8.8-7.2-16-16-16h-20.2c-10.8 0-26.7-5.3-35.4-11.8l-22.2-16.7c-11.5-8.6-18.2-22.1-18.2-36.4v-23.9c0-16 8.4-30.8 22.1-39l42.9-25.7c7.1-4.2 15.2-6.5 23.4-6.5h31.2c10.9 0 21.4 3.9 29.6 10.9l43.2 37.1h18.3c8.5 0 16.6 3.4 22.6 9.4l17.3 17.3c3.4 3.4 8.1 5.3 12.9 5.3H423c-32.4 58.9-93.8 99.5-164.9 103.1z"}}]})(props);
};
function FaGlobe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M336.5 160C322 70.7 287.8 8 248 8s-74 62.7-88.5 152h177zM152 256c0 22.2 1.2 43.5 3.3 64h185.3c2.1-20.5 3.3-41.8 3.3-64s-1.2-43.5-3.3-64H155.3c-2.1 20.5-3.3 41.8-3.3 64zm324.7-96c-28.6-67.9-86.5-120.4-158-141.6 24.4 33.8 41.2 84.7 50 141.6h108zM177.2 18.4C105.8 39.6 47.8 92.1 19.3 160h108c8.7-56.9 25.5-107.8 49.9-141.6zM487.4 192H372.7c2.1 21 3.3 42.5 3.3 64s-1.2 43-3.3 64h114.6c5.5-20.5 8.6-41.8 8.6-64s-3.1-43.5-8.5-64zM120 256c0-21.5 1.2-43 3.3-64H8.6C3.2 212.5 0 233.8 0 256s3.2 43.5 8.6 64h114.6c-2-21-3.2-42.5-3.2-64zm39.5 96c14.5 89.3 48.7 152 88.5 152s74-62.7 88.5-152h-177zm159.3 141.6c71.4-21.2 129.4-73.7 158-141.6h-108c-8.8 56.9-25.6 107.8-50 141.6zM19.3 352c28.6 67.9 86.5 120.4 158 141.6-24.4-33.8-41.2-84.7-50-141.6h-108z"}}]})(props);
};
function FaGolfBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 416 512"},"child":[{"tag":"path","attr":{"d":"M96 416h224c0 17.7-14.3 32-32 32h-16c-17.7 0-32 14.3-32 32v20c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-20c0-17.7-14.3-32-32-32h-16c-17.7 0-32-14.3-32-32zm320-208c0 74.2-39 139.2-97.5 176h-221C39 347.2 0 282.2 0 208 0 93.1 93.1 0 208 0s208 93.1 208 208zm-180.1 43.9c18.3 0 33.1-14.8 33.1-33.1 0-14.4-9.3-26.3-22.1-30.9 9.6 26.8-15.6 51.3-41.9 41.9 4.6 12.8 16.5 22.1 30.9 22.1zm49.1 46.9c0-14.4-9.3-26.3-22.1-30.9 9.6 26.8-15.6 51.3-41.9 41.9 4.6 12.8 16.5 22.1 30.9 22.1 18.3 0 33.1-14.9 33.1-33.1zm64-64c0-14.4-9.3-26.3-22.1-30.9 9.6 26.8-15.6 51.3-41.9 41.9 4.6 12.8 16.5 22.1 30.9 22.1 18.3 0 33.1-14.9 33.1-33.1z"}}]})(props);
};
function FaGopuram (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496 352h-16V240c0-8.8-7.2-16-16-16h-16v-80c0-8.8-7.2-16-16-16h-16V16c0-8.8-7.2-16-16-16s-16 7.2-16 16v16h-64V16c0-8.8-7.2-16-16-16s-16 7.2-16 16v16h-64V16c0-8.8-7.2-16-16-16s-16 7.2-16 16v16h-64V16c0-8.8-7.2-16-16-16S96 7.2 96 16v112H80c-8.8 0-16 7.2-16 16v80H48c-8.8 0-16 7.2-16 16v112H16c-8.8 0-16 7.2-16 16v128c0 8.8 7.2 16 16 16h80V352h32V224h32v-96h32v96h-32v128h-32v160h80v-80c0-8.8 7.2-16 16-16h64c8.8 0 16 7.2 16 16v80h80V352h-32V224h-32v-96h32v96h32v128h32v160h80c8.8 0 16-7.2 16-16V368c0-8.8-7.2-16-16-16zM232 176c0-8.8 7.2-16 16-16h16c8.8 0 16 7.2 16 16v48h-48zm56 176h-64v-64c0-8.8 7.2-16 16-16h32c8.8 0 16 7.2 16 16z"}}]})(props);
};
function FaGraduationCap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M622.34 153.2L343.4 67.5c-15.2-4.67-31.6-4.67-46.79 0L17.66 153.2c-23.54 7.23-23.54 38.36 0 45.59l48.63 14.94c-10.67 13.19-17.23 29.28-17.88 46.9C38.78 266.15 32 276.11 32 288c0 10.78 5.68 19.85 13.86 25.65L20.33 428.53C18.11 438.52 25.71 448 35.94 448h56.11c10.24 0 17.84-9.48 15.62-19.47L82.14 313.65C90.32 307.85 96 298.78 96 288c0-11.57-6.47-21.25-15.66-26.87.76-15.02 8.44-28.3 20.69-36.72L296.6 284.5c9.06 2.78 26.44 6.25 46.79 0l278.95-85.7c23.55-7.24 23.55-38.36 0-45.6zM352.79 315.09c-28.53 8.76-52.84 3.92-65.59 0l-145.02-44.55L128 384c0 35.35 85.96 64 192 64s192-28.65 192-64l-14.18-113.47-145.03 44.56z"}}]})(props);
};
function FaGreaterThanEqual (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M55.22 107.69l175.56 68.09-175.44 68.05c-18.39 6.03-27.88 24.39-21.2 41l12.09 30.08c6.68 16.61 26.99 25.19 45.38 19.15L393.02 214.2c13.77-4.52 22.98-16.61 22.98-30.17v-15.96c0-13.56-9.21-25.65-22.98-30.17L91.3 17.92c-18.29-6-38.51 2.53-45.15 19.06L34.12 66.9c-6.64 16.53 2.81 34.79 21.1 40.79zM424 400H24c-13.25 0-24 10.74-24 24v48c0 13.25 10.75 24 24 24h400c13.25 0 24-10.75 24-24v-48c0-13.26-10.75-24-24-24z"}}]})(props);
};
function FaGreaterThan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M365.52 209.85L59.22 67.01c-16.06-7.49-35.15-.54-42.64 15.52L3.01 111.61c-7.49 16.06-.54 35.15 15.52 42.64L236.96 256.1 18.49 357.99C2.47 365.46-4.46 384.5 3.01 400.52l13.52 29C24 445.54 43.04 452.47 59.06 445l306.47-142.91a32.003 32.003 0 0 0 18.48-29v-34.23c-.01-12.45-7.21-23.76-18.49-29.01z"}}]})(props);
};
function FaGrimace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zM144 400h-8c-17.7 0-32-14.3-32-32v-8h40v40zm0-56h-40v-8c0-17.7 14.3-32 32-32h8v40zm-8-136c0-17.7 14.3-32 32-32s32 14.3 32 32-14.3 32-32 32-32-14.3-32-32zm72 192h-48v-40h48v40zm0-56h-48v-40h48v40zm64 56h-48v-40h48v40zm0-56h-48v-40h48v40zm64 56h-48v-40h48v40zm0-56h-48v-40h48v40zm-8-104c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm64 128c0 17.7-14.3 32-32 32h-8v-40h40v8zm0-24h-40v-40h8c17.7 0 32 14.3 32 32v8z"}}]})(props);
};
function FaGrinAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm63.7 128.7c7.6-11.4 24.7-11.7 32.7 0 12.4 18.4 15.1 36.9 15.7 55.3-.5 18.4-3.3 36.9-15.7 55.3-7.6 11.4-24.7 11.7-32.7 0-12.4-18.4-15.1-36.9-15.7-55.3.5-18.4 3.3-36.9 15.7-55.3zm-160 0c7.6-11.4 24.7-11.7 32.7 0 12.4 18.4 15.1 36.9 15.7 55.3-.5 18.4-3.3 36.9-15.7 55.3-7.6 11.4-24.7 11.7-32.7 0-12.4-18.4-15.1-36.9-15.7-55.3.5-18.4 3.3-36.9 15.7-55.3zM248 432c-60.6 0-134.5-38.3-143.8-93.3-2-11.8 9.3-21.6 20.7-17.9C155.1 330.5 200 336 248 336s92.9-5.5 123.1-15.2c11.4-3.7 22.6 6.1 20.7 17.9-9.3 55-83.2 93.3-143.8 93.3z"}}]})(props);
};
function FaGrinBeamSweat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 504 512"},"child":[{"tag":"path","attr":{"d":"M456 128c26.5 0 48-21 48-47 0-20-28.5-60.4-41.6-77.8-3.2-4.3-9.6-4.3-12.8 0C436.5 20.6 408 61 408 81c0 26 21.5 47 48 47zm0 32c-44.1 0-80-35.4-80-79 0-4.4.3-14.2 8.1-32.2C345 23.1 298.3 8 248 8 111 8 0 119 0 256s111 248 248 248 248-111 248-248c0-35.1-7.4-68.4-20.5-98.6-6.3 1.5-12.7 2.6-19.5 2.6zm-128-8c23.8 0 52.7 29.3 56 71.4.7 8.6-10.8 12-14.9 4.5l-9.5-17c-7.7-13.7-19.2-21.6-31.5-21.6s-23.8 7.9-31.5 21.6l-9.5 17c-4.1 7.4-15.6 4-14.9-4.5 3.1-42.1 32-71.4 55.8-71.4zm-160 0c23.8 0 52.7 29.3 56 71.4.7 8.6-10.8 12-14.9 4.5l-9.5-17c-7.7-13.7-19.2-21.6-31.5-21.6s-23.8 7.9-31.5 21.6l-9.5 17c-4.2 7.4-15.6 4-14.9-4.5 3.1-42.1 32-71.4 55.8-71.4zm80 280c-60.6 0-134.5-38.3-143.8-93.3-2-11.8 9.3-21.6 20.7-17.9C155.1 330.5 200 336 248 336s92.9-5.5 123.1-15.2c11.5-3.7 22.6 6.2 20.7 17.9-9.3 55-83.2 93.3-143.8 93.3z"}}]})(props);
};
function FaGrinBeam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm80 144c23.8 0 52.7 29.3 56 71.4.7 8.6-10.8 11.9-14.9 4.5l-9.5-17c-7.7-13.7-19.2-21.6-31.5-21.6s-23.8 7.9-31.5 21.6l-9.5 17c-4.1 7.3-15.6 4-14.9-4.5 3.1-42.1 32-71.4 55.8-71.4zm-160 0c23.8 0 52.7 29.3 56 71.4.7 8.6-10.8 11.9-14.9 4.5l-9.5-17c-7.7-13.7-19.2-21.6-31.5-21.6s-23.8 7.9-31.5 21.6l-9.5 17c-4.2 7.4-15.6 4-14.9-4.5 3.1-42.1 32-71.4 55.8-71.4zm80 280c-60.6 0-134.5-38.3-143.8-93.3-2-11.9 9.4-21.6 20.7-17.9C155.1 330.5 200 336 248 336s92.9-5.5 123.1-15.2c11.4-3.7 22.6 6.1 20.7 17.9-9.3 55-83.2 93.3-143.8 93.3z"}}]})(props);
};
function FaGrinHearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zM90.4 183.6c6.7-17.6 26.7-26.7 44.9-21.9l7.1 1.9 2-7.1c5-18.1 22.8-30.9 41.5-27.9 21.4 3.4 34.4 24.2 28.8 44.5L195.3 243c-1.2 4.5-5.9 7.2-10.5 6l-70.2-18.2c-20.4-5.4-31.9-27-24.2-47.2zM248 432c-60.6 0-134.5-38.3-143.8-93.3-2-11.8 9.2-21.5 20.7-17.9C155.1 330.5 200 336 248 336s92.9-5.5 123.1-15.2c11.4-3.6 22.6 6.1 20.7 17.9-9.3 55-83.2 93.3-143.8 93.3zm133.4-201.3l-70.2 18.2c-4.5 1.2-9.2-1.5-10.5-6L281.3 173c-5.6-20.3 7.4-41.1 28.8-44.5 18.6-3 36.4 9.8 41.5 27.9l2 7.1 7.1-1.9c18.2-4.7 38.2 4.3 44.9 21.9 7.7 20.3-3.8 41.9-24.2 47.2z"}}]})(props);
};
function FaGrinSquintTears (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M409.6 111.9c22.6-3.2 73.5-12 88.3-26.8 19.2-19.2 18.9-50.6-.7-70.2S446-5 426.9 14.2c-14.8 14.8-23.5 65.7-26.8 88.3-.8 5.5 3.9 10.2 9.5 9.4zM102.4 400.1c-22.6 3.2-73.5 12-88.3 26.8-19.1 19.1-18.8 50.6.8 70.2s51 19.9 70.2.7c14.8-14.8 23.5-65.7 26.8-88.3.8-5.5-3.9-10.2-9.5-9.4zm311.7-256.5c-33 3.9-48.6-25.1-45.7-45.7 3.4-24 7.4-42.1 11.5-56.5C285.1-13.4 161.8-.5 80.6 80.6-.5 161.7-13.4 285 41.4 379.9c14.4-4.1 32.4-8 56.5-11.5 33.2-3.9 48.6 25.2 45.7 45.7-3.4 24-7.4 42.1-11.5 56.5 94.8 54.8 218.1 41.9 299.3-39.2s94-204.4 39.2-299.3c-14.4 4.1-32.5 8-56.5 11.5zM255.7 106c3.3-13.2 22.4-11.5 23.6 1.8l4.8 52.3 52.3 4.8c13.4 1.2 14.9 20.3 1.8 23.6l-90.5 22.6c-8.9 2.2-16.7-5.9-14.5-14.5l22.5-90.6zm-90.9 230.3L160 284l-52.3-4.8c-13.4-1.2-14.9-20.3-1.8-23.6l90.5-22.6c8.8-2.2 16.7 5.8 14.5 14.5L188.3 338c-3.1 13.2-22.2 11.7-23.5-1.7zm215.7 44.2c-29.3 29.3-75.7 50.4-116.7 50.4-18.9 0-36.6-4.5-51-14.7-9.8-6.9-8.7-21.8 2-27.2 28.3-14.6 63.9-42.4 97.8-76.3s61.7-69.6 76.3-97.8c5.4-10.5 20.2-11.9 27.3-2 32.3 45.3 7.1 124.7-35.7 167.6z"}}]})(props);
};
function FaGrinSquint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm33.8 189.7l80-48c11.6-6.9 24 7.7 15.4 18L343.6 208l33.6 40.3c8.7 10.4-3.9 24.8-15.4 18l-80-48c-7.7-4.7-7.7-15.9 0-20.6zm-163-30c-8.6-10.3 3.8-24.9 15.4-18l80 48c7.8 4.7 7.8 15.9 0 20.6l-80 48c-11.5 6.8-24-7.6-15.4-18l33.6-40.3-33.6-40.3zM248 432c-60.6 0-134.5-38.3-143.8-93.3-2-11.9 9.4-21.6 20.7-17.9C155.1 330.5 200 336 248 336s92.9-5.5 123.1-15.2c11.5-3.7 22.6 6.2 20.7 17.9-9.3 55-83.2 93.3-143.8 93.3z"}}]})(props);
};
function FaGrinStars (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zM94.6 168.9l34.9-5 15.5-31.6c2.9-5.8 11-5.8 13.9 0l15.5 31.6 34.9 5c6.2 1 8.9 8.6 4.3 13.2l-25.4 24.6 6 34.9c1 6.2-5.3 11-11 7.9L152 233.3l-31.3 16.3c-5.7 3.1-12-1.7-11-7.9l6-34.9-25.4-24.6c-4.6-4.7-1.9-12.3 4.3-13.3zM248 432c-60.6 0-134.5-38.3-143.8-93.3-2-11.8 9.3-21.5 20.7-17.9C155.1 330.5 200 336 248 336s92.9-5.5 123.1-15.2c11.5-3.7 22.6 6.1 20.7 17.9-9.3 55-83.2 93.3-143.8 93.3zm157.7-249.9l-25.4 24.6 6 34.9c1 6.2-5.3 11-11 7.9L344 233.3l-31.3 16.3c-5.7 3.1-12-1.7-11-7.9l6-34.9-25.4-24.6c-4.5-4.6-1.9-12.2 4.3-13.2l34.9-5 15.5-31.6c2.9-5.8 11-5.8 13.9 0l15.5 31.6 34.9 5c6.3.9 9 8.5 4.4 13.1z"}}]})(props);
};
function FaGrinTears (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M102.4 256.1c-22.6 3.2-73.5 12-88.3 26.8-19.1 19.1-18.8 50.6.8 70.2s51 19.9 70.2.7c14.8-14.8 23.5-65.7 26.8-88.3.8-5.5-3.9-10.2-9.5-9.4zm523.4 26.8c-14.8-14.8-65.7-23.5-88.3-26.8-5.5-.8-10.3 3.9-9.5 9.5 3.2 22.6 12 73.5 26.8 88.3 19.2 19.2 50.6 18.9 70.2-.7s20-51.2.8-70.3zm-129.4-12.8c-3.8-26.6 19.1-49.5 45.7-45.7 8.9 1.3 16.8 2.7 24.3 4.1C552.7 104.5 447.7 8 320 8S87.3 104.5 73.6 228.5c7.5-1.4 15.4-2.8 24.3-4.1 33.2-3.9 48.6 25.3 45.7 45.7-11.8 82.3-29.9 100.4-35.8 106.4-.9.9-2 1.6-3 2.5 42.7 74.6 123 125 215.2 125s172.5-50.4 215.2-125.1c-1-.9-2.1-1.5-3-2.5-5.9-5.9-24-24-35.8-106.3zM400 152c23.8 0 52.7 29.3 56 71.4.7 8.6-10.8 12-14.9 4.5l-9.5-17c-7.7-13.7-19.2-21.6-31.5-21.6s-23.8 7.9-31.5 21.6l-9.5 17c-4.2 7.4-15.6 4-14.9-4.5 3.1-42.1 32-71.4 55.8-71.4zm-160 0c23.8 0 52.7 29.3 56 71.4.7 8.6-10.8 12-14.9 4.5l-9.5-17c-7.7-13.7-19.2-21.6-31.5-21.6s-23.8 7.9-31.5 21.6l-9.5 17c-4.2 7.4-15.6 4-14.9-4.5 3.1-42.1 32-71.4 55.8-71.4zm80 280c-60.6 0-134.5-38.3-143.8-93.3-2-11.7 9.2-21.6 20.7-17.9C227.1 330.5 272 336 320 336s92.9-5.5 123.1-15.2c11.4-3.7 22.6 6.1 20.7 17.9-9.3 55-83.2 93.3-143.8 93.3z"}}]})(props);
};
function FaGrinTongueSquint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M293.1 374.6c-14.4-6.5-31.1 2.2-34.6 17.6l-1.8 7.8c-2.1 9.2-15.2 9.2-17.3 0l-1.8-7.8c-3.5-15.4-20.2-24.1-34.6-17.6-.9.4.3-.2-18.9 9.4v63c0 35.2 28 64.5 63.1 64.9 35.7.5 64.9-28.4 64.9-64v-64c-19.5-9.6-18.2-8.9-19-9.3zM248 8C111 8 0 119 0 256c0 106.3 67 196.7 161 232-5.6-12.2-9-25.7-9-40v-45.5c-24.7-16.2-43.5-38.1-47.8-63.8-2-11.8 9.2-21.5 20.7-17.9C155.1 330.5 200 336 248 336s92.9-5.5 123.1-15.2c11.4-3.7 22.6 6.1 20.7 17.9-4.3 25.7-23.1 47.6-47.8 63.8V448c0 14.3-3.4 27.8-9 40 94-35.3 161-125.7 161-232C496 119 385 8 248 8zm-33.8 210.3l-80 48c-11.5 6.8-24-7.6-15.4-18l33.6-40.3-33.6-40.3c-8.6-10.3 3.8-24.9 15.4-18l80 48c7.7 4.7 7.7 15.9 0 20.6zm163 30c8.7 10.4-3.9 24.8-15.4 18l-80-48c-7.8-4.7-7.8-15.9 0-20.6l80-48c11.7-6.9 23.9 7.7 15.4 18L343.6 208l33.6 40.3z"}}]})(props);
};
function FaGrinTongueWink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M344 184c-13.3 0-24 10.7-24 24s10.7 24 24 24 24-10.7 24-24-10.7-24-24-24zM248 8C111 8 0 119 0 256c0 106.3 67 196.7 161 232-5.6-12.2-9-25.7-9-40v-45.5c-24.7-16.2-43.5-38.1-47.8-63.8-2-11.8 9.3-21.5 20.7-17.9C155.1 330.5 200 336 248 336s92.9-5.5 123.1-15.2c11.5-3.7 22.6 6.1 20.7 17.9-4.3 25.7-23.1 47.6-47.8 63.8V448c0 14.3-3.4 27.8-9 40 94-35.3 161-125.7 161-232C496 119 385 8 248 8zm-56 225l-9.5-8.5c-14.8-13.2-46.2-13.2-61 0L112 233c-8.5 7.4-21.6.3-19.8-10.8 4-25.2 34.2-42.1 59.9-42.1S208 197 212 222.2c1.6 11.1-11.6 18.2-20 10.8zm152 39c-35.3 0-64-28.7-64-64s28.7-64 64-64 64 28.7 64 64-28.7 64-64 64zm-50.9 102.6c-14.4-6.5-31.1 2.2-34.6 17.6l-1.8 7.8c-2.1 9.2-15.2 9.2-17.3 0l-1.8-7.8c-3.5-15.4-20.2-24.1-34.6-17.6-.9.4.3-.2-18.9 9.4v63c0 35.2 28 64.5 63.1 64.9 35.7.5 64.9-28.4 64.9-64v-64c-19.5-9.6-18.2-8.9-19-9.3z"}}]})(props);
};
function FaGrinTongue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256c0 106.3 67 196.7 161 232-5.6-12.2-9-25.7-9-40v-45.5c-24.7-16.2-43.5-38.1-47.8-63.8-2-11.8 9.3-21.5 20.7-17.9C155.1 330.5 200 336 248 336s92.9-5.5 123.1-15.2c11.4-3.6 22.6 6.1 20.7 17.9-4.3 25.7-23.1 47.6-47.8 63.8V448c0 14.3-3.4 27.8-9 40 94-35.3 161-125.7 161-232C496 119 385 8 248 8zm-80 232c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm160 0c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm-34.9 134.6c-14.4-6.5-31.1 2.2-34.6 17.6l-1.8 7.8c-2.1 9.2-15.2 9.2-17.3 0l-1.8-7.8c-3.5-15.4-20.2-24.1-34.6-17.6-.9.4.3-.2-18.9 9.4v63c0 35.2 28 64.5 63.1 64.9 35.7.5 64.9-28.4 64.9-64v-64c-19.5-9.6-18.2-8.9-19-9.3z"}}]})(props);
};
function FaGrinWink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M0 256c0 137 111 248 248 248s248-111 248-248S385 8 248 8 0 119 0 256zm200-48c0 17.7-14.3 32-32 32s-32-14.3-32-32 14.3-32 32-32 32 14.3 32 32zm168 25l-9.5-8.5c-14.8-13.2-46.2-13.2-61 0L288 233c-8.3 7.4-21.6.4-19.8-10.8 4-25.2 34.2-42.1 59.9-42.1S384 197 388 222.2c1.6 11-11.5 18.2-20 10.8zm-243.1 87.8C155.1 330.5 200 336 248 336s92.9-5.5 123.1-15.2c11.3-3.7 22.6 6 20.7 17.9-9.2 55-83.2 93.3-143.8 93.3s-134.5-38.3-143.8-93.3c-2-11.9 9.3-21.6 20.7-17.9z"}}]})(props);
};
function FaGrin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm80 168c17.7 0 32 14.3 32 32s-14.3 32-32 32-32-14.3-32-32 14.3-32 32-32zm-160 0c17.7 0 32 14.3 32 32s-14.3 32-32 32-32-14.3-32-32 14.3-32 32-32zm80 256c-60.6 0-134.5-38.3-143.8-93.3-2-11.8 9.3-21.6 20.7-17.9C155.1 330.5 200 336 248 336s92.9-5.5 123.1-15.2c11.3-3.7 22.6 6.1 20.7 17.9-9.3 55-83.2 93.3-143.8 93.3z"}}]})(props);
};
function FaGripHorizontal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M96 288H32c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-64c0-17.67-14.33-32-32-32zm160 0h-64c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-64c0-17.67-14.33-32-32-32zm160 0h-64c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-64c0-17.67-14.33-32-32-32zM96 96H32c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-64c0-17.67-14.33-32-32-32zm160 0h-64c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-64c0-17.67-14.33-32-32-32zm160 0h-64c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-64c0-17.67-14.33-32-32-32z"}}]})(props);
};
function FaGripLinesVertical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M96 496V16c0-8.8-7.2-16-16-16H48c-8.8 0-16 7.2-16 16v480c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16zm128 0V16c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v480c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16z"}}]})(props);
};
function FaGripLines (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496 288H16c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h480c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16zm0-128H16c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h480c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16z"}}]})(props);
};
function FaGripVertical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M96 32H32C14.33 32 0 46.33 0 64v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32zm0 160H32c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-64c0-17.67-14.33-32-32-32zm0 160H32c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-64c0-17.67-14.33-32-32-32zM288 32h-64c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32zm0 160h-64c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-64c0-17.67-14.33-32-32-32zm0 160h-64c-17.67 0-32 14.33-32 32v64c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-64c0-17.67-14.33-32-32-32z"}}]})(props);
};
function FaGuitar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M502.63 39L473 9.37a32 32 0 0 0-45.26 0L381.46 55.7a35.14 35.14 0 0 0-8.53 13.79L360.77 106l-76.26 76.26c-12.16-8.76-25.5-15.74-40.1-19.14-33.45-7.78-67-.88-89.88 22a82.45 82.45 0 0 0-20.24 33.47c-6 18.56-23.21 32.69-42.15 34.46-23.7 2.27-45.73 11.45-62.61 28.44C-16.11 327-7.9 409 47.58 464.45S185 528 230.56 482.52c17-16.88 26.16-38.9 28.45-62.71 1.76-18.85 15.89-36.13 34.43-42.14a82.6 82.6 0 0 0 33.48-20.25c22.87-22.88 29.74-56.36 22-89.75-3.39-14.64-10.37-28-19.16-40.2L406 151.23l36.48-12.16a35.14 35.14 0 0 0 13.79-8.53l46.33-46.32a32 32 0 0 0 .03-45.22zM208 352a48 48 0 1 1 48-48 48 48 0 0 1-48 48z"}}]})(props);
};
function FaHSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 80v352c0 26.51-21.49 48-48 48H48c-26.51 0-48-21.49-48-48V80c0-26.51 21.49-48 48-48h352c26.51 0 48 21.49 48 48zm-112 48h-32c-8.837 0-16 7.163-16 16v80H160v-80c0-8.837-7.163-16-16-16h-32c-8.837 0-16 7.163-16 16v224c0 8.837 7.163 16 16 16h32c8.837 0 16-7.163 16-16v-80h128v80c0 8.837 7.163 16 16 16h32c8.837 0 16-7.163 16-16V144c0-8.837-7.163-16-16-16z"}}]})(props);
};
function FaHamburger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 256H48a48 48 0 0 0 0 96h416a48 48 0 0 0 0-96zm16 128H32a16 16 0 0 0-16 16v16a64 64 0 0 0 64 64h352a64 64 0 0 0 64-64v-16a16 16 0 0 0-16-16zM58.64 224h394.72c34.57 0 54.62-43.9 34.82-75.88C448 83.2 359.55 32.1 256 32c-103.54.1-192 51.2-232.18 116.11C4 180.09 24.07 224 58.64 224zM384 112a16 16 0 1 1-16 16 16 16 0 0 1 16-16zM256 80a16 16 0 1 1-16 16 16 16 0 0 1 16-16zm-128 32a16 16 0 1 1-16 16 16 16 0 0 1 16-16z"}}]})(props);
};
function FaHammer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M571.31 193.94l-22.63-22.63c-6.25-6.25-16.38-6.25-22.63 0l-11.31 11.31-28.9-28.9c5.63-21.31.36-44.9-16.35-61.61l-45.25-45.25c-62.48-62.48-163.79-62.48-226.28 0l90.51 45.25v18.75c0 16.97 6.74 33.25 18.75 45.25l49.14 49.14c16.71 16.71 40.3 21.98 61.61 16.35l28.9 28.9-11.31 11.31c-6.25 6.25-6.25 16.38 0 22.63l22.63 22.63c6.25 6.25 16.38 6.25 22.63 0l90.51-90.51c6.23-6.24 6.23-16.37-.02-22.62zm-286.72-15.2c-3.7-3.7-6.84-7.79-9.85-11.95L19.64 404.96c-25.57 23.88-26.26 64.19-1.53 88.93s65.05 24.05 88.93-1.53l238.13-255.07c-3.96-2.91-7.9-5.87-11.44-9.41l-49.14-49.14z"}}]})(props);
};
function FaHamsa (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M509.34 307.25C504.28 295.56 492.75 288 480 288h-64V80c0-22-18-40-40-40s-40 18-40 40v134c0 5.52-4.48 10-10 10h-20c-5.52 0-10-4.48-10-10V40c0-22-18-40-40-40s-40 18-40 40v174c0 5.52-4.48 10-10 10h-20c-5.52 0-10-4.48-10-10V80c0-22-18-40-40-40S96 58 96 80v208H32c-12.75 0-24.28 7.56-29.34 19.25a31.966 31.966 0 0 0 5.94 34.58l102.69 110.03C146.97 490.08 199.69 512 256 512s109.03-21.92 144.72-60.14L503.4 341.83a31.966 31.966 0 0 0 5.94-34.58zM256 416c-53.02 0-96-64-96-64s42.98-64 96-64 96 64 96 64-42.98 64-96 64zm0-96c-17.67 0-32 14.33-32 32s14.33 32 32 32 32-14.33 32-32-14.33-32-32-32z"}}]})(props);
};
function FaHandHoldingHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M275.3 250.5c7 7.4 18.4 7.4 25.5 0l108.9-114.2c31.6-33.2 29.8-88.2-5.6-118.8-30.8-26.7-76.7-21.9-104.9 7.7L288 36.9l-11.1-11.6C248.7-4.4 202.8-9.2 172 17.5c-35.3 30.6-37.2 85.6-5.6 118.8l108.9 114.2zm290 77.6c-11.8-10.7-30.2-10-42.6 0L430.3 402c-11.3 9.1-25.4 14-40 14H272c-8.8 0-16-7.2-16-16s7.2-16 16-16h78.3c15.9 0 30.7-10.9 33.3-26.6 3.3-20-12.1-37.4-31.6-37.4H192c-27 0-53.1 9.3-74.1 26.3L71.4 384H16c-8.8 0-16 7.2-16 16v96c0 8.8 7.2 16 16 16h356.8c14.5 0 28.6-4.9 40-14L564 377c15.2-12.1 16.4-35.3 1.3-48.9z"}}]})(props);
};
function FaHandHoldingUsd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M271.06,144.3l54.27,14.3a8.59,8.59,0,0,1,6.63,8.1c0,4.6-4.09,8.4-9.12,8.4h-35.6a30,30,0,0,1-11.19-2.2c-5.24-2.2-11.28-1.7-15.3,2l-19,17.5a11.68,11.68,0,0,0-2.25,2.66,11.42,11.42,0,0,0,3.88,15.74,83.77,83.77,0,0,0,34.51,11.5V240c0,8.8,7.83,16,17.37,16h17.37c9.55,0,17.38-7.2,17.38-16V222.4c32.93-3.6,57.84-31,53.5-63-3.15-23-22.46-41.3-46.56-47.7L282.68,97.4a8.59,8.59,0,0,1-6.63-8.1c0-4.6,4.09-8.4,9.12-8.4h35.6A30,30,0,0,1,332,83.1c5.23,2.2,11.28,1.7,15.3-2l19-17.5A11.31,11.31,0,0,0,368.47,61a11.43,11.43,0,0,0-3.84-15.78,83.82,83.82,0,0,0-34.52-11.5V16c0-8.8-7.82-16-17.37-16H295.37C285.82,0,278,7.2,278,16V33.6c-32.89,3.6-57.85,31-53.51,63C227.63,119.6,247,137.9,271.06,144.3ZM565.27,328.1c-11.8-10.7-30.2-10-42.6,0L430.27,402a63.64,63.64,0,0,1-40,14H272a16,16,0,0,1,0-32h78.29c15.9,0,30.71-10.9,33.25-26.6a31.2,31.2,0,0,0,.46-5.46A32,32,0,0,0,352,320H192a117.66,117.66,0,0,0-74.1,26.29L71.4,384H16A16,16,0,0,0,0,400v96a16,16,0,0,0,16,16H372.77a64,64,0,0,0,40-14L564,377a32,32,0,0,0,1.28-48.9Z"}}]})(props);
};
function FaHandHolding (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M565.3 328.1c-11.8-10.7-30.2-10-42.6 0L430.3 402c-11.3 9.1-25.4 14-40 14H272c-8.8 0-16-7.2-16-16s7.2-16 16-16h78.3c15.9 0 30.7-10.9 33.3-26.6 3.3-20-12.1-37.4-31.6-37.4H192c-27 0-53.1 9.3-74.1 26.3L71.4 384H16c-8.8 0-16 7.2-16 16v96c0 8.8 7.2 16 16 16h356.8c14.5 0 28.6-4.9 40-14L564 377c15.2-12.1 16.4-35.3 1.3-48.9z"}}]})(props);
};
function FaHandLizard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M384 480h192V363.778a95.998 95.998 0 0 0-14.833-51.263L398.127 54.368A48 48 0 0 0 357.544 32H24C10.745 32 0 42.745 0 56v16c0 30.928 25.072 56 56 56h229.981c12.844 0 21.556 13.067 16.615 24.923l-21.41 51.385A32 32 0 0 1 251.648 224H128c-35.346 0-64 28.654-64 64v8c0 13.255 10.745 24 24 24h147.406a47.995 47.995 0 0 1 25.692 7.455l111.748 70.811A24.001 24.001 0 0 1 384 418.539V480z"}}]})(props);
};
function FaHandMiddleFinger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M479.93 317.12a37.33 37.33 0 0 0-28.28-36.19L416 272v-49.59c0-11.44-9.69-21.29-23.15-23.54l-38.4-6.4C336.63 189.5 320 200.86 320 216v32a8 8 0 0 1-16 0V50c0-26.28-20.25-49.2-46.52-50A48 48 0 0 0 208 48v200a8 8 0 0 1-16 0v-32c0-15.15-16.63-26.51-34.45-23.54l-30.68 5.12c-18 3-30.87 16.12-30.87 31.38V376a8 8 0 0 1-16 0v-76l-27.36 15A37.34 37.34 0 0 0 32 348.4v73.47a37.31 37.31 0 0 0 10.93 26.39l30.93 30.93A112 112 0 0 0 153.05 512h215A112 112 0 0 0 480 400z"}}]})(props);
};
function FaHandPaper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M408.781 128.007C386.356 127.578 368 146.36 368 168.79V256h-8V79.79c0-22.43-18.356-41.212-40.781-40.783C297.488 39.423 280 57.169 280 79v177h-8V40.79C272 18.36 253.644-.422 231.219.007 209.488.423 192 18.169 192 40v216h-8V80.79c0-22.43-18.356-41.212-40.781-40.783C121.488 40.423 104 58.169 104 80v235.992l-31.648-43.519c-12.993-17.866-38.009-21.817-55.877-8.823-17.865 12.994-21.815 38.01-8.822 55.877l125.601 172.705A48 48 0 0 0 172.073 512h197.59c22.274 0 41.622-15.324 46.724-37.006l26.508-112.66a192.011 192.011 0 0 0 5.104-43.975V168c.001-21.831-17.487-39.577-39.218-39.993z"}}]})(props);
};
function FaHandPeace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M408 216c-22.092 0-40 17.909-40 40h-8v-32c0-22.091-17.908-40-40-40s-40 17.909-40 40v32h-8V48c0-26.51-21.49-48-48-48s-48 21.49-48 48v208h-13.572L92.688 78.449C82.994 53.774 55.134 41.63 30.461 51.324 5.787 61.017-6.356 88.877 3.337 113.551l74.765 190.342-31.09 24.872c-15.381 12.306-19.515 33.978-9.741 51.081l64 112A39.998 39.998 0 0 0 136 512h240c18.562 0 34.686-12.77 38.937-30.838l32-136A39.97 39.97 0 0 0 448 336v-80c0-22.091-17.908-40-40-40z"}}]})(props);
};
function FaHandPointDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M91.826 467.2V317.966c-8.248 5.841-16.558 10.57-24.918 14.153C35.098 345.752-.014 322.222 0 288c.008-18.616 10.897-32.203 29.092-40 28.286-12.122 64.329-78.648 77.323-107.534 7.956-17.857 25.479-28.453 43.845-28.464l.001-.002h171.526c11.812 0 21.897 8.596 23.703 20.269 7.25 46.837 38.483 61.76 38.315 123.731-.007 2.724.195 13.254.195 16 0 50.654-22.122 81.574-71.263 72.6-9.297 18.597-39.486 30.738-62.315 16.45-21.177 24.645-53.896 22.639-70.944 6.299V467.2c0 24.15-20.201 44.8-43.826 44.8-23.283 0-43.826-21.35-43.826-44.8zM112 72V24c0-13.255 10.745-24 24-24h192c13.255 0 24 10.745 24 24v48c0 13.255-10.745 24-24 24H136c-13.255 0-24-10.745-24-24zm212-24c0-11.046-8.954-20-20-20s-20 8.954-20 20 8.954 20 20 20 20-8.954 20-20z"}}]})(props);
};
function FaHandPointLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M44.8 155.826h149.234c-5.841-8.248-10.57-16.558-14.153-24.918C166.248 99.098 189.778 63.986 224 64c18.616.008 32.203 10.897 40 29.092 12.122 28.286 78.648 64.329 107.534 77.323 17.857 7.956 28.453 25.479 28.464 43.845l.002.001v171.526c0 11.812-8.596 21.897-20.269 23.703-46.837 7.25-61.76 38.483-123.731 38.315-2.724-.007-13.254.195-16 .195-50.654 0-81.574-22.122-72.6-71.263-18.597-9.297-30.738-39.486-16.45-62.315-24.645-21.177-22.639-53.896-6.299-70.944H44.8c-24.15 0-44.8-20.201-44.8-43.826 0-23.283 21.35-43.826 44.8-43.826zM440 176h48c13.255 0 24 10.745 24 24v192c0 13.255-10.745 24-24 24h-48c-13.255 0-24-10.745-24-24V200c0-13.255 10.745-24 24-24zm24 212c11.046 0 20-8.954 20-20s-8.954-20-20-20-20 8.954-20 20 8.954 20 20 20z"}}]})(props);
};
function FaHandPointRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M512 199.652c0 23.625-20.65 43.826-44.8 43.826h-99.851c16.34 17.048 18.346 49.766-6.299 70.944 14.288 22.829 2.147 53.017-16.45 62.315C353.574 425.878 322.654 448 272 448c-2.746 0-13.276-.203-16-.195-61.971.168-76.894-31.065-123.731-38.315C120.596 407.683 112 397.599 112 385.786V214.261l.002-.001c.011-18.366 10.607-35.889 28.464-43.845 28.886-12.994 95.413-49.038 107.534-77.323 7.797-18.194 21.384-29.084 40-29.092 34.222-.014 57.752 35.098 44.119 66.908-3.583 8.359-8.312 16.67-14.153 24.918H467.2c23.45 0 44.8 20.543 44.8 43.826zM96 200v192c0 13.255-10.745 24-24 24H24c-13.255 0-24-10.745-24-24V200c0-13.255 10.745-24 24-24h48c13.255 0 24 10.745 24 24zM68 368c0-11.046-8.954-20-20-20s-20 8.954-20 20 8.954 20 20 20 20-8.954 20-20z"}}]})(props);
};
function FaHandPointUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M135.652 0c23.625 0 43.826 20.65 43.826 44.8v99.851c17.048-16.34 49.766-18.346 70.944 6.299 22.829-14.288 53.017-2.147 62.315 16.45C361.878 158.426 384 189.346 384 240c0 2.746-.203 13.276-.195 16 .168 61.971-31.065 76.894-38.315 123.731C343.683 391.404 333.599 400 321.786 400H150.261l-.001-.002c-18.366-.011-35.889-10.607-43.845-28.464C93.421 342.648 57.377 276.122 29.092 264 10.897 256.203.008 242.616 0 224c-.014-34.222 35.098-57.752 66.908-44.119 8.359 3.583 16.67 8.312 24.918 14.153V44.8c0-23.45 20.543-44.8 43.826-44.8zM136 416h192c13.255 0 24 10.745 24 24v48c0 13.255-10.745 24-24 24H136c-13.255 0-24-10.745-24-24v-48c0-13.255 10.745-24 24-24zm168 28c-11.046 0-20 8.954-20 20s8.954 20 20 20 20-8.954 20-20-8.954-20-20-20z"}}]})(props);
};
function FaHandPointer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 240v96c0 3.084-.356 6.159-1.063 9.162l-32 136C410.686 499.23 394.562 512 376 512H168a40.004 40.004 0 0 1-32.35-16.473l-127.997-176c-12.993-17.866-9.043-42.883 8.822-55.876 17.867-12.994 42.884-9.043 55.877 8.823L104 315.992V40c0-22.091 17.908-40 40-40s40 17.909 40 40v200h8v-40c0-22.091 17.908-40 40-40s40 17.909 40 40v40h8v-24c0-22.091 17.908-40 40-40s40 17.909 40 40v24h8c0-22.091 17.908-40 40-40s40 17.909 40 40zm-256 80h-8v96h8v-96zm88 0h-8v96h8v-96zm88 0h-8v96h8v-96z"}}]})(props);
};
function FaHandRock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464.8 80c-26.9-.4-48.8 21.2-48.8 48h-8V96.8c0-26.3-20.9-48.3-47.2-48.8-26.9-.4-48.8 21.2-48.8 48v32h-8V80.8c0-26.3-20.9-48.3-47.2-48.8-26.9-.4-48.8 21.2-48.8 48v48h-8V96.8c0-26.3-20.9-48.3-47.2-48.8-26.9-.4-48.8 21.2-48.8 48v136l-8-7.1v-48.1c0-26.3-20.9-48.3-47.2-48.8C21.9 127.6 0 149.2 0 176v66.4c0 27.4 11.7 53.5 32.2 71.8l111.7 99.3c10.2 9.1 16.1 22.2 16.1 35.9v6.7c0 13.3 10.7 24 24 24h240c13.3 0 24-10.7 24-24v-2.9c0-12.8 2.6-25.5 7.5-37.3l49-116.3c5-11.8 7.5-24.5 7.5-37.3V128.8c0-26.3-20.9-48.4-47.2-48.8z"}}]})(props);
};
function FaHandScissors (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M216 440c0-22.092 17.909-40 40-40v-8h-32c-22.091 0-40-17.908-40-40s17.909-40 40-40h32v-8H48c-26.51 0-48-21.49-48-48s21.49-48 48-48h208v-13.572l-177.551-69.74c-24.674-9.694-36.818-37.555-27.125-62.228 9.693-24.674 37.554-36.817 62.228-27.124l190.342 74.765 24.872-31.09c12.306-15.381 33.978-19.515 51.081-9.741l112 64A40.002 40.002 0 0 1 512 168v240c0 18.562-12.77 34.686-30.838 38.937l-136 32A39.982 39.982 0 0 1 336 480h-80c-22.091 0-40-17.908-40-40z"}}]})(props);
};
function FaHandSpock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M510.9005,145.27027,442.604,432.09391A103.99507,103.99507,0,0,1,341.43745,512H214.074a135.96968,135.96968,0,0,1-93.18489-36.95291L12.59072,373.12723a39.992,39.992,0,0,1,54.8122-58.24988l60.59342,57.02528v0a283.24849,283.24849,0,0,0-11.6703-80.46734L73.63726,147.36011a40.00575,40.00575,0,1,1,76.71833-22.7187l37.15458,125.39477a8.33113,8.33113,0,0,0,16.05656-4.4414L153.26183,49.95406A39.99638,39.99638,0,1,1,230.73015,30.0166l56.09491,218.15825a10.42047,10.42047,0,0,0,20.30018-.501L344.80766,63.96966a40.052,40.052,0,0,1,51.30245-30.0893c19.86073,6.2998,30.86262,27.67378,26.67564,48.08487l-33.83869,164.966a7.55172,7.55172,0,0,0,14.74406,3.2666l29.3973-123.45874a39.99414,39.99414,0,1,1,77.81208,18.53121Z"}}]})(props);
};
function FaHandsHelping (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M488 192H336v56c0 39.7-32.3 72-72 72s-72-32.3-72-72V126.4l-64.9 39C107.8 176.9 96 197.8 96 220.2v47.3l-80 46.2C.7 322.5-4.6 342.1 4.3 357.4l80 138.6c8.8 15.3 28.4 20.5 43.7 11.7L231.4 448H368c35.3 0 64-28.7 64-64h16c17.7 0 32-14.3 32-32v-64h8c13.3 0 24-10.7 24-24v-48c0-13.3-10.7-24-24-24zm147.7-37.4L555.7 16C546.9.7 527.3-4.5 512 4.3L408.6 64H306.4c-12 0-23.7 3.4-33.9 9.7L239 94.6c-9.4 5.8-15 16.1-15 27.1V248c0 22.1 17.9 40 40 40s40-17.9 40-40v-88h184c30.9 0 56 25.1 56 56v28.5l80-46.2c15.3-8.9 20.5-28.4 11.7-43.7z"}}]})(props);
};
function FaHands (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M204.8 230.4c-10.6-14.1-30.7-17-44.8-6.4-14.1 10.6-17 30.7-6.4 44.8l38.1 50.8c4.8 6.4 4.1 15.3-1.5 20.9l-12.8 12.8c-6.7 6.7-17.6 6.2-23.6-1.1L64 244.4V96c0-17.7-14.3-32-32-32S0 78.3 0 96v218.4c0 10.9 3.7 21.5 10.5 30l104.1 134.3c5 6.5 8.4 13.9 10.4 21.7 1.8 6.9 8.1 11.6 15.3 11.6H272c8.8 0 16-7.2 16-16V384c0-27.7-9-54.6-25.6-76.8l-57.6-76.8zM608 64c-17.7 0-32 14.3-32 32v148.4l-89.8 107.8c-6 7.2-17 7.7-23.6 1.1l-12.8-12.8c-5.6-5.6-6.3-14.5-1.5-20.9l38.1-50.8c10.6-14.1 7.7-34.2-6.4-44.8-14.1-10.6-34.2-7.7-44.8 6.4l-57.6 76.8C361 329.4 352 356.3 352 384v112c0 8.8 7.2 16 16 16h131.7c7.1 0 13.5-4.7 15.3-11.6 2-7.8 5.4-15.2 10.4-21.7l104.1-134.3c6.8-8.5 10.5-19.1 10.5-30V96c0-17.7-14.3-32-32-32z"}}]})(props);
};
function FaHandshake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M434.7 64h-85.9c-8 0-15.7 3-21.6 8.4l-98.3 90c-.1.1-.2.3-.3.4-16.6 15.6-16.3 40.5-2.1 56 12.7 13.9 39.4 17.6 56.1 2.7.1-.1.3-.1.4-.2l79.9-73.2c6.5-5.9 16.7-5.5 22.6 1 6 6.5 5.5 16.6-1 22.6l-26.1 23.9L504 313.8c2.9 2.4 5.5 5 7.9 7.7V128l-54.6-54.6c-5.9-6-14.1-9.4-22.6-9.4zM544 128.2v223.9c0 17.7 14.3 32 32 32h64V128.2h-96zm48 223.9c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zM0 384h64c17.7 0 32-14.3 32-32V128.2H0V384zm48-63.9c8.8 0 16 7.2 16 16s-7.2 16-16 16-16-7.2-16-16c0-8.9 7.2-16 16-16zm435.9 18.6L334.6 217.5l-30 27.5c-29.7 27.1-75.2 24.5-101.7-4.4-26.9-29.4-24.8-74.9 4.4-101.7L289.1 64h-83.8c-8.5 0-16.6 3.4-22.6 9.4L128 128v223.9h18.3l90.5 81.9c27.4 22.3 67.7 18.1 90-9.3l.2-.2 17.9 15.5c15.9 13 39.4 10.5 52.3-5.4l31.4-38.6 5.4 4.4c13.7 11.1 33.9 9.1 45-4.7l9.5-11.7c11.2-13.8 9.1-33.9-4.6-45.1z"}}]})(props);
};
function FaHanukiah (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M232 160c-4.42 0-8 3.58-8 8v120h32V168c0-4.42-3.58-8-8-8h-16zm-64 0c-4.42 0-8 3.58-8 8v120h32V168c0-4.42-3.58-8-8-8h-16zm224 0c-4.42 0-8 3.58-8 8v120h32V168c0-4.42-3.58-8-8-8h-16zm64 0c-4.42 0-8 3.58-8 8v120h32V168c0-4.42-3.58-8-8-8h-16zm88 8c0-4.42-3.58-8-8-8h-16c-4.42 0-8 3.58-8 8v120h32V168zm-440-8c-4.42 0-8 3.58-8 8v120h32V168c0-4.42-3.58-8-8-8h-16zm520 0h-32c-8.84 0-16 7.16-16 16v112c0 17.67-14.33 32-32 32H352V128c0-8.84-7.16-16-16-16h-32c-8.84 0-16 7.16-16 16v192H96c-17.67 0-32-14.33-32-32V176c0-8.84-7.16-16-16-16H16c-8.84 0-16 7.16-16 16v112c0 53.02 42.98 96 96 96h192v64H112c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h416c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16H352v-64h192c53.02 0 96-42.98 96-96V176c0-8.84-7.16-16-16-16zm-16-32c13.25 0 24-11.94 24-26.67S608 48 608 48s-24 38.61-24 53.33S594.75 128 608 128zm-576 0c13.25 0 24-11.94 24-26.67S32 48 32 48 8 86.61 8 101.33 18.75 128 32 128zm288-48c13.25 0 24-11.94 24-26.67S320 0 320 0s-24 38.61-24 53.33S306.75 80 320 80zm-208 48c13.25 0 24-11.94 24-26.67S112 48 112 48s-24 38.61-24 53.33S98.75 128 112 128zm64 0c13.25 0 24-11.94 24-26.67S176 48 176 48s-24 38.61-24 53.33S162.75 128 176 128zm64 0c13.25 0 24-11.94 24-26.67S240 48 240 48s-24 38.61-24 53.33S226.75 128 240 128zm160 0c13.25 0 24-11.94 24-26.67S400 48 400 48s-24 38.61-24 53.33S386.75 128 400 128zm64 0c13.25 0 24-11.94 24-26.67S464 48 464 48s-24 38.61-24 53.33S450.75 128 464 128zm64 0c13.25 0 24-11.94 24-26.67S528 48 528 48s-24 38.61-24 53.33S514.75 128 528 128z"}}]})(props);
};
function FaHardHat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 288c0-80.25-49.28-148.92-119.19-177.62L320 192V80a16 16 0 0 0-16-16h-96a16 16 0 0 0-16 16v112l-40.81-81.62C81.28 139.08 32 207.75 32 288v64h448zm16 96H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h480a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16z"}}]})(props);
};
function FaHashtag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M440.667 182.109l7.143-40c1.313-7.355-4.342-14.109-11.813-14.109h-74.81l14.623-81.891C377.123 38.754 371.468 32 363.997 32h-40.632a12 12 0 0 0-11.813 9.891L296.175 128H197.54l14.623-81.891C213.477 38.754 207.822 32 200.35 32h-40.632a12 12 0 0 0-11.813 9.891L132.528 128H53.432a12 12 0 0 0-11.813 9.891l-7.143 40C33.163 185.246 38.818 192 46.289 192h74.81L98.242 320H19.146a12 12 0 0 0-11.813 9.891l-7.143 40C-1.123 377.246 4.532 384 12.003 384h74.81L72.19 465.891C70.877 473.246 76.532 480 84.003 480h40.632a12 12 0 0 0 11.813-9.891L151.826 384h98.634l-14.623 81.891C234.523 473.246 240.178 480 247.65 480h40.632a12 12 0 0 0 11.813-9.891L315.472 384h79.096a12 12 0 0 0 11.813-9.891l7.143-40c1.313-7.355-4.342-14.109-11.813-14.109h-74.81l22.857-128h79.096a12 12 0 0 0 11.813-9.891zM261.889 320h-98.634l22.857-128h98.634l-22.857 128z"}}]})(props);
};
function FaHatCowboySide (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M260.8 291.06c-28.63-22.94-62-35.06-96.4-35.06C87 256 21.47 318.72 1.43 412.06c-3.55 16.6-.43 33.83 8.57 47.3C18.75 472.47 31.83 480 45.88 480H592c-103.21 0-155-37.07-233.19-104.46zm234.65-18.29L468.4 116.2A64 64 0 0 0 392 64.41L200.85 105a64 64 0 0 0-50.35 55.79L143.61 226c6.9-.83 13.7-2 20.79-2 41.79 0 82 14.55 117.29 42.82l98 84.48C450.76 412.54 494.9 448 592 448a48 48 0 0 0 48-48c0-25.39-29.6-119.33-144.55-127.23z"}}]})(props);
};
function FaHatCowboy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M490 296.9C480.51 239.51 450.51 64 392.3 64c-14 0-26.49 5.93-37 14a58.21 58.21 0 0 1-70.58 0c-10.51-8-23-14-37-14-58.2 0-88.2 175.47-97.71 232.88C188.81 309.47 243.73 320 320 320s131.23-10.51 170-23.1zm142.9-37.18a16 16 0 0 0-19.75 1.5c-1 .9-101.27 90.78-293.16 90.78-190.82 0-292.22-89.94-293.24-90.84A16 16 0 0 0 1 278.53C1.73 280.55 78.32 480 320 480s318.27-199.45 319-201.47a16 16 0 0 0-6.09-18.81z"}}]})(props);
};
function FaHatWizard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496 448H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h480c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16zm-304-64l-64-32 64-32 32-64 32 64 64 32-64 32-16 32h208l-86.41-201.63a63.955 63.955 0 0 1-1.89-45.45L416 0 228.42 107.19a127.989 127.989 0 0 0-53.46 59.15L64 416h144l-16-32zm64-224l16-32 16 32 32 16-32 16-16 32-16-32-32-16 32-16z"}}]})(props);
};
function FaHdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M576 304v96c0 26.51-21.49 48-48 48H48c-26.51 0-48-21.49-48-48v-96c0-26.51 21.49-48 48-48h480c26.51 0 48 21.49 48 48zm-48-80a79.557 79.557 0 0 1 30.777 6.165L462.25 85.374A48.003 48.003 0 0 0 422.311 64H153.689a48 48 0 0 0-39.938 21.374L17.223 230.165A79.557 79.557 0 0 1 48 224h480zm-48 96c-17.673 0-32 14.327-32 32s14.327 32 32 32 32-14.327 32-32-14.327-32-32-32zm-96 0c-17.673 0-32 14.327-32 32s14.327 32 32 32 32-14.327 32-32-14.327-32-32-32z"}}]})(props);
};
function FaHeading (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 96v320h32a16 16 0 0 1 16 16v32a16 16 0 0 1-16 16H320a16 16 0 0 1-16-16v-32a16 16 0 0 1 16-16h32V288H160v128h32a16 16 0 0 1 16 16v32a16 16 0 0 1-16 16H32a16 16 0 0 1-16-16v-32a16 16 0 0 1 16-16h32V96H32a16 16 0 0 1-16-16V48a16 16 0 0 1 16-16h160a16 16 0 0 1 16 16v32a16 16 0 0 1-16 16h-32v128h192V96h-32a16 16 0 0 1-16-16V48a16 16 0 0 1 16-16h160a16 16 0 0 1 16 16v32a16 16 0 0 1-16 16z"}}]})(props);
};
function FaHeadphonesAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160 288h-16c-35.35 0-64 28.7-64 64.12v63.76c0 35.41 28.65 64.12 64 64.12h16c17.67 0 32-14.36 32-32.06V320.06c0-17.71-14.33-32.06-32-32.06zm208 0h-16c-17.67 0-32 14.35-32 32.06v127.88c0 17.7 14.33 32.06 32 32.06h16c35.35 0 64-28.71 64-64.12v-63.76c0-35.41-28.65-64.12-64-64.12zM256 32C112.91 32 4.57 151.13 0 288v112c0 8.84 7.16 16 16 16h16c8.84 0 16-7.16 16-16V288c0-114.67 93.33-207.8 208-207.82 114.67.02 208 93.15 208 207.82v112c0 8.84 7.16 16 16 16h16c8.84 0 16-7.16 16-16V288C507.43 151.13 399.09 32 256 32z"}}]})(props);
};
function FaHeadphones (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32C114.52 32 0 146.496 0 288v48a32 32 0 0 0 17.689 28.622l14.383 7.191C34.083 431.903 83.421 480 144 480h24c13.255 0 24-10.745 24-24V280c0-13.255-10.745-24-24-24h-24c-31.342 0-59.671 12.879-80 33.627V288c0-105.869 86.131-192 192-192s192 86.131 192 192v1.627C427.671 268.879 399.342 256 368 256h-24c-13.255 0-24 10.745-24 24v176c0 13.255 10.745 24 24 24h24c60.579 0 109.917-48.098 111.928-108.187l14.382-7.191A32 32 0 0 0 512 336v-48c0-141.479-114.496-256-256-256z"}}]})(props);
};
function FaHeadset (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192 208c0-17.67-14.33-32-32-32h-16c-35.35 0-64 28.65-64 64v48c0 35.35 28.65 64 64 64h16c17.67 0 32-14.33 32-32V208zm176 144c35.35 0 64-28.65 64-64v-48c0-35.35-28.65-64-64-64h-16c-17.67 0-32 14.33-32 32v112c0 17.67 14.33 32 32 32h16zM256 0C113.18 0 4.58 118.83 0 256v16c0 8.84 7.16 16 16 16h16c8.84 0 16-7.16 16-16v-16c0-114.69 93.31-208 208-208s208 93.31 208 208h-.12c.08 2.43.12 165.72.12 165.72 0 23.35-18.93 42.28-42.28 42.28H320c0-26.51-21.49-48-48-48h-32c-26.51 0-48 21.49-48 48s21.49 48 48 48h181.72c49.86 0 90.28-40.42 90.28-90.28V256C507.42 118.83 398.82 0 256 0z"}}]})(props);
};
function FaHeartBroken (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M473.7 73.8l-2.4-2.5c-46-47-118-51.7-169.6-14.8L336 159.9l-96 64 48 128-144-144 96-64-28.6-86.5C159.7 19.6 87 24 40.7 71.4l-2.4 2.4C-10.4 123.6-12.5 202.9 31 256l212.1 218.6c7.1 7.3 18.6 7.3 25.7 0L481 255.9c43.5-53 41.4-132.3-7.3-182.1z"}}]})(props);
};
function FaHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M462.3 62.6C407.5 15.9 326 24.3 275.7 76.2L256 96.5l-19.7-20.3C186.1 24.3 104.5 15.9 49.7 62.6c-62.8 53.6-66.1 149.8-9.9 207.9l193.5 199.8c12.5 12.9 32.8 12.9 45.3 0l193.5-199.8c56.3-58.1 53-154.3-9.8-207.9z"}}]})(props);
};
function FaHeartbeat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M320.2 243.8l-49.7 99.4c-6 12.1-23.4 11.7-28.9-.6l-56.9-126.3-30 71.7H60.6l182.5 186.5c7.1 7.3 18.6 7.3 25.7 0L451.4 288H342.3l-22.1-44.2zM473.7 73.9l-2.4-2.5c-51.5-52.6-135.8-52.6-187.4 0L256 100l-27.9-28.5c-51.5-52.7-135.9-52.7-187.4 0l-2.4 2.4C-10.4 123.7-12.5 203 31 256h102.4l35.9-86.2c5.4-12.9 23.6-13.2 29.4-.4l58.2 129.3 49-97.9c5.9-11.8 22.7-11.8 28.6 0l27.6 55.2H481c43.5-53 41.4-132.3-7.3-182.1z"}}]})(props);
};
function FaHelicopter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M304 384h272c17.67 0 32-14.33 32-32 0-123.71-100.29-224-224-224V64h176c8.84 0 16-7.16 16-16V16c0-8.84-7.16-16-16-16H144c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h176v64H112L68.8 70.4C65.78 66.37 61.03 64 56 64H16.01C5.6 64-2.04 73.78.49 83.88L32 192l160 64 86.4 115.2A31.992 31.992 0 0 0 304 384zm112-188.49C478.55 208.3 528.03 257.44 540.79 320H416V195.51zm219.37 263.3l-22.15-22.2c-6.25-6.26-16.24-6.1-22.64.01-7.09 6.77-13.84 11.25-24.64 11.25H240c-8.84 0-16 7.18-16 16.03v32.06c0 8.85 7.16 16.03 16 16.03h325.94c14.88 0 35.3-.47 68.45-29.52 7.02-6.14 7.57-17.05.98-23.66z"}}]})(props);
};
function FaHighlighter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 544 512"},"child":[{"tag":"path","attr":{"d":"M0 479.98L99.92 512l35.45-35.45-67.04-67.04L0 479.98zm124.61-240.01a36.592 36.592 0 0 0-10.79 38.1l13.05 42.83-50.93 50.94 96.23 96.23 50.86-50.86 42.74 13.08c13.73 4.2 28.65-.01 38.15-10.78l35.55-41.64-173.34-173.34-41.52 35.44zm403.31-160.7l-63.2-63.2c-20.49-20.49-53.38-21.52-75.12-2.35L190.55 183.68l169.77 169.78L530.27 154.4c19.18-21.74 18.15-54.63-2.35-75.13z"}}]})(props);
};
function FaHiking (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M80.95 472.23c-4.28 17.16 6.14 34.53 23.28 38.81 2.61.66 5.22.95 7.8.95 14.33 0 27.37-9.7 31.02-24.23l25.24-100.97-52.78-52.78-34.56 138.22zm14.89-196.12L137 117c2.19-8.42-3.14-16.95-11.92-19.06-43.88-10.52-88.35 15.07-99.32 57.17L.49 253.24c-2.19 8.42 3.14 16.95 11.92 19.06l63.56 15.25c8.79 2.1 17.68-3.02 19.87-11.44zM368 160h-16c-8.84 0-16 7.16-16 16v16h-34.75l-46.78-46.78C243.38 134.11 228.61 128 212.91 128c-27.02 0-50.47 18.3-57.03 44.52l-26.92 107.72a32.012 32.012 0 0 0 8.42 30.39L224 397.25V480c0 17.67 14.33 32 32 32s32-14.33 32-32v-82.75c0-17.09-6.66-33.16-18.75-45.25l-46.82-46.82c.15-.5.49-.89.62-1.41l19.89-79.57 22.43 22.43c6 6 14.14 9.38 22.62 9.38h48v240c0 8.84 7.16 16 16 16h16c8.84 0 16-7.16 16-16V176c.01-8.84-7.15-16-15.99-16zM240 96c26.51 0 48-21.49 48-48S266.51 0 240 0s-48 21.49-48 48 21.49 48 48 48z"}}]})(props);
};
function FaHippo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M581.12 96.2c-27.67-.15-52.5 17.58-76.6 26.62C489.98 88.27 455.83 64 416 64c-11.28 0-21.95 2.3-32 5.88V56c0-13.26-10.75-24-24-24h-16c-13.25 0-24 10.74-24 24v48.98C286.01 79.58 241.24 64 192 64 85.96 64 0 135.64 0 224v240c0 8.84 7.16 16 16 16h64c8.84 0 16-7.16 16-16v-70.79C128.35 407.57 166.72 416 208 416s79.65-8.43 112-22.79V464c0 8.84 7.16 16 16 16h64c8.84 0 16-7.16 16-16V288h128v32c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16v-32c17.67 0 32-14.33 32-32v-92.02c0-34.09-24.79-67.59-58.88-67.78zM448 176c-8.84 0-16-7.16-16-16s7.16-16 16-16 16 7.16 16 16-7.16 16-16 16z"}}]})(props);
};
function FaHistory (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M504 255.531c.253 136.64-111.18 248.372-247.82 248.468-59.015.042-113.223-20.53-155.822-54.911-11.077-8.94-11.905-25.541-1.839-35.607l11.267-11.267c8.609-8.609 22.353-9.551 31.891-1.984C173.062 425.135 212.781 440 256 440c101.705 0 184-82.311 184-184 0-101.705-82.311-184-184-184-48.814 0-93.149 18.969-126.068 49.932l50.754 50.754c10.08 10.08 2.941 27.314-11.313 27.314H24c-8.837 0-16-7.163-16-16V38.627c0-14.254 17.234-21.393 27.314-11.314l49.372 49.372C129.209 34.136 189.552 8 256 8c136.81 0 247.747 110.78 248 247.531zm-180.912 78.784l9.823-12.63c8.138-10.463 6.253-25.542-4.21-33.679L288 256.349V152c0-13.255-10.745-24-24-24h-16c-13.255 0-24 10.745-24 24v135.651l65.409 50.874c10.463 8.137 25.541 6.253 33.679-4.21z"}}]})(props);
};
function FaHockeyPuck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M0 160c0-53 114.6-96 256-96s256 43 256 96-114.6 96-256 96S0 213 0 160zm0 82.2V352c0 53 114.6 96 256 96s256-43 256-96V242.2c-113.4 82.3-398.5 82.4-512 0z"}}]})(props);
};
function FaHollyBerry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M144 192c26.5 0 48-21.5 48-48s-21.5-48-48-48-48 21.5-48 48 21.5 48 48 48zm112-48c0 26.5 21.5 48 48 48s48-21.5 48-48-21.5-48-48-48-48 21.5-48 48zm-32-48c26.5 0 48-21.5 48-48S250.5 0 224 0s-48 21.5-48 48 21.5 48 48 48zm-16.2 139.1c.1-12.4-13.1-20.1-23.8-13.7-34.3 20.3-71.4 32.7-108.7 36.2-9.7.9-15.6 11.3-11.6 20.2 6.2 13.9 11.1 28.6 14.7 43.8 3.6 15.2-5.3 30.6-20.2 35.1-14.9 4.5-30.1 7.6-45.3 9.1-9.7 1-15.7 11.3-11.7 20.2 15 32.8 22.9 69.5 23 107.7.1 14.4 15.2 23.1 27.6 16 33.2-19 68.9-30.5 104.8-33.9 9.7-.9 15.6-11.3 11.6-20.2-6.2-13.9-11.1-28.6-14.7-43.8-3.6-15.2 5.3-30.6 20.2-35.1 14.9-4.5 30.1-7.6 45.3-9.1 9.7-1 15.7-11.3 11.7-20.2-15.5-34.2-23.3-72.5-22.9-112.3zM435 365.6c-15.2-1.6-30.3-4.7-45.3-9.1-14.9-4.5-23.8-19.9-20.2-35.1 3.6-15.2 8.5-29.8 14.7-43.8 4-8.9-1.9-19.3-11.6-20.2-37.3-3.5-74.4-15.9-108.7-36.2-10.7-6.3-23.9 1.4-23.8 13.7 0 1.6-.2 3.2-.2 4.9.2 33.3 7 65.7 19.9 94 5.7 12.4 5.2 26.6-.6 38.9 4.9 1.2 9.9 2.2 14.8 3.7 14.9 4.5 23.8 19.9 20.2 35.1-3.6 15.2-8.5 29.8-14.7 43.8-4 8.9 1.9 19.3 11.6 20.2 35.9 3.4 71.6 14.9 104.8 33.9 12.5 7.1 27.6-1.6 27.6-16 .2-38.2 8-75 23-107.7 4.3-8.7-1.8-19.1-11.5-20.1z"}}]})(props);
};
function FaHome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M280.37 148.26L96 300.11V464a16 16 0 0 0 16 16l112.06-.29a16 16 0 0 0 15.92-16V368a16 16 0 0 1 16-16h64a16 16 0 0 1 16 16v95.64a16 16 0 0 0 16 16.05L464 480a16 16 0 0 0 16-16V300L295.67 148.26a12.19 12.19 0 0 0-15.3 0zM571.6 251.47L488 182.56V44.05a12 12 0 0 0-12-12h-56a12 12 0 0 0-12 12v72.61L318.47 43a48 48 0 0 0-61 0L4.34 251.47a12 12 0 0 0-1.6 16.9l25.5 31A12 12 0 0 0 45.15 301l235.22-193.74a12.19 12.19 0 0 1 15.3 0L530.9 301a12 12 0 0 0 16.9-1.6l25.5-31a12 12 0 0 0-1.7-16.93z"}}]})(props);
};
function FaHorseHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M509.8 332.5l-69.9-164.3c-14.9-41.2-50.4-71-93-79.2 18-10.6 46.3-35.9 34.2-82.3-1.3-5-7.1-7.9-12-6.1L166.9 76.3C35.9 123.4 0 238.9 0 398.8V480c0 17.7 14.3 32 32 32h236.2c23.8 0 39.3-25 28.6-46.3L256 384v-.7c-45.6-3.5-84.6-30.7-104.3-69.6-1.6-3.1-.9-6.9 1.6-9.3l12.1-12.1c3.9-3.9 10.6-2.7 12.9 2.4 14.8 33.7 48.2 57.4 87.4 57.4 17.2 0 33-5.1 46.8-13.2l46 63.9c6 8.4 15.7 13.3 26 13.3h50.3c8.5 0 16.6-3.4 22.6-9.4l45.3-39.8c8.9-9.1 11.7-22.6 7.1-34.4zM328 224c-13.3 0-24-10.7-24-24s10.7-24 24-24 24 10.7 24 24-10.7 24-24 24z"}}]})(props);
};
function FaHorse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M575.92 76.6c-.01-8.13-3.02-15.87-8.58-21.8-3.78-4.03-8.58-9.12-13.69-14.5 11.06-6.84 19.5-17.49 22.18-30.66C576.85 4.68 572.96 0 567.9 0H447.92c-70.69 0-128 57.31-128 128H160c-28.84 0-54.4 12.98-72 33.11V160c-48.53 0-88 39.47-88 88v56c0 8.84 7.16 16 16 16h16c8.84 0 16-7.16 16-16v-56c0-13.22 6.87-24.39 16.78-31.68-.21 2.58-.78 5.05-.78 7.68 0 27.64 11.84 52.36 30.54 69.88l-25.72 68.6a63.945 63.945 0 0 0-2.16 37.99l24.85 99.41A15.982 15.982 0 0 0 107.02 512h65.96c10.41 0 18.05-9.78 15.52-19.88l-26.31-105.26 23.84-63.59L320 345.6V496c0 8.84 7.16 16 16 16h64c8.84 0 16-7.16 16-16V318.22c19.74-20.19 32-47.75 32-78.22 0-.22-.07-.42-.08-.64V136.89l16 7.11 18.9 37.7c7.45 14.87 25.05 21.55 40.49 15.37l32.55-13.02a31.997 31.997 0 0 0 20.12-29.74l-.06-77.71zm-64 19.4c-8.84 0-16-7.16-16-16s7.16-16 16-16 16 7.16 16 16-7.16 16-16 16z"}}]})(props);
};
function FaHospitalAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M544 96H416V32c0-17.7-14.3-32-32-32H192c-17.7 0-32 14.3-32 32v64H32c-17.7 0-32 14.3-32 32v368c0 8.8 7.2 16 16 16h544c8.8 0 16-7.2 16-16V128c0-17.7-14.3-32-32-32zM160 436c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40zm0-128c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40zm160 128c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40zm0-128c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40zm16-170c0 3.3-2.7 6-6 6h-26v26c0 3.3-2.7 6-6 6h-20c-3.3 0-6-2.7-6-6v-26h-26c-3.3 0-6-2.7-6-6v-20c0-3.3 2.7-6 6-6h26V86c0-3.3 2.7-6 6-6h20c3.3 0 6 2.7 6 6v26h26c3.3 0 6 2.7 6 6v20zm144 298c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40zm0-128c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40z"}}]})(props);
};
function FaHospitalSymbol (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 0C114.6 0 0 114.6 0 256s114.6 256 256 256 256-114.6 256-256S397.4 0 256 0zm112 376c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-88h-96v88c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8V136c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v88h96v-88c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v240z"}}]})(props);
};
function FaHospital (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 492v20H0v-20c0-6.627 5.373-12 12-12h20V120c0-13.255 10.745-24 24-24h88V24c0-13.255 10.745-24 24-24h112c13.255 0 24 10.745 24 24v72h88c13.255 0 24 10.745 24 24v360h20c6.627 0 12 5.373 12 12zM308 192h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12zm-168 64h40c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12zm104 128h-40c-6.627 0-12 5.373-12 12v84h64v-84c0-6.627-5.373-12-12-12zm64-96h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12zm-116 12c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12v-40zM182 96h26v26a6 6 0 0 0 6 6h20a6 6 0 0 0 6-6V96h26a6 6 0 0 0 6-6V70a6 6 0 0 0-6-6h-26V38a6 6 0 0 0-6-6h-20a6 6 0 0 0-6 6v26h-26a6 6 0 0 0-6 6v20a6 6 0 0 0 6 6z"}}]})(props);
};
function FaHotTub (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M414.21 177.65c1.02 8.21 7.75 14.35 15.75 14.35h16.12c9.51 0 17.08-8.57 16-18.35-4.34-39.11-22.4-74.53-50.13-97.16-17.37-14.17-28.82-36.75-31.98-62.15C378.96 6.14 372.22 0 364.23 0h-16.12c-9.51 0-17.09 8.57-16 18.35 4.34 39.11 22.4 74.53 50.13 97.16 17.36 14.17 28.82 36.75 31.97 62.14zm-108 0c1.02 8.21 7.75 14.35 15.75 14.35h16.12c9.51 0 17.08-8.57 16-18.35-4.34-39.11-22.4-74.53-50.13-97.16-17.37-14.17-28.82-36.75-31.98-62.15C270.96 6.14 264.22 0 256.23 0h-16.12c-9.51 0-17.09 8.57-16 18.35 4.34 39.11 22.4 74.53 50.13 97.16 17.36 14.17 28.82 36.75 31.97 62.14zM480 256H256l-110.93-83.2a63.99 63.99 0 0 0-38.4-12.8H64c-35.35 0-64 28.65-64 64v224c0 35.35 28.65 64 64 64h384c35.35 0 64-28.65 64-64V288c0-17.67-14.33-32-32-32zM128 440c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8V328c0-4.42 3.58-8 8-8h16c4.42 0 8 3.58 8 8v112zm96 0c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8V328c0-4.42 3.58-8 8-8h16c4.42 0 8 3.58 8 8v112zm96 0c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8V328c0-4.42 3.58-8 8-8h16c4.42 0 8 3.58 8 8v112zm96 0c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8V328c0-4.42 3.58-8 8-8h16c4.42 0 8 3.58 8 8v112zM64 128c35.35 0 64-28.65 64-64S99.35 0 64 0 0 28.65 0 64s28.65 64 64 64z"}}]})(props);
};
function FaHotdog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M488.56 23.44a80 80 0 0 0-113.12 0l-352 352a80 80 0 1 0 113.12 113.12l352-352a80 80 0 0 0 0-113.12zm-49.93 95.19c-19.6 19.59-37.52 22.67-51.93 25.14C373.76 146 364.4 147.6 352 160s-14 21.76-16.23 34.71c-2.48 14.4-5.55 32.33-25.15 51.92s-37.52 22.67-51.92 25.15C245.75 274 236.4 275.6 224 288s-14 21.75-16.23 34.7c-2.47 14.4-5.54 32.33-25.14 51.92s-37.53 22.68-51.93 25.15C117.76 402 108.4 403.6 96 416a16 16 0 0 1-22.63-22.63c19.6-19.59 37.52-22.67 51.92-25.14 13-2.22 22.3-3.82 34.71-16.23s14-21.75 16.22-34.7c2.48-14.4 5.55-32.33 25.15-51.92s37.52-22.67 51.92-25.14c13-2.22 22.3-3.83 34.7-16.23s14-21.76 16.24-34.71c2.47-14.4 5.54-32.33 25.14-51.92s37.52-22.68 51.92-25.15C394.24 110 403.59 108.41 416 96a16 16 0 0 1 22.63 22.63zM31.44 322.18L322.18 31.44l-11.54-11.55c-25-25-63.85-26.66-86.79-3.72L16.17 223.85c-22.94 22.94-21.27 61.79 3.72 86.78zm449.12-132.36L189.82 480.56l11.54 11.55c25 25 63.85 26.66 86.79 3.72l207.68-207.68c22.94-22.94 21.27-61.79-3.72-86.79z"}}]})(props);
};
function FaHotel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M560 64c8.84 0 16-7.16 16-16V16c0-8.84-7.16-16-16-16H16C7.16 0 0 7.16 0 16v32c0 8.84 7.16 16 16 16h15.98v384H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h240v-80c0-8.8 7.2-16 16-16h32c8.8 0 16 7.2 16 16v80h240c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16h-16V64h16zm-304 44.8c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v38.4c0 6.4-6.4 12.8-12.8 12.8h-38.4c-6.4 0-12.8-6.4-12.8-12.8v-38.4zm0 96c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v38.4c0 6.4-6.4 12.8-12.8 12.8h-38.4c-6.4 0-12.8-6.4-12.8-12.8v-38.4zm-128-96c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v38.4c0 6.4-6.4 12.8-12.8 12.8h-38.4c-6.4 0-12.8-6.4-12.8-12.8v-38.4zM179.2 256h-38.4c-6.4 0-12.8-6.4-12.8-12.8v-38.4c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v38.4c0 6.4-6.4 12.8-12.8 12.8zM192 384c0-53.02 42.98-96 96-96s96 42.98 96 96H192zm256-140.8c0 6.4-6.4 12.8-12.8 12.8h-38.4c-6.4 0-12.8-6.4-12.8-12.8v-38.4c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v38.4zm0-96c0 6.4-6.4 12.8-12.8 12.8h-38.4c-6.4 0-12.8-6.4-12.8-12.8v-38.4c0-6.4 6.4-12.8 12.8-12.8h38.4c6.4 0 12.8 6.4 12.8 12.8v38.4z"}}]})(props);
};
function FaHourglassEnd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M360 64c13.255 0 24-10.745 24-24V24c0-13.255-10.745-24-24-24H24C10.745 0 0 10.745 0 24v16c0 13.255 10.745 24 24 24 0 90.965 51.016 167.734 120.842 192C75.016 280.266 24 357.035 24 448c-13.255 0-24 10.745-24 24v16c0 13.255 10.745 24 24 24h336c13.255 0 24-10.745 24-24v-16c0-13.255-10.745-24-24-24 0-90.965-51.016-167.734-120.842-192C308.984 231.734 360 154.965 360 64zM192 208c-57.787 0-104-66.518-104-144h208c0 77.945-46.51 144-104 144z"}}]})(props);
};
function FaHourglassHalf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M360 0H24C10.745 0 0 10.745 0 24v16c0 13.255 10.745 24 24 24 0 90.965 51.016 167.734 120.842 192C75.016 280.266 24 357.035 24 448c-13.255 0-24 10.745-24 24v16c0 13.255 10.745 24 24 24h336c13.255 0 24-10.745 24-24v-16c0-13.255-10.745-24-24-24 0-90.965-51.016-167.734-120.842-192C308.984 231.734 360 154.965 360 64c13.255 0 24-10.745 24-24V24c0-13.255-10.745-24-24-24zm-75.078 384H99.08c17.059-46.797 52.096-80 92.92-80 40.821 0 75.862 33.196 92.922 80zm.019-256H99.078C91.988 108.548 88 86.748 88 64h208c0 22.805-3.987 44.587-11.059 64z"}}]})(props);
};
function FaHourglassStart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M360 0H24C10.745 0 0 10.745 0 24v16c0 13.255 10.745 24 24 24 0 90.965 51.016 167.734 120.842 192C75.016 280.266 24 357.035 24 448c-13.255 0-24 10.745-24 24v16c0 13.255 10.745 24 24 24h336c13.255 0 24-10.745 24-24v-16c0-13.255-10.745-24-24-24 0-90.965-51.016-167.734-120.842-192C308.984 231.734 360 154.965 360 64c13.255 0 24-10.745 24-24V24c0-13.255-10.745-24-24-24zm-64 448H88c0-77.458 46.204-144 104-144 57.786 0 104 66.517 104 144z"}}]})(props);
};
function FaHourglass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M360 64c13.255 0 24-10.745 24-24V24c0-13.255-10.745-24-24-24H24C10.745 0 0 10.745 0 24v16c0 13.255 10.745 24 24 24 0 90.965 51.016 167.734 120.842 192C75.016 280.266 24 357.035 24 448c-13.255 0-24 10.745-24 24v16c0 13.255 10.745 24 24 24h336c13.255 0 24-10.745 24-24v-16c0-13.255-10.745-24-24-24 0-90.965-51.016-167.734-120.842-192C308.984 231.734 360 154.965 360 64z"}}]})(props);
};
function FaHouseDamage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M288 114.96L69.47 307.71c-1.62 1.46-3.69 2.14-5.47 3.35V496c0 8.84 7.16 16 16 16h149.23L192 439.19l104.11-64-60.16-119.22L384 392.75l-104.11 64L319.81 512H496c8.84 0 16-7.16 16-16V311.1c-1.7-1.16-3.72-1.82-5.26-3.2L288 114.96zm282.69 121.32L512 184.45V48c0-8.84-7.16-16-16-16h-64c-8.84 0-16 7.16-16 16v51.69L314.75 10.31C307.12 3.45 297.56.01 288 0s-19.1 3.41-26.7 10.27L5.31 236.28c-6.57 5.91-7.12 16.02-1.21 22.6l21.4 23.82c5.9 6.57 16.02 7.12 22.6 1.21L277.42 81.63c6.05-5.33 15.12-5.33 21.17 0L527.91 283.9c6.57 5.9 16.69 5.36 22.6-1.21l21.4-23.82c5.9-6.57 5.36-16.69-1.22-22.59z"}}]})(props);
};
function FaHryvnia (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M368 240c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16h-41.86c13.41-28.63 13.74-63.33-4.13-94.05C303.34 49.84 267.1 32 229.96 32h-78.82c-24.32 0-47.86 8.53-66.54 24.09L72.83 65.9c-10.18 8.49-11.56 23.62-3.07 33.8l20.49 24.59c8.49 10.19 23.62 11.56 33.81 3.07l11.73-9.78c4.32-3.6 9.77-5.57 15.39-5.57h83.62c11.69 0 21.2 9.52 21.2 21.2 0 5.91-2.48 11.58-6.81 15.58L219.7 176H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h134.37l-34.67 32H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h41.86c-13.41 28.63-13.74 63.33 4.13 94.05C80.66 462.15 116.9 480 154.04 480h78.82c24.32 0 47.86-8.53 66.54-24.09l11.77-9.81c10.18-8.49 11.56-23.62 3.07-33.8l-20.49-24.59c-8.49-10.19-23.62-11.56-33.81-3.07l-11.75 9.8a23.992 23.992 0 0 1-15.36 5.56H149.2c-11.69 0-21.2-9.52-21.2-21.2 0-5.91 2.48-11.58 6.81-15.58L164.3 336H368c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16H233.63l34.67-32H368z"}}]})(props);
};
function FaICursor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M256 52.048V12.065C256 5.496 250.726.148 244.158.066 211.621-.344 166.469.011 128 37.959 90.266.736 46.979-.114 11.913.114 5.318.157 0 5.519 0 12.114v39.645c0 6.687 5.458 12.078 12.145 11.998C38.111 63.447 96 67.243 96 112.182V224H60c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h36v112c0 44.932-56.075 48.031-83.95 47.959C5.404 447.942 0 453.306 0 459.952v39.983c0 6.569 5.274 11.917 11.842 11.999 32.537.409 77.689.054 116.158-37.894 37.734 37.223 81.021 38.073 116.087 37.845 6.595-.043 11.913-5.405 11.913-12V460.24c0-6.687-5.458-12.078-12.145-11.998C217.889 448.553 160 444.939 160 400V288h36c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12h-36V112.182c0-44.932 56.075-48.213 83.95-48.142 6.646.018 12.05-5.346 12.05-11.992z"}}]})(props);
};
function FaIceCream (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M368 160h-.94a144 144 0 1 0-286.12 0H80a48 48 0 0 0 0 96h288a48 48 0 0 0 0-96zM195.38 493.69a31.52 31.52 0 0 0 57.24 0L352 288H96z"}}]})(props);
};
function FaIcicles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M511.4 37.9C515.1 18.2 500 0 480 0H32C10.6 0-4.8 20.7 1.4 41.2l87.1 273.4c2.5 7.2 12.7 7.2 15.1 0L140 190.5l44.2 187.3c1.9 8.3 13.7 8.3 15.6 0l46.5-196.9 34.1 133.4c2.3 7.6 13 7.6 15.3 0l45.8-172.5 66.7 363.8c1.7 8.6 14 8.6 15.7 0l87.5-467.7z"}}]})(props);
};
function FaIcons (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M116.65 219.35a15.68 15.68 0 0 0 22.65 0l96.75-99.83c28.15-29 26.5-77.1-4.91-103.88C203.75-7.7 163-3.5 137.86 22.44L128 32.58l-9.85-10.14C93.05-3.5 52.25-7.7 24.86 15.64c-31.41 26.78-33 74.85-5 103.88zm143.92 100.49h-48l-7.08-14.24a27.39 27.39 0 0 0-25.66-17.78h-71.71a27.39 27.39 0 0 0-25.66 17.78l-7 14.24h-48A27.45 27.45 0 0 0 0 347.3v137.25A27.44 27.44 0 0 0 27.43 512h233.14A27.45 27.45 0 0 0 288 484.55V347.3a27.45 27.45 0 0 0-27.43-27.46zM144 468a52 52 0 1 1 52-52 52 52 0 0 1-52 52zm355.4-115.9h-60.58l22.36-50.75c2.1-6.65-3.93-13.21-12.18-13.21h-75.59c-6.3 0-11.66 3.9-12.5 9.1l-16.8 106.93c-1 6.3 4.88 11.89 12.5 11.89h62.31l-24.2 83c-1.89 6.65 4.2 12.9 12.23 12.9a13.26 13.26 0 0 0 10.92-5.25l92.4-138.91c4.88-6.91-1.16-15.7-10.87-15.7zM478.08.33L329.51 23.17C314.87 25.42 304 38.92 304 54.83V161.6a83.25 83.25 0 0 0-16-1.7c-35.35 0-64 21.48-64 48s28.65 48 64 48c35.2 0 63.73-21.32 64-47.66V99.66l112-17.22v47.18a83.25 83.25 0 0 0-16-1.7c-35.35 0-64 21.48-64 48s28.65 48 64 48c35.2 0 63.73-21.32 64-47.66V32c0-19.48-16-34.42-33.92-31.67z"}}]})(props);
};
function FaIdBadge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M336 0H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48V48c0-26.5-21.5-48-48-48zM144 32h96c8.8 0 16 7.2 16 16s-7.2 16-16 16h-96c-8.8 0-16-7.2-16-16s7.2-16 16-16zm48 128c35.3 0 64 28.7 64 64s-28.7 64-64 64-64-28.7-64-64 28.7-64 64-64zm112 236.8c0 10.6-10 19.2-22.4 19.2H102.4C90 416 80 407.4 80 396.8v-19.2c0-31.8 30.1-57.6 67.2-57.6h5c12.3 5.1 25.7 8 39.8 8s27.6-2.9 39.8-8h5c37.1 0 67.2 25.8 67.2 57.6v19.2z"}}]})(props);
};
function FaIdCardAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M528 64H384v96H192V64H48C21.5 64 0 85.5 0 112v352c0 26.5 21.5 48 48 48h480c26.5 0 48-21.5 48-48V112c0-26.5-21.5-48-48-48zM288 224c35.3 0 64 28.7 64 64s-28.7 64-64 64-64-28.7-64-64 28.7-64 64-64zm93.3 224H194.7c-10.4 0-18.8-10-15.6-19.8 8.3-25.6 32.4-44.2 60.9-44.2h8.2c12.3 5.1 25.7 8 39.8 8s27.6-2.9 39.8-8h8.2c28.4 0 52.5 18.5 60.9 44.2 3.2 9.8-5.2 19.8-15.6 19.8zM352 32c0-17.7-14.3-32-32-32h-64c-17.7 0-32 14.3-32 32v96h128V32z"}}]})(props);
};
function FaIdCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M528 32H48C21.5 32 0 53.5 0 80v16h576V80c0-26.5-21.5-48-48-48zM0 432c0 26.5 21.5 48 48 48h480c26.5 0 48-21.5 48-48V128H0v304zm352-232c0-4.4 3.6-8 8-8h144c4.4 0 8 3.6 8 8v16c0 4.4-3.6 8-8 8H360c-4.4 0-8-3.6-8-8v-16zm0 64c0-4.4 3.6-8 8-8h144c4.4 0 8 3.6 8 8v16c0 4.4-3.6 8-8 8H360c-4.4 0-8-3.6-8-8v-16zm0 64c0-4.4 3.6-8 8-8h144c4.4 0 8 3.6 8 8v16c0 4.4-3.6 8-8 8H360c-4.4 0-8-3.6-8-8v-16zM176 192c35.3 0 64 28.7 64 64s-28.7 64-64 64-64-28.7-64-64 28.7-64 64-64zM67.1 396.2C75.5 370.5 99.6 352 128 352h8.2c12.3 5.1 25.7 8 39.8 8s27.6-2.9 39.8-8h8.2c28.4 0 52.5 18.5 60.9 44.2 3.2 9.9-5.2 19.8-15.6 19.8H82.7c-10.4 0-18.8-10-15.6-19.8z"}}]})(props);
};
function FaIgloo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M320 33.9c-10.5-1.2-21.2-1.9-32-1.9-99.8 0-187.8 50.8-239.4 128H320V33.9zM96 192H30.3C11.1 230.6 0 274 0 320h96V192zM352 39.4V160h175.4C487.2 99.9 424.8 55.9 352 39.4zM480 320h96c0-46-11.1-89.4-30.3-128H480v128zm-64 64v96h128c17.7 0 32-14.3 32-32v-96H411.5c2.6 10.3 4.5 20.9 4.5 32zm32-192H128v128h49.8c22.2-38.1 63-64 110.2-64s88 25.9 110.2 64H448V192zM0 448c0 17.7 14.3 32 32 32h128v-96c0-11.1 1.9-21.7 4.5-32H0v96zm288-160c-53 0-96 43-96 96v96h192v-96c0-53-43-96-96-96z"}}]})(props);
};
function FaImage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 448H48c-26.51 0-48-21.49-48-48V112c0-26.51 21.49-48 48-48h416c26.51 0 48 21.49 48 48v288c0 26.51-21.49 48-48 48zM112 120c-30.928 0-56 25.072-56 56s25.072 56 56 56 56-25.072 56-56-25.072-56-56-56zM64 384h384V272l-87.515-87.515c-4.686-4.686-12.284-4.686-16.971 0L208 320l-55.515-55.515c-4.686-4.686-12.284-4.686-16.971 0L64 336v48z"}}]})(props);
};
function FaImages (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M480 416v16c0 26.51-21.49 48-48 48H48c-26.51 0-48-21.49-48-48V176c0-26.51 21.49-48 48-48h16v208c0 44.112 35.888 80 80 80h336zm96-80V80c0-26.51-21.49-48-48-48H144c-26.51 0-48 21.49-48 48v256c0 26.51 21.49 48 48 48h384c26.51 0 48-21.49 48-48zM256 128c0 26.51-21.49 48-48 48s-48-21.49-48-48 21.49-48 48-48 48 21.49 48 48zm-96 144l55.515-55.515c4.686-4.686 12.284-4.686 16.971 0L272 256l135.515-135.515c4.686-4.686 12.284-4.686 16.971 0L512 208v112H160v-48z"}}]})(props);
};
function FaInbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M567.938 243.908L462.25 85.374A48.003 48.003 0 0 0 422.311 64H153.689a48 48 0 0 0-39.938 21.374L8.062 243.908A47.994 47.994 0 0 0 0 270.533V400c0 26.51 21.49 48 48 48h480c26.51 0 48-21.49 48-48V270.533a47.994 47.994 0 0 0-8.062-26.625zM162.252 128h251.497l85.333 128H376l-32 64H232l-32-64H76.918l85.334-128z"}}]})(props);
};
function FaIndent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M27.31 363.3l96-96a16 16 0 0 0 0-22.62l-96-96C17.27 138.66 0 145.78 0 160v192c0 14.31 17.33 21.3 27.31 11.3zM432 416H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm3.17-128H204.83A12.82 12.82 0 0 0 192 300.83v38.34A12.82 12.82 0 0 0 204.83 352h230.34A12.82 12.82 0 0 0 448 339.17v-38.34A12.82 12.82 0 0 0 435.17 288zm0-128H204.83A12.82 12.82 0 0 0 192 172.83v38.34A12.82 12.82 0 0 0 204.83 224h230.34A12.82 12.82 0 0 0 448 211.17v-38.34A12.82 12.82 0 0 0 435.17 160zM432 32H16A16 16 0 0 0 0 48v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16z"}}]})(props);
};
function FaIndustry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M475.115 163.781L336 252.309v-68.28c0-18.916-20.931-30.399-36.885-20.248L160 252.309V56c0-13.255-10.745-24-24-24H24C10.745 32 0 42.745 0 56v400c0 13.255 10.745 24 24 24h464c13.255 0 24-10.745 24-24V184.029c0-18.917-20.931-30.399-36.885-20.248z"}}]})(props);
};
function FaInfinity (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M471.1 96C405 96 353.3 137.3 320 174.6 286.7 137.3 235 96 168.9 96 75.8 96 0 167.8 0 256s75.8 160 168.9 160c66.1 0 117.8-41.3 151.1-78.6 33.3 37.3 85 78.6 151.1 78.6 93.1 0 168.9-71.8 168.9-160S564.2 96 471.1 96zM168.9 320c-40.2 0-72.9-28.7-72.9-64s32.7-64 72.9-64c38.2 0 73.4 36.1 94 64-20.4 27.6-55.9 64-94 64zm302.2 0c-38.2 0-73.4-36.1-94-64 20.4-27.6 55.9-64 94-64 40.2 0 72.9 28.7 72.9 64s-32.7 64-72.9 64z"}}]})(props);
};
function FaInfoCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119.043 8 8 119.083 8 256c0 136.997 111.043 248 248 248s248-111.003 248-248C504 119.083 392.957 8 256 8zm0 110c23.196 0 42 18.804 42 42s-18.804 42-42 42-42-18.804-42-42 18.804-42 42-42zm56 254c0 6.627-5.373 12-12 12h-88c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h12v-64h-12c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h64c6.627 0 12 5.373 12 12v100h12c6.627 0 12 5.373 12 12v24z"}}]})(props);
};
function FaInfo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 192 512"},"child":[{"tag":"path","attr":{"d":"M20 424.229h20V279.771H20c-11.046 0-20-8.954-20-20V212c0-11.046 8.954-20 20-20h112c11.046 0 20 8.954 20 20v212.229h20c11.046 0 20 8.954 20 20V492c0 11.046-8.954 20-20 20H20c-11.046 0-20-8.954-20-20v-47.771c0-11.046 8.954-20 20-20zM96 0C56.235 0 24 32.235 24 72s32.235 72 72 72 72-32.235 72-72S135.764 0 96 0z"}}]})(props);
};
function FaItalic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M320 48v32a16 16 0 0 1-16 16h-62.76l-80 320H208a16 16 0 0 1 16 16v32a16 16 0 0 1-16 16H16a16 16 0 0 1-16-16v-32a16 16 0 0 1 16-16h62.76l80-320H112a16 16 0 0 1-16-16V48a16 16 0 0 1 16-16h192a16 16 0 0 1 16 16z"}}]})(props);
};
function FaJedi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M535.95308,352c-42.64069,94.17188-137.64086,160-247.9848,160q-6.39844,0-12.84377-.29688C171.15558,506.9375,81.26481,442.23438,40.01474,352H79.93668L21.3272,293.40625a264.82522,264.82522,0,0,1-5.10938-39.42187,273.6653,273.6653,0,0,1,.5-29.98438H63.93665L22.546,182.625A269.79782,269.79782,0,0,1,130.51489,20.54688a16.06393,16.06393,0,0,1,9.28127-3,16.36332,16.36332,0,0,1,13.5,7.25,16.02739,16.02739,0,0,1,1.625,15.09374,138.387,138.387,0,0,0-9.84376,51.26563c0,45.10937,21.04691,86.57813,57.71884,113.73437a16.29989,16.29989,0,0,1,1.20313,25.39063c-26.54692,23.98437-41.17194,56.5-41.17194,91.57813,0,60.03124,42.95319,110.28124,99.89079,121.92187l2.5-65.26563L238.062,397a8.33911,8.33911,0,0,1-10-.75,8.025,8.025,0,0,1-1.39063-9.9375l20.125-33.76562-42.06257-8.73438a7.9898,7.9898,0,0,1,0-15.65625l42.06257-8.71875-20.10941-33.73438a7.99122,7.99122,0,0,1,11.35939-10.71874L268.437,295.64062,279.95265,7.67188a7.97138,7.97138,0,0,1,8-7.67188h.04687a8.02064,8.02064,0,0,1,7.95314,7.70312L307.48394,295.625l30.39068-20.67188a8.08327,8.08327,0,0,1,10,.8125,7.99866,7.99866,0,0,1,1.39062,9.90626L329.12461,319.4375l42.07819,8.73438a7.99373,7.99373,0,0,1,0,15.65624l-42.07819,8.71876,20.1094,33.73437a7.97791,7.97791,0,0,1-1.32812,9.92187A8.25739,8.25739,0,0,1,337.87462,397L310.7027,378.53125l2.5,65.34375c48.48446-9.40625,87.57828-48.15625,97.31267-96.5A123.52652,123.52652,0,0,0,371.9528,230.29688a16.30634,16.30634,0,0,1,1.20313-25.42188c36.65631-27.17188,57.6876-68.60938,57.6876-113.73438a138.01689,138.01689,0,0,0-9.85939-51.3125,15.98132,15.98132,0,0,1,1.60937-15.09374,16.36914,16.36914,0,0,1,13.5-7.23438,16.02453,16.02453,0,0,1,9.25,2.98438A271.26947,271.26947,0,0,1,553.25,182.76562L511.99992,224h46.9532C559.3125,229.76562,560,235.45312,560,241.26562a270.092,270.092,0,0,1-5.125,51.85938L495.98427,352Z"}}]})(props);
};
function FaJoint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M444.34 181.1c22.38 15.68 35.66 41.16 35.66 68.59V280c0 4.42 3.58 8 8 8h48c4.42 0 8-3.58 8-8v-30.31c0-43.24-21.01-83.41-56.34-108.06C463.85 125.02 448 99.34 448 70.31V8c0-4.42-3.58-8-8-8h-48c-4.42 0-8 3.58-8 8v66.4c0 43.69 24.56 81.63 60.34 106.7zM194.97 358.98C126.03 370.07 59.69 394.69 0 432c83.65 52.28 180.3 80 278.94 80h88.57L254.79 380.49c-14.74-17.2-37.45-25.11-59.82-21.51zM553.28 87.09c-5.67-3.8-9.28-9.96-9.28-16.78V8c0-4.42-3.58-8-8-8h-48c-4.42 0-8 3.58-8 8v62.31c0 22.02 10.17 43.41 28.64 55.39C550.79 153.04 576 199.54 576 249.69V280c0 4.42 3.58 8 8 8h48c4.42 0 8-3.58 8-8v-30.31c0-65.44-32.41-126.19-86.72-162.6zM360.89 352.05c-34.4.06-86.81.15-88.21.17l117.8 137.43A63.987 63.987 0 0 0 439.07 512h88.45L409.57 374.4a63.955 63.955 0 0 0-48.68-22.35zM616 352H432l117.99 137.65A63.987 63.987 0 0 0 598.58 512H616c13.25 0 24-10.75 24-24V376c0-13.26-10.75-24-24-24z"}}]})(props);
};
function FaJournalWhills (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M438.40625,377.59375c-3.20313,12.8125-3.20313,57.60937,0,73.60937Q447.9922,460.78907,448,470.40625v16c0,16-12.79688,25.59375-25.59375,25.59375H96c-54.40625,0-96-41.59375-96-96V96C0,41.59375,41.59375,0,96,0H422.40625C438.40625,0,448,9.59375,448,25.59375v332.8125Q448,372.79688,438.40625,377.59375ZM380.79688,384H96c-16,0-32,12.79688-32,32s12.79688,32,32,32H380.79688ZM128.01562,176.01562c0,.51563.14063.98438.14063,1.5l37.10937,32.46876A7.99954,7.99954,0,0,1,160,224h-.01562a9.17678,9.17678,0,0,1-5.25-1.98438L131.14062,201.375C142.6875,250.95312,186.90625,288,240,288s97.3125-37.04688,108.875-86.625l-23.59375,20.64062a8.02516,8.02516,0,0,1-5.26563,1.96876H320a9.14641,9.14641,0,0,1-6.01562-2.71876A9.26508,9.26508,0,0,1,312,216a9.097,9.097,0,0,1,2.73438-6.01562l37.10937-32.46876c.01563-.53124.15625-1,.15625-1.51562,0-11.04688-2.09375-21.51562-5.06251-31.59375l-21.26562,21.25a8.00467,8.00467,0,0,1-11.32812-11.3125l26.42187-26.40625a111.81517,111.81517,0,0,0-46.35937-49.26562,63.02336,63.02336,0,0,1-14.0625,82.64062A55.83846,55.83846,0,0,1,251.625,254.73438l-1.42188-34.28126,12.67188,8.625a3.967,3.967,0,0,0,2.25.6875,3.98059,3.98059,0,0,0,3.43749-6.03124l-8.53124-14.3125,17.90625-3.71876a4.00647,4.00647,0,0,0,0-7.84374l-17.90625-3.71876,8.53124-14.3125a3.98059,3.98059,0,0,0-3.43749-6.03124,4.726,4.726,0,0,0-2.25.67187L248.6875,184.125,244,71.82812a4.00386,4.00386,0,0,0-8,0l-4.625,110.8125-12-8.15624a4.003,4.003,0,0,0-5.68751,5.35937l8.53126,14.3125L204.3125,197.875a3.99686,3.99686,0,0,0,0,7.82812l17.90625,3.73438-8.53126,14.29688a4.72469,4.72469,0,0,0-.56249,2.04687,4.59547,4.59547,0,0,0,1.25,2.90625,4.01059,4.01059,0,0,0,2.75,1.09375,4.09016,4.09016,0,0,0,2.25-.6875l10.35937-7.04687L228.375,254.76562a55.86414,55.86414,0,0,1-28.71875-93.45312,63.01119,63.01119,0,0,1-14.04688-82.65625,111.93158,111.93158,0,0,0-46.375,49.26563l26.42187,26.42187a7.99917,7.99917,0,0,1-11.3125,11.3125l-21.26563-21.26563C130.09375,154.48438,128,164.95312,128.01562,176.01562Z"}}]})(props);
};
function FaKaaba (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M554.12 83.51L318.36 4.93a95.962 95.962 0 0 0-60.71 0L21.88 83.51A32.006 32.006 0 0 0 0 113.87v49.01l265.02-79.51c15.03-4.5 30.92-4.5 45.98 0l265 79.51v-49.01c0-13.77-8.81-26-21.88-30.36zm-279.9 30.52L0 196.3v228.38c0 15 10.42 27.98 25.06 31.24l242.12 53.8a95.937 95.937 0 0 0 41.65 0l242.12-53.8c14.64-3.25 25.06-16.24 25.06-31.24V196.29l-274.2-82.26c-9.04-2.72-18.59-2.72-27.59 0zM128 230.11c0 3.61-2.41 6.77-5.89 7.72l-80 21.82C37.02 261.03 32 257.2 32 251.93v-16.58c0-3.61 2.41-6.77 5.89-7.72l80-21.82c5.09-1.39 10.11 2.44 10.11 7.72v16.58zm144-39.28c0 3.61-2.41 6.77-5.89 7.72l-96 26.18c-5.09 1.39-10.11-2.44-10.11-7.72v-16.58c0-3.61 2.41-6.77 5.89-7.72l96-26.18c5.09-1.39 10.11 2.44 10.11 7.72v16.58zm176 22.7c0-5.28 5.02-9.11 10.11-7.72l80 21.82c3.48.95 5.89 4.11 5.89 7.72v16.58c0 5.28-5.02 9.11-10.11 7.72l-80-21.82a7.997 7.997 0 0 1-5.89-7.72v-16.58zm-144-39.27c0-5.28 5.02-9.11 10.11-7.72l96 26.18c3.48.95 5.89 4.11 5.89 7.72v16.58c0 5.28-5.02 9.11-10.11 7.72l-96-26.18a7.997 7.997 0 0 1-5.89-7.72v-16.58z"}}]})(props);
};
function FaKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M512 176.001C512 273.203 433.202 352 336 352c-11.22 0-22.19-1.062-32.827-3.069l-24.012 27.014A23.999 23.999 0 0 1 261.223 384H224v40c0 13.255-10.745 24-24 24h-40v40c0 13.255-10.745 24-24 24H24c-13.255 0-24-10.745-24-24v-78.059c0-6.365 2.529-12.47 7.029-16.971l161.802-161.802C163.108 213.814 160 195.271 160 176 160 78.798 238.797.001 335.999 0 433.488-.001 512 78.511 512 176.001zM336 128c0 26.51 21.49 48 48 48s48-21.49 48-48-21.49-48-48-48-48 21.49-48 48z"}}]})(props);
};
function FaKeyboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M528 448H48c-26.51 0-48-21.49-48-48V112c0-26.51 21.49-48 48-48h480c26.51 0 48 21.49 48 48v288c0 26.51-21.49 48-48 48zM128 180v-40c0-6.627-5.373-12-12-12H76c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm-336 96v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm-336 96v-40c0-6.627-5.373-12-12-12H76c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm288 0v-40c0-6.627-5.373-12-12-12H172c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h232c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12z"}}]})(props);
};
function FaKhanda (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M415.81 66c-6.37-3.5-14.37-2.33-19.36 3.02a15.974 15.974 0 0 0-1.91 19.52c16.49 26.16 25.2 56.39 25.2 87.41-.19 53.25-26.77 102.69-71.27 132.41l-76.63 53.35v-20.1l44.05-36.09c3.92-4.2 5-10.09 2.81-15.28L310.85 273c33.84-19.26 56.94-55.25 56.94-96.99 0-40.79-22.02-76.13-54.59-95.71l5.22-11.44c2.34-5.53.93-11.83-3.57-16.04L255.86 0l-58.99 52.81c-4.5 4.21-5.9 10.51-3.57 16.04l5.22 11.44c-32.57 19.58-54.59 54.93-54.59 95.72 0 41.75 23.09 77.73 56.94 96.99l-7.85 17.24c-2.19 5.18-1.1 11.07 2.81 15.28l44.05 36.09v19.9l-76.59-53.33C119.02 278.62 92.44 229.19 92.26 176c0-31.08 8.71-61.31 25.2-87.47 3.87-6.16 2.4-13.77-2.59-19.08-5-5.34-13.68-6.2-20.02-2.7C16.32 109.6-22.3 205.3 13.36 295.99c7.07 17.99 17.89 34.38 30.46 49.06l55.97 65.36c4.87 5.69 13.04 7.24 19.65 3.72l79.35-42.23L228 392.23l-47.08 32.78c-1.67-.37-3.23-1.01-5.01-1.01-13.25 0-23.99 10.74-23.99 24 0 13.25 10.74 24 23.99 24 12.1 0 21.69-9.11 23.33-20.76l40.63-28.28v29.95c-9.39 5.57-15.99 15.38-15.99 27.1 0 17.67 14.32 32 31.98 32s31.98-14.33 31.98-32c0-11.71-6.61-21.52-15.99-27.1v-30.15l40.91 28.48C314.41 462.89 324 472 336.09 472c13.25 0 23.99-10.75 23.99-24 0-13.26-10.74-24-23.99-24-1.78 0-3.34.64-5.01 1.01L284 392.23l29.21-20.34 79.35 42.23c6.61 3.52 14.78 1.97 19.65-3.71l52.51-61.31c18.87-22.02 34-47.5 41.25-75.59 21.62-83.66-16.45-167.27-90.16-207.51zm-95.99 110c0 22.3-11.49 41.92-28.83 53.38l-5.65-12.41c-8.75-24.52-8.75-51.04 0-75.56l7.83-17.18c16.07 11.65 26.65 30.45 26.65 51.77zm-127.93 0c0-21.32 10.58-40.12 26.66-51.76l7.83 17.18c8.75 24.52 8.75 51.03 0 75.56l-5.65 12.41c-17.34-11.46-28.84-31.09-28.84-53.39z"}}]})(props);
};
function FaKissBeam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm-39 219.9l-9.5-17c-7.7-13.7-19.2-21.6-31.5-21.6s-23.8 7.9-31.5 21.6l-9.5 17c-4.2 7.4-15.6 4-14.9-4.5 3.3-42.1 32.2-71.4 56-71.4s52.7 29.3 56 71.4c.5 8.5-10.9 12-15.1 4.5zM304 396c0 19.2-28.7 41.5-71.5 44-8.5.8-12.1-11.8-3.6-15.4l17-7.2c13-5.5 20.8-13.5 20.8-21.5s-7.8-16-20.8-21.5l-17-7.2c-6-2.5-6.1-12.2 0-14.8l17-7.2c13-5.5 20.8-13.5 20.8-21.5s-7.8-16-20.8-21.5l-17-7.2c-8.6-3.6-4.8-16.5 3.6-15.4 42.8 2.5 71.5 24.8 71.5 44 0 13-13.4 27.3-35.2 36C290.6 368.7 304 383 304 396zm65-168.1l-9.5-17c-7.7-13.7-19.2-21.6-31.5-21.6s-23.8 7.9-31.5 21.6l-9.5 17c-4.1 7.3-15.6 4-14.9-4.5 3.3-42.1 32.2-71.4 56-71.4s52.7 29.3 56 71.4c.5 8.5-10.9 12-15.1 4.5z"}}]})(props);
};
function FaKissWinkHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 504 512"},"child":[{"tag":"path","attr":{"d":"M501.1 402.5c-8-20.8-31.5-31.5-53.1-25.9l-8.4 2.2-2.3-8.4c-5.9-21.4-27-36.5-49-33-25.2 4-40.6 28.6-34 52.6l22.9 82.6c1.5 5.3 7 8.5 12.4 7.1l83-21.5c24.1-6.3 37.7-31.8 28.5-55.7zm-177.6-4c-5.6-20.3-2.3-42 9-59.7 29.7-46.3 98.7-45.5 127.8 4.3 6.4.1 12.6 1.4 18.6 2.9 10.9-27.9 17.1-58.2 17.1-90C496 119 385 8 248 8S0 119 0 256s111 248 248 248c35.4 0 68.9-7.5 99.4-20.9-.3-.7-23.9-84.6-23.9-84.6zM168 240c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm120 156c0 19.2-28.7 41.5-71.5 44-8.5.8-12.1-11.8-3.6-15.4l17-7.2c13-5.5 20.8-13.5 20.8-21.5s-7.8-16-20.8-21.5l-17-7.2c-6-2.5-5.7-12.3 0-14.8l17-7.2c13-5.5 20.8-13.5 20.8-21.5s-7.8-16-20.8-21.5l-17-7.2c-8.8-3.7-4.6-16.6 3.6-15.4 42.8 2.5 71.5 24.8 71.5 44 0 13-13.4 27.3-35.2 36C274.6 368.7 288 383 288 396zm16-179c-8.3 7.4-21.6.4-19.8-10.8 4-25.2 34.2-42.1 59.9-42.1S400 181 404 206.2c1.7 11.1-11.3 18.3-19.8 10.8l-9.5-8.5c-14.8-13.2-46.2-13.2-61 0L304 217z"}}]})(props);
};
function FaKiss (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm-80 232c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm136 156c0 19.2-28.7 41.5-71.5 44-8.5.8-12.1-11.8-3.6-15.4l17-7.2c13-5.5 20.8-13.5 20.8-21.5s-7.8-16-20.8-21.5l-17-7.2c-6-2.5-6.1-12.2 0-14.8l17-7.2c13-5.5 20.8-13.5 20.8-21.5s-7.8-16-20.8-21.5l-17-7.2c-8.6-3.6-4.8-16.5 3.6-15.4 42.8 2.5 71.5 24.8 71.5 44 0 13-13.4 27.3-35.2 36C290.6 368.7 304 383 304 396zm24-156c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}}]})(props);
};
function FaKiwiBird (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M575.81 217.98C572.64 157.41 518.28 112 457.63 112h-9.37c-52.82 0-104.25-16.25-147.74-46.24-41.99-28.96-96.04-41.62-153.21-28.7C129.3 41.12-.08 78.24 0 224c.04 70.95 38.68 132.8 95.99 166.01V464c0 8.84 7.16 16 16 16h16c8.84 0 16-7.16 16-16v-54.26c15.36 3.96 31.4 6.26 48 6.26 5.44 0 10.68-.73 16-1.18V464c0 8.84 7.16 16 16 16h16c8.84 0 16-7.16 16-16v-59.43c14.24-5.06 27.88-11.39 40.34-19.51C342.07 355.25 393.86 336 448.46 336c25.48 0 16.01-.31 23.05-.78l74.41 136.44c2.86 5.23 8.3 8.34 14.05 8.34 1.31 0 2.64-.16 3.95-.5 7.09-1.8 12.05-8.19 12.05-15.5 0 0 .14-240.24-.16-246.02zM463.97 248c-13.25 0-24-10.75-24-24 0-13.26 10.75-24 24-24s24 10.74 24 24c0 13.25-10.75 24-24 24zm80 153.25l-39.86-73.08c15.12-5.83 28.73-14.6 39.86-25.98v99.06z"}}]})(props);
};
function FaLandmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M501.62 92.11L267.24 2.04a31.958 31.958 0 0 0-22.47 0L10.38 92.11A16.001 16.001 0 0 0 0 107.09V144c0 8.84 7.16 16 16 16h480c8.84 0 16-7.16 16-16v-36.91c0-6.67-4.14-12.64-10.38-14.98zM64 192v160H48c-8.84 0-16 7.16-16 16v48h448v-48c0-8.84-7.16-16-16-16h-16V192h-64v160h-96V192h-64v160h-96V192H64zm432 256H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h480c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16z"}}]})(props);
};
function FaLanguage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M152.1 236.2c-3.5-12.1-7.8-33.2-7.8-33.2h-.5s-4.3 21.1-7.8 33.2l-11.1 37.5H163zM616 96H336v320h280c13.3 0 24-10.7 24-24V120c0-13.3-10.7-24-24-24zm-24 120c0 6.6-5.4 12-12 12h-11.4c-6.9 23.6-21.7 47.4-42.7 69.9 8.4 6.4 17.1 12.5 26.1 18 5.5 3.4 7.3 10.5 4.1 16.2l-7.9 13.9c-3.4 5.9-10.9 7.8-16.7 4.3-12.6-7.8-24.5-16.1-35.4-24.9-10.9 8.7-22.7 17.1-35.4 24.9-5.8 3.5-13.3 1.6-16.7-4.3l-7.9-13.9c-3.2-5.6-1.4-12.8 4.2-16.2 9.3-5.7 18-11.7 26.1-18-7.9-8.4-14.9-17-21-25.7-4-5.7-2.2-13.6 3.7-17.1l6.5-3.9 7.3-4.3c5.4-3.2 12.4-1.7 16 3.4 5 7 10.8 14 17.4 20.9 13.5-14.2 23.8-28.9 30-43.2H412c-6.6 0-12-5.4-12-12v-16c0-6.6 5.4-12 12-12h64v-16c0-6.6 5.4-12 12-12h16c6.6 0 12 5.4 12 12v16h64c6.6 0 12 5.4 12 12zM0 120v272c0 13.3 10.7 24 24 24h280V96H24c-13.3 0-24 10.7-24 24zm58.9 216.1L116.4 167c1.7-4.9 6.2-8.1 11.4-8.1h32.5c5.1 0 9.7 3.3 11.4 8.1l57.5 169.1c2.6 7.8-3.1 15.9-11.4 15.9h-22.9a12 12 0 0 1-11.5-8.6l-9.4-31.9h-60.2l-9.1 31.8c-1.5 5.1-6.2 8.7-11.5 8.7H70.3c-8.2 0-14-8.1-11.4-15.9z"}}]})(props);
};
function FaLaptopCode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M255.03 261.65c6.25 6.25 16.38 6.25 22.63 0l11.31-11.31c6.25-6.25 6.25-16.38 0-22.63L253.25 192l35.71-35.72c6.25-6.25 6.25-16.38 0-22.63l-11.31-11.31c-6.25-6.25-16.38-6.25-22.63 0l-58.34 58.34c-6.25 6.25-6.25 16.38 0 22.63l58.35 58.34zm96.01-11.3l11.31 11.31c6.25 6.25 16.38 6.25 22.63 0l58.34-58.34c6.25-6.25 6.25-16.38 0-22.63l-58.34-58.34c-6.25-6.25-16.38-6.25-22.63 0l-11.31 11.31c-6.25 6.25-6.25 16.38 0 22.63L386.75 192l-35.71 35.72c-6.25 6.25-6.25 16.38 0 22.63zM624 416H381.54c-.74 19.81-14.71 32-32.74 32H288c-18.69 0-33.02-17.47-32.77-32H16c-8.8 0-16 7.2-16 16v16c0 35.2 28.8 64 64 64h512c35.2 0 64-28.8 64-64v-16c0-8.8-7.2-16-16-16zM576 48c0-26.4-21.6-48-48-48H112C85.6 0 64 21.6 64 48v336h512V48zm-64 272H128V64h384v256z"}}]})(props);
};
function FaLaptopMedical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M232 224h56v56a8 8 0 0 0 8 8h48a8 8 0 0 0 8-8v-56h56a8 8 0 0 0 8-8v-48a8 8 0 0 0-8-8h-56v-56a8 8 0 0 0-8-8h-48a8 8 0 0 0-8 8v56h-56a8 8 0 0 0-8 8v48a8 8 0 0 0 8 8zM576 48a48.14 48.14 0 0 0-48-48H112a48.14 48.14 0 0 0-48 48v336h512zm-64 272H128V64h384zm112 96H381.54c-.74 19.81-14.71 32-32.74 32H288c-18.69 0-33-17.47-32.77-32H16a16 16 0 0 0-16 16v16a64.19 64.19 0 0 0 64 64h512a64.19 64.19 0 0 0 64-64v-16a16 16 0 0 0-16-16z"}}]})(props);
};
function FaLaptop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624 416H381.54c-.74 19.81-14.71 32-32.74 32H288c-18.69 0-33.02-17.47-32.77-32H16c-8.8 0-16 7.2-16 16v16c0 35.2 28.8 64 64 64h512c35.2 0 64-28.8 64-64v-16c0-8.8-7.2-16-16-16zM576 48c0-26.4-21.6-48-48-48H112C85.6 0 64 21.6 64 48v336h512V48zm-64 272H128V64h384v256z"}}]})(props);
};
function FaLaughBeam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm24 199.4c3.3-42.1 32.2-71.4 56-71.4s52.7 29.3 56 71.4c.7 8.6-10.8 11.9-14.9 4.5l-9.5-17c-7.7-13.7-19.2-21.6-31.5-21.6s-23.8 7.9-31.5 21.6l-9.5 17c-4.2 7.4-15.8 4.1-15.1-4.5zm-160 0c3.3-42.1 32.2-71.4 56-71.4s52.7 29.3 56 71.4c.7 8.6-10.8 11.9-14.9 4.5l-9.5-17c-7.7-13.7-19.2-21.6-31.5-21.6s-23.8 7.9-31.5 21.6l-9.5 17c-4.3 7.4-15.8 4-15.1-4.5zM398.9 306C390 377 329.4 432 256 432h-16c-73.4 0-134-55-142.9-126-1.2-9.5 6.3-18 15.9-18h270c9.6 0 17.1 8.4 15.9 18z"}}]})(props);
};
function FaLaughSquint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm33.8 161.7l80-48c11.6-6.9 24 7.7 15.4 18L343.6 180l33.6 40.3c8.7 10.4-3.9 24.8-15.4 18l-80-48c-7.7-4.7-7.7-15.9 0-20.6zm-163-30c-8.6-10.3 3.8-24.9 15.4-18l80 48c7.8 4.7 7.8 15.9 0 20.6l-80 48c-11.5 6.8-24-7.6-15.4-18l33.6-40.3-33.6-40.3zM398.9 306C390 377 329.4 432 256 432h-16c-73.4 0-134-55-142.9-126-1.2-9.5 6.3-18 15.9-18h270c9.6 0 17.1 8.4 15.9 18z"}}]})(props);
};
function FaLaughWink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm20.1 198.1c4-25.2 34.2-42.1 59.9-42.1s55.9 16.9 59.9 42.1c1.7 11.1-11.4 18.3-19.8 10.8l-9.5-8.5c-14.8-13.2-46.2-13.2-61 0L288 217c-8.4 7.4-21.6.3-19.9-10.9zM168 160c17.7 0 32 14.3 32 32s-14.3 32-32 32-32-14.3-32-32 14.3-32 32-32zm230.9 146C390 377 329.4 432 256 432h-16c-73.4 0-134-55-142.9-126-1.2-9.5 6.3-18 15.9-18h270c9.6 0 17.1 8.4 15.9 18z"}}]})(props);
};
function FaLaugh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm80 152c17.7 0 32 14.3 32 32s-14.3 32-32 32-32-14.3-32-32 14.3-32 32-32zm-160 0c17.7 0 32 14.3 32 32s-14.3 32-32 32-32-14.3-32-32 14.3-32 32-32zm88 272h-16c-73.4 0-134-55-142.9-126-1.2-9.5 6.3-18 15.9-18h270c9.6 0 17.1 8.4 15.9 18-8.9 71-69.5 126-142.9 126z"}}]})(props);
};
function FaLayerGroup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M12.41 148.02l232.94 105.67c6.8 3.09 14.49 3.09 21.29 0l232.94-105.67c16.55-7.51 16.55-32.52 0-40.03L266.65 2.31a25.607 25.607 0 0 0-21.29 0L12.41 107.98c-16.55 7.51-16.55 32.53 0 40.04zm487.18 88.28l-58.09-26.33-161.64 73.27c-7.56 3.43-15.59 5.17-23.86 5.17s-16.29-1.74-23.86-5.17L70.51 209.97l-58.1 26.33c-16.55 7.5-16.55 32.5 0 40l232.94 105.59c6.8 3.08 14.49 3.08 21.29 0L499.59 276.3c16.55-7.5 16.55-32.5 0-40zm0 127.8l-57.87-26.23-161.86 73.37c-7.56 3.43-15.59 5.17-23.86 5.17s-16.29-1.74-23.86-5.17L70.29 337.87 12.41 364.1c-16.55 7.5-16.55 32.5 0 40l232.94 105.59c6.8 3.08 14.49 3.08 21.29 0L499.59 404.1c16.55-7.5 16.55-32.5 0-40z"}}]})(props);
};
function FaLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M546.2 9.7c-5.6-12.5-21.6-13-28.3-1.2C486.9 62.4 431.4 96 368 96h-80C182 96 96 182 96 288c0 7 .8 13.7 1.5 20.5C161.3 262.8 253.4 224 384 224c8.8 0 16 7.2 16 16s-7.2 16-16 16C132.6 256 26 410.1 2.4 468c-6.6 16.3 1.2 34.9 17.5 41.6 16.4 6.8 35-1.1 41.8-17.3 1.5-3.6 20.9-47.9 71.9-90.6 32.4 43.9 94 85.8 174.9 77.2C465.5 467.5 576 326.7 576 154.3c0-50.2-10.8-102.2-29.8-144.6z"}}]})(props);
};
function FaLemon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M489.038 22.963C465.944-.13 434.648-5.93 413.947 6.129c-58.906 34.312-181.25-53.077-321.073 86.746S40.441 355.041 6.129 413.945c-12.059 20.702-6.26 51.999 16.833 75.093 23.095 23.095 54.392 28.891 75.095 16.832 58.901-34.31 181.246 53.079 321.068-86.743S471.56 156.96 505.871 98.056c12.059-20.702 6.261-51.999-16.833-75.093zM243.881 95.522c-58.189 14.547-133.808 90.155-148.358 148.358-1.817 7.27-8.342 12.124-15.511 12.124-1.284 0-2.59-.156-3.893-.481-8.572-2.144-13.784-10.83-11.642-19.403C81.901 166.427 166.316 81.93 236.119 64.478c8.575-2.143 17.261 3.069 19.403 11.642s-3.069 17.259-11.641 19.402z"}}]})(props);
};
function FaLessThanEqual (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M54.98 214.2l301.41 119.87c18.39 6.03 38.71-2.54 45.38-19.15l12.09-30.08c6.68-16.61-2.82-34.97-21.21-41l-175.44-68.05 175.56-68.09c18.29-6 27.74-24.27 21.1-40.79l-12.03-29.92c-6.64-16.53-26.86-25.06-45.15-19.06L54.98 137.89C41.21 142.41 32 154.5 32 168.07v15.96c0 13.56 9.21 25.65 22.98 30.17zM424 400H24c-13.25 0-24 10.74-24 24v48c0 13.25 10.75 24 24 24h400c13.25 0 24-10.75 24-24v-48c0-13.26-10.75-24-24-24z"}}]})(props);
};
function FaLessThan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M365.46 357.74L147.04 255.89l218.47-101.88c16.02-7.47 22.95-26.51 15.48-42.53l-13.52-29C360 66.46 340.96 59.53 324.94 67L18.48 209.91a32.014 32.014 0 0 0-18.48 29v34.24c0 12.44 7.21 23.75 18.48 29l306.31 142.83c16.06 7.49 35.15.54 42.64-15.52l13.56-29.08c7.49-16.06.54-35.15-15.53-42.64z"}}]})(props);
};
function FaLevelDownAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M313.553 392.331L209.587 504.334c-9.485 10.214-25.676 10.229-35.174 0L70.438 392.331C56.232 377.031 67.062 352 88.025 352H152V80H68.024a11.996 11.996 0 0 1-8.485-3.515l-56-56C-4.021 12.926 1.333 0 12.024 0H208c13.255 0 24 10.745 24 24v328h63.966c20.878 0 31.851 24.969 17.587 40.331z"}}]})(props);
};
function FaLevelUpAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M313.553 119.669L209.587 7.666c-9.485-10.214-25.676-10.229-35.174 0L70.438 119.669C56.232 134.969 67.062 160 88.025 160H152v272H68.024a11.996 11.996 0 0 0-8.485 3.515l-56 56C-4.021 499.074 1.333 512 12.024 512H208c13.255 0 24-10.745 24-24V160h63.966c20.878 0 31.851-24.969 17.587-40.331z"}}]})(props);
};
function FaLifeRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119.033 8 8 119.033 8 256s111.033 248 248 248 248-111.033 248-248S392.967 8 256 8zm173.696 119.559l-63.399 63.399c-10.987-18.559-26.67-34.252-45.255-45.255l63.399-63.399a218.396 218.396 0 0 1 45.255 45.255zM256 352c-53.019 0-96-42.981-96-96s42.981-96 96-96 96 42.981 96 96-42.981 96-96 96zM127.559 82.304l63.399 63.399c-18.559 10.987-34.252 26.67-45.255 45.255l-63.399-63.399a218.372 218.372 0 0 1 45.255-45.255zM82.304 384.441l63.399-63.399c10.987 18.559 26.67 34.252 45.255 45.255l-63.399 63.399a218.396 218.396 0 0 1-45.255-45.255zm302.137 45.255l-63.399-63.399c18.559-10.987 34.252-26.67 45.255-45.255l63.399 63.399a218.403 218.403 0 0 1-45.255 45.255z"}}]})(props);
};
function FaLightbulb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 352 512"},"child":[{"tag":"path","attr":{"d":"M96.06 454.35c.01 6.29 1.87 12.45 5.36 17.69l17.09 25.69a31.99 31.99 0 0 0 26.64 14.28h61.71a31.99 31.99 0 0 0 26.64-14.28l17.09-25.69a31.989 31.989 0 0 0 5.36-17.69l.04-38.35H96.01l.05 38.35zM0 176c0 44.37 16.45 84.85 43.56 115.78 16.52 18.85 42.36 58.23 52.21 91.45.04.26.07.52.11.78h160.24c.04-.26.07-.51.11-.78 9.85-33.22 35.69-72.6 52.21-91.45C335.55 260.85 352 220.37 352 176 352 78.61 272.91-.3 175.45 0 73.44.31 0 82.97 0 176zm176-80c-44.11 0-80 35.89-80 80 0 8.84-7.16 16-16 16s-16-7.16-16-16c0-61.76 50.24-112 112-112 8.84 0 16 7.16 16 16s-7.16 16-16 16z"}}]})(props);
};
function FaLink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M326.612 185.391c59.747 59.809 58.927 155.698.36 214.59-.11.12-.24.25-.36.37l-67.2 67.2c-59.27 59.27-155.699 59.262-214.96 0-59.27-59.26-59.27-155.7 0-214.96l37.106-37.106c9.84-9.84 26.786-3.3 27.294 10.606.648 17.722 3.826 35.527 9.69 52.721 1.986 5.822.567 12.262-3.783 16.612l-13.087 13.087c-28.026 28.026-28.905 73.66-1.155 101.96 28.024 28.579 74.086 28.749 102.325.51l67.2-67.19c28.191-28.191 28.073-73.757 0-101.83-3.701-3.694-7.429-6.564-10.341-8.569a16.037 16.037 0 0 1-6.947-12.606c-.396-10.567 3.348-21.456 11.698-29.806l21.054-21.055c5.521-5.521 14.182-6.199 20.584-1.731a152.482 152.482 0 0 1 20.522 17.197zM467.547 44.449c-59.261-59.262-155.69-59.27-214.96 0l-67.2 67.2c-.12.12-.25.25-.36.37-58.566 58.892-59.387 154.781.36 214.59a152.454 152.454 0 0 0 20.521 17.196c6.402 4.468 15.064 3.789 20.584-1.731l21.054-21.055c8.35-8.35 12.094-19.239 11.698-29.806a16.037 16.037 0 0 0-6.947-12.606c-2.912-2.005-6.64-4.875-10.341-8.569-28.073-28.073-28.191-73.639 0-101.83l67.2-67.19c28.239-28.239 74.3-28.069 102.325.51 27.75 28.3 26.872 73.934-1.155 101.96l-13.087 13.087c-4.35 4.35-5.769 10.79-3.783 16.612 5.864 17.194 9.042 34.999 9.69 52.721.509 13.906 17.454 20.446 27.294 10.606l37.106-37.106c59.271-59.259 59.271-155.699.001-214.959z"}}]})(props);
};
function FaLiraSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M371.994 256h-48.019C317.64 256 312 260.912 312 267.246 312 368 230.179 416 144 416V256.781l134.603-29.912A12 12 0 0 0 288 215.155v-40.976c0-7.677-7.109-13.38-14.603-11.714L144 191.219V160.78l134.603-29.912A12 12 0 0 0 288 119.154V78.179c0-7.677-7.109-13.38-14.603-11.714L144 95.219V44c0-6.627-5.373-12-12-12H76c-6.627 0-12 5.373-12 12v68.997L9.397 125.131A12 12 0 0 0 0 136.845v40.976c0 7.677 7.109 13.38 14.603 11.714L64 178.558v30.439L9.397 221.131A12 12 0 0 0 0 232.845v40.976c0 7.677 7.109 13.38 14.603 11.714L64 274.558V468c0 6.627 5.373 12 12 12h79.583c134.091 0 223.255-77.834 228.408-211.592.261-6.782-5.211-12.408-11.997-12.408z"}}]})(props);
};
function FaListAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 480H48c-26.51 0-48-21.49-48-48V80c0-26.51 21.49-48 48-48h416c26.51 0 48 21.49 48 48v352c0 26.51-21.49 48-48 48zM128 120c-22.091 0-40 17.909-40 40s17.909 40 40 40 40-17.909 40-40-17.909-40-40-40zm0 96c-22.091 0-40 17.909-40 40s17.909 40 40 40 40-17.909 40-40-17.909-40-40-40zm0 96c-22.091 0-40 17.909-40 40s17.909 40 40 40 40-17.909 40-40-17.909-40-40-40zm288-136v-32c0-6.627-5.373-12-12-12H204c-6.627 0-12 5.373-12 12v32c0 6.627 5.373 12 12 12h200c6.627 0 12-5.373 12-12zm0 96v-32c0-6.627-5.373-12-12-12H204c-6.627 0-12 5.373-12 12v32c0 6.627 5.373 12 12 12h200c6.627 0 12-5.373 12-12zm0 96v-32c0-6.627-5.373-12-12-12H204c-6.627 0-12 5.373-12 12v32c0 6.627 5.373 12 12 12h200c6.627 0 12-5.373 12-12z"}}]})(props);
};
function FaListOl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M61.77 401l17.5-20.15a19.92 19.92 0 0 0 5.07-14.19v-3.31C84.34 356 80.5 352 73 352H16a8 8 0 0 0-8 8v16a8 8 0 0 0 8 8h22.83a157.41 157.41 0 0 0-11 12.31l-5.61 7c-4 5.07-5.25 10.13-2.8 14.88l1.05 1.93c3 5.76 6.29 7.88 12.25 7.88h4.73c10.33 0 15.94 2.44 15.94 9.09 0 4.72-4.2 8.22-14.36 8.22a41.54 41.54 0 0 1-15.47-3.12c-6.49-3.88-11.74-3.5-15.6 3.12l-5.59 9.31c-3.72 6.13-3.19 11.72 2.63 15.94 7.71 4.69 20.38 9.44 37 9.44 34.16 0 48.5-22.75 48.5-44.12-.03-14.38-9.12-29.76-28.73-34.88zM496 224H176a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h320a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-160H176a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h320a16 16 0 0 0 16-16V80a16 16 0 0 0-16-16zm0 320H176a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h320a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zM16 160h64a8 8 0 0 0 8-8v-16a8 8 0 0 0-8-8H64V40a8 8 0 0 0-8-8H32a8 8 0 0 0-7.14 4.42l-8 16A8 8 0 0 0 24 64h8v64H16a8 8 0 0 0-8 8v16a8 8 0 0 0 8 8zm-3.91 160H80a8 8 0 0 0 8-8v-16a8 8 0 0 0-8-8H41.32c3.29-10.29 48.34-18.68 48.34-56.44 0-29.06-25-39.56-44.47-39.56-21.36 0-33.8 10-40.46 18.75-4.37 5.59-3 10.84 2.8 15.37l8.58 6.88c5.61 4.56 11 2.47 16.12-2.44a13.44 13.44 0 0 1 9.46-3.84c3.33 0 9.28 1.56 9.28 8.75C51 248.19 0 257.31 0 304.59v4C0 316 5.08 320 12.09 320z"}}]})(props);
};
function FaListUl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48 48a48 48 0 1 0 48 48 48 48 0 0 0-48-48zm0 160a48 48 0 1 0 48 48 48 48 0 0 0-48-48zm0 160a48 48 0 1 0 48 48 48 48 0 0 0-48-48zm448 16H176a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h320a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-320H176a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h320a16 16 0 0 0 16-16V80a16 16 0 0 0-16-16zm0 160H176a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h320a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16z"}}]})(props);
};
function FaList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M80 368H16a16 16 0 0 0-16 16v64a16 16 0 0 0 16 16h64a16 16 0 0 0 16-16v-64a16 16 0 0 0-16-16zm0-320H16A16 16 0 0 0 0 64v64a16 16 0 0 0 16 16h64a16 16 0 0 0 16-16V64a16 16 0 0 0-16-16zm0 160H16a16 16 0 0 0-16 16v64a16 16 0 0 0 16 16h64a16 16 0 0 0 16-16v-64a16 16 0 0 0-16-16zm416 176H176a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h320a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-320H176a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h320a16 16 0 0 0 16-16V80a16 16 0 0 0-16-16zm0 160H176a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h320a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16z"}}]})(props);
};
function FaLocationArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M444.52 3.52L28.74 195.42c-47.97 22.39-31.98 92.75 19.19 92.75h175.91v175.91c0 51.17 70.36 67.17 92.75 19.19l191.9-415.78c15.99-38.39-25.59-79.97-63.97-63.97z"}}]})(props);
};
function FaLockOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M423.5 0C339.5.3 272 69.5 272 153.5V224H48c-26.5 0-48 21.5-48 48v192c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V272c0-26.5-21.5-48-48-48h-48v-71.1c0-39.6 31.7-72.5 71.3-72.9 40-.4 72.7 32.1 72.7 72v80c0 13.3 10.7 24 24 24h32c13.3 0 24-10.7 24-24v-80C576 68 507.5-.3 423.5 0z"}}]})(props);
};
function FaLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 224h-24v-72C376 68.2 307.8 0 224 0S72 68.2 72 152v72H48c-26.5 0-48 21.5-48 48v192c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V272c0-26.5-21.5-48-48-48zm-104 0H152v-72c0-39.7 32.3-72 72-72s72 32.3 72 72v72z"}}]})(props);
};
function FaLongArrowAltDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M168 345.941V44c0-6.627-5.373-12-12-12h-56c-6.627 0-12 5.373-12 12v301.941H41.941c-21.382 0-32.09 25.851-16.971 40.971l86.059 86.059c9.373 9.373 24.569 9.373 33.941 0l86.059-86.059c15.119-15.119 4.411-40.971-16.971-40.971H168z"}}]})(props);
};
function FaLongArrowAltLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M134.059 296H436c6.627 0 12-5.373 12-12v-56c0-6.627-5.373-12-12-12H134.059v-46.059c0-21.382-25.851-32.09-40.971-16.971L7.029 239.029c-9.373 9.373-9.373 24.569 0 33.941l86.059 86.059c15.119 15.119 40.971 4.411 40.971-16.971V296z"}}]})(props);
};
function FaLongArrowAltRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M313.941 216H12c-6.627 0-12 5.373-12 12v56c0 6.627 5.373 12 12 12h301.941v46.059c0 21.382 25.851 32.09 40.971 16.971l86.059-86.059c9.373-9.373 9.373-24.569 0-33.941l-86.059-86.059c-15.119-15.119-40.971-4.411-40.971 16.971V216z"}}]})(props);
};
function FaLongArrowAltUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M88 166.059V468c0 6.627 5.373 12 12 12h56c6.627 0 12-5.373 12-12V166.059h46.059c21.382 0 32.09-25.851 16.971-40.971l-86.059-86.059c-9.373-9.373-24.569-9.373-33.941 0l-86.059 86.059c-15.119 15.119-4.411 40.971 16.971 40.971H88z"}}]})(props);
};
function FaLowVision (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M569.344 231.631C512.96 135.949 407.81 72 288 72c-28.468 0-56.102 3.619-82.451 10.409L152.778 10.24c-7.601-10.858-22.564-13.5-33.423-5.9l-13.114 9.178c-10.86 7.601-13.502 22.566-5.9 33.426l43.131 58.395C89.449 131.73 40.228 174.683 6.682 231.581c-.01.017-.023.033-.034.05-8.765 14.875-8.964 33.528 0 48.739 38.5 65.332 99.742 115.862 172.859 141.349L55.316 244.302A272.194 272.194 0 0 1 83.61 208.39l119.4 170.58h.01l40.63 58.04a330.055 330.055 0 0 0 78.94 1.17l-189.98-271.4a277.628 277.628 0 0 1 38.777-21.563l251.836 356.544c7.601 10.858 22.564 13.499 33.423 5.9l13.114-9.178c10.86-7.601 13.502-22.567 5.9-33.426l-43.12-58.377-.007-.009c57.161-27.978 104.835-72.04 136.81-126.301a47.938 47.938 0 0 0 .001-48.739zM390.026 345.94l-19.066-27.23c24.682-32.567 27.711-76.353 8.8-111.68v.03c0 23.65-19.17 42.82-42.82 42.82-23.828 0-42.82-19.349-42.82-42.82 0-23.65 19.17-42.82 42.82-42.82h.03c-24.75-13.249-53.522-15.643-79.51-7.68l-19.068-27.237C253.758 123.306 270.488 120 288 120c75.162 0 136 60.826 136 136 0 34.504-12.833 65.975-33.974 89.94z"}}]})(props);
};
function FaLuggageCart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M224 320h32V96h-32c-17.67 0-32 14.33-32 32v160c0 17.67 14.33 32 32 32zm352-32V128c0-17.67-14.33-32-32-32h-32v224h32c17.67 0 32-14.33 32-32zm48 96H128V16c0-8.84-7.16-16-16-16H16C7.16 0 0 7.16 0 16v32c0 8.84 7.16 16 16 16h48v368c0 8.84 7.16 16 16 16h82.94c-1.79 5.03-2.94 10.36-2.94 16 0 26.51 21.49 48 48 48s48-21.49 48-48c0-5.64-1.15-10.97-2.94-16h197.88c-1.79 5.03-2.94 10.36-2.94 16 0 26.51 21.49 48 48 48s48-21.49 48-48c0-5.64-1.15-10.97-2.94-16H624c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16zM480 96V48c0-26.51-21.49-48-48-48h-96c-26.51 0-48 21.49-48 48v272h192V96zm-48 0h-96V48h96v48z"}}]})(props);
};
function FaMagic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M224 96l16-32 32-16-32-16-16-32-16 32-32 16 32 16 16 32zM80 160l26.66-53.33L160 80l-53.34-26.67L80 0 53.34 53.33 0 80l53.34 26.67L80 160zm352 128l-26.66 53.33L352 368l53.34 26.67L432 448l26.66-53.33L512 368l-53.34-26.67L432 288zm70.62-193.77L417.77 9.38C411.53 3.12 403.34 0 395.15 0c-8.19 0-16.38 3.12-22.63 9.38L9.38 372.52c-12.5 12.5-12.5 32.76 0 45.25l84.85 84.85c6.25 6.25 14.44 9.37 22.62 9.37 8.19 0 16.38-3.12 22.63-9.37l363.14-363.15c12.5-12.48 12.5-32.75 0-45.24zM359.45 203.46l-50.91-50.91 86.6-86.6 50.91 50.91-86.6 86.6z"}}]})(props);
};
function FaMagnet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M164.07 148.1H12a12 12 0 0 1-12-12v-80a36 36 0 0 1 36-36h104a36 36 0 0 1 36 36v80a11.89 11.89 0 0 1-11.93 12zm347.93-12V56a36 36 0 0 0-36-36H372a36 36 0 0 0-36 36v80a12 12 0 0 0 12 12h152a11.89 11.89 0 0 0 12-11.9zm-164 44a12 12 0 0 0-12 12v52c0 128.1-160 127.9-160 0v-52a12 12 0 0 0-12-12H12.1a12 12 0 0 0-12 12.1c.1 21.4.6 40.3 0 53.3 0 150.6 136.17 246.6 256.75 246.6s255-96 255-246.7c-.6-12.8-.2-33 0-53.2a12 12 0 0 0-12-12.1z"}}]})(props);
};
function FaMailBulk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M160 448c-25.6 0-51.2-22.4-64-32-64-44.8-83.2-60.8-96-70.4V480c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32V345.6c-12.8 9.6-32 25.6-96 70.4-12.8 9.6-38.4 32-64 32zm128-192H32c-17.67 0-32 14.33-32 32v16c25.6 19.2 22.4 19.2 115.2 86.4 9.6 6.4 28.8 25.6 44.8 25.6s35.2-19.2 44.8-22.4c92.8-67.2 89.6-67.2 115.2-86.4V288c0-17.67-14.33-32-32-32zm256-96H224c-17.67 0-32 14.33-32 32v32h96c33.21 0 60.59 25.42 63.71 57.82l.29-.22V416h192c17.67 0 32-14.33 32-32V192c0-17.67-14.33-32-32-32zm-32 128h-64v-64h64v64zm-352-96c0-35.29 28.71-64 64-64h224V32c0-17.67-14.33-32-32-32H96C78.33 0 64 14.33 64 32v192h96v-32z"}}]})(props);
};
function FaMale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 192 512"},"child":[{"tag":"path","attr":{"d":"M96 0c35.346 0 64 28.654 64 64s-28.654 64-64 64-64-28.654-64-64S60.654 0 96 0m48 144h-11.36c-22.711 10.443-49.59 10.894-73.28 0H48c-26.51 0-48 21.49-48 48v136c0 13.255 10.745 24 24 24h16v136c0 13.255 10.745 24 24 24h64c13.255 0 24-10.745 24-24V352h16c13.255 0 24-10.745 24-24V192c0-26.51-21.49-48-48-48z"}}]})(props);
};
function FaMapMarkedAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M288 0c-69.59 0-126 56.41-126 126 0 56.26 82.35 158.8 113.9 196.02 6.39 7.54 17.82 7.54 24.2 0C331.65 284.8 414 182.26 414 126 414 56.41 357.59 0 288 0zm0 168c-23.2 0-42-18.8-42-42s18.8-42 42-42 42 18.8 42 42-18.8 42-42 42zM20.12 215.95A32.006 32.006 0 0 0 0 245.66v250.32c0 11.32 11.43 19.06 21.94 14.86L160 448V214.92c-8.84-15.98-16.07-31.54-21.25-46.42L20.12 215.95zM288 359.67c-14.07 0-27.38-6.18-36.51-16.96-19.66-23.2-40.57-49.62-59.49-76.72v182l192 64V266c-18.92 27.09-39.82 53.52-59.49 76.72-9.13 10.77-22.44 16.95-36.51 16.95zm266.06-198.51L416 224v288l139.88-55.95A31.996 31.996 0 0 0 576 426.34V176.02c0-11.32-11.43-19.06-21.94-14.86z"}}]})(props);
};
function FaMapMarked (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M288 0c-69.59 0-126 56.41-126 126 0 56.26 82.35 158.8 113.9 196.02 6.39 7.54 17.82 7.54 24.2 0C331.65 284.8 414 182.26 414 126 414 56.41 357.59 0 288 0zM20.12 215.95A32.006 32.006 0 0 0 0 245.66v250.32c0 11.32 11.43 19.06 21.94 14.86L160 448V214.92c-8.84-15.98-16.07-31.54-21.25-46.42L20.12 215.95zM288 359.67c-14.07 0-27.38-6.18-36.51-16.96-19.66-23.2-40.57-49.62-59.49-76.72v182l192 64V266c-18.92 27.09-39.82 53.52-59.49 76.72-9.13 10.77-22.44 16.95-36.51 16.95zm266.06-198.51L416 224v288l139.88-55.95A31.996 31.996 0 0 0 576 426.34V176.02c0-11.32-11.43-19.06-21.94-14.86z"}}]})(props);
};
function FaMapMarkerAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0zM192 272c44.183 0 80-35.817 80-80s-35.817-80-80-80-80 35.817-80 80 35.817 80 80 80z"}}]})(props);
};
function FaMapMarker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M172.268 501.67C26.97 291.031 0 269.413 0 192 0 85.961 85.961 0 192 0s192 85.961 192 192c0 77.413-26.97 99.031-172.268 309.67-9.535 13.774-29.93 13.773-39.464 0z"}}]})(props);
};
function FaMapPin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 288 512"},"child":[{"tag":"path","attr":{"d":"M112 316.94v156.69l22.02 33.02c4.75 7.12 15.22 7.12 19.97 0L176 473.63V316.94c-10.39 1.92-21.06 3.06-32 3.06s-21.61-1.14-32-3.06zM144 0C64.47 0 0 64.47 0 144s64.47 144 144 144 144-64.47 144-144S223.53 0 144 0zm0 76c-37.5 0-68 30.5-68 68 0 6.62-5.38 12-12 12s-12-5.38-12-12c0-50.73 41.28-92 92-92 6.62 0 12 5.38 12 12s-5.38 12-12 12z"}}]})(props);
};
function FaMapSigns (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M507.31 84.69L464 41.37c-6-6-14.14-9.37-22.63-9.37H288V16c0-8.84-7.16-16-16-16h-32c-8.84 0-16 7.16-16 16v16H56c-13.25 0-24 10.75-24 24v80c0 13.25 10.75 24 24 24h385.37c8.49 0 16.62-3.37 22.63-9.37l43.31-43.31c6.25-6.26 6.25-16.38 0-22.63zM224 496c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16V384h-64v112zm232-272H288v-32h-64v32H70.63c-8.49 0-16.62 3.37-22.63 9.37L4.69 276.69c-6.25 6.25-6.25 16.38 0 22.63L48 342.63c6 6 14.14 9.37 22.63 9.37H456c13.25 0 24-10.75 24-24v-80c0-13.25-10.75-24-24-24z"}}]})(props);
};
function FaMap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M0 117.66v346.32c0 11.32 11.43 19.06 21.94 14.86L160 416V32L20.12 87.95A32.006 32.006 0 0 0 0 117.66zM192 416l192 64V96L192 32v384zM554.06 33.16L416 96v384l139.88-55.95A31.996 31.996 0 0 0 576 394.34V48.02c0-11.32-11.43-19.06-21.94-14.86z"}}]})(props);
};
function FaMarker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M93.95 290.03A327.038 327.038 0 0 0 .17 485.11l-.03.23c-1.7 15.28 11.21 28.2 26.49 26.51a327.02 327.02 0 0 0 195.34-93.8l75.4-75.4-128.02-128.02-75.4 75.4zM485.49 26.51c-35.35-35.35-92.67-35.35-128.02 0l-21.76 21.76-36.56-36.55c-15.62-15.62-40.95-15.62-56.56 0L138.47 115.84c-6.25 6.25-6.25 16.38 0 22.63l22.62 22.62c6.25 6.25 16.38 6.25 22.63 0l87.15-87.15 19.59 19.59L191.98 192 320 320.02l165.49-165.49c35.35-35.35 35.35-92.66 0-128.02z"}}]})(props);
};
function FaMarsDouble (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M340 0h-79c-10.7 0-16 12.9-8.5 20.5l16.9 16.9-48.7 48.7C198.5 72.1 172.2 64 144 64 64.5 64 0 128.5 0 208s64.5 144 144 144 144-64.5 144-144c0-28.2-8.1-54.5-22.1-76.7l48.7-48.7 16.9 16.9c2.4 2.4 5.5 3.5 8.4 3.5 6.2 0 12.1-4.8 12.1-12V12c0-6.6-5.4-12-12-12zM144 288c-44.1 0-80-35.9-80-80s35.9-80 80-80 80 35.9 80 80-35.9 80-80 80zm356-128.1h-79c-10.7 0-16 12.9-8.5 20.5l16.9 16.9-48.7 48.7c-18.2-11.4-39-18.9-61.5-21.3-2.1 21.8-8.2 43.3-18.4 63.3 1.1 0 2.2-.1 3.2-.1 44.1 0 80 35.9 80 80s-35.9 80-80 80-80-35.9-80-80c0-1.1 0-2.2.1-3.2-20 10.2-41.5 16.4-63.3 18.4C168.4 455.6 229.6 512 304 512c79.5 0 144-64.5 144-144 0-28.2-8.1-54.5-22.1-76.7l48.7-48.7 16.9 16.9c2.4 2.4 5.4 3.5 8.4 3.5 6.2 0 12.1-4.8 12.1-12v-79c0-6.7-5.4-12.1-12-12.1z"}}]})(props);
};
function FaMarsStrokeH (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 480 512"},"child":[{"tag":"path","attr":{"d":"M476.2 247.5l-55.9-55.9c-7.6-7.6-20.5-2.2-20.5 8.5V224H376v-20c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v20h-27.6c-5.8-25.6-18.7-49.9-38.6-69.8C189.6 98 98.4 98 42.2 154.2c-56.2 56.2-56.2 147.4 0 203.6 56.2 56.2 147.4 56.2 203.6 0 19.9-19.9 32.8-44.2 38.6-69.8H312v20c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12v-20h23.9v23.9c0 10.7 12.9 16 20.5 8.5l55.9-55.9c4.6-4.7 4.6-12.3-.1-17zm-275.6 65.1c-31.2 31.2-81.9 31.2-113.1 0-31.2-31.2-31.2-81.9 0-113.1 31.2-31.2 81.9-31.2 113.1 0 31.2 31.1 31.2 81.9 0 113.1z"}}]})(props);
};
function FaMarsStrokeV (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 288 512"},"child":[{"tag":"path","attr":{"d":"M245.8 234.2c-19.9-19.9-44.2-32.8-69.8-38.6v-25.4h20c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-20V81.4h23.9c10.7 0 16-12.9 8.5-20.5L152.5 5.1c-4.7-4.7-12.3-4.7-17 0L79.6 61c-7.6 7.6-2.2 20.5 8.5 20.5H112v24.7H92c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h20v25.4c-25.6 5.8-49.9 18.7-69.8 38.6-56.2 56.2-56.2 147.4 0 203.6 56.2 56.2 147.4 56.2 203.6 0 56.3-56.2 56.3-147.4 0-203.6zm-45.2 158.4c-31.2 31.2-81.9 31.2-113.1 0-31.2-31.2-31.2-81.9 0-113.1 31.2-31.2 81.9-31.2 113.1 0 31.2 31.1 31.2 81.9 0 113.1z"}}]})(props);
};
function FaMarsStroke (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M372 64h-79c-10.7 0-16 12.9-8.5 20.5l16.9 16.9-17.5 17.5-14.1-14.1c-4.7-4.7-12.3-4.7-17 0L224.5 133c-4.7 4.7-4.7 12.3 0 17l14.1 14.1-18 18c-22.2-14-48.5-22.1-76.7-22.1C64.5 160 0 224.5 0 304s64.5 144 144 144 144-64.5 144-144c0-28.2-8.1-54.5-22.1-76.7l18-18 14.1 14.1c4.7 4.7 12.3 4.7 17 0l28.3-28.3c4.7-4.7 4.7-12.3 0-17L329.2 164l17.5-17.5 16.9 16.9c7.6 7.6 20.5 2.2 20.5-8.5V76c-.1-6.6-5.5-12-12.1-12zM144 384c-44.1 0-80-35.9-80-80s35.9-80 80-80 80 35.9 80 80-35.9 80-80 80z"}}]})(props);
};
function FaMars (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M372 64h-79c-10.7 0-16 12.9-8.5 20.5l16.9 16.9-80.7 80.7c-22.2-14-48.5-22.1-76.7-22.1C64.5 160 0 224.5 0 304s64.5 144 144 144 144-64.5 144-144c0-28.2-8.1-54.5-22.1-76.7l80.7-80.7 16.9 16.9c7.6 7.6 20.5 2.2 20.5-8.5V76c0-6.6-5.4-12-12-12zM144 384c-44.1 0-80-35.9-80-80s35.9-80 80-80 80 35.9 80 80-35.9 80-80 80z"}}]})(props);
};
function FaMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M320.67 64c-442.6 0-357.57 384-158.46 384 39.9 0 77.47-20.69 101.42-55.86l25.73-37.79c15.66-22.99 46.97-22.99 62.63 0l25.73 37.79C401.66 427.31 439.23 448 479.13 448c189.86 0 290.63-384-158.46-384zM184 308.36c-41.06 0-67.76-25.66-80.08-41.05-5.23-6.53-5.23-16.09 0-22.63 12.32-15.4 39.01-41.05 80.08-41.05s67.76 25.66 80.08 41.05c5.23 6.53 5.23 16.09 0 22.63-12.32 15.4-39.02 41.05-80.08 41.05zm272 0c-41.06 0-67.76-25.66-80.08-41.05-5.23-6.53-5.23-16.09 0-22.63 12.32-15.4 39.01-41.05 80.08-41.05s67.76 25.66 80.08 41.05c5.23 6.53 5.23 16.09 0 22.63-12.32 15.4-39.02 41.05-80.08 41.05z"}}]})(props);
};
function FaMedal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M223.75 130.75L154.62 15.54A31.997 31.997 0 0 0 127.18 0H16.03C3.08 0-4.5 14.57 2.92 25.18l111.27 158.96c29.72-27.77 67.52-46.83 109.56-53.39zM495.97 0H384.82c-11.24 0-21.66 5.9-27.44 15.54l-69.13 115.21c42.04 6.56 79.84 25.62 109.56 53.38L509.08 25.18C516.5 14.57 508.92 0 495.97 0zM256 160c-97.2 0-176 78.8-176 176s78.8 176 176 176 176-78.8 176-176-78.8-176-176-176zm92.52 157.26l-37.93 36.96 8.97 52.22c1.6 9.36-8.26 16.51-16.65 12.09L256 393.88l-46.9 24.65c-8.4 4.45-18.25-2.74-16.65-12.09l8.97-52.22-37.93-36.96c-6.82-6.64-3.05-18.23 6.35-19.59l52.43-7.64 23.43-47.52c2.11-4.28 6.19-6.39 10.28-6.39 4.11 0 8.22 2.14 10.33 6.39l23.43 47.52 52.43 7.64c9.4 1.36 13.17 12.95 6.35 19.59z"}}]})(props);
};
function FaMedkit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96 480h320V128h-32V80c0-26.51-21.49-48-48-48H176c-26.51 0-48 21.49-48 48v48H96v352zm96-384h128v32H192V96zm320 80v256c0 26.51-21.49 48-48 48h-16V128h16c26.51 0 48 21.49 48 48zM64 480H48c-26.51 0-48-21.49-48-48V176c0-26.51 21.49-48 48-48h16v352zm288-208v32c0 8.837-7.163 16-16 16h-48v48c0 8.837-7.163 16-16 16h-32c-8.837 0-16-7.163-16-16v-48h-48c-8.837 0-16-7.163-16-16v-32c0-8.837 7.163-16 16-16h48v-48c0-8.837 7.163-16 16-16h32c8.837 0 16 7.163 16 16v48h48c8.837 0 16 7.163 16 16z"}}]})(props);
};
function FaMehBlank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm-80 232c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm160 0c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}}]})(props);
};
function FaMehRollingEyes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zM88 224c0-24.3 13.7-45.2 33.6-56-.7 2.6-1.6 5.2-1.6 8 0 17.7 14.3 32 32 32s32-14.3 32-32c0-2.8-.9-5.4-1.6-8 19.9 10.8 33.6 31.7 33.6 56 0 35.3-28.7 64-64 64s-64-28.7-64-64zm224 176H184c-21.2 0-21.2-32 0-32h128c21.2 0 21.2 32 0 32zm32-112c-35.3 0-64-28.7-64-64 0-24.3 13.7-45.2 33.6-56-.7 2.6-1.6 5.2-1.6 8 0 17.7 14.3 32 32 32s32-14.3 32-32c0-2.8-.9-5.4-1.6-8 19.9 10.8 33.6 31.7 33.6 56 0 35.3-28.7 64-64 64z"}}]})(props);
};
function FaMeh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm-80 168c17.7 0 32 14.3 32 32s-14.3 32-32 32-32-14.3-32-32 14.3-32 32-32zm176 192H152c-21.2 0-21.2-32 0-32h192c21.2 0 21.2 32 0 32zm-16-128c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}}]})(props);
};
function FaMemory (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M640 130.94V96c0-17.67-14.33-32-32-32H32C14.33 64 0 78.33 0 96v34.94c18.6 6.61 32 24.19 32 45.06s-13.4 38.45-32 45.06V320h640v-98.94c-18.6-6.61-32-24.19-32-45.06s13.4-38.45 32-45.06zM224 256h-64V128h64v128zm128 0h-64V128h64v128zm128 0h-64V128h64v128zM0 448h64v-26.67c0-8.84 7.16-16 16-16s16 7.16 16 16V448h128v-26.67c0-8.84 7.16-16 16-16s16 7.16 16 16V448h128v-26.67c0-8.84 7.16-16 16-16s16 7.16 16 16V448h128v-26.67c0-8.84 7.16-16 16-16s16 7.16 16 16V448h64v-96H0v96z"}}]})(props);
};
function FaMenorah (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M144 128h-32c-8.84 0-16 7.16-16 16v144h64V144c0-8.84-7.16-16-16-16zm96 0h-32c-8.84 0-16 7.16-16 16v144h64V144c0-8.84-7.16-16-16-16zm192 0h-32c-8.84 0-16 7.16-16 16v144h64V144c0-8.84-7.16-16-16-16zm96 0h-32c-8.84 0-16 7.16-16 16v144h64V144c0-8.84-7.16-16-16-16zm80-32c17.67 0 32-14.33 32-32S608 0 608 0s-32 46.33-32 64 14.33 32 32 32zm-96 0c17.67 0 32-14.33 32-32S512 0 512 0s-32 46.33-32 64 14.33 32 32 32zm-96 0c17.67 0 32-14.33 32-32S416 0 416 0s-32 46.33-32 64 14.33 32 32 32zm-96 0c17.67 0 32-14.33 32-32S320 0 320 0s-32 46.33-32 64 14.33 32 32 32zm-96 0c17.67 0 32-14.33 32-32S224 0 224 0s-32 46.33-32 64 14.33 32 32 32zm-96 0c17.67 0 32-14.33 32-32S128 0 128 0 96 46.33 96 64s14.33 32 32 32zm-96 0c17.67 0 32-14.33 32-32S32 0 32 0 0 46.33 0 64s14.33 32 32 32zm544 192c0 17.67-14.33 32-32 32H352V144c0-8.84-7.16-16-16-16h-32c-8.84 0-16 7.16-16 16v176H96c-17.67 0-32-14.33-32-32V144c0-8.84-7.16-16-16-16H16c-8.84 0-16 7.16-16 16v144c0 53.02 42.98 96 96 96h192v64H112c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h416c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16H352v-64h192c53.02 0 96-42.98 96-96V144c0-8.84-7.16-16-16-16h-32c-8.84 0-16 7.16-16 16v144z"}}]})(props);
};
function FaMercury (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 288 512"},"child":[{"tag":"path","attr":{"d":"M288 208c0-44.2-19.9-83.7-51.2-110.1 2.5-1.8 4.9-3.8 7.2-5.8 24.7-21.2 39.8-48.8 43.2-78.8.9-7.1-4.7-13.3-11.9-13.3h-40.5C229 0 224.1 4.1 223 9.8c-2.4 12.5-9.6 24.3-20.7 33.8C187 56.8 166.3 64 144 64s-43-7.2-58.4-20.4C74.5 34.1 67.4 22.3 64.9 9.8 63.8 4.1 58.9 0 53.2 0H12.7C5.5 0-.1 6.2.8 13.3 4.2 43.4 19.2 71 44 92.2c2.3 2 4.7 3.9 7.2 5.8C19.9 124.3 0 163.8 0 208c0 68.5 47.9 125.9 112 140.4V400H76c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h36v36c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12v-36h36c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-36v-51.6c64.1-14.5 112-71.9 112-140.4zm-224 0c0-44.1 35.9-80 80-80s80 35.9 80 80-35.9 80-80 80-80-35.9-80-80z"}}]})(props);
};
function FaMeteor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M511.328,20.8027c-11.60759,38.70264-34.30724,111.70173-61.30311,187.70077,6.99893,2.09372,13.4042,4,18.60653,5.59368a16.06158,16.06158,0,0,1,9.49854,22.906c-22.106,42.29635-82.69047,152.795-142.47819,214.40356-.99984,1.09373-1.99969,2.5-2.99954,3.49995A194.83046,194.83046,0,1,1,57.085,179.41009c.99985-1,2.40588-2,3.49947-3,61.59994-59.90549,171.97367-120.40473,214.37343-142.4982a16.058,16.058,0,0,1,22.90274,9.49988c1.59351,5.09368,3.49947,11.5936,5.5929,18.59351C379.34818,35.00565,452.43074,12.30281,491.12794.70921A16.18325,16.18325,0,0,1,511.328,20.8027ZM319.951,320.00207A127.98041,127.98041,0,1,0,191.97061,448.00046,127.97573,127.97573,0,0,0,319.951,320.00207Zm-127.98041-31.9996a31.9951,31.9951,0,1,1-31.9951-31.9996A31.959,31.959,0,0,1,191.97061,288.00247Zm31.9951,79.999a15.99755,15.99755,0,1,1-15.99755-15.9998A16.04975,16.04975,0,0,1,223.96571,368.00147Z"}}]})(props);
};
function FaMicrochip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 48v416c0 26.51-21.49 48-48 48H144c-26.51 0-48-21.49-48-48V48c0-26.51 21.49-48 48-48h224c26.51 0 48 21.49 48 48zm96 58v12a6 6 0 0 1-6 6h-18v6a6 6 0 0 1-6 6h-42V88h42a6 6 0 0 1 6 6v6h18a6 6 0 0 1 6 6zm0 96v12a6 6 0 0 1-6 6h-18v6a6 6 0 0 1-6 6h-42v-48h42a6 6 0 0 1 6 6v6h18a6 6 0 0 1 6 6zm0 96v12a6 6 0 0 1-6 6h-18v6a6 6 0 0 1-6 6h-42v-48h42a6 6 0 0 1 6 6v6h18a6 6 0 0 1 6 6zm0 96v12a6 6 0 0 1-6 6h-18v6a6 6 0 0 1-6 6h-42v-48h42a6 6 0 0 1 6 6v6h18a6 6 0 0 1 6 6zM30 376h42v48H30a6 6 0 0 1-6-6v-6H6a6 6 0 0 1-6-6v-12a6 6 0 0 1 6-6h18v-6a6 6 0 0 1 6-6zm0-96h42v48H30a6 6 0 0 1-6-6v-6H6a6 6 0 0 1-6-6v-12a6 6 0 0 1 6-6h18v-6a6 6 0 0 1 6-6zm0-96h42v48H30a6 6 0 0 1-6-6v-6H6a6 6 0 0 1-6-6v-12a6 6 0 0 1 6-6h18v-6a6 6 0 0 1 6-6zm0-96h42v48H30a6 6 0 0 1-6-6v-6H6a6 6 0 0 1-6-6v-12a6 6 0 0 1 6-6h18v-6a6 6 0 0 1 6-6z"}}]})(props);
};
function FaMicrophoneAltSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M633.82 458.1L476.26 336.33C488.74 312.21 496 284.98 496 256v-48c0-8.84-7.16-16-16-16h-16c-8.84 0-16 7.16-16 16v48c0 17.92-3.96 34.8-10.72 50.2l-26.55-20.52c3.1-9.4 5.28-19.22 5.28-29.67h-43.67l-41.4-32H416v-32h-85.33c-5.89 0-10.67-3.58-10.67-8v-16c0-4.42 4.78-8 10.67-8H416v-32h-85.33c-5.89 0-10.67-3.58-10.67-8v-16c0-4.42 4.78-8 10.67-8H416c0-53.02-42.98-96-96-96s-96 42.98-96 96v45.36L45.47 3.37C38.49-2.05 28.43-.8 23.01 6.18L3.37 31.45C-2.05 38.42-.8 48.47 6.18 53.9l588.36 454.73c6.98 5.43 17.03 4.17 22.46-2.81l19.64-25.27c5.41-6.97 4.16-17.02-2.82-22.45zM400 464h-56v-33.78c11.71-1.62 23.1-4.28 33.96-8.08l-50.4-38.96c-6.71.4-13.41.87-20.35.2-55.85-5.45-98.74-48.63-111.18-101.85L144 241.31v6.85c0 89.64 63.97 169.55 152 181.69V464h-56c-8.84 0-16 7.16-16 16v16c0 8.84 7.16 16 16 16h160c8.84 0 16-7.16 16-16v-16c0-8.84-7.16-16-16-16z"}}]})(props);
};
function FaMicrophoneAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 352 512"},"child":[{"tag":"path","attr":{"d":"M336 192h-16c-8.84 0-16 7.16-16 16v48c0 74.8-64.49 134.82-140.79 127.38C96.71 376.89 48 317.11 48 250.3V208c0-8.84-7.16-16-16-16H16c-8.84 0-16 7.16-16 16v40.16c0 89.64 63.97 169.55 152 181.69V464H96c-8.84 0-16 7.16-16 16v16c0 8.84 7.16 16 16 16h160c8.84 0 16-7.16 16-16v-16c0-8.84-7.16-16-16-16h-56v-33.77C285.71 418.47 352 344.9 352 256v-48c0-8.84-7.16-16-16-16zM176 352c53.02 0 96-42.98 96-96h-85.33c-5.89 0-10.67-3.58-10.67-8v-16c0-4.42 4.78-8 10.67-8H272v-32h-85.33c-5.89 0-10.67-3.58-10.67-8v-16c0-4.42 4.78-8 10.67-8H272v-32h-85.33c-5.89 0-10.67-3.58-10.67-8v-16c0-4.42 4.78-8 10.67-8H272c0-53.02-42.98-96-96-96S80 42.98 80 96v160c0 53.02 42.98 96 96 96z"}}]})(props);
};
function FaMicrophoneSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M633.82 458.1l-157.8-121.96C488.61 312.13 496 285.01 496 256v-48c0-8.84-7.16-16-16-16h-16c-8.84 0-16 7.16-16 16v48c0 17.92-3.96 34.8-10.72 50.2l-26.55-20.52c3.1-9.4 5.28-19.22 5.28-29.67V96c0-53.02-42.98-96-96-96s-96 42.98-96 96v45.36L45.47 3.37C38.49-2.05 28.43-.8 23.01 6.18L3.37 31.45C-2.05 38.42-.8 48.47 6.18 53.9l588.36 454.73c6.98 5.43 17.03 4.17 22.46-2.81l19.64-25.27c5.41-6.97 4.16-17.02-2.82-22.45zM400 464h-56v-33.77c11.66-1.6 22.85-4.54 33.67-8.31l-50.11-38.73c-6.71.4-13.41.87-20.35.2-55.85-5.45-98.74-48.63-111.18-101.85L144 241.31v6.85c0 89.64 63.97 169.55 152 181.69V464h-56c-8.84 0-16 7.16-16 16v16c0 8.84 7.16 16 16 16h160c8.84 0 16-7.16 16-16v-16c0-8.84-7.16-16-16-16z"}}]})(props);
};
function FaMicrophone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 352 512"},"child":[{"tag":"path","attr":{"d":"M176 352c53.02 0 96-42.98 96-96V96c0-53.02-42.98-96-96-96S80 42.98 80 96v160c0 53.02 42.98 96 96 96zm160-160h-16c-8.84 0-16 7.16-16 16v48c0 74.8-64.49 134.82-140.79 127.38C96.71 376.89 48 317.11 48 250.3V208c0-8.84-7.16-16-16-16H16c-8.84 0-16 7.16-16 16v40.16c0 89.64 63.97 169.55 152 181.69V464H96c-8.84 0-16 7.16-16 16v16c0 8.84 7.16 16 16 16h160c8.84 0 16-7.16 16-16v-16c0-8.84-7.16-16-16-16h-56v-33.77C285.71 418.47 352 344.9 352 256v-48c0-8.84-7.16-16-16-16z"}}]})(props);
};
function FaMicroscope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160 320h12v16c0 8.84 7.16 16 16 16h40c8.84 0 16-7.16 16-16v-16h12c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32V16c0-8.84-7.16-16-16-16h-64c-8.84 0-16 7.16-16 16v16c-17.67 0-32 14.33-32 32v224c0 17.67 14.33 32 32 32zm304 128h-1.29C493.24 413.99 512 369.2 512 320c0-105.88-86.12-192-192-192v64c70.58 0 128 57.42 128 128s-57.42 128-128 128H48c-26.51 0-48 21.49-48 48 0 8.84 7.16 16 16 16h480c8.84 0 16-7.16 16-16 0-26.51-21.49-48-48-48zm-360-32h208c4.42 0 8-3.58 8-8v-16c0-4.42-3.58-8-8-8H104c-4.42 0-8 3.58-8 8v16c0 4.42 3.58 8 8 8z"}}]})(props);
};
function FaMinusCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zM124 296c-6.6 0-12-5.4-12-12v-56c0-6.6 5.4-12 12-12h264c6.6 0 12 5.4 12 12v56c0 6.6-5.4 12-12 12H124z"}}]})(props);
};
function FaMinusSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM92 296c-6.6 0-12-5.4-12-12v-56c0-6.6 5.4-12 12-12h264c6.6 0 12 5.4 12 12v56c0 6.6-5.4 12-12 12H92z"}}]})(props);
};
function FaMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M416 208H32c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h384c17.67 0 32-14.33 32-32v-32c0-17.67-14.33-32-32-32z"}}]})(props);
};
function FaMitten (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M368 416H48c-8.8 0-16 7.2-16 16v64c0 8.8 7.2 16 16 16h320c8.8 0 16-7.2 16-16v-64c0-8.8-7.2-16-16-16zm57-209.1c-27.2-22.6-67.5-19-90.1 8.2l-20.9 25-29.6-128.4c-18-77.5-95.4-125.9-172.8-108C34.2 21.6-14.2 98.9 3.7 176.4L51.6 384h309l72.5-87c22.7-27.2 19-67.5-8.1-90.1z"}}]})(props);
};
function FaMobileAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M272 0H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h224c26.5 0 48-21.5 48-48V48c0-26.5-21.5-48-48-48zM160 480c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm112-108c0 6.6-5.4 12-12 12H60c-6.6 0-12-5.4-12-12V60c0-6.6 5.4-12 12-12h200c6.6 0 12 5.4 12 12v312z"}}]})(props);
};
function FaMobile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M272 0H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h224c26.5 0 48-21.5 48-48V48c0-26.5-21.5-48-48-48zM160 480c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}}]})(props);
};
function FaMoneyBillAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M352 288h-16v-88c0-4.42-3.58-8-8-8h-13.58c-4.74 0-9.37 1.4-13.31 4.03l-15.33 10.22a7.994 7.994 0 0 0-2.22 11.09l8.88 13.31a7.994 7.994 0 0 0 11.09 2.22l.47-.31V288h-16c-4.42 0-8 3.58-8 8v16c0 4.42 3.58 8 8 8h64c4.42 0 8-3.58 8-8v-16c0-4.42-3.58-8-8-8zM608 64H32C14.33 64 0 78.33 0 96v320c0 17.67 14.33 32 32 32h576c17.67 0 32-14.33 32-32V96c0-17.67-14.33-32-32-32zM48 400v-64c35.35 0 64 28.65 64 64H48zm0-224v-64h64c0 35.35-28.65 64-64 64zm272 192c-53.02 0-96-50.15-96-112 0-61.86 42.98-112 96-112s96 50.14 96 112c0 61.87-43 112-96 112zm272 32h-64c0-35.35 28.65-64 64-64v64zm0-224c-35.35 0-64-28.65-64-64h64v64z"}}]})(props);
};
function FaMoneyBillWaveAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M621.16 54.46C582.37 38.19 543.55 32 504.75 32c-123.17-.01-246.33 62.34-369.5 62.34-30.89 0-61.76-3.92-92.65-13.72-3.47-1.1-6.95-1.62-10.35-1.62C15.04 79 0 92.32 0 110.81v317.26c0 12.63 7.23 24.6 18.84 29.46C57.63 473.81 96.45 480 135.25 480c123.17 0 246.34-62.35 369.51-62.35 30.89 0 61.76 3.92 92.65 13.72 3.47 1.1 6.95 1.62 10.35 1.62 17.21 0 32.25-13.32 32.25-31.81V83.93c-.01-12.64-7.24-24.6-18.85-29.47zM320 352c-44.19 0-80-42.99-80-96 0-53.02 35.82-96 80-96s80 42.98 80 96c0 53.03-35.83 96-80 96z"}}]})(props);
};
function FaMoneyBillWave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M621.16 54.46C582.37 38.19 543.55 32 504.75 32c-123.17-.01-246.33 62.34-369.5 62.34-30.89 0-61.76-3.92-92.65-13.72-3.47-1.1-6.95-1.62-10.35-1.62C15.04 79 0 92.32 0 110.81v317.26c0 12.63 7.23 24.6 18.84 29.46C57.63 473.81 96.45 480 135.25 480c123.17 0 246.34-62.35 369.51-62.35 30.89 0 61.76 3.92 92.65 13.72 3.47 1.1 6.95 1.62 10.35 1.62 17.21 0 32.25-13.32 32.25-31.81V83.93c-.01-12.64-7.24-24.6-18.85-29.47zM48 132.22c20.12 5.04 41.12 7.57 62.72 8.93C104.84 170.54 79 192.69 48 192.69v-60.47zm0 285v-47.78c34.37 0 62.18 27.27 63.71 61.4-22.53-1.81-43.59-6.31-63.71-13.62zM320 352c-44.19 0-80-42.99-80-96 0-53.02 35.82-96 80-96s80 42.98 80 96c0 53.03-35.83 96-80 96zm272 27.78c-17.52-4.39-35.71-6.85-54.32-8.44 5.87-26.08 27.5-45.88 54.32-49.28v57.72zm0-236.11c-30.89-3.91-54.86-29.7-55.81-61.55 19.54 2.17 38.09 6.23 55.81 12.66v48.89z"}}]})(props);
};
function FaMoneyBill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M608 64H32C14.33 64 0 78.33 0 96v320c0 17.67 14.33 32 32 32h576c17.67 0 32-14.33 32-32V96c0-17.67-14.33-32-32-32zM48 400v-64c35.35 0 64 28.65 64 64H48zm0-224v-64h64c0 35.35-28.65 64-64 64zm272 176c-44.19 0-80-42.99-80-96 0-53.02 35.82-96 80-96s80 42.98 80 96c0 53.03-35.83 96-80 96zm272 48h-64c0-35.35 28.65-64 64-64v64zm0-224c-35.35 0-64-28.65-64-64h64v64z"}}]})(props);
};
function FaMoneyCheckAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M608 32H32C14.33 32 0 46.33 0 64v384c0 17.67 14.33 32 32 32h576c17.67 0 32-14.33 32-32V64c0-17.67-14.33-32-32-32zM176 327.88V344c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8v-16.29c-11.29-.58-22.27-4.52-31.37-11.35-3.9-2.93-4.1-8.77-.57-12.14l11.75-11.21c2.77-2.64 6.89-2.76 10.13-.73 3.87 2.42 8.26 3.72 12.82 3.72h28.11c6.5 0 11.8-5.92 11.8-13.19 0-5.95-3.61-11.19-8.77-12.73l-45-13.5c-18.59-5.58-31.58-23.42-31.58-43.39 0-24.52 19.05-44.44 42.67-45.07V152c0-4.42 3.58-8 8-8h16c4.42 0 8 3.58 8 8v16.29c11.29.58 22.27 4.51 31.37 11.35 3.9 2.93 4.1 8.77.57 12.14l-11.75 11.21c-2.77 2.64-6.89 2.76-10.13.73-3.87-2.43-8.26-3.72-12.82-3.72h-28.11c-6.5 0-11.8 5.92-11.8 13.19 0 5.95 3.61 11.19 8.77 12.73l45 13.5c18.59 5.58 31.58 23.42 31.58 43.39 0 24.53-19.05 44.44-42.67 45.07zM416 312c0 4.42-3.58 8-8 8H296c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h112c4.42 0 8 3.58 8 8v16zm160 0c0 4.42-3.58 8-8 8h-80c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h80c4.42 0 8 3.58 8 8v16zm0-96c0 4.42-3.58 8-8 8H296c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h272c4.42 0 8 3.58 8 8v16z"}}]})(props);
};
function FaMoneyCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M0 448c0 17.67 14.33 32 32 32h576c17.67 0 32-14.33 32-32V128H0v320zm448-208c0-8.84 7.16-16 16-16h96c8.84 0 16 7.16 16 16v32c0 8.84-7.16 16-16 16h-96c-8.84 0-16-7.16-16-16v-32zm0 120c0-4.42 3.58-8 8-8h112c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8H456c-4.42 0-8-3.58-8-8v-16zM64 264c0-4.42 3.58-8 8-8h304c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8H72c-4.42 0-8-3.58-8-8v-16zm0 96c0-4.42 3.58-8 8-8h176c4.42 0 8 3.58 8 8v16c0 4.42-3.58 8-8 8H72c-4.42 0-8-3.58-8-8v-16zM624 32H16C7.16 32 0 39.16 0 48v48h640V48c0-8.84-7.16-16-16-16z"}}]})(props);
};
function FaMonument (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M368 448H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h352c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16zm-78.86-347.26a31.97 31.97 0 0 0-9.21-19.44L203.31 4.69c-6.25-6.25-16.38-6.25-22.63 0l-76.6 76.61a31.97 31.97 0 0 0-9.21 19.44L64 416h256l-30.86-315.26zM240 307.2c0 6.4-6.4 12.8-12.8 12.8h-70.4c-6.4 0-12.8-6.4-12.8-12.8v-38.4c0-6.4 6.4-12.8 12.8-12.8h70.4c6.4 0 12.8 6.4 12.8 12.8v38.4z"}}]})(props);
};
function FaMoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M283.211 512c78.962 0 151.079-35.925 198.857-94.792 7.068-8.708-.639-21.43-11.562-19.35-124.203 23.654-238.262-71.576-238.262-196.954 0-72.222 38.662-138.635 101.498-174.394 9.686-5.512 7.25-20.197-3.756-22.23A258.156 258.156 0 0 0 283.211 0c-141.309 0-256 114.511-256 256 0 141.309 114.511 256 256 256z"}}]})(props);
};
function FaMortarPestle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M501.54 60.91c17.22-17.22 12.51-46.25-9.27-57.14a35.696 35.696 0 0 0-37.37 3.37L251.09 160h151.37l99.08-99.09zM496 192H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h16c0 80.98 50.2 150.11 121.13 178.32-12.76 16.87-21.72 36.8-24.95 58.69-1.46 9.92 6.04 18.98 16.07 18.98h223.5c10.03 0 17.53-9.06 16.07-18.98-3.22-21.89-12.18-41.82-24.95-58.69C429.8 406.11 480 336.98 480 256h16c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16z"}}]})(props);
};
function FaMosque (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M0 480c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V160H0v320zm579.16-192c17.86-17.39 28.84-37.34 28.84-58.91 0-52.86-41.79-93.79-87.92-122.9-41.94-26.47-80.63-57.77-111.96-96.22L400 0l-8.12 9.97c-31.33 38.45-70.01 69.76-111.96 96.22C233.79 135.3 192 176.23 192 229.09c0 21.57 10.98 41.52 28.84 58.91h358.32zM608 320H192c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h32v-64c0-17.67 14.33-32 32-32s32 14.33 32 32v64h64v-72c0-48 48-72 48-72s48 24 48 72v72h64v-64c0-17.67 14.33-32 32-32s32 14.33 32 32v64h32c17.67 0 32-14.33 32-32V352c0-17.67-14.33-32-32-32zM64 0S0 32 0 96v32h128V96c0-64-64-96-64-96z"}}]})(props);
};
function FaMotorcycle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M512.9 192c-14.9-.1-29.1 2.3-42.4 6.9L437.6 144H520c13.3 0 24-10.7 24-24V88c0-13.3-10.7-24-24-24h-45.3c-6.8 0-13.3 2.9-17.8 7.9l-37.5 41.7-22.8-38C392.2 68.4 384.4 64 376 64h-80c-8.8 0-16 7.2-16 16v16c0 8.8 7.2 16 16 16h66.4l19.2 32H227.9c-17.7-23.1-44.9-40-99.9-40H72.5C59 104 47.7 115 48 128.5c.2 13 10.9 23.5 24 23.5h56c24.5 0 38.7 10.9 47.8 24.8l-11.3 20.5c-13-3.9-26.9-5.7-41.3-5.2C55.9 194.5 1.6 249.6 0 317c-1.6 72.1 56.3 131 128 131 59.6 0 109.7-40.8 124-96h84.2c13.7 0 24.6-11.4 24-25.1-2.1-47.1 17.5-93.7 56.2-125l12.5 20.8c-27.6 23.7-45.1 58.9-44.8 98.2.5 69.6 57.2 126.5 126.8 127.1 71.6.7 129.8-57.5 129.2-129.1-.7-69.6-57.6-126.4-127.2-126.9zM128 400c-44.1 0-80-35.9-80-80s35.9-80 80-80c4.2 0 8.4.3 12.5 1L99 316.4c-8.8 16 2.8 35.6 21 35.6h81.3c-12.4 28.2-40.6 48-73.3 48zm463.9-75.6c-2.2 40.6-35 73.4-75.5 75.5-46.1 2.5-84.4-34.3-84.4-79.9 0-21.4 8.4-40.8 22.1-55.1l49.4 82.4c4.5 7.6 14.4 10 22 5.5l13.7-8.2c7.6-4.5 10-14.4 5.5-22l-48.6-80.9c5.2-1.1 10.5-1.6 15.9-1.6 45.6-.1 82.3 38.2 79.9 84.3z"}}]})(props);
};
function FaMountain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M634.92 462.7l-288-448C341.03 5.54 330.89 0 320 0s-21.03 5.54-26.92 14.7l-288 448a32.001 32.001 0 0 0-1.17 32.64A32.004 32.004 0 0 0 32 512h576c11.71 0 22.48-6.39 28.09-16.67a31.983 31.983 0 0 0-1.17-32.63zM320 91.18L405.39 224H320l-64 64-38.06-38.06L320 91.18z"}}]})(props);
};
function FaMousePointer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M302.189 329.126H196.105l55.831 135.993c3.889 9.428-.555 19.999-9.444 23.999l-49.165 21.427c-9.165 4-19.443-.571-23.332-9.714l-53.053-129.136-86.664 89.138C18.729 472.71 0 463.554 0 447.977V18.299C0 1.899 19.921-6.096 30.277 5.443l284.412 292.542c11.472 11.179 3.007 31.141-12.5 31.141z"}}]})(props);
};
function FaMouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M0 352a160 160 0 0 0 160 160h64a160 160 0 0 0 160-160V224H0zM176 0h-16A160 160 0 0 0 0 160v32h176zm48 0h-16v192h176v-32A160 160 0 0 0 224 0z"}}]})(props);
};
function FaMugHot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M127.1 146.5c1.3 7.7 8 13.5 16 13.5h16.5c9.8 0 17.6-8.5 16.3-18-3.8-28.2-16.4-54.2-36.6-74.7-14.4-14.7-23.6-33.3-26.4-53.5C111.8 5.9 105 0 96.8 0H80.4C70.6 0 63 8.5 64.1 18c3.9 31.9 18 61.3 40.6 84.4 12 12.2 19.7 27.5 22.4 44.1zm112 0c1.3 7.7 8 13.5 16 13.5h16.5c9.8 0 17.6-8.5 16.3-18-3.8-28.2-16.4-54.2-36.6-74.7-14.4-14.7-23.6-33.3-26.4-53.5C223.8 5.9 217 0 208.8 0h-16.4c-9.8 0-17.5 8.5-16.3 18 3.9 31.9 18 61.3 40.6 84.4 12 12.2 19.7 27.5 22.4 44.1zM400 192H32c-17.7 0-32 14.3-32 32v192c0 53 43 96 96 96h192c53 0 96-43 96-96h16c61.8 0 112-50.2 112-112s-50.2-112-112-112zm0 160h-16v-96h16c26.5 0 48 21.5 48 48s-21.5 48-48 48z"}}]})(props);
};
function FaMusic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M470.38 1.51L150.41 96A32 32 0 0 0 128 126.51v261.41A139 139 0 0 0 96 384c-53 0-96 28.66-96 64s43 64 96 64 96-28.66 96-64V214.32l256-75v184.61a138.4 138.4 0 0 0-32-3.93c-53 0-96 28.66-96 64s43 64 96 64 96-28.65 96-64V32a32 32 0 0 0-41.62-30.49z"}}]})(props);
};
function FaNetworkWired (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M640 264v-16c0-8.84-7.16-16-16-16H344v-40h72c17.67 0 32-14.33 32-32V32c0-17.67-14.33-32-32-32H224c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h72v40H16c-8.84 0-16 7.16-16 16v16c0 8.84 7.16 16 16 16h104v40H64c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V352c0-17.67-14.33-32-32-32h-56v-40h304v40h-56c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h160c17.67 0 32-14.33 32-32V352c0-17.67-14.33-32-32-32h-56v-40h104c8.84 0 16-7.16 16-16zM256 128V64h128v64H256zm-64 320H96v-64h96v64zm352 0h-96v-64h96v64z"}}]})(props);
};
function FaNeuter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 288 512"},"child":[{"tag":"path","attr":{"d":"M288 176c0-79.5-64.5-144-144-144S0 96.5 0 176c0 68.5 47.9 125.9 112 140.4V468c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12V316.4c64.1-14.5 112-71.9 112-140.4zm-144 80c-44.1 0-80-35.9-80-80s35.9-80 80-80 80 35.9 80 80-35.9 80-80 80z"}}]})(props);
};
function FaNewspaper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M552 64H88c-13.255 0-24 10.745-24 24v8H24c-13.255 0-24 10.745-24 24v272c0 30.928 25.072 56 56 56h472c26.51 0 48-21.49 48-48V88c0-13.255-10.745-24-24-24zM56 400a8 8 0 0 1-8-8V144h16v248a8 8 0 0 1-8 8zm236-16H140c-6.627 0-12-5.373-12-12v-8c0-6.627 5.373-12 12-12h152c6.627 0 12 5.373 12 12v8c0 6.627-5.373 12-12 12zm208 0H348c-6.627 0-12-5.373-12-12v-8c0-6.627 5.373-12 12-12h152c6.627 0 12 5.373 12 12v8c0 6.627-5.373 12-12 12zm-208-96H140c-6.627 0-12-5.373-12-12v-8c0-6.627 5.373-12 12-12h152c6.627 0 12 5.373 12 12v8c0 6.627-5.373 12-12 12zm208 0H348c-6.627 0-12-5.373-12-12v-8c0-6.627 5.373-12 12-12h152c6.627 0 12 5.373 12 12v8c0 6.627-5.373 12-12 12zm0-96H140c-6.627 0-12-5.373-12-12v-40c0-6.627 5.373-12 12-12h360c6.627 0 12 5.373 12 12v40c0 6.627-5.373 12-12 12z"}}]})(props);
};
function FaNotEqual (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M416 208c17.67 0 32-14.33 32-32v-32c0-17.67-14.33-32-32-32h-23.88l51.87-66.81c5.37-7.02 4.04-17.06-2.97-22.43L415.61 3.3c-7.02-5.38-17.06-4.04-22.44 2.97L311.09 112H32c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h204.56l-74.53 96H32c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h55.49l-51.87 66.81c-5.37 7.01-4.04 17.05 2.97 22.43L64 508.7c7.02 5.38 17.06 4.04 22.43-2.97L168.52 400H416c17.67 0 32-14.33 32-32v-32c0-17.67-14.33-32-32-32H243.05l74.53-96H416z"}}]})(props);
};
function FaNotesMedical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M336 64h-80c0-35.3-28.7-64-64-64s-64 28.7-64 64H48C21.5 64 0 85.5 0 112v352c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48V112c0-26.5-21.5-48-48-48zM192 40c13.3 0 24 10.7 24 24s-10.7 24-24 24-24-10.7-24-24 10.7-24 24-24zm96 304c0 4.4-3.6 8-8 8h-56v56c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-56h-56c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h56v-56c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v56h56c4.4 0 8 3.6 8 8v48zm0-192c0 4.4-3.6 8-8 8H104c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h176c4.4 0 8 3.6 8 8v16z"}}]})(props);
};
function FaObjectGroup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 128V96h20c6.627 0 12-5.373 12-12V44c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v20H64V44c0-6.627-5.373-12-12-12H12C5.373 32 0 37.373 0 44v40c0 6.627 5.373 12 12 12h20v320H12c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12v-20h384v20c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12h-20V128zM96 276V140c0-6.627 5.373-12 12-12h168c6.627 0 12 5.373 12 12v136c0 6.627-5.373 12-12 12H108c-6.627 0-12-5.373-12-12zm320 96c0 6.627-5.373 12-12 12H236c-6.627 0-12-5.373-12-12v-52h72c13.255 0 24-10.745 24-24v-72h84c6.627 0 12 5.373 12 12v136z"}}]})(props);
};
function FaObjectUngroup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M64 320v26a6 6 0 0 1-6 6H6a6 6 0 0 1-6-6v-52a6 6 0 0 1 6-6h26V96H6a6 6 0 0 1-6-6V38a6 6 0 0 1 6-6h52a6 6 0 0 1 6 6v26h288V38a6 6 0 0 1 6-6h52a6 6 0 0 1 6 6v52a6 6 0 0 1-6 6h-26v192h26a6 6 0 0 1 6 6v52a6 6 0 0 1-6 6h-52a6 6 0 0 1-6-6v-26H64zm480-64v-32h26a6 6 0 0 0 6-6v-52a6 6 0 0 0-6-6h-52a6 6 0 0 0-6 6v26H408v72h8c13.255 0 24 10.745 24 24v64c0 13.255-10.745 24-24 24h-64c-13.255 0-24-10.745-24-24v-8H192v72h-26a6 6 0 0 0-6 6v52a6 6 0 0 0 6 6h52a6 6 0 0 0 6-6v-26h288v26a6 6 0 0 0 6 6h52a6 6 0 0 0 6-6v-52a6 6 0 0 0-6-6h-26V256z"}}]})(props);
};
function FaOilCan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M629.8 160.31L416 224l-50.49-25.24a64.07 64.07 0 0 0-28.62-6.76H280v-48h56c8.84 0 16-7.16 16-16v-16c0-8.84-7.16-16-16-16H176c-8.84 0-16 7.16-16 16v16c0 8.84 7.16 16 16 16h56v48h-56L37.72 166.86a31.9 31.9 0 0 0-5.79-.53C14.67 166.33 0 180.36 0 198.34v94.95c0 15.46 11.06 28.72 26.28 31.48L96 337.46V384c0 17.67 14.33 32 32 32h274.63c8.55 0 16.75-3.42 22.76-9.51l212.26-214.75c1.5-1.5 2.34-3.54 2.34-5.66V168c.01-5.31-5.08-9.15-10.19-7.69zM96 288.67l-48-8.73v-62.43l48 8.73v62.43zm453.33 84.66c0 23.56 19.1 42.67 42.67 42.67s42.67-19.1 42.67-42.67S592 288 592 288s-42.67 61.77-42.67 85.33z"}}]})(props);
};
function FaOm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M360.6 60.94a10.43 10.43 0 0 0 14.76 0l21.57-21.56a10.43 10.43 0 0 0 0-14.76L375.35 3.06c-4.08-4.07-10.68-4.07-14.76 0l-21.57 21.56a10.43 10.43 0 0 0 0 14.76l21.58 21.56zM412.11 192c-26.69 0-51.77 10.39-70.64 29.25l-24.25 24.25c-6.78 6.77-15.78 10.5-25.38 10.5H245c10.54-22.1 14.17-48.11 7.73-75.23-10.1-42.55-46.36-76.11-89.52-83.19-36.15-5.93-70.9 5.04-96.01 28.78-7.36 6.96-6.97 18.85 1.12 24.93l26.15 19.63c5.72 4.3 13.66 4.32 19.2-.21 8.45-6.9 19.02-10.71 30.27-10.71 26.47 0 48.01 21.53 48.01 48s-21.54 48-48.01 48h-31.9c-11.96 0-19.74 12.58-14.39 23.28l16.09 32.17c2.53 5.06 7.6 8.1 13.17 8.55h33.03c35.3 0 64.01 28.7 64.01 64s-28.71 64-64.01 64c-96.02 0-122.35-54.02-145.15-92.03-4.53-7.55-14.77-3.58-14.79 5.22C-.09 416 41.13 512 159.94 512c70.59 0 128.02-57.42 128.02-128 0-23.42-6.78-45.1-17.81-64h21.69c26.69 0 51.77-10.39 70.64-29.25l24.25-24.25c6.78-6.77 15.78-10.5 25.38-10.5 19.78 0 35.88 16.09 35.88 35.88V392c0 13.23-18.77 24-32.01 24-39.4 0-66.67-24.24-81.82-42.89-4.77-5.87-14.2-2.54-14.2 5.02V416s0 64 96.02 64c48.54 0 96.02-39.47 96.02-88V291.88c0-55.08-44.8-99.88-99.89-99.88zm42.18-124.73c-85.55 65.12-169.05 2.75-172.58.05-6.02-4.62-14.44-4.38-20.14.55-5.74 4.92-7.27 13.17-3.66 19.8 1.61 2.95 40.37 72.34 118.8 72.34 79.92 0 98.78-31.36 101.75-37.66 1.02-2.12 1.53-4.47 1.53-6.83V80c0-13.22-15.14-20.69-25.7-12.73z"}}]})(props);
};
function FaOtter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M608 32h-32l-13.25-13.25A63.97 63.97 0 0 0 517.49 0H497c-11.14 0-22.08 2.91-31.75 8.43L312 96h-56C149.96 96 64 181.96 64 288v1.61c0 32.75-16 62.14-39.56 84.89-18.19 17.58-28.1 43.68-23.19 71.8 6.76 38.8 42.9 65.7 82.28 65.7H192c17.67 0 32-14.33 32-32s-14.33-32-32-32H80c-8.83 0-16-7.17-16-16s7.17-16 16-16h224c8.84 0 16-7.16 16-16v-16c0-17.67-14.33-32-32-32h-64l149.49-80.5L448 416h80c8.84 0 16-7.16 16-16v-16c0-17.67-14.33-32-32-32h-28.22l-55.11-110.21L521.14 192H544c53.02 0 96-42.98 96-96V64c0-17.67-14.33-32-32-32zm-96 16c8.84 0 16 7.16 16 16s-7.16 16-16 16-16-7.16-16-16 7.16-16 16-16zm32 96h-34.96L407.2 198.84l-13.77-27.55L512 112h77.05c-6.62 18.58-24.22 32-45.05 32z"}}]})(props);
};
function FaOutdent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M100.69 363.29c10 10 27.31 2.93 27.31-11.31V160c0-14.32-17.33-21.31-27.31-11.31l-96 96a16 16 0 0 0 0 22.62zM432 416H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm3.17-128H204.83A12.82 12.82 0 0 0 192 300.83v38.34A12.82 12.82 0 0 0 204.83 352h230.34A12.82 12.82 0 0 0 448 339.17v-38.34A12.82 12.82 0 0 0 435.17 288zm0-128H204.83A12.82 12.82 0 0 0 192 172.83v38.34A12.82 12.82 0 0 0 204.83 224h230.34A12.82 12.82 0 0 0 448 211.17v-38.34A12.82 12.82 0 0 0 435.17 160zM432 32H16A16 16 0 0 0 0 48v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16z"}}]})(props);
};
function FaPager (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 64H64a64 64 0 0 0-64 64v256a64 64 0 0 0 64 64h384a64 64 0 0 0 64-64V128a64 64 0 0 0-64-64zM160 368H80a16 16 0 0 1-16-16v-16a16 16 0 0 1 16-16h80zm128-16a16 16 0 0 1-16 16h-80v-48h80a16 16 0 0 1 16 16zm160-128a32 32 0 0 1-32 32H96a32 32 0 0 1-32-32v-64a32 32 0 0 1 32-32h320a32 32 0 0 1 32 32z"}}]})(props);
};
function FaPaintBrush (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M167.02 309.34c-40.12 2.58-76.53 17.86-97.19 72.3-2.35 6.21-8 9.98-14.59 9.98-11.11 0-45.46-27.67-55.25-34.35C0 439.62 37.93 512 128 512c75.86 0 128-43.77 128-120.19 0-3.11-.65-6.08-.97-9.13l-88.01-73.34zM457.89 0c-15.16 0-29.37 6.71-40.21 16.45C213.27 199.05 192 203.34 192 257.09c0 13.7 3.25 26.76 8.73 38.7l63.82 53.18c7.21 1.8 14.64 3.03 22.39 3.03 62.11 0 98.11-45.47 211.16-256.46 7.38-14.35 13.9-29.85 13.9-45.99C512 20.64 486 0 457.89 0z"}}]})(props);
};
function FaPaintRoller (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 128V32c0-17.67-14.33-32-32-32H32C14.33 0 0 14.33 0 32v96c0 17.67 14.33 32 32 32h352c17.67 0 32-14.33 32-32zm32-64v128c0 17.67-14.33 32-32 32H256c-35.35 0-64 28.65-64 64v32c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32V352c0-17.67-14.33-32-32-32v-32h160c53.02 0 96-42.98 96-96v-64c0-35.35-28.65-64-64-64z"}}]})(props);
};
function FaPalette (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M204.3 5C104.9 24.4 24.8 104.3 5.2 203.4c-37 187 131.7 326.4 258.8 306.7 41.2-6.4 61.4-54.6 42.5-91.7-23.1-45.4 9.9-98.4 60.9-98.4h79.7c35.8 0 64.8-29.6 64.9-65.3C511.5 97.1 368.1-26.9 204.3 5zM96 320c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm32-128c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm128-64c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm128 64c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}}]})(props);
};
function FaPallet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M144 256h352c8.8 0 16-7.2 16-16V16c0-8.8-7.2-16-16-16H384v128l-64-32-64 32V0H144c-8.8 0-16 7.2-16 16v224c0 8.8 7.2 16 16 16zm480 128c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16H16c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h48v64H16c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h608c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16h-48v-64h48zm-336 64H128v-64h160v64zm224 0H352v-64h160v64z"}}]})(props);
};
function FaPaperPlane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M476 3.2L12.5 270.6c-18.1 10.4-15.8 35.6 2.2 43.2L121 358.4l287.3-253.2c5.5-4.9 13.3 2.6 8.6 8.3L176 407v80.5c0 23.6 28.5 32.9 42.5 15.8L282 426l124.6 52.2c14.2 6 30.4-2.9 33-18.2l72-432C515 7.8 493.3-6.8 476 3.2z"}}]})(props);
};
function FaPaperclip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M43.246 466.142c-58.43-60.289-57.341-157.511 1.386-217.581L254.392 34c44.316-45.332 116.351-45.336 160.671 0 43.89 44.894 43.943 117.329 0 162.276L232.214 383.128c-29.855 30.537-78.633 30.111-107.982-.998-28.275-29.97-27.368-77.473 1.452-106.953l143.743-146.835c6.182-6.314 16.312-6.422 22.626-.241l22.861 22.379c6.315 6.182 6.422 16.312.241 22.626L171.427 319.927c-4.932 5.045-5.236 13.428-.648 18.292 4.372 4.634 11.245 4.711 15.688.165l182.849-186.851c19.613-20.062 19.613-52.725-.011-72.798-19.189-19.627-49.957-19.637-69.154 0L90.39 293.295c-34.763 35.56-35.299 93.12-1.191 128.313 34.01 35.093 88.985 35.137 123.058.286l172.06-175.999c6.177-6.319 16.307-6.433 22.626-.256l22.877 22.364c6.319 6.177 6.434 16.307.256 22.626l-172.06 175.998c-59.576 60.938-155.943 60.216-214.77-.485z"}}]})(props);
};
function FaParachuteBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M511.9 175c-9.1-75.6-78.4-132.4-158.3-158.7C390 55.7 416 116.9 416 192h28.1L327.5 321.5c-2.5-.6-4.8-1.5-7.5-1.5h-48V192h112C384 76.8 315.1 0 256 0S128 76.8 128 192h112v128h-48c-2.7 0-5 .9-7.5 1.5L67.9 192H96c0-75.1 26-136.3 62.4-175.7C78.5 42.7 9.2 99.5.1 175c-1.1 9.1 6.8 17 16 17h8.7l136.7 151.9c-.7 2.6-1.6 5.2-1.6 8.1v128c0 17.7 14.3 32 32 32h128c17.7 0 32-14.3 32-32V352c0-2.9-.9-5.4-1.6-8.1L487.1 192h8.7c9.3 0 17.2-7.8 16.1-17z"}}]})(props);
};
function FaParagraph (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 48v32a16 16 0 0 1-16 16h-48v368a16 16 0 0 1-16 16h-32a16 16 0 0 1-16-16V96h-32v368a16 16 0 0 1-16 16h-32a16 16 0 0 1-16-16V352h-32a160 160 0 0 1 0-320h240a16 16 0 0 1 16 16z"}}]})(props);
};
function FaParking (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM240 320h-48v48c0 8.8-7.2 16-16 16h-32c-8.8 0-16-7.2-16-16V144c0-8.8 7.2-16 16-16h96c52.9 0 96 43.1 96 96s-43.1 96-96 96zm0-128h-48v64h48c17.6 0 32-14.4 32-32s-14.4-32-32-32z"}}]})(props);
};
function FaPassport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M129.62 176h39.09c1.49-27.03 6.54-51.35 14.21-70.41-27.71 13.24-48.02 39.19-53.3 70.41zm0 32c5.29 31.22 25.59 57.17 53.3 70.41-7.68-19.06-12.72-43.38-14.21-70.41h-39.09zM224 286.69c7.69-7.45 20.77-34.42 23.43-78.69h-46.87c2.67 44.26 15.75 71.24 23.44 78.69zM200.57 176h46.87c-2.66-44.26-15.74-71.24-23.43-78.69-7.7 7.45-20.78 34.43-23.44 78.69zm64.51 102.41c27.71-13.24 48.02-39.19 53.3-70.41h-39.09c-1.49 27.03-6.53 51.35-14.21 70.41zM416 0H64C28.65 0 0 28.65 0 64v384c0 35.35 28.65 64 64 64h352c17.67 0 32-14.33 32-32V32c0-17.67-14.33-32-32-32zm-80 416H112c-8.8 0-16-7.2-16-16s7.2-16 16-16h224c8.8 0 16 7.2 16 16s-7.2 16-16 16zm-112-96c-70.69 0-128-57.31-128-128S153.31 64 224 64s128 57.31 128 128-57.31 128-128 128zm41.08-214.41c7.68 19.06 12.72 43.38 14.21 70.41h39.09c-5.28-31.22-25.59-57.17-53.3-70.41z"}}]})(props);
};
function FaPastafarianism (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624.54 347.67c-32.7-12.52-57.36 4.25-75.37 16.45-17.06 11.53-23.25 14.42-31.41 11.36-8.12-3.09-10.83-9.38-15.89-29.38-3.33-13.15-7.44-29.32-17.95-42.65 2.24-2.91 4.43-5.79 6.38-8.57C500.47 304.45 513.71 312 532 312c33.95 0 50.87-25.78 62.06-42.83 10.59-16.14 15-21.17 21.94-21.17 13.25 0 24-10.75 24-24s-10.75-24-24-24c-33.95 0-50.87 25.78-62.06 42.83-10.6 16.14-15 21.17-21.94 21.17-17.31 0-37.48-61.43-97.26-101.91l17.25-34.5C485.43 125.5 512 97.98 512 64c0-35.35-28.65-64-64-64s-64 28.65-64 64c0 13.02 3.94 25.1 10.62 35.21l-18.15 36.3c-16.98-4.6-35.6-7.51-56.46-7.51s-39.49 2.91-56.46 7.51l-18.15-36.3C252.06 89.1 256 77.02 256 64c0-35.35-28.65-64-64-64s-64 28.65-64 64c0 33.98 26.56 61.5 60.02 63.6l17.25 34.5C145.68 202.44 125.15 264 108 264c-6.94 0-11.34-5.03-21.94-21.17C74.88 225.78 57.96 200 24 200c-13.25 0-24 10.75-24 24s10.75 24 24 24c6.94 0 11.34 5.03 21.94 21.17C57.13 286.22 74.05 312 108 312c18.29 0 31.53-7.55 41.7-17.11 1.95 2.79 4.14 5.66 6.38 8.57-10.51 13.33-14.62 29.5-17.95 42.65-5.06 20-7.77 26.28-15.89 29.38-8.11 3.06-14.33.17-31.41-11.36-18.03-12.2-42.72-28.92-75.37-16.45-12.39 4.72-18.59 18.58-13.87 30.97 4.72 12.41 18.61 18.61 30.97 13.88 8.16-3.09 14.34-.19 31.39 11.36 13.55 9.16 30.83 20.86 52.42 20.84 7.17 0 14.83-1.28 22.97-4.39 32.66-12.44 39.98-41.33 45.33-62.44 2.21-8.72 3.99-14.49 5.95-18.87 16.62 13.61 36.95 25.88 61.64 34.17-9.96 37-32.18 90.8-60.26 90.8-13.25 0-24 10.75-24 24s10.75 24 24 24c66.74 0 97.05-88.63 107.42-129.14 6.69.6 13.42 1.14 20.58 1.14s13.89-.54 20.58-1.14C350.95 423.37 381.26 512 448 512c13.25 0 24-10.75 24-24s-10.75-24-24-24c-27.94 0-50.21-53.81-60.22-90.81 24.69-8.29 45-20.56 61.62-34.16 1.96 4.38 3.74 10.15 5.95 18.87 5.34 21.11 12.67 50 45.33 62.44 8.14 3.11 15.8 4.39 22.97 4.39 21.59 0 38.87-11.69 52.42-20.84 17.05-11.55 23.28-14.45 31.39-11.36 12.39 4.75 26.27-1.47 30.97-13.88 4.71-12.4-1.49-26.26-13.89-30.98zM448 48c8.82 0 16 7.18 16 16s-7.18 16-16 16-16-7.18-16-16 7.18-16 16-16zm-256 0c8.82 0 16 7.18 16 16s-7.18 16-16 16-16-7.18-16-16 7.18-16 16-16z"}}]})(props);
};
function FaPaste (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M128 184c0-30.879 25.122-56 56-56h136V56c0-13.255-10.745-24-24-24h-80.61C204.306 12.89 183.637 0 160 0s-44.306 12.89-55.39 32H24C10.745 32 0 42.745 0 56v336c0 13.255 10.745 24 24 24h104V184zm32-144c13.255 0 24 10.745 24 24s-10.745 24-24 24-24-10.745-24-24 10.745-24 24-24zm184 248h104v200c0 13.255-10.745 24-24 24H184c-13.255 0-24-10.745-24-24V184c0-13.255 10.745-24 24-24h136v104c0 13.2 10.8 24 24 24zm104-38.059V256h-96v-96h6.059a24 24 0 0 1 16.97 7.029l65.941 65.941a24.002 24.002 0 0 1 7.03 16.971z"}}]})(props);
};
function FaPauseCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm-16 328c0 8.8-7.2 16-16 16h-48c-8.8 0-16-7.2-16-16V176c0-8.8 7.2-16 16-16h48c8.8 0 16 7.2 16 16v160zm112 0c0 8.8-7.2 16-16 16h-48c-8.8 0-16-7.2-16-16V176c0-8.8 7.2-16 16-16h48c8.8 0 16 7.2 16 16v160z"}}]})(props);
};
function FaPause (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M144 479H48c-26.5 0-48-21.5-48-48V79c0-26.5 21.5-48 48-48h96c26.5 0 48 21.5 48 48v352c0 26.5-21.5 48-48 48zm304-48V79c0-26.5-21.5-48-48-48h-96c-26.5 0-48 21.5-48 48v352c0 26.5 21.5 48 48 48h96c26.5 0 48-21.5 48-48z"}}]})(props);
};
function FaPaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 224c-79.41 0-192 122.76-192 200.25 0 34.9 26.81 55.75 71.74 55.75 48.84 0 81.09-25.08 120.26-25.08 39.51 0 71.85 25.08 120.26 25.08 44.93 0 71.74-20.85 71.74-55.75C448 346.76 335.41 224 256 224zm-147.28-12.61c-10.4-34.65-42.44-57.09-71.56-50.13-29.12 6.96-44.29 40.69-33.89 75.34 10.4 34.65 42.44 57.09 71.56 50.13 29.12-6.96 44.29-40.69 33.89-75.34zm84.72-20.78c30.94-8.14 46.42-49.94 34.58-93.36s-46.52-72.01-77.46-63.87-46.42 49.94-34.58 93.36c11.84 43.42 46.53 72.02 77.46 63.87zm281.39-29.34c-29.12-6.96-61.15 15.48-71.56 50.13-10.4 34.65 4.77 68.38 33.89 75.34 29.12 6.96 61.15-15.48 71.56-50.13 10.4-34.65-4.77-68.38-33.89-75.34zm-156.27 29.34c30.94 8.14 65.62-20.45 77.46-63.87 11.84-43.42-3.64-85.21-34.58-93.36s-65.62 20.45-77.46 63.87c-11.84 43.42 3.64 85.22 34.58 93.36z"}}]})(props);
};
function FaPeace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111.03 8 0 119.03 0 256s111.03 248 248 248 248-111.03 248-248S384.97 8 248 8zm184 248c0 31.93-8.2 61.97-22.57 88.17L280 240.63V74.97c86.23 15.21 152 90.5 152 181.03zM216 437.03c-33.86-5.97-64.49-21.2-89.29-43.02L216 322.57v114.46zm64-114.46L369.29 394c-24.8 21.82-55.43 37.05-89.29 43.02V322.57zm-64-247.6v165.66L86.57 344.17C72.2 317.97 64 287.93 64 256c0-90.53 65.77-165.82 152-181.03z"}}]})(props);
};
function FaPenAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M497.94 74.17l-60.11-60.11c-18.75-18.75-49.16-18.75-67.91 0l-56.55 56.55 128.02 128.02 56.55-56.55c18.75-18.75 18.75-49.15 0-67.91zm-246.8-20.53c-15.62-15.62-40.94-15.62-56.56 0L75.8 172.43c-6.25 6.25-6.25 16.38 0 22.62l22.63 22.63c6.25 6.25 16.38 6.25 22.63 0l101.82-101.82 22.63 22.62L93.95 290.03A327.038 327.038 0 0 0 .17 485.11l-.03.23c-1.7 15.28 11.21 28.2 26.49 26.51a327.02 327.02 0 0 0 195.34-93.8l196.79-196.79-82.77-82.77-84.85-84.85z"}}]})(props);
};
function FaPenFancy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M79.18 282.94a32.005 32.005 0 0 0-20.24 20.24L0 480l4.69 4.69 92.89-92.89c-.66-2.56-1.57-5.03-1.57-7.8 0-17.67 14.33-32 32-32s32 14.33 32 32-14.33 32-32 32c-2.77 0-5.24-.91-7.8-1.57l-92.89 92.89L32 512l176.82-58.94a31.983 31.983 0 0 0 20.24-20.24l33.07-84.07-98.88-98.88-84.07 33.07zM369.25 28.32L186.14 227.81l97.85 97.85 199.49-183.11C568.4 67.48 443.73-55.94 369.25 28.32z"}}]})(props);
};
function FaPenNib (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M136.6 138.79a64.003 64.003 0 0 0-43.31 41.35L0 460l14.69 14.69L164.8 324.58c-2.99-6.26-4.8-13.18-4.8-20.58 0-26.51 21.49-48 48-48s48 21.49 48 48-21.49 48-48 48c-7.4 0-14.32-1.81-20.58-4.8L37.31 497.31 52 512l279.86-93.29a64.003 64.003 0 0 0 41.35-43.31L416 224 288 96l-151.4 42.79zm361.34-64.62l-60.11-60.11c-18.75-18.75-49.16-18.75-67.91 0l-56.55 56.55 128.02 128.02 56.55-56.55c18.75-18.75 18.75-49.15 0-67.91z"}}]})(props);
};
function FaPenSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 480H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48v352c0 26.5-21.5 48-48 48zM238.1 177.9L102.4 313.6l-6.3 57.1c-.8 7.6 5.6 14.1 13.3 13.3l57.1-6.3L302.2 242c2.3-2.3 2.3-6.1 0-8.5L246.7 178c-2.5-2.4-6.3-2.4-8.6-.1zM345 165.1L314.9 135c-9.4-9.4-24.6-9.4-33.9 0l-23.1 23.1c-2.3 2.3-2.3 6.1 0 8.5l55.5 55.5c2.3 2.3 6.1 2.3 8.5 0L345 199c9.3-9.3 9.3-24.5 0-33.9z"}}]})(props);
};
function FaPen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M290.74 93.24l128.02 128.02-277.99 277.99-114.14 12.6C11.35 513.54-1.56 500.62.14 485.34l12.7-114.22 277.9-277.88zm207.2-19.06l-60.11-60.11c-18.75-18.75-49.16-18.75-67.91 0l-56.55 56.55 128.02 128.02 56.55-56.55c18.75-18.76 18.75-49.16 0-67.91z"}}]})(props);
};
function FaPencilAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M497.9 142.1l-46.1 46.1c-4.7 4.7-12.3 4.7-17 0l-111-111c-4.7-4.7-4.7-12.3 0-17l46.1-46.1c18.7-18.7 49.1-18.7 67.9 0l60.1 60.1c18.8 18.7 18.8 49.1 0 67.9zM284.2 99.8L21.6 362.4.4 483.9c-2.9 16.4 11.4 30.6 27.8 27.8l121.5-21.3 262.6-262.6c4.7-4.7 4.7-12.3 0-17l-111-111c-4.8-4.7-12.4-4.7-17.1 0zM124.1 339.9c-5.5-5.5-5.5-14.3 0-19.8l154-154c5.5-5.5 14.3-5.5 19.8 0s5.5 14.3 0 19.8l-154 154c-5.5 5.5-14.3 5.5-19.8 0zM88 424h48v36.3l-64.5 11.3-31.1-31.1L51.7 376H88v48z"}}]})(props);
};
function FaPencilRuler (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M109.46 244.04l134.58-134.56-44.12-44.12-61.68 61.68a7.919 7.919 0 0 1-11.21 0l-11.21-11.21c-3.1-3.1-3.1-8.12 0-11.21l61.68-61.68-33.64-33.65C131.47-3.1 111.39-3.1 99 9.29L9.29 99c-12.38 12.39-12.39 32.47 0 44.86l100.17 100.18zm388.47-116.8c18.76-18.76 18.75-49.17 0-67.93l-45.25-45.25c-18.76-18.76-49.18-18.76-67.95 0l-46.02 46.01 113.2 113.2 46.02-46.03zM316.08 82.71l-297 296.96L.32 487.11c-2.53 14.49 10.09 27.11 24.59 24.56l107.45-18.84L429.28 195.9 316.08 82.71zm186.63 285.43l-33.64-33.64-61.68 61.68c-3.1 3.1-8.12 3.1-11.21 0l-11.21-11.21c-3.09-3.1-3.09-8.12 0-11.21l61.68-61.68-44.14-44.14L267.93 402.5l100.21 100.2c12.39 12.39 32.47 12.39 44.86 0l89.71-89.7c12.39-12.39 12.39-32.47 0-44.86z"}}]})(props);
};
function FaPeopleCarry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M128 96c26.5 0 48-21.5 48-48S154.5 0 128 0 80 21.5 80 48s21.5 48 48 48zm384 0c26.5 0 48-21.5 48-48S538.5 0 512 0s-48 21.5-48 48 21.5 48 48 48zm125.7 372.1l-44-110-41.1 46.4-2 18.2 27.7 69.2c5 12.5 17 20.1 29.7 20.1 4 0 8-.7 11.9-2.3 16.4-6.6 24.4-25.2 17.8-41.6zm-34.2-209.8L585 178.1c-4.6-20-18.6-36.8-37.5-44.9-18.5-8-39-6.7-56.1 3.3-22.7 13.4-39.7 34.5-48.1 59.4L432 229.8 416 240v-96c0-8.8-7.2-16-16-16H240c-8.8 0-16 7.2-16 16v96l-16.1-10.2-11.3-33.9c-8.3-25-25.4-46-48.1-59.4-17.2-10-37.6-11.3-56.1-3.3-18.9 8.1-32.9 24.9-37.5 44.9l-18.4 80.2c-4.6 20 .7 41.2 14.4 56.7l67.2 75.9 10.1 92.6C130 499.8 143.8 512 160 512c1.2 0 2.3-.1 3.5-.2 17.6-1.9 30.2-17.7 28.3-35.3l-10.1-92.8c-1.5-13-6.9-25.1-15.6-35l-43.3-49 17.6-70.3 6.8 20.4c4.1 12.5 11.9 23.4 24.5 32.6l51.1 32.5c4.6 2.9 12.1 4.6 17.2 5h160c5.1-.4 12.6-2.1 17.2-5l51.1-32.5c12.6-9.2 20.4-20 24.5-32.6l6.8-20.4 17.6 70.3-43.3 49c-8.7 9.9-14.1 22-15.6 35l-10.1 92.8c-1.9 17.6 10.8 33.4 28.3 35.3 1.2.1 2.3.2 3.5.2 16.1 0 30-12.1 31.8-28.5l10.1-92.6 67.2-75.9c13.6-15.5 19-36.7 14.4-56.7zM46.3 358.1l-44 110c-6.6 16.4 1.4 35 17.8 41.6 16.8 6.6 35.1-1.7 41.6-17.8l27.7-69.2-2-18.2-41.1-46.4z"}}]})(props);
};
function FaPepperHot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M330.67 263.12V173.4l-52.75-24.22C219.44 218.76 197.58 400 56 400a56 56 0 0 0 0 112c212.64 0 370.65-122.87 419.18-210.34l-37.05-38.54zm131.09-128.37C493.92 74.91 477.18 26.48 458.62 3a8 8 0 0 0-11.93-.59l-22.9 23a8.06 8.06 0 0 0-.89 10.23c6.86 10.36 17.05 35.1-1.4 72.32A142.85 142.85 0 0 0 364.34 96c-28 0-54 8.54-76.34 22.59l74.67 34.29v78.24h89.09L506.44 288c3.26-12.62 5.56-25.63 5.56-39.31a154 154 0 0 0-50.24-113.94z"}}]})(props);
};
function FaPercent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M112 224c61.9 0 112-50.1 112-112S173.9 0 112 0 0 50.1 0 112s50.1 112 112 112zm0-160c26.5 0 48 21.5 48 48s-21.5 48-48 48-48-21.5-48-48 21.5-48 48-48zm224 224c-61.9 0-112 50.1-112 112s50.1 112 112 112 112-50.1 112-112-50.1-112-112-112zm0 160c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48zM392.3.2l31.6-.1c19.4-.1 30.9 21.8 19.7 37.8L77.4 501.6a23.95 23.95 0 0 1-19.6 10.2l-33.4.1c-19.5 0-30.9-21.9-19.7-37.8l368-463.7C377.2 4 384.5.2 392.3.2z"}}]})(props);
};
function FaPercentage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M109.25 173.25c24.99-24.99 24.99-65.52 0-90.51-24.99-24.99-65.52-24.99-90.51 0-24.99 24.99-24.99 65.52 0 90.51 25 25 65.52 25 90.51 0zm256 165.49c-24.99-24.99-65.52-24.99-90.51 0-24.99 24.99-24.99 65.52 0 90.51 24.99 24.99 65.52 24.99 90.51 0 25-24.99 25-65.51 0-90.51zm-1.94-231.43l-22.62-22.62c-12.5-12.5-32.76-12.5-45.25 0L20.69 359.44c-12.5 12.5-12.5 32.76 0 45.25l22.62 22.62c12.5 12.5 32.76 12.5 45.25 0l274.75-274.75c12.5-12.49 12.5-32.75 0-45.25z"}}]})(props);
};
function FaPersonBooth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M192 496c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V320h-64v176zm32-272h-50.9l-45.2-45.3C115.8 166.6 99.7 160 82.7 160H64c-17.1 0-33.2 6.7-45.3 18.8C6.7 190.9 0 207 0 224.1L.2 320 0 480c0 17.7 14.3 32 31.9 32 17.6 0 32-14.3 32-32l.1-100.7c.9.5 1.6 1.3 2.5 1.7l29.1 43v56c0 17.7 14.3 32 32 32s32-14.3 32-32v-56.5c0-9.9-2.3-19.8-6.7-28.6l-41.2-61.3V253l20.9 20.9c9.1 9.1 21.1 14.1 33.9 14.1H224c17.7 0 32-14.3 32-32s-14.3-32-32-32zM64 128c26.5 0 48-21.5 48-48S90.5 32 64 32 16 53.5 16 80s21.5 48 48 48zm224-96l31.5 223.1-30.9 154.6c-4.3 21.6 13 38.3 31.4 38.3 15.2 0 28-9.1 32.3-30.4.9 16.9 14.6 30.4 31.7 30.4 17.7 0 32-14.3 32-32 0 17.7 14.3 32 32 32s32-14.3 32-32V0H288v32zm-96 0v160h64V0h-32c-17.7 0-32 14.3-32 32zM544 0h-32v496c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V32c0-17.7-14.3-32-32-32z"}}]})(props);
};
function FaPhoneAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M497.39 361.8l-112-48a24 24 0 0 0-28 6.9l-49.6 60.6A370.66 370.66 0 0 1 130.6 204.11l60.6-49.6a23.94 23.94 0 0 0 6.9-28l-48-112A24.16 24.16 0 0 0 122.6.61l-104 24A24 24 0 0 0 0 48c0 256.5 207.9 464 464 464a24 24 0 0 0 23.4-18.6l24-104a24.29 24.29 0 0 0-14.01-27.6z"}}]})(props);
};
function FaPhoneSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M268.2 381.4l-49.6-60.6c-6.8-8.3-18.2-11.1-28-6.9l-112 48c-10.7 4.6-16.5 16.1-13.9 27.5l24 104c2.5 10.8 12.1 18.6 23.4 18.6 100.7 0 193.7-32.4 269.7-86.9l-80-61.8c-10.9 6.5-22.1 12.7-33.6 18.1zm365.6 76.7L475.1 335.5C537.9 256.4 576 156.9 576 48c0-11.2-7.7-20.9-18.6-23.4l-104-24c-11.3-2.6-22.9 3.3-27.5 13.9l-48 112c-4.2 9.8-1.4 21.3 6.9 28l60.6 49.6c-12.2 26.1-27.9 50.3-46 72.8L45.5 3.4C38.5-2 28.5-.8 23 6.2L3.4 31.4c-5.4 7-4.2 17 2.8 22.4l588.4 454.7c7 5.4 17 4.2 22.5-2.8l19.6-25.3c5.4-6.8 4.1-16.9-2.9-22.3z"}}]})(props);
};
function FaPhoneSquareAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48A48 48 0 0 0 0 80v352a48 48 0 0 0 48 48h352a48 48 0 0 0 48-48V80a48 48 0 0 0-48-48zm-16.39 307.37l-15 65A15 15 0 0 1 354 416C194 416 64 286.29 64 126a15.7 15.7 0 0 1 11.63-14.61l65-15A18.23 18.23 0 0 1 144 96a16.27 16.27 0 0 1 13.79 9.09l30 70A17.9 17.9 0 0 1 189 181a17 17 0 0 1-5.5 11.61l-37.89 31a231.91 231.91 0 0 0 110.78 110.78l31-37.89A17 17 0 0 1 299 291a17.85 17.85 0 0 1 5.91 1.21l70 30A16.25 16.25 0 0 1 384 336a17.41 17.41 0 0 1-.39 3.37z"}}]})(props);
};
function FaPhoneSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48V80c0-26.51-21.49-48-48-48zM94 416c-7.033 0-13.057-4.873-14.616-11.627l-14.998-65a15 15 0 0 1 8.707-17.16l69.998-29.999a15 15 0 0 1 17.518 4.289l30.997 37.885c48.944-22.963 88.297-62.858 110.781-110.78l-37.886-30.997a15.001 15.001 0 0 1-4.289-17.518l30-69.998a15 15 0 0 1 17.16-8.707l65 14.998A14.997 14.997 0 0 1 384 126c0 160.292-129.945 290-290 290z"}}]})(props);
};
function FaPhoneVolume (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M97.333 506.966c-129.874-129.874-129.681-340.252 0-469.933 5.698-5.698 14.527-6.632 21.263-2.422l64.817 40.513a17.187 17.187 0 0 1 6.849 20.958l-32.408 81.021a17.188 17.188 0 0 1-17.669 10.719l-55.81-5.58c-21.051 58.261-20.612 122.471 0 179.515l55.811-5.581a17.188 17.188 0 0 1 17.669 10.719l32.408 81.022a17.188 17.188 0 0 1-6.849 20.958l-64.817 40.513a17.19 17.19 0 0 1-21.264-2.422zM247.126 95.473c11.832 20.047 11.832 45.008 0 65.055-3.95 6.693-13.108 7.959-18.718 2.581l-5.975-5.726c-3.911-3.748-4.793-9.622-2.261-14.41a32.063 32.063 0 0 0 0-29.945c-2.533-4.788-1.65-10.662 2.261-14.41l5.975-5.726c5.61-5.378 14.768-4.112 18.718 2.581zm91.787-91.187c60.14 71.604 60.092 175.882 0 247.428-4.474 5.327-12.53 5.746-17.552.933l-5.798-5.557c-4.56-4.371-4.977-11.529-.93-16.379 49.687-59.538 49.646-145.933 0-205.422-4.047-4.85-3.631-12.008.93-16.379l5.798-5.557c5.022-4.813 13.078-4.394 17.552.933zm-45.972 44.941c36.05 46.322 36.108 111.149 0 157.546-4.39 5.641-12.697 6.251-17.856 1.304l-5.818-5.579c-4.4-4.219-4.998-11.095-1.285-15.931 26.536-34.564 26.534-82.572 0-117.134-3.713-4.836-3.115-11.711 1.285-15.931l5.818-5.579c5.159-4.947 13.466-4.337 17.856 1.304z"}}]})(props);
};
function FaPhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M493.4 24.6l-104-24c-11.3-2.6-22.9 3.3-27.5 13.9l-48 112c-4.2 9.8-1.4 21.3 6.9 28l60.6 49.6c-36 76.7-98.9 140.5-177.2 177.2l-49.6-60.6c-6.8-8.3-18.2-11.1-28-6.9l-112 48C3.9 366.5-2 378.1.6 389.4l24 104C27.1 504.2 36.7 512 48 512c256.1 0 464-207.5 464-464 0-11.2-7.7-20.9-18.6-23.4z"}}]})(props);
};
function FaPhotoVideo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M608 0H160a32 32 0 0 0-32 32v96h160V64h192v320h128a32 32 0 0 0 32-32V32a32 32 0 0 0-32-32zM232 103a9 9 0 0 1-9 9h-30a9 9 0 0 1-9-9V73a9 9 0 0 1 9-9h30a9 9 0 0 1 9 9zm352 208a9 9 0 0 1-9 9h-30a9 9 0 0 1-9-9v-30a9 9 0 0 1 9-9h30a9 9 0 0 1 9 9zm0-104a9 9 0 0 1-9 9h-30a9 9 0 0 1-9-9v-30a9 9 0 0 1 9-9h30a9 9 0 0 1 9 9zm0-104a9 9 0 0 1-9 9h-30a9 9 0 0 1-9-9V73a9 9 0 0 1 9-9h30a9 9 0 0 1 9 9zm-168 57H32a32 32 0 0 0-32 32v288a32 32 0 0 0 32 32h384a32 32 0 0 0 32-32V192a32 32 0 0 0-32-32zM96 224a32 32 0 1 1-32 32 32 32 0 0 1 32-32zm288 224H64v-32l64-64 32 32 128-128 96 96z"}}]})(props);
};
function FaPiggyBank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M560 224h-29.5c-8.8-20-21.6-37.7-37.4-52.5L512 96h-32c-29.4 0-55.4 13.5-73 34.3-7.6-1.1-15.1-2.3-23-2.3H256c-77.4 0-141.9 55-156.8 128H56c-14.8 0-26.5-13.5-23.5-28.8C34.7 215.8 45.4 208 57 208h1c3.3 0 6-2.7 6-6v-20c0-3.3-2.7-6-6-6-28.5 0-53.9 20.4-57.5 48.6C-3.9 258.8 22.7 288 56 288h40c0 52.2 25.4 98.1 64 127.3V496c0 8.8 7.2 16 16 16h64c8.8 0 16-7.2 16-16v-48h128v48c0 8.8 7.2 16 16 16h64c8.8 0 16-7.2 16-16v-80.7c11.8-8.9 22.3-19.4 31.3-31.3H560c8.8 0 16-7.2 16-16V240c0-8.8-7.2-16-16-16zm-128 64c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zM256 96h128c5.4 0 10.7.4 15.9.8 0-.3.1-.5.1-.8 0-53-43-96-96-96s-96 43-96 96c0 2.1.5 4.1.6 6.2 15.2-3.9 31-6.2 47.4-6.2z"}}]})(props);
};
function FaPills (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M112 32C50.1 32 0 82.1 0 144v224c0 61.9 50.1 112 112 112s112-50.1 112-112V144c0-61.9-50.1-112-112-112zm48 224H64V144c0-26.5 21.5-48 48-48s48 21.5 48 48v112zm139.7-29.7c-3.5-3.5-9.4-3.1-12.3.8-45.3 62.5-40.4 150.1 15.9 206.4 56.3 56.3 143.9 61.2 206.4 15.9 4-2.9 4.3-8.8.8-12.3L299.7 226.3zm229.8-19c-56.3-56.3-143.9-61.2-206.4-15.9-4 2.9-4.3 8.8-.8 12.3l210.8 210.8c3.5 3.5 9.4 3.1 12.3-.8 45.3-62.6 40.5-150.1-15.9-206.4z"}}]})(props);
};
function FaPizzaSlice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M158.87.15c-16.16-1.52-31.2 8.42-35.33 24.12l-14.81 56.27c187.62 5.49 314.54 130.61 322.48 317l56.94-15.78c15.72-4.36 25.49-19.68 23.62-35.9C490.89 165.08 340.78 17.32 158.87.15zm-58.47 112L.55 491.64a16.21 16.21 0 0 0 20 19.75l379-105.1c-4.27-174.89-123.08-292.14-299.15-294.1zM128 416a32 32 0 1 1 32-32 32 32 0 0 1-32 32zm48-152a32 32 0 1 1 32-32 32 32 0 0 1-32 32zm104 104a32 32 0 1 1 32-32 32 32 0 0 1-32 32z"}}]})(props);
};
function FaPlaceOfWorship (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M620.61 366.55L512 320v192h112c8.84 0 16-7.16 16-16V395.96a32 32 0 0 0-19.39-29.41zM0 395.96V496c0 8.84 7.16 16 16 16h112V320L19.39 366.55A32 32 0 0 0 0 395.96zm464.46-149.28L416 217.6V102.63c0-8.49-3.37-16.62-9.38-22.63L331.31 4.69c-6.25-6.25-16.38-6.25-22.62 0L233.38 80c-6 6-9.38 14.14-9.38 22.63V217.6l-48.46 29.08A31.997 31.997 0 0 0 160 274.12V512h96v-96c0-35.35 28.66-64 64-64s64 28.65 64 64v96h96V274.12c0-11.24-5.9-21.66-15.54-27.44z"}}]})(props);
};
function FaPlaneArrival (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624 448H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h608c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16zM44.81 205.66l88.74 80a62.607 62.607 0 0 0 25.47 13.93l287.6 78.35c26.48 7.21 54.56 8.72 81 1.36 29.67-8.27 43.44-21.21 47.25-35.71 3.83-14.5-1.73-32.71-23.37-54.96-19.28-19.82-44.35-32.79-70.83-40l-97.51-26.56L282.8 30.22c-1.51-5.81-5.95-10.35-11.66-11.91L206.05.58c-10.56-2.88-20.9 5.32-20.71 16.44l47.92 164.21-102.2-27.84-27.59-67.88c-1.93-4.89-6.01-8.57-11.02-9.93L52.72 64.75c-10.34-2.82-20.53 5-20.72 15.88l.23 101.78c.19 8.91 6.03 17.34 12.58 23.25z"}}]})(props);
};
function FaPlaneDeparture (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624 448H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h608c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16zM80.55 341.27c6.28 6.84 15.1 10.72 24.33 10.71l130.54-.18a65.62 65.62 0 0 0 29.64-7.12l290.96-147.65c26.74-13.57 50.71-32.94 67.02-58.31 18.31-28.48 20.3-49.09 13.07-63.65-7.21-14.57-24.74-25.27-58.25-27.45-29.85-1.94-59.54 5.92-86.28 19.48l-98.51 49.99-218.7-82.06a17.799 17.799 0 0 0-18-1.11L90.62 67.29c-10.67 5.41-13.25 19.65-5.17 28.53l156.22 98.1-103.21 52.38-72.35-36.47a17.804 17.804 0 0 0-16.07.02L9.91 230.22c-10.44 5.3-13.19 19.12-5.57 28.08l76.21 82.97z"}}]})(props);
};
function FaPlane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M480 192H365.71L260.61 8.06A16.014 16.014 0 0 0 246.71 0h-65.5c-10.63 0-18.3 10.17-15.38 20.39L214.86 192H112l-43.2-57.6c-3.02-4.03-7.77-6.4-12.8-6.4H16.01C5.6 128-2.04 137.78.49 147.88L32 256 .49 364.12C-2.04 374.22 5.6 384 16.01 384H56c5.04 0 9.78-2.37 12.8-6.4L112 320h102.86l-49.03 171.6c-2.92 10.22 4.75 20.4 15.38 20.4h65.5c5.74 0 11.04-3.08 13.89-8.06L365.71 320H480c35.35 0 96-28.65 96-64s-60.65-64-96-64z"}}]})(props);
};
function FaPlayCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm115.7 272l-176 101c-15.8 8.8-35.7-2.5-35.7-21V152c0-18.4 19.8-29.8 35.7-21l176 107c16.4 9.2 16.4 32.9 0 42z"}}]})(props);
};
function FaPlay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M424.4 214.7L72.4 6.6C43.8-10.3 0 6.1 0 47.9V464c0 37.5 40.7 60.1 72.4 41.3l352-208c31.4-18.5 31.5-64.1 0-82.6z"}}]})(props);
};
function FaPlug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M320,32a32,32,0,0,0-64,0v96h64Zm48,128H16A16,16,0,0,0,0,176v32a16,16,0,0,0,16,16H32v32A160.07,160.07,0,0,0,160,412.8V512h64V412.8A160.07,160.07,0,0,0,352,256V224h16a16,16,0,0,0,16-16V176A16,16,0,0,0,368,160ZM128,32a32,32,0,0,0-64,0v96h64Z"}}]})(props);
};
function FaPlusCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm144 276c0 6.6-5.4 12-12 12h-92v92c0 6.6-5.4 12-12 12h-56c-6.6 0-12-5.4-12-12v-92h-92c-6.6 0-12-5.4-12-12v-56c0-6.6 5.4-12 12-12h92v-92c0-6.6 5.4-12 12-12h56c6.6 0 12 5.4 12 12v92h92c6.6 0 12 5.4 12 12v56z"}}]})(props);
};
function FaPlusSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-32 252c0 6.6-5.4 12-12 12h-92v92c0 6.6-5.4 12-12 12h-56c-6.6 0-12-5.4-12-12v-92H92c-6.6 0-12-5.4-12-12v-56c0-6.6 5.4-12 12-12h92v-92c0-6.6 5.4-12 12-12h56c6.6 0 12 5.4 12 12v92h92c6.6 0 12 5.4 12 12v56z"}}]})(props);
};
function FaPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M416 208H272V64c0-17.67-14.33-32-32-32h-32c-17.67 0-32 14.33-32 32v144H32c-17.67 0-32 14.33-32 32v32c0 17.67 14.33 32 32 32h144v144c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32V304h144c17.67 0 32-14.33 32-32v-32c0-17.67-14.33-32-32-32z"}}]})(props);
};
function FaPodcast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M267.429 488.563C262.286 507.573 242.858 512 224 512c-18.857 0-38.286-4.427-43.428-23.437C172.927 460.134 160 388.898 160 355.75c0-35.156 31.142-43.75 64-43.75s64 8.594 64 43.75c0 32.949-12.871 104.179-20.571 132.813zM156.867 288.554c-18.693-18.308-29.958-44.173-28.784-72.599 2.054-49.724 42.395-89.956 92.124-91.881C274.862 121.958 320 165.807 320 220c0 26.827-11.064 51.116-28.866 68.552-2.675 2.62-2.401 6.986.628 9.187 9.312 6.765 16.46 15.343 21.234 25.363 1.741 3.654 6.497 4.66 9.449 1.891 28.826-27.043 46.553-65.783 45.511-108.565-1.855-76.206-63.595-138.208-139.793-140.369C146.869 73.753 80 139.215 80 220c0 41.361 17.532 78.7 45.55 104.989 2.953 2.771 7.711 1.77 9.453-1.887 4.774-10.021 11.923-18.598 21.235-25.363 3.029-2.2 3.304-6.566.629-9.185zM224 0C100.204 0 0 100.185 0 224c0 89.992 52.602 165.647 125.739 201.408 4.333 2.118 9.267-1.544 8.535-6.31-2.382-15.512-4.342-30.946-5.406-44.339-.146-1.836-1.149-3.486-2.678-4.512-47.4-31.806-78.564-86.016-78.187-147.347.592-96.237 79.29-174.648 175.529-174.899C320.793 47.747 400 126.797 400 224c0 61.932-32.158 116.49-80.65 147.867-.999 14.037-3.069 30.588-5.624 47.23-.732 4.767 4.203 8.429 8.535 6.31C395.227 389.727 448 314.187 448 224 448 100.205 347.815 0 224 0zm0 160c-35.346 0-64 28.654-64 64s28.654 64 64 64 64-28.654 64-64-28.654-64-64-64z"}}]})(props);
};
function FaPollH (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 432V80c0-26.5-21.5-48-48-48H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48zM112 192c-8.84 0-16-7.16-16-16v-32c0-8.84 7.16-16 16-16h128c8.84 0 16 7.16 16 16v32c0 8.84-7.16 16-16 16H112zm0 96c-8.84 0-16-7.16-16-16v-32c0-8.84 7.16-16 16-16h224c8.84 0 16 7.16 16 16v32c0 8.84-7.16 16-16 16H112zm0 96c-8.84 0-16-7.16-16-16v-32c0-8.84 7.16-16 16-16h64c8.84 0 16 7.16 16 16v32c0 8.84-7.16 16-16 16h-64z"}}]})(props);
};
function FaPoll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM160 368c0 8.84-7.16 16-16 16h-32c-8.84 0-16-7.16-16-16V240c0-8.84 7.16-16 16-16h32c8.84 0 16 7.16 16 16v128zm96 0c0 8.84-7.16 16-16 16h-32c-8.84 0-16-7.16-16-16V144c0-8.84 7.16-16 16-16h32c8.84 0 16 7.16 16 16v224zm96 0c0 8.84-7.16 16-16 16h-32c-8.84 0-16-7.16-16-16v-64c0-8.84 7.16-16 16-16h32c8.84 0 16 7.16 16 16v64z"}}]})(props);
};
function FaPooStorm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M308 336h-57.7l17.3-64.9c2-7.6-3.7-15.1-11.6-15.1h-68c-6 0-11.1 4.5-11.9 10.4l-16 120c-1 7.2 4.6 13.6 11.9 13.6h59.3l-23 97.2c-1.8 7.6 4 14.8 11.7 14.8 4.2 0 8.2-2.2 10.4-6l88-152c4.6-8-1.2-18-10.4-18zm66.4-111.3c5.9-9.6 9.6-20.6 9.6-32.7 0-35.3-28.7-64-64-64h-5.9c3.6-10.1 5.9-20.7 5.9-32 0-53-43-96-96-96-5.2 0-10.2.7-15.1 1.5C218.3 14.6 224 30.6 224 48c0 44.2-35.8 80-80 80h-16c-35.3 0-64 28.7-64 64 0 12.1 3.7 23.1 9.6 32.7C32.6 228 0 262.2 0 304c0 44 36 80 80 80h48.3c.1-.6 0-1.2 0-1.8l16-120c3-21.8 21.7-38.2 43.7-38.2h68c13.8 0 26.5 6.3 34.9 17.2s11.2 24.8 7.6 38.1l-6.6 24.7h16c15.7 0 30.3 8.4 38.1 22 7.8 13.6 7.8 30.5 0 44l-8.1 14h30c44 0 80-36 80-80 .1-41.8-32.5-76-73.5-79.3z"}}]})(props);
};
function FaPoo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M451.4 369.1C468.7 356 480 335.4 480 312c0-39.8-32.2-72-72-72h-14.1c13.4-11.7 22.1-28.8 22.1-48 0-35.3-28.7-64-64-64h-5.9c3.6-10.1 5.9-20.7 5.9-32 0-53-43-96-96-96-5.2 0-10.2.7-15.1 1.5C250.3 14.6 256 30.6 256 48c0 44.2-35.8 80-80 80h-16c-35.3 0-64 28.7-64 64 0 19.2 8.7 36.3 22.1 48H104c-39.8 0-72 32.2-72 72 0 23.4 11.3 44 28.6 57.1C26.3 374.6 0 404.1 0 440c0 39.8 32.2 72 72 72h368c39.8 0 72-32.2 72-72 0-35.9-26.3-65.4-60.6-70.9zM192 256c17.7 0 32 14.3 32 32s-14.3 32-32 32-32-14.3-32-32 14.3-32 32-32zm159.5 139C341 422.9 293 448 256 448s-85-25.1-95.5-53c-2-5.3 2-11 7.8-11h175.4c5.8 0 9.8 5.7 7.8 11zM320 320c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}}]})(props);
};
function FaPoop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M451.36 369.14C468.66 355.99 480 335.41 480 312c0-39.77-32.24-72-72-72h-14.07c13.42-11.73 22.07-28.78 22.07-48 0-35.35-28.65-64-64-64h-5.88c3.57-10.05 5.88-20.72 5.88-32 0-53.02-42.98-96-96-96-5.17 0-10.15.74-15.11 1.52C250.31 14.64 256 30.62 256 48c0 44.18-35.82 80-80 80h-16c-35.35 0-64 28.65-64 64 0 19.22 8.65 36.27 22.07 48H104c-39.76 0-72 32.23-72 72 0 23.41 11.34 43.99 28.64 57.14C26.31 374.62 0 404.12 0 440c0 39.76 32.24 72 72 72h368c39.76 0 72-32.24 72-72 0-35.88-26.31-65.38-60.64-70.86z"}}]})(props);
};
function FaPortrait (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M336 0H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48V48c0-26.5-21.5-48-48-48zM192 128c35.3 0 64 28.7 64 64s-28.7 64-64 64-64-28.7-64-64 28.7-64 64-64zm112 236.8c0 10.6-10 19.2-22.4 19.2H102.4C90 384 80 375.4 80 364.8v-19.2c0-31.8 30.1-57.6 67.2-57.6h5c12.3 5.1 25.7 8 39.8 8s27.6-2.9 39.8-8h5c37.1 0 67.2 25.8 67.2 57.6v19.2z"}}]})(props);
};
function FaPoundSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M308 352h-45.495c-6.627 0-12 5.373-12 12v50.848H128V288h84c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12h-84v-63.556c0-32.266 24.562-57.086 61.792-57.086 23.658 0 45.878 11.505 57.652 18.849 5.151 3.213 11.888 2.051 15.688-2.685l28.493-35.513c4.233-5.276 3.279-13.005-2.119-17.081C273.124 54.56 236.576 32 187.931 32 106.026 32 48 84.742 48 157.961V224H20c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h28v128H12c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h296c6.627 0 12-5.373 12-12V364c0-6.627-5.373-12-12-12z"}}]})(props);
};
function FaPowerOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M400 54.1c63 45 104 118.6 104 201.9 0 136.8-110.8 247.7-247.5 248C120 504.3 8.2 393 8 256.4 7.9 173.1 48.9 99.3 111.8 54.2c11.7-8.3 28-4.8 35 7.7L162.6 90c5.9 10.5 3.1 23.8-6.6 31-41.5 30.8-68 79.6-68 134.9-.1 92.3 74.5 168.1 168 168.1 91.6 0 168.6-74.2 168-169.1-.3-51.8-24.7-101.8-68.1-134-9.7-7.2-12.4-20.5-6.5-30.9l15.8-28.1c7-12.4 23.2-16.1 34.8-7.8zM296 264V24c0-13.3-10.7-24-24-24h-32c-13.3 0-24 10.7-24 24v240c0 13.3 10.7 24 24 24h32c13.3 0 24-10.7 24-24z"}}]})(props);
};
function FaPray (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M256 128c35.35 0 64-28.65 64-64S291.35 0 256 0s-64 28.65-64 64 28.65 64 64 64zm-30.63 169.75c14.06 16.72 39 19.09 55.97 5.22l88-72.02c17.09-13.98 19.59-39.19 5.62-56.28-13.97-17.11-39.19-19.59-56.31-5.62l-57.44 47-38.91-46.31c-15.44-18.39-39.22-27.92-64-25.33-24.19 2.48-45.25 16.27-56.37 36.92l-49.37 92.03c-23.4 43.64-8.69 96.37 34.19 123.75L131.56 432H40c-22.09 0-40 17.91-40 40s17.91 40 40 40h208c34.08 0 53.77-42.79 28.28-68.28L166.42 333.86l34.8-64.87 24.15 28.76z"}}]})(props);
};
function FaPrayingHands (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M272 191.91c-17.6 0-32 14.4-32 32v80c0 8.84-7.16 16-16 16s-16-7.16-16-16v-76.55c0-17.39 4.72-34.47 13.69-49.39l77.75-129.59c9.09-15.16 4.19-34.81-10.97-43.91-14.45-8.67-32.72-4.3-42.3 9.21-.2.23-.62.21-.79.48l-117.26 175.9C117.56 205.9 112 224.31 112 243.29v80.23l-90.12 30.04A31.974 31.974 0 0 0 0 383.91v96c0 10.82 8.52 32 32 32 2.69 0 5.41-.34 8.06-1.03l179.19-46.62C269.16 449.99 304 403.8 304 351.91v-128c0-17.6-14.4-32-32-32zm346.12 161.73L528 323.6v-80.23c0-18.98-5.56-37.39-16.12-53.23L394.62 14.25c-.18-.27-.59-.24-.79-.48-9.58-13.51-27.85-17.88-42.3-9.21-15.16 9.09-20.06 28.75-10.97 43.91l77.75 129.59c8.97 14.92 13.69 32 13.69 49.39V304c0 8.84-7.16 16-16 16s-16-7.16-16-16v-80c0-17.6-14.4-32-32-32s-32 14.4-32 32v128c0 51.89 34.84 98.08 84.75 112.34l179.19 46.62c2.66.69 5.38 1.03 8.06 1.03 23.48 0 32-21.18 32-32v-96c0-13.77-8.81-25.99-21.88-30.35z"}}]})(props);
};
function FaPrescriptionBottleAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M360 0H24C10.8 0 0 10.8 0 24v48c0 13.2 10.8 24 24 24h336c13.2 0 24-10.8 24-24V24c0-13.2-10.8-24-24-24zM32 480c0 17.6 14.4 32 32 32h256c17.6 0 32-14.4 32-32V128H32v352zm64-184c0-4.4 3.6-8 8-8h56v-56c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v56h56c4.4 0 8 3.6 8 8v48c0 4.4-3.6 8-8 8h-56v56c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-56h-56c-4.4 0-8-3.6-8-8v-48z"}}]})(props);
};
function FaPrescriptionBottle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M32 192h120c4.4 0 8 3.6 8 8v16c0 4.4-3.6 8-8 8H32v64h120c4.4 0 8 3.6 8 8v16c0 4.4-3.6 8-8 8H32v64h120c4.4 0 8 3.6 8 8v16c0 4.4-3.6 8-8 8H32v64c0 17.6 14.4 32 32 32h256c17.6 0 32-14.4 32-32V128H32v64zM360 0H24C10.8 0 0 10.8 0 24v48c0 13.2 10.8 24 24 24h336c13.2 0 24-10.8 24-24V24c0-13.2-10.8-24-24-24z"}}]})(props);
};
function FaPrescription (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M301.26 352l78.06-78.06c6.25-6.25 6.25-16.38 0-22.63l-22.63-22.63c-6.25-6.25-16.38-6.25-22.63 0L256 306.74l-83.96-83.96C219.31 216.8 256 176.89 256 128c0-53.02-42.98-96-96-96H16C7.16 32 0 39.16 0 48v256c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16v-80h18.75l128 128-78.06 78.06c-6.25 6.25-6.25 16.38 0 22.63l22.63 22.63c6.25 6.25 16.38 6.25 22.63 0L256 397.25l78.06 78.06c6.25 6.25 16.38 6.25 22.63 0l22.63-22.63c6.25-6.25 6.25-16.38 0-22.63L301.26 352zM64 96h96c17.64 0 32 14.36 32 32s-14.36 32-32 32H64V96z"}}]})(props);
};
function FaPrint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 192V77.25c0-8.49-3.37-16.62-9.37-22.63L393.37 9.37c-6-6-14.14-9.37-22.63-9.37H96C78.33 0 64 14.33 64 32v160c-35.35 0-64 28.65-64 64v112c0 8.84 7.16 16 16 16h48v96c0 17.67 14.33 32 32 32h320c17.67 0 32-14.33 32-32v-96h48c8.84 0 16-7.16 16-16V256c0-35.35-28.65-64-64-64zm-64 256H128v-96h256v96zm0-224H128V64h192v48c0 8.84 7.16 16 16 16h48v96zm48 72c-13.25 0-24-10.75-24-24 0-13.26 10.75-24 24-24s24 10.74 24 24c0 13.25-10.75 24-24 24z"}}]})(props);
};
function FaProcedures (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M528 224H272c-8.8 0-16 7.2-16 16v144H64V144c0-8.8-7.2-16-16-16H16c-8.8 0-16 7.2-16 16v352c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16v-48h512v48c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V336c0-61.9-50.1-112-112-112zM136 96h126.1l27.6 55.2c5.9 11.8 22.7 11.8 28.6 0L368 51.8 390.1 96H512c8.8 0 16-7.2 16-16s-7.2-16-16-16H409.9L382.3 8.8C376.4-3 359.6-3 353.7 8.8L304 108.2l-19.9-39.8c-1.4-2.7-4.1-4.4-7.2-4.4H136c-4.4 0-8 3.6-8 8v16c0 4.4 3.6 8 8 8zm24 256c35.3 0 64-28.7 64-64s-28.7-64-64-64-64 28.7-64 64 28.7 64 64 64z"}}]})(props);
};
function FaProjectDiagram (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M384 320H256c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h128c17.67 0 32-14.33 32-32V352c0-17.67-14.33-32-32-32zM192 32c0-17.67-14.33-32-32-32H32C14.33 0 0 14.33 0 32v128c0 17.67 14.33 32 32 32h95.72l73.16 128.04C211.98 300.98 232.4 288 256 288h.28L192 175.51V128h224V64H192V32zM608 0H480c-17.67 0-32 14.33-32 32v128c0 17.67 14.33 32 32 32h128c17.67 0 32-14.33 32-32V32c0-17.67-14.33-32-32-32z"}}]})(props);
};
function FaPuzzlePiece (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M519.442 288.651c-41.519 0-59.5 31.593-82.058 31.593C377.409 320.244 432 144 432 144s-196.288 80-196.288-3.297c0-35.827 36.288-46.25 36.288-85.985C272 19.216 243.885 0 210.539 0c-34.654 0-66.366 18.891-66.366 56.346 0 41.364 31.711 59.277 31.711 81.75C175.885 207.719 0 166.758 0 166.758v333.237s178.635 41.047 178.635-28.662c0-22.473-40-40.107-40-81.471 0-37.456 29.25-56.346 63.577-56.346 33.673 0 61.788 19.216 61.788 54.717 0 39.735-36.288 50.158-36.288 85.985 0 60.803 129.675 25.73 181.23 25.73 0 0-34.725-120.101 25.827-120.101 35.962 0 46.423 36.152 86.308 36.152C556.712 416 576 387.99 576 354.443c0-34.199-18.962-65.792-56.558-65.792z"}}]})(props);
};
function FaQrcode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M0 224h192V32H0v192zM64 96h64v64H64V96zm192-64v192h192V32H256zm128 128h-64V96h64v64zM0 480h192V288H0v192zm64-128h64v64H64v-64zm352-64h32v128h-96v-32h-32v96h-64V288h96v32h64v-32zm0 160h32v32h-32v-32zm-64 0h32v32h-32v-32z"}}]})(props);
};
function FaQuestionCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M504 256c0 136.997-111.043 248-248 248S8 392.997 8 256C8 119.083 119.043 8 256 8s248 111.083 248 248zM262.655 90c-54.497 0-89.255 22.957-116.549 63.758-3.536 5.286-2.353 12.415 2.715 16.258l34.699 26.31c5.205 3.947 12.621 3.008 16.665-2.122 17.864-22.658 30.113-35.797 57.303-35.797 20.429 0 45.698 13.148 45.698 32.958 0 14.976-12.363 22.667-32.534 33.976C247.128 238.528 216 254.941 216 296v4c0 6.627 5.373 12 12 12h56c6.627 0 12-5.373 12-12v-1.333c0-28.462 83.186-29.647 83.186-106.667 0-58.002-60.165-102-116.531-102zM256 338c-25.365 0-46 20.635-46 46 0 25.364 20.635 46 46 46s46-20.636 46-46c0-25.365-20.635-46-46-46z"}}]})(props);
};
function FaQuestion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M202.021 0C122.202 0 70.503 32.703 29.914 91.026c-7.363 10.58-5.093 25.086 5.178 32.874l43.138 32.709c10.373 7.865 25.132 6.026 33.253-4.148 25.049-31.381 43.63-49.449 82.757-49.449 30.764 0 68.816 19.799 68.816 49.631 0 22.552-18.617 34.134-48.993 51.164-35.423 19.86-82.299 44.576-82.299 106.405V320c0 13.255 10.745 24 24 24h72.471c13.255 0 24-10.745 24-24v-5.773c0-42.86 125.268-44.645 125.268-160.627C377.504 66.256 286.902 0 202.021 0zM192 373.459c-38.196 0-69.271 31.075-69.271 69.271 0 38.195 31.075 69.27 69.271 69.27s69.271-31.075 69.271-69.271-31.075-69.27-69.271-69.27z"}}]})(props);
};
function FaQuidditch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M256.5 216.8L343.2 326s-16.6 102.4-76.6 150.1C206.7 523.8 0 510.2 0 510.2s3.8-23.1 11-55.4l94.6-112.2c4-4.7-.9-11.6-6.6-9.5l-60.4 22.1c14.4-41.7 32.7-80 54.6-97.5 59.9-47.8 163.3-40.9 163.3-40.9zm238 135c-44 0-79.8 35.8-79.8 79.9 0 44.1 35.7 79.9 79.8 79.9 44.1 0 79.8-35.8 79.8-79.9 0-44.2-35.8-79.9-79.8-79.9zM636.5 31L616.7 6c-5.5-6.9-15.5-8-22.4-2.6L361.8 181.3l-34.1-43c-5.1-6.4-15.1-5.2-18.6 2.2l-25.3 54.6 86.7 109.2 58.8-12.4c8-1.7 11.4-11.2 6.3-17.6l-34.1-42.9L634 53.5c6.9-5.5 8-15.6 2.5-22.5z"}}]})(props);
};
function FaQuoteLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 256h-80v-64c0-35.3 28.7-64 64-64h8c13.3 0 24-10.7 24-24V56c0-13.3-10.7-24-24-24h-8c-88.4 0-160 71.6-160 160v240c0 26.5 21.5 48 48 48h128c26.5 0 48-21.5 48-48V304c0-26.5-21.5-48-48-48zm-288 0H96v-64c0-35.3 28.7-64 64-64h8c13.3 0 24-10.7 24-24V56c0-13.3-10.7-24-24-24h-8C71.6 32 0 103.6 0 192v240c0 26.5 21.5 48 48 48h128c26.5 0 48-21.5 48-48V304c0-26.5-21.5-48-48-48z"}}]})(props);
};
function FaQuoteRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 32H336c-26.5 0-48 21.5-48 48v128c0 26.5 21.5 48 48 48h80v64c0 35.3-28.7 64-64 64h-8c-13.3 0-24 10.7-24 24v48c0 13.3 10.7 24 24 24h8c88.4 0 160-71.6 160-160V80c0-26.5-21.5-48-48-48zm-288 0H48C21.5 32 0 53.5 0 80v128c0 26.5 21.5 48 48 48h80v64c0 35.3-28.7 64-64 64h-8c-13.3 0-24 10.7-24 24v48c0 13.3 10.7 24 24 24h8c88.4 0 160-71.6 160-160V80c0-26.5-21.5-48-48-48z"}}]})(props);
};
function FaQuran (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 358.4V25.6c0-16-9.6-25.6-25.6-25.6H96C41.6 0 0 41.6 0 96v320c0 54.4 41.6 96 96 96h326.4c12.8 0 25.6-9.6 25.6-25.6v-16c0-6.4-3.2-12.8-9.6-19.2-3.2-16-3.2-60.8 0-73.6 6.4-3.2 9.6-9.6 9.6-19.2zM301.08 145.82c.6-1.21 1.76-1.82 2.92-1.82s2.32.61 2.92 1.82l11.18 22.65 25 3.63c2.67.39 3.74 3.67 1.81 5.56l-18.09 17.63 4.27 24.89c.36 2.11-1.31 3.82-3.21 3.82-.5 0-1.02-.12-1.52-.38L304 211.87l-22.36 11.75c-.5.26-1.02.38-1.52.38-1.9 0-3.57-1.71-3.21-3.82l4.27-24.89-18.09-17.63c-1.94-1.89-.87-5.17 1.81-5.56l24.99-3.63 11.19-22.65zm-57.89-69.01c13.67 0 27.26 2.49 40.38 7.41a6.775 6.775 0 1 1-2.38 13.12c-.67 0-3.09-.21-4.13-.21-52.31 0-94.86 42.55-94.86 94.86 0 52.3 42.55 94.86 94.86 94.86 1.03 0 3.48-.21 4.13-.21 3.93 0 6.8 3.14 6.8 6.78 0 2.98-1.94 5.51-4.62 6.42-13.07 4.87-26.59 7.34-40.19 7.34C179.67 307.19 128 255.51 128 192c0-63.52 51.67-115.19 115.19-115.19zM380.8 448H96c-19.2 0-32-12.8-32-32s16-32 32-32h284.8v64z"}}]})(props);
};
function FaRadiationAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M312 256h79.1c9.2 0 16.9-7.7 16-16.8-4.6-43.6-27-81.8-59.5-107.8-7.6-6.1-18.8-4.5-24 3.8L281.9 202c18 11.2 30.1 31.2 30.1 54zm-97.8 54.1L172.4 377c-4.9 7.8-2.4 18.4 5.8 22.5 21.1 10.4 44.7 16.5 69.8 16.5s48.7-6.1 69.9-16.5c8.2-4.1 10.6-14.7 5.8-22.5l-41.8-66.9c-9.8 6.2-21.4 9.9-33.8 9.9s-24.1-3.7-33.9-9.9zM104.9 256H184c0-22.8 12.1-42.8 30.2-54.1l-41.7-66.8c-5.2-8.3-16.4-9.9-24-3.8-32.6 26-54.9 64.2-59.5 107.8-1.1 9.2 6.7 16.9 15.9 16.9zM248 504c137 0 248-111 248-248S385 8 248 8 0 119 0 256s111 248 248 248zm0-432c101.5 0 184 82.5 184 184s-82.5 184-184 184S64 357.5 64 256 146.5 72 248 72zm0 216c17.7 0 32-14.3 32-32s-14.3-32-32-32-32 14.3-32 32 14.3 32 32 32z"}}]})(props);
};
function FaRadiation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M328.2 255.8h151.6c9.1 0 16.8-7.7 16.2-16.8-5.1-75.8-44.4-142.2-102.5-184.2-7.4-5.3-17.9-2.9-22.7 4.8L290.4 188c22.6 14.3 37.8 39.2 37.8 67.8zm-37.8 67.7c-12.3 7.7-26.8 12.4-42.4 12.4-15.6 0-30-4.7-42.4-12.4L125.2 452c-4.8 7.7-2.4 18.1 5.6 22.4C165.7 493.2 205.6 504 248 504s82.3-10.8 117.2-29.6c8-4.3 10.4-14.8 5.6-22.4l-80.4-128.5zM248 303.8c26.5 0 48-21.5 48-48s-21.5-48-48-48-48 21.5-48 48 21.5 48 48 48zm-231.8-48h151.6c0-28.6 15.2-53.5 37.8-67.7L125.2 59.7c-4.8-7.7-15.3-10.2-22.7-4.8C44.4 96.9 5.1 163.3 0 239.1c-.6 9 7.1 16.7 16.2 16.7z"}}]})(props);
};
function FaRainbow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M268.3 32.7C115.4 42.9 0 176.9 0 330.2V464c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V320C64 186.8 180.9 80.3 317.5 97.9 430.4 112.4 512 214 512 327.8V464c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V320c0-165.3-140-298.6-307.7-287.3zm-5.6 96.9C166 142 96 229.1 96 326.7V464c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V320c0-74.8 64.5-134.8 140.8-127.4 66.5 6.5 115.2 66.2 115.2 133.1V464c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V320c0-114.2-100.2-205.4-217.3-190.4zm6.2 96.3c-45.6 8.9-76.9 51.5-76.9 97.9V464c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V320c0-17.6 14.3-32 32-32s32 14.4 32 32v144c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V320c0-59.2-53.8-106-115.1-94.1z"}}]})(props);
};
function FaRandom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M504.971 359.029c9.373 9.373 9.373 24.569 0 33.941l-80 79.984c-15.01 15.01-40.971 4.49-40.971-16.971V416h-58.785a12.004 12.004 0 0 1-8.773-3.812l-70.556-75.596 53.333-57.143L352 336h32v-39.981c0-21.438 25.943-31.998 40.971-16.971l80 79.981zM12 176h84l52.781 56.551 53.333-57.143-70.556-75.596A11.999 11.999 0 0 0 122.785 96H12c-6.627 0-12 5.373-12 12v56c0 6.627 5.373 12 12 12zm372 0v39.984c0 21.46 25.961 31.98 40.971 16.971l80-79.984c9.373-9.373 9.373-24.569 0-33.941l-80-79.981C409.943 24.021 384 34.582 384 56.019V96h-58.785a12.004 12.004 0 0 0-8.773 3.812L96 336H12c-6.627 0-12 5.373-12 12v56c0 6.627 5.373 12 12 12h110.785c3.326 0 6.503-1.381 8.773-3.812L352 176h32z"}}]})(props);
};
function FaReceipt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M358.4 3.2L320 48 265.6 3.2a15.9 15.9 0 0 0-19.2 0L192 48 137.6 3.2a15.9 15.9 0 0 0-19.2 0L64 48 25.6 3.2C15-4.7 0 2.8 0 16v480c0 13.2 15 20.7 25.6 12.8L64 464l54.4 44.8a15.9 15.9 0 0 0 19.2 0L192 464l54.4 44.8a15.9 15.9 0 0 0 19.2 0L320 464l38.4 44.8c10.5 7.9 25.6.4 25.6-12.8V16c0-13.2-15-20.7-25.6-12.8zM320 360c0 4.4-3.6 8-8 8H72c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h240c4.4 0 8 3.6 8 8v16zm0-96c0 4.4-3.6 8-8 8H72c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h240c4.4 0 8 3.6 8 8v16zm0-96c0 4.4-3.6 8-8 8H72c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h240c4.4 0 8 3.6 8 8v16z"}}]})(props);
};
function FaRecordVinyl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 152a104 104 0 1 0 104 104 104 104 0 0 0-104-104zm0 128a24 24 0 1 1 24-24 24 24 0 0 1-24 24zm0-272C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm0 376a128 128 0 1 1 128-128 128 128 0 0 1-128 128z"}}]})(props);
};
function FaRecycle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M184.561 261.903c3.232 13.997-12.123 24.635-24.068 17.168l-40.736-25.455-50.867 81.402C55.606 356.273 70.96 384 96.012 384H148c6.627 0 12 5.373 12 12v40c0 6.627-5.373 12-12 12H96.115c-75.334 0-121.302-83.048-81.408-146.88l50.822-81.388-40.725-25.448c-12.081-7.547-8.966-25.961 4.879-29.158l110.237-25.45c8.611-1.988 17.201 3.381 19.189 11.99l25.452 110.237zm98.561-182.915l41.289 66.076-40.74 25.457c-12.051 7.528-9 25.953 4.879 29.158l110.237 25.45c8.672 1.999 17.215-3.438 19.189-11.99l25.45-110.237c3.197-13.844-11.99-24.719-24.068-17.168l-40.687 25.424-41.263-66.082c-37.521-60.033-125.209-60.171-162.816 0l-17.963 28.766c-3.51 5.62-1.8 13.021 3.82 16.533l33.919 21.195c5.62 3.512 13.024 1.803 16.536-3.817l17.961-28.743c12.712-20.341 41.973-19.676 54.257-.022zM497.288 301.12l-27.515-44.065c-3.511-5.623-10.916-7.334-16.538-3.821l-33.861 21.159c-5.62 3.512-7.33 10.915-3.818 16.536l27.564 44.112c13.257 21.211-2.057 48.96-27.136 48.96H320V336.02c0-14.213-17.242-21.383-27.313-11.313l-80 79.981c-6.249 6.248-6.249 16.379 0 22.627l80 79.989C302.689 517.308 320 510.3 320 495.989V448h95.88c75.274 0 121.335-82.997 81.408-146.88z"}}]})(props);
};
function FaRedoAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.455 8c66.269.119 126.437 26.233 170.859 68.685l35.715-35.715C478.149 25.851 504 36.559 504 57.941V192c0 13.255-10.745 24-24 24H345.941c-21.382 0-32.09-25.851-16.971-40.971l41.75-41.75c-30.864-28.899-70.801-44.907-113.23-45.273-92.398-.798-170.283 73.977-169.484 169.442C88.764 348.009 162.184 424 256 424c41.127 0 79.997-14.678 110.629-41.556 4.743-4.161 11.906-3.908 16.368.553l39.662 39.662c4.872 4.872 4.631 12.815-.482 17.433C378.202 479.813 319.926 504 256 504 119.034 504 8.001 392.967 8 256.002 7.999 119.193 119.646 7.755 256.455 8z"}}]})(props);
};
function FaRedo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M500.33 0h-47.41a12 12 0 0 0-12 12.57l4 82.76A247.42 247.42 0 0 0 256 8C119.34 8 7.9 119.53 8 256.19 8.1 393.07 119.1 504 256 504a247.1 247.1 0 0 0 166.18-63.91 12 12 0 0 0 .48-17.43l-34-34a12 12 0 0 0-16.38-.55A176 176 0 1 1 402.1 157.8l-101.53-4.87a12 12 0 0 0-12.57 12v47.41a12 12 0 0 0 12 12h200.33a12 12 0 0 0 12-12V12a12 12 0 0 0-12-12z"}}]})(props);
};
function FaRegistered (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M285.363 207.475c0 18.6-9.831 28.431-28.431 28.431h-29.876v-56.14h23.378c28.668 0 34.929 8.773 34.929 27.709zM504 256c0 136.967-111.033 248-248 248S8 392.967 8 256 119.033 8 256 8s248 111.033 248 248zM363.411 360.414c-46.729-84.825-43.299-78.636-44.702-80.98 23.432-15.172 37.945-42.979 37.945-74.486 0-54.244-31.5-89.252-105.498-89.252h-70.667c-13.255 0-24 10.745-24 24V372c0 13.255 10.745 24 24 24h22.567c13.255 0 24-10.745 24-24v-71.663h25.556l44.129 82.937a24.001 24.001 0 0 0 21.188 12.727h24.464c18.261-.001 29.829-19.591 21.018-35.587z"}}]})(props);
};
function FaRemoveFormat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M336 416h-11.17l9.26-27.77L267 336.4 240.49 416H208a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h128a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm297.82 42.1L377 259.59 426.17 112H544v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16H176a16 16 0 0 0-16 16v43.9L45.46 3.38A16 16 0 0 0 23 6.19L3.37 31.46a16 16 0 0 0 2.81 22.45l588.36 454.72a16 16 0 0 0 22.46-2.81l19.64-25.27a16 16 0 0 0-2.82-22.45zM309.91 207.76L224 141.36V112h117.83z"}}]})(props);
};
function FaReplyAll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M136.309 189.836L312.313 37.851C327.72 24.546 352 35.348 352 56.015v82.763c129.182 10.231 224 52.212 224 183.548 0 61.441-39.582 122.309-83.333 154.132-13.653 9.931-33.111-2.533-28.077-18.631 38.512-123.162-3.922-169.482-112.59-182.015v84.175c0 20.701-24.3 31.453-39.687 18.164L136.309 226.164c-11.071-9.561-11.086-26.753 0-36.328zm-128 36.328L184.313 378.15C199.7 391.439 224 380.687 224 359.986v-15.818l-108.606-93.785A55.96 55.96 0 0 1 96 207.998a55.953 55.953 0 0 1 19.393-42.38L224 71.832V56.015c0-20.667-24.28-31.469-39.687-18.164L8.309 189.836c-11.086 9.575-11.071 26.767 0 36.328z"}}]})(props);
};
function FaReply (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M8.309 189.836L184.313 37.851C199.719 24.546 224 35.347 224 56.015v80.053c160.629 1.839 288 34.032 288 186.258 0 61.441-39.581 122.309-83.333 154.132-13.653 9.931-33.111-2.533-28.077-18.631 45.344-145.012-21.507-183.51-176.59-185.742V360c0 20.7-24.3 31.453-39.687 18.164l-176.004-152c-11.071-9.562-11.086-26.753 0-36.328z"}}]})(props);
};
function FaRepublican (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M544 192c0-88.4-71.6-160-160-160H160C71.6 32 0 103.6 0 192v64h544v-64zm-367.7-21.6l-19.8 19.3 4.7 27.3c.8 4.9-4.3 8.6-8.7 6.3L128 210.4l-24.5 12.9c-4.3 2.3-9.5-1.4-8.7-6.3l4.7-27.3-19.8-19.3c-3.6-3.5-1.6-9.5 3.3-10.2l27.4-4 12.2-24.8c2.2-4.5 8.6-4.4 10.7 0l12.2 24.8 27.4 4c5 .7 6.9 6.7 3.4 10.2zm144 0l-19.8 19.3 4.7 27.3c.8 4.9-4.3 8.6-8.7 6.3L272 210.4l-24.5 12.9c-4.3 2.3-9.5-1.4-8.7-6.3l4.7-27.3-19.8-19.3c-3.6-3.5-1.6-9.5 3.3-10.2l27.4-4 12.2-24.8c2.2-4.5 8.6-4.4 10.7 0l12.2 24.8 27.4 4c5 .7 6.9 6.7 3.4 10.2zm144 0l-19.8 19.3 4.7 27.3c.8 4.9-4.3 8.6-8.7 6.3L416 210.4l-24.5 12.9c-4.3 2.3-9.5-1.4-8.7-6.3l4.7-27.3-19.8-19.3c-3.6-3.5-1.6-9.5 3.3-10.2l27.4-4 12.2-24.8c2.2-4.5 8.6-4.4 10.7 0l12.2 24.8 27.4 4c5 .7 6.9 6.7 3.4 10.2zM624 320h-32c-8.8 0-16 7.2-16 16v64c0 8.8-7.2 16-16 16s-16-7.2-16-16V288H0v176c0 8.8 7.2 16 16 16h96c8.8 0 16-7.2 16-16v-80h192v80c0 8.8 7.2 16 16 16h96c8.8 0 16-7.2 16-16V352h32v43.3c0 41.8 30 80.1 71.6 84.3 47.8 4.9 88.4-32.7 88.4-79.6v-64c0-8.8-7.2-16-16-16z"}}]})(props);
};
function FaRestroom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M128 128c35.3 0 64-28.7 64-64S163.3 0 128 0 64 28.7 64 64s28.7 64 64 64zm384 0c35.3 0 64-28.7 64-64S547.3 0 512 0s-64 28.7-64 64 28.7 64 64 64zm127.3 226.5l-45.6-185.8c-3.3-13.5-15.5-23-29.8-24.2-15 9.7-32.8 15.5-52 15.5-19.2 0-37-5.8-52-15.5-14.3 1.2-26.5 10.7-29.8 24.2l-45.6 185.8C381 369.6 393 384 409.2 384H464v104c0 13.3 10.7 24 24 24h48c13.3 0 24-10.7 24-24V384h54.8c16.2 0 28.2-14.4 24.5-29.5zM336 0h-32c-8.8 0-16 7.2-16 16v480c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V16c0-8.8-7.2-16-16-16zM180.1 144.4c-15 9.8-32.9 15.6-52.1 15.6-19.2 0-37.1-5.8-52.1-15.6C51.3 146.5 32 166.9 32 192v136c0 13.3 10.7 24 24 24h8v136c0 13.3 10.7 24 24 24h80c13.3 0 24-10.7 24-24V352h8c13.3 0 24-10.7 24-24V192c0-25.1-19.3-45.5-43.9-47.6z"}}]})(props);
};
function FaRetweet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M629.657 343.598L528.971 444.284c-9.373 9.372-24.568 9.372-33.941 0L394.343 343.598c-9.373-9.373-9.373-24.569 0-33.941l10.823-10.823c9.562-9.562 25.133-9.34 34.419.492L480 342.118V160H292.451a24.005 24.005 0 0 1-16.971-7.029l-16-16C244.361 121.851 255.069 96 276.451 96H520c13.255 0 24 10.745 24 24v222.118l40.416-42.792c9.285-9.831 24.856-10.054 34.419-.492l10.823 10.823c9.372 9.372 9.372 24.569-.001 33.941zm-265.138 15.431A23.999 23.999 0 0 0 347.548 352H160V169.881l40.416 42.792c9.286 9.831 24.856 10.054 34.419.491l10.822-10.822c9.373-9.373 9.373-24.569 0-33.941L144.971 67.716c-9.373-9.373-24.569-9.373-33.941 0L10.343 168.402c-9.373 9.373-9.373 24.569 0 33.941l10.822 10.822c9.562 9.562 25.133 9.34 34.419-.491L96 169.881V392c0 13.255 10.745 24 24 24h243.549c21.382 0 32.09-25.851 16.971-40.971l-16.001-16z"}}]})(props);
};
function FaRibbon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M6.1 444.3c-9.6 10.8-7.5 27.6 4.5 35.7l68.8 27.9c9.9 6.7 23.3 5 31.3-3.8l91.8-101.9-79.2-87.9-117.2 130zm435.8 0s-292-324.6-295.4-330.1c15.4-8.4 40.2-17.9 77.5-17.9s62.1 9.5 77.5 17.9c-3.3 5.6-56 64.6-56 64.6l79.1 87.7 34.2-38c28.7-31.9 33.3-78.6 11.4-115.5l-43.7-73.5c-4.3-7.2-9.9-13.3-16.8-18-40.7-27.6-127.4-29.7-171.4 0-6.9 4.7-12.5 10.8-16.8 18l-43.6 73.2c-1.5 2.5-37.1 62.2 11.5 116L337.5 504c8 8.9 21.4 10.5 31.3 3.8l68.8-27.9c11.9-8 14-24.8 4.3-35.6z"}}]})(props);
};
function FaRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 64C110.06 64 0 125.91 0 208v98.13C0 384.48 114.62 448 256 448s256-63.52 256-141.87V208c0-82.09-110.06-144-256-144zm0 64c106.04 0 192 35.82 192 80 0 9.26-3.97 18.12-10.91 26.39C392.15 208.21 328.23 192 256 192s-136.15 16.21-181.09 42.39C67.97 226.12 64 217.26 64 208c0-44.18 85.96-80 192-80zM120.43 264.64C155.04 249.93 201.64 240 256 240s100.96 9.93 135.57 24.64C356.84 279.07 308.93 288 256 288s-100.84-8.93-135.57-23.36z"}}]})(props);
};
function FaRoad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M573.19 402.67l-139.79-320C428.43 71.29 417.6 64 405.68 64h-97.59l2.45 23.16c.5 4.72-3.21 8.84-7.96 8.84h-29.16c-4.75 0-8.46-4.12-7.96-8.84L267.91 64h-97.59c-11.93 0-22.76 7.29-27.73 18.67L2.8 402.67C-6.45 423.86 8.31 448 30.54 448h196.84l10.31-97.68c.86-8.14 7.72-14.32 15.91-14.32h68.8c8.19 0 15.05 6.18 15.91 14.32L348.62 448h196.84c22.23 0 36.99-24.14 27.73-45.33zM260.4 135.16a8 8 0 0 1 7.96-7.16h39.29c4.09 0 7.53 3.09 7.96 7.16l4.6 43.58c.75 7.09-4.81 13.26-11.93 13.26h-40.54c-7.13 0-12.68-6.17-11.93-13.26l4.59-43.58zM315.64 304h-55.29c-9.5 0-16.91-8.23-15.91-17.68l5.07-48c.86-8.14 7.72-14.32 15.91-14.32h45.15c8.19 0 15.05 6.18 15.91 14.32l5.07 48c1 9.45-6.41 17.68-15.91 17.68z"}}]})(props);
};
function FaRobot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M32,224H64V416H32A31.96166,31.96166,0,0,1,0,384V256A31.96166,31.96166,0,0,1,32,224Zm512-48V448a64.06328,64.06328,0,0,1-64,64H160a64.06328,64.06328,0,0,1-64-64V176a79.974,79.974,0,0,1,80-80H288V32a32,32,0,0,1,64,0V96H464A79.974,79.974,0,0,1,544,176ZM264,256a40,40,0,1,0-40,40A39.997,39.997,0,0,0,264,256Zm-8,128H192v32h64Zm96,0H288v32h64ZM456,256a40,40,0,1,0-40,40A39.997,39.997,0,0,0,456,256Zm-8,128H384v32h64ZM640,256V384a31.96166,31.96166,0,0,1-32,32H576V224h32A31.96166,31.96166,0,0,1,640,256Z"}}]})(props);
};
function FaRocket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M505.12019,19.09375c-1.18945-5.53125-6.65819-11-12.207-12.1875C460.716,0,435.507,0,410.40747,0,307.17523,0,245.26909,55.20312,199.05238,128H94.83772c-16.34763.01562-35.55658,11.875-42.88664,26.48438L2.51562,253.29688A28.4,28.4,0,0,0,0,264a24.00867,24.00867,0,0,0,24.00582,24H127.81618l-22.47457,22.46875c-11.36521,11.36133-12.99607,32.25781,0,45.25L156.24582,406.625c11.15623,11.1875,32.15619,13.15625,45.27726,0l22.47457-22.46875V488a24.00867,24.00867,0,0,0,24.00581,24,28.55934,28.55934,0,0,0,10.707-2.51562l98.72834-49.39063c14.62888-7.29687,26.50776-26.5,26.50776-42.85937V312.79688c72.59753-46.3125,128.03493-108.40626,128.03493-211.09376C512.07526,76.5,512.07526,51.29688,505.12019,19.09375ZM384.04033,168A40,40,0,1,1,424.05,128,40.02322,40.02322,0,0,1,384.04033,168Z"}}]})(props);
};
function FaRoute (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 320h-96c-17.6 0-32-14.4-32-32s14.4-32 32-32h96s96-107 96-160-43-96-96-96-96 43-96 96c0 25.5 22.2 63.4 45.3 96H320c-52.9 0-96 43.1-96 96s43.1 96 96 96h96c17.6 0 32 14.4 32 32s-14.4 32-32 32H185.5c-16 24.8-33.8 47.7-47.3 64H416c52.9 0 96-43.1 96-96s-43.1-96-96-96zm0-256c17.7 0 32 14.3 32 32s-14.3 32-32 32-32-14.3-32-32 14.3-32 32-32zM96 256c-53 0-96 43-96 96s96 160 96 160 96-107 96-160-43-96-96-96zm0 128c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}}]})(props);
};
function FaRssSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48V80c0-26.51-21.49-48-48-48zM112 416c-26.51 0-48-21.49-48-48s21.49-48 48-48 48 21.49 48 48-21.49 48-48 48zm157.533 0h-34.335c-6.011 0-11.051-4.636-11.442-10.634-5.214-80.05-69.243-143.92-149.123-149.123-5.997-.39-10.633-5.431-10.633-11.441v-34.335c0-6.535 5.468-11.777 11.994-11.425 110.546 5.974 198.997 94.536 204.964 204.964.352 6.526-4.89 11.994-11.425 11.994zm103.027 0h-34.334c-6.161 0-11.175-4.882-11.427-11.038-5.598-136.535-115.204-246.161-251.76-251.76C68.882 152.949 64 147.935 64 141.774V107.44c0-6.454 5.338-11.664 11.787-11.432 167.83 6.025 302.21 141.191 308.205 308.205.232 6.449-4.978 11.787-11.432 11.787z"}}]})(props);
};
function FaRss (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M128.081 415.959c0 35.369-28.672 64.041-64.041 64.041S0 451.328 0 415.959s28.672-64.041 64.041-64.041 64.04 28.673 64.04 64.041zm175.66 47.25c-8.354-154.6-132.185-278.587-286.95-286.95C7.656 175.765 0 183.105 0 192.253v48.069c0 8.415 6.49 15.472 14.887 16.018 111.832 7.284 201.473 96.702 208.772 208.772.547 8.397 7.604 14.887 16.018 14.887h48.069c9.149.001 16.489-7.655 15.995-16.79zm144.249.288C439.596 229.677 251.465 40.445 16.503 32.01 7.473 31.686 0 38.981 0 48.016v48.068c0 8.625 6.835 15.645 15.453 15.999 191.179 7.839 344.627 161.316 352.465 352.465.353 8.618 7.373 15.453 15.999 15.453h48.068c9.034-.001 16.329-7.474 16.005-16.504z"}}]})(props);
};
function FaRubleSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M239.36 320C324.48 320 384 260.542 384 175.071S324.48 32 239.36 32H76c-6.627 0-12 5.373-12 12v206.632H12c-6.627 0-12 5.373-12 12V308c0 6.627 5.373 12 12 12h52v32H12c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h52v52c0 6.627 5.373 12 12 12h58.56c6.627 0 12-5.373 12-12v-52H308c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12H146.56v-32h92.8zm-92.8-219.252h78.72c46.72 0 74.88 29.11 74.88 74.323 0 45.832-28.16 75.561-76.16 75.561h-77.44V100.748z"}}]})(props);
};
function FaRulerCombined (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160 288h-56c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h56v-64h-56c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h56V96h-56c-4.42 0-8-3.58-8-8V72c0-4.42 3.58-8 8-8h56V32c0-17.67-14.33-32-32-32H32C14.33 0 0 14.33 0 32v448c0 2.77.91 5.24 1.57 7.8L160 329.38V288zm320 64h-32v56c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8v-56h-64v56c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8v-56h-64v56c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8v-56h-41.37L24.2 510.43c2.56.66 5.04 1.57 7.8 1.57h448c17.67 0 32-14.33 32-32v-96c0-17.67-14.33-32-32-32z"}}]})(props);
};
function FaRulerHorizontal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M544 128h-48v88c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8v-88h-64v88c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8v-88h-64v88c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8v-88h-64v88c0 4.42-3.58 8-8 8h-16c-4.42 0-8-3.58-8-8v-88h-64v88c0 4.42-3.58 8-8 8H88c-4.42 0-8-3.58-8-8v-88H32c-17.67 0-32 14.33-32 32v192c0 17.67 14.33 32 32 32h512c17.67 0 32-14.33 32-32V160c0-17.67-14.33-32-32-32z"}}]})(props);
};
function FaRulerVertical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M168 416c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h88v-64h-88c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h88v-64h-88c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h88v-64h-88c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h88V32c0-17.67-14.33-32-32-32H32C14.33 0 0 14.33 0 32v448c0 17.67 14.33 32 32 32h192c17.67 0 32-14.33 32-32v-64h-88z"}}]})(props);
};
function FaRuler (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M635.7 167.2L556.1 31.7c-8.8-15-28.3-20.1-43.5-11.5l-69 39.1L503.3 161c2.2 3.8.9 8.5-2.9 10.7l-13.8 7.8c-3.8 2.2-8.7.9-10.9-2.9L416 75l-55.2 31.3 27.9 47.4c2.2 3.8.9 8.5-2.9 10.7l-13.8 7.8c-3.8 2.2-8.7.9-10.9-2.9L333.2 122 278 153.3 337.8 255c2.2 3.7.9 8.5-2.9 10.7l-13.8 7.8c-3.8 2.2-8.7.9-10.9-2.9l-59.7-101.7-55.2 31.3 27.9 47.4c2.2 3.8.9 8.5-2.9 10.7l-13.8 7.8c-3.8 2.2-8.7.9-10.9-2.9l-27.9-47.5-55.2 31.3 59.7 101.7c2.2 3.7.9 8.5-2.9 10.7l-13.8 7.8c-3.8 2.2-8.7.9-10.9-2.9L84.9 262.9l-69 39.1C.7 310.7-4.6 329.8 4.2 344.8l79.6 135.6c8.8 15 28.3 20.1 43.5 11.5L624.1 210c15.2-8.6 20.4-27.8 11.6-42.8z"}}]})(props);
};
function FaRunning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 416 512"},"child":[{"tag":"path","attr":{"d":"M272 96c26.51 0 48-21.49 48-48S298.51 0 272 0s-48 21.49-48 48 21.49 48 48 48zM113.69 317.47l-14.8 34.52H32c-17.67 0-32 14.33-32 32s14.33 32 32 32h77.45c19.25 0 36.58-11.44 44.11-29.09l8.79-20.52-10.67-6.3c-17.32-10.23-30.06-25.37-37.99-42.61zM384 223.99h-44.03l-26.06-53.25c-12.5-25.55-35.45-44.23-61.78-50.94l-71.08-21.14c-28.3-6.8-57.77-.55-80.84 17.14l-39.67 30.41c-14.03 10.75-16.69 30.83-5.92 44.86s30.84 16.66 44.86 5.92l39.69-30.41c7.67-5.89 17.44-8 25.27-6.14l14.7 4.37-37.46 87.39c-12.62 29.48-1.31 64.01 26.3 80.31l84.98 50.17-27.47 87.73c-5.28 16.86 4.11 34.81 20.97 40.09 3.19 1 6.41 1.48 9.58 1.48 13.61 0 26.23-8.77 30.52-22.45l31.64-101.06c5.91-20.77-2.89-43.08-21.64-54.39l-61.24-36.14 31.31-78.28 20.27 41.43c8 16.34 24.92 26.89 43.11 26.89H384c17.67 0 32-14.33 32-32s-14.33-31.99-32-31.99z"}}]})(props);
};
function FaRupeeSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M308 96c6.627 0 12-5.373 12-12V44c0-6.627-5.373-12-12-12H12C5.373 32 0 37.373 0 44v44.748c0 6.627 5.373 12 12 12h85.28c27.308 0 48.261 9.958 60.97 27.252H12c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h158.757c-6.217 36.086-32.961 58.632-74.757 58.632H12c-6.627 0-12 5.373-12 12v53.012c0 3.349 1.4 6.546 3.861 8.818l165.052 152.356a12.001 12.001 0 0 0 8.139 3.182h82.562c10.924 0 16.166-13.408 8.139-20.818L116.871 319.906c76.499-2.34 131.144-53.395 138.318-127.906H308c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12h-58.69c-3.486-11.541-8.28-22.246-14.252-32H308z"}}]})(props);
};
function FaSadCry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256c0 90.1 48.2 168.7 120 212.1V288c0-8.8 7.2-16 16-16s16 7.2 16 16v196.7c29.5 12.4 62 19.3 96 19.3s66.5-6.9 96-19.3V288c0-8.8 7.2-16 16-16s16 7.2 16 16v180.1C447.8 424.7 496 346 496 256 496 119 385 8 248 8zm-65.5 216.5c-14.8-13.2-46.2-13.2-61 0L112 233c-3.8 3.3-9.3 4-13.7 1.6-4.4-2.4-6.9-7.4-6.1-12.4 4-25.2 34.2-42.1 59.9-42.1S208 197 212 222.2c.8 5-1.7 10-6.1 12.4-5.8 3.1-11.2.7-13.7-1.6l-9.7-8.5zM248 416c-26.5 0-48-28.7-48-64s21.5-64 48-64 48 28.7 48 64-21.5 64-48 64zm149.8-181.5c-5.8 3.1-11.2.7-13.7-1.6l-9.5-8.5c-14.8-13.2-46.2-13.2-61 0L304 233c-3.8 3.3-9.3 4-13.7 1.6-4.4-2.4-6.9-7.4-6.1-12.4 4-25.2 34.2-42.1 59.9-42.1S400 197 404 222.2c.6 4.9-1.8 9.9-6.2 12.3z"}}]})(props);
};
function FaSadTear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm80 168c17.7 0 32 14.3 32 32s-14.3 32-32 32-32-14.3-32-32 14.3-32 32-32zM152 416c-26.5 0-48-21-48-47 0-20 28.5-60.4 41.6-77.8 3.2-4.3 9.6-4.3 12.8 0C171.5 308.6 200 349 200 369c0 26-21.5 47-48 47zm16-176c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm170.2 154.2C315.8 367.4 282.9 352 248 352c-21.2 0-21.2-32 0-32 44.4 0 86.3 19.6 114.7 53.8 13.8 16.4-11.2 36.5-24.5 20.4z"}}]})(props);
};
function FaSatelliteDish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M305.44954,462.59c7.39157,7.29792,6.18829,20.09661-3.00038,25.00356-77.713,41.80281-176.72559,29.9105-242.34331-35.7082C-5.49624,386.28227-17.404,287.362,24.41381,209.554c4.89125-9.095,17.68975-10.29834,25.00318-3.00043L166.22872,323.36708l27.39411-27.39452c-.68759-2.60974-1.594-5.00071-1.594-7.81361a32.00407,32.00407,0,1,1,32.00407,32.00455c-2.79723,0-5.20378-.89075-7.79786-1.594l-27.40974,27.41015ZM511.9758,303.06732a16.10336,16.10336,0,0,1-16.002,17.00242H463.86031a15.96956,15.96956,0,0,1-15.89265-15.00213C440.46671,175.5492,336.45348,70.53427,207.03078,63.53328a15.84486,15.84486,0,0,1-15.00191-15.90852V16.02652A16.09389,16.09389,0,0,1,209.031.02425C372.25491,8.61922,503.47472,139.841,511.9758,303.06732Zm-96.01221-.29692a16.21093,16.21093,0,0,1-16.11142,17.29934H367.645a16.06862,16.06862,0,0,1-15.89265-14.70522c-6.90712-77.01094-68.118-138.91037-144.92467-145.22376a15.94,15.94,0,0,1-14.79876-15.89289V112.13393a16.134,16.134,0,0,1,17.29908-16.096C319.45132,104.5391,407.55627,192.64538,415.96359,302.7704Z"}}]})(props);
};
function FaSatellite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M502.60969,310.04206l-96.70393,96.71625a31.88151,31.88151,0,0,1-45.00765,0L280.572,326.34115l-9.89231,9.90759a190.56343,190.56343,0,0,1-5.40716,168.52287c-4.50077,8.50115-16.39342,9.59505-23.20707,2.79725L134.54715,400.05428l-17.7999,17.79929c.70324,2.60972,1.60965,5.00067,1.60965,7.79793a32.00544,32.00544,0,1,1-32.00544-32.00434c2.79735,0,5.18838.90637,7.7982,1.60959l17.7999-17.79929L4.43129,269.94287c-6.798-6.81342-5.70409-18.6119,2.79735-23.20627a190.58161,190.58161,0,0,1,168.52864-5.407l9.79854-9.79821-80.31053-80.41716a32.002,32.002,0,0,1,0-45.09987L201.96474,9.29814A31.62639,31.62639,0,0,1,224.46868,0a31.99951,31.99951,0,0,1,22.59759,9.29814l80.32615,80.30777,47.805-47.89713a33.6075,33.6075,0,0,1,47.50808,0l47.50807,47.50645a33.63308,33.63308,0,0,1,0,47.50644l-47.805,47.89713L502.71908,265.036A31.78938,31.78938,0,0,1,502.60969,310.04206ZM219.56159,197.433l73.82505-73.82252-68.918-68.9-73.80942,73.80689Zm237.74352,90.106-68.90233-68.9156-73.825,73.82252,68.918,68.9Z"}}]})(props);
};
function FaSave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M433.941 129.941l-83.882-83.882A48 48 0 0 0 316.118 32H48C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48V163.882a48 48 0 0 0-14.059-33.941zM224 416c-35.346 0-64-28.654-64-64 0-35.346 28.654-64 64-64s64 28.654 64 64c0 35.346-28.654 64-64 64zm96-304.52V212c0 6.627-5.373 12-12 12H76c-6.627 0-12-5.373-12-12V108c0-6.627 5.373-12 12-12h228.52c3.183 0 6.235 1.264 8.485 3.515l3.48 3.48A11.996 11.996 0 0 1 320 111.48z"}}]})(props);
};
function FaSchool (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M0 224v272c0 8.84 7.16 16 16 16h80V192H32c-17.67 0-32 14.33-32 32zm360-48h-24v-40c0-4.42-3.58-8-8-8h-16c-4.42 0-8 3.58-8 8v64c0 4.42 3.58 8 8 8h48c4.42 0 8-3.58 8-8v-16c0-4.42-3.58-8-8-8zm137.75-63.96l-160-106.67a32.02 32.02 0 0 0-35.5 0l-160 106.67A32.002 32.002 0 0 0 128 138.66V512h128V368c0-8.84 7.16-16 16-16h96c8.84 0 16 7.16 16 16v144h128V138.67c0-10.7-5.35-20.7-14.25-26.63zM320 256c-44.18 0-80-35.82-80-80s35.82-80 80-80 80 35.82 80 80-35.82 80-80 80zm288-64h-64v320h80c8.84 0 16-7.16 16-16V224c0-17.67-14.33-32-32-32z"}}]})(props);
};
function FaScrewdriver (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 0L320 96v62.06l-83.03 83.03c6.79 4.25 13.27 9.06 19.07 14.87 5.8 5.8 10.62 12.28 14.87 19.07L353.94 192H416l96-128-64-64zM128 278.59L10.92 395.67c-14.55 14.55-14.55 38.15 0 52.71l52.7 52.7c14.56 14.56 38.15 14.56 52.71 0L233.41 384c29.11-29.11 29.11-76.3 0-105.41s-76.3-29.11-105.41 0z"}}]})(props);
};
function FaScroll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M48 0C21.53 0 0 21.53 0 48v64c0 8.84 7.16 16 16 16h80V48C96 21.53 74.47 0 48 0zm208 412.57V352h288V96c0-52.94-43.06-96-96-96H111.59C121.74 13.41 128 29.92 128 48v368c0 38.87 34.65 69.65 74.75 63.12C234.22 474 256 444.46 256 412.57zM288 384v32c0 52.93-43.06 96-96 96h336c61.86 0 112-50.14 112-112 0-8.84-7.16-16-16-16H288z"}}]})(props);
};
function FaSdCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M320 0H128L0 128v320c0 35.3 28.7 64 64 64h256c35.3 0 64-28.7 64-64V64c0-35.3-28.7-64-64-64zM160 160h-48V64h48v96zm80 0h-48V64h48v96zm80 0h-48V64h48v96z"}}]})(props);
};
function FaSearchDollar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M505.04 442.66l-99.71-99.69c-4.5-4.5-10.6-7-17-7h-16.3c27.6-35.3 44-79.69 44-127.99C416.03 93.09 322.92 0 208.02 0S0 93.09 0 207.98s93.11 207.98 208.02 207.98c48.3 0 92.71-16.4 128.01-44v16.3c0 6.4 2.5 12.5 7 17l99.71 99.69c9.4 9.4 24.6 9.4 33.9 0l28.3-28.3c9.4-9.4 9.4-24.59.1-33.99zm-297.02-90.7c-79.54 0-144-64.34-144-143.98 0-79.53 64.35-143.98 144-143.98 79.54 0 144 64.34 144 143.98 0 79.53-64.35 143.98-144 143.98zm27.11-152.54l-45.01-13.5c-5.16-1.55-8.77-6.78-8.77-12.73 0-7.27 5.3-13.19 11.8-13.19h28.11c4.56 0 8.96 1.29 12.82 3.72 3.24 2.03 7.36 1.91 10.13-.73l11.75-11.21c3.53-3.37 3.33-9.21-.57-12.14-9.1-6.83-20.08-10.77-31.37-11.35V112c0-4.42-3.58-8-8-8h-16c-4.42 0-8 3.58-8 8v16.12c-23.63.63-42.68 20.55-42.68 45.07 0 19.97 12.99 37.81 31.58 43.39l45.01 13.5c5.16 1.55 8.77 6.78 8.77 12.73 0 7.27-5.3 13.19-11.8 13.19h-28.1c-4.56 0-8.96-1.29-12.82-3.72-3.24-2.03-7.36-1.91-10.13.73l-11.75 11.21c-3.53 3.37-3.33 9.21.57 12.14 9.1 6.83 20.08 10.77 31.37 11.35V304c0 4.42 3.58 8 8 8h16c4.42 0 8-3.58 8-8v-16.12c23.63-.63 42.68-20.54 42.68-45.07 0-19.97-12.99-37.81-31.59-43.39z"}}]})(props);
};
function FaSearchLocation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M505.04 442.66l-99.71-99.69c-4.5-4.5-10.6-7-17-7h-16.3c27.6-35.3 44-79.69 44-127.99C416.03 93.09 322.92 0 208.02 0S0 93.09 0 207.98s93.11 207.98 208.02 207.98c48.3 0 92.71-16.4 128.01-44v16.3c0 6.4 2.5 12.5 7 17l99.71 99.69c9.4 9.4 24.6 9.4 33.9 0l28.3-28.3c9.4-9.4 9.4-24.59.1-33.99zm-297.02-90.7c-79.54 0-144-64.34-144-143.98 0-79.53 64.35-143.98 144-143.98 79.54 0 144 64.34 144 143.98 0 79.53-64.35 143.98-144 143.98zm.02-239.96c-40.78 0-73.84 33.05-73.84 73.83 0 32.96 48.26 93.05 66.75 114.86a9.24 9.24 0 0 0 14.18 0c18.49-21.81 66.75-81.89 66.75-114.86 0-40.78-33.06-73.83-73.84-73.83zm0 96c-13.26 0-24-10.75-24-24 0-13.26 10.75-24 24-24s24 10.74 24 24c0 13.25-10.75 24-24 24z"}}]})(props);
};
function FaSearchMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304 192v32c0 6.6-5.4 12-12 12H124c-6.6 0-12-5.4-12-12v-32c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12zm201 284.7L476.7 505c-9.4 9.4-24.6 9.4-33.9 0L343 405.3c-4.5-4.5-7-10.6-7-17V372c-35.3 27.6-79.7 44-128 44C93.1 416 0 322.9 0 208S93.1 0 208 0s208 93.1 208 208c0 48.3-16.4 92.7-44 128h16.3c6.4 0 12.5 2.5 17 7l99.7 99.7c9.3 9.4 9.3 24.6 0 34zM344 208c0-75.2-60.8-136-136-136S72 132.8 72 208s60.8 136 136 136 136-60.8 136-136z"}}]})(props);
};
function FaSearchPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304 192v32c0 6.6-5.4 12-12 12h-56v56c0 6.6-5.4 12-12 12h-32c-6.6 0-12-5.4-12-12v-56h-56c-6.6 0-12-5.4-12-12v-32c0-6.6 5.4-12 12-12h56v-56c0-6.6 5.4-12 12-12h32c6.6 0 12 5.4 12 12v56h56c6.6 0 12 5.4 12 12zm201 284.7L476.7 505c-9.4 9.4-24.6 9.4-33.9 0L343 405.3c-4.5-4.5-7-10.6-7-17V372c-35.3 27.6-79.7 44-128 44C93.1 416 0 322.9 0 208S93.1 0 208 0s208 93.1 208 208c0 48.3-16.4 92.7-44 128h16.3c6.4 0 12.5 2.5 17 7l99.7 99.7c9.3 9.4 9.3 24.6 0 34zM344 208c0-75.2-60.8-136-136-136S72 132.8 72 208s60.8 136 136 136 136-60.8 136-136z"}}]})(props);
};
function FaSearch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M505 442.7L405.3 343c-4.5-4.5-10.6-7-17-7H372c27.6-35.3 44-79.7 44-128C416 93.1 322.9 0 208 0S0 93.1 0 208s93.1 208 208 208c48.3 0 92.7-16.4 128-44v16.3c0 6.4 2.5 12.5 7 17l99.7 99.7c9.4 9.4 24.6 9.4 33.9 0l28.3-28.3c9.4-9.4 9.4-24.6.1-34zM208 336c-70.7 0-128-57.2-128-128 0-70.7 57.2-128 128-128 70.7 0 128 57.2 128 128 0 70.7-57.2 128-128 128z"}}]})(props);
};
function FaSeedling (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 96H0c0 123.7 100.3 224 224 224v144c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V320C288 196.3 187.7 96 64 96zm384-64c-84.2 0-157.4 46.5-195.7 115.2 27.7 30.2 48.2 66.9 59 107.6C424 243.1 512 147.9 512 32h-64z"}}]})(props);
};
function FaServer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 160H32c-17.673 0-32-14.327-32-32V64c0-17.673 14.327-32 32-32h448c17.673 0 32 14.327 32 32v64c0 17.673-14.327 32-32 32zm-48-88c-13.255 0-24 10.745-24 24s10.745 24 24 24 24-10.745 24-24-10.745-24-24-24zm-64 0c-13.255 0-24 10.745-24 24s10.745 24 24 24 24-10.745 24-24-10.745-24-24-24zm112 248H32c-17.673 0-32-14.327-32-32v-64c0-17.673 14.327-32 32-32h448c17.673 0 32 14.327 32 32v64c0 17.673-14.327 32-32 32zm-48-88c-13.255 0-24 10.745-24 24s10.745 24 24 24 24-10.745 24-24-10.745-24-24-24zm-64 0c-13.255 0-24 10.745-24 24s10.745 24 24 24 24-10.745 24-24-10.745-24-24-24zm112 248H32c-17.673 0-32-14.327-32-32v-64c0-17.673 14.327-32 32-32h448c17.673 0 32 14.327 32 32v64c0 17.673-14.327 32-32 32zm-48-88c-13.255 0-24 10.745-24 24s10.745 24 24 24 24-10.745 24-24-10.745-24-24-24zm-64 0c-13.255 0-24 10.745-24 24s10.745 24 24 24 24-10.745 24-24-10.745-24-24-24z"}}]})(props);
};
function FaShapes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128,256A128,128,0,1,0,256,384,128,128,0,0,0,128,256Zm379-54.86L400.07,18.29a37.26,37.26,0,0,0-64.14,0L229,201.14C214.76,225.52,232.58,256,261.09,256H474.91C503.42,256,521.24,225.52,507,201.14ZM480,288H320a32,32,0,0,0-32,32V480a32,32,0,0,0,32,32H480a32,32,0,0,0,32-32V320A32,32,0,0,0,480,288Z"}}]})(props);
};
function FaShareAltSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 80v352c0 26.51-21.49 48-48 48H48c-26.51 0-48-21.49-48-48V80c0-26.51 21.49-48 48-48h352c26.51 0 48 21.49 48 48zM304 296c-14.562 0-27.823 5.561-37.783 14.671l-67.958-40.775a56.339 56.339 0 0 0 0-27.793l67.958-40.775C276.177 210.439 289.438 216 304 216c30.928 0 56-25.072 56-56s-25.072-56-56-56-56 25.072-56 56c0 4.797.605 9.453 1.74 13.897l-67.958 40.775C171.823 205.561 158.562 200 144 200c-30.928 0-56 25.072-56 56s25.072 56 56 56c14.562 0 27.823-5.561 37.783-14.671l67.958 40.775a56.088 56.088 0 0 0-1.74 13.897c0 30.928 25.072 56 56 56s56-25.072 56-56C360 321.072 334.928 296 304 296z"}}]})(props);
};
function FaShareAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M352 320c-22.608 0-43.387 7.819-59.79 20.895l-102.486-64.054a96.551 96.551 0 0 0 0-41.683l102.486-64.054C308.613 184.181 329.392 192 352 192c53.019 0 96-42.981 96-96S405.019 0 352 0s-96 42.981-96 96c0 7.158.79 14.13 2.276 20.841L155.79 180.895C139.387 167.819 118.608 160 96 160c-53.019 0-96 42.981-96 96s42.981 96 96 96c22.608 0 43.387-7.819 59.79-20.895l102.486 64.054A96.301 96.301 0 0 0 256 416c0 53.019 42.981 96 96 96s96-42.981 96-96-42.981-96-96-96z"}}]})(props);
};
function FaShareSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M568.482 177.448L424.479 313.433C409.3 327.768 384 317.14 384 295.985v-71.963c-144.575.97-205.566 35.113-164.775 171.353 4.483 14.973-12.846 26.567-25.006 17.33C155.252 383.105 120 326.488 120 269.339c0-143.937 117.599-172.5 264-173.312V24.012c0-21.174 25.317-31.768 40.479-17.448l144.003 135.988c10.02 9.463 10.028 25.425 0 34.896zM384 379.128V448H64V128h50.916a11.99 11.99 0 0 0 8.648-3.693c14.953-15.568 32.237-27.89 51.014-37.676C185.708 80.83 181.584 64 169.033 64H48C21.49 64 0 85.49 0 112v352c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48v-88.806c0-8.288-8.197-14.066-16.011-11.302a71.83 71.83 0 0 1-34.189 3.377c-7.27-1.046-13.8 4.514-13.8 11.859z"}}]})(props);
};
function FaShare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M503.691 189.836L327.687 37.851C312.281 24.546 288 35.347 288 56.015v80.053C127.371 137.907 0 170.1 0 322.326c0 61.441 39.581 122.309 83.333 154.132 13.653 9.931 33.111-2.533 28.077-18.631C66.066 312.814 132.917 274.316 288 272.085V360c0 20.7 24.3 31.453 39.687 18.164l176.004-152c11.071-9.562 11.086-26.753 0-36.328z"}}]})(props);
};
function FaShekelSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M248 168v168c0 8.84 7.16 16 16 16h48c8.84 0 16-7.16 16-16V168c0-75.11-60.89-136-136-136H24C10.75 32 0 42.74 0 56v408c0 8.84 7.16 16 16 16h48c8.84 0 16-7.16 16-16V112h112c30.93 0 56 25.07 56 56zM432 32h-48c-8.84 0-16 7.16-16 16v296c0 30.93-25.07 56-56 56H200V176c0-8.84-7.16-16-16-16h-48c-8.84 0-16 7.16-16 16v280c0 13.25 10.75 24 24 24h168c75.11 0 136-60.89 136-136V48c0-8.84-7.16-16-16-16z"}}]})(props);
};
function FaShieldAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M466.5 83.7l-192-80a48.15 48.15 0 0 0-36.9 0l-192 80C27.7 91.1 16 108.6 16 128c0 198.5 114.5 335.7 221.5 380.3 11.8 4.9 25.1 4.9 36.9 0C360.1 472.6 496 349.3 496 128c0-19.4-11.7-36.9-29.5-44.3zM256.1 446.3l-.1-381 175.9 73.3c-3.3 151.4-82.1 261.1-175.8 307.7z"}}]})(props);
};
function FaShip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M496.616 372.639l70.012-70.012c16.899-16.9 9.942-45.771-12.836-53.092L512 236.102V96c0-17.673-14.327-32-32-32h-64V24c0-13.255-10.745-24-24-24H248c-13.255 0-24 10.745-24 24v40h-64c-17.673 0-32 14.327-32 32v140.102l-41.792 13.433c-22.753 7.313-29.754 36.173-12.836 53.092l70.012 70.012C125.828 416.287 85.587 448 24 448c-13.255 0-24 10.745-24 24v16c0 13.255 10.745 24 24 24 61.023 0 107.499-20.61 143.258-59.396C181.677 487.432 216.021 512 256 512h128c39.979 0 74.323-24.568 88.742-59.396C508.495 491.384 554.968 512 616 512c13.255 0 24-10.745 24-24v-16c0-13.255-10.745-24-24-24-60.817 0-101.542-31.001-119.384-75.361zM192 128h256v87.531l-118.208-37.995a31.995 31.995 0 0 0-19.584 0L192 215.531V128z"}}]})(props);
};
function FaShippingFast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624 352h-16V243.9c0-12.7-5.1-24.9-14.1-33.9L494 110.1c-9-9-21.2-14.1-33.9-14.1H416V48c0-26.5-21.5-48-48-48H112C85.5 0 64 21.5 64 48v48H8c-4.4 0-8 3.6-8 8v16c0 4.4 3.6 8 8 8h272c4.4 0 8 3.6 8 8v16c0 4.4-3.6 8-8 8H40c-4.4 0-8 3.6-8 8v16c0 4.4 3.6 8 8 8h208c4.4 0 8 3.6 8 8v16c0 4.4-3.6 8-8 8H8c-4.4 0-8 3.6-8 8v16c0 4.4 3.6 8 8 8h208c4.4 0 8 3.6 8 8v16c0 4.4-3.6 8-8 8H64v128c0 53 43 96 96 96s96-43 96-96h128c0 53 43 96 96 96s96-43 96-96h48c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16zM160 464c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48zm320 0c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48zm80-208H416V144h44.1l99.9 99.9V256z"}}]})(props);
};
function FaShoePrints (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M192 160h32V32h-32c-35.35 0-64 28.65-64 64s28.65 64 64 64zM0 416c0 35.35 28.65 64 64 64h32V352H64c-35.35 0-64 28.65-64 64zm337.46-128c-34.91 0-76.16 13.12-104.73 32-24.79 16.38-44.52 32-104.73 32v128l57.53 15.97c26.21 7.28 53.01 13.12 80.31 15.05 32.69 2.31 65.6.67 97.58-6.2C472.9 481.3 512 429.22 512 384c0-64-84.18-96-174.54-96zM491.42 7.19C459.44.32 426.53-1.33 393.84.99c-27.3 1.93-54.1 7.77-80.31 15.04L256 32v128c60.2 0 79.94 15.62 104.73 32 28.57 18.88 69.82 32 104.73 32C555.82 224 640 192 640 128c0-45.22-39.1-97.3-148.58-120.81z"}}]})(props);
};
function FaShoppingBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M352 160v-32C352 57.42 294.579 0 224 0 153.42 0 96 57.42 96 128v32H0v272c0 44.183 35.817 80 80 80h288c44.183 0 80-35.817 80-80V160h-96zm-192-32c0-35.29 28.71-64 64-64s64 28.71 64 64v32H160v-32zm160 120c-13.255 0-24-10.745-24-24s10.745-24 24-24 24 10.745 24 24-10.745 24-24 24zm-192 0c-13.255 0-24-10.745-24-24s10.745-24 24-24 24 10.745 24 24-10.745 24-24 24z"}}]})(props);
};
function FaShoppingBasket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M576 216v16c0 13.255-10.745 24-24 24h-8l-26.113 182.788C514.509 462.435 494.257 480 470.37 480H105.63c-23.887 0-44.139-17.565-47.518-41.212L32 256h-8c-13.255 0-24-10.745-24-24v-16c0-13.255 10.745-24 24-24h67.341l106.78-146.821c10.395-14.292 30.407-17.453 44.701-7.058 14.293 10.395 17.453 30.408 7.058 44.701L170.477 192h235.046L326.12 82.821c-10.395-14.292-7.234-34.306 7.059-44.701 14.291-10.395 34.306-7.235 44.701 7.058L484.659 192H552c13.255 0 24 10.745 24 24zM312 392V280c0-13.255-10.745-24-24-24s-24 10.745-24 24v112c0 13.255 10.745 24 24 24s24-10.745 24-24zm112 0V280c0-13.255-10.745-24-24-24s-24 10.745-24 24v112c0 13.255 10.745 24 24 24s24-10.745 24-24zm-224 0V280c0-13.255-10.745-24-24-24s-24 10.745-24 24v112c0 13.255 10.745 24 24 24s24-10.745 24-24z"}}]})(props);
};
function FaShoppingCart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M528.12 301.319l47.273-208C578.806 78.301 567.391 64 551.99 64H159.208l-9.166-44.81C147.758 8.021 137.93 0 126.529 0H24C10.745 0 0 10.745 0 24v16c0 13.255 10.745 24 24 24h69.883l70.248 343.435C147.325 417.1 136 435.222 136 456c0 30.928 25.072 56 56 56s56-25.072 56-56c0-15.674-6.447-29.835-16.824-40h209.647C430.447 426.165 424 440.326 424 456c0 30.928 25.072 56 56 56s56-25.072 56-56c0-22.172-12.888-41.332-31.579-50.405l5.517-24.276c3.413-15.018-8.002-29.319-23.403-29.319H218.117l-6.545-32h293.145c11.206 0 20.92-7.754 23.403-18.681z"}}]})(props);
};
function FaShower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304,320a16,16,0,1,0,16,16A16,16,0,0,0,304,320Zm32-96a16,16,0,1,0,16,16A16,16,0,0,0,336,224Zm32,64a16,16,0,1,0-16-16A16,16,0,0,0,368,288Zm-32,32a16,16,0,1,0-16-16A16,16,0,0,0,336,320Zm-32-64a16,16,0,1,0,16,16A16,16,0,0,0,304,256Zm128-32a16,16,0,1,0-16-16A16,16,0,0,0,432,224Zm-48,16a16,16,0,1,0,16-16A16,16,0,0,0,384,240Zm-16-48a16,16,0,1,0,16,16A16,16,0,0,0,368,192Zm96,32a16,16,0,1,0,16,16A16,16,0,0,0,464,224Zm32-32a16,16,0,1,0,16,16A16,16,0,0,0,496,192Zm-64,64a16,16,0,1,0,16,16A16,16,0,0,0,432,256Zm-32,32a16,16,0,1,0,16,16A16,16,0,0,0,400,288Zm-64,64a16,16,0,1,0,16,16A16,16,0,0,0,336,352Zm-32,32a16,16,0,1,0,16,16A16,16,0,0,0,304,384Zm64-64a16,16,0,1,0,16,16A16,16,0,0,0,368,320Zm21.65-218.35-11.3-11.31a16,16,0,0,0-22.63,0L350.05,96A111.19,111.19,0,0,0,272,64c-19.24,0-37.08,5.3-52.9,13.85l-10-10A121.72,121.72,0,0,0,123.44,32C55.49,31.5,0,92.91,0,160.85V464a16,16,0,0,0,16,16H48a16,16,0,0,0,16-16V158.4c0-30.15,21-58.2,51-61.93a58.38,58.38,0,0,1,48.93,16.67l10,10C165.3,138.92,160,156.76,160,176a111.23,111.23,0,0,0,32,78.05l-5.66,5.67a16,16,0,0,0,0,22.62l11.3,11.31a16,16,0,0,0,22.63,0L389.65,124.28A16,16,0,0,0,389.65,101.65Z"}}]})(props);
};
function FaShuttleVan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M628.88 210.65L494.39 49.27A48.01 48.01 0 0 0 457.52 32H32C14.33 32 0 46.33 0 64v288c0 17.67 14.33 32 32 32h32c0 53.02 42.98 96 96 96s96-42.98 96-96h128c0 53.02 42.98 96 96 96s96-42.98 96-96h32c17.67 0 32-14.33 32-32V241.38c0-11.23-3.94-22.1-11.12-30.73zM64 192V96h96v96H64zm96 240c-26.51 0-48-21.49-48-48s21.49-48 48-48 48 21.49 48 48-21.49 48-48 48zm160-240h-96V96h96v96zm160 240c-26.51 0-48-21.49-48-48s21.49-48 48-48 48 21.49 48 48-21.49 48-48 48zm-96-240V96h66.02l80 96H384z"}}]})(props);
};
function FaSignInAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 448h-84c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h84c17.7 0 32-14.3 32-32V160c0-17.7-14.3-32-32-32h-84c-6.6 0-12-5.4-12-12V76c0-6.6 5.4-12 12-12h84c53 0 96 43 96 96v192c0 53-43 96-96 96zm-47-201L201 79c-15-15-41-4.5-41 17v96H24c-13.3 0-24 10.7-24 24v96c0 13.3 10.7 24 24 24h136v96c0 21.5 26 32 41 17l168-168c9.3-9.4 9.3-24.6 0-34z"}}]})(props);
};
function FaSignLanguage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M91.434 483.987c-.307-16.018 13.109-29.129 29.13-29.129h62.293v-5.714H56.993c-16.021 0-29.437-13.111-29.13-29.129C28.16 404.491 40.835 392 56.428 392h126.429v-5.714H29.136c-16.021 0-29.437-13.111-29.13-29.129.297-15.522 12.973-28.013 28.566-28.013h154.286v-5.714H57.707c-16.021 0-29.437-13.111-29.13-29.129.297-15.522 12.973-28.013 28.566-28.013h168.566l-31.085-22.606c-12.762-9.281-15.583-27.149-6.302-39.912 9.281-12.761 27.15-15.582 39.912-6.302l123.361 89.715a34.287 34.287 0 0 1 14.12 27.728v141.136c0 15.91-10.946 29.73-26.433 33.374l-80.471 18.934a137.16 137.16 0 0 1-31.411 3.646H120c-15.593-.001-28.269-12.492-28.566-28.014zm73.249-225.701h36.423l-11.187-8.136c-18.579-13.511-20.313-40.887-3.17-56.536l-13.004-16.7c-9.843-12.641-28.43-15.171-40.88-5.088-12.065 9.771-14.133 27.447-4.553 39.75l36.371 46.71zm283.298-2.103l-5.003-152.452c-.518-15.771-13.722-28.136-29.493-27.619-15.773.518-28.137 13.722-27.619 29.493l1.262 38.415L283.565 11.019c-9.58-12.303-27.223-14.63-39.653-5.328-12.827 9.599-14.929 28.24-5.086 40.881l76.889 98.745-4.509 3.511-94.79-121.734c-9.58-12.303-27.223-14.63-39.653-5.328-12.827 9.599-14.929 28.24-5.086 40.881l94.443 121.288-4.509 3.511-77.675-99.754c-9.58-12.303-27.223-14.63-39.653-5.328-12.827 9.599-14.929 28.24-5.086 40.881l52.053 66.849c12.497-8.257 29.055-8.285 41.69.904l123.36 89.714c10.904 7.93 17.415 20.715 17.415 34.198v16.999l61.064-47.549a34.285 34.285 0 0 0 13.202-28.177z"}}]})(props);
};
function FaSignOutAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M497 273L329 441c-15 15-41 4.5-41-17v-96H152c-13.3 0-24-10.7-24-24v-96c0-13.3 10.7-24 24-24h136V88c0-21.4 25.9-32 41-17l168 168c9.3 9.4 9.3 24.6 0 34zM192 436v-40c0-6.6-5.4-12-12-12H96c-17.7 0-32-14.3-32-32V160c0-17.7 14.3-32 32-32h84c6.6 0 12-5.4 12-12V76c0-6.6-5.4-12-12-12H96c-53 0-96 43-96 96v192c0 53 43 96 96 96h84c6.6 0 12-5.4 12-12z"}}]})(props);
};
function FaSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496 64H128V16c0-8.8-7.2-16-16-16H80c-8.8 0-16 7.2-16 16v48H16C7.2 64 0 71.2 0 80v32c0 8.8 7.2 16 16 16h48v368c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V128h368c8.8 0 16-7.2 16-16V80c0-8.8-7.2-16-16-16zM160 384h320V160H160v224z"}}]})(props);
};
function FaSignal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M216 288h-48c-8.84 0-16 7.16-16 16v192c0 8.84 7.16 16 16 16h48c8.84 0 16-7.16 16-16V304c0-8.84-7.16-16-16-16zM88 384H40c-8.84 0-16 7.16-16 16v96c0 8.84 7.16 16 16 16h48c8.84 0 16-7.16 16-16v-96c0-8.84-7.16-16-16-16zm256-192h-48c-8.84 0-16 7.16-16 16v288c0 8.84 7.16 16 16 16h48c8.84 0 16-7.16 16-16V208c0-8.84-7.16-16-16-16zm128-96h-48c-8.84 0-16 7.16-16 16v384c0 8.84 7.16 16 16 16h48c8.84 0 16-7.16 16-16V112c0-8.84-7.16-16-16-16zM600 0h-48c-8.84 0-16 7.16-16 16v480c0 8.84 7.16 16 16 16h48c8.84 0 16-7.16 16-16V16c0-8.84-7.16-16-16-16z"}}]})(props);
};
function FaSignature (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M623.2 192c-51.8 3.5-125.7 54.7-163.1 71.5-29.1 13.1-54.2 24.4-76.1 24.4-22.6 0-26-16.2-21.3-51.9 1.1-8 11.7-79.2-42.7-76.1-25.1 1.5-64.3 24.8-169.5 126L192 182.2c30.4-75.9-53.2-151.5-129.7-102.8L7.4 116.3C0 121-2.2 130.9 2.5 138.4l17.2 27c4.7 7.5 14.6 9.7 22.1 4.9l58-38.9c18.4-11.7 40.7 7.2 32.7 27.1L34.3 404.1C27.5 421 37 448 64 448c8.3 0 16.5-3.2 22.6-9.4 42.2-42.2 154.7-150.7 211.2-195.8-2.2 28.5-2.1 58.9 20.6 83.8 15.3 16.8 37.3 25.3 65.5 25.3 35.6 0 68-14.6 102.3-30 33-14.8 99-62.6 138.4-65.8 8.5-.7 15.2-7.3 15.2-15.8v-32.1c.2-9.1-7.5-16.8-16.6-16.2z"}}]})(props);
};
function FaSimCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M0 64v384c0 35.3 28.7 64 64 64h256c35.3 0 64-28.7 64-64V128L256 0H64C28.7 0 0 28.7 0 64zm224 192h-64v-64h64v64zm96 0h-64v-64h32c17.7 0 32 14.3 32 32v32zm-64 128h64v32c0 17.7-14.3 32-32 32h-32v-64zm-96 0h64v64h-64v-64zm-96 0h64v64H96c-17.7 0-32-14.3-32-32v-32zm0-96h256v64H64v-64zm0-64c0-17.7 14.3-32 32-32h32v64H64v-32z"}}]})(props);
};
function FaSitemap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M128 352H32c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h96c17.67 0 32-14.33 32-32v-96c0-17.67-14.33-32-32-32zm-24-80h192v48h48v-48h192v48h48v-57.59c0-21.17-17.23-38.41-38.41-38.41H344v-64h40c17.67 0 32-14.33 32-32V32c0-17.67-14.33-32-32-32H256c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h40v64H94.41C73.23 224 56 241.23 56 262.41V320h48v-48zm264 80h-96c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h96c17.67 0 32-14.33 32-32v-96c0-17.67-14.33-32-32-32zm240 0h-96c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h96c17.67 0 32-14.33 32-32v-96c0-17.67-14.33-32-32-32z"}}]})(props);
};
function FaSkating (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 0c-26.5 0-48 21.5-48 48s21.5 48 48 48 48-21.5 48-48-21.5-48-48-48zm0 448c-8.8 0-16 7.2-16 16s-7.2 16-16 16h-96c-8.8 0-16 7.2-16 16s7.2 16 16 16h96c26.5 0 48-21.5 48-48 0-8.8-7.2-16-16-16zm-282.2 8.6c-6.2 6.2-16.4 6.3-22.6 0l-67.9-67.9c-6.2-6.2-16.4-6.2-22.6 0s-6.2 16.4 0 22.6l67.9 67.9c9.4 9.4 21.7 14 34 14s24.6-4.7 33.9-14c6.2-6.2 6.2-16.4 0-22.6s-16.4-6.3-22.7 0zm56.1-179.8l-93.7 93.7c-12.5 12.5-12.5 32.8 0 45.2 6.2 6.2 14.4 9.4 22.6 9.4s16.4-3.1 22.6-9.4l91.9-91.9-30.2-30.2c-5-5-9.4-10.7-13.2-16.8zM128 160h105.5l-20.1 17.2c-13.5 11.5-21.6 28.4-22.3 46.1-.7 17.8 6.1 35.2 18.7 47.7l78.2 78.2V432c0 17.7 14.3 32 32 32s32-14.3 32-32v-89.4c0-12.6-5.1-25-14.1-33.9l-61-61c.5-.4 1.2-.6 1.7-1.1l82.3-82.3c11.5-11.5 14.9-28.6 8.7-43.6-6.2-15-20.7-24.7-37-24.7H128c-17.7 0-32 14.3-32 32s14.3 32 32 32z"}}]})(props);
};
function FaSkiingNordic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M336 96c26.5 0 48-21.5 48-48S362.5 0 336 0s-48 21.5-48 48 21.5 48 48 48zm216 320c-13.2 0-24 10.7-24 24 0 13.2-10.8 24-24 24h-69.5L460 285.6c11.7-4.7 20.1-16.2 20.1-29.6 0-17.7-14.3-32-32-32h-44L378 170.8c-12.5-25.5-35.5-44.2-61.8-50.9L245 98.7c-28.3-6.8-57.8-.5-80.8 17.1l-39.7 30.4c-14 10.7-16.7 30.8-5.9 44.9.7.9 1.7 1.3 2.4 2.1L66.9 464H24c-13.2 0-24 10.7-24 24s10.8 24 24 24h480c39.7 0 72-32.3 72-72 0-13.2-10.8-24-24-24zm-260.5 48h-96.9l43.1-91-22-13c-12.1-7.2-21.9-16.9-29.5-27.8L123.7 464H99.5l52.3-261.4c4.1-1 8.1-2.9 11.7-5.6l39.7-30.4c7.7-5.9 17.4-8 25.3-6.1l14.7 4.4-37.5 87.4c-12.6 29.5-1.3 64 26.3 80.3l85 50.2-25.5 81.2zm110.6 0h-43.6l23.6-75.5c5.9-20.8-2.9-43.1-21.6-54.4L299.3 298l31.3-78.3 20.3 41.4c8 16.3 24.9 26.9 43.1 26.9h33.3l-25.2 176z"}}]})(props);
};
function FaSkiing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M432 96c26.5 0 48-21.5 48-48S458.5 0 432 0s-48 21.5-48 48 21.5 48 48 48zm73 356.1c-9.4-9.4-24.6-9.4-33.9 0-12.1 12.1-30.5 15.4-45.1 8.7l-135.8-70.2 49.2-73.8c12.7-19 10.2-44.5-6-60.6L293 215.7l-107-53.1c-2.9 19.9 3.4 40 17.7 54.4l75.1 75.2-45.9 68.8L35 258.7c-11.7-6-26.2-1.5-32.3 10.3-6.1 11.8-1.5 26.3 10.3 32.3l391.9 202.5c11.9 5.5 24.5 8.1 37.1 8.1 23.2 0 46-9 63-26 9.3-9.3 9.3-24.5 0-33.8zM120 91.6l-11.5 22.5c14.4 7.3 31.2 4.9 42.8-4.8l47.2 23.4c-.1.1-.1.2-.2.3l114.5 56.8 32.4-13 6.4 19.1c4 12.1 12.6 22 24 27.7l58.1 29c15.9 7.9 35 1.5 42.9-14.3 7.9-15.8 1.5-35-14.3-42.9l-52.1-26.1-17.1-51.2c-8.1-24.2-40.9-56.6-84.5-39.2l-81.2 32.5-62.5-31c.3-14.5-7.2-28.6-20.9-35.6l-11.1 21.7h-.2l-34.4-7c-1.8-.4-3.7.2-5 1.7-1.9 2.2-1.7 5.5.5 7.4l26.2 23z"}}]})(props);
};
function FaSkullCrossbones (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M439.15 453.06L297.17 384l141.99-69.06c7.9-3.95 11.11-13.56 7.15-21.46L432 264.85c-3.95-7.9-13.56-11.11-21.47-7.16L224 348.41 37.47 257.69c-7.9-3.95-17.51-.75-21.47 7.16L1.69 293.48c-3.95 7.9-.75 17.51 7.15 21.46L150.83 384 8.85 453.06c-7.9 3.95-11.11 13.56-7.15 21.47l14.31 28.63c3.95 7.9 13.56 11.11 21.47 7.15L224 419.59l186.53 90.72c7.9 3.95 17.51.75 21.47-7.15l14.31-28.63c3.95-7.91.74-17.52-7.16-21.47zM150 237.28l-5.48 25.87c-2.67 12.62 5.42 24.85 16.45 24.85h126.08c11.03 0 19.12-12.23 16.45-24.85l-5.5-25.87c41.78-22.41 70-62.75 70-109.28C368 57.31 303.53 0 224 0S80 57.31 80 128c0 46.53 28.22 86.87 70 109.28zM280 112c17.65 0 32 14.35 32 32s-14.35 32-32 32-32-14.35-32-32 14.35-32 32-32zm-112 0c17.65 0 32 14.35 32 32s-14.35 32-32 32-32-14.35-32-32 14.35-32 32-32z"}}]})(props);
};
function FaSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 0C114.6 0 0 100.3 0 224c0 70.1 36.9 132.6 94.5 173.7 9.6 6.9 15.2 18.1 13.5 29.9l-9.4 66.2c-1.4 9.6 6 18.2 15.7 18.2H192v-56c0-4.4 3.6-8 8-8h16c4.4 0 8 3.6 8 8v56h64v-56c0-4.4 3.6-8 8-8h16c4.4 0 8 3.6 8 8v56h77.7c9.7 0 17.1-8.6 15.7-18.2l-9.4-66.2c-1.7-11.7 3.8-23 13.5-29.9C475.1 356.6 512 294.1 512 224 512 100.3 397.4 0 256 0zm-96 320c-35.3 0-64-28.7-64-64s28.7-64 64-64 64 28.7 64 64-28.7 64-64 64zm192 0c-35.3 0-64-28.7-64-64s28.7-64 64-64 64 28.7 64 64-28.7 64-64 64z"}}]})(props);
};
function FaSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M594.53 508.63L6.18 53.9c-6.97-5.42-8.23-15.47-2.81-22.45L23.01 6.18C28.43-.8 38.49-2.06 45.47 3.37L633.82 458.1c6.97 5.42 8.23 15.47 2.81 22.45l-19.64 25.27c-5.42 6.98-15.48 8.23-22.46 2.81z"}}]})(props);
};
function FaSleigh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M612.7 350.7l-9.3-7.4c-6.9-5.5-17-4.4-22.5 2.5l-10 12.5c-5.5 6.9-4.4 17 2.5 22.5l9.3 7.4c5.9 4.7 9.2 11.7 9.2 19.2 0 13.6-11 24.6-24.6 24.6H48c-8.8 0-16 7.2-16 16v16c0 8.8 7.2 16 16 16h516c39 0 73.7-29.3 75.9-68.3 1.4-23.8-8.7-46.3-27.2-61zM32 224c0 59.6 40.9 109.2 96 123.5V400h64v-48h192v48h64v-48c53 0 96-43 96-96v-96c17.7 0 32-14.3 32-32s-14.3-32-32-32h-96v64c0 35.3-28.7 64-64 64h-20.7c-65.8 0-125.9-37.2-155.3-96-29.4-58.8-89.6-96-155.3-96H32C14.3 32 0 46.3 0 64s14.3 32 32 32v128z"}}]})(props);
};
function FaSlidersH (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496 384H160v-16c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v16H16c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h80v16c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16v-16h336c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16zm0-160h-80v-16c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v16H16c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h336v16c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16v-16h80c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16zm0-160H288V48c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v16H16C7.2 64 0 71.2 0 80v32c0 8.8 7.2 16 16 16h208v16c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16v-16h208c8.8 0 16-7.2 16-16V80c0-8.8-7.2-16-16-16z"}}]})(props);
};
function FaSmileBeam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zM112 223.4c3.3-42.1 32.2-71.4 56-71.4s52.7 29.3 56 71.4c.7 8.6-10.8 11.9-14.9 4.5l-9.5-17c-7.7-13.7-19.2-21.6-31.5-21.6s-23.8 7.9-31.5 21.6l-9.5 17c-4.3 7.4-15.8 4-15.1-4.5zm250.8 122.8C334.3 380.4 292.5 400 248 400s-86.3-19.6-114.8-53.8c-13.5-16.3 11-36.7 24.6-20.5 22.4 26.9 55.2 42.2 90.2 42.2s67.8-15.4 90.2-42.2c13.6-16.2 38.1 4.3 24.6 20.5zm6.2-118.3l-9.5-17c-7.7-13.7-19.2-21.6-31.5-21.6s-23.8 7.9-31.5 21.6l-9.5 17c-4.1 7.3-15.6 4-14.9-4.5 3.3-42.1 32.2-71.4 56-71.4s52.7 29.3 56 71.4c.6 8.6-11 11.9-15.1 4.5z"}}]})(props);
};
function FaSmileWink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M0 256c0 137 111 248 248 248s248-111 248-248S385 8 248 8 0 119 0 256zm200-48c0 17.7-14.3 32-32 32s-32-14.3-32-32 14.3-32 32-32 32 14.3 32 32zm158.5 16.5c-14.8-13.2-46.2-13.2-61 0L288 233c-8.3 7.4-21.6.4-19.8-10.8 4-25.2 34.2-42.1 59.9-42.1S384 197 388 222.2c1.7 11.1-11.4 18.3-19.8 10.8l-9.7-8.5zM157.8 325.8C180.2 352.7 213 368 248 368s67.8-15.4 90.2-42.2c13.6-16.2 38.1 4.2 24.6 20.5C334.3 380.4 292.5 400 248 400s-86.3-19.6-114.8-53.8c-13.5-16.3 11.2-36.7 24.6-20.4z"}}]})(props);
};
function FaSmile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm80 168c17.7 0 32 14.3 32 32s-14.3 32-32 32-32-14.3-32-32 14.3-32 32-32zm-160 0c17.7 0 32 14.3 32 32s-14.3 32-32 32-32-14.3-32-32 14.3-32 32-32zm194.8 170.2C334.3 380.4 292.5 400 248 400s-86.3-19.6-114.8-53.8c-13.6-16.3 11-36.7 24.6-20.5 22.4 26.9 55.2 42.2 90.2 42.2s67.8-15.4 90.2-42.2c13.4-16.2 38.1 4.2 24.6 20.5z"}}]})(props);
};
function FaSmog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624 368H80c-8.8 0-16 7.2-16 16v16c0 8.8 7.2 16 16 16h544c8.8 0 16-7.2 16-16v-16c0-8.8-7.2-16-16-16zm-480 96H16c-8.8 0-16 7.2-16 16v16c0 8.8 7.2 16 16 16h128c8.8 0 16-7.2 16-16v-16c0-8.8-7.2-16-16-16zm416 0H224c-8.8 0-16 7.2-16 16v16c0 8.8 7.2 16 16 16h336c8.8 0 16-7.2 16-16v-16c0-8.8-7.2-16-16-16zM144 288h156.1c22.5 19.7 51.6 32 83.9 32s61.3-12.3 83.9-32H528c61.9 0 112-50.1 112-112S589.9 64 528 64c-18 0-34.7 4.6-49.7 12.1C454 31 406.8 0 352 0c-41 0-77.8 17.3-104 44.8C221.8 17.3 185 0 144 0 64.5 0 0 64.5 0 144s64.5 144 144 144z"}}]})(props);
};
function FaSmokingBan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96 304c0 8.8 7.2 16 16 16h117.5l-96-96H112c-8.8 0-16 7.2-16 16v64zM256 0C114.6 0 0 114.6 0 256s114.6 256 256 256 256-114.6 256-256S397.4 0 256 0zm0 448c-105.9 0-192-86.1-192-192 0-41.4 13.3-79.7 35.7-111.1l267.4 267.4C335.7 434.7 297.4 448 256 448zm45.2-192H384v32h-50.8l-32-32zm111.1 111.1L365.2 320H400c8.8 0 16-7.2 16-16v-64c0-8.8-7.2-16-16-16H269.2L144.9 99.7C176.3 77.3 214.6 64 256 64c105.9 0 192 86.1 192 192 0 41.4-13.3 79.7-35.7 111.1zM320.6 128c-15.6 0-28.6-11.2-31.4-25.9-.7-3.6-4-6.1-7.7-6.1h-16.2c-5 0-8.7 4.5-8 9.4 4.6 30.9 31.2 54.6 63.3 54.6 15.6 0 28.6 11.2 31.4 25.9.7 3.6 4 6.1 7.7 6.1h16.2c5 0 8.7-4.5 8-9.4-4.6-30.9-31.2-54.6-63.3-54.6z"}}]})(props);
};
function FaSmoking (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M632 352h-48c-4.4 0-8 3.6-8 8v144c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V360c0-4.4-3.6-8-8-8zM553.3 87.1c-5.7-3.8-9.3-10-9.3-16.8V8c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v62.3c0 22 10.2 43.4 28.6 55.4 42.2 27.3 67.4 73.8 67.4 124V280c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-30.3c0-65.5-32.4-126.2-86.7-162.6zM432 352H48c-26.5 0-48 21.5-48 48v64c0 26.5 21.5 48 48 48h384c8.8 0 16-7.2 16-16V368c0-8.8-7.2-16-16-16zm-32 112H224v-64h176v64zm87.7-322.4C463.8 125 448 99.3 448 70.3V8c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v66.4c0 43.7 24.6 81.6 60.3 106.7 22.4 15.7 35.7 41.2 35.7 68.6V280c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8v-30.3c0-43.3-21-83.4-56.3-108.1zM536 352h-48c-4.4 0-8 3.6-8 8v144c0 4.4 3.6 8 8 8h48c4.4 0 8-3.6 8-8V360c0-4.4-3.6-8-8-8z"}}]})(props);
};
function FaSms (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32C114.6 32 0 125.1 0 240c0 49.6 21.4 95 57 130.7C44.5 421.1 2.7 466 2.2 466.5c-2.2 2.3-2.8 5.7-1.5 8.7 1.3 3 4.1 4.8 7.3 4.8 66.3 0 116-31.8 140.6-51.4 32.7 12.3 69 19.4 107.4 19.4 141.4 0 256-93.1 256-208S397.4 32 256 32zM128.2 304H116c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h12.3c6 0 10.4-3.5 10.4-6.6 0-1.3-.8-2.7-2.1-3.8l-21.9-18.8c-8.5-7.2-13.3-17.5-13.3-28.1 0-21.3 19-38.6 42.4-38.6H156c4.4 0 8 3.6 8 8v16c0 4.4-3.6 8-8 8h-12.3c-6 0-10.4 3.5-10.4 6.6 0 1.3.8 2.7 2.1 3.8l21.9 18.8c8.5 7.2 13.3 17.5 13.3 28.1.1 21.3-19 38.6-42.4 38.6zm191.8-8c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8v-68.2l-24.8 55.8c-2.9 5.9-11.4 5.9-14.3 0L224 227.8V296c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8V192c0-8.8 7.2-16 16-16h16c6.1 0 11.6 3.4 14.3 8.8l17.7 35.4 17.7-35.4c2.7-5.4 8.3-8.8 14.3-8.8h16c8.8 0 16 7.2 16 16v104zm48.3 8H356c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h12.3c6 0 10.4-3.5 10.4-6.6 0-1.3-.8-2.7-2.1-3.8l-21.9-18.8c-8.5-7.2-13.3-17.5-13.3-28.1 0-21.3 19-38.6 42.4-38.6H396c4.4 0 8 3.6 8 8v16c0 4.4-3.6 8-8 8h-12.3c-6 0-10.4 3.5-10.4 6.6 0 1.3.8 2.7 2.1 3.8l21.9 18.8c8.5 7.2 13.3 17.5 13.3 28.1.1 21.3-18.9 38.6-42.3 38.6z"}}]})(props);
};
function FaSnowboarding (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M432 96c26.5 0 48-21.5 48-48S458.5 0 432 0s-48 21.5-48 48 21.5 48 48 48zm28.8 153.6c5.8 4.3 12.5 6.4 19.2 6.4 9.7 0 19.3-4.4 25.6-12.8 10.6-14.1 7.8-34.2-6.4-44.8l-111.4-83.5c-13.8-10.3-29.1-18.4-45.4-23.8l-63.7-21.2-26.1-52.1C244.7 2 225.5-4.4 209.7 3.5c-15.8 7.9-22.2 27.1-14.3 42.9l29.1 58.1c5.7 11.4 15.6 19.9 27.7 24l16.4 5.5-41.2 20.6c-21.8 10.9-35.4 32.8-35.4 57.2v53.1l-74.1 24.7c-16.8 5.6-25.8 23.7-20.2 40.5 1.7 5.2 4.9 9.4 8.7 12.9l-38.7-14.1c-9.7-3.5-17.4-10.6-21.8-20-5.6-12-19.9-17.2-31.9-11.6s-17.2 19.9-11.6 31.9c9.8 21 27.1 36.9 48.9 44.8l364.8 132.7c9.7 3.5 19.7 5.3 29.7 5.3 12.5 0 24.9-2.7 36.5-8.2 12-5.6 17.2-19.9 11.6-31.9S474 454.7 462 460.3c-9.3 4.4-19.8 4.8-29.5 1.3l-90.8-33.1c8.7-4.1 15.6-11.8 17.8-21.9l21.9-102c3.9-18.2-3.2-37.2-18.1-48.4l-52-39 66-30.5 83.5 62.9zm-144.4 51.7l-19.7 92c-1.5 7.1-.1 13.9 2.8 20l-169.4-61.6c2.7-.2 5.4-.4 8-1.3l85-28.4c19.6-6.5 32.8-24.8 32.8-45.5V256l60.5 45.3z"}}]})(props);
};
function FaSnowflake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M440.3 345.2l-33.8-19.5 26-7c8.2-2.2 13.1-10.7 10.9-18.9l-4-14.9c-2.2-8.2-10.7-13.1-18.9-10.9l-70.8 19-63.9-37 63.8-36.9 70.8 19c8.2 2.2 16.7-2.7 18.9-10.9l4-14.9c2.2-8.2-2.7-16.7-10.9-18.9l-26-7 33.8-19.5c7.4-4.3 9.9-13.7 5.7-21.1L430.4 119c-4.3-7.4-13.7-9.9-21.1-5.7l-33.8 19.5 7-26c2.2-8.2-2.7-16.7-10.9-18.9l-14.9-4c-8.2-2.2-16.7 2.7-18.9 10.9l-19 70.8-62.8 36.2v-77.5l53.7-53.7c6.2-6.2 6.2-16.4 0-22.6l-11.3-11.3c-6.2-6.2-16.4-6.2-22.6 0L256 56.4V16c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v40.4l-19.7-19.7c-6.2-6.2-16.4-6.2-22.6 0L138.3 48c-6.3 6.2-6.3 16.4 0 22.6l53.7 53.7v77.5l-62.8-36.2-19-70.8c-2.2-8.2-10.7-13.1-18.9-10.9l-14.9 4c-8.2 2.2-13.1 10.7-10.9 18.9l7 26-33.8-19.5c-7.4-4.3-16.8-1.7-21.1 5.7L2.1 145.7c-4.3 7.4-1.7 16.8 5.7 21.1l33.8 19.5-26 7c-8.3 2.2-13.2 10.7-11 19l4 14.9c2.2 8.2 10.7 13.1 18.9 10.9l70.8-19 63.8 36.9-63.8 36.9-70.8-19c-8.2-2.2-16.7 2.7-18.9 10.9l-4 14.9c-2.2 8.2 2.7 16.7 10.9 18.9l26 7-33.8 19.6c-7.4 4.3-9.9 13.7-5.7 21.1l15.5 26.8c4.3 7.4 13.7 9.9 21.1 5.7l33.8-19.5-7 26c-2.2 8.2 2.7 16.7 10.9 18.9l14.9 4c8.2 2.2 16.7-2.7 18.9-10.9l19-70.8 62.8-36.2v77.5l-53.7 53.7c-6.3 6.2-6.3 16.4 0 22.6l11.3 11.3c6.2 6.2 16.4 6.2 22.6 0l19.7-19.7V496c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16v-40.4l19.7 19.7c6.2 6.2 16.4 6.2 22.6 0l11.3-11.3c6.2-6.2 6.2-16.4 0-22.6L256 387.7v-77.5l62.8 36.2 19 70.8c2.2 8.2 10.7 13.1 18.9 10.9l14.9-4c8.2-2.2 13.1-10.7 10.9-18.9l-7-26 33.8 19.5c7.4 4.3 16.8 1.7 21.1-5.7l15.5-26.8c4.3-7.3 1.8-16.8-5.6-21z"}}]})(props);
};
function FaSnowman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M510.9 152.3l-5.9-14.5c-3.3-8-12.6-11.9-20.8-8.7L456 140.6v-29c0-8.6-7.2-15.6-16-15.6h-16c-8.8 0-16 7-16 15.6v46.9c0 .5.3 1 .3 1.5l-56.4 23c-5.9-10-13.3-18.9-22-26.6 13.6-16.6 22-37.4 22-60.5 0-53-43-96-96-96s-96 43-96 96c0 23.1 8.5 43.9 22 60.5-8.7 7.7-16 16.6-22 26.6l-56.4-23c.1-.5.3-1 .3-1.5v-46.9C104 103 96.8 96 88 96H72c-8.8 0-16 7-16 15.6v29l-28.1-11.5c-8.2-3.2-17.5.7-20.8 8.7l-5.9 14.5c-3.3 8 .7 17.1 8.9 20.3l135.2 55.2c-.4 4-1.2 8-1.2 12.2 0 10.1 1.7 19.6 4.2 28.9C120.9 296.4 104 334.2 104 376c0 54 28.4 100.9 70.8 127.8 9.3 5.9 20.3 8.2 31.3 8.2h99.2c13.3 0 26.3-4.1 37.2-11.7 46.5-32.3 74.4-89.4 62.9-152.6-5.5-30.2-20.5-57.6-41.6-79 2.5-9.2 4.2-18.7 4.2-28.7 0-4.2-.8-8.1-1.2-12.2L502 172.6c8.1-3.1 12.1-12.2 8.9-20.3zM224 96c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zm32 272c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zm0-64c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zm0-64c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zm0-88s-16-23.2-16-32 7.2-16 16-16 16 7.2 16 16-16 32-16 32zm32-56c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16z"}}]})(props);
};
function FaSnowplow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M120 376c-13.3 0-24 10.7-24 24s10.7 24 24 24 24-10.7 24-24-10.7-24-24-24zm80 0c-13.3 0-24 10.7-24 24s10.7 24 24 24 24-10.7 24-24-10.7-24-24-24zm80 0c-13.3 0-24 10.7-24 24s10.7 24 24 24 24-10.7 24-24-10.7-24-24-24zm80 0c-13.3 0-24 10.7-24 24s10.7 24 24 24 24-10.7 24-24-10.7-24-24-24zm238.6 49.4c-14.5-14.5-22.6-34.1-22.6-54.6V269.2c0-20.5 8.1-40.1 22.6-54.6l36.7-36.7c6.2-6.2 6.2-16.4 0-22.6l-22.6-22.6c-6.2-6.2-16.4-6.2-22.6 0l-36.7 36.7c-26.5 26.5-41.4 62.4-41.4 99.9V288h-64v-50.9c0-8.7-1.8-17.2-5.2-25.2L364.5 29.1C356.9 11.4 339.6 0 320.3 0H176c-26.5 0-48 21.5-48 48v112h-16c-26.5 0-48 21.5-48 48v91.2C26.3 317.2 0 355.4 0 400c0 61.9 50.1 112 112 112h256c61.9 0 112-50.1 112-112 0-17.3-4.2-33.4-11.2-48H512v18.7c0 37.5 14.9 73.4 41.4 99.9l36.7 36.7c6.2 6.2 16.4 6.2 22.6 0l22.6-22.6c6.2-6.2 6.2-16.4 0-22.6l-36.7-36.7zM192 64h117.8l68.6 160H256l-64-64V64zm176 384H112c-26.5 0-48-21.5-48-48s21.5-48 48-48h256c26.5 0 48 21.5 48 48s-21.5 48-48 48z"}}]})(props);
};
function FaSocks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M214.66 311.01L288 256V96H128v176l-86.65 64.61c-39.4 29.56-53.86 84.42-29.21 127.06C30.39 495.25 63.27 512 96.08 512c20.03 0 40.25-6.25 57.52-19.2l21.86-16.39c-29.85-55.38-13.54-125.84 39.2-165.4zM288 32c0-11.05 3.07-21.3 8.02-30.38C293.4.92 290.85 0 288 0H160c-17.67 0-32 14.33-32 32v32h160V32zM480 0H352c-17.67 0-32 14.33-32 32v32h192V32c0-17.67-14.33-32-32-32zM320 272l-86.13 64.61c-39.4 29.56-53.86 84.42-29.21 127.06 18.25 31.58 50.61 48.33 83.42 48.33 20.03 0 40.25-6.25 57.52-19.2l115.2-86.4A127.997 127.997 0 0 0 512 304V96H320v176z"}}]})(props);
};
function FaSolarPanel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M431.98 448.01l-47.97.05V416h-128v32.21l-47.98.05c-8.82.01-15.97 7.16-15.98 15.99l-.05 31.73c-.01 8.85 7.17 16.03 16.02 16.02l223.96-.26c8.82-.01 15.97-7.16 15.98-15.98l.04-31.73c.01-8.85-7.17-16.03-16.02-16.02zM585.2 26.74C582.58 11.31 568.99 0 553.06 0H86.93C71 0 57.41 11.31 54.79 26.74-3.32 369.16.04 348.08.03 352c-.03 17.32 14.29 32 32.6 32h574.74c18.23 0 32.51-14.56 32.59-31.79.02-4.08 3.35 16.95-54.76-325.47zM259.83 64h120.33l9.77 96H250.06l9.77-96zm-75.17 256H71.09L90.1 208h105.97l-11.41 112zm16.29-160H98.24l16.29-96h96.19l-9.77 96zm32.82 160l11.4-112h149.65l11.4 112H233.77zm195.5-256h96.19l16.29 96H439.04l-9.77-96zm26.06 256l-11.4-112H549.9l19.01 112H455.33z"}}]})(props);
};
function FaSortAlphaDownAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M176 352h-48V48a16 16 0 0 0-16-16H80a16 16 0 0 0-16 16v304H16c-14.19 0-21.36 17.24-11.29 27.31l80 96a16 16 0 0 0 22.62 0l80-96C197.35 369.26 190.22 352 176 352zm112-128h128a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16h-56l61.26-70.45A32 32 0 0 0 432 65.63V48a16 16 0 0 0-16-16H288a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h56l-61.26 70.45A32 32 0 0 0 272 190.37V208a16 16 0 0 0 16 16zm159.06 234.62l-59.27-160A16 16 0 0 0 372.72 288h-41.44a16 16 0 0 0-15.07 10.62l-59.27 160A16 16 0 0 0 272 480h24.83a16 16 0 0 0 15.23-11.08l4.42-12.92h71l4.41 12.92A16 16 0 0 0 407.16 480H432a16 16 0 0 0 15.06-21.38zM335.61 400L352 352l16.39 48z"}}]})(props);
};
function FaSortAlphaDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M176 352h-48V48a16 16 0 0 0-16-16H80a16 16 0 0 0-16 16v304H16c-14.19 0-21.36 17.24-11.29 27.31l80 96a16 16 0 0 0 22.62 0l80-96C197.35 369.26 190.22 352 176 352zm240-64H288a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h56l-61.26 70.45A32 32 0 0 0 272 446.37V464a16 16 0 0 0 16 16h128a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16h-56l61.26-70.45A32 32 0 0 0 432 321.63V304a16 16 0 0 0-16-16zm31.06-85.38l-59.27-160A16 16 0 0 0 372.72 32h-41.44a16 16 0 0 0-15.07 10.62l-59.27 160A16 16 0 0 0 272 224h24.83a16 16 0 0 0 15.23-11.08l4.42-12.92h71l4.41 12.92A16 16 0 0 0 407.16 224H432a16 16 0 0 0 15.06-21.38zM335.61 144L352 96l16.39 48z"}}]})(props);
};
function FaSortAlphaUpAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M16 160h48v304a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V160h48c14.21 0 21.38-17.24 11.31-27.31l-80-96a16 16 0 0 0-22.62 0l-80 96C-5.35 142.74 1.78 160 16 160zm272 64h128a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16h-56l61.26-70.45A32 32 0 0 0 432 65.63V48a16 16 0 0 0-16-16H288a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h56l-61.26 70.45A32 32 0 0 0 272 190.37V208a16 16 0 0 0 16 16zm159.06 234.62l-59.27-160A16 16 0 0 0 372.72 288h-41.44a16 16 0 0 0-15.07 10.62l-59.27 160A16 16 0 0 0 272 480h24.83a16 16 0 0 0 15.23-11.08l4.42-12.92h71l4.41 12.92A16 16 0 0 0 407.16 480H432a16 16 0 0 0 15.06-21.38zM335.61 400L352 352l16.39 48z"}}]})(props);
};
function FaSortAlphaUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M16 160h48v304a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V160h48c14.21 0 21.38-17.24 11.31-27.31l-80-96a16 16 0 0 0-22.62 0l-80 96C-5.35 142.74 1.78 160 16 160zm400 128H288a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h56l-61.26 70.45A32 32 0 0 0 272 446.37V464a16 16 0 0 0 16 16h128a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16h-56l61.26-70.45A32 32 0 0 0 432 321.63V304a16 16 0 0 0-16-16zm31.06-85.38l-59.27-160A16 16 0 0 0 372.72 32h-41.44a16 16 0 0 0-15.07 10.62l-59.27 160A16 16 0 0 0 272 224h24.83a16 16 0 0 0 15.23-11.08l4.42-12.92h71l4.41 12.92A16 16 0 0 0 407.16 224H432a16 16 0 0 0 15.06-21.38zM335.61 144L352 96l16.39 48z"}}]})(props);
};
function FaSortAmountDownAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M240 96h64a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16h-64a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16zm0 128h128a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16H240a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16zm256 192H240a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h256a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm-256-64h192a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16H240a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16zm-64 0h-48V48a16 16 0 0 0-16-16H80a16 16 0 0 0-16 16v304H16c-14.19 0-21.37 17.24-11.29 27.31l80 96a16 16 0 0 0 22.62 0l80-96C197.35 369.26 190.22 352 176 352z"}}]})(props);
};
function FaSortAmountDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304 416h-64a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h64a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm-128-64h-48V48a16 16 0 0 0-16-16H80a16 16 0 0 0-16 16v304H16c-14.19 0-21.37 17.24-11.29 27.31l80 96a16 16 0 0 0 22.62 0l80-96C197.35 369.26 190.22 352 176 352zm256-192H240a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h192a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm-64 128H240a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h128a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zM496 32H240a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h256a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16z"}}]})(props);
};
function FaSortAmountUpAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M240 96h64a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16h-64a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16zm0 128h128a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16H240a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16zm256 192H240a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h256a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm-256-64h192a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16H240a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16zM16 160h48v304a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V160h48c14.21 0 21.39-17.24 11.31-27.31l-80-96a16 16 0 0 0-22.62 0l-80 96C-5.35 142.74 1.78 160 16 160z"}}]})(props);
};
function FaSortAmountUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304 416h-64a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h64a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zM16 160h48v304a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V160h48c14.21 0 21.38-17.24 11.31-27.31l-80-96a16 16 0 0 0-22.62 0l-80 96C-5.35 142.74 1.77 160 16 160zm416 0H240a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h192a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm-64 128H240a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h128a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zM496 32H240a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h256a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16z"}}]})(props);
};
function FaSortDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M41 288h238c21.4 0 32.1 25.9 17 41L177 448c-9.4 9.4-24.6 9.4-33.9 0L24 329c-15.1-15.1-4.4-41 17-41z"}}]})(props);
};
function FaSortNumericDownAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M176 352h-48V48a16 16 0 0 0-16-16H80a16 16 0 0 0-16 16v304H16c-14.19 0-21.36 17.24-11.29 27.31l80 96a16 16 0 0 0 22.62 0l80-96C197.35 369.26 190.22 352 176 352zm224 64h-16V304a16 16 0 0 0-16-16h-48a16 16 0 0 0-14.29 8.83l-16 32A16 16 0 0 0 304 352h16v64h-16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h96a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zM330.17 34.91a79 79 0 0 0-55 54.17c-14.27 51.05 21.19 97.77 68.83 102.53a84.07 84.07 0 0 1-20.85 12.91c-7.57 3.4-10.8 12.47-8.18 20.34l9.9 20c2.87 8.63 12.53 13.49 20.9 9.91 58-24.77 86.25-61.61 86.25-132V112c-.02-51.21-48.4-91.34-101.85-77.09zM352 132a20 20 0 1 1 20-20 20 20 0 0 1-20 20z"}}]})(props);
};
function FaSortNumericDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M304 96h16v64h-16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h96a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16h-16V48a16 16 0 0 0-16-16h-48a16 16 0 0 0-14.29 8.83l-16 32A16 16 0 0 0 304 96zm26.15 162.91a79 79 0 0 0-55 54.17c-14.25 51.05 21.21 97.77 68.85 102.53a84.07 84.07 0 0 1-20.85 12.91c-7.57 3.4-10.8 12.47-8.18 20.34l9.9 20c2.87 8.63 12.53 13.49 20.9 9.91 58-24.76 86.25-61.61 86.25-132V336c-.02-51.21-48.4-91.34-101.85-77.09zM352 356a20 20 0 1 1 20-20 20 20 0 0 1-20 20zm-176-4h-48V48a16 16 0 0 0-16-16H80a16 16 0 0 0-16 16v304H16c-14.19 0-21.36 17.24-11.29 27.31l80 96a16 16 0 0 0 22.62 0l80-96C197.35 369.26 190.22 352 176 352z"}}]})(props);
};
function FaSortNumericUpAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M107.31 36.69a16 16 0 0 0-22.62 0l-80 96C-5.35 142.74 1.78 160 16 160h48v304a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V160h48c14.21 0 21.38-17.24 11.31-27.31zM400 416h-16V304a16 16 0 0 0-16-16h-48a16 16 0 0 0-14.29 8.83l-16 32A16 16 0 0 0 304 352h16v64h-16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h96a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zM330.17 34.91a79 79 0 0 0-55 54.17c-14.27 51.05 21.19 97.77 68.83 102.53a84.07 84.07 0 0 1-20.85 12.91c-7.57 3.4-10.8 12.47-8.18 20.34l9.9 20c2.87 8.63 12.53 13.49 20.9 9.91 58-24.77 86.25-61.61 86.25-132V112c-.02-51.21-48.4-91.34-101.85-77.09zM352 132a20 20 0 1 1 20-20 20 20 0 0 1-20 20z"}}]})(props);
};
function FaSortNumericUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M330.17 258.91a79 79 0 0 0-55 54.17c-14.27 51.05 21.19 97.77 68.83 102.53a84.07 84.07 0 0 1-20.85 12.91c-7.57 3.4-10.8 12.47-8.18 20.34l9.9 20c2.87 8.63 12.53 13.49 20.9 9.91 58-24.76 86.25-61.61 86.25-132V336c-.02-51.21-48.4-91.34-101.85-77.09zM352 356a20 20 0 1 1 20-20 20 20 0 0 1-20 20zM304 96h16v64h-16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h96a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16h-16V48a16 16 0 0 0-16-16h-48a16 16 0 0 0-14.29 8.83l-16 32A16 16 0 0 0 304 96zM107.31 36.69a16 16 0 0 0-22.62 0l-80 96C-5.35 142.74 1.78 160 16 160h48v304a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V160h48c14.21 0 21.38-17.24 11.31-27.31z"}}]})(props);
};
function FaSortUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M279 224H41c-21.4 0-32.1-25.9-17-41L143 64c9.4-9.4 24.6-9.4 33.9 0l119 119c15.2 15.1 4.5 41-16.9 41z"}}]})(props);
};
function FaSort (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M41 288h238c21.4 0 32.1 25.9 17 41L177 448c-9.4 9.4-24.6 9.4-33.9 0L24 329c-15.1-15.1-4.4-41 17-41zm255-105L177 64c-9.4-9.4-24.6-9.4-33.9 0L24 183c-15.1 15.1-4.4 41 17 41h238c21.4 0 32.1-25.9 17-41z"}}]})(props);
};
function FaSpa (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M568.25 192c-29.04.13-135.01 6.16-213.84 83-33.12 29.63-53.36 63.3-66.41 94.86-13.05-31.56-33.29-65.23-66.41-94.86-78.83-76.84-184.8-82.87-213.84-83-4.41-.02-7.79 3.4-7.75 7.82.23 27.92 7.14 126.14 88.77 199.3C172.79 480.94 256 480 288 480s115.19.95 199.23-80.88c81.64-73.17 88.54-171.38 88.77-199.3.04-4.42-3.34-7.84-7.75-7.82zM287.98 302.6c12.82-18.85 27.6-35.78 44.09-50.52 19.09-18.61 39.58-33.3 60.26-45.18-16.44-70.5-51.72-133.05-96.73-172.22-4.11-3.58-11.02-3.58-15.14 0-44.99 39.14-80.27 101.63-96.74 172.07 20.37 11.7 40.5 26.14 59.22 44.39a282.768 282.768 0 0 1 45.04 51.46z"}}]})(props);
};
function FaSpaceShuttle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M592.604 208.244C559.735 192.836 515.777 184 472 184H186.327c-4.952-6.555-10.585-11.978-16.72-16H376C229.157 137.747 219.403 32 96.003 32H96v128H80V32c-26.51 0-48 28.654-48 64v64c-23.197 0-32 10.032-32 24v40c0 13.983 8.819 24 32 24v16c-23.197 0-32 10.032-32 24v40c0 13.983 8.819 24 32 24v64c0 35.346 21.49 64 48 64V352h16v128h.003c123.4 0 133.154-105.747 279.997-136H169.606c6.135-4.022 11.768-9.445 16.72-16H472c43.777 0 87.735-8.836 120.604-24.244C622.282 289.845 640 271.992 640 256s-17.718-33.845-47.396-47.756zM488 296a8 8 0 0 1-8-8v-64a8 8 0 0 1 8-8c31.909 0 31.942 80 0 80z"}}]})(props);
};
function FaSpellCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M272 256h91.36c43.2 0 82-32.2 84.51-75.34a79.82 79.82 0 0 0-25.26-63.07 79.81 79.81 0 0 0 9.06-44.91C427.9 30.57 389.3 0 347 0h-75a16 16 0 0 0-16 16v224a16 16 0 0 0 16 16zm40-200h40a24 24 0 0 1 0 48h-40zm0 96h56a24 24 0 0 1 0 48h-56zM155.12 22.25A32 32 0 0 0 124.64 0H99.36a32 32 0 0 0-30.48 22.25L.59 235.73A16 16 0 0 0 16 256h24.93a16 16 0 0 0 15.42-11.73L68.29 208h87.42l11.94 36.27A16 16 0 0 0 183.07 256H208a16 16 0 0 0 15.42-20.27zM89.37 144L112 75.3l22.63 68.7zm482 132.48l-45.21-45.3a15.88 15.88 0 0 0-22.59 0l-151.5 151.5-55.41-55.5a15.88 15.88 0 0 0-22.59 0l-45.3 45.3a16 16 0 0 0 0 22.59l112 112.21a15.89 15.89 0 0 0 22.6 0l208-208.21a16 16 0 0 0-.02-22.59z"}}]})(props);
};
function FaSpider (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M151.17 167.35L177.1 176h4.67l5.22-26.12c.72-3.58 1.8-7.58 3.21-11.79l-20.29-40.58 23.8-71.39c2.79-8.38-1.73-17.44-10.12-20.24L168.42.82c-8.38-2.8-17.45 1.73-20.24 10.12l-25.89 77.68a32.04 32.04 0 0 0 1.73 24.43l27.15 54.3zm422.14 182.03l-52.75-79.12a32.002 32.002 0 0 0-26.62-14.25H416l68.99-24.36a32.03 32.03 0 0 0 16.51-12.61l53.6-80.41c4.9-7.35 2.91-17.29-4.44-22.19l-13.31-8.88c-7.35-4.9-17.29-2.91-22.19 4.44l-50.56 75.83L404.1 208H368l-10.37-51.85C355.44 145.18 340.26 96 288 96c-52.26 0-67.44 49.18-69.63 60.15L208 208h-36.1l-60.49-20.17L60.84 112c-4.9-7.35-14.83-9.34-22.19-4.44l-13.31 8.88c-7.35 4.9-9.34 14.83-4.44 22.19l53.6 80.41a32.03 32.03 0 0 0 16.51 12.61L160 256H82.06a32.02 32.02 0 0 0-26.63 14.25L2.69 349.38c-4.9 7.35-2.92 17.29 4.44 22.19l13.31 8.88c7.35 4.9 17.29 2.91 22.19-4.44l48-72h47.06l-60.83 97.33A31.988 31.988 0 0 0 72 418.3V496c0 8.84 7.16 16 16 16h16c8.84 0 16-7.16 16-16v-73.11l74.08-118.53c-1.01 14.05-2.08 28.11-2.08 42.21C192 399.64 232.76 448 288 448s96-48.36 96-101.43c0-14.1-1.08-28.16-2.08-42.21L456 422.89V496c0 8.84 7.16 16 16 16h16c8.84 0 16-7.16 16-16v-77.71c0-6-1.69-11.88-4.86-16.96L438.31 304h47.06l48 72c4.9 7.35 14.84 9.34 22.19 4.44l13.31-8.88c7.36-4.9 9.34-14.83 4.44-22.18zM406.09 97.51l-20.29 40.58c1.41 4.21 2.49 8.21 3.21 11.79l5.22 26.12h4.67l25.93-8.65 27.15-54.3a31.995 31.995 0 0 0 1.73-24.43l-25.89-77.68C425.03 2.56 415.96-1.98 407.58.82l-15.17 5.06c-8.38 2.8-12.91 11.86-10.12 20.24l23.8 71.39z"}}]})(props);
};
function FaSpinner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304 48c0 26.51-21.49 48-48 48s-48-21.49-48-48 21.49-48 48-48 48 21.49 48 48zm-48 368c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48zm208-208c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48zM96 256c0-26.51-21.49-48-48-48S0 229.49 0 256s21.49 48 48 48 48-21.49 48-48zm12.922 99.078c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48c0-26.509-21.491-48-48-48zm294.156 0c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48c0-26.509-21.49-48-48-48zM108.922 60.922c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.491-48-48-48z"}}]})(props);
};
function FaSplotch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M472.29 195.89l-67.06-22.95c-19.28-6.6-33.54-20.92-38.14-38.3L351.1 74.19c-11.58-43.77-76.57-57.13-109.98-22.62l-46.14 47.67c-13.26 13.71-33.54 20.93-54.2 19.31l-71.88-5.62c-52.05-4.07-86.93 44.88-59.03 82.83l38.54 52.42c11.08 15.07 12.82 33.86 4.64 50.24L24.62 355.4c-20.59 41.25 22.84 84.87 73.49 73.81l69.96-15.28c20.11-4.39 41.45 0 57.07 11.73l54.32 40.83c39.32 29.56 101.04 7.57 104.45-37.22l4.7-61.86c1.35-17.79 12.8-33.86 30.63-42.99l62-31.74c44.88-22.96 39.59-80.17-8.95-96.79z"}}]})(props);
};
function FaSprayCan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M224 32c0-17.67-14.33-32-32-32h-64c-17.67 0-32 14.33-32 32v96h128V32zm256 96c-17.67 0-32 14.33-32 32s14.33 32 32 32 32-14.33 32-32-14.33-32-32-32zm-256 32H96c-53.02 0-96 42.98-96 96v224c0 17.67 14.33 32 32 32h256c17.67 0 32-14.33 32-32V256c0-53.02-42.98-96-96-96zm-64 256c-44.18 0-80-35.82-80-80s35.82-80 80-80 80 35.82 80 80-35.82 80-80 80zM480 96c17.67 0 32-14.33 32-32s-14.33-32-32-32-32 14.33-32 32 14.33 32 32 32zm-96 32c-17.67 0-32 14.33-32 32s14.33 32 32 32 32-14.33 32-32-14.33-32-32-32zm-96-96c-17.67 0-32 14.33-32 32s14.33 32 32 32 32-14.33 32-32-14.33-32-32-32zm96 0c-17.67 0-32 14.33-32 32s14.33 32 32 32 32-14.33 32-32-14.33-32-32-32zm96 192c-17.67 0-32 14.33-32 32s14.33 32 32 32 32-14.33 32-32-14.33-32-32-32z"}}]})(props);
};
function FaSquareFull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M512 512H0V0h512v512z"}}]})(props);
};
function FaSquareRootAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M571.31 251.31l-22.62-22.62c-6.25-6.25-16.38-6.25-22.63 0L480 274.75l-46.06-46.06c-6.25-6.25-16.38-6.25-22.63 0l-22.62 22.62c-6.25 6.25-6.25 16.38 0 22.63L434.75 320l-46.06 46.06c-6.25 6.25-6.25 16.38 0 22.63l22.62 22.62c6.25 6.25 16.38 6.25 22.63 0L480 365.25l46.06 46.06c6.25 6.25 16.38 6.25 22.63 0l22.62-22.62c6.25-6.25 6.25-16.38 0-22.63L525.25 320l46.06-46.06c6.25-6.25 6.25-16.38 0-22.63zM552 0H307.65c-14.54 0-27.26 9.8-30.95 23.87l-84.79 322.8-58.41-106.1A32.008 32.008 0 0 0 105.47 224H24c-13.25 0-24 10.74-24 24v48c0 13.25 10.75 24 24 24h43.62l88.88 163.73C168.99 503.5 186.3 512 204.94 512c17.27 0 44.44-9 54.28-41.48L357.03 96H552c13.25 0 24-10.75 24-24V24c0-13.26-10.75-24-24-24z"}}]})(props);
};
function FaSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48z"}}]})(props);
};
function FaStamp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 512h448v-64H32v64zm384-256h-66.56c-16.26 0-29.44-13.18-29.44-29.44v-9.46c0-27.37 8.88-53.41 21.46-77.72 9.11-17.61 12.9-38.39 9.05-60.42-6.77-38.78-38.47-70.7-77.26-77.45C212.62-9.04 160 37.33 160 96c0 14.16 3.12 27.54 8.69 39.58C182.02 164.43 192 194.7 192 226.49v.07c0 16.26-13.18 29.44-29.44 29.44H96c-53.02 0-96 42.98-96 96v32c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-32c0-53.02-42.98-96-96-96z"}}]})(props);
};
function FaStarAndCrescent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M340.47 466.36c-1.45 0-6.89.46-9.18.46-116.25 0-210.82-94.57-210.82-210.82S215.04 45.18 331.29 45.18c2.32 0 7.7.46 9.18.46 7.13 0 13.33-5.03 14.75-12.07 1.46-7.25-2.55-14.49-9.47-17.09C316.58 5.54 286.39 0 256 0 114.84 0 0 114.84 0 256s114.84 256 256 256c30.23 0 60.28-5.49 89.32-16.32 5.96-2.02 10.28-7.64 10.28-14.26 0-8.09-6.39-15.06-15.13-15.06zm162.99-252.5l-76.38-11.1-34.16-69.21c-1.83-3.7-5.38-5.55-8.93-5.55s-7.1 1.85-8.93 5.55l-34.16 69.21-76.38 11.1c-8.17 1.18-11.43 11.22-5.52 16.99l55.27 53.87-13.05 76.07c-1.11 6.44 4.01 11.66 9.81 11.66 1.53 0 3.11-.36 4.64-1.17L384 335.37l68.31 35.91c1.53.8 3.11 1.17 4.64 1.17 5.8 0 10.92-5.23 9.81-11.66l-13.05-76.07 55.27-53.87c5.91-5.77 2.65-15.81-5.52-16.99z"}}]})(props);
};
function FaStarHalfAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 536 512"},"child":[{"tag":"path","attr":{"d":"M508.55 171.51L362.18 150.2 296.77 17.81C290.89 5.98 279.42 0 267.95 0c-11.4 0-22.79 5.9-28.69 17.81l-65.43 132.38-146.38 21.29c-26.25 3.8-36.77 36.09-17.74 54.59l105.89 103-25.06 145.48C86.98 495.33 103.57 512 122.15 512c4.93 0 10-1.17 14.87-3.75l130.95-68.68 130.94 68.7c4.86 2.55 9.92 3.71 14.83 3.71 18.6 0 35.22-16.61 31.66-37.4l-25.03-145.49 105.91-102.98c19.04-18.5 8.52-50.8-17.73-54.6zm-121.74 123.2l-18.12 17.62 4.28 24.88 19.52 113.45-102.13-53.59-22.38-11.74.03-317.19 51.03 103.29 11.18 22.63 25.01 3.64 114.23 16.63-82.65 80.38z"}}]})(props);
};
function FaStarHalf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M288 0c-11.4 0-22.8 5.9-28.7 17.8L194 150.2 47.9 171.4c-26.2 3.8-36.7 36.1-17.7 54.6l105.7 103-25 145.5c-4.5 26.1 23 46 46.4 33.7L288 439.6V0z"}}]})(props);
};
function FaStarOfDavid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 464 512"},"child":[{"tag":"path","attr":{"d":"M405.68 256l53.21-89.39C473.3 142.4 455.48 112 426.88 112H319.96l-55.95-93.98C256.86 6.01 244.43 0 232 0s-24.86 6.01-32.01 18.02L144.04 112H37.11c-28.6 0-46.42 30.4-32.01 54.61L58.32 256 5.1 345.39C-9.31 369.6 8.51 400 37.11 400h106.93l55.95 93.98C207.14 505.99 219.57 512 232 512s24.86-6.01 32.01-18.02L319.96 400h106.93c28.6 0 46.42-30.4 32.01-54.61L405.68 256zm-12.78-88l-19.8 33.26L353.3 168h39.6zm-52.39 88l-52.39 88H175.88l-52.39-88 52.38-88h112.25l52.39 88zM232 73.72L254.79 112h-45.57L232 73.72zM71.1 168h39.6l-19.8 33.26L71.1 168zm0 176l19.8-33.26L110.7 344H71.1zM232 438.28L209.21 400h45.57L232 438.28zM353.29 344l19.8-33.26L392.9 344h-39.61z"}}]})(props);
};
function FaStarOfLife (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 480 512"},"child":[{"tag":"path","attr":{"d":"M471.99 334.43L336.06 256l135.93-78.43c7.66-4.42 10.28-14.2 5.86-21.86l-32.02-55.43c-4.42-7.65-14.21-10.28-21.87-5.86l-135.93 78.43V16c0-8.84-7.17-16-16.01-16h-64.04c-8.84 0-16.01 7.16-16.01 16v156.86L56.04 94.43c-7.66-4.42-17.45-1.79-21.87 5.86L2.15 155.71c-4.42 7.65-1.8 17.44 5.86 21.86L143.94 256 8.01 334.43c-7.66 4.42-10.28 14.21-5.86 21.86l32.02 55.43c4.42 7.65 14.21 10.27 21.87 5.86l135.93-78.43V496c0 8.84 7.17 16 16.01 16h64.04c8.84 0 16.01-7.16 16.01-16V339.14l135.93 78.43c7.66 4.42 17.45 1.8 21.87-5.86l32.02-55.43c4.42-7.65 1.8-17.43-5.86-21.85z"}}]})(props);
};
function FaStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M259.3 17.8L194 150.2 47.9 171.5c-26.2 3.8-36.7 36.1-17.7 54.6l105.7 103-25 145.5c-4.5 26.3 23.2 46 46.4 33.7L288 439.6l130.7 68.7c23.2 12.2 50.9-7.4 46.4-33.7l-25-145.5 105.7-103c19-18.5 8.5-50.8-17.7-54.6L382 150.2 316.7 17.8c-11.7-23.6-45.6-23.9-57.4 0z"}}]})(props);
};
function FaStepBackward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M64 468V44c0-6.6 5.4-12 12-12h48c6.6 0 12 5.4 12 12v176.4l195.5-181C352.1 22.3 384 36.6 384 64v384c0 27.4-31.9 41.7-52.5 24.6L136 292.7V468c0 6.6-5.4 12-12 12H76c-6.6 0-12-5.4-12-12z"}}]})(props);
};
function FaStepForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M384 44v424c0 6.6-5.4 12-12 12h-48c-6.6 0-12-5.4-12-12V291.6l-195.5 181C95.9 489.7 64 475.4 64 448V64c0-27.4 31.9-41.7 52.5-24.6L312 219.3V44c0-6.6 5.4-12 12-12h48c6.6 0 12 5.4 12 12z"}}]})(props);
};
function FaStethoscope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M447.1 112c-34.2.5-62.3 28.4-63 62.6-.5 24.3 12.5 45.6 32 56.8V344c0 57.3-50.2 104-112 104-60 0-109.2-44.1-111.9-99.2C265 333.8 320 269.2 320 192V36.6c0-11.4-8.1-21.3-19.3-23.5L237.8.5c-13-2.6-25.6 5.8-28.2 18.8L206.4 35c-2.6 13 5.8 25.6 18.8 28.2l30.7 6.1v121.4c0 52.9-42.2 96.7-95.1 97.2-53.4.5-96.9-42.7-96.9-96V69.4l30.7-6.1c13-2.6 21.4-15.2 18.8-28.2l-3.1-15.7C107.7 6.4 95.1-2 82.1.6L19.3 13C8.1 15.3 0 25.1 0 36.6V192c0 77.3 55.1 142 128.1 156.8C130.7 439.2 208.6 512 304 512c97 0 176-75.4 176-168V231.4c19.1-11.1 32-31.7 32-55.4 0-35.7-29.2-64.5-64.9-64zm.9 80c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16z"}}]})(props);
};
function FaStickyNote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M312 320h136V56c0-13.3-10.7-24-24-24H24C10.7 32 0 42.7 0 56v400c0 13.3 10.7 24 24 24h264V344c0-13.2 10.8-24 24-24zm129 55l-98 98c-4.5 4.5-10.6 7-17 7h-6V352h128v6.1c0 6.3-2.5 12.4-7 16.9z"}}]})(props);
};
function FaStopCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm96 328c0 8.8-7.2 16-16 16H176c-8.8 0-16-7.2-16-16V176c0-8.8 7.2-16 16-16h160c8.8 0 16 7.2 16 16v160z"}}]})(props);
};
function FaStop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48z"}}]})(props);
};
function FaStopwatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M432 304c0 114.9-93.1 208-208 208S16 418.9 16 304c0-104 76.3-190.2 176-205.5V64h-28c-6.6 0-12-5.4-12-12V12c0-6.6 5.4-12 12-12h120c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12h-28v34.5c37.5 5.8 71.7 21.6 99.7 44.6l27.5-27.5c4.7-4.7 12.3-4.7 17 0l28.3 28.3c4.7 4.7 4.7 12.3 0 17l-29.4 29.4-.6.6C419.7 223.3 432 262.2 432 304zm-176 36V188.5c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12V340c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12z"}}]})(props);
};
function FaStoreAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M320 384H128V224H64v256c0 17.7 14.3 32 32 32h256c17.7 0 32-14.3 32-32V224h-64v160zm314.6-241.8l-85.3-128c-6-8.9-16-14.2-26.7-14.2H117.4c-10.7 0-20.7 5.3-26.6 14.2l-85.3 128c-14.2 21.3 1 49.8 26.6 49.8H608c25.5 0 40.7-28.5 26.6-49.8zM512 496c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16V224h-64v272z"}}]})(props);
};
function FaStore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 616 512"},"child":[{"tag":"path","attr":{"d":"M602 118.6L537.1 15C531.3 5.7 521 0 510 0H106C95 0 84.7 5.7 78.9 15L14 118.6c-33.5 53.5-3.8 127.9 58.8 136.4 4.5.6 9.1.9 13.7.9 29.6 0 55.8-13 73.8-33.1 18 20.1 44.3 33.1 73.8 33.1 29.6 0 55.8-13 73.8-33.1 18 20.1 44.3 33.1 73.8 33.1 29.6 0 55.8-13 73.8-33.1 18.1 20.1 44.3 33.1 73.8 33.1 4.7 0 9.2-.3 13.7-.9 62.8-8.4 92.6-82.8 59-136.4zM529.5 288c-10 0-19.9-1.5-29.5-3.8V384H116v-99.8c-9.6 2.2-19.5 3.8-29.5 3.8-6 0-12.1-.4-18-1.2-5.6-.8-11.1-2.1-16.4-3.6V480c0 17.7 14.3 32 32 32h448c17.7 0 32-14.3 32-32V283.2c-5.4 1.6-10.8 2.9-16.4 3.6-6.1.8-12.1 1.2-18.2 1.2z"}}]})(props);
};
function FaStream (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16 128h416c8.84 0 16-7.16 16-16V48c0-8.84-7.16-16-16-16H16C7.16 32 0 39.16 0 48v64c0 8.84 7.16 16 16 16zm480 80H80c-8.84 0-16 7.16-16 16v64c0 8.84 7.16 16 16 16h416c8.84 0 16-7.16 16-16v-64c0-8.84-7.16-16-16-16zm-64 176H16c-8.84 0-16 7.16-16 16v64c0 8.84 7.16 16 16 16h416c8.84 0 16-7.16 16-16v-64c0-8.84-7.16-16-16-16z"}}]})(props);
};
function FaStreetView (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M367.9 329.76c-4.62 5.3-9.78 10.1-15.9 13.65v22.94c66.52 9.34 112 28.05 112 49.65 0 30.93-93.12 56-208 56S48 446.93 48 416c0-21.6 45.48-40.3 112-49.65v-22.94c-6.12-3.55-11.28-8.35-15.9-13.65C58.87 345.34 0 378.05 0 416c0 53.02 114.62 96 256 96s256-42.98 256-96c0-37.95-58.87-70.66-144.1-86.24zM256 128c35.35 0 64-28.65 64-64S291.35 0 256 0s-64 28.65-64 64 28.65 64 64 64zm-64 192v96c0 17.67 14.33 32 32 32h64c17.67 0 32-14.33 32-32v-96c17.67 0 32-14.33 32-32v-96c0-26.51-21.49-48-48-48h-11.8c-11.07 5.03-23.26 8-36.2 8s-25.13-2.97-36.2-8H208c-26.51 0-48 21.49-48 48v96c0 17.67 14.33 32 32 32z"}}]})(props);
};
function FaStrikethrough (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496 224H293.9l-87.17-26.83A43.55 43.55 0 0 1 219.55 112h66.79A49.89 49.89 0 0 1 331 139.58a16 16 0 0 0 21.46 7.15l42.94-21.47a16 16 0 0 0 7.16-21.46l-.53-1A128 128 0 0 0 287.51 32h-68a123.68 123.68 0 0 0-123 135.64c2 20.89 10.1 39.83 21.78 56.36H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h480a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm-180.24 96A43 43 0 0 1 336 356.45 43.59 43.59 0 0 1 292.45 400h-66.79A49.89 49.89 0 0 1 181 372.42a16 16 0 0 0-21.46-7.15l-42.94 21.47a16 16 0 0 0-7.16 21.46l.53 1A128 128 0 0 0 224.49 480h68a123.68 123.68 0 0 0 123-135.64 114.25 114.25 0 0 0-5.34-24.36z"}}]})(props);
};
function FaStroopwafel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M188.12 210.74L142.86 256l45.25 45.25L233.37 256l-45.25-45.26zm113.13-22.62L256 142.86l-45.25 45.25L256 233.37l45.25-45.25zm-90.5 135.76L256 369.14l45.26-45.26L256 278.63l-45.25 45.25zM256 0C114.62 0 0 114.62 0 256s114.62 256 256 256 256-114.62 256-256S397.38 0 256 0zm186.68 295.6l-11.31 11.31c-3.12 3.12-8.19 3.12-11.31 0l-28.29-28.29-45.25 45.25 33.94 33.94 16.97-16.97c3.12-3.12 8.19-3.12 11.31 0l11.31 11.31c3.12 3.12 3.12 8.19 0 11.31l-16.97 16.97 16.97 16.97c3.12 3.12 3.12 8.19 0 11.31l-11.31 11.31c-3.12 3.12-8.19 3.12-11.31 0l-16.97-16.97-16.97 16.97c-3.12 3.12-8.19 3.12-11.31 0l-11.31-11.31c-3.12-3.12-3.12-8.19 0-11.31l16.97-16.97-33.94-33.94-45.26 45.26 28.29 28.29c3.12 3.12 3.12 8.19 0 11.31l-11.31 11.31c-3.12 3.12-8.19 3.12-11.31 0L256 414.39l-28.29 28.29c-3.12 3.12-8.19 3.12-11.31 0l-11.31-11.31c-3.12-3.12-3.12-8.19 0-11.31l28.29-28.29-45.25-45.26-33.94 33.94 16.97 16.97c3.12 3.12 3.12 8.19 0 11.31l-11.31 11.31c-3.12 3.12-8.19 3.12-11.31 0l-16.97-16.97-16.97 16.97c-3.12 3.12-8.19 3.12-11.31 0l-11.31-11.31c-3.12-3.12-3.12-8.19 0-11.31l16.97-16.97-16.97-16.97c-3.12-3.12-3.12-8.19 0-11.31l11.31-11.31c3.12-3.12 8.19-3.12 11.31 0l16.97 16.97 33.94-33.94-45.25-45.25-28.29 28.29c-3.12 3.12-8.19 3.12-11.31 0L69.32 295.6c-3.12-3.12-3.12-8.19 0-11.31L97.61 256l-28.29-28.29c-3.12-3.12-3.12-8.19 0-11.31l11.31-11.31c3.12-3.12 8.19-3.12 11.31 0l28.29 28.29 45.25-45.26-33.94-33.94-16.97 16.97c-3.12 3.12-8.19 3.12-11.31 0l-11.31-11.31c-3.12-3.12-3.12-8.19 0-11.31l16.97-16.97-16.97-16.97c-3.12-3.12-3.12-8.19 0-11.31l11.31-11.31c3.12-3.12 8.19-3.12 11.31 0l16.97 16.97 16.97-16.97c3.12-3.12 8.19-3.12 11.31 0l11.31 11.31c3.12 3.12 3.12 8.19 0 11.31l-16.97 16.97 33.94 33.94 45.26-45.25-28.29-28.29c-3.12-3.12-3.12-8.19 0-11.31l11.31-11.31c3.12-3.12 8.19-3.12 11.31 0L256 97.61l28.29-28.29c3.12-3.12 8.19-3.12 11.31 0l11.31 11.31c3.12 3.12 3.12 8.19 0 11.31l-28.29 28.29 45.26 45.25 33.94-33.94-16.97-16.97c-3.12-3.12-3.12-8.19 0-11.31l11.31-11.31c3.12-3.12 8.19-3.12 11.31 0l16.97 16.97 16.97-16.97c3.12-3.12 8.19-3.12 11.31 0l11.31 11.31c3.12 3.12 3.12 8.19 0 11.31l-16.97 16.97 16.97 16.97c3.12 3.12 3.12 8.19 0 11.31l-11.31 11.31c-3.12 3.12-8.19 3.12-11.31 0l-16.97-16.97-33.94 33.94 45.25 45.26 28.29-28.29c3.12-3.12 8.19-3.12 11.31 0l11.31 11.31c3.12 3.12 3.12 8.19 0 11.31L414.39 256l28.29 28.28a8.015 8.015 0 0 1 0 11.32zM278.63 256l45.26 45.25L369.14 256l-45.25-45.26L278.63 256z"}}]})(props);
};
function FaSubscript (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496 448h-16V304a16 16 0 0 0-16-16h-48a16 16 0 0 0-14.29 8.83l-16 32A16 16 0 0 0 400 352h16v96h-16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h96a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zM336 64h-67a16 16 0 0 0-13.14 6.87l-79.9 115-79.9-115A16 16 0 0 0 83 64H16A16 16 0 0 0 0 80v48a16 16 0 0 0 16 16h33.48l77.81 112-77.81 112H16a16 16 0 0 0-16 16v48a16 16 0 0 0 16 16h67a16 16 0 0 0 13.14-6.87l79.9-115 79.9 115A16 16 0 0 0 269 448h67a16 16 0 0 0 16-16v-48a16 16 0 0 0-16-16h-33.48l-77.81-112 77.81-112H336a16 16 0 0 0 16-16V80a16 16 0 0 0-16-16z"}}]})(props);
};
function FaSubway (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 96v256c0 51.815-61.624 96-130.022 96l62.98 49.721C386.905 502.417 383.562 512 376 512H72c-7.578 0-10.892-9.594-4.957-14.279L130.022 448C61.82 448 0 403.954 0 352V96C0 42.981 64 0 128 0h192c65 0 128 42.981 128 96zM200 232V120c0-13.255-10.745-24-24-24H72c-13.255 0-24 10.745-24 24v112c0 13.255 10.745 24 24 24h104c13.255 0 24-10.745 24-24zm200 0V120c0-13.255-10.745-24-24-24H272c-13.255 0-24 10.745-24 24v112c0 13.255 10.745 24 24 24h104c13.255 0 24-10.745 24-24zm-48 56c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48zm-256 0c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48z"}}]})(props);
};
function FaSuitcaseRolling (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M336 160H48c-26.51 0-48 21.49-48 48v224c0 26.51 21.49 48 48 48h16v16c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16v-16h128v16c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16v-16h16c26.51 0 48-21.49 48-48V208c0-26.51-21.49-48-48-48zm-16 216c0 4.42-3.58 8-8 8H72c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h240c4.42 0 8 3.58 8 8v16zm0-96c0 4.42-3.58 8-8 8H72c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h240c4.42 0 8 3.58 8 8v16zM144 48h96v80h48V48c0-26.51-21.49-48-48-48h-96c-26.51 0-48 21.49-48 48v80h48V48z"}}]})(props);
};
function FaSuitcase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 480h256V80c0-26.5-21.5-48-48-48H176c-26.5 0-48 21.5-48 48v400zm64-384h128v32H192V96zm320 80v256c0 26.5-21.5 48-48 48h-48V128h48c26.5 0 48 21.5 48 48zM96 480H48c-26.5 0-48-21.5-48-48V176c0-26.5 21.5-48 48-48h48v352z"}}]})(props);
};
function FaSun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 160c-52.9 0-96 43.1-96 96s43.1 96 96 96 96-43.1 96-96-43.1-96-96-96zm246.4 80.5l-94.7-47.3 33.5-100.4c4.5-13.6-8.4-26.5-21.9-21.9l-100.4 33.5-47.4-94.8c-6.4-12.8-24.6-12.8-31 0l-47.3 94.7L92.7 70.8c-13.6-4.5-26.5 8.4-21.9 21.9l33.5 100.4-94.7 47.4c-12.8 6.4-12.8 24.6 0 31l94.7 47.3-33.5 100.5c-4.5 13.6 8.4 26.5 21.9 21.9l100.4-33.5 47.3 94.7c6.4 12.8 24.6 12.8 31 0l47.3-94.7 100.4 33.5c13.6 4.5 26.5-8.4 21.9-21.9l-33.5-100.4 94.7-47.3c13-6.5 13-24.7.2-31.1zm-155.9 106c-49.9 49.9-131.1 49.9-181 0-49.9-49.9-49.9-131.1 0-181 49.9-49.9 131.1-49.9 181 0 49.9 49.9 49.9 131.1 0 181z"}}]})(props);
};
function FaSuperscript (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496 160h-16V16a16 16 0 0 0-16-16h-48a16 16 0 0 0-14.29 8.83l-16 32A16 16 0 0 0 400 64h16v96h-16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h96a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zM336 64h-67a16 16 0 0 0-13.14 6.87l-79.9 115-79.9-115A16 16 0 0 0 83 64H16A16 16 0 0 0 0 80v48a16 16 0 0 0 16 16h33.48l77.81 112-77.81 112H16a16 16 0 0 0-16 16v48a16 16 0 0 0 16 16h67a16 16 0 0 0 13.14-6.87l79.9-115 79.9 115A16 16 0 0 0 269 448h67a16 16 0 0 0 16-16v-48a16 16 0 0 0-16-16h-33.48l-77.81-112 77.81-112H336a16 16 0 0 0 16-16V80a16 16 0 0 0-16-16z"}}]})(props);
};
function FaSurprise (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zM136 208c0-17.7 14.3-32 32-32s32 14.3 32 32-14.3 32-32 32-32-14.3-32-32zm112 208c-35.3 0-64-28.7-64-64s28.7-64 64-64 64 28.7 64 64-28.7 64-64 64zm80-176c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}}]})(props);
};
function FaSwatchbook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M434.66,167.71h0L344.5,77.36a31.83,31.83,0,0,0-45-.07h0l-.07.07L224,152.88V424L434.66,212.9A32,32,0,0,0,434.66,167.71ZM480,320H373.09L186.68,506.51c-2.06,2.07-4.5,3.58-6.68,5.49H480a32,32,0,0,0,32-32V352A32,32,0,0,0,480,320ZM192,32A32,32,0,0,0,160,0H32A32,32,0,0,0,0,32V416a96,96,0,0,0,192,0ZM96,440a24,24,0,1,1,24-24A24,24,0,0,1,96,440Zm32-184H64V192h64Zm0-128H64V64h64Z"}}]})(props);
};
function FaSwimmer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M189.61 310.58c3.54 3.26 15.27 9.42 34.39 9.42s30.86-6.16 34.39-9.42c16.02-14.77 34.5-22.58 53.46-22.58h16.3c18.96 0 37.45 7.81 53.46 22.58 3.54 3.26 15.27 9.42 34.39 9.42s30.86-6.16 34.39-9.42c14.86-13.71 31.88-21.12 49.39-22.16l-112.84-80.6 18-12.86c3.64-2.58 8.28-3.52 12.62-2.61l100.35 21.53c25.91 5.53 51.44-10.97 57-36.88 5.55-25.92-10.95-51.44-36.88-57L437.68 98.47c-30.73-6.58-63.02.12-88.56 18.38l-80.02 57.17c-10.38 7.39-19.36 16.44-26.72 26.94L173.75 299c5.47 3.23 10.82 6.93 15.86 11.58zM624 352h-16c-26.04 0-45.8-8.42-56.09-17.9-8.9-8.21-19.66-14.1-31.77-14.1h-16.3c-12.11 0-22.87 5.89-31.77 14.1C461.8 343.58 442.04 352 416 352s-45.8-8.42-56.09-17.9c-8.9-8.21-19.66-14.1-31.77-14.1h-16.3c-12.11 0-22.87 5.89-31.77 14.1C269.8 343.58 250.04 352 224 352s-45.8-8.42-56.09-17.9c-8.9-8.21-19.66-14.1-31.77-14.1h-16.3c-12.11 0-22.87 5.89-31.77 14.1C77.8 343.58 58.04 352 32 352H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h16c38.62 0 72.72-12.19 96-31.84 23.28 19.66 57.38 31.84 96 31.84s72.72-12.19 96-31.84c23.28 19.66 57.38 31.84 96 31.84s72.72-12.19 96-31.84c23.28 19.66 57.38 31.84 96 31.84h16c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16zm-512-96c44.18 0 80-35.82 80-80s-35.82-80-80-80-80 35.82-80 80 35.82 80 80 80z"}}]})(props);
};
function FaSwimmingPool (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624 416h-16c-26.04 0-45.8-8.42-56.09-17.9-8.9-8.21-19.66-14.1-31.77-14.1h-16.3c-12.11 0-22.87 5.89-31.77 14.1C461.8 407.58 442.04 416 416 416s-45.8-8.42-56.09-17.9c-8.9-8.21-19.66-14.1-31.77-14.1h-16.3c-12.11 0-22.87 5.89-31.77 14.1C269.8 407.58 250.04 416 224 416s-45.8-8.42-56.09-17.9c-8.9-8.21-19.66-14.1-31.77-14.1h-16.3c-12.11 0-22.87 5.89-31.77 14.1C77.8 407.58 58.04 416 32 416H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h16c38.62 0 72.72-12.19 96-31.84 23.28 19.66 57.38 31.84 96 31.84s72.72-12.19 96-31.84c23.28 19.66 57.38 31.84 96 31.84s72.72-12.19 96-31.84c23.28 19.66 57.38 31.84 96 31.84h16c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16zm-400-32v-96h192v96c19.12 0 30.86-6.16 34.39-9.42 9.17-8.46 19.2-14.34 29.61-18.07V128c0-17.64 14.36-32 32-32s32 14.36 32 32v16c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16v-16c0-52.94-43.06-96-96-96s-96 43.06-96 96v96H224v-96c0-17.64 14.36-32 32-32s32 14.36 32 32v16c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16v-16c0-52.94-43.06-96-96-96s-96 43.06-96 96v228.5c10.41 3.73 20.44 9.62 29.61 18.07 3.53 3.27 15.27 9.43 34.39 9.43z"}}]})(props);
};
function FaSynagogue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M70 196.51L6.67 268.29A26.643 26.643 0 0 0 0 285.93V512h128V239.58l-38-43.07c-5.31-6.01-14.69-6.01-20 0zm563.33 71.78L570 196.51c-5.31-6.02-14.69-6.02-20 0l-38 43.07V512h128V285.93c0-6.5-2.37-12.77-6.67-17.64zM339.99 7.01c-11.69-9.35-28.29-9.35-39.98 0l-128 102.4A32.005 32.005 0 0 0 160 134.4V512h96v-92.57c0-31.88 21.78-61.43 53.25-66.55C349.34 346.35 384 377.13 384 416v96h96V134.4c0-9.72-4.42-18.92-12.01-24.99l-128-102.4zm52.07 215.55c1.98 3.15-.29 7.24-4 7.24h-38.94L324 269.79c-1.85 2.95-6.15 2.95-8 0l-25.12-39.98h-38.94c-3.72 0-5.98-4.09-4-7.24l19.2-30.56-19.2-30.56c-1.98-3.15.29-7.24 4-7.24h38.94l25.12-40c1.85-2.95 6.15-2.95 8 0l25.12 39.98h38.95c3.71 0 5.98 4.09 4 7.24L372.87 192l19.19 30.56z"}}]})(props);
};
function FaSyncAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M370.72 133.28C339.458 104.008 298.888 87.962 255.848 88c-77.458.068-144.328 53.178-162.791 126.85-1.344 5.363-6.122 9.15-11.651 9.15H24.103c-7.498 0-13.194-6.807-11.807-14.176C33.933 94.924 134.813 8 256 8c66.448 0 126.791 26.136 171.315 68.685L463.03 40.97C478.149 25.851 504 36.559 504 57.941V192c0 13.255-10.745 24-24 24H345.941c-21.382 0-32.09-25.851-16.971-40.971l41.75-41.749zM32 296h134.059c21.382 0 32.09 25.851 16.971 40.971l-41.75 41.75c31.262 29.273 71.835 45.319 114.876 45.28 77.418-.07 144.315-53.144 162.787-126.849 1.344-5.363 6.122-9.15 11.651-9.15h57.304c7.498 0 13.194 6.807 11.807 14.176C478.067 417.076 377.187 504 256 504c-66.448 0-126.791-26.136-171.315-68.685L48.97 471.03C33.851 486.149 8 475.441 8 454.059V320c0-13.255 10.745-24 24-24z"}}]})(props);
};
function FaSync (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440.65 12.57l4 82.77A247.16 247.16 0 0 0 255.83 8C134.73 8 33.91 94.92 12.29 209.82A12 12 0 0 0 24.09 224h49.05a12 12 0 0 0 11.67-9.26 175.91 175.91 0 0 1 317-56.94l-101.46-4.86a12 12 0 0 0-12.57 12v47.41a12 12 0 0 0 12 12H500a12 12 0 0 0 12-12V12a12 12 0 0 0-12-12h-47.37a12 12 0 0 0-11.98 12.57zM255.83 432a175.61 175.61 0 0 1-146-77.8l101.8 4.87a12 12 0 0 0 12.57-12v-47.4a12 12 0 0 0-12-12H12a12 12 0 0 0-12 12V500a12 12 0 0 0 12 12h47.35a12 12 0 0 0 12-12.6l-4.15-82.57A247.17 247.17 0 0 0 255.83 504c121.11 0 221.93-86.92 243.55-201.82a12 12 0 0 0-11.8-14.18h-49.05a12 12 0 0 0-11.67 9.26A175.86 175.86 0 0 1 255.83 432z"}}]})(props);
};
function FaSyringe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201.5 174.8l55.7 55.8c3.1 3.1 3.1 8.2 0 11.3l-11.3 11.3c-3.1 3.1-8.2 3.1-11.3 0l-55.7-55.8-45.3 45.3 55.8 55.8c3.1 3.1 3.1 8.2 0 11.3l-11.3 11.3c-3.1 3.1-8.2 3.1-11.3 0L111 265.2l-26.4 26.4c-17.3 17.3-25.6 41.1-23 65.4l7.1 63.6L2.3 487c-3.1 3.1-3.1 8.2 0 11.3l11.3 11.3c3.1 3.1 8.2 3.1 11.3 0l66.3-66.3 63.6 7.1c23.9 2.6 47.9-5.4 65.4-23l181.9-181.9-135.7-135.7-64.9 65zm308.2-93.3L430.5 2.3c-3.1-3.1-8.2-3.1-11.3 0l-11.3 11.3c-3.1 3.1-3.1 8.2 0 11.3l28.3 28.3-45.3 45.3-56.6-56.6-17-17c-3.1-3.1-8.2-3.1-11.3 0l-33.9 33.9c-3.1 3.1-3.1 8.2 0 11.3l17 17L424.8 223l17 17c3.1 3.1 8.2 3.1 11.3 0l33.9-34c3.1-3.1 3.1-8.2 0-11.3l-73.5-73.5 45.3-45.3 28.3 28.3c3.1 3.1 8.2 3.1 11.3 0l11.3-11.3c3.1-3.2 3.1-8.2 0-11.4z"}}]})(props);
};
function FaTableTennis (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496.2 296.5C527.7 218.7 512 126.2 449 63.1 365.1-21 229-21 145.1 63.1l-56 56.1 211.5 211.5c46.1-62.1 131.5-77.4 195.6-34.2zm-217.9 79.7L57.9 155.9c-27.3 45.3-21.7 105 17.3 144.1l34.5 34.6L6.7 424c-8.6 7.5-9.1 20.7-1 28.8l53.4 53.5c8 8.1 21.2 7.6 28.7-1L177.1 402l35.7 35.7c19.7 19.7 44.6 30.5 70.3 33.3-7.1-17-11-35.6-11-55.1-.1-13.8 2.5-27 6.2-39.7zM416 320c-53 0-96 43-96 96s43 96 96 96 96-43 96-96-43-96-96-96z"}}]})(props);
};
function FaTable (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 32H48C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V80c0-26.51-21.49-48-48-48zM224 416H64v-96h160v96zm0-160H64v-96h160v96zm224 160H288v-96h160v96zm0-160H288v-96h160v96z"}}]})(props);
};
function FaTabletAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 0H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V48c0-26.5-21.5-48-48-48zM224 480c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm176-108c0 6.6-5.4 12-12 12H60c-6.6 0-12-5.4-12-12V60c0-6.6 5.4-12 12-12h328c6.6 0 12 5.4 12 12v312z"}}]})(props);
};
function FaTablet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 0H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V48c0-26.5-21.5-48-48-48zM224 480c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}}]})(props);
};
function FaTablets (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M160 192C78.9 192 12.5 250.5.1 326.7c-.8 4.8 3.3 9.3 8.3 9.3h303.3c5 0 9.1-4.5 8.3-9.3C307.5 250.5 241.1 192 160 192zm151.6 176H8.4c-5 0-9.1 4.5-8.3 9.3C12.5 453.5 78.9 512 160 512s147.5-58.5 159.9-134.7c.8-4.8-3.3-9.3-8.3-9.3zM593.4 46.6c-56.5-56.5-144.2-61.4-206.9-16-4 2.9-4.3 8.9-.8 12.3L597 254.3c3.5 3.5 9.5 3.2 12.3-.8 45.5-62.7 40.6-150.4-15.9-206.9zM363 65.7c-3.5-3.5-9.5-3.2-12.3.8-45.4 62.7-40.5 150.4 15.9 206.9 56.5 56.5 144.2 61.4 206.9 15.9 4-2.9 4.3-8.9.8-12.3L363 65.7z"}}]})(props);
};
function FaTachometerAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M288 32C128.94 32 0 160.94 0 320c0 52.8 14.25 102.26 39.06 144.8 5.61 9.62 16.3 15.2 27.44 15.2h443c11.14 0 21.83-5.58 27.44-15.2C561.75 422.26 576 372.8 576 320c0-159.06-128.94-288-288-288zm0 64c14.71 0 26.58 10.13 30.32 23.65-1.11 2.26-2.64 4.23-3.45 6.67l-9.22 27.67c-5.13 3.49-10.97 6.01-17.64 6.01-17.67 0-32-14.33-32-32S270.33 96 288 96zM96 384c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm48-160c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm246.77-72.41l-61.33 184C343.13 347.33 352 364.54 352 384c0 11.72-3.38 22.55-8.88 32H232.88c-5.5-9.45-8.88-20.28-8.88-32 0-33.94 26.5-61.43 59.9-63.59l61.34-184.01c4.17-12.56 17.73-19.45 30.36-15.17 12.57 4.19 19.35 17.79 15.17 30.36zm14.66 57.2l15.52-46.55c3.47-1.29 7.13-2.23 11.05-2.23 17.67 0 32 14.33 32 32s-14.33 32-32 32c-11.38-.01-20.89-6.28-26.57-15.22zM480 384c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z"}}]})(props);
};
function FaTag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M0 252.118V48C0 21.49 21.49 0 48 0h204.118a48 48 0 0 1 33.941 14.059l211.882 211.882c18.745 18.745 18.745 49.137 0 67.882L293.823 497.941c-18.745 18.745-49.137 18.745-67.882 0L14.059 286.059A48 48 0 0 1 0 252.118zM112 64c-26.51 0-48 21.49-48 48s21.49 48 48 48 48-21.49 48-48-21.49-48-48-48z"}}]})(props);
};
function FaTags (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M497.941 225.941L286.059 14.059A48 48 0 0 0 252.118 0H48C21.49 0 0 21.49 0 48v204.118a48 48 0 0 0 14.059 33.941l211.882 211.882c18.744 18.745 49.136 18.746 67.882 0l204.118-204.118c18.745-18.745 18.745-49.137 0-67.882zM112 160c-26.51 0-48-21.49-48-48s21.49-48 48-48 48 21.49 48 48-21.49 48-48 48zm513.941 133.823L421.823 497.941c-18.745 18.745-49.137 18.745-67.882 0l-.36-.36L527.64 323.522c16.999-16.999 26.36-39.6 26.36-63.64s-9.362-46.641-26.36-63.64L331.397 0h48.721a48 48 0 0 1 33.941 14.059l211.882 211.882c18.745 18.745 18.745 49.137 0 67.882z"}}]})(props);
};
function FaTape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M224 192c-35.3 0-64 28.7-64 64s28.7 64 64 64 64-28.7 64-64-28.7-64-64-64zm400 224H380.6c41.5-40.7 67.4-97.3 67.4-160 0-123.7-100.3-224-224-224S0 132.3 0 256s100.3 224 224 224h400c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16zm-400-64c-53 0-96-43-96-96s43-96 96-96 96 43 96 96-43 96-96 96z"}}]})(props);
};
function FaTasks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M139.61 35.5a12 12 0 0 0-17 0L58.93 98.81l-22.7-22.12a12 12 0 0 0-17 0L3.53 92.41a12 12 0 0 0 0 17l47.59 47.4a12.78 12.78 0 0 0 17.61 0l15.59-15.62L156.52 69a12.09 12.09 0 0 0 .09-17zm0 159.19a12 12 0 0 0-17 0l-63.68 63.72-22.7-22.1a12 12 0 0 0-17 0L3.53 252a12 12 0 0 0 0 17L51 316.5a12.77 12.77 0 0 0 17.6 0l15.7-15.69 72.2-72.22a12 12 0 0 0 .09-16.9zM64 368c-26.49 0-48.59 21.5-48.59 48S37.53 464 64 464a48 48 0 0 0 0-96zm432 16H208a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h288a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16zm0-320H208a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h288a16 16 0 0 0 16-16V80a16 16 0 0 0-16-16zm0 160H208a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h288a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16z"}}]})(props);
};
function FaTaxi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M462 241.64l-22-84.84c-9.6-35.2-41.6-60.8-76.8-60.8H352V64c0-17.67-14.33-32-32-32H192c-17.67 0-32 14.33-32 32v32h-11.2c-35.2 0-67.2 25.6-76.8 60.8l-22 84.84C21.41 248.04 0 273.47 0 304v48c0 23.63 12.95 44.04 32 55.12V448c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-32h256v32c0 17.67 14.33 32 32 32h32c17.67 0 32-14.33 32-32v-40.88c19.05-11.09 32-31.5 32-55.12v-48c0-30.53-21.41-55.96-50-62.36zM96 352c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm20.55-112l17.2-66.36c2.23-8.16 9.59-13.64 15.06-13.64h214.4c5.47 0 12.83 5.48 14.85 12.86L395.45 240h-278.9zM416 352c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z"}}]})(props);
};
function FaTeethOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M544 0H96C42.98 0 0 42.98 0 96v64c0 35.35 28.66 64 64 64h512c35.34 0 64-28.65 64-64V96c0-53.02-42.98-96-96-96zM160 176c0 8.84-7.16 16-16 16H80c-8.84 0-16-7.16-16-16v-32c0-26.51 21.49-48 48-48s48 21.49 48 48v32zm144 0c0 8.84-7.16 16-16 16h-80c-8.84 0-16-7.16-16-16v-56c0-30.93 25.07-56 56-56s56 25.07 56 56v56zm144 0c0 8.84-7.16 16-16 16h-80c-8.84 0-16-7.16-16-16v-56c0-30.93 25.07-56 56-56s56 25.07 56 56v56zm128 0c0 8.84-7.16 16-16 16h-64c-8.84 0-16-7.16-16-16v-32c0-26.51 21.49-48 48-48s48 21.49 48 48v32zm0 144H64c-35.34 0-64 28.65-64 64v32c0 53.02 42.98 96 96 96h448c53.02 0 96-42.98 96-96v-32c0-35.35-28.66-64-64-64zm-416 80c0 26.51-21.49 48-48 48s-48-21.49-48-48v-32c0-8.84 7.16-16 16-16h64c8.84 0 16 7.16 16 16v32zm144-8c0 30.93-25.07 56-56 56s-56-25.07-56-56v-24c0-8.84 7.16-16 16-16h80c8.84 0 16 7.16 16 16v24zm144 0c0 30.93-25.07 56-56 56s-56-25.07-56-56v-24c0-8.84 7.16-16 16-16h80c8.84 0 16 7.16 16 16v24zm128 8c0 26.51-21.49 48-48 48s-48-21.49-48-48v-32c0-8.84 7.16-16 16-16h64c8.84 0 16 7.16 16 16v32z"}}]})(props);
};
function FaTeeth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M544 0H96C42.98 0 0 42.98 0 96v320c0 53.02 42.98 96 96 96h448c53.02 0 96-42.98 96-96V96c0-53.02-42.98-96-96-96zM160 368c0 26.51-21.49 48-48 48s-48-21.49-48-48v-64c0-8.84 7.16-16 16-16h64c8.84 0 16 7.16 16 16v64zm0-128c0 8.84-7.16 16-16 16H80c-8.84 0-16-7.16-16-16v-64c0-26.51 21.49-48 48-48s48 21.49 48 48v64zm144 120c0 30.93-25.07 56-56 56s-56-25.07-56-56v-56c0-8.84 7.16-16 16-16h80c8.84 0 16 7.16 16 16v56zm0-120c0 8.84-7.16 16-16 16h-80c-8.84 0-16-7.16-16-16v-88c0-30.93 25.07-56 56-56s56 25.07 56 56v88zm144 120c0 30.93-25.07 56-56 56s-56-25.07-56-56v-56c0-8.84 7.16-16 16-16h80c8.84 0 16 7.16 16 16v56zm0-120c0 8.84-7.16 16-16 16h-80c-8.84 0-16-7.16-16-16v-88c0-30.93 25.07-56 56-56s56 25.07 56 56v88zm128 128c0 26.51-21.49 48-48 48s-48-21.49-48-48v-64c0-8.84 7.16-16 16-16h64c8.84 0 16 7.16 16 16v64zm0-128c0 8.84-7.16 16-16 16h-64c-8.84 0-16-7.16-16-16v-64c0-26.51 21.49-48 48-48s48 21.49 48 48v64z"}}]})(props);
};
function FaTemperatureHigh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 0c-52.9 0-96 43.1-96 96s43.1 96 96 96 96-43.1 96-96-43.1-96-96-96zm0 128c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm-160-16C256 50.1 205.9 0 144 0S32 50.1 32 112v166.5C12.3 303.2 0 334 0 368c0 79.5 64.5 144 144 144s144-64.5 144-144c0-34-12.3-64.9-32-89.5V112zM144 448c-44.1 0-80-35.9-80-80 0-25.5 12.2-48.9 32-63.8V112c0-26.5 21.5-48 48-48s48 21.5 48 48v192.2c19.8 14.8 32 38.3 32 63.8 0 44.1-35.9 80-80 80zm16-125.1V112c0-8.8-7.2-16-16-16s-16 7.2-16 16v210.9c-18.6 6.6-32 24.2-32 45.1 0 26.5 21.5 48 48 48s48-21.5 48-48c0-20.9-13.4-38.5-32-45.1z"}}]})(props);
};
function FaTemperatureLow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 0c-52.9 0-96 43.1-96 96s43.1 96 96 96 96-43.1 96-96-43.1-96-96-96zm0 128c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm-160-16C256 50.1 205.9 0 144 0S32 50.1 32 112v166.5C12.3 303.2 0 334 0 368c0 79.5 64.5 144 144 144s144-64.5 144-144c0-34-12.3-64.9-32-89.5V112zM144 448c-44.1 0-80-35.9-80-80 0-25.5 12.2-48.9 32-63.8V112c0-26.5 21.5-48 48-48s48 21.5 48 48v192.2c19.8 14.8 32 38.3 32 63.8 0 44.1-35.9 80-80 80zm16-125.1V304c0-8.8-7.2-16-16-16s-16 7.2-16 16v18.9c-18.6 6.6-32 24.2-32 45.1 0 26.5 21.5 48 48 48s48-21.5 48-48c0-20.9-13.4-38.5-32-45.1z"}}]})(props);
};
function FaTenge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M372 160H12c-6.6 0-12 5.4-12 12v56c0 6.6 5.4 12 12 12h140v228c0 6.6 5.4 12 12 12h56c6.6 0 12-5.4 12-12V240h140c6.6 0 12-5.4 12-12v-56c0-6.6-5.4-12-12-12zm0-128H12C5.4 32 0 37.4 0 44v56c0 6.6 5.4 12 12 12h360c6.6 0 12-5.4 12-12V44c0-6.6-5.4-12-12-12z"}}]})(props);
};
function FaTerminal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M257.981 272.971L63.638 467.314c-9.373 9.373-24.569 9.373-33.941 0L7.029 444.647c-9.357-9.357-9.375-24.522-.04-33.901L161.011 256 6.99 101.255c-9.335-9.379-9.317-24.544.04-33.901l22.667-22.667c9.373-9.373 24.569-9.373 33.941 0L257.981 239.03c9.373 9.372 9.373 24.568 0 33.941zM640 456v-32c0-13.255-10.745-24-24-24H312c-13.255 0-24 10.745-24 24v32c0 13.255 10.745 24 24 24h304c13.255 0 24-10.745 24-24z"}}]})(props);
};
function FaTextHeight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M304 32H16A16 16 0 0 0 0 48v96a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-32h56v304H80a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h160a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16h-40V112h56v32a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16zm256 336h-48V144h48c14.31 0 21.33-17.31 11.31-27.31l-80-80a16 16 0 0 0-22.62 0l-80 80C379.36 126 384.36 144 400 144h48v224h-48c-14.31 0-21.32 17.31-11.31 27.31l80 80a16 16 0 0 0 22.62 0l80-80C580.64 386 575.64 368 560 368z"}}]})(props);
};
function FaTextWidth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M432 32H16A16 16 0 0 0 0 48v80a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16v-16h120v112h-24a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h128a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16h-24V112h120v16a16 16 0 0 0 16 16h32a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16zm-68.69 260.69C354 283.36 336 288.36 336 304v48H112v-48c0-14.31-17.31-21.32-27.31-11.31l-80 80a16 16 0 0 0 0 22.62l80 80C94 484.64 112 479.64 112 464v-48h224v48c0 14.31 17.31 21.33 27.31 11.31l80-80a16 16 0 0 0 0-22.62z"}}]})(props);
};
function FaThLarge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M296 32h192c13.255 0 24 10.745 24 24v160c0 13.255-10.745 24-24 24H296c-13.255 0-24-10.745-24-24V56c0-13.255 10.745-24 24-24zm-80 0H24C10.745 32 0 42.745 0 56v160c0 13.255 10.745 24 24 24h192c13.255 0 24-10.745 24-24V56c0-13.255-10.745-24-24-24zM0 296v160c0 13.255 10.745 24 24 24h192c13.255 0 24-10.745 24-24V296c0-13.255-10.745-24-24-24H24c-13.255 0-24 10.745-24 24zm296 184h192c13.255 0 24-10.745 24-24V296c0-13.255-10.745-24-24-24H296c-13.255 0-24 10.745-24 24v160c0 13.255 10.745 24 24 24z"}}]})(props);
};
function FaThList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149.333 216v80c0 13.255-10.745 24-24 24H24c-13.255 0-24-10.745-24-24v-80c0-13.255 10.745-24 24-24h101.333c13.255 0 24 10.745 24 24zM0 376v80c0 13.255 10.745 24 24 24h101.333c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24H24c-13.255 0-24 10.745-24 24zM125.333 32H24C10.745 32 0 42.745 0 56v80c0 13.255 10.745 24 24 24h101.333c13.255 0 24-10.745 24-24V56c0-13.255-10.745-24-24-24zm80 448H488c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24H205.333c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24zm-24-424v80c0 13.255 10.745 24 24 24H488c13.255 0 24-10.745 24-24V56c0-13.255-10.745-24-24-24H205.333c-13.255 0-24 10.745-24 24zm24 264H488c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24H205.333c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24z"}}]})(props);
};
function FaTh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149.333 56v80c0 13.255-10.745 24-24 24H24c-13.255 0-24-10.745-24-24V56c0-13.255 10.745-24 24-24h101.333c13.255 0 24 10.745 24 24zm181.334 240v-80c0-13.255-10.745-24-24-24H205.333c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24h101.333c13.256 0 24.001-10.745 24.001-24zm32-240v80c0 13.255 10.745 24 24 24H488c13.255 0 24-10.745 24-24V56c0-13.255-10.745-24-24-24H386.667c-13.255 0-24 10.745-24 24zm-32 80V56c0-13.255-10.745-24-24-24H205.333c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24h101.333c13.256 0 24.001-10.745 24.001-24zm-205.334 56H24c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24h101.333c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24zM0 376v80c0 13.255 10.745 24 24 24h101.333c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24H24c-13.255 0-24 10.745-24 24zm386.667-56H488c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24H386.667c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24zm0 160H488c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24H386.667c-13.255 0-24 10.745-24 24v80c0 13.255 10.745 24 24 24zM181.333 376v80c0 13.255 10.745 24 24 24h101.333c13.255 0 24-10.745 24-24v-80c0-13.255-10.745-24-24-24H205.333c-13.255 0-24 10.745-24 24z"}}]})(props);
};
function FaTheaterMasks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M206.86 245.15c-35.88 10.45-59.95 41.2-57.53 74.1 11.4-12.72 28.81-23.7 49.9-30.92l7.63-43.18zM95.81 295L64.08 115.49c-.29-1.62.28-2.62.24-2.65 57.76-32.06 123.12-49.01 189.01-49.01 1.61 0 3.23.17 4.85.19 13.95-13.47 31.73-22.83 51.59-26 18.89-3.02 38.05-4.55 57.18-5.32-9.99-13.95-24.48-24.23-41.77-27C301.27 1.89 277.24 0 253.32 0 176.66 0 101.02 19.42 33.2 57.06 9.03 70.48-3.92 98.48 1.05 126.58l31.73 179.51c14.23 80.52 136.33 142.08 204.45 142.08 3.59 0 6.75-.46 10.01-.8-13.52-17.08-28.94-40.48-39.5-67.58-47.61-12.98-106.06-51.62-111.93-84.79zm97.55-137.46c-.73-4.12-2.23-7.87-4.07-11.4-8.25 8.91-20.67 15.75-35.32 18.32-14.65 2.58-28.67.4-39.48-5.17-.52 3.94-.64 7.98.09 12.1 3.84 21.7 24.58 36.19 46.34 32.37 21.75-3.82 36.28-24.52 32.44-46.22zM606.8 120.9c-88.98-49.38-191.43-67.41-291.98-51.35-27.31 4.36-49.08 26.26-54.04 54.36l-31.73 179.51c-15.39 87.05 95.28 196.27 158.31 207.35 63.03 11.09 204.47-53.79 219.86-140.84l31.73-179.51c4.97-28.11-7.98-56.11-32.15-69.52zm-273.24 96.8c3.84-21.7 24.58-36.19 46.34-32.36 21.76 3.83 36.28 24.52 32.45 46.22-.73 4.12-2.23 7.87-4.07 11.4-8.25-8.91-20.67-15.75-35.32-18.32-14.65-2.58-28.67-.4-39.48 5.17-.53-3.95-.65-7.99.08-12.11zm70.47 198.76c-55.68-9.79-93.52-59.27-89.04-112.9 20.6 25.54 56.21 46.17 99.49 53.78 43.28 7.61 83.82.37 111.93-16.6-14.18 51.94-66.71 85.51-122.38 75.72zm130.3-151.34c-8.25-8.91-20.68-15.75-35.33-18.32-14.65-2.58-28.67-.4-39.48 5.17-.52-3.94-.64-7.98.09-12.1 3.84-21.7 24.58-36.19 46.34-32.37 21.75 3.83 36.28 24.52 32.45 46.22-.73 4.13-2.23 7.88-4.07 11.4z"}}]})(props);
};
function FaThermometerEmpty (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M192 384c0 35.346-28.654 64-64 64s-64-28.654-64-64c0-35.346 28.654-64 64-64s64 28.654 64 64zm32-84.653c19.912 22.563 32 52.194 32 84.653 0 70.696-57.303 128-128 128-.299 0-.609-.001-.909-.003C56.789 511.509-.357 453.636.002 383.333.166 351.135 12.225 321.755 32 299.347V96c0-53.019 42.981-96 96-96s96 42.981 96 96v203.347zM208 384c0-34.339-19.37-52.19-32-66.502V96c0-26.467-21.533-48-48-48S80 69.533 80 96v221.498c-12.732 14.428-31.825 32.1-31.999 66.08-.224 43.876 35.563 80.116 79.423 80.42L128 464c44.112 0 80-35.888 80-80z"}}]})(props);
};
function FaThermometerFull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M224 96c0-53.019-42.981-96-96-96S32 42.981 32 96v203.347C12.225 321.756.166 351.136.002 383.333c-.359 70.303 56.787 128.176 127.089 128.664.299.002.61.003.909.003 70.698 0 128-57.304 128-128 0-32.459-12.088-62.09-32-84.653V96zm-96 368l-.576-.002c-43.86-.304-79.647-36.544-79.423-80.42.173-33.98 19.266-51.652 31.999-66.08V96c0-26.467 21.533-48 48-48s48 21.533 48 48v221.498c12.63 14.312 32 32.164 32 66.502 0 44.112-35.888 80-80 80zm64-80c0 35.346-28.654 64-64 64s-64-28.654-64-64c0-23.685 12.876-44.349 32-55.417V96c0-17.673 14.327-32 32-32s32 14.327 32 32v232.583c19.124 11.068 32 31.732 32 55.417z"}}]})(props);
};
function FaThermometerHalf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M192 384c0 35.346-28.654 64-64 64s-64-28.654-64-64c0-23.685 12.876-44.349 32-55.417V224c0-17.673 14.327-32 32-32s32 14.327 32 32v104.583c19.124 11.068 32 31.732 32 55.417zm32-84.653c19.912 22.563 32 52.194 32 84.653 0 70.696-57.303 128-128 128-.299 0-.609-.001-.909-.003C56.789 511.509-.357 453.636.002 383.333.166 351.135 12.225 321.755 32 299.347V96c0-53.019 42.981-96 96-96s96 42.981 96 96v203.347zM208 384c0-34.339-19.37-52.19-32-66.502V96c0-26.467-21.533-48-48-48S80 69.533 80 96v221.498c-12.732 14.428-31.825 32.1-31.999 66.08-.224 43.876 35.563 80.116 79.423 80.42L128 464c44.112 0 80-35.888 80-80z"}}]})(props);
};
function FaThermometerQuarter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M192 384c0 35.346-28.654 64-64 64s-64-28.654-64-64c0-23.685 12.876-44.349 32-55.417V288c0-17.673 14.327-32 32-32s32 14.327 32 32v40.583c19.124 11.068 32 31.732 32 55.417zm32-84.653c19.912 22.563 32 52.194 32 84.653 0 70.696-57.303 128-128 128-.299 0-.609-.001-.909-.003C56.789 511.509-.357 453.636.002 383.333.166 351.135 12.225 321.755 32 299.347V96c0-53.019 42.981-96 96-96s96 42.981 96 96v203.347zM208 384c0-34.339-19.37-52.19-32-66.502V96c0-26.467-21.533-48-48-48S80 69.533 80 96v221.498c-12.732 14.428-31.825 32.1-31.999 66.08-.224 43.876 35.563 80.116 79.423 80.42L128 464c44.112 0 80-35.888 80-80z"}}]})(props);
};
function FaThermometerThreeQuarters (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M192 384c0 35.346-28.654 64-64 64-35.346 0-64-28.654-64-64 0-23.685 12.876-44.349 32-55.417V160c0-17.673 14.327-32 32-32s32 14.327 32 32v168.583c19.124 11.068 32 31.732 32 55.417zm32-84.653c19.912 22.563 32 52.194 32 84.653 0 70.696-57.303 128-128 128-.299 0-.609-.001-.909-.003C56.789 511.509-.357 453.636.002 383.333.166 351.135 12.225 321.755 32 299.347V96c0-53.019 42.981-96 96-96s96 42.981 96 96v203.347zM208 384c0-34.339-19.37-52.19-32-66.502V96c0-26.467-21.533-48-48-48S80 69.533 80 96v221.498c-12.732 14.428-31.825 32.1-31.999 66.08-.224 43.876 35.563 80.116 79.423 80.42L128 464c44.112 0 80-35.888 80-80z"}}]})(props);
};
function FaThermometer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M476.8 20.4c-37.5-30.7-95.5-26.3-131.9 10.2l-45.7 46 50.5 50.5c3.1 3.1 3.1 8.2 0 11.3l-11.3 11.3c-3.1 3.1-8.2 3.1-11.3 0l-50.4-50.5-45.1 45.4 50.3 50.4c3.1 3.1 3.1 8.2 0 11.3l-11.3 11.3c-3.1 3.1-8.2 3.1-11.3 0L209 167.4l-45.1 45.4L214 263c3.1 3.1 3.1 8.2 0 11.3l-11.3 11.3c-3.1 3.1-8.2 3.1-11.3 0l-50.1-50.2L96 281.1V382L7 471c-9.4 9.4-9.4 24.6 0 33.9 9.4 9.4 24.6 9.4 33.9 0l89-89h99.9L484 162.6c34.9-34.9 42.2-101.5-7.2-142.2z"}}]})(props);
};
function FaThumbsDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M0 56v240c0 13.255 10.745 24 24 24h80c13.255 0 24-10.745 24-24V56c0-13.255-10.745-24-24-24H24C10.745 32 0 42.745 0 56zm40 200c0-13.255 10.745-24 24-24s24 10.745 24 24-10.745 24-24 24-24-10.745-24-24zm272 256c-20.183 0-29.485-39.293-33.931-57.795-5.206-21.666-10.589-44.07-25.393-58.902-32.469-32.524-49.503-73.967-89.117-113.111a11.98 11.98 0 0 1-3.558-8.521V59.901c0-6.541 5.243-11.878 11.783-11.998 15.831-.29 36.694-9.079 52.651-16.178C256.189 17.598 295.709.017 343.995 0h2.844c42.777 0 93.363.413 113.774 29.737 8.392 12.057 10.446 27.034 6.148 44.632 16.312 17.053 25.063 48.863 16.382 74.757 17.544 23.432 19.143 56.132 9.308 79.469l.11.11c11.893 11.949 19.523 31.259 19.439 49.197-.156 30.352-26.157 58.098-59.553 58.098H350.723C358.03 364.34 384 388.132 384 430.548 384 504 336 512 312 512z"}}]})(props);
};
function FaThumbsUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M104 224H24c-13.255 0-24 10.745-24 24v240c0 13.255 10.745 24 24 24h80c13.255 0 24-10.745 24-24V248c0-13.255-10.745-24-24-24zM64 472c-13.255 0-24-10.745-24-24s10.745-24 24-24 24 10.745 24 24-10.745 24-24 24zM384 81.452c0 42.416-25.97 66.208-33.277 94.548h101.723c33.397 0 59.397 27.746 59.553 58.098.084 17.938-7.546 37.249-19.439 49.197l-.11.11c9.836 23.337 8.237 56.037-9.308 79.469 8.681 25.895-.069 57.704-16.382 74.757 4.298 17.598 2.244 32.575-6.148 44.632C440.202 511.587 389.616 512 346.839 512l-2.845-.001c-48.287-.017-87.806-17.598-119.56-31.725-15.957-7.099-36.821-15.887-52.651-16.178-6.54-.12-11.783-5.457-11.783-11.998v-213.77c0-3.2 1.282-6.271 3.558-8.521 39.614-39.144 56.648-80.587 89.117-113.111 14.804-14.832 20.188-37.236 25.393-58.902C282.515 39.293 291.817 0 312 0c24 0 72 8 72 81.452z"}}]})(props);
};
function FaThumbtack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M298.028 214.267L285.793 96H328c13.255 0 24-10.745 24-24V24c0-13.255-10.745-24-24-24H56C42.745 0 32 10.745 32 24v48c0 13.255 10.745 24 24 24h42.207L85.972 214.267C37.465 236.82 0 277.261 0 328c0 13.255 10.745 24 24 24h136v104.007c0 1.242.289 2.467.845 3.578l24 48c2.941 5.882 11.364 5.893 14.311 0l24-48a8.008 8.008 0 0 0 .845-3.578V352h136c13.255 0 24-10.745 24-24-.001-51.183-37.983-91.42-85.973-113.733z"}}]})(props);
};
function FaTicketAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M128 160h320v192H128V160zm400 96c0 26.51 21.49 48 48 48v96c0 26.51-21.49 48-48 48H48c-26.51 0-48-21.49-48-48v-96c26.51 0 48-21.49 48-48s-21.49-48-48-48v-96c0-26.51 21.49-48 48-48h480c26.51 0 48 21.49 48 48v96c-26.51 0-48 21.49-48 48zm-48-104c0-13.255-10.745-24-24-24H120c-13.255 0-24 10.745-24 24v208c0 13.255 10.745 24 24 24h336c13.255 0 24-10.745 24-24V152z"}}]})(props);
};
function FaTimesCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm121.6 313.1c4.7 4.7 4.7 12.3 0 17L338 377.6c-4.7 4.7-12.3 4.7-17 0L256 312l-65.1 65.6c-4.7 4.7-12.3 4.7-17 0L134.4 338c-4.7-4.7-4.7-12.3 0-17l65.6-65-65.6-65.1c-4.7-4.7-4.7-12.3 0-17l39.6-39.6c4.7-4.7 12.3-4.7 17 0l65 65.7 65.1-65.6c4.7-4.7 12.3-4.7 17 0l39.6 39.6c4.7 4.7 4.7 12.3 0 17L312 256l65.6 65.1z"}}]})(props);
};
function FaTimes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 352 512"},"child":[{"tag":"path","attr":{"d":"M242.72 256l100.07-100.07c12.28-12.28 12.28-32.19 0-44.48l-22.24-22.24c-12.28-12.28-32.19-12.28-44.48 0L176 189.28 75.93 89.21c-12.28-12.28-32.19-12.28-44.48 0L9.21 111.45c-12.28 12.28-12.28 32.19 0 44.48L109.28 256 9.21 356.07c-12.28 12.28-12.28 32.19 0 44.48l22.24 22.24c12.28 12.28 32.2 12.28 44.48 0L176 322.72l100.07 100.07c12.28 12.28 32.2 12.28 44.48 0l22.24-22.24c12.28-12.28 12.28-32.19 0-44.48L242.72 256z"}}]})(props);
};
function FaTintSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M633.82 458.1L494.97 350.78c.52-5.57 1.03-11.16 1.03-16.87 0-111.76-99.79-153.34-146.78-311.82-7.94-28.78-49.44-30.12-58.44 0-15.52 52.34-36.87 91.96-58.49 125.68L45.47 3.37C38.49-2.05 28.43-.8 23.01 6.18L3.37 31.45C-2.05 38.42-.8 48.47 6.18 53.9l588.36 454.73c6.98 5.43 17.03 4.17 22.46-2.81l19.64-25.27c5.41-6.97 4.16-17.02-2.82-22.45zM144 333.91C144 432.35 222.72 512 320 512c44.71 0 85.37-16.96 116.4-44.7L162.72 255.78c-11.41 23.5-18.72 48.35-18.72 78.13z"}}]})(props);
};
function FaTint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 352 512"},"child":[{"tag":"path","attr":{"d":"M205.22 22.09c-7.94-28.78-49.44-30.12-58.44 0C100.01 179.85 0 222.72 0 333.91 0 432.35 78.72 512 176 512s176-79.65 176-178.09c0-111.75-99.79-153.34-146.78-311.82zM176 448c-61.75 0-112-50.25-112-112 0-8.84 7.16-16 16-16s16 7.16 16 16c0 44.11 35.89 80 80 80 8.84 0 16 7.16 16 16s-7.16 16-16 16z"}}]})(props);
};
function FaTired (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm33.8 189.7l80-48c11.6-6.9 24 7.7 15.4 18L343.6 208l33.6 40.3c8.7 10.4-3.9 24.8-15.4 18l-80-48c-7.7-4.7-7.7-15.9 0-20.6zm-163-30c-8.6-10.3 3.8-24.9 15.4-18l80 48c7.8 4.7 7.8 15.9 0 20.6l-80 48c-11.5 6.8-24-7.6-15.4-18l33.6-40.3-33.6-40.3zM248 288c51.9 0 115.3 43.8 123.2 106.7 1.7 13.6-8 24.6-17.7 20.4-25.9-11.1-64.4-17.4-105.5-17.4s-79.6 6.3-105.5 17.4c-9.8 4.2-19.4-7-17.7-20.4C132.7 331.8 196.1 288 248 288z"}}]})(props);
};
function FaToggleOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M384 64H192C85.961 64 0 149.961 0 256s85.961 192 192 192h192c106.039 0 192-85.961 192-192S490.039 64 384 64zM64 256c0-70.741 57.249-128 128-128 70.741 0 128 57.249 128 128 0 70.741-57.249 128-128 128-70.741 0-128-57.249-128-128zm320 128h-48.905c65.217-72.858 65.236-183.12 0-256H384c70.741 0 128 57.249 128 128 0 70.74-57.249 128-128 128z"}}]})(props);
};
function FaToggleOn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M384 64H192C86 64 0 150 0 256s86 192 192 192h192c106 0 192-86 192-192S490 64 384 64zm0 320c-70.8 0-128-57.3-128-128 0-70.8 57.3-128 128-128 70.8 0 128 57.3 128 128 0 70.8-57.3 128-128 128z"}}]})(props);
};
function FaToiletPaper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M128 0C74.98 0 32 85.96 32 192v172.07c0 41.12-9.8 62.77-31.17 126.87C-2.62 501.3 5.09 512 16.01 512h280.92c13.77 0 26-8.81 30.36-21.88 12.83-38.48 24.71-72.4 24.71-126.05V192c0-83.6 23.67-153.52 60.44-192H128zM96 224c-8.84 0-16-7.16-16-16s7.16-16 16-16 16 7.16 16 16-7.16 16-16 16zm64 0c-8.84 0-16-7.16-16-16s7.16-16 16-16 16 7.16 16 16-7.16 16-16 16zm64 0c-8.84 0-16-7.16-16-16s7.16-16 16-16 16 7.16 16 16-7.16 16-16 16zm64 0c-8.84 0-16-7.16-16-16s7.16-16 16-16 16 7.16 16 16-7.16 16-16 16zM480 0c-53.02 0-96 85.96-96 192s42.98 192 96 192 96-85.96 96-192S533.02 0 480 0zm0 256c-17.67 0-32-28.65-32-64s14.33-64 32-64 32 28.65 32 64-14.33 64-32 64z"}}]})(props);
};
function FaToilet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M368 48c8.8 0 16-7.2 16-16V16c0-8.8-7.2-16-16-16H16C7.2 0 0 7.2 0 16v16c0 8.8 7.2 16 16 16h16v156.7C11.8 214.8 0 226.9 0 240c0 67.2 34.6 126.2 86.8 160.5l-21.4 70.2C59.1 491.2 74.5 512 96 512h192c21.5 0 36.9-20.8 30.6-41.3l-21.4-70.2C349.4 366.2 384 307.2 384 240c0-13.1-11.8-25.2-32-35.3V48h16zM80 72c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v16c0 4.4-3.6 8-8 8H88c-4.4 0-8-3.6-8-8V72zm112 200c-77.1 0-139.6-14.3-139.6-32s62.5-32 139.6-32 139.6 14.3 139.6 32-62.5 32-139.6 32z"}}]})(props);
};
function FaToolbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M502.63 214.63l-45.25-45.25c-6-6-14.14-9.37-22.63-9.37H384V80c0-26.51-21.49-48-48-48H176c-26.51 0-48 21.49-48 48v80H77.25c-8.49 0-16.62 3.37-22.63 9.37L9.37 214.63c-6 6-9.37 14.14-9.37 22.63V320h128v-16c0-8.84 7.16-16 16-16h32c8.84 0 16 7.16 16 16v16h128v-16c0-8.84 7.16-16 16-16h32c8.84 0 16 7.16 16 16v16h128v-82.75c0-8.48-3.37-16.62-9.37-22.62zM320 160H192V96h128v64zm64 208c0 8.84-7.16 16-16 16h-32c-8.84 0-16-7.16-16-16v-16H192v16c0 8.84-7.16 16-16 16h-32c-8.84 0-16-7.16-16-16v-16H0v96c0 17.67 14.33 32 32 32h448c17.67 0 32-14.33 32-32v-96H384v16z"}}]})(props);
};
function FaTools (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M501.1 395.7L384 278.6c-23.1-23.1-57.6-27.6-85.4-13.9L192 158.1V96L64 0 0 64l96 128h62.1l106.6 106.6c-13.6 27.8-9.2 62.3 13.9 85.4l117.1 117.1c14.6 14.6 38.2 14.6 52.7 0l52.7-52.7c14.5-14.6 14.5-38.2 0-52.7zM331.7 225c28.3 0 54.9 11 74.9 31l19.4 19.4c15.8-6.9 30.8-16.5 43.8-29.5 37.1-37.1 49.7-89.3 37.9-136.7-2.2-9-13.5-12.1-20.1-5.5l-74.4 74.4-67.9-11.3L334 98.9l74.4-74.4c6.6-6.6 3.4-17.9-5.7-20.2-47.4-11.7-99.6.9-136.6 37.9-28.5 28.5-41.9 66.1-41.2 103.6l82.1 82.1c8.1-1.9 16.5-2.9 24.7-2.9zm-103.9 82l-56.7-56.7L18.7 402.8c-25 25-25 65.5 0 90.5s65.5 25 90.5 0l123.6-123.6c-7.6-19.9-9.9-41.6-5-62.7zM64 472c-13.2 0-24-10.8-24-24 0-13.3 10.7-24 24-24s24 10.7 24 24c0 13.2-10.7 24-24 24z"}}]})(props);
};
function FaTooth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M443.98 96.25c-11.01-45.22-47.11-82.06-92.01-93.72-32.19-8.36-63 5.1-89.14 24.33-3.25 2.39-6.96 3.73-10.5 5.48l28.32 18.21c7.42 4.77 9.58 14.67 4.8 22.11-4.46 6.95-14.27 9.86-22.11 4.8L162.83 12.84c-20.7-10.85-43.38-16.4-66.81-10.31-44.9 11.67-81 48.5-92.01 93.72-10.13 41.62-.42 80.81 21.5 110.43 23.36 31.57 32.68 68.66 36.29 107.35 4.4 47.16 10.33 94.16 20.94 140.32l7.8 33.95c3.19 13.87 15.49 23.7 29.67 23.7 13.97 0 26.15-9.55 29.54-23.16l34.47-138.42c4.56-18.32 20.96-31.16 39.76-31.16s35.2 12.85 39.76 31.16l34.47 138.42c3.39 13.61 15.57 23.16 29.54 23.16 14.18 0 26.48-9.83 29.67-23.7l7.8-33.95c10.61-46.15 16.53-93.16 20.94-140.32 3.61-38.7 12.93-75.78 36.29-107.35 21.95-29.61 31.66-68.8 21.53-110.43z"}}]})(props);
};
function FaTorah (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M320.05 366.48l17.72-29.64h-35.46zm99.21-166H382.4l18.46 30.82zM48 0C21.49 0 0 14.33 0 32v448c0 17.67 21.49 32 48 32s48-14.33 48-32V32C96 14.33 74.51 0 48 0zm172.74 311.5h36.85l-18.46-30.82zm161.71 0h36.86l-18.45-30.8zM128 464h384V48H128zm66.77-278.13a21.22 21.22 0 0 1 18.48-10.71h59.45l29.13-48.71a21.13 21.13 0 0 1 18.22-10.37A20.76 20.76 0 0 1 338 126.29l29.25 48.86h59.52a21.12 21.12 0 0 1 18.1 32L415.63 256 445 305a20.69 20.69 0 0 1 .24 21.12 21.25 21.25 0 0 1-18.48 10.72h-59.47l-29.13 48.7a21.13 21.13 0 0 1-18.16 10.4 20.79 20.79 0 0 1-18-10.22l-29.25-48.88h-59.5a21.11 21.11 0 0 1-18.1-32L224.36 256 195 207a20.7 20.7 0 0 1-.23-21.13zM592 0c-26.51 0-48 14.33-48 32v448c0 17.67 21.49 32 48 32s48-14.33 48-32V32c0-17.67-21.49-32-48-32zM320 145.53l-17.78 29.62h35.46zm-62.45 55h-36.81l18.44 30.8zm29.58 111h65.79L386.09 256l-33.23-55.52h-65.79L253.9 256z"}}]})(props);
};
function FaToriiGate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M376.45 32h-240.9A303.17 303.17 0 0 1 0 0v96c0 17.67 14.33 32 32 32h32v64H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h48v240c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16V256h256v240c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16V256h48c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16h-48v-64h32c17.67 0 32-14.33 32-32V0a303.17 303.17 0 0 1-135.55 32zM128 128h96v64h-96v-64zm256 64h-96v-64h96v64z"}}]})(props);
};
function FaTractor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M528 336c-48.6 0-88 39.4-88 88s39.4 88 88 88 88-39.4 88-88-39.4-88-88-88zm0 112c-13.23 0-24-10.77-24-24s10.77-24 24-24 24 10.77 24 24-10.77 24-24 24zm80-288h-64v-40.2c0-14.12 4.7-27.76 13.15-38.84 4.42-5.8 3.55-14.06-1.32-19.49L534.2 37.3c-6.66-7.45-18.32-6.92-24.7.78C490.58 60.9 480 89.81 480 119.8V160H377.67L321.58 29.14A47.914 47.914 0 0 0 277.45 0H144c-26.47 0-48 21.53-48 48v146.52c-8.63-6.73-20.96-6.46-28.89 1.47L36 227.1c-8.59 8.59-8.59 22.52 0 31.11l5.06 5.06c-4.99 9.26-8.96 18.82-11.91 28.72H22c-12.15 0-22 9.85-22 22v44c0 12.15 9.85 22 22 22h7.14c2.96 9.91 6.92 19.46 11.91 28.73l-5.06 5.06c-8.59 8.59-8.59 22.52 0 31.11L67.1 476c8.59 8.59 22.52 8.59 31.11 0l5.06-5.06c9.26 4.99 18.82 8.96 28.72 11.91V490c0 12.15 9.85 22 22 22h44c12.15 0 22-9.85 22-22v-7.14c9.9-2.95 19.46-6.92 28.72-11.91l5.06 5.06c8.59 8.59 22.52 8.59 31.11 0l31.11-31.11c8.59-8.59 8.59-22.52 0-31.11l-5.06-5.06c4.99-9.26 8.96-18.82 11.91-28.72H330c12.15 0 22-9.85 22-22v-6h80.54c21.91-28.99 56.32-48 95.46-48 18.64 0 36.07 4.61 51.8 12.2l50.82-50.82c6-6 9.37-14.14 9.37-22.63V192c.01-17.67-14.32-32-31.99-32zM176 416c-44.18 0-80-35.82-80-80s35.82-80 80-80 80 35.82 80 80-35.82 80-80 80zm22-256h-38V64h106.89l41.15 96H198z"}}]})(props);
};
function FaTrademark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M260.6 96H12c-6.6 0-12 5.4-12 12v43.1c0 6.6 5.4 12 12 12h85.1V404c0 6.6 5.4 12 12 12h54.3c6.6 0 12-5.4 12-12V163.1h85.1c6.6 0 12-5.4 12-12V108c.1-6.6-5.3-12-11.9-12zM640 403l-24-296c-.5-6.2-5.7-11-12-11h-65.4c-5.1 0-9.7 3.3-11.3 8.1l-43.8 127.1c-7.2 20.6-16.1 52.8-16.1 52.8h-.9s-8.9-32.2-16.1-52.8l-43.8-127.1c-1.7-4.8-6.2-8.1-11.3-8.1h-65.4c-6.2 0-11.4 4.8-12 11l-24.4 296c-.6 7 4.9 13 12 13H360c6.3 0 11.5-4.9 12-11.2l9.1-132.9c1.8-24.2 0-53.7 0-53.7h.9s10.7 33.6 17.9 53.7l30.7 84.7c1.7 4.7 6.2 7.9 11.3 7.9h50.3c5.1 0 9.6-3.2 11.3-7.9l30.7-84.7c7.2-20.1 17.9-53.7 17.9-53.7h.9s-1.8 29.5 0 53.7l9.1 132.9c.4 6.3 5.7 11.2 12 11.2H628c7 0 12.5-6 12-13z"}}]})(props);
};
function FaTrafficLight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M384 192h-64v-37.88c37.2-13.22 64-48.38 64-90.12h-64V32c0-17.67-14.33-32-32-32H96C78.33 0 64 14.33 64 32v32H0c0 41.74 26.8 76.9 64 90.12V192H0c0 41.74 26.8 76.9 64 90.12V320H0c0 42.84 28.25 78.69 66.99 91.05C79.42 468.72 130.6 512 192 512s112.58-43.28 125.01-100.95C355.75 398.69 384 362.84 384 320h-64v-37.88c37.2-13.22 64-48.38 64-90.12zM192 416c-26.51 0-48-21.49-48-48s21.49-48 48-48 48 21.49 48 48-21.49 48-48 48zm0-128c-26.51 0-48-21.49-48-48s21.49-48 48-48 48 21.49 48 48-21.49 48-48 48zm0-128c-26.51 0-48-21.49-48-48s21.49-48 48-48 48 21.49 48 48-21.49 48-48 48z"}}]})(props);
};
function FaTrailer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624,320H544V80a16,16,0,0,0-16-16H16A16,16,0,0,0,0,80V368a16,16,0,0,0,16,16H65.61c7.83-54.21,54-96,110.39-96s102.56,41.79,110.39,96H624a16,16,0,0,0,16-16V336A16,16,0,0,0,624,320ZM96,243.68a176.29,176.29,0,0,0-32,20.71V136a8,8,0,0,1,8-8H88a8,8,0,0,1,8,8Zm96-18.54c-5.31-.49-10.57-1.14-16-1.14s-10.69.65-16,1.14V136a8,8,0,0,1,8-8h16a8,8,0,0,1,8,8Zm96,39.25a176.29,176.29,0,0,0-32-20.71V136a8,8,0,0,1,8-8h16a8,8,0,0,1,8,8ZM384,320H352V136a8,8,0,0,1,8-8h16a8,8,0,0,1,8,8Zm96,0H448V136a8,8,0,0,1,8-8h16a8,8,0,0,1,8,8Zm-304,0a80,80,0,1,0,80,80A80,80,0,0,0,176,320Zm0,112a32,32,0,1,1,32-32A32,32,0,0,1,176,432Z"}}]})(props);
};
function FaTrain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 96v256c0 51.815-61.624 96-130.022 96l62.98 49.721C386.905 502.417 383.562 512 376 512H72c-7.578 0-10.892-9.594-4.957-14.279L130.022 448C61.82 448 0 403.954 0 352V96C0 42.981 64 0 128 0h192c65 0 128 42.981 128 96zm-48 136V120c0-13.255-10.745-24-24-24H72c-13.255 0-24 10.745-24 24v112c0 13.255 10.745 24 24 24h304c13.255 0 24-10.745 24-24zm-176 64c-30.928 0-56 25.072-56 56s25.072 56 56 56 56-25.072 56-56-25.072-56-56-56z"}}]})(props);
};
function FaTram (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M288 64c17.7 0 32-14.3 32-32S305.7 0 288 0s-32 14.3-32 32 14.3 32 32 32zm223.5-12.1c-2.3-8.6-11-13.6-19.6-11.3l-480 128c-8.5 2.3-13.6 11-11.3 19.6C2.5 195.3 8.9 200 16 200c1.4 0 2.8-.2 4.1-.5L240 140.8V224H64c-17.7 0-32 14.3-32 32v224c0 17.7 14.3 32 32 32h384c17.7 0 32-14.3 32-32V256c0-17.7-14.3-32-32-32H272v-91.7l228.1-60.8c8.6-2.3 13.6-11.1 11.4-19.6zM176 384H80v-96h96v96zm160-96h96v96h-96v-96zm-32 0v96h-96v-96h96zM192 96c17.7 0 32-14.3 32-32s-14.3-32-32-32-32 14.3-32 32 14.3 32 32 32z"}}]})(props);
};
function FaTransgenderAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 480 512"},"child":[{"tag":"path","attr":{"d":"M468 0h-79c-10.7 0-16 12.9-8.5 20.5l16.9 16.9-80.7 80.7C294.5 104.1 268.2 96 240 96c-28.2 0-54.5 8.1-76.7 22.1l-16.5-16.5 19.8-19.8c4.7-4.7 4.7-12.3 0-17l-28.3-28.3c-4.7-4.7-12.3-4.7-17 0l-19.8 19.8-19-19 16.9-16.9C107.1 12.9 101.7 0 91 0H12C5.4 0 0 5.4 0 12v79c0 10.7 12.9 16 20.5 8.5l16.9-16.9 19 19-19.8 19.8c-4.7 4.7-4.7 12.3 0 17l28.3 28.3c4.7 4.7 12.3 4.7 17 0l19.8-19.8 16.5 16.5C104.1 185.5 96 211.8 96 240c0 68.5 47.9 125.9 112 140.4V408h-36c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h36v28c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12v-28h36c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-36v-27.6c64.1-14.6 112-71.9 112-140.4 0-28.2-8.1-54.5-22.1-76.7l80.7-80.7 16.9 16.9c7.6 7.6 20.5 2.2 20.5-8.5V12c0-6.6-5.4-12-12-12zM240 320c-44.1 0-80-35.9-80-80s35.9-80 80-80 80 35.9 80 80-35.9 80-80 80z"}}]})(props);
};
function FaTransgender (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M372 0h-79c-10.7 0-16 12.9-8.5 20.5l16.9 16.9-80.7 80.7C198.5 104.1 172.2 96 144 96 64.5 96 0 160.5 0 240c0 68.5 47.9 125.9 112 140.4V408H76c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h36v28c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12v-28h36c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-36v-27.6c64.1-14.6 112-71.9 112-140.4 0-28.2-8.1-54.5-22.1-76.7l80.7-80.7 16.9 16.9c7.6 7.6 20.5 2.2 20.5-8.5V12c0-6.6-5.4-12-12-12zM144 320c-44.1 0-80-35.9-80-80s35.9-80 80-80 80 35.9 80 80-35.9 80-80 80z"}}]})(props);
};
function FaTrashAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M32 464a48 48 0 0 0 48 48h288a48 48 0 0 0 48-48V128H32zm272-256a16 16 0 0 1 32 0v224a16 16 0 0 1-32 0zm-96 0a16 16 0 0 1 32 0v224a16 16 0 0 1-32 0zm-96 0a16 16 0 0 1 32 0v224a16 16 0 0 1-32 0zM432 32H312l-9.4-18.7A24 24 0 0 0 281.1 0H166.8a23.72 23.72 0 0 0-21.4 13.3L136 32H16A16 16 0 0 0 0 48v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16z"}}]})(props);
};
function FaTrashRestoreAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M32 464a48 48 0 0 0 48 48h288a48 48 0 0 0 48-48V128H32zm91.31-172.8l89.38-94.26a15.41 15.41 0 0 1 22.62 0l89.38 94.26c10.08 10.62 2.94 28.8-11.32 28.8H256v112a16 16 0 0 1-16 16h-32a16 16 0 0 1-16-16V320h-57.37c-14.26 0-21.4-18.18-11.32-28.8zM432 32H312l-9.4-18.7A24 24 0 0 0 281.1 0H166.8a23.72 23.72 0 0 0-21.4 13.3L136 32H16A16 16 0 0 0 0 48v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16z"}}]})(props);
};
function FaTrashRestore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M53.2 467a48 48 0 0 0 47.9 45h245.8a48 48 0 0 0 47.9-45L416 128H32zm70.11-175.8l89.38-94.26a15.41 15.41 0 0 1 22.62 0l89.38 94.26c10.08 10.62 2.94 28.8-11.32 28.8H256v112a16 16 0 0 1-16 16h-32a16 16 0 0 1-16-16V320h-57.37c-14.26 0-21.4-18.18-11.32-28.8zM432 32H312l-9.4-18.7A24 24 0 0 0 281.1 0H166.8a23.72 23.72 0 0 0-21.4 13.3L136 32H16A16 16 0 0 0 0 48v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16z"}}]})(props);
};
function FaTrash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M432 32H312l-9.4-18.7A24 24 0 0 0 281.1 0H166.8a23.72 23.72 0 0 0-21.4 13.3L136 32H16A16 16 0 0 0 0 48v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16V48a16 16 0 0 0-16-16zM53.2 467a48 48 0 0 0 47.9 45h245.8a48 48 0 0 0 47.9-45L416 128H32z"}}]})(props);
};
function FaTree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M378.31 378.49L298.42 288h30.63c9.01 0 16.98-5 20.78-13.06 3.8-8.04 2.55-17.26-3.28-24.05L268.42 160h28.89c9.1 0 17.3-5.35 20.86-13.61 3.52-8.13 1.86-17.59-4.24-24.08L203.66 4.83c-6.03-6.45-17.28-6.45-23.32 0L70.06 122.31c-6.1 6.49-7.75 15.95-4.24 24.08C69.38 154.65 77.59 160 86.69 160h28.89l-78.14 90.91c-5.81 6.78-7.06 15.99-3.27 24.04C37.97 283 45.93 288 54.95 288h30.63L5.69 378.49c-6 6.79-7.36 16.09-3.56 24.26 3.75 8.05 12 13.25 21.01 13.25H160v24.45l-30.29 48.4c-5.32 10.64 2.42 23.16 14.31 23.16h95.96c11.89 0 19.63-12.52 14.31-23.16L224 440.45V416h136.86c9.01 0 17.26-5.2 21.01-13.25 3.8-8.17 2.44-17.47-3.56-24.26z"}}]})(props);
};
function FaTrophy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M552 64H448V24c0-13.3-10.7-24-24-24H152c-13.3 0-24 10.7-24 24v40H24C10.7 64 0 74.7 0 88v56c0 35.7 22.5 72.4 61.9 100.7 31.5 22.7 69.8 37.1 110 41.7C203.3 338.5 240 360 240 360v72h-48c-35.3 0-64 20.7-64 56v12c0 6.6 5.4 12 12 12h296c6.6 0 12-5.4 12-12v-12c0-35.3-28.7-56-64-56h-48v-72s36.7-21.5 68.1-73.6c40.3-4.6 78.6-19 110-41.7 39.3-28.3 61.9-65 61.9-100.7V88c0-13.3-10.7-24-24-24zM99.3 192.8C74.9 175.2 64 155.6 64 144v-16h64.2c1 32.6 5.8 61.2 12.8 86.2-15.1-5.2-29.2-12.4-41.7-21.4zM512 144c0 16.1-17.7 36.1-35.3 48.8-12.5 9-26.7 16.2-41.8 21.4 7-25 11.8-53.6 12.8-86.2H512v16z"}}]})(props);
};
function FaTruckLoading (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M50.2 375.6c2.3 8.5 11.1 13.6 19.6 11.3l216.4-58c8.5-2.3 13.6-11.1 11.3-19.6l-49.7-185.5c-2.3-8.5-11.1-13.6-19.6-11.3L151 133.3l24.8 92.7-61.8 16.5-24.8-92.7-77.3 20.7C3.4 172.8-1.7 181.6.6 190.1l49.6 185.5zM384 0c-17.7 0-32 14.3-32 32v323.6L5.9 450c-4.3 1.2-6.8 5.6-5.6 9.8l12.6 46.3c1.2 4.3 5.6 6.8 9.8 5.6l393.7-107.4C418.8 464.1 467.6 512 528 512c61.9 0 112-50.1 112-112V0H384zm144 448c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48z"}}]})(props);
};
function FaTruckMonster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624 224h-16v-64c0-17.67-14.33-32-32-32h-73.6L419.22 24.02A64.025 64.025 0 0 0 369.24 0H256c-17.67 0-32 14.33-32 32v96H48c-8.84 0-16 7.16-16 16v80H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h16.72c29.21-38.65 75.1-64 127.28-64s98.07 25.35 127.28 64h65.45c29.21-38.65 75.1-64 127.28-64s98.07 25.35 127.28 64H624c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16zm-336-96V64h81.24l51.2 64H288zm304 224h-5.2c-2.2-7.33-5.07-14.28-8.65-20.89l3.67-3.67c6.25-6.25 6.25-16.38 0-22.63l-22.63-22.63c-6.25-6.25-16.38-6.25-22.63 0l-3.67 3.67A110.85 110.85 0 0 0 512 277.2V272c0-8.84-7.16-16-16-16h-32c-8.84 0-16 7.16-16 16v5.2c-7.33 2.2-14.28 5.07-20.89 8.65l-3.67-3.67c-6.25-6.25-16.38-6.25-22.63 0l-22.63 22.63c-6.25 6.25-6.25 16.38 0 22.63l3.67 3.67A110.85 110.85 0 0 0 373.2 352H368c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h5.2c2.2 7.33 5.07 14.28 8.65 20.89l-3.67 3.67c-6.25 6.25-6.25 16.38 0 22.63l22.63 22.63c6.25 6.25 16.38 6.25 22.63 0l3.67-3.67c6.61 3.57 13.57 6.45 20.9 8.65v5.2c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16v-5.2c7.33-2.2 14.28-5.07 20.9-8.65l3.67 3.67c6.25 6.25 16.38 6.25 22.63 0l22.63-22.63c6.25-6.25 6.25-16.38 0-22.63l-3.67-3.67a110.85 110.85 0 0 0 8.65-20.89h5.2c8.84 0 16-7.16 16-16v-32c-.02-8.84-7.18-16-16.02-16zm-112 80c-26.51 0-48-21.49-48-48s21.49-48 48-48 48 21.49 48 48-21.49 48-48 48zm-208-80h-5.2c-2.2-7.33-5.07-14.28-8.65-20.89l3.67-3.67c6.25-6.25 6.25-16.38 0-22.63l-22.63-22.63c-6.25-6.25-16.38-6.25-22.63 0l-3.67 3.67A110.85 110.85 0 0 0 192 277.2V272c0-8.84-7.16-16-16-16h-32c-8.84 0-16 7.16-16 16v5.2c-7.33 2.2-14.28 5.07-20.89 8.65l-3.67-3.67c-6.25-6.25-16.38-6.25-22.63 0L58.18 304.8c-6.25 6.25-6.25 16.38 0 22.63l3.67 3.67a110.85 110.85 0 0 0-8.65 20.89H48c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h5.2c2.2 7.33 5.07 14.28 8.65 20.89l-3.67 3.67c-6.25 6.25-6.25 16.38 0 22.63l22.63 22.63c6.25 6.25 16.38 6.25 22.63 0l3.67-3.67c6.61 3.57 13.57 6.45 20.9 8.65v5.2c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16v-5.2c7.33-2.2 14.28-5.07 20.9-8.65l3.67 3.67c6.25 6.25 16.38 6.25 22.63 0l22.63-22.63c6.25-6.25 6.25-16.38 0-22.63l-3.67-3.67a110.85 110.85 0 0 0 8.65-20.89h5.2c8.84 0 16-7.16 16-16v-32C288 359.16 280.84 352 272 352zm-112 80c-26.51 0-48-21.49-48-48s21.49-48 48-48 48 21.49 48 48-21.49 48-48 48z"}}]})(props);
};
function FaTruckMoving (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M621.3 237.3l-58.5-58.5c-12-12-28.3-18.7-45.3-18.7H480V64c0-17.7-14.3-32-32-32H32C14.3 32 0 46.3 0 64v336c0 44.2 35.8 80 80 80 26.3 0 49.4-12.9 64-32.4 14.6 19.6 37.7 32.4 64 32.4 44.2 0 80-35.8 80-80 0-5.5-.6-10.8-1.6-16h163.2c-1.1 5.2-1.6 10.5-1.6 16 0 44.2 35.8 80 80 80s80-35.8 80-80c0-5.5-.6-10.8-1.6-16H624c8.8 0 16-7.2 16-16v-85.5c0-17-6.7-33.2-18.7-45.2zM80 432c-17.6 0-32-14.4-32-32s14.4-32 32-32 32 14.4 32 32-14.4 32-32 32zm128 0c-17.6 0-32-14.4-32-32s14.4-32 32-32 32 14.4 32 32-14.4 32-32 32zm272-224h37.5c4.3 0 8.3 1.7 11.3 4.7l43.3 43.3H480v-48zm48 224c-17.6 0-32-14.4-32-32s14.4-32 32-32 32 14.4 32 32-14.4 32-32 32z"}}]})(props);
};
function FaTruckPickup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624 288h-16v-64c0-17.67-14.33-32-32-32h-48L419.22 56.02A64.025 64.025 0 0 0 369.24 32H256c-17.67 0-32 14.33-32 32v128H64c-17.67 0-32 14.33-32 32v64H16c-8.84 0-16 7.16-16 16v32c0 8.84 7.16 16 16 16h49.61c-.76 5.27-1.61 10.52-1.61 16 0 61.86 50.14 112 112 112s112-50.14 112-112c0-5.48-.85-10.73-1.61-16h67.23c-.76 5.27-1.61 10.52-1.61 16 0 61.86 50.14 112 112 112s112-50.14 112-112c0-5.48-.85-10.73-1.61-16H624c8.84 0 16-7.16 16-16v-32c0-8.84-7.16-16-16-16zM288 96h81.24l76.8 96H288V96zM176 416c-26.47 0-48-21.53-48-48s21.53-48 48-48 48 21.53 48 48-21.53 48-48 48zm288 0c-26.47 0-48-21.53-48-48s21.53-48 48-48 48 21.53 48 48-21.53 48-48 48z"}}]})(props);
};
function FaTruck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624 352h-16V243.9c0-12.7-5.1-24.9-14.1-33.9L494 110.1c-9-9-21.2-14.1-33.9-14.1H416V48c0-26.5-21.5-48-48-48H48C21.5 0 0 21.5 0 48v320c0 26.5 21.5 48 48 48h16c0 53 43 96 96 96s96-43 96-96h128c0 53 43 96 96 96s96-43 96-96h48c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16zM160 464c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48zm320 0c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48zm80-208H416V144h44.1l99.9 99.9V256z"}}]})(props);
};
function FaTshirt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M631.2 96.5L436.5 0C416.4 27.8 371.9 47.2 320 47.2S223.6 27.8 203.5 0L8.8 96.5c-7.9 4-11.1 13.6-7.2 21.5l57.2 114.5c4 7.9 13.6 11.1 21.5 7.2l56.6-27.7c10.6-5.2 23 2.5 23 14.4V480c0 17.7 14.3 32 32 32h256c17.7 0 32-14.3 32-32V226.3c0-11.8 12.4-19.6 23-14.4l56.6 27.7c7.9 4 17.5.8 21.5-7.2L638.3 118c4-7.9.8-17.6-7.1-21.5z"}}]})(props);
};
function FaTty (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M5.37 103.822c138.532-138.532 362.936-138.326 501.262 0 6.078 6.078 7.074 15.496 2.583 22.681l-43.214 69.138a18.332 18.332 0 0 1-22.356 7.305l-86.422-34.569a18.335 18.335 0 0 1-11.434-18.846L351.741 90c-62.145-22.454-130.636-21.986-191.483 0l5.953 59.532a18.331 18.331 0 0 1-11.434 18.846l-86.423 34.568a18.334 18.334 0 0 1-22.356-7.305L2.787 126.502a18.333 18.333 0 0 1 2.583-22.68zM96 308v-40c0-6.627-5.373-12-12-12H44c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm-336 96v-40c0-6.627-5.373-12-12-12H92c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zM96 500v-40c0-6.627-5.373-12-12-12H44c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm288 0v-40c0-6.627-5.373-12-12-12H140c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h232c6.627 0 12-5.373 12-12zm96 0v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12z"}}]})(props);
};
function FaTv (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M592 0H48A48 48 0 0 0 0 48v320a48 48 0 0 0 48 48h240v32H112a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16H352v-32h240a48 48 0 0 0 48-48V48a48 48 0 0 0-48-48zm-16 352H64V64h512z"}}]})(props);
};
function FaUmbrellaBeach (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M115.38 136.9l102.11 37.18c35.19-81.54 86.21-144.29 139-173.7-95.88-4.89-188.78 36.96-248.53 111.8-6.69 8.4-2.66 21.05 7.42 24.72zm132.25 48.16l238.48 86.83c35.76-121.38 18.7-231.66-42.63-253.98-7.4-2.7-15.13-4-23.09-4-58.02.01-128.27 69.17-172.76 171.15zM521.48 60.5c6.22 16.3 10.83 34.6 13.2 55.19 5.74 49.89-1.42 108.23-18.95 166.98l102.62 37.36c10.09 3.67 21.31-3.43 21.57-14.17 2.32-95.69-41.91-187.44-118.44-245.36zM560 447.98H321.06L386 269.5l-60.14-21.9-72.9 200.37H16c-8.84 0-16 7.16-16 16.01v32.01C0 504.83 7.16 512 16 512h544c8.84 0 16-7.17 16-16.01v-32.01c0-8.84-7.16-16-16-16z"}}]})(props);
};
function FaUmbrella (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M575.7 280.8C547.1 144.5 437.3 62.6 320 49.9V32c0-17.7-14.3-32-32-32s-32 14.3-32 32v17.9C138.3 62.6 29.5 144.5.3 280.8c-2.2 10.1 8.5 21.3 18.7 11.4 52-55 107.7-52.4 158.6 37 5.3 9.5 14.9 8.6 19.7 0 20.2-35.4 44.9-73.2 90.7-73.2 58.5 0 88.2 68.8 90.7 73.2 4.8 8.6 14.4 9.5 19.7 0 51-89.5 107.1-91.4 158.6-37 10.3 10 20.9-1.3 18.7-11.4zM256 301.7V432c0 8.8-7.2 16-16 16-7.8 0-13.2-5.3-15.1-10.7-5.9-16.7-24.1-25.4-40.8-19.5-16.7 5.9-25.4 24.2-19.5 40.8 11.2 31.9 41.6 53.3 75.4 53.3 44.1 0 80-35.9 80-80V301.6c-9.1-7.9-19.8-13.6-32-13.6-12.3.1-22.4 4.8-32 13.7z"}}]})(props);
};
function FaUnderline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M32 64h32v160c0 88.22 71.78 160 160 160s160-71.78 160-160V64h32a16 16 0 0 0 16-16V16a16 16 0 0 0-16-16H272a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h32v160a80 80 0 0 1-160 0V64h32a16 16 0 0 0 16-16V16a16 16 0 0 0-16-16H32a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16zm400 384H16a16 16 0 0 0-16 16v32a16 16 0 0 0 16 16h416a16 16 0 0 0 16-16v-32a16 16 0 0 0-16-16z"}}]})(props);
};
function FaUndoAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.545 8c-66.269.119-126.438 26.233-170.86 68.685L48.971 40.971C33.851 25.851 8 36.559 8 57.941V192c0 13.255 10.745 24 24 24h134.059c21.382 0 32.09-25.851 16.971-40.971l-41.75-41.75c30.864-28.899 70.801-44.907 113.23-45.273 92.398-.798 170.283 73.977 169.484 169.442C423.236 348.009 349.816 424 256 424c-41.127 0-79.997-14.678-110.63-41.556-4.743-4.161-11.906-3.908-16.368.553L89.34 422.659c-4.872 4.872-4.631 12.815.482 17.433C133.798 479.813 192.074 504 256 504c136.966 0 247.999-111.033 248-247.998C504.001 119.193 392.354 7.755 255.545 8z"}}]})(props);
};
function FaUndo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M212.333 224.333H12c-6.627 0-12-5.373-12-12V12C0 5.373 5.373 0 12 0h48c6.627 0 12 5.373 12 12v78.112C117.773 39.279 184.26 7.47 258.175 8.007c136.906.994 246.448 111.623 246.157 248.532C504.041 393.258 393.12 504 256.333 504c-64.089 0-122.496-24.313-166.51-64.215-5.099-4.622-5.334-12.554-.467-17.42l33.967-33.967c4.474-4.474 11.662-4.717 16.401-.525C170.76 415.336 211.58 432 256.333 432c97.268 0 176-78.716 176-176 0-97.267-78.716-176-176-176-58.496 0-110.28 28.476-142.274 72.333h98.274c6.627 0 12 5.373 12 12v48c0 6.627-5.373 12-12 12z"}}]})(props);
};
function FaUniversalAccess (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48c114.953 0 208 93.029 208 208 0 114.953-93.029 208-208 208-114.953 0-208-93.029-208-208 0-114.953 93.029-208 208-208m0-40C119.033 8 8 119.033 8 256s111.033 248 248 248 248-111.033 248-248S392.967 8 256 8zm0 56C149.961 64 64 149.961 64 256s85.961 192 192 192 192-85.961 192-192S362.039 64 256 64zm0 44c19.882 0 36 16.118 36 36s-16.118 36-36 36-36-16.118-36-36 16.118-36 36-36zm117.741 98.023c-28.712 6.779-55.511 12.748-82.14 15.807.851 101.023 12.306 123.052 25.037 155.621 3.617 9.26-.957 19.698-10.217 23.315-9.261 3.617-19.699-.957-23.316-10.217-8.705-22.308-17.086-40.636-22.261-78.549h-9.686c-5.167 37.851-13.534 56.208-22.262 78.549-3.615 9.255-14.05 13.836-23.315 10.217-9.26-3.617-13.834-14.056-10.217-23.315 12.713-32.541 24.185-54.541 25.037-155.621-26.629-3.058-53.428-9.027-82.141-15.807-8.6-2.031-13.926-10.648-11.895-19.249s10.647-13.926 19.249-11.895c96.686 22.829 124.283 22.783 220.775 0 8.599-2.03 17.218 3.294 19.249 11.895 2.029 8.601-3.297 17.219-11.897 19.249z"}}]})(props);
};
function FaUniversity (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496 128v16a8 8 0 0 1-8 8h-24v12c0 6.627-5.373 12-12 12H60c-6.627 0-12-5.373-12-12v-12H24a8 8 0 0 1-8-8v-16a8 8 0 0 1 4.941-7.392l232-88a7.996 7.996 0 0 1 6.118 0l232 88A8 8 0 0 1 496 128zm-24 304H40c-13.255 0-24 10.745-24 24v16a8 8 0 0 0 8 8h464a8 8 0 0 0 8-8v-16c0-13.255-10.745-24-24-24zM96 192v192H60c-6.627 0-12 5.373-12 12v20h416v-20c0-6.627-5.373-12-12-12h-36V192h-64v192h-64V192h-64v192h-64V192H96z"}}]})(props);
};
function FaUnlink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304.083 405.907c4.686 4.686 4.686 12.284 0 16.971l-44.674 44.674c-59.263 59.262-155.693 59.266-214.961 0-59.264-59.265-59.264-155.696 0-214.96l44.675-44.675c4.686-4.686 12.284-4.686 16.971 0l39.598 39.598c4.686 4.686 4.686 12.284 0 16.971l-44.675 44.674c-28.072 28.073-28.072 73.75 0 101.823 28.072 28.072 73.75 28.073 101.824 0l44.674-44.674c4.686-4.686 12.284-4.686 16.971 0l39.597 39.598zm-56.568-260.216c4.686 4.686 12.284 4.686 16.971 0l44.674-44.674c28.072-28.075 73.75-28.073 101.824 0 28.072 28.073 28.072 73.75 0 101.823l-44.675 44.674c-4.686 4.686-4.686 12.284 0 16.971l39.598 39.598c4.686 4.686 12.284 4.686 16.971 0l44.675-44.675c59.265-59.265 59.265-155.695 0-214.96-59.266-59.264-155.695-59.264-214.961 0l-44.674 44.674c-4.686 4.686-4.686 12.284 0 16.971l39.597 39.598zm234.828 359.28l22.627-22.627c9.373-9.373 9.373-24.569 0-33.941L63.598 7.029c-9.373-9.373-24.569-9.373-33.941 0L7.029 29.657c-9.373 9.373-9.373 24.569 0 33.941l441.373 441.373c9.373 9.372 24.569 9.372 33.941 0z"}}]})(props);
};
function FaUnlockAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 256H152V152.9c0-39.6 31.7-72.5 71.3-72.9 40-.4 72.7 32.1 72.7 72v16c0 13.3 10.7 24 24 24h32c13.3 0 24-10.7 24-24v-16C376 68 307.5-.3 223.5 0 139.5.3 72 69.5 72 153.5V256H48c-26.5 0-48 21.5-48 48v160c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V304c0-26.5-21.5-48-48-48zM264 408c0 22.1-17.9 40-40 40s-40-17.9-40-40v-48c0-22.1 17.9-40 40-40s40 17.9 40 40v48z"}}]})(props);
};
function FaUnlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 256H152V152.9c0-39.6 31.7-72.5 71.3-72.9 40-.4 72.7 32.1 72.7 72v16c0 13.3 10.7 24 24 24h32c13.3 0 24-10.7 24-24v-16C376 68 307.5-.3 223.5 0 139.5.3 72 69.5 72 153.5V256H48c-26.5 0-48 21.5-48 48v160c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V304c0-26.5-21.5-48-48-48z"}}]})(props);
};
function FaUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M296 384h-80c-13.3 0-24-10.7-24-24V192h-87.7c-17.8 0-26.7-21.5-14.1-34.1L242.3 5.7c7.5-7.5 19.8-7.5 27.3 0l152.2 152.2c12.6 12.6 3.7 34.1-14.1 34.1H320v168c0 13.3-10.7 24-24 24zm216-8v112c0 13.3-10.7 24-24 24H24c-13.3 0-24-10.7-24-24V376c0-13.3 10.7-24 24-24h136v8c0 30.9 25.1 56 56 56h80c30.9 0 56-25.1 56-56v-8h136c13.3 0 24 10.7 24 24zm-124 88c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20zm64 0c0-11-9-20-20-20s-20 9-20 20 9 20 20 20 20-9 20-20z"}}]})(props);
};
function FaUserAltSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M633.8 458.1L389.6 269.3C433.8 244.7 464 198.1 464 144 464 64.5 399.5 0 320 0c-67.1 0-123 46.1-139 108.2L45.5 3.4C38.5-2 28.5-.8 23 6.2L3.4 31.4c-5.4 7-4.2 17 2.8 22.4l588.4 454.7c7 5.4 17 4.2 22.5-2.8l19.6-25.3c5.4-6.8 4.1-16.9-2.9-22.3zM198.4 320C124.2 320 64 380.2 64 454.4v9.6c0 26.5 21.5 48 48 48h382.2L245.8 320h-47.4z"}}]})(props);
};
function FaUserAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 288c79.5 0 144-64.5 144-144S335.5 0 256 0 112 64.5 112 144s64.5 144 144 144zm128 32h-55.1c-22.2 10.2-46.9 16-72.9 16s-50.6-5.8-72.9-16H128C57.3 320 0 377.3 0 448v16c0 26.5 21.5 48 48 48h416c26.5 0 48-21.5 48-48v-16c0-70.7-57.3-128-128-128z"}}]})(props);
};
function FaUserAstronaut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M64 224h13.5c24.7 56.5 80.9 96 146.5 96s121.8-39.5 146.5-96H384c8.8 0 16-7.2 16-16v-96c0-8.8-7.2-16-16-16h-13.5C345.8 39.5 289.6 0 224 0S102.2 39.5 77.5 96H64c-8.8 0-16 7.2-16 16v96c0 8.8 7.2 16 16 16zm40-88c0-22.1 21.5-40 48-40h144c26.5 0 48 17.9 48 40v24c0 53-43 96-96 96h-48c-53 0-96-43-96-96v-24zm72 72l12-36 36-12-36-12-12-36-12 36-36 12 36 12 12 36zm151.6 113.4C297.7 340.7 262.2 352 224 352s-73.7-11.3-103.6-30.6C52.9 328.5 0 385 0 454.4v9.6c0 26.5 21.5 48 48 48h80v-64c0-17.7 14.3-32 32-32h128c17.7 0 32 14.3 32 32v64h80c26.5 0 48-21.5 48-48v-9.6c0-69.4-52.9-125.9-120.4-133zM272 448c-8.8 0-16 7.2-16 16s7.2 16 16 16 16-7.2 16-16-7.2-16-16-16zm-96 0c-8.8 0-16 7.2-16 16v48h32v-48c0-8.8-7.2-16-16-16z"}}]})(props);
};
function FaUserCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M224 256c70.7 0 128-57.3 128-128S294.7 0 224 0 96 57.3 96 128s57.3 128 128 128zm89.6 32h-16.7c-22.2 10.2-46.9 16-72.9 16s-50.6-5.8-72.9-16h-16.7C60.2 288 0 348.2 0 422.4V464c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48v-41.6c0-74.2-60.2-134.4-134.4-134.4zm323-128.4l-27.8-28.1c-4.6-4.7-12.1-4.7-16.8-.1l-104.8 104-45.5-45.8c-4.6-4.7-12.1-4.7-16.8-.1l-28.1 27.9c-4.7 4.6-4.7 12.1-.1 16.8l81.7 82.3c4.6 4.7 12.1 4.7 16.8.1l141.3-140.2c4.6-4.7 4.7-12.2.1-16.8z"}}]})(props);
};
function FaUserCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 96c48.6 0 88 39.4 88 88s-39.4 88-88 88-88-39.4-88-88 39.4-88 88-88zm0 344c-58.7 0-111.3-26.6-146.5-68.2 18.8-35.4 55.6-59.8 98.5-59.8 2.4 0 4.8.4 7.1 1.1 13 4.2 26.6 6.9 40.9 6.9 14.3 0 28-2.7 40.9-6.9 2.3-.7 4.7-1.1 7.1-1.1 42.9 0 79.7 24.4 98.5 59.8C359.3 421.4 306.7 448 248 448z"}}]})(props);
};
function FaUserClock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M496 224c-79.6 0-144 64.4-144 144s64.4 144 144 144 144-64.4 144-144-64.4-144-144-144zm64 150.3c0 5.3-4.4 9.7-9.7 9.7h-60.6c-5.3 0-9.7-4.4-9.7-9.7v-76.6c0-5.3 4.4-9.7 9.7-9.7h12.6c5.3 0 9.7 4.4 9.7 9.7V352h38.3c5.3 0 9.7 4.4 9.7 9.7v12.6zM320 368c0-27.8 6.7-54.1 18.2-77.5-8-1.5-16.2-2.5-24.6-2.5h-16.7c-22.2 10.2-46.9 16-72.9 16s-50.6-5.8-72.9-16h-16.7C60.2 288 0 348.2 0 422.4V464c0 26.5 21.5 48 48 48h347.1c-45.3-31.9-75.1-84.5-75.1-144zm-96-112c70.7 0 128-57.3 128-128S294.7 0 224 0 96 57.3 96 128s57.3 128 128 128z"}}]})(props);
};
function FaUserCog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M610.5 373.3c2.6-14.1 2.6-28.5 0-42.6l25.8-14.9c3-1.7 4.3-5.2 3.3-8.5-6.7-21.6-18.2-41.2-33.2-57.4-2.3-2.5-6-3.1-9-1.4l-25.8 14.9c-10.9-9.3-23.4-16.5-36.9-21.3v-29.8c0-3.4-2.4-6.4-5.7-7.1-22.3-5-45-4.8-66.2 0-3.3.7-5.7 3.7-5.7 7.1v29.8c-13.5 4.8-26 12-36.9 21.3l-25.8-14.9c-2.9-1.7-6.7-1.1-9 1.4-15 16.2-26.5 35.8-33.2 57.4-1 3.3.4 6.8 3.3 8.5l25.8 14.9c-2.6 14.1-2.6 28.5 0 42.6l-25.8 14.9c-3 1.7-4.3 5.2-3.3 8.5 6.7 21.6 18.2 41.1 33.2 57.4 2.3 2.5 6 3.1 9 1.4l25.8-14.9c10.9 9.3 23.4 16.5 36.9 21.3v29.8c0 3.4 2.4 6.4 5.7 7.1 22.3 5 45 4.8 66.2 0 3.3-.7 5.7-3.7 5.7-7.1v-29.8c13.5-4.8 26-12 36.9-21.3l25.8 14.9c2.9 1.7 6.7 1.1 9-1.4 15-16.2 26.5-35.8 33.2-57.4 1-3.3-.4-6.8-3.3-8.5l-25.8-14.9zM496 400.5c-26.8 0-48.5-21.8-48.5-48.5s21.8-48.5 48.5-48.5 48.5 21.8 48.5 48.5-21.7 48.5-48.5 48.5zM224 256c70.7 0 128-57.3 128-128S294.7 0 224 0 96 57.3 96 128s57.3 128 128 128zm201.2 226.5c-2.3-1.2-4.6-2.6-6.8-3.9l-7.9 4.6c-6 3.4-12.8 5.3-19.6 5.3-10.9 0-21.4-4.6-28.9-12.6-18.3-19.8-32.3-43.9-40.2-69.6-5.5-17.7 1.9-36.4 17.9-45.7l7.9-4.6c-.1-2.6-.1-5.2 0-7.8l-7.9-4.6c-16-9.2-23.4-28-17.9-45.7.9-2.9 2.2-5.8 3.2-8.7-3.8-.3-7.5-1.2-11.4-1.2h-16.7c-22.2 10.2-46.9 16-72.9 16s-50.6-5.8-72.9-16h-16.7C60.2 288 0 348.2 0 422.4V464c0 26.5 21.5 48 48 48h352c10.1 0 19.5-3.2 27.2-8.5-1.2-3.8-2-7.7-2-11.8v-9.2z"}}]})(props);
};
function FaUserEdit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M224 256c70.7 0 128-57.3 128-128S294.7 0 224 0 96 57.3 96 128s57.3 128 128 128zm89.6 32h-16.7c-22.2 10.2-46.9 16-72.9 16s-50.6-5.8-72.9-16h-16.7C60.2 288 0 348.2 0 422.4V464c0 26.5 21.5 48 48 48h274.9c-2.4-6.8-3.4-14-2.6-21.3l6.8-60.9 1.2-11.1 7.9-7.9 77.3-77.3c-24.5-27.7-60-45.5-99.9-45.5zm45.3 145.3l-6.8 61c-1.1 10.2 7.5 18.8 17.6 17.6l60.9-6.8 137.9-137.9-71.7-71.7-137.9 137.8zM633 268.9L595.1 231c-9.3-9.3-24.5-9.3-33.8 0l-37.8 37.8-4.1 4.1 71.8 71.7 41.8-41.8c9.3-9.4 9.3-24.5 0-33.9z"}}]})(props);
};
function FaUserFriends (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M192 256c61.9 0 112-50.1 112-112S253.9 32 192 32 80 82.1 80 144s50.1 112 112 112zm76.8 32h-8.3c-20.8 10-43.9 16-68.5 16s-47.6-6-68.5-16h-8.3C51.6 288 0 339.6 0 403.2V432c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48v-28.8c0-63.6-51.6-115.2-115.2-115.2zM480 256c53 0 96-43 96-96s-43-96-96-96-96 43-96 96 43 96 96 96zm48 32h-3.8c-13.9 4.8-28.6 8-44.2 8s-30.3-3.2-44.2-8H432c-20.4 0-39.2 5.9-55.7 15.4 24.4 26.3 39.7 61.2 39.7 99.8v38.4c0 2.2-.5 4.3-.6 6.4H592c26.5 0 48-21.5 48-48 0-61.9-50.1-112-112-112z"}}]})(props);
};
function FaUserGraduate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M319.4 320.6L224 416l-95.4-95.4C57.1 323.7 0 382.2 0 454.4v9.6c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48v-9.6c0-72.2-57.1-130.7-128.6-133.8zM13.6 79.8l6.4 1.5v58.4c-7 4.2-12 11.5-12 20.3 0 8.4 4.6 15.4 11.1 19.7L3.5 242c-1.7 6.9 2.1 14 7.6 14h41.8c5.5 0 9.3-7.1 7.6-14l-15.6-62.3C51.4 175.4 56 168.4 56 160c0-8.8-5-16.1-12-20.3V87.1l66 15.9c-8.6 17.2-14 36.4-14 57 0 70.7 57.3 128 128 128s128-57.3 128-128c0-20.6-5.3-39.8-14-57l96.3-23.2c18.2-4.4 18.2-27.1 0-31.5l-190.4-46c-13-3.1-26.7-3.1-39.7 0L13.6 48.2c-18.1 4.4-18.1 27.2 0 31.6z"}}]})(props);
};
function FaUserInjured (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M277.37 11.98C261.08 4.47 243.11 0 224 0c-53.69 0-99.5 33.13-118.51 80h81.19l90.69-68.02zM342.51 80c-7.9-19.47-20.67-36.2-36.49-49.52L239.99 80h102.52zM224 256c70.69 0 128-57.31 128-128 0-5.48-.95-10.7-1.61-16H97.61c-.67 5.3-1.61 10.52-1.61 16 0 70.69 57.31 128 128 128zM80 299.7V512h128.26l-98.45-221.52A132.835 132.835 0 0 0 80 299.7zM0 464c0 26.51 21.49 48 48 48V320.24C18.88 344.89 0 381.26 0 422.4V464zm256-48h-55.38l42.67 96H256c26.47 0 48-21.53 48-48s-21.53-48-48-48zm57.6-128h-16.71c-22.24 10.18-46.88 16-72.89 16s-50.65-5.82-72.89-16h-7.37l42.67 96H256c44.11 0 80 35.89 80 80 0 18.08-6.26 34.59-16.41 48H400c26.51 0 48-21.49 48-48v-41.6c0-74.23-60.17-134.4-134.4-134.4z"}}]})(props);
};
function FaUserLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M224 256A128 128 0 1 0 96 128a128 128 0 0 0 128 128zm96 64a63.08 63.08 0 0 1 8.1-30.5c-4.8-.5-9.5-1.5-14.5-1.5h-16.7a174.08 174.08 0 0 1-145.8 0h-16.7A134.43 134.43 0 0 0 0 422.4V464a48 48 0 0 0 48 48h280.9a63.54 63.54 0 0 1-8.9-32zm288-32h-32v-80a80 80 0 0 0-160 0v80h-32a32 32 0 0 0-32 32v160a32 32 0 0 0 32 32h224a32 32 0 0 0 32-32V320a32 32 0 0 0-32-32zM496 432a32 32 0 1 1 32-32 32 32 0 0 1-32 32zm32-144h-64v-80a32 32 0 0 1 64 0z"}}]})(props);
};
function FaUserMd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M224 256c70.7 0 128-57.3 128-128S294.7 0 224 0 96 57.3 96 128s57.3 128 128 128zM104 424c0 13.3 10.7 24 24 24s24-10.7 24-24-10.7-24-24-24-24 10.7-24 24zm216-135.4v49c36.5 7.4 64 39.8 64 78.4v41.7c0 7.6-5.4 14.2-12.9 15.7l-32.2 6.4c-4.3.9-8.5-1.9-9.4-6.3l-3.1-15.7c-.9-4.3 1.9-8.6 6.3-9.4l19.3-3.9V416c0-62.8-96-65.1-96 1.9v26.7l19.3 3.9c4.3.9 7.1 5.1 6.3 9.4l-3.1 15.7c-.9 4.3-5.1 7.1-9.4 6.3l-31.2-4.2c-7.9-1.1-13.8-7.8-13.8-15.9V416c0-38.6 27.5-70.9 64-78.4v-45.2c-2.2.7-4.4 1.1-6.6 1.9-18 6.3-37.3 9.8-57.4 9.8s-39.4-3.5-57.4-9.8c-7.4-2.6-14.9-4.2-22.6-5.2v81.6c23.1 6.9 40 28.1 40 53.4 0 30.9-25.1 56-56 56s-56-25.1-56-56c0-25.3 16.9-46.5 40-53.4v-80.4C48.5 301 0 355.8 0 422.4v44.8C0 491.9 20.1 512 44.8 512h358.4c24.7 0 44.8-20.1 44.8-44.8v-44.8c0-72-56.8-130.3-128-133.8z"}}]})(props);
};
function FaUserMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624 208H432c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h192c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16zm-400 48c70.7 0 128-57.3 128-128S294.7 0 224 0 96 57.3 96 128s57.3 128 128 128zm89.6 32h-16.7c-22.2 10.2-46.9 16-72.9 16s-50.6-5.8-72.9-16h-16.7C60.2 288 0 348.2 0 422.4V464c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48v-41.6c0-74.2-60.2-134.4-134.4-134.4z"}}]})(props);
};
function FaUserNinja (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M325.4 289.2L224 390.6 122.6 289.2C54 295.3 0 352.2 0 422.4V464c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48v-41.6c0-70.2-54-127.1-122.6-133.2zM32 192c27.3 0 51.8-11.5 69.2-29.7 15.1 53.9 64 93.7 122.8 93.7 70.7 0 128-57.3 128-128S294.7 0 224 0c-50.4 0-93.6 29.4-114.5 71.8C92.1 47.8 64 32 32 32c0 33.4 17.1 62.8 43.1 80-26 17.2-43.1 46.6-43.1 80zm144-96h96c17.7 0 32 14.3 32 32H144c0-17.7 14.3-32 32-32z"}}]})(props);
};
function FaUserNurse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M319.41,320,224,415.39,128.59,320C57.1,323.1,0,381.6,0,453.79A58.21,58.21,0,0,0,58.21,512H389.79A58.21,58.21,0,0,0,448,453.79C448,381.6,390.9,323.1,319.41,320ZM224,304A128,128,0,0,0,352,176V65.82a32,32,0,0,0-20.76-30L246.47,4.07a64,64,0,0,0-44.94,0L116.76,35.86A32,32,0,0,0,96,65.82V176A128,128,0,0,0,224,304ZM184,71.67a5,5,0,0,1,5-5h21.67V45a5,5,0,0,1,5-5h16.66a5,5,0,0,1,5,5V66.67H259a5,5,0,0,1,5,5V88.33a5,5,0,0,1-5,5H237.33V115a5,5,0,0,1-5,5H215.67a5,5,0,0,1-5-5V93.33H189a5,5,0,0,1-5-5ZM144,160H304v16a80,80,0,0,1-160,0Z"}}]})(props);
};
function FaUserPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M624 208h-64v-64c0-8.8-7.2-16-16-16h-32c-8.8 0-16 7.2-16 16v64h-64c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h64v64c0 8.8 7.2 16 16 16h32c8.8 0 16-7.2 16-16v-64h64c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16zm-400 48c70.7 0 128-57.3 128-128S294.7 0 224 0 96 57.3 96 128s57.3 128 128 128zm89.6 32h-16.7c-22.2 10.2-46.9 16-72.9 16s-50.6-5.8-72.9-16h-16.7C60.2 288 0 348.2 0 422.4V464c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48v-41.6c0-74.2-60.2-134.4-134.4-134.4z"}}]})(props);
};
function FaUserSecret (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M383.9 308.3l23.9-62.6c4-10.5-3.7-21.7-15-21.7h-58.5c11-18.9 17.8-40.6 17.8-64v-.3c39.2-7.8 64-19.1 64-31.7 0-13.3-27.3-25.1-70.1-33-9.2-32.8-27-65.8-40.6-82.8-9.5-11.9-25.9-15.6-39.5-8.8l-27.6 13.8c-9 4.5-19.6 4.5-28.6 0L182.1 3.4c-13.6-6.8-30-3.1-39.5 8.8-13.5 17-31.4 50-40.6 82.8-42.7 7.9-70 19.7-70 33 0 12.6 24.8 23.9 64 31.7v.3c0 23.4 6.8 45.1 17.8 64H56.3c-11.5 0-19.2 11.7-14.7 22.3l25.8 60.2C27.3 329.8 0 372.7 0 422.4v44.8C0 491.9 20.1 512 44.8 512h358.4c24.7 0 44.8-20.1 44.8-44.8v-44.8c0-48.4-25.8-90.4-64.1-114.1zM176 480l-41.6-192 49.6 32 24 40-32 120zm96 0l-32-120 24-40 49.6-32L272 480zm41.7-298.5c-3.9 11.9-7 24.6-16.5 33.4-10.1 9.3-48 22.4-64-25-2.8-8.4-15.4-8.4-18.3 0-17 50.2-56 32.4-64 25-9.5-8.8-12.7-21.5-16.5-33.4-.8-2.5-6.3-5.7-6.3-5.8v-10.8c28.3 3.6 61 5.8 96 5.8s67.7-2.1 96-5.8v10.8c-.1.1-5.6 3.2-6.4 5.8z"}}]})(props);
};
function FaUserShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M622.3 271.1l-115.2-45c-4.1-1.6-12.6-3.7-22.2 0l-115.2 45c-10.7 4.2-17.7 14-17.7 24.9 0 111.6 68.7 188.8 132.9 213.9 9.6 3.7 18 1.6 22.2 0C558.4 489.9 640 420.5 640 296c0-10.9-7-20.7-17.7-24.9zM496 462.4V273.3l95.5 37.3c-5.6 87.1-60.9 135.4-95.5 151.8zM224 256c70.7 0 128-57.3 128-128S294.7 0 224 0 96 57.3 96 128s57.3 128 128 128zm96 40c0-2.5.8-4.8 1.1-7.2-2.5-.1-4.9-.8-7.5-.8h-16.7c-22.2 10.2-46.9 16-72.9 16s-50.6-5.8-72.9-16h-16.7C60.2 288 0 348.2 0 422.4V464c0 26.5 21.5 48 48 48h352c6.8 0 13.3-1.5 19.2-4-54-42.9-99.2-116.7-99.2-212z"}}]})(props);
};
function FaUserSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M633.8 458.1L362.3 248.3C412.1 230.7 448 183.8 448 128 448 57.3 390.7 0 320 0c-67.1 0-121.5 51.8-126.9 117.4L45.5 3.4C38.5-2 28.5-.8 23 6.2L3.4 31.4c-5.4 7-4.2 17 2.8 22.4l588.4 454.7c7 5.4 17 4.2 22.5-2.8l19.6-25.3c5.4-6.8 4.1-16.9-2.9-22.3zM96 422.4V464c0 26.5 21.5 48 48 48h350.2L207.4 290.3C144.2 301.3 96 356 96 422.4z"}}]})(props);
};
function FaUserTag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M630.6 364.9l-90.3-90.2c-12-12-28.3-18.7-45.3-18.7h-79.3c-17.7 0-32 14.3-32 32v79.2c0 17 6.7 33.2 18.7 45.2l90.3 90.2c12.5 12.5 32.8 12.5 45.3 0l92.5-92.5c12.6-12.5 12.6-32.7.1-45.2zm-182.8-21c-13.3 0-24-10.7-24-24s10.7-24 24-24 24 10.7 24 24c0 13.2-10.7 24-24 24zm-223.8-88c70.7 0 128-57.3 128-128C352 57.3 294.7 0 224 0S96 57.3 96 128c0 70.6 57.3 127.9 128 127.9zm127.8 111.2V294c-12.2-3.6-24.9-6.2-38.2-6.2h-16.7c-22.2 10.2-46.9 16-72.9 16s-50.6-5.8-72.9-16h-16.7C60.2 287.9 0 348.1 0 422.3v41.6c0 26.5 21.5 48 48 48h352c15.5 0 29.1-7.5 37.9-18.9l-58-58c-18.1-18.1-28.1-42.2-28.1-67.9z"}}]})(props);
};
function FaUserTie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M224 256c70.7 0 128-57.3 128-128S294.7 0 224 0 96 57.3 96 128s57.3 128 128 128zm95.8 32.6L272 480l-32-136 32-56h-96l32 56-32 136-47.8-191.4C56.9 292 0 350.3 0 422.4V464c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48v-41.6c0-72.1-56.9-130.4-128.2-133.8z"}}]})(props);
};
function FaUserTimes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M589.6 240l45.6-45.6c6.3-6.3 6.3-16.5 0-22.8l-22.8-22.8c-6.3-6.3-16.5-6.3-22.8 0L544 194.4l-45.6-45.6c-6.3-6.3-16.5-6.3-22.8 0l-22.8 22.8c-6.3 6.3-6.3 16.5 0 22.8l45.6 45.6-45.6 45.6c-6.3 6.3-6.3 16.5 0 22.8l22.8 22.8c6.3 6.3 16.5 6.3 22.8 0l45.6-45.6 45.6 45.6c6.3 6.3 16.5 6.3 22.8 0l22.8-22.8c6.3-6.3 6.3-16.5 0-22.8L589.6 240zM224 256c70.7 0 128-57.3 128-128S294.7 0 224 0 96 57.3 96 128s57.3 128 128 128zm89.6 32h-16.7c-22.2 10.2-46.9 16-72.9 16s-50.6-5.8-72.9-16h-16.7C60.2 288 0 348.2 0 422.4V464c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48v-41.6c0-74.2-60.2-134.4-134.4-134.4z"}}]})(props);
};
function FaUser (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M224 256c70.7 0 128-57.3 128-128S294.7 0 224 0 96 57.3 96 128s57.3 128 128 128zm89.6 32h-16.7c-22.2 10.2-46.9 16-72.9 16s-50.6-5.8-72.9-16h-16.7C60.2 288 0 348.2 0 422.4V464c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48v-41.6c0-74.2-60.2-134.4-134.4-134.4z"}}]})(props);
};
function FaUsersCog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M610.5 341.3c2.6-14.1 2.6-28.5 0-42.6l25.8-14.9c3-1.7 4.3-5.2 3.3-8.5-6.7-21.6-18.2-41.2-33.2-57.4-2.3-2.5-6-3.1-9-1.4l-25.8 14.9c-10.9-9.3-23.4-16.5-36.9-21.3v-29.8c0-3.4-2.4-6.4-5.7-7.1-22.3-5-45-4.8-66.2 0-3.3.7-5.7 3.7-5.7 7.1v29.8c-13.5 4.8-26 12-36.9 21.3l-25.8-14.9c-2.9-1.7-6.7-1.1-9 1.4-15 16.2-26.5 35.8-33.2 57.4-1 3.3.4 6.8 3.3 8.5l25.8 14.9c-2.6 14.1-2.6 28.5 0 42.6l-25.8 14.9c-3 1.7-4.3 5.2-3.3 8.5 6.7 21.6 18.2 41.1 33.2 57.4 2.3 2.5 6 3.1 9 1.4l25.8-14.9c10.9 9.3 23.4 16.5 36.9 21.3v29.8c0 3.4 2.4 6.4 5.7 7.1 22.3 5 45 4.8 66.2 0 3.3-.7 5.7-3.7 5.7-7.1v-29.8c13.5-4.8 26-12 36.9-21.3l25.8 14.9c2.9 1.7 6.7 1.1 9-1.4 15-16.2 26.5-35.8 33.2-57.4 1-3.3-.4-6.8-3.3-8.5l-25.8-14.9zM496 368.5c-26.8 0-48.5-21.8-48.5-48.5s21.8-48.5 48.5-48.5 48.5 21.8 48.5 48.5-21.7 48.5-48.5 48.5zM96 224c35.3 0 64-28.7 64-64s-28.7-64-64-64-64 28.7-64 64 28.7 64 64 64zm224 32c1.9 0 3.7-.5 5.6-.6 8.3-21.7 20.5-42.1 36.3-59.2 7.4-8 17.9-12.6 28.9-12.6 6.9 0 13.7 1.8 19.6 5.3l7.9 4.6c.8-.5 1.6-.9 2.4-1.4 7-14.6 11.2-30.8 11.2-48 0-61.9-50.1-112-112-112S208 82.1 208 144c0 61.9 50.1 112 112 112zm105.2 194.5c-2.3-1.2-4.6-2.6-6.8-3.9-8.2 4.8-15.3 9.8-27.5 9.8-10.9 0-21.4-4.6-28.9-12.6-18.3-19.8-32.3-43.9-40.2-69.6-10.7-34.5 24.9-49.7 25.8-50.3-.1-2.6-.1-5.2 0-7.8l-7.9-4.6c-3.8-2.2-7-5-9.8-8.1-3.3.2-6.5.6-9.8.6-24.6 0-47.6-6-68.5-16h-8.3C179.6 288 128 339.6 128 403.2V432c0 26.5 21.5 48 48 48h255.4c-3.7-6-6.2-12.8-6.2-20.3v-9.2zM173.1 274.6C161.5 263.1 145.6 256 128 256H64c-35.3 0-64 28.7-64 64v32c0 17.7 14.3 32 32 32h65.9c6.3-47.4 34.9-87.3 75.2-109.4z"}}]})(props);
};
function FaUsers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M96 224c35.3 0 64-28.7 64-64s-28.7-64-64-64-64 28.7-64 64 28.7 64 64 64zm448 0c35.3 0 64-28.7 64-64s-28.7-64-64-64-64 28.7-64 64 28.7 64 64 64zm32 32h-64c-17.6 0-33.5 7.1-45.1 18.6 40.3 22.1 68.9 62 75.1 109.4h66c17.7 0 32-14.3 32-32v-32c0-35.3-28.7-64-64-64zm-256 0c61.9 0 112-50.1 112-112S381.9 32 320 32 208 82.1 208 144s50.1 112 112 112zm76.8 32h-8.3c-20.8 10-43.9 16-68.5 16s-47.6-6-68.5-16h-8.3C179.6 288 128 339.6 128 403.2V432c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48v-28.8c0-63.6-51.6-115.2-115.2-115.2zm-223.7-13.4C161.5 263.1 145.6 256 128 256H64c-35.3 0-64 28.7-64 64v32c0 17.7 14.3 32 32 32h65.9c6.3-47.4 34.9-87.3 75.2-109.4z"}}]})(props);
};
function FaUtensilSpoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480.1 31.9c-55-55.1-164.9-34.5-227.8 28.5-49.3 49.3-55.1 110-28.8 160.4L9 413.2c-11.6 10.5-12.1 28.5-1 39.5L59.3 504c11 11 29.1 10.5 39.5-1.1l192.4-214.4c50.4 26.3 111.1 20.5 160.4-28.8 63-62.9 83.6-172.8 28.5-227.8z"}}]})(props);
};
function FaUtensils (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 416 512"},"child":[{"tag":"path","attr":{"d":"M207.9 15.2c.8 4.7 16.1 94.5 16.1 128.8 0 52.3-27.8 89.6-68.9 104.6L168 486.7c.7 13.7-10.2 25.3-24 25.3H80c-13.7 0-24.7-11.5-24-25.3l12.9-238.1C27.7 233.6 0 196.2 0 144 0 109.6 15.3 19.9 16.1 15.2 19.3-5.1 61.4-5.4 64 16.3v141.2c1.3 3.4 15.1 3.2 16 0 1.4-25.3 7.9-139.2 8-141.8 3.3-20.8 44.7-20.8 47.9 0 .2 2.7 6.6 116.5 8 141.8.9 3.2 14.8 3.4 16 0V16.3c2.6-21.6 44.8-21.4 48-1.1zm119.2 285.7l-15 185.1c-1.2 14 9.9 26 23.9 26h56c13.3 0 24-10.7 24-24V24c0-13.2-10.7-24-24-24-82.5 0-221.4 178.5-64.9 300.9z"}}]})(props);
};
function FaVectorSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M512 128V32c0-17.67-14.33-32-32-32h-96c-17.67 0-32 14.33-32 32H160c0-17.67-14.33-32-32-32H32C14.33 0 0 14.33 0 32v96c0 17.67 14.33 32 32 32v192c-17.67 0-32 14.33-32 32v96c0 17.67 14.33 32 32 32h96c17.67 0 32-14.33 32-32h192c0 17.67 14.33 32 32 32h96c17.67 0 32-14.33 32-32v-96c0-17.67-14.33-32-32-32V160c17.67 0 32-14.33 32-32zm-96-64h32v32h-32V64zM64 64h32v32H64V64zm32 384H64v-32h32v32zm352 0h-32v-32h32v32zm-32-96h-32c-17.67 0-32 14.33-32 32v32H160v-32c0-17.67-14.33-32-32-32H96V160h32c17.67 0 32-14.33 32-32V96h192v32c0 17.67 14.33 32 32 32h32v192z"}}]})(props);
};
function FaVenusDouble (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M288 176c0-79.5-64.5-144-144-144S0 96.5 0 176c0 68.5 47.9 125.9 112 140.4V368H76c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h36v36c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12v-36h36c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-36v-51.6c64.1-14.5 112-71.9 112-140.4zm-224 0c0-44.1 35.9-80 80-80s80 35.9 80 80-35.9 80-80 80-80-35.9-80-80zm336 140.4V368h36c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12h-36v36c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12v-36h-36c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h36v-51.6c-21.2-4.8-40.6-14.3-57.2-27.3 14-16.7 25-36 32.1-57.1 14.5 14.8 34.7 24 57.1 24 44.1 0 80-35.9 80-80s-35.9-80-80-80c-22.3 0-42.6 9.2-57.1 24-7.1-21.1-18-40.4-32.1-57.1C303.4 43.6 334.3 32 368 32c79.5 0 144 64.5 144 144 0 68.5-47.9 125.9-112 140.4z"}}]})(props);
};
function FaVenusMars (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M564 0h-79c-10.7 0-16 12.9-8.5 20.5l16.9 16.9-48.7 48.7C422.5 72.1 396.2 64 368 64c-33.7 0-64.6 11.6-89.2 30.9 14 16.7 25 36 32.1 57.1 14.5-14.8 34.7-24 57.1-24 44.1 0 80 35.9 80 80s-35.9 80-80 80c-22.3 0-42.6-9.2-57.1-24-7.1 21.1-18 40.4-32.1 57.1 24.5 19.4 55.5 30.9 89.2 30.9 79.5 0 144-64.5 144-144 0-28.2-8.1-54.5-22.1-76.7l48.7-48.7 16.9 16.9c2.4 2.4 5.4 3.5 8.4 3.5 6.2 0 12.1-4.8 12.1-12V12c0-6.6-5.4-12-12-12zM144 64C64.5 64 0 128.5 0 208c0 68.5 47.9 125.9 112 140.4V400H76c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h36v36c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12v-36h36c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-36v-51.6c64.1-14.6 112-71.9 112-140.4 0-79.5-64.5-144-144-144zm0 224c-44.1 0-80-35.9-80-80s35.9-80 80-80 80 35.9 80 80-35.9 80-80 80z"}}]})(props);
};
function FaVenus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 288 512"},"child":[{"tag":"path","attr":{"d":"M288 176c0-79.5-64.5-144-144-144S0 96.5 0 176c0 68.5 47.9 125.9 112 140.4V368H76c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h36v36c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12v-36h36c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-36v-51.6c64.1-14.5 112-71.9 112-140.4zm-224 0c0-44.1 35.9-80 80-80s80 35.9 80 80-35.9 80-80 80-80-35.9-80-80z"}}]})(props);
};
function FaVial (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 480 512"},"child":[{"tag":"path","attr":{"d":"M477.7 186.1L309.5 18.3c-3.1-3.1-8.2-3.1-11.3 0l-34 33.9c-3.1 3.1-3.1 8.2 0 11.3l11.2 11.1L33 316.5c-38.8 38.7-45.1 102-9.4 143.5 20.6 24 49.5 36 78.4 35.9 26.4 0 52.8-10 72.9-30.1l246.3-245.7 11.2 11.1c3.1 3.1 8.2 3.1 11.3 0l34-33.9c3.1-3 3.1-8.1 0-11.2zM318 256H161l148-147.7 78.5 78.3L318 256z"}}]})(props);
};
function FaVials (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M72 64h24v240c0 44.1 35.9 80 80 80s80-35.9 80-80V64h24c4.4 0 8-3.6 8-8V8c0-4.4-3.6-8-8-8H72c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8zm72 0h64v96h-64V64zm480 384H16c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h608c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16zM360 64h24v240c0 44.1 35.9 80 80 80s80-35.9 80-80V64h24c4.4 0 8-3.6 8-8V8c0-4.4-3.6-8-8-8H360c-4.4 0-8 3.6-8 8v48c0 4.4 3.6 8 8 8zm72 0h64v96h-64V64z"}}]})(props);
};
function FaVideoSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M633.8 458.1l-55-42.5c15.4-1.4 29.2-13.7 29.2-31.1v-257c0-25.5-29.1-40.4-50.4-25.8L448 177.3v137.2l-32-24.7v-178c0-26.4-21.4-47.8-47.8-47.8H123.9L45.5 3.4C38.5-2 28.5-.8 23 6.2L3.4 31.4c-5.4 7-4.2 17 2.8 22.4L42.7 82 416 370.6l178.5 138c7 5.4 17 4.2 22.5-2.8l19.6-25.3c5.5-6.9 4.2-17-2.8-22.4zM32 400.2c0 26.4 21.4 47.8 47.8 47.8h288.4c11.2 0 21.4-4 29.6-10.5L32 154.7v245.5z"}}]})(props);
};
function FaVideo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M336.2 64H47.8C21.4 64 0 85.4 0 111.8v288.4C0 426.6 21.4 448 47.8 448h288.4c26.4 0 47.8-21.4 47.8-47.8V111.8c0-26.4-21.4-47.8-47.8-47.8zm189.4 37.7L416 177.3v157.4l109.6 75.5c21.2 14.6 50.4-.3 50.4-25.8V127.5c0-25.4-29.1-40.4-50.4-25.8z"}}]})(props);
};
function FaVihara (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M632.88 400.71L544 352v-64l55.16-17.69c11.79-5.9 11.79-22.72 0-28.62L480 192v-64l27.31-16.3c7.72-7.72 5.61-20.74-4.16-25.62L320 0 136.85 86.07c-9.77 4.88-11.88 17.9-4.16 25.62L160 128v64L40.84 241.69c-11.79 5.9-11.79 22.72 0 28.62L96 288v64L7.12 400.71c-5.42 3.62-7.7 9.63-7 15.29.62 5.01 3.57 9.75 8.72 12.33L64 448v48c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16v-48h160v48c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16v-48h160v48c0 8.84 7.16 16 16 16h32c8.84 0 16-7.16 16-16v-48l55.15-19.67c5.16-2.58 8.1-7.32 8.72-12.33.71-5.67-1.57-11.68-6.99-15.29zM224 128h192v64H224v-64zm-64 224v-64h320v64H160z"}}]})(props);
};
function FaVoicemail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M496 128a144 144 0 0 0-119.74 224H263.74A144 144 0 1 0 144 416h352a144 144 0 0 0 0-288zM64 272a80 80 0 1 1 80 80 80 80 0 0 1-80-80zm432 80a80 80 0 1 1 80-80 80 80 0 0 1-80 80z"}}]})(props);
};
function FaVolleyballBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M231.39 243.48a285.56 285.56 0 0 0-22.7-105.7c-90.8 42.4-157.5 122.4-180.3 216.8a249 249 0 0 0 56.9 81.1 333.87 333.87 0 0 1 146.1-192.2zm-36.9-134.4a284.23 284.23 0 0 0-57.4-70.7c-91 49.8-144.8 152.9-125 262.2 33.4-83.1 98.4-152 182.4-191.5zm187.6 165.1c8.6-99.8-27.3-197.5-97.5-264.4-14.7-1.7-51.6-5.5-98.9 8.5A333.87 333.87 0 0 1 279.19 241a285 285 0 0 0 102.9 33.18zm-124.7 9.5a286.33 286.33 0 0 0-80.2 72.6c82 57.3 184.5 75.1 277.5 47.8a247.15 247.15 0 0 0 42.2-89.9 336.1 336.1 0 0 1-80.9 10.4c-54.6-.1-108.9-14.1-158.6-40.9zm-98.3 99.7c-15.2 26-25.7 54.4-32.1 84.2a247.07 247.07 0 0 0 289-22.1c-112.9 16.1-203.3-24.8-256.9-62.1zm180.3-360.6c55.3 70.4 82.5 161.2 74.6 253.6a286.59 286.59 0 0 0 89.7-14.2c0-2 .3-4 .3-6 0-107.8-68.7-199.1-164.6-233.4z"}}]})(props);
};
function FaVolumeDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M215.03 72.04L126.06 161H24c-13.26 0-24 10.74-24 24v144c0 13.25 10.74 24 24 24h102.06l88.97 88.95c15.03 15.03 40.97 4.47 40.97-16.97V89.02c0-21.47-25.96-31.98-40.97-16.98zm123.2 108.08c-11.58-6.33-26.19-2.16-32.61 9.45-6.39 11.61-2.16 26.2 9.45 32.61C327.98 229.28 336 242.62 336 257c0 14.38-8.02 27.72-20.92 34.81-11.61 6.41-15.84 21-9.45 32.61 6.43 11.66 21.05 15.8 32.61 9.45 28.23-15.55 45.77-45 45.77-76.88s-17.54-61.32-45.78-76.87z"}}]})(props);
};
function FaVolumeMute (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M215.03 71.05L126.06 160H24c-13.26 0-24 10.74-24 24v144c0 13.25 10.74 24 24 24h102.06l88.97 88.95c15.03 15.03 40.97 4.47 40.97-16.97V88.02c0-21.46-25.96-31.98-40.97-16.97zM461.64 256l45.64-45.64c6.3-6.3 6.3-16.52 0-22.82l-22.82-22.82c-6.3-6.3-16.52-6.3-22.82 0L416 210.36l-45.64-45.64c-6.3-6.3-16.52-6.3-22.82 0l-22.82 22.82c-6.3 6.3-6.3 16.52 0 22.82L370.36 256l-45.63 45.63c-6.3 6.3-6.3 16.52 0 22.82l22.82 22.82c6.3 6.3 16.52 6.3 22.82 0L416 301.64l45.64 45.64c6.3 6.3 16.52 6.3 22.82 0l22.82-22.82c6.3-6.3 6.3-16.52 0-22.82L461.64 256z"}}]})(props);
};
function FaVolumeOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 256 512"},"child":[{"tag":"path","attr":{"d":"M215 71l-89 89H24a24 24 0 0 0-24 24v144a24 24 0 0 0 24 24h102.06L215 441c15 15 41 4.47 41-17V88c0-21.47-26-32-41-17z"}}]})(props);
};
function FaVolumeUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M215.03 71.05L126.06 160H24c-13.26 0-24 10.74-24 24v144c0 13.25 10.74 24 24 24h102.06l88.97 88.95c15.03 15.03 40.97 4.47 40.97-16.97V88.02c0-21.46-25.96-31.98-40.97-16.97zm233.32-51.08c-11.17-7.33-26.18-4.24-33.51 6.95-7.34 11.17-4.22 26.18 6.95 33.51 66.27 43.49 105.82 116.6 105.82 195.58 0 78.98-39.55 152.09-105.82 195.58-11.17 7.32-14.29 22.34-6.95 33.5 7.04 10.71 21.93 14.56 33.51 6.95C528.27 439.58 576 351.33 576 256S528.27 72.43 448.35 19.97zM480 256c0-63.53-32.06-121.94-85.77-156.24-11.19-7.14-26.03-3.82-33.12 7.46s-3.78 26.21 7.41 33.36C408.27 165.97 432 209.11 432 256s-23.73 90.03-63.48 115.42c-11.19 7.14-14.5 22.07-7.41 33.36 6.51 10.36 21.12 15.14 33.12 7.46C447.94 377.94 480 319.54 480 256zm-141.77-76.87c-11.58-6.33-26.19-2.16-32.61 9.45-6.39 11.61-2.16 26.2 9.45 32.61C327.98 228.28 336 241.63 336 256c0 14.38-8.02 27.72-20.92 34.81-11.61 6.41-15.84 21-9.45 32.61 6.43 11.66 21.05 15.8 32.61 9.45 28.23-15.55 45.77-45 45.77-76.88s-17.54-61.32-45.78-76.86z"}}]})(props);
};
function FaVoteYea (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M608 320h-64v64h22.4c5.3 0 9.6 3.6 9.6 8v16c0 4.4-4.3 8-9.6 8H73.6c-5.3 0-9.6-3.6-9.6-8v-16c0-4.4 4.3-8 9.6-8H96v-64H32c-17.7 0-32 14.3-32 32v96c0 17.7 14.3 32 32 32h576c17.7 0 32-14.3 32-32v-96c0-17.7-14.3-32-32-32zm-96 64V64.3c0-17.9-14.5-32.3-32.3-32.3H160.4C142.5 32 128 46.5 128 64.3V384h384zM211.2 202l25.5-25.3c4.2-4.2 11-4.2 15.2.1l41.3 41.6 95.2-94.4c4.2-4.2 11-4.2 15.2.1l25.3 25.5c4.2 4.2 4.2 11-.1 15.2L300.5 292c-4.2 4.2-11 4.2-15.2-.1l-74.1-74.7c-4.3-4.2-4.2-11 0-15.2z"}}]})(props);
};
function FaVrCardboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M608 64H32C14.33 64 0 78.33 0 96v320c0 17.67 14.33 32 32 32h160.22c25.19 0 48.03-14.77 58.36-37.74l27.74-61.64C286.21 331.08 302.35 320 320 320s33.79 11.08 41.68 28.62l27.74 61.64C399.75 433.23 422.6 448 447.78 448H608c17.67 0 32-14.33 32-32V96c0-17.67-14.33-32-32-32zM160 304c-35.35 0-64-28.65-64-64s28.65-64 64-64 64 28.65 64 64-28.65 64-64 64zm320 0c-35.35 0-64-28.65-64-64s28.65-64 64-64 64 28.65 64 64-28.65 64-64 64z"}}]})(props);
};
function FaWalking (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 320 512"},"child":[{"tag":"path","attr":{"d":"M208 96c26.5 0 48-21.5 48-48S234.5 0 208 0s-48 21.5-48 48 21.5 48 48 48zm94.5 149.1l-23.3-11.8-9.7-29.4c-14.7-44.6-55.7-75.8-102.2-75.9-36-.1-55.9 10.1-93.3 25.2-21.6 8.7-39.3 25.2-49.7 46.2L17.6 213c-7.8 15.8-1.5 35 14.2 42.9 15.6 7.9 34.6 1.5 42.5-14.3L81 228c3.5-7 9.3-12.5 16.5-15.4l26.8-10.8-15.2 60.7c-5.2 20.8.4 42.9 14.9 58.8l59.9 65.4c7.2 7.9 12.3 17.4 14.9 27.7l18.3 73.3c4.3 17.1 21.7 27.6 38.8 23.3 17.1-4.3 27.6-21.7 23.3-38.8l-22.2-89c-2.6-10.3-7.7-19.9-14.9-27.7l-45.5-49.7 17.2-68.7 5.5 16.5c5.3 16.1 16.7 29.4 31.7 37l23.3 11.8c15.6 7.9 34.6 1.5 42.5-14.3 7.7-15.7 1.4-35.1-14.3-43zM73.6 385.8c-3.2 8.1-8 15.4-14.2 21.5l-50 50.1c-12.5 12.5-12.5 32.8 0 45.3s32.7 12.5 45.2 0l59.4-59.4c6.1-6.1 10.9-13.4 14.2-21.5l13.5-33.8c-55.3-60.3-38.7-41.8-47.4-53.7l-20.7 51.5z"}}]})(props);
};
function FaWallet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M461.2 128H80c-8.84 0-16-7.16-16-16s7.16-16 16-16h384c8.84 0 16-7.16 16-16 0-26.51-21.49-48-48-48H64C28.65 32 0 60.65 0 96v320c0 35.35 28.65 64 64 64h397.2c28.02 0 50.8-21.53 50.8-48V176c0-26.47-22.78-48-50.8-48zM416 336c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32z"}}]})(props);
};
function FaWarehouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M504 352H136.4c-4.4 0-8 3.6-8 8l-.1 48c0 4.4 3.6 8 8 8H504c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zm0 96H136.1c-4.4 0-8 3.6-8 8l-.1 48c0 4.4 3.6 8 8 8h368c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zm0-192H136.6c-4.4 0-8 3.6-8 8l-.1 48c0 4.4 3.6 8 8 8H504c4.4 0 8-3.6 8-8v-48c0-4.4-3.6-8-8-8zm106.5-139L338.4 3.7a48.15 48.15 0 0 0-36.9 0L29.5 117C11.7 124.5 0 141.9 0 161.3V504c0 4.4 3.6 8 8 8h80c4.4 0 8-3.6 8-8V256c0-17.6 14.6-32 32.6-32h382.8c18 0 32.6 14.4 32.6 32v248c0 4.4 3.6 8 8 8h80c4.4 0 8-3.6 8-8V161.3c0-19.4-11.7-36.8-29.5-44.3z"}}]})(props);
};
function FaWater (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M562.1 383.9c-21.5-2.4-42.1-10.5-57.9-22.9-14.1-11.1-34.2-11.3-48.2 0-37.9 30.4-107.2 30.4-145.7-1.5-13.5-11.2-33-9.1-46.7 1.8-38 30.1-106.9 30-145.2-1.7-13.5-11.2-33.3-8.9-47.1 2-15.5 12.2-36 20.1-57.7 22.4-7.9.8-13.6 7.8-13.6 15.7v32.2c0 9.1 7.6 16.8 16.7 16 28.8-2.5 56.1-11.4 79.4-25.9 56.5 34.6 137 34.1 192 0 56.5 34.6 137 34.1 192 0 23.3 14.2 50.9 23.3 79.1 25.8 9.1.8 16.7-6.9 16.7-16v-31.6c.1-8-5.7-15.4-13.8-16.3zm0-144c-21.5-2.4-42.1-10.5-57.9-22.9-14.1-11.1-34.2-11.3-48.2 0-37.9 30.4-107.2 30.4-145.7-1.5-13.5-11.2-33-9.1-46.7 1.8-38 30.1-106.9 30-145.2-1.7-13.5-11.2-33.3-8.9-47.1 2-15.5 12.2-36 20.1-57.7 22.4-7.9.8-13.6 7.8-13.6 15.7v32.2c0 9.1 7.6 16.8 16.7 16 28.8-2.5 56.1-11.4 79.4-25.9 56.5 34.6 137 34.1 192 0 56.5 34.6 137 34.1 192 0 23.3 14.2 50.9 23.3 79.1 25.8 9.1.8 16.7-6.9 16.7-16v-31.6c.1-8-5.7-15.4-13.8-16.3zm0-144C540.6 93.4 520 85.4 504.2 73 490.1 61.9 470 61.7 456 73c-37.9 30.4-107.2 30.4-145.7-1.5-13.5-11.2-33-9.1-46.7 1.8-38 30.1-106.9 30-145.2-1.7-13.5-11.2-33.3-8.9-47.1 2-15.5 12.2-36 20.1-57.7 22.4-7.9.8-13.6 7.8-13.6 15.7v32.2c0 9.1 7.6 16.8 16.7 16 28.8-2.5 56.1-11.4 79.4-25.9 56.5 34.6 137 34.1 192 0 56.5 34.6 137 34.1 192 0 23.3 14.2 50.9 23.3 79.1 25.8 9.1.8 16.7-6.9 16.7-16v-31.6c.1-8-5.7-15.4-13.8-16.3z"}}]})(props);
};
function FaWaveSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M476 480H324a36 36 0 0 1-36-36V96h-96v156a36 36 0 0 1-36 36H16a16 16 0 0 1-16-16v-32a16 16 0 0 1 16-16h112V68a36 36 0 0 1 36-36h152a36 36 0 0 1 36 36v348h96V260a36 36 0 0 1 36-36h140a16 16 0 0 1 16 16v32a16 16 0 0 1-16 16H512v156a36 36 0 0 1-36 36z"}}]})(props);
};
function FaWeightHanging (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M510.28 445.86l-73.03-292.13c-3.8-15.19-16.44-25.72-30.87-25.72h-60.25c3.57-10.05 5.88-20.72 5.88-32 0-53.02-42.98-96-96-96s-96 42.98-96 96c0 11.28 2.3 21.95 5.88 32h-60.25c-14.43 0-27.08 10.54-30.87 25.72L1.72 445.86C-6.61 479.17 16.38 512 48.03 512h415.95c31.64 0 54.63-32.83 46.3-66.14zM256 128c-17.64 0-32-14.36-32-32s14.36-32 32-32 32 14.36 32 32-14.36 32-32 32z"}}]})(props);
};
function FaWeight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 64h-25.98C438.44 92.28 448 125.01 448 160c0 105.87-86.13 192-192 192S64 265.87 64 160c0-34.99 9.56-67.72 25.98-96H64C28.71 64 0 92.71 0 128v320c0 35.29 28.71 64 64 64h384c35.29 0 64-28.71 64-64V128c0-35.29-28.71-64-64-64zM256 320c88.37 0 160-71.63 160-160S344.37 0 256 0 96 71.63 96 160s71.63 160 160 160zm-.3-151.94l33.58-78.36c3.5-8.17 12.94-11.92 21.03-8.41 8.12 3.48 11.88 12.89 8.41 21l-33.67 78.55C291.73 188 296 197.45 296 208c0 22.09-17.91 40-40 40s-40-17.91-40-40c0-21.98 17.76-39.77 39.7-39.94z"}}]})(props);
};
function FaWheelchair (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496.101 385.669l14.227 28.663c3.929 7.915.697 17.516-7.218 21.445l-65.465 32.886c-16.049 7.967-35.556 1.194-43.189-15.055L331.679 320H192c-15.925 0-29.426-11.71-31.679-27.475C126.433 55.308 128.38 70.044 128 64c0-36.358 30.318-65.635 67.052-63.929 33.271 1.545 60.048 28.905 60.925 62.201.868 32.933-23.152 60.423-54.608 65.039l4.67 32.69H336c8.837 0 16 7.163 16 16v32c0 8.837-7.163 16-16 16H215.182l4.572 32H352a32 32 0 0 1 28.962 18.392L438.477 396.8l36.178-18.349c7.915-3.929 17.517-.697 21.446 7.218zM311.358 352h-24.506c-7.788 54.204-54.528 96-110.852 96-61.757 0-112-50.243-112-112 0-41.505 22.694-77.809 56.324-97.156-3.712-25.965-6.844-47.86-9.488-66.333C45.956 198.464 0 261.963 0 336c0 97.047 78.953 176 176 176 71.87 0 133.806-43.308 161.11-105.192L311.358 352z"}}]})(props);
};
function FaWifi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M634.91 154.88C457.74-8.99 182.19-8.93 5.09 154.88c-6.66 6.16-6.79 16.59-.35 22.98l34.24 33.97c6.14 6.1 16.02 6.23 22.4.38 145.92-133.68 371.3-133.71 517.25 0 6.38 5.85 16.26 5.71 22.4-.38l34.24-33.97c6.43-6.39 6.3-16.82-.36-22.98zM320 352c-35.35 0-64 28.65-64 64s28.65 64 64 64 64-28.65 64-64-28.65-64-64-64zm202.67-83.59c-115.26-101.93-290.21-101.82-405.34 0-6.9 6.1-7.12 16.69-.57 23.15l34.44 33.99c6 5.92 15.66 6.32 22.05.8 83.95-72.57 209.74-72.41 293.49 0 6.39 5.52 16.05 5.13 22.05-.8l34.44-33.99c6.56-6.46 6.33-17.06-.56-23.15z"}}]})(props);
};
function FaWind (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M156.7 256H16c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h142.2c15.9 0 30.8 10.9 33.4 26.6 3.3 20-12.1 37.4-31.6 37.4-14.1 0-26.1-9.2-30.4-21.9-2.1-6.3-8.6-10.1-15.2-10.1H81.6c-9.8 0-17.7 8.8-15.9 18.4 8.6 44.1 47.6 77.6 94.2 77.6 57.1 0 102.7-50.1 95.2-108.6C249 291 205.4 256 156.7 256zM16 224h336c59.7 0 106.8-54.8 93.8-116.7-7.6-36.2-36.9-65.5-73.1-73.1-55.4-11.6-105.1 24.9-114.9 75.5-1.9 9.6 6.1 18.3 15.8 18.3h32.8c6.7 0 13.1-3.8 15.2-10.1C325.9 105.2 337.9 96 352 96c19.4 0 34.9 17.4 31.6 37.4-2.6 15.7-17.4 26.6-33.4 26.6H16c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16zm384 32H243.7c19.3 16.6 33.2 38.8 39.8 64H400c26.5 0 48 21.5 48 48s-21.5 48-48 48c-17.9 0-33.3-9.9-41.6-24.4-2.9-5-8.7-7.6-14.5-7.6h-33.8c-10.9 0-19 10.8-15.3 21.1 17.8 50.6 70.5 84.8 129.4 72.3 41.2-8.7 75.1-41.6 84.7-82.7C526 321.5 470.5 256 400 256z"}}]})(props);
};
function FaWindowClose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h416c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-83.6 290.5c4.8 4.8 4.8 12.6 0 17.4l-40.5 40.5c-4.8 4.8-12.6 4.8-17.4 0L256 313.3l-66.5 67.1c-4.8 4.8-12.6 4.8-17.4 0l-40.5-40.5c-4.8-4.8-4.8-12.6 0-17.4l67.1-66.5-67.1-66.5c-4.8-4.8-4.8-12.6 0-17.4l40.5-40.5c4.8-4.8 12.6-4.8 17.4 0l66.5 67.1 66.5-67.1c4.8-4.8 12.6-4.8 17.4 0l40.5 40.5c4.8 4.8 4.8 12.6 0 17.4L313.3 256l67.1 66.5z"}}]})(props);
};
function FaWindowMaximize (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h416c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-16 160H64v-84c0-6.6 5.4-12 12-12h360c6.6 0 12 5.4 12 12v84z"}}]})(props);
};
function FaWindowMinimize (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 352H48c-26.5 0-48 21.5-48 48v32c0 26.5 21.5 48 48 48h416c26.5 0 48-21.5 48-48v-32c0-26.5-21.5-48-48-48z"}}]})(props);
};
function FaWindowRestore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M512 48v288c0 26.5-21.5 48-48 48h-48V176c0-44.1-35.9-80-80-80H128V48c0-26.5 21.5-48 48-48h288c26.5 0 48 21.5 48 48zM384 176v288c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V176c0-26.5 21.5-48 48-48h288c26.5 0 48 21.5 48 48zm-68 28c0-6.6-5.4-12-12-12H76c-6.6 0-12 5.4-12 12v52h252v-52z"}}]})(props);
};
function FaWineBottle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M507.31 72.57L439.43 4.69c-6.25-6.25-16.38-6.25-22.63 0l-22.63 22.63c-6.25 6.25-6.25 16.38 0 22.63l-76.67 76.67c-46.58-19.7-102.4-10.73-140.37 27.23L18.75 312.23c-24.99 24.99-24.99 65.52 0 90.51l90.51 90.51c24.99 24.99 65.52 24.99 90.51 0l158.39-158.39c37.96-37.96 46.93-93.79 27.23-140.37l76.67-76.67c6.25 6.25 16.38 6.25 22.63 0l22.63-22.63c6.24-6.24 6.24-16.37-.01-22.62zM179.22 423.29l-90.51-90.51 122.04-122.04 90.51 90.51-122.04 122.04z"}}]})(props);
};
function FaWineGlassAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 288 512"},"child":[{"tag":"path","attr":{"d":"M216 464h-40V346.81c68.47-15.89 118.05-79.91 111.4-154.16l-15.95-178.1C270.71 6.31 263.9 0 255.74 0H32.26c-8.15 0-14.97 6.31-15.7 14.55L.6 192.66C-6.05 266.91 43.53 330.93 112 346.82V464H72c-22.09 0-40 17.91-40 40 0 4.42 3.58 8 8 8h208c4.42 0 8-3.58 8-8 0-22.09-17.91-40-40-40zM61.75 48h164.5l7.17 80H54.58l7.17-80z"}}]})(props);
};
function FaWineGlass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 288 512"},"child":[{"tag":"path","attr":{"d":"M216 464h-40V346.81c68.47-15.89 118.05-79.91 111.4-154.16l-15.95-178.1C270.71 6.31 263.9 0 255.74 0H32.26c-8.15 0-14.97 6.31-15.7 14.55L.6 192.66C-6.05 266.91 43.53 330.93 112 346.82V464H72c-22.09 0-40 17.91-40 40 0 4.42 3.58 8 8 8h208c4.42 0 8-3.58 8-8 0-22.09-17.91-40-40-40z"}}]})(props);
};
function FaWonSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M564 192c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-48l18.6-80.6c1.7-7.5-4-14.7-11.7-14.7h-46.1c-5.7 0-10.6 4-11.7 9.5L450.7 128H340.8l-19.7-86c-1.3-5.5-6.1-9.3-11.7-9.3h-44c-5.6 0-10.4 3.8-11.7 9.3l-20 86H125l-17.5-85.7c-1.1-5.6-6.1-9.6-11.8-9.6H53.6c-7.7 0-13.4 7.1-11.7 14.6L60 128H12c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h62.3l7.2 32H12c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h83.9l40.9 182.6c1.2 5.5 6.1 9.4 11.7 9.4h56.8c5.6 0 10.4-3.9 11.7-9.3L259.3 288h55.1l42.4 182.7c1.3 5.4 6.1 9.3 11.7 9.3h56.8c5.6 0 10.4-3.9 11.7-9.3L479.1 288H564c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-70.1l7.4-32zM183.8 342c-6.2 25.8-6.8 47.2-7.3 47.2h-1.1s-1.7-22-6.8-47.2l-11-54h38.8zm27.5-118h-66.8l-6.5-32h80.8zm62.9 0l2-8.6c1.9-8 3.5-16 4.8-23.4h11.8c1.3 7.4 2.9 15.4 4.8 23.4l2 8.6zm130.9 118c-5.1 25.2-6.8 47.2-6.8 47.2h-1.1c-.6 0-1.1-21.4-7.3-47.2l-12.4-54h39.1zm25.2-118h-67.4l-7.3-32h81.6z"}}]})(props);
};
function FaWrench (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M507.73 109.1c-2.24-9.03-13.54-12.09-20.12-5.51l-74.36 74.36-67.88-11.31-11.31-67.88 74.36-74.36c6.62-6.62 3.43-17.9-5.66-20.16-47.38-11.74-99.55.91-136.58 37.93-39.64 39.64-50.55 97.1-34.05 147.2L18.74 402.76c-24.99 24.99-24.99 65.51 0 90.5 24.99 24.99 65.51 24.99 90.5 0l213.21-213.21c50.12 16.71 107.47 5.68 147.37-34.22 37.07-37.07 49.7-89.32 37.91-136.73zM64 472c-13.25 0-24-10.75-24-24 0-13.26 10.75-24 24-24s24 10.74 24 24c0 13.25-10.75 24-24 24z"}}]})(props);
};
function FaXRay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M240 384c-8.8 0-16 7.2-16 16s7.2 16 16 16 16-7.2 16-16-7.2-16-16-16zm160 32c8.8 0 16-7.2 16-16s-7.2-16-16-16-16 7.2-16 16 7.2 16 16 16zM624 0H16C7.2 0 0 7.2 0 16v32c0 8.8 7.2 16 16 16h608c8.8 0 16-7.2 16-16V16c0-8.8-7.2-16-16-16zm0 448h-48V96H64v352H16c-8.8 0-16 7.2-16 16v32c0 8.8 7.2 16 16 16h608c8.8 0 16-7.2 16-16v-32c0-8.8-7.2-16-16-16zM480 248c0 4.4-3.6 8-8 8H336v32h104c4.4 0 8 3.6 8 8v16c0 4.4-3.6 8-8 8H336v32h64c26.5 0 48 21.5 48 48s-21.5 48-48 48-48-21.5-48-48v-16h-64v16c0 26.5-21.5 48-48 48s-48-21.5-48-48 21.5-48 48-48h64v-32H200c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h104v-32H168c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h136v-32H200c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h104v-24c0-4.4 3.6-8 8-8h16c4.4 0 8 3.6 8 8v24h104c4.4 0 8 3.6 8 8v16c0 4.4-3.6 8-8 8H336v32h136c4.4 0 8 3.6 8 8v16z"}}]})(props);
};
function FaYenSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M351.2 32h-65.3c-4.6 0-8.8 2.6-10.8 6.7l-55.4 113.2c-14.5 34.7-27.1 71.9-27.1 71.9h-1.3s-12.6-37.2-27.1-71.9L108.8 38.7c-2-4.1-6.2-6.7-10.8-6.7H32.8c-9.1 0-14.8 9.7-10.6 17.6L102.3 200H44c-6.6 0-12 5.4-12 12v32c0 6.6 5.4 12 12 12h88.2l19.8 37.2V320H44c-6.6 0-12 5.4-12 12v32c0 6.6 5.4 12 12 12h108v92c0 6.6 5.4 12 12 12h56c6.6 0 12-5.4 12-12v-92h108c6.6 0 12-5.4 12-12v-32c0-6.6-5.4-12-12-12H232v-26.8l19.8-37.2H340c6.6 0 12-5.4 12-12v-32c0-6.6-5.4-12-12-12h-58.3l80.1-150.4c4.3-7.9-1.5-17.6-10.6-17.6z"}}]})(props);
};
function FaYinYang (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111.03 8 0 119.03 0 256s111.03 248 248 248 248-111.03 248-248S384.97 8 248 8zm0 376c-17.67 0-32-14.33-32-32s14.33-32 32-32 32 14.33 32 32-14.33 32-32 32zm0-128c-53.02 0-96 42.98-96 96s42.98 96 96 96c-106.04 0-192-85.96-192-192S141.96 64 248 64c53.02 0 96 42.98 96 96s-42.98 96-96 96zm0-128c-17.67 0-32 14.33-32 32s14.33 32 32 32 32-14.33 32-32-14.33-32-32-32z"}}]})(props);
};
function FaRegAddressBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M436 160c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-20V48c0-26.5-21.5-48-48-48H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h320c26.5 0 48-21.5 48-48v-48h20c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-20v-64h20c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-20v-64h20zm-68 304H48V48h320v416zM208 256c35.3 0 64-28.7 64-64s-28.7-64-64-64-64 28.7-64 64 28.7 64 64 64zm-89.6 128h179.2c12.4 0 22.4-8.6 22.4-19.2v-19.2c0-31.8-30.1-57.6-67.2-57.6-10.8 0-18.7 8-44.8 8-26.9 0-33.4-8-44.8-8-37.1 0-67.2 25.8-67.2 57.6v19.2c0 10.6 10 19.2 22.4 19.2z"}}]})(props);
};
function FaRegAddressCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M528 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h480c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm0 400H48V80h480v352zM208 256c35.3 0 64-28.7 64-64s-28.7-64-64-64-64 28.7-64 64 28.7 64 64 64zm-89.6 128h179.2c12.4 0 22.4-8.6 22.4-19.2v-19.2c0-31.8-30.1-57.6-67.2-57.6-10.8 0-18.7 8-44.8 8-26.9 0-33.4-8-44.8-8-37.1 0-67.2 25.8-67.2 57.6v19.2c0 10.6 10 19.2 22.4 19.2zM360 320h112c4.4 0 8-3.6 8-8v-16c0-4.4-3.6-8-8-8H360c-4.4 0-8 3.6-8 8v16c0 4.4 3.6 8 8 8zm0-64h112c4.4 0 8-3.6 8-8v-16c0-4.4-3.6-8-8-8H360c-4.4 0-8 3.6-8 8v16c0 4.4 3.6 8 8 8zm0-64h112c4.4 0 8-3.6 8-8v-16c0-4.4-3.6-8-8-8H360c-4.4 0-8 3.6-8 8v16c0 4.4 3.6 8 8 8z"}}]})(props);
};
function FaRegAngry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm0-144c-33.6 0-65.2 14.8-86.8 40.6-8.5 10.2-7.1 25.3 3.1 33.8s25.3 7.2 33.8-3c24.8-29.7 75-29.7 99.8 0 8.1 9.7 23.2 11.9 33.8 3 10.2-8.5 11.5-23.6 3.1-33.8-21.6-25.8-53.2-40.6-86.8-40.6zm-48-72c10.3 0 19.9-6.7 23-17.1 3.8-12.7-3.4-26.1-16.1-29.9l-80-24c-12.8-3.9-26.1 3.4-29.9 16.1-3.8 12.7 3.4 26.1 16.1 29.9l28.2 8.5c-3.1 4.9-5.3 10.4-5.3 16.6 0 17.7 14.3 32 32 32s32-14.4 32-32.1zm199-54.9c-3.8-12.7-17.1-19.9-29.9-16.1l-80 24c-12.7 3.8-19.9 17.2-16.1 29.9 3.1 10.4 12.7 17.1 23 17.1 0 17.7 14.3 32 32 32s32-14.3 32-32c0-6.2-2.2-11.7-5.3-16.6l28.2-8.5c12.7-3.7 19.9-17.1 16.1-29.8z"}}]})(props);
};
function FaRegArrowAltCircleDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm0 448c-110.5 0-200-89.5-200-200S145.5 56 256 56s200 89.5 200 200-89.5 200-200 200zm-32-316v116h-67c-10.7 0-16 12.9-8.5 20.5l99 99c4.7 4.7 12.3 4.7 17 0l99-99c7.6-7.6 2.2-20.5-8.5-20.5h-67V140c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12z"}}]})(props);
};
function FaRegArrowAltCircleLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M8 256c0 137 111 248 248 248s248-111 248-248S393 8 256 8 8 119 8 256zm448 0c0 110.5-89.5 200-200 200S56 366.5 56 256 145.5 56 256 56s200 89.5 200 200zm-72-20v40c0 6.6-5.4 12-12 12H256v67c0 10.7-12.9 16-20.5 8.5l-99-99c-4.7-4.7-4.7-12.3 0-17l99-99c7.6-7.6 20.5-2.2 20.5 8.5v67h116c6.6 0 12 5.4 12 12z"}}]})(props);
};
function FaRegArrowAltCircleRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M504 256C504 119 393 8 256 8S8 119 8 256s111 248 248 248 248-111 248-248zm-448 0c0-110.5 89.5-200 200-200s200 89.5 200 200-89.5 200-200 200S56 366.5 56 256zm72 20v-40c0-6.6 5.4-12 12-12h116v-67c0-10.7 12.9-16 20.5-8.5l99 99c4.7 4.7 4.7 12.3 0 17l-99 99c-7.6 7.6-20.5 2.2-20.5-8.5v-67H140c-6.6 0-12-5.4-12-12z"}}]})(props);
};
function FaRegArrowAltCircleUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 504c137 0 248-111 248-248S393 8 256 8 8 119 8 256s111 248 248 248zm0-448c110.5 0 200 89.5 200 200s-89.5 200-200 200S56 366.5 56 256 145.5 56 256 56zm20 328h-40c-6.6 0-12-5.4-12-12V256h-67c-10.7 0-16-12.9-8.5-20.5l99-99c4.7-4.7 12.3-4.7 17 0l99 99c7.6 7.6 2.2 20.5-8.5 20.5h-67v116c0 6.6-5.4 12-12 12z"}}]})(props);
};
function FaRegBellSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M633.99 471.02L36 3.51C29.1-2.01 19.03-.9 13.51 6l-10 12.49C-2.02 25.39-.9 35.46 6 40.98l598 467.51c6.9 5.52 16.96 4.4 22.49-2.49l10-12.49c5.52-6.9 4.41-16.97-2.5-22.49zM163.53 368c16.71-22.03 34.48-55.8 41.4-110.58l-45.47-35.55c-3.27 90.73-36.47 120.68-54.84 140.42-6 6.45-8.66 14.16-8.61 21.71.11 16.4 12.98 32 32.1 32h279.66l-61.4-48H163.53zM320 96c61.86 0 112 50.14 112 112 0 .2-.06.38-.06.58.02 16.84 1.16 31.77 2.79 45.73l59.53 46.54c-8.31-22.13-14.34-51.49-14.34-92.85 0-77.7-54.48-139.9-127.94-155.16V32c0-17.67-14.32-32-31.98-32s-31.98 14.33-31.98 32v20.84c-26.02 5.41-49.45 16.94-69.13 32.72l38.17 29.84C275 103.18 296.65 96 320 96zm0 416c35.32 0 63.97-28.65 63.97-64H256.03c0 35.35 28.65 64 63.97 64z"}}]})(props);
};
function FaRegBell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M439.39 362.29c-19.32-20.76-55.47-51.99-55.47-154.29 0-77.7-54.48-139.9-127.94-155.16V32c0-17.67-14.32-32-31.98-32s-31.98 14.33-31.98 32v20.84C118.56 68.1 64.08 130.3 64.08 208c0 102.3-36.15 133.53-55.47 154.29-6 6.45-8.66 14.16-8.61 21.71.11 16.4 12.98 32 32.1 32h383.8c19.12 0 32-15.6 32.1-32 .05-7.55-2.61-15.27-8.61-21.71zM67.53 368c21.22-27.97 44.42-74.33 44.53-159.42 0-.2-.06-.38-.06-.58 0-61.86 50.14-112 112-112s112 50.14 112 112c0 .2-.06.38-.06.58.11 85.1 23.31 131.46 44.53 159.42H67.53zM224 512c35.32 0 63.97-28.65 63.97-64H160.03c0 35.35 28.65 64 63.97 64z"}}]})(props);
};
function FaRegBookmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M336 0H48C21.49 0 0 21.49 0 48v464l192-112 192 112V48c0-26.51-21.49-48-48-48zm0 428.43l-144-84-144 84V54a6 6 0 0 1 6-6h276c3.314 0 6 2.683 6 5.996V428.43z"}}]})(props);
};
function FaRegBuilding (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M128 148v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12h-40c-6.6 0-12-5.4-12-12zm140 12h40c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12zm-128 96h40c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12zm128 0h40c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12zm-76 84v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm76 12h40c6.6 0 12-5.4 12-12v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12zm180 124v36H0v-36c0-6.6 5.4-12 12-12h19.5V24c0-13.3 10.7-24 24-24h337c13.3 0 24 10.7 24 24v440H436c6.6 0 12 5.4 12 12zM79.5 463H192v-67c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v67h112.5V49L80 48l-.5 415z"}}]})(props);
};
function FaRegCalendarAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M148 288h-40c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v40c0 6.6-5.4 12-12 12zm108-12v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm96 0v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm-96 96v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm-96 0v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm192 0v-40c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v40c0 6.6 5.4 12 12 12h40c6.6 0 12-5.4 12-12zm96-260v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V112c0-26.5 21.5-48 48-48h48V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h128V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h48c26.5 0 48 21.5 48 48zm-48 346V160H48v298c0 3.3 2.7 6 6 6h340c3.3 0 6-2.7 6-6z"}}]})(props);
};
function FaRegCalendarCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 64h-48V12c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v52H160V12c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v52H48C21.49 64 0 85.49 0 112v352c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48V112c0-26.51-21.49-48-48-48zm-6 400H54a6 6 0 0 1-6-6V160h352v298a6 6 0 0 1-6 6zm-52.849-200.65L198.842 404.519c-4.705 4.667-12.303 4.637-16.971-.068l-75.091-75.699c-4.667-4.705-4.637-12.303.068-16.971l22.719-22.536c4.705-4.667 12.303-4.637 16.97.069l44.104 44.461 111.072-110.181c4.705-4.667 12.303-4.637 16.971.068l22.536 22.718c4.667 4.705 4.636 12.303-.069 16.97z"}}]})(props);
};
function FaRegCalendarMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M124 328c-6.6 0-12-5.4-12-12v-24c0-6.6 5.4-12 12-12h200c6.6 0 12 5.4 12 12v24c0 6.6-5.4 12-12 12H124zm324-216v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V112c0-26.5 21.5-48 48-48h48V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h128V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h48c26.5 0 48 21.5 48 48zm-48 346V160H48v298c0 3.3 2.7 6 6 6h340c3.3 0 6-2.7 6-6z"}}]})(props);
};
function FaRegCalendarPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M336 292v24c0 6.6-5.4 12-12 12h-76v76c0 6.6-5.4 12-12 12h-24c-6.6 0-12-5.4-12-12v-76h-76c-6.6 0-12-5.4-12-12v-24c0-6.6 5.4-12 12-12h76v-76c0-6.6 5.4-12 12-12h24c6.6 0 12 5.4 12 12v76h76c6.6 0 12 5.4 12 12zm112-180v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V112c0-26.5 21.5-48 48-48h48V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h128V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h48c26.5 0 48 21.5 48 48zm-48 346V160H48v298c0 3.3 2.7 6 6 6h340c3.3 0 6-2.7 6-6z"}}]})(props);
};
function FaRegCalendarTimes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M311.7 374.7l-17 17c-4.7 4.7-12.3 4.7-17 0L224 337.9l-53.7 53.7c-4.7 4.7-12.3 4.7-17 0l-17-17c-4.7-4.7-4.7-12.3 0-17l53.7-53.7-53.7-53.7c-4.7-4.7-4.7-12.3 0-17l17-17c4.7-4.7 12.3-4.7 17 0l53.7 53.7 53.7-53.7c4.7-4.7 12.3-4.7 17 0l17 17c4.7 4.7 4.7 12.3 0 17L257.9 304l53.7 53.7c4.8 4.7 4.8 12.3.1 17zM448 112v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V112c0-26.5 21.5-48 48-48h48V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h128V12c0-6.6 5.4-12 12-12h40c6.6 0 12 5.4 12 12v52h48c26.5 0 48 21.5 48 48zm-48 346V160H48v298c0 3.3 2.7 6 6 6h340c3.3 0 6-2.7 6-6z"}}]})(props);
};
function FaRegCalendar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 64h-48V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H160V12c0-6.6-5.4-12-12-12h-40c-6.6 0-12 5.4-12 12v52H48C21.5 64 0 85.5 0 112v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V112c0-26.5-21.5-48-48-48zm-6 400H54c-3.3 0-6-2.7-6-6V160h352v298c0 3.3-2.7 6-6 6z"}}]})(props);
};
function FaRegCaretSquareDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M125.1 208h197.8c10.7 0 16.1 13 8.5 20.5l-98.9 98.3c-4.7 4.7-12.2 4.7-16.9 0l-98.9-98.3c-7.7-7.5-2.3-20.5 8.4-20.5zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-48 346V86c0-3.3-2.7-6-6-6H54c-3.3 0-6 2.7-6 6v340c0 3.3 2.7 6 6 6h340c3.3 0 6-2.7 6-6z"}}]})(props);
};
function FaRegCaretSquareLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M272 157.1v197.8c0 10.7-13 16.1-20.5 8.5l-98.3-98.9c-4.7-4.7-4.7-12.2 0-16.9l98.3-98.9c7.5-7.7 20.5-2.3 20.5 8.4zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-48 346V86c0-3.3-2.7-6-6-6H54c-3.3 0-6 2.7-6 6v340c0 3.3 2.7 6 6 6h340c3.3 0 6-2.7 6-6z"}}]})(props);
};
function FaRegCaretSquareRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M176 354.9V157.1c0-10.7 13-16.1 20.5-8.5l98.3 98.9c4.7 4.7 4.7 12.2 0 16.9l-98.3 98.9c-7.5 7.7-20.5 2.3-20.5-8.4zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-48 346V86c0-3.3-2.7-6-6-6H54c-3.3 0-6 2.7-6 6v340c0 3.3 2.7 6 6 6h340c3.3 0 6-2.7 6-6z"}}]})(props);
};
function FaRegCaretSquareUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M322.9 304H125.1c-10.7 0-16.1-13-8.5-20.5l98.9-98.3c4.7-4.7 12.2-4.7 16.9 0l98.9 98.3c7.7 7.5 2.3 20.5-8.4 20.5zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-48 346V86c0-3.3-2.7-6-6-6H54c-3.3 0-6 2.7-6 6v340c0 3.3 2.7 6 6 6h340c3.3 0 6-2.7 6-6z"}}]})(props);
};
function FaRegChartBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M396.8 352h22.4c6.4 0 12.8-6.4 12.8-12.8V108.8c0-6.4-6.4-12.8-12.8-12.8h-22.4c-6.4 0-12.8 6.4-12.8 12.8v230.4c0 6.4 6.4 12.8 12.8 12.8zm-192 0h22.4c6.4 0 12.8-6.4 12.8-12.8V140.8c0-6.4-6.4-12.8-12.8-12.8h-22.4c-6.4 0-12.8 6.4-12.8 12.8v198.4c0 6.4 6.4 12.8 12.8 12.8zm96 0h22.4c6.4 0 12.8-6.4 12.8-12.8V204.8c0-6.4-6.4-12.8-12.8-12.8h-22.4c-6.4 0-12.8 6.4-12.8 12.8v134.4c0 6.4 6.4 12.8 12.8 12.8zM496 400H48V80c0-8.84-7.16-16-16-16H16C7.16 64 0 71.16 0 80v336c0 17.67 14.33 32 32 32h464c8.84 0 16-7.16 16-16v-16c0-8.84-7.16-16-16-16zm-387.2-48h22.4c6.4 0 12.8-6.4 12.8-12.8v-70.4c0-6.4-6.4-12.8-12.8-12.8h-22.4c-6.4 0-12.8 6.4-12.8 12.8v70.4c0 6.4 6.4 12.8 12.8 12.8z"}}]})(props);
};
function FaRegCheckCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119.033 8 8 119.033 8 256s111.033 248 248 248 248-111.033 248-248S392.967 8 256 8zm0 48c110.532 0 200 89.451 200 200 0 110.532-89.451 200-200 200-110.532 0-200-89.451-200-200 0-110.532 89.451-200 200-200m140.204 130.267l-22.536-22.718c-4.667-4.705-12.265-4.736-16.97-.068L215.346 303.697l-59.792-60.277c-4.667-4.705-12.265-4.736-16.97-.069l-22.719 22.536c-4.705 4.667-4.736 12.265-.068 16.971l90.781 91.516c4.667 4.705 12.265 4.736 16.97.068l172.589-171.204c4.704-4.668 4.734-12.266.067-16.971z"}}]})(props);
};
function FaRegCheckSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48V80c0-26.51-21.49-48-48-48zm0 400H48V80h352v352zm-35.864-241.724L191.547 361.48c-4.705 4.667-12.303 4.637-16.97-.068l-90.781-91.516c-4.667-4.705-4.637-12.303.069-16.971l22.719-22.536c4.705-4.667 12.303-4.637 16.97.069l59.792 60.277 141.352-140.216c4.705-4.667 12.303-4.637 16.97.068l22.536 22.718c4.667 4.706 4.637 12.304-.068 16.971z"}}]})(props);
};
function FaRegCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm0 448c-110.5 0-200-89.5-200-200S145.5 56 256 56s200 89.5 200 200-89.5 200-200 200z"}}]})(props);
};
function FaRegClipboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M336 64h-80c0-35.3-28.7-64-64-64s-64 28.7-64 64H48C21.5 64 0 85.5 0 112v352c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48V112c0-26.5-21.5-48-48-48zM192 40c13.3 0 24 10.7 24 24s-10.7 24-24 24-24-10.7-24-24 10.7-24 24-24zm144 418c0 3.3-2.7 6-6 6H54c-3.3 0-6-2.7-6-6V118c0-3.3 2.7-6 6-6h42v36c0 6.6 5.4 12 12 12h168c6.6 0 12-5.4 12-12v-36h42c3.3 0 6 2.7 6 6z"}}]})(props);
};
function FaRegClock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm0 448c-110.5 0-200-89.5-200-200S145.5 56 256 56s200 89.5 200 200-89.5 200-200 200zm61.8-104.4l-84.9-61.7c-3.1-2.3-4.9-5.9-4.9-9.7V116c0-6.6 5.4-12 12-12h32c6.6 0 12 5.4 12 12v141.7l66.8 48.6c5.4 3.9 6.5 11.4 2.6 16.8L334.6 349c-3.9 5.3-11.4 6.5-16.8 2.6z"}}]})(props);
};
function FaRegClone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 0H144c-26.51 0-48 21.49-48 48v48H48c-26.51 0-48 21.49-48 48v320c0 26.51 21.49 48 48 48h320c26.51 0 48-21.49 48-48v-48h48c26.51 0 48-21.49 48-48V48c0-26.51-21.49-48-48-48zM362 464H54a6 6 0 0 1-6-6V150a6 6 0 0 1 6-6h42v224c0 26.51 21.49 48 48 48h224v42a6 6 0 0 1-6 6zm96-96H150a6 6 0 0 1-6-6V54a6 6 0 0 1 6-6h308a6 6 0 0 1 6 6v308a6 6 0 0 1-6 6z"}}]})(props);
};
function FaRegClosedCaptioning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 64H48C21.5 64 0 85.5 0 112v288c0 26.5 21.5 48 48 48h416c26.5 0 48-21.5 48-48V112c0-26.5-21.5-48-48-48zm-6 336H54c-3.3 0-6-2.7-6-6V118c0-3.3 2.7-6 6-6h404c3.3 0 6 2.7 6 6v276c0 3.3-2.7 6-6 6zm-211.1-85.7c1.7 2.4 1.5 5.6-.5 7.7-53.6 56.8-172.8 32.1-172.8-67.9 0-97.3 121.7-119.5 172.5-70.1 2.1 2 2.5 3.2 1 5.7l-17.5 30.5c-1.9 3.1-6.2 4-9.1 1.7-40.8-32-94.6-14.9-94.6 31.2 0 48 51 70.5 92.2 32.6 2.8-2.5 7.1-2.1 9.2.9l19.6 27.7zm190.4 0c1.7 2.4 1.5 5.6-.5 7.7-53.6 56.9-172.8 32.1-172.8-67.9 0-97.3 121.7-119.5 172.5-70.1 2.1 2 2.5 3.2 1 5.7L420 220.2c-1.9 3.1-6.2 4-9.1 1.7-40.8-32-94.6-14.9-94.6 31.2 0 48 51 70.5 92.2 32.6 2.8-2.5 7.1-2.1 9.2.9l19.6 27.7z"}}]})(props);
};
function FaRegCommentAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 0H64C28.7 0 0 28.7 0 64v288c0 35.3 28.7 64 64 64h96v84c0 7.1 5.8 12 12 12 2.4 0 4.9-.7 7.1-2.4L304 416h144c35.3 0 64-28.7 64-64V64c0-35.3-28.7-64-64-64zm16 352c0 8.8-7.2 16-16 16H288l-12.8 9.6L208 428v-60H64c-8.8 0-16-7.2-16-16V64c0-8.8 7.2-16 16-16h384c8.8 0 16 7.2 16 16v288z"}}]})(props);
};
function FaRegCommentDots (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M144 208c-17.7 0-32 14.3-32 32s14.3 32 32 32 32-14.3 32-32-14.3-32-32-32zm112 0c-17.7 0-32 14.3-32 32s14.3 32 32 32 32-14.3 32-32-14.3-32-32-32zm112 0c-17.7 0-32 14.3-32 32s14.3 32 32 32 32-14.3 32-32-14.3-32-32-32zM256 32C114.6 32 0 125.1 0 240c0 47.6 19.9 91.2 52.9 126.3C38 405.7 7 439.1 6.5 439.5c-6.6 7-8.4 17.2-4.6 26S14.4 480 24 480c61.5 0 110-25.7 139.1-46.3C192 442.8 223.2 448 256 448c141.4 0 256-93.1 256-208S397.4 32 256 32zm0 368c-26.7 0-53.1-4.1-78.4-12.1l-22.7-7.2-19.5 13.8c-14.3 10.1-33.9 21.4-57.5 29 7.3-12.1 14.4-25.7 19.9-40.2l10.6-28.1-20.6-21.8C69.7 314.1 48 282.2 48 240c0-88.2 93.3-160 208-160s208 71.8 208 160-93.3 160-208 160z"}}]})(props);
};
function FaRegComment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32C114.6 32 0 125.1 0 240c0 47.6 19.9 91.2 52.9 126.3C38 405.7 7 439.1 6.5 439.5c-6.6 7-8.4 17.2-4.6 26S14.4 480 24 480c61.5 0 110-25.7 139.1-46.3C192 442.8 223.2 448 256 448c141.4 0 256-93.1 256-208S397.4 32 256 32zm0 368c-26.7 0-53.1-4.1-78.4-12.1l-22.7-7.2-19.5 13.8c-14.3 10.1-33.9 21.4-57.5 29 7.3-12.1 14.4-25.7 19.9-40.2l10.6-28.1-20.6-21.8C69.7 314.1 48 282.2 48 240c0-88.2 93.3-160 208-160s208 71.8 208 160-93.3 160-208 160z"}}]})(props);
};
function FaRegComments (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M532 386.2c27.5-27.1 44-61.1 44-98.2 0-80-76.5-146.1-176.2-157.9C368.3 72.5 294.3 32 208 32 93.1 32 0 103.6 0 192c0 37 16.5 71 44 98.2-15.3 30.7-37.3 54.5-37.7 54.9-6.3 6.7-8.1 16.5-4.4 25 3.6 8.5 12 14 21.2 14 53.5 0 96.7-20.2 125.2-38.8 9.2 2.1 18.7 3.7 28.4 4.9C208.1 407.6 281.8 448 368 448c20.8 0 40.8-2.4 59.8-6.8C456.3 459.7 499.4 480 553 480c9.2 0 17.5-5.5 21.2-14 3.6-8.5 1.9-18.3-4.4-25-.4-.3-22.5-24.1-37.8-54.8zm-392.8-92.3L122.1 305c-14.1 9.1-28.5 16.3-43.1 21.4 2.7-4.7 5.4-9.7 8-14.8l15.5-31.1L77.7 256C64.2 242.6 48 220.7 48 192c0-60.7 73.3-112 160-112s160 51.3 160 112-73.3 112-160 112c-16.5 0-33-1.9-49-5.6l-19.8-4.5zM498.3 352l-24.7 24.4 15.5 31.1c2.6 5.1 5.3 10.1 8 14.8-14.6-5.1-29-12.3-43.1-21.4l-17.1-11.1-19.9 4.6c-16 3.7-32.5 5.6-49 5.6-54 0-102.2-20.1-131.3-49.7C338 339.5 416 272.9 416 192c0-3.4-.4-6.7-.7-10C479.7 196.5 528 238.8 528 288c0 28.7-16.2 50.6-29.7 64z"}}]})(props);
};
function FaRegCompass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M347.94 129.86L203.6 195.83a31.938 31.938 0 0 0-15.77 15.77l-65.97 144.34c-7.61 16.65 9.54 33.81 26.2 26.2l144.34-65.97a31.938 31.938 0 0 0 15.77-15.77l65.97-144.34c7.61-16.66-9.54-33.81-26.2-26.2zm-77.36 148.72c-12.47 12.47-32.69 12.47-45.16 0-12.47-12.47-12.47-32.69 0-45.16 12.47-12.47 32.69-12.47 45.16 0 12.47 12.47 12.47 32.69 0 45.16zM248 8C111.03 8 0 119.03 0 256s111.03 248 248 248 248-111.03 248-248S384.97 8 248 8zm0 448c-110.28 0-200-89.72-200-200S137.72 56 248 56s200 89.72 200 200-89.72 200-200 200z"}}]})(props);
};
function FaRegCopy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M433.941 65.941l-51.882-51.882A48 48 0 0 0 348.118 0H176c-26.51 0-48 21.49-48 48v48H48c-26.51 0-48 21.49-48 48v320c0 26.51 21.49 48 48 48h224c26.51 0 48-21.49 48-48v-48h80c26.51 0 48-21.49 48-48V99.882a48 48 0 0 0-14.059-33.941zM266 464H54a6 6 0 0 1-6-6V150a6 6 0 0 1 6-6h74v224c0 26.51 21.49 48 48 48h96v42a6 6 0 0 1-6 6zm128-96H182a6 6 0 0 1-6-6V54a6 6 0 0 1 6-6h106v88c0 13.255 10.745 24 24 24h88v202a6 6 0 0 1-6 6zm6-256h-64V48h9.632c1.591 0 3.117.632 4.243 1.757l48.368 48.368a6 6 0 0 1 1.757 4.243V112z"}}]})(props);
};
function FaRegCopyright (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119.033 8 8 119.033 8 256s111.033 248 248 248 248-111.033 248-248S392.967 8 256 8zm0 448c-110.532 0-200-89.451-200-200 0-110.531 89.451-200 200-200 110.532 0 200 89.451 200 200 0 110.532-89.451 200-200 200zm107.351-101.064c-9.614 9.712-45.53 41.396-104.065 41.396-82.43 0-140.484-61.425-140.484-141.567 0-79.152 60.275-139.401 139.762-139.401 55.531 0 88.738 26.62 97.593 34.779a11.965 11.965 0 0 1 1.936 15.322l-18.155 28.113c-3.841 5.95-11.966 7.282-17.499 2.921-8.595-6.776-31.814-22.538-61.708-22.538-48.303 0-77.916 35.33-77.916 80.082 0 41.589 26.888 83.692 78.277 83.692 32.657 0 56.843-19.039 65.726-27.225 5.27-4.857 13.596-4.039 17.82 1.738l19.865 27.17a11.947 11.947 0 0 1-1.152 15.518z"}}]})(props);
};
function FaRegCreditCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M527.9 32H48.1C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48.1 48h479.8c26.6 0 48.1-21.5 48.1-48V80c0-26.5-21.5-48-48.1-48zM54.1 80h467.8c3.3 0 6 2.7 6 6v42H48.1V86c0-3.3 2.7-6 6-6zm467.8 352H54.1c-3.3 0-6-2.7-6-6V256h479.8v170c0 3.3-2.7 6-6 6zM192 332v40c0 6.6-5.4 12-12 12h-72c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h72c6.6 0 12 5.4 12 12zm192 0v40c0 6.6-5.4 12-12 12H236c-6.6 0-12-5.4-12-12v-40c0-6.6 5.4-12 12-12h136c6.6 0 12 5.4 12 12z"}}]})(props);
};
function FaRegDizzy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm-33.8-217.9c7.8-7.8 7.8-20.5 0-28.3L196.3 192l17.9-17.9c7.8-7.8 7.8-20.5 0-28.3-7.8-7.8-20.5-7.8-28.3 0L168 163.7l-17.8-17.8c-7.8-7.8-20.5-7.8-28.3 0-7.8 7.8-7.8 20.5 0 28.3l17.9 17.9-17.9 17.9c-7.8 7.8-7.8 20.5 0 28.3 7.8 7.8 20.5 7.8 28.3 0l17.8-17.8 17.8 17.8c7.9 7.7 20.5 7.7 28.4-.2zm160-92.2c-7.8-7.8-20.5-7.8-28.3 0L328 163.7l-17.8-17.8c-7.8-7.8-20.5-7.8-28.3 0-7.8 7.8-7.8 20.5 0 28.3l17.9 17.9-17.9 17.9c-7.8 7.8-7.8 20.5 0 28.3 7.8 7.8 20.5 7.8 28.3 0l17.8-17.8 17.8 17.8c7.8 7.8 20.5 7.8 28.3 0 7.8-7.8 7.8-20.5 0-28.3l-17.8-18 17.9-17.9c7.7-7.8 7.7-20.4 0-28.2zM248 272c-35.3 0-64 28.7-64 64s28.7 64 64 64 64-28.7 64-64-28.7-64-64-64z"}}]})(props);
};
function FaRegDotCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 56c110.532 0 200 89.451 200 200 0 110.532-89.451 200-200 200-110.532 0-200-89.451-200-200 0-110.532 89.451-200 200-200m0-48C119.033 8 8 119.033 8 256s111.033 248 248 248 248-111.033 248-248S392.967 8 256 8zm0 168c-44.183 0-80 35.817-80 80s35.817 80 80 80 80-35.817 80-80-35.817-80-80-80z"}}]})(props);
};
function FaRegEdit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M402.3 344.9l32-32c5-5 13.7-1.5 13.7 5.7V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V112c0-26.5 21.5-48 48-48h273.5c7.1 0 10.7 8.6 5.7 13.7l-32 32c-1.5 1.5-3.5 2.3-5.7 2.3H48v352h352V350.5c0-2.1.8-4.1 2.3-5.6zm156.6-201.8L296.3 405.7l-90.4 10c-26.2 2.9-48.5-19.2-45.6-45.6l10-90.4L432.9 17.1c22.9-22.9 59.9-22.9 82.7 0l43.2 43.2c22.9 22.9 22.9 60 .1 82.8zM460.1 174L402 115.9 216.2 301.8l-7.3 65.3 65.3-7.3L460.1 174zm64.8-79.7l-43.2-43.2c-4.1-4.1-10.8-4.1-14.8 0L436 82l58.1 58.1 30.9-30.9c4-4.2 4-10.8-.1-14.9z"}}]})(props);
};
function FaRegEnvelopeOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M494.586 164.516c-4.697-3.883-111.723-89.95-135.251-108.657C337.231 38.191 299.437 0 256 0c-43.205 0-80.636 37.717-103.335 55.859-24.463 19.45-131.07 105.195-135.15 108.549A48.004 48.004 0 0 0 0 201.485V464c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V201.509a48 48 0 0 0-17.414-36.993zM464 458a6 6 0 0 1-6 6H54a6 6 0 0 1-6-6V204.347c0-1.813.816-3.526 2.226-4.665 15.87-12.814 108.793-87.554 132.364-106.293C200.755 78.88 232.398 48 256 48c23.693 0 55.857 31.369 73.41 45.389 23.573 18.741 116.503 93.493 132.366 106.316a5.99 5.99 0 0 1 2.224 4.663V458zm-31.991-187.704c4.249 5.159 3.465 12.795-1.745 16.981-28.975 23.283-59.274 47.597-70.929 56.863C336.636 362.283 299.205 400 256 400c-43.452 0-81.287-38.237-103.335-55.86-11.279-8.967-41.744-33.413-70.927-56.865-5.21-4.187-5.993-11.822-1.745-16.981l15.258-18.528c4.178-5.073 11.657-5.843 16.779-1.726 28.618 23.001 58.566 47.035 70.56 56.571C200.143 320.631 232.307 352 256 352c23.602 0 55.246-30.88 73.41-45.389 11.994-9.535 41.944-33.57 70.563-56.568 5.122-4.116 12.601-3.346 16.778 1.727l15.258 18.526z"}}]})(props);
};
function FaRegEnvelope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 64H48C21.49 64 0 85.49 0 112v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V112c0-26.51-21.49-48-48-48zm0 48v40.805c-22.422 18.259-58.168 46.651-134.587 106.49-16.841 13.247-50.201 45.072-73.413 44.701-23.208.375-56.579-31.459-73.413-44.701C106.18 199.465 70.425 171.067 48 152.805V112h416zM48 400V214.398c22.914 18.251 55.409 43.862 104.938 82.646 21.857 17.205 60.134 55.186 103.062 54.955 42.717.231 80.509-37.199 103.053-54.947 49.528-38.783 82.032-64.401 104.947-82.653V400H48z"}}]})(props);
};
function FaRegEyeSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M634 471L36 3.51A16 16 0 0 0 13.51 6l-10 12.49A16 16 0 0 0 6 41l598 467.49a16 16 0 0 0 22.49-2.49l10-12.49A16 16 0 0 0 634 471zM296.79 146.47l134.79 105.38C429.36 191.91 380.48 144 320 144a112.26 112.26 0 0 0-23.21 2.47zm46.42 219.07L208.42 260.16C210.65 320.09 259.53 368 320 368a113 113 0 0 0 23.21-2.46zM320 112c98.65 0 189.09 55 237.93 144a285.53 285.53 0 0 1-44 60.2l37.74 29.5a333.7 333.7 0 0 0 52.9-75.11 32.35 32.35 0 0 0 0-29.19C550.29 135.59 442.93 64 320 64c-36.7 0-71.71 7-104.63 18.81l46.41 36.29c18.94-4.3 38.34-7.1 58.22-7.1zm0 288c-98.65 0-189.08-55-237.93-144a285.47 285.47 0 0 1 44.05-60.19l-37.74-29.5a333.6 333.6 0 0 0-52.89 75.1 32.35 32.35 0 0 0 0 29.19C89.72 376.41 197.08 448 320 448c36.7 0 71.71-7.05 104.63-18.81l-46.41-36.28C359.28 397.2 339.89 400 320 400z"}}]})(props);
};
function FaRegEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M288 144a110.94 110.94 0 0 0-31.24 5 55.4 55.4 0 0 1 7.24 27 56 56 0 0 1-56 56 55.4 55.4 0 0 1-27-7.24A111.71 111.71 0 1 0 288 144zm284.52 97.4C518.29 135.59 410.93 64 288 64S57.68 135.64 3.48 241.41a32.35 32.35 0 0 0 0 29.19C57.71 376.41 165.07 448 288 448s230.32-71.64 284.52-177.41a32.35 32.35 0 0 0 0-29.19zM288 400c-98.65 0-189.09-55-237.93-144C98.91 167 189.34 112 288 112s189.09 55 237.93 144C477.1 345 386.66 400 288 400z"}}]})(props);
};
function FaRegFileAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M288 248v28c0 6.6-5.4 12-12 12H108c-6.6 0-12-5.4-12-12v-28c0-6.6 5.4-12 12-12h168c6.6 0 12 5.4 12 12zm-12 72H108c-6.6 0-12 5.4-12 12v28c0 6.6 5.4 12 12 12h168c6.6 0 12-5.4 12-12v-28c0-6.6-5.4-12-12-12zm108-188.1V464c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V48C0 21.5 21.5 0 48 0h204.1C264.8 0 277 5.1 286 14.1L369.9 98c9 8.9 14.1 21.2 14.1 33.9zm-128-80V128h76.1L256 51.9zM336 464V176H232c-13.3 0-24-10.7-24-24V48H48v416h288z"}}]})(props);
};
function FaRegFileArchive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M128.3 160v32h32v-32zm64-96h-32v32h32zm-64 32v32h32V96zm64 32h-32v32h32zm177.6-30.1L286 14C277 5 264.8-.1 252.1-.1H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48V131.9c0-12.7-5.1-25-14.1-34zM256 51.9l76.1 76.1H256zM336 464H48V48h79.7v16h32V48H208v104c0 13.3 10.7 24 24 24h104zM194.2 265.7c-1.1-5.6-6-9.7-11.8-9.7h-22.1v-32h-32v32l-19.7 97.1C102 385.6 126.8 416 160 416c33.1 0 57.9-30.2 51.5-62.6zm-33.9 124.4c-17.9 0-32.4-12.1-32.4-27s14.5-27 32.4-27 32.4 12.1 32.4 27-14.5 27-32.4 27zm32-198.1h-32v32h32z"}}]})(props);
};
function FaRegFileAudio (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M369.941 97.941l-83.882-83.882A48 48 0 0 0 252.118 0H48C21.49 0 0 21.49 0 48v416c0 26.51 21.49 48 48 48h288c26.51 0 48-21.49 48-48V131.882a48 48 0 0 0-14.059-33.941zM332.118 128H256V51.882L332.118 128zM48 464V48h160v104c0 13.255 10.745 24 24 24h104v288H48zm144-76.024c0 10.691-12.926 16.045-20.485 8.485L136 360.486h-28c-6.627 0-12-5.373-12-12v-56c0-6.627 5.373-12 12-12h28l35.515-36.947c7.56-7.56 20.485-2.206 20.485 8.485v135.952zm41.201-47.13c9.051-9.297 9.06-24.133.001-33.439-22.149-22.752 12.235-56.246 34.395-33.481 27.198 27.94 27.212 72.444.001 100.401-21.793 22.386-56.947-10.315-34.397-33.481z"}}]})(props);
};
function FaRegFileCode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M149.9 349.1l-.2-.2-32.8-28.9 32.8-28.9c3.6-3.2 4-8.8.8-12.4l-.2-.2-17.4-18.6c-3.4-3.6-9-3.7-12.4-.4l-57.7 54.1c-3.7 3.5-3.7 9.4 0 12.8l57.7 54.1c1.6 1.5 3.8 2.4 6 2.4 2.4 0 4.8-1 6.4-2.8l17.4-18.6c3.3-3.5 3.1-9.1-.4-12.4zm220-251.2L286 14C277 5 264.8-.1 252.1-.1H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48V131.9c0-12.7-5.1-25-14.1-34zM256 51.9l76.1 76.1H256zM336 464H48V48h160v104c0 13.3 10.7 24 24 24h104zM209.6 214c-4.7-1.4-9.5 1.3-10.9 6L144 408.1c-1.4 4.7 1.3 9.6 6 10.9l24.4 7.1c4.7 1.4 9.6-1.4 10.9-6L240 231.9c1.4-4.7-1.3-9.6-6-10.9zm24.5 76.9l.2.2 32.8 28.9-32.8 28.9c-3.6 3.2-4 8.8-.8 12.4l.2.2 17.4 18.6c3.3 3.5 8.9 3.7 12.4.4l57.7-54.1c3.7-3.5 3.7-9.4 0-12.8l-57.7-54.1c-3.5-3.3-9.1-3.2-12.4.4l-17.4 18.6c-3.3 3.5-3.1 9.1.4 12.4z"}}]})(props);
};
function FaRegFileExcel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M369.9 97.9L286 14C277 5 264.8-.1 252.1-.1H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48V131.9c0-12.7-5.1-25-14.1-34zM332.1 128H256V51.9l76.1 76.1zM48 464V48h160v104c0 13.3 10.7 24 24 24h104v288H48zm212-240h-28.8c-4.4 0-8.4 2.4-10.5 6.3-18 33.1-22.2 42.4-28.6 57.7-13.9-29.1-6.9-17.3-28.6-57.7-2.1-3.9-6.2-6.3-10.6-6.3H124c-9.3 0-15 10-10.4 18l46.3 78-46.3 78c-4.7 8 1.1 18 10.4 18h28.9c4.4 0 8.4-2.4 10.5-6.3 21.7-40 23-45 28.6-57.7 14.9 30.2 5.9 15.9 28.6 57.7 2.1 3.9 6.2 6.3 10.6 6.3H260c9.3 0 15-10 10.4-18L224 320c.7-1.1 30.3-50.5 46.3-78 4.7-8-1.1-18-10.3-18z"}}]})(props);
};
function FaRegFileImage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M369.9 97.9L286 14C277 5 264.8-.1 252.1-.1H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48V131.9c0-12.7-5.1-25-14.1-34zM332.1 128H256V51.9l76.1 76.1zM48 464V48h160v104c0 13.3 10.7 24 24 24h104v288H48zm32-48h224V288l-23.5-23.5c-4.7-4.7-12.3-4.7-17 0L176 352l-39.5-39.5c-4.7-4.7-12.3-4.7-17 0L80 352v64zm48-240c-26.5 0-48 21.5-48 48s21.5 48 48 48 48-21.5 48-48-21.5-48-48-48z"}}]})(props);
};
function FaRegFilePdf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M369.9 97.9L286 14C277 5 264.8-.1 252.1-.1H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48V131.9c0-12.7-5.1-25-14.1-34zM332.1 128H256V51.9l76.1 76.1zM48 464V48h160v104c0 13.3 10.7 24 24 24h104v288H48zm250.2-143.7c-12.2-12-47-8.7-64.4-6.5-17.2-10.5-28.7-25-36.8-46.3 3.9-16.1 10.1-40.6 5.4-56-4.2-26.2-37.8-23.6-42.6-5.9-4.4 16.1-.4 38.5 7 67.1-10 23.9-24.9 56-35.4 74.4-20 10.3-47 26.2-51 46.2-3.3 15.8 26 55.2 76.1-31.2 22.4-7.4 46.8-16.5 68.4-20.1 18.9 10.2 41 17 55.8 17 25.5 0 28-28.2 17.5-38.7zm-198.1 77.8c5.1-13.7 24.5-29.5 30.4-35-19 30.3-30.4 35.7-30.4 35zm81.6-190.6c7.4 0 6.7 32.1 1.8 40.8-4.4-13.9-4.3-40.8-1.8-40.8zm-24.4 136.6c9.7-16.9 18-37 24.7-54.7 8.3 15.1 18.9 27.2 30.1 35.5-20.8 4.3-38.9 13.1-54.8 19.2zm131.6-5s-5 6-37.3-7.8c35.1-2.6 40.9 5.4 37.3 7.8z"}}]})(props);
};
function FaRegFilePowerpoint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M369.9 97.9L286 14C277 5 264.8-.1 252.1-.1H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48V131.9c0-12.7-5.1-25-14.1-34zM332.1 128H256V51.9l76.1 76.1zM48 464V48h160v104c0 13.3 10.7 24 24 24h104v288H48zm72-60V236c0-6.6 5.4-12 12-12h69.2c36.7 0 62.8 27 62.8 66.3 0 74.3-68.7 66.5-95.5 66.5V404c0 6.6-5.4 12-12 12H132c-6.6 0-12-5.4-12-12zm48.5-87.4h23c7.9 0 13.9-2.4 18.1-7.2 8.5-9.8 8.4-28.5.1-37.8-4.1-4.6-9.9-7-17.4-7h-23.9v52z"}}]})(props);
};
function FaRegFileVideo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M369.941 97.941l-83.882-83.882A48 48 0 0 0 252.118 0H48C21.49 0 0 21.49 0 48v416c0 26.51 21.49 48 48 48h288c26.51 0 48-21.49 48-48V131.882a48 48 0 0 0-14.059-33.941zM332.118 128H256V51.882L332.118 128zM48 464V48h160v104c0 13.255 10.745 24 24 24h104v288H48zm228.687-211.303L224 305.374V268c0-11.046-8.954-20-20-20H100c-11.046 0-20 8.954-20 20v104c0 11.046 8.954 20 20 20h104c11.046 0 20-8.954 20-20v-37.374l52.687 52.674C286.704 397.318 304 390.28 304 375.986V264.011c0-14.311-17.309-21.319-27.313-11.314z"}}]})(props);
};
function FaRegFileWord (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M369.9 97.9L286 14C277 5 264.8-.1 252.1-.1H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48V131.9c0-12.7-5.1-25-14.1-34zM332.1 128H256V51.9l76.1 76.1zM48 464V48h160v104c0 13.3 10.7 24 24 24h104v288H48zm220.1-208c-5.7 0-10.6 4-11.7 9.5-20.6 97.7-20.4 95.4-21 103.5-.2-1.2-.4-2.6-.7-4.3-.8-5.1.3.2-23.6-99.5-1.3-5.4-6.1-9.2-11.7-9.2h-13.3c-5.5 0-10.3 3.8-11.7 9.1-24.4 99-24 96.2-24.8 103.7-.1-1.1-.2-2.5-.5-4.2-.7-5.2-14.1-73.3-19.1-99-1.1-5.6-6-9.7-11.8-9.7h-16.8c-7.8 0-13.5 7.3-11.7 14.8 8 32.6 26.7 109.5 33.2 136 1.3 5.4 6.1 9.1 11.7 9.1h25.2c5.5 0 10.3-3.7 11.6-9.1l17.9-71.4c1.5-6.2 2.5-12 3-17.3l2.9 17.3c.1.4 12.6 50.5 17.9 71.4 1.3 5.3 6.1 9.1 11.6 9.1h24.7c5.5 0 10.3-3.7 11.6-9.1 20.8-81.9 30.2-119 34.5-136 1.9-7.6-3.8-14.9-11.6-14.9h-15.8z"}}]})(props);
};
function FaRegFile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M369.9 97.9L286 14C277 5 264.8-.1 252.1-.1H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48V131.9c0-12.7-5.1-25-14.1-34zM332.1 128H256V51.9l76.1 76.1zM48 464V48h160v104c0 13.3 10.7 24 24 24h104v288H48z"}}]})(props);
};
function FaRegFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M336.174 80c-49.132 0-93.305-32-161.913-32-31.301 0-58.303 6.482-80.721 15.168a48.04 48.04 0 0 0 2.142-20.727C93.067 19.575 74.167 1.594 51.201.104 23.242-1.71 0 20.431 0 48c0 17.764 9.657 33.262 24 41.562V496c0 8.837 7.163 16 16 16h16c8.837 0 16-7.163 16-16v-83.443C109.869 395.28 143.259 384 199.826 384c49.132 0 93.305 32 161.913 32 58.479 0 101.972-22.617 128.548-39.981C503.846 367.161 512 352.051 512 335.855V95.937c0-34.459-35.264-57.768-66.904-44.117C409.193 67.309 371.641 80 336.174 80zM464 336c-21.783 15.412-60.824 32-102.261 32-59.945 0-102.002-32-161.913-32-43.361 0-96.379 9.403-127.826 24V128c21.784-15.412 60.824-32 102.261-32 59.945 0 102.002 32 161.913 32 43.271 0 96.32-17.366 127.826-32v240z"}}]})(props);
};
function FaRegFlushed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm96-312c-44.2 0-80 35.8-80 80s35.8 80 80 80 80-35.8 80-80-35.8-80-80-80zm0 128c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48zm0-72c-13.3 0-24 10.7-24 24s10.7 24 24 24 24-10.7 24-24-10.7-24-24-24zm-112 24c0-44.2-35.8-80-80-80s-80 35.8-80 80 35.8 80 80 80 80-35.8 80-80zm-80 48c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48zm0-72c-13.3 0-24 10.7-24 24s10.7 24 24 24 24-10.7 24-24-10.7-24-24-24zm160 144H184c-13.2 0-24 10.8-24 24s10.8 24 24 24h128c13.2 0 24-10.8 24-24s-10.8-24-24-24z"}}]})(props);
};
function FaRegFolderOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M527.9 224H480v-48c0-26.5-21.5-48-48-48H272l-64-64H48C21.5 64 0 85.5 0 112v288c0 26.5 21.5 48 48 48h400c16.5 0 31.9-8.5 40.7-22.6l79.9-128c20-31.9-3-73.4-40.7-73.4zM48 118c0-3.3 2.7-6 6-6h134.1l64 64H426c3.3 0 6 2.7 6 6v42H152c-16.8 0-32.4 8.8-41.1 23.2L48 351.4zm400 282H72l77.2-128H528z"}}]})(props);
};
function FaRegFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 128H272l-54.63-54.63c-6-6-14.14-9.37-22.63-9.37H48C21.49 64 0 85.49 0 112v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V176c0-26.51-21.49-48-48-48zm0 272H48V112h140.12l54.63 54.63c6 6 14.14 9.37 22.63 9.37H464v224z"}}]})(props);
};
function FaRegFontAwesomeLogoFull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 3992 512"},"child":[{"tag":"path","attr":{"d":"M454.6 0H57.4C25.9 0 0 25.9 0 57.4v397.3C0 486.1 25.9 512 57.4 512h397.3c31.4 0 57.4-25.9 57.4-57.4V57.4C512 25.9 486.1 0 454.6 0zm-58.9 324.9c0 4.8-4.1 6.9-8.9 8.9-19.2 8.1-39.7 15.7-61.5 15.7-40.5 0-68.7-44.8-163.2 2.5v51.8c0 30.3-45.7 30.2-45.7 0v-250c-9-7-15-17.9-15-30.3 0-21 17.1-38.2 38.2-38.2 21 0 38.2 17.1 38.2 38.2 0 12.2-5.8 23.2-14.9 30.2v21c37.1-12 65.5-34.4 146.1-3.4 26.6 11.4 68.7-15.7 76.5-15.7 5.5 0 10.3 4.1 10.3 8.9v160.4zm432.9-174.2h-137v70.1H825c39.8 0 40.4 62.2 0 62.2H691.6v105.6c0 45.5-70.7 46.4-70.7 0V128.3c0-22 18-39.8 39.8-39.8h167.8c39.6 0 40.5 62.2.1 62.2zm191.1 23.4c-169.3 0-169.1 252.4 0 252.4 169.9 0 169.9-252.4 0-252.4zm0 196.1c-81.6 0-82.1-139.8 0-139.8 82.5 0 82.4 139.8 0 139.8zm372.4 53.4c-17.5 0-31.4-13.9-31.4-31.4v-117c0-62.4-72.6-52.5-99.1-16.4v133.4c0 41.5-63.3 41.8-63.3 0V208c0-40 63.1-41.6 63.1 0v3.4c43.3-51.6 162.4-60.4 162.4 39.3v141.5c.3 30.4-31.5 31.4-31.7 31.4zm179.7 2.9c-44.3 0-68.3-22.9-68.3-65.8V235.2H1488c-35.6 0-36.7-55.3 0-55.3h15.5v-37.3c0-41.3 63.8-42.1 63.8 0v37.5h24.9c35.4 0 35.7 55.3 0 55.3h-24.9v108.5c0 29.6 26.1 26.3 27.4 26.3 31.4 0 52.6 56.3-22.9 56.3zM1992 123c-19.5-50.2-95.5-50-114.5 0-107.3 275.7-99.5 252.7-99.5 262.8 0 42.8 58.3 51.2 72.1 14.4l13.5-35.9H2006l13 35.9c14.2 37.7 72.1 27.2 72.1-14.4 0-10.1 5.3 6.8-99.1-262.8zm-108.9 179.1l51.7-142.9 51.8 142.9h-103.5zm591.3-85.6l-53.7 176.3c-12.4 41.2-72 41-84 0l-42.3-135.9-42.3 135.9c-12.4 40.9-72 41.2-84.5 0l-54.2-176.3c-12.5-39.4 49.8-56.1 60.2-16.9L2213 342l45.3-139.5c10.9-32.7 59.6-34.7 71.2 0l45.3 139.5 39.3-142.4c10.3-38.3 72.6-23.8 60.3 16.9zm275.4 75.1c0-42.4-33.9-117.5-119.5-117.5-73.2 0-124.4 56.3-124.4 126 0 77.2 55.3 126.4 128.5 126.4 31.7 0 93-11.5 93-39.8 0-18.3-21.1-31.5-39.3-22.4-49.4 26.2-109 8.4-115.9-43.8h148.3c16.3 0 29.3-13.4 29.3-28.9zM2571 277.7c9.5-73.4 113.9-68.6 118.6 0H2571zm316.7 148.8c-31.4 0-81.6-10.5-96.6-31.9-12.4-17 2.5-39.8 21.8-39.8 16.3 0 36.8 22.9 77.7 22.9 27.4 0 40.4-11 40.4-25.8 0-39.8-142.9-7.4-142.9-102 0-40.4 35.3-75.7 98.6-75.7 31.4 0 74.1 9.9 87.6 29.4 10.8 14.8-1.4 36.2-20.9 36.2-15.1 0-26.7-17.3-66.2-17.3-22.9 0-37.8 10.5-37.8 23.8 0 35.9 142.4 6 142.4 103.1-.1 43.7-37.4 77.1-104.1 77.1zm266.8-252.4c-169.3 0-169.1 252.4 0 252.4 170.1 0 169.6-252.4 0-252.4zm0 196.1c-81.8 0-82-139.8 0-139.8 82.5 0 82.4 139.8 0 139.8zm476.9 22V268.7c0-53.8-61.4-45.8-85.7-10.5v134c0 41.3-63.8 42.1-63.8 0V268.7c0-52.1-59.5-47.4-85.7-10.1v133.6c0 41.5-63.3 41.8-63.3 0V208c0-40 63.1-41.6 63.1 0v3.4c9.9-14.4 41.8-37.3 78.6-37.3 35.3 0 57.7 16.4 66.7 43.8 13.9-21.8 45.8-43.8 82.6-43.8 44.3 0 70.7 23.4 70.7 72.7v145.3c.5 17.3-13.5 31.4-31.9 31.4 3.5.1-31.3 1.1-31.3-31.3zM3992 291.6c0-42.4-32.4-117.5-117.9-117.5-73.2 0-127.5 56.3-127.5 126 0 77.2 58.3 126.4 131.6 126.4 31.7 0 91.5-11.5 91.5-39.8 0-18.3-21.1-31.5-39.3-22.4-49.4 26.2-110.5 8.4-117.5-43.8h149.8c16.3 0 29.1-13.4 29.3-28.9zm-180.5-13.9c9.7-74.4 115.9-68.3 120.1 0h-120.1z"}}]})(props);
};
function FaRegFrownOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm-48-248c0-17.7-14.3-32-32-32s-32 14.3-32 32 14.3 32 32 32 32-14.3 32-32zm128-32c-17.7 0-32 14.3-32 32s14.3 32 32 32 32-14.3 32-32-14.3-32-32-32zm-80 112c-35.6 0-88.8 21.3-95.8 61.2-2 11.8 9 21.5 20.5 18.1 31.2-9.6 59.4-15.3 75.3-15.3s44.1 5.7 75.3 15.3c11.4 3.5 22.5-6.3 20.5-18.1-7-39.9-60.2-61.2-95.8-61.2z"}}]})(props);
};
function FaRegFrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm-80-216c17.7 0 32-14.3 32-32s-14.3-32-32-32-32 14.3-32 32 14.3 32 32 32zm160-64c-17.7 0-32 14.3-32 32s14.3 32 32 32 32-14.3 32-32-14.3-32-32-32zm-80 128c-40.2 0-78 17.7-103.8 48.6-8.5 10.2-7.1 25.3 3.1 33.8 10.2 8.4 25.3 7.1 33.8-3.1 16.6-19.9 41-31.4 66.9-31.4s50.3 11.4 66.9 31.4c8.1 9.7 23.1 11.9 33.8 3.1 10.2-8.5 11.5-23.6 3.1-33.8C326 321.7 288.2 304 248 304z"}}]})(props);
};
function FaRegFutbol (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M483.8 179.4C449.8 74.6 352.6 8 248.1 8c-25.4 0-51.2 3.9-76.7 12.2C41.2 62.5-30.1 202.4 12.2 332.6 46.2 437.4 143.4 504 247.9 504c25.4 0 51.2-3.9 76.7-12.2 130.2-42.3 201.5-182.2 159.2-312.4zm-74.5 193.7l-52.2 6.4-43.7-60.9 24.4-75.2 71.1-22.1 38.9 36.4c-.2 30.7-7.4 61.1-21.7 89.2-4.7 9.3-10.7 17.8-16.8 26.2zm0-235.4l-10.4 53.1-70.7 22-64.2-46.5V92.5l47.4-26.2c39.2 13 73.4 38 97.9 71.4zM184.9 66.4L232 92.5v73.8l-64.2 46.5-70.6-22-10.1-52.5c24.3-33.4 57.9-58.6 97.8-71.9zM139 379.5L85.9 373c-14.4-20.1-37.3-59.6-37.8-115.3l39-36.4 71.1 22.2 24.3 74.3-43.5 61.7zm48.2 67l-22.4-48.1 43.6-61.7H287l44.3 61.7-22.4 48.1c-6.2 1.8-57.6 20.4-121.7 0z"}}]})(props);
};
function FaRegGem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M464 0H112c-4 0-7.8 2-10 5.4L2 152.6c-2.9 4.4-2.6 10.2.7 14.2l276 340.8c4.8 5.9 13.8 5.9 18.6 0l276-340.8c3.3-4.1 3.6-9.8.7-14.2L474.1 5.4C471.8 2 468.1 0 464 0zm-19.3 48l63.3 96h-68.4l-51.7-96h56.8zm-202.1 0h90.7l51.7 96H191l51.6-96zm-111.3 0h56.8l-51.7 96H68l63.3-96zm-43 144h51.4L208 352 88.3 192zm102.9 0h193.6L288 435.3 191.2 192zM368 352l68.2-160h51.4L368 352z"}}]})(props);
};
function FaRegGrimace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm-80-216c17.7 0 32-14.3 32-32s-14.3-32-32-32-32 14.3-32 32 14.3 32 32 32zm160 0c17.7 0 32-14.3 32-32s-14.3-32-32-32-32 14.3-32 32 14.3 32 32 32zm16 16H152c-26.5 0-48 21.5-48 48v32c0 26.5 21.5 48 48 48h192c26.5 0 48-21.5 48-48v-32c0-26.5-21.5-48-48-48zm-168 96h-24c-8.8 0-16-7.2-16-16v-8h40v24zm0-40h-40v-8c0-8.8 7.2-16 16-16h24v24zm64 40h-48v-24h48v24zm0-40h-48v-24h48v24zm64 40h-48v-24h48v24zm0-40h-48v-24h48v24zm56 24c0 8.8-7.2 16-16 16h-24v-24h40v8zm0-24h-40v-24h24c8.8 0 16 7.2 16 16v8z"}}]})(props);
};
function FaRegGrinAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M200.3 248c12.4-18.7 15.1-37.3 15.7-56-.5-18.7-3.3-37.3-15.7-56-8-12-25.1-11.4-32.7 0-12.4 18.7-15.1 37.3-15.7 56 .5 18.7 3.3 37.3 15.7 56 8.1 12 25.2 11.4 32.7 0zm128 0c12.4-18.7 15.1-37.3 15.7-56-.5-18.7-3.3-37.3-15.7-56-8-12-25.1-11.4-32.7 0-12.4 18.7-15.1 37.3-15.7 56 .5 18.7 3.3 37.3 15.7 56 8.1 12 25.2 11.4 32.7 0zM248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm105.6-151.4c-25.9 8.3-64.4 13.1-105.6 13.1s-79.6-4.8-105.6-13.1c-9.9-3.1-19.4 5.3-17.7 15.3 7.9 47.2 71.3 80 123.3 80s115.3-32.9 123.3-80c1.6-9.8-7.7-18.4-17.7-15.3z"}}]})(props);
};
function FaRegGrinBeamSweat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M440 160c29.5 0 53.3-26.3 53.3-58.7 0-25-31.7-75.5-46.2-97.3-3.6-5.3-10.7-5.3-14.2 0-14.5 21.8-46.2 72.3-46.2 97.3 0 32.4 23.8 58.7 53.3 58.7zM248 400c51.9 0 115.3-32.9 123.3-80 1.7-9.9-7.7-18.5-17.7-15.3-25.9 8.3-64.4 13.1-105.6 13.1s-79.6-4.8-105.6-13.1c-9.8-3.1-19.4 5.3-17.7 15.3 8 47.1 71.4 80 123.3 80zm130.3-168.3c3.6-1.1 6-4.5 5.7-8.3-3.3-42.1-32.2-71.4-56-71.4s-52.7 29.3-56 71.4c-.3 3.7 2.1 7.2 5.7 8.3 3.5 1.1 7.4-.5 9.3-3.7l9.5-17c7.7-13.7 19.2-21.6 31.5-21.6s23.8 7.9 31.5 21.6l9.5 17c2.1 3.6 6.2 4.6 9.3 3.7zm105.3-52.9c-24.6 15.7-46 12.9-46.4 12.9 6.9 20.2 10.8 41.8 10.8 64.3 0 110.3-89.7 200-200 200S48 366.3 48 256 137.7 56 248 56c39.8 0 76.8 11.8 108 31.9 1.7-9.5 6.3-24.1 17.2-45.7C336.4 20.6 293.7 8 248 8 111 8 0 119 0 256s111 248 248 248 248-111 248-248c0-27-4.4-52.9-12.4-77.2zM168 189.4c12.3 0 23.8 7.9 31.5 21.6l9.5 17c2.1 3.7 6.2 4.7 9.3 3.7 3.6-1.1 6-4.5 5.7-8.3-3.3-42.1-32.2-71.4-56-71.4s-52.7 29.3-56 71.4c-.3 3.7 2.1 7.2 5.7 8.3 3.5 1.1 7.4-.5 9.3-3.7l9.5-17c7.7-13.8 19.2-21.6 31.5-21.6z"}}]})(props);
};
function FaRegGrinBeam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm105.6-151.4c-25.9 8.3-64.4 13.1-105.6 13.1s-79.6-4.8-105.6-13.1c-9.8-3.1-19.4 5.3-17.7 15.3 7.9 47.1 71.3 80 123.3 80s115.3-32.9 123.3-80c1.6-9.8-7.7-18.4-17.7-15.3zm-235.9-72.9c3.5 1.1 7.4-.5 9.3-3.7l9.5-17c7.7-13.7 19.2-21.6 31.5-21.6s23.8 7.9 31.5 21.6l9.5 17c2.1 3.7 6.2 4.7 9.3 3.7 3.6-1.1 6-4.5 5.7-8.3-3.3-42.1-32.2-71.4-56-71.4s-52.7 29.3-56 71.4c-.3 3.7 2.1 7.2 5.7 8.3zm160 0c3.5 1.1 7.4-.5 9.3-3.7l9.5-17c7.7-13.7 19.2-21.6 31.5-21.6s23.8 7.9 31.5 21.6l9.5 17c2.1 3.7 6.2 4.7 9.3 3.7 3.6-1.1 6-4.5 5.7-8.3-3.3-42.1-32.2-71.4-56-71.4s-52.7 29.3-56 71.4c-.3 3.7 2.1 7.2 5.7 8.3z"}}]})(props);
};
function FaRegGrinHearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M353.6 304.6c-25.9 8.3-64.4 13.1-105.6 13.1s-79.6-4.8-105.6-13.1c-9.8-3.1-19.4 5.3-17.7 15.3 7.9 47.2 71.3 80 123.3 80s115.3-32.9 123.3-80c1.6-9.8-7.7-18.4-17.7-15.3zm-152.8-48.9c4.5 1.2 9.2-1.5 10.5-6l19.4-69.9c5.6-20.3-7.4-41.1-28.8-44.5-18.6-3-36.4 9.8-41.5 27.9l-2 7.1-7.1-1.9c-18.2-4.7-38.2 4.3-44.9 22-7.7 20.2 3.8 41.9 24.2 47.2l70.2 18.1zm188.8-65.3c-6.7-17.6-26.7-26.7-44.9-22l-7.1 1.9-2-7.1c-5-18.1-22.8-30.9-41.5-27.9-21.4 3.4-34.4 24.2-28.8 44.5l19.4 69.9c1.2 4.5 5.9 7.2 10.5 6l70.2-18.2c20.4-5.3 31.9-26.9 24.2-47.1zM248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200z"}}]})(props);
};
function FaRegGrinSquintTears (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M117.1 384.1c-25.8 3.7-84 13.7-100.9 30.6-21.9 21.9-21.5 57.9.9 80.3s58.3 22.8 80.3.9C114.3 479 124.3 420.8 128 395c.8-6.4-4.6-11.8-10.9-10.9zm-41.2-41.7C40.3 268 53 176.1 114.6 114.6 152.4 76.8 202.6 56 256 56c36.2 0 70.8 9.8 101.2 27.7 3.8-20.3 8-36.1 12-48.3C333.8 17.2 294.9 8 256 8 192.5 8 129.1 32.2 80.6 80.6c-74.1 74.1-91.3 183.4-52 274 12.2-4.1 27.7-8.3 47.3-12.2zm352.3-187.6c45 76.6 34.9 176.9-30.8 242.6-37.8 37.8-88 58.6-141.4 58.6-30.5 0-59.8-7-86.4-19.8-3.9 19.5-8 35-12.2 47.2 31.4 13.6 65 20.6 98.7 20.6 63.5 0 126.9-24.2 175.4-72.6 78.1-78.1 93.1-195.4 45.2-288.6-12.3 4-28.2 8.1-48.5 12zm-33.3-26.9c25.8-3.7 84-13.7 100.9-30.6 21.9-21.9 21.5-57.9-.9-80.3s-58.3-22.8-80.3-.9C397.7 33 387.7 91.2 384 117c-.8 6.4 4.6 11.8 10.9 10.9zm-187 108.3c-3-3-7.2-4.2-11.4-3.2L106 255.7c-5.7 1.4-9.5 6.7-9.1 12.6.5 5.8 5.1 10.5 10.9 11l52.3 4.8 4.8 52.3c.5 5.8 5.2 10.4 11 10.9h.9c5.5 0 10.3-3.7 11.7-9.1l22.6-90.5c1-4.2-.2-8.5-3.2-11.5zm39.7-25.1l90.5-22.6c5.7-1.4 9.5-6.7 9.1-12.6-.5-5.8-5.1-10.5-10.9-11l-52.3-4.8-4.8-52.3c-.5-5.8-5.2-10.4-11-10.9-5.6-.1-11.2 3.4-12.6 9.1L233 196.5c-1 4.1.2 8.4 3.2 11.4 5 5 11.3 3.2 11.4 3.2zm52 88.5c-29.1 29.1-59.7 52.9-83.9 65.4-9.2 4.8-10 17.5-1.7 23.4 38.9 27.7 107 6.2 143.7-30.6S416 253 388.3 214.1c-5.8-8.2-18.5-7.6-23.4 1.7-12.3 24.2-36.2 54.7-65.3 83.8z"}}]})(props);
};
function FaRegGrinSquint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm105.6-151.4c-25.9 8.3-64.4 13.1-105.6 13.1s-79.6-4.8-105.6-13.1c-9.9-3.1-19.4 5.4-17.7 15.3 7.9 47.1 71.3 80 123.3 80s115.3-32.9 123.3-80c1.6-9.8-7.7-18.4-17.7-15.3zm-234.7-40.8c3.6 4.2 9.9 5.7 15.3 2.5l80-48c3.6-2.2 5.8-6.1 5.8-10.3s-2.2-8.1-5.8-10.3l-80-48c-5.1-3-11.4-1.9-15.3 2.5-3.8 4.5-3.8 11-.1 15.5l33.6 40.3-33.6 40.3c-3.8 4.5-3.7 11.1.1 15.5zm242.9 2.5c5.4 3.2 11.7 1.7 15.3-2.5 3.8-4.5 3.8-11 .1-15.5L343.6 208l33.6-40.3c3.8-4.5 3.7-11-.1-15.5-3.8-4.4-10.2-5.4-15.3-2.5l-80 48c-3.6 2.2-5.8 6.1-5.8 10.3s2.2 8.1 5.8 10.3l80 48z"}}]})(props);
};
function FaRegGrinStars (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm105.6-151.4c-25.9 8.3-64.4 13.1-105.6 13.1s-79.6-4.8-105.6-13.1c-9.8-3.1-19.4 5.3-17.7 15.3 7.9 47.2 71.3 80 123.3 80s115.3-32.9 123.3-80c1.6-9.8-7.7-18.4-17.7-15.3zm-227.9-57.5c-1 6.2 5.4 11 11 7.9l31.3-16.3 31.3 16.3c5.6 3.1 12-1.7 11-7.9l-6-34.9 25.4-24.6c4.5-4.5 1.9-12.2-4.3-13.2l-34.9-5-15.5-31.6c-2.9-5.8-11-5.8-13.9 0l-15.5 31.6-34.9 5c-6.2.9-8.9 8.6-4.3 13.2l25.4 24.6-6.1 34.9zm259.7-72.7l-34.9-5-15.5-31.6c-2.9-5.8-11-5.8-13.9 0l-15.5 31.6-34.9 5c-6.2.9-8.9 8.6-4.3 13.2l25.4 24.6-6 34.9c-1 6.2 5.4 11 11 7.9l31.3-16.3 31.3 16.3c5.6 3.1 12-1.7 11-7.9l-6-34.9 25.4-24.6c4.5-4.6 1.8-12.2-4.4-13.2z"}}]})(props);
};
function FaRegGrinTears (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M117.1 256.1c-25.8 3.7-84 13.7-100.9 30.6-21.9 21.9-21.5 57.9.9 80.3s58.3 22.8 80.3.9C114.3 351 124.3 292.8 128 267c.8-6.4-4.6-11.8-10.9-10.9zm506.7 30.6c-16.9-16.9-75.1-26.9-100.9-30.6-6.3-.9-11.7 4.5-10.8 10.8 3.7 25.8 13.7 84 30.6 100.9 21.9 21.9 57.9 21.5 80.3-.9 22.3-22.3 22.7-58.3.8-80.2zm-126.6 61.7C463.8 412.3 396.9 456 320 456c-76.9 0-143.8-43.7-177.2-107.6-12.5 37.4-25.2 43.9-28.3 46.5C159.1 460.7 234.5 504 320 504s160.9-43.3 205.5-109.1c-3.2-2.7-15.9-9.2-28.3-46.5zM122.7 224.5C137.9 129.2 220.5 56 320 56c99.5 0 182.1 73.2 197.3 168.5 2.1-.2 5.2-2.4 49.5 7C554.4 106 448.7 8 320 8S85.6 106 73.2 231.4c44.5-9.4 47.1-7.2 49.5-6.9zM320 400c51.9 0 115.3-32.9 123.3-80 1.7-9.9-7.7-18.5-17.7-15.3-25.9 8.3-64.4 13.1-105.6 13.1s-79.6-4.8-105.6-13.1c-9.8-3.1-19.4 5.3-17.7 15.3 8 47.1 71.4 80 123.3 80zm130.3-168.3c3.6-1.1 6-4.5 5.7-8.3-3.3-42.1-32.2-71.4-56-71.4s-52.7 29.3-56 71.4c-.3 3.7 2.1 7.2 5.7 8.3 3.5 1.1 7.4-.5 9.3-3.7l9.5-17c7.7-13.7 19.2-21.6 31.5-21.6s23.8 7.9 31.5 21.6l9.5 17c2.1 3.6 6.2 4.6 9.3 3.7zM240 189.4c12.3 0 23.8 7.9 31.5 21.6l9.5 17c2.1 3.7 6.2 4.7 9.3 3.7 3.6-1.1 6-4.5 5.7-8.3-3.3-42.1-32.2-71.4-56-71.4s-52.7 29.3-56 71.4c-.3 3.7 2.1 7.2 5.7 8.3 3.5 1.1 7.4-.5 9.3-3.7l9.5-17c7.7-13.8 19.2-21.6 31.5-21.6z"}}]})(props);
};
function FaRegGrinTongueSquint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm64 400c0 35.6-29.1 64.5-64.9 64-35.1-.5-63.1-29.8-63.1-65v-42.8l17.7-8.8c15-7.5 31.5 1.7 34.9 16.5l2.8 12.1c2.1 9.2 15.2 9.2 17.3 0l2.8-12.1c3.4-14.8 19.8-24.1 34.9-16.5l17.7 8.8V408zm28.2 25.3c2.2-8.1 3.8-16.5 3.8-25.3v-43.5c14.2-12.4 24.4-27.5 27.3-44.5 1.7-9.9-7.7-18.5-17.7-15.3-25.9 8.3-64.4 13.1-105.6 13.1s-79.6-4.8-105.6-13.1c-9.9-3.1-19.4 5.3-17.7 15.3 2.9 17 13.1 32.1 27.3 44.5V408c0 8.8 1.6 17.2 3.8 25.3C91.8 399.9 48 333 48 256c0-110.3 89.7-200 200-200s200 89.7 200 200c0 77-43.8 143.9-107.8 177.3zm36.9-281.1c-3.8-4.4-10.3-5.5-15.3-2.5l-80 48c-3.6 2.2-5.8 6.1-5.8 10.3s2.2 8.1 5.8 10.3l80 48c5.4 3.2 11.7 1.7 15.3-2.5 3.8-4.5 3.8-11 .1-15.5L343.6 208l33.6-40.3c3.8-4.5 3.7-11.1-.1-15.5zm-162.9 45.5l-80-48c-5-3-11.4-2-15.3 2.5-3.8 4.5-3.8 11-.1 15.5l33.6 40.3-33.6 40.3c-3.8 4.5-3.7 11 .1 15.5 3.6 4.2 9.9 5.7 15.3 2.5l80-48c3.6-2.2 5.8-6.1 5.8-10.3s-2.2-8.1-5.8-10.3z"}}]})(props);
};
function FaRegGrinTongueWink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M152 180c-25.7 0-55.9 16.9-59.8 42.1-.8 5 1.7 10 6.1 12.4 4.4 2.4 9.9 1.8 13.7-1.6l9.5-8.5c14.8-13.2 46.2-13.2 61 0l9.5 8.5c2.5 2.2 8 4.7 13.7 1.6 4.4-2.4 6.9-7.4 6.1-12.4-3.9-25.2-34.1-42.1-59.8-42.1zm176-52c-44.2 0-80 35.8-80 80s35.8 80 80 80 80-35.8 80-80-35.8-80-80-80zm0 128c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48zm0-72c-13.3 0-24 10.7-24 24s10.7 24 24 24 24-10.7 24-24-10.7-24-24-24zM248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm64 400c0 35.6-29.1 64.5-64.9 64-35.1-.5-63.1-29.8-63.1-65v-42.8l17.7-8.8c15-7.5 31.5 1.7 34.9 16.5l2.8 12.1c2.1 9.2 15.2 9.2 17.3 0l2.8-12.1c3.4-14.8 19.8-24.1 34.9-16.5l17.7 8.8V408zm28.2 25.3c2.2-8.1 3.8-16.5 3.8-25.3v-43.5c14.2-12.4 24.4-27.5 27.3-44.5 1.7-9.9-7.7-18.5-17.7-15.3-25.9 8.3-64.4 13.1-105.6 13.1s-79.6-4.8-105.6-13.1c-9.9-3.1-19.4 5.3-17.7 15.3 2.9 17 13.1 32.1 27.3 44.5V408c0 8.8 1.6 17.2 3.8 25.3C91.8 399.9 48 333 48 256c0-110.3 89.7-200 200-200s200 89.7 200 200c0 77-43.8 143.9-107.8 177.3z"}}]})(props);
};
function FaRegGrinTongue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm64 400c0 35.6-29.1 64.5-64.9 64-35.1-.5-63.1-29.8-63.1-65v-42.8l17.7-8.8c15-7.5 31.5 1.7 34.9 16.5l2.8 12.1c2.1 9.2 15.2 9.2 17.3 0l2.8-12.1c3.4-14.8 19.8-24.1 34.9-16.5l17.7 8.8V408zm28.2 25.3c2.2-8.1 3.8-16.5 3.8-25.3v-43.5c14.2-12.4 24.4-27.5 27.3-44.5 1.7-9.9-7.7-18.5-17.7-15.3-25.9 8.3-64.4 13.1-105.6 13.1s-79.6-4.8-105.6-13.1c-9.9-3.1-19.4 5.3-17.7 15.3 2.9 17 13.1 32.1 27.3 44.5V408c0 8.8 1.6 17.2 3.8 25.3C91.8 399.9 48 333 48 256c0-110.3 89.7-200 200-200s200 89.7 200 200c0 77-43.8 143.9-107.8 177.3zM168 176c-17.7 0-32 14.3-32 32s14.3 32 32 32 32-14.3 32-32-14.3-32-32-32zm160 0c-17.7 0-32 14.3-32 32s14.3 32 32 32 32-14.3 32-32-14.3-32-32-32z"}}]})(props);
};
function FaRegGrinWink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M328 180c-25.69 0-55.88 16.92-59.86 42.12-1.75 11.22 11.5 18.24 19.83 10.84l9.55-8.48c14.81-13.19 46.16-13.19 60.97 0l9.55 8.48c8.48 7.43 21.56.25 19.83-10.84C383.88 196.92 353.69 180 328 180zm-160 60c17.67 0 32-14.33 32-32s-14.33-32-32-32-32 14.33-32 32 14.33 32 32 32zm185.55 64.64c-25.93 8.3-64.4 13.06-105.55 13.06s-79.62-4.75-105.55-13.06c-9.94-3.13-19.4 5.37-17.71 15.34C132.67 367.13 196.06 400 248 400s115.33-32.87 123.26-80.02c1.68-9.89-7.67-18.48-17.71-15.34zM248 8C111.03 8 0 119.03 0 256s111.03 248 248 248 248-111.03 248-248S384.97 8 248 8zm0 448c-110.28 0-200-89.72-200-200S137.72 56 248 56s200 89.72 200 200-89.72 200-200 200z"}}]})(props);
};
function FaRegGrin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm105.6-151.4c-25.9 8.3-64.4 13.1-105.6 13.1s-79.6-4.8-105.6-13.1c-9.9-3.1-19.4 5.4-17.7 15.3 7.9 47.1 71.3 80 123.3 80s115.3-32.9 123.3-80c1.6-9.8-7.7-18.4-17.7-15.3zM168 240c17.7 0 32-14.3 32-32s-14.3-32-32-32-32 14.3-32 32 14.3 32 32 32zm160 0c17.7 0 32-14.3 32-32s-14.3-32-32-32-32 14.3-32 32 14.3 32 32 32z"}}]})(props);
};
function FaRegHandLizard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M556.686 290.542L410.328 64.829C397.001 44.272 374.417 32 349.917 32H56C25.121 32 0 57.122 0 88v8c0 44.112 35.888 80 80 80h196.042l-18.333 48H144c-48.523 0-88 39.477-88 88 0 30.879 25.121 56 56 56h131.552c2.987 0 5.914.549 8.697 1.631L352 408.418V480h224V355.829c0-23.225-6.679-45.801-19.314-65.287zM528 432H400v-23.582c0-19.948-12.014-37.508-30.604-44.736l-99.751-38.788A71.733 71.733 0 0 0 243.552 320H112c-4.411 0-8-3.589-8-8 0-22.056 17.944-40 40-40h113.709c19.767 0 37.786-12.407 44.84-30.873l24.552-64.281c8.996-23.553-8.428-48.846-33.63-48.846H80c-17.645 0-32-14.355-32-32v-8c0-4.411 3.589-8 8-8h293.917c8.166 0 15.693 4.09 20.137 10.942l146.358 225.715A71.84 71.84 0 0 1 528 355.829V432z"}}]})(props);
};
function FaRegHandPaper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M372.57 112.641v-10.825c0-43.612-40.52-76.691-83.039-65.546-25.629-49.5-94.09-47.45-117.982.747C130.269 26.456 89.144 57.945 89.144 102v126.13c-19.953-7.427-43.308-5.068-62.083 8.871-29.355 21.796-35.794 63.333-14.55 93.153L132.48 498.569a32 32 0 0 0 26.062 13.432h222.897c14.904 0 27.835-10.289 31.182-24.813l30.184-130.958A203.637 203.637 0 0 0 448 310.564V179c0-40.62-35.523-71.992-75.43-66.359zm27.427 197.922c0 11.731-1.334 23.469-3.965 34.886L368.707 464h-201.92L51.591 302.303c-14.439-20.27 15.023-42.776 29.394-22.605l27.128 38.079c8.995 12.626 29.031 6.287 29.031-9.283V102c0-25.645 36.571-24.81 36.571.691V256c0 8.837 7.163 16 16 16h6.856c8.837 0 16-7.163 16-16V67c0-25.663 36.571-24.81 36.571.691V256c0 8.837 7.163 16 16 16h6.856c8.837 0 16-7.163 16-16V101.125c0-25.672 36.57-24.81 36.57.691V256c0 8.837 7.163 16 16 16h6.857c8.837 0 16-7.163 16-16v-76.309c0-26.242 36.57-25.64 36.57-.691v131.563z"}}]})(props);
};
function FaRegHandPeace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M362.146 191.976c-13.71-21.649-38.761-34.016-65.006-30.341V74c0-40.804-32.811-74-73.141-74-40.33 0-73.14 33.196-73.14 74L160 168l-18.679-78.85C126.578 50.843 83.85 32.11 46.209 47.208 8.735 62.238-9.571 104.963 5.008 142.85l55.757 144.927c-30.557 24.956-43.994 57.809-24.733 92.218l54.853 97.999C102.625 498.97 124.73 512 148.575 512h205.702c30.744 0 57.558-21.44 64.555-51.797l27.427-118.999a67.801 67.801 0 0 0 1.729-15.203L448 256c0-44.956-43.263-77.343-85.854-64.024zM399.987 326c0 1.488-.169 2.977-.502 4.423l-27.427 119.001c-1.978 8.582-9.29 14.576-17.782 14.576H148.575c-6.486 0-12.542-3.621-15.805-9.449l-54.854-98c-4.557-8.141-2.619-18.668 4.508-24.488l26.647-21.764a16 16 0 0 0 4.812-18.139l-64.09-166.549C37.226 92.956 84.37 74.837 96.51 106.389l59.784 155.357A16 16 0 0 0 171.227 272h11.632c8.837 0 16-7.163 16-16V74c0-34.375 50.281-34.43 50.281 0v182c0 8.837 7.163 16 16 16h6.856c8.837 0 16-7.163 16-16v-28c0-25.122 36.567-25.159 36.567 0v28c0 8.837 7.163 16 16 16h6.856c8.837 0 16-7.163 16-16 0-25.12 36.567-25.16 36.567 0v70z"}}]})(props);
};
function FaRegHandPointDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M188.8 512c45.616 0 83.2-37.765 83.2-83.2v-35.647a93.148 93.148 0 0 0 22.064-7.929c22.006 2.507 44.978-3.503 62.791-15.985C409.342 368.1 448 331.841 448 269.299V248c0-60.063-40-98.512-40-127.2v-2.679c4.952-5.747 8-13.536 8-22.12V32c0-17.673-12.894-32-28.8-32H156.8C140.894 0 128 14.327 128 32v64c0 8.584 3.048 16.373 8 22.12v2.679c0 6.964-6.193 14.862-23.668 30.183l-.148.129-.146.131c-9.937 8.856-20.841 18.116-33.253 25.851C48.537 195.798 0 207.486 0 252.8c0 56.928 35.286 92 83.2 92 8.026 0 15.489-.814 22.4-2.176V428.8c0 45.099 38.101 83.2 83.2 83.2zm0-48c-18.7 0-35.2-16.775-35.2-35.2V270.4c-17.325 0-35.2 26.4-70.4 26.4-26.4 0-35.2-20.625-35.2-44 0-8.794 32.712-20.445 56.1-34.926 14.575-9.074 27.225-19.524 39.875-30.799 18.374-16.109 36.633-33.836 39.596-59.075h176.752C364.087 170.79 400 202.509 400 248v21.299c0 40.524-22.197 57.124-61.325 50.601-8.001 14.612-33.979 24.151-53.625 12.925-18.225 19.365-46.381 17.787-61.05 4.95V428.8c0 18.975-16.225 35.2-35.2 35.2zM328 64c0-13.255 10.745-24 24-24s24 10.745 24 24-10.745 24-24 24-24-10.745-24-24z"}}]})(props);
};
function FaRegHandPointLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M0 220.8C0 266.416 37.765 304 83.2 304h35.647a93.148 93.148 0 0 0 7.929 22.064c-2.507 22.006 3.503 44.978 15.985 62.791C143.9 441.342 180.159 480 242.701 480H264c60.063 0 98.512-40 127.2-40h2.679c5.747 4.952 13.536 8 22.12 8h64c17.673 0 32-12.894 32-28.8V188.8c0-15.906-14.327-28.8-32-28.8h-64c-8.584 0-16.373 3.048-22.12 8H391.2c-6.964 0-14.862-6.193-30.183-23.668l-.129-.148-.131-.146c-8.856-9.937-18.116-20.841-25.851-33.253C316.202 80.537 304.514 32 259.2 32c-56.928 0-92 35.286-92 83.2 0 8.026.814 15.489 2.176 22.4H83.2C38.101 137.6 0 175.701 0 220.8zm48 0c0-18.7 16.775-35.2 35.2-35.2h158.4c0-17.325-26.4-35.2-26.4-70.4 0-26.4 20.625-35.2 44-35.2 8.794 0 20.445 32.712 34.926 56.1 9.074 14.575 19.524 27.225 30.799 39.875 16.109 18.374 33.836 36.633 59.075 39.596v176.752C341.21 396.087 309.491 432 264 432h-21.299c-40.524 0-57.124-22.197-50.601-61.325-14.612-8.001-24.151-33.979-12.925-53.625-19.365-18.225-17.787-46.381-4.95-61.05H83.2C64.225 256 48 239.775 48 220.8zM448 360c13.255 0 24 10.745 24 24s-10.745 24-24 24-24-10.745-24-24 10.745-24 24-24z"}}]})(props);
};
function FaRegHandPointRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M428.8 137.6h-86.177a115.52 115.52 0 0 0 2.176-22.4c0-47.914-35.072-83.2-92-83.2-45.314 0-57.002 48.537-75.707 78.784-7.735 12.413-16.994 23.317-25.851 33.253l-.131.146-.129.148C135.662 161.807 127.764 168 120.8 168h-2.679c-5.747-4.952-13.536-8-22.12-8H32c-17.673 0-32 12.894-32 28.8v230.4C0 435.106 14.327 448 32 448h64c8.584 0 16.373-3.048 22.12-8h2.679c28.688 0 67.137 40 127.2 40h21.299c62.542 0 98.8-38.658 99.94-91.145 12.482-17.813 18.491-40.785 15.985-62.791A93.148 93.148 0 0 0 393.152 304H428.8c45.435 0 83.2-37.584 83.2-83.2 0-45.099-38.101-83.2-83.2-83.2zm0 118.4h-91.026c12.837 14.669 14.415 42.825-4.95 61.05 11.227 19.646 1.687 45.624-12.925 53.625 6.524 39.128-10.076 61.325-50.6 61.325H248c-45.491 0-77.21-35.913-120-39.676V215.571c25.239-2.964 42.966-21.222 59.075-39.596 11.275-12.65 21.725-25.3 30.799-39.875C232.355 112.712 244.006 80 252.8 80c23.375 0 44 8.8 44 35.2 0 35.2-26.4 53.075-26.4 70.4h158.4c18.425 0 35.2 16.5 35.2 35.2 0 18.975-16.225 35.2-35.2 35.2zM88 384c0 13.255-10.745 24-24 24s-24-10.745-24-24 10.745-24 24-24 24 10.745 24 24z"}}]})(props);
};
function FaRegHandPointUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M105.6 83.2v86.177a115.52 115.52 0 0 0-22.4-2.176c-47.914 0-83.2 35.072-83.2 92 0 45.314 48.537 57.002 78.784 75.707 12.413 7.735 23.317 16.994 33.253 25.851l.146.131.148.129C129.807 376.338 136 384.236 136 391.2v2.679c-4.952 5.747-8 13.536-8 22.12v64c0 17.673 12.894 32 28.8 32h230.4c15.906 0 28.8-14.327 28.8-32v-64c0-8.584-3.048-16.373-8-22.12V391.2c0-28.688 40-67.137 40-127.2v-21.299c0-62.542-38.658-98.8-91.145-99.94-17.813-12.482-40.785-18.491-62.791-15.985A93.148 93.148 0 0 0 272 118.847V83.2C272 37.765 234.416 0 188.8 0c-45.099 0-83.2 38.101-83.2 83.2zm118.4 0v91.026c14.669-12.837 42.825-14.415 61.05 4.95 19.646-11.227 45.624-1.687 53.625 12.925 39.128-6.524 61.325 10.076 61.325 50.6V264c0 45.491-35.913 77.21-39.676 120H183.571c-2.964-25.239-21.222-42.966-39.596-59.075-12.65-11.275-25.3-21.725-39.875-30.799C80.712 279.645 48 267.994 48 259.2c0-23.375 8.8-44 35.2-44 35.2 0 53.075 26.4 70.4 26.4V83.2c0-18.425 16.5-35.2 35.2-35.2 18.975 0 35.2 16.225 35.2 35.2zM352 424c13.255 0 24 10.745 24 24s-10.745 24-24 24-24-10.745-24-24 10.745-24 24-24z"}}]})(props);
};
function FaRegHandPointer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M358.182 179.361c-19.493-24.768-52.679-31.945-79.872-19.098-15.127-15.687-36.182-22.487-56.595-19.629V67c0-36.944-29.736-67-66.286-67S89.143 30.056 89.143 67v161.129c-19.909-7.41-43.272-5.094-62.083 8.872-29.355 21.795-35.793 63.333-14.55 93.152l109.699 154.001C134.632 501.59 154.741 512 176 512h178.286c30.802 0 57.574-21.5 64.557-51.797l27.429-118.999A67.873 67.873 0 0 0 448 326v-84c0-46.844-46.625-79.273-89.818-62.639zM80.985 279.697l27.126 38.079c8.995 12.626 29.031 6.287 29.031-9.283V67c0-25.12 36.571-25.16 36.571 0v175c0 8.836 7.163 16 16 16h6.857c8.837 0 16-7.164 16-16v-35c0-25.12 36.571-25.16 36.571 0v35c0 8.836 7.163 16 16 16H272c8.837 0 16-7.164 16-16v-21c0-25.12 36.571-25.16 36.571 0v21c0 8.836 7.163 16 16 16h6.857c8.837 0 16-7.164 16-16 0-25.121 36.571-25.16 36.571 0v84c0 1.488-.169 2.977-.502 4.423l-27.43 119.001c-1.978 8.582-9.29 14.576-17.782 14.576H176c-5.769 0-11.263-2.878-14.697-7.697l-109.712-154c-14.406-20.223 14.994-42.818 29.394-22.606zM176.143 400v-96c0-8.837 6.268-16 14-16h6c7.732 0 14 7.163 14 16v96c0 8.837-6.268 16-14 16h-6c-7.733 0-14-7.163-14-16zm75.428 0v-96c0-8.837 6.268-16 14-16h6c7.732 0 14 7.163 14 16v96c0 8.837-6.268 16-14 16h-6c-7.732 0-14-7.163-14-16zM327 400v-96c0-8.837 6.268-16 14-16h6c7.732 0 14 7.163 14 16v96c0 8.837-6.268 16-14 16h-6c-7.732 0-14-7.163-14-16z"}}]})(props);
};
function FaRegHandRock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M408.864 79.052c-22.401-33.898-66.108-42.273-98.813-23.588-29.474-31.469-79.145-31.093-108.334-.022-47.16-27.02-108.71 5.055-110.671 60.806C44.846 105.407 0 140.001 0 187.429v56.953c0 32.741 14.28 63.954 39.18 85.634l97.71 85.081c4.252 3.702 3.11 5.573 3.11 32.903 0 17.673 14.327 32 32 32h252c17.673 0 32-14.327 32-32 0-23.513-1.015-30.745 3.982-42.37l42.835-99.656c6.094-14.177 9.183-29.172 9.183-44.568V146.963c0-52.839-54.314-88.662-103.136-67.911zM464 261.406a64.505 64.505 0 0 1-5.282 25.613l-42.835 99.655c-5.23 12.171-7.883 25.04-7.883 38.25V432H188v-10.286c0-16.37-7.14-31.977-19.59-42.817l-97.71-85.08C56.274 281.255 48 263.236 48 244.381v-56.953c0-33.208 52-33.537 52 .677v41.228a16 16 0 0 0 5.493 12.067l7 6.095A16 16 0 0 0 139 235.429V118.857c0-33.097 52-33.725 52 .677v26.751c0 8.836 7.164 16 16 16h7c8.836 0 16-7.164 16-16v-41.143c0-33.134 52-33.675 52 .677v40.466c0 8.836 7.163 16 16 16h7c8.837 0 16-7.164 16-16v-27.429c0-33.03 52-33.78 52 .677v26.751c0 8.836 7.163 16 16 16h7c8.837 0 16-7.164 16-16 0-33.146 52-33.613 52 .677v114.445z"}}]})(props);
};
function FaRegHandScissors (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 480l70-.013c5.114 0 10.231-.583 15.203-1.729l118.999-27.427C490.56 443.835 512 417.02 512 386.277V180.575c0-23.845-13.03-45.951-34.005-57.69l-97.999-54.853c-34.409-19.261-67.263-5.824-92.218 24.733L142.85 37.008c-37.887-14.579-80.612 3.727-95.642 41.201-15.098 37.642 3.635 80.37 41.942 95.112L168 192l-94-9.141c-40.804 0-74 32.811-74 73.14 0 40.33 33.196 73.141 74 73.141h87.635c-3.675 26.245 8.692 51.297 30.341 65.006C178.657 436.737 211.044 480 256 480zm0-48.013c-25.16 0-25.12-36.567 0-36.567 8.837 0 16-7.163 16-16v-6.856c0-8.837-7.163-16-16-16h-28c-25.159 0-25.122-36.567 0-36.567h28c8.837 0 16-7.163 16-16v-6.856c0-8.837-7.163-16-16-16H74c-34.43 0-34.375-50.281 0-50.281h182c8.837 0 16-7.163 16-16v-11.632a16 16 0 0 0-10.254-14.933L106.389 128.51c-31.552-12.14-13.432-59.283 19.222-46.717l166.549 64.091a16.001 16.001 0 0 0 18.139-4.812l21.764-26.647c5.82-7.127 16.348-9.064 24.488-4.508l98 54.854c5.828 3.263 9.449 9.318 9.449 15.805v205.701c0 8.491-5.994 15.804-14.576 17.782l-119.001 27.427a19.743 19.743 0 0 1-4.423.502h-70z"}}]})(props);
};
function FaRegHandSpock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M501.03053,116.17605c-19.39059-31.50779-51.24406-35.72849-66.31044-35.01756-14.11325-50.81051-62.0038-54.08-70.73816-54.08a74.03091,74.03091,0,0,0-72.23816,58.916l-4.64648,22.66014-13.68357-53.207c-9.09569-35.37107-46.412-64.05074-89.66-53.07223a73.89749,73.89749,0,0,0-55.121,78.94722,73.68273,73.68273,0,0,0-64.8495,94.42181l24.35933,82.19721c-38.24017-7.54492-62.79677,16.18358-68.11512,21.84764a73.6791,73.6791,0,0,0,3.19921,104.19329l91.36509,85.9765A154.164,154.164,0,0,0,220.62279,512h107.4549A127.30079,127.30079,0,0,0,452.3392,413.86139l57.623-241.96272A73.20274,73.20274,0,0,0,501.03053,116.17605Zm-37.7597,44.60544L405.64788,402.74812a79.46616,79.46616,0,0,1-77.57019,61.25972H220.62279a106.34052,106.34052,0,0,1-73.1366-28.998l-91.369-85.98041C31.34381,325.72669,66.61133,288.131,91.39644,311.5392l51.123,48.10739c5.42577,5.10937,13.48239.71679,13.48239-5.82617a246.79914,246.79914,0,0,0-10.17771-70.1523l-36.01362-121.539c-9.7324-32.88279,39.69916-47.27145,49.38664-14.625l31.3437,105.77923c5.59374,18.90428,33.78119,10.71288,28.9648-8.00781L177.06427,80.23662c-8.50389-33.1035,41.43157-45.64646,49.86515-12.83593l47.32609,184.035c4.42773,17.24218,29.16207,16.5039,32.71089-.80468l31.791-154.9706c6.81054-33.1074,57.51748-24.10741,50.11906,11.96288L360.32764,246.78924c-3.72265,18.10936,23.66793,24.63084,28.05659,6.21679L413.185,148.85962C421.1498,115.512,471.14,127.79713,463.27083,160.78149Z"}}]})(props);
};
function FaRegHandshake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M519.2 127.9l-47.6-47.6A56.252 56.252 0 0 0 432 64H205.2c-14.8 0-29.1 5.9-39.6 16.3L118 127.9H0v255.7h64c17.6 0 31.8-14.2 31.9-31.7h9.1l84.6 76.4c30.9 25.1 73.8 25.7 105.6 3.8 12.5 10.8 26 15.9 41.1 15.9 18.2 0 35.3-7.4 48.8-24 22.1 8.7 48.2 2.6 64-16.8l26.2-32.3c5.6-6.9 9.1-14.8 10.9-23h57.9c.1 17.5 14.4 31.7 31.9 31.7h64V127.9H519.2zM48 351.6c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16c0 8.9-7.2 16-16 16zm390-6.9l-26.1 32.2c-2.8 3.4-7.8 4-11.3 1.2l-23.9-19.4-30 36.5c-6 7.3-15 4.8-18 2.4l-36.8-31.5-15.6 19.2c-13.9 17.1-39.2 19.7-55.3 6.6l-97.3-88H96V175.8h41.9l61.7-61.6c2-.8 3.7-1.5 5.7-2.3H262l-38.7 35.5c-29.4 26.9-31.1 72.3-4.4 101.3 14.8 16.2 61.2 41.2 101.5 4.4l8.2-7.5 108.2 87.8c3.4 2.8 3.9 7.9 1.2 11.3zm106-40.8h-69.2c-2.3-2.8-4.9-5.4-7.7-7.7l-102.7-83.4 12.5-11.4c6.5-6 7-16.1 1-22.6L367 167.1c-6-6.5-16.1-6.9-22.6-1l-55.2 50.6c-9.5 8.7-25.7 9.4-34.6 0-9.3-9.9-8.5-25.1 1.2-33.9l65.6-60.1c7.4-6.8 17-10.5 27-10.5l83.7-.2c2.1 0 4.1.8 5.5 2.3l61.7 61.6H544v128zm48 47.7c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16c0 8.9-7.2 16-16 16z"}}]})(props);
};
function FaRegHdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M567.403 235.642L462.323 84.589A48 48 0 0 0 422.919 64H153.081a48 48 0 0 0-39.404 20.589L8.597 235.642A48.001 48.001 0 0 0 0 263.054V400c0 26.51 21.49 48 48 48h480c26.51 0 48-21.49 48-48V263.054c0-9.801-3-19.366-8.597-27.412zM153.081 112h269.838l77.913 112H75.168l77.913-112zM528 400H48V272h480v128zm-32-64c0 17.673-14.327 32-32 32s-32-14.327-32-32 14.327-32 32-32 32 14.327 32 32zm-96 0c0 17.673-14.327 32-32 32s-32-14.327-32-32 14.327-32 32-32 32 14.327 32 32z"}}]})(props);
};
function FaRegHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M458.4 64.3C400.6 15.7 311.3 23 256 79.3 200.7 23 111.4 15.6 53.6 64.3-21.6 127.6-10.6 230.8 43 285.5l175.4 178.7c10 10.2 23.4 15.9 37.6 15.9 14.3 0 27.6-5.6 37.6-15.8L469 285.6c53.5-54.7 64.7-157.9-10.6-221.3zm-23.6 187.5L259.4 430.5c-2.4 2.4-4.4 2.4-6.8 0L77.2 251.8c-36.5-37.2-43.9-107.6 7.3-150.7 38.9-32.7 98.9-27.8 136.5 10.5l35 35.7 35-35.7c37.8-38.5 97.8-43.2 136.5-10.6 51.1 43.1 43.5 113.9 7.3 150.8z"}}]})(props);
};
function FaRegHospital (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M128 244v-40c0-6.627 5.373-12 12-12h40c6.627 0 12 5.373 12 12v40c0 6.627-5.373 12-12 12h-40c-6.627 0-12-5.373-12-12zm140 12h40c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12zm-76 84v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12h40c6.627 0 12-5.373 12-12zm76 12h40c6.627 0 12-5.373 12-12v-40c0-6.627-5.373-12-12-12h-40c-6.627 0-12 5.373-12 12v40c0 6.627 5.373 12 12 12zm180 124v36H0v-36c0-6.627 5.373-12 12-12h19.5V85.035C31.5 73.418 42.245 64 55.5 64H144V24c0-13.255 10.745-24 24-24h112c13.255 0 24 10.745 24 24v40h88.5c13.255 0 24 9.418 24 21.035V464H436c6.627 0 12 5.373 12 12zM79.5 463H192v-67c0-6.627 5.373-12 12-12h40c6.627 0 12 5.373 12 12v67h112.5V112H304v24c0 13.255-10.745 24-24 24H168c-13.255 0-24-10.745-24-24v-24H79.5v351zM266 64h-26V38a6 6 0 0 0-6-6h-20a6 6 0 0 0-6 6v26h-26a6 6 0 0 0-6 6v20a6 6 0 0 0 6 6h26v26a6 6 0 0 0 6 6h20a6 6 0 0 0 6-6V96h26a6 6 0 0 0 6-6V70a6 6 0 0 0-6-6z"}}]})(props);
};
function FaRegHourglass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M368 48h4c6.627 0 12-5.373 12-12V12c0-6.627-5.373-12-12-12H12C5.373 0 0 5.373 0 12v24c0 6.627 5.373 12 12 12h4c0 80.564 32.188 165.807 97.18 208C47.899 298.381 16 383.9 16 464h-4c-6.627 0-12 5.373-12 12v24c0 6.627 5.373 12 12 12h360c6.627 0 12-5.373 12-12v-24c0-6.627-5.373-12-12-12h-4c0-80.564-32.188-165.807-97.18-208C336.102 213.619 368 128.1 368 48zM64 48h256c0 101.62-57.307 184-128 184S64 149.621 64 48zm256 416H64c0-101.62 57.308-184 128-184s128 82.38 128 184z"}}]})(props);
};
function FaRegIdBadge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 384 512"},"child":[{"tag":"path","attr":{"d":"M336 0H48C21.5 0 0 21.5 0 48v416c0 26.5 21.5 48 48 48h288c26.5 0 48-21.5 48-48V48c0-26.5-21.5-48-48-48zm0 464H48V48h288v416zM144 112h96c8.8 0 16-7.2 16-16s-7.2-16-16-16h-96c-8.8 0-16 7.2-16 16s7.2 16 16 16zm48 176c35.3 0 64-28.7 64-64s-28.7-64-64-64-64 28.7-64 64 28.7 64 64 64zm-89.6 128h179.2c12.4 0 22.4-8.6 22.4-19.2v-19.2c0-31.8-30.1-57.6-67.2-57.6-10.8 0-18.7 8-44.8 8-26.9 0-33.4-8-44.8-8-37.1 0-67.2 25.8-67.2 57.6v19.2c0 10.6 10 19.2 22.4 19.2z"}}]})(props);
};
function FaRegIdCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M528 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h480c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm0 400H303.2c.9-4.5.8 3.6.8-22.4 0-31.8-30.1-57.6-67.2-57.6-10.8 0-18.7 8-44.8 8-26.9 0-33.4-8-44.8-8-37.1 0-67.2 25.8-67.2 57.6 0 26-.2 17.9.8 22.4H48V144h480v288zm-168-80h112c4.4 0 8-3.6 8-8v-16c0-4.4-3.6-8-8-8H360c-4.4 0-8 3.6-8 8v16c0 4.4 3.6 8 8 8zm0-64h112c4.4 0 8-3.6 8-8v-16c0-4.4-3.6-8-8-8H360c-4.4 0-8 3.6-8 8v16c0 4.4 3.6 8 8 8zm0-64h112c4.4 0 8-3.6 8-8v-16c0-4.4-3.6-8-8-8H360c-4.4 0-8 3.6-8 8v16c0 4.4 3.6 8 8 8zm-168 96c35.3 0 64-28.7 64-64s-28.7-64-64-64-64 28.7-64 64 28.7 64 64 64z"}}]})(props);
};
function FaRegImage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 64H48C21.49 64 0 85.49 0 112v288c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V112c0-26.51-21.49-48-48-48zm-6 336H54a6 6 0 0 1-6-6V118a6 6 0 0 1 6-6h404a6 6 0 0 1 6 6v276a6 6 0 0 1-6 6zM128 152c-22.091 0-40 17.909-40 40s17.909 40 40 40 40-17.909 40-40-17.909-40-40-40zM96 352h320v-80l-87.515-87.515c-4.686-4.686-12.284-4.686-16.971 0L192 304l-39.515-39.515c-4.686-4.686-12.284-4.686-16.971 0L96 304v48z"}}]})(props);
};
function FaRegImages (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M480 416v16c0 26.51-21.49 48-48 48H48c-26.51 0-48-21.49-48-48V176c0-26.51 21.49-48 48-48h16v48H54a6 6 0 0 0-6 6v244a6 6 0 0 0 6 6h372a6 6 0 0 0 6-6v-10h48zm42-336H150a6 6 0 0 0-6 6v244a6 6 0 0 0 6 6h372a6 6 0 0 0 6-6V86a6 6 0 0 0-6-6zm6-48c26.51 0 48 21.49 48 48v256c0 26.51-21.49 48-48 48H144c-26.51 0-48-21.49-48-48V80c0-26.51 21.49-48 48-48h384zM264 144c0 22.091-17.909 40-40 40s-40-17.909-40-40 17.909-40 40-40 40 17.909 40 40zm-72 96l39.515-39.515c4.686-4.686 12.284-4.686 16.971 0L288 240l103.515-103.515c4.686-4.686 12.284-4.686 16.971 0L480 208v80H192v-48z"}}]})(props);
};
function FaRegKeyboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M528 64H48C21.49 64 0 85.49 0 112v288c0 26.51 21.49 48 48 48h480c26.51 0 48-21.49 48-48V112c0-26.51-21.49-48-48-48zm8 336c0 4.411-3.589 8-8 8H48c-4.411 0-8-3.589-8-8V112c0-4.411 3.589-8 8-8h480c4.411 0 8 3.589 8 8v288zM170 270v-28c0-6.627-5.373-12-12-12h-28c-6.627 0-12 5.373-12 12v28c0 6.627 5.373 12 12 12h28c6.627 0 12-5.373 12-12zm96 0v-28c0-6.627-5.373-12-12-12h-28c-6.627 0-12 5.373-12 12v28c0 6.627 5.373 12 12 12h28c6.627 0 12-5.373 12-12zm96 0v-28c0-6.627-5.373-12-12-12h-28c-6.627 0-12 5.373-12 12v28c0 6.627 5.373 12 12 12h28c6.627 0 12-5.373 12-12zm96 0v-28c0-6.627-5.373-12-12-12h-28c-6.627 0-12 5.373-12 12v28c0 6.627 5.373 12 12 12h28c6.627 0 12-5.373 12-12zm-336 82v-28c0-6.627-5.373-12-12-12H82c-6.627 0-12 5.373-12 12v28c0 6.627 5.373 12 12 12h28c6.627 0 12-5.373 12-12zm384 0v-28c0-6.627-5.373-12-12-12h-28c-6.627 0-12 5.373-12 12v28c0 6.627 5.373 12 12 12h28c6.627 0 12-5.373 12-12zM122 188v-28c0-6.627-5.373-12-12-12H82c-6.627 0-12 5.373-12 12v28c0 6.627 5.373 12 12 12h28c6.627 0 12-5.373 12-12zm96 0v-28c0-6.627-5.373-12-12-12h-28c-6.627 0-12 5.373-12 12v28c0 6.627 5.373 12 12 12h28c6.627 0 12-5.373 12-12zm96 0v-28c0-6.627-5.373-12-12-12h-28c-6.627 0-12 5.373-12 12v28c0 6.627 5.373 12 12 12h28c6.627 0 12-5.373 12-12zm96 0v-28c0-6.627-5.373-12-12-12h-28c-6.627 0-12 5.373-12 12v28c0 6.627 5.373 12 12 12h28c6.627 0 12-5.373 12-12zm96 0v-28c0-6.627-5.373-12-12-12h-28c-6.627 0-12 5.373-12 12v28c0 6.627 5.373 12 12 12h28c6.627 0 12-5.373 12-12zm-98 158v-16c0-6.627-5.373-12-12-12H180c-6.627 0-12 5.373-12 12v16c0 6.627 5.373 12 12 12h216c6.627 0 12-5.373 12-12z"}}]})(props);
};
function FaRegKissBeam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M168 152c-23.8 0-52.7 29.3-56 71.4-.3 3.7 2 7.2 5.6 8.3 3.5 1 7.5-.5 9.3-3.7l9.5-17c7.7-13.7 19.2-21.6 31.5-21.6s23.8 7.9 31.5 21.6l9.5 17c2.1 3.7 6.2 4.7 9.3 3.7 3.6-1.1 5.9-4.5 5.6-8.3-3.1-42.1-32-71.4-55.8-71.4zM248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm56-148c0-19.2-28.8-41.5-71.5-44-3.8-.4-7.4 2.4-8.2 6.2-.9 3.8 1.1 7.7 4.7 9.2l16.9 7.2c13 5.5 20.8 13.5 20.8 21.5s-7.8 16-20.7 21.5l-17 7.2c-5.7 2.4-6 12.2 0 14.8l16.9 7.2c13 5.5 20.8 13.5 20.8 21.5s-7.8 16-20.7 21.5l-17 7.2c-3.6 1.5-5.6 5.4-4.7 9.2.8 3.6 4.1 6.2 7.8 6.2h.5c42.8-2.5 71.5-24.8 71.5-44 0-13-13.4-27.3-35.2-36C290.6 335.3 304 321 304 308zm24-156c-23.8 0-52.7 29.3-56 71.4-.3 3.7 2 7.2 5.6 8.3 3.5 1 7.5-.5 9.3-3.7l9.5-17c7.7-13.7 19.2-21.6 31.5-21.6s23.8 7.9 31.5 21.6l9.5 17c2.1 3.7 6.2 4.7 9.3 3.7 3.6-1.1 5.9-4.5 5.6-8.3-3.1-42.1-32-71.4-55.8-71.4z"}}]})(props);
};
function FaRegKissWinkHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 504 512"},"child":[{"tag":"path","attr":{"d":"M304 308.5c0-19.2-28.8-41.5-71.5-44-3.8-.4-7.4 2.4-8.2 6.2-.9 3.8 1.1 7.7 4.7 9.2l16.9 7.2c13 5.5 20.8 13.5 20.8 21.5s-7.8 16-20.7 21.5l-17 7.2c-5.7 2.4-6 12.2 0 14.8l16.9 7.2c13 5.5 20.8 13.5 20.8 21.5s-7.8 16-20.7 21.5l-17 7.2c-3.6 1.5-5.6 5.4-4.7 9.2.8 3.6 4.1 6.2 7.8 6.2h.5c42.8-2.5 71.5-24.8 71.5-44 0-13-13.4-27.3-35.2-36 21.7-9.1 35.1-23.4 35.1-36.4zm70.5-83.5l9.5 8.5c3.8 3.3 9.3 4 13.7 1.6 4.4-2.4 6.9-7.4 6.1-12.4-4-25.2-34.2-42.1-59.8-42.1s-55.9 16.9-59.8 42.1c-.8 5 1.7 10 6.1 12.4 5.8 3.1 11.2.7 13.7-1.6l9.5-8.5c14.8-13.2 46.2-13.2 61 0zM136 208.5c0 17.7 14.3 32 32 32s32-14.3 32-32-14.3-32-32-32-32 14.3-32 32zm365.1 194c-8-20.8-31.5-31.5-53.1-25.9l-8.4 2.2-2.3-8.4c-5.9-21.4-27-36.5-49-33-25.2 4-40.6 28.6-34 52.6l22.9 82.6c1.5 5.3 7 8.5 12.4 7.1l83-21.5c24.1-6.3 37.7-31.8 28.5-55.7zM334 436.3c-26.1 12.5-55.2 19.7-86 19.7-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200c0 22.1-3.7 43.3-10.4 63.2 9 6.4 17 14.2 22.6 23.9 6.4.1 12.6 1.4 18.6 2.9 10.9-27.9 17.1-58.2 17.1-90C496 119 385 8 248 8S0 119 0 256s111 248 248 248c35.4 0 68.9-7.5 99.4-20.9-2.5-7.3 4.3 17.2-13.4-46.8z"}}]})(props);
};
function FaRegKiss (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M168 176c-17.7 0-32 14.3-32 32s14.3 32 32 32 32-14.3 32-32-14.3-32-32-32zm136 132c0-19.2-28.8-41.5-71.5-44-3.8-.4-7.4 2.4-8.2 6.2-.9 3.8 1.1 7.7 4.7 9.2l16.9 7.2c13 5.5 20.8 13.5 20.8 21.5s-7.8 16-20.7 21.5l-17 7.2c-5.7 2.4-6 12.2 0 14.8l16.9 7.2c13 5.5 20.8 13.5 20.8 21.5s-7.8 16-20.7 21.5l-17 7.2c-3.6 1.5-5.6 5.4-4.7 9.2.8 3.6 4.1 6.2 7.8 6.2h.5c42.8-2.5 71.5-24.8 71.5-44 0-13-13.4-27.3-35.2-36C290.6 335.3 304 321 304 308zM248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm80-280c-17.7 0-32 14.3-32 32s14.3 32 32 32 32-14.3 32-32-14.3-32-32-32z"}}]})(props);
};
function FaRegLaughBeam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm141.4 389.4c-37.8 37.8-88 58.6-141.4 58.6s-103.6-20.8-141.4-58.6S48 309.4 48 256s20.8-103.6 58.6-141.4S194.6 56 248 56s103.6 20.8 141.4 58.6S448 202.6 448 256s-20.8 103.6-58.6 141.4zM328 152c-23.8 0-52.7 29.3-56 71.4-.7 8.6 10.8 11.9 14.9 4.5l9.5-17c7.7-13.7 19.2-21.6 31.5-21.6s23.8 7.9 31.5 21.6l9.5 17c4.1 7.4 15.6 4 14.9-4.5-3.1-42.1-32-71.4-55.8-71.4zm-201 75.9l9.5-17c7.7-13.7 19.2-21.6 31.5-21.6s23.8 7.9 31.5 21.6l9.5 17c4.1 7.4 15.6 4 14.9-4.5-3.3-42.1-32.2-71.4-56-71.4s-52.7 29.3-56 71.4c-.6 8.5 10.9 11.9 15.1 4.5zM362.4 288H133.6c-8.2 0-14.5 7-13.5 15 7.5 59.2 58.9 105 121.1 105h13.6c62.2 0 113.6-45.8 121.1-105 1-8-5.3-15-13.5-15z"}}]})(props);
};
function FaRegLaughSquint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm141.4 389.4c-37.8 37.8-88 58.6-141.4 58.6s-103.6-20.8-141.4-58.6S48 309.4 48 256s20.8-103.6 58.6-141.4S194.6 56 248 56s103.6 20.8 141.4 58.6S448 202.6 448 256s-20.8 103.6-58.6 141.4zM343.6 196l33.6-40.3c8.6-10.3-3.8-24.8-15.4-18l-80 48c-7.8 4.7-7.8 15.9 0 20.6l80 48c11.5 6.8 24-7.6 15.4-18L343.6 196zm-209.4 58.3l80-48c7.8-4.7 7.8-15.9 0-20.6l-80-48c-11.6-6.9-24 7.7-15.4 18l33.6 40.3-33.6 40.3c-8.7 10.4 3.8 24.8 15.4 18zM362.4 288H133.6c-8.2 0-14.5 7-13.5 15 7.5 59.2 58.9 105 121.1 105h13.6c62.2 0 113.6-45.8 121.1-105 1-8-5.3-15-13.5-15z"}}]})(props);
};
function FaRegLaughWink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm141.4 389.4c-37.8 37.8-88 58.6-141.4 58.6s-103.6-20.8-141.4-58.6C68.8 359.6 48 309.4 48 256s20.8-103.6 58.6-141.4C144.4 76.8 194.6 56 248 56s103.6 20.8 141.4 58.6c37.8 37.8 58.6 88 58.6 141.4s-20.8 103.6-58.6 141.4zM328 164c-25.7 0-55.9 16.9-59.9 42.1-1.7 11.2 11.5 18.2 19.8 10.8l9.5-8.5c14.8-13.2 46.2-13.2 61 0l9.5 8.5c8.5 7.4 21.6.3 19.8-10.8-3.8-25.2-34-42.1-59.7-42.1zm-160 60c17.7 0 32-14.3 32-32s-14.3-32-32-32-32 14.3-32 32 14.3 32 32 32zm194.4 64H133.6c-8.2 0-14.5 7-13.5 15 7.5 59.2 58.9 105 121.1 105h13.6c62.2 0 113.6-45.8 121.1-105 1-8-5.3-15-13.5-15z"}}]})(props);
};
function FaRegLaugh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm141.4 389.4c-37.8 37.8-88 58.6-141.4 58.6s-103.6-20.8-141.4-58.6S48 309.4 48 256s20.8-103.6 58.6-141.4S194.6 56 248 56s103.6 20.8 141.4 58.6S448 202.6 448 256s-20.8 103.6-58.6 141.4zM328 224c17.7 0 32-14.3 32-32s-14.3-32-32-32-32 14.3-32 32 14.3 32 32 32zm-160 0c17.7 0 32-14.3 32-32s-14.3-32-32-32-32 14.3-32 32 14.3 32 32 32zm194.4 64H133.6c-8.2 0-14.5 7-13.5 15 7.5 59.2 58.9 105 121.1 105h13.6c62.2 0 113.6-45.8 121.1-105 1-8-5.3-15-13.5-15z"}}]})(props);
};
function FaRegLemon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M484.112 27.889C455.989-.233 416.108-8.057 387.059 8.865 347.604 31.848 223.504-41.111 91.196 91.197-41.277 223.672 31.923 347.472 8.866 387.058c-16.922 29.051-9.1 68.932 19.022 97.054 28.135 28.135 68.011 35.938 97.057 19.021 39.423-22.97 163.557 49.969 295.858-82.329 132.474-132.477 59.273-256.277 82.331-295.861 16.922-29.05 9.1-68.931-19.022-97.054zm-22.405 72.894c-38.8 66.609 45.6 165.635-74.845 286.08-120.44 120.443-219.475 36.048-286.076 74.843-22.679 13.207-64.035-27.241-50.493-50.488 38.8-66.609-45.6-165.635 74.845-286.08C245.573 4.702 344.616 89.086 411.219 50.292c22.73-13.24 64.005 27.288 50.488 50.491zm-169.861 8.736c1.37 10.96-6.404 20.957-17.365 22.327-54.846 6.855-135.779 87.787-142.635 142.635-1.373 10.989-11.399 18.734-22.326 17.365-10.961-1.37-18.735-11.366-17.365-22.326 9.162-73.286 104.167-168.215 177.365-177.365 10.953-1.368 20.956 6.403 22.326 17.364z"}}]})(props);
};
function FaRegLifeRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 504c136.967 0 248-111.033 248-248S392.967 8 256 8 8 119.033 8 256s111.033 248 248 248zm-103.398-76.72l53.411-53.411c31.806 13.506 68.128 13.522 99.974 0l53.411 53.411c-63.217 38.319-143.579 38.319-206.796 0zM336 256c0 44.112-35.888 80-80 80s-80-35.888-80-80 35.888-80 80-80 80 35.888 80 80zm91.28 103.398l-53.411-53.411c13.505-31.806 13.522-68.128 0-99.974l53.411-53.411c38.319 63.217 38.319 143.579 0 206.796zM359.397 84.72l-53.411 53.411c-31.806-13.505-68.128-13.522-99.973 0L152.602 84.72c63.217-38.319 143.579-38.319 206.795 0zM84.72 152.602l53.411 53.411c-13.506 31.806-13.522 68.128 0 99.974L84.72 359.398c-38.319-63.217-38.319-143.579 0-206.796z"}}]})(props);
};
function FaRegLightbulb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 352 512"},"child":[{"tag":"path","attr":{"d":"M176 80c-52.94 0-96 43.06-96 96 0 8.84 7.16 16 16 16s16-7.16 16-16c0-35.3 28.72-64 64-64 8.84 0 16-7.16 16-16s-7.16-16-16-16zM96.06 459.17c0 3.15.93 6.22 2.68 8.84l24.51 36.84c2.97 4.46 7.97 7.14 13.32 7.14h78.85c5.36 0 10.36-2.68 13.32-7.14l24.51-36.84c1.74-2.62 2.67-5.7 2.68-8.84l.05-43.18H96.02l.04 43.18zM176 0C73.72 0 0 82.97 0 176c0 44.37 16.45 84.85 43.56 115.78 16.64 18.99 42.74 58.8 52.42 92.16v.06h48v-.12c-.01-4.77-.72-9.51-2.15-14.07-5.59-17.81-22.82-64.77-62.17-109.67-20.54-23.43-31.52-53.15-31.61-84.14-.2-73.64 59.67-128 127.95-128 70.58 0 128 57.42 128 128 0 30.97-11.24 60.85-31.65 84.14-39.11 44.61-56.42 91.47-62.1 109.46a47.507 47.507 0 0 0-2.22 14.3v.1h48v-.05c9.68-33.37 35.78-73.18 52.42-92.16C335.55 260.85 352 220.37 352 176 352 78.8 273.2 0 176 0z"}}]})(props);
};
function FaRegListAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 32H48C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h416c26.51 0 48-21.49 48-48V80c0-26.51-21.49-48-48-48zm-6 400H54a6 6 0 0 1-6-6V86a6 6 0 0 1 6-6h404a6 6 0 0 1 6 6v340a6 6 0 0 1-6 6zm-42-92v24c0 6.627-5.373 12-12 12H204c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h200c6.627 0 12 5.373 12 12zm0-96v24c0 6.627-5.373 12-12 12H204c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h200c6.627 0 12 5.373 12 12zm0-96v24c0 6.627-5.373 12-12 12H204c-6.627 0-12-5.373-12-12v-24c0-6.627 5.373-12 12-12h200c6.627 0 12 5.373 12 12zm-252 12c0 19.882-16.118 36-36 36s-36-16.118-36-36 16.118-36 36-36 36 16.118 36 36zm0 96c0 19.882-16.118 36-36 36s-36-16.118-36-36 16.118-36 36-36 36 16.118 36 36zm0 96c0 19.882-16.118 36-36 36s-36-16.118-36-36 16.118-36 36-36 36 16.118 36 36z"}}]})(props);
};
function FaRegMap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M560.02 32c-1.96 0-3.98.37-5.96 1.16L384.01 96H384L212 35.28A64.252 64.252 0 0 0 191.76 32c-6.69 0-13.37 1.05-19.81 3.14L20.12 87.95A32.006 32.006 0 0 0 0 117.66v346.32C0 473.17 7.53 480 15.99 480c1.96 0 3.97-.37 5.96-1.16L192 416l172 60.71a63.98 63.98 0 0 0 40.05.15l151.83-52.81A31.996 31.996 0 0 0 576 394.34V48.02c0-9.19-7.53-16.02-15.98-16.02zM224 90.42l128 45.19v285.97l-128-45.19V90.42zM48 418.05V129.07l128-44.53v286.2l-.64.23L48 418.05zm480-35.13l-128 44.53V141.26l.64-.24L528 93.95v288.97z"}}]})(props);
};
function FaRegMehBlank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm-80-280c-17.7 0-32 14.3-32 32s14.3 32 32 32 32-14.3 32-32-14.3-32-32-32zm160 0c-17.7 0-32 14.3-32 32s14.3 32 32 32 32-14.3 32-32-14.3-32-32-32z"}}]})(props);
};
function FaRegMehRollingEyes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm88-304c-39.8 0-72 32.2-72 72s32.2 72 72 72 72-32.2 72-72-32.2-72-72-72zm0 112c-22.1 0-40-17.9-40-40 0-13.6 7.3-25.1 17.7-32.3-1 2.6-1.7 5.3-1.7 8.3 0 13.3 10.7 24 24 24s24-10.7 24-24c0-2.9-.7-5.7-1.7-8.3 10.4 7.2 17.7 18.7 17.7 32.3 0 22.1-17.9 40-40 40zm-104-40c0-39.8-32.2-72-72-72s-72 32.2-72 72 32.2 72 72 72 72-32.2 72-72zm-112 0c0-13.6 7.3-25.1 17.7-32.3-1 2.6-1.7 5.3-1.7 8.3 0 13.3 10.7 24 24 24s24-10.7 24-24c0-2.9-.7-5.7-1.7-8.3 10.4 7.2 17.7 18.7 17.7 32.3 0 22.1-17.9 40-40 40s-40-17.9-40-40zm192 128H184c-13.2 0-24 10.8-24 24s10.8 24 24 24h128c13.2 0 24-10.8 24-24s-10.8-24-24-24z"}}]})(props);
};
function FaRegMeh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm-80-216c17.7 0 32-14.3 32-32s-14.3-32-32-32-32 14.3-32 32 14.3 32 32 32zm160-64c-17.7 0-32 14.3-32 32s14.3 32 32 32 32-14.3 32-32-14.3-32-32-32zm8 144H160c-13.2 0-24 10.8-24 24s10.8 24 24 24h176c13.2 0 24-10.8 24-24s-10.8-24-24-24z"}}]})(props);
};
function FaRegMinusSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M108 284c-6.6 0-12-5.4-12-12v-32c0-6.6 5.4-12 12-12h232c6.6 0 12 5.4 12 12v32c0 6.6-5.4 12-12 12H108zM448 80v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-48 346V86c0-3.3-2.7-6-6-6H54c-3.3 0-6 2.7-6 6v340c0 3.3 2.7 6 6 6h340c3.3 0 6-2.7 6-6z"}}]})(props);
};
function FaRegMoneyBillAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 640 512"},"child":[{"tag":"path","attr":{"d":"M320 144c-53.02 0-96 50.14-96 112 0 61.85 42.98 112 96 112 53 0 96-50.13 96-112 0-61.86-42.98-112-96-112zm40 168c0 4.42-3.58 8-8 8h-64c-4.42 0-8-3.58-8-8v-16c0-4.42 3.58-8 8-8h16v-55.44l-.47.31a7.992 7.992 0 0 1-11.09-2.22l-8.88-13.31a7.992 7.992 0 0 1 2.22-11.09l15.33-10.22a23.99 23.99 0 0 1 13.31-4.03H328c4.42 0 8 3.58 8 8v88h16c4.42 0 8 3.58 8 8v16zM608 64H32C14.33 64 0 78.33 0 96v320c0 17.67 14.33 32 32 32h576c17.67 0 32-14.33 32-32V96c0-17.67-14.33-32-32-32zm-16 272c-35.35 0-64 28.65-64 64H112c0-35.35-28.65-64-64-64V176c35.35 0 64-28.65 64-64h416c0 35.35 28.65 64 64 64v160z"}}]})(props);
};
function FaRegMoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M279.135 512c78.756 0 150.982-35.804 198.844-94.775 28.27-34.831-2.558-85.722-46.249-77.401-82.348 15.683-158.272-47.268-158.272-130.792 0-48.424 26.06-92.292 67.434-115.836 38.745-22.05 28.999-80.788-15.022-88.919A257.936 257.936 0 0 0 279.135 0c-141.36 0-256 114.575-256 256 0 141.36 114.576 256 256 256zm0-464c12.985 0 25.689 1.201 38.016 3.478-54.76 31.163-91.693 90.042-91.693 157.554 0 113.848 103.641 199.2 215.252 177.944C402.574 433.964 344.366 464 279.135 464c-114.875 0-208-93.125-208-208s93.125-208 208-208z"}}]})(props);
};
function FaRegNewspaper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M552 64H112c-20.858 0-38.643 13.377-45.248 32H24c-13.255 0-24 10.745-24 24v272c0 30.928 25.072 56 56 56h496c13.255 0 24-10.745 24-24V88c0-13.255-10.745-24-24-24zM48 392V144h16v248c0 4.411-3.589 8-8 8s-8-3.589-8-8zm480 8H111.422c.374-2.614.578-5.283.578-8V112h416v288zM172 280h136c6.627 0 12-5.373 12-12v-96c0-6.627-5.373-12-12-12H172c-6.627 0-12 5.373-12 12v96c0 6.627 5.373 12 12 12zm28-80h80v40h-80v-40zm-40 140v-24c0-6.627 5.373-12 12-12h136c6.627 0 12 5.373 12 12v24c0 6.627-5.373 12-12 12H172c-6.627 0-12-5.373-12-12zm192 0v-24c0-6.627 5.373-12 12-12h104c6.627 0 12 5.373 12 12v24c0 6.627-5.373 12-12 12H364c-6.627 0-12-5.373-12-12zm0-144v-24c0-6.627 5.373-12 12-12h104c6.627 0 12 5.373 12 12v24c0 6.627-5.373 12-12 12H364c-6.627 0-12-5.373-12-12zm0 72v-24c0-6.627 5.373-12 12-12h104c6.627 0 12 5.373 12 12v24c0 6.627-5.373 12-12 12H364c-6.627 0-12-5.373-12-12z"}}]})(props);
};
function FaRegObjectGroup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M500 128c6.627 0 12-5.373 12-12V44c0-6.627-5.373-12-12-12h-72c-6.627 0-12 5.373-12 12v12H96V44c0-6.627-5.373-12-12-12H12C5.373 32 0 37.373 0 44v72c0 6.627 5.373 12 12 12h12v256H12c-6.627 0-12 5.373-12 12v72c0 6.627 5.373 12 12 12h72c6.627 0 12-5.373 12-12v-12h320v12c0 6.627 5.373 12 12 12h72c6.627 0 12-5.373 12-12v-72c0-6.627-5.373-12-12-12h-12V128h12zm-52-64h32v32h-32V64zM32 64h32v32H32V64zm32 384H32v-32h32v32zm416 0h-32v-32h32v32zm-40-64h-12c-6.627 0-12 5.373-12 12v12H96v-12c0-6.627-5.373-12-12-12H72V128h12c6.627 0 12-5.373 12-12v-12h320v12c0 6.627 5.373 12 12 12h12v256zm-36-192h-84v-52c0-6.628-5.373-12-12-12H108c-6.627 0-12 5.372-12 12v168c0 6.628 5.373 12 12 12h84v52c0 6.628 5.373 12 12 12h200c6.627 0 12-5.372 12-12V204c0-6.628-5.373-12-12-12zm-268-24h144v112H136V168zm240 176H232v-24h76c6.627 0 12-5.372 12-12v-76h56v112z"}}]})(props);
};
function FaRegObjectUngroup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M564 224c6.627 0 12-5.373 12-12v-72c0-6.627-5.373-12-12-12h-72c-6.627 0-12 5.373-12 12v12h-88v-24h12c6.627 0 12-5.373 12-12V44c0-6.627-5.373-12-12-12h-72c-6.627 0-12 5.373-12 12v12H96V44c0-6.627-5.373-12-12-12H12C5.373 32 0 37.373 0 44v72c0 6.627 5.373 12 12 12h12v160H12c-6.627 0-12 5.373-12 12v72c0 6.627 5.373 12 12 12h72c6.627 0 12-5.373 12-12v-12h88v24h-12c-6.627 0-12 5.373-12 12v72c0 6.627 5.373 12 12 12h72c6.627 0 12-5.373 12-12v-12h224v12c0 6.627 5.373 12 12 12h72c6.627 0 12-5.373 12-12v-72c0-6.627-5.373-12-12-12h-12V224h12zM352 64h32v32h-32V64zm0 256h32v32h-32v-32zM64 352H32v-32h32v32zm0-256H32V64h32v32zm32 216v-12c0-6.627-5.373-12-12-12H72V128h12c6.627 0 12-5.373 12-12v-12h224v12c0 6.627 5.373 12 12 12h12v160h-12c-6.627 0-12 5.373-12 12v12H96zm128 136h-32v-32h32v32zm280-64h-12c-6.627 0-12 5.373-12 12v12H256v-12c0-6.627-5.373-12-12-12h-12v-24h88v12c0 6.627 5.373 12 12 12h72c6.627 0 12-5.373 12-12v-72c0-6.627-5.373-12-12-12h-12v-88h88v12c0 6.627 5.373 12 12 12h12v160zm40 64h-32v-32h32v32zm0-256h-32v-32h32v32z"}}]})(props);
};
function FaRegPaperPlane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440 6.5L24 246.4c-34.4 19.9-31.1 70.8 5.7 85.9L144 379.6V464c0 46.4 59.2 65.5 86.6 28.6l43.8-59.1 111.9 46.2c5.9 2.4 12.1 3.6 18.3 3.6 8.2 0 16.3-2.1 23.6-6.2 12.8-7.2 21.6-20 23.9-34.5l59.4-387.2c6.1-40.1-36.9-68.8-71.5-48.9zM192 464v-64.6l36.6 15.1L192 464zm212.6-28.7l-153.8-63.5L391 169.5c10.7-15.5-9.5-33.5-23.7-21.2L155.8 332.6 48 288 464 48l-59.4 387.3z"}}]})(props);
};
function FaRegPauseCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm0 448c-110.5 0-200-89.5-200-200S145.5 56 256 56s200 89.5 200 200-89.5 200-200 200zm96-280v160c0 8.8-7.2 16-16 16h-48c-8.8 0-16-7.2-16-16V176c0-8.8 7.2-16 16-16h48c8.8 0 16 7.2 16 16zm-112 0v160c0 8.8-7.2 16-16 16h-48c-8.8 0-16-7.2-16-16V176c0-8.8 7.2-16 16-16h48c8.8 0 16 7.2 16 16z"}}]})(props);
};
function FaRegPlayCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M371.7 238l-176-107c-15.8-8.8-35.7 2.5-35.7 21v208c0 18.4 19.8 29.8 35.7 21l176-101c16.4-9.1 16.4-32.8 0-42zM504 256C504 119 393 8 256 8S8 119 8 256s111 248 248 248 248-111 248-248zm-448 0c0-110.5 89.5-200 200-200s200 89.5 200 200-89.5 200-200 200S56 366.5 56 256z"}}]})(props);
};
function FaRegPlusSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M352 240v32c0 6.6-5.4 12-12 12h-88v88c0 6.6-5.4 12-12 12h-32c-6.6 0-12-5.4-12-12v-88h-88c-6.6 0-12-5.4-12-12v-32c0-6.6 5.4-12 12-12h88v-88c0-6.6 5.4-12 12-12h32c6.6 0 12 5.4 12 12v88h88c6.6 0 12 5.4 12 12zm96-160v352c0 26.5-21.5 48-48 48H48c-26.5 0-48-21.5-48-48V80c0-26.5 21.5-48 48-48h352c26.5 0 48 21.5 48 48zm-48 346V86c0-3.3-2.7-6-6-6H54c-3.3 0-6 2.7-6 6v340c0 3.3 2.7 6 6 6h340c3.3 0 6-2.7 6-6z"}}]})(props);
};
function FaRegQuestionCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119.043 8 8 119.083 8 256c0 136.997 111.043 248 248 248s248-111.003 248-248C504 119.083 392.957 8 256 8zm0 448c-110.532 0-200-89.431-200-200 0-110.495 89.472-200 200-200 110.491 0 200 89.471 200 200 0 110.53-89.431 200-200 200zm107.244-255.2c0 67.052-72.421 68.084-72.421 92.863V300c0 6.627-5.373 12-12 12h-45.647c-6.627 0-12-5.373-12-12v-8.659c0-35.745 27.1-50.034 47.579-61.516 17.561-9.845 28.324-16.541 28.324-29.579 0-17.246-21.999-28.693-39.784-28.693-23.189 0-33.894 10.977-48.942 29.969-4.057 5.12-11.46 6.071-16.666 2.124l-27.824-21.098c-5.107-3.872-6.251-11.066-2.644-16.363C184.846 131.491 214.94 112 261.794 112c49.071 0 101.45 38.304 101.45 88.8zM298 368c0 23.159-18.841 42-42 42s-42-18.841-42-42 18.841-42 42-42 42 18.841 42 42z"}}]})(props);
};
function FaRegRegistered (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119.033 8 8 119.033 8 256s111.033 248 248 248 248-111.033 248-248S392.967 8 256 8zm0 448c-110.532 0-200-89.451-200-200 0-110.531 89.451-200 200-200 110.532 0 200 89.451 200 200 0 110.532-89.451 200-200 200zm110.442-81.791c-53.046-96.284-50.25-91.468-53.271-96.085 24.267-13.879 39.482-41.563 39.482-73.176 0-52.503-30.247-85.252-101.498-85.252h-78.667c-6.617 0-12 5.383-12 12V380c0 6.617 5.383 12 12 12h38.568c6.617 0 12-5.383 12-12v-83.663h31.958l47.515 89.303a11.98 11.98 0 0 0 10.593 6.36h42.81c9.14 0 14.914-9.799 10.51-17.791zM256.933 239.906h-33.875v-64.14h27.377c32.417 0 38.929 12.133 38.929 31.709-.001 20.913-11.518 32.431-32.431 32.431z"}}]})(props);
};
function FaRegSadCry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm144 386.4V280c0-13.2-10.8-24-24-24s-24 10.8-24 24v151.4C315.5 447 282.8 456 248 456s-67.5-9-96-24.6V280c0-13.2-10.8-24-24-24s-24 10.8-24 24v114.4c-34.6-36-56-84.7-56-138.4 0-110.3 89.7-200 200-200s200 89.7 200 200c0 53.7-21.4 102.5-56 138.4zM205.8 234.5c4.4-2.4 6.9-7.4 6.1-12.4-4-25.2-34.2-42.1-59.8-42.1s-55.9 16.9-59.8 42.1c-.8 5 1.7 10 6.1 12.4 4.4 2.4 9.9 1.8 13.7-1.6l9.5-8.5c14.8-13.2 46.2-13.2 61 0l9.5 8.5c2.5 2.3 7.9 4.8 13.7 1.6zM344 180c-25.7 0-55.9 16.9-59.8 42.1-.8 5 1.7 10 6.1 12.4 4.5 2.4 9.9 1.8 13.7-1.6l9.5-8.5c14.8-13.2 46.2-13.2 61 0l9.5 8.5c2.5 2.2 8 4.7 13.7 1.6 4.4-2.4 6.9-7.4 6.1-12.4-3.9-25.2-34.1-42.1-59.8-42.1zm-96 92c-30.9 0-56 28.7-56 64s25.1 64 56 64 56-28.7 56-64-25.1-64-56-64z"}}]})(props);
};
function FaRegSadTear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm8-152c-13.2 0-24 10.8-24 24s10.8 24 24 24c23.8 0 46.3 10.5 61.6 28.8 8.1 9.8 23.2 11.9 33.8 3.1 10.2-8.5 11.6-23.6 3.1-33.8C330 320.8 294.1 304 256 304zm-88-64c17.7 0 32-14.3 32-32s-14.3-32-32-32-32 14.3-32 32 14.3 32 32 32zm160-64c-17.7 0-32 14.3-32 32s14.3 32 32 32 32-14.3 32-32-14.3-32-32-32zm-165.6 98.8C151 290.1 126 325.4 126 342.9c0 22.7 18.8 41.1 42 41.1s42-18.4 42-41.1c0-17.5-25-52.8-36.4-68.1-2.8-3.7-8.4-3.7-11.2 0z"}}]})(props);
};
function FaRegSave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M433.941 129.941l-83.882-83.882A48 48 0 0 0 316.118 32H48C21.49 32 0 53.49 0 80v352c0 26.51 21.49 48 48 48h352c26.51 0 48-21.49 48-48V163.882a48 48 0 0 0-14.059-33.941zM272 80v80H144V80h128zm122 352H54a6 6 0 0 1-6-6V86a6 6 0 0 1 6-6h42v104c0 13.255 10.745 24 24 24h176c13.255 0 24-10.745 24-24V83.882l78.243 78.243a6 6 0 0 1 1.757 4.243V426a6 6 0 0 1-6 6zM224 232c-48.523 0-88 39.477-88 88s39.477 88 88 88 88-39.477 88-88-39.477-88-88-88zm0 128c-22.056 0-40-17.944-40-40s17.944-40 40-40 40 17.944 40 40-17.944 40-40 40z"}}]})(props);
};
function FaRegShareSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M561.938 158.06L417.94 14.092C387.926-15.922 336 5.097 336 48.032v57.198c-42.45 1.88-84.03 6.55-120.76 17.99-35.17 10.95-63.07 27.58-82.91 49.42C108.22 199.2 96 232.6 96 271.94c0 61.697 33.178 112.455 84.87 144.76 37.546 23.508 85.248-12.651 71.02-55.74-15.515-47.119-17.156-70.923 84.11-78.76V336c0 42.993 51.968 63.913 81.94 33.94l143.998-144c18.75-18.74 18.75-49.14 0-67.88zM384 336V232.16C255.309 234.082 166.492 255.35 206.31 376 176.79 357.55 144 324.08 144 271.94c0-109.334 129.14-118.947 240-119.85V48l144 144-144 144zm24.74 84.493a82.658 82.658 0 0 0 20.974-9.303c7.976-4.952 18.286.826 18.286 10.214V464c0 26.51-21.49 48-48 48H48c-26.51 0-48-21.49-48-48V112c0-26.51 21.49-48 48-48h132c6.627 0 12 5.373 12 12v4.486c0 4.917-2.987 9.369-7.569 11.152-13.702 5.331-26.396 11.537-38.05 18.585a12.138 12.138 0 0 1-6.28 1.777H54a6 6 0 0 0-6 6v340a6 6 0 0 0 6 6h340a6 6 0 0 0 6-6v-25.966c0-5.37 3.579-10.059 8.74-11.541z"}}]})(props);
};
function FaRegSmileBeam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm84-143.4c-20.8 25-51.5 39.4-84 39.4s-63.2-14.3-84-39.4c-8.5-10.2-23.6-11.5-33.8-3.1-10.2 8.5-11.5 23.6-3.1 33.8 30 36 74.1 56.6 120.9 56.6s90.9-20.6 120.9-56.6c8.5-10.2 7.1-25.3-3.1-33.8-10.2-8.4-25.3-7.1-33.8 3.1zM136.5 211c7.7-13.7 19.2-21.6 31.5-21.6s23.8 7.9 31.5 21.6l9.5 17c2.1 3.7 6.2 4.7 9.3 3.7 3.6-1.1 6-4.5 5.7-8.3-3.3-42.1-32.2-71.4-56-71.4s-52.7 29.3-56 71.4c-.3 3.7 2.1 7.2 5.7 8.3 3.4 1.1 7.4-.5 9.3-3.7l9.5-17zM328 152c-23.8 0-52.7 29.3-56 71.4-.3 3.7 2.1 7.2 5.7 8.3 3.5 1.1 7.4-.5 9.3-3.7l9.5-17c7.7-13.7 19.2-21.6 31.5-21.6s23.8 7.9 31.5 21.6l9.5 17c2.1 3.7 6.2 4.7 9.3 3.7 3.6-1.1 6-4.5 5.7-8.3-3.3-42.1-32.2-71.4-56-71.4z"}}]})(props);
};
function FaRegSmileWink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm117.8-146.4c-10.2-8.5-25.3-7.1-33.8 3.1-20.8 25-51.5 39.4-84 39.4s-63.2-14.3-84-39.4c-8.5-10.2-23.7-11.5-33.8-3.1-10.2 8.5-11.5 23.6-3.1 33.8 30 36 74.1 56.6 120.9 56.6s90.9-20.6 120.9-56.6c8.5-10.2 7.1-25.3-3.1-33.8zM168 240c17.7 0 32-14.3 32-32s-14.3-32-32-32-32 14.3-32 32 14.3 32 32 32zm160-60c-25.7 0-55.9 16.9-59.9 42.1-1.7 11.2 11.5 18.2 19.8 10.8l9.5-8.5c14.8-13.2 46.2-13.2 61 0l9.5 8.5c8.5 7.4 21.6.3 19.8-10.8-3.8-25.2-34-42.1-59.7-42.1z"}}]})(props);
};
function FaRegSmile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm-80-216c17.7 0 32-14.3 32-32s-14.3-32-32-32-32 14.3-32 32 14.3 32 32 32zm160 0c17.7 0 32-14.3 32-32s-14.3-32-32-32-32 14.3-32 32 14.3 32 32 32zm4 72.6c-20.8 25-51.5 39.4-84 39.4s-63.2-14.3-84-39.4c-8.5-10.2-23.7-11.5-33.8-3.1-10.2 8.5-11.5 23.6-3.1 33.8 30 36 74.1 56.6 120.9 56.6s90.9-20.6 120.9-56.6c8.5-10.2 7.1-25.3-3.1-33.8-10.1-8.4-25.3-7.1-33.8 3.1z"}}]})(props);
};
function FaRegSnowflake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M440.1 355.2l-39.2-23 34.1-9.3c8.4-2.3 13.4-11.1 11.1-19.6l-4.1-15.5c-2.2-8.5-10.9-13.6-19.3-11.3L343 298.2 271.2 256l71.9-42.2 79.7 21.7c8.4 2.3 17-2.8 19.3-11.3l4.1-15.5c2.2-8.5-2.7-17.3-11.1-19.6l-34.1-9.3 39.2-23c7.5-4.4 10.1-14.2 5.8-21.9l-7.9-13.9c-4.3-7.7-14-10.3-21.5-5.9l-39.2 23 9.1-34.7c2.2-8.5-2.7-17.3-11.1-19.6l-15.2-4.1c-8.4-2.3-17 2.8-19.3 11.3l-21.3 81-71.9 42.2v-84.5L306 70.4c6.1-6.2 6.1-16.4 0-22.6l-11.1-11.3c-6.1-6.2-16.1-6.2-22.2 0l-24.9 25.4V16c0-8.8-7-16-15.7-16h-15.7c-8.7 0-15.7 7.2-15.7 16v46.1l-24.9-25.4c-6.1-6.2-16.1-6.2-22.2 0L142.1 48c-6.1 6.2-6.1 16.4 0 22.6l58.3 59.3v84.5l-71.9-42.2-21.3-81c-2.2-8.5-10.9-13.6-19.3-11.3L72.7 84c-8.4 2.3-13.4 11.1-11.1 19.6l9.1 34.7-39.2-23c-7.5-4.4-17.1-1.8-21.5 5.9l-7.9 13.9c-4.3 7.7-1.8 17.4 5.8 21.9l39.2 23-34.1 9.1c-8.4 2.3-13.4 11.1-11.1 19.6L6 224.2c2.2 8.5 10.9 13.6 19.3 11.3l79.7-21.7 71.9 42.2-71.9 42.2-79.7-21.7c-8.4-2.3-17 2.8-19.3 11.3l-4.1 15.5c-2.2 8.5 2.7 17.3 11.1 19.6l34.1 9.3-39.2 23c-7.5 4.4-10.1 14.2-5.8 21.9L10 391c4.3 7.7 14 10.3 21.5 5.9l39.2-23-9.1 34.7c-2.2 8.5 2.7 17.3 11.1 19.6l15.2 4.1c8.4 2.3 17-2.8 19.3-11.3l21.3-81 71.9-42.2v84.5l-58.3 59.3c-6.1 6.2-6.1 16.4 0 22.6l11.1 11.3c6.1 6.2 16.1 6.2 22.2 0l24.9-25.4V496c0 8.8 7 16 15.7 16h15.7c8.7 0 15.7-7.2 15.7-16v-46.1l24.9 25.4c6.1 6.2 16.1 6.2 22.2 0l11.1-11.3c6.1-6.2 6.1-16.4 0-22.6l-58.3-59.3v-84.5l71.9 42.2 21.3 81c2.2 8.5 10.9 13.6 19.3 11.3L375 428c8.4-2.3 13.4-11.1 11.1-19.6l-9.1-34.7 39.2 23c7.5 4.4 17.1 1.8 21.5-5.9l7.9-13.9c4.6-7.5 2.1-17.3-5.5-21.7z"}}]})(props);
};
function FaRegSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-6 400H54c-3.3 0-6-2.7-6-6V86c0-3.3 2.7-6 6-6h340c3.3 0 6 2.7 6 6v340c0 3.3-2.7 6-6 6z"}}]})(props);
};
function FaRegStarHalf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M288 385.3l-124.3 65.4 23.7-138.4-100.6-98 139-20.2 62.2-126V0c-11.4 0-22.8 5.9-28.7 17.8L194 150.2 47.9 171.4c-26.2 3.8-36.7 36.1-17.7 54.6l105.7 103-25 145.5c-4.5 26.1 23 46 46.4 33.7L288 439.6v-54.3z"}}]})(props);
};
function FaRegStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 576 512"},"child":[{"tag":"path","attr":{"d":"M528.1 171.5L382 150.2 316.7 17.8c-11.7-23.6-45.6-23.9-57.4 0L194 150.2 47.9 171.5c-26.2 3.8-36.7 36.1-17.7 54.6l105.7 103-25 145.5c-4.5 26.3 23.2 46 46.4 33.7L288 439.6l130.7 68.7c23.2 12.2 50.9-7.4 46.4-33.7l-25-145.5 105.7-103c19-18.5 8.5-50.8-17.7-54.6zM388.6 312.3l23.7 138.4L288 385.4l-124.3 65.3 23.7-138.4-100.6-98 139-20.2 62.2-126 62.2 126 139 20.2-100.6 98z"}}]})(props);
};
function FaRegStickyNote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M448 348.106V80c0-26.51-21.49-48-48-48H48C21.49 32 0 53.49 0 80v351.988c0 26.51 21.49 48 48 48h268.118a48 48 0 0 0 33.941-14.059l83.882-83.882A48 48 0 0 0 448 348.106zm-128 80v-76.118h76.118L320 428.106zM400 80v223.988H296c-13.255 0-24 10.745-24 24v104H48V80h352z"}}]})(props);
};
function FaRegStopCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M504 256C504 119 393 8 256 8S8 119 8 256s111 248 248 248 248-111 248-248zm-448 0c0-110.5 89.5-200 200-200s200 89.5 200 200-89.5 200-200 200S56 366.5 56 256zm296-80v160c0 8.8-7.2 16-16 16H176c-8.8 0-16-7.2-16-16V176c0-8.8 7.2-16 16-16h160c8.8 0 16 7.2 16 16z"}}]})(props);
};
function FaRegSun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M494.2 221.9l-59.8-40.5 13.7-71c2.6-13.2-1.6-26.8-11.1-36.4-9.6-9.5-23.2-13.7-36.2-11.1l-70.9 13.7-40.4-59.9c-15.1-22.3-51.9-22.3-67 0l-40.4 59.9-70.8-13.7C98 60.4 84.5 64.5 75 74.1c-9.5 9.6-13.7 23.1-11.1 36.3l13.7 71-59.8 40.5C6.6 229.5 0 242 0 255.5s6.7 26 17.8 33.5l59.8 40.5-13.7 71c-2.6 13.2 1.6 26.8 11.1 36.3 9.5 9.5 22.9 13.7 36.3 11.1l70.8-13.7 40.4 59.9C230 505.3 242.6 512 256 512s26-6.7 33.5-17.8l40.4-59.9 70.9 13.7c13.4 2.7 26.8-1.6 36.3-11.1 9.5-9.5 13.6-23.1 11.1-36.3l-13.7-71 59.8-40.5c11.1-7.5 17.8-20.1 17.8-33.5-.1-13.6-6.7-26.1-17.9-33.7zm-112.9 85.6l17.6 91.2-91-17.6L256 458l-51.9-77-90.9 17.6 17.6-91.2-76.8-52 76.8-52-17.6-91.2 91 17.6L256 53l51.9 76.9 91-17.6-17.6 91.1 76.8 52-76.8 52.1zM256 152c-57.3 0-104 46.7-104 104s46.7 104 104 104 104-46.7 104-104-46.7-104-104-104zm0 160c-30.9 0-56-25.1-56-56s25.1-56 56-56 56 25.1 56 56-25.1 56-56 56z"}}]})(props);
};
function FaRegSurprise (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm0-176c-35.3 0-64 28.7-64 64s28.7 64 64 64 64-28.7 64-64-28.7-64-64-64zm-48-72c0-17.7-14.3-32-32-32s-32 14.3-32 32 14.3 32 32 32 32-14.3 32-32zm128-32c-17.7 0-32 14.3-32 32s14.3 32 32 32 32-14.3 32-32-14.3-32-32-32z"}}]})(props);
};
function FaRegThumbsDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M466.27 225.31c4.674-22.647.864-44.538-8.99-62.99 2.958-23.868-4.021-48.565-17.34-66.99C438.986 39.423 404.117 0 327 0c-7 0-15 .01-22.22.01C201.195.01 168.997 40 128 40h-10.845c-5.64-4.975-13.042-8-21.155-8H32C14.327 32 0 46.327 0 64v240c0 17.673 14.327 32 32 32h64c11.842 0 22.175-6.438 27.708-16h7.052c19.146 16.953 46.013 60.653 68.76 83.4 13.667 13.667 10.153 108.6 71.76 108.6 57.58 0 95.27-31.936 95.27-104.73 0-18.41-3.93-33.73-8.85-46.54h36.48c48.602 0 85.82-41.565 85.82-85.58 0-19.15-4.96-34.99-13.73-49.84zM64 296c-13.255 0-24-10.745-24-24s10.745-24 24-24 24 10.745 24 24-10.745 24-24 24zm330.18 16.73H290.19c0 37.82 28.36 55.37 28.36 94.54 0 23.75 0 56.73-47.27 56.73-18.91-18.91-9.46-66.18-37.82-94.54C206.9 342.89 167.28 272 138.92 272H128V85.83c53.611 0 100.001-37.82 171.64-37.82h37.82c35.512 0 60.82 17.12 53.12 65.9 15.2 8.16 26.5 36.44 13.94 57.57 21.581 20.384 18.699 51.065 5.21 65.62 9.45 0 22.36 18.91 22.27 37.81-.09 18.91-16.71 37.82-37.82 37.82z"}}]})(props);
};
function FaRegThumbsUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M466.27 286.69C475.04 271.84 480 256 480 236.85c0-44.015-37.218-85.58-85.82-85.58H357.7c4.92-12.81 8.85-28.13 8.85-46.54C366.55 31.936 328.86 0 271.28 0c-61.607 0-58.093 94.933-71.76 108.6-22.747 22.747-49.615 66.447-68.76 83.4H32c-17.673 0-32 14.327-32 32v240c0 17.673 14.327 32 32 32h64c14.893 0 27.408-10.174 30.978-23.95 44.509 1.001 75.06 39.94 177.802 39.94 7.22 0 15.22.01 22.22.01 77.117 0 111.986-39.423 112.94-95.33 13.319-18.425 20.299-43.122 17.34-66.99 9.854-18.452 13.664-40.343 8.99-62.99zm-61.75 53.83c12.56 21.13 1.26 49.41-13.94 57.57 7.7 48.78-17.608 65.9-53.12 65.9h-37.82c-71.639 0-118.029-37.82-171.64-37.82V240h10.92c28.36 0 67.98-70.89 94.54-97.46 28.36-28.36 18.91-75.63 37.82-94.54 47.27 0 47.27 32.98 47.27 56.73 0 39.17-28.36 56.72-28.36 94.54h103.99c21.11 0 37.73 18.91 37.82 37.82.09 18.9-12.82 37.81-22.27 37.81 13.489 14.555 16.371 45.236-5.21 65.62zM88 432c0 13.255-10.745 24-24 24s-24-10.745-24-24 10.745-24 24-24 24 10.745 24 24z"}}]})(props);
};
function FaRegTimesCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 8C119 8 8 119 8 256s111 248 248 248 248-111 248-248S393 8 256 8zm0 448c-110.5 0-200-89.5-200-200S145.5 56 256 56s200 89.5 200 200-89.5 200-200 200zm101.8-262.2L295.6 256l62.2 62.2c4.7 4.7 4.7 12.3 0 17l-22.6 22.6c-4.7 4.7-12.3 4.7-17 0L256 295.6l-62.2 62.2c-4.7 4.7-12.3 4.7-17 0l-22.6-22.6c-4.7-4.7-4.7-12.3 0-17l62.2-62.2-62.2-62.2c-4.7-4.7-4.7-12.3 0-17l22.6-22.6c4.7-4.7 12.3-4.7 17 0l62.2 62.2 62.2-62.2c4.7-4.7 12.3-4.7 17 0l22.6 22.6c4.7 4.7 4.7 12.3 0 17z"}}]})(props);
};
function FaRegTired (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 8C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-110.3 0-200-89.7-200-200S137.7 56 248 56s200 89.7 200 200-89.7 200-200 200zm129.1-303.8c-3.8-4.4-10.3-5.4-15.3-2.5l-80 48c-3.6 2.2-5.8 6.1-5.8 10.3s2.2 8.1 5.8 10.3l80 48c5.4 3.2 11.8 1.6 15.3-2.5 3.8-4.5 3.9-11 .1-15.5L343.6 208l33.6-40.3c3.8-4.5 3.7-11.1-.1-15.5zM220 208c0-4.2-2.2-8.1-5.8-10.3l-80-48c-5-3-11.5-1.9-15.3 2.5-3.8 4.5-3.9 11-.1 15.5l33.6 40.3-33.6 40.3c-3.8 4.5-3.7 11 .1 15.5 3.5 4.1 9.9 5.7 15.3 2.5l80-48c3.6-2.2 5.8-6.1 5.8-10.3zm28 64c-45.4 0-100.9 38.3-107.8 93.3-1.5 11.8 6.9 21.6 15.5 17.9C178.4 373.5 212 368 248 368s69.6 5.5 92.3 15.2c8.5 3.7 17-6 15.5-17.9-6.9-55-62.4-93.3-107.8-93.3z"}}]})(props);
};
function FaRegTrashAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M268 416h24a12 12 0 0 0 12-12V188a12 12 0 0 0-12-12h-24a12 12 0 0 0-12 12v216a12 12 0 0 0 12 12zM432 80h-82.41l-34-56.7A48 48 0 0 0 274.41 0H173.59a48 48 0 0 0-41.16 23.3L98.41 80H16A16 16 0 0 0 0 96v16a16 16 0 0 0 16 16h16v336a48 48 0 0 0 48 48h288a48 48 0 0 0 48-48V128h16a16 16 0 0 0 16-16V96a16 16 0 0 0-16-16zM171.84 50.91A6 6 0 0 1 177 48h94a6 6 0 0 1 5.15 2.91L293.61 80H154.39zM368 464H80V128h288zm-212-48h24a12 12 0 0 0 12-12V188a12 12 0 0 0-12-12h-24a12 12 0 0 0-12 12v216a12 12 0 0 0 12 12z"}}]})(props);
};
function FaRegUserCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 496 512"},"child":[{"tag":"path","attr":{"d":"M248 104c-53 0-96 43-96 96s43 96 96 96 96-43 96-96-43-96-96-96zm0 144c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48zm0-240C111 8 0 119 0 256s111 248 248 248 248-111 248-248S385 8 248 8zm0 448c-49.7 0-95.1-18.3-130.1-48.4 14.9-23 40.4-38.6 69.6-39.5 20.8 6.4 40.6 9.6 60.5 9.6s39.7-3.1 60.5-9.6c29.2 1 54.7 16.5 69.6 39.5-35 30.1-80.4 48.4-130.1 48.4zm162.7-84.1c-24.4-31.4-62.1-51.9-105.1-51.9-10.2 0-26 9.6-57.6 9.6-31.5 0-47.4-9.6-57.6-9.6-42.9 0-80.6 20.5-105.1 51.9C61.9 339.2 48 299.2 48 256c0-110.3 89.7-200 200-200s200 89.7 200 200c0 43.2-13.9 83.2-37.3 115.9z"}}]})(props);
};
function FaRegUser (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 448 512"},"child":[{"tag":"path","attr":{"d":"M313.6 304c-28.7 0-42.5 16-89.6 16-47.1 0-60.8-16-89.6-16C60.2 304 0 364.2 0 438.4V464c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48v-25.6c0-74.2-60.2-134.4-134.4-134.4zM400 464H48v-25.6c0-47.6 38.8-86.4 86.4-86.4 14.6 0 38.3 16 89.6 16 51.7 0 74.9-16 89.6-16 47.6 0 86.4 38.8 86.4 86.4V464zM224 288c79.5 0 144-64.5 144-144S303.5 0 224 0 80 64.5 80 144s64.5 144 144 144zm0-240c52.9 0 96 43.1 96 96s-43.1 96-96 96-96-43.1-96-96 43.1-96 96-96z"}}]})(props);
};
function FaRegWindowClose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h416c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm0 394c0 3.3-2.7 6-6 6H54c-3.3 0-6-2.7-6-6V86c0-3.3 2.7-6 6-6h404c3.3 0 6 2.7 6 6v340zM356.5 194.6L295.1 256l61.4 61.4c4.6 4.6 4.6 12.1 0 16.8l-22.3 22.3c-4.6 4.6-12.1 4.6-16.8 0L256 295.1l-61.4 61.4c-4.6 4.6-12.1 4.6-16.8 0l-22.3-22.3c-4.6-4.6-4.6-12.1 0-16.8l61.4-61.4-61.4-61.4c-4.6-4.6-4.6-12.1 0-16.8l22.3-22.3c4.6-4.6 12.1-4.6 16.8 0l61.4 61.4 61.4-61.4c4.6-4.6 12.1-4.6 16.8 0l22.3 22.3c4.7 4.6 4.7 12.1 0 16.8z"}}]})(props);
};
function FaRegWindowMaximize (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h416c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm0 394c0 3.3-2.7 6-6 6H54c-3.3 0-6-2.7-6-6V192h416v234z"}}]})(props);
};
function FaRegWindowMinimize (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 480H32c-17.7 0-32-14.3-32-32s14.3-32 32-32h448c17.7 0 32 14.3 32 32s-14.3 32-32 32z"}}]})(props);
};
function FaRegWindowRestore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 0H144c-26.5 0-48 21.5-48 48v48H48c-26.5 0-48 21.5-48 48v320c0 26.5 21.5 48 48 48h320c26.5 0 48-21.5 48-48v-48h48c26.5 0 48-21.5 48-48V48c0-26.5-21.5-48-48-48zm-96 464H48V256h320v208zm96-96h-48V144c0-26.5-21.5-48-48-48H144V48h320v320z"}}]})(props);
};


/***/ }),

/***/ "./node_modules/react-icons/fc/index.esm.js":
/*!**************************************************!*\
  !*** ./node_modules/react-icons/fc/index.esm.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "FcAbout": () => (/* binding */ FcAbout),
/* harmony export */   "FcAcceptDatabase": () => (/* binding */ FcAcceptDatabase),
/* harmony export */   "FcAddColumn": () => (/* binding */ FcAddColumn),
/* harmony export */   "FcAddDatabase": () => (/* binding */ FcAddDatabase),
/* harmony export */   "FcAddImage": () => (/* binding */ FcAddImage),
/* harmony export */   "FcAddRow": () => (/* binding */ FcAddRow),
/* harmony export */   "FcAddressBook": () => (/* binding */ FcAddressBook),
/* harmony export */   "FcAdvance": () => (/* binding */ FcAdvance),
/* harmony export */   "FcAdvertising": () => (/* binding */ FcAdvertising),
/* harmony export */   "FcAlarmClock": () => (/* binding */ FcAlarmClock),
/* harmony export */   "FcAlphabeticalSortingAz": () => (/* binding */ FcAlphabeticalSortingAz),
/* harmony export */   "FcAlphabeticalSortingZa": () => (/* binding */ FcAlphabeticalSortingZa),
/* harmony export */   "FcAndroidOs": () => (/* binding */ FcAndroidOs),
/* harmony export */   "FcAnswers": () => (/* binding */ FcAnswers),
/* harmony export */   "FcApproval": () => (/* binding */ FcApproval),
/* harmony export */   "FcApprove": () => (/* binding */ FcApprove),
/* harmony export */   "FcAreaChart": () => (/* binding */ FcAreaChart),
/* harmony export */   "FcAssistant": () => (/* binding */ FcAssistant),
/* harmony export */   "FcAudioFile": () => (/* binding */ FcAudioFile),
/* harmony export */   "FcAutomatic": () => (/* binding */ FcAutomatic),
/* harmony export */   "FcAutomotive": () => (/* binding */ FcAutomotive),
/* harmony export */   "FcBadDecision": () => (/* binding */ FcBadDecision),
/* harmony export */   "FcBarChart": () => (/* binding */ FcBarChart),
/* harmony export */   "FcBbc": () => (/* binding */ FcBbc),
/* harmony export */   "FcBearish": () => (/* binding */ FcBearish),
/* harmony export */   "FcBinoculars": () => (/* binding */ FcBinoculars),
/* harmony export */   "FcBiohazard": () => (/* binding */ FcBiohazard),
/* harmony export */   "FcBiomass": () => (/* binding */ FcBiomass),
/* harmony export */   "FcBiotech": () => (/* binding */ FcBiotech),
/* harmony export */   "FcBookmark": () => (/* binding */ FcBookmark),
/* harmony export */   "FcBriefcase": () => (/* binding */ FcBriefcase),
/* harmony export */   "FcBrokenLink": () => (/* binding */ FcBrokenLink),
/* harmony export */   "FcBullish": () => (/* binding */ FcBullish),
/* harmony export */   "FcBusiness": () => (/* binding */ FcBusiness),
/* harmony export */   "FcBusinessContact": () => (/* binding */ FcBusinessContact),
/* harmony export */   "FcBusinessman": () => (/* binding */ FcBusinessman),
/* harmony export */   "FcBusinesswoman": () => (/* binding */ FcBusinesswoman),
/* harmony export */   "FcButtingIn": () => (/* binding */ FcButtingIn),
/* harmony export */   "FcCableRelease": () => (/* binding */ FcCableRelease),
/* harmony export */   "FcCalculator": () => (/* binding */ FcCalculator),
/* harmony export */   "FcCalendar": () => (/* binding */ FcCalendar),
/* harmony export */   "FcCallTransfer": () => (/* binding */ FcCallTransfer),
/* harmony export */   "FcCallback": () => (/* binding */ FcCallback),
/* harmony export */   "FcCamcorder": () => (/* binding */ FcCamcorder),
/* harmony export */   "FcCamcorderPro": () => (/* binding */ FcCamcorderPro),
/* harmony export */   "FcCamera": () => (/* binding */ FcCamera),
/* harmony export */   "FcCameraAddon": () => (/* binding */ FcCameraAddon),
/* harmony export */   "FcCameraIdentification": () => (/* binding */ FcCameraIdentification),
/* harmony export */   "FcCancel": () => (/* binding */ FcCancel),
/* harmony export */   "FcCandleSticks": () => (/* binding */ FcCandleSticks),
/* harmony export */   "FcCapacitor": () => (/* binding */ FcCapacitor),
/* harmony export */   "FcCdLogo": () => (/* binding */ FcCdLogo),
/* harmony export */   "FcCellPhone": () => (/* binding */ FcCellPhone),
/* harmony export */   "FcChargeBattery": () => (/* binding */ FcChargeBattery),
/* harmony export */   "FcCheckmark": () => (/* binding */ FcCheckmark),
/* harmony export */   "FcCircuit": () => (/* binding */ FcCircuit),
/* harmony export */   "FcClapperboard": () => (/* binding */ FcClapperboard),
/* harmony export */   "FcClearFilters": () => (/* binding */ FcClearFilters),
/* harmony export */   "FcClock": () => (/* binding */ FcClock),
/* harmony export */   "FcCloseUpMode": () => (/* binding */ FcCloseUpMode),
/* harmony export */   "FcCloth": () => (/* binding */ FcCloth),
/* harmony export */   "FcCollaboration": () => (/* binding */ FcCollaboration),
/* harmony export */   "FcCollapse": () => (/* binding */ FcCollapse),
/* harmony export */   "FcCollect": () => (/* binding */ FcCollect),
/* harmony export */   "FcComboChart": () => (/* binding */ FcComboChart),
/* harmony export */   "FcCommandLine": () => (/* binding */ FcCommandLine),
/* harmony export */   "FcComments": () => (/* binding */ FcComments),
/* harmony export */   "FcCompactCamera": () => (/* binding */ FcCompactCamera),
/* harmony export */   "FcConferenceCall": () => (/* binding */ FcConferenceCall),
/* harmony export */   "FcContacts": () => (/* binding */ FcContacts),
/* harmony export */   "FcCopyleft": () => (/* binding */ FcCopyleft),
/* harmony export */   "FcCopyright": () => (/* binding */ FcCopyright),
/* harmony export */   "FcCrystalOscillator": () => (/* binding */ FcCrystalOscillator),
/* harmony export */   "FcCurrencyExchange": () => (/* binding */ FcCurrencyExchange),
/* harmony export */   "FcCursor": () => (/* binding */ FcCursor),
/* harmony export */   "FcCustomerSupport": () => (/* binding */ FcCustomerSupport),
/* harmony export */   "FcDam": () => (/* binding */ FcDam),
/* harmony export */   "FcDataBackup": () => (/* binding */ FcDataBackup),
/* harmony export */   "FcDataConfiguration": () => (/* binding */ FcDataConfiguration),
/* harmony export */   "FcDataEncryption": () => (/* binding */ FcDataEncryption),
/* harmony export */   "FcDataProtection": () => (/* binding */ FcDataProtection),
/* harmony export */   "FcDataRecovery": () => (/* binding */ FcDataRecovery),
/* harmony export */   "FcDataSheet": () => (/* binding */ FcDataSheet),
/* harmony export */   "FcDatabase": () => (/* binding */ FcDatabase),
/* harmony export */   "FcDebian": () => (/* binding */ FcDebian),
/* harmony export */   "FcDebt": () => (/* binding */ FcDebt),
/* harmony export */   "FcDecision": () => (/* binding */ FcDecision),
/* harmony export */   "FcDeleteColumn": () => (/* binding */ FcDeleteColumn),
/* harmony export */   "FcDeleteDatabase": () => (/* binding */ FcDeleteDatabase),
/* harmony export */   "FcDeleteRow": () => (/* binding */ FcDeleteRow),
/* harmony export */   "FcDepartment": () => (/* binding */ FcDepartment),
/* harmony export */   "FcDeployment": () => (/* binding */ FcDeployment),
/* harmony export */   "FcDiploma1": () => (/* binding */ FcDiploma1),
/* harmony export */   "FcDiploma2": () => (/* binding */ FcDiploma2),
/* harmony export */   "FcDisapprove": () => (/* binding */ FcDisapprove),
/* harmony export */   "FcDisclaimer": () => (/* binding */ FcDisclaimer),
/* harmony export */   "FcDislike": () => (/* binding */ FcDislike),
/* harmony export */   "FcDisplay": () => (/* binding */ FcDisplay),
/* harmony export */   "FcDoNotInhale": () => (/* binding */ FcDoNotInhale),
/* harmony export */   "FcDoNotInsert": () => (/* binding */ FcDoNotInsert),
/* harmony export */   "FcDoNotMix": () => (/* binding */ FcDoNotMix),
/* harmony export */   "FcDocument": () => (/* binding */ FcDocument),
/* harmony export */   "FcDonate": () => (/* binding */ FcDonate),
/* harmony export */   "FcDoughnutChart": () => (/* binding */ FcDoughnutChart),
/* harmony export */   "FcDown": () => (/* binding */ FcDown),
/* harmony export */   "FcDownLeft": () => (/* binding */ FcDownLeft),
/* harmony export */   "FcDownRight": () => (/* binding */ FcDownRight),
/* harmony export */   "FcDownload": () => (/* binding */ FcDownload),
/* harmony export */   "FcDribbble": () => (/* binding */ FcDribbble),
/* harmony export */   "FcDvdLogo": () => (/* binding */ FcDvdLogo),
/* harmony export */   "FcEditImage": () => (/* binding */ FcEditImage),
/* harmony export */   "FcElectricalSensor": () => (/* binding */ FcElectricalSensor),
/* harmony export */   "FcElectricalThreshold": () => (/* binding */ FcElectricalThreshold),
/* harmony export */   "FcElectricity": () => (/* binding */ FcElectricity),
/* harmony export */   "FcElectroDevices": () => (/* binding */ FcElectroDevices),
/* harmony export */   "FcElectronics": () => (/* binding */ FcElectronics),
/* harmony export */   "FcEmptyBattery": () => (/* binding */ FcEmptyBattery),
/* harmony export */   "FcEmptyFilter": () => (/* binding */ FcEmptyFilter),
/* harmony export */   "FcEmptyTrash": () => (/* binding */ FcEmptyTrash),
/* harmony export */   "FcEndCall": () => (/* binding */ FcEndCall),
/* harmony export */   "FcEngineering": () => (/* binding */ FcEngineering),
/* harmony export */   "FcEnteringHeavenAlive": () => (/* binding */ FcEnteringHeavenAlive),
/* harmony export */   "FcExpand": () => (/* binding */ FcExpand),
/* harmony export */   "FcExpired": () => (/* binding */ FcExpired),
/* harmony export */   "FcExport": () => (/* binding */ FcExport),
/* harmony export */   "FcExternal": () => (/* binding */ FcExternal),
/* harmony export */   "FcFactory": () => (/* binding */ FcFactory),
/* harmony export */   "FcFactoryBreakdown": () => (/* binding */ FcFactoryBreakdown),
/* harmony export */   "FcFaq": () => (/* binding */ FcFaq),
/* harmony export */   "FcFeedIn": () => (/* binding */ FcFeedIn),
/* harmony export */   "FcFeedback": () => (/* binding */ FcFeedback),
/* harmony export */   "FcFile": () => (/* binding */ FcFile),
/* harmony export */   "FcFilingCabinet": () => (/* binding */ FcFilingCabinet),
/* harmony export */   "FcFilledFilter": () => (/* binding */ FcFilledFilter),
/* harmony export */   "FcFilm": () => (/* binding */ FcFilm),
/* harmony export */   "FcFilmReel": () => (/* binding */ FcFilmReel),
/* harmony export */   "FcFinePrint": () => (/* binding */ FcFinePrint),
/* harmony export */   "FcFlashAuto": () => (/* binding */ FcFlashAuto),
/* harmony export */   "FcFlashOff": () => (/* binding */ FcFlashOff),
/* harmony export */   "FcFlashOn": () => (/* binding */ FcFlashOn),
/* harmony export */   "FcFlowChart": () => (/* binding */ FcFlowChart),
/* harmony export */   "FcFolder": () => (/* binding */ FcFolder),
/* harmony export */   "FcFrame": () => (/* binding */ FcFrame),
/* harmony export */   "FcFullBattery": () => (/* binding */ FcFullBattery),
/* harmony export */   "FcFullTrash": () => (/* binding */ FcFullTrash),
/* harmony export */   "FcGallery": () => (/* binding */ FcGallery),
/* harmony export */   "FcGenealogy": () => (/* binding */ FcGenealogy),
/* harmony export */   "FcGenericSortingAsc": () => (/* binding */ FcGenericSortingAsc),
/* harmony export */   "FcGenericSortingDesc": () => (/* binding */ FcGenericSortingDesc),
/* harmony export */   "FcGlobe": () => (/* binding */ FcGlobe),
/* harmony export */   "FcGoodDecision": () => (/* binding */ FcGoodDecision),
/* harmony export */   "FcGoogle": () => (/* binding */ FcGoogle),
/* harmony export */   "FcGraduationCap": () => (/* binding */ FcGraduationCap),
/* harmony export */   "FcGrid": () => (/* binding */ FcGrid),
/* harmony export */   "FcHeadset": () => (/* binding */ FcHeadset),
/* harmony export */   "FcHeatMap": () => (/* binding */ FcHeatMap),
/* harmony export */   "FcHighBattery": () => (/* binding */ FcHighBattery),
/* harmony export */   "FcHighPriority": () => (/* binding */ FcHighPriority),
/* harmony export */   "FcHome": () => (/* binding */ FcHome),
/* harmony export */   "FcIcons8Cup": () => (/* binding */ FcIcons8Cup),
/* harmony export */   "FcIdea": () => (/* binding */ FcIdea),
/* harmony export */   "FcImageFile": () => (/* binding */ FcImageFile),
/* harmony export */   "FcImport": () => (/* binding */ FcImport),
/* harmony export */   "FcInTransit": () => (/* binding */ FcInTransit),
/* harmony export */   "FcInfo": () => (/* binding */ FcInfo),
/* harmony export */   "FcInspection": () => (/* binding */ FcInspection),
/* harmony export */   "FcIntegratedWebcam": () => (/* binding */ FcIntegratedWebcam),
/* harmony export */   "FcInternal": () => (/* binding */ FcInternal),
/* harmony export */   "FcInvite": () => (/* binding */ FcInvite),
/* harmony export */   "FcIpad": () => (/* binding */ FcIpad),
/* harmony export */   "FcIphone": () => (/* binding */ FcIphone),
/* harmony export */   "FcKey": () => (/* binding */ FcKey),
/* harmony export */   "FcKindle": () => (/* binding */ FcKindle),
/* harmony export */   "FcLandscape": () => (/* binding */ FcLandscape),
/* harmony export */   "FcLeave": () => (/* binding */ FcLeave),
/* harmony export */   "FcLeft": () => (/* binding */ FcLeft),
/* harmony export */   "FcLeftDown": () => (/* binding */ FcLeftDown),
/* harmony export */   "FcLeftDown2": () => (/* binding */ FcLeftDown2),
/* harmony export */   "FcLeftUp": () => (/* binding */ FcLeftUp),
/* harmony export */   "FcLeftUp2": () => (/* binding */ FcLeftUp2),
/* harmony export */   "FcLibrary": () => (/* binding */ FcLibrary),
/* harmony export */   "FcLightAtTheEndOfTunnel": () => (/* binding */ FcLightAtTheEndOfTunnel),
/* harmony export */   "FcLike": () => (/* binding */ FcLike),
/* harmony export */   "FcLikePlaceholder": () => (/* binding */ FcLikePlaceholder),
/* harmony export */   "FcLineChart": () => (/* binding */ FcLineChart),
/* harmony export */   "FcLink": () => (/* binding */ FcLink),
/* harmony export */   "FcLinux": () => (/* binding */ FcLinux),
/* harmony export */   "FcList": () => (/* binding */ FcList),
/* harmony export */   "FcLock": () => (/* binding */ FcLock),
/* harmony export */   "FcLockLandscape": () => (/* binding */ FcLockLandscape),
/* harmony export */   "FcLockPortrait": () => (/* binding */ FcLockPortrait),
/* harmony export */   "FcLowBattery": () => (/* binding */ FcLowBattery),
/* harmony export */   "FcLowPriority": () => (/* binding */ FcLowPriority),
/* harmony export */   "FcMakeDecision": () => (/* binding */ FcMakeDecision),
/* harmony export */   "FcManager": () => (/* binding */ FcManager),
/* harmony export */   "FcMediumPriority": () => (/* binding */ FcMediumPriority),
/* harmony export */   "FcMenu": () => (/* binding */ FcMenu),
/* harmony export */   "FcMiddleBattery": () => (/* binding */ FcMiddleBattery),
/* harmony export */   "FcMindMap": () => (/* binding */ FcMindMap),
/* harmony export */   "FcMinus": () => (/* binding */ FcMinus),
/* harmony export */   "FcMissedCall": () => (/* binding */ FcMissedCall),
/* harmony export */   "FcMms": () => (/* binding */ FcMms),
/* harmony export */   "FcMoneyTransfer": () => (/* binding */ FcMoneyTransfer),
/* harmony export */   "FcMultipleCameras": () => (/* binding */ FcMultipleCameras),
/* harmony export */   "FcMultipleDevices": () => (/* binding */ FcMultipleDevices),
/* harmony export */   "FcMultipleInputs": () => (/* binding */ FcMultipleInputs),
/* harmony export */   "FcMultipleSmartphones": () => (/* binding */ FcMultipleSmartphones),
/* harmony export */   "FcMusic": () => (/* binding */ FcMusic),
/* harmony export */   "FcNegativeDynamic": () => (/* binding */ FcNegativeDynamic),
/* harmony export */   "FcNeutralDecision": () => (/* binding */ FcNeutralDecision),
/* harmony export */   "FcNeutralTrading": () => (/* binding */ FcNeutralTrading),
/* harmony export */   "FcNews": () => (/* binding */ FcNews),
/* harmony export */   "FcNext": () => (/* binding */ FcNext),
/* harmony export */   "FcNfcSign": () => (/* binding */ FcNfcSign),
/* harmony export */   "FcNightLandscape": () => (/* binding */ FcNightLandscape),
/* harmony export */   "FcNightPortrait": () => (/* binding */ FcNightPortrait),
/* harmony export */   "FcNoIdea": () => (/* binding */ FcNoIdea),
/* harmony export */   "FcNoVideo": () => (/* binding */ FcNoVideo),
/* harmony export */   "FcNook": () => (/* binding */ FcNook),
/* harmony export */   "FcNumericalSorting12": () => (/* binding */ FcNumericalSorting12),
/* harmony export */   "FcNumericalSorting21": () => (/* binding */ FcNumericalSorting21),
/* harmony export */   "FcOk": () => (/* binding */ FcOk),
/* harmony export */   "FcOldTimeCamera": () => (/* binding */ FcOldTimeCamera),
/* harmony export */   "FcOnlineSupport": () => (/* binding */ FcOnlineSupport),
/* harmony export */   "FcOpenedFolder": () => (/* binding */ FcOpenedFolder),
/* harmony export */   "FcOrgUnit": () => (/* binding */ FcOrgUnit),
/* harmony export */   "FcOrganization": () => (/* binding */ FcOrganization),
/* harmony export */   "FcOvertime": () => (/* binding */ FcOvertime),
/* harmony export */   "FcPackage": () => (/* binding */ FcPackage),
/* harmony export */   "FcPaid": () => (/* binding */ FcPaid),
/* harmony export */   "FcPanorama": () => (/* binding */ FcPanorama),
/* harmony export */   "FcParallelTasks": () => (/* binding */ FcParallelTasks),
/* harmony export */   "FcPhone": () => (/* binding */ FcPhone),
/* harmony export */   "FcPhoneAndroid": () => (/* binding */ FcPhoneAndroid),
/* harmony export */   "FcPhotoReel": () => (/* binding */ FcPhotoReel),
/* harmony export */   "FcPicture": () => (/* binding */ FcPicture),
/* harmony export */   "FcPieChart": () => (/* binding */ FcPieChart),
/* harmony export */   "FcPlanner": () => (/* binding */ FcPlanner),
/* harmony export */   "FcPlus": () => (/* binding */ FcPlus),
/* harmony export */   "FcPodiumWithAudience": () => (/* binding */ FcPodiumWithAudience),
/* harmony export */   "FcPodiumWithSpeaker": () => (/* binding */ FcPodiumWithSpeaker),
/* harmony export */   "FcPodiumWithoutSpeaker": () => (/* binding */ FcPodiumWithoutSpeaker),
/* harmony export */   "FcPortraitMode": () => (/* binding */ FcPortraitMode),
/* harmony export */   "FcPositiveDynamic": () => (/* binding */ FcPositiveDynamic),
/* harmony export */   "FcPrevious": () => (/* binding */ FcPrevious),
/* harmony export */   "FcPrint": () => (/* binding */ FcPrint),
/* harmony export */   "FcPrivacy": () => (/* binding */ FcPrivacy),
/* harmony export */   "FcProcess": () => (/* binding */ FcProcess),
/* harmony export */   "FcPuzzle": () => (/* binding */ FcPuzzle),
/* harmony export */   "FcQuestions": () => (/* binding */ FcQuestions),
/* harmony export */   "FcRadarPlot": () => (/* binding */ FcRadarPlot),
/* harmony export */   "FcRating": () => (/* binding */ FcRating),
/* harmony export */   "FcRatings": () => (/* binding */ FcRatings),
/* harmony export */   "FcReading": () => (/* binding */ FcReading),
/* harmony export */   "FcReadingEbook": () => (/* binding */ FcReadingEbook),
/* harmony export */   "FcReddit": () => (/* binding */ FcReddit),
/* harmony export */   "FcRedo": () => (/* binding */ FcRedo),
/* harmony export */   "FcRefresh": () => (/* binding */ FcRefresh),
/* harmony export */   "FcRegisteredTrademark": () => (/* binding */ FcRegisteredTrademark),
/* harmony export */   "FcRemoveImage": () => (/* binding */ FcRemoveImage),
/* harmony export */   "FcReuse": () => (/* binding */ FcReuse),
/* harmony export */   "FcRight": () => (/* binding */ FcRight),
/* harmony export */   "FcRightDown": () => (/* binding */ FcRightDown),
/* harmony export */   "FcRightDown2": () => (/* binding */ FcRightDown2),
/* harmony export */   "FcRightUp": () => (/* binding */ FcRightUp),
/* harmony export */   "FcRightUp2": () => (/* binding */ FcRightUp2),
/* harmony export */   "FcRotateCamera": () => (/* binding */ FcRotateCamera),
/* harmony export */   "FcRotateToLandscape": () => (/* binding */ FcRotateToLandscape),
/* harmony export */   "FcRotateToPortrait": () => (/* binding */ FcRotateToPortrait),
/* harmony export */   "FcRuler": () => (/* binding */ FcRuler),
/* harmony export */   "FcRules": () => (/* binding */ FcRules),
/* harmony export */   "FcSafe": () => (/* binding */ FcSafe),
/* harmony export */   "FcSalesPerformance": () => (/* binding */ FcSalesPerformance),
/* harmony export */   "FcScatterPlot": () => (/* binding */ FcScatterPlot),
/* harmony export */   "FcSearch": () => (/* binding */ FcSearch),
/* harmony export */   "FcSelfServiceKiosk": () => (/* binding */ FcSelfServiceKiosk),
/* harmony export */   "FcSelfie": () => (/* binding */ FcSelfie),
/* harmony export */   "FcSerialTasks": () => (/* binding */ FcSerialTasks),
/* harmony export */   "FcServiceMark": () => (/* binding */ FcServiceMark),
/* harmony export */   "FcServices": () => (/* binding */ FcServices),
/* harmony export */   "FcSettings": () => (/* binding */ FcSettings),
/* harmony export */   "FcShare": () => (/* binding */ FcShare),
/* harmony export */   "FcShipped": () => (/* binding */ FcShipped),
/* harmony export */   "FcShop": () => (/* binding */ FcShop),
/* harmony export */   "FcSignature": () => (/* binding */ FcSignature),
/* harmony export */   "FcSimCard": () => (/* binding */ FcSimCard),
/* harmony export */   "FcSimCardChip": () => (/* binding */ FcSimCardChip),
/* harmony export */   "FcSlrBackSide": () => (/* binding */ FcSlrBackSide),
/* harmony export */   "FcSmartphoneTablet": () => (/* binding */ FcSmartphoneTablet),
/* harmony export */   "FcSms": () => (/* binding */ FcSms),
/* harmony export */   "FcSoundRecordingCopyright": () => (/* binding */ FcSoundRecordingCopyright),
/* harmony export */   "FcSpeaker": () => (/* binding */ FcSpeaker),
/* harmony export */   "FcSportsMode": () => (/* binding */ FcSportsMode),
/* harmony export */   "FcStackOfPhotos": () => (/* binding */ FcStackOfPhotos),
/* harmony export */   "FcStart": () => (/* binding */ FcStart),
/* harmony export */   "FcStatistics": () => (/* binding */ FcStatistics),
/* harmony export */   "FcSteam": () => (/* binding */ FcSteam),
/* harmony export */   "FcStumbleupon": () => (/* binding */ FcStumbleupon),
/* harmony export */   "FcSupport": () => (/* binding */ FcSupport),
/* harmony export */   "FcSurvey": () => (/* binding */ FcSurvey),
/* harmony export */   "FcSwitchCamera": () => (/* binding */ FcSwitchCamera),
/* harmony export */   "FcSynchronize": () => (/* binding */ FcSynchronize),
/* harmony export */   "FcTabletAndroid": () => (/* binding */ FcTabletAndroid),
/* harmony export */   "FcTemplate": () => (/* binding */ FcTemplate),
/* harmony export */   "FcTimeline": () => (/* binding */ FcTimeline),
/* harmony export */   "FcTodoList": () => (/* binding */ FcTodoList),
/* harmony export */   "FcTouchscreenSmartphone": () => (/* binding */ FcTouchscreenSmartphone),
/* harmony export */   "FcTrademark": () => (/* binding */ FcTrademark),
/* harmony export */   "FcTreeStructure": () => (/* binding */ FcTreeStructure),
/* harmony export */   "FcTwoSmartphones": () => (/* binding */ FcTwoSmartphones),
/* harmony export */   "FcUndo": () => (/* binding */ FcUndo),
/* harmony export */   "FcUnlock": () => (/* binding */ FcUnlock),
/* harmony export */   "FcUp": () => (/* binding */ FcUp),
/* harmony export */   "FcUpLeft": () => (/* binding */ FcUpLeft),
/* harmony export */   "FcUpRight": () => (/* binding */ FcUpRight),
/* harmony export */   "FcUpload": () => (/* binding */ FcUpload),
/* harmony export */   "FcUsb": () => (/* binding */ FcUsb),
/* harmony export */   "FcVideoCall": () => (/* binding */ FcVideoCall),
/* harmony export */   "FcVideoFile": () => (/* binding */ FcVideoFile),
/* harmony export */   "FcVideoProjector": () => (/* binding */ FcVideoProjector),
/* harmony export */   "FcViewDetails": () => (/* binding */ FcViewDetails),
/* harmony export */   "FcVip": () => (/* binding */ FcVip),
/* harmony export */   "FcVlc": () => (/* binding */ FcVlc),
/* harmony export */   "FcVoicePresentation": () => (/* binding */ FcVoicePresentation),
/* harmony export */   "FcVoicemail": () => (/* binding */ FcVoicemail),
/* harmony export */   "FcWebcam": () => (/* binding */ FcWebcam),
/* harmony export */   "FcWiFiLogo": () => (/* binding */ FcWiFiLogo),
/* harmony export */   "FcWikipedia": () => (/* binding */ FcWikipedia),
/* harmony export */   "FcWorkflow": () => (/* binding */ FcWorkflow)
/* harmony export */ });
/* harmony import */ var _lib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../lib */ "./node_modules/react-icons/lib/esm/index.js");
// THIS FILE IS AUTO GENERATED

function FcAbout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#2196F3","d":"M37,40H11l-6,6V12c0-3.3,2.7-6,6-6h26c3.3,0,6,2.7,6,6v22C43,37.3,40.3,40,37,40z"}},{"tag":"g","attr":{"fill":"#fff"},"child":[{"tag":"rect","attr":{"x":"22","y":"20","width":"4","height":"11"}},{"tag":"circle","attr":{"cx":"24","cy":"15","r":"2"}}]}]})(props);
};
function FcAcceptDatabase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#D1C4E9"},"child":[{"tag":"path","attr":{"d":"M38,7H10C8.9,7,8,7.9,8,9v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2V9C40,7.9,39.1,7,38,7z"}},{"tag":"path","attr":{"d":"M38,19H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-6C40,19.9,39.1,19,38,19z"}},{"tag":"path","attr":{"d":"M38,31H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-6C40,31.9,39.1,31,38,31z"}}]},{"tag":"circle","attr":{"fill":"#43A047","cx":"38","cy":"38","r":"10"}},{"tag":"polygon","attr":{"fill":"#DCEDC8","points":"42.5,33.3 36.8,39 34.1,36.3 32,38.5 36.8,43.3 44.6,35.5"}}]})(props);
};
function FcAddColumn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#90CAF9","d":"M30,5H18c-2.2,0-4,1.8-4,4v30c0,2.2,1.8,4,4,4h12c2.2,0,4-1.8,4-4V9C34,6.8,32.2,5,30,5z M18,39V9h12l0,30 H18z"}},{"tag":"circle","attr":{"fill":"#43A047","cx":"38","cy":"38","r":"10"}},{"tag":"g","attr":{"fill":"#fff"},"child":[{"tag":"rect","attr":{"x":"36","y":"32","width":"4","height":"12"}},{"tag":"rect","attr":{"x":"32","y":"36","width":"12","height":"4"}}]}]})(props);
};
function FcAddDatabase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#D1C4E9"},"child":[{"tag":"path","attr":{"d":"M38,7H10C8.9,7,8,7.9,8,9v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2V9C40,7.9,39.1,7,38,7z"}},{"tag":"path","attr":{"d":"M38,19H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-6C40,19.9,39.1,19,38,19z"}},{"tag":"path","attr":{"d":"M38,31H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-6C40,31.9,39.1,31,38,31z"}}]},{"tag":"circle","attr":{"fill":"#43A047","cx":"38","cy":"38","r":"10"}},{"tag":"g","attr":{"fill":"#fff"},"child":[{"tag":"rect","attr":{"x":"36","y":"32","width":"4","height":"12"}},{"tag":"rect","attr":{"x":"32","y":"36","width":"12","height":"4"}}]}]})(props);
};
function FcAddImage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#8CBCD6","d":"M40,41H8c-2.2,0-4-1.8-4-4V11c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v26C44,39.2,42.2,41,40,41z"}},{"tag":"circle","attr":{"fill":"#B3DDF5","cx":"35","cy":"16","r":"3"}},{"tag":"polygon","attr":{"fill":"#9AC9E3","points":"20,16 9,32 31,32"}},{"tag":"polygon","attr":{"fill":"#B3DDF5","points":"31,22 23,32 39,32"}},{"tag":"circle","attr":{"fill":"#43A047","cx":"38","cy":"38","r":"10"}},{"tag":"g","attr":{"fill":"#fff"},"child":[{"tag":"rect","attr":{"x":"36","y":"32","width":"4","height":"12"}},{"tag":"rect","attr":{"x":"32","y":"36","width":"12","height":"4"}}]}]})(props);
};
function FcAddRow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#90CAF9","d":"M43,30V18c0-2.2-1.8-4-4-4H9c-2.2,0-4,1.8-4,4v12c0,2.2,1.8,4,4,4h30C41.2,34,43,32.2,43,30z M9,18h30v12 L9,30V18z"}},{"tag":"circle","attr":{"fill":"#43A047","cx":"38","cy":"38","r":"10"}},{"tag":"g","attr":{"fill":"#fff"},"child":[{"tag":"rect","attr":{"x":"32","y":"36","width":"12","height":"4"}},{"tag":"rect","attr":{"x":"36","y":"32","width":"4","height":"12"}}]}]})(props);
};
function FcAddressBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#673AB7","d":"M38,44H12V4h26c2.2,0,4,1.8,4,4v32C42,42.2,40.2,44,38,44z"}},{"tag":"path","attr":{"fill":"#311B92","d":"M10,4h2v40h-2c-2.2,0-4-1.8-4-4V8C6,5.8,7.8,4,10,4z"}},{"tag":"path","attr":{"fill":"#fff","d":"M36,24.2c-0.1,4.8-3.1,6.9-5.3,6.7c-0.6-0.1-2.1-0.1-2.9-1.6c-0.8,1-1.8,1.6-3.1,1.6c-2.6,0-3.3-2.5-3.4-3.1 c-0.1-0.7-0.2-1.4-0.1-2.2c0.1-1,1.1-6.5,5.7-6.5c2.2,0,3.5,1.1,3.7,1.3L30,27.2c0,0.3-0.2,1.6,1.1,1.6c2.1,0,2.4-3.9,2.4-4.6 c0.1-1.2,0.3-8.2-7-8.2c-6.9,0-7.9,7.4-8,9.2c-0.5,8.5,6,8.5,7.2,8.5c1.7,0,3.7-0.7,3.9-0.8l0.4,2c-0.3,0.2-2,1.1-4.4,1.1 c-2.2,0-10.1-0.4-9.8-10.8C16.1,23.1,17.4,14,26.6,14C35.8,14,36,22.1,36,24.2z M24.1,25.5c-0.1,1,0,1.8,0.2,2.3 c0.2,0.5,0.6,0.8,1.2,0.8c0.1,0,0.3,0,0.4-0.1c0.2-0.1,0.3-0.1,0.5-0.3c0.2-0.1,0.3-0.3,0.5-0.6c0.2-0.2,0.3-0.6,0.4-1l0.5-5.4 c-0.2-0.1-0.5-0.1-0.7-0.1c-0.5,0-0.9,0.1-1.2,0.3c-0.3,0.2-0.6,0.5-0.9,0.8c-0.2,0.4-0.4,0.8-0.6,1.3S24.2,24.8,24.1,25.5z"}}]})(props);
};
function FcAdvance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#1565C0"},"child":[{"tag":"polygon","attr":{"points":"46.1,24 33,35 33,13"}},{"tag":"rect","attr":{"x":"10","y":"20","width":"4","height":"8"}},{"tag":"rect","attr":{"x":"4","y":"20","width":"4","height":"8"}},{"tag":"rect","attr":{"x":"16","y":"20","width":"4","height":"8"}},{"tag":"rect","attr":{"x":"22","y":"20","width":"14","height":"8"}}]}]})(props);
};
function FcAdvertising (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#90CAF9"},"child":[{"tag":"path","attr":{"d":"M17.4,33H15v-4h4l0.4,1.5C19.7,31.8,18.7,33,17.4,33z"}},{"tag":"path","attr":{"d":"M37,36c0,0-11.8-7-18-7V15c5.8,0,18-7,18-7V36z"}}]},{"tag":"g","attr":{"fill":"#283593"},"child":[{"tag":"circle","attr":{"cx":"9","cy":"22","r":"5"}},{"tag":"path","attr":{"d":"M40,19h-3v6h3c1.7,0,3-1.3,3-3S41.7,19,40,19z"}},{"tag":"path","attr":{"d":"M18.6,41.2c-0.9,0.6-2.5,1.2-4.6,1.4c-0.6,0.1-1.2-0.3-1.4-1L8.2,27.9c0,0,8.8-6.2,8.8,1.1 c0,5.5,1.5,8.4,2.2,9.5c0.5,0.7,0.5,1.6,0,2.3C19,41,18.8,41.1,18.6,41.2z"}}]},{"tag":"path","attr":{"fill":"#3F51B5","d":"M9,29h10V15H9c-1.1,0-2,0.9-2,2v10C7,28.1,7.9,29,9,29z"}},{"tag":"path","attr":{"fill":"#42A5F5","d":"M38,38L38,38c-1.1,0-2-0.9-2-2V8c0-1.1,0.9-2,2-2h0c1.1,0,2,0.9,2,2v28C40,37.1,39.1,38,38,38z"}}]})(props);
};
function FcAlarmClock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"path","attr":{"d":"M38.5,44.6l-4-4l2.1-2.1l4,4c0.6,0.6,0.6,1.5,0,2.1l0,0C40.1,45.1,39.1,45.1,38.5,44.6z"}},{"tag":"path","attr":{"d":"M9.5,44.6l4-4l-2.1-2.1l-4,4c-0.6,0.6-0.6,1.5,0,2.1l0,0C7.9,45.1,8.9,45.1,9.5,44.6z"}}]},{"tag":"circle","attr":{"fill":"#C62828","cx":"24","cy":"24","r":"20"}},{"tag":"circle","attr":{"fill":"#eee","cx":"24","cy":"24","r":"16"}},{"tag":"rect","attr":{"x":"19","y":"22.1","transform":"matrix(-.707 -.707 .707 -.707 12.904 62.537)","fill":"#E53935","width":".8","height":"13"}},{"tag":"rect","attr":{"x":"23","y":"11","width":"2","height":"13"}},{"tag":"rect","attr":{"x":"26.1","y":"22.7","transform":"matrix(-.707 .707 -.707 -.707 65.787 27.25)","width":"2.3","height":"9.2"}},{"tag":"circle","attr":{"cx":"24","cy":"24","r":"2"}},{"tag":"circle","attr":{"fill":"#C62828","cx":"24","cy":"24","r":"1"}},{"tag":"rect","attr":{"x":"22","y":"1","fill":"#37474F","width":"4","height":"3"}},{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"path","attr":{"d":"M44.4,16.2c2.5-3.5,2.1-8.4-1-11.5c-3.1-3.1-8-3.5-11.5-1L44.4,16.2z"}},{"tag":"path","attr":{"d":"M3.6,16.2c-2.5-3.5-2.1-8.4,1-11.5c3.1-3.1,8-3.5,11.5-1L3.6,16.2z"}}]}]})(props);
};
function FcAlphabeticalSortingAz (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#546E7A","points":"38,33 38,5 34,5 34,33 28,33 36,43 44,33"}},{"tag":"g","attr":{"fill":"#2196F3"},"child":[{"tag":"path","attr":{"d":"M16.8,17.2h-5.3l-1.1,3H6.9L12.6,5h2.9l5.7,15.2h-3.2L16.8,17.2z M12.2,14.5H16l-1.9-5.7L12.2,14.5z"}},{"tag":"path","attr":{"d":"M12.4,40.5H20V43H8.4v-1.9L16,30.3H8.4v-2.5h11.4v1.7L12.4,40.5z"}}]}]})(props);
};
function FcAlphabeticalSortingZa (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#2196F3"},"child":[{"tag":"path","attr":{"d":"M16.8,40h-5.3l-1.1,3H6.9l5.7-15.2h2.9L21.1,43h-3.2L16.8,40z M12.2,37.3H16l-1.9-5.7L12.2,37.3z"}},{"tag":"path","attr":{"d":"M12.4,17.7H20v2.5H8.4v-1.9L16,7.5H8.4V5h11.4v1.7L12.4,17.7z"}}]},{"tag":"polygon","attr":{"fill":"#546E7A","points":"38,33 38,5 34,5 34,33 28,33 36,43 44,33"}}]})(props);
};
function FcAndroidOs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"fill":"#7CB342","d":"M12,29.001c0,1.104-0.896,2-2,2l0,0c-1.104,0-2-0.896-2-2v-9c0-1.104,0.896-2,2-2l0,0c1.104,0,2,0.896,2,2\r\n\t\tV29.001z"}},{"tag":"path","attr":{"fill":"#7CB342","d":"M40,29.001c0,1.104-0.896,2-2,2l0,0c-1.104,0-2-0.896-2-2v-9c0-1.104,0.896-2,2-2l0,0c1.104,0,2,0.896,2,2\r\n\t\tV29.001z"}},{"tag":"path","attr":{"fill":"#7CB342","d":"M22,40c0,1.104-0.896,2-2,2l0,0c-1.104,0-2-0.896-2-2v-9c0-1.104,0.896-2,2-2l0,0c1.104,0,2,0.896,2,2V40z"}},{"tag":"path","attr":{"fill":"#7CB342","d":"M30,40c0,1.104-0.896,2-2,2l0,0c-1.104,0-2-0.896-2-2v-9c0-1.104,0.896-2,2-2l0,0c1.104,0,2,0.896,2,2V40z"}},{"tag":"path","attr":{"fill":"#7CB342","d":"M14,18.001V33c0,1.104,0.896,2,2,2h16c1.104,0,2-0.896,2-2V18.001H14z"}},{"tag":"path","attr":{"fill":"#7CB342","d":"M24,8c-6,0-9.655,3.645-10,8h20C33.654,11.645,30,8,24,8z M20,13.598c-0.552,0-1-0.448-1-1s0.448-1,1-1\r\n\t\ts1,0.448,1,1S20.552,13.598,20,13.598z M28,13.598c-0.553,0-1-0.448-1-1s0.447-1,1-1s1,0.448,1,1S28.553,13.598,28,13.598z"}},{"tag":"line","attr":{"fill":"none","stroke":"#7CB342","strokeWidth":"2","strokeLinecap":"round","x1":"30","y1":"7","x2":"28.334","y2":"9.499"}},{"tag":"line","attr":{"fill":"none","stroke":"#7CB342","strokeWidth":"2","strokeLinecap":"round","x1":"18","y1":"7","x2":"19.333","y2":"9.082"}}]}]})(props);
};
function FcAnswers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#42A5F5","points":"36,44 8,44 8,8 28,8 36,16"}},{"tag":"polygon","attr":{"fill":"#90CAF9","points":"40,40 12,40 12,4 32,4 40,12"}},{"tag":"polygon","attr":{"fill":"#E1F5FE","points":"38.5,13 31,13 31,5.5"}},{"tag":"path","attr":{"fill":"#1976D2","d":"M23.4,29.9c0-0.2,0-0.4,0.1-0.6s0.2-0.3,0.3-0.5s0.3-0.2,0.5-0.3s0.4-0.1,0.6-0.1s0.5,0,0.7,0.1 s0.4,0.2,0.5,0.3s0.2,0.3,0.3,0.5s0.1,0.4,0.1,0.6s0,0.4-0.1,0.6s-0.2,0.3-0.3,0.5s-0.3,0.2-0.5,0.3s-0.4,0.1-0.7,0.1 s-0.5,0-0.6-0.1s-0.4-0.2-0.5-0.3s-0.2-0.3-0.3-0.5S23.4,30.1,23.4,29.9z M26.1,26.8h-2.3L23.4,17h3L26.1,26.8z"}}]})(props);
};
function FcApproval (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#8BC34A","points":"24,3 28.7,6.6 34.5,5.8 36.7,11.3 42.2,13.5 41.4,19.3 45,24 41.4,28.7 42.2,34.5 36.7,36.7 34.5,42.2 28.7,41.4 24,45 19.3,41.4 13.5,42.2 11.3,36.7 5.8,34.5 6.6,28.7 3,24 6.6,19.3 5.8,13.5 11.3,11.3 13.5,5.8 19.3,6.6"}},{"tag":"polygon","attr":{"fill":"#CCFF90","points":"34.6,14.6 21,28.2 15.4,22.6 12.6,25.4 21,33.8 37.4,17.4"}}]})(props);
};
function FcApprove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FFCC80"},"child":[{"tag":"circle","attr":{"cx":"38","cy":"26","r":"4"}},{"tag":"circle","attr":{"cx":"10","cy":"26","r":"4"}},{"tag":"path","attr":{"d":"M39,19c0-12.7-30-8.3-30,0c0,1.8,0,8.2,0,10c0,8.3,6.7,15,15,15s15-6.7,15-15C39,27.2,39,20.8,39,19z"}},{"tag":"path","attr":{"d":"M24,4C15.2,4,8,11.2,8,20c0,1.2,0,3.5,0,3.5l2.1,0.6V19l19.5-6.3l8.2,6.3v5.1l2.1-0.6c0,0,0-2.3,0-3.5 C40,12.5,34.6,4,24,4z"}}]},{"tag":"polygon","attr":{"fill":"#4CAF50","points":"32.6,18.6 22.3,28.9 17.4,24 14.6,26.8 22.3,34.5 35.4,21.4"}}]})(props);
};
function FcAreaChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#3F51B5","points":"42,37 6,37 6,25 16,10 30,17 42,6"}},{"tag":"polygon","attr":{"fill":"#00BCD4","points":"42,42 6,42 6,32 16,24 30,26 42,17"}}]})(props);
};
function FcAssistant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FFA726"},"child":[{"tag":"circle","attr":{"cx":"10","cy":"26","r":"4"}},{"tag":"circle","attr":{"cx":"38","cy":"26","r":"4"}}]},{"tag":"path","attr":{"fill":"#FFB74D","d":"M39,19c0-12.7-30-8.3-30,0c0,1.8,0,8.2,0,10c0,8.3,6.7,15,15,15s15-6.7,15-15C39,27.2,39,20.8,39,19z"}},{"tag":"path","attr":{"fill":"#FF5722","d":"M24,3C14.6,3,7,10.6,7,20c0,1.2,0,3.4,0,3.4L9,25v-3l21-9.8l9,9.8v3l2-1.6c0,0,0-2.1,0-3.4 C41,12,35.3,3,24,3z"}},{"tag":"g","attr":{"fill":"#784719"},"child":[{"tag":"circle","attr":{"cx":"31","cy":"26","r":"2"}},{"tag":"circle","attr":{"cx":"17","cy":"26","r":"2"}}]},{"tag":"path","attr":{"fill":"#757575","d":"M43,24c-0.6,0-1,0.4-1,1v-7c0-8.8-7.2-16-16-16h-7c-0.6,0-1,0.4-1,1s0.4,1,1,1h7c7.7,0,14,6.3,14,14v10 c0,0.6,0.4,1,1,1s1-0.4,1-1v2c0,3.9-3.1,7-7,7H24c-0.6,0-1,0.4-1,1s0.4,1,1,1h11c5,0,9-4,9-9v-5C44,24.4,43.6,24,43,24z"}},{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"path","attr":{"d":"M43,22h-1c-1.1,0-2,0.9-2,2v4c0,1.1,0.9,2,2,2h1c1.1,0,2-0.9,2-2v-4C45,22.9,44.1,22,43,22z"}},{"tag":"circle","attr":{"cx":"24","cy":"38","r":"2"}}]}]})(props);
};
function FcAudioFile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"204","fill":"none","width":"48","height":"48"}},{"tag":"polygon","attr":{"fill":"#90CAF9","points":"244,45 212,45 212,3 234,3 244,13"}},{"tag":"polygon","attr":{"fill":"#E1F5FE","points":"242.5,14 233,14 233,4.5"}},{"tag":"g","attr":{"fill":"#1976D2"},"child":[{"tag":"circle","attr":{"cx":"227","cy":"30","r":"4"}},{"tag":"polygon","attr":{"points":"234,21 229,19 229,30 231,30 231,22.9 234,24"}}]},{"tag":"polygon","attr":{"fill":"#90CAF9","points":"40,45 8,45 8,3 30,3 40,13"}},{"tag":"polygon","attr":{"fill":"#E1F5FE","points":"38.5,14 29,14 29,4.5"}},{"tag":"g","attr":{"fill":"#1976D2"},"child":[{"tag":"circle","attr":{"cx":"23","cy":"30","r":"4"}},{"tag":"polygon","attr":{"points":"30,21 25,19 25,30 27,30 27,22.9 30,24"}}]}]})(props);
};
function FcAutomatic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#3F51B5","d":"M39,43H9c-2.2,0-4-1.8-4-4V9c0-2.2,1.8-4,4-4h30c2.2,0,4,1.8,4,4v30C43,41.2,41.2,43,39,43z"}},{"tag":"path","attr":{"fill":"#B3E5FC","d":"M33.6,25.4c0.1-0.4,0.1-0.9,0.1-1.4s0-0.9-0.1-1.4l2.8-2c0.3-0.2,0.4-0.6,0.2-0.9l-2.7-4.6 c-0.2-0.3-0.5-0.4-0.8-0.3L30,16.3c-0.7-0.6-1.5-1-2.4-1.4l-0.3-3.4c0-0.3-0.3-0.6-0.6-0.6h-5.3c-0.3,0-0.6,0.3-0.6,0.6L20.4,15 c-0.9,0.3-1.6,0.8-2.4,1.4l-3.1-1.4c-0.3-0.1-0.7,0-0.8,0.3l-2.7,4.6c-0.2,0.3-0.1,0.7,0.2,0.9l2.8,2c-0.1,0.4-0.1,0.9-0.1,1.4 s0,0.9,0.1,1.4l-2.8,2c-0.3,0.2-0.4,0.6-0.2,0.9l2.7,4.6c0.2,0.3,0.5,0.4,0.8,0.3l3.1-1.4c0.7,0.6,1.5,1,2.4,1.4l0.3,3.4 c0,0.3,0.3,0.6,0.6,0.6h5.3c0.3,0,0.6-0.3,0.6-0.6l0.3-3.4c0.9-0.3,1.6-0.8,2.4-1.4l3.1,1.4c0.3,0.1,0.7,0,0.8-0.3l2.7-4.6 c0.2-0.3,0.1-0.7-0.2-0.9L33.6,25.4z M24,29c-2.8,0-5-2.2-5-5c0-2.8,2.2-5,5-5c2.8,0,5,2.2,5,5C29,26.8,26.8,29,24,29z"}}]})(props);
};
function FcAutomotive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"none","stroke":"#F44336","strokeWidth":"4","strokeMiterlimit":"10","d":"M7,20v-8c0-2.2,1.8-4,4-4h14c1.2,0,2.4,0.6,3.2,1.6 L35,18"}},{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"circle","attr":{"cx":"35","cy":"37","r":"5"}},{"tag":"circle","attr":{"cx":"13","cy":"37","r":"5"}}]},{"tag":"path","attr":{"fill":"#F44336","d":"M40.2,17L33,14H7c-1.2,0-2,0.8-2,2v10c0,1.2,0.8,2,2,2h1c0-2.8,2.2-5,5-5s5,2.2,5,5h12c0-2.8,2.2-5,5-5 s5,2.2,5,5h1c1.2,0,2-0.8,2-2v-5.2C43,19.2,41.8,17.6,40.2,17z"}},{"tag":"g","attr":{"fill":"#546E7A"},"child":[{"tag":"circle","attr":{"cx":"24","cy":"37","r":"3"}},{"tag":"circle","attr":{"cx":"35","cy":"37","r":"2"}},{"tag":"circle","attr":{"cx":"13","cy":"37","r":"2"}},{"tag":"path","attr":{"d":"M30.4,39c-0.3-0.6-0.4-1.3-0.4-2s0.2-1.4,0.4-2H17.6c0.3,0.6,0.4,1.3,0.4,2s-0.2,1.4-0.4,2H30.4z"}}]}]})(props);
};
function FcBadDecision (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FFCC80"},"child":[{"tag":"circle","attr":{"cx":"38","cy":"26","r":"4"}},{"tag":"circle","attr":{"cx":"10","cy":"26","r":"4"}},{"tag":"path","attr":{"d":"M39,19c0-12.7-30-8.3-30,0c0,1.8,0,8.2,0,10c0,8.3,6.7,15,15,15s15-6.7,15-15C39,27.2,39,20.8,39,19z"}},{"tag":"path","attr":{"d":"M24,4C15.2,4,8,11.2,8,20c0,1.2,0,3.5,0,3.5l2.1,0.6V19l19.5-6.3l8.2,6.3v5.1l2.1-0.6c0,0,0-2.3,0-3.5 C40,12.5,34.6,4,24,4z"}}]},{"tag":"rect","attr":{"x":"16","y":"24","fill":"#F44336","width":"16","height":"4"}}]})(props);
};
function FcBarChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#00BCD4"},"child":[{"tag":"rect","attr":{"x":"19","y":"22","width":"10","height":"20"}},{"tag":"rect","attr":{"x":"6","y":"12","width":"10","height":"30"}},{"tag":"rect","attr":{"x":"32","y":"6","width":"10","height":"36"}}]}]})(props);
};
function FcBbc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#37474F","d":"M0,17v14h14V17H0z M34,17v14h14V17H34z M17,17v14h14V17H17z"}},{"tag":"path","attr":{"fill":"#FFFFFF","d":"M8.2,23.7c0,0,1.3-0.5,1.3-2c0,0,0.2-2.4-3-2.7H3v10h4c0,0,3.4,0,3.4-2.8C10.4,26.2,10.5,24.3,8.2,23.7z\r\n\t M4.8,20.6h1.4c1.5,0.1,1.4,1.2,1.4,1.2c0,1.4-1.6,1.4-1.6,1.4H4.8V20.6z M6.7,27.5H4.8v-2.7h1.9c1.9,0,1.9,1.3,1.9,1.3\r\n\tC8.5,27.5,6.7,27.5,6.7,27.5z M25.2,23.7c0,0,1.3-0.5,1.3-2c0,0,0.2-2.4-3-2.7H20v10h4c0,0,3.4,0,3.4-2.8\r\n\tC27.4,26.2,27.5,24.3,25.2,23.7z M21.8,20.6h1.4c1.5,0.1,1.4,1.2,1.4,1.2c0,1.4-1.6,1.4-1.6,1.4h-1.2V20.6z M23.7,27.5h-1.9v-2.7\r\n\th1.9c1.9,0,1.9,1.3,1.9,1.3C25.5,27.5,23.7,27.5,23.7,27.5z M45.3,28.1c0,0-2.9,1.8-6.3,0.4c0,0-2.9-1.1-3-4.5c0,0-0.1-3.5,3.7-4.7\r\n\tc0,0,1-0.4,2.8-0.2c0,0,1.1,0.1,2.7,0.8v1.8c0,0-1.7-1.1-3.7-1.1c0,0-3.6-0.1-3.8,3.5c0,0-0.1,3.3,3.7,3.4c0,0,1.6,0.2,3.8-1.2\r\n\tL45.3,28.1L45.3,28.1z"}}]})(props);
};
function FcBearish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#F44336"},"child":[{"tag":"rect","attr":{"x":"40","y":"34","width":"4","height":"10"}},{"tag":"rect","attr":{"x":"34","y":"29","width":"4","height":"15"}},{"tag":"rect","attr":{"x":"28","y":"33","width":"4","height":"11"}},{"tag":"rect","attr":{"x":"22","y":"25","width":"4","height":"19"}},{"tag":"rect","attr":{"x":"16","y":"28","width":"4","height":"16"}},{"tag":"rect","attr":{"x":"10","y":"24","width":"4","height":"20"}},{"tag":"rect","attr":{"x":"4","y":"19","width":"4","height":"25"}}]},{"tag":"g","attr":{"fill":"#D32F2F"},"child":[{"tag":"polygon","attr":{"points":"34,13.2 30,17.2 20,7.2 15,12.2 7.4,4.6 4.6,7.4 15,17.8 20,12.8 30,22.8 34,18.8 40.1,24.9 42.9,22.1"}},{"tag":"polygon","attr":{"points":"44,26 35,26 44,17"}}]}]})(props);
};
function FcBinoculars (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"circle","attr":{"cx":"33","cy":"16","r":"6"}},{"tag":"circle","attr":{"cx":"15","cy":"16","r":"6"}},{"tag":"path","attr":{"d":"M46.7,25l-15.3,3H16.7L1.4,25l4.3-7.9c1.1-1.9,3.1-3.1,5.3-3.1h26.2c2.2,0,4.2,1.2,5.3,3.1L46.7,25z"}},{"tag":"circle","attr":{"cx":"38","cy":"30","r":"10"}},{"tag":"circle","attr":{"cx":"10","cy":"30","r":"10"}},{"tag":"circle","attr":{"cx":"24","cy":"28","r":"5"}}]},{"tag":"circle","attr":{"fill":"#546E7A","cx":"24","cy":"28","r":"2"}},{"tag":"g","attr":{"fill":"#a0f"},"child":[{"tag":"circle","attr":{"cx":"38","cy":"30","r":"7"}},{"tag":"circle","attr":{"cx":"10","cy":"30","r":"7"}}]},{"tag":"g","attr":{"fill":"#CE93D8"},"child":[{"tag":"path","attr":{"d":"M41.7,27.7c-1-1.1-2.3-1.7-3.7-1.7s-2.8,0.6-3.7,1.7c-0.4,0.4-0.3,1,0.1,1.4c0.4,0.4,1,0.3,1.4-0.1 c1.2-1.3,3.3-1.3,4.5,0c0.2,0.2,0.5,0.3,0.7,0.3c0.2,0,0.5-0.1,0.7-0.3C42.1,28.7,42.1,28.1,41.7,27.7z"}},{"tag":"path","attr":{"d":"M10,26c-1.4,0-2.8,0.6-3.7,1.7c-0.4,0.4-0.3,1,0.1,1.4c0.4,0.4,1,0.3,1.4-0.1c1.2-1.3,3.3-1.3,4.5,0 c0.2,0.2,0.5,0.3,0.7,0.3c0.2,0,0.5-0.1,0.7-0.3c0.4-0.4,0.4-1,0.1-1.4C12.8,26.6,11.4,26,10,26z"}}]}]})(props);
};
function FcBiohazard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#00A344","d":"M24,13c-7.2,0-13,5.8-13,13s5.8,13,13,13s13-5.8,13-13S31.2,13,24,13z M24,35c-5,0-9-4-9-9s4-9,9-9s9,4,9,9 S29,35,24,35z"}},{"tag":"path","attr":{"fill":"#00C853","d":"M8.5,25.4c4-2.2,9-1.1,11.5,2.5c0.1,0.1,0.2,0.1,0.3,0.1l1.2-0.7c0.1-0.1,0.2-0.2,0.1-0.3 c0-0.2-0.1-0.4-0.1-0.6c0,0,0,0,0,0c0-0.1,0-0.1,0-0.2c0,0,0,0,0,0c0-0.1,0-0.1,0-0.2c0,0,0,0,0,0c0-0.1,0-0.1,0-0.2l0,0 c0-0.1,0-0.1,0.1-0.2c0,0,0,0,0,0c0-0.1,0-0.1,0.1-0.2c0,0,0,0,0,0c0,0,0-0.1,0.1-0.1c0,0,0-0.1,0.1-0.1c0,0,0-0.1,0.1-0.1 c0,0,0.1-0.1,0.1-0.1c0,0,0,0,0,0c0,0,0.1-0.1,0.1-0.1c0,0,0,0,0,0c0,0,0.1-0.1,0.1-0.1c0,0,0,0,0,0c0,0,0.1-0.1,0.1-0.1 c0,0,0,0,0,0c0,0,0.1-0.1,0.1-0.1c0,0,0,0,0.1,0c0.2-0.1,0.4-0.2,0.5-0.2c0.1,0,0.2-0.1,0.2-0.3v-1.3c0-0.1-0.1-0.2-0.2-0.2 c-4.5-0.4-8-4.1-8-8.6c0-4.1,3-7.6,6.9-8.4c0.1,0,0.2-0.1,0.2-0.3V4.8c0-0.1-0.1-0.2-0.2-0.2C16.4,5.5,12,10.4,12,16.3 c0,1.3,0.2,2.6,0.6,3.8c-1.2,0.2-2.5,0.7-3.6,1.3c-5.2,3-7.3,9.2-5.2,14.5C3.9,36,4,36,4.1,36l0.3-0.2c0.1-0.1,0.2-0.2,0.1-0.3 C3.3,31.7,4.8,27.4,8.5,25.4L8.5,25.4z M39,21.4c-1.2-0.7-2.4-1.1-3.6-1.3c0.4-1.2,0.6-2.4,0.6-3.8c0-5.9-4.4-10.8-10.2-11.7 c-0.1,0-0.2,0.1-0.2,0.2v0.4c0,0.1,0.1,0.2,0.2,0.3c4,0.8,6.9,4.3,6.9,8.4c0,4.5-3.5,8.2-8,8.6c-0.1,0-0.2,0.1-0.2,0.2v1.3 c0,0.1,0.1,0.2,0.2,0.3c0.2,0.1,0.4,0.1,0.6,0.2c0,0,0,0,0,0c0,0,0.1,0.1,0.1,0.1c0,0,0,0,0,0c0.1,0,0.1,0.1,0.1,0.1c0,0,0,0,0,0 c0.1,0.1,0.2,0.2,0.3,0.3c0,0,0,0,0,0c0,0,0.1,0.1,0.1,0.1c0,0,0,0,0,0c0,0,0.1,0.1,0.1,0.1c0,0,0,0.1,0,0.1c0,0,0,0.1,0,0.1 c0,0,0,0.1,0.1,0.1c0,0,0,0,0,0c0,0.1,0,0.1,0.1,0.2c0,0,0,0,0,0c0,0.1,0,0.1,0,0.2c0,0,0,0,0,0c0,0.1,0,0.1,0,0.2c0,0,0,0,0,0.1 c0,0,0,0.1,0,0.1c0,0,0,0,0,0.1c0,0.2,0,0.4-0.1,0.6c0,0.1,0,0.2,0.1,0.3l1.2,0.7c0.1,0.1,0.2,0,0.3-0.1c2.6-3.6,7.6-4.8,11.5-2.5 c3.6,2.1,5.2,6.3,3.9,10.1c0,0.1,0,0.2,0.1,0.3l0.3,0.2c0.1,0.1,0.2,0,0.3-0.1C46.3,30.5,44.2,24.3,39,21.4L39,21.4z M30.8,40.3 c-4-2.2-5.5-7.1-3.5-11.1c0.1-0.1,0-0.2-0.1-0.3L26,28.2c-0.1-0.1-0.2,0-0.3,0c-0.2,0.1-0.3,0.3-0.5,0.3c0,0,0,0,0,0 c-0.1,0-0.1,0.1-0.2,0.1c0,0,0,0,0,0c-0.1,0-0.1,0-0.2,0.1c0,0,0,0,0,0c-0.1,0-0.3,0.1-0.4,0.1c0,0,0,0,0,0c-0.1,0-0.1,0-0.2,0 c0,0,0,0-0.1,0c0,0-0.1,0-0.1,0c0,0-0.1,0-0.1,0c0,0-0.1,0-0.1,0c0,0-0.1,0-0.1,0c0,0,0,0-0.1,0c-0.1,0-0.1,0-0.2,0c0,0,0,0,0,0 c-0.1,0-0.1,0-0.2,0c0,0,0,0,0,0c-0.1,0-0.1,0-0.2-0.1c0,0,0,0,0,0c0,0-0.1,0-0.1-0.1c0,0,0,0-0.1,0c-0.2-0.1-0.3-0.2-0.5-0.3 c-0.1-0.1-0.2-0.1-0.3,0l-1.2,0.7c-0.1,0.1-0.1,0.2-0.1,0.3c1.9,4,0.4,8.8-3.5,11.1c-3.6,2.1-8.2,1.3-10.9-1.7 c-0.1-0.1-0.2-0.1-0.3-0.1l-0.3,0.2c-0.1,0.1-0.1,0.2-0.1,0.3c3.6,4.5,10.2,5.8,15.4,2.8c1.2-0.7,2.2-1.5,3-2.4 c0.8,0.9,1.8,1.8,3,2.4c5.2,3,11.7,1.6,15.4-2.8c0.1-0.1,0-0.2-0.1-0.3L42,38.5c-0.1-0.1-0.2,0-0.3,0.1C39,41.5,34.4,42.3,30.8,40.3 L30.8,40.3z"}}]})(props);
};
function FcBiomass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#9CCC65","d":"M32,15V7H16v8L6.2,40c-0.6,1.5,0.5,3,2.1,3h31.5c1.6,0,2.6-1.6,2.1-3L32,15z"}},{"tag":"path","attr":{"fill":"#8BC34A","d":"M32,9H16c-1.1,0-2-0.9-2-2v0c0-1.1,0.9-2,2-2h16c1.1,0,2,0.9,2,2v0C34,8.1,33.1,9,32,9z"}},{"tag":"path","attr":{"fill":"#2E7D32","d":"M28,30c0,4.4-4,8-4,8s-4-3.6-4-8s4-8,4-8S28,25.6,28,30z"}},{"tag":"path","attr":{"fill":"#388E3C","d":"M31.1,32.6c-2,4-7.1,5.4-7.1,5.4s-2-5,0-8.9s7.1-5.4,7.1-5.4S33.1,28.6,31.1,32.6z"}},{"tag":"path","attr":{"fill":"#43A047","d":"M16.9,32.6c2,4,7.1,5.4,7.1,5.4s2-5,0-8.9s-7.1-5.4-7.1-5.4S14.9,28.6,16.9,32.6z"}}]})(props);
};
function FcBiotech (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#AD1457","d":"M36,4c0,9.3-6,13.2-12.8,17.8C16.1,26.5,8,31.8,8,44h4c0-10.1,6.5-14.4,13.4-18.9C32.2,20.6,40,15.4,40,4 H36z"}},{"tag":"path","attr":{"fill":"#AD1457","d":"M38,41H11c-0.6,0-1-0.4-1-1s0.4-1,1-1h27c0.6,0,1,0.4,1,1S38.6,41,38,41z"}},{"tag":"path","attr":{"fill":"#AD1457","d":"M36,37H12c-0.6,0-1-0.4-1-1s0.4-1,1-1h24c0.6,0,1,0.4,1,1S36.6,37,36,37z"}},{"tag":"path","attr":{"fill":"#AD1457","d":"M34,33H14c-0.6,0-1-0.4-1-1s0.4-1,1-1h20c0.6,0,1,0.4,1,1S34.6,33,34,33z"}},{"tag":"path","attr":{"fill":"#AD1457","d":"M29,29H19c-0.6,0-1-0.4-1-1s0.4-1,1-1h10c0.6,0,1,0.4,1,1S29.6,29,29,29z"}},{"tag":"path","attr":{"fill":"#E91E63","d":"M37,9H10C9.4,9,9,8.6,9,8s0.4-1,1-1h27c0.6,0,1,0.4,1,1S37.6,9,37,9z"}},{"tag":"path","attr":{"fill":"#E91E63","d":"M36,13H12c-0.6,0-1-0.4-1-1s0.4-1,1-1h24c0.6,0,1,0.4,1,1S36.6,13,36,13z"}},{"tag":"path","attr":{"fill":"#E91E63","d":"M34,17H14c-0.6,0-1-0.4-1-1s0.4-1,1-1h20c0.6,0,1,0.4,1,1S34.6,17,34,17z"}},{"tag":"path","attr":{"fill":"#E91E63","d":"M29,21H19c-0.6,0-1-0.4-1-1s0.4-1,1-1h10c0.6,0,1,0.4,1,1S29.6,21,29,21z"}},{"tag":"path","attr":{"fill":"#E91E63","d":"M40,44h-4c0-10.1-6.5-14.4-13.4-18.9C15.8,20.6,8,15.4,8,4h4c0,9.3,6,13.2,12.8,17.8 C31.9,26.5,40,31.8,40,44z"}}]})(props);
};
function FcBookmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#F44336","d":"M37,43l-13-6l-13,6V9c0-2.2,1.8-4,4-4h18c2.2,0,4,1.8,4,4V43z"}}]})(props);
};
function FcBriefcase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#424242","d":"M27,7h-6c-1.7,0-3,1.3-3,3v3h2v-3c0-0.6,0.4-1,1-1h6c0.6,0,1,0.4,1,1v3h2v-3C30,8.3,28.7,7,27,7z"}},{"tag":"path","attr":{"fill":"#E65100","d":"M40,43H8c-2.2,0-4-1.8-4-4V15c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v24C44,41.2,42.2,43,40,43z"}},{"tag":"path","attr":{"fill":"#FF6E40","d":"M40,28H8c-2.2,0-4-1.8-4-4v-9c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v9C44,26.2,42.2,28,40,28z"}},{"tag":"path","attr":{"fill":"#FFF3E0","d":"M26,26h-4c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h4c0.6,0,1,0.4,1,1v2C27,25.6,26.6,26,26,26z"}}]})(props);
};
function FcBrokenLink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#1976D2"},"child":[{"tag":"path","attr":{"d":"M17.5,27c-1.1,1.2-2.7,2-4.5,2h-3c-3.3,0-6-2.7-6-6s2.7-6,6-6h3c1.8,0,3.4,0.8,4.5,2h4.7 c-1.5-3.5-5.1-6-9.2-6h-3C4.5,13,0,17.5,0,23s4.5,10,10,10h3c4.1,0,7.6-2.5,9.2-6H17.5z"}},{"tag":"path","attr":{"d":"M38,13h-3c-4.1,0-7.6,2.5-9.2,6h4.7c1.1-1.2,2.7-2,4.5-2h3c3.3,0,6,2.7,6,6s-2.7,6-6,6h-3 c-1.8,0-3.4-0.8-4.5-2h-4.7c1.5,3.5,5.1,6,9.2,6h3c5.5,0,10-4.5,10-10S43.5,13,38,13z"}}]},{"tag":"g","attr":{"fill":"#00BCD4"},"child":[{"tag":"polygon","attr":{"points":"19.5,4 16,6 22.1,14.1 23.4,13.3"}},{"tag":"polygon","attr":{"points":"28.5,4 32,6 25.9,14.1 24.6,13.3"}},{"tag":"polygon","attr":{"points":"28.5,44 32,42 25.9,33.9 24.6,34.7"}},{"tag":"polygon","attr":{"points":"19.5,44 16,42 22.1,33.9 23.4,34.7"}}]}]})(props);
};
function FcBullish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#4CAF50"},"child":[{"tag":"rect","attr":{"x":"40","y":"21","width":"4","height":"23"}},{"tag":"rect","attr":{"x":"34","y":"28","width":"4","height":"16"}},{"tag":"rect","attr":{"x":"28","y":"23","width":"4","height":"21"}},{"tag":"rect","attr":{"x":"22","y":"29","width":"4","height":"15"}},{"tag":"rect","attr":{"x":"16","y":"32","width":"4","height":"12"}},{"tag":"rect","attr":{"x":"10","y":"30","width":"4","height":"14"}},{"tag":"rect","attr":{"x":"4","y":"34","width":"4","height":"10"}}]},{"tag":"g","attr":{"fill":"#388E3C"},"child":[{"tag":"polygon","attr":{"points":"40.1,9.1 34,15.2 30,11.2 20,21.2 15,16.2 4.6,26.6 7.4,29.4 15,21.8 20,26.8 30,16.8 34,20.8 42.9,11.9"}},{"tag":"polygon","attr":{"points":"44,8 35,8 44,17"}}]}]})(props);
};
function FcBusinessContact (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#673AB7","d":"M40,7H8c-2.2,0-4,1.8-4,4v26c0,2.2,1.8,4,4,4h5v-1.3c-0.6-0.3-1-1-1-1.7c0-1.1,0.9-2,2-2s2,0.9,2,2 c0,0.7-0.4,1.4-1,1.7V41h18v-1.3c-0.6-0.3-1-1-1-1.7c0-1.1,0.9-2,2-2s2,0.9,2,2c0,0.7-0.4,1.4-1,1.7V41h5c2.2,0,4-1.8,4-4V11 C44,8.8,42.2,7,40,7z"}},{"tag":"g","attr":{"fill":"#D1C4E9"},"child":[{"tag":"circle","attr":{"cx":"24","cy":"18","r":"4"}},{"tag":"path","attr":{"d":"M31,28c0,0-1.9-4-7-4c-5.1,0-7,4-7,4v2h14V28z"}}]}]})(props);
};
function FcBusiness (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#263238"},"child":[{"tag":"path","attr":{"d":"M11,44H9c-0.6,0-1-0.4-1-1v-2h4v2C12,43.6,11.6,44,11,44z"}},{"tag":"path","attr":{"d":"M39,44h-2c-0.6,0-1-0.4-1-1v-2h4v2C40,43.6,39.6,44,39,44z"}}]},{"tag":"path","attr":{"fill":"#37474F","d":"M27,7h-6c-1.7,0-3,1.3-3,3v3h2v-3c0-0.6,0.4-1,1-1h6c0.6,0,1,0.4,1,1v3h2v-3C30,8.3,28.7,7,27,7z"}},{"tag":"path","attr":{"fill":"#78909C","d":"M40,43H8c-2.2,0-4-1.8-4-4V15c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v24C44,41.2,42.2,43,40,43z"}}]})(props);
};
function FcBusinessman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#FF9800","points":"24,37 19,31 19,25 29,25 29,31"}},{"tag":"g","attr":{"fill":"#FFA726"},"child":[{"tag":"circle","attr":{"cx":"33","cy":"19","r":"2"}},{"tag":"circle","attr":{"cx":"15","cy":"19","r":"2"}}]},{"tag":"path","attr":{"fill":"#FFB74D","d":"M33,13c0-7.6-18-5-18,0c0,1.1,0,5.9,0,7c0,5,4,9,9,9s9-4,9-9C33,18.9,33,14.1,33,13z"}},{"tag":"path","attr":{"fill":"#424242","d":"M24,4c-6.1,0-10,4.9-10,11c0,0.8,0,2.3,0,2.3l2,1.7v-5l12-4l4,4v5l2-1.7c0,0,0-1.5,0-2.3c0-4-1-8-6-9l-1-2 H24z"}},{"tag":"g","attr":{"fill":"#784719"},"child":[{"tag":"circle","attr":{"cx":"28","cy":"19","r":"1"}},{"tag":"circle","attr":{"cx":"20","cy":"19","r":"1"}}]},{"tag":"polygon","attr":{"fill":"#fff","points":"24,43 19,31 24,32 29,31"}},{"tag":"polygon","attr":{"fill":"#D32F2F","points":"23,35 22.3,39.5 24,43.5 25.7,39.5 25,35 26,34 24,32 22,34"}},{"tag":"path","attr":{"fill":"#546E7A","d":"M29,31L29,31l-5,12l-5-12c0,0-11,2-11,13h32C40,33,29,31,29,31z"}}]})(props);
};
function FcBusinesswoman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"16","y":"15","fill":"#BF360C","width":"16","height":"18"}},{"tag":"path","attr":{"fill":"#78909C","d":"M40,44H8c0-11,11-13,11-13h10C29,31,40,33,40,44z"}},{"tag":"path","attr":{"fill":"#FF9800","d":"M24,37c-2.2,0-5-6-5-6v-6h10v6C29,31,26.2,37,24,37z"}},{"tag":"path","attr":{"fill":"#FFB74D","d":"M33,14c0-7.6-18-5-18,0c0,1.1,0,5.9,0,7c0,5,4,9,9,9s9-4,9-9C33,19.9,33,15.1,33,14z"}},{"tag":"path","attr":{"fill":"#FF5722","d":"M24,4C17.9,4,9,7.4,9,27.3l7,4.7V19l12-7l4,5v15l7-6c0-4-0.7-20-11-20l-1-2H24z"}},{"tag":"path","attr":{"fill":"#FFB74D","d":"M24,38c-4.4,0-5-7-5-7s2.5,4,5,4s5-4,5-4S28.4,38,24,38z"}},{"tag":"circle","attr":{"fill":"#784719","cx":"28","cy":"21","r":"1"}},{"tag":"circle","attr":{"fill":"#784719","cx":"20","cy":"21","r":"1"}}]})(props);
};
function FcButtingIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#CFD8DC","d":"M24,3C12.4,3,3,12.4,3,24c0,11.6,9.4,21,21,21c0.3,0,0.7,0,1-0.1V3.1C24.7,3,24.3,3,24,3z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M25,3.1v41.9c4.1-0.2,7.9-1.5,11-3.7V6.8C32.9,4.6,29.1,3.2,25,3.1z"}},{"tag":"path","attr":{"fill":"#FFB74D","d":"M20.5,13C14.1,13.3,8.9,18.7,9,25.1c0,2.8,1,5.4,2.7,7.5c1.4,1.7,2.3,3.9,2.3,6.1v3.8c3,1.6,6.4,2.5,10,2.5 c0.3,0,0.7,0,1-0.1c0.7,0,1.3-0.1,2-0.2v-9.4c3.6-2.1,6-5.9,6-10.4C33,18.2,27.4,12.7,20.5,13z"}},{"tag":"path","attr":{"fill":"#FFB74D","d":"M29,38.6L25,38v-9h8l-0.7,7C32.1,37.6,30.7,38.8,29,38.6z"}},{"tag":"polygon","attr":{"fill":"#FFB74D","points":"39,29 32,31 31,26 32,22"}},{"tag":"circle","attr":{"fill":"#784719","cx":"29.5","cy":"25.5","r":"1.5"}},{"tag":"path","attr":{"fill":"#FF5722","d":"M21,12c-7.2,0-13,5.8-13,13c0,7.6,5.1,9,6,13l4-3v-8l5-2l1-4c3.2,0,6-3.9,6-6.1C27.9,13,24.4,12,21,12z"}},{"tag":"circle","attr":{"fill":"#FFB74D","cx":"19","cy":"27","r":"3"}},{"tag":"path","attr":{"fill":"#CFD8DC","d":"M45,24c0-7.1-3.6-13.4-9-17.2v34.4C41.4,37.4,45,31.1,45,24z"}},{"tag":"path","attr":{"fill":"#FF9800","d":"M20,44.6c1.3,0.2,2.6,0.4,4,0.4c0.3,0,0.7,0,1-0.1c0.7,0,1.3-0.1,2-0.2v-6.5l-7-1V44.6z"}}]})(props);
};
function FcCableRelease (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#37474F","d":"M34.9,29.1c-2.7-2.7-7.1-2.7-9.8,0l-4,4c-1.7,1.7-4.5,1.7-6.2,0c-1.7-1.7-1.7-4.5,0-6.2l4.5-4.5l-2.8-2.8 l-4.5,4.5c-3.3,3.3-3.3,8.6,0,11.8c3.3,3.3,8.6,3.3,11.8,0l4-4c1.2-1.1,3-1.1,4.2,0c1.1,1.2,1.1,3,0,4.2L27,41.2l2.8,2.8l5.1-5.1 C37.6,36.2,37.6,31.8,34.9,29.1z"}},{"tag":"path","attr":{"fill":"#0277BD","d":"M16.1,22.9L16.1,22.9c-2.8-2.8-2.8-7.3,0-10l6.8-6.8c2.8-2.8,7.3-2.8,10,0l0,0c2.8,2.8,2.8,7.3,0,10 l-6.8,6.8C23.3,25.7,18.9,25.7,16.1,22.9z"}},{"tag":"circle","attr":{"fill":"#B3E5FC","cx":"28","cy":"11","r":"4"}}]})(props);
};
function FcCalculator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#616161","d":"M40,16H8v24c0,2.2,1.8,4,4,4h24c2.2,0,4-1.8,4-4V16z"}},{"tag":"path","attr":{"fill":"#424242","d":"M36,4H12C9.8,4,8,5.8,8,8v9h32V8C40,5.8,38.2,4,36,4z"}},{"tag":"path","attr":{"fill":"#9CCC65","d":"M36,14H12c-0.6,0-1-0.4-1-1V8c0-0.6,0.4-1,1-1h24c0.6,0,1,0.4,1,1v5C37,13.6,36.6,14,36,14z"}},{"tag":"g","attr":{"fill":"#33691E"},"child":[{"tag":"rect","attr":{"x":"33","y":"10","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"29","y":"10","width":"2","height":"2"}}]},{"tag":"path","attr":{"fill":"#FF5252","d":"M36,23h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C37,22.6,36.6,23,36,23z"}},{"tag":"g","attr":{"fill":"#E0E0E0"},"child":[{"tag":"path","attr":{"d":"M15,23h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C16,22.6,15.6,23,15,23z"}},{"tag":"path","attr":{"d":"M22,23h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C23,22.6,22.6,23,22,23z"}},{"tag":"path","attr":{"d":"M29,23h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C30,22.6,29.6,23,29,23z"}},{"tag":"path","attr":{"d":"M15,29h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C16,28.6,15.6,29,15,29z"}},{"tag":"path","attr":{"d":"M22,29h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C23,28.6,22.6,29,22,29z"}},{"tag":"path","attr":{"d":"M29,29h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C30,28.6,29.6,29,29,29z"}},{"tag":"path","attr":{"d":"M15,35h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C16,34.6,15.6,35,15,35z"}},{"tag":"path","attr":{"d":"M22,35h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C23,34.6,22.6,35,22,35z"}},{"tag":"path","attr":{"d":"M29,35h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C30,34.6,29.6,35,29,35z"}},{"tag":"path","attr":{"d":"M15,41h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C16,40.6,15.6,41,15,41z"}},{"tag":"path","attr":{"d":"M22,41h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C23,40.6,22.6,41,22,41z"}},{"tag":"path","attr":{"d":"M29,41h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C30,40.6,29.6,41,29,41z"}}]},{"tag":"g","attr":{"fill":"#BDBDBD"},"child":[{"tag":"path","attr":{"d":"M36,29h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C37,28.6,36.6,29,36,29z"}},{"tag":"path","attr":{"d":"M36,35h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C37,34.6,36.6,35,36,35z"}},{"tag":"path","attr":{"d":"M36,41h-3c-0.6,0-1-0.4-1-1v-2c0-0.6,0.4-1,1-1h3c0.6,0,1,0.4,1,1v2C37,40.6,36.6,41,36,41z"}}]}]})(props);
};
function FcCalendar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#CFD8DC","d":"M5,38V14h38v24c0,2.2-1.8,4-4,4H9C6.8,42,5,40.2,5,38z"}},{"tag":"path","attr":{"fill":"#F44336","d":"M43,10v6H5v-6c0-2.2,1.8-4,4-4h30C41.2,6,43,7.8,43,10z"}},{"tag":"g","attr":{"fill":"#B71C1C"},"child":[{"tag":"circle","attr":{"cx":"33","cy":"10","r":"3"}},{"tag":"circle","attr":{"cx":"15","cy":"10","r":"3"}}]},{"tag":"g","attr":{"fill":"#B0BEC5"},"child":[{"tag":"path","attr":{"d":"M33,3c-1.1,0-2,0.9-2,2v5c0,1.1,0.9,2,2,2s2-0.9,2-2V5C35,3.9,34.1,3,33,3z"}},{"tag":"path","attr":{"d":"M15,3c-1.1,0-2,0.9-2,2v5c0,1.1,0.9,2,2,2s2-0.9,2-2V5C17,3.9,16.1,3,15,3z"}}]},{"tag":"g","attr":{"fill":"#90A4AE"},"child":[{"tag":"rect","attr":{"x":"13","y":"20","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"19","y":"20","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"25","y":"20","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"31","y":"20","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"13","y":"26","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"19","y":"26","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"25","y":"26","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"31","y":"26","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"13","y":"32","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"19","y":"32","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"25","y":"32","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"31","y":"32","width":"4","height":"4"}}]}]})(props);
};
function FcCallTransfer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#009688","d":"M39.2,8.4l-1.8,1.8c-6.3,6.5-5.4,22,0,27.6l1.8,1.8c0.5,0.5,1.3,0.5,1.8,0l3.6-3.7c0.5-0.5,0.5-1.3,0-1.8 l-3.4-3.4h-4.8c-1.3-1.3-1.3-12.1,0-13.4h4.8l3.3-3.4c0.5-0.5,0.5-1.3,0-1.8L41,8.4C40.5,7.9,39.7,7.9,39.2,8.4z"}},{"tag":"path","attr":{"fill":"#009688","d":"M11.2,8.4l-1.8,1.8c-6.3,6.5-5.4,22,0,27.6l1.8,1.8c0.5,0.5,1.3,0.5,1.8,0l3.6-3.7c0.5-0.5,0.5-1.3,0-1.8 l-3.4-3.4H8.5c-1.3-1.3-1.3-12.1,0-13.4h4.8l3.3-3.4c0.5-0.5,0.5-1.3,0-1.8L13,8.4C12.5,7.9,11.7,7.9,11.2,8.4z"}},{"tag":"g","attr":{"fill":"#2196F3"},"child":[{"tag":"polygon","attr":{"points":"25.3,18.6 30.7,24 25.3,29.4"}},{"tag":"rect","attr":{"x":"16","y":"22","width":"11","height":"4"}}]}]})(props);
};
function FcCallback (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#2196F3","d":"M26.4,33.9c0,0,4-2.6,4.8-3c0.8-0.4,1.7-0.6,2.2-0.2c0.8,0.5,7.5,4.9,8.1,5.3c0.6,0.4,0.8,1.5,0.1,2.6 c-0.8,1.1-4.3,5.5-5.8,5.4c-1.5,0-8.4,0.4-20.3-11.4C3.6,20.7,4,13.8,4,12.3c0-1.5,4.3-5.1,5.4-5.8c1.1-0.8,2.2-0.5,2.6,0.1 c0.4,0.6,4.8,7.3,5.3,8.1c0.3,0.5,0.2,1.4-0.2,2.2c-0.4,0.8-3,4.8-3,4.8s0.7,2.8,5,7.2C23.5,33.2,26.4,33.9,26.4,33.9z"}},{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"path","attr":{"d":"M35,9H25v4h10c1.1,0,2,0.9,2,2v10h4V15C41,11.7,38.3,9,35,9z"}},{"tag":"polygon","attr":{"points":"28,16 21.3,11 28,6"}}]}]})(props);
};
function FcCamcorderPro (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"27","y":"8","fill":"#37474F","width":"10","height":"4"}},{"tag":"path","attr":{"fill":"#607D8B","d":"M27,8h-9.7c-1.5,0-2.8,0.8-3.5,2.1l-3.3,6L14,18l3.3-6H27v7.2h4V12C31,9.8,29.2,8,27,8z"}},{"tag":"path","attr":{"fill":"#607D8B","d":"M30,40H6c-2.2,0-4-1.8-4-4V20c0-2.2,1.8-4,4-4h24c2.2,0,4,1.8,4,4v16C34,38.2,32.2,40,30,40z"}},{"tag":"path","attr":{"fill":"#607D8B","d":"M38,35l5,5h3V18h-3l-5,5V35z"}},{"tag":"path","attr":{"fill":"#546E7A","d":"M22,35H8c-1.1,0-2-0.9-2-2V23c0-1.1,0.9-2,2-2h14c1.1,0,2,0.9,2,2v10C24,34.1,23.1,35,22,35z"}},{"tag":"rect","attr":{"x":"34","y":"23","fill":"#455A64","width":"4","height":"12"}},{"tag":"path","attr":{"fill":"#263238","d":"M41,13h-4c-0.6,0-1-0.4-1-1V8c0-0.6,0.4-1,1-1h4c1.7,0,3,1.3,3,3v0C44,11.7,42.7,13,41,13z"}},{"tag":"rect","attr":{"x":"8","y":"23","fill":"#03A9F4","width":"14","height":"10"}},{"tag":"polygon","attr":{"fill":"#4FC3F7","points":"13.5,25.5 9,32 18,32"}},{"tag":"g","attr":{"fill":"#B3E5FC"},"child":[{"tag":"circle","attr":{"cx":"19.5","cy":"25.5","r":"1.5"}},{"tag":"polygon","attr":{"points":"17.5,27.6 14,32 21,32"}}]}]})(props);
};
function FcCamcorder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#607D8B","d":"M20,42H10c-2.2,0-4-1.8-4-4V15c0-5,4-9,9-9h0c5,0,9,4,9,9v23C24,40.2,22.2,42,20,42z"}},{"tag":"circle","attr":{"fill":"#455A64","cx":"15","cy":"15","r":"7"}},{"tag":"circle","attr":{"fill":"#42A5F5","cx":"15","cy":"15","r":"5.2"}},{"tag":"path","attr":{"fill":"#90CAF9","d":"M18.3,13c-0.8-0.9-2-1.5-3.3-1.5S12.6,12,11.7,13c-0.3,0.4-0.3,0.9,0.1,1.2c0.4,0.3,0.9,0.3,1.2-0.1 c1-1.2,2.9-1.2,3.9,0c0.2,0.2,0.4,0.3,0.7,0.3c0.2,0,0.4-0.1,0.6-0.2C18.6,13.9,18.6,13.3,18.3,13z"}},{"tag":"path","attr":{"fill":"#607D8B","d":"M40,31H28c-1.1,0-2-0.9-2-2V19c0-1.1,0.9-2,2-2h12c1.1,0,2,0.9,2,2v10C42,30.1,41.1,31,40,31z"}},{"tag":"rect","attr":{"x":"24","y":"19","fill":"#455A64","width":"2","height":"10"}},{"tag":"rect","attr":{"x":"28","y":"19","fill":"#03A9F4","width":"12","height":"10"}},{"tag":"polygon","attr":{"fill":"#4FC3F7","points":"33,22.2 29,28 37,28"}},{"tag":"g","attr":{"fill":"#B3E5FC"},"child":[{"tag":"circle","attr":{"cx":"37.5","cy":"21.5","r":"1"}},{"tag":"polygon","attr":{"points":"36,24.2 33,28 39,28"}}]},{"tag":"circle","attr":{"fill":"#455A64","cx":"15","cy":"35","r":"3"}},{"tag":"circle","attr":{"fill":"#F44336","cx":"15","cy":"35","r":"2"}}]})(props);
};
function FcCameraAddon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#512DA8","d":"M33.9,12.1H14.2L17.6,7c0.4-0.6,1-0.9,1.7-0.9h9.6c0.7,0,1.3,0.3,1.7,0.9L33.9,12.1z"}},{"tag":"path","attr":{"fill":"#8667C4","d":"M14,11H8V9.2C8,8.5,8.5,8,9.2,8h3.6C13.5,8,14,8.5,14,9.2V11z"}},{"tag":"path","attr":{"fill":"#5E35B1","d":"M40,42H8c-2.2,0-4-1.8-4-4V14c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v24C44,40.2,42.2,42,40,42z"}},{"tag":"circle","attr":{"fill":"#512DA8","cx":"24","cy":"26","r":"12"}},{"tag":"circle","attr":{"fill":"#B388FF","cx":"24","cy":"26","r":"9"}},{"tag":"path","attr":{"fill":"#C7A7FF","d":"M28.8,23c-1.2-1.4-3-2.2-4.8-2.2s-3.6,0.8-4.8,2.2c-0.5,0.5-0.4,1.3,0.1,1.8c0.5,0.5,1.3,0.4,1.8-0.1 c1.5-1.7,4.3-1.7,5.8,0c0.3,0.3,0.6,0.4,1,0.4c0.3,0,0.6-0.1,0.9-0.3C29.2,24.4,29.3,23.5,28.8,23z"}},{"tag":"ellipse","attr":{"fill":"#8667C4","cx":"11","cy":"13.5","rx":"2","ry":"1.5"}},{"tag":"path","attr":{"fill":"#8BC34A","d":"M48,33.8c0-1.3-1.1-2.4-2.4-2.4H42c-0.4,0-0.7-0.5-0.4-0.8c0.4-0.6,0.5-1.3,0.4-2.1 c-0.2-1.2-1.1-2.1-2.3-2.4C37.7,25.7,36,27.1,36,29c0,0.6,0.2,1.1,0.4,1.6c0.2,0.4,0,0.8-0.5,0.8h-3.6c-1.3,0-2.4,1.1-2.4,2.4V37 c0,0.4,0.5,0.7,0.8,0.4c0.6-0.4,1.3-0.5,2.1-0.4c1.2,0.2,2.1,1.1,2.4,2.3c0.4,1.9-1.1,3.6-2.9,3.6c-0.6,0-1.1-0.2-1.6-0.4 c-0.4-0.2-0.8,0-0.8,0.5v2.6c0,1.3,1.1,2.4,2.4,2.4h13.2c1.3,0,2.4-1.1,2.4-2.4V33.8z"}}]})(props);
};
function FcCameraIdentification (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#512DA8","d":"M33.9,12.1H14.2L17.6,7c0.4-0.6,1-0.9,1.7-0.9h9.6c0.7,0,1.3,0.3,1.7,0.9L33.9,12.1z"}},{"tag":"path","attr":{"fill":"#8667C4","d":"M14,11H8V9.2C8,8.5,8.5,8,9.2,8h3.6C13.5,8,14,8.5,14,9.2V11z"}},{"tag":"path","attr":{"fill":"#5E35B1","d":"M40,42H8c-2.2,0-4-1.8-4-4V14c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v24C44,40.2,42.2,42,40,42z"}},{"tag":"circle","attr":{"fill":"#512DA8","cx":"24","cy":"26","r":"12"}},{"tag":"circle","attr":{"fill":"#B388FF","cx":"24","cy":"26","r":"9"}},{"tag":"g","attr":{"fill":"#616161"},"child":[{"tag":"rect","attr":{"x":"42.2","y":"38.3","transform":"matrix(.707 -.707 .707 .707 -18.002 43.46)","width":"2.4","height":"10.4"}},{"tag":"circle","attr":{"cx":"35","cy":"35","r":"10"}}]},{"tag":"rect","attr":{"x":"43.9","y":"42.4","transform":"matrix(.707 -.707 .707 .707 -18.709 45.167)","fill":"#37474F","width":"2.4","height":"5.6"}},{"tag":"circle","attr":{"fill":"#64B5F6","cx":"35","cy":"35","r":"8"}},{"tag":"path","attr":{"fill":"#BBDEFB","d":"M39.3,31.4c-1.1-1.3-2.6-2-4.2-2s-3.2,0.7-4.2,2c-0.2,0.3-0.2,0.6,0.1,0.9c0.3,0.2,0.6,0.2,0.9-0.1 c0.8-1,2-1.5,3.3-1.5s2.5,0.6,3.3,1.5c0.1,0.1,0.3,0.2,0.5,0.2c0.1,0,0.3,0,0.4-0.1C39.5,32.1,39.5,31.7,39.3,31.4z"}},{"tag":"path","attr":{"fill":"#C7A7FF","d":"M29,23c-1.2-1.4-3-2.2-4.8-2.2c-1.8,0-3.6,0.8-4.8,2.2c-0.5,0.5-0.4,1.3,0.1,1.8c0.5,0.5,1.3,0.4,1.8-0.1 c1.5-1.7,4.3-1.7,5.8,0c0.3,0.3,0.6,0.4,1,0.4c0.3,0,0.6-0.1,0.9-0.3C29.4,24.4,29.5,23.5,29,23z"}},{"tag":"ellipse","attr":{"fill":"#8667C4","cx":"11","cy":"13.5","rx":"2","ry":"1.5"}}]})(props);
};
function FcCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#512DA8","d":"M33.9,12.1H14.2L17.6,7c0.4-0.6,1-0.9,1.7-0.9h9.6c0.7,0,1.3,0.3,1.7,0.9L33.9,12.1z"}},{"tag":"path","attr":{"fill":"#8667C4","d":"M14,11H8V9.2C8,8.5,8.5,8,9.2,8h3.6C13.5,8,14,8.5,14,9.2V11z"}},{"tag":"path","attr":{"fill":"#5E35B1","d":"M40,42H8c-2.2,0-4-1.8-4-4V14c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v24C44,40.2,42.2,42,40,42z"}},{"tag":"circle","attr":{"fill":"#512DA8","cx":"24","cy":"26","r":"12"}},{"tag":"circle","attr":{"fill":"#B388FF","cx":"24","cy":"26","r":"9"}},{"tag":"path","attr":{"fill":"#C7A7FF","d":"M29,23c-1.2-1.4-3-2.2-4.8-2.2c-1.8,0-3.6,0.8-4.8,2.2c-0.5,0.5-0.4,1.3,0.1,1.8c0.5,0.5,1.3,0.4,1.8-0.1 c1.5-1.7,4.3-1.7,5.8,0c0.3,0.3,0.6,0.4,1,0.4c0.3,0,0.6-0.1,0.9-0.3C29.4,24.4,29.5,23.5,29,23z"}},{"tag":"ellipse","attr":{"fill":"#8667C4","cx":"11","cy":"13.5","rx":"2","ry":"1.5"}}]})(props);
};
function FcCancel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#D50000","d":"M24,6C14.1,6,6,14.1,6,24s8.1,18,18,18s18-8.1,18-18S33.9,6,24,6z M24,10c3.1,0,6,1.1,8.4,2.8L12.8,32.4 C11.1,30,10,27.1,10,24C10,16.3,16.3,10,24,10z M24,38c-3.1,0-6-1.1-8.4-2.8l19.6-19.6C36.9,18,38,20.9,38,24C38,31.7,31.7,38,24,38 z"}}]})(props);
};
function FcCandleSticks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#546E7A"},"child":[{"tag":"rect","attr":{"x":"38","y":"4","width":"2","height":"20"}},{"tag":"rect","attr":{"x":"15","y":"7","width":"2","height":"17"}},{"tag":"rect","attr":{"x":"8","y":"27","width":"2","height":"17"}},{"tag":"rect","attr":{"x":"28","y":"19","width":"2","height":"22"}}]},{"tag":"path","attr":{"fill":"#4CAF50","d":"M36,7h6c1.1,0,2,0.9,2,2v10c0,1.1-0.9,2-2,2h-6c-1.1,0-2-0.9-2-2V9C34,7.9,34.9,7,36,7z"}},{"tag":"path","attr":{"fill":"#4CAF50","d":"M13,10h6c1.1,0,2,0.9,2,2v7c0,1.1-0.9,2-2,2h-6c-1.1,0-2-0.9-2-2v-7C11,10.9,11.9,10,13,10z"}},{"tag":"path","attr":{"fill":"#F44336","d":"M6,30h6c1.1,0,2,0.9,2,2v7c0,1.1-0.9,2-2,2H6c-1.1,0-2-0.9-2-2v-7C4,30.9,4.9,30,6,30z"}},{"tag":"path","attr":{"fill":"#F44336","d":"M26,22h6c1.1,0,2,0.9,2,2v12c0,1.1-0.9,2-2,2h-6c-1.1,0-2-0.9-2-2V24C24,22.9,24.9,22,26,22z"}}]})(props);
};
function FcCapacitor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FF9800"},"child":[{"tag":"rect","attr":{"y":"27","width":"25","height":"4"}},{"tag":"rect","attr":{"y":"17","width":"25","height":"4"}}]},{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"path","attr":{"d":"M46,35c1.1,0,2-0.9,2-2V15c0-1.1-0.9-2-2-2H27v22H46z"}},{"tag":"path","attr":{"d":"M21,13c-1.1,0-2,0.9-2,2v18c0,1.1,0.9,2,2,2h2V13H21z"}}]},{"tag":"path","attr":{"fill":"#303F9F","d":"M25,33c1.1,0,2,0.9,2,2V13c0,1.1-0.9,2-2,2c-1.1,0-2-0.9-2-2v22C23,33.9,23.9,33,25,33z"}}]})(props);
};
function FcCdLogo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"fill":"#2196F3","d":"M17.814,18H20.2c0.5,0,0.8,0.4,0.8,0.8v16.4c0,0.399-0.4,0.8-0.8,0.8h-2.384c-0.4,0-0.8-0.4-0.8-0.8V18.8\r\n\t\tC16.916,18.3,17.314,18,17.814,18z"}},{"tag":"path","attr":{"fill":"#2196F3","d":"M14.2,11h-3.3c-0.5,0-0.9,0.403-0.9,0.807V17H2.2C1.6,17,1,17.605,1,18.21v16.58C1,35.396,1.6,36,2.2,36h12\r\n\t\tc0.4,0,0.8-0.305,0.8-0.809V11.807C15,11.403,14.7,11,14.2,11z M10,31.283c0,0.398-0.4,0.8-0.8,0.8H6.8c-0.4,0-0.8-0.399-0.8-0.8\r\n\t\tV21.8C6,21.4,6.3,21,6.8,21h2.4c0.5,0,0.8,0.4,0.8,0.8V31.283z"}},{"tag":"path","attr":{"fill":"#2196F3","d":"M33.2,25c0.5,0,0.8,0.6,0.8,0.8v9.4c0,0.399-0.422,0.8-0.8,0.8h-9.4c-0.425,0-0.8-0.4-0.8-0.8v-2.386\r\n\t\tc0-0.5,0.4-0.799,0.8-0.799L30,32v-3h-6.2c-0.331,0-0.8-0.4-0.8-0.801V18.8c0-0.5,0.4-0.8,0.8-0.8h9.4c0.399,0,0.8,0.4,0.8,0.8v2.4\r\n\t\tc0,0.3-0.266,0.8-0.8,0.8H27v3H33.2z"}},{"tag":"path","attr":{"fill":"#2196F3","d":"M48,28v7.2c0,0.399-0.4,0.8-0.801,0.8H36.8c-0.2,0-0.8-0.4-0.8-0.8V18.8c0-0.5,0.432-0.8,0.831-0.8H47.2\r\n\t\tc0,0,0.8,0,0.8,0.8V25h-4v-2.2c0,0,0.1-0.8-0.8-0.8h-2.4c-0.5,0-0.8,0.4-0.8,0.8v8.4c0,0.399,0.5,0.8,0.8,0.8h2.4\r\n\t\tc0.399,0,0.8-0.4,0.8-0.8V28H48z"}}]},{"tag":"g","attr":{},"child":[{"tag":"polygon","attr":{"fill":"#0D47A1","points":"45.799,15.98 46.9,15.98 46.9,12.881 48,12.881 48,11.98 44.799,11.98 44.799,12.881 \r\n\t\t45.799,12.881 \t"}},{"tag":"path","attr":{"fill":"#0D47A1","d":"M44.014,14.476h-1.143v0.095c0,0.382-0.096,0.573-0.572,0.573c-0.475,0-0.57-0.191-0.57-0.762v-0.668\r\n\t\tc0-0.572,0-0.762,0.57-0.762c0.381,0,0.572,0.095,0.572,0.477v0.095h1.047v-0.095c0-1.047-0.381-1.429-1.523-1.429h-0.287\r\n\t\tc-1.141,0-1.523,0.382-1.523,1.618v0.764c0,1.142,0.381,1.618,1.523,1.618h0.383c1.047,0,1.428-0.477,1.428-1.43v-0.095H44.014z"}},{"tag":"polygon","attr":{"fill":"#0D47A1","points":"29.516,12 28.717,14.9 27.816,12 26.217,12 26.217,16 27.316,16 27.316,13 28.115,16 29.217,16 \r\n\t\t30.115,13.1 30.115,16 31.115,16 31.115,12 \t"}},{"tag":"path","attr":{"fill":"#0D47A1","d":"M38.713,12h-0.9h-0.898l-1.199,4h1.199l0.199-0.7h0.602h0.799l0.199,0.7h1.199L38.713,12z M37.914,14.5\r\n\t\th-0.4l0.4-1.7l0,0l0,0l0.398,1.7H37.914z"}},{"tag":"path","attr":{"fill":"#0D47A1","d":"M33.92,12h-0.199H32.02v4h1.102v-1.1h0.6h0.199c1.102,0,1.5-0.4,1.5-1.4v-0.3C35.42,12.3,35.02,12,33.92,12\r\n\t\tz M34.32,13.6c0,0.4-0.1,0.5-0.4,0.5h-0.199h-0.6v-1.2h0.6h0.1c0.4,0,0.5,0.1,0.5,0.4V13.6z"}},{"tag":"path","attr":{"fill":"#0D47A1","d":"M23.594,12h-0.286h-0.286c-1.143,0-1.523,0.382-1.523,1.618v0.762c0,1.144,0.381,1.62,1.523,1.62h0.286\r\n\t\th0.286c1.143,0,1.523-0.477,1.523-1.62v-0.762C25.117,12.382,24.737,12,23.594,12z M23.975,14.19c0,0.571,0,0.763-0.571,0.763\r\n\t\th-0.095h-0.095c-0.571,0-0.571-0.191-0.571-0.763v-0.572c0-0.57,0-0.762,0.571-0.762h0.095h0.095c0.571,0,0.571,0.191,0.571,0.762\r\n\t\tV14.19z"}},{"tag":"path","attr":{"fill":"#0D47A1","d":"M20.422,14.477h-1.144v0.095c0,0.382-0.095,0.571-0.571,0.571c-0.476,0-0.571-0.189-0.571-0.762v-0.666\r\n\t\tc0-0.573,0-0.762,0.571-0.762c0.381,0,0.571,0.095,0.571,0.475v0.096h1.048v-0.096c0-1.047-0.381-1.428-1.523-1.428h-0.286\r\n\t\tc-1.143,0-1.524,0.381-1.524,1.618v0.763c0,1.143,0.381,1.619,1.524,1.619h0.381c1.048,0,1.429-0.477,1.429-1.429v-0.095H20.422z"}}]}]})(props);
};
function FcCellPhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#546E7A","d":"M12,40V10h20c2.2,0,4,1.8,4,4v26c0,2.2-1.8,4-4,4H16C13.8,44,12,42.2,12,40z"}},{"tag":"path","attr":{"fill":"#4FC3F7","d":"M32,13H16c-0.6,0-1,0.4-1,1v8c0,0.6,0.4,1,1,1h16c0.6,0,1-0.4,1-1v-8C33,13.4,32.6,13,32,13z"}},{"tag":"path","attr":{"fill":"#B3E5FC","d":"M19,30h-2c-0.6,0-1-0.4-1-1v-1c0-0.6,0.4-1,1-1h2c0.6,0,1,0.4,1,1v1C20,29.6,19.6,30,19,30z"}},{"tag":"path","attr":{"fill":"#B3E5FC","d":"M25,30h-2c-0.6,0-1-0.4-1-1v-1c0-0.6,0.4-1,1-1h2c0.6,0,1,0.4,1,1v1C26,29.6,25.6,30,25,30z"}},{"tag":"path","attr":{"fill":"#B3E5FC","d":"M31,30h-2c-0.6,0-1-0.4-1-1v-1c0-0.6,0.4-1,1-1h2c0.6,0,1,0.4,1,1v1C32,29.6,31.6,30,31,30z"}},{"tag":"path","attr":{"fill":"#B3E5FC","d":"M19,35h-2c-0.6,0-1-0.4-1-1v-1c0-0.6,0.4-1,1-1h2c0.6,0,1,0.4,1,1v1C20,34.6,19.6,35,19,35z"}},{"tag":"path","attr":{"fill":"#B3E5FC","d":"M25,35h-2c-0.6,0-1-0.4-1-1v-1c0-0.6,0.4-1,1-1h2c0.6,0,1,0.4,1,1v1C26,34.6,25.6,35,25,35z"}},{"tag":"path","attr":{"fill":"#B3E5FC","d":"M31,35h-2c-0.6,0-1-0.4-1-1v-1c0-0.6,0.4-1,1-1h2c0.6,0,1,0.4,1,1v1C32,34.6,31.6,35,31,35z"}},{"tag":"path","attr":{"fill":"#B3E5FC","d":"M19,40h-2c-0.6,0-1-0.4-1-1v-1c0-0.6,0.4-1,1-1h2c0.6,0,1,0.4,1,1v1C20,39.6,19.6,40,19,40z"}},{"tag":"path","attr":{"fill":"#B3E5FC","d":"M25,40h-2c-0.6,0-1-0.4-1-1v-1c0-0.6,0.4-1,1-1h2c0.6,0,1,0.4,1,1v1C26,39.6,25.6,40,25,40z"}},{"tag":"path","attr":{"fill":"#B3E5FC","d":"M31,40h-2c-0.6,0-1-0.4-1-1v-1c0-0.6,0.4-1,1-1h2c0.6,0,1,0.4,1,1v1C32,39.6,31.6,40,31,40z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M16,10h-4V4c0-1.1,0.9-2,2-2h0c1.1,0,2,0.9,2,2V10z"}}]})(props);
};
function FcChargeBattery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#8BC34A"},"child":[{"tag":"path","attr":{"d":"M34,44H14c-1.1,0-2-0.9-2-2V8c0-1.1,0.9-2,2-2h20c1.1,0,2,0.9,2,2v34C36,43.1,35.1,44,34,44z"}},{"tag":"path","attr":{"d":"M28,13h-8c-0.6,0-1-0.4-1-1V5c0-0.6,0.4-1,1-1h8c0.6,0,1,0.4,1,1v7C29,12.6,28.6,13,28,13z"}}]},{"tag":"polygon","attr":{"fill":"#FFEB3B","points":"30,24 24.5,24 26.7,13 18,26 23.5,26 21.3,37"}}]})(props);
};
function FcCheckmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#43A047","points":"40.6,12.1 17,35.7 7.4,26.1 4.6,29 17,41.3 43.4,14.9"}}]})(props);
};
function FcCircuit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#4CAF50","d":"M6,10v28c0,2.2,1.8,4,4,4h28c2.2,0,4-1.8,4-4V10c0-2.2-1.8-4-4-4H10C7.8,6,6,7.8,6,10z"}},{"tag":"g","attr":{"fill":"#FFC107"},"child":[{"tag":"path","attr":{"d":"M6.6,8l6,6c-0.4,0.6-0.6,1.3-0.6,2c0,2.2,1.8,4,4,4s4-1.8,4-4s-1.8-4-4-4c-0.7,0-1.4,0.2-2,0.6l-6-6 C7.4,6.9,6.9,7.4,6.6,8z M16,14.5c0.8,0,1.5,0.7,1.5,1.5s-0.7,1.5-1.5,1.5s-1.5-0.7-1.5-1.5S15.2,14.5,16,14.5z"}},{"tag":"path","attr":{"d":"M41.4,40l-6-6c0.4-0.6,0.6-1.3,0.6-2c0-2.2-1.8-4-4-4s-4,1.8-4,4s1.8,4,4,4c0.7,0,1.4-0.2,2-0.6l6,6 C40.6,41.1,41.1,40.6,41.4,40z M32,33.5c-0.8,0-1.5-0.7-1.5-1.5s0.7-1.5,1.5-1.5s1.5,0.7,1.5,1.5S32.8,33.5,32,33.5z"}},{"tag":"path","attr":{"d":"M16,36c2.2,0,4-1.8,4-4c0-0.7-0.2-1.4-0.6-2L30,19.4c0.6,0.4,1.3,0.6,2,0.6c2.2,0,4-1.8,4-4s-1.8-4-4-4 s-4,1.8-4,4c0,0.7,0.2,1.4,0.6,2L18,28.6c-0.6-0.4-1.3-0.6-2-0.6c-2.2,0-4,1.8-4,4S13.8,36,16,36z M32,14.5c0.8,0,1.5,0.7,1.5,1.5 s-0.7,1.5-1.5,1.5s-1.5-0.7-1.5-1.5S31.2,14.5,32,14.5z M16,30.5c0.8,0,1.5,0.7,1.5,1.5s-0.7,1.5-1.5,1.5s-1.5-0.7-1.5-1.5 S15.2,30.5,16,30.5z"}}]}]})(props);
};
function FcClapperboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#3F51B5","d":"M43.4,8.3L4,15l-0.3-2c-0.4-2.2,1.1-4.2,3.3-4.6l31.6-5.3c2.2-0.4,4.2,1.1,4.6,3.3L43.4,8.3z"}},{"tag":"path","attr":{"fill":"#3F51B5","d":"M40,41H8c-2.2,0-4-1.8-4-4V15h40v22C44,39.2,42.2,41,40,41z"}},{"tag":"g","attr":{"fill":"#9FA8DA"},"child":[{"tag":"polygon","attr":{"points":"18.8,6.4 23.7,11.7 27.7,11 22.7,5.7"}},{"tag":"polygon","attr":{"points":"10.9,7.7 15.8,13 19.8,12.3 14.8,7.1"}},{"tag":"polygon","attr":{"points":"26.7,5.1 31.6,10.3 35.5,9.7 30.6,4.4"}},{"tag":"polygon","attr":{"points":"34.5,3.8 39.5,9 43.4,8.3 38.5,3.1"}}]},{"tag":"circle","attr":{"fill":"#9FA8DA","cx":"7.5","cy":"11.5","r":"1.5"}},{"tag":"g","attr":{"fill":"#9FA8DA"},"child":[{"tag":"polygon","attr":{"points":"40,15 36,21 40,21 44,15"}},{"tag":"polygon","attr":{"points":"32,15 28,21 32,21 36,15"}},{"tag":"polygon","attr":{"points":"24,15 20,21 24,21 28,15"}},{"tag":"polygon","attr":{"points":"16,15 12,21 16,21 20,15"}},{"tag":"polygon","attr":{"points":"8,15 4,21 8,21 12,15"}}]}]})(props);
};
function FcClearFilters (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#F57C00","points":"29,23 19,23 7,9 41,9"}},{"tag":"g","attr":{"fill":"#FF9800"},"child":[{"tag":"polygon","attr":{"points":"29,38 19,44 19,23 29,23"}},{"tag":"path","attr":{"d":"M41.5,9h-35C5.7,9,5,8.3,5,7.5v0C5,6.7,5.7,6,6.5,6h35C42.3,6,43,6.7,43,7.5v0C43,8.3,42.3,9,41.5,9z"}}]},{"tag":"circle","attr":{"fill":"#F44336","cx":"38","cy":"38","r":"10"}},{"tag":"rect","attr":{"x":"32","y":"36","fill":"#fff","width":"12","height":"4"}}]})(props);
};
function FcClock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#00ACC1","cx":"24","cy":"24","r":"20"}},{"tag":"circle","attr":{"fill":"#eee","cx":"24","cy":"24","r":"16"}},{"tag":"rect","attr":{"x":"23","y":"11","width":"2","height":"13"}},{"tag":"rect","attr":{"x":"26.1","y":"22.7","transform":"matrix(-.707 .707 -.707 -.707 65.787 27.25)","width":"2.3","height":"9.2"}},{"tag":"circle","attr":{"cx":"24","cy":"24","r":"2"}},{"tag":"circle","attr":{"fill":"#00ACC1","cx":"24","cy":"24","r":"1"}}]})(props);
};
function FcCloseUpMode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#2E7D32","d":"M5,24c0,18.9,14.8,19,17,19s4,0,4,0S24.1,26.5,5,24z"}},{"tag":"rect","attr":{"x":"22","y":"26","fill":"#388E3C","width":"4","height":"17"}},{"tag":"path","attr":{"fill":"#C62828","d":"M34,16c0,5.1-5.2,8.2-8,8.2s-2-3.1-2-8.2s5-9.2,5-9.2S34,10.9,34,16z"}},{"tag":"path","attr":{"fill":"#C62828","d":"M14,16c0,5.1,5.2,8.2,8,8.2s2-3.1,2-8.2s-5-9.2-5-9.2S14,10.9,14,16z"}},{"tag":"path","attr":{"fill":"#E53935","d":"M24,27c-2.2-1.6-1.9-4.5,2.4-8.8C30.8,13.8,32,7,32,7s5,3.4,5,9C37,21.9,31.3,27,24,27z"}},{"tag":"path","attr":{"fill":"#E53935","d":"M24,27c2.2-1.6,1.9-4.5-2.4-8.8C17.2,13.8,16,7,16,7s-5,3.4-5,9C11,21.9,16.7,27,24,27z"}},{"tag":"path","attr":{"fill":"#F44336","d":"M30,16c0,6.1-2.7,11-6,11s-6-4.9-6-11s6-11,6-11S30,9.9,30,16z"}},{"tag":"path","attr":{"fill":"#4CAF50","d":"M22,43c0,0,1.8,0,4,0s17-0.1,17-19C23.9,26.5,22,43,22,43z"}}]})(props);
};
function FcCloth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FF5722","d":"M6,10v28c0,2.2,1.8,4,4,4h28c2.2,0,4-1.8,4-4V10c0-2.2-1.8-4-4-4H10C7.8,6,6,7.8,6,10z"}},{"tag":"g","attr":{"fill":"#BF360C"},"child":[{"tag":"rect","attr":{"x":"6","y":"35","width":"36","height":"2"}},{"tag":"rect","attr":{"x":"6","y":"31","width":"36","height":"2"}},{"tag":"path","attr":{"d":"M6.1,39c0.2,0.8,0.6,1.5,1.2,2h33.2c0.6-0.5,1-1.2,1.2-2H6.1z"}},{"tag":"path","attr":{"d":"M6.1,9h35.7c-0.2-0.8-0.6-1.5-1.2-2H7.4C6.8,7.5,6.3,8.2,6.1,9z"}},{"tag":"rect","attr":{"x":"6","y":"23","width":"36","height":"2"}},{"tag":"rect","attr":{"x":"6","y":"27","width":"36","height":"2"}},{"tag":"rect","attr":{"x":"6","y":"15","width":"36","height":"2"}},{"tag":"rect","attr":{"x":"6","y":"11","width":"36","height":"2"}},{"tag":"rect","attr":{"x":"6","y":"19","width":"36","height":"2"}}]},{"tag":"g","attr":{"fill":"#FF8A65"},"child":[{"tag":"rect","attr":{"x":"27","y":"6","width":"2","height":"5"}},{"tag":"rect","attr":{"x":"27","y":"13","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"27","y":"29","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"31","y":"6","width":"2","height":"1"}},{"tag":"rect","attr":{"x":"19","y":"29","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"31","y":"9","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"23","y":"6","width":"2","height":"1"}},{"tag":"rect","attr":{"x":"23","y":"25","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"23","y":"9","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"19","y":"21","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"23","y":"17","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"23","y":"33","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"27","y":"21","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"39","y":"33","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"39","y":"17","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"39","y":"25","width":"2","height":"6"}},{"tag":"path","attr":{"d":"M39,6.1V7h1.6C40.2,6.6,39.6,6.3,39,6.1z"}},{"tag":"rect","attr":{"x":"31","y":"17","width":"2","height":"6"}},{"tag":"path","attr":{"d":"M40.6,41H39v0.9C39.6,41.7,40.2,41.4,40.6,41z"}},{"tag":"rect","attr":{"x":"35","y":"13","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"31","y":"33","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"35","y":"29","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"39","y":"9","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"35","y":"21","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"31","y":"25","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"35","y":"37","width":"2","height":"5"}},{"tag":"rect","attr":{"x":"35","y":"6","width":"2","height":"5"}},{"tag":"rect","attr":{"x":"31","y":"41","width":"2","height":"1"}},{"tag":"rect","attr":{"x":"23","y":"41","width":"2","height":"1"}},{"tag":"rect","attr":{"x":"27","y":"37","width":"2","height":"5"}},{"tag":"rect","attr":{"x":"19","y":"37","width":"2","height":"5"}},{"tag":"rect","attr":{"x":"7","y":"17","width":"2","height":"6"}},{"tag":"path","attr":{"d":"M9,41H7.4c0.5,0.4,1,0.7,1.6,0.9V41z"}},{"tag":"path","attr":{"d":"M7.4,7H9V6.1C8.4,6.3,7.8,6.6,7.4,7z"}},{"tag":"rect","attr":{"x":"7","y":"33","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"7","y":"25","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"7","y":"9","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"11","y":"29","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"15","y":"17","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"15","y":"33","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"15","y":"9","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"15","y":"6","width":"2","height":"1"}},{"tag":"rect","attr":{"x":"19","y":"6","width":"2","height":"5"}},{"tag":"rect","attr":{"x":"15","y":"25","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"15","y":"41","width":"2","height":"1"}},{"tag":"rect","attr":{"x":"11","y":"21","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"11","y":"6","width":"2","height":"5"}},{"tag":"rect","attr":{"x":"11","y":"37","width":"2","height":"5"}},{"tag":"rect","attr":{"x":"19","y":"13","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"11","y":"13","width":"2","height":"6"}}]}]})(props);
};
function FcCollaboration (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#1565C0","d":"M25,22h13l6,6V11c0-2.2-1.8-4-4-4H25c-2.2,0-4,1.8-4,4v7C21,20.2,22.8,22,25,22z"}},{"tag":"path","attr":{"fill":"#2196F3","d":"M23,19H10l-6,6V8c0-2.2,1.8-4,4-4h15c2.2,0,4,1.8,4,4v7C27,17.2,25.2,19,23,19z"}},{"tag":"g","attr":{"fill":"#FFA726"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"31","r":"5"}},{"tag":"circle","attr":{"cx":"36","cy":"31","r":"5"}}]},{"tag":"g","attr":{"fill":"#607D8B"},"child":[{"tag":"path","attr":{"d":"M20,42c0,0-2.2-4-8-4s-8,4-8,4v2h16V42z"}},{"tag":"path","attr":{"d":"M44,42c0,0-2.2-4-8-4s-8,4-8,4v2h16V42z"}}]}]})(props);
};
function FcCollapse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#2196F3","points":"5,30.9 8.1,34 24,18.1 39.9,34 43,30.9 24,12"}}]})(props);
};
function FcCollect (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#009688"},"child":[{"tag":"rect","attr":{"x":"22","y":"35","width":"4","height":"11"}},{"tag":"polygon","attr":{"points":"24,29.6 31,38 17,38"}}]},{"tag":"g","attr":{"fill":"#009688"},"child":[{"tag":"rect","attr":{"x":"22","y":"2","width":"4","height":"11"}},{"tag":"polygon","attr":{"points":"24,18.4 17,10 31,10"}}]},{"tag":"g","attr":{"fill":"#009688"},"child":[{"tag":"rect","attr":{"x":"2","y":"22","width":"11","height":"4"}},{"tag":"polygon","attr":{"points":"18.4,24 10,31 10,17"}}]},{"tag":"g","attr":{"fill":"#009688"},"child":[{"tag":"rect","attr":{"x":"35","y":"22","width":"11","height":"4"}},{"tag":"polygon","attr":{"points":"29.6,24 38,17 38,31"}}]},{"tag":"circle","attr":{"fill":"#F44336","cx":"24","cy":"24","r":"3"}}]})(props);
};
function FcComboChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#00BCD4"},"child":[{"tag":"rect","attr":{"x":"37","y":"18","width":"6","height":"24"}},{"tag":"rect","attr":{"x":"29","y":"26","width":"6","height":"16"}},{"tag":"rect","attr":{"x":"21","y":"22","width":"6","height":"20"}},{"tag":"rect","attr":{"x":"13","y":"32","width":"6","height":"10"}},{"tag":"rect","attr":{"x":"5","y":"28","width":"6","height":"14"}}]},{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"circle","attr":{"cx":"8","cy":"16","r":"3"}},{"tag":"circle","attr":{"cx":"16","cy":"18","r":"3"}},{"tag":"circle","attr":{"cx":"24","cy":"11","r":"3"}},{"tag":"circle","attr":{"cx":"32","cy":"13","r":"3"}},{"tag":"circle","attr":{"cx":"40","cy":"9","r":"3"}},{"tag":"polygon","attr":{"points":"39.1,7.2 31.8,10.9 23.5,8.8 15.5,15.8 8.5,14.1 7.5,17.9 16.5,20.2 24.5,13.2 32.2,15.1 40.9,10.8"}}]}]})(props);
};
function FcCommandLine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"fill":"#CFD8DC","d":"M41,6H7C6.4,6,6,6.4,6,7v35h36V7C42,6.4,41.6,6,41,6z"}}]},{"tag":"rect","attr":{"x":"8","y":"13","fill":"#263238","width":"32","height":"27"}},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"fill":"#76FF03","d":"M22,27.6c-0.1,1.1-0.4,1.9-1,2.5c-0.6,0.6-1.4,0.9-2.5,0.9c-1.1,0-2-0.4-2.6-1.1c-0.6-0.7-0.9-1.8-0.9-3.1\r\n\t\tv-1.6c0-1.3,0.3-2.4,0.9-3.1c0.6-0.7,1.5-1.1,2.6-1.1c1.1,0,1.9,0.3,2.5,0.9c0.6,0.6,0.9,1.4,1,2.6h-2c0-0.7-0.1-1.2-0.3-1.4\r\n\t\tc-0.2-0.3-0.6-0.4-1.1-0.4c-0.5,0-0.9,0.2-1.2,0.6c-0.2,0.4-0.3,1-0.4,1.8v1.8c0,1,0.1,1.6,0.3,2c0.2,0.4,0.6,0.5,1.1,0.5\r\n\t\tc0.5,0,0.9-0.1,1.1-0.4c0.2-0.3,0.3-0.7,0.3-1.4H22z"}},{"tag":"path","attr":{"fill":"#76FF03","d":"M24,24c0-0.3,0.1-0.5,0.3-0.7c0.2-0.2,0.4-0.3,0.7-0.3c0.3,0,0.5,0.1,0.7,0.3c0.2,0.2,0.3,0.4,0.3,0.7\r\n\t\tc0,0.3-0.1,0.5-0.3,0.7S25.3,25,25,25c-0.3,0-0.5-0.1-0.7-0.3S24,24.3,24,24z"}},{"tag":"path","attr":{"fill":"#76FF03","d":"M24,30c0-0.3,0.1-0.5,0.3-0.7c0.2-0.2,0.4-0.3,0.7-0.3c0.3,0,0.5,0.1,0.7,0.3c0.2,0.2,0.3,0.4,0.3,0.7\r\n\t\tc0,0.3-0.1,0.5-0.3,0.7S25.3,31,25,31c-0.3,0-0.5-0.1-0.7-0.3S24,30.3,24,30z"}},{"tag":"path","attr":{"fill":"#76FF03","d":"M28,21h2l3,10h-2L28,21z"}}]},{"tag":"g","attr":{},"child":[{"tag":"circle","attr":{"fill":"#90A4AE","cx":"13.5","cy":"9.5","r":"1.5"}},{"tag":"circle","attr":{"fill":"#90A4AE","cx":"9.5","cy":"9.5","r":"1.5"}}]}]})(props);
};
function FcComments (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#8BC34A","d":"M37,39H11l-6,6V11c0-3.3,2.7-6,6-6h26c3.3,0,6,2.7,6,6v22C43,36.3,40.3,39,37,39z"}}]})(props);
};
function FcCompactCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#607D8B","d":"M40,39H8c-2.2,0-4-1.8-4-4V13c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v22C44,37.2,42.2,39,40,39z"}},{"tag":"circle","attr":{"fill":"#455A64","cx":"29","cy":"24","r":"12"}},{"tag":"circle","attr":{"fill":"#42A5F5","cx":"29","cy":"24","r":"9"}},{"tag":"path","attr":{"fill":"#90CAF9","d":"M33.8,21c-1.2-1.4-3-2.2-4.8-2.2s-3.6,0.8-4.8,2.2c-0.5,0.5-0.4,1.3,0.1,1.8c0.5,0.5,1.3,0.4,1.8-0.1 c1.5-1.7,4.3-1.7,5.8,0c0.3,0.3,0.6,0.4,1,0.4c0.3,0,0.6-0.1,0.9-0.3C34.2,22.4,34.3,21.5,33.8,21z"}},{"tag":"rect","attr":{"x":"8","y":"13","fill":"#ADD8FB","width":"6","height":"3"}}]})(props);
};
function FcConferenceCall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#FFA726","cx":"12","cy":"21","r":"5"}},{"tag":"g","attr":{"fill":"#455A64"},"child":[{"tag":"path","attr":{"d":"M2,34.7c0,0,2.8-6.3,10-6.3s10,6.3,10,6.3V38H2V34.7z"}},{"tag":"path","attr":{"d":"M46,34.7c0,0-2.8-6.3-10-6.3s-10,6.3-10,6.3V38h20V34.7z"}}]},{"tag":"circle","attr":{"fill":"#FFB74D","cx":"24","cy":"17","r":"6"}},{"tag":"path","attr":{"fill":"#607D8B","d":"M36,34.1c0,0-3.3-7.5-12-7.5s-12,7.5-12,7.5V38h24V34.1z"}},{"tag":"circle","attr":{"fill":"#FFA726","cx":"36","cy":"21","r":"5"}},{"tag":"circle","attr":{"fill":"#FFA726","cx":"12","cy":"21","r":"5"}},{"tag":"circle","attr":{"fill":"#FFA726","cx":"36","cy":"21","r":"5"}}]})(props);
};
function FcContacts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FF7043","d":"M38,44H12V4h26c2.2,0,4,1.8,4,4v32C42,42.2,40.2,44,38,44z"}},{"tag":"path","attr":{"fill":"#BF360C","d":"M10,4h2v40h-2c-2.2,0-4-1.8-4-4V8C6,5.8,7.8,4,10,4z"}},{"tag":"g","attr":{"fill":"#AB300B"},"child":[{"tag":"circle","attr":{"cx":"26","cy":"20","r":"4"}},{"tag":"path","attr":{"d":"M33,30c0,0-1.9-4-7-4c-5.1,0-7,4-7,4v2h14V30z"}}]}]})(props);
};
function FcCopyleft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#9C27B0","cx":"24","cy":"24","r":"21"}},{"tag":"path","attr":{"fill":"#E1BEE7","d":"M19.3,28.1c0.3,1.3,0.2,4.1,4.6,4.1c0.9,0,4.8,0.2,4.7-7.2v-1.6c0-6.7-3.2-7.2-4.8-7.2 c-2.3,0-4.2,0.6-4.5,4.3h-4.8c0.1-1.2,0.8-8.2,9.3-8.2c4.2,0,9.7,2.5,9.7,11.2V25c0,9.6-6.5,11.2-9.6,11.2c-3.7,0-8.7-1.6-9.3-8.1 H19.3z"}}]})(props);
};
function FcCopyright (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#9C27B0","cx":"24","cy":"24","r":"21"}},{"tag":"path","attr":{"fill":"#E1BEE7","d":"M33.5,28.1c-0.6,6.4-5.6,8.1-9.3,8.1c-3.1,0-9.6-1.6-9.6-11.2v-1.5c0-8.7,5.5-11.2,9.7-11.2 c8.5,0,9.2,7,9.3,8.2h-4.8c-0.3-3.6-2.2-4.3-4.5-4.3c-1.6,0-4.8,0.5-4.8,7.2V25c-0.1,7.5,3.8,7.2,4.7,7.2c4.3,0,4.3-2.9,4.6-4.1 H33.5z"}}]})(props);
};
function FcCrystalOscillator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FF9800"},"child":[{"tag":"rect","attr":{"x":"3","y":"28","width":"26","height":"4"}},{"tag":"rect","attr":{"x":"3","y":"16","width":"26","height":"4"}}]},{"tag":"path","attr":{"fill":"#2196F3","d":"M43,11H20v26h23c1.1,0,2-0.9,2-2V13C45,11.9,44.1,11,43,11z"}},{"tag":"path","attr":{"fill":"#64B5F6","d":"M20,9h-2v30h2c1.1,0,2-0.9,2-2V11C22,9.9,21.1,9,20,9z"}}]})(props);
};
function FcCurrencyExchange (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#3F51B5","cx":"18","cy":"18","r":"15"}},{"tag":"path","attr":{"fill":"#FFF59D","d":"M20.3,16v1.7h-3.8v1.4h3.8v1.7h-3.8c0,0.6,0.1,1.2,0.3,1.6c0.2,0.4,0.4,0.8,0.7,1c0.3,0.3,0.7,0.4,1.1,0.6 c0.4,0.1,0.9,0.2,1.4,0.2c0.4,0,0.7,0,1.1-0.1c0.4-0.1,0.7-0.1,1-0.3l0.4,2.7c-0.4,0.1-0.9,0.2-1.4,0.2c-0.5,0.1-1,0.1-1.5,0.1 c-0.9,0-1.8-0.1-2.6-0.4c-0.8-0.2-1.5-0.6-2-1.1c-0.6-0.5-1-1.1-1.4-1.9c-0.3-0.7-0.5-1.6-0.5-2.6h-1.9v-1.7h1.9v-1.4h-1.9V16h1.9 c0.1-1,0.3-1.8,0.6-2.6c0.4-0.7,0.8-1.4,1.4-1.9c0.6-0.5,1.3-0.9,2.1-1.1c0.8-0.3,1.7-0.4,2.6-0.4c0.4,0,0.9,0,1.3,0.1 c0.4,0.1,0.9,0.1,1.3,0.3l-0.4,2.7c-0.3-0.1-0.6-0.2-1-0.3c-0.4-0.1-0.7-0.1-1.1-0.1c-0.5,0-1,0.1-1.4,0.2c-0.4,0.1-0.8,0.3-1,0.6 c-0.3,0.3-0.5,0.6-0.7,1s-0.3,0.9-0.3,1.5H20.3z"}},{"tag":"circle","attr":{"fill":"#4CAF50","cx":"30","cy":"30","r":"15"}},{"tag":"path","attr":{"fill":"#fff","d":"M28.4,27c0.1,0.2,0.2,0.4,0.4,0.6c0.2,0.2,0.4,0.4,0.7,0.5c0.3,0.2,0.7,0.3,1.1,0.5c0.7,0.3,1.4,0.6,2,0.9 c0.6,0.3,1.1,0.7,1.5,1.1c0.4,0.4,0.8,0.9,1,1.4c0.2,0.5,0.4,1.2,0.4,1.9c0,0.7-0.1,1.3-0.3,1.8c-0.2,0.5-0.5,1-0.9,1.4 s-0.9,0.7-1.4,0.9c-0.6,0.2-1.2,0.4-1.8,0.5v2.2h-1.8v-2.2c-0.6-0.1-1.2-0.2-1.8-0.4s-1.1-0.5-1.5-1c-0.5-0.4-0.8-1-1.1-1.6 c-0.3-0.6-0.4-1.4-0.4-2.3h3.3c0,0.5,0.1,1,0.2,1.3c0.1,0.4,0.3,0.6,0.6,0.9c0.2,0.2,0.5,0.4,0.8,0.5c0.3,0.1,0.6,0.1,0.9,0.1 c0.4,0,0.7,0,0.9-0.1c0.3-0.1,0.5-0.2,0.7-0.4c0.2-0.2,0.3-0.4,0.4-0.6c0.1-0.2,0.1-0.5,0.1-0.8c0-0.3,0-0.6-0.1-0.8 c-0.1-0.2-0.2-0.5-0.4-0.7s-0.4-0.4-0.7-0.5c-0.3-0.2-0.7-0.3-1.1-0.5c-0.7-0.3-1.4-0.6-2-0.9c-0.6-0.3-1.1-0.7-1.5-1.1 c-0.4-0.4-0.8-0.9-1-1.4c-0.2-0.5-0.4-1.2-0.4-1.9c0-0.6,0.1-1.2,0.3-1.7c0.2-0.5,0.5-1,0.9-1.4c0.4-0.4,0.9-0.7,1.4-1 c0.5-0.2,1.2-0.4,1.8-0.5v-2.4h1.8v2.4c0.6,0.1,1.2,0.3,1.8,0.6c0.5,0.3,1,0.6,1.3,1.1c0.4,0.4,0.7,1,0.9,1.6c0.2,0.6,0.3,1.3,0.3,2 h-3.3c0-0.9-0.2-1.6-0.6-2c-0.4-0.4-0.9-0.7-1.5-0.7c-0.3,0-0.6,0.1-0.9,0.2c-0.2,0.1-0.4,0.2-0.6,0.4c-0.2,0.2-0.3,0.4-0.3,0.6 c-0.1,0.2-0.1,0.5-0.1,0.8C28.3,26.5,28.4,26.8,28.4,27z"}}]})(props);
};
function FcCursor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#E0E0E0","d":"M27.8,39.7c-0.1,0-0.2,0-0.4-0.1c-0.2-0.1-0.4-0.3-0.6-0.5l-3.7-8.6l-4.5,4.2C18.5,34.9,18.3,35,18,35 c-0.1,0-0.3,0-0.4-0.1C17.3,34.8,17,34.4,17,34l0-22c0-0.4,0.2-0.8,0.6-0.9C17.7,11,17.9,11,18,11c0.2,0,0.5,0.1,0.7,0.3l16,15 c0.3,0.3,0.4,0.7,0.3,1.1c-0.1,0.4-0.5,0.6-0.9,0.7l-6.3,0.6l3.9,8.5c0.1,0.2,0.1,0.5,0,0.8c-0.1,0.2-0.3,0.5-0.5,0.6l-2.9,1.3 C28.1,39.7,27.9,39.7,27.8,39.7z"}},{"tag":"path","attr":{"fill":"#212121","d":"M18,12l16,15l-7.7,0.7l4.5,9.8l-2.9,1.3l-4.3-9.9L18,34L18,12 M18,10c-0.3,0-0.5,0.1-0.8,0.2 c-0.7,0.3-1.2,1-1.2,1.8l0,22c0,0.8,0.5,1.5,1.2,1.8C17.5,36,17.8,36,18,36c0.5,0,1-0.2,1.4-0.5l3.4-3.2l3.1,7.3 c0.2,0.5,0.6,0.9,1.1,1.1c0.2,0.1,0.5,0.1,0.7,0.1c0.3,0,0.5-0.1,0.8-0.2l2.9-1.3c0.5-0.2,0.9-0.6,1.1-1.1c0.2-0.5,0.2-1.1,0-1.5 l-3.3-7.2l4.9-0.4c0.8-0.1,1.5-0.6,1.7-1.3c0.3-0.7,0.1-1.6-0.5-2.1l-16-15C19,10.2,18.5,10,18,10L18,10z"}}]})(props);
};
function FcCustomerSupport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FFB74D","d":"M29,43v-4.6l2.6,0.5c2.9,0.6,5.6-1.5,5.8-4.4L38,28l2.9-1.2c1-0.4,1.4-1.6,0.8-2.6L38,18 c-0.6-7.6-4.9-15-16-15C10.6,3,5,11.4,5,20c0,3.7,1.3,6.9,3.3,9.6c1.8,2.5,2.7,5.5,2.7,8.5l0,4.8H29z"}},{"tag":"polygon","attr":{"fill":"#FF9800","points":"29,43 29,38.4 22,37 22,43"}},{"tag":"circle","attr":{"fill":"#784719","cx":"33.5","cy":"21.5","r":"1.5"}},{"tag":"path","attr":{"fill":"#FF5722","d":"M21.4,3C12.3,3,5,10.3,5,19.4c0,11.1,6,11.4,6,18.6l2.6-0.9c2.1-0.7,3.9-2.3,4.7-4.4l2.8-6.8L27,23v-6 c0,0,7-3.8,7-10.3C31,4.2,25.7,3,21.4,3z"}},{"tag":"g","attr":{"fill":"#546E7A"},"child":[{"tag":"path","attr":{"d":"M21,2.1c-0.6,0-1,0.4-1,1v13.9c0,0.6,0.4,1,1,1s1-0.4,1-1V3.1C22,2.5,21.6,2.1,21,2.1z"}},{"tag":"path","attr":{"d":"M36.9,31.9c-7.9,0-10.3-4.9-10.4-5.1c-0.2-0.5-0.8-0.7-1.3-0.5c-0.5,0.2-0.7,0.8-0.5,1.3 c0.1,0.3,3,6.3,12.2,6.3c0.6,0,1-0.4,1-1S37.4,31.9,36.9,31.9z"}}]},{"tag":"circle","attr":{"fill":"#37474F","cx":"37","cy":"33","r":"2"}},{"tag":"circle","attr":{"fill":"#37474F","cx":"21","cy":"23","r":"7"}},{"tag":"circle","attr":{"fill":"#546E7A","cx":"21","cy":"23","r":"4"}}]})(props);
};
function FcDam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#81D4FA"},"child":[{"tag":"rect","attr":{"x":"24","y":"28","width":"18","height":"14"}},{"tag":"rect","attr":{"x":"6","y":"10","width":"12","height":"32"}}]},{"tag":"g","attr":{"fill":"#1976D2"},"child":[{"tag":"path","attr":{"d":"M16,8h-2c0,1.1-0.9,2-2,2s-2-0.9-2-2H8c0,1.1-0.9,2-2,2v2c1.2,0,2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4 s2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4v-2C16.9,10,16,9.1,16,8z"}},{"tag":"path","attr":{"d":"M16,14h-2c0,1.1-0.9,2-2,2s-2-0.9-2-2H8c0,1.1-0.9,2-2,2v2c1.2,0,2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4 s2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4v-2C16.9,16,16,15.1,16,14z"}},{"tag":"path","attr":{"d":"M16,20h-2c0,1.1-0.9,2-2,2s-2-0.9-2-2H8c0,1.1-0.9,2-2,2v2c1.2,0,2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4 s2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4v-2C16.9,22,16,21.1,16,20z"}},{"tag":"path","attr":{"d":"M16,26h-2c0,1.1-0.9,2-2,2s-2-0.9-2-2H8c0,1.1-0.9,2-2,2v2c1.2,0,2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4 s2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4v-2C16.9,28,16,27.1,16,26z"}},{"tag":"path","attr":{"d":"M16,32h-2c0,1.1-0.9,2-2,2s-2-0.9-2-2H8c0,1.1-0.9,2-2,2v2c1.2,0,2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4 s2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4v-2C16.9,34,16,33.1,16,32z"}},{"tag":"path","attr":{"d":"M16,38h-2c0,1.1-0.9,2-2,2s-2-0.9-2-2H8c0,1.1-0.9,2-2,2v2c1.2,0,2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4 s2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4v-2C16.9,40,16,39.1,16,38z"}},{"tag":"path","attr":{"d":"M40,32h-2c0,1.1-0.9,2-2,2s-2-0.9-2-2h-2c0,1.1-0.9,2-2,2s-2-0.9-2-2h-2c0,1.1-0.9,2-2,2v2 c1.2,0,2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4s2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4s2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4v-2 C40.9,34,40,33.1,40,32z"}},{"tag":"path","attr":{"d":"M40,26h-2c0,1.1-0.9,2-2,2s-2-0.9-2-2h-2c0,1.1-0.9,2-2,2s-2-0.9-2-2h-2c0,1.1-0.9,2-2,2v2 c1.2,0,2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4s2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4s2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4v-2 C40.9,28,40,27.1,40,26z"}},{"tag":"path","attr":{"d":"M40,38h-2c0,1.1-0.9,2-2,2s-2-0.9-2-2h-2c0,1.1-0.9,2-2,2v2c1.2,0,2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4 s2.3-0.5,3-1.4c0.7,0.8,1.8,1.4,3,1.4v-2C40.9,40,40,39.1,40,38z"}}]},{"tag":"path","attr":{"fill":"#455A64","d":"M25.1,9.2L31.5,42H18V6h3.2C23.1,6,24.8,7.4,25.1,9.2z"}}]})(props);
};
function FcDataBackup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#D1C4E9"},"child":[{"tag":"path","attr":{"d":"M38,7H10C8.9,7,8,7.9,8,9v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2V9C40,7.9,39.1,7,38,7z"}},{"tag":"path","attr":{"d":"M38,19H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-6C40,19.9,39.1,19,38,19z"}},{"tag":"path","attr":{"d":"M38,31H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-6C40,31.9,39.1,31,38,31z"}}]},{"tag":"g","attr":{"fill":"#2196F3"},"child":[{"tag":"polygon","attr":{"points":"31,30 38,35.6 38,24.4"}},{"tag":"path","attr":{"d":"M38,28c-0.3,0-0.7,0-1,0.1v4c0.3-0.1,0.7-0.1,1-0.1c3.3,0,6,2.7,6,6s-2.7,6-6,6s-6-2.7-6-6 c0-0.3,0-0.6,0.1-0.9l-3.4-2.7C28.3,35.5,28,36.7,28,38c0,5.5,4.5,10,10,10s10-4.5,10-10S43.5,28,38,28z"}}]}]})(props);
};
function FcDataConfiguration (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#D1C4E9"},"child":[{"tag":"path","attr":{"d":"M38,7H10C8.9,7,8,7.9,8,9v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2V9C40,7.9,39.1,7,38,7z"}},{"tag":"path","attr":{"d":"M38,19H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-6C40,19.9,39.1,19,38,19z"}},{"tag":"path","attr":{"d":"M38,31H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-6C40,31.9,39.1,31,38,31z"}}]},{"tag":"path","attr":{"fill":"#607D8B","d":"M45.2,38.1c0.1-0.4,0.1-0.8,0.1-1.1s0-0.8-0.1-1.1l2.3-1.7c0.2-0.2,0.3-0.5,0.2-0.7l-2.3-3.9 c-0.1-0.2-0.4-0.3-0.7-0.2l-2.6,1.2c-0.6-0.5-1.3-0.9-2-1.2l-0.3-2.9c0-0.3-0.3-0.5-0.5-0.5h-4.5c-0.3,0-0.5,0.2-0.5,0.5l-0.3,2.9 c-0.7,0.3-1.4,0.7-2,1.2l-2.6-1.2c-0.3-0.1-0.6,0-0.7,0.2l-2.3,3.9c-0.1,0.2-0.1,0.6,0.2,0.7l2.3,1.7c-0.1,0.4-0.1,0.8-0.1,1.1 s0,0.8,0.1,1.1l-2.3,1.7c-0.2,0.2-0.3,0.5-0.2,0.7l2.3,3.9c0.1,0.2,0.4,0.3,0.7,0.2l2.6-1.2c0.6,0.5,1.3,0.9,2,1.2l0.3,2.9 c0,0.3,0.3,0.5,0.5,0.5h4.5c0.3,0,0.5-0.2,0.5-0.5l0.3-2.9c0.7-0.3,1.4-0.7,2-1.2l2.6,1.2c0.3,0.1,0.6,0,0.7-0.2l2.3-3.9 c0.1-0.2,0.1-0.6-0.2-0.7L45.2,38.1z M37,42.2c-2.9,0-5.2-2.3-5.2-5.2c0-2.9,2.3-5.2,5.2-5.2c2.9,0,5.2,2.3,5.2,5.2 C42.2,39.9,39.9,42.2,37,42.2z"}},{"tag":"path","attr":{"fill":"#455A64","d":"M37,31c-3.3,0-6,2.7-6,6c0,3.3,2.7,6,6,6s6-2.7,6-6C43,33.7,40.3,31,37,31z M37,40c-1.7,0-3-1.3-3-3 c0-1.7,1.3-3,3-3s3,1.3,3,3C40,38.7,38.7,40,37,40z"}}]})(props);
};
function FcDataEncryption (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#D1C4E9"},"child":[{"tag":"path","attr":{"d":"M38,7H10C8.9,7,8,7.9,8,9v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2V9C40,7.9,39.1,7,38,7z"}},{"tag":"path","attr":{"d":"M38,19H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h25.1c1.3-1.3,4.9-0.9,4.9-2v-6C40,19.9,39.1,19,38,19z"}},{"tag":"path","attr":{"d":"M34.4,31H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-2.4C40,33.5,37.5,31,34.4,31z"}}]},{"tag":"g","attr":{"fill":"#FFA000"},"child":[{"tag":"polygon","attr":{"points":"43,46 41,48 39,48 37,46 37,35.4 43,35.4 43,40 42,41 43,42 43,43 42,44 43,45"}},{"tag":"path","attr":{"d":"M47.5,28.5c-0.3-0.9-1-1.6-2-1.8C44.2,26.4,42.2,26,40,26s-4.2,0.4-5.5,0.6c-1,0.2-1.7,0.9-2,1.8 C32.3,29.4,32,30.6,32,32c0,1.4,0.3,2.6,0.5,3.5c0.3,0.9,1,1.6,2,1.8c1.3,0.3,3.2,0.6,5.5,0.6s4.2-0.4,5.5-0.6c1-0.2,1.7-0.9,2-1.8 c0.3-0.9,0.5-2.1,0.5-3.5C48,30.6,47.7,29.4,47.5,28.5z M42.9,31h-5.7c-0.6,0-1.1-0.5-1.1-1.1v-1.4c0-0.3,1.8-0.6,4-0.6 s4,0.3,4,0.6v1.4C44,30.5,43.5,31,42.9,31z"}}]},{"tag":"rect","attr":{"x":"39","y":"37.1","fill":"#D68600","width":"1","height":"10.9"}}]})(props);
};
function FcDataProtection (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#D1C4E9"},"child":[{"tag":"path","attr":{"d":"M38,7H10C8.9,7,8,7.9,8,9v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2V9C40,7.9,39.1,7,38,7z"}},{"tag":"path","attr":{"d":"M38,19H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h25.1c1.3-1.3,4.9-0.9,4.9-2v-6C40,19.9,39.1,19,38,19z"}},{"tag":"path","attr":{"d":"M34.4,31H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-2.4C40,33.5,37.5,31,34.4,31z"}}]},{"tag":"path","attr":{"fill":"#009688","d":"M46,25H32c-1.1,0-2,0.9-2,2v11.8c0,1.3,0.6,2.4,1.6,3.2l7.4,5.5l7.4-5.5c1-0.8,1.6-1.9,1.6-3.2V27 C48,25.9,47.1,25,46,25z"}}]})(props);
};
function FcDataRecovery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#D1C4E9"},"child":[{"tag":"path","attr":{"d":"M38,7H10C8.9,7,8,7.9,8,9v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2V9C40,7.9,39.1,7,38,7z"}},{"tag":"path","attr":{"d":"M38,19H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-6C40,19.9,39.1,19,38,19z"}},{"tag":"path","attr":{"d":"M38,31H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-6C40,31.9,39.1,31,38,31z"}}]},{"tag":"g","attr":{"fill":"#F44336"},"child":[{"tag":"rect","attr":{"x":"35","y":"28","width":"6","height":"20"}},{"tag":"rect","attr":{"x":"28","y":"35","width":"20","height":"6"}}]}]})(props);
};
function FcDataSheet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#90CAF9","d":"M39,16v7h-6v-7h-2v7h-6v-7h-2v7h-7v2h7v6h-7v2h7v6h-7v2h25V16H39z M39,25v6h-6v-6H39z M25,25h6v6h-6V25z M25,33h6v6h-6V33z M33,39v-6h6v6H33z"}},{"tag":"polygon","attr":{"fill":"#00BCD4","points":"40,8 8,8 8,40 16,40 16,16 40,16"}},{"tag":"path","attr":{"fill":"#0097A7","d":"M7,7v34h10V17h24V7H7z M9,23v-6h6v6H9z M15,25v6H9v-6H15z M17,9h6v6h-6V9z M25,9h6v6h-6V9z M15,9v6H9V9H15z M9,39v-6h6v6H9z M39,15h-6V9h6V15z"}}]})(props);
};
function FcDatabase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#D1C4E9"},"child":[{"tag":"path","attr":{"d":"M38,7H10C8.9,7,8,7.9,8,9v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2V9C40,7.9,39.1,7,38,7z"}},{"tag":"path","attr":{"d":"M38,19H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-6C40,19.9,39.1,19,38,19z"}},{"tag":"path","attr":{"d":"M38,31H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-6C40,31.9,39.1,31,38,31z"}}]}]})(props);
};
function FcDebian (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#E91E63","d":"M26.763,24.548c-0.614,0.01,0.117,0.317,0.918,0.44c0.22-0.172,0.419-0.348,0.6-0.515\r\n\tC27.781,24.592,27.274,24.594,26.763,24.548 M30.054,23.727c0.364-0.5,0.631-1.055,0.723-1.624c-0.082,0.405-0.303,0.755-0.51,1.128\r\n\tc-1.146,0.721-0.108-0.43,0-0.865C29.035,23.913,30.098,23.293,30.054,23.727 M31.269,20.568c0.073-1.105-0.219-0.756-0.317-0.336\r\n\tC31.068,20.294,31.156,21.013,31.269,20.568 M24.439,5.478c0.327,0.058,0.706,0.104,0.653,0.183\r\n\tC25.449,5.582,25.531,5.51,24.439,5.478 M25.093,5.66l-0.232,0.047l0.215-0.017L25.093,5.66 M35.294,20.986\r\n\tc0.038,0.991-0.29,1.472-0.585,2.322l-0.529,0.266c-0.435,0.841,0.041,0.535-0.268,1.202c-0.679,0.603-2.055,1.883-2.496,2.004\r\n\tc-0.321-0.009,0.218-0.382,0.289-0.526c-0.906,0.62-0.728,0.934-2.113,1.313l-0.041-0.09c-3.419,1.607-8.166-1.576-8.103-5.928\r\n\tc-0.037,0.275-0.104,0.209-0.18,0.32c-0.175-2.237,1.033-4.486,3.073-5.403c1.995-0.987,4.335-0.58,5.763,0.75\r\n\tc-0.785-1.028-2.348-2.119-4.199-2.017c-1.814,0.029-3.51,1.182-4.077,2.434c-0.929,0.585-1.038,2.256-1.441,2.563\r\n\tc-0.545,4.003,1.024,5.733,3.68,7.768c0.417,0.282,0.118,0.326,0.175,0.541c-0.883-0.412-1.69-1.037-2.354-1.801\r\n\tc0.353,0.517,0.733,1.017,1.223,1.41c-0.831-0.279-1.942-2.013-2.267-2.084c1.435,2.567,5.818,4.502,8.113,3.541\r\n\tc-1.062,0.04-2.412,0.021-3.604-0.42c-0.501-0.257-1.183-0.791-1.062-0.893c3.133,1.171,6.369,0.887,9.078-1.286\r\n\tc0.689-0.537,1.443-1.449,1.662-1.464c-0.327,0.493,0.057,0.239-0.197,0.674c0.688-1.109-0.299-0.449,0.711-1.913l0.373,0.512\r\n\tc-0.139-0.917,1.143-2.033,1.012-3.489c0.291-0.445,0.326,0.478,0.015,1.502c0.434-1.136,0.113-1.317,0.224-2.254\r\n\tc0.121,0.315,0.279,0.648,0.359,0.981c-0.281-1.097,0.289-1.848,0.433-2.485c-0.142-0.063-0.435,0.485-0.503-0.812\r\n\tc0.01-0.562,0.156-0.295,0.214-0.435c-0.111-0.064-0.4-0.496-0.577-1.323c0.127-0.193,0.342,0.506,0.516,0.533\r\n\tc-0.112-0.655-0.304-1.159-0.313-1.665c-0.51-1.061-0.181,0.143-0.592-0.458c-0.543-1.687,0.449-0.39,0.514-1.156\r\n\tc0.82,1.188,1.289,3.029,1.504,3.792c-0.164-0.93-0.428-1.832-0.752-2.704c0.249,0.108-0.401-1.911,0.324-0.575\r\n\tc-0.772-2.848-3.314-5.511-5.65-6.76c0.286,0.262,0.646,0.591,0.517,0.642c-1.163-0.69-0.959-0.745-1.124-1.041\r\n\tc-0.946-0.383-1.01,0.034-1.636,0c-1.786-0.943-2.129-0.845-3.772-1.437l0.078,0.349c-1.184-0.394-1.379,0.146-2.657,0.002\r\n\tc-0.078-0.062,0.41-0.219,0.811-0.278c-1.143,0.15-1.09-0.228-2.208,0.042c0.277-0.197,0.566-0.322,0.861-0.486\r\n\tc-0.932,0.059-2.226,0.542-1.825,0.103c-1.521,0.676-4.22,1.63-5.735,3.051l-0.047-0.322c-0.694,0.835-3.028,2.492-3.215,3.57\r\n\tl-0.185,0.043c-0.361,0.613-0.595,1.305-0.881,1.935c-0.474,0.806-0.692,0.311-0.626,0.436c-0.929,1.883-1.39,3.467-1.79,4.768\r\n\tc0.284,0.424,0.007,2.558,0.113,4.264c-0.467,8.429,5.916,16.609,12.891,18.5c1.023,0.365,2.542,0.354,3.836,0.39\r\n\tc-1.525-0.438-1.722-0.232-3.209-0.749c-1.074-0.506-1.308-1.082-2.066-1.74l0.3,0.53c-1.49-0.526-0.867-0.652-2.078-1.034\r\n\tl0.321-0.424c-0.482-0.032-1.279-0.811-1.497-1.241l-0.528,0.021c-0.634-0.783-0.972-1.348-0.948-1.785l-0.17,0.305\r\n\tc-0.194-0.332-2.335-2.937-1.224-2.33c-0.207-0.188-0.481-0.307-0.779-0.85l0.227-0.258c-0.535-0.686-0.983-1.568-0.949-1.86\r\n\tc0.284,0.384,0.482,0.454,0.679,0.522c-1.351-3.349-1.426-0.187-2.448-3.409l0.216-0.019c-0.166-0.246-0.265-0.521-0.399-0.785\r\n\tl0.094-0.938c-0.972-1.125-0.272-4.781-0.132-6.783c0.097-0.816,0.811-1.684,1.354-3.045l-0.332-0.055\r\n\tc0.632-1.104,3.612-4.433,4.99-4.26c0.669-0.841-0.132-0.002-0.263-0.215c1.469-1.52,1.93-1.073,2.92-1.349\r\n\tc1.068-0.633-0.917,0.251-0.41-0.239c1.848-0.473,1.31-1.073,3.718-1.311c0.254,0.145-0.59,0.223-0.8,0.41\r\n\tc1.538-0.753,4.87-0.584,7.034,0.417c2.511,1.173,5.33,4.642,5.443,7.904l0.126,0.035c-0.063,1.298,0.198,2.798-0.257,4.175\r\n\tL35.294,20.986 M20.072,25.389l-0.086,0.431c0.403,0.547,0.724,1.142,1.237,1.567C20.853,26.664,20.577,26.364,20.072,25.389\r\n\t M21.023,25.353c-0.213-0.237-0.34-0.518-0.48-0.802c0.135,0.495,0.411,0.922,0.669,1.357L21.023,25.353 M37.877,21.688\r\n\tl-0.088,0.226c-0.166,1.174-0.523,2.332-1.068,3.412C37.324,24.189,37.714,22.947,37.877,21.688 M24.56,5.185\r\n\tC24.974,5.031,25.579,5.101,26.019,5c-0.573,0.048-1.144,0.079-1.706,0.151L24.56,5.185 M10.007,12.923\r\n\tc0.095,0.882-0.667,1.229,0.167,0.644C10.623,12.562,10,13.286,10.007,12.923 M9.028,17.016c0.191-0.592,0.226-0.943,0.3-1.285\r\n\tC8.797,16.41,9.084,16.553,9.028,17.016"}}]})(props);
};
function FcDebt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FFB74D","d":"M10,12c-2.8,0-5-2.2-5-5s2.2-5,5-5s5,2.2,5,5S12.8,12,10,12z"}},{"tag":"path","attr":{"fill":"#607D8B","d":"M2,22v8l3,2l1,14h8l1-14l3-2v-8c0-4.4-3.6-8-8-8h0C5.6,14,2,17.6,2,22z"}},{"tag":"g","attr":{"fill":"#263238"},"child":[{"tag":"path","attr":{"d":"M22.4,40.4c-0.6,2.5-1,3.6-2.4,3.6c-0.6,0-1.2-0.5-1.9-1.1c-1-0.8-2.2-1.9-4.1-1.9v2c1.1,0,1.9,0.7,2.8,1.4 c0.9,0.7,1.9,1.6,3.2,1.6c3.1,0,3.8-2.9,4.4-5.2C25,38.2,25.4,37,27,37v-2C23.7,35,22.9,38.1,22.4,40.4z"}},{"tag":"polygon","attr":{"points":"14.4,40 10,40 10,44 14.1,44"}}]},{"tag":"circle","attr":{"fill":"#4CAF50","cx":"36","cy":"36","r":"10"}},{"tag":"path","attr":{"fill":"#fff","d":"M35,34c0.1,0.2,0.1,0.3,0.3,0.4c0.1,0.1,0.3,0.2,0.5,0.4c0.2,0.1,0.5,0.2,0.8,0.3c0.5,0.2,0.9,0.4,1.3,0.6 c0.4,0.2,0.7,0.4,1,0.7c0.3,0.3,0.5,0.6,0.7,0.9c0.2,0.4,0.2,0.8,0.2,1.3c0,0.4-0.1,0.8-0.2,1.2c-0.1,0.4-0.3,0.7-0.6,0.9 c-0.3,0.3-0.6,0.5-0.9,0.6c-0.4,0.2-0.8,0.3-1.2,0.3v1.5h-1.2v-1.5c-0.4,0-0.8-0.1-1.2-0.3c-0.4-0.2-0.7-0.4-1-0.6 c-0.3-0.3-0.5-0.6-0.7-1.1c-0.2-0.4-0.3-0.9-0.3-1.5h2.2c0,0.4,0,0.7,0.1,0.9c0.1,0.2,0.2,0.4,0.4,0.6c0.2,0.1,0.3,0.2,0.5,0.3 c0.2,0.1,0.4,0.1,0.6,0.1c0.2,0,0.4,0,0.6-0.1c0.2-0.1,0.3-0.2,0.4-0.3c0.1-0.1,0.2-0.3,0.3-0.4c0.1-0.2,0.1-0.3,0.1-0.5 c0-0.2,0-0.4-0.1-0.6c-0.1-0.2-0.1-0.3-0.3-0.4c-0.1-0.1-0.3-0.3-0.5-0.4c-0.2-0.1-0.4-0.2-0.7-0.3c-0.5-0.2-0.9-0.4-1.3-0.6 c-0.4-0.2-0.7-0.4-1-0.7c-0.3-0.3-0.5-0.6-0.7-0.9c-0.2-0.4-0.2-0.8-0.2-1.3c0-0.4,0.1-0.8,0.2-1.2c0.1-0.3,0.3-0.7,0.6-0.9 c0.3-0.3,0.6-0.5,0.9-0.6c0.4-0.2,0.8-0.3,1.2-0.3v-1.6h1.2v1.6c0.4,0.1,0.8,0.2,1.2,0.4c0.4,0.2,0.6,0.4,0.9,0.7 c0.2,0.3,0.4,0.6,0.6,1c0.1,0.4,0.2,0.9,0.2,1.4h-2.2c0-0.6-0.1-1-0.4-1.3c-0.2-0.3-0.6-0.4-1-0.4c-0.2,0-0.4,0-0.6,0.1 c-0.2,0.1-0.3,0.2-0.4,0.3C35.1,32.7,35,32.8,35,33s-0.1,0.3-0.1,0.5C34.9,33.7,34.9,33.9,35,34z"}}]})(props);
};
function FcDecision (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FFCC80"},"child":[{"tag":"circle","attr":{"cx":"38","cy":"26","r":"4"}},{"tag":"circle","attr":{"cx":"10","cy":"26","r":"4"}},{"tag":"path","attr":{"d":"M39,19c0-12.7-30-8.3-30,0c0,1.8,0,8.2,0,10c0,8.3,6.7,15,15,15s15-6.7,15-15C39,27.2,39,20.8,39,19z"}},{"tag":"path","attr":{"d":"M24,4C15.2,4,8,11.2,8,20c0,1.2,0,3.5,0,3.5l2.1,0.6V19l19.5-6.3l8.2,6.3v5.1l2.1-0.6c0,0,0-2.3,0-3.5 C40,12.5,34.6,4,24,4z"}}]},{"tag":"path","attr":{"fill":"#0277BD","d":"M21.8,29.6c0-6.6,5.1-6.2,5.1-10.2c0-1-0.3-3-2.9-3c-2.8,0-3,2.3-3,2.8h-3.8c0-1,0.4-6,6.8-6 c6.5,0,6.7,5.1,6.7,6c0,4.9-5.4,5.6-5.4,10.3H21.8z M21.5,34.5c0-0.3,0.1-2.1,2.1-2.1c2,0,2.2,1.8,2.2,2.1c0,0.6-0.3,2-2.2,2 C21.8,36.5,21.5,35.1,21.5,34.5z"}}]})(props);
};
function FcDeleteColumn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#90CAF9","d":"M30,5H18c-2.2,0-4,1.8-4,4v30c0,2.2,1.8,4,4,4h12c2.2,0,4-1.8,4-4V9C34,6.8,32.2,5,30,5z M18,39V9h12l0,30 H18z"}},{"tag":"circle","attr":{"fill":"#F44336","cx":"38","cy":"38","r":"10"}},{"tag":"g","attr":{"fill":"#fff"},"child":[{"tag":"rect","attr":{"x":"36.5","y":"32","transform":"matrix(-.707 .707 -.707 -.707 91.74 38)","width":"3","height":"12"}},{"tag":"rect","attr":{"x":"36.5","y":"32","transform":"matrix(-.707 -.707 .707 -.707 38 91.74)","width":"3","height":"12"}}]}]})(props);
};
function FcDeleteDatabase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#D1C4E9"},"child":[{"tag":"path","attr":{"d":"M38,7H10C8.9,7,8,7.9,8,9v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2V9C40,7.9,39.1,7,38,7z"}},{"tag":"path","attr":{"d":"M38,19H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-6C40,19.9,39.1,19,38,19z"}},{"tag":"path","attr":{"d":"M38,31H10c-1.1,0-2,0.9-2,2v6c0,1.1,0.9,2,2,2h28c1.1,0,2-0.9,2-2v-6C40,31.9,39.1,31,38,31z"}}]},{"tag":"circle","attr":{"fill":"#F44336","cx":"38","cy":"38","r":"10"}},{"tag":"g","attr":{"fill":"#fff"},"child":[{"tag":"rect","attr":{"x":"36.5","y":"32","transform":"matrix(-.707 .707 -.707 -.707 91.74 38)","width":"3","height":"12"}},{"tag":"rect","attr":{"x":"36.5","y":"32","transform":"matrix(-.707 -.707 .707 -.707 38 91.74)","width":"3","height":"12"}}]}]})(props);
};
function FcDeleteRow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#90CAF9","d":"M43,30V18c0-2.2-1.8-4-4-4H9c-2.2,0-4,1.8-4,4v12c0,2.2,1.8,4,4,4h30C41.2,34,43,32.2,43,30z M9,18h30v12 L9,30V18z"}},{"tag":"circle","attr":{"fill":"#F44336","cx":"38","cy":"38","r":"10"}},{"tag":"g","attr":{"fill":"#fff"},"child":[{"tag":"rect","attr":{"x":"36.5","y":"32","transform":"matrix(-.707 .707 -.707 -.707 91.74 38)","width":"3","height":"12"}},{"tag":"rect","attr":{"x":"36.5","y":"32","transform":"matrix(-.707 -.707 .707 -.707 38 91.74)","width":"3","height":"12"}}]}]})(props);
};
function FcDepartment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#C5CAE9","points":"42,42 6,42 6,9 24,2 42,9"}},{"tag":"rect","attr":{"x":"6","y":"42","fill":"#9FA8DA","width":"36","height":"2"}},{"tag":"rect","attr":{"x":"20","y":"35","fill":"#BF360C","width":"8","height":"9"}},{"tag":"g","attr":{"fill":"#1565C0"},"child":[{"tag":"rect","attr":{"x":"31","y":"27","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"21","y":"27","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"11","y":"27","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"31","y":"35","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"11","y":"35","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"31","y":"19","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"21","y":"19","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"11","y":"19","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"31","y":"11","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"21","y":"11","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"11","y":"11","width":"6","height":"5"}}]}]})(props);
};
function FcDeployment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#B0BEC5","d":"M37,42H5V32h32c2.8,0,5,2.2,5,5v0C42,39.8,39.8,42,37,42z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M10,34c-1.7,0-3,1.3-3,3s1.3,3,3,3s3-1.3,3-3S11.7,34,10,34z M10,38c-0.6,0-1-0.4-1-1c0-0.6,0.4-1,1-1 s1,0.4,1,1C11,37.6,10.6,38,10,38z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M19,34c-1.7,0-3,1.3-3,3s1.3,3,3,3s3-1.3,3-3S20.7,34,19,34z M19,38c-0.6,0-1-0.4-1-1c0-0.6,0.4-1,1-1 s1,0.4,1,1C20,37.6,19.6,38,19,38z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M37,34c-1.7,0-3,1.3-3,3s1.3,3,3,3s3-1.3,3-3S38.7,34,37,34z M37,38c-0.6,0-1-0.4-1-1c0-0.6,0.4-1,1-1 s1,0.4,1,1C38,37.6,37.6,38,37,38z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M28,34c-1.7,0-3,1.3-3,3s1.3,3,3,3s3-1.3,3-3S29.7,34,28,34z M28,38c-0.6,0-1-0.4-1-1c0-0.6,0.4-1,1-1 s1,0.4,1,1C29,37.6,28.6,38,28,38z"}},{"tag":"path","attr":{"fill":"#FF9800","d":"M35,31H11c-1.1,0-2-0.9-2-2V7c0-1.1,0.9-2,2-2h24c1.1,0,2,0.9,2,2v22C37,30.1,36.1,31,35,31z"}},{"tag":"path","attr":{"fill":"#8A5100","d":"M26.5,13h-7c-0.8,0-1.5-0.7-1.5-1.5v0c0-0.8,0.7-1.5,1.5-1.5h7c0.8,0,1.5,0.7,1.5,1.5v0 C28,12.3,27.3,13,26.5,13z"}},{"tag":"path","attr":{"fill":"#607D8B","d":"M37,31H5v2h32c2.2,0,4,1.8,4,4s-1.8,4-4,4H5v2h32c3.3,0,6-2.7,6-6S40.3,31,37,31z"}}]})(props);
};
function FcDiploma1 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"4","y":"9","fill":"#E8EAF6","width":"40","height":"30"}},{"tag":"g","attr":{"fill":"#5C6BC0"},"child":[{"tag":"polygon","attr":{"points":"30,34 32.8,34 27.8,29 25,31.8 30,36.8"}},{"tag":"polygon","attr":{"points":"18,34 15.2,34 20.2,29 23,31.8 18,36.8"}}]},{"tag":"rect","attr":{"x":"11","y":"15","fill":"#9FA8DA","width":"26","height":"4"}},{"tag":"path","attr":{"fill":"#9FA8DA","d":"M24,23c-2.8,0-5,2.2-5,5s2.2,5,5,5s5-2.2,5-5S26.8,23,24,23z M24,31c-1.7,0-3-1.3-3-3s1.3-3,3-3s3,1.3,3,3 S25.7,31,24,31z"}},{"tag":"path","attr":{"fill":"#9FA8DA","d":"M3,8v32h42V8H3z M43,35c-1.7,0-3,1.3-3,3H8c0-1.7-1.3-3-3-3V13c1.7,0,3-1.3,3-3h32c0,1.7,1.3,3,3,3V35z"}}]})(props);
};
function FcDiploma2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"9","y":"4","fill":"#FBE9E7","width":"30","height":"40"}},{"tag":"g","attr":{"fill":"#F4511E"},"child":[{"tag":"polygon","attr":{"points":"30,37 32.8,37 27.8,32 25,34.8 30,39.8"}},{"tag":"polygon","attr":{"points":"18,37 15.2,37 20.2,32 23,34.8 18,39.8"}}]},{"tag":"rect","attr":{"x":"15","y":"13","fill":"#FF8A65","width":"18","height":"4"}},{"tag":"rect","attr":{"x":"15","y":"20","fill":"#FF8A65","width":"18","height":"2"}},{"tag":"path","attr":{"fill":"#FF8A65","d":"M24,26c-2.8,0-5,2.2-5,5s2.2,5,5,5s5-2.2,5-5S26.8,26,24,26z M24,34c-1.7,0-3-1.3-3-3s1.3-3,3-3s3,1.3,3,3 S25.7,34,24,34z"}},{"tag":"path","attr":{"fill":"#FF8A65","d":"M8,3v42h32V3H8z M38,40c-1.7,0-3,1.3-3,3H13c0-1.7-1.3-3-3-3V8c1.7,0,3-1.3,3-3h22c0,1.7,1.3,3,3,3V40z"}}]})(props);
};
function FcDisapprove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FFCC80"},"child":[{"tag":"circle","attr":{"cx":"38","cy":"26","r":"4"}},{"tag":"circle","attr":{"cx":"10","cy":"26","r":"4"}},{"tag":"path","attr":{"d":"M39,19c0-12.7-30-8.3-30,0c0,1.8,0,8.2,0,10c0,8.3,6.7,15,15,15s15-6.7,15-15C39,27.2,39,20.8,39,19z"}},{"tag":"path","attr":{"d":"M24,4C15.2,4,8,11.2,8,20c0,1.2,0,3.5,0,3.5l2.1,0.6V19l19.5-6.3l8.2,6.3v5.1l2.1-0.6c0,0,0-2.3,0-3.5 C40,12.5,34.6,4,24,4z"}}]},{"tag":"g","attr":{"fill":"#F44336"},"child":[{"tag":"rect","attr":{"x":"22","y":"16.8","transform":"matrix(.707 -.707 .707 .707 -11.355 24.586)","width":"4","height":"18.5"}},{"tag":"rect","attr":{"x":"22","y":"16.8","transform":"matrix(.707 .707 -.707 .707 25.414 -9.355)","width":"4","height":"18.5"}}]}]})(props);
};
function FcDisclaimer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FFCC80"},"child":[{"tag":"path","attr":{"d":"M13,22H8v-8.5c0-1.4,1.1-2.5,2.5-2.5h0c1.4,0,2.5,1.1,2.5,2.5V22z"}},{"tag":"path","attr":{"d":"M20,22h-5V7.5C15,6.1,16.1,5,17.5,5h0C18.9,5,20,6.1,20,7.5V22z"}},{"tag":"path","attr":{"d":"M27,22h-5V5.5C22,4.1,23.1,3,24.5,3h0C25.9,3,27,4.1,27,5.5V22z"}},{"tag":"path","attr":{"d":"M34,22h-5V8.5C29,7.1,30.1,6,31.5,6h0C32.9,6,34,7.1,34,8.5V22z"}},{"tag":"path","attr":{"d":"M32.1,43L27.1,38l10-10c1.4-1.4,3.6-1.4,4.9,0l0,0c1.4,1.4,1.4,3.6,0,4.9L32.1,43z"}},{"tag":"path","attr":{"d":"M29,21c0,0.6-0.4,1-1,1s-1-0.4-1-1h-5c0,0.6-0.4,1-1,1s-1-0.4-1-1h-5c0,0.6-0.4,1-1,1s-1-0.4-1-1H8v16 c0,4.4,3.6,8,8,8h11.2c3.7,0,6.8-3,6.8-6.8V21H29z"}}]},{"tag":"g","attr":{"fill":"#F44336"},"child":[{"tag":"rect","attr":{"x":"20.2","y":"25.5","transform":"matrix(.707 -.707 .707 .707 -16.897 25.224)","width":"3.5","height":"15"}},{"tag":"rect","attr":{"x":"20.2","y":"25.6","transform":"matrix(.707 .707 -.707 .707 29.811 -5.877)","width":"3.5","height":"15"}}]}]})(props);
};
function FcDislike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#F44336","d":"M34,9c-4.2,0-7.9,2.1-10,5.4C21.9,11.1,18.2,9,14,9C7.4,9,2,14.4,2,21c0,11.9,22,24,22,24s22-12,22-24 C46,14.4,40.6,9,34,9z"}},{"tag":"rect","attr":{"x":"22","y":"-2.9","transform":"matrix(.707 -.707 .707 .707 -9.941 24)","fill":"#37474F","width":"4","height":"53.7"}}]})(props);
};
function FcDisplay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#80DEEA","d":"M40,41H8c-2.2,0-4-1.8-4-4V11c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v26C44,39.2,42.2,41,40,41z"}},{"tag":"g","attr":{"fill":"#2962FF"},"child":[{"tag":"polygon","attr":{"points":"36,17 31,17 29,15 31,13 36,13 38,15"}},{"tag":"polygon","attr":{"points":"36,35 31,35 29,33 31,31 36,31 38,33"}},{"tag":"polygon","attr":{"points":"37,30 37,18 39,16 41,18 41,30 39,32"}},{"tag":"polygon","attr":{"points":"26,30 26,18 28,16 30,18 30,30 28,32"}},{"tag":"polygon","attr":{"points":"17,17 12,17 10,15 12,13 17,13 19,15"}},{"tag":"polygon","attr":{"points":"17,35 12,35 10,33 12,31 17,31 19,33"}},{"tag":"polygon","attr":{"points":"18,30 18,18 20,16 22,18 22,30 20,32"}},{"tag":"polygon","attr":{"points":"7,30 7,18 9,16 11,18 11,30 9,32"}}]}]})(props);
};
function FcDoNotInhale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FFA726","d":"M33.5,20C31.2,17.7,30,13.9,30,9c0-3.2,0-3,0-3H18c0,0,0-0.2,0,3c0,4.9-1.2,8.7-3.5,11 C12.1,20.2,9,22,9,25.4c0,4.5,5.1,4.6,6,4.6c1.2,0,6.1,4,8,4c0,0,0.7,0,1,0s1,0,1,0c1.9,0,6.8-4,8-4c0.9,0,6-0.1,6-4.6 C39,22,35.9,20.2,33.5,20z"}},{"tag":"path","attr":{"fill":"#FFA726","d":"M33.5,20C31.2,17.7,30,13.9,30,9c0-3.2,0-3,0-3H18c0,0,0-0.2,0,3c0,4.9-1.2,8.7-3.5,11 C12.1,20.2,9,22,9,25.4c0,4.5,5.1,4.6,6,4.6c1.2,0,6.1,4,8,4c0,0,0.7,0,1,0s1,0,1,0c1.9,0,6.8-4,8-4c0.9,0,6-0.1,6-4.6 C39,22,35.9,20.2,33.5,20z"}},{"tag":"path","attr":{"fill":"#FFB74D","d":"M26,9c0-3.2,0-3,0-3h-4c0,0,0-0.2,0,3c0,4.9-3,19-3,19s1.6,2,5,2s5-2,5-2S26,13.9,26,9z"}},{"tag":"path","attr":{"fill":"#CC861E","d":"M23,34c-3.3,0-6.4-3.1-8-4c0,0,0.7,0,1.8,0C19.9,30,21.3,34,23,34z"}},{"tag":"path","attr":{"fill":"#CC861E","d":"M25,34c3.3,0,6.4-3.1,8-4c0,0-0.7,0-1.8,0C28.1,30,26.7,34,25,34z"}},{"tag":"rect","attr":{"x":"22","y":"-2.9","transform":"matrix(.707 -.707 .707 .707 -9.941 24)","fill":"#37474F","width":"4","height":"53.7"}},{"tag":"g","attr":{"fill":"#FF5722"},"child":[{"tag":"polygon","attr":{"points":"18,35 22,39 14,39"}},{"tag":"rect","attr":{"x":"17","y":"38","width":"2","height":"4"}},{"tag":"polygon","attr":{"points":"30,35 34,39 26,39"}},{"tag":"rect","attr":{"x":"29","y":"38","width":"2","height":"4"}}]}]})(props);
};
function FcDoNotInsert (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#7CB342"},"child":[{"tag":"polygon","attr":{"points":"31,29 24,36 17,29"}},{"tag":"rect","attr":{"x":"22","y":"7","width":"4","height":"25"}},{"tag":"path","attr":{"d":"M42,18c-3.3,0-6,2.7-6,6v12c0,1.1-0.9,2-2,2H14c-1.1,0-2-0.9-2-2V24c0-3.3-2.7-6-6-6H4v4h2c1.1,0,2,0.9,2,2 v12c0,3.3,2.7,6,6,6h20c3.3,0,6-2.7,6-6V24c0-1.1,0.9-2,2-2h2v-4H42z"}}]},{"tag":"rect","attr":{"x":"22","y":"-2.9","transform":"matrix(.707 -.707 .707 .707 -9.941 24)","fill":"#37474F","width":"4","height":"53.7"}}]})(props);
};
function FcDoNotMix (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#00BCD4","points":"26.9,42 17,42 17,32.1"}},{"tag":"polygon","attr":{"fill":"#00BCD4","points":"30,6 30,26.2 19.8,36.4 22.6,39.2 34,27.8 34,6"}},{"tag":"polygon","attr":{"fill":"#2196F3","points":"15.9,31 6,31 6,21.1"}},{"tag":"polygon","attr":{"fill":"#2196F3","points":"20.2,14 8.8,25.4 11.6,28.2 21.8,18 41,18 41,14"}},{"tag":"rect","attr":{"x":"22","y":"-2.9","transform":"matrix(.707 -.707 .707 .707 -9.941 24)","fill":"#37474F","width":"4","height":"53.7"}}]})(props);
};
function FcDocument (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#90CAF9","points":"40,45 8,45 8,3 30,3 40,13"}},{"tag":"polygon","attr":{"fill":"#E1F5FE","points":"38.5,14 29,14 29,4.5"}},{"tag":"g","attr":{"fill":"#1976D2"},"child":[{"tag":"rect","attr":{"x":"16","y":"21","width":"17","height":"2"}},{"tag":"rect","attr":{"x":"16","y":"25","width":"13","height":"2"}},{"tag":"rect","attr":{"x":"16","y":"29","width":"17","height":"2"}},{"tag":"rect","attr":{"x":"16","y":"33","width":"13","height":"2"}}]}]})(props);
};
function FcDonate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#E69329","points":"11.7,21.6 16.8,31.5 26.3,27.6 30.7,14.9 15.9,15.7"}},{"tag":"circle","attr":{"fill":"#546E7A","cx":"15","cy":"36","r":"7.8"}},{"tag":"g","attr":{"fill":"#90A4AE"},"child":[{"tag":"path","attr":{"d":"M15,27c-5,0-9,4-9,9c0,5,4,9,9,9s9-4,9-9C24,31,20,27,15,27z M15,43c-3.9,0-7-3.1-7-7c0-3.9,3.1-7,7-7 s7,3.1,7,7C22,39.9,18.9,43,15,43z"}},{"tag":"rect","attr":{"x":"14","y":"33","width":"2","height":"8"}}]},{"tag":"g","attr":{"fill":"#FFB74D"},"child":[{"tag":"path","attr":{"d":"M12.9,36L12.9,36c1,1.9,3.2,2.7,5.1,1.7l16.5-8.5c1-0.5,1.7-1.2,2.2-1.9c1.7-3.2,5.6-10.7,8.2-17.2 l-18.2,8.7L21.9,26l-6.8,3.6C12.5,30.9,11.7,33.8,12.9,36z"}},{"tag":"path","attr":{"d":"M30.2,3L13.7,9.3c-0.7,0.2-1.5,1-2.2,1.7l-5.6,7.5c-1,1.5-1.2,3.4-0.5,5.1c0.4,1,1.7,3.4,3.1,6.1 c1.6-1.7,3.9-2.7,6.5-2.7c0.4,0,0.9,0,1.3,0.1l-2.1-4.2l4.6-4.1h8c0,0,15.5-2.2,18.2-8.7L30.2,3z"}}]},{"tag":"path","attr":{"fill":"#FFCDD2","d":"M18.2,36c-1.3,0.6-2.8,0-3.3-1.3c-0.6-1.3,0-2.8,1.3-3.3C17.4,30.8,19.4,35.4,18.2,36z"}}]})(props);
};
function FcDoughnutChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#00BCD4","d":"M24,30c-3.3,0-6-2.7-6-6s2.7-6,6-6V5C13.5,5,5,13.5,5,24s8.5,19,19,19c4.4,0,8.5-1.5,11.8-4.1l-8-10.2 C26.7,29.5,25.4,30,24,30z"}},{"tag":"path","attr":{"fill":"#448AFF","d":"M30,24h13c0-10.5-8.5-19-19-19v13C27.3,18,30,20.7,30,24z"}},{"tag":"path","attr":{"fill":"#3F51B5","d":"M43,24H30c0,1.9-0.9,3.6-2.3,4.7l8,10.2C40.2,35.4,43,30,43,24z"}}]})(props);
};
function FcDownLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#3F51B5","points":"4,29 18,17.3 18,40.7"}},{"tag":"path","attr":{"fill":"#3F51B5","d":"M42,21V8h-8v13c0,2.2-1.8,4-4,4H13v8h17C36.6,33,42,27.6,42,21z"}}]})(props);
};
function FcDownRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#3F51B5","points":"44,29 30,17.3 30,40.7"}},{"tag":"path","attr":{"fill":"#3F51B5","d":"M6,21V8h8v13c0,2.2,1.8,4,4,4h17v8H18C11.4,33,6,27.6,6,21z"}}]})(props);
};
function FcDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"polygon","attr":{"points":"24,44 12.3,30 35.7,30"}},{"tag":"rect","attr":{"x":"20","y":"6","width":"8","height":"27"}}]}]})(props);
};
function FcDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#1565C0"},"child":[{"tag":"polygon","attr":{"points":"24,37.1 13,24 35,24"}},{"tag":"rect","attr":{"x":"20","y":"4","width":"8","height":"4"}},{"tag":"rect","attr":{"x":"20","y":"10","width":"8","height":"4"}},{"tag":"rect","attr":{"x":"20","y":"16","width":"8","height":"11"}},{"tag":"rect","attr":{"x":"6","y":"40","width":"36","height":"4"}}]}]})(props);
};
function FcDribbble (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FF4081","d":"M42,37c0,2.762-2.238,5-5,5H11c-2.761,0-5-2.238-5-5V11c0-2.762,2.239-5,5-5h26c2.762,0,5,2.238,5,5V37z"}},{"tag":"path","attr":{"fill":"#FFFFFF","d":"M33.061,26.273c-0.703-0.221-1.464,0.175-1.686,0.895c-0.824,2.658-2.316,5.419-2.993,5.57\r\n\tc-0.507,0-1.236-0.43-1.958-1.44c1.674-3.594,2.551-8.106,2.551-11.118c0-8.413-2.124-10.18-3.908-10.18\r\n\tc-3.757,0-3.8,9.912-3.8,10.012c0,1.166,0.042,2.248,0.121,3.256c-0.518-0.189-1.113-0.319-1.77-0.319\r\n\tc-3.86,0-5.618,3.809-5.618,7.347C14,33.63,15.871,37,20.046,37c1.972,0,3.634-1.291,4.975-3.221\r\n\tc1.188,1.235,2.432,1.696,3.36,1.696c2.923,0,4.858-5.233,5.556-7.486C34.16,27.27,33.767,26.502,33.061,26.273z M20.048,34.264\r\n\tc-3.031,0-3.36-2.775-3.36-3.969c0-0.188,0.034-4.611,2.932-4.611c1.144,0,2.022,0.885,2.022,0.885\r\n\tc0.065,0.07,0.137,0.131,0.212,0.184c0.375,1.904,0.904,3.426,1.516,4.632C22.366,33.123,21.203,34.264,20.048,34.264z\r\n\t M24.901,27.926c-0.559-1.93-0.946-4.521-0.946-7.914c0-3.126,0.666-6.068,1.219-7.073c0.424,0.644,1.115,2.65,1.115,7.241\r\n\tC26.289,22.616,25.75,25.446,24.901,27.926z"}}]})(props);
};
function FcDvdLogo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#42A5F5","d":"M24.002,27c-12.154,0-22,1.343-22,3.006c0,1.653,9.845,2.994,22,2.994c12.156,0,22-1.341,22-2.994\r\n\tC46.002,28.343,36.158,27,24.002,27z M24.002,30.972c-2.863,0-5.191-0.494-5.191-1.104c0-0.609,2.329-1.104,5.191-1.104\r\n\tc2.862,0,5.193,0.495,5.193,1.104C29.195,30.478,26.864,30.972,24.002,30.972z"}},{"tag":"path","attr":{"fill":"#1565C0","d":"M21.29,15l2.371,6.43L29.25,15h9.486c4.647,0,7.906,2.148,7.158,4.904c-0.745,2.756-5.178,4.904-9.803,4.904\r\n\th-6.295c0,0,0.141-0.043,0.172-0.126c0.246-0.944,1.707-6.264,1.725-6.347c0.02-0.102-0.105-0.133-0.105-0.133h4.572\r\n\tc0,0-0.088-0.006-0.125,0.133c-0.023,0.078-0.947,3.429-1.145,4.176c-0.023,0.094-0.162,0.139-0.162,0.139h1.094\r\n\tc2.594,0,5.047-0.828,5.563-2.748c0.473-1.752-1.244-2.746-4.039-2.746h-1.014l-4.375,0.004l-10.043,9.932l-3.845-9.754\r\n\tc0,0-0.036-0.066-0.065-0.147c-0.014-0.026-0.108-0.106-0.206-0.063c-0.065,0.036-0.074,0.117-0.066,0.146\r\n\tc0.036,0.066,0.042,0.08,0.048,0.111c0.569,0.93,0.467,2.009,0.33,2.52c-0.774,2.75-5.186,4.904-9.812,4.904H2.002\r\n\tc0,0,0.149-0.043,0.172-0.126c0.254-0.946,1.717-6.294,1.726-6.347c0.018-0.09-0.099-0.133-0.099-0.133h4.604\r\n\tc0,0-0.132,0.037-0.158,0.131c-0.024,0.078-0.954,3.432-1.151,4.178c-0.023,0.094-0.178,0.139-0.178,0.139h1.118\r\n\tc2.597,0,5.032-0.828,5.547-2.748c0.472-1.752-1.23-2.746-4.021-2.746H8.539h-4.45c0,0,0.125-0.059,0.147-0.139\r\n\tc0.123-0.443,0.497-1.834,0.515-1.899C4.771,15.047,4.646,15,4.646,15H21.29L21.29,15z"}}]})(props);
};
function FcEditImage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#8CBCD6","d":"M31,41H8c-2.2,0-4-1.8-4-4V11c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v17C44,35.2,38.2,41,31,41z"}},{"tag":"circle","attr":{"fill":"#B3DDF5","cx":"35","cy":"16","r":"3"}},{"tag":"polygon","attr":{"fill":"#9AC9E3","points":"20,16 9,32 31,32"}},{"tag":"polygon","attr":{"fill":"#B3DDF5","points":"31,22 23,32 39,32"}},{"tag":"path","attr":{"fill":"#E57373","d":"M47.7,29.1l-2.8-2.8c-0.4-0.4-1.1-0.4-1.6,0L42,27.6l4.4,4.4l1.3-1.3C48.1,30.3,48.1,29.6,47.7,29.1z"}},{"tag":"rect","attr":{"x":"27.1","y":"35.1","transform":"matrix(.707 -.707 .707 .707 -16.508 36.511)","fill":"#FF9800","width":"17.4","height":"6.2"}},{"tag":"rect","attr":{"x":"41.5","y":"27.8","transform":"matrix(-.707 .707 -.707 -.707 95.395 22.352)","fill":"#B0BEC5","width":"3.1","height":"6.2"}},{"tag":"polygon","attr":{"fill":"#FFC107","points":"27.5,42.2 26,48 31.8,46.5"}},{"tag":"polygon","attr":{"fill":"#37474F","points":"26.7,45 26,48 29,47.3"}}]})(props);
};
function FcElectricalSensor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#B2EBF2","cx":"32","cy":"24","r":"9"}},{"tag":"path","attr":{"fill":"#4DD0E1","d":"M32,12c-6.6,0-12,5.4-12,12c0,6.6,5.4,12,12,12s12-5.4,12-12C44,17.4,38.6,12,32,12z M32,32 c-4.4,0-8-3.6-8-8s3.6-8,8-8s8,3.6,8,8S36.4,32,32,32z"}},{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"polygon","attr":{"points":"25.4,22 19.8,5.1 13.6,27.7 11.4,22 4,22 4,26 8.6,26 14.4,40.3 20.2,18.9 22.6,26 30,26 30,22"}},{"tag":"circle","attr":{"cx":"32","cy":"24","r":"4"}}]}]})(props);
};
function FcElectricalThreshold (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"3","y":"12","fill":"#80DEEA","width":"42","height":"24"}},{"tag":"rect","attr":{"x":"3","y":"23","fill":"#03A9F4","width":"42","height":"2"}},{"tag":"path","attr":{"fill":"none","stroke":"#3F51B5","strokeWidth":"4","strokeMiterlimit":"10","d":"M4,18l4.5-1.5c0.9-0.3,1.9,0.1,2.3,0.9l8.7,14.3 c0.7,1.2,2.4,1.3,3.2,0.2l2.3-2.8c0.5-0.6,1.4-0.9,2.2-0.6l3,1c1,0.3,2.1-0.2,2.5-1.1l4.3-10.1c0.5-1.1,1.9-1.6,2.9-0.9l4,2.7"}}]})(props);
};
function FcElectricity (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#00BCD4","d":"M33.7,5L22,17l15,5L21.3,36.7l5.1,2.8L12,43l2.7-14.8l2.9,5.1L27,24l-15-5L25,5H33.7z"}}]})(props);
};
function FcElectroDevices (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#3F51B5","d":"M39,43H9c-2.2,0-4-1.8-4-4V9c0-2.2,1.8-4,4-4h30c2.2,0,4,1.8,4,4v30C43,41.2,41.2,43,39,43z"}},{"tag":"path","attr":{"fill":"#80DEEA","d":"M33.2,5l-9.8,10.1L36,19.3L22.8,31.7l4.3,2.4L15,37l2.3-12.5l2.4,4.3l8-7.8L15,16.8L25.9,5H33.2z"}}]})(props);
};
function FcElectronics (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FF9800","d":"M44,18v-4H34V4h-4v10h-4V4h-4v10h-4V4h-4v10H4v4h10v4H4v4h10v4H4v4h10v10h4V34h4v10h4V34h4v10h4V34h10v-4H34 v-4h10v-4H34v-4H44z"}},{"tag":"path","attr":{"fill":"#4CAF50","d":"M8,12v24c0,2.2,1.8,4,4,4h24c2.2,0,4-1.8,4-4V12c0-2.2-1.8-4-4-4H12C9.8,8,8,9.8,8,12z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M31,31H17c-1.1,0-2-0.9-2-2V19c0-1.1,0.9-2,2-2h14c1.1,0,2,0.9,2,2v10C33,30.1,32.1,31,31,31z"}}]})(props);
};
function FcEmptyBattery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#CFD8DC"},"child":[{"tag":"path","attr":{"d":"M34,44H14c-1.1,0-2-0.9-2-2V8c0-1.1,0.9-2,2-2h20c1.1,0,2,0.9,2,2v34C36,43.1,35.1,44,34,44z"}},{"tag":"path","attr":{"d":"M28,13h-8c-0.6,0-1-0.4-1-1V5c0-0.6,0.4-1,1-1h8c0.6,0,1,0.4,1,1v7C29,12.6,28.6,13,28,13z"}}]}]})(props);
};
function FcEmptyFilter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FFCC80"},"child":[{"tag":"polygon","attr":{"points":"29,23 19,23 7,9 41,9"}},{"tag":"polygon","attr":{"points":"29,38 19,44 19,23 29,23"}},{"tag":"path","attr":{"d":"M41.5,9h-35C5.7,9,5,8.3,5,7.5v0C5,6.7,5.7,6,6.5,6h35C42.3,6,43,6.7,43,7.5v0C43,8.3,42.3,9,41.5,9z"}}]}]})(props);
};
function FcEmptyTrash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#B39DDB","d":"M30.6,44H17.4c-2,0-3.7-1.4-4-3.4L9,11h30l-4.5,29.6C34.2,42.6,32.5,44,30.6,44z"}},{"tag":"path","attr":{"fill":"#7E57C2","d":"M38,13H10c-1.1,0-2-0.9-2-2v0c0-1.1,0.9-2,2-2h28c1.1,0,2,0.9,2,2v0C40,12.1,39.1,13,38,13z"}}]})(props);
};
function FcEndCall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#F44336","d":"M43.5,16.8l-2.3-2.3c-8.1-7.9-27.5-6.8-34.5,0l-2.3,2.3c-0.6,0.6-0.6,1.6,0,2.3l4.6,4.5 c0.6,0.6,1.7,0.6,2.3,0l5.1-4.9L16,13.4c1.6-1.6,14.4-1.6,16,0l-0.3,5.5l4.9,4.7c0.6,0.6,1.7,0.6,2.3,0l4.6-4.5 C44.2,18.4,44.2,17.4,43.5,16.8z"}},{"tag":"g","attr":{"fill":"#B71C1C"},"child":[{"tag":"polygon","attr":{"points":"24,40.5 16,31 32,31"}},{"tag":"rect","attr":{"x":"21","y":"24","width":"6","height":"7.5"}}]}]})(props);
};
function FcEngineering (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#EF6C00","d":"M37.4,24.6l-11.6-2.2l-3.9-11.2l-3.8,1.3L22,23.6l-7.8,9l3,2.6l7.8-9l11.6,2.2L37.4,24.6z"}},{"tag":"g","attr":{"fill":"#FF9800"},"child":[{"tag":"path","attr":{"d":"M24,19c-2.8,0-5,2.2-5,5c0,2.8,2.2,5,5,5s5-2.2,5-5C29,21.2,26.8,19,24,19z M24,26c-1.1,0-2-0.9-2-2 c0-1.1,0.9-2,2-2s2,0.9,2,2C26,25.1,25.1,26,24,26z"}},{"tag":"path","attr":{"d":"M40.7,27c0.2-1,0.3-2,0.3-3c0-1-0.1-2-0.3-3l3.3-2.4c0.4-0.3,0.6-0.9,0.3-1.4L40,9.8 c-0.3-0.5-0.8-0.7-1.3-0.4L35,11c-1.5-1.3-3.3-2.3-5.2-3l-0.4-4.1c-0.1-0.5-0.5-0.9-1-0.9h-8.6c-0.5,0-1,0.4-1,0.9L18.2,8 c-1.9,0.7-3.7,1.7-5.2,3L9.3,9.3C8.8,9.1,8.2,9.3,8,9.8l-4.3,7.4c-0.3,0.5-0.1,1.1,0.3,1.4L7.3,21C7.1,22,7,23,7,24 c0,1,0.1,2,0.3,3L4,29.4c-0.4,0.3-0.6,0.9-0.3,1.4L8,38.2c0.3,0.5,0.8,0.7,1.3,0.4L13,37c1.5,1.3,3.3,2.3,5.2,3l0.4,4.1 c0.1,0.5,0.5,0.9,1,0.9h8.6c0.5,0,1-0.4,1-0.9l0.4-4.1c1.9-0.7,3.7-1.7,5.2-3l3.7,1.7c0.5,0.2,1.1,0,1.3-0.4l4.3-7.4 c0.3-0.5,0.1-1.1-0.3-1.4L40.7,27z M24,35c-6.1,0-11-4.9-11-11c0-6.1,4.9-11,11-11s11,4.9,11,11C35,30.1,30.1,35,24,35z"}}]}]})(props);
};
function FcEnteringHeavenAlive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"17","y":"29","fill":"#039BE5","width":"14","height":"2"}},{"tag":"rect","attr":{"x":"13","y":"33","fill":"#039BE5","width":"22","height":"2"}},{"tag":"rect","attr":{"x":"9","y":"37","fill":"#039BE5","width":"30","height":"2"}},{"tag":"rect","attr":{"x":"5","y":"41","fill":"#039BE5","width":"38","height":"2"}},{"tag":"path","attr":{"fill":"#81D4FA","d":"M35,13c-0.4,0-0.8,0-1.2,0.1C32.9,8.5,28.9,5,24,5c-4.1,0-7.6,2.5-9.2,6c-0.3,0-0.5,0-0.8,0 c-4.4,0-8,3.6-8,8s3.6,8,8,8c2.4,0,18.5,0,21,0c3.9,0,7-3.1,7-7C42,16.1,38.9,13,35,13z"}},{"tag":"path","attr":{"fill":"#039BE5","d":"M28,21c0-2.2-1.8-4-4-4s-4,1.8-4,4c0,0.5,0,6,0,6h8C28,27,28,21.5,28,21z"}}]})(props);
};
function FcExpand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#2196F3","points":"43,17.1 39.9,14 24,29.9 8.1,14 5,17.1 24,36"}}]})(props);
};
function FcExpired (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#00ACC1","cx":"17","cy":"17","r":"14"}},{"tag":"circle","attr":{"fill":"#eee","cx":"17","cy":"17","r":"11"}},{"tag":"rect","attr":{"x":"16","y":"8","width":"2","height":"9"}},{"tag":"rect","attr":{"x":"18.2","y":"16","transform":"matrix(-.707 .707 -.707 -.707 46.834 19.399)","width":"2.4","height":"6.8"}},{"tag":"circle","attr":{"cx":"17","cy":"17","r":"2"}},{"tag":"circle","attr":{"fill":"#00ACC1","cx":"17","cy":"17","r":"1"}},{"tag":"path","attr":{"fill":"#FFC107","d":"M11.9,42l14.4-24.1c0.8-1.3,2.7-1.3,3.4,0L44.1,42c0.8,1.3-0.2,3-1.7,3H13.6C12.1,45,11.1,43.3,11.9,42z"}},{"tag":"path","attr":{"fill":"#263238","d":"M26.4,39.9c0-0.2,0-0.4,0.1-0.6s0.2-0.3,0.3-0.5s0.3-0.2,0.5-0.3s0.4-0.1,0.6-0.1s0.5,0,0.7,0.1 s0.4,0.2,0.5,0.3s0.2,0.3,0.3,0.5s0.1,0.4,0.1,0.6s0,0.4-0.1,0.6s-0.2,0.3-0.3,0.5s-0.3,0.2-0.5,0.3s-0.4,0.1-0.7,0.1 s-0.5,0-0.6-0.1s-0.4-0.2-0.5-0.3s-0.2-0.3-0.3-0.5S26.4,40.1,26.4,39.9z M29.2,36.8h-2.3L26.5,27h3L29.2,36.8z"}}]})(props);
};
function FcExport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FFCCBC","d":"M7,40V8c0-2.2,1.8-4,4-4h24c2.2,0,4,1.8,4,4v32c0,2.2-1.8,4-4,4H11C8.8,44,7,42.2,7,40z"}},{"tag":"g","attr":{"fill":"#FF5722"},"child":[{"tag":"polygon","attr":{"points":"42.7,24 32,33 32,15"}},{"tag":"rect","attr":{"x":"14","y":"21","width":"23","height":"6"}}]}]})(props);
};
function FcExternal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#B2DFDB","cx":"24","cy":"31","r":"14"}},{"tag":"g","attr":{"fill":"#009688"},"child":[{"tag":"polygon","attr":{"points":"24,3.3 33,14 15,14"}},{"tag":"rect","attr":{"x":"21","y":"11","width":"6","height":"23"}}]}]})(props);
};
function FcFactoryBreakdown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#E64A19","points":"29,23 29,17 21,21 21,23 17,23 17,27 13,27 13,23 5,23 5,43 33,43 33,23"}},{"tag":"rect","attr":{"x":"25","y":"27","fill":"#992B0A","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"9","y":"35","fill":"#992B0A","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"25","y":"35","fill":"#992B0A","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"17","y":"35","fill":"#992B0A","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"17","y":"27","fill":"#992B0A","width":"4","height":"4"}},{"tag":"polygon","attr":{"fill":"#BF360C","points":"41.2,5 38,5 38,7 36,7 36,9 33.7,9 32,43 43,43"}}]})(props);
};
function FcFactory (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#BF360C","d":"M41.2,5h-7.3L32,43h11L41.2,5z"}},{"tag":"path","attr":{"fill":"#E64A19","d":"M33,23h-4v-6l-12,6v-6L5,23v20h28V23z"}},{"tag":"rect","attr":{"x":"9","y":"27","fill":"#FFC107","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"17","y":"27","fill":"#FFC107","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"25","y":"27","fill":"#FFC107","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"9","y":"35","fill":"#FFC107","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"17","y":"35","fill":"#FFC107","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"25","y":"35","fill":"#FFC107","width":"4","height":"4"}}]})(props);
};
function FcFaq (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#558B2F","d":"M15,40h23l6,6V25c0-2.2-1.8-4-4-4H15c-2.2,0-4,1.8-4,4v11C11,38.2,12.8,40,15,40z"}},{"tag":"path","attr":{"fill":"#1B5E20","d":"M28.8,32.8h-3.6l-0.7,2.1h-2.2l3.7-10h1.9l3.7,10h-2.2L28.8,32.8z M25.7,31.2h2.5L27,27.4L25.7,31.2z"}},{"tag":"path","attr":{"fill":"#8BC34A","d":"M33,25H10l-6,6V8c0-2.2,1.8-4,4-4h25c2.2,0,4,1.8,4,4v13C37,23.2,35.2,25,33,25z"}},{"tag":"path","attr":{"fill":"#fff","d":"M25.4,14.2c0,1-0.2,1.8-0.5,2.5c-0.3,0.7-0.7,1.3-1.3,1.7l1.7,1.3L24,20.9l-2.2-1.7c-0.2,0-0.5,0.1-0.8,0.1 c-0.6,0-1.2-0.1-1.8-0.3c-0.5-0.2-1-0.6-1.4-1c-0.4-0.4-0.7-1-0.9-1.6c-0.2-0.6-0.3-1.3-0.3-2.1v-0.4c0-0.8,0.1-1.5,0.3-2.1 c0.2-0.6,0.5-1.2,0.9-1.6c0.4-0.4,0.8-0.8,1.4-1c0.5-0.2,1.1-0.3,1.8-0.3c0.6,0,1.2,0.1,1.8,0.3c0.5,0.2,1,0.6,1.4,1 c0.4,0.4,0.7,1,0.9,1.6c0.2,0.6,0.3,1.3,0.3,2.1V14.2z M23.2,13.7c0-1.1-0.2-1.9-0.6-2.4c-0.4-0.6-0.9-0.8-1.6-0.8 c-0.7,0-1.3,0.3-1.6,0.8c-0.4,0.6-0.6,1.4-0.6,2.4v0.5c0,0.5,0.1,1,0.2,1.4c0.1,0.4,0.2,0.8,0.4,1c0.2,0.3,0.4,0.5,0.7,0.6 c0.3,0.1,0.6,0.2,0.9,0.2c0.7,0,1.3-0.3,1.6-0.8c0.4-0.6,0.6-1.4,0.6-2.5V13.7z"}}]})(props);
};
function FcFeedIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#2196F3","d":"M38,24v12c0,1.1-0.9,2-2,2H12c-1.1,0-2-0.9-2-2V24c0-3.3-2.7-6-6-6h0v4h0c1.1,0,2,0.9,2,2v12 c0,3.3,2.7,6,6,6h24c3.3,0,6-2.7,6-6V24c0-1.1,0.9-2,2-2h0v-4h0C40.7,18,38,20.7,38,24z"}},{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"polygon","attr":{"points":"38.6,5.6 29,15.2 29,28 33,28 33,16.8 41.4,8.4"}},{"tag":"polygon","attr":{"points":"6.6,8.4 15,16.8 15,28 19,28 19,15.2 9.4,5.6"}},{"tag":"polygon","attr":{"points":"37,27 31,33 25,27"}},{"tag":"polygon","attr":{"points":"23,27 17,33 11,27"}}]}]})(props);
};
function FcFeedback (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#78909C","d":"M40,41H8c-2.2,0-4-1.8-4-4l0-20.9c0-1.3,0.6-2.5,1.7-3.3L24,0l18.3,12.8c1.1,0.7,1.7,2,1.7,3.3V37 C44,39.2,42.2,41,40,41z"}},{"tag":"rect","attr":{"x":"12","y":"11","fill":"#fff","width":"24","height":"22"}},{"tag":"polygon","attr":{"fill":"#9C27B0","points":"24,13.6 18,21.4 30,21.4"}},{"tag":"path","attr":{"fill":"#CFD8DC","d":"M40,41H8c-2.2,0-4-1.8-4-4l0-20l20,13l20-13v20C44,39.2,42.2,41,40,41z"}},{"tag":"polygon","attr":{"fill":"#9C27B0","points":"24,28 26,26.7 26,20 22,20 22,26.7"}}]})(props);
};
function FcFile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#90CAF9","points":"40,45 8,45 8,3 30,3 40,13"}},{"tag":"polygon","attr":{"fill":"#E1F5FE","points":"38.5,14 29,14 29,4.5"}}]})(props);
};
function FcFilingCabinet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"12","y":"44","fill":"#263238","width":"4","height":"2"}},{"tag":"rect","attr":{"x":"32","y":"44","fill":"#263238","width":"4","height":"2"}},{"tag":"path","attr":{"fill":"#607D8B","d":"M8,41V7c0-2.2,1.8-4,4-4h24c2.2,0,4,1.8,4,4v34c0,2.2-1.8,4-4,4H12C9.8,45,8,43.2,8,41z"}},{"tag":"path","attr":{"fill":"#B0BEC5","d":"M12,17V8c0-0.6,0.4-1,1-1h22c0.6,0,1,0.4,1,1v9H12z"}},{"tag":"rect","attr":{"x":"12","y":"19","fill":"#B0BEC5","width":"24","height":"10"}},{"tag":"path","attr":{"fill":"#B0BEC5","d":"M12,40v-9h24v9c0,0.6-0.4,1-1,1H13C12.4,41,12,40.6,12,40z"}},{"tag":"rect","attr":{"x":"20","y":"11","fill":"#546E7A","width":"8","height":"2"}},{"tag":"rect","attr":{"x":"20","y":"23","fill":"#546E7A","width":"8","height":"2"}},{"tag":"rect","attr":{"x":"20","y":"35","fill":"#546E7A","width":"8","height":"2"}}]})(props);
};
function FcFilledFilter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#F57C00","points":"29,23 19,23 7,9 41,9"}},{"tag":"g","attr":{"fill":"#FF9800"},"child":[{"tag":"polygon","attr":{"points":"29,38 19,44 19,23 29,23"}},{"tag":"path","attr":{"d":"M41.5,9h-35C5.7,9,5,8.3,5,7.5v0C5,6.7,5.7,6,6.5,6h35C42.3,6,43,6.7,43,7.5v0C43,8.3,42.3,9,41.5,9z"}}]}]})(props);
};
function FcFilmReel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#3F51B5","d":"M43,39V24h-4v15c0,5,4,9,9,9v-4C45.2,44,43,41.8,43,39z"}},{"tag":"circle","attr":{"fill":"#90A4AE","cx":"24","cy":"24","r":"19"}},{"tag":"circle","attr":{"fill":"#37474F","cx":"24","cy":"24","r":"2"}},{"tag":"g","attr":{"fill":"#253278"},"child":[{"tag":"circle","attr":{"cx":"24","cy":"14","r":"5"}},{"tag":"circle","attr":{"cx":"24","cy":"34","r":"5"}},{"tag":"circle","attr":{"cx":"34","cy":"24","r":"5"}},{"tag":"circle","attr":{"cx":"14","cy":"24","r":"5"}}]}]})(props);
};
function FcFilm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#3F51B5","d":"M45,9H3v30h42V9z M22,37v-4h4v4H22z M30,37v-4h4v4H30z M38,37v-4h4v4H38z M14,37v-4h4v4H14z M6,37v-4h4v4H6 z M22,15v-4h4v4H22z M30,15v-4h4v4H30z M38,15v-4h4v4H38z M14,15v-4h4v4H14z M6,15v-4h4v4H6z"}}]})(props);
};
function FcFinePrint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#90CAF9","points":"33,42 5,42 5,4 24,4 33,13"}},{"tag":"polygon","attr":{"fill":"#E1F5FE","points":"31.5,14 23,14 23,5.5"}},{"tag":"rect","attr":{"x":"38.3","y":"34.8","transform":"matrix(.707 -.707 .707 .707 -17.177 40.055)","fill":"#616161","width":"2.8","height":"12"}},{"tag":"circle","attr":{"fill":"#616161","cx":"28","cy":"29","r":"11"}},{"tag":"circle","attr":{"fill":"#90CAF9","cx":"28","cy":"29","r":"9"}},{"tag":"rect","attr":{"x":"39.5","y":"37.6","transform":"matrix(.707 -.707 .707 .707 -17.661 41.223)","fill":"#37474F","width":"2.8","height":"8.7"}},{"tag":"g","attr":{"fill":"#1976D2"},"child":[{"tag":"path","attr":{"d":"M30,31h-9.7c0.4,1.6,1.3,3,2.5,4H30V31z"}},{"tag":"path","attr":{"d":"M20.3,27H30v-4h-7.3C21.5,24,20.7,25.4,20.3,27z"}},{"tag":"path","attr":{"d":"M20.1,20H11v2h7.3C18.8,21.3,19.4,20.6,20.1,20z"}},{"tag":"path","attr":{"d":"M17.1,24H11v2h5.4C16.6,25.3,16.8,24.6,17.1,24z"}},{"tag":"path","attr":{"d":"M16,29c0-0.3,0-0.7,0.1-1H11v2h5.1C16,29.7,16,29.3,16,29z"}},{"tag":"path","attr":{"d":"M16.4,32H11v2h6.1C16.8,33.4,16.6,32.7,16.4,32z"}}]}]})(props);
};
function FcFlashAuto (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#FFC107","points":"33,22 23.6,22 30,5 19,5 13,26 21.6,26 17,45"}},{"tag":"path","attr":{"fill":"#F44336","d":"M40.8,14.5h-4.3L35.6,17H33l4.5-12h2.3l4.5,12h-2.6L40.8,14.5z M37.1,12.5h3L38.6,8L37.1,12.5z"}}]})(props);
};
function FcFlashOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#FFC107","points":"33,22 23.6,22 30,5 19,5 13,26 21.6,26 17,45"}},{"tag":"rect","attr":{"x":"22","y":"-2.9","transform":"matrix(.707 -.707 .707 .707 -9.941 24)","fill":"#37474F","width":"4","height":"53.7"}}]})(props);
};
function FcFlashOn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#FFC107","points":"33,22 23.6,22 30,5 19,5 13,26 21.6,26 17,45"}}]})(props);
};
function FcFlowChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#CFD8DC","points":"35,36 39,36 39,22 26,22 26,13 22,13 22,22 9,22 9,36 13,36 13,26 22,26 22,36 26,36 26,26 35,26"}},{"tag":"rect","attr":{"x":"17","y":"6","fill":"#3F51B5","width":"14","height":"10"}},{"tag":"rect","attr":{"x":"32","y":"32","fill":"#00BCD4","width":"10","height":"10"}},{"tag":"rect","attr":{"x":"6","y":"32","fill":"#00BCD4","width":"10","height":"10"}},{"tag":"rect","attr":{"x":"19","y":"32","fill":"#00BCD4","width":"10","height":"10"}}]})(props);
};
function FcFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FFA000","d":"M40,12H22l-4-4H8c-2.2,0-4,1.8-4,4v8h40v-4C44,13.8,42.2,12,40,12z"}},{"tag":"path","attr":{"fill":"#FFCA28","d":"M40,12H8c-2.2,0-4,1.8-4,4v20c0,2.2,1.8,4,4,4h32c2.2,0,4-1.8,4-4V16C44,13.8,42.2,12,40,12z"}}]})(props);
};
function FcFrame (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#3949AB","d":"M40.6,40.1h-1.4c-0.2,0-0.3,0-0.5,0l-3.1-0.4c-2.4-0.3-4.9-0.2-7.3,0.4l-3.6,0.9c-0.5,0.1-1.1,0.1-1.6,0 L19.6,40c-2.4-0.6-4.8-0.7-7.3-0.4l-3.1,0.4c-0.2,0-0.3,0-0.5,0H7.4c-1.9,0-3.4-1.5-3.4-3.4v0c0-0.4,0.1-0.9,0.2-1.3l0.2-0.6 c1-2.5,1.1-5.3,0.4-7.9l-0.6-2c-0.2-0.7-0.2-1.3,0-2l0.3-0.8c0.9-2.7,0.8-5.7-0.2-8.4l-0.1-0.3C4.1,13.1,4,12.7,4,12.3v-1 c0-1.9,1.5-3.4,3.4-3.4l1.4,0c0.2,0,0.3,0,0.5,0l3.1,0.4c2.4,0.3,4.9,0.2,7.3-0.4l3.6-0.9c0.5-0.1,1.1-0.1,1.6,0L28.4,8 c2.4,0.6,4.8,0.7,7.3,0.4l3.1-0.4c0.2,0,0.3,0,0.5,0l1.4,0c1.9,0,3.4,1.5,3.4,3.4v1c0,0.4-0.1,0.9-0.2,1.3l-0.1,0.3 c-1.1,2.7-1.2,5.6-0.2,8.4l0.3,0.8c0.2,0.6,0.2,1.3,0,2l-0.6,2c-0.7,2.6-0.6,5.4,0.4,7.9l0.2,0.6c0.2,0.4,0.2,0.8,0.2,1.3v0 C44,38.6,42.5,40.1,40.6,40.1z"}},{"tag":"path","attr":{"fill":"#BBDEFB","d":"M38,36H10c-0.6,0-1-0.4-1-1V13c0-0.6,0.4-1,1-1h28c0.6,0,1,0.4,1,1v22C39,35.6,38.6,36,38,36z"}}]})(props);
};
function FcFullBattery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#8BC34A"},"child":[{"tag":"path","attr":{"d":"M34,44H14c-1.1,0-2-0.9-2-2V8c0-1.1,0.9-2,2-2h20c1.1,0,2,0.9,2,2v34C36,43.1,35.1,44,34,44z"}},{"tag":"path","attr":{"d":"M28,13h-8c-0.6,0-1-0.4-1-1V5c0-0.6,0.4-1,1-1h8c0.6,0,1,0.4,1,1v7C29,12.6,28.6,13,28,13z"}}]}]})(props);
};
function FcFullTrash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#FF8A65","points":"24,21.3 12.7,10 26,1.7 38.3,10"}},{"tag":"polygon","attr":{"fill":"#FFAB91","points":"24,21.3 12.7,10 17,4.7 38.3,10"}},{"tag":"path","attr":{"fill":"#B39DDB","d":"M30.6,44H17.4c-2,0-3.7-1.4-4-3.4L9,11h30l-4.5,29.6C34.2,42.6,32.5,44,30.6,44z"}},{"tag":"path","attr":{"fill":"#7E57C2","d":"M38,13H10c-1.1,0-2-0.9-2-2v0c0-1.1,0.9-2,2-2h28c1.1,0,2,0.9,2,2v0C40,12.1,39.1,13,38,13z"}}]})(props);
};
function FcGallery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#E65100","d":"M41,42H13c-2.2,0-4-1.8-4-4V18c0-2.2,1.8-4,4-4h28c2.2,0,4,1.8,4,4v20C45,40.2,43.2,42,41,42z"}},{"tag":"path","attr":{"fill":"#F57C00","d":"M35,36H7c-2.2,0-4-1.8-4-4V12c0-2.2,1.8-4,4-4h28c2.2,0,4,1.8,4,4v20C39,34.2,37.2,36,35,36z"}},{"tag":"circle","attr":{"fill":"#FFF9C4","cx":"30","cy":"16","r":"3"}},{"tag":"polygon","attr":{"fill":"#942A09","points":"17,17.9 8,31 26,31"}},{"tag":"polygon","attr":{"fill":"#BF360C","points":"28,23.5 22,31 34,31"}}]})(props);
};
function FcGenealogy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#CFD8DC","points":"40,9 40,7 31,7 31,12 24,12 15,12 15,23 8,23 8,25 15,25 15,36 24,36 31,36 31,41 40,41 40,39 33,39 33,31 40,31 40,29 31,29 31,34 24,34 17,34 17,14 24,14 31,14 31,19 40,19 40,17 33,17 33,9"}},{"tag":"rect","attr":{"x":"4","y":"20","fill":"#00BCD4","width":"8","height":"8"}},{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"rect","attr":{"x":"36","y":"14","width":"8","height":"8"}},{"tag":"rect","attr":{"x":"36","y":"4","width":"8","height":"8"}},{"tag":"rect","attr":{"x":"20","y":"9","width":"8","height":"8"}},{"tag":"rect","attr":{"x":"20","y":"31","width":"8","height":"8"}},{"tag":"rect","attr":{"x":"36","y":"36","width":"8","height":"8"}},{"tag":"rect","attr":{"x":"36","y":"26","width":"8","height":"8"}}]}]})(props);
};
function FcGenericSortingAsc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"6","y":"6","fill":"#2196F3","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"6","y":"14","fill":"#2196F3","width":"12","height":"4"}},{"tag":"rect","attr":{"x":"6","y":"22","fill":"#2196F3","width":"20","height":"4"}},{"tag":"rect","attr":{"x":"6","y":"30","fill":"#2196F3","width":"28","height":"4"}},{"tag":"rect","attr":{"x":"6","y":"38","fill":"#2196F3","width":"36","height":"4"}}]})(props);
};
function FcGenericSortingDesc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"6","y":"38","fill":"#2196F3","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"6","y":"30","fill":"#2196F3","width":"12","height":"4"}},{"tag":"rect","attr":{"x":"6","y":"22","fill":"#2196F3","width":"20","height":"4"}},{"tag":"rect","attr":{"x":"6","y":"14","fill":"#2196F3","width":"28","height":"4"}},{"tag":"rect","attr":{"x":"6","y":"6","fill":"#2196F3","width":"36","height":"4"}}]})(props);
};
function FcGlobe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#7CB342","d":"M24,4C13,4,4,13,4,24s9,20,20,20s20-9,20-20S35,4,24,4z"}},{"tag":"path","attr":{"fill":"#0277BD","d":"M45,24c0,11.7-9.5,21-21,21S3,35.7,3,24S12.3,3,24,3S45,12.3,45,24z M23.8,33.7c0-0.4-0.2-0.6-0.6-0.8 c-1.3-0.4-2.5-0.4-3.6-1.5c-0.2-0.4-0.2-0.8-0.4-1.3c-0.4-0.4-1.5-0.6-2.1-0.8c-0.8,0-1.7,0-2.7,0c-0.4,0-1.1,0-1.5,0 c-0.6-0.2-1.1-1.1-1.5-1.7c0-0.2,0-0.6-0.4-0.6c-0.4-0.2-0.8,0.2-1.3,0c-0.2-0.2-0.2-0.4-0.2-0.6c0-0.6,0.4-1.3,0.8-1.7 c0.6-0.4,1.3,0.2,1.9,0.2c0.2,0,0.2,0,0.4,0.2c0.6,0.2,0.8,1,0.8,1.7c0,0.2,0,0.4,0,0.4c0,0.2,0.2,0.2,0.4,0.2 c0.2-1.1,0.2-2.1,0.4-3.2c0-1.3,1.3-2.5,2.3-2.9c0.4-0.2,0.6,0.2,1.1,0c1.3-0.4,4.4-1.7,3.8-3.4c-0.4-1.5-1.7-2.9-3.4-2.7 c-0.4,0.2-0.6,0.4-1,0.6c-0.6,0.4-1.9,1.7-2.5,1.7c-1.1-0.2-1.1-1.7-0.8-2.3c0.2-0.8,2.1-3.6,3.4-3.1c0.2,0.2,0.6,0.6,0.8,0.8 c0.4,0.2,1.1,0.2,1.7,0.2c0.2,0,0.4,0,0.6-0.2c0.2-0.2,0.2-0.2,0.2-0.4c0-0.6-0.6-1.3-1-1.7c-0.4-0.4-1.1-0.8-1.7-1.1 c-2.1-0.6-5.5,0.2-7.1,1.7s-2.9,4-3.8,6.1c-0.4,1.3-0.8,2.9-1,4.4c-0.2,1-0.4,1.9,0.2,2.9c0.6,1.3,1.9,2.5,3.2,3.4 c0.8,0.6,2.5,0.6,3.4,1.7c0.6,0.8,0.4,1.9,0.4,2.9c0,1.3,0.8,2.3,1.3,3.4c0.2,0.6,0.4,1.5,0.6,2.1c0,0.2,0.2,1.5,0.2,1.7 c1.3,0.6,2.3,1.3,3.8,1.7c0.2,0,1-1.3,1-1.5c0.6-0.6,1.1-1.5,1.7-1.9c0.4-0.2,0.8-0.4,1.3-0.8c0.4-0.4,0.6-1.3,0.8-1.9 C23.8,35.1,24,34.3,23.8,33.7z M24.2,14.3c0.2,0,0.4-0.2,0.8-0.4c0.6-0.4,1.3-1.1,1.9-1.5c0.6-0.4,1.3-1.1,1.7-1.5 c0.6-0.4,1.1-1.3,1.3-1.9c0.2-0.4,0.8-1.3,0.6-1.9c-0.2-0.4-1.3-0.6-1.7-0.8c-1.7-0.4-3.1-0.6-4.8-0.6c-0.6,0-1.5,0.2-1.7,0.8 c-0.2,1.1,0.6,0.8,1.5,1.1c0,0,0.2,1.7,0.2,1.9c0.2,1-0.4,1.7-0.4,2.7c0,0.6,0,1.7,0.4,2.1L24.2,14.3z M41.8,29 c0.2-0.4,0.2-1.1,0.4-1.5c0.2-1,0.2-2.1,0.2-3.1c0-2.1-0.2-4.2-0.8-6.1c-0.4-0.6-0.6-1.3-0.8-1.9c-0.4-1.1-1-2.1-1.9-2.9 c-0.8-1.1-1.9-4-3.8-3.1c-0.6,0.2-1,1-1.5,1.5c-0.4,0.6-0.8,1.3-1.3,1.9c-0.2,0.2-0.4,0.6-0.2,0.8c0,0.2,0.2,0.2,0.4,0.2 c0.4,0.2,0.6,0.2,1,0.4c0.2,0,0.4,0.2,0.2,0.4c0,0,0,0.2-0.2,0.2c-1,1.1-2.1,1.9-3.1,2.9c-0.2,0.2-0.4,0.6-0.4,0.8 c0,0.2,0.2,0.2,0.2,0.4c0,0.2-0.2,0.2-0.4,0.4c-0.4,0.2-0.8,0.4-1.1,0.6c-0.2,0.4,0,1.1-0.2,1.5c-0.2,1.1-0.8,1.9-1.3,2.9 c-0.4,0.6-0.6,1.3-1,1.9c0,0.8-0.2,1.5,0.2,2.1c1,1.5,2.9,0.6,4.4,1.3c0.4,0.2,0.8,0.2,1.1,0.6c0.6,0.6,0.6,1.7,0.8,2.3 c0.2,0.8,0.4,1.7,0.8,2.5c0.2,1,0.6,2.1,0.8,2.9c1.9-1.5,3.6-3.1,4.8-5.2C40.6,32.4,41.2,30.7,41.8,29z"}}]})(props);
};
function FcGoodDecision (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FFCC80"},"child":[{"tag":"circle","attr":{"cx":"38","cy":"26","r":"4"}},{"tag":"circle","attr":{"cx":"10","cy":"26","r":"4"}},{"tag":"path","attr":{"d":"M39,19c0-12.7-30-8.3-30,0c0,1.8,0,8.2,0,10c0,8.3,6.7,15,15,15s15-6.7,15-15C39,27.2,39,20.8,39,19z"}},{"tag":"path","attr":{"d":"M24,4C15.2,4,8,11.2,8,20c0,1.2,0,3.5,0,3.5l2.1,0.6V19l19.5-6.3l8.2,6.3v5.1l2.1-0.6c0,0,0-2.3,0-3.5 C40,12.5,34.6,4,24,4z"}}]},{"tag":"g","attr":{"fill":"#4CAF50"},"child":[{"tag":"rect","attr":{"x":"22","y":"16","width":"4","height":"18"}},{"tag":"rect","attr":{"x":"15","y":"23","width":"18","height":"4"}}]}]})(props);
};
function FcGoogle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FFC107","d":"M43.611,20.083H42V20H24v8h11.303c-1.649,4.657-6.08,8-11.303,8c-6.627,0-12-5.373-12-12\r\n\tc0-6.627,5.373-12,12-12c3.059,0,5.842,1.154,7.961,3.039l5.657-5.657C34.046,6.053,29.268,4,24,4C12.955,4,4,12.955,4,24\r\n\tc0,11.045,8.955,20,20,20c11.045,0,20-8.955,20-20C44,22.659,43.862,21.35,43.611,20.083z"}},{"tag":"path","attr":{"fill":"#FF3D00","d":"M6.306,14.691l6.571,4.819C14.655,15.108,18.961,12,24,12c3.059,0,5.842,1.154,7.961,3.039l5.657-5.657\r\n\tC34.046,6.053,29.268,4,24,4C16.318,4,9.656,8.337,6.306,14.691z"}},{"tag":"path","attr":{"fill":"#4CAF50","d":"M24,44c5.166,0,9.86-1.977,13.409-5.192l-6.19-5.238C29.211,35.091,26.715,36,24,36\r\n\tc-5.202,0-9.619-3.317-11.283-7.946l-6.522,5.025C9.505,39.556,16.227,44,24,44z"}},{"tag":"path","attr":{"fill":"#1976D2","d":"M43.611,20.083H42V20H24v8h11.303c-0.792,2.237-2.231,4.166-4.087,5.571\r\n\tc0.001-0.001,0.002-0.001,0.003-0.002l6.19,5.238C36.971,39.205,44,34,44,24C44,22.659,43.862,21.35,43.611,20.083z"}}]})(props);
};
function FcGraduationCap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"rect","attr":{"x":"9","y":"20","width":"30","height":"13"}},{"tag":"ellipse","attr":{"cx":"24","cy":"33","rx":"15","ry":"6"}}]},{"tag":"path","attr":{"fill":"#78909C","d":"M23.1,8.2L0.6,18.1c-0.8,0.4-0.8,1.5,0,1.9l22.5,9.9c0.6,0.2,1.2,0.2,1.8,0l22.5-9.9c0.8-0.4,0.8-1.5,0-1.9 L24.9,8.2C24.3,7.9,23.7,7.9,23.1,8.2z"}},{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"path","attr":{"d":"M43.2,20.4l-20-3.4c-0.5-0.1-1.1,0.3-1.2,0.8c-0.1,0.5,0.3,1.1,0.8,1.2L42,22.2V37c0,0.6,0.4,1,1,1 s1-0.4,1-1V21.4C44,20.9,43.6,20.5,43.2,20.4z"}},{"tag":"circle","attr":{"cx":"43","cy":"37","r":"2"}},{"tag":"path","attr":{"d":"M46,40c0,1.7-3,6-3,6s-3-4.3-3-6s1.3-3,3-3S46,38.3,46,40z"}}]}]})(props);
};
function FcGrid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#90CAF9","d":"M7,7v34h34V7H7z M39,15h-6V9h6V15z M25,15V9h6v6H25z M31,17v6h-6v-6H31z M23,15h-6V9h6V15z M23,17v6h-6v-6 H23z M15,23H9v-6h6V23z M15,25v6H9v-6H15z M17,25h6v6h-6V25z M23,33v6h-6v-6H23z M25,33h6v6h-6V33z M25,31v-6h6v6H25z M33,25h6v6h-6 V25z M33,23v-6h6v6H33z M15,9v6H9V9H15z M9,33h6v6H9V33z M33,39v-6h6v6H33z"}}]})(props);
};
function FcHeadset (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#0097A7","d":"M24,5C14.1,5,6,13.1,6,23v15h4V23c0-7.7,6.3-14,14-14s14,6.3,14,14v15h4V23C42,13.1,33.9,5,24,5z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M38,43h-4V31h4c2.2,0,4,1.8,4,4v4C42,41.2,40.2,43,38,43z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M10,43h4V31h-4c-2.2,0-4,1.8-4,4v4C6,41.2,7.8,43,10,43z"}}]})(props);
};
function FcHeatMap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#CFD8DC","points":"9,39 9,6 7,6 7,41 42,41 42,39"}},{"tag":"g","attr":{"fill":"#00BCD4"},"child":[{"tag":"circle","attr":{"cx":"14","cy":"11","r":"2"}},{"tag":"circle","attr":{"cx":"32","cy":"11","r":"2"}},{"tag":"circle","attr":{"cx":"39","cy":"11","r":"2"}},{"tag":"circle","attr":{"cx":"23","cy":"11","r":"4"}},{"tag":"circle","attr":{"cx":"14","cy":"33","r":"2"}},{"tag":"circle","attr":{"cx":"30","cy":"33","r":"2"}},{"tag":"circle","attr":{"cx":"22","cy":"33","r":"3"}},{"tag":"circle","attr":{"cx":"38","cy":"33","r":"4"}},{"tag":"circle","attr":{"cx":"14","cy":"22","r":"2"}},{"tag":"circle","attr":{"cx":"39","cy":"22","r":"2"}},{"tag":"circle","attr":{"cx":"32","cy":"22","r":"3"}}]}]})(props);
};
function FcHighBattery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#CFD8DC"},"child":[{"tag":"path","attr":{"d":"M34,44H14c-1.1,0-2-0.9-2-2V8c0-1.1,0.9-2,2-2h20c1.1,0,2,0.9,2,2v34C36,43.1,35.1,44,34,44z"}},{"tag":"path","attr":{"d":"M28,13h-8c-0.6,0-1-0.4-1-1V5c0-0.6,0.4-1,1-1h8c0.6,0,1,0.4,1,1v7C29,12.6,28.6,13,28,13z"}}]},{"tag":"path","attr":{"fill":"#8BC34A","d":"M34,44H14c-1.1,0-2-0.9-2-2V13h24v29C36,43.1,35.1,44,34,44z"}}]})(props);
};
function FcHighPriority (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#F44336","d":"M21.2,44.8l-18-18c-1.6-1.6-1.6-4.1,0-5.7l18-18c1.6-1.6,4.1-1.6,5.7,0l18,18c1.6,1.6,1.6,4.1,0,5.7l-18,18 C25.3,46.4,22.7,46.4,21.2,44.8z"}},{"tag":"path","attr":{"fill":"#fff","d":"M21.6,32.7c0-0.3,0.1-0.6,0.2-0.9c0.1-0.3,0.3-0.5,0.5-0.7c0.2-0.2,0.5-0.4,0.8-0.5s0.6-0.2,1-0.2 s0.7,0.1,1,0.2c0.3,0.1,0.6,0.3,0.8,0.5c0.2,0.2,0.4,0.4,0.5,0.7c0.1,0.3,0.2,0.6,0.2,0.9s-0.1,0.6-0.2,0.9s-0.3,0.5-0.5,0.7 c-0.2,0.2-0.5,0.4-0.8,0.5c-0.3,0.1-0.6,0.2-1,0.2s-0.7-0.1-1-0.2s-0.5-0.3-0.8-0.5c-0.2-0.2-0.4-0.4-0.5-0.7S21.6,33.1,21.6,32.7z M25.8,28.1h-3.6L21.7,13h4.6L25.8,28.1z"}}]})(props);
};
function FcHome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#E8EAF6","points":"42,39 6,39 6,23 24,6 42,23"}},{"tag":"g","attr":{"fill":"#C5CAE9"},"child":[{"tag":"polygon","attr":{"points":"39,21 34,16 34,9 39,9"}},{"tag":"rect","attr":{"x":"6","y":"39","width":"36","height":"5"}}]},{"tag":"polygon","attr":{"fill":"#B71C1C","points":"24,4.3 4,22.9 6,25.1 24,8.4 42,25.1 44,22.9"}},{"tag":"rect","attr":{"x":"18","y":"28","fill":"#D84315","width":"12","height":"16"}},{"tag":"rect","attr":{"x":"21","y":"17","fill":"#01579B","width":"6","height":"6"}},{"tag":"path","attr":{"fill":"#FF8A65","d":"M27.5,35.5c-0.3,0-0.5,0.2-0.5,0.5v2c0,0.3,0.2,0.5,0.5,0.5S28,38.3,28,38v-2C28,35.7,27.8,35.5,27.5,35.5z"}}]})(props);
};
function FcIcons8Cup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#4CAF50","d":"M40,14H8l3.8,28.3c0.1,1,1,1.7,2,1.7h20.5c1,0,1.8-0.7,2-1.7L40,14z"}},{"tag":"g","attr":{"fill":"#81C784"},"child":[{"tag":"path","attr":{"d":"M42,14H6v-3c0-2.2,1.8-4,4-4h28c2.2,0,4,1.8,4,4V14z"}},{"tag":"path","attr":{"d":"M37.2,10H10.8l1.7-4.7c0.3-0.8,1-1.3,1.9-1.3h19.2c0.8,0,1.6,0.5,1.9,1.3L37.2,10z"}}]},{"tag":"path","attr":{"fill":"#E8F5E9","d":"M28,28.5c1.2-1.1,2-2.7,2-4.5c0-3.3-2.7-6-6-6c-3.3,0-6,2.7-6,6c0,1.8,0.8,3.4,2,4.5c-1.2,1.1-2,2.7-2,4.5 c0,3.3,2.7,6,6,6c3.3,0,6-2.7,6-6C30,31.2,29.2,29.6,28,28.5z M24,36c-1.7,0-3-1.3-3-3c0-1.7,1.3-3,3-3c1.7,0,3,1.3,3,3 C27,34.7,25.7,36,24,36z M24,27c-1.7,0-3-1.3-3-3c0-1.7,1.3-3,3-3c1.7,0,3,1.3,3,3C27,25.7,25.7,27,24,27z"}}]})(props);
};
function FcIdea (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#FFF59D","cx":"24","cy":"22","r":"20"}},{"tag":"path","attr":{"fill":"#FBC02D","d":"M37,22c0-7.7-6.6-13.8-14.5-12.9c-6,0.7-10.8,5.5-11.4,11.5c-0.5,4.6,1.4,8.7,4.6,11.3 c1.4,1.2,2.3,2.9,2.3,4.8V37h12v-0.1c0-1.8,0.8-3.6,2.2-4.8C35.1,29.7,37,26.1,37,22z"}},{"tag":"path","attr":{"fill":"#FFF59D","d":"M30.6,20.2l-3-2c-0.3-0.2-0.8-0.2-1.1,0L24,19.8l-2.4-1.6c-0.3-0.2-0.8-0.2-1.1,0l-3,2 c-0.2,0.2-0.4,0.4-0.4,0.7s0,0.6,0.2,0.8l3.8,4.7V37h2V26c0-0.2-0.1-0.4-0.2-0.6l-3.3-4.1l1.5-1l2.4,1.6c0.3,0.2,0.8,0.2,1.1,0 l2.4-1.6l1.5,1l-3.3,4.1C25.1,25.6,25,25.8,25,26v11h2V26.4l3.8-4.7c0.2-0.2,0.3-0.5,0.2-0.8S30.8,20.3,30.6,20.2z"}},{"tag":"circle","attr":{"fill":"#5C6BC0","cx":"24","cy":"44","r":"3"}},{"tag":"path","attr":{"fill":"#9FA8DA","d":"M26,45h-4c-2.2,0-4-1.8-4-4v-5h12v5C30,43.2,28.2,45,26,45z"}},{"tag":"g","attr":{"fill":"#5C6BC0"},"child":[{"tag":"path","attr":{"d":"M30,41l-11.6,1.6c0.3,0.7,0.9,1.4,1.6,1.8l9.4-1.3C29.8,42.5,30,41.8,30,41z"}},{"tag":"polygon","attr":{"points":"18,38.7 18,40.7 30,39 30,37"}}]}]})(props);
};
function FcImageFile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#90CAF9","points":"40,45 8,45 8,3 30,3 40,13"}},{"tag":"polygon","attr":{"fill":"#E1F5FE","points":"38.5,14 29,14 29,4.5"}},{"tag":"polygon","attr":{"fill":"#1565C0","points":"21,23 14,33 28,33"}},{"tag":"polygon","attr":{"fill":"#1976D2","points":"28,26.4 23,33 33,33"}},{"tag":"circle","attr":{"fill":"#1976D2","cx":"31.5","cy":"24.5","r":"1.5"}}]})(props);
};
function FcImport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#F8BBD0","d":"M7,40V8c0-2.2,1.8-4,4-4h24c2.2,0,4,1.8,4,4v32c0,2.2-1.8,4-4,4H11C8.8,44,7,42.2,7,40z"}},{"tag":"g","attr":{"fill":"#E91E63"},"child":[{"tag":"polygon","attr":{"points":"13.3,24 24,15 24,33"}},{"tag":"rect","attr":{"x":"19","y":"21","width":"23","height":"6"}}]}]})(props);
};
function FcInTransit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FFC107","d":"M44,36H30V16c0-1.1,0.9-2,2-2h8c0.6,0,1.2,0.3,1.6,0.8l6,7.7c0.3,0.4,0.4,0.8,0.4,1.2V32 C48,34.2,46.2,36,44,36z"}},{"tag":"g","attr":{"fill":"#9575CD"},"child":[{"tag":"path","attr":{"d":"M8,36h22V13c0-2.2-1.8-4-4-4H4v23C4,34.2,5.8,36,8,36z"}},{"tag":"rect","attr":{"y":"9","width":"10","height":"2"}},{"tag":"rect","attr":{"y":"14","width":"10","height":"2"}},{"tag":"rect","attr":{"y":"19","width":"10","height":"2"}},{"tag":"rect","attr":{"y":"24","width":"10","height":"2"}}]},{"tag":"g","attr":{"fill":"#7E57C2"},"child":[{"tag":"rect","attr":{"x":"4","y":"11","width":"16","height":"2"}},{"tag":"rect","attr":{"x":"4","y":"16","width":"12","height":"2"}},{"tag":"rect","attr":{"x":"4","y":"21","width":"8","height":"2"}},{"tag":"rect","attr":{"x":"4","y":"26","width":"4","height":"2"}}]},{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"circle","attr":{"cx":"39","cy":"36","r":"5"}},{"tag":"circle","attr":{"cx":"16","cy":"36","r":"5"}}]},{"tag":"g","attr":{"fill":"#78909C"},"child":[{"tag":"circle","attr":{"cx":"39","cy":"36","r":"2.5"}},{"tag":"circle","attr":{"cx":"16","cy":"36","r":"2.5"}}]},{"tag":"path","attr":{"fill":"#455A64","d":"M44,26h-3.6c-0.3,0-0.5-0.1-0.7-0.3l-1.4-1.4c-0.2-0.2-0.4-0.3-0.7-0.3H34c-0.6,0-1-0.4-1-1v-6 c0-0.6,0.4-1,1-1h5.5c0.3,0,0.6,0.1,0.8,0.4l4.5,5.4c0.1,0.2,0.2,0.4,0.2,0.6V25C45,25.6,44.6,26,44,26z"}}]})(props);
};
function FcInfo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#2196F3","cx":"24","cy":"24","r":"21"}},{"tag":"rect","attr":{"x":"22","y":"22","fill":"#fff","width":"4","height":"11"}},{"tag":"circle","attr":{"fill":"#fff","cx":"24","cy":"16.5","r":"2.5"}}]})(props);
};
function FcInspection (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#455A64","d":"M36,4H26c0,1.1-0.9,2-2,2s-2-0.9-2-2H12C9.8,4,8,5.8,8,8v32c0,2.2,1.8,4,4,4h24c2.2,0,4-1.8,4-4V8 C40,5.8,38.2,4,36,4z"}},{"tag":"path","attr":{"fill":"#fff","d":"M36,41H12c-0.6,0-1-0.4-1-1V8c0-0.6,0.4-1,1-1h24c0.6,0,1,0.4,1,1v32C37,40.6,36.6,41,36,41z"}},{"tag":"g","attr":{"fill":"#90A4AE"},"child":[{"tag":"path","attr":{"d":"M26,4c0,1.1-0.9,2-2,2s-2-0.9-2-2h-7v4c0,1.1,0.9,2,2,2h14c1.1,0,2-0.9,2-2V4H26z"}},{"tag":"path","attr":{"d":"M24,0c-2.2,0-4,1.8-4,4s1.8,4,4,4s4-1.8,4-4S26.2,0,24,0z M24,6c-1.1,0-2-0.9-2-2s0.9-2,2-2s2,0.9,2,2 S25.1,6,24,6z"}}]},{"tag":"polygon","attr":{"fill":"#4CAF50","points":"30.6,18.6 21.6,27.6 17.4,23.3 14.9,25.8 21.7,32.5 33.1,21.1"}}]})(props);
};
function FcIntegratedWebcam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#607D8B","d":"M38,42H10c-2.2,0-4-1.8-4-4V10c0-2.2,1.8-4,4-4h28c2.2,0,4,1.8,4,4v28C42,40.2,40.2,42,38,42z"}},{"tag":"circle","attr":{"fill":"#455A64","cx":"24","cy":"24","r":"12"}},{"tag":"circle","attr":{"fill":"#42A5F5","cx":"24","cy":"24","r":"9"}},{"tag":"path","attr":{"fill":"#90CAF9","d":"M28.8,21c-1.2-1.4-3-2.2-4.8-2.2s-3.6,0.8-4.8,2.2c-0.5,0.5-0.4,1.3,0.1,1.8c0.5,0.5,1.3,0.4,1.8-0.1 c1.5-1.7,4.3-1.7,5.8,0c0.3,0.3,0.6,0.4,1,0.4c0.3,0,0.6-0.1,0.9-0.3C29.2,22.4,29.3,21.5,28.8,21z"}}]})(props);
};
function FcInternal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#B3E5FC","cx":"24","cy":"30","r":"15"}},{"tag":"g","attr":{"fill":"#1565C0"},"child":[{"tag":"polygon","attr":{"points":"24,38.7 15,28 33,28"}},{"tag":"rect","attr":{"x":"21","y":"5","width":"6","height":"26"}}]}]})(props);
};
function FcInvite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#78909C","d":"M40,41H8c-2.2,0-4-1.8-4-4l0-20.9c0-1.3,0.6-2.5,1.7-3.3L24,0l18.3,12.8c1.1,0.7,1.7,2,1.7,3.3V37 C44,39.2,42.2,41,40,41z"}},{"tag":"rect","attr":{"x":"12","y":"11","fill":"#fff","width":"24","height":"22"}},{"tag":"path","attr":{"fill":"#CFD8DC","d":"M40,41H8c-2.2,0-4-1.8-4-4l0-20l20,13l20-13v20C44,39.2,42.2,41,40,41z"}},{"tag":"g","attr":{"fill":"#4CAF50"},"child":[{"tag":"rect","attr":{"x":"22","y":"14","width":"4","height":"12"}},{"tag":"rect","attr":{"x":"18","y":"18","width":"12","height":"4"}}]}]})(props);
};
function FcIpad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#E38939","d":"M8,41V7c0-2.2,1.8-4,4-4h24c2.2,0,4,1.8,4,4v34c0,2.2-1.8,4-4,4H12C9.8,45,8,43.2,8,41z"}},{"tag":"path","attr":{"fill":"#FFF3E0","d":"M36,6H12c-0.6,0-1,0.4-1,1v31c0,0.6,0.4,1,1,1h24c0.6,0,1-0.4,1-1V7C37,6.4,36.6,6,36,6z"}},{"tag":"circle","attr":{"fill":"#A6642A","cx":"24","cy":"42","r":"1.5"}}]})(props);
};
function FcIphone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#E38939","d":"M12,40V8c0-2.2,1.8-4,4-4h16c2.2,0,4,1.8,4,4v32c0,2.2-1.8,4-4,4H16C13.8,44,12,42.2,12,40z"}},{"tag":"path","attr":{"fill":"#FFF3E0","d":"M32,7H16c-0.6,0-1,0.4-1,1v29c0,0.6,0.4,1,1,1h16c0.6,0,1-0.4,1-1V8C33,7.4,32.6,7,32,7z"}},{"tag":"circle","attr":{"fill":"#A6642A","cx":"24","cy":"41","r":"1.5"}}]})(props);
};
function FcKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FFA000"},"child":[{"tag":"polygon","attr":{"points":"30,41 26,45 22,45 18,41 18,21 30,21 30,29 28,31 30,33 30,35 28,37 30,39"}},{"tag":"path","attr":{"d":"M38,7.8C37.5,6,36,4.7,34.3,4.2C31.9,3.7,28.2,3,24,3s-7.9,0.7-10.3,1.2C12,4.7,10.5,6,10,7.8 c-0.5,1.7-1,4.1-1,6.7c0,2.6,0.5,5,1,6.7c0.5,1.8,1.9,3.1,3.7,3.5C16.1,25.3,19.8,26,24,26s7.9-0.7,10.3-1.2 c1.8-0.4,3.2-1.8,3.7-3.5c0.5-1.7,1-4.1,1-6.7C39,11.9,38.5,9.5,38,7.8z M29,13H19c-1.1,0-2-0.9-2-2V9c0-0.6,3.1-1,7-1s7,0.4,7,1v2 C31,12.1,30.1,13,29,13z"}}]},{"tag":"rect","attr":{"x":"23","y":"26","fill":"#D68600","width":"2","height":"19"}}]})(props);
};
function FcKindle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#37474F","d":"M8,41V7c0-2.2,1.8-4,4-4h24c2.2,0,4,1.8,4,4v34c0,2.2-1.8,4-4,4H12C9.8,45,8,43.2,8,41z"}},{"tag":"path","attr":{"fill":"#eee","d":"M35,6H13c-0.6,0-1,0.4-1,1v29c0,0.6,0.4,1,1,1h22c0.6,0,1-0.4,1-1V7C36,6.4,35.6,6,35,6z"}},{"tag":"rect","attr":{"x":"20","y":"40","fill":"#546E7A","width":"8","height":"2"}},{"tag":"g","attr":{"fill":"#A1A1A1"},"child":[{"tag":"rect","attr":{"x":"16","y":"11","width":"16","height":"3"}},{"tag":"rect","attr":{"x":"16","y":"18","width":"16","height":"2"}},{"tag":"rect","attr":{"x":"16","y":"22","width":"12","height":"2"}},{"tag":"rect","attr":{"x":"16","y":"26","width":"16","height":"2"}},{"tag":"rect","attr":{"x":"16","y":"30","width":"12","height":"2"}}]}]})(props);
};
function FcLandscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FF9800"},"child":[{"tag":"rect","attr":{"x":"36.1","y":"8.1","transform":"matrix(.707 .707 -.707 .707 21.201 -25.184)","width":"9.9","height":"9.9"}},{"tag":"rect","attr":{"x":"36","y":"8","width":"10","height":"10"}}]},{"tag":"circle","attr":{"fill":"#FFEB3B","cx":"41","cy":"13","r":"3"}},{"tag":"polygon","attr":{"fill":"#2E7D32","points":"16.5,18 0,42 33,42"}},{"tag":"polygon","attr":{"fill":"#4CAF50","points":"33.6,24 19.2,42 48,42"}}]})(props);
};
function FcLeave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FFCDD2","d":"M5,38V14h38v24c0,2.2-1.8,4-4,4H9C6.8,42,5,40.2,5,38z"}},{"tag":"path","attr":{"fill":"#F44336","d":"M43,10v6H5v-6c0-2.2,1.8-4,4-4h30C41.2,6,43,7.8,43,10z"}},{"tag":"g","attr":{"fill":"#B71C1C"},"child":[{"tag":"circle","attr":{"cx":"33","cy":"10","r":"3"}},{"tag":"circle","attr":{"cx":"15","cy":"10","r":"3"}}]},{"tag":"g","attr":{"fill":"#BDBDBD"},"child":[{"tag":"path","attr":{"d":"M33,3c-1.1,0-2,0.9-2,2v5c0,1.1,0.9,2,2,2s2-0.9,2-2V5C35,3.9,34.1,3,33,3z"}},{"tag":"path","attr":{"d":"M15,3c-1.1,0-2,0.9-2,2v5c0,1.1,0.9,2,2,2s2-0.9,2-2V5C17,3.9,16.1,3,15,3z"}}]},{"tag":"path","attr":{"fill":"#F44336","d":"M22.2,35.3c0-0.2,0-0.5,0.1-0.7c0.1-0.2,0.2-0.4,0.4-0.5s0.3-0.3,0.5-0.3c0.2-0.1,0.5-0.1,0.7-0.1 s0.5,0,0.7,0.1c0.2,0.1,0.4,0.2,0.6,0.3s0.3,0.3,0.4,0.5c0.1,0.2,0.1,0.4,0.1,0.7c0,0.2,0,0.5-0.1,0.7c-0.1,0.2-0.2,0.4-0.4,0.5 c-0.2,0.1-0.3,0.3-0.6,0.3S24.3,37,24,37s-0.5,0-0.7-0.1c-0.2-0.1-0.4-0.2-0.5-0.3c-0.2-0.1-0.3-0.3-0.4-0.5 C22.3,35.8,22.2,35.6,22.2,35.3z M25.3,31h-2.6l-0.4-11h3.3L25.3,31z"}}]})(props);
};
function FcLeftDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#3F51B5","points":"7,41 7,23 25,41"}},{"tag":"rect","attr":{"x":"22.6","y":"5","transform":"matrix(.707 .707 -.707 .707 22.912 -12.567)","fill":"#3F51B5","width":"8","height":"32.7"}}]})(props);
};
function FcLeftDown2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#3F51B5","points":"19,44 30.7,30 7.3,30"}},{"tag":"path","attr":{"fill":"#3F51B5","d":"M27,6h13v8H27c-2.2,0-4,1.8-4,4v17h-8V18C15,11.4,20.4,6,27,6z"}}]})(props);
};
function FcLeftUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#3F51B5","points":"7,7 25,7 7,25"}},{"tag":"rect","attr":{"x":"22.6","y":"10.3","transform":"matrix(-.707 .707 -.707 -.707 64.28 26.626)","fill":"#3F51B5","width":"8","height":"32.7"}}]})(props);
};
function FcLeftUp2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#3F51B5","points":"19,4 30.7,18 7.3,18"}},{"tag":"path","attr":{"fill":"#3F51B5","d":"M27,42h13v-8H27c-2.2,0-4-1.8-4-4V13h-8v17C15,36.6,20.4,42,27,42z"}}]})(props);
};
function FcLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"polygon","attr":{"points":"4,24 18,12.3 18,35.7"}},{"tag":"rect","attr":{"x":"15","y":"20","width":"27","height":"8"}}]}]})(props);
};
function FcLibrary (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FF9800"},"child":[{"tag":"rect","attr":{"x":"1","y":"38","width":"46","height":"2"}},{"tag":"rect","attr":{"x":"25","y":"18","width":"4","height":"16"}},{"tag":"rect","attr":{"x":"31","y":"18","width":"4","height":"16"}},{"tag":"rect","attr":{"x":"37","y":"18","width":"4","height":"16"}},{"tag":"rect","attr":{"x":"19","y":"18","width":"4","height":"16"}},{"tag":"rect","attr":{"x":"13","y":"18","width":"4","height":"16"}},{"tag":"rect","attr":{"x":"7","y":"18","width":"4","height":"16"}},{"tag":"polygon","attr":{"points":"43,16 5,16 5,13 24,4 43,13"}},{"tag":"rect","attr":{"x":"5","y":"34","width":"38","height":"2"}}]},{"tag":"g","attr":{"fill":"#EF6C00"},"child":[{"tag":"rect","attr":{"x":"25","y":"16","width":"4","height":"2"}},{"tag":"rect","attr":{"x":"31","y":"16","width":"4","height":"2"}},{"tag":"rect","attr":{"x":"37","y":"16","width":"4","height":"2"}},{"tag":"rect","attr":{"x":"19","y":"16","width":"4","height":"2"}},{"tag":"rect","attr":{"x":"13","y":"16","width":"4","height":"2"}},{"tag":"rect","attr":{"x":"7","y":"16","width":"4","height":"2"}},{"tag":"rect","attr":{"x":"3","y":"36","width":"42","height":"2"}},{"tag":"circle","attr":{"cx":"24","cy":"11","r":"2"}}]}]})(props);
};
function FcLightAtTheEndOfTunnel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#3F51B5","d":"M6,10v28c0,2.2,1.8,4,4,4h28c2.2,0,4-1.8,4-4V10c0-2.2-1.8-4-4-4H10C7.8,6,6,7.8,6,10z"}},{"tag":"path","attr":{"fill":"#CCF2F6","d":"M27.9,28.9h-5.8l-8.4,7.2l6-7.2v-2.4l-3,0.8l3-1.9v-1.5c0-0.8,0.1-1.7,0.6-2.4l-7.5-8.3l8.7,7.2 c0.7-0.7,1.5-1.1,2.5-1.2l0.6-7.3l1.1,7.3c0.3,0,0.6,0.1,0.8,0.1l1.2-1.2l-0.3,1.7c0.3,0.1,0.4,0.3,0.7,0.6l4.4-2.8l-3.6,3.9 c0.3,0.4,0.6,1,0.7,1.7l2.2,0.1l-2.2,0.8c0,0.3,0,1.5,0,1.5l2.6,1.4l-2.6-0.3c0,0,0,1.8,0,2.2l6.2,7.1L27.9,28.9z"}}]})(props);
};
function FcLikePlaceholder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FFCDD2","d":"M34,9c-4.2,0-7.9,2.1-10,5.4C21.9,11.1,18.2,9,14,9C7.4,9,2,14.4,2,21c0,11.9,22,24,22,24s22-12,22-24 C46,14.4,40.6,9,34,9z"}}]})(props);
};
function FcLike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#F44336","d":"M34,9c-4.2,0-7.9,2.1-10,5.4C21.9,11.1,18.2,9,14,9C7.4,9,2,14.4,2,21c0,11.9,22,24,22,24s22-12,22-24 C46,14.4,40.6,9,34,9z"}}]})(props);
};
function FcLineChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"circle","attr":{"cx":"8","cy":"38","r":"3"}},{"tag":"circle","attr":{"cx":"16","cy":"40","r":"3"}},{"tag":"circle","attr":{"cx":"24","cy":"33","r":"3"}},{"tag":"circle","attr":{"cx":"32","cy":"35","r":"3"}},{"tag":"circle","attr":{"cx":"40","cy":"31","r":"3"}},{"tag":"polygon","attr":{"points":"39.1,29.2 31.8,32.9 23.5,30.8 15.5,37.8 8.5,36.1 7.5,39.9 16.5,42.2 24.5,35.2 32.2,37.1 40.9,32.8"}}]},{"tag":"g","attr":{"fill":"#00BCD4"},"child":[{"tag":"circle","attr":{"cx":"8","cy":"20","r":"3"}},{"tag":"circle","attr":{"cx":"16","cy":"22","r":"3"}},{"tag":"circle","attr":{"cx":"24","cy":"15","r":"3"}},{"tag":"circle","attr":{"cx":"32","cy":"20","r":"3"}},{"tag":"circle","attr":{"cx":"40","cy":"8","r":"3"}},{"tag":"path","attr":{"d":"M38.3,6.9c-2.1,3.2-5.3,8-6.9,10.4c-1.2-0.7-3.1-2-6.4-4l-1.3-0.8l-8.3,7.3l-7-1.7l-1,3.9l9,2.3l7.7-6.7 c2.6,1.6,5.8,3.6,6.5,4.1l0.5,0.5l0.9-0.1c1.1-0.1,1.1-0.1,9.5-12.9L38.3,6.9z"}}]}]})(props);
};
function FcLink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#1976D2"},"child":[{"tag":"path","attr":{"d":"M38,13h-3c-5.5,0-10,4.5-10,10s4.5,10,10,10h3c5.5,0,10-4.5,10-10S43.5,13,38,13z M38,29h-3 c-3.3,0-6-2.7-6-6s2.7-6,6-6h3c3.3,0,6,2.7,6,6S41.3,29,38,29z"}},{"tag":"path","attr":{"d":"M13,13h-3C4.5,13,0,17.5,0,23s4.5,10,10,10h3c5.5,0,10-4.5,10-10S18.5,13,13,13z M13,29h-3 c-3.3,0-6-2.7-6-6s2.7-6,6-6h3c3.3,0,6,2.7,6,6S16.3,29,13,29z"}}]},{"tag":"path","attr":{"fill":"#42A5F5","d":"M33,21H15c-1.1,0-2,0.9-2,2s0.9,2,2,2h18c1.1,0,2-0.9,2-2S34.1,21,33,21z"}}]})(props);
};
function FcLinux (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 2 48 48","enableBackground":"new 0 2 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#ECEFF1","points":"20.1,18.2 20.2,20.5 18.6,23.5 16.1,28.4 15.6,32.5 17.4,38.3 21.5,40.6 27.7,40.6 33.5,36.2 \r\n\t36.1,29.3 30.1,22 28.4,17.9 "}},{"tag":"path","attr":{"fill":"#263238","d":"M34.3,23.9c-1.6-2.3-2.9-3.7-3.6-6.6c-0.7-2.9,0.2-2.1-0.4-4.6c-0.3-1.3-0.8-2.2-1.3-2.9\r\n\tc-0.6-0.7-1.3-1.1-1.7-1.2c-0.9-0.5-3-1.3-5.6,0.1c-2.7,1.4-2.4,4.4-1.9,10.5c0,0.4-0.1,0.9-0.3,1.3c-0.4,0.9-1.1,1.7-1.7,2.4\r\n\tc-0.7,1-1.4,2-1.9,3.1c-1.2,2.3-2.3,5.2-2,6.3c0.5-0.1,6.8,9.5,6.8,9.7c0.4-0.1,2.1-0.1,3.6-0.1c2.1-0.1,3.3-0.2,5,0.2\r\n\tc0-0.3-0.1-0.6-0.1-0.9c0-0.6,0.1-1.1,0.2-1.8c0.1-0.5,0.2-1,0.3-1.6c-1,0.9-2.8,1.9-4.5,2.2c-1.5,0.3-4-0.2-5.2-1.7\r\n\tc0.1,0,0.3,0,0.4-0.1c0.3-0.1,0.6-0.2,0.7-0.4c0.3-0.5,0.1-1-0.1-1.3c-0.2-0.3-1.7-1.4-2.4-2c-0.7-0.6-1.1-0.9-1.5-1.3\r\n\tc0,0-0.6-0.6-0.8-0.8c-0.2-0.2-0.3-0.4-0.4-0.5c-0.2-0.5-0.3-1.1-0.2-1.9c0.1-1.1,0.5-2,1-3c0.2-0.4,0.7-1.2,0.7-1.2\r\n\ts-1.7,4.2-0.8,5.5c0,0,0.1-1.3,0.5-2.6c0.3-0.9,0.8-2.2,1.4-2.9s2.1-3.3,2.2-4.9c0-0.7,0.1-1.4,0.1-1.9c-0.4-0.4,6.6-1.4,7-0.3\r\n\tc0.1,0.4,1.5,4,2.3,5.9c0.4,0.9,0.9,1.7,1.2,2.7c0.3,1.1,0.5,2.6,0.5,4.1c0,0.3,0,0.8-0.1,1.3c0.2,0,4.1-4.2-0.5-7.7\r\n\tc0,0,2.8,1.3,2.9,3.9c0.1,2.1-0.8,3.8-1,4.1c0.1,0,2.1,0.9,2.2,0.9c0.4,0,1.2-0.3,1.2-0.3c0.1-0.3,0.4-1.1,0.4-1.4\r\n\tC37.6,29.9,35.9,26.2,34.3,23.9z"}},{"tag":"g","attr":{},"child":[{"tag":"ellipse","attr":{"fill":"#ECEFF1","cx":"21.6","cy":"15.3","rx":"1.3","ry":"2"}},{"tag":"ellipse","attr":{"fill":"#ECEFF1","cx":"26.1","cy":"15.2","rx":"1.7","ry":"2.3"}}]},{"tag":"g","attr":{},"child":[{"tag":"ellipse","attr":{"transform":"matrix(-0.1254 -0.9921 0.9921 -0.1254 8.9754 38.9969)","fill":"#212121","cx":"21.7","cy":"15.5","rx":"1.2","ry":"0.7"}},{"tag":"ellipse","attr":{"fill":"#212121","cx":"26","cy":"15.6","rx":"1","ry":"1.3"}}]},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"fill":"#FFC107","d":"M39.3,37.6c-0.4-0.2-1.1-0.5-1.7-1.4c-0.3-0.5-0.2-1.9-0.7-2.5c-0.3-0.4-0.7-0.2-0.8-0.2\r\n\t\tc-0.9,0.2-3,1.6-4.4,0c-0.2-0.2-0.5-0.5-1-0.5c-0.5,0-0.7,0.2-0.9,0.6s-0.2,0.7-0.2,1.7c0,0.8,0,1.7-0.1,2.4\r\n\t\tc-0.2,1.7-0.5,2.7-0.5,3.7c0,1.1,0.3,1.8,0.7,2.1c0.3,0.3,0.8,0.5,1.9,0.5c1.1,0,1.8-0.4,2.5-1.1c0.5-0.5,0.9-0.7,2.3-1.7\r\n\t\tc1.1-0.7,2.8-1.6,3.1-1.9c0.2-0.2,0.5-0.3,0.5-0.9C40,37.9,39.6,37.7,39.3,37.6z"}},{"tag":"path","attr":{"fill":"#FFC107","d":"M19.2,37.9c-1-1.6-1.1-1.9-1.8-2.9c-0.6-1-1.9-2.9-2.7-2.9c-0.6,0-0.9,0.3-1.3,0.7\r\n\t\tc-0.4,0.4-0.8,1.3-1.5,1.8c-0.6,0.5-2.3,0.4-2.7,1c-0.4,0.6,0.4,1.5,0.4,3c0,0.6-0.5,1-0.6,1.4c-0.1,0.5-0.2,0.8,0,1.2\r\n\t\tc0.4,0.6,0.9,0.8,4.3,1.5c1.8,0.4,3.5,1.4,4.6,1.5c1.1,0.1,3,0,3-2.7C21,39.9,20.1,39.5,19.2,37.9z"}},{"tag":"path","attr":{"fill":"#FFC107","d":"M21.1,19.8C20.5,19.4,20,19,20,18.4c0-0.6,0.4-0.8,1-1.3c0.1-0.1,1.2-1.1,2.3-1.1s2.4,0.7,2.9,0.9\r\n\t\tc0.9,0.2,1.8,0.4,1.7,1.1c-0.1,1-0.2,1.2-1.2,1.7c-0.7,0.2-2,1.3-2.9,1.3c-0.4,0-1,0-1.4-0.1C22.1,20.8,21.6,20.3,21.1,19.8z"}}]},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"fill":"#634703","d":"M20.9,19c0.2,0.2,0.5,0.4,0.8,0.5c0.2,0.1,0.5,0.2,0.5,0.2c0.4,0,0.7,0,0.9,0c0.5,0,1.2-0.2,1.9-0.6\r\n\t\tc0.7-0.3,0.8-0.5,1.3-0.7c0.5-0.3,1-0.6,0.8-0.7c-0.2-0.1-0.4,0-1.1,0.4c-0.6,0.4-1.1,0.6-1.7,0.9c-0.3,0.1-0.7,0.3-1,0.3\r\n\t\tc-0.3,0-0.6,0-0.9,0c-0.3,0-0.5-0.1-0.8-0.2c-0.2-0.1-0.3-0.2-0.4-0.2c-0.2-0.1-0.6-0.5-0.8-0.6c0,0-0.2,0-0.1,0.1\r\n\t\tC20.6,18.7,20.7,18.8,20.9,19z"}},{"tag":"path","attr":{"fill":"#634703","d":"M23.9,16.8c0.1,0.2,0.3,0.2,0.4,0.3c0.1,0.1,0.2,0.1,0.2,0.1c0.1-0.1,0-0.3-0.1-0.3\r\n\t\tC24.4,16.7,23.9,16.7,23.9,16.8z"}},{"tag":"path","attr":{"fill":"#634703","d":"M22.3,17c0,0.1,0.2,0.2,0.2,0.1c0.1-0.1,0.2-0.2,0.3-0.2c0.2-0.1,0.1-0.2-0.2-0.2\r\n\t\tC22.4,16.8,22.4,16.9,22.3,17z"}}]},{"tag":"path","attr":{"fill":"#455A64","d":"M32,34.7c0,0.1,0,0.2,0,0.3c0.2,0.4,0.7,0.5,1.1,0.5c0.6,0,1.2-0.4,1.5-0.8c0-0.1,0.1-0.2,0.2-0.3\r\n\tc0.2-0.3,0.3-0.5,0.4-0.6c0,0-0.1-0.1-0.1-0.2c-0.1-0.2-0.4-0.4-0.8-0.5c-0.3-0.1-0.8-0.2-1-0.2c-0.9-0.1-1.4,0.2-1.7,0.5\r\n\tc0,0,0.1,0,0.1,0.1c0.2,0.2,0.3,0.4,0.3,0.7C32.1,34.4,32,34.5,32,34.7z"}}]})(props);
};
function FcList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#2196F3"},"child":[{"tag":"rect","attr":{"x":"6","y":"22","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"6","y":"14","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"6","y":"30","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"6","y":"6","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"6","y":"38","width":"4","height":"4"}}]},{"tag":"g","attr":{"fill":"#2196F3"},"child":[{"tag":"rect","attr":{"x":"14","y":"22","width":"28","height":"4"}},{"tag":"rect","attr":{"x":"14","y":"14","width":"28","height":"4"}},{"tag":"rect","attr":{"x":"14","y":"30","width":"28","height":"4"}},{"tag":"rect","attr":{"x":"14","y":"6","width":"28","height":"4"}},{"tag":"rect","attr":{"x":"14","y":"38","width":"28","height":"4"}}]}]})(props);
};
function FcLockLandscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#37474F","d":"M7,10h34c2.2,0,4,1.8,4,4v20c0,2.2-1.8,4-4,4H7c-2.2,0-4-1.8-4-4V14C3,11.8,4.8,10,7,10z"}},{"tag":"path","attr":{"fill":"#BBDEFB","d":"M42,34V14c0-0.6-0.4-1-1-1H7c-0.6,0-1,0.4-1,1v20c0,0.6,0.4,1,1,1h34C41.6,35,42,34.6,42,34z"}},{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"path","attr":{"d":"M29,31H19c-0.6,0-1-0.4-1-1v-6c0-0.6,0.4-1,1-1h10c0.6,0,1,0.4,1,1v6C30,30.6,29.6,31,29,31z"}},{"tag":"path","attr":{"d":"M24,17c-2.2,0-4,1.8-4,4v3h2v-3c0-1.1,0.9-2,2-2s2,0.9,2,2v3h2v-3C28,18.8,26.2,17,24,17z"}}]}]})(props);
};
function FcLockPortrait (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#37474F","d":"M10,41V7c0-2.2,1.8-4,4-4h20c2.2,0,4,1.8,4,4v34c0,2.2-1.8,4-4,4H14C11.8,45,10,43.2,10,41z"}},{"tag":"path","attr":{"fill":"#BBDEFB","d":"M34,6H14c-0.6,0-1,0.4-1,1v34c0,0.6,0.4,1,1,1h20c0.6,0,1-0.4,1-1V7C35,6.4,34.6,6,34,6z"}},{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"path","attr":{"d":"M29,30H19c-0.6,0-1-0.4-1-1v-6c0-0.6,0.4-1,1-1h10c0.6,0,1,0.4,1,1v6C30,29.6,29.6,30,29,30z"}},{"tag":"path","attr":{"d":"M24,16c-2.2,0-4,1.8-4,4v3h2v-3c0-1.1,0.9-2,2-2s2,0.9,2,2v3h2v-3C28,17.8,26.2,16,24,16z"}}]}]})(props);
};
function FcLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#424242","d":"M24,4c-5.5,0-10,4.5-10,10v4h4v-4c0-3.3,2.7-6,6-6s6,2.7,6,6v4h4v-4C34,8.5,29.5,4,24,4z"}},{"tag":"path","attr":{"fill":"#FB8C00","d":"M36,44H12c-2.2,0-4-1.8-4-4V22c0-2.2,1.8-4,4-4h24c2.2,0,4,1.8,4,4v18C40,42.2,38.2,44,36,44z"}},{"tag":"circle","attr":{"fill":"#C76E00","cx":"24","cy":"31","r":"3"}}]})(props);
};
function FcLowBattery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#CFD8DC"},"child":[{"tag":"path","attr":{"d":"M34,44H14c-1.1,0-2-0.9-2-2V8c0-1.1,0.9-2,2-2h20c1.1,0,2,0.9,2,2v34C36,43.1,35.1,44,34,44z"}},{"tag":"path","attr":{"d":"M28,13h-8c-0.6,0-1-0.4-1-1V5c0-0.6,0.4-1,1-1h8c0.6,0,1,0.4,1,1v7C29,12.6,28.6,13,28,13z"}}]},{"tag":"path","attr":{"fill":"#8BC34A","d":"M34,44H14c-1.1,0-2-0.9-2-2v-9h24v9C36,43.1,35.1,44,34,44z"}}]})(props);
};
function FcLowPriority (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#4CAF50","d":"M21.2,44.8l-18-18c-1.6-1.6-1.6-4.1,0-5.7l18-18c1.6-1.6,4.1-1.6,5.7,0l18,18c1.6,1.6,1.6,4.1,0,5.7l-18,18 C25.3,46.4,22.7,46.4,21.2,44.8z"}},{"tag":"g","attr":{"fill":"#FFEB3B"},"child":[{"tag":"polygon","attr":{"points":"24,33.4 17,25 31,25"}},{"tag":"rect","attr":{"x":"22","y":"14.8","width":"4","height":"12.3"}}]}]})(props);
};
function FcMakeDecision (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FFCC80"},"child":[{"tag":"circle","attr":{"cx":"38","cy":"26","r":"4"}},{"tag":"circle","attr":{"cx":"10","cy":"26","r":"4"}},{"tag":"path","attr":{"d":"M39,19c0-12.7-30-8.3-30,0c0,1.8,0,8.2,0,10c0,8.3,6.7,15,15,15s15-6.7,15-15C39,27.2,39,20.8,39,19z"}},{"tag":"path","attr":{"d":"M24,4C15.2,4,8,11.2,8,20c0,1.2,0,3.5,0,3.5l2.1,0.6V19l19.5-6.3l8.2,6.3v5.1l2.1-0.6c0,0,0-2.3,0-3.5 C40,12.5,34.6,4,24,4z"}}]},{"tag":"polygon","attr":{"fill":"#FF5722","points":"24,23.5 24,12.5 30.6,18"}},{"tag":"path","attr":{"fill":"#FF5722","d":"M28.9,24.4c0,0.2,0.1,0.4,0.1,0.6c0,2.8-2.2,5-5,5s-5-2.2-5-5s2.2-5,5-5c0.7,0,1.4,0.2,2,0.4v-4.2 c-0.6-0.1-1.3-0.2-2-0.2c-5,0-9,4-9,9s4,9,9,9s9-4,9-9c0-1.2-0.2-2.4-0.7-3.4L28.9,24.4z"}}]})(props);
};
function FcManager (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#FF9800","points":"24,37 19,31 19,25 29,25 29,31"}},{"tag":"g","attr":{"fill":"#FFA726"},"child":[{"tag":"circle","attr":{"cx":"33","cy":"19","r":"2"}},{"tag":"circle","attr":{"cx":"15","cy":"19","r":"2"}}]},{"tag":"path","attr":{"fill":"#FFB74D","d":"M33,13c0-7.6-18-5-18,0c0,1.1,0,5.9,0,7c0,5,4,9,9,9s9-4,9-9C33,18.9,33,14.1,33,13z"}},{"tag":"path","attr":{"fill":"#FF5722","d":"M24,4c-6.1,0-10,4.9-10,11c0,0.8,0,2.3,0,2.3l2,1.7v-5l12-4l4,4v5l2-1.7c0,0,0-1.5,0-2.3c0-4-1-8-6-9l-1-2 H24z"}},{"tag":"g","attr":{"fill":"#784719"},"child":[{"tag":"circle","attr":{"cx":"28","cy":"19","r":"1"}},{"tag":"circle","attr":{"cx":"20","cy":"19","r":"1"}}]},{"tag":"path","attr":{"fill":"#CFD8DC","d":"M29,31L29,31l-5,1l-5-1c0,0-11,2-11,13h32C40,33,29,31,29,31z"}},{"tag":"polygon","attr":{"fill":"#3F51B5","points":"23,35 22,44 26,44 25,35 26,34 24,32 22,34"}}]})(props);
};
function FcMediumPriority (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FFC107","d":"M21.2,44.8l-18-18c-1.6-1.6-1.6-4.1,0-5.7l18-18c1.6-1.6,4.1-1.6,5.7,0l18,18c1.6,1.6,1.6,4.1,0,5.7l-18,18 C25.3,46.4,22.7,46.4,21.2,44.8z"}},{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"circle","attr":{"cx":"24","cy":"24","r":"2"}},{"tag":"circle","attr":{"cx":"32","cy":"24","r":"2"}},{"tag":"circle","attr":{"cx":"16","cy":"24","r":"2"}}]}]})(props);
};
function FcMenu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#607D8B"},"child":[{"tag":"rect","attr":{"x":"6","y":"22","width":"36","height":"4"}},{"tag":"rect","attr":{"x":"6","y":"10","width":"36","height":"4"}},{"tag":"rect","attr":{"x":"6","y":"34","width":"36","height":"4"}}]}]})(props);
};
function FcMiddleBattery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#CFD8DC"},"child":[{"tag":"path","attr":{"d":"M34,44H14c-1.1,0-2-0.9-2-2V8c0-1.1,0.9-2,2-2h20c1.1,0,2,0.9,2,2v34C36,43.1,35.1,44,34,44z"}},{"tag":"path","attr":{"d":"M28,13h-8c-0.6,0-1-0.4-1-1V5c0-0.6,0.4-1,1-1h8c0.6,0,1,0.4,1,1v7C29,12.6,28.6,13,28,13z"}}]},{"tag":"path","attr":{"fill":"#8BC34A","d":"M34,44H14c-1.1,0-2-0.9-2-2V23h24v19C36,43.1,35.1,44,34,44z"}}]})(props);
};
function FcMindMap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#CFD8DC","points":"39.4,23 38.6,19 26,21.6 26,8 22,8 22,20.3 8.1,11.3 5.9,14.7 21.1,24.5 9.4,39.8 12.6,42.2 23.9,27.4 32.3,40.1 35.7,37.9 27.3,25.4"}},{"tag":"circle","attr":{"fill":"#3F51B5","cx":"24","cy":"24","r":"7"}},{"tag":"g","attr":{"fill":"#00BCD4"},"child":[{"tag":"circle","attr":{"cx":"24","cy":"8","r":"5"}},{"tag":"circle","attr":{"cx":"39","cy":"21","r":"5"}},{"tag":"circle","attr":{"cx":"7","cy":"13","r":"5"}},{"tag":"circle","attr":{"cx":"11","cy":"41","r":"5"}},{"tag":"circle","attr":{"cx":"34","cy":"39","r":"5"}}]}]})(props);
};
function FcMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"8","y":"21","fill":"#5C6BC0","width":"32","height":"6"}}]})(props);
};
function FcMissedCall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#F44336"},"child":[{"tag":"polygon","attr":{"points":"30.3,12.9 24,19.2 15.7,10.9 12.9,13.7 24,24.8 33.1,15.7"}},{"tag":"polygon","attr":{"points":"36,19 27,10 36,10"}}]},{"tag":"path","attr":{"fill":"#009688","d":"M44.5,30.8l-2.4-2.4c-8.5-8.3-28.9-7.1-36.2,0l-2.4,2.4c-0.7,0.7-0.7,1.7,0,2.4l4.8,4.7 c0.7,0.7,1.7,0.7,2.4,0l5.3-5.1l-0.4-5.6c1.7-1.7,15.1-1.7,16.8,0L32.1,33l5.1,4.9c0.7,0.7,1.7,0.7,2.4,0l4.8-4.7 C45.2,32.5,45.2,31.4,44.5,30.8z"}}]})(props);
};
function FcMms (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#E91E63","d":"M37,39H11l-6,6V11c0-3.3,2.7-6,6-6h26c3.3,0,6,2.7,6,6v22C43,36.3,40.3,39,37,39z"}},{"tag":"polygon","attr":{"fill":"#F48FB1","points":"20,16.5 10,31 30,31"}},{"tag":"g","attr":{"fill":"#F8BBD0"},"child":[{"tag":"circle","attr":{"cx":"34","cy":"15","r":"3"}},{"tag":"polygon","attr":{"points":"30,21 22,31 38,31"}}]}]})(props);
};
function FcMoneyTransfer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#78909C","d":"M40,41H8c-2.2,0-4-1.8-4-4l0-20.9c0-1.3,0.6-2.5,1.7-3.3L24,0l18.3,12.8c1.1,0.7,1.7,2,1.7,3.3V37 C44,39.2,42.2,41,40,41z"}},{"tag":"rect","attr":{"x":"14","y":"1","fill":"#AED581","width":"20","height":"31"}},{"tag":"g","attr":{"fill":"#558B2F"},"child":[{"tag":"path","attr":{"d":"M13,0v33h22V0H13z M33,31H15V2h18V31z"}},{"tag":"path","attr":{"d":"M34,3c0,1.7-0.3,3-2,3c-1.7,0-3-1.3-3-3s1.3-2,3-2C33.7,1,34,1.3,34,3z"}},{"tag":"path","attr":{"d":"M16,1c1.7,0,3,0.3,3,2s-1.3,3-3,3s-2-1.3-2-3S14.3,1,16,1z"}},{"tag":"circle","attr":{"cx":"24","cy":"8","r":"2"}},{"tag":"circle","attr":{"cx":"24","cy":"20","r":"6"}}]},{"tag":"path","attr":{"fill":"#CFD8DC","d":"M40,41H8c-2.2,0-4-1.8-4-4l0-20l20,13l20-13v20C44,39.2,42.2,41,40,41z"}}]})(props);
};
function FcMultipleCameras (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#455A64","d":"M42,41H12c-2.2,0-4-1.8-4-4V17c0-2.2,1.8-4,4-4h30c2.2,0,4,1.8,4,4v20C46,39.2,44.2,41,42,41z"}},{"tag":"path","attr":{"fill":"#78909C","d":"M36,36H6c-2.2,0-4-1.8-4-4V12c0-2.2,1.8-4,4-4h30c2.2,0,4,1.8,4,4v20C40,34.2,38.2,36,36,36z"}},{"tag":"circle","attr":{"fill":"#455A64","cx":"26","cy":"22","r":"10"}},{"tag":"circle","attr":{"fill":"#42A5F5","cx":"26","cy":"22","r":"7"}},{"tag":"path","attr":{"fill":"#90CAF9","d":"M29.7,19.7c-1-1.1-2.3-1.7-3.7-1.7s-2.8,0.6-3.7,1.7c-0.4,0.4-0.3,1,0.1,1.4c0.4,0.4,1,0.3,1.4-0.1 c1.2-1.3,3.3-1.3,4.5,0c0.2,0.2,0.5,0.3,0.7,0.3c0.2,0,0.5-0.1,0.7-0.3C30.1,20.7,30.1,20.1,29.7,19.7z"}},{"tag":"rect","attr":{"x":"6","y":"12","fill":"#ADD8FB","width":"6","height":"3"}}]})(props);
};
function FcMultipleDevices (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#546E7A","d":"M4,28V8c0-2.2,1.8-4,4-4h28c2.2,0,4,1.8,4,4v20c0,2.2-1.8,4-4,4H8C5.8,32,4,30.2,4,28z"}},{"tag":"path","attr":{"fill":"#BBDEFB","d":"M36,7H8C7.4,7,7,7.4,7,8v20c0,0.6,0.4,1,1,1h28c0.6,0,1-0.4,1-1V8C37,7.4,36.6,7,36,7z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M38,33H6c-2.2,0-4-1.8-4-4v0h40v0C42,31.2,40.2,33,38,33z"}},{"tag":"path","attr":{"fill":"#E38939","d":"M24,40V16c0-2.2,1.8-4,4-4h12c2.2,0,4,1.8,4,4v24c0,2.2-1.8,4-4,4H28C25.8,44,24,42.2,24,40z"}},{"tag":"path","attr":{"fill":"#FFF3E0","d":"M40,15H28c-0.6,0-1,0.4-1,1v22c0,0.6,0.4,1,1,1h12c0.6,0,1-0.4,1-1V16C41,15.4,40.6,15,40,15z"}},{"tag":"circle","attr":{"fill":"#A6642A","cx":"34","cy":"41.5","r":"1.5"}}]})(props);
};
function FcMultipleInputs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#90A4AE","d":"M40,35v5H8v-5H4v5c0,2.2,1.8,4,4,4h32c2.2,0,4-1.8,4-4v-5H40z"}},{"tag":"g","attr":{"fill":"#1565C0"},"child":[{"tag":"polygon","attr":{"points":"24,23.4 17,15 31,15"}},{"tag":"rect","attr":{"x":"22","y":"4","width":"4","height":"14"}},{"tag":"path","attr":{"d":"M31.5,26.9L30.8,28l3.5,1.9l0.6-1.2c1.6-3,2.6-4.7,3.5-5.2C39.3,23,41,23,44,23v-4 C36.3,19,35.6,19.4,31.5,26.9z"}},{"tag":"polygon","attr":{"points":"38.4,31 29.4,35 28,25"}},{"tag":"path","attr":{"d":"M16.5,26.9l0.6,1.2L13.6,30L13,28.8c-1.6-3-2.6-4.7-3.5-5.2C8.7,23,7,23,4,23v-4 C11.7,19,12.4,19.4,16.5,26.9z"}},{"tag":"polygon","attr":{"points":"20,25 18.6,35 9.6,31"}}]}]})(props);
};
function FcMultipleSmartphones (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#455A64","d":"M4,31V8c0-2.2,1.8-4,4-4h12c2.2,0,4,1.8,4,4v23c0,2.2-1.8,4-4,4H8C5.8,35,4,33.2,4,31z"}},{"tag":"path","attr":{"fill":"#BBDEFB","d":"M20,7H8C7.4,7,7,7.4,7,8v21c0,0.6,0.4,1,1,1h12c0.6,0,1-0.4,1-1V8C21,7.4,20.6,7,20,7z"}},{"tag":"circle","attr":{"fill":"#37474F","cx":"14","cy":"32.5","r":"1.5"}},{"tag":"path","attr":{"fill":"#546E7A","d":"M14,36V13c0-2.2,1.8-4,4-4h12c2.2,0,4,1.8,4,4v23c0,2.2-1.8,4-4,4H18C15.8,40,14,38.2,14,36z"}},{"tag":"path","attr":{"fill":"#BBDEFB","d":"M30,12H18c-0.6,0-1,0.4-1,1v21c0,0.6,0.4,1,1,1h12c0.6,0,1-0.4,1-1V13C31,12.4,30.6,12,30,12z"}},{"tag":"circle","attr":{"fill":"#37474F","cx":"24","cy":"37.5","r":"1.5"}},{"tag":"path","attr":{"fill":"#E38939","d":"M24,40V18c0-2.2,1.8-4,4-4h12c2.2,0,4,1.8,4,4v22c0,2.2-1.8,4-4,4H28C25.8,44,24,42.2,24,40z"}},{"tag":"path","attr":{"fill":"#FFF3E0","d":"M40,17H28c-0.6,0-1,0.4-1,1v20c0,0.6,0.4,1,1,1h12c0.6,0,1-0.4,1-1V18C41,17.4,40.6,17,40,17z"}},{"tag":"circle","attr":{"fill":"#A6642A","cx":"34","cy":"41.5","r":"1.5"}}]})(props);
};
function FcMusic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#E91E63"},"child":[{"tag":"circle","attr":{"cx":"19","cy":"33","r":"9"}},{"tag":"polygon","attr":{"points":"24,6 24,33 28,33 28,14 39,17 39,10"}}]}]})(props);
};
function FcNegativeDynamic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#00BCD4"},"child":[{"tag":"rect","attr":{"x":"19","y":"22","width":"10","height":"20"}},{"tag":"rect","attr":{"x":"6","y":"8","width":"10","height":"34"}},{"tag":"rect","attr":{"x":"32","y":"30","width":"10","height":"12"}}]},{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"polygon","attr":{"points":"42,12 32,22 42,22"}},{"tag":"rect","attr":{"x":"32","y":"6.9","transform":"matrix(.707 -.707 .707 .707 .059 28.142)","width":"4","height":"14.1"}}]}]})(props);
};
function FcNeutralDecision (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FFCC80"},"child":[{"tag":"circle","attr":{"cx":"38","cy":"26","r":"4"}},{"tag":"circle","attr":{"cx":"10","cy":"26","r":"4"}},{"tag":"path","attr":{"d":"M39,19c0-12.7-30-8.3-30,0c0,1.8,0,8.2,0,10c0,8.3,6.7,15,15,15s15-6.7,15-15C39,27.2,39,20.8,39,19z"}},{"tag":"path","attr":{"d":"M24,4C15.2,4,8,11.2,8,20c0,1.2,0,3.5,0,3.5l2.1,0.6V19l19.5-6.3l8.2,6.3v5.1l2.1-0.6c0,0,0-2.3,0-3.5 C40,12.5,34.6,4,24,4z"}}]},{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"circle","attr":{"cx":"24","cy":"25","r":"2"}},{"tag":"circle","attr":{"cx":"32","cy":"25","r":"2"}},{"tag":"circle","attr":{"cx":"16","cy":"25","r":"2"}}]}]})(props);
};
function FcNeutralTrading (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#1565C0"},"child":[{"tag":"polygon","attr":{"points":"43.4,13 35,20 35,6"}},{"tag":"rect","attr":{"x":"4","y":"11","width":"34","height":"4"}}]},{"tag":"g","attr":{"fill":"#2196F3"},"child":[{"tag":"rect","attr":{"x":"40","y":"23","width":"4","height":"19"}},{"tag":"rect","attr":{"x":"34","y":"23","width":"4","height":"19"}},{"tag":"rect","attr":{"x":"28","y":"23","width":"4","height":"19"}},{"tag":"rect","attr":{"x":"22","y":"23","width":"4","height":"19"}},{"tag":"rect","attr":{"x":"16","y":"23","width":"4","height":"19"}},{"tag":"rect","attr":{"x":"10","y":"23","width":"4","height":"19"}},{"tag":"rect","attr":{"x":"4","y":"23","width":"4","height":"19"}}]}]})(props);
};
function FcNews (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FF5722","d":"M32,15v28H10c-2.2,0-4-1.8-4-4V15H32z"}},{"tag":"path","attr":{"fill":"#FFCCBC","d":"M14,5v34c0,2.2-1.8,4-4,4h29c2.2,0,4-1.8,4-4V5H14z"}},{"tag":"g","attr":{"fill":"#FF5722"},"child":[{"tag":"rect","attr":{"x":"20","y":"10","width":"18","height":"4"}},{"tag":"rect","attr":{"x":"20","y":"17","width":"8","height":"2"}},{"tag":"rect","attr":{"x":"30","y":"17","width":"8","height":"2"}},{"tag":"rect","attr":{"x":"20","y":"21","width":"8","height":"2"}},{"tag":"rect","attr":{"x":"30","y":"21","width":"8","height":"2"}},{"tag":"rect","attr":{"x":"20","y":"25","width":"8","height":"2"}},{"tag":"rect","attr":{"x":"30","y":"25","width":"8","height":"2"}},{"tag":"rect","attr":{"x":"20","y":"29","width":"8","height":"2"}},{"tag":"rect","attr":{"x":"30","y":"29","width":"8","height":"2"}},{"tag":"rect","attr":{"x":"20","y":"33","width":"8","height":"2"}},{"tag":"rect","attr":{"x":"30","y":"33","width":"8","height":"2"}},{"tag":"rect","attr":{"x":"20","y":"37","width":"8","height":"2"}},{"tag":"rect","attr":{"x":"30","y":"37","width":"8","height":"2"}}]}]})(props);
};
function FcNext (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#2196F3","points":"17.1,5 14,8.1 29.9,24 14,39.9 17.1,43 36,24"}}]})(props);
};
function FcNfcSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#2196F3","d":"M37,42c-0.3,0-0.7-0.1-1-0.3c-1-0.5-1.3-1.8-0.8-2.7c0-0.1,3.7-6.8,3.7-15S35.3,9,35.3,9\r\n\tc-0.5-1-0.2-2.2,0.8-2.7c1-0.5,2.2-0.2,2.7,0.8c0.2,0.3,4.3,7.6,4.3,17s-4.1,16.7-4.3,17C38.4,41.6,37.7,42,37,42z M32.8,35.8\r\n\tc0.1-0.2,2.2-5,2.2-11.8c0-6.8-2.1-11.6-2.2-11.8c-0.4-1-1.6-1.5-2.6-1c-1,0.4-1.5,1.6-1,2.6c0,0,1.8,4.3,1.8,10.2\r\n\tc0,5.9-1.8,10.2-1.8,10.2c-0.4,1,0,2.2,1,2.6c0.3,0.1,0.5,0.2,0.8,0.2C31.8,37,32.5,36.6,32.8,35.8z M23.3,33c0.6-0.1,1.1-0.5,1.4-1\r\n\tc0.1-0.2,2.3-3.9,2.3-8c0-4.1-2.2-7.9-2.3-8c-0.6-1-1.8-1.3-2.7-0.7c-1,0.6-1.3,1.8-0.7,2.7c0,0,1.7,3,1.7,6c0,1.3-0.3,2.7-0.7,3.7\r\n\tl-13-11.2c-0.5-0.4-1.2-0.6-1.8-0.4c-0.6,0.2-1.2,0.6-1.4,1.3C6.1,17.5,5,20.5,5,24c0,3.5,1.1,6.5,1.1,6.7c0.4,1,1.5,1.6,2.6,1.2\r\n\tc1-0.4,1.6-1.5,1.2-2.6c0,0-0.9-2.6-0.9-5.3c0-0.8,0.1-1.6,0.2-2.3l12.5,10.8c0.4,0.3,0.8,0.5,1.3,0.5C23.1,33,23.2,33,23.3,33z"}}]})(props);
};
function FcNightLandscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#673AB7","points":"16.5,18 0,42 33,42"}},{"tag":"polygon","attr":{"fill":"#9575CD","points":"33.6,24 19.2,42 48,42"}},{"tag":"path","attr":{"fill":"#40C4FF","d":"M42.9,6.3C43.6,7.4,44,8.6,44,10c0,3.9-3.1,7-7,7c-0.7,0-1.3-0.1-1.9-0.3c1.2,2,3.4,3.3,5.9,3.3 c3.9,0,7-3.1,7-7C48,9.8,45.9,7.1,42.9,6.3z"}}]})(props);
};
function FcNightPortrait (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#40C4FF","d":"M42.9,6.3C43.6,7.4,44,8.6,44,10c0,3.9-3.1,7-7,7c-0.7,0-1.3-0.1-1.9-0.3c1.2,2,3.4,3.3,5.9,3.3 c3.9,0,7-3.1,7-7C48,9.8,45.9,7.1,42.9,6.3z"}},{"tag":"g","attr":{"fill":"#B39DDB"},"child":[{"tag":"circle","attr":{"cx":"31","cy":"19","r":"2"}},{"tag":"circle","attr":{"cx":"13","cy":"19","r":"2"}},{"tag":"polygon","attr":{"points":"22,37 17,31 17,25 27,25 27,31"}}]},{"tag":"path","attr":{"fill":"#D1C4E9","d":"M31,13c0-7.6-18-5-18,0c0,1.1,0,5.9,0,7c0,5,4,9,9,9s9-4,9-9C31,18.9,31,14.1,31,13z"}},{"tag":"g","attr":{"fill":"#673AB7"},"child":[{"tag":"circle","attr":{"cx":"26","cy":"19","r":"1"}},{"tag":"circle","attr":{"cx":"18","cy":"19","r":"1"}},{"tag":"path","attr":{"d":"M22,4c-6.1,0-10,4.9-10,11c0,0.8,0,2.3,0,2.3l2,1.7v-5l12-4l4,4v5l2-1.7c0,0,0-1.5,0-2.3c0-4-1-8-6-9l-1-2 H22z"}},{"tag":"path","attr":{"d":"M27,31L27,31c0,0-2,1-5,1s-5-1-5-1S6,33,6,44h32C38,33,27,31,27,31z"}}]}]})(props);
};
function FcNoIdea (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FBC02D","d":"M37,22c0-7.7-6.6-13.8-14.5-12.9c-6,0.7-10.8,5.5-11.4,11.5c-0.5,4.6,1.4,8.7,4.6,11.3 c1.4,1.2,2.3,2.9,2.3,4.8V37h12v-0.1c0-1.8,0.8-3.6,2.2-4.8C35.1,29.7,37,26.1,37,22z"}},{"tag":"path","attr":{"fill":"#FFF59D","d":"M30.6,20.2l-3-2c-0.3-0.2-0.8-0.2-1.1,0L24,19.8l-2.4-1.6c-0.3-0.2-0.8-0.2-1.1,0l-3,2 c-0.2,0.2-0.4,0.4-0.4,0.7s0,0.6,0.2,0.8l3.8,4.7V37h2V26c0-0.2-0.1-0.4-0.2-0.6l-3.3-4.1l1.5-1l2.4,1.6c0.3,0.2,0.8,0.2,1.1,0 l2.4-1.6l1.5,1l-3.3,4.1C25.1,25.6,25,25.8,25,26v11h2V26.4l3.8-4.7c0.2-0.2,0.3-0.5,0.2-0.8S30.8,20.3,30.6,20.2z"}},{"tag":"circle","attr":{"fill":"#5C6BC0","cx":"24","cy":"44","r":"3"}},{"tag":"path","attr":{"fill":"#9FA8DA","d":"M26,45h-4c-2.2,0-4-1.8-4-4v-5h12v5C30,43.2,28.2,45,26,45z"}},{"tag":"g","attr":{"fill":"#5C6BC0"},"child":[{"tag":"path","attr":{"d":"M30,41l-11.6,1.6c0.3,0.7,0.9,1.4,1.6,1.8l9.4-1.3C29.8,42.5,30,41.8,30,41z"}},{"tag":"polygon","attr":{"points":"18,38.7 18,40.7 30,39 30,37"}}]},{"tag":"rect","attr":{"x":"22","y":"-2.9","transform":"matrix(.707 -.707 .707 .707 -9.941 24)","fill":"#37474F","width":"4","height":"53.7"}}]})(props);
};
function FcNoVideo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#4CAF50","d":"M8,12h22c2.2,0,4,1.8,4,4v16c0,2.2-1.8,4-4,4H8c-2.2,0-4-1.8-4-4V16C4,13.8,5.8,12,8,12z"}},{"tag":"polygon","attr":{"fill":"#388E3C","points":"44,35 34,29 34,19 44,13"}},{"tag":"line","attr":{"fill":"none","stroke":"#212121","strokeWidth":"4","strokeLinejoin":"round","strokeMiterlimit":"10","x1":"5","y1":"5","x2":"43","y2":"43"}}]})(props);
};
function FcNook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#90A4AE","d":"M8,39V9c0-3.3,2.7-6,6-6h20c3.3,0,6,2.7,6,6v30c0,3.3-2.7,6-6,6H14C10.7,45,8,42.3,8,39z"}},{"tag":"path","attr":{"fill":"#ECEFF1","d":"M34,7H14c-1.1,0-2,0.9-2,2v26c0,1.1,0.9,2,2,2h20c1.1,0,2-0.9,2-2V9C36,7.9,35.1,7,34,7z"}},{"tag":"g","attr":{"fill":"#B0BEC5"},"child":[{"tag":"rect","attr":{"x":"16","y":"12","width":"16","height":"3"}},{"tag":"rect","attr":{"x":"16","y":"19","width":"16","height":"2"}},{"tag":"rect","attr":{"x":"16","y":"23","width":"12","height":"2"}},{"tag":"rect","attr":{"x":"16","y":"27","width":"16","height":"2"}},{"tag":"rect","attr":{"x":"16","y":"31","width":"12","height":"2"}}]},{"tag":"path","attr":{"fill":"none","stroke":"#eee","strokeWidth":"2","strokeMiterlimit":"10","d":"M22,43v-1c0-1.1,0.9-2,2-2h0c1.1,0,2,0.9,2,2v1"}}]})(props);
};
function FcNumericalSorting12 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#546E7A","points":"38,33 38,5 34,5 34,33 28,33 36,43 44,33"}},{"tag":"g","attr":{"fill":"#2196F3"},"child":[{"tag":"path","attr":{"d":"M16.4,20h-3V8.6L9.9,9.7V7.3L16,5.1h0.3V20z"}},{"tag":"path","attr":{"d":"M19.4,43H9.2v-2l4.8-5.1c0.4-0.4,0.7-0.8,0.9-1.1c0.2-0.3,0.5-0.6,0.6-0.9c0.2-0.3,0.3-0.5,0.3-0.8 c0.1-0.2,0.1-0.5,0.1-0.7c0-0.7-0.2-1.2-0.5-1.6c-0.3-0.4-0.8-0.6-1.4-0.6c-0.3,0-0.7,0.1-0.9,0.2c-0.3,0.1-0.5,0.3-0.7,0.5 c-0.2,0.2-0.3,0.5-0.4,0.8s-0.1,0.6-0.1,1h-3c0-0.7,0.1-1.3,0.4-1.9c0.2-0.6,0.6-1.1,1-1.6c0.5-0.4,1-0.8,1.6-1.1 c0.6-0.3,1.4-0.4,2.2-0.4c0.8,0,1.5,0.1,2.1,0.3c0.6,0.2,1.1,0.5,1.5,0.8s0.7,0.8,0.9,1.3s0.3,1.1,0.3,1.8c0,0.5-0.1,1-0.2,1.4 S18.3,34.5,18,35s-0.6,0.9-1,1.4c-0.4,0.5-0.9,1-1.4,1.5L13,40.6h6.4V43z"}}]}]})(props);
};
function FcNumericalSorting21 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#546E7A","points":"38,33 38,5 34,5 34,33 28,33 36,43 44,33"}},{"tag":"g","attr":{"fill":"#2196F3"},"child":[{"tag":"path","attr":{"d":"M19.2,20H9v-2l4.8-5.1c0.4-0.4,0.7-0.8,0.9-1.1c0.2-0.3,0.5-0.6,0.6-0.9c0.2-0.3,0.3-0.5,0.3-0.8 c0.1-0.2,0.1-0.5,0.1-0.7c0-0.7-0.2-1.2-0.5-1.6c-0.3-0.4-0.8-0.6-1.4-0.6c-0.3,0-0.7,0.1-0.9,0.2c-0.3,0.1-0.5,0.3-0.7,0.5 c-0.2,0.2-0.3,0.5-0.4,0.8s-0.1,0.6-0.1,1h-3c0-0.7,0.1-1.3,0.4-1.9c0.2-0.6,0.6-1.1,1-1.6c0.5-0.4,1-0.8,1.6-1.1 c0.6-0.3,1.4-0.4,2.2-0.4c0.8,0,1.5,0.1,2.1,0.3c0.6,0.2,1.1,0.5,1.5,0.8s0.7,0.8,0.9,1.3c0.2,0.5,0.3,1.1,0.3,1.8 c0,0.5-0.1,1-0.2,1.4s-0.4,0.9-0.7,1.4s-0.6,0.9-1,1.4c-0.4,0.5-0.9,1-1.4,1.5l-2.6,2.8h6.4V20z"}},{"tag":"path","attr":{"d":"M16.2,43h-3V31.6l-3.5,1.1v-2.4l6.2-2.2h0.3V43z"}}]}]})(props);
};
function FcOk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#4CAF50","cx":"24","cy":"24","r":"21"}},{"tag":"polygon","attr":{"fill":"#CCFF90","points":"34.6,14.6 21,28.2 15.4,22.6 12.6,25.4 21,33.8 37.4,17.4"}}]})(props);
};
function FcOldTimeCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#546E7A","d":"M14,13H8v-1.8C8,10.5,8.5,10,9.2,10h3.6c0.7,0,1.2,0.5,1.2,1.2V13z"}},{"tag":"path","attr":{"fill":"#5E35B1","d":"M40,40H8c-2.2,0-4-1.8-4-4V22h40v14C44,38.2,42.2,40,40,40z"}},{"tag":"path","attr":{"fill":"#42257A","d":"M12.7,22c-0.4,1.3-0.7,2.6-0.7,4c0,6.6,5.4,12,12,12s12-5.4,12-12c0-1.4-0.3-2.7-0.7-4H12.7z"}},{"tag":"path","attr":{"fill":"#78909C","d":"M8,12h32c2.2,0,4,1.8,4,4v6H4v-6C4,13.8,5.8,12,8,12z"}},{"tag":"path","attr":{"fill":"#78909C","d":"M33.9,13.1H14.2L17.6,8c0.4-0.6,1-0.9,1.7-0.9h9.6c0.7,0,1.3,0.3,1.7,0.9L33.9,13.1z"}},{"tag":"path","attr":{"fill":"#455A64","d":"M35.3,22c-1.6-4.7-6.1-8-11.3-8s-9.7,3.3-11.3,8H35.3z"}},{"tag":"circle","attr":{"fill":"#B388FF","cx":"24","cy":"26","r":"9"}},{"tag":"path","attr":{"fill":"#C7A7FF","d":"M29,23c-1.2-1.4-3-2.2-4.8-2.2c-1.8,0-3.6,0.8-4.8,2.2c-0.5,0.5-0.4,1.3,0.1,1.8c0.5,0.5,1.3,0.4,1.8-0.1 c1.5-1.7,4.3-1.7,5.8,0c0.3,0.3,0.6,0.4,1,0.4c0.3,0,0.6-0.1,0.9-0.3C29.4,24.4,29.5,23.5,29,23z"}},{"tag":"rect","attr":{"x":"36","y":"15","fill":"#DBE2E5","width":"5","height":"4"}}]})(props);
};
function FcOnlineSupport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"13","y":"30","fill":"#BF360C","width":"22","height":"12"}},{"tag":"g","attr":{"fill":"#FFA726"},"child":[{"tag":"circle","attr":{"cx":"10","cy":"26","r":"4"}},{"tag":"circle","attr":{"cx":"38","cy":"26","r":"4"}}]},{"tag":"path","attr":{"fill":"#FFB74D","d":"M39,19c0-12.7-30-8.3-30,0c0,1.8,0,8.2,0,10c0,8.3,6.7,15,15,15s15-6.7,15-15C39,27.2,39,20.8,39,19z"}},{"tag":"g","attr":{"fill":"#784719"},"child":[{"tag":"circle","attr":{"cx":"30","cy":"26","r":"2"}},{"tag":"circle","attr":{"cx":"18","cy":"26","r":"2"}}]},{"tag":"path","attr":{"fill":"#FF5722","d":"M24,2C15.5,2,3,7.8,3,35.6L13,42V24l16.8-9.8L35,21v21l10-8.2c0-5.6-0.9-29-15.4-29L28.2,2H24z"}},{"tag":"path","attr":{"fill":"#757575","d":"M45,24c-0.6,0-1,0.4-1,1v-7c0-8.8-7.2-16-16-16h-9c-0.6,0-1,0.4-1,1s0.4,1,1,1h9c7.7,0,14,6.3,14,14v10 c0,0.6,0.4,1,1,1s1-0.4,1-1v2c0,3.9-3.1,7-7,7H24c-0.6,0-1,0.4-1,1s0.4,1,1,1h13c5,0,9-4,9-9v-5C46,24.4,45.6,24,45,24z"}},{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"path","attr":{"d":"M45,22h-1c-1.1,0-2,0.9-2,2v4c0,1.1,0.9,2,2,2h1c1.1,0,2-0.9,2-2v-4C47,22.9,46.1,22,45,22z"}},{"tag":"circle","attr":{"cx":"24","cy":"38","r":"2"}}]}]})(props);
};
function FcOpenedFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FFA000","d":"M38,12H22l-4-4H8c-2.2,0-4,1.8-4,4v24c0,2.2,1.8,4,4,4h31c1.7,0,3-1.3,3-3V16C42,13.8,40.2,12,38,12z"}},{"tag":"path","attr":{"fill":"#FFCA28","d":"M42.2,18H15.3c-1.9,0-3.6,1.4-3.9,3.3L8,40h31.7c1.9,0,3.6-1.4,3.9-3.3l2.5-14C46.6,20.3,44.7,18,42.2,18z"}}]})(props);
};
function FcOrgUnit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#90CAF9","d":"M10,10v28h28V10H10z M34,34H14V14h20V34z"}},{"tag":"rect","attr":{"x":"6","y":"6","fill":"#D81B60","width":"12","height":"12"}},{"tag":"g","attr":{"fill":"#2196F3"},"child":[{"tag":"rect","attr":{"x":"30","y":"6","width":"12","height":"12"}},{"tag":"rect","attr":{"x":"6","y":"30","width":"12","height":"12"}},{"tag":"rect","attr":{"x":"30","y":"30","width":"12","height":"12"}}]}]})(props);
};
function FcOrganization (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#90CAF9","d":"M42,42H6V10c0-2.2,1.8-4,4-4h28c2.2,0,4,1.8,4,4V42z"}},{"tag":"rect","attr":{"x":"6","y":"42","fill":"#64B5F6","width":"36","height":"2"}},{"tag":"g","attr":{"fill":"#1565C0"},"child":[{"tag":"rect","attr":{"x":"31","y":"27","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"21","y":"27","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"11","y":"27","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"31","y":"35","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"11","y":"35","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"31","y":"19","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"21","y":"19","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"11","y":"19","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"31","y":"11","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"21","y":"11","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"11","y":"11","width":"6","height":"5"}},{"tag":"rect","attr":{"x":"21","y":"35","width":"6","height":"9"}}]}]})(props);
};
function FcOvertime (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#CFD8DC","d":"M12,40V20h32v20c0,2.2-1.8,4-4,4H16C13.8,44,12,42.2,12,40z"}},{"tag":"path","attr":{"fill":"#78909C","d":"M44,16v6H12v-6c0-2.2,1.8-4,4-4h24C42.2,12,44,13.8,44,16z"}},{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"circle","attr":{"cx":"37","cy":"16","r":"3"}},{"tag":"circle","attr":{"cx":"20","cy":"16","r":"3"}}]},{"tag":"g","attr":{"fill":"#B0BEC5"},"child":[{"tag":"path","attr":{"d":"M37,10c-1.1,0-2,0.9-2,2v4c0,1.1,0.9,2,2,2s2-0.9,2-2v-4C39,10.9,38.1,10,37,10z"}},{"tag":"path","attr":{"d":"M20,10c-1.1,0-2,0.9-2,2v4c0,1.1,0.9,2,2,2s2-0.9,2-2v-4C22,10.9,21.1,10,20,10z"}}]},{"tag":"rect","attr":{"x":"32","y":"34","fill":"#90A4AE","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"26","y":"34","fill":"#90A4AE","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"20","y":"34","fill":"#90A4AE","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"32","y":"28","fill":"#90A4AE","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"26","y":"28","fill":"#90A4AE","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"20","y":"28","fill":"#90A4AE","width":"4","height":"4"}},{"tag":"circle","attr":{"fill":"#F44336","cx":"16","cy":"15","r":"12"}},{"tag":"circle","attr":{"fill":"#eee","cx":"16","cy":"15","r":"9"}},{"tag":"rect","attr":{"x":"15","y":"8","width":"2","height":"7"}},{"tag":"rect","attr":{"x":"16.9","y":"14.2","transform":"matrix(-.707 .707 -.707 -.707 42.506 16.192)","width":"1.9","height":"5.4"}},{"tag":"circle","attr":{"cx":"16","cy":"15","r":"1.5"}}]})(props);
};
function FcPackage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FF9800","d":"M38,42H10c-2.2,0-4-1.8-4-4V10c0-2.2,1.8-4,4-4h28c2.2,0,4,1.8,4,4v28C42,40.2,40.2,42,38,42z"}},{"tag":"path","attr":{"fill":"#8A5100","d":"M29.5,16h-11c-0.8,0-1.5-0.7-1.5-1.5v0c0-0.8,0.7-1.5,1.5-1.5h11c0.8,0,1.5,0.7,1.5,1.5v0 C31,15.3,30.3,16,29.5,16z"}}]})(props);
};
function FcPaid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#2E7D32","d":"M25.4,5.6c-0.8-0.8-2-0.8-2.8,0l-12,12c-0.8,0.8-0.8,2,0,2.8C11,20.8,11.5,21,12,21s1-0.2,1.4-0.6l12-12 C26.2,7.6,26.2,6.4,25.4,5.6z"}},{"tag":"path","attr":{"fill":"#1B5E20","d":"M37.4,17.6l-12-12c-0.8-0.8-2-0.8-2.8,0c-0.8,0.8-0.8,2,0,2.8l12,12C35,20.8,35.5,21,36,21s1-0.2,1.4-0.6 C38.2,19.6,38.2,18.4,37.4,17.6z"}},{"tag":"path","attr":{"fill":"#388E3C","d":"M37.4,41H10.6c-1,0-1.8-0.7-2-1.6L5,21h38l-3.7,18.4C39.1,40.3,38.3,41,37.4,41z"}},{"tag":"path","attr":{"fill":"#4CAF50","d":"M43,23H5c-1.1,0-2-0.9-2-2v-2c0-1.1,0.9-2,2-2h38c1.1,0,2,0.9,2,2v2C45,22.1,44.1,23,43,23z"}},{"tag":"polygon","attr":{"fill":"#DCEDC8","points":"30.8,24.8 22.9,32.7 19.2,28.9 17,31.1 22.9,37 33,26.9"}}]})(props);
};
function FcPanorama (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#F57C00","d":"M4,9v32c0,0,8.4-3,20-3s20,3,20,3V9c0,0-6.7,3-20,3S4,9,4,9z"}},{"tag":"path","attr":{"fill":"#942A09","d":"M24,34c0.1,0,0.3,0,0.4,0L15,19L6.9,36.2C10.3,35.3,16.5,34,24,34z"}},{"tag":"path","attr":{"fill":"#BF360C","d":"M24,34c3.3,0,6.3,0.2,9,0.6l-8-11.8l-7.8,11.5C19.3,34.1,21.6,34,24,34z"}},{"tag":"path","attr":{"fill":"#E65100","d":"M40.7,36L35,26.5l-5,7.8C34.5,34.7,38.2,35.4,40.7,36z"}},{"tag":"ellipse","attr":{"fill":"#FFF9C4","cx":"36","cy":"19.5","rx":"2","ry":"2.5"}}]})(props);
};
function FcParallelTasks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#90CAF9","points":"36,13 36,9 22,9 22,22 13,22 13,26 22,26 22,39 36,39 36,35 26,35 26,26 36,26 36,22 26,22 26,13"}},{"tag":"rect","attr":{"x":"6","y":"17","fill":"#D81B60","width":"10","height":"14"}},{"tag":"rect","attr":{"x":"32","y":"6","fill":"#2196F3","width":"10","height":"10"}},{"tag":"rect","attr":{"x":"32","y":"32","fill":"#2196F3","width":"10","height":"10"}},{"tag":"rect","attr":{"x":"32","y":"19","fill":"#2196F3","width":"10","height":"10"}}]})(props);
};
function FcPhoneAndroid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#37474F","d":"M12,40V8c0-2.2,1.8-4,4-4h16c2.2,0,4,1.8,4,4v32c0,2.2-1.8,4-4,4H16C13.8,44,12,42.2,12,40z"}},{"tag":"path","attr":{"fill":"#BBDEFB","d":"M32,7H16c-0.6,0-1,0.4-1,1v29c0,0.6,0.4,1,1,1h16c0.6,0,1-0.4,1-1V8C33,7.4,32.6,7,32,7z"}},{"tag":"rect","attr":{"x":"21","y":"40","fill":"#78909C","width":"6","height":"2"}}]})(props);
};
function FcPhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#009688","d":"M39.1,7l-3.7,0C22.2,7.2,7.1,24.1,7,35.4l0,3.7c0,1,0.8,1.9,1.9,1.9l7.5-0.1c1,0,1.9-0.9,1.9-1.9l0.2-8.2 l-4.7-4c0-2.6,10.5-13.1,13.2-13.2l4.3,4.7l7.9-0.2c1,0,1.9-0.9,1.9-1.9L41,8.9C41,7.8,40.2,7,39.1,7z"}}]})(props);
};
function FcPhotoReel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#673AB7","d":"M10,9c-2.2,0-4,1.8-4,4v26c0,2.2,1.8,4,4,4h16c2.2,0,4-1.8,4-4V13c0-2.2-1.8-4-4-4"}},{"tag":"g","attr":{"fill":"#311B92"},"child":[{"tag":"rect","attr":{"x":"14","y":"13","width":"2","height":"26"}},{"tag":"path","attr":{"d":"M24,9V7c0-1.2-0.8-2-2-2h-8c-1.2,0-2,0.8-2,2v2H24z"}}]},{"tag":"path","attr":{"fill":"#D84315","d":"M30,13H16v26h14V13z M21,37h-3v-4h3V37z M21,19h-3v-4h3V19z M27,37h-3v-4h3V37z M24,19v-4h3v4H24z"}},{"tag":"path","attr":{"fill":"#FF5722","d":"M30,13v2h3v4h-3v14h3v4h-3v2h12V13H30z M39,37h-3v-4h3V37z M39,19h-3v-4h3V19z"}}]})(props);
};
function FcPicture (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#F57C00","d":"M40,41H8c-2.2,0-4-1.8-4-4V11c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v26C44,39.2,42.2,41,40,41z"}},{"tag":"circle","attr":{"fill":"#FFF9C4","cx":"35","cy":"16","r":"3"}},{"tag":"polygon","attr":{"fill":"#942A09","points":"20,16 9,32 31,32"}},{"tag":"polygon","attr":{"fill":"#BF360C","points":"31,22 23,32 39,32"}}]})(props);
};
function FcPieChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#00BCD4","d":"M24,6C14.1,6,6,14.1,6,24s8.1,18,18,18c5.2,0,9.9-2.2,13.1-5.7L24,24V6z"}},{"tag":"path","attr":{"fill":"#448AFF","d":"M42,24c0-9.9-8.1-18-18-18v18H42z"}},{"tag":"path","attr":{"fill":"#3F51B5","d":"M24,24l13.1,12.3c3-3.2,4.9-7.5,4.9-12.3H24z"}}]})(props);
};
function FcPlanner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#CFD8DC","d":"M5,38V14h38v24c0,2.2-1.8,4-4,4H9C6.8,42,5,40.2,5,38z"}},{"tag":"path","attr":{"fill":"#F44336","d":"M43,10v6H5v-6c0-2.2,1.8-4,4-4h30C41.2,6,43,7.8,43,10z"}},{"tag":"g","attr":{"fill":"#B71C1C"},"child":[{"tag":"circle","attr":{"cx":"33","cy":"10","r":"3"}},{"tag":"circle","attr":{"cx":"15","cy":"10","r":"3"}}]},{"tag":"g","attr":{"fill":"#B0BEC5"},"child":[{"tag":"path","attr":{"d":"M33,3c-1.1,0-2,0.9-2,2v5c0,1.1,0.9,2,2,2s2-0.9,2-2V5C35,3.9,34.1,3,33,3z"}},{"tag":"path","attr":{"d":"M15,3c-1.1,0-2,0.9-2,2v5c0,1.1,0.9,2,2,2s2-0.9,2-2V5C17,3.9,16.1,3,15,3z"}}]},{"tag":"g","attr":{"fill":"#B0BEC5"},"child":[{"tag":"rect","attr":{"x":"13","y":"21","width":"6","height":"6"}},{"tag":"rect","attr":{"x":"21","y":"21","width":"6","height":"6"}},{"tag":"rect","attr":{"x":"29","y":"21","width":"6","height":"6"}},{"tag":"rect","attr":{"x":"13","y":"29","width":"6","height":"6"}},{"tag":"rect","attr":{"x":"21","y":"29","width":"6","height":"6"}}]},{"tag":"rect","attr":{"x":"29","y":"29","fill":"#F44336","width":"6","height":"6"}}]})(props);
};
function FcPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#4CAF50","cx":"24","cy":"24","r":"21"}},{"tag":"g","attr":{"fill":"#fff"},"child":[{"tag":"rect","attr":{"x":"21","y":"14","width":"6","height":"20"}},{"tag":"rect","attr":{"x":"14","y":"21","width":"20","height":"6"}}]}]})(props);
};
function FcPodiumWithAudience (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#B0BEC5","points":"41,12 7,12 6,16 11,19 9,16 39,16 37,19 42,16"}},{"tag":"polygon","attr":{"fill":"#78909C","points":"9,16 39,16 35,28 13,28"}},{"tag":"circle","attr":{"fill":"#FFB74D","cx":"24","cy":"28","r":"4"}},{"tag":"circle","attr":{"fill":"#FFB74D","cx":"36","cy":"28","r":"4"}},{"tag":"circle","attr":{"fill":"#FFB74D","cx":"12","cy":"28","r":"4"}},{"tag":"circle","attr":{"fill":"#FFB74D","cx":"18","cy":"37","r":"5"}},{"tag":"circle","attr":{"fill":"#FFB74D","cx":"30","cy":"37","r":"5"}}]})(props);
};
function FcPodiumWithSpeaker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#FFB74D","cx":"24","cy":"11","r":"6"}},{"tag":"path","attr":{"fill":"#607D8B","d":"M36,26.1c0,0-3.3-7.1-12-7.1s-12,7.1-12,7.1V30h24V26.1z"}},{"tag":"polygon","attr":{"fill":"#B0BEC5","points":"41,25 7,25 6,29 11,32 9,29 39,29 37,32 42,29"}},{"tag":"polygon","attr":{"fill":"#78909C","points":"9,29 39,29 35,41 13,41"}}]})(props);
};
function FcPodiumWithoutSpeaker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#B0BEC5","points":"43,16 5,16 4,20 9,23 7,20 41,20 39,23 44,20"}},{"tag":"polygon","attr":{"fill":"#78909C","points":"7,20 41,20 37,36 11,36"}}]})(props);
};
function FcPortraitMode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FF9800","d":"M22,38c-4.8,0-5-7-5-7v-6h10v6C27,31,26.8,38,22,38z"}},{"tag":"g","attr":{"fill":"#FFA726"},"child":[{"tag":"circle","attr":{"cx":"31","cy":"19","r":"2"}},{"tag":"circle","attr":{"cx":"13","cy":"19","r":"2"}}]},{"tag":"path","attr":{"fill":"#FFB74D","d":"M31,13c0-7.6-18-5-18,0c0,1.1,0,5.9,0,7c0,5,4,9,9,9s9-4,9-9C31,18.9,31,14.1,31,13z"}},{"tag":"path","attr":{"fill":"#424242","d":"M22,4c-6.1,0-10,4.9-10,11c0,0.8,0,2.3,0,2.3l2,1.7v-5l12-4l4,4v5l2-1.7c0,0,0-1.5,0-2.3c0-4-1-8-6-9l-1-2 H22z"}},{"tag":"g","attr":{"fill":"#784719"},"child":[{"tag":"circle","attr":{"cx":"26","cy":"19","r":"1"}},{"tag":"circle","attr":{"cx":"18","cy":"19","r":"1"}}]},{"tag":"path","attr":{"fill":"#009688","d":"M27,31L27,31c0,0-1.8,2-5,2s-5-2-5-2S6,33,6,44h32C38,33,27,31,27,31z"}},{"tag":"g","attr":{"fill":"#FF9800"},"child":[{"tag":"rect","attr":{"x":"36.1","y":"6.1","transform":"matrix(.707 .707 -.707 .707 19.787 -25.77)","width":"9.9","height":"9.9"}},{"tag":"rect","attr":{"x":"36","y":"6","width":"10","height":"10"}}]},{"tag":"circle","attr":{"fill":"#FFEB3B","cx":"41","cy":"11","r":"3"}}]})(props);
};
function FcPositiveDynamic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#00BCD4"},"child":[{"tag":"rect","attr":{"x":"19","y":"22","width":"10","height":"20"}},{"tag":"rect","attr":{"x":"32","y":"8","width":"10","height":"34"}},{"tag":"rect","attr":{"x":"6","y":"30","width":"10","height":"12"}}]},{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"polygon","attr":{"points":"11,8 21,18 21,8"}},{"tag":"rect","attr":{"x":"11","y":"8.9","transform":"matrix(-.707 -.707 .707 -.707 10.879 36.506)","width":"4","height":"14.1"}}]}]})(props);
};
function FcPrevious (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#2196F3","points":"30.9,43 34,39.9 18.1,24 34,8.1 30.9,5 12,24"}}]})(props);
};
function FcPrint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"9","y":"11","fill":"#424242","width":"30","height":"3"}},{"tag":"path","attr":{"fill":"#616161","d":"M4,25h40v-7c0-2.2-1.8-4-4-4H8c-2.2,0-4,1.8-4,4V25z"}},{"tag":"path","attr":{"fill":"#424242","d":"M8,36h32c2.2,0,4-1.8,4-4v-8H4v8C4,34.2,5.8,36,8,36z"}},{"tag":"circle","attr":{"fill":"#00E676","cx":"40","cy":"18","r":"1"}},{"tag":"rect","attr":{"x":"11","y":"4","fill":"#90CAF9","width":"26","height":"10"}},{"tag":"path","attr":{"fill":"#242424","d":"M37.5,31h-27C9.7,31,9,30.3,9,29.5v0c0-0.8,0.7-1.5,1.5-1.5h27c0.8,0,1.5,0.7,1.5,1.5v0 C39,30.3,38.3,31,37.5,31z"}},{"tag":"rect","attr":{"x":"11","y":"31","fill":"#90CAF9","width":"26","height":"11"}},{"tag":"rect","attr":{"x":"11","y":"29","fill":"#42A5F5","width":"26","height":"2"}},{"tag":"g","attr":{"fill":"#1976D2"},"child":[{"tag":"rect","attr":{"x":"16","y":"33","width":"17","height":"2"}},{"tag":"rect","attr":{"x":"16","y":"37","width":"13","height":"2"}}]}]})(props);
};
function FcPrivacy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#424242","d":"M24,4c-5.5,0-10,4.5-10,10v4h4v-4c0-3.3,2.7-6,6-6s6,2.7,6,6v4h4v-4C34,8.5,29.5,4,24,4z"}},{"tag":"path","attr":{"fill":"#FB8C00","d":"M36,44H12c-2.2,0-4-1.8-4-4V22c0-2.2,1.8-4,4-4h24c2.2,0,4,1.8,4,4v18C40,42.2,38.2,44,36,44z"}},{"tag":"circle","attr":{"fill":"#EFEBE9","cx":"24","cy":"31","r":"6"}},{"tag":"circle","attr":{"fill":"#1E88E5","cx":"24","cy":"31","r":"3"}},{"tag":"circle","attr":{"fill":"#fff","cx":"26","cy":"29","r":"1"}}]})(props);
};
function FcProcess (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#9C27B0"},"child":[{"tag":"polygon","attr":{"points":"31,8 42.9,9.6 33.1,19.4"}},{"tag":"polygon","attr":{"points":"17,40 5.1,38.4 14.9,28.6"}},{"tag":"polygon","attr":{"points":"8,17 9.6,5.1 19.4,14.9"}},{"tag":"path","attr":{"d":"M9.3,21.2L5.1,22C5,22.7,5,23.3,5,24c0,4.6,1.6,9,4.6,12.4l3-2.6C10.3,31.1,9,27.6,9,24 C9,23.1,9.1,22.1,9.3,21.2z"}},{"tag":"path","attr":{"d":"M24,5c-5.4,0-10.2,2.3-13.7,5.9l2.8,2.8C15.9,10.8,19.7,9,24,9c0.9,0,1.9,0.1,2.8,0.3l0.7-3.9 C26.4,5.1,25.2,5,24,5z"}},{"tag":"path","attr":{"d":"M38.7,26.8l4.2-0.8c0.1-0.7,0.1-1.3,0.1-2c0-4.4-1.5-8.7-4.3-12.1l-3.1,2.5c2.2,2.7,3.4,6.1,3.4,9.5 C39,24.9,38.9,25.9,38.7,26.8z"}},{"tag":"path","attr":{"d":"M34.9,34.3C32.1,37.2,28.3,39,24,39c-0.9,0-1.9-0.1-2.8-0.3l-0.7,3.9c1.2,0.2,2.4,0.3,3.5,0.3 c5.4,0,10.2-2.3,13.7-5.9L34.9,34.3z"}},{"tag":"polygon","attr":{"points":"40,31 38.4,42.9 28.6,33.1"}}]}]})(props);
};
function FcPuzzle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#8BC34A","d":"M39,15c0-2.2-1.8-4-4-4h-6c-0.7,0-1.1-0.8-0.7-1.4c0.6-1,0.9-2.2,0.6-3.5c-0.4-2-1.9-3.6-3.8-4 C21.8,1.4,19,3.9,19,7c0,1,0.3,1.8,0.7,2.6c0.4,0.6,0,1.4-0.8,1.4h-6c-2.2,0-4,1.8-4,4v7c0,0.7,0.8,1.1,1.4,0.7 c1-0.6,2.2-0.9,3.5-0.6c2,0.4,3.6,1.9,4,3.8c0.7,3.2-1.8,6.1-4.9,6.1c-1,0-1.8-0.3-2.6-0.7C9.8,30.9,9,31.3,9,32v6c0,2.2,1.8,4,4,4 h22c2.2,0,4-1.8,4-4V15z"}}]})(props);
};
function FcQuestions (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#42A5F5","points":"36,44 8,44 8,8 28,8 36,16"}},{"tag":"polygon","attr":{"fill":"#90CAF9","points":"40,40 12,40 12,4 32,4 40,12"}},{"tag":"polygon","attr":{"fill":"#E1F5FE","points":"38.5,13 31,13 31,5.5"}},{"tag":"path","attr":{"fill":"#1976D2","d":"M24.5,28.3c0-4.7,3.6-4.4,3.6-7.2c0-0.7-0.2-2.1-2-2.1c-2,0-2.1,1.6-2.1,2h-2.7c0-0.7,0.3-4.2,4.8-4.2 c4.6,0,4.7,3.6,4.7,4.3c0,3.5-3.8,4-3.8,7.3H24.5z M24.3,31.8c0-0.2,0-1.5,1.5-1.5c1.4,0,1.5,1.3,1.5,1.5c0,0.4-0.2,1.4-1.5,1.4 C24.5,33.2,24.3,32.2,24.3,31.8z"}}]})(props);
};
function FcRadarPlot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#CFD8DC","d":"M38.4,13L24.1,6.4L4.6,12.1l8.8,13.2l-2.2,15.1h22.7l6.6-13.3L38.4,13z M32.1,37.5H14.7l1.8-12.9L9.4,13.9 l14.5-4.3L35.6,15l1.8,11.7L32.1,37.5z"}},{"tag":"g","attr":{"fill":"#00BCD4"},"child":[{"tag":"circle","attr":{"cx":"24","cy":"8","r":"4"}},{"tag":"circle","attr":{"cx":"37","cy":"14","r":"4"}},{"tag":"circle","attr":{"cx":"39","cy":"27","r":"4"}},{"tag":"circle","attr":{"cx":"7","cy":"13","r":"4"}},{"tag":"circle","attr":{"cx":"13","cy":"39","r":"4"}},{"tag":"circle","attr":{"cx":"15","cy":"25","r":"4"}},{"tag":"circle","attr":{"cx":"33","cy":"39","r":"4"}}]}]})(props);
};
function FcRating (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#F44336","cx":"24","cy":"24","r":"21"}},{"tag":"polygon","attr":{"fill":"#FFCA28","points":"24,11 27.9,18.9 36.6,20.2 30.3,26.3 31.8,35 24,30.9 16.2,35 17.7,26.3 11.4,20.2 20.1,18.9"}}]})(props);
};
function FcRatings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#42A5F5","points":"36,44 8,44 8,8 28,8 36,16"}},{"tag":"polygon","attr":{"fill":"#90CAF9","points":"40,40 12,40 12,4 32,4 40,12"}},{"tag":"polygon","attr":{"fill":"#E1F5FE","points":"38.5,13 31,13 31,5.5"}},{"tag":"polygon","attr":{"fill":"#1976D2","points":"34,20 27,20 29.4,22.4 27,24.9 23,20.9 16.9,26.9 19.1,29.1 23,25.1 27,29.1 31.6,24.6 34,27"}}]})(props);
};
function FcReadingEbook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#2196F3","d":"M33.5,27c-2.2-3-5.2-5-9.5-5s-7.3,2-9.5,5H33.5z"}},{"tag":"path","attr":{"fill":"#546E7A","d":"M34.1,43H13.9c-1.1,0-1.9-0.8-2-1.9l-0.8-13C11.1,27,12,26,13.1,26h21.8c1.2,0,2.1,1,2,2.1l-0.8,13 C36,42.2,35.2,43,34.1,43z"}},{"tag":"circle","attr":{"fill":"#B0BEC5","cx":"34","cy":"29","r":"1"}},{"tag":"g","attr":{"fill":"#FFB74D"},"child":[{"tag":"circle","attr":{"cx":"24","cy":"12","r":"8"}},{"tag":"path","attr":{"d":"M16.1,42.4L15,43.5c-0.6,0.6-1.6,0.6-2.2,0l-3.3-3.3c-0.6-0.6-0.6-1.6,0-2.2l1.1-1.1c1.3-1.3,3.1-1.3,4.4,0 l1.1,1.1C17.3,39.3,17.3,41.2,16.1,42.4z"}},{"tag":"path","attr":{"d":"M31.9,38l1.1-1.1c1.3-1.3,3.1-1.3,4.4,0l1.1,1.1c0.6,0.6,0.6,1.6,0,2.2l-3.3,3.3c-0.6,0.6-1.6,0.6-2.2,0 l-1.1-1.1C30.7,41.2,30.7,39.3,31.9,38z"}}]}]})(props);
};
function FcReading (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#5C6BC0","d":"M40,40c-6.9,0-16,4-16,4V22c0,0,9-4,18-4L40,40z"}},{"tag":"path","attr":{"fill":"#7986CB","d":"M8,40c6.9,0,16,4,16,4V22c0,0-9-4-18-4L8,40z"}},{"tag":"g","attr":{"fill":"#FFB74D"},"child":[{"tag":"circle","attr":{"cx":"24","cy":"12","r":"8"}},{"tag":"path","attr":{"d":"M41,32h1c0.6,0,1-0.4,1-1v-4c0-0.6-0.4-1-1-1h-1c-1.7,0-3,1.3-3,3v0C38,30.7,39.3,32,41,32z"}},{"tag":"path","attr":{"d":"M7,26H6c-0.6,0-1,0.4-1,1v4c0,0.6,0.4,1,1,1h1c1.7,0,3-1.3,3-3v0C10,27.3,8.7,26,7,26z"}}]}]})(props);
};
function FcReddit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"fill":"#FFFFFF","d":"M12.193,19.555c-1.94-1.741-4.79-1.727-6.365,0.029c-1.576,1.756-1.301,5.023,0.926,6.632L12.193,19.555z"}},{"tag":"path","attr":{"fill":"#FFFFFF","d":"M35.807,19.555c1.939-1.741,4.789-1.727,6.365,0.029c1.575,1.756,1.302,5.023-0.927,6.632L35.807,19.555z"}},{"tag":"g","attr":{},"child":[{"tag":"circle","attr":{"fill":"#FFFFFF","cx":"38.32","cy":"10.475","r":"3.5"}}]},{"tag":"g","attr":{},"child":[{"tag":"ellipse","attr":{"fill":"#FFFFFF","cx":"24.085","cy":"28.611","rx":"18.085","ry":"12.946"}}]}]},{"tag":"g","attr":{},"child":[{"tag":"circle","attr":{"fill":"#D84315","cx":"30.365","cy":"26.39","r":"2.884"}},{"tag":"circle","attr":{"fill":"#D84315","cx":"17.635","cy":"26.39","r":"2.884"}}]},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"fill":"#37474F","d":"M24.002,34.902c-3.252,0-6.14-0.745-8.002-1.902c1.024,2.044,4.196,4,8.002,4c3.802,0,6.976-1.956,7.998-4\r\n\t\tC30.143,34.157,27.254,34.902,24.002,34.902z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M41.83,27.026l-1.17-1.621c0.831-0.6,1.373-1.556,1.488-2.623c0.105-0.98-0.157-1.903-0.721-2.531\r\n\t\tc-0.571-0.637-1.391-0.99-2.307-0.994c-0.927,0.013-1.894,0.365-2.646,1.041l-1.336-1.488c1.123-1.008,2.545-1.523,3.991-1.553\r\n\t\tc1.488,0.007,2.833,0.596,3.786,1.658c0.942,1.05,1.387,2.537,1.221,4.081C43.961,24.626,43.121,26.096,41.83,27.026z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M6.169,27.026c-1.29-0.932-2.131-2.401-2.306-4.031c-0.166-1.543,0.279-3.03,1.221-4.079\r\n\t\tc0.953-1.062,2.297-1.651,3.785-1.658c0.009,0,0.018,0,0.027,0c1.441,0,2.849,0.551,3.965,1.553l-1.336,1.488\r\n\t\tc-0.753-0.676-1.689-1.005-2.646-1.041c-0.916,0.004-1.735,0.357-2.306,0.994c-0.563,0.628-0.826,1.55-0.721,2.53\r\n\t\tc0.115,1.067,0.657,2.023,1.488,2.624L6.169,27.026z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M25,16.84h-2c0-2.885,0-10.548,4.979-10.548c2.154,0,3.193,1.211,3.952,2.096\r\n\t\tc0.629,0.734,0.961,1.086,1.616,1.086h1.37v2h-1.37c-1.604,0-2.453-0.99-3.135-1.785c-0.67-0.781-1.198-1.398-2.434-1.398\r\n\t\tC25.975,8.292,25,11.088,25,16.84z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M24.085,16.95c9.421,0,17.085,5.231,17.085,11.661c0,6.431-7.664,11.662-17.085,11.662S7,35.042,7,28.611\r\n\t\tC7,22.181,14.664,16.95,24.085,16.95 M24.085,14.95C13.544,14.95,5,21.066,5,28.611c0,7.546,8.545,13.662,19.085,13.662\r\n\t\tc10.54,0,19.085-6.116,19.085-13.662C43.17,21.066,34.625,14.95,24.085,14.95L24.085,14.95z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M38.32,7.975c1.379,0,2.5,1.122,2.5,2.5s-1.121,2.5-2.5,2.5s-2.5-1.122-2.5-2.5S36.941,7.975,38.32,7.975\r\n\t\t M38.32,5.975c-2.484,0-4.5,2.015-4.5,4.5s2.016,4.5,4.5,4.5c2.486,0,4.5-2.015,4.5-4.5S40.807,5.975,38.32,5.975L38.32,5.975z"}}]}]})(props);
};
function FcRedo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#00BCD4"},"child":[{"tag":"polygon","attr":{"points":"43,18 29,6.3 29,29.7"}},{"tag":"path","attr":{"d":"M20,14h12v8H20c-2.8,0-5,2.2-5,5s2.2,5,5,5h3v8h-3c-7.2,0-13-5.8-13-13S12.8,14,20,14z"}}]}]})(props);
};
function FcRefresh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#1565C0"},"child":[{"tag":"path","attr":{"d":"M13,13c0-3.3,2.7-6,6-6h10c3.3,0,6,2.7,6,6h4c0-5.5-4.5-10-10-10H19C13.5,3,9,7.5,9,13v11.2h4V13z"}},{"tag":"polygon","attr":{"points":"4.6,22 11,30.4 17.4,22"}}]},{"tag":"g","attr":{"fill":"#1565C0"},"child":[{"tag":"path","attr":{"d":"M35,35c0,3.3-2.7,6-6,6H19c-3.3,0-6-2.7-6-6H9c0,5.5,4.5,10,10,10h10c5.5,0,10-4.5,10-10V23h-4V35z"}},{"tag":"polygon","attr":{"points":"30.6,26 37,17.6 43.4,26"}}]}]})(props);
};
function FcRegisteredTrademark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#9C27B0","cx":"24","cy":"24","r":"21"}},{"tag":"path","attr":{"fill":"#E1BEE7","d":"M25,26.8h-4.5v9h-4V12.5h8.2c1.3,0,2.5,0.2,3.6,0.5c1,0.3,1.9,0.8,2.6,1.3c0.7,0.6,1.3,1.3,1.6,2.2 s0.6,1.9,0.6,3c0,1.6-0.4,2.9-1.1,3.9c-0.8,1-1.8,1.9-3.1,2.4l5.2,9.7v0.2h-4.3L25,26.8z M20.5,23.6h4.2c0.7,0,1.4-0.1,1.9-0.3 c0.5-0.2,1-0.5,1.4-0.8c0.4-0.3,0.6-0.7,0.8-1.2c0.2-0.5,0.3-1,0.3-1.6c0-0.6-0.1-1.1-0.3-1.6c-0.2-0.5-0.4-0.9-0.8-1.2 c-0.4-0.3-0.8-0.6-1.4-0.8c-0.5-0.2-1.2-0.3-2-0.3h-4.1V23.6z"}}]})(props);
};
function FcRemoveImage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#8CBCD6","d":"M40,41H8c-2.2,0-4-1.8-4-4V11c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v26C44,39.2,42.2,41,40,41z"}},{"tag":"circle","attr":{"fill":"#B3DDF5","cx":"35","cy":"16","r":"3"}},{"tag":"polygon","attr":{"fill":"#9AC9E3","points":"20,16 9,32 31,32"}},{"tag":"polygon","attr":{"fill":"#B3DDF5","points":"31,22 23,32 39,32"}},{"tag":"circle","attr":{"fill":"#F44336","cx":"38","cy":"38","r":"10"}},{"tag":"g","attr":{"fill":"#fff"},"child":[{"tag":"rect","attr":{"x":"36.5","y":"32","transform":"matrix(-.707 .707 -.707 -.707 91.74 38)","width":"3","height":"12"}},{"tag":"rect","attr":{"x":"36.5","y":"32","transform":"matrix(-.707 -.707 .707 -.707 38 91.74)","width":"3","height":"12"}}]}]})(props);
};
function FcReuse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#455A64","points":"12.1,42 17.2,42 16.5,18.2 10.9,20.2"}},{"tag":"circle","attr":{"fill":"#FFB74D","cx":"36.5","cy":"10","r":"5"}},{"tag":"polygon","attr":{"fill":"#607D8B","points":"11,42 6,42 7.8,18.6 14.2,20.9"}},{"tag":"path","attr":{"fill":"#607D8B","d":"M31.7,15.9c-0.6-2-1.3-4-2.5-5.8c-1.3-1.6-3.2-3.1-6.1-2c-3.1,1.3-9.2,3.6-11.2,4.5 c-2.3,1.1-4.1,2.7-4.1,5.9c0,3.4,4.3,5.3,4.3,5.3l14.7-6.1l1.7,4.5l5.3,0.1C33.8,22.4,32.3,17.9,31.7,15.9z"}},{"tag":"path","attr":{"fill":"#B39DDB","d":"M37.9,42h-7.9c-1,0-1.8-0.7-2-1.7l-2.6-17.1h17l-2.6,17.1C39.8,41.3,38.9,42,37.9,42z"}},{"tag":"path","attr":{"fill":"#7E57C2","d":"M42,24H26c-0.6,0-1-0.4-1-1v0c0-0.6,0.4-1,1-1h16c0.6,0,1,0.4,1,1v0C43,23.6,42.6,24,42,24z"}}]})(props);
};
function FcRightDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#3F51B5","points":"41,41 23,41 41,23"}},{"tag":"rect","attr":{"x":"17.4","y":"5","transform":"matrix(.707 -.707 .707 .707 -8.854 21.374)","fill":"#3F51B5","width":"8","height":"32.7"}}]})(props);
};
function FcRightDown2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#3F51B5","points":"29,44 17.3,30 40.7,30"}},{"tag":"path","attr":{"fill":"#3F51B5","d":"M21,6H8v8h13c2.2,0,4,1.8,4,4v17h8V18C33,11.4,27.6,6,21,6z"}}]})(props);
};
function FcRightUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#3F51B5","points":"41,7 41,25 23,7"}},{"tag":"rect","attr":{"x":"17.4","y":"10.3","transform":"matrix(-.707 -.707 .707 -.707 17.661 60.567)","fill":"#3F51B5","width":"8","height":"32.7"}}]})(props);
};
function FcRightUp2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#3F51B5","points":"29,4 17.3,18 40.7,18"}},{"tag":"path","attr":{"fill":"#3F51B5","d":"M21,42H8v-8h13c2.2,0,4-1.8,4-4V13h8v17C33,36.6,27.6,42,21,42z"}}]})(props);
};
function FcRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"polygon","attr":{"points":"44,24 30,35.7 30,12.3"}},{"tag":"rect","attr":{"x":"6","y":"20","width":"27","height":"8"}}]}]})(props);
};
function FcRotateCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#5E35B1"},"child":[{"tag":"path","attr":{"d":"M33.9,12.1H14.2L17.6,7c0.4-0.6,1-0.9,1.7-0.9h9.6c0.7,0,1.3,0.3,1.7,0.9L33.9,12.1z"}},{"tag":"path","attr":{"d":"M14,11H8V9.2C8,8.5,8.5,8,9.2,8h3.6C13.5,8,14,8.5,14,9.2V11z"}},{"tag":"path","attr":{"d":"M40,42H8c-2.2,0-4-1.8-4-4V14c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v24C44,40.2,42.2,42,40,42z"}}]},{"tag":"path","attr":{"fill":"#E8EAF6","d":"M34,25c0-5.5-4.5-10-10-10s-10,4.5-10,10s4.5,10,10,10v-2c-4.4,0-8-3.6-8-8s3.6-8,8-8s8,3.6,8,8h-3.5 l4.5,5.6l4.5-5.6H34z"}}]})(props);
};
function FcRotateToLandscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#37474F","d":"M10,41V7c0-2.2,1.8-4,4-4h20c2.2,0,4,1.8,4,4v34c0,2.2-1.8,4-4,4H14C11.8,45,10,43.2,10,41z"}},{"tag":"path","attr":{"fill":"#F3E5F5","d":"M34,6H14c-0.6,0-1,0.4-1,1v34c0,0.6,0.4,1,1,1h20c0.6,0,1-0.4,1-1V7C35,6.4,34.6,6,34,6z"}},{"tag":"polygon","attr":{"fill":"#9C27B0","points":"22,34 27.9,27 16.1,27"}},{"tag":"path","attr":{"fill":"#9C27B0","d":"M26,16c-3.3,0-6,2.7-6,6v6h4v-6c0-1.1,0.9-2,2-2s2,0.9,2,2v2h4v-2C32,18.7,29.3,16,26,16z"}}]})(props);
};
function FcRotateToPortrait (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#37474F","d":"M41,38H7c-2.2,0-4-1.8-4-4V14c0-2.2,1.8-4,4-4h34c2.2,0,4,1.8,4,4v20C45,36.2,43.2,38,41,38z"}},{"tag":"path","attr":{"fill":"#F3E5F5","d":"M6,14v20c0,0.6,0.4,1,1,1h34c0.6,0,1-0.4,1-1V14c0-0.6-0.4-1-1-1H7C6.4,13,6,13.4,6,14z"}},{"tag":"polygon","attr":{"fill":"#9C27B0","points":"26,15 20.1,22 31.9,22"}},{"tag":"path","attr":{"fill":"#9C27B0","d":"M24,21v6c0,1.1-0.9,2-2,2s-2-0.9-2-2v-2h-4v2c0,3.3,2.7,6,6,6s6-2.7,6-6v-6H24z"}}]})(props);
};
function FcRuler (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"16.7","y":"1.6","transform":"matrix(-.707 -.707 .707 -.707 24 57.941)","fill":"#FFA000","width":"14.6","height":"44.8"}},{"tag":"g","attr":{"fill":"#9E6400"},"child":[{"tag":"rect","attr":{"x":"17.9","y":"20.2","transform":"matrix(-.707 -.707 .707 -.707 21.177 51.125)","width":"6.6","height":"2"}},{"tag":"rect","attr":{"x":"22.3","y":"15.2","transform":"matrix(-.707 -.707 .707 -.707 29.833 44.71)","width":"3.7","height":"2"}},{"tag":"rect","attr":{"x":"25.9","y":"12.2","transform":"matrix(-.707 -.707 .707 -.707 40.49 43.125)","width":"6.6","height":"2"}},{"tag":"rect","attr":{"x":"31.2","y":"6.3","transform":"matrix(.707 -.707 .707 .707 3.643 25.147)","width":"2","height":"3.7"}},{"tag":"rect","attr":{"x":"6.3","y":"31.2","transform":"matrix(-.707 -.707 .707 -.707 -8.794 60.71)","width":"3.7","height":"2"}},{"tag":"rect","attr":{"x":"9.9","y":"28.2","transform":"matrix(-.707 -.707 .707 -.707 1.863 59.125)","width":"6.6","height":"2"}},{"tag":"rect","attr":{"x":"14.3","y":"23.2","transform":"matrix(-.707 -.707 .707 -.707 10.52 52.71)","width":"3.7","height":"2"}}]}]})(props);
};
function FcRules (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#42A5F5","d":"M39,45H9c0,0-3-0.1-3-8h36C42,44.9,39,45,39,45z"}},{"tag":"rect","attr":{"x":"8","y":"3","fill":"#90CAF9","width":"32","height":"34"}},{"tag":"g","attr":{"fill":"#1976D2"},"child":[{"tag":"rect","attr":{"x":"18","y":"15","width":"16","height":"2"}},{"tag":"rect","attr":{"x":"18","y":"19","width":"16","height":"2"}},{"tag":"rect","attr":{"x":"18","y":"23","width":"16","height":"2"}},{"tag":"rect","attr":{"x":"18","y":"27","width":"16","height":"2"}},{"tag":"rect","attr":{"x":"18","y":"31","width":"16","height":"2"}}]},{"tag":"g","attr":{"fill":"#1976D2"},"child":[{"tag":"rect","attr":{"x":"14","y":"15","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"14","y":"19","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"14","y":"23","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"14","y":"27","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"14","y":"31","width":"2","height":"2"}}]}]})(props);
};
function FcSafe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"8","y":"39","fill":"#455A64","width":"6","height":"3"}},{"tag":"rect","attr":{"x":"34","y":"39","fill":"#455A64","width":"6","height":"3"}},{"tag":"path","attr":{"fill":"#78909C","d":"M40,41H8c-2.2,0-4-1.8-4-4V11c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v26C44,39.2,42.2,41,40,41z"}},{"tag":"path","attr":{"fill":"#90A4AE","d":"M40,38H8c-0.6,0-1-0.4-1-1V11c0-0.6,0.4-1,1-1h32c0.6,0,1,0.4,1,1v26C41,37.6,40.6,38,40,38z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M29,14c-5.5,0-10,4.5-10,10c0,5.5,4.5,10,10,10s10-4.5,10-10C39,18.5,34.5,14,29,14z M29,31 c-3.9,0-7-3.1-7-7c0-3.9,3.1-7,7-7s7,3.1,7,7C36,27.9,32.9,31,29,31z"}},{"tag":"g","attr":{"fill":"#B0BEC5"},"child":[{"tag":"path","attr":{"d":"M35.3,19.1l0.4-0.4c0.4-0.4,0.4-1,0-1.4s-1-0.4-1.4,0l-0.4,0.4C34.4,18.1,34.9,18.6,35.3,19.1z"}},{"tag":"path","attr":{"d":"M22.7,19.1c0.4-0.5,0.9-1,1.4-1.4l-0.4-0.4c-0.4-0.4-1-0.4-1.4,0s-0.4,1,0,1.4L22.7,19.1z"}},{"tag":"path","attr":{"d":"M21,24c0-0.3,0-0.7,0.1-1h-0.6c-0.6,0-1,0.4-1,1s0.4,1,1,1h0.6C21,24.7,21,24.3,21,24z"}},{"tag":"path","attr":{"d":"M29,16c0.3,0,0.7,0,1,0.1v-0.6c0-0.6-0.4-1-1-1s-1,0.4-1,1v0.6C28.3,16,28.7,16,29,16z"}},{"tag":"path","attr":{"d":"M35.3,28.9c-0.4,0.5-0.9,1-1.4,1.4l0.4,0.4c0.2,0.2,0.5,0.3,0.7,0.3s0.5-0.1,0.7-0.3c0.4-0.4,0.4-1,0-1.4 L35.3,28.9z"}},{"tag":"path","attr":{"d":"M22.7,28.9l-0.4,0.4c-0.4,0.4-0.4,1,0,1.4c0.2,0.2,0.5,0.3,0.7,0.3s0.5-0.1,0.7-0.3l0.4-0.4 C23.6,29.9,23.1,29.4,22.7,28.9z"}},{"tag":"path","attr":{"d":"M37.5,23h-0.6c0,0.3,0.1,0.7,0.1,1s0,0.7-0.1,1h0.6c0.6,0,1-0.4,1-1S38.1,23,37.5,23z"}},{"tag":"path","attr":{"d":"M29,32c-0.3,0-0.7,0-1-0.1v0.6c0,0.6,0.4,1,1,1s1-0.4,1-1v-0.6C29.7,32,29.3,32,29,32z"}}]},{"tag":"path","attr":{"fill":"#455A64","d":"M12,20c-1.1,0-2,0.9-2,2v8c0,1.1,0.9,2,2,2s2-0.9,2-2v-8C14,20.9,13.1,20,12,20z"}},{"tag":"path","attr":{"fill":"#CFD8DC","d":"M12,18c-1.1,0-2,0.9-2,2v8c0,1.1,0.9,2,2,2s2-0.9,2-2v-8C14,18.9,13.1,18,12,18z"}}]})(props);
};
function FcSalesPerformance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#FFA000"},"child":[{"tag":"path","attr":{"d":"M38,13c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C44,12.1,41.3,13,38,13 z"}},{"tag":"path","attr":{"d":"M38,10c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C44,9.1,41.3,10,38,10z"}},{"tag":"path","attr":{"d":"M38,16c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C44,15.1,41.3,16,38,16 z"}},{"tag":"path","attr":{"d":"M38,19c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C44,18.1,41.3,19,38,19 z"}},{"tag":"path","attr":{"d":"M38,22c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C44,21.1,41.3,22,38,22 z"}},{"tag":"path","attr":{"d":"M38,25c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C44,24.1,41.3,25,38,25 z"}},{"tag":"path","attr":{"d":"M38,28c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C44,27.1,41.3,28,38,28 z"}},{"tag":"path","attr":{"d":"M38,31c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C44,30.1,41.3,31,38,31 z"}},{"tag":"path","attr":{"d":"M38,34c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C44,33.1,41.3,34,38,34 z"}},{"tag":"path","attr":{"d":"M38,37c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C44,36.1,41.3,37,38,37 z"}},{"tag":"path","attr":{"d":"M38,40c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C44,39.1,41.3,40,38,40 z"}}]},{"tag":"g","attr":{"fill":"#FFC107"},"child":[{"tag":"ellipse","attr":{"cx":"38","cy":"8","rx":"6","ry":"2"}},{"tag":"path","attr":{"d":"M38,12c-2.8,0-5.1-0.6-5.8-1.5C32.1,10.7,32,10.8,32,11c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C43.1,11.4,40.8,12,38,12z"}},{"tag":"path","attr":{"d":"M38,15c-2.8,0-5.1-0.6-5.8-1.5C32.1,13.7,32,13.8,32,14c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C43.1,14.4,40.8,15,38,15z"}},{"tag":"path","attr":{"d":"M38,18c-2.8,0-5.1-0.6-5.8-1.5C32.1,16.7,32,16.8,32,17c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C43.1,17.4,40.8,18,38,18z"}},{"tag":"path","attr":{"d":"M38,21c-2.8,0-5.1-0.6-5.8-1.5C32.1,19.7,32,19.8,32,20c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C43.1,20.4,40.8,21,38,21z"}},{"tag":"path","attr":{"d":"M38,24c-2.8,0-5.1-0.6-5.8-1.5C32.1,22.7,32,22.8,32,23c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C43.1,23.4,40.8,24,38,24z"}},{"tag":"path","attr":{"d":"M38,27c-2.8,0-5.1-0.6-5.8-1.5C32.1,25.7,32,25.8,32,26c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C43.1,26.4,40.8,27,38,27z"}},{"tag":"path","attr":{"d":"M38,30c-2.8,0-5.1-0.6-5.8-1.5C32.1,28.7,32,28.8,32,29c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C43.1,29.4,40.8,30,38,30z"}},{"tag":"path","attr":{"d":"M38,33c-2.8,0-5.1-0.6-5.8-1.5C32.1,31.7,32,31.8,32,32c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C43.1,32.4,40.8,33,38,33z"}},{"tag":"path","attr":{"d":"M38,36c-2.8,0-5.1-0.6-5.8-1.5C32.1,34.7,32,34.8,32,35c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C43.1,35.4,40.8,36,38,36z"}},{"tag":"path","attr":{"d":"M38,39c-2.8,0-5.1-0.6-5.8-1.5C32.1,37.7,32,37.8,32,38c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C43.1,38.4,40.8,39,38,39z"}}]},{"tag":"g","attr":{"fill":"#FFA000"},"child":[{"tag":"path","attr":{"d":"M10,19c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C16,18.1,13.3,19,10,19 z"}},{"tag":"path","attr":{"d":"M10,16c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C16,15.1,13.3,16,10,16 z"}},{"tag":"path","attr":{"d":"M10,22c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C16,21.1,13.3,22,10,22 z"}},{"tag":"path","attr":{"d":"M10,25c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C16,24.1,13.3,25,10,25 z"}},{"tag":"path","attr":{"d":"M10,28c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C16,27.1,13.3,28,10,28 z"}},{"tag":"path","attr":{"d":"M10,31c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C16,30.1,13.3,31,10,31 z"}},{"tag":"path","attr":{"d":"M10,34c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C16,33.1,13.3,34,10,34 z"}},{"tag":"path","attr":{"d":"M10,37c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C16,36.1,13.3,37,10,37 z"}},{"tag":"path","attr":{"d":"M10,40c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C16,39.1,13.3,40,10,40 z"}}]},{"tag":"g","attr":{"fill":"#FFC107"},"child":[{"tag":"ellipse","attr":{"cx":"10","cy":"14","rx":"6","ry":"2"}},{"tag":"path","attr":{"d":"M10,18c-2.8,0-5.1-0.6-5.8-1.5C4.1,16.7,4,16.8,4,17c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C15.1,17.4,12.8,18,10,18z"}},{"tag":"path","attr":{"d":"M10,21c-2.8,0-5.1-0.6-5.8-1.5C4.1,19.7,4,19.8,4,20c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C15.1,20.4,12.8,21,10,21z"}},{"tag":"path","attr":{"d":"M10,24c-2.8,0-5.1-0.6-5.8-1.5C4.1,22.7,4,22.8,4,23c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C15.1,23.4,12.8,24,10,24z"}},{"tag":"path","attr":{"d":"M10,27c-2.8,0-5.1-0.6-5.8-1.5C4.1,25.7,4,25.8,4,26c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C15.1,26.4,12.8,27,10,27z"}},{"tag":"path","attr":{"d":"M10,30c-2.8,0-5.1-0.6-5.8-1.5C4.1,28.7,4,28.8,4,29c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C15.1,29.4,12.8,30,10,30z"}},{"tag":"path","attr":{"d":"M10,33c-2.8,0-5.1-0.6-5.8-1.5C4.1,31.7,4,31.8,4,32c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C15.1,32.4,12.8,33,10,33z"}},{"tag":"path","attr":{"d":"M10,36c-2.8,0-5.1-0.6-5.8-1.5C4.1,34.7,4,34.8,4,35c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C15.1,35.4,12.8,36,10,36z"}},{"tag":"path","attr":{"d":"M10,39c-2.8,0-5.1-0.6-5.8-1.5C4.1,37.7,4,37.8,4,38c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C15.1,38.4,12.8,39,10,39z"}}]},{"tag":"g","attr":{"fill":"#FFA000"},"child":[{"tag":"path","attr":{"d":"M24,28c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C30,27.1,27.3,28,24,28 z"}},{"tag":"path","attr":{"d":"M24,25c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C30,24.1,27.3,25,24,25 z"}},{"tag":"path","attr":{"d":"M24,31c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C30,30.1,27.3,31,24,31 z"}},{"tag":"path","attr":{"d":"M24,34c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C30,33.1,27.3,34,24,34 z"}},{"tag":"path","attr":{"d":"M24,37c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C30,36.1,27.3,37,24,37 z"}},{"tag":"path","attr":{"d":"M24,40c-3.3,0-6-0.9-6-2c0,0.4,0,1.6,0,2c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.4,0-1.6,0-2C30,39.1,27.3,40,24,40 z"}}]},{"tag":"g","attr":{"fill":"#FFC107"},"child":[{"tag":"ellipse","attr":{"cx":"24","cy":"23","rx":"6","ry":"2"}},{"tag":"path","attr":{"d":"M24,27c-2.8,0-5.1-0.6-5.8-1.5C18.1,25.7,18,25.8,18,26c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C29.1,26.4,26.8,27,24,27z"}},{"tag":"path","attr":{"d":"M24,30c-2.8,0-5.1-0.6-5.8-1.5C18.1,28.7,18,28.8,18,29c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C29.1,29.4,26.8,30,24,30z"}},{"tag":"path","attr":{"d":"M24,33c-2.8,0-5.1-0.6-5.8-1.5C18.1,31.7,18,31.8,18,32c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C29.1,32.4,26.8,33,24,33z"}},{"tag":"path","attr":{"d":"M24,36c-2.8,0-5.1-0.6-5.8-1.5C18.1,34.7,18,34.8,18,35c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C29.1,35.4,26.8,36,24,36z"}},{"tag":"path","attr":{"d":"M24,39c-2.8,0-5.1-0.6-5.8-1.5C18.1,37.7,18,37.8,18,38c0,1.1,2.7,2,6,2s6-0.9,6-2c0-0.2-0.1-0.3-0.2-0.5 C29.1,38.4,26.8,39,24,39z"}}]}]})(props);
};
function FcScatterPlot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#CFD8DC","points":"9,39 9,6 7,6 7,41 42,41 42,39"}},{"tag":"g","attr":{"fill":"#00BCD4"},"child":[{"tag":"circle","attr":{"cx":"39","cy":"11","r":"3"}},{"tag":"circle","attr":{"cx":"31","cy":"13","r":"3"}},{"tag":"circle","attr":{"cx":"37","cy":"19","r":"3"}},{"tag":"circle","attr":{"cx":"34","cy":"26","r":"3"}},{"tag":"circle","attr":{"cx":"28","cy":"20","r":"3"}},{"tag":"circle","attr":{"cx":"26","cy":"28","r":"3"}},{"tag":"circle","attr":{"cx":"20","cy":"23","r":"3"}},{"tag":"circle","attr":{"cx":"21","cy":"33","r":"3"}},{"tag":"circle","attr":{"cx":"14","cy":"30","r":"3"}}]}]})(props);
};
function FcSearch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#616161"},"child":[{"tag":"rect","attr":{"x":"34.6","y":"28.1","transform":"matrix(.707 -.707 .707 .707 -15.154 36.586)","width":"4","height":"17"}},{"tag":"circle","attr":{"cx":"20","cy":"20","r":"16"}}]},{"tag":"rect","attr":{"x":"36.2","y":"32.1","transform":"matrix(.707 -.707 .707 .707 -15.839 38.239)","fill":"#37474F","width":"4","height":"12.3"}},{"tag":"circle","attr":{"fill":"#64B5F6","cx":"20","cy":"20","r":"13"}},{"tag":"path","attr":{"fill":"#BBDEFB","d":"M26.9,14.2c-1.7-2-4.2-3.2-6.9-3.2s-5.2,1.2-6.9,3.2c-0.4,0.4-0.3,1.1,0.1,1.4c0.4,0.4,1.1,0.3,1.4-0.1 C16,13.9,17.9,13,20,13s4,0.9,5.4,2.5c0.2,0.2,0.5,0.4,0.8,0.4c0.2,0,0.5-0.1,0.6-0.2C27.2,15.3,27.2,14.6,26.9,14.2z"}}]})(props);
};
function FcSelfServiceKiosk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#546E7A","d":"M44,30H4V11c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4V30z"}},{"tag":"path","attr":{"fill":"#64B5F6","d":"M40,27H8c-0.6,0-1-0.4-1-1V11c0-0.6,0.4-1,1-1h32c0.6,0,1,0.4,1,1v15C41,26.6,40.6,27,40,27z"}},{"tag":"path","attr":{"fill":"#78909C","d":"M40,41H8c-2.2,0-4-1.8-4-4v-7h40v7C44,39.2,42.2,41,40,41z"}},{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"rect","attr":{"x":"27","y":"34","width":"12","height":"2"}},{"tag":"rect","attr":{"x":"9","y":"34","width":"12","height":"2"}},{"tag":"path","attr":{"d":"M18,35c0,1.1-1.3,2-3,2s-3-0.9-3-2H18z"}}]}]})(props);
};
function FcSelfie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FFB74D","d":"M32.9,22c0-0.3,0.1-0.7,0.1-1c0-1.1,0-5.9,0-7c0-7.6-18-5-18,0c0,1.1,0,5.9,0,7c0,0.3,0,0.7,0.1,1H32.9z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M40,44H8c-2.2,0-4-1.8-4-4V26c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v14C44,42.2,42.2,44,40,44z"}},{"tag":"path","attr":{"fill":"#BBDEFB","d":"M7,26v14c0,0.6,0.4,1,1,1h29c0.6,0,1-0.4,1-1V26c0-0.6-0.4-1-1-1H8C7.4,25,7,25.4,7,26z"}},{"tag":"rect","attr":{"x":"40","y":"30","fill":"#78909C","width":"2","height":"6"}},{"tag":"rect","attr":{"x":"19","y":"32","fill":"#BF360C","width":"8","height":"9"}},{"tag":"rect","attr":{"x":"20.5","y":"37.5","fill":"#FF9800","width":"5","height":"3.5"}},{"tag":"path","attr":{"fill":"#FFB74D","d":"M27.5,32c0-3.8-9-2.5-9,0c0,0.5,0,3,0,3.5c0,2.5,2,4.5,4.5,4.5s4.5-2,4.5-4.5C27.5,35,27.5,32.5,27.5,32z"}},{"tag":"g","attr":{"fill":"#784719"},"child":[{"tag":"circle","attr":{"cx":"28","cy":"21","r":"1"}},{"tag":"circle","attr":{"cx":"20","cy":"21","r":"1"}},{"tag":"circle","attr":{"cx":"25","cy":"35.5","r":".5"}},{"tag":"circle","attr":{"cx":"21","cy":"35.5","r":".5"}}]},{"tag":"g","attr":{"fill":"#FF5722"},"child":[{"tag":"path","attr":{"d":"M23,27c-3,0-8,1.3-8,11l4,3v-6.5l6-3.5l2,2.5V41l4-3c0-2-0.8-10-6-10l-0.5-1H23z"}},{"tag":"path","attr":{"d":"M16,22v-3l12-7l4,5v5h6.8C38.3,15.8,36.1,6,28,6l-1-2h-3C18.5,4,10.7,6.8,9.2,22H16z"}}]}]})(props);
};
function FcSerialTasks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#90CAF9","d":"M33,9H11v4h22c1.1,0,2,0.9,2,2v20H23v4h16V15C39,11.7,36.3,9,33,9z"}},{"tag":"rect","attr":{"x":"6","y":"6","fill":"#D81B60","width":"10","height":"10"}},{"tag":"g","attr":{"fill":"#2196F3"},"child":[{"tag":"rect","attr":{"x":"32","y":"17","width":"10","height":"10"}},{"tag":"rect","attr":{"x":"16","y":"32","width":"10","height":"10"}},{"tag":"circle","attr":{"cx":"26","cy":"11","r":"5"}},{"tag":"circle","attr":{"cx":"37","cy":"37","r":"5"}}]}]})(props);
};
function FcServiceMark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#9C27B0","cx":"24","cy":"24","r":"21"}},{"tag":"g","attr":{"fill":"#E1BEE7"},"child":[{"tag":"path","attr":{"d":"M16.7,28.2c0-3.8-7.3-2.2-7.3-8.1c0-0.7,0.4-4.8,5.5-4.8c5.1,0,5.4,4.5,5.4,5.3h-3.5c0-0.4,0-2.5-2-2.5 c-1.8,0-1.9,1.7-1.9,2c0,3,7.4,2,7.4,8.1c0,2-1.1,4.8-5.3,4.8C10.3,33,9,29.6,9,27.3h3.5c0,0.5-0.2,2.8,2.5,2.8 C16.8,30.2,16.7,28.5,16.7,28.2z"}},{"tag":"path","attr":{"d":"M27.1,15.6L30.3,28l3.2-12.4h4.5v17.2h-3.5v-4.6l0.3-7.2l-3.4,11.8h-2.4l-3.4-11.8l0.3,7.2v4.6h-3.5V15.6 H27.1z"}}]}]})(props);
};
function FcServices (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#E65100","d":"M25.6,34.4c0.1-0.4,0.1-0.9,0.1-1.4s0-0.9-0.1-1.4l2.8-2c0.3-0.2,0.4-0.6,0.2-0.9l-2.7-4.6 c-0.2-0.3-0.5-0.4-0.8-0.3L22,25.3c-0.7-0.6-1.5-1-2.4-1.4l-0.3-3.4c0-0.3-0.3-0.6-0.6-0.6h-5.3c-0.3,0-0.6,0.3-0.6,0.6L12.4,24 c-0.9,0.3-1.6,0.8-2.4,1.4l-3.1-1.4c-0.3-0.1-0.7,0-0.8,0.3l-2.7,4.6c-0.2,0.3-0.1,0.7,0.2,0.9l2.8,2c-0.1,0.4-0.1,0.9-0.1,1.4 s0,0.9,0.1,1.4l-2.8,2c-0.3,0.2-0.4,0.6-0.2,0.9l2.7,4.6c0.2,0.3,0.5,0.4,0.8,0.3l3.1-1.4c0.7,0.6,1.5,1,2.4,1.4l0.3,3.4 c0,0.3,0.3,0.6,0.6,0.6h5.3c0.3,0,0.6-0.3,0.6-0.6l0.3-3.4c0.9-0.3,1.6-0.8,2.4-1.4l3.1,1.4c0.3,0.1,0.7,0,0.8-0.3l2.7-4.6 c0.2-0.3,0.1-0.7-0.2-0.9L25.6,34.4z M16,38c-2.8,0-5-2.2-5-5c0-2.8,2.2-5,5-5c2.8,0,5,2.2,5,5C21,35.8,18.8,38,16,38z"}},{"tag":"path","attr":{"fill":"#FFA000","d":"M41.9,15.3C42,14.8,42,14.4,42,14s0-0.8-0.1-1.3l2.5-1.8c0.3-0.2,0.3-0.5,0.2-0.8l-2.5-4.3 c-0.2-0.3-0.5-0.4-0.8-0.2l-2.9,1.3c-0.7-0.5-1.4-0.9-2.2-1.3l-0.3-3.1C36,2.2,35.8,2,35.5,2h-4.9c-0.3,0-0.6,0.2-0.6,0.5l-0.3,3.1 c-0.8,0.3-1.5,0.7-2.2,1.3l-2.9-1.3c-0.3-0.1-0.6,0-0.8,0.2l-2.5,4.3c-0.2,0.3-0.1,0.6,0.2,0.8l2.5,1.8C24,13.2,24,13.6,24,14 s0,0.8,0.1,1.3l-2.5,1.8c-0.3,0.2-0.3,0.5-0.2,0.8l2.5,4.3c0.2,0.3,0.5,0.4,0.8,0.2l2.9-1.3c0.7,0.5,1.4,0.9,2.2,1.3l0.3,3.1 c0,0.3,0.3,0.5,0.6,0.5h4.9c0.3,0,0.6-0.2,0.6-0.5l0.3-3.1c0.8-0.3,1.5-0.7,2.2-1.3l2.9,1.3c0.3,0.1,0.6,0,0.8-0.2l2.5-4.3 c0.2-0.3,0.1-0.6-0.2-0.8L41.9,15.3z M33,19c-2.8,0-5-2.2-5-5c0-2.8,2.2-5,5-5c2.8,0,5,2.2,5,5C38,16.8,35.8,19,33,19z"}}]})(props);
};
function FcSettings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#607D8B","d":"M39.6,27.2c0.1-0.7,0.2-1.4,0.2-2.2s-0.1-1.5-0.2-2.2l4.5-3.2c0.4-0.3,0.6-0.9,0.3-1.4L40,10.8 c-0.3-0.5-0.8-0.7-1.3-0.4l-5,2.3c-1.2-0.9-2.4-1.6-3.8-2.2l-0.5-5.5c-0.1-0.5-0.5-0.9-1-0.9h-8.6c-0.5,0-1,0.4-1,0.9l-0.5,5.5 c-1.4,0.6-2.7,1.3-3.8,2.2l-5-2.3c-0.5-0.2-1.1,0-1.3,0.4l-4.3,7.4c-0.3,0.5-0.1,1.1,0.3,1.4l4.5,3.2c-0.1,0.7-0.2,1.4-0.2,2.2 s0.1,1.5,0.2,2.2L4,30.4c-0.4,0.3-0.6,0.9-0.3,1.4L8,39.2c0.3,0.5,0.8,0.7,1.3,0.4l5-2.3c1.2,0.9,2.4,1.6,3.8,2.2l0.5,5.5 c0.1,0.5,0.5,0.9,1,0.9h8.6c0.5,0,1-0.4,1-0.9l0.5-5.5c1.4-0.6,2.7-1.3,3.8-2.2l5,2.3c0.5,0.2,1.1,0,1.3-0.4l4.3-7.4 c0.3-0.5,0.1-1.1-0.3-1.4L39.6,27.2z M24,35c-5.5,0-10-4.5-10-10c0-5.5,4.5-10,10-10c5.5,0,10,4.5,10,10C34,30.5,29.5,35,24,35z"}},{"tag":"path","attr":{"fill":"#455A64","d":"M24,13c-6.6,0-12,5.4-12,12c0,6.6,5.4,12,12,12s12-5.4,12-12C36,18.4,30.6,13,24,13z M24,30 c-2.8,0-5-2.2-5-5c0-2.8,2.2-5,5-5s5,2.2,5,5C29,27.8,26.8,30,24,30z"}}]})(props);
};
function FcShare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#1976D2","d":"M38.1,31.2L19.4,24l18.7-7.2c1.5-0.6,2.3-2.3,1.7-3.9c-0.6-1.5-2.3-2.3-3.9-1.7l-26,10C8.8,21.6,8,22.8,8,24 s0.8,2.4,1.9,2.8l26,10c0.4,0.1,0.7,0.2,1.1,0.2c1.2,0,2.3-0.7,2.8-1.9C40.4,33.5,39.6,31.8,38.1,31.2z"}},{"tag":"g","attr":{"fill":"#1E88E5"},"child":[{"tag":"circle","attr":{"cx":"11","cy":"24","r":"7"}},{"tag":"circle","attr":{"cx":"37","cy":"14","r":"7"}},{"tag":"circle","attr":{"cx":"37","cy":"34","r":"7"}}]}]})(props);
};
function FcShipped (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#8BC34A","d":"M43,36H29V14h10.6c0.9,0,1.6,0.6,1.9,1.4L45,26v8C45,35.1,44.1,36,43,36z"}},{"tag":"path","attr":{"fill":"#388E3C","d":"M29,36H5c-1.1,0-2-0.9-2-2V9c0-1.1,0.9-2,2-2h22c1.1,0,2,0.9,2,2V36z"}},{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"circle","attr":{"cx":"37","cy":"36","r":"5"}},{"tag":"circle","attr":{"cx":"13","cy":"36","r":"5"}}]},{"tag":"g","attr":{"fill":"#78909C"},"child":[{"tag":"circle","attr":{"cx":"37","cy":"36","r":"2"}},{"tag":"circle","attr":{"cx":"13","cy":"36","r":"2"}}]},{"tag":"path","attr":{"fill":"#37474F","d":"M41,25h-7c-0.6,0-1-0.4-1-1v-7c0-0.6,0.4-1,1-1h5.3c0.4,0,0.8,0.3,0.9,0.7l1.7,5.2c0,0.1,0.1,0.2,0.1,0.3V24 C42,24.6,41.6,25,41,25z"}},{"tag":"polygon","attr":{"fill":"#DCEDC8","points":"21.8,13.8 13.9,21.7 10.2,17.9 8,20.1 13.9,26 24,15.9"}}]})(props);
};
function FcShop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"5","y":"19","fill":"#CFD8DC","width":"38","height":"19"}},{"tag":"rect","attr":{"x":"5","y":"38","fill":"#B0BEC5","width":"38","height":"4"}},{"tag":"rect","attr":{"x":"27","y":"24","fill":"#455A64","width":"12","height":"18"}},{"tag":"rect","attr":{"x":"9","y":"24","fill":"#E3F2FD","width":"14","height":"11"}},{"tag":"rect","attr":{"x":"10","y":"25","fill":"#1E88E5","width":"12","height":"9"}},{"tag":"path","attr":{"fill":"#90A4AE","d":"M36.5,33.5c-0.3,0-0.5,0.2-0.5,0.5v2c0,0.3,0.2,0.5,0.5,0.5S37,36.3,37,36v-2C37,33.7,36.8,33.5,36.5,33.5z"}},{"tag":"g","attr":{"fill":"#558B2F"},"child":[{"tag":"circle","attr":{"cx":"24","cy":"19","r":"3"}},{"tag":"circle","attr":{"cx":"36","cy":"19","r":"3"}},{"tag":"circle","attr":{"cx":"12","cy":"19","r":"3"}}]},{"tag":"path","attr":{"fill":"#7CB342","d":"M40,6H8C6.9,6,6,6.9,6,8v3h36V8C42,6.9,41.1,6,40,6z"}},{"tag":"rect","attr":{"x":"21","y":"11","fill":"#7CB342","width":"6","height":"8"}},{"tag":"polygon","attr":{"fill":"#7CB342","points":"37,11 32,11 33,19 39,19"}},{"tag":"polygon","attr":{"fill":"#7CB342","points":"11,11 16,11 15,19 9,19"}},{"tag":"g","attr":{"fill":"#FFA000"},"child":[{"tag":"circle","attr":{"cx":"30","cy":"19","r":"3"}},{"tag":"path","attr":{"d":"M45,19c0,1.7-1.3,3-3,3s-3-1.3-3-3s1.3-3,3-3L45,19z"}},{"tag":"circle","attr":{"cx":"18","cy":"19","r":"3"}},{"tag":"path","attr":{"d":"M3,19c0,1.7,1.3,3,3,3s3-1.3,3-3s-1.3-3-3-3L3,19z"}}]},{"tag":"g","attr":{"fill":"#FFC107"},"child":[{"tag":"polygon","attr":{"points":"32,11 27,11 27,19 33,19"}},{"tag":"polygon","attr":{"points":"42,11 37,11 39,19 45,19"}},{"tag":"polygon","attr":{"points":"16,11 21,11 21,19 15,19"}},{"tag":"polygon","attr":{"points":"6,11 11,11 9,19 3,19"}}]}]})(props);
};
function FcSignature (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#1565C0","d":"M38.8,28.2C41.5,24.8,45,20.1,45,12c0-0.6-0.4-1-1-1s-1,0.4-1,1c0,6.7-2.5,10.7-5,13.9c-0.6-1.9-1-4.2-1-6.9 c0-0.5-0.4-1-1-1c-0.5,0-1,0.4-1,1c-0.1,1.7-0.6,3.6-1,3.8c-0.4,0-0.9-1.4-1-2.8c0-0.5-0.5-0.9-1-0.9c-0.5,0-1,0.3-1,0.9 c-0.3,1.7-1.1,4.1-2,4.1c-0.4,0-0.6-0.1-0.7-0.3c-0.3-0.3-0.4-1-0.4-1.6c0-0.4,0.1-0.8,0.1-1.2c0-0.5-0.4-1-0.9-1 c-0.5,0-1,0.3-1.1,0.8c0,0.1-0.1,0.5-0.1,1.1C25.7,23.6,25.1,27,23,27c-0.7,0-1.1-0.2-1.4-0.7c-0.5-0.8-0.5-2.1,0-3.3c0,0,0,0,0-0.1 c0.1-0.1,0.1-0.3,0.2-0.4c0,0,0,0,0,0c0.8-1.6,1.7-2.5,3.2-2.5c0.6,0,1-0.4,1-1s-0.4-1-1-1c-4.2,0-5.4,4.1-6.6,8 c-1.4,4.8-2.7,8-6.4,8c-5.1,0-7-6.6-7-11c0-8.6,4.7-14,9-14c2.9,0,4,2.3,4.1,2.4c0.2,0.5,0.8,0.7,1.3,0.5c0.5-0.2,0.7-0.8,0.5-1.3 C19.8,10.4,18.2,7,14,7C8.6,7,3,13,3,23c0,10.3,5.9,13,9,13c5.1,0,6.8-4.5,8.1-8.5c0.7,0.9,1.7,1.5,2.9,1.5c2.2,0,3.5-1.6,4.2-3.6 c0.5,0.4,1.1,0.6,1.8,0.6c1.4,0,2.4-1.2,3-2.4c0.4,0.7,1.1,1.2,2,1.2c0.6,0,1.1-0.3,1.5-0.7c0.3,1.4,0.7,2.7,1,3.8 C35.1,29.7,34,31.2,34,33c0,1.7,1.3,3,3,3c1.8,0,3-1.6,3-3c0-1.3-0.5-2.7-1.1-4.3C38.9,28.5,38.8,28.4,38.8,28.2z M37,34 c-0.7,0-1-0.5-1-1c0-0.9,0.5-1.8,1.3-2.9c0.4,1.2,0.7,2.1,0.7,2.9C38,33.3,37.7,34,37,34z"}},{"tag":"rect","attr":{"x":"3","y":"40","fill":"#90A4AE","width":"42","height":"2"}}]})(props);
};
function FcSimCardChip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FF9800","d":"M5,35V13c0-2.2,1.8-4,4-4h30c2.2,0,4,1.8,4,4v22c0,2.2-1.8,4-4,4H9C6.8,39,5,37.2,5,35z"}},{"tag":"g","attr":{"fill":"#FFD54F"},"child":[{"tag":"path","attr":{"d":"M43,21v-2H31c-1.1,0-2-0.9-2-2s0.9-2,2-2h1v-2h-1c-2.2,0-4,1.8-4,4s1.8,4,4,4h3v6h-3c-2.8,0-5,2.2-5,5 s2.2,5,5,5h2v-2h-2c-1.7,0-3-1.3-3-3s1.3-3,3-3h12v-2h-7v-6H43z"}},{"tag":"path","attr":{"d":"M17,27h-3v-6h3c2.2,0,4-1.8,4-4s-1.8-4-4-4h-3v2h3c1.1,0,2,0.9,2,2s-0.9,2-2,2H5v2h7v6H5v2h12 c1.7,0,3,1.3,3,3s-1.3,3-3,3h-2v2h2c2.8,0,5-2.2,5-5S19.8,27,17,27z"}}]}]})(props);
};
function FcSimCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#009688","d":"M36,45H12c-2.2,0-4-1.8-4-4V7c0-2.2,1.8-4,4-4h16.3c1.1,0,2.1,0.4,2.8,1.2l7.7,7.7c0.8,0.8,1.2,1.8,1.2,2.8 V41C40,43.2,38.2,45,36,45z"}},{"tag":"path","attr":{"fill":"#FF9800","d":"M32,38H16c-1.1,0-2-0.9-2-2V24c0-1.1,0.9-2,2-2h16c1.1,0,2,0.9,2,2v12C34,37.1,33.1,38,32,38z"}},{"tag":"path","attr":{"fill":"#FFD54F","d":"M29,30v3h5v2h-5v3h-2V22h2v6h5v2H29z M14,29v2h5v2h-5v2h5v3h2v-9H14z"}}]})(props);
};
function FcSlrBackSide (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#5E35B1","d":"M40,10h-7.6l-2-3c-0.4-0.6-1-0.9-1.7-0.9h-9.6c-0.7,0-1.3,0.3-1.7,0.9l-2,3H8c-2.2,0-4,1.8-4,4v24 c0,2.2,1.8,4,4,4h32c2.2,0,4-1.8,4-4V14C44,11.8,42.2,10,40,10z"}},{"tag":"path","attr":{"fill":"#F57C00","d":"M11,16h20c0.6,0,1,0.4,1,1v16c0,0.6-0.4,1-1,1H11c-0.6,0-1-0.4-1-1V17C10,16.4,10.4,16,11,16z"}},{"tag":"polygon","attr":{"fill":"#942A09","points":"18.9,22 12,32 25.8,32"}},{"tag":"circle","attr":{"fill":"#FFF9C4","cx":"27","cy":"21","r":"2"}},{"tag":"polygon","attr":{"fill":"#BF360C","points":"25.2,26 20.4,32 30,32"}},{"tag":"g","attr":{"fill":"#8667C4"},"child":[{"tag":"path","attr":{"d":"M34,10h6V9.2C40,8.5,39.5,8,38.8,8h-3.6C34.5,8,34,8.5,34,9.2V10z"}},{"tag":"circle","attr":{"cx":"38","cy":"18","r":"2"}},{"tag":"circle","attr":{"cx":"38","cy":"24","r":"2"}},{"tag":"circle","attr":{"cx":"38","cy":"30","r":"2"}}]}]})(props);
};
function FcSmartphoneTablet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#37474F","d":"M4,39V7c0-2.2,1.8-4,4-4h22c2.2,0,4,1.8,4,4v32c0,2.2-1.8,4-4,4H8C5.8,43,4,41.2,4,39z"}},{"tag":"path","attr":{"fill":"#BBDEFB","d":"M30,6H8C7.4,6,7,6.4,7,7v29c0,0.6,0.4,1,1,1h22c0.6,0,1-0.4,1-1V7C31,6.4,30.6,6,30,6z"}},{"tag":"rect","attr":{"x":"15","y":"39","fill":"#78909C","width":"6","height":"2"}},{"tag":"path","attr":{"fill":"#E38939","d":"M24,41V17c0-2.2,1.8-4,4-4h12c2.2,0,4,1.8,4,4v24c0,2.2-1.8,4-4,4H28C25.8,45,24,43.2,24,41z"}},{"tag":"path","attr":{"fill":"#FFF3E0","d":"M40,16H28c-0.6,0-1,0.4-1,1v22c0,0.6,0.4,1,1,1h12c0.6,0,1-0.4,1-1V17C41,16.4,40.6,16,40,16z"}},{"tag":"circle","attr":{"fill":"#A6642A","cx":"34","cy":"42.5","r":"1.5"}}]})(props);
};
function FcSms (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#009688","d":"M37,39H11l-6,6V11c0-3.3,2.7-6,6-6h26c3.3,0,6,2.7,6,6v22C43,36.3,40.3,39,37,39z"}},{"tag":"g","attr":{"fill":"#fff"},"child":[{"tag":"circle","attr":{"cx":"24","cy":"22","r":"3"}},{"tag":"circle","attr":{"cx":"34","cy":"22","r":"3"}},{"tag":"circle","attr":{"cx":"14","cy":"22","r":"3"}}]}]})(props);
};
function FcSoundRecordingCopyright (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#9C27B0","cx":"24","cy":"24","r":"21"}},{"tag":"path","attr":{"fill":"#E1BEE7","d":"M20.7,27.2v8.4h-3.9V12.9h8.7c1.3,0,2.5,0.2,3.5,0.5c1,0.4,1.9,0.9,2.6,1.5c0.7,0.6,1.2,1.4,1.6,2.3 c0.4,0.9,0.6,1.8,0.6,2.9c0,1.1-0.2,2.1-0.6,3c-0.4,0.9-0.9,1.6-1.6,2.2c-0.7,0.6-1.6,1.1-2.6,1.4c-1,0.3-2.2,0.5-3.5,0.5H20.7z M20.7,24h4.7c0.8,0,1.4-0.1,2-0.3c0.5-0.2,1-0.5,1.4-0.8c0.4-0.3,0.6-0.8,0.8-1.2c0.2-0.5,0.2-1,0.2-1.6c0-0.5-0.1-1-0.2-1.5 c-0.2-0.5-0.4-0.9-0.8-1.3c-0.4-0.4-0.8-0.7-1.4-0.9c-0.5-0.2-1.2-0.3-2-0.3h-4.7V24z"}}]})(props);
};
function FcSpeaker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#81D4FA","d":"M28,7.1v2c7.3,1,13,7.3,13,14.9s-5.7,13.9-13,14.9v2c8.4-1,15-8.2,15-16.9S36.4,8.1,28,7.1z"}},{"tag":"path","attr":{"fill":"#546E7A","d":"M14,32H7c-1.1,0-2-0.9-2-2V18c0-1.1,0.9-2,2-2h7V32z"}},{"tag":"polygon","attr":{"fill":"#78909C","points":"26,42 14,32 14,16 26,6"}},{"tag":"path","attr":{"fill":"#03A9F4","d":"M28,17.3v2.1c1.8,0.8,3,2.5,3,4.6s-1.2,3.8-3,4.6v2.1c2.9-0.9,5-3.5,5-6.7S30.9,18.2,28,17.3z"}},{"tag":"path","attr":{"fill":"#4FC3F7","d":"M28,12.2v2c4.6,0.9,8,5,8,9.8s-3.4,8.9-8,9.8v2c5.7-1,10-5.9,10-11.8S33.7,13.1,28,12.2z"}}]})(props);
};
function FcSportsMode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#FF9800","cx":"28","cy":"9","r":"5"}},{"tag":"path","attr":{"fill":"#00796B","d":"M29,27.3l-9.2-4.1c-1-0.5-1.5,1-2,2c-0.5,1-4.1,7.2-3.8,8.3c0.3,0.9,1.1,1.4,1.9,1.4c0.2,0,0.4,0,0.6-0.1 L28.8,31c0.8-0.2,1.4-1,1.4-1.8C30.2,28.4,29.7,27.6,29,27.3z"}},{"tag":"path","attr":{"fill":"#009688","d":"M26.8,15.2l-2.2-1c-1.3-0.6-2.9,0-3.5,1.3L9.2,41.1c-0.5,1,0,2.2,1,2.7c0.3,0.1,0.6,0.2,0.9,0.2 c0.8,0,1.5-0.4,1.8-1.1c0,0,9.6-13.3,10.4-14.9s4.9-9.3,4.9-9.3C28.7,17.4,28.2,15.8,26.8,15.2z"}},{"tag":"path","attr":{"fill":"#FF9800","d":"M40.5,15.7c-0.7-0.8-2-1-2.8-0.3l-5,4.2l-6.4-3.5c-1.1-0.6-2.6-0.4-3.3,0.9c-0.8,1.3-0.4,2.9,0.8,3.4 l8.3,3.4c0.3,0.1,0.6,0.2,0.9,0.2c0.5,0,0.9-0.2,1.3-0.5l6-5C41.1,17.8,41.2,16.6,40.5,15.7z"}},{"tag":"path","attr":{"fill":"#FF9800","d":"M11.7,23.1l3.4-5.1l4.6,0.6l1.5-3.1c0.4-0.9,1.2-1.4,2.1-1.5c-0.1,0-0.2,0-0.2,0h-9c-0.7,0-1.3,0.3-1.7,0.9 l-4,6c-0.6,0.9-0.4,2.2,0.6,2.8C9.2,23.9,9.6,24,10,24C10.6,24,11.3,23.7,11.7,23.1z"}}]})(props);
};
function FcStackOfPhotos (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"12.3","y":"12.3","transform":"matrix(.948 .318 -.318 .948 9.725 -6.994)","fill":"#64B5F6","width":"28","height":"28"}},{"tag":"rect","attr":{"x":"15.6","y":"15.4","transform":"matrix(.951 .31 -.31 .951 9.176 -6.977)","fill":"#1E88E5","width":"22","height":"20"}},{"tag":"rect","attr":{"x":"8.1","y":"8.1","transform":"matrix(.983 .181 -.181 .983 4.385 -3.65)","fill":"#90CAF9","width":"28","height":"28"}},{"tag":"rect","attr":{"x":"11.3","y":"11.2","transform":"matrix(.985 .175 -.175 .985 4.048 -3.566)","fill":"#42A5F5","width":"22","height":"20"}},{"tag":"rect","attr":{"x":"4","y":"4","fill":"#BBDEFB","width":"28","height":"28"}},{"tag":"rect","attr":{"x":"7","y":"7","fill":"#4CAF50","width":"22","height":"20"}},{"tag":"path","attr":{"fill":"#fff","d":"M16,13c0-1.1,0.9-2,2-2s2,0.9,2,2s-2,4-2,4S16,14.1,16,13z"}},{"tag":"path","attr":{"fill":"#fff","d":"M20,21c0,1.1-0.9,2-2,2s-2-0.9-2-2s2-4,2-4S20,19.9,20,21z"}},{"tag":"path","attr":{"fill":"#fff","d":"M13.5,16.7c-1-0.6-1.3-1.8-0.7-2.7c0.6-1,1.8-1.3,2.7-0.7c1,0.6,2.5,3.7,2.5,3.7S14.5,17.3,13.5,16.7z"}},{"tag":"path","attr":{"fill":"#fff","d":"M22.5,17.3c1,0.6,1.3,1.8,0.7,2.7c-0.6,1-1.8,1.3-2.7,0.7C19.5,20.2,18,17,18,17S21.5,16.7,22.5,17.3z"}},{"tag":"path","attr":{"fill":"#fff","d":"M22.5,16.7c1-0.6,1.3-1.8,0.7-2.7c-0.6-1-1.8-1.3-2.7-0.7C19.5,13.8,18,17,18,17S21.5,17.3,22.5,16.7z"}},{"tag":"path","attr":{"fill":"#fff","d":"M13.5,17.3c-1,0.6-1.3,1.8-0.7,2.7c0.6,1,1.8,1.3,2.7,0.7c1-0.6,2.5-3.7,2.5-3.7S14.5,16.7,13.5,17.3z"}},{"tag":"circle","attr":{"fill":"#FFC107","cx":"18","cy":"17","r":"2"}}]})(props);
};
function FcStart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#F44336","d":"M38,42H10c-2.2,0-4-1.8-4-4V10c0-2.2,1.8-4,4-4h28c2.2,0,4,1.8,4,4v28C42,40.2,40.2,42,38,42z"}},{"tag":"polygon","attr":{"fill":"#fff","points":"31,24 20,16 20,32"}}]})(props);
};
function FcStatistics (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"rect","attr":{"x":"23","y":"5","width":"2","height":"36"}},{"tag":"rect","attr":{"x":"20.5","y":"31.4","transform":"matrix(.707 .707 -.707 .707 33.523 -3.921)","width":"2","height":"14.2"}},{"tag":"rect","attr":{"x":"25.5","y":"31.4","transform":"matrix(-.707 .707 -.707 -.707 72.487 46.995)","width":"2","height":"14.2"}}]},{"tag":"rect","attr":{"x":"4","y":"8","fill":"#CFD8DC","width":"40","height":"28"}},{"tag":"g","attr":{"fill":"#607D8B"},"child":[{"tag":"rect","attr":{"x":"3","y":"7","width":"42","height":"4"}},{"tag":"rect","attr":{"x":"3","y":"35","width":"42","height":"2"}},{"tag":"circle","attr":{"cx":"31.5","cy":"43.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"16.5","cy":"43.5","r":"1.5"}}]},{"tag":"g","attr":{"fill":"#C51162"},"child":[{"tag":"polygon","attr":{"points":"31.9,18.9 26,24.9 20,18.9 11.9,26.9 14.1,29.1 20,23.1 26,29.1 34.1,21.1"}},{"tag":"polygon","attr":{"points":"36,24 29,17 36,17"}}]}]})(props);
};
function FcSteam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FFFFFF","d":"M42,38c0,2.209-1.791,4-4,4H10c-2.209,0-4-1.791-4-4V10c0-2.209,1.791-4,4-4h28c2.209,0,4,1.791,4,4V38z"}},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"fill":"#455A64","d":"M18.459,33.645c-0.288,0-0.56-0.057-0.822-0.141l-0.005,0.02l-3.67-1.062\r\n\t\tc0.644,1.878,2.406,3.237,4.5,3.237c2.641,0,4.776-2.136,4.776-4.776s-2.135-4.777-4.776-4.777c-1.141,0-2.175,0.418-2.998,1.087\r\n\t\tL19,28.255c0.029,0.007,0.055,0.018,0.084,0.024l0.049,0.016v0.002c1.177,0.301,2.049,1.359,2.049,2.626\r\n\t\tC21.184,32.424,19.964,33.645,18.459,33.645z"}},{"tag":"path","attr":{"fill":"#455A64","d":"M30.923,24.299c3.222,0,5.837-2.615,5.837-5.838c0-3.222-2.615-5.837-5.837-5.837\r\n\t\tc-3.221,0-5.837,2.615-5.837,5.837C25.086,21.684,27.702,24.299,30.923,24.299z M30.92,14.409c2.24,0,4.056,1.813,4.056,4.052\r\n\t\tc0,2.241-1.815,4.053-4.056,4.053c-2.236,0-4.049-1.812-4.049-4.053C26.871,16.223,28.684,14.409,30.92,14.409z"}},{"tag":"path","attr":{"fill":"#455A64","d":"M38,6h-2.75h-22.5H10c-2.209,0-4,1.791-4,4v2.75v4.236v7.509l7.027,2.033\r\n\t\tc1.287-1.59,3.229-2.626,5.434-2.626c0.07,0,0.135,0.02,0.204,0.021l3.876-5.355c0-0.035-0.005-0.072-0.005-0.105\r\n\t\tc0-4.63,3.755-8.388,8.387-8.388c4.633,0,8.386,3.757,8.386,8.386c0,4.633-3.753,8.387-8.386,8.387\r\n\t\tc-0.044,0-0.087-0.006-0.132-0.007l-5.33,3.871c0.002,0.07,0.021,0.14,0.021,0.211c0,3.878-3.142,7.021-7.021,7.021\r\n\t\tc-3.593,0-6.52-2.707-6.937-6.188L6,30.158v2.583v2.509V38c0,2.209,1.791,4,4,4h2.75h22.5H38c2.209,0,4-1.791,4-4v-2.75v-22.5V10\r\n\t\tC42,7.791,40.209,6,38,6z"}}]}]})(props);
};
function FcStumbleupon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#E64A19","d":"M24.001,5c-10.494,0-19,8.506-19,19c0,10.493,8.506,19,19,19c10.493,0,19-8.507,19-19\r\n\tC43.001,13.506,34.494,5,24.001,5z"}},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"fill":"#FFFFFF","d":"M24.001,19C23.998,19,24.004,19,24.001,19c-0.062-0.004-1,0-1,1v7.876C22.916,29.888,21.504,33,17.959,33\r\n\t\tc-3.607,0-4.958-3.065-4.958-4.958V24h4v4c0.038,0.709,0.629,1,1,1c0.665,0,0.972-0.361,1-1v-8.124c0-2.01,1.332-5,5-5\r\n\t\tc0.045,0,0.086,0.006,0.131,0.007c0,0,4.869-0.009,4.869,5.117c0,1.104-0.896,1.876-2,1.876s-2-0.771-2-1.876\r\n\t\tC25.001,19.124,24.041,19.003,24.001,19z M35.001,27.876c0,2.01-1.331,5.124-5,5.124s-5-3.114-5-5.124v-3.439\r\n\t\tc0.614,0.272,1.285,0.439,2,0.439c0.712,0,1.386-0.154,2-0.424V28c0.038,1,0.663,1,1,1c0.247,0,1,0,1-1v-4h4V27.876z"}}]}]})(props);
};
function FcSupport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#607D8B","d":"M44.7,11L36,19.6c0,0-2.6,0-5.2-2.6s-2.6-5.2-2.6-5.2l8.7-8.7c-4.9-1.2-10.8,0.4-14.4,4 c-5.4,5.4-0.6,12.3-2,13.7C12.9,28.7,5.1,34.7,4.9,35c-2.3,2.3-2.4,6-0.2,8.2c2.2,2.2,5.9,2.1,8.2-0.2c0.3-0.3,6.7-8.4,14.2-15.9 c1.4-1.4,8,3.7,13.6-1.8C44.2,21.7,45.9,15.9,44.7,11z M9.4,41.1c-1.4,0-2.5-1.1-2.5-2.5C6.9,37.1,8,36,9.4,36 c1.4,0,2.5,1.1,2.5,2.5C11.9,39.9,10.8,41.1,9.4,41.1z"}}]})(props);
};
function FcSurvey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#455A64","d":"M36,4H26c0,1.1-0.9,2-2,2s-2-0.9-2-2H12C9.8,4,8,5.8,8,8v32c0,2.2,1.8,4,4,4h24c2.2,0,4-1.8,4-4V8 C40,5.8,38.2,4,36,4z"}},{"tag":"path","attr":{"fill":"#fff","d":"M36,41H12c-0.6,0-1-0.4-1-1V8c0-0.6,0.4-1,1-1h24c0.6,0,1,0.4,1,1v32C37,40.6,36.6,41,36,41z"}},{"tag":"g","attr":{"fill":"#90A4AE"},"child":[{"tag":"path","attr":{"d":"M26,4c0,1.1-0.9,2-2,2s-2-0.9-2-2h-7v4c0,1.1,0.9,2,2,2h14c1.1,0,2-0.9,2-2V4H26z"}},{"tag":"path","attr":{"d":"M24,0c-2.2,0-4,1.8-4,4s1.8,4,4,4s4-1.8,4-4S26.2,0,24,0z M24,6c-1.1,0-2-0.9-2-2s0.9-2,2-2s2,0.9,2,2 S25.1,6,24,6z"}}]},{"tag":"g","attr":{"fill":"#CFD8DC"},"child":[{"tag":"rect","attr":{"x":"21","y":"20","width":"12","height":"2"}},{"tag":"rect","attr":{"x":"15","y":"19","width":"4","height":"4"}}]},{"tag":"g","attr":{"fill":"#03A9F4"},"child":[{"tag":"rect","attr":{"x":"21","y":"29","width":"12","height":"2"}},{"tag":"rect","attr":{"x":"15","y":"28","width":"4","height":"4"}}]}]})(props);
};
function FcSwitchCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#5E35B1"},"child":[{"tag":"path","attr":{"d":"M33.9,12.1H14.2L17.6,7c0.4-0.6,1-0.9,1.7-0.9h9.6c0.7,0,1.3,0.3,1.7,0.9L33.9,12.1z"}},{"tag":"path","attr":{"d":"M14,11H8V9.2C8,8.5,8.5,8,9.2,8h3.6C13.5,8,14,8.5,14,9.2V11z"}},{"tag":"path","attr":{"d":"M40,42H8c-2.2,0-4-1.8-4-4V14c0-2.2,1.8-4,4-4h32c2.2,0,4,1.8,4,4v24C44,40.2,42.2,42,40,42z"}}]},{"tag":"path","attr":{"fill":"#E8EAF6","d":"M34,25c0-5.5-4.5-10-10-10c-2.4,0-4.6,0.8-6.3,2.2l1.2,1.6c1.4-1.1,3.1-1.8,5.1-1.8c4.4,0,8,3.6,8,8h-3.5 l4.5,5.6l4.5-5.6H34z"}},{"tag":"path","attr":{"fill":"#E8EAF6","d":"M29.1,31.2C27.7,32.3,25.9,33,24,33c-4.4,0-8-3.6-8-8h3.5L15,19.4L10.5,25H14c0,5.5,4.5,10,10,10 c2.4,0,4.6-0.8,6.3-2.2L29.1,31.2z"}}]})(props);
};
function FcSynchronize (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#FF6F00","d":"M38.7,11.9l-3.1,2.5c2.2,2.7,3.4,6.1,3.4,9.5c0,8.3-6.7,15-15,15c-0.9,0-1.9-0.1-2.8-0.3l-0.7,3.9 c1.2,0.2,2.4,0.3,3.5,0.3c10.5,0,19-8.5,19-19C43,19.6,41.5,15.3,38.7,11.9z"}},{"tag":"polygon","attr":{"fill":"#FF6F02","points":"31,8 42.9,9.6 33.1,19.4"}},{"tag":"path","attr":{"fill":"#FF6F00","d":"M24,5C13.5,5,5,13.5,5,24c0,4.6,1.6,9,4.6,12.4l3-2.6C10.3,31.1,9,27.6,9,24c0-8.3,6.7-15,15-15 c0.9,0,1.9,0.1,2.8,0.3l0.7-3.9C26.4,5.1,25.2,5,24,5z"}},{"tag":"polygon","attr":{"fill":"#FF6F02","points":"17,40 5.1,38.4 14.9,28.6"}}]})(props);
};
function FcTabletAndroid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#37474F","d":"M8,41V7c0-2.2,1.8-4,4-4h24c2.2,0,4,1.8,4,4v34c0,2.2-1.8,4-4,4H12C9.8,45,8,43.2,8,41z"}},{"tag":"path","attr":{"fill":"#BBDEFB","d":"M36,6H12c-0.6,0-1,0.4-1,1v31c0,0.6,0.4,1,1,1h24c0.6,0,1-0.4,1-1V7C37,6.4,36.6,6,36,6z"}},{"tag":"rect","attr":{"x":"21","y":"41","fill":"#78909C","width":"6","height":"2"}}]})(props);
};
function FcTemplate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"4","y":"7","fill":"#BBDEFB","width":"40","height":"34"}},{"tag":"rect","attr":{"x":"9","y":"12","fill":"#3F51B5","width":"30","height":"5"}},{"tag":"g","attr":{"fill":"#2196F3"},"child":[{"tag":"rect","attr":{"x":"9","y":"21","width":"13","height":"16"}},{"tag":"rect","attr":{"x":"26","y":"21","width":"13","height":"16"}}]}]})(props);
};
function FcTimeline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#3F51B5","d":"M42,29H20.8c-0.5,0-1-0.2-1.4-0.6l-3.7-3.7c-0.4-0.4-0.4-1,0-1.4l3.7-3.7c0.4-0.4,0.9-0.6,1.4-0.6H42 c0.6,0,1,0.4,1,1v8C43,28.6,42.6,29,42,29z"}},{"tag":"rect","attr":{"x":"9","y":"6","fill":"#CFD8DC","width":"2","height":"36"}},{"tag":"g","attr":{"fill":"#90A4AE"},"child":[{"tag":"circle","attr":{"cx":"10","cy":"10","r":"3"}},{"tag":"circle","attr":{"cx":"10","cy":"24","r":"3"}},{"tag":"circle","attr":{"cx":"10","cy":"38","r":"3"}}]},{"tag":"path","attr":{"fill":"#448AFF","d":"M34,43H20.8c-0.5,0-1-0.2-1.4-0.6l-3.7-3.7c-0.4-0.4-0.4-1,0-1.4l3.7-3.7c0.4-0.4,0.9-0.6,1.4-0.6H34 c0.6,0,1,0.4,1,1v8C35,42.6,34.6,43,34,43z"}},{"tag":"path","attr":{"fill":"#00BCD4","d":"M35,15H20.8c-0.5,0-1-0.2-1.4-0.6l-3.7-3.7c-0.4-0.4-0.4-1,0-1.4l3.7-3.7C19.8,5.2,20.3,5,20.8,5H35 c0.6,0,1,0.4,1,1v8C36,14.6,35.6,15,35,15z"}}]})(props);
};
function FcTodoList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"polygon","attr":{"points":"17.8,18.1 10.4,25.4 6.2,21.3 4,23.5 10.4,29.9 20,20.3"}},{"tag":"polygon","attr":{"points":"17.8,5.1 10.4,12.4 6.2,8.3 4,10.5 10.4,16.9 20,7.3"}},{"tag":"polygon","attr":{"points":"17.8,31.1 10.4,38.4 6.2,34.3 4,36.5 10.4,42.9 20,33.3"}}]},{"tag":"g","attr":{"fill":"#90CAF9"},"child":[{"tag":"rect","attr":{"x":"24","y":"22","width":"20","height":"4"}},{"tag":"rect","attr":{"x":"24","y":"9","width":"20","height":"4"}},{"tag":"rect","attr":{"x":"24","y":"35","width":"20","height":"4"}}]}]})(props);
};
function FcTouchscreenSmartphone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#E38939","d":"M12,40V8c0-2.2,1.8-4,4-4h16c2.2,0,4,1.8,4,4v32c0,2.2-1.8,4-4,4H16C13.8,44,12,42.2,12,40z"}},{"tag":"path","attr":{"fill":"#FFF3E0","d":"M32,7H16c-0.6,0-1,0.4-1,1v29c0,0.6,0.4,1,1,1h16c0.6,0,1-0.4,1-1V8C33,7.4,32.6,7,32,7z"}},{"tag":"circle","attr":{"fill":"#A6642A","cx":"24","cy":"41","r":"1.5"}},{"tag":"circle","attr":{"fill":"#E91E63","cx":"24","cy":"23","r":"2"}},{"tag":"circle","attr":{"fill":"none","stroke":"#F48FB1","strokeWidth":"2","strokeMiterlimit":"10","cx":"24","cy":"23","r":"4"}},{"tag":"circle","attr":{"fill":"none","stroke":"#F8BBD0","strokeMiterlimit":"10","cx":"24","cy":"23","r":"6.5"}}]})(props);
};
function FcTrademark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"circle","attr":{"fill":"#9C27B0","cx":"24","cy":"24","r":"21"}},{"tag":"g","attr":{"fill":"#E1BEE7"},"child":[{"tag":"path","attr":{"d":"M20.6,18.5h-4.2v14.2h-3.5V18.5H8.7v-2.9h11.9V18.5z"}},{"tag":"path","attr":{"d":"M27.1,15.6L30.3,28l3.2-12.4h4.5v17.1h-3.5v-4.6l0.3-7.1l-3.4,11.8h-2.4L25.7,21l0.3,7.1v4.6h-3.5V15.6 H27.1z"}}]}]})(props);
};
function FcTreeStructure (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#90CAF9","points":"36.9,13.8 35.1,10.2 7.5,24 35.1,37.8 36.9,34.2 16.5,24"}},{"tag":"rect","attr":{"x":"6","y":"18","fill":"#D81B60","width":"12","height":"12"}},{"tag":"g","attr":{"fill":"#2196F3"},"child":[{"tag":"rect","attr":{"x":"30","y":"6","width":"12","height":"12"}},{"tag":"rect","attr":{"x":"30","y":"30","width":"12","height":"12"}}]}]})(props);
};
function FcTwoSmartphones (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#37474F","d":"M6,36V8c0-2.2,1.8-4,4-4h14c2.2,0,4,1.8,4,4v28c0,2.2-1.8,4-4,4H10C7.8,40,6,38.2,6,36z"}},{"tag":"path","attr":{"fill":"#BBDEFB","d":"M24,7H10C9.4,7,9,7.4,9,8v25c0,0.6,0.4,1,1,1h14c0.6,0,1-0.4,1-1V8C25,7.4,24.6,7,24,7z"}},{"tag":"rect","attr":{"x":"14","y":"36","fill":"#78909C","width":"6","height":"2"}},{"tag":"path","attr":{"fill":"#E38939","d":"M20,40V12c0-2.2,1.8-4,4-4h14c2.2,0,4,1.8,4,4v28c0,2.2-1.8,4-4,4H24C21.8,44,20,42.2,20,40z"}},{"tag":"path","attr":{"fill":"#FFF3E0","d":"M38,11H24c-0.6,0-1,0.4-1,1v25c0,0.6,0.4,1,1,1h14c0.6,0,1-0.4,1-1V12C39,11.4,38.6,11,38,11z"}},{"tag":"circle","attr":{"fill":"#A6642A","cx":"31","cy":"41","r":"1.5"}}]})(props);
};
function FcUndo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#00BCD4"},"child":[{"tag":"polygon","attr":{"points":"5,18 19,6.3 19,29.7"}},{"tag":"path","attr":{"d":"M28,14H16v8h12c2.8,0,5,2.2,5,5s-2.2,5-5,5h-3v8h3c7.2,0,13-5.8,13-13S35.2,14,28,14z"}}]}]})(props);
};
function FcUnlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#424242","d":"M24,4c-5.5,0-10,4.5-10,10v4h4v-4c0-3.3,2.7-6,6-6s6,2.7,6,6h4C34,8.5,29.5,4,24,4z"}},{"tag":"path","attr":{"fill":"#FB8C00","d":"M36,44H12c-2.2,0-4-1.8-4-4V22c0-2.2,1.8-4,4-4h24c2.2,0,4,1.8,4,4v18C40,42.2,38.2,44,36,44z"}},{"tag":"circle","attr":{"fill":"#C76E00","cx":"24","cy":"31","r":"3"}}]})(props);
};
function FcUpLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#3F51B5","points":"4,19 18,30.7 18,7.3"}},{"tag":"path","attr":{"fill":"#3F51B5","d":"M42,27v13h-8V27c0-2.2-1.8-4-4-4H13v-8h17C36.6,15,42,20.4,42,27z"}}]})(props);
};
function FcUpRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#3F51B5","points":"44,19 30,30.7 30,7.3"}},{"tag":"path","attr":{"fill":"#3F51B5","d":"M6,27v13h8V27c0-2.2,1.8-4,4-4h17v-8H18C11.4,15,6,20.4,6,27z"}},{"tag":"polygon","attr":{"fill":"#3F51B5","points":"44,19 30,30.7 30,7.3"}},{"tag":"path","attr":{"fill":"#3F51B5","d":"M6,27v13h8V27c0-2.2,1.8-4,4-4h17v-8H18C11.4,15,6,20.4,6,27z"}}]})(props);
};
function FcUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#3F51B5"},"child":[{"tag":"polygon","attr":{"points":"24,4 35.7,18 12.3,18"}},{"tag":"rect","attr":{"x":"20","y":"15","width":"8","height":"27"}}]}]})(props);
};
function FcUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#009688"},"child":[{"tag":"polygon","attr":{"points":"24,10.9 35,24 13,24"}},{"tag":"rect","attr":{"x":"20","y":"40","width":"8","height":"4"}},{"tag":"rect","attr":{"x":"20","y":"34","width":"8","height":"4"}},{"tag":"rect","attr":{"x":"20","y":"21","width":"8","height":"11"}},{"tag":"rect","attr":{"x":"6","y":"4","width":"36","height":"4"}}]}]})(props);
};
function FcUsb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#1565C0","d":"M38.701,24.355h-2.189l-0.467,2.265c0,0,2.277,0,2.51,0c0.233,0,1.545-0.167,1.545-1.267\r\n\tC40.1,24.266,38.701,24.355,38.701,24.355z M39.521,20.339h-2.15l-0.374,1.796c0,0,2.161,0,2.337,0c0.188,0,1.113-0.146,1.113-1.006\r\n\tC40.447,20.271,39.521,20.339,39.521,20.339z M44.064,23.109c0,0,1.436-0.743,1.436-3.093c0-3.715-4.377-3.516-4.377-3.516h-2.865\r\n\tl0.674-3c0,0-12.4,0-20.971,0c-9.344,0-12.158,6.774-12.158,6.774L5.736,20.5H2.547l-1.047,6h3.37l0.001,0.143\r\n\tc0,0-0.285,6.857,10.463,6.857c10.747,0,19.042,0,19.042,0l0.679-3c0.84,0,2.2,0,4.389,0c4.729,0,5.591-3.354,5.591-4.9\r\n\tC45.032,23.838,44.064,23.109,44.064,23.109z"}},{"tag":"path","attr":{"fill":"#FFFFFF","d":"M38.701,24.355h-2.189l-0.467,2.265c0,0,2.277,0,2.51,0c0.233,0,1.545-0.167,1.545-1.267\r\n\tC40.1,24.266,38.701,24.355,38.701,24.355z M39.521,20.339h-2.15l-0.374,1.796c0,0,2.161,0,2.337,0c0.188,0,1.113-0.146,1.113-1.006\r\n\tC40.447,20.271,39.521,20.339,39.521,20.339z M14.022,29.5c-5.306,0-5.306-3.624-5.238-3.986c0.069-0.363,1.789-8.014,1.789-8.014\r\n\th3.84l-1.358,6.354c0,0-0.971,2.728,1.251,2.728c2.081,0,2.336-2.535,2.336-2.535l1.465-6.543h3.839l-1.582,6.979\r\n\tC20.365,24.48,20.258,29.5,14.022,29.5z M26.098,29.521c-2.674,0-4.958-1.262-4.856-4.14h3.438c0,0.576,0.086,1.627,1.633,1.627\r\n\tc0.627,0,1.688-0.266,1.688-1.133c0-1.631-5.597-0.785-5.597-4.57c0-2.063,1.899-3.785,4.989-3.785c4.976,0,4.613,3.749,4.613,3.749\r\n\th-3.369c0-1.044-0.664-1.204-1.463-1.204c-0.8,0-1.372,0.343-1.372,0.944c0,1.471,5.634,0.456,5.634,4.531\r\n\tC31.436,27.305,30.012,29.521,26.098,29.521z M39.366,29.5c-0.419,0-7.515,0-7.515,0l2.601-12c0,0,5.444,0,6.556,0\r\n\tc1.113,0,3.43,0.234,3.43,2.542c0,2.602-2.227,3.013-2.227,3.013s1.764,0.407,1.764,2.473C43.975,29.457,39.775,29.5,39.366,29.5z"}}]})(props);
};
function FcVideoCall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#4CAF50","d":"M8,12h22c2.2,0,4,1.8,4,4v16c0,2.2-1.8,4-4,4H8c-2.2,0-4-1.8-4-4V16C4,13.8,5.8,12,8,12z"}},{"tag":"polygon","attr":{"fill":"#388E3C","points":"44,35 34,29 34,19 44,13"}}]})(props);
};
function FcVideoFile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"polygon","attr":{"fill":"#90CAF9","points":"40,45 8,45 8,3 30,3 40,13"}},{"tag":"polygon","attr":{"fill":"#E1F5FE","points":"38.5,14 29,14 29,4.5"}},{"tag":"polygon","attr":{"fill":"#1976D2","points":"30,28 20,22 20,34"}}]})(props);
};
function FcVideoProjector (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{"fill":"#546E7A"},"child":[{"tag":"rect","attr":{"x":"5","y":"34","width":"6","height":"3"}},{"tag":"rect","attr":{"x":"37","y":"34","width":"6","height":"3"}}]},{"tag":"path","attr":{"fill":"#78909C","d":"M44,35H4c-2.2,0-4-1.8-4-4V17c0-2.2,1.8-4,4-4h40c2.2,0,4,1.8,4,4v14C48,33.2,46.2,35,44,35z"}},{"tag":"g","attr":{"fill":"#37474F"},"child":[{"tag":"rect","attr":{"x":"5","y":"19","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"5","y":"23","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"5","y":"27","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"9","y":"19","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"9","y":"23","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"9","y":"27","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"13","y":"19","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"13","y":"23","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"13","y":"27","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"17","y":"19","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"17","y":"23","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"17","y":"27","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"21","y":"19","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"21","y":"23","width":"2","height":"2"}},{"tag":"rect","attr":{"x":"21","y":"27","width":"2","height":"2"}}]},{"tag":"circle","attr":{"fill":"#37474F","cx":"37","cy":"24","r":"8"}},{"tag":"circle","attr":{"fill":"#a0f","cx":"37","cy":"24","r":"6"}},{"tag":"path","attr":{"fill":"#EA80FC","d":"M40.7,21.7c-1-1.1-2.3-1.7-3.7-1.7s-2.8,0.6-3.7,1.7c-0.4,0.4-0.3,1,0.1,1.4c0.4,0.4,1,0.3,1.4-0.1 c1.2-1.3,3.3-1.3,4.5,0c0.2,0.2,0.5,0.3,0.7,0.3c0.2,0,0.5-0.1,0.7-0.3C41.1,22.7,41.1,22.1,40.7,21.7z"}}]})(props);
};
function FcViewDetails (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"7","y":"4","fill":"#BBDEFB","width":"34","height":"40"}},{"tag":"g","attr":{"fill":"#2196F3"},"child":[{"tag":"rect","attr":{"x":"13","y":"26","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"13","y":"18","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"13","y":"34","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"13","y":"10","width":"4","height":"4"}},{"tag":"rect","attr":{"x":"21","y":"26","width":"14","height":"4"}},{"tag":"rect","attr":{"x":"21","y":"18","width":"14","height":"4"}},{"tag":"rect","attr":{"x":"21","y":"34","width":"14","height":"4"}},{"tag":"rect","attr":{"x":"21","y":"10","width":"14","height":"4"}}]}]})(props);
};
function FcVip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#880E4F","d":"M38,43H10c-2.2,0-4-1.8-4-4V11c0-2.2,1.8-4,4-4h28c2.2,0,4,1.8,4,4v28C42,41.2,40.2,43,38,43z"}},{"tag":"g","attr":{"fill":"#FFD54F"},"child":[{"tag":"path","attr":{"d":"M15.9,28l2.1-9.1h2.8l-3.6,12.6h-2.6L11,18.9h2.8L15.9,28z"}},{"tag":"path","attr":{"d":"M25.6,31.5h-2.5V18.9h2.5V31.5z"}},{"tag":"path","attr":{"d":"M31.2,27.1v4.4h-2.5V18.9h4.3c3.7,0,4.1,3.4,4.1,4.2c0,1.2-0.5,4-4.1,4H31.2z M31.2,24.9h1.7 c1.3,0,1.5-1.1,1.5-1.9c0-1.6-0.9-2.1-1.5-2.1h-1.7V24.9z"}}]}]})(props);
};
function FcVlc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#F57C00","d":"M36.258,28.837c0,0-0.11-0.837-1.257-0.837c-0.216,0-2.392,0-3.719,0c0.798,2.671,1.497,5.135,1.497,5.279\r\n\tc0,2.387-3.401,3.393-8.917,3.393c-5.515,0-8.651-0.94-8.651-3.326c0-0.167,0.998-2.692,1.791-5.346c-1.591,0-3.863,0-4.063,0\r\n\tc-0.806,0-0.937,0.749-0.937,0.749L8.159,40.986L8.815,42h30.652l0.376-1.014L36.258,28.837z"}},{"tag":"path","attr":{"fill":"#E0E0E0","d":"M24.001,6c-1.029,0-1.864,0.179-1.864,0.398c-0.492,1.483-8.122,26.143-8.122,26.774\r\n\tc0,2.388,4.471,3.827,9.985,3.827s9.986-1.439,9.986-3.827c0-0.549-7.614-25.268-8.122-26.774C25.865,6.179,25.031,6,24.001,6\r\n\tL24.001,6z"}},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"fill":"#FF9800","d":"M33.196,30.447C32.032,32.232,28.341,34,24.046,34c-4.34,0-8.156-1.696-9.281-3.51\r\n\t\tc-0.499,1.483-0.892,2.647-0.892,3.28c0,2.386,4.533,4.229,10.128,4.229c5.595,0,10.131-1.844,10.131-4.229\r\n\t\tC34.132,33.222,33.713,31.955,33.196,30.447z"}},{"tag":"path","attr":{"fill":"#FF9800","d":"M31.387,24.314l-2.074-6.794c0,0-1.857,1.479-5.311,1.479c-3.453,0-5.316-1.479-5.316-1.479l-2.081,6.806\r\n\t\tc0,0,2.068,2.674,7.397,2.674C29.375,27,31.387,24.314,31.387,24.314z"}},{"tag":"path","attr":{"fill":"#FF9800","d":"M27.241,10.809l-1.376-4.41c0,0-0.083-0.398-1.864-0.398c-1.844,0-1.864,0.398-1.864,0.398l-1.376,4.407\r\n\t\tc0,0,0.885,1.194,3.239,1.194C26.355,12,27.241,10.809,27.241,10.809z"}}]}]})(props);
};
function FcVoicePresentation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#2196F3","d":"M40,22h-8l-4,4V12c0-2.2,1.8-4,4-4h8c2.2,0,4,1.8,4,4v6C44,20.2,42.2,22,40,22z"}},{"tag":"circle","attr":{"fill":"#FFA726","cx":"17","cy":"19","r":"8"}},{"tag":"path","attr":{"fill":"#607D8B","d":"M30,36.7c0,0-3.6-6.7-13-6.7S4,36.7,4,36.7V40h26V36.7z"}}]})(props);
};
function FcVoicemail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#4CAF50","d":"M48,24c0-6.1-4.9-11-11-11s-11,4.9-11,11c0,2.7,0.9,5.1,2.5,7h-9c1.6-1.9,2.5-4.3,2.5-7c0-6.1-4.9-11-11-11 S0,17.9,0,24s4.9,11,11,11h27v-0.1C43.6,34.4,48,29.7,48,24z M4,24c0-3.9,3.1-7,7-7s7,3.1,7,7s-3.1,7-7,7S4,27.9,4,24z M37,31 c-3.9,0-7-3.1-7-7s3.1-7,7-7c3.9,0,7,3.1,7,7S40.9,31,37,31z"}}]})(props);
};
function FcWebcam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#455A64","d":"M36.5,44H11.5c-1.1,0-1.8-1.2-1.3-2.2L13,37h22l2.7,4.8C38.3,42.8,37.6,44,36.5,44z"}},{"tag":"circle","attr":{"fill":"#78909C","cx":"24","cy":"23","r":"18"}},{"tag":"path","attr":{"fill":"#455A64","d":"M24,35c-6.6,0-12-5.4-12-12c0-6.6,5.4-12,12-12s12,5.4,12,12C36,29.6,30.6,35,24,35z"}},{"tag":"circle","attr":{"fill":"#42A5F5","cx":"24","cy":"23","r":"9"}},{"tag":"path","attr":{"fill":"#90CAF9","d":"M28.8,20c-1.2-1.4-3-2.2-4.8-2.2s-3.6,0.8-4.8,2.2c-0.5,0.5-0.4,1.3,0.1,1.8c0.5,0.5,1.3,0.4,1.8-0.1 c1.5-1.7,4.3-1.7,5.8,0c0.3,0.3,0.6,0.4,1,0.4c0.3,0,0.6-0.1,0.9-0.3C29.2,21.4,29.3,20.5,28.8,20z"}}]})(props);
};
function FcWiFiLogo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"fill":"#3F51B5","d":"M46,26.48c0,4.527-3.268,7.52-7.3,7.52H9.299C5.269,34,2,30.634,2,26.48V21.52C2,17.366,5.269,14,9.299,14\r\n\t\tH38.7c4.032,0,7.3,3.366,7.3,7.52V26.48z"}},{"tag":"ellipse","attr":{"fill":"#3F51B5","cx":"24","cy":"24","rx":"14.902","ry":"15"}}]},{"tag":"g","attr":{},"child":[{"tag":"polygon","attr":{"fill":"#FFFFFF","points":"17,19 14.264,19 13.427,24.859 12.388,19.028 9.93,19.028 8.864,24.859 8.054,19.028 5.266,19.028 \r\n\t\t7.597,29 10.056,29 11.12,22.854 12.209,29 14.693,29 \t"}},{"tag":"rect","attr":{"x":"19","y":"22","fill":"#FFFFFF","width":"2.508","height":"7"}},{"tag":"path","attr":{"fill":"#FFFFFF","d":"M21.5,19.747C21.5,20.44,20.94,21,20.25,21S19,20.44,19,19.747c0-0.696,0.56-1.258,1.25-1.258\r\n\t\tS21.5,19.051,21.5,19.747z"}},{"tag":"path","attr":{"fill":"#FFFFFF","d":"M38.561,16c-4.818,0-7.979,0-7.979,0S25,16.193,25,21.914v4.336c0,0,0.101,2.941-3,5.75h16.785\r\n\t\tc0,0,5.215,0,5.215-5.553c0-4.879,0-4.879,0-4.879S43.772,16,38.561,16z M37.339,21.369h-5.651v2.236h5.094v2.344h-5.094V29H29V19\r\n\t\th8.339V21.369z M40.25,18.489c0.689,0,1.25,0.562,1.25,1.258C41.5,20.44,40.939,21,40.25,21S39,20.44,39,19.747\r\n\t\tC39,19.051,39.561,18.489,40.25,18.489z M41.508,29H39v-7h2.508V29z"}}]}]})(props);
};
function FcWikipedia (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1.1","x":"0px","y":"0px","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"path","attr":{"fill":"#CFD8DC","d":"M6,10c0-2.209,1.791-4,4-4h28c2.209,0,4,1.791,4,4v28c0,2.209-1.791,4-4,4H10c-2.209,0-4-1.791-4-4V10z"}},{"tag":"path","attr":{"fill":"#37474F","d":"M39,17.271c0,0.191-0.148,0.349-0.334,0.349h-1.799l-8.164,18.179c-0.052,0.12-0.17,0.2-0.297,0.202h-0.004\r\n\tc-0.127,0-0.242-0.074-0.298-0.193l-3.874-8.039l-4.18,8.049c-0.06,0.116-0.167,0.181-0.303,0.184\r\n\tc-0.125-0.004-0.239-0.082-0.292-0.199l-8.252-18.182h-1.87C9.149,17.619,9,17.462,9,17.271V16.35C9,16.155,9.149,16,9.333,16h6.657\r\n\tc0.184,0,0.333,0.155,0.333,0.35v0.921c0,0.191-0.149,0.349-0.333,0.349h-1.433l5.696,13.748l2.964-5.793l-3.757-7.953h-0.904\r\n\tc-0.184,0-0.333-0.157-0.333-0.35V16.35c0-0.191,0.149-0.348,0.333-0.348h4.924c0.184,0,0.333,0.156,0.333,0.348v0.922\r\n\tc0,0.192-0.149,0.35-0.333,0.35h-0.867l2.162,4.948l2.572-4.948H25.77c-0.187,0-0.334-0.157-0.334-0.35V16.35\r\n\tc0-0.191,0.147-0.348,0.334-0.348h4.784c0.187,0,0.333,0.156,0.333,0.348v0.922c0,0.192-0.146,0.35-0.333,0.35h-1.05l-3.757,7.141\r\n\tl3.063,6.584l5.905-13.725h-1.872c-0.184,0-0.334-0.157-0.334-0.35V16.35c0-0.191,0.15-0.348,0.334-0.348h5.822\r\n\tc0.186,0,0.334,0.156,0.334,0.348V17.271z"}}]})(props);
};
function FcWorkflow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"version":"1","viewBox":"0 0 48 48","enableBackground":"new 0 0 48 48"},"child":[{"tag":"rect","attr":{"x":"7","y":"31","fill":"#00BCD4","width":"10","height":"10"}},{"tag":"path","attr":{"fill":"#00BCD4","d":"M35.3,19.3l-5.6-5.6c-0.4-0.4-0.4-1,0-1.4l5.6-5.6c0.4-0.4,1-0.4,1.4,0l5.6,5.6c0.4,0.4,0.4,1,0,1.4 l-5.6,5.6C36.3,19.7,35.7,19.7,35.3,19.3z"}},{"tag":"circle","attr":{"fill":"#3F51B5","cx":"12","cy":"13","r":"6"}},{"tag":"circle","attr":{"fill":"#448AFF","cx":"36","cy":"36","r":"6"}},{"tag":"g","attr":{"fill":"#90A4AE"},"child":[{"tag":"rect","attr":{"x":"11","y":"24","width":"2","height":"5"}},{"tag":"polygon","attr":{"points":"12,21 9,25 15,25"}}]},{"tag":"g","attr":{"fill":"#90A4AE"},"child":[{"tag":"rect","attr":{"x":"20","y":"12","width":"5","height":"2"}},{"tag":"polygon","attr":{"points":"28,13 24,10 24,16"}}]},{"tag":"g","attr":{"fill":"#90A4AE"},"child":[{"tag":"rect","attr":{"x":"35","y":"21","width":"2","height":"5"}},{"tag":"polygon","attr":{"points":"36,29 39,25 33,25"}}]}]})(props);
};


/***/ }),

/***/ "./node_modules/react-icons/gi/index.esm.js":
/*!**************************************************!*\
  !*** ./node_modules/react-icons/gi/index.esm.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Gi3DGlasses": () => (/* binding */ Gi3DGlasses),
/* harmony export */   "Gi3DHammer": () => (/* binding */ Gi3DHammer),
/* harmony export */   "Gi3DMeeple": () => (/* binding */ Gi3DMeeple),
/* harmony export */   "Gi3DStairs": () => (/* binding */ Gi3DStairs),
/* harmony export */   "GiAbacus": () => (/* binding */ GiAbacus),
/* harmony export */   "GiAbbotMeeple": () => (/* binding */ GiAbbotMeeple),
/* harmony export */   "GiAbstract001": () => (/* binding */ GiAbstract001),
/* harmony export */   "GiAbstract002": () => (/* binding */ GiAbstract002),
/* harmony export */   "GiAbstract003": () => (/* binding */ GiAbstract003),
/* harmony export */   "GiAbstract004": () => (/* binding */ GiAbstract004),
/* harmony export */   "GiAbstract005": () => (/* binding */ GiAbstract005),
/* harmony export */   "GiAbstract006": () => (/* binding */ GiAbstract006),
/* harmony export */   "GiAbstract007": () => (/* binding */ GiAbstract007),
/* harmony export */   "GiAbstract008": () => (/* binding */ GiAbstract008),
/* harmony export */   "GiAbstract009": () => (/* binding */ GiAbstract009),
/* harmony export */   "GiAbstract010": () => (/* binding */ GiAbstract010),
/* harmony export */   "GiAbstract011": () => (/* binding */ GiAbstract011),
/* harmony export */   "GiAbstract012": () => (/* binding */ GiAbstract012),
/* harmony export */   "GiAbstract013": () => (/* binding */ GiAbstract013),
/* harmony export */   "GiAbstract014": () => (/* binding */ GiAbstract014),
/* harmony export */   "GiAbstract015": () => (/* binding */ GiAbstract015),
/* harmony export */   "GiAbstract016": () => (/* binding */ GiAbstract016),
/* harmony export */   "GiAbstract017": () => (/* binding */ GiAbstract017),
/* harmony export */   "GiAbstract018": () => (/* binding */ GiAbstract018),
/* harmony export */   "GiAbstract019": () => (/* binding */ GiAbstract019),
/* harmony export */   "GiAbstract020": () => (/* binding */ GiAbstract020),
/* harmony export */   "GiAbstract021": () => (/* binding */ GiAbstract021),
/* harmony export */   "GiAbstract022": () => (/* binding */ GiAbstract022),
/* harmony export */   "GiAbstract023": () => (/* binding */ GiAbstract023),
/* harmony export */   "GiAbstract024": () => (/* binding */ GiAbstract024),
/* harmony export */   "GiAbstract025": () => (/* binding */ GiAbstract025),
/* harmony export */   "GiAbstract026": () => (/* binding */ GiAbstract026),
/* harmony export */   "GiAbstract027": () => (/* binding */ GiAbstract027),
/* harmony export */   "GiAbstract028": () => (/* binding */ GiAbstract028),
/* harmony export */   "GiAbstract029": () => (/* binding */ GiAbstract029),
/* harmony export */   "GiAbstract030": () => (/* binding */ GiAbstract030),
/* harmony export */   "GiAbstract031": () => (/* binding */ GiAbstract031),
/* harmony export */   "GiAbstract032": () => (/* binding */ GiAbstract032),
/* harmony export */   "GiAbstract033": () => (/* binding */ GiAbstract033),
/* harmony export */   "GiAbstract034": () => (/* binding */ GiAbstract034),
/* harmony export */   "GiAbstract035": () => (/* binding */ GiAbstract035),
/* harmony export */   "GiAbstract036": () => (/* binding */ GiAbstract036),
/* harmony export */   "GiAbstract037": () => (/* binding */ GiAbstract037),
/* harmony export */   "GiAbstract038": () => (/* binding */ GiAbstract038),
/* harmony export */   "GiAbstract039": () => (/* binding */ GiAbstract039),
/* harmony export */   "GiAbstract040": () => (/* binding */ GiAbstract040),
/* harmony export */   "GiAbstract041": () => (/* binding */ GiAbstract041),
/* harmony export */   "GiAbstract042": () => (/* binding */ GiAbstract042),
/* harmony export */   "GiAbstract043": () => (/* binding */ GiAbstract043),
/* harmony export */   "GiAbstract044": () => (/* binding */ GiAbstract044),
/* harmony export */   "GiAbstract045": () => (/* binding */ GiAbstract045),
/* harmony export */   "GiAbstract046": () => (/* binding */ GiAbstract046),
/* harmony export */   "GiAbstract047": () => (/* binding */ GiAbstract047),
/* harmony export */   "GiAbstract048": () => (/* binding */ GiAbstract048),
/* harmony export */   "GiAbstract049": () => (/* binding */ GiAbstract049),
/* harmony export */   "GiAbstract050": () => (/* binding */ GiAbstract050),
/* harmony export */   "GiAbstract051": () => (/* binding */ GiAbstract051),
/* harmony export */   "GiAbstract052": () => (/* binding */ GiAbstract052),
/* harmony export */   "GiAbstract053": () => (/* binding */ GiAbstract053),
/* harmony export */   "GiAbstract054": () => (/* binding */ GiAbstract054),
/* harmony export */   "GiAbstract055": () => (/* binding */ GiAbstract055),
/* harmony export */   "GiAbstract056": () => (/* binding */ GiAbstract056),
/* harmony export */   "GiAbstract057": () => (/* binding */ GiAbstract057),
/* harmony export */   "GiAbstract058": () => (/* binding */ GiAbstract058),
/* harmony export */   "GiAbstract059": () => (/* binding */ GiAbstract059),
/* harmony export */   "GiAbstract060": () => (/* binding */ GiAbstract060),
/* harmony export */   "GiAbstract061": () => (/* binding */ GiAbstract061),
/* harmony export */   "GiAbstract062": () => (/* binding */ GiAbstract062),
/* harmony export */   "GiAbstract063": () => (/* binding */ GiAbstract063),
/* harmony export */   "GiAbstract064": () => (/* binding */ GiAbstract064),
/* harmony export */   "GiAbstract065": () => (/* binding */ GiAbstract065),
/* harmony export */   "GiAbstract066": () => (/* binding */ GiAbstract066),
/* harmony export */   "GiAbstract067": () => (/* binding */ GiAbstract067),
/* harmony export */   "GiAbstract068": () => (/* binding */ GiAbstract068),
/* harmony export */   "GiAbstract069": () => (/* binding */ GiAbstract069),
/* harmony export */   "GiAbstract070": () => (/* binding */ GiAbstract070),
/* harmony export */   "GiAbstract071": () => (/* binding */ GiAbstract071),
/* harmony export */   "GiAbstract072": () => (/* binding */ GiAbstract072),
/* harmony export */   "GiAbstract073": () => (/* binding */ GiAbstract073),
/* harmony export */   "GiAbstract074": () => (/* binding */ GiAbstract074),
/* harmony export */   "GiAbstract075": () => (/* binding */ GiAbstract075),
/* harmony export */   "GiAbstract076": () => (/* binding */ GiAbstract076),
/* harmony export */   "GiAbstract077": () => (/* binding */ GiAbstract077),
/* harmony export */   "GiAbstract078": () => (/* binding */ GiAbstract078),
/* harmony export */   "GiAbstract079": () => (/* binding */ GiAbstract079),
/* harmony export */   "GiAbstract080": () => (/* binding */ GiAbstract080),
/* harmony export */   "GiAbstract081": () => (/* binding */ GiAbstract081),
/* harmony export */   "GiAbstract082": () => (/* binding */ GiAbstract082),
/* harmony export */   "GiAbstract083": () => (/* binding */ GiAbstract083),
/* harmony export */   "GiAbstract084": () => (/* binding */ GiAbstract084),
/* harmony export */   "GiAbstract085": () => (/* binding */ GiAbstract085),
/* harmony export */   "GiAbstract086": () => (/* binding */ GiAbstract086),
/* harmony export */   "GiAbstract087": () => (/* binding */ GiAbstract087),
/* harmony export */   "GiAbstract088": () => (/* binding */ GiAbstract088),
/* harmony export */   "GiAbstract089": () => (/* binding */ GiAbstract089),
/* harmony export */   "GiAbstract090": () => (/* binding */ GiAbstract090),
/* harmony export */   "GiAbstract091": () => (/* binding */ GiAbstract091),
/* harmony export */   "GiAbstract092": () => (/* binding */ GiAbstract092),
/* harmony export */   "GiAbstract093": () => (/* binding */ GiAbstract093),
/* harmony export */   "GiAbstract094": () => (/* binding */ GiAbstract094),
/* harmony export */   "GiAbstract095": () => (/* binding */ GiAbstract095),
/* harmony export */   "GiAbstract096": () => (/* binding */ GiAbstract096),
/* harmony export */   "GiAbstract097": () => (/* binding */ GiAbstract097),
/* harmony export */   "GiAbstract098": () => (/* binding */ GiAbstract098),
/* harmony export */   "GiAbstract099": () => (/* binding */ GiAbstract099),
/* harmony export */   "GiAbstract100": () => (/* binding */ GiAbstract100),
/* harmony export */   "GiAbstract101": () => (/* binding */ GiAbstract101),
/* harmony export */   "GiAbstract102": () => (/* binding */ GiAbstract102),
/* harmony export */   "GiAbstract103": () => (/* binding */ GiAbstract103),
/* harmony export */   "GiAbstract104": () => (/* binding */ GiAbstract104),
/* harmony export */   "GiAbstract105": () => (/* binding */ GiAbstract105),
/* harmony export */   "GiAbstract106": () => (/* binding */ GiAbstract106),
/* harmony export */   "GiAbstract107": () => (/* binding */ GiAbstract107),
/* harmony export */   "GiAbstract108": () => (/* binding */ GiAbstract108),
/* harmony export */   "GiAbstract109": () => (/* binding */ GiAbstract109),
/* harmony export */   "GiAbstract110": () => (/* binding */ GiAbstract110),
/* harmony export */   "GiAbstract111": () => (/* binding */ GiAbstract111),
/* harmony export */   "GiAbstract112": () => (/* binding */ GiAbstract112),
/* harmony export */   "GiAbstract113": () => (/* binding */ GiAbstract113),
/* harmony export */   "GiAbstract114": () => (/* binding */ GiAbstract114),
/* harmony export */   "GiAbstract115": () => (/* binding */ GiAbstract115),
/* harmony export */   "GiAbstract116": () => (/* binding */ GiAbstract116),
/* harmony export */   "GiAbstract117": () => (/* binding */ GiAbstract117),
/* harmony export */   "GiAbstract118": () => (/* binding */ GiAbstract118),
/* harmony export */   "GiAbstract119": () => (/* binding */ GiAbstract119),
/* harmony export */   "GiAbstract120": () => (/* binding */ GiAbstract120),
/* harmony export */   "GiAbstract121": () => (/* binding */ GiAbstract121),
/* harmony export */   "GiAce": () => (/* binding */ GiAce),
/* harmony export */   "GiAchievement": () => (/* binding */ GiAchievement),
/* harmony export */   "GiAchillesHeel": () => (/* binding */ GiAchillesHeel),
/* harmony export */   "GiAcid": () => (/* binding */ GiAcid),
/* harmony export */   "GiAcidBlob": () => (/* binding */ GiAcidBlob),
/* harmony export */   "GiAcidTube": () => (/* binding */ GiAcidTube),
/* harmony export */   "GiAcorn": () => (/* binding */ GiAcorn),
/* harmony export */   "GiAcousticMegaphone": () => (/* binding */ GiAcousticMegaphone),
/* harmony export */   "GiAcrobatic": () => (/* binding */ GiAcrobatic),
/* harmony export */   "GiAerialSignal": () => (/* binding */ GiAerialSignal),
/* harmony export */   "GiAerodynamicHarpoon": () => (/* binding */ GiAerodynamicHarpoon),
/* harmony export */   "GiAerosol": () => (/* binding */ GiAerosol),
/* harmony export */   "GiAfrica": () => (/* binding */ GiAfrica),
/* harmony export */   "GiAfterburn": () => (/* binding */ GiAfterburn),
/* harmony export */   "GiAgave": () => (/* binding */ GiAgave),
/* harmony export */   "GiAges": () => (/* binding */ GiAges),
/* harmony export */   "GiAirBalloon": () => (/* binding */ GiAirBalloon),
/* harmony export */   "GiAirForce": () => (/* binding */ GiAirForce),
/* harmony export */   "GiAirZigzag": () => (/* binding */ GiAirZigzag),
/* harmony export */   "GiAirplane": () => (/* binding */ GiAirplane),
/* harmony export */   "GiAirplaneArrival": () => (/* binding */ GiAirplaneArrival),
/* harmony export */   "GiAirplaneDeparture": () => (/* binding */ GiAirplaneDeparture),
/* harmony export */   "GiAirtightHatch": () => (/* binding */ GiAirtightHatch),
/* harmony export */   "GiAk47": () => (/* binding */ GiAk47),
/* harmony export */   "GiAk47U": () => (/* binding */ GiAk47U),
/* harmony export */   "GiAkhet": () => (/* binding */ GiAkhet),
/* harmony export */   "GiAlarmClock": () => (/* binding */ GiAlarmClock),
/* harmony export */   "GiAlgae": () => (/* binding */ GiAlgae),
/* harmony export */   "GiAlgeria": () => (/* binding */ GiAlgeria),
/* harmony export */   "GiAlienBug": () => (/* binding */ GiAlienBug),
/* harmony export */   "GiAlienEgg": () => (/* binding */ GiAlienEgg),
/* harmony export */   "GiAlienFire": () => (/* binding */ GiAlienFire),
/* harmony export */   "GiAlienSkull": () => (/* binding */ GiAlienSkull),
/* harmony export */   "GiAlienStare": () => (/* binding */ GiAlienStare),
/* harmony export */   "GiAllForOne": () => (/* binding */ GiAllForOne),
/* harmony export */   "GiAllSeeingEye": () => (/* binding */ GiAllSeeingEye),
/* harmony export */   "GiAlliedStar": () => (/* binding */ GiAlliedStar),
/* harmony export */   "GiAlligatorClip": () => (/* binding */ GiAlligatorClip),
/* harmony export */   "GiAlmond": () => (/* binding */ GiAlmond),
/* harmony export */   "GiAmberMosquito": () => (/* binding */ GiAmberMosquito),
/* harmony export */   "GiAmbulance": () => (/* binding */ GiAmbulance),
/* harmony export */   "GiAmericanFootballBall": () => (/* binding */ GiAmericanFootballBall),
/* harmony export */   "GiAmericanFootballHelmet": () => (/* binding */ GiAmericanFootballHelmet),
/* harmony export */   "GiAmericanFootballPlayer": () => (/* binding */ GiAmericanFootballPlayer),
/* harmony export */   "GiAmericanShield": () => (/* binding */ GiAmericanShield),
/* harmony export */   "GiAmethyst": () => (/* binding */ GiAmethyst),
/* harmony export */   "GiAmmoBox": () => (/* binding */ GiAmmoBox),
/* harmony export */   "GiAmmonite": () => (/* binding */ GiAmmonite),
/* harmony export */   "GiAmmoniteFossil": () => (/* binding */ GiAmmoniteFossil),
/* harmony export */   "GiAmphora": () => (/* binding */ GiAmphora),
/* harmony export */   "GiAmpleDress": () => (/* binding */ GiAmpleDress),
/* harmony export */   "GiAmplitude": () => (/* binding */ GiAmplitude),
/* harmony export */   "GiAmputation": () => (/* binding */ GiAmputation),
/* harmony export */   "GiAnarchy": () => (/* binding */ GiAnarchy),
/* harmony export */   "GiAnatomy": () => (/* binding */ GiAnatomy),
/* harmony export */   "GiAnchor": () => (/* binding */ GiAnchor),
/* harmony export */   "GiAncientColumns": () => (/* binding */ GiAncientColumns),
/* harmony export */   "GiAncientRuins": () => (/* binding */ GiAncientRuins),
/* harmony export */   "GiAncientScrew": () => (/* binding */ GiAncientScrew),
/* harmony export */   "GiAncientSword": () => (/* binding */ GiAncientSword),
/* harmony export */   "GiAndroidMask": () => (/* binding */ GiAndroidMask),
/* harmony export */   "GiAndromedaChain": () => (/* binding */ GiAndromedaChain),
/* harmony export */   "GiAngelOutfit": () => (/* binding */ GiAngelOutfit),
/* harmony export */   "GiAngelWings": () => (/* binding */ GiAngelWings),
/* harmony export */   "GiAnglerFish": () => (/* binding */ GiAnglerFish),
/* harmony export */   "GiAngola": () => (/* binding */ GiAngola),
/* harmony export */   "GiAngryEyes": () => (/* binding */ GiAngryEyes),
/* harmony export */   "GiAngularSpider": () => (/* binding */ GiAngularSpider),
/* harmony export */   "GiAnimalHide": () => (/* binding */ GiAnimalHide),
/* harmony export */   "GiAnimalSkull": () => (/* binding */ GiAnimalSkull),
/* harmony export */   "GiAnkh": () => (/* binding */ GiAnkh),
/* harmony export */   "GiAnnexation": () => (/* binding */ GiAnnexation),
/* harmony export */   "GiAnt": () => (/* binding */ GiAnt),
/* harmony export */   "GiAntarctica": () => (/* binding */ GiAntarctica),
/* harmony export */   "GiAnthem": () => (/* binding */ GiAnthem),
/* harmony export */   "GiAntiAircraftGun": () => (/* binding */ GiAntiAircraftGun),
/* harmony export */   "GiAntibody": () => (/* binding */ GiAntibody),
/* harmony export */   "GiAnticlockwiseRotation": () => (/* binding */ GiAnticlockwiseRotation),
/* harmony export */   "GiAnts": () => (/* binding */ GiAnts),
/* harmony export */   "GiAnubis": () => (/* binding */ GiAnubis),
/* harmony export */   "GiAnvil": () => (/* binding */ GiAnvil),
/* harmony export */   "GiAnvilImpact": () => (/* binding */ GiAnvilImpact),
/* harmony export */   "GiApc": () => (/* binding */ GiApc),
/* harmony export */   "GiApolloCapsule": () => (/* binding */ GiApolloCapsule),
/* harmony export */   "GiApothecary": () => (/* binding */ GiApothecary),
/* harmony export */   "GiAppleCore": () => (/* binding */ GiAppleCore),
/* harmony export */   "GiAppleMaggot": () => (/* binding */ GiAppleMaggot),
/* harmony export */   "GiAppleSeeds": () => (/* binding */ GiAppleSeeds),
/* harmony export */   "GiAquarium": () => (/* binding */ GiAquarium),
/* harmony export */   "GiAquarius": () => (/* binding */ GiAquarius),
/* harmony export */   "GiAqueduct": () => (/* binding */ GiAqueduct),
/* harmony export */   "GiArabicDoor": () => (/* binding */ GiArabicDoor),
/* harmony export */   "GiArcTriomphe": () => (/* binding */ GiArcTriomphe),
/* harmony export */   "GiArchBridge": () => (/* binding */ GiArchBridge),
/* harmony export */   "GiArcher": () => (/* binding */ GiArcher),
/* harmony export */   "GiArcheryTarget": () => (/* binding */ GiArcheryTarget),
/* harmony export */   "GiArchitectMask": () => (/* binding */ GiArchitectMask),
/* harmony export */   "GiArchiveResearch": () => (/* binding */ GiArchiveResearch),
/* harmony export */   "GiArcingBolt": () => (/* binding */ GiArcingBolt),
/* harmony export */   "GiArena": () => (/* binding */ GiArena),
/* harmony export */   "GiAries": () => (/* binding */ GiAries),
/* harmony export */   "GiArm": () => (/* binding */ GiArm),
/* harmony export */   "GiArmBandage": () => (/* binding */ GiArmBandage),
/* harmony export */   "GiArmSling": () => (/* binding */ GiArmSling),
/* harmony export */   "GiArmadillo": () => (/* binding */ GiArmadillo),
/* harmony export */   "GiArmadilloTail": () => (/* binding */ GiArmadilloTail),
/* harmony export */   "GiArmorDowngrade": () => (/* binding */ GiArmorDowngrade),
/* harmony export */   "GiArmorPunch": () => (/* binding */ GiArmorPunch),
/* harmony export */   "GiArmorUpgrade": () => (/* binding */ GiArmorUpgrade),
/* harmony export */   "GiArmorVest": () => (/* binding */ GiArmorVest),
/* harmony export */   "GiArmoredBoomerang": () => (/* binding */ GiArmoredBoomerang),
/* harmony export */   "GiArmoredPants": () => (/* binding */ GiArmoredPants),
/* harmony export */   "GiArmouredShell": () => (/* binding */ GiArmouredShell),
/* harmony export */   "GiArrest": () => (/* binding */ GiArrest),
/* harmony export */   "GiArrowCluster": () => (/* binding */ GiArrowCluster),
/* harmony export */   "GiArrowCursor": () => (/* binding */ GiArrowCursor),
/* harmony export */   "GiArrowDunk": () => (/* binding */ GiArrowDunk),
/* harmony export */   "GiArrowFlights": () => (/* binding */ GiArrowFlights),
/* harmony export */   "GiArrowScope": () => (/* binding */ GiArrowScope),
/* harmony export */   "GiArrowWings": () => (/* binding */ GiArrowWings),
/* harmony export */   "GiArrowed": () => (/* binding */ GiArrowed),
/* harmony export */   "GiArrowhead": () => (/* binding */ GiArrowhead),
/* harmony export */   "GiArrowsShield": () => (/* binding */ GiArrowsShield),
/* harmony export */   "GiArson": () => (/* binding */ GiArson),
/* harmony export */   "GiArtificialHive": () => (/* binding */ GiArtificialHive),
/* harmony export */   "GiArtificialIntelligence": () => (/* binding */ GiArtificialIntelligence),
/* harmony export */   "GiArtilleryShell": () => (/* binding */ GiArtilleryShell),
/* harmony export */   "GiAscendingBlock": () => (/* binding */ GiAscendingBlock),
/* harmony export */   "GiAsianLantern": () => (/* binding */ GiAsianLantern),
/* harmony export */   "GiAsparagus": () => (/* binding */ GiAsparagus),
/* harmony export */   "GiAspergillum": () => (/* binding */ GiAspergillum),
/* harmony export */   "GiAssassinPocket": () => (/* binding */ GiAssassinPocket),
/* harmony export */   "GiAsteroid": () => (/* binding */ GiAsteroid),
/* harmony export */   "GiAstronautHelmet": () => (/* binding */ GiAstronautHelmet),
/* harmony export */   "GiAtSea": () => (/* binding */ GiAtSea),
/* harmony export */   "GiAtlas": () => (/* binding */ GiAtlas),
/* harmony export */   "GiAtom": () => (/* binding */ GiAtom),
/* harmony export */   "GiAtomCore": () => (/* binding */ GiAtomCore),
/* harmony export */   "GiAtomicSlashes": () => (/* binding */ GiAtomicSlashes),
/* harmony export */   "GiAttachedShield": () => (/* binding */ GiAttachedShield),
/* harmony export */   "GiAubergine": () => (/* binding */ GiAubergine),
/* harmony export */   "GiAudioCassette": () => (/* binding */ GiAudioCassette),
/* harmony export */   "GiAura": () => (/* binding */ GiAura),
/* harmony export */   "GiAustralia": () => (/* binding */ GiAustralia),
/* harmony export */   "GiAutoRepair": () => (/* binding */ GiAutoRepair),
/* harmony export */   "GiAutogun": () => (/* binding */ GiAutogun),
/* harmony export */   "GiAutomaticSas": () => (/* binding */ GiAutomaticSas),
/* harmony export */   "GiAvocado": () => (/* binding */ GiAvocado),
/* harmony export */   "GiAvoidance": () => (/* binding */ GiAvoidance),
/* harmony export */   "GiAwareness": () => (/* binding */ GiAwareness),
/* harmony export */   "GiAxeInLog": () => (/* binding */ GiAxeInLog),
/* harmony export */   "GiAxeInStump": () => (/* binding */ GiAxeInStump),
/* harmony export */   "GiAxeSwing": () => (/* binding */ GiAxeSwing),
/* harmony export */   "GiAxeSword": () => (/* binding */ GiAxeSword),
/* harmony export */   "GiAzulFlake": () => (/* binding */ GiAzulFlake),
/* harmony export */   "GiBabyBottle": () => (/* binding */ GiBabyBottle),
/* harmony export */   "GiBabyFace": () => (/* binding */ GiBabyFace),
/* harmony export */   "GiBabyfootPlayers": () => (/* binding */ GiBabyfootPlayers),
/* harmony export */   "GiBackForth": () => (/* binding */ GiBackForth),
/* harmony export */   "GiBackPain": () => (/* binding */ GiBackPain),
/* harmony export */   "GiBackboneShell": () => (/* binding */ GiBackboneShell),
/* harmony export */   "GiBackgammon": () => (/* binding */ GiBackgammon),
/* harmony export */   "GiBackpack": () => (/* binding */ GiBackpack),
/* harmony export */   "GiBackstab": () => (/* binding */ GiBackstab),
/* harmony export */   "GiBackup": () => (/* binding */ GiBackup),
/* harmony export */   "GiBackwardTime": () => (/* binding */ GiBackwardTime),
/* harmony export */   "GiBacon": () => (/* binding */ GiBacon),
/* harmony export */   "GiBadBreath": () => (/* binding */ GiBadBreath),
/* harmony export */   "GiBadGnome": () => (/* binding */ GiBadGnome),
/* harmony export */   "GiBalaclava": () => (/* binding */ GiBalaclava),
/* harmony export */   "GiBalkenkreuz": () => (/* binding */ GiBalkenkreuz),
/* harmony export */   "GiBallGlow": () => (/* binding */ GiBallGlow),
/* harmony export */   "GiBallHeart": () => (/* binding */ GiBallHeart),
/* harmony export */   "GiBallPyramid": () => (/* binding */ GiBallPyramid),
/* harmony export */   "GiBallerinaShoes": () => (/* binding */ GiBallerinaShoes),
/* harmony export */   "GiBallista": () => (/* binding */ GiBallista),
/* harmony export */   "GiBalloonDog": () => (/* binding */ GiBalloonDog),
/* harmony export */   "GiBalloons": () => (/* binding */ GiBalloons),
/* harmony export */   "GiBamboo": () => (/* binding */ GiBamboo),
/* harmony export */   "GiBambooFountain": () => (/* binding */ GiBambooFountain),
/* harmony export */   "GiBanana": () => (/* binding */ GiBanana),
/* harmony export */   "GiBananaBunch": () => (/* binding */ GiBananaBunch),
/* harmony export */   "GiBananaPeel": () => (/* binding */ GiBananaPeel),
/* harmony export */   "GiBananaPeeled": () => (/* binding */ GiBananaPeeled),
/* harmony export */   "GiBandageRoll": () => (/* binding */ GiBandageRoll),
/* harmony export */   "GiBandaged": () => (/* binding */ GiBandaged),
/* harmony export */   "GiBandit": () => (/* binding */ GiBandit),
/* harmony export */   "GiBangingGavel": () => (/* binding */ GiBangingGavel),
/* harmony export */   "GiBank": () => (/* binding */ GiBank),
/* harmony export */   "GiBanknote": () => (/* binding */ GiBanknote),
/* harmony export */   "GiBarbarian": () => (/* binding */ GiBarbarian),
/* harmony export */   "GiBarbecue": () => (/* binding */ GiBarbecue),
/* harmony export */   "GiBarbedArrow": () => (/* binding */ GiBarbedArrow),
/* harmony export */   "GiBarbedCoil": () => (/* binding */ GiBarbedCoil),
/* harmony export */   "GiBarbedNails": () => (/* binding */ GiBarbedNails),
/* harmony export */   "GiBarbedSpear": () => (/* binding */ GiBarbedSpear),
/* harmony export */   "GiBarbedStar": () => (/* binding */ GiBarbedStar),
/* harmony export */   "GiBarbedSun": () => (/* binding */ GiBarbedSun),
/* harmony export */   "GiBarbedWire": () => (/* binding */ GiBarbedWire),
/* harmony export */   "GiBarbute": () => (/* binding */ GiBarbute),
/* harmony export */   "GiBarefoot": () => (/* binding */ GiBarefoot),
/* harmony export */   "GiBarn": () => (/* binding */ GiBarn),
/* harmony export */   "GiBarracks": () => (/* binding */ GiBarracks),
/* harmony export */   "GiBarracksTent": () => (/* binding */ GiBarracksTent),
/* harmony export */   "GiBarrel": () => (/* binding */ GiBarrel),
/* harmony export */   "GiBarrelLeak": () => (/* binding */ GiBarrelLeak),
/* harmony export */   "GiBarricade": () => (/* binding */ GiBarricade),
/* harmony export */   "GiBarrier": () => (/* binding */ GiBarrier),
/* harmony export */   "GiBaseballBat": () => (/* binding */ GiBaseballBat),
/* harmony export */   "GiBaseballGlove": () => (/* binding */ GiBaseballGlove),
/* harmony export */   "GiBasketballBall": () => (/* binding */ GiBasketballBall),
/* harmony export */   "GiBasketballBasket": () => (/* binding */ GiBasketballBasket),
/* harmony export */   "GiBasketballJersey": () => (/* binding */ GiBasketballJersey),
/* harmony export */   "GiBastet": () => (/* binding */ GiBastet),
/* harmony export */   "GiBat": () => (/* binding */ GiBat),
/* harmony export */   "GiBatBlade": () => (/* binding */ GiBatBlade),
/* harmony export */   "GiBatMask": () => (/* binding */ GiBatMask),
/* harmony export */   "GiBatWing": () => (/* binding */ GiBatWing),
/* harmony export */   "GiBathtub": () => (/* binding */ GiBathtub),
/* harmony export */   "GiBaton": () => (/* binding */ GiBaton),
/* harmony export */   "GiBatteredAxe": () => (/* binding */ GiBatteredAxe),
/* harmony export */   "GiBatteries": () => (/* binding */ GiBatteries),
/* harmony export */   "GiBattery0": () => (/* binding */ GiBattery0),
/* harmony export */   "GiBattery100": () => (/* binding */ GiBattery100),
/* harmony export */   "GiBattery25": () => (/* binding */ GiBattery25),
/* harmony export */   "GiBattery50": () => (/* binding */ GiBattery50),
/* harmony export */   "GiBattery75": () => (/* binding */ GiBattery75),
/* harmony export */   "GiBatteryMinus": () => (/* binding */ GiBatteryMinus),
/* harmony export */   "GiBatteryPack": () => (/* binding */ GiBatteryPack),
/* harmony export */   "GiBatteryPackAlt": () => (/* binding */ GiBatteryPackAlt),
/* harmony export */   "GiBatteryPlus": () => (/* binding */ GiBatteryPlus),
/* harmony export */   "GiBattleAxe": () => (/* binding */ GiBattleAxe),
/* harmony export */   "GiBattleGear": () => (/* binding */ GiBattleGear),
/* harmony export */   "GiBattleMech": () => (/* binding */ GiBattleMech),
/* harmony export */   "GiBattleTank": () => (/* binding */ GiBattleTank),
/* harmony export */   "GiBattleship": () => (/* binding */ GiBattleship),
/* harmony export */   "GiBatwingEmblem": () => (/* binding */ GiBatwingEmblem),
/* harmony export */   "GiBayonet": () => (/* binding */ GiBayonet),
/* harmony export */   "GiBeachBall": () => (/* binding */ GiBeachBall),
/* harmony export */   "GiBeachBucket": () => (/* binding */ GiBeachBucket),
/* harmony export */   "GiBeamSatellite": () => (/* binding */ GiBeamSatellite),
/* harmony export */   "GiBeamWake": () => (/* binding */ GiBeamWake),
/* harmony export */   "GiBeamsAura": () => (/* binding */ GiBeamsAura),
/* harmony export */   "GiBeanstalk": () => (/* binding */ GiBeanstalk),
/* harmony export */   "GiBearFace": () => (/* binding */ GiBearFace),
/* harmony export */   "GiBearHead": () => (/* binding */ GiBearHead),
/* harmony export */   "GiBeard": () => (/* binding */ GiBeard),
/* harmony export */   "GiBeastEye": () => (/* binding */ GiBeastEye),
/* harmony export */   "GiBeaver": () => (/* binding */ GiBeaver),
/* harmony export */   "GiBed": () => (/* binding */ GiBed),
/* harmony export */   "GiBedLamp": () => (/* binding */ GiBedLamp),
/* harmony export */   "GiBee": () => (/* binding */ GiBee),
/* harmony export */   "GiBeech": () => (/* binding */ GiBeech),
/* harmony export */   "GiBeehive": () => (/* binding */ GiBeehive),
/* harmony export */   "GiBeerBottle": () => (/* binding */ GiBeerBottle),
/* harmony export */   "GiBeerHorn": () => (/* binding */ GiBeerHorn),
/* harmony export */   "GiBeerStein": () => (/* binding */ GiBeerStein),
/* harmony export */   "GiBeet": () => (/* binding */ GiBeet),
/* harmony export */   "GiBeetleShell": () => (/* binding */ GiBeetleShell),
/* harmony export */   "GiBehold": () => (/* binding */ GiBehold),
/* harmony export */   "GiBelgium": () => (/* binding */ GiBelgium),
/* harmony export */   "GiBellShield": () => (/* binding */ GiBellShield),
/* harmony export */   "GiBellows": () => (/* binding */ GiBellows),
/* harmony export */   "GiBelt": () => (/* binding */ GiBelt),
/* harmony export */   "GiBeltArmor": () => (/* binding */ GiBeltArmor),
/* harmony export */   "GiBeltBuckles": () => (/* binding */ GiBeltBuckles),
/* harmony export */   "GiBerriesBowl": () => (/* binding */ GiBerriesBowl),
/* harmony export */   "GiBerryBush": () => (/* binding */ GiBerryBush),
/* harmony export */   "GiBestialFangs": () => (/* binding */ GiBestialFangs),
/* harmony export */   "GiBeveledStar": () => (/* binding */ GiBeveledStar),
/* harmony export */   "GiBiceps": () => (/* binding */ GiBiceps),
/* harmony export */   "GiBigDiamondRing": () => (/* binding */ GiBigDiamondRing),
/* harmony export */   "GiBigEgg": () => (/* binding */ GiBigEgg),
/* harmony export */   "GiBigGear": () => (/* binding */ GiBigGear),
/* harmony export */   "GiBigWave": () => (/* binding */ GiBigWave),
/* harmony export */   "GiBilledCap": () => (/* binding */ GiBilledCap),
/* harmony export */   "GiBindle": () => (/* binding */ GiBindle),
/* harmony export */   "GiBinoculars": () => (/* binding */ GiBinoculars),
/* harmony export */   "GiBiohazard": () => (/* binding */ GiBiohazard),
/* harmony export */   "GiBiplane": () => (/* binding */ GiBiplane),
/* harmony export */   "GiBirdClaw": () => (/* binding */ GiBirdClaw),
/* harmony export */   "GiBirdHouse": () => (/* binding */ GiBirdHouse),
/* harmony export */   "GiBirdLimb": () => (/* binding */ GiBirdLimb),
/* harmony export */   "GiBirdMask": () => (/* binding */ GiBirdMask),
/* harmony export */   "GiBirdTwitter": () => (/* binding */ GiBirdTwitter),
/* harmony export */   "GiBison": () => (/* binding */ GiBison),
/* harmony export */   "GiBlackBar": () => (/* binding */ GiBlackBar),
/* harmony export */   "GiBlackBelt": () => (/* binding */ GiBlackBelt),
/* harmony export */   "GiBlackBook": () => (/* binding */ GiBlackBook),
/* harmony export */   "GiBlackBridge": () => (/* binding */ GiBlackBridge),
/* harmony export */   "GiBlackFlag": () => (/* binding */ GiBlackFlag),
/* harmony export */   "GiBlackHandShield": () => (/* binding */ GiBlackHandShield),
/* harmony export */   "GiBlackHoleBolas": () => (/* binding */ GiBlackHoleBolas),
/* harmony export */   "GiBlackKnightHelm": () => (/* binding */ GiBlackKnightHelm),
/* harmony export */   "GiBlackSea": () => (/* binding */ GiBlackSea),
/* harmony export */   "GiBlackball": () => (/* binding */ GiBlackball),
/* harmony export */   "GiBlackcurrant": () => (/* binding */ GiBlackcurrant),
/* harmony export */   "GiBlacksmith": () => (/* binding */ GiBlacksmith),
/* harmony export */   "GiBladeBite": () => (/* binding */ GiBladeBite),
/* harmony export */   "GiBladeDrag": () => (/* binding */ GiBladeDrag),
/* harmony export */   "GiBladeFall": () => (/* binding */ GiBladeFall),
/* harmony export */   "GiBlast": () => (/* binding */ GiBlast),
/* harmony export */   "GiBlaster": () => (/* binding */ GiBlaster),
/* harmony export */   "GiBleedingEye": () => (/* binding */ GiBleedingEye),
/* harmony export */   "GiBleedingHeart": () => (/* binding */ GiBleedingHeart),
/* harmony export */   "GiBleedingWound": () => (/* binding */ GiBleedingWound),
/* harmony export */   "GiBlindfold": () => (/* binding */ GiBlindfold),
/* harmony export */   "GiBlockHouse": () => (/* binding */ GiBlockHouse),
/* harmony export */   "GiBlood": () => (/* binding */ GiBlood),
/* harmony export */   "GiBloodyStash": () => (/* binding */ GiBloodyStash),
/* harmony export */   "GiBloodySword": () => (/* binding */ GiBloodySword),
/* harmony export */   "GiBlunderbuss": () => (/* binding */ GiBlunderbuss),
/* harmony export */   "GiBo": () => (/* binding */ GiBo),
/* harmony export */   "GiBoarEnsign": () => (/* binding */ GiBoarEnsign),
/* harmony export */   "GiBoarTusks": () => (/* binding */ GiBoarTusks),
/* harmony export */   "GiBoatEngine": () => (/* binding */ GiBoatEngine),
/* harmony export */   "GiBoatFishing": () => (/* binding */ GiBoatFishing),
/* harmony export */   "GiBoatHorizon": () => (/* binding */ GiBoatHorizon),
/* harmony export */   "GiBoatPropeller": () => (/* binding */ GiBoatPropeller),
/* harmony export */   "GiBodyBalance": () => (/* binding */ GiBodyBalance),
/* harmony export */   "GiBodyHeight": () => (/* binding */ GiBodyHeight),
/* harmony export */   "GiBodySwapping": () => (/* binding */ GiBodySwapping),
/* harmony export */   "GiBoilingBubbles": () => (/* binding */ GiBoilingBubbles),
/* harmony export */   "GiBolas": () => (/* binding */ GiBolas),
/* harmony export */   "GiBolivia": () => (/* binding */ GiBolivia),
/* harmony export */   "GiBoltBomb": () => (/* binding */ GiBoltBomb),
/* harmony export */   "GiBoltCutter": () => (/* binding */ GiBoltCutter),
/* harmony export */   "GiBoltDrop": () => (/* binding */ GiBoltDrop),
/* harmony export */   "GiBoltEye": () => (/* binding */ GiBoltEye),
/* harmony export */   "GiBoltSaw": () => (/* binding */ GiBoltSaw),
/* harmony export */   "GiBoltShield": () => (/* binding */ GiBoltShield),
/* harmony export */   "GiBoltSpellCast": () => (/* binding */ GiBoltSpellCast),
/* harmony export */   "GiBolterGun": () => (/* binding */ GiBolterGun),
/* harmony export */   "GiBomber": () => (/* binding */ GiBomber),
/* harmony export */   "GiBombingRun": () => (/* binding */ GiBombingRun),
/* harmony export */   "GiBoneGnawer": () => (/* binding */ GiBoneGnawer),
/* harmony export */   "GiBoneKnife": () => (/* binding */ GiBoneKnife),
/* harmony export */   "GiBoneMace": () => (/* binding */ GiBoneMace),
/* harmony export */   "GiBonsaiTree": () => (/* binding */ GiBonsaiTree),
/* harmony export */   "GiBookAura": () => (/* binding */ GiBookAura),
/* harmony export */   "GiBookCover": () => (/* binding */ GiBookCover),
/* harmony export */   "GiBookPile": () => (/* binding */ GiBookPile),
/* harmony export */   "GiBookStorm": () => (/* binding */ GiBookStorm),
/* harmony export */   "GiBookmark": () => (/* binding */ GiBookmark),
/* harmony export */   "GiBookmarklet": () => (/* binding */ GiBookmarklet),
/* harmony export */   "GiBookshelf": () => (/* binding */ GiBookshelf),
/* harmony export */   "GiBoombox": () => (/* binding */ GiBoombox),
/* harmony export */   "GiBoomerang": () => (/* binding */ GiBoomerang),
/* harmony export */   "GiBoomerangCross": () => (/* binding */ GiBoomerangCross),
/* harmony export */   "GiBoomerangSun": () => (/* binding */ GiBoomerangSun),
/* harmony export */   "GiBootKick": () => (/* binding */ GiBootKick),
/* harmony export */   "GiBootPrints": () => (/* binding */ GiBootPrints),
/* harmony export */   "GiBootStomp": () => (/* binding */ GiBootStomp),
/* harmony export */   "GiBoots": () => (/* binding */ GiBoots),
/* harmony export */   "GiBooze": () => (/* binding */ GiBooze),
/* harmony export */   "GiBorderedShield": () => (/* binding */ GiBorderedShield),
/* harmony export */   "GiBossKey": () => (/* binding */ GiBossKey),
/* harmony export */   "GiBottleCap": () => (/* binding */ GiBottleCap),
/* harmony export */   "GiBottleVapors": () => (/* binding */ GiBottleVapors),
/* harmony export */   "GiBottledBolt": () => (/* binding */ GiBottledBolt),
/* harmony export */   "GiBottledShadow": () => (/* binding */ GiBottledShadow),
/* harmony export */   "GiBottomRight3DArrow": () => (/* binding */ GiBottomRight3DArrow),
/* harmony export */   "GiBoulderDash": () => (/* binding */ GiBoulderDash),
/* harmony export */   "GiBouncingSpring": () => (/* binding */ GiBouncingSpring),
/* harmony export */   "GiBouncingSword": () => (/* binding */ GiBouncingSword),
/* harmony export */   "GiBowArrow": () => (/* binding */ GiBowArrow),
/* harmony export */   "GiBowString": () => (/* binding */ GiBowString),
/* harmony export */   "GiBowTie": () => (/* binding */ GiBowTie),
/* harmony export */   "GiBowTieRibbon": () => (/* binding */ GiBowTieRibbon),
/* harmony export */   "GiBowels": () => (/* binding */ GiBowels),
/* harmony export */   "GiBowenKnot": () => (/* binding */ GiBowenKnot),
/* harmony export */   "GiBowieKnife": () => (/* binding */ GiBowieKnife),
/* harmony export */   "GiBowlSpiral": () => (/* binding */ GiBowlSpiral),
/* harmony export */   "GiBowlingPin": () => (/* binding */ GiBowlingPin),
/* harmony export */   "GiBowlingPropulsion": () => (/* binding */ GiBowlingPropulsion),
/* harmony export */   "GiBowlingStrike": () => (/* binding */ GiBowlingStrike),
/* harmony export */   "GiBowman": () => (/* binding */ GiBowman),
/* harmony export */   "GiBoxCutter": () => (/* binding */ GiBoxCutter),
/* harmony export */   "GiBoxTrap": () => (/* binding */ GiBoxTrap),
/* harmony export */   "GiBoxUnpacking": () => (/* binding */ GiBoxUnpacking),
/* harmony export */   "GiBoxingGlove": () => (/* binding */ GiBoxingGlove),
/* harmony export */   "GiBoxingGloveSurprise": () => (/* binding */ GiBoxingGloveSurprise),
/* harmony export */   "GiBoxingRing": () => (/* binding */ GiBoxingRing),
/* harmony export */   "GiBracer": () => (/* binding */ GiBracer),
/* harmony export */   "GiBracers": () => (/* binding */ GiBracers),
/* harmony export */   "GiBrain": () => (/* binding */ GiBrain),
/* harmony export */   "GiBrainFreeze": () => (/* binding */ GiBrainFreeze),
/* harmony export */   "GiBrainLeak": () => (/* binding */ GiBrainLeak),
/* harmony export */   "GiBrainStem": () => (/* binding */ GiBrainStem),
/* harmony export */   "GiBrainTentacle": () => (/* binding */ GiBrainTentacle),
/* harmony export */   "GiBrainstorm": () => (/* binding */ GiBrainstorm),
/* harmony export */   "GiBranchArrow": () => (/* binding */ GiBranchArrow),
/* harmony export */   "GiBrandyBottle": () => (/* binding */ GiBrandyBottle),
/* harmony export */   "GiBrasero": () => (/* binding */ GiBrasero),
/* harmony export */   "GiBrassEye": () => (/* binding */ GiBrassEye),
/* harmony export */   "GiBrassKnuckles": () => (/* binding */ GiBrassKnuckles),
/* harmony export */   "GiBrazil": () => (/* binding */ GiBrazil),
/* harmony export */   "GiBrazilFlag": () => (/* binding */ GiBrazilFlag),
/* harmony export */   "GiBread": () => (/* binding */ GiBread),
/* harmony export */   "GiBreadSlice": () => (/* binding */ GiBreadSlice),
/* harmony export */   "GiBreakingChain": () => (/* binding */ GiBreakingChain),
/* harmony export */   "GiBreastplate": () => (/* binding */ GiBreastplate),
/* harmony export */   "GiBrickPile": () => (/* binding */ GiBrickPile),
/* harmony export */   "GiBrickWall": () => (/* binding */ GiBrickWall),
/* harmony export */   "GiBridge": () => (/* binding */ GiBridge),
/* harmony export */   "GiBriefcase": () => (/* binding */ GiBriefcase),
/* harmony export */   "GiBrightExplosion": () => (/* binding */ GiBrightExplosion),
/* harmony export */   "GiBroadDagger": () => (/* binding */ GiBroadDagger),
/* harmony export */   "GiBroadheadArrow": () => (/* binding */ GiBroadheadArrow),
/* harmony export */   "GiBroadsword": () => (/* binding */ GiBroadsword),
/* harmony export */   "GiBroccoli": () => (/* binding */ GiBroccoli),
/* harmony export */   "GiBrodieHelmet": () => (/* binding */ GiBrodieHelmet),
/* harmony export */   "GiBrokenArrow": () => (/* binding */ GiBrokenArrow),
/* harmony export */   "GiBrokenAxe": () => (/* binding */ GiBrokenAxe),
/* harmony export */   "GiBrokenBone": () => (/* binding */ GiBrokenBone),
/* harmony export */   "GiBrokenBottle": () => (/* binding */ GiBrokenBottle),
/* harmony export */   "GiBrokenHeart": () => (/* binding */ GiBrokenHeart),
/* harmony export */   "GiBrokenHeartZone": () => (/* binding */ GiBrokenHeartZone),
/* harmony export */   "GiBrokenPottery": () => (/* binding */ GiBrokenPottery),
/* harmony export */   "GiBrokenRibbon": () => (/* binding */ GiBrokenRibbon),
/* harmony export */   "GiBrokenShield": () => (/* binding */ GiBrokenShield),
/* harmony export */   "GiBrokenSkull": () => (/* binding */ GiBrokenSkull),
/* harmony export */   "GiBrokenTablet": () => (/* binding */ GiBrokenTablet),
/* harmony export */   "GiBrokenWall": () => (/* binding */ GiBrokenWall),
/* harmony export */   "GiBroom": () => (/* binding */ GiBroom),
/* harmony export */   "GiBrutalHelm": () => (/* binding */ GiBrutalHelm),
/* harmony export */   "GiBrute": () => (/* binding */ GiBrute),
/* harmony export */   "GiBubbleField": () => (/* binding */ GiBubbleField),
/* harmony export */   "GiBubbles": () => (/* binding */ GiBubbles),
/* harmony export */   "GiBubblingBeam": () => (/* binding */ GiBubblingBeam),
/* harmony export */   "GiBubblingBowl": () => (/* binding */ GiBubblingBowl),
/* harmony export */   "GiBubblingFlask": () => (/* binding */ GiBubblingFlask),
/* harmony export */   "GiBud": () => (/* binding */ GiBud),
/* harmony export */   "GiBuffaloHead": () => (/* binding */ GiBuffaloHead),
/* harmony export */   "GiBugleCall": () => (/* binding */ GiBugleCall),
/* harmony export */   "GiBulb": () => (/* binding */ GiBulb),
/* harmony export */   "GiBull": () => (/* binding */ GiBull),
/* harmony export */   "GiBullHorns": () => (/* binding */ GiBullHorns),
/* harmony export */   "GiBulldozer": () => (/* binding */ GiBulldozer),
/* harmony export */   "GiBulletImpacts": () => (/* binding */ GiBulletImpacts),
/* harmony export */   "GiBullets": () => (/* binding */ GiBullets),
/* harmony export */   "GiBullseye": () => (/* binding */ GiBullseye),
/* harmony export */   "GiBullyMinion": () => (/* binding */ GiBullyMinion),
/* harmony export */   "GiBundleGrenade": () => (/* binding */ GiBundleGrenade),
/* harmony export */   "GiBunker": () => (/* binding */ GiBunker),
/* harmony export */   "GiBunkerAssault": () => (/* binding */ GiBunkerAssault),
/* harmony export */   "GiBuoy": () => (/* binding */ GiBuoy),
/* harmony export */   "GiBurn": () => (/* binding */ GiBurn),
/* harmony export */   "GiBurningBlobs": () => (/* binding */ GiBurningBlobs),
/* harmony export */   "GiBurningBook": () => (/* binding */ GiBurningBook),
/* harmony export */   "GiBurningDot": () => (/* binding */ GiBurningDot),
/* harmony export */   "GiBurningEmbers": () => (/* binding */ GiBurningEmbers),
/* harmony export */   "GiBurningEye": () => (/* binding */ GiBurningEye),
/* harmony export */   "GiBurningForest": () => (/* binding */ GiBurningForest),
/* harmony export */   "GiBurningMeteor": () => (/* binding */ GiBurningMeteor),
/* harmony export */   "GiBurningPassion": () => (/* binding */ GiBurningPassion),
/* harmony export */   "GiBurningRoundShot": () => (/* binding */ GiBurningRoundShot),
/* harmony export */   "GiBurningSkull": () => (/* binding */ GiBurningSkull),
/* harmony export */   "GiBurningTree": () => (/* binding */ GiBurningTree),
/* harmony export */   "GiBurstBlob": () => (/* binding */ GiBurstBlob),
/* harmony export */   "GiBus": () => (/* binding */ GiBus),
/* harmony export */   "GiButter": () => (/* binding */ GiButter),
/* harmony export */   "GiButterfly": () => (/* binding */ GiButterfly),
/* harmony export */   "GiButterflyKnife": () => (/* binding */ GiButterflyKnife),
/* harmony export */   "GiButterflyWarning": () => (/* binding */ GiButterflyWarning),
/* harmony export */   "GiButtonFinger": () => (/* binding */ GiButtonFinger),
/* harmony export */   "GiBuyCard": () => (/* binding */ GiBuyCard),
/* harmony export */   "GiByzantinTemple": () => (/* binding */ GiByzantinTemple),
/* harmony export */   "GiC96": () => (/* binding */ GiC96),
/* harmony export */   "GiCableStayedBridge": () => (/* binding */ GiCableStayedBridge),
/* harmony export */   "GiCactus": () => (/* binding */ GiCactus),
/* harmony export */   "GiCactusPot": () => (/* binding */ GiCactusPot),
/* harmony export */   "GiCadillacHelm": () => (/* binding */ GiCadillacHelm),
/* harmony export */   "GiCaduceus": () => (/* binding */ GiCaduceus),
/* harmony export */   "GiCaesar": () => (/* binding */ GiCaesar),
/* harmony export */   "GiCage": () => (/* binding */ GiCage),
/* harmony export */   "GiCagedBall": () => (/* binding */ GiCagedBall),
/* harmony export */   "GiCakeSlice": () => (/* binding */ GiCakeSlice),
/* harmony export */   "GiCalavera": () => (/* binding */ GiCalavera),
/* harmony export */   "GiCaldera": () => (/* binding */ GiCaldera),
/* harmony export */   "GiCalendar": () => (/* binding */ GiCalendar),
/* harmony export */   "GiCaltrops": () => (/* binding */ GiCaltrops),
/* harmony export */   "GiCamargueCross": () => (/* binding */ GiCamargueCross),
/* harmony export */   "GiCambodia": () => (/* binding */ GiCambodia),
/* harmony export */   "GiCamel": () => (/* binding */ GiCamel),
/* harmony export */   "GiCamelHead": () => (/* binding */ GiCamelHead),
/* harmony export */   "GiCampCookingPot": () => (/* binding */ GiCampCookingPot),
/* harmony export */   "GiCampfire": () => (/* binding */ GiCampfire),
/* harmony export */   "GiCampingTent": () => (/* binding */ GiCampingTent),
/* harmony export */   "GiCancel": () => (/* binding */ GiCancel),
/* harmony export */   "GiCancer": () => (/* binding */ GiCancer),
/* harmony export */   "GiCandleFlame": () => (/* binding */ GiCandleFlame),
/* harmony export */   "GiCandleHolder": () => (/* binding */ GiCandleHolder),
/* harmony export */   "GiCandleLight": () => (/* binding */ GiCandleLight),
/* harmony export */   "GiCandleSkull": () => (/* binding */ GiCandleSkull),
/* harmony export */   "GiCandlebright": () => (/* binding */ GiCandlebright),
/* harmony export */   "GiCandles": () => (/* binding */ GiCandles),
/* harmony export */   "GiCandlestickPhone": () => (/* binding */ GiCandlestickPhone),
/* harmony export */   "GiCandyCanes": () => (/* binding */ GiCandyCanes),
/* harmony export */   "GiCannedFish": () => (/* binding */ GiCannedFish),
/* harmony export */   "GiCannister": () => (/* binding */ GiCannister),
/* harmony export */   "GiCannon": () => (/* binding */ GiCannon),
/* harmony export */   "GiCannonBall": () => (/* binding */ GiCannonBall),
/* harmony export */   "GiCannonShot": () => (/* binding */ GiCannonShot),
/* harmony export */   "GiCanoe": () => (/* binding */ GiCanoe),
/* harmony export */   "GiCape": () => (/* binding */ GiCape),
/* harmony export */   "GiCapeArmor": () => (/* binding */ GiCapeArmor),
/* harmony export */   "GiCapitol": () => (/* binding */ GiCapitol),
/* harmony export */   "GiCapricorn": () => (/* binding */ GiCapricorn),
/* harmony export */   "GiCaptainHatProfile": () => (/* binding */ GiCaptainHatProfile),
/* harmony export */   "GiCarBattery": () => (/* binding */ GiCarBattery),
/* harmony export */   "GiCarDoor": () => (/* binding */ GiCarDoor),
/* harmony export */   "GiCarKey": () => (/* binding */ GiCarKey),
/* harmony export */   "GiCarSeat": () => (/* binding */ GiCarSeat),
/* harmony export */   "GiCarWheel": () => (/* binding */ GiCarWheel),
/* harmony export */   "GiCarambola": () => (/* binding */ GiCarambola),
/* harmony export */   "GiCaravan": () => (/* binding */ GiCaravan),
/* harmony export */   "GiCaravel": () => (/* binding */ GiCaravel),
/* harmony export */   "GiCard10Clubs": () => (/* binding */ GiCard10Clubs),
/* harmony export */   "GiCard10Diamonds": () => (/* binding */ GiCard10Diamonds),
/* harmony export */   "GiCard10Hearts": () => (/* binding */ GiCard10Hearts),
/* harmony export */   "GiCard10Spades": () => (/* binding */ GiCard10Spades),
/* harmony export */   "GiCard2Clubs": () => (/* binding */ GiCard2Clubs),
/* harmony export */   "GiCard2Diamonds": () => (/* binding */ GiCard2Diamonds),
/* harmony export */   "GiCard2Hearts": () => (/* binding */ GiCard2Hearts),
/* harmony export */   "GiCard2Spades": () => (/* binding */ GiCard2Spades),
/* harmony export */   "GiCard3Clubs": () => (/* binding */ GiCard3Clubs),
/* harmony export */   "GiCard3Diamonds": () => (/* binding */ GiCard3Diamonds),
/* harmony export */   "GiCard3Hearts": () => (/* binding */ GiCard3Hearts),
/* harmony export */   "GiCard3Spades": () => (/* binding */ GiCard3Spades),
/* harmony export */   "GiCard4Clubs": () => (/* binding */ GiCard4Clubs),
/* harmony export */   "GiCard4Diamonds": () => (/* binding */ GiCard4Diamonds),
/* harmony export */   "GiCard4Hearts": () => (/* binding */ GiCard4Hearts),
/* harmony export */   "GiCard4Spades": () => (/* binding */ GiCard4Spades),
/* harmony export */   "GiCard5Clubs": () => (/* binding */ GiCard5Clubs),
/* harmony export */   "GiCard5Diamonds": () => (/* binding */ GiCard5Diamonds),
/* harmony export */   "GiCard5Hearts": () => (/* binding */ GiCard5Hearts),
/* harmony export */   "GiCard5Spades": () => (/* binding */ GiCard5Spades),
/* harmony export */   "GiCard6Clubs": () => (/* binding */ GiCard6Clubs),
/* harmony export */   "GiCard6Diamonds": () => (/* binding */ GiCard6Diamonds),
/* harmony export */   "GiCard6Hearts": () => (/* binding */ GiCard6Hearts),
/* harmony export */   "GiCard6Spades": () => (/* binding */ GiCard6Spades),
/* harmony export */   "GiCard7Clubs": () => (/* binding */ GiCard7Clubs),
/* harmony export */   "GiCard7Diamonds": () => (/* binding */ GiCard7Diamonds),
/* harmony export */   "GiCard7Hearts": () => (/* binding */ GiCard7Hearts),
/* harmony export */   "GiCard7Spades": () => (/* binding */ GiCard7Spades),
/* harmony export */   "GiCard8Clubs": () => (/* binding */ GiCard8Clubs),
/* harmony export */   "GiCard8Diamonds": () => (/* binding */ GiCard8Diamonds),
/* harmony export */   "GiCard8Hearts": () => (/* binding */ GiCard8Hearts),
/* harmony export */   "GiCard8Spades": () => (/* binding */ GiCard8Spades),
/* harmony export */   "GiCard9Clubs": () => (/* binding */ GiCard9Clubs),
/* harmony export */   "GiCard9Diamonds": () => (/* binding */ GiCard9Diamonds),
/* harmony export */   "GiCard9Hearts": () => (/* binding */ GiCard9Hearts),
/* harmony export */   "GiCard9Spades": () => (/* binding */ GiCard9Spades),
/* harmony export */   "GiCardAceClubs": () => (/* binding */ GiCardAceClubs),
/* harmony export */   "GiCardAceDiamonds": () => (/* binding */ GiCardAceDiamonds),
/* harmony export */   "GiCardAceHearts": () => (/* binding */ GiCardAceHearts),
/* harmony export */   "GiCardAceSpades": () => (/* binding */ GiCardAceSpades),
/* harmony export */   "GiCardBurn": () => (/* binding */ GiCardBurn),
/* harmony export */   "GiCardDiscard": () => (/* binding */ GiCardDiscard),
/* harmony export */   "GiCardDraw": () => (/* binding */ GiCardDraw),
/* harmony export */   "GiCardExchange": () => (/* binding */ GiCardExchange),
/* harmony export */   "GiCardJackClubs": () => (/* binding */ GiCardJackClubs),
/* harmony export */   "GiCardJackDiamonds": () => (/* binding */ GiCardJackDiamonds),
/* harmony export */   "GiCardJackHearts": () => (/* binding */ GiCardJackHearts),
/* harmony export */   "GiCardJackSpades": () => (/* binding */ GiCardJackSpades),
/* harmony export */   "GiCardJoker": () => (/* binding */ GiCardJoker),
/* harmony export */   "GiCardKingClubs": () => (/* binding */ GiCardKingClubs),
/* harmony export */   "GiCardKingDiamonds": () => (/* binding */ GiCardKingDiamonds),
/* harmony export */   "GiCardKingHearts": () => (/* binding */ GiCardKingHearts),
/* harmony export */   "GiCardKingSpades": () => (/* binding */ GiCardKingSpades),
/* harmony export */   "GiCardPick": () => (/* binding */ GiCardPick),
/* harmony export */   "GiCardPickup": () => (/* binding */ GiCardPickup),
/* harmony export */   "GiCardPlay": () => (/* binding */ GiCardPlay),
/* harmony export */   "GiCardQueenClubs": () => (/* binding */ GiCardQueenClubs),
/* harmony export */   "GiCardQueenDiamonds": () => (/* binding */ GiCardQueenDiamonds),
/* harmony export */   "GiCardQueenHearts": () => (/* binding */ GiCardQueenHearts),
/* harmony export */   "GiCardQueenSpades": () => (/* binding */ GiCardQueenSpades),
/* harmony export */   "GiCardRandom": () => (/* binding */ GiCardRandom),
/* harmony export */   "GiCardboardBox": () => (/* binding */ GiCardboardBox),
/* harmony export */   "GiCargoCrane": () => (/* binding */ GiCargoCrane),
/* harmony export */   "GiCargoCrate": () => (/* binding */ GiCargoCrate),
/* harmony export */   "GiCargoShip": () => (/* binding */ GiCargoShip),
/* harmony export */   "GiCarillon": () => (/* binding */ GiCarillon),
/* harmony export */   "GiCarnivalMask": () => (/* binding */ GiCarnivalMask),
/* harmony export */   "GiCarnivoreMouth": () => (/* binding */ GiCarnivoreMouth),
/* harmony export */   "GiCarnivorousPlant": () => (/* binding */ GiCarnivorousPlant),
/* harmony export */   "GiCarnyx": () => (/* binding */ GiCarnyx),
/* harmony export */   "GiCarpetBombing": () => (/* binding */ GiCarpetBombing),
/* harmony export */   "GiCarrier": () => (/* binding */ GiCarrier),
/* harmony export */   "GiCarrion": () => (/* binding */ GiCarrion),
/* harmony export */   "GiCarrot": () => (/* binding */ GiCarrot),
/* harmony export */   "GiCartwheel": () => (/* binding */ GiCartwheel),
/* harmony export */   "GiCash": () => (/* binding */ GiCash),
/* harmony export */   "GiCassowaryHead": () => (/* binding */ GiCassowaryHead),
/* harmony export */   "GiCastle": () => (/* binding */ GiCastle),
/* harmony export */   "GiCastleRuins": () => (/* binding */ GiCastleRuins),
/* harmony export */   "GiCat": () => (/* binding */ GiCat),
/* harmony export */   "GiCatapult": () => (/* binding */ GiCatapult),
/* harmony export */   "GiCatch": () => (/* binding */ GiCatch),
/* harmony export */   "GiCaterpillar": () => (/* binding */ GiCaterpillar),
/* harmony export */   "GiCauldron": () => (/* binding */ GiCauldron),
/* harmony export */   "GiCavalry": () => (/* binding */ GiCavalry),
/* harmony export */   "GiCaveEntrance": () => (/* binding */ GiCaveEntrance),
/* harmony export */   "GiCaveman": () => (/* binding */ GiCaveman),
/* harmony export */   "GiCctvCamera": () => (/* binding */ GiCctvCamera),
/* harmony export */   "GiCeilingBarnacle": () => (/* binding */ GiCeilingBarnacle),
/* harmony export */   "GiCeilingLight": () => (/* binding */ GiCeilingLight),
/* harmony export */   "GiCelebrationFire": () => (/* binding */ GiCelebrationFire),
/* harmony export */   "GiCellarBarrels": () => (/* binding */ GiCellarBarrels),
/* harmony export */   "GiCementShoes": () => (/* binding */ GiCementShoes),
/* harmony export */   "GiCentaur": () => (/* binding */ GiCentaur),
/* harmony export */   "GiCentipede": () => (/* binding */ GiCentipede),
/* harmony export */   "GiCeremonialMask": () => (/* binding */ GiCeremonialMask),
/* harmony export */   "GiChainLightning": () => (/* binding */ GiChainLightning),
/* harmony export */   "GiChainMail": () => (/* binding */ GiChainMail),
/* harmony export */   "GiChainedArrowHeads": () => (/* binding */ GiChainedArrowHeads),
/* harmony export */   "GiChainedHeart": () => (/* binding */ GiChainedHeart),
/* harmony export */   "GiChaingun": () => (/* binding */ GiChaingun),
/* harmony export */   "GiChainsaw": () => (/* binding */ GiChainsaw),
/* harmony export */   "GiChaliceDrops": () => (/* binding */ GiChaliceDrops),
/* harmony export */   "GiChalkOutlineMurder": () => (/* binding */ GiChalkOutlineMurder),
/* harmony export */   "GiChameleonGlyph": () => (/* binding */ GiChameleonGlyph),
/* harmony export */   "GiChampions": () => (/* binding */ GiChampions),
/* harmony export */   "GiChanterelles": () => (/* binding */ GiChanterelles),
/* harmony export */   "GiChargedArrow": () => (/* binding */ GiChargedArrow),
/* harmony export */   "GiCharging": () => (/* binding */ GiCharging),
/* harmony export */   "GiChargingBull": () => (/* binding */ GiChargingBull),
/* harmony export */   "GiChariot": () => (/* binding */ GiChariot),
/* harmony export */   "GiCharm": () => (/* binding */ GiCharm),
/* harmony export */   "GiChart": () => (/* binding */ GiChart),
/* harmony export */   "GiChatBubble": () => (/* binding */ GiChatBubble),
/* harmony export */   "GiCheckMark": () => (/* binding */ GiCheckMark),
/* harmony export */   "GiCheckboxTree": () => (/* binding */ GiCheckboxTree),
/* harmony export */   "GiCheckedShield": () => (/* binding */ GiCheckedShield),
/* harmony export */   "GiCheckeredDiamond": () => (/* binding */ GiCheckeredDiamond),
/* harmony export */   "GiCheckeredFlag": () => (/* binding */ GiCheckeredFlag),
/* harmony export */   "GiChecklist": () => (/* binding */ GiChecklist),
/* harmony export */   "GiCheerful": () => (/* binding */ GiCheerful),
/* harmony export */   "GiCheeseWedge": () => (/* binding */ GiCheeseWedge),
/* harmony export */   "GiChefToque": () => (/* binding */ GiChefToque),
/* harmony export */   "GiChelseaBoot": () => (/* binding */ GiChelseaBoot),
/* harmony export */   "GiChemicalArrow": () => (/* binding */ GiChemicalArrow),
/* harmony export */   "GiChemicalBolt": () => (/* binding */ GiChemicalBolt),
/* harmony export */   "GiChemicalDrop": () => (/* binding */ GiChemicalDrop),
/* harmony export */   "GiChemicalTank": () => (/* binding */ GiChemicalTank),
/* harmony export */   "GiCherish": () => (/* binding */ GiCherish),
/* harmony export */   "GiCherry": () => (/* binding */ GiCherry),
/* harmony export */   "GiChessBishop": () => (/* binding */ GiChessBishop),
/* harmony export */   "GiChessKing": () => (/* binding */ GiChessKing),
/* harmony export */   "GiChessKnight": () => (/* binding */ GiChessKnight),
/* harmony export */   "GiChessPawn": () => (/* binding */ GiChessPawn),
/* harmony export */   "GiChessQueen": () => (/* binding */ GiChessQueen),
/* harmony export */   "GiChessRook": () => (/* binding */ GiChessRook),
/* harmony export */   "GiChest": () => (/* binding */ GiChest),
/* harmony export */   "GiChestArmor": () => (/* binding */ GiChestArmor),
/* harmony export */   "GiChestnutLeaf": () => (/* binding */ GiChestnutLeaf),
/* harmony export */   "GiChewedHeart": () => (/* binding */ GiChewedHeart),
/* harmony export */   "GiChewedSkull": () => (/* binding */ GiChewedSkull),
/* harmony export */   "GiChicken": () => (/* binding */ GiChicken),
/* harmony export */   "GiChickenLeg": () => (/* binding */ GiChickenLeg),
/* harmony export */   "GiChickenOven": () => (/* binding */ GiChickenOven),
/* harmony export */   "GiChiliPepper": () => (/* binding */ GiChiliPepper),
/* harmony export */   "GiChimney": () => (/* binding */ GiChimney),
/* harmony export */   "GiChipsBag": () => (/* binding */ GiChipsBag),
/* harmony export */   "GiChisel": () => (/* binding */ GiChisel),
/* harmony export */   "GiChocolateBar": () => (/* binding */ GiChocolateBar),
/* harmony export */   "GiChoice": () => (/* binding */ GiChoice),
/* harmony export */   "GiChoppedSkull": () => (/* binding */ GiChoppedSkull),
/* harmony export */   "GiChurch": () => (/* binding */ GiChurch),
/* harmony export */   "GiCigale": () => (/* binding */ GiCigale),
/* harmony export */   "GiCigar": () => (/* binding */ GiCigar),
/* harmony export */   "GiCigarette": () => (/* binding */ GiCigarette),
/* harmony export */   "GiCircle": () => (/* binding */ GiCircle),
/* harmony export */   "GiCircleCage": () => (/* binding */ GiCircleCage),
/* harmony export */   "GiCircleClaws": () => (/* binding */ GiCircleClaws),
/* harmony export */   "GiCircleSparks": () => (/* binding */ GiCircleSparks),
/* harmony export */   "GiCirclingFish": () => (/* binding */ GiCirclingFish),
/* harmony export */   "GiCircuitry": () => (/* binding */ GiCircuitry),
/* harmony export */   "GiCircularSaw": () => (/* binding */ GiCircularSaw),
/* harmony export */   "GiCircularSawblade": () => (/* binding */ GiCircularSawblade),
/* harmony export */   "GiCityCar": () => (/* binding */ GiCityCar),
/* harmony export */   "GiClamp": () => (/* binding */ GiClamp),
/* harmony export */   "GiClapperboard": () => (/* binding */ GiClapperboard),
/* harmony export */   "GiClaw": () => (/* binding */ GiClaw),
/* harmony export */   "GiClawHammer": () => (/* binding */ GiClawHammer),
/* harmony export */   "GiClawSlashes": () => (/* binding */ GiClawSlashes),
/* harmony export */   "GiClawString": () => (/* binding */ GiClawString),
/* harmony export */   "GiClaws": () => (/* binding */ GiClaws),
/* harmony export */   "GiClayBrick": () => (/* binding */ GiClayBrick),
/* harmony export */   "GiClaymoreExplosive": () => (/* binding */ GiClaymoreExplosive),
/* harmony export */   "GiCleaver": () => (/* binding */ GiCleaver),
/* harmony export */   "GiClick": () => (/* binding */ GiClick),
/* harmony export */   "GiCliffCrossing": () => (/* binding */ GiCliffCrossing),
/* harmony export */   "GiCloak": () => (/* binding */ GiCloak),
/* harmony export */   "GiCloakDagger": () => (/* binding */ GiCloakDagger),
/* harmony export */   "GiClockwiseRotation": () => (/* binding */ GiClockwiseRotation),
/* harmony export */   "GiClockwork": () => (/* binding */ GiClockwork),
/* harmony export */   "GiClosedBarbute": () => (/* binding */ GiClosedBarbute),
/* harmony export */   "GiClosedDoors": () => (/* binding */ GiClosedDoors),
/* harmony export */   "GiClothJar": () => (/* binding */ GiClothJar),
/* harmony export */   "GiClothes": () => (/* binding */ GiClothes),
/* harmony export */   "GiClothespin": () => (/* binding */ GiClothespin),
/* harmony export */   "GiCloudDownload": () => (/* binding */ GiCloudDownload),
/* harmony export */   "GiCloudRing": () => (/* binding */ GiCloudRing),
/* harmony export */   "GiCloudUpload": () => (/* binding */ GiCloudUpload),
/* harmony export */   "GiCloudyFork": () => (/* binding */ GiCloudyFork),
/* harmony export */   "GiClout": () => (/* binding */ GiClout),
/* harmony export */   "GiClover": () => (/* binding */ GiClover),
/* harmony export */   "GiCloverSpiked": () => (/* binding */ GiCloverSpiked),
/* harmony export */   "GiClown": () => (/* binding */ GiClown),
/* harmony export */   "GiClownfish": () => (/* binding */ GiClownfish),
/* harmony export */   "GiClubs": () => (/* binding */ GiClubs),
/* harmony export */   "GiClusterBomb": () => (/* binding */ GiClusterBomb),
/* harmony export */   "GiCoalWagon": () => (/* binding */ GiCoalWagon),
/* harmony export */   "GiCobra": () => (/* binding */ GiCobra),
/* harmony export */   "GiCobweb": () => (/* binding */ GiCobweb),
/* harmony export */   "GiCoconuts": () => (/* binding */ GiCoconuts),
/* harmony export */   "GiCoffeeBeans": () => (/* binding */ GiCoffeeBeans),
/* harmony export */   "GiCoffeeCup": () => (/* binding */ GiCoffeeCup),
/* harmony export */   "GiCoffeeMug": () => (/* binding */ GiCoffeeMug),
/* harmony export */   "GiCoffeePot": () => (/* binding */ GiCoffeePot),
/* harmony export */   "GiCoffin": () => (/* binding */ GiCoffin),
/* harmony export */   "GiCog": () => (/* binding */ GiCog),
/* harmony export */   "GiCogLock": () => (/* binding */ GiCogLock),
/* harmony export */   "GiCogsplosion": () => (/* binding */ GiCogsplosion),
/* harmony export */   "GiCoilingCurl": () => (/* binding */ GiCoilingCurl),
/* harmony export */   "GiCoins": () => (/* binding */ GiCoins),
/* harmony export */   "GiCoinsPile": () => (/* binding */ GiCoinsPile),
/* harmony export */   "GiColdHeart": () => (/* binding */ GiColdHeart),
/* harmony export */   "GiColiseum": () => (/* binding */ GiColiseum),
/* harmony export */   "GiColombia": () => (/* binding */ GiColombia),
/* harmony export */   "GiColombianStatue": () => (/* binding */ GiColombianStatue),
/* harmony export */   "GiColtM1911": () => (/* binding */ GiColtM1911),
/* harmony export */   "GiColumnVase": () => (/* binding */ GiColumnVase),
/* harmony export */   "GiComa": () => (/* binding */ GiComa),
/* harmony export */   "GiComb": () => (/* binding */ GiComb),
/* harmony export */   "GiCombinationLock": () => (/* binding */ GiCombinationLock),
/* harmony export */   "GiCometSpark": () => (/* binding */ GiCometSpark),
/* harmony export */   "GiCommercialAirplane": () => (/* binding */ GiCommercialAirplane),
/* harmony export */   "GiCompactDisc": () => (/* binding */ GiCompactDisc),
/* harmony export */   "GiCompanionCube": () => (/* binding */ GiCompanionCube),
/* harmony export */   "GiCompass": () => (/* binding */ GiCompass),
/* harmony export */   "GiComputerFan": () => (/* binding */ GiComputerFan),
/* harmony export */   "GiComputing": () => (/* binding */ GiComputing),
/* harmony export */   "GiConcentrationOrb": () => (/* binding */ GiConcentrationOrb),
/* harmony export */   "GiConcentricCrescents": () => (/* binding */ GiConcentricCrescents),
/* harmony export */   "GiConcreteBag": () => (/* binding */ GiConcreteBag),
/* harmony export */   "GiCondorEmblem": () => (/* binding */ GiCondorEmblem),
/* harmony export */   "GiCondyluraSkull": () => (/* binding */ GiCondyluraSkull),
/* harmony export */   "GiConfirmed": () => (/* binding */ GiConfirmed),
/* harmony export */   "GiConfrontation": () => (/* binding */ GiConfrontation),
/* harmony export */   "GiCongress": () => (/* binding */ GiCongress),
/* harmony export */   "GiConqueror": () => (/* binding */ GiConqueror),
/* harmony export */   "GiConsoleController": () => (/* binding */ GiConsoleController),
/* harmony export */   "GiContortionist": () => (/* binding */ GiContortionist),
/* harmony export */   "GiContract": () => (/* binding */ GiContract),
/* harmony export */   "GiControlTower": () => (/* binding */ GiControlTower),
/* harmony export */   "GiConvergenceTarget": () => (/* binding */ GiConvergenceTarget),
/* harmony export */   "GiConversation": () => (/* binding */ GiConversation),
/* harmony export */   "GiConverseShoe": () => (/* binding */ GiConverseShoe),
/* harmony export */   "GiConvict": () => (/* binding */ GiConvict),
/* harmony export */   "GiConvince": () => (/* binding */ GiConvince),
/* harmony export */   "GiConwayLifeGlider": () => (/* binding */ GiConwayLifeGlider),
/* harmony export */   "GiCook": () => (/* binding */ GiCook),
/* harmony export */   "GiCookie": () => (/* binding */ GiCookie),
/* harmony export */   "GiCookingGlove": () => (/* binding */ GiCookingGlove),
/* harmony export */   "GiCookingPot": () => (/* binding */ GiCookingPot),
/* harmony export */   "GiCoolSpices": () => (/* binding */ GiCoolSpices),
/* harmony export */   "GiCoral": () => (/* binding */ GiCoral),
/* harmony export */   "GiCorkedTube": () => (/* binding */ GiCorkedTube),
/* harmony export */   "GiCorkscrew": () => (/* binding */ GiCorkscrew),
/* harmony export */   "GiCorn": () => (/* binding */ GiCorn),
/* harmony export */   "GiCornerExplosion": () => (/* binding */ GiCornerExplosion),
/* harmony export */   "GiCornerFlag": () => (/* binding */ GiCornerFlag),
/* harmony export */   "GiCornucopia": () => (/* binding */ GiCornucopia),
/* harmony export */   "GiCoronation": () => (/* binding */ GiCoronation),
/* harmony export */   "GiCorporal": () => (/* binding */ GiCorporal),
/* harmony export */   "GiCorset": () => (/* binding */ GiCorset),
/* harmony export */   "GiCorsica": () => (/* binding */ GiCorsica),
/* harmony export */   "GiCottonFlower": () => (/* binding */ GiCottonFlower),
/* harmony export */   "GiCoveredJar": () => (/* binding */ GiCoveredJar),
/* harmony export */   "GiCow": () => (/* binding */ GiCow),
/* harmony export */   "GiCowboyBoot": () => (/* binding */ GiCowboyBoot),
/* harmony export */   "GiCowboyHolster": () => (/* binding */ GiCowboyHolster),
/* harmony export */   "GiCowled": () => (/* binding */ GiCowled),
/* harmony export */   "GiCpu": () => (/* binding */ GiCpu),
/* harmony export */   "GiCpuShot": () => (/* binding */ GiCpuShot),
/* harmony export */   "GiCrab": () => (/* binding */ GiCrab),
/* harmony export */   "GiCrabClaw": () => (/* binding */ GiCrabClaw),
/* harmony export */   "GiCrackedAlienSkull": () => (/* binding */ GiCrackedAlienSkull),
/* harmony export */   "GiCrackedBallDunk": () => (/* binding */ GiCrackedBallDunk),
/* harmony export */   "GiCrackedDisc": () => (/* binding */ GiCrackedDisc),
/* harmony export */   "GiCrackedGlass": () => (/* binding */ GiCrackedGlass),
/* harmony export */   "GiCrackedHelm": () => (/* binding */ GiCrackedHelm),
/* harmony export */   "GiCrackedMask": () => (/* binding */ GiCrackedMask),
/* harmony export */   "GiCrackedSaber": () => (/* binding */ GiCrackedSaber),
/* harmony export */   "GiCrackedShield": () => (/* binding */ GiCrackedShield),
/* harmony export */   "GiCrafting": () => (/* binding */ GiCrafting),
/* harmony export */   "GiCrags": () => (/* binding */ GiCrags),
/* harmony export */   "GiCrane": () => (/* binding */ GiCrane),
/* harmony export */   "GiCreditsCurrency": () => (/* binding */ GiCreditsCurrency),
/* harmony export */   "GiCrenelCrown": () => (/* binding */ GiCrenelCrown),
/* harmony export */   "GiCrenulatedShield": () => (/* binding */ GiCrenulatedShield),
/* harmony export */   "GiCrescentBlade": () => (/* binding */ GiCrescentBlade),
/* harmony export */   "GiCrescentStaff": () => (/* binding */ GiCrescentStaff),
/* harmony export */   "GiCrestedHelmet": () => (/* binding */ GiCrestedHelmet),
/* harmony export */   "GiCricket": () => (/* binding */ GiCricket),
/* harmony export */   "GiCricketBat": () => (/* binding */ GiCricketBat),
/* harmony export */   "GiCrimeSceneTape": () => (/* binding */ GiCrimeSceneTape),
/* harmony export */   "GiCrocJaws": () => (/* binding */ GiCrocJaws),
/* harmony export */   "GiCrocSword": () => (/* binding */ GiCrocSword),
/* harmony export */   "GiCroissant": () => (/* binding */ GiCroissant),
/* harmony export */   "GiCroissantsPupil": () => (/* binding */ GiCroissantsPupil),
/* harmony export */   "GiCrookFlail": () => (/* binding */ GiCrookFlail),
/* harmony export */   "GiCrossFlare": () => (/* binding */ GiCrossFlare),
/* harmony export */   "GiCrossMark": () => (/* binding */ GiCrossMark),
/* harmony export */   "GiCrossShield": () => (/* binding */ GiCrossShield),
/* harmony export */   "GiCrossbow": () => (/* binding */ GiCrossbow),
/* harmony export */   "GiCrosscutSaw": () => (/* binding */ GiCrosscutSaw),
/* harmony export */   "GiCrossedAirFlows": () => (/* binding */ GiCrossedAirFlows),
/* harmony export */   "GiCrossedAxes": () => (/* binding */ GiCrossedAxes),
/* harmony export */   "GiCrossedBones": () => (/* binding */ GiCrossedBones),
/* harmony export */   "GiCrossedChains": () => (/* binding */ GiCrossedChains),
/* harmony export */   "GiCrossedClaws": () => (/* binding */ GiCrossedClaws),
/* harmony export */   "GiCrossedPistols": () => (/* binding */ GiCrossedPistols),
/* harmony export */   "GiCrossedSabres": () => (/* binding */ GiCrossedSabres),
/* harmony export */   "GiCrossedSlashes": () => (/* binding */ GiCrossedSlashes),
/* harmony export */   "GiCrossedSwords": () => (/* binding */ GiCrossedSwords),
/* harmony export */   "GiCrosshair": () => (/* binding */ GiCrosshair),
/* harmony export */   "GiCrosshairArrow": () => (/* binding */ GiCrosshairArrow),
/* harmony export */   "GiCrossroad": () => (/* binding */ GiCrossroad),
/* harmony export */   "GiCrowDive": () => (/* binding */ GiCrowDive),
/* harmony export */   "GiCrowNest": () => (/* binding */ GiCrowNest),
/* harmony export */   "GiCrowbar": () => (/* binding */ GiCrowbar),
/* harmony export */   "GiCrown": () => (/* binding */ GiCrown),
/* harmony export */   "GiCrownCoin": () => (/* binding */ GiCrownCoin),
/* harmony export */   "GiCrownOfThorns": () => (/* binding */ GiCrownOfThorns),
/* harmony export */   "GiCrownedExplosion": () => (/* binding */ GiCrownedExplosion),
/* harmony export */   "GiCrownedHeart": () => (/* binding */ GiCrownedHeart),
/* harmony export */   "GiCrownedSkull": () => (/* binding */ GiCrownedSkull),
/* harmony export */   "GiCrucifix": () => (/* binding */ GiCrucifix),
/* harmony export */   "GiCruiser": () => (/* binding */ GiCruiser),
/* harmony export */   "GiCrumblingBall": () => (/* binding */ GiCrumblingBall),
/* harmony export */   "GiCrush": () => (/* binding */ GiCrush),
/* harmony export */   "GiCryoChamber": () => (/* binding */ GiCryoChamber),
/* harmony export */   "GiCrystalBall": () => (/* binding */ GiCrystalBall),
/* harmony export */   "GiCrystalBars": () => (/* binding */ GiCrystalBars),
/* harmony export */   "GiCrystalCluster": () => (/* binding */ GiCrystalCluster),
/* harmony export */   "GiCrystalEarrings": () => (/* binding */ GiCrystalEarrings),
/* harmony export */   "GiCrystalEye": () => (/* binding */ GiCrystalEye),
/* harmony export */   "GiCrystalGrowth": () => (/* binding */ GiCrystalGrowth),
/* harmony export */   "GiCrystalShine": () => (/* binding */ GiCrystalShine),
/* harmony export */   "GiCrystalShrine": () => (/* binding */ GiCrystalShrine),
/* harmony export */   "GiCrystalWand": () => (/* binding */ GiCrystalWand),
/* harmony export */   "GiCrystalize": () => (/* binding */ GiCrystalize),
/* harmony export */   "GiCuauhtli": () => (/* binding */ GiCuauhtli),
/* harmony export */   "GiCube": () => (/* binding */ GiCube),
/* harmony export */   "GiCubeforce": () => (/* binding */ GiCubeforce),
/* harmony export */   "GiCubes": () => (/* binding */ GiCubes),
/* harmony export */   "GiCultist": () => (/* binding */ GiCultist),
/* harmony export */   "GiCupcake": () => (/* binding */ GiCupcake),
/* harmony export */   "GiCupidonArrow": () => (/* binding */ GiCupidonArrow),
/* harmony export */   "GiCurledLeaf": () => (/* binding */ GiCurledLeaf),
/* harmony export */   "GiCurledTentacle": () => (/* binding */ GiCurledTentacle),
/* harmony export */   "GiCurlingStone": () => (/* binding */ GiCurlingStone),
/* harmony export */   "GiCurlingVines": () => (/* binding */ GiCurlingVines),
/* harmony export */   "GiCurlyMask": () => (/* binding */ GiCurlyMask),
/* harmony export */   "GiCurlyWing": () => (/* binding */ GiCurlyWing),
/* harmony export */   "GiCursedStar": () => (/* binding */ GiCursedStar),
/* harmony export */   "GiCurvyKnife": () => (/* binding */ GiCurvyKnife),
/* harmony export */   "GiCustodianHelmet": () => (/* binding */ GiCustodianHelmet),
/* harmony export */   "GiCutDiamond": () => (/* binding */ GiCutDiamond),
/* harmony export */   "GiCutLemon": () => (/* binding */ GiCutLemon),
/* harmony export */   "GiCutPalm": () => (/* binding */ GiCutPalm),
/* harmony export */   "GiCyberEye": () => (/* binding */ GiCyberEye),
/* harmony export */   "GiCyborgFace": () => (/* binding */ GiCyborgFace),
/* harmony export */   "GiCycle": () => (/* binding */ GiCycle),
/* harmony export */   "GiCycling": () => (/* binding */ GiCycling),
/* harmony export */   "GiCyclops": () => (/* binding */ GiCyclops),
/* harmony export */   "GiCzSkorpion": () => (/* binding */ GiCzSkorpion),
/* harmony export */   "GiD10": () => (/* binding */ GiD10),
/* harmony export */   "GiD12": () => (/* binding */ GiD12),
/* harmony export */   "GiD4": () => (/* binding */ GiD4),
/* harmony export */   "GiDaemonPull": () => (/* binding */ GiDaemonPull),
/* harmony export */   "GiDaemonSkull": () => (/* binding */ GiDaemonSkull),
/* harmony export */   "GiDaggerRose": () => (/* binding */ GiDaggerRose),
/* harmony export */   "GiDaggers": () => (/* binding */ GiDaggers),
/* harmony export */   "GiDaisy": () => (/* binding */ GiDaisy),
/* harmony export */   "GiDam": () => (/* binding */ GiDam),
/* harmony export */   "GiDamagedHouse": () => (/* binding */ GiDamagedHouse),
/* harmony export */   "GiDandelionFlower": () => (/* binding */ GiDandelionFlower),
/* harmony export */   "GiDango": () => (/* binding */ GiDango),
/* harmony export */   "GiDarkSquad": () => (/* binding */ GiDarkSquad),
/* harmony export */   "GiDart": () => (/* binding */ GiDart),
/* harmony export */   "GiDatabase": () => (/* binding */ GiDatabase),
/* harmony export */   "GiDeadEye": () => (/* binding */ GiDeadEye),
/* harmony export */   "GiDeadHead": () => (/* binding */ GiDeadHead),
/* harmony export */   "GiDeadWood": () => (/* binding */ GiDeadWood),
/* harmony export */   "GiDeadlyStrike": () => (/* binding */ GiDeadlyStrike),
/* harmony export */   "GiDeathJuice": () => (/* binding */ GiDeathJuice),
/* harmony export */   "GiDeathNote": () => (/* binding */ GiDeathNote),
/* harmony export */   "GiDeathSkull": () => (/* binding */ GiDeathSkull),
/* harmony export */   "GiDeathZone": () => (/* binding */ GiDeathZone),
/* harmony export */   "GiDeathcab": () => (/* binding */ GiDeathcab),
/* harmony export */   "GiDecapitation": () => (/* binding */ GiDecapitation),
/* harmony export */   "GiDeerTrack": () => (/* binding */ GiDeerTrack),
/* harmony export */   "GiDefenseSatellite": () => (/* binding */ GiDefenseSatellite),
/* harmony export */   "GiDefensiveWall": () => (/* binding */ GiDefensiveWall),
/* harmony export */   "GiDefibrilate": () => (/* binding */ GiDefibrilate),
/* harmony export */   "GiDelighted": () => (/* binding */ GiDelighted),
/* harmony export */   "GiDeliveryDrone": () => (/* binding */ GiDeliveryDrone),
/* harmony export */   "GiDemolish": () => (/* binding */ GiDemolish),
/* harmony export */   "GiDervishSwords": () => (/* binding */ GiDervishSwords),
/* harmony export */   "GiDesert": () => (/* binding */ GiDesert),
/* harmony export */   "GiDesertEagle": () => (/* binding */ GiDesertEagle),
/* harmony export */   "GiDesertSkull": () => (/* binding */ GiDesertSkull),
/* harmony export */   "GiDeshretRedCrown": () => (/* binding */ GiDeshretRedCrown),
/* harmony export */   "GiDesk": () => (/* binding */ GiDesk),
/* harmony export */   "GiDeskLamp": () => (/* binding */ GiDeskLamp),
/* harmony export */   "GiDespair": () => (/* binding */ GiDespair),
/* harmony export */   "GiDetour": () => (/* binding */ GiDetour),
/* harmony export */   "GiDevilMask": () => (/* binding */ GiDevilMask),
/* harmony export */   "GiDew": () => (/* binding */ GiDew),
/* harmony export */   "GiDiabloSkull": () => (/* binding */ GiDiabloSkull),
/* harmony export */   "GiDiagram": () => (/* binding */ GiDiagram),
/* harmony export */   "GiDiamondHard": () => (/* binding */ GiDiamondHard),
/* harmony export */   "GiDiamondHilt": () => (/* binding */ GiDiamondHilt),
/* harmony export */   "GiDiamondRing": () => (/* binding */ GiDiamondRing),
/* harmony export */   "GiDiamonds": () => (/* binding */ GiDiamonds),
/* harmony export */   "GiDiamondsSmile": () => (/* binding */ GiDiamondsSmile),
/* harmony export */   "GiDiceEightFacesEight": () => (/* binding */ GiDiceEightFacesEight),
/* harmony export */   "GiDiceFire": () => (/* binding */ GiDiceFire),
/* harmony export */   "GiDiceShield": () => (/* binding */ GiDiceShield),
/* harmony export */   "GiDiceSixFacesFive": () => (/* binding */ GiDiceSixFacesFive),
/* harmony export */   "GiDiceSixFacesFour": () => (/* binding */ GiDiceSixFacesFour),
/* harmony export */   "GiDiceSixFacesOne": () => (/* binding */ GiDiceSixFacesOne),
/* harmony export */   "GiDiceSixFacesSix": () => (/* binding */ GiDiceSixFacesSix),
/* harmony export */   "GiDiceSixFacesThree": () => (/* binding */ GiDiceSixFacesThree),
/* harmony export */   "GiDiceSixFacesTwo": () => (/* binding */ GiDiceSixFacesTwo),
/* harmony export */   "GiDiceTarget": () => (/* binding */ GiDiceTarget),
/* harmony export */   "GiDiceTwentyFacesOne": () => (/* binding */ GiDiceTwentyFacesOne),
/* harmony export */   "GiDiceTwentyFacesTwenty": () => (/* binding */ GiDiceTwentyFacesTwenty),
/* harmony export */   "GiDigDug": () => (/* binding */ GiDigDug),
/* harmony export */   "GiDigHole": () => (/* binding */ GiDigHole),
/* harmony export */   "GiDigitalTrace": () => (/* binding */ GiDigitalTrace),
/* harmony export */   "GiDimetrodon": () => (/* binding */ GiDimetrodon),
/* harmony export */   "GiDinosaurBones": () => (/* binding */ GiDinosaurBones),
/* harmony export */   "GiDinosaurEgg": () => (/* binding */ GiDinosaurEgg),
/* harmony export */   "GiDinosaurRex": () => (/* binding */ GiDinosaurRex),
/* harmony export */   "GiDiplodocus": () => (/* binding */ GiDiplodocus),
/* harmony export */   "GiDiploma": () => (/* binding */ GiDiploma),
/* harmony export */   "GiDirectionSign": () => (/* binding */ GiDirectionSign),
/* harmony export */   "GiDirectionSigns": () => (/* binding */ GiDirectionSigns),
/* harmony export */   "GiDirectorChair": () => (/* binding */ GiDirectorChair),
/* harmony export */   "GiDirewolf": () => (/* binding */ GiDirewolf),
/* harmony export */   "GiDisc": () => (/* binding */ GiDisc),
/* harmony export */   "GiDiscGolfBag": () => (/* binding */ GiDiscGolfBag),
/* harmony export */   "GiDiscGolfBasket": () => (/* binding */ GiDiscGolfBasket),
/* harmony export */   "GiDiscussion": () => (/* binding */ GiDiscussion),
/* harmony export */   "GiDisintegrate": () => (/* binding */ GiDisintegrate),
/* harmony export */   "GiDistraction": () => (/* binding */ GiDistraction),
/* harmony export */   "GiDistressSignal": () => (/* binding */ GiDistressSignal),
/* harmony export */   "GiDivergence": () => (/* binding */ GiDivergence),
/* harmony export */   "GiDivert": () => (/* binding */ GiDivert),
/* harmony export */   "GiDividedSpiral": () => (/* binding */ GiDividedSpiral),
/* harmony export */   "GiDividedSquare": () => (/* binding */ GiDividedSquare),
/* harmony export */   "GiDivingDagger": () => (/* binding */ GiDivingDagger),
/* harmony export */   "GiDivingHelmet": () => (/* binding */ GiDivingHelmet),
/* harmony export */   "GiDjinn": () => (/* binding */ GiDjinn),
/* harmony export */   "GiDna1": () => (/* binding */ GiDna1),
/* harmony export */   "GiDna2": () => (/* binding */ GiDna2),
/* harmony export */   "GiDoctorFace": () => (/* binding */ GiDoctorFace),
/* harmony export */   "GiDodge": () => (/* binding */ GiDodge),
/* harmony export */   "GiDodging": () => (/* binding */ GiDodging),
/* harmony export */   "GiDogBowl": () => (/* binding */ GiDogBowl),
/* harmony export */   "GiDogHouse": () => (/* binding */ GiDogHouse),
/* harmony export */   "GiDolmen": () => (/* binding */ GiDolmen),
/* harmony export */   "GiDolphin": () => (/* binding */ GiDolphin),
/* harmony export */   "GiDominoMask": () => (/* binding */ GiDominoMask),
/* harmony export */   "GiDominoTiles": () => (/* binding */ GiDominoTiles),
/* harmony export */   "GiDonkey": () => (/* binding */ GiDonkey),
/* harmony export */   "GiDonut": () => (/* binding */ GiDonut),
/* harmony export */   "GiDoor": () => (/* binding */ GiDoor),
/* harmony export */   "GiDoorHandle": () => (/* binding */ GiDoorHandle),
/* harmony export */   "GiDoorRingHandle": () => (/* binding */ GiDoorRingHandle),
/* harmony export */   "GiDoorway": () => (/* binding */ GiDoorway),
/* harmony export */   "GiDorsalScales": () => (/* binding */ GiDorsalScales),
/* harmony export */   "GiDoubleDiaphragm": () => (/* binding */ GiDoubleDiaphragm),
/* harmony export */   "GiDoubleDragon": () => (/* binding */ GiDoubleDragon),
/* harmony export */   "GiDoubleFaceMask": () => (/* binding */ GiDoubleFaceMask),
/* harmony export */   "GiDoubleFish": () => (/* binding */ GiDoubleFish),
/* harmony export */   "GiDoubleQuaver": () => (/* binding */ GiDoubleQuaver),
/* harmony export */   "GiDoubleRingedOrb": () => (/* binding */ GiDoubleRingedOrb),
/* harmony export */   "GiDoubleShot": () => (/* binding */ GiDoubleShot),
/* harmony export */   "GiDoubleStreetLights": () => (/* binding */ GiDoubleStreetLights),
/* harmony export */   "GiDoubled": () => (/* binding */ GiDoubled),
/* harmony export */   "GiDoughRoller": () => (/* binding */ GiDoughRoller),
/* harmony export */   "GiDove": () => (/* binding */ GiDove),
/* harmony export */   "GiDozen": () => (/* binding */ GiDozen),
/* harmony export */   "GiDragonBalls": () => (/* binding */ GiDragonBalls),
/* harmony export */   "GiDragonBreath": () => (/* binding */ GiDragonBreath),
/* harmony export */   "GiDragonHead": () => (/* binding */ GiDragonHead),
/* harmony export */   "GiDragonOrb": () => (/* binding */ GiDragonOrb),
/* harmony export */   "GiDragonShield": () => (/* binding */ GiDragonShield),
/* harmony export */   "GiDragonSpiral": () => (/* binding */ GiDragonSpiral),
/* harmony export */   "GiDragonfly": () => (/* binding */ GiDragonfly),
/* harmony export */   "GiDrakkar": () => (/* binding */ GiDrakkar),
/* harmony export */   "GiDrakkarDragon": () => (/* binding */ GiDrakkarDragon),
/* harmony export */   "GiDramaMasks": () => (/* binding */ GiDramaMasks),
/* harmony export */   "GiDrawbridge": () => (/* binding */ GiDrawbridge),
/* harmony export */   "GiDread": () => (/* binding */ GiDread),
/* harmony export */   "GiDreadSkull": () => (/* binding */ GiDreadSkull),
/* harmony export */   "GiDreadnought": () => (/* binding */ GiDreadnought),
/* harmony export */   "GiDreamCatcher": () => (/* binding */ GiDreamCatcher),
/* harmony export */   "GiDress": () => (/* binding */ GiDress),
/* harmony export */   "GiDrill": () => (/* binding */ GiDrill),
/* harmony export */   "GiDrinkMe": () => (/* binding */ GiDrinkMe),
/* harmony export */   "GiDrinking": () => (/* binding */ GiDrinking),
/* harmony export */   "GiDrippingBlade": () => (/* binding */ GiDrippingBlade),
/* harmony export */   "GiDrippingGoo": () => (/* binding */ GiDrippingGoo),
/* harmony export */   "GiDrippingHoney": () => (/* binding */ GiDrippingHoney),
/* harmony export */   "GiDrippingKnife": () => (/* binding */ GiDrippingKnife),
/* harmony export */   "GiDrippingStar": () => (/* binding */ GiDrippingStar),
/* harmony export */   "GiDrippingStone": () => (/* binding */ GiDrippingStone),
/* harmony export */   "GiDrippingSword": () => (/* binding */ GiDrippingSword),
/* harmony export */   "GiDrippingTube": () => (/* binding */ GiDrippingTube),
/* harmony export */   "GiDrop": () => (/* binding */ GiDrop),
/* harmony export */   "GiDropEarrings": () => (/* binding */ GiDropEarrings),
/* harmony export */   "GiDropWeapon": () => (/* binding */ GiDropWeapon),
/* harmony export */   "GiDropletSplash": () => (/* binding */ GiDropletSplash),
/* harmony export */   "GiDroplets": () => (/* binding */ GiDroplets),
/* harmony export */   "GiDrowning": () => (/* binding */ GiDrowning),
/* harmony export */   "GiDrum": () => (/* binding */ GiDrum),
/* harmony export */   "GiDuality": () => (/* binding */ GiDuality),
/* harmony export */   "GiDualityMask": () => (/* binding */ GiDualityMask),
/* harmony export */   "GiDuck": () => (/* binding */ GiDuck),
/* harmony export */   "GiDuckPalm": () => (/* binding */ GiDuckPalm),
/* harmony export */   "GiDuel": () => (/* binding */ GiDuel),
/* harmony export */   "GiDuffelBag": () => (/* binding */ GiDuffelBag),
/* harmony export */   "GiDunceCap": () => (/* binding */ GiDunceCap),
/* harmony export */   "GiDungeonGate": () => (/* binding */ GiDungeonGate),
/* harmony export */   "GiDungeonLight": () => (/* binding */ GiDungeonLight),
/* harmony export */   "GiDuration": () => (/* binding */ GiDuration),
/* harmony export */   "GiDustCloud": () => (/* binding */ GiDustCloud),
/* harmony export */   "GiDutchBike": () => (/* binding */ GiDutchBike),
/* harmony export */   "GiDwarfFace": () => (/* binding */ GiDwarfFace),
/* harmony export */   "GiDwarfHelmet": () => (/* binding */ GiDwarfHelmet),
/* harmony export */   "GiDwarfKing": () => (/* binding */ GiDwarfKing),
/* harmony export */   "GiDwennimmen": () => (/* binding */ GiDwennimmen),
/* harmony export */   "GiDynamite": () => (/* binding */ GiDynamite),
/* harmony export */   "GiEagleEmblem": () => (/* binding */ GiEagleEmblem),
/* harmony export */   "GiEagleHead": () => (/* binding */ GiEagleHead),
/* harmony export */   "GiEarrings": () => (/* binding */ GiEarrings),
/* harmony export */   "GiEarthAfricaEurope": () => (/* binding */ GiEarthAfricaEurope),
/* harmony export */   "GiEarthAmerica": () => (/* binding */ GiEarthAmerica),
/* harmony export */   "GiEarthAsiaOceania": () => (/* binding */ GiEarthAsiaOceania),
/* harmony export */   "GiEarthCrack": () => (/* binding */ GiEarthCrack),
/* harmony export */   "GiEarthSpit": () => (/* binding */ GiEarthSpit),
/* harmony export */   "GiEarthWorm": () => (/* binding */ GiEarthWorm),
/* harmony export */   "GiEarwig": () => (/* binding */ GiEarwig),
/* harmony export */   "GiEasterEgg": () => (/* binding */ GiEasterEgg),
/* harmony export */   "GiEating": () => (/* binding */ GiEating),
/* harmony export */   "GiEatingPelican": () => (/* binding */ GiEatingPelican),
/* harmony export */   "GiEchoRipples": () => (/* binding */ GiEchoRipples),
/* harmony export */   "GiEclipse": () => (/* binding */ GiEclipse),
/* harmony export */   "GiEclipseFlare": () => (/* binding */ GiEclipseFlare),
/* harmony export */   "GiEclipseSaw": () => (/* binding */ GiEclipseSaw),
/* harmony export */   "GiEcology": () => (/* binding */ GiEcology),
/* harmony export */   "GiEdgeCrack": () => (/* binding */ GiEdgeCrack),
/* harmony export */   "GiEdgedShield": () => (/* binding */ GiEdgedShield),
/* harmony export */   "GiEel": () => (/* binding */ GiEel),
/* harmony export */   "GiEggClutch": () => (/* binding */ GiEggClutch),
/* harmony export */   "GiEggDefense": () => (/* binding */ GiEggDefense),
/* harmony export */   "GiEggEye": () => (/* binding */ GiEggEye),
/* harmony export */   "GiEggPod": () => (/* binding */ GiEggPod),
/* harmony export */   "GiEgypt": () => (/* binding */ GiEgypt),
/* harmony export */   "GiEgyptianBird": () => (/* binding */ GiEgyptianBird),
/* harmony export */   "GiEgyptianProfile": () => (/* binding */ GiEgyptianProfile),
/* harmony export */   "GiEgyptianPyramids": () => (/* binding */ GiEgyptianPyramids),
/* harmony export */   "GiEgyptianSphinx": () => (/* binding */ GiEgyptianSphinx),
/* harmony export */   "GiEgyptianTemple": () => (/* binding */ GiEgyptianTemple),
/* harmony export */   "GiEgyptianUrns": () => (/* binding */ GiEgyptianUrns),
/* harmony export */   "GiEgyptianWalk": () => (/* binding */ GiEgyptianWalk),
/* harmony export */   "GiEightBall": () => (/* binding */ GiEightBall),
/* harmony export */   "GiElbowPad": () => (/* binding */ GiElbowPad),
/* harmony export */   "GiElderberry": () => (/* binding */ GiElderberry),
/* harmony export */   "GiElectric": () => (/* binding */ GiElectric),
/* harmony export */   "GiElectricWhip": () => (/* binding */ GiElectricWhip),
/* harmony export */   "GiElectricalCrescent": () => (/* binding */ GiElectricalCrescent),
/* harmony export */   "GiElectricalResistance": () => (/* binding */ GiElectricalResistance),
/* harmony export */   "GiElectricalSocket": () => (/* binding */ GiElectricalSocket),
/* harmony export */   "GiElephant": () => (/* binding */ GiElephant),
/* harmony export */   "GiElephantHead": () => (/* binding */ GiElephantHead),
/* harmony export */   "GiElevator": () => (/* binding */ GiElevator),
/* harmony export */   "GiElfEar": () => (/* binding */ GiElfEar),
/* harmony export */   "GiElfHelmet": () => (/* binding */ GiElfHelmet),
/* harmony export */   "GiElvenCastle": () => (/* binding */ GiElvenCastle),
/* harmony export */   "GiEmberShot": () => (/* binding */ GiEmberShot),
/* harmony export */   "GiEmbrassedEnergy": () => (/* binding */ GiEmbrassedEnergy),
/* harmony export */   "GiEmbryo": () => (/* binding */ GiEmbryo),
/* harmony export */   "GiEmerald": () => (/* binding */ GiEmerald),
/* harmony export */   "GiEmeraldNecklace": () => (/* binding */ GiEmeraldNecklace),
/* harmony export */   "GiEmptyChessboard": () => (/* binding */ GiEmptyChessboard),
/* harmony export */   "GiEmptyHourglass": () => (/* binding */ GiEmptyHourglass),
/* harmony export */   "GiEmptyMetalBucket": () => (/* binding */ GiEmptyMetalBucket),
/* harmony export */   "GiEmptyMetalBucketHandle": () => (/* binding */ GiEmptyMetalBucketHandle),
/* harmony export */   "GiEmptyWoodBucket": () => (/* binding */ GiEmptyWoodBucket),
/* harmony export */   "GiEmptyWoodBucketHandle": () => (/* binding */ GiEmptyWoodBucketHandle),
/* harmony export */   "GiEncirclement": () => (/* binding */ GiEncirclement),
/* harmony export */   "GiEnergise": () => (/* binding */ GiEnergise),
/* harmony export */   "GiEnergyArrow": () => (/* binding */ GiEnergyArrow),
/* harmony export */   "GiEnergyBreath": () => (/* binding */ GiEnergyBreath),
/* harmony export */   "GiEnergyShield": () => (/* binding */ GiEnergyShield),
/* harmony export */   "GiEnergySword": () => (/* binding */ GiEnergySword),
/* harmony export */   "GiEnergyTank": () => (/* binding */ GiEnergyTank),
/* harmony export */   "GiEngagementRing": () => (/* binding */ GiEngagementRing),
/* harmony export */   "GiEnlightenment": () => (/* binding */ GiEnlightenment),
/* harmony export */   "GiEnrage": () => (/* binding */ GiEnrage),
/* harmony export */   "GiEntMouth": () => (/* binding */ GiEntMouth),
/* harmony export */   "GiEntangledTyphoon": () => (/* binding */ GiEntangledTyphoon),
/* harmony export */   "GiEntryDoor": () => (/* binding */ GiEntryDoor),
/* harmony export */   "GiEnvelope": () => (/* binding */ GiEnvelope),
/* harmony export */   "GiErlenmeyer": () => (/* binding */ GiErlenmeyer),
/* harmony export */   "GiErmine": () => (/* binding */ GiErmine),
/* harmony export */   "GiEruption": () => (/* binding */ GiEruption),
/* harmony export */   "GiEscalator": () => (/* binding */ GiEscalator),
/* harmony export */   "GiEskimo": () => (/* binding */ GiEskimo),
/* harmony export */   "GiEternalLove": () => (/* binding */ GiEternalLove),
/* harmony export */   "GiEuropeanFlag": () => (/* binding */ GiEuropeanFlag),
/* harmony export */   "GiEvasion": () => (/* binding */ GiEvasion),
/* harmony export */   "GiEvilBat": () => (/* binding */ GiEvilBat),
/* harmony export */   "GiEvilBook": () => (/* binding */ GiEvilBook),
/* harmony export */   "GiEvilBud": () => (/* binding */ GiEvilBud),
/* harmony export */   "GiEvilComet": () => (/* binding */ GiEvilComet),
/* harmony export */   "GiEvilEyes": () => (/* binding */ GiEvilEyes),
/* harmony export */   "GiEvilFork": () => (/* binding */ GiEvilFork),
/* harmony export */   "GiEvilHand": () => (/* binding */ GiEvilHand),
/* harmony export */   "GiEvilLove": () => (/* binding */ GiEvilLove),
/* harmony export */   "GiEvilMinion": () => (/* binding */ GiEvilMinion),
/* harmony export */   "GiEvilMoon": () => (/* binding */ GiEvilMoon),
/* harmony export */   "GiEvilTower": () => (/* binding */ GiEvilTower),
/* harmony export */   "GiEvilTree": () => (/* binding */ GiEvilTree),
/* harmony export */   "GiEvilWings": () => (/* binding */ GiEvilWings),
/* harmony export */   "GiExecutionerHood": () => (/* binding */ GiExecutionerHood),
/* harmony export */   "GiExitDoor": () => (/* binding */ GiExitDoor),
/* harmony export */   "GiExpand": () => (/* binding */ GiExpand),
/* harmony export */   "GiExpandedRays": () => (/* binding */ GiExpandedRays),
/* harmony export */   "GiExpander": () => (/* binding */ GiExpander),
/* harmony export */   "GiExpense": () => (/* binding */ GiExpense),
/* harmony export */   "GiExplodingPlanet": () => (/* binding */ GiExplodingPlanet),
/* harmony export */   "GiExplosionRays": () => (/* binding */ GiExplosionRays),
/* harmony export */   "GiExplosiveMaterials": () => (/* binding */ GiExplosiveMaterials),
/* harmony export */   "GiExplosiveMeeting": () => (/* binding */ GiExplosiveMeeting),
/* harmony export */   "GiExtraLucid": () => (/* binding */ GiExtraLucid),
/* harmony export */   "GiExtraTime": () => (/* binding */ GiExtraTime),
/* harmony export */   "GiExtractionOrb": () => (/* binding */ GiExtractionOrb),
/* harmony export */   "GiEyeOfHorus": () => (/* binding */ GiEyeOfHorus),
/* harmony export */   "GiEyeShield": () => (/* binding */ GiEyeShield),
/* harmony export */   "GiEyeTarget": () => (/* binding */ GiEyeTarget),
/* harmony export */   "GiEyeball": () => (/* binding */ GiEyeball),
/* harmony export */   "GiEyedropper": () => (/* binding */ GiEyedropper),
/* harmony export */   "GiEyelashes": () => (/* binding */ GiEyelashes),
/* harmony export */   "GiEyepatch": () => (/* binding */ GiEyepatch),
/* harmony export */   "GiEyestalk": () => (/* binding */ GiEyestalk),
/* harmony export */   "GiF1Car": () => (/* binding */ GiF1Car),
/* harmony export */   "GiFClef": () => (/* binding */ GiFClef),
/* harmony export */   "GiFaceToFace": () => (/* binding */ GiFaceToFace),
/* harmony export */   "GiFactory": () => (/* binding */ GiFactory),
/* harmony export */   "GiFactoryArm": () => (/* binding */ GiFactoryArm),
/* harmony export */   "GiFairy": () => (/* binding */ GiFairy),
/* harmony export */   "GiFairyWand": () => (/* binding */ GiFairyWand),
/* harmony export */   "GiFairyWings": () => (/* binding */ GiFairyWings),
/* harmony export */   "GiFalconMoon": () => (/* binding */ GiFalconMoon),
/* harmony export */   "GiFallDown": () => (/* binding */ GiFallDown),
/* harmony export */   "GiFalling": () => (/* binding */ GiFalling),
/* harmony export */   "GiFallingBlob": () => (/* binding */ GiFallingBlob),
/* harmony export */   "GiFallingBomb": () => (/* binding */ GiFallingBomb),
/* harmony export */   "GiFallingBoulder": () => (/* binding */ GiFallingBoulder),
/* harmony export */   "GiFallingEye": () => (/* binding */ GiFallingEye),
/* harmony export */   "GiFallingLeaf": () => (/* binding */ GiFallingLeaf),
/* harmony export */   "GiFallingOvoid": () => (/* binding */ GiFallingOvoid),
/* harmony export */   "GiFallingRocks": () => (/* binding */ GiFallingRocks),
/* harmony export */   "GiFallingStar": () => (/* binding */ GiFallingStar),
/* harmony export */   "GiFalloutShelter": () => (/* binding */ GiFalloutShelter),
/* harmony export */   "GiFamas": () => (/* binding */ GiFamas),
/* harmony export */   "GiFamilyHouse": () => (/* binding */ GiFamilyHouse),
/* harmony export */   "GiFamilyTree": () => (/* binding */ GiFamilyTree),
/* harmony export */   "GiFangedSkull": () => (/* binding */ GiFangedSkull),
/* harmony export */   "GiFangs": () => (/* binding */ GiFangs),
/* harmony export */   "GiFangsCircle": () => (/* binding */ GiFangsCircle),
/* harmony export */   "GiFarmTractor": () => (/* binding */ GiFarmTractor),
/* harmony export */   "GiFarmer": () => (/* binding */ GiFarmer),
/* harmony export */   "GiFastArrow": () => (/* binding */ GiFastArrow),
/* harmony export */   "GiFastBackwardButton": () => (/* binding */ GiFastBackwardButton),
/* harmony export */   "GiFastForwardButton": () => (/* binding */ GiFastForwardButton),
/* harmony export */   "GiFat": () => (/* binding */ GiFat),
/* harmony export */   "GiFeather": () => (/* binding */ GiFeather),
/* harmony export */   "GiFeatherNecklace": () => (/* binding */ GiFeatherNecklace),
/* harmony export */   "GiFeatherWound": () => (/* binding */ GiFeatherWound),
/* harmony export */   "GiFeatheredWing": () => (/* binding */ GiFeatheredWing),
/* harmony export */   "GiFedora": () => (/* binding */ GiFedora),
/* harmony export */   "GiFeline": () => (/* binding */ GiFeline),
/* harmony export */   "GiFemale": () => (/* binding */ GiFemale),
/* harmony export */   "GiFemaleLegs": () => (/* binding */ GiFemaleLegs),
/* harmony export */   "GiFemaleVampire": () => (/* binding */ GiFemaleVampire),
/* harmony export */   "GiFencer": () => (/* binding */ GiFencer),
/* harmony export */   "GiFern": () => (/* binding */ GiFern),
/* harmony export */   "GiFertilizerBag": () => (/* binding */ GiFertilizerBag),
/* harmony export */   "GiFetus": () => (/* binding */ GiFetus),
/* harmony export */   "GiFez": () => (/* binding */ GiFez),
/* harmony export */   "GiField": () => (/* binding */ GiField),
/* harmony export */   "GiFieldGun": () => (/* binding */ GiFieldGun),
/* harmony export */   "GiFigurehead": () => (/* binding */ GiFigurehead),
/* harmony export */   "GiFiles": () => (/* binding */ GiFiles),
/* harmony export */   "GiFilmProjector": () => (/* binding */ GiFilmProjector),
/* harmony export */   "GiFilmSpool": () => (/* binding */ GiFilmSpool),
/* harmony export */   "GiFilmStrip": () => (/* binding */ GiFilmStrip),
/* harmony export */   "GiFinch": () => (/* binding */ GiFinch),
/* harmony export */   "GiFingerPrint": () => (/* binding */ GiFingerPrint),
/* harmony export */   "GiFingernail": () => (/* binding */ GiFingernail),
/* harmony export */   "GiFingersCrossed": () => (/* binding */ GiFingersCrossed),
/* harmony export */   "GiFinishLine": () => (/* binding */ GiFinishLine),
/* harmony export */   "GiFire": () => (/* binding */ GiFire),
/* harmony export */   "GiFireAce": () => (/* binding */ GiFireAce),
/* harmony export */   "GiFireAxe": () => (/* binding */ GiFireAxe),
/* harmony export */   "GiFireBomb": () => (/* binding */ GiFireBomb),
/* harmony export */   "GiFireBottle": () => (/* binding */ GiFireBottle),
/* harmony export */   "GiFireBowl": () => (/* binding */ GiFireBowl),
/* harmony export */   "GiFireBreath": () => (/* binding */ GiFireBreath),
/* harmony export */   "GiFireDash": () => (/* binding */ GiFireDash),
/* harmony export */   "GiFireExtinguisher": () => (/* binding */ GiFireExtinguisher),
/* harmony export */   "GiFireFlower": () => (/* binding */ GiFireFlower),
/* harmony export */   "GiFireGem": () => (/* binding */ GiFireGem),
/* harmony export */   "GiFirePunch": () => (/* binding */ GiFirePunch),
/* harmony export */   "GiFireRay": () => (/* binding */ GiFireRay),
/* harmony export */   "GiFireRing": () => (/* binding */ GiFireRing),
/* harmony export */   "GiFireShield": () => (/* binding */ GiFireShield),
/* harmony export */   "GiFireShrine": () => (/* binding */ GiFireShrine),
/* harmony export */   "GiFireSilhouette": () => (/* binding */ GiFireSilhouette),
/* harmony export */   "GiFireSpellCast": () => (/* binding */ GiFireSpellCast),
/* harmony export */   "GiFireTail": () => (/* binding */ GiFireTail),
/* harmony export */   "GiFireWave": () => (/* binding */ GiFireWave),
/* harmony export */   "GiFireZone": () => (/* binding */ GiFireZone),
/* harmony export */   "GiFireball": () => (/* binding */ GiFireball),
/* harmony export */   "GiFireflake": () => (/* binding */ GiFireflake),
/* harmony export */   "GiFireplace": () => (/* binding */ GiFireplace),
/* harmony export */   "GiFirewall": () => (/* binding */ GiFirewall),
/* harmony export */   "GiFireworkRocket": () => (/* binding */ GiFireworkRocket),
/* harmony export */   "GiFirstAidKit": () => (/* binding */ GiFirstAidKit),
/* harmony export */   "GiFishBucket": () => (/* binding */ GiFishBucket),
/* harmony export */   "GiFishCooked": () => (/* binding */ GiFishCooked),
/* harmony export */   "GiFishCorpse": () => (/* binding */ GiFishCorpse),
/* harmony export */   "GiFishEggs": () => (/* binding */ GiFishEggs),
/* harmony export */   "GiFishEscape": () => (/* binding */ GiFishEscape),
/* harmony export */   "GiFishMonster": () => (/* binding */ GiFishMonster),
/* harmony export */   "GiFishScales": () => (/* binding */ GiFishScales),
/* harmony export */   "GiFishSmoking": () => (/* binding */ GiFishSmoking),
/* harmony export */   "GiFishbone": () => (/* binding */ GiFishbone),
/* harmony export */   "GiFishhookFork": () => (/* binding */ GiFishhookFork),
/* harmony export */   "GiFishing": () => (/* binding */ GiFishing),
/* harmony export */   "GiFishingBoat": () => (/* binding */ GiFishingBoat),
/* harmony export */   "GiFishingHook": () => (/* binding */ GiFishingHook),
/* harmony export */   "GiFishingJig": () => (/* binding */ GiFishingJig),
/* harmony export */   "GiFishingLure": () => (/* binding */ GiFishingLure),
/* harmony export */   "GiFishingNet": () => (/* binding */ GiFishingNet),
/* harmony export */   "GiFishingPole": () => (/* binding */ GiFishingPole),
/* harmony export */   "GiFishingSpoon": () => (/* binding */ GiFishingSpoon),
/* harmony export */   "GiFission": () => (/* binding */ GiFission),
/* harmony export */   "GiFist": () => (/* binding */ GiFist),
/* harmony export */   "GiFizzingFlask": () => (/* binding */ GiFizzingFlask),
/* harmony export */   "GiFlagObjective": () => (/* binding */ GiFlagObjective),
/* harmony export */   "GiFlail": () => (/* binding */ GiFlail),
/* harmony export */   "GiFlake": () => (/* binding */ GiFlake),
/* harmony export */   "GiFlame": () => (/* binding */ GiFlame),
/* harmony export */   "GiFlameClaws": () => (/* binding */ GiFlameClaws),
/* harmony export */   "GiFlameSpin": () => (/* binding */ GiFlameSpin),
/* harmony export */   "GiFlameTunnel": () => (/* binding */ GiFlameTunnel),
/* harmony export */   "GiFlamedLeaf": () => (/* binding */ GiFlamedLeaf),
/* harmony export */   "GiFlamer": () => (/* binding */ GiFlamer),
/* harmony export */   "GiFlamethrower": () => (/* binding */ GiFlamethrower),
/* harmony export */   "GiFlamethrowerSoldier": () => (/* binding */ GiFlamethrowerSoldier),
/* harmony export */   "GiFlamingArrow": () => (/* binding */ GiFlamingArrow),
/* harmony export */   "GiFlamingClaw": () => (/* binding */ GiFlamingClaw),
/* harmony export */   "GiFlamingSheet": () => (/* binding */ GiFlamingSheet),
/* harmony export */   "GiFlamingTrident": () => (/* binding */ GiFlamingTrident),
/* harmony export */   "GiFlamingo": () => (/* binding */ GiFlamingo),
/* harmony export */   "GiFlangedMace": () => (/* binding */ GiFlangedMace),
/* harmony export */   "GiFlashGrenade": () => (/* binding */ GiFlashGrenade),
/* harmony export */   "GiFlashlight": () => (/* binding */ GiFlashlight),
/* harmony export */   "GiFlatHammer": () => (/* binding */ GiFlatHammer),
/* harmony export */   "GiFlatPawPrint": () => (/* binding */ GiFlatPawPrint),
/* harmony export */   "GiFlatPlatform": () => (/* binding */ GiFlatPlatform),
/* harmony export */   "GiFlatStar": () => (/* binding */ GiFlatStar),
/* harmony export */   "GiFlatTire": () => (/* binding */ GiFlatTire),
/* harmony export */   "GiFlatbed": () => (/* binding */ GiFlatbed),
/* harmony export */   "GiFlatbedCovered": () => (/* binding */ GiFlatbedCovered),
/* harmony export */   "GiFlatfish": () => (/* binding */ GiFlatfish),
/* harmony export */   "GiFlax": () => (/* binding */ GiFlax),
/* harmony export */   "GiFleshyMass": () => (/* binding */ GiFleshyMass),
/* harmony export */   "GiFleurDeLys": () => (/* binding */ GiFleurDeLys),
/* harmony export */   "GiFlexibleLamp": () => (/* binding */ GiFlexibleLamp),
/* harmony export */   "GiFlexibleStar": () => (/* binding */ GiFlexibleStar),
/* harmony export */   "GiFlintSpark": () => (/* binding */ GiFlintSpark),
/* harmony export */   "GiFlipFlops": () => (/* binding */ GiFlipFlops),
/* harmony export */   "GiFloatingCrystal": () => (/* binding */ GiFloatingCrystal),
/* harmony export */   "GiFloatingGhost": () => (/* binding */ GiFloatingGhost),
/* harmony export */   "GiFloatingPlatforms": () => (/* binding */ GiFloatingPlatforms),
/* harmony export */   "GiFloatingTentacles": () => (/* binding */ GiFloatingTentacles),
/* harmony export */   "GiFlood": () => (/* binding */ GiFlood),
/* harmony export */   "GiFloorHatch": () => (/* binding */ GiFloorHatch),
/* harmony export */   "GiFloorPolisher": () => (/* binding */ GiFloorPolisher),
/* harmony export */   "GiFlowerEmblem": () => (/* binding */ GiFlowerEmblem),
/* harmony export */   "GiFlowerHat": () => (/* binding */ GiFlowerHat),
/* harmony export */   "GiFlowerPot": () => (/* binding */ GiFlowerPot),
/* harmony export */   "GiFlowerStar": () => (/* binding */ GiFlowerStar),
/* harmony export */   "GiFlowerTwirl": () => (/* binding */ GiFlowerTwirl),
/* harmony export */   "GiFlowers": () => (/* binding */ GiFlowers),
/* harmony export */   "GiFluffyCloud": () => (/* binding */ GiFluffyCloud),
/* harmony export */   "GiFluffyFlame": () => (/* binding */ GiFluffyFlame),
/* harmony export */   "GiFluffySwirl": () => (/* binding */ GiFluffySwirl),
/* harmony export */   "GiFluffyTrefoil": () => (/* binding */ GiFluffyTrefoil),
/* harmony export */   "GiFluffyWing": () => (/* binding */ GiFluffyWing),
/* harmony export */   "GiFlute": () => (/* binding */ GiFlute),
/* harmony export */   "GiFly": () => (/* binding */ GiFly),
/* harmony export */   "GiFlyingBeetle": () => (/* binding */ GiFlyingBeetle),
/* harmony export */   "GiFlyingDagger": () => (/* binding */ GiFlyingDagger),
/* harmony export */   "GiFlyingFlag": () => (/* binding */ GiFlyingFlag),
/* harmony export */   "GiFlyingFox": () => (/* binding */ GiFlyingFox),
/* harmony export */   "GiFlyingShuriken": () => (/* binding */ GiFlyingShuriken),
/* harmony export */   "GiFlyingTarget": () => (/* binding */ GiFlyingTarget),
/* harmony export */   "GiFlyingTrout": () => (/* binding */ GiFlyingTrout),
/* harmony export */   "GiFnFal": () => (/* binding */ GiFnFal),
/* harmony export */   "GiFoam": () => (/* binding */ GiFoam),
/* harmony export */   "GiFoamyDisc": () => (/* binding */ GiFoamyDisc),
/* harmony export */   "GiFocusedLightning": () => (/* binding */ GiFocusedLightning),
/* harmony export */   "GiFog": () => (/* binding */ GiFog),
/* harmony export */   "GiFogLight": () => (/* binding */ GiFogLight),
/* harmony export */   "GiFoldedPaper": () => (/* binding */ GiFoldedPaper),
/* harmony export */   "GiFomorian": () => (/* binding */ GiFomorian),
/* harmony export */   "GiFoodChain": () => (/* binding */ GiFoodChain),
/* harmony export */   "GiFoodTruck": () => (/* binding */ GiFoodTruck),
/* harmony export */   "GiFootPlaster": () => (/* binding */ GiFootPlaster),
/* harmony export */   "GiFootTrip": () => (/* binding */ GiFootTrip),
/* harmony export */   "GiFootprint": () => (/* binding */ GiFootprint),
/* harmony export */   "GiFootsteps": () => (/* binding */ GiFootsteps),
/* harmony export */   "GiFootyField": () => (/* binding */ GiFootyField),
/* harmony export */   "GiForearm": () => (/* binding */ GiForearm),
/* harmony export */   "GiForest": () => (/* binding */ GiForest),
/* harmony export */   "GiForestCamp": () => (/* binding */ GiForestCamp),
/* harmony export */   "GiForkKnifeSpoon": () => (/* binding */ GiForkKnifeSpoon),
/* harmony export */   "GiForklift": () => (/* binding */ GiForklift),
/* harmony export */   "GiForwardField": () => (/* binding */ GiForwardField),
/* harmony export */   "GiForwardSun": () => (/* binding */ GiForwardSun),
/* harmony export */   "GiFossil": () => (/* binding */ GiFossil),
/* harmony export */   "GiFoundryBucket": () => (/* binding */ GiFoundryBucket),
/* harmony export */   "GiFountain": () => (/* binding */ GiFountain),
/* harmony export */   "GiFountainPen": () => (/* binding */ GiFountainPen),
/* harmony export */   "GiFoxHead": () => (/* binding */ GiFoxHead),
/* harmony export */   "GiFoxTail": () => (/* binding */ GiFoxTail),
/* harmony export */   "GiFragmentedMeteor": () => (/* binding */ GiFragmentedMeteor),
/* harmony export */   "GiFragmentedSword": () => (/* binding */ GiFragmentedSword),
/* harmony export */   "GiFragrance": () => (/* binding */ GiFragrance),
/* harmony export */   "GiFrance": () => (/* binding */ GiFrance),
/* harmony export */   "GiFrankensteinCreature": () => (/* binding */ GiFrankensteinCreature),
/* harmony export */   "GiFrayedArrow": () => (/* binding */ GiFrayedArrow),
/* harmony export */   "GiFreedomDove": () => (/* binding */ GiFreedomDove),
/* harmony export */   "GiFreemasonry": () => (/* binding */ GiFreemasonry),
/* harmony export */   "GiFrenchFries": () => (/* binding */ GiFrenchFries),
/* harmony export */   "GiFriedEggs": () => (/* binding */ GiFriedEggs),
/* harmony export */   "GiFriedFish": () => (/* binding */ GiFriedFish),
/* harmony export */   "GiFrisbee": () => (/* binding */ GiFrisbee),
/* harmony export */   "GiFrog": () => (/* binding */ GiFrog),
/* harmony export */   "GiFrogFoot": () => (/* binding */ GiFrogFoot),
/* harmony export */   "GiFrogPrince": () => (/* binding */ GiFrogPrince),
/* harmony export */   "GiFrontTeeth": () => (/* binding */ GiFrontTeeth),
/* harmony export */   "GiFrontalLobe": () => (/* binding */ GiFrontalLobe),
/* harmony export */   "GiFrostfire": () => (/* binding */ GiFrostfire),
/* harmony export */   "GiFrozenArrow": () => (/* binding */ GiFrozenArrow),
/* harmony export */   "GiFrozenBlock": () => (/* binding */ GiFrozenBlock),
/* harmony export */   "GiFrozenBody": () => (/* binding */ GiFrozenBody),
/* harmony export */   "GiFrozenOrb": () => (/* binding */ GiFrozenOrb),
/* harmony export */   "GiFrozenRing": () => (/* binding */ GiFrozenRing),
/* harmony export */   "GiFruitBowl": () => (/* binding */ GiFruitBowl),
/* harmony export */   "GiFruitTree": () => (/* binding */ GiFruitTree),
/* harmony export */   "GiFruiting": () => (/* binding */ GiFruiting),
/* harmony export */   "GiFuelTank": () => (/* binding */ GiFuelTank),
/* harmony export */   "GiFuji": () => (/* binding */ GiFuji),
/* harmony export */   "GiFulguroPunch": () => (/* binding */ GiFulguroPunch),
/* harmony export */   "GiFullFolder": () => (/* binding */ GiFullFolder),
/* harmony export */   "GiFullMetalBucket": () => (/* binding */ GiFullMetalBucket),
/* harmony export */   "GiFullMetalBucketHandle": () => (/* binding */ GiFullMetalBucketHandle),
/* harmony export */   "GiFullMotorcycleHelmet": () => (/* binding */ GiFullMotorcycleHelmet),
/* harmony export */   "GiFullPizza": () => (/* binding */ GiFullPizza),
/* harmony export */   "GiFullWoodBucket": () => (/* binding */ GiFullWoodBucket),
/* harmony export */   "GiFullWoodBucketHandle": () => (/* binding */ GiFullWoodBucketHandle),
/* harmony export */   "GiFunnel": () => (/* binding */ GiFunnel),
/* harmony export */   "GiFurBoot": () => (/* binding */ GiFurBoot),
/* harmony export */   "GiFurShirt": () => (/* binding */ GiFurShirt),
/* harmony export */   "GiFurnace": () => (/* binding */ GiFurnace),
/* harmony export */   "GiGClef": () => (/* binding */ GiGClef),
/* harmony export */   "GiGalea": () => (/* binding */ GiGalea),
/* harmony export */   "GiGalleon": () => (/* binding */ GiGalleon),
/* harmony export */   "GiGalley": () => (/* binding */ GiGalley),
/* harmony export */   "GiGameConsole": () => (/* binding */ GiGameConsole),
/* harmony export */   "GiGamepad": () => (/* binding */ GiGamepad),
/* harmony export */   "GiGamepadCross": () => (/* binding */ GiGamepadCross),
/* harmony export */   "GiGargoyle": () => (/* binding */ GiGargoyle),
/* harmony export */   "GiGarlic": () => (/* binding */ GiGarlic),
/* harmony export */   "GiGasMask": () => (/* binding */ GiGasMask),
/* harmony export */   "GiGasPump": () => (/* binding */ GiGasPump),
/* harmony export */   "GiGate": () => (/* binding */ GiGate),
/* harmony export */   "GiGaulsHelm": () => (/* binding */ GiGaulsHelm),
/* harmony export */   "GiGauntlet": () => (/* binding */ GiGauntlet),
/* harmony export */   "GiGavel": () => (/* binding */ GiGavel),
/* harmony export */   "GiGaze": () => (/* binding */ GiGaze),
/* harmony export */   "GiGearHammer": () => (/* binding */ GiGearHammer),
/* harmony export */   "GiGears": () => (/* binding */ GiGears),
/* harmony export */   "GiGecko": () => (/* binding */ GiGecko),
/* harmony export */   "GiGemChain": () => (/* binding */ GiGemChain),
/* harmony export */   "GiGemNecklace": () => (/* binding */ GiGemNecklace),
/* harmony export */   "GiGemPendant": () => (/* binding */ GiGemPendant),
/* harmony export */   "GiGemini": () => (/* binding */ GiGemini),
/* harmony export */   "GiGems": () => (/* binding */ GiGems),
/* harmony export */   "GiGhost": () => (/* binding */ GiGhost),
/* harmony export */   "GiGhostAlly": () => (/* binding */ GiGhostAlly),
/* harmony export */   "GiGiant": () => (/* binding */ GiGiant),
/* harmony export */   "GiGiantSquid": () => (/* binding */ GiGiantSquid),
/* harmony export */   "GiGibbet": () => (/* binding */ GiGibbet),
/* harmony export */   "GiGiftOfKnowledge": () => (/* binding */ GiGiftOfKnowledge),
/* harmony export */   "GiGiftTrap": () => (/* binding */ GiGiftTrap),
/* harmony export */   "GiGingerbreadMan": () => (/* binding */ GiGingerbreadMan),
/* harmony export */   "GiGinkgoLeaf": () => (/* binding */ GiGinkgoLeaf),
/* harmony export */   "GiGladius": () => (/* binding */ GiGladius),
/* harmony export */   "GiGlaive": () => (/* binding */ GiGlaive),
/* harmony export */   "GiGlassBall": () => (/* binding */ GiGlassBall),
/* harmony export */   "GiGlassCelebration": () => (/* binding */ GiGlassCelebration),
/* harmony export */   "GiGlassHeart": () => (/* binding */ GiGlassHeart),
/* harmony export */   "GiGlassShot": () => (/* binding */ GiGlassShot),
/* harmony export */   "GiGlider": () => (/* binding */ GiGlider),
/* harmony export */   "GiGlobe": () => (/* binding */ GiGlobe),
/* harmony export */   "GiGlobeRing": () => (/* binding */ GiGlobeRing),
/* harmony export */   "GiGlock": () => (/* binding */ GiGlock),
/* harmony export */   "GiGloop": () => (/* binding */ GiGloop),
/* harmony export */   "GiGloves": () => (/* binding */ GiGloves),
/* harmony export */   "GiGlowingHands": () => (/* binding */ GiGlowingHands),
/* harmony export */   "GiGluttonousSmile": () => (/* binding */ GiGluttonousSmile),
/* harmony export */   "GiGluttony": () => (/* binding */ GiGluttony),
/* harmony export */   "GiGoat": () => (/* binding */ GiGoat),
/* harmony export */   "GiGoblinCamp": () => (/* binding */ GiGoblinCamp),
/* harmony export */   "GiGoblinHead": () => (/* binding */ GiGoblinHead),
/* harmony export */   "GiGoldBar": () => (/* binding */ GiGoldBar),
/* harmony export */   "GiGoldMine": () => (/* binding */ GiGoldMine),
/* harmony export */   "GiGoldNuggets": () => (/* binding */ GiGoldNuggets),
/* harmony export */   "GiGoldScarab": () => (/* binding */ GiGoldScarab),
/* harmony export */   "GiGoldShell": () => (/* binding */ GiGoldShell),
/* harmony export */   "GiGoldStack": () => (/* binding */ GiGoldStack),
/* harmony export */   "GiGolemHead": () => (/* binding */ GiGolemHead),
/* harmony export */   "GiGolfFlag": () => (/* binding */ GiGolfFlag),
/* harmony export */   "GiGolfTee": () => (/* binding */ GiGolfTee),
/* harmony export */   "GiGong": () => (/* binding */ GiGong),
/* harmony export */   "GiGooExplosion": () => (/* binding */ GiGooExplosion),
/* harmony export */   "GiGooSkull": () => (/* binding */ GiGooSkull),
/* harmony export */   "GiGooSpurt": () => (/* binding */ GiGooSpurt),
/* harmony export */   "GiGooeyDaemon": () => (/* binding */ GiGooeyDaemon),
/* harmony export */   "GiGooeyEyedSun": () => (/* binding */ GiGooeyEyedSun),
/* harmony export */   "GiGooeyImpact": () => (/* binding */ GiGooeyImpact),
/* harmony export */   "GiGooeyMolecule": () => (/* binding */ GiGooeyMolecule),
/* harmony export */   "GiGooeySword": () => (/* binding */ GiGooeySword),
/* harmony export */   "GiGoose": () => (/* binding */ GiGoose),
/* harmony export */   "GiGorilla": () => (/* binding */ GiGorilla),
/* harmony export */   "GiGothicCross": () => (/* binding */ GiGothicCross),
/* harmony export */   "GiGps": () => (/* binding */ GiGps),
/* harmony export */   "GiGrab": () => (/* binding */ GiGrab),
/* harmony export */   "GiGraduateCap": () => (/* binding */ GiGraduateCap),
/* harmony export */   "GiGrain": () => (/* binding */ GiGrain),
/* harmony export */   "GiGrainBundle": () => (/* binding */ GiGrainBundle),
/* harmony export */   "GiGranary": () => (/* binding */ GiGranary),
/* harmony export */   "GiGrapes": () => (/* binding */ GiGrapes),
/* harmony export */   "GiGrapple": () => (/* binding */ GiGrapple),
/* harmony export */   "GiGraspingClaws": () => (/* binding */ GiGraspingClaws),
/* harmony export */   "GiGraspingSlug": () => (/* binding */ GiGraspingSlug),
/* harmony export */   "GiGrass": () => (/* binding */ GiGrass),
/* harmony export */   "GiGraveFlowers": () => (/* binding */ GiGraveFlowers),
/* harmony export */   "GiGraveyard": () => (/* binding */ GiGraveyard),
/* harmony export */   "GiGreaseTrap": () => (/* binding */ GiGreaseTrap),
/* harmony export */   "GiGreatPyramid": () => (/* binding */ GiGreatPyramid),
/* harmony export */   "GiGreatWarTank": () => (/* binding */ GiGreatWarTank),
/* harmony export */   "GiGreaves": () => (/* binding */ GiGreaves),
/* harmony export */   "GiGreekSphinx": () => (/* binding */ GiGreekSphinx),
/* harmony export */   "GiGreekTemple": () => (/* binding */ GiGreekTemple),
/* harmony export */   "GiGreenPower": () => (/* binding */ GiGreenPower),
/* harmony export */   "GiGreenhouse": () => (/* binding */ GiGreenhouse),
/* harmony export */   "GiGrenade": () => (/* binding */ GiGrenade),
/* harmony export */   "GiGriffinShield": () => (/* binding */ GiGriffinShield),
/* harmony export */   "GiGriffinSymbol": () => (/* binding */ GiGriffinSymbol),
/* harmony export */   "GiGrimReaper": () => (/* binding */ GiGrimReaper),
/* harmony export */   "GiGroundSprout": () => (/* binding */ GiGroundSprout),
/* harmony export */   "GiGroundbreaker": () => (/* binding */ GiGroundbreaker),
/* harmony export */   "GiGroupedDrops": () => (/* binding */ GiGroupedDrops),
/* harmony export */   "GiGrowth": () => (/* binding */ GiGrowth),
/* harmony export */   "GiGuardedTower": () => (/* binding */ GiGuardedTower),
/* harmony export */   "GiGuards": () => (/* binding */ GiGuards),
/* harmony export */   "GiGuillotine": () => (/* binding */ GiGuillotine),
/* harmony export */   "GiGuitar": () => (/* binding */ GiGuitar),
/* harmony export */   "GiGuitarBassHead": () => (/* binding */ GiGuitarBassHead),
/* harmony export */   "GiGuitarHead": () => (/* binding */ GiGuitarHead),
/* harmony export */   "GiGunRose": () => (/* binding */ GiGunRose),
/* harmony export */   "GiGunStock": () => (/* binding */ GiGunStock),
/* harmony export */   "GiGunshot": () => (/* binding */ GiGunshot),
/* harmony export */   "GiGymBag": () => (/* binding */ GiGymBag),
/* harmony export */   "GiH2O": () => (/* binding */ GiH2O),
/* harmony export */   "GiHabitatDome": () => (/* binding */ GiHabitatDome),
/* harmony export */   "GiHairStrands": () => (/* binding */ GiHairStrands),
/* harmony export */   "GiHalberd": () => (/* binding */ GiHalberd),
/* harmony export */   "GiHalberdShuriken": () => (/* binding */ GiHalberdShuriken),
/* harmony export */   "GiHalfBodyCrawling": () => (/* binding */ GiHalfBodyCrawling),
/* harmony export */   "GiHalfDead": () => (/* binding */ GiHalfDead),
/* harmony export */   "GiHalfHeart": () => (/* binding */ GiHalfHeart),
/* harmony export */   "GiHalfLog": () => (/* binding */ GiHalfLog),
/* harmony export */   "GiHalfTornado": () => (/* binding */ GiHalfTornado),
/* harmony export */   "GiHalt": () => (/* binding */ GiHalt),
/* harmony export */   "GiHamShank": () => (/* binding */ GiHamShank),
/* harmony export */   "GiHamburger": () => (/* binding */ GiHamburger),
/* harmony export */   "GiHamburgerMenu": () => (/* binding */ GiHamburgerMenu),
/* harmony export */   "GiHammerBreak": () => (/* binding */ GiHammerBreak),
/* harmony export */   "GiHammerDrop": () => (/* binding */ GiHammerDrop),
/* harmony export */   "GiHammerNails": () => (/* binding */ GiHammerNails),
/* harmony export */   "GiHammerSickle": () => (/* binding */ GiHammerSickle),
/* harmony export */   "GiHand": () => (/* binding */ GiHand),
/* harmony export */   "GiHandBag": () => (/* binding */ GiHandBag),
/* harmony export */   "GiHandBandage": () => (/* binding */ GiHandBandage),
/* harmony export */   "GiHandGrip": () => (/* binding */ GiHandGrip),
/* harmony export */   "GiHandOfGod": () => (/* binding */ GiHandOfGod),
/* harmony export */   "GiHandOk": () => (/* binding */ GiHandOk),
/* harmony export */   "GiHandSaw": () => (/* binding */ GiHandSaw),
/* harmony export */   "GiHandWing": () => (/* binding */ GiHandWing),
/* harmony export */   "GiHandcuffed": () => (/* binding */ GiHandcuffed),
/* harmony export */   "GiHandcuffs": () => (/* binding */ GiHandcuffs),
/* harmony export */   "GiHandheldFan": () => (/* binding */ GiHandheldFan),
/* harmony export */   "GiHangGlider": () => (/* binding */ GiHangGlider),
/* harmony export */   "GiHanger": () => (/* binding */ GiHanger),
/* harmony export */   "GiHangingSign": () => (/* binding */ GiHangingSign),
/* harmony export */   "GiHangingSpider": () => (/* binding */ GiHangingSpider),
/* harmony export */   "GiHappySkull": () => (/* binding */ GiHappySkull),
/* harmony export */   "GiHarborDock": () => (/* binding */ GiHarborDock),
/* harmony export */   "GiHarpoonChain": () => (/* binding */ GiHarpoonChain),
/* harmony export */   "GiHarpoonTrident": () => (/* binding */ GiHarpoonTrident),
/* harmony export */   "GiHarpy": () => (/* binding */ GiHarpy),
/* harmony export */   "GiHarryPotterSkull": () => (/* binding */ GiHarryPotterSkull),
/* harmony export */   "GiHastyGrave": () => (/* binding */ GiHastyGrave),
/* harmony export */   "GiHatchet": () => (/* binding */ GiHatchet),
/* harmony export */   "GiHatchets": () => (/* binding */ GiHatchets),
/* harmony export */   "GiHaunting": () => (/* binding */ GiHaunting),
/* harmony export */   "GiHawkEmblem": () => (/* binding */ GiHawkEmblem),
/* harmony export */   "GiHazardSign": () => (/* binding */ GiHazardSign),
/* harmony export */   "GiHazmatSuit": () => (/* binding */ GiHazmatSuit),
/* harmony export */   "GiHeadShot": () => (/* binding */ GiHeadShot),
/* harmony export */   "GiHeadbandKnot": () => (/* binding */ GiHeadbandKnot),
/* harmony export */   "GiHeadphones": () => (/* binding */ GiHeadphones),
/* harmony export */   "GiHeadshot": () => (/* binding */ GiHeadshot),
/* harmony export */   "GiHealing": () => (/* binding */ GiHealing),
/* harmony export */   "GiHealthCapsule": () => (/* binding */ GiHealthCapsule),
/* harmony export */   "GiHealthDecrease": () => (/* binding */ GiHealthDecrease),
/* harmony export */   "GiHealthIncrease": () => (/* binding */ GiHealthIncrease),
/* harmony export */   "GiHealthNormal": () => (/* binding */ GiHealthNormal),
/* harmony export */   "GiHealthPotion": () => (/* binding */ GiHealthPotion),
/* harmony export */   "GiHearingDisabled": () => (/* binding */ GiHearingDisabled),
/* harmony export */   "GiHeartArmor": () => (/* binding */ GiHeartArmor),
/* harmony export */   "GiHeartBattery": () => (/* binding */ GiHeartBattery),
/* harmony export */   "GiHeartBeats": () => (/* binding */ GiHeartBeats),
/* harmony export */   "GiHeartBottle": () => (/* binding */ GiHeartBottle),
/* harmony export */   "GiHeartDrop": () => (/* binding */ GiHeartDrop),
/* harmony export */   "GiHeartEarrings": () => (/* binding */ GiHeartEarrings),
/* harmony export */   "GiHeartInside": () => (/* binding */ GiHeartInside),
/* harmony export */   "GiHeartKey": () => (/* binding */ GiHeartKey),
/* harmony export */   "GiHeartMinus": () => (/* binding */ GiHeartMinus),
/* harmony export */   "GiHeartNecklace": () => (/* binding */ GiHeartNecklace),
/* harmony export */   "GiHeartOrgan": () => (/* binding */ GiHeartOrgan),
/* harmony export */   "GiHeartPlus": () => (/* binding */ GiHeartPlus),
/* harmony export */   "GiHeartStake": () => (/* binding */ GiHeartStake),
/* harmony export */   "GiHeartTower": () => (/* binding */ GiHeartTower),
/* harmony export */   "GiHeartWings": () => (/* binding */ GiHeartWings),
/* harmony export */   "GiHeartburn": () => (/* binding */ GiHeartburn),
/* harmony export */   "GiHearts": () => (/* binding */ GiHearts),
/* harmony export */   "GiHeatHaze": () => (/* binding */ GiHeatHaze),
/* harmony export */   "GiHeavyArrow": () => (/* binding */ GiHeavyArrow),
/* harmony export */   "GiHeavyBullets": () => (/* binding */ GiHeavyBullets),
/* harmony export */   "GiHeavyFall": () => (/* binding */ GiHeavyFall),
/* harmony export */   "GiHeavyFighter": () => (/* binding */ GiHeavyFighter),
/* harmony export */   "GiHeavyHelm": () => (/* binding */ GiHeavyHelm),
/* harmony export */   "GiHeavyLightning": () => (/* binding */ GiHeavyLightning),
/* harmony export */   "GiHeavyRain": () => (/* binding */ GiHeavyRain),
/* harmony export */   "GiHeavyThornyTriskelion": () => (/* binding */ GiHeavyThornyTriskelion),
/* harmony export */   "GiHeavyTimer": () => (/* binding */ GiHeavyTimer),
/* harmony export */   "GiHedjetWhiteCrown": () => (/* binding */ GiHedjetWhiteCrown),
/* harmony export */   "GiHelicoprion": () => (/* binding */ GiHelicoprion),
/* harmony export */   "GiHelicopter": () => (/* binding */ GiHelicopter),
/* harmony export */   "GiHelicopterTail": () => (/* binding */ GiHelicopterTail),
/* harmony export */   "GiHellCrosses": () => (/* binding */ GiHellCrosses),
/* harmony export */   "GiHelmet": () => (/* binding */ GiHelmet),
/* harmony export */   "GiHelmetHeadShot": () => (/* binding */ GiHelmetHeadShot),
/* harmony export */   "GiHelp": () => (/* binding */ GiHelp),
/* harmony export */   "GiHemp": () => (/* binding */ GiHemp),
/* harmony export */   "GiHeptagram": () => (/* binding */ GiHeptagram),
/* harmony export */   "GiHerbsBundle": () => (/* binding */ GiHerbsBundle),
/* harmony export */   "GiHexagonalNut": () => (/* binding */ GiHexagonalNut),
/* harmony export */   "GiHexes": () => (/* binding */ GiHexes),
/* harmony export */   "GiHidden": () => (/* binding */ GiHidden),
/* harmony export */   "GiHieroglyphY": () => (/* binding */ GiHieroglyphY),
/* harmony export */   "GiHighFive": () => (/* binding */ GiHighFive),
/* harmony export */   "GiHighGrass": () => (/* binding */ GiHighGrass),
/* harmony export */   "GiHighHeel": () => (/* binding */ GiHighHeel),
/* harmony export */   "GiHighKick": () => (/* binding */ GiHighKick),
/* harmony export */   "GiHighPunch": () => (/* binding */ GiHighPunch),
/* harmony export */   "GiHighShot": () => (/* binding */ GiHighShot),
/* harmony export */   "GiHighTide": () => (/* binding */ GiHighTide),
/* harmony export */   "GiHillConquest": () => (/* binding */ GiHillConquest),
/* harmony export */   "GiHillFort": () => (/* binding */ GiHillFort),
/* harmony export */   "GiHills": () => (/* binding */ GiHills),
/* harmony export */   "GiHistogram": () => (/* binding */ GiHistogram),
/* harmony export */   "GiHive": () => (/* binding */ GiHive),
/* harmony export */   "GiHiveMind": () => (/* binding */ GiHiveMind),
/* harmony export */   "GiHobbitDoor": () => (/* binding */ GiHobbitDoor),
/* harmony export */   "GiHobbitDwelling": () => (/* binding */ GiHobbitDwelling),
/* harmony export */   "GiHockey": () => (/* binding */ GiHockey),
/* harmony export */   "GiHole": () => (/* binding */ GiHole),
/* harmony export */   "GiHoleLadder": () => (/* binding */ GiHoleLadder),
/* harmony export */   "GiHollowCat": () => (/* binding */ GiHollowCat),
/* harmony export */   "GiHolosphere": () => (/* binding */ GiHolosphere),
/* harmony export */   "GiHolyGrail": () => (/* binding */ GiHolyGrail),
/* harmony export */   "GiHolyHandGrenade": () => (/* binding */ GiHolyHandGrenade),
/* harmony export */   "GiHolyOak": () => (/* binding */ GiHolyOak),
/* harmony export */   "GiHolySymbol": () => (/* binding */ GiHolySymbol),
/* harmony export */   "GiHolyWater": () => (/* binding */ GiHolyWater),
/* harmony export */   "GiHomeGarage": () => (/* binding */ GiHomeGarage),
/* harmony export */   "GiHoneyJar": () => (/* binding */ GiHoneyJar),
/* harmony export */   "GiHoneycomb": () => (/* binding */ GiHoneycomb),
/* harmony export */   "GiHoneypot": () => (/* binding */ GiHoneypot),
/* harmony export */   "GiHood": () => (/* binding */ GiHood),
/* harmony export */   "GiHoodedAssassin": () => (/* binding */ GiHoodedAssassin),
/* harmony export */   "GiHoodedFigure": () => (/* binding */ GiHoodedFigure),
/* harmony export */   "GiHoodie": () => (/* binding */ GiHoodie),
/* harmony export */   "GiHoof": () => (/* binding */ GiHoof),
/* harmony export */   "GiHook": () => (/* binding */ GiHook),
/* harmony export */   "GiHops": () => (/* binding */ GiHops),
/* harmony export */   "GiHorizontalFlip": () => (/* binding */ GiHorizontalFlip),
/* harmony export */   "GiHornInternal": () => (/* binding */ GiHornInternal),
/* harmony export */   "GiHornedHelm": () => (/* binding */ GiHornedHelm),
/* harmony export */   "GiHornedReptile": () => (/* binding */ GiHornedReptile),
/* harmony export */   "GiHornedSkull": () => (/* binding */ GiHornedSkull),
/* harmony export */   "GiHorseHead": () => (/* binding */ GiHorseHead),
/* harmony export */   "GiHorseshoe": () => (/* binding */ GiHorseshoe),
/* harmony export */   "GiHorus": () => (/* binding */ GiHorus),
/* harmony export */   "GiHospital": () => (/* binding */ GiHospital),
/* harmony export */   "GiHospitalCross": () => (/* binding */ GiHospitalCross),
/* harmony export */   "GiHotMeal": () => (/* binding */ GiHotMeal),
/* harmony export */   "GiHotSpices": () => (/* binding */ GiHotSpices),
/* harmony export */   "GiHotSurface": () => (/* binding */ GiHotSurface),
/* harmony export */   "GiHound": () => (/* binding */ GiHound),
/* harmony export */   "GiHourglass": () => (/* binding */ GiHourglass),
/* harmony export */   "GiHouse": () => (/* binding */ GiHouse),
/* harmony export */   "GiHouseKeys": () => (/* binding */ GiHouseKeys),
/* harmony export */   "GiHumanCannonball": () => (/* binding */ GiHumanCannonball),
/* harmony export */   "GiHumanEar": () => (/* binding */ GiHumanEar),
/* harmony export */   "GiHumanPyramid": () => (/* binding */ GiHumanPyramid),
/* harmony export */   "GiHumanTarget": () => (/* binding */ GiHumanTarget),
/* harmony export */   "GiHummingbird": () => (/* binding */ GiHummingbird),
/* harmony export */   "GiHungary": () => (/* binding */ GiHungary),
/* harmony export */   "GiHuntingBolas": () => (/* binding */ GiHuntingBolas),
/* harmony export */   "GiHuntingHorn": () => (/* binding */ GiHuntingHorn),
/* harmony export */   "GiHut": () => (/* binding */ GiHut),
/* harmony export */   "GiHutsVillage": () => (/* binding */ GiHutsVillage),
/* harmony export */   "GiHydra": () => (/* binding */ GiHydra),
/* harmony export */   "GiHydraShot": () => (/* binding */ GiHydraShot),
/* harmony export */   "GiHypersonicBolt": () => (/* binding */ GiHypersonicBolt),
/* harmony export */   "GiHypersonicMelon": () => (/* binding */ GiHypersonicMelon),
/* harmony export */   "GiHypodermicTest": () => (/* binding */ GiHypodermicTest),
/* harmony export */   "GiIBeam": () => (/* binding */ GiIBeam),
/* harmony export */   "GiIBrick": () => (/* binding */ GiIBrick),
/* harmony export */   "GiIbis": () => (/* binding */ GiIbis),
/* harmony export */   "GiIcarus": () => (/* binding */ GiIcarus),
/* harmony export */   "GiIceBolt": () => (/* binding */ GiIceBolt),
/* harmony export */   "GiIceBomb": () => (/* binding */ GiIceBomb),
/* harmony export */   "GiIceCreamCone": () => (/* binding */ GiIceCreamCone),
/* harmony export */   "GiIceCreamScoop": () => (/* binding */ GiIceCreamScoop),
/* harmony export */   "GiIceCube": () => (/* binding */ GiIceCube),
/* harmony export */   "GiIceCubes": () => (/* binding */ GiIceCubes),
/* harmony export */   "GiIceGolem": () => (/* binding */ GiIceGolem),
/* harmony export */   "GiIceIris": () => (/* binding */ GiIceIris),
/* harmony export */   "GiIcePop": () => (/* binding */ GiIcePop),
/* harmony export */   "GiIceShield": () => (/* binding */ GiIceShield),
/* harmony export */   "GiIceSkate": () => (/* binding */ GiIceSkate),
/* harmony export */   "GiIceSpear": () => (/* binding */ GiIceSpear),
/* harmony export */   "GiIceSpellCast": () => (/* binding */ GiIceSpellCast),
/* harmony export */   "GiIceberg": () => (/* binding */ GiIceberg),
/* harmony export */   "GiIcebergs": () => (/* binding */ GiIcebergs),
/* harmony export */   "GiIceland": () => (/* binding */ GiIceland),
/* harmony export */   "GiIciclesAura": () => (/* binding */ GiIciclesAura),
/* harmony export */   "GiIciclesFence": () => (/* binding */ GiIciclesFence),
/* harmony export */   "GiIdCard": () => (/* binding */ GiIdCard),
/* harmony export */   "GiIdea": () => (/* binding */ GiIdea),
/* harmony export */   "GiIfrit": () => (/* binding */ GiIfrit),
/* harmony export */   "GiIgloo": () => (/* binding */ GiIgloo),
/* harmony export */   "GiImbricatedArrows": () => (/* binding */ GiImbricatedArrows),
/* harmony export */   "GiImp": () => (/* binding */ GiImp),
/* harmony export */   "GiImpLaugh": () => (/* binding */ GiImpLaugh),
/* harmony export */   "GiImpactPoint": () => (/* binding */ GiImpactPoint),
/* harmony export */   "GiImperialCrown": () => (/* binding */ GiImperialCrown),
/* harmony export */   "GiImplosion": () => (/* binding */ GiImplosion),
/* harmony export */   "GiImprisoned": () => (/* binding */ GiImprisoned),
/* harmony export */   "GiIncense": () => (/* binding */ GiIncense),
/* harmony export */   "GiIncisors": () => (/* binding */ GiIncisors),
/* harmony export */   "GiIncomingRocket": () => (/* binding */ GiIncomingRocket),
/* harmony export */   "GiIncubator": () => (/* binding */ GiIncubator),
/* harmony export */   "GiIndianPalace": () => (/* binding */ GiIndianPalace),
/* harmony export */   "GiInfestedMass": () => (/* binding */ GiInfestedMass),
/* harmony export */   "GiInfinity": () => (/* binding */ GiInfinity),
/* harmony export */   "GiInfo": () => (/* binding */ GiInfo),
/* harmony export */   "GiInjustice": () => (/* binding */ GiInjustice),
/* harmony export */   "GiInkSwirl": () => (/* binding */ GiInkSwirl),
/* harmony export */   "GiInnerSelf": () => (/* binding */ GiInnerSelf),
/* harmony export */   "GiInsectJaws": () => (/* binding */ GiInsectJaws),
/* harmony export */   "GiInspiration": () => (/* binding */ GiInspiration),
/* harmony export */   "GiInterceptorShip": () => (/* binding */ GiInterceptorShip),
/* harmony export */   "GiInterdiction": () => (/* binding */ GiInterdiction),
/* harmony export */   "GiInterlacedTentacles": () => (/* binding */ GiInterlacedTentacles),
/* harmony export */   "GiInterleavedArrows": () => (/* binding */ GiInterleavedArrows),
/* harmony export */   "GiInterleavedClaws": () => (/* binding */ GiInterleavedClaws),
/* harmony export */   "GiInternalInjury": () => (/* binding */ GiInternalInjury),
/* harmony export */   "GiInternalOrgan": () => (/* binding */ GiInternalOrgan),
/* harmony export */   "GiInterstellarPath": () => (/* binding */ GiInterstellarPath),
/* harmony export */   "GiIntricateNecklace": () => (/* binding */ GiIntricateNecklace),
/* harmony export */   "GiInvertedDice1": () => (/* binding */ GiInvertedDice1),
/* harmony export */   "GiInvertedDice2": () => (/* binding */ GiInvertedDice2),
/* harmony export */   "GiInvertedDice3": () => (/* binding */ GiInvertedDice3),
/* harmony export */   "GiInvertedDice4": () => (/* binding */ GiInvertedDice4),
/* harmony export */   "GiInvertedDice5": () => (/* binding */ GiInvertedDice5),
/* harmony export */   "GiInvertedDice6": () => (/* binding */ GiInvertedDice6),
/* harmony export */   "GiInvisible": () => (/* binding */ GiInvisible),
/* harmony export */   "GiInvisibleFace": () => (/* binding */ GiInvisibleFace),
/* harmony export */   "GiIonCannonBlast": () => (/* binding */ GiIonCannonBlast),
/* harmony export */   "GiIonicColumn": () => (/* binding */ GiIonicColumn),
/* harmony export */   "GiIraq": () => (/* binding */ GiIraq),
/* harmony export */   "GiIronCross": () => (/* binding */ GiIronCross),
/* harmony export */   "GiIronHulledWarship": () => (/* binding */ GiIronHulledWarship),
/* harmony export */   "GiIronMask": () => (/* binding */ GiIronMask),
/* harmony export */   "GiIsland": () => (/* binding */ GiIsland),
/* harmony export */   "GiItalia": () => (/* binding */ GiItalia),
/* harmony export */   "GiIvoryTusks": () => (/* binding */ GiIvoryTusks),
/* harmony export */   "GiJBrick": () => (/* binding */ GiJBrick),
/* harmony export */   "GiJackPlug": () => (/* binding */ GiJackPlug),
/* harmony export */   "GiJamesBondAperture": () => (/* binding */ GiJamesBondAperture),
/* harmony export */   "GiJapan": () => (/* binding */ GiJapan),
/* harmony export */   "GiJapaneseBridge": () => (/* binding */ GiJapaneseBridge),
/* harmony export */   "GiJasmine": () => (/* binding */ GiJasmine),
/* harmony export */   "GiJasonMask": () => (/* binding */ GiJasonMask),
/* harmony export */   "GiJawbone": () => (/* binding */ GiJawbone),
/* harmony export */   "GiJawlessCyclop": () => (/* binding */ GiJawlessCyclop),
/* harmony export */   "GiJeep": () => (/* binding */ GiJeep),
/* harmony export */   "GiJellyfish": () => (/* binding */ GiJellyfish),
/* harmony export */   "GiJerrycan": () => (/* binding */ GiJerrycan),
/* harmony export */   "GiJerusalemCross": () => (/* binding */ GiJerusalemCross),
/* harmony export */   "GiJesterHat": () => (/* binding */ GiJesterHat),
/* harmony export */   "GiJetFighter": () => (/* binding */ GiJetFighter),
/* harmony export */   "GiJetPack": () => (/* binding */ GiJetPack),
/* harmony export */   "GiJetpack": () => (/* binding */ GiJetpack),
/* harmony export */   "GiJewelCrown": () => (/* binding */ GiJewelCrown),
/* harmony export */   "GiJeweledChalice": () => (/* binding */ GiJeweledChalice),
/* harmony export */   "GiJigsawBox": () => (/* binding */ GiJigsawBox),
/* harmony export */   "GiJigsawPiece": () => (/* binding */ GiJigsawPiece),
/* harmony export */   "GiJoin": () => (/* binding */ GiJoin),
/* harmony export */   "GiJoint": () => (/* binding */ GiJoint),
/* harmony export */   "GiJourney": () => (/* binding */ GiJourney),
/* harmony export */   "GiJoystick": () => (/* binding */ GiJoystick),
/* harmony export */   "GiJug": () => (/* binding */ GiJug),
/* harmony export */   "GiJuggler": () => (/* binding */ GiJuggler),
/* harmony export */   "GiJugglingClubs": () => (/* binding */ GiJugglingClubs),
/* harmony export */   "GiJugglingSeal": () => (/* binding */ GiJugglingSeal),
/* harmony export */   "GiJumpAcross": () => (/* binding */ GiJumpAcross),
/* harmony export */   "GiJumpingDog": () => (/* binding */ GiJumpingDog),
/* harmony export */   "GiJumpingRope": () => (/* binding */ GiJumpingRope),
/* harmony export */   "GiJungle": () => (/* binding */ GiJungle),
/* harmony export */   "GiJupiter": () => (/* binding */ GiJupiter),
/* harmony export */   "GiJusticeStar": () => (/* binding */ GiJusticeStar),
/* harmony export */   "GiKaleidoscopePearls": () => (/* binding */ GiKaleidoscopePearls),
/* harmony export */   "GiKangaroo": () => (/* binding */ GiKangaroo),
/* harmony export */   "GiKatana": () => (/* binding */ GiKatana),
/* harmony export */   "GiKebabSpit": () => (/* binding */ GiKebabSpit),
/* harmony export */   "GiKenkuHead": () => (/* binding */ GiKenkuHead),
/* harmony export */   "GiKenya": () => (/* binding */ GiKenya),
/* harmony export */   "GiKevlar": () => (/* binding */ GiKevlar),
/* harmony export */   "GiKevlarVest": () => (/* binding */ GiKevlarVest),
/* harmony export */   "GiKey": () => (/* binding */ GiKey),
/* harmony export */   "GiKeyCard": () => (/* binding */ GiKeyCard),
/* harmony export */   "GiKeyLock": () => (/* binding */ GiKeyLock),
/* harmony export */   "GiKeyboard": () => (/* binding */ GiKeyboard),
/* harmony export */   "GiKeyring": () => (/* binding */ GiKeyring),
/* harmony export */   "GiKickScooter": () => (/* binding */ GiKickScooter),
/* harmony export */   "GiKidneys": () => (/* binding */ GiKidneys),
/* harmony export */   "GiKimono": () => (/* binding */ GiKimono),
/* harmony export */   "GiKindle": () => (/* binding */ GiKindle),
/* harmony export */   "GiKing": () => (/* binding */ GiKing),
/* harmony export */   "GiKingJuMask": () => (/* binding */ GiKingJuMask),
/* harmony export */   "GiKitchenKnives": () => (/* binding */ GiKitchenKnives),
/* harmony export */   "GiKitchenScale": () => (/* binding */ GiKitchenScale),
/* harmony export */   "GiKite": () => (/* binding */ GiKite),
/* harmony export */   "GiKiwiBird": () => (/* binding */ GiKiwiBird),
/* harmony export */   "GiKiwiFruit": () => (/* binding */ GiKiwiFruit),
/* harmony export */   "GiKlingon": () => (/* binding */ GiKlingon),
/* harmony export */   "GiKnapsack": () => (/* binding */ GiKnapsack),
/* harmony export */   "GiKneeCap": () => (/* binding */ GiKneeCap),
/* harmony export */   "GiKneePad": () => (/* binding */ GiKneePad),
/* harmony export */   "GiKneeling": () => (/* binding */ GiKneeling),
/* harmony export */   "GiKnifeFork": () => (/* binding */ GiKnifeFork),
/* harmony export */   "GiKnifeThrust": () => (/* binding */ GiKnifeThrust),
/* harmony export */   "GiKnightBanner": () => (/* binding */ GiKnightBanner),
/* harmony export */   "GiKnockout": () => (/* binding */ GiKnockout),
/* harmony export */   "GiKnot": () => (/* binding */ GiKnot),
/* harmony export */   "GiKoala": () => (/* binding */ GiKoala),
/* harmony export */   "GiKrakenTentacle": () => (/* binding */ GiKrakenTentacle),
/* harmony export */   "GiKusarigama": () => (/* binding */ GiKusarigama),
/* harmony export */   "GiLBrick": () => (/* binding */ GiLBrick),
/* harmony export */   "GiLabCoat": () => (/* binding */ GiLabCoat),
/* harmony export */   "GiLabradorHead": () => (/* binding */ GiLabradorHead),
/* harmony export */   "GiLadder": () => (/* binding */ GiLadder),
/* harmony export */   "GiLaddersPlatform": () => (/* binding */ GiLaddersPlatform),
/* harmony export */   "GiLadle": () => (/* binding */ GiLadle),
/* harmony export */   "GiLadybug": () => (/* binding */ GiLadybug),
/* harmony export */   "GiLamellar": () => (/* binding */ GiLamellar),
/* harmony export */   "GiLampreyMouth": () => (/* binding */ GiLampreyMouth),
/* harmony export */   "GiLandMine": () => (/* binding */ GiLandMine),
/* harmony export */   "GiLantern": () => (/* binding */ GiLantern),
/* harmony export */   "GiLanternFlame": () => (/* binding */ GiLanternFlame),
/* harmony export */   "GiLaptop": () => (/* binding */ GiLaptop),
/* harmony export */   "GiLargeDress": () => (/* binding */ GiLargeDress),
/* harmony export */   "GiLargePaintBrush": () => (/* binding */ GiLargePaintBrush),
/* harmony export */   "GiLargeWound": () => (/* binding */ GiLargeWound),
/* harmony export */   "GiLaserBlast": () => (/* binding */ GiLaserBlast),
/* harmony export */   "GiLaserBurst": () => (/* binding */ GiLaserBurst),
/* harmony export */   "GiLaserGun": () => (/* binding */ GiLaserGun),
/* harmony export */   "GiLaserPrecision": () => (/* binding */ GiLaserPrecision),
/* harmony export */   "GiLaserSparks": () => (/* binding */ GiLaserSparks),
/* harmony export */   "GiLaserTurret": () => (/* binding */ GiLaserTurret),
/* harmony export */   "GiLaserWarning": () => (/* binding */ GiLaserWarning),
/* harmony export */   "GiLaserburn": () => (/* binding */ GiLaserburn),
/* harmony export */   "GiLasso": () => (/* binding */ GiLasso),
/* harmony export */   "GiLatvia": () => (/* binding */ GiLatvia),
/* harmony export */   "GiLaurelCrown": () => (/* binding */ GiLaurelCrown),
/* harmony export */   "GiLaurels": () => (/* binding */ GiLaurels),
/* harmony export */   "GiLaurelsTrophy": () => (/* binding */ GiLaurelsTrophy),
/* harmony export */   "GiLava": () => (/* binding */ GiLava),
/* harmony export */   "GiLawStar": () => (/* binding */ GiLawStar),
/* harmony export */   "GiLayeredArmor": () => (/* binding */ GiLayeredArmor),
/* harmony export */   "GiLeadPipe": () => (/* binding */ GiLeadPipe),
/* harmony export */   "GiLeafSkeleton": () => (/* binding */ GiLeafSkeleton),
/* harmony export */   "GiLeafSwirl": () => (/* binding */ GiLeafSwirl),
/* harmony export */   "GiLeak": () => (/* binding */ GiLeak),
/* harmony export */   "GiLeakySkull": () => (/* binding */ GiLeakySkull),
/* harmony export */   "GiLeapfrog": () => (/* binding */ GiLeapfrog),
/* harmony export */   "GiLeatherArmor": () => (/* binding */ GiLeatherArmor),
/* harmony export */   "GiLeatherBoot": () => (/* binding */ GiLeatherBoot),
/* harmony export */   "GiLeatherVest": () => (/* binding */ GiLeatherVest),
/* harmony export */   "GiLed": () => (/* binding */ GiLed),
/* harmony export */   "GiLeeEnfield": () => (/* binding */ GiLeeEnfield),
/* harmony export */   "GiLeechingWorm": () => (/* binding */ GiLeechingWorm),
/* harmony export */   "GiLeek": () => (/* binding */ GiLeek),
/* harmony export */   "GiLeg": () => (/* binding */ GiLeg),
/* harmony export */   "GiLegArmor": () => (/* binding */ GiLegArmor),
/* harmony export */   "GiLemon": () => (/* binding */ GiLemon),
/* harmony export */   "GiLeo": () => (/* binding */ GiLeo),
/* harmony export */   "GiLetterBomb": () => (/* binding */ GiLetterBomb),
/* harmony export */   "GiLevelCrossing": () => (/* binding */ GiLevelCrossing),
/* harmony export */   "GiLevelFour": () => (/* binding */ GiLevelFour),
/* harmony export */   "GiLevelFourAdvanced": () => (/* binding */ GiLevelFourAdvanced),
/* harmony export */   "GiLevelThree": () => (/* binding */ GiLevelThree),
/* harmony export */   "GiLevelThreeAdvanced": () => (/* binding */ GiLevelThreeAdvanced),
/* harmony export */   "GiLevelTwo": () => (/* binding */ GiLevelTwo),
/* harmony export */   "GiLevelTwoAdvanced": () => (/* binding */ GiLevelTwoAdvanced),
/* harmony export */   "GiLever": () => (/* binding */ GiLever),
/* harmony export */   "GiLiar": () => (/* binding */ GiLiar),
/* harmony export */   "GiLibertyWing": () => (/* binding */ GiLibertyWing),
/* harmony export */   "GiLibra": () => (/* binding */ GiLibra),
/* harmony export */   "GiLibya": () => (/* binding */ GiLibya),
/* harmony export */   "GiLifeBar": () => (/* binding */ GiLifeBar),
/* harmony export */   "GiLifeBuoy": () => (/* binding */ GiLifeBuoy),
/* harmony export */   "GiLifeInTheBalance": () => (/* binding */ GiLifeInTheBalance),
/* harmony export */   "GiLifeJacket": () => (/* binding */ GiLifeJacket),
/* harmony export */   "GiLifeSupport": () => (/* binding */ GiLifeSupport),
/* harmony export */   "GiLifeTap": () => (/* binding */ GiLifeTap),
/* harmony export */   "GiLift": () => (/* binding */ GiLift),
/* harmony export */   "GiLightBackpack": () => (/* binding */ GiLightBackpack),
/* harmony export */   "GiLightBulb": () => (/* binding */ GiLightBulb),
/* harmony export */   "GiLightFighter": () => (/* binding */ GiLightFighter),
/* harmony export */   "GiLightHelm": () => (/* binding */ GiLightHelm),
/* harmony export */   "GiLightProjector": () => (/* binding */ GiLightProjector),
/* harmony export */   "GiLightSabers": () => (/* binding */ GiLightSabers),
/* harmony export */   "GiLightThornyTriskelion": () => (/* binding */ GiLightThornyTriskelion),
/* harmony export */   "GiLighter": () => (/* binding */ GiLighter),
/* harmony export */   "GiLighthouse": () => (/* binding */ GiLighthouse),
/* harmony export */   "GiLightningArc": () => (/* binding */ GiLightningArc),
/* harmony export */   "GiLightningBow": () => (/* binding */ GiLightningBow),
/* harmony export */   "GiLightningBranches": () => (/* binding */ GiLightningBranches),
/* harmony export */   "GiLightningDissipation": () => (/* binding */ GiLightningDissipation),
/* harmony export */   "GiLightningDome": () => (/* binding */ GiLightningDome),
/* harmony export */   "GiLightningElectron": () => (/* binding */ GiLightningElectron),
/* harmony export */   "GiLightningFlame": () => (/* binding */ GiLightningFlame),
/* harmony export */   "GiLightningFrequency": () => (/* binding */ GiLightningFrequency),
/* harmony export */   "GiLightningHelix": () => (/* binding */ GiLightningHelix),
/* harmony export */   "GiLightningMask": () => (/* binding */ GiLightningMask),
/* harmony export */   "GiLightningSaber": () => (/* binding */ GiLightningSaber),
/* harmony export */   "GiLightningShadow": () => (/* binding */ GiLightningShadow),
/* harmony export */   "GiLightningShield": () => (/* binding */ GiLightningShield),
/* harmony export */   "GiLightningShout": () => (/* binding */ GiLightningShout),
/* harmony export */   "GiLightningSlashes": () => (/* binding */ GiLightningSlashes),
/* harmony export */   "GiLightningSpanner": () => (/* binding */ GiLightningSpanner),
/* harmony export */   "GiLightningStorm": () => (/* binding */ GiLightningStorm),
/* harmony export */   "GiLightningTear": () => (/* binding */ GiLightningTear),
/* harmony export */   "GiLightningTree": () => (/* binding */ GiLightningTree),
/* harmony export */   "GiLightningTrio": () => (/* binding */ GiLightningTrio),
/* harmony export */   "GiLilyPads": () => (/* binding */ GiLilyPads),
/* harmony export */   "GiLindenLeaf": () => (/* binding */ GiLindenLeaf),
/* harmony export */   "GiLinkedRings": () => (/* binding */ GiLinkedRings),
/* harmony export */   "GiLion": () => (/* binding */ GiLion),
/* harmony export */   "GiLips": () => (/* binding */ GiLips),
/* harmony export */   "GiLipstick": () => (/* binding */ GiLipstick),
/* harmony export */   "GiLitCandelabra": () => (/* binding */ GiLitCandelabra),
/* harmony export */   "GiLiver": () => (/* binding */ GiLiver),
/* harmony export */   "GiLizardTongue": () => (/* binding */ GiLizardTongue),
/* harmony export */   "GiLizardman": () => (/* binding */ GiLizardman),
/* harmony export */   "GiLoad": () => (/* binding */ GiLoad),
/* harmony export */   "GiLobArrow": () => (/* binding */ GiLobArrow),
/* harmony export */   "GiLockPicking": () => (/* binding */ GiLockPicking),
/* harmony export */   "GiLockSpy": () => (/* binding */ GiLockSpy),
/* harmony export */   "GiLockedBox": () => (/* binding */ GiLockedBox),
/* harmony export */   "GiLockedChest": () => (/* binding */ GiLockedChest),
/* harmony export */   "GiLockedDoor": () => (/* binding */ GiLockedDoor),
/* harmony export */   "GiLockedFortress": () => (/* binding */ GiLockedFortress),
/* harmony export */   "GiLockedHeart": () => (/* binding */ GiLockedHeart),
/* harmony export */   "GiLockpicks": () => (/* binding */ GiLockpicks),
/* harmony export */   "GiLog": () => (/* binding */ GiLog),
/* harmony export */   "GiLogging": () => (/* binding */ GiLogging),
/* harmony export */   "GiLogicGateAnd": () => (/* binding */ GiLogicGateAnd),
/* harmony export */   "GiLogicGateNand": () => (/* binding */ GiLogicGateNand),
/* harmony export */   "GiLogicGateNor": () => (/* binding */ GiLogicGateNor),
/* harmony export */   "GiLogicGateNot": () => (/* binding */ GiLogicGateNot),
/* harmony export */   "GiLogicGateNxor": () => (/* binding */ GiLogicGateNxor),
/* harmony export */   "GiLogicGateOr": () => (/* binding */ GiLogicGateOr),
/* harmony export */   "GiLogicGateXor": () => (/* binding */ GiLogicGateXor),
/* harmony export */   "GiLoincloth": () => (/* binding */ GiLoincloth),
/* harmony export */   "GiLongAntennaeBug": () => (/* binding */ GiLongAntennaeBug),
/* harmony export */   "GiLongLeggedSpider": () => (/* binding */ GiLongLeggedSpider),
/* harmony export */   "GiLookAt": () => (/* binding */ GiLookAt),
/* harmony export */   "GiLorgnette": () => (/* binding */ GiLorgnette),
/* harmony export */   "GiLostLimb": () => (/* binding */ GiLostLimb),
/* harmony export */   "GiLotus": () => (/* binding */ GiLotus),
/* harmony export */   "GiLotusFlower": () => (/* binding */ GiLotusFlower),
/* harmony export */   "GiLouvrePyramid": () => (/* binding */ GiLouvrePyramid),
/* harmony export */   "GiLoveHowl": () => (/* binding */ GiLoveHowl),
/* harmony export */   "GiLoveInjection": () => (/* binding */ GiLoveInjection),
/* harmony export */   "GiLoveLetter": () => (/* binding */ GiLoveLetter),
/* harmony export */   "GiLoveMystery": () => (/* binding */ GiLoveMystery),
/* harmony export */   "GiLoveSong": () => (/* binding */ GiLoveSong),
/* harmony export */   "GiLovers": () => (/* binding */ GiLovers),
/* harmony export */   "GiLowTide": () => (/* binding */ GiLowTide),
/* harmony export */   "GiLuchador": () => (/* binding */ GiLuchador),
/* harmony export */   "GiLuciferCannon": () => (/* binding */ GiLuciferCannon),
/* harmony export */   "GiLuckyFisherman": () => (/* binding */ GiLuckyFisherman),
/* harmony export */   "GiLuger": () => (/* binding */ GiLuger),
/* harmony export */   "GiLunarModule": () => (/* binding */ GiLunarModule),
/* harmony export */   "GiLunarWand": () => (/* binding */ GiLunarWand),
/* harmony export */   "GiLungs": () => (/* binding */ GiLungs),
/* harmony export */   "GiLynxHead": () => (/* binding */ GiLynxHead),
/* harmony export */   "GiLyre": () => (/* binding */ GiLyre),
/* harmony export */   "GiM3GreaseGun": () => (/* binding */ GiM3GreaseGun),
/* harmony export */   "GiMac10": () => (/* binding */ GiMac10),
/* harmony export */   "GiMaceHead": () => (/* binding */ GiMaceHead),
/* harmony export */   "GiMachete": () => (/* binding */ GiMachete),
/* harmony export */   "GiMachineGun": () => (/* binding */ GiMachineGun),
/* harmony export */   "GiMachineGunMagazine": () => (/* binding */ GiMachineGunMagazine),
/* harmony export */   "GiMadScientist": () => (/* binding */ GiMadScientist),
/* harmony export */   "GiMaggot": () => (/* binding */ GiMaggot),
/* harmony export */   "GiMagicAxe": () => (/* binding */ GiMagicAxe),
/* harmony export */   "GiMagicGate": () => (/* binding */ GiMagicGate),
/* harmony export */   "GiMagicHat": () => (/* binding */ GiMagicHat),
/* harmony export */   "GiMagicLamp": () => (/* binding */ GiMagicLamp),
/* harmony export */   "GiMagicPalm": () => (/* binding */ GiMagicPalm),
/* harmony export */   "GiMagicPortal": () => (/* binding */ GiMagicPortal),
/* harmony export */   "GiMagicPotion": () => (/* binding */ GiMagicPotion),
/* harmony export */   "GiMagicShield": () => (/* binding */ GiMagicShield),
/* harmony export */   "GiMagicSwirl": () => (/* binding */ GiMagicSwirl),
/* harmony export */   "GiMagicTrident": () => (/* binding */ GiMagicTrident),
/* harmony export */   "GiMagickTrick": () => (/* binding */ GiMagickTrick),
/* harmony export */   "GiMagnet": () => (/* binding */ GiMagnet),
/* harmony export */   "GiMagnetBlast": () => (/* binding */ GiMagnetBlast),
/* harmony export */   "GiMagnifyingGlass": () => (/* binding */ GiMagnifyingGlass),
/* harmony export */   "GiMailShirt": () => (/* binding */ GiMailShirt),
/* harmony export */   "GiMailbox": () => (/* binding */ GiMailbox),
/* harmony export */   "GiMailedFist": () => (/* binding */ GiMailedFist),
/* harmony export */   "GiMale": () => (/* binding */ GiMale),
/* harmony export */   "GiMammoth": () => (/* binding */ GiMammoth),
/* harmony export */   "GiManacles": () => (/* binding */ GiManacles),
/* harmony export */   "GiMandrillHead": () => (/* binding */ GiMandrillHead),
/* harmony export */   "GiMantaRay": () => (/* binding */ GiMantaRay),
/* harmony export */   "GiMantrap": () => (/* binding */ GiMantrap),
/* harmony export */   "GiManualJuicer": () => (/* binding */ GiManualJuicer),
/* harmony export */   "GiManualMeatGrinder": () => (/* binding */ GiManualMeatGrinder),
/* harmony export */   "GiMapleLeaf": () => (/* binding */ GiMapleLeaf),
/* harmony export */   "GiMaracas": () => (/* binding */ GiMaracas),
/* harmony export */   "GiMarbles": () => (/* binding */ GiMarbles),
/* harmony export */   "GiMarrowDrain": () => (/* binding */ GiMarrowDrain),
/* harmony export */   "GiMarsCuriosity": () => (/* binding */ GiMarsCuriosity),
/* harmony export */   "GiMarsPathfinder": () => (/* binding */ GiMarsPathfinder),
/* harmony export */   "GiMarshmallows": () => (/* binding */ GiMarshmallows),
/* harmony export */   "GiMartini": () => (/* binding */ GiMartini),
/* harmony export */   "GiMaskedSpider": () => (/* binding */ GiMaskedSpider),
/* harmony export */   "GiMassDriver": () => (/* binding */ GiMassDriver),
/* harmony export */   "GiMasterOfArms": () => (/* binding */ GiMasterOfArms),
/* harmony export */   "GiMatchHead": () => (/* binding */ GiMatchHead),
/* harmony export */   "GiMatchTip": () => (/* binding */ GiMatchTip),
/* harmony export */   "GiMatchbox": () => (/* binding */ GiMatchbox),
/* harmony export */   "GiMaterialsScience": () => (/* binding */ GiMaterialsScience),
/* harmony export */   "GiMatryoshkaDolls": () => (/* binding */ GiMatryoshkaDolls),
/* harmony export */   "GiMatterStates": () => (/* binding */ GiMatterStates),
/* harmony export */   "GiMayanPyramid": () => (/* binding */ GiMayanPyramid),
/* harmony export */   "GiMaze": () => (/* binding */ GiMaze),
/* harmony export */   "GiMazeCornea": () => (/* binding */ GiMazeCornea),
/* harmony export */   "GiMazeSaw": () => (/* binding */ GiMazeSaw),
/* harmony export */   "GiMeal": () => (/* binding */ GiMeal),
/* harmony export */   "GiMeat": () => (/* binding */ GiMeat),
/* harmony export */   "GiMeatCleaver": () => (/* binding */ GiMeatCleaver),
/* harmony export */   "GiMeatHook": () => (/* binding */ GiMeatHook),
/* harmony export */   "GiMechaHead": () => (/* binding */ GiMechaHead),
/* harmony export */   "GiMechaMask": () => (/* binding */ GiMechaMask),
/* harmony export */   "GiMechanicGarage": () => (/* binding */ GiMechanicGarage),
/* harmony export */   "GiMechanicalArm": () => (/* binding */ GiMechanicalArm),
/* harmony export */   "GiMedal": () => (/* binding */ GiMedal),
/* harmony export */   "GiMedalSkull": () => (/* binding */ GiMedalSkull),
/* harmony export */   "GiMedallist": () => (/* binding */ GiMedallist),
/* harmony export */   "GiMedicalPack": () => (/* binding */ GiMedicalPack),
/* harmony export */   "GiMedicalPackAlt": () => (/* binding */ GiMedicalPackAlt),
/* harmony export */   "GiMedicalThermometer": () => (/* binding */ GiMedicalThermometer),
/* harmony export */   "GiMedicinePills": () => (/* binding */ GiMedicinePills),
/* harmony export */   "GiMedicines": () => (/* binding */ GiMedicines),
/* harmony export */   "GiMedievalBarracks": () => (/* binding */ GiMedievalBarracks),
/* harmony export */   "GiMedievalGate": () => (/* binding */ GiMedievalGate),
/* harmony export */   "GiMedievalPavilion": () => (/* binding */ GiMedievalPavilion),
/* harmony export */   "GiMeditation": () => (/* binding */ GiMeditation),
/* harmony export */   "GiMedusaHead": () => (/* binding */ GiMedusaHead),
/* harmony export */   "GiMeeple": () => (/* binding */ GiMeeple),
/* harmony export */   "GiMeepleGroup": () => (/* binding */ GiMeepleGroup),
/* harmony export */   "GiMeepleKing": () => (/* binding */ GiMeepleKing),
/* harmony export */   "GiMegabot": () => (/* binding */ GiMegabot),
/* harmony export */   "GiMegaphone": () => (/* binding */ GiMegaphone),
/* harmony export */   "GiMeltingIceCube": () => (/* binding */ GiMeltingIceCube),
/* harmony export */   "GiMeltingMetal": () => (/* binding */ GiMeltingMetal),
/* harmony export */   "GiMenhir": () => (/* binding */ GiMenhir),
/* harmony export */   "GiMermaid": () => (/* binding */ GiMermaid),
/* harmony export */   "GiMeshBall": () => (/* binding */ GiMeshBall),
/* harmony export */   "GiMeshNetwork": () => (/* binding */ GiMeshNetwork),
/* harmony export */   "GiMetalBar": () => (/* binding */ GiMetalBar),
/* harmony export */   "GiMetalDisc": () => (/* binding */ GiMetalDisc),
/* harmony export */   "GiMetalHand": () => (/* binding */ GiMetalHand),
/* harmony export */   "GiMetalPlate": () => (/* binding */ GiMetalPlate),
/* harmony export */   "GiMetalScales": () => (/* binding */ GiMetalScales),
/* harmony export */   "GiMetalSkirt": () => (/* binding */ GiMetalSkirt),
/* harmony export */   "GiMeteorImpact": () => (/* binding */ GiMeteorImpact),
/* harmony export */   "GiMetroid": () => (/* binding */ GiMetroid),
/* harmony export */   "GiMetronome": () => (/* binding */ GiMetronome),
/* harmony export */   "GiMexico": () => (/* binding */ GiMexico),
/* harmony export */   "GiMicrochip": () => (/* binding */ GiMicrochip),
/* harmony export */   "GiMicrophone": () => (/* binding */ GiMicrophone),
/* harmony export */   "GiMicroscope": () => (/* binding */ GiMicroscope),
/* harmony export */   "GiMicroscopeLens": () => (/* binding */ GiMicroscopeLens),
/* harmony export */   "GiMiddleArrow": () => (/* binding */ GiMiddleArrow),
/* harmony export */   "GiMidnightClaw": () => (/* binding */ GiMidnightClaw),
/* harmony export */   "GiMightyBoosh": () => (/* binding */ GiMightyBoosh),
/* harmony export */   "GiMightyForce": () => (/* binding */ GiMightyForce),
/* harmony export */   "GiMightySpanner": () => (/* binding */ GiMightySpanner),
/* harmony export */   "GiMilitaryAmbulance": () => (/* binding */ GiMilitaryAmbulance),
/* harmony export */   "GiMilitaryFort": () => (/* binding */ GiMilitaryFort),
/* harmony export */   "GiMilkCarton": () => (/* binding */ GiMilkCarton),
/* harmony export */   "GiMilleniumKey": () => (/* binding */ GiMilleniumKey),
/* harmony export */   "GiMimicChest": () => (/* binding */ GiMimicChest),
/* harmony export */   "GiMineExplosion": () => (/* binding */ GiMineExplosion),
/* harmony export */   "GiMineTruck": () => (/* binding */ GiMineTruck),
/* harmony export */   "GiMineWagon": () => (/* binding */ GiMineWagon),
/* harmony export */   "GiMinefield": () => (/* binding */ GiMinefield),
/* harmony export */   "GiMiner": () => (/* binding */ GiMiner),
/* harmony export */   "GiMineralHeart": () => (/* binding */ GiMineralHeart),
/* harmony export */   "GiMinerals": () => (/* binding */ GiMinerals),
/* harmony export */   "GiMiniSubmarine": () => (/* binding */ GiMiniSubmarine),
/* harmony export */   "GiMinigun": () => (/* binding */ GiMinigun),
/* harmony export */   "GiMining": () => (/* binding */ GiMining),
/* harmony export */   "GiMiningHelmet": () => (/* binding */ GiMiningHelmet),
/* harmony export */   "GiMinions": () => (/* binding */ GiMinions),
/* harmony export */   "GiMinotaur": () => (/* binding */ GiMinotaur),
/* harmony export */   "GiMiracleMedecine": () => (/* binding */ GiMiracleMedecine),
/* harmony export */   "GiMirrorMirror": () => (/* binding */ GiMirrorMirror),
/* harmony export */   "GiMissileLauncher": () => (/* binding */ GiMissileLauncher),
/* harmony export */   "GiMissileMech": () => (/* binding */ GiMissileMech),
/* harmony export */   "GiMissilePod": () => (/* binding */ GiMissilePod),
/* harmony export */   "GiMissileSwarm": () => (/* binding */ GiMissileSwarm),
/* harmony export */   "GiMite": () => (/* binding */ GiMite),
/* harmony export */   "GiMiteAlt": () => (/* binding */ GiMiteAlt),
/* harmony export */   "GiMoai": () => (/* binding */ GiMoai),
/* harmony export */   "GiModernCity": () => (/* binding */ GiModernCity),
/* harmony export */   "GiMoebiusStar": () => (/* binding */ GiMoebiusStar),
/* harmony export */   "GiMoebiusTrefoil": () => (/* binding */ GiMoebiusTrefoil),
/* harmony export */   "GiMoebiusTriangle": () => (/* binding */ GiMoebiusTriangle),
/* harmony export */   "GiMokaPot": () => (/* binding */ GiMokaPot),
/* harmony export */   "GiMoldova": () => (/* binding */ GiMoldova),
/* harmony export */   "GiMolecule": () => (/* binding */ GiMolecule),
/* harmony export */   "GiMolotov": () => (/* binding */ GiMolotov),
/* harmony export */   "GiMonaLisa": () => (/* binding */ GiMonaLisa),
/* harmony export */   "GiMonclerJacket": () => (/* binding */ GiMonclerJacket),
/* harmony export */   "GiMoneyStack": () => (/* binding */ GiMoneyStack),
/* harmony export */   "GiMonkFace": () => (/* binding */ GiMonkFace),
/* harmony export */   "GiMonkey": () => (/* binding */ GiMonkey),
/* harmony export */   "GiMonkeyWrench": () => (/* binding */ GiMonkeyWrench),
/* harmony export */   "GiMonoWheelRobot": () => (/* binding */ GiMonoWheelRobot),
/* harmony export */   "GiMonsterGrasp": () => (/* binding */ GiMonsterGrasp),
/* harmony export */   "GiMonsteraLeaf": () => (/* binding */ GiMonsteraLeaf),
/* harmony export */   "GiMonumentValley": () => (/* binding */ GiMonumentValley),
/* harmony export */   "GiMoon": () => (/* binding */ GiMoon),
/* harmony export */   "GiMoonBats": () => (/* binding */ GiMoonBats),
/* harmony export */   "GiMoonClaws": () => (/* binding */ GiMoonClaws),
/* harmony export */   "GiMoonOrbit": () => (/* binding */ GiMoonOrbit),
/* harmony export */   "GiMooringBollard": () => (/* binding */ GiMooringBollard),
/* harmony export */   "GiMorbidHumour": () => (/* binding */ GiMorbidHumour),
/* harmony export */   "GiMorgueFeet": () => (/* binding */ GiMorgueFeet),
/* harmony export */   "GiMorphBall": () => (/* binding */ GiMorphBall),
/* harmony export */   "GiMortar": () => (/* binding */ GiMortar),
/* harmony export */   "GiMountainCave": () => (/* binding */ GiMountainCave),
/* harmony export */   "GiMountainRoad": () => (/* binding */ GiMountainRoad),
/* harmony export */   "GiMountains": () => (/* binding */ GiMountains),
/* harmony export */   "GiMountaintop": () => (/* binding */ GiMountaintop),
/* harmony export */   "GiMountedKnight": () => (/* binding */ GiMountedKnight),
/* harmony export */   "GiMouse": () => (/* binding */ GiMouse),
/* harmony export */   "GiMouthWatering": () => (/* binding */ GiMouthWatering),
/* harmony export */   "GiMove": () => (/* binding */ GiMove),
/* harmony export */   "GiMovementSensor": () => (/* binding */ GiMovementSensor),
/* harmony export */   "GiMp40": () => (/* binding */ GiMp40),
/* harmony export */   "GiMp5": () => (/* binding */ GiMp5),
/* harmony export */   "GiMp5K": () => (/* binding */ GiMp5K),
/* harmony export */   "GiMucousPillar": () => (/* binding */ GiMucousPillar),
/* harmony export */   "GiMugShot": () => (/* binding */ GiMugShot),
/* harmony export */   "GiMultipleTargets": () => (/* binding */ GiMultipleTargets),
/* harmony export */   "GiMummyHead": () => (/* binding */ GiMummyHead),
/* harmony export */   "GiMuscleFat": () => (/* binding */ GiMuscleFat),
/* harmony export */   "GiMuscleUp": () => (/* binding */ GiMuscleUp),
/* harmony export */   "GiMuscularTorso": () => (/* binding */ GiMuscularTorso),
/* harmony export */   "GiMushroom": () => (/* binding */ GiMushroom),
/* harmony export */   "GiMushroomCloud": () => (/* binding */ GiMushroomCloud),
/* harmony export */   "GiMushroomGills": () => (/* binding */ GiMushroomGills),
/* harmony export */   "GiMushroomHouse": () => (/* binding */ GiMushroomHouse),
/* harmony export */   "GiMushrooms": () => (/* binding */ GiMushrooms),
/* harmony export */   "GiMushroomsCluster": () => (/* binding */ GiMushroomsCluster),
/* harmony export */   "GiMusicSpell": () => (/* binding */ GiMusicSpell),
/* harmony export */   "GiMusicalKeyboard": () => (/* binding */ GiMusicalKeyboard),
/* harmony export */   "GiMusicalNotes": () => (/* binding */ GiMusicalNotes),
/* harmony export */   "GiMusicalScore": () => (/* binding */ GiMusicalScore),
/* harmony export */   "GiMusket": () => (/* binding */ GiMusket),
/* harmony export */   "GiMussel": () => (/* binding */ GiMussel),
/* harmony export */   "GiMustache": () => (/* binding */ GiMustache),
/* harmony export */   "GiMute": () => (/* binding */ GiMute),
/* harmony export */   "GiNachos": () => (/* binding */ GiNachos),
/* harmony export */   "GiNailedFoot": () => (/* binding */ GiNailedFoot),
/* harmony export */   "GiNailedHead": () => (/* binding */ GiNailedHead),
/* harmony export */   "GiNails": () => (/* binding */ GiNails),
/* harmony export */   "GiNanoBot": () => (/* binding */ GiNanoBot),
/* harmony export */   "GiNautilusShell": () => (/* binding */ GiNautilusShell),
/* harmony export */   "GiNeckBite": () => (/* binding */ GiNeckBite),
/* harmony export */   "GiNecklace": () => (/* binding */ GiNecklace),
/* harmony export */   "GiNecklaceDisplay": () => (/* binding */ GiNecklaceDisplay),
/* harmony export */   "GiNeedleDrill": () => (/* binding */ GiNeedleDrill),
/* harmony export */   "GiNeedleJaws": () => (/* binding */ GiNeedleJaws),
/* harmony export */   "GiNefertiti": () => (/* binding */ GiNefertiti),
/* harmony export */   "GiNestBirds": () => (/* binding */ GiNestBirds),
/* harmony export */   "GiNestEggs": () => (/* binding */ GiNestEggs),
/* harmony export */   "GiNestedEclipses": () => (/* binding */ GiNestedEclipses),
/* harmony export */   "GiNestedHearts": () => (/* binding */ GiNestedHearts),
/* harmony export */   "GiNestedHexagons": () => (/* binding */ GiNestedHexagons),
/* harmony export */   "GiNetworkBars": () => (/* binding */ GiNetworkBars),
/* harmony export */   "GiNewBorn": () => (/* binding */ GiNewBorn),
/* harmony export */   "GiNewShoot": () => (/* binding */ GiNewShoot),
/* harmony export */   "GiNewspaper": () => (/* binding */ GiNewspaper),
/* harmony export */   "GiNextButton": () => (/* binding */ GiNextButton),
/* harmony export */   "GiNightSky": () => (/* binding */ GiNightSky),
/* harmony export */   "GiNightSleep": () => (/* binding */ GiNightSleep),
/* harmony export */   "GiNightVision": () => (/* binding */ GiNightVision),
/* harmony export */   "GiNinjaArmor": () => (/* binding */ GiNinjaArmor),
/* harmony export */   "GiNinjaHead": () => (/* binding */ GiNinjaHead),
/* harmony export */   "GiNinjaHeroicStance": () => (/* binding */ GiNinjaHeroicStance),
/* harmony export */   "GiNinjaMask": () => (/* binding */ GiNinjaMask),
/* harmony export */   "GiNinjaStar": () => (/* binding */ GiNinjaStar),
/* harmony export */   "GiNinjaVelociraptor": () => (/* binding */ GiNinjaVelociraptor),
/* harmony export */   "GiNodular": () => (/* binding */ GiNodular),
/* harmony export */   "GiNoodleBall": () => (/* binding */ GiNoodleBall),
/* harmony export */   "GiNoodles": () => (/* binding */ GiNoodles),
/* harmony export */   "GiNorthStarShuriken": () => (/* binding */ GiNorthStarShuriken),
/* harmony export */   "GiNoseFront": () => (/* binding */ GiNoseFront),
/* harmony export */   "GiNoseSide": () => (/* binding */ GiNoseSide),
/* harmony export */   "GiNothingToSay": () => (/* binding */ GiNothingToSay),
/* harmony export */   "GiNuclear": () => (/* binding */ GiNuclear),
/* harmony export */   "GiNuclearBomb": () => (/* binding */ GiNuclearBomb),
/* harmony export */   "GiNuclearPlant": () => (/* binding */ GiNuclearPlant),
/* harmony export */   "GiNuclearWaste": () => (/* binding */ GiNuclearWaste),
/* harmony export */   "GiNunFace": () => (/* binding */ GiNunFace),
/* harmony export */   "GiNunchaku": () => (/* binding */ GiNunchaku),
/* harmony export */   "GiNurseFemale": () => (/* binding */ GiNurseFemale),
/* harmony export */   "GiNurseMale": () => (/* binding */ GiNurseMale),
/* harmony export */   "GiOBrick": () => (/* binding */ GiOBrick),
/* harmony export */   "GiOak": () => (/* binding */ GiOak),
/* harmony export */   "GiOakLeaf": () => (/* binding */ GiOakLeaf),
/* harmony export */   "GiOasis": () => (/* binding */ GiOasis),
/* harmony export */   "GiOat": () => (/* binding */ GiOat),
/* harmony export */   "GiObelisk": () => (/* binding */ GiObelisk),
/* harmony export */   "GiObservatory": () => (/* binding */ GiObservatory),
/* harmony export */   "GiOcarina": () => (/* binding */ GiOcarina),
/* harmony export */   "GiOccupy": () => (/* binding */ GiOccupy),
/* harmony export */   "GiOctogonalEye": () => (/* binding */ GiOctogonalEye),
/* harmony export */   "GiOctoman": () => (/* binding */ GiOctoman),
/* harmony export */   "GiOctopus": () => (/* binding */ GiOctopus),
/* harmony export */   "GiOden": () => (/* binding */ GiOden),
/* harmony export */   "GiOfficeChair": () => (/* binding */ GiOfficeChair),
/* harmony export */   "GiOffshorePlatform": () => (/* binding */ GiOffshorePlatform),
/* harmony export */   "GiOgre": () => (/* binding */ GiOgre),
/* harmony export */   "GiOilDrum": () => (/* binding */ GiOilDrum),
/* harmony export */   "GiOilPump": () => (/* binding */ GiOilPump),
/* harmony export */   "GiOilRig": () => (/* binding */ GiOilRig),
/* harmony export */   "GiOilySpiral": () => (/* binding */ GiOilySpiral),
/* harmony export */   "GiOldKing": () => (/* binding */ GiOldKing),
/* harmony export */   "GiOldLantern": () => (/* binding */ GiOldLantern),
/* harmony export */   "GiOldMicrophone": () => (/* binding */ GiOldMicrophone),
/* harmony export */   "GiOldWagon": () => (/* binding */ GiOldWagon),
/* harmony export */   "GiOlive": () => (/* binding */ GiOlive),
/* harmony export */   "GiOmega": () => (/* binding */ GiOmega),
/* harmony export */   "GiOnSight": () => (/* binding */ GiOnSight),
/* harmony export */   "GiOnTarget": () => (/* binding */ GiOnTarget),
/* harmony export */   "GiOneEyed": () => (/* binding */ GiOneEyed),
/* harmony export */   "GiOni": () => (/* binding */ GiOni),
/* harmony export */   "GiOpenBook": () => (/* binding */ GiOpenBook),
/* harmony export */   "GiOpenChest": () => (/* binding */ GiOpenChest),
/* harmony export */   "GiOpenFolder": () => (/* binding */ GiOpenFolder),
/* harmony export */   "GiOpenGate": () => (/* binding */ GiOpenGate),
/* harmony export */   "GiOpenPalm": () => (/* binding */ GiOpenPalm),
/* harmony export */   "GiOpenTreasureChest": () => (/* binding */ GiOpenTreasureChest),
/* harmony export */   "GiOpenWound": () => (/* binding */ GiOpenWound),
/* harmony export */   "GiOpenedFoodCan": () => (/* binding */ GiOpenedFoodCan),
/* harmony export */   "GiOpeningShell": () => (/* binding */ GiOpeningShell),
/* harmony export */   "GiOphiuchus": () => (/* binding */ GiOphiuchus),
/* harmony export */   "GiOppidum": () => (/* binding */ GiOppidum),
/* harmony export */   "GiOppositeHearts": () => (/* binding */ GiOppositeHearts),
/* harmony export */   "GiOppression": () => (/* binding */ GiOppression),
/* harmony export */   "GiOrange": () => (/* binding */ GiOrange),
/* harmony export */   "GiOrangeSlice": () => (/* binding */ GiOrangeSlice),
/* harmony export */   "GiOrbDirection": () => (/* binding */ GiOrbDirection),
/* harmony export */   "GiOrbWand": () => (/* binding */ GiOrbWand),
/* harmony export */   "GiOrbit": () => (/* binding */ GiOrbit),
/* harmony export */   "GiOrbital": () => (/* binding */ GiOrbital),
/* harmony export */   "GiOrbitalRays": () => (/* binding */ GiOrbitalRays),
/* harmony export */   "GiOrcHead": () => (/* binding */ GiOrcHead),
/* harmony export */   "GiOre": () => (/* binding */ GiOre),
/* harmony export */   "GiOrganigram": () => (/* binding */ GiOrganigram),
/* harmony export */   "GiOstrich": () => (/* binding */ GiOstrich),
/* harmony export */   "GiOuroboros": () => (/* binding */ GiOuroboros),
/* harmony export */   "GiOutbackHat": () => (/* binding */ GiOutbackHat),
/* harmony export */   "GiOverInfinity": () => (/* binding */ GiOverInfinity),
/* harmony export */   "GiOverdose": () => (/* binding */ GiOverdose),
/* harmony export */   "GiOverdrive": () => (/* binding */ GiOverdrive),
/* harmony export */   "GiOverhead": () => (/* binding */ GiOverhead),
/* harmony export */   "GiOverkill": () => (/* binding */ GiOverkill),
/* harmony export */   "GiOverlordHelm": () => (/* binding */ GiOverlordHelm),
/* harmony export */   "GiOvermind": () => (/* binding */ GiOvermind),
/* harmony export */   "GiOwl": () => (/* binding */ GiOwl),
/* harmony export */   "GiOysterPearl": () => (/* binding */ GiOysterPearl),
/* harmony export */   "GiP90": () => (/* binding */ GiP90),
/* harmony export */   "GiPackedPlanks": () => (/* binding */ GiPackedPlanks),
/* harmony export */   "GiPaddles": () => (/* binding */ GiPaddles),
/* harmony export */   "GiPadlock": () => (/* binding */ GiPadlock),
/* harmony export */   "GiPadlockOpen": () => (/* binding */ GiPadlockOpen),
/* harmony export */   "GiPagoda": () => (/* binding */ GiPagoda),
/* harmony export */   "GiPaintBrush": () => (/* binding */ GiPaintBrush),
/* harmony export */   "GiPaintBucket": () => (/* binding */ GiPaintBucket),
/* harmony export */   "GiPaintRoller": () => (/* binding */ GiPaintRoller),
/* harmony export */   "GiPaintedPottery": () => (/* binding */ GiPaintedPottery),
/* harmony export */   "GiPalette": () => (/* binding */ GiPalette),
/* harmony export */   "GiPalisade": () => (/* binding */ GiPalisade),
/* harmony export */   "GiPalm": () => (/* binding */ GiPalm),
/* harmony export */   "GiPalmTree": () => (/* binding */ GiPalmTree),
/* harmony export */   "GiPanFlute": () => (/* binding */ GiPanFlute),
/* harmony export */   "GiPanda": () => (/* binding */ GiPanda),
/* harmony export */   "GiPanzerfaust": () => (/* binding */ GiPanzerfaust),
/* harmony export */   "GiPaper": () => (/* binding */ GiPaper),
/* harmony export */   "GiPaperArrow": () => (/* binding */ GiPaperArrow),
/* harmony export */   "GiPaperBoat": () => (/* binding */ GiPaperBoat),
/* harmony export */   "GiPaperBomb": () => (/* binding */ GiPaperBomb),
/* harmony export */   "GiPaperClip": () => (/* binding */ GiPaperClip),
/* harmony export */   "GiPaperLantern": () => (/* binding */ GiPaperLantern),
/* harmony export */   "GiPaperPlane": () => (/* binding */ GiPaperPlane),
/* harmony export */   "GiPaperTray": () => (/* binding */ GiPaperTray),
/* harmony export */   "GiPaperWindmill": () => (/* binding */ GiPaperWindmill),
/* harmony export */   "GiPapers": () => (/* binding */ GiPapers),
/* harmony export */   "GiPapyrus": () => (/* binding */ GiPapyrus),
/* harmony export */   "GiParachute": () => (/* binding */ GiParachute),
/* harmony export */   "GiParaguay": () => (/* binding */ GiParaguay),
/* harmony export */   "GiParanoia": () => (/* binding */ GiParanoia),
/* harmony export */   "GiParasaurolophus": () => (/* binding */ GiParasaurolophus),
/* harmony export */   "GiParkBench": () => (/* binding */ GiParkBench),
/* harmony export */   "GiParmecia": () => (/* binding */ GiParmecia),
/* harmony export */   "GiParrotHead": () => (/* binding */ GiParrotHead),
/* harmony export */   "GiPartyFlags": () => (/* binding */ GiPartyFlags),
/* harmony export */   "GiPartyHat": () => (/* binding */ GiPartyHat),
/* harmony export */   "GiPartyPopper": () => (/* binding */ GiPartyPopper),
/* harmony export */   "GiPassport": () => (/* binding */ GiPassport),
/* harmony export */   "GiPathDistance": () => (/* binding */ GiPathDistance),
/* harmony export */   "GiPathTile": () => (/* binding */ GiPathTile),
/* harmony export */   "GiPauldrons": () => (/* binding */ GiPauldrons),
/* harmony export */   "GiPauseButton": () => (/* binding */ GiPauseButton),
/* harmony export */   "GiPaw": () => (/* binding */ GiPaw),
/* harmony export */   "GiPawFront": () => (/* binding */ GiPawFront),
/* harmony export */   "GiPawHeart": () => (/* binding */ GiPawHeart),
/* harmony export */   "GiPawPrint": () => (/* binding */ GiPawPrint),
/* harmony export */   "GiPawn": () => (/* binding */ GiPawn),
/* harmony export */   "GiPayMoney": () => (/* binding */ GiPayMoney),
/* harmony export */   "GiPc": () => (/* binding */ GiPc),
/* harmony export */   "GiPeaceDove": () => (/* binding */ GiPeaceDove),
/* harmony export */   "GiPeach": () => (/* binding */ GiPeach),
/* harmony export */   "GiPeaks": () => (/* binding */ GiPeaks),
/* harmony export */   "GiPeanut": () => (/* binding */ GiPeanut),
/* harmony export */   "GiPear": () => (/* binding */ GiPear),
/* harmony export */   "GiPearlEarring": () => (/* binding */ GiPearlEarring),
/* harmony export */   "GiPearlNecklace": () => (/* binding */ GiPearlNecklace),
/* harmony export */   "GiPeas": () => (/* binding */ GiPeas),
/* harmony export */   "GiPegasus": () => (/* binding */ GiPegasus),
/* harmony export */   "GiPelvisBone": () => (/* binding */ GiPelvisBone),
/* harmony export */   "GiPencil": () => (/* binding */ GiPencil),
/* harmony export */   "GiPencilBrush": () => (/* binding */ GiPencilBrush),
/* harmony export */   "GiPencilRuler": () => (/* binding */ GiPencilRuler),
/* harmony export */   "GiPendantKey": () => (/* binding */ GiPendantKey),
/* harmony export */   "GiPendulumSwing": () => (/* binding */ GiPendulumSwing),
/* harmony export */   "GiPenguin": () => (/* binding */ GiPenguin),
/* harmony export */   "GiPentacle": () => (/* binding */ GiPentacle),
/* harmony export */   "GiPentagramRose": () => (/* binding */ GiPentagramRose),
/* harmony export */   "GiPentarrowsTornado": () => (/* binding */ GiPentarrowsTornado),
/* harmony export */   "GiPerfumeBottle": () => (/* binding */ GiPerfumeBottle),
/* harmony export */   "GiPeriscope": () => (/* binding */ GiPeriscope),
/* harmony export */   "GiPerpendicularRings": () => (/* binding */ GiPerpendicularRings),
/* harmony export */   "GiPerson": () => (/* binding */ GiPerson),
/* harmony export */   "GiPersonInBed": () => (/* binding */ GiPersonInBed),
/* harmony export */   "GiPerspectiveDiceFive": () => (/* binding */ GiPerspectiveDiceFive),
/* harmony export */   "GiPerspectiveDiceFour": () => (/* binding */ GiPerspectiveDiceFour),
/* harmony export */   "GiPerspectiveDiceOne": () => (/* binding */ GiPerspectiveDiceOne),
/* harmony export */   "GiPerspectiveDiceSix": () => (/* binding */ GiPerspectiveDiceSix),
/* harmony export */   "GiPerspectiveDiceSixFacesFive": () => (/* binding */ GiPerspectiveDiceSixFacesFive),
/* harmony export */   "GiPerspectiveDiceSixFacesFour": () => (/* binding */ GiPerspectiveDiceSixFacesFour),
/* harmony export */   "GiPerspectiveDiceSixFacesOne": () => (/* binding */ GiPerspectiveDiceSixFacesOne),
/* harmony export */   "GiPerspectiveDiceSixFacesRandom": () => (/* binding */ GiPerspectiveDiceSixFacesRandom),
/* harmony export */   "GiPerspectiveDiceSixFacesSix": () => (/* binding */ GiPerspectiveDiceSixFacesSix),
/* harmony export */   "GiPerspectiveDiceSixFacesThree": () => (/* binding */ GiPerspectiveDiceSixFacesThree),
/* harmony export */   "GiPerspectiveDiceSixFacesTwo": () => (/* binding */ GiPerspectiveDiceSixFacesTwo),
/* harmony export */   "GiPerspectiveDiceThree": () => (/* binding */ GiPerspectiveDiceThree),
/* harmony export */   "GiPerspectiveDiceTwo": () => (/* binding */ GiPerspectiveDiceTwo),
/* harmony export */   "GiPeru": () => (/* binding */ GiPeru),
/* harmony export */   "GiPestleMortar": () => (/* binding */ GiPestleMortar),
/* harmony export */   "GiPharoah": () => (/* binding */ GiPharoah),
/* harmony export */   "GiPhone": () => (/* binding */ GiPhone),
/* harmony export */   "GiPhotoCamera": () => (/* binding */ GiPhotoCamera),
/* harmony export */   "GiPhrygianCap": () => (/* binding */ GiPhrygianCap),
/* harmony export */   "GiPianoKeys": () => (/* binding */ GiPianoKeys),
/* harmony export */   "GiPickOfDestiny": () => (/* binding */ GiPickOfDestiny),
/* harmony export */   "GiPickelhaube": () => (/* binding */ GiPickelhaube),
/* harmony export */   "GiPieChart": () => (/* binding */ GiPieChart),
/* harmony export */   "GiPieSlice": () => (/* binding */ GiPieSlice),
/* harmony export */   "GiPieceSkull": () => (/* binding */ GiPieceSkull),
/* harmony export */   "GiPiercedBody": () => (/* binding */ GiPiercedBody),
/* harmony export */   "GiPiercedHeart": () => (/* binding */ GiPiercedHeart),
/* harmony export */   "GiPiercingSword": () => (/* binding */ GiPiercingSword),
/* harmony export */   "GiPig": () => (/* binding */ GiPig),
/* harmony export */   "GiPigFace": () => (/* binding */ GiPigFace),
/* harmony export */   "GiPiggyBank": () => (/* binding */ GiPiggyBank),
/* harmony export */   "GiPikeman": () => (/* binding */ GiPikeman),
/* harmony export */   "GiPilgrimHat": () => (/* binding */ GiPilgrimHat),
/* harmony export */   "GiPill": () => (/* binding */ GiPill),
/* harmony export */   "GiPillDrop": () => (/* binding */ GiPillDrop),
/* harmony export */   "GiPillow": () => (/* binding */ GiPillow),
/* harmony export */   "GiPimiento": () => (/* binding */ GiPimiento),
/* harmony export */   "GiPin": () => (/* binding */ GiPin),
/* harmony export */   "GiPinata": () => (/* binding */ GiPinata),
/* harmony export */   "GiPinballFlipper": () => (/* binding */ GiPinballFlipper),
/* harmony export */   "GiPincers": () => (/* binding */ GiPincers),
/* harmony export */   "GiPineTree": () => (/* binding */ GiPineTree),
/* harmony export */   "GiPineapple": () => (/* binding */ GiPineapple),
/* harmony export */   "GiPingPongBat": () => (/* binding */ GiPingPongBat),
/* harmony export */   "GiPipes": () => (/* binding */ GiPipes),
/* harmony export */   "GiPiranha": () => (/* binding */ GiPiranha),
/* harmony export */   "GiPirateCannon": () => (/* binding */ GiPirateCannon),
/* harmony export */   "GiPirateCaptain": () => (/* binding */ GiPirateCaptain),
/* harmony export */   "GiPirateCoat": () => (/* binding */ GiPirateCoat),
/* harmony export */   "GiPirateFlag": () => (/* binding */ GiPirateFlag),
/* harmony export */   "GiPirateGrave": () => (/* binding */ GiPirateGrave),
/* harmony export */   "GiPirateHat": () => (/* binding */ GiPirateHat),
/* harmony export */   "GiPirateHook": () => (/* binding */ GiPirateHook),
/* harmony export */   "GiPirateSkull": () => (/* binding */ GiPirateSkull),
/* harmony export */   "GiPisaTower": () => (/* binding */ GiPisaTower),
/* harmony export */   "GiPisces": () => (/* binding */ GiPisces),
/* harmony export */   "GiPistolGun": () => (/* binding */ GiPistolGun),
/* harmony export */   "GiPitchfork": () => (/* binding */ GiPitchfork),
/* harmony export */   "GiPizzaCutter": () => (/* binding */ GiPizzaCutter),
/* harmony export */   "GiPizzaSlice": () => (/* binding */ GiPizzaSlice),
/* harmony export */   "GiPlagueDoctorProfile": () => (/* binding */ GiPlagueDoctorProfile),
/* harmony export */   "GiPlainArrow": () => (/* binding */ GiPlainArrow),
/* harmony export */   "GiPlainCircle": () => (/* binding */ GiPlainCircle),
/* harmony export */   "GiPlainDagger": () => (/* binding */ GiPlainDagger),
/* harmony export */   "GiPlainSquare": () => (/* binding */ GiPlainSquare),
/* harmony export */   "GiPlanePilot": () => (/* binding */ GiPlanePilot),
/* harmony export */   "GiPlaneWing": () => (/* binding */ GiPlaneWing),
/* harmony export */   "GiPlanetConquest": () => (/* binding */ GiPlanetConquest),
/* harmony export */   "GiPlanetCore": () => (/* binding */ GiPlanetCore),
/* harmony export */   "GiPlanks": () => (/* binding */ GiPlanks),
/* harmony export */   "GiPlantRoots": () => (/* binding */ GiPlantRoots),
/* harmony export */   "GiPlantWatering": () => (/* binding */ GiPlantWatering),
/* harmony export */   "GiPlantsAndAnimals": () => (/* binding */ GiPlantsAndAnimals),
/* harmony export */   "GiPlasmaBolt": () => (/* binding */ GiPlasmaBolt),
/* harmony export */   "GiPlasticDuck": () => (/* binding */ GiPlasticDuck),
/* harmony export */   "GiPlastron": () => (/* binding */ GiPlastron),
/* harmony export */   "GiPlateClaw": () => (/* binding */ GiPlateClaw),
/* harmony export */   "GiPlatform": () => (/* binding */ GiPlatform),
/* harmony export */   "GiPlayButton": () => (/* binding */ GiPlayButton),
/* harmony export */   "GiPlayerBase": () => (/* binding */ GiPlayerBase),
/* harmony export */   "GiPlayerNext": () => (/* binding */ GiPlayerNext),
/* harmony export */   "GiPlayerPrevious": () => (/* binding */ GiPlayerPrevious),
/* harmony export */   "GiPlayerTime": () => (/* binding */ GiPlayerTime),
/* harmony export */   "GiPlesiosaurus": () => (/* binding */ GiPlesiosaurus),
/* harmony export */   "GiPlow": () => (/* binding */ GiPlow),
/* harmony export */   "GiPlug": () => (/* binding */ GiPlug),
/* harmony export */   "GiPlunger": () => (/* binding */ GiPlunger),
/* harmony export */   "GiPocketBow": () => (/* binding */ GiPocketBow),
/* harmony export */   "GiPocketRadio": () => (/* binding */ GiPocketRadio),
/* harmony export */   "GiPocketWatch": () => (/* binding */ GiPocketWatch),
/* harmony export */   "GiPodium": () => (/* binding */ GiPodium),
/* harmony export */   "GiPodiumSecond": () => (/* binding */ GiPodiumSecond),
/* harmony export */   "GiPodiumThird": () => (/* binding */ GiPodiumThird),
/* harmony export */   "GiPodiumWinner": () => (/* binding */ GiPodiumWinner),
/* harmony export */   "GiPointing": () => (/* binding */ GiPointing),
/* harmony export */   "GiPointyHat": () => (/* binding */ GiPointyHat),
/* harmony export */   "GiPointySword": () => (/* binding */ GiPointySword),
/* harmony export */   "GiPoison": () => (/* binding */ GiPoison),
/* harmony export */   "GiPoisonBottle": () => (/* binding */ GiPoisonBottle),
/* harmony export */   "GiPoisonCloud": () => (/* binding */ GiPoisonCloud),
/* harmony export */   "GiPoisonGas": () => (/* binding */ GiPoisonGas),
/* harmony export */   "GiPokecog": () => (/* binding */ GiPokecog),
/* harmony export */   "GiPokerHand": () => (/* binding */ GiPokerHand),
/* harmony export */   "GiPolarBear": () => (/* binding */ GiPolarBear),
/* harmony export */   "GiPoliceBadge": () => (/* binding */ GiPoliceBadge),
/* harmony export */   "GiPoliceCar": () => (/* binding */ GiPoliceCar),
/* harmony export */   "GiPoliceOfficerHead": () => (/* binding */ GiPoliceOfficerHead),
/* harmony export */   "GiPoliceTarget": () => (/* binding */ GiPoliceTarget),
/* harmony export */   "GiPollenDust": () => (/* binding */ GiPollenDust),
/* harmony export */   "GiPoloShirt": () => (/* binding */ GiPoloShirt),
/* harmony export */   "GiPoncho": () => (/* binding */ GiPoncho),
/* harmony export */   "GiPoolDive": () => (/* binding */ GiPoolDive),
/* harmony export */   "GiPopcorn": () => (/* binding */ GiPopcorn),
/* harmony export */   "GiPopeCrown": () => (/* binding */ GiPopeCrown),
/* harmony export */   "GiPoppy": () => (/* binding */ GiPoppy),
/* harmony export */   "GiPorcelainVase": () => (/* binding */ GiPorcelainVase),
/* harmony export */   "GiPortal": () => (/* binding */ GiPortal),
/* harmony export */   "GiPortculis": () => (/* binding */ GiPortculis),
/* harmony export */   "GiPortrait": () => (/* binding */ GiPortrait),
/* harmony export */   "GiPortugal": () => (/* binding */ GiPortugal),
/* harmony export */   "GiPositionMarker": () => (/* binding */ GiPositionMarker),
/* harmony export */   "GiPostStamp": () => (/* binding */ GiPostStamp),
/* harmony export */   "GiPotato": () => (/* binding */ GiPotato),
/* harmony export */   "GiPotionBall": () => (/* binding */ GiPotionBall),
/* harmony export */   "GiPotionOfMadness": () => (/* binding */ GiPotionOfMadness),
/* harmony export */   "GiPounce": () => (/* binding */ GiPounce),
/* harmony export */   "GiPouringChalice": () => (/* binding */ GiPouringChalice),
/* harmony export */   "GiPouringPot": () => (/* binding */ GiPouringPot),
/* harmony export */   "GiPowder": () => (/* binding */ GiPowder),
/* harmony export */   "GiPowderBag": () => (/* binding */ GiPowderBag),
/* harmony export */   "GiPowerButton": () => (/* binding */ GiPowerButton),
/* harmony export */   "GiPowerGenerator": () => (/* binding */ GiPowerGenerator),
/* harmony export */   "GiPowerLightning": () => (/* binding */ GiPowerLightning),
/* harmony export */   "GiPowerRing": () => (/* binding */ GiPowerRing),
/* harmony export */   "GiPrayer": () => (/* binding */ GiPrayer),
/* harmony export */   "GiPrayerBeads": () => (/* binding */ GiPrayerBeads),
/* harmony export */   "GiPrayingMantis": () => (/* binding */ GiPrayingMantis),
/* harmony export */   "GiPresent": () => (/* binding */ GiPresent),
/* harmony export */   "GiPrettyFangs": () => (/* binding */ GiPrettyFangs),
/* harmony export */   "GiPretzel": () => (/* binding */ GiPretzel),
/* harmony export */   "GiPreviousButton": () => (/* binding */ GiPreviousButton),
/* harmony export */   "GiPriceTag": () => (/* binding */ GiPriceTag),
/* harmony export */   "GiPrimitiveNecklace": () => (/* binding */ GiPrimitiveNecklace),
/* harmony export */   "GiPrimitiveTorch": () => (/* binding */ GiPrimitiveTorch),
/* harmony export */   "GiPrism": () => (/* binding */ GiPrism),
/* harmony export */   "GiPrisoner": () => (/* binding */ GiPrisoner),
/* harmony export */   "GiPrivate": () => (/* binding */ GiPrivate),
/* harmony export */   "GiPrivateFirstClass": () => (/* binding */ GiPrivateFirstClass),
/* harmony export */   "GiProcessor": () => (/* binding */ GiProcessor),
/* harmony export */   "GiProfit": () => (/* binding */ GiProfit),
/* harmony export */   "GiProgression": () => (/* binding */ GiProgression),
/* harmony export */   "GiPropellerBeanie": () => (/* binding */ GiPropellerBeanie),
/* harmony export */   "GiProtectionGlasses": () => (/* binding */ GiProtectionGlasses),
/* harmony export */   "GiPschentDoubleCrown": () => (/* binding */ GiPschentDoubleCrown),
/* harmony export */   "GiPsychicWaves": () => (/* binding */ GiPsychicWaves),
/* harmony export */   "GiPterodactylus": () => (/* binding */ GiPterodactylus),
/* harmony export */   "GiPteruges": () => (/* binding */ GiPteruges),
/* harmony export */   "GiPublicSpeaker": () => (/* binding */ GiPublicSpeaker),
/* harmony export */   "GiPull": () => (/* binding */ GiPull),
/* harmony export */   "GiPulleyHook": () => (/* binding */ GiPulleyHook),
/* harmony export */   "GiPulse": () => (/* binding */ GiPulse),
/* harmony export */   "GiPummeled": () => (/* binding */ GiPummeled),
/* harmony export */   "GiPumpkin": () => (/* binding */ GiPumpkin),
/* harmony export */   "GiPumpkinLantern": () => (/* binding */ GiPumpkinLantern),
/* harmony export */   "GiPumpkinMask": () => (/* binding */ GiPumpkinMask),
/* harmony export */   "GiPunch": () => (/* binding */ GiPunch),
/* harmony export */   "GiPunchBlast": () => (/* binding */ GiPunchBlast),
/* harmony export */   "GiPunchingBag": () => (/* binding */ GiPunchingBag),
/* harmony export */   "GiPuppet": () => (/* binding */ GiPuppet),
/* harmony export */   "GiPurpleTentacle": () => (/* binding */ GiPurpleTentacle),
/* harmony export */   "GiPush": () => (/* binding */ GiPush),
/* harmony export */   "GiPuzzle": () => (/* binding */ GiPuzzle),
/* harmony export */   "GiPylon": () => (/* binding */ GiPylon),
/* harmony export */   "GiPyre": () => (/* binding */ GiPyre),
/* harmony export */   "GiPyromaniac": () => (/* binding */ GiPyromaniac),
/* harmony export */   "GiQuakeStomp": () => (/* binding */ GiQuakeStomp),
/* harmony export */   "GiQueenCrown": () => (/* binding */ GiQueenCrown),
/* harmony export */   "GiQuickSlash": () => (/* binding */ GiQuickSlash),
/* harmony export */   "GiQuicksand": () => (/* binding */ GiQuicksand),
/* harmony export */   "GiQuill": () => (/* binding */ GiQuill),
/* harmony export */   "GiQuillInk": () => (/* binding */ GiQuillInk),
/* harmony export */   "GiQuiver": () => (/* binding */ GiQuiver),
/* harmony export */   "GiRabbit": () => (/* binding */ GiRabbit),
/* harmony export */   "GiRabbitHead": () => (/* binding */ GiRabbitHead),
/* harmony export */   "GiRaccoonHead": () => (/* binding */ GiRaccoonHead),
/* harmony export */   "GiRaceCar": () => (/* binding */ GiRaceCar),
/* harmony export */   "GiRadarCrossSection": () => (/* binding */ GiRadarCrossSection),
/* harmony export */   "GiRadarDish": () => (/* binding */ GiRadarDish),
/* harmony export */   "GiRadarSweep": () => (/* binding */ GiRadarSweep),
/* harmony export */   "GiRadialBalance": () => (/* binding */ GiRadialBalance),
/* harmony export */   "GiRadiations": () => (/* binding */ GiRadiations),
/* harmony export */   "GiRadioTower": () => (/* binding */ GiRadioTower),
/* harmony export */   "GiRadioactive": () => (/* binding */ GiRadioactive),
/* harmony export */   "GiRaft": () => (/* binding */ GiRaft),
/* harmony export */   "GiRaggedWound": () => (/* binding */ GiRaggedWound),
/* harmony export */   "GiRailway": () => (/* binding */ GiRailway),
/* harmony export */   "GiRainbowStar": () => (/* binding */ GiRainbowStar),
/* harmony export */   "GiRaining": () => (/* binding */ GiRaining),
/* harmony export */   "GiRaiseSkeleton": () => (/* binding */ GiRaiseSkeleton),
/* harmony export */   "GiRaiseZombie": () => (/* binding */ GiRaiseZombie),
/* harmony export */   "GiRake": () => (/* binding */ GiRake),
/* harmony export */   "GiRallyTheTroops": () => (/* binding */ GiRallyTheTroops),
/* harmony export */   "GiRam": () => (/* binding */ GiRam),
/* harmony export */   "GiRamProfile": () => (/* binding */ GiRamProfile),
/* harmony export */   "GiRanchGate": () => (/* binding */ GiRanchGate),
/* harmony export */   "GiRank1": () => (/* binding */ GiRank1),
/* harmony export */   "GiRank2": () => (/* binding */ GiRank2),
/* harmony export */   "GiRank3": () => (/* binding */ GiRank3),
/* harmony export */   "GiRapidshareArrow": () => (/* binding */ GiRapidshareArrow),
/* harmony export */   "GiRaspberry": () => (/* binding */ GiRaspberry),
/* harmony export */   "GiRat": () => (/* binding */ GiRat),
/* harmony export */   "GiRattlesnake": () => (/* binding */ GiRattlesnake),
/* harmony export */   "GiRaven": () => (/* binding */ GiRaven),
/* harmony export */   "GiRawEgg": () => (/* binding */ GiRawEgg),
/* harmony export */   "GiRayGun": () => (/* binding */ GiRayGun),
/* harmony export */   "GiRazorBlade": () => (/* binding */ GiRazorBlade),
/* harmony export */   "GiReactor": () => (/* binding */ GiReactor),
/* harmony export */   "GiRead": () => (/* binding */ GiRead),
/* harmony export */   "GiReaperScythe": () => (/* binding */ GiReaperScythe),
/* harmony export */   "GiRearAura": () => (/* binding */ GiRearAura),
/* harmony export */   "GiReceiveMoney": () => (/* binding */ GiReceiveMoney),
/* harmony export */   "GiRecycle": () => (/* binding */ GiRecycle),
/* harmony export */   "GiReed": () => (/* binding */ GiReed),
/* harmony export */   "GiRefinery": () => (/* binding */ GiRefinery),
/* harmony export */   "GiRegeneration": () => (/* binding */ GiRegeneration),
/* harmony export */   "GiRelationshipBounds": () => (/* binding */ GiRelationshipBounds),
/* harmony export */   "GiRelicBlade": () => (/* binding */ GiRelicBlade),
/* harmony export */   "GiReloadGunBarrel": () => (/* binding */ GiReloadGunBarrel),
/* harmony export */   "GiRemedy": () => (/* binding */ GiRemedy),
/* harmony export */   "GiRempart": () => (/* binding */ GiRempart),
/* harmony export */   "GiReptileTail": () => (/* binding */ GiReptileTail),
/* harmony export */   "GiResize": () => (/* binding */ GiResize),
/* harmony export */   "GiResonance": () => (/* binding */ GiResonance),
/* harmony export */   "GiRestingVampire": () => (/* binding */ GiRestingVampire),
/* harmony export */   "GiReticule": () => (/* binding */ GiReticule),
/* harmony export */   "GiRetroController": () => (/* binding */ GiRetroController),
/* harmony export */   "GiReturnArrow": () => (/* binding */ GiReturnArrow),
/* harmony export */   "GiRevolt": () => (/* binding */ GiRevolt),
/* harmony export */   "GiRevolver": () => (/* binding */ GiRevolver),
/* harmony export */   "GiRhinocerosHorn": () => (/* binding */ GiRhinocerosHorn),
/* harmony export */   "GiRialtoBridge": () => (/* binding */ GiRialtoBridge),
/* harmony export */   "GiRibbon": () => (/* binding */ GiRibbon),
/* harmony export */   "GiRibbonMedal": () => (/* binding */ GiRibbonMedal),
/* harmony export */   "GiRibbonShield": () => (/* binding */ GiRibbonShield),
/* harmony export */   "GiRibcage": () => (/* binding */ GiRibcage),
/* harmony export */   "GiRifle": () => (/* binding */ GiRifle),
/* harmony export */   "GiRing": () => (/* binding */ GiRing),
/* harmony export */   "GiRingBox": () => (/* binding */ GiRingBox),
/* harmony export */   "GiRingMould": () => (/* binding */ GiRingMould),
/* harmony export */   "GiRingedBeam": () => (/* binding */ GiRingedBeam),
/* harmony export */   "GiRingedPlanet": () => (/* binding */ GiRingedPlanet),
/* harmony export */   "GiRingingAlarm": () => (/* binding */ GiRingingAlarm),
/* harmony export */   "GiRingingBell": () => (/* binding */ GiRingingBell),
/* harmony export */   "GiRingmaster": () => (/* binding */ GiRingmaster),
/* harmony export */   "GiRiotShield": () => (/* binding */ GiRiotShield),
/* harmony export */   "GiRiver": () => (/* binding */ GiRiver),
/* harmony export */   "GiRoad": () => (/* binding */ GiRoad),
/* harmony export */   "GiRoastChicken": () => (/* binding */ GiRoastChicken),
/* harmony export */   "GiRobber": () => (/* binding */ GiRobber),
/* harmony export */   "GiRobberHand": () => (/* binding */ GiRobberHand),
/* harmony export */   "GiRobberMask": () => (/* binding */ GiRobberMask),
/* harmony export */   "GiRobe": () => (/* binding */ GiRobe),
/* harmony export */   "GiRobinHoodHat": () => (/* binding */ GiRobinHoodHat),
/* harmony export */   "GiRobotAntennas": () => (/* binding */ GiRobotAntennas),
/* harmony export */   "GiRobotGolem": () => (/* binding */ GiRobotGolem),
/* harmony export */   "GiRobotGrab": () => (/* binding */ GiRobotGrab),
/* harmony export */   "GiRobotHelmet": () => (/* binding */ GiRobotHelmet),
/* harmony export */   "GiRobotLeg": () => (/* binding */ GiRobotLeg),
/* harmony export */   "GiRock": () => (/* binding */ GiRock),
/* harmony export */   "GiRockGolem": () => (/* binding */ GiRockGolem),
/* harmony export */   "GiRocket": () => (/* binding */ GiRocket),
/* harmony export */   "GiRocketFlight": () => (/* binding */ GiRocketFlight),
/* harmony export */   "GiRocketThruster": () => (/* binding */ GiRocketThruster),
/* harmony export */   "GiRockingChair": () => (/* binding */ GiRockingChair),
/* harmony export */   "GiRodOfAsclepius": () => (/* binding */ GiRodOfAsclepius),
/* harmony export */   "GiRogue": () => (/* binding */ GiRogue),
/* harmony export */   "GiRolledCloth": () => (/* binding */ GiRolledCloth),
/* harmony export */   "GiRollerSkate": () => (/* binding */ GiRollerSkate),
/* harmony export */   "GiRollingBomb": () => (/* binding */ GiRollingBomb),
/* harmony export */   "GiRollingDiceCup": () => (/* binding */ GiRollingDiceCup),
/* harmony export */   "GiRollingDices": () => (/* binding */ GiRollingDices),
/* harmony export */   "GiRollingEnergy": () => (/* binding */ GiRollingEnergy),
/* harmony export */   "GiRomanShield": () => (/* binding */ GiRomanShield),
/* harmony export */   "GiRomanToga": () => (/* binding */ GiRomanToga),
/* harmony export */   "GiRooster": () => (/* binding */ GiRooster),
/* harmony export */   "GiRootTip": () => (/* binding */ GiRootTip),
/* harmony export */   "GiRopeBridge": () => (/* binding */ GiRopeBridge),
/* harmony export */   "GiRopeCoil": () => (/* binding */ GiRopeCoil),
/* harmony export */   "GiRopeDart": () => (/* binding */ GiRopeDart),
/* harmony export */   "GiRopeway": () => (/* binding */ GiRopeway),
/* harmony export */   "GiRosaShield": () => (/* binding */ GiRosaShield),
/* harmony export */   "GiRose": () => (/* binding */ GiRose),
/* harmony export */   "GiRoughWound": () => (/* binding */ GiRoughWound),
/* harmony export */   "GiRoundBottomFlask": () => (/* binding */ GiRoundBottomFlask),
/* harmony export */   "GiRoundKnob": () => (/* binding */ GiRoundKnob),
/* harmony export */   "GiRoundShield": () => (/* binding */ GiRoundShield),
/* harmony export */   "GiRoundSilo": () => (/* binding */ GiRoundSilo),
/* harmony export */   "GiRoundStar": () => (/* binding */ GiRoundStar),
/* harmony export */   "GiRoundStrawBale": () => (/* binding */ GiRoundStrawBale),
/* harmony export */   "GiRoundStruck": () => (/* binding */ GiRoundStruck),
/* harmony export */   "GiRoundTable": () => (/* binding */ GiRoundTable),
/* harmony export */   "GiRoyalLove": () => (/* binding */ GiRoyalLove),
/* harmony export */   "GiRss": () => (/* binding */ GiRss),
/* harmony export */   "GiRubberBoot": () => (/* binding */ GiRubberBoot),
/* harmony export */   "GiRugbyConversion": () => (/* binding */ GiRugbyConversion),
/* harmony export */   "GiRuleBook": () => (/* binding */ GiRuleBook),
/* harmony export */   "GiRun": () => (/* binding */ GiRun),
/* harmony export */   "GiRuneStone": () => (/* binding */ GiRuneStone),
/* harmony export */   "GiRuneSword": () => (/* binding */ GiRuneSword),
/* harmony export */   "GiRunningNinja": () => (/* binding */ GiRunningNinja),
/* harmony export */   "GiRunningShoe": () => (/* binding */ GiRunningShoe),
/* harmony export */   "GiRupee": () => (/* binding */ GiRupee),
/* harmony export */   "GiRustySword": () => (/* binding */ GiRustySword),
/* harmony export */   "GiSBrick": () => (/* binding */ GiSBrick),
/* harmony export */   "GiSaberAndPistol": () => (/* binding */ GiSaberAndPistol),
/* harmony export */   "GiSaberSlash": () => (/* binding */ GiSaberSlash),
/* harmony export */   "GiSaberTooth": () => (/* binding */ GiSaberTooth),
/* harmony export */   "GiSaberToothedCatHead": () => (/* binding */ GiSaberToothedCatHead),
/* harmony export */   "GiSabersChoc": () => (/* binding */ GiSabersChoc),
/* harmony export */   "GiSacrificialDagger": () => (/* binding */ GiSacrificialDagger),
/* harmony export */   "GiSadCrab": () => (/* binding */ GiSadCrab),
/* harmony export */   "GiSaddle": () => (/* binding */ GiSaddle),
/* harmony export */   "GiSafetyPin": () => (/* binding */ GiSafetyPin),
/* harmony export */   "GiSagittarius": () => (/* binding */ GiSagittarius),
/* harmony export */   "GiSai": () => (/* binding */ GiSai),
/* harmony export */   "GiSail": () => (/* binding */ GiSail),
/* harmony export */   "GiSailboat": () => (/* binding */ GiSailboat),
/* harmony export */   "GiSaintBasilCathedral": () => (/* binding */ GiSaintBasilCathedral),
/* harmony export */   "GiSaiyanSuit": () => (/* binding */ GiSaiyanSuit),
/* harmony export */   "GiSalamander": () => (/* binding */ GiSalamander),
/* harmony export */   "GiSalmon": () => (/* binding */ GiSalmon),
/* harmony export */   "GiSaloon": () => (/* binding */ GiSaloon),
/* harmony export */   "GiSaloonDoors": () => (/* binding */ GiSaloonDoors),
/* harmony export */   "GiSaltShaker": () => (/* binding */ GiSaltShaker),
/* harmony export */   "GiSamaraMosque": () => (/* binding */ GiSamaraMosque),
/* harmony export */   "GiSamuraiHelmet": () => (/* binding */ GiSamuraiHelmet),
/* harmony export */   "GiSamusHelmet": () => (/* binding */ GiSamusHelmet),
/* harmony export */   "GiSandCastle": () => (/* binding */ GiSandCastle),
/* harmony export */   "GiSandSnake": () => (/* binding */ GiSandSnake),
/* harmony export */   "GiSandsOfTime": () => (/* binding */ GiSandsOfTime),
/* harmony export */   "GiSandstorm": () => (/* binding */ GiSandstorm),
/* harmony export */   "GiSandwich": () => (/* binding */ GiSandwich),
/* harmony export */   "GiSaphir": () => (/* binding */ GiSaphir),
/* harmony export */   "GiSarcophagus": () => (/* binding */ GiSarcophagus),
/* harmony export */   "GiSasquatch": () => (/* binding */ GiSasquatch),
/* harmony export */   "GiSatelliteCommunication": () => (/* binding */ GiSatelliteCommunication),
/* harmony export */   "GiSattelite": () => (/* binding */ GiSattelite),
/* harmony export */   "GiSauropodHead": () => (/* binding */ GiSauropodHead),
/* harmony export */   "GiSausage": () => (/* binding */ GiSausage),
/* harmony export */   "GiSausagesRibbon": () => (/* binding */ GiSausagesRibbon),
/* harmony export */   "GiSave": () => (/* binding */ GiSave),
/* harmony export */   "GiSaveArrow": () => (/* binding */ GiSaveArrow),
/* harmony export */   "GiSawClaw": () => (/* binding */ GiSawClaw),
/* harmony export */   "GiSawedOffShotgun": () => (/* binding */ GiSawedOffShotgun),
/* harmony export */   "GiSaxophone": () => (/* binding */ GiSaxophone),
/* harmony export */   "GiScabbard": () => (/* binding */ GiScabbard),
/* harmony export */   "GiScaleMail": () => (/* binding */ GiScaleMail),
/* harmony export */   "GiScales": () => (/* binding */ GiScales),
/* harmony export */   "GiScallop": () => (/* binding */ GiScallop),
/* harmony export */   "GiScalpel": () => (/* binding */ GiScalpel),
/* harmony export */   "GiScalpelStrike": () => (/* binding */ GiScalpelStrike),
/* harmony export */   "GiScarWound": () => (/* binding */ GiScarWound),
/* harmony export */   "GiScarabBeetle": () => (/* binding */ GiScarabBeetle),
/* harmony export */   "GiScarecrow": () => (/* binding */ GiScarecrow),
/* harmony export */   "GiSchoolBag": () => (/* binding */ GiSchoolBag),
/* harmony export */   "GiSchoolOfFish": () => (/* binding */ GiSchoolOfFish),
/* harmony export */   "GiScissors": () => (/* binding */ GiScissors),
/* harmony export */   "GiScooter": () => (/* binding */ GiScooter),
/* harmony export */   "GiScorpio": () => (/* binding */ GiScorpio),
/* harmony export */   "GiScorpion": () => (/* binding */ GiScorpion),
/* harmony export */   "GiScorpionTail": () => (/* binding */ GiScorpionTail),
/* harmony export */   "GiScoutShip": () => (/* binding */ GiScoutShip),
/* harmony export */   "GiScreaming": () => (/* binding */ GiScreaming),
/* harmony export */   "GiScreenImpact": () => (/* binding */ GiScreenImpact),
/* harmony export */   "GiScrew": () => (/* binding */ GiScrew),
/* harmony export */   "GiScrewdriver": () => (/* binding */ GiScrewdriver),
/* harmony export */   "GiScrollQuill": () => (/* binding */ GiScrollQuill),
/* harmony export */   "GiScrollUnfurled": () => (/* binding */ GiScrollUnfurled),
/* harmony export */   "GiScubaMask": () => (/* binding */ GiScubaMask),
/* harmony export */   "GiScubaTanks": () => (/* binding */ GiScubaTanks),
/* harmony export */   "GiScythe": () => (/* binding */ GiScythe),
/* harmony export */   "GiSeaCreature": () => (/* binding */ GiSeaCreature),
/* harmony export */   "GiSeaDragon": () => (/* binding */ GiSeaDragon),
/* harmony export */   "GiSeaSerpent": () => (/* binding */ GiSeaSerpent),
/* harmony export */   "GiSeaStar": () => (/* binding */ GiSeaStar),
/* harmony export */   "GiSeagull": () => (/* binding */ GiSeagull),
/* harmony export */   "GiSeahorse": () => (/* binding */ GiSeahorse),
/* harmony export */   "GiSeatedMouse": () => (/* binding */ GiSeatedMouse),
/* harmony export */   "GiSecretBook": () => (/* binding */ GiSecretBook),
/* harmony export */   "GiSecretDoor": () => (/* binding */ GiSecretDoor),
/* harmony export */   "GiSecurityGate": () => (/* binding */ GiSecurityGate),
/* harmony export */   "GiSeedling": () => (/* binding */ GiSeedling),
/* harmony export */   "GiSelect": () => (/* binding */ GiSelect),
/* harmony export */   "GiSelfLove": () => (/* binding */ GiSelfLove),
/* harmony export */   "GiSellCard": () => (/* binding */ GiSellCard),
/* harmony export */   "GiSemiClosedEye": () => (/* binding */ GiSemiClosedEye),
/* harmony export */   "GiSensuousness": () => (/* binding */ GiSensuousness),
/* harmony export */   "GiSentryGun": () => (/* binding */ GiSentryGun),
/* harmony export */   "GiSergeant": () => (/* binding */ GiSergeant),
/* harmony export */   "GiSerratedSlash": () => (/* binding */ GiSerratedSlash),
/* harmony export */   "GiServerRack": () => (/* binding */ GiServerRack),
/* harmony export */   "GiSesame": () => (/* binding */ GiSesame),
/* harmony export */   "GiSettingsKnobs": () => (/* binding */ GiSettingsKnobs),
/* harmony export */   "GiSevenPointedStar": () => (/* binding */ GiSevenPointedStar),
/* harmony export */   "GiSeveredHand": () => (/* binding */ GiSeveredHand),
/* harmony export */   "GiSewedShell": () => (/* binding */ GiSewedShell),
/* harmony export */   "GiSewingNeedle": () => (/* binding */ GiSewingNeedle),
/* harmony export */   "GiSewingString": () => (/* binding */ GiSewingString),
/* harmony export */   "GiSextant": () => (/* binding */ GiSextant),
/* harmony export */   "GiShadowFollower": () => (/* binding */ GiShadowFollower),
/* harmony export */   "GiShadowGrasp": () => (/* binding */ GiShadowGrasp),
/* harmony export */   "GiShakingHands": () => (/* binding */ GiShakingHands),
/* harmony export */   "GiShamblingMound": () => (/* binding */ GiShamblingMound),
/* harmony export */   "GiShamblingZombie": () => (/* binding */ GiShamblingZombie),
/* harmony export */   "GiShamrock": () => (/* binding */ GiShamrock),
/* harmony export */   "GiShardSword": () => (/* binding */ GiShardSword),
/* harmony export */   "GiShare": () => (/* binding */ GiShare),
/* harmony export */   "GiSharkBite": () => (/* binding */ GiSharkBite),
/* harmony export */   "GiSharkFin": () => (/* binding */ GiSharkFin),
/* harmony export */   "GiSharkJaws": () => (/* binding */ GiSharkJaws),
/* harmony export */   "GiSharpAxe": () => (/* binding */ GiSharpAxe),
/* harmony export */   "GiSharpCrown": () => (/* binding */ GiSharpCrown),
/* harmony export */   "GiSharpHalberd": () => (/* binding */ GiSharpHalberd),
/* harmony export */   "GiSharpLips": () => (/* binding */ GiSharpLips),
/* harmony export */   "GiSharpShuriken": () => (/* binding */ GiSharpShuriken),
/* harmony export */   "GiSharpSmile": () => (/* binding */ GiSharpSmile),
/* harmony export */   "GiSharpedTeethSkull": () => (/* binding */ GiSharpedTeethSkull),
/* harmony export */   "GiShatter": () => (/* binding */ GiShatter),
/* harmony export */   "GiShatteredGlass": () => (/* binding */ GiShatteredGlass),
/* harmony export */   "GiShatteredHeart": () => (/* binding */ GiShatteredHeart),
/* harmony export */   "GiShatteredSword": () => (/* binding */ GiShatteredSword),
/* harmony export */   "GiSheep": () => (/* binding */ GiSheep),
/* harmony export */   "GiSheikahEye": () => (/* binding */ GiSheikahEye),
/* harmony export */   "GiShepherdsCrook": () => (/* binding */ GiShepherdsCrook),
/* harmony export */   "GiSherlockHolmes": () => (/* binding */ GiSherlockHolmes),
/* harmony export */   "GiShield": () => (/* binding */ GiShield),
/* harmony export */   "GiShieldBash": () => (/* binding */ GiShieldBash),
/* harmony export */   "GiShieldBounces": () => (/* binding */ GiShieldBounces),
/* harmony export */   "GiShieldDisabled": () => (/* binding */ GiShieldDisabled),
/* harmony export */   "GiShieldEchoes": () => (/* binding */ GiShieldEchoes),
/* harmony export */   "GiShieldImpact": () => (/* binding */ GiShieldImpact),
/* harmony export */   "GiShieldReflect": () => (/* binding */ GiShieldReflect),
/* harmony export */   "GiShieldcomb": () => (/* binding */ GiShieldcomb),
/* harmony export */   "GiShiningClaw": () => (/* binding */ GiShiningClaw),
/* harmony export */   "GiShiningHeart": () => (/* binding */ GiShiningHeart),
/* harmony export */   "GiShiningSword": () => (/* binding */ GiShiningSword),
/* harmony export */   "GiShintoShrine": () => (/* binding */ GiShintoShrine),
/* harmony export */   "GiShintoShrineMirror": () => (/* binding */ GiShintoShrineMirror),
/* harmony export */   "GiShinyApple": () => (/* binding */ GiShinyApple),
/* harmony export */   "GiShinyEntrance": () => (/* binding */ GiShinyEntrance),
/* harmony export */   "GiShinyIris": () => (/* binding */ GiShinyIris),
/* harmony export */   "GiShinyOmega": () => (/* binding */ GiShinyOmega),
/* harmony export */   "GiShinyPurse": () => (/* binding */ GiShinyPurse),
/* harmony export */   "GiShipBow": () => (/* binding */ GiShipBow),
/* harmony export */   "GiShipWheel": () => (/* binding */ GiShipWheel),
/* harmony export */   "GiShipWreck": () => (/* binding */ GiShipWreck),
/* harmony export */   "GiShirt": () => (/* binding */ GiShirt),
/* harmony export */   "GiShoonerSailboat": () => (/* binding */ GiShoonerSailboat),
/* harmony export */   "GiShop": () => (/* binding */ GiShop),
/* harmony export */   "GiShoppingBag": () => (/* binding */ GiShoppingBag),
/* harmony export */   "GiShoppingCart": () => (/* binding */ GiShoppingCart),
/* harmony export */   "GiShorts": () => (/* binding */ GiShorts),
/* harmony export */   "GiShotgun": () => (/* binding */ GiShotgun),
/* harmony export */   "GiShotgunRounds": () => (/* binding */ GiShotgunRounds),
/* harmony export */   "GiShoulderArmor": () => (/* binding */ GiShoulderArmor),
/* harmony export */   "GiShoulderBag": () => (/* binding */ GiShoulderBag),
/* harmony export */   "GiShoulderScales": () => (/* binding */ GiShoulderScales),
/* harmony export */   "GiShouting": () => (/* binding */ GiShouting),
/* harmony export */   "GiShower": () => (/* binding */ GiShower),
/* harmony export */   "GiShrimp": () => (/* binding */ GiShrimp),
/* harmony export */   "GiShrug": () => (/* binding */ GiShrug),
/* harmony export */   "GiShuriken": () => (/* binding */ GiShuriken),
/* harmony export */   "GiShurikenAperture": () => (/* binding */ GiShurikenAperture),
/* harmony export */   "GiShutRose": () => (/* binding */ GiShutRose),
/* harmony export */   "GiShuttlecock": () => (/* binding */ GiShuttlecock),
/* harmony export */   "GiSickle": () => (/* binding */ GiSickle),
/* harmony export */   "GiSideswipe": () => (/* binding */ GiSideswipe),
/* harmony export */   "GiSiegeRam": () => (/* binding */ GiSiegeRam),
/* harmony export */   "GiSiegeTower": () => (/* binding */ GiSiegeTower),
/* harmony export */   "GiSightDisabled": () => (/* binding */ GiSightDisabled),
/* harmony export */   "GiSilence": () => (/* binding */ GiSilence),
/* harmony export */   "GiSilenced": () => (/* binding */ GiSilenced),
/* harmony export */   "GiSilex": () => (/* binding */ GiSilex),
/* harmony export */   "GiSilverBullet": () => (/* binding */ GiSilverBullet),
/* harmony export */   "GiSinagot": () => (/* binding */ GiSinagot),
/* harmony export */   "GiSing": () => (/* binding */ GiSing),
/* harmony export */   "GiSinkingShip": () => (/* binding */ GiSinkingShip),
/* harmony export */   "GiSinkingTrap": () => (/* binding */ GiSinkingTrap),
/* harmony export */   "GiSinusoidalBeam": () => (/* binding */ GiSinusoidalBeam),
/* harmony export */   "GiSiren": () => (/* binding */ GiSiren),
/* harmony export */   "GiSittingDog": () => (/* binding */ GiSittingDog),
/* harmony export */   "GiSixEyes": () => (/* binding */ GiSixEyes),
/* harmony export */   "GiSkateboard": () => (/* binding */ GiSkateboard),
/* harmony export */   "GiSkeletalHand": () => (/* binding */ GiSkeletalHand),
/* harmony export */   "GiSkeleton": () => (/* binding */ GiSkeleton),
/* harmony export */   "GiSkeletonInside": () => (/* binding */ GiSkeletonInside),
/* harmony export */   "GiSkeletonKey": () => (/* binding */ GiSkeletonKey),
/* harmony export */   "GiSkiBoot": () => (/* binding */ GiSkiBoot),
/* harmony export */   "GiSkidMark": () => (/* binding */ GiSkidMark),
/* harmony export */   "GiSkier": () => (/* binding */ GiSkier),
/* harmony export */   "GiSkills": () => (/* binding */ GiSkills),
/* harmony export */   "GiSkirt": () => (/* binding */ GiSkirt),
/* harmony export */   "GiSkis": () => (/* binding */ GiSkis),
/* harmony export */   "GiSkullBolt": () => (/* binding */ GiSkullBolt),
/* harmony export */   "GiSkullCrack": () => (/* binding */ GiSkullCrack),
/* harmony export */   "GiSkullCrossedBones": () => (/* binding */ GiSkullCrossedBones),
/* harmony export */   "GiSkullInJar": () => (/* binding */ GiSkullInJar),
/* harmony export */   "GiSkullMask": () => (/* binding */ GiSkullMask),
/* harmony export */   "GiSkullRing": () => (/* binding */ GiSkullRing),
/* harmony export */   "GiSkullSabertooth": () => (/* binding */ GiSkullSabertooth),
/* harmony export */   "GiSkullShield": () => (/* binding */ GiSkullShield),
/* harmony export */   "GiSkullSignet": () => (/* binding */ GiSkullSignet),
/* harmony export */   "GiSkullSlices": () => (/* binding */ GiSkullSlices),
/* harmony export */   "GiSkullStaff": () => (/* binding */ GiSkullStaff),
/* harmony export */   "GiSkullWithSyringe": () => (/* binding */ GiSkullWithSyringe),
/* harmony export */   "GiSlalom": () => (/* binding */ GiSlalom),
/* harmony export */   "GiSlap": () => (/* binding */ GiSlap),
/* harmony export */   "GiSlashedShield": () => (/* binding */ GiSlashedShield),
/* harmony export */   "GiSlaveryWhip": () => (/* binding */ GiSlaveryWhip),
/* harmony export */   "GiSleepy": () => (/* binding */ GiSleepy),
/* harmony export */   "GiSleevelessJacket": () => (/* binding */ GiSleevelessJacket),
/* harmony export */   "GiSleevelessTop": () => (/* binding */ GiSleevelessTop),
/* harmony export */   "GiSlicedBread": () => (/* binding */ GiSlicedBread),
/* harmony export */   "GiSlicedMushroom": () => (/* binding */ GiSlicedMushroom),
/* harmony export */   "GiSlicedSausage": () => (/* binding */ GiSlicedSausage),
/* harmony export */   "GiSlicingArrow": () => (/* binding */ GiSlicingArrow),
/* harmony export */   "GiSlime": () => (/* binding */ GiSlime),
/* harmony export */   "GiSling": () => (/* binding */ GiSling),
/* harmony export */   "GiSlingshot": () => (/* binding */ GiSlingshot),
/* harmony export */   "GiSlowBlob": () => (/* binding */ GiSlowBlob),
/* harmony export */   "GiSlumberingSanctuary": () => (/* binding */ GiSlumberingSanctuary),
/* harmony export */   "GiSly": () => (/* binding */ GiSly),
/* harmony export */   "GiSmallFire": () => (/* binding */ GiSmallFire),
/* harmony export */   "GiSmallFishingSailboat": () => (/* binding */ GiSmallFishingSailboat),
/* harmony export */   "GiSmart": () => (/* binding */ GiSmart),
/* harmony export */   "GiSmartphone": () => (/* binding */ GiSmartphone),
/* harmony export */   "GiSmashArrows": () => (/* binding */ GiSmashArrows),
/* harmony export */   "GiSmitten": () => (/* binding */ GiSmitten),
/* harmony export */   "GiSmokeBomb": () => (/* binding */ GiSmokeBomb),
/* harmony export */   "GiSmokingFinger": () => (/* binding */ GiSmokingFinger),
/* harmony export */   "GiSmokingOrb": () => (/* binding */ GiSmokingOrb),
/* harmony export */   "GiSmokingPipe": () => (/* binding */ GiSmokingPipe),
/* harmony export */   "GiSmokingVolcano": () => (/* binding */ GiSmokingVolcano),
/* harmony export */   "GiSnail": () => (/* binding */ GiSnail),
/* harmony export */   "GiSnailEyes": () => (/* binding */ GiSnailEyes),
/* harmony export */   "GiSnake": () => (/* binding */ GiSnake),
/* harmony export */   "GiSnakeBite": () => (/* binding */ GiSnakeBite),
/* harmony export */   "GiSnakeEgg": () => (/* binding */ GiSnakeEgg),
/* harmony export */   "GiSnakeJar": () => (/* binding */ GiSnakeJar),
/* harmony export */   "GiSnakeSpiral": () => (/* binding */ GiSnakeSpiral),
/* harmony export */   "GiSnakeTongue": () => (/* binding */ GiSnakeTongue),
/* harmony export */   "GiSnakeTotem": () => (/* binding */ GiSnakeTotem),
/* harmony export */   "GiSnatch": () => (/* binding */ GiSnatch),
/* harmony export */   "GiSniffingDog": () => (/* binding */ GiSniffingDog),
/* harmony export */   "GiSnitchQuidditchBall": () => (/* binding */ GiSnitchQuidditchBall),
/* harmony export */   "GiSnorkel": () => (/* binding */ GiSnorkel),
/* harmony export */   "GiSnout": () => (/* binding */ GiSnout),
/* harmony export */   "GiSnowBottle": () => (/* binding */ GiSnowBottle),
/* harmony export */   "GiSnowflake1": () => (/* binding */ GiSnowflake1),
/* harmony export */   "GiSnowflake2": () => (/* binding */ GiSnowflake2),
/* harmony export */   "GiSnowing": () => (/* binding */ GiSnowing),
/* harmony export */   "GiSnowman": () => (/* binding */ GiSnowman),
/* harmony export */   "GiSoap": () => (/* binding */ GiSoap),
/* harmony export */   "GiSoapExperiment": () => (/* binding */ GiSoapExperiment),
/* harmony export */   "GiSoccerBall": () => (/* binding */ GiSoccerBall),
/* harmony export */   "GiSoccerField": () => (/* binding */ GiSoccerField),
/* harmony export */   "GiSoccerKick": () => (/* binding */ GiSoccerKick),
/* harmony export */   "GiSocks": () => (/* binding */ GiSocks),
/* harmony export */   "GiSodaCan": () => (/* binding */ GiSodaCan),
/* harmony export */   "GiSofa": () => (/* binding */ GiSofa),
/* harmony export */   "GiSolarPower": () => (/* binding */ GiSolarPower),
/* harmony export */   "GiSolarSystem": () => (/* binding */ GiSolarSystem),
/* harmony export */   "GiSolarTime": () => (/* binding */ GiSolarTime),
/* harmony export */   "GiSolidLeaf": () => (/* binding */ GiSolidLeaf),
/* harmony export */   "GiSombrero": () => (/* binding */ GiSombrero),
/* harmony export */   "GiSonicBoom": () => (/* binding */ GiSonicBoom),
/* harmony export */   "GiSonicLightning": () => (/* binding */ GiSonicLightning),
/* harmony export */   "GiSonicScreech": () => (/* binding */ GiSonicScreech),
/* harmony export */   "GiSonicShoes": () => (/* binding */ GiSonicShoes),
/* harmony export */   "GiSonicShout": () => (/* binding */ GiSonicShout),
/* harmony export */   "GiSoundOff": () => (/* binding */ GiSoundOff),
/* harmony export */   "GiSoundOn": () => (/* binding */ GiSoundOn),
/* harmony export */   "GiSoundWaves": () => (/* binding */ GiSoundWaves),
/* harmony export */   "GiSouthAfrica": () => (/* binding */ GiSouthAfrica),
/* harmony export */   "GiSouthAfricaFlag": () => (/* binding */ GiSouthAfricaFlag),
/* harmony export */   "GiSouthAmerica": () => (/* binding */ GiSouthAmerica),
/* harmony export */   "GiSouthKorea": () => (/* binding */ GiSouthKorea),
/* harmony export */   "GiSpaceShuttle": () => (/* binding */ GiSpaceShuttle),
/* harmony export */   "GiSpaceSuit": () => (/* binding */ GiSpaceSuit),
/* harmony export */   "GiSpaceship": () => (/* binding */ GiSpaceship),
/* harmony export */   "GiSpade": () => (/* binding */ GiSpade),
/* harmony export */   "GiSpadeSkull": () => (/* binding */ GiSpadeSkull),
/* harmony export */   "GiSpades": () => (/* binding */ GiSpades),
/* harmony export */   "GiSpain": () => (/* binding */ GiSpain),
/* harmony export */   "GiSpanner": () => (/* binding */ GiSpanner),
/* harmony export */   "GiSparkSpirit": () => (/* binding */ GiSparkSpirit),
/* harmony export */   "GiSparkles": () => (/* binding */ GiSparkles),
/* harmony export */   "GiSparklingSabre": () => (/* binding */ GiSparklingSabre),
/* harmony export */   "GiSparkyBomb": () => (/* binding */ GiSparkyBomb),
/* harmony export */   "GiSparrow": () => (/* binding */ GiSparrow),
/* harmony export */   "GiSpartan": () => (/* binding */ GiSpartan),
/* harmony export */   "GiSpartanHelmet": () => (/* binding */ GiSpartanHelmet),
/* harmony export */   "GiSpatter": () => (/* binding */ GiSpatter),
/* harmony export */   "GiSpawnNode": () => (/* binding */ GiSpawnNode),
/* harmony export */   "GiSpeaker": () => (/* binding */ GiSpeaker),
/* harmony export */   "GiSpeakerOff": () => (/* binding */ GiSpeakerOff),
/* harmony export */   "GiSpearFeather": () => (/* binding */ GiSpearFeather),
/* harmony export */   "GiSpearHook": () => (/* binding */ GiSpearHook),
/* harmony export */   "GiSpearfishing": () => (/* binding */ GiSpearfishing),
/* harmony export */   "GiSpears": () => (/* binding */ GiSpears),
/* harmony export */   "GiSpectacleLenses": () => (/* binding */ GiSpectacleLenses),
/* harmony export */   "GiSpectacles": () => (/* binding */ GiSpectacles),
/* harmony export */   "GiSpectre": () => (/* binding */ GiSpectre),
/* harmony export */   "GiSpectreM4": () => (/* binding */ GiSpectreM4),
/* harmony export */   "GiSpeedBoat": () => (/* binding */ GiSpeedBoat),
/* harmony export */   "GiSpeedometer": () => (/* binding */ GiSpeedometer),
/* harmony export */   "GiSpellBook": () => (/* binding */ GiSpellBook),
/* harmony export */   "GiSpermWhale": () => (/* binding */ GiSpermWhale),
/* harmony export */   "GiSpiderAlt": () => (/* binding */ GiSpiderAlt),
/* harmony export */   "GiSpiderBot": () => (/* binding */ GiSpiderBot),
/* harmony export */   "GiSpiderEye": () => (/* binding */ GiSpiderEye),
/* harmony export */   "GiSpiderFace": () => (/* binding */ GiSpiderFace),
/* harmony export */   "GiSpiderMask": () => (/* binding */ GiSpiderMask),
/* harmony export */   "GiSpiderWeb": () => (/* binding */ GiSpiderWeb),
/* harmony export */   "GiSpikeball": () => (/* binding */ GiSpikeball),
/* harmony export */   "GiSpikedArmor": () => (/* binding */ GiSpikedArmor),
/* harmony export */   "GiSpikedBall": () => (/* binding */ GiSpikedBall),
/* harmony export */   "GiSpikedBat": () => (/* binding */ GiSpikedBat),
/* harmony export */   "GiSpikedCollar": () => (/* binding */ GiSpikedCollar),
/* harmony export */   "GiSpikedDragonHead": () => (/* binding */ GiSpikedDragonHead),
/* harmony export */   "GiSpikedFence": () => (/* binding */ GiSpikedFence),
/* harmony export */   "GiSpikedHalo": () => (/* binding */ GiSpikedHalo),
/* harmony export */   "GiSpikedMace": () => (/* binding */ GiSpikedMace),
/* harmony export */   "GiSpikedShell": () => (/* binding */ GiSpikedShell),
/* harmony export */   "GiSpikedShoulderArmor": () => (/* binding */ GiSpikedShoulderArmor),
/* harmony export */   "GiSpikedSnail": () => (/* binding */ GiSpikedSnail),
/* harmony export */   "GiSpikedTail": () => (/* binding */ GiSpikedTail),
/* harmony export */   "GiSpikedTentacle": () => (/* binding */ GiSpikedTentacle),
/* harmony export */   "GiSpikedTrunk": () => (/* binding */ GiSpikedTrunk),
/* harmony export */   "GiSpikes": () => (/* binding */ GiSpikes),
/* harmony export */   "GiSpikesFull": () => (/* binding */ GiSpikesFull),
/* harmony export */   "GiSpikesHalf": () => (/* binding */ GiSpikesHalf),
/* harmony export */   "GiSpikesInit": () => (/* binding */ GiSpikesInit),
/* harmony export */   "GiSpikyEclipse": () => (/* binding */ GiSpikyEclipse),
/* harmony export */   "GiSpikyExplosion": () => (/* binding */ GiSpikyExplosion),
/* harmony export */   "GiSpikyField": () => (/* binding */ GiSpikyField),
/* harmony export */   "GiSpikyPit": () => (/* binding */ GiSpikyPit),
/* harmony export */   "GiSpikyWing": () => (/* binding */ GiSpikyWing),
/* harmony export */   "GiSpill": () => (/* binding */ GiSpill),
/* harmony export */   "GiSpinalCoil": () => (/* binding */ GiSpinalCoil),
/* harmony export */   "GiSpineArrow": () => (/* binding */ GiSpineArrow),
/* harmony export */   "GiSpinningBlades": () => (/* binding */ GiSpinningBlades),
/* harmony export */   "GiSpinningRibbons": () => (/* binding */ GiSpinningRibbons),
/* harmony export */   "GiSpinningSword": () => (/* binding */ GiSpinningSword),
/* harmony export */   "GiSpinningTop": () => (/* binding */ GiSpinningTop),
/* harmony export */   "GiSpiralArrow": () => (/* binding */ GiSpiralArrow),
/* harmony export */   "GiSpiralBloom": () => (/* binding */ GiSpiralBloom),
/* harmony export */   "GiSpiralBottle": () => (/* binding */ GiSpiralBottle),
/* harmony export */   "GiSpiralHilt": () => (/* binding */ GiSpiralHilt),
/* harmony export */   "GiSpiralLollipop": () => (/* binding */ GiSpiralLollipop),
/* harmony export */   "GiSpiralShell": () => (/* binding */ GiSpiralShell),
/* harmony export */   "GiSpiralTentacle": () => (/* binding */ GiSpiralTentacle),
/* harmony export */   "GiSpiralThrust": () => (/* binding */ GiSpiralThrust),
/* harmony export */   "GiSplash": () => (/* binding */ GiSplash),
/* harmony export */   "GiSplashyStream": () => (/* binding */ GiSplashyStream),
/* harmony export */   "GiSplitArrows": () => (/* binding */ GiSplitArrows),
/* harmony export */   "GiSplitBody": () => (/* binding */ GiSplitBody),
/* harmony export */   "GiSplitCross": () => (/* binding */ GiSplitCross),
/* harmony export */   "GiSplurt": () => (/* binding */ GiSplurt),
/* harmony export */   "GiSpookyHouse": () => (/* binding */ GiSpookyHouse),
/* harmony export */   "GiSpoon": () => (/* binding */ GiSpoon),
/* harmony export */   "GiSportMedal": () => (/* binding */ GiSportMedal),
/* harmony export */   "GiSpotedFlower": () => (/* binding */ GiSpotedFlower),
/* harmony export */   "GiSpottedArrowhead": () => (/* binding */ GiSpottedArrowhead),
/* harmony export */   "GiSpottedBug": () => (/* binding */ GiSpottedBug),
/* harmony export */   "GiSpottedMushroom": () => (/* binding */ GiSpottedMushroom),
/* harmony export */   "GiSpottedWound": () => (/* binding */ GiSpottedWound),
/* harmony export */   "GiSpoutnik": () => (/* binding */ GiSpoutnik),
/* harmony export */   "GiSpray": () => (/* binding */ GiSpray),
/* harmony export */   "GiSpring": () => (/* binding */ GiSpring),
/* harmony export */   "GiSprint": () => (/* binding */ GiSprint),
/* harmony export */   "GiSprout": () => (/* binding */ GiSprout),
/* harmony export */   "GiSproutDisc": () => (/* binding */ GiSproutDisc),
/* harmony export */   "GiSpy": () => (/* binding */ GiSpy),
/* harmony export */   "GiSpyglass": () => (/* binding */ GiSpyglass),
/* harmony export */   "GiSquare": () => (/* binding */ GiSquare),
/* harmony export */   "GiSquareBottle": () => (/* binding */ GiSquareBottle),
/* harmony export */   "GiSquib": () => (/* binding */ GiSquib),
/* harmony export */   "GiSquid": () => (/* binding */ GiSquid),
/* harmony export */   "GiSquidHead": () => (/* binding */ GiSquidHead),
/* harmony export */   "GiSquirrel": () => (/* binding */ GiSquirrel),
/* harmony export */   "GiSriLanka": () => (/* binding */ GiSriLanka),
/* harmony export */   "GiStabbedNote": () => (/* binding */ GiStabbedNote),
/* harmony export */   "GiStack": () => (/* binding */ GiStack),
/* harmony export */   "GiStagHead": () => (/* binding */ GiStagHead),
/* harmony export */   "GiStahlhelm": () => (/* binding */ GiStahlhelm),
/* harmony export */   "GiStairs": () => (/* binding */ GiStairs),
/* harmony export */   "GiStairsCake": () => (/* binding */ GiStairsCake),
/* harmony export */   "GiStairsGoal": () => (/* binding */ GiStairsGoal),
/* harmony export */   "GiStakeHammer": () => (/* binding */ GiStakeHammer),
/* harmony export */   "GiStakesFence": () => (/* binding */ GiStakesFence),
/* harmony export */   "GiStalactites": () => (/* binding */ GiStalactites),
/* harmony export */   "GiStalagtite": () => (/* binding */ GiStalagtite),
/* harmony export */   "GiStamper": () => (/* binding */ GiStamper),
/* harmony export */   "GiStandingPotion": () => (/* binding */ GiStandingPotion),
/* harmony export */   "GiStarAltar": () => (/* binding */ GiStarAltar),
/* harmony export */   "GiStarCycle": () => (/* binding */ GiStarCycle),
/* harmony export */   "GiStarFlag": () => (/* binding */ GiStarFlag),
/* harmony export */   "GiStarFormation": () => (/* binding */ GiStarFormation),
/* harmony export */   "GiStarGate": () => (/* binding */ GiStarGate),
/* harmony export */   "GiStarProminences": () => (/* binding */ GiStarProminences),
/* harmony export */   "GiStarPupil": () => (/* binding */ GiStarPupil),
/* harmony export */   "GiStarSattelites": () => (/* binding */ GiStarSattelites),
/* harmony export */   "GiStarShuriken": () => (/* binding */ GiStarShuriken),
/* harmony export */   "GiStarSkull": () => (/* binding */ GiStarSkull),
/* harmony export */   "GiStarStruck": () => (/* binding */ GiStarStruck),
/* harmony export */   "GiStarSwirl": () => (/* binding */ GiStarSwirl),
/* harmony export */   "GiStarfighter": () => (/* binding */ GiStarfighter),
/* harmony export */   "GiStarsStack": () => (/* binding */ GiStarsStack),
/* harmony export */   "GiStaryu": () => (/* binding */ GiStaryu),
/* harmony export */   "GiStatic": () => (/* binding */ GiStatic),
/* harmony export */   "GiStaticGuard": () => (/* binding */ GiStaticGuard),
/* harmony export */   "GiStaticWaves": () => (/* binding */ GiStaticWaves),
/* harmony export */   "GiSteak": () => (/* binding */ GiSteak),
/* harmony export */   "GiStealthBomber": () => (/* binding */ GiStealthBomber),
/* harmony export */   "GiSteam": () => (/* binding */ GiSteam),
/* harmony export */   "GiSteamBlast": () => (/* binding */ GiSteamBlast),
/* harmony export */   "GiSteamLocomotive": () => (/* binding */ GiSteamLocomotive),
/* harmony export */   "GiSteampunkGoggles": () => (/* binding */ GiSteampunkGoggles),
/* harmony export */   "GiSteelClaws": () => (/* binding */ GiSteelClaws),
/* harmony export */   "GiSteelDoor": () => (/* binding */ GiSteelDoor),
/* harmony export */   "GiSteeltoeBoots": () => (/* binding */ GiSteeltoeBoots),
/* harmony export */   "GiSteelwingEmblem": () => (/* binding */ GiSteelwingEmblem),
/* harmony export */   "GiSteeringWheel": () => (/* binding */ GiSteeringWheel),
/* harmony export */   "GiStegosaurusScales": () => (/* binding */ GiStegosaurusScales),
/* harmony export */   "GiStethoscope": () => (/* binding */ GiStethoscope),
/* harmony export */   "GiSteyrAug": () => (/* binding */ GiSteyrAug),
/* harmony export */   "GiStickFrame": () => (/* binding */ GiStickFrame),
/* harmony export */   "GiStickGrenade": () => (/* binding */ GiStickGrenade),
/* harmony export */   "GiStickSplitting": () => (/* binding */ GiStickSplitting),
/* harmony export */   "GiStickingPlaster": () => (/* binding */ GiStickingPlaster),
/* harmony export */   "GiStickyBoot": () => (/* binding */ GiStickyBoot),
/* harmony export */   "GiStigmata": () => (/* binding */ GiStigmata),
/* harmony export */   "GiStiletto": () => (/* binding */ GiStiletto),
/* harmony export */   "GiStitchedWound": () => (/* binding */ GiStitchedWound),
/* harmony export */   "GiStockpiles": () => (/* binding */ GiStockpiles),
/* harmony export */   "GiStomach": () => (/* binding */ GiStomach),
/* harmony export */   "GiStomp": () => (/* binding */ GiStomp),
/* harmony export */   "GiStompTornado": () => (/* binding */ GiStompTornado),
/* harmony export */   "GiStoneAxe": () => (/* binding */ GiStoneAxe),
/* harmony export */   "GiStoneBlock": () => (/* binding */ GiStoneBlock),
/* harmony export */   "GiStoneBridge": () => (/* binding */ GiStoneBridge),
/* harmony export */   "GiStoneBust": () => (/* binding */ GiStoneBust),
/* harmony export */   "GiStoneCrafting": () => (/* binding */ GiStoneCrafting),
/* harmony export */   "GiStonePath": () => (/* binding */ GiStonePath),
/* harmony export */   "GiStonePile": () => (/* binding */ GiStonePile),
/* harmony export */   "GiStoneSpear": () => (/* binding */ GiStoneSpear),
/* harmony export */   "GiStoneSphere": () => (/* binding */ GiStoneSphere),
/* harmony export */   "GiStoneStack": () => (/* binding */ GiStoneStack),
/* harmony export */   "GiStoneTablet": () => (/* binding */ GiStoneTablet),
/* harmony export */   "GiStoneThrone": () => (/* binding */ GiStoneThrone),
/* harmony export */   "GiStoneTower": () => (/* binding */ GiStoneTower),
/* harmony export */   "GiStoneWall": () => (/* binding */ GiStoneWall),
/* harmony export */   "GiStoneWheel": () => (/* binding */ GiStoneWheel),
/* harmony export */   "GiStonedSkull": () => (/* binding */ GiStonedSkull),
/* harmony export */   "GiStopSign": () => (/* binding */ GiStopSign),
/* harmony export */   "GiStopwatch": () => (/* binding */ GiStopwatch),
/* harmony export */   "GiStorkDelivery": () => (/* binding */ GiStorkDelivery),
/* harmony export */   "GiStrafe": () => (/* binding */ GiStrafe),
/* harmony export */   "GiStraightPipe": () => (/* binding */ GiStraightPipe),
/* harmony export */   "GiStrawberry": () => (/* binding */ GiStrawberry),
/* harmony export */   "GiStreetLight": () => (/* binding */ GiStreetLight),
/* harmony export */   "GiStrikingArrows": () => (/* binding */ GiStrikingArrows),
/* harmony export */   "GiStrikingBalls": () => (/* binding */ GiStrikingBalls),
/* harmony export */   "GiStrikingClamps": () => (/* binding */ GiStrikingClamps),
/* harmony export */   "GiStrikingDiamonds": () => (/* binding */ GiStrikingDiamonds),
/* harmony export */   "GiStrikingSplinter": () => (/* binding */ GiStrikingSplinter),
/* harmony export */   "GiStripedSun": () => (/* binding */ GiStripedSun),
/* harmony export */   "GiStripedSword": () => (/* binding */ GiStripedSword),
/* harmony export */   "GiStrong": () => (/* binding */ GiStrong),
/* harmony export */   "GiStrongMan": () => (/* binding */ GiStrongMan),
/* harmony export */   "GiStrongbox": () => (/* binding */ GiStrongbox),
/* harmony export */   "GiStumpRegrowth": () => (/* binding */ GiStumpRegrowth),
/* harmony export */   "GiStunGrenade": () => (/* binding */ GiStunGrenade),
/* harmony export */   "GiSubmarine": () => (/* binding */ GiSubmarine),
/* harmony export */   "GiSubmarineMissile": () => (/* binding */ GiSubmarineMissile),
/* harmony export */   "GiSubway": () => (/* binding */ GiSubway),
/* harmony export */   "GiSuckeredTentacle": () => (/* binding */ GiSuckeredTentacle),
/* harmony export */   "GiSugarCane": () => (/* binding */ GiSugarCane),
/* harmony export */   "GiSuicide": () => (/* binding */ GiSuicide),
/* harmony export */   "GiSuitcase": () => (/* binding */ GiSuitcase),
/* harmony export */   "GiSuits": () => (/* binding */ GiSuits),
/* harmony export */   "GiSummits": () => (/* binding */ GiSummits),
/* harmony export */   "GiSun": () => (/* binding */ GiSun),
/* harmony export */   "GiSunCloud": () => (/* binding */ GiSunCloud),
/* harmony export */   "GiSunRadiations": () => (/* binding */ GiSunRadiations),
/* harmony export */   "GiSunSpear": () => (/* binding */ GiSunSpear),
/* harmony export */   "GiSunbeams": () => (/* binding */ GiSunbeams),
/* harmony export */   "GiSundial": () => (/* binding */ GiSundial),
/* harmony export */   "GiSunflower": () => (/* binding */ GiSunflower),
/* harmony export */   "GiSunglasses": () => (/* binding */ GiSunglasses),
/* harmony export */   "GiSunkenEye": () => (/* binding */ GiSunkenEye),
/* harmony export */   "GiSunrise": () => (/* binding */ GiSunrise),
/* harmony export */   "GiSunset": () => (/* binding */ GiSunset),
/* harmony export */   "GiSuperMushroom": () => (/* binding */ GiSuperMushroom),
/* harmony export */   "GiSupersonicArrow": () => (/* binding */ GiSupersonicArrow),
/* harmony export */   "GiSupersonicBullet": () => (/* binding */ GiSupersonicBullet),
/* harmony export */   "GiSurfBoard": () => (/* binding */ GiSurfBoard),
/* harmony export */   "GiSurprised": () => (/* binding */ GiSurprised),
/* harmony export */   "GiSurprisedSkull": () => (/* binding */ GiSurprisedSkull),
/* harmony export */   "GiSurroundedEye": () => (/* binding */ GiSurroundedEye),
/* harmony export */   "GiSurroundedShield": () => (/* binding */ GiSurroundedShield),
/* harmony export */   "GiSushis": () => (/* binding */ GiSushis),
/* harmony export */   "GiSuspensionBridge": () => (/* binding */ GiSuspensionBridge),
/* harmony export */   "GiSuspicious": () => (/* binding */ GiSuspicious),
/* harmony export */   "GiSverdIFjell": () => (/* binding */ GiSverdIFjell),
/* harmony export */   "GiSwallow": () => (/* binding */ GiSwallow),
/* harmony export */   "GiSwallower": () => (/* binding */ GiSwallower),
/* harmony export */   "GiSwamp": () => (/* binding */ GiSwamp),
/* harmony export */   "GiSwampBat": () => (/* binding */ GiSwampBat),
/* harmony export */   "GiSwan": () => (/* binding */ GiSwan),
/* harmony export */   "GiSwanBreeze": () => (/* binding */ GiSwanBreeze),
/* harmony export */   "GiSwapBag": () => (/* binding */ GiSwapBag),
/* harmony export */   "GiSwimfins": () => (/* binding */ GiSwimfins),
/* harmony export */   "GiSwirlRing": () => (/* binding */ GiSwirlRing),
/* harmony export */   "GiSwirlString": () => (/* binding */ GiSwirlString),
/* harmony export */   "GiSwirledShell": () => (/* binding */ GiSwirledShell),
/* harmony export */   "GiSwissArmyKnife": () => (/* binding */ GiSwissArmyKnife),
/* harmony export */   "GiSwitchWeapon": () => (/* binding */ GiSwitchWeapon),
/* harmony export */   "GiSwitchblade": () => (/* binding */ GiSwitchblade),
/* harmony export */   "GiSwitzerland": () => (/* binding */ GiSwitzerland),
/* harmony export */   "GiSwordAltar": () => (/* binding */ GiSwordAltar),
/* harmony export */   "GiSwordArray": () => (/* binding */ GiSwordArray),
/* harmony export */   "GiSwordBrandish": () => (/* binding */ GiSwordBrandish),
/* harmony export */   "GiSwordBreak": () => (/* binding */ GiSwordBreak),
/* harmony export */   "GiSwordClash": () => (/* binding */ GiSwordClash),
/* harmony export */   "GiSwordHilt": () => (/* binding */ GiSwordHilt),
/* harmony export */   "GiSwordInStone": () => (/* binding */ GiSwordInStone),
/* harmony export */   "GiSwordMold": () => (/* binding */ GiSwordMold),
/* harmony export */   "GiSwordSlice": () => (/* binding */ GiSwordSlice),
/* harmony export */   "GiSwordSmithing": () => (/* binding */ GiSwordSmithing),
/* harmony export */   "GiSwordSpade": () => (/* binding */ GiSwordSpade),
/* harmony export */   "GiSwordSpin": () => (/* binding */ GiSwordSpin),
/* harmony export */   "GiSwordTie": () => (/* binding */ GiSwordTie),
/* harmony export */   "GiSwordWound": () => (/* binding */ GiSwordWound),
/* harmony export */   "GiSwordman": () => (/* binding */ GiSwordman),
/* harmony export */   "GiSwordsEmblem": () => (/* binding */ GiSwordsEmblem),
/* harmony export */   "GiSwordsPower": () => (/* binding */ GiSwordsPower),
/* harmony export */   "GiSwordwoman": () => (/* binding */ GiSwordwoman),
/* harmony export */   "GiSydneyOperaHouse": () => (/* binding */ GiSydneyOperaHouse),
/* harmony export */   "GiSyringe": () => (/* binding */ GiSyringe),
/* harmony export */   "GiTBrick": () => (/* binding */ GiTBrick),
/* harmony export */   "GiTShirt": () => (/* binding */ GiTShirt),
/* harmony export */   "GiTabiBoot": () => (/* binding */ GiTabiBoot),
/* harmony export */   "GiTable": () => (/* binding */ GiTable),
/* harmony export */   "GiTablet": () => (/* binding */ GiTablet),
/* harmony export */   "GiTabletopPlayers": () => (/* binding */ GiTabletopPlayers),
/* harmony export */   "GiTacos": () => (/* binding */ GiTacos),
/* harmony export */   "GiTadpole": () => (/* binding */ GiTadpole),
/* harmony export */   "GiTakeMyMoney": () => (/* binding */ GiTakeMyMoney),
/* harmony export */   "GiTalk": () => (/* binding */ GiTalk),
/* harmony export */   "GiTallBridge": () => (/* binding */ GiTallBridge),
/* harmony export */   "GiTambourine": () => (/* binding */ GiTambourine),
/* harmony export */   "GiTangerine": () => (/* binding */ GiTangerine),
/* harmony export */   "GiTank": () => (/* binding */ GiTank),
/* harmony export */   "GiTankTread": () => (/* binding */ GiTankTread),
/* harmony export */   "GiTanzania": () => (/* binding */ GiTanzania),
/* harmony export */   "GiTap": () => (/* binding */ GiTap),
/* harmony export */   "GiTargetArrows": () => (/* binding */ GiTargetArrows),
/* harmony export */   "GiTargetDummy": () => (/* binding */ GiTargetDummy),
/* harmony export */   "GiTargetLaser": () => (/* binding */ GiTargetLaser),
/* harmony export */   "GiTargetPrize": () => (/* binding */ GiTargetPrize),
/* harmony export */   "GiTargetShot": () => (/* binding */ GiTargetShot),
/* harmony export */   "GiTargeted": () => (/* binding */ GiTargeted),
/* harmony export */   "GiTargeting": () => (/* binding */ GiTargeting),
/* harmony export */   "GiTatteredBanner": () => (/* binding */ GiTatteredBanner),
/* harmony export */   "GiTaurus": () => (/* binding */ GiTaurus),
/* harmony export */   "GiTeacher": () => (/* binding */ GiTeacher),
/* harmony export */   "GiTeamDowngrade": () => (/* binding */ GiTeamDowngrade),
/* harmony export */   "GiTeamIdea": () => (/* binding */ GiTeamIdea),
/* harmony export */   "GiTeamUpgrade": () => (/* binding */ GiTeamUpgrade),
/* harmony export */   "GiTeapot": () => (/* binding */ GiTeapot),
/* harmony export */   "GiTeapotLeaves": () => (/* binding */ GiTeapotLeaves),
/* harmony export */   "GiTearTracks": () => (/* binding */ GiTearTracks),
/* harmony export */   "GiTearing": () => (/* binding */ GiTearing),
/* harmony export */   "GiTec9": () => (/* binding */ GiTec9),
/* harmony export */   "GiTechnoHeart": () => (/* binding */ GiTechnoHeart),
/* harmony export */   "GiTeePipe": () => (/* binding */ GiTeePipe),
/* harmony export */   "GiTelefrag": () => (/* binding */ GiTelefrag),
/* harmony export */   "GiTelepathy": () => (/* binding */ GiTelepathy),
/* harmony export */   "GiTeleport": () => (/* binding */ GiTeleport),
/* harmony export */   "GiTelescopicBaton": () => (/* binding */ GiTelescopicBaton),
/* harmony export */   "GiTellerMine": () => (/* binding */ GiTellerMine),
/* harmony export */   "GiTemplarEye": () => (/* binding */ GiTemplarEye),
/* harmony export */   "GiTemplarHeart": () => (/* binding */ GiTemplarHeart),
/* harmony export */   "GiTemplarShield": () => (/* binding */ GiTemplarShield),
/* harmony export */   "GiTempleDoor": () => (/* binding */ GiTempleDoor),
/* harmony export */   "GiTemporaryShield": () => (/* binding */ GiTemporaryShield),
/* harmony export */   "GiTemptation": () => (/* binding */ GiTemptation),
/* harmony export */   "GiTennisBall": () => (/* binding */ GiTennisBall),
/* harmony export */   "GiTennisCourt": () => (/* binding */ GiTennisCourt),
/* harmony export */   "GiTennisRacket": () => (/* binding */ GiTennisRacket),
/* harmony export */   "GiTensionSnowflake": () => (/* binding */ GiTensionSnowflake),
/* harmony export */   "GiTentacleHeart": () => (/* binding */ GiTentacleHeart),
/* harmony export */   "GiTentacleStrike": () => (/* binding */ GiTentacleStrike),
/* harmony export */   "GiTentaclesBarrier": () => (/* binding */ GiTentaclesBarrier),
/* harmony export */   "GiTentaclesSkull": () => (/* binding */ GiTentaclesSkull),
/* harmony export */   "GiTentacurl": () => (/* binding */ GiTentacurl),
/* harmony export */   "GiTerror": () => (/* binding */ GiTerror),
/* harmony export */   "GiTesla": () => (/* binding */ GiTesla),
/* harmony export */   "GiTeslaCoil": () => (/* binding */ GiTeslaCoil),
/* harmony export */   "GiTeslaTurret": () => (/* binding */ GiTeslaTurret),
/* harmony export */   "GiTestTubes": () => (/* binding */ GiTestTubes),
/* harmony export */   "GiTexas": () => (/* binding */ GiTexas),
/* harmony export */   "GiTheaterCurtains": () => (/* binding */ GiTheaterCurtains),
/* harmony export */   "GiThermometerCold": () => (/* binding */ GiThermometerCold),
/* harmony export */   "GiThermometerHot": () => (/* binding */ GiThermometerHot),
/* harmony export */   "GiThermometerScale": () => (/* binding */ GiThermometerScale),
/* harmony export */   "GiThink": () => (/* binding */ GiThink),
/* harmony export */   "GiThirdEye": () => (/* binding */ GiThirdEye),
/* harmony export */   "GiThompsonM1": () => (/* binding */ GiThompsonM1),
/* harmony export */   "GiThompsonM1928": () => (/* binding */ GiThompsonM1928),
/* harmony export */   "GiThorFist": () => (/* binding */ GiThorFist),
/* harmony export */   "GiThorHammer": () => (/* binding */ GiThorHammer),
/* harmony export */   "GiThornHelix": () => (/* binding */ GiThornHelix),
/* harmony export */   "GiThornedArrow": () => (/* binding */ GiThornedArrow),
/* harmony export */   "GiThornyTentacle": () => (/* binding */ GiThornyTentacle),
/* harmony export */   "GiThornyVine": () => (/* binding */ GiThornyVine),
/* harmony export */   "GiThreeBurningBalls": () => (/* binding */ GiThreeBurningBalls),
/* harmony export */   "GiThreeFriends": () => (/* binding */ GiThreeFriends),
/* harmony export */   "GiThreeKeys": () => (/* binding */ GiThreeKeys),
/* harmony export */   "GiThreeLeaves": () => (/* binding */ GiThreeLeaves),
/* harmony export */   "GiThreePointedShuriken": () => (/* binding */ GiThreePointedShuriken),
/* harmony export */   "GiThroneKing": () => (/* binding */ GiThroneKing),
/* harmony export */   "GiThrowingBall": () => (/* binding */ GiThrowingBall),
/* harmony export */   "GiThrownCharcoal": () => (/* binding */ GiThrownCharcoal),
/* harmony export */   "GiThrownDaggers": () => (/* binding */ GiThrownDaggers),
/* harmony export */   "GiThrownKnife": () => (/* binding */ GiThrownKnife),
/* harmony export */   "GiThrownSpear": () => (/* binding */ GiThrownSpear),
/* harmony export */   "GiThrust": () => (/* binding */ GiThrust),
/* harmony export */   "GiThrustBend": () => (/* binding */ GiThrustBend),
/* harmony export */   "GiThumbDown": () => (/* binding */ GiThumbDown),
/* harmony export */   "GiThumbUp": () => (/* binding */ GiThumbUp),
/* harmony export */   "GiThunderBlade": () => (/* binding */ GiThunderBlade),
/* harmony export */   "GiThunderSkull": () => (/* binding */ GiThunderSkull),
/* harmony export */   "GiThunderStruck": () => (/* binding */ GiThunderStruck),
/* harmony export */   "GiThunderball": () => (/* binding */ GiThunderball),
/* harmony export */   "GiThwomp": () => (/* binding */ GiThwomp),
/* harmony export */   "GiTiara": () => (/* binding */ GiTiara),
/* harmony export */   "GiTicTacToe": () => (/* binding */ GiTicTacToe),
/* harmony export */   "GiTick": () => (/* binding */ GiTick),
/* harmony export */   "GiTicket": () => (/* binding */ GiTicket),
/* harmony export */   "GiTie": () => (/* binding */ GiTie),
/* harmony export */   "GiTiedScroll": () => (/* binding */ GiTiedScroll),
/* harmony export */   "GiTiger": () => (/* binding */ GiTiger),
/* harmony export */   "GiTigerHead": () => (/* binding */ GiTigerHead),
/* harmony export */   "GiTightrope": () => (/* binding */ GiTightrope),
/* harmony export */   "GiTimeBomb": () => (/* binding */ GiTimeBomb),
/* harmony export */   "GiTimeSynchronization": () => (/* binding */ GiTimeSynchronization),
/* harmony export */   "GiTimeTrap": () => (/* binding */ GiTimeTrap),
/* harmony export */   "GiTinker": () => (/* binding */ GiTinker),
/* harmony export */   "GiTipi": () => (/* binding */ GiTipi),
/* harmony export */   "GiTireTracks": () => (/* binding */ GiTireTracks),
/* harmony export */   "GiToadTeeth": () => (/* binding */ GiToadTeeth),
/* harmony export */   "GiToaster": () => (/* binding */ GiToaster),
/* harmony export */   "GiToggles": () => (/* binding */ GiToggles),
/* harmony export */   "GiToken": () => (/* binding */ GiToken),
/* harmony export */   "GiTomahawk": () => (/* binding */ GiTomahawk),
/* harmony export */   "GiTomato": () => (/* binding */ GiTomato),
/* harmony export */   "GiTombstone": () => (/* binding */ GiTombstone),
/* harmony export */   "GiTongue": () => (/* binding */ GiTongue),
/* harmony export */   "GiToolbox": () => (/* binding */ GiToolbox),
/* harmony export */   "GiTooth": () => (/* binding */ GiTooth),
/* harmony export */   "GiTopHat": () => (/* binding */ GiTopHat),
/* harmony export */   "GiTopPaw": () => (/* binding */ GiTopPaw),
/* harmony export */   "GiTopaz": () => (/* binding */ GiTopaz),
/* harmony export */   "GiTorc": () => (/* binding */ GiTorc),
/* harmony export */   "GiTorch": () => (/* binding */ GiTorch),
/* harmony export */   "GiTornado": () => (/* binding */ GiTornado),
/* harmony export */   "GiTornadoDiscs": () => (/* binding */ GiTornadoDiscs),
/* harmony export */   "GiTorpedo": () => (/* binding */ GiTorpedo),
/* harmony export */   "GiTortoise": () => (/* binding */ GiTortoise),
/* harmony export */   "GiTotem": () => (/* binding */ GiTotem),
/* harmony export */   "GiTotemHead": () => (/* binding */ GiTotemHead),
/* harmony export */   "GiTotemMask": () => (/* binding */ GiTotemMask),
/* harmony export */   "GiToucan": () => (/* binding */ GiToucan),
/* harmony export */   "GiTowerBridge": () => (/* binding */ GiTowerBridge),
/* harmony export */   "GiTowerFall": () => (/* binding */ GiTowerFall),
/* harmony export */   "GiTowerFlag": () => (/* binding */ GiTowerFlag),
/* harmony export */   "GiToyMallet": () => (/* binding */ GiToyMallet),
/* harmony export */   "GiTrackedRobot": () => (/* binding */ GiTrackedRobot),
/* harmony export */   "GiTrade": () => (/* binding */ GiTrade),
/* harmony export */   "GiTrafficCone": () => (/* binding */ GiTrafficCone),
/* harmony export */   "GiTrafficLightsGreen": () => (/* binding */ GiTrafficLightsGreen),
/* harmony export */   "GiTrafficLightsOrange": () => (/* binding */ GiTrafficLightsOrange),
/* harmony export */   "GiTrafficLightsReadyToGo": () => (/* binding */ GiTrafficLightsReadyToGo),
/* harmony export */   "GiTrafficLightsRed": () => (/* binding */ GiTrafficLightsRed),
/* harmony export */   "GiTrail": () => (/* binding */ GiTrail),
/* harmony export */   "GiTrample": () => (/* binding */ GiTrample),
/* harmony export */   "GiTransform": () => (/* binding */ GiTransform),
/* harmony export */   "GiTransfuse": () => (/* binding */ GiTransfuse),
/* harmony export */   "GiTransparentSlime": () => (/* binding */ GiTransparentSlime),
/* harmony export */   "GiTransparentTubes": () => (/* binding */ GiTransparentTubes),
/* harmony export */   "GiTransportationRings": () => (/* binding */ GiTransportationRings),
/* harmony export */   "GiTrapMask": () => (/* binding */ GiTrapMask),
/* harmony export */   "GiTrashCan": () => (/* binding */ GiTrashCan),
/* harmony export */   "GiTravelDress": () => (/* binding */ GiTravelDress),
/* harmony export */   "GiTread": () => (/* binding */ GiTread),
/* harmony export */   "GiTreasureMap": () => (/* binding */ GiTreasureMap),
/* harmony export */   "GiTrebuchet": () => (/* binding */ GiTrebuchet),
/* harmony export */   "GiTreeBeehive": () => (/* binding */ GiTreeBeehive),
/* harmony export */   "GiTreeBranch": () => (/* binding */ GiTreeBranch),
/* harmony export */   "GiTreeDoor": () => (/* binding */ GiTreeDoor),
/* harmony export */   "GiTreeFace": () => (/* binding */ GiTreeFace),
/* harmony export */   "GiTreeGrowth": () => (/* binding */ GiTreeGrowth),
/* harmony export */   "GiTreeRoots": () => (/* binding */ GiTreeRoots),
/* harmony export */   "GiTreeSwing": () => (/* binding */ GiTreeSwing),
/* harmony export */   "GiTrefoilLily": () => (/* binding */ GiTrefoilLily),
/* harmony export */   "GiTrefoilShuriken": () => (/* binding */ GiTrefoilShuriken),
/* harmony export */   "GiTrenchAssault": () => (/* binding */ GiTrenchAssault),
/* harmony export */   "GiTrenchBodyArmor": () => (/* binding */ GiTrenchBodyArmor),
/* harmony export */   "GiTrenchKnife": () => (/* binding */ GiTrenchKnife),
/* harmony export */   "GiTrenchSpade": () => (/* binding */ GiTrenchSpade),
/* harmony export */   "GiTriangleTarget": () => (/* binding */ GiTriangleTarget),
/* harmony export */   "GiTribalMask": () => (/* binding */ GiTribalMask),
/* harmony export */   "GiTribalPendant": () => (/* binding */ GiTribalPendant),
/* harmony export */   "GiTriceratopsHead": () => (/* binding */ GiTriceratopsHead),
/* harmony export */   "GiTrident": () => (/* binding */ GiTrident),
/* harmony export */   "GiTridentShield": () => (/* binding */ GiTridentShield),
/* harmony export */   "GiTriforce": () => (/* binding */ GiTriforce),
/* harmony export */   "GiTriggerHurt": () => (/* binding */ GiTriggerHurt),
/* harmony export */   "GiTrilobite": () => (/* binding */ GiTrilobite),
/* harmony export */   "GiTrinacria": () => (/* binding */ GiTrinacria),
/* harmony export */   "GiTriorb": () => (/* binding */ GiTriorb),
/* harmony export */   "GiTripleBeak": () => (/* binding */ GiTripleBeak),
/* harmony export */   "GiTripleClaws": () => (/* binding */ GiTripleClaws),
/* harmony export */   "GiTripleCorn": () => (/* binding */ GiTripleCorn),
/* harmony export */   "GiTripleGate": () => (/* binding */ GiTripleGate),
/* harmony export */   "GiTripleLock": () => (/* binding */ GiTripleLock),
/* harmony export */   "GiTripleNeedle": () => (/* binding */ GiTripleNeedle),
/* harmony export */   "GiTriplePlier": () => (/* binding */ GiTriplePlier),
/* harmony export */   "GiTripleScratches": () => (/* binding */ GiTripleScratches),
/* harmony export */   "GiTripleShells": () => (/* binding */ GiTripleShells),
/* harmony export */   "GiTripleSkulls": () => (/* binding */ GiTripleSkulls),
/* harmony export */   "GiTripleYin": () => (/* binding */ GiTripleYin),
/* harmony export */   "GiTripwire": () => (/* binding */ GiTripwire),
/* harmony export */   "GiTriquetra": () => (/* binding */ GiTriquetra),
/* harmony export */   "GiTrireme": () => (/* binding */ GiTrireme),
/* harmony export */   "GiTritonHead": () => (/* binding */ GiTritonHead),
/* harmony export */   "GiTroglodyte": () => (/* binding */ GiTroglodyte),
/* harmony export */   "GiTrojanHorse": () => (/* binding */ GiTrojanHorse),
/* harmony export */   "GiTroll": () => (/* binding */ GiTroll),
/* harmony export */   "GiTronArrow": () => (/* binding */ GiTronArrow),
/* harmony export */   "GiTrophiesShelf": () => (/* binding */ GiTrophiesShelf),
/* harmony export */   "GiTrophy": () => (/* binding */ GiTrophy),
/* harmony export */   "GiTrophyCup": () => (/* binding */ GiTrophyCup),
/* harmony export */   "GiTropicalFish": () => (/* binding */ GiTropicalFish),
/* harmony export */   "GiTrousers": () => (/* binding */ GiTrousers),
/* harmony export */   "GiTrowel": () => (/* binding */ GiTrowel),
/* harmony export */   "GiTruck": () => (/* binding */ GiTruck),
/* harmony export */   "GiTrumpet": () => (/* binding */ GiTrumpet),
/* harmony export */   "GiTrumpetFlag": () => (/* binding */ GiTrumpetFlag),
/* harmony export */   "GiTrunkMushroom": () => (/* binding */ GiTrunkMushroom),
/* harmony export */   "GiTumbleweed": () => (/* binding */ GiTumbleweed),
/* harmony export */   "GiTumor": () => (/* binding */ GiTumor),
/* harmony export */   "GiTumulus": () => (/* binding */ GiTumulus),
/* harmony export */   "GiTunePitch": () => (/* binding */ GiTunePitch),
/* harmony export */   "GiTurban": () => (/* binding */ GiTurban),
/* harmony export */   "GiTurbine": () => (/* binding */ GiTurbine),
/* harmony export */   "GiTurd": () => (/* binding */ GiTurd),
/* harmony export */   "GiTurnstile": () => (/* binding */ GiTurnstile),
/* harmony export */   "GiTurret": () => (/* binding */ GiTurret),
/* harmony export */   "GiTurtle": () => (/* binding */ GiTurtle),
/* harmony export */   "GiTurtleShell": () => (/* binding */ GiTurtleShell),
/* harmony export */   "GiTusksFlag": () => (/* binding */ GiTusksFlag),
/* harmony export */   "GiTv": () => (/* binding */ GiTv),
/* harmony export */   "GiTvRemote": () => (/* binding */ GiTvRemote),
/* harmony export */   "GiTvTower": () => (/* binding */ GiTvTower),
/* harmony export */   "GiTwinShell": () => (/* binding */ GiTwinShell),
/* harmony export */   "GiTwirlCenter": () => (/* binding */ GiTwirlCenter),
/* harmony export */   "GiTwirlyFlower": () => (/* binding */ GiTwirlyFlower),
/* harmony export */   "GiTwister": () => (/* binding */ GiTwister),
/* harmony export */   "GiTwoCoins": () => (/* binding */ GiTwoCoins),
/* harmony export */   "GiTwoFeathers": () => (/* binding */ GiTwoFeathers),
/* harmony export */   "GiTwoHandedSword": () => (/* binding */ GiTwoHandedSword),
/* harmony export */   "GiTwoShadows": () => (/* binding */ GiTwoShadows),
/* harmony export */   "GiTyre": () => (/* binding */ GiTyre),
/* harmony export */   "GiUbisoftSun": () => (/* binding */ GiUbisoftSun),
/* harmony export */   "GiUdder": () => (/* binding */ GiUdder),
/* harmony export */   "GiUfo": () => (/* binding */ GiUfo),
/* harmony export */   "GiUltrasound": () => (/* binding */ GiUltrasound),
/* harmony export */   "GiUluru": () => (/* binding */ GiUluru),
/* harmony export */   "GiUmbrella": () => (/* binding */ GiUmbrella),
/* harmony export */   "GiUmbrellaBayonet": () => (/* binding */ GiUmbrellaBayonet),
/* harmony export */   "GiUnbalanced": () => (/* binding */ GiUnbalanced),
/* harmony export */   "GiUncertainty": () => (/* binding */ GiUncertainty),
/* harmony export */   "GiUnderhand": () => (/* binding */ GiUnderhand),
/* harmony export */   "GiUnderwear": () => (/* binding */ GiUnderwear),
/* harmony export */   "GiUnderwearShorts": () => (/* binding */ GiUnderwearShorts),
/* harmony export */   "GiUnfriendlyFire": () => (/* binding */ GiUnfriendlyFire),
/* harmony export */   "GiUnicorn": () => (/* binding */ GiUnicorn),
/* harmony export */   "GiUnicycle": () => (/* binding */ GiUnicycle),
/* harmony export */   "GiUnionJack": () => (/* binding */ GiUnionJack),
/* harmony export */   "GiUnlitBomb": () => (/* binding */ GiUnlitBomb),
/* harmony export */   "GiUnlitCandelabra": () => (/* binding */ GiUnlitCandelabra),
/* harmony export */   "GiUnlocking": () => (/* binding */ GiUnlocking),
/* harmony export */   "GiUnplugged": () => (/* binding */ GiUnplugged),
/* harmony export */   "GiUnstableOrb": () => (/* binding */ GiUnstableOrb),
/* harmony export */   "GiUnstableProjectile": () => (/* binding */ GiUnstableProjectile),
/* harmony export */   "GiUpCard": () => (/* binding */ GiUpCard),
/* harmony export */   "GiUpgrade": () => (/* binding */ GiUpgrade),
/* harmony export */   "GiUprising": () => (/* binding */ GiUprising),
/* harmony export */   "GiUrsaMajor": () => (/* binding */ GiUrsaMajor),
/* harmony export */   "GiUruguay": () => (/* binding */ GiUruguay),
/* harmony export */   "GiUsaFlag": () => (/* binding */ GiUsaFlag),
/* harmony export */   "GiUsable": () => (/* binding */ GiUsable),
/* harmony export */   "GiUsbKey": () => (/* binding */ GiUsbKey),
/* harmony export */   "GiUshanka": () => (/* binding */ GiUshanka),
/* harmony export */   "GiUzi": () => (/* binding */ GiUzi),
/* harmony export */   "GiVacuumCleaner": () => (/* binding */ GiVacuumCleaner),
/* harmony export */   "GiValley": () => (/* binding */ GiValley),
/* harmony export */   "GiValve": () => (/* binding */ GiValve),
/* harmony export */   "GiVampireCape": () => (/* binding */ GiVampireCape),
/* harmony export */   "GiVampireDracula": () => (/* binding */ GiVampireDracula),
/* harmony export */   "GiVanDammeSplit": () => (/* binding */ GiVanDammeSplit),
/* harmony export */   "GiVanillaFlower": () => (/* binding */ GiVanillaFlower),
/* harmony export */   "GiVelocipede": () => (/* binding */ GiVelocipede),
/* harmony export */   "GiVelociraptor": () => (/* binding */ GiVelociraptor),
/* harmony export */   "GiVelociraptorTracks": () => (/* binding */ GiVelociraptorTracks),
/* harmony export */   "GiVendingMachine": () => (/* binding */ GiVendingMachine),
/* harmony export */   "GiVenezuela": () => (/* binding */ GiVenezuela),
/* harmony export */   "GiVenusOfWillendorf": () => (/* binding */ GiVenusOfWillendorf),
/* harmony export */   "GiVerticalBanner": () => (/* binding */ GiVerticalBanner),
/* harmony export */   "GiVerticalFlip": () => (/* binding */ GiVerticalFlip),
/* harmony export */   "GiVial": () => (/* binding */ GiVial),
/* harmony export */   "GiVibratingBall": () => (/* binding */ GiVibratingBall),
/* harmony export */   "GiVibratingShield": () => (/* binding */ GiVibratingShield),
/* harmony export */   "GiVibratingSmartphone": () => (/* binding */ GiVibratingSmartphone),
/* harmony export */   "GiVideoCamera": () => (/* binding */ GiVideoCamera),
/* harmony export */   "GiVideoConference": () => (/* binding */ GiVideoConference),
/* harmony export */   "GiVikingChurch": () => (/* binding */ GiVikingChurch),
/* harmony export */   "GiVikingHead": () => (/* binding */ GiVikingHead),
/* harmony export */   "GiVikingHelmet": () => (/* binding */ GiVikingHelmet),
/* harmony export */   "GiVikingLonghouse": () => (/* binding */ GiVikingLonghouse),
/* harmony export */   "GiVikingShield": () => (/* binding */ GiVikingShield),
/* harmony export */   "GiVileFluid": () => (/* binding */ GiVileFluid),
/* harmony export */   "GiVillage": () => (/* binding */ GiVillage),
/* harmony export */   "GiVineFlower": () => (/* binding */ GiVineFlower),
/* harmony export */   "GiVineLeaf": () => (/* binding */ GiVineLeaf),
/* harmony export */   "GiVineWhip": () => (/* binding */ GiVineWhip),
/* harmony export */   "GiVintageRobot": () => (/* binding */ GiVintageRobot),
/* harmony export */   "GiViola": () => (/* binding */ GiViola),
/* harmony export */   "GiViolin": () => (/* binding */ GiViolin),
/* harmony export */   "GiVirgo": () => (/* binding */ GiVirgo),
/* harmony export */   "GiVirtualMarker": () => (/* binding */ GiVirtualMarker),
/* harmony export */   "GiVirus": () => (/* binding */ GiVirus),
/* harmony export */   "GiVisoredHelm": () => (/* binding */ GiVisoredHelm),
/* harmony export */   "GiVitruvianMan": () => (/* binding */ GiVitruvianMan),
/* harmony export */   "GiVolcano": () => (/* binding */ GiVolcano),
/* harmony export */   "GiVolleyballBall": () => (/* binding */ GiVolleyballBall),
/* harmony export */   "GiVomiting": () => (/* binding */ GiVomiting),
/* harmony export */   "GiVoodooDoll": () => (/* binding */ GiVoodooDoll),
/* harmony export */   "GiVortex": () => (/* binding */ GiVortex),
/* harmony export */   "GiVote": () => (/* binding */ GiVote),
/* harmony export */   "GiVrHeadset": () => (/* binding */ GiVrHeadset),
/* harmony export */   "GiVulture": () => (/* binding */ GiVulture),
/* harmony export */   "GiVuvuzelas": () => (/* binding */ GiVuvuzelas),
/* harmony export */   "GiWalk": () => (/* binding */ GiWalk),
/* harmony export */   "GiWalkieTalkie": () => (/* binding */ GiWalkieTalkie),
/* harmony export */   "GiWalkingBoot": () => (/* binding */ GiWalkingBoot),
/* harmony export */   "GiWalkingScout": () => (/* binding */ GiWalkingScout),
/* harmony export */   "GiWalkingTurret": () => (/* binding */ GiWalkingTurret),
/* harmony export */   "GiWallLight": () => (/* binding */ GiWallLight),
/* harmony export */   "GiWallet": () => (/* binding */ GiWallet),
/* harmony export */   "GiWalrusHead": () => (/* binding */ GiWalrusHead),
/* harmony export */   "GiWaltherPpk": () => (/* binding */ GiWaltherPpk),
/* harmony export */   "GiWantedReward": () => (/* binding */ GiWantedReward),
/* harmony export */   "GiWarAxe": () => (/* binding */ GiWarAxe),
/* harmony export */   "GiWarBonnet": () => (/* binding */ GiWarBonnet),
/* harmony export */   "GiWarPick": () => (/* binding */ GiWarPick),
/* harmony export */   "GiWarlockEye": () => (/* binding */ GiWarlockEye),
/* harmony export */   "GiWarlockHood": () => (/* binding */ GiWarlockHood),
/* harmony export */   "GiWarpPipe": () => (/* binding */ GiWarpPipe),
/* harmony export */   "GiWaspSting": () => (/* binding */ GiWaspSting),
/* harmony export */   "GiWatch": () => (/* binding */ GiWatch),
/* harmony export */   "GiWatchtower": () => (/* binding */ GiWatchtower),
/* harmony export */   "GiWaterBolt": () => (/* binding */ GiWaterBolt),
/* harmony export */   "GiWaterBottle": () => (/* binding */ GiWaterBottle),
/* harmony export */   "GiWaterDivinerStick": () => (/* binding */ GiWaterDivinerStick),
/* harmony export */   "GiWaterDrop": () => (/* binding */ GiWaterDrop),
/* harmony export */   "GiWaterFlask": () => (/* binding */ GiWaterFlask),
/* harmony export */   "GiWaterFountain": () => (/* binding */ GiWaterFountain),
/* harmony export */   "GiWaterGallon": () => (/* binding */ GiWaterGallon),
/* harmony export */   "GiWaterGun": () => (/* binding */ GiWaterGun),
/* harmony export */   "GiWaterPolo": () => (/* binding */ GiWaterPolo),
/* harmony export */   "GiWaterRecycling": () => (/* binding */ GiWaterRecycling),
/* harmony export */   "GiWaterSplash": () => (/* binding */ GiWaterSplash),
/* harmony export */   "GiWaterTank": () => (/* binding */ GiWaterTank),
/* harmony export */   "GiWaterfall": () => (/* binding */ GiWaterfall),
/* harmony export */   "GiWateringCan": () => (/* binding */ GiWateringCan),
/* harmony export */   "GiWatermelon": () => (/* binding */ GiWatermelon),
/* harmony export */   "GiWaveCrest": () => (/* binding */ GiWaveCrest),
/* harmony export */   "GiWaveStrike": () => (/* binding */ GiWaveStrike),
/* harmony export */   "GiWaveSurfer": () => (/* binding */ GiWaveSurfer),
/* harmony export */   "GiWaves": () => (/* binding */ GiWaves),
/* harmony export */   "GiWavyChains": () => (/* binding */ GiWavyChains),
/* harmony export */   "GiWavyItinerary": () => (/* binding */ GiWavyItinerary),
/* harmony export */   "GiWaxSeal": () => (/* binding */ GiWaxSeal),
/* harmony export */   "GiWaxTablet": () => (/* binding */ GiWaxTablet),
/* harmony export */   "GiWebSpit": () => (/* binding */ GiWebSpit),
/* harmony export */   "GiWeight": () => (/* binding */ GiWeight),
/* harmony export */   "GiWeightCrush": () => (/* binding */ GiWeightCrush),
/* harmony export */   "GiWeightLiftingDown": () => (/* binding */ GiWeightLiftingDown),
/* harmony export */   "GiWeightLiftingUp": () => (/* binding */ GiWeightLiftingUp),
/* harmony export */   "GiWell": () => (/* binding */ GiWell),
/* harmony export */   "GiWerewolf": () => (/* binding */ GiWerewolf),
/* harmony export */   "GiWesternHat": () => (/* binding */ GiWesternHat),
/* harmony export */   "GiWhaleTail": () => (/* binding */ GiWhaleTail),
/* harmony export */   "GiWheat": () => (/* binding */ GiWheat),
/* harmony export */   "GiWheelbarrow": () => (/* binding */ GiWheelbarrow),
/* harmony export */   "GiWhip": () => (/* binding */ GiWhip),
/* harmony export */   "GiWhiplash": () => (/* binding */ GiWhiplash),
/* harmony export */   "GiWhirlpoolShuriken": () => (/* binding */ GiWhirlpoolShuriken),
/* harmony export */   "GiWhirlwind": () => (/* binding */ GiWhirlwind),
/* harmony export */   "GiWhisk": () => (/* binding */ GiWhisk),
/* harmony export */   "GiWhistle": () => (/* binding */ GiWhistle),
/* harmony export */   "GiWhiteBook": () => (/* binding */ GiWhiteBook),
/* harmony export */   "GiWhiteTower": () => (/* binding */ GiWhiteTower),
/* harmony export */   "GiWideArrowDunk": () => (/* binding */ GiWideArrowDunk),
/* harmony export */   "GiWifiRouter": () => (/* binding */ GiWifiRouter),
/* harmony export */   "GiWildfires": () => (/* binding */ GiWildfires),
/* harmony export */   "GiWilliamTell": () => (/* binding */ GiWilliamTell),
/* harmony export */   "GiWilliamTellSkull": () => (/* binding */ GiWilliamTellSkull),
/* harmony export */   "GiWinchesterRifle": () => (/* binding */ GiWinchesterRifle),
/* harmony export */   "GiWindHole": () => (/* binding */ GiWindHole),
/* harmony export */   "GiWindSlap": () => (/* binding */ GiWindSlap),
/* harmony export */   "GiWindTurbine": () => (/* binding */ GiWindTurbine),
/* harmony export */   "GiWindmill": () => (/* binding */ GiWindmill),
/* harmony export */   "GiWindow": () => (/* binding */ GiWindow),
/* harmony export */   "GiWindowBars": () => (/* binding */ GiWindowBars),
/* harmony export */   "GiWindpump": () => (/* binding */ GiWindpump),
/* harmony export */   "GiWindsock": () => (/* binding */ GiWindsock),
/* harmony export */   "GiWindyStripes": () => (/* binding */ GiWindyStripes),
/* harmony export */   "GiWineBottle": () => (/* binding */ GiWineBottle),
/* harmony export */   "GiWineGlass": () => (/* binding */ GiWineGlass),
/* harmony export */   "GiWingCloak": () => (/* binding */ GiWingCloak),
/* harmony export */   "GiWingedArrow": () => (/* binding */ GiWingedArrow),
/* harmony export */   "GiWingedEmblem": () => (/* binding */ GiWingedEmblem),
/* harmony export */   "GiWingedLeg": () => (/* binding */ GiWingedLeg),
/* harmony export */   "GiWingedScepter": () => (/* binding */ GiWingedScepter),
/* harmony export */   "GiWingedShield": () => (/* binding */ GiWingedShield),
/* harmony export */   "GiWingedSword": () => (/* binding */ GiWingedSword),
/* harmony export */   "GiWingfoot": () => (/* binding */ GiWingfoot),
/* harmony export */   "GiWinterGloves": () => (/* binding */ GiWinterGloves),
/* harmony export */   "GiWinterHat": () => (/* binding */ GiWinterHat),
/* harmony export */   "GiWireCoil": () => (/* binding */ GiWireCoil),
/* harmony export */   "GiWireframeGlobe": () => (/* binding */ GiWireframeGlobe),
/* harmony export */   "GiWisdom": () => (/* binding */ GiWisdom),
/* harmony export */   "GiWitchFace": () => (/* binding */ GiWitchFace),
/* harmony export */   "GiWitchFlight": () => (/* binding */ GiWitchFlight),
/* harmony export */   "GiWizardFace": () => (/* binding */ GiWizardFace),
/* harmony export */   "GiWizardStaff": () => (/* binding */ GiWizardStaff),
/* harmony export */   "GiWolfHead": () => (/* binding */ GiWolfHead),
/* harmony export */   "GiWolfHowl": () => (/* binding */ GiWolfHowl),
/* harmony export */   "GiWolfTrap": () => (/* binding */ GiWolfTrap),
/* harmony export */   "GiWolverineClaws": () => (/* binding */ GiWolverineClaws),
/* harmony export */   "GiWomanElfFace": () => (/* binding */ GiWomanElfFace),
/* harmony export */   "GiWoodAxe": () => (/* binding */ GiWoodAxe),
/* harmony export */   "GiWoodBeam": () => (/* binding */ GiWoodBeam),
/* harmony export */   "GiWoodCabin": () => (/* binding */ GiWoodCabin),
/* harmony export */   "GiWoodCanoe": () => (/* binding */ GiWoodCanoe),
/* harmony export */   "GiWoodClub": () => (/* binding */ GiWoodClub),
/* harmony export */   "GiWoodPile": () => (/* binding */ GiWoodPile),
/* harmony export */   "GiWoodStick": () => (/* binding */ GiWoodStick),
/* harmony export */   "GiWoodenChair": () => (/* binding */ GiWoodenChair),
/* harmony export */   "GiWoodenClogs": () => (/* binding */ GiWoodenClogs),
/* harmony export */   "GiWoodenCrate": () => (/* binding */ GiWoodenCrate),
/* harmony export */   "GiWoodenDoor": () => (/* binding */ GiWoodenDoor),
/* harmony export */   "GiWoodenFence": () => (/* binding */ GiWoodenFence),
/* harmony export */   "GiWoodenHelmet": () => (/* binding */ GiWoodenHelmet),
/* harmony export */   "GiWoodenPegleg": () => (/* binding */ GiWoodenPegleg),
/* harmony export */   "GiWoodenPier": () => (/* binding */ GiWoodenPier),
/* harmony export */   "GiWoodenSign": () => (/* binding */ GiWoodenSign),
/* harmony export */   "GiWool": () => (/* binding */ GiWool),
/* harmony export */   "GiWorld": () => (/* binding */ GiWorld),
/* harmony export */   "GiWormMouth": () => (/* binding */ GiWormMouth),
/* harmony export */   "GiWorms": () => (/* binding */ GiWorms),
/* harmony export */   "GiWorriedEyes": () => (/* binding */ GiWorriedEyes),
/* harmony export */   "GiWrappedHeart": () => (/* binding */ GiWrappedHeart),
/* harmony export */   "GiWrappedSweet": () => (/* binding */ GiWrappedSweet),
/* harmony export */   "GiWrappingStar": () => (/* binding */ GiWrappingStar),
/* harmony export */   "GiWreckingBall": () => (/* binding */ GiWreckingBall),
/* harmony export */   "GiWrench": () => (/* binding */ GiWrench),
/* harmony export */   "GiWyvern": () => (/* binding */ GiWyvern),
/* harmony export */   "GiXylophone": () => (/* binding */ GiXylophone),
/* harmony export */   "GiYarn": () => (/* binding */ GiYarn),
/* harmony export */   "GiYinYang": () => (/* binding */ GiYinYang),
/* harmony export */   "GiZBrick": () => (/* binding */ GiZBrick),
/* harmony export */   "GiZatGun": () => (/* binding */ GiZatGun),
/* harmony export */   "GiZebraShield": () => (/* binding */ GiZebraShield),
/* harmony export */   "GiZeppelin": () => (/* binding */ GiZeppelin),
/* harmony export */   "GiZeusSword": () => (/* binding */ GiZeusSword),
/* harmony export */   "GiZigArrow": () => (/* binding */ GiZigArrow),
/* harmony export */   "GiZigzagCage": () => (/* binding */ GiZigzagCage),
/* harmony export */   "GiZigzagHieroglyph": () => (/* binding */ GiZigzagHieroglyph),
/* harmony export */   "GiZigzagLeaf": () => (/* binding */ GiZigzagLeaf),
/* harmony export */   "GiZigzagTune": () => (/* binding */ GiZigzagTune),
/* harmony export */   "GiZipper": () => (/* binding */ GiZipper)
/* harmony export */ });
/* harmony import */ var _lib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../lib */ "./node_modules/react-icons/lib/esm/index.js");
// THIS FILE IS AUTO GENERATED

function Gi3DGlasses (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M176 80L39.36 247h77.74L176 144l32 48v-48l-32-64zm160 0l-32 64v48l32-48 58.9 103h77.7L336 80zM25 265v174h194.2l36.8-55.2 36.8 55.2H487V265H25zm23 23h176v64l-32 64H48V288zm240 0h176v128H320l-32-64v-64z"}}]})(props);
};
function Gi3DHammer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M307.3 84.2l-88.8 59.7 156.6 94.9 88.1-60.1zM215 163l11.5 53.1 12.5 7.5 18.6-13.3c6.8-4.9 14.6-6.8 22.2-6.6.9 0 1.8.1 2.7.1zm259.3 29.9l-88.7 60.5 14.9 59.3 89.2-58.9zm-196.4 28.7c-3.6.1-6.9 1.2-9.9 3.3L23.55 400c-.81.6-1.69 2.1-1.08 6.1.61 4.1 3.09 9.4 6.96 13.6 3.86 4.2 8.84 7.2 14.63 7.9 5.79.7 12.8-.6 21.62-6.7L305.3 252.5v-.1c4.5-3.1 4.8-5 4.2-8.5-.6-3.5-3.6-8.7-8.4-13-4.8-4.2-11.3-7.6-17.3-8.8-1.5-.3-2.9-.5-4.3-.5h-1.6zm44 6.1c2.6 4 4.5 8.4 5.3 13.2 1.6 9.2-2.4 19.9-11.5 26.2v.1l-1.7 1.2 66.9 40-13.3-53.1z"}}]})(props);
};
function Gi3DMeeple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192.215 39.565c-48.32 6.48-43.031 58.948-42.874 75.82l93.895 13.622c1.004-35.647 5.621-59.868 13.545-76.27 2.186-4.523 4.704-8.455 7.469-11.836zm107.012 2.48c-1.17.023-2.36.098-3.57.226-8.898.937-15.873 4.232-22.669 18.296-6.795 14.065-11.916 39.331-12.095 80.59l-.026 5.95-5.484 2.306c-50.104 21.083-82.1 39.796-100.16 55.334-18.06 15.538-21.362 26.305-19.541 34.088 1.82 7.783 10.734 16.375 25.353 23.44 14.62 7.064 33.96 12.409 52.951 15.634l11.293 1.918-83.045 192.608 120.118-32.106 51.136-112.484 51.045 86.37 113.43-30.929-86.887-142.223 10.647-3.617c15.087-5.126 32.096-12.698 45.673-21.45 13.578-8.753 23.156-18.91 25.407-26.64 1.125-3.864.992-7.055-1.028-11.146-2.02-4.09-6.362-9.116-14.296-14.488-15.869-10.744-45.623-22.39-93.485-32.809l-6.672-1.453-.398-6.816c-.762-13.052-6.589-35.803-17.293-53.27-9.366-15.284-21.176-26.136-36.961-27.242a38.595 38.595 0 0 0-3.443-.086zm-170.685 87.41c-79.404 44.697-85.83 54.663-86.757 71.6-2.209 40.397 42.597 46.791 89.698 59.957-6.026-5.765-11.447-10.033-13.329-18.075-3.82-16.327 4.783-34.158 25.328-51.834 17.067-14.684 43.279-30.404 80.907-47.62zM93.291 271.788c-22.445 48.26-38.283 103.023-59.254 153.977l87.723 43.328 17.77-35.852 57.154-132.556zm222.283 94.963l-15.752 34.648 43.543 12.375z"}}]})(props);
};
function Gi3DStairs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M325.944 61.815l-98.26 24.566 147.158 66.891 98.263-24.566zM209.787 97.687v43.488l155.355 70.617v-43.489zM491 142.475l-108.159 27.04v62.929c-20.977 5.241-41.953 10.488-62.929 15.732v62.929c-20.977 5.241-41.953 10.488-62.929 15.732v62.93c-20.977 5.24-41.952 10.487-62.929 15.731v44.687L491 375.947zm-290.914 13.733l-35.332 8.834 147.16 66.891 35.334-8.834zm-53.228 20.14v43.488l155.355 70.617v-43.489zm-9.7 58.521l-35.333 8.834 147.16 66.891 35.334-8.834zm-53.23 20.14v43.488l155.357 70.617v-43.489zm-9.7 58.522l-35.331 8.834 147.159 66.89 35.334-8.834zM21 333.67v43.487l155.356 70.617v-43.488z"}}]})(props);
};
function GiAbacus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M37 73v382h18V73zm418.045 0l1.91 382h18l-1.91-382zM105 160c-14.638 0-27.157 9.715-31.43 23-2.405 6.634-1.479 14.38-.574 18 3.61 14.3 16.641 25 32.004 25 14.17 0 26.36-9.102 31-21.736C140.64 216.898 152.83 226 167 226c15.363 0 28.394-10.7 32.004-25h238.682l-.09-18H198.43c-4.273-13.285-16.792-23-31.43-23-14.17 0-26.36 9.102-31 21.736C131.36 169.102 119.17 160 105 160zm0 18c8.39 0 15 6.61 15 15s-6.61 15-15 15-15-6.61-15-15 6.61-15 15-15zm62 0c8.39 0 17 6.61 17 15s-8.61 15-17 15-15-6.61-15-15 6.61-15 15-15zm33 45c-15.002 0-27.775 10.206-31.729 24H73v18h95.271c3.954 13.794 16.727 24 31.729 24 15.002 0 27.775-10.206 31.729-24h206.277l-.092-18H231.73c-3.954-13.794-16.727-24-31.729-24zm0 18c8.39 0 15 6.61 15 15s-6.61 15-15 15-15-6.61-15-15 6.61-15 15-15zm83 47c-14.638 0-27.157 9.715-31.43 23H73v18h177.996c3.61 14.3 16.641 25 32.004 25 14.17 0 26.36-9.102 31-21.736C318.64 344.898 330.83 354 345 354c14.17 0 26.36-9.102 31-21.736C380.64 344.898 392.83 354 407 354c15.363 0 28.394-10.7 32.004-25 1.31-3.077.621-13.458-.77-18C432 294.406 418.467 288.286 407 288c-14.17 0-26.36 9.102-31 21.736C371.36 297.102 359.17 288 345 288c-14.17 0-26.36 9.102-31 21.736C309.36 297.102 297.17 288 283 288zm62 66c-13.892 0-25.874 8.752-30.71 21H73v18h239.564c2.853 15.29 16.366 27 32.436 27s29.583-11.71 32.436-27h61.209l-.09-18H375.71c-4.837-12.248-16.819-21-30.711-21zm-62-48c8.39 0 15 6.61 15 15s-6.61 15-15 15-15-6.61-15-15 6.61-15 15-15zm62 0c8.39 0 15 6.61 15 15s-6.61 15-15 15-15-6.61-15-15 6.61-15 15-15zm62 0c8.39 0 15 6.61 15 15s-6.61 15-15 15-15-6.61-15-15 6.61-15 15-15zm-62 66c8.39 0 15 6.61 15 15s-6.61 15-15 15-15-6.61-15-15 6.61-15 15-15zM25 473v16h462v-16z"}}]})(props);
};
function GiAbbotMeeple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16.1l-82.7 82.72 35 69.98a66.18 66.18 0 0 0-18.6 45.8 66.18 66.18 0 0 0 10.4 35.3c-42.8 5.3-126.12 21.2-126.12 47.5 0 16.8 30.02 37.8 68.12 54.5L73.98 462.8c0 33.1 33.02 33.1 66.22 33.1h231.5c33.1 0 66.3 0 66.3-33.1l-68.2-110.9c38.1-16.7 68.2-37.7 68.2-54.5 0-26.3-83.5-42.2-126.1-47.5a66.18 66.18 0 0 0 10.2-35.3 66.18 66.18 0 0 0-18.4-45.8l35-69.98z"}}]})(props);
};
function GiAbstract001 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m491,189.4651c0-26.6773-23.4959-48.4685-52.5815-48.4685-3.7901,0-7.6013.3286-11.1625,1.0279 .1737-1.4114.4086-2.7194.5873-4.1125 .418-3.251.8714-6.3986 1.3216-9.5471 .2162-1.5195.3618-3.0583.5873-4.5529 .0505-.24.113-.4936.1455-.7346 1.5195-10.0059 3.1603-19.4083 4.9938-28.2002 .1081-.5182.3337-.9555.4418-1.4683 .5239-2.4684 1.0693-4.8358 1.6159-7.1971 .658-2.8416 1.2192-5.6898 1.9091-8.3722-.6659.949-1.2568,1.8904-1.9091,2.9375-.2211.3575-.5124.8042-.7346,1.175-.2962.4994-.5852.9494-.8813,1.4692-.24.418-.498.8879-.7341,1.3217-.343.6291-.6875,1.252-1.0283,1.9091s-.5441,1.2192-.8812,1.9096c-.4137.8399-.7684,1.763-1.175,2.6437-.4605,1.0049-1.018,2.0285-1.4687,3.0842-1.7432,4.0547-3.3981,8.4384-4.9938,13.2193-.5902,1.7742-1.1929,3.5678-1.7625,5.4341-10.639-4.3438-22.4191-6.7563-34.8093-6.7563-27.2676,0-51.5244,11.6316-67.269,29.8155-.3193.0505-.5607.2631-.8812.2962 6.6317,35.9091 10.4279,76.5488 10.4279,119.7035 0,43.1852-3.7873,83.7769-10.4279,119.7034 .3524.0433.6774.1123 1.0279.1455 15.746,18.1275 39.883,29.8155 67.1224,29.8155 12.3958,0 24.1708-2.4097 34.8093-6.7557 .5693,1.8659 1.1727,3.6603 1.7625,5.4341 1.7841,5.3439 3.6139,10.2555 5.5813,14.6876 .4324.9804.8827,1.8574 1.3221,2.7909 .235.4901.4994.9917.7341,1.4683 .3387.6904.5398,1.2473.8812,1.9096s.6839,1.2808 1.0283,1.9096c.235.4324.4958.901.7341,1.3216 .4699.8221.9931,1.5792 1.4688,2.35 .0505.0844.0937.2019.1455.2962 .6522,1.0471 1.2431,1.989 1.9091,2.9375-1.2605-4.8998-2.3739-9.996-3.525-15.4222-1.9538-9.2059-3.8301-19.2503-5.4341-29.8155-.263-1.74-.4807-3.5138-.7347-5.2876-.4511-3.1429-.9047-6.3018-1.3216-9.5472-.1788-1.371-.418-2.7228-.5873-4.1125 3.5612.6991 7.372,1.0283 11.1625,1.0283 29.0851,0 52.5815-21.644 52.5815-48.3218s-23.4963-48.3223-52.5815-48.3223c-6.0691,0-11.9103.9094-17.3313,2.6437-.1363-6.8949-.2962-13.8011-.2962-20.8563s.16-14.1085.2962-21.003c5.421,1.7338 11.2622,2.7904 17.3313,2.7904 29.0851,0 52.5815-21.6441 52.5815-48.3223zm-13.5125-.7341c0,11.9315-9.66,21.591-21.591,21.591s-21.5905-9.6595-21.5905-21.591 9.6599-21.5909 21.5905-21.5909 21.591,9.6609 21.591,21.5909zm0,134.5381c0,11.9315-9.66,21.591-21.591,21.591s-21.5905-9.6595-21.5905-21.591 9.6599-21.591 21.5905-21.591 21.591,9.6609 21.591,21.591zm-59.6316-189.7633c-.0505.1786.0433.4086 0,.5873-.1039.4605-.3387.8573-.4417,1.3216-.7605,3.4578-1.3578,6.91-2.0563,10.575-17.4652,7.8665-29.5217,24.4147-29.5217,43.4752 0,15.6379 8.0149,29.4988 20.5626,38.3348-.1643,4.0927-.2019,8.1644-.2962,12.3375-19.0553-10.2122-31.8723-28.9634-31.8723-50.6723 0-25.9718 18.1896-48.117 43.6224-55.9594zm0,244.8419c-25.4323-7.8425-43.6223-29.8409-43.6223-55.8128 0-21.7084 12.817-40.6068 31.8723-50.8194 .0937,4.1731.1318,8.2452.2962,12.3375v.1455c-12.5472,8.836-20.5626,22.6969-20.5626,38.3348 0,19.0604 12.057,35.4621 29.5218,43.328 .6991,3.6656 1.2963,7.1173 2.0563,10.5751 .1455.6522.2962,1.2638.4418,1.9096zm-97.085-122.3477c0-85.4924-14.6303-157.2542-34.3689-176.5445 6.479,47.8641 10.4284,109.4687 10.4284,176.5445s-3.9494,128.5338-10.4284,176.3979c19.7386-19.2899 34.3689-90.9055 34.3689-176.3979zm-36.1314,0c0-129.8047-12.7441-235.001-28.4939-235.001s-28.4939,105.1963-28.4939,235.001 12.7446,235.001 28.4939,235.001 28.4939-105.1963 28.4939-235.001zm-58.8969-176.5445c-19.7386,19.2903-34.3689,91.0521-34.3689,176.5445s14.6302,157.108 34.3689,176.3979c-6.479-47.8641-10.4284-109.322-10.4284-176.3979s3.9494-128.6804 10.4284-176.5445zm-33.9285,56.8411c-.32-.0433-.56-.2631-.8812-.2962-15.7442-18.1839-40.001-29.8156-67.269-29.8156-12.8057,0-25.0647,2.7246-35.9843,7.3438-1.0161-3.3559-1.9989-6.6421-3.0846-9.6938-.7515-2.1188-1.5669-4.2032-2.35-6.1688-.0506-.075-.1175-.0721-.1455-.1455-.6061-1.5153-1.2859-2.9869-1.9096-4.4068-1.9661-4.4505-3.8949-8.4445-6.0217-11.8967-.712-1.1576-1.4743-2.3401-2.2034-3.3784 .6097,2.3702 1.1792,4.8481 1.7625,7.3443 .3431,1.4546.6955,2.9098 1.0284,4.4058 .235,1.0688.503,2.1418.7341,3.2317l.4418,2.0558c2.9328,14.1344 5.3848,29.8649 7.4904,47.0002-3.1358-.5354-6.3874-.8808-9.6938-.8808-29.0852,0-52.7281,21.6441-52.7281,48.3219s23.6429,48.469 52.7281,48.469c5.5888,0 10.959-.8686 16.0097-2.35 .1269,6.7671.2962,13.6428.2962,20.5626s-.1643,13.6488-.2962,20.4155c-5.0507-1.4815-10.4209-2.2029-16.0097-2.2029-29.0852,0-52.7281,21.644-52.7281,48.3223s23.6429,48.3218 52.7281,48.3218c3.3064,0 6.558-.3481 9.6938-.8812-2.2058,17.9494-4.8199,34.4192-7.9313,49.0564-.235,1.1026-.4944,2.1503-.7342,3.2313-.3293,1.4843-.6911,3.1101-1.0284,4.5529-.5794,2.4732-1.1576,4.8476-1.7625,7.1972 .729-1.0383 1.4914-2.0737 2.2034-3.2313 2.1268-3.4522 4.0556-7.5929 6.0217-12.0438 .6241-1.4194 1.3038-2.7448 1.9096-4.2596 .0506-.0749.1175-.212.1457-.2912 .0505-.1269.0945-.3149.1455-.4417 .5816-1.4669 1.1985-3.0014 1.7625-4.5534 .3668-1.0096.6695-2.0389 1.0279-3.0841 .235-.6832.503-1.505.7346-2.2034v-.1457c.5845-1.7654 1.1999-3.4301 1.7625-5.2876 10.9191,4.622 23.173,7.1967 35.9843,7.1967 27.2399,0 51.3764-11.688 67.1224-29.8155 .3524-.0433.6774-.1081 1.0279-.1457-6.6402-35.9265-10.428-76.5182-10.428-119.7034 0-43.1546 3.7962-83.7943 10.428-119.7034zm-53.9031,53.1685c0,22.1959-13.4274,41.3682-33.1939,51.407-.0844-4.0965-.1412-8.1705-.2962-12.1909 13.3039-8.7731 21.8843-23.031 21.8843-39.216 0-19.5662-12.6233-36.4623-30.8439-44.0627-.0649-.3286-.0843-.5564-.1455-.8808-.6933-3.5602-1.5942-7.059-2.35-10.4284-.0722-.3056-.0749-.5751-.1455-.8812 26.1434,7.4618 45.0906,29.8164 45.0906,56.2531zm0,133.0698c0,26.4367-18.9472,48.7914-45.091,56.2532 .1694-.7455.418-1.5976.5873-2.35 .7127-3.2383 1.4011-6.5768 2.0562-9.9876 18.2206-7.6004 30.8439-24.3494 30.8439-43.9156 0-16.185-8.5803-30.5896-21.8842-39.3626 .1549-4.0195.2068-7.9492.2962-12.0443 .0005-.0433-.0004-.1175 0-.1455 19.7665,10.0388 33.1939,29.3582 33.1939,51.5536zm-60.0724-133.8039c0,11.9315-9.6599,21.591-21.5905,21.591s-21.591-9.6595-21.591-21.591 9.6604-21.5909 21.591-21.5909 21.5905,9.6609 21.5905,21.5909zm0,134.5381c0,11.9315-9.6599,21.591-21.5905,21.591s-21.591-9.6595-21.591-21.591 9.6604-21.591 21.591-21.591 21.5905,9.6609 21.5905,21.591z"}}]})(props);
};
function GiAbstract002 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m459.5091,138.501c-8.9699-15.5337-19.4715-29.5834-31.1623-42.2171-.1694-.1831-.3243-.3805-.4944-.5621-4.3782-4.7012-9.0065-9.1753-13.7072-13.4567-4.8299-4.3994-9.7669-8.6469-14.9052-12.5946-.0843-.0649-.1881-.1124-.2724-.1831-1.4072-1.0787-2.9028-2.0521-4.3317-3.096-1.6197-1.1831-3.1801-2.5198-4.8266-3.6587-.4461-.3099-.9198-.5975-1.3705-.9048-1.859-1.2667-3.7917-2.462-5.6825-3.6727-2.7355-1.7498-5.5321-3.3964-8.3311-5.0273-2.8098-1.6376-5.6425-3.2371-8.5116-4.7534-2.8963-1.5308-5.7404-3.0734-8.693-4.4793-2.8003-1.3334-5.6054-2.5494-8.4528-3.77-3.144-1.3499-6.3133-2.6269-9.51-3.8377-3.0081-1.1379-6.0924-2.1884-9.1423-3.2022-2.0752-.6897-4.148-1.3626-6.2404-1.9943-1.8895-.5708-3.7894-1.1088-5.692-1.6324l-1.4048-.3762c-1.7833-.4793-3.5501-.8875-5.3441-1.3246-2.666-.6479-5.3197-1.2676-8.0068-1.8223-1.184-.2443-2.3511-.614-3.5388-.8408-2.4836-.4728-5.0137-.8662-7.5123-1.2596-3.0326-.4778-6.0999-.8028-9.1518-1.1619-3.3615-.395-6.7551-.8517-10.1355-1.1027-2.2687-.1694-4.522-.2162-6.7974-.3149-1.3166-.0577-2.6359-.0577-3.9543-.0944-1.3832-.0504-2.7698-.1319-4.155-.1456-2.0836-.0505-4.1624,0-6.2494.0504-1.5774.0505-3.1585-.0504-4.7368,0-2.8413.1031-5.683.3056-8.5252.5117-.2162,0-.4375.0504-.6558.0504-3.6746.2775-7.3835.671-11.0544,1.1238-3.6478.4511-7.3239.9542-10.9618,1.5793-.1975.0505-.3856.1319-.5823.1643-3.6215.6313-7.1895,1.3541-10.795,2.1612-.1081.0505-.2205-.004-.3286,0-3.1341.7063-6.2188,1.4975-9.3365,2.3369-2.7007.7276-5.3935,1.6305-8.0786,2.4592-.5304.1643-1.0905.2587-1.6197.4274-1.1407.3618-2.2834.7473-3.4204,1.1266-2.7976.9316-5.5378,1.89-8.3137,2.9334-2.4145.9076-4.8069,1.8087-7.203,2.8013-2.8112,1.1642-5.6173,2.3807-8.4012,3.6624-1.2456.5737-2.4695,1.2051-3.7089,1.8021-2.1931,1.0561-4.4083,2.1597-6.5812,3.2901-3.0857,1.6051-6.1371,3.2036-9.1795,4.9596-3.0274,1.7475-5.9655,3.6084-8.8853,5.4682-2.0652,1.3166-4.1291,2.6829-6.1403,4.0535-1.1365.775-2.2956,1.5186-3.4152,2.3106-2.5024,1.7696-4.9587,3.5914-7.3732,5.4437-2.0578,1.5783-4.0343,3.1995-6.0275,4.8361-2.2918,1.8824-4.492,3.7757-6.6978,5.7318-1.3179,1.169-2.5781,2.3938-3.8649,3.5881-2.0601,1.9111-4.1888,3.7912-6.169,5.7657-2.2711,2.2646-4.5277,4.5719-6.6926,6.9164-.075.08-.1081.1924-.183.2724-1.1623,1.262-2.2589,2.5381-3.3902,3.8221-1.3053,1.483-2.6156,2.9329-3.8795,4.4441-.1268.1549-.3056.2681-.4375.423-2.3604,2.8375-4.6348,5.769-6.8486,8.7024-2.2279,2.9522-4.4234,5.9669-6.5008,9.0102-.1225.1787-.24.3668-.3618.5477-1.6004,2.3576-3.1966,4.7171-4.7058,7.1255-.839,1.3382-1.5755,2.7384-2.3868,4.0915-1.0721,1.7898-2.1418,3.5731-3.1646,5.3883-.6803,1.2061-1.293,2.4535-1.9515,3.6704-.6263,1.16-1.2911,2.3003-1.8975,3.4697-.9363,1.8025-1.9487,3.5444-2.8366,5.3685-.1081.2205-.1831.4562-.2868.6753-.72,1.4895-1.2784,3.0237-1.9661,4.5268-.7266,1.5901-1.4561,3.1961-2.1465,4.8008-.0505.0987-.1362.1737-.1831.2724-1.1817,2.7553-2.3144,5.4353-3.3889,8.231-.909,2.3604-1.833,4.7482-2.665,7.1354-.3993,1.1417-.6616,2.3364-1.0411,3.4838-.2631.7868-.5939,1.5647-.846,2.3539-.5823,1.8246-1.0411,3.6529-1.5788,5.4907-.6558,2.2378-1.3118,4.4384-1.9017,6.694-.498,1.9097-.9819,3.8236-1.4322,5.745-.2962,1.254-.6205,2.4798-.8945,3.7385-.1924.8771-.32,1.7828-.498,2.6622-.6472,3.1477-1.2794,6.3439-1.7978,9.5175-.3481,2.1315-.5744,4.2932-.8639,6.4346-.1456,1.0693-.4043,2.1193-.5326,3.1904-.0505.1737 0,.3524-.0505.529-.3618,3.0486-.7192,6.1394-.9612,9.204-.2587,3.2596-.3431,6.4938-.4656,9.7665-.1225,3.2427-.1506,6.4957-.1362,9.7473 0,3.2389.0505,6.4835.1881,9.727 .1268,2.8004.2068,5.5961.4375,8.3965 .1643,1.9952.5405,4.0144.7558,6.0087 .1881,1.7593.2868,3.5406.516,5.299v.3286c.8498,6.4233 2.0605,12.8216 3.456,19.204 1.3579,6.2108 2.9193,12.4555 4.8017,18.5968 .0721.24.1643.4721.24.7099 5.0974,16.4394 12.0156,32.5578 20.9855,48.0919 64.9026,112.3971 208.646,150.9077 321.0605,86.0149s150.9303-208.6149 86.0277-321.0121zm-18.319,10.575c59.0434,102.2509 23.9075,232.9596-78.3584,291.9941s-233.0484,24.104-292.0918-78.1464c-8.8368-15.3034-15.4533-31.3005-20.1629-47.5491l37.274-21.5171c3.7319,16.532 9.9705,32.8351 18.891,48.2832 47.5797,82.3987 152.8932,110.5054 235.3036,62.9328s110.7225-152.8166 63.1429-235.2148c-8.9205-15.4486-19.9222-29.0016-32.3759-40.4997l37.2744-21.5166c11.719,12.2022 22.2666,25.9301 31.103,41.2334zm-68.1072-77.7046c2.8013,5.2149 2.8346,11.8257-.3431,17.3268-4.8403,8.3819-15.3838,11.2664-23.7671,6.4271s-11.342-15.5088-6.5018-23.8907 15.638-11.4135 24.0213-6.5741c2.0958,1.2098 3.8495,2.7999 5.2134,4.6221 .5117.6832.9758,1.3443 1.3757,2.0892zm-4.6415,54.2365-281.6541,162.5887c-13.3349-69.9915 17.825-143.7611 83.0238-181.3979s144.6743-27.7331 198.6302,18.8093zm-45.5806-76.2927c2.2716,3.2229 3.4354,7.3135 3.1844,11.39-.0721,1.1647-.2724,2.2223-.5859,3.3912-2.5057,9.3487-12.1491,14.9156-21.4992,12.4104s-14.8446-12.0198-12.3394-21.369 12.0757-15.043 21.4258-12.5378c4.0911,1.096 7.5425,3.4918 9.8145,6.7152zm42.3822,143.6023c34.82,60.3007 14.0503,137.4018-46.2598,172.2166s-137.4761,14.2487-172.2955-46.052c-9.1372-15.8232-14.315-32.8177-16.0921-49.8992l30.5315-17.6248c-.8352,17.5618 3.0885,35.6049 12.5297,51.955 26.2388,45.4401 84.3822,61.017 129.8288,34.7824s61.0264-84.3695 34.7876-129.8091c-9.4413-16.3506-23.1076-28.7699-38.7362-36.8275l30.5315-17.6248c13.9065,10.0795 26.0377,23.0606 35.1744,38.8833zm-94.7579-150.0007c1.882,2.815 2.9592,6.1949 2.9592,9.8244 0,9.6791-7.7703,17.3663-17.4509,17.3663s-17.496-7.6956-17.496-17.3743 7.7511-17.6943 17.4311-17.6943c6.0501,0 11.4205,3.1871 14.5565,7.8779zm-51.5236,8.8829c.5203,1.0444.9405,2.178 1.2536,3.3466 2.5056,9.3491-3.0532,18.9014-12.4039,21.4061-9.3501,2.5052-18.9037-3.0528-21.4094-12.402s2.9799-19.0283 12.3305-21.5334c8.1816-2.1917 16.587,1.8711 20.2292,9.1828zm67.4079,186.6486c9.6805,16.7641 3.9162,38.2722-12.8504,47.9513s-38.2779,3.9158-47.9584-12.8484-3.9163-38.2728 12.8503-47.9514 38.2784-3.9157 47.9585,12.8485zm-116.9174-167.2269c4.8403,8.3823 1.9854,19.0358-6.3984,23.8755s-19.0386,1.9844-23.8788-6.3974-2.0582-19.1632 6.3251-24.0025 19.1124-1.8575 23.9522,6.5244zm-42.6585,31.5787c4.4845,6.7937 3.6812,15.8651-2.3077,21.8531-6.8454,6.844-17.8984,6.8816-24.7433.0504-6.8449-6.8435-6.9558-18.0225-.1124-24.8664 5.9894-5.9881 15.3725-6.6319 22.1831-2.1207 .9729.6443 1.8514,1.4825 2.7068,2.3379s1.631,1.7885 2.2716,2.759zm-32.374,41.7533c.4829.7005.8799,1.4063 1.2488,2.1621 2.4577,5.0396 2.3694,11.2513-.6558,16.4901-4.8403,8.3819-15.4571,11.1395-23.8403,6.3002s-11.342-15.5087-6.5018-23.8911 15.5845-11.2128 23.9677-6.3735c2.3577,1.3612 4.3336,3.2103 5.7813,5.3122zm-19.691,50.2042c2.2288,3.8791 2.9696,8.5803 1.717,13.2546-2.5056,9.3487-12.0216,14.8428-21.3723,12.3375s-15.0453-12.0738-12.5396-21.4225c2.1921-8.1803 9.9536-13.499 18.1075-12.997 1.1647.0721 2.2965.3993 3.465.7135 4.6753,1.2521 8.3932,4.2348 10.6224,8.1139zm-7.5692,51.5166c1.882,2.7886 2.9592,6.1948 2.9592,9.8243 0,9.6787-7.7703,17.3663-17.4509,17.3663s-17.6962-7.7496-17.6962-17.4283 8.0246-17.5134 17.7046-17.5134c6.0501,0 11.3472,3.103 14.4832,7.7511z"}}]})(props);
};
function GiAbstract003 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256.0016,21c0,0-7.5444,12.187-18.0659,32.3125-14.0426-11.3735-31.3058-19.606-50.8188-23.2063-6.9118-1.2756-13.7108-1.8856-20.4154-1.9096-46.9342-.1694-86.9175,29.155-93.7062,71.9687-7.7588,48.9303 30.628,96.8688 85.9216,107.0721 7.8453,1.4476 15.6261,2.0539 23.2063,1.9091-2.6268,15.6341-4.2591,31.3683-4.2596,46.8533 0,1.073.1319,2.1555.1456,3.2313h-113.3875c5.7659-15.3168 15.8615-28.4387 28.7875-37.8937-40.8266,3.9198-72.4096,32.532-72.4091,67.2688s31.5807,63.3499 72.4091,67.2688c-12.926-9.4554-23.0216-22.5774-28.7875-37.8937h120.2909c4.5045,21.2421 10.9021,41.9963 17.9187,61.3937h-56.8409c3.3154-8.8064 9.0184-16.4486 16.45-21.8846-23.4723,2.2537-41.5654,18.8038-41.5654,38.775s18.0922,36.3751 41.5654,38.6283c-7.4316-5.436-13.1346-12.9316-16.45-21.7375h70.0596c19.8138,45.9354 39.95,77.8438 39.95,77.8438s20.1358-31.9083 39.95-77.8438h70.0591c-3.3148,8.8059-9.0183,16.301-16.4499,21.7375 23.4736-2.2532 41.5658-18.6566 41.5658-38.6283s-18.0936-36.5214-41.5658-38.775c7.4316,5.4361 13.1346,13.0782 16.4499,21.8846h-56.8404c7.0161-19.3974 13.4138-40.1516 17.9187-61.3937h120.2904c-5.766,15.3168-15.8611,28.4383-28.7875,37.8937 40.8284-3.9188 72.4096-32.5315 72.4096-67.2688s-31.5831-63.349-72.4096-67.2688c12.926,9.455 23.0216,22.5765 28.7875,37.8937h-113.3875c0-1.0758.1456-2.1583.1456-3.2313 0-15.485-1.6327-31.2193-4.2596-46.8533 7.5801.1456 15.361-.4605 23.2062-1.9091 55.2936-10.2033 93.6804-58.1418 85.9221-107.0721-6.7892-42.8137-46.7721-72.137-93.7063-71.9687-6.705,0-13.5041.6342-20.4158,1.9096-19.513,3.6007-36.7761,11.8328-50.8187,23.2063-10.5214-20.1254-18.0654-32.3125-18.0654-32.3125zm-85.188,21.8841c5.9116.0649 11.9643.6363 18.0659,1.7625 16.5848,3.0602 31.4364,9.9325 43.6216,19.0938-16.5341,32.9851-37.5224,81.3575-48.0279,132.1875-6.2933,0-12.7195-.5592-19.2404-1.7625-48.8142-9.0071-83.2154-49.7777-76.6692-91.0625 5.7284-36.1242 40.8707-60.6949 82.25-60.2188zm170.3755,0c41.3792-.4764 76.5216,24.0946 82.25,60.2188 6.5462,41.2853-27.855,82.0554-76.6687,91.0625-6.5213,1.2032-12.9471,1.7465-19.2409,1.7625-10.5054-50.83-31.4938-99.2024-48.0284-132.1875 12.1857-9.1613 27.0373-16.0336 43.6221-19.0938 6.1016-1.1256 12.1543-1.6943 18.0659-1.7625zm-162.4437,28.4937c-15.4033,0-29.3087,5.8938-39.8034,15.4221h26.5846c7.0524,0 12.6313,5.845 12.6313,13.0717s-5.5789,12.925-12.6313,12.925h-43.3284c-1.6601,5.397-2.4967,11.1108-2.4967,17.0375 0,31.6775 25.6211,57.3221 57.575,58.1625 .8512-5.3241 1.7555-10.5976 2.9375-15.8625-12.628-.9752-22.4721-11.397-22.4721-24.0875 0-13.3278 10.8504-24.0875 24.3813-24.0871 4.2534,0 8.4182,1.067 11.8971,2.9375 6.3479-16.9171 13.4073-32.1579 19.5346-44.3562-9.7544-6.9682-21.8385-11.1625-34.8096-11.1625zm154.5125,0c-12.9711,0-25.0553,4.1943-34.8096,11.1625 6.1269,12.1988 13.1863,27.4395 19.5346,44.3563 3.4789-1.8701 7.6436-2.9375 11.8966-2.9375 13.5309,0 24.3813,10.7597 24.3813,24.0875 0,12.69-9.8442,23.1123-22.4717,24.0875 1.182,5.265 2.0863,10.5384 2.9375,15.8625 31.9539-.8404 57.575-26.4854 57.575-58.1625 0-5.9267-.8371-11.6405-2.4966-17.0375h-43.3284c-7.0529,0-12.7779-5.6983-12.7779-12.925s5.7256-13.0721 12.7779-13.0721h26.5846c-10.4951-9.5284-24.4006-15.4221-39.8034-15.4221zm-101.1972,34.9563c-6.0658,18.2675-11.1625,91.5978-11.1625,111.4784 0,53.5621 35.1034,113.6813 35.1034,113.6813s35.1029-60.1196 35.1029-113.6813c0-19.8805-5.0967-93.2109-11.1625-111.4784 15.0489,26.1813 31.725,115.3131 31.725,149.6658 0,6.6247-.807,13.2724-1.9096,19.975h122.7875c6.7553,0 12.1909,5.2434 12.1909,11.8966s-5.4356,12.0438-12.1909,12.0438h-128.5153c-9.5983,30.2299-26.0733,57.6634-37.0125,74.025 8.6799,4.0787 14.8341,12.8084 14.8346,22.9125v.7346h78.4313c2.5935,0 4.5529,2.0234 4.5529,4.5529s-1.9594,4.5534-4.5529,4.5534h-80.6346c-3.9095,9.1039-12.98,15.4216-23.6467,15.4216s-19.7377-6.3177-23.6471-15.4216h-80.6342c-2.594,0-4.5534-2.0238-4.5534-4.5534s1.9594-4.5529 4.5534-4.5529h78.4312v-.7346c0-10.1041 6.1542-18.8338 14.8341-22.9125-10.9392-16.3617-27.4142-43.7951-37.0125-74.025h-128.5153c-6.7553,0-12.1909-5.3899-12.1909-12.0438s5.4356-11.8966 12.1904-11.8971h122.7875c-1.1021-6.7022-1.9091-13.3504-1.9091-19.975 0-34.3523 16.6761-123.4845 31.725-149.6654zm23.9409,26.1437c8.8247,0 16.0091,7.0373 16.0091,15.8625s-7.184,16.0096-16.0091,16.0096-16.0096-7.1844-16.0096-16.0096 7.184-15.8625 16.0091-15.8625zm0,44.3563c8.8251,0 16.0091,7.0373 16.0091,15.8625s-7.184,16.0096-16.0091,16.0096-16.0096-7.1844-16.0096-16.0096 7.1844-15.8625 16.0096-15.862zm-.0005,44.3562c8.8256,0 16.0096,7.0373 16.0096,15.8625s-7.184,16.0096-16.0091,16.0096-16.0096-7.1844-16.0096-16.0096 7.184-15.8625 16.0096-15.8625zm.0005,159.8c-8.8256,0-16.0096,7.0373-16.0096,15.8625s7.1844,16.0096 16.0096,16.0096 16.0091-7.1845 16.0091-16.0096-7.184-15.8625-16.0091-15.8625z"}}]})(props);
};
function GiAbstract004 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,491c15.6613-29.061 114.9027-51.4062 235-51.4062s219.3387,22.3452 235,51.4062h-470zm61.2471-42.0062c6.9255-6.3939 15.6473-12.3699 25.7029-17.7716l9.6938-168.6125c-26.0902-5.6099-45.6779-29.6133-45.6779-58.3096 0-31.2109 23.2297-56.7041 52.7279-59.1904l4.7001-79.4595 4.7,79.4595c29.4982,2.4863 52.7284,27.9796 52.7284,59.1904 0,28.6963-19.5881,52.6997-45.6784,58.3096l8.6659,151.7217c24.5914-7.2996 53.1453-12.0626 83.8654-13.6592l10.575-182.7125c-26.0902-5.61-45.6779-29.6133-45.6779-58.3096 0-31.2108 23.2297-56.7041 52.7279-59.1904l4.7-79.4596 4.7001,79.4596c29.4981,2.4863 52.7284,27.9796 52.7284,59.1904 0,28.6964-19.5882,52.6997-45.6784,58.3096l10.575,182.7125c30.6995,1.5886 59.1359,6.3755 83.7188,13.6592l8.6659-151.7217c-26.0902-5.6099-45.6784-29.6133-45.6784-58.3096 0-31.2109 23.2297-56.7041 52.7284-59.1904l4.7-79.4595 4.7,79.4595c29.4982,2.4863 52.7279,27.9796 52.7279,59.1904 0,28.6963-19.5882,52.6997-45.678,58.3096l9.6938,168.6125c10.1309,5.4271 18.8851,11.3392 25.85,17.7716-38.6767-12.1857-101.9834-20.2688-173.7534-20.2688-71.7577,0-135.071,8.0835-173.7529,20.2688zm47.1467-190.6437c28.8171,0 52.1409-24.1815 52.1409-54.05s-23.3238-54.05-52.1409-54.05-52.2875,24.182-52.2875,54.05 23.4704,54.05 52.2875,54.05zm253.0659,0c28.8166,0 52.1404-24.1815 52.1404-54.05s-23.3237-54.05-52.1404-54.05-52.2875,24.182-52.2875,54.05 23.4704,54.05 52.2875,54.05zm-253.0659-9.4c-23.774,0-43.0342-20.0084-43.0342-44.65s19.2602-44.6501 43.0342-44.6501 43.0346,20.0089 43.0346,44.6501-19.2606,44.65-43.0346,44.65zm253.0659,0c-23.774,0-43.0346-20.0084-43.0346-44.65s19.2606-44.6501 43.0346-44.6501 43.0341,20.0089 43.0341,44.6501-19.2601,44.65-43.0341,44.65zm-126.4596-35.25c28.8172,0 52.1409-24.1815 52.1409-54.05s-23.3237-54.05-52.1409-54.05-52.2875,24.182-52.2875,54.05 23.4704,54.05 52.2875,54.05zm0-9.3999c-23.774,0-43.0341-20.0084-43.0341-44.6501s19.2601-44.5029 43.0341-44.5029 43.0346,19.8618 43.0346,44.5029-19.2606,44.6501-43.0346,44.6501z"}}]})(props);
};
function GiAbstract005 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21-235,119.5562c35.3919,5.4586 74.4386,9.6712 116.0312,12.4842l107.3659-112.0654-90.3284,113.0937c12.7498.7295 25.7697,1.2935 38.9221,1.7625 9.8475-25.2169 34.3058-43.1813 63.0091-43.1813s53.1622,17.9643 63.0096,43.1813c13.1647-.4699 26.1602-1.0316 38.9217-1.7625l-90.3279-113.0937 107.3654,112.0654c41.587-2.8144 80.6158-7.0246 116.0312-12.4842l-235-119.5562zm0,107.8063c-28.4594,0-51.5528,23.0934-51.5528,51.5529s23.0934,51.5533 51.5528,51.5533 51.5534-23.0939 51.5534-51.5533-23.0935-51.5529-51.5534-51.5529zm-234.7062,17.3312 38.4812,56.5466c1.5407-.8526 3.1509-1.5942 4.8471-2.0562 1.6319-.4468 3.3022-.8225 4.9938-.8813 25.372-.8779 56.6476,40.8863 72.1154,97.6722 3.3699,12.3708 5.6611,24.4513 7.05,35.9841l107.2187,157.5971 107.3659-157.7438c1.3916-11.4877 3.6951-23.5207 7.05-35.8374 15.4677-56.7859 46.8905-98.5501 72.2625-97.6722 1.6916.0577 3.3614.4367 4.9937.8813 1.6319.4468 3.0663,1.1026 4.553,1.9096l38.4812-56.4c-33.7423,8.1079-72.561,14.4308-114.7092,18.6529l-108.3937,279.3563 89.8875-277.5937c-11.3745.9461-23.0314,1.723-34.8096,2.35 .6378,3.7318 1.0284,7.5426 1.0284,11.4563 0,37.388-30.3216,67.7096-67.7097,67.7096s-67.7091-30.3215-67.7091-67.7096c0-3.9137.3899-7.7245 1.0279-11.4563-11.7928-.6263-23.422-1.4034-34.8091-2.35l89.8875,277.5937-108.3937-279.3563c-42.1553-4.2201-80.9885-10.5463-114.7096-18.6529zm52.5813,71.0875c-.8775.0987-1.6304.263-2.4967.4418-2.7251.5628-5.3491,1.7202-7.7846,3.3779 19.5365,17.5766 33.2093,78.7508 32.1658,152.0158-.5354,37.6014-4.7916,72.2766-11.6033,99.7279 9.3986,10.5595 19.2169,15.8992 28.6408,13.9534 27.7145-5.7233 41.0052-70.5024 29.5217-144.8188-10.7654-69.6719-39.4306-123.0314-65.8-124.6971-.8789-.0577-1.7658-.0987-2.6437,0zm361.7533,0c-26.3689,1.6657-55.0342,55.0248-65.8,124.6967-11.4835,74.3168 1.8076,139.096 29.5217,144.8187 9.4244,1.9463 19.2422-3.3934 28.6409-13.9528-6.8112-27.4518-11.0676-62.1265-11.6034-99.7284-1.0434-73.2646 12.6294-134.4388 32.1659-152.0154-2.4351-1.6582-5.0596-2.8153-7.7846-3.3783-.8657-.1787-1.6191-.343-2.4966-.4418s-1.7648-.0577-2.6438,0z"}}]})(props);
};
function GiAbstract006 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21.0019c2.7392,17.4074 5.2367,36.0635 7.3461,55.6826 11.7805-4.1529 24.4004-6.4644 37.6116-6.4644 62.3641,0 112.8349,50.4708 112.8349,112.8344s-50.4708,112.981-112.8349,112.981c-10.0406,0-19.8292-1.2304-29.0901-3.673-.5081,26.6132-1.5326,52.2714-3.0855,76.9857 21.9019-4.496 44.5427-6.8841 66.996-6.9052 22.8941,0 45.6598,2.3279 67.4363,7.0523 23.7368,5.217 45.337,12.7412 66.7022,19.6873 21.2721,6.8526 42.4954,13.3517 64.7916,16.1613 34.9303,4.4645 72.5781-.0505 104.7542-13.0758-30.3102,15.2726-68.1037,22.9157-105.9297,20.8623-24.0785-1.3447-47.4134-6.3027-69.7872-11.7538-22.5214-5.4252-44.5249-11.3486-66.408-14.3979-44.3533-6.3003-90.8319-1.2723-130.6121,12.4884-.3574,4.3592-.7863,8.7983-1.1755,13.0758 30.611-9.4648 63.3718-14.3679 95.9389-14.3984 22.8941,0 45.5132,2.328 67.2896,7.0523 23.7368,5.217 45.4841,12.8883 66.8488,19.8339 21.2721,6.8526 42.4958,13.2051 64.7921,16.0143 34.9303,4.4645 72.5781-.0505 104.7542-13.0759-30.3106,15.2731-68.1041,22.9158-105.9296,20.8628-24.0785-1.3451-47.4134-6.3027-69.7873-11.7538-22.5213-5.4252-44.5248-11.2019-66.4079-14.2513-56.4078-8.0121-116.2147,2.3618-161.3185,25.7113-1.7418,14.7485-3.6213,29.0468-5.7302,42.4597 64.8475-10.1741 146.2861-16.3081 235.073-16.3081 88.7221,0 170.1008,6.1471 234.9254,16.3081-6.8295-43.5722-11.6959-94.7122-14.2513-150.4456-20.7753,7.5134-43.1825,11.6066-66.5546,11.6066-108.1499,0-195.845-87.6946-195.845-195.8441 0-44.8237 15.1823-86.02 40.55-119.0045-88.325-.0576-169.3395-6.1495-233.8976-16.3085zm469.9984,0c-54.5381,8.5742-120.8591,14.1305-193.347,15.7205-31.8645,29.9568-51.8629,72.4079-51.8629,119.5925 0,90.7826 73.621,164.4031 164.4041,164.4031 23.2193,0 45.2157-4.8316 65.2324-13.5167-.4137-15.1626-.6947-30.5926-.7346-46.2793-3.3995,2.1038-6.8103,4.1031-10.4312,5.8769-.24.1175-.4958.1787-.7346.2962-1.402.6753-2.8299,1.4335-4.261,2.0567-.3856.1643-.7906.2775-1.1755.4418-1.2981.5499-2.6461,1.1102-3.9668,1.6159-.3337.1268-.6954.1694-1.0283.2962-3.0922,1.1543-6.1984,2.1789-9.4028,3.0855-1.6079.4562-3.2148.932-4.8485,1.3221-.1549.0432-.2868.1124-.4418.1456-.5974.1412-1.1623.3099-1.763.4418-1.2394.2724-2.5666.5009-3.8202.7346-1.2901.24-2.6626.3899-3.9668.5881-.5052.075-.9617.2205-1.4692.2962-.5924.0843-1.1675.0721-1.763.1456-3.0047.3762-6.0414.7257-9.109.8813h-.5873c-1.9031.0894-3.8056.1456-5.7302.1456-67.8894,0-122.8252-55.0819-122.8252-122.9714 0-2.1216.0432-4.2229.1456-6.3177 1.1661-23.0445 8.7288-44.4731 20.8628-62.4407 1.1031-1.6337 2.2005-3.1255 3.3788-4.7014 22.3884-29.9464 58.1275-49.3653 98.437-49.3653 2.1352,0 4.2088.0504 6.3177.1456 3.0677.1549 6.1044.5059 9.1091.8817 .5751.0721 1.1896.0649 1.763.1456 .5016.0721.9691.2162 1.4692.2962 1.3531.2068 2.6283.3387 3.9668.5873 .529.0987 1.0899.1881 1.6158.2962 1.3033.2587 2.679.5801 3.9673.8817 .1506.0504.2912.1124.4418.1456 1.6338.3899 3.2402.8686 4.8481,1.3221 3.5537,1.0053 7.0166,2.0703 10.4316,3.3793 1.3348.5095 2.6546,1.0623 3.9668,1.6159 .3805.16.7971.2775 1.1755.4418 .6075.263 1.1605.6082 1.763.8817 6.0325,2.7434 11.8732,5.907 17.3364,9.55 .2018.1362.3856.3056.5881.4418 1.2897.8709 2.5657,1.7263 3.8197,2.6442 .0894.0649.2068.0843.2962.1456 .908.6681 1.7719,1.3658 2.6447,2.0572 1.6097-13.2648 3.3816-26.1875 5.2893-38.3463zm-80.8058,69.6402c-36.3135,0-65.6739,29.3603-65.6739,65.6728s29.3603,65.82 65.6739,65.82 65.8199-29.5069 65.8199-65.82-29.5069-65.6728-65.8199-65.6728zm-344.2349,12.4883c-12.3224,0-23.9426,2.8054-34.3794,7.7865 3.7181,44.7589 5.7302,93.6462 5.7302,145.1566 0,.6435.0004,1.2671 0,1.9101 8.8933,3.4075 18.5701,5.2889 28.6492,5.2889 44.2076,0 79.9246-35.8642 79.9246-80.0713s-35.7171-80.0708-79.9246-80.0708z"}}]})(props);
};
function GiAbstract007 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21-33.6774,69.8895c-54.0932-1.1139-131.5117-30.7728-174.4697-45.7512 4.2394,29.907 36.159,99.7767 37.9798,136.6915l-64.8328,13.473 66.3165,71.8541c-.5592,58.8802-40.0501,135.8968-55.7829,177.2497 13.5041-1.7212 72.9764-22.5323 87.9765-23.8577l-6.5279,70.4511 116.0167-65.5391c-1.1275-3.2064-1.7803-6.6524-1.7803-10.2451 0-16.3508 12.6393-29.6772 28.7814-30.8748 16.1426,1.1976 28.7818,14.524 28.7818,30.8748 0,3.5927-.6529,7.0387-1.7803,10.2451l116.0162,65.5391-6.5278-70.4511c15.0005,1.3254 74.4729,22.1365 87.977,23.8577-15.7328-41.3529-55.2236-118.3695-55.7829-177.2497l66.316-71.8541-64.8327-13.473c1.8212-36.9148 33.7408-106.7845 37.9802-136.6915-42.958,14.9784-120.3764,44.6373-174.4702,45.7512l-33.6773-69.8895zm-178.475,56.9781c36.495,14.6047 92.4358,33.9082 132.039,35.2255l-11.5719,20.0685c11.7148,4.4603 20.0281,15.5476 20.0281,28.7697 0,17.1399-14.0511,31.0153-31.3034,31.0153-15.5058,0-28.27-11.2532-30.7103-25.9628l-46.8816,9.8235c-1.6412-26.0262-20.3698-71.5203-31.5999-98.9397zm356.9504,0c-11.2307,27.4194-29.9592,72.9134-31.6004,98.9397l-46.8811-9.8235c-2.4407,14.7096-15.2045,25.9628-30.7103,25.9628-17.2528,0-31.3039-13.8753-31.3039-31.0153 0-13.2221 8.3139-24.3094 20.0286-28.7697l-11.5719-20.0685c39.6026-1.3174 95.544-20.6208 132.039-35.2255zm-178.4754,82.8009 25.6662,44.4878c-5.4487,2.0746-9.1984,7.1825-9.1984,13.3325 0,7.9717 6.5147,14.4548 14.5395,14.4548 7.2117,0 13.1074-5.0873 14.2425-11.9291l62.7553,13.0519-42.7272,46.3124c-2.6541-3.6185-7.0218-5.7542-11.8684-5.7542-8.0243,0-14.5395,6.3432-14.5395,14.3148s6.5151,14.4553 14.5395,14.4553c1.6374,0 3.1269-.3481 4.5989-.8422l7.2695,62.8723-53.8541-24.4193c.5246-1.4913.5931-2.9601.5931-4.6309 0-7.1543-5.1644-12.9202-12.017-14.0342-6.8526,1.1139-12.017,6.8799-12.017,14.0342 0,1.6709.0721,3.1396.5938,4.6309l-53.8545,24.4193 7.27-62.8723c1.472.4951 2.961.8422 4.5989.8422 8.0243,0 14.5389-6.4832 14.5389-14.4553s-6.5146-14.3148-14.5389-14.3148c-4.8466,0-9.2148,2.1357-11.8689,5.7542l-42.7272-46.3124 62.7558-13.0519c1.135,6.8418 7.0308,11.9291 14.2424,11.9291 8.0243,0 14.539-6.4832 14.539-14.4548 0-6.1499-3.7492-11.2579-9.1979-13.3325l25.6658-44.4878zm-119.577,120.5522c5.1992,0 10.0341,1.1731 14.391,3.2279 .9202.4324 1.8019.8916 2.6705,1.4034 .3387.1975.7084.3481 1.0383.5614 .0894.0504.2068.0843.2962.1412 9.0099,5.4337 14.9845,15.2632 14.9845,26.5244 0,17.14-13.9031,31.0153-31.1553,31.0153-3.5218,0-6.9232-.6198-10.0885-1.6841l-6.5279,56.1359c-6.8234.7171-40.9097,9.1466-47.3262,9.9644 8.4948-20.5639 18.9058-58.4426 29.5231-92.3442-.2018-1.3921-.2962-2.7645-.2962-4.2102 0-7.0932 2.5558-13.6056 6.8249-18.8056 .0504-.1787.1081-.3856.1506-.5614l.1506.1412c5.9521-7.0068 15.1274-11.508 25.3692-11.508zm239.1539,0c10.2423,0 19.4171,4.5011 25.3697,11.5079l.1506-.1413c.0505.1787.1081.3856.1506.5614 4.2685,5.1996 6.8244,11.712 6.8244,18.8052 0,1.4457-.0937,2.8181-.2962,4.2102 10.6173,33.9016 21.0283,71.7803 29.5236,92.3442-6.4169-.8178-40.5028-9.2472-47.3267-9.964l-6.5278-56.1363c-3.1655,1.0646-6.5669,1.6841-10.0881,1.6841-17.2528,0-31.1554-13.8754-31.1554-31.0153 0-11.2612 5.9742-21.0907 14.9841-26.5244 .0894-.0577.2068-.0843.2962-.1412 .3286-.2112.7005-.3618 1.0387-.5614 .868-.5117 1.7498-.9691 2.6701-1.4034 4.3574-2.0548 9.1917-3.2279 14.3909-3.2279z"}}]})(props);
};
function GiAbstract008 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m255.8531,490.9997c0,0-26.2829-69.0378-29.5035-124.4032-30.5542,46.3457-87.9231,93.1186-87.9231,93.1186s11.8435-72.9391 36.8427-122.4936c-49.7052,24.9236-122.8574,36.7187-122.8574,36.7187s46.8641-57.2238 93.3536-87.684c-55.5332-3.211-124.7655-29.3749-124.7655-29.3749s88.4863-33.5166 145.6091-29.375c1.1411.0843 2.2733.3149 3.376.4418-.4043,3.3713-.7341,6.8019-.7341,10.2812 0,47.6622 38.7947,86.2152 86.6022,86.2152h.147 .147c47.8074,0 86.602-38.5531 86.602-86.2152 0-3.4794-.3322-6.91-.7339-10.2812 1.1026-.1268 2.2348-.3574 3.376-.4418 57.1225-4.1417 145.6088,29.375 145.6088,29.375s-69.2319,26.1639-124.7656,29.3749c46.4898,30.4602 93.3541,87.684 93.3541,87.684s-73.1524-11.7951-122.8575-36.7187c24.9993,49.5544 36.8426,122.4936 36.8426,122.4936s-57.3688-46.7729-87.923-93.1186c-3.2206,55.3654-29.5034,124.4032-29.5034,124.4032l-.147-.4418-.147.4418zm-4.4035-184.7685c-4.3345-.2587-8.5328-.9292-12.6234-1.9096v-47.5874c0-7.6337-6.2593-13.8062-14.0912-13.8062s-14.0912,6.1725-14.0912,13.8062v33.6346c-16.6112-13.2681-27.3016-33.6581-27.3016-56.547 0-9.2505 1.8287-18.0222 4.9906-26.1437 2.2281-.9358 4.4513-1.896 6.6053-3.0842 13.8211-7.7804 23.671-21.5584 29.7969-35.8374 8.8157-20.5494 31.2648-147.7561 31.2648-147.7561s22.4492,127.2067 31.2648,147.7561c6.126,14.279 15.9759,28.057 29.797,35.8374 2.1539,1.1882 4.3771,2.1484 6.6052,3.0842 3.1619,8.1215 4.9907,16.8932 4.9907,26.1437 0,22.8889-10.6905,43.2789-27.3017,56.547v-33.6346c0-7.6337-6.2594-13.8062-14.0912-13.8062s-14.0911,6.1725-14.0911,13.8062v47.5874c-4.0907.9805-8.289,1.6526-12.6234,1.9096-1.4448.0843-2.9387,0-4.4035,0h-.147-.147c-1.4648,0-2.9587.0843-4.4035,0zm-95.7027-104.7219c-1.4204.0432-2.8383-.0987-4.2568-.1456-6.8065-.2493-13.5844-1.5406-19.9623-3.9654-16.9665-6.5964-29.8694-20.1696-35.5216-36.5721-5.4867-17.6753-3.2284-34.1172-2.4952-48.6153 .2349-7.2248.0504-14.1803-1.4679-20.7096-1.5143-6.4785-4.2483-12.9123-8.8068-17.4779-6.1279-6.3257-16.1572-9.447-25.5403-7.6375-9.3924,1.7761-18.1199,8.646-22.1642,18.2125 2.6358-10.0514 10.6374-18.8051 21.1368-22.4721 10.5078-3.634 22.9276-1.8964 32.4389,5.2875 6.7887,5.2362 11.6024,12.5278 14.5314,20.4158 2.9446,7.8391 4.3588,16.127 5.1376,23.9404 1.8193,15.5767 1.6365,30.3619 7.4856,40.5374 4.8476,9.392 14.5042,16.4519 23.9258,18.3595 9.3803,2.037 19.7-.6234 26.421-6.1687 6.8083-5.4064 11.3415-14.5023 11.3021-22.325 .0843-4.3315-1.2367-8.8802-3.229-12.7783-1.4546.1549-2.9088.1456-4.4039.1456-23.1324,0-41.9799-18.8832-41.9799-42.1528s18.8474-42.0062 41.9799-42.0062 41.8334,18.7361 41.8334,42.0062c0,4.9542-.7858,9.6829-2.3485,14.1 7.7755,14.2185 10.5021,30.4089 7.6326,46.1187-3.8108,19.7907-15.9485,36.3751-32.5858,45.8249-9.1465,5.0911-19.1194,7.7625-29.0632,8.0779zm200.5058,0c-9.9435-.3149-19.9168-2.9869-29.0631-8.0779-16.6372-9.4498-28.775-26.0342-32.5858-45.825-2.8693-15.7097-.1427-31.9003 7.6327-46.1186-1.5628-4.4171-2.3486-9.1457-2.3486-14.1 0-23.2701 18.7006-42.0062 41.8332-42.0062s41.98,18.7361 41.98,42.0062-18.8474,42.1529-41.98,42.1529c-1.4947,0-2.9492.005-4.4035-.1456-1.9924,3.8981-3.3138,8.4468-3.2292,12.7783-.036,7.8227 4.494,16.9186 11.3023,22.3249 6.7207,5.5455 17.0405,8.2057 26.421,6.1688 9.4217-1.9077 19.0784-8.9676 23.9257-18.3595 5.8495-10.1755 5.6664-24.9608 7.4859-40.5374 .7788-7.8133 2.193-16.1013 5.1374-23.9404 2.9292-7.888 7.743-15.1796 14.5316-20.4159 9.5113-7.1839 21.931-8.9215 32.439-5.2874 10.4992,3.6669 18.5009,12.4207 21.1368,22.4721-4.0447-9.5664-12.772-16.4364-22.1642-18.2125-9.3834-1.8095-19.4124,1.3118-25.5403,7.6375-4.5588,4.5656-7.2928,10.9994-8.807,17.4779-1.5007,6.5292-1.7037,13.4847-1.4679,20.7096 .7333,14.4981 2.9915,30.94-2.4953,48.6153-5.6523,16.4025-18.5552,29.9757-35.5215,36.5721-6.3779,2.4247-13.1558,3.7177-19.9625,3.9654-1.4181.0504-2.8363.1924-4.2567.1456z"}}]})(props);
};
function GiAbstract009 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,256c0,42.8085 11.2622,82.9653 30.9904,117.6466v-235.2933c-19.7283,34.6813-30.9904,74.8377-30.9904,117.6467zm45.2375,139.6784c3.4291,4.7273 7.1097,9.3516 10.8687,13.8058v-306.9683c-3.759,4.4537-7.4396,9.079-10.8687,13.8057zm16.5967,20.4154c36.1509,39.7705 85.5442,67.1113 141.1471,74.9062v-69.0312h-49.6438c-25.4035,0-45.9721-20.547-45.9721-46.1187s20.5686-46.1187 45.9721-46.1187h49.6438v-27.4654h-49.6438c-25.4035,0-45.9721-20.6941-45.9721-46.2659s20.5686-46.1187 45.9721-46.1187h49.6438v-27.4654h-49.6438c-25.4035,0-45.9721-20.5465-45.9721-46.1192s20.5686-46.1183 45.9721-46.1183h49.6438v-69.1784c-55.6029,7.7954-104.9962,35.1362-141.1471,74.9062zm61.2471-40.2437c0,18.165 14.7073,32.6063 32.7529,32.6063h173.1137v-65.3596h-173.1137c-18.0456,0-32.7529,14.5883-32.7529,32.7534zm0-119.85c0,18.165 14.7073,32.7534 32.7529,32.7534h95.9519v-65.5067h-95.9519c-18.0456,0-32.7529,14.5883-32.7529,32.7534zm0-119.7034c0,18.166 14.7073,32.6067 32.7529,32.6067h139.534v-65.3596h-139.534c-18.0456,0-32.7529,14.5892-32.7529,32.7529zm211.5945,272.1596h102.718c18.0452,0 32.6063-14.4412 32.6063-32.6063 0-18.165-14.5611-32.7534-32.6063-32.7534h-102.718zm-77.1618-119.7029h179.8798c18.0452,0 32.6063-14.5883 32.6063-32.7534 0-18.165-14.5611-32.7534-32.6063-32.7534h-179.8798zm43.5822-119.85h136.2976c18.0452,0 32.6063-14.4407 32.6063-32.6067 0-18.1641-14.5611-32.7529-32.6063-32.7529h-136.2976zm44.2068,220.4592c0-6.909 5.1239-12.4841 11.4562-12.4841h82.838c6.3337,0 11.4563,5.5751 11.4563,12.4841s-5.1226,12.3375-11.4563,12.3375h-82.838c-6.3323,0-11.4562-5.4285-11.4562-12.3375zm0-133.2159c0-6.9081 5.1239-12.6308 11.4562-12.6308h82.838c6.3337,0 11.4563,5.7227 11.4563,12.6308s-5.1226,12.4846-11.4563,12.4846h-82.838c-6.3323,0-11.4562-5.5747-11.4562-12.4846zm0-133.3625c0-6.9081 5.1239-12.4841 11.4562-12.4841h82.838c6.3337,0 11.4563,5.5765 11.4563,12.4841s-5.1226,12.4846-11.4563,12.4846h-82.838c-6.3323,0-11.4562-5.5747-11.4562-12.4846z"}}]})(props);
};
function GiAbstract010 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m285.375,21c21.1833,2.7415 41.5997,8.1197 60.6596,16.0096l-36.8659,97.6716c8.3712,3.7328 16.4425,8.3688 23.7937,13.6597l66.5346-80.6347c16.7005,12.7309 31.5572,27.6003 44.3557,44.2097l-80.9278,66.2404c5.3204,7.3085 9.9043,15.1796 13.6596,23.5l98.1125-36.5716c7.9783,19.0472 13.5604,39.1886 16.3029,60.3653l-103.4,16.8908c.4699,4.5176.5873,9.0184.5873,13.6592 0,4.5891-.1268,9.1918-.5873,13.6597l103.4,17.0375c-2.7425,21.1777-8.3251,41.3191-16.3029,60.3653l-98.1125-36.7188c-3.7671,8.3684-8.3115,16.3001-13.6596,23.6472l80.9278,66.2404c-12.8047,16.6042-27.6552,31.4773-44.3557,44.2096l-66.5346-80.6346c-7.3513,5.2894-15.4225,9.926-23.7937,13.6596l36.8659,97.6717c-19.0599,7.8894-39.4763,13.1215-60.6596,15.8625l-17.0375-102.5188c-4.0627.4137-8.1884.5621-12.3375.5873-4.1482-.0504-8.2748-.1737-12.3375-.5873l-17.0375,102.5188c-21.1834-2.7411-41.5997-7.9731-60.6596-15.8625l36.8658-97.6717c-8.3711-3.7336-16.442-8.3702-23.7937-13.6596l-66.5346,80.6346c-16.7009-12.7323-31.5516-27.6054-44.3557-44.2096l80.9278-66.2404c-5.3481-7.3471-9.8925-15.2788-13.6596-23.6472l-98.1125,36.7188c-7.9778-19.0463-13.5604-39.1876-16.3028-60.3654l103.4-17.0375c-.4605-4.4678-.5874-9.0706-.5874-13.6597 0-4.6407.1175-9.1415.5874-13.6592l-103.4-16.8908c2.7424-21.1768 8.3246-41.3181 16.3028-60.3653l98.1125,36.5716c3.7553-8.3204 8.3392-16.1915 13.6596-23.5l-80.9278-66.2404c12.7981-16.6094 27.6548-31.4787 44.3557-44.2097l66.5346,80.6347c7.3517-5.2908 15.4226-9.9269 23.7937-13.6597l-36.8658-97.6716c19.0599-7.8899 39.4762-13.2681 60.6596-16.0096l17.0375,102.6658c4.0617-.418 8.1884-.5643 12.3375-.5874 4.1501.0432 8.2753.1694 12.3375.5874l17.0375-102.6658zm-29.375,119.1158c-63.7268.7826-115.0038,52.3472-115.0029,115.8841l33.9279-2.4966c0,44.8573 36.1486,77.5575 81.075,78.4312 44.9273-.8737 81.075-33.574 81.075-78.4312l33.9279,2.4966c.0009-63.5369-51.2751-115.1016-115.0029-115.8841zm22.9125,18.0654c35.3163,0 46.5596,65.7187 46.5596,97.525 0,40.2292-30.8926,61.5348-69.4721,62.4221-38.5785-.8874-69.4721-22.1929-69.4721-62.4221 0-31.8063 11.2433-97.525 46.5596-97.525v53.6096c0,13.544 10.0726,24.5364 22.9125,25.4092 12.8409-.8728 22.9125-11.8652 22.9125-25.4092v-53.6096z"}}]})(props);
};
function GiAbstract011 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,20.9995-5.7284,28.6404-187.4125-25.7029c-.69-.0937-1.3776-.1413-2.0562-.1456-10.1821-.0843-18.8287,9.564-18.0654,19.6813l11.8966,157.8904c-19.8251,9.2769-33.6341,30.2361-33.6341,54.6376s13.8091,45.3202 33.6341,54.6375l-11.8966,157.8909c-.8136,10.7916 9.0799,21.0532 20.1216,19.5341l187.4125-25.7029 5.7284,28.6404 5.7279-28.6404 187.4125,25.7029c11.0417,1.5191 20.9352-8.7425 20.1221-19.5341l-11.8971-158.0377c19.7724-9.3596 33.6346-30.1618 33.6346-54.4908s-13.8622-45.1718-33.6346-54.4904l11.8971-158.0375c.7619-10.1172-7.8838-19.7672-18.0659-19.6813-.6786.004-1.3663.0504-2.0562.1456l-187.4125,25.7029-5.7279-28.6404zm-187.5596,19.6813 179.9221,18.0654-5.2875,26.5846-63.7442-21.2971 50.8192,42.8875-50.8192,43.0346 63.7442-21.2971 12.925,64.3312 12.925-64.3312 63.7433,21.2971-50.8183-43.0346 50.8183-42.8875-63.7433,21.2971-5.2875-26.5846 179.9216-18.0654c4.6427.2112 8.2133,3.5791 8.5188,8.0779l-5.2875,148.9312c-4.011-.9485-8.2038-1.4687-12.4846-1.4687-18.0922,0-34.1441,8.9944-44.5029,22.9124 8.6494-14.5352 22.3527-25.2582 38.3346-29.0812v-116.4716c0-.0505-.1457-.7347-.1457-.7347s-18.7192,53.9917-21.0029,97.2313c-21.6703-36.198-62.4221-72.7029-62.4221-72.7029s8.5592,57.0608 26.2904,95.7625c-35.2542-19.4651-87.2433-28.7875-87.2433-28.7875s33.2685,44.8005 66.2404,68.5905c-39.3888,2.5079-88.5654,22.9124-88.5654,22.9124l.4418.1456h-.4418c0,0 49.1766,20.5522 88.5654,23.0596-32.9719,23.7905-66.2404,68.5904-66.2404,68.5904s51.989-9.322 87.2433-28.7875c-17.7312,38.7021-26.2904,95.7625-26.2904,95.7625s40.7514-36.652 62.4221-72.85c2.2847,43.2395 21.0029,97.2312 21.0029,97.2312s.1363-.7041.1457-.7341v-116.325c-16.1196-3.8554-29.8445-14.6142-38.4817-29.375 10.3494,14.1235 26.4281,23.2063 44.65,23.2063 4.2808,0 8.4736-.516 12.4846-1.4687l5.2875,148.9312c-.3055,4.4988-3.8761,7.8678-8.5188,8.0779l-179.9216-18.0654 5.2875-26.5846 63.7433,21.4437-50.8183-43.0341 50.8183-42.8875-63.7433,21.15-12.925-64.3312-12.925,64.3312-63.7442-21.15 50.8192,42.8875-50.8192,43.0341 63.7442-21.4437 5.2875,26.5846-179.9221,18.0654c-4.6427-.2112-8.2128-3.579-8.5188-8.0779l5.2875-148.9312c3.964.9315 8.1061,1.4687 12.3375,1.4687 17.5639,0 33.3601-8.3336 43.7687-21.5909-8.7067,13.928-21.9311,24.0476-37.4529,27.7597v116.325c0,.0432.1457.7341.1457.7341s18.5721-53.9917 20.8563-97.2313c21.6708,36.198 62.4221,72.85 62.4221,72.85s-8.4125-57.0604-26.1442-95.7625c35.2556,19.4655 87.2442,28.7875 87.2442,28.7875s-33.2685-44.7999-66.2409-68.5904c39.3893-2.5074 88.4188-23.0596 88.4188-23.0596h-.2914l.2914-.1456c0,0-49.0294-20.4046-88.4188-22.9125 32.9724-23.79 66.2409-68.5904 66.2409-68.5904s-51.9881,9.3225-87.2442,28.7875c17.7317-38.7017 26.1442-95.7626 26.1442-95.7626s-40.7514,36.5049-62.4221,72.703c-2.2842-43.2396-20.8562-97.2313-20.8562-97.2313s-.1363.7048-.1457.7347v116.4716c15.5217,3.713 28.7461,13.8631 37.4529,27.7596-10.4086-13.2257-26.2048-21.5908-43.7687-21.5908-4.2314,0-8.3735.5412-12.3375,1.4687l-5.2875-148.9312c.3055-4.4988 3.8761-7.8678 8.5187-8.0779zm187.5596,49.6438c9.4874,0 17.1841,7.3893 17.1841,16.5966s-7.6972,16.7438-17.1841,16.7438-17.1846-7.5359-17.1846-16.7438 7.6977-16.5966 17.1846-16.5966zm-159.6534,135.8591c15.5349,0 28.2,13.3052 28.2,29.8159s-12.6651,29.6687-28.2,29.6687-28.0534-13.1581-28.0534-29.6687 12.5189-29.8159 28.0534-29.8159zm319.1591,0c15.5349,0 28.0534,13.3052 28.0534,29.8159s-12.5184,29.6687-28.0534,29.6687c-15.5344,0-28.2-13.1581-28.2-29.6687s12.6656-29.8159 28.2-29.8159zm-159.5058,162.15c9.486,0 17.1841,7.5364 17.1841,16.7437s-7.6972,16.5972-17.1841,16.5972-17.1846-7.3899-17.1846-16.5972 7.6977-16.7437 17.1846-16.7437z"}}]})(props);
};
function GiAbstract012 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m75.05,21c-29.9639,0-54.05,24.0861-54.05,54.05v136.4469h71.9688c14.4985,0 26.1437,11.645 26.1437,26.1438v7.05h85.1876v-15.7157h197.1063c6.5438,0 11.7499,2.7085 11.7499,6.1688v41.7125c0,3.4602-5.2061,6.1687-11.7499,6.1687h-197.1063v-15.7156h-85.1876v7.05c0,14.4987-11.6452,26.1438-26.1437,26.1438h-71.9688v136.3c0,29.964 24.0861,54.1969 54.05,54.1969h106.7779v-99.4343h-30.2558c-17.2856,0-31.1375-14.0009-31.1375-31.2844v-2.35h345.1558c14.1023,0 25.4096-10.6587 25.4096-23.6469v-33.3406-90.0344-33.3406c0-12.9882-11.3064-23.5-25.4096-23.5h-345.1558v-2.4969c0-17.2835 13.8519-31.1375 31.1375-31.1375h30.2558v-99.4343h-106.7779zm129.2501,0v99.4343h286.7v-45.3843c0-29.964-24.0861-54.05-54.05-54.05h-232.65zm52.5812,25.7031c.8507-.0865 1.7705,0 2.6438,0 13.9717,0 25.2625,11.2905 25.2625,25.2625s-11.2908,25.2625-25.2625,25.2625-25.4096-11.2905-25.4096-25.2625c0-13.0988 10.0091-23.9669 22.7659-25.2625zm80.3409,0c.8502-.0865 1.7715,0 2.6433,0 13.9731,0 25.2625,11.2905 25.2625,25.2625s-11.2894,25.2625-25.2625,25.2625-25.4092-11.2905-25.4092-25.2625c0-13.0988 10.0082-23.9669 22.7659-25.2625zm80.1933,0c.8516-.0865 1.7705,0 2.6442,0 13.9712,0 25.2625,11.2905 25.2625,25.2625s-11.2913,25.2625-25.2625,25.2625-25.4096-11.2905-25.4096-25.2625c0-13.0988 10.0105-23.9669 22.7654-25.2625zm-213.1154,344.8626v99.4343h232.65c29.9639,0 54.05-24.2329 54.05-54.1969v-45.2375h-286.7zm55.225,23.2062c13.9721,0 25.2625,11.2905 25.2625,25.2625s-11.2903,25.4093-25.2625,25.4093-25.4096-11.4373-25.4096-25.4093 11.4375-25.2625 25.4096-25.2625zm80.3404,0c13.9731,0 25.2625,11.2905 25.2625,25.2625s-11.2894,25.4093-25.2625,25.4093-25.4092-11.4373-25.4092-25.4093 11.437-25.2625 25.4092-25.2625zm80.1942,0c13.9722,0 25.2625,11.2905 25.2625,25.2625s-11.2903,25.4093-25.2625,25.4093-25.4096-11.4373-25.4096-25.4093 11.436-25.2625 25.4096-25.2625z"}}]})(props);
};
function GiAbstract013 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21c-129.7644,0-235,105.1923-235,235s105.2356,235 235,235 235-105.1923 235-235-105.2356-235-235-235zm14.8344,21.15 8.6657,45.3843 17.9187-35.5437 2.6438,39.8031 25.4094-38.3344-3.3781,45.825 26.7312-29.9625-7.7844,39.5094 34.3687-30.55-14.8344,43.6219 33.6344-22.1782-17.9187,36.1313 41.2719-20.4156-25.9969,38.0406 38.1875-12.7781-26.5843,30.2563 45.2375-8.6657-34.9562,29.9625 39.9499-2.35-33.0468,22.1781 45.6781,2.9375-41.125,19.975 39.2156,8.225-38.0407,12.7781 43.475,14.9813-45.0906,8.5187 35.6906,17.9187-39.8031,2.6438 38.1875,25.4094-45.825-3.2313 29.8156,26.7313-39.3625-7.9313 30.4031,34.6626-43.475-14.9813 22.0312,33.1938-35.8375-17.625 20.4156,40.9781-38.0407-25.5563 12.4844,38.0407-30.1094-26.4375 8.8125,44.9437-29.9625-34.6625 2.2031,39.95-22.0313-33.0469-2.9375,45.5312-19.975-40.9781-8.225,39.0688-12.925-38.0406-14.8343,43.3281-8.3719-45.0906-18.0656,35.9844-2.6438-39.8031-25.4093,38.0406 3.0843-45.825-26.4374,29.9624 7.7843-39.3625-34.6625,30.2563 15.1281-43.475-33.6344,22.325 17.9188-36.1312-41.2719,20.2688 25.85-37.7469-38.0406,12.6312 26.4375-30.4031-45.0907,8.9594 34.9563-29.9625-40.2438,2.2031 33.3406-22.1782-45.9718-3.0844 41.4187-19.975-39.2156-8.0781 37.8937-12.925-43.6219-14.6875 45.2375-8.8125-35.6906-17.7719 39.9499-2.6438-38.3343-25.4093 45.825,3.2313-29.9625-26.5844 39.5094,7.6375-30.4031-34.5156 43.4749,15.1281-22.0312-33.4875 35.9844,17.7719-20.2688-41.1251 37.8937,25.7032-12.6313-37.8937 30.2563,26.2906-8.9594-45.0907 29.9625,34.8094-2.35-40.2437 22.325,33.4875 2.9375-45.9719 19.975,41.4187 8.0781-39.2156 12.925,37.7469 14.8344-43.6219zm-14.8344,60.3656c-84.7894,0-153.4843,68.6666-153.4843,153.4843s68.695,153.6313 153.4843,153.6313 153.6313-68.8136 153.6313-153.6313-68.8418-153.4843-153.6313-153.4843zm9.6938,13.8062 5.7282,29.6688 11.6031-23.3531 1.7625,26.1437 16.5969-25.1156-2.2031,29.9625 17.4781-19.5344-5.1406,25.85 22.6187-19.975-9.8406,28.4937 22.0313-14.5406-11.75,23.6469 27.025-13.3656-16.8906,24.8219 24.8219-8.3718-17.3312,19.8281 29.5218-5.7281-22.7656,19.5344 25.9968-1.4688-21.5906,14.5407 29.8156,1.9093-26.8781,13.0719 25.7031,5.2875-24.8219,8.3718 28.3468,9.8406-29.5218,5.5813 23.3531,11.6031-25.9969,1.7625 24.9687,16.5969-29.9625-2.0563 19.5344,17.3312-25.7031-4.9937 19.8281,22.6187-28.3468-9.8406 14.3937,21.7375-23.5-11.4563 13.3656,26.7313-24.8219-16.7437 8.0781,24.8219-19.6812-17.1844 5.8749,29.2281-19.5344-22.6187 1.3219,26.1437-14.3937-21.5906-1.9094,29.8156-13.0719-26.8781-5.2875,25.5562-8.5188-24.8219-9.6938,28.2-5.4343-29.3749-11.75,23.5-1.7625-25.9969-16.5969,24.8219 2.0562-29.9625-17.3312,19.6813 5.1407-25.7031-22.7657,19.6813 9.8406-28.3469-21.8844,14.5406 11.75-23.5-27.025,13.2188 16.8906-24.8219-24.8219,8.3719 17.3312-19.8281-29.5219,5.7281 22.7656-19.5343-26.2906,1.4687 21.8843-14.5406-30.1094-2.0563 27.025-12.925-25.5562-5.4343 24.8219-8.3719-28.6406-9.5469 29.6688-5.7281-23.3531-11.6032 26.1437-1.7625-25.1156-16.5969 29.9625,2.0562-19.5344-17.3312 25.85,4.9938-19.975-22.6188 28.4937,9.8406-14.3937-21.7375 23.5,11.6031-13.2188-26.8781 24.675,16.7437-8.225-24.8219 19.8281,17.3312-5.875-29.5219 19.5344,22.7656-1.4688-26.2906 14.5407,21.8843 1.9093-30.1093 13.0719,27.025 5.2875-25.5563 8.3718,24.675 9.6938-28.4937zm-9.6938,51.1125c-48.8883,0-88.4187,39.661-88.4187,88.5656s39.5305,88.5656 88.4187,88.5656 88.5656-39.661 88.5656-88.5656-39.6773-88.5656-88.5656-88.5656zm5.5813,8.0781 3.3781,17.0375 6.6094-13.3656 1.0281,14.9813 9.5469-14.3937-1.175,17.1844 9.9875-11.3094-2.9374,14.9813 13.0718-11.6032-5.5812,16.45 12.6313-8.3718-6.7562,13.6594 15.5687-7.6375-9.8406,14.2469 14.3937-4.8469-9.9874,11.4563 17.0375-3.2313-13.2188,11.1625 15.1281-.8812-12.4844,8.5187 17.1844,1.0282-15.5688,7.4906 14.8344,3.0844-14.2469,4.8468 16.3031,5.5813-17.0375,3.3781 13.5125,6.6094-14.9813,1.0281 14.3938,9.6938-17.3312-1.3218 11.3094,9.9875-14.8343-2.9375 11.4562,13.0719-16.45-5.5813 8.3719,12.4844-13.5125-6.6094 7.6375,15.4218-14.2469-9.6938 4.5531,14.3938-11.3094-9.9875 3.3781,16.8906-11.3094-13.0719 .8812,15.1281-8.3718-12.4843-1.0281,17.1844-7.4907-15.4219-3.0843,14.6875-4.9938-14.3937-5.5813,16.45-3.0843-17.0375-6.9032,13.5125-.8812-14.9812-9.6938,14.3937 1.175-17.3312-9.9875,11.3094 3.0844-14.8343-13.0719,11.4562 5.5812-16.45-12.6312,8.3719 6.7562-13.5125-15.5688,7.6375 9.8406-14.2469-14.3937,4.7 9.9875-11.4562-17.0375,3.3781 13.2188-11.3094-15.275.8813 12.6313-8.3719-17.3312-1.175 15.5687-7.4906-14.6875-3.0844 14.2469-4.8469-16.45-5.5812 17.0375-3.2313-13.5125-6.7562 15.1282-.8813-14.3937-9.6938 17.1844,1.175-11.3094-9.9875 14.9813,2.9375-11.4563-12.925 16.3031,5.5813-8.225-12.4844 13.5125,6.6094-7.6376-15.4219 14.2469,9.6938-4.7-14.3937 11.4563,9.9875-3.3781-17.0375 11.1625,13.0719-.8812-15.1282 8.5187,12.6313 1.0282-17.3312 7.4906,15.5687 3.0844-14.6875 4.8468,14.2469 5.5813-16.45zm-5.5813,37.7469c-23.6392,0-42.7407,19.0935-42.7407,42.7406s19.1015,42.8875 42.7407,42.8875 42.8875-19.2404 42.8875-42.8875-19.2484-42.7406-42.8875-42.7406zm2.7906,3.8187 1.4687,8.225 3.3781-6.4625 .4403,7.3437 4.5532-7.05-.5873,8.3719 4.8468-5.4344-1.3218,7.1969 6.3156-5.5812-2.7906,7.9312 6.1688-4.1125-3.3781,6.6094 7.6375-3.6719-4.7,6.9031 6.9031-2.35-4.8469,5.5813 8.225-1.6157-6.3156,5.4344 7.1969-.4403-6.0219,4.1125 8.3719.4403-7.4907,3.6719 7.05,1.4688-6.9031,2.35 7.9313,2.7906-8.225,1.4688 6.6094,3.3781-7.3437.4403 7.05,4.5531-8.3718-.5873 5.4343,4.8468-7.1969-1.3218 5.4344,6.3156-7.7844-2.7906 3.9657,6.0219-6.6094-3.2313 3.8187,7.4906-6.9031-4.5531 2.2031,6.9031-5.4343-4.8469 1.6156,8.225-5.4343-6.3156 .294,7.1969-3.9657-6.0219-.5874,8.3719-3.525-7.4907-1.6156,7.05-2.35-6.9031-2.6438,7.9313-1.4687-8.225-3.3781,6.6094-.4403-7.3437-4.7,6.9031 .5874-8.225-4.8469,5.4343 1.4688-7.1969-6.3156,5.5813 2.7906-7.9313-6.1687,3.9657 3.2313-6.6094-7.4907,3.8187 4.7001-6.9031-6.9031,2.2031 4.8468-5.4343-8.225,1.6156 6.3156-5.4343-7.3438.294 6.1688-3.9656-8.3718-.5874 7.4906-3.6719-7.1969-1.4687 6.9031-2.35-7.9312-2.6437 8.225-1.6157-6.4625-3.2313 7.3437-.4403-7.05-4.7 8.3719.5874-5.4344-4.8469 7.1969,1.4688-5.5812-6.3156 7.9312,2.7906-3.9656-6.1688 6.4625,3.2313-3.6719-7.4906 6.9031,4.7-2.2031-6.9031 5.4344,4.8468-1.6157-8.225 5.4344,6.3156-.4403-7.3437 4.1125,6.1687 .5873-8.3718 3.525,7.4906 1.4687-7.1969 2.35,6.9031 2.7906-7.9312z"}}]})(props);
};
function GiAbstract014 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m195.7751,21.0596c-5.99.1535-11.9966.5664-18.0675,1.3218-98.2118,12.2222-167.7229,100.1823-155.2628,196.5188 1.7092,13.2151 3.5664,26.0205 6.6101,38.1875-.0216.8853-.147,1.7525-.147,2.6438 0,32.2722 16.7564,60.5927 42.0106,76.9625l-21.2991,105.4562c-4.0777,20.2404 16.6888,38.2294 37.3101,37.1594l143.5116-7.4906c30.9503,15.4793 66.8024,22.3825 103.8512,17.7719 98.2118-12.2221 167.7229-100.1823 155.2628-196.5188-1.0071-7.7859-2.0754-15.4682-3.3785-22.9125 .387-3.4213.7344-6.904.7344-10.4281 0-34.2294-18.8631-64.1173-46.711-79.9l22.1804-110.0094c4.0777-20.2403-16.6887-38.2293-37.3101-37.1594l-143.5116,7.4906c-25.8652-12.9229-55.2218-19.8763-85.7838-19.0937zm120.5967,41.8593h81.6709c14.4389,0 25.9996,11.5595 25.9996,25.9969v83.7187c-9.1481-3.0524-18.9238-4.7-29.0842-4.7-6.0772,0-11.8821.6335-17.6268,1.7625-6.8404-43.1825-29.3064-80.382-60.9594-106.7782zm-163.048,7.9312c58.8788-1.6258 128.3044,46.3124 174.5054,123.6688-18.2298,17.4767-28.2796,42.9052-24.8244,69.6187 .2184,1.6905.5628,3.3413.8814,4.9938 .007.0432-.007.0994 0,.1463 4.756,46.1983 43.6158,82.25 91.0718,82.25 23.5273,0 44.9994-8.9278 61.2531-23.5-3.7753,47.9649-23.6392,86.4447-58.756,103.6938-63.0403,30.965-152.8084-17.3872-209.9059-109.1281 15.4357-16.435 24.9714-38.5332 24.9714-62.8625 0-50.6679-40.9863-91.7969-91.6594-91.7969-25.7086,0-48.9862,10.563-65.6599,27.6125 1.2983-53.3177 21.4399-96.6788 59.3436-115.2969 8.5917-4.2202 17.7386-7.0021 27.1747-8.3718 3.8219-.5549 7.6791-.9198 11.6043-1.0282zm-47.8862,124.8438c21.6408,0 39.2197,17.5771 39.2197,39.2157s-17.5789,39.2156-39.2197,39.2156-39.2196-17.5771-39.2196-39.2156 17.5789-39.2157 39.2196-39.2157zm268.5151,0c21.6408,0 39.2196,17.5771 39.2196,39.2157s-17.5789,39.2156-39.2196,39.2156-39.0728-17.5771-39.0728-39.2156 17.4321-39.2157 39.0728-39.2157zm-285.995,149.6657c10.2423,3.9397 21.2908,6.1687 32.9034,6.1687 5.2147,0 10.1542-.632 15.1297-1.4687 8.1995,39.8661 29.8706,74.1836 59.6374,98.9937h-81.6709c-14.4388,0-25.9996-11.5595-25.9996-25.9968v-77.6969z"}}]})(props);
};
function GiAbstract015 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m115.7344,21-91.65,93.0938 73.5843,74.8259h-46.8531c0,0-29.8156,41.8681-29.8156,65.9111 0,.3769.1333.7835.147,1.1691-.0144.3856-.147.7922-.147,1.1692 0,24.043 29.8156,65.911 29.8156,65.911h46.8531l-73.5843,74.8259 91.65,93.0939 48.7625-49.5429c24.415,21.3517 56.4497,34.3439 91.5031,34.3439 35.0675,0 67.0844-12.9769 91.5031-34.3439l48.6157,49.5429 91.7969-93.0939-73.7313-74.8259h47c0,0 29.8156-41.868 29.8156-65.911 0-.3769-.1333-.7834-.147-1.1692 .0144-.3856.147-.792.147-1.1691 0-24.043-29.8156-65.9111-29.8156-65.9111h-47l73.7313-74.8259-91.7969-93.0938-48.6157,49.5429c-24.4187-21.367-56.4356-34.3439-91.5031-34.3439-35.0534,0-67.0881,12.9922-91.5031,34.3439l-48.7625-49.5429zm116.7656,36.3899 16.0094,105.37c-3.4741.7227-6.7788,1.8757-9.8406,3.5075l-36.5719-98.0628c9.4643-4.927 19.6375-8.6206 30.4031-10.8147zm46.8531,0c10.8176,2.1907 21.0443,5.8661 30.55,10.8147l-36.5719,98.0628c-3.0602-1.631-6.3684-2.7847-9.8406-3.5075l15.8624-105.37zm-176.1031,12.4223c19.6493,0 35.6906,15.8153 35.6906,35.3669s-16.0413,35.513-35.6906,35.513-35.5437-15.9615-35.5437-35.513 15.8944-35.3669 35.5437-35.3669zm305.5,0c19.6493,0 35.5437,15.8153 35.5437,35.3669s-15.8944,35.513-35.5437,35.513-35.5438-15.9615-35.5438-35.513 15.8945-35.3669 35.5438-35.3669zm-62.8625,27.1828c6.7096,8.044 12.2462,17.0872 16.5969,26.7444l-72.2626,60.5038c-1.4469-3.0944-3.2929-6.0443-5.4343-8.6226l61.1-78.6256zm-179.775.1463 61.1,78.4795c-2.1134,2.5443-3.9966,5.4284-5.4344,8.4763l-72.2625-60.3576c4.3354-9.6233 9.9184-18.5761 16.5969-26.5982zm-26.5844,68.8339 59.0437,23.6753h-57.7219c-.972-6.0287-1.4687-12.2588-1.4687-18.5603 0-1.7088.0735-3.4242.147-5.1151zm232.9438,0c.0735,1.6909.147,3.4062.147,5.1151 0,6.3014-.4965,12.5315-1.4688,18.5603h-57.575l58.8969-23.6753zm-251.0094,43.6971h134.5375 134.5375c25.5631,0 46.1188,20.136 46.1188,45.1586 0,.3928-.1369.7791-.147,1.1691 .007.3899.147.7768.147,1.1692 0,25.0226-20.5556,45.1586-46.1188,45.1586h-134.5375-134.5375c-25.5631,0-46.1187-20.136-46.1187-45.1586 0-.3928.1369-.7792.147-1.1692-.007-.3899-.147-.7766-.147-1.1691 0-25.0226 20.5556-45.1586 46.1187-45.1586zm24.2344,20.1679c-12.9355,1.2733-23.0594,11.9933-23.0594,24.9907 0,.3841-.0216.7896 0,1.1691-.0216.3798 0,.7852 0,1.1692 0,12.9974 10.1238,23.7174 23.0594,24.9906 .8623.0843 1.7585,0 2.6437,0h107.6594 107.6594c14.1633,0 25.7032-11.1268 25.7032-24.9906 0-.3841.0216-.7894 0-1.1692 .0216-.3798 0-.7852 0-1.1691 0-13.8639-11.5398-24.9907-25.7032-24.9907h-107.6594-107.6594c-.8852,0-1.7813-.0843-2.6437,0zm-4.8469,92.5094h57.575l-58.8969,23.6753c-.0735-1.6909-.1463-3.4062-.1463-5.1151 0-6.3014.4965-12.5315 1.4687-18.5603zm172.5781,0h57.7219c.9721,6.0287 1.4688,12.2588 1.4688,18.5603 0,1.7088-.0735,3.4242-.1463,5.1151l-59.0438-23.6753zm-91.65,5.5535c1.4469,3.0944 3.2929,5.8982 5.4344,8.4763l-61.1,78.6257c-6.6814-8.0103-12.2537-16.9875-16.5969-26.5983l72.2625-60.5037zm68.4437.1463 72.2626,60.2115c-4.3354,9.6232-9.9184,18.576-16.5969,26.5982l-61.1-78.4795c2.1134-2.5443 3.9966-5.2823 5.4343-8.3303zm-51.5531,17.8296c3.0603,1.6311 6.3684,2.7847 9.8406,3.5075l-15.8625,105.2239c-10.8176-2.1907-21.0442-5.8661-30.55-10.8147l36.5719-97.9167zm34.6625,0 36.5719,97.9167c-9.4643,4.927-19.6374,8.6206-30.4031,10.8147l-16.0093-105.2239c3.4741-.7226 6.7788-1.8755 9.8406-3.5074zm-170.0812,25.4291c19.6493,0 35.6906,15.8153 35.6906,35.3669s-16.0413,35.513-35.6906,35.513-35.5437-15.9615-35.5437-35.513 15.8944-35.3669 35.5437-35.3669zm305.5,0c19.6493,0 35.5437,15.8153 35.5437,35.3669s-15.8944,35.513-35.5437,35.513-35.5438-15.9615-35.5438-35.513 15.8945-35.3669 35.5438-35.3669z"}}]})(props);
};
function GiAbstract016 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m138.4597,52.3426-12.9078,48.3291c5.309.4232 10.4863,2.6436 14.5826,6.7398 8.5198,8.5199 9.082,21.9091 1.6271,31.0494-.497.6091-1.1148,1.0998-1.6826,1.6676-9.088,9.088-23.5911,9.1743-32.679.0865-4.1264-4.1264-6.292-9.4069-6.6992-14.7842l-48.3547,13.1087 12.8907,48.1089c.7907-.3792 1.6441-.6812 2.4784-.9683 4.2245-1.4552 9.0573-1.7275 13.7127-.4801 11.6384,3.1184 18.7916,14.5518 16.9056,26.1949-.1255.7762-.3949,1.5152-.603,2.291-3.3264,12.4143-15.9298,19.591-28.3441,16.2647-5.6035-1.5015-10.1113-4.8563-13.1281-9.259l-35.2584,35.305 35.305,35.2584c3.019-4.3779 7.4723-7.7821 13.0303-9.2713 11.6384-3.1185 23.6339,3.1174 27.8221,14.1437 .2793.7352.4005,1.4949.6084,2.2706 3.3264,12.4144-4.0001,25.1041-16.4144,28.4305-5.558,1.4893-11.1168.7678-15.9202-1.5141l-13.0878,48.2252 48.3671,13.0497c.4029-5.353 2.5997-10.6224 6.7018-14.7245 3.195-3.195 6.9801-5.3563 11.0842-6.3162 6.8404-1.5999 14.2525.0288 19.9652,4.6891 .6093.4974 1.0998,1.1145 1.6677,1.6826 9.0879,9.0878 9.1743,23.5911.0865,32.679-4.1264,4.1264-9.4068,6.2921-14.7842,6.6993l13.1087,48.3546 48.2508-12.9287c-2.336-4.8606-3.1006-10.5163-1.5903-16.1531 2.3389-8.7288 9.3096-14.9302 17.5735-16.7249 2.7546-.5983 5.7107-.6524 8.6215-.1802 .7762.1255 1.3732.4333 2.1491.6409 12.4143,3.3264 19.7329,15.8918 16.4066,28.3061-1.4835,5.5366-4.9397,9.9605-9.297,12.9862l35.343,35.4003 35.2584-35.305c-4.3779-3.019-7.7821-7.4724-9.2714-13.0303-3.1185-11.6385 3.1175-23.6338 14.1437-27.8221 .7351-.279 1.4948-.4008 2.2707-.6084 12.4143-3.3265 25.1041,4.0001 28.4305,16.4144 1.4893,5.5579.7678,11.1168-1.5141,15.9202l48.2252,13.0878 12.9078-48.3291c-5.3212-.4116-10.4804-2.6377-14.5826-6.7398-9.0878-9.0879-9.2124-23.733-.1246-32.8209 3.4079-3.4079 7.5692-5.5689 11.9737-6.4026 7.3407-1.3895 15.2053.7401 20.8853,6.42 4.1264,4.1264 6.324,9.3982 6.6992,14.7841l48.3547-13.1087-12.9288-48.2508c-4.8606,2.336-10.5163,3.1007-16.1531,1.5903-12.4142-3.3264-19.771-16.0337-16.4446-28.448 2.079-7.7589 7.8327-13.4462 14.9152-15.8605 4.2495-1.4486 8.9154-1.6896 13.5708-.4419 5.5367,1.4835 9.9606,4.9398 12.9863,9.297l35.4003-35.343-35.305-35.2584c-3.019,4.378-7.4723,7.7821-13.0303,9.2713-12.4143,3.3264-25.246-3.962-28.5724-16.3763s4.142-25.1422 16.5563-28.4685c5.558-1.4893 11.1168-.7678 15.9202,1.5141l13.0878-48.2252-48.329-12.9078c-.4114,5.3212-2.6378,10.4804-6.7399,14.5826-9.0879,9.0879-23.7331,9.2124-32.8209.1247s-9.0704-23.771.0187-32.8589c3.408-3.408 7.5876-5.5505 11.9737-6.4025 .9138-.1773 1.8458-.3727 2.7724-.4383l-13.0706-48.2128-48.2508,12.9288c2.368,4.852 3.1006,10.5163 1.5903,16.1531-3.3264,12.4143-16.0336,19.771-28.448,16.4446s-19.629-16.0717-16.3027-28.486c1.4993-5.5955 4.8729-10.107 9.259-13.1281l-35.305-35.2584-35.2584,35.305c4.3779,3.019 7.7821,7.4724 9.2714,13.0303 3.3264,12.4143-3.9621,25.246-16.3763,28.5724s-25.1421-4.142-28.4685-16.5563c-1.4893-5.558-.7678-11.1168 1.5141-15.9202l-48.2252-13.0877zm103.2306,69.077c4.6595-1.3693 9.538-2.0236 14.3639-2.0235 12.869-7e-05 25.7033,4.794 35.5642,14.655l86.2729,86.3975c19.7218,19.7219 19.7787,51.4472.0569,71.1691l-86.3975,86.2729c-19.7218,19.7219-51.4472,19.7787-71.169.0577l-86.2729-86.3975c-19.7218-19.7218-19.7787-51.4472-.057-71.169l86.3975-86.273c6.1631-6.1631 13.4751-10.4062 21.2409-12.6882zm-7.8836,63.1058c-30.4444,9.4663-52.6478,37.8848-52.6478,71.4498 0,41.3107 33.5065,74.8651 74.8172,74.8651s74.8651-33.5065 74.8651-74.8172-33.5065-74.8652-74.8172-74.8652c-7.7458,0-15.1918,1.1829-22.2174,3.3674z"}}]})(props);
};
function GiAbstract017 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m143.4937,21c-50.162,0-90.7687,39.7025-90.7687,89.0062v2.35h94.7344c13.5616,0 24.5282,13.3384 24.5282,29.9625s-10.9666,29.9625-24.5282,29.9625h-94.7344v15.7156h94.7344c13.5616,0 24.5282,13.4853 24.5282,30.1094s-10.9666,29.9625-24.5282,29.9625h-94.7344v15.7156h94.7344c13.5616,0 24.5282,13.3385 24.5282,29.9625s-10.9666,30.1093-24.5282,30.1093h-94.7344v15.7157h94.7344c13.5616,0 24.5282,13.3384 24.5282,29.9625s-10.9666,29.9625-24.5282,29.9625h-94.7344v40.0969h-14.5407v37.1594h-17.1843v14.2469h17.1843 435.7782 17.0375v-14.2469h-17.0375v-37.1594h-14.6875v-329.5875c0-49.3037-40.1662-89.0062-90.3281-89.0062s-90.6218,39.7025-90.6218,89.0062v2.35h92.9718c13.5616,0 24.5282,13.3384 24.5282,29.9625s-10.9666,29.9625-24.5282,29.9625h-92.9718v15.7156h92.9718c13.5616,0 24.5282,13.4853 24.5282,30.1094s-10.9666,29.9625-24.5282,29.9625h-92.9718v15.7156h92.9718c13.5616,0 24.5282,13.3385 24.5282,29.9625s-10.9666,30.1093-24.5282,30.1093h-92.9718v15.7157h92.9718c13.5616,0 24.5282,13.3384 24.5282,29.9625s-10.9666,29.9625-24.5282,29.9625h-92.9718v40.0969h-44.5032v-329.5875c0-49.3037-40.1662-89.0062-90.3281-89.0062z"}}]})(props);
};
function GiAbstract018 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m227.2777,30.0703c-33.0796,0-61.3761,19.5743-74.073,47.8245-9.8682-8.6719-22.6242-14.0175-36.8304-14.0175h-39.4415c-31.0246,0-55.9327,25.0452-55.9327,56.0702v191.0233c0,30.2401 23.6706,54.578 53.5965,55.7953v88.7777h-42.8772v26.3859h448.561v-26.3859h-43.0144v-88.7777c29.9907-1.1483 53.7342-25.5095 53.7342-55.7953v-191.0233c0-31.025-24.9079-56.0702-55.9329-56.0702h-39.579c-14.1732,0-27.0025,5.2445-36.8303,13.8801-12.7726-28.1605-41.0583-47.6871-74.0733-47.6871h-57.3068zm8.1084,34.2193h41.0904c32.2986,0 58.2689,25.9702 58.2689,58.2689v159.6902h-157.6286v-159.6902c0-32.2988 25.9697-58.2689 58.2692-58.2689zm-152.8189,23.2251h28.3099c15.4069,0 28.5884,8.6404 35.3187,21.3012-.027.8701-.1369,1.7343-.1369,2.6111v95.7863h-103.6198v-79.5699c0-22.2498 17.8782-40.1287 40.1286-40.1287zm318.6928,0h28.1727c22.2495,0 40.1287,17.8789 40.1287,40.1287v79.5699h-103.6202v-95.7863c0-.8769-.1099-1.7411-.1362-2.6111 6.7301-12.6607 20.048-21.3012 35.4561-21.3012zm-145.2604,4.2603c-30.9129,0-55.9325,25.0196-55.9325,55.9327s25.0196,56.0702 55.9325,56.0702 55.9329-25.1571 55.9329-56.0702-25.0192-55.9327-55.9329-55.9327zm-159.2775,14.7046c-21.2952,0-38.4795,17.1843-38.4795,38.4795s17.1843,38.617 38.4795,38.617 38.4795-17.3218 38.4795-38.617-17.1843-38.4795-38.4795-38.4795zm318.5553,0c-21.2952,0-38.4795,17.1843-38.4795,38.4795s17.1843,38.617 38.4795,38.617c21.2948,0 38.7544-17.3218 38.7544-38.617s-17.4596-38.4795-38.7544-38.4795zm-372.8389,123.1344h103.6198v54.1462c-6.7754,12.5118-19.8847,21.0265-35.1813,21.0265h-28.3099c-22.2504,0-40.1286-17.8795-40.1286-40.1286v-35.0441zm323.5025,0h103.6202v35.0441c0,22.2491-17.8791,40.1286-40.1287,40.1286h-28.1727c-15.2973,0-28.543-8.5147-35.3189-21.0265v-54.1462zm-188.8243,75.1727h157.6286v16.6284c0,32.2986-25.9704,58.269-58.2689,58.269h-41.0904c-32.2995,0-58.2692-25.9704-58.2692-58.269v-16.6284zm-31.0585,53.5961v30.2339c0,26.1555 12.2777,49.2199 31.3333,64.0414 .505.356.9974.7551 1.5117,1.0994 11.6388,7.7821 25.5108,12.4828 40.5411,12.7805-15.5712,0-29.9898-4.0401-42.1903-10.9941h-58.6812v-88.7777c10.0946-.3958 19.4588-3.3735 27.4853-8.3833zm219.8828,0c7.9989,4.9953 17.2704,7.9879 27.3482,8.3833v88.7777h-58.5439c-12.2,6.954-26.6199,10.9941-42.1898,10.9941h-1.5119c15.2621,0 29.3619-4.5204 41.2281-12.2307 20.3603-14.723 33.6694-38.5349 33.6694-65.6905v-30.2339zm-147.596,46.3131h18.5524v35.0436h-18.5524v-35.0436zm28.3095,0h18.69v35.0436h-18.69v-35.0436zm28.3103,0h18.6901v35.0436h-18.6901v-35.0436z"}}]})(props);
};
function GiAbstract019 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21c-83.6528,0-163.1292,8.0759-235,22.6188l6.3156,11.1625c70.4584-14.7018 147.6728-22.9125 228.6844-22.9125s158.2259,8.2107 228.6843,22.9125l6.3156-11.1625c-71.8709-14.5429-151.3472-22.6188-235-22.6188zm0,23.0594c-78.7468,0-153.6695,7.8024-222.5156,21.7375l66.0937,117.9406c8.9946-10.7 19.2474-20.4788 30.6969-29.0813-16.2549-16.8991-25.7319-29.6458-22.9124-32.1656 .2436-.2169.6176-.3834 1.0281-.4403 4.5067-.6392 18.8875,8.2679 37.1594,22.4718 6.5806-4.0413 13.4355-7.852 20.5625-11.1625-12.3813-22.335-18.826-38.7763-15.1282-40.6844 .2984-.1557.6155-.1881 1.0282-.147 4.83.4519 17.2006,13.7052 31.8718,33.6344 6.9415-2.4698 14.1375-4.5602 21.4438-6.3156-6.1043-26.0545-8.1131-45.0903-3.8188-46.1187 4.337-1.0386 13.6345,16.6066 23.0594,42.3 7.0532-1.0202 14.3052-1.5835 21.5907-1.9093 1.6107-27.2715 5.3214-46.7063 9.8406-46.7063s8.3768,19.4345 9.9874,46.7063c7.2853.3257 14.3907.8891 21.4438,1.9093 9.4249-25.6932 18.7224-43.3385 23.0594-42.3 4.2943,1.0284 2.4324,20.0641-3.6719,46.1187 7.3062,1.7555 14.3554,3.8458 21.2969,6.3156 14.6712-19.9291 27.1887-33.1821 32.0187-33.6344 .4129-.036.73-.007 1.0282.147 3.6979,1.9081-2.7468,18.3493-15.1282,40.6844 7.127,3.3106 13.9819,7.1212 20.5625,11.1625 16.6389-12.9335 30.0159-21.5201 35.6907-22.4718 1.1354-.191 1.863.002 2.35.4403 2.8195,2.5198-6.6575,15.2665-22.9124,32.1656 11.4496,8.6025 21.849,18.3817 30.8437,29.0813l66.0937-117.9406c-68.8461-13.9351-143.9157-21.7375-222.6624-21.7375zm0,107.5124c-70.6186,0-129.8829,42.5929-147.7563,100.6094 13.6274,9.7553 22.1781,24.5978 22.1781,41.4188 0,15.6174-7.4039,29.7379-19.3875,39.5093 20.6382,53.9722 77.5968,92.825 144.9656,92.825 67.3167,0 124.5404-38.771 145.2593-92.6782-12.0783-9.7766-19.8281-23.9681-19.8281-39.6562 0-16.8901 8.8948-31.8133 22.6187-41.5657-17.9571-57.9513-77.4832-100.4625-148.0499-100.4625zm-14.1001,57.4281v90.3281c0,7.8437 6.2563,14.2469 14.1001,14.2469s14.2469-6.4031 14.2469-14.2469v-90.3281c23.5026,2.6278 44.6514,11.804 61.3937,25.2625-1.5573.7812-3.1364,1.6312-4.7,2.4969-25.8126,14.291-42.1384,34.9268-36.5718,46.1187s30.8811,8.7098 56.6937-5.5812c4.5563-2.5225 8.7313-5.3931 12.6313-8.225 6.0234,12.3555 9.5469,25.8995 9.5469,40.2438 0,3.988-.2313,7.8836-.7344,11.75-19.5051,15.3184-62.5823,25.9968-112.5062,25.9968-49.7182,0-92.5948-10.6332-112.2126-25.8499-.5153-3.9188-.8812-7.853-.8812-11.8969 0-14.308 3.4141-27.9139 9.4-40.2438 3.9346,2.8571 8.1844,5.6817 12.7781,8.225 25.8126,14.291 51.1272,16.7731 56.6937,5.5812s-10.7592-31.8277-36.5718-46.1187c-1.5636-.8657-3.1427-1.7157-4.7-2.4969 16.7398-13.4574 37.875-22.648 61.3937-25.2625zm-170.9625,45.825c-23.9741,0-43.475,17.3486-43.475,38.775s19.5009,38.9218 43.475,38.9218 43.3281-17.4953 43.3281-38.9218-19.3539-38.775-43.3281-38.775zm370.2718,0c-23.9741,0-43.3281,17.3486-43.3281,38.775s19.354,38.9218 43.3281,38.9218 43.3281-17.4953 43.3281-38.9218-19.3539-38.775-43.3281-38.775zm-289.7843,93.2656c21.8756,12.5019 60.5168,20.8562 104.575,20.8562s82.6993-8.3543 104.5749-20.8562c-17.0363,36.5952-57.4304,62.275-104.5749,62.275-47.1473,0-87.5815-25.6764-104.575-62.275zm-1.4688,65.3594-44.65,65.5062c46.6095,7.7285 97.3815,12.0438 150.6938,12.0438s104.0842-4.3153 150.6937-12.0438l-44.7969-65.5062c-6.0895,5.934-13.1047,11.2384-20.8562,16.0094 11.0047,9.3723 17.4775,16.6681 15.5687,18.0656-.3293.2436-.8469.253-1.6156.1463-3.8419-.5275-12.9697-5.3114-24.2344-12.4844-4.4552,2.2413-9.1281,4.3327-13.9532,6.1688 8.3824,12.3872 12.7848,21.5605 10.2813,22.6188-.2018.0901-.3077.1694-.5873.147-3.27-.2508-11.8049-7.6003-21.7375-18.6532-4.6994,1.3698-9.4474,2.4047-14.3937,3.3781 4.1326,14.4501 5.4041,24.9859 2.4969,25.5563-2.9361.5758-9.1881-9.1035-15.5688-23.3531-4.7751.5657-9.6084.8475-14.5406,1.0281-1.0904,15.1251-3.6967,25.85-6.7562,25.85s-5.6658-10.725-6.7562-25.85c-4.9323-.1802-9.7656-.4627-14.5407-1.0281-6.3807,14.2497-12.7794,23.9292-15.7156,23.3531-2.9073-.57-1.4889-11.1063 2.6438-25.5563-4.9464-.9735-9.8412-2.0083-14.5407-3.3781-9.9325,11.0529-18.1738,18.4026-21.4437,18.6532-.2796.0216-.6789-.0576-.8812-.147-2.5034-1.0582 1.8989-10.2315 10.2812-22.6188-4.8251-1.836-9.498-3.9274-13.9531-6.1688-12.3702,7.8776-22.0646,12.8386-25.1157,12.4844-.2774-.036-.4223-.0288-.5873-.1463-1.9088-1.3975 4.5641-8.6933 15.5688-18.0656-7.7515-4.771-14.9137-10.0751-21.0032-16.0094z"}}]})(props);
};
function GiAbstract020 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m126.75,21c-58.4041,0-105.75,47.3446-105.75,105.7501 0,36.7582 18.684,69.1741 47.1469,88.125v82.25c-28.4629,18.9504-47.1469,51.3654-47.1469,88.125 0,58.4031 47.3459,105.75 105.75,105.75 36.7588,0 69.1743-18.6844 88.125-47.1471h82.25c18.9507,28.4627 51.3662,47.1471 88.125,47.1471 58.4041,0 105.75-47.3469 105.75-105.75 0-36.7596-18.684-69.1746-47.1469-88.125v-82.25c28.4629-18.9509 47.1469-51.3668 47.1469-88.125 0-58.4055-47.3459-105.7501-105.75-105.7501-36.7588,0-69.1743,18.6841-88.125,47.1469h-82.25c-18.9507-28.4627-51.3662-47.1469-88.125-47.1469zm0,37.1594c13.0232,0 25.1731,3.6867 35.5437,9.9875 1.3991.8502 2.7836,1.7 4.1126,2.6438 .6536.4641 1.2727.9828 1.9093,1.4688 .6587.503 1.2702,1.0892 1.9094,1.6156 .0288.0216.1168-.0216.147,0 2.4779,2.0464 4.7395,4.2387 6.9031,6.6094 .5412.5909 1.0953,1.1529 1.6156,1.7625 .5383.632 1.1005,1.2575 1.6157,1.9094 .5888.7421 1.0577,1.5835 1.6156,2.35 1.3482,1.8612 2.6576,3.7306 3.8187,5.7281 .8224,1.4147 1.6264,2.9281 2.35,4.4063 4.4511,9.0926 7.05,19.3017 7.05,30.1094 0,3.7199-.431,7.3141-1.0281,10.8687l-98.9937-42.3 42.3,98.9938c-3.5546.5967-7.1487,1.0281-10.8687,1.0281-10.7376,0-20.914-2.5058-29.9625-6.9031-.1362-.0649-.3048-.0793-.4403-.1463-1.3462-.6659-2.6729-1.4544-3.9656-2.2031-1.3642-.7905-2.6645-1.617-3.9656-2.4968-.0577-.036-.0901-.1088-.147-.147-.2623-.178-.4749-.405-.7344-.5873-1.4902-1.043-3.006-2.076-4.4062-3.2313-.0505-.0432-.093-.1023-.147-.147-1.2808-1.0683-2.4731-2.22-3.6719-3.3781-.4533-.436-.8807-.874-1.3219-1.3218-1.4105-1.4392-2.8315-2.8468-4.1125-4.4063-1.0623-1.2873-2.1167-2.6017-3.0844-3.9656-.2292-.3236-.3632-.7005-.5874-1.0281-.699-1.0213-1.4121-2.0241-2.0562-3.0844-6.3009-10.3705-9.9875-22.521-9.9875-35.5438 0-37.8867 30.7049-68.5906 68.5906-68.5906zm258.5,0c37.8857,0 68.5907,30.7039 68.5907,68.5907 0,13.0227-3.6866,25.1732-9.9875,35.5437-.8501,1.3992-1.7,2.7838-2.6438,4.1125-.4641.6544-.9827,1.2726-1.4688,1.9094-2.4795,3.2449-5.2166,6.2137-8.225,8.9594-.5909.5412-1.1531,1.0953-1.7625,1.6156-.632.5383-1.2574,1.1005-1.9093,1.6157-.7421.5881-1.5834,1.0577-2.35,1.6156-1.861,1.3484-3.7304,2.6574-5.7281,3.8187-1.4149.8225-2.9281,1.6262-4.4063,2.35-9.0926,4.4509-19.3021,7.05-30.1094,7.05-3.7199,0-7.3141-.4317-10.8687-1.0281l42.3-98.9938-98.9938,42.3c-.5967-3.5546-1.0281-7.1489-1.0281-10.8687 0-10.8077 2.5989-21.0168 7.05-30.1094 .7236-1.4782 1.5276-2.9916 2.35-4.4063 .7541-1.2972 1.5161-2.5779 2.35-3.8187 .0764-.1139.2162-.1802.294-.294 1.132-1.6629 2.2556-3.2945 3.525-4.8468 .2868-.3502.5873-.6839.8812-1.0282 .6976-.8196 1.4684-1.5646 2.2031-2.35 .906-.9654 1.8308-1.8788 2.7906-2.7906 1.15-1.0928 2.3001-2.2198 3.525-3.2313 .6702-.5535 1.3653-1.0878 2.0563-1.6157 .9472-.7238 1.9513-1.3813 2.9375-2.0562 1.0214-.699 2.0243-1.4124 3.0844-2.0563 10.3707-6.3008 22.5206-9.9875 35.5437-9.9875zm-157.1562,38.4813h55.8125c-2.8355,9.5523-4.4062,19.6364-4.4062,30.1094 0,8.0777.9284,15.9413 2.6438,23.5h-52.2875c1.7154-7.5587 2.6438-15.4223 2.6438-23.5 0-10.473-1.5708-20.5571-4.4062-30.1094zm-26.4375,79.3125h108.6875c14.2103,0 25.7032,11.4929 25.7032,25.7032v108.6875c0,14.2103-11.4929,25.7032-25.7032,25.7032h-108.6875c-14.2103,0-25.7032-11.4929-25.7032-25.7032v-108.6875c0-14.2103 11.4929-25.7032 25.7032-25.7032zm54.3437,28.6407c-28.4102,0-51.4062,22.996-51.4062,51.4062s22.996,51.4062 51.4062,51.4062 51.4062-22.996 51.4062-51.4062-22.996-51.4062-51.4062-51.4062zm159.3594,23.5v55.8125c-9.5524-2.835-19.6366-4.4062-30.1094-4.4062-8.0778,0-15.9412.7815-23.5,2.4969v-52.1407c7.5588,1.7155 15.4222,2.6438 23.5,2.6438 10.4727,0 20.557-1.5708 30.1094-4.4062zm-318.5719.147c9.5013,2.8026 19.5532,4.2594 29.9625,4.2594 8.0779,0 15.9412-.9283 23.5-2.6438v52.1407c-7.5588-1.7154-15.4221-2.4969-23.5-2.4969-10.4093,0-20.4612,1.4568-29.9625,4.2594v-55.5187zm29.9625,88.4187c3.7145,0 7.3139.3171 10.8687.8812l-42.3,99.1406 98.9937-42.3c.5967,3.5545 1.0281,7.1486 1.0281,10.8687 0,10.7371-2.5057,20.914-6.9031,29.9625-.0649.1362-.0786.3005-.147.4403-.6652,1.3461-1.454,2.6733-2.2031,3.9658-.9844,1.699-2.1094,3.2463-3.2313,4.8466-1.0433,1.4904-2.0758,3.0057-3.2313,4.4067-.7098.8554-1.4531,1.677-2.2031,2.4967-.4209.4605-.8884.8709-1.3218,1.3216-.6998.7247-1.325,1.5101-2.0563,2.2034-1.1861,1.1303-2.4073,2.1874-3.6719,3.2313s-2.6287,2.1366-3.9656,3.0846c-.3193.2256-.7048.3654-1.0282.5873-1.0265.7019-2.0184,1.409-3.0844,2.0558-10.3706,6.3008-22.5206,9.9875-35.5437,9.9875-37.8857,0-68.5906-30.706-68.5906-68.5904 0-13.0237 3.6866-25.1728 9.9875-35.5438 .6443-1.0598 1.3573-2.0631 2.0562-3.0844 1.1497-1.6816 2.3831-3.4248 3.6719-4.9937 1.0436-1.2648 2.1012-2.4856 3.2313-3.6719 .2631-.2775.6133-.4605.8813-.7344 .441-.4468.8685-.8862 1.3218-1.3219 1.1988-1.1585 2.391-2.3098 3.6719-3.3781 .0505-.0504.093-.1023.147-.147 1.4002-1.1557 2.916-2.1878 4.4062-3.2313 .2566-.1787.4756-.4115.7344-.5873 .0577-.036.0908-.1088.147-.147 1.2952-.8751 2.6094-1.7106 3.9656-2.4968 1.2927-.7492 2.6194-1.5376 3.9656-2.2031 .1362-.0649.3041-.0807.4403-.1463 9.0485-4.3978 19.2248-6.9031 29.9625-6.9031zm258.5,0c10.8073,0 21.0168,2.5991 30.1094,7.05 1.4782.7238 2.9914,1.5275 4.4063,2.35 2.8296,1.645 5.5278,3.4194 8.0781,5.4343 .2984.2371.5866.4929.8812.7344 .9628.7873 1.8729,1.6589 2.7906,2.4969 .2047.1881.3848.3949.5873.5873 3.3491,3.133 6.4392,6.5259 9.1063,10.2812 .2263.32.3668.7055.5873,1.0281 .0764.1124.2184.1859.294.294 .6162.9123 1.1897,1.8483 1.7625,2.7906 6.3009,10.3711 9.9875,22.52 9.9875,35.5438 0,37.8844-30.7049,68.5904-68.5906,68.5904-13.0232,0-25.1731-3.6867-35.5438-9.9875-1.0601-.6421-2.063-1.3578-3.0844-2.0558-1.6815-1.1496-3.425-2.3834-4.9937-3.6722-1.2646-1.0438-2.4858-2.1009-3.6719-3.2313-.2775-.263-.4612-.614-.7344-.8812-.4483-.4418-.8861-.8686-1.3219-1.3221-1.1581-1.198-2.3097-2.3904-3.3781-3.6717-.0432-.0504-.1023-.0959-.147-.147-1.1555-1.4011-2.188-2.9164-3.2313-4.4067-.1794-.2573-.4115-.4749-.5873-.7341-.036-.0576-.1088-.0915-.147-.147-.875-1.2967-1.7101-2.6095-2.4969-3.9658-.7491-1.2925-1.5377-2.6198-2.2031-3.9659-.0649-.1355-.0807-.3041-.147-.4403-4.3974-9.0484-6.9031-19.2254-6.9031-29.9625 0-3.72.4309-7.3142 1.0281-10.8687l98.9938,42.3-42.3-99.1406c3.5549-.5643 7.1543-.8812 10.8687-.8812zm-155.3938,45.0906h52.2875c-1.7154,7.5589-2.6438,15.4219-2.6438,23.5 0,10.4091 1.4569,20.461 4.2594,29.9625h-55.5187c2.8025-9.5015 4.2594-19.5534 4.2594-29.9625 0-8.0781-.9284-15.9411-2.6438-23.5z"}}]})(props);
};
function GiAbstract021 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21c-93.914,0-175.0468,55.0583-212.675,134.6844 24.2953-4.53 50.3943-8.2612 77.8433-11.1625 32.0958-38.7974 80.5457-63.45 134.8317-63.45s102.7354,24.6526 134.8308,63.45c27.377,2.8996 53.4395,6.6392 77.6971,11.1625-37.6254-79.6261-118.6148-134.6844-212.5279-134.6844zm0,84.1594c-83.3117,0-150.8409,67.5287-150.8409,150.8406s67.5291,150.8407 150.8409,150.8407 150.8404-67.5288 150.8404-150.8407-67.5291-150.8406-150.8404-150.8406zm0,22.6187c19.568,0 38.1917,4.3521 54.7841,12.1907l-30.4033,52.7281c-7.575-2.9202-15.7732-4.5532-24.3808-4.5532s-16.8062,1.633-24.3817,4.5532l-30.4029-52.5813c16.6328-7.8857 35.1536-12.3375 54.7846-12.3375zm-72.9971,22.7657 30.4029,52.7281c-12.791,10.329-21.7117,25.1753-24.3808,42.1531h-60.8067c3.2148-39.2867 24.1472-73.6216 54.7846-94.8812zm145.9938,0c30.635,21.2583 51.5679,55.5978 54.7841,94.8812h-60.8058c-2.6696-16.9778-11.5902-31.8241-24.3817-42.1531l30.4034-52.7281zm-227.95,24.0875c-25.0943,3.2147-48.5355,7.1416-69.7659,11.75-6.8042,21.9862-10.2807,45.3965-10.2807,69.6187s3.4766,47.6325 10.2807,69.6188c21.2304,4.6085 44.6716,8.5352 69.7659,11.75-12.7915-24.3075-19.975-51.9939-19.975-81.3688s7.1835-57.0612 19.975-81.3687zm309.9063,0c12.7915,24.3075 19.975,51.9939 19.975,81.3687s-7.1835,57.0612-19.975,81.3688c25.0073-3.2112 48.4227-7.1451 69.6188-11.75 6.8027-21.9862 10.4283-45.3965 10.4283-69.6188s-3.6256-47.6326-10.4283-69.6187c-21.1961-4.6049-44.6115-8.5388-69.6188-11.75zm-282.7346,91.9437h60.8067c2.6588,16.9107 11.5235,31.8293 24.2341,42.1532l-30.2563,52.7281c-30.6374-21.2597-51.5697-55.5946-54.7846-94.8813zm194.7567,0h60.8058c-3.2163,39.2835-24.1491,73.623-54.7841,94.8813l-30.2562-52.7282c12.7107-10.3239 21.5753-25.2425 24.2346-42.1532zm-91.3567,52.7282c7.5754,2.9202 15.7737,4.5531 24.3817,4.5531s16.8058-1.6329 24.3808-4.5531l30.4033,52.7281c-16.5924,7.8385-35.2162,12.1906-54.7841,12.1906-19.631,0-38.1517-4.4518-54.7846-12.3375l30.4029-52.5813zm-188.2933,37.0125c37.6282,79.6261 118.761,134.6844 212.675,134.6844s174.9026-55.0583 212.5279-134.6844c-24.2576,4.5233-50.3205,8.263-77.6971,11.1625-32.0954,38.7974-80.5453,63.45-134.8308,63.45s-102.7359-24.6526-134.8317-63.45c-27.449-2.9013-53.5481-6.6325-77.8433-11.1625z"}}]})(props);
};
function GiAbstract022 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m187.9976,20.9999-50.6721,80.0288h-50.6721c-22.0576,0-39.9505,14.494-39.9505,32.5821v61.5606c-14.8069,3.8924-25.7029,17.7326-25.7029,34.534v225.3718c0,19.8506 15.1556,35.9146 34.075,35.9229h85.9221 .1457 81.3697 12.4841 41.8597 7.4908 86.5096 .1456 85.9226c18.9171,0 34.075-16.0722 34.075-35.9229v-225.3718c0-16.749-10.8203-30.5912-25.5567-34.534v-61.5606c0-18.0881-17.7462-32.5821-39.8034-32.5821h-51.1125l-50.6726-80.0288-56.2529,85.1338v359.0034h-23.3533v-359.0034zm0,95.5688c18.5039,0 33.4875,15.5659 33.4875,34.8343s-14.9836,34.9844-33.4875,34.9844-33.3413-15.716-33.3413-34.9844 14.8365-34.8343 33.3413-34.8343zm135.8596,0c18.5039,0 33.488,15.5659 33.488,34.8343s-14.9841,34.9844-33.488,34.9844-33.4874-15.716-33.4874-34.9844 14.9831-34.8343 33.4874-34.8343zm-222.5164,12.8379h30.55v64.5636h-70.5005v-31.9815c0-18.088 17.8934-32.5821 39.9505-32.5821zm278.7702,0h30.8438c22.0567,0 39.8034,14.494 39.8034,32.5821v31.9815h-70.6471zm-263.0549,90.9896h14.8346v244.2905h-14.8346c-18.917,0-34.075-16.0347-34.075-35.8854v-172.67c0-19.8506 15.158-35.7351 34.075-35.7351zm263.0549,0h14.8341c18.9194,0 34.075,15.8845 34.075,35.7351v172.67c0,19.8507-15.1556,35.8854-34.075,35.8854h-14.8341zm-192.1135,28.6029c18.5039,0 33.4875,15.7161 33.4875,34.9845s-14.9836,34.8343-33.4875,34.8343-33.3413-15.5659-33.3413-34.8343 14.8365-34.9845 33.3413-34.9845zm135.8596,0c18.5039,0 33.488,15.7161 33.488,34.9845s-14.9841,34.8343-33.488,34.8343-33.4874-15.5659-33.4874-34.8343 14.9831-34.9845 33.4874-34.9845zm-135.8596,132.5805c18.5039,0 33.4875,15.5659 33.4875,34.8343s-14.9836,34.8343-33.4875,34.8343-33.3413-15.5659-33.3413-34.8343 14.8365-34.8343 33.3413-34.8343zm135.8596,0c18.5039,0 33.488,15.5659 33.488,34.8343s-14.9841,34.8343-33.488,34.8343-33.4874-15.5659-33.4874-34.8343 14.9831-34.8343 33.4874-34.8343z"}}]})(props);
};
function GiAbstract023 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m255.9999,21c-47.4963,0-86.0688,33.0231-86.0688,73.7313 0,.1903-.0009.3978 0,.5873 8.4393-14.5063 26.844-26.1349 50.0846-32.1657v69.4719c-26.8257,6.4211-50.4869,19.8543-68.0034,37.8938-19.5229-16.9206-35.2905-38.3801-45.678-63.0094-.4418,5.354-.7344,10.8181-.7344,16.3031 0,31.8658 7.6868,61.7663 20.8562,87.3907-3.0714,8.3718-5.4368,17.0809-6.3156,26.1438-36.2483-10.0255-69.6791-23.8389-99.1407-40.8313 26.6965,43.2067 65.3839,78.4945 111.4782,101.3438 12.6995,23.7463 34.2452,43.1277 60.8058,55.225-95.8205,13.2012-165.9684,55.9361-165.9684,106.4845 0,10.9585 3.2571,21.4365 9.4,31.4312 .9451-49.3125 77.2053-90.1983 177.8655-99.1406-38.2194,7.3228-65.0654,24.3758-65.0654,44.3563 0,26.6407 47.6736,48.3219 106.4843,48.3219s106.4842-21.6812 106.4842-48.3219c0-19.9805-26.8459-37.0335-65.0654-44.3563 100.6604,8.9423 176.9212,49.8281 177.8655,99.1406 6.1434-9.9948 9.4-20.4727 9.4-31.4312 0-50.5192-69.937-93.2569-165.6751-106.4845 26.4718-12.0973 47.8395-31.4787 60.5125-55.225 46.1488-22.8474 84.7607-58.0987 111.4784-101.3438-29.4977,17.0147-62.9856,30.8028-99.2875,40.8313-.8766-9.0447-2.813-17.791-5.875-26.1438 13.1722-25.6244 20.7092-55.5249 20.7092-87.3907 0-5.485-.1506-10.9492-.5874-16.3031-10.4171,24.698-26.3727,46.2144-45.9717,63.1563-17.4582-18.0011-40.8148-31.4287-67.5625-37.8937v-69.6188c23.1664,6.0426 41.2237,17.6922 49.6438,32.1657 .002-.1895 0-.3978 0-.5873 0-40.7082-38.5715-73.7313-86.0688-73.7313zm.1456,122.4938c45.2304,0 81.9567,36.1552 81.9567,80.6344 0,34.8798-22.5012,64.4418-54.05,75.6406 7.1718-12.3427 11.6029-29.3406 11.6029-48.175 0-37.6688-17.7678-68.2969-39.6562-68.2969s-39.5092,30.6281-39.5092,68.2969c0,18.7459 4.1962,35.6995 11.3091,48.0281-31.2874-11.334-53.4625-40.7985-53.4625-75.4938 0-44.4792 36.5811-80.6344 81.8092-80.6344zm-.1456,282.7345c33.6778,0 60.9534,10.5779 60.9534,23.6469s-27.2755,23.6469-60.9534,23.6469-60.9534-10.5779-60.9534-23.6469 27.2755-23.6469 60.9534-23.6469z"}}]})(props);
};
function GiAbstract024 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m40.2404,21 356.1721,28.2001c35.5099,3.5756 61.6043,27.0637 64.4779,60.3656l28.7875,363.075c.902-4.0293 1.3221-8.3444 1.3221-12.6313v-378.6437c0-33.4102-28.764-60.3656-64.4779-60.3656h-386.2817zm-17.9182,18.3594c-.902,4.0293-1.3221,8.3445-1.3221,12.6313v378.6437c0,33.4103 28.764,60.3656 64.4779,60.3656h386.2817l-356.0251-28.2001c-35.5099-3.5756-61.7514-27.0637-64.625-60.3656l-28.7875-363.075zm233.6779,14.5406c-51.7315,0-103.4508,19.7315-142.9096,59.1907-78.9182,78.9183-78.9182,206.9005 0,285.8187s206.901,78.9183 285.8192,0 78.9182-206.9004 0-285.8187c-39.4593-39.4591-91.1781-59.1906-142.9096-59.1907zm32.7529,26.8781c38.5865.1319 75.0063,13.3186 102.0783,40.3906 61.8788,61.8791 51.6695,172.4626-22.7659,246.8969-74.4334,74.4343-185.0173,84.6448-246.8966,22.7656s-51.6695-172.3157 22.7659-246.75c41.869-41.8692 95.2074-63.472 144.8183-63.3031zm-32.7529,39.6563c-34.6861,7e-05-69.3053,13.3458-95.7626,39.8031-52.9145,52.9147-52.9145,138.6103 0,191.5249s138.6105,52.9147 191.525,0 52.9145-138.6103 0-191.5249c-26.4573-26.4574-61.0765-39.8032-95.7625-39.8031zm-22.0313,18.0656c33.2642-.1132 69.0115,14.3735 97.0841,42.4469 49.9084,49.9082 56.7642,123.8912 15.275,165.3813s-115.4734,34.78-165.3808-15.1282-56.7642-124.0381-15.275-165.5281c18.1519-18.1518 42.425-27.0838 68.2966-27.1719zm22.0313,44.0625c-18.8165,0-37.4943,7.2384-51.8471,21.5907-28.7048,28.7045-28.7048,75.1361 0,103.8406s74.9899,28.7046 103.6942,0 28.7048-75.1361 0-103.8406c-14.3514-14.3523-33.0307-21.5907-51.8471-21.5907zm11.8971,9.6938c14.0351.0504 27.3127,4.8407 37.1592,14.6875 22.5069,22.507 18.7013,62.6671-8.3716,89.7407s-67.2339,30.8789-89.7409,8.3719-18.7013-62.6671 8.3716-89.7407c15.2294-15.2289 34.5366-23.1208 52.5817-23.0594zm-11.8971,25.4094c-21.205,0-38.3346,17.1292-38.3346,38.3344s17.1296,38.3343 38.3346,38.3343c21.205,0 38.3346-17.1292 38.3346-38.3343s-17.1296-38.3344-38.3346-38.3344z"}}]})(props);
};
function GiAbstract025 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m243.5608,495.721c-70.0559-.8487-137.1015-8.7687-199.3304-22.6308-3.2915-24.0388-6.3647-48.7475-8.9924-74.037h100.7143c24.2357,34.6434 63.0913,58.2908 107.6085,62.0472v34.6206zm24.8788,0v-34.6206c44.4865-3.76 83.2226-27.4283 107.4583-62.0472h100.8644c-2.6276,25.2895-5.7009,49.9982-8.9923,74.037-62.229,13.8621-129.2726,21.7821-199.3304,22.6308zm-12.4397-66.993c-62.6328,0-113.4532-50.8175-113.4532-113.4535s50.8205-113.4535 113.4532-113.4535c62.6381,0 113.3036,50.8175 113.3036,113.4535s-50.6655,113.4535-113.3036,113.4535zm0-24.7289c26.1934,0 47.3597-25.9634 47.3597-57.8508s-21.1664-57.7009-47.3597-57.7009-47.3597,25.8136-47.3597,57.7009 21.1668,57.8508 47.3597,57.8508zm-223.7594-35.8195c-2.8699-31.4435-5.2501-63.7091-7.0442-96.6678h90.9728c-4.3053,13.7932-6.5944,28.5516-6.5944,43.7628 0,18.6648 3.524,36.4898 9.8916,52.905h-87.2258zm360.1438,0c6.3685-16.4206 10.0412-34.2329 10.0412-52.905 0-15.2105-2.2896-29.9702-6.5944-43.7628h90.9723c-1.7903,32.9587-4.1739,65.2243-7.0438,96.6678h-87.3754zm-368.6862-127.5415c-1.3712-31.6641-2.2311-64.0805-2.5481-96.8176h469.7003c-.3162,32.7371-1.1793,65.1535-2.5476,96.8176h-106.41c-25.5042-42.9866-72.2793-71.7889-125.8928-71.7889-53.615,0-100.5368,28.7945-126.0425,71.7889h-106.2594zm-2.6982-127.5415c0-23.2545.35-46.1987.8997-68.9413 33.6093-8.4093 68.8027-14.9491 105.21-19.6332v88.5746h-106.1097zm130.8389,0v-91.4222c33.8524-3.4813 68.6291-5.3954 104.1611-5.3954 35.4826,0 70.2051,1.9241 104.012,5.3954v91.4222h-208.1731zm233.0514,0v-88.5746c36.4097,4.6841 71.5988,11.224 105.2109,19.6332 .5449,22.7426.8844,45.6868.8988,68.9413h-106.1097z"}}]})(props);
};
function GiAbstract026 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21-22.4716,22.4718c-52.115,1.159-98.8523,6.1706-133.6563,13.9531h119.7029l-162.15,162.15v-119.7031c-7.7818,34.804-12.7939,81.5412-13.9529,133.6562l-22.4721,22.4719 22.4721,22.4719c1.159,52.1141 6.1711,98.8513 13.9529,133.6562v-119.7031l162.15,162.15h-119.7029c34.804,7.7825 81.5413,12.7941 133.6563,13.9531l22.4716,22.4719 22.4721-22.4719c52.1141-1.159 98.8513-6.1706 133.6562-13.9531h-119.7033l162.15-162.15v119.7031c7.7827-34.8049 12.7939-81.5421 13.9533-133.6562l22.4716-22.4719-22.4716-22.4719c-1.1595-52.115-6.1701-98.8523-13.9533-133.6562v119.7031l-162.15-162.15h119.7033c-34.8049-7.7825-81.5421-12.7941-133.6562-13.9531l-22.4721-22.4718zm0,24.3812 210.6192,210.6187-210.6192,210.7656-210.6183-210.7656 210.6183-210.6187zm0,8.0781-3.8183,3.8187-20.5625,20.5625-143.7909,143.7907-9.9875,9.9875-24.3812,24.3812 3.6722,3.8187h.1456l194.9034,195.05 3.8183,3.8187 3.8192-3.8187 20.5625-20.5625 9.9875-9.9875 133.6558-133.8032 10.1346-9.9875 20.5625-20.7094 3.8188-3.8187-3.6717-3.6719-.1456-.147-20.4153-20.5625h-.1456l-9.8404-9.9875-133.8034-133.6562-.1456-.1463-9.8408-9.9875h-.1456l-20.5626-20.5625-3.8192-3.8187zm0,7.6375 20.5625,20.5625-5.5808,5.4344c-.7063-.4238-1.472-.6695-2.2034-1.0281-.0649-.0288-.0894-.1189-.1456-.147-.0505-.0216-.1081.0216-.1456,0-.24-.1131-.4965-.1787-.7346-.294-.3481-.1261-.6753-.3012-1.0279-.4403-.0649-.0216-.0843-.1232-.1456-.147-.08-.0504-.2119-.1189-.2911-.147-.4829-.1816-.9748-.3128-1.4692-.4403-.1506-.036-.2912-.1045-.4418-.1463-.0894-.0288-.2018.0288-.2912,0-.4468-.1283-.8765-.3128-1.3216-.4403-.2868-.0649-.5895-.0894-.8817-.147-.7281-.1521-1.4707-.3474-2.2029-.4403-.183-.0216-.3899.0216-.5874,0-.3992-.036-.7999-.1247-1.175-.147-.2443-.0505-.4893.007-.7347,0h-.2912c-.7142-.0505-1.3418-.0505-2.0567,0-.3243,0-.7034-.0144-1.0279,0l-1.3221.147h-.2912c-.7525.0944-1.4593.2897-2.2034.4403-.0987.0505-.1975.1341-.2911.147-.2018.0432-.3856.1009-.5874.147-.4418.0504-.8963.0216-1.3221.1463-.08.0505-.2112.124-.2912.147-.3524.1023-.6789.3063-1.0284.4403-.4375.1679-.8921.2724-1.3216.4403-.5045.1931-.9748.3639-1.4692.5874-.1412.0576-.2962.0793-.4418.147l-.2912.147c-.6897.3358-1.3917.7754-2.0562,1.175l-5.4345-5.5813 20.5625-20.5625zm-188.5875,6.4625v126.3126l.1456-.147 126.1654-126.1657h-126.1654-.1456zm250.8625,0 126.1659,126.1657 .1456.147v-126.3126h-.1456-126.1659zm-31.725,24.0875 .1456.1463 133.6563,133.6563-5.5813,5.4343c-.8033-.4792-1.6619-.7788-2.4971-1.175-.5953-.2825-1.2864-.6349-1.9091-.8812-.1031-.036-.1924-.1088-.2912-.1463-.6731-.2551-1.3715-.3834-2.0563-.5873-.08-.0432-.0649-.1232-.1456-.147-.3711-.1059-.7684-.222-1.175-.294-.3856-.0944-.7882-.2176-1.175-.294-.6659-.1355-1.3841-.2039-2.0567-.294-.3099-.036-.5924-.0144-.8808,0-.1456-.0144-.2962.0144-.4418,0-.1975-.0216-.3899-.134-.5874-.147-.2443-.0432-.343-.1376-.5873-.147h-.2912c-.7142-.0432-1.3414-.0432-2.0562,0-.3243,0-.7034.1276-1.0284.147-.4656.0504-1.0058.0908-1.4683.147-.0937,0-.0504-.0144-.1456,0-.6558.0814-1.2676.2991-1.9096.4403-.0937.0216-.1975-.0216-.2912,0-.0987.0505-.343-.0144-.4418,0-.6263.1355-1.2906.2616-1.9091.4403-.08.0432-.0649-.0216-.1456,0-1.4528.4274-2.8741.9567-4.2596,1.6156l-.2912.147c-.7318.3574-1.4974.7516-2.2033,1.175l-7.4909-7.6376c5.0878-8.4447 5.5168-18.8475 1.3221-27.6125-.0504-.0576-.1175-.0872-.1456-.1463-.6637-1.4079-1.4462-2.8048-2.35-4.1125-.0504-.0576-.1081-.0915-.1456-.147-.9132-1.3019-1.9307-2.5016-3.0842-3.6719l-.1456-.147c-1.1642-1.164-2.3749-2.157-3.6721-3.0844-1.4109-.994-2.8773-1.9278-4.4058-2.6438-1.4109-.6717-2.9258-1.1817-4.4067-1.6156-7.7639-2.2752-16.2605-1.3346-23.3528,2.9375l-7.6376-7.6376c4.2723-7.0922 5.1696-15.4853 2.9375-23.2062-.418-1.475-.8131-2.9988-1.4687-4.4063-.0504-.0577-.1175-.0872-.1456-.147-.6644-1.4013-1.4467-2.8088-2.35-4.1125-.0505-.0577-.1081-.0915-.1456-.147-.9132-1.298-1.9307-2.5017-3.0846-3.6719-.0504-.0505-.0937-.0973-.1456-.1463-1.1642-1.164-2.3749-2.157-3.6717-3.0844-1.4109-.9939-2.8778-1.9278-4.4067-2.6438-1.4104-.6717-2.9253-1.1817-4.4058-1.6156-7.7644-2.2752-16.2611-1.3346-23.3533,2.9375l-7.6373-7.6375c.4713-.7811.7666-1.6639 1.175-2.4969 .32-.6544.7698-1.2548 1.0283-1.9093 .0505-.1333.0987-.3048.1456-.4403 .24-.6349.3949-1.2615.5873-1.9094 .0505-.116.1319-.1758.1456-.294 .1881-.65.3005-1.3968.4418-2.0562 .0504-.1182.1319-.1766.1456-.294 .1319-.6817.2068-1.3682.2962-2.0563 .0649-.472 0-.8476 0-1.3218 .0504-.4259.1319-.8955.1456-1.3219 .0504-.7953.0504-1.7013 0-2.4968-.0432-.6666-.2205-1.2806-.2912-1.9094v-.294c-.0987-.7693-.1225-1.546-.2912-2.35-.4605-2.2233-1.2145-4.523-2.2034-6.6094l-.1456-.294c-.3668-.7485-.7407-1.4809-1.175-2.2031l5.5813-5.4344-.1456-.147zm-61.2467.147 5.4341,5.4344c-.4324.7209-.8088,1.4549-1.175,2.2031-.0504.098-.0987.191-.1456.294-.3337.7034-.4793,1.4607-.7341,2.2031s-.5398,1.4496-.7346,2.2031c-.1881.7326-.4375,1.4786-.5873,2.2031-.0432.1175-.2681.1766-.2912.294-.2868,1.4467-.2306,2.9379-.2912,4.4062-.005.0987-.1412.1953-.1456.294-.0432.7192.0894,1.3786.1456,2.0563 .0504.2897 0,.5751 0,.8812 .0937,1.2413.1924,2.5944.4418,3.8187 .1549.7816.3668,1.5801.5873,2.35 .0504.0987-.0432.1996 0,.294 .2018.6731.4857,1.2495.7346,1.9093 .0432.0944.1124.1989.1456.294 .1031.2674.183.6205.2912.8813 .1268.3048.2912.5909.4418.8812 .0432.0995.0987.1946.1456.294l.1456.294c.3286.5902.6774,1.1632 1.0279,1.7625v.147c0,.0504-.0504.098 0,.1463l-7.7841,7.7844c-1.3132-.7882-2.718-1.4918-4.1125-2.0563-.1038-.0432-.1924-.1074-.2912-.147-1.3969-.5477-2.8106-.8504-4.2596-1.175-1.1759-.2638-2.3302-.4713-3.525-.5873-2.0708-.2018-4.1017-.2407-6.1683,0-3.1077.3618-6.2209,1.2818-9.1067,2.6437-2.9347,1.3852-5.6381,3.3071-8.0779,5.7282-.0505.0288-.1175-.0288-.1456,0-8.5371,8.5376-10.6718,20.8992-6.4625,31.4312 .5744,1.4362 1.246,2.9086 2.0567,4.2594l-7.7846,7.7843c-1.3507-.8107-2.8233-1.4859-4.2596-2.0563-2.8153-1.1183-5.6884-1.7099-8.6654-1.9093-.2493-.0216-.4843-.1369-.7347-.147-1.5336-.0721-3.0268-.0216-4.5529.147-2.1808.2551-4.37.8697-6.4625,1.6156-.9297.3279-1.8913.6018-2.7904,1.0282-.0576.0288-.0894.1196-.1456.1463-1.3978.6745-2.8135,1.436-4.1125,2.35-.0577.036-.0937.1074-.1456.147-1.293.9237-2.5074,1.9204-3.6716,3.0844-1.2145,1.2143-2.2744,2.4607-3.2313,3.8188-.0432.0576-.1081.0915-.1456.147-.9076,1.3077-1.6789,2.7045-2.35,4.1126-.0504.0576-.1175.0879-.1456.1463-3.517,7.3273-3.7483,15.6864-.7341,23.2062 .5737,1.4323 1.2455,2.9088 2.0558,4.2594l-7.7841,7.7843c-.7063-.423-1.3235-.8173-2.0563-1.175-.0504-.0216-.1038.0216-.1456,0-.6284-.302-1.2638-.4793-1.9091-.7344-1.3569-.5001-2.7091-1.0107-4.1125-1.3218-.1975-.0432-.3899-.1059-.5874-.147-.1175-.0216-.1737.0216-.2912,0-.6644-.1348-1.3856-.3517-2.0563-.4403-.2537-.0288-.4814.0216-.7341,0-.6385-.0721-1.4156-.1211-2.0567-.1463-1.5289-.0822-3.0315-.0216-4.5529.1463-.7802.085-1.5773.1362-2.35.294-.0649,0-.0894.1369-.1456.147-.0987.0432-.1924-.0216-.2912,0-.627.1355-1.2906.2616-1.9096.4403-.08.0505-.2119.1225-.2912.147-.7929.2342-1.4288.4302-2.2033.7344s-1.6018.658-2.35,1.0282c-.6695.3286-1.2643.7859-1.9091,1.175l-5.5813-5.5813 133.6356-133.6548zm15.5688,45.6782c.0721.0764.2068.0937.2912.1463 .6291.3639 1.261.7099 1.9091,1.0281l.2962.147c.6176.294 1.2676.4929 1.9091.7344 .0505.0144.1031-.0144.1456,0 .0504.0288.0649.1168.1456.1463 .3949.1434.7741.3149 1.175.4403 .24.0649.4929.0749.7346.147 .0504.0144.0987-.0144.1456,0 .0504.036.08.1276.1456.1463 .6508.1881 1.3969.3048 2.0567.4403 .0505.007.0987-.007.1456,0 .0504.036.08.1326.1456.147 .0432.007.1031-.007.1456,0 .6349.1189 1.2694.2155 1.9096.294 .472.0649.9945.1045 1.4683.147 .343.036.6854.1304 1.0284.147h.1456 .1456c.7599.036 1.6013.0432 2.35,0 .2443-.005.49.0144.7346,0 .5268-.036 1.0659-.2104 1.6154-.294 .7435-.1124 1.4998-.1499 2.2029-.294 .7835-.1557 1.434-.3675 2.2034-.5873 .0937-.0288.3481.0288.4418,0 .6724-.2004 1.2488-.4857 1.9092-.7344 .0937-.036.2018-.111.2911-.147 .5888-.2205 1.1839-.4605 1.7625-.7344 .1038-.0432.1975-.0951.2912-.147 .7483-.3668 1.4815-.7402 2.2034-1.175 .0505-.0216.1081.0216.1456,0l7.6375,7.6375c-6.7567,11.256-5.2969,26.1348 4.4063,35.8375 .0504.0288.1175-.0288.1456,0 2.4049,2.3868 5.0422,4.3616 7.9308,5.7281 .0504.0216.1081-.0216.1456,0 1.4212.6637 2.9154,1.1961 4.4062,1.6157 1.2596.3704 2.5286.6846 3.8187.8812 .2912.0432.5888.1146.8812.147 .0504.005.0987-.005.1456,0 6.3032.7333 12.7319-.5873 18.3596-3.9656l7.6375,7.6375c-4.2558,7.0898-5.208,15.5876-2.9375,23.3531 .4324,1.4812.9447,2.9958 1.6155,4.4063 .0504.0577.1225.0901.1456.147 .6796,1.4042 1.4335,2.8103 2.35,4.1125 .0504.0576.1081.0915.1456.147 .9259,1.2961 1.9214,2.5092 3.0842,3.6719l.1456.1463c1.1688,1.1524 2.3749,2.1686 3.6721,3.0844 .0576.036.0894.1074.1456.1463 1.3028.9063 2.711,1.6805 4.1125,2.35 .956.4605 1.9463.8263 2.9375,1.175 .5319.1874 1.075.4324 1.6155.5873 .3293.0937.6976.0649 1.0279.147 2.7551.6846 5.5478,1.0139 8.3721.8812h.1456c4.7001-.2421 9.3347-1.6049 13.5125-4.1125l7.7841,7.6375c-.4324.7207-.8089,1.4567-1.175,2.2031-.0505.0994-.0987.1939-.1456.294-1.042,2.1911-1.7413,4.5625-2.2034,6.9031-.2494,1.25-.343,2.5447-.4418,3.8187 0,.1989-.1362.3884-.1456.5873-.005.0987.004.1996 0,.294-.0504,1.0264-.0649,2.0593 0,3.0844 .0505.4807.2205.9683.2912,1.4687 .1175.7917.1412,1.6007.2912,2.35 .1362.6854.3949,1.2582.5873,1.9093 .0432.0922-.0504.1982 0,.294v.1463c0,.1095-.0504.2306 0,.294 .2018.6724.4857,1.2491.7341,1.9094 .0504.0937.1124.1996.1456.294 .08.209.2119.3805.2912.5873 .1031.2457.183.4908.2912.7344 .4324,1.0347.877,2.0976 1.4687,3.0844l-7.6375,7.7844c-1.4495-.873-3.0075-1.6037-4.5533-2.2031-1.4542-.57-2.8957-.9935-4.4058-1.3219-.0432-.007-.0987.007-.1456,0-9.3117-1.9774-19.3137.7156-26.5846,7.9313-.0505.0288-.1175-.0288-.1456,0-9.7023,9.7012-11.1626,24.4351-4.4063,35.6906l-7.6375,7.7844c-1.4495-.873-3.0071-1.6037-4.5529-2.2031-1.4584-.57-2.8896-.9934-4.4067-1.3219-.0504-.007-.0987.007-.1456,0-4.5994-.9725-9.4056-.8087-13.9533.4403-4.7338,1.3007-9.2129,3.7791-12.925,7.4907-8.538,8.5388-10.5524,20.8998-6.3154,31.4312 .5664,1.4428 1.2526,2.9039 2.0563,4.2594l-7.6375,7.7844c-.6839-.4101-1.3466-.6789-2.0563-1.0282-.7736-.3784-1.5529-.7277-2.35-1.0281-1.4965-.5823-2.9981-.996-4.5529-1.3218-.1031-.0216-.1924-.1225-.2962-.147-.3387-.0721-.6861-.0843-1.0279-.1463-.4418-.1095-.8766-.2393-1.3221-.294-.183-.0216-.3856-.007-.5874,0-.1924-.0216-.3949.0216-.5873,0-.1506-.0144-.2912-.1369-.4418-.147-.2443-.0432-.4893,0-.7346,0h-.2912c-.7156-.0432-1.3419-.0144-2.0567,0-.0577,0-.0894.1045-.1456.147-.0504.0288-.1081,0-.1456,0-.3005.0216-.5895.0144-.8817,0-.3899-.0144-.7788-.036-1.175,0-.0987,0-.1975.1319-.2912.147-.753.098-1.4599.1398-2.2034.294-.0987.0505-.343.1326-.4418.147-.6263.1362-1.1435.1153-1.7625.294-.08.0432-.2119.1232-.2912.147-.3618.1074-.6731.3193-1.0283.4403-1.9214.6565-3.7831,1.4183-5.5813,2.4968l-7.7846-7.6375v-.1463c.8253-1.3698 1.6224-2.8024 2.2034-4.2594v-.1463c.5722-1.4543.9927-2.8964 1.3216-4.4062v-.147c.9832-4.6493.845-9.5177-.4418-14.1001-1.2986-4.6294-3.7013-8.9886-7.3437-12.6312-.0504-.0288-.1175.0288-.1456,0-1.1872-1.187-2.351-2.2904-3.6722-3.2313-.0504-.0216-.1124.0216-.1456,0-1.3193-.9322-2.6912-1.8093-4.1125-2.4969-.0504-.0216-.1038.0216-.1456,0-.5138-.2465-1.0909-.3733-1.6159-.5874-.9235-.3647-1.8405-.7617-2.7904-1.0281-1.5919-.4692-3.0635-.8373-4.7-1.0282-1.5844-.1744-3.2552-.2292-4.8471-.147-4.7485.222-9.4371,1.5691-13.6592,4.1125l-7.7841-7.6376v-.147c.8248-1.3698 1.6219-2.8023 2.2029-4.2594v-.1463c.5722-1.4544.9926-2.8964 1.3221-4.4062v-.147c.9823-4.6494.8446-9.5176-.4418-14.1-1.2986-4.6295-3.7013-8.9887-7.3437-12.6313-.0504-.0288-.1175.0288-.1456,0-1.1868-1.1871-2.3468-2.2903-3.6717-3.2313-.0432-.0216-.1124.0216-.1456,0-1.3235-.9323-2.6851-1.8092-4.1125-2.4969-.0432-.0216-.1081.0216-.1456,0-1.4265-.6796-2.9079-1.3264-4.4063-1.7625-.0432-.0144-.0987.0144-.1456,0-1.4969-.4281-3.0174-.6954-4.5533-.8813-.0432-.005-.0987.005-.1456,0-6.2957-.7301-12.7558.6248-18.3596,3.9657l-7.7846-7.7844c.0721-.1168.2213-.178.2962-.294 .3149-.5412.4605-1.1795.7341-1.7625 .3762-.8026.8648-1.5597 1.175-2.35 .0504-.1333.0987-.16.1456-.294 .24-.6349.3949-1.261.5874-1.9094 .0504-.1167.1124-.178.1456-.294 .1881-.65.3056-1.3967.4418-2.0562 .0504-.1182.1225-.1766.1456-.294 .1362-.6817.2068-1.3682.2912-2.0563v-.294c.0432-.3913.1124-.7946.1456-1.175 .0432-.4259.1319-.7486.1456-1.175 .0505-.7954.0505-1.7013 0-2.4969-.08-1.5844-.4043-3.1415-.7347-4.7-.2306-1.1116-.5477-2.1543-.8808-3.2313-.0505-.1023-.1132-.1917-.1456-.294-.3149-.9718-.5816-1.9933-1.0279-2.9374-.0432-.1023-.0937-.1924-.1456-.294-.3668-.7485-.7402-1.481-1.175-2.2031l7.6375-7.7843c1.3555.8042 2.8163,1.4861 4.2596,2.0562 3.0592,1.22 6.1523,1.9057 9.4,2.0563 1.5434.0721 3.1621.0216 4.7-.1463 .0432-.005.0987.005.1456,0 3.1255-.3618 6.2073-1.2818 9.1063-2.6438 2.9351-1.3845 5.6499-3.2996 8.0779-5.7282 .0504-.0288.1225.0288.1456,0 6.0644-6.0642 8.7838-14.1144 8.3721-22.0312-.003-.0505.002-.098 0-.147 0-.2018-.1319-.3856-.1456-.5874-.2306-2.9769-.7764-5.8498-1.9096-8.6656-.5693-1.4428-1.2516-2.9039-2.0558-4.2594l7.7841-7.7845c1.3555.8041 2.8163,1.4862 4.2591,2.0562 3.0597,1.22 6.1528,1.9057 9.4,2.0563 1.544.0721 3.1627.0216 4.7-.1463 .0505-.005.0987.005.1456,0 3.1255-.3618 6.2072-1.2818 9.1062-2.6438 1.4679-.6926 2.9013-1.5442 4.2591-2.4968 .0504-.0216.1124.0216.1456,0 1.325-.9371 2.4849-2.0443 3.6722-3.2313 .0504-.0288.1175.0288.1456,0 8.5385-8.5385 10.6723-20.8996 6.4625-31.4313-.5664-1.4428-1.2521-2.9039-2.0563-4.2594l7.6374-7.7843zm14.9812,50.2313c-2.1399.004-4.332.0915-6.4625.294-2.1822.209-4.4518.4641-6.6091.8812-2.1075.4101-4.2483,1.0063-6.3159,1.6157-10.5515,3.1198-20.4581,8.8812-28.7875,17.1844-.0432.0288-.1225-.0288-.1456,0-26.7059,26.7058-26.7059,70.0848 0,96.7906 .0504.0288.1225-.0288.1456,0 1.645,1.6399 3.2303,3.2623 4.9937,4.7001 .0432.0216.1175-.0216.1456,0 1.7625,1.432 3.5697,2.882 5.4342,4.1125 .0504.0216.1131-.0216.1456,0 1.8635,1.2244 3.7793,2.3546 5.7284,3.3781 .0432.0216.1081-.0216.1456,0 1.9486,1.0181 3.8568,1.9729 5.875,2.7906 .0504.0216.1081-.0216.1456,0 2.0187.813 4.0956,1.5901 6.1688,2.2031 .0504.0144.1038-.0144.1456,0 2.0718.6075 4.0584,1.2075 6.1693,1.6157 .0432.007.0987-.007.1456,0 2.1112.4036 4.3282.6774 6.4625.8812 2.2292.2176 4.5181.294 6.7562.294 17.4239-.0735 34.8961-6.6966 48.1751-19.975 .0432-.0288.1225.0288.1456,0 18.4061-18.4066 24.0038-44.6733 17.0375-68.0031-3.141-10.5184-8.7392-20.4886-17.0375-28.7875-.0504-.0288-.1225.0288-.1456,0-1.6431-1.6431-3.2322-3.2591-4.9938-4.7-.0505-.0216-.1175.0216-.1456,0-1.7611-1.4356-3.5715-2.8785-5.4346-4.1125-.0432-.0216-.1124.0216-.1456,0-1.8612-1.2283-3.7802-2.3507-5.7279-3.3781-.0432-.0216-.1081.0216-.1456,0-1.9467-1.0223-3.8573-1.9687-5.875-2.7906-.0432-.0216-.1031.0216-.1456,0-8.2395-3.3381-17.0892-4.9938-25.8499-4.9937zm0,10.2812c3.7149-7e-05 7.5031.3193 11.1625,1.0281 .0505.007.0987-.007.1456,0 3.6125.7084 7.1248,1.8324 10.5751,3.2313 .0504.0216.1031-.0216.1456,0 3.4507,1.4083 6.8065,3.1874 9.9874,5.2875 .0504.0216.1132-.0216.1456,0 1.5755,1.0448 3.0635,2.3101 4.553,3.525 .0504.0216.1175-.0216.1456,0 1.4898,1.2201 2.8684,2.5749 4.2591,3.9656 7.0838,7.0841 12.0202,15.5722 14.6875,24.5281 1.6003,5.3736 2.35,10.8835 2.35,16.45s-.7497,11.1974-2.35,16.5969c-2.6673,8.9992-7.6041,17.4447-14.6875,24.5281-11.2603,11.2606-26.0705,16.9637-40.8313,17.0375-1.9054,0-3.83-.1074-5.7279-.294-1.8029-.1722-3.6514-.3942-5.4346-.7344-.0504-.007-.0987.007-.1456,0-1.7836-.3452-3.5362-.9551-5.2875-1.4687-.0432-.0144-.1031.0144-.1456,0-1.7503-.5182-3.4357-1.0761-5.1409-1.7625-.0504-.0216-.1031.0216-.1456,0-1.7061-.6918-3.3469-1.4895-4.9938-2.35-.0432-.0216-.1081.0216-.1456,0-1.6482-.8661-3.2707-1.9018-4.8466-2.9374-.0504-.0216-.1124.0216-.1456,0-1.5778-1.0414-3.062-2.3136-4.5533-3.525-.0504-.0216-.1175.0216-.1456,0-1.4923-1.217-2.867-2.5781-4.2596-3.9657-22.6676-22.6679-22.6686-59.4346 0-82.1031 6.1574-6.1343 13.3386-10.5667 21.0029-13.3656 1.12-.4151 2.2395-.8319 3.3783-1.175 1.3639-.4036 2.7279-.8736 4.1125-1.175 2.2607-.4922 4.6079-.8084 6.9033-1.0281 1.7987-.1737 3.6275-.289 5.4341-.294zm0,5.5813c-3.3548,0-6.6825.3877-9.9875,1.0281-4.1699.8273-8.2851,2.1121-12.1909,3.9656-5.3547,2.5029-10.2563,6.0153-14.6875,10.4281-.0504.0216-.1225-.0216-.1456,0-20.4958,20.4958-20.4948,53.6771 0,74.1719 .0504.0216.1225-.0216.1456,0 1.2577,1.2522 2.4727,2.5734 3.8192,3.6719 .0504.0216.1175-.0216.1456,0 1.3446,1.0919 2.6912,2.1454 4.1125,3.0844 .0504.0216.1124-.0216.1456,0 1.4208.9333 2.7744,1.8628 4.2596,2.6438 .0504.0216.1081-.0216.1456,0 1.4838.7755 3.016,1.4325 4.5529,2.0562 .0504.0216.1038-.0216.1456,0 1.537.619 3.1218,1.295 4.7,1.7625 .0432.0144.1031-.0144.1456,0 1.5764.462 3.0945.8639 4.7,1.175 .0432.007.0987-.007.1456,0 1.606.3063 3.2242.5787 4.8471.7344 1.7188.1694 3.5617.294 5.2875.294 13.3236-.0721 26.6909-5.247 36.8654-15.4219 .0505-.0216.1225.0216.1456,0 5.1235-5.1237 8.8943-11.0181 11.4563-17.3312 4.5068-11.1055 5.0365-23.4082 1.6158-34.8094-.4836-1.6173-.9724-3.1265-1.6158-4.7001-2.562-6.3132-6.3324-12.2074-11.4563-17.3312-.0432-.0216-.1225.0216-.1456,0-1.2553-1.2554-2.4736-2.5703-3.8182-3.6719-.0504-.0216-.1175.0216-.1456,0-1.3428-1.0954-2.6927-2.1419-4.1126-3.0844-.0432-.0216-.1124.0216-.1456,0-1.4542-.9607-2.8835-1.8432-4.4058-2.6438-3.0531-1.6071-6.1485-2.8521-9.3999-3.8187-4.9054-1.4668-10.0514-2.2031-15.1284-2.2031zm-174.3409,31.8718h.1456l5.4346,5.5813c-.4324.7192-.8094,1.3094-1.175,2.0562-.0504.0995-.0987.3423-.1456.4403-.3005.6306-.6291,1.2631-.8812,1.9094-.0504.0886.0505.2047 0,.294-.2537.6731-.3805,1.3711-.5873,2.0563-.2112.7434-.5751,1.4462-.7341,2.2031 0,.1175-.1225.1766-.1456.294-.5088,2.5526-.6147,5.1951-.4418,7.7843 .0505.5455.075,1.2168.1456,1.7625 .0894.6918.16,1.371.2912,2.0563 0,.0577.1362.0858.1456.147v.294c.1506.6709.3899,1.2569.5873,1.9093v.147c.2025.6846.3337,1.3842.5873,2.0563 .0505.08.1175.214.1456.294 .2775.7113.6868,1.371 1.0284,2.0562 .0505.1016.0987.1939.1456.294 .3481.6825.6291,1.39 1.0283,2.0563l-5.5817,5.4343-20.4154-20.5625 20.4154-20.5625zm348.8284,0 20.5625,20.5625-20.5625,20.7094-5.4342-5.5812c.48-.7971.7863-1.6761 1.175-2.4969 .6558-1.3863 1.1966-2.8031 1.6154-4.2594 .2443-.8424.5636-1.6304.7346-2.4969 .1362-.6637.3524-1.3865.4418-2.0563v-.294c.0504-.374 0-.6529 0-1.0281 .0504-.4259.1319-.8962.1456-1.3218 .0505-.6803.0505-1.3768 0-2.0563v-.4403c0-.3113-.1225-.5708-.1456-.8812-.1031-1.2648-.1737-2.5728-.4418-3.8187-.3243-1.5492-.745-3.0631-1.3221-4.5532-.24-.6068-.596-1.1706-.8812-1.7625v-.147c-.4043-.854-.8305-1.6773-1.3217-2.4969l5.4342-5.5812zm-333.1125,45.825c.721.4346 1.4547.8087 2.2034,1.175l.2912.147c.3387.1607.6796.2991 1.0284.4403 .7178.3041 1.4678.4915 2.2034.7344 .1456.0432.2912.1045.4418.147 .884.276 1.739.5441 2.6437.7344 .1175.0432.1881.1196.2912.1463 .0504.0288.1268-.036.1456,0 .0505.0649.0894.1348.1456.147 1.0608.2112 2.1489.2695 3.2313.294 .3949.007.7835-.0216 1.175,0 .0987.005.1975.142.2912.147 .6681.0216 1.2831-.0966 1.9091-.147h.2962 .7341c.3337-.0216.6817-.1182 1.0284-.147 .9372-.0778 1.8969-.1117 2.7904-.294 .7816-.1557 1.5801-.3675 2.35-.5873 .0987-.0288.2018.0288.2912,0 .6731-.2003 1.2497-.4857 1.9091-.7344 .0577-.0216.0894-.1146.1456-.147 .0504-.0216.1081.0144.1456,0 .4987-.1903.98-.3805 1.4683-.5874l.2962-.147c.1031-.0505.3387-.2465.4418-.294 .6854-.3358 1.2681-.64 1.9096-1.0281 .0987-.0505.1975.0577.2912,0l7.6375,7.6375c-6.7557,11.2565-5.296,26.1353 4.4067,35.8375 .0504.0288.1175-.0288.1456,0 1.1891,1.18 2.3486,2.3012 3.6717,3.2313 .0432.0216.1175-.0216.1456,0 1.3216.9204 2.6893,1.8236 4.1125,2.4968 .0432.0216.1081-.0216.1456,0 1.4213.6637 2.915,1.1961 4.4058,1.6157 1.0199.2998 2.044.5484 3.0846.7344 .5023.0822.9635.2378 1.4687.294 .0937.0144.1975-.007.2912,0 6.3027.7333 12.7309-.5873 18.3596-3.9656l7.6375,7.6375c-6.7567,11.256-5.2964,25.988 4.4058,35.6907 .08.0778.2162.0721.2962.147 1.1445,1.1203 2.2579,2.1862 3.525,3.0844 .0843.0649.2068.0858.2912.147 1.2713.8799 2.602,1.692 3.9659,2.35l.2912.147c1.3686.6414 2.8275,1.1965 4.2596,1.6157 1.0157.3005 2.0473.5484 3.0842.7344 .5023.0886.9635.2321 1.4687.294 1.6596.2112 3.3239.2248 4.9938.147 4.7005-.2169 9.3347-1.6045 13.5125-4.1125l7.7841,7.6375c-.4324.721-.8089,1.4563-1.175,2.2031-.0432.0987-.0987.1953-.1456.294-1.0425,2.1921-1.7408,4.5635-2.2034,6.9031-.5081,2.5535-.7618,5.1965-.5873,7.7843 .0504.547.2306,1.0709.2962,1.6157 .0894.6926.16,1.37.2912,2.0562 0,.0577.1362.0858.1456.1463v.294c.1506.6738.3899,1.3853.5873,2.0563v.1463c.2018.6861.3337,1.3832.5873,2.0562 .0504.0793.1175.214.1456.294 .5909,1.5242 1.2004,2.9779 2.0558,4.4063l-5.4342,5.4343-133.6562-133.6563 5.5812-5.4344zm287.4342,0c.7215.4346 1.4565.8087 2.2034,1.175l.2912.147c.4374.2076.8728.4064 1.3221.5873 .1412.0577.3005.0923.4418.147 .1319.0504.3056.1002.4418.147 .3949.1434.7741.3149 1.175.4403 .24.0649.4929.0757.7346.147 .1038.0288.1924.1182.2912.147 .65.1888 1.3964.3005 2.0563.4403 .1506.036.2912.1175.4418.147 .6342.116 1.2694.214 1.9096.294 1.9421.2774 3.9343.4252 5.875.294 .547-.0432 1.0706-.2234 1.6154-.294 .6933-.0879 1.3701-.1564 2.0567-.294 .0577-.007.0843-.1362.1456-.147 1.1116-.2306 2.2645-.5117 3.3783-.8812 .3899-.1009.7939-.1506 1.175-.294 .08-.036.2162-.1168.2912-.147 1.5242-.5909 2.9779-1.2006 4.4067-2.0563l5.4341,5.4344-133.6563,133.8031-5.5812-5.5812c1.6981-2.8172 2.8679-5.8322 3.525-8.9594 .0505-.1175.1175-.1838.1456-.294 .1362-.6637.2018-1.3865.2962-2.0563v-.294c.0432-.374.1319-.7997.1456-1.175 .0432-.4259 0-.7492 0-1.175 .0432-.6803 0-1.5236 0-2.2031v-.294-1.0281c-.1038-1.2648-.32-2.4259-.5874-3.6719-.2119-1.0021-.5751-1.9619-.8813-2.9375-.1694-.5326-.2349-1.0894-.4418-1.6157-.2537-.6479-.4324-1.2772-.7346-1.9093-.0504-.1023-.2493-.3409-.2912-.4403-.3668-.7488-.7412-1.3348-1.175-2.0563l7.6375-7.7844c1.4072.8479 2.9074,1.6133 4.4062,2.2031 .0504.0144.1081-.0144.1456,0 1.4561.565 2.8948.9999 4.4058,1.3219 1.6103.3488 3.2078.5117 4.8471.5873 3.117.1297 6.2317-.1585 9.2529-1.0282 4.7344-1.3007 9.2139-3.7789 12.925-7.4906 8.539-8.5384 10.5529-20.8998 6.3159-31.4312-.5664-1.4428-1.2521-2.9039-2.0562-4.2594l7.7883-7.7832c1.3551.8042 2.82,1.4861 4.2591,2.0562 2.8158,1.1256 5.6889,1.6942 8.6659,1.9094 .2493.0216.4843.1355.7341.1463 1.5811.075 3.1278.036 4.7-.1463 3.1072-.3618 6.2209-1.2818 9.1062-2.6438 2.9215-1.3847 5.6499-3.2994 8.0779-5.7282 .0505-.0288.1225.0288.1456,0 9.7027-9.7027 11.3106-24.4349 4.5529-35.6906l7.6376-7.7844zm-317.25,36.8656v126.4594h.1456 126.3125l-126.3125-126.3125-.1456-.147zm377.175,0-.1456.147-126.3126,126.3126h126.3126 .1456v-126.4594zm-203.7154,106.7781c.3243.1946.7019.2616 1.0279.4403 .3856.2299.7388.5203 1.175.7344 .0987.0504.343.098.4418.147 .6306.3005 1.2633.6291 1.9091.8813 1.488.5794 3.0071.9972 4.5534,1.3218 .0504.007.0987-.007.1456,0 .0505.036.075.1333.1456.147 .3949.0785.7783.0872 1.175.147 .2493.0576.4958.1153.7347.147 .6443.0786 1.2601.1124 1.9091.1463 .2443.036.5009-.007.7341,0 .8216.0216 1.6793.036 2.4971,0 .24-.007.4944.0144.7346,0 .5448-.0432 1.2164-.0764 1.7625-.1463 .6911-.0879 1.3705-.1564 2.0558-.294 .0576-.007.0843-.1348.1456-.147 .791-.1658 1.5759-.3639 2.35-.5873 .6846-.2025 1.3841-.3337 2.0562-.5873 .0504-.0216.0843-.1124.1456-.147 .6479-.2537 1.2775-.5794 1.9096-.8812 .846-.4086 1.6774-.8344 2.4971-1.3219l5.5808,5.5813-20.5625,20.5625-20.5625-20.5625 5.4346-5.5813z"}}]})(props);
};
function GiAbstract027 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21c-129.7863,0-235,105.2131-235,235 0,30.4523 5.9084,59.5106 16.45,86.2156 16.4552-3.0814 33.5016-5.8968 51.2596-8.0781 31.3222-3.8476 61.4835-5.7986 89.0063-6.0219 82.5677-.6688 142.2784,14.1921 145.4063,39.6563 3.8897,31.6636-81.2019,68.4631-194.3154,85.775 36.661,23.6438 80.3254,37.4531 127.1933,37.4531 129.7886,0 235-105.2131 235-235 0-25.2711-4.0744-49.597-11.4558-72.4094-22.6248-.7553-46.6771-2.6754-71.5283-5.7282-125.2884-15.3901-223.4563-55.3479-219.2842-89.3 3.1264-25.4641 62.9852-40.3253 145.5529-39.6563 11.2673.0915 23.0826.4929 35.1029,1.175-33.6078-18.5385-72.2893-29.0813-113.3875-29.0813zm-191.0842,194.7563h54.05c9.6895,0 17.4784,6.8481 17.4784,15.275v39.5094c0,8.4268-7.7889,15.1281-17.4784,15.1281h-54.05c-9.6886,0-17.3312-6.7013-17.3312-15.1281v-39.5094c0-8.4268 7.6427-15.275 17.3312-15.275zm109.275,0h54.05c9.6895,0 17.625,6.8481 17.625,15.275v39.5094c0,8.4268-7.9355,15.1281-17.625,15.1281h-54.05c-9.6886,0-17.3313-6.7013-17.3313-15.1281v-39.5094c0-8.4268 7.6427-15.275 17.3313-15.275zm109.275,0h54.05c9.6895,0 17.625,6.8481 17.625,15.275v39.5094c0,8.4268-7.9355,15.1281-17.625,15.1281h-54.05c-9.6886,0-17.3313-6.7013-17.3313-15.1281v-39.5094c0-8.4268 7.6427-15.275 17.3313-15.275zm109.5688,0h54.05c9.6895,0 17.3312,6.8481 17.3312,15.275v39.5094c0,8.4268-7.6417,15.1281-17.3312,15.1281h-54.05c-9.6896,0-17.4779-6.7013-17.4779-15.1281v-39.5094c0-8.4268 7.7883-15.275 17.4779-15.275z"}}]})(props);
};
function GiAbstract028 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m121.4625,21c-36.2845,0-67.3049,60.9301-80.0471,147.3156 9.697-12.6282 21.6806-20.1219 34.5159-20.1219 7.1445,0 13.7781,2.5382 20.1216,6.7562-3.2397-.7748-6.4602-1.175-9.8404-1.175-36.0537,0-65.2125,45.8025-65.2125,102.225s29.1588,102.225 65.2125,102.225c3.3802,0 6.6007-.3992 9.8404-1.175-6.3262,4.2001-13.0026,6.6094-20.1216,6.6094-12.8352,0-24.8184-7.4794-34.5159-20.1219 12.7549,86.3562 43.7824,147.4625 80.0471,147.4625 25.5469,0 48.5501-30.3326 64.3313-78.4313-15.7234-12.1947-29.4497-28.3592-40.3909-47.4406 26.3971,37.5767 66.1337,61.5407 110.5971,61.5407 44.1589,0 83.6121-23.673 110.0096-60.8062-10.8955,18.7514-24.4146,34.6769-39.95,46.7062 15.8197,48.0951 38.7886,78.4313 64.3308,78.4313 36.308,0 67.2786-61.248 80.0471-147.7563-9.7478,12.7955-21.5974,20.4156-34.5154,20.4156-7.1214,0-13.9378-2.4093-20.2692-6.6094 3.2449.776 6.6073,1.175 9.9875,1.175 36.0546,0 65.3596-45.8025 65.3596-102.225s-29.305-102.225-65.3596-102.225c-3.3803,0-6.7422.4-9.9875,1.175 6.3502-4.2181 13.1224-6.7562 20.2692-6.7562 12.9184,0 24.7676,7.6345 34.5154,20.4156-12.7549-86.5377-43.7199-147.6093-80.0471-147.6093-25.5426,0-48.511,30.2677-64.3308,78.2844 15.7229,12.1577 29.4389,28.2482 40.3904,47.2938-16.6201-23.5644-38.5856-41.6192-63.5971-51.8469 .0468,1.5499.1457,3.1296.1457,4.7 0,36.8964-12.4968,68.2737-30.1096,80.7813 12.3925-11.8126 20.8567-36.0195 20.8567-64.1844 0-39.7345-16.8612-71.9688-37.7471-71.9688s-37.7471,32.2343-37.7471,71.9688c0,28.1649 8.4642,52.3718 20.8567,64.1844-17.6128-12.5076-30.1096-43.8849-30.1096-80.7813 0-1.6195.0987-3.2493.1457-4.8469-25.1253,10.2685-47.0827,28.5697-63.7442,52.2875 10.9411-19.0815 24.6674-35.2459 40.3908-47.4406-15.7826-48.0971-38.7614-78.4312-64.3312-78.4312zm27.9063,162.7375c-29.7331,18.151-48.3216,43.8225-48.3216,72.2625s18.5885,54.1115 48.3216,72.2625c-34.0994-17.5804-55.6659-43.4122-55.6659-72.2625s21.5664-54.682 55.6659-72.2625zm213.2625,0c34.0994,17.5804 55.6658,43.4123 55.6658,72.2625s-21.5664,54.6821-55.6658,72.2625c29.7331-18.151 48.3216-43.8224 48.3216-72.2625s-18.5885-54.1115-48.3216-72.2625zm-106.6313,47.2938c60.6206,0 109.7154,21.9103 109.7154,48.9094s-49.0948,48.9094-109.7154,48.9094-109.7154-21.9103-109.7154-48.9094 49.0948-48.9094 109.7154-48.9094z"}}]})(props);
};
function GiAbstract029 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m96.2,21c-16.8979,0-30.4033,18.7524-30.4033,42.1532v81.9562h60.9533v-81.9562c0-23.4008-13.654-42.1532-30.55-42.1532zm79.9,0c-16.8979,0-30.4034,18.7524-30.4034,42.1532v81.9562h60.9534v-81.9562c0-23.4008-13.654-42.1532-30.55-42.1532zm79.9,0c-16.8979,0-30.55,18.7524-30.55,42.1532v81.9562h60.9529v-81.9562c0-23.4008-13.5073-42.1532-30.4029-42.1532zm79.9,0c-16.8979,0-30.55,18.7524-30.55,42.1532v81.9562h60.9529v-81.9562c0-23.4008-13.5073-42.1532-30.4029-42.1532zm79.7529,0c-16.8965,0-30.4028,18.7524-30.4028,42.1532v81.9562h60.9528v-81.9562c0-23.4008-13.6535-42.1532-30.55-42.1532zm-370.8596,138.9437c-13.1858,0-23.7932,10.6066-23.7932,23.7937v144.525c0,13.1871 10.6074,23.7937 23.7932,23.7937h422.4125c13.1882,0 23.7943-10.6066 23.7943-23.7937v-144.525c0-13.1871-10.606-23.7937-23.7943-23.7937h-422.4125zm40.2443,17.1844h341.925c10.6728,0 19.2403,8.6917 19.2403,19.5344v118.675c0,10.8428-8.5676,19.5344-19.2403,19.5344h-341.925c-10.6741,0-19.2409-8.6916-19.2409-19.5344v-118.675c0-10.8427 8.5667-19.5344 19.2409-19.5344zm53.1683,26.4375c-28.9576,0-52.2875,23.3302-52.2875,52.2875s23.3299,52.5812 52.2875,52.5812 52.4346-23.624 52.4346-52.5812-23.4765-52.2875-52.4346-52.2875zm117.6471,0c-28.9572,0-52.2875,23.3302-52.2875,52.2875s23.3303,52.5812 52.2875,52.5812 52.5813-23.624 52.5813-52.5812-23.6237-52.2875-52.5813-52.2875zm117.7938,0c-28.9576,0-52.2875,23.3302-52.2875,52.2875s23.3299,52.5812 52.2875,52.5812 52.4341-23.624 52.4341-52.5812-23.4765-52.2875-52.4341-52.2875zm-307.85,163.3251v81.9562c0,23.4007 13.505,42.1531 30.4033,42.1531s30.55-18.7524 30.55-42.1531v-81.9562h-60.9533zm79.9,0v81.9562c0,23.4007 13.505,42.1531 30.4034,42.1531s30.55-18.7524 30.55-42.1531v-81.9562h-60.9534zm79.7534,0v81.9562c0,23.4007 13.6521,42.1531 30.55,42.1531s30.4029-18.7524 30.4029-42.1531v-81.9562h-60.9529zm79.9,0v81.9562c0,23.4007 13.6521,42.1531 30.55,42.1531s30.4029-18.7524 30.4029-42.1531v-81.9562h-60.9529zm79.9,0v81.9562c0,23.4007 13.5064,42.1531 30.4028,42.1531s30.55-18.7524 30.55-42.1531v-81.9562h-60.9528z"}}]})(props);
};
function GiAbstract030 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m210.287,20.9997c-95.5558,18.4904-170.817,93.7559-189.287,189.3473h163.1009c25.3227,0 45.638,20.1723 45.638,45.5032s-20.3153,45.8027-45.638,45.8027h-163.1009c18.4701,95.5914 93.7312,170.8569 189.287,189.3473v-163.1531c0-25.3307 20.3153-45.6529 45.6384-45.6529s45.7875,20.3222 45.7875,45.6529v163.1531c95.5553-18.4904 170.8174-93.7559 189.2871-189.3473h-162.9511c-25.3227,0-45.7879-20.4717-45.7879-45.8027s20.4652-45.5032 45.7879-45.5032h162.9511c-18.4696-95.5914-93.7312-170.8569-189.2866-189.3473v162.8537c0,25.3307-20.4652,45.8026-45.7879,45.8026s-45.6384-20.4719-45.6384-45.8026v-162.8537z"}}]})(props);
};
function GiAbstract031 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21c0,85.0552 45.1233,159.5271 112.8,200.7782 11.7998-42.2279 44.8672-75.5397 86.95-87.6844v-113.0938h-199.75zm270.25,0v113.0938c42.0829,12.1447 75.1502,45.4565 86.95,87.6844 67.6767-41.251 112.8-115.7229 112.8-200.7782h-199.75zm-35.25,166.8501c-37.6381,0-68.1501,30.5118-68.1501,68.15s30.5119,68.15 68.1501,68.15 68.15-30.5118 68.15-68.15-30.5119-68.15-68.15-68.15zm-122.2001,102.3718c-67.6766,41.251-112.8,115.7229-112.8,200.7781h199.75v-113.0937c-42.0828-12.1447-75.1502-45.4565-86.95-87.6844zm244.4001,0c-11.7998,42.2279-44.8671,75.5397-86.95,87.6844v113.0937h199.75c0-85.0552-45.1232-159.5271-112.8-200.7781z"}}]})(props);
};
function GiAbstract032 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m167.875,21c-24.8127,0-45.5975,18.9868-50.9433,44.3562h-2.2494c-25.4646,0-45.9153,22.6998-45.9153,50.9656v3.6719h-8.7326c-3.4409,10.6928-6.4837,21.7527-9.1302,33.0469-.9227-.3603-1.9637-.5873-2.9112-.5873-14.8919,0-26.9931,46.3351-26.9931,103.5469s12.1011,103.5468 26.9931,103.5468c.9475,0 1.9885-.2277 2.9112-.5873 2.6475,11.2936 5.6926,22.3509 9.1302,33.0471h8.7326v3.6717c0,28.2658 20.4506,50.9658 45.9153,50.9658h2.2494c5.3458,25.3688 26.1306,44.3558 50.9433,44.3558 24.8164,0 45.6285-18.9828 50.9433-44.3558h74.3634c5.3152,25.373 26.1273,44.3558 50.9433,44.3558 24.8136,0 45.4937-18.987 50.8107-44.3558h2.3819c25.4646,0 45.9153-22.7 45.9153-50.9658v-3.6717h8.7326c3.4376-10.6948 6.4827-21.753 9.1302-33.0471 .9593.3906 1.9247.5873 2.9112.5873 14.8924,0 26.9931-46.335 26.9931-103.5468s-12.1006-103.5469-26.9931-103.5469c-.9865,0-1.9519.1967-2.9112.5873-2.6466-11.2946-5.6893-22.3549-9.1302-33.0469h-8.7326v-3.6719c0-28.2658-20.4506-50.9656-45.9153-50.9656h-2.3819c-5.3171-25.3695-25.9971-44.3562-50.8107-44.3562-24.816,0-45.6281,18.9823-50.9433,44.3562h-74.3634c-5.3148-25.3739-26.1268-44.3562-50.9433-44.3562zm6.8808,29.0813c14.2198,0 25.9346,12.8572 25.9346,28.6406s-11.7148,28.6407-25.9346,28.6407-25.5379-12.8572-25.5379-28.6407 11.3195-28.6406 25.5379-28.6406zm162.3559,0c14.2189,0 25.8025,12.8572 25.8025,28.6406s-11.5836,28.6407-25.8025,28.6407-25.8021-12.8572-25.8021-28.6407 11.5822-28.6406 25.8021-28.6406zm-117.1028,30.9906h71.9823c1.3973,30.17 24.1918,54.1969 52.1338,54.1969 27.4936,0 49.9526-23.2426 52.0017-52.7281 16.0068,4.5067 28.2165,19.1271 30.9626,37.4531h-16.1426c-13.2911,25.2999-38.2199,42.3-66.8218,42.3s-53.532-17.0002-66.8218-42.3h-42.7389c-13.2897,25.2915-38.0931,42.3-66.6893,42.3s-53.532-17.0002-66.8218-42.3h-16.1426c2.7392-18.2793 14.8825-32.9067 30.8306-37.4531 2.0595,29.4856 24.6412,52.7281 52.1338,52.7281 27.9433,0 50.7365-24.0269 52.1338-54.1969zm21.5688,100.7562v148.3437c-7.6521-.0288-15.1914-.0764-22.7593-.147v-148.05c7.5675-.0721 15.1072-.1196 22.7593-.147zm28.8448,0c7.6098.0288 15.0992.0764 22.6272.1463v148.0499c-7.528.0721-15.0174.1196-22.6272.147v-148.3437zm-80.4504.4403v147.4624c-7.6783-.1276-15.1805-.271-22.7588-.4403v-146.5812c7.5783-.1694 15.0805-.3135 22.7588-.4403zm132.056,0c7.637.1268 15.0865.2724 22.6263.4403v146.5812c-7.5398.1686-14.9893.3142-22.6263.4403v-147.4625zm-183.528,1.175v145.1125c-7.7098-.2299-15.1721-.6097-22.7588-.8812v-143.35c7.5867-.2717 15.0489-.6515 22.7588-.8812zm235,0c7.7418.2306 15.274.6082 22.8913.8812v143.35c-7.6173.2731-15.1495.6508-22.8913.8812v-145.1125zm-286.472,1.9094v141.2937c-11.1781-.4864-22.1629-1.0553-33.0805-1.6156-4.2873-18.3516-7.0129-42.4556-7.0129-69.0313s2.7256-50.6797 7.0129-69.0312c10.9176-.5607 21.9024-1.1292 33.0805-1.6157zm338.0766,0c11.1832.4864 22.1666,1.0533 33.08,1.6156 4.2878,18.3516 6.8808,42.4556 6.8808,69.0312s-2.593,50.6797-6.8808,69.0313c-10.9134.5621-21.8969,1.1288-33.08,1.6156v-141.2937zm-257.2295,164.3536c28.5967,0 53.3995,17.0088 66.6893,42.3h42.7389c13.2897-25.2996 38.2219-42.3 66.8218-42.3s53.5307,17.0003 66.8218,42.3h16.1426c-2.7462,18.3253-14.9558,32.9461-30.9626,37.4529-2.0492-29.4854-24.5081-52.7278-52.0017-52.7278-27.942,0-50.7365,24.0264-52.1338,54.1966h-71.9823c-1.3973-30.1702-24.1905-54.1966-52.1338-54.1966-27.4926,0-50.0743,23.2424-52.1338,52.7278-15.9481-4.5463-28.0914-19.1746-30.8306-37.4529h16.1426c13.2897-25.2996 38.2223-42.3 66.8218-42.3zm6.8808,54.9307c14.2198,0 25.9346,12.7103 25.9346,28.4942s-11.7148,28.6404-25.9346,28.6404-25.5379-12.8568-25.5379-28.6404 11.3195-28.4942 25.5379-28.4942zm162.3559,0c14.2189,0 25.8025,12.7103 25.8025,28.4942s-11.5836,28.6404-25.8025,28.6404-25.8021-12.8568-25.8021-28.6404 11.5832-28.4942 25.8021-28.4942z"}}]})(props);
};
function GiAbstract033 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m255.9285,21.0001c-51.6352,0-95.771,53.5334-114.1236,129.3097-22.4871-4.0324-46.0807,2.1065-66.0942,17.8672-17.4496,13.7735-31.929,34.4875-41.4197,58.901-9.4766,24.4066-13.9252,52.3005-13.2183,80.0995 1.543,55.6314 23.8643,108.9891 57.7222,142.6341 26.4642,26.3765 59.2769,40.9629 92.8264,41.1853 2.2362.0144 4.5153-.036 6.7563-.1513 27.2487-1.4565 54.0881-12.3856 77.551-31.7975 23.4445,19.374 50.3295,30.3424 77.551,31.7975 35.8544,1.8456 71.3535-12.8983 99.5822-41.0341 33.8584-33.645 56.3258-87.0027 57.8693-142.6341 .7077-27.7989-4.0364-55.6928-13.5125-80.0994-9.4874-24.4135-23.8219-45.1276-41.2726-58.901-20.0004-15.75-43.6029-21.8832-66.0942-17.8672-18.3531-75.7708-62.4907-129.3097-114.1231-129.3097zm0,64.2006c18.6566,0 33.7813,15.1117 33.7813,33.7659s-15.1246,33.9173-33.7813,33.9173-33.7818-15.2631-33.7818-33.9173 15.1256-33.7659 33.7818-33.7659zm-123.6702,71.62c2.6418-.0843 5.2851.098 7.9312.3027-4.3574,19.931-6.9959,41.189-7.4904,63.4436 15.9927,11.4847 30.5547,37.9791 36.7188,70.7115 5.6367,29.924 2.9178,57.673-5.7284,75.1026 16.136,30.5125 37.6893,52.9779 61.9822,63.2922-15.0818,11.4218-31.9652,18.6545-49.3505,21.0471-5.3815.753-10.8419,1.1057-16.3038.908-23.6603-.8513-47.5608-10.5875-67.7097-28.163-29.4539-25.7738-51.6027-69.8052-54.9322-117.6509-1.7315-23.9799.987-48.7335 8.3726-71.0144 7.3696-22.2722 19.5318-42.3362 34.8091-56.1756 15.0222-13.6433 33.2083-21.2137 51.701-21.804zm247.3403.1513c18.4762.6191 36.7131,8.0406 51.7005,21.6526 15.2768,13.8395 27.2906,33.9033 34.663,56.1756 7.3837,22.2809 10.1045,47.0345 8.3716,71.0144-3.3281,47.8457-25.4797,91.8772-54.9312,117.6509-21.7004,18.9269-47.6134,28.7129-72.9981,28.163-3.6265-.0778-7.2808-.4057-10.8688-.908-17.3227-2.3845-34.2715-9.5439-49.3509-20.896 24.4456-10.3603 45.817-33.081 61.9822-63.8973-8.4538-17.4592-11.0168-45.0046-5.4346-74.6486 6.1321-32.5563 20.3877-58.9761 36.2789-70.5601-.4857-22.3144-2.9718-43.6104-7.3442-63.5949 2.6404-.1989 5.2922-.24 7.9317-.1513zm-123.6702,8.7822c23.4403,0 42.4476,18.9593 42.4476,42.3966s-19.0073,42.3967-42.4476,42.3967-42.4476-18.9594-42.4476-42.3967 19.0078-42.3966 42.4476-42.3966zm-133.5115,70.4087c-16.9948.945-29.0681,33.466-27.025,72.5285s17.374,69.9915 34.3697,69.0457c16.9948-.9449 29.2157-33.4657 27.1717-72.5283s-17.5206-69.991-34.5163-69.0459zm267.0225,0c-16.9956-.9451-32.3262,29.9834-34.3697,69.0459s10.0302,71.5834 27.0254,72.5283c16.9953.9458 32.4728-29.9833 34.5163-69.0457s-10.1773-71.5835-27.1721-72.5285zm-133.511,27.5578c26.7886,0 48.6158,21.6677 48.6158,48.4533s-21.8273,48.6044-48.6158,48.6044-48.4692-21.819-48.4692-48.6044 21.6806-48.4533 48.4692-48.4533z"}}]})(props);
};
function GiAbstract034 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m149.2159,490.9841c-1.68-.0187-3.3389-.1782-4.994-.2919-28.9644-2.0529-54.896-14.2796-74.9104-31.9846-11.4043-10.1217-20.8324-21.9477-28.0547-34.3214s-12.439-25.2261-15.7165-38.1187c-4.0695-16.0962-5.1244-31.8544-4.2596-46.1514s3.763-27.2232 7.6379-38.4108c4.3705-12.5783 9.9156-22.8342 15.5696-30.9623s11.3506-14.2213 16.304-18.5482 9.1137-6.9427 12.1913-8.3248 5.1849-1.5341 5.8753-.5842 .0735,2.9649-1.4688,5.988-4.048,7.1186-7.0504,12.4141-6.5436,11.9307-9.8411,19.8626-6.4117,17.138-8.3724,27.7492c-1.7542,9.4313-2.5368,19.9528-1.9095,31.1084s2.6258,22.934 6.7566,34.4674c3.294,9.2479 7.983,18.492 13.9539,27.019s13.2681,16.3314 21.7387,22.7836c14.822,11.3456 33.8183,18.7192 53.4655,18.9864 17.9594.2947 37.1187-5.4052 53.0249-16.9417 12.8709-9.2785 23.892-22.7226 31.2861-38.4108-7.3488-24.4956-9.0103-51.2775-4.1128-77.5518 1-5.3127 2.153-10.6032 3.6721-15.7733-4.6074-9.5318-10.4491-18.3079-17.3322-25.5585-10.9894-12.0338-26.1316-20.9762-42.1555-30.086-16.8676-9.2757-35.2933-18.4282-53.0248-30.6702-18.9689-12.7931-36.1904-30.5287-47.884-52.8696-6.0615-11.8715-10.0622-25.058-11.4568-38.7029-1.4593-14.2856.3755-28.6803 5.2877-41.916 7.0413-18.2014 19.2172-31.8912 33.1956-40.3094 15.0836-9.032 31.2749-12.211 46.1213-10.9536 16.4257,1.4085 30.7534,7.5063 42.4492,15.6272 3.6524,2.5368 7.1366,5.2224 10.2819,8.0326 15.0224-16.27 36.5517-26.5808 60.5158-26.5808 24.0386,0 45.6344,10.3684 60.6627,26.7269 3.1505-2.8345 6.4535-5.6217 10.1349-8.1787 11.6958-8.1209 26.1705-14.2187 42.5961-15.6272 14.8465-1.2574 30.8908,1.9216 45.9744,10.9536 13.9785,8.4182 26.1543,22.108 33.1957,40.3094 4.9124,13.2356 6.8939,27.6304 5.4347,41.916-1.3947,13.6449-5.3954,26.8314-11.457,38.7029-11.6934,22.3408-29.0619,40.0764-48.0307,52.8696-17.7315,12.2421-36.0104,21.3945-52.8779,30.6702-16.0238,9.1098-31.166,18.0522-42.1555,30.086-6.9307,7.3007-12.8583,16.0948-17.4791,25.7045-.0216.0425.0216.1038 0,.1457 1.4804,5.0743 2.8381,10.2701 3.819,15.4811 4.8975,26.2743 3.2361,53.0563-4.1128,77.5518 7.3942,15.6881 18.4151,29.1322 31.2862,38.4108 15.9061,11.5364 34.9184,17.2367 52.8779,16.9417 19.6472-.2674 38.7903-7.6408 53.6123-18.9863 8.4706-6.4523 15.7678-14.2566 21.7387-22.7836s10.513-17.771 13.807-27.019c4.1308-11.5335 6.2762-23.3119 6.9035-34.4674s-.1549-21.6771-1.9095-31.1084c-1.9605-10.6112-5.2217-19.8173-8.5192-27.7492s-6.6919-14.5672-9.6942-19.8626-5.5061-9.391-7.0505-12.4141-2.1592-5.0381-1.4687-5.988 2.6507-.7979 5.7283.5842 7.238,3.9978 12.1914,8.3248 10.7968,10.4201 16.4509,18.5482 11.199,18.384 15.5695,30.9623c3.8751,11.1876 6.6263,24.1138 7.4911,38.4108s-.1895,30.0551-4.2596,46.1514c-3.2775,12.8926-8.4942,25.7449-15.7164,38.1187s-16.5035,24.1997-27.9079,34.3214c-20.0145,17.705-45.946,29.9317-74.9104,31.9846-26.4811,1.8258-54.5168-5.0666-79.17-21.6152-12.074-8.1382-23.1781-18.5082-32.6081-30.6702-9.4434,12.1963-20.6549,22.5143-32.755,30.6702-21.5716,14.4801-45.5938,21.588-69.035,21.9073-1.6744.0238-3.4609.0187-5.1409,0zm-7.9317-87.3371c-34.5823,0-62.7191-27.8309-62.7191-62.2167s28.1368-62.3627 62.7191-62.3627 62.5722,27.9769 62.5722,62.3627-27.99,62.2167-62.5722,62.2167zm229.5783,0c-34.5823,0-62.7191-27.8309-62.7191-62.2167s28.1368-62.3627 62.7191-62.3627 62.5722,27.9769 62.5722,62.3627-27.9899,62.2167-62.5722,62.2167zm-114.8626-31.1083c5.0432,0 9.1068-13.9155 9.1068-31.1084s-4.0636-31.1084-9.1068-31.1084-9.1068,13.9155-9.1068,31.1084 4.0636,31.1084 9.1068,31.1084zm0-128.8149c3.3085-4.3031 6.7122-8.41 10.4287-12.2681 17.4092-17.6164 36.6217-29.2705 54.4936-38.4108 18.5048-9.7693 35.6945-17.523 49.9402-26.8729 14.8187-10.0213 27.4192-20.9604 34.3707-34.0293 3.7538-6.7696 6.5035-13.8327 7.4909-20.7389 1.024-7.1376.7306-14.4377-1.175-20.4468-2.3521-8.3128-8.1848-15.7925-14.9821-20.8849-7.4235-5.6045-16.9582-8.4341-25.9982-8.7629-10.1015-.3769-20.1222,2.6624-28.936,7.1564-3.1006,1.5819-5.9995,3.4348-8.813,5.4038 3.4191,8.987 5.4348,18.7399 5.4348,28.9176 0,45.1314-36.8653,81.6411-82.2546,81.6411s-82.2546-36.5098-82.2546-81.6411c0-10.1777 2.0156-19.9306 5.4347-28.9176-2.7843-1.9425-5.6012-3.8402-8.6661-5.4038-8.8138-4.494-18.8345-7.5336-28.936-7.1564-9.04.329-18.5747,3.1584-25.9983,8.7629-6.7972,5.0925-12.63,12.5721-14.982,20.8849-1.9057,6.0091-2.199,13.3093-1.1751,20.4468 .9876,6.9062 3.7372,13.9693 7.491,20.7389 6.9515,13.0689 19.552,24.0081 34.3707,34.0293 14.2456,9.3499 31.4355,17.1036 49.9402,26.8729 17.8719,9.1403 36.9376,20.7944 54.3467,38.4108 3.6951,3.8357 7.1369,7.9922 10.4288,12.2681zm0-77.4057c20.8934,0 37.8958-16.9058 37.8958-37.6805s-17.0024-37.5345-37.8958-37.5345-37.8959,16.7597-37.8959,37.5345 17.0024,37.6805 37.8959,37.6805z"}}]})(props);
};
function GiAbstract035 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m144.2282,21.0001c-68.1947,0-123.2282,54.8865-123.2282,123.0813v43.3281h19.2406c6.7287,0 12.1906,5.8208 12.1906,13.0719v49.35c0,7.2511-5.4619,12.925-12.1906,12.925h-19.2406v27.9062h19.2406c6.7287,0 12.1906,5.6739 12.1906,12.925v49.4968c0,7.2512-5.4619,12.925-12.1906,12.925h-19.2406v1.9096c0,68.1947 55.0333,123.0808 123.2282,123.0808h223.6906c68.1948,0 123.0812-54.8861 123.0812-123.0808v-1.9096h-19.2406c-6.7287,0-12.1906-5.6738-12.1906-12.925v-49.4968c0-7.2511 5.4619-12.925 12.1906-12.925h19.2406v-27.9062h-19.2406c-6.7287,0-12.1906-5.6739-12.1906-12.925v-49.35c0-7.2511 5.4619-13.0719 12.1906-13.0719h19.2406v-43.3281c0-68.1947-54.8865-123.0813-123.0812-123.0813h-45.2375-133.2156-45.2375zm-8.8125,23.6469c-12.0307,13.0493-19.3875,30.4259-19.3875,49.6438v133.3625c0,40.6331 32.8043,73.4375 73.4375,73.4375h133.2156c40.6331,0 73.2906-32.8044 73.2906-73.4375v-133.3625c0-19.2334-7.3602-36.5911-19.3875-49.6438 32.8581,14.1689 55.8125,46.8827 55.8125,85.0406v167.8782c0,28.9831-13.1785,54.7629-33.9281,71.675 3.394,7.0533 5.4344,14.8271 5.4344,23.2063 0,26.9911-19.7978,49.2692-45.6782,53.1688 13.2485-7.8462 22.0313-22.3467 22.0313-38.9217 0-25.003-20.0881-45.0908-45.0906-45.0908h-158.3313c-25.0024,0-45.0907,20.0878-45.0907,45.0908 0,16.575 8.7828,31.0755 22.0313,38.9217-25.8804-3.8996-45.6782-26.1776-45.6782-53.1688 0-8.4266 2.004-16.2695 5.4344-23.3529-20.6996-16.9143-33.9281-42.6188-33.9281-71.5283v-167.8782c0-38.115 22.9721-70.8461 55.8125-85.0406zm70.6468,9.4h100.0219c30.5003,0 55.0781,24.5779 55.0781,55.0781v104.2813c0,30.5003-24.5778,55.0781-55.0781,55.0781h-100.0219c-30.5002,0-55.225-24.5778-55.225-55.0781v-104.2813c0-30.5002 24.7248-55.0781 55.225-55.0781zm49.9375,29.0812c-42.6153,0-77.1094,34.4941-77.1094,77.1094s34.4941,77.2563 77.1094,77.2563 77.1094-34.6409 77.1094-77.2563-34.4941-77.1094-77.1094-77.1094zm0,31.4313c25.2535,0 45.6782,20.4245 45.6782,45.6781s-20.4246,45.825-45.6782,45.825-45.6781-20.5715-45.6781-45.825 20.4246-45.6781 45.6781-45.6781zm-62.1281,261.4375h124.2563c6.7288,0 12.1906,5.4619 12.1906,12.1904s-5.4618,12.1909-12.1906,12.1909h-124.2563c-6.7288,0-12.1907-5.4619-12.1907-12.1909s5.4619-12.1904 12.1907-12.1904z"}}]})(props);
};
function GiAbstract036 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m255.9994,21.0012c-22.6696,0-44.6174,3.2623-65.3591,9.2531-.5383.1557-1.0789.2818-1.6157.4403-.5492.1629-1.0695.4209-1.6156.5873-2.3698.7192-4.7131,1.4157-7.05,2.2031-.9302.3156-1.8671.5542-2.7906.8812-.4994.1751-.971.4093-1.4687.5873-.7431.2688-1.4647.6054-2.2031.8812-1.6506.6082-3.3614,1.1198-4.9937,1.7625-.5873.2349-1.1764.4951-1.7625.7343-1.7648.7113-3.5437,1.4506-5.2875,2.2031-1.6294.7135-3.2367,1.4542-4.8468,2.2031-7.5698,3.4761-14.9379,7.3382-22.0312,11.6031v.1463c-4.8786,2.9358-9.606,6.1283-14.2468,9.3999v-.1463c-.5657.3978-1.054.9186-1.6156,1.3218-2.2076,1.5844-4.461,3.1886-6.6094,4.8468-.7215.5571-1.4882,1.0503-2.2031,1.6157-.0505.0432-.0951.1045-.147.1463-2.8031,2.2211-5.5257,4.5588-8.2249,6.9031-2.1498,1.8711-4.2354,3.7808-6.3156,5.7281-.8841.826-1.7724,1.6575-2.6437,2.4969-1.8372,1.7738-3.6573,3.6018-5.4344,5.4344-1.2859,1.3202-2.5647,2.6156-3.8187,3.9656-.9832,1.0624-1.9716,2.1507-2.9375,3.2312-1.763,1.9723-3.443,3.9905-5.1406,6.0219-1.2934,1.5504-2.5648,3.1159-3.8187,4.7-2.2658,2.8563-4.4765,5.7037-6.6094,8.6656-.0504.0577-.1095.0915-.147.147-2.0915,2.9088-4.061,5.9532-6.0219,8.9593-1.0458,1.6075-2.0762,3.2125-3.0844,4.8469-1.5561,2.5199-3.0895,5.0555-4.5531,7.6375-.1412.2472-.2998.4864-.4403.7344-17.2232,30.6653-27.7825,65.6158-29.6687,102.8121v.8812c-.1737,3.7149-.294,7.4044-.294,11.1624s.1196,7.4476.294,11.1625v.8812c1.8837,37.151 12.4825,72.0268 29.6687,102.6655 2.0656,3.6824 4.2074,7.3122 6.4625,10.8687 .0937.1504.2047.2914.294.4418 .4374.6895.8768,1.371 1.3218,2.0558 1.9379,2.9723 3.9553,5.9356 6.0219,8.8125 .0577.0893.0858.2068.147.2961 2.499,3.4695 5.1039,6.8093 7.7843,10.1341 .0843.1081.209.188.294.2914 2.6724,3.3032 5.3806,6.689 8.225,9.8404 2.953,3.2721 5.9755,6.2989 9.1062,9.4 3.0945,3.0653 6.2879,6.0691 9.5469,8.9596 6.0494,5.3627 12.3663,10.4039 18.9468,15.1278 .5405.3901 1.0718.792 1.6156,1.175 4.6408,3.2717 9.3682,6.4643 14.2468,9.4 .8258.4973 1.6645.9818 2.4969,1.4692 3.1665,1.8499 6.4329,3.5852 9.6937,5.2875 .3481.1833.6781.4042 1.0281.5875 2.3397,1.2055 4.6648,2.396 7.05,3.525 2.1794,1.0359 4.3948,1.9669 6.6094,2.9375 2.3341,1.0218 4.6783,1.9895 7.05,2.9375 2.8528,1.1336 5.76,2.3528 8.6655,3.3779 1.9059.674 3.7993,1.2821 5.7281,1.9096 1.6069.5208 3.2253.9809 4.8468,1.4683 .8244.2491 1.6701.4954 2.4969.7346 20.7416,5.9906 42.6895,9.2529 65.3591,9.2529 22.6203,0 44.5111-3.2872 65.2123-9.2529 .8846-.2538 1.7639-.47 2.6437-.7346 1.5873-.4775 3.127-.9583 4.7001-1.4683 .4006-.1316.775-.3102 1.1749-.4418 2.0272-.6697 4.0206-1.3334 6.0219-2.0562 7.2234-2.6071 14.2761-5.538 21.1499-8.8125 3.8037-1.8072 7.4734-3.7219 11.1624-5.7279 .73-.3948 1.4785-.7713 2.2032-1.175 1.402-.7821 2.8756-1.5397 4.2593-2.35 .7967-.4653 1.5605-.994 2.35-1.4692 23.7596-14.2795 44.6554-32.5793 61.981-54.0498 2.7007-3.3473 5.4144-6.6392 7.9313-10.1341 .065-.0893.084-.2068.147-.2914 2.0849-2.8891 4.0675-5.8261 6.0219-8.8125 .4446-.6834.8833-1.3682 1.3218-2.0562 .095-.1504.1989-.2914.2941-.4418 2.255-3.5565 4.3968-7.1858 6.4624-10.8682 17.1861-30.6387 27.7849-65.5142 29.6687-102.6653 .014-.2928-.014-.5881 0-.8812 .2032-3.6876.294-7.4284.294-11.1625v-.1467c0-4.0545-.091-8.0396-.294-12.0437-1.8861-37.1963-12.4454-72.1468-29.6687-102.8121-.1398-.2493-.3005-.4857-.4403-.7344-1.4631-2.5819-2.9969-5.1176-4.5531-7.6375-.5996-.9705-1.1491-1.9764-1.7625-2.9375-.4165-.6529-.9002-1.261-1.3218-1.9094-1.9713-3.0207-3.9182-6.0374-6.0219-8.9593-2.1705-3.0188-4.4485-5.9032-6.7562-8.8125-1.2554-1.5805-2.5239-3.153-3.8188-4.7-1.6976-2.0314-3.3771-4.0495-5.1406-6.0219-.7178-.8002-1.4756-1.5597-2.2031-2.35-1.0434-1.1345-2.0203-2.2643-3.0843-3.3781-1.4858-1.5514-3.027-3.0427-4.5532-4.5532-3.0945-3.0653-6.2869-6.0686-9.5468-8.9593-6.0494-5.363-12.3664-10.4038-18.9468-15.1281-.2861-.2061-.5938-.3834-.8812-.5873-.2537-.1802-.48-.4079-.7345-.5873-4.6746-3.2956-9.4769-6.4452-14.3936-9.4-.7896-.4749-1.5534-1.0028-2.3501-1.4687-5.7368-3.355-11.5966-6.5587-17.6249-9.4-.4763-.2248-.9907-.3654-1.4687-.5873-.9349-.4367-1.8502-.8969-2.7906-1.3219-1.4594-.6522-2.9309-1.2865-4.4062-1.9093-1.6563-.7077-3.3182-1.3858-4.9938-2.0563-2.4604-.9729-4.9883-1.8969-7.4906-2.7906-2.0017-.7228-3.9947-1.3868-6.0218-2.0562-.9306-.3048-1.854-.5866-2.7907-.8813-1.041-.3293-2.0362-.7127-3.0843-1.0281-.8798-.2638-1.7597-.4793-2.6437-.7344-20.7013-5.9658-42.5921-9.2531-65.2123-9.2531zm-173.7524,9.6937c-31.778,0-57.4279,25.5031-57.4279,57.281v80.4872c23.2592-61.3275 70.2142-110.9451 129.6901-137.7683h-72.2622zm275.2427,0c59.4759,26.8232 106.4309,76.4408 129.6902,137.7683v-80.4872c0-31.778-25.5032-57.281-57.2811-57.281h-72.4091zm-101.4903,25.9968c21.7508,0 42.766,2.8779 62.5686,8.3718-3.2195,28.8707-8.8411,55.909-16.45,80.1935 26.4122-11.8517 48.5472-33.6789 63.0092-61.3935 4.9862,2.6862 9.8193,5.6319 14.5405,8.6655-4.6046,8.9221-9.9813,17.2178-15.8624,24.9687h.147l64.7719,74.906c-.022.0332.022.1156 0,.1467h.1463c6.7689-8.4733 13.0015-17.4549 18.7999-26.878 .036-.0649.1074-.0829.147-.1463 .1838-.2991.405-.5809.5874-.8812 13.6112,24.2546 21.927,51.4 23.6467,80.1934 .1874,3.6878.2941,7.4284.2941,11.1625 0,3.4389-.106,6.8853-.2941,10.2812-.014.2914.014.5903 0,.8812-1.7197,28.791-10.0355,55.9392-23.6467,80.1937-.1831-.3008-.4036-.5819-.5874-.8817-.043-.0656-.1088-.0846-.147-.1457-5.7984-9.423-12.031-18.5516-18.7999-27.0249l-.1463.2937-64.7716,74.905h-.147c5.8891,7.7611 11.1298,16.3202 15.7155,25.2624-4.668,2.9929-9.4676,5.718-14.3937,8.3716-14.4615-27.729-36.5598-49.5247-63.0092-61.3931 7.6141,24.2998 13.2324,51.3252 16.45,80.193-19.8026,5.4948-40.8178,8.3721-62.5685,8.3721-21.7644,0-42.7471-3.0179-62.5686-8.5187 3.2632-28.8114 8.8495-55.7883 16.45-80.0464-26.4489,11.8679-48.5059,33.665-63.0092,61.3931-4.9392-2.6593-9.8607-5.3721-14.5405-8.3716 4.5816-8.9648 9.8081-17.4783 15.7156-25.2624h-.147l-64.7719-74.906v-.2938h-.147c-6.7708,8.4733-13.0024,17.6019-18.7999,27.0249-.0504.0656-.1095.0846-.147.1457-.1737.282-.2717.6007-.4403.8817-13.6479-24.27-22.0688-51.3785-23.7937-80.1937v-.8812c-.16-3.4001-.294-6.8417-.294-10.2812s.1477-6.8809.294-10.2812v-.8812c1.7248-28.8175 10.1457-55.9234 23.7937-80.1934 .1694.2789.2717.6039.4403.8812 .0504.0649.1095.0829.147.1463 5.7975,9.4231 12.0291,18.4047 18.7999,26.878h.147v-.1467l64.7717-74.906h.147c-5.8803-7.7496-11.0102-16.1918-15.5687-25.1156 4.6487-2.975 9.4906-5.8792 14.3937-8.5187 14.5042,27.7146 36.5969,49.5418 63.0092,61.3935-7.5957-24.2428-13.1849-51.2327-16.45-80.0466 19.8214-5.5005 40.8041-8.5187 62.5685-8.5187zm0,27.1718c-18.9401,0-34.2217,15.4345-34.2217,34.3686s15.2816,34.2217 34.2217,34.2217 34.2218-15.2876 34.2218-34.2217-15.2817-34.3686-34.2218-34.3686zm-95.0277,48.7623-64.6248,75.0529c2.2818,2.4418 4.5371,5.0051 6.9031,7.3437 .0432.0281.1189-.0281.147,0 2.3646,2.3359 4.7518,4.5271 7.1968,6.7562 .0432.0281.1189-.0281.147,0 2.4454,2.2274 4.8203,4.6395 7.3437,6.7562 .0432.0281.1139-.0281.147,0 2.5221,2.1146 5.0412,4.1686 7.6375,6.1687 .0432.0281.1139-.0281.147,0 2.5973,1.9975 5.1171,3.9958 7.7844,5.875 .0432.0238.1139-.0238.147,0 2.6682,1.8777 5.3413,3.8256 8.0781,5.5812 .0432.0238.1095-.0238.147,0 2.2522,1.4436 4.4786,2.8847 6.7562,4.2594 1.9139-37.738 23.4158-70.3 54.4904-87.8309-.9785-.4238-1.9575-.8434-2.9375-1.3218-.0432-.0216-.1045.0216-.147,0-1.7625-.8626-3.5635-1.9969-5.2874-2.9375-.0432-.0216-.1095.0216-.147,0-1.7225-.9416-3.3093-1.92-4.9938-2.9375-.0432-.0216-.1095.0216-.147,0-1.6859-1.0203-3.3473-2.1369-4.9937-3.2312-.0432-.0216-.1095.0216-.147,0-1.645-1.0968-3.3901-2.3561-4.9938-3.525-.0432-.0216-.1139.0216-.147,0-3.2397-2.3667-6.3393-4.8413-9.3999-7.4906-.0504-.0288-.1139.0288-.147,0-3.0593-2.654-5.9483-5.5982-8.8125-8.5188-.0432-.0288-.1189.0288-.147,0zm189.9086,0c-2.8966,2.9495-5.8667,5.8412-8.9593,8.5188-.036.0288-.1167-.0288-.147,0-3.063,2.6463-6.157,5.1269-9.4,7.4906-.036.0216-.1117-.0216-.147,0-1.6032,1.1674-3.2009,2.4298-4.8468,3.525-.036.0216-.1132-.0216-.147,0-1.6479,1.0927-3.3079,2.2126-4.9938,3.2312-.036.0216-.1088-.0216-.147,0-1.6849,1.0158-3.2708,1.9977-4.9937,2.9375-.043.0216-.1045-.0216-.147,0-1.724.9388-3.525,2.0767-5.2875,2.9375-.043.0216-.1067-.0216-.1471,0-.9799.4771-1.9594.8977-2.9375,1.3218 31.0343,17.5082 52.5282,50.0084 54.4905,87.6841 2.2174-1.3433 4.4126-2.7069 6.6093-4.1125 .036-.0238.1117.0238.147,0 2.7392-1.7539 5.5573-3.7051 8.225-5.5812 .036-.0238.1117.0238.1471,0 2.6681-1.8777 5.1866-3.879 7.7843-5.875 .036-.0238.1138.0238.147,0 2.5972-1.9986 5.114-4.0556 7.6374-6.1687 .036-.0281.1161.0281.1463,0 2.5249-2.1153 4.8956-4.5302 7.3438-6.7562 .029-.0281.116.0281.147,0 2.4455-2.2277 4.8318-4.4215 7.1969-6.7562 .029-.0281.1196.0281.147,0 2.3669-2.3374 4.6198-4.9032 6.9031-7.3437l-64.7704-75.0529zm-94.8809,42.0061c-44.983,0-81.5153,36.3998-81.5153,81.3684s36.5323,81.5153 81.5153,81.5153 81.5153-36.5467 81.5153-81.5153-36.5324-81.3684-81.5153-81.3684zm-107.0714,86.9497c-19.2551,11.3704-36.8347,25.7705-52.5811,42.5936l64.6248,75.0529h.147c12.3592-12.5659 26.6265-22.692 42.153-29.8158-31.0154-17.5455-52.4316-50.1374-54.3435-87.8307zm214.1429.1467c-1.9623,37.6756-23.4562,70.1759-54.4904,87.684 15.526,7.1238 29.7933,17.2499 42.1529,29.8158l64.9186-75.0529c-15.699-16.7724-33.3618-31.0926-52.5811-42.4467zm-338.2519,81.9562v80.3401c0,31.778 25.65,57.4282 57.4279,57.4282h72.4091c-59.536-26.8031-106.5547-76.4039-129.837-137.7683zm462.3609,0c-23.2824,61.3639-70.301,110.9652-129.8371,137.7682h72.556c31.7779,0 57.2811-25.6502 57.2811-57.4286v-80.3401zm-231.1805,16.0091c-18.9401,0-34.2217,15.2876-34.2217,34.222s15.2816,34.2215 34.2217,34.2215 34.2218-15.2876 34.2218-34.2215-15.2817-34.222-34.2218-34.222z"}}]})(props);
};
function GiAbstract037 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21c-102.2815,0-190.9789,55.171-235,136.0063 57.3298-50.356 141.3855-82.25 235-82.25 93.7272,0 177.6655,32.0823 235,82.5438-43.9785-80.9589-132.6227-136.3-235-136.3zm0,98.9938c-78.5341,0-146.709,31.9504-180.5094,78.725 44.0191-29.1381 108.63-47.5875 180.5094-47.5875 71.9658,0 136.4867,18.5353 180.5093,47.7344-33.7676-46.8462-101.9016-78.8719-180.5093-78.8719zm-62.1282,62.7156c-28.4595,0-51.5531,23.0936-51.5531,51.5531 0,2.3906.2724,4.7459.5873,7.05 3.4583-25.1005 24.9144-44.5031 50.9656-44.5031s47.5073,19.4026 50.9656,44.5031c.3149-2.3041.5873-4.6594.5873-7.05 0-28.4595-23.0936-51.5531-51.5531-51.5531zm124.2563,0c-28.4595,0-51.5531,23.0936-51.5531,51.5531 0,2.3906.2724,4.7459.5873,7.05 3.4583-25.1005 24.9144-44.5031 50.9656-44.5031s47.5074,19.4026 50.9657,44.5031c.3149-2.3041.5873-4.6594.5873-7.05 0-28.4595-23.0936-51.5531-51.5531-51.5531zm-115.7375,27.7594c-17.3526,0-31.1375,13.9317-31.1375,31.2844v55.6656c0,17.3526 13.7849,31.2844 31.1375,31.2844s31.4312-13.9317 31.4312-31.2844v-55.6656c0-17.3526-14.0785-31.2844-31.4312-31.2844zm107.2188,0c-17.3527,0-31.4313,13.9317-31.4313,31.2844v55.6656c0,17.3526 14.0786,31.2844 31.4313,31.2844s31.1375-13.9317 31.1375-31.2844v-55.6656c0-17.3526-13.7849-31.2844-31.1375-31.2844zm-107.2188,10.575c11.7186,0 21.4437,9.5783 21.4437,21.2969s-9.7251,21.15-21.4437,21.15-21.15-9.4314-21.15-21.15 9.4314-21.2969 21.15-21.2969zm107.2188,0c11.7185,0 21.15,9.5783 21.15,21.2969s-9.4315,21.15-21.15,21.15-21.1501-9.4314-21.1501-21.15 9.4315-21.2969 21.1501-21.2969zm126.8999,91.9437c-44.0226,29.1992-108.5435,47.7346-180.5093,47.7346-71.8794,0-136.4903-18.4499-180.5094-47.5877 33.8004,46.7742 101.9753,78.8719 180.5094,78.8719 78.6077,0 146.7417-32.1724 180.5093-79.0187zm54.4907,41.5654c-57.3345,50.4616-141.2728,82.5442-235,82.5442-93.6145,0-177.6703-31.8942-235-82.25 44.0211,80.8344 132.7185,136.1529 235,136.1529 102.3773,0 191.0215-55.4882 235-136.4471z"}}]})(props);
};
function GiAbstract038 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m43.0316,491c-4.4158,0-8.4547-1.4945-11.8968-3.8187-1.0229-.6904-2.0412-1.3496-2.9376-2.203-.2054-.1874-.3884-.3935-.5874-.5881-.1931-.1982-.4007-.382-.5881-.5874-.8566-.8932-1.5127-1.9148-2.203-2.9377-2.3242-3.4422-3.8187-7.481-3.8187-11.8969v-1.0281-54.1968l.0001-81.6625c8e-05-10.8124 8.0519-19.8189 18.8-21.7375l-.0002,138.9437c0,12.6659 10.2464,22.9124 22.9124,22.9124l138.9433-.0002c-1.9186,10.7481-10.925,18.8-21.7375,18.8001h-81.5153l-54.3436,8e-05-1.028,7e-05zm212.9681-.0002c-14.9942,0-27.1717-12.1776-27.1717-27.1719s12.1777-27.1719 27.1719-27.1719 27.1717,12.1776 27.1717,27.1718-12.1776,27.1719-27.1719,27.172zm75.9342-.0001c-10.8123,0-19.6982-8.0519-21.5905-18.8l138.9433-.0003c12.666,7e-05 22.9125-10.2464 22.9125-22.9124l.0001-138.9437c10.748,1.9184 18.8,10.9251 18.8,21.7374l-.0002,81.6625v54.1969 1.0282c-.0001,4.4158-1.4945,8.4547-3.8188,11.8968-.6904,1.0229-1.3496,2.0412-2.2031,2.9377-.1448.1513-.2918.2926-.4403.4403-.4345.4439-1.0036.766-1.469,1.1748-.6457.5412-1.2058,1.1419-1.9095,1.6154-.09.0649-.2018.0858-.2941.147-2.4504,1.6611-5.2401,2.829-8.225,3.3781-1.2626.2321-2.494.4403-3.8187.4403h-.8816l-54.1967,7e-05-81.8091,7e-05zm-258.9398-30.256c-11.9963,0-21.7375-9.7412-21.7374-21.7375l.0002-129.1032h47.1467c12.7967,0 23.0593,9.9829 23.0595,22.1779l-7e-05,58.4562 58.456-7e-05c12.1952,0 22.1781,10.4099 22.1781,23.2062v47.0001l-129.1029.0001zm236.9086-.0003 .0001-47.0001c0-12.7964 9.8361-23.2062 22.0313-23.2062l58.6029-.0002v-58.4563c0-12.1951 10.4098-22.1781 23.2062-22.1781l47-.0001-.0003,129.1032c0,11.9963-9.7412,21.7375-21.7374,21.7375l-129.1028.0002zm-53.9028-36.1312c-7.1026,0-12.9251-5.8224-12.9251-12.925s5.8225-12.7781 12.9252-12.7781 12.9249,5.6756 12.9251,12.778-5.8226,12.925-12.925,12.925zm0-40.0968c-9.298,0-18.5784-3.5973-25.703-10.7219l-92.0902-92.0905c-14.2491-14.2492-14.2491-37.157 0-51.4062l92.0905-92.091c14.2492-14.249 37.1569-14.249 51.406-4e-05l92.0903,92.0907c14.2492,14.2492 14.2492,37.157 0,51.4062l-92.0906,92.0908c-7.1245,7.1246-16.405,10.7219-25.703,10.7219zm-23.6466-82.8375 47.2936-.0002c12.2351,6e-05 22.0311-9.796 22.0311-22.0312l.0001-47.2938c0-12.2352-9.796-22.0313-22.0312-22.0313l-47.2935.0001c-12.2352,5e-05-22.0313,9.7962-22.0313,22.0313l-.0001,47.2937c0,12.2352 9.7961,22.0313 22.0313,22.0313zm-184.1808-18.506c-14.9943-.0001-27.1717-12.1776-27.1717-27.1718s12.1775-27.1719 27.1718-27.172 27.1718,12.1776 27.1717,27.1718-12.1773,27.1718-27.1718,27.172zm207.8276-.0003c-14.9944,0-27.1718-12.1775-27.1718-27.1718s12.1775-27.1719 27.1718-27.1719 27.1718,12.1775 27.1717,27.1719-12.1775,27.1718-27.1717,27.1719zm207.8274-.0003c-14.9942,0-27.1717-12.1775-27.1718-27.1718s12.1777-27.1719 27.1719-27.1719 27.1718,12.1776 27.1717,27.1718-12.1775,27.1719-27.1718,27.1719zm-363.6613-14.2464c-7.1027,0-12.7781-5.8224-12.778-12.9251s5.6755-12.925 12.778-12.9251 12.9249,5.8225 12.925,12.925-5.8223,12.925-12.925,12.925zm311.5208-.0004c-7.1024-4e-05-12.778-5.8224-12.7779-12.9251s5.6756-12.925 12.778-12.9251 12.9249,5.8224 12.9249,12.925-5.8225,12.925-12.925,12.9251zm-360.43-66.8277 .0002-129.1033c0-11.9963 9.7413-21.7375 21.7375-21.7375l129.1027-.0002v47.1472c-7e-05,12.7966-9.983,23.0596-22.178,23.0597l-58.4561,4e-05-7e-05,58.6029c0,12.1952-10.2627,22.0313-23.0593,22.0313l-47.1468,5e-05zm362.4864-.0005c-12.7963,0-23.2062-9.836-23.2061-22.0312v-58.6029l-58.6029,5e-05c-12.1951,0-22.0311-10.2629-22.0311-23.0596l.0001-47.147 129.1027-.0003c11.9962,0 21.7374,9.7412 21.7374,21.7375l-.0002,129.1033-46.9999,5e-05zm-374.3833-.4399c-10.5371-2.0494-18.3592-10.9199-18.3592-21.5906v-81.6626l.0002-54.3437v-.8816c0-1.3245.209-2.5563.4403-3.8188 .5491-2.985 1.717-5.7749 3.3782-8.225 .5232-.7717 1.1455-1.501 1.7628-2.2031 .3639-.4281.6349-.9185 1.0277-1.322 .1982-.1946.3827-.4005.5881-.5872 .8931-.8566 1.9148-1.5101 2.9377-2.2032 3.4423-2.3218 7.4811-3.8183 11.8969-3.8183h1.0281l54.3435-9e-05h81.5154c10.8124-.0001 19.8189,8.0514 21.7374,18.7999l-138.9433.0002c-12.6659-9e-05-22.9124,10.2455-22.9124,22.9125l-.0002,138.9435c-.1412-.0238-.3012.0238-.4403,0zm432.8394-.0007 .0002-138.9435c0-12.6669-10.2465-22.9125-22.9124-22.9125l-138.9433.0003c1.8923-10.7485 10.7781-18.8 21.5906-18.8l81.8091-.0002h54.1967 .8816c1.3246,5e-05 2.5562.2082 3.8187.4404 2.9849.5491 5.7747,1.7192 8.2249,3.3778 .091.0641.2018.0865.2941.1467 1.1248.7869 2.2652,1.6604 3.2311,2.6437l.1471.1467c1.0061,1.0428 1.8443,2.1523 2.6438,3.3784 1.661,2.4504 2.8289,5.24 3.378,8.225 .2321,1.2625.4404,2.4943.4404,3.8187v.8817l-.0002,54.3437v81.6626c0,10.8124-8.052,19.6983-18.7999,21.5906zm-216.1992-88.5652c-7.1026,0-12.925-5.8224-12.925-12.9251s5.8225-12.7779 12.925-12.7779 12.9249,5.6752 12.9249,12.7779-5.8225,12.9251-12.925,12.9251zm9e-05-37.7472c-14.9943,0-27.1718-12.1772-27.1718-27.1715s12.1776-27.1716 27.1718-27.1718 27.1718,12.1772 27.1718,27.1717-12.1776,27.1716-27.1718,27.1716z"}}]})(props);
};
function GiAbstract039 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21.0001c-129.787,0-235,105.2131-235,235s105.2131,234.9997 235,234.9997 235-105.2128 235-234.9997-105.2131-235-235-235zm0,38.6281c44.6717,0 85.8324,14.9876 118.8219,40.0969l-33.6344,33.6344c-24.1492-16.8102-53.5224-26.5844-85.1875-26.5844s-61.0383,9.7742-85.1876,26.5844l-33.6344-33.6344c32.9894-25.1093 74.1502-40.0969 118.8219-40.0969zm-156.2751,77.55 33.6344,33.6344c-16.8102,24.1492-26.5844,53.5224-26.5844,85.1876s9.7742,61.0383 26.5844,85.1872l-33.6344,33.6347c-25.1093-33.0189-40.0969-74.1503-40.0969-118.8219s14.9876-85.8325 40.0969-118.8219zm312.5501,0c25.1093,32.9895 40.0969,74.1502 40.0969,118.8219s-14.9876,85.8029-40.0969,118.8219l-33.6344-33.6347c16.8102-24.1489 26.5844-53.522 26.5844-85.1872s-9.7742-61.0383-26.5844-85.1876l33.6344-33.6344zm-156.275,13.2188c58.3488,0 105.6031,47.2543 105.6031,105.6032s-47.2542,105.7498-105.6031,105.7498-105.6032-47.401-105.6032-105.7498 47.2542-105.6032 105.6032-105.6032zm0,51.2594c-29.9886,0-54.3438,24.3552-54.3438,54.3438s24.3551,54.3438 54.3438,54.3438 54.3437-24.3552 54.3437-54.3438-24.3552-54.3438-54.3437-54.3438zm-85.1876,176.9844c24.1492,16.81 53.5224,26.5841 85.1876,26.5841s61.0382-9.7741 85.1875-26.5841l33.7812,33.7812c-33.0026,25.175-74.2615,40.0971-118.9687,40.0971s-85.9662-14.9221-118.9688-40.0971l33.7812-33.7812z"}}]})(props);
};
function GiAbstract040 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m100.4594,21c-43.8449,0-79.4594,33.3633-79.4594,74.3187 0,31.3387 20.8144,58.174 50.2313,69.0313v62.5687c0,.2477-.005.4885 0,.7344h-9.2531c-15.6733,0-28.2001,12.6736-28.2001,28.3469s12.5267,28.3469 28.2001,28.3469h9.2531c-.005.2458 0,.4868 0,.7344v62.7159c-29.4168,10.857-50.2313,37.5455-50.2313,68.8841 0,40.9553 35.6145,74.3187 79.4594,74.3187s79.4593-33.3634 79.4593-74.3187c0-31.3387-20.9603-58.0271-50.3781-68.8841v-62.7159c0-.2477.005-.4885 0-.7344h65.6532c-11.6382,12.9417-18.6532,29.6753-18.6532,47.881 0,31.3401 20.9612,58.0271 50.3781,68.8846v62.7154c0,15.0922 12.7781,27.1721 28.9344,27.1721s29.2281-12.0799 29.2281-27.1721v-62.7154c29.4169-10.8575 50.378-37.5445 50.378-68.8846 0-18.2057-7.0973-34.9393-18.7999-47.881h65.6531v.7344 62.7159c-29.417,10.857-50.2313,37.5455-50.2313,68.8841 0,40.9553 35.6145,74.3187 79.4594,74.3187s79.4594-33.3634 79.4594-74.3187c0-31.3387-20.9611-58.0271-50.3781-68.8841v-62.7159-.7344h9.3999c15.6734,0 28.2001-12.6736 28.2001-28.3469s-12.5267-28.3469-28.2001-28.3469h-9.3999v-.7344-62.5687c29.417-10.8573 50.3781-37.6926 50.3781-69.0313 0-40.9555-35.6145-74.3187-79.4594-74.3187s-79.4594,33.3633-79.4594,74.3187c0,31.3387 20.8143,58.174 50.2313,69.0313v62.5687 .7344h-65.6531c11.7026-12.9095 18.7999-29.5279 18.7999-47.7344 0-31.3387-20.9611-58.0271-50.378-68.8844v-62.8625c0-15.0916-13.0719-27.1719-29.2281-27.1719s-28.9344,12.0802-28.9344,27.1719v62.8625c-29.417,10.8573-50.3781,37.5457-50.3781,68.8844 0,18.2064 7.015,34.8249 18.6532,47.7344h-65.6532c.005-.2458 0-.4868 0-.7344v-62.5687c29.4178-10.8573 50.3781-37.6926 50.3781-69.0313 0-40.9555-35.6145-74.3187-79.4593-74.3187zm-28.2,35.6907c21.3077,0 38.6281,17.3205 38.6281,38.6281s-17.3204,38.4813-38.6281,38.4813-38.4813-17.1736-38.4813-38.4813 17.1736-38.6281 38.4813-38.6281zm367.1875,0c21.3076,0 38.6281,17.3205 38.6281,38.6281s-17.3205,38.4813-38.6281,38.4813-38.4813-17.1736-38.4813-38.4813 17.1737-38.6281 38.4813-38.6281zm-183.4469,102.8125c21.3077,0 38.6281,17.3205 38.6281,38.6281s-17.3204,38.4813-38.6281,38.4813-38.6282-17.1736-38.6282-38.4813 17.3205-38.6281 38.6282-38.6281zm0,115.7375c21.3077,0 38.6281,17.3205 38.6281,38.6281s-17.3204,38.4813-38.6281,38.4813-38.6282-17.1738-38.6282-38.4813 17.3205-38.6281 38.6282-38.6281zm-183.7406,102.9594c21.3077,0 38.6281,17.3204 38.6281,38.6279s-17.3204,38.4817-38.6281,38.4817-38.4813-17.1738-38.4813-38.4817 17.1736-38.6279 38.4813-38.6279zm367.1875,0c21.3076,0 38.6281,17.3204 38.6281,38.6279s-17.3205,38.4817-38.6281,38.4817-38.4813-17.1738-38.4813-38.4817 17.1737-38.6279 38.4813-38.6279z"}}]})(props);
};
function GiAbstract041 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256.0735,21.0004c-.155-7e-05-.4684.1766-.5874.4403 0,0-13.3321,38.3529-20.8608,69.9125-3.8673-2.5612-8.087-4.5116-12.4871-5.7282-5.7442-1.5502-11.4406-1.7574-16.7475-1.0281s-10.0652,2.3168-14.25,4.7c-5.1603,2.9916-8.9514,6.9274-11.4588,11.0156s-3.6923,8.4723-3.9665,12.4844c-.405,6.9004 2.0368,12.2956 4.9949,16.1563 3.4815,4.5264 7.5022,6.6802 10.2835,7.6375s4.3215.803 4.7011.1463-.48-1.8294-1.9098-3.6719-3.353-4.4892-4.5541-8.0781c-1.0319-3.0541-1.5172-6.8959-.294-10.7219 .6673-2.1924 1.9514-4.4704 3.8196-6.4625s4.2972-3.8029 7.0516-4.8468c2.2385-.8913 4.7795-1.1905 7.4923-1.175s5.4611.4432 7.9329,1.4687c4.3814,1.7413 8.3975,5.602 10.2836,9.9875 1.7772,3.9786 1.8632,9.1115.147,13.5125-1.1778,3.2121-3.6354,6.3969-6.7578,9.4-2.9989,2.8636-6.928,5.1884-11.4588,7.6375-8.4957,4.6079-19.441,8.1738-32.0258,13.8062-17.4973,7.8235-34.3762,18.895-49.0671,33.0469s-27.2018,31.4534-35.5517,51.2594c-4.2622,10.1738-7.2878,20.9114-9.1082,32.0188-.6241-7.9448-.7142-16.1662.441-23.9407 .1376-1.0824.4057-2.1407.5874-3.2312 1.1879-7.1384 3.155-14.1566 5.4356-21.4438s4.8175-14.8446 7.0515-22.6188c2.781-9.3007 5.1261-19.1179 6.464-29.2281 1.5595-11.5488 1.3786-23.3967-.294-34.075-1.6815-10.2208-4.7743-18.7218-8.0799-25.1157s-6.7334-10.7459-9.8429-13.6594-5.8843-4.4043-7.7861-4.8468c-.4756-.1103-.7949-.1492-1.1753-.147-1.141.007-1.9318.4728-2.2036,1.3218-.3625,1.132.1103,3.0101 1.0284,5.2875s2.2701,5.1658 3.8195,8.8125 3.3218,8.0137 4.7011,13.2188 2.3841,11.1398 2.4975,17.3312c.2263,6.68-.658,14.0996-2.3506,22.0313-1.5165,6.9864-3.916,14.4538-6.7577,22.4718-2.4361,6.6105-5.2406,13.6628-7.933,21.7375s-5.3258,17.1925-7.1985,27.4656c-.2861,1.5695-.4879,3.0891-.7346,4.7-2.3556,16.9881-1.4546,34.4167 1.6159,49.9375s8.2691,29.2544 14.5439,40.0969c3.8824,6.6399 8.1582,11.919 12.3402,16.3031 3.7451,10.5858 8.8148,20.9517 15.2784,30.9908 10.471,16.1793 24.326,30.9867 41.281,43.3279 3.6004,2.6207 7.3203,5.1211 11.1649,7.4904 12.2011,4.9345 25.4,8.9817 39.2244,12.0442-16.9539-2.5676-33.1697-6.2012-48.3326-10.7221-9.5362.2508-18.5912.9109-27.031,1.7625-.9149.0923-1.9026.2018-2.7913.294-11.8821,1.0951-21.5274,2.0563-29.9691,2.0563-7.7207.1297-15.5099-.3683-22.6238-1.3221s-13.5889-2.3199-19.098-3.525c-5.5091-1.2023-10.0987-2.3857-13.8094-3.0842-2.7828-.5239-5.1851-.7215-6.9046-.5874-.5729.0504-1.0291.1521-1.4691.294-1.7593.565-2.3471,2.0262-1.1753,4.1125s4.2162,4.6915 9.4021,7.7846 12.5979,6.54 22.4768,9.4 22.0769,5.0276 35.8455,5.875c14.422.7633 28.6833.2364 41.1342-1.0284 .9443-.085 1.8612-.2047 2.7912-.294 7.12-.6774 13.2828-1.2803 19.098-1.7625-2.5224,2.7876-3.9665,5.7805-3.9665,8.8125 0,18.1317 48.0985,32.7529 107.5364,32.7529s107.6832-14.6212 107.6832-32.7529c0-3.032-1.4441-6.0249-3.9665-8.8125 5.8558.4829 12.0633,1.0787 19.2449,1.7625 .93.0887 1.7.2083 2.6444.294 12.4507,1.2624 26.7122,1.7916 41.1341,1.0284 13.7686-.8474 25.9664-3.0165 35.8455-5.875s17.4379-6.3084 22.6238-9.4 8.0834-5.6983 9.2552-7.7846 .5837-3.5476-1.1753-4.1125c-.8799-.2825-1.9811-.374-3.3789-.294s-3.1397.2371-4.9949.5874c-3.7106.6983-8.1533,1.8819-13.6623,3.0842-5.5092,1.2051-11.9842,2.5718-19.098,3.525s-14.9031,1.4519-22.6237,1.3221c-8.4418,0-18.234-.9611-30.1161-2.0563-.8887-.0908-1.7294-.2011-2.6443-.294-8.4399-.8516-17.6012-1.512-27.1779-1.7625-15.1725,4.5205-31.3999,8.1503-48.3326,10.7221 13.8188-3.07 27.0198-7.1135 39.2243-12.0442 3.8447-2.3693 7.5646-4.8697 11.165-7.4904 16.9549-12.3408 30.957-27.1472 41.428-43.3279 6.4601-10.033 11.387-20.4112 15.1314-30.9908 4.1487-4.3889 8.3024-9.6496 12.1934-16.3031 6.2746-10.8425 11.6201-24.5763 14.6907-40.0969s3.9717-32.9495 1.6159-49.9375c-.2465-1.6108-.5953-3.1305-.8814-4.7-1.8727-10.2731-4.506-19.3908-7.1985-27.4656s-5.3501-15.1271-7.7861-21.7375c-2.8418-8.0181-5.3881-15.4855-6.9046-22.4718-1.6927-7.9317-2.5765-15.3513-2.3505-22.0313 .1131-6.1915 1.2647-12.1262 2.6443-17.3312 1.3793-5.2051 3.0047-9.5722 4.5542-13.2188s3.048-6.5351 3.9665-8.8125 1.2438-4.1556.8814-5.2875c-.2717-.8489-.9157-1.3152-2.0568-1.3218-.3805-.002-.8467.036-1.3221.147-1.9018.4425-4.5298,1.9333-7.6392,4.8468s-6.6841,7.2655-9.9897,13.6594-6.3984,14.8949-8.0799,25.1157c-1.6723,10.6783-1.7073,22.5261-.147,34.075 1.3378,10.1102 3.536,19.9274 6.317,29.2281 2.234,7.7741 4.771,15.3317 7.0516,22.6188s4.3947,14.3054 5.5824,21.4437c.1816,1.0905.3048,2.1488.441,3.2313 1.1554,7.7745 1.3157,15.9959.7346,23.9406-1.8203-11.1073-4.846-21.8449-9.1083-32.0187-8.3499-19.8059-20.8608-37.1083-35.5516-51.2594s-31.7167-25.2233-49.2141-33.0469c-12.5849-5.6324-23.677-9.1983-32.1727-13.8062-4.5307-2.4491-8.3129-4.7738-11.3119-7.6375-3.1223-3.003-5.58-6.1878-6.7577-9.4-1.7158-4.401-1.6299-9.5339.147-13.5125 1.886-4.3856 5.9023-8.2461 10.2835-9.9875 2.4719-1.0256 5.2203-1.4531 7.933-1.4688 2.7127-.0144 5.2537.2847 7.4923,1.175 2.7543,1.044 5.3304,2.8548 7.1985,4.8468s3.1525,4.2701 3.8196,6.4625c1.2231,3.8261.7378,7.6678-.294,10.7219-1.2011,3.5891-3.1244,6.2356-4.5541,8.0782s-2.4363,3.016-2.0567,3.6719 2.0667.8104 4.848-.1463 6.8019-3.1111 10.2835-7.6375c2.9581-3.8608 5.3996-9.256 4.9949-16.1563-.2746-4.0121-1.606-8.3965-4.1134-12.4844s-6.2985-8.024-11.4588-11.0156c-4.1848-2.3832-8.9433-3.9714-14.25-4.7s-11.0033-.5225-16.7474,1.0281c-4.4002,1.2166-8.6199,3.167-12.4872,5.7282-7.5287-31.5595-20.8608-69.9125-20.8608-69.9125-.1189-.2638-.2861-.4403-.441-.4403zm-.147,139.9719h.147c28.1153.1715 50.9769,49.7454 50.9769,110.7438 0,2.2317-.0865,4.4105-.147,6.6094-1.6105-51.3413-23.8407-92.0906-50.9769-92.0906s-49.2195,40.7493-50.83,92.0906c-.0577-2.1989-.147-4.3777-.147-6.6094 0-60.9984 22.8616-110.5723 50.9769-110.7438zm-68.165,22.9125c-7.5457,18.7386-11.8995,40.6993-11.8995,64.3312 0,67.8976 35.8806,123.0813 80.2115,123.0813s80.2115-55.1837 80.2115-123.0813c0-23.632-4.3538-45.5927-11.8995-64.3312 12.9225,6.9802 25.2255,16.0538 35.8455,27.3188 11.2562,11.9401 20.5657,26.2722 26.4434,42.0063 5.1853,13.7592 7.6967,28.6652 7.1985,44.0625s-3.9246,31.0573-10.8711,45.6779c-6.3584,13.4937-15.8899,26.2269-27.6186,37.3068s-25.7543,20.5573-41.428,27.1716c-4.1151,1.7503-8.2935,3.3267-12.6341,4.7001-14.0842,4.457-28.9446,6.8733-43.6315,7.1966-1.1528.0288-2.2281,0-3.3789,0-14.687-.3236-29.5473-2.7397-43.6315-7.1966-4.3404-1.3734-8.372-2.9498-12.4871-4.7001-15.6736-6.6143-29.8461-16.0923-41.5748-27.1716s-21.1133-23.8131-27.4717-37.3068c-6.9464-14.6206-10.5198-30.2802-11.0181-45.6779s2.1601-30.3033 7.3454-44.0625c5.8778-15.7341 15.1871-30.0662 26.4434-42.0063 10.62-11.265 22.923-20.3385 35.8455-27.3188zm68.165,28.6407c22.8843,0 41.5748,31.5848 41.5748,70.6469s-18.6906,70.7938-41.5748,70.7938-41.4279-31.7318-41.4279-70.7938 18.5437-70.6469 41.4279-70.6469z"}}]})(props);
};
function GiAbstract042 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21v120.7313 103.8407h111.1844 68.2971v20.8562h-68.2971-111.1844v103.8409 120.7308h111.1844v-120.7308h68.2971 111.0376 68.2967v120.7308h111.1842v-120.7308-103.8409h-111.1842-68.2967v-20.8562h68.2967 111.1842v-103.8407-120.7313h-111.1842v120.7313h-68.2967-111.0376-68.2971v-120.7313h-111.1844zm139.2373,0v90.0344h191.3785v-90.0344h-191.3785zm0,379.9658v90.0342h191.3785v-90.0342h-191.3785z"}}]})(props);
};
function GiAbstract043 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m255.9996,20.9998c-64.0471,0-123.7054,11.1396-174.1933,30.4032 42.5627,9.362 97.1785,16.1072 156.8627,18.5063-65.7977-.4207-126.9636-3.8678-178.4531-9.5469-13.9421,6.3105-27.0964,13.3075-39.2159,20.8563 0,0 156.604,9.4 234.9996,9.4s235.0004-9.4 235.0004-9.4c-59.6482-37.1512-142.8327-60.2188-235.0004-60.2188zm-197.6935,79.0189c.9729,45.967 20.5938,94.674 52.1403,133.6564 38.1874-15.9698 89.3916-25.7032 145.5532-25.7032s107.2195,9.7334 145.407,25.7032c31.5069-38.9817 51.0225-87.6911 51.994-133.6564 0,0-131.6242,9.4-197.5473,9.4s-197.5472-9.4-197.5472-9.4zm109.4218,33.1938c14.9943,0 27.1721,12.178 27.1721,27.1719s-12.1778,27.1719-27.1721,27.1719-27.172-12.178-27.172-27.1719 12.1771-27.1719 27.172-27.1719zm88.2717,0c14.995,0 27.1721,12.178 27.1721,27.1719s-12.1771,27.1719-27.1721,27.1719c-14.9935,0-27.1713-12.178-27.1713-27.1719s12.1778-27.1719 27.1713-27.1719zm88.1254,0c14.9935,0 27.1721,12.178 27.1721,27.1719s-12.1786,27.1719-27.1721,27.1719-27.025-12.178-27.025-27.1719 12.0308-27.1719 27.025-27.1719zm-88.1254,89.8876c-62.9106,0-113.975,14.7491-113.975,32.9s51.0644,32.9001 113.975,32.9001 113.9758-14.7491 113.9758-32.9001-51.0644-32.9-113.9758-32.9zm-145.5532,55.2251c-31.5465,38.9824-51.1674,87.6892-52.1403,133.6566 0,0 131.6227-9.4 197.5472-9.4s197.5473,9.4 197.5473,9.4c-.9715-45.9656-20.4871-94.675-51.994-133.6566-38.1875,15.9697-89.2446,25.7032-145.407,25.7032s-107.3658-9.7334-145.5532-25.7032zm57.2815,46.4126c14.9943,0 27.1721,12.178 27.1721,27.1719s-12.1778,27.025-27.1721,27.025-27.172-12.0311-27.172-27.025 12.1771-27.1719 27.172-27.1719zm88.2717,0c14.995,0 27.1721,12.178 27.1721,27.1719s-12.1771,27.025-27.1721,27.025c-14.9935,0-27.1713-12.0311-27.1713-27.025s12.1778-27.1719 27.1713-27.1719zm88.1254,0c14.9935,0 27.1721,12.178 27.1721,27.1719s-12.1786,27.025-27.1721,27.025-27.025-12.0311-27.025-27.025 12.0308-27.1719 27.025-27.1719zm-88.1254,96.6441c-78.3956,0-234.9996,9.4-234.9996,9.4 59.6482,37.1512 142.8327,60.2183 234.9996,60.2183 64.0479,0 123.7062-11.1395 174.1941-30.403-42.5627-9.3619-97.0322-16.254-156.715-18.6529 65.7963.4209 126.8159,4.0143 178.3054,9.6933 13.9421-6.3102 27.0964-13.3071 39.2159-20.8558 0,0-156.604-9.4-235.0004-9.4z"}}]})(props);
};
function GiAbstract044 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21.0001c-33.4146,0-64.9629,8.4741-93.1187,23.5 1.7756,4.8026 2.7904,10.0023 2.7904,15.4219 0,24.5532-19.9496,44.5031-44.5029,44.5031-8.4764,0-16.3175-2.4928-23.0596-6.6094-7.8297,9.4362-15.0766,19.5149-21.4433,30.2563h89.1529c8.0821-44.703 43.0896-78.8538 85.6279-81.2219 1.5726-.0872 2.9658,0 4.5534,0 44.6547,0 81.812,34.9105 90.1813,81.2219h89.3c-6.3783-10.7594-13.591-20.8065-21.4437-30.2563-6.7408,4.1166-14.5832,6.6094-23.0592,6.6094-24.5542,0-44.5033-19.9499-44.5033-44.5031 0-5.4196 1.0143-10.6193 2.7909-15.4219-28.1869-15.0302-59.847-23.5-93.2659-23.5zm-134.8313,7.6375c-17.2988,0-31.2846,13.9855-31.2846,31.2844s13.9858,31.2843 31.2846,31.2843 31.2846-13.9855 31.2846-31.2843-13.9858-31.2844-31.2846-31.2844zm269.8096,0c-17.2993,0-31.2846,13.9855-31.2846,31.2844s13.9848,31.2843 31.2846,31.2843 31.2841-13.9855 31.2841-31.2843-13.9857-31.2844-31.2841-31.2844zm-134.9784,37.3062c-34.9624,0-64.0864,26.4624-72.1159,62.1282h144.3784c-8.028-35.6658-37.3001-62.1282-72.2625-62.1282zm-170.2284,80.3406c-4.2145,7.8625-7.8631,16.0802-11.1625,24.5281-31.3401,12.9493-53.6091,46.2302-53.6091,85.1876 0,38.8932 22.2032,72.0618 53.4624,85.0406 3.283,8.4412 6.9687,16.669 11.1625,24.5283h27.1716c-19.6709-31.0661-31.1375-68.8542-31.1375-109.5689 0-40.843 11.5023-78.6487 31.2846-109.7157zm313.1375,0c19.8749,31.0776 31.5784,68.848 31.5784,109.7157 0,40.7099-11.5484,78.5053-31.2842,109.5689h27.3183c4.2009-7.8593 7.8805-16.0872 11.1625-24.5283 31.2611-12.9788 53.3159-46.1475 53.3159-85.0406 0-39.0059-22.2085-72.2729-53.6092-85.1876-3.3149-8.4474-6.9376-16.6658-11.1625-24.5281zm-158.4779,8.5137c-11.216,0-20.4153,9.8634-20.4153,22.1781v188.5927h71.8216v-188.5927c0-12.3148-8.907-22.1781-20.1217-22.1781zm-83.7187,50.525c-11.2124,0-20.4159,9.8633-20.4159,22.1781v138.0678h71.9692v-138.0678c0-12.3148-9.0555-22.1781-20.2692-22.1781zm167.4375,0c-11.2118,0-20.4158,9.8633-20.4158,22.1781v138.0678h71.9692v-138.0678c0-12.3148-9.0555-22.1781-20.2692-22.1781zm-247.4841,178.6051c6.3662,10.7413 13.614,20.8201 21.4433,30.2563 6.7426-4.1167 14.5832-6.6097 23.0596-6.6097 24.5532,0 44.5029,19.9501 44.5029,44.5034 0,5.4196-1.0147,10.6196-2.7904,15.4216 28.1558,15.0268 59.7041,23.5 93.1187,23.5 33.4189,0 65.0786-8.4689 93.2659-23.5-1.7771-4.802-2.7909-10.0021-2.7909-15.4216 0-24.5533 19.9487-44.5034 44.5033-44.5034 8.476,0 16.3184,2.4929 23.0592,6.6097 7.8527-9.4499 15.0654-19.4971 21.4437-30.2563h-89.3c-8.3693,46.3114-45.5265,81.2216-90.1813,81.2216-1.5876,0-2.9802.0894-4.5534,0-42.5383-2.3674-77.5458-36.5185-85.6279-81.2216zm107.2183,0c8.03,35.6659 37.1535,62.1283 72.1159,62.1283s64.2345-26.4624 72.2625-62.1283zm-62.7154,36.8659c-17.2988,0-31.2846,13.9853-31.2846,31.2841s13.9858,31.2841 31.2846,31.2841 31.2846-13.9853 31.2846-31.2841-13.9858-31.2841-31.2846-31.2841zm269.8096,0c-17.3002,0-31.2846,13.9853-31.2846,31.2841s13.9848,31.2841 31.2846,31.2841 31.2841-13.9853 31.2841-31.2841-13.9862-31.2841-31.2841-31.2841z"}}]})(props);
};
function GiAbstract045 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m126.6029,21c-58.5338,0-105.6029,47.0641-105.6029,105.6031v258.7938c0,58.539 47.0691,105.6031 105.6029,105.6031h45.3846v-54.3438h37.4529v54.3438h27.4658v-54.3438h38.1875v54.3438h27.4659v-54.3438h37.7467v54.3438h45.0909c58.5338,0 105.6029-47.0641 105.6029-105.6031v-258.7938c0-58.539-47.0691-105.6031-105.6029-105.6031h-45.0909v54.7844h-37.7467v-54.7844h-27.4659v54.7844h-38.1875v-54.7844h-27.4658v54.7844h-37.4529v-54.7844h-45.3846zm129.3972,76.9625c87.2954,0 158.1846,70.7428 158.1846,158.0375s-70.8892,158.1843-158.1846,158.1843-158.1846-70.8897-158.1846-158.1843 70.8891-158.0375 158.1846-158.0375zm0,28.9343c-64.7322,0-118.2901,47.5947-127.6346,109.7157h255.2692c-9.3446-62.121-62.9025-109.7157-127.6346-109.7157zm-127.6346,148.4906c9.3445,62.1433 62.9025,109.8625 127.6346,109.8625s118.29-47.7192 127.6346-109.8625h-255.2692z"}}]})(props);
};
function GiAbstract046 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21c-3.2502,3.9094-26.2546,31.6708-36.483,48.0314-9.9733,15.9531-25.4057,50.3887-25.4057,50.3887s-32.1907-66.8046-63.9563-77.6458c-35.3054-12.0484-109.155,24.7524-109.155,24.7524s70.603,52.3783 103.2463,104.3135c24.7549,4.0324 43.7207,25.2926 43.7207,51.1254 0,24.2772-16.7332,44.6742-39.2893,50.3886-7.0993,15.0146-16.7952,28.8932-27.7687,40.0753-12.7198,12.9614-50.8114,19.743-50.8114,19.743-8.9629,3.493-17.2808,7.7869-17.2808,17.3856v22.2477c0,9.5986 7.6585,17.2382 17.2808,17.2382h54.3563l-83.4539,101.9561h109.155l63.9563-96.3574c0,0 15.8028,23.8239 25.4057,34.3292 10.8683,11.8926 34.4644,30.9356 36.483,32.5611 2.0186-1.6255 25.6154-20.6686 36.4837-32.5611 9.6029-10.5053 25.405-34.3292 25.405-34.3292l63.957,96.3574h109.1543l-83.4532-101.9561h54.3556c9.6223,0 17.2816-7.6396 17.2816-17.2382v-22.2477c0-9.5986-8.3187-13.8926-17.2816-17.3856 0,0-38.0909-6.7816-50.8114-19.743-10.9735-11.182-20.6687-25.0607-27.768-40.0752-22.5568-5.7145-39.29-26.1115-39.29-50.3886 0-25.8327 18.9665-47.093 43.7207-51.1254 32.644-51.9351 103.2463-104.3135 103.2463-104.3135s-73.8503-36.8008-109.1543-24.7524c-31.7663,10.8411-63.957,77.6458-63.957,77.6458s-15.4317-34.4356-25.405-50.3887c-10.2284-16.3606-33.2335-44.1219-36.4837-48.0314zm-56.5709,150.2821h19.4969c10.1939,0 18.3158,11.7972 18.3158,21.3637v29.3197c0,9.5665-8.1219,17.3856-18.3158,17.3856h-19.4969c-10.1953,0-18.4635-7.8191-18.4635-17.3856v-29.3197c0-9.5665 8.2675-21.3637 18.4635-21.3637zm93.6449,0h19.4976c10.1946,0 18.4635,11.7972 18.4635,21.3637v29.3197c0,9.5665-8.2682,17.3856-18.4635,17.3856h-19.4976c-10.1939,0-18.315-7.8191-18.315-17.3856v-29.3197c0-9.5665 8.1211-21.3637 18.315-21.3637zm-177.2473,12.3761c-21.2409,0-38.5506,17.1189-38.5506,38.3073s17.3097,38.4545 38.5506,38.4545 38.4036-17.2662 38.4036-38.4545-17.1619-38.3073-38.4036-38.3073zm280.3466,0c-21.2417,0-38.4036,17.1189-38.4036,38.3073s17.1619,38.4545 38.4036,38.4545 38.5513-17.2662 38.5513-38.4545-17.3097-38.3073-38.5513-38.3073zm-140.1733,71.8998c9.685.8608 17.2823,10.9647 17.2823,23.4263v4.1254h39.1416c19.2432,0 34.7109,10.6905 34.7109,24.0156v16.2069c0,13.3252-15.4663,24.163-34.7109,24.163h-56.4239-56.4231c-19.244,0-34.7117-10.8378-34.7117-24.163v-16.2069c0-13.3251 15.4684-24.0156 34.7117-24.0156h39.1415v-4.1254c0-12.4616 7.5966-22.5654 17.2816-23.4263z"}}]})(props);
};
function GiAbstract047 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m255.8532,21-63.7438,80.7813-102.225-12.0438 11.75,102.3719-80.6344,63.7435 80.9281,64.0375-12.0437,102.225 102.225-11.8966 63.7438,80.7812 64.0375-80.7812 102.225,11.8966-12.0438-102.225 80.9281-64.0375-80.6343-63.7435 11.75-102.3719-102.225,12.0438-64.0375-80.7813zm-2.35,43.1813c.8184-.0879 1.6568,0 2.4969,0 13.4403,0 24.3812,11.5471 24.3812,25.85s-10.9409,25.85-24.3812,25.85-24.3813-11.5472-24.3813-25.85c0-13.4089 9.6078-24.529 21.8844-25.85zm-27.9063,36.2781c4.2495,13.5041 16.2831,23.2063 30.4032,23.2063s26.0067-9.7021 30.2562-23.2063l30.8438,10.575 27.4656,13.5125c-6.544,12.5536-4.8438,27.9094 5.1406,37.8938s25.1932,11.5377 37.7469,4.9937l13.6594,27.9062 10.4281,30.2565c-13.5041,4.2483-23.2064,16.2827-23.2063,30.4029s9.7022,26.007 23.2063,30.2563l-10.1344,29.375-14.1,28.9341c-12.5536-6.5434-27.9095-4.9919-37.8937,4.9942-9.9845,9.9823-11.5378,25.3415-4.9938,37.8933l-27.7594,13.5125-30.4031,10.4284c-4.2495-13.504-16.1361-23.2063-30.2562-23.2063s-26.1537,9.7022-30.4032,23.2063l-29.375-10.1341-28.6406-13.9534c6.5439-12.5537 4.9906-27.7643-4.9938-37.7466-9.9844-9.9861-25.3402-11.6847-37.8937-5.1409l-13.9531-28.7875-10.1344-29.375c13.5041-4.2493 23.2063-16.136 23.2063-30.2563s-9.7022-26.1546-23.2063-30.4029l10.2812-29.8158 13.8062-28.2001c12.5537,6.544 27.7625,4.9907 37.7469-4.9937s11.6847-25.3402 5.1407-37.8937l29.2281-14.3938 28.7875-9.8406zm148.6375,13.0719c6.4276-.183 12.7263,2.1513 17.4781,6.9031 9.5038,9.5038 9.0856,25.4301-1.0281,35.5438s-26.04,10.5319-35.5437,1.0281-9.0856-25.4302 1.0281-35.5437c5.0568-5.0568 11.6381-7.7478 18.0656-7.9313zm-238.6719.1463c.7967-.0577 1.5466-.0216 2.35,0 6.4276.183 12.862,2.8746 17.9187,7.9313 10.1138,10.1137 10.532,25.893 1.0282,35.3968s-25.2831,9.0857-35.3969-1.0281-10.5319-25.8932-1.0281-35.3969c4.1579-4.1579 9.5516-6.5142 15.1281-6.9031zm97.6719,25.85-21.7375,7.3437-21.7375,10.8687c4.9013,9.4024 3.5125,20.869-3.9656,28.3469s-18.7977,8.7195-28.2,3.8187l-10.4281,21.15-7.6376,22.1783c10.1141,3.1819 17.3313,12.1895 17.3313,22.7654s-7.2172,19.5835-17.3313,22.7654l7.6376,22.0317 10.4281,21.4433c9.4023-4.8997 21.0157-3.5128 28.4937,3.9659s8.5732,18.7977 3.6719,28.2l21.4438,10.575 22.0312,7.4909c3.1828-10.1149 12.1902-17.3317 22.7657-17.3317s19.4359,7.2168 22.6187,17.3317l22.7656-7.9317 20.7094-9.9875c-4.9013-9.4005-3.6593-20.8694 3.8188-28.3466s19.0914-8.8656 28.4937-3.9659l10.4281-21.4433 7.6375-22.0317c-10.1141-3.1819-17.3312-12.1895-17.3312-22.7654s7.2171-19.5835 17.3312-22.7654l-7.9312-22.6192-10.1344-20.856c-9.4023,4.9017-20.7221,3.8059-28.2-3.6719s-8.8669-19.0914-3.9656-28.4938l-20.5626-10.1344-23.0593-7.9312c-3.1828,10.1145-12.0432,17.3313-22.6187,17.3313s-19.5829-7.2168-22.7657-17.3313zm22.7657,33.7813c45.6862,0 82.6905,37.0043 82.6905,82.6906s-37.0043,82.6904-82.6905,82.6904-82.6907-37.004-82.6907-82.6904 37.0044-82.6906 82.6907-82.6906zm-10.2813,30.4031-9.6938,3.2313-9.8406,4.8466c2.2028,4.2258 1.5985,9.4174-1.7624,12.7784s-8.4055,3.9654-12.6313,1.7625l-4.7001,9.4-3.3781,9.9875c4.5458,1.4302 7.7844,5.5281 7.7844,10.2813s-3.2386,8.851-7.7844,10.2812l3.3781,9.8409 4.7001,9.6933c4.2258-2.2024 9.4172-1.5985 12.7781,1.7625s3.8184,8.4055 1.6156,12.6317l9.6938,4.7 9.8406,3.3779c1.4305-4.5458 5.5282-7.7846 10.2813-7.7846s8.7039,3.2388 10.1343,7.7846l10.2813-3.525 9.2531-4.5529c-2.2028-4.2258-1.5985-9.2707 1.7625-12.6317s8.5523-3.9649 12.7781-1.7625l4.7-9.6933 3.3781-9.8409c-4.5457-1.4302-7.7843-5.5281-7.7843-10.2812s3.2386-8.851 7.7843-10.2813l-3.525-10.1341-4.5531-9.4c-4.2257,2.2024-9.2703,1.7451-12.6312-1.6159s-3.9653-8.5526-1.7625-12.7784l-9.2531-4.5529-10.4282-3.525c-1.4304,4.5458-5.3813,7.7846-10.1343,7.7846s-8.8508-3.2388-10.2813-7.7846zm-158.1844,27.9062c.8703-.0846 1.7498,0 2.6438,0 14.303,0 25.85,10.9407 25.85,24.3813s-11.547,24.3813-25.85,24.3813-25.8501-10.9411-25.85-24.3813c-7e-05-12.6002 10.1527-23.1301 23.2063-24.3813zm331.7906,0c.8703-.0846 1.7499,0 2.6438,0 14.3029,0 25.85,10.9407 25.85,24.3813s-11.5471,24.3813-25.85,24.3813-25.85-10.9407-25.85-24.3813c0-12.6002 10.1524-23.1301 23.2062-24.3813zm-279.7969,116.6187c6.4276-.1833 12.8731,2.0046 17.6251,6.7562 9.5037,9.5039 9.0857,25.4298-1.0282,35.5438s-26.04,10.5336-35.5437,1.0279c-9.5039-9.502-9.0854-25.4312 1.0281-35.5433 5.0568-5.0577 11.4913-7.6013 17.9187-7.7846zm230.5938,0c.7967-.0562 1.5466,0 2.35,0 6.4276.1833 13.0088,2.8745 18.0657,7.9313 10.1136,10.1135 10.5319,26.0399 1.0281,35.5438s-25.4301,9.0837-35.5437-1.0279c-10.1137-10.1153-10.532-26.0389-1.0282-35.5442 4.1579-4.1567 9.5516-6.5137 15.1281-6.9029zm-116.6187,47.7346c.8184-.0907 1.6568,0 2.4969,0 13.4403,0 24.3812,11.5456 24.3812,25.85s-10.9409,25.85-24.3812,25.85-24.3813-11.5493-24.3813-25.85c0-13.4105 9.6078-24.5312 21.8844-25.85z"}}]})(props);
};
function GiAbstract048 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256.1468,20.9997-33.9281,58.0156c-55.6819,10.5942-102.148,47.0526-126.8999,96.2031-10.8593.0886-21.1176,2.643-30.4031,7.1969 20.703-81.1455 74.5922-140.154 138.7969-144.8188-2.6618-.1888-5.2359-.4403-7.9313-.4403-71.4627,0-131.6689,67.4079-150.2531,159.2125-15.0117,14.7623-24.5281,35.9406-24.5281,59.6313s9.5164,44.8689 24.5281,59.6312c18.5505,91.8393 78.7533,159.2125 150.2531,159.2125 2.6954,0 5.2695-.2522 7.9313-.4403-64.278-4.6699-118.1462-63.7206-138.7969-144.9656 9.3019,4.5731 19.5193,7.2547 30.4031,7.3437 24.7519,49.1505 71.218,85.6089 126.8999,96.2031l33.9281,58.0156 33.7813-58.1625c55.6091-10.6344 102.0256-46.9542 126.7532-96.0562 10.8838-.0894 21.1011-2.7706 30.4031-7.3437-20.6507,81.245-74.5189,140.2956-138.7969,144.9656 2.6618.1888 5.3828.4403 8.0781.4403 71.5402,0 131.7738-67.4405 150.2532-159.3594 14.9251-14.7564 24.3812-35.872 24.3812-59.4843 0-23.651-9.4135-44.8719-24.3812-59.6313-18.5462-91.8119-78.7867-159.2125-150.2532-159.2125-2.6953,0-5.4163.2515-8.0781.4403 64.2046,4.6648 118.0939,63.6733 138.7969,144.8188-9.2856-4.5539-19.5439-7.108-30.4031-7.1969-24.7276-49.102-71.1441-85.4218-126.7532-96.0562l-33.7813-58.1625zm-50.9656,87.2438-39.0687,66.9749h-43.7688c18.7882-31.0433 47.9767-54.9772 82.8374-66.9749zm101.7844.1463c34.7841,12.0176 63.9338,35.8365 82.6907,66.8281h-43.7688l-38.9219-66.8281zm-181.9781,87.0968h29.375 203.275 29.5219c33.884,0 60.9531,26.9926 60.9531,60.5125s-27.0691,60.5125-60.9531,60.5125h-29.5219-203.275-29.375c-33.8841,0-61.1-26.9926-61.1-60.5125s27.2159-60.5125 61.1-60.5125zm10.8688,24.0876c-13.1774,1.3373-23.3531,12.5938-23.3531,26.1437v20.8562c0,14.4533 11.5436,25.9969 25.9968,25.9969h75.6406c14.4533,0 26.1438-11.5436 26.1438-25.9969v-20.8562c0-14.4533-11.6905-26.1437-26.1438-26.1437h-75.6406c-.9033,0-1.7653-.0894-2.6437,0zm159.2125,0c-13.1935,1.3373-23.5,12.5938-23.5,26.1437v20.8562c0,14.4533 11.6905,25.9969 26.1437,25.9969h75.6406c14.4533,0 26.1438-11.5436 26.1438-25.9969v-20.8562c0-14.4533-11.6905-26.1437-26.1438-26.1437h-75.6406c-.9033,0-1.7642-.0894-2.6437,0zm-172.7251,117.2062h43.7688l39.0687,66.975c-34.8608-11.9977-64.0492-35.9316-82.8374-66.975zm223.5437,0h43.7688c-18.7569,30.9916-47.9066,54.8105-82.6907,66.8281l38.9219-66.8281z"}}]})(props);
};
function GiAbstract049 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m491,21-99.1169,57.8687 99.1169,57.7219v-115.5906zm0,146.4344-99.1169-57.8687v115.5906l99.1169-57.7219zm0,30.6969-99.1169,57.7219 99.1169,57.8687v-115.5906zm0,146.2875-99.1169-57.575v115.5906l99.1169-58.0156zm0,30.9906-99.1169,57.7219 99.1169,57.8687v-115.5906zm-123.5741-354.4094-99.1169,57.8687 99.1169,57.7219v-115.5906zm0,146.4344-99.1169-57.8687v115.5906l99.1169-57.7219zm0,30.6969-99.1169,57.7219 99.1169,57.8687v-115.5906zm0,146.2875-99.1169-57.575v115.5906l99.1169-58.0156zm0,30.9906-99.1169,57.7219 99.1169,57.8687v-115.5906zm-123.7349-296.5406-99.1169-57.8687v115.5906l99.1169-57.7219zm0,30.6969-99.1169,57.8687 99.1169,57.7219v-115.5906zm0,146.2875-99.1169-57.7219v115.5906l99.1169-57.8687zm0,30.9906-99.1169,57.575 99.1169,58.0156v-115.5906zm0,146.2875-99.1169-57.7219v115.5906l99.1169-57.8687zm-123.5742-354.2625-99.1168-57.8687v115.5906l99.1168-57.7219zm0,30.6969-99.1168,57.8687 99.1168,57.7219v-115.5906zm0,146.2875-99.1168-57.7219v115.5906l99.1168-57.8687zm0,30.9906-99.1168,57.575 99.1168,58.0156v-115.5906zm0,146.2875-99.1168-57.7219v115.5906l99.1168-57.8687z"}}]})(props);
};
function GiAbstract050 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21v135.125h135.125v-135.125h-135.125zm167.4375,0v135.125h135.125v-135.125h-135.125zm167.4375,0v135.125h135.125v-135.125h-135.125zm-334.875,167.4375v135.125h135.125v-135.125h-135.125zm167.4375,0v135.125h135.125v-135.125h-135.125zm167.4375,0v135.125h135.125v-135.125h-135.125zm-334.875,167.4375v135.125h135.125v-135.125h-135.125zm167.4375,0v135.125h135.125v-135.125h-135.125zm167.4375,0v135.125h135.125v-135.125h-135.125z"}}]})(props);
};
function GiAbstract051 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m124.6937,21c-57.2511,0-103.6937,47.4844-103.6937,106.0438s46.4426,105.8969 103.6937,105.8969c12.9326,0 25.3034-2.4644 36.7188-6.9031l155.8346,80.7813c-7.7593,7.2819-14.3702,15.7433-19.6818,25.1156h62.1284c28.7142,0 51.7,23.5043 51.7,52.875s-22.9858,53.1688-51.7,53.1688h-62.1284c17.9357,31.648 51.4049,53.0218 89.7409,53.0218 57.2512,0 103.6938-47.6313 103.6938-106.1906s-46.4426-105.8969-103.6938-105.8969c-12.9809,0-25.4147,2.4329-36.8658,6.9032l-155.8342-80.7813c7.7917-7.2981 14.4995-15.7124 19.8284-25.1157h-62.1283c-28.7142,0-51.7-23.5043-51.7-52.8749s22.9858-53.1688 51.7-53.1688h62.1283c-17.9357-31.6481-51.4048-52.875-89.7409-52.875zm41.4188,68.8844c-22.9158,0-41.4188,16.6375-41.4188,37.1594s18.503,37.0124 41.4188,37.0124h283.4688c22.9162,0 41.4187-16.4907 41.4187-37.0124s-18.5025-37.1594-41.4187-37.1594h-283.4688zm-103.6938,257.9125c-22.9163,0-41.4187,16.4907-41.4187,37.0125s18.5025,37.3062 41.4187,37.3062h283.4688c22.9157,0 41.4187-16.7845 41.4187-37.3062s-18.503-37.0125-41.4187-37.0125h-283.4688z"}}]})(props);
};
function GiAbstract052 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m491,21.0004c-34.677,26.7899-79.6063,47.6307-130.7189,59.7781v82.8375c66.0304-27.286 115.2549-79.6133 130.7189-142.6157zm-470,.1467c15.5112,63.0009 64.7254,115.369 130.7187,142.6157v-82.9844c-51.0862-12.1177-96.0126-32.8572-130.7187-59.6313zm221.6344,7.6375c-65.5691,1.2074-116.6187,11.2925-116.6187,23.5 0,13.0214 58.1698,23.6469 129.9842,23.6469 71.8152,0 129.9845-10.6255 129.9845-23.6469s-58.1693-23.5-129.9845-23.5c-4.4883,0-8.9939-.0804-13.3655,0zm-74.7591,55.5188v85.4813c27.2513,9.1956 56.8938,14.2469 87.9776,14.2469 31.1343,0 60.9569-5.169 88.2723-14.3938v-85.3344c-27.9899,5.5161-57.5863,8.5188-88.2723,8.5188-30.6082,0-60.0719-3.0323-87.9776-8.5188zm88.1246,30.2563c11.8377,0 21.4442,9.6062 21.4442,21.4438s-9.6065,21.2969-21.4442,21.2969-21.4434-9.4593-21.4434-21.2969 9.6057-21.4438 21.4434-21.4438zm235.0001,8.8125c-34.677,26.7899-79.6063,47.6307-130.7189,59.7781v82.8375c66.0304-27.286 115.2549-79.6133 130.7189-142.6157zm-470,.1466c15.5112,63.0009 64.7254,115.369 130.7187,142.6157v-82.9844c-51.0862-12.1178-96.0126-32.8572-130.7187-59.6313zm146.8753,63.1563v85.4813c27.2513,9.1956 56.8938,14.2469 87.9776,14.2469 31.1343,0 60.9569-5.169 88.2723-14.3938v-85.3344c-27.9899,5.5161-57.5863,8.5188-88.2723,8.5188-30.6082,0-60.0719-3.0324-87.9776-8.5188zm88.1246,28.7875c11.8377,0 21.4442,9.6062 21.4442,21.4438s-9.6065,21.4438-21.4442,21.4438-21.4434-9.6062-21.4434-21.4438 9.6057-21.4438 21.4434-21.4438zm235.0001,10.1344c-34.6756,26.7884-79.6099,47.6304-130.7189,59.7781v82.8375c66.0131-27.29 115.257-79.6243 130.7189-142.6157zm-470,.1467c15.5112,63.0009 64.7254,115.369 130.7187,142.6157v-82.9844c-51.0862-12.1177-96.0126-32.8572-130.7187-59.6313zm146.8753,63.1563v85.4813c27.2585,9.2015 56.8837,14.2469 87.9776,14.2469 31.1343,0 60.9569-5.169 88.2723-14.3938v-85.3344c-27.9899,5.5161-57.5863,8.5188-88.2723,8.5188-30.6082,0-60.0719-3.0323-87.9776-8.5188zm88.1246,27.6125c11.8377,0 21.4442,9.6062 21.4442,21.4438s-9.6065,21.2969-21.4442,21.2969-21.4434-9.4593-21.4434-21.2969 9.6057-21.4438 21.4434-21.4438zm235.0001,11.4563c-34.6756,26.7884-79.6099,47.6304-130.7189,59.7781v82.8375c66.0131-27.29 115.257-79.6243 130.7189-142.6157zm-470,.1467c15.5112,63.0009 64.7254,115.369 130.7187,142.6157v-82.9844c-51.0862-12.1177-96.0126-32.8572-130.7187-59.6313zm146.8753,63.1563v85.4813c27.2585,9.2015 56.8837,14.2469 87.9776,14.2469 31.1343,0 60.9569-5.169 88.2723-14.3938v-85.3344c-27.9899,5.5161-57.5863,8.5188-88.2723,8.5188-30.6082,0-60.0719-3.0324-87.9776-8.5188zm88.1246,26.1438c11.8377,0 21.4442,9.6062 21.4442,21.4438s-9.6065,21.4438-21.4442,21.4438-21.4434-9.6062-21.4434-21.4438 9.6057-21.4438 21.4434-21.4438z"}}]})(props);
};
function GiAbstract053 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m472.3085,39.4847c-1.4357-1.4311-2.897-2.762-4.4653-4.0499-3.1252-2.5781-6.4853-4.803-10.073-6.7499-1.7938-.9736-3.5062-1.9001-5.3999-2.7-.043-.0187-.1672.0187-.2076,0-1.8542-.7786-3.772-1.5786-5.7114-2.1808-.036-.0144-.165.0144-.2076,0-1.9393-.5972-3.801-1.0426-5.8153-1.4539-.05-.009-.1607.009-.2076,0-2.0165-.407-3.9412-.8275-6.0229-1.0384-.051-.003-.16.005-.2076,0-2.0829-.2063-4.1964-.3116-6.3345-.3116-.05-.003-.058.1038-.1038.1038-2.1369.005-4.2518.1006-6.3345.3116-.051.003-.058-.1086-.1038-.1038-2.0814.2157-4.2137.627-6.2307,1.0384-.043.005-.1614-.009-.2075,0-2.0146.416-3.8752.8524-5.8153,1.4539-.05.0144-.1629-.0144-.2075,0-1.9405.6063-3.856,1.3984-5.7115,2.1808-.043.0187-.065.085-.1038.1038-1.8543.7864-3.6407,1.5398-5.4,2.4923-.7019.3789-1.3915.8418-2.0768,1.2461-2.8335,1.6742-5.5721,3.5282-8.0999,5.6077-1.567,1.2892-2.9258,2.7227-4.3615,4.1538-2.8909,2.8843-5.599,5.9491-7.8922,9.346-6.0185,8.9147-9.8723,19.4697-10.696,30.8418l.5189-.3116c.5355-.3159 1.1134-.743 1.6615-1.0385 1.3737-.7436 2.706-1.4628 4.1537-2.0769 .036-.0144.1751.0144.2076,0 1.4488-.6108 2.9502-1.0843 4.4653-1.5577 1.5148-.4695 3.1-.8176 4.673-1.1422 .036-.009.065-.0945.1038-.1038 1.5748-.3215 3.1517-.6626 4.7768-.8308s3.4199-.1006 5.0884-.1038l.1038-.1038c1.6694,0 3.1503.0469 4.7768.2078h.2076c1.6253.1645 3.3061.6169 4.8806.9346 .036.009.065-.1137.1038-.1038 1.5727.321 3.0549.7799 4.5691,1.2461 .036.005.1752-.009.2076,0 1.5145.4702 2.9137,1.0536 4.3614,1.6615 .036.0144.072-.118.1038-.1038 1.4786.6245 2.9607,1.3168 4.3615,2.0769 .9018.4894 1.722,1.019 2.596,1.5577l-89.8255,89.8254c-15.7485-12.8644-35.0886-21.6218-56.2838-24.2996v-70.8219c20.4451,6.0476 35.411,24.8303 35.411,47.2492 0,.6827.05,1.4009 0,2.0769 8.7053-10.8619 13.9152-24.6867 13.9153-39.6685 0-35.0024-28.4465-63.2413-63.4491-63.2413s-63.2414,28.239-63.2414,63.2413c7e-05,15.0508 5.0648,28.8874 13.8112,39.7726-.0432-.7248-.1038-1.4484-.1038-2.1811-.0002-22.4187 14.9658-41.2015 35.4108-47.249v70.8219c-21.1954,2.678-40.5351,11.435-56.2838,24.2996l-89.7217-89.7216c.3092-.1866.6219-.3342.9348-.5194 .5347-.3159 1.0082-.8467 1.5575-1.1421 1.3724-.7437 2.913-1.4627 4.3616-2.0771 .0432-.0144.0721.118.1038.1038 1.4496-.6107 2.8456-1.1879 4.3613-1.6614 .0432-.005.1694.009.2076.0002 1.5153-.47 2.9955-.9217 4.5691-1.2462 .0505-.005.0649.1133.1038.1038 1.5753-.3215 3.2563-.7666 4.8807-.9346l.2076-.0002c1.6641-.1683 3.1725-.1038 4.8807-.1038 1.6696.0001 3.4615-.0569 5.0883.1038s3.2008.513 4.7767.8309c.0504.005.0649.0945.1038.1038 1.5727.3206 3.1575.6759 4.6731,1.1421 1.5148.47 3.0168.9499 4.4653,1.5577 .0432.0144.1737-.0144.2076.0002 1.4777.6244 2.7534,1.3166 4.1541,2.0765 .689.3741 1.4049.8445 2.0769,1.2461-.2119-2.7352-.6039-5.5785-1.1426-8.2034-.8419-4.1237-2.1375-8.0511-3.7382-11.8384-1.6054-3.7873-3.4285-7.329-5.7114-10.696-2.2925-3.3968-4.9997-6.4633-7.8922-9.346-1.4352-1.4311-2.7933-2.866-4.3615-4.1538-3.1252-2.5782-6.5883-4.9068-10.1767-6.8538-1.7924-.9735-3.5061-1.6924-5.3999-2.4923-.0432-.0187-.0649-.085-.1038-.1038-1.8564-.7784-3.7716-1.5784-5.7113-2.1809-.0432-.0144-.1658.0144-.2076.0001-1.941-.5971-3.802-1.0426-5.8155-1.4537-.0432-.005-.1614.009-.2076-.0002-2.0172-.407-4.1487-.8277-6.2305-1.0386-.0505-.005-.0577.1086-.1038.1038-2.0852-.2063-4.1962-.3116-6.3346-.3116-2.1874-.0002-4.307-.009-6.4384.2078-.0504.005-.1614-.005-.2076-.0002-2.083.2157-4.0047.6271-6.023,1.0384-.0504.005-.16-.009-.2076.0002-2.014.416-3.8747.852-5.8152,1.4537-.0505.0144-.1658-.0144-.2076.0002-1.9419.6062-3.8555,1.3982-5.7112,2.1804-.0505.0187-.1701-.0187-.2076.0001-1.8562.7863-3.6411,1.7475-5.3999,2.6998-.7026.3789-1.3914.8417-2.0768,1.2462-2.8336,1.6744-5.4665,3.4245-7.9962,5.5039-1.5664,1.2893-3.0316,2.6188-4.4655,4.0501-4.3256,4.3123-8.0693,9.1247-11.0074,14.5381-4.8672,8.9692-7.6845,19.3842-7.6843,30.3224-.0001,2.1878.1989,4.3075.4151,6.4385 .8671,8.5241 3.2558,16.5892 7.1652,23.7804 2.9383,5.4252 6.6802,10.2131 11.0074,14.5384 5.7425,5.7424 12.5577,10.4941 20.146,13.7073 3.7504,1.581 7.6562,2.7979 11.7347,3.6344 2.6254.5446 5.467.9336 8.2033,1.1426-.4086-.6652-.8724-1.3861-1.2461-2.0769-3.053-5.615-5.0339-11.7251-5.7113-18.3805-.1694-1.6639-.2076-3.4842-.2076-5.1923-.0001-8.5403 2.2214-16.6732 6.0228-23.6764 .4742-.8737.9233-1.6614 1.4541-2.4924l89.8256,89.8255c-12.8647,15.7485-21.6221,35.0886-24.2996,56.2837l-70.8219-.0002c6.0475-20.445 24.8295-35.411 47.2489-35.4106 .6817-.0002 1.4018-.0281 2.0772-.0003-10.8611-8.705-24.6876-13.9148-39.6687-13.9151-35.0038.0003-63.2416,28.4466-63.2417,63.4493s28.2378,63.2411 63.2414,63.2412c15.0504-.0003 28.8878-5.0649 39.7728-13.8116-.7247.0332-1.4498.1043-2.181.1038-22.4198,4e-05-41.2015-14.9656-47.2491-35.4111l70.8219.0001c2.6777,21.195 11.4349,40.5353 24.2996,56.2837l-89.8258,89.8256c-.5354-.8378-1.0798-1.7138-1.5575-2.5962-3.0534-5.6147-5.0342-12.1402-5.7116-18.7957-.1694-1.6639-.1038-3.1728-.1038-4.8808 7e-05-8.5407 1.9987-16.6733 5.8153-23.6765 .333-.6168.7804-1.1682 1.1423-1.7654-.534.0375-1.0263.0504-1.5577.1038-.0504.005-.0576-.1085-.1038-.1038-2.0827.2158-4.2122.6268-6.2309,1.0386-.0505.005-.16-.009-.2076-.0001-2.0141.416-3.875.8524-5.8155,1.4539-.0504.0144-.1658-.0144-.2076-.0001-1.9418.6063-3.8554,1.3982-5.7115,2.1807-.0505.0187-.0649.0851-.1038.1038-1.8561.7863-3.6409,1.5397-5.3997,2.4919-.7026.3789-1.3914.8416-2.0769,1.2461-4.5898,2.7122-8.7111,6.0218-12.4615,9.7615-4.3256,4.3123-8.0693,9.1247-11.0077,14.5384-4.8868,8.9689-7.5805,19.2802-7.5804,30.2184-7e-05,2.1877-.007,4.3074.2076,6.4387 .8671,8.5241 3.4637,16.589 7.3731,23.7802 2.9383,5.4252 6.6801,10.2132 11.0074,14.5384 5.7426,5.7425 12.5578,10.4941 20.1461,13.7073 3.7503,1.581 7.6561,2.7979 11.7346,3.6344 4.1246.8554 8.3976,1.3401 12.7727,1.3502 2.1866,4e-05 4.3053-.1988 6.4386-.4155 .0504-.005.0577.1085.1038.1038 2.0811-.2167 4.2134-.6249 6.2305-1.0383 .0505-.005.1607.009.2076-.0002 4.0747-.8453 7.9826-2.0462 11.7341-3.6342 .0504-.0187.0649-.0855.1038-.1038 3.786-1.6125 7.3307-3.4265 10.6958-5.7112 1.6848-1.1411 3.2143-2.4448 4.777-3.7386 1.5668-1.2937 3.0303-2.6143 4.4655-4.0501 2.8924-2.8917 5.4963-6.0439 7.7882-9.4497 2.283-3.3755 4.314-6.902 5.9191-10.696 1.6005-3.7941 2.7924-7.8146 3.6344-11.9419 .5383-2.6276 1.0348-5.3653 1.2464-8.1-2.0042,1.2237-4.1506,2.4961-6.3344,3.4267-.0432.0144-.1751-.0144-.2076.0001-2.9286,1.2399-5.9554,2.0399-9.1385,2.7001-.0504.005-.0649.0945-.1038.1038-1.5758.3229-3.1519.6616-4.7771.8309-1.6644.1692-3.4851.2073-5.1919.2073-3.4159-.009-6.749-.3709-9.9693-1.0383-3.1848-.6534-6.2096-1.673-9.1383-2.9076-2.4415-1.0339-4.7403-2.2189-6.9576-3.6345l89.7218-89.7216c15.7484,12.8646 35.0886,21.6218 56.2838,24.2996l.0002,70.8217c-20.4451-6.083-35.3073-24.934-35.3075-47.3527 .0004-.7042-.0288-1.3805.0004-2.0772-8.741,10.8522-13.9153,24.6231-13.9155,39.6688 .0001,35.0022 28.3435,63.3448 63.3453,63.3451s63.4494-28.4469 63.4492-63.4491c.0002-14.9754-5.2165-28.6318-13.915-39.4611 .043.6468-.1045,1.3209-.1045,1.9734 .0002,22.4186-14.8621,41.2698-35.3069,47.3527l-.0002-70.8217c21.1954-2.6779 40.5352-11.435 56.2838-24.2996l89.7218,89.7216c-2.1707,1.3916-4.4689,2.7227-6.854,3.7385-.036.0144-.072-.118-.1038-.1038-2.9285,1.2399-5.955,2.2474-9.1379,2.9073-.036.009-.065-.1133-.1038-.1038-1.5752.3229-3.2558.7657-4.8807.9346l-.2076.0002c-1.6262.1655-3.1085.2044-4.7767.2078-3.4553.0001-6.8162-.4672-10.0729-1.1424-3.1845-.6531-6.2105-1.4652-9.1384-2.6998-2.2338-.9457-4.3927-2.2732-6.4384-3.5307 .8191,11.3677 4.6546,21.9045 10.6958,30.842 2.2935,3.4053 4.8961,6.5576 7.7883,9.4498 5.7428,5.7427 12.4538,10.3902 20.0423,13.6035 3.7498,1.5813 7.656,2.7978 11.7345,3.6344 4.171.8652 8.5552,1.3503 12.9806,1.35 2.1368-.005 4.2517-.0997 6.3345-.3116 .051-.003.16.005.2076.0002 2.0815-.2167 4.0059-.625 6.023-1.0385 .043-.005.1614.009.2076-.0002 4.0766-.8454 7.9837-2.0464 11.7341-3.6342 .043-.0187.1657.0187.2075-.0001 3.7856-1.6123 7.329-3.6343 10.696-5.9192 1.6835-1.1411 3.3181-2.3409 4.8808-3.6347 1.5672-1.2933 2.9255-2.7177 4.3614-4.1536 11.4934-11.4913 18.5882-27.217 18.588-44.7568 .0001-2.1877.01-4.3085-.2076-6.4387-1.0846-10.6496-4.7841-20.5552-10.4884-28.9725-10.5767-15.6662-27.9887-26.4243-47.9761-27.8304 3.72,6.1046 6.3009,13.0931 7.0613,20.5613 .1686,1.663.1038,3.3803.1038,5.0884-.0002,9.6253-2.8313,18.4932-7.5807,26.0649l-89.618-89.6178c12.8646-15.7486 21.6217-35.0884 24.2997-56.2837h70.822c-6.0832,20.4452-24.9343,35.3071-47.353,35.307-.7041.0003-1.3806.0281-2.0772.0003 10.8523,8.7408 24.6233,13.9149 39.6688,13.9149 35.0024,0 63.3452-28.3428 63.3452-63.3451s-28.4467-63.4489-63.4491-63.4489c-14.9752,5e-05-28.632,5.2168-39.4609,13.9151 .6465-.0238 1.3205.1038 1.9731.1038 22.4188,0 41.2699,14.8619 47.3531,35.3071h-70.822c-2.6778-21.1952-11.4352-40.5352-24.2997-56.2836l89.7223-89.7216c4.7289,7.5635 7.5806,16.4829 7.5806,26.0649 0,9.3998-2.7078,18.2676-7.2692,25.7534 3.3072-.2759 6.6017-.9243 9.7615-1.6615 1.5533-.3624 2.9579-.6678 4.4653-1.1423 5.9279-1.8659 11.577-4.4732 16.6151-7.8922 1.6837-1.1406 3.2143-2.4448 4.7769-3.7384 1.5673-1.2934 3.1334-2.7181 4.5692-4.1538 2.8924-2.892 5.3912-5.9405 7.6844-9.346 6.8452-10.1266 10.9038-22.2851 10.9038-35.4109s-4.0585-25.3102-10.9038-35.411c-2.2932-3.3968-4.8958-6.5671-7.7883-9.4499zm-179.8588,180.0661c9.3311,9.331 15.0573,22.2263 15.0573,36.4495 .0001,28.4464-23.0606,51.5068-51.5069,51.5069s-51.5069-23.0605-51.507-51.5069 23.0606-51.5068 51.507-51.5069c14.2232,0 27.1182,5.7266 36.4496,15.0573z"}}]})(props);
};
function GiAbstract054 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m250.7622,20.9999c-95.0948,0-171.6585,97.1409-171.6585,217.6685v193.1409h-27.6548v-341.0664c8.501-3.3755 14.5257-11.9149 14.5257-22.0312 0-13.0533-10.0742-23.6467-22.4876-23.6467s-22.487,10.5934-22.487,23.6467c0,10.2794 6.3671,18.9217 15.0843,22.1784v400.11h1.5364 13.8282 27.6548 353.9316 27.6556 13.8275 1.5364v-400.11c8.7172-3.2567 14.9452-11.899 14.9452-22.1784 0-13.0533-10.0742-23.6467-22.4877-23.6467s-22.4869,10.5934-22.4869,23.6467c0,10.1163 6.1645,18.6557 14.6655,22.0312v341.0664h-27.6556v-193.1409c0-120.5276-76.5636-217.6685-171.6584-217.6685zm.8381,39.0688h8.9392c79.2639,0 143.0249,80.9257 143.0249,181.3905v190.35h-294.9897v-190.35c0-100.4648 63.7617-181.3905 143.0256-181.3905zm.8382,32.8999c-65.9871,0-119.1414,67.3529-119.1414,150.9873v158.9192h245.5448v-158.9192c0-83.6344-53.1542-150.9873-119.1406-150.9873zm3.6314,65.2125c47.7701,0 86.5967,43.8258 86.5967,97.819s-38.8266,97.8182-86.5967,97.8182-86.5975-43.826-86.5975-97.8182 38.8267-97.819 86.5975-97.819zm0,33.3406c-31.4974,0-56.9867,28.8786-56.9867,64.4783s25.4893,64.4779 56.9867,64.4779 56.986-28.8792 56.986-64.4779-25.4893-64.4783-56.986-64.4783zm0,37.6c13.1233,0 23.7438,12.0451 23.7438,26.8783s-10.6205,26.8779-23.7438,26.8779-23.7445-12.0462-23.7445-26.8779 10.6204-26.8783 23.7445-26.8783zm-204.621,240.2875h409.242v9.6938h-409.242z"}}]})(props);
};
function GiAbstract055 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m51.1094,21.0001c-16.6286,0-30.1094,12.1649-30.1094,27.1719v4.5532 67.2687 31.5782 67.1219 26.4375 .4403 1.0282 18.6531 1.175 .4403 26.4375 66.975 31.7251 67.1219 4.7c0,15.007 13.4808,27.1719 30.1094,27.1719h4.9937 199.8968 200.0443 4.9933c16.6291,0 29.9625-12.1649 29.9625-27.1719v-4.7-67.1219-31.7251-66.975-26.4375-.4403-1.175-18.6531-1.0282-.4403-26.4375-67.1219-31.5782-67.2687-4.5532c0-15.007-13.3334-27.1719-29.9625-27.1719h-4.9933-200.0443-199.8968-4.9937zm4.9937,31.7251h74.4657v67.2687h-74.4657v-67.2687zm109.7157,0h74.3186v67.2687h-74.3186v-67.2687zm106.1907,0h74.3188v67.2687h-74.3188v-67.2687zm109.4221,0h74.6126v67.2687h-74.6126v-67.2687zm-299.3316,101.9313h173.8999 174.0472c16.9088,0 30.4029,12.3524 30.4029,27.6125v62.8625 .4403 1.0282 18.6531 1.175 .4403 62.7156c0,15.26-13.4941,27.6125-30.4029,27.6125h-174.0472-173.8999c-16.9102,0-30.4031-12.3524-30.4031-27.6125v-62.7156-.4403-1.175-18.6531-1.0282-.4403-62.8625c0-15.2601 13.493-27.6125 30.4031-27.6125zm62.7157,33.1938c-20.3681,0-36.8657,30.4831-36.8657,68.15s16.4976,68.15 36.8657,68.15 36.8658-30.4831 36.8658-68.15-16.4977-68.15-36.8658-68.15zm111.1842,0c-20.3679,0-36.8654,30.4831-36.8654,68.15s16.4979,68.15 36.8654,68.15 36.8659-30.4831 36.8659-68.15-16.498-68.15-36.8659-68.15zm111.1847,0c-20.368,0-36.8655,30.4831-36.8655,68.15s16.4975,68.15 36.8655,68.15 36.8654-30.4831 36.8654-68.15-16.4971-68.15-36.8654-68.15zm-311.0815,204.1564h74.4657v67.1219h-74.4657v-67.1219zm109.7157,0h74.3186v67.1219h-74.3186v-67.1219zm106.1907,0h74.3188v67.1219h-74.3188v-67.1219zm109.4221,0h74.6126v67.1219h-74.6126v-67.1219z"}}]})(props);
};
function GiAbstract056 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m255.8529,21c-14.7556,0-28.4595,15.2239-40.0971,41.4188-5.6029-11.9545-17.6715-20.2688-31.725-20.2688-19.3574,0-34.9558,15.7453-34.9558,35.1031 0,13.1928 7.1759,24.7006 17.9183,30.6969-52.9037,19.8213-94.6232,56.6835-114.7091,102.225 30.0988-38.0558 81.2521-66.7726 142.4687-78.4312-5.6414,27.1185-10.0162,57.9376-12.6312,91.5031-22.5671,18.2108-41.0564,44.4077-53.0217,75.6406-29.8318.3206-54.3348,31.9662-58.1625,72.85-17.5394-4.9357-34.2381-10.665-49.9374-16.8906 29.1908,25.2737 67.8158,45.5721 112.3592,58.8969 0,42.6364 54.9195,77.2562 122.6408,77.2562s122.4933-34.6199 122.4933-77.2562c44.54-13.2876 83.2976-33.5046 112.5067-58.75-15.6914,6.2115-32.4037,11.9801-49.9375,16.8906-3.7821-40.9577-28.2949-72.6758-58.1625-72.9969-12.0033-31.3287-30.3662-57.6044-53.0221-75.7875-2.6254-33.5202-7.1266-64.2713-12.7779-91.3563 61.2166,11.6586 112.5166,40.3754 142.6154,78.4312-20.1029-45.5805-61.7387-82.57-114.7096-102.3719 10.6906-6.023 18.0659-17.4283 18.0659-30.55 0-19.3578-15.7455-35.1031-35.1034-35.1031-14.053,0-26.2683,8.3143-31.8716,20.2688-11.6847-26.2123-25.4806-41.4188-40.2438-41.4188zm0,42.1532c1.1116,0 2.2809.0966 3.3779.294 2.1968.3942 4.3306,1.1954 6.4625,2.35 3.1974,1.7321 6.3769,4.3024 9.4,7.6375 1.0302,1.1338 1.9317,2.3628 2.9375,3.6719 3.5302,4.582 6.9245,10.2871 10.1346,16.8906-10.5045-1.2966-21.2257-2.0563-32.1654-2.0563-11.0286,0-21.8748.7392-32.4596,2.0563 .5816-1.1005 1.2121-2.1687 1.7625-3.2313 .05-.036-.043-.1117 0-.1463 .893-1.7222 1.8725-3.2728 2.7904-4.8468 .05-.036-.043-.1153 0-.1463 .9198-1.5703 1.8485-2.9885 2.7908-4.4062 .051-.0288-.043-.1189 0-.1463 .9429-1.415 1.8241-2.7078 2.7909-3.9656 1.0039-1.309 2.0563-2.5382 3.0841-3.6719 2.9935-3.302 6.0889-5.9064 9.2534-7.6376 .2962-.1614.5823-.147.8808-.294 1.6859-.8353 3.4169-1.5458 5.1409-1.9093 1.253-.2573 2.5469-.4403 3.8187-.4403zm.1456,62.8625c15.4592,0 30.4743,1.0705 45.0904,3.0844 .8483,2.9054 1.7042,5.7259 2.4971,8.8125 3.4657,13.5124 6.4784,28.4776 8.9591,44.65 1.9844,12.9379 3.5917,26.5352 4.8466,40.8312 .5766,6.5486 1.0562,13.1984 1.4692,19.975 .043.6709.1125,1.382.1456,2.0563 .7156,12.3837 1.0585,25.2973 1.1751,38.3344 .043,2.6074.1455,5.1577.1455,7.7844 0,2.8084.043,5.4411 0,8.225h-14.5403c.043-1.9075.1455-3.8038.1455-5.7281 0-86.3931-22.4876-156.4219-50.0846-156.4219s-49.7904,70.0288-49.7904,156.4219v5.7281h-14.3942c-.043-2.7839 0-5.4166 0-8.225v-7.4906c.1131-13.1433.4561-26.1472 1.175-38.6281 .043-.6738.1081-1.3843.1456-2.0563 .4043-6.7344.9066-13.3281 1.4687-19.8281 .2912-3.3639.694-6.5455 1.0284-9.8406 .3762-3.7073.7435-7.5477 1.175-11.1625 1.6262-13.6553 3.563-26.6309 5.875-38.775 1.1449-6.0235 2.373-11.8828 3.6716-17.4782v-.1463c1.3837-5.9508 2.8553-11.6192 4.4063-17.0375 14.6682-2.0291 29.8647-3.0844 45.3846-3.0844zm-75.7876,128.9562c-.632,14.3553-1.026,29.0632-1.0283,44.0625h-28.7875c7.8255-16.995 17.9638-31.8865 29.8158-44.0625zm151.428,0c11.8867,12.1602 22.1163,27.0218 29.9625,44.0625h-28.9346c0-14.9993-.3899-29.7072-1.0279-44.0625zm-179.0404,65.2125h23.0591 160.6812 23.353c26.0093,0 46.8651,26.495 48.0283,59.925-11.9389,2.6036-24.3244,4.7795-36.8659,6.7562-17.3082-29.3751-62.149-50.2313-114.8557-50.2313-52.6081,0-97.4452,20.797-114.8568,50.0844-12.5372-1.9717-24.7769-4.1346-36.7182-6.7562 1.2271-33.3576 22.2056-59.7781 48.175-59.7781zm103.4,52.7281c59.1837,0 107.0716,18.2465 107.0716,40.8312s-47.8879,40.8312-107.0716,40.8312c-59.1853,0-107.2193-18.2465-107.2193-40.8312s48.034-40.8312 107.2193-40.8312zm-6.4625,14.2469c-32.2204,1.3637-57.4284,12.7403-57.4284,26.5844 0,14.767 28.6065,26.7312 63.8909,26.7312s63.8903-11.9643 63.8903-26.7312-28.6075-26.5844-63.8903-26.5844c-2.2058,0-4.3151-.0907-6.4625,0z"}}]})(props);
};
function GiAbstract057 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m257.0263,21.0016c-.05.4061-.084.6004-.1456,1.0281-.9611,6.4481-2.7109,15.4196-4.4062,26.7311-1.6948,11.3115-3.3271,25.0067-4.2596,40.6841s-1.1722,33.4094.2962,51.9934c1.088,14.8826 3.3013,30.5151 6.3154,46.9997s6.9221,33.7488 10.8686,51.9934c.5449,2.443 1.0637,4.8583 1.6159,7.3438 3.7078,16.8351 7.1571,33.8909 9.9874,50.9653s4.9514,34.2857 6.0216,51.1122c1.4867,24.794.5412,47.7377-1.7624,67.5621s-5.86,36.4357-9.5467,49.3496c-2.9703,10.386-6.0351,18.3615-8.6657,24.0874 64.4714-.379 125.4041-5.5764 179.6272-14.8343v-29.5217c0-10.31 8.2592-18.5061 18.5056-18.5061h29.522v-34.956c-35.3598-6.1472-62.2747-36.8937-62.2747-74.0245s26.9149-67.9992 62.2747-74.1714v-160.8271h-29.522c-10.2464,0-18.5056-8.1961-18.5056-18.5061v-29.5217c-23.2785-3.9743-47.8006-7.2495-73.2904-9.6937v79.4589c26.5962,9.1828 45.6781,34.3203 45.6781,64.0371 0,23.8014-12.2985,44.7283-30.8441,56.8402v110.8899h-17.184v-102.8118c-2.9972.9166-6.0944,1.5594-9.2533,2.0562v171.1083h-17.3306v-170.5207c-3.1571-.3135-6.2398-.8844-9.2534-1.6157v67.2683h-17.3311v-74.1714c-20.5807-11.6537-34.5152-33.7046-34.5152-59.0434 0-29.2442 18.5668-54.0596 44.5026-63.5965v-83.2776c-21.8643-1.2179-44.2479-1.8906-67.1217-1.9094zm-8.3716.1467c-64.4713.3789-125.4041,5.5764-179.6272,14.8343v29.5217c0,10.31-8.2593,18.5061-18.5057,18.5061h-29.5219v34.956c35.3146,6.2304 62.2746,37.0905 62.2746,74.1714s-26.96,67.8193-62.2746,74.0245v160.8271h29.5219c10.2464,0 18.5057,8.1961 18.5057,18.5061v29.5217c56.0847,9.5759 119.3003,14.9419 186.2363,14.9811 .1081-.8685.16-1.3796.2962-2.3499 .9955-7.2602 2.7204-17.3503 4.4057-30.1092 1.2432-9.3734 2.4126-20.1464 3.2318-32.1654h-106.9244c-13.6736,0-24.6748-10.1213-24.6748-22.7654 0-11.854 9.7045-21.6008 22.1777-22.7655 .831-.0778 1.6412,0 2.4971,0h107.8052c-.155-4.4852-.5658-9.0457-.8808-13.6593h-106.9244c-13.6736,0-24.6748-10.1213-24.6748-22.7655 0-11.854 9.7045-21.6008 22.1777-22.7655 .831-.0778 1.6412,0 2.4971,0h101.4898c-.5938-3.4522-1.237-6.9032-1.9096-10.4281-.2069-1.1012-.5182-2.2698-.7342-3.3781h-98.846c-13.6736,0-24.6748-10.1213-24.6748-22.7655 0-11.854 9.7045-21.6008 22.1777-22.7654 .831-.0778 1.6412,0 2.4971,0h89.2995c-.4511-2.198-.8545-4.423-1.3221-6.6093-4.0523-18.3911-7.8696-37.0288-10.722-55.6653s-4.8132-37.2329-5.4342-55.2246c-.6918-22.6816.8033-43.4123 3.3784-61.0996 2.5671-17.6873 6.2293-32.3435 9.8403-43.6216 2.5596-7.9943 5.0694-14.2033 7.3437-18.9468zm-94.8806,32.606c25.8916,0 46.9997,21.1082 46.9997,46.9997s-21.108,46.8528-46.9997,46.8528-46.8526-20.9613-46.8526-46.8528 20.961-46.9997 46.8526-46.9997zm-16.0095,29.6686c-10.9016,0-19.6806,8.7795-19.6806,19.6811s8.779,19.828 19.6806,19.828 19.8282-8.9263 19.8282-19.828-8.9262-19.6811-19.8282-19.6811zm209.7361,34.5154c-28.6153,0-51.8463,23.2296-51.8463,51.8465s23.2315,51.8466 51.8463,51.8466c28.6172,0 51.8468-23.2297 51.8468-51.8466s-23.2296-51.8465-51.8468-51.8465zm-13.5124,21.003c12.265,0 22.1782,9.9136 22.1782,22.178s-9.9132,22.178-22.1782,22.178c-12.2636,0-22.1777-9.9136-22.1777-22.178s9.9141-22.178 22.1777-22.178z"}}]})(props);
};
function GiAbstract058 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21v228.5688h168.1719v115.5594h-21.0031v-94.1469h-147.1688v220.0188h470v-220.0188h-147.1687v94.1469h-21.0032v-115.5594h168.1719v-228.5688h-35.1031v145.1125h-108.8344v-145.1125h-36.5719v145.1125h-108.8343v-145.1125h-36.7188v145.1125h-108.8344v-145.1125z"}}]})(props);
};
function GiAbstract059 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m146.2844,21-110.1563,33.3406h264.6688 44.3562 27.3188 44.3562v44.3563 10.8687l-44.3562,97.3781v-108.2469h-27.3188v168.1719l-44.3562,97.3781v-265.55h-244.4001l49.4969,53.4625c13.9853-5.1207 29.0376-7.9312 44.7969-7.9312 72.0424,0 130.5719,58.3826 130.5719,130.425s-58.5295,130.425-130.5719,130.425c-21.2703,0-41.3035-5.0701-59.0437-14.1l-38.4813,54.4906h274.95c5.7813,0 10.4281,4.7937 10.4281,10.575s-4.6468,10.4281-10.4281,10.4281h-289.7844l-17.3312,24.5281h470l-172.4313-91.5031 172.4313-378.4969h-344.7156zm-.7344,153.3375c-53.0679,2.687-95.175,46.5761-95.175,100.3156 0,55.4731 44.8425,100.3157 100.3156,100.3157s100.4625-44.8426 100.4625-100.3157-44.9894-100.3156-100.4625-100.3156c-1.7335,0-3.4287-.0865-5.1406,0zm5.1406,34.5157c36.2972,0 65.8,29.5028 65.8,65.8s-29.5028,65.8-65.8,65.8-65.6531-29.5028-65.6531-65.8 29.3559-65.8 65.6531-65.8z"}}]})(props);
};
function GiAbstract060 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21v448.2625l100.0219-100.0219c-25.7363-30.6361-41.2719-70.0981-41.2719-113.2407 0-97.3402 78.9097-176.25 176.25-176.25 43.1427,0 82.6034,15.5356 113.2408,41.2719l100.1683-100.0218h-448.4092zm470,21.5906-100.1687,100.0219c25.8153,30.658 41.4188,70.1712 41.4188,113.3875 0,97.3402-78.9097,176.2501-176.25,176.2501-43.2165,0-82.7294-15.6035-113.3875-41.4188l-100.1687,100.1688h448.5562v-448.4094zm-234.9999,65.3594c-35.3934,0-67.7943,12.4749-93.2659,33.1937l65.6534,65.6532c8.1634-4.5942 17.5775-7.1969 27.6125-7.1969 31.1487,0 56.3999,25.2511 56.3999,56.3999 0,10.0348-2.6023,19.449-7.1966,27.6126l65.6529,65.6531c20.7191-25.4714 33.1938-57.8725 33.1938-93.2657 0-81.7658-66.2841-148.0499-148.05-148.0499zm-114.8563,54.7844c-20.7188,25.4714-33.1938,57.8724-33.1938,93.2656 0,81.7658 66.2841,148.05 148.05,148.05 35.3933,0 67.7942-12.4749 93.2658-33.1938l-65.6533-65.6531c-8.1634,4.5942-17.5776,7.1969-27.6125,7.1969-31.1488,0-56.4-25.2511-56.4-56.4 0-10.0348 2.6024-19.4489 7.1966-27.6125l-65.6529-65.6531z"}}]})(props);
};
function GiAbstract061 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m204.1534,21c12.2265,7.0346 24.415,14.1493 36.5716,21.15 3.0076,2.0246 5.9207,4.1822 8.8125,6.3156-4.1285,2.5852-8.2011,5.2585-12.0438,8.225-8.389,6.3999-16.3447,13.8126-21.15,24.5281-5.3345,12.4564-6.1997,27.2596-5.875,41.4187 .1549,9.172.8879,18.3957 1.9096,27.7594-5.8834-7.3191-12.0029-14.2801-18.3596-20.8562-9.7826-10.2408-20.7594-20.0808-33.3404-25.1156-10.9745-4.1802-22.0012-3.7562-32.4596-2.35-4.8946.6297-9.7144,1.5286-14.5404,2.6437 .5405-3.5999 1.2055-7.2617 1.9091-10.8687 3.6467-13.5454 7.3437-27.0659 11.0159-40.6844-5.3693,13.2653-10.7616,26.465-16.1568,39.8031-1.4683,4.4799-2.7302,9.0944-3.9654,13.6594-4.473,1.2157-8.9742,2.5249-13.3653,3.9656-13.3382,5.3938-26.6833,10.6403-39.95,16.0094 13.6187-3.6712 27.2844-7.37 40.8307-11.0156 3.5589-.6952 7.0214-1.2261 10.5751-1.7625-1.0909,4.747-2.0238,9.4318-2.6433,14.2469-1.4062,10.4571-1.6821,21.4843 2.4967,32.4594 5.036,12.5799 14.8736,23.5585 25.1159,33.3406 6.5748,6.357 13.536,12.6234 20.8557,18.5063-9.3215-1.0132-18.4804-1.7551-27.6125-1.9094-14.1587-.3252-28.8157.3938-41.2716,5.7281-10.716,4.8056-18.4221,12.7613-24.8216,21.15-2.992,3.8751-5.7674,8.0258-8.3721,12.1906-2.1314-2.8936-4.144-5.8048-6.1688-8.8125-7.0006-12.1564-14.115-24.3458-21.15-36.5719 5.5845,13.1774 11.2725,26.4106 16.8908,39.6562 2.1047,4.1605 4.2662,8.1498 6.6092,12.1906-2.3039,4.0236-4.3747,8.2135-6.4625,12.3375-5.617,13.2463-11.3077,26.3326-16.8908,39.5094 7.0336-12.2256 14.0041-24.4151 21.0033-36.5719 2.0027-2.9725 4.0623-5.954 6.1688-8.8125 2.6203,4.1429 5.383,8.1722 8.3721,12.0437 6.4,8.3895 14.1056,16.4928 24.8216,21.2969 12.4559,5.3355 26.9663,6.1993 41.125,5.875 9.0908-.1542 18.3328-.9042 27.6125-1.9094-7.2699,5.8488-14.1747,11.8954-20.7091,18.2125-10.2423,9.7821-20.0799,20.7607-25.1159,33.3406-4.1788,10.9751-3.9024,22.0022-2.4967,32.4594 .6248,4.8555 1.5398,9.7543 2.6433,14.5406-3.5537-.5386-7.0162-1.2142-10.5751-1.9094-13.5463-3.6456-27.212-7.198-40.8307-10.8688 13.2662,5.369 26.6109,10.7624 39.95,16.1562 4.4307,1.4533 8.8515,2.7651 13.3653,3.9656 1.2168,4.4742 2.5258,8.8265 3.9654,13.2188 5.3951,13.3381 10.787,26.6847 16.1568,39.95-3.6712-13.6185-7.3692-27.2859-11.0159-40.8313-.6861-3.5179-1.2309-6.917-1.7625-10.4281 4.7822,1.0768 9.5428,1.8728 14.3937,2.4969 10.4585,1.4062 21.4851,1.6833 32.4596-2.4969 12.5805-5.0352 23.5578-14.7276 33.3404-24.9688 6.3169-6.5347 12.3634-13.4397 18.2125-20.7094-1.0053,9.2794-1.7559,18.5214-1.9096,27.6125-.3243,14.158.6875,28.6694 6.0221,41.125 4.8048,10.7163 12.7614,18.2754 21.15,24.675 3.8399,2.9648 7.7893,5.7694 11.8971,8.3719-2.8609,2.1041-5.6926,4.1671-8.6659,6.1688-12.1551,7.0011-24.3474,14.115-36.5716,21.15 13.175-5.5843 26.4111-11.2728 39.6558-16.8906 4.1247-2.087 8.1845-4.2883 12.1909-6.6094 4.0415,2.3438 8.177,4.504 12.3375,6.6094 13.2451,5.6171 26.3341,11.308 39.5092,16.8906-12.2238-7.0334-24.4156-14.0032-36.5717-21.0031-3.0432-2.049-5.8881-4.3056-8.8125-6.4625 4.151-2.6256 8.1648-5.2297 12.0437-8.225 8.3891-6.3999 16.4923-13.9581 21.2971-24.675 5.3355-12.4549 6.1988-27.1136 5.875-41.2719-.1549-9.0491-.9118-18.2292-1.9095-27.4656 5.8491,7.2697 12.0418,14.1747 18.3596,20.7094 9.7812,10.2412 20.7609,19.9335 33.3404,24.9688 10.975,4.1802 22.0035,3.9031 32.4596,2.4969 4.8118-.6188 9.502-1.4325 14.2467-2.4969-.5355,3.5111-1.0754,6.9102-1.7626,10.4281-3.6443,13.5454-7.1989,27.2127-10.8687,40.8312 5.3679-13.2653 10.6159-26.6119 16.0096-39.95 1.4401-4.3922 2.7735-8.7446 3.9654-13.2188 4.5153-1.2006 9.0813-2.5123 13.5125-3.9656 13.3377-5.3938 26.539-10.7872 39.8029-16.1562-13.6173,3.6707-27.1397,7.2231-40.6841,10.8688-3.6007.7032-7.2757,1.3668-10.8688,1.9094 1.0787-4.7916 2.0186-9.6796 2.6437-14.5406 1.4063-10.4572 1.8312-21.4843-2.3499-32.4594-5.0342-12.5799-14.7284-23.5585-24.9688-33.3406-6.5354-6.3171-13.5863-12.3637-20.8563-18.2125 9.2783,1.0051 18.6694,1.7553 27.7592,1.9094 14.1592.3243 28.6709-.6861 41.125-6.0219 10.7169-4.8041 18.275-12.9085 24.675-21.2969 2.9657-3.8399 5.6231-7.7899 8.225-11.8969 2.1329,2.8912 4.4368,5.9508 6.4625,8.9594 7.0002,12.1558 13.8236,24.2004 20.8567,36.425-5.5827-13.1756-11.1263-26.2643-16.7442-39.5094-2.0868-4.1252-4.3048-8.167-6.6092-12.1906 2.3731-4.0835 4.6276-8.1303 6.7563-12.3375 5.6179-13.2452 11.1592-26.4807 16.7437-39.6562-7.0354,12.2245-14.0022,24.4168-21.0033,36.5719-2.0478,3.0441-4.3057,5.887-6.4625,8.8125-2.5869-4.1282-5.2574-8.2008-8.225-12.0437-6.3991-8.3883-13.959-16.4923-24.675-21.2969-12.4554-5.3349-27.1138-6.0531-41.2717-5.7281-9.0902.1537-18.3342.9042-27.6125,1.9094 7.3194-5.8829 14.2796-12.1493 20.8563-18.5063 10.2404-9.7821 19.9346-20.7608 24.9688-33.3406 4.1811-10.9751 3.7557-22.0023 2.3499-32.4594-.619-4.8116-1.4325-9.5032-2.4966-14.2469 3.5518.5364 7.1619,1.0673 10.7217,1.7625 13.5453,3.6456 27.0677,7.3445 40.6841,11.0156-13.2639-5.369-26.4652-10.6156-39.8029-16.0094-4.3931-1.4407-8.8905-2.7499-13.3654-3.9656-1.2093-4.565-2.6423-9.1794-4.1125-13.6594-5.3937-13.3381-10.6417-26.5378-16.0096-39.8031 3.6698,13.6185 7.2244,27.139 10.8687,40.6844 .7048,3.6009 1.2193,7.275 1.7626,10.8687-4.748-1.0901-9.432-2.0245-14.2467-2.6437-10.4561-1.4062-21.4846-1.8302-32.4596,2.35-12.5795,5.0348-23.5602,14.8748-33.3404,25.1156-6.3576,6.5762-12.4766,13.5371-18.3596,20.8562 1.0128-9.3215 1.7545-18.6278 1.9096-27.7594 .3243-14.1586-.5391-28.8155-5.875-41.2719-4.8048-10.7158-12.9071-18.1274-21.2971-24.5281-3.9062-3.0159-7.99-5.8951-12.1904-8.5188 2.9281-2.1628 5.9112-4.1155 8.9591-6.1688 12.1571-6.9993 24.346-14.1164 36.5717-21.15-13.176,5.5835-26.2627,11.274-39.5092,16.8906-4.206,2.1296-8.3834,4.4016-12.4841,6.7562-4.0232-2.3033-8.0661-4.6695-12.1909-6.7562-13.2451-5.6174-26.3322-11.3062-39.5091-16.8906zm51.8466,32.1656c4.1383,3.329 8.0313,7.0022 11.75,10.7219 7.1605,7.2577 13.7024,14.9306 16.45,24.3813 3.4733,11.0697 2.7251,24.5899 1.3216,38.3344-.9442,8.6415-2.4773,17.3438-4.2591,26.1438-6.7365-20.8229-25.2625-39.95-25.2625-39.95s-18.6088,18.9258-25.4092,39.6562c-1.7686-8.7527-3.1734-17.4013-4.1125-25.9969-1.4034-13.7442-2.1531-27.117 1.3216-38.1875 2.7472-9.4503 9.2882-17.2704 16.45-24.5281 3.689-3.6894 7.6479-7.2687 11.75-10.575zm-127.4875,58.6031c10.1943.0699 20.1625.9882 28.7875,5.7281 10.2841,5.3711 19.326,15.4328 28.0534,26.1438 5.4534,6.7924 10.5962,13.9443 15.5683,21.4438-19.5022-10.049-46.2654-10.2812-46.2654-10.2812s.3524,26.49 10.2812,45.9719c-7.4471-4.9427-14.695-10.003-21.4438-15.4219-10.7098-8.7268-20.6259-17.7681-25.9971-28.0531-4.7395-8.6248-5.6597-18.7386-5.7279-28.9344 0-5.2176.32-10.4772.8812-15.7156 5.2805-.5724 10.6018-.8812 15.8625-.8812zm255.1217,0c5.217,0 10.4763.3172 15.7158.8812 .5658,5.2384.8888,10.4981.8813,15.7156-.072,10.1958-.8432,20.3096-5.5812,28.9344-5.3717,10.2851-15.432,19.3263-26.1438,28.0531-6.8362,5.4897-14.0384,10.7132-21.5904,15.7156 10.0561-19.504 10.2808-46.2656 10.2808-46.2656s-26.4906.3577-45.9717,10.2812c4.9425-7.447 10.0026-14.6955 15.4217-21.4438 8.7264-10.7109 17.7679-20.7726 28.0534-26.1438 8.6249-4.74 18.7384-5.6588 28.9341-5.7281zm-127.6341,74.9062c7.8716,0 15.706,3.0745 21.7375,9.1062l38.4813,38.4813c12.0635,12.0633 12.0635,31.4117 0,43.475l-38.4813,38.6281c-12.0634,12.0633-31.4115,12.0633-43.475,0l-38.6283-38.6281c-12.063-12.0633-12.063-31.4117 0-43.475l38.6283-38.4813c6.0316-6.0317 13.866-9.1062 21.7375-9.1062zm-149.5188,38.6281c6.4658-.0771 13.2493.3267 20.1222,1.0281 8.6531.9456 17.3307,2.6213 26.1433,4.4062-20.8689,6.7043-39.95,25.2625-39.95,25.2625s19.1271,18.6726 39.95,25.4094c-8.8021,1.7821-17.6466,3.3149-26.2904,4.2594-13.7442,1.4028-27.2642,2.152-38.3346-1.3219-9.4507-2.7476-16.976-9.2904-24.2341-16.45-3.7252-3.7139-7.247-7.7566-10.575-11.8969 3.3285-4.1385 6.8563-8.178 10.575-11.8969 7.2587-7.1607 14.9314-13.5561 24.3812-16.3031 5.5357-1.7373 11.7467-2.4197 18.2125-2.4969zm299.1846,0c6.4662.0771 12.5297.9064 18.0654,2.6437 9.4503,2.7471 17.2697,9.1426 24.5279,16.3031 3.6895,3.6889 7.1233,7.6467 10.4284,11.75-3.3041,4.1039-6.7342,8.0658-10.4284,11.75-7.2582,7.1607-15.0785,13.7019-24.5279,16.45-11.0708,3.4744-24.4424,2.7254-38.1875,1.3219-8.6409-.9439-17.3439-2.3309-26.1438-4.1125 20.7764-6.7688 39.8034-25.4094 39.8034-25.4094s-19.1271-18.5257-39.95-25.2625c8.7994-1.7816 17.6485-3.3156 26.2904-4.2594 6.8718-.7019 13.6558-1.2523 20.1221-1.175zm-58.75,85.6281c7.552,5.0024 14.7542,10.2259 21.5904,15.7156 10.7118,8.7268 20.7721,17.7681 26.1438,28.0531 4.738,8.6248 5.5107,18.5917 5.5812,28.7875 0,5.2593-.3056,10.5821-.8813,15.8625-5.2395.5659-10.4988.8896-15.7158.8812-10.1957-.0699-20.3092-.8417-28.9341-5.5812-10.285-5.3715-19.3265-15.2864-28.0534-25.9969-5.4539-6.7927-10.5961-14.0914-15.5683-21.5906 19.4895,9.9727 46.1183,10.2812 46.1183,10.2812s-.2256-26.9084-10.2808-46.4125zm-181.9783.2937c-9.9283,19.4819-10.2812,46.1187-10.2812,46.1187s26.9013-.329 46.4124-10.4281c-5.0022,7.5518-10.2257,14.9006-15.7154,21.7375-8.7274,10.7105-17.7688,20.6254-28.0534,25.9969-8.6249,4.7396-18.5932,5.5119-28.7875,5.5812-5.2607.009-10.5811-.3064-15.8625-.8812-.5722-5.2804-.8812-10.6032-.8812-15.8625 .0721-10.1958.9875-20.1627 5.7279-28.7875 5.3716-10.2851 15.2873-19.3263 25.9971-28.0531 6.7488-5.4189 13.9967-10.4792 21.4438-15.4219zm116.4716,47.8813c1.8043,8.8819 3.3069,17.5705 4.2596,26.2906 1.4039,13.7451 2.0055,27.2635-1.4687,38.3344-2.7485,9.4492-9.2895,17.2687-16.45,24.5281-3.7181,3.7189-7.6097,7.1007-11.75,10.4281-4.1046-3.3043-8.0671-6.7333-11.75-10.4281-7.1609-7.2586-13.849-14.9312-16.5966-24.3813-3.4743-11.0708-2.5789-24.5905-1.175-38.3344 .9442-8.6419 2.3303-17.3438 4.1125-26.1438 6.7685,20.7767 25.4092,39.8031 25.4092,39.8031s18.7483-19.1682 25.4091-40.0969z"}}]})(props);
};
function GiAbstract062 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m247.3347,24.0844-41.8596,8.225v138.0625l-39.8029-5.2875v-124.8438l-144.6721,28.4937 6.7568,95.175 219.5779,41.4188v-181.2437zm17.3312,0v181.2437l219.5783-41.4188 6.7558-95.175-144.6716-28.4937v124.8438l-39.95,5.2875v-138.0625l-41.7125-8.225zm-235.5875,157.5969 3.9658,55.5188 165.0875,45.825v96.6437l-160.0942-70.2062 5.2875,73.8781 204.0096,104.4281v-264.9625l-218.2563-41.125zm454.1374,0-218.5499,41.2719v264.9625l204.3033-104.5751 5.1404-73.7313-159.8,70.0594v-96.6437l164.9404-45.825 3.9658-55.5188z"}}]})(props);
};
function GiAbstract063 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21v117.5h22.325v58.75h-22.325v117.5h22.325v58.75h-22.325v117.5h117.4999v-22.1781h235v22.1781h117.5v-117.5h-22.1783v-58.75h22.1783v-117.5h-22.1783v-58.75h22.1783v-117.5h-117.5v22.325h-235v-22.325h-117.4999zm58.75,12.3375c25.5906,0 46.2654,20.8202 46.2654,46.4125s-20.6748,46.2656-46.2654,46.2656-46.4125-20.6733-46.4125-46.2656 20.8187-46.4125 46.4125-46.4125zm352.5,0c25.5906,0 46.2654,20.8202 46.2654,46.4125s-20.6748,46.2656-46.2654,46.2656-46.4125-20.6733-46.4125-46.2656 20.8187-46.4125 46.4125-46.4125zm-293.75,23.6469h110.5967v52.1406h-51.8467v117.5h51.8467v22.4719h-110.5967v-51.8469h-81.5158v-58.75h81.5158v-81.5156zm124.4029,0h110.5971v81.5156h81.6625v58.75h-81.6625v51.8469h-110.5971v-22.4719h51.8471v-117.5h-51.8471v-52.1406zm-6.9029,64.4781c25.5901,0 46.2654,20.8202 46.2654,46.4125s-20.6753,46.2656-46.2654,46.2656-46.4125-20.6733-46.4125-46.2656 20.8187-46.4125 46.4125-46.4125zm-176.25,88.125c25.5906,0 46.2654,20.8202 46.2654,46.4125s-20.6748,46.2656-46.2654,46.2656-46.4125-20.6733-46.4125-46.2656 20.8187-46.4125 46.4125-46.4125zm352.5,0c25.5906,0 46.2654,20.8202 46.2654,46.4125s-20.6748,46.2656-46.2654,46.2656-46.4125-20.6733-46.4125-46.2656 20.8187-46.4125 46.4125-46.4125zm-293.75,53.3156h110.5967v22.4719h-51.8467v117.5h51.8467v52.2875h-110.5967v-81.6625h-81.5158v-58.75h81.5158v-51.8469zm124.4029,0h110.5971v51.8469h81.6625v58.75h-81.6625v81.6625h-110.5971v-52.2875h51.8471v-117.5h-51.8471v-22.4719zm-6.9029,34.8094c25.5901,0 46.2654,20.8202 46.2654,46.4125s-20.6753,46.2656-46.2654,46.2656-46.4125-20.6733-46.4125-46.2656 20.8187-46.4125 46.4125-46.4125zm-176.25,88.125c25.5906,0 46.2654,20.8203 46.2654,46.4125s-20.6748,46.2656-46.2654,46.2656-46.4125-20.6733-46.4125-46.2656 20.8187-46.4125 46.4125-46.4125zm352.5,0c25.5906,0 46.2654,20.8203 46.2654,46.4125s-20.6748,46.2656-46.2654,46.2656-46.4125-20.6733-46.4125-46.2656 20.8187-46.4125 46.4125-46.4125z"}}]})(props);
};
function GiAbstract064 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m339.9975,29.9471c-74.4602-24.1534-168.9843.9596-238.9555,70.9308s-95.278,164.6891-71.1246,239.1493c9.5782-66.1157 47.1447-139.5873 108.9157-201.3582s135.0488-99.1436 201.1645-108.7218zm142.0554,142.0554c-9.5782,66.1157-47.0477,139.2965-108.8187,201.0675s-135.1456,99.4343-201.2614,109.0126c74.4602,24.1534 169.1782-1.1536 239.1493-71.1247s95.0843-164.4953 70.9308-238.9554zm-92.1519-49.9035c-50.4068-50.4068-151.2436-31.3161-225.1957,42.6359s-93.0428,174.7889-42.636,225.1957 151.2437,31.3161 225.1957-42.6359 93.0427-174.7889 42.636-225.1957zm-74.0316,24.6126c.6904.5636 1.2938,1.2938 1.938,1.938l45.543,45.543c10.3068,10.3069 10.3068,26.9029 0,37.2096s-26.9028,10.3068-37.2096,0l-45.543-45.543c-10.3068-10.3069-10.3068-26.9028 0-37.2096 9.6627-9.6627 24.9181-10.3929 35.2717-1.938zm-75.6789,56.4927c.6904.5636 1.1969,1.197 1.8411,1.8411l64.923,64.9231c10.3069,10.3068 10.3069,26.9028 0,37.2095s-26.9027,10.307-37.2096,0l-64.923-64.923c-10.3068-10.3068-10.3068-26.9027 0-37.2096 9.6626-9.6626 25.0149-10.2959 35.3685-1.8411zm-56.3959,75.5821c.6904.5636 1.2938,1.2938 1.938,1.9379l45.543,45.543c10.3068,10.3068 10.3068,26.9028 0,37.2096s-26.9028,10.3068-37.2096,0l-45.543-45.543c-10.3068-10.3068-10.3068-26.9028 0-37.2096 9.6626-9.6626 24.918-10.3929 35.2716-1.9379z"}}]})(props);
};
function GiAbstract065 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m24.4229,30.17c-.4263-.008-.9254.0777-1.2546.1647s-.5117.1401-.7843.3293c-2.1715,1.5199-1.8509,6.3101 1.4116,13.5169s9.4935,16.806 18.8193,28.0227c9.3239,11.2165 21.7291,24.0649 37.7952,36.7593s35.7782,25.2849 58.4963,36.4297c14.41,7.0867 29.9994,13.4733 46.735,18.9566-27.8781,22.6611-45.5708,57.876-44.8531,96.5961 .5048,27.2397 9.9733,51.9331 25.5632,71.2108-14.381,1.8042-27.9851,4.3103-40.4615,7.4178-22.3884,5.5771-41.4209,12.6467-56.4578,19.7808s-26.0971,14.2264-33.0903,19.9457c-6.9817,5.7217-9.6284,10.0791-8.3121,12.363s6.5406,2.5324 15.3691,1.1539 21.1795-4.3317 36.384-7.4178 33.3964-6.3496 53.9485-8.7365 43.5183-3.658 67.906-2.9671c2.732.077 5.5439.1978 8.3121.3293-19.0437,7.9079-35.9569,18.2668-50.1848,29.1766-14.4567,11.0872-26.3355,22.6196-35.2864,33.2976s-15.0364,20.2715-18.6622,27.5283c-3.6143,7.256-4.7304,12.3365-3.2936,14.1762s5.2483.2924 11.135-3.2968 13.8615-9.2935 23.8378-16.1543 21.8709-14.8469 35.7566-22.4182c13.8836-7.5712 29.7827-14.816 47.0482-20.4401 15.9286-5.212 33.2098-8.7511 51.2828-10.3849 21.5107-1.9454 42.3188-.9508 61.3193,2.1429 16.4807,2.7086 31.4157,6.9116 44.8526,11.5388 5.3603,1.8461 10.5745,3.8468 15.3691,5.7694 4.9081,2.584 9.7389,5.1656 14.2711,7.7475 16.2021,9.2274 29.9819,18.1237 41.4025,25.8799s20.5983,14.2126 27.445,18.2972c5.1364,3.0632 8.9048,4.9153 11.4482,4.9452 .8477.008 1.4981-.1162 2.039-.494 2.172-1.5201 1.5352-6.3107-1.7248-13.5169s-9.1828-16.8062-18.5062-28.0228-21.885-24.0649-37.9517-36.7592c-16.0646-12.6944-35.6211-25.2851-58.3398-36.4297-14.41-7.0869-30.1565-13.4731-46.8916-18.9565 27.8761-22.6611 45.5698-57.8764 44.8526-96.5962-.5048-27.2401-9.9712-51.933-25.5626-71.2108 14.3594-1.8067 27.9725-4.307 40.461-7.4178 22.3879-5.5771 41.2649-12.8116 56.3013-19.9456s26.0976-14.2262 33.0908-19.9457c6.9822-5.7217 9.9426-10.0788 8.6253-12.363s-6.6967-2.5321-15.5257-1.1539-21.1795,4.3316-36.384,7.4178-33.2408,6.3498-53.792,8.7365-43.6752,3.823-68.0631,3.1319c-2.7315-.0769-5.3863-.197-8.155-.3301 19.0441-7.9081 35.9589-18.2665 50.1848-29.1766 14.4587-11.0871 26.1794-22.6196 35.1294-33.2977s15.1944-20.2713 18.8193-27.5282 4.5758-12.3364 3.1366-14.1763c-.3563-.4594-.7672-.7649-1.4117-.8241-1.9306-.1778-5.151,1.4287-9.5662,4.121-5.8877,3.5898-13.8615,9.2935-23.8378,16.1543s-22.0286,14.847-35.9132,22.4183-29.6271,14.8156-46.8917,20.4401c-15.9291,5.2119-33.3668,8.751-51.4393,10.3849-21.5127,1.9454-42.1602.9506-61.1627-2.143-16.4807-2.7087-31.5727-6.9119-45.0092-11.5388-5.3607-1.846-10.4169-3.8466-15.2126-5.7693-4.9076-2.5841-9.8944-5.1654-14.4281-7.7475-16.2006-9.2272-29.9803-18.1237-41.4024-25.8799s-20.4423-14.2128-27.288-18.2973c-5.1369-3.0633-8.9053-4.9152-11.4482-4.9451zm229.9084,149.1801c2.4625-.0616 5.02-.0462 7.5277.1647 40.1262,3.3314 69.9781,40.4085 66.8089,82.5848s-38.2874,73.718-78.4137,70.3867-70.1347-40.4084-66.9655-82.5848c2.9714-39.5403 34.1071-69.6778 71.0426-70.5515zm-162.7863,39.3967c-19.5821,0-35.4435,16.6717-35.4435,37.2539s15.8614,37.2538 35.4435,37.2538 35.5996-16.6717 35.5996-37.2538-16.0185-37.2539-35.5996-37.2539zm329.0233,0c-19.5816,0-35.4425,16.6717-35.4425,37.2539s15.8609,37.2538 35.4425,37.2538 35.4435-16.6717 35.4435-37.2538-15.8614-37.2539-35.4435-37.2539z"}}]})(props);
};
function GiAbstract066 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m239.308,21.0035c-2.0113.142-4.0988.3848-6.0962.5801l4.4996,30.6174c-2.9224.2558-5.8098.6378-8.709,1.0158-2.6987.3517-5.4768.712-8.1284,1.1608l-3.6288-30.6174c-9.1098,1.4644-18.1004,3.548-26.998,6.0945l.2904.2897c-5.7613,1.6747-11.5031,3.5286-17.1278,5.6591l12.0475,28.1505c-2.52.937-5.0382,2.0153-7.5479,3.0473-2.6752,1.1001-5.3313,2.122-7.9833,3.3375l-11.3218-28.2957c-5.4662,2.4809-10.8666,5.2451-16.1117,8.126v-.4353c-8.0927,4.489-15.8899,9.3937-23.3693,14.8008l19.0148,24.2326c-2.2273,1.5733-4.3819,3.1448-6.5317,4.7885-.1614.1247-.2738.3099-.436.4353-2.143,1.6479-4.3208,3.2242-6.3867,4.9335l-18.5793-24.8131c-1.5716,1.2923-3.1002,2.5767-4.6448,3.9179l.2904.4353c-4.1234,3.5888-8.1235,7.3955-12.0475,11.3183-3.9741,3.9729-7.8353,8.0117-11.4669,12.1889l-.436-.4353c-1.3218,1.5223-2.6453,3.238-3.919,4.7885l24.9658,18.4284c-3.4149,4.1273-6.7169,8.4786-9.8702,12.9144-.1398.1953-.2962.3841-.4353.5801l-24.095-18.8638c-5.3708,7.4352-10.4877,15.1754-14.9505,23.217h.4353c-2.8941,5.2657-5.6291,10.5906-8.1284,16.1068l28.4495,11.3182c-.2155.4706-.3675.9784-.5809,1.451-.9814,2.1835-1.9991,4.3314-2.903,6.5298-.9144,2.2237-1.7733,4.4427-2.6128,6.6749-.1074.2839-.1845.5859-.2904.8707l-28.1592-12.0439c-2.1103,5.6183-3.9897,11.2326-5.6608,16.9774l-.2904-.2897c-2.5473,8.8948-4.6322,18.0243-6.0963,27.1348l30.6267,3.6277c-.2003,1.1867-.4007,2.43-.5808,3.6276-.2645,1.706-.503,3.3754-.7258,5.0787-.1513,1.1562-.3027,2.3281-.4353,3.4825-.1715,1.5475-.2912,3.0914-.4353,4.6434h-.1456l-30.6268-4.4982c-.1953,2.0153-.2926,4.062-.4353,6.0944h.5808c-.3769,5.4525-.5809,10.9944-.5809,16.5421 0,5.6186.1939,11.3114.5808,16.8322h-.5808c.1441,2.0419.2378,4.0652.4353,6.0945l30.6268-4.4983c.253,2.6793.6644,5.2903 1.016,7.9808 .3704,2.834.6745,5.7214 1.1613,8.5613l-30.3364,3.7727c1.4613,9.0541 3.4189,18.0037 5.9511,26.8446l.2904-.2897c1.6781,5.7692 3.5263,11.6004 5.6608,17.2676l28.1593-12.0438c.9464,2.5482 1.8711,5.0539 2.903,7.5455 .6745,1.6379 1.46,3.3038 2.1773,4.9337 .4454,1.0084.8492,2.0489 1.3063,3.0472l-28.4495,11.3183c2.4792,5.4632 5.1015,10.8632 7.9833,16.1068h-.436c4.4902,8.0908 9.5446,16.0323 14.9505,23.5071l24.2401-19.0089c1.568,2.2064 3.135,4.227 4.79,6.3847 .1088.1412.1809.294.2904.4353 .0288.036.1146.1074.1456.1449 1.642,2.1161 3.2038,4.3191 4.9351,6.3846l-24.8208,18.4284c1.2877,1.5628 2.7277,2.9602 4.0643,4.4983l.436-.2904c3.5898,4.1222 7.3978,8.121 11.3218,12.0438 3.9741,3.9729 8.0141,7.833 12.1926,11.4634l-.4353.4353c1.5463,1.3418 3.0698,2.7678 4.6448,4.063l18.5793-24.8131c1.2708,1.0515 2.619,2.0183 3.919,3.0472 .826.6594 1.634,1.3863 2.4676,2.0315 .1384.1059.2969.1838.436.2904 2.1521,1.6575 4.3319,3.2261 6.5317,4.7885l-19.0148,24.2327c7.4355,5.3661 15.1802,10.3394 23.2242,14.8008v-.4353c5.2451,2.8809 10.7461,5.6016 16.2569,8.1259l11.3218-28.2957c.6702.3063 1.3582.57 2.0321.8706 1.7978.8014 3.5627,1.5727 5.3706,2.3217 .183.0764.3971.0721.5809.1449 2.5096,1.0321 5.0278,2.1103 7.5478,3.0473l-12.0475,28.0055c5.6174,2.1106 11.3812,4.1337 17.1278,5.8042l-.2904.2897c8.898,2.547 17.8883,4.4852 26.998,5.9494l3.6288-30.4723c2.6956.4562 5.4043.8033 8.1284,1.1608 .1499.0216.2847.1261.4353.1449 .0504.005.0966-.005.1456,0 1.3352.1686 2.7222.2912 4.0643.4353 1.3187.1492 2.6058.3113 3.919.4353l-4.4997,30.6174c2.028.1953 4.199.4367 6.2415.5801v-.7256c5.5226.387 11.0721.5801 16.6924.5801 5.5493,0 11.093-.2032 16.5471-.5801l.1456.5801c2.033-.1427 3.9335-.2429 5.9512-.4353l-4.3545-30.6173c3.4987-.307 7.004-.8286 10.4508-1.306 2.0858-.2883 4.176-.521 6.2415-.8706l3.6288,30.3271c9.0533-1.4616 18.0093-3.2727 26.8528-5.8042l-.2904-.2904c5.7466-1.6706 11.5907-3.6936 17.2729-5.8042l-12.0475-28.0055c5.2947-1.9494 10.4629-4.2089 15.5311-6.5298l11.4669,28.5859c5.5179-2.4986 10.8444-5.2327 16.1117-8.126v.4353c8.044-4.4615 15.7866-9.5768 23.2241-14.9459l-19.0148-24.2327c.5362-.3812 1.0625-.7736 1.5967-1.1608 1.8038-1.2909 3.6213-2.5815 5.3706-3.9179 2.1376-1.6572 4.2963-3.325 6.3866-5.0787l18.5793,24.8131c1.5725-1.2952 3.0985-2.7212 4.6449-4.0629l-.4353-.4353c4.1785-3.6305 8.2184-7.4904 12.1926-11.4634 3.9239-3.9228 7.7318-7.9217 11.3218-12.0438l.436.2897c1.3365-1.5381 2.774-2.9356 4.0643-4.4983l-24.9659-18.5736c3.5428-4.2817 7.0458-8.7006 10.3057-13.3498l24.3852,19.154c5.4089-7.477 10.315-15.2719 14.8054-23.362h-.436c2.9036-5.2832 5.6311-10.7443 8.1284-16.2519l-28.5947-11.3183c1.4797-3.2294 2.8765-6.5475 4.2094-9.8672 .7682-1.9061 1.4637-3.7402 2.1772-5.6592l28.3044,12.0438c2.1345-5.6673 3.9827-11.4984 5.6609-17.2676l.2904.2897c2.5323-8.8409 4.4898-17.7906 5.9512-26.8446l-30.6267-3.7728c.098-.5773.1975-1.1616.2904-1.7413 .3791-2.2721.7135-4.5548 1.0161-6.82 .361-2.6993.7625-5.3014 1.0161-7.9808l30.6267,4.3532c.1938-1.9985.4389-3.9387.5808-5.9493h-.5808c.387-5.5208.5808-11.2137.5808-16.8323 0-5.5477-.2032-11.0896-.5808-16.5421h.5808c-.1456-2.07-.382-4.1873-.5808-6.2395l-30.6267,4.4982c-.2573-2.7273-.6479-5.3781-1.0161-8.1259-.0216-.1434.0216-.2926 0-.4353-.3675-2.6982-.8306-5.4199-1.3063-8.126l30.7719-3.6277c-1.464-9.1105-3.549-18.2399-6.0963-27.1348l-.2904.2897c-1.6837-5.7884-3.5311-11.4627-5.6608-17.1226l-28.3044,12.1889c-1.0034-2.7235-1.9428-5.4641-3.0482-8.1259-.3805-.9134-.7675-1.847-1.1611-2.757-.6709-1.5561-1.3288-3.1073-2.0321-4.6434l28.3043-11.3182c-2.5196-5.5379-5.2342-10.9861-8.1284-16.2518h.436c-4.4631-8.0408-9.4375-15.7836-14.8054-23.217l-24.2401,19.0089c-1.592-2.2402-3.0917-4.472-4.79-6.6749-1.7674-2.3256-3.6769-4.5976-5.5157-6.82l24.9659-18.4285c-1.2764-1.5504-2.5974-3.2662-3.9191-4.7885l-.436.4353c-3.6315-4.1772-7.4927-8.216-11.4668-12.1889-3.924-3.9228-7.9241-7.7295-12.0475-11.3183l.2904-.4353c-1.5671-1.3609-3.0524-2.6075-4.6448-3.9179l-18.5793,24.8132c-2.0367-1.6852-4.1179-3.3081-6.2414-4.9336-.1895-.147-.3899-.2897-.5809-.4353-2.1343-1.6222-4.3179-3.235-6.5318-4.7886l19.1599-24.2326c-7.4774-5.4043-15.4217-10.4569-23.5144-14.9459v.4353c-5.2585-2.8884-10.6274-5.5113-16.1117-7.9808l-11.3217,28.4408c-2.6523-1.227-5.302-2.3728-7.9833-3.4825-2.5088-1.0385-4.9817-2.0955-7.5478-3.0473l12.0475-28.1505c-5.6988-2.1348-11.5018-3.9815-17.2729-5.6592l.2904-.2897c-8.8433-2.5308-17.7994-4.4876-26.8528-5.9493l-3.6288,30.4722c-2.6517-.4482-5.4298-.8092-8.1284-1.1608-.1982-.0288-.382-.1196-.5809-.1449-2.658-.3387-5.3065-.6342-7.9833-.8706l4.4996-30.6173c-2.0253-.1975-4.0555-.2912-6.0962-.4353l-.1456.4353c-5.4542-.3769-10.9979-.436-16.5472-.4353-5.6202,0-11.1698.0504-16.6924.4353v-.5809zm16.6924,48.7556c2.9802-.0004 5.8768.004 8.8542.1449 .2371.007.4886-.0144.7258,0 5.7152.294 11.454.9238 17.1277,1.7413 1.9885.2861 3.9711.6652 5.9512,1.0158 1.6001.2839 3.2044.5463 4.79.8706 2.2963.4692 4.5413,1.04 6.822,1.5963 2.9111.7098 5.8284,1.4696 8.7091,2.3217s5.719,1.7628 8.5639,2.757 5.7605,2.0561 8.5639,3.1923 5.5171,2.3494 8.2736,3.6277 5.5695,2.6425 8.2736,4.0629 5.3372,2.9358 7.9833,4.4983c1.7066,1.0077 3.3997,1.9804 5.0803,3.0473 1.466.9318 2.9166,1.9307 4.3545,2.902 2.0282,1.3696 4.1114,2.7499 6.0964,4.2081 .3942.2897.7697.578 1.1612.8706 2.1166,1.5804 4.1784,3.2516 6.2414,4.9336l.7258.5801c.1045.0865.1859.2032.2904.2897 3.4074,2.8184 6.6731,5.6565 9.8703,8.7063 1.0951,1.0435 2.1177,2.1171 3.1933,3.1923 2.0813,2.0837 4.2602,4.2048 6.2415,6.3847 .8121.8918 1.5306,1.8534 2.3224,2.757 1.1724,1.341 2.3494,2.6886 3.4836,4.063 1.4332,1.7367 2.8387,3.435 4.2093,5.2238 .4446.5801.8685,1.1557 1.3063,1.7413 .3517.4692.6695.9794 1.0161,1.451 1.4158,1.9313 2.8671,3.8174 4.2093,5.8043 .3928.5794.7761,1.158 1.1612,1.7412 1.2666,1.9206 2.4322,3.9799 3.6288,5.9494 1.5558,2.5607 3.0658,5.051 4.4997,7.6906s2.7562,5.4112 4.0643,8.126 2.5956,5.485 3.7739,8.271c.3301.7829.6969,1.5354 1.0161,2.3217 .822,2.0206 1.57,4.0392 2.3224,6.0945 .2962.8109.5859,1.6527.8709,2.4668 .7142,2.041 1.3874,4.0216 2.0321,6.0944 .7718,2.482 1.5076,5.0202 2.1772,7.5455 .1175.4425.3214.8623.4353,1.306 .1989.7708.392,1.5489.5808,2.3217 .5427,2.2269.9896,4.5625 1.4515,6.8199 .6205,3.032 1.1255,6.058 1.5967,9.1417s.8432,6.1553 1.1611,9.2868c.036.3899.1081.7711.1456,1.1608 .5607,5.8869.8709,11.8142.8709,17.8481 0,5.9914-.3185,12.0014-.8709,17.848-.0432.4288-.1016.8778-.1456,1.3059-.005.0505.005.098 0,.1449-.3156,3.0827-.6976,6.1054-1.1611,9.1417-.4713,3.0837-.9764,6.1096-1.5967,9.1416-.4692,2.2936-.8949,4.542-1.4515,6.82-.178.7298-.3942,1.4502-.5808,2.1766-.5607,2.1807-1.2461,4.3666-1.887,6.5298-.2292.7729-.4864,1.553-.7257,2.3217-.6508,2.0945-1.306,4.1645-2.0321,6.2396-.1211.3445-.3128.6724-.436,1.0158-.8886,2.4912-1.7599,4.9412-2.7578,7.4003-.3358.8268-.6688,1.6459-1.0161,2.4668-.2666.632-.5967,1.2565-.8709,1.8863-.9322,2.1371-1.894,4.2903-2.903,6.3847-.943,1.9583-1.8876,3.873-2.903,5.8042-.3856.7328-.7663,1.4496-1.1612,2.1766-1.0718,1.9748-2.19,4.0061-3.3385,5.9493-.374.632-.78,1.259-1.1612,1.8864-1.5558,2.5607-3.1161,5.0678-4.79,7.5456-1.3662,2.0209-2.7551,3.9714-4.2093,5.9493-.3265.4454-.6854.8638-1.0161,1.3059-1.5473,2.0664-3.1456,4.2244-4.79,6.2396-.2371.2912-.4864.5809-.7257.8706-1.7645,2.1357-3.4963,4.1659-5.3706,6.2395-.1614.1787-.2738.4021-.4353.5801-1.9829,2.1773-4.1368,4.2807-6.2415,6.3846-2.1069,2.107-4.3263,4.2351-6.5318,6.2396-.1506.1362-.2847.2991-.4353.4353-2.0586,1.8586-4.1011,3.6025-6.2414,5.3689l-.8709.7254c-2.0207,1.6474-4.1516,3.2257-6.2415,4.7886-.4346.3257-.8694.6947-1.3064,1.0157-1.962,1.4403-3.9316,2.8438-5.9512,4.208-2.4776,1.6738-4.9871,3.2327-7.5478,4.7886-1.8489,1.1223-3.7823,2.1401-5.6609,3.1923-.7353.4122-1.4358.9032-2.1773,1.306-.5635.3056-1.1761.5715-1.7418.8706-.3063.1629-.5636.4194-.8709.5801-2.553,1.3324-5.0936,2.5667-7.693,3.7728-1.9678.9151-3.9469,1.7643-5.9512,2.6119-.4756.2011-.9744.3834-1.4516.5801-1.0658.4403-2.1175.8851-3.1933,1.306-1.7367.6789-3.4731,1.2617-5.2254,1.8863-1.7328.6183-3.4694,1.3182-5.2255,1.8864-1.4467.467-2.899.875-4.3545,1.3059-1.1528.3423-2.3215.6954-3.4836,1.0158-1.2047.3315-2.4189.7091-3.6288,1.0157-2.7868.707-5.5834,1.3063-8.4187,1.8864-3.032.6205-6.0609,1.1251-9.1445,1.5961-1.3022.1989-2.6081.4086-3.9191.5801-3.5038.4612-7.0755.7532-10.596,1.0158-4.5652.3344-9.2836.5801-13.9345.5801-4.7493,0-9.4196-.2313-14.0796-.5801-1.2465-.0937-2.5292-.1715-3.7739-.2904-2.0934-.2003-4.1546-.4547-6.2414-.7255-.8701-.1124-1.7466-.1658-2.6128-.2897-.5347-.0771-1.0628-.209-1.5966-.2904-3.0837-.4713-6.1126-.9758-9.1445-1.5962-2.292-.4692-4.5617-.8987-6.8221-1.4511-.7278-.1773-1.4513-.3942-2.1773-.5801-2.9763-.7657-5.9374-1.7048-8.8542-2.6119-2.0855-.6486-4.1881-1.3123-6.2414-2.0315-.3856-.1355-.7759-.2976-1.1612-.4353-1.1281-.4036-2.2205-.8814-3.3385-1.306-2.1254-.8048-4.2859-1.5816-6.3867-2.4668-2.0043-.8476-3.9835-1.6967-5.9512-2.6119-.7739-.3589-1.5525-.6457-2.3224-1.0158-.7808-.3762-1.5476-.7741-2.3224-1.1608-1.9188-.9578-3.7805-2.0258-5.6609-3.0472-2.6397-1.4338-5.2775-2.9425-7.8381-4.4983s-5.0701-3.1147-7.5479-4.7885-4.8667-3.4358-7.2575-5.2238-4.8123-3.6159-7.1124-5.514c-2.1141-1.7447-4.2072-3.5343-6.2415-5.3689-.1766-.1593-.405-.2753-.5809-.4353-2.2055-2.0046-4.2797-4.1326-6.3866-6.2396-2.127-2.1264-4.2389-4.1833-6.2414-6.3846-2.0301-2.2336-3.8851-4.6344-5.806-6.9651-1.8927-2.2943-3.7498-4.6037-5.5158-6.9651-1.7879-2.3909-3.5516-4.7776-5.2254-7.2553s-3.2342-4.9848-4.79-7.5455c-.3812-.6277-.7872-1.2541-1.1612-1.8863-1.1638-1.9697-2.2534-3.9471-3.3384-5.9494-1.4339-2.6396-2.7562-5.266-4.0642-7.9808s-2.5958-5.485-3.774-8.271c-.8855-2.1001-1.6625-4.2599-2.4676-6.3847-.4252-1.118-.9028-2.2093-1.3063-3.3375-.6342-1.7757-1.1633-3.5784-1.7418-5.3689-.3142-.9704-.7171-1.9247-1.016-2.9021-.2948-.967-.5924-1.9314-.8709-2.9021-.6889-2.4004-1.2962-4.8342-1.887-7.2553-.5665-2.3168-1.1178-4.6152-1.5966-6.9651-.609-2.9861-1.1329-5.9603-1.5967-8.9965-.4713-3.0837-.8433-6.1553-1.1611-9.2868-.036-.3812-.1088-.7792-.1456-1.1608-.5571-5.8451-.8663-11.8579-.8709-17.848 0-.0504-7e-05-.0973 0-.1449s-7e-05-.0966 0-.1449c.005-5.9349.3236-11.7651.8709-17.5579 .036-.3899.1052-.7712.1456-1.1608 .0216-.1924-.0216-.3884 0-.5801 .3128-2.9683.7063-5.898 1.1611-8.8515 .3654-2.3938.7055-4.7472 1.1612-7.1102 .093-.4778.1939-.9735.2904-1.451 .4958-2.4655 1.1494-4.9714 1.7418-7.4005 .7113-2.9104 1.4692-5.8262 2.3225-8.7063 .2443-.8231.4706-1.6464.7257-2.4668 .4281-1.3768.8473-2.7 1.3063-4.0629 .3286-.9747.6709-1.9319 1.0161-2.9022 .6464-1.8176 1.3314-3.5778 2.0321-5.3689 .4353-1.113.8489-2.2312 1.3063-3.3374 .4468-1.0803.9848-2.1223 1.4515-3.1924 .9302-2.1346 1.8891-4.2789 2.903-6.3846 .9343-1.9392 1.9043-3.9032 2.903-5.8043 1.4218-2.7037 2.9358-5.335 4.4997-7.9808 .4007-.6782.7527-1.3591 1.1612-2.0315 2.7956-4.5967 5.7698-9.1023 8.9993-13.4948 .3474-.4728.6637-.9809 1.0161-1.4511 1.537-2.0553 3.1713-3.9608 4.79-5.9494 3.9804-4.8782 8.2244-9.673 12.7733-14.2204s9.3451-8.7901 14.2248-12.7693c2.4398-1.9896 4.8883-3.9567 7.4027-5.8042 7.543-5.5425 15.4007-10.3918 23.5144-14.6557 2.7046-1.4213 5.3715-2.7837 8.1285-4.0629 5.5138-2.5584 11.1471-4.8298 16.8374-6.8199 2.8452-.9951 5.6829-1.9041 8.5639-2.7571s5.7977-1.6107 8.709-2.3217c3.5307-.8621 7.1747-1.6685 10.7411-2.3217 2.315-.4238 4.6406-.8249 6.9672-1.1608 5.6702-.8187 11.2711-1.4456 16.9826-1.7413 .24-.0144.485.007.7258,0 2.9774-.1427 6.0191-.1449 8.9993-.1449zm-16.8374,12.6242c-13.604,1.3209-27.1296,4.1903-40.2067,8.7064-1.6086.5549-3.2039,1.1412-4.79,1.7413-.1002.036-.1903.1066-.2904.1449-.0432.0144-.1031-.0144-.1456,0-2.44.9304-4.7279,2.0119-7.1124,3.0472-1.6118.6998-3.2043,1.4299-4.79,2.1766-.7724.3632-1.5545.6407-2.3224,1.0157v.1449c-12.4139,6.0733-23.9901,13.4699-34.5458,22.2012l18.5792,18.7187c-1.4456,1.1549-2.6574,2.4069-4.0642,3.6276-.0504.0505-.0937.1002-.1456.1449-.3409.2955-.6767.5715-1.0161.8706-.2847.253-.5873.4706-.8709.7256-.6457.578-1.2444,1.2864-1.887,1.8864-.663.5974-1.3917,1.1268-2.032,1.7412-.6349.6082-1.2637,1.2669-1.887,1.8864l-.1456.1449-.1456.1449c-1.842,1.851-3.477,3.716-5.2254,5.6592-.1369.1549-.2991.2803-.4353.4353-1.4364,1.6056-2.8622,3.2817-4.2094,4.9336-.4353.5261-.8835,1.0653-1.3063,1.5962l-18.8696-19.0088c-8.6384,10.4938-16.0274,22.1733-22.0628,34.5352-1.1676,2.3916-2.2789,4.8052-3.3386,7.2553-1.7599,4.0697-3.4858,8.1163-4.9351,12.334l.1456.1449c-4.4761,12.993-7.4016,26.3492-8.7091,39.904l26.5626.1449c-.0944.8472-.0865,1.7449-.1456,2.612-.1038,1.0157-.361,2.0273-.4353,3.0472-.1881,2.5849-.3827,5.2456-.436,7.8357-.0216.8785.003,1.7333 0,2.612-.007,2.7518.1449,5.5221.2904,8.271 .0144.2422.1319.4821.1456.7256 .0577,1.1066.209,2.2245.2904,3.3375 .1074,1.6446.1023,3.2719.2904,4.9336h-26.5626c1.2882,13.5535 4.2396,26.9276 8.7091,39.9042 .854,2.4794 1.789,4.9523 2.7578,7.4003 .9673,2.4442 1.9666,4.8458 3.0482,7.2553 .764,1.7021 1.5015,3.3952 2.3224,5.0786 6.0309,12.3763 13.5295,23.8625 22.208,34.3901l18.7245-18.5736c1.1551,1.4453 2.5529,2.8017 3.7739,4.2081 .0432.0505.1016.0951.1456.1449 .2955.3409.5715.6767.8709,1.0158 2.0878,2.3532 4.1291,4.7083 6.3866,6.965 .2205.2205.5038.3625.7257.5801 .1694.1737.2616.4101.436.5801 .3812.3747.921.645 1.3063,1.0158 1.2501,1.1722 2.4946,2.3581 3.774,3.4825 .6277.5744 1.2457,1.187 1.8869,1.7413l1.0161.8706c1.1056.9638 2.1728,1.9734 3.3385,2.9021l-18.7244,18.7187c10.4771,8.6561 21.944,16.0461 34.2556,22.0561v.2904c18.9622,9.2469 39.2245,14.7326 59.802,16.6872v-26.5544c1.9692.222 3.9629.2861 5.9512.4353 .8275.0649 1.6348.2443 2.4676.2904 2.7893.1794 5.5839.2904 8.4187.2904 2.766,0 5.6899.005 8.4187-.1449 .5866-.036 1.1565-.1074 1.7418-.1449 .3156-.0216.5556-.1225.8709-.1449 1.8582-.1319 3.8216-.2306 5.6609-.4353v26.4093c13.5057-1.3019 26.8269-4.2641 39.7712-8.7064l.1456.1449c1.8125-.6241 3.587-1.3497 5.3706-2.0315 .6731-.2558 1.3617-.4605 2.0321-.7255 1.7537-.6954 3.5011-1.4259 5.2254-2.1766 .6767-.2926 1.3585-.5686 2.0321-.8706 1.7118-.7715 3.399-1.6418 5.0803-2.4668 12.3529-6.0616 23.8823-13.511 34.4006-22.2012l-18.7244-18.7187c2.1948-1.7486 4.2715-3.6227 6.3866-5.514 .9462-.8316 1.8265-1.7567 2.7579-2.6119 1.135-1.0421 2.3826-1.9466 3.4836-3.0473 .0735-.0735.0721-.2169.1456-.2904 .5693-.5722 1.1773-1.1602 1.7418-1.7412l.1456-.1449c1.2271-1.2776 2.4585-2.5741 3.6288-3.9179l1.1612-1.3059c.1629-.1859.2832-.3884.4353-.5801 .0504-.0504.1009-.0937.1456-.1449 1.221-1.4064 2.6186-2.7628 3.7739-4.2081l18.5793,18.5736c8.6407-10.4818 16.0477-21.935 22.0629-34.245 .8374-1.7105 1.6868-3.4926 2.4676-5.2238 .2998-.6688.5794-1.3582.8709-2.0315 .7544-1.7287 1.4797-3.4768 2.1773-5.2238 .9883-2.475 1.8849-4.8921 2.7578-7.4005 4.509-12.9551 7.5425-26.2575 8.8542-39.759h-26.7077c.3156-2.7896.5679-5.5815.7258-8.4162 .0144-.24-.0144-.485 0-.7255 .1355-2.5563.2767-5.1339.2904-7.6906 0-.1967.0006-.3841 0-.5801-.002-.874.0216-1.7382 0-2.612-.005-.3373-.1333-.6774-.1456-1.0157-.036-1.3579.0721-2.7049 0-4.0629-.0216-.3762-.1218-.7856-.1456-1.1608-.036-.5174-.1088-1.0805-.1456-1.5962-.1319-1.8577-.2306-3.6754-.4353-5.514h26.4174c-1.7741-18.7832-6.6566-37.3409-14.515-54.8499-.7542-1.6979-1.5171-3.4093-2.3224-5.0788-5.9915-12.4197-13.3962-24.0071-22.0629-34.5352l-18.7245,19.0089c-.6126-.7684-1.2608-1.5627-1.8869-2.3217-1.3135-1.5836-2.6868-3.1165-4.0642-4.6434-1.7147-1.9395-3.3693-3.8035-5.2255-5.6592-.0216-.0216-.1203.0216-.1456,0-1.9596-1.9567-3.9187-3.9738-5.9512-5.8042-.2803-.2508-.5888-.4771-.8709-.7256-.3877-.3438-.7706-.6767-1.1611-1.0157-.7571-.6572-1.5579-1.2184-2.3224-1.8863-.6558-.5729-1.2193-1.2081-1.887-1.7413l18.5793-18.7187c-10.5558-8.7318-22.1274-16.1416-34.5458-22.2012v-.1449c-.7978-.3884-1.6654-.6399-2.4676-1.0157-3.8115-1.7858-7.6528-3.5647-11.612-5.0786-.1405-.0504-.2948-.0923-.436-.1449-1.7292-.6544-3.4806-1.2893-5.2254-1.8863-13.0484-4.4649-26.4501-7.2763-40.0616-8.5613v26.4093c-.823-.0923-1.6484-.111-2.4676-.1449h-.1456c-.9516-.0886-1.9453-.0757-2.903-.1449-.5196-.036-1.0758-.1131-1.5967-.1449-.3848-.0216-.777-.124-1.1611-.1449-.431-.0216-.8715.0216-1.3063,0-2.3476-.124-4.7683-.2904-7.1124-.2897-2.5352-.0004-5.0152.1614-7.5478.2897h-.1456c-2.054.1066-4.1925.2436-6.2415.4353-.9339.0886-1.829.1802-2.7578.2904v-26.6995zm1.3063,56.4462c.8454.5347 1.7045,1.0853 2.4676,1.7413 3.0375,2.611 5.4191,6.1512 6.5317,10.3025 1.8907,7.0538-.1809,14.2348-4.7899,19.2991-5.7913-3.6829-9.58-10.07-9.58-17.4127 0-5.3652 2.0027-10.2512 5.3706-13.9302zm30.9171.1449c3.2796,3.6672 5.2254,8.4688 5.2254,13.7851 0,7.278-3.7717,13.5691-9.4348,17.2676-4.5351-5.0289-6.5275-12.1298-4.6448-19.154 1.3862-5.1716 4.6741-9.2069 8.8542-11.8986zm-60.5278,7.8357c4.6771,1.5209 8.8046,4.6769 11.4669,9.2868 3.6419,6.306 3.5122,13.8263.436,19.8795-6.4084-2.1413-11.7626-7.3457-13.6442-14.3655-1.3938-5.2004-.5463-10.4047 1.7418-14.8008zm90.2836,0c2.2815,4.4073 2.9875,9.6118 1.5967,14.8008-1.8965,7.0754-7.2798,12.2851-13.7893,14.3655-3.0769-6.0531-3.2065-13.5735.436-19.8795 2.6869-4.6524 6.9852-7.7832 11.7572-9.2868zm-117.1365,15.5263c4.9922.2133 9.9881,2.1494 13.7893,5.9494 5.1486,5.147 6.7935,12.3589 5.3705,19.0088-6.809-.312-13.3233-3.9665-16.9826-10.3025-2.6804-4.6411-3.2334-9.7937-2.1773-14.6558zm143.699,0c1.0561,4.8621.503,10.0146-2.1773,14.6558-3.6337,6.2918-10.0804,9.9465-16.8374,10.3025-1.4202-6.6498.3668-13.8619 5.5157-19.0088 3.7525-3.7514 8.5726-5.6919 13.499-5.9494zm-162.7137,21.3306c3.9946-.3005 8.3243.4627 12.0475,2.612 6.2937,3.6325 9.8051,10.1765 10.1605,16.9774-6.6213,1.3918-13.7209-.3668-18.8696-5.5141-3.8292-3.828-5.8837-8.781-6.0963-13.785 .9071-.1939 1.8277-.2198 2.7579-.2897zm178.8254,0c1.0132-.0649 1.9043-.075 2.903,0 .9423.0721 1.9843.2371 2.903.4353-.2493,4.9508-2.1616,9.8516-5.9512,13.64-5.1842,5.1826-12.5004,6.9584-19.1598,5.514 .3553-6.8008 3.8669-13.3449 10.1605-16.9774 2.7923-1.6117 6.1051-2.4135 9.1445-2.6119zm-87.9612,9.1417c2.0205,0 4.0862.0966 6.0963.2897 .1449.0144.2912-.0144.436,0 1.3232.1362 2.6059.3603 3.9191.5801 .7785.129 1.5537.2782 2.3224.4353 .5808.1203 1.164.2984 1.7418.4353 1.4568.3416 2.9381.7209 4.3545,1.1608 1.6505.5182 3.3237,1.0839 4.9351,1.7413 1.8941.7727 3.6887,1.6467 5.5157,2.6118 .2854.1492.5881.2818.8709.4353 1.5294.8387 3.0287,1.6368 4.4997,2.6119 .2378.1557.4901.2767.7257.4353 3.2374,2.2083 6.2672,4.8142 9.1445,7.6906 2.3118,2.311 4.4954,4.8425 6.3867,7.4004 .9457,1.2789 1.777,2.5876 2.6127,3.9178s1.5999,2.6884 2.3224,4.063c1.9265,3.6654 3.4889,7.5583 4.6448,11.4633 1.102,3.7227 1.9173,7.4855 2.3224,11.3183 .0216.1874-.0216.3928 0,.5801 .1924,2.0124.2904,3.9296.2904,5.9494 0,1.5149-.036,3.1352-.1456,4.6434-.003.0505.004.0966 0,.1449-.3452,4.4758-1.1809,8.858-2.4676,13.2047-.578,1.9524-1.2778,3.92-2.0321,5.8042s-1.6495,3.6813-2.6127,5.514c-.1506.2854-.2818.5881-.4353.8706-.8512,1.5516-1.7817,3.02-2.7578,4.4983-1.1559,1.7503-2.2803,3.4257-3.6288,5.0787-.1103.1362-.1787.2998-.2904.4353-1.2668,1.5233-2.7893,2.9335-4.2094,4.3532-1.0785,1.0781-2.0602,2.2079-3.1933,3.1923-.2839.2465-.5837.485-.8709.7256-1.433,1.2016-2.9915,2.2827-4.4997,3.3375s-3.071,1.9944-4.6448,2.902c-.3978.227-.7579.5066-1.1612.7256-1.1909.6529-2.407,1.3165-3.6288,1.8864-.6183.2897-1.2584.6018-1.8869.8706-1.0078.4295-2.0236.7864-3.0482,1.1608-.9026.3308-1.8286.5816-2.7578.8706-.0432.0144-.1009-.0144-.1456,0-1.6621.5124-3.3493,1.0744-5.0803,1.4511-.2883.0649-.5845.0865-.8709.1449-.1939.0432-.3863.1067-.5809.1449-.8738.1708-1.7449.3048-2.6127.4353-1.1644.178-2.3116.3236-3.4836.4353-1.9651.1881-3.9911.2854-5.9512.2897-2.0552,0-4.0924-.1009-6.0964-.2897-1.6775-.16-3.4129-.4274-5.0802-.7256-1.8125-.3207-3.6156-.6904-5.3705-1.1608-2.9484-.7954-5.8757-1.8175-8.7091-3.0473-1.4167-.6147-2.8315-1.3081-4.2093-2.0315s-2.7318-1.4901-4.0643-2.3217c-.0915-.0576-.1989-.0879-.2904-.1449-.9382-.5931-1.8538-1.2452-2.7578-1.8864-.8912-.6313-1.7483-1.3487-2.6128-2.0315-.3279-.2594-.694-.4598-1.016-.7256-.1859-.1535-.3964-.2803-.5808-.4353-.4692-.3942-.8466-.8959-1.3063-1.306-.8978-.8007-1.7518-1.6061-2.6127-2.4668-1.418-1.4175-2.8086-2.8422-4.0643-4.3532-.1117-.1355-.1794-.2984-.2904-.4353-1.1699-1.4309-2.313-2.8498-3.3385-4.3532-.1578-.2342-.2803-.4893-.4353-.7255-.6868-1.0365-1.2676-2.1262-1.887-3.1923-.7611-1.3233-1.5109-2.6809-2.1773-4.063s-1.3201-2.7718-1.8869-4.2081c-.5837-1.4784-1.1236-2.9677-1.5967-4.4982-.4583-1.4737-.8136-3.0003-1.1612-4.4983-.3538-1.5298-.6306-3.0739-.8708-4.6434s-.4576-3.1843-.5809-4.7885-.1456-3.1543-.1456-4.7885c0-6.5367.9276-12.7956 2.7578-18.7187 1.2008-3.8861 2.7515-7.6498 4.6448-11.1732 .0577-.1153.2277-.1751.2904-.2897 .9453-1.7304 1.9302-3.4252 3.0482-5.0787 .1585-.2349.2738-.4929.436-.7256 2.1448-3.0901 4.6002-5.9047 7.2576-8.5613 1.4286-1.4281 2.795-2.7759 4.3545-4.0629 .1535-.1268.2803-.3099.436-.4353 2.5963-2.1012 5.5003-3.9818 8.4187-5.6591 1.3602-.7817 2.7876-1.4949 4.2094-2.1766 .4317-.2076.8695-.3834 1.3063-.5801 1.397-.6313 2.7606-1.2104 4.2094-1.7413 1.1882-.436 2.4087-.9407 3.6288-1.3059 .3373-.0994.6774-.196 1.0161-.2904 .7084-.1989 1.4595-.2602 2.1772-.4353 1.2499-.3012 2.5115-.6464 3.774-.8707 1.6765-.3005 3.3621-.56 5.0802-.7255 2.0141-.1939 3.9307-.2904 5.9512-.2904zm-98.4121,15.6715c1.3753.0807 2.8251.3546 4.2093.7255 3.1145.8342 5.9547,2.3742 8.2736,4.3532 .7728.6594 1.5243,1.2724 2.1772,2.0316 1.7973,2.089 3.0769,4.4952 3.9191,7.1101-6.0823,3.1176-13.5197,3.2389-19.8856-.4353-4.6132-2.6626-7.7777-6.8002-9.2896-11.4634 3.2349-1.6819 6.8192-2.5431 10.596-2.3217zm197.9854,0c3.3849-.0216 6.6506.82 9.58,2.3217-1.512,4.6633-4.6765,8.8007-9.2896,11.4634-6.3079,3.6407-13.79,3.6137-19.8857.5801 2.0806-6.5087 7.2915-11.889 14.3699-13.7851 1.7302-.4634 3.5105-.5686 5.2254-.5801zm-99.7184,2.6119c-1.8107.0144-3.6135.2119-5.3706.4353-.7755.0987-1.5592.1521-2.3224.2904-1.258.2212-2.5341.5419-3.7739.8706-.3791.1002-.7844.1794-1.1612.2897-.8641.2602-1.7712.5614-2.6127.8706-.147.0504-.2897.0908-.4353.1449-1.0551.4007-2.0329.8306-3.0482,1.306-.997.4605-1.9361.9132-2.903,1.4511-.9867.5499-1.965,1.1228-2.903,1.7413-.0915.0576-.2011.0843-.2904.1449-.7246.485-1.3393,1.0718-2.0321,1.5961-.3848.3005-.7698.5513-1.1612.8706-.1074.0872-.1845.2025-.2904.2904-1.0823.8854-2.1952,1.7591-3.1933,2.757-.0216.0216.0216.1196 0,.1449-.9304.9345-1.9268,1.9067-2.7579,2.902-.0649.0793-.0793.2104-.1456.2904-1.8632,2.2637-3.4358,4.5996-4.79,7.1102-.6861,1.2718-1.3316,2.5992-1.887,3.9179-.2984.7084-.6104,1.457-.8709,2.1766-.2263.6262-.382,1.2472-.5808,1.8864-.4562,1.4542-.8562,2.8712-1.1612,4.3532-.2292,1.1112-.4367,2.2174-.5808,3.3375-.0432.3474-.1095.6659-.1456,1.0158-.0144.142.0144.2926 0,.4353-.1254,1.3681-.1456,2.8049-.1456,4.208 0,3.4105.3913,6.8247 1.1613,10.1575 .4194,1.8174.9465,3.6061 1.5966,5.3689 .609,1.6519 1.3651,3.3485 2.1772,4.9337 .0721.1326.0757.3034.1456.4353 .7738,1.4732 1.6614,2.8096 2.6128,4.208 1.561,2.2949 3.3293,4.4892 5.3705,6.5298l.1456.1449c1.0465,1.0404 2.1943,1.9703 3.3385,2.9021 .9272.7551 1.9162,1.4974 2.903,2.1766 .5412.374 1.043.8134 1.5966,1.1608 .036.0216.1117-.0216.1456,0 .4209.2623.879.4785 1.3064.7255 1.1443.6601 2.2775,1.3284 3.4836,1.8864 1.389.6428 2.7464,1.2415 4.2093,1.7413 .8116.2825 1.644.4922 2.4676.7255 1.1437.3192 2.3039.6421 3.4835.8706 .1405.0288.294-.0288.4353,0 1.2955.2385 2.5857.4547 3.9191.5801 1.6053.1535 3.1813.3099 4.79.2904 1.3961-.0144 2.7016-.1521 4.0642-.2904 1.5047-.1564 3.015-.4158 4.4997-.7255 .8244-.1722 1.6523-.361 2.4676-.5801 1.0878-.2897 2.1397-.6486 3.1933-1.0157 1.4188-.4944 2.8599-1.1123 4.2094-1.7413 .1376-.0649.2984-.0793.436-.1449 .6983-.3366 1.348-.6407 2.0321-1.0158 .7622-.4137 1.4425-.8502 2.1773-1.3059 1.2488-.7747 2.4658-1.5767 3.6288-2.4668 .1895-.1456.3928-.2875.5808-.4353 .24-.191.4886-.3834.7257-.5801 1.0791-.8901 2.0574-1.9164 3.0482-2.9021 1.0414-1.036 2.1123-2.0585 3.0482-3.1923 .0216-.0288-.0216-.1153 0-.1449 .9797-1.1933 1.9039-2.3359 2.7578-3.6277 1.6129-2.4398 2.9476-5.0925 4.0643-7.8357 1.0758-2.643 1.9096-5.4036 2.4675-8.2711 .5427-2.7902.8709-5.6109.8709-8.5613s-.3315-5.7827-.8709-8.5613c-.5564-2.8642-1.3925-5.6352-2.4675-8.271-.565-1.3858-1.1901-2.7511-1.887-4.063-2.023-3.8451-4.6193-7.4911-7.8381-10.7378l-.1456-.1449c-1.0951-1.0948-2.1661-2.0907-3.3385-3.0473-.2724-.2205-.5931-.3661-.8709-.5801-.1614-.1261-.2724-.312-.436-.4353-.6753-.5066-1.4727-.9816-2.1773-1.4511-.2018-.1348-.3769-.3041-.5809-.4353-.9096-.5859-1.8047-1.0754-2.7578-1.5962-.8542-.467-1.7363-.8997-2.6128-1.3059-.0966-.0432-.1931-.1009-.2904-.1449-.565-.2573-1.1644-.4915-1.7418-.7256-1.3133-.5319-2.6929-1.0449-4.0643-1.4511-1.2047-.3574-2.3842-.6169-3.6288-.8706-.1975-.0432-.3848-.1088-.5809-.1449-1.2652-.2443-2.4945-.4461-3.7739-.5801-.1405-.0144-.2926.0144-.4353,0-1.4252-.1362-2.9223-.2904-4.3545-.2904h-.1456zm-103.0569,23.9425c7.3285,0 13.7319,3.952 17.4181,9.7222-5.0277,4.489-12.168,6.5162-19.1599,4.6434-5.1806-1.3878-9.3572-4.6652-12.0475-8.8515 3.6692-3.3246 8.4618-5.5141 13.7893-5.5141zm206.5493,0c5.3383,0 10.1175,2.1773 13.7893,5.5141-2.6928,4.1751-6.8774,7.4666-12.0475,8.8515-7.1338,1.9108-14.2631-.2515-19.3051-4.9336 3.7509-5.6491 10.327-9.432 17.5633-9.432zm-203.0657,26.6995c5.1448-.036 10.0125,1.9216 13.7893,5.2238 .0504.0432.0951.1009.1456.1449-3.6862,5.7267-10.0896,9.577-17.4181,9.577-5.2544,0-9.9934-2.0134-13.6442-5.2238 2.6662-4.2403 6.6975-7.6024 11.9023-8.9966 1.7302-.4634 3.5105-.7135 5.2255-.7255zm200.7432,0c1.3781.0778 2.68.3546 4.0642.7255 3.1144.8343 6.1292,2.4901 8.4188,4.4983 .7634.6695 1.3791,1.4174 2.0321,2.1766 .6133.7135 1.0889,1.3909 1.5967,2.1766-3.6719,3.3027-8.451,5.3689-13.7893,5.3689-7.2824,0-13.8228-3.7657-17.5633-9.4319 4.0738-3.7121 9.5868-5.8333 15.2409-5.514zm-191.889,24.9582c1.0131-.08 2.0495-.075 3.0481,0 2.8249.2119 5.4834,1.0046 7.9833,2.3217-2.1117,6.4769-7.2924,11.7441-14.3699,13.6399-5.202,1.3935-10.4089.6897-14.8053-1.5961 1.5072-4.712 4.6645-8.939 9.2896-11.6085 2.7923-1.6116 5.8146-2.5172 8.8542-2.757zm178.8254,0c3.9947-.3005 8.1793.6082 11.9024,2.757 4.6826,2.7027 7.9512,6.9697 9.4348,11.7536-4.395,2.2826-9.6082,2.9883-14.8054,1.5962-7.0775-1.8959-12.375-7.2788-14.5151-13.7851 2.499-1.2811 5.2015-2.1126 7.9833-2.3217zm-160.8268,21.4756c1.4362.005 2.7977.1348 4.2093.4353-.3113,6.8096-3.8226,13.3193-10.1605,16.9775-4.5977,2.6536-9.8385,3.1894-14.6602,2.1765 .2486-4.9392 2.1881-9.878 5.9512-13.64 4.0531-4.0519 9.3319-5.9722 14.6602-5.9494zm146.0214,0c5.3544.0009 10.6071,2.0426 14.6602,6.0945 3.7525,3.7513 5.6957,8.57 5.9512,13.4948-4.9056,1.0673-10.2967.5095-14.9505-2.1766-6.338-3.6582-9.8491-10.1678-10.1605-16.9774 1.4612-.3135 3.0108-.436 4.4996-.4353zm-126.1358,16.252c.1427-.007.2926.005.436,0 1.4926,6.6897-.4461,13.9409-5.6609,19.1539-3.7631,3.762-8.5823,5.677-13.499,5.9494-1.0925-4.864-.6493-10.1574 2.032-14.8008 3.5826-6.2032 10.0174-9.856 16.6924-10.3025zm105.8148,0h.1456c6.6749.4468 13.1097,4.0993 16.6923,10.3025 2.6817,4.6434 3.1246,9.9369 2.0321,14.8008-4.8511-.3113-9.6394-2.0909-13.3539-5.8042-5.2162-5.2146-6.9827-12.577-5.5157-19.2991zm-85.9292,11.3182c3.1138,6.0817 3.2384,13.5183-.436,19.8796-2.6702,4.6236-6.9347,7.7794-11.612,9.2867-2.2331-4.3681-2.9769-9.5065-1.5966-14.6557 1.8966-7.0763 7.1642-12.4001 13.6442-14.5106zm66.0436.1449c2.7857.8521 5.3554,2.1772 7.5478,4.0629 3.0375,2.611 5.4191,6.1511 6.5318,10.3025 1.3817,5.1553.5239,10.4043-1.7418,14.8008-4.7487-1.4836-9.0537-4.7506-11.7572-9.4318-3.6389-6.3009-3.6068-13.6839-.5808-19.7344zm-44.1258,5.6591c.0908.1009.1989.186.2904.2897 4.404,5.0343 6.2089,12.0901 4.3545,19.0088-1.3881,5.1791-4.6414,9.3767-8.8542,12.0439-3.3242-3.6696-5.3706-8.4593-5.3706-13.7851 0-7.3451 3.7854-13.8756 9.58-17.5579zm22.4983.1449c5.6661,3.698 9.4348,10.1325 9.4348,17.4127 0,5.3496-2.0541,10.1098-5.3706,13.7851-4.1307-2.7168-7.3393-6.9336-8.709-12.0438-1.8925-7.0607.0576-14.1194 4.6448-19.154z"}}]})(props);
};
function GiAbstract067 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m154.0687,21-133.0687,133.0688c.2868.2803.4511.5974.7346.8812 56.4673,56.4691 56.7864,147.9255.8808,204.7437l129.6909,129.6907c56.8183-55.9044 148.2741-55.5878 204.7437.8812 .2868.2832.6003.449.8813.7344l133.0687-133.0687c-.2868-.2803-.5974-.5974-.8812-.8812-56.4691-56.4691-56.7854-147.7788-.8812-204.5969l-129.6905-129.6906c-56.8197,55.9044-148.1275,55.5878-204.5971-.8812-.2868-.2839-.6003-.596-.8813-.8813zm206.6534,73.8781c14.4318,0 28.7903,5.5842 39.8029,16.5969 22.0257,22.0255 22.0257,57.7276 0,79.7532-4.942,4.9422-10.5858,8.7319-16.5971,11.4562 6.8672,16.4376 10.7222,34.3877 10.7222,53.3156 0,18.9769-3.8212,36.9906-10.7222,53.4625 5.9826,2.7081 11.664,6.3762 16.5971,11.3094 22.0257,22.0256 22.0257,57.8749 0,79.9s-57.7286,22.0256-79.7529,0c-4.9434-4.9421-8.7311-10.5751-11.4567-16.5969-16.4228,6.8535-34.4073,10.575-53.3153,10.575s-36.8927-3.7215-53.3154-10.575c-2.7256,6.0218-6.5132,11.6547-11.4567,16.5969-22.0242,22.0255-57.873,22.0255-79.9,0-22.0241-22.0255-22.0241-57.8744 0-79.9 4.9834-4.9819 10.662-8.7436 16.7443-11.4562-6.8672-16.4377-10.7222-34.3877-10.7222-53.3156 0-18.9081 3.7215-36.8918 10.5751-53.3156-6.0217-2.7243-11.6537-6.514-16.5972-11.4562-22.0241-22.0257-22.0241-57.728 0-79.7532 11.0135-11.0128 25.5182-16.45 39.95-16.45 14.4356,0 28.9389,5.4372 39.95,16.45 4.9435,4.9421 8.7312,10.5866 11.4567,16.5969 16.4364-6.8671 34.3875-10.7219 53.3154-10.7219s36.879,3.8548 53.3154,10.7219c2.7256-6.0104 6.5133-11.6547 11.4567-16.5969 11.0112-11.0128 25.5144-16.5969 39.95-16.5969zm-104.7221,60.0719c-55.8082,0-101.0499,45.2416-101.0499,101.05s45.2417,101.05 101.0499,101.05 101.05-45.2416 101.05-101.05-45.2417-101.05-101.05-101.05zm0,19.6813c33.7446,0 61.1001,27.3554 61.1001,61.1s-27.3555,61.1-61.1001,61.1-61.1-27.3554-61.1-61.1 27.3554-61.1 61.1-61.1z"}}]})(props);
};
function GiAbstract068 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21v70.5c90.8555,0 164.5,73.6445 164.5,164.5s-73.6446,164.5-164.5,164.5v70.5h470v-70.5c-90.8555,0-164.5001-73.6446-164.5001-164.5s73.6446-164.5 164.5001-164.5v-70.5h-470zm235,43.475c18.8719,0 34.075,15.203 34.075,34.075v314.9c0,18.8719-15.2031,34.075-34.075,34.075s-34.075-15.2031-34.075-34.075v-314.9c0-18.8719 15.203-34.075 34.075-34.075zm-235,70.2062v242.6375c66.9945,0 121.3188-54.3243 121.3188-121.3188s-54.3243-121.3187-121.3188-121.3187zm470,0c-66.9945,0-121.3188,54.3243-121.3188,121.3187s54.3243,121.3188 121.3188,121.3188v-242.6375z"}}]})(props);
};
function GiAbstract069 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21c-129.7869,0-235,105.2131-235,235s105.2131,235 235,235 235-105.2131 235-235-105.2131-235-235-235zm0,34.9562c110.5145,0 200.0437,89.5292 200.0437,200.0438s-89.5292,200.0438-200.0437,200.0438-200.1906-89.5292-200.1906-200.0438 89.6761-200.0438 200.1906-200.0438zm0,23.2063c-17.4369,0-31.5781,14.1412-31.5781,31.5781s14.1412,31.5781 31.5781,31.5781 31.5782-14.1412 31.5782-31.5781-14.1413-31.5781-31.5782-31.5781zm-73.5844,19.5344c-5.0904.1321-10.1153,1.5349-14.8343,4.2594-15.1009,8.7184-20.3217,28.0805-11.6031,43.1812s27.9335,20.0279 43.0343,11.3094 20.3216-27.7867 11.6031-42.8875c-5.994-10.3818-17.0011-16.1527-28.2-15.8625zm147.1688,0c-11.1989-.29-22.2061,5.4807-28.2,15.8625-8.7185,15.1008-3.6445,34.3159 11.4562,43.0344s34.4628,3.6446 43.1813-11.4563 3.4977-34.4628-11.6032-43.1812c-4.719-2.7245-9.744-4.1275-14.8343-4.2594zm-198.575,53.1688c-11.1989-.29-22.2061,5.4807-28.2,15.8625-8.7184,15.1008-3.4977,34.3159 11.6031,43.0344s34.169,3.4977 42.8875-11.6031 3.7914-34.316-11.3093-43.0344c-4.719-2.7245-9.8909-4.1275-14.9813-4.2594zm249.9812,0c-5.0904.1321-10.2623,1.5349-14.9812,4.2594-15.1008,8.7184-20.1747,28.0805-11.4563,43.1812s27.9336,20.1747 43.0344,11.4563 20.3215-27.9336 11.6032-43.0344c-5.994-10.3818-17.0012-16.1527-28.2001-15.8625zm-124.9906,14.3938c-49.5575,0-89.7406,40.1831-89.7406,89.7406s40.1831,89.7406 89.7406,89.7406 89.7407-40.1831 89.7407-89.7406-40.1831-89.7406-89.7407-89.7406zm-145.4063,58.3094c-17.4369,0-31.4312,14.1412-31.4312,31.5781s13.9943,31.5782 31.4312,31.5781 31.4313-14.1412 31.4313-31.5781-13.9944-31.5781-31.4313-31.5781zm290.8125,0c-17.4369,0-31.5781,14.1413-31.5781,31.5781s14.1413,31.5781 31.5781,31.5781 31.4313-14.1412 31.4313-31.5781-13.9944-31.5782-31.4313-31.5781zm-272.1593,72.7031c-5.0733.1222-10.1154,1.5349-14.8344,4.2594-15.1008,8.7185-20.3216,27.9336-11.6031,43.0344s28.0804,20.3216 43.1813,11.6031 20.0277-27.9336 11.3093-43.0344c-5.9939-10.3818-16.8918-16.131-28.0531-15.8625zm250.4219,0c-10.1124.7151-19.6667,6.2776-25.1157,15.7156-8.7184,15.1008-3.6445,34.4628 11.4563,43.1812s34.4628,3.4977 43.1813-11.6031 3.4977-34.316-11.6032-43.0344c-5.6629-3.2694-11.8514-4.6884-17.9187-4.2594zm-198.575,53.1687c-10.0909.6782-19.6666,6.1308-25.1156,15.5688-8.7185,15.1008-3.4978,34.4628 11.6031,43.1813s34.3159,3.4977 43.0343-11.6032 3.4977-34.169-11.6031-42.8875c-5.6628-3.2694-11.8643-4.6661-17.9187-4.2594zm146.7281,0c-5.0904.1319-10.2623,1.5349-14.9813,4.2594-15.1008,8.7184-20.1747,27.9335-11.4562,43.0343s27.9336,20.3216 43.0343,11.6032 20.3217-28.0805 11.6032-43.1813c-5.994-10.3819-17.0011-16.0058-28.2-15.7157zm-71.8219,19.3875c-17.4369,0-31.5781,13.9943-31.5781,31.4312s14.1412,31.5782 31.5781,31.5782 31.5782-14.1412 31.5782-31.5782-14.1413-31.4312-31.5782-31.4312z"}}]})(props);
};
function GiAbstract070 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m108.4747,490.9677c-29.6718-.5556-59.461-5.4589-87.4747-14.2826v-47.8397c35.0727,19.4171 79.6753,29.9296 124.1576,28.4265 23.7806-.699 48.3717-5.1394 73.5422-9.984 25.2272-4.9374 51.26-10.5088 78.3039-13.4506 67.6549-7.2503 136.6874,4.0181 193.9963,29.6745v4.0213c-59.8574-21.1903-127.8687-26.3143-189.4109-14.5599-24.4619,4.6225-48.4437,11.8599-73.3658,18.8586-24.8139,7.0523-50.817,13.8708-79.0094,17.1946-10.5775,1.2049-21.3786,1.8419-32.0976,1.9413-2.903.0288-5.7362.0577-8.6416,0zm382.5253-61.1517c-35.042-19.3462-79.5838-29.7881-123.9813-28.2878-23.7805.699-48.3717,5.1394-73.5421,9.984-25.2272,4.9374-51.26,10.3702-78.304,13.3119-67.7367,7.2591-136.8227-3.9866-194.1726-29.6745v-3.8827c59.8927,21.2334 127.9955,26.3237 189.5872,14.56 24.462-4.6226 48.4437-11.8599 73.3659-18.8586 24.8141-7.0522 50.817-13.8708 79.0094-17.1945 42.6172-4.8546 87.1816-.7084 128.0375,12.0639v47.9784zm-382.5253-54.4957c-29.6718-.5448-59.461-5.3574-87.4747-14.1439v-47.9784c35.0727,19.4171 79.6753,29.9296 124.1576,28.4265 23.7806-.699 48.3717-5.1394 73.5422-9.984 25.2272-4.9374 51.26-10.3701 78.3039-13.3119 67.6549-7.2503 136.6874,3.9139 193.9963,29.5358v4.0213c-59.8574-21.1903-127.8687-26.3142-189.4109-14.5599-24.4619,4.6226-48.4437,11.8599-73.3658,18.8586-24.8139,7.0522-50.817,13.8708-79.0094,17.1946-10.5775,1.2049-21.3786,1.8419-32.0976,1.9413-2.903.0288-5.7362.0504-8.6416,0zm382.5253-61.1517c-35.042-19.3464-79.5838-29.7882-123.9813-28.2878-23.7805.699-48.3717,5.1394-73.5421,9.9839-25.2272,4.9374-51.26,10.3702-78.304,13.3119-67.7367,7.2591-136.8227-3.9865-194.1726-29.6745v-3.8826c59.8927,21.2333 127.9955,26.3237 189.5872,14.5598 24.462-4.6224 48.4437-11.8598 73.3659-18.8586 24.8141-7.0522 50.817-13.8708 79.0094-17.1945 42.6172-4.8546 87.1816-.7084 128.0375,12.0639v47.9785zm-382.5253-54.4957c-29.6718-.5448-59.461-5.3573-87.4747-14.1439v-47.9784c35.0727,19.4171 79.6753,29.9296 124.1576,28.4265 23.7806-.699 48.3717-5.1394 73.5422-9.9839 25.2272-4.9374 51.26-10.3701 78.3039-13.3119 67.6549-7.2503 136.6874,3.9139 193.9963,29.5358v4.0213c-59.8574-21.1903-127.8687-26.3142-189.4109-14.5599-24.4619,4.6224-48.4437,11.8599-73.3658,18.8586-24.8139,7.0522-50.817,13.8707-79.0094,17.1945-10.5775,1.2049-21.3786,1.8419-32.0976,1.9413-2.903.0288-5.7362.0504-8.6416,0zm382.5253-61.1517c-35.042-19.3464-79.5838-29.7881-123.9813-28.2878-23.7805.699-48.3717,5.1394-73.5421,9.9839-25.2273,4.9374-51.26,10.3701-78.304,13.3119-67.7367,7.2591-136.8227-3.9865-194.1726-29.6745v-3.8826c59.8927,21.2333 127.9955,26.3237 189.5872,14.5598 24.4619-4.6225 48.4437-11.8599 73.3659-18.8586 24.8139-7.0522 50.817-13.8707 79.0094-17.1945 42.6172-4.8546 87.1816-.7084 128.0375,12.064v47.9784zm-382.5253-54.4957c-29.6718-.5448-59.461-5.3573-87.4747-14.1439v-47.9784c35.0727,19.4171 79.6753,29.9296 124.1576,28.4265 23.7806-.699 48.3717-5.1394 73.5422-9.984 25.2272-4.9374 51.26-10.3701 78.3039-13.3119 67.6549-7.2503 136.6874,3.9139 193.9963,29.5359v4.0213c-59.8574-21.1903-127.8687-26.3142-189.4109-14.56-24.4619,4.6226-48.4437,11.8599-73.3658,18.8586-24.8139,7.0522-50.817,13.8708-79.0094,17.1945-10.5775,1.2049-21.3786,1.8419-32.0976,1.9413-2.903.0288-5.7362.0504-8.6416,0zm382.5253-61.1517c-35.042-19.3463-79.5838-29.7881-123.9813-28.2878-23.7805.699-48.3715,5.1394-73.5421,9.984-25.2272,4.9374-51.26,10.5088-78.304,13.4506-67.7367,7.2591-136.8227-4.0908-194.1726-29.8132v-3.8827c59.8927,21.2333 127.9955,26.3237 189.5872,14.5599 24.462-4.6226 48.4437-11.8599 73.3659-18.8586 24.8141-7.0523 50.817-13.7322 79.0094-17.0559 42.6172-4.8546 87.1816-.7084 128.0375,12.064v47.8397z"}}]})(props);
};
function GiAbstract071 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m92.027,21.0001c-39.2037,0-71.0269,30.3396-71.0269,67.7094s31.8233,67.5625 71.0269,67.5625c32.6875,0 60.0548-21.0063 68.2774-49.6437h173.9775c22.3913,0 40.6883,18.4717 41.7002,41.8593 39.9068,20.4906 67.0554,60.9723 67.0554,107.5125s-27.1486,87.0219-67.0554,107.5125c-1.0119,23.3877-19.3089,41.8594-41.7002,41.8594h-173.9775c-8.2227-28.6711-35.59-49.7906-68.2774-49.7906-39.2037,0-71.0269,30.3395-71.0269,67.7093s31.8233,67.7093 71.0269,67.7093c31.5571,0 58.156-19.6945 67.361-46.8531h272.0405c33.0551,0 59.5715-24.7119 59.5715-55.3718v-265.5499c0-30.6599-26.5164-55.3719-59.5715-55.3719h-272.0405c-9.205-27.1586-35.8039-46.8531-67.361-46.8531zm-.1528,33.0469c21.1912,0 38.3392,16.4889 38.3392,36.8656s-17.148,36.8656-38.3392,36.8656-38.3393-16.4889-38.3393-36.8656 17.1481-36.8656 38.3393-36.8656zm224.5369,100.4625c-47.9207,0-88.3975,30.7684-101.2709,72.85h15.8856c16.4744,0 29.7857,12.7996 29.7857,28.6406s-13.3113,28.6406-29.7857,28.6406h-15.8856c12.8733,42.0815 53.3502,72.85 101.2709,72.85 58.2758,0 105.5479-45.4548 105.5479-101.4906s-47.2721-101.4906-105.5479-101.4906zm-224.3842,33.7812c-39.2037,0-71.0269,30.3395-71.0269,67.7094s31.8232,67.7093 71.0269,67.7093c28.4425,0 52.858-16.0317 64.1537-39.0687h-63.2373c-16.4742,0-29.7854-12.7996-29.7854-28.6406s13.3113-28.6406 29.7854-28.6406h63.2373c-11.2957-23.037-35.7113-39.0687-64.1537-39.0687zm224.3842,25.2625c24.3699,0 44.1433,19.0137 44.1433,42.4469s-19.7734,42.4468-44.1433,42.4468-44.1433-19.0137-44.1433-42.4468 19.7734-42.4469 44.1433-42.4469zm-208.9568,26.2906c-11.7911,0-21.3844,7.2046-21.3844,16.1562s9.5933,16.1562 21.3844,16.1562h109.8249c11.7904,0 21.2313-7.2046 21.2313-16.1562s-9.4409-16.1562-21.2313-16.1562h-109.8249zm-15.5801,144.3781c21.1912,0 38.3392,16.4889 38.3392,36.8656s-17.148,36.8656-38.3392,36.8656-38.3393-16.4889-38.3393-36.8656 17.1481-36.8656 38.3393-36.8656z"}}]})(props);
};
function GiAbstract072 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m486.8875,21.0002c2.6078,71.9065 4.1125,151.3005 4.1125,235s-1.5047,163.0936-4.1125,234.9998c-.9339-.2063-1.8362-.526-2.7907-.7355-10.4371-2.2984-18.6081-8.1877-23.2062-15.7454v-436.5965c4.5544-7.869 12.7432-14.1447 23.3531-16.4809 .8758-.1931 1.7627-.3125 2.6438-.4413zm-461.7751,0c.8812.1284 1.7679.2486 2.6438.4413 10.6099,2.3361 18.799,8.6119 23.3531,16.4809v436.5965c-4.5977,7.5576-12.7687,13.447-23.2063,15.7454-.9088.1998-1.861.383-2.7906.5886-2.6043-71.8671-4.1125-151.2113-4.1125-234.8528 0-83.6995 1.5047-163.0935 4.1125-235zm407.2844,21.0426c6.6049.235 13.1338,1.8893 18.9469,4.856v418.3501c-10.5662,5.4815-23.5531,6.793-34.9562,2.6487-1.1592-.4216-2.4054-1.0854-3.525-1.6189-4.7284-2.241-8.3857-5.3163-11.3094-8.829v-402.6047c2.959-3.5814 6.6597-6.7001 11.4562-8.9762 6.063-2.8759 12.7827-4.0608 19.3875-3.8259zm-352.7938,0c6.6048-.235 13.1777.9501 19.2406,3.8259 4.797,2.2761 8.644,5.3948 11.6032,8.9762v402.6047c-2.9244,3.5128-6.7278,6.5881-11.4563,8.829-1.1199.5335-2.3662,1.1975-3.525,1.6189-11.4031,4.1443-24.3901,2.8328-34.9562-2.6487v-418.3501c5.813-2.9667 12.4889-4.6211 19.0937-4.856zm176.397,15.8923c23.1397,0 41.8593,18.9019 41.8593,42.0852s-18.7196,41.938-41.8593,41.938-41.8594-18.7547-41.8594-41.938 18.7196-42.0852 41.8594-42.0852zm123.9624,17.9524c4.0405.2106 8.1579.9699 12.0438,2.2073v355.958c-4.3518,1.4475-8.9921,2.2485-13.5125,2.3544-9.8943.2317-19.5631-2.8173-26.8781-8.8291-4.9227-4.0449-8.1224-8.9859-9.5469-14.2739v-313.8726c1.3366-5.5423 4.5506-10.7827 9.6938-15.0094 6.6368-5.4543 15.3201-8.2553 24.2343-8.5347 1.3372-.0425 2.6189-.0699 3.9656,0zm-243.9593,0c8.9143.2792 17.4511,3.0804 24.0875,8.5347 5.1438,4.2267 8.5043,9.4671 9.8406,15.0094v313.8726c-1.4244,5.288-4.6244,10.229-9.5469,14.2739-7.3151,6.0118-16.9835,9.0607-26.8781,8.8291-4.5206-.1057-9.1608-.9069-13.5125-2.3544v-355.958c5.1812-1.6498 10.6608-2.3749 16.0094-2.2072zm196.3718,37.2292v285.9142c-7.0848-2.5272-14.3974-4.7559-21.8843-6.769-8.0909-22.3363-29.4015-38.2592-54.4906-38.2592s-46.3998,15.9229-54.4907,38.2592c-7.4869,2.013-14.7994,4.2417-21.8843,6.769v-285.9142c7.1417,2.5464 14.4699,4.7423 22.0312,6.7689 8.1399,22.2426 29.3216,38.2592 54.3438,38.2592s46.2038-16.0166 54.3437-38.2592c7.5404-2.0227 14.9084-4.2293 22.0312-6.7689zm-49.4968,77.6957h-53.7562c-8.3325,0-14.9813,6.6618-14.9813,15.0096s6.6488,15.1563 14.9813,15.1563h53.7562c8.3324,0 14.9812-6.808 14.9812-15.1563s-6.6488-15.0096-14.9812-15.0096zm0,50.1785h-53.7562c-8.3325,0-14.9813,6.5147-14.9813,14.8625s6.6488,15.1563 14.9813,15.1563h53.7562c8.3324,0 14.9812-6.808 14.9812-15.1563s-6.6488-14.8625-14.9812-14.8625zm0,50.0313h-53.7562c-8.3325,0-14.9813,6.5147-14.9813,14.8625s6.6488,15.1563 14.9813,15.1563h53.7562c8.3324,0 14.9812-6.8085 14.9812-15.1563s-6.6488-14.8625-14.9812-14.8625zm-26.8781,79.1672c23.1397,0 41.8593,18.7558 41.8593,41.9378s-18.7196,41.9383-41.8593,41.9383-41.8594-18.7539-41.8594-41.9383 18.7196-41.9378 41.8594-41.9378z"}}]})(props);
};
function GiAbstract073 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21c3.4783,40.6253 6.0335,83.7688 7.6484,128.6726h57.4378c35.4366-56.5052 98.2955-94.03 169.9138-94.03s134.4772,37.5248 169.9138,94.03h57.4378c1.6149-44.9039 4.1701-88.0473 7.6484-128.6726-71.8204,6.1492-151.296,9.598-235,9.598s-163.1796-3.4488-235-9.598zm235,69.4352c-91.4295,0-165.5648,74.1352-165.5648,165.5648 0,74.4026 49.1187,137.3503 116.6752,158.2164v-219.2534c0-33.1858 21.7441-59.8373 48.8896-59.8373s48.8896,26.6515 48.8896,59.8373v219.2534c67.5565-20.866 116.6752-83.8138 116.6752-158.2164 0-91.4295-74.1353-165.5648-165.5648-165.5648zm-101.9783,98.0791c16.2408,0 29.5437,13.153 29.5437,29.3937s-13.3029,29.3938-29.5437,29.3938-29.3937-13.153-29.3937-29.3938 13.1529-29.3937 29.3937-29.3937zm203.8066,0c16.2408,0 29.3938,13.153 29.3938,29.3937s-13.153,29.3938-29.3938,29.3938-29.5437-13.153-29.5437-29.3938 13.303-29.3937 29.5437-29.3937zm-327.9802.7498c.4871,21.9008.7499,44.152.7499,66.7358s-.2627,44.8349-.7499,66.7358h37.1921c-7.3866-20.8959-11.3976-43.3104-11.3976-66.7358s4.0109-45.84 11.3976-66.7358h-37.1921zm415.1117,0c7.3866,20.8958 11.3976,43.3104 11.3976,66.7358s-4.011,45.8399-11.3976,66.7358h37.1921c-.4872-21.9009-.7499-44.152-.7499-66.7358s.2627-44.8349.7499-66.7358h-37.1921zm-416.3114,173.0632c-1.6148,44.9038-4.1701,88.0474-7.6484,128.6726 71.8204-6.1491 151.296-9.598 235-9.598s163.1796,3.4488 235,9.598c-3.4783-40.6253-6.0335-83.7688-7.6484-128.6726h-57.4378c-35.4366,56.5052-98.2955,94.03-169.9138,94.03s-134.4772-37.5248-169.9138-94.03h-57.4378z"}}]})(props);
};
function GiAbstract074 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m454.5115,44.3754c-31.2711-31.2753-81.5262-31.2753-112.7972,0l-52.2439,52.2439c-8.9591-7.8224-20.6162-12.6715-33.4445-12.6715-12.8664,0-24.683,4.8075-33.6521,12.6715l-52.1401-52.1401c-31.271-31.2753-81.5261-31.2753-112.7971,0l-12.8792,12.8792c-31.271,31.2753-31.271,81.5219 0,112.7971l52.1401,52.3478c-7.8762,8.9721-12.6714,20.5669-12.6714,33.4444s4.7952,24.6801 12.6714,33.6522l-52.1401,52.1401c-31.271,31.2753-31.4786,81.5218-.2076,112.7971l12.9832,13.1908c31.271,31.2753 81.7338,31.0677 113.0048-.2078l52.1401-52.1401c8.9722,7.8763 20.6706,12.5677 33.5483,12.5677s24.5762-4.6914 33.5483-12.5677l52.1401,52.1401c31.271,31.2753 81.6299,31.3789 112.901.1039l12.9831-12.9831c31.2709-31.2753 31.1672-81.6257-.1038-112.901l-52.1401-52.1401c7.8762-8.9721 12.6716-20.7745 12.6715-33.6522s-4.7953-24.4722-12.6715-33.4444l52.1401-52.3478c15.6355-15.6376 23.4734-35.9094 23.4734-56.2947s-7.8379-40.8648-23.4734-56.5024l-12.9831-12.983zm-18.488,18.6956 12.9831,12.9831c10.6345,10.6359 15.7875,24.2586 15.7875,37.8068s-5.2569,27.067-15.8914,37.7029l-56.0869,56.087c-4.9682-1.6158-10.1763-2.5966-15.6836-2.5966-14.6833-5e-05-27.8969,6.2661-37.1836,16.2029-3.2976-7.9426-7.6142-15.3938-12.8792-22.0194l53.1788-53.1787c5.2851,2.7617 11.3773,4.2584 17.7608,4.2584 21.1132,0 38.1184-17.0052 38.1184-38.1184s-17.1091-38.2222-38.2223-38.2222-38.1183,17.0052-38.1183,38.1184c0,7.4443 2.142,14.4883 5.8164,20.3575l-52.6594,52.6594c-6.6099-5.3513-13.9338-9.8628-21.9155-13.1908 9.8302-9.2818 15.9952-22.415 15.9952-36.9758 0-5.5555-.9536-10.8856-2.5966-15.8913l56.087-55.8792c21.2657-21.2688 54.2438-21.3726 75.5096-.1039zm-133.6739,146.5532c11.8536,11.8537 19.215,28.3305 19.215,46.4275 0,36.1941-29.2407,65.4348-65.4348,65.4348s-65.7464-29.3446-65.7464-65.5387 29.4484-65.4348 65.6425-65.4348c18.097,0 34.4701,7.2575 46.3237,19.1111zm-150.7078-146.5532 55.8792,55.8793c-1.6704,5.0432-2.4927,10.3915-2.4928,15.9952 0,14.5609 6.103,27.798 15.8913,37.0797-7.9417,3.3114-15.2271,7.7716-21.8116,13.0869l-52.6594-52.6594c3.6745-5.8692 5.7126-12.8093 5.7126-20.2536 0-21.1132-17.0052-38.1183-38.1184-38.1183s-38.1184,17.0052-38.1184,38.1183 17.0052,38.1184 38.1184,38.1184c6.3869,0 12.4735-1.4939 17.7608-4.2584l53.1788,53.1787c-5.2704,6.6295-9.683,13.9669-12.9832,21.9155-9.2445-9.9368-22.2925-16.2029-36.9758-16.2029-5.4892,0-10.9373.9911-15.8913,2.5966l-55.9831-55.9831c-21.2688-21.2718-21.165-54.2378.1038-75.5097l12.8792-12.8792c21.2658-21.2688 54.2439-21.3726 75.5097-.1039zm241.3817,241.3817 55.9831,55.9831c10.6545,10.6559 15.6621,24.0135 15.6836,37.7029 .022,13.7057-4.9581,27.1837-15.5797,37.8068l-13.087,13.0869c-21.2366,21.2394-54.2147,21.1941-75.5096-.1039l-56.1909-56.1908c1.6157-4.9682 2.7005-10.2802 2.7005-15.7875 0-14.5609-6.1649-27.6942-15.9952-36.9758 7.8984-3.2933 15.2552-7.604 21.8116-12.8792l52.6594,52.6594c-3.599,5.8273-5.7125,12.6848-5.7125,20.0459 0,21.1132 17.0052,38.3261 38.1183,38.3261s38.3261-17.2129 38.3261-38.3261-17.109-38.2223-38.2222-38.2222c-6.4833,0-12.6239,1.6231-17.9685,4.4662l-53.1788-53.1788c5.3103-6.6582 9.7684-14.0241 13.0869-22.0193 9.2865,9.9365 22.3949,16.099 37.0797,16.099 5.5555,0 10.9894-.8498 15.9952-2.4928zm-104.7995-80.7029c-8.2051-8.2419-19.6307-13.2947-32.1981-13.2947-25.1348-4e-05-45.4928,20.358-45.4927,45.4927s20.4618,45.5967 45.5966,45.5967 45.3889-20.4619 45.3889-45.5967c0-12.5674-5.0896-23.9562-13.2947-32.198zm-116.1208,67.0966c3.3185,7.9952 7.7766,15.3611 13.0869,22.0193l-53.2826,53.2826c-5.344-2.8422-11.3823-4.57-17.8647-4.57-21.1132,5e-05-38.2222,17.1091-38.2222,38.2222s17.0052,38.3261 38.1184,38.3261 38.326-17.2128 38.326-38.3261c0-7.3611-2.2173-14.1148-5.8164-19.942l52.7634-52.7633c6.5564,5.2752 13.9131,9.5859 21.8116,12.8792-9.7883,9.2818-15.8914,22.5188-15.8913,37.0797-8e-05,5.5555.8497,10.7817 2.4928,15.7874l-55.9831,55.9831c-21.2152,21.2182-54.2963,21.3702-75.5097.3116l-.1038-.1038-12.7754-12.9832a26.4113,26.4113 0 0,0 -.2076-.2078c-21.2397-21.2426-21.0904-54.1048.2076-75.4058l55.983-55.9831c4.9683,1.6158 10.2802,2.4928 15.7875,2.4928 14.6849,0 27.8353-6.1624 37.0797-16.099z"}}]})(props);
};
function GiAbstract075 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m144.5218,32.0891c-26.318,0-48.3465,22.2821-54.9312,52.5812-2.0404-1.8711-4.5191-2.9375-7.1969-2.9375-7.1406,0-12.925,7.7338-12.925,17.3313v17.625c-16.5562,4.7196-28.7875,21.9503-28.7875,42.5938 0,13.89 5.5597,26.3486 14.2469,34.3687-19.9787,11.3293-33.9281,34.9201-33.9281,62.4219 0,27.457 13.8552,51.1309 33.7812,62.4219-8.6125,8.0636-14.1001,20.4015-14.1001,34.2219 0,20.6434 12.2314,37.8937 28.7875,42.5938v17.625c0,9.5974 5.7844,17.3313 12.925,17.3313 2.6777,0 5.1565-1.0664 7.1969-2.9375 6.5847,30.3021 28.6132,52.5812 54.9312,52.5812h.4404 .294c26.6048,0 48.9097-22.8031 55.225-53.6094 6.3153,30.8062 28.6202,53.6094 55.225,53.6094h.294 .4404c26.6047,0 48.7627-22.8031 55.0781-53.6094 6.3153,30.8062 28.6202,53.6094 55.225,53.6094h.294 .5874c26.3181,0 48.1996-22.2791 54.7843-52.5812 2.0616,1.8711 4.5192,2.9375 7.1969,2.9375 7.1406,0 12.925-7.7338 12.925-17.3313v-17.625c16.5562-4.7001 28.9343-21.9503 28.9343-42.5938 0-13.8203-5.4875-26.1583-14.0999-34.2219 19.926-11.291 33.6343-34.9649 33.6343-62.4219 0-27.5018-13.8025-51.0926-33.7812-62.4219 8.6873-8.0201 14.2468-20.4788 14.2468-34.3687 0-20.6435-12.3781-37.8742-28.9343-42.5938v-17.625c0-9.5975-5.7844-17.3313-12.925-17.3313-2.6777,0-5.1353,1.0664-7.1969,2.9375-6.5847-30.2992-28.4662-52.5812-54.7843-52.5812h-.5874-.294c-26.6048,0-48.9097,22.8031-55.225,53.6094-6.3154-30.8062-28.4734-53.6094-55.0781-53.6094h-.4404-.294c-26.6048,0-48.9097,22.8031-55.225,53.6094-6.3153-30.8062-28.6202-53.6094-55.225-53.6094h-.294-.4404zm0,40.8312h.4404 .294c23.6496,0 42.5938,26.0167 42.5938,58.3094v27.9062 193.7281 28.2c0,32.2927-18.9442,58.1625-42.5938,58.1625h-.294-.4404c-23.6495,0-42.5936-25.8698-42.5936-58.1625v-28.2-193.7281-27.9062c0-32.2927 18.9442-58.3094 42.5936-58.3094zm111.1844,0h.294 .4404c23.6496,0 42.5937,26.0167 42.5937,58.3094v27.9062 193.7281 28.2c0,32.2927-18.9441,58.1625-42.5937,58.1625h-.4404-.294c-23.6496,0-42.7406-25.8698-42.7406-58.1625v-28.2-193.7281-27.9062c0-32.2927 19.091-58.3094 42.7406-58.3094zm111.1844,0h.147 .4403c23.6496,0 42.5938,26.0167 42.5938,58.3094v27.9062 193.7281 28.2c0,32.2927-18.9442,58.1625-42.5938,58.1625h-.4403-.147c-23.6496,0-42.7407-25.8698-42.7407-58.1625v-28.2-193.7281-27.9062c0-32.2927 19.0911-58.3094 42.7407-58.3094zm-231.6219,46.4125c-9.299,1.2587-16.4499,11.7614-16.4499,24.675v100.9031h52.1406v-100.9031c0-13.7745-8.1621-24.675-18.3594-24.675h-7.6375-7.7844c-.6371,0-1.2894-.0841-1.9094,0zm111.0375,0c-9.2828,1.2587-16.3031,11.7614-16.3031,24.675v100.9031h52.1406v-100.9031c0-13.7745-8.0152-24.675-18.2124-24.675h-7.9313-7.7844c-.6371,0-1.2905-.0841-1.9094,0zm111.1844,0c-9.2991,1.2587-16.45,11.7614-16.45,24.675v100.9031h52.2875v-100.9031c0-13.7745-8.1621-24.675-18.3594-24.675h-7.9312-7.6375c-.6371,0-1.2895-.0841-1.9094,0zm-297.4219,105.6031c8.1507,0 14.6875,14.0519 14.6875,31.2844s-6.5368,30.9906-14.6875,30.9906-14.8343-13.7581-14.8343-30.9906 6.6837-31.2844 14.8343-31.2844zm392.0094,0c8.1506,0 14.6875,14.0519 14.6875,31.2844s-6.5369,30.9906-14.6875,30.9906-14.8344-13.7581-14.8344-30.9906 6.6838-31.2844 14.8344-31.2844zm-333.2593,42.1531v28.6406 39.95 32.1656c0,13.7744 8.162,24.9688 18.3593,24.9688h7.7844 7.6375c10.1973,0 18.3594-11.1944 18.3594-24.9688v-32.1656-39.95-28.6406h-52.1406zm111.1843,0v28.6406 39.95 32.1656c0,13.7744 8.0152,24.9688 18.2125,24.9688h7.7844 7.9313c10.1972,0 18.2124-11.1944 18.2124-24.9688v-32.1656-39.95-28.6406h-52.1406zm111.0375,0v28.6406 39.95 32.1656c0,13.7744 8.1621,24.9688 18.3594,24.9688h7.6375 7.9312c10.1973,0 18.3594-11.1944 18.3594-24.9688v-32.1656-39.95-28.6406h-52.2875z"}}]})(props);
};
function GiAbstract076 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21c-57.8984,0-110.9102,20.9483-151.8688,55.6657-24.4626-22.459-62.275-34.8094-62.275-34.8094s12.3502,37.813 34.8096,62.2751c-34.7175,40.9585-55.6659,93.9705-55.6659,151.8688s20.9483,110.9102 55.6659,151.8688c-22.4594,24.4624-34.8096,62.275-34.8096,62.275s37.813-12.3504 62.275-34.8094c40.9586,34.7173 93.9704,55.6656 151.8688,55.6656s110.9101-20.9483 151.8688-55.6656c24.4625,22.459 62.2749,34.8094 62.2749,34.8094s-12.3502-37.813-34.8096-62.275c34.7175-40.9585 55.6659-93.9705 55.6659-151.8688s-20.9484-110.9102-55.6659-151.8688c22.4594-24.4624 34.8096-62.2751 34.8096-62.2751s-37.8128,12.3505-62.2749,34.8094c-40.9587-34.7174-93.9704-55.6657-151.8688-55.6657zm0,38.9219c25.9487.4043 53.8629,22.0455 46.4125,46.5594l-19.5341,63.1562c-3.3008-1.0254-6.684-1.8508-10.1346-2.4968l11.0153-42.0063c4.4575-17.2767-12.3835-32.615-27.9058-32.9-15.5265.2847-32.0723,15.6233-27.6125,32.9l11.0154,42.0063c-3.4508.6457-6.8338,1.4714-10.1347,2.4968l-19.6808-63.1562c-7.4523-24.5139 20.6095-46.1552 46.5592-46.5594zm-103.5467,42.3c12.6486-.5304 24.5161,3.974 30.55,15.275l30.6967,58.4562c-3.0855,1.6319-5.9516,3.4689-8.8125,5.4344l-21.8841-37.6c-5.0999-8.6449-14.4088-12.1198-23.6471-11.6032-7.1858.4014-14.3519,3.2169-19.2404,7.9313-10.7771,11.179-11.6974,33.9698 3.6716,43.0343l37.4534,21.8844c-2.0084,2.936-3.7784,5.9348-5.4346,9.1062l-58.6029-30.8437c-22.6018-12.0653-18.2148-47.3117-.1456-65.9468 9.3173-9.0321 22.7471-14.5977 35.3971-15.1282zm202.1,0c13.9111-.8621 29.6148,4.9671 40.0967,15.1282 18.0635,18.6351 22.4505,53.8813-.1456,65.9468l-58.3096,30.6969c-1.6539-3.155-3.5795-6.0379-5.5812-8.9593l37.6-22.0313c15.369-9.0645 14.3011-31.7088 3.525-42.8875-5.5897-5.388-14.1301-8.2765-22.3251-7.9313s-15.8817,3.9187-20.4158,11.6032l-21.8841,37.6c-2.9507-2.0272-5.9168-3.9094-9.1063-5.5813l30.6962-58.3094c5.2776-9.8884 15.0287-14.6045 25.85-15.275zm-98.5533,87.0969c36.8339,0 66.6812,29.8473 66.6812,66.6813s-29.8473,66.6813-66.6812,66.6813-66.6813-29.8473-66.6813-66.6813 29.8473-66.6813 66.6813-66.6813zm-158.625,19.0938c2.9384-.1045 5.8956.2443 8.9591,1.175l63.3034,19.6813c-1.0204,3.3024-1.8565,6.6817-2.4966,10.1344l-42.1534-11.0156c-2.1588-.5571-4.387-.9408-6.4625-.8813-14.5197.4158-26.1879,14.9102-26.4375,28.4938 .2868,15.5242 15.6242,32.2169 32.9,27.7594l42.1534-11.0156c.645,3.4506 1.4711,6.8343 2.4966,10.1344l-63.3034,19.6813c-24.5119,7.4506-46.1554-20.4627-46.5591-46.4125 .3524-22.7065 17.0299-47.0001 37.6-47.7344zm317.1034,0c20.5695.7343 37.2456,25.0282 37.5999,47.7344-.3992,25.9504-22.0458,53.8631-46.5596,46.4125l-63.1562-19.6813c1.0255-3.3001 1.8513-6.6837 2.4966-10.1344l42.0068,11.0156c17.2757,4.4575 32.6147-12.2352 32.8999-27.7594-.2493-13.5837-12.0634-28.0772-26.5846-28.4938-2.0741-.0577-4.1572.3236-6.3153.8813l-42.0068,11.0156c-.6399-3.4526-1.4762-6.832-2.4966-10.1344l63.1562-19.6813c3.0645-.9313 6.0203-1.2799 8.9597-1.175zm-238.5251,89.5937c1.6817,3.2045 3.393,6.2903 5.4342,9.2531l-37.6001,21.8844c-15.3685,9.0642-14.5939,31.5619-3.8187,42.7407 11.1785,10.7758 33.9693,11.8435 43.0346-3.525l22.0308-37.7469c2.9051,1.9901 5.8243,3.788 8.9596,5.4343l-30.9904,58.75c-12.0668,22.6021-47.3116,18.211-65.9471.147-18.0635-18.6351-22.4504-53.8814.1456-65.9469l58.75-30.9906zm160.0933.294 58.4568,30.6969c22.6003,12.0656 18.2139,47.3118.1455,65.9469-18.634,18.0642-53.8817,22.4551-65.9466-.1463l-30.8442-58.6032c3.172-1.6563 6.1701-3.4268 9.1067-5.4343l21.8841,37.6c9.0645,15.3684 31.8548,14.3008 43.0342,3.525 10.7752-11.179 11.6983-33.676-3.6717-42.7407l-37.6-21.8843c1.9909-2.8899 3.7849-5.8392 5.4341-8.9593zm-106.925,44.0625c3.3009,1.0254 6.6839,1.8508 10.1347,2.4969l-11.0154,42.1531c-4.4594,17.2767 12.086,32.6151 27.6125,32.9 15.5217-.2847 32.3651-15.6233 27.9058-32.9l-11.0153-42.1531c3.4507-.6457 6.8338-1.4714 10.1346-2.4969l19.5341,63.3032c7.4509,24.5138-20.4629,46.1552-46.4125,46.5594-25.9492-.4043-54.0119-22.0456-46.5592-46.5594l19.6808-63.3032z"}}]})(props);
};
function GiAbstract077 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21.0014c-24.351,0-44.1947,18.1184-45.5309,40.831-6.9715,2.9479-13.3889,6.8346-18.7999,11.7499-7.5862,7.2731-11.7932,15.7813-14.247,23.7936-3.3018,10.1714-4.7338,20.4393-5.2875,30.403-.3387,6.0153-.5592,11.9368-.4418,17.9186-7.0791-2.1915-14.4238-3.5719-22.0312-4.4062-.565-1.3947-1.0203-2.7146-1.6158-4.1125-2.7086-6.5033-6.0451-13.5647-10.8682-20.2686-4.9444-6.6519-10.7704-12.1806-16.4499-17.0374-6.4272-5.5511-13.0979-10.6751-19.8282-15.5687-7.951-5.4069-15.8874-10.6341-23.7936-16.0093 6.8666,6.5768 13.9161,13.0149 20.7095,19.5343 5.6663,5.7956 11.0336,11.6855 16.009,17.7718 4.4749,5.4852 8.5267,11.1136 11.1625,16.7436 2.6987,5.5988 4.0932,11.4918 5.4341,17.7718 .0432.2054-.0504.3802 0,.5875-60.9267,3.4738-109.0243,53.6685-109.421,115.2962 .3992,61.6278 48.4947,111.9694 109.421,115.4431-.0504.2078.0432.3821 0,.5875-1.3409,6.28-2.7353,12.173-5.4341,17.7718-2.6357,5.63-6.6876,11.2584-11.1625,16.7436-4.9754,6.0863-10.3427,11.9762-16.009,17.7718-6.7929,6.5193-13.8428,12.9575-20.7095,19.5343 7.9062-5.3751 15.8426-10.6023 23.7936-16.0093 6.7298-4.8935 13.4005-10.1644 19.8282-15.7155 5.6799-4.8568 11.506-10.2386 16.4499-16.8905 4.8226-6.7039 8.1596-13.9121 10.8682-20.4155 .5953-1.3979 1.0509-2.5709 1.6159-3.9656 7.6074-.8342 14.9516-2.2147 22.0312-4.4062-.1175,5.9818.1038,11.9033.4418,17.9186 .5535,9.9637 1.9857,20.2315 5.2874,30.403 2.4544,8.0123 6.6608,16.5205 14.2471,23.7936 5.411,4.9153 11.8283,8.802 18.7998,11.7499 1.3691,22.6834 21.202,40.6841 45.531,40.6841s44.0261-18.0008 45.3839-40.6841c6.9841-2.9489 13.3855-6.8287 18.7998-11.7499 7.5895-7.2731 11.796-15.7813 14.2471-23.7936 3.3054-10.1715 4.7352-20.4393 5.2874-30.403 .3387-6.0153.5643-11.9368.4418-17.9186 7.0819,2.1915 14.4237,3.572 22.0316,4.4062 .5614,1.3947 1.0232,2.5678 1.6154,3.9656 2.7114,6.5034 6.0428,13.7117 10.8687,20.4155 4.9405,6.6519 10.7671,12.0337 16.4499,16.8905 6.4234,5.5511 13.0974,10.822 19.8282,15.7155 7.9481,5.407 15.8901,10.6342 23.7931,16.0093-6.8637-6.5767-13.9194-13.0149-20.7089-19.5342-5.6691-5.7955-11.0365-11.6855-16.009-17.7718-4.4744-5.4852-8.53-11.1136-11.1625-16.7436-2.6992-5.5988-4.0918-11.4918-5.4345-17.7718-.043-.2054.05-.3802 0-.5875 60.9299-3.4737 109.1699-53.8153 109.568-115.4431-.3992-61.6277-48.6381-111.8224-109.568-115.2962 .05-.2078-.043-.3821 0-.5875 1.3427-6.28 2.7353-12.173 5.4345-17.7718 2.6325-5.6301 6.6881-11.2585 11.1625-16.7437 4.973-6.0862 10.3399-11.9762 16.009-17.7718 6.7895-6.5193 13.8456-12.9575 20.709-19.5343-7.903,5.3751-15.845,10.6023-23.7931,16.0093-6.7309,4.8936-13.4048,10.0176-19.8282,15.5687-5.6828,4.8568-11.5094,10.3855-16.45,17.0374-4.8259,6.7039-8.1573,13.7653-10.8686,20.2686-.5924,1.3979-1.0543,2.7178-1.6155,4.1125-7.6078.8343-14.9496,2.2147-22.0315,4.4062 .1225-5.9818-.1031-11.9033-.4418-17.9186-.552-9.9637-1.982-20.2315-5.2874-30.403-2.4512-8.0123-6.6572-16.5205-14.2471-23.7936-5.4144-4.9212-11.8158-8.8009-18.7999-11.7499-1.324-22.7126-21.0328-40.831-45.3839-40.831zm0,38.9216c40.5232,0 73.4371,30.3872 73.4371,67.8559s-32.9139,67.8558-73.4371,67.8558-73.4371-30.3872-73.4371-67.8558 32.914-67.8559 73.4371-67.8559zm0,33.0467c-18.7308,0-33.9281,15.197-33.9281,33.9279s15.1973,33.9279 33.9281,33.9279 33.9282-15.197 33.9282-33.9279-15.1974-33.9279-33.9282-33.9279zm-132.7742,69.7652c1.5895-.0804 3.2392,0 4.8466,0 51.5122,0 93.2653,41.7551 93.2653,93.2651s-41.7531,93.2651-93.2653,93.2651-93.2648-41.7551-93.2648-93.2651c0-49.9003 39.1385-90.7671 88.4182-93.2651zm256.2951,0c1.5919-.0804 3.2374,0 4.8471,0 51.5099,0 93.2648,41.7551 93.2648,93.2651s-41.7549,93.2651-93.2648,93.2651-93.2648-41.7551-93.2648-93.2651c0-49.9003 39.1404-90.7671 88.4177-93.2651zm-276.1233,33.3404c-33.1381,0-60.0713,26.9322-60.0713,60.0715s26.9332,59.9246 60.0713,59.9246 59.9246-26.7853 59.9246-59.9246-26.7841-60.0715-59.9246-60.0715zm305.2048,0c-33.1403,0-59.9246,26.9322-59.9246,60.0715s26.7843,59.9246 59.9246,59.9246 60.0714-26.7853 60.0714-59.9246-26.9328-60.0715-60.0714-60.0715zm-152.6024,19.5343c10.6262,0 19.2408,18.0574 19.2408,40.3904s-8.6146,40.3904-19.2408,40.3904-19.2407-18.0574-19.2407-40.3904 8.6146-40.3904 19.2407-40.3904zm0,100.7557c40.5232,0 73.4371,30.5341 73.4371,68.0027s-32.9139,67.709-73.4371,67.709-73.4371-30.2403-73.4371-67.709 32.914-68.0027 73.4371-68.0027zm0,34.956c-18.7308,0-33.9281,15.197-33.9281,33.9279s15.1973,33.9279 33.9281,33.9279 33.9282-15.197 33.9282-33.9279-15.1974-33.9279-33.9282-33.9279z"}}]})(props);
};
function GiAbstract078 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m35.3937,20.9999c-7.9561,0-14.3937,6.2908-14.3937,14.2469v19.3875c4.0248-1.6274 8.3203-2.4969 12.925-2.4969 19.1009,0 34.5156,15.4148 34.5156,34.5156s-15.4148,34.6626-34.5156,34.6626c-4.6074,0-8.8982-1.0016-12.925-2.6438v274.5095c4.0248-1.6274 8.3203-2.4969 12.925-2.4969 19.1009,0 34.5156,15.4148 34.5156,34.5156s-15.4148,34.6625-34.5156,34.6625c-4.6074,0-8.8982-1.0016-12.925-2.6438v19.3875c0,7.9561 6.4376,14.3938 14.3937,14.3938h121.3186c7.9571,0 14.3942-6.4377 14.3942-14.3938v-24.5281c-75.757-32.8441-128.8097-108.2494-128.8097-196.0782s53.0527-163.2341 128.8097-196.0783v-24.675c0-7.9561-6.4371-14.2469-14.3942-14.2469h-121.3186zm320.0408,0c-7.9562,0-14.3937,6.2908-14.3937,14.2469v24.8219c75.6615,32.8848 128.6626,108.1708 128.6626,195.9313s-53.001,163.0465-128.6626,195.9313v24.675c0,7.9561 6.4376,14.3938 14.3937,14.3938h121.3188c7.9562,0 14.2467-6.4377 14.2467-14.3938v-19.3875c-3.9842,1.6143-8.3585,2.6438-12.925,2.6438-19.1009,0-34.6625-15.5617-34.6625-34.6625s15.5617-34.5156 34.6625-34.5156c4.5628,0 8.9432.8978 12.925,2.4969v-274.5095c-3.9842,1.6143-8.3585,2.6438-12.925,2.6438-19.1009,0-34.6625-15.5617-34.6625-34.6626s15.5617-34.5156 34.6625-34.5156c4.5628,0 8.9432.8977 12.925,2.4969v-19.3875c0-7.9561-6.2905-14.2469-14.2467-14.2469h-121.3188zm-110.303,38.775c-46.0703,2.5047-87.8962,20.9372-120.144,49.7907l8.9593,8.9594c29.931-26.5968 68.6314-43.4755 111.1847-45.9719v-12.7782zm21.7375,0v12.7782c42.5519,2.4964 81.2532,19.3751 111.1842,45.9719l8.9591-8.9594c-32.2472-28.8534-74.0739-47.286-120.1433-49.7907zm-21.7375,18.2126c-41.07,2.4603-78.4087,18.7337-107.3659,44.3563l45.0909,45.0906h.1456c17.2086-14.2032 38.658-23.3498 62.1284-25.5562v-63.8907zm21.7375,0v63.8907c23.468,2.2065 44.9193,11.353 62.1279,25.5562h.1456l45.0904-45.0906c-28.9572-25.6226-66.2968-41.896-107.3655-44.3563zm-157.3034,47c-28.8534,32.2479-47.286,74.0738-49.7907,120.1438h12.7782c2.4964-42.5526 19.3752-81.2532 45.9719-111.1844l-8.9594-8.9593zm292.8689,0-8.9596,8.9593c26.5973,29.9312 43.476,68.6318 45.9721,111.1844h12.7779c-2.5032-46.0699-20.9371-87.8959-49.7904-120.1438zm-280.0908,12.7782c-25.6227,28.957-41.8961,66.2965-44.3563,107.3656h63.8907c2.2066-23.4688 11.3528-44.9195 25.5562-62.1281v-.1463l-45.0906-45.0907zm267.3128,0-45.0908,45.0906v.1463c14.2034,17.2087 23.3496,38.6593 25.5562,62.1281h63.8904c-2.4595-41.0692-18.7337-78.4086-44.3558-107.3657zm-133.6568,37.7469-21.7375,48.4688-55.3717,6.0219 41.4188,37.3063-11.6029,54.6375 47.2933-27.3188 47.2943,27.3188-11.6034-54.6375 41.4188-37.3063-55.3721-6.0219-21.7375-48.4688zm-196.2249,91.3563c2.5047,46.0699 20.9372,87.8959 49.7907,120.1438l8.9594-8.9594c-26.5967-29.9312-43.4755-68.6318-45.9719-111.1844h-12.7782zm18.2126,0c2.4602,41.0692 18.7336,78.4086 44.3563,107.3657l45.0906-45.0906v-.1467c-14.2034-17.2087-23.3496-38.6593-25.5562-62.1281h-63.8907zm292.1345,0c-2.2066,23.4688-11.3528,44.9195-25.5562,62.1281v.1467l45.0908,45.0906c25.6221-28.9571 41.8963-66.2965 44.3558-107.3657h-63.8904zm69.3251,0c-2.4962,42.5526-19.3748,81.2532-45.9721,111.1844l8.9596,8.9594c28.8533-32.2479 47.2871-74.0739 49.7904-120.1438h-12.7779zm-256.5905,77.6969-45.0909,45.0906c28.9572,25.6226 66.2959,41.896 107.3659,44.3563v-63.8907c-23.4695-2.2065-44.9198-11.353-62.1283-25.5563-.0432-.0238-.1175.0238-.1456,0zm146.1405,0c-17.2086,14.2032-38.6608,23.3498-62.1279,25.5563v63.8907c41.0686-2.4603 78.4083-18.7336 107.3654-44.3563l-45.0904-45.0906h-.1456zm-195.0501,48.9094-8.9593,8.9594c32.2478,28.8534 74.0727,47.286 120.144,49.7906v-12.7781c-42.5533-2.4964-81.2536-19.3752-111.1847-45.9719zm244.1064,0c-29.931,26.5968-68.6323,43.4755-111.1842,45.9719v12.7781c46.0694-2.5047 87.8962-20.9372 120.1433-49.7906l-8.9591-8.9594z"}}]})(props);
};
function GiAbstract079 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m255.9996,20.9997c-14.4357,0-28.5557,1.1454-42.2722,3.2313l21.6662,210.1784-60.3026-201.5127c-26.8867,8.256-51.4751,20.5949-72.7276,35.9844l97.4242,182.7128-125.1512-159.0659c-17.8034,18.0622-31.6683,38.9103-40.9094,61.5407l145.9093,126.9002-155.4546-95.1751c-2.0171,10.375-3.1817,21.0181-3.1817,31.8719 0,13.0584 1.4983,25.8396 4.3939,38.1875l153.7876,59.3376-143.1815-28.0531c9.9229,22.0271 24.4652,42.3312 42.5756,59.7782l121.5154-2.4968-94.0911,24.8219c21.1408,14.6991 45.3819,26.4181 71.8181,34.2219l57.5756-41.7125-22.727,129.2502h19.2426l13.0289-102.6177-1.6655,102.6177h55.9094l-22.7276-129.2502 57.5763,41.8594c26.4643-7.7919 50.6535-19.669 71.8181-34.3688l-93.485-24.3813 121.0606,2.0562c18.1104-17.4469 32.6527-37.7511 42.5756-59.7782l-143.4849,27.9063 154.091-59.1907c2.8956-12.3479 4.3939-25.1292 4.3939-38.1875 0-10.8538-1.1646-21.4969-3.1817-31.8719l-155.1519,95.1751 145.6066-126.9002c-9.2663-22.6918-23.1889-43.5911-41.0608-61.6876l-124.9998,159.0658 97.2729-182.7128c-21.2496-15.3577-45.8597-27.6029-72.7276-35.8375l-60.1513,201.5127 21.5148-210.1784c-13.671-2.0714-27.7363-3.2313-42.1216-3.2313zm0,246.4566c30.7999,0 55.7581,17.3878 55.7581,38.9219s-24.9582,39.0688-55.7581,39.0688-55.7573-17.5347-55.7573-39.0688 24.9582-38.9219 55.7573-38.9219z"}}]})(props);
};
function GiAbstract080 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,20.9999v218.8438h59.1907v-159.6532h159.6533v-59.1907h-218.844zm251.1566,0v59.1907h159.7999v159.6532h59.0435v-218.8438h-218.8434zm-163.0315,88.125v293.7501h293.7503v-293.7501h-293.7503zm146.8748,58.7501c48.64,0 88.1253,39.4852 88.1253,88.125s-39.4853,88.125-88.1253,88.125-88.1246-39.4853-88.1246-88.125 39.4847-88.125 88.1246-88.125zm-234.9999,104.2813v218.8438h218.844v-59.1906h-159.6533v-159.6532h-59.1907zm410.9565,0v159.6532h-159.7999v59.1906h218.8434v-218.8438h-59.0435z"}}]})(props);
};
function GiAbstract081 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,491c45.5009,0 82.1031-36.2792 82.1031-81.3688v-122.4938c75.0668-7.6972 131.1692-25.5672 144.2313-47.2938-23.7679,14.9654-77.0125,26.755-144.2313,32.1657v-82.8424c-26.3208-5.1316-53.7862-7.9313-82.1031-7.9313s-55.7822,2.7996-82.1031,7.9313v82.8424c-67.3641-5.4257-120.7516-17.1443-144.3782-32.1657 12.9097,21.7736 69.1664,39.5789 144.3782,47.2938v122.4938c0,45.0895 36.6023,81.3688 82.1031,81.3688zm0-30.1094c-22.1138,0-39.95-18.13-39.95-40.2438s17.8362-39.95 39.95-39.95 39.95,17.8362 39.95,39.95-17.8361,40.2438-39.95,40.2438zm0-89.3c-22.1138,0-39.95-17.9831-39.95-40.0968s17.8362-39.95 39.95-39.95 39.95,17.8362 39.95,39.95-17.8361,40.0968-39.95,40.0968zm0-89.3c-22.1138,0-39.95-17.9831-39.95-40.0969s17.8362-39.95 39.95-39.95 39.95,17.8362 39.95,39.95-17.8361,40.0969-39.95,40.0969zm235-64.0375c-18.7286-111.8846-116.7838-197.2531-235-197.2531s-216.2714,85.3685-235,197.2531c29.3208-20.1572 63.8706-36.5746 102.0781-48.175 14.6745-50.1496 35.7897-91.4374 61.0999-118.675-16.1791,29.0545-29.6545,67.6578-39.5094,112.8 34.8542-8.6224 72.2828-13.3656 111.3313-13.3656s76.4772,4.7432 111.3313,13.3656c-9.8549-45.1422-23.3303-83.7454-39.5094-112.8 25.3103,27.2376 46.4255,68.5254 61.1,118.675 38.2075,11.6004 72.7573,28.0178 102.0781,48.175z"}}]})(props);
};
function GiAbstract082 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256.0051,21.0151c-4.3472,0-8.7572.0331-13.0727.2938-9.6675.5317-19.1735,1.8595-28.495,3.5252-1.0321.1843-2.0562.3897-3.0846.5875-.8814.1701-1.7657.2609-2.6436.4404-.49.0846-.9801.1903-1.4687.2938s-.9802.1871-1.4695.2938c-5.135,1.1194-10.2722,2.3699-15.2753,3.8189-.49.1381-.9808.2956-1.4688.4404-.2522.0752-.4828.2153-.7343.2938-.7251.2177-1.4818.3629-2.2032.5875-1.378.4672-2.7322,1.0105-4.1131,1.4688-2.9073.9649-5.8095,1.8635-8.6664,2.9376-.3531.1057-.6774.3172-1.0277.4404-4.3213,1.6488-8.5842,3.5425-12.7787,5.4346-4.2651,1.924-8.5064,3.8555-12.6317,6.0221-4.1354,2.1717-8.2059,4.4972-12.1913,6.9034-.1874.1124-.3964.181-.591.2938-3.8039,2.3112-7.5047,4.6801-11.1629,7.1972-6.0589,4.1691-11.849,8.6617-17.4791,13.3662-2.1283,1.7774-4.2543,3.5841-6.3155,5.4346-.382.3455-.7921.6801-1.1755,1.0282-2.2133,2.0133-4.3271,4.0726-6.4625,6.169-.2955.2895-.5838.5899-.8814.8813-2.9174,2.8912-5.7562,5.773-8.5194,8.8129-1.6677,1.8318-3.2453,3.6974-4.8467,5.5815-1.5992,1.8731-3.1603,3.8051-4.7004,5.7284-3.1062,3.878-6.1,7.8239-8.9597,11.8974-1.8335,2.6114-3.5596,5.2436-5.2878,7.9316-.173.2616-.418.4706-.591.7344-.3459.534-.6918,1.0791-1.0284,1.6157-.1297.2061-.3099.3805-.4396.5874-.418.671-.7726,1.3778-1.1748,2.0563-1.5545,2.6199-3.0651,5.2585-4.5534,7.9317-.3603.6515-.8187,1.254-1.1754,1.9094v.1463c-1.7859,3.2927-3.5098,6.6028-5.1408,9.9879-1.6158,3.3592-3.0932,6.7037-4.5526,10.1348-.4108.9642-.7784,1.9669-1.1755,2.9377-.8857,2.1495-1.8183,4.2824-2.6441,6.4628-.4562,1.2169-.8855,2.4456-1.3217,3.672-.3481.9768-.6926,1.9546-1.0283,2.9376h-.1456c-.4418,1.2985-.7563,2.6576-1.1751,3.9658-.1225.3841-.1736.7897-.2911,1.175-.08.253-.2162.4814-.2912.7345-.5073,1.7063-.9753,3.4221-1.4688,5.1408v.147c-.075.2032-.235.3791-.2912.5874-.1787.6248-.2681,1.2805-.4418,1.9095-.5456,1.996-1.1215,4.0057-1.6154,6.0221-.1456.5895-.3006,1.1737-.4418,1.7626-.1831.7737-.2681,1.5736-.4418,2.3501-.7041,3.1144-1.3301,6.2414-1.9092,9.4004-.084.4468-.2162.8752-.2962,1.3222-.051.1975-.1132.3899-.1456.5874-.4512,2.5941-.8079,5.1622-1.175,7.785 0,.1506-.1269.2868-.1456.4418-.1362.9926-.315,1.9402-.4418,2.9376h.1456c-.4137,3.2986-.753,6.648-1.0279,9.9879-.0504.3431-.1175.6832-.1456,1.0279h-.1456c-.16,2.0376-.2018,4.1146-.2912,6.1696 0,.0987.005.1975 0,.2912-.002.0504.002.0987 0,.1456-.1975,3.9575-.2912,7.8906-.2912,11.8975v.1456c.002,4.006.0937,7.9406.2912,11.8972 .002.0505-.002.0987 0,.1456 .1413,2.9489.3387,5.895.5874,8.8128 .08.9297.2068,1.8571.2912,2.7906v.5874c.0843.8846.1924,1.7692.2912,2.6443 .2018,1.7795.4879,3.527.7346,5.2878 .2025,1.4716.3575,2.9433.5874,4.406 .05.2912.099.5881.1456.8817 .5492,3.4269 1.0669,6.7584 1.7626,10.1346 .7553,3.6403 1.5745,7.2943 2.4967,10.8697 .051.0577.1175.0894.1456.1456v.1456c.863,3.3216 1.7903,6.5765 2.7905,9.8418 .1225.3993.3149.775.4418,1.175 .9358,2.9593 1.9021,5.8973 2.9376,8.8128 .1268.3524.3149.6767.4418,1.0275 .3149.8733.5556,1.7757.8808,2.6439 .5701,1.5261 1.1636,3.041 1.7625,4.554 .6054,1.5196 1.2742,3.049 1.9098,4.5526 1.4832,3.5252 3.0529,6.9949 4.7004,10.4284 1.4205,2.9607 2.8648,5.9308 4.4064,8.8129 .2378.4468.4901.8794.7337,1.3222v.1456c1.3383,2.4634 2.6932,4.7872 4.113,7.1969 .5117.8601 1.0969,1.654 1.6158,2.4968 1.267,2.0568 2.4915,4.1305 3.819,6.1695 .2883.4418.591.8813.8814,1.3217 1.1892,1.8002 2.4353,3.5229 3.672,5.2878 .5405.7784 1.0637,1.5783 1.6158,2.3501 .8612,1.1981 1.7607,2.344 2.6435,3.5252 1.28,1.7174 2.4951,3.4664 3.819,5.141 .1513.1881.2955.395.4396.5874 .7135.8987 1.4767,1.7561 2.2032,2.6435 .3676.4562.7993.8705 1.1747,1.3221 1.0451,1.2578 2.0108,2.5828 3.0854,3.819 1.1862,1.3668 2.4647,2.6335 3.6712,3.966 1.1387,1.2568 2.2032,2.5818 3.3786,3.8185 .1153.1268.3171.1694.4397.2962 1.2972,1.3592 2.6377,2.6363 3.966,3.9651 .8958.9151 1.721,1.8984 2.6442,2.7906 .591.5794 1.1603,1.1924 1.7628,1.7625 1.182,1.121 2.4461,2.155 3.6713,3.2319 1.0421.9156 2.0432,1.8768 3.0846,2.7905 .072.0432.094.0987.1441.1456 .8692.761 1.7643,1.4538 2.6443,2.203 1.3174,1.1205 2.6233,2.2862 3.966,3.3781 2.1469,1.7532 4.4013,3.4617 6.6088,5.1411 .4468.3387.8749.6948 1.3217,1.0284 .2811.2068.5982.3805.8822.5874 2.6349,1.9449 5.2135,3.8923 7.9313,5.7282 2.7285,1.851 5.5566,3.7024 8.3723,5.4349 .1514.0937.2883.2018.4397.2912l.7344.4418c1.8485,1.1234 3.6993,2.1574 5.5818,3.2314 1.4068.8018 2.8381,1.568 4.2593,2.3501 .8836.4865 1.7513.9988 2.6442,1.4689 2.3315,1.2296 4.6695,2.3727 7.0499,3.5252 .137.0649.3027.08.4397.1456 1.5595.7431 3.1256,1.4876 4.7004,2.2035 1.1351.5167 2.2356,1.1163 3.3779,1.6159 .7668.3337 1.5704.5787 2.3502.8808 .6991.2681 1.3664.5967 2.0568.8818 2.3315.9603 4.6795,1.9026 7.0506,2.7906 .5334.2018 1.0789.3899 1.6151.5874 .1442.0505.2955.0937.4397.1456 .1009.0505.1946.1081.2954.1456 2.4281.8794 4.8806,1.6963 7.344,2.4967 .6774.2205 1.3772.3712 2.0569.5874l1.9091.5874c1.2273.3805 2.4323.8193 3.6719,1.1751 2.0944.6025 4.1974,1.2178 6.3155,1.7625 3.107.8018 6.2463,1.528 9.4008,2.2035 .4397.0937.8793.2018 1.3218.2912 .5405.1132 1.0782.1881 1.6158.2912 3.517.7063 7.0045,1.3635 10.5755,1.9092 3.2036.4915 6.4496.8164 9.6942,1.1751 .3459.0504.6846.1132 1.0277.1456 .8764.0937 1.7657.2112 2.6442.2912 .591.0577 1.1784.0987 1.7629.1456 2.2457.1975 4.4928.3099 6.7558.4418 .6342.0432 1.2749.1124 1.9099.1456 1.1725.0577 2.3487.1031 3.5256.1456 2.8432.1038 5.6503.1456 8.5187.1456 4.0561,0 8.0387-.0894 12.0443-.2962 3.9588-.1975 7.8455-.4879 11.751-.8808h.2883c2.7329-.2818 5.5205-.6558 8.2253-1.0284 1.925-.2631 3.8183-.5708 5.7289-.8813 .6918-.1124 1.3686-.1737 2.0554-.2912 .8915-.155 1.7563-.2775 2.6442-.4418 2.8807-.5304 5.8226-1.1267 8.6657-1.7625 .591-.1319 1.1777-.3056 1.7629-.4418 1.6331-.3762 3.2359-.7845 4.8474-1.1751 .3459-.0843.6846-.2068 1.0277-.2912 .4829-.1225.9881-.1643 1.4688-.2912 .9326-.2494 1.863-.4749 2.7913-.7346 .8345-.2306 1.664-.4915 2.4965-.7342 1.3866-.4043 2.7372-.8987 4.113-1.3217 1.0212-.315 2.0698-.5499 3.0839-.8818 .1009-.0432.1873-.1124.2954-.1456 2.5038-.8221 5.0233-1.7405 7.491-2.6439l2.3502-.8813c.8886-.3387 1.7607-.6818 2.6435-1.0284 3.1178-1.2225 6.2024-2.6147 9.2538-3.9656 .4829-.2112.9888-.3712 1.4688-.5874l1.3217-.5874c3.9329-1.802 7.7915-3.7192 11.6033-5.7281 8.5201-4.4901 16.6691-9.5165 24.5297-14.9824 2.2291-1.5506 4.4366-3.0763 6.6096-4.7002l1.7628-1.3217c.4108-.315.7632-.7106 1.1747-1.0284 2.3149-1.7889 4.6586-3.5618 6.9036-5.4344 5.0334-4.1982 9.8779-8.6211 14.5415-13.2193 .2523-.2443.4901-.4886.7344-.7347 .1442-.1456.2955-.2912.4397-.4418 2.4114-2.4122 4.7443-4.8295 7.0498-7.3441 .2379-.2537.5045-.4778.7344-.7342 4.5916-5.0518 8.9302-10.4251 13.0721-15.8632 2.1729-2.8525 4.273-5.7136 6.3162-8.6663 2.3423-3.3846 4.5916-6.7716 6.7565-10.2817 .2811-.4468.6054-.8751.8815-1.3221 .7949-1.3076 1.5805-2.6415 2.3502-3.9656 1.0644-1.7579 2.1015-3.4862 3.0846-5.2878 .086-.155.209-.2868.2954-.4418v-.1456c1.8602-3.4255 3.5942-6.9027 5.2871-10.4284 1.561-3.2586 3.1386-6.6494 4.5534-9.988v-.1456c.1873-.4418.4036-.8803.5909-1.3221 1.2894-3.1073 2.5225-6.2188 3.6727-9.4004 .3892-1.0637.6559-2.1602 1.0277-3.2309 .7063-2.0484 1.4068-4.0953 2.0562-6.1695 1.0212-3.2055 2.0525-6.4304 2.9376-9.6937 .8778-3.2342 1.6093-6.5535 2.3502-9.8413 .867-3.8462 1.6741-7.6881 2.3502-11.6039v-.1456c.5477-3.1783 1.0507-6.3269 1.4688-9.5471 .1008-.7835.2017-1.5646.2882-2.35 .4252-3.5816.7633-7.2402 1.0277-10.8697 .4036-5.5369.7207-11.1071.7344-16.744 .0008-.1506 0-.2912 0-.4418v-.1456c0-14.8724-1.4709-29.3717-4.1123-43.477-.2378-1.2682-.4756-2.5583-.7344-3.8194-.2594-1.278-.5981-2.548-.8821-3.8185-3.2604-14.6799-7.7944-28.9443-13.6594-42.4487-.4973-1.1474-1.0904-2.2461-1.6158-3.3783-.7467-1.6098-1.4378-3.2475-2.2032-4.8471-.1441-.2962-.3027-.5823-.4396-.8813v-.147c-1.4991-3.0911-3.0767-6.0918-4.7004-9.1067v-.147c-1.569-2.8878-3.3095-5.706-4.9945-8.5191-.2378-.3928-.4973-.784-.7336-1.175-.072-.0288.072-.1247 0-.1463-1.5164-2.4952-3.0954-4.911-4.7004-7.3441-4.0518-6.1411-8.3313-12.0523-12.9258-17.7726-4.3422-5.4065-9.0109-10.5707-13.8064-15.5695-.1442-.149-.2955-.2919-.4396-.4404l-.2955-.2938c-2.3971-2.4768-4.841-4.8278-7.344-7.1974-7.3143-6.9241-15.051-13.4417-23.2079-19.3884-5.2618-3.837-10.5756-7.4715-16.1559-10.8692-.072-.0331-.087-.1124-.1442-.1467-4.3876-2.6661-8.9431-5.1103-13.5131-7.491-3.4348-1.7895-6.8963-3.5187-10.4278-5.1409-3.5134-1.6132-7.1198-3.1109-10.7225-4.5533-.1009-.0425-.1946-.1067-.2955-.1467-10.8343-4.3195-22.0772-7.8916-33.6358-10.5755-.3892-.0907-.7812-.2026-1.1747-.2938-1.4083-.3191-2.8425-.5874-4.2601-.8813-2.0446-.424-4.1159-.8149-6.1692-1.1751-5.6416-1.0118-11.2645-1.8956-17.038-2.497-3.8125-.3972-7.7396-.8156-11.604-1.0282-.2883-.0144-.591.0144-.8807,0h-.1441c-4.0057-.203-7.9882-.2938-12.0443-.2938zm-15.57,21.7385c6.3451.7909 12.6901,1.6505 19.095,2.497 22.0685,2.9166 43.0149,5.5855 62.7188,7.3441 20.4362,6.6511 39.4799,16.3732 56.6953,28.495-16.2424,1.066-33.5327,1.4838-51.8486.7344-24.4382-1.0294-49.8493-3.8531-75.2035-7.1972-17.9209-2.3637-34.8278-4.8782-51.1149-6.9034-13.4331-1.6704-26.2723-2.9183-38.6302-3.8189 23.9409-11.718 50.3495-19.1411 78.2881-21.151zm-84.3095,49.4991c16.4363.1918 33.4757,1.2652 50.8208,2.9376 17.3444,1.6724 34.8458,3.9716 52.5837,6.3159 25.0962,3.3167 48.7949,6.4011 70.7971,8.0785 24.3272,1.8883 47.2116,2.1651 67.8589,1.6157 5.1155-.1363 9.981-.3431 14.6886-.5875 6.0358,6.508 11.547,13.4888 16.744,20.7103-8.6765,1.5517-17.7941,2.9894-27.9076,4.1127-22.2387,2.4704-47.5359,3.7519-74.6155,2.6439-24.4382-1.0294-49.8493-3.8531-75.2035-7.1973-17.9209-2.3637-34.8278-4.8781-51.1149-6.9034s-31.906-3.5334-46.5615-4.4064c-10.3924-.6465-20.4585-.9576-30.1108-1.0281s-18.9147.0995-27.6136.4404c-1.7614.0721-3.2979.2076-4.9937.294 7.6546-9.1937 16.1912-17.7635 25.2634-25.5574 12.3571-1.0291 25.5387-1.5979 39.3646-1.4688zm0,56.2556c16.4363.1917 33.4757,1.2653 50.8208,2.9376 17.3444,1.6724 34.8458,3.9716 52.5837,6.3159 25.0962,3.3167 48.7949,6.4011 70.7971,8.0785 24.3272,1.8883 47.2116,2.165 67.8589,1.6157 19.3176-.5139 36.422-1.6576 51.1149-2.9376 2.7127,5.7194 5.2849,11.4942 7.4909,17.4789-15.1527,3.8207-33.6372,7.4587-55.0808,9.8411-22.2387,2.4685-47.5359,3.6053-74.6155,2.497-4.0712-.1715-8.2102-.3279-12.3383-.5874-15.3632-14.5067-35.955-23.5011-58.7522-23.5011-15.7062,0-30.3753,4.234-43.0365,11.6037-4.0828-.565-8.2167-1.1215-12.1914-1.6157-16.2878-2.0249-31.906-3.5334-46.5615-4.4064-10.3924-.6465-20.4585-.9576-30.1108-1.0282s-18.9147.0995-27.6136.4404c-14.9653.5874-28.0525,1.7145-39.6579,2.7908 2.7646-7.0567 5.9299-13.8953 9.4001-20.5634 8.0452-1.7925 16.5869-3.4974 26.1455-4.8471 18.7375-2.6458 40.383-4.3308 63.7466-4.1127zm0,56.2557c9.821.1132 19.9187.6263 30.1101,1.3222-5.8658,8.1868-10.2217,17.4815-12.9258,27.4666-6.5115-.6198-12.9026-1.0999-19.0942-1.4689-20.7857-1.2935-40.3267-1.2705-57.7244-.5874s-32.7507,2.1264-45.533,3.3786c-2.8951.2818-5.1862.4721-7.785.7341 .5405-5.714 1.3686-11.3176 2.3502-16.8916 12.6728-3.6413 28.3869-7.2332 46.8555-9.8408 18.7375-2.6463 40.383-4.3308 63.7466-4.1127zm310.5075,14.3944c.9095,5.2328 1.5344,10.5074 2.0561,15.8632-3.1602.9264-6.5072,1.8575-10.1344,2.791-15.4511,3.974-34.6037,7.8108-56.8437,10.2813-18.2265,2.0244-38.5863,3.1726-60.2209,2.9376-.5838-10.0895-2.8389-19.637-6.6103-28.4946 22.6055,1.5774 43.9735,1.6883 63.3062,1.175 20.6473-.5492 39.0353-1.85 54.3465-3.2318 5.4262-.4894 9.6076-.9015 14.1005-1.3218zm-310.5075,41.8611c4.7278.0577 9.5658.3762 14.3938.5874 .6486,10.1097 3.0529,19.6398 6.9036,28.4955-7.9501-.761-15.7199-1.3175-23.2073-1.7626-20.7857-1.293-40.3267-1.271-57.7244-.5874s-32.7507,1.9793-45.533,3.2309c-2.3906.2349-3.8788.418-5.7289.5874-.8756-5.2323-1.5675-10.5092-2.0561-15.8632 .6198-.1924 1.1178-.3993 1.7628-.5874 12.7665-3.6968 28.704-7.3418 47.4429-9.9879s40.383-4.3313 63.7466-4.1127zm312.8577,14.1006c-.4973,5.6543-1.272,11.226-2.2032,16.7449-2.6298.7727-5.2935,1.5957-8.2253,2.3501-15.4511,3.974-34.6037,7.6641-56.8437,10.1346s-47.5359,3.6059-74.6155,2.4967c-.6774-.0505-1.3671-.1124-2.0561-.1456 6.1158-8.3198 10.8537-17.6803 13.6601-27.9075 21.1792,1.3743 41.2514,1.8063 59.4865,1.3221 20.6473-.5492 39.0353-1.9966 54.3465-3.3785 6.4301-.5802 11.2811-1.1125 16.4507-1.6159zm-312.8577,42.1552c13.7214.16 27.9105.9749 42.3014,2.2035 15.2334,13.8445 35.3712,22.326 57.5781,22.326 14.8753,0 28.784-3.7672 40.9797-10.4288 11.4815,1.3743 22.6314,2.5612 33.3424,3.3785 24.3272,1.8862 47.2116,2.0188 67.8589,1.4684s39.0353-1.851 54.3465-3.231l3.2309-.2962c-2.717,7.0786-5.9746,13.8708-9.4001,20.5634-12.9812,2.8794-27.8716,5.4805-44.6523,7.3446-22.2387,2.4681-47.5359,3.6046-74.6155,2.4968-24.4382-1.0294-49.8493-3.8542-75.2035-7.197-17.9209-2.3643-34.8278-4.8784-51.1149-6.9037s-31.906-3.3879-46.5615-4.2593c-10.3924-.6472-20.4585-1.1059-30.1108-1.175s-18.9147.2443-27.6136.5874c-12.7542.4995-23.9286,1.3208-34.2238,2.203-2.6976-5.7756-5.308-11.5832-7.4902-17.6258 10.8249-2.7717 23.3463-5.3315 37.6017-7.3441 18.7375-2.6458 40.383-4.3299 63.7466-4.1128zm0,56.2559c16.4363.1881 33.4757,1.2644 50.8208,2.9376 17.3444,1.6719 34.8458,4.1169 52.5837,6.4628 25.0962,3.3165 48.7949,6.255 70.7971,7.9311 24.3272,1.889 47.2116,2.1654 67.8589,1.616 8.3551-.2213 15.9779-.5816 23.3543-1.0284-7.6956,9.391-16.2475,18.1879-25.4104,26.1454-20.8801,2.0427-44.1558,2.7797-69.0344,1.7626-24.4382-1.0307-49.8493-3.708-75.2035-7.0503-17.9209-2.3647-34.8278-5.0264-51.1149-7.0503-16.2878-2.0263-31.906-3.5341-46.5615-4.4069-10.3924-.6458-20.4585-.8117-30.1108-.8808-9.075-.0649-17.7566,0-25.9978.2912-6.0171-6.5817-11.5794-13.5597-16.744-20.8568 3.5588-.6126 7.1926-1.2234 11.0159-1.7625 18.7375-2.6471 40.383-4.3317 63.7466-4.1127zm-14.6886,56.4026c4.7819-.1268 9.7316-.0432 14.6886,0 16.4363.1881 33.4757,1.2644 50.8208,2.9376 17.3444,1.6704 34.8458,3.825 52.5837,6.1685 25.0962,3.3179 48.7949,6.4017 70.7971,8.0787 6.5303.5074 12.8479.8442 19.0942,1.175-26.4179,12.8603-55.8203,20.5192-86.9538,21.4448-3.5321-.4418-7.0412-.856-10.5755-1.3222-17.9209-2.3628-34.8278-4.7326-51.1149-6.7561-2.095-.2631-4.1029-.4915-6.1692-.7346-22.64-6.7754-43.6203-17.3067-62.4248-30.6985 3.0565-.1506 6.0972-.2119 9.2538-.2912z"}}]})(props);
};
function GiAbstract083 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m194.8993,21.001c-14.2898,0-25.8498,10.9658-25.8498,24.528v46.2654c0,7.112 3.2848,13.4403 8.372,17.9187 23.4652-12.064 50.224-18.9468 78.5776-18.9468s55.113,6.8828 78.5776,18.9468c5.0873-4.4784 8.3721-10.8067 8.3721-17.9187v-46.2654c0-13.5622-11.5605-24.528-25.8499-24.528h-122.1995zm-35.8373,28.3468c-23.5328,10.3791-45.1194,24.4612-63.7435,41.2717l45.531,44.3561c5.6842-5.1723 11.8402-9.8721 18.2125-14.2468v-.1467-71.2341zm194.0213,0v71.381c.084.0613.2119.0861.2912.1467 3.0738,2.1216 6.0423,4.4438 8.9596,6.7562 .3855.3041.7943.5742 1.175.8812 2.6019,2.0997 5.1695,4.2168 7.6375,6.4625l45.5311-44.3561c-18.5885-16.7785-40.0965-30.9074-63.5965-41.2717zm-266.7239,49.6435c-11.3659,11.4004-21.4008,23.9843-30.1095,37.453l56.3998,31.8717c1.034-1.6067 2.1432-3.1301 3.2312-4.7 .4043-.5821.7656-1.1856 1.175-1.7625 1.1341-1.5922 2.3359-3.1488 3.525-4.7 .4043-.5258.7666-1.0947 1.175-1.6156 .7113-.9059 1.4711-1.7529 2.2034-2.6437 .9193-1.1275 1.8391-2.275 2.7903-3.3781 1.3531-1.5648 2.7021-3.1867 4.1125-4.7 .3762-.4065.7929-.7722 1.175-1.175l-45.6778-44.6498zm339.2794,0-45.6777,44.6498c.3805.4028.7972.7685 1.175,1.175 1.4133,1.5159 2.7589,3.1362 4.1125,4.7 .3856.4465.7948.8716 1.175,1.3219 1.3095,1.5456 2.5676,3.1083 3.8187,4.7 .4087.521.7727,1.0898 1.175,1.6156 1.1877,1.5491 2.3919,3.108 3.5251,4.7 .4086.5769.7726,1.1803 1.1749,1.7625 1.0876,1.5708 2.1968,3.0881 3.2313,4.7l56.5469-31.8717c-8.7171-13.5045-18.87-26.0278-30.2567-37.453zm-173.0175,30.5499c-9.0085.2143-17.7993,1.3943-26.2908,3.2312l11.75,43.0342c4.6539-1.012 9.6171-1.5656 14.5408-1.7625v-44.5029zm6.9028,0v44.5029c4.9214.197 9.7398.7504 14.3937,1.7625l11.75-43.0342c-8.492-1.8369-17.1352-3.0169-26.1437-3.2312zm-39.656,4.8469c-8.6358,2.311-16.9586,5.2708-24.8216,9.1062l23.059,39.5092c4.2751-2.191 8.8336-3.859 13.5125-5.2875l-11.7499-43.328zm72.2621,0-11.7499,43.328c4.6789,1.4285 9.2373,3.0964 13.5125,5.2875l23.2061-39.5092c-7.8631-3.8353-16.3334-6.7951-24.9687-9.1062zm-103.1058,12.3375c-7.8588,4.3288-15.2332,9.2755-22.0312,14.9812l33.9282,33.1936c3.5546-3.1955 7.5083-6.1237 11.6029-8.6656l-23.4999-39.5092zm134.0966,0-23.4999,39.5092c4.0937,2.5419 8.0482,5.4701 11.6028,8.6656l33.7812-33.1936c-6.7986-5.7056-14.0252-10.6524-21.8841-14.9812zm-273.1864.1467c-7.9421,13.8617-14.4355,28.6292-19.2408,44.0623l63.5964,16.5968c.08-.2496.2068-.4849.2962-.7344 3.1119-9.7285 6.9306-19.1948 11.75-28.053l-56.3998-31.8717zm412.1291,0-56.3998,31.8717c4.8044,8.8582 8.6499,18.3245 11.75,28.053 .08.2496.2111.4847.2962.7344l63.5963-16.5968c-4.7949-15.4331-11.3137-30.2006-19.2408-44.0623zm-300.358,19.3874c-12.2298,11.3656-22.3662,25.0028-29.6686,40.0967 19.3366-1.5276 39.7524-2.5826 60.9526-3.3781 .9729-1.171 2.0455-2.2724 3.0847-3.3781l-34.3687-33.3405zm188.5868,0-34.2215,33.3405c1.0387,1.1057 2.1122,2.2071 3.0841,3.3781 21.189.795 41.4816,1.8505 60.806,3.3781-7.3023-15.0939-17.4388-28.7311-29.6686-40.0967zm-322.8299,36.1311c-3.8657,15.3315-6.0301,31.212-6.4625,47.5873h65.9469c.1319-3.6515.4929-7.2964.8807-10.8687 .1737-1.6361.3711-3.2252.5873-4.8468 .0504-.2002.1175-.3873.1456-.5875 .2162-1.5641.3293-3.1501.5873-4.7 .3711-2.1348.8686-4.2044 1.3221-6.3156 .2493-1.1918.4605-2.3426.7341-3.525l-63.7435-16.7437zm457.0731,0-63.7435,16.7437c.2775,1.1823.4872,2.3332.7342,3.525 .4511,2.1112.9499,4.1808 1.3221,6.3156 .1081.6276.2018,1.2795.2911,1.9094 .1831,1.1248.2818,2.2462.4418,3.3781 .2162,1.6217.4137,3.2107.5873,4.8468 .3899,3.5724.7497,7.2172.8808,10.8687h65.9468c-.4324-16.3753-2.6052-32.2558-6.4624-47.5873zm-228.5366,1.7625c-28.6168,0-51.8469,23.2297-51.8469,51.8467s23.2301,51.8467 51.8469,51.8467 51.8469-23.2297 51.8469-51.8467-23.2301-51.8467-51.8469-51.8467zm-102.3717,22.178c-16.3522,0-29.6681,13.3161-29.6681,29.6686s13.3159,29.6686 29.6681,29.6686 29.6691-13.3161 29.6691-29.6686-13.3164-29.6686-29.6691-29.6686zm204.7434,0c-16.3526,0-29.522,13.3161-29.522,29.6686s13.1694,29.6686 29.522,29.6686 29.6682-13.3161 29.6682-29.6686-13.316-29.6686-29.6682-29.6686zm-337.3707,35.6905c.4511,16.3263 2.5981,32.1392 6.4625,47.4404l63.7435-16.5968c-.2775-1.1738-.4829-2.3437-.7341-3.525-.5873-2.7346-1.1647-5.4485-1.6159-8.225-1.0124-6.2341-1.6746-12.6241-1.9091-19.0937h-65.9469zm404.0512,0c-.1318,3.6508-.4893,7.2952-.8808,10.8687-.1787,1.6121-.3668,3.2496-.5873,4.8468-.1549,1.1316-.263,2.2539-.4418,3.3781-.1037.6381-.183,1.2735-.2911,1.9094-.3712,2.1349-.8695,4.2054-1.3221,6.3156-.2493,1.1812-.4605,2.3512-.7341,3.525l63.7435,16.5968c3.8558-15.3012 6.0113-31.1142 6.4625-47.4404h-65.9469zm-330.7611,42.4467-63.4497,16.5968c4.8085,15.3766 11.1812,30.0921 19.0941,43.9154l56.5464-31.7249c-.9804-1.7985-1.8767-3.7429-2.7908-5.5812-.24-.489-.498-.9771-.7341-1.4687-.9372-1.9396-1.7831-3.8944-2.6438-5.875-.1737-.3995-.418-.7737-.5873-1.175-.8883-2.0913-1.6924-4.1822-2.4971-6.3156-.94-2.5065-1.8217-5.0772-2.6433-7.6375-.08-.2463-.2119-.4875-.2962-.7344zm323.418,0c-.08.2467-.2118.488-.2962.7344-.8173,2.5603-1.7023,5.131-2.6433,7.6375-.8046,2.1334-1.6073,4.2242-2.4971,6.3156-.1693.4014-.4136.7753-.5873,1.175-.862,1.9806-1.7061,3.9354-2.6437,5.875-.2349.4916-.4958.9798-.7341,1.4687-.9133,1.8383-1.8133,3.7827-2.791,5.5812l56.5465,31.7249c7.8974-13.8234 14.2964-28.5389 19.0941-43.9154l-63.4497-16.5968zm-285.8181,1.0281c7.3137,15.212 17.5061,28.9507 29.8157,40.3905l34.3687-33.3405c-1.066-1.1338-2.0887-2.3225-3.0847-3.525-21.258-.7977-41.7151-1.9913-61.0998-3.525zm248.2182,0c-19.3728,1.5337-39.7059,2.7278-60.9531,3.525-.9949,1.2025-2.0191,2.3912-3.0841,3.525l34.2215,33.3405c12.3097-11.4397 22.5021-25.1784 29.8157-40.3905zm-179.1868,11.75-33.9282,33.1936c6.798,5.7056 14.1723,10.6524 22.0312,14.9812l23.4999-39.5092c-4.0946-2.5419-8.0483-5.4701-11.6029-8.6656zm110.3025,0c-3.5546,3.1955-7.5101,6.1236-11.6028,8.6656l23.4999,39.5092c7.8589-4.3288 15.0855-9.2756 21.8841-14.9812l-33.7812-33.1936zm-93.1184,11.8968-23.059,39.5092c7.863,3.8353 16.1858,6.7951 24.8216,9.1062l11.7499-43.328c-4.6789-1.4285-9.2374-3.0964-13.5125-5.2875zm75.7873,0c-4.2752,2.191-8.8336,3.859-13.5125,5.2875l11.7499,43.328c8.6353-2.3111 17.1056-5.2709 24.9687-9.1062l-23.2061-39.5092zm-55.8123,7.1969-11.75,43.0342c8.4915,1.8369 17.2823,3.0169 26.2908,3.2312v-44.5029c-4.9233-.197-9.8869-.7504-14.5408-1.7625zm35.8373,0c-4.6539,1.012-9.4723,1.5656-14.3937,1.7625v44.5029c9.0085-.2143 17.6517-1.3944 26.1437-3.2312l-11.75-43.0342zm-161.2681,7.3437-56.3998,31.8718c8.6978,13.4629 18.9151,25.9064 30.2561,37.3061l45.5311-44.503c-4.8833-5.1499-9.3253-10.7228-13.5124-16.4499-.8813-1.1815-1.7973-2.3192-2.6437-3.525-1.0965-1.5614-2.1968-3.0976-3.2312-4.7zm286.6989,0c-1.0355,1.6076-2.1432,3.1298-3.2313,4.7-.4043.5832-.7637,1.1847-1.1749,1.7625-1.137,1.6011-2.3327,3.1408-3.5251,4.7-.4043.5273-.7646,1.0932-1.175,1.6156-1.2388,1.5804-2.5234,3.1653-3.8187,4.7-.3805.4516-.7877.8744-1.175,1.3219-1.3588,1.5759-2.6949,3.1752-4.1125,4.7-.3762.4023-.7952.7765-1.175,1.175l45.6777,44.6498c11.3477-11.4068 21.4132-23.978 30.1096-37.453l-56.3998-31.8718zm-258.499,33.3405-45.531,44.3561c18.6204,16.8373 40.2182,30.896 63.7435,41.2717v-71.2341c-6.3967-4.3871-12.5081-9.2032-18.2125-14.3937zm230.299,0c-2.4679,2.2457-5.0355,4.3628-7.6374,6.4625-.3805.3064-.7933.5782-1.175.8812-3.0009,2.379-6.0893,4.7262-9.2529,6.9031v71.381c23.4906-10.3613 45.0118-24.4657 63.5965-41.2717l-45.5312-44.3561zm-193.7271,25.2624c-5.1215,4.4792-8.372,10.7471-8.372,17.9187v46.2654c0,13.5622 11.56,24.528 25.8498,24.528h122.1995c14.2894,0 25.8499-10.9658 25.8499-24.528v-46.2654c0-7.1844-3.3431-13.4722-8.5187-17.9187-23.4393,12.0269-50.1239,18.9468-78.431,18.9468-28.3536,0-55.1129-6.8828-78.5776-18.9468z"}}]})(props);
};
function GiAbstract084 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m263.2075,21.0279c-2.1658-.0799-4.3479.0238-6.6912.1467-11.9379.6187-26.1593,3.7416-41.3111,9.5404-30.2542,8.314-62.0239,23.1297-92.0771,44.1791-86.1337,60.3286-125.4846,148.9204-87.8587,197.8521s138.0224,39.6333 224.1561-20.6952 125.4847-148.7736 87.8588-197.7053c-.2782-.3624-.5873-.6717-.8728-1.0275-8.0522,35.2065-48.2608,82.6048-103.2776,117.7132-69.3742,44.2704-135.7695,52.2272-148.3707,17.9065-5.6196-15.3057.4346-36.3508 14.9826-59.0033-.007,2.4088.2443,4.7421.8727,6.8984 7.0966,24.3588 53.4525,21.8929 103.5686-5.4307s85.0639-69.2834 77.9674-93.6422c-3.1048-10.657-13.7858-16.1719-28.9469-16.7323zm119.4239,47.1146c13.7463,57.2919-31.1848,138.306-113.8963,196.2376-79.1519,55.4383-168.7009,73.0553-222.847,48.4356 32.8368,35.2134 78.2195,59.551 130.479,65.755 .1939.0216.3884-.0216.5816,0v77.0567h-41.8929v12.9162l-109.8234,22.4566h109.8234 35.7835 6.1095 44.3657 30.8378 44.3658 30.6923 44.5112 44.0749 32.7288 42.4748l-31.4197-12.1823h-206.9917v-3.3758h198.264l-2.3274-.8807v-18.9339h-76.8037v-14.2371h36.5326l-36.5326-14.971v-130.0423c20.9101-27.6071 35.1491-60.5036 39.711-97.0179 5.9243-47.4187-5.3323-93.206-28.8014-131.2165zm-55.4208,271.6797v115.8051h-30.6924v-97.3115c10.8456-5.306 20.9713-11.4879 30.6924-18.4936zm-75.0581,34.3453v81.4599h-30.8378v-76.3227c10.4934-.934 20.7861-2.7341 30.8378-5.1371z"}}]})(props);
};
function GiAbstract085 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m241.1656,21c-4.6273,8.6635-8.7879,45.2783-12.3375,64.1844l-28.7875-17.7719c-4.3576-6.3579-9.7027-12.3684-16.1563-17.625-17.8269-14.5206-40.2218-21.1415-61.9812-20.2688s-42.9655,9.3007-58.3094,25.1156c-1.3976,1.4405-2.5649,2.8966-3.8187,4.4062 31.2242-27.5287 81.745-28.2753 115.7375-.5873 10.2051,8.3125 17.6808,18.3487 22.6187,29.0813 2.0941,5.5718 3.3781,11.5147 3.3781,17.7719 0,19.0858-10.5464,35.681-26.4374,44.9437l-31.4313,142.4688 42.1531,177.7187 43.0344-21.4437c3.5496,18.9061 7.7102,33.3428 12.3375,42.0062-6.2766-46.3614-10.2813-117.8044-10.2813-198.1343s4.0047-225.5043 10.2813-271.8657zm29.6688,0c6.2766,46.3614 10.2812,191.5358 10.2812,271.8657s-4.0046,151.773-10.2812,198.1343c4.6272-8.6634 8.7879-23.1001 12.3375-42.0062l43.0343,21.4437 42.1532-177.7187-31.4313-142.4688c-15.8909-9.2627-26.4375-25.8579-26.4375-44.9437 0-6.2572 1.284-12.2001 3.3782-17.7719 4.9378-10.7325 12.4135-20.7688 22.6187-29.0813 33.9924-27.6878 84.5133-26.9413 115.7375.5873-1.2538-1.5096-2.4211-2.9658-3.8187-4.4062-15.344-15.8149-36.5501-24.2429-58.3095-25.1156s-44.1543,5.7482-61.9812,20.2688c-6.4536,5.2566-11.7986,11.267-16.1562,17.625l-28.7875,17.7719c-3.5496-18.9061-7.7103-55.5209-12.3375-64.1844zm-124.55,39.3625c-25.9218,0-46.8531,20.1785-46.8531,44.9437s20.9313,44.7969 46.8531,44.7969 47.0001-20.0316 47.0001-44.7969-21.0782-44.9437-47.0001-44.9437zm219.4313,0c-25.9218,0-47,20.1785-47,44.9437s21.0782,44.7969 47,44.7969 46.8531-20.0316 46.8531-44.7969-20.9313-44.9437-46.8531-44.9437zm-224.8656,9.6938c15.7564,0 28.4937,12.2654 28.4937,27.3188s-12.7373,27.1719-28.4937,27.1719-28.4938-12.1185-28.4938-27.1719 12.7373-27.3188 28.4938-27.3188zm230.3,0c15.7564,0 28.4937,12.2654 28.4937,27.3188s-12.7373,27.1719-28.4937,27.1719-28.4938-12.1185-28.4938-27.1719 12.7374-27.3188 28.4938-27.3188zm-164.7938,82.1031h19.8282c-1.4365,9.4508-2.6894,19.7393-3.8188,30.6969h-16.0094c-7.767,0-14.0999-6.9668-14.0999-15.4219 0-8.4549 6.3329-15.275 14.0999-15.275zm79.4594,0h19.8281c7.7671,0 14.1,6.8201 14.1,15.275 0,8.4551-6.3329,15.4219-14.1,15.4219h-16.0093c-1.1294-10.9576-2.3824-21.2461-3.8188-30.6969zm-120.8781,14.6875-101.1969,11.3094c-18.9831,2.1197-23.6627,26.028-30.6969,43.6219-8.5836,21.4689-12.0438,46.8125-12.0438,71.0875s3.4602,49.6185 12.0438,71.0875c7.0342,17.5938 11.7137,41.502 30.6969,43.6219l101.1969,11.3094-7.4907-30.6969h-70.6468c-7.7671,0-14.1001-6.9891-14.1001-15.8625s6.3329-16.1563 14.1001-16.1563h62.7156l-5.2874-20.8562h-71.5282c-7.767,0-13.9531-7.136-13.9531-16.0094s6.1861-16.0093 13.9531-16.0093h63.8906l-2.7906-10.575 2.6438-10.1344h-63.7438c-7.767,0-13.9531-7.2828-13.9531-16.1563s6.1861-16.0094 13.9531-16.0094h71.5282l5.2874-21.0031h-62.7156c-7.7671,0-14.1001-6.989-14.1001-15.8625s6.3329-16.0094 14.1001-16.0094h70.6468l7.4907-30.6969zm182.125,0 7.4906,30.6969h70.6469c7.7671,0 14.1,7.136 14.1,16.0094s-6.3329,15.8625-14.1,15.8625h-62.7156l5.2875,21.0031h71.5281c7.7671,0 13.9531,7.1359 13.9531,16.0094s-6.186,16.1563-13.9531,16.1563h-63.7438l2.6438,10.1344-2.7906,10.575h63.8906c7.7671,0 13.9531,7.1359 13.9531,16.0093s-6.186,16.0094-13.9531,16.0094h-71.5281l-5.2875,20.8562h62.7156c7.7671,0 14.1,7.2828 14.1,16.1563s-6.3329,15.8625-14.1,15.8625h-70.6469l-7.4906,30.6969 101.1969-11.3094c18.9831-2.1198 23.6627-26.0281 30.6969-43.6219 8.5835-21.469 12.0437-46.8124 12.0437-71.0875 0-24.275-3.4602-49.6186-12.0437-71.0875-7.0342-17.5939-11.7138-41.5022-30.6969-43.6219l-101.1969-11.3094zm-152.4563,35.3969h25.9969c-.7783,9.7612-1.5341,20.1522-2.0562,30.6969h-23.9407c-7.767,0-13.8062-6.967-13.8062-15.4219 0-8.455 6.0392-15.275 13.8062-15.275zm96.7907,0h25.9969c7.7669,0 13.8062,6.82 13.8062,15.275 0,8.4549-6.0393,15.4219-13.8062,15.4219h-23.9407c-.5224-10.5447-1.2779-20.9357-2.0562-30.6969zm-106.9251,50.3781h33.4875c-.3214,9.9218-.6543,19.8801-.7343,30.2563h-32.7532c-7.767,0-13.9531-6.6732-13.9531-15.1282 0-8.4549 6.1861-15.1281 13.9531-15.1281zm109.5688,0h33.4875c7.767,0 13.9531,6.6732 13.9531,15.1281 0,8.455-6.1861,15.1282-13.9531,15.1282h-32.7531c-.08-10.3762-.413-20.3345-.7344-30.2563zm-109.5688,50.0844h32.7532c.08,10.4144.4115,20.5928.7343,30.55h-33.4875c-7.767,0-13.9531-6.82-13.9531-15.275 0-8.4549 6.1861-15.275 13.9531-15.275zm110.3032,0h32.7531c7.767,0 13.9531,6.82 13.9531,15.275s-6.1861,15.275-13.9531,15.275h-33.4875c.3222-9.9572.6544-20.1356.7344-30.55zm-100.1688,50.0843h23.9407c.5225,10.5446 1.2779,20.9356 2.0562,30.6969h-25.9969c-7.767,0-13.8062-6.82-13.8062-15.275 0-8.4549 6.0392-15.4219 13.8062-15.4219zm98.8469,0h23.9407c7.7669,0 13.8062,6.9671 13.8062,15.4219s-6.0393,15.275-13.8062,15.275h-25.9969c.7783-9.7613 1.534-20.1523 2.0562-30.6969zm-87.0969,50.0844h16.0094c1.1252,10.9165 2.3888,21.1285 3.8188,30.55h-19.8282c-7.767,0-14.0999-6.5263-14.0999-14.9812 0-8.455 6.3329-15.5688 14.0999-15.5688zm83.2782,0h16.0093c7.7671,0 14.1,7.1138 14.1,15.5688s-6.3329,14.9812-14.1,14.9812h-19.8281c1.4299-9.4215 2.6936-19.6335 3.8188-30.55z"}}]})(props);
};
function GiAbstract086 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21c-31.896,0-57.5748,25.6785-57.5748,57.5751v38.4812l-27.1713-27.1719c-22.5554-22.5543-58.8143-22.5543-81.369,0s-22.5547,58.8145 0,81.3687l27.172,27.1719h-38.4814c-31.896,0-57.5755,25.6784-57.5755,57.575s25.6795,57.575 57.5755,57.575h38.4814l-27.172,27.1719c-22.5547,22.5543-22.5547,58.8145 0,81.3687s58.8136,22.5543 81.369,0l27.1713-27.1719v38.4813c0,31.8965 25.6788,57.575 57.5748,57.575s57.5755-25.6785 57.5755-57.575v-38.4813l27.172,27.1719c22.5554,22.5543 58.8136,22.5543 81.3683,0s22.5547-58.8145 0-81.3687l-27.1713-27.1719h38.4807c31.8967,0 57.5748-25.6784 57.5748-57.575s-25.6781-57.575-57.5748-57.575h-38.4807l27.1713-27.1719c22.5547-22.5543 22.5547-58.8145 0-81.3687s-58.8129-22.5543-81.3683,0l-27.172,27.1719v-38.4812c0-31.8966-25.6788-57.5751-57.5755-57.5751zm0,33.0469c16.5198,0 29.9624,13.4433 29.9624,29.9625s-13.4426,29.9625-29.9624,29.9625-29.9624-13.4433-29.9624-29.9625 13.4448-29.9625 29.9624-29.9625zm0,147.9031c29.8522,0 54.05,24.199 54.05,54.05s-24.1978,54.05-54.05,54.05-54.05-24.199-54.05-54.05 24.1993-54.05 54.05-54.05zm-171.99,24.0875c16.5191,0 29.8154,13.4434 29.8154,29.9625s-13.2963,29.9625-29.8154,29.9625-29.9624-13.4429-29.9624-29.9625 13.4433-29.9625 29.9624-29.9625zm343.8343,0c16.5184,0 29.9624,13.4434 29.9624,29.9625s-13.444,29.9625-29.9624,29.9625-29.8161-13.4429-29.8161-29.9625 13.297-29.9625 29.8161-29.9625zm-171.8444,171.9906c16.5198,0 29.9624,13.4433 29.9624,29.9625s-13.4426,29.9625-29.9624,29.9625-29.9624-13.4433-29.9624-29.9625 13.4448-29.9625 29.9624-29.9625z"}}]})(props);
};
function GiAbstract087 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21v71.6751h71.675v-71.6751h-71.675zm104.575,0v71.6751h260.85v-71.6751h-260.85zm293.75,0v71.6751h71.675v-71.6751h-71.675zm-398.325,104.575v260.85h71.675v-260.85h-71.675zm104.575,0v260.85h31.8719c2.6667-45.8772 36.6737-83.2489 80.9281-91.2094v-78.4313c-44.2544-7.9605-78.2614-45.3321-80.9281-91.2094h-31.8719zm228.9781,0c-2.6667,45.8773-36.6738,83.2489-80.9281,91.2094v78.4313c44.2543,7.9605 78.2614,45.3321 80.9281,91.2094h31.8719v-260.85h-31.8719zm64.7719,0v260.85h71.675v-260.85h-71.675zm-398.325,293.75v71.675h71.675v-71.675h-71.675zm104.575,0v71.675h260.85v-71.675h-260.85zm293.75,0v71.675h71.675v-71.675h-71.675z"}}]})(props);
};
function GiAbstract088 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21.0001c-2.9545,0-5.8135,1.0303-8.0775,3.0165l-124.5401,132.0079c3.3102,26.0199 5.287,58.6189 5.287,94.0861s-1.9768,67.9226-5.287,93.9425l106.329,114.0525c-80.5429-3.5496-152.2353-23.1246-203.1118-52.7169 43.4116,50.8726 129.853,85.6112 229.4003,85.6112s185.9888-34.7386 229.4008-85.6112c-50.815,29.5565-122.5417,49.1324-202.9656,52.7169l106.329-114.1961c-3.2975-25.9993-5.4337-58.3892-5.4337-93.7989s2.1366-67.9433 5.4337-93.9424l-124.5401-132.1515c-2.2612-1.9862-5.2663-3.0165-8.224-3.0165zm-152.7382,42.2311c-10.114,0-18.2111,105.9847-18.2111,187.1668s8.0971,146.8031 18.2111,146.8031c10.1181,0 18.3582-65.6211 18.3582-146.8031s-8.2415-187.1668-18.3582-187.1668zm305.3292,0c-10.1163,0-18.2111,105.9847-18.2111,187.1668s8.0948,146.8031 18.2111,146.8031 18.3577-65.6211 18.3577-146.8031-8.2424-187.1668-18.3577-187.1668zm-154.2064,32.3197c.5362-.0887 1.0617,0 1.6154,0 2.2189,0 4.4673.6644 6.1682,2.1546l93.4054,81.8765c-2.4779,19.5044-3.9659,43.9647-3.9659,70.5286 0,8.6852.2868,16.8679.5873,24.9939-30.3469-4.578-62.641-7.1822-96.1953-7.1822-33.4908,0-65.7516,2.6201-96.0482,7.1822 .2962-8.091.5874-16.355.5874-24.9939 0-26.6073-1.4829-51.1524-3.9658-70.6723l93.4054-81.7329c1.2732-1.1175 2.7989-1.888 4.4058-2.1546zm1.6154,46.9713c-34.6827,0-62.8578,24.7354-62.8578,55.1589s28.1747,55.0152 62.8578,55.0152 62.8573-24.5919 62.8573-55.0152-28.1727-55.1589-62.8573-55.1589zm-176.2363,51.7114-55.3674,48.5513c-4.5285,3.9724-4.5285,10.5357 0,14.5079l55.3674,48.5514c-1.1153-17.3043-1.7625-36.0454-1.7625-55.7335s.6472-38.5729 1.7625-55.8771zm352.6192.1434c1.1125,17.2693 1.6154,36.0935 1.6154,55.7334s-.503,38.3206-1.6154,55.5898l55.2207-48.4077c4.5285-3.9722 4.5285-10.5356 0-14.5079l-55.2207-48.4077zm-176.3829,107.4449c34.4411,0 67.4619,2.4163 98.2515,6.6076 .4043,4.1758.8366,8.2449 1.3221,12.066l-2.0567,1.8674c-30.7225-4.3671-63.4852-6.8949-97.517-6.8949s-66.7936,2.5278-97.5175,6.8949l-1.9091-1.7238c.4929-3.8726.9132-8.1133 1.3216-12.3532 30.7394-4.1776 63.7249-6.464 98.105-6.464zm0,44.9603c22.818,0 45.025,1.1051 66.3818,2.8729l-60.2135,52.717c-3.3995,2.98-8.7928,2.98-12.1894,0l-60.3611-52.717c21.3582-1.7677 43.5619-2.8729 66.3823-2.8729z"}}]})(props);
};
function GiAbstract089 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m86.2125,21c-35.971,0-65.2125,29.0238-65.2125,64.9187s29.2415,65.0657 65.2125,65.0657c22.0002,0 41.3525-11.0735 53.1692-27.7594l88.8591,44.7969-91.9437,46.4124c-11.9695-14.3727-29.924-23.5-50.0846-23.5-35.971,0-65.2125,29.1707-65.2125,65.0657 0,35.8949 29.2415,64.9187 65.2125,64.9187 20.1592,0 38.1151-9.1695 50.0846-23.5l91.9437,46.4125-88.7125,44.65c-11.8101-16.7268-31.2836-27.6125-53.3159-27.6125-35.971,0-65.2125,29.1707-65.2125,65.0656 0,35.895 29.2415,65.0656 65.2125,65.0656 31.3166,0 57.482-22.1473 63.7442-51.5531h212.2341c6.2614,29.4058 32.4272,51.5531 63.7438,51.5531 35.971,0 65.0654-29.1706 65.0654-65.0656 0-35.8949-29.094-65.0656-65.0654-65.0656-22.0679,0-41.5123,10.9859-53.3154,27.7594l-88.8596-44.7968 91.9437-46.4125c11.9691,14.3319 30.0716,23.5 50.2313,23.5 35.971,0 65.0654-29.0238 65.0654-64.9187 0-35.895-29.094-65.0657-65.0654-65.0657-20.1612,0-38.2622,9.1259-50.2313,23.5l-91.9437-46.4124 88.8596-44.7969c11.8102,16.7183 31.2907,27.7594 53.3154,27.7594 35.971,0 65.0654-29.1708 65.0654-65.0657s-29.094-64.9187-65.0654-64.9187c-31.4271,0-57.7494,22.1671-63.8904,51.7h-211.9409c-6.142-29.5329-32.4638-51.7-63.8908-51.7zm-10.8683,14.1c2.5334,0 4.9289.2501 7.3433.7344-20.3877,4.1624-35.8375,24.7454-35.8375,49.6437s15.4499,45.6282 35.8375,49.7906c-2.4144.485-4.8099.7344-7.3433.7344-23.9963,0-43.6221-22.6265-43.6221-50.525s19.6267-50.3781 43.6221-50.3781zm344.8625,0c2.5333,0 5.0746.2501 7.4904.7344-20.3891,4.1624-35.9847,24.7454-35.9847,49.6437s15.5956,45.6282 35.9847,49.7906c-2.4158.485-4.9571.7344-7.4904.7344-23.9954,0-43.475-22.6265-43.475-50.525s19.4796-50.3781 43.475-50.3781zm-269.9567,62.1282h211.6471c.1974,1.0674.343,2.1763.5873,3.2313l-106.4846,53.6094-106.3375-53.4625c.2587-1.1114.3805-2.2521.5874-3.3781zm105.7499,84.7469 107.8068,54.1969c-1.998,6.2379-3.0846,12.9354-3.0846,19.8281 0,6.8445 1.1134,13.3431 3.0846,19.5343l-107.8068,54.3438-107.6591-54.1969c1.997-6.2292 3.0841-12.7885 3.0841-19.6813 0-6.941-1.0603-13.6992-3.0841-19.975l107.659-54.05zm-180.6557,23.6469c2.5334,0 4.9289.2501 7.3433.7344-20.3877,4.1624-35.8375,24.7455-35.8375,49.6438s15.4499,45.6282 35.8375,49.7906c-2.4144.485-4.8099.7344-7.3433.7344-23.9963,0-43.6221-22.6266-43.6221-50.525s19.6267-50.3781 43.6221-50.3781zm344.8625,0c2.5333,0 5.0746.2501 7.4904.7344-20.3891,4.1624-35.9847,24.7455-35.9847,49.6438s15.5956,45.6282 35.9847,49.7906c-2.4158.485-4.9571.7344-7.4904.7344-23.9954,0-43.475-22.6266-43.475-50.525s19.4796-50.3781 43.475-50.3781zm-164.2068,152.1625 106.3376,53.6094c-.2587,1.1385-.3899,2.356-.5874,3.525h-211.3528c-.2205-1.2334-.4562-2.4693-.7347-3.6719l106.3375-53.4625zm-180.6557,18.3594c2.5334,0 4.9289.2501 7.3433.7344-20.3877,4.1625-35.8375,24.7455-35.8375,49.6438s15.4499,45.6282 35.8375,49.7906c-2.4144.485-4.8099.7344-7.3433.7344-23.9963,0-43.6221-22.6265-43.6221-50.525s19.6267-50.3781 43.6221-50.3781zm344.8625,0c2.5333,0 5.0746.2501 7.4904.7344-20.3891,4.1625-35.9847,24.7455-35.9847,49.6438s15.5956,45.6282 35.9847,49.7906c-2.4158.485-4.9571.7344-7.4904.7344-23.9954,0-43.475-22.6265-43.475-50.525s19.4796-50.3781 43.475-50.3781z"}}]})(props);
};
function GiAbstract090 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21v56.4c29.3773,0 53.1688,23.7914 53.1688,53.1687s-23.7914,53.1688-53.1688,53.1688v19.0937c29.3773,0 53.1688,23.7914 53.1688,53.1688s-23.7914,53.1688-53.1688,53.1688v19.0937c29.3773,0 53.1688,23.7915 53.1688,53.1688s-23.7914,53.1688-53.1688,53.1688v56.3999h56.4c0-29.3773 23.7914-53.1687 53.1688-53.1687s53.1687,23.7914 53.1687,53.1687h19.0938c0-29.3773 23.7914-53.1687 53.1688-53.1687s53.1687,23.7914 53.1687,53.1687h19.0937c0-29.3773 23.7915-53.1687 53.1688-53.1687s53.1688,23.7914 53.1688,53.1687h56.3999v-56.3999c-29.3773,0-53.1687-23.7914-53.1687-53.1688s23.7914-53.1688 53.1687-53.1688v-19.0937c-29.3773,0-53.1687-23.7914-53.1687-53.1688s23.7914-53.1688 53.1687-53.1688v-19.0937c-29.3773,0-53.1687-23.7914-53.1687-53.1688s23.7914-53.1687 53.1687-53.1687v-56.4h-56.3999c0,29.3773-23.7915,53.1688-53.1688,53.1688s-53.1688-23.7914-53.1688-53.1688h-19.0937c0,29.3773-23.7914,53.1688-53.1687,53.1688s-53.1688-23.7914-53.1688-53.1688h-19.0938c0,29.3773-23.7914,53.1688-53.1687,53.1688s-53.1688-23.7914-53.1688-53.1688h-56.4zm235.0001,112.0656c67.9121,0 122.9343,55.0221 122.9343,122.9344s-55.0222,122.9343-122.9343,122.9343-122.9344-55.0222-122.9344-122.9343 55.0223-122.9344 122.9344-122.9344zm0,38.1875c-46.8044,0-84.7469,37.9425-84.7469,84.7469s37.9425,84.7469 84.7469,84.7469 84.7468-37.9425 84.7468-84.7469-37.9425-84.7469-84.7468-84.7469z"}}]})(props);
};
function GiAbstract091 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21c-129.7965,0-235,105.0566-235,234.8531s105.2035,235.1469 235,235.1469 235-105.3504 235-235.1469-105.2034-234.8531-235-234.8531zm-53.4625,35.9844c12.2625,16.1191 31.6585,26.5844 53.4625,26.5844 21.7846,0 40.7576-10.4897 53.0218-26.5844 2.5594,20.0917 14.457,38.8882 33.3407,49.7906 18.8706,10.8949 40.5193,11.4841 59.1906,3.6719-7.7734,18.6491-7.0618,40.3448 3.8188,59.1906s29.4505,30.6143 49.4968,33.1938c-16.0384,12.2652-26.5843,31.5687-26.5843,53.3156s10.5396,41.2035 26.5843,53.4625c-20.0186,2.6339-38.6288,14.0761-49.4968,32.9-10.895,18.8706-11.6247,40.5255-3.8188,59.1907-18.685-7.7936-40.3172-7.0779-59.1906,3.8187-18.8103,10.8601-30.719,29.6495-33.3407,49.6437-12.2695-16.0167-31.2989-26.5843-53.0218-26.5843-21.804,0-41.2,10.759-53.4625,26.8781-2.5635-20.0857-14.1682-39.0379-33.0469-49.9375-18.8457-10.8806-40.5351-11.5984-59.1907-3.8187 7.806-18.6651 7.2231-40.3201-3.6719-59.1907-10.868-18.8239-29.6252-30.2661-49.6437-32.9 15.9721-12.2696 26.2906-31.7682 26.2906-53.4625 0-21.7864-10.3541-41.03-26.4375-53.3156 20.0794-2.5572 38.8909-14.3151 49.7906-33.1938 10.8806-18.8458 11.4453-40.5415 3.6719-59.1906 18.6529,7.7942 40.3355,7.214 59.1907-3.6719 18.8787-10.8995 30.4811-29.7136 33.0469-49.7906zm53.4625,64.4781c-74.3141,0-134.5375,60.2234-134.5375,134.5375s60.2234,134.5375 134.5375,134.5375 134.5375-60.2234 134.5375-134.5375-60.2233-134.5375-134.5375-134.5375zm-30.55,20.5625c7.0208,9.2289 18.0663,15.275 30.55,15.275 12.4726,0 23.3813-6.0601 30.4031-15.275 1.4654,11.5033 8.2821,22.3985 19.0937,28.6406 10.8043,6.2378 23.0911,6.5291 33.7813,2.0562-4.4506,10.6774-4.0264,23.1381 2.2031,33.9281s16.8695,17.47 28.3469,18.9469c-9.1827,7.0224-15.1281,18.0989-15.1281,30.55s5.9418,23.5312 15.1281,30.55c-11.4615,1.508-22.1244,8.0225-28.3469,18.8-6.2378,10.8042-6.6723,23.2416-2.2031,33.9281-10.698-4.4622-22.9754-4.0356-33.7813,2.2031-10.7696,6.2178-17.5927,16.8993-19.0937,28.3468-7.0249-9.1703-17.9658-15.1281-30.4031-15.1281-12.4837,0-23.5292,6.0461-30.55,15.275-1.4678-11.4999-8.138-22.2533-18.9469-28.4937-10.79-6.2297-23.247-6.6573-33.9281-2.2031 4.4693-10.6866 4.1815-23.1239-2.0563-33.9281-6.2224-10.7775-17.0322-17.292-28.4937-18.8 9.1446-7.0249 15.1282-18.1291 15.1281-30.55 0-12.4737-5.9197-23.5159-15.1281-30.55 11.4964-1.4641 22.2532-8.138 28.4937-18.9469 6.2296-10.79 6.5069-23.2507 2.0563-33.9281 10.6796,4.4625 23.1327,4.1764 33.9281-2.0562 10.8089-6.2404 17.4778-17.1456 18.9469-28.6406zm30.55,57.2812c-31.3184,0-56.6938,25.3754-56.6938,56.6938s25.3754,56.6937 56.6938,56.6937 56.6937-25.3753 56.6937-56.6937-25.3753-56.6938-56.6937-56.6938z"}}]})(props);
};
function GiAbstract092 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21v268.1937h60.0719c-6.4204-31.1151-10.5751-78.9839-10.5751-132.775 0-55.4322 4.4031-104.467 11.1625-135.4187h-60.6594zm94.1469,0c6.7595,30.9518 11.1625,79.9865 11.1625,135.4187 0,53.7911-4.1546,101.6599-10.575,132.775h178.7469c31.7568,0 57.2813,26.9722 57.2813,60.3656s-25.5245,60.2188-57.2813,60.2188h-273.4813v81.2219h375.8532c-6.7595-30.9518-11.1625-79.9865-11.1625-135.4187 0-53.8755 4.1373-101.811 10.575-132.9219h-178.7469c-31.7568,0-57.2813-26.8254-57.2813-60.2187s25.5245-60.3656 57.2813-60.3656h273.4812v-81.075h-375.8531zm229.2719,19.975c11.2931,0 20.2688,9.2694 20.2688,20.5625s-8.9757,20.4156-20.2688,20.4156-20.5626-9.1226-20.5626-20.4156 9.2695-20.5625 20.5626-20.5625zm53.1687,0c11.2931,0 20.5625,9.2694 20.5625,20.5625s-9.2694,20.4156-20.5625,20.4156-20.2687-9.1226-20.2687-20.4156 8.9756-20.5625 20.2687-20.5625zm53.4625,0c11.2932,0 20.2688,9.2694 20.2688,20.5625s-8.9756,20.4156-20.2688,20.4156-20.5625-9.1226-20.5625-20.4156 9.2695-20.5625 20.5625-20.5625zm-216.9343,82.8375c-21.2736,0-38.3344,17.0608-38.3344,38.3344s17.0608,38.4813 38.3344,38.4813h256.8843v-76.8156h-256.8843zm196.8124,98.8469c6.4378,31.1109 10.575,79.0464 10.575,132.9219 0,55.4322-4.4029,104.467-11.1624,135.4187h60.6593v-268.3406h-60.0719zm-409.9281,88.8594v76.8156h256.8844c21.2736,0 38.3344-17.0608 38.3344-38.3344s-17.0608-38.4812-38.3344-38.4812h-256.8844zm39.95,118.675c11.2931,0 20.4156,9.2694 20.4156,20.5625s-9.1226,20.4156-20.4156,20.4156-20.4156-9.1226-20.4156-20.4156 9.1226-20.5625 20.4156-20.5625zm53.3156,0c11.2931,0 20.4156,9.2694 20.4156,20.5625s-9.1225,20.4156-20.4156,20.4156-20.4156-9.1226-20.4156-20.4156 9.1226-20.5625 20.4156-20.5625zm53.3157,0c11.2931,0 20.5625,9.2694 20.5625,20.5625s-9.2694,20.4156-20.5625,20.4156-20.4157-9.1226-20.4157-20.4156 9.1226-20.5625 20.4157-20.5625z"}}]})(props);
};
function GiAbstract093 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m221.7781,21.2203c-15.2995.3992-30.4171,1.134-45.3844,2.0563v152.8969h-155.3938v45.3844h155.3938v35.9843h-155.3938v45.5313h111.0375v30.2563c-10.6282-5.7009-22.7948-8.9594-35.6906-8.9594-21.7127,0-41.1864,9.2639-54.9312,23.9406 7.2964-3.428 15.3366-5.4343 23.9406-5.4343 31.3713,0 56.8406,25.4693 56.8406,56.8406s-25.4693,56.8406-56.8406,56.8406c-8.6502,0-16.7612-1.9717-24.0875-5.4343 13.7496,14.7733 33.3162,24.0875 55.0781,24.0875 12.8958,0 25.0624-1.1829 35.6906-6.9031v22.4718h247.925v-22.4718c10.6282,5.7202 22.7948,6.9031 35.6906,6.9031 21.7619,0 41.3285-9.3142 55.0781-24.0875-7.3551,3.4771-15.5648,5.4343-24.2344,5.4343-31.3713,0-56.8406-25.4693-56.8406-56.8406s25.4693-56.8406 56.8406-56.8406c8.6695,0 16.8793,1.9571 24.2344,5.4343-13.7483-14.7182-33.3304-23.9406-55.0781-23.9406-12.8958,0-25.0624,3.2585-35.6906,8.9594v-30.2563h111.0375v-45.5313h-155.5406v-35.9843h155.5406v-45.3844h-155.5406v-152.8969c-15.0159-.9235-30.1813-1.6589-45.5313-2.0563v200.3375 46.2656c34.5199,13.5713 59.0438,47.1728 59.0438,86.5094 0,39.3233-24.5423,72.7823-59.0438,86.3625v27.6126h-68.15v-27.6126c-34.3655-13.6457-58.75-47.137-58.75-86.3625 0-39.2216 24.39-72.7141 58.75-86.3625v-46.4124-200.3375zm-72.7031,4.1126c-44.6255,3.7345-87.5369,9.726-128.075,17.7719v105.75h128.075v-123.5218zm213.85,0v123.5218h128.075v-105.75c-40.5381-8.0458-83.4494-14.0374-128.075-17.7719zm-106.925,265.9906c-34.7937,0-63.0094,28.2157-63.0094,63.0094s28.2157,63.0094 63.0094,63.0094 62.8625-28.2157 62.8625-63.0094-28.0688-63.0094-62.8625-63.0094z"}}]})(props);
};
function GiAbstract094 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m267.1624,21.0006c-118.2551,0-215.5572,92.3085-227.3624,210.7048 3.8957-44.1324 18.2694-84.797 40.3905-119.1196l-59.1906,14.4298v97.7694 62.2838 97.7693l59.0437,14.4298c-22.0592-34.2872-36.3544-74.9127-40.2437-118.9724 11.8052,118.3963 109.1073,210.7048 227.3624,210.7048 11.7733,0 23.3692-.883 34.6624-2.6504 .6811-.1161 1.3774-.172 2.0563-.2947 .547-.0907 1.0701-.1998 1.6156-.2947 .094-.0187.1996.0187.294,0 3.5419-.6712 7.0928-1.5146 10.575-2.3559 100.0862-24.1811 174.6343-117.6567 174.6343-229.4046s-74.5481-205.2235-174.6343-229.4046c-3.4822-.8413-7.0331-1.6847-10.575-2.3559-.096-.0187-.1982.0187-.294,0l-1.6156-.2947c-.6825-.1133-1.3718-.1875-2.0563-.2947-11.2932-1.7674-22.8891-2.6504-34.6624-2.6504zm18.2124,18.8471c12.988,1.3912 25.6034,4.0369 37.7469,7.9511l-91.0625,90.5545c8.3005,3.4859 16.2309,7.8473 23.5,13.1046l112.2125-82.6033c11.8186,7.5274 22.9378,16.3329 33.0468,26.2093l-127.9281,71.7073c6.702,7.117 12.5209,15.0797 17.4782,23.7061l143.6436-53.4492c7.7457,12.7202 14.3755,26.4 19.5344,40.7863l-152.8967,35.1911c3.273,9.5723 5.6113,19.7006 6.6093,30.1848l158.6249-10.4543c.7546,7.6395 1.175,15.4098 1.175,23.2644s-.4201,15.6249-1.175,23.2644l-158.6249-10.4543c-.998,10.4842-3.3363,20.6125-6.6093,30.1848l152.8967,35.1911c-5.1589,14.3863-11.7887,28.0661-19.5344,40.7863l-143.6436-53.4492c-4.9573,8.6265-10.7762,16.5891-17.4782,23.7061l127.9281,71.7073c-10.109,9.8764-21.2282,18.6819-33.0468,26.2093l-112.2125-82.6033c-7.2691,5.2573-15.1995,9.6187-23.5,13.1046l91.0625,90.5545c-12.1435,3.9142-24.7589,6.5599-37.7469,7.9511l-73.1436-92.1741c-7.9442,1.7476-15.9463,2.6504-24.3813,2.6504-66.2711,0-119.8499-56.7066-119.8499-126.629s53.5788-126.629 119.8499-126.629c8.435,0 16.4371.9027 24.3813,2.6504l73.1436-92.1741zm-98.2593,108.8125c-5.5568,0-11.1351.4207-16.45,1.3252l39.2157,49.4736c3.6188-.7963 7.3201-1.1779 11.1624-1.1779 30.1884,0 54.7844,25.8677 54.7844,57.7193s-24.596,57.7193-54.7844,57.7193c-3.8423,0-7.5436-.3821-11.1624-1.1779l-39.2157,49.4736c5.3149.9049 10.8932,1.3252 16.45,1.3252 54.4193,0 98.912-45.0404 101.6375-101.7449 .088-1.8292 0-3.743 0-5.5953 0-59.2697-45.4627-107.3402-101.6375-107.3402zm-33.9281,6.1842c-7.3944,2.7634-14.5069,6.3503-21.0031,10.7488l58.1625,42.8477c3.3113-2.3948 6.7939-4.449 10.575-6.037l-47.7344-47.5595zm-36.5718,23.7061c-6.0098,6.0723-11.258,12.8569-15.7156,20.3195l73.4374,27.24c2.2581-3.9296 5.0253-7.5067 8.0782-10.7488l-65.8-36.8107zm-24.8219,39.9029c-2.9681,8.3768-4.9766,17.1377-5.875,26.3565l80.7812,5.3008c.4548-4.7759 1.4465-9.3332 2.9375-13.6936l-77.8437-17.9636zm74.9062,43.4367-80.7812,5.3007c.8984,9.2188 2.907,17.9797 5.875,26.3565l77.8437-17.9636c-1.491-4.3604-2.483-8.9178-2.9375-13.6936zm7.6375,24.0006-73.4374,27.24c4.4576,7.4626 9.7058,14.2472 15.7156,20.3195l65.8-36.8108c-3.0529-3.2421-5.8201-6.8191-8.0782-10.7487zm16.0094,17.6692-58.1625,42.8477c6.4962,4.3985 13.6087,7.9854 21.0031,10.7487l47.7344-47.5595c-3.7811-1.588-7.2637-3.6421-10.575-6.037z"}}]})(props);
};
function GiAbstract095 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m215.1686,21.0003c-14.2713,2.4598-28.1355,6.4333-41.4187,11.3094 .76,1.0668 1.5354,2.0746 2.2031,3.2313 11.333,19.6294 4.6482,44.4794-14.9813,55.8124s-44.7731,4.795-56.1062-14.8343c-.6522-1.1295-1.2292-2.2161-1.7625-3.3781-10.9541,9.1629-21.1028,19.2938-30.2562,30.2562 1.1772.5405 2.3794.9542 3.525,1.6156 19.6294,11.333 26.3143,36.3301 14.9813,55.9594s-36.33,26.4611-55.9594,15.1281c-1.167-.6738-2.3031-1.2892-3.3781-2.0562-4.843,13.227-8.5671,27.0662-11.0156,41.2718 1.2873-.1218 2.6462-.294 3.9656-.294 22.666,0 40.9781,18.3121 40.9781,40.9781s-18.3121,40.9781-40.9781,40.9781c-1.3191,0-2.6787-.0288-3.9656-.147 2.4567,14.2529 6.1488,28.1513 11.0156,41.4187 1.0757-.7675 2.2103-1.5289 3.3781-2.2031 6.1342-3.5416 12.7807-5.4072 19.3875-5.5813 14.535-.3827 28.7804,7.0673 36.5719,20.5625 11.333,19.6293 4.6481,44.7732-14.9813,56.1062-1.0947.632-2.2528,1.2421-3.3781,1.7625 9.1178,10.9002 19.2092,20.9916 30.1094,30.1094 .5203-1.1253 1.1305-2.2834 1.7625-3.3781 7.0831-12.2683 19.4835-19.4919 32.6062-20.4156 7.8737-.5542 16.139,1.1845 23.5,5.4344 19.6294,11.333 26.3143,36.33 14.9813,55.9593-.6745,1.1679-1.4356,2.3025-2.2031,3.3781 13.2675,4.8669 27.1658,8.5589 41.4187,11.0157-.1218-1.287-.1463-2.6466-.1463-3.9657 0-22.666 18.3121-40.9781 40.9782-40.9781s40.9781,18.3121 40.9781,40.9781c0,1.3195-.1722,2.6784-.294,3.9657 14.2056-2.4485 28.0447-6.1726 41.2718-11.0157-.7671-1.075-1.3824-2.2111-2.0563-3.3781-11.333-19.6293-4.5012-44.7732 15.1281-56.1062 6.1342-3.5416 12.6238-5.2774 19.2406-5.4344 14.557-.3452 28.9273,7.0673 36.7187,20.5625 .6529,1.1311 1.0818,2.3613 1.6157,3.525 10.9623-9.1535 21.0933-19.302 30.2562-30.2562-1.162-.5333-2.2486-1.1103-3.3781-1.7625-19.6294-11.3331-26.4611-36.6238-15.1281-56.2531 7.7914-13.4952 22.1456-20.8206 36.7187-20.4156 6.6241.1845 13.2533,2.0396 19.3875,5.5813 1.1909.6875 2.1363,1.5654 3.2313,2.35 4.8999-13.3235 8.8413-27.2469 11.3093-41.5656-1.2836.1211-2.65.147-3.9656.147-22.666,0-41.125-18.312-41.125-40.9781s18.459-40.9781 41.125-40.9781c1.3159,0 2.6817.1737 3.9656.294-2.4567-14.2529-6.2957-28.1513-11.1625-41.4187-1.125.811-2.1512,1.4948-3.3781,2.2031-19.6294,11.3331-44.7732,4.5013-56.1062-15.1281s-4.5012-44.6263 15.1281-55.9594c1.1753-.6789 2.3075-1.0641 3.525-1.6156-9.1986-11.0163-19.3868-21.2046-30.4031-30.4031-.547,1.2024-.9413,2.3572-1.6157,3.525-11.3331,19.6294-36.3299,26.3143-55.9593,14.9812s-26.4611-36.3299-15.1281-55.9593c.699-1.2102 1.4037-2.2664 2.2031-3.3781-13.2675-4.8669-27.1658-8.7058-41.4187-11.1625 .1211,1.2839.294,2.6497.294,3.9657 0,22.666-18.3121,41.125-40.9781,41.125s-40.9781-18.459-40.9781-41.125c0-1.3156.0288-2.6821.147-3.9657zm40.6844,85.3344c88.9564,0 177.9875,153.9958 133.5093,231.0342s-222.3936,77.0384-266.8717,0 44.4062-231.0342 133.3624-231.0342zm0,59.778c-47.6099,0-95.1861,106.3597-71.3812,159.5062 23.8051,53.1465 119.1043,53.1465 142.9093,0 23.805-53.1465-23.9181-159.5062-71.5281-159.5062zm.147,115.0031c18.0106,0 32.6063,14.5956 32.6063,32.6063s-14.5956,32.7531-32.6063,32.7531-32.6062-14.7425-32.6062-32.7531 14.5956-32.6063 32.6062-32.6063z"}}]})(props);
};
function GiAbstract096 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,24.8468 31.5781,144.2161 26.8781-44.5759 32.3125,31.9024c-10.1653,14.1994-18.3593,29.9827-23.9407,46.9066l-58.75,8.3034 50.3781,37.1466c-.1607,3.0642-.294,6.2208-.294,9.3231 0,3.0553.1369,6.0151.294,9.0317l-50.3781,37.1466 58.75,8.3034c5.6034,16.9459 13.7348,32.8095 23.9407,47.0523l-32.3125,32.048-27.025-44.7215-31.4312,144.0705 145.1125-31.3197-44.6501-26.5125 32.1657-32.048c28.8686,20.3008 64.2892,32.3393 102.3718,32.3394 38.1226,0 73.3396-11.9998 102.2251-32.3394l32.3125,32.0481-44.7969,26.5125 145.2594,31.3197-31.725-144.0705-26.7312,44.5759-32.3125-31.9023c10.1932-14.2384 18.211-30.1234 23.7937-47.0523l58.8968-8.3034-50.3781-37.1466c.1506-2.9658.294-6.0281.294-9.0317 0-3.0984-.1326-6.1158-.294-9.1774l50.3781-37.2923-58.8968-8.3034c-5.5846-16.8809-13.6744-32.6069-23.7937-46.761l32.1657-31.9023 26.8781,44.4302 31.5782-144.0705-145.2594,31.3197 44.7969,26.5125-32.1656,31.9024c-6.5774-4.6315-13.5041-8.6705-20.7094-12.3822-13.1328-22.2054-47.6439-81.3447-81.5156-81.3447-33.8107,0-68.3281,58.9229-81.5156,81.199-7.2591,3.7321-14.2287,7.8674-20.8562,12.5279l-32.1657-31.9024 44.7969-26.5125zm235,27.8235c14.4085,0 26.1438,6.045 26.1438,13.5476s-11.7353,13.5475-26.1438,13.5475-26.1437-6.045-26.1437-13.5475 11.7353-13.5476 26.1437-13.5476zm-.1463,46.9067c88.2479,0 159.8,70.9666 159.8,158.4921s-71.5522,158.4921-159.8,158.4921c-44.1238,0-84.0341-17.7935-112.9468-46.4697s-46.7063-68.2597-46.7063-112.0225c0-87.5255 71.4052-158.4921 159.6531-158.4921zm0,10.1971c-82.5544,0-149.5187,66.4163-149.5187,148.295 0,40.9393 16.856,77.9346 43.9156,104.7388s64.3259,43.4105 105.6031,43.4105c82.5545,0 149.6657-66.2706 149.6657-148.1493s-67.1113-148.295-149.6657-148.295zm-31.1375,18.9375 22.1782,205.3988c-1.5729.0937-3.009.2955-4.5532.4367l-33.4874-200.8829c5.1827-1.9312 10.397-3.6639 15.8625-4.9529zm62.4219.1456c5.464,1.2994 10.8277,2.8663 16.0093,4.8072l-33.4874,200.8829c-1.5422-.1427-3.1288-.1968-4.7-.2912zm-130.1315,39.4776 67.1219,169.1262c-1.6316.3769-3.1261.8785-4.7,1.3111l-73.1437-157.3268c3.2709-4.6072 6.9017-8.96 10.7219-13.1105zm197.9875.2912c3.76,4.1029 7.3499,8.5647 10.5751,13.1106l-73.1438,156.8897c-1.5677-.4317-3.0749-.934-4.7-1.3111zm-231.9156,72.5451 78.5781,104.0104c-1.5597.7642-3.1084,1.6497-4.5531,2.4765l-75.2-89.0061c-.001-.2277 0-.3546 0-.583-8e-05-5.7566.4598-11.3335 1.175-16.8981zm265.6968,0c.7055,5.5215 1.175,11.1875 1.175,16.8981 0,.2738.002.601 0,.874l-75.2,88.7149c-1.4227-.8197-2.8709-1.5725-4.4063-2.3308zm-246.3094,87.4034 39.8031,31.174c-1.7042,2.0528-3.1564,4.0581-4.2594,6.264-7.0863-5.03-13.7248-10.6262-19.6813-16.8981s-11.2082-13.2113-15.8625-20.5399zm226.7751.1456c-9.2944,14.5931-21.2711,27.2671-35.3969,37.2923-1.0898-2.1732-2.5882-4.2388-4.2594-6.264z"}}]})(props);
};
function GiAbstract097 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m120.3052,21.0337c-.209.3805-.5261.7935-.7343,1.1748-.7962,1.4588-1.5701,2.9407-2.3498,4.4057-2.8577,5.3714-5.6593,10.7303-8.3707,16.1539-8.9307,17.8628-17.1783,36.007-24.6714,54.336-9.1965,22.4891-17.287,45.3417-23.0559,68.7276-4.5928,18.4443-7.9211,37.5408-7.0492,56.8325-5.1989-7.3268-10.2738-14.8798-14.6851-23.0561-4.8451-9.1648-9.2989-18.4572-11.0145-28.7834-1.6026-8.7159-.7891-18.6086.7342-28.3428 1.702-10.5973 4.4502-20.9994 7.6365-31.133 2.6539-8.4316 5.7127-16.6149 8.9581-24.6715 .9994-2.4806 1.8799-5.0545 2.937-7.4895 .2882-.668.5837-1.2464.8812-1.9091-.317.5815-.7133,1.1749-1.0275,1.7622-1.2213,2.2762-2.3555,4.5666-3.525,6.9021-3.7981,7.5848-7.3014,15.5055-10.5735,23.6435-3.93,9.7685-7.4052,19.9261-9.9856,30.8393-2.3959,9.9493-4.1677,20.9186-3.084,32.3079 1.3878,12.8945 5.5527,24.5802 10.1326,34.8043 5.2716,11.9784 11.5059,22.9562 17.9161,33.4827 5.5281,8.1466 11.0592,16.3504 16.5945,24.5246 4.4063,8.0715 9.8256,15.6934 16.1543,22.7624 13.9343,15.5676 30.5815,28.5796 46.2587,41.2659 14.902,12.2511 29.3025,24.096 38.329,37.5947 4.3738,6.4372 7.5911,13.251 9.252,20.1189 1.9016,7.515 2.0486,15.558.7343,23.4966-1.31,8.3074-7.1192,16.4893-14.9791,22.175-6.7229,5.07-15.6615,8.7203-25.2594,11.8952 .086-1.1845.1442-2.1717.1442-3.3776 0-26.8395-22.3613-48.6599-50.371-49.4898 15.513,6.4776 24.3543,18.4356 19.6786,28.0491-5.0072,10.2938-23.3607,13.8173-40.9727,7.7832-10.3048-3.5305-18.1827-9.5488-21.8813-16.007-6.5831,8.3122-10.5729,18.4752-10.5729,29.6645 0,27.363 23.3571,49.4897 52.1328,49.4897 4.7492,0 17.3317-1.2107 25.8466-2.9371 11.5679-2.3456 23.0839-5.4896 34.0697-9.9861 14.858-6.0808 29.7614-12.3223 42.5881-22.7623 12.0406-8.2195 22.4203-26.5577 24.0834-42.5877 .9922-10.9389.1729-22.0542-3.3773-32.7484-3.3052-9.7154-8.713-18.6038-15.126-26.5806-13.2433-16.2609-29.9128-28.7413-46.1125-40.0911-16.8986-12.0342-33.7187-23.2181-47.1399-36.4198-13.7606-13.5189-24.0842-29.6655-27.6084-47.1401-4.198-19.9763-2.2878-41.1739 1.1752-62.413 3.8039-23.0363 10.121-46.1258 17.4751-68.8745 5.9937-18.5331 12.6221-36.828 20.1189-55.0702 2.2762-5.5386 4.6202-11.0937 7.0492-16.5945 .6629-1.5002 1.3763-3.057 2.0558-4.5525 .1801-.3905.4107-.7845.5909-1.1748zm271.3857,0c.1801.3905.4107.7843.5908,1.1748 .6774,1.4955 1.3936,3.0523 2.0565,4.5525 2.429,5.5008 4.626,11.0559 6.9023,16.5945 7.4967,18.2422 14.2722,36.5371 20.2658,55.0702 7.3541,22.7486 13.5243,45.8381 17.3281,68.8745 3.4631,21.239 5.5203,42.4367 1.3223,62.413-3.5243,17.4746-13.9948,33.6212-27.7554,47.1401-13.4212,13.2017-30.0943,24.3856-46.9937,36.4198-16.199,11.3498-32.8685,23.8302-46.1117,40.0911-6.413,7.9768-11.8208,16.8652-15.1261,26.5806-3.5487,10.6942-4.5165,21.8096-3.5242,32.7484 1.663,16.0299 12.0427,34.3682 24.0833,42.5877 12.8268,10.44 27.8772,16.6815 42.7352,22.7623 10.9857,4.4965 22.3548,7.6405 33.9227,9.9861 8.5149,1.7264 21.3913,2.9371 26.1406,2.9371 28.7749,0 51.9857-22.1268 51.9857-49.4897 0-11.2441-3.9602-21.4785-10.5735-29.8114-3.6295,6.5002-11.2235,12.6031-21.5874,16.1539-17.612,6.0341-35.9647,2.5106-40.9719-7.7832-4.6707-9.6016 3.9242-21.5656 19.3846-28.0491-27.9521.9028-50.518,22.6977-50.518,49.4898 0,1.2059.072,2.1932.1441,3.3776-9.5979-3.1749-18.2425-6.8252-24.9653-11.8952-7.8599-5.6857-13.8161-13.8675-15.1261-22.175-1.315-7.9387-1.3143-15.9816.5909-23.4966 1.6601-6.8679 5.0252-13.6817 9.399-20.1189 9.0265-13.4987 23.4269-25.3436 38.3289-37.5947 15.6773-12.6864 32.1775-25.6984 46.1117-41.2659 6.3287-7.069 11.8951-14.6909 16.3013-22.7624 5.5354-8.1742 11.0664-16.378 16.5939-24.5246 6.4108-10.5265 12.6451-21.5043 17.9168-33.4827 4.5799-10.2241 8.7447-21.9099 10.1325-34.8044 1.0838-11.3893-.6917-22.3586-3.084-32.3079-2.5803-10.9132-6.0556-21.0708-9.9862-30.8393-3.2714-8.138-6.7748-16.0587-10.5729-23.6435-1.1702-2.3356-2.3036-4.6259-3.525-6.9021-.317-.5873-.7061-1.1809-1.0275-1.7622 .2954.6629.4468,1.2409.7343,1.9091 1.057,2.435 2.0846,5.0089 3.084,7.4895 3.2447,8.0566 6.3042,16.2399 8.958,24.6715 3.1863,10.1336 5.9339,20.5358 7.6358,31.133 1.524,9.7342 2.3375,19.6269.7343,28.3428-1.715,10.3262-6.1688,19.6185-11.0138,28.7834-4.412,8.1762-9.487,15.7293-14.6851,23.0561 .8719-19.2917-2.4564-38.3882-7.0493-56.8325-5.7695-23.386-14.0063-46.2385-23.2028-68.7276-7.4932-18.329-15.5937-36.4733-24.5244-54.336-2.7122-5.4235-5.66-10.7824-8.5178-16.1539-.7796-1.465-1.4065-2.9469-2.2027-4.4057-.209-.3812-.5261-.7946-.7343-1.1748zm-135.6929,32.0142c-71.2983,0-129.0846,57.9233-129.0846,129.2314 0,65.0286 81.6766,111.2711 110.5813,173.4344 8.7173,18.7482 14.5323,22.8435 18.5033,59.1822 3.971-36.3387 9.786-40.434 18.5034-59.1822 28.9046-62.1634 110.5812-108.4059 110.5812-173.4344 0-71.3081-57.7863-129.2314-129.0846-129.2314zm0,81.2102c45.835,0 82.9729,37.1315 82.9729,82.9724s-37.1379,82.9725-82.9729,82.9725-82.9721-37.1316-82.9721-82.9725 37.1378-82.9724 82.9721-82.9724zm0,50.0771c-27.7287,0-50.224,21.8904-50.224,48.9024s22.4953,48.9023 50.224,48.9023 50.224-21.8904 50.224-48.9023-22.4953-48.9024-50.224-48.9024z"}}]})(props);
};
function GiAbstract098 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m115.0001,21.0001v94h-94.0001v94h94.0001v94h-94.0001v94h94.0001v94h94v-94h94v94h93.9999v-94h94v-94h-94v-94h94v-94h-94v-94h-93.9999v94h-94v-94h-94zm141,148.9312c47.548,0 86.0687,38.5208 86.0687,86.0687s-38.5207,86.0687-86.0687,86.0687-86.0688-38.5208-86.0688-86.0687 38.5208-86.0687 86.0688-86.0687zm0,29.9625c-30.9781,0-56.1063,25.128-56.1063,56.1063s25.1281,56.1062 56.1063,56.1062 56.1062-25.128 56.1062-56.1062-25.1281-56.1063-56.1062-56.1063z"}}]})(props);
};
function GiAbstract099 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m221.5753,19.432c-35.1335,5.0735-67.7326,17.97-96.1804,36.5903l39.428,39.428c16.8494,16.8497 16.8494,43.9354 0,60.7849s-43.9352,16.8497-60.7851,0l-41.0706-40.9215c-20.7616,28.4454-35.4121,61.6526-41.9672,97.6739h59.5903c23.8289.0002 43.0123,19.1836 43.0123,43.0124s-19.1835,43.0125-43.0123,43.0123h-59.5903c6.5551,36.0213 21.2056,69.2285 41.9672,97.674l41.0705-40.9215c8.4257-8.4248 19.4732-12.6946 30.4671-12.6946 10.9959,0 21.8933,4.2698 30.318,12.6946 16.8499,16.8495 16.8499,43.9353 0,60.7848l-39.428,39.428c28.4479,18.6205 61.047,31.5169 96.1804,36.5903v-52.5707c0-23.8289 19.1835-43.0123 43.0123-43.0123s43.0124,19.1835 43.0124,43.0123v49.2851c32.7745-7.2123 62.9548-21.1774 89.1609-40.3241l-32.4085-32.4087c-16.8493-16.8497-16.8498-43.9351 0-60.7848 8.4248-8.4247 19.3221-12.6946 30.318-12.6946 10.994,0 22.0415,4.2699 30.4671,12.6946l30.9149,30.9152c17.0917-26.1123 29.1495-55.8022 34.9476-87.6676h-42.415c-23.8289-.0002-43.0124-19.1833-43.0124-43.0123s19.1835-43.0123 43.0124-43.0124h42.415c-5.7981-31.8654-17.8559-61.5553-34.9476-87.6675l-30.9149,30.9151c-16.8513,16.8495-43.9352,16.8495-60.7851,0s-16.8493-43.9354 0-60.7849l32.4085-32.4087c-26.2061-19.1468-56.3864-33.1117-89.1609-40.324v148.4524c0,23.8289-19.1835,43.0123-43.0124,43.0123s-43.0123-19.1835-43.0123-43.0123zm-58.8433,236.568h186.3869c0,51.4693-41.7239,93.1935-93.1935,93.1935s-93.1935-41.7241-93.1935-93.1935z"}}]})(props);
};
function GiAbstract100 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m171.6937,21c-16.3739,0-29.6687,13.9039-29.6687,31.2342v67.8227c0,11.5289 5.9276,21.5094 14.6875,26.9209l-135.7125,89.3892 87.9784,254.6329h147.0217 147.1687l87.8312-254.6329-135.7125-89.3892c8.7599-5.4116 14.6875-15.3921 14.6875-26.9209v-67.8227c0-17.3303-13.2949-31.2342-29.6688-31.2342h-168.6125zm18.6529,33.7627h131.3067c2.4257,0 4.6624.5607 6.7558,1.4873 .0504.0216.1081-.0216.1456,0 2.0463.9245 3.885,2.2347 5.4345,3.8671 .7887.8317 1.5769,1.6969 2.2029,2.6773 1.8781,2.941 2.9375,6.5598 2.9375,10.4113v40.1582c0,3.8515-1.0594,7.4443-2.9375,10.4114-.6263.9891-1.4142,1.8362-2.2029,2.6772-1.3061,1.3914-2.8923,2.5133-4.5533,3.4209l-73.4375-48.3386-73.4375,48.3386c-1.6788-.9119-3.2162-2.029-4.5534-3.4209-.7886-.841-1.5769-1.6881-2.2029-2.6772-1.8781-2.9671-2.9375-6.5599-2.9375-10.4114v-40.1582c0-3.8515 1.0594-7.4704 2.9375-10.4113 .626-.9804 1.4142-1.8456 2.2029-2.6773 3.1875-3.2787 7.5261-5.3544 12.3375-5.3544zm52.875,62.6171-6.4624,69.0126c-34.3636,5.8734-63.5788,27.2036-80.7808,56.8165-23.9813-1.6232-47.3685-3.7134-70.0596-6.3956l157.3029-119.4336zm25.5568,0 157.3029,119.5823c-22.6822,2.68-46.1028,4.7978-70.0596,6.3956-17.1907-29.661-46.4003-51.075-80.7808-56.9652l-6.4624-69.0126zm-12.7784,100.9905c1.4429,0 2.8327.075 4.2591.1492h.1456 .2912c2.2095.1268 4.4486.2948 6.6092.5946 .4829.0649.9884.222 1.4692.2976 1.3315.2104 2.6574.4692 3.9654.7437 .0505.007.0987-.007.1456,0 .0937.0216.2018-.0216.2912,0 .1081.0216.1924.1261.2962.1485 1.4081.3085 2.7316.6608 4.1125,1.0412 2.1606.5931 4.3739,1.32 6.4625,2.0823 1.0946.4 2.1578.7452 3.2308,1.1898 1.0034.4173 1.9542.8831 2.9374,1.3386 1.3941.6421 2.7604,1.3652 4.1126,2.0822 .94.4987 1.8711.954 2.7908,1.4874 2.4228,1.4083 4.7808,2.969 7.05,4.6108 2.2997,1.667 4.4866,3.4632 6.6092,5.3544 2.0139,1.7938 3.8878,3.6709 5.7283,5.6519 .0843.0915.2068.2047.2912.2976 7.7738,8.449 13.8232,18.4564 17.7721,29.5981 .0894.2573.2068.485.2912.7437 .6508,1.8918 1.2398,3.8508 1.7625,5.8007 .08.302.2205.5888.2962.8924 .583,2.2751 1.0651,4.6457 1.4683,6.9905 .3805,2.1185.6594,4.226.8817,6.3956 .2912,2.8642.4418,5.683.4418,8.6266 0,3.3691-.2213,6.5482-.5874,9.8164-.6003,5.3763-1.7117,10.738-3.2313,15.7658-4.8951,16.1683-14.178,30.2303-26.5841,40.7532-2.0911,1.7759-4.208,3.3444-6.4625,4.9082-13.364,9.2792-29.5137,14.7247-46.8533,14.7247s-33.489-5.4456-46.8534-14.7247c-2.2546-1.5638-4.3715-3.1322-6.4625-4.9082-4.1078-3.4847-7.9157-7.3832-11.3092-11.6013-.0468-.0288 0-.1196 0-.1492-5.0967-6.3445-9.3116-13.2926-12.4841-20.9715v-.1485c-1.0598-2.574-1.9773-5.1882-2.7909-7.8829-1.5237-5.0278-2.6264-10.3895-3.2313-15.7659-.0468-.3856-.1081-.6544-.1457-1.0411-.2867-2.893-.4418-5.8047-.4418-8.7753 0-2.9436.1457-5.7622.4418-8.6266 .2115-2.1593.5189-4.2862.8817-6.3956 .4042-2.3448.885-4.7154 1.4683-6.9905 .0799-.3012.2162-.5924.2961-.8923 .5226-1.9498 1.1116-3.9089 1.7625-5.8007 .0893-.2558.2021-.4893.2914-.7437 3.9485-11.1417 10.0016-21.149 17.7721-29.5981 .0893-.0951.2021-.2025.2914-.2976 1.8363-1.981 3.7144-3.8581 5.7284-5.6519 2.123-1.8912 4.3052-3.6875 6.6091-5.3544 2.2649-1.6418 4.6229-3.2025 7.05-4.6108 .916-.5333 1.8514-.9891 2.7909-1.4874 1.3574-.724 2.7129-1.4339 4.1125-2.0823 .1924-.0887.3949-.2097.5874-.2976l1.0279-.4461c.4324-.1888.884-.4137 1.3221-.5953 1.0679-.4439 2.1414-.7903 3.2308-1.1898 2.0887-.7623 4.3019-1.4893 6.4625-2.0823 .2537-.0721.4821-.2299.7346-.2976 1.1412-.3012 2.2203-.4908 3.3779-.7437l.7346-.1485c1.3113-.2738 2.6338-.5333 3.9653-.7437 .4828-.0764.9837-.2299 1.4692-.2976 2.1611-.2998 4.3969-.4684 6.6092-.5946 1.5726-.0908 3.1006-.1492 4.7-.1492zm0,16.9558c-37.1981,0-67.4158,30.932-67.4158,69.1614 0,27.6508 15.8038,51.4137 38.6284,62.4683 1.614-44.7959 13.8927-79.5728 28.7875-79.5728s27.1712,34.7769 28.7875,79.5728c22.8223-11.0547 38.6284-34.8175 38.6284-62.4683 0-38.2294-30.2206-69.1614-67.4159-69.1614zm-184.3283,30.3417c23.2391,3.0021 47.2806,5.4235 71.9692,7.288-2.6734,10.0704-4.1125,20.5916-4.1125,31.5317 0,18.3224 4.0091,35.6609 11.1625,51.1645l-39.3625,28.557-39.6567-118.5412zm368.6567,0-39.5096,118.5412-39.5096-28.557c7.1534-15.5036 11.1625-32.8421 11.1625-51.1645 0-10.9401-1.4392-21.4613-4.1125-31.5317 24.6534-1.8652 48.7362-4.2878 71.9692-7.288zm-98.4067,119.5823 50.525,23.9462-17.7716,53.2468h-101.3438v-39.7121c27.0038-4.1296 50.987-17.7678 68.5904-37.4809zm-171.8433.1485c17.5963,19.6696 41.6232,33.2082 68.5904,37.3322v39.712h-101.1971l-17.7716-53.2468 50.3784-23.7974z"}}]})(props);
};
function GiAbstract101 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m82.9812,21c-16.4203,0-29.6688,12.8852-29.6688,28.9344 0,5.9733 1.8427,11.5246 4.9938,16.1563-5.6437,2.1092-11.258,4.3267-16.7438,6.6093v32.3125c39.8539-31.7511 108.9211-53.9856 189.175-57.8687 .534-.0288 1.0805.0288 1.6156,0-94.3049,5.5834-170.7434,44.1908-190.7906,94.4406v309.1718c-6.9818.8341-13.8751,1.7325-20.5625,2.6438v37.6c69.7866-5.9787 149.8154-9.5469 235-9.5469 85.1277,0 165.2462,3.5757 235.0001,9.5469v-37.6c-6.6852-.9103-13.5836-1.8103-20.5625-2.6438v-309.1718c-20.0473-50.2499-96.4858-88.8572-190.7907-94.4406 80.9709,3.6644 150.6762,25.9069 190.7907,57.8687v-32.3125c-5.4858-2.2826-11.1002-4.5001-16.7438-6.6093 3.151-4.6316 4.9937-10.1829 4.9937-16.1563 0-16.0492-13.2483-28.9344-29.6687-28.9344-16.1278,0-29.35,12.5483-29.8157,28.2-44.7215-11.3344-92.8978-17.6251-143.2031-17.6251s-98.4816,6.2906-143.2031,17.6251c-.4656-15.6517-13.6878-28.2001-29.8156-28.2001zm173.0187,47.8812c94.4624,0 170.9626,110.3658 170.9626,246.3094 0,47.3724-9.2972,91.4224-25.4094,128.9562-13.6597-1.0058-27.8214-1.7743-42.1531-2.4968 19.8934-33.8867 31.8718-77.7319 31.8718-125.5782 0-24.8144-3.2267-48.5179-9.1063-70.3531-22.907,30.9796-43.544,49.4439-52.2875,44.3562-11.3808-6.6223 1.2589-50.4008 28.2-101.6375-3.0473-5.0501-6.1586-9.9662-9.5469-14.5407-17.1971,60.249-40.7968,104.8156-54.1969,101.1969-14.1351-3.8173-11.6239-59.7229 5.7282-124.9906 1.436-5.4013 3.1624-10.7008 4.7001-15.8625-7.266-4.0394-14.9574-7.2036-22.7657-9.4 .3293,7.4602.5873,15.0263.5873,22.9125 0,67.5701-11.9506,122.3469-26.5844,122.3469s-26.5844-54.7767-26.5844-122.3469c0-7.9333.2544-15.5575.5874-23.0594-7.8347,2.1799-15.4773,5.3639-22.7657,9.4 1.5507,5.2008 3.2525,10.5648 4.7001,16.0093 17.3521,65.2678 19.8632,121.1733 5.7281,124.9906-13.4118,3.6219-36.9958-41.0142-54.1969-101.3438-3.3504,4.5236-6.5299,9.404-9.5469,14.3938 27.0378,51.3511 39.6005,95.2974 28.2001,101.9312-8.7579,5.0961-29.4816-13.4299-52.4344-44.5031-5.8899,21.8696-9.1062,45.6382-9.1062,70.4999 0,47.8718 12.1063,91.6839 32.0187,125.5782-14.2533.7185-28.4181,1.4979-42.0062,2.4968-16.1358-37.5338-25.5563-81.5839-25.5563-128.9562 0-135.9436 76.5002-246.3094 170.9625-246.3094zm0,241.0219c47.6449,0 86.2157,24.4538 86.2157,54.6375s-38.5707,54.4906-86.2157,54.4906-86.2156-24.307-86.2156-54.4906 38.5707-54.6375 86.2156-54.6375zm0,21.0031c-42.8805,0-77.6969,15.093-77.6969,33.6344s34.8164,33.4875 77.6969,33.4875 77.6969-14.9462 77.6969-33.4875-34.8164-33.6344-77.6969-33.6344zm0,13.8063c13.2725,0 24.0875,9.1287 24.0875,20.4156s-10.815,20.5625-24.0875,20.5625-24.0875-9.2755-24.0875-20.5625 10.815-20.4156 24.0875-20.4156z"}}]})(props);
};
function GiAbstract102 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21.0002c4.4053,21.1214 8.3148,44.4171 11.4562,69.178h76.2281v48.3219h-55.3719c7.6285,26.1221 12.6034,63.7142 13.3656,106.1905h41.2718v31.2843h-41.5656c-.1557,4.8889-.1737,9.6594-.4403,14.3938h42.0063v31.2843h-44.7969c-2.3412,20.0301-5.6809,37.7499-9.8406,51.9937h55.3718v48.3219h-76.2281c-3.1414,24.7609-7.0509,47.9097-11.4562,69.0312 46.2673-8.7542 101.0824-14.9264 160.9749-17.7718v-51.2593-48.3219h35.1031c7.8055,70.0923 22.2158,117.353 38.9219,117.353s31.2461-47.2608 39.0687-117.353h35.1032v48.3219 51.2593c59.8924,2.8455 114.5606,9.0176 160.8279,17.7718-4.4053-21.1214-8.1679-44.2702-11.3093-69.0312h-76.2281v-48.3219h55.3719c-4.1597-14.2438-7.5727-31.9636-9.9875-51.9937h-44.7969v-31.2843h42.0062c-.2789-4.7345-.4237-9.5047-.5873-14.3938h-41.4187v-31.2843h41.1249c.8024-42.4763 6.0309-80.0684 13.6594-106.1905h-55.3719v-48.3219h76.2281c3.1414-24.7609 6.9041-48.0566 11.3094-69.178-46.2674,8.7542-100.9356,15.0732-160.828,17.9187v99.5812h-35.1031c-7.8236-70.1187-22.3613-117.4999-39.0687-117.4999s-31.1151,47.3812-38.9219,117.4999h-35.1031v-99.5812c-59.8925-2.8456-114.7075-9.1645-160.9749-17.9187zm120.2905,171.2561h229.5655v127.6342h-229.5655v-127.6342zm29.375,48.4687v65.2124h170.6687v-65.2124h-85.3344-85.3343z"}}]})(props);
};
function GiAbstract103 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21c-129.7869,0-235,105.2131-235,235s105.2131,235 235,235 235-105.2131 235-235-105.2131-235-235-235zm-25.7031,44.0625v27.025c-7e-05,16.5704 11.4341,29.8156 25.7031,29.8156s25.7031-13.2452 25.7032-29.8156v-27.025c85.8583,11.4476 153.7867,79.376 165.2344,165.2344h-27.025c-16.5705,0-29.8156,11.4341-29.8156,25.7031s13.2451,25.7032 29.8156,25.7032h27.025c-11.4477,85.8583-79.3761,153.7867-165.2344,165.2344v-27.025c-7e-05-16.5705-11.4341-29.8156-25.7032-29.8156s-25.7032,13.2451-25.7031,29.8156v27.025c-85.8584-11.4477-153.7867-79.376-165.2344-165.2344h27.025c16.5704,0 29.8156-11.4341 29.8156-25.7032s-13.2452-25.7031-29.8156-25.7031h-27.025c11.4476-85.8584 79.376-153.7867 165.2344-165.2344zm-66.5344,75.4937c-6.158.1175-12.0358,2.342-16.45,6.7562-10.0897,10.0898-8.6327,27.6454 3.0844,39.3625l20.1219,20.1219c-8.369,14.4992-13.2188,31.2589-13.2188,49.2031s4.8497,34.704 13.2188,49.2032l-20.1219,20.1219c-11.717,11.7171-13.1741,29.2728-3.0844,39.3625s27.6454,8.6328 39.3625-3.0843l20.1219-20.1219c14.4992,8.3689 31.2589,13.2188 49.2031,13.2188s34.704-4.8498 49.2032-13.2188l20.1219,20.1219c11.7171,11.717 29.2728,13.1741 39.3625,3.0843s8.6327-27.6454-3.0844-39.3625l-20.1219-20.1219c8.369-14.4992 13.2188-31.2589 13.2188-49.2032s-4.8497-34.7039-13.2188-49.2031l20.1219-20.1219c11.7171-11.7171 13.1741-29.2728 3.0844-39.3625-4.4142-4.4142-10.292-6.6388-16.45-6.7562-7.9174-.1506-16.3216,3.2498-22.9124,9.8406l-20.1219,20.1219c-14.4992-8.369-31.2589-13.2188-49.2032-13.2188s-34.7039,4.8497-49.2031,13.2188l-20.1219-20.1219c-6.5909-6.5909-14.9951-9.9915-22.9125-9.8406zm92.2375,57.8687c31.7978,0 57.575,25.7772 57.575,57.575s-25.7772,57.575-57.575,57.575-57.575-25.7772-57.575-57.575 25.7772-57.575 57.575-57.575z"}}]})(props);
};
function GiAbstract104 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21c-129.7862,0-235,105.2131-235,235s105.2137,235 235,235 235-105.2133 235-235-105.2128-235-235-235zm0,5.875c126.5433,0 229.125,102.5828 229.125,229.125s-102.5817,229.125-229.125,229.125-229.1249-102.5832-229.1249-229.125 102.5836-229.125 229.1249-229.125zm0,5.875c-123.2965,0-223.25,99.9524-223.25,223.25s99.9535,223.25 223.25,223.25 223.25-99.9525 223.25-223.25-99.9516-223.25-223.25-223.25zm-216.2,7.05v99.7282c22.7819-42.2058 57.5233-76.9456 99.7284-99.7282h-99.7284zm332.6721,0c42.1115,22.7306 76.9433,57.3566 99.7279,99.4344v-99.4344h-99.7279zm-133.3625,12.7781h33.9278v34.2219h-33.9278v-34.2219zm-19.0938,2.4969 8.6659,33.0468-32.9,8.8125-8.9596-32.9 33.1938-8.9593zm72.1159,0 33.0466,8.9593-8.8125,32.9-33.0467-8.8125 8.8125-33.0468zm-122.9346,16.1562 17.0375,29.6688-29.5221,17.0375-17.1841-29.5218 29.6688-17.1844zm173.7529,0 29.6692,17.1844-17.1846,29.5218-29.5221-17.0375 17.0375-29.6688zm-218.6966,28.9344 24.2341,24.0875-24.2341,24.2344-24.0875-24.2344 24.0875-24.0875zm263.6409,0 24.0875,24.0875-24.0875,24.2344-24.2346-24.2344 24.2346-24.0875zm-131.8943,2.9375c50.6614,0 95.5849,24.741 123.375,62.7157-20.8821,4.7442-43.3082,8.2112-66.6808,10.4281-11.0869-19.8569-32.2707-33.1938-56.6943-33.1938s-45.6074,13.3369-56.6933,33.1938c-23.4225-2.2214-45.7601-5.6691-66.6817-10.4281 27.8315-37.9747 72.7161-62.7157 123.375-62.7157zm-167.5841,36.425 29.5217,17.1844-17.0376,29.5219-29.6683-17.0375 17.1842-29.6688zm335.3159,0 17.0375,29.6688-29.6693,17.0375-16.8903-29.5219 29.5221-17.1844zm-167.7318,21.15c27.2934,0 49.4971,22.0588 49.4971,49.3503 0,22.9271-15.6909,42.1543-36.8653,47.7341v103.1062h-25.2625v-103.1062c-21.1749-5.5798-36.7192-24.8071-36.7192-47.7341 0-27.2914 22.0608-49.3503 49.3499-49.3503zm0,14.1c-18.8,0-33.9278,16.4019-33.9278,36.7185s15.1279,36.8659 33.9278,36.8659 34.075-16.5477 34.075-36.8659-15.2735-36.7185-34.075-36.7185zm-133.6558,7.1969c21.8188,5.8974 45.4204,10.361 70.2058,13.2188-.8267,4.1506-1.4683,8.3787-1.4683,12.7779v160.8284c19.098,11.0266 41.2796,17.1841 64.9182,17.1841s45.8185-6.1574 64.9192-17.1841v-160.8284c0-4.3992-.4944-8.6273-1.3221-12.7779 24.7864-2.8577 48.3866-7.3214 70.2063-13.2188 12.1392,21.9312 19.0938,47.1861 19.0938,74.025 0,30.6046-9.0597,59.2407-24.5279,83.1313 .5492-8.5573.7005-17.6847-1.0284-26.8779-1.8546-9.2261-5.5211-17.4906-9.3999-25.2625-4.3165-8.743-9.268-17.1762-14.3938-25.4096-4.1975-6.745-8.5295-13.434-13.0721-19.975-1.3832-1.9914-2.8411-3.9052-4.2591-5.875-.3856-.5391-.6363-1.0791-1.0283-1.6154-.1081-.1412-.3337-.3005-.4418-.4418 .0649.1549.08.4324.1456.5873 .2443.5931.64,1.0232.8807,1.6159 .8864,2.1704 1.6521,4.4307 2.4971,6.6091 2.7744,7.1619 5.4201,14.3684 7.7847,21.5909 2.8839,8.8224 5.304,17.6142 7.1966,26.4375 1.6877,7.9886 3.0399,15.7478 2.4966,22.9125-.4418,7.5171-2.7523,15.1401-5.2875,23.2057-2.8698,8.8398-6.3055,17.515-10.1342,26.2909-3.1368,7.1694-6.4616,14.2556-9.9875,21.2966-.4086.8173-.7581,1.6821-1.175,2.4971-4.5717,2.7688-9.3765,5.351-14.2466,7.6375v-14.9812c-19.4021,10.2338-41.4559,16.1563-64.9192,16.1563s-45.5162-5.9225-64.9183-16.1563v14.9812c-4.8405-2.2692-9.407-4.8932-13.9533-7.6375-3.8225-7.9627-7.7795-15.9688-11.6034-23.9404-3.7966-8.6814-7.2859-17.3665-10.1342-26.1442-2.5347-8.0657-4.7046-15.8338-5.1408-23.3529-.5405-7.1623.8084-14.7768 2.4971-22.7654 1.8743-8.7913 4.3127-17.6175 7.1971-26.4375 3.7591-10.1515 7.6554-20.3242 11.4558-30.55-6.2759,9.2957-12.6303,18.6811-18.9466,28.0529-5.1268,8.2358-9.9166,16.6328-14.2467,25.4096-3.8798,7.7719-7.5454,16.0364-9.4,25.2625-1.739,9.244-1.5773,18.424-1.0284,27.025-15.5598-23.9248-24.675-52.6005-24.675-83.2784 0-26.8426 7.0782-52.0919 19.2409-74.025zm-58.3096,4.8469 32.9,8.9593-8.8125,32.9-33.0471-8.8125 8.9596-33.0469zm384.0779,0 8.9596,33.0469-33.1938,8.8125-8.6658-32.9 32.8999-8.9593zm-395.5342,52.1406h34.2216v34.2216h-34.2216v-34.2216zm372.7688,0h34.075v34.2216h-34.075v-34.2216zm-337.225,44.3562 8.8125,33.0471-32.9,8.8125-8.9596-33.0471 33.0471-8.8125zm335.7562,0 33.1938,8.8125-8.9596,33.0471-32.8999-8.8125 8.6658-33.0471zm-322.9784,42.5938 17.0376,29.5216-29.5217,17.1847-17.1842-29.6688 29.6683-17.0375zm310.2,0 29.6693,17.0375-17.0375,29.6688-29.5221-17.1847 16.8903-29.5216zm-286.8466,37.7466 24.2341,24.0875-24.2341,24.2346-24.0875-24.2346 24.0875-24.0875zm263.6409,0 24.0875,24.0875-24.0875,24.2346-24.2346-24.2346 24.2346-24.0875zm-348.0943,8.8125v99.7284h99.7284c-42.2051-22.7828-76.946-57.5219-99.7284-99.7284zm432.4.2962c-22.7846,42.0773-57.6164,76.7036-99.7279,99.4342h99.7279v-99.4342zm-315.4875,21.2966 29.5221,17.0375-17.0375,29.6688-29.6688-17.1846 17.1841-29.5217zm198.7221,0 17.1846,29.5217-29.6692,17.1846-17.0375-29.6688 29.5221-17.0375zm-159.6529,21.0034 32.9,8.8125-8.6659,33.0467-33.1938-8.8125 8.9596-33.0466zm120.5842,0 8.8125,33.0466-33.0466,8.8125-8.8125-33.0467 33.0467-8.8125zm-77.2563,10.2807h33.9278v34.075h-33.9278v-34.075z"}}]})(props);
};
function GiAbstract105 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,11c-83.484,0-157.231,10.8258-202.8907,27.4094-26.5885,62.0598-42.1094,136.9446-42.1094,217.5906 0,55.1164 7.2716,107.4897 20.3656,154.9625 57.6344,15.2522 136.711,24.8062 224.4813,24.8062s167.1107-9.554 224.7874-24.8062c13.0493-47.4734 20.3657-99.845 20.3657-154.9625 0-80.6461-15.3679-155.5308-41.9563-217.5906-45.6596-16.5836-119.5598-27.4094-203.0437-27.4094zm.1533,62.3219c25.8452,0 46.7031,81.8135 46.7031,182.6781s-20.8579,125.5625-46.7031,125.5625-46.8563-24.6979-46.8563-125.5625 21.011-182.6781 46.8563-182.6781zm-128.1657,22.05c22.7258,0 41.0375,71.9377 41.0375,160.6281s-18.3117,103.3594-41.0375,103.3594-41.1906-14.669-41.1906-103.3594 18.4649-160.6281 41.1906-160.6281zm256.3313,0c22.7257,0 41.0375,71.9377 41.0375,160.6281s-18.3118,103.3594-41.0375,103.3594-41.1907-14.669-41.1907-103.3594 18.465-160.6281 41.1907-160.6281zm-347.7469,333.2c4.8955,15.5677 10.418,30.5696 16.5375,44.8656 45.6581,16.6316 119.3953,27.5625 202.8907,27.5625s157.3855-10.9309 203.0437-27.5625c6.1195-14.296 11.6545-29.298 16.5375-44.8656-52.9175,16.5242-131.646,27.1031-219.7343,27.1031-88.0113,0-166.3832-10.6037-219.2751-27.1031z"}}]})(props);
};
function GiAbstract106 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21v140.5594h470v-140.5594h-30.8437v102.0781h-117.5v-102.0781h-27.9062v102.0781h-117.5v-102.0781h-27.9062v102.0781h-117.5v-102.0781h-30.8437zm91.5031,0c-17.7715,0-32.3125,14.3942-32.3125,32.1657s14.541,32.1656 32.3125,32.1656 32.1657-14.3941 32.1657-32.1656-14.3942-32.1657-32.1657-32.1657zm143.4969,0c-17.7715,0-32.1657,14.3942-32.1657,32.1657s14.3942,32.1656 32.1657,32.1656 32.1656-14.3941 32.1656-32.1656-14.3941-32.1657-32.1656-32.1657zm143.4968,0c-17.7715,0-32.1656,14.3942-32.1656,32.1657s14.3941,32.1656 32.1656,32.1656 32.1657-14.3941 32.1657-32.1656-14.3941-32.1657-32.1657-32.1657zm-364.3969,164.6469v140.5593h204.3032c8.6241-21.7615 13.2188-45.4898 13.2188-70.3531 0-24.7967-4.4924-48.4928-13.0719-70.2063h-204.45zm237.6438,0c-8.64,21.7135-13.3656,45.4096-13.3656,70.2063 0,24.8633 4.8286,48.5916 13.5125,70.3531h204.0094v-140.5593h-204.1563zm-85.6282,23.9406c25.594,0 46.2656,20.6716 46.2656,46.2657s-20.6717,46.2656-46.2656,46.2656c-14.4712,0-27.4665-6.6671-35.9843-17.0375h-85.1876v-58.3094h85.0407c8.5158-10.4628 21.5853-17.1844 36.1312-17.1844zm137.7688,0c14.5459,0 27.6154,6.7215 36.1313,17.1844h85.0406v58.3094h-85.1875c-8.5179,10.3704-21.5131,17.0375-35.9844,17.0375-25.594,0-46.2656-20.6716-46.2656-46.2656s20.6717-46.2657 46.2656-46.2657zm-303.8844,141v140.4125h30.8437v-101.9313h117.5v101.9313h27.9062v-101.9313h117.5v101.9313h27.9062v-101.9313h117.5v101.9313h30.8437v-140.4125h-470zm91.5031,76.0812c-17.7715,0-32.3125,14.3941-32.3125,32.1656s14.541,32.1656 32.3125,32.1656 32.1657-14.3941 32.1657-32.1656-14.3942-32.1656-32.1657-32.1656zm143.4969,0c-17.7715,0-32.1657,14.3941-32.1657,32.1656s14.3942,32.1656 32.1657,32.1656 32.1656-14.3941 32.1656-32.1656-14.3941-32.1656-32.1656-32.1656zm143.4968,0c-17.7715,0-32.1656,14.3941-32.1656,32.1656s14.3941,32.1656 32.1656,32.1656 32.1657-14.3941 32.1657-32.1656-14.3941-32.1656-32.1657-32.1656z"}}]})(props);
};
function GiAbstract107 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21-68.8844,68.8843h-97.2313v97.2313l-68.8843,68.8843 68.8843,68.8844v97.3781h97.3781l68.7375,68.7375 68.7375-68.7375h97.3781v-97.3781l68.8844-68.8844-68.8844-68.8843v-97.2313h-97.2313l-68.8843-68.8843zm0,63.5969 50.2312,50.2313h70.9406v70.9406l50.0844,50.2312-50.0844,50.0844h-33.0468c.0576-1.2114.147-2.4366.147-3.6719 0-5.6899-.5874-11.2069-1.6157-16.5969l35.1032-46.1187-50.0844,11.4562c-3.3672-4.7001-7.105-9.1236-11.3094-13.0719l9.9875-57.8687-39.2156,39.6563c-4.5764-1.7267-9.3443-3.1607-14.2469-4.1125l-16.8906-57.2812-16.8906,57.2812c-4.9026.9518-9.6706,2.3858-14.2469,4.1125l-39.2156-39.6563 9.9875,57.8687c-4.2044,3.9483-7.9422,8.3718-11.3094,13.0719l-50.0843-11.4562 35.1031,46.1187c-1.0281,5.39-1.6157,10.907-1.6157,16.5969 0,1.2365.0901,2.4592.147,3.6719h-33.0468l-50.2313-50.0844 50.2313-50.2312v-70.9406h70.9406l50.2313-50.2313zm0,156.4219c2.1407,0 4.2264.1982 6.3156.4403 36.1884,3.1765 56.3695,33.4874 59.7781,64.7719h-132.1875c3.4086-31.2845 23.5898-61.5954 59.7781-64.7719 2.0569-.1802 4.1554-.4403 6.3156-.4403zm-121.1719,85.0406h242.3437v50.9656h-71.0875l-50.0843,50.3781-50.0844-50.3781h-71.0875v-50.9656z"}}]})(props);
};
function GiAbstract108 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m491,427.2562c0,35.2951-28.4123,63.7438-63.5968,63.7438h-123.2281c8.7457-11.2367 16.7774-24.3213 24.0875-38.6282h79.1656c35.1845,0 63.5968-28.4487 63.5968-63.7437v-350.4438c12.328,11.5758 19.975,28.0545 19.975,46.4125zm-30.2562-65.6531c0,35.2951-28.4124,63.7437-63.5969,63.7437h-56.5468c18.8282-47.3644 29.9625-105.8763 29.9625-169.3469 0-97.5346-26.3796-183.5969-66.3875-235h123.2281c12.2256,0 23.6581,3.4598 33.3406,9.4zm-120.7313-105.6031c0,86.3696-37.6108,211.7683-84.0124,211.7683s-84.0125-125.3988-84.0125-211.7683 37.6108-177.0159 84.0125-177.0159 84.0124,90.6464 84.0124,177.0159zm-132.1875,235h-123.2281c-35.1845,0-63.5969-28.4487-63.5969-63.7438v-342.6594c0-18.2834 7.7347-34.6974 19.975-46.2656v350.2969c0,35.2951 28.4123,63.7437 63.5969,63.7437h79.1656c7.314,14.3187 15.3358,27.3837 24.0875,38.6282zm0-470c-40.0079,51.4031-66.3875,137.4654-66.3875,235 0,63.4705 11.2812,121.9825 30.1094,169.3469h-56.6938c-35.1845,0-63.5969-28.4487-63.5969-63.7437v-331.2031c9.7057-5.9813 21.0693-9.4 33.3406-9.4z"}}]})(props);
};
function GiAbstract109 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21v201.8063h44.9437c13.8651-80.0142 76.8703-143.1223 156.8625-157.0093v-44.7969h-201.8063zm224.425,0v42.1532c3.4864-.1874 7.0418-.294 10.575-.294s7.0884.1059 10.5751.294v-42.1532h-21.1501zm43.7688,0v44.7969c80.0143,13.887 143.1224,76.9952 157.0094,157.0093h44.7969v-201.8063h-201.8063zm-227.5094,18.0657c12.4968,0 22.6188,10.122 22.6188,22.6187s-10.122,22.6188-22.6188,22.6188-22.6188-10.122-22.6188-22.6188 10.122-22.6187 22.6188-22.6187zm388.6313,0c12.4968,0 22.6188,10.122 22.6188,22.6187s-10.122,22.6188-22.6188,22.6188-22.6188-10.122-22.6188-22.6188 10.122-22.6187 22.6188-22.6187zm-194.3157,67.5625c-71.061,0-130.45,49.6882-145.5531,116.1781h48.4688c13.7943-40.3643 52.0472-69.325 97.0843-69.325s83.29,28.9606 97.0844,69.325h48.4687c-15.103-66.4899-74.4921-116.1781-145.5531-116.1781zm-235,138.7969v21.15h132.9219c-.3603-3.4952-.4403-6.9847-.4403-10.575s.0807-7.0798.4403-10.575h-132.9219zm337.0781,0c.3603,3.4952.4403,6.9846.4403,10.575s-.0807,7.0797-.4403,10.575h90.7687 14.2469 27.9062v-21.15h-27.9062-14.2469-90.7687zm-337.0781,43.7688v201.8062h201.8063v-44.7969c-79.9923-13.887-142.9974-76.9952-156.8625-157.0093h-44.9437zm89.4468,0c15.1031,66.4899 74.4921,116.1781 145.5531,116.1781s130.4501-49.6882 145.5531-116.1781h-48.4687c-13.7944,40.3643-52.0472,69.325-97.0844,69.325s-83.29-28.9606-97.0843-69.325h-48.4688zm335.7563,0c-13.887,80.0142-76.9952,143.1223-157.0094,157.0093v44.7969h201.8063v-201.8062h-44.7969zm-386.7219,138.5031c.7607-.0771 1.4221,0 2.2031,0 12.4968,0 22.6188,10.122 22.6188,22.6187s-10.122,22.6188-22.6188,22.6188-22.6188-10.122-22.6188-22.6188c0-11.7157 9.0057-21.46 20.4156-22.6187zm388.4844,0c.7607-.0771 1.569,0 2.35,0 12.4968,0 22.6188,10.122 22.6188,22.6187s-10.122,22.6188-22.6188,22.6188-22.6188-10.122-22.6188-22.6188c0-11.7157 8.8588-21.46 20.2688-22.6187zm-202.5406,21.15v42.1531h21.1501v-42.1531c-3.4867.1874-7.0418.294-10.5751.294s-7.0886-.1059-10.575-.294z"}}]})(props);
};
function GiAbstract110 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m44.2106,21.0024c0,1.2962.2306,2.5376.4418,3.8187v.1463c.2068,1.2346.6356,2.4526 1.0279,3.6718v.147c12.2147,39.4955 126.0546,82.1667 205.1826,86.3616v-14.0998-80.0461h-206.6514zm216.932,0v80.0461 14.0998c79.128-4.195 192.968-46.8662 205.1826-86.3617v-.147c.3899-1.2193.8212-2.4372 1.0279-3.6718v-.1463c.2119-1.2811.4418-2.5225.4418-3.8188h-206.6514zm-240.138,46.1183v.1463 118.0863 .1463c0,2.0599.08,4.1617.2912,6.1687v.147c.2162,2.0046.6154,3.9329 1.0283,5.875v.147c.418,1.9414 1.0119,3.859 1.6154,5.7281v.147c.6075,1.8682 1.2723,3.6483 2.0562,5.4343v.147c.7887,1.7851 1.6882,3.4476 2.6437,5.1406v.147c.9602,1.695 2.1131,3.4009 3.2312,4.9937v.147c1.1214,1.5915 2.4031,3.0737 3.6716,4.5531 .0504.0288-.0504.1175 0,.147 1.2732,1.4805 2.7015,2.7544 4.1124,4.1124 11.4956,11.097 27.325,18.0654 44.9438,18.0654h166.2608v-.147-19.0936-.147h-127.7804c-17.5821,0-33.3062-6.7534-44.7962-17.7717-1.4109-1.3536-2.9854-2.7832-4.2591-4.2593-.0505-.0288.0504-.1182 0-.147-1.269-1.475-2.405-2.9659-3.525-4.5531-.0504-.036 0-.1153 0-.147-1.1186-1.5882-2.4177-3.1561-3.3784-4.8469v-.147c-.9545-1.6891-1.7089-3.3588-2.4966-5.1405v-.147c-.7844-1.7826-1.5956-3.5689-2.2033-5.4343v-.147c-.6032-1.8664-1.1985-3.7887-1.6159-5.7281v-.1463c-.4137-1.9401-.6637-3.8714-.8807-5.8749v-.147c-.2119-2.006-.2912-4.1089-.2962-6.1687v-.147-75.9337c-7.1265-3.5069-13.9504-7.1763-20.4152-11.0155-6.4648-3.8759-12.6156-7.9948-18.2123-12.1905zm469.9954,0c-5.5967,4.1957-11.7475,8.3146-18.2123,12.1905-6.4648,3.8391-13.2886,7.5085-20.4152,11.0155v75.9337 .147c0,2.0598-.084,4.1627-.2962,6.1687v.147c-.2162,2.0035-.4699,3.9348-.8807,5.8749v.147c-.418,1.9394-1.0129,3.8617-1.6159,5.7281v.147c-.6075,1.8654-1.4189,3.6517-2.2033,5.4344v.147c-.7877,1.7816-1.5421,3.4514-2.4966,5.1405v.147c-.9607,1.6907-2.2598,3.2587-3.3784,4.8469 0,.036.05.1139 0,.147-1.1205,1.5873-2.256,3.0781-3.525,4.553-.05.0288.043.1182 0,.147-1.2737,1.4761-2.8482,2.9058-4.2591,4.2593-11.4899,11.0182-27.2141,17.7718-44.7962,17.7718h-127.7804v.1463 19.0935 .147h166.2609c17.6187,0 33.4481-6.9684 44.9437-18.0654 1.411-1.3581 2.8393-2.6319 4.1125-4.1124 .043-.0288-.05-.1189 0-.147 1.2685-1.4794 2.5502-2.9616 3.6716-4.5531v-.147c1.1181-1.5927 2.271-3.2987 3.2312-4.9937v-.147c.9555-1.693 1.8551-3.3555 2.6438-5.1406v-.147c.7839-1.786 1.4485-3.5661 2.0562-5.4343v-.1463c.6039-1.8691 1.1975-3.7867 1.6154-5.7281v-.147c.4136-1.942.8121-3.8704 1.0283-5.875v-.147c.2119-2.007.2911-4.1088.2911-6.1686v-.147-118.0863-.147zm-404.6364,34.9559v.147 54.1964c0,10.5497 2.7541,20.4233 7.6374,29.081 .9762,1.7276 2.2372,3.3728 3.3779,4.9937v.147c1.1209,1.5873 2.2565,3.0781 3.525,4.5531 1.316,1.5403 2.6489,2.9976 4.1124,4.4062 11.49,11.0549 27.3617,17.9186 44.9434,17.9186h100.9024v-.147-86.8023-.147c-56.2457-1.8285-121.8482-12.0173-164.4984-28.3466zm339.2775,0c-42.6503,16.3293-108.2527,26.5181-164.4985,28.3466v.147 86.8023 .147h100.9024c17.5816,0 33.4538-6.8636 44.9434-17.9186 1.4635-1.4087 2.7964-2.8659 4.1124-4.4062 1.2685-1.4749 2.4041-2.9657 3.525-4.5531v-.147c1.1406-1.6208 2.4016-3.2661 3.3778-4.9937 4.8833-8.6577 7.6375-18.5313 7.6375-29.081v-54.1964-.147zm-341.04,163.3234c-17.6192,0-33.4482,6.9685-44.9438,18.0655-1.409,1.3602-2.8416,2.6298-4.1125,4.1124v.1463c-1.2652,1.4816-2.5534,2.9594-3.6715,4.553v.147c-1.1149,1.595-2.2739,3.2967-3.2312,4.9937v.147c-.9522,1.6953-1.8589,3.3536-2.6437,5.1406v.147c-.7807,1.788-1.4523,3.5643-2.0563,5.4343v.147c-.5989,1.8709-1.2027,3.785-1.6154,5.7281v.147c-.4086,1.9437-.8164,3.8689-1.0283,5.8749v.147c-.2068,2.0084-.1456,4.1078-.1456,6.1687-.0005.0504 0,.098 0,.147v118.0863 .1463c5.5962-4.1958 11.7475-8.3147 18.2123-12.1906s13.2887-7.5086 20.4152-11.0155v-75.9336-.1463c0-2.061-.0576-4.1614.1456-6.1687v-.147c.2112-2.005.4728-3.9331.8807-5.875v-.147c.4137-1.941 1.0166-3.8598 1.6159-5.728v-.147c.6032-1.8673 1.4232-3.6496 2.2033-5.4344v-.147c.7839-1.7836 1.5458-3.4492 2.4966-5.1406v-.147c.9573-1.6927 2.2635-3.2564 3.3783-4.8468v-.147c1.1181-1.5894 2.2593-3.0758 3.525-4.553v-.147c1.2713-1.4782 2.8501-2.9035 4.2591-4.2594 11.49-11.0182 27.2141-17.7717 44.7962-17.7717h127.7805v-.147-19.0936-.147h-166.2609zm176.5415,0v.1463 19.0936 .147h127.7806c17.582,0 33.3062,6.7534 44.7962,17.7717 1.409,1.3558 2.9877,2.7812 4.2591,4.2594v.1463c1.2657,1.4772 2.4067,2.9636 3.5249,4.5531v.147c1.1148,1.5904 2.4209,3.1541 3.3783,4.8468v.147c.9508,1.6914 1.7127,3.357 2.4966,5.1406v.1463c.7802,1.7847 1.6004,3.5671 2.2034,5.4343v.147c.5995,1.8682 1.2022,3.7871 1.6158,5.7281v.1463c.4086,1.9418.6695,3.87.8808,5.875v.1463c.2068,2.0073.1456,4.1077.1456,6.1687v.1463 75.9336c7.1265,3.5069 13.9504,7.1396 20.4151,11.0155 6.4653,3.8758 12.6162,7.9949 18.2124,12.1905v-.147-118.0863c0-.0504.0004-.098 0-.147 0-2.0609.065-4.1603-.1456-6.1687v-.147c-.2119-2.0059-.6198-3.9312-1.0284-5.875v-.1463c-.4136-1.943-1.0161-3.8571-1.6153-5.728v-.1463c-.6039-1.87-1.2756-3.6463-2.0563-5.4344v-.147c-.7849-1.787-1.6915-3.4453-2.6437-5.1405v-.147c-.9574-1.697-2.1164-3.3988-3.2312-4.9937v-.147c-1.1182-1.5937-2.4064-3.0714-3.6716-4.5531v-.147c-1.2709-1.4826-2.7034-2.7522-4.1124-4.1125-11.4957-11.097-27.3246-18.0654-44.9438-18.0654h-166.2609zm-111.183,29.081c-17.5816,0-33.4534,6.8636-44.9434,17.9185-1.4359,1.3819-2.8195,2.7507-4.1124,4.2593v.147c-1.2661,1.4817-2.4069,2.9595-3.525,4.5531-6.8835,9.7437-11.0153,21.5209-11.0153,34.2215v54.1963 .147c42.6497-16.3293 108.2527-26.5182 164.4984-28.3466v-.1463-86.8023-.147h-100.9024zm111.183,0v.147 86.8023 .1463c56.2458,1.8285 121.8487,12.0173 164.4985,28.3466v-.147-54.1963c0-12.7006-4.1318-24.4779-11.0153-34.2215-1.1181-1.5937-2.2589-3.0715-3.525-4.5531v-.147c-1.2929-1.5087-2.6766-2.8775-4.1124-4.2594-11.4896-11.0549-27.3618-17.9185-44.9434-17.9185h-100.9024zm-10.2806,102.3709c-79.128,4.195-193.1146,46.8662-205.3298,86.3617v.147c-.3856,1.269-.8281,2.4108-1.0279,3.6718v.147c-.1924,1.2593-.2911,2.5702-.2911,3.8187h206.6513v-80.0461-14.0998zm10.2806,0v14.0998 80.0461h206.6514c0-1.2485-.1038-2.5593-.2911-3.8187v-.147c-.2018-1.261-.6429-2.4028-1.0279-3.6718v-.1463c-12.2147-39.4955-126.2018-82.1667-205.3297-86.3616z"}}]})(props);
};
function GiAbstract111 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m255.9627,21.0146c-11.5416-7e-05-23.0727,4.2744-31.8697,13.0737-8.2475,8.249-12.5558,19.0151-13.0709,29.8198-34.6946,8.0717-67.6931,25.4008-94.7287,52.4417-27.0153,27.0207-44.5161,60.0906-52.5779,94.7477-10.7318.5606-21.3245,4.8767-29.5199,13.0737-17.5943,17.5974-17.5943,46.1546 0,63.7527 8.1949,8.1967 18.7875,12.5127 29.5199,13.0737 8.0938,34.657 25.7097,67.4335 52.725,94.4539 27.0281,27.034 59.9124,44.6453 94.5816,52.7355 .4965,10.7863 4.8233,21.4241 13.0709,29.673 17.5943,17.5987 46.145,17.4511 63.7398-.147 8.1949-8.1969 12.5097-18.6452 13.0713-29.3791 34.6778-8.0558 67.5456-25.6946 94.5816-52.7356 27.0666-27.0725 44.6675-60.0017 52.7246-94.7477 10.7318-.5614 21.3249-4.877 29.5203-13.0737 17.5943-17.598 17.7414-46.0076.1456-63.6058-8.2479-8.2492-19.03-12.5766-29.814-13.0737-8.0788-34.67-25.5641-67.7289-52.5775-94.7477-26.9881-26.9931-59.9542-44.3507-94.5816-52.4417-.5152-10.8046-4.8243-21.571-13.0713-29.8198-8.7974-8.7993-20.3281-13.0737-31.8701-13.0737zm-2.4964,21.0061c.806-.0821 1.6688,0 2.4964,0 13.2452,0 23.9394,10.6973 23.9394,23.944s-10.6947,23.944-23.9394,23.944-23.9389-10.6973-23.9389-23.944c0-12.4188 9.3553-22.7202 21.4425-23.944zm45.8221,35.6956c31.623,7.6436 61.6724,23.9326 86.3572,48.6224 24.6852,24.6901 40.824,54.5979 48.4657,86.2277-7.3339,1.999-14.3552,5.838-20.1209,11.6047-17.5938,17.5978-17.5938,46.1548 0,63.7527 5.7176,5.7195 12.6948,9.4559 19.9738,11.4579-7.6841,31.5865-23.8111,61.5684-48.4653,86.2277-24.6349,24.6396-54.5274,40.7975-86.0639,48.4755-1.987-7.347-5.837-14.211-11.6022-19.9778-17.5948-17.5982-46.1446-17.5987-63.7398,0-5.7576,5.7591-9.4549,12.6529-11.4555,19.9778-31.6093-7.6589-61.671-23.7844-86.3572-48.4755-24.6542-24.6592-40.6492-54.6565-48.3191-86.2277 7.315-1.9939 14.2311-5.7132 19.9737-11.4579 17.5953-17.5979 17.5943-46.1548 0-63.7527-5.7651-5.7666-12.7752-9.6173-20.1203-11.6047 7.6765-31.5432 23.8312-61.5881 48.4657-86.2277 24.6542-24.6594 54.6309-40.6425 86.21-48.3286 2.0016,7.2802 5.8841,14.2584 11.6027,19.9778 17.5943,17.5979 46.1455,17.5978 63.7398,0 5.7698-5.7712 9.4694-12.9184 11.4555-20.2716zm17.9177,25.5598c-2.8993,4.7398-6.3244,9.2635-10.4273,13.3675-1.807,1.8068-3.6362,3.5682-5.5814,5.1414 2.5322,20.4309 12.5073,41.5947 29.814,58.9051s38.5954,27.4167 59.0401,29.9667c1.5754-1.9419 3.333-3.7746 5.1401-5.582 4.0695-4.0697 8.5216-7.398 13.2184-10.2827-16.778-11.2247-33.7374-25.2244-49.9344-41.4245-16.2624-16.2661-30.0236-33.2426-41.2695-50.0914zm-122.3396.294c-9.8294,14.7091-21.8588,29.4306-35.5411,43.775-1.9311,2.0236-3.874,3.8746-5.8746,5.8758-16.1717,16.1746-33.1832,30.2089-49.9344,41.4245 4.6936,2.8929 9.2903,6.3541 13.3645,10.4296 1.8916,1.8919 3.6513,3.8354 5.2872,5.8758 20.3521-2.6134 41.3785-12.7415 58.5992-29.9667 17.2851-17.2884 27.5417-38.627 30.1077-59.052-1.9744-1.5951-3.8932-3.3066-5.7275-5.1414-4.0474-4.0474-7.3997-8.5601-10.2811-13.2206zm26.1426,25.1192c-1.8601,21.3657-12.0463,43.9249-30.2548,62.1369-18.1418,18.1459-40.5383,28.4926-61.8303,30.4074 11.9466,21.6435 11.7652,48.0305-.2911,69.6284 21.3559,1.8596 43.9427,11.9283 62.124,30.1136s28.5193,40.8999 30.4015,62.2837c21.5938-12.0848 47.9822-12.2552 69.6145-.294 1.9349-21.2711 12.2831-43.5744 30.401-61.6961 18.2085-18.212 40.6163-28.5474 61.9778-30.4074-12.0439-21.6414-12.0651-48.1316 0-69.7754-21.4006-1.8656-43.9225-12.202-62.1245-30.4074s-28.4121-40.6079-30.2544-61.9899c-21.6464,12.0481-48.1147,12.0484-69.7611,0zm34.9536,55.6735c7.4622.0288 14.8723,2.9762 20.5612,8.6668l42.4445,42.4528c11.3789,11.3811 11.3794,29.7492 0,41.1307l-42.4445,42.4528c-11.3789,11.3811-29.7435,11.5279-41.1224.147l-42.5906-42.5997c-11.3789-11.3807-11.3794-29.896 0-41.2777l42.5906-42.4528c5.6895-5.6909 13.0995-8.546 20.5612-8.5199zm-192.3938,47.7411c.8065-.0821 1.6688,0 2.4964,0 13.2442,0 23.9394,10.6976 23.9394,23.944s-10.6952,23.944-23.9394,23.944-24.086-10.6971-24.086-23.944c0-12.4185 9.4854-22.7201 21.5895-23.944zm379.9418,0c.806-.0821 1.6689,0 2.497,0 13.2433,0 23.9389,10.6976 23.9389,23.944s-10.6956,23.944-23.9389,23.944c-13.2452,0-23.9394-10.6971-23.9394-23.944 0-12.4185 9.3543-22.7201 21.4424-23.944zm-321.6363,69.0409c-1.5345,1.8812-3.24,3.6814-4.9935,5.4352-4.1287,4.1287-8.592,7.666-13.3645,10.5764 16.8607,11.234 33.6715,25.0116 49.9344,41.2777 16.2272,16.2307 30.3432,33.2648 41.5628,50.0914 2.8969-4.7408 6.1797-9.2655 10.2806-13.3675 1.7535-1.7538 3.5506-3.4621 5.4338-4.9945-2.5496-20.4491-12.6531-41.8885-29.9607-59.1989s-38.4657-27.2871-58.893-29.8198zm268.1771,0c-20.4211,2.5664-41.755,12.6789-59.0401,29.9667-17.1967,17.201-27.3312,38.2827-29.9607,58.6114 2.004,1.6137 4.0126,3.5739 5.8747,5.4352 4.1014,4.1024 7.3808,8.4818 10.2806,13.2206 11.2153-16.792 25.0673-33.7398 41.2695-49.9445s33.2909-30.0581 50.0811-41.2777c-4.7387-2.8987-9.2627-6.1801-13.3651-10.2827-1.8075-1.8079-3.5671-3.7862-5.1401-5.729zm-136.5852,120.8951c.806-.0814 1.6688,0 2.4964,0 13.2452,0 23.9394,10.6973 23.9394,23.944s-10.6947,24.0909-23.9394,24.0909-23.9389-10.8442-23.9389-24.0909c0-12.4187 9.3553-22.7201 21.4425-23.944z"}}]})(props);
};
function GiAbstract112 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m21,21v137.475 195.05 137.475h137.475 195.05 137.475v-137.475-195.05-137.475h-137.475-332.525zm10.7219,10.7219h448.5562v448.5563h-448.5562v-448.5563zm10.1344,10.1344v428.2875h428.2876v-428.2875h-428.2876zm112.8,11.0156h37.7469v70.9406c-29.8436,14.3868-54.018,38.6225-68.4437,68.4438h-71.0875v-37.6c50.3118-11.9402 89.8441-51.4726 101.7844-101.7844zm50.9656,0h15.4219v60.6594c-5.2472,1.2866-10.4132,3.0118-15.4219,4.8469v-65.5062zm28.4937,0h15.4219v56.6937c-5.1995.2275-10.3763.8593-15.4219,1.6156v-58.3094zm28.4938,0h15.4218v58.3094c-5.044-.7612-10.2236-1.3829-15.4218-1.6156v-56.6937zm28.6406,0h15.4219v65.6531c-5.0082-1.8478-10.1741-3.5478-15.4219-4.8469v-60.8062zm28.4938,0h37.6c11.9402,50.3118 51.4726,89.8442 101.7844,101.7844v37.6h-71.0875c-14.3972-29.7621-38.5349-53.8998-68.2969-68.2969v-71.0875zm-63.7438,82.8375c2.0752,0 4.1193.0425 6.1688.1467 .1463.009.2948-.009.4403,0 5.2293.2844 10.3908.9774 15.4219,1.9094 2.2618.4183 4.4115.9316 6.6093,1.4688 1.9.4643 3.8541.91 5.7282,1.4688 .3027.0902.5801.2011.8812.2937 5.2796,1.6202 10.4787,3.575 15.4219,5.875v.1467c4.5272,2.1075 8.8722,4.4165 13.0719,7.05 15.4827,9.6952 28.4923,22.7047 38.1875,38.1875 2.6334,4.1997 4.9425,8.5447 7.05,13.0719 .01.0187.1383-.0187.147,0 2.3,4.9432 4.2548,10.1423 5.875,15.4219 .092.3012.204.579.294.8812 .5586,1.8741 1.0044,3.8281 1.4688,5.7281 .3589,1.4687.7227,2.9113 1.0281,4.4062 .1506.7339.3034,1.4644.4403,2.2031 .932,5.0311 1.6252,10.1926 1.9094,15.4219 .1189,2.193.147,4.3867.147,6.6094 0,2.1735-.036,4.3173-.147,6.4625-.2782,5.2302-.9834,10.3894-1.9094,15.4219-.4115,2.2389-.9268,4.4373-1.4687,6.6094s-1.1104,4.3178-1.7626,6.4625c-1.6034,5.2706-3.4473,10.4848-5.728,15.4219-.01.0187-.1384-.0187-.147,0-1.0622,2.2983-2.1777,4.5587-3.3782,6.7562-.022.0375.022.1105 0,.1467-1.1825,2.1591-2.5084,4.2212-3.8187,6.3156h.147c-9.7057,15.5583-22.7937,28.6029-38.3344,38.3344-4.1998,2.6335-8.5447,4.9425-13.0719,7.05v.1467c-4.9432,2.3-10.1423,4.2548-15.4218,5.875-.3013.0926-.5787.2035-.8813.2938-1.8741.5588-3.8282,1.0044-5.7281,1.4688-2.1979.5372-4.3475,1.0503-6.6094,1.4688-5.0311.932-10.1926,1.6252-15.4219,1.9094-.1456.009-.2948-.009-.4403,0-2.0467.1001-4.0948.1467-6.1688.1467s-4.1213-.0468-6.1687-.1467c-.0973-.005-.1967.005-.294,0-5.2302-.2777-10.3894-.9834-15.4219-1.9094-.7902-.1452-1.5697-.2787-2.35-.4404-1.4239-.2914-2.8542-.6866-4.2594-1.0281-2.1721-.5419-4.3178-1.1104-6.4625-1.7625-5.2706-1.6036-10.4848-3.4475-15.4218-5.7281-.0216-.009.0216-.1381 0-.1467-2.2983-1.0622-4.5587-2.1776-6.7562-3.3781-.036-.0187-.1103.0187-.147,0-2.1592-1.1825-4.2212-2.5084-6.3156-3.8188v.1467c-15.6163-9.7418-28.7395-22.865-38.4813-38.4813h.147c-1.3103-2.0944-2.6362-4.1565-3.8187-6.3156-.0216-.0375.0216-.1085 0-.1467-1.2005-2.1975-2.3159-4.458-3.3781-6.7562h-.147c-2.2807-4.9371-4.1246-10.1513-5.7282-15.4219-.6522-2.1447-1.2205-4.2904-1.7625-6.4625-.351-1.4055-.7306-2.8288-1.0281-4.2594-.16-.781-.2969-1.5636-.4403-2.35-.926-5.0325-1.6315-10.1917-1.9094-15.4219-.1146-2.1452-.147-4.289-.147-6.4625 0-2.074.0504-4.122.147-6.1687 .007-.1457-.007-.2952 0-.4404 .2847-5.2293.9774-10.3908 1.9094-15.4219 .4115-2.2188.9376-4.435 1.4687-6.6094 .4641-1.9.91-3.854 1.4688-5.7281 .0872-.2937.2039-.5877.294-.8812 1.6201-5.2796 3.5749-10.4787 5.875-15.4219 .007-.0187.1384.0187.147,0 2.1075-4.5271 4.4165-8.8721 7.05-13.0719 9.7315-15.5406 22.7761-28.6286 38.3344-38.3344v.1467c2.0945-1.3103 4.1564-2.6362 6.3156-3.8188 .036-.0187.1081.0187.147,0 2.1975-1.2005 4.458-2.3159 6.7562-3.3781v-.1467c4.937-2.2807 10.1512-4.1246 15.4218-5.7281 2.1447-.6521 4.2904-1.2206 6.4625-1.7625 1.4055-.3506 2.8288-.7306 4.2594-1.0281 .781-.1598 1.5636-.2961 2.35-.4404 5.0325-.926 10.1917-1.6314 15.4219-1.9094 2.1447-.1137 4.2894-.1467 6.4625-.1467zm.147,17.3313c-9.7219,0-18.6263,3.6982-25.1156,9.9875-8.712-2.1375-18.3742-1.0062-26.7313,3.8188s-13.8328,12.5526-16.3031,21.15c-8.6206,2.5022-16.4687,8.2341-21.2969,16.5969-4.8528,8.4054-5.8785,17.8651-3.6719,26.5844-6.2039,6.4754-10.1344,15.3217-10.1344,24.9688s3.9305,18.238 10.1344,24.675c-2.1874,8.7528-1.034,18.4728 3.8187,26.8781 4.8265,8.3596 12.5526,13.9797 21.1501,16.45 2.4837,8.6694 8.0482,16.2992 16.45,21.15 8.3571,4.825 17.9057,5.8287 26.5844,3.6719 6.4893,6.2893 15.3936,10.1344 25.1156,10.1344 9.6846,0 18.3779-3.8876 24.8219-10.1344 8.6787,2.1568 18.2273,1.1531 26.5844-3.6719 8.4018-4.8508 13.9663-12.4806 16.45-21.15 8.6472-2.4514 16.3005-8.0505 21.15-16.45 4.825-8.3571 5.9563-18.0193 3.8187-26.7313 6.2893-6.4507 10.1344-15.1 10.1344-24.8219s-3.8451-18.6262-10.1344-25.1156c2.1568-8.6787 1.1532-18.0804-3.6718-26.4375-4.8508-8.4018-12.6275-14.1131-21.2969-16.5969-2.4703-8.5974-7.9436-16.3236-16.3031-21.15-8.3571-4.8249-18.0193-5.9563-26.7313-3.8188-6.4439-6.2467-15.1372-9.9875-24.8219-9.9875zm-203.275,52.2875h65.6531c-1.8478,5.0082-3.5478,10.1741-4.8468,15.4219h-60.8062v-15.4219zm340.6031,0h65.6531v15.4219h-60.8063c-1.299-5.2477-2.999-10.4137-4.8468-15.4219zm-137.475,7.1969c23.9952,0 43.475,19.4797 43.475,43.475s-19.4799,43.475-43.4752,43.475-43.475-19.4797-43.475-43.475 19.4798-43.475 43.475-43.475zm0,13.2187c-16.7409,0-30.2563,13.5154-30.2563,30.2563s13.5152,30.2563 30.2561,30.2563 30.2563-13.5154 30.2563-30.2563-13.5154-30.2563-30.2563-30.2563zm-203.1281,8.225h58.3094c-.7612,5.044-1.3829,10.2237-1.6157,15.4219h-56.6937v-15.4219zm347.9468,0h58.3094v15.4219h-56.6938c-.2327-5.1982-.8544-10.3778-1.6156-15.4219zm-347.9468,28.4938h56.6937c.2277,5.1995.8593,10.3763 1.6157,15.4219h-58.3094v-15.4219zm349.5624,0h56.6938v15.4219h-58.3094c.7564-5.0455 1.388-10.2224 1.6156-15.4219zm-349.5624,28.4937h60.6594c1.2866,5.2472 3.0118,10.4131 4.8468,15.4219h-65.5062v-15.4219zm345.5968,0h60.6594v15.4219h-65.5062c1.835-5.0088 3.5602-10.1747 4.8468-15.4219zm-345.5968,28.6406h70.9406c14.4154,29.9029 38.6878,54.1752 68.5906,68.5906v70.9406h-37.7469c-11.9404-50.3118-51.4727-89.8442-101.7845-101.7844v-37.7469zm335.3156,0h70.9406v37.7469c-47.1673,11.1939-84.9216,46.6888-99.2875,92.5312-.9577,3.0562-1.7506,6.1086-2.4969,9.2531h-37.6v-71.0875c29.8213-14.4258 54.057-38.6002 68.4438-68.4437zm-81.5156,73.8781v65.6531h-15.422v-60.8062c5.2478-1.299 10.4138-2.9991 15.422-4.8469zm-101.05.1467c5.0087,1.8351 10.1747,3.5603 15.4219,4.8469v60.6594h-15.4219v-65.5063zm28.4937,7.1969c5.0456.7563 10.2224,1.388 15.4219,1.6156v56.6938h-15.4219v-58.3094zm43.9156,0v58.3094h-15.4218v-56.6938c5.1981-.2326 10.3778-.8544 15.4218-1.6156z"}}]})(props);
};
function GiAbstract113 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m112.3889,31.389-81.0006,57.5568 30.8841,93.0735 100.233.1402 31.0245-93.2139-81.141-57.5568zm287.2222,0-81.141,57.5568 30.8842,93.0735 100.233.1402 31.0244-93.2139-81.0006-57.5568zm-193.7276,58.2587-30.8841,93.2139 81.141,57.5565 81.0006-57.6969-31.0245-93.0735h-100.233zm-144.0322,106.2694-40.8513,60.2238 40.8513,59.9435h55.5914 12.3537 38.4648l84.9313-59.9435-84.9313-60.2238h-38.4648-12.3537-55.5914zm281.7473,0-84.9313,60.2238 84.9313,59.9435h38.4648 12.3536 55.7318l40.8512-59.9435-40.8512-60.2238h-55.7318-12.3536-38.4648zm-87.4582,75.6663-81.141,57.5563 30.8841,93.2139h100.233l31.0245-93.0733-81.0006-57.6969zm-93.635,58.2585-100.233.1393-30.8841,93.0733 81.0006,57.5568 81.141-57.5568-31.0245-93.2139zm287.0819,0-100.233.1393-30.8842,93.0733 81.141,57.5568 81.0006-57.5568-31.0244-93.2139z"}}]})(props);
};
function GiAbstract114 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m43.7656,21c-12.6762,0-22.7656,10.9915-22.7656,24.5281v19.3875h82.8375v-19.3875c0-13.5366-10.0894-24.5281-22.7657-24.5281h-37.3062zm107.9531,0c-12.7648,0-23.0593,10.9915-23.0593,24.5281v19.3875h83.5719v-19.3875c0-13.5366-10.2946-24.5281-23.0594-24.5281h-37.4532zm108.3938,0c-12.7648,0-23.0594,10.9915-23.0594,24.5281v383.3438h146.1406v-112.5062c-3.0364,1.5484-6.3798,2.4969-9.9875,2.4969h-58.3093c-12.7649,0-23.0594-10.8447-23.0594-24.3813v-70.2063c0-12.6905 9.0605-23.271 20.7093-24.5281 .7766-.0836 1.5523,0 2.3501,0h58.3093c3.6011,0 6.9553.937 9.9875,2.4969v-38.4813c-3.0364,1.5484-6.3798,2.4969-9.9875,2.4969h-58.3093c-12.7649,0-23.0594-10.8447-23.0594-24.3812v-70.2063c0-12.6905 9.0605-23.271 20.7093-24.5281 .7766-.0836 1.5523,0 2.3501,0h58.3093c3.6011,0 6.9553.9369 9.9875,2.4968v-4.1125c0-13.5366-10.2946-24.5281-23.0594-24.5281h-100.0218zm170.8156,0c-12.6762,0-22.9125,10.9915-22.9125,24.5281v327.2375h82.9844v-327.2375c0-13.5366-10.2363-24.5281-22.9125-24.5281h-37.1594zm-409.9281,62.275v345.5969h82.8375v-345.5969h-82.8375zm107.6594,0v33.7812h83.5719v-33.7812h-83.5719zm-66.5344,24.3813c14.0474,0 25.4094,10.9065 25.4094,24.2344s-11.362,24.0875-25.4094,24.0875-25.5562-10.7597-25.5562-24.0875 11.5088-24.2344 25.5562-24.2344zm66.5344,27.7594v331.2031c0,13.5366 10.2946,24.3813 23.0593,24.3813h37.4532c12.7648,0 23.0594-10.8447 23.0594-24.3813v-331.2031h-83.5719zm-66.5344,38.775c14.0474,0 25.4094,10.7597 25.4094,24.0875s-11.362,24.2344-25.4094,24.2344-25.5562-10.9066-25.5562-24.2344 11.5088-24.0875 25.5562-24.0875zm0,66.5344c14.0474,0 25.4094,10.7597 25.4094,24.0875s-11.362,24.2344-25.4094,24.2344-25.5562-10.9065-25.5562-24.2344 11.5088-24.0875 25.5562-24.0875zm345.8906,150.4v37.7469h82.9844v-37.7469h-82.9844zm-387.0156,56.1063v19.3875c0,13.5366 10.0894,24.3813 22.7656,24.3813h37.3062c12.6762,0 22.7657-10.8447 22.7657-24.3813v-19.3875h-82.8375zm216.0531,0v19.3875c0,13.5366 10.2946,24.3813 23.0594,24.3813h100.0218c12.7648,0 23.0594-10.8447 23.0594-24.3813v-19.3875h-146.1406zm170.9625,0v19.3875c0,13.5366 10.2363,24.3813 22.9125,24.3813h37.1594c12.6762,0 22.9125-10.8447 22.9125-24.3813v-19.3875h-82.9844z"}}]})(props);
};
function GiAbstract115 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256.0001,20.9998-36.7751,43.9156c11.7989-2.4698 24.1223-3.8188 36.7751-3.8188s24.9778,1.349 36.7743,3.8188l-36.7743-43.9156zm0,47.7344c-15.5692,0-30.6365,2.155-44.8474,5.875l-13.1554,15.7157c18.4909-7.8009 38.2318-11.75 58.0028-11.75s39.5102,3.949 58.0028,11.75l-13.1553-15.7157c-14.2129-3.72-29.2815-5.875-44.8475-5.875zm0,17.625c-37.9022,0-75.741,14.5585-104.6437,43.1813-35.4314,35.0855-49.1328,83.5273-41.1105,128.9561h38.2699c-8.5813-35.7012 1.1759-74.8155 29.3003-102.6655 43.1267-42.7075 113.2395-42.7066 156.3677,0 28.1224,27.8506 37.8765,66.9643 29.3002,102.6655h38.27c8.0232-45.4283-5.6796-93.8699-41.1102-128.9561-28.9031-28.6225-66.7452-43.1813-104.6437-43.1813zm145.7539,172.1374c-5.0663,28.6921-18.7345,55.9785-41.1102,78.1376-57.8072,57.2446-151.3307,57.2451-209.1384,0-22.3762-22.1586-36.1933-49.4464-41.2595-78.1376h-59.6472l205.4014,203.2751 205.4006-203.2751h-59.6467zm-38.27,0h-23.3204-14.6504-139.0266-14.6504-23.3204c4.5754,19.0449 14.4487,36.9909 29.4492,51.8471 43.1258,42.7047 113.0915,42.7047 156.2188,0 15.0005-14.8581 24.7225-32.8023 29.3002-51.8471zm-312.4365-150.3999v11.4563 20.1219h-23.6199v10.7219h8.5216 43.3518 8.671v-10.7219h-23.6203v-20.1219h86.1069c5.1893-4.2139 10.5567-8.0442 16.145-11.4563h-102.2519-13.3043zm294.4976,0c5.5906,3.4121 10.9562,7.2424 16.145,11.4563h86.1066v20.1219h-23.6192v10.7219h8.6704 43.3524 8.5205v-10.7219h-23.6184v-20.1219-11.4563h-13.3057-102.2516zm-309.5958,50.0844v46.5596c0,10.3019 9.7111,18.653 21.676,18.653s21.6759-8.351 21.6759-18.653v-46.5596h-43.3518zm396.8986,0v46.5596c0,10.3019 9.7088,18.653 21.6769,18.653 11.9631,0 21.6755-8.351 21.6755-18.653v-46.5596h-43.3524zm-176.8478,1.6157c-18.9532-7e-05-37.8716,7.1323-52.3223,21.4437-14.0859,13.9474-21.1834,32.1065-21.5269,50.3782h147.6976c-.3006-18.2712-7.2935-36.4307-21.377-50.3782-14.4517-14.3111-33.5224-21.4437-52.4714-21.4437zm0,13.5125c13.0764,0 23.6189,10.5049 23.6189,23.3531s-10.5425,23.2063-23.6189,23.2063-23.6199-10.3579-23.6199-23.2063 10.5426-23.3531 23.6199-23.3531zm-73.4004,67.5623c.3899,3.611 1.0157,7.1887 1.943,10.7221h142.9139c.9297-3.5334 1.5482-7.1111 1.9435-10.7221h-146.8004zm-161.5997,17.625 235.0001,232.5035 234.9999-232.5035h-17.3407l-217.6592,215.3194-217.659-215.3194h-17.3411zm55.0125,67.8567v119.5559h-12.408v19.975h74.2972v-19.975h-11.6597v-69.9125l-50.2295-49.6434zm359.9753,0-50.2298,49.6434v69.9125h-11.8095v19.975h74.4471v-19.975h-12.4078v-119.5559zm-179.9877,71.3809c9.8071,0 17.7891,7.8419 17.7891,17.4784s-7.982,17.3313-17.7891,17.3313-17.7895-7.6948-17.7895-17.3313 7.9811-17.4784 17.7895-17.4784z"}}]})(props);
};
function GiAbstract116 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m423.6498,88.3463c47.55,47.5502 47.643,124.6483.2546,172.0361s-124.2773,47.0862-171.8274-.4643-47.8514-124.4395-.4622-171.8273 124.4844-47.296 172.0359.2553zm48.4571,75.9754c36.551,85.6724 20.0947,188.4032-49.603,258.1011-2.3048,2.3049-4.711,4.484-7.0866,6.6728l.3161.7271c-2.3005,1.8336-4.6332,3.579-6.9824,5.3178-92.2046,78.6765-231.1825,74.2279-318.6502-13.2398s-91.9165-226.4455-13.2397-318.6503c1.7402-2.3475 3.4836-4.6821 5.3177-6.9823l.7269.3132c2.1887-2.3755 4.3676-4.7815 6.6729-7.0864 69.6977-69.6978 172.4283-86.1541 258.1002-49.6035-44.2788-6.461-91.0028,7.3545-125.0042,41.356-57.2655,57.2656-57.1358,150.2937.3255,207.7555s150.4901,57.5918 207.7556.3262c34.0019-34.0015 47.8175-80.7252 41.3555-125.005zm-62.8417-61.5909c-26.1534-26.153-68.5641-26.1129-94.7661.089s-26.3458,68.7169-.1931,94.8699 68.668,26.0086 94.87-.1931 26.2411-68.6135.09-94.7658zm43.5433,207.8192-.4152.4166c-19.188,19.1884-41.8418,32.9381-65.9588,41.4044l17.1408,45.4925c24.4269-25.4191 40.5672-55.4945 49.235-87.3139zm-251.3622-251.3624c-31.8201,8.6674-61.895,24.8078-87.3144,49.235l45.3887,17.0363c8.4815-24.0954 22.3301-46.6756 41.5087-65.8544l.4152-.4166zm136.4495,302.8098c-13.9454.8326-27.9752.0651-41.7574-2.3559l-22.5873,100.2021c31.4122-2.5867 62.37-12.4095 90.1069-29.5556l-25.7623-68.2906zm-187.8973-187.8973-68.2905-25.7624c-17.146,27.7374-26.9681,58.6956-29.5555,90.1075l100.2018-22.5877c-2.419-13.7824-3.1884-27.812-2.3558-41.7573zm99.4998,170.5891c-10.1495-4.9056-20.0074-10.8448-29.2455-17.7801l-89.8513,89.8512c28.0228,22.0617 60.2128,35.8561 93.5812,41.2554l25.5156-113.3265zm-82.1915-82.1918-113.4306,25.6196c5.4493,33.2938 19.3319,65.5141 41.3592,93.4773l89.8513-89.8512c-6.9352-9.2382-12.8746-19.0961-17.7799-29.2458z"}}]})(props);
};
function GiAbstract117 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256.0005,20.9998c-81.1267,0-156.581,9.567-219.7256,25.85v10.575 16.3031 10.575c16.3988-4.2289 33.7564-7.9041 51.7001-11.1625v107.6595h-51.7001v263.2002h51.7001v31.725h-66.975v15.275h66.975 39.3625 23.3534 39.0687 132.628 39.0695 23.3525 39.3629 66.8275v-15.275h-66.8275v-31.725h51.5529v-263.2002h-51.5529v-107.6595c17.8963,3.2529 35.1952,6.9439 51.5529,11.1625v-10.575-16.3031-10.575c-63.142-16.2831-138.5958-25.85-219.7249-25.85zm0,37.6c22.6015,0 44.8111.7964 66.3871,2.2031v84.7469h-132.628v-84.7469c21.5328-1.4009 43.689-2.2031 66.2409-2.2031zm-105.3096,5.5813v116.6188h-23.3534v-113.8282c7.6986-1.0238 15.4522-1.9489 23.3534-2.7906zm210.7662,0c7.9007.8429 15.6544,1.7656 23.3525,2.7906v113.8282h-23.3525zm-246.0162,162.7113h281.1192c25.5643,0 46.2654,22.0101 46.2654,49.35v55.0093h-373.6505v-55.0093c0-27.3399 20.703-49.35 46.2659-49.35zm-5.2876,142.4115c12.4381,0 22.4717,10.7842 22.4717,24.0875s-10.0336,24.0875-22.4717,24.0875-22.4716-10.7842-22.4716-24.0875 10.0317-24.0875 22.4716-24.0875zm58.3092,0c12.4394,0 22.6195,10.7842 22.6195,24.0875s-10.1808,24.0875-22.6195,24.0875-22.4716-10.7842-22.4716-24.0875 10.0336-24.0875 22.4716-24.0875zm58.4569,0c12.4394,0 22.4718,10.7842 22.4718,24.0875s-10.0324,24.0875-22.4718,24.0875-22.6196-10.7842-22.6196-24.0875 10.1816-24.0875 22.6196-24.0875zm58.1621,0c12.4402,0 22.6189,10.7842 22.6189,24.0875s-10.1787,24.0875-22.6189,24.0875-22.4718-10.7842-22.4718-24.0875 10.0339-24.0875 22.4718-24.0875zm58.4563,0c12.4387,0 22.4718,10.7842 22.4718,24.0875s-10.0331,24.0875-22.4718,24.0875-22.6182-10.7842-22.6182-24.0875 10.1802-24.0875 22.6182-24.0875zm58.3099,0c12.438,0 22.4718,10.7842 22.4718,24.0875s-10.0338,24.0875-22.4718,24.0875-22.4726-10.7842-22.4726-24.0875 10.0324-24.0875 22.4726-24.0875zm-274.5102,74.6962h23.3534v31.725h-23.3534zm62.4221,0h132.628v31.725h-132.628zm171.6975,0h23.3525v31.725h-23.3525z"}}]})(props);
};
function GiAbstract118 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256.0738,20.9999c-17.9122,0-35.3577,2.1075-52.1238,5.9064l16.3902,61.1311c11.5504-2.4509 23.4566-3.8392 35.7336-3.8392 12.2339,0 24.2244,1.405 35.7336,3.8392l16.3901-61.2787c-16.7519-3.7941-34.2233-5.7587-52.1237-5.7587zm-69.4,10.4838c-34.0143,10.5091-64.7371,28.5223-90.2199,52.1238l44.7408,44.7408c17.6744-15.9269 38.5776-28.2016 61.7216-35.7336l-16.2425-61.131zm138.6523,0-16.3903,60.9833c23.2564,7.5228 44.2806,19.883 62.017,35.8813l44.7409-44.7408c-25.4985-23.6329-56.3104-41.6208-90.3676-52.1238zm103.0662,64.8225-44.7408,44.7409c15.9133,17.6743 28.2101,38.7237 35.7336,61.8693l61.131-16.3902c-10.5207-34.0147-28.5165-64.7471-52.1238-90.22zm-344.7847.1477c-23.5474,25.4331-41.4634,56.1409-51.9761,90.0722l60.9833,16.2425c7.5278-23.067 19.8617-44.0928 35.7336-61.7216l-44.7408-44.5931zm172.4662,27.6123c-72.8668,0-132.0075,59.1407-132.0075,132.0076s59.1407,131.8599 132.0075,131.8599c61.0518,0 112.3774-41.4447 127.4301-97.7505h-96.8646c-19.7107,0-35.586-15.1593-35.586-34.1094s15.8752-34.257 35.586-34.257h96.8646c-15.0527-56.3058-66.3784-97.7506-127.4302-97.7506zm229.0198,79.7361-60.9834,16.3902c2.4501,11.5566 3.6915,23.5971 3.6915,35.8812 0,12.2276-1.2634,24.0822-3.6915,35.5859l61.1311,16.2425c3.749-16.666 5.7587-34.0279 5.7587-51.8285 0-17.962-2.0909-35.4624-5.9064-52.2714zm-458.1872.1477c-3.7961,16.7602-5.9064,34.2184-5.9064,52.1237s2.1103,35.3677 5.9064,52.1238l61.131-16.3902c-2.4509-11.5468-3.8392-23.4566-3.8392-35.7336 0-12.2338 1.405-24.2207 3.8392-35.7335l-61.131-16.3902zm65.5608,105.1335-60.9834,16.2425c10.5009,34.0506 28.4978,64.8721 52.1238,90.3676l44.7408-44.7408c-15.9394-17.6892-28.3638-38.6939-35.8813-61.8693zm327.0657,0c-7.5173,23.2024-19.93,44.1681-35.8813,61.8693l44.7408,44.7408c23.642-25.5102 41.6236-56.2836 52.1238-90.3676l-60.9833-16.2425zm-278.4857,74.568-44.7408,44.5932c25.4908,23.6488 56.1646,41.7381 90.2199,52.2715l16.3902-61.1311c-23.1808-7.5332-44.1775-19.787-61.8693-35.7336zm229.9057.1477c-17.6759,15.9087-38.7152,28.0788-61.8692,35.5859l16.3901,61.1311c33.9967-10.4959 64.7583-28.3997 90.22-51.9761l-44.7409-44.7409zm-150.7603,40.1634-16.3902,61.131c16.8034,3.8127 34.3158,5.9064 52.2714,5.9064 17.8551,0 35.2632-2.1351 51.9761-5.9064l-16.3902-61.131c-11.4654,2.4111-23.4023,3.8391-35.5859,3.8391-12.3264,0-24.2877-1.3726-35.8813-3.8391z"}}]})(props);
};
function GiAbstract119 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m22.4689,21.0001c-.08.4857-.0721.9818-.147,1.4687-.4374.0721-.8851.0749-1.3218.147 .4014.0649.7744.2227 1.175.294-.7481,5.0281-1.175,10.1148-1.175,15.275 0,60.971 52.7796,113.6334 129.6904,139.2372 4.7613,20.2186 7.7621,41.691 8.6656,64.0371-10.1196,1.2648-19.8887,2.6452-29.2281,3.9659-2.0653-52.6247-19.5277-93.7061-40.6843-93.7061-22.5465,0-40.6843,46.7283-40.6843,104.2811s18.1379,104.2811 40.6843,104.2811c21.1566,0 38.619-41.0812 40.6843-93.7061 9.3394,1.3207 19.1085,2.7025 29.2281,3.9659-.9036,22.348-3.9043,43.8072-8.6656,64.0374-76.9108,25.6022-129.6904,78.2643-129.6904,139.2373 0,5.2151.5585,10.3409 1.3218,15.4216-.4482.08-.8727.2234-1.3218.294 .4382.0721.8832.0807 1.3218.147 .0649.4367.075.8841.147,1.3216 .0742-.4511.214-.8747.294-1.3216 5.0808.7619 10.2064,1.3216 15.4219,1.3216 60.971,0 113.6334-52.7781 139.2372-129.6906 20.2284-4.7592 41.688-7.7621 64.0374-8.6654 1.2562,10.0646 2.6521,19.7865 3.9656,29.0812-52.6247,2.0651-93.7061,19.5294-93.7061,40.6841 0,22.5477 46.7283,40.8316 104.2811,40.8316s104.2811-18.2839 104.2811-40.8316c0-21.1547-41.0814-38.6189-93.7061-40.6841 1.3136-9.2947 2.7094-19.0166 3.9656-29.0812 22.3472.9033 43.8187,3.9062 64.0374,8.6654 25.6039,76.9121 78.2663,129.6906 139.2373,129.6906 5.1601,0 10.2469-.4274 15.2749-1.175 .0721.3992.227.7736.294,1.175 .0721-.4367.0778-.8855.147-1.3216 .4872-.0764.983-.0649 1.4687-.147-.449-.075-.8738-.214-1.3218-.294 .7865-5.076 1.3218-10.2126 1.3218-15.4216 0-60.973-52.7795-113.635-129.6904-139.2372-4.7613-20.2302-7.7621-41.6894-8.6656-64.0374 10.0647-1.2563 19.7865-2.6522 29.0812-3.9659 2.0654,52.6249 19.5277,93.7061 40.6843,93.7061 22.5465,0 40.8312-46.7282 40.8312-104.2811s-18.2847-104.2811-40.8312-104.2811c-21.1566,0-38.6189,41.0814-40.6843,93.7061-9.2946-1.3136-19.0165-2.7096-29.0812-3.9658 .9035-22.3462 3.9043-43.8186 8.6656-64.0372 76.9109-25.6039 129.6904-78.2662 129.6904-139.2373 0-5.1613-.547-10.2458-1.3218-15.275 .4482-.08.8727-.2198 1.3218-.294-.4843-.08-.9831-.0721-1.4687-.147-.0764-.4857-.0649-.9843-.147-1.4687-.0742.4497-.214.8738-.294,1.3218-5.0292-.7745-10.1137-1.3218-15.2749-1.3218-60.971,0-113.6334,52.7795-139.2373,129.6904-20.2187,4.7613-41.6902,7.7621-64.0374,8.6656-1.263-10.1196-2.645-19.8887-3.9656-29.2281 52.6247-2.0653 93.7061-19.5277 93.7061-40.6843 0-22.5465-46.7282-40.6843-104.2811-40.6843s-104.2811,18.1379-104.2811,40.6843c0,21.1566 41.0814,38.619 93.7061,40.6843-1.3206,9.3394-2.7026,19.1085-3.9656,29.2281-22.3494-.9036-43.809-3.9043-64.0374-8.6656-25.6039-76.9109-78.2662-129.6904-139.2372-129.6904-5.2105,0-10.3459.5354-15.4219,1.3218-.08-.4482-.2198-.8727-.294-1.3218zm.4403,2.0562c49.6726,9.1725 92.141,53.3863 116.031,115.8842-62.4808-23.8672-106.7984-66.273-116.031-115.8842zm466.0336,0c-9.2309,49.6112-53.4461,92.017-115.8842,115.8842 23.8672-62.438 66.273-106.6533 115.8842-115.8842zm-232.9434,30.9906c37.9729,0 68.7374,6.8215 68.7374,15.1281s-30.7645,14.9812-68.7374,14.9812-68.7374-6.6746-68.7374-14.9812 30.7645-15.1281 68.7374-15.1281zm-186.8247,133.2154c8.3068,0 14.9813,30.7643 14.9813,68.7374s-6.6744,68.7374-14.9813,68.7374-15.1281-30.7648-15.1281-68.7374 6.8213-68.7374 15.1281-68.7374zm373.7963,0c8.3066,0 15.1281,30.7643 15.1281,68.7374s-6.8215,68.7374-15.1281,68.7374-14.9812-30.7648-14.9812-68.7374 6.6747-68.7374 14.9812-68.7374zm-255.5621,1.7625c15.7473,4.0214 40.5734,6.6094 68.5906,6.6094s52.8433-2.588 68.5905-6.6094c-3.0795,15.5956-5.3093,31.8505-6.1688,48.6158-.0505-.005-.0973.004-.147,0v36.7182c.0504-.004.0973.005.147,0 .8591,16.7574 3.0915,33.0274 6.1688,48.6158-15.7483-4.0185-40.5854-6.6091-68.5905-6.6091s-52.8422,2.5907-68.5906,6.6091c3.0772-15.5884 5.3097-31.8584 6.1688-48.6158 .0505.005.0973-.004.147,0v-36.7182c-.0505.004-.0973-.005-.147,0-.8595-16.7654-3.0892-33.0202-6.1688-48.6158zm68.5906,23.9409c-23.7331,0-43.0343,19.301-43.0343,43.034s19.3012,43.0341 43.0343,43.0341 43.0343-19.301 43.0343-43.0341-19.3013-43.034-43.0343-43.034zm-117.0592,160.093c-23.8901,62.5423-66.3585,106.8571-116.031,116.0315 9.174-49.6742 53.4903-92.1396 116.031-116.0315zm234.1183,0c62.4979,23.8924 106.7117,66.3573 115.8842,116.0315-49.6112-9.2341-92.017-53.5494-115.8842-116.0315zm-117.0591,54.9316c37.9729,0 68.7374,6.6749 68.7374,14.9808s-30.7645,14.9817-68.7374,14.9817-68.7374-6.6744-68.7374-14.9817 30.7645-14.9808 68.7374-14.9808z"}}]})(props);
};
function GiAbstract120 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m256,21c-16.6132,0-30.1094,13.1471-30.1094,29.3305 0,3.1923.4999,6.2802 1.4688,9.1568-.6868.2767-1.3717.5636-2.0562.8585-28.3599,12.2172-48.3219,40.8549-48.3219,74.2561 0,9.0999 1.5327,17.752 4.2594,25.8967 .3088.7596.553,1.541.8812,2.2892 .2059.5751.3704,1.1465.5875,1.7168 .0892.1924.2032.3805.2937.5722 12.2495,25.9702 36.2931,44.4267 64.625,47.5011-32.6195-2.6949-60.1246-20.8654-73.2906-46.2134-13.581-5.1278-23.2063-18.3614-23.2063-34.0519v-66.6732c0-14.3008 8.0026-26.484 19.6812-32.4781h-35.8375c-10.0149,0-19.0054,4.2179-25.5562,10.8738-6.5991,6.7049-10.7219,15.8854-10.7219,26.1827v167.9704c0,1.2403.0303,2.5153.1469,3.7204h314.3125c.1168-1.205.147-2.4801.147-3.7204v-167.9704c0-10.2973-4.1227-19.4778-10.7219-26.1827-.7955-.8128-1.6301-1.6978-2.4969-2.4322-.0288-.0216-.1182.0216-.1463,0-.866-.7298-1.7125-1.5-2.6438-2.1462-.036-.0216-.1131.0216-.147,0-.9307-.6414-1.8005-1.3073-2.7906-1.86-.036-.0216-.1095.0216-.1463,0-.9908-.5484-2.04-1.1193-3.0844-1.5738-.0432-.0216-.1031.0216-.147,0-1.0422-.449-1.9944-.7947-3.0843-1.1446-.0432-.0144-.1031.0144-.147,0-1.0938-.3459-2.2421-.7605-3.3781-1.0015-.0432-.007-.1009.007-.147,0-1.137-.2371-2.3513-.4468-3.525-.5722-.0504-.005-.098.005-.147,0-1.2228-.1261-2.4155-.1427-3.6719-.1427h-35.6906c11.6786,5.9941 19.6813,18.1773 19.6813,32.4781v66.6732c0,15.6906-9.6253,28.9242-23.2063,34.0519-13.166,25.348-40.6711,43.5185-73.2906,46.2133 28.3319-3.0744 52.3755-21.5308 64.625-47.501 .6077-1.5081 1.2431-3.0272 1.7625-4.5784 2.7262-8.1443 4.2589-16.7971 4.2589-25.8969 0-34.2074-20.9225-63.4198-50.3781-75.1146 .9688-2.8766 1.4688-5.9645 1.4688-9.1568 0-16.1834-13.4962-29.3305-30.1094-29.3305zm-153.7781,232.7838c1.8209,3.9351 4.2024,7.5452 7.1969,10.5875 .7977.8104 1.628,1.7005 2.4969,2.432h.1469c.8684.728 1.7104,1.5031 2.6437,2.1464h.1469c.933.6385 1.7985,1.3107 2.7906,1.8598h.1469c.993.5455 2.038,1.123 3.0844,1.574h.1469c1.0444.4439 1.9926.7989 3.0844,1.1446h.1469c1.0956.3438 2.2404.765 3.3781,1.0017h.1469c1.1386.2335 2.3499.4533 3.525.5722h.1469c1.1753.1146 2.3187.142 3.525.142h.1469 88.2719v134.6956l-97.0844-72.2698c-5.919-7.3919-15.1879-12.1617-25.5563-12.1617-17.7998,0-32.1656,13.9944-32.1656,31.3338s14.3658,31.4766 32.1656,31.4766c7.253,0 13.9855-2.3405 19.3875-6.2953l103.2531,56.0856v22.9149l-168.7594-38.5553h-.1469c-15.1013-1.7187-27.8531,9.6074-32.0187,24.18-.293,1.0252-.5289,2.0942-.7344,3.1477-.0094.0505.0094.1009 0,.142-.4292,2.248-.7343,4.5445-.7343,6.8676 0,4.7473.9573,9.2104 2.6438,13.3063 .8432,2.0479 1.885,4.0459 3.0844,5.8663 2.3987,3.6348 5.3983,6.7046 8.9594,9.1569h.1469c.859.5845 1.7302,1.2101 2.6437,1.7169h.1469c.9135.498 1.8279,1.0182 2.7906,1.4303h.1469c.9631.4072 1.9303.8286 2.9375,1.1446h.1469c1.0083.3156 2.0371.6407 3.0844.859h.1469c1.049.2104 2.1483.4605 3.2313.5722h.1469c1.0831.1052 2.1193.142 3.2312.142h.1469 402.7313c11.6241,0 21.8666-5.9322 27.9062-15.0227 1.1993-1.8203 2.2411-3.8184 3.0844-5.8663 1.7002-4.0958 2.6438-8.5584 2.6438-13.3062 0-3.557-.4872-6.9312-1.4688-10.1582-4.1657-14.5727-16.9174-25.8983-32.0187-24.18h-.1463l-168.7594,38.5552v-22.9149l103.2532-56.2284c5.3941,4.0102 12.0784,6.4382 19.3875,6.4382 17.7998,0 32.1656-14.1372 32.1656-31.4766s-14.3658-31.3337-32.1656-31.3337c-10.358,0-19.5312,4.7826-25.4094,12.1616l-97.2313,72.2698v-134.6956h88.2719c10.0518,0 19.1466-4.1741 25.7032-10.8737 2.9944-3.0424 5.376-6.6525 7.1969-10.5876z"}}]})(props);
};
function GiAbstract121 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m86.5065,21.0031c-15.8828,0-30.3988,5.6213-41.7124,14.9813-1.6449,1.3561-3.1965,2.7508-4.7,4.2594-1.4511,1.4561-2.8035,2.9655-4.1125,4.5531-.0216.0288.0216.1182 0,.147-1.3051,1.5886-2.666,3.1374-3.8187,4.8469-.0216.036.0216.1146 0,.1463-1.148,1.7094-2.2455,3.4678-3.2313,5.2875-.0216.036.0216.1103 0,.1463-.9815,1.8205-1.9815,3.6611-2.7906,5.5813-.0216.0432.0216.1059 0,.1463-.8045,1.9206-1.5809,3.8652-2.2031,5.875-.0144.0432.0144.1023 0,.1463-.6176,2.011-1.1904,4.0789-1.6156,6.1688-.007.0505.007.1002 0,.1463-.4209,2.0908-.8103,4.1564-1.0281,6.3156-.005.0504.005.098 0,.147-.2133,2.1616-.294,4.3896-.294,6.6094-.0002.0504 0,.098 0,.1463v338.6933 .147c.005,2.2186.0757,4.4481.294,6.6094 .005.0505-.005.1002 0,.147 .222,2.1587.6032,4.2245 1.0281,6.3156 .007.0504-.007.1002 0,.1463 .4295,2.0901.9937,4.1568 1.6156,6.1687 .0144.0432-.0144.1023 0,.147 .6263,2.0107 1.3946,3.9531 2.2031,5.875 .0216.0432-.0216.1059 0,.147 .8128,1.9215 1.8056,3.7591 2.7906,5.5813 .0216.036-.0216.1088 0,.147 .9892,1.8213 2.08,3.5762 3.2313,5.2874 .0216.036-.0216.1124 0,.1463 1.1557,1.7116 2.5109,3.2563 3.8187,4.8469 .0216.0288-.0216.1168 0,.147 1.3117,1.5898 2.6589,3.095 4.1125,4.5531 1.5035,1.5086 3.0551,2.9032 4.7,4.2594 11.3137,9.3284 25.8296,14.9813 41.7124,14.9813h338.987c15.8829,0 30.3988-5.6213 41.7125-14.9813 1.6448-1.3561 3.1965-2.7508 4.7-4.2594 1.4537-1.4581 2.8008-2.9633 4.1125-4.5531 .0288-.0288-.0288-.1168 0-.147 1.3079-1.5906 2.663-3.1353 3.8187-4.8469 .0216-.036-.0216-.1124 0-.1463 1.1512-1.7113 2.2421-3.4661 3.2313-5.2874 .0216-.036-.0216-.1088 0-.147 .985-1.8221 1.9778-3.6598 2.7906-5.5813 .0144-.0432-.0144-.1045 0-.147 .8084-1.922 1.5768-3.8643 2.2031-5.875 .0144-.0505-.0144-.1023 0-.147 .6219-2.0119 1.186-4.0786 1.6156-6.1687 .007-.0505-.007-.1002 0-.1463 .4252-2.0911.8056-4.1569 1.0282-6.3156 .005-.0505-.005-.0987 0-.147 .2176-2.1613.289-4.3908.294-6.6094v-.147-338.6933c0-.0504 7e-05-.098 0-.1463 0-2.2198-.0807-4.4478-.294-6.6094-.005-.0505.005-.098 0-.147-.2176-2.1592-.6075-4.2249-1.0282-6.3156-.007-.0504.007-.1009 0-.147-.4252-2.0898-.9978-4.1577-1.6156-6.1687-.0144-.0432.0144-.1038 0-.1463-.6219-2.0099-1.3986-3.9544-2.2031-5.875-.0144-.0432.0144-.1059 0-.147-.8091-1.9201-1.8092-3.7608-2.7906-5.5812-.0216-.036.0216-.111 0-.1463-.9857-1.8196-2.0832-3.5781-3.2313-5.2875-.0216-.036.0216-.1153 0-.147-1.1528-1.7095-2.5136-3.2582-3.8187-4.8468-.0216-.0288.0216-.1196 0-.147-1.309-1.5876-2.6613-3.097-4.1125-4.5531-1.5034-1.5086-3.0551-2.9032-4.7-4.2594-11.3137-9.3599-25.8296-14.9813-41.7125-14.9813h-338.987zm40.6843,11.0157h1.7625c-15.3487,7.2299-25.9968,24.2197-25.9968,44.0624v95.9092c0,22.6156 13.9357,41.271 32.753,46.2656-3.7494,11.9414-5.8749,24.5703-5.8749,37.7468s2.1255,25.8054 5.8749,37.7468c-18.8174,4.9946-32.753,23.6499-32.753,46.2656v95.9092c0,19.8427 10.6481,36.8325 25.9968,44.0624h-1.7625c-17.3082,0-32.8942-6.9341-44.2093-18.2125-1.3892-1.3847-2.8587-2.749-4.1125-4.2594-.0216-.0288.0216-.1168 0-.147-1.2488-1.5094-2.4211-3.0754-3.525-4.7-.0216-.036.0216-.1124 0-.1463-1.1002-1.6257-2.2857-3.2627-3.2313-4.9937-.0216-.036.0216-.1088 0-.1463-.941-1.7307-1.8669-3.4617-2.6438-5.2875-.0216-.0432.0216-.1045 0-.147-.7724-1.8262-1.4575-3.6697-2.0563-5.5812-.0144-.0505.0144-.1023 0-.147-.5945-1.9126-1.0579-3.8869-1.4687-5.8749-.007-.0432.007-.1002 0-.1463-.4065-1.9894-.8152-3.9669-1.0281-6.0219-.005-.0504.005-.0994 0-.147-.2083-2.0574-.289-4.2024-.294-6.3156v-.147-323.1246c0-.0505-7e-05-.098 0-.147 0-2.1144.0901-4.2568.294-6.3156 .005-.0504-.005-.0987 0-.1463 .2083-2.0565.6262-4.0308 1.0281-6.0219 .007-.0504-.007-.1009 0-.147 .4064-1.9897.8786-3.9604 1.4687-5.875 .0144-.0432-.0144-.1031 0-.1463 .5946-1.9133 1.2878-3.753 2.0563-5.5813 .0216-.0432-.0216-.1059 0-.147 .7731-1.8278 1.7064-3.5546 2.6438-5.2874 .0216-.036-.0216-.1117 0-.147 .9422-1.7331 2.1342-3.3657 3.2313-4.9938 .0216-.036-.0216-.1153 0-.147 1.1009-1.6268 2.2791-3.1881 3.525-4.7 .0216-.0288-.0216-.1196 0-.147 1.2513-1.5123 2.7256-2.8722 4.1125-4.2593 11.3151-11.2783 26.9011-18.2124 44.2093-18.2124zm255.8559,0h1.7625c17.3082,0 32.931,6.9341 44.2093,18.2125 1.3815,1.3863 2.7196,2.7478 3.9656,4.2594 .0216.0288-.0216.1189 0,.147 1.2423,1.5126 2.5746,3.0722 3.6719,4.7 .0216.036-.0216.1153 0,.1463 1.0921,1.6273 2.1464,3.2616 3.0843,4.9938 .0216.036-.0216.1103 0,.147 .9335,1.7328 1.8741,3.4596 2.6438,5.2874 .0144.0432-.0144.1059 0,.147 .7651,1.8283 1.4645,3.668 2.0563,5.5813 .0144.0432-.0144.1023 0,.1463 .5873,1.9146 1.0643,3.8853 1.4687,5.875 .007.0504-.007.1002 0,.147 .4,1.9911.821,3.9655 1.0282,6.0219 .005.0504-.005.098 0,.147 .2025,2.0588.294,4.2011.294,6.3155 7e-05,.0505 0,.098 0,.147v323.1246 .147c-.005,2.1133-.0865,4.2582-.294,6.3156-.005.0505.005.1002 0,.1463-.2119,2.055-.6241,4.0325-1.0282,6.0219-.007.0504.007.1002 0,.147-.4086,1.988-.8771,3.9623-1.4687,5.8749-.0144.0432.0144.1023 0,.147-.596,1.9115-1.2873,3.755-2.0563,5.5813-.0144.0432.0144.1045 0,.147-.7735,1.8258-1.7067,3.5568-2.6438,5.2875-.0216.036.0216.1088 0,.147-.9413,1.73-1.989,3.3688-3.0843,4.9937-.0216.036.0216.1124 0,.147-1.1003,1.6257-2.4269,3.1897-3.6719,4.7001-.0216.0288.0216.1167 0,.147-1.2487,1.5092-2.5817,2.8755-3.9656,4.2593-11.2783,11.2783-26.9011,18.2125-44.2093,18.2125h-1.7625c15.3228-7.2299 25.9968-24.2197 25.9968-44.0624v-95.9092c0-22.6312-13.8002-41.4336-32.6061-46.4125 3.7138-11.8898 5.7281-24.4886 5.7281-37.5999s-2.0143-25.7101-5.7281-37.5999c18.806-4.9789 32.6061-23.7812 32.6061-46.4125v-95.9092c0-19.8427-10.674-36.8325-25.9968-44.0624zm-232.3559,28.0531h210.6184c22.5504,0 40.6843,20.4464 40.6843,45.6781v36.5718c0,24.9517-17.7486,45.0873-39.95,45.5312-22.4569-34.8404-61.5229-58.0155-106.0436-58.0155s-83.5866,23.1751-106.0436,58.0155c-22.1982-.4439-39.8031-20.5796-39.8031-45.5312v-36.5718c0-25.2317 17.987-45.6781 40.5374-45.6781zm105.3092,96.7905c33.5,0 63.7101,11.9054 85.0405,30.9906 .1845.1658.4043.2746.5874.4403 1.6464,1.4916 3.165,3.1236 4.7,4.7 .9005.9245 1.7825,1.8385 2.6437,2.7906 1.8828,2.0809 3.6012,4.1089 5.2875,6.3156 .2155.2803.3755.5989.5873.8812 .9346,1.2508 1.9212,2.531 2.7906,3.8187 .929,1.3761 1.7912,2.8432 2.6438,4.2594 .5917.9826 1.2087,1.9364 1.7625,2.9374 1.029,1.8644 2.044,3.8028 2.9375,5.7281 5.2122,11.2311 8.0781,23.4825 8.0781,36.2781s-2.8659,25.0469-8.0781,36.2781c-.8935,1.9252-1.9085,3.8637-2.9375,5.7281-.5535,1.001-1.171,1.9549-1.7625,2.9375-.8526,1.4162-1.7148,2.8832-2.6438,4.2594-.8694,1.2878-1.8561,2.568-2.7906,3.8188-.2119.2832-.3726.6003-.5873.8812-1.6863,2.2067-3.4047,4.2347-5.2875,6.3156-1.3629,1.5069-2.7986,2.9692-4.2594,4.4062-1.0395,1.0228-1.9966,2.0989-3.0844,3.0844-.1838.1665-.4029.2753-.5874.4403-21.3304,19.0852-51.5405,30.9906-85.0405,30.9906s-63.7101-11.9054-85.0405-30.9906c-.183-.1636-.4057-.2767-.5873-.4403-1.0793-.9791-2.0521-2.0689-3.0844-3.0844-.534-.5254-1.0948-1.0808-1.6156-1.6157-.681-.699-1.3976-1.3411-2.0563-2.0562-.2155-.2335-.3748-.4994-.5874-.7344-.9081-1.004-1.7806-2.0507-2.6438-3.0844-.5023-.6025-.9818-1.1501-1.4687-1.7625-.3935-.4936-.7917-.9689-1.175-1.4687-.2169-.2832-.374-.596-.5873-.8812-.956-1.2749-1.9024-2.5053-2.7906-3.8188-.929-1.3761-1.7912-2.8432-2.6437-4.2594-.387-.6428-.8041-1.2585-1.175-1.9093-.1946-.3423-.3971-.6832-.5873-1.0282-.6169-1.115-1.1933-2.2412-1.7625-3.3781-.3841-.77-.8131-1.5702-1.175-2.3499-5.2123-11.2311-8.0782-23.4825-8.0782-36.2781s2.8659-25.0469 8.0782-36.2781c.3697-.7946.7822-1.5654 1.175-2.35 .3409-.6825.6702-1.3819 1.0281-2.0562 .2371-.4454.49-.8801.7344-1.3219 .5542-1.0046 1.1698-1.9516 1.7625-2.9374 .8525-1.4163 1.7147-2.8833 2.6438-4.2594 .4864-.7207.9617-1.4939 1.4687-2.2031 .4057-.5664.903-1.0571 1.3219-1.6157 .2133-.2854.3704-.5974.5874-.8812 .8425-1.0988 1.7519-2.1631 2.6437-3.2313 .6061-.7269 1.1338-1.4909 1.7625-2.2031 .2753-.3113.6025-.5729.8812-.8812 .847-.9362 1.7584-1.8815 2.6438-2.7906 .5246-.5383 1.0779-1.0865 1.6156-1.6156 .6933-.6817 1.3417-1.3909 2.0563-2.0563 .3582-.3344.6645-.6983 1.0281-1.0281 .1816-.1643.4043-.2767.5874-.4403 21.3305-19.0852 51.5406-30.9906 85.0405-30.9906zm0,34.8093c-35.5429,0-64.3311,28.7881-64.3311,64.3311s28.7882,64.3312 64.3311,64.3312 64.3312-28.7881 64.3312-64.3312-28.7882-64.3311-64.3312-64.3311zm0,43.7687c29.1452,0 52.7281,9.1887 52.7281,20.5625s-23.5829,20.5625-52.7281,20.5625-52.7281-9.1887-52.7281-20.5625 23.5829-20.5625 52.7281-20.5625zm-106.0436,88.7124c22.457,34.8404 61.5229,58.0155 106.0436,58.0155s83.5866-23.1751 106.0436-58.0155c22.2014.4439 39.95,20.5796 39.95,45.5312v36.5718c0,25.2317-18.1339,45.6781-40.6843,45.6781h-210.6184c-22.5505,0-40.5374-20.4464-40.5374-45.6781v-36.5718c0-24.9517 17.6049-45.0873 39.8031-45.5312z"}}]})(props);
};
function GiAce (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M245.594 20.78c-.507.013-1.026.034-1.53.064-2.695.16-5.362.59-7.94 1.28-10.308 2.763-19.663 9.946-25 19.189L46.75 326.03c-5.336 9.244-6.887 20.974-4.125 31.283 2.762 10.308 9.945 19.663 19.188 25L247.53 489.53c9.244 5.338 20.974 6.89 31.282 4.126 10.31-2.762 19.695-9.944 25.032-19.187L468.22 189.75c5.335-9.243 6.855-20.972 4.092-31.28-2.762-10.31-9.944-19.696-19.187-25.032l-185.72-107.22c-6.498-3.75-14.213-5.615-21.81-5.437zm9.844 28.564c3.917-.088 7.89.866 11.53 2.968 10.595 6.117 14.242 19.658 8.126 30.25-2.82 4.883-7.23 8.286-12.188 9.938l-1.625 39.625-18.655-.78 1.625-39.814-33.688 21.314-10-15.78 33.625-21.283c-1.005-5.078-.26-10.506 2.532-15.343 4.013-6.952 11.238-10.926 18.718-11.093zm70.968 88l.188 19.125c-1 3.73.01 12.74 3.312 23.905 3.302 11.164 8.36 24.527 12.875 38.656 9.032 28.26 16.794 60.82.25 87.5-15.642 25.232-42.36 33.737-64.592 26.783-14.434-4.516-26.79-15.427-33.72-30.657l-2.343 57.094-65.563-37.875 48.407-30.656c-16.727 1.395-32.68-4.01-44.157-14.19-17.73-15.725-24.233-43.607-8.22-69.405 16.875-27.184 48.38-36.36 76.626-42.344 14.122-2.99 27.74-5.21 38.78-7.968 11.04-2.758 18.543-7.15 22.72-9.875l15.436-10.093zm-18.28 32.844L253.53 211.03l15.157 8.75-15.843 27.44c-27.918 4.816-52.84-22.152-35.28-50.44.752-1.212 1.554-2.358 2.405-3.468-13.226 5.49-24.335 13.015-31.25 24.157-11.946 19.242-7.024 35.15 4.75 45.593 11.77 10.442 30.965 14.336 49.843 3.437l14-8.094v16.188c0 22.673 12.26 36.352 26.718 40.875 14.46 4.522 31.303.288 43.126-18.783 6.682-10.776 7.695-24.474 5.656-39.437-.696 1.596-1.53 3.144-2.468 4.656-17.294 27.896-52.04 21.52-61.344-5.28l15.875-27.5 15.156 8.75 8.095-67.69zm-55.563 215.406l18.656.75-1.626 39.812 33.687-21.312 10 15.78-33.624 21.313c.995 5.07.255 10.52-2.53 15.344-6.117 10.594-19.688 14.212-30.282 8.095-10.595-6.117-14.21-19.655-8.094-30.25 2.82-4.883 7.23-8.286 12.188-9.938l1.625-39.593z"}}]})(props);
};
function GiAchievement (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M305.975 298.814l22.704 2.383V486l-62.712-66.965V312.499l18.214 8.895zm-99.95 0l-22.716 2.383V486l62.711-66.965V312.499l-18.213 8.895zm171.98-115.78l7.347 25.574-22.055 14.87-1.847 26.571-25.81 6.425-10.803 24.314-26.46-2.795-18.475 19.087L256 285.403l-23.902 11.677-18.475-19.15-26.46 2.795-10.803-24.313-25.81-6.363-1.847-26.534-22.118-14.92 7.348-25.573-15.594-21.544 15.644-21.52-7.398-25.523 22.068-14.87L150.5 73.03l25.86-6.362 10.803-24.313 26.46 2.794L232.098 26 256 37.677 279.902 26l18.475 19.149 26.46-2.794 10.803 24.313 25.81 6.425 1.847 26.534 22.055 14.87-7.347 25.574 15.656 21.407zm-49.214-21.556a72.242 72.242 0 1 0-72.242 72.242 72.355 72.355 0 0 0 72.242-72.242zm-72.242-52.283a52.282 52.282 0 1 0 52.282 52.283 52.395 52.395 0 0 0-52.282-52.245z"}}]})(props);
};
function GiAchillesHeel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M362.188 17.998c-12.9 65.825-49.788 140.505-98.616 197.37L352 224l-89.377 19.414 52.197 75.27-71.111-56.364L224 336l-8.576-73.182 2.812-2.779c-45.221 40.71-35.888 74.86.702 96.49 6.775 4.005 16.257 9.046 27.38 8.7 58.243-1.813 93.255 35.012 126.575 76.199 18.234 22.54 48.35 30.059 73.529 44.246 52.44 29.548 67.894-32.667 14.767-53.445l-70.677-111.036c-11.42-53.08 52.186-171.824 103.49-248.37V17.997zM92.454 23.424v32.17l32.799 32.79 8.043-24.126zM78.578 67.352c-.233-.026-.57.037-1.224.199-1.31.323-3.41 1.482-5.075 3.146-1.664 1.664-2.823 3.763-3.146 5.073-.266 1.074-.207 1.3.012 1.61l120.228 120.208 3.275-6.55 6.545-3.272L78.97 67.563c-.123-.086-.24-.195-.39-.211zM21.162 87.029L62 127.86l24.13-8.043-30.335-30.33-.397-.396-.343-.442a17.99 17.99 0 0 1-1.112-1.619zm213.563 103.098l-28.663 14.326-14.33 28.654 38.264 15.303 20.096-19.869z"}}]})(props);
};
function GiAcidBlob (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.125 99.406c-65.804 0-124.928 29.754-167.656 69.875-42.73 40.122-69.75 90.556-69.75 135.126 0 44.57 29.306 75.8 72.56 93.78 43.257 17.983 101.178 24.845 164.845 24.845s121.588-6.86 164.844-24.842c43.254-17.982 72.53-49.212 72.53-93.782 0-44.57-26.99-95.004-69.72-135.125-42.727-40.12-101.85-69.874-167.655-69.874zm0 18.688c60.148 0 115.033 27.43 154.844 64.812 39.81 37.382 63.842 84.752 63.842 121.5 0 36.748-21.747 60.17-61.03 76.5-39.285 16.33-95.373 23.438-157.657 23.438-62.284 0-118.404-7.107-157.688-23.438-39.283-16.33-61.03-39.752-61.03-76.5s24.032-84.118 63.843-121.5c39.81-37.38 94.727-64.812 154.875-64.812zm-54.72 38.594c-3.344-.012-7.06.508-11.124 1.656-20.917 5.907-33.254 41.475-55.06 62.28-24.13 23.022-62.7 40.588-67.907 72.657-3.98 18.225 7.183 36.783 25.374 41.658 18.726 5.017 38.233-6.243 43.25-24.97.723-2.695 1.083-5.41 1.157-8.093h.156c-1.697-38.35 7.258-90.663 56.03-93.5 39.072-2.273 40.46-51.575 8.126-51.688zm87.345 5.218c-11.417.332-23.452 6.93-23.188 18 .53 22.14 37.174 29.432 42.657 1.53 2.74-13.95-8.053-19.862-19.47-19.53zm60 19.438c-18.423.31-18.102 16.73-8.47 23.062 49.25 32.365 8.474 45.84-16.686 32.03-23.675-12.998-87.44-19.36-111.47 3.94-19.138 18.553-3.26 53.928 26.407 32.78 49.634-35.375 94.1-15.667 113.5 28.78l.064-.03c9.498 21.795 33.91 34.08 57.53 27.75 26.004-6.967 41.594-33.934 34.626-59.937-1.334-4.978-3.41-9.56-6.063-13.69-11.404-37.086-37.062-62.783-77.218-73.03-4.758-1.214-8.808-1.713-12.22-1.656zm47.78 70.75c13.585-.253 25.967 8.665 29.658 22.437 4.353 16.248-5.16 32.71-21.407 37.064-16.247 4.354-32.677-5.128-37.03-21.375-4.353-16.248 5.127-32.71 21.375-37.064 2.03-.544 4.08-.875 6.094-1 .44-.027.873-.054 1.31-.062zm-295.186 32.094c.48-.012.952 0 1.437.03 1.11.072 2.224.263 3.345.563 8.97 2.405 14.153 11.376 11.75 20.345-2.404 8.97-11.374 14.153-20.344 11.75-8.97-2.403-14.152-11.373-11.75-20.344 1.973-7.358 8.378-12.178 15.564-12.342zm179.53 10.562c-15.81.215-34.724 5.274-47.468 12.97-14.87 5.774-25.5 20.262-25.5 37.092 0 21.845 17.907 39.75 39.75 39.75.43 0 .854-.017 1.28-.03 32.518 2.444 76.975-14.784 76.47-31.813-.573-19.364-36.953-.27-38-21.876-.47-9.746 27.4-11.914 21.03-25.5-3.588-7.66-14.52-10.77-27.56-10.594zm-33.218 28.97c11.743 0 21.094 9.35 21.094 21.092 0 11.745-9.35 21.063-21.094 21.063-11.743 0-21.062-9.318-21.062-21.063 0-11.744 9.32-21.093 21.062-21.093z"}}]})(props);
};
function GiAcidTube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.938 48A32 32 0 0 0 224 80a32 32 0 0 0 64 0 32 32 0 0 0-31.063-32zm-208 112A32 32 0 0 0 16 192a32 32 0 0 0 64 0 32 32 0 0 0-31.063-32zm207.53 0A16 16 0 0 0 240 176a16 16 0 0 0 32 0 16 16 0 0 0-15.53-16zm208.47 0A32 32 0 0 0 432 192a32 32 0 0 0 64 0 32 32 0 0 0-31.063-32zM192 208c-48 0-16 32 0 48 0 11.41-.386 21.89-1 32 19.59-9.974 41.51-16 65-16 23.49 0 45.41 6.026 65 16-.614-10.11-1-20.59-1-32 16-16 48-48 0-48-16 0-32 16-64 16s-48-16-64-16zm-66 31c-5.066.26-10.97 5.32-18 17.5-8 13.856-2.5 35.786-18.5 63.5S52 353.642 44 367.5c-24 41.57 19.642 29.856 41.5 24 9.648 5.57 18.66 11.062 27 16.5 2.637-47.1 27.794-88.193 65-112.5-8.915-4.568-18.138-9.306-28-15-4.027-15.026-10.87-40.626-22.5-41.5-.33-.025-.662-.017-1 0zm259 0c-11.632.872-18.474 26.473-22.5 41.5-9.862 5.694-19.085 10.432-28 15 37.206 24.307 62.363 65.4 65 112.5 8.34-5.438 17.352-10.93 27-16.5 21.856 5.856 65.5 17.57 41.5-24-8-13.856-29.5-19.786-45.5-47.5S412 270.358 404 256.5c-7.5-12.99-13.714-17.895-19-17.5zM48.47 256A16 16 0 0 0 32 272a16 16 0 0 0 32 0 16 16 0 0 0-15.53-16zm416 0A16 16 0 0 0 448 272a16 16 0 0 0 32 0 16 16 0 0 0-15.53-16zM256 304c-64 0-112 48-112 112v48h224v-48c0-64-48-112-112-112z"}}]})(props);
};
function GiAcid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.875 16A30 30 0 0 0 226 46a30 30 0 0 0 60 0 30 30 0 0 0-29.125-30zm-45 75A30 30 0 0 0 181 121a30 30 0 0 0 60 0 30 30 0 0 0-29.125-30zm74.563 30A15 15 0 0 0 271 136a15 15 0 0 0 30 0 15 15 0 0 0-14.563-15zm-30 45A15 15 0 0 0 241 181a15 15 0 0 0 30 0 15 15 0 0 0-14.563-15zM196 196c-45 0-15 30 0 45 0 150-120 225-120 255h360c0-30-120-105-120-255 15-15 45-45 0-45-15 0-30 15-60 15s-45-15-60-15z"}}]})(props);
};
function GiAcorn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M422.625 18.28c-24.68.13-51.932 15.455-74.094 36.907 1.868 1.036 3.742 2.07 5.626 3.157 8.05 4.642 15.615 9.363 22.72 14.125 25.19-9.583 55.47-14.465 103.437-2.97-12.036-37.07-33.633-51.345-57.688-51.22zM237.78 40.22l28.97 94.25c12.57 6.443 24.827 13.41 36.813 20.843l-36.625-111.97c-8.476-1.68-16.657-2.662-24.563-3-1.54-.065-3.074-.108-4.594-.124zm-19.218 1.124c-1.602.206-3.202.427-4.78.687-8.815 1.454-17.338 3.755-25.595 6.876l15.688 58.625c13.62 4.75 26.922 10.064 39.906 15.907l-25.218-82.093zm69.875 7.593l40.157 122.876c15.922 11.124 31.32 23.128 46.25 35.906L325.906 64.374c-13.092-6.527-25.568-11.643-37.47-15.438zm-117.5 7.844c-14.657 7.857-28.523 18.348-41.875 31.095 18.42 3.334 36.298 7.632 53.657 12.813L170.937 56.78zm179.25 20.907l53.282 155.97c10.798 10.382 21.322 21.187 31.624 32.374.395-1.174.75-2.332 1.125-3.5L379.843 97.407c-8.84-6.63-18.706-13.185-29.656-19.72zM136.595 108.25c-17.05 11.436-32.43 27.876-45.344 50.22-42.303 73.19-61.83 198.325-24.53 265.717l-.064-.062c.752 23.392-7.597 45.63-17.812 67.594 27.268-12.192 54.897-17.815 82.687-20.783l-.468-.343c87.895 19.01 212.87-49.42 260.688-132.156 13.547-23.44 20.606-46.14 22.28-67.72-77.218-81.572-166.868-139.912-277.436-162.468zm271.469 14L444.188 228c2.638-20.573.96-39.855-5.688-58.25-5.856-16.202-15.717-32.01-30.438-47.5z"}}]})(props);
};
function GiAcousticMegaphone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M443.535 120.186l-112 64 8.93 15.628 112-64-8.93-15.628zM297 153v206h17.973V153H297zm-18 9.367L73 235.072v41.856l206 72.705V162.367zM39 240v32h18v-32H39zm297 7v18h128v-18H336zM99.332 300.89l-14.8 40.215L181.02 379.7l16.11-40.364-16.716-6.672-9.434 23.635-63.51-25.405 8.755-23.786-16.893-6.22zm241.133 11.296l-8.93 15.628 112 64 8.93-15.628-112-64z"}}]})(props);
};
function GiAcrobatic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M140.488 19.31s-26.726 65.584-24.572 75.734c1.878 9.191 9.306.316 12.457 7.064 5.59 11.803 55.342 93.663 49.182 98.626-1.558 1.36-39.38-.402-67.961-5.845-52.49-9.998-94.822 2.352-77.039 42.21 26.177 58.653 133.15 154.14 97.89 183.602-40.844 34.159 19.82 117.249 79.275 40.308 10.885-14.085 29.356-73.201-1.614-69.579-37.447 4.38-14.128-30.491-14.128-30.491l23.345-29.92c12.96-1.9 134.534-21.449 134.534-21.449l-4.226-27.002-174.475 20.25s-24.16-32.453-35.964-50.687c-9.37-11.474 62.005 4.88 76.388-10.522 19.968-21.276 7.601-43.88 7.601-43.88L155.35 69.201zm114.619 43.977l-62.759 39.419 16.081 28.897 114.931-58.86zm-124.743 78.84l-46.691 31.612 48.224 10.444 17.417-12.13zm175.08 24.496l-52.166 34.37 51.969 32.462.058-21.93c51.869 12.43 140.22 48.13 126.472 191.26l23.908-73.889 27.884 33.386c-5.502-166.903-150.537-170.593-178.19-171.609zm-74.376 175.953l-19.91 25.873 110.89 14.697s18.638-17.84 15.035-18.976c-27.712-8.623-79.886-16.97-106.015-21.594z"}}]})(props);
};
function GiAerialSignal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M138.188 38.875C67.478 79.483 19.624 155.295 19.624 242.688c0 87.858 48.383 163.966 119.72 204.406-47.45-46.694-78.25-120.545-78.25-204.406 0-83.27 30.218-157.06 77.093-203.813zm237.687 2.313c45.574 46.86 74.75 119.59 74.75 201.5 0 82.128-29.53 154.623-75.313 201.468C444 403.043 490.344 328.56 490.344 242.686c0-85.87-46.022-160.33-114.47-201.5zm-179.28 46.718c-61.425 24.617-105.126 84.56-105.126 154.78 0 70.413 43.995 130.262 105.686 154.75-41.348-30.252-69.47-88.174-69.47-154.748 0-66.367 27.774-124.45 68.908-154.782zm142.5 8.78c35.18 31.963 57.81 85.566 57.81 146 0 61.134-23.1 114.77-58.967 146.595 52.006-28.25 87.593-83.246 87.593-146.592 0-62.886-35.052-117.566-86.436-146zm-115.22 44.064c-42.65 14.34-73.125 54.454-73.125 101.938 0 47.91 30.968 88.504 74.22 102.5-27.047-18.556-45.97-57.28-45.97-102.5 0-44.573 18.457-83.072 44.875-101.938zm78.094 3.344c23.836 19.926 39.342 56.72 39.342 98.594 0 42.514-15.99 79.48-40.437 99.187 38.416-16.463 65.375-54.746 65.375-99.188 0-44-26.476-81.867-64.28-98.593zM262 211.344c-20.3 0-36.75 16.45-36.75 36.75 0 15.484 9.573 28.743 23.125 34.156v213.125h27.25V282.25c13.558-5.41 23.125-18.668 23.125-34.156 0-20.3-16.45-36.75-36.75-36.75z"}}]})(props);
};
function GiAerodynamicHarpoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.285 16.297v20.52L127.088 163.57c35.955 91.222 6.358 156.645-59.43 178.098l111.852 34.758c6.88-3.465 12.225-7.756 17.69-12.64 38.677-34.554 39.72-103.556-23.38-190.208 98.413 71.66 174.565 60.578 202.85 5.686L342.545 66.78c-21.29 65.28-86.246 95.3-176.545 60.794L36.908 16.297H18.285zM401.998 221.48c-18.06 55.37-84.184 71.942-172.205 7.846 64.098 88.022 47.94 153.736-7.432 171.79l73.095 22.714c4.504-2.256 8.003-5.05 11.566-8.252l-.002-.006c25.274-22.58 25.955-67.676-15.28-124.302 64.31 46.833 114.076 39.59 132.56 3.716L402 221.48zm41.68 114.366c-10.75 32.968-50 42.71-102.408 4.545 38.163 52.41 28.42 91.66-4.55 102.41l153.8 46.843-46.84-153.797h-.002z"}}]})(props);
};
function GiAerosol (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M339.28 22.78c-.668-.004-1.33.015-2 .032-38.144 1.024-74.22 38.912-57.31 80.876-26.3 2.354-41.526 27.584-38.345 50.562 10.39 31.44 33.868 44.84 61.625 45-27.346 7.154-55.193 5.523-72.406-17.625L149.5 212.313l108 51.406c11.25-12.602 26.22-17.474 42.375-17.5 8.753-.016 17.863 1.386 26.906 3.75-20.033.113-37.856 7.13-50.124 22.843l.313.156c-1.397 1.52-2.605 3.077-3.658 4.624-.057.084-.13.165-.187.25-.242.38-.482.767-.72 1.156-.412.68-.82 1.387-1.217 2.094-.07.126-.15.247-.22.375-.003.007.005.022 0 .03-11.695 23.346 12.238 46.864 36.938 41.688-22.892 36.36 18.478 64.646 47.688 57.062-10.04-25.77 2.36-50.004 21.75-69.625-14.102 24.75-13.893 52.542 9.906 77.78 26.3 18.466 74.21 15.382 83.094-28.624 5.17 5.78 15.042 10.448 22.687 12.72V71.906c-17.245-40.312-69.907-46.36-98.592-10.25-13.265-27.505-34.395-38.723-55.157-38.875zm42.908 79.876c-26.62 22.628-41.455 30.664-52.657 61.375 1.347-24.357-3.39-39.26-21.936-53.81 24.01 8.668 47.858 8.277 74.594-7.564zm26.875 44.313c-11.567 35.16 22.327 70.176 54.75 63.5-16.33 17.418-37.404 13.692-51.844.968-24.604 6.975-44.02 34.767-34.845 62.656-30.44-27.578-5.184-70.735 24.625-74.97-9.305-15.74-9.998-36.473 7.313-52.155zm-284.157 38.436c-7.5 0-14.256 1.248-18.28 2.78-1.657.632-2.427 1.163-2.94 1.533v46.03c.514.37 1.283.9 2.94 1.53 4.024 1.535 10.78 2.782 18.28 2.782 7.5 0 14.257-1.247 18.28-2.78 1.657-.632 2.427-1.162 2.94-1.532v-11.344c-6.513-.153-11.75-5.537-11.75-12.156 0-6.62 5.237-12.003 11.75-12.156V189.72c-.513-.37-1.282-.902-2.94-1.532-4.024-1.534-10.78-2.782-18.28-2.782zM88.844 247.5c-4.025 1.568-7.708 3.378-10.938 5.406-11.378 7.147-17.156 15.95-17.156 26.656 0 .01-.028.906 2.406 2.938s6.928 4.494 12.875 6.594c11.895 4.2 29.47 7.063 48.876 7.062 19.407 0 36.98-2.863 48.875-7.062 5.95-2.1 10.443-4.562 12.876-6.594 2.434-2.032 2.406-2.93 2.406-2.938 0-9.758-5.77-18.805-17.218-26.156-3.284-2.11-7.013-4.012-11.094-5.656-.45.516-.902 1.004-1.375 1.438-2.818 2.58-6.013 4.22-9.53 5.562-7.037 2.68-15.56 4-24.94 4-9.378 0-17.9-1.32-24.936-4-3.52-1.34-6.715-2.983-9.532-5.563-.55-.502-1.08-1.074-1.594-1.687zm-27.906 55.53v192.533h127.937V303.03c-2.75 1.353-5.706 2.57-8.875 3.69-14.71 5.192-33.905 8.154-55.094 8.155-21.19 0-40.385-2.963-55.094-8.156-3.17-1.12-6.123-2.337-8.874-3.69z"}}]})(props);
};
function GiAfrica (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201.56 19.495l-87.79 9.131-73.745 94.814v52.676l56.186 61.805 64.615-13.344 49.164 9.832-10.535 37.926 33.711 61.103-16.855 42.842 39.79 116.225 53.62-8.768 49.164-55.484 4.213-38.629 31.605-23.879-6.322-69.531 83.594-106.994-51.989 7.263-79.363-138.359-125.016-8.428-14.046-30.2zm252.346 319.8l-14.402 20.86-13.408.496c-11.849 24.321-12.598 38.019-13.907 66.547l17.383 4.471 21.852-52.147 2.482-40.226z"}}]})(props);
};
function GiAfterburn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.313 17.78v62.095L170.22 231.75 43 211.625s64.877 30.418 116.344 54.438l-47.375 23.25L279.687 355c-3.582-3.086-7.13-6.347-10.594-9.813-39.543-39.54-54.888-88.3-34.28-108.906 20.605-20.604 69.362-5.26 108.905 34.282 3.355 3.356 6.53 6.754 9.53 10.22l-64.938-167.813L265 162.187c-24.094-51.623-55.03-117.532-55.03-117.532l19.468 122.875L79.655 17.78H18.312zm425.312 243.345l-43.406 46.938-23.595 5.875-33.594-18.344-50.06 50.094 18.31 33.562-5.874 23.563-46.03 42.562 80.093 14.03 28.717 28.72 13.188-13.22-51.5-51.53L469 471.625l-48.656-140.25 52.28 52.28 13.22-13.217-27.97-27.97-14.25-81.343zM392.062 357.5c69.03 70.208 33.083 106.35-37.218 37.22l37.22-37.22z"}}]})(props);
};
function GiAgave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160.4 22.21c-10 84.29-9.7 172.19-3.4 257.09 16.1 25.1 33.9 50.3 53.7 77 6.9-29.2 13.8-58.2 20.2-87.5-25.5-82.8-48.1-167.7-70.5-246.59zm119.2 25.14C275.7 173.8 246.3 282 221.1 392c2.6.3 5.1.7 7.6 1.1 8.6 1.4 16.7 3.3 23.9 5.9 16.8-28.7 36-61.5 54.8-97 4.9-86.9 3.5-172.3-27.8-254.65zM395 119.1C377.8 222.7 315.1 329 271 403.8c44.5-26.8 75.7-59.8 103.3-92.1 10.6-12.4 20.7-24.8 30.8-36.7 10-49 9.2-101.4-10.1-155.9zM65.27 133.4c-1.28 63.9 2.37 117.6 17.9 170.7 14.85 19.8 30.83 38.1 47.53 54 13.2 12.6 26.8 23.7 40.5 32.9 5.9-.4 11.8-.7 17.5-.7 9-.1 17.7.2 26 1-67.1-88.5-115.2-159.8-149.43-257.9zm426.63 89.7c-39.5 19.8-67.7 58-103.9 100.3-21.3 24.9-45.5 50.9-76.4 74.3 28.4-7.5 58.1-12.2 87-11.6 1.7 0 3.3.1 5 .2 22.3-36.9 46.2-89 88.3-163.2zm-466.46 24c4.55 48.2 10.86 89.9 24.94 124.7 6.22 15.4 13.88 29.5 23.6 42.4 22.32-9.7 46.32-16.2 69.72-20 .3-.1.6-.1.9-.1-8.9-7.1-17.8-14.8-26.4-23-35.57-34.1-67.93-77.8-92.76-124zm368.46 157c-36.5 0-75.4 8.9-110.6 21.1 6 13.3 7.4 25.9 5.2 36.8-2 9.5-6.6 17.6-12.5 24 8.1 1.2 17.9.5 29-3.2 35.2-11.7 62.5-30.1 95.4-40.9 26.6-8.7 56.9-11.4 95.7-1-26.3-25.9-60.4-36-97.9-36.8zm-199.7 3.8h-5c-13.5.1-27.9 1.3-42.5 3.7-50.37 8.1-102.33 30-130.8 66.8 87.3-22.1 167.3-6.6 207.7 10.6 2.1.9 8.4 1.4 15.4-.4 7-1.8 14.7-5.5 20.7-10.7 6.1-5.1 10.5-11.6 12.1-19.4 1.7-7.9.7-17.5-5.8-29.8-3.3-6.4-17.7-14.6-39.7-18.2-9.6-1.7-20.5-2.6-32.1-2.6z"}}]})(props);
};
function GiAges (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M360 73c-14.43 0-27.79 7.71-38.055 21.395-10.263 13.684-16.943 33.2-16.943 54.94 0 21.74 6.68 41.252 16.943 54.936 10.264 13.686 23.625 21.396 38.055 21.396s27.79-7.71 38.055-21.395C408.318 190.588 415 171.075 415 149.335c0-21.74-6.682-41.255-16.945-54.94C387.79 80.71 374.43 73 360 73zm-240 96c-10.012 0-19.372 5.32-26.74 15.145C85.892 193.968 81 208.15 81 224c0 15.85 4.892 30.032 12.26 39.855C100.628 273.68 109.988 279 120 279c10.012 0 19.374-5.32 26.742-15.145 7.368-9.823 12.256-24.006 12.256-39.855 0-15.85-4.888-30.032-12.256-39.855C139.374 174.32 130.012 169 120 169zm188.805 47.674c-1.625 1.26-3.208 2.58-4.737 3.974-13.716 12.524-23.816 31.052-31.53 54.198-14.59 43.765-20.404 103.306-30.063 164.154h235.05c-9.66-60.848-15.476-120.39-30.064-164.154-7.714-23.146-17.812-41.674-31.528-54.198-1.53-1.396-3.112-2.715-4.737-3.974-12.84 16.293-30.942 26.994-51.195 26.994s-38.355-10.7-51.195-26.994zM81.27 277.658c-.573.485-1.143.978-1.702 1.488-9.883 9.024-17.315 22.554-23.03 39.7-10.6 31.8-15.045 75.344-22.063 120.154h171.048c-7.017-44.81-11.462-88.354-22.062-120.154-5.714-17.146-13.145-30.676-23.028-39.7-.56-.51-1.127-1.003-1.702-1.488C148.853 289.323 135.222 297 120 297c-15.222 0-28.852-7.678-38.73-19.342z"}}]})(props);
};
function GiAirBalloon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 25.332c-.642.046-1.288.098-1.936.152-28.244 52.446-31.912 108.59-28.084 167.936 3.77 58.42 14.916 119.542 15.936 181.58h46.168c1.02-62.038 12.167-123.16 15.936-181.58 3.828-59.347.16-115.49-28.084-167.936-.648-.054-1.294-.106-1.936-.152V352h-18V25.332zm-23.795 3.51c-7.21 1.567-14.562 3.595-21.893 6.04l-2.398 2.88c-38.992 46.79-49.743 83.613-45.955 123.384 3.787 39.772 23.27 83.214 47.31 139.31l4.45 11.458c.898 3.188 4.327 9.14 7.594 15.463-3.76-44.326-10.457-88.814-13.294-132.797-3.65-56.57-.748-112.657 24.185-165.738zm65.59 0c24.933 53.08 27.835 109.168 24.185 165.738-2.837 43.983-9.534 88.47-13.294 132.797 3.267-6.324 6.696-12.275 7.595-15.463l4.45-11.46c24.04-56.094 43.523-99.536 47.31-139.308 3.79-39.77-6.962-76.593-45.954-123.384l-2.4-2.88c-7.33-2.445-14.682-4.473-21.89-6.04zM167.5 49.422c-3.667 1.97-7.256 4.04-10.73 6.21C126.256 74.705 105 100.5 105 128c0 61.75 22.053 90.394 49.773 122.074 2.808 3.21 5.702 6.47 8.608 9.76-14.478-34.99-25.395-66.073-28.34-96.98-3.537-37.152 5.253-73.565 32.46-113.432zm177 0c27.207 39.867 35.997 76.28 32.46 113.432-2.945 30.907-13.862 61.99-28.34 96.98 2.905-3.29 5.8-6.55 8.607-9.76C384.947 218.394 407 189.75 407 128c0-27.5-21.256-53.296-51.77-72.367-3.474-2.172-7.063-4.24-10.73-6.21zM224 393v37h21.424v-37H224zm42.576 0v37H288v-37h-21.424zM224 448v44h64v-44h-64z"}}]})(props);
};
function GiAirForce (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M331.39 211.856c5.812 31.189-14.571 81.19-37.252 108.318-13.365 15.981-26.968 24.091-40.436 24.091h-.216c-12.728-.09-25.433-7.313-37.786-21.497-24.875-28.573-43.222-80.099-39.184-110.241l1.501-11.295 11.374-.114a77.073 77.073 0 0 0 55.041-23.624l9.441-9.76 9.44 9.76a77.016 77.016 0 0 0 55.246 23.636l10.84.068zm-173.54 6.301H16l18.78 18.825h124.094a116.019 116.019 0 0 1-1.024-18.813zm191.898 18.825H477.22L496 218.169H350.408a105.566 105.566 0 0 1-.66 18.813zm-187.246 18.825H53.604l18.813 18.824h95.818l-.102-.284a209.049 209.049 0 0 1-5.63-18.54zM340.24 274.63h99.344l18.825-18.824H346.154c-1.434 5.584-3.265 11.567-5.597 17.971zM91.242 293.445l18.824 18.824H185.9a203.602 203.602 0 0 1-9.93-18.824H91.242zm310.692 18.824l18.824-18.824h-88.55a211.69 211.69 0 0 1-10.236 18.824h79.962z"}}]})(props);
};
function GiAirZigzag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M 185.90107,21.667141 C 273.66638,103.1344 325.90096,190.87541 363.18841,289.15305 275.49038,184.91376 242.31441,163.72278 116.88975,109.32966 208.45258,181.54047 226.10768,200.34679 279.72895,286.04514 209.68602,233.82364 113.352,182.99257 20.763168,155.41009 l 0,85.40121 c 95.446312,24.53997 244.609212,97.10025 311.841382,175.21478 -0.6242,-25.57532 -3.9844,-51.14691 -14.51542,-76.72223 l 108.86098,111.97263 c -6.54474,-34.00574 -20.51072,-67.18544 -41.9895,-99.52977 L 499.0058,468.38214 C 461.7632,292.83657 343.06642,104.33981 185.90294,21.667141 Z"}}]})(props);
};
function GiAirplaneArrival (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M86.48 31.83c-1.96 4.68-4.03 10.14-5.96 16.22-4.14 13.05-8.05 28.48-11.15 43.03-3.1 14.52-5.39 28.32-6.34 37.82-.35 3.6-.35 5.8-.35 7.7l167.92 78.6-11.4 9c-34.8 27.7-73 53-115.1 75.7l33.4 7.8c60-11.4 93.5-27.9 163.4-55.9l3-1.2 99.4 32.3.2.1c24 8.8 38.2 9.1 42 7.8 1.9-.7 1.4-.5 1.6-1.3.2-.8.2-3.3-1.2-6.9-2.7-7.2-10.1-17.6-19.6-26.7-9.5-9.1-21.2-17-31.5-20.9l-.3-.1-279.9-122.6-.8-4.6c-4.6-24.2-9.5-49.13-27.32-75.87zM209.2 47.9l21.5 95.6 59.8 26.3c-15.5-32.1-33.8-66.1-63.1-108.83L209.2 47.9zM32 439v18h448v-18H32z"}}]})(props);
};
function GiAirplaneDeparture (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M442.6 67.37c-1.6.01-3.2.06-4.8.16-13.2.73-26.9 3.8-36.8 8.74l-.2.12-281 120.21-4.1-2.6c-20.62-13.3-42.15-26.8-73.84-32.1 2.07 4.7 4.64 9.9 7.76 15.5 6.69 11.9 15.26 25.3 23.75 37.6 8.49 12.2 16.96 23.3 23.21 30.4 2.41 2.8 4.02 4.3 5.42 5.6l172.2-68.6-1.2 14.4c-3.7 44.4-11.3 89.6-23.5 135.7l28.5-19c32.6-51.5 43.5-87.2 71-157.3l1.2-3 91.5-50.5h.2c22.9-11.49 32.8-21.65 34.4-25.36.8-1.86.6-1.37.2-2.04-.4-.66-2.3-2.39-5.8-3.85-5.4-2.2-13.8-3.72-23.3-4.03-1.5-.05-3.2-.07-4.8-.05zm-283 11.74l-22.1 4.4L222 133.3l60.1-25.7C248 96.96 210.8 86.98 159.6 79.11zM32 439v18h448v-18H32z"}}]})(props);
};
function GiAirplane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M76.183 264.465l11.224 2.393-4.357 11.62a12.27 12.27 0 1 1-10.353-4.73zM378.67 321.61a21.078 21.078 0 1 0 11.968-5.17l-5.81-13.55h-14.257zm69.208-75.53c0 6.578-.221 12.934-.628 18.686h10.18v-33.93h-9.97c.232 4.845.406 9.981.406 15.28zm-22.903 40.438h-80.7c-115.408 0-213.503-28.504-286.336-42.459C26.415 238.018 21 226.526 21 213.151c0-17.894 9.633-59.656 39.24-59.656 24.576 0 53.08 61.364 62.422 61.364 3.986 0 170.033-9.144 170.033-9.144 0 8.354 13.851 12.526 27.714 12.526 13.862 0 27.887-4.218 27.887-12.62v-22.519s23.868 12.782 30.55 22.566h46.107c8.796 0 8.796 80.886.011 80.886zM408.8 247.802c0-3.998-3.66-7.251-8.134-7.251H248.168c-4.508 0-8.134 3.242-8.134 7.25 0 4.01 3.66 7.251 8.134 7.251h152.453c4.508.035 8.168-3.218 8.168-7.215zm73.984-57.007a8.134 8.134 0 0 0-8.134 8.134v94.283a8.175 8.175 0 0 0 16.349 0v-94.214a8.134 8.134 0 0 0-8.227-8.169z"}}]})(props);
};
function GiAirtightHatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169 25v30h174V25H169zm-37.271 48L41 163.729V487h46V377H57V263h30v-74.729L156.271 119H355.73L425 188.271V375h46V163.729L380.271 73H131.73zm32 64L105 195.729V263h30v32h133.271L295 268.271V227.73l-48-48V137h-83.271zM265 137v35.271l48 48v55.458L293.729 295H407v-99.271L348.271 137H265zM75 281v78h42v-78H75zm60 32v14h272v-14H135zm0 32v32h-30v110h142v-19.271l-48-48V364.27L218.271 345H135zm108.729 0L217 371.729v40.542l48 48V487h142V345H243.729zM425 393v94h46v-94h-46z"}}]})(props);
};
function GiAk47 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M293.558 241.704l-30.06 30.06a167.363 167.363 0 0 0 123.006 23.162l-8.044-40.39a126.157 126.157 0 0 1-84.902-12.832zm-139.303 75.694a3.761 3.761 0 0 0 1.13 2.792l18.666 18.666a4.783 4.783 0 0 0 5.07 1.197c4.703-1.845 8.975 3.075 10.728 11.51l6.375 30.459a9.555 9.555 0 0 0 11.31 7.404l4.23-.905a15.385 15.385 0 0 0 11.918-18.217l-6.757-32.287a10.26 10.26 0 0 1 2.743-9.391l27.217-27.218a12.376 12.376 0 0 0 0-17.502l-11.061-11.062 50.894-50.894-32.278-32.279-33.151 33.152 3.964 3.964-70.64 70.64s-.117 14.91-.358 19.97zm57.834-2.003a9.673 9.673 0 0 1 0-13.68l10.712-10.712a9.673 9.673 0 0 1 13.68 0l1.603 1.604a9.673 9.673 0 0 1 0 13.68l-10.745 10.745a9.673 9.673 0 0 1-13.646-.033l-1.604-1.604zm-100.56 161.21a9.908 9.908 0 0 1-1.952 2.784l-5.145 5.145a5.007 5.007 0 0 1-7.08 0l-42.717-42.717a7.91 7.91 0 0 1-.258-10.912l63.37-69.702.365-.365a10.907 10.907 0 0 1 4.504-2.71l3.59-1.113a11.095 11.095 0 0 0 5.926-4.397l11.71-17.377 23.353 23.353zM384.012 93.991a4.701 4.701 0 0 0-6.648 0l-15.707 15.707-4.38-4.38 20.926-20.926 8.85 2.468a15.126 15.126 0 0 0 14.769-3.914l26.345-26.345-9.109-20.012a6.793 6.793 0 0 1 1.38-7.612l.764-.765c2.718-2.718 7.455-3.05 10.173-.332l15.316 15.316 6.582-6.582 6.408 6.408-6.59 6.59 2.991 2.992-75.76 75.76-12.017-12.017 15.707-15.708a4.701 4.701 0 0 0 0-6.648zm-40.207 24.45l18.575 18.574a7.193 7.193 0 0 1 .423 9.715l-51.875 61.748a7.193 7.193 0 0 1-10.596.458l-23.527-23.528a7.193 7.193 0 0 1 0-10.172l56.811-56.812a7.193 7.193 0 0 1 10.173 0z"}}]})(props);
};
function GiAk47U (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M267.788 262.954l-42.198 42.199a237.114 237.114 0 0 0 180.038 36.641l-11.394-57.128a178.748 178.748 0 0 1-126.446-21.712zm-115.621 212.76l6.012-1.251a21.794 21.794 0 0 0 16.88-25.808l-9.564-45.742a14.53 14.53 0 0 1 3.947-13.241l38.505-38.505a17.525 17.525 0 0 0 0-24.784l-15.752-15.752 71.944-71.944-45.76-45.76-32.275 32.274a10.223 10.223 0 0 0-14.457 14.457l5.61 5.61L77.15 345.373l.01 26.088 30.672 29.938c15.682-5.829 15.516 2.581 19.305 20.687l9.023 43.135a13.54 13.54 0 0 0 16.023 10.493zm-2.853-106.467a10.186 10.186 0 0 1 0-14.405l20.198-20.198a10.186 10.186 0 0 1 14.404 0l7.246 7.246a10.186 10.186 0 0 1 0 14.405l-20.224 20.224a10.186 10.186 0 0 1-14.404 0l-7.238-7.237zm96.342-176.696a10.582 10.582 0 0 1-1.12-1.348 12.03 12.03 0 0 1 1.776-15.393l82.656-82.656c4.804-4.804 12.295-5.102 16.74-.656l24.74 24.74c4.236 4.235 4.192 11.297-.096 16.146l-77.57 87.704c-4.28 4.84-11.228 5.732-15.945 2.363a10.606 10.606 0 0 1-1.348-1.12l-29.798-29.798zM419.096 36l15.753 15.752-16.794 11.088-37.053 37.053-10.055-10.055 37.062-37.062zm-63 24.267a5.408 5.408 0 0 1 0-7.648l3.431-3.43a5.408 5.408 0 0 1 7.649 0l12.251 12.25-11.079 11.08-12.252-12.252z"}}]})(props);
};
function GiAkhet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 108c-65.8 0-119 53.2-119 119s53.2 119 119 119 119-53.2 119-119-53.2-119-119-119zM72 146c-11 0-22.24 5.3-31.3 17.4C31.64 175.5 25 194.5 25 221v218h462V221c0-26.5-6.6-45.5-15.7-57.6C462.2 151.3 451 146 440 146s-22.2 5.3-31.3 17.4c-9.1 12.1-15.7 31.1-15.7 57.6v9c-1.6 74.2-62.4 134-137 134s-135.4-59.8-137-134v-9c0-26.5-6.6-45.5-15.7-57.6C94.24 151.3 83 146 72 146z"}}]})(props);
};
function GiAlarmClock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 62.107v9.94h-28.88v18H247v39.074c-84.367 4.682-151.514 74.737-151.514 160.26 0 41.037 15.468 78.508 40.873 106.91l-36.237 36.237 12.727 12.73 36.238-36.24C177.49 434.425 214.96 449.894 256 449.894c41.04 0 78.51-15.47 106.912-40.875l36.238 36.238 12.727-12.73-36.236-36.235c25.406-28.402 40.874-65.873 40.874-106.91 0-85.523-67.147-155.578-151.514-160.26V90.048h28.88v-18H265v-9.94h-18zm-104.906 26.58c-3.583-.03-7.267.125-11.014.465C111.1 90.97 89.15 98 73.637 113.514c-15.514 15.513-22.545 37.462-24.362 57.443-.908 9.99-.488 19.54 1.184 27.898 1.67 8.36 4.315 15.662 9.784 21.13l6.363 6.365 6.366-6.364 113.5-113.502-6.366-6.363c-5.47-5.468-12.77-8.112-21.128-9.784-4.18-.836-8.658-1.358-13.34-1.56-1.17-.05-2.352-.08-3.546-.088zm227.812 0c-1.194.01-2.376.04-3.547.09-4.682.2-9.16.723-13.34 1.56-8.357 1.67-15.658 4.315-21.127 9.784l-6.366 6.364 6.366 6.366 113.5 113.5 6.363-6.364c5.47-5.47 8.113-12.772 9.785-21.13 1.673-8.36 2.093-17.908 1.185-27.9-1.817-19.98-8.848-41.93-24.362-57.442C422.85 98 400.9 90.97 380.92 89.152c-3.747-.34-7.43-.494-11.014-.465zM256 146.865c78.815 0 142.514 63.7 142.514 142.514 0 78.814-63.7 142.513-142.514 142.513-78.815 0-142.514-63.7-142.514-142.514 0-78.816 63.7-142.515 142.514-142.515zm-88.332 41.453l-12.73 12.73 82.92 82.917a18.94 18.94 0 0 0-.797 5.414A18.94 18.94 0 0 0 256 308.317a18.94 18.94 0 0 0 16.66-9.94h59.096v-18h-59.11A18.94 18.94 0 0 0 256 270.44a18.94 18.94 0 0 0-5.408.804l-82.924-82.924z"}}]})(props);
};
function GiAlgae (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M62 19c-22.537 0-41 18.463-41 41s18.463 41 41 41 41-18.463 41-41-18.463-41-41-41zm170.977 9.97c-16.978-.922-52.997 72.088-53.834 113.33-.66 32.469 37.967 56.928 38.736 89.393.857 36.173-28.546 58.95-38.397 101.532-4.527 15.463 7.926 38.252 15.096 49.978 5.663 9.118 12.2 16.656 18.686 21.809-6.163-28.894-5.196-59.292-.19-87.715 3.262-18.52 13.862-33.667 22.492-47.83 8.63-14.163 15.138-26.884 14.37-39.817-.804-13.533-10.378-26.05-22.053-39.97-11.676-13.92-25.352-29.016-28.285-49.514-2.168-17.163 6.516-40.209 12.607-57.103l16.598 6.964c-6.53 15.961-11.005 30.288-11.387 47.59 1.947 13.606 12.458 26.428 24.258 40.496 11.8 14.069 24.992 29.612 26.23 50.469 1.15 19.365-8.029 35.584-16.966 50.252C242 293.502 233.15 307.076 230.8 320.42c-5.584 31.704-5.592 65.596 3.924 95.435 3.243 10.172 9.433 22.86 16.734 35.637a64.418 64.418 0 0 0 2.748-7.888c2.602-9.482 2.37-19.766-.57-24.102l14.898-10.104c8.174 12.053 6.356 26.848 3.03 38.97-1.664 6.06-3.884 11.553-6.323 16.048-.948 1.746-1.924 3.336-2.998 4.807a401.083 401.083 0 0 0 6.057 9.13A376.253 376.253 0 0 0 279.604 494h32.675c11.057-41.657-56.394-96.948-56.656-147.092-.218-41.702 40.04-78.813 34.764-120.181-4.188-32.838-41.059-53.739-50.657-85.42-10.862-35.856 8.339-109.356-5.959-112.237a5.548 5.548 0 0 0-.794-.1zM85 60c0 12.81-10.19 23-23 23S39 72.81 39 60c0-.124.008-.247.01-.371 2.796 2.023 6.204 3.236 9.865 3.236 9.282 0 17-7.718 17-17 0-3.219-.945-6.24 4.344-7.194C75.507 37.716 85 47.638 85 60zm247.488 17.32c-18.119 0-33 14.882-33 33 0 18.12 14.881 33 33 33 18.12 0 33-14.88 33-33 0-18.118-14.88-33-33-33zm5.315 18.96c5.7 2.11 9.685 7.532 9.685 14.04 0 8.391-6.609 15-15 15-7.773 0-14.005-5.676-14.883-13.181 1.7.688 3.544 1.08 5.467 1.08 8.119 0 14.893-6.774 14.893-14.893 0-.695-.066-1.375-.162-2.047zm-37.315 45.04c-9.282 0-17 7.718-17 17 0 9.283 7.718 17 17 17 9.283 0 17-7.717 17-17 0-9.282-7.717-17-17-17zm66.848 24.186a3.402 3.402 0 0 0-.596.039c-10.503 1.68 19.336 71.981 9.67 106.182-5.636 19.943-32.977 29.52-37.213 49.808-4.903 23.485 16.947 46.093 16.408 70.078-.733 32.688-42.238 68.245-22.625 94.405 5.256 7.009 11.776-1.035 18.069-5.704a305.408 305.408 0 0 0 13.517-13.082 47.85 47.85 0 0 1-4.837-6.308 51.018 51.018 0 0 1-7.993-30.42l17.973.986c-.454 8.28 2.082 14.906 5.164 19.703.595.927 1.21 1.753 1.82 2.522 1.635-2.015 3.157-3.972 4.41-5.776 6.183-8.891 11.334-18.161 11.418-25.935.152-13.948-9.391-28.598-20.005-44.688-10.614-16.089-22.44-34.122-19.098-55.761 2.02-13.086 11.901-20.663 19.61-26.848 7.708-6.185 13.486-11.354 14.833-16.244l17.354 4.781c-3.455 12.54-13.41 19.473-20.924 25.502-7.514 6.029-12.346 10.775-13.084 15.557-2.083 13.492 5.89 27.273 16.332 43.101 10.442 15.829 23.216 33.198 22.982 54.795-.158 14.627-8.032 26.515-14.638 36.016-8.105 11.656-20.935 24.708-32.735 35.424-.136.124-.268.238-.404.361h34.926c9.11-3.612 17.256-8.636 23.16-14.686 20.682-21.19 11.655-57.69 4.309-88.726-4.341-18.338-33.18-41.566-32.676-66.156.405-19.792 28.159-32.332 28.457-52.125.591-39.28-40.65-106.57-53.584-106.801zm-288.252 5.137c-.202.01-.4.033-.59.068-10.503 1.94 12.938 49.915 9.668 74.863-2.726 20.794-21.818 37.342-23.867 58.213C61.632 330.902 81.385 356.79 80 384c-1.724 33.881-50.665 71.441-31.268 97.729 4.765-4.382 10.554-10.11 16.575-16.625 13.477-14.583 27.891-33.125 33.732-46.319 5.181-11.703 6.3-26.25 4.834-40.08-4.093-21.186-19.261-39.903-20.545-59.387-1.076-20.698 9.154-37.472 11.904-52.1 2.151-11.44 5.143-36.394 5.143-36.394l17.875 2.117s-2.876 24.561-5.328 37.604c-3.574 19.007-12.318 34.359-11.617 47.838 3.083 21.238 18.184 39.242 20.468 58.424 1.699 16.013.694 33.525-6.273 49.263-7.594 17.154-22.785 35.897-36.975 51.25a330.056 330.056 0 0 1-13.828 14.106c18.087 3.662 43.034-6.147 55.946-17.62 28.862-25.645 32.23-64.006 20.91-108.853-7.237-28.668-22.264-48.927-20.48-74.678 1.085-15.683 27.202-25.725 18.622-43.33-14.053-28.836-47.91-76.956-60.611-76.302zM458.82 289.986c-7.618 0-14.66 2.639-20.267 7.035a15.268 15.268 0 0 0-5.24 5.118c-4.674 5.698-7.493 12.965-7.493 20.847 0 18.12 14.882 33 33 33 18.12 0 33-14.88 33-33 0-18.118-14.88-33-33-33zm1.924 18.133c7.453.924 13.076 7.131 13.076 14.867 0 8.391-6.609 15-15 15-7.843 0-14.127-5.776-14.914-13.382.677.097 1.363.164 2.063.164 8.118 0 14.892-6.774 14.892-14.893 0-.594-.046-1.178-.117-1.756zM172.037 379.66c-3.674 46.106 5.923 85.524 35.01 114.34h50.219a432.13 432.13 0 0 1-3.82-5.482c-12.572-18.375-25.576-40.12-33.094-59.407-17.026-4.533-30.563-19.501-41.065-36.412a159.892 159.892 0 0 1-7.25-13.039z"}}]})(props);
};
function GiAlgeria (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M418.4 23.98c-87.5-7.58-164.6 2.58-228 35.99l11.3 83.23-181.56 71.3-5.99 43.4L294.5 490.4l57-2.2 146.4-114c-60.4-73.4-22.3-118.9-45.6-161.2-48-86.8-45.2-133.74-33.9-189.02z"}}]})(props);
};
function GiAlienBug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32.796c-29.75 0-68.891 11.577-99.588 28.844-15.348 8.633-28.61 18.674-37.685 28.884C109.65 100.735 105 110.796 105 119.796c0 1 .75 3.54 3.62 7.164 2.867 3.623 7.55 8.046 13.503 12.809 11.906 9.524 28.805 20.496 46.87 32.539 31.444 20.963 66.69 44.82 87.007 74.048 20.317-29.229 55.563-53.085 87.008-74.048 18.064-12.043 34.963-23.015 46.869-32.54 5.953-4.762 10.636-9.185 13.504-12.808 2.868-3.623 3.619-6.164 3.619-7.164 0-9-4.65-19.06-13.727-29.272-9.076-10.21-22.337-20.251-37.685-28.884C324.89 44.373 285.75 32.796 256 32.796zm-96 55c16 0 80 48 80 80-49.427-32.146-80-32-80-32-16-16-16-48 0-48zm192 0c16 0 16 32 0 48 0 0-30.573-.146-80 32 0-32 64-80 80-80zM124.389 216.099c-1.259 0-2.503.037-3.73.107-.326.019-.644.055-.968.078 4.622 3.44 8.605 7.731 11.797 12.52 7.195 10.792 10.748 24.327 8.934 37.931-1.338 10.032-5.833 20.055-13.715 28.377 1.736 1.92 3.344 4.07 4.99 6.438 7.078 10.176 14.145 24.717 21.242 41.256 1.2 2.797 2.396 5.651 3.586 8.54 10.648-6.648 22.597-10.931 35.457-10.529 1.92.06 3.862.224 5.82.5 12.583 1.776 25.386 7.956 38.677 19.051a288.157 288.157 0 0 0 3.953-6.65c-4.372-16.06-11.582-34.608-20.555-52.612-18.748-37.617-46.579-72.377-66.69-79.558-10.431-3.725-19.989-5.453-28.798-5.45zm263.222 0c-8.81-.004-18.367 1.724-28.798 5.449-20.111 7.18-47.942 41.941-66.69 79.558-8.973 18.004-16.183 36.551-20.555 52.612 1.26 2.194 2.591 4.42 3.953 6.65 13.29-11.095 26.094-17.275 38.676-19.05 1.96-.277 3.9-.44 5.82-.5 12.86-.403 24.81 3.88 35.458 10.529 1.19-2.89 2.385-5.744 3.586-8.541 7.097-16.54 14.164-31.08 21.242-41.256 1.646-2.367 3.254-4.517 4.99-6.438-7.882-8.322-12.377-18.345-13.715-28.377-1.814-13.604 1.739-27.14 8.934-37.931 3.192-4.789 7.175-9.08 11.797-12.52-.324-.023-.642-.06-.967-.078a65.622 65.622 0 0 0-3.73-.107zm-293.047 9.718a23.893 23.893 0 0 0-4.12.39c-4.146 2.676-8.089 5.835-11.856 9.425-19.142 18.24-32.817 48.68-38.734 82.889-5.918 34.207-4.163 72.009 5.894 104.39 6.921 22.286 17.755 41.725 32.348 56.293-7.482-25.49-12.588-54.061-12.727-82.312-.192-39.136 9.156-78.077 36.291-105.371 1.569-1.578 3.7-2.926 6.031-3.694 9.491-6.578 13.73-14.786 14.887-23.47 1.186-8.896-1.261-18.361-6.066-25.569-4.806-7.208-11.614-11.916-19.076-12.805-.933-.11-1.89-.169-2.872-.166zm322.872 0a23.654 23.654 0 0 0-2.872.166c-7.462.889-14.27 5.597-19.076 12.805-4.805 7.208-7.252 16.673-6.066 25.568 1.158 8.685 5.396 16.893 14.887 23.471 2.331.768 4.462 2.116 6.03 3.694 27.136 27.294 36.484 66.235 36.292 105.37-.14 28.252-5.245 56.823-12.727 82.313 14.593-14.568 25.427-34.007 32.348-56.293 10.057-32.381 11.812-70.183 5.894-104.39-5.917-34.208-19.592-64.65-38.734-82.89-3.767-3.589-7.71-6.748-11.855-9.425a23.856 23.856 0 0 0-4.121-.389zM223.54 236.642l-4.668 25.673c6.142 9.82 11.863 20.228 17.113 30.762 8.339 16.73 15.233 33.836 20.012 49.658 4.78-15.822 11.678-32.928 20.016-49.658 5.25-10.534 10.971-20.943 17.113-30.762l-4.668-25.673c-10.553 10.212-19.153 20.668-24.408 31.18L256 283.92l-8.05-16.1c-5.256-10.511-13.856-20.967-24.409-31.18zM189.412 358.77c-.642.01-1.283.039-1.92.084-7.645.535-14.922 3.493-22.58 8.482-18.513 12.06-29.046 29.471-33.531 52.262-3.334 16.942-3.043 36.818.517 58.691 7.15-14.08 14.765-30.503 22.176-44.867 5.776-11.194 11.273-20.973 17.479-27.951 3.103-3.49 6.382-6.572 11.355-8.092 4.974-1.52 11.702.299 15.455 4.053l15.117 15.117c2.063-2.118 5.486-7.853 8.249-14.299 4.073-9.506 6.651-18.326 8.09-23.52-13.398-12.427-24.835-18.221-34.532-19.59a37.478 37.478 0 0 0-5.875-.37zm133.176 0a37.478 37.478 0 0 0-5.875.37c-9.697 1.369-21.134 7.163-34.531 19.59 1.438 5.194 4.016 14.014 8.09 23.52 2.762 6.446 6.185 12.18 8.248 14.299l15.117-15.117c3.753-3.754 10.481-5.573 15.455-4.053 4.973 1.52 8.252 4.603 11.355 8.092 6.206 6.978 11.703 16.757 17.479 27.95 7.411 14.365 15.026 30.789 22.176 44.868 3.56-21.873 3.851-41.75.517-58.691-4.485-22.791-15.018-40.203-33.531-52.262-7.658-4.989-14.935-7.947-22.58-8.483a36.203 36.203 0 0 0-1.92-.084zM256 362.726a300.28 300.28 0 0 1-6.125 10.216l.092.092-1.237 4.945s-4.051 16.411-10.459 31.362c-3.203 7.475-6.71 14.621-12.158 20.068-2.723 2.724-6.272 5.322-11.15 5.863-4.878.542-10-1.787-13.326-5.113l-3.2-3.199c-3.24 1.637-6.565 2.987-9.988 3.953a44.166 44.166 0 0 0 2.783 4.275c4.507 6.084 11.133 13.22 18.694 19.834 15.12 13.231 34.574 23.774 46.074 23.774s30.953-10.543 46.074-23.774c7.56-6.615 14.187-13.75 18.694-19.834a44.166 44.166 0 0 0 2.783-4.275c-3.423-.966-6.748-2.316-9.989-3.953l-3.199 3.2c-3.326 3.325-8.448 5.654-13.326 5.112-4.878-.541-8.427-3.14-11.15-5.863-5.447-5.447-8.955-12.593-12.158-20.068-6.408-14.951-10.46-31.362-10.46-31.362l-1.236-4.945.092-.092A300.28 300.28 0 0 1 256 362.726z"}}]})(props);
};
function GiAlienEgg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M274.871 20.028a225.334 225.334 0 0 0-6.521.01c-17.341.275-34.254 2.546-49.655 6.576-17.578 4.601-35.218 14.092-49.67 27.424-14.452 13.332-26.31 31.319-26.476 52.942-.123 16.037 7.219 29.58 16.113 41.185 4.972 6.487 10.628 12.487 16.55 18.06 10.051-6.959 19.603-11.335 28.825-13.544a61.846 61.846 0 0 1 8.91-1.453c-.305-.242-.611-.476-.916-.72-9.5-7.6-18.642-16.212-24.797-24.241-6.154-8.03-8.716-15.036-8.685-19.012.061-8.027 5.214-17.833 14.887-26.756 9.672-8.923 23.269-16.152 34.375-19.058 24.444-6.398 56.865-7.347 84.664-.928 27.798 6.418 49.811 19.656 59.605 38.56.72 1.39 1.442 7.908-.623 13.887s-6.349 9.994-7.361 10.395c-1.69.668-6.944.839-14.782-2.164-3.146-1.206-6.562-2.845-10.082-4.76-.851 5.973-3.116 11.495-6.533 16.158-3.85 5.256-8.766 9.62-14.336 13.469 5.762 3.333 11.797 6.346 18.07 8.75 12.364 4.737 26.584 7.689 40.91 2.02 15.186-6.01 23.58-18.911 28.141-32.112 4.56-13.201 5.855-28.125-1.44-42.203-16.474-31.8-49.242-49.175-83.47-57.078-14.975-3.458-30.45-5.207-45.703-5.407zM257.05 81.587s24.553 39.17 44.658 53.605c7.452-4.335 13.262-8.86 16.473-13.242 3.851-5.256 5.127-9.711 2.379-17.56-16.124-11.882-63.51-22.803-63.51-22.803zm-38.361 87.414c-3.396-.043-6.846.334-10.456 1.186-12.37 2.963-27.641 11.887-46.377 31.71-11.542 17.963-20.928 38.946-27.359 63.026 8.36 4.198 17.765 7.779 28.988 10.477 4.63-26.96 26.004-49.3 42.578-65.153l10.891-10.418 4.006 14.53c28.64 103.892 48.5 151.37 94.988 200.69a357.476 357.476 0 0 0 7.366-10.849c14.743-22.573 31.412-52.64 46.867-82.56 13.238-25.63 25.59-51.143 35.236-71.924-8.59-26.487-22.684-48.163-33.654-59.023-10.97-10.861-10.974-10.305-12.719-9.983-1.745.322-5.79 2.523-10.543 6.184-9.506 7.321-21.842 20.052-39.678 20.914a40.489 40.489 0 0 1-6.146-.19l-17.41 27.541 74.273 26.567-38.562 25.82 15.449 25.053-15.322 9.447-15.096-24.478-18.422 12.333-10.014-14.955 42.272-28.304-61.803-22.104 26.82-42.428c-4.211-2.098-8.242-4.585-12.14-7.15-10.686-7.032-20.88-15.01-31.34-20.144-8.023-3.593-15.224-5.72-22.693-5.815zm-10.692 65.158c-14.44 15.7-27.57 34.601-27.45 52.06l.079 10.827-10.658-1.904c-30.685-5.482-51.459-17.143-68.62-29.75-9.608-7.06-18.157-14.238-26.925-21.014 17.484 51.591 37.58 114.2 78.24 145.531l9.658 7.444-9.959 7.037c-27.956 19.753-56.551 36.69-79.838 53.066-14.175 9.968-26.193 19.77-35.066 29.483 20.231-6.628 40.28-15.856 60.477-22.725 27.76-9.441 57.234-13.995 85.726 2.72l1.037.61.842.861c14.982 15.318 30.852 22.309 59.965 23.448 25.861 1.011 62.587-3.585 113.867-12.399-87.106-73.382-115.421-119.016-151.375-245.295zm218.961 11.748c-.224.494-.305.715-.533 1.217-10.26 22.524-24.632 52.541-40.25 82.777-15.618 30.236-32.446 60.65-47.79 84.141-3.277 5.018-6.476 9.696-9.605 14.026 12.81 12.479 27.506 25.413 44.555 39.654 46.18 13.565 74.513 15.14 101.209 13.433-1.298-6.848-3.822-13.693-9.133-20.81-7.603-10.188-21.2-21.162-45.935-31.63l-8.114-3.433 3.26-8.185c23.039-57.845 16.709-116.65 12.336-171.19z"}}]})(props);
};
function GiAlienFire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.28 21.656c-15.214 146.58-91.146 112.617-109.75 212.906-42.198-38.566-53.434-86.512 10.814-148.937-142.44 81.374-91.17 186.01 13.312 271.813 26.894 32.327 66.16 57.977 85.625 132.78 19.467-74.803 58.734-100.452 85.626-132.78C450.39 271.634 501.66 166.998 359.22 85.625c64.258 62.435 53.03 110.4 10.81 148.97C351.44 134.268 275.5 168.25 260.28 21.654zm0 73.03c5.482 52.788 24.244 66.03 40.595 81.658 21.9 13.69 36.53 38.02 36.53 65.656 0 30.134-17.377 56.306-42.624 69.063-12.9 13.74-26.514 30.443-34.5 61.125-7.884-30.305-21.24-46.98-34-60.625-25.777-12.565-43.593-39.032-43.593-69.563 0-28.21 15.224-52.98 37.875-66.5 16.14-15.277 34.338-28.97 39.72-80.813zm-.25 88.658c-32.51 0-58.655 26.147-58.655 58.656 0 32.512 26.144 58.656 58.656 58.656 32.513 0 58.69-26.144 58.69-58.656 0-32.51-26.177-58.656-58.69-58.656z"}}]})(props);
};
function GiAlienSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.656 19.625c-65.485.31-130.968 43.688-156.375 129.563C177.4 179.51 212.086 215.23 208.47 236v.063c-2.34 13.46-20.787 20.62-54.47 16.093-6.255-.098-12.713-1.27-19.094-3.5-11.202-2.527-23.665-6.108-37.344-10.844 24.63 22.796 53.14 39.59 83.47 50.125 5.516 101.8 24.05 168.38 46.437 199.407.95-143.2 15.592-215.647 30.186-216.063 14.642-.425 29.205 71.648 30.063 217.314 22.446-30.322 40.966-96.94 46.436-200.28 28.115-9.725 54.978-25.102 79.03-46.345-9.928 3.08-19.13 5.504-27.592 7.31-5.366 1.7-10.762 2.68-16.03 2.876-33.8 4.578-52.314-2.61-54.658-16.094V236c-2.255-12.955 10.413-31.72 38.72-51.375 15.652-10.87 36.077-22.02 61.437-32.594-24.647-88.774-91.028-132.72-157.407-132.405zM132.47 191.655c-.922.003-1.822.05-2.69.126-6.93.6-11.378 3.226-13.436 6.564-2.058 3.337-2.198 7.545.562 13.156 2.76 5.61 8.615 11.848 16.875 16.313 8.26 4.464 17.1 6.16 24.032 5.562 6.933-.598 11.38-3.225 13.438-6.563 2.058-3.337 2.167-7.545-.594-13.156-2.76-5.61-8.583-11.816-16.844-16.28-7.227-3.908-14.895-5.73-21.343-5.72zm257.467 0c-.924.002-1.877.053-2.843.126-5.796.44-12.305 2.246-18.5 5.595-8.26 4.465-14.115 10.67-16.875 16.28-2.762 5.612-2.622 9.82-.564 13.157 2.058 3.338 6.506 5.965 13.438 6.563 6.932.598 15.77-1.098 24.03-5.563 8.26-4.464 14.084-10.7 16.845-16.312 2.76-5.61 2.65-9.82.592-13.156-2.058-3.338-6.505-5.965-13.437-6.563-.867-.074-1.763-.124-2.688-.124z","fillRule":"evenodd"}}]})(props);
};
function GiAlienStare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 21.313c-134.918 0-192.22 105.22-192.22 211.375C63.78 338.841 256 493.656 256 493.656s192.22-154.814 192.22-260.969c0-106.154-57.303-211.375-192.22-211.375zm-.063 74.374c.77.6 1.4 1.12 2.157 1.72 46.445 36.343 46.445 95.154 0 131.5-.755.616-1.385 1.14-2.156 1.718-.77-.598-1.43-1.14-2.188-1.72-46.445-36.344-46.445-95.155 0-131.5.757-.615 1.416-1.12 2.188-1.718zm0 40.72c-14.884 0-26.937 12.052-26.937 26.937 0 14.884 12.053 26.937 26.938 26.937 14.884 0 26.937-12.052 26.937-26.936 0-14.885-12.053-26.938-26.938-26.938zM135.03 203.093c39.988-.483 72.49 27.44 78.94 73.062.11.935.234 1.775.374 2.75-.944.262-1.643.695-2.563 1.03-54.698 22.052-105.62-7.323-113.874-65.717-.168-.973-.266-1.776-.406-2.75.953-.263 1.68-.677 2.594-1.032 11.965-4.824 23.74-7.21 34.937-7.344zm244.126 0c11.196.135 22.973 2.52 34.938 7.344.914.355 1.64.77 2.594 1.03-.14.976-.24 1.78-.407 2.75-8.252 58.395-59.174 87.77-113.874 65.72-.92-.337-1.618-.77-2.562-1.032.14-.975.263-1.815.375-2.75 6.448-45.622 38.95-73.545 78.936-73.062zm-223.937 14.97c-9.102.202-17.867 5.04-22.75 13.5-7.444 12.89-3.017 29.37 9.874 36.81 12.89 7.443 29.37 3.016 36.812-9.874 7.442-12.89 3.016-29.37-9.875-36.813-4.43-2.558-9.294-3.73-14.06-3.625zm203.75 0c-4.768-.108-9.633 1.065-14.064 3.624-12.89 7.442-17.317 23.922-9.875 36.812 7.444 12.89 23.923 17.317 36.814 9.875 12.89-7.442 17.317-23.922 9.875-36.813-4.885-8.46-13.65-13.296-22.75-13.5z"}}]})(props);
};
function GiAllForOne (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M173.625 15.72l16.156 53.81-94.374-48.905L158.47 98.25 45.187 117.406l113.28 19.625-59.718 75.19 65.03-33.407-1.78 58.843 19.844-37.344v-64.218l.75-1.75 31.906-74.75-40.875-43.875zm146.25 0L282.97 55.343l33.342 79.03.75 1.75V205.846l15.5 29.187-1.625-54.436 65.532 34.062-63.064-77.625 113.28-19.624-113.28-19.156 63.063-77.625-92.44 47.906 15.845-52.81zM249.28 23.56l-49.186 114.5v153.5L235.03 326.5c2.916-65.435 7.976-128.936 15.25-187.72 7.606 61.433 12.744 128.775 15.532 198l32.625-32.624V138.062l-49.156-114.5zM33.126 206.845l37.344 94.062 193.905 193.938h30.813c-66.34-68.503-128.483-139.002-180.625-205.875 74.705 58.246 155.104 130.333 231.312 205.874h31.063L126.813 244.688l-93.688-37.844zm444.844 0l-93.626 37.812L268.75 360.25l18.156 18.125c36.278-32.102 72.315-62.265 107.125-89.406-27.302 35.015-57.36 71.02-89.31 107.217L325.06 416.5l115.532-115.53 37.375-94.126zM186.06 442.938l-51.906 51.906h28.594c12.596-12.486 25.314-24.875 38.094-37.125l-14.78-14.783zm39.375 39.406c-3.995 4.173-8.003 8.34-12.03 12.5h24.53l-12.5-12.5z"}}]})(props);
};
function GiAllSeeingEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v15.797L179.434 215.41l9.484-16.424L28.04 18H18zm77.705 0l96.95 174.512 10.493-18.176L116.295 18h-20.59zm91.154 0c4.326 19.018 15.27 67.152 28.36 125.326.557 2.482 1.074 4.807 1.63 7.278l13.275-22.993C219.105 78.687 209.9 38.14 205.32 18h-18.46zM247 18v80.383l9-15.588 7.795 13.5L265 98.383V18h-18zm59.78 0l-24.51 110.297 13.314 23.058L325.22 18h-18.44zm88.925 0l-86.853 156.336 10.494 18.176L416.296 18h-20.59zm88.254 0L323.083 198.986l9.482 16.424L494 33.797V18h-10.04zM18 98.25v22.5l150.79 113.094 9.067-15.7L18 98.25zm476 0L334.145 218.143l9.064 15.7L494 120.75v-22.5zm-238 20.547l-74.656 129.308c20.297-9.102 46.254-14.35 74.656-14.35 28.402 0 54.36 5.248 74.656 14.35L256 118.797zm-238 70.34v19.226l136.05 51.018 9.122-15.804L18 189.136zm476 0l-145.172 54.44 9.123 15.804L494 208.364v-19.226zM18 249.18v18.14l122.615 15.326 9.77-16.92L18 249.18zm476 0l-132.383 16.547 9.768 16.92L494 267.32v-18.14zm-238 2.576c-14.737 0-26.49 11.75-26.49 26.488 0 8.536 3.948 16.065 10.13 20.895a28.09 28.09 0 0 1-1.384-8.603 28.09 28.09 0 0 1 28.09-28.09 28.09 28.09 0 0 1 13.02 3.223c-4.446-8.315-13.194-13.914-23.366-13.914zm-38.18 3.736c-12.656 2.568-23.93 6.328-33.082 10.904-17.63 8.815-26.21 19.758-26.21 29.594 0 9.837 8.58 20.777 26.21 29.592 17.63 8.815 43.077 14.643 71.262 14.643 28.185 0 53.632-5.828 71.262-14.643 17.63-8.815 26.21-19.755 26.21-29.592 0-9.836-8.58-20.78-26.21-29.594-9.153-4.576-20.426-8.336-33.082-10.904 4 6.67 6.31 14.453 6.31 22.752 0 24.465-20.025 44.49-44.49 44.49-24.465 0-44.49-20.025-44.49-44.49 0-8.3 2.31-16.083 6.31-22.752zm-83.867 38.694L18 308.68v18.14l104.666-13.082 11.287-19.552zm244.094 0l11.287 19.552L494 326.82v-18.14l-115.953-14.494zm-233.758 18.1l-57.112 98.92h337.644l-57.11-98.92c-5.763 12.078-17.677 22.035-32.4 29.398-20.907 10.452-48.695 16.54-79.312 16.54-30.617 0-58.405-6.088-79.31-16.54-14.725-7.363-26.64-17.32-32.4-29.4zm255.84 20.15l14.167 24.537L494 386.863v-19.226l-93.87-35.2zm-288.26.002L18 367.637v19.225l79.703-29.888 14.166-24.538zm-31.645 54.808L18 426.136v21.227l43.05-26.906 19.175-33.21zm351.55 0l19.174 33.21L494 447.364v-21.226l-62.225-38.89zm-350.82 41.96L18 484.29V494h16.238l74.05-64.795H80.956zm42.158 0L67.573 494h23.71l55.537-64.795h-23.707zm41.832 0L127.92 494h20.732l37.026-64.795h-20.733zm42.752 0c-8.665 28.96-15.66 51.885-19.61 64.794h18.82c4.678-15.314 11.433-37.537 19.573-64.795h-18.783zm39.303 0V494h18v-64.795h-18zm39.984 0L305.496 494h18.723l-18.515-64.795h-18.72zm39.338 0L363.348 494h20.732l-37.025-64.795h-20.733zm38.856 0L420.718 494h23.708l-55.54-64.795H365.18zm38.533 0L477.763 494H494v-9.71l-62.955-55.085H403.71z"}}]})(props);
};
function GiAlliedStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 26C129.17 26 26 129.17 26 256s103.192 230 230 230 230-103.192 230-230S382.83 26 256 26zm168.813 174.7H298.258L257.442 78.36c78.035.628 144.206 51.81 167.37 122.34zM254.558 78.36L213.786 200.7H87.23C110.353 130.17 176.524 78.99 254.56 78.36zM78.328 256a177.056 177.056 0 0 1 7.637-51.49l101.728 75.932-37.34 118.345A177.518 177.518 0 0 1 78.33 256zm76.66 146.045L256 330.03l101.013 72.015a177.177 177.177 0 0 1-202.026 0zm206.614-3.302l-37.295-118.345 101.728-75.933a177.463 177.463 0 0 1-64.39 194.322z"}}]})(props);
};
function GiAlligatorClip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M493.533 193.153l-342.76-178.4-16.106 16.107c15.92 23.5 10.473 59.73-15.28 85.483-25.753 25.753-62.812 32.066-86.31 16.106l-15.28 15.28L195.785 490.9l152.383-89.612-108.608-8.672 54.51-54.51-91.266-7.022 47.49-47.49-82.178-6.196 39.644-39.645-70.617-5.37 35.514-35.513-61.532-4.543c42.474-7.71 79.37-44.36 87.136-87.135l4.957 61.12 35.103-35.102 5.782 70.203 39.23-39.23 6.607 81.766 47.078-47.08 7.02 91.264 54.51-54.51 8.258 106.545 86.723-147.017z"}}]})(props);
};
function GiAlmond (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M428.3 27.27c-5 0-10.3.34-15.9.95-11 17-20.9 33.24-23.5 48.93l-17.8-2.94c2.5-15.07 9.2-28.82 17.1-41.86-.9.19-1.7.36-2.6.57-36.2 8.57-79.3 26.23-122.5 49.46-5.4 2.89-10.8 5.88-16.1 8.94-.8 4.97-1.8 10.98-3.1 17.58-3.2 16.3-7.8 35.2-16.8 48.1-11.5 16.2-32.6 30.4-51.2 41.6-18.6 11.2-34.7 18.9-34.7 18.9l-7.8-16.2s15.4-7.4 33.2-18.1c17.8-10.8 37.8-25.4 45.7-36.6 5.6-7.9 10.9-25.8 14-41.2.1-.7.3-1.4.4-2.1-73.3 44.9-141.29 103.3-171.34 154.8-15.1 26-23.44 58.6-23.11 90.8 13.76-26.2 29.02-52.8 54.31-77.8l12.66 12.8C68.79 314 53.9 347.3 35.71 381.3c5.89 28.2 19.41 53.8 41.59 71.8 4.04 3.3 8.49 6.4 13.29 9.2 1.75-6.2 4.27-14.6 7.45-23.7 6.46-18.5 14.86-39.8 27.26-53 15-15.9 35.8-21.4 54.5-27 18.7-5.5 35.2-11 45.2-22.6 9.3-11 17.9-36.1 23-57.9 5.1-21.7 7.4-40.2 7.4-40.2l17.8 2.2s-2.3 19.3-7.7 42.1c-5.3 22.8-12.9 49.1-26.9 65.4-14.2 16.7-34.9 22.7-53.7 28.3-18.8 5.6-35.9 10.9-46.4 22.1-8.2 8.7-17.4 28.9-23.5 46.5-3.7 10.7-6.4 20-8 25.9 14.1 5.9 30.1 10 46.8 12.3 9-14.4 16.6-22.2 30.1-76.9l17.4 4.4c-11.6 46.7-19.8 62.2-27.4 74.3 36.2 1.6 73.4-5.3 100-19.7 75.3-41.2 138.2-140.1 173.7-233.8 6.8-17.9 12.5-35.6 17.3-52.7-17.9 15.3-32.8 32-41.1 53.1l-16.8-6.6c13-32.8 38.2-55.4 65-75.5 3.5-16.6 5.9-32.2 7-46.3.5-6.82.8-13.29.7-19.34-6.5 3.66-13.9 7.91-21.7 12.71-24.4 15.03-51.9 35.33-62.8 51.93-5.1 7.7-6 18.9-6.7 31.9-.7 13.1-1 27.9-9.6 41-7.8 12-19.9 18.2-30.5 23.7-10.6 5.5-19.8 10.5-25 17.4-10.3 13.6-20.8 41-27.9 64.4-7.2 23.3-11.4 42.8-11.4 42.8l-17.6-3.8s4.4-20.2 11.8-44.3c7.3-24.1 17.3-52.1 30.7-69.9 8.5-11.3 20.6-17.1 31.1-22.5 10.4-5.5 19.1-10.5 23.8-17.6 5-7.8 6-19.1 6.6-32.1.7-13 1.1-27.9 9.7-40.9v-.1c14.5-21.8 43.1-41.68 68.4-57.25 11.1-6.84 21.4-12.65 29.7-17.11-.3-1.99-.7-3.9-1.1-5.71-2.6-11.57-7-18.85-12-22.32-7.3-5.12-18.1-8.01-31.7-8.55-1.7-.1-3.4-.1-5.2-.1zm-113 58.9l17.4 4.5s-4.1 15.83-10.7 34.63c-6.7 18.9-15.4 40.6-27.3 54.4-20.7 24.3-49.8 36.9-77.5 49-27.7 12.1-54 23.9-71.7 43.8v.1c-13.8 15.6-28.7 47.3-39.3 74.5-10.73 27.3-17.58 50.2-17.58 50.2l-17.24-5.2s7.04-23.5 18.02-51.5c11-28 25.4-60.4 42.7-79.9 21-24 50.2-36.3 77.9-48.5 27.7-12.1 53.8-23.9 71.1-44.1 8.2-9.7 17.5-30.7 23.9-48.8 6.4-18 10.3-33.13 10.3-33.13zM197.6 273.2l17.8 2.6c-2.8 19.4-11.8 33.8-23.2 44.2-11.4 10.3-25 17.1-37.9 23.5l-8-16c12.8-6.5 24.8-12.7 33.8-20.9 9-8.1 15.3-17.8 17.5-33.4zm180.3 7.3l16.4 7.2s-9.6 22-23.6 47.7c-14 25.8-31.9 55.4-51 72.3-13.6 12.1-35 21.6-53.6 28.9-18.6 7.4-34.2 12.1-34.2 12.1l-5.2-17.2s15-4.5 32.8-11.6c17.8-7 38.6-17 48.2-25.6 15.3-13.5 33.5-42.4 47.2-67.4 13.6-25.1 23-46.4 23-46.4z"}}]})(props);
};
function GiAmberMosquito (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-49.473 0-94.804 29.19-128.342 78.1C94.121 152.009 73 220.348 73 296c0 52.552 10.198 101.567 27.664 143h310.672C428.802 397.567 439 348.552 439 296c0-75.652-21.12-143.991-54.658-192.9C350.804 54.19 305.472 25 256 25zm-25.922 24.459c7.27.133 13.469 2.777 14.393 9.576-60.873 23.968-114.003 115.36-147.473 175.85 3.256-45.078 49.313-168.96 126.07-184.865a39.545 39.545 0 0 1 5.543-.555c.493-.013.982-.015 1.467-.006zm37.375 76.18c1.031-.02 2.06.004 3.08.07 8.167.529 16.14 3.671 22.34 9.398a31.491 31.491 0 0 1 10.045 24.24c-1.18 32.573-10.66 64.15-18.488 94.893 3.385.972 6.424 2.376 9.13 4.24a27.11 27.11 0 0 1 4.405 3.8c2.754-1.075 5.565-1.672 8.283-1.776.477-.018.95-.021 1.42-.01 2.725.066 5.32.639 7.633 1.7l86.619-34.22 6.613 16.74-81.99 32.393c.05.259.103.516.144.774 1.18 7.31-1.118 14.602-6.433 20.242a20.78 20.78 0 0 1-2.805 2.457l44.885 19.375-7.488 39.367-17.684-3.363 4.793-25.195-33.504-14.463 20.836 32.98-23.25 30.908-14.385-10.82 15.782-20.978-20.577-32.569a23.632 23.632 0 0 1-3.545 1.303l4.9 48.629-42.556 7.086-2.957-17.756 25.914-4.314-3.691-36.618c-2.115-1.295-4.02-2.87-5.723-4.648-10.694 10.598-24 19.62-40.568 26.254l4.295 46.875-52.405 13.064-4.353-17.465 37.424-9.33-3.041-33.193-23.567 31.5-48.459-14.777 5.25-17.22 36.37 11.093 25.847-34.553c10.15-20.76 26.398-34.63 44.98-45.963-38.012-14.96-67.612-38.463-84.613-72.29-4.55-9.053-3.115-20.006 4.393-28.599 4.692-5.37 12.06-8.702 21.03-8.89 5.38-.113 11.338.904 17.642 3.29 17.494 6.624 29.89 18.587 39.431 32.409-2.086-10.15-3.328-20.782-3.134-32.115.192-11.237 4.46-20.59 11.232-26.41 5.926-5.094 13.283-7.402 20.5-7.545zm.365 17.996c-3.572.066-6.788 1.186-9.13 3.199-2.677 2.301-4.848 5.878-4.971 13.066-.449 26.273 8.551 49.377 17.367 73.862 6.61-25.57 12.966-50.761 13.846-75.065.169-4.675-1.44-7.753-4.27-10.367-2.829-2.613-7.104-4.387-11.29-4.658a18.624 18.624 0 0 0-1.552-.037zm-85.56 29.926a13.743 13.743 0 0 0-2.383.12c-2.841.412-4.416 1.742-5.568 3.061-2.306 2.639-2.157 8.094-1.866 8.674 14.766 29.38 40.367 49.957 75.276 63.592-5.725-12.831-11.042-25.53-17.229-36.654-9.35-16.81-20.187-29.689-37.437-36.22-4.67-1.767-8.147-2.494-10.793-2.573zm66.082 109.025c-13.198 8.263-24.09 17.416-31.871 29.578l.388 4.23.34.354c13.88-6.328 24.392-14.474 32.89-23.988a54.511 54.511 0 0 1-1.747-10.174zM89 457v30h334v-30H89z"}}]})(props);
};
function GiAmbulance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M143.55 44.06l1.403 87.88-37.092-29.74L128 153l-60.94 4.07 62.434 29.87h7.02l16-48h76.972l16 48h8.01l65.065-19.204-56.537-14.177L287 83.94l-49.953 46.595-3.512-54.168-46.047 49.252-43.94-81.56zm21.936 112.88l-10 30h71.028l-10-30h-51.028zM24 204.94v158h16.906l38.864-97.155 35.164 105.494 24.337-24.34H303v18H146.73l-25.06 25.058c15.133 6.527 26.447 20.33 29.498 36.94H326v-222H24zm197 23h36v30h30v36h-30v30h-36v-30h-30v-36h30v-30zm125 5.044V378.94h142v-46h-94.625l-15.777-94.672c-11.227-2.4-22.004-4.065-31.598-5.284zm50.637 10.037l3.26 19.568c28.086 8.33 51.377 27.818 67.593 52.35h17.844c-9.74-30.257-32.768-48.962-60.08-61.463-9.295-4.255-18.974-7.67-28.617-10.454zM78.23 318.095L53.094 380.94H24v46h28.832c4.202-22.882 24.097-40.426 48.023-40.97L78.23 318.093zM346 396.94v30h14.832c2.212-12.046 8.77-22.612 17.982-30H346zm95.186 0c9.21 7.388 15.77 17.954 17.982 30H488v-30h-46.814zm-339.186 7c-17.78 0-32 14.22-32 32s14.22 32 32 32 32-14.22 32-32-14.22-32-32-32zm308 0c-17.78 0-32 14.22-32 32s14.22 32 32 32 32-14.22 32-32-14.22-32-32-32z"}}]})(props);
};
function GiAmericanFootballBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M402.105 23.23c-7.135.02-14.64.307-22.437.872 40.125 28.894 79.33 68.1 108.227 108.224 1.316-18.198 1.093-34.787-.348-48.912-2.398-23.496-9.092-40.233-13.91-45.05-4.818-4.82-21.555-11.513-45.05-13.91-5.875-.6-12.173-.99-18.835-1.147-2.498-.06-5.05-.086-7.647-.078zm-92.53 12.63c-58.62 15.315-122.552 45.856-175.186 98.48C81.94 187.202 51.592 251.473 36.4 310.324c34.234 47.728 118.68 132.105 166.024 165.815 58.63-15.317 122.572-45.864 175.21-98.503 52.64-52.64 83.187-116.582 98.503-175.21-33.886-47.59-118.976-132.68-166.566-166.566zm-9.6 20.09l8.05 16.1c-11.915 5.958-23.11 11.755-33.668 17.47l5.94 12.242-16.195 7.857-5.498-11.33c-13.5 7.696-25.94 15.33-37.448 23.097l6.725 10.095-14.98 9.98-6.463-9.702c-12.19 8.987-23.36 18.27-33.796 28.154l9.723 9.723-12.726 12.726-9.723-9.722c-9.86 10.414-19.125 21.552-28.092 33.71l10.19 6.578-9.764 15.12-10.805-6.976c-7.575 11.217-15.02 23.32-22.52 36.424l13.266 6.154-7.573 16.33-14.49-6.722c-5.914 10.885-11.908 22.43-18.076 34.767l-16.1-8.05c6.045-12.092 11.97-23.495 17.853-34.288l-10.24-4.75 7.574-16.328 11.496 5.33c7.924-13.797 15.84-26.587 23.93-38.473l-12.334-7.965 9.762-15.12 12.996 8.39c9.726-13.15 19.805-25.223 30.543-36.514l-9.893-9.895 12.726-12.726 9.895 9.894c11.258-10.705 23.293-20.757 36.396-30.456L187.81 103.8l14.98-9.98 8.548 12.83c12.162-8.283 25.268-16.382 39.437-24.496l-6.43-13.25 16.194-7.857 5.974 12.312c10.55-5.737 21.673-11.517 33.46-17.41zM24.76 380.583c-1.275 17.855-1.087 34.14.26 48.047 2.277 23.475 8.798 40.26 13.418 45.065 4.892 4.814 21.572 11.464 44.976 13.852 14.125 1.44 30.713 1.664 48.912.348C92.506 459.22 53.59 420.39 24.76 380.585z"}}]})(props);
};
function GiAmericanFootballHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M248.91 43.92c-107.805.592-194.213 24.61-219.88 136.755C6.016 281.24 34.087 357.173 51.506 389.267c17.793-2.313 52.09-14.015 68.828-.7 44.777 35.616 63.473 64.584 101.838 57.59 19.195-3.5 37.866-18.71 52.8-36.83 17.555 3.48 36.6 5.13 55.97 5.598 7.613.184 15.294.162 22.98-.03 2.743 7.774 5.737 14.746 8.96 20.847 7.454 14.107 15.994 24.458 28.082 27.346 26.463 6.32 58.738 6.843 95.743.447l3.138.44c.047-.332.086-.67.13-1.005.06-.01.115-.018.173-.03l-.098-.536c4.827-36.68-1.24-80.53-17.976-120.982.066-.03.14-.058.205-.086l-7.174-16.508c-16.376 7.115-61.784 15.195-108.238 18.744-3.572-30.78-4.406-66.923-1.108-106.352 37.304-18.697 69.34-24.12 102.4-33.367a432.994 432.994 0 0 0-3.644-16.52c-53.663 13.555-123.477 37.288-183.785 64.5-4.602 2.077-11.473 8.582-18.244 17.917-5.722 7.888-11.54 17.628-17.188 27.863 6.21 8.332 9.9 18.64 9.9 29.775 0 4.35-.566 8.575-1.622 12.606 5.335 1.4 8.82 2.82 12.02 3.7 4.88 1.344 10.9 2.254 27.652 1.468l.843 17.98c-17.67.83-26.445-.212-33.274-2.092-5.53-1.522-8.718-3.052-15.13-4.433a50.607 50.607 0 0 1-7.083 7.89l42.053 21.026-8.05 16.1-52.85-26.426a49.607 49.607 0 0 1-14.56 2.18c-27.51 0-50-22.49-50-50 0-27.506 22.49-50 50-50 9.714 0 18.795 2.817 26.49 7.658 5.177-9.204 10.582-18.082 16.228-25.866 7.614-10.497 15.43-19.25 25.412-23.755 61.36-27.687 131.606-51.596 186.488-65.472C430.632 106.876 386.03 43.166 248.91 43.92zm88.03 203.656c-2.306 35.6-1.36 68.432 1.925 97.144-10.77.553-21.468.865-31.776.9.03-.445.053-.88.064-1.302.792-31.874-7.14-71.998 12.642-85.684a313.988 313.988 0 0 1 17.145-11.058zm-141.745 47.812c-17.78 0-32 14.22-32 32s14.22 32 32 32 32-14.22 32-32-14.22-32-32-32zm259.77 51.803a243.967 243.967 0 0 1 11.47 34.55c-11.13 2.835-23.753 5.483-37.336 7.754-2.773-10.435-6.9-20.848-13.397-34.313 14.817-2.277 28.2-4.956 39.26-7.99zm-58.01 10.577c7.313 14.54 11.683 24.587 14.51 34.38a558.34 558.34 0 0 1-44.528 4.19c-1.742-6.114-3.366-12.708-4.826-19.75a348.348 348.348 0 0 1-2.775-15.134c12.89-.967 25.554-2.205 37.62-3.686zm-55.672 4.846c.962 6.11 2.033 11.99 3.203 17.63a310.76 310.76 0 0 0 3.945 16.75c-5.72.086-11.416.075-17.054-.062-15.503-.373-30.472-1.726-44.308-4.088 6.59-10.09 11.862-20.262 15.35-29.24 12.575.063 25.68-.285 38.865-.99zm128.9 36.75c2.91 16.666 3.974 33.013 3.176 48.057-13.016 1.81-25.256 2.663-36.652 2.658-1.376-17.99-2.392-31.563-4.048-42.887 13.524-2.285 26.174-4.948 37.523-7.827zm-55.057 10.498c1.385 10.008 2.226 22.443 3.49 39.433-8.41-.74-16.254-1.987-23.472-3.71-3.295-.788-10.06-6.343-16.35-18.25-2.038-3.858-4.04-8.3-5.966-13.263 14.42-.884 28.65-2.342 42.298-4.21z"}}]})(props);
};
function GiAmericanFootballPlayer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 41c-29.8 0-50.9 10.83-65.3 26.98C176.4 84.12 169 106 169 128c0 17.5 4.9 29.1 12.3 39h8.8l-7.1-38.2v-.8c0-7 3.8-13.2 8.6-17.3 4.9-4.2 10.8-7 17.6-9.2 1.9-.6 3.8-1.2 5.8-1.74V71h82v28.76c2 .54 3.9 1.14 5.8 1.74 6.8 2.2 12.7 5 17.6 9.2 4.8 4.1 8.6 10.3 8.6 17.3v.8l-7.1 38.2h8.8c7.4-9.9 12.3-21.5 12.3-39 0-22-7.4-43.88-21.7-60.02C306.9 51.83 285.8 41 256 41zm-23 48v14h46V89h-46zm-44.5 96l4.7 14h27.2l-3.4-14h-28.5zm46.9 0l3.4 14h34.4l3.4-14h-41.2zm59.6 0l-3.4 14h27.2l4.7-14H295zm-121.5 11.9l-27.3 3.9c-22.5 7.6-41.3 19-54.2 30-12.48 10.7-18.29 22-18.79 24.8l14.23 57L141.2 326l28.4-28.4 12.8 12.8-29 29 2.4 27.1 34-13.6c4.4-17.9 12-33.2 20.8-45.4 13.7-19 29.3-31.3 45.4-31.3 16.1 0 31.6 12.3 45.4 31.3 8.8 12.2 16.4 27.5 20.8 45.4l34 13.6 2.4-27.1-29-29 12.8-12.8 28.4 28.4 53.8-13.4 14.3-57.1c-.2-1.3-1.2-4.7-4.1-8.9-3.1-4.7-8.1-10.2-14.7-15.8-12.9-11-31.8-22.4-54.3-30l-27.3-3.9-10.2 30.6-.2.5c-5.7 11.2-16.9 18.1-29.6 22.5-12.8 4.4-27.6 6.5-42.5 6.5-14.9 0-29.7-2.1-42.5-6.5-12.7-4.4-23.9-11.3-29.6-22.5l-.2-.5-10.2-30.6zm25.6 20.1l1.1 3.2c2.5 4.7 9.2 9.8 19.3 13.3 3.1 1.1 6.4 2 9.9 2.8l-4.7-19.3h-25.6zm44 0l5.3 21.8c2.5.1 5.1.2 7.6.2s5.1-.1 7.6-.2l5.3-21.8h-25.8zm44.2 0l-4.7 19.3c3.5-.8 6.8-1.7 9.9-2.8 10.1-3.5 16.8-8.6 19.3-13.3l1.1-3.2h-25.6zM256 294.2c-4.3 0-19.2 7.8-30.9 23.8-11.6 16.1-21.1 39.4-21.1 67.4 0 28.1 9.5 51.4 21.1 67.5 11.7 16 26.6 23.8 30.9 23.8 4.2 0 19.2-7.8 30.8-23.9 11.7-16.1 21.2-39.3 21.2-67.4 0-28-9.5-51.3-21.2-67.4-11.6-16-26.6-23.8-30.8-23.8zm-9 31.1h18v15.1h13.3v18H265v18h13.3v18H265v18.1h13.3v18H265v15.1h-18v-15.1h-13.4v-18H247v-18.1h-13.4v-18H247v-18h-13.4v-18H247v-15.1zm-165.66 4.3c-12.1 7.2-22.18 20.4-29.12 36.1C44.78 382.4 41 401.5 41 416c0 6.1 1.61 9.8 4.51 12.9 2.9 3.1 7.62 5.7 14.24 7.4 13.24 3.4 33.37 2.7 54.65-1.2 21.3-3.8 43.8-10.7 62.7-18.4 4-1.7 7.8-3.4 11.4-5.1-1.6-8.2-2.5-17-2.5-26.2 0-4 .2-8 .5-11.8l-87.16 34.8-9.7-14.8c8-8 19.86-19.8 29.46-31.4 4.8-5.7 9-11.4 11.9-16.3.8-1.3 1.1-2.3 1.7-3.5l-51.36-12.8zm349.36 0l-51.4 12.8c.6 1.2.9 2.2 1.7 3.5 2.9 4.9 7.1 10.6 11.9 16.3 9.6 11.6 21.5 23.4 29.5 31.4l-9.7 14.8-87.2-34.8c.3 3.8.5 7.8.5 11.8 0 9.2-.9 18-2.5 26.2 3.6 1.7 7.4 3.4 11.4 5.1 18.9 7.7 41.4 14.6 62.7 18.4 21.3 3.9 41.4 4.6 54.7 1.2 6.6-1.7 11.3-4.3 14.2-7.4 2.9-3.1 4.5-6.8 4.5-12.9 0-14.5-3.8-33.6-11.2-50.3-7-15.7-17-28.9-29.1-36.1zm-237.6 99.8c-2.9 1.3-6 2.6-9.2 3.9-6.8 2.8-13.9 5.4-21.3 7.9l5.6 61.8h175.6l5.6-61.8c-7.4-2.5-14.5-5.1-21.3-7.9-3.2-1.3-6.3-2.6-9.2-3.9-4.5 13-10.6 24.5-17.5 34-13.8 19-29.3 31.3-45.4 31.3-16.1 0-31.7-12.3-45.4-31.3-6.9-9.5-13-21-17.5-34z"}}]})(props);
};
function GiAmericanShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32A224 224 0 0 0 32 256a224 224 0 0 0 224 224 224 224 0 0 0 224-224A224 224 0 0 0 256 32zm0 40a184 184 0 0 1 184 184 184 184 0 0 1-184 184A184 184 0 0 1 72 256 184 184 0 0 1 256 72zm0 48a136 136 0 0 0-136 136 136 136 0 0 0 136 136 136 136 0 0 0 136-136 136 136 0 0 0-136-136zm-.994 47.834c9.848-.197 19.708 1.524 29.002 4.752 26.805 8.13 47.273 30.513 55.82 56.678l-63.05-1.285L256 168.202l-20.777 59.776-63.27 1.288L222.38 267.5l-18.02 59.563c-20.54-15.486-34.84-39.655-36.673-65.24-4.02-48.442 39.505-94.682 87.32-93.99zm84.87 61.564c3.95 12.16 5.334 25.13 3.57 37.866-2.29 24.324-16.34 45.71-35.82 59.754L289.618 267.5l50.255-38.102zM256 291.926l51.04 35.515c-15.884 11.27-35.293 17.685-54.886 16.857-17.256-.38-33.59-6.7-47.234-16.826L256 291.927z"}}]})(props);
};
function GiAmethyst (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M85.183 408.608H26V103.313h59.183v305.295zm0-373.513L35.075 85.072h50.108V35.095zM408.72 85.15V25.967H103.386v59.184H408.72zM35.075 426.849l50.108 50.11v-50.11H35.075zM476.978 85.164l-50.109-50.109v50.109h50.109zm-68.311 341.685H103.386v59.184h305.281v-59.184zm.42-323.536v305.124H103.965V103.313h305.124zm-21.91 17.098H121.062v268.482c13.152-230.342 44.059-239.548 266.115-268.482zM486 103.313h-59.183v305.295H486V103.313zm-59.183 373.619l50.108-50.109h-50.108v50.109z"}}]})(props);
};
function GiAmmoBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M166 16c-7.844 0-15 7.353-15 15v30h15v30h-60c-68.24 0-75.004 53.136-75 75v270c.002 11.74-15 30-15 30v30h480v-30s-15.002-18.26-15-30V166c.004-21.864-6.76-75-75-75h-60V61h15V31c0-7.647-7.156-15-15-15H166zm72.03 45c1.045-.007 2.032 0 2.97 0h30c15 0 45 0 45 30H196c0-28.125 26.376-29.89 42.03-30zM121 151h270c19.21 0 30 10.98 30 30v240c0 8.467-7.733 15-15 15H106c-7.267 0-15-6.533-15-15V181c0-19.02 10.79-30 30-30zm30 30s-30 21.842-30 60v105h60V241c0-38.158-30-60-30-60zm105 0s-30 21.842-30 60v105h60V241c0-38.158-30-60-30-60zm105 0s-30 21.842-30 60v105h60V241c0-38.158-30-60-30-60zM121 361v30h60v-30h-60zm105 0v30h60v-30h-60zm105 0v30h60v-30h-60z"}}]})(props);
};
function GiAmmoniteFossil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M221.75 17.813c-2.866.013-5.723.092-8.594.25C94.004 24.596 10.79 136.428 17.436 251.155 25.995 398.813 164.3 501.693 306.315 492.562h.03c68.975-4.446 134.884-33.45 186.063-79.562l4.344-3.906-1.625-5.625-29.844-102.595-1.217-4.188-3.97-1.75L378 258.594c14.594-24.457 22.398-53.31 21-82.563-4.3-89.976-83.124-154.5-168.656-158.06-2.85-.12-5.728-.17-8.594-.157zm.125 18.687c1.174-.007 2.36.015 3.53.03L218.5 81.28l-.28 1.75.155.626c-26.733 2.106-53.554 11.503-75.875 28.438l-14.375-47.28c25.05-16.172 54.175-26.346 86.063-28.095 2.567-.142 5.13-.205 7.687-.22zm22.25 1.406c38.27 5.08 74 23.623 99.28 51.375l-34 19.94-.374.218c-19.422-15.903-44.874-24.69-71.592-26.063l-.22-.938 6.907-44.53zm-132 38.5l14.344 47.25.624 2.094c-14.64 15.204-26.215 34.55-32.844 58.125-.675 2.4-1.285 4.79-1.875 7.156l-40.47-33.218c13.17-31.817 33.873-60.15 60.22-81.406zM355.25 104.03c14.607 20.833 23.788 45.562 25.094 72.876.025.52.044 1.044.062 1.563l-35.844 2.874c-.124-2.074-.265-4.16-.5-6.25-2.332-20.82-10.02-38.198-21.343-52.03l32.53-19.033zm-116.125 44.94c2.345.038 4.665.25 6.97.593l-1.47 39.28c-4.208.59-8.338 1.873-12.22 3.907l-43.718-17.813c11.268-15.01 28.152-25.316 47.938-25.937.834-.026 1.668-.045 2.5-.03zm25.47 6.843c14.38 7.937 24.832 22.162 25.217 39.343.145 6.436-1.438 13.01-4.218 18.75-1.47-4.27-3.73-8.338-6.813-12-4.44-5.274-10.04-9.043-16.092-11.22l.593.033 1.314-34.907zm-219.44 20.625l43.032 35.375c-3.903 25.766-2.57 49.148 2.97 69.968L39 275.22c-1.418-8.22-2.41-16.602-2.906-25.158-1.455-25.12 1.79-50.093 9.062-73.625zm134.282 14.875l38.032 15.562c-4.74 7.95-6.338 17.343-4.657 26.313l-28.844 25.125c-6.018-10.772-9.68-22.974-10.157-36.188-.384-10.633 1.657-21.176 5.625-30.813zm200.22 5.937c-3.353 28.986-16.63 56.285-36.75 76.22L321 251.56c13.37-13.268 21.052-31.418 23.188-51.437l35.468-2.875zm-159 53.875c7.497 11.248 19.977 18.867 33.124 21.53l2.782 32.376c-23.827-2.664-46.187-14.117-61.656-31.436l25.75-22.47zm85.28 11.813l22.625 22.625c-15.317 10.92-33.362 18.028-53.25 19.656l-2.718-32c12.847-1.323 23.948-4.934 33.344-10.283zM43.22 294.594l54.718 6.875c9.884 23.128 25.378 42.458 44.593 57.75l-53.936 22.405c-20.91-25.13-36.706-54.492-45.375-87.03zM448.06 310.03l.47.22 26.906 92.563c-30.294 26.24-65.746 46.28-103.688 58.406l8.594-87.033.156-1.562c26.19-14.795 49.554-35.547 67.563-62.594zm-287.28 61.876c26.235 15.822 57.278 25.373 89.593 28.156l-44 61c-39.634-13.116-75.807-35.403-104.53-64.718l58.936-24.438zm199.968 10.53l-8.344 84.22c-15.49 3.766-31.305 6.222-47.28 7.25-27.044 1.742-53.936-.874-79.688-7.312l45.656-63.344 1.72-2.375c29.813-.32 60.02-6.33 87.936-18.438z"}}]})(props);
};
function GiAmmonite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M203.656 18.594c-20.42.244-40.646 3.69-59.78 10l18.655 44.062-17.186 7.313-18.906-44.69c-20.745 9.09-39.768 21.67-55.813 37.314l28.563 27-12.813 13.594L57.97 86.374c-12.95 15.674-23.174 33.727-29.72 53.813l38.188 7.156-3.47 18.375-39.5-7.407c-.324 1.597-.625 3.193-.905 4.812-3.637 21.03-2.63 42.506 2.406 62.78l37.56-11.624 5.532 17.845-37.468 11.625c8.693 22.822 22.683 43.34 41 58.938l19.625-27.282 15.155 10.906-19.72 27.47c13.604 8.55 28.99 14.62 45.876 17.468 2.268.382 4.538.696 6.814.938l.937-32.063 18.69.53-.94 31.97c17.806-1.012 35.196-6.088 50.47-14.594L192.22 293l15.686-10.22 16.125 24.814c18.458-14.83 31.852-35.59 35.876-60.656 1.294-8.06 1.4-16.225.438-24.22l-26.313 6.063-4.218-18.218 26.344-6.062c-6.05-17.766-17.544-33.373-33.187-43.156l-10.595 22.594L195.47 176l10.468-22.375c-3.064-.92-6.238-1.65-9.5-2.156-15.263-2.37-31.01 1.074-43.72 8.905l11.126 15.938L148.5 187l-10.063-14.406c-5.965 7.145-10.122 15.83-11.562 25.687-3.282 22.473 10.78 46.49 33.5 49.657 15.417 2.15 31.817-7.57 33.813-23.03l18.53 2.374c-3.468 26.873-30.073 42.623-54.937 39.157-34.097-4.755-54.066-38.93-49.405-70.843 6.343-43.43 50.054-68.933 90.906-62.594 53.438 8.29 85.36 61.194 79.626 112.063 7.897 7.11 19.648 11.173 33.813 12.093 15.244.99 32.824-1.718 49.186-7 16.362-5.28 31.51-13.155 41.97-21.78 10.22-8.43 15.18-17.07 15.312-23.814-2.385-11.957-5.697-23.664-9.844-35.03L353.594 197l-8.25-16.78 56.906-28.032c-11.99-26.314-28.637-50.273-48.906-70.438L311 124.97l-13.344-13.095 41.938-42.75c-23.064-19.49-49.934-34.32-79.47-42.78L247.25 80.468l-18.188-4.314L241.97 22c-.66-.125-1.31-.256-1.97-.375-12.072-2.175-24.235-3.176-36.344-3.03zm222.313 214.28c-3.027 3.504-6.472 6.816-10.22 9.907-12.892 10.633-29.816 19.29-48.094 25.19-18.278 5.9-37.87 9.03-56.156 7.842-9.14-.593-18.04-2.324-26.188-5.468-.113-.044-.23-.08-.343-.125-.053-.024-.106-.04-.158-.064-6.717-2.94-12.794-6.868-19.562-11.562-1.823.9-2.88 2.076-3.844 3.844-1.453 2.667-2.35 7.186-2.062 13 .392 7.882 2.93 17.736 6.53 27.437 4.83 14.617 13.227 27.775 25.345 39.344 1.522 26.72-9.796 46.69-20.658 53.092-5.828 3.437-10.71 3.766-16.28.657-5.57-3.11-12.282-10.913-17.282-26.126l-17.75 5.812c5.936 18.06 14.68 30.36 25.906 36.625 11.226 6.268 24.463 5.265 34.875-.874 11.48-6.768 20.51-18.812 25.564-34.22.91 13.636-2.12 27.72-8.22 40.97-12.467 27.084-37.9 49.132-66.687 53.094l2.532 18.5c36.393-5.01 66.27-31.514 81.124-63.78 8.842-19.21 12.326-41.012 8.187-61.658 3.793 2.017 7.754 3.957 11.908 5.813 6.152 6.78 8.495 13.016 9.218 19.5 1.007 9.028-1.79 19.49-5.875 31.406-4.084 11.92-9.32 25.09-11.25 39.814-1.324 10.114-.886 21.056 2.658 32.25h19.937c-4.74-10.43-5.356-19.94-4.063-29.813 1.535-11.71 6.14-23.74 10.407-36.186 4.266-12.447 8.315-25.486 6.75-39.53-.28-2.51-.778-5.03-1.47-7.533 6.196 1.96 12.703 3.783 19.5 5.47-.5 34.702 10.603 70.765 32.656 107.594h22.03c-25.564-39.2-37.326-75.627-35.998-110.063 2.185-2.88 4.265-5.748 6.25-8.624 13.3 41.004 45.172 79 88.593 114.563v-24.533c-40.333-35.43-66.745-72.087-74.436-109.375 7.845 14.14 17.875 24.776 28.875 32.438 14.683 10.23 30.8 15.21 45.56 17.344v-18.938c-11.728-2.008-23.968-6.154-34.874-13.75-9.892-6.89-18.843-16.585-25.625-30.72 6.152 3.926 12.774 6.638 19.626 8.127 13.45 2.922 27.412 1.564 40.875-2.438V327.5c-12.877 4.623-25.824 6.22-36.905 3.813-9.384-2.04-17.707-6.62-24.688-15.5 6.53-27.878 4.102-55.51-6.218-82.938zm-26.44 44.095c9.626 0 17.25 7.627 17.25 17.25 0 9.625-7.623 17.217-17.25 17.217-9.625 0-17.217-7.592-17.217-17.218 0-9.627 7.592-17.25 17.218-17.25zm-77.686 22.56c9.624 0 17.22 7.63 17.22 17.25-.002 9.627-7.594 17.22-17.22 17.22-9.626 0-17.25-7.593-17.25-17.22 0-9.625 7.624-17.25 17.25-17.25z"}}]})(props);
};
function GiAmphora (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.406 19.063c-8.072 0-26.468-.038-45 3-18.532 3.037-36.397 9.68-43.844 19.406-3.24 4.23-3.078 16.023.5 21.81.648 1.048 7.32 5.613 13.875 8.095 6.556 2.482 12.47 3.844 12.47 3.844l7 1.593V84c0 4.93-1.786 8.804-3.188 11.625-1.404 2.82-2.523 4.888-3.19 7.094-1.33 4.41-1.94 10.49 5.44 25.25l3.31 6.624-7.5 6.406c-21.85 22.665-40.35 52.514-51.468 82.156-11.538 30.768-14.83 61.13-7.875 82 7.336 22.01 22.506 41.24 36.563 59.313 14.057 18.07 27.906 35.032 27.906 55.53 0 11-6.656 18.375-10.656 22.375-4 4-5.344 4.625-5.344 9.625 0 2 5.67 13.724 18.22 22.688 12.548 8.963 30.78 16.312 52.78 16.312s40.2-7.35 52.75-16.313c12.55-8.963 18.25-20.685 18.25-22.687 0-5-1.375-5.625-5.375-9.625S310.407 431 310.407 420c0-20.5 13.818-37.458 27.875-55.53 14.058-18.074 29.26-37.31 36.595-59.314 6.956-20.87 3.632-51.232-7.906-82-11.54-30.768-30.998-61.84-53.94-84.78l-4.592-4.595 2.906-5.81c7.463-14.928 6.772-19.403 5.53-23.126-1.24-3.724-6.468-9.843-6.468-20.844v-7.188l7-1.593s5.913-1.363 12.47-3.845c6.555-2.482 13.23-7.05 13.874-8.094 3.58-5.792 3.74-17.58.5-21.81-7.448-9.73-25.343-16.37-43.875-19.407-18.532-3.038-36.9-3-44.97-3zM137.75 79.656c-4.783.01-9.487 1.363-14.063 4.344-37.933 24.713-10.808 98.99 1.626 137.406.538-1.525 1.084-3.038 1.656-4.562 3.7-9.87 8.115-19.706 13.155-29.313-11.593-28.954-31.216-71.365-6.906-87.53 11.226-7.468 30.314 6.053 43.56 17.75-1.538-6.72-1.636-12.428-.75-17.188-13.093-12.165-25.986-20.933-38.28-20.906zm234.156 0c-12.115-.027-24.82 8.484-37.72 20.375 1.29 4.42 1.5 9.824.158 16.407 13.16-11.366 31.278-23.63 42.094-16.437 23.97 15.94 5.205 57.397-6.438 86.313 5.31 9.996 9.953 20.24 13.813 30.53.364.973.71 1.935 1.062 2.907 12.65-38.855 38.493-111.385 1.094-135.75-4.576-2.98-9.28-4.333-14.064-4.344z"}}]})(props);
};
function GiAmpleDress (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M288 16l32 16s-25.2 44.02-16 64c5 10.8 32 16 32 16-16 32-32 80-32 96 80 48 80 144 160 176 0 64-80 112-208 112S48 448 48 384c80-32 80-128 160-176 0-16-16-64-32-96 0 0 27-5.2 32-16 9.2-19.98-16-64-16-64l32-16c0 32 16 48 32 48s32-16 32-48z"}}]})(props);
};
function GiAmplitude (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M212.898 79.91c-4.538 0-6.847 2.742-7.828 4.09-.98 1.348-1.34 2.29-1.69 3.207-.705 1.835-1.122 3.578-1.567 5.693-.892 4.23-1.71 9.75-2.536 16.442-1.65 13.384-3.268 31.297-4.71 50.232-2.88 37.87-5.036 79.37-5.036 96.428 0 15.474-2.12 45.862-4.958 71.846-.145 1.334-.31 2.47-.46 3.78-.114-1.007-.243-1.867-.356-2.89-2.838-25.672-4.957-56.006-4.957-72.736v-3.73l-.097-.094c-.243-18.42-2.25-46.27-4.973-70.89-1.45-13.11-3.073-25.12-4.767-34.16-.847-4.522-1.678-8.252-2.693-11.38-.508-1.564-1-2.953-1.99-4.62-.494-.832-1.094-1.772-2.34-2.872-1.243-1.1-3.534-2.506-6.51-2.506-3.054 0-5.366 1.47-6.6 2.592-1.234 1.12-1.82 2.065-2.305 2.902-.97 1.675-1.452 3.077-1.955 4.664-1.005 3.175-1.834 6.98-2.68 11.59-1.69 9.217-3.313 21.447-4.76 34.7-2.898 26.51-5.067 56.746-5.067 73.802 0 15.474-2.1 36.51-4.89 53.23-.177 1.064-.375 1.922-.558 2.95-.13-.733-.274-1.322-.402-2.075-2.784-16.39-4.885-37.375-4.887-54.107 0-18.202-2.186-39.73-5.138-57.117-1.477-8.693-3.122-16.29-4.942-22.187-.91-2.948-1.805-5.437-3.115-7.826-.654-1.194-1.38-2.39-2.737-3.73-1.36-1.34-3.826-3.162-7.432-3.162-3.76 0-6.24 1.956-7.573 3.33-1.334 1.374-2.033 2.583-2.672 3.8-1.28 2.43-2.166 4.982-3.07 8.01-1.803 6.056-3.443 13.862-4.916 22.692-2.948 17.66-5.136 39.137-5.136 56.193 0 15.474-2.085 30.537-4.748 41.266-.293 1.177-.605 2.073-.91 3.14-.89-2.847-1.715-6.005-2.3-9.787-1.76-11.345-2.236-25.753-2.687-39.983-.452-14.23-.848-28.235-2.977-39.875-1.065-5.82-2.498-11.1-5.22-15.83-2.724-4.73-7.54-9.197-13.716-10.274l-.767-.133h-.78c-4.603 0-7.32 2.488-8.988 4.354-1.668 1.865-2.75 3.763-3.785 5.886-2.072 4.245-3.78 9.44-5.315 15.63-3.072 12.374-5.277 28.546-5.277 45.602h18c0-15.473 2.084-30.536 4.748-41.266.624-2.51 1.29-4.736 1.94-6.7.528 1.685 1.036 3.684 1.455 5.97 1.72 9.397 2.24 22.992 2.69 37.205.452 14.213.863 29.093 2.89 42.17 2.027 13.077 5.084 25.195 15.132 32.406l2.352 1.69h2.895c4.603 0 7.322-2.488 8.99-4.354 1.668-1.867 2.75-3.765 3.785-5.888 2.072-4.245 3.776-9.44 5.312-15.628 3.073-12.375 5.28-28.548 5.28-45.604 0-15.475 2.1-36.51 4.888-53.23.178-1.064.376-1.92.56-2.948.13.732.272 1.32.4 2.073 2.782 16.39 4.884 37.375 4.884 54.103.002 18.205 2.19 39.733 5.143 57.12 1.475 8.695 3.118 16.293 4.938 22.19.91 2.947 1.807 5.436 3.117 7.825.655 1.194 1.38 2.392 2.74 3.73 1.357 1.34 3.824 3.162 7.43 3.162 3.763 0 6.24-1.956 7.575-3.33 1.333-1.374 2.03-2.583 2.67-3.8 1.278-2.43 2.165-4.982 3.068-8.01 1.805-6.056 3.446-13.862 4.92-22.692 2.946-17.66 5.134-39.137 5.134-56.193 0-15.474 2.12-45.862 4.96-71.846.145-1.333.31-2.47.458-3.78.116 1.01.245 1.87.358 2.892 2.838 25.672 4.96 56.006 4.96 72.734v3.73l.095.094c.243 18.422 2.25 46.272 4.972 70.893 1.45 13.11 3.074 25.12 4.768 34.16.847 4.52 1.677 8.248 2.693 11.377.508 1.564.998 2.953 1.988 4.62.496.832 1.098 1.774 2.342 2.874 1.245 1.1 3.534 2.504 6.51 2.504 3.054 0 5.365-1.47 6.6-2.592 1.234-1.12 1.82-2.065 2.304-2.902.97-1.675 1.453-3.077 1.955-4.664 1.006-3.175 1.835-6.982 2.68-11.59 1.69-9.217 3.314-21.447 4.762-34.7 2.896-26.51 5.064-56.746 5.064-73.802 0-15.475 2.132-57.52 4.988-95.063.132-1.74.282-3.268.418-4.987.11 1.415.236 2.662.345 4.092 2.857 37.238 4.988 79.227 4.988 95.955 0 18.205 2.158 59.76 5.04 97.334 1.44 18.787 3.058 36.476 4.71 49.678.825 6.6 1.642 12.04 2.537 16.217.447 2.087.867 3.81 1.58 5.637.356.914.722 1.857 1.717 3.2.994 1.342 3.32 4.023 7.783 4.023 4.538 0 6.845-2.742 7.826-4.09.982-1.348 1.34-2.29 1.692-3.207.704-1.835 1.123-3.578 1.57-5.693.89-4.23 1.707-9.75 2.532-16.442 1.65-13.384 3.27-31.296 4.71-50.23 2.88-37.87 5.036-79.368 5.036-96.424 0-15.475 2.132-57.52 4.988-95.065.132-1.735.28-3.26.416-4.973.112 1.41.237 2.654.346 4.08 2.855 37.238 4.984 79.23 4.984 95.957v9h.315c.402 20.462 2.157 54.84 4.725 88.33 1.44 18.787 3.06 36.476 4.71 49.678.827 6.6 1.646 12.038 2.54 16.215.448 2.088.867 3.812 1.58 5.64.357.914.723 1.857 1.717 3.2.995 1.342 3.323 4.023 7.783 4.023 4.54 0 6.848-2.744 7.83-4.092.98-1.348 1.338-2.29 1.69-3.207.703-1.834 1.12-3.576 1.566-5.69.892-4.23 1.71-9.75 2.535-16.442 1.65-13.384 3.266-31.296 4.707-50.23 2.88-37.868 5.04-79.37 5.04-96.424 0-15.475 2.118-45.864 4.958-71.848.145-1.333.31-2.47.46-3.78.114 1.01.243 1.87.356 2.892 2.838 25.67 4.96 56.004 4.96 72.734 0 18.204 2.17 48.495 5.067 74.715 1.45 13.11 3.074 25.12 4.768 34.16.848 4.52 1.68 8.25 2.694 11.377.508 1.564.997 2.953 1.987 4.62.496.832 1.098 1.772 2.342 2.872 1.245 1.1 3.533 2.506 6.51 2.506 3.054 0 5.366-1.47 6.6-2.592 1.234-1.12 1.82-2.065 2.305-2.902.97-1.675 1.452-3.077 1.955-4.664 1.005-3.175 1.836-6.982 2.68-11.59 1.69-9.217 3.315-21.447 4.763-34.7 2.897-26.51 5.066-56.746 5.066-73.802 0-15.475 2.1-36.51 4.89-53.23.177-1.06.374-1.917.557-2.942.13.73.273 1.317.4 2.066 2.783 16.39 4.885 37.376 4.885 54.106.002 18.205 2.19 39.733 5.142 57.12 1.477 8.695 3.12 16.293 4.94 22.19.91 2.946 1.807 5.434 3.117 7.823.656 1.194 1.38 2.39 2.737 3.73 1.358 1.34 3.827 3.162 7.434 3.162 3.764 0 6.242-1.956 7.575-3.33 1.333-1.374 2.03-2.583 2.67-3.8 1.28-2.43 2.166-4.982 3.07-8.01 1.803-6.056 3.443-13.862 4.916-22.692 2.948-17.66 5.136-39.137 5.136-56.193 0-15.474 2.085-30.538 4.748-41.268.238-.958.493-1.67.74-2.556.17.612.35 1.06.514 1.71 2.642 10.36 4.735 25.384 4.735 42.114 0 18.204 2.195 34.416 5.29 46.56 1.548 6.07 3.27 11.088 5.397 15.198 1.063 2.055 2.187 3.903 3.908 5.695 1.72 1.792 4.48 4.018 8.772 4.018 4.603 0 7.322-2.488 8.99-4.354 1.668-1.867 2.75-3.763 3.785-5.886 2.072-4.245 3.777-9.443 5.313-15.63 3.072-12.375 5.28-28.548 5.28-45.604h-18c0 15.474-2.085 30.538-4.75 41.268-.237.957-.493 1.666-.74 2.552-.17-.61-.346-1.06-.51-1.707-2.642-10.36-4.735-25.38-4.735-42.11 0-18.204-2.197-34.42-5.293-46.562-1.548-6.07-3.27-11.09-5.397-15.2-1.063-2.055-2.187-3.903-3.908-5.695-1.72-1.792-4.48-4.018-8.772-4.018-4.603 0-7.322 2.488-8.99 4.354-1.667 1.867-2.75 3.765-3.785 5.888-2.072 4.245-3.776 9.44-5.312 15.628-3.073 12.375-5.28 28.55-5.28 45.606 0 15.474-2.1 36.51-4.888 53.23-.177 1.062-.374 1.918-.557 2.944-.13-.73-.272-1.317-.4-2.067-2.783-16.392-4.886-37.378-4.888-54.11 0-18.203-2.186-39.73-5.14-57.117-1.475-8.694-3.12-16.292-4.94-22.188-.91-2.948-1.805-5.437-3.115-7.826-.655-1.195-1.38-2.393-2.74-3.73-1.357-1.34-3.826-3.163-7.432-3.163-3.764 0-6.24 1.957-7.575 3.332-1.333 1.373-2.03 2.582-2.67 3.797-1.278 2.43-2.164 4.982-3.066 8.01-1.804 6.056-3.445 13.862-4.918 22.692-2.946 17.658-5.135 39.135-5.135 56.192 0 15.474-2.118 45.862-4.958 71.846-.146 1.336-.31 2.475-.46 3.787-.116-1.01-.245-1.872-.358-2.897-2.838-25.67-4.958-56.005-4.96-72.736 0-18.203-2.17-48.494-5.067-74.713-1.45-13.11-3.072-25.12-4.766-34.16-.846-4.52-1.677-8.25-2.692-11.378-.508-1.564-1-2.952-1.99-4.617-.493-.833-1.094-1.775-2.338-2.875-1.245-1.1-3.535-2.506-6.512-2.506-3.054 0-5.365 1.47-6.6 2.592-1.234 1.12-1.82 2.065-2.304 2.902-.97 1.675-1.453 3.077-1.955 4.664-1.007 3.175-1.836 6.98-2.68 11.59-1.69 9.217-3.315 21.445-4.763 34.7-2.897 26.507-5.066 56.745-5.066 73.802 0 15.473-2.13 57.516-4.986 95.058-.132 1.735-.28 3.26-.416 4.975-.11-1.41-.236-2.653-.345-4.078-2.856-37.237-4.987-79.226-4.987-95.956v-9h-.314c-.403-20.46-2.157-54.842-4.725-88.332-1.44-18.787-3.06-36.477-4.71-49.68-.826-6.6-1.645-12.04-2.54-16.217-.447-2.088-.865-3.812-1.578-5.64-.357-.914-.725-1.857-1.72-3.2-.994-1.34-3.32-4.02-7.777-4.023h-.006c-4.536 0-6.846 2.745-7.826 4.092-.98 1.348-1.34 2.29-1.69 3.207-.704 1.836-1.123 3.578-1.57 5.692-.89 4.23-1.707 9.75-2.532 16.442-1.65 13.384-3.27 31.296-4.71 50.23-2.88 37.87-5.038 79.372-5.038 96.43 0 15.474-2.13 57.516-4.986 95.058-.132 1.732-.282 3.254-.416 4.965-.11-1.408-.235-2.648-.344-4.07-2.855-37.237-4.986-79.226-4.986-95.957 0-18.202-2.158-59.757-5.04-97.332-1.44-18.787-3.06-36.477-4.712-49.68-.826-6.6-1.643-12.04-2.537-16.217-.45-2.087-.868-3.81-1.582-5.637-.356-.914-.724-1.857-1.718-3.2-.995-1.342-3.32-4.023-7.782-4.023z"}}]})(props);
};
function GiAmputation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v130.076c16.91 9.431 32.622 18.804 46.836 28.094v-.46c-.38-7.16 1-15.13 4-23.68 5.49-15.56 16.338-32.37 30.568-47.35 22.35-23.53 48.81-38.15 69.07-38.15h1.92A425.89 425.89 0 0 1 141.21 18H18zm314.635 2c-1.25 49.09-20.12 102.27-47.56 151.64a31.31 31.31 0 0 1 5.4 6.36c1.62 2.22 4.16 5.84 7.3 10.35 24.07-53.4 38.37-111.26 34.86-168.35zm-164.24 62.53c-15.26 0-37.78 12.44-57.46 33.17-26.28 27.67-37.55 59.62-25.18 71.37 3.1 2.95 7.4 4.34 12.51 4.34 15.26 0 37.78-12.44 57.46-33.17 26.28-27.66 37.55-59.61 25.18-71.36v-.01c-3.1-2.95-7.4-4.34-12.51-4.34zm-24.141 37.493c1.585.001 2.918.431 3.88 1.336 3.85 3.62.34 13.64-7.84 22.24-8.17 8.61-17.919 12.62-21.769 9-3.85-3.62-.3-13.6 7.84-22.24 6.105-6.48 13.133-10.338 17.889-10.336zm106.582 50.127c-14.2 0-33.371 6.05-52.201 17.47-31.48 19-50.07 45.93-41.54 60 8.74 21.5 75.88 96.91 72.13 118.5v.16L209.275 494h42.352l12.598-75.8 16.7.19L291.74 494h41.615l-11.43-84.65 16.06-4.64L378.872 494h44.367l-46.705-100.72 13.48-9.69 96.38 91.78c2.357-.665 4.978-1.947 7.605-3.724v-46.685l-92.525-88.281h.09l-6.85-6.43-3.11-2.95 6-14.16c24.43-.95 48.77-1.29 66.43-5.95 11.55-3.05 19.69-7.66 24.25-14.28 3.75-5.45 5.59-13.15 4.25-24.6-29.06 4.05-58.22 4.52-85.22 4.52h-24c-8.49 0-16.68.05-24.49.27-20.38.56-38.12 2.33-51.45 6.73-13.33 4.4-21.94 10.78-26.94 21.58l-15.35-7.11c7.23-15.51 20.83-25.18 37-30.51a133.88 133.88 0 0 1 24-5.26c-1.78-2.35-46.5-68.5-55-80-3.43-5.65-10.72-8.38-20.25-8.38zm-203.06 93.1c-55.8 139.83-13.19 167.73 54 131.95l.189-.11c29.64-17.82 58.95-41.9 86.08-69.95-6.34-9.13-13.28-18.61-20.11-27.91-72.42 64.09-138.56 75.41-120.16-33.98z"}}]})(props);
};
function GiAnarchy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M218.383 21.05L203.92 68.054C113.694 89.428 46 165.01 46 256c0 14.283 1.684 28.18 4.846 41.555L28.23 302.4l7.54 35.2 26.896-5.764c10.105 21.922 24.455 41.74 42.057 58.613l-25.926 84.257 34.406 10.586 21.793-70.824C169.324 436.875 211.146 450 256 450c58.938 0 112.636-22.662 150.98-59.27l41.756 66.81 30.528-19.08-47.616-76.185C453.324 331.823 466 295.355 466 256c0-3.533-.107-7.04-.31-10.525l18.08-3.875-7.54-35.2-16.218 3.475C437.487 124.62 353.984 62 256 62c-3.968 0-7.91.112-11.826.314l-25.79-41.263zm48.28 77.25c77.367 4.207 140.087 53.86 158.107 119.128l-73.772 15.808L266.664 98.3zm-37.046 8.647l83.944 134.31-134.11 28.74 50.167-163.05zm-38.37 2.295l-52.12 169.395-53.072 11.373A144.686 144.686 0 0 1 82 256c0-66.113 44.82-123.37 109.246-146.758zm238.712 143.89c.018.954.04 1.91.04 2.868 0 26.092-6.99 50.8-19.4 72.598l-39.31-62.895 58.67-12.572zm-96.106 20.593l53.644 85.832C355.762 392.824 308.884 414 256 414c-41.952 0-80.12-13.333-109.953-35.45l21.273-69.14 166.534-35.685zM126.998 318.05l-10.127 32.917c-6.922-8.368-12.95-17.373-17.956-26.9l28.084-6.016z"}}]})(props);
};
function GiAnatomy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M264.656 21.313c-1.14.03-2.302.125-3.437.125-22.398 0-41.926 16.03-51.814 39.624h-32.53V79.75h27.093c-.933 5.287-1.44 10.788-1.44 16.438 0 20.942 7.004 39.835 17.845 53.437-67.073 10.402-81.57 103.76-65.625 188.563h23.03l-1-103.688 18.69-.188 1.25 127.344 8.436 128.188h46.03V316.97h18.69v172.874h43.468L324.53 339.28l1.033-104.967 18.687.187-1 103.688h23.97c9.113-43.9 7.847-88.28-3.5-123h19.186V196.5h-26.75c-12.045-24.34-30.405-41.378-54.97-46 11.33-13.665 18.69-32.84 18.69-54.313 0-38.775-23.07-70.913-52.595-74.75-.49-.074-.994-.11-1.5-.125-.377-.01-.743-.01-1.124 0zM73.812 22c-.322-.002-.636.003-.968.03-28.452 2.43-48.47 32.712-48.47 62.5 0 13.11 11.506 26.28 22.782 21.626 4.204-1.736 8.817-3.14 13.688-4.22 17.36 20.413 34.732 21.21 52.093.5 3.84.998 7.457 2.255 10.72 3.72C134.8 111.16 154.03 97.66 154.03 84.53c0-30.183-19.733-61.27-48.5-62.5-12.25-.522-13.16 16.207-15.155 31.564C88.855 36.41 83.798 22.054 73.812 22zM262.22 40.313c17.675 0 31.81 14.133 31.81 31.812 0 17.677-14.135 31.813-31.81 31.813-15.05 0-27.528-10.236-30.908-24.188h26.594V61.062h-25.562c4.46-12.155 16.1-20.75 29.875-20.75zm169.686 84.437c-4.99 6.646-10.375 13.93-13.75 22.97-.67 1.79-1.223 3.665-1.687 5.593l-.19-.157c-7.495-6.145-15.824-9.786-23.53-13.094l-7.375 17.157c7.48 3.21 14.112 6.346 19.063 10.405.747.613 1.44 1.254 2.125 1.906-.235.36-.472.724-.688 1.095-14.85 25.547 15.84 98.803 45.813 97.906 28.987-.857 54.867-73.634 39.75-97.905-.625-1.002-1.33-1.957-2.094-2.875.39-.75.78-1.492 1.125-2.25 4.004-8.778 5.358-17.74 6.53-25.97l-18.5-2.624c-1.1 7.73-2.36 14.62-4.813 20.25-3.622-1.42-7.537-2.525-11.593-3.28-14.478-.347-19.407 8.584-25.156 22.53 1.648-9.4 1.03-16.346-1.47-21.594.067-.186.12-.375.188-.562 2.202-5.9 6.348-11.836 11.188-18.28l-14.938-11.22zM76.594 136.28v18.657h18.72V136.28h-18.72zm217.03 36.44c14.905 0 27.27 10.03 30.782 23.78H295.5v18.688h28.094c-4.342 12.358-16.043 21.125-29.97 21.125-17.676 0-31.812-14.105-31.812-31.782 0-17.675 14.137-31.81 31.813-31.81zm-217.03.936v17.78h18.72v-17.78h-18.72zm0 36.47V228h18.72v-17.875h-18.72z","fillRule":"evenodd"}}]})(props);
};
function GiAnchor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M90.53 23c-18.345 0-36.688 7.002-50.686 21-27.996 27.996-27.994 73.38 0 101.375 21.776 21.776 54.08 26.603 80.53 14.5l53.69 53.688c-21.425 19.696-44 38.257-67.44 55.937l30.126 30.125c18.734-22.545 37.953-44.474 57.844-65.53l169.594 169.593c-51.845 40.444-120.866 53.838-192.813 42.562L173 424.906 72.47 404.47l95.405 88.405 1.97-26c86.593 36.97 177.603 34.61 241.343-11.75l63.062 21.313-21.47-63.594c44.61-63.62 46.408-153.412 9.908-238.875l26.03-1.97-88.406-95.375 20.438 100.53 21.344-1.624c11.278 71.983-2.168 141.017-42.656 192.876l-169.782-169.75c21.075-20.34 42.93-39.665 65.78-57.72l-30.123-30.124c-17.015 24.154-35.673 46.66-55.688 67.813l-53.97-53.97C167.834 98.183 163.032 65.814 141.22 44c-14-13.998-32.343-21-50.69-21zm0 27.03c11.434.002 22.872 4.34 31.595 13.064 17.447 17.447 17.446 45.742 0 63.187-17.446 17.447-45.71 17.447-63.156 0-17.447-17.444-17.448-45.74 0-63.186C67.69 54.37 79.097 50.03 90.53 50.03z"}}]})(props);
};
function GiAncientColumns (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M57 39v16h110V39H57zm32 34v318h46V73H89zm334 21.56l-46 23.04V391h46V94.56zM254.2 187L233 197.6V391h46V211.7L254.2 187zM73 409v30h78v-30H73zm144 0v30h78v-30h-78zm144 0v30h78v-30h-78zM38.49 457l-10 30H483.5l-10-30H38.49z"}}]})(props);
};
function GiAncientRuins (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M277.822 18l-33.46 5.637 20.41 20.41 42.12-5.5L457.26 171.332l8.892 52.78-188.006-57.487-8.16 12.145L494 247.27v-65.372L321.695 18h-43.873zm-55.242 9.307L42.775 57.597l-14.457 47.276 195.346 59.732c3.162-2.613 6.453-5.325 12.973-10.673L71.084 103.31l34.695-36.474 2.195-2.31L242.262 46.99l-19.682-19.68zm78.53 30.146l-20.282 2.65 23.832 23.83-32.492 10.833 46.45 11.61-29.983 44.634 154.928 47.373-2.995-17.778-139.46-123.152zm-42.794 5.59L116.626 81.55l-12.427 13.063 149.204 45.625c10.38-8.434 21.128-17.107 30.07-24.093l-75.64-18.91 63.506-21.17-13.024-13.022zM148.13 164.598l-26.595 26.595-11.867-23.734-14.95 44.843-27.23-40.846L53.434 424.46c34.415 5.734 70.622 6.06 109.13-.075L148.13 164.598zm-5.134 43.134l6 202-17.992.536-6-202 17.992-.536zm-69.992.004l17.992.528-6 204-17.992-.528 6-204zM99 208h18v208H99V208zm310 57v42.73c15.296 4.103 50.7 4.374 85 3.99V265h-85zm-21.236 64c-3.1 2.538-6.47 4.89-10.202 6.822-6.376 3.302-14.134 5.18-22.37 3.875-4.783-.758-9.604-2.636-14.467-5.408L327.155 375H439v-46h-51.236zM457 329v46h37v-46h-37zm-185.658 17.377c-8.592 4.21-16.74 8.066-23.008 13.033-5.09 4.035-9.18 8.75-12.11 15.59h78.05l-42.932-28.623zM237.104 393c6.465 18.295 8.62 33.21 8.447 46H247v-46h-9.896zM265 393v46h110v-46H265zm186.73 0l-46.003 46H494v-46h-42.27zM195 442.203c-36.733 4.718-73.905 6.542-111.535 5.186l-3.414 4.45 35.934 6.764-34.38 29.76c38.292 1.366 76.09-.08 113.396-4.42v-41.74zm-174 .014v41.69c11.597 1.292 23.148 2.323 34.656 3.113l20.36-17.624-28.067-5.283 13.704-17.867c-13.492-.93-27.042-2.254-40.654-4.03zM243.748 457c-2.055 11.088-5.47 20.656-8.2 30H311v-30h-67.252zM329 457v30h110v-30H329zm128 0v30h37v-30h-37z"}}]})(props);
};
function GiAncientScrew (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M27.91 27.78l11.61 46.46 48 16L119 216.2h128v-78h-77.5l-32.2-96.75zm456.19 0L374.7 41.45l-32.2 96.75H265v78h128l30.3-121.16 1.2-4.8 48-16zM213.6 74.22l-23 45.98h130.8l-23-45.98zm-39 159.98l3 5.9L311 292v-4.4l6.7-18-90.9-35.4zm102 0l47.4 18.4 6.9-18.4zm-87.1 29.9l11.5 23v10.1L311 340v-28.6zm11.5 52.5v28.6L311 388v-28.6zm0 48v28.7L311 436v-28.6zm0 48V443l110 41.2v-28.8z"}}]})(props);
};
function GiAncientSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M365.1 21.31c-6.3-.03-12.4.5-16.9 1.4-4.3.86-6.9 2.81-6.8 2.25-5.4 9.07-11.1 24.96-12.3 38.47-.7 6.95-.2 13.21 1.3 17.39 1.5 4.17 3.2 6.1 6.5 7.31.3.1.4.18.5.25 0-.11.1-.28.4-.55 1.1-.97 3.2-4.03 5.3-8.1 4.1-8.15 7.5-19.78 16.1-28.18 9.2-8.93 21.6-12.1 30.4-16.15 4.4-2.02 7.7-4.15 9.1-5.64.4-.5.6-.75.8-1.05-6.2-3.54-19.3-6.95-31.7-7.33v-.02c-.9-.03-1.8-.04-2.7-.05zm-27.7 67.07c-.1.18.1.14 0 0zm72.3-44.28c-3.8 3.39-8.2 5.63-12.6 7.65-10.4 4.81-21.4 8.86-25.3 12.69-1.2 1.19-2.6 3.38-4.1 6.13 3.4 3.18 7.5 6.16 12 8.69 10.1 5.62 20.8 7.85 29.1 7.08 8.4-.63 13.6-3.77 16.2-8.32 2.5-4.55 2.3-10.69-1.6-18.1-2.7-5.4-7.4-11.01-13.7-15.82zm-50.3 43.19c0 .17-.1.33-.2.5-2.4 4.82-5 9.59-9.4 13.51-3.4 2.9-8.6 5-13.8 4.8-7.4 10.2-16 20.9-26.7 32.2 21.9 9.6 38 18.5 57.8 31.9 7.1-27.8 16.3-48.5 25.9-67-7.3-1.4-14.8-4.2-22-8.19-4.2-2.3-8.1-4.9-11.6-7.72zm-102 16.91c-24.1 1.1-35.8 11.4-42.4 23.5-6.6 12-6.6 27-4.9 32 .5 1.8.3 1.3 1 1.4.7.2 3 .2 6.2-1.3 6.4-3.1 15.3-11.3 20.8-23.5l4.1-9 8.5 4.9c7.4 4.2 17.9.6 22.8-5.5.5-5.7-1.1-11.5-4.2-15.7-3.2-4.3-7.3-6.7-11.1-6.8h-.8zm22.4 41.2c-8.3 5.9-19 8.3-29.4 5.7-2.8 4.8-6 9.1-9.4 12.8 65.4 23.4 80.5 30.9 129.6 69.3 1.1 30.4 4 73.9 1 96.9-2.4 18.3 17.7 12 18 .2.4-18.3-3.1-37.9.7-54.7.8 15.7 14.8 13.5 15.1.3l.7-43.6 6.8-6.3c-63.8-48.1-79.5-59.2-133.1-80.6zm-8.3 48.8l-52.8 95.6 9.2 18.5-22.5 5.4-29.5 53.4 10 8.2 21.7-3.7 91.5-165.4c-8.1-4.1-16.9-7.8-27.6-12zm43.5 20.7l-84.5 152.8 37.8-6.4 37.6-68.1-1-24 17.8-6.3 17.1-30.9c-9.2-6.9-17.1-12.4-24.8-17.1zm-193.1 131L21.17 402.1v15.6l98.63-13.5 23 48.4-16.2 7.8-17.4-36.6-88.03 12V496H391.4l-5.9-10.8-74-29.3-55.4 21.7-6.6-16.8 62-24.3 60.4 23.9-.8-1.4-82-82.9-85.5 14.5 24.4 20.9-11.8 13.6-39.9-34.2-54.4-45z"}}]})(props);
};
function GiAndroidMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M265.344 18.563v302.863h-18.69V18.59c-61.403 3.005-115.44 34.412-149.238 81.336l35.022 60.658c3.862-1.037 7.92-1.598 12.11-1.598 25.747 0 46.62 20.872 46.62 46.62 0 22.556-16.02 41.37-37.3 45.687v174.084c13.712 21.43 27.6 41.98 40.712 60.754V369.01h122.838v117.117c13.11-18.773 27-39.324 40.713-60.754V251.294c-21.282-4.317-37.302-23.13-37.302-45.688 0-25.747 20.873-46.62 46.62-46.62 4.19 0 8.25.562 12.113 1.6l35.13-60.847c-33.74-47-87.758-78.375-149.346-81.175zM426.03 117.47l-29.74 51.52c10.824 8.537 17.782 21.76 17.782 36.615 0 22.54-15.995 41.343-37.254 45.68V395.38c9.833-16.237 19.31-32.676 28.014-48.927 27.3-50.976 46.564-100.37 46.564-132.36 0-35.127-9.22-68.104-25.365-96.622zm-339.973.157c-16.196 28.486-25.46 61.408-25.46 96.465 0 31.992 19.267 81.385 46.567 132.36 8.704 16.253 18.182 32.694 28.016 48.933v-144.1c-21.26-4.336-37.254-23.14-37.254-45.68 0-14.856 6.957-28.08 17.783-36.617l-29.653-51.36zm127.213 270.07V488.98h85.46V387.696h-85.46z"}}]})(props);
};
function GiAndromedaChain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105.22 18.688l388.717 260.656v-22.5L138.78 18.688h-33.56zm78.75 0l309.967 158.406v-20.97L225.063 18.69H183.97zm103.593 0l-.438 1.28 206.813 70.813V71.03L341.03 18.688h-53.467zM18.875 20.813v15.062L53.47 74.813c5.84 5.452 13.5 5.628 19 .124 5.63-5.636 5.726-13.274.405-19.03l-.094-.094-37.436-35h-16.47zm70.313 25.593c5.78 8.142 7.34 18.392 4.718 27.688 1.283.737 2.51 1.636 3.656 2.72l24.407 22.31c1-.096 1.993-.16 3-.155 7.4.03 14.8 2.816 20.5 8.124.048.046.106.078.155.125l15.594 14.155c.936-13.26-3.613-26.822-13.657-37.063l-35.657-25.468-.625-.47-.53-.53c-6.127-6.126-13.707-9.942-21.563-11.438zM42.03 89.656c.792 9.223 4.696 18.222 11.69 25.22l.56.593.47.655 25.063 35.75c10.533 10.273 24.57 15.027 37.937 13.938l-14.125-16.625-.313-.344.032-.03c-5.307-5.824-7.88-13.28-7.75-20.69L73.374 101c-1.265-1.346-2.294-2.826-3.06-4.375-9.732 2.17-20.308-.296-28.283-6.97zm-23.374 19.75v33.563L254 493.97h22.5L18.656 109.405zm-18.687 5.5l-.095.063.094.124v-.188zm125.093 2.188c-2.567-.044-5.092 1.12-7.5 3.53-4.82 4.824-4.895 10.883-.313 15.75l.156.19.156.186 65.657 77.313c7.524 6.852 17.437 7.026 24.53-.063 7.246-7.242 7.38-17.267.53-24.72l-75.343-68.343-.093-.062-.063-.063c-2.566-2.423-5.15-3.674-7.718-3.718zm83.718 25.5c-1.908.01-3.82.118-5.718.28-5.025.432-10.007 1.426-14.875 2.97l33.032 29.937.28.25.25.25c5.085 5.41 8.232 11.988 9.406 18.845.63.512 1.24 1.055 1.844 1.625l47.344 43.22c.576-.022 1.142-.035 1.72-.032 10.682.055 21.378 4.164 29.78 12.03l.125.095 30.31 27.437c4.5-25.672-3.087-53.023-22.78-72.97l-58.25-41.593-.625-.468-.563-.532c-13.705-13.7-31.568-20.898-49.375-21.313-.635-.015-1.27-.035-1.906-.03zM18.657 189.156v41.094l134.78 263.72h20.97L18.656 189.155zM-.03 192.062l-.657.344.656 1.28v-1.624zm141.75 2.032c-6.78 24.135-.748 51.248 18.093 70.094l.562.593.47.658 40.78 58.156c18.35 18.12 43.006 26.56 66.563 24.53h.03c3.847-.316 7.694-.964 11.5-1.874l-28.468-33.5-.313-.375c-5.702-6.188-9.265-13.6-10.718-21.313-2.044-1.26-3.99-2.746-5.814-4.468l-40.156-49c-8.756-.35-17.42-3.826-24.188-10.22l-.375-.343-.343-.405-27.625-32.53zm140.436 63.97c-5.837-.07-11.635 2.355-16.687 7.405-10.108 10.1-10.294 24.21-.626 34.467l.156.157.156.187L373.78 428.095c14.64 13.607 35.284 14.037 49.345 0 14.228-14.204 14.422-34.882.78-49.438l-.06-.062L299.28 265.78l-.06-.06-.064-.064c-5.266-4.966-11.162-7.525-17-7.594zm-263.5 32.498v57.72L68.53 493.968h19.75L18.657 290.56zm402.031 12.375c-2.976.05-6.112.327-9.656.625H411c-11.373.984-22.724 3.574-33.594 7.782l59.53 53.906.283.25.25.28c7.772 8.26 12.488 18.277 14.155 28.658 4.325 2.11 8.453 4.946 12.25 8.53l29.844 27.344-.064-103.687c-20.602-15.05-45.012-22.958-69.344-23.625l-.5-.03h-.187c-.963-.043-1.945-.05-2.938-.033zm-111.625 77.875c-14.07 37.914-8.72 81.76 15.72 115.375h102.187l-25.408-30.906c-2.534-2.692-4.68-5.572-6.437-8.592-12.428-.866-24.67-6.003-34.406-15.188l-.376-.344-.344-.406-50.938-59.938z"}}]})(props);
};
function GiAngelOutfit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.72 29.094c-54.533 0-98.97 21.704-98.97 48.312 0 26.61 44.437 48.28 98.97 48.28 54.53 0 98.967-21.67 98.967-48.28S315.25 29.094 260.72 29.094zm0 13.25c40.07 0 71.81 15.508 71.81 35.062s-31.74 35.47-71.81 35.47c-40.073 0-72.69-15.916-72.69-35.47 0-19.552 32.617-35.064 72.69-35.062zM86.53 57.187c-13.242-.094-32.234 14.59-42.31 37.688-43.3 99.244-9.583 359.695 87.874 351.97-22.002-50.492-43.8-107.983-56.72-168.75 26.337 72.494 72.33 135.58 117.845 120.186-32.017-40.185-66.048-87.265-90.032-140.342 35.016 59.175 85.37 105.853 123.03 85.5-29.742-26.583-61.568-57.524-88.812-93.25 39.647 37.38 87.092 61.34 112.25 37.75-47.69-21.07-94.37-53.67-125.062-89.75-16.312-19.176-28.195-39.39-32.72-60-2.26-10.306-2.508-20.796-.468-30.938.02-.095.043-.186.063-.28.007-.044.022-.083.03-.126 4.05-21.265 15.043-35.413 4.5-45.97-2.484-2.487-5.76-3.66-9.47-3.687zm347.658 0c-3.71.027-6.954 1.2-9.438 3.688-8.176 8.186-3.416 18.564 1.03 32.72 6.153 14.187 7.144 29.566 3.845 44.593-4.524 20.61-16.44 40.824-32.75 60-30.798 36.206-77.67 68.907-125.53 89.968 25.22 23.208 72.482-.71 112-37.97-27.245 35.728-59.07 66.67-88.814 93.25 37.662 20.355 88.016-26.323 123.033-85.498-23.985 53.077-58.016 100.157-90.032 140.343 45.515 15.395 91.478-47.69 117.814-120.186-12.918 60.768-34.686 118.26-56.688 168.75 97.457 7.726 131.142-252.725 87.844-351.97-10.077-23.097-29.07-37.78-42.313-37.686zm-22.22 73.97c-100.397 68.228-200.733 82.462-301.25 5.468 4.02 15.655 13.89 32.733 28.126 49.47 28.922 34 75.48 66.378 121.906 86.31 46.426-19.932 92.984-52.31 121.906-86.31 14.98-17.613 25.138-35.594 28.72-51.907.223-1.02.416-2.027.593-3.032z"}}]})(props);
};
function GiAngelWings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M92.438 28.97C75.263 47.722 60.826 69.69 49.593 94L167.5 204.656l-12.78 13.625L41.905 112.407c-9.19 24.257-15.377 50.455-18.156 77.844l116.156 58.72-8.437 16.686L22.312 210.47c-.963 24.45.777 49.666 5.437 75.155l100.53 8.313-1.53 18.625-94.97-7.844c.743 3.09 1.515 6.185 2.345 9.28 4.43 16.51 9.94 32.34 16.375 47.438 8.757-1.615 17.808-3.274 27.813-5.157 26.754-5.033 53.093-10.06 53.093-10.06l3.5 18.342s-26.368 5.054-53.156 10.094c-8.012 1.508-15.797 2.97-23.188 4.344 8.65 17.507 18.62 33.887 29.657 49l60.843-34.28L158.22 410l-58.407 32.938c12.202 14.79 25.482 28.186 39.624 40l17.157-20.344c1.38-20.537 4.963-37.725 14.375-51.72 6.338-9.425 15.44-16.826 27.155-21.937C189.86 376.115 183.3 361.62 179 345.594c-14.526-54.15.58-108.49 36.406-138.094L92.436 28.97zm330.843 0L300.314 207.5c35.826 29.604 50.964 83.943 36.437 138.094-4.26 15.877-10.768 30.237-18.938 42.97 12.345 5.384 21.554 13.502 27.5 23.655 7.81 13.333 10.495 29.117 11.407 47.467l19.592 23.25c14.14-11.813 27.423-25.208 39.625-40L357.5 410l9.188-16.28L427.53 428c11.04-15.117 21.006-31.49 29.658-49-7.4-1.374-15.207-2.836-23.22-4.344-26.787-5.04-53.156-10.094-53.156-10.094l3.5-18.343s26.372 5.027 53.125 10.06c9.794 1.844 19.196 3.598 27.813 5.19 6.44-15.105 11.944-30.954 16.375-47.47.83-3.095 1.602-6.19 2.344-9.28L389 312.56l-1.53-18.625L488 285.625c4.66-25.49 6.37-50.705 5.406-75.156L384.25 265.655l-8.438-16.687L492 190.25c-2.783-27.4-8.956-53.61-18.156-77.875L361.03 218.28l-12.81-13.624L466.124 94c-11.236-24.31-25.668-46.277-42.844-65.03zM256.095 290.03c-10.452 0-20.172 5.342-27.78 15.126-7.61 9.784-12.658 23.895-12.658 39.688 0 15.793 5.047 29.903 12.656 39.687 7.61 9.785 17.33 15.158 27.782 15.158 10.452 0 20.14-5.373 27.75-15.157 7.61-9.783 12.656-23.893 12.656-39.686s-5.047-29.904-12.656-39.688c-7.61-9.784-17.298-15.125-27.75-15.125zm39.625 111.19c-10.36 11.14-24.236 18.342-39.626 18.342-14.957 0-28.49-6.798-38.75-17.406-2.662.66-5.147 1.384-7.438 2.188-11.464 4.02-18.388 9.46-23.437 16.97-9.19 13.66-11.542 37.05-11.907 69.248h163.812c-.135-31.55-1.154-55.19-9.188-68.906-4.42-7.55-10.596-12.946-21.562-17.062-3.467-1.302-7.433-2.437-11.906-3.375z"}}]})(props);
};
function GiAnglerFish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M442.906 52.156c-.806.02-1.617.076-2.437.188-13.124 1.79-22.993 13.47-30.47 32.875-5.993 15.552-10.81 37.088-13.938 66.5-32.023-22.095-63.766-29.543-95.28-25.845l-26.97-60.063-24.968 71.282L198.5 107.28l-.813 63.064-46.562 1.75 12.53 30.562c-17.504 16.246-34.963 34.403-52.405 53.844l-92.813-45.375 44.876 75.906-36.47 39.095 36.282 2.78-40.47 59.876 108.064-64.905 87.56 42.53-49.75 17.376 35.564 13.814-32.563 22.22 52.157.967-4.593 46.845 59.312-72.03L365 437.654 496.063 270.47c-3.87-6.63-7.735-12.974-11.594-19.095l-119.376 150.97-4.72 5.967-6.78-3.406-44.344-22.22 8.375-16.717 37.53 18.81L473.69 234.907c-20.158-29.63-40.187-52.59-60.094-69.656 2.96-34.52 8.11-58.353 13.875-73.313 6.36-16.51 12.884-20.706 15.5-21.062 1.306-.178 2.63.047 4.75 1.53 2.118 1.485 4.693 4.293 7 8.19 4.582 7.743 8.005 19.562 8.217 31.686-7.95 3.715-13.437 11.804-13.437 21.157 0 12.878 10.436 23.313 23.313 23.313 12.876 0 23.312-10.435 23.312-23.313 0-9.752-6.002-18.114-14.5-21.593-.284-15.23-4.225-29.62-10.813-40.75-3.322-5.615-7.346-10.478-12.375-14-3.77-2.642-8.322-4.49-13.125-4.875-.8-.065-1.6-.083-2.406-.064zm-52.344 158.156c3.147-.125 6.36.236 9.563 1.094 3.054.82 5.872 2.054 8.438 3.625-.14 0-.268-.03-.407-.03-9.922 0-17.97 6.636-17.97 14.813.002 8.176 8.048 14.812 17.97 14.812 6.503 0 12.16-2.86 15.313-7.125.645 4.24.462 8.684-.72 13.094-4.575 17.074-22.11 27.2-39.188 22.625-17.074-4.576-27.23-22.115-22.656-39.19 3.717-13.872 16.022-23.176 29.656-23.718zm-95.375 11.157l17.907 5.31-12.75 43.064 47.437 38.844-11.842 14.468-52.25-42.78-4.782-3.938 1.75-5.938 14.53-49.03zm-44.937 25.686l17.938 5.313-8.875 29.936 33.437 27.375-11.844 14.47-38.25-31.313-4.812-3.937 1.78-5.97 10.626-35.874z"}}]})(props);
};
function GiAngola (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M82.42 23.22L51.69 46.46l13.49 25.49 32.23-34.49zM211.4 74.2L66.68 82.44l42.72 84.76-16.48 15.7 32.18 84-42.68 63-26.23 133.4 45.01-14.2 28.4 18 141-2.3 106.4 24 59.3-17.2-41.3-50.3V317.1l63-.7 2.3-66.7-55.5 1.5-18.8-126-71.9-10.5-12 34.5-56.3-3z"}}]})(props);
};
function GiAngryEyes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112 163.033c-19.63 0-51.214 12.034-48 32 68.42 18.54 123.27 48.386 176 80-42.956-51.378-108.988-112-128-112zm288 0c-19.012 0-85.044 60.622-128 112 52.73-31.614 107.58-61.46 176-80 3.214-19.966-28.37-32-48-32zm-303.973 97.21c-6.303.084-11.67 1.557-17.443 4.77-7.63 4.243-16.252 12.463-26.588 25.423 12.406 12.91 28.615 30.222 52.395 37.37 25.15 7.556 59.428 4.37 108.417-32.937-17.8-5.246-33.034-10.328-46.457-14.954 1.69 3.358 2.65 7.135 2.65 11.117 0 13.7-11.3 25-25 25s-25-11.3-25-25c0-9.878 5.874-18.506 14.287-22.553-10.365-3.466-19.044-6.044-26.39-7.27-2.916-.488-5.592-.8-8.106-.917-.942-.044-1.862-.06-2.763-.05zm319.946 0c-.9-.01-1.82.006-2.764.05-2.515.117-5.19.43-8.106.916-7.347 1.226-16.026 3.804-26.39 7.27 8.412 4.047 14.286 12.675 14.286 22.553 0 13.7-11.3 25-25 25s-25-11.3-25-25c0-3.982.96-7.76 2.65-11.117-13.423 4.626-28.658 9.708-46.457 14.953 48.99 37.307 83.268 40.492 108.416 32.935 23.78-7.147 39.988-24.458 52.394-37.37-10.336-12.96-18.96-21.18-26.588-25.423-5.773-3.212-11.14-4.685-17.443-4.768z"}}]})(props);
};
function GiAngularSpider (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.28 21.75c-5.343 0-10.67.236-14.155.72-23.225 3.215-43.898 13.46-60.313 29.874-13.597 13.597-22.742 29.6-27.468 48.093-12.185 47.68 9.63 97.346 52.812 120.282 2.654 1.408 4.994 2.583 5.22 2.593.224.01 1.975-1.03 3.905-2.313 2.453-1.627 4.98-3.076 7.564-4.375.56-.29 1.12-.568 1.687-.844.125-.057.252-.097.376-.155 9.143-4.377 19.273-6.844 29.97-6.844 4.24 0 8.387.423 12.437 1.157.834.152 1.674.288 2.5.47 1.197.248 2.407.563 3.593.874 7.137 1.874 14.044 4.848 20.47 8.97 4.656 2.987 4.987 3.123 6.968 2.47 1.146-.38 4.913-2.433 8.375-4.532 19.342-11.73 33.51-27.46 42.436-47.125 6.902-15.21 9.464-27.24 9.438-44.25-.017-11.104-.632-16.49-3-25.907-10.44-41.513-45.395-72.45-88.625-78.437-3.485-.484-8.845-.72-14.19-.72zM89.22 52.438l-18.69 4.687 47.25 185.72H72.876l-29.22-119.157-18.093 4.093 30.97 126.75 1.75 7h130.123c2.206-6.69 5.235-12.953 8.94-18.686h-60.376L89.22 52.438zm333.467 0l-48.28 190.406h-55.594c3.757 5.734 6.82 11.994 9.062 18.687H453.06l1.75-7 30.97-126.75-18.126-4.093-29.187 119.157h-44.94l47.283-185.72-18.125-4.687zM257.875 228.094c-31.13 0-55.594 26.746-55.594 59.937 0 6.447.943 12.657 2.657 18.47 14.83.333 27.197 11.853 28.907 26.344.81-.067 1.61-.094 2.437-.094 7.985 0 15.265 3.2 20.595 8.375 5.33-5.176 12.61-8.375 20.594-8.375 1.702 0 3.373.158 5 .438 2.35-13.61 14.06-24.065 28.217-24.5 2.202-6.434 3.407-13.395 3.407-20.657 0-33.19-25.09-59.936-56.22-59.936zm-196.688 63.22l2.907 11.686L97.97 440.813l18.124-4.657L85.124 310h47.907l46.126 184.563 18.094-4.094L152.28 310h34.782c-1.594-5.968-2.568-12.24-2.812-18.688H61.187zm270.938-.002c-.25 6.45-1.252 12.72-2.875 18.688h29.813l-45 180.47 18.125 4.092L378.313 310h47.875L395.25 436.156l18.094 4.656L447.22 303l2.936-11.688h-118.03zm-127.852 33.87c-6.18 0-11.097 4.917-11.097 11.097s4.917 11.095 11.097 11.095 11.096-4.914 11.096-11.096c0-6.18-4.916-11.098-11.097-11.098zm107.332 1.953c-6.18 0-11.087 4.907-11.087 11.086 0 6.18 4.907 11.09 11.087 11.09s11.086-4.91 11.086-11.09c0-6.178-4.904-11.085-11.085-11.085zm-75.31 24.1c-6.18 0-11.088 4.907-11.088 11.085 0 6.18 4.907 11.088 11.088 11.088 6.18 0 11.086-4.907 11.086-11.088 0-6.178-4.905-11.086-11.085-11.086zm41.168 0c-6.18 0-11.086 4.907-11.086 11.085 0 6.18 4.905 11.088 11.086 11.088 6.18 0 11.088-4.907 11.088-11.088 0-6.178-4.907-11.086-11.087-11.086zm-60.557 33.39l8.406 33.406 18.094-4.655-5.437-21.563c-.557.032-1.125.063-1.69.063-7.392 0-14.18-2.738-19.374-7.25zm79.094.656c-5.077 4.11-11.516 6.595-18.53 6.595-.83 0-1.658-.058-2.47-.125l-5.313 21.625 18.094 4.656 8.22-32.75z"}}]})(props);
};
function GiAnimalHide (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M76.28 21.688c-26.378 9.306-43.39 25.92-51.374 49.53 33.78 22.83 81.775 69.988 100.875 114.813 7.62 17.88 13.92 38.086 17.97 59.126 5.308-2.97 33.706 40.776 25.5 33.156-1.905-1.766-22.602-12.653-22.125-5.53 1.39 20.77 2.154 36.28-1.22 56.28-8.794 52.14-56.968 122.188-56.968 122.188 22.368 21.103 35.882 27.827 74.876 35.78l77-100.405c28.983 22.87 5.424 64 28.218 62.47 21.462-1.442 2.15-41.235 18.44-61.845 16.95 22.598 36.356 41.26 55.717 57.125 2.09 2.124 1.477-61.477 5.75-47.594 4.162 13.52 13.724 52.06 18.47 65.25 12.987 13.292 22.495 24.418 38.437 27.595 36.918 7.356 33.552-2.188 69.28-22.094 0 0-62.02-74.034-76.468-118.874-14.824-46.01-21.362-98.512-7.5-144.812 15.787-52.74 97.78-133.094 97.78-133.094-4.763-5.607-8.447-9.992-11.686-13.688-3.5-3.993-35.27 15.448-38.594 12.438-3.296-2.988 21.852-28.457 17.094-31.75-5.434-3.76-12.353-8.134-21.97-14.063-32.09 39.05-59.294 63.115-112.624 96.376-4.038-23.52-1.745-37.2-19.344-53.938-17.6-16.74-55.628-29.337-89.187-.594-14.822 12.696-11.758 33.168-19.47 51.532-24.79-42.81-90.31-87.444-116.874-95.374zM273.157 141.03c3.632 9.382 1.912 19.278-1.5 28.626-3.412 9.348-8.772 18.586-14.625 27.375-3.624 5.446-7.432 10.64-11.155 15.595 10.79-3.762 22.226-7.236 33.5-2.594l10.688 4.407-6.875 9.282c-3.87 5.213-7.125 9.803-9.97 14 3.6-1.794 7.416-3.395 11.532-4.564 3.455-.98 9.48 1.043 11.625 4 2.144 2.957 2.316 5.218 2.53 7.28.432 4.128.016 8.136-.53 12.69-1.093 9.104-3.05 19.868-3.5 26.062l-17.97-1.313c.597-8.223 2.62-18.754 3.595-26.875.026-.218.007-.254.03-.47-8.836 4.995-18.517 12.7-30.56 17.75L224.437 283l14.343-23.688c5.164-8.52 10.192-17.848 19.22-31.218-3.025.674-6.163 1.506-9.344 2.625-5.286 1.858-10.545 4.006-15.094 5.843-4.548 1.836-7.876 3.33-11.78 4.156l-21.032 4.468 11.594-18.125c5.86-9.155 18.906-23.762 29.72-40 5.405-8.12 10.077-16.445 12.686-23.594 2.61-7.15 2.883-12.69 1.625-15.94l16.78-6.5z"}}]})(props);
};
function GiAnimalSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M187.406 22.22l-41.562 41.843 62.875 29.843-8 16.875-68.845-32.655L59.97 150.53l33.31 96.97 56.876-7.156 10.53-42.47 18.126 4.47-45.843 185.25 55.31-49.656 10-9 4.94 12.5 14.81 37.53 31.25-41.624 8.126-10.844 7.25 11.47 30.406 48.217 22.657-46.75 5.092-10.5 9.125 7.25 62.532 49.782-62.814-182.22 17.656-6.094 12.782 37.063 60.562-.94 26.47-101.874-72.72-62.344-70.125 38.844-9.06-16.375 64.03-35.468-29.75-25.53-144.094-8.813zm190.688 85.5l13.28 67.218-107.28-16.25 94-50.97zm-246.188.936L229.97 160l-116.25 13.47 18.186-64.814zm123.188 122.5l55.844 64.75-36.25 12.875-17.407-42.655-15.374 43.344-35.344-13.564 48.532-64.75zm74.344 126.938L304.53 409.47l-7.342 15.155-8.97-14.25-32.124-50.97-33.156 44.19-10.063 13.342-6.125-15.53-15.97-40.594-30.436 27.312 25.53 66.406 61.407 35.22 98.814-39.563 16.937-65.343-33.592-26.75z","fillRule":"evenodd"}}]})(props);
};
function GiAnkh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M79.625 22.03c-16.694.274-31.01 5.33-41.22 15.658C5.743 70.735 27.53 145.313 87.22 204.313c39.992 39.53 91.568 45.025 125.03 56.593-38.19 35.214-80.874 67.594-130.438 99.28l61.594 60.876c33.267-53.395 68.052-99.412 106.406-140.593 66.466 44.55 113.05 126.476 157.594 206.967l85.5-86.5c-82.206-44.252-164.58-88.96-209.25-154.687 41.214-39.214 86.72-74.14 138.656-107.344L360.72 78.03c-30.47 48.903-61.926 91.685-96.845 130.564-11.704-33.438-18.262-84.475-58.28-124.032C164.556 44 116.35 21.43 79.624 22.032zm16.97 47.064c20.94.415 50.89 16.01 77.436 42.25 36.934 36.505 53.305 79.782 36.595 96.687-16.71 16.907-60.194 1.037-97.125-35.468C76.57 136.06 60.165 92.75 76.875 75.844c4.7-4.755 11.525-6.913 19.72-6.75z"}}]})(props);
};
function GiAnnexation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M362.04 24.316c-2.088-.539-21.367 27.005-31.786 37.743-18.375-8.277-53.592-26.532-55.125-24.83-.81.898 18.213 31.305 33.101 67.056l-51.14 12.516-76.363-45.524-43.457 50.37c-26.966-33.204-56.644-59.57-57.825-58.987-1.933.954 1.44 34.405.555 49.34-19.324 5.723-57.92 14.878-57.97 17.168-.03 1.327 41.264 14.007 78.988 34.498l-51.448 59.63L72.412 406.79l146.623-39.393 31.186 26.225c-38.113 12.327-72.757 18.286-72.897 19.549-.284 2.565 41.45 18.552 62.176 27.828-1.242 16.811-10.003 53.664-7.986 55.018 1.225.823 37.984-23.97 72.918-56.807L369.59 494h27.97l-80.203-67.443c16.528-16.86 31.523-35.104 40.63-52.715 3.89 2.79 10.874 17.491 13.472 17.094 3.808-.583 22.59-82.933 19.467-85.311-4.446-3.385-82.083 28.252-81.826 30.072.24 1.708 16.603 9.065 24.117 14.496-14.937 15.194-38.718 27.208-63.248 36.514l-46.535-39.13-135.715 36.46-19.3-155.033 48.397-56.094c14.117 8.936 26.693 19.002 34.948 29.998-7.25 3.895-22.51 8.44-22.922 9.914-.44 1.571 64.138 38.535 68.447 36.08 3.027-1.724-3.81-76.379-7.092-77.34-2.239-.655-10.11 11.457-13.861 13.454-5.667-15.806-15.983-32.75-27.824-48.844l35.974-41.697 69.721 41.564 60.56-14.82c6.94 19.615 11.658 39.68 10.522 56.552-8.034-1.78-22.563-8.296-23.838-7.449-1.359.903 23.44 71.06 28.307 72.012 3.419.67 46.966-60.353 45.107-63.223-1.268-1.958-15.138 2.08-19.283 1.145 7.708-20.06 10.876-46.496 11.711-71.893l52.92-12.95L494 148.495v-22.174l-70.01-50.365-56.472 13.82c-.279-35.653-4.376-65.176-5.479-65.46z"}}]})(props);
};
function GiAnt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M216 21.23s-5.1 9.96-9.7 22.52c-4.5 12.57-9.4 27.36-7.2 40.96 2.2 13.16 11 25.19 19 35.29.1.2.2.3.4.4 0-.1.1-.2.2-.3 3.6-5 7.4-9.8 11.4-14.1-6.5-8.69-12.4-18.93-13.2-24.18-1-6.21 2.2-20.41 6.4-31.89 4.2-11.49 8.7-20.63 8.7-20.63zm80.1.17l-16 8.08s4.5 9.14 8.7 20.63c4.2 11.48 7.4 25.68 6.4 31.89-.8 5.14-6.6 15.18-13 23.8 4.1 4.4 7.9 9.3 11.6 14.4l.1-.1c8-10 16.9-22.04 19.1-35.21 2.2-13.6-2.7-28.39-7.2-40.96-4.6-12.56-9.7-22.52-9.7-22.52zM82.38 106.6l-4.8 17.4s15.14 4.2 32.52 10.2c16.7 5.7 35.5 13.8 43 19.3 15.7 30.7 32.4 48 62 77.7-.1-1.4-.1-2.7-.1-3.9 0-6.3.1-13.3 1.3-20.6-22.6-22.9-35.3-37.5-48.2-63.4l-.9-1.8-1.5-1.2c-11.8-9.5-31.7-16.9-49.7-23.1-18.01-6.3-33.62-10.6-33.62-10.6zm347.22 0s-15.6 4.3-33.6 10.6c-18 6.2-37.9 13.6-49.7 23.1l-1.5 1.2-.9 1.8c-12.9 26-25.5 40.5-48.2 63.5 1.2 7.3 1.3 14.2 1.3 20.5 0 1.2 0 2.6-.1 4 29.6-29.7 46.3-47.1 62-77.8 7.5-5.5 26.3-13.6 43-19.3 17.4-6 32.5-10.2 32.5-10.2zm-173.7 1.8c.1.1-3.7 1.4-8.1 5.3-4.6 4.1-9.8 10.2-14.5 16.8-4.7 6.6-9 13.8-11.9 20-3 6.1-4.4 11.8-4.4 12.8s.7 3.1 3.1 5.9c2.3 2.7 6.1 5.7 10.5 8.4 8.8 5.3 20.4 8.7 25.4 8.7s16.6-3.4 25.4-8.7c4.4-2.7 8.2-5.7 10.5-8.4 2.4-2.8 3.1-4.9 3.1-5.9 0-1.1-1.3-6.7-4.2-12.8-2.8-6.2-7-13.2-11.6-19.8-4.6-6.5-9.7-12.6-14.3-16.7-4.5-4-8.4-5.5-9-5.6zm-19.6 91.9c-3.4 8.4-3.3 16.8-3.3 27 0 6.5 1.9 22.5 5.7 37.8 1.6 6.4 3.7 12.7 5.9 18.3 3.7-.7 7.5-1.1 11.4-1.1 3.9 0 7.7.4 11.4 1.1 2.2-5.6 4.3-11.9 5.9-18.3 3.8-15.3 5.7-31.3 5.7-37.8 0-10.2.1-18.6-3.3-27-6.7 2.5-13.4 4-19.7 4-6.3 0-13-1.5-19.7-4zm-99.3 18l-1.7 6.8c-15.7 62.6-47.8 126-77.68 155.8l12.72 12.8c32.86-32.9 63.56-94.1 80.36-157 21.8 1.7 44.7 11 68.2 22.3-1.6-7.9-2.7-15.3-3.3-21.6-23.1-10.7-46.8-19.1-71.6-19.1zm231 0c-24.7 0-48.5 8.5-71.6 19.1-.6 6.3-1.7 13.7-3.3 21.7 23.5-11.4 46.4-20.7 68.2-22.4 16.8 62.9 47.5 124.1 80.3 157l12.8-12.8c-29.9-29.8-62-93.2-77.7-155.8l-1.7-6.8zm-148 45.6c-22.1 20.8-43.9 41.3-64 51.3l-5 2.5v5.6c0 61.9-3.4 83.1-14.8 122.4l-45.21 30.1 10.01 15 50.7-33.8.9-3.2c12-40.9 16-65.3 16.3-125.2 19.5-10.9 38.3-27.7 56.4-44.8-1.5-4.7-2.8-9.5-4-14.3-.5-1.9-.9-3.7-1.3-5.6zm72 0c-.4 1.8-.8 3.7-1.3 5.6-1.2 4.8-2.5 9.6-4 14.3 18.1 17.1 36.9 33.9 56.4 44.8.2 59.9 4.3 84.3 16.3 125.2l.9 3.2 50.7 33.8 10-15-45.2-30.1c-11.4-39.3-14.8-60.5-14.8-122.4v-5.6l-5-2.4c-20.1-10-41.8-30.6-64-51.4zm-36 36.4c-13 0-27.4 6.9-38.2 15.9-5.4 4.5-9.9 9.5-12.8 13.8-2.9 4.4-4 8.3-4 9.3 0 40.9 27.2 98.5 55 130.4 27.8-31.9 55-89.5 55-130.4 0-1-1.1-4.9-4-9.3-2.9-4.3-7.4-9.3-12.8-13.8-10.8-9-25.2-15.9-38.2-15.9z"}}]})(props);
};
function GiAntarctica (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M130.458 203.435L226.656 58.38 448 107.084v92.378l40.823 49.164-13.937 107.434-67.182 85.268L281.328 448 288 352l-64-48-23.835 80L112 352l-36.342-77.936 13.39-71.775-54.041-27.343L24.779 112l24.384 49.054L112 176z"}}]})(props);
};
function GiAnthem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M356.906 49.594c-108.533.34-194.246 85.275-306.719 20.312 17.05 30.293 55.26 55.692 101.47 67.688C127.244 173.63 60.63 189.984 15.75 186c141.27 81.595 210.67-64.442 380.313 29.656l-19.907 48.688H18.312v18.687h350.22l-17.907 43.814H17.78v18.687h325.19l-18.845 46.126H19.937v18.688h304.938c1.4 12.458 8.875 23.708 19.625 31.5 14 10.147 33.528 15.774 55.875 15.812 22.347.04 43.583-5.58 60.438-15.062 16.854-9.482 29.862-23.084 33.156-40 3.293-16.916-5.158-32.884-19.158-43.03-14-10.15-33.527-15.776-55.875-15.814-22.347-.038-43.583 5.55-60.437 15.03-.327.185-.645.377-.97.564L471.345 81l-17.313-7.063-.06.126c-34.838-18.096-66.836-24.564-97.064-24.47zm85.53 41.906c.567-.02 1.122-.022 1.69 0 .864.033 1.728.145 2.593.28l-42.75 104.532c-26.664-27.147 4.468-103.57 38.467-104.812z","fillRule":"evenodd"}}]})(props);
};
function GiAntiAircraftGun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M472.7 22.8l-38.5 44.91L448 84.24l48-34.65zm-50.4 55.05L312.2 178.7l-25.3 8.1-66.3 69.6 22.8 24.7 69.3-65.4 12.9-21.5L435.7 93.27zm-8.7 72.65l-19.9 25.6 10.3 13.4 26.6-19.6zm-32.4 37.1l-68.5 62.3-16 3.6-42.1 39.2 20.7 22.3 43.6-39.5 6.4-13.8 65.2-62.4zm-245.8 67.3c-26.6.3-52.06 25.8-52.33 52.4-.33 17.8 9.08 34.4 24.53 43.3l23.6-7.6c-18-2.1-31.59-17.5-31.39-35.7 0-19.7 15.89-35.7 35.59-35.7 10-.2 19.5 3.8 26.4 11v-17c-8-4.7-17.1-11-26.4-10.7zm44.5 8.2v78.5L120.5 365v23.5h145v-55.2l-65.4-70.2zM87.51 407.2l-43.29 43h13.47l11.54 8 35.57-27.3h107.6l11.5 19.3H245l6.1-19.3h23.4l97.3 28.2 9.6-8.9h16l-106.5-43zm-50.68 59.9l-20.85 22.1h62.55l-20.84-22.1zm187.07 0L203 489.2h62.9L245 467.1zm160.7 0l-19.3 22.1h61L407 467.1z"}}]})(props);
};
function GiAntibody (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M95.812 29.781a18.002 18.002 0 0 0-12.54 30.91l81.636 81.637-14.543 14.543-73.637-73.637a18.002 18.002 0 0 0-12.916-5.453 18.002 18.002 0 0 0-12.54 30.91l96 96a18.002 18.002 0 1 0 25.456-25.457l-9.636-9.637 14.543-14.543L206 183.418v280.545a18.002 18.002 0 1 0 36 0v-199h28v199a18.002 18.002 0 1 0 36 0V183.418l28.365-28.364 14.543 14.543-9.637 9.637a18.002 18.002 0 1 0 25.457 25.457l96-96a18.002 18.002 0 0 0-13.082-30.902 18.002 18.002 0 0 0-12.375 5.445l-73.636 73.637-14.543-14.543 81.636-81.637a18.002 18.002 0 0 0-13.082-30.902 18.002 18.002 0 0 0-12.375 5.445L270 168.508v78.455h-28v-78.455L108.728 35.234a18.002 18.002 0 0 0-12.916-5.453z"}}]})(props);
};
function GiAnticlockwiseRotation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M248.91 50c11.882-.006 23.875 1.018 35.857 3.13 85.207 15.025 152.077 81.895 167.102 167.102 15.023 85.208-24.944 170.917-99.874 214.178-32.782 18.927-69.254 27.996-105.463 27.553-46.555-.57-92.675-16.865-129.957-48.15l30.855-36.768c50.95 42.75 122.968 49.05 180.566 15.797 57.597-33.254 88.152-98.777 76.603-164.274-11.55-65.497-62.672-116.62-128.17-128.168-51.656-9.108-103.323 7.98-139.17 43.862L185 192H57V64l46.34 46.342C141.758 71.962 194.17 50.03 248.91 50z"}}]})(props);
};
function GiAnts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M99.77 20.39c-5.24 12.96-3.7 25.24.53 35.64-3.75 7.22-4.56 19.12-1.63 25.51-1.29 2.13-2.56 4.42-3.79 6.81C87.9 78.53 84.9 68.22 85 55.9l-18-.15c-.1 12.16 2.59 23.56 7.99 34.09-13.81-.53-28.93 1.34-40.32 3.98l4.12 17.58c10.63-2.5 19.97-3.7 28.27-3.9-21.83 11.7-35.57 35.4-47.26 52.9l14.92 10c11.57-14.8 19.12-31.8 33.09-42-4.92 6.3-9.32 14-12.76 22.3-10.75 25.9-9.65 51 2.46 56.1 12.17 5.1 30.77-11.8 41.56-37.7 3.73-8.9 6.13-18.1 7.03-26.6 2.3 19.9-6 40.9-9.17 57.1l15.47 3 1.6 17.5c11.6-1.1 26.3-2.9 39.5-1.4-1.5 1.7-3 3.3-4.3 5-6.9-.6-14.8 2.6-21 8.3-1.1 1-2.1 2-3 3.1-2.6-.1-5.2-.2-7.9-.2-8.2.1-17.73 1.8-25.4 8.6l11.9 13.4c3.6-3.1 7.5-3.9 13.7-4h.6c.4 8.5 6.8 14.3 14.3 14.9-1 5.2-3.4 10.1-7.7 14.2l12.4 13c10.4-9.9 13.9-22.3 14.1-33.9l2.1-1.8c6.2-5.9 9.9-13.6 9.7-20.6 2.1-1.4 4.2-2.9 6.3-4.6 2.3 11.8.8 22.4-4.5 33.6l16.4 7.6c5.3-11.3 7.5-23.2 6.8-35.4 11.4 4.4 25.3 5.8 41.5 2.8l-3.2-17.6c-4.5.8-8.6 1.3-12.3 1.4 20-4.6 38.7-17.9 53.4-27l-9.4-15.4c-16.9 9.5-30.4 20.3-47.5 24.8 7.1-3.8 14.3-9 20.8-15.1 20.5-19.1 29.9-42.4 21-52.1-8.9-9.8-32.9-2.1-53.5 17.1-7 6.5-13 13.8-17.3 21.1 6.4-19 22.5-34.6 32-48l-14.8-10.4c-13.8 19.8-28.2 32.7-34.5 54.1-.5-3.2-.9-6.3-1.1-9.3l-18 1.4c.8 9.9 2.6 21.3 6.6 32.4-12.3-1.2-25.1.6-36.9 1.8 6.1-27.5 13.9-49 6.2-74.5 7.1 6.4 13 13.5 18.6 20.4l14-11.4c-6.5-8-14.3-17.5-24.5-25.9 12.5-5.1 23.2-12.19 30.8-16.49l-8.8-15.72C141 84 128.3 91.71 115.7 95.91c.7-2.2 1.3-4.3 1.8-6.4 9.4-5 15.4-12.21 17.5-21.4 2.1-1.09 4.2-2.24 6.3-3.54 6.7-4.2 13.1-10.19 16.9-18.85l-16.4-7.33c-2.1 4.57-4.8 7.4-8.9 10.16-4-6.44-11.9-8.3-18.1-6.18-.9-4.79-.5-9.86 1.6-15.28zm256.63 3.76l-12.2 13.28c13.5 13.67 28.2 23.72 36.8 39.01-5.6-5.83-12.6-11.35-20.3-15.98-24-14.46-48.9-17.09-55.8-5.89-6.9 11.27 7.1 32.2 31.1 46.73 10.9 6.5 22.5 10.9 32.6 12.3-24.4 6.6-39.1 2-59.8-7l-7.2 16.4c20.1 8.9 39.1 14 64.3 9.4-6.6 5.9-13.6 11-20.3 15.6l10.2 14.8c10.1-6.9 21.3-15.6 31.4-26.9 3.5 12.5 9.3 24.5 14.1 36.7l16.8-6.4c-5.5-14.1-11-25.4-14.4-38.8 2.8 1.5 5.6 2.8 8.3 3.9 1.3 6.8 6.4 13.6 13.6 18 1.9 1.2 3.9 2.1 5.9 2.9 3.4 8 7.6 15.2 14.3 23.2l13.8-11.6c-3.6-4.3-6.2-8-8.3-11.7 4.4-2.5 7.1-6.3 7.8-10.8 3.2 1.2 6.8 2.9 10.8 5.3l9.2-15.4c-10-4.9-18.9-10-29.1-10-1.5-1.3-3.2-2.5-4.9-3.6-7.3-4.4-15.8-5.8-22.5-3.7-3-2.5-6.4-5-10-7.4 14.9-4.4 34.6-4.5 48-2.3l2.8-17.77c-17.2-2.44-33.6-3.1-49.5.44 3-11.47 4.5-24.29 3.9-38.67l-18 .76c.4 8.29 0 15.88-1 22.91-9.4-19.83-28.7-35.23-42.4-47.72zM340 187.6l-11.2 14c9.6 7.7 15.7 16.6 19 28.1-2.6-.5-5.2-1-7.7-1.3-3-6.3-9.7-11.6-17.9-14.1-1.3-.4-2.7-.7-4-.9-1.9-1.7-3.8-3.2-5.8-4.7-8.2-6-17.9-10.6-27.5-13.5l-5.2 17.2c5.5 1.7 11.1 4.1 16.1 7-3.2 3.6-4.3 8.4-3.4 12.7-5.8.4-11.4-.1-16.1-1.3l-4.6 17.4c11.4 3 23.9 2.8 35.8.2 1.5.6 3 1.2 4.5 1.6 8.1 2.3 16.5 1.6 22.4-2 2 .9 4 1.8 6.2 2.6-11.2 7.2-25.1 12.1-36 16.4l6.6 16.8c7.4-3 18.1-6.4 28.8-11.8.7 10.3 3.1 20.2 6.6 28.7l16.6-6.8c-3-7.4-5-16.3-5.3-25.4 7 12.4 15.5 21 24.7 27.3 10.2 6.9 20.8 11.3 31.4 16.2 7.9 21.6 13.7 39.1 12.1 58-2.2-8.4-6.1-17.5-11.4-26-14.8-23.9-35.9-37.6-47.1-30.7-11.2 7-8.3 31.9 6.5 55.8 6.2 10 13.8 18.6 21.6 24.5-23.7-7-35.6-21.2-50.9-41.8l-14.4 10.8c17.9 24 36.7 43.8 72.1 51.1-10.2 3-20.8 3.8-29.5 2.8l-2.2 17.8c10 1.2 21.2.7 32.5-2.1-2.2 11.5-2.7 22.4-3.5 30l17.8 2c1.3-11.5 2.3-26.3 6.4-39 1.4 1.8 2.7 3.6 4.1 5.2-1.9 6.5-.5 14.6 3.7 21.7-4.4 13.3-2.6 27.9 4.1 39.5l15.6-9c-2.8-4.9-4.1-10.9-3.8-16.9 7.4 1.9 13.9.5 18-5.2 4 3.5 7.9 8 11.3 13.3l15.2-9.6c-6.8-10.6-15.5-19.9-25.6-25.3-.8-1.9-1.7-3.8-2.8-5.6-4.5-7.2-11.4-12.3-18.3-13.5-1-2.3-2.1-4.7-3.4-7.1 12.1 0 22.2 3.5 32.2 10.9l10.6-14.6c-9.9-7.2-20.7-11.6-32.5-13.4 6.1-11 9.8-24.4 10-40.3l-18-.2c2.5 15.9-11.2-42.7-13.7-49.5l2.3-4.2c-18.1-10.5-37-14.9-50.3-29 7.1 4.7 15.9 8.6 25.2 11.4 27 7.9 51.8 4.1 55.5-8.6 3.6-12.7-15.2-29.3-42.1-37.2-8.6-2.5-17.3-3.9-25.3-4.1 18.2-3.8 38.5-.6 53.5.8l1.6-18c-22.8-.8-40.7-5.2-60.6 0 3.7-1.7 7.8-3.2 12.3-4.5l-5-17.2c-15.4 4.4-27.4 11.5-36.4 20-4.8-10.7-12-19.9-21.4-27.4zM77.53 308l-14.42 10.8c1.92 2.6 3.31 6.9 3.87 11.6-6.61-1-13.11 2-15.99 7.6-4.36-3.1-8.74-7.1-12.72-12l-13.96 11.4c7.87 9.7 17.53 17.9 28.2 22 4.4 8.4 14.91 16.1 23.21 16.7.87 1.5 1.8 3.1 2.8 4.6-12.8-1-26.05-6.2-37.11-12.5l-8.88 15.6c11.48 6.5 25.8 12.9 41.08 14.8-6.09 11.4-9.12 25.9-7.31 43.5l17.9-1.8c-.47-4.6-.6-8.8-.44-12.6 2.92 20.4 14.73 40.3 22.64 55.7l16-8.2c-7.5-17.3-18.5-32.2-20.7-49.4 3.1 7.4 7.8 15 13.3 22.1 17.4 21.9 39.9 33.1 50.2 25 10.3-8.2 4.6-32.6-12.8-54.6-8.5-10.8-18.8-19.6-28.4-24.2 7.1.6 13 2 18.5 4.2 10.8 4.5 21.1 12.5 35.9 23.7l10.9-14.4c-14.5-9.5-27.3-21.4-41.3-26.4V364c-9.3-.1-20 .7-30.5 3.3 3.8-12.8 5.6-25.5 5.5-36.1l-18 .2c.1 10.3-2.3 24.5-7.39 38.1-1.91-2.1-3.86-4.1-5.8-6 .64-14.4-2.06-16.6-6.56-27.5.19-9.2-1.37-19.5-7.72-28z"}}]})(props);
};
function GiAnubis (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M250.116 18.434c-21.698 17.475-34.874 41.798-40.662 66.08-6.197 25.996-3.26 51.55 4.283 65.933 11.52.242 23.125.648 34.8 1.563-8.81-40.373-2.126-89.404 1.58-133.576zm68.355 4.923C294.65 37.804 278.37 60.17 269.416 83.47a123.497 123.497 0 0 0-6.647 24.72c.074 16.748 1.38 32.34 4.84 45.82 10.647 1.416 21.34 3.402 32.066 6.197-4.84-42.216 8.912-91.915 18.797-136.85zM182.775 153.18c-31.763 13.23-57.732 27.296-78.81 43.875 28.11-8.497 56.824-15.818 102.097-17.15-7.178-12.547-15.062-21.795-23.286-26.725zm38.4 15.502c10.794 18.304 18.826 41.812 25.327 67.76 9.307 37.146 14.9 79.952 17.58 121.413l1.018 5.08c7.72-15.142 14.97-27.61 25.328-37.404 15.293-14.455 36.532-21.586 71-23.77l84.438-5.35c1.69-2.71 3.858-5.01 6.168-6.873 4.113-3.317 8.825-5.766 13.715-7.906 7.636-3.34 15.298-5.73 21.615-7.755l1.523-13.838-121.02-26.03-30.26-40.046c-38.31-20.025-76.89-24.05-116.432-25.278zm-6.328 29.04c-66.34.764-94.654 13.857-139.322 26.753a177.685 177.685 0 0 0-16.748 23.738c45.876-12.584 87.697-26.7 141.912-26.723 7.77-.003 16.19.36 23.166.854-2.76-8.835-5.777-17.082-9.008-24.62zm106.356 2.41l27.596 38.24-57.56-16.208c-10.734-8.355 2.357-15.547 29.964-22.03zm-121.41 39.352c-56.6.183-98.923 16.695-151.95 30.272-3.154 7.264-6.003 14.94-8.562 23.078 53.346-16.353 103.037-28.704 152.973-29.066 14.097-.103 28.217.765 42.443 2.752-1.708-8.837-3.586-17.438-5.654-25.694-10.206-.94-19.93-1.372-29.25-1.342zm-7.53 42.3c-50.43.405-101.55 13.782-158.613 31.644a362.882 362.882 0 0 0-4.017 19.433c-2.148 12.008-5.22 31.55-6.207 47.923-.493 8.186-.41 15.644.32 20.383.32 2.08.76 3.28 1.028 3.916 4.03 1.25 7.358 2.784 10.762 3.897 1.452-10.58 2.124-22.613 2.83-32.06.79-10.542 1.645-21.19 2.84-29.723.597-4.267 1.248-7.967 2.205-11.24.48-1.637.998-3.166 1.952-4.87.954-1.706 2.372-4.194 6.35-5.513 60.973-20.214 121.89 3.492 159.36 53.875l2.173 2.917-13.406 103.62 36.833 7.58 11.025-99.967c-.935-35.195-4.04-73.118-9.703-108.383-15.28-2.483-30.476-3.556-45.733-3.434zm97.98 72.97c-6.276 10.178-12.568 23.234-20.775 39.652l-1.072 2.145 21.63 96.046 31.9-4.678z"}}]})(props);
};
function GiAnvilImpact (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M413.375 69.906L336.937 191.47l-8.25-32.69-30.218 88.97 62.655-29.375.22 29.438 127.03-50.938-70.813-1.97 47.782-68.686-73.47 39.25 21.5-95.564zM210.22 102.094l-32 14.406 16.874 55.656-177.813 80.03 12.564 27.876L207.656 200l30.406 49.47 49.313-22.19-21.344-70.343-55.81-54.843zM197.593 266.78v20.345h-88.906c15.994 38.807 51.225 65.43 88.906 74.28v32.97h58.562c-12.118 30.528-33.505 55.684-58.47 77.594H172.22v18.686H456.56V471.97h-27.406c-28.734-21.895-50.055-47.018-61.625-77.595h63.658v-29.188c19.748-6.995 39.5-19.51 59.25-36.687-19.812-17.523-39.23-27.25-59.25-31.938v-29.78H197.594z"}}]})(props);
};
function GiAnvil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128.688 115.594v147.75h285v-147.75h-285zm-111.844 20.47c17.374 47.14 54.372 80.413 94.906 93.81v-93.81H16.844zm414.375 12.31v88.657c21.457-9.083 42.92-25.257 64.374-47.374-21.52-22.562-42.633-35.173-64.375-41.28zm-226.25 132.47c-12.15 38.536-33.897 71.5-60.595 100.47l257.844-.002c-28.705-29.016-49.952-62.054-61.5-100.468H204.97zM101.843 400v43.78h337.562V400H101.844z"}}]})(props);
};
function GiApc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96.962 289.6c23.244.038 43.825 15.022 51 37.13 7.175-22.1 27.766-37.064 51-37.064 23.235 0 43.826 14.965 51 37.064 7.175-22.1 27.766-37.064 51-37.064 23.235 0 43.826 14.965 51 37.064 8.08-24.967 33.042-40.42 58.992-36.515 25.95 3.904 45.262 26.016 45.638 52.255 12.316-8.64 22.722-33.47 26.31-50.18 2.25-4.978-.737-10.75-6.1-11.79l-42.28-14.16a9.24 9.24 0 0 1-3.83-1.71l-55.42-50a9.68 9.68 0 0 0-5.85-2h-261.37a16.132 16.132 0 0 0-10.51 3.9l-64.31 60.67a14 14 0 0 0-4.62 13.37L45.842 327c7.097-22.255 27.76-37.373 51.12-37.4zm206.78-59.6h58.81l24.5 21.62h-83.31zm49.21-60h-99v8.73h-39.9v16.92h-65.7v-16.92h-14.49v-32.58h26.31v-14h42.71v14h51.07v9h99zm-256 209.85a36.62 36.62 0 1 1 14.014-70.452 36.62 36.62 0 0 1 22.606 33.832c0 20.22-16.39 36.614-36.61 36.62zm102 0a36.62 36.62 0 1 1 14.014-70.452 36.62 36.62 0 0 1 22.606 33.832c0 20.186-16.334 36.565-36.52 36.62zm102 0a36.62 36.62 0 1 1 14.014-70.452 36.62 36.62 0 0 1 22.606 33.832c0 20.186-16.334 36.565-36.52 36.62zm102 0a36.62 36.62 0 1 1 14.014-70.452 36.62 36.62 0 0 1 22.606 33.832c0 20.186-16.334 36.565-36.52 36.62z"}}]})(props);
};
function GiApolloCapsule (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 41.19c-22.9 0-47.1 11.76-67.6 28.16-15.2 12.16-28.2 26.81-37.1 39.95h209.4c-8.9-13.14-22-27.8-37.2-39.95-20.5-16.4-44.7-28.16-67.5-28.16zM140.5 127.3c-3.8 5.9-29.6 46.6-57.49 94.5-15.01 25.8-30.02 52.6-41.16 74.8-5.58 11.2-10.19 21.2-13.32 29.3-3.13 8-4.57 14.5-4.57 16.2 0 38.2 31 70.2 76.74 93 45.8 22.9 105.1 35.7 155.3 35.7 50.1 0 109.4-12.8 155.2-35.7 45.8-22.8 76.8-54.8 76.8-93 0-9.4-6.9-29.9-17.9-52.9-11.1-22.9-26.1-49.1-41-73.7-27.9-45.8-53.6-82.8-57.4-88.2H140.5zm6.8 12.7l42 20.9h133.4l41.9-20.9 21.8 65.6-38.1 57.2v.3c1.6 12.2 2.7 21.5 2.7 27.3v9H160.9v-9c0-5.8 1.1-15.1 2.8-27.3v-.2l-38.1-57.3 21.7-65.6zm10.6 25.4L145.4 203l19.9 29.9 11.6-58-19-9.5zm196.1 0l-18.9 9.5 11.5 58 20-29.9-12.6-37.6zm-159.2 13.5c-1 5.8-3.7 22.2-7.4 46.2-2.1 13.9-4.3 28.4-5.9 40.4-.8 6-1.4 11.5-1.9 15.9h152.7c-.5-4.4-1.1-9.9-1.9-15.9-1.6-12-3.7-26.5-5.9-40.4-3.6-24-6.3-40.4-7.3-46.2H194.8zm61.2 17.5c18.5 0 33.8 15.3 33.8 33.8 0 18.5-15.3 33.8-33.8 33.8-18.5 0-33.8-15.3-33.8-33.8 0-18.5 15.3-33.8 33.8-33.8zm0 18.1c-8.8 0-15.7 6.9-15.7 15.7 0 8.8 6.9 15.7 15.7 15.7 8.8 0 15.7-6.9 15.7-15.7 0-8.8-6.9-15.7-15.7-15.7zm-131.1 38.2l16.8 6.6-34.5 86.1-16.71-6.6 34.41-86.1zm262.2 0l34.4 86.1-16.8 6.6-34.4-86.1 16.8-6.6zm-226 87.6l17.6 3.6-17.3 86-17.6-3.6 17.3-86zm189.7 0l17.3 86-17.6 3.6-17.3-86 17.6-3.6z"}}]})(props);
};
function GiApothecary (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M50.396 27.148s3.885 57.047 20.793 101.735c-26.238 7.921-51.181 22.26-51.181 22.26S44.648 186.767 71 204.666c20.678-5.465 41.356-9.71 61.88-12.967.229-.628 36.217-2.59 61.39-11.234 8.453-2.857-93.338-101.965-89.036-106.477 4.343-4.57 116.758 86.083 119.309 81.037 13.786-27.038 2.59-60.111-29.475-90.462C157.101 28.538 50.396 27.148 50.396 27.148zm388.588 6.055c-15.462 0-29.508 6.699-38.996 17.29-15.304 17.082-12 50.224-20.832 65.575-11.995 18.718-75.135 67.748-75.135 67.748s42.995 1.79 79.211 17.403c8.873-17.346 11.385-25.076 33.168-43.012 9.94-8.206 26.968-15.866 41.663-22.678 20.405-9.46 33.628-26.988 33.93-49.336 0-29.246-23.763-52.99-53.009-52.99zM236.697 206.498c-67.057-.324-136.223 11.41-205.19 36.172v91.91c0 83.018 67.254 150.272 150.272 150.272h97.186c82.942 0 150.27-67.253 150.27-150.272v-91.91c-60.532-23.468-125.48-35.848-192.538-36.172z"}}]})(props);
};
function GiAppleCore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M267.6 21.32h-1.1c-7.2.4-14.6 3.51-20.1 9.59l-2.6 84.59 13.2.6 25.8-90.49c-3.7-2.67-8.7-4.21-14-4.33h-1.2zM227 74.88c-40.2 1.1-78.3 9.54-107.1 25.62-32.88 18.4-53.76 45.5-54.82 85.4 38.22-9.9 70.42-17.5 101.32-16.1 31.7 1.3 61.8 12.5 94.2 38.2 27-34.8 59.1-49.7 94.1-48.7 33.2.9 54.1 5.6 92.2 25.3-6.4-31.2-15-48.1-47.9-68.1-31.2-19-71.1-32.11-112.5-38.09l-10.7 37.49c7.5-1.2 15.1-2.6 22.9-4l3.2 17.8c-17 3-34.8 6.8-52.5 6.9-17.8 0-36-4.1-51.5-17.1l11.6-13.8c5.2 4.3 10.6 7.4 16.2 9.4zM342 177.6c-26.9 2.4-50.1 16.1-72.4 48.2l-5.7 8.2-7.5-6.4c-33.2-28.2-60.5-38.5-90.7-39.8 32.3 43.9 43.8 96.7 41.6 144.3-1.8 38.8-12 74.5-28.6 100 9 3.8 18.3 7.1 27.2 8.8 18.5 3.7 34.6 1.9 48.6-13.2l5.5-5.9 6.5 4.8c17.3 12.9 34.7 12.5 53.8 6.1 8.9-3 18-7.3 27-12.3-38.8-79.2-41.2-160.9-5.3-242.8zm-57.3 93.3s19.2 23.7 17 37.2c-.8 5.2-5.5 11.2-10.7 11.5-7 .4-14.1-6.9-16.2-13.6-3.5-11.6 9.9-35.1 9.9-35.1zm-41.1 3.2s13.7 26.2 9 38.6c-1.9 4.8-7.5 9.6-12.5 8.8-6.7-.9-12.1-9.3-12.7-16.1-1.1-11.7 16.2-31.3 16.2-31.3zm135.6 148.2c-15.8 9.9-33.8 21.1-53.3 27.5-20.3 6.7-43 7.6-63.8-4.7-17.7 15.2-39.7 17.5-59.7 13.5-20.7-4.1-40.2-13.9-56.2-22.2-20.2 7.9-42.2 11.2-73.91 10.8 16.3 11.7 38.71 21.4 64.91 28.5 37.2 10 81.6 15 125.4 15 43.7-.1 86.9-5.2 121.7-14.9 25.3-7 45.8-16.7 59.2-27.6-10.8-.2-19.9.1-29.1-1.7-12.3-2.3-23.6-9.3-35.2-24.2z"}}]})(props);
};
function GiAppleMaggot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M234.094 19.406l-18.688.313.47 27.468c-11.52.584-23.032 2.315-34.345 5.124l-8.343-29.25-17.968 5.125 8.436 29.532c-10.708 3.84-21.092 8.698-30.97 14.5l-17-28.376-16.03 9.593L117.094 82.5c-9.14 6.74-17.66 14.39-25.375 22.906l-22.657-21.97-13 13.44L79.936 120c-6.268 8.728-11.766 18.15-16.312 28.28L39.72 137.063 31.78 154l25.157 11.813c-3.008 9.477-5.243 19.44-6.593 29.906l-23.282-1.19-.937 18.657 22.813 1.157c-.24 8.777.117 17.857 1.124 27.22l-20.624 1.874 1.687 18.625 20.22-1.844c-.053 6.906.35 13.867 1.25 20.81L36.874 285l4.563 18.125 14.687-3.72c8.055 31.428 26.478 61.905 56.906 87.095.53 4.372 3.31 8.302 7.72 10.188 6.615 2.827 14.01-.142 16.844-6.782 2.833-6.64-.133-14.046-6.75-16.875-1.654-.706-3.364-1.045-5.03-1.06-.314-.004-.63.01-.94.03-.005-.005-.024.005-.03 0-22.936-18.977-38.142-40.818-46.688-63.5-15.91-50.433-.102-86.988 30.22-110.188-12.37-2.92-25.05-8.367-35.282-17.28l12.28-14.095c7.942 6.917 19.41 11.684 30.376 13.844 8.676 1.71 17.147 1.58 22.47.626 8.057-3.338 16.542-6.042 25.31-8.156-.99-.597-1.98-1.213-2.968-1.844-16.615-10.62-32.4-26.322-41.656-46.53l16.97-7.782c7.398 16.155 20.704 29.616 34.75 38.594 11.26 7.198 23.117 11.25 31.5 12.218 8.696-.37 17.41-.205 26 .5-12.34-14.543-22.488-33.296-25.69-54.375l18.5-2.81c2.67 17.568 11.75 34.19 22.783 46.686 6.34 7.185 13.405 12.895 19.78 16.75 7.88 2.2 15.427 4.923 22.5 8.156-5.584-15.06-8.527-32.087-6.594-49.406l18.563 2.063c-1.972 17.66 2.515 36.073 9.936 51 7.422 14.924 18.17 26.132 25.375 29.655l4.876 2.406.344 5.407c1.682 25.836 10.346 49.825 28.906 68.72 15.068 15.338 37.1 27.508 68.28 34-27.347-34.898-47.333-65.726-50.03-102.157l-.437-6.03 5.31-2.876c5.316-2.887 10.85-6.908 16.064-11.938 14.927-14.4 20.86-31.03 20.25-47.187-.772.143-1.56.218-2.375.218-7.122 0-12.908-5.755-12.908-12.875 0-5.796 3.828-10.686 9.094-12.313-.12-.26-.22-.524-.344-.78-3.824-7.99-9.19-15.287-15.812-21.345-2.188 3.98-6.412 6.656-11.28 6.656-7.122 0-12.908-5.753-12.908-12.874 0-2.67.827-5.158 2.22-7.22-8.033-2.987-16.87-4.512-26.282-4.124-8.12.337-17.212 2.52-26.688 6.344L322.75 81.28l-.188-.155.063-.125-.063-.188c.075-.03.145-.064.22-.093l13.437-24.22-16.345-9.063L307.375 70c-8.002-5.064-16.423-9.26-25.156-12.625l6.5-26-18.126-4.53-6.22 24.905c-9.73-2.427-19.725-3.884-29.812-4.47l-.468-27.874zm98.125 116.47c7.12 0 12.905 5.754 12.905 12.874 0 7.12-5.786 12.906-12.906 12.906-7.122 0-12.876-5.786-12.876-12.906 0-7.12 5.754-12.875 12.875-12.875zm113.03 24.343c-.4 15.935-5.573 32.132-16.47 46.5 27.434 13.336 52.025 35.102 61.408 75.5 4.953-50.454-4.958-96.694-44.938-122zm-92.188 13.343c7.12 0 12.875 5.754 12.875 12.875 0 7.12-5.754 12.906-12.875 12.906-7.12 0-12.906-5.786-12.906-12.906 0-7.12 5.786-12.875 12.906-12.875zM214 269.625c-2.285-.01-4.37.135-6.156.344-3.29 22.39-4.268 41.092-3.063 60.686-7.654-4.135-15.73-6.97-23.968-8.312-20.05-3.272-36.837 2.83-49.062 15.375-4.404 4.52-8.177 9.94-11.188 16.124 1.782-.308 3.583-.502 5.407-.5 4.093.003 8.24.8 12.218 2.5 15.912 6.803 23.386 25.487 16.593 41.406-6.438 15.09-23.557 22.61-38.874 17.563 9.237 39.225 38.394 72.143 72.375 77.687 4.746.774 11.172.88 16.69.063 5.515-.817 10.023-2.85 11.28-4l6.094-5.594 6.312 5.405c1.572 1.345 5.7 2.798 11.063 3 5.36.202 11.617-.662 16.56-1.938 39.435-10.158 72.708-58.216 70.72-105.78-1.72-41.132-30.873-67.235-62.97-66.626H264c-4.374.092-9.26.883-14.344 2.19-7.944 2.043-15.61 5.534-22.78 10.217 2.367-15.41 7.606-30.056 15.655-45.875-5.336-11.122-18.628-13.89-28.53-13.937z"}}]})(props);
};
function GiAppleSeeds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M261.438 21.22c-15.84.29-39.205 5.187-47.22 24.593 16.916 29.242 27.28 56.103 31.188 86.03-18.24-11.44-37.88-19.485-58.187-23.562-11.477-2.303-22.64-3.514-32.97-3.155-73.71 2.563-136.555 66.652-135.344 158.844 1.39 105.896 79.51 207.666 170.03 225.842 11.483 2.307 25.594 3.514 38.22 2.344 12.626-1.17 23.416-4.88 29.25-10.47l6-5.748 6.406 5.28c5.578 4.59 17.04 8.266 29.97 9.47 12.93 1.203 27.243.23 38.374-2.22 89.895-19.778 157.117-122.258 155.72-228.624-.697-52.98-19.85-96.1-49.5-123.438-22.238-20.503-50.338-32.37-81.97-32.844-10.544-.158-21.47.963-32.72 3.438-17.795 3.915-35.014 10.908-51.123 20.563 1.056-35.043-1.918-67.18-9.844-106.22-1.89-.116-4.02-.166-6.283-.124zm-2.594 157.155c10.815 12.31 14.52 23.08 13.72 33.25-.777 9.853-6.463 20.39-17.033 31.438-23.14-19.986-17.763-52.22 3.314-64.688zm67.062 36.47c3.374-.02 6.886.378 10.5 1.186-2.575 15.077-7.64 25.913-15.094 32.407-7.693 6.705-18.566 10.168-34.906 8.813-2.204-20.99 14.342-41.402 38.063-42.375.475-.02.954-.03 1.436-.03zm-140.812 2.53c19.99-.49 36.904 13.895 39.687 32.406-15.465 5.4-26.843 4.78-35.968.22-8.842-4.42-16.477-13.645-22.75-27.594 5.745-2.945 11.522-4.534 17.094-4.937.65-.048 1.293-.08 1.938-.095zm-7.344 57.438c14.08-.03 27.37 7.438 34 19.75-12.746 10.32-23.678 13.618-33.813 12.406-9.813-1.175-20.107-7.273-30.718-18.283 8.964-9.577 19.954-13.853 30.53-13.875zm140.22 3.656c.754-.003 1.522.02 2.28.06 12.186.67 24.498 6.978 32.72 19.908-12.472 8.847-23.703 12.95-33.564 12.28-10.18-.69-20.303-5.94-30.906-18.437 7.203-8.893 18.14-13.783 29.47-13.81zm-114.75 53.436c4.348.067 8.69.933 12.843 2.563-3.055 16.11-9.266 25.655-17.782 31.28-8.243 5.446-20.044 7.443-35.25 5.906 1.213-24.172 19.444-39.027 38.314-39.72.62-.02 1.253-.04 1.875-.03zm86.968.156c18.88.255 37.48 14.673 39.25 38.813-15.18 1.894-27.034.194-35.407-5.063-8.64-5.424-15.07-14.852-18.5-30.875 4.71-1.98 9.682-2.942 14.658-2.875zm-43.97 16.47c21.083 12.47 26.442 44.702 3.282 64.687-10.564-11.047-16.256-21.59-17.03-31.44-.802-10.17 2.934-20.94 13.75-33.25z"}}]})(props);
};
function GiAquarium (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96 39c-4.75 0-8.688.388-12.613 2.385-3.926 1.997-7.284 6.946-7.61 11.176-.65 8.46 3.415 12.92 6.506 18.07 3.09 5.152 6.22 10.342 7.428 13.966 1.21 3.623 1.275 3.692-.073 5.04l-.035.034-.034.035C48.298 131.88 23 192.615 23 256c0 84.586 49.342 158.86 116.316 199.686C176.136 478.13 214.018 473 256 473c41.406 0 80.11 4.575 116.62-17.277C440.496 415.1 489 341.143 489 256c0-63.218-25.516-124.14-66.553-166.28l-.04-.042-.044-.04c-1.348-1.35-1.282-1.42-.074-5.042 1.207-3.624 4.336-8.814 7.427-13.965 3.09-5.15 7.156-9.61 6.506-18.07-.326-4.23-3.684-9.178-7.61-11.175C424.688 39.388 420.75 39 416 39H96zm0 18h320c.277 0 .127.03.38.037-.584 1.346-1.09 2.656-2.097 4.332-2.91 4.848-6.78 10.658-9.072 17.534-2.29 6.877-2.225 16.808 4.427 23.46l-.084-.085C447.116 140.852 471 197.657 471 256c0 78.296-44.763 146.655-107.62 184.277C332.713 458.63 298.577 455 256 455c-43.3 0-76.282 4.233-107.316-14.686C86.65 402.5 41 333.556 41 256c0-58.569 23.653-115.098 61.432-153.705l-.07.068c6.653-6.65 6.72-16.582 4.427-23.46-2.293-6.875-6.164-12.685-9.073-17.534-1.006-1.677-1.513-2.987-2.096-4.333.253-.008.103-.037.38-.037zm87.484 61.742c-3.14-.01-6.395.055-9.734.186-20.032.785-43.117 3.942-63.287 7.217-2.172.352-4.24.706-6.332 1.06-5.374 5.666-10.308 12.474-14.8 20.115-.174.296-.34.6-.514.9 7.16-1.346 15.486-2.84 24.532-4.308 26.376-4.282 58.298-8.124 78.11-6.928 40.6 2.452 80.8 29.15 128 32 23.11 1.396 55.185-2.763 82.08-7.13 9.824-1.594 18.89-3.226 26.49-4.665-2.093-4.34-4.305-8.55-6.655-12.547-.815-1.386-1.65-2.734-2.494-4.063-6.142 1.128-12.943 2.325-20.228 3.508-26.376 4.282-58.298 8.124-78.11 6.928-40.6-2.452-80.8-29.15-128-32-2.888-.175-5.916-.263-9.058-.274zm-66.115 42.77l-30.026 2.88A192 192 0 0 0 64 256a192 192 0 0 0 62.63 141.56A224 224 0 0 1 87.88 272a224 224 0 0 1 29.49-110.488zm250.806 13.435a24 24 0 0 0-24 24 24 24 0 0 0 24 24 24 24 0 0 0 24-24 24 24 0 0 0-24-24zm30.83 78.46a16 16 0 0 0-16 16 16 16 0 0 0 16 16 16 16 0 0 0 16-16 16 16 0 0 0-16-16zm-94.026 18.546c-29.042.46-80.674 29.662-102.882 42.205C187.845 300.326 172.085 288 144 288c16 16 16 48 0 64 28.08 0 37.343-22.155 56.672-22.168C220 329.82 289.394 372.967 320 368c38.434-6.237 64-32 64-48-1.427-24.583-47.862-46.512-76.28-48-.89-.046-1.803-.062-2.74-.047zM336 293.385a10.81 10.81 0 0 1 10.81 10.808 10.81 10.81 0 0 1-10.81 10.81 10.81 10.81 0 0 1-10.81-10.81A10.81 10.81 0 0 1 336 293.385z"}}]})(props);
};
function GiAquarius (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M301.313 68.906l-88.875 69.438-35.157-68.156-141.218 93.406v85.72l108.626-76.69 39.437 67 93.03-65.06 34.658 69.28 93.343-68.094 67.97 78.563 1.28-112.75L426.5 70.438 337.437 137l-36.125-68.094zm0 194.125l-88.875 69.44-35.157-68.126L36.063 357.72v85.717L144.69 366.75l39.437 67 93.03-65.063 34.658 69.282 93.343-68.064 67.97 78.53 1.28-112.748-47.906-71.094-89.063 66.53-36.125-68.093z"}}]})(props);
};
function GiAqueduct (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.537 117.564L17.497 135h476.944v-17.436H17.538zM17.46 153l-.106 47H24a32 32 0 0 1 32-32 32 32 0 0 1 32 32h16.033a32 32 0 0 1-.033-.676 32 32 0 0 1 32-32 32 32 0 0 1 32 32 32 32 0 0 1-.023.676h15.783a32 32 0 0 1 32-32 32 32 0 0 1 32 32h16.033a32 32 0 0 1-.033-.676 32 32 0 0 1 32-32 32 32 0 0 1 32 32 32 32 0 0 1-.024.676h16.33a32 32 0 0 1-.066-1.324 32 32 0 0 1 32-32 32 32 0 0 1 32 32 32 32 0 0 1-.047 1.324H424.1a32 32 0 0 1-.1-2 32 32 0 0 1 32-32 32 32 0 0 1 32 32 32 32 0 0 1-.07 2h6.51v-47H17.46zm-2.136 63l.2 96h8.67A32 80 0 0 1 56 240a32 80 0 0 1 31.84 72h16.353A32 80 0 0 1 136 240a32 80 0 0 1 31.84 72h16.353A32 80 0 0 1 216 240a32 80 0 0 1 31.84 72h16.353A32 80 0 0 1 296 240a32 80 0 0 1 31.84 72h16.353A32 80 0 0 1 376 240a32 80 0 0 1 31.84 72h16.353A32 80 0 0 1 456 240a32 80 0 0 1 31.84 72h7.924l.398-96H15.324zm-.726 112l.677 160H41.05A62.988 144 0 0 1 104 346.537 62.988 144 0 0 1 166.934 488h26.203A62.988 144 0 0 1 256 352a62.988 144 0 0 1 62.813 136h26.324A62.988 144 0 0 1 408 352a62.988 144 0 0 1 62.813 136h24.705l1.353-160H14.6z"}}]})(props);
};
function GiArabicDoor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 20c-44 0-85.11 36.98-113.305 82.525-24.87 40.175-39.3 90.822-22.535 135.27L94 250.875V455h36V273.125l39.436-19.719-10-16.668c-19.098-31.828-9.936-76.81 13.869-115.263C197.11 83.02 236 56 256 56c20 0 58.89 27.02 82.695 65.475 23.805 38.454 32.967 83.435 13.87 115.263l-10 16.668L382 273.125V455h36V250.875l-26.16-13.08c16.766-44.448 2.334-95.095-22.535-135.27C341.11 56.98 300 20 256 20zm9 54.436V492h101V283.016l-46.443-23.225c12.021-19.222 28.122-39.043 27.336-62.879-2.362-49.393-33.647-94.935-76.024-119.818-1.873-.956-3.843-1.884-5.869-2.658zm-18 .384c-24.927 9.489-42.887 31.542-58.365 52.46-17.346 26.324-28.65 59.052-20.375 90.476 4.108 12.904 10.876 22.771 17.332 36.484 3.424 6.379 2.441 4.667-21.881 19.918L146 283.016V492h101zM167 358h18c0 5.75 1.834 8.923 4.479 11.273C192.123 371.624 196 373 200 373c4 0 7.877-1.376 10.521-3.727C213.166 366.923 215 363.75 215 358h18c0 10.25-4.166 19.077-10.521 24.727C216.123 388.376 208 391 200 391s-16.123-2.624-22.479-8.273C171.166 377.077 167 368.25 167 358zm112 0h18c0 5.75 1.834 8.923 4.479 11.273C304.123 371.624 308 373 312 373c4 0 7.877-1.376 10.521-3.727C325.166 366.923 327 363.75 327 358h18c0 10.25-4.166 19.077-10.521 24.727C328.123 388.376 320 391 312 391s-16.123-2.624-22.479-8.273C283.166 377.077 279 368.25 279 358zM94 473v19h36v-19zm288 0v19h36v-19z"}}]})(props);
};
function GiArcTriomphe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 92v24h24V92H64zm40 0v24h48V92h-48zm64 0v24h48V92h-48zm64 0v24h48V92h-48zm64 0v24h48V92h-48zm64 0v24h48V92h-48zm64 0v24h24V92h-24zM48 132v16h416v-16H48zm16 32v112h128.67c4.696-29.122 34.004-56 63.33-56s58.634 26.878 63.33 56H448V164H64zm17.994 16H184v80H81.373l.56-72.063.061-7.937zM208 180h96v16h-96v-16zm120.063 0h102.005v80H327.441l.559-72.063.063-7.937zM97.869 196l-.371 48H168v-48H97.87zm246.069 0l-.372 48h70.502v-48h-70.13zM64 292v200h128V292H64zm256 0v200h128V292H320zM88 414h80v64H88v-64zm256 0h80v64h-80v-64zm-240 16v32h48v-32h-48zm256 0v32h48v-32h-48z"}}]})(props);
};
function GiArchBridge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-60.6 0-118.6 34.43-161.37 81.1-39.93 43.6-66 97.7-69.26 140.9h30.17c3.63-35.2 27.67-79.1 61.76-117C154.4 88.8 204 55 256 55c52 0 101.6 33.8 138.7 75 34.1 37.9 58.1 81.8 61.8 117h30.1c-3.2-43.2-29.3-97.3-69.2-140.9C374.6 59.43 316.6 25 256 25zm0 48c-3 0-6 .15-9 .42V247h18V73.42c-3-.27-6-.42-9-.42zm-55 14.06c-6.1 2.98-12.1 6.36-18 10.1V247h18V87.06zm110 0V247h18V97.16c-5.9-3.74-11.9-7.12-18-10.1zM137 135.2c-2.1 2.3-4.2 4.5-6.3 6.8-4.1 4.5-8 9.2-11.7 13.9V247h18V135.2zm238 0V247h18v-91.1c-3.7-4.7-7.6-9.4-11.7-13.9-2.1-2.3-4.2-4.5-6.3-6.8zM25 265v46h462v-46H25zm5.56 64L57 381.9V487h62V379.7l63.3-50.7H30.56zm299.14 0l63.3 50.7V487h62V381.9l26.4-52.9H329.7z"}}]})(props);
};
function GiArcher (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M341 25.97c-25.5 42.42-21.2 82.13-10.9 117.13 10.3 35.1 25.6 66.5 25.6 95.5h.1c6.3-1.4 12.1-1.9 17.9-.9-.3-34.7-16.8-67-26.4-99.6-9.7-33-13.4-65.29 9.1-102.87zm-33.3 36.27L154.2 227.7c7.6 0 15.6.9 23.2 2.9 7.2-2.9 13.8-8 19.3-15.1 4.1-5.3 7.5-11.6 10-18.7L304 91.96c.1-9.68 1.2-19.6 3.7-29.72zM164.2 107.1c-12.3 0-23.7 6.3-32.5 17.6s-14.5 27.4-14.5 45.4 5.7 34.1 14.5 45.4c1.4 1.8 2.9 3.5 4.4 5l70.9-76.3c-2.5-7.4-6.1-14-10.3-19.5-8.8-11.3-20.2-17.6-32.5-17.6zm264.5 119.5v19h-34c5.9 4.9 9 11.3 10.2 18h23.8v19l64-28zm-225.2 19c1.4 2 2.5 4.3 3.3 6.8.8 2.4.5 5.1-.2 6.7-.7 1.9-1.8 3.1-3.2 4.5h131.5c.1-.2.1-.4.1-.6 1.9-8.2 2.5-12.6 8-17.4zm-58.3.5c-8.5 1.3-14.4 4.5-21 6.7l-74.48-1c-23.01-.1-31.67 34.4-7.93 35.4 16.14.3 27.69-2 39.55-4 11.86-2 24.16-3.8 39.56-1.3 9.3 2.2 18.1 7.4 25.3 12 8.7 2.2 17.5 2 23.8.2 5.7-1.6 8.7-4.1 9.9-6.1-5-7.6-12.3-14.2-9.6-22.3 3-6.4 9.5-9.1 15-12.1.1 0 .2-.1.3-.1-2.6-1.9-6.4-3.8-11.3-5.1-10.2-2.3-19.5-3.2-29.1-2.3zm209 13.7c.9-1-.8 1.7-1.3 5.7-.6 4-.8 9.2-.4 14.4 1.3 6.9.7 16.2 6.2 21.4 6.5 4.1 24.2 5.1 27.2-1.2 1.3-12.3 4.1-23.5.8-35.2-.8-3-1.9-4.3-2.2-4.5-8.6-4.6-22.7-8.8-30.3-.6zm-19.7 21.1c-51 .9-87.9.2-137.8.6 5.7 15.3-9.3 26.3-21.9 29.9-.1 0-.2 0-.3.1l130.8 171c-1.4-9.8-1.5-19.3-.9-28.6l-84.2-110.1c.7-14.3 0-25.5-.9-39.3 40.6 2.7 82.7 1.5 119.6-1.7-2.5-7-3.9-15-4.4-21.6zM112.9 299c-12.5 41.7-2.7 92.3-7.3 138v-.2L101 494h121.1l-16.7-63.3c3.5-12.9 6.8-26.4 8.9-37.6l-61.1-79.9c-17.7-.3-25.6-12.5-40.3-14.2zm242.8 21.2c-.6 28.6-15.5 59.4-25.6 93.9-7.2 24.5-11.5 51.4-4.6 79.9h18.4c-7.7-26.2-3.8-50.4 3.4-74.9 9.3-31.5 25-62.8 26.3-96.1-6 .3-12.2-.5-17.9-2.8z"}}]})(props);
};
function GiArcheryTarget (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M226.063 24.22l-9.782 32.624c12.992-2.652 26.423-4.032 40.19-4.032 10.475 0 20.766.82 30.81 2.376l-9.405-30.97h-51.813zm30.406 48.843c-99.627 0-180.19 80.53-180.19 180.156 0 99.624 80.563 180.155 180.19 180.155 99.624 0 180.155-80.53 180.155-180.156 0-99.627-80.53-180.157-180.156-180.157zm0 41.687c76.482 0 138.467 61.985 138.467 138.47 0 76.482-61.985 138.5-138.468 138.5-76.485 0-138.5-62.018-138.5-138.5 0-76.485 62.015-138.47 138.5-138.47zm-.033 38.938c-54.96 0-99.53 44.54-99.53 99.5s44.57 99.5 99.53 99.5 99.5-44.54 99.5-99.5-44.54-99.5-99.5-99.5zm.032 39.687c33.052 0 59.842 26.79 59.842 59.844 0 33.052-26.79 59.843-59.843 59.843-33.055 0-59.845-26.79-59.845-59.844 0-33.055 26.79-59.845 59.844-59.845zm0 30.906c-15.993 0-28.97 12.947-28.97 28.94 0 15.99 12.977 28.968 28.97 28.968 15.99 0 28.936-12.977 28.936-28.97 0-15.99-12.945-28.937-28.937-28.937zM114.905 395l-27.844 92.875h46.876l20.28-62.313c-14.35-8.54-27.56-18.833-39.312-30.562zm277.188 5.688c-11.982 11.026-25.324 20.595-39.72 28.468l19.25 58.72h46.907l-26.436-87.188zm-165.03 50.78v36.407h52.092v-35.53c-7.45.84-15.015 1.28-22.687 1.28-9.99 0-19.81-.74-29.408-2.156z"}}]})(props);
};
function GiArchitectMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.656 18.906c-76 .73-152 78.23-152 230.313 0 116.987 152 244.155 152 244.155s152.007-127.153 152-244.156c.002-155.008-76-231.045-152-230.314zm-82.812 125.47l13.22 77.843c20.878 3.65 36.813 22.085 36.624 43.936-.143 16.366-9.304 30.634-22.688 38.156l12.344 72.813c-17.1-18.5-30.538-41.915-39.813-67.563-21.673-2.953-38.443-21.77-38.25-44.187.146-16.61 9.572-31.07 23.282-38.5-.354-29.225 4.552-57.82 15.282-82.5zm165.594 0c10.73 24.678 15.635 53.274 15.28 82.5 13.71 7.428 23.138 21.89 23.282 38.5.195 22.415-16.575 41.233-38.25 44.187-9.275 25.647-22.68 49.063-39.78 67.562l12.342-72.78c-13.404-7.518-22.576-21.807-22.718-38.19-.19-21.86 15.762-40.297 36.656-43.936l13.188-77.845zm-159.72 95.874c-14.203-.123-25.626 11.08-25.75 25.28-.122 14.174 11.06 25.578 25.22 25.75h.093c14.205.125 25.597-11.107 25.72-25.31.123-14.206-11.077-25.597-25.28-25.72zm153.845 0c-14.205.123-25.405 11.514-25.282 25.72.125 14.203 11.547 25.435 25.75 25.31 14.205-.122 25.406-11.544 25.283-25.75-.124-14.2-11.547-25.403-25.75-25.28z"}}]})(props);
};
function GiArchiveResearch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149.7 85.6c-1.2 0-2.5 0-3.7.1-33.9.8-75.5 10.7-127.3 33.7v243.4c60.8-28.8 106.7-37.1 144.2-33.1 13.7 1.4 26.3 4.5 37.9 8.6l-45.1-78.8c-8.6 3.5-17.9 5.5-27.7 5.5-40.21 0-73-32.8-73-73s32.79-73 73-73c40.2 0 73 32.8 73 73 0 24-11.7 45.3-29.7 58.7l57.3 100c6.2 3.2 12.1 6.7 17.9 10.2v-243c-23.2-17.7-50.2-30-86-32-3.5-.2-7.1-.3-10.8-.3zm212 0c-3.7 0-7.4.1-10.9.3-35.8 2-62.7 14.3-86 32v243c23.9-14.6 50.1-27.7 83.6-31.2 37.5-4 83.5 4.3 144.2 33.1V119.4c-51.7-23-93.3-32.9-127.2-33.7-1.3 0-2.5-.1-3.7-.1zM128 137c-30.48 0-55 24.5-55 55s24.52 55 55 55c30.5 0 55-24.5 55-55s-24.5-55-55-55zm2.3 13.9h2.8C109 169.1 98.32 193 99.73 221.1c-26.06-38.8 1.27-69.4 30.57-70.2zm13.1 196.5c-32 .3-71.8 9.8-124.7 36v42.5c60.8-28.8 106.7-37.1 144.2-33.1 18.6 2 34.9 6.9 49.8 13.3-4.7 6.1-9.3 13.3-13.9 21.7h53.3l-36-62.7c-16.6-8.3-34.3-14.6-55.1-16.8-5.6-.6-11.5-.9-17.6-.9zm220.9 0c-4.8.1-9.4.4-13.9.9-34 3.6-59.6 18-85.6 34.4v.3c-6.1-1.9-12.3-2.3-18.3-1.2l26.3 46H316c-6-8.2-11.8-15.4-17.7-21.6 15-6.5 31.4-11.4 50.1-13.4 37.5-4 83.5 4.3 144.2 33.1v-42.5c-53.1-26.3-93.1-35.9-125.2-36h-3.1z"}}]})(props);
};
function GiArcingBolt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M291 46.438c29.89 36.34 55.086 74.792 74.156 115.062-49.052-38.586-105.036-68.945-168.78-89.344 40.696 29.09 78.052 61.91 110.624 97.188-37.52-20.55-74.29-31.632-107.438-34.938 33.73 14.255 77.803 44.654 111.063 83.03.626 1.004 1.216 2.002 1.78 3 .03.024.066.042.095.064l-.03.03c-.02-.03-.046-.06-.064-.093-19.063-14.253-54.482-30.81-95.312-40.78-50.3-3.666-101.766.18-154.438 11.624 60.61 5.896 118.714 18.332 172.844 37.97-79.658 6.653-155.155 45.72-217.25 121.47C55.795 329.3 101.74 310.78 143.625 302c40.242-11.185 72.465-12.254 95.563-6.5.04-.004.085.004.125 0l-.032.03c-.03-.007-.06-.022-.093-.03-28.123 2.88-74.114 16.98-115.53 40.688-44.49 40.303-83.695 98.33-97.22 158.78h129.657c22.906-37.08 51.314-68.357 82.78-93.5-6.392 18.97-9.292 37.678-9.218 55.438 12.05-31.583 44.076-73.017 86.72-96.344 11.652 22.34 32.257 39.923 58.437 46.938 49.563 13.28 100.75-16.278 114.03-65.844 4.554-16.994 4.068-34.187-.53-49.97 18.47-69.046-6.238-141.86-56.563-200.842 9.922 38.16 12.75 77.235 5.844 114.47C404.774 140.59 355.627 87.993 291 46.436zm-61.344 410.468l-.03.094.03.03v-.124zm-30.094-322.5c-.03-.012-.064-.02-.093-.03l-.032.03c.04.004.084-.004.125 0zm184.75 110.125c25.482 28.396 40.14 73.42 39.438 101.44 15.463-40.44 16.46-62.094 4.97-96.595 13.306 5.783 24.22 15.16 31.936 26.625 3.704 26.134-8.748 63.216-22.375 79.313 14.565-9.242 26.246-21.02 35-35.375-.19 5.586-.987 11.234-2.5 16.875-10.666 39.81-51.348 63.29-91.155 52.625-35.814-9.597-58.406-43.468-54.813-79.157 35.783 4.916 67.725 25.49 83.375 44.876-9.22-30.88-31.59-60.696-69.968-80.72 11.017-15.548 27.573-26.22 46.092-29.905z"}}]})(props);
};
function GiArena (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M76 16C36 36 31 46 31 46c40 160 5 275-15 375 0 0 10 25 90 45V256c0-80-30-240-30-240zm360 0s-30 160-30 240v210c80-20 90-45 90-45-20-100-55-215-15-375 0 0-5-10-45-30zM226 196c-40 0-90 15-90 15v270s50 15 90 15h60c40 0 90-15 90-15V211s-50-15-90-15h-60z"}}]})(props);
};
function GiAries (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160.167 257.36H75.53C-26.474 176.527 26.283-13.776 164.023 52.574c43.01 20.716 71.747 65.968 90.757 120.75 19.006-54.782 47.74-100.034 90.754-120.75C483.274-13.772 536.03 176.526 434.03 257.36h-84.635s25.075-43.914 28.016-50.135c4.49-9.495 30.98-78.244-6.486-54.04-50.684 32.744-62.257 149.633-67.79 201.062-5.566 51.764-8.797 120.12-8.797 120.12H215.224s-3.23-68.356-8.79-120.12c-5.534-51.434-17.107-168.318-67.796-201.062-37.462-24.204-10.982 44.54-6.482 54.04 2.936 6.22 28.01 50.136 28.01 50.136z"}}]})(props);
};
function GiArmBandage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M318.7 21c4.9 17.27 12.7 32.67 22.5 45.22 17.4 22.31 40.8 35.48 66.3 35.48s48.9-13.17 66.3-35.48c9.8-12.55 17.6-27.95 22.5-45.22zm174.1 49.71c-1.5 2.26-3.1 4.45-4.8 6.58-20.2 25.81-48.7 42.41-80.5 42.41-31.8 0-60.3-16.6-80.5-42.41-.4-.53-.8-1.07-1.2-1.6-37.7 6.23-78.4 12.65-112.2 26.21-18.3 37.5-34 75.5-47.7 113.6 28.8 8.6 57.9 20.9 80.6 37.9l8.4-27.6 17.6 3.4c-8 88.4-8.4 175.9-5.8 263.2h226.1zM82.54 179.6c-.71 3.1-1.61 6.2-2.82 9.2-1.9 4.7-4.36 9.1-7.52 12.8 9.67 9.4 15.64 19.7 19.01 30.1 1.56 4.8 2.55 9.6 3.23 14.3 6.66-5.8 15.26-9.4 24.16-7.3-6.4-22-17.9-43.8-36.06-59.1zm65.76 49.8c-3.1 6.4-6 13-8.6 19.6 19.5-2.3 38.8-2.5 57.7-2.6-15.7-7-32.5-12.7-49.1-17zm-35.4 26.8c-1.8.1-4.3 1.1-7.4 4 2.7 8.3 7.6 18.5 13.5 27.6.2-.6.3-1.2.5-1.8 2.3-8.3 2.2-16.2.7-21.7-1.5-5.4-3.9-7.5-5.7-8-.4-.1-.8-.1-1.2-.1zm117 7.8c-31.1.9-61.3-.5-90.8 3.2.4 4.5.3 9.1-.3 13.9 42.6 1.2 77 7.3 105.5 16.9 1.3-6.5 2.6-12.9 3.8-19.4-5.3-5.1-11.4-10-18.2-14.6zM94.47 281.5c-1.68 7.4-1.47 14.5-.1 19.4 1.52 5.4 3.83 7.5 5.73 8 1.8.5 4.9-.1 8.9-3.9-5.6-7.3-10.6-15.4-14.53-23.5zM134.1 299c-1.8 4.2-3.8 8-6.2 11.4 29.3 21.8 66.3 37.5 100.2 48.9 4.8-14.3 8.8-28.9 12.3-43.7-28-9.6-62.1-15.8-106.3-16.6zm-55.73 10.7c-14.13 11.1-31.09 21.4-47.75 31.4 28.08 7.4 50.7-.1 67.68-14.2-1-.1-2-.3-3-.6-8.31-2.3-13.85-8.9-16.93-16.6zm38.73 15.2c-1.7 7.1-3.3 14.3-5 21.5 31.8 23.1 67.1 35 104.4 42.8 1.9-4.3 3.7-8.6 5.4-12.9-34.6-11.7-73-27.8-104.8-51.4zm2.2 47.9c-9.8 40.2-18.1 80.2-25.73 119.6h79.93l27-88.3c-28-6.6-55.4-16-81.2-31.3z"}}]})(props);
};
function GiArmSling (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.3 21.84c-14.9 0-28.8 8.28-39.5 23.08-10.7 14.8-17.6 35.93-17.6 59.48 0 23.5 6.9 44.6 17.6 59.4 10.7 14.9 24.6 23.1 39.5 23.1 14.9 0 28.8-8.2 39.5-23.1 10.7-14.8 17.6-35.9 17.6-59.4 0-23.55-6.9-44.68-17.6-59.48-10.7-14.8-24.6-23.08-39.5-23.08zm51.3 156.06c-13 16.4-31.1 27-51.3 27-20.2 0-38.2-10.6-51.3-26.9-4.4.8-8.7 1.6-13.1 2.6 24 67.4 41.1 115.7 75.7 164.8 10.7-1.4 23.4-2.9 40.3-5l3.8-40.4c.8-8.7 5.6-15.7 12-20.6l-6.4-28.6 17.6-4 5.6 25.1c6.3-1.5 12.9-1.9 19.6-1.7 10.7.4 21.4 2.6 30.8 6.7-1.9-23.5-6.7-48.7-10.7-76.2-3.3-2.3-9.6-5.6-17.7-8.5-10.1-3.7-22.7-7.3-35.9-10.3-6.3-1.4-12.7-2.8-19-4zm-133.1 6.8c-5.5 1.5-10.8 3-15.8 4.6 12.6 45.5 50.4 172.7 101.8 245.6 20.5-.1 40.4-1.1 60-2.8-87.6-83.4-110-146.3-146-247.4zm-32.6 10.8c-4.5 2.1-8 4.1-10 5.6-24.1 80.3-31.2 194-16.7 289.1h49.1c-6.4-65.2-12.5-139.1 9.3-194.2-15.1-41.8-25.8-79.2-31.7-100.5zm214.4 92.6c-7.4.1-14.2 1.4-18.8 3.7-5.3 2.6-7.5 5.2-8 10l-5.2 54.6-7.1.9c-15.5 1.9-27.3 3.4-37.3 4.6 16.9 21.5 37.6 43.5 64.2 67.8 5-.6 10-1.2 15-1.9 10.2-1.3 16.8-5.5 22.4-11.7 5.7-6.1 9.9-14.5 13.5-23.2 14-34.2 8.7-74.5 2-89-1.4-3.2-6-7.4-13-10.4-6.9-3.1-15.9-5.1-24.5-5.4zm-172.5 35c-4 16.2-6 34.1-6.8 52.9 5.9-5.5 13.5-10.5 22.7-14.7-5.6-12.6-11-25.5-15.9-38.2zm23.5 54.5c-20.5 9.2-28.2 21.7-28.6 31-.6 11.7 8.6 23 30 24.6 10.2.7 20.2 1.2 30 1.5-11.3-17.4-21.8-36.9-31.4-57.1zm-29.1 63.5c1 16.5 2.5 33 4.1 49.1h162.3c4-15.1 8.4-29.6 12.8-44.1-47.5 6.1-96.4 8.9-150.1 4.9-11.4-.9-21.3-4.5-29.1-9.9z"}}]})(props);
};
function GiArm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M393.516 16.135c40.837 0 63.378 35.364 64 48 0 16.27-8.044 38.785-25.098 48.492-12.694 49.715-74.547 103.264-128.826 128.724 12.46 43.998-72.647 108.43-122.42 144.158 2.412 11.27 1.6 21.734 0 32 11.59 18.673.475 25.688 1.58 47.29-.602 7.96-13.64 7.21-16.087-4.916 2.78-17.81-1.69-33.203-8.87-31.093l-18.303 24.778-27.29 38.43c-3.38 3.424-15.917.953-12.84-7.275l22.426-40.874-2.17-1.456-42.658 45.283c-3.47 3.59-15.063-4.56-11.437-9.46l39.964-42.532-2.168-1.103-38.163 25.35c-4.354 3.057-13.072-5.926-7.24-10.123l36.674-29.224-25.15 12.625c-3.528 1.206-7.267-5.934-3.424-7.643l29.232-18.686c15.17-12.262 33.696-33.15 53.923-37.372 31.767-47.953 60.17-95.738 100.346-145.373 15.756-59.134 54.396-110.096 96-160 5.972-34.253 29.893-46.475 48-48z"}}]})(props);
};
function GiArmadilloTail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M126.75 21.563L115.344 72.28l115.687 58.97 92.407-109.688H126.75zm-111 .593V60.28l81.438 7.69L107.5 22.155H15.75zM321.375 53l-74.313 88.188 65.5 56.187 105.813-67.03-97-77.345zM15.75 79.03v91.407c120.73-24.94 305.18 81.97 378.5 237.188l-1.406-45.75-32.813-74.03-52.592-70.283-1.782-1.53-74.062-63.5-2.438-1.25L103.75 87.343l-88-8.313zm386.78 83.5l-76.624 48.5 45.78 61.19 93.783-34.283-62.94-75.406zm49.97 100.064l-71.656 26.156 27.312 61.594 77.375-2.72-33.03-85.03zm11.53 104.47l-52.28 1.842 2.875 93.188c3.34 12.008 5.99 24.238 7.875 36.625 33.85-37.927 45.03-83.554 41.53-131.658z","fillRule":"evenodd"}}]})(props);
};
function GiArmadillo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.964 98.177c19.474 81.198 22.837 138.376 29.418 199.58 5.197 4.104 10.045 1.62 14.556.394-2.54-67.018-6.907-133.43-22.57-198.521-5.444-6.958-11.041-12.267-21.404-1.453zm-18.3.886c-6.34-5.598-12.63-7.29-18.862 2.862 15.711 59.642 24.675 126.308 31.353 195.33 5.286 1.946 10.299 4.466 17.082.138-6.566-61.644-9.961-117.746-29.574-198.33zm59.081 4.385c14.697 64.812 18.785 130.151 21.227 195.203 30.691-.507 68.639-31.081 83.63-55.426 6.193-12.098 17.828-36.263 11.829-49.857-36.256-52.123-76.418-79.379-116.686-89.92zm-95.426 2.776c-11.293-6.533-18.23-3.024-21.959 7.773 16.906 60.11 28.38 121.345 33.866 183.787 7.81 3.25 13.668 2.722 18.855-.431-6.635-68.112-15.545-133.449-30.762-191.13zm-38.511 15.388c-10.479-2.814-19.432-2.2-22.172 12.715 23.359 45.476 33.284 108.944 40.75 165.354 5.785 2.506 9.853.862 13.845-1.059-5.325-60.082-16.292-119.043-32.423-177.01zm-37.135 23.059c-30.67 22.768-54.426 50.552-66.131 75.11 2.91 35.095 41.601 76.088 72.94 89.321 8.894-3.243 19.45-5.596 31.02-7.314-7.353-55.038-17.588-116.038-37.83-157.117zm312.566 6.596c-4.296 12.208-6.724 24.532-7.105 36.207l13.603-19.516c-1.205-5.133-3.25-10.537-6.498-16.691zm27.645 17.832l-32.494 46.617c5.218 5.11 12.63 9.746 20.166 7.656 14.962-18.47 15.272-33.867 12.328-54.273zm-39.64 64.443c-6.776 17.482-18.375 33.87-30.548 45.676 25.578 24.05 59.042 62.16 92.672 52.549-10.194-34.648-19.931-63.251-38.37-89.764-8.91-.443-17.135-3.6-23.755-8.461zM51.771 252.08c-6.615 9.542-12.185 18.954-16.712 28.145 8.554 11.699 16.022 20.614 29 21.308 3.489-4.933 7.535-10.022 12.097-15.322-9.148-10.65-18.675-22.927-24.385-34.131zm-24.808 47.424c-2.793 8.099-4.708 15.956-5.762 23.506 8.395 6.205 17.687 12.68 27.793 12.623.87-6.52 2.705-12.082 5.244-17.547-11.82-3.288-20.292-9.927-27.275-18.582zm317.318 11.992c-4.526 1.894-13.763 5.417-21.23 5.22l3.006 51.044 67.21 3.941-1.26-16.18-42.273-14.455zm-174.799 8.273c-8.728 1.246-16.586 2.764-23.037 4.606l-9.824 46.385 74.318 3.703-2.058-18.762-39.666-4.844zM20.632 344.65c1.676 11.333 4.385 20.931 9.754 29.679 15.545 2.958 19.583 5.686 29.19-4.096-4.033-4.945-7.424-11.26-9.067-16.697-11.376-.005-21.031-3.51-29.877-8.887zm51.838 38.12c-6.141 7.419-14.789 11.519-23.04 11.979 27.29 19.009 64.07 24.249 92.66 25.242-30.424-13.027-53.684-24.488-69.62-37.22z"}}]})(props);
};
function GiArmorDowngrade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 21.95l-5.4 4.03C187.5 73.41 125.4 104.5 30.58 120.3l-7.5 1.2v7.6c0 19 8.4 48.7 22.1 85.1 13.6 36.5 32.8 78.8 55.02 119.2 22.3 40.4 47.4 78.9 73.8 107.7 26.1 28.9 53.5 48.9 82 48.9s55.9-20 82.2-48.9c26.2-28.8 51.3-67.3 73.7-107.7 22.2-40.4 41.3-82.7 55-119.2 13.6-36.4 22-66.1 22-85.1v-7.6l-7.4-1.2c-94.6-15.8-156.9-46.89-220.1-94.32zm0 22.2c61.1 45.04 124.4 76.15 214.4 92.35-1.9 15.2-9 41.4-20.3 71.5-4.1 10.8-8.6 22.2-13.7 34H288v46l64-16-96 112-96-112 64 16v-46H75.57c-5-11.8-9.59-23.2-13.69-34-11.2-30.1-18.4-56.3-20.3-71.5C131.6 120.3 194.8 89.19 256 44.15z"}}]})(props);
};
function GiArmorPunch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M133.3 20c20.4 39.94 50.2 88.8 47 132 20.4 8.9 40.4 18.5 59.5 28.6 3.1-23.6 2.8-48.5 0-73.8-29.9-35.27-69.1-68.47-106.5-86.8zM27.4 22.65c16.94 24.76 29.56 53.6 27.64 82.45 35.91 11.4 72.26 24.5 107.56 39.3-1.8-29.8-14.3-56.26-26.3-80.38-34-19.23-74.17-32.04-108.9-41.37zm385 22.24c23.1 43.88 38.9 95.21 35.3 116.61-10.1-14.6-28.1-52.3-88.4-68.53 41 41.13 68 115.63 60.8 137.43-14.9-36.5-38.9-55.1-80.5-71 18.7 24.4 31.5 56.4 36.3 87.9 29.3 17.4 55.2 37.4 78.1 57.5 9.6-.8 18.8 7.4 21.9 14.6 2.8 7.1 3.4 15.4 1.6 24.3-2.8 9.1-6.6 17.4-12.5 23.3-5.4 23.8-10.9 42.6-21.2 61.1L385.5 443c-2.3 33.3-63.6 21.5-81.4 10.1-22.9-14.7-61-49.7-56.6-81.1-29.4-3.5-59.1-13.6-82.7-29.2 18.8 40.4 39.1 62.9 76.6 75.2-21.2 8.8-97.5-12.8-141.3-50.7 20.3 59 59.2 74.2 74.7 83.2-21.2 5.1-73.6-6.9-119.06-26.8C161.7 537.2 482.3 475 482.3 475s54.9-329.2-69.9-430.11zm-157 41.93c5.2 34.68 6.5 69.68 1.1 102.88 30 18.6 43.7 26.8 64.2 41-10.5-69.3-35.5-104.8-65.3-143.88zM17.65 112.7C40.39 170 40.22 219.2 47.8 268.9c55.5 14.3 112.7 42.4 161.6 67.5 13.5-41.5 39.3-82.1 61.5-117.2-73.2-45-166.1-80.9-253.25-106.5zm59.1 39.8c24.35 25.8 45.45 54.1 49.75 84.2-10.9 19.5-41.55 24.1-58.75 24.6l-.34-18c13.41-1.3 30.86-.1 40.29-10.5-3.8-22.3-18.02-44.6-42.95-66.9zm103.95 43.9c19.5 19.1 28.8 42.1 32.6 66-10.8 23.7-42.9 29-59.2 27.4l2-17.8c22 2.5 34.1-4 38.5-11.8-3.4-18.6-7.4-34.5-25.7-50.2zm105.4 32.5c-22.7 36-48.2 76.8-60.5 115.8 8.4 4.2 16.5 8.4 24.2 12.4 9.1-41.4 37.3-77.5 61.5-110.6-8-6-16.4-11.9-25.2-17.6zm48 16.5c-26.7 38-58.8 77.1-67.1 118.2l42.3 3c11.5-18.3 27.8-21 47.6-23.1 3.8 9.5 26.5 26.9 34.2 31.4 4.9-2.1 9.5-5 14.6-8.3 7.6 14.7 20.1 26.1 30.6 36.1 3.7-8.8 6.5-18.2 8.7-27.8-7.9-.7-15.8-8.7-18.4-14.6-2.9-7.1-3.4-15.5-1.6-24.3 2.6-8.5 6.3-16.9 11.6-22.4-29.3-25.1-63-49.3-102.5-68.2zm115.2 80.1c-2.7 2.8-5.3 7.4-6.5 13.1-.5 4.7-1.9 17.1 4.8 18.5 6.8-1.5 10.7-10 12.1-16 1.2-5.7.6-10.8-.7-14.2-2.7-5.9-6.4-4.5-9.7-1.4zm-98.9 38.8c-10 .2-21.6 3.4-23.4 11.5 5.2 18.4 27 29.4 40 39.8.2-9.6 1-20.6 6.3-30.7-8.7-6.3-16-13.7-22.9-20.6zm-83.1 17.4c5.6 14.7 14 25.4 24.5 38.5 13.8-3.3 21.3-10.7 27.8-18.5-5.6-6.1-10-11.5-14.1-17.3zm132.4 9.1c-3.3 1.5-6.9 2.8-10.8 3.7-3.1 7.8-3 18.6-3.8 30l37.4-9.6c-7.9-7.1-16.6-14.8-22.8-24.1zm-68.2 24.5c-5.9 6.6-13.8 13.9-25 18.8 12.8 11.4 64 15.7 59.6 5.9-13.6-8-25.3-15.8-34.6-24.7z"}}]})(props);
};
function GiArmorUpgrade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 21.95l-5.4 4.03C187.5 73.41 125.4 104.5 30.58 120.3l-7.5 1.2v7.6c0 19 8.4 48.7 22.1 85.1 13.6 36.5 32.8 78.8 55.02 119.2 22.3 40.4 47.4 78.9 73.8 107.7 26.1 28.9 53.5 48.9 82 48.9s55.9-20 82.2-48.9c26.2-28.8 51.3-67.3 73.7-107.7 22.2-40.4 41.3-82.7 55-119.2 13.6-36.4 22-66.1 22-85.1v-7.6l-7.4-1.2c-94.6-15.8-156.9-46.89-220.1-94.32zm0 22.2c61.1 45.04 124.4 76.15 214.4 92.35-1.9 15.2-9 41.4-20.3 71.5-4.1 10.8-8.6 22.2-13.7 34H288v-48.9l64 16-96-111.96-96 111.96 64-16V242H75.57c-5-11.8-9.59-23.2-13.69-34-11.2-30.1-18.4-56.3-20.3-71.5C131.6 120.3 194.8 89.19 256 44.15z"}}]})(props);
};
function GiArmorVest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.22 21.75c-35.407 0-63.024 5.19-82.345 12.844-9.66 3.827-17.072 8.22-22.78 13.437-2.856 2.61-5.355 5.53-7.126 8.75-20.707 18.986-35.955 48.755-45.845 81.72-9.45 31.5-13.837 66.035-11.47 97.563-1.78 22.768 10.688 55.117 24.97 81.03l.063.126.03.03c33.913 34.964 83.458 60.827 135.313 67.563V129.625c3.036.106 6.094.188 9.19.188 3.204 0 6.36-.088 9.5-.22v254.97c61.97-8.614 120.527-44.526 152.592-90.188 6.31-18.61 9.023-38.46 7.344-54.875 2.966-32.438-1.393-68.354-11.187-101-9.96-33.2-25.327-63.16-46.25-82.125-1.754-3.06-4.144-5.847-6.876-8.344-5.71-5.217-13.12-9.61-22.78-13.436-19.323-7.653-46.94-12.844-82.345-12.844zm0 18.688c33.573 0 59.057 5.236 75.342 11.687 8.143 3.224 14.168 6.298 17.5 9.344 3.333 3.043 3.5 5.482 3.5 5.843 0 10.54-8.305 21.148-25.687 29.78-17.382 8.633-42.673 14.032-70.656 14.032-28.098 0-53.343-5.08-70.658-13.438-17.314-8.355-25.718-18.457-25.718-30.374 0-.36.76-2.8 4.094-5.844 3.332-3.047 8.794-6.12 16.937-9.345 16.285-6.45 41.77-11.688 75.344-11.688zm111.374 43.25c11.81 15.68 21.998 36.85 29 60.187 7.59 25.3 11.598 53.038 11.22 78.625-16.25-13.403-28.542-34.667-36.627-57.406-8.665-24.372-12.573-51-8.03-73.844 1.744-2.406 3.22-4.942 4.437-7.563zm-222.875.374c.568 1.294 1.18 2.57 1.874 3.813 5.502 25.973.96 54.837-8.875 80.25-7.943 20.52-19.176 39.02-32.97 51.75-.08-24.852 3.918-51.563 11.25-76 6.946-23.153 17.027-44.17 28.72-59.813zm242.06 269.344c-36.57 28.03-82.68 46.99-130.56 51.063l-.783.06-.812-.06c-47.334-4.036-92.797-22.698-129.125-50.19-.956 3.05-1.438 6.11-1.438 9.158 0 15.545 12.548 31.48 36.438 43.937 23.89 12.458 58.006 20.563 95.78 20.563 37.777 0 71.893-8.105 95.783-20.563 23.89-12.458 36.437-28.392 36.437-43.938 0-3.338-.573-6.697-1.72-10.03zm-275.655 33.28c-17.37 12.854-26.563 27.47-26.563 41.845 0 11.535 10.293 29.294 26.157 43.095 14.044 12.22 31.883 21.216 47.31 23.125 9.7-22.68 20.252-41.555 31.657-56.438-13.913-3.702-26.666-8.546-37.843-14.375-18.425-9.608-33.094-22.287-40.72-37.25zm290.28.095c-7.636 14.925-22.297 27.568-40.686 37.158-11.228 5.854-24.048 10.697-38.033 14.406 11.398 14.872 21.96 33.744 31.657 56.375 14.686-1.997 32.556-10.938 46.72-23.095 16.113-13.833 26.748-31.68 26.748-43.094 0-14.332-9.13-28.923-26.406-41.75z"}}]})(props);
};
function GiArmoredBoomerang (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M420.2 27.03L342.6 169.4 485 91.76c-1.5-2.61-3.6-5.88-6.4-9.57-5.9-7.77-14.2-17.06-23-25.83-8.7-8.76-18-17.05-25.8-22.94-3.7-2.79-6.9-4.93-9.6-6.39zm-25.4 9.06L165 53.77C173.3 63.41 181 75 187.1 87H367l27.8-50.91zM128.1 48.12L26.3 56.21c3.16 12.58 11.96 30.8 21.36 46.09 9.91 16.1 18.38 27.4 21.2 31.1L169.8 143c5.1-.1 7.5-1.2 8.9-2.5 1.4-1.3 2.5-3.3 2.9-7.1.8-7.6-2.4-20.8-8.6-34.04-6.2-13.26-15.1-26.79-24-36.56-8.9-9.7-18.1-14.58-20.9-14.68zM194.9 105c3.7 10.4 5.6 20.6 4.6 30.1l137.3 7.3 20.4-37.4H194.9zm281 12.2L425 145v179.9c12 6.1 23.6 13.8 33.2 22.1l17.7-229.8zM407 154.8l-37.4 20.4 7.3 137.3c1.6-.2 3.3-.3 4.9-.3 8.1 0 16.6 1.9 25.2 4.9V154.8zm-221.4 30.8l-127.96 128 12.72 12.8 128.04-128-12.8-12.8zm112 16l-255.96 256 12.72 12.8 256.04-256-12.8-12.8zm16 112l-128 128 12.8 12.8 128-128-12.8-12.8zm68.1 16.7c-1.1 0-2.2 0-3.1.1-3.8.4-5.8 1.5-7.1 2.9-1.3 1.4-2.4 3.8-2.5 8.9l9.6 100.9c3.7 2.9 15 11.3 31.1 21.2 15.3 9.4 33.5 18.2 46.1 21.4l8.1-101.8c-.1-2.8-5-12-14.7-20.9-9.8-8.9-23.3-17.8-36.6-24-11.6-5.4-23.1-8.6-30.9-8.7z"}}]})(props);
};
function GiArmoredPants (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M89.452 32v44.667l166.75 28.9 166.75-28.9V32l-166.75 28.902L89.452 32zm-.405 69.444v186.712c49.478 16.004 90.187 8.72 139.67 0 1.14-34.244 12.925-60.635 27.09-60.672 14.165.04 25.95 26.428 27.09 60.672 49.472 16.003 90.173 8.72 139.65 0V101.444l-166.74 28.813-166.76-28.813zm0 212.25V382.88c45.914 7.332 85.747 13.896 131.648 0V313.694c-45.915 7.33-85.747 13.895-131.648 0zm201.853 0V382.88c45.914 7.332 85.747 13.896 131.648 0V313.694c-45.915 7.33-85.747 13.895-131.648 0zm-198.44 94.55v64.2c43.532 6.802 81.302 12.893 124.823 0v-64.2c-43.534 6.8-81.303 12.893-124.824 0zm201.854 0v64.2c43.533 6.802 81.3 12.893 124.822 0v-64.2c-43.534 6.8-81.3 12.893-124.822 0z"}}]})(props);
};
function GiArmouredShell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M157.78 69.53l-8.905 99.97c-14.96 2.794-28.435 6.714-40.656 12.094l-86-42.156 37.124 79.906c-10.847 13.674-20.203 30.584-28.47 51.5-34.747 87.928 181.057 154.78 224.19 154.78 42.057 0 266.232-76.327 224.186-154.78-9.132-17.04-18.732-31.634-29.28-44.063l40.53-87.343-93.906 46.032c-9.932-4.695-20.66-8.54-32.344-11.657L354.937 69.53l-63.25 94.126c-11.52-.58-23.682-.875-36.625-.875-12.02 0-23.45.1-34.343.376L157.78 69.53zm99.47 208.19c79.562 0 125.046 4.568 148.47 13.03 11.71 4.23 17.554 8.966 20.936 14.25 3.382 5.284 4.72 11.997 4.72 21.406 0 4.654-6.346 14.092-19.938 23.688-13.593 9.595-32.873 19.247-53.282 27.625-20.408 8.377-42 15.545-60.406 20.56-18.405 5.017-34.218 7.783-40.5 7.783-7.84 0-24.075-2.773-42.688-7.782-18.612-5.008-40.024-12.164-60.093-20.53-20.07-8.366-38.848-18.025-52.032-27.594-13.185-9.57-19.344-18.904-19.344-23.75 0-9.457 1.294-16.203 4.594-21.47 3.3-5.264 9.008-9.994 20.624-14.217 23.234-8.447 68.738-13 148.938-13zm-62.656 39.217c-16.83 0-30.5 6.806-30.5 15.22 0 8.412 13.67 15.25 30.5 15.25s30.47-6.835 30.47-15.25c0-8.414-13.64-15.22-30.47-15.22zm120.937 0c-16.83 0-30.5 6.806-30.5 15.22 0 8.412 13.67 15.25 30.5 15.25 16.832 0 30.47-6.835 30.47-15.25 0-8.414-13.638-15.22-30.47-15.22z"}}]})(props);
};
function GiArrest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.972 25l29.566 133.047.092.416 14.197 113.576L36.038 487h30.09l30.748-184.48h17.754L145.378 487h30.09l-28.79-214.96 14.198-113.577L190.534 25H176.24l-30.699 92.1c.47 3.534.713 7.177.713 10.9 0 14.85-3.849 28.437-10.701 38.879-6.853 10.442-17.395 18.121-29.8 18.121-12.403 0-22.945-7.68-29.798-18.121C69.102 156.437 65.253 142.85 65.253 128c0-7.37.95-14.427 2.742-20.943L35.628 25zm84.78 64c-4.992 0-10.2 3.065-14.75 9.996-4.547 6.93-7.75 17.345-7.75 29.004 0 11.659 3.203 22.073 7.75 29.004 4.55 6.93 9.758 9.996 14.75 9.996 4.994 0 10.203-3.065 14.75-9.996 4.55-6.93 7.75-17.345 7.75-29.004 0-11.659-3.2-22.073-7.75-29.004-4.547-6.93-9.756-9.996-14.75-9.996zM458.9 144l-48 32h-208v64h93.215a200.885 200.885 0 0 0 4.512 8.88c6.187 11.432 13.806 24.515 26.027 31.056 13.15 7.037 29.836 6.118 44.125 4.8 2.998-.276 5.842-.617 8.534-.972L410.899 368c4.115 10.972 78.853 11.03 80 0 3.311-31.828-58.644-101.355-16-144v-48h-16zM316.29 240h46.61l9.91 26.428c-1.21.135-2.425.268-3.684.384-13.009 1.2-28.32.282-33.98-2.748-4.733-2.533-13.115-13.45-18.69-23.75-.058-.106-.109-.207-.166-.314z"}}]})(props);
};
function GiArrowCluster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.313 15.688l-50.375 87.53 28.156-8.53 22.28-38.72 22.407 38.782 28.126 8.47-50.594-87.532zm-138.938 77.75l18.5 99.28 14.156-22.093L141.595 120l48.97 17.313 23.124-10.157-95.313-33.72zm278.72 0l-95.314 33.718 23.876 10.5L375.562 120l-9.812 52.688 12.844 20.03 18.5-99.28zm-139.72 2.03l-9.344 2.844v104.47l9.69 11.343 9-10.5V98.28l-9.345-2.81zm81.22 52.032l-54.345 63.688.344.28-14.563 17 12.033 14.063 71.093-83.343-4.75-7.375-9.812-4.312zm-161.25.53l-8.595 3.782-5.47 8.532 255.5 299.469L433 447.688l-8.094-9.47 22.688-10.03 11.47-5.063-8.158-9.53-44.125-51.783-2.31-2.718-3.564-.47-49.562-6.655-174-203.94zm56.06 123.22l-62.218 72.688-.125-.094-6.625 7.75-49.718 6.687-3.564.47-2.312 2.72-44.28 51.936-8.158 9.563 11.5 5.06 22.75 10.064-8.187 9.594 14.218 12.156L245.594 285.28l-12.188-14.03zm24.376 28.125l-9.75 11.28v178.75h18.69v-15.092l24.874 7.437 12.03 3.594v-87l-2.374-2.656-34.53-38.47v-47.5l-8.94-10.343zm-111.5 73.5l-42.936 50.375L86.906 416l33.844-39.688 25.53-3.437zm223.22.375l25.406 3.438 33.656 39.468-16.312 7.22-42.75-50.126zm-140.03 4.375l-16.064 18.094-2.344 2.655v87.031l12.063-3.656 6.344-1.906v-102.22zm37.25 7.563l18.217 20.312v54.75l-18.218-5.438v-69.625zm-87.75 5.406l-64.564 74.687 3.5 5.44 6.813 10.592 8.155-9.593 44.28-51.94 2.314-2.686-.064-3.563-.437-22.936zm157.905.156l-.438 22.97-.093 3.53 2.312 2.72 44.125 51.75 8.19 9.592 6.78-10.625 3.53-5.5-64.405-74.437z"}}]})(props);
};
function GiArrowCursor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M123.193 29.635L121 406.18l84.31-82.836 65.87 159.02 67.5-27.96-65.87-159.02L391 294.342z"}}]})(props);
};
function GiArrowDunk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M237.13 18.283c-51.748 0-99.183 27.58-136.067 73.395 11.946-6.97 24.526-11.903 37.51-14.76 8.952-1.97 18.062-2.96 27.25-3 27.562-.123 55.824 8.283 82.636 24.318 70.828 42.362 132.585 137.45 153.704 275.178l-49.44 12.637 74.33 109.74 74.327-147.733-51.84 13.25c.564-8.534.9-17.16.9-25.905 0-175.088-95.847-317.12-213.307-317.12h-.002zm-71.165 74.305c-7.924.04-15.734.9-23.375 2.582-30.47 6.705-58.785 26.48-81.356 61.89C37.996 207.88 24.4 269.28 24.4 335.4c0 15.983 1.35 31.378 2.883 46.73 14.387-135.103 92.702-238.62 187.363-238.62 34.713 0 67.177 13.976 95.083 38.334-21.608-29.968-45.915-52.65-70.863-67.57-24.337-14.556-49.13-21.81-72.902-21.688z"}}]})(props);
};
function GiArrowFlights (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M182.938 17.75l-29.625 112-64.22-64.313-18.218 18.22L480.78 494.124h11.814V469.5L264.72 241.28l29.624-112.124-17.53-17.53-16.783 37.468-.31-54.563-23.564-23.56-12.125 19.75-2.343-34.22-38.75-38.75zM419.875 81l-17.563 66.47-35.406-35.407-14.875 15.156 140.564 140.593V237.75l-20.375-20.375 17.592-66.438L419.875 81zM114.72 154l-92.814 24.53 16.75 16.75 50.97-1-37.19 14.782 39.44 39.438 32.905 2.03-12.874 8.907 20.688 1.282-16.844 11.655 17.594 17.594L226 265.436 114.72 154zm252.936 15.28l-48.97 12.94 25.658 25.655 31.875 2.156-18.408 11.314 30.782 30.78 48.97-12.936-69.908-69.907zM122.78 316.313l-17.56 66.407-35.345-35.47-15.313 15.313 131.594 131.562h30.094l-41.156-41.313 17.594-66.593-13.907-13.908-12.093 19.782-2.343-34.22-41.563-41.562zm188.907 51.594l-10.843 41.063-23.5-23.5-13.22 13.217 23.376 23.344-40.72 10.783 44.814 44.812 40.72-10.78 27.998 28h26.407l-41.095-41.095 10.844-41.03-19.158-19.19-8.562 7.75-3.344-19.624-13.72-13.75zM70.25 404.656L21.562 417.5l54 54h34.094L93.126 487l47.03-12.438-69.906-69.906z"}}]})(props);
};
function GiArrowScope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.35 18.55v91.552l102.82 58.544-101.203.305 285.76 135.443L170.27 18.637l-2.186 100.974-58.49-101.06H18.35zm285.058 92.75c-21.68 0-43.36 3.692-64.013 11.055l8.02 16.918c5.095-1.76 10.254-3.288 15.464-4.554l11.565 22.577c-5.513 1.186-10.967 2.71-16.34 4.533l8.04 16.96c5.627-1.812 11.348-3.245 17.128-4.263l3.09 6.032 4.385 50.13 10.3 21.726c.782-.038 1.566-.06 2.35-.06 12.445 0 24.89 4.777 34.438 14.326 19.098 19.098 19.1 49.777.002 68.875-19.098 19.097-49.78 19.098-68.877 0-9.797-9.798-14.553-22.644-14.298-35.41l-17.9-8.483c-.332 2.372-.554 4.757-.635 7.147l-51.738 4.778-7.142-2.203c-.048-11.992 1.588-23.986 4.89-35.612l-17.01-8.062c-3.777 12.374-5.898 25.148-6.347 37.972l-26.163-8.078c1.11-13.985 3.942-27.857 8.48-41.284l-16.94-8.03c-23.33 66.74-8.356 143.966 44.923 197.245 74.11 74.11 194.547 74.11 268.656.002 74.11-74.11 74.107-194.546-.002-268.654-37.054-37.054-85.69-55.582-134.326-55.582zm16.244 19.34c38.255 3.63 75.53 20.115 104.87 49.456 22.975 22.975 38.064 50.816 45.275 80.18l-20.453 10.48c-5.624-27.06-18.91-52.83-39.877-73.795-26.918-26.917-61.753-41.19-97.07-42.82l7.255-23.5zm-12.94 41.923c32.42.29 64.75 12.82 89.54 37.61 19.642 19.643 31.567 44.023 35.828 69.427l-2.648 1.357-60.305 5.57c-2.665-12.13-8.68-23.66-18.078-33.058-11.496-11.496-26.173-17.953-41.245-19.376l-4.877-55.754 1.783-5.778zM427.58 299.894l6.277 1.937c-.243 32.483-12.768 64.893-37.605 89.73-19.303 19.304-43.184 31.156-68.113 35.604l-1.745-3.406-5.05-57.74c10.892-2.985 21.176-8.723 29.704-17.25 12.094-12.096 18.6-27.717 19.544-43.612l56.986-5.263zm24.707 7.626l21.955 6.78c-3.005 39.356-19.574 77.878-49.72 108.024-21.934 21.934-48.3 36.682-76.196 44.248l-11.37-22.195c26.588-5.774 51.877-18.967 72.51-39.602 26.965-26.964 41.23-61.875 42.82-97.254zm-214.234 9.88c2.84 11.51 8.735 22.408 17.697 31.37 12.966 12.966 29.982 19.514 47.045 19.666l4.904 56.084-1.436 4.65c-33.04.18-66.134-12.346-91.397-37.61-19.042-19.042-30.832-42.538-35.418-67.103l3.913-2.006 54.69-5.05zm-75.783 15.858c5.885 26.225 19.006 51.14 39.382 71.517 27.385 27.385 62.964 41.667 98.907 42.88l-7.583 24.566c-40.276-2.447-79.86-19.072-110.684-49.898-22.04-22.04-36.823-48.554-44.356-76.6l24.333-12.464z"}}]})(props);
};
function GiArrowWings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352.5 29.01l89.7 40.72 40.7 89.77V29.01zM184.1 63.92c-43.8.15-84.93 7.61-117.57 12.12-1.32.19-2.21.42-3.18.66 1.08.97 2.41 2.06 4.08 3.25 12.49 8.9 39.77 21.65 75.47 33.95l32 11-33.2 6.3c-11.7 2.3-18.6 5.6-20.3 7.2l-.4.4c.1 0 .3.3.6.7 1.5 2.4 7.1 7.2 15.9 11.9s20.7 9.7 35.1 14.5l29 9.6-29.6 7.6c-10.5 2.7-18.3 6.2-22.4 9.3-4.1 3-3.8 3.9-3.7 4.3.1.4 2.2 4 9.8 7.9 7.7 3.9 20 8 37.1 11.4l28.5 5.6-26.6 11.5c-13.4 5.7-17.2 12.7-17.9 18.2-.7 5.4 2.3 9.9 4.2 11h.1c-1-.5 2.6.4 8.4-.2.8-.1 1.8-.2 2.7-.3L342 111.9c-47-35.76-99.5-46.92-149.1-47.91-2.9-.06-5.9-.08-8.8-.07zm222.1 9.25L55.52 424.1l40.65-8.2-8.1 40.6L438.8 105.8l-10.2-22.46zM400 170L250.2 319.8c-.1.9-.2 1.9-.3 2.7-.6 5.8.3 9.4-.2 8.4v.1c1.1 1.9 5.6 4.9 11 4.2 5.5-.7 12.5-4.5 18.2-17.9l11.5-26.6 5.6 28.5c3.4 17.1 7.5 29.4 11.4 37.1 3.9 7.6 7.5 9.7 7.9 9.8.4.1 1.3.4 4.3-3.7 3.1-4.1 6.6-11.9 9.3-22.4l7.6-29.6 9.6 29c4.8 14.4 9.8 26.3 14.5 35.1 4.7 8.8 9.5 14.4 11.9 15.9.4.3.7.5.7.6l.4-.4c1.6-1.7 4.9-8.6 7.2-20.3l6.3-33.2 11 32c12.3 35.7 25 63.1 33.9 75.5 1.2 1.7 2.3 3 3.2 4.1.3-.9.5-1.8.7-3.2C445.8 374 469.8 261.6 400 170zM29.08 359l32.99 33 28.3-28.3zm119.22 62.7L120 450l33 33z"}}]})(props);
};
function GiArrowed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M188.438 24.938l-7.188 17.718-8.78 21.594-23.095-3.22-18.938-2.624L140 74.97l17.72 30.686 2.28 3.97 4.53.624 26.19 3.656 69.843 120.97c6.38-1.674 12.76-3.102 19.125-4.22l-73.032-126.53 9.625-23.75 1.72-4.25-2.28-3.94L198 41.502l-9.563-16.563zM327 33.718l-13.688 13.344-16.718 16.25-19.844-12.218-16.28-10.032 2.092 19.032 3.875 35.218.5 4.532 3.907 2.406 21.844 13.438 12.375 112.093c3.99-.196 7.942-.287 11.843-.218 2.335.042 4.64.142 6.938.282l-12.563-113.75 18.94-18.406 3.28-3.188-.5-4.563-3.875-35.218-2.125-19zM103.344 94.063l-1.563 19.063-1.874 23.25-23 3.875-18.844 3.156 14.094 12.938L98.28 180.28l3.345 3.095 4.53-.75 26.032-4.406 80.875 74.186c1.764-.85 3.53-1.69 5.313-2.5 4.413-2.008 8.888-3.888 13.406-5.656l-87.31-80.125 2.06-25.53.376-4.564-3.375-3.093L117.438 107l-14.093-12.938zm332.53 123c-17.883-.094-38.852 9.04-55.937 26.125-5.31 5.31-9.823 11.023-13.562 16.875-11.6-6.99-25.385-11.1-40.344-12.687l-.03-.25c-3.086-.237-6.222-.397-9.438-.438-.412-.005-.835.002-1.25 0-105.82-2.977-255.813 107.01-127.937 203.125H68.062l-26.468 47.75H298.78l-88.5-103.25c24.272-26.708 67.46-43.704 97-45.062 13.794 45.098 36.266 113.497 71.75 148.313h60.845c-43.07-46.547-76.538-109.09-81.938-179.844 1.616 3.234 3.72 6.187 6.313 8.78 18.664 18.664 55.945 11.617 83.28-15.72 27.337-27.335 34.352-64.616 15.69-83.28-7-7-16.615-10.38-27.345-10.438z"}}]})(props);
};
function GiArrowhead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M34.22 19.844l-12.407.125.062 30 177.97 177.5c4.98-8.957 12.884-16.088 22.405-20.064L34.22 19.844zm205.436 202.75c-14.946 0-26.844 11.93-26.844 26.875s11.898 26.874 26.844 26.874c14.946 0 26.875-11.93 26.875-26.875 0-14.947-11.928-26.876-26.874-26.876zm150.875 15.75c-15.905 11.413-31.637 18.404-47.467 21.5 29.263 39.57 49.927 71.443 62.28 96 6.804 13.523 11.162 24.788 12.907 34.562 1.745 9.774.876 19.417-5.813 25.906-6.688 6.49-16.216 7.208-26.125 5.532-9.908-1.676-21.394-5.88-35.187-12.438-25.368-12.058-58.377-32.294-99.22-60.906-2.646 16.347-8.904 32.21-19.06 47.53 64.07 43.58 163.496 83.783 246.468 88.783 3.614-85.247-42.328-181.024-88.782-246.47zm-105.655 16.562c-2.375 19.668-17.412 35.58-36.656 39.28 3.07 11 4.776 21.816 5.093 32.44 44.728 31.797 80.314 53.785 105.812 65.905 12.888 6.127 23.263 9.684 30.313 10.876 7.05 1.193 9.577-.12 9.968-.5.392-.38 1.644-2.46.438-9.22-1.207-6.756-4.852-16.84-11.188-29.436-12.4-24.647-34.88-59.106-67.5-102.563-11.922-.288-23.968-2.61-36.28-6.78z"}}]})(props);
};
function GiArrowsShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.47 26.563v20.875L84.812 81.06l-14.5 30.47 155.968 24.03L109.313 29.626 92.876 64.188 17.47 26.562zm354.842 32.5c-4.43.024-8.844.136-13.218.343-45.09 2.137-86.237 14.54-113.28 38.782.172 77.194 5.056 152.54 23.124 213.687 17.983 60.865 48.327 106.972 99.687 129.906 45.97-20.273 76.837-71.63 95.97-138.56 19.067-66.71 26.205-147.742 26.592-224.126-34.766-12.206-75.27-19.68-114.437-20.03-1.48-.015-2.96-.01-4.438-.002zm-6.5 27.968c1.047-.006 2.107-.008 3.157 0 29.384.265 59.388 6.713 85.03 17.44l5.72 2.405v6.22c0 58.435-4.575 121.105-18.064 173.78-13.488 52.675-35.843 96.5-74.375 113.688l-3.905 1.718-3.844-1.78c-40.63-18.93-63.79-58.79-76.592-107.156-12.803-48.366-15.813-106.07-15.813-164.5v-3.688l2.5-2.687c21.535-23.147 53.538-33.397 86.813-35.157 3.12-.166 6.235-.26 9.375-.282zm3 18.69c-3.82-.04-7.618.05-11.375.25-28.647 1.514-54.426 10.133-71.562 26.81.145 56.383 3.362 111.343 15.125 155.782 11.566 43.697 30.844 76.442 62.5 93 27.89-14.766 47.736-51.3 60.03-99.312 12.383-48.354 17.045-107.17 17.376-162.78-22.038-8.363-47.53-13.5-72.094-13.75zM91.875 162.155l-2.844 33.78-71.56-6.592v18.75l69.968 6.47-2.844 33.624 146.97-30.875-139.69-55.157zm9.97 128.156l8.03 27.532L17.47 344.47v19.467l97.624-28.187 9.437 32.344 118.25-76.688-140.936-1.094zm171.436 85.094l-145.155 44.438 19.03 28.5-70.093 46.78.376.563h32.468l47.625-31.78 19.032 28.53 96.72-117.03z"}}]})(props);
};
function GiArson (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M292.188 16.22c-111.482 14.198-135.342 99.816-95.063 166.28-43.158-17.874-61.805-44.185-43.656-82.47-41.67 21.616-63.65 64.594-62.72 111 .727 36.28 15.237 64.622 37.72 85.157-11.34-28.98-14.304-59.254-7.064-84.78 35.742 49.33 137.816-19.996 147.125-79.282-.036 63.674 63.968 118.383 112.69 52.406 8.686 35.966 6.747 73.19-2.44 103.157 18.762-19.76 30.682-45.355 31.564-76.656 1.263-44.876-21.042-74.46-72.125-96.06 19.285 27.88 11.738 60.293-8.814 73.843 13.512-68.19-120.605-105.09-37.22-172.532l.002-.06zm21.375 217.093v41.593l-.72-.562H199.72l-97.314 74.437h51.28v141.876H297.72v-68.28h37v68.28H358V348.78h52.156L358 308.876v-75.563h-44.438zM176.72 360.156h37v35.594h-37v-35.594zm59.78 0h37.03v35.594H236.5v-35.594zm60.5 0h37.03v35.594H297v-35.594zm-120.28 61.53l37 .002v35.562h-37v-35.563zm59.78.002h37.03v35.562H236.5v-35.563z","fillRule":"evenodd"}}]})(props);
};
function GiArtificialHive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M251.313 23.844L49.438 140.25l-.376 233.5 202.625 116.406L453.563 373.75l.375-233.5L251.313 23.844zm-1.407 57.062l52.406 30.25v60.5l-52.406 30.25-52.406-30.25v-60.5l52.406-30.25zm-105.344 60.47l52.407 30.25v60.5l-52.407 30.25 52.406 30.25v60.53l-52.407 30.25-52.407-30.25v-60.53l52.406-30.25-52.406-30.25v-60.5l52.406-30.25zm210.313 0l52.406 30.25v60.5l-52.405 30.25 52.406 30.25v60.53l-52.405 30.25-52.406-30.25v-60.53l52.405-30.25-52.406-30.25v-60.5l52.405-30.25zM249.905 202l52.407 30.25v60.5l-52.28 30.188 52.28 30.156v60.53l-52.406 30.25-52.406-30.25v-60.53l52.28-30.156-52.28-30.188v-60.5L249.906 202z"}}]})(props);
};
function GiArtificialIntelligence (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.016 17.824C153.28 17.824 68 123.394 68 255.984c0 55.725 15.08 106.68 40.17 147.034 42.033 17.992 95.622 27.594 149.34 27.644 51.828.046 103.59-8.786 145.04-25.588C428.41 364.4 444 312.66 444 255.982c0-132.59-85.25-238.156-187.982-238.158h-.002zm1.746 18.7c80.525 0 145.63 65.072 145.63 145.6 0 80.526-65.105 145.63-145.63 145.63-80.53 0-145.6-65.104-145.6-145.63 0-80.53 65.07-145.6 145.6-145.6zm-27.69 40.02c-2.586 5.774-5.09 11.292-7.52 16.843-.543 1.243-1.193 1.538-2.622 1.636-5.436.377-10.875.927-16.25 1.8-1.77.29-2.69.21-3.723-1.294-3.335-4.866-6.823-9.626-10.352-14.565L167.268 97.3c3.778 5.304 7.298 10.362 10.962 15.315.976 1.318.846 2.18.102 3.567-1.747 3.258-3.268 6.647-4.7 10.058-.835 1.984-.724 4.898-2.126 5.967-1.56 1.19-4.355.774-6.615 1.035-4.747.548-9.5 1.08-14.443 1.64l2.727 27.526c6.937-.78 13.47-1.57 20.017-2.195 1.164-.11 2.92.056 3.503.8 3.262 4.16 6.248 8.535 9.602 13.22l-9.477 21.26 25.057 11.216c3.057-6.812 6.036-13.325 8.89-19.894.658-1.518 1.386-2.035 3.143-2.064 4.032-.066 8.11-.283 12.063-1.02 2.293-.426 3.46-.018 4.757 1.844 3.998 5.74 8.2 11.337 12.386 17.076l16.084-11.722 5.537 9.588-19.986 20.01-24.428-14.034-13.035 23.715c8.287 4.824 16.284 9.48 23.567 13.722-2.152 9.085-4.15 17.682-6.29 26.244-.156.616-1.35 1.37-2.072 1.383-6.587.105-13.18.063-19.77.063h-6.585v26.434c.67.318 1.345.628 2.02.935h26.087c.75 3.174 1.477 6.206 2.182 9.203C235.314 310.028 244.536 311 254 311c15.906 0 31.138-2.728 45.236-7.723-8.264-13.37-6.265-30.49 3.118-41.173 13.284-15.13 36.56-16.175 50.794-2.032 1.167 1.16 2.232 2.366 3.21 3.61C374.897 241.53 386 213.237 386 182.412c0-6.172-.454-12.24-1.314-18.18-.236-.12-.427-.22-.686-.35-.132-.068-.31-.047-.664-.09-4.587 7.96-9.21 15.986-13.56 23.54l-27.532-7.566v-27.21h-27.32v27.24c-9.023 2.44-17.696 4.787-26.645 7.206-4.342-7.55-8.898-15.472-13.47-23.426l-18.232 10.235c-1.31-1.825-2.425-3.512-3.685-5.087-.825-1.03-.648-1.725-.028-2.86 2.178-3.98 4.357-7.992 6.06-12.185.805-1.988 1.693-2.632 3.73-2.81 6.453-.557 12.885-1.36 19.616-2.102-.92-9.32-1.82-18.397-2.72-27.522-6.795.652-13.1 1.22-19.396 1.89-1.49.157-2.1-.388-2.888-1.66-2.787-4.495-5.686-8.944-8.89-13.144-1.16-1.518-1.426-2.46-.63-4.148 2.537-5.387 4.9-10.854 7.393-16.438-8.45-3.774-16.663-7.445-25.068-11.2zm-13.455 42.845c12.335.102 22.195 10.073 22.092 22.337-.105 12.433-10.133 22.24-22.595 22.093-12.426-.145-22.047-10.12-21.908-22.72.134-12.086 10.174-21.814 22.41-21.71zm-45.183 214.63c18.315 0 33.066 14.8 33.066 33.41 0 18.608-14.75 33.437-33.064 33.437-18.315 0-33.036-14.83-33.036-33.437 0-18.61 14.72-33.41 33.034-33.41zm165.334.732a33 33 0 0 1 33 33 33 33 0 0 1-33 33 33 33 0 0 1-33-33 33 33 0 0 1 33-33zm-208.372 96.002v.006c.003 0 .005 0 .008.002l-.008-.008zm.008.008c11.484 13.443 24.29 25.074 38.108 34.586l-7.076-26.303c-10.648-2.343-21.013-5.113-31.032-8.283zm253.89 1.52c-8.87 2.67-17.994 5.016-27.33 7.046l-6.42 23.903c12.14-8.723 23.46-19.12 33.75-30.943v-.004zM179.82 443V443l9.565 35.686c11.31 5.452 23.12 9.55 35.31 12.156l-5.048-43.006c-13.472-1.002-26.797-2.645-39.828-4.838zm154.793.252c-10.124 1.667-20.447 2.983-30.85 3.96l-4.802 40.702c9.11-2.72 17.96-6.292 26.522-10.63l9.133-34.028v-.002l-.002-.002zm-49.77 5.297l-.005.03h.006l-.002-.03zm-.005.03c-9.08.502-18.206.753-27.324.753-6.344-.005-12.686-.126-19.012-.377l5.297 44.72c4.04.377 8.112.503 12.216.503 8.003 0 15.89-.626 23.652-1.905l5.17-43.692z"}}]})(props);
};
function GiArtilleryShell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M372.386 52.97l-14.822 13.064 103.244 117.142 14.822-13.064zm-30.23 26.646l-36.649 32.303 15.549 17.64zm16.865 16.346l-20.442 48.382-1.457 3.448 19.012 21.57 21.897-51.832zm-67.537 28.318L119.939 275.485l.054.062-1.294 1.141c-19.625 17.298-36.277 35.67-49.407 53.91l92.854 105.356c19.745-10.734 40.062-24.948 59.687-42.246l1.295-1.143.055.063 6.23-5.493 165.313-145.713zm102.615 11.482l-20.443 48.385-1.456 3.445 20.838 23.641 21.897-51.83zm36.904 41.873l-20.441 48.385-.973 2.303 37.194-32.783zM58.583 346.723c-4.228 6.959-7.93 13.848-11.015 20.592-6.73 14.712-10.7 28.778-11.157 41.78-.457 13.001 2.827 25.259 10.93 34.452 8.103 9.194 19.85 13.989 32.805 15.168 12.955 1.18 27.408-.992 42.847-5.822 7.078-2.214 14.377-5.02 21.811-8.342z"}}]})(props);
};
function GiAscendingBlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M471.8 28.22l-20.4 44.15c5.9 1.52 11.5 4.24 16.2 7.9l20.6-44.49-16.4-7.56zM355.4 71.67l-6.8 16.66 47.6 19.57c1.1-6.1 3.4-11.75 6.7-16.71l-47.5-19.52zm85 17.33c-15 0-27 12-27 27 0 12.3 8.1 22.6 19.3 25.9l6.9-17.2 2.3-5.7h25.3c.1-1 .2-2 .2-3 0-15-12-27-27-27zm-40.2 47.1c-53.7 20.9-108.4 41.3-189 53.9l10.8 16.5c80.7-13.5 136.2-34.7 190-55.7-4.9-4-8.9-9-11.8-14.7zm53.9.9l-23.6 58.9L485 185l-12-48h-18.9zm-261.4 57.7L33.69 298.6l42.69 65.3 159.02-104-42.7-65.2zM487 203l-57.7 11.5-49.5 32.5H448v18h-95.6L87.25 439H128v18H64v-2.7L14.12 487H375v-30h-87v-18h23v-46h-55v-18h128v18h-55v46h119v18h-55v30h94V329h-55v-18h55V203zm-251.8 82.8a16 16 0 0 0-8.7 2.6 16 16 0 0 0-4.6 22.2 16 16 0 0 0 22.2 4.6 16 16 0 0 0 4.6-22.1 16 16 0 0 0-13.5-7.3zM195 312.1a16 16 0 0 0-8.6 2.6 16 16 0 0 0-4.7 22.1 16 16 0 0 0 22.2 4.7 16 16 0 0 0 4.6-22.2 16 16 0 0 0-13.5-7.2zm-40.2 26.3a16 16 0 0 0-8.6 2.6 16 16 0 0 0-4.6 22.1 16 16 0 0 0 22.1 4.6 16 16 0 0 0 4.6-22.1 16 16 0 0 0-13.5-7.2zm-40.1 26.2a16 16 0 0 0-8.7 2.6 16 16 0 0 0-4.6 22.2 16 16 0 0 0 22.1 4.6 16 16 0 0 0 4.7-22.1 16 16 0 0 0-13.5-7.3z"}}]})(props);
};
function GiAsianLantern (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 20v67h18V20h-18zm174.637 63.637l-44 44 12.726 12.726 44-44-12.726-12.726zm-331.274 2L77.637 98.363l44 44 12.726-12.726-44-44zM201 105v30h110v-30H201zm-9 48c-13 0-27.447 6.922-38.238 15.914a76.393 76.393 0 0 0-6.487 6.086H288v18H137v46h151v18H137v46h151v18H137v46h151v18H147.275a76.393 76.393 0 0 0 6.487 6.086C164.552 400.078 179 407 192 407h128c13 0 27.447-6.922 38.238-15.914 5.396-4.496 9.859-9.456 12.774-13.828C373.927 372.886 375 369 375 368V192c0-1-1.073-4.886-3.988-9.258-2.915-4.372-7.378-9.332-12.774-13.828C347.448 159.922 333 153 320 153H192zM44.557 179.371l-5.114 17.258 54 16 5.114-17.258-54-16zm420.797.027l-52 16 5.292 17.204 52-16-5.292-17.204zM32 279v18h64v-18H32zm384 0v18h64v-18h-64zm2.557 84.371l-5.114 17.258 54 16 5.114-17.258-54-16zm-325.203.027l-52 16 5.292 17.204 52-16-5.292-17.204zM201 425v18h110v-18H201zm189.363 8.637l-12.726 12.726 44 44 12.726-12.726-44-44zm-268.726 2l-44 44 12.726 12.726 44-44-12.726-12.726zM241.96 456l-2.576 4.613c-6.843 12.263-8.313 24.248-8.313 24.248L229.777 495h52.446l-1.295-10.139s-1.47-11.985-8.313-24.248L270.04 456h-28.078z"}}]})(props);
};
function GiAsparagus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M377.9 25.46v.04h-2.1c-15.8.54-30.2 4.13-43.1 9.71 12 17.79 14.8 34.85 13.5 50.27 4.6-.25 8.5-.3 12.8-.26 5.6-19.47 12.6-40.4 25.3-59.61-2.2-.1-4.3-.16-6.4-.15zm-61.2 18.08c-9.6 5.79-18.1 12.61-25.8 19.92 4.8 11.74 9.4 23.71 13.3 35.57 7.8-5.65 15.4-9.21 23.7-11.12 2.4-14.2 1.4-27.52-11.2-44.37zm-39.4 34.42c-4.9 5.94-9.4 11.98-13.3 17.85-11.9 17.89-15.9 31.89-15.1 42.69.8 10.9 6 19.6 16.3 28.2 7 5.8 18.5 6.5 31.1 3.5 2.4-11.5 1.2-26.9-3-44-3.7-15.2-9.5-31.74-16-48.24zm161.2 17.7c-7.4.04-14.7 1.06-21.7 3.24 5.6 13.6 4.9 28.7 1.4 42-2.4 8.8-5.9 17.1-10.1 24.2 5.2.4 10.8 1.1 16.7 1.9 13.6-25 26.4-49.7 42.5-67.01-9.6-2.8-19.3-4.38-28.8-4.33zm-84.4 7.64c-16.5.3-34.7 2.9-44.1 15.3.2 1.1.5 2.3.8 3.4 3.5 14.5 5.6 28.5 4.7 41.4.2-.2.5-.3.8-.4 3.7-5.2 8-10.5 13.1-16 5.2-5.6 10.7-12 16.8-18.6 2.8-7.5 5.4-16 7.9-25.1zm46.2 2.8c-12.4 7.4-24.3 17.7-33.2 26.6 2.5 12.5 5.7 25.1 8.1 37.2 3.2-1.6 6.6-2.9 9.9-3.7 5.7-6.2 12.5-17.7 15.7-29.9 2.8-10.6 3.1-21.3-.5-30.2zm-48.2 42.7c-3.2 3.5-6.4 7.1-9.5 10.4-14.6 15.9-21.3 28.9-22.8 39-1.5 10.1 1.4 17.9 8.8 26.3 3.9 4.4 11.5 6.3 21 5.8 18.1-29.3 9.1-51.1 2.5-81.5zm-107.3 23l-79.7 99.3c1.7 2.9 4.6 8.2 6 10.3l-16.3 7.3c-15.9-9.4-20.7-41.1-24.8-33.5-15.4 33.7-12.4 57.7-6.5 90.1l-15.2 11.6c-.2-1-2.8-10.3-2.9-11.3L19.24 452.9v19.3L149 352.4l121.6-163.7c-6-1.4-11.7-4-16.8-8.2-3.3-2.7-6.3-5.6-9-8.7zm153.4 11c-1.7 0-3.3.1-4.8.2-5.9.7-10.4 2.1-15.2 6.1 1 12 .1 26.1-3.9 35.6 5.7-2 10.7-4.4 13.9-6.3 10.8-6.3 19.3-18.7 27.8-34.3-6.1-.7-11.4-1.3-16-1.3h-1.8zm96.1 7.8c-17.3 10.7-35.9 17.1-53.3 22.3-.2 2.1-.5 4.3-.8 6.4 16.2-1.9 35.5 2.9 47 9.1 3.3-11 5.8-23.5 7.1-37.8zM422 218.4c-3 .8-6.1 1.8-9 2.7-4.5 5-9.7 9.4-15.6 12.9-6.5 3.8-15.5 7.7-25.7 10.6-2.4 3.7-5.2 9.2-7.4 15.4 4.4-.8 9-1.3 13.7-1.3 9-.1 18.4 1.1 27.8 3.3 7.3-13.7 13.5-28.4 16.2-43.6zm-112.7 10.3l-30.2 28c1.7 2.7 3.5 4.6 4.4 5.1l-8.6 15.8c-12.2-7.7-18-30.1-31-32.4-9 23.3-6.7 45.8-7.5 67.8l-17.6-.6L22.83 493.3h53.44L327.6 245.2c-4.6-1.9-8.8-4.7-12.4-8.7-2.2-2.4-4.1-5-5.9-7.8zm142.4 7.6c-5.3 0-10.6.8-16.1 2-3.2 10.2-7.5 19.8-12.1 28.8 11 3.7 21.9 8.5 32.5 13.6 9.3-8.8 18-20.2 24.8-35.4-10.8-6.7-20-9-29.1-9zm-73.3 40.8c-6.9 0-13.2.8-18.7 2.7-.5 8.2.9 15.2 4.3 19.1 7.4 8.5 15 12.3 25.7 12.5 10.7.1 25-4 43.1-13.9 2.4-1.3 4.8-2.7 7.2-4.3-21.6-9.5-43.6-15.9-61.6-16.1zM342.2 293L194.4 401.9l-92.6 91.4h29l2.5-18c38.5 5.1 104.7 13.2 42.2-21.2l9.2-15.6c3.2 1.9 6.7 4.1 10.3 6.3l161.3-128.2c-2.1-1.8-4-3.8-5.9-5.9-4.5-5.2-7-11.3-8.2-17.7z"}}]})(props);
};
function GiAspergillum (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M475.7 23.5l-16.5 16.45c2.3 1.93 4.5 3.96 6.7 6.11 2.1 2.15 4.2 4.37 6.1 6.66l16.5-16.48zm-84 9.73c-19.5 0-39 6.51-55 19.54l-17.9-17.94L306 47.55 464.4 206l12.8-12.8-18-18c27.9-34.3 25.9-84.46-6-116.41-17.1-17.04-39.3-25.56-61.5-25.56zm.1 22.51a8 8 0 0 1 5.5 2.34 8 8 0 0 1 0 11.32 8 8 0 0 1-11.3 0 8 8 0 0 1 0-11.32 8 8 0 0 1 5.8-2.34zm43.9 12.59a8 8 0 0 1 5.6 2.34 8 8 0 0 1 0 11.31 8 8 0 0 1-11.3 0 8 8 0 0 1 0-11.31 8 8 0 0 1 5.7-2.34zM314.9 79.09c-13.9 25.71-13.8 56.81.1 82.51l-36.6 36.6-7.7-7.8-12.8 12.8 50.9 50.9 12.8-12.8-7.8-7.8 36.6-36.6c25.7 13.9 56.7 13.9 82.4.1zm133.3 33.21a8 8 0 0 1 .1 0 8 8 0 0 1 5.6 2.4 8 8 0 0 1 0 11.3 8 8 0 0 1-11.4 0 8 8 0 0 1 0-11.3 8 8 0 0 1 5.7-2.4zM254 224.6L100.7 359.8l51.5 51.5L287.4 258zM87.16 371.8L69.89 387c-3.53 3.6-5.82 9.8-5.82 16.3 0 5.2 1.47 10.2 3.85 13.7-3.23-1.3-6.55-2.2-9.87-2.7-9.4-1.3-19.3.9-26.3 7.9s-9.26 16.9-7.92 26.3c1.34 9.3 6.01 18.5 13.58 26.1 7.56 7.5 16.75 12.2 26.02 13.5 9.4 1.4 19.3-.9 26.3-7.9s9.26-16.9 7.92-26.3c-.48-3.3-1.4-6.6-2.72-9.8 3.61 2.4 8.67 3.9 13.77 3.9 6.5 0 12.7-2.3 16.3-5.8l15.2-17.3zm-35.18 60.1c1.08 0 2.26 0 3.53.2 4.95.8 10.89 3.6 15.84 8.5 4.95 5 7.77 10.9 8.48 15.9.71 5.1-.42 8.6-2.83 11-2.4 2.4-5.94 3.5-11.03 2.8-4.95-.7-10.89-3.5-15.84-8.5-4.95-4.9-7.77-10.8-8.48-15.8-.71-5.1.42-8.6 2.83-11 1.8-1.8 4.24-2.9 7.5-3.1z"}}]})(props);
};
function GiAssassinPocket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M233.56 16.225l-15.535 54.302-79.183-12.79-2.98 18.45L212.85 88.62l-14.92 52.163 17.968 5.14 11.028-38.546c92.558 14.84 177.404 26.687 273.004 16.824-78.98-39.333-166.495-51.603-258.832-66.368l10.43-36.467-17.97-5.14zm-68.695 120.443l-13.482 12.953 69.644 72.493-59.63 34.428 9.347 16.19 44.098-25.46c83.234 86.485 160.743 164.186 267.683 231.242-48.682-97.16-128.987-177.16-212.025-263.375l40.176-23.198-9.346-16.19-63.625 36.734-72.84-75.816zm-87.11 13.424l-17.82 5.646 20.942 66.094-53.99 13.613 4.57 18.125 38.824-9.79c25.36 79.632 50.276 151.825 99.097 222.02 2.31-80.818-23.148-155.34-48.488-234.78l37.794-9.528-4.57-18.125-55.08 13.887-21.28-67.162z"}}]})(props);
};
function GiAsteroid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.625 36.307c-6.092.006-12.026.422-17.766 1.367-6.74 15.11-15.352 32.332-15.352 32.332l-32.752-13.453c-16.186 7.61-10.852 30.03-20.06 38.44-27.888 22.73-83.84 68.866-89.725 84.734-12.537 33.803-19.03 69.85-20.005 104.95 14.493 7.74 31.347 20.743 47.008 34.73 14.336 14.328 35.16 31.31 40.828 49.716l2.096 7.168-6.658 3.384c-11.466 5.26-9.42 16.91-11.275 25.86l-17.602-3.77c1.218-13.002 3.663-24.96 13.206-33.12-8.763-13.648-21.562-25.924-32.584-35.81-11.454-10.23-24.25-20.012-34.933-26.947 1.674 46.477 1.207 81.64 21.255 114.607l31.945 5.094-.553 28.053 42.27-3.222-5.3 30.28c92.217 38.28 247.83-57.624 288.362-162.223 8.685-22.415 48.163-45.242 49.896-67.717 2.734-35.472-8.37-70.06-27.727-100.74-13.795 13.218-29.79 17.135-46.56 9.796l20.255 23.86-13.723 11.648-27.4-32.273-1.24-18.446c-5.757-5.283-11.19-11.362-16.046-17.94l-33.95 9.97-5.073-17.27 29.023-8.522c-3.782-7.177-6.71-14.646-8.39-22.174-2.694-12.064-2.116-24.784 4.7-35.326.07-.108.145-.21.216-.317-36.018-4.868-73.49-16.754-106.387-16.718zm121.287 26.806c-3.475 5.376-4.253 12.655-2.248 21.633s6.862 19.155 13.3 28.45c6.44 9.293 14.446 17.73 22.216 23.577 23.14 12.916 41.762 7.763 39.084-16.968-1.89-16.137-17.54-29.672-23.46-35.753-12.655-12.994-38.097-34.83-48.892-20.94zm-36.207 4.266l-9.47 21.282-25.104 9.29-18.34-10.36zM233.393 96.282l30.316 11.072 27.874 46.264 32.05 14.146-7.27 16.468-37.26-16.45zm-43.89 30.66c9.625-.01 19.89 2.822 25.817 11.815 6.116 5.094 16.364 8.502 27.846 12.816l-6.332 16.852c-5.8-2.18-12.472-4.145-18.963-6.996-1.048 3.52-2.588 6.89-4.358 9.935a64.73 64.73 0 0 1-2.97 4.625c12.61 6.737 24.022 11.983 30.12 12.506l-1.54 17.934c-13.374-1.148-27.19-8.556-41.235-16.645a69.874 69.874 0 0 1-5.22 4.035c-5.618 3.903-12.543 7.623-20.044 10.5 2.925 14.92 3.148 30.108 2.94 41.203l-17.997-.337c.19-10.045-.234-23.675-2.45-36.112-5.99.925-12.046 1.06-17.944-.383-.09-.02-.177-.046-.266-.07.083 13.554-1.982 28.058-11.95 42.374l-14.77-10.285c10.87-15.612 8.98-30.818 7.804-49.224-1.566-5.005-1.475-10.304-.23-14.988 1.682-6.33 5.1-11.886 9.187-16.945 8.176-10.118 19.228-18.362 28.807-23.49 11.795-5.06 22.388-9.09 33.75-9.12zm-.665 18.012c-.64.012-1.308.047-2.004.102-7.502.613-16.64 3.695-22.588 6.88-7.375 3.946-17.25 11.444-23.3 18.93-3.023 3.743-5.045 7.453-5.79 10.254-1.15 5.08 2.084 9.024 6.29 10.087 3.02.738 7.46.737 12.396-.164 9.87-1.802 21.545-7.135 28.553-12.004 5.274-3.666 11.863-10.37 15.556-16.722 3.85-12.748.492-17.54-9.112-17.363zm259.953 37.65l12.642 62.508-54.782 40.737 33.01-56.89zm-61.31 20.75l3.182 17.717-66.13 11.883-9.65 25.186-25.25 11.934 21.725-53.04zm-11.63 64.83l16.3 7.63c-7.236 15.46-9.834 23.982-8.974 33.36 6.018.288 12.134.976 18.222 1.934l-2.796 17.78c-20.668-3.25-40.167-1.63-49.913 5.192-4.873 3.41-7.866 7.633-9.088 14.89-1.223 7.254-.21 17.796 4.873 31.997-14.763 5.31-28.485 9.344-43.684 14.436l-5.716-17.068 27.455-9.197c-1.625-8.534-1.85-16.21-.678-23.16 1.844-10.947 7.55-19.874 15.334-25.773-2.568-5.383-5.2-11.09-7.092-17.383-2.792-9.287-.37-27.64-.56-27.658 0 0 15.726 15.586 17.798 22.477 1.373 4.567 3.592 9.417 6.01 14.548 3.83-1.158 7.836-1.963 11.965-2.47-.69-12.83 3.032-25.492 10.543-41.536zm-145.416 3.946l-21.852 46.684-1.49 65.057-17.38-68.036s36.75-43.703 40.722-43.703zm38.574 139.85a84.97 84.97 0 0 1 7.69.32c13.628 1.172 27.29 5.13 40.73 9.132l-5.137 17.252c-13.297-3.96-26.01-7.494-37.134-8.45-5.48-.47-10.477-.36-15.1.508l-14.878-14.148c6.827-2.917 14.02-4.278 21.263-4.56a75.72 75.72 0 0 1 2.568-.054zm-38.95 15.075l13.983 13.3c-10.892 17.037-14.518 26.755-31.18 37.32 1.64-5.576 3.002-16.252 5.88-26.984 2.176-8.11 5.298-16.793 11.32-23.635z"}}]})(props);
};
function GiAstronautHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23c-16.076 0-32.375 3.73-48.178 10.24-2.126 6.525-3.877 14.76-4.877 23.754-1.31 11.79-1.73 24.706-1.87 36.819 33.864-3.704 75.986-3.704 109.85 0-.14-12.113-.56-25.03-1.87-36.82-1-8.992-2.75-17.228-4.877-23.753C288.375 26.73 272.076 23 256 23zm100.564 19.332c9.315 7.054 18.107 14.878 26.282 23.234 1.53-6.65 4.69-12.696 9.03-17.695zm-170.03 1.49c-34.675 20.22-65.047 52.714-82.552 86.334-33.08 63.536-39.69 156.956-.53 214.8C132.786 388.278 200.276 405 256 405c55.725 0 123.215-16.72 152.547-60.045 39.162-57.843 32.55-151.263-.53-214.8-17.504-33.62-47.876-66.112-82.55-86.333.578 3.65 1.057 7.388 1.478 11.184 1.522 13.694 1.912 28.197 2.014 41.267C347.664 99.427 362 104 368 110c32 32 75.537 134.695 16 224-37.654 56.48-218.346 56.48-256 0-59.537-89.305-16-192 16-224 6-6 20.335-10.573 39.04-13.727.103-13.07.493-27.573 2.015-41.267.42-3.796.9-7.534 1.478-11.184zM64 48c-8.837 0-16 7.163-16 16a16 16 0 0 0 7 13.227V145.5L73 132V77.21A16 16 0 0 0 80 64c0-8.837-7.163-16-16-16zm358.81 3.68c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zm25.272 55.205c-6.98 5.497-15.758 8.795-25.27 8.795-.745 0-1.48-.027-2.214-.067a216.57 216.57 0 0 1 2.38 4.37l29.852 22.39zm-238.822 2.5c-17.257.09-37.256 3.757-53.233 16.12-26.634 20.608-43.034 114.763-33.49 146.763 16.584-61.767 31.993-124.02 107.92-161.274a133.445 133.445 0 0 0-21.197-1.61zm-135.055 44.21L40.15 179.138l-14.48 72.408 38.18 45.814c-10.947-46.523-5.776-98.723 10.355-143.764zm363.59 0c16.13 45.042 21.302 97.242 10.355 143.764l38.18-45.815-14.48-72.408zM106.645 375.93c-3.583 1.17-7.252 3.406-10.282 6.435-4.136 4.136-6.68 9.43-7.164 14.104.21.364.603 1.157 1.73 2.162 2.453 2.188 6.693 5.17 12.127 8.358 10.867 6.38 26.55 13.757 44.205 20.623 21.177 8.237 45.35 15.704 67.738 20.38v-27.61c-39.47-5.12-79.897-18.325-108.355-44.452zm298.71 0C376.897 402.055 336.47 415.26 297 420.38v27.61c22.387-4.676 46.56-12.143 67.738-20.38 17.655-6.865 33.338-14.243 44.205-20.622 5.434-3.19 9.674-6.17 12.127-8.36 1.127-1.004 1.52-1.797 1.73-2.16-.482-4.675-3.027-9.97-7.163-14.105-3.03-3.03-6.7-5.264-10.282-6.435zM77.322 410.602L18 450.15V494h37v-18h18v18h366v-18h18v18h37v-43.85l-59.322-39.548c-.537.488-1.08.97-1.623 1.457-3.922 3.497-8.932 6.89-14.998 10.452-12.133 7.12-28.45 14.743-46.795 21.877C334.572 458.656 290.25 471 256 471s-78.572-12.343-115.262-26.61c-18.345-7.135-34.662-14.757-46.795-21.878-6.066-3.56-11.076-6.955-14.998-10.453-.543-.487-1.086-.97-1.623-1.458zM233 422.184v28.992c8.236 1.162 16.012 1.824 23 1.824 6.988 0 14.764-.662 23-1.824v-28.992c-7.82.555-15.523.816-23 .816s-15.18-.26-23-.816z"}}]})(props);
};
function GiAtSea (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.438 14.188c-132.32 0-239.782 107.46-239.782 239.78S124.118 493.75 256.436 493.75c132.32 0 239.783-107.46 239.783-239.78S388.756 14.187 256.436 14.187zm0 17.906c122.653 0 221.875 99.222 221.875 221.875 0 4.52-.14 9.014-.407 13.468-30.945 8.15-68.07-14.224-85.406-43.844-47.56 66.05-89.736 73.192-129.156-1.563-36.942 67.55-104.172 73.156-137.125 20.064-33.724 45.983-56.65 52.056-91.064 28.562-.408-5.506-.625-11.076-.625-16.687 0-122.654 99.254-221.876 221.907-221.876zm138.5 245.22c20.212 40.226 58.603 27.536 81.968 1.56-4.73 42.46-21.395 81.254-46.594 113-33.743 18.582-58.868 7.2-89.562-45.624-41.883 74.754-109.812 67.614-160.344 1.563-17.546 28.218-62.92 49.844-97.28 44.78-21.883-27.33-37.445-59.944-44.44-95.656 23.49 22.105 63.89 29.177 84.408-3.625 32.368 48.656 100.402 51.536 140.25-5.062 23.826 34.047 85.965 64.59 131.594-10.938zM177.813 401.5c48.48 75.528 137.623 45.016 162.937 10.97 17.197 19.63 37.55 20.796 57.688 12.06-38.462 32.052-87.956 51.345-142 51.345-54.692 0-104.714-19.757-143.375-52.5 24.17 8.208 50.552 4.72 64.75-21.875z","fillRule":"evenodd"}}]})(props);
};
function GiAtlas (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 22.115c-5.825 0-11.563.366-17.193 1.074l25.27 19.44 27.44-15.832A136.438 136.438 0 0 0 256 22.115zm-31.406 3.64C164.628 39.899 120.115 93.66 120.115 158c0 70.687 53.73 128.608 122.65 135.244.11-.089.213-.183.323-.271 8.263-6.629 19.152-10.972 31.252-12.305 6.22-.685 12.228-.512 17.822.457l.006-.025v-.002c1.954-7.778 6.776-13.879 12.527-17.332 4.314-2.59 8.978-3.837 13.528-4.137 1.516-.1 3.022-.094 4.496.002 5.895.383 11.445 2.11 16.095 5.584.123.092.244.195.366.29 31.612-24.477 52.098-62.602 52.681-105.62-6.228-5.54-16.99-15.23-18.4-17.346-1.987-2.98-21.852-22.348-21.852-22.348l-44.199-2.484 19.865 24.336-26.818 11.422-20.494-27.983 24.85 59.018-16.856 67.424-33.713-1.406-14.748-62.506-53.379-11.239 19.666-58.996h69.082l3.41-6.275-36.312-19.03-41.799 18.985-.701-41.437s21.068-18.964 21.068-24.582c0-3.13 2.132-12.118 4.063-19.682zm95.91 251.806c-2.437.009-4.81.597-6.543 1.638-1.982 1.19-3.436 2.711-4.334 6.287l-.006.018-13.79 53.928-8.073-1.25c-12.118-1.876-25.705-2.017-32.533-1.07-4.91 1.625-7.226 4.484-7.848 6.286-.635 1.842-.734 2.198 1.135 3.5.717.457 5.872 2.645 12.074 4.186 6.256 1.554 13.908 2.898 21.277 3.61 7.37.71 14.537.749 19.438.023 4.9-.726 5.96-2.624 5.191-.912 13.432-29.903 16.61-45.388 21.844-74.057-.08-.024-.02.092-.293-.111-1.067-.797-3.7-1.864-6.492-2.045-.35-.023-.699-.033-1.047-.031zm-40.055 20.785c-1.604.011-3.25.106-4.926.29-8.933.985-16.716 4.342-21.64 8.292-4.924 3.95-6.649 7.762-6.438 10.965a8.07 8.07 0 0 0 .633 2.617 37.532 37.532 0 0 1 2.498-.854l.582-.174.602-.093c8.147-1.276 19.2-1.204 30.615.006l5.25-20.53a44.952 44.952 0 0 0-7.176-.52zm-49.455 11.103c-32.373 12.647-66.581 48.933-73.314 87.27 8.55 13.94 15.925 25.451 42.213 28.804 20.25 2.584 36.195-3.383 53.138-11.421-4.61 27.314-9.023 54.627-22.347 81.941l61.582 1.49-1.987-11.422-37.248-4.47c10.766-27.243 34.074-58.795 28.309-88.399-18.755-3.482-37.817-6.687-69.527 1.49 2.954-8.21 13.434-21.073 25.947-33.408-7.491-5.58-10.196-15.685-7.399-23.795a24.701 24.701 0 0 1 2.993-5.914c-2.137-3.465-3.52-7.4-3.807-11.752-.238-3.613.312-7.107 1.447-10.414zm-65.64 120.928c5.496 14.215 12.952 27.97 20.136 41.58-17.916-10.752-58.268-14.487-64.808-14.402-3.1 17.06-10.632 26.4-25.02 35.74l14.899 2.978 19.804-23.074c26.19 15.067 75.1 30.943 84.442 19.444.305-9.276-.076-28.955-5.8-49.584-17.281.494-32.183-4.853-43.653-12.682z"}}]})(props);
};
function GiAtomCore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M38.07 18C31.06 23.84 24.37 30.04 18 36.57v26.65A247.678 247.678 0 0 1 67.66 18H38.07zm309.43 0c35.2 24.2 63.8 57.29 82.5 96 4.9-3.5 10.7-5.7 17-6.1-16.6-34.83-40.6-65.46-69.9-89.9h-29.6zm-109.2 95.8c-21.6 0-39 17.4-39 39s17.4 39 39 39c1.4 0 2.8-.1 4.2-.2 7.5-8.7 17.5-15.2 28.9-18.2 3.7-5.9 5.9-13 5.9-20.6 0-21.6-17.4-39-39-39zm210.9 12c-8.4 0-15 6.6-15 15s6.6 15 15 15 15-6.6 15-15-6.6-15-15-15zm-292.6 3.9c-21.6 0-39 17.4-39 39 0 19 13.5 34.8 31.4 38.3 5.9-16.4 19.2-29.2 35.7-34.7-2.2-6.1-3.4-12.7-3.4-19.5 0-4.5.5-8.8 1.5-13-6.9-6.3-16.1-10.1-26.2-10.1zm310.6 38.7c-5 3.3-10.9 5.2-17.2 5.4 3 15.5 4.6 31.4 4.6 47.8 0 92.7-51 173.5-126.5 215.7 4.1 4.3 7.1 9.8 8.4 15.8 81.2-45.4 136.1-132.1 136.1-231.5 0-18.2-1.9-36-5.4-53.2zm-273.4 20c-17.3 3.9-30.2 19.4-30.2 38 0 15.5 8.9 28.8 21.9 35.1 10.5-11.9 25.8-19.4 42.8-19.4.7 0 1.4 0 2.2.1-1.1-4.4-1.7-8.9-1.7-13.6 0-6.7 1.2-13.2 3.3-19.1-15.4-1.7-29-9.6-38.3-21.1zm92 1.2c-21.6 0-39 17.4-39 39 0 6.7 1.7 12.9 4.6 18.4 9.3 4.2 17.3 10.8 23.2 19 3.6 1 7.3 1.6 11.2 1.6 21.6 0 39-17.4 39-39s-17.4-39-39-39zm-140.1 34.2c-19.6 2.2-34.7 18.7-34.7 38.8 0 21.6 17.4 39 39 39 7.9 0 15.3-2.4 21.5-6.4.4-6.6 1.9-12.8 4.4-18.5-18-9.6-30.3-28.6-30.3-50.3 0-.9 0-1.7.1-2.6zm82.6 36.3c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zM18 380v26.6c48.14 49.3 115.3 80 189.6 80 23.8 0 46.8-3.2 68.8-9.1-3.2-5-5.1-10.9-5.1-17.2-20.3 5.4-41.7 8.3-63.7 8.3-76.2 0-144.31-34.5-189.6-88.6zm286.3 65.1c-8.4 0-15 6.6-15 15s6.6 15 15 15 15-6.6 15-15-6.6-15-15-15z"}}]})(props);
};
function GiAtom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M387.176 255.949c51.343-43.046 83.887-87.512 68.022-114.939-15.865-27.427-70.668-21.486-133.655 1.483C309.94 76.458 287.733 26 256.043 26c-31.69 0-53.917 50.448-65.53 116.338a403.375 403.375 0 0 0-44.827-13.61c-47.09-11.109-77.812-6.867-88.85 12.241-15.916 27.54 16.68 71.986 68.064 115.052-51.385 43.065-83.98 87.51-68.104 115.01 7.021 12.159 22.001 18.295 44.095 18.295 12.643 0 27.612-2.06 44.754-6.054a403.406 403.406 0 0 0 44.827-13.61C202.074 435.645 224.272 486 256.002 486c31.73 0 53.917-50.448 65.53-116.338a403.406 403.406 0 0 0 44.827 13.61c17.142 4.046 32.111 6.054 44.754 6.054 22.094 0 37.064-6.177 44.095-18.295 11.037-19.119-.659-47.843-33.82-83.064a403.334 403.334 0 0 0-34.212-32.018zm-17.05-111.12c37.064-8.74 64.172-7.03 70.803 4.449 6.63 11.479-5.457 35.828-31.546 63.543a392.678 392.678 0 0 1-35.138 32.657c-13.744-10.83-28.714-21.569-44.61-31.998-1.102-18.614-2.934-36.971-5.457-54.494a392.915 392.915 0 0 1 45.949-14.156zM285.21 306.624q-14.63 8.442-29.218 15.999-14.558-7.547-29.219-16-14.66-8.452-28.467-17.296a737.41 737.41 0 0 1 0-66.6q13.817-8.834 28.467-17.297 14.65-8.463 29.27-16.01 14.558 7.547 29.219 16 14.66 8.452 28.436 17.306a737.294 737.294 0 0 1 0 66.601q-13.837 8.834-28.488 17.297zm27.252 2.934c-.968 12.91-2.285 25.45-3.943 37.486-11.243-4.582-22.753-9.71-34.418-15.32q9.668-5.21 19.335-10.79 9.668-5.58 19.026-11.376zm-74.58 22.176c-11.654 5.611-23.165 10.728-34.418 15.32-1.657-12.046-2.975-24.575-3.943-37.486q9.43 5.838 19.016 11.377 9.585 5.539 19.345 10.738zm-56.44-53.536c-10.697-7.29-20.889-14.702-30.495-22.156 9.606-7.454 19.798-14.866 30.495-22.156q-.34 11.089-.35 22.156-.01 11.068.35 22.135zm18.08-75.713c.967-12.91 2.285-25.45 3.942-37.485a612.675 612.675 0 0 1 34.439 15.33q-9.77 5.25-19.366 10.779-9.595 5.529-19.016 11.376zm74.58-22.176c11.654-5.611 23.164-10.728 34.417-15.32a617.331 617.331 0 0 1 3.943 37.465q-9.338-5.765-19.016-11.325-9.677-5.56-19.345-10.769zm56.45 53.536c10.696 7.29 20.889 14.702 30.494 22.156-9.605 7.454-19.798 14.867-30.495 22.156q.34-11.088.35-22.156.01-11.068-.35-22.135zM216.744 101.59c10.955-36.446 25.996-59.096 39.257-59.096 13.26 0 28.292 22.65 39.256 59.096a392.863 392.863 0 0 1 10.728 46.875c-16.472 6.569-33.254 14.167-49.922 22.516-16.988-8.545-33.77-16.143-50.026-22.65a392.668 392.668 0 0 1 10.707-46.74zM102.641 212.78c-26.088-27.715-38.175-52.063-31.555-63.543 6.62-11.48 33.758-13.178 70.801-4.447a392.894 392.894 0 0 1 45.96 14.146c-2.533 17.502-4.366 35.93-5.468 54.565-15.587 10.296-30.587 21.044-44.517 32.009a392.863 392.863 0 0 1-35.22-32.73zm39.257 154.432c-37.064 8.741-64.172 7.032-70.802-4.447-6.63-11.48 5.426-35.798 31.545-63.503a392.874 392.874 0 0 1 35.231-32.729c13.93 10.965 28.93 21.744 44.518 32.019 1.101 18.635 2.934 37.064 5.466 54.566a392.894 392.894 0 0 1-46 14.094zM295.3 410.452c-10.955 36.446-25.996 59.096-39.257 59.096-13.26 0-28.292-22.65-39.256-59.096a392.668 392.668 0 0 1-10.708-46.751c16.236-6.487 32.997-14.074 49.964-22.65 16.967 8.534 33.728 16.122 49.964 22.65a392.668 392.668 0 0 1-10.759 46.751zm145.68-47.678c-6.63 11.48-33.759 13.188-70.802 4.448a392.905 392.905 0 0 1-45.958-14.146c2.532-17.503 4.365-35.931 5.466-54.566 15.588-10.296 30.588-21.044 44.518-32.019a392.894 392.894 0 0 1 35.18 32.77c26.088 27.705 38.154 52.054 31.545 63.534zm-208.081-105.25a22.876 22.876 0 1 1 22.876 22.876 22.876 22.876 0 0 1-22.876-22.876z"}}]})(props);
};
function GiAtomicSlashes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M222.25 51.813c-59.778.797-102.472 36.19-97.47 91.593-175.105 173.99-42.24 388.292 82.72 301.281 234.398 24.897 320.07-138.203 253.688-215.875-68.157-127.71-166.197-177.97-238.938-177zm35.28 54c59.782-.537 138.234 35.254 194.314 113.593-32.668-28.783-91.096-41.137-175.594-17.906 233.673-4.713 159.012 242.056-65.813 241.094 23.605-17.352 46.84-45.562 67.563-86.97-141.047 157.87-264.124-48.664-152.094-203.78 6.14 35.83 31.486 79.165 83.5 126.5-75.762-109.73-29.625-171.834 48.125-172.53zm20.314 112.03c-28.427-.322-54.126 19.32-60.375 48.188-7.143 32.992 13.82 65.547 46.81 72.69 32.992 7.14 65.516-13.823 72.658-46.814 7.14-32.99-13.822-65.545-46.813-72.687-4.124-.894-8.22-1.33-12.28-1.376z","fillRule":"evenodd"}}]})(props);
};
function GiAttachedShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 26C192 58 112 80 32 80c0 46.047 4.726 89.503 13.02 129.69 25.495-2.558 53.13-2.433 81.86-1.06l-7.61-30.446-2.022-8.086 65.898-21.967 10.866 65.194c28.32 2.336 56.907 4.82 84.9 6.238 14.357-4.67 28.073-8.33 40.43-14.36l7.78-46.682 1.732-10.39 65.898 21.968-9.578 38.316c9.207 4.926 20.403 14.91 23.97 22.346 3.352 7.302 2.696 15.333.256 24.154 2.27 6.21 2.31 12.947.43 19.287-1.65 5.57-4.95 10.974-9.844 14.974.41 10.106-5.414 19.52-14.597 23.353-5.045 10.42-15.085 22.05-25.146 25.678a35.325 35.325 0 0 1-7.943 1.7l-10.29 41.16-47.98-23.99 7.107-42.647c-7.178-2.867-14.753-6.176-23.147-9.758-22.506 2.868-45.05 5.7-67.385 8.213l7.366 44.193-47.98 23.99-15.668-62.668c-25.372 2.034-50.16 3.29-73.943 3.288C126.423 426.23 197.21 490 256 490c96 0 224-170 224-410-80 0-160-22-224-54zm-87.146 145.87l-30.102 10.034 43.258 173.028 16.02-8.008-29.176-175.055zm174.292 0l-3.927 23.562c9.757-4.082 21.374-8.826 31.514-3.473l2.514-10.058-30.102-10.033zm17.692 35.696c-5.508.754-15.244 4.655-25.35 9.72-18.843 11.052-35.297 13.47-53.963 20.448-29.314-1.518-59.264-3.89-84.43-5.912l10.538 63.23c25.773-2.928 50.59-5.99 72.93-8.845 8.035 3.372 16.415 7.06 23.603 10.05l5.156-30.943-.492-16.046c31.396-.965 40.955-17.8 46.625-26.14 2.25-3.306 4.94-9.64 5.424-13.554.162-1.32.03-1.567-.042-2.008zm14.598 16.305c-2.703 5.724-5.283 9.687-7.97 14.567 7.198 3.907 15.487 5.786 25.923 6.215.426-2.995.116-4.813-.605-6.382-1.195-2.604-5.27-6.648-13.826-12.715-1.51-.91-2.674-1.404-3.524-1.684zm-284.63 2.026c-22.55-.09-43.69 1.063-62.732 4.256-10.604 21.43-9.975 44.448 1.57 71.08 36.332 3.616 77.178 2.643 120.223-.662l-18.35-73.406c-13.955-.738-27.575-1.215-40.71-1.268zm263.41 25.303a71.374 71.374 0 0 1-5.972 4.34c2.293 9.34 10.7 11.83 19.822 13.91 7.76 1.73 16.358 2.576 23.13 2.802a14.133 14.133 0 0 0 1.376-3.166c.653-2.202.702-4.555.38-6.48-14.655-.713-27.626-4.258-38.737-11.407zm-21.835 12.025a73.26 73.26 0 0 1-4.694 1.41l-2.053 12.32a25.18 25.18 0 0 1 8.056-10.383 31.58 31.58 0 0 1-1.31-3.347zm12.872 17.345c-1.468.894-2.713 2.34-3.195 3.817-.638 1.953-1.09 3.368 1.755 5.533 3.645 2.138 9.51 4.437 15.745 5.613 5.123.967 10.54 1.276 14.804 1.205l2.876-.467c1.974-.318 4.624-3.515 4.752-6.553-5.69-.506-11.804-1.355-17.836-2.7-6.592-1.47-13.14-3.327-18.9-6.447zm-21.23 6.04l-10.05 60.314 16.018 8.008 4.72-18.88c-9.425-5.795-14.6-14.962-14.468-23.888.085-5.812 2.58-11.444 6.653-15.617-1.686-3.174-2.65-6.586-2.872-9.936zm15.933 21.91c-1.2.71-1.687 2-1.715 3.908-.04 2.678 1.262 6.588 8.574 9.61.664.133 3.335.59 7.618-.87 2.824-.963 6.072-2.797 9.226-6.81a108.078 108.078 0 0 1-7.44-1.137c-5.542-1.045-11.13-2.444-16.263-4.7z"}}]})(props);
};
function GiAubergine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M81.156 19.22c-9.98 17.95-11.653 41.482-8.47 63.624 1.683 11.693 4.66 23.045 9.19 33-10.98-2.333-22.86-6.74-35.25-12.063l19.624 36.47c-14.538-7.018-29.415-5.078-43.594-.313 31.984 20.98 18.398 38.788-3.093 59.157 10.004-2.09 20.2-6.646 29.343-9.72-5.812 19.467-6.532 42.407.22 67.814 53.11 199.91 223.06 260.347 345.312 221.375 80.27-25.585 108.82-99.86 95.343-161.938-6.737-31.04-23.74-59.45-49.874-77.625-26.132-18.175-61.312-25.596-102.094-15.47h-.03c-35.654 8.892-64.878 12.25-86 6.532-21.123-5.718-35.554-19.17-45-49.843-3.635-11.8-8.864-21.88-15.282-30.157-.96-18.358 6.62-32.632 21.125-43.594-20.593-4.363-40.967-6.693-58.688 16.31 5.405-13.443-.73-37.854-12.843-44.905-7.468 25.998-20.424 37.084-36.875 39.344-5.926-8.934-10.95-22.564-13.032-37.032-2.755-19.153-.53-39.567 6.312-51.876L81.156 19.22zm74.125 125.624l3.22 1.312c12.98 6.565 24.084 18.935 30.438 39.563 10.698 34.737 31.14 55.11 57.968 62.374 14.837 4.017 31.185 4.424 49.063 2.437-105.218 87.705 83.948 233.89 175.124 125.657-8.69 36.317-34.728 69.418-82.344 84.594-112.234 35.78-270.73-17.073-321.563-208.405-6.915-26.024-5.132-47.923 1.844-65.28 5.14 1.723 8.945 6.424 10.845 16.06 17.377-13.67 29.664-28.077 31.406-43.968 17.52 0 35.045 2.896 52.564 14.22 1.267-10.08-.185-19.735-8.563-28.563z"}}]})(props);
};
function GiAudioCassette (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32.033 96S16 96 16 112.22V384c0 16 15.783 16 15.783 16h54.94l.547-2.184L104.973 327h302.054l17.703 70.816.547 2.184h53.01S496 400 496 385.23V112c0-16-16-16-16-16H32.033zM87 135h338v18H87v-18zm0 48h338v114H87V183zm18 18v78h132.795c5.88-11.722 9.205-24.957 9.205-39s-3.326-27.278-9.205-39H105zm152.465 0c4.85 12.066 7.535 25.223 7.535 39 0 13.777-2.686 26.934-7.535 39h32.89C283.17 267.708 279 254.33 279 240c0-14.33 4.17-27.708 11.354-39h-32.89zm55.676 0c-9.98 9.945-16.14 23.723-16.14 39 0 15.277 6.16 29.055 16.14 39h77.72c9.98-9.945 16.14-23.723 16.14-39 0-15.277-6.16-29.055-16.14-39h-77.72zm-143.677 8.432a32 32 0 0 1 12.06 6.94l-5.12 2.956c5.044 4.037 8.61 9.857 9.693 16.465l5.06-2.922A32 32 0 0 1 192 240a32 32 0 0 1-.787 6.94l-5.072-2.928c-1.016 6.624-4.525 12.476-9.525 16.56l5.065 2.924a32 32 0 0 1-12.217 7.04v-5.778c-2.972 1.164-6.192 1.812-9.553 1.812-3.36 0-6.58-.648-9.553-1.812v5.744a32 32 0 0 1-12.11-7.086l4.944-2.853c-4.995-4.088-8.5-9.943-9.512-16.57l-4.903 2.83A32 32 0 0 1 128 240a32 32 0 0 1 .81-7.027l4.91 2.834c1.08-6.608 4.643-12.43 9.684-16.47l-5.013-2.894a32 32 0 0 1 11.967-6.918v5.786c2.972-1.164 6.193-1.812 9.553-1.812 3.36 0 6.58.648 9.553 1.813v-5.878zm192.11.04a32 32 0 0 1 11.984 6.93l-5.047 2.914c5.044 4.038 8.61 9.857 9.693 16.465l4.963-2.862A32 32 0 0 1 384 240a32 32 0 0 1-.77 6.877l-4.98-2.875c-1.016 6.624-4.526 12.476-9.525 16.56l5.004 2.89a32 32 0 0 1-12.158 7.046v-5.75c-2.97 1.164-6.194 1.81-9.554 1.81-3.36 0-6.58-.646-9.553-1.81v5.793a32 32 0 0 1-12.184-7.093l5.02-2.896c-4.998-4.087-8.503-9.942-9.515-16.568l-5 2.887A32 32 0 0 1 320 240a32 32 0 0 1 .826-7.092l5.002 2.89c1.08-6.61 4.643-12.43 9.684-16.47l-5.073-2.93a32 32 0 0 1 12.025-6.908v5.81c2.972-1.166 6.192-1.812 9.553-1.812 3.36 0 6.583.646 9.554 1.81v-5.825zM119.026 345l-13.75 55h301.446l-13.75-55H119.027zM48 352a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm416 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-304 7h48v18h-48v-18zm144 0h48v18h-48v-18z"}}]})(props);
};
function GiAura (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M320.938 13.28c-16.646 34.584-38.466 60.157-63.094 60.157-24.522 0-47.035-25.275-63.656-59.593.366 39.358-9.71 90.884-30.938 105.125-21.228 14.24-49.64-12.002-78.844-32.126 17.455 34.04 42.095 67.5 29.78 92.28-12.21 24.576-59.172 35.96-92.874 35.626 29.338 19.29 78.842 45.803 78.844 74.188.002 28.384-49.504 53.71-78.844 73 33.702-.333 80.663 11.612 92.876 36.187 12.227 24.61-9.03 56.31-33.75 85.563 44.826-15.413 65.142-5.735 85.374 10.812h31.75c-42.74-35.413-72.062-107.828-72.062-191.563-.002-118.62 58.92-214.906 131.406-214.906 72.488 0 131.406 96.29 131.406 214.907 0 83.74-29.317 156.153-72.062 191.563h27.313c19.847-14.62 39.796-25.65 89.687-9.28-26.233-30.264-42.2-62.484-29.97-87.095 12.257-24.665 56.658-36.612 90.533-36.188-29.4-19.297-75.344-44.584-75.344-73 0-28.415 45.943-54.89 75.342-74.187-33.874.424-78.273-10.962-90.53-35.625-12.315-24.78 9.982-58.24 27.437-92.28-29.202 20.12-57.583 46.385-78.845 32.124-21.262-14.263-31.382-66.13-30.938-105.69zm-68.97 93.75c-19.56 2.543-37.343 25.564-37.343 55.407 0 16.447 5.67 30.986 14 41.032l10.156 12.218-15.593 2.937c-10.815 2.035-18.743 7.737-25.53 17.063-6.79 9.325-11.984 22.344-15.626 37.343-6.585 27.128-8.078 60.24-8.31 89.47h36.093l.656 8.656 9.124 122.563h76.187l8.095-122.5.563-8.72h34.375c-.026-29.592-.44-63.166-6.407-90.5-3.295-15.095-8.287-28.096-15.156-37.313-6.87-9.216-15.133-14.897-27.28-16.78l-15.94-2.47 10.064-12.593c7.97-9.996 13.375-24.36 13.375-40.406-.002-31.817-19.884-55.313-41.44-55.313-2.54 0-3.96-.103-4.03-.094h-.03z"}}]})(props);
};
function GiAustralia (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M380.37 28.839l-27.24 100.215-64-48 17.405-34.46-83.863 8.079-13.541 42.38-35.512-25.482-67.16 85.62-83.008 48.593 34.81 156.752 38.87 6.518 112-64 74.38 52.082 21.62-28.094 32 72.012L424 415.452l64.549-126.398-6.014-64.703-65.404-79.297-36.762-116.215zm-14.75 411.238l15.099 43.084 20.412-2.107 11.435-35.864-46.947-5.113z"}}]})(props);
};
function GiAutoRepair (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M241.406 21l-15.22 34.75c-7.864.478-15.703 1.472-23.467 2.97l-23.282-30.064-25.094 8.532-.125 38.25c-10.63 5.464-20.817 12.07-30.44 19.78L88.313 79.25 70.156 98.563 88.312 133c-5.852 8.346-10.925 17.072-15.218 26.094l-38.938 1.062-7.906 25.28 31.438 23.158c-1.505 9.38-2.24 18.858-2.282 28.344L20.5 254.625l3.656 26.25 38.313 7.5c2.284 7.982 5.107 15.826 8.5 23.5L45.72 343.22l14.093 22.436 39.25-9.187c2.47 2.895 5.037 5.757 7.718 8.53 5.643 5.835 11.565 11.206 17.72 16.125l-7.625 39.313 22.938 13.25 29.968-26.094c8.606 3.462 17.435 6.23 26.407 8.312l9.782 38.406 26.405 2.157 15.875-36.22c10.97-.66 21.904-2.3 32.656-4.938l25.22 29.22 24.593-9.844-.72-14.813-57.406-43.53c-16.712 4.225-34.042 5.356-51.063 3.436-31.754-3.58-62.27-17.92-86.218-42.686-54.738-56.614-53.173-146.67 3.438-201.406 27.42-26.513 62.69-39.963 98-40.344 37.59-.406 75.214 13.996 103.438 43.187 45.935 47.512 52.196 118.985 19.562 173.095l31.97 24.25c3.997-6.28 7.594-12.75 10.75-19.375l38.655-1.063 7.906-25.28-31.217-23c1.513-9.457 2.262-19.035 2.28-28.594l34.688-17.625-3.655-26.25-38.28-7.5c-3.196-10.993-7.444-21.762-12.75-32.125l22.81-31.594-15.25-21.657-37.56 10.906c-.472-.5-.93-1.007-1.408-1.5-5.998-6.205-12.33-11.89-18.937-17.064l7.188-37.125L334 43.78l-28.5 24.814c-9.226-3.713-18.702-6.603-28.313-8.75l-9.343-36.688L241.406 21zM183.25 174.5c-10.344.118-20.597 2.658-30 7.28l45.22 34.314c13.676 10.376 17.555 30.095 7.06 43.937-10.498 13.85-30.656 15.932-44.53 5.408l-45.188-34.282c-4.627 24.793 4.135 51.063 25.594 67.344 19.245 14.597 43.944 17.33 65.22 9.688l4.78-1.72 4.03 3.063 135.19 102.564 4.03 3.062-.344 5.063c-1.637 22.55 7.59 45.61 26.844 60.217 21.46 16.28 49.145 17.63 71.78 6.5l-45.186-34.28c-13.874-10.526-17.282-30.506-6.78-44.344 10.5-13.84 30.537-15.405 44.217-5.032l45.188 34.283c4.616-24.784-4.11-51.067-25.563-67.344-19.313-14.658-43.817-17.562-64.968-10.033l-4.75 1.688-4.03-3.063-135.19-102.562-4.03-3.063.344-5.03c1.55-22.387-7.85-45.194-27.157-59.845-12.544-9.516-27.222-13.978-41.78-13.812zm43.563 90.25l163.875 124.344L379.406 404 215.5 279.625l11.313-14.875z"}}]})(props);
};
function GiAutogun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208.563 24.813c-30.575 0-55.344 24.77-55.344 55.343 0 6.072 1.006 11.908 2.81 17.375l-39.28 45.626h51.063v-25.562c10.114 11.014 24.617 17.937 40.75 17.937V88.28h58.593V69.595h-58.594v-44.78zM47.03 161.843v79.563l28.032 16.375c1.528-36.73 31.968-66.217 69.063-66.217 38.065 0 69.125 31.06 69.125 69.125 0 24.73-13.126 46.498-32.75 58.718l26.813 15.656h52.843V161.845H47.03zm330.064 44.813v83.438h62.937v-83.438h-62.936zm-232.97 3.594c-27.964 0-50.436 22.472-50.436 50.438 0 11.272 3.652 21.655 9.843 30.03l-22.593 26.47c5.946 2.36 11.307 5.876 15.844 10.25l20.5-24.032c7.77 4.875 16.95 7.72 26.845 7.72 27.965 0 50.438-22.473 50.438-50.438 0-27.966-22.473-50.438-50.438-50.438zm134.72 12.094v52.062h79.562v-52.062h-79.562zm179.875 0v52.062h25.967v-52.062H458.72zM144.593 228c17.964 0 32.72 14.786 32.72 32.75s-14.755 32.72-32.72 32.72c-17.965 0-32.75-14.756-32.75-32.72S126.63 228 144.594 228zm0 18.688c-7.865 0-14.063 6.197-14.063 14.062 0 7.865 6.2 14.03 14.064 14.03s14.03-6.165 14.03-14.03c0-7.865-6.166-14.063-14.03-14.063zm-81.47 85.78c-16.628 0-29.905 13.278-29.905 29.907 0 16.63 13.276 29.906 29.905 29.906 16.63 0 29.906-13.276 29.906-29.905 0-16.63-13.276-29.906-29.905-29.906zm30.595 67.594c-5.02 4.087-10.88 7.2-17.25 9.032l34.843 36.375c-7.837 8.395-13.984 18.42-17.876 29.5H54.5v18.686h34.688c-.002.01 0 .02 0 .03l19.718.002c4.553-31.235 31.577-55.375 64.03-55.375 32.456 0 59.453 24.14 64 55.375h19.75c0-.01.003-.02.002-.032h35.125V474.97h-39.375c-11.52-32.797-42.69-56.22-79.5-56.22-17.618 0-33.94 5.345-47.438 14.53l-31.78-33.217zM172.937 457c-22.322 0-40.812 15.68-45.094 36.688H218C213.718 472.68 195.26 457 172.937 457z"}}]})(props);
};
function GiAutomaticSas (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M165.607 19.768c-23.41-.103-45.42 3.88-64.998 12.148l59.087 143.24c2.407-3.998 5.27-7.708 8.625-11.062 7.098-7.098 15.763-12.045 25.477-14.955l54.87-113.724c-28.477-10.21-56.66-15.532-83.063-15.648zM83.904 40.39C75.086 45.68 66.918 52 59.53 59.388 36.044 82.87 23.294 114.187 20.5 149.45l136.266 99.38c-5.55-16.14-7.63-32.022-6.002-46.357L83.904 40.39zm182.194 1.885l-50.045 103.717c17.453-.066 36.646 4.868 55.51 14.393l141.17-5.317c-8.735-10.745-18.182-21.25-28.342-31.41C347.888 87.155 307 59.755 266.1 42.275zM20.064 172.245c1.908 51.047 22.71 108.133 60.364 160.892l134.824-5.076c-6.03-4.68-11.91-9.846-17.557-15.494-8.606-8.606-16.102-17.746-22.445-27.144L20.064 172.246zm406.592.987L299.31 178.03c6.005 4.666 11.86 9.814 17.485 15.44 8.67 8.67 16.213 17.88 22.586 27.352l148.39 108.22c-3.41-49.83-24.4-104.89-61.114-155.81zM357.77 257.35c5.548 16.19 7.603 32.117 5.925 46.478l66.084 160.197c6.733-4.518 13.05-9.676 18.88-15.505 24.827-24.828 37.66-58.403 39.41-96.147l-130.3-95.023zm-3.06 73.668c-2.39 3.945-5.227 7.608-8.542 10.923-7.114 7.116-15.803 12.07-25.545 14.978L264.09 474.086c54.68 18.62 107.972 19.073 149.334-.736L354.71 331.018zm-111.68 14.685l-148.805 5.604c9.076 11.28 18.93 22.3 29.574 32.94 37.823 37.825 80.355 65.884 122.73 83.25l51.85-107.454c-17.407.055-36.54-4.86-55.35-14.34z"}}]})(props);
};
function GiAvocado (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M450.3 27.12c2.6 4.38 4.4 9.37 5.5 14.66 1.3 6.78 1.7 14.22 1.3 22.26 4.3 8.78 7.7 19.3 10 31.35 5.3 28.01 4.6 63.51-3.1 101.51-15.4 76-58.6 161.6-133.4 219.4-52 40.2-101.7 53.4-150.3 50.2-24.3-1.6-48.5-7.5-72.5-16.4-9.9 1.3-19.58 1.9-28.79 1.6-5.37-.1-10.61-.6-15.68-1.3 37.27 18.4 75.87 31.3 115.77 34 52.8 3.5 107.5-11.4 162.5-53.9 79-61 123.8-150.2 140-230 8.1-39.9 9.1-77.5 3.2-108.44-5.4-28.25-16.5-51.53-34.5-64.94zm-31.4 2.53c-2 0-4.3.17-6.7.48-9.8 1.22-22.5 4.46-37.2 9.48-29.2 10.03-66 27.07-104.1 48.34C194.7 130.5 113.1 190.4 73.42 243.6c-16.94 22.7-34.31 59.9-43.35 94.6-4.52 17.4-6.98 34.2-6.61 48.1.37 13.8 3.65 24.3 8.97 30.3 9.75 11 25.89 16.6 47.06 17.1 21.21.6 46.81-4 73.11-12.3 52.6-16.5 108.2-47.5 139.9-76.6 41.2-37.9 87.7-111.5 116.9-178.7 14.6-33.5 24.9-65.6 28.4-90.34 1.8-12.35 1.8-22.84.3-30.4-1.5-7.55-4.2-11.71-7.9-14.01-1.3-.83-5.3-1.8-11.3-1.7zM221.7 199.8c27.7 0 50.5 9.8 59.4 20.2 52.3 60.7-154 202.2-191.95 154.5-15.79-19.8-2.3-96.6 54.05-144.7 25.9-22.1 54.1-29.9 78.5-30z"}}]})(props);
};
function GiAvoidance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M323.9 45.2C269.6 171.8 229.2 213.1 114 258.1l-4.4-11.8-8.4-22.5-76.26 82.1 111.56 11.8-12.1-32.1c119.5-46.5 171-99 226.6-228.84zm51.7 149l12 32.1c-119.5 46.6-171 99.1-226.6 228.8l27.1 11.7c54.3-126.7 94.7-167.9 209.9-212.9l4.4 11.8 8.4 22.4 76.3-82.1z"}}]})(props);
};
function GiAwareness (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M121.406 18.313c-57.98 16.562-98.06 51.613-98.062 92.28-.003 40.518 39.805 75.616 97.437 92.25-33.653-22.005-55.22-55.224-55.218-92.25 0-37.237 21.85-70.277 55.844-92.28zm276.531 0c33.995 22.003 55.844 55.043 55.844 92.28.004 37.026-21.563 70.245-55.217 92.25 57.632-16.634 97.44-51.732 97.437-92.25-.003-40.667-40.082-75.718-98.063-92.28zM163.28 41.656c-43.303 12.368-73.215 38.565-73.218 68.938-.002 30.26 29.707 56.482 72.75 68.906-25.135-16.434-41.25-41.255-41.25-68.906 0-27.813 16.328-52.503 41.72-68.938zm192.782 0c25.39 16.435 41.72 41.125 41.72 68.938 0 27.65-16.115 52.472-41.25 68.906 43.043-12.424 72.752-38.645 72.75-68.906-.004-30.373-29.915-56.57-73.22-68.938zm-101.03 6.813c-23.457 3.027-44.22 30.026-44.22 64.655 0 19.094 6.635 36.007 16.438 47.75l10.22 12.25-15.69 2.938c-12.834 2.4-22.282 9.19-30.25 20.062-7.965 10.872-14 25.903-18.218 43.156-7.727 31.62-9.362 70.17-9.593 103.94h41.655l.625 8.655 10.625 141.375h90.344l9.374-141.313.594-8.718h39.625c-.017-34.152-.373-73.232-7.375-105.095-3.818-17.37-9.612-32.392-17.688-43.156-8.076-10.765-17.99-17.51-32.344-19.72l-16-2.47 10.125-12.624c9.38-11.682 15.69-28.4 15.69-47.03 0-36.92-23.274-64.564-49.095-64.564-2.8 0-4.505-.137-4.844-.093zm-51.438 12.155c-31.38 8.964-53.063 27.96-53.063 49.97 0 21.927 21.53 40.935 52.72 49.936-18.212-11.908-29.875-29.898-29.875-49.936.003-20.153 11.82-38.06 30.22-49.97zm112.156 0c18.398 11.91 30.216 29.816 30.22 49.97 0 20.037-11.664 38.027-29.876 49.936 31.19-9 52.72-28.008 52.72-49.936-.002-22.01-21.686-41.005-53.064-49.97z","fillRule":"evenodd"}}]})(props);
};
function GiAxeInLog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M89.17 24.96L67.55 55.98 327.8 237.4l21.7-31zM381.5 191.8l-47.9 68.7-1.2.9c-37.2 26.8-67.5 33.5-97.9 35 2.7 4.5 6.5 9.9 11.2 15.4 9.5 11.2 22.3 23.7 36.8 35.2 13.9 10.9 29.2 20.7 44.4 27.8l35.4-1.2c-3.1-23.5-4-50.7 18-82.3l47.2-67.6zm43.3 67.2l-21.6 30.9 22.6 15.8 21.6-31zM89.11 340.4c-4.37 0-8.16 1.3-10.4 2.9-2.24 1.6-2.72 2.9-2.72 3.9s.48 2.3 2.72 3.9 6.03 2.9 10.4 2.9 8.16-1.3 10.4-2.9c2.29-1.6 2.79-2.9 2.79-3.9s-.5-2.3-2.79-3.9c-2.24-1.6-6.03-2.9-10.4-2.9zm-14.22 28.9c-1.88 7-4.61 13.8-8.34 21.9-7.06-.2-14.12-.5-21.19-.8-14.17 9.2-22.04 22-25.2 35.4l38.05 8.1-39.69 7.1v1c.54 18.8 9.93 34.4 20.31 38.5 138.47 8.6 274.87 6.3 410.87 1.9-2.1-4.9-3.9-10.3-5.3-16.2l-50-8.3s32.7-5.5 47.4-8.1c-.3-4-.5-8.1-.5-12.4 0-17.3 3-32.9 8.5-45.1.7-1.7 1.5-3.3 2.4-4.8v-.6c-111.5 7.3-224 8.8-337.3 5.8-6-7.6-9.7-15.1-11.9-23.2-4.24 1.6-8.94 2.5-13.89 2.5-5.07 0-9.89-.9-14.22-2.7zm401.51 18.5c-.9 0-2 .3-3.9 2.2-2 1.8-4.3 5.1-6.3 9.6-4 9.1-6.9 22.7-6.9 37.8 0 2.2.1 4.4.2 6.5l20.9-18.7-17.1 41.8c.9 3 1.8 5.8 2.9 8.2 2 4.5 4.3 7.8 6.3 9.6 1.9 1.9 3 2.2 3.9 2.2.9 0 2-.3 3.9-2.2 2-1.8 4.3-5.1 6.3-9.6 4-9.1 6.9-22.7 6.9-37.8 0-15.1-2.9-28.7-6.9-37.8-2-4.5-4.3-7.8-6.3-9.6-1.9-1.9-3-2.2-3.9-2.2z"}}]})(props);
};
function GiAxeInStump (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.53 19.688V61.03c72.043 13.54 136.044 34.786 205.126 63.907v.032c12.827 4.56 21.984 12.106 26.844 21.186 4.94 9.23 5.268 19.71 1.75 28.563-6.227 15.67-24.807 25.573-45.78 20.374-10.345 19.927-23.93 39.623-42.407 58.937 11.14 7.005 22.513 13.16 34.187 18.532H307.5c20.216-54.396 32.977-109.693 38.344-160.937-104.518-15.22-203.62-46.673-297.813-91.938h-29.5zm317.095 229c-2.58 8.03-5.326 16.08-8.22 24.093h28.94v18.69h-161.69v-.22h-.593l-1.843-.844c-16.61-7.513-32.607-16.53-48.126-27.062l-3.156-2.125c-10.943 4.44-19.705 9.41-25.563 14.342-7.023 5.915-9.563 11.066-9.563 15.594 0 4.53 2.54 9.71 9.563 15.625 7.023 5.916 18.168 11.9 32.313 16.94 28.29 10.075 68.477 16.56 112.906 16.56 44.428 0 84.648-6.485 112.937-16.56 14.146-5.04 25.29-11.024 32.314-16.94 7.023-5.913 9.562-11.095 9.562-15.624 0-4.527-2.54-9.68-9.562-15.594-7.024-5.914-18.168-11.9-32.313-16.937-10.984-3.913-23.774-7.277-37.905-9.938zm-234.03 70.843c-5.044 82.403-40.128 102.984-71.44 125.095 20.57 4.536 43.68 8.43 66.94 7.563 25.204-9.846 51.443-36.288 70.405-57.47-8.154 19.774-19.6 39.024-34.563 58.376L106.97 492.53c44.538-7.387 86.41-17.235 129.25-46.374-7.942-20.833-13.978-41.123-18.22-61.187 16.816 26.81 35.478 52.765 57.125 76.655.03.033.064.06.094.094l31.967 30.655c25.176-31.428 43.748-65.536 58.563-99.875-.153 15.875-1.45 32.3-5 49.594 43.973 9.924 87.933 3.585 131.906 2.53-44.83-18.237-70.754-54.62-75.344-123.093-9.53 7.867-22.24 14.347-37.5 19.783-31.12 11.084-72.99 17.656-119.218 17.656-46.227 0-88.068-6.573-119.188-17.658-15.56-5.542-28.473-12.174-38.062-20.25-.6-.504-1.175-1.01-1.75-1.53z"}}]})(props);
};
function GiAxeSwing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M231.97 25.5c-82.09.7-162.87 37.735-213.314 103.625 26.08-22.208 57.052-38.305 90.063-47.5-62.24 53.704-94.583 139.09-79.626 225.28 1.09-28.258 7.8-55.66 19.28-80.655 1.154 51.488 18.492 102.143 52.22 143.344-38.003-76.004-22.756-193.02 39.844-240.313 11.657-5.955 24.047-10.833 37.093-14.436C284.597 85.27 394.467 151.13 423.157 261.5c16.562 63.723 2.315 128.343-33.25 177.313-4.68 4.68-9.852 8.942-15.47 12.875-5.947-1.8-11.324-4.187-16.03-7.22-12.01-7.737-19.51-19.947-20.656-33.624-2.096-24.99 14.13-53.014 46.53-80.53l-29.717-22.095c-16.038 39.73-38.954 61.946-64.188 65.186-13.836 1.777-27.648-2.677-39.03-11.844-8.41-6.77-15.634-16.017-21.5-27.406-16.69 19.306-20.72 43.155-16 67.28 5.483 28.04 23.502 55.683 47.28 72.252 21.973 15.312 49.595 21.202 74.813 16.375 9.043-1.732 17.75-4.832 25.843-9.344 18.055-8.925 34.396-20.126 47.25-35 65.17-57.975 96.26-151.12 72.47-242.658C453.52 95.415 358.743 24.782 255.47 25.875c-1.612.017-3.23.042-4.845.094-6.22-.368-12.44-.523-18.656-.47zm-90.657 145.125c-12.53-.06-18.07 15.934-6.063 23.656l188.688 133.032c4.29-6.45 8.42-14.145 12.25-23.187L150.968 173.53c-3.503-2.022-6.764-2.89-9.655-2.905z"}}]})(props);
};
function GiAxeSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M329.5 29.12l-8.1 11.4L359 67.16l8.1-11.44zm-88 5.04l24.2 45.36 1.8 1.29 14.8-40.36zm57.6 12.63l-16.4 44.8 40.7 28.81 35.3-31.54c-.9-.58-1.9-1.19-2.8-1.84zM59.83 48.56l10.84 45.83 29.63 2.6 2.7-29.63zM470.9 75.41c-5.6 4.71-12.2 8.59-19.5 11.74 5 46.45-14.7 83.45-45.2 109.75-26.5 22.9-60.9 38.4-95 47.9-2.5 4.8-5 9.2-7.4 13.1 41.5 5.4 93.2-21.2 129.2-60 19.8-21.3 34.8-45.9 41.1-69.2 5.2-19.4 4.7-37.42-3.2-53.29zm-351.3 8.71l-3 32.48-32.35-2.9 226.55 271 20-16.7 15.3-12.8zM434 93.09c-4.2 1-8.5 2-12.8 2.7-14.9 2.5-30.1 3.1-43.5.3l-41 36.61c4 7 5 15.7 4.5 24.5-.6 12.6-4.3 26.7-9.3 40.9-3 8.3-6.3 16.6-9.9 24.6 26.9-9.2 52.6-22.3 72.5-39.4 26.2-22.8 42.5-51.6 39.5-90.21zM274 107.4l-51.2 72.2 30.6 36.5 58.2-82.1zM173.8 248.8L34.53 445.2l37.53 26.6L204.3 285.3zm233 79.2L273.3 439.5l19.2 23.1L426 351zm-18.3 77.9l-35.3 29.4 39.7 47.6 35.3-29.4z"}}]})(props);
};
function GiAzulFlake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 16v99.3l119 118.9V120.1L128 16zm256 0L265 120.1v114.1l119-119V16zM16 128l104 119h114.2L115.3 128H16zm380.8 0l-119 119h114.1l104-119h-99.1zM120 265L16 384h99.2l119-119H120zm157.8 0l119 119h99.1l-104-119H277.8zM247 277.8l-119 119V496l119-104.1V277.8zm18 0v114.1L384 496v-99.2l-119-119z"}}]})(props);
};
function GiBabyBottle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M458.5 26.53c-8.8.12-18.1 2.88-25.1 6.84-12.5 7.02-23 28.72-29 43.11a64 48 45 0 0-54.3-3.36L438.9 162a64 48 45 0 0-3.4-54.4c14.4-5.9 36.1-16.52 43.1-28.97 7.5-13.11 10.7-34.58 0-45.26-5-5-12.3-6.95-20.1-6.84zM331.6 80.05L299 112.6 399.4 213l32.6-32.5zm-61 42.55c-13.5-.3-32.9 6-57.1 30.3L32.42 334c-3.54 3.5-5.85 9.7-5.85 16.2s2.31 12.7 5.85 16.2L145.6 479.6c3.5 3.6 9.7 5.9 16.3 5.9 6.5 0 12.7-2.3 16.2-5.9l4.9-5-27.5-27.5 12.8-12.8 27.5 27.5 21.1-21.1-27.5-27.5 12.8-12.8 27.5 27.5 21.2-21.1-50.2-50.2 12.8-12.8 50.2 50.2 21.1-21.2-27.5-27.5 12.8-12.8 27.5 27.5 21.2-21.1-27.6-27.6 12.8-12.8 27.6 27.6 21.1-21.2-50.2-50.1 12.8-12.8 50 49.9c35.6-39.2 23.1-64.5 16.4-71.1l-90.5-90.5c-3.1-3.1-10.1-7.4-20.6-7.7z"}}]})(props);
};
function GiBabyFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.443 49.593c-9.011.085-18 1.243-25.056 3.412-7.057 2.17-11.811 5.395-13.676 8.17-7.133 10.617-9.076 19.519-8.1 27.63.977 8.11 5.102 15.92 12.159 23.443 9.846 10.495 25.39 19.81 42.857 26.955-7.836-14.753-11.888-28.818-10.357-42.717 1.826-16.589 11.956-31.077 29.351-43.768-.63-.174-1.186-.377-1.85-.533-7.244-1.703-16.316-2.676-25.328-2.592zm37.79 17.461c-14.638 10.454-20.887 20.609-22.075 31.4-1.474 13.394 5.377 30.64 20.887 52.175l14.023 19.468c12.6-8.667 25.012-12.72 36.782-12.959a54.52 54.52 0 0 1 5.888.2c15.544 1.368 29.047 8.774 41.418 17.423l-10.312 14.752c-11.223-7.846-21.99-13.307-32.684-14.248-10.693-.94-22.044 2.044-36.463 13.838l-11.394-13.932a102.983 102.983 0 0 1 5.824-4.43l-22.74-6.167c-28.693-7.783-56.841-20.93-74.742-40.012-8.951-9.54-15.368-20.858-16.903-33.607-.569-4.726-.43-9.582.42-14.502C121.752 105.216 73 177.51 73 262.775c0 110.751 82.246 199.637 183 199.637s183-88.886 183-199.637c0-97.123-63.252-177.427-146.768-195.72zM170.15 157.138c13.872.282 28.637 5.837 43.547 18.033l-11.394 13.932c-14.419-11.794-25.77-14.779-36.463-13.838-10.693.941-21.46 6.402-32.684 14.248l-10.312-14.752c12.371-8.649 25.874-16.055 41.418-17.424a54.52 54.52 0 0 1 5.888-.199zm-2.15 40c26.955 0 49 22.045 49 49s-22.045 48.998-49 48.998c-26.386 0-48.053-21.125-48.957-47.3a32.955 32.955 0 0 1 0-3.395c.904-26.175 22.571-47.303 48.957-47.303zm176 0c26.955 0 49 22.045 49 49s-22.045 48.998-49 48.998c-26.386 0-48.053-21.125-48.957-47.3a32.955 32.955 0 0 1 0-3.395c.904-26.175 22.571-47.303 48.957-47.303zm-176 17.998c-1.378 0-2.73.097-4.059.268C176.22 220.226 185 232.224 185 246.138c0 13.914-8.78 25.91-21.059 30.733 1.329.17 2.681.267 4.059.267 17.228 0 31-13.772 31-31s-13.772-31.002-31-31.002zm176 0c-1.378 0-2.73.097-4.059.268C352.22 220.226 361 232.224 361 246.138c0 13.914-8.78 25.91-21.059 30.733 1.329.17 2.681.267 4.059.267 17.228 0 31-13.772 31-31s-13.772-31.002-31-31.002zm-284.746 3.006c-14.197 2.45-23.466 7.41-29.065 13.145-7.967 8.162-9.918 18.531-7.39 30.328 3.681 17.18 18.154 35.225 36.076 43.775A235.517 235.517 0 0 1 55 262.775c0-15.287 1.47-30.215 4.254-44.633zm393.492 0A235.355 235.355 0 0 1 457 262.775c0 14.575-1.339 28.823-3.875 42.615 17.922-8.55 32.395-26.595 36.076-43.775 2.528-11.797.577-22.166-7.39-30.328-5.599-5.735-14.868-10.695-29.065-13.145zM152 231.136c-8.391 0-15 6.61-15 15.002 0 3.263 1.008 6.248 2.723 8.688l23.545-18.65c-2.732-3.099-6.734-5.04-11.268-5.04zm176 0c-8.391 0-15 6.61-15 15.002 0 3.263 1.008 6.248 2.723 8.688l23.545-18.65c-2.732-3.099-6.734-5.04-11.268-5.04zm-98.41 49.95c8 6.34 13.916 10.984 18.228 13.718 4.313 2.735 6.56 3.356 8.182 3.356 1.623 0 3.87-.621 8.182-3.356 4.312-2.734 10.228-7.378 18.228-13.718l11.18 14.103c-8 6.34-14.084 11.208-19.772 14.815-5.687 3.606-11.44 6.154-17.818 6.154-6.377 0-12.13-2.548-17.818-6.154-5.688-3.607-11.772-8.474-19.772-14.815zm-82.393 51.1h217.606l-4.336 12.046s-8.333 23.283-25.164 46.664C318.472 414.277 292.167 439.09 256 439.09c-36.167 0-62.472-24.812-79.303-48.193-16.83-23.38-25.164-46.664-25.164-46.664zM218 350.137v32h32v-32z"}}]})(props);
};
function GiBabyfootPlayers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 29.5c-6.557 0-12.898 3.62-18.146 10.924C104.604 47.728 101 58.51 101 70.596c0 12.085 3.605 22.866 8.854 30.17 5.248 7.303 11.59 10.923 18.146 10.923 6.557 0 12.898-3.62 18.146-10.924 5.25-7.304 8.854-18.085 8.854-30.17 0-12.086-3.605-22.868-8.854-30.172C140.898 33.12 134.556 29.5 128 29.5zm256 0c-6.557 0-12.898 3.62-18.146 10.924C360.604 47.728 357 58.51 357 70.596c0 12.085 3.605 22.866 8.854 30.17 5.248 7.303 11.59 10.923 18.146 10.923 6.557 0 12.898-3.62 18.146-10.924 5.25-7.304 8.854-18.085 8.854-30.17 0-12.086-3.605-22.868-8.854-30.172C396.898 33.12 390.556 29.5 384 29.5zm-235.736 93.912c-5.99 3.932-12.87 6.277-20.264 6.277-7.25 0-13.996-2.26-19.902-6.053l-2.67 2.67c.905 4.4 3.467 9.56 7.77 15.298 3.93 5.24 9.223 10.835 14.802 16.532 5.58-5.697 10.87-11.292 14.8-16.532 4.402-5.868 6.963-11.122 7.81-15.584l-2.346-2.608zm215.472 0l-2.345 2.61c.846 4.46 3.408 9.715 7.81 15.583 3.93 5.24 9.22 10.835 14.8 16.532 5.58-5.697 10.87-11.292 14.8-16.532 4.305-5.74 6.867-10.9 7.772-15.298l-2.67-2.67c-5.906 3.792-12.653 6.052-19.902 6.052-7.395 0-14.273-2.346-20.264-6.278zM88.998 134.826l-31.93 10.643c.077 28.387 1.13 55.42 13.496 82.132 43.338 13.938 71.534 13.938 114.872 0 12.367-26.712 13.42-53.745 13.496-82.133l-31.93-10.644c-2.11 6.28-5.692 12.1-9.803 17.58-6.577 8.768-14.837 16.963-22.837 24.963L128 183.733l-6.363-6.365c-8-8-16.26-16.196-22.836-24.964-4.11-5.48-7.693-11.3-9.802-17.58zm256 0l-31.93 10.643c.077 28.387 1.13 55.42 13.496 82.132 43.338 13.938 71.534 13.938 114.872 0 12.367-26.712 13.42-53.745 13.496-82.133l-31.93-10.644c-2.11 6.28-5.692 12.1-9.803 17.58-6.577 8.768-14.837 16.963-22.837 24.963L384 183.733l-6.363-6.365c-8-8-16.26-16.196-22.836-24.964-4.11-5.48-7.693-11.3-9.802-17.58zM18 146.5v36h22.44c-1.203-12.188-1.39-24.202-1.422-36H18zm198.982 0c-.03 11.798-.22 23.812-1.42 36h80.878c-1.203-12.188-1.39-24.202-1.422-36h-78.036zm256 0c-.03 11.798-.22 23.812-1.42 36H494v-36h-21.018zM73 247.24v63.45c5.94 4.56 14.298 7.316 23 7.316 8.627 0 17.07-2.6 23-7.086v-27.914h18v27.914c5.93 4.487 14.373 7.086 23 7.086 8.702 0 17.06-2.757 23-7.317v-63.45c-39.33 11.437-70.67 11.437-110 0zm256 0v63.45c5.94 4.56 14.298 7.316 23 7.316 8.627 0 17.07-2.6 23-7.086v-27.914h18v27.914c5.93 4.487 14.373 7.086 23 7.086 8.702 0 17.06-2.757 23-7.317v-63.45c-39.33 11.437-70.67 11.437-110 0zm-210 84.252c-7.228 3.056-15.142 4.514-23 4.514-7.847 0-15.77-1.42-23-4.45v27.364c5.93 4.487 14.373 7.086 23 7.086s17.07-2.6 23-7.086v-27.428zm18 0v27.428c5.93 4.487 14.373 7.086 23 7.086s17.07-2.6 23-7.086v-27.363c-7.23 3.03-15.153 4.45-23 4.45-7.858 0-15.772-1.46-23-4.515zm238 0c-7.228 3.056-15.142 4.514-23 4.514-7.847 0-15.77-1.42-23-4.45v27.364c5.93 4.487 14.373 7.086 23 7.086s17.07-2.6 23-7.086v-27.428zm18 0v27.428c5.93 4.487 14.373 7.086 23 7.086s17.07-2.6 23-7.086v-27.363c-7.23 3.03-15.153 4.45-23 4.45-7.858 0-15.772-1.46-23-4.515zm-274 48c-7.228 3.056-15.142 4.514-23 4.514-6.4 0-12.813-1.076-18.898-3.068 1.1 3.693 2.132 7.308 3.437 11.222 2.93 8.792 6.073 17.492 7.564 25.846H119v-38.514zm18 0v24.373c4.736-7.94 11.14-14.775 18.723-20.02-6.43-.438-12.806-1.85-18.723-4.353zm238 0c-7.228 3.056-15.142 4.514-23 4.514-6.4 0-12.813-1.076-18.898-3.068 1.1 3.693 2.132 7.308 3.437 11.222 2.93 8.792 6.073 17.492 7.564 25.846H375v-38.514zm18 0v38.514h30.896c1.49-8.354 4.634-17.054 7.565-25.846 1.306-3.914 2.34-7.53 3.438-11.223-6.085 1.993-12.497 3.07-18.898 3.07-7.858 0-15.772-1.46-23-4.515zM192 390.5c-25.512 0-46 20.488-46 46s20.488 46 46 46 46-20.488 46-46-20.488-46-46-46zM89 436.006v44h56.156C134.526 468.57 128 453.274 128 436.5c0-.166.01-.33.012-.494H89zm256 0v44h78v-44h-78z"}}]})(props);
};
function GiBackForth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M241.844 28.625l-21.188 5.063L33.25 78.53l-9.594 2.282 2.813 9.47 54.718 184.03 6.156 20.782 10.875-18.75 36.624-63.125 39.344 22.655 9.375-16.188-47.47-27.312L128 187.72l-4.656 8.06-30.406 52.47-45.75-153.844 156.625-37.47-30.344 52.345-4.69 8.126 8.126 4.656L332.75 211.75l-17.594 30.344 16.22 9.312 22.25-38.375 4.687-8.124-8.125-4.656-155.844-89.688 36.594-63.093 10.906-18.845zm-28.25 176.47l-57.438 99.31 155.22 89.5 8.093 4.658-4.69 8.093-44.06 76.25 218.81-52.5-63.874-215.47-44.094 76.25-4.656 8.064-8.094-4.656-155.218-89.5z"}}]})(props);
};
function GiBackPain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M200.094 21.094l13.875 143.72L83.72 58.343l72.624 139.906-77.72-29.47 34.282 62.126-82.062-2.062L135.874 297 31.75 327.03l109.438 21.158c8.39-48.802 49.597-85.194 97.75-105.344 28.916-12.1 60.67-18.762 90.75-18.594 19.237.108 37.776 3.024 54.437 9.063l48-119.375L350 196.5l19.22-161.78-41.876 95.968L313.47 92.03l-32.69 83.5-80.686-154.436zm255.78 190.687c-17.883-.093-38.852 9.04-55.937 26.126-5.31 5.31-9.823 11.022-13.562 16.875-29.252-17.627-72.375-16.805-113.28-3.905-9.17 2.484-18.214 5.537-26.94 9.188-43.676 18.277-78.503 49.837-86.218 89.625-6.61 30.108 5.37 63.223 47.438 94.843H88.062l-26.437 47.75H318.78l-88.467-103.25c24.27-26.707 67.457-43.703 97-45.06 13.792 45.096 36.233 113.496 71.718 148.31h60.876c-43.07-46.546-76.57-109.087-81.97-179.842 1.617 3.235 3.72 6.188 6.314 8.78 18.664 18.664 55.945 11.618 83.28-15.718 27.337-27.336 34.384-64.618 15.72-83.28-7-7-16.645-10.382-27.375-10.44z","fillRule":"evenodd"}}]})(props);
};
function GiBackboneShell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M350.1 19.82c-28.8.34-81.1 43.61-70.9 117.38-12.3 7.4-27.7 13.3-40.1 11.1 11.8 18.1 33.6 26.3 56.4 21.8-8.3 4.8-19.4 8.3-27.9 9-11 .7-21.8-1.4-31.5-7.2-16.5-17.3-33.8-51.6-21.3-71.3 10.9-16.5 5.9-35.23-5.4-40.57-25-11.86-83 52.77-46.4 131.67-9.5 11.9-22.7 23-37.8 24.9 14 9.8 36.9 12.5 51 8.7-9.9 6.7-21.4 10.8-32.7 11.6-11.5.8-22.8-1.6-32.8-7.9-12.46-12-25.75-31.7-22.91-47.7 3.71-19.4-8.14-34.8-20.59-35.4-27.66-1.3-56.37 80.9 8.07 139.6-24.89 40.7-43.25 89.9-55.21 149.3-12.747 63.2 35.52 78.3 66.06 18.8 16.28-27.5 32.78-57.8 53.98-77.3 51.4-56.9 124.3-104.7 183.9-130.7 28.9-12.6 54.2-20.4 74.2-20.8 12.9-.2 28.4 5.6 33.6 15.2 4.2 8.4 3.4 18.1-.4 29-3.2-18.4-14.7-23.7-26.8-25.3-6.7-.6-16.6.5-28.4 3.4 30.3 16.3 39.2 42.7 16.1 58.9 9.3-21.2-20.2-43.1-47.4-48.8-6.7 2.6-12.4 5-18.4 7.7 20.6 21.1 24 44.8.9 54.4 10.2-14-.8-32.9-17.6-46.4-7.1 3.6-14.4 7.5-21.7 11.6 9.5 15.2 4.3 29.4-19.7 38.9 9.5-8.8 9-19.2 2.1-28.6-24.2 14.7-48.7 32-71.4 51 32.3-8.4 73.1-10.8 130.2-15.6 211-17.9 207-209.5 48.8-210.8-3.9-.1-7.2.6-10.6-.7 7.5 18.8 28.4 34.2 44.9 38.9-13.1 1.5-26.3-.6-37.5-6-29.9-13.7-36.7-70.53-18.9-87.17 15.4-12.37 16.4-31.74 7.3-40.27-4.2-3-9.1-4.35-13.2-4.34z"}}]})(props);
};
function GiBackgammon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 32L16 496h96L64 32zm48 464h48c-20.053 0-37.38-12.205-44.943-29.55L112 496zm48 0h48l-3.057-29.547C197.38 483.798 180.053 496 160 496zm48 0h48c-20.052 0-37.38-12.202-44.943-29.547L208 496zm48 0h48l-3.057-29.55C293.38 483.794 276.053 496 256 496zm48 0h96L352 32l-48 464zm96 0h48c-20.053 0-37.38-12.205-44.943-29.55L400 496zm48 0h48l-3.057-29.55C485.38 483.794 468.053 496 448 496zM160 32l-28.914 279.512c8.12-5.97 18.12-9.512 28.914-9.512s20.795 3.542 28.914 9.512L160 32zm96 0l-40.016 386.82C224.877 406.25 239.516 398 256 398c16.486 0 31.123 8.254 40.016 20.826L256 32zm192 0l-18.373 177.605C435.31 207.288 441.51 206 448 206c6.49 0 12.69 1.288 18.373 3.605L448 32zm0 192c-17.227 0-31 13.773-31 31s13.773 31 31 31 31-13.773 31-31-13.773-31-31-31zm-27.273 71.648l-1.64 15.858c5.583-4.105 12.058-7.062 19.07-8.506-6.336-1.305-12.232-3.846-17.43-7.352zm54.546 0c-5.198 3.506-11.094 6.047-17.43 7.352 7.012 1.444 13.487 4.4 19.07 8.506l-1.64-15.858zM448 320c-17.227 0-31 13.773-31 31s13.773 31 31 31 31-13.773 31-31-13.773-31-31-31zm-324.387 63.732l-3.63 35.08c7.077-9.997 17.788-17.26 30.173-19.812-10.42-2.146-19.66-7.627-26.543-15.268zm72.774 0c-6.884 7.64-16.122 13.122-26.543 15.268 12.384 2.55 23.096 9.813 30.172 19.81l-3.63-35.078zm215.226 0l-3.63 35.08c7.077-9.997 17.788-17.26 30.173-19.812-10.42-2.146-19.66-7.627-26.543-15.268zm72.774 0c-6.884 7.64-16.122 13.122-26.543 15.268 12.385 2.55 23.096 9.815 30.172 19.813l-3.63-35.08zM448 416c-17.227 0-31 13.773-31 31s13.773 31 31 31 31-13.773 31-31-13.773-31-31-31z"}}]})(props);
};
function GiBackpack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M186.438 20.56l-13.184 26.365c6.8-.26 13.626-.488 20.47-.686l3.84-7.68h116.874l3.77 7.54c6.838.187 13.658.408 20.456.66l-13.102-26.2H186.437zm69.56 42.742c-45.757.056-91.452 1.566-135.38 4.363-3.24 50.58-8.4 100.987-.786 145.824 89.297 12.395 180.102 12.985 272.764-.054 7.055-30.988 5.117-84.68-1.04-145.89-43.974-2.893-89.73-4.3-135.558-4.244zm153.783 5.54c6.42 64.12 9.113 119.825-1.135 155.22l-1.61 5.56-5.726.842c-98.8 14.528-195.613 13.81-290.605.002l-6.285-.914-1.246-6.23c-9.89-49.49-4.085-102.785-.664-154.42-4.89.354-9.765.72-14.602 1.107-8.596 58.568-9.39 116.957-.05 175.292 110.24 12.088 222.275 12.205 336.203-.01 8.502-57.83 8.29-116.25-.017-175.313-4.725-.4-9.485-.776-14.262-1.14zM255.966 92.3c32.526-.025 65.067 2.746 97.574 8.39l7.46 1.295v7.572c0 15.554 1.683 35.105-12.69 50.25-9.912 10.444-25.655 17.337-51.31 20.585v18.164h-82v-18.452c-23.992-3.37-39.352-10.175-49.363-20.185C150.807 145.093 151 125.56 151 109.56v-7.594l7.484-1.278c32.444-5.54 64.955-8.362 97.48-8.386zm.012 17.994c-28.96.022-57.913 2.444-86.858 6.996.265 12.28 1.635 22.296 9.243 29.904 5.914 5.914 16.952 11.416 36.637 14.582v-29.22h82v29.51c21.367-3.115 32.66-8.755 38.254-14.65 7.033-7.41 7.696-17.502 7.73-30.124-29-4.63-58.006-7.02-87.007-6.998zM233 150.56v30h46v-30h-46zm209.674 92.42c-.503 3.625-1.042 7.25-1.61 10.87.214 2.352.42 4.706.63 7.06L471 290.213v-22.24l-28.326-24.995zm-373.485.12L41 267.973v22.24l29.318-29.318c.205-2.327.406-4.655.616-6.982-.618-3.605-1.202-7.21-1.745-10.813zm354.634 20.397c-10.29 1.09-20.564 2.076-30.824 2.967v74.095h16v66h-16v80.615c10.318-.633 20.63-1.313 30.928-2.082 9.445-74.01 6.478-147.698-.104-221.596zm-335.576.03C81.725 338.09 78.58 412.1 88.06 485.1c10.324.79 20.638 1.504 30.94 2.145V406.56h-16v-66h16v-74.024c-10.266-.902-20.517-1.903-30.752-3.01zm286.752 4.4c-10.014.76-20.014 1.424-30 1.992v70.64h30v-72.632zm-238 .085v72.547h30v-70.55c-10.015-.568-20.014-1.237-30-1.997zm190 2.825c-47.65 2.173-94.984 2.19-142 .078v19.314c23.95-5.165 47.8-7.652 71.516-7.59 23.638.06 47.145 2.654 70.484 7.626v-19.43zM68.05 288.62L41 315.67v56.89h23.06c.376-27.987 1.88-55.975 3.99-83.94zm375.948.047c2.12 27.872 3.61 55.83 3.957 83.892H471v-56.89l-27.002-27.003zm-187.52 11.95c-23.68-.063-47.487 2.577-71.478 8.052v31.89h16v18.443c17.033 5.346 31.73 8.493 46 9.426v-2.87h18v2.868c14.27-.932 28.967-4.08 46-9.425V340.56h16v-31.866c-23.42-5.267-46.907-8.016-70.523-8.078zM121 358.558v30h22v-23h18v23h22v-30h-62zm208 0v30h22v-23h18v23h22v-30h-62zM201 377.8v28.76h-16v15.857c48.528 10.865 95.713 10.664 142 .045V406.56h-16V377.8c-16.332 4.747-31.283 7.52-46 8.326v11.433h-18v-11.434c-14.717-.806-29.668-3.58-46-8.326zM41 390.56v14h23.14c-.09-4.667-.143-9.334-.163-14H41zm407.012 0c-.027 4.663-.083 9.33-.18 14H471v-14h-22.988zM137 406.56v19.798c6.137 7.214 11.222 9.77 14.934 9.844 3.734.075 8.697-2.122 15.066-9.79V406.56h-6v7h-18v-7h-6zm208 0v19.798c6.137 7.214 11.222 9.77 14.934 9.844 3.734.075 8.697-2.122 15.066-9.79V406.56h-6v7h-18v-7h-6zm-304 16v35.154c5.596 5.51 8.677 8.25 11.846 9.306 2.454.818 7.713 1.15 15.045 1.317-1.544-15.25-2.586-30.51-3.204-45.778H41zm406.27 0c-.628 15.224-1.674 30.483-3.21 45.78 7.358-.168 12.635-.5 15.094-1.32 3.17-1.056 6.25-3.795 11.846-9.306V422.56h-23.73zM185 440.842v49.498c47.55 1.51 94.877 1.446 142-.074V440.9c-46.316 10.03-93.74 10.185-142-.057zm-48 9.123v38.318c10.01.54 20.01 1.008 30 1.408v-39.678c-4.86 2.786-10.01 4.293-15.43 4.184-5.192-.104-10.036-1.624-14.57-4.232zm208 0v39.654c10.01-.403 20.01-.878 30-1.412v-38.194c-4.86 2.786-10.01 4.293-15.43 4.184-5.192-.104-10.036-1.624-14.57-4.232z"}}]})(props);
};
function GiBackstab (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M180.75 22.97l-17.72 5.968 25.345 75.406 17.72-6.03-25.345-75.345zm73.906 78.56L149.97 137.157l10.155 29.875c8.316-9.75 17.78-17.498 28.125-23.374 7.232 27.494 16.666 54.12 27.813 79.906 13-5.56 26.423-10.197 39.906-13.718-6.967-26.727-15.822-53.187-26.345-79.313 11.295-1.24 23.1-.91 35.22.94l-10.19-29.94zm191.688 88.22c-19.464-.103-42.28 9.843-60.875 28.438-5.778 5.776-10.684 11.978-14.75 18.343-28.734-17.313-69.766-18.263-110.22-7.968-.02-.093-.04-.187-.063-.28-12.357 3.134-24.726 7.248-36.687 12.312l.188.406c-87.328 37.506-151.902 123.99-48.032 202.063H46.03L17.25 495.03h279.875l-96.28-112.374c26.414-29.067 73.41-47.584 105.56-49.062C321.42 382.674 345.85 457.11 384.47 495h66.25c-46.88-50.664-83.318-118.734-89.19-195.75 1.76 3.523 4.022 6.77 6.845 9.594 20.312 20.312 60.906 12.657 90.656-17.094 29.752-29.75 37.407-70.344 17.095-90.656-7.617-7.617-18.103-11.282-29.78-11.344z"}}]})(props);
};
function GiBackup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M164.594 21.625c-.537.012-1.068.028-1.563.094-29.656 3.852-52.56 35.847-52.56 74.75 0 21.55 7.307 41.193 18.686 54.905-61.678 11.594-66.563 115.158-66.562 188.063h43.218l11.094 152.437h63.063L168.905 340.03h21.47l11.343 152.158h108.686l10.03-152.157h21.627l-9.907 151.845h63.063l10.53-152.438h40.28c0-73.107 1.407-178.78-65.967-189.218 10.89-13.646 18.093-32.734 18.093-53.75 0-41.496-26.52-74.75-59-74.75-2.03 0-4.43-.263-6.406 0-9.4 1.22-17.562 5.455-25.125 11.686 16.388 13.303 27.468 36.433 27.47 63.063 0 21.016-7.236 40.104-18.126 53.75 67.373 10.438 66 116.11 66 189.218h-21.94c.008-73.086 1.29-178.215-65.905-188.625 10.89-13.647 17.906-32.61 17.906-53.625 0-41.497-26.457-75-58.936-75-2.03 0-4.117-.262-6.094 0-29.657 3.85-52.813 36.095-52.813 75 0 21.547 7.373 40.788 18.75 54.5-61.514 11.563-66.318 114.874-66.343 187.75H126.25c-.002-72.905 4.322-176.47 66-188.063-11.38-13.712-18.687-33.356-18.688-54.906 0-26.575 11.138-49.632 27.438-63.064-9.148-7.425-19.896-11.687-31.53-11.687-1.525 0-3.267-.132-4.876-.095z","fillRule":"evenodd"}}]})(props);
};
function GiBackwardTime (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208.242 24.629l-52.058 95.205 95.207 52.059 17.271-31.586-42.424-23.198A143.26 143.26 0 0 1 256 114c78.638 0 142 63.362 142 142s-63.362 142-142 142-142-63.362-142-142c0-16.46 2.785-32.247 7.896-46.928l-32.32-16.16C82.106 212.535 78 233.798 78 256c0 98.093 79.907 178 178 178s178-79.907 178-178S354.093 78 256 78c-13.103 0-25.875 1.44-38.18 4.148l22.008-40.25-31.586-17.27zm104.27 130.379L247 253.275V368h18V258.725l62.488-93.733-14.976-9.984z"}}]})(props);
};
function GiBacon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M132.4 28.4L119 38.25c-.3 4.16-.8 11.12-.7 19.39.1 12.84 2.3 27.87 6.4 34.46 7.3 11.6 20.3 18.1 35.8 24.9 15.5 6.8 33.1 13.5 46 28.6 15.6 18.4 25 39.6 32.5 61.2 4.1-3.4 8.3-6.9 12.1-10.5-8.6-22.6-18.6-43.7-33.8-61.1-8.3-9.2-21.3-14.5-35.5-20.5-14.3-6.1-30.2-13.1-39.8-28.69-8.9-14.14-10-33.01-9.9-48.92 0-3.07.2-5.9.3-8.69zM368 38.26c-3.4 1.07-7.9 2.67-14 5.28-9.5 4.1-20.4 10.46-23.9 14.85-10 12.71-13 29.86-15.3 49.21-2.5 19.3-4 40.6-15.3 59.5-33.4 55.9-96.1 81.3-130 127.8-21.7 29.7-49.7 95-56.7 111.7l22.1 14c2.6-7 8.5-22.4 16.1-40.3 10.5-24.3 23.6-52.8 36.8-71.2 18.7-26.5 44.2-45.7 68.2-64.7 24.1-19 46.6-37.7 61.1-62.3h.2c8-13.7 9.8-31.4 12-50.3 2.3-18.9 4.8-39.31 18-56.34 8.5-11.08 22.5-18.5 34.8-24.28 1-.53 2.2-1.02 3.2-1.51zM100.3 52.15l-13.08 9.74c-.16 4.01-.26 9.57 0 15.67.49 12.15 2.99 26.44 6.88 32.54 8.1 12.9 22.3 20.2 39 27.8 16.8 7.6 35.7 15.2 49.4 31.4 14.8 17.4 24 37.3 31.5 57.7 3.4-2.7 6.8-5.4 10-8.1-7.5-22.9-16.5-44.2-31.4-61.7-9-10.6-23.6-16.8-39.3-23.7-15.8-6.9-33.2-14.8-43.8-31.9-8-12.84-9-29.64-9.2-43.79v-5.67zM435 82.26c-4 1.14-9.5 2.84-15.5 5.09-11.7 4.38-24.7 11.44-29 16.95-9.4 11.8-11.2 27.9-12.2 46.4s-1.2 39.2-11.7 57.7c-15.8 27.6-40.3 46.5-64.1 64.4-23.9 18-47.4 35.1-62.6 57.8-12 17.8-25.3 49.7-34.9 76.7-8.7 24.7-14.7 44.5-15.7 47.9l13.2 8.4c2.8-9.7 6.6-23.4 11.6-38.6 9.4-29.1 21.9-63.1 36.5-85.1 18.2-27.5 45-46 70-64.2 25-18.2 48.5-36 62.5-60.7 6.9-11.9 7.4-28 8-45.5.7-17.4 1.9-36.8 14.5-52.6 9.7-12 25.5-18.34 39.2-23.02 1.8-.61 3.5-1.17 5.3-1.7zM41.6 95.74L26.55 106.9c0 3.4.1 8.1.62 14.3.86 10.2 3.42 22.2 6.46 27v.1c8.67 13.9 23.61 22.8 40.67 31.9 17.06 9.1 36 18.3 49.9 35.2 15.9 19.4 26.3 41.1 34.9 63.3 4.4-5.6 9.3-10.9 14.2-16-8-21-17-40.8-30.8-57.5-10.1-12.3-26.1-20.4-42.66-29.1-16.69-8.8-34.53-18.5-46.12-36.4-7.51-11.6-10.09-27-11.7-40.16-.16-1.29-.29-2.55-.42-3.8zm428.5 9.66c-4 .9-11.1 2.7-19.5 5.5-12.3 4.3-26.3 11.3-31 17.2-8.3 10.6-9.8 25.1-10.5 42.2-.6 17.1-.5 36.3-10.3 53.7-16.5 28.7-42.5 48-67.7 66.3-25.1 18.3-49.6 35.8-65.5 59.6-12.2 18.6-25.1 52.2-34.3 80.7-5.9 17.9-10.4 33.8-12.9 43.1l15.5 9.9c2.1-8.7 5.2-20.6 9.6-35.2 7.6-26.1 18.1-56.7 30.6-76.8 18.7-30.2 46.9-51.2 73.5-71.9 26.5-20.7 51.5-40.9 66.4-68.2 5.6-10.6 5.8-24.9 6.3-40.6.5-15.7 1.3-33.3 12.8-47.8 10.7-13.2 28.5-20.2 44-25.2 3-1 5.7-1.8 8.4-2.5zM328.3 338.3c-4 3.2-7.7 6.6-11.2 10 9.2 8.3 19.2 16.5 28.4 23.9 15.1 12 28 21.5 35.8 27.1l12.8-9.9c-7.3-5.1-17.3-12.2-29.5-21.4-11.8-9-24.8-19.3-36.3-29.7zm-23.8 22.9c-2.7 3.1-5.4 6.2-7.9 9.4 6.5 5.9 13.2 11.7 19.5 17 19.9 16.8 36.2 29.3 39.2 31.5l11-8.4c-8.2-5.9-19.5-14.4-32-24.5-9.7-7.7-20-16.2-29.8-25zM270.3 424c-2.7 7.6-5.3 15.4-7.7 22.9 11 10.9 20.4 19.7 25 24l18.5-14.2c-6-5.2-20.1-17.7-35.8-32.7z"}}]})(props);
};
function GiBadBreath (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.455 17.016l1.717 345.656c15.677 8.52 35.932 6.66 49.75-1.625 16.377-10.994 19.86-25.201 11.346-39.719C23.28 223.543 36.424 131.91 87.955 80.486c51.53-51.424 140.25-61.074 224.688-1.627 13.64 9.602 20.365 9.61 24.593 7.657 18.702-19.697 21.81-43.01 26.063-68.813zM192.08 56.295c-4.418.057-8.754.3-13.033.75l98.97 66.691 16.53-34.595C261.985 71.343 224.73 56.293 192.08 56.295zm222.44 11.06a12.86 12.86 0 0 0-3.666.649c-13.063 6.389-8.956 24.292-6.124 34.324-4.158 1.963-7.591 5.365-10.12 9.055-4.25 6.199-6.926 14.053-7.885 22.847-1.433 15.702 4.198 36.571 19.574 38.665 18.646-.32 26.357-20.765 27.6-35.34 11.739 11.885 32.68 23.59 45.173 11.619 11.144-14.748.83-32.292-9.181-42.354-9.272-8.11-19.986-15.22-31.756-13.851-4.028-9.687-12.146-25.91-23.615-25.614zM120.957 89.566l-3.73 17.61c57.04 18.075 102.46 11.942 144.98 59.682 15.383 17.271 33.365 57.686 53.016 69.8 32.681 12.43 53.701-6.904 81.691-12.902 37.77-.187 56.574 56.11 65.28 86.252l17.353-4.781c-14.027-43.894-48.127-105.21-86.27-99.1-21.857 3.607-51.379 24.162-68.85 15.064-12.645-16.527-33.477-59.212-45.416-71.924-54.314-42.71-91.503-45.302-158.054-59.7zm322.44 21.526c9.425 5.394 25.77 11.65 22.802 25.347.136-.023.176-.027.076.075-.1.1-.098.06-.076-.075-15.947 1.56-21.222-15.714-22.803-25.347zm-32.057 8.238c5.913 9.524 8.832 28.129-3.078 35.565.102.09.13.122-.012.107-.141-.015-.107-.041.012-.107-7.759-8.476-3.879-29.655 3.078-35.565zm-322.041 2.078l-7.338 16.436c49.115 25.31 108.604 49.194 151.504 88.33 20.722 23.473 27.135 60.83 51.875 75.26 20.624 13.592 58.792-6.191 75.812 3.017 29.144 25.403 43.935 56.729 57.233 92.516l16.94-6.086c-16.039-34.888-32.092-81.84-65.151-102.006-20.793-14.056-58.732 5.845-76.078-3.168-24.742-18.789-28.585-53.611-48.334-72.678-50.073-39.844-98.611-65.607-156.463-91.62zm-9.783 40.252L68 175.494s78.82 66.142 107.45 104.465c16.519 26.386 20.846 65.049 44.046 81.766 26.927 20.17 81.684-3.604 102.795 12.418 22.115 27.829 28.526 61.222 32.219 96.017l17.92-1.685c-6.519-35.668-11.242-84.852-38.825-108.332-27.252-22.923-80.876 1.677-103.87-13.223-23.15-20.998-23.657-55.409-39.866-77.734C157.864 226.344 79.516 161.66 79.516 161.66zm-17.782 32.856l.002.004v-.004zm.002.004c.081 32.477 9.462 69.047 31.094 107.84l22.125-13.126zm113.145 180.115c-20.795 3.241-45.16 21.84-43.932 43.533-11.214 3.854-30.078 12.365-26.533 25.762 5.607 13.416 23.722 10.372 33.902 8.136 1.714 4.268 4.908 7.896 8.442 10.64 5.937 4.607 13.62 7.741 22.344 9.218 8.723 1.476 17.007 1.046 24.13-1.352 7.124-2.397 14.19-7.448 15.621-15.908 1.432-8.46-3.578-15.55-9.515-20.158-8.078-5.154-16.073-8.394-24.137-9.477 7.187-5.969 14.071-14.446 17.004-22.283 2.555-7.068 2.996-15.741-2.736-22.125-3.941-4.389-9.272-5.992-14.59-5.986zM176 392.57c.012.004.035.031.076.077.095.105.055.102-.078.072-1.023 8.207-9.939 17.275-16.185 21.045-3.507-.307-7.321-.122-10.463.222 3.622-10.53 18.25-21.9 26.648-21.267-.009-.077-.014-.154.002-.149zm-3.053 51.162c7.58.111 14.604 2.256 18.055 7.91.096-.096.13-.122.105.018-.023.14-.045.106-.105-.017-9.297 6.526-28.506 2.379-35.322-5.17 5.143-1.682 11.373-2.827 17.267-2.74z"}}]})(props);
};
function GiBadGnome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M310.38 45.636c-9.318-.052-18.512 2.665-28.403 5.281-27.068 10.089-57.949 26.648-82.272 47.096-20.38 17.133-35.754 36.84-41.664 57.297 61.478 5.096 117.748 4.42 158.254-12.21.448-1.259.78-2.417.926-3.423.419-2.906.137-5.268-1.6-9.012-3.474-7.488-13.873-19.42-33.64-38.91L268.16 78.13c16.472.08 34.273 2.322 49.448-6.807 10.23 18.877 27.251 36.194 51.028 44.235l7.058 1.302-.533 7.159c-.806 10.825 4.38 26.04 13.35 38.644 8.969 12.605 21.482 22.368 32.81 24.777 8.767 1.865 12.916.17 15.387-2.628 2.471-2.799 4.141-8.659 2.498-17.893-1.484-8.337-6.187-18.847-13.066-27.385-6.302-7.663-17.219-15.5-29.028-17.836-4.992-10.67-8.123-20.97-16.092-32.236-5.262-7.44-12.106-12.888-17.716-17.856-5.957-5.274-11.665-8.728-19.623-9.564l-3.717-.39c-5.942-8.83-11.227-12.31-23.104-15.503a43.11 43.11 0 0 0-6.48-.513zM53.597 113.335l2.465 19.068-10.213-1.236c-5.617-.68-10.122.648-15.918 3.875-2.373 1.321-5.01 3.154-7.72 5.053 7.12 3.343 13.025 7.624 18.753 12.152l7.527 5.951-23.258 20.436c14.207.979 28.99.123 41.77-4.031l16.355-33.33c-2.892-13.892-7.856-19.159-14.42-22.71-4.169-2.255-9.55-3.72-15.341-5.228zm43.521 37.82l-2.52 3.532-12.25 24.966c9.795 5.098 17.447 11.9 23.844 19.344.793-.646 1.59-1.283 2.385-1.924l23.338-29.781c-10.205-6.51-21.295-12.156-34.797-16.137zm218.526 9.285c-35.016 12.65-77.309 15.133-122.956 13.13l28.868 14.552c-2.06 6.376-5.969 13.577-8.723 16.613-12.392 14.26-26.562 30.545-37.717 46.844-9.15 13.37-15.92 26.67-18.467 38.067 54.092-11.71 76.69-36.082 92.766-54.782 1.282-4.105 1.217-6.976.307-7.388-3.052-1.383-12.193-5.436-15.326-3.596-1.36.894-3.93 3.476-8.038 6.906l-5.127-6.14-5.128-6.141c3.347-2.796 5.685-5.486 9.505-7.996a18.743 18.743 0 0 1 3.387-1.73c1.895-17.264 17.856-27.07 38.483-34.403 6.743 8.043-1.684 23.168-10.67 38.555a20.959 20.959 0 0 1 3.798 2.906c22.958-6.055 46.58-15.033 70.184-26.547zm-166.004 10.172l-27.641 35.276c16.033 9.61 34.28 15.341 54.053 17.656 5.254-6.612 10.627-13.003 15.845-19.074-7.212-7.018-12.44-15.46-6.949-31.274-11.592-.628-23.38-1.515-35.308-2.584zM341.73 201.8c-25.157 12.563-50.668 22.56-75.722 29.33-.572 4.388-.14 9.15-2.494 11.904-3.357 3.921-7.17 8.302-11.616 12.897 19.098-1.767 36.55-6.013 53.059-17.555l17.486-12.227-15.181 61.19-2.125 1.693c-6.971 5.556-14.696 12.954-27.825 17.455-13.128 4.502-30.973 5.99-58.976 2.256-12.33-1.644-21.585-6.515-28.844-12.09-11.758 4.413-25.177 8.152-40.61 10.819l-9.167 1.584-.194-9.303c-.399-19.284 9.669-38.62 22.391-57.209.95-1.388 1.92-2.77 2.902-4.148-19.972-3.463-38.625-10.393-55.355-21.317-.489.411-.991.817-1.477 1.229-11.345 9.629-21.632 19.608-29.433 28.021 2.012-.303 4.025-.73 6.017-.933 9.312-.953 18.347-1.061 26.297 3.072l10.06 5.23-8.302 7.725c-10.179 9.47-18.793 21.013-24.135 32.017a64.53 64.53 0 0 0-4.724 13.245c.907-.702 1.446-1.13 2.379-1.832 6.08-4.578 12.492-9.116 19.527-11.569l15.787-5.504-5.617 15.746c-4.044 11.338-8.326 20.603-10.125 28.748-1.081 4.895-1.305 9.342-.408 14.073l19.683-17.092 2.016 14.637c2.084 15.135 1.687 23.511 5.369 33.355l28.951-32.08-5.347 28.072c-3.465 18.189-1.675 33.124 3.558 46.578l26.764-37.74 4.324 16.637c3.598 13.84 8.618 22.583 13.967 27.465 3.207 2.927 6.601 4.598 10.447 5.426-.302-4.512-.218-9.194.96-13.899 1.044-4.18 3.021-8.476 6.653-11.822 3.633-3.346 8.781-5.31 14.325-5.492 7.782-.256 14.666 3.124 19.656 7.709 4.99 4.585 8.583 10.27 11.728 16.033 3.006 5.506 5.732 11.137 8.211 16.02 4.561-12.289 8.072-26.23 7.106-34.956l-1.178-10.638 10.537 1.882a55.702 55.702 0 0 1 10.7 3.024c11.467-15.501 26.687-22.646 42.558-23.375a61.089 61.089 0 0 1 7.45.117l.718.055.695.181c4.01 1.048 7.483 2.585 10.483 4.414 2.364-21.315-.921-41.822-9.424-61.617l-4.695-10.927 11.892-.229c4.364-.084 8.706.453 12.848 1.732-4.36-14.75-11.9-28.347-25.121-43.296l-12.623-14.272 19.027.982c7.922.41 14.675 2.606 20.89 5.762-8.372-20.773-22.018-40.953-36.703-57.193zm52.293 26.637c-3.466.013-7.346.488-11.753 1.445 8.48 14.744 15.092 30.61 18.437 46.816l1.023 4.961c4.237 2.235 7.973 5.117 11.362 8.354 10.553-9.531 21.848-15.553 33.135-19.776-12.72-15.462-22.502-28.283-31.58-34.818-5.545-3.991-11.085-6.486-18.303-6.92a36.348 36.348 0 0 0-2.32-.062zm-96.728 32.628c-17.441 7.915-35.582 10.498-53.586 11.512-3.664.207-7.33.35-10.996.469-7.27 5.534-15.712 10.973-25.637 15.951 3.73 1.828 8.02 3.173 13.373 3.887 26.564 3.541 41.743 1.874 51.674-1.531 8.947-3.068 14.31-7.772 20.922-13.159zm164.213 21.036c-14.715 4.275-28.192 10.127-40.738 22.687-4.802 6.584-6.388 17.955-4.686 29.91.802 5.634 2.354 11.272 4.234 16.422.703-1.904 1.36-3.727 2.096-5.637 3.163-8.214 5.74-15.975 12.217-21.558l7.226-6.229 15.502 26.073c5.61-7.624 8.115-15.383 7.03-24.061l-1.897-15.168 27.297 14.285c-1.538-5.592-3.218-11.082-5.51-16.013-4.543-9.776-10.533-17.097-22.771-20.711zM117.619 383.3c-.573.242-1.172.505-1.816.814-3.998 1.917-9.064 5.017-13.684 8.815-7.746 6.368-13.519 14.13-14.25 21.6 10.643 5.345 23.6 6.574 39.8 3.036l11.972-10.783a99.458 99.458 0 0 1-1.213-12.361l-9.334 10.344-5.555-9.291c-2.582-4.32-4.48-8.326-5.92-12.174zm229.233 8.683c-10.095.192-18.547 3.52-26.334 12.18 6.737 3.32 12.26 8.251 15.714 14.633l32.069-9.824c-1.942-3.482-3.428-6.608-5.135-9.02-2.544-3.595-5.11-6.04-11.426-7.816-1.665-.108-3.307-.183-4.888-.153zm32.63 30.3l-39.558 12.116.756 15.854c20.111 10.811 34.371 12.924 45.674 11.973 9.267-.78 16.834-3.7 24.482-6.48-1.872-4.972-5.795-10.144-11.402-15.667-5.82-5.731-13.041-11.528-19.952-17.797zm-299.336 6.275c-16.44 4.695-23.595 9.8-28.923 15.449-3.604 3.82-6.604 8.496-10.537 13.633 11.417 4.481 24.194 7.892 36.373 8.588 14.967.854 28.494-2.2 38.918-11.319l4.505-19.974c-14.946 1.66-28.56-.35-40.336-6.377z"}}]})(props);
};
function GiBalaclava (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M390.311 366.216C384.752 433.264 326.724 486 255.95 486c-70.775 0-128.803-52.736-134.363-119.784q4.26 7.76 8.918 15.07c33.406 52.275 77.961 81.064 125.435 81.064 47.473 0 92.038-28.789 125.445-81.094q4.668-7.27 8.927-15.04zm23.63-163.305c0 61.673-16.893 123.48-46.348 169.56C337.3 419.874 297.648 445.97 256 445.97c-41.648 0-81.34-26.107-111.593-73.498-29.455-46.07-46.347-107.887-46.347-169.56 0-47.095 13.063-90.156 36.774-121.218C162.538 45.268 204.452 26 255.95 26s93.441 19.247 121.227 55.674c23.7 31.072 36.754 74.122 36.754 121.227zm-175.847 1.024c1.29-7.822-56.995-27.069-73.713-29.823-16.719-2.754-27.97-4.095-30.714 12.593a30.632 30.632 0 0 0 25.237 35.218c16.698 2.785 77.859-9.92 79.18-17.957zm73.928 135.612c0-11.262-18.981-20.302-56.073-20.302s-56.073 9.091-56.073 20.302c0 11.21 18.98 20.301 56.073 20.301 37.092 0 56.073-9.06 56.073-20.27zm66.209-152.812c-2.754-16.698-14.037-15.357-30.714-12.592-16.678 2.764-74.983 22.001-73.713 29.823 1.32 8.037 62.451 20.732 79.18 17.978a30.632 30.632 0 0 0 25.247-35.209z"}}]})(props);
};
function GiBalkenkreuz (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M486 203.066v105.879H308.934V486H203.066V308.934H26V203.066h177.066V26h105.879v177.066H486zm0-83.405h-93.638V26.023h-22.564v116.235H486v-22.563zM142.258 26.023h-22.563v93.638H26.056v22.563h116.202V26zm0 343.742H26v22.563h93.638v93.638h22.563V369.742zm250.081 22.563h93.638v-22.563H369.742V486h22.563v-93.638z"}}]})(props);
};
function GiBallGlow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M273.508 20.95c-20.294 83.173-71.2 93.138-116.574 21.183 22.312 81.62-20.014 117.135-95.952 75.732 62.942 60.523 46.187 111.364-41.34 113.98 82.154 20.54 93.91 74.45 22.852 120.378 82.168-22.885 115.243 21.042 70.113 101.03 62.48-70.69 116.493-53.202 116.88 42.278 19.073-92.266 71.62-103.97 118.925-23.135-27.222-87.467 16.35-125.63 96.375-80.063-66.397-61.842-50.328-112.95 41.34-113.977-87.137-20.138-96.734-77.174-18.15-124.28-88.478 29.408-125.027-11.343-79.518-93.23-59.8 63.712-112.373 48.707-114.952-39.896zm-6.91 73.575l28.68 33.502c2.66.902 5.298 1.883 7.91 2.952l43.5-8.115 8.484 45.492c.985 1.137 1.953 2.284 2.894 3.444l.01-.025 43.83 15.467-15.484 43.883-.416-.146c.328 1.608.634 3.22.904 4.838l.367-.314 30.14 35.21-35.09 30.036c-.52 1.647-1.08 3.286-1.665 4.916l8.424 45.168-43.078 8.035-4.205 4.204-.334-.334c-.705.615-1.42 1.216-2.132 1.815l-14.606 41.396-38.886-13.72c-4.54 1.19-9.128 2.155-13.746 2.88l-30.9 26.45-24.864-29.048c-6.178-1.572-12.267-3.576-18.22-6.014l-36.946 6.89-6.607-35.433c-.51-.494-1.022-.985-1.526-1.488-5.033-5.034-9.595-10.362-13.687-15.93l-33.38-11.78 11.66-33.046c-2.135-7.746-3.59-15.643-4.355-23.595L90.38 245.37l27.18-23.266c1.96-7.157 4.502-14.184 7.63-21.008l-6.698-35.912 37.555-7.002c4.542-4.28 9.307-8.187 14.254-11.733l12.845-36.4 38.732 13.667c4.34-.92 8.713-1.63 13.107-2.13l31.614-27.062zm-15.87 44.74c-30.553 0-61.104 11.68-84.468 35.046-18.532 18.532-29.706 41.587-33.54 65.577l76.75 10.802 11.577-45.626 43.164 4.795-10.44-70.553c-1.015-.026-2.03-.04-3.043-.04zm22.24 2.09l10.456 70.64 41.367 4.595-41.112 59.387 73.94 36.236c22.43-44.742 14.957-100.52-22.425-137.902-17.667-17.667-39.445-28.65-62.224-32.956zm-37.806 84.086l-11.697 46.095-92.25-12.982c-.06 30.628 11.62 61.273 35.043 84.695 23.006 23.006 52.98 34.677 83.062 35.03l-19.24-57.72 61.51-88.85-56.428-6.267zm37.754 66.08l-22.146 31.992 17.812 53.435c24.36-3.674 47.813-14.902 66.61-33.7 4.718-4.718 8.95-9.732 12.714-14.976l-74.99-36.75z"}}]})(props);
};
function GiBallHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M357.764 39.938c-46.68.725-94.32 23.907-122.787 73.214C193.064-4.618 15.5 25.915 19.992 166.705c4.682 146.597 214.475 232.04 237.055 316.313 20.666-77.113 240.768-175.822 236.36-316.313h-.003c-2.512-80.032-65.21-125.75-131.127-126.768-1.503-.023-3.008-.023-4.513 0zM239.09 134.762c7.63 0 15.092.733 22.326 2.117-44.857 20.45-76.123 66.123-76.123 118.995 0 52.848 31.237 98.505 76.06 118.97-7.214 1.377-14.654 2.106-22.263 2.106-66.03 0-119.56-54.215-119.56-121.095s53.53-121.093 119.56-121.093zm51.715 11.884c40.137 19.533 67.847 61.094 67.847 109.21 0 48.14-27.736 89.716-67.904 109.238-49.632-10.863-86.766-55.504-86.766-109.22 0-53.735 37.162-98.387 86.823-109.228z"}}]})(props);
};
function GiBallPyramid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 50c-21.6 0-39 17.35-39 39 0 21.6 17.4 39 39 39s39-17.4 39-39c0-21.65-17.4-39-39-39zm-48 89c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm96 0c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm-144 90c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm96 0c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm96 0c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm-240 89.4c-21.65 0-39 17.4-39 39s17.35 39 39 39c21.6 0 39-17.4 39-39s-17.4-39-39-39zm96 0c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm96 0c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm96 0c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zM64 409c-21.65 0-39 17.4-39 39s17.35 39 39 39 39-17.4 39-39-17.35-39-39-39zm96 0c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm96 0c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm96 0c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm96 0c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39z"}}]})(props);
};
function GiBallerinaShoes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M197.6 14.67c.5 4.53 1.1 9.7 1.5 16.34 1.1 15.45 1.7 35.77.8 56.37-.8 18.22-2.7 36.52-6.8 52.22 20 6.5 40.9 15.4 58.2 24.8.3-8.8.6-17.6 1-26.2-17.5-39.52-35-79.46-43.4-123.53zm29.7.12c11.2 55.18 38 105.41 60.3 159.61 15.1-5.3 30.4-9.4 45.7-12.9l-.6-1v-2.8c.7-45.5 2.6-97.35-6.4-142.91zM187.2 156.7c-.1.2-.2.4-.3.7 8.6 7.4 18.1 16.7 28 26.8 11.9 12.3 24 25.6 34.4 38.1.6-12.5 1-25 1.3-37.4-17-10.1-41.1-20.8-63.4-28.2zm-10.9 15.5c-2.5 2.2-5.2 4-8.2 5.4-1.3 39.3 5.1 75.5 17 107.8 25.6-9.6 45.5-24.1 59.9-39.6-11.2-14.8-27.3-33-43-49-9-9.3-18-17.8-25.7-24.6zm166.8 5.5c-16.7 3.8-33 8-49 13.5l-.1 1.7c-.7 8.3-1.3 16.6-1.8 24.9 6.6 6.6 13.9 12.8 21.7 18.6l.1-.1c9.3-14.2 19-28 27.4-38.8 2.5-3.1 4.9-5.9 7.2-8.5-1.7-3.8-3.6-7.5-5.5-11.3zm-195.9 1.2c-28.7-.1-49.28 6.3-51.95 30.9-3.35 30.8 75.55 202 69.25 261.7-2.9 27.8 42.5 25.5 58.3-2.8 11.6-20.8 13.1-48.2 11.6-74.1l-8-8.5c-46.8-49.3-78.6-121.9-76.4-207.2zm208.7 29.4c-.1.2-.2.3-.3.4-8 10-17.4 23.5-26.6 37.4-.1.2-.2.3-.3.5 11.6 7.3 24.3 13.9 37.8 19.4-1.4-20.1-4.8-39.4-10.6-57.7zm22.3 13.8c9.1 39.7 8.5 82.5 4.3 126.4-3.8 38.5-74.2 55.5-97.3-.2-8.3 58.5 10.2 88.8 37.3 127 14 19.6 52.3 24 64.8 4.2 27.1-43 18.5-85.7 12.7-134-5-41.3-1.4-87.8-21.8-123.4zm-87 19.2c-.2 10.4-.2 20.7.2 31 3.9-6.5 8.2-13.5 12.7-20.7-4.4-3.3-8.8-6.7-12.9-10.3zm27.8 20.5c-5.4 8.6-10.6 17-14.8 24.3-4.4 7.5-7.9 14.1-10.2 18.5 1 8.1 2.3 16.2 4 24.2 13 62.3 65.2 32.3 66.5 17.9 2.1-21 3.2-41.4 2.9-61.1-17.5-6.5-33.7-14.5-48.4-23.8zm-72.7 7.8c-14.5 12.8-32.7 24.3-54.4 32.4 10 22.6 22.8 42.8 37.5 60.4 9.1-29 14.1-60.6 16.9-92.8z"}}]})(props);
};
function GiBallista (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M58.076 315.052l24.923 23.666-20.873 7.685-40.947-38.87 13.729-14.465.633.602 10.24 25.64zm212.883-27.218c-32.144 11.865-49.901 46.32-40.914 79.375 8.987 33.053 41.738 53.748 75.463 47.709 33.725-6.04 57.258-36.815 54.215-70.933-3.043-34.12-31.654-60.27-65.918-60.243a66.2 66.2 0 0 0-22.846 4.092zm81 3.115l-10.894-29.575-24.341 8.962a82.941 82.941 0 0 1 35.255 20.644zM224.851 304.2L30.858 375.636l14.34 39.015 165.884-61.082a83.076 83.076 0 0 1 13.77-49.368zm246.84-46.574L457.32 218.6l-33.085 12.202 14.372 39.025zm19.129-133.348l-54.754-2.415 11.59 9.086-53.564 21.486 6.995 17.552 53.937-21.631-2.15 14.538zM202.255 229.161L52.368 293.996l2.966 6.43 153.484-55.023a32.909 32.909 0 0 1-6.553-16.294zM356.88 96l-51.923 19.128 11.994 32.577 23.656-11.268 16.429-7.82 6.303 17.063 21.029 56.949 6.303 17.061-17.57 4.736-25.38 6.833 40.167 109.162 51.923-19.128zm11.88 112.392l-124.252 33.5c-2.092.569-4.25.858-6.417.863-8.308 0-15.743-4.424-18.402-11.642-3.333-9.034 1.787-19.533 11.86-24.33l116.182-55.34zm-126.401 16.2c-.53-5.94-7.973-8.276-11.804-3.708-3.83 4.569-.233 11.49 5.708 10.977a6.698 6.698 0 0 0 6.096-7.27z"}}]})(props);
};
function GiBalloonDog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M325.4 49.03h-1c-1.7.1-3.4.52-4.9 1.25-8 3.79-12.7 13.76-13.8 27.34-1.1 13.57 2 29.58 6.7 40.08 5.7 12.6 17.6 28.6 30.7 39.4 1.9-2.9 4.2-5.4 6.7-7.6-16-18.6-24.3-40.6-29.9-60.21l17.4-4.96c5.6 19.47 13.7 40.07 28.6 55.97 1.7-.7 3.4-1.3 5.2-1.8 5.6-1.8 11.5-3.1 17.3-4-.2-.8-.3-1.7-.5-2.5-3.7-17.2-13-36.69-21.3-49.67-5.6-8.75-14.7-19.4-23.9-26.08-6.5-4.71-12.2-7.19-17.3-7.22zM42.93 131.8c-3.7.2-6.9 1.2-9.23 2.8-5.22 3.6-9.25 12-10.07 21.8-.82 9.9 1.7 20.4 5.93 26.3 3.99 5.4 12.79 10.7 21.95 12.8 5.19 1.2 10.28 1.3 14.58.5l13.4 18.1c-1.01 5.6-.61 12.8 1.13 20.4 3.56 15.7 12.61 33.3 20.98 43.9h.1c.7.9 1.5 1.8 2.3 2.8 2.7-4 6.1-7.6 9.9-10.6.4-.3.9-.7 1.3-1l-15.35-21.2 14.55-10.6 16.5 22.7c6.3-2.7 13.1-4.9 20.1-6.7.2 0 .4-.1.6-.1-4.4-6.8-9.1-13.2-13.2-18.5-7.3-9.2-17.9-21-28.1-28.4-5.1-3.6-10.1-6.1-13.95-6.9-1.45-.3-2.72-.4-3.88-.4-.39 0-.77 0-1.14.1h-.12l-11.1-15c1.45-3.5 2.35-7.8 2.53-12.3.36-9.2-2.37-19.1-6.43-24.7v-.1c-3.93-5.6-12.35-11.4-20.99-14-3.32-1.1-6.55-1.6-9.55-1.7H42.99zm369.57 19c-1.6 0-3.3 0-5 .1-10.1.3-21.6 1.7-31 4.7-6.3 2-11.6 4.7-15.1 7.7-3.4 2.9-5.2 5.8-5.7 9.7-1.3 11.1 6.9 22.5 21 32 14.1 9.4 33.3 15.6 47.1 16.1h.1c12.4.5 30.3-3.8 43.8-11.4 13.4-7.5 21.3-17.2 20.8-27.1-.3-5-2.3-8.9-6.3-12.8-4-3.9-10.1-7.4-17.4-10.2-14.6-5.7-33.5-8.3-47.6-8.7h-.1c-1.5 0-3-.1-4.6-.1zm6.1 13.1c17.2.1 32.3 3 46.8 6.4l-4.2 17.6c-24-5.8-46-9.6-78.7-1.7l-4.2-17.4c13.4-3.3 25.6-4.7 36.8-4.9h3.5zm-77.5 27.7c-2 1.5-4 3.1-6 4.9-11 10.1-20.6 25.1-24.9 37-1.5 4.3-2.7 9.5-3.4 15 3.4.5 6.9 1 10.3 1.6 7.7-17.1 18-33.1 29.8-48.4-2.3-3.2-4.3-6.5-5.8-10.1zm18.6 23.2c-9.9 12.8-18.3 25.9-24.7 39.5 11.1 3.2 21.3 7.6 29.8 14 1.7 1.3 3.4 2.7 4.9 4.3 5-5.7 8.9-11.7 11.3-17.2 2.8-6.7 4.5-15.8 4.8-25.2-6.6-2.8-13.1-6.3-19.1-10.3-2.4-1.6-4.7-3.3-7-5.1zm-104.5 48.5c-7 0-13.7 0-19.9.1-23 .3-54.8 1.5-79.9 7.9-12.5 3.2-23.2 7.7-30.3 13.4-7 5.6-10.6 11.6-10.8 20.5-.2 9.4 3.3 16.1 10.4 22.5 7 6.4 17.9 11.8 30.7 15.8 25.6 8.1 58.3 10.8 81.8 10.9 24.3.1 58.6-2.2 85.5-10.3 13.4-4.1 24.9-9.6 32.4-16.2 7.4-6.6 11.1-13.6 10.8-23.4-.3-9.7-4.3-16-12-21.8-7.7-5.9-19.4-10.4-32.9-13.4-20.3-4.5-44.6-5.8-65.8-6zm-22.9 14.5c25.6 0 54.9 2 87.9 5.1l-1.8 18c-43.5-4.2-80.4-6.3-109.2-4.3-28.7 2-48.9 8.3-60.3 18.8l-12.2-13.2c16.2-15.1 40.6-21.4 71.3-23.5 7.7-.6 15.8-.8 24.3-.9zm-130.1 50.3c-8.78 14-15.89 30.2-20.02 43-4.95 15.4-9.01 37.6-7.94 56.1.53 9.2 2.36 17.5 5.38 23.4 3.01 5.9 6.73 9.5 12.52 11.3 5.89 1.9 10.96 1.2 16.96-1.9 5.9-3 12.2-8.7 18.1-16 11.8-14.5 21.7-35.2 27.2-50.8 3-8.3 5.9-18.5 8.2-29-4.3-1.1-8.5-2.2-12.6-3.5-8-2.5-15.5-5.5-22.4-9.2-11.5 26.6-21.2 52.8-21.5 81.4l-17.99-.2c.33-33.8 11.99-63.4 24.49-91.6-4.2-3.8-7.7-8.1-10.4-13zm274.8 1.4c-2.7 4.5-6.1 8.4-10 11.9-5.3 4.6-11.3 8.5-18 11.7 5.8 27.4 21.6 46.2 38.5 67.3l-14 11.2c-16.2-20-34.1-41.2-41.4-71.6-1.4.4-2.8.9-4.2 1.3-3.5 1.1-7.1 2-10.7 2.9 4.1 18 11.8 36.3 19.4 49.4 7.3 12.6 20.4 28.4 34 38.4 6.8 5 13.7 8.5 19.7 9.8 6 1.4 10.8.9 15.5-1.9 6.1-3.6 9.5-8.7 11.4-16 2-7.2 2.2-16.6.7-26.7-2.9-20.2-12.1-43.2-20.8-58.9v-.1c-4.9-8.8-12-19.3-20.1-28.7z"}}]})(props);
};
function GiBalloons (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M153.03 23.656c-7.817.13-15.85 1.054-24 2.875C28.356 49.033 26.89 199.884 165.563 248.595l-24.875 26.125 50.032 23.592 1.78-43.562c29.715 12.604 48.848 25.695 60.563 39 14.296 16.238 18.538 32.814 18.25 52.75-.043 2.955-.21 5.976-.47 9.063-41.823-7.816-76.908 9.98-93.156 36.343-9.494 15.405-12.62 34.01-6.5 51.188 6.12 17.177 21.345 32.088 45.344 40.937L223 466.5c-20.147-7.43-30.196-18.396-34.22-29.688-4.02-11.29-2.144-23.753 4.845-35.093 12.075-19.593 39.196-34.915 74.75-27.72-5.81 33.572-18.25 73.787-19.03 120.844h18.686c.84-42.738 12.676-80.404 18.626-115.375 41.503 15.78 78.795 8.483 102.906-11.626 17.17-14.32 27.544-35.056 28.532-57.28l17.844 30.936 26.375-35.563-40.22-14c93.154-102.85 24.31-230.453-69.906-205.25-95.71 25.604-114.367 160.712 46.97 213.657 2.425 20.61-5.843 40.045-21.563 53.156-18.773 15.656-48.37 22.47-85.063 8.25-1.106-.43-2.21-.826-3.31-1.22.438-4.627.714-9.23.78-13.78.333-23.017-5.476-45.547-22.906-65.344-14.603-16.585-36.784-31.238-69.375-44.78 104.097-113.053 43.227-214.435-44.69-212.97z"}}]})(props);
};
function GiBambooFountain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 27.7v106c27.94 8.9 47.63 19.8 68.45 33.3-1.22-15.7.14-30.6 4.07-44.8 5.35-19.3 15.38-36.93 29.48-52.99C86.02 55.33 46.92 49.79 18 27.7zm119.5 48.97c-14.7 15.48-24.6 32.23-29.6 50.33-4.1 14.8-5.1 30.7-2.5 47.9 51.5 10.9 88.1 31.2 119.4 50.3-9.5-27.7-6.8-54.1 1.9-73.8 6-11.2 12.2-21 21.3-27.7-40.9-9.9-78.9-24.01-110.5-47.03zm152.9 65.93c10.5 9.8 16.9 27 16.9 45.6 0 29.6-16 53.7-35.8 53.7-13 0-25-10.6-31.3-27.6 1.3 4.4 2.9 8.9 4.9 13.4 10.5 23.5 27.2 31.3 49.2 35.6 19.2 3.8 41.8 3.7 63.9 7.5 5.5-37.1-4.3-67.1-21.1-89.9-12.7-17.3-29.7-30.2-46.7-38.3zm-13.2 134.9c11.6 76.3 7 130.2 6.1 209.1 11.3 5.9 18.9 2.7 26.7 0-3.2-28.5 3.1-56.9 5.7-85.4 3.2 28.2 10.1 55.3 5.7 85.4 33.3 9.6 63.4 5.5 64.1 0-1.9-73.7-18.6-124.5-17.2-195.2-6.7-1.6-14.1-3-20-3.8.1 13.3 0 26.5-4 40.4-6.1-13.5-6.9-27.6-7.5-41.7-9-.9-18.3-1.5-27.6-2.6 2.7 6.5 4.7 36.8 5.4 42.6 3.1 25.2-6.4 54.1-6.4 54.1-4.8-6.4-13.2-67.1-5.4-97.5-8.9-1.1-17.8-2.8-25.6-5.4zM388.7 310s-.5 27.8 5.3 40c2.8 5.8 13 12.6 18.6 8.6 6.7-4.8 1.9-17.6-2.4-24.6-5.6-9.1-21.5-24-21.5-24zm-50.6 37.6s12.1 37.4 13.9 56.9c1.5 16.7-2.2 50.2-2.2 50.2s-6.6-26.3-8.7-39.5c-3.6-22.7-3-67.6-3-67.6zm-66 80.6s-9 10.4-12.7 19.4c-2.8 6.9-4 18.6 1 21.8 4.6 2.9 11.2-5.6 12.8-11.2 3.5-11.8-1.1-30-1.1-30z"}}]})(props);
};
function GiBamboo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M51.72 25c3.76 42 3.72 84 0 126h44.22c-4.56-41.6-3.68-83.68.28-126h-44.5zm181.68 0c2.6 54.1 5.5 108.6.4 164.7h44.3c-5-54.5-3.7-109.52.3-164.7h-45zm113.2 0c4.6 31.51 3.6 62.88-.4 94h44.1c-2.4-31.33-2.4-62.67 0-94h-43.7zm116.5 36.46s-41.4 7.81-53.5 23.86c-3.2 4.61-5.9 12.32-3 17.18 3.1 4.8 10.7 5 15.8 3.3 18.3-6 40.7-44.34 40.7-44.34zM173 106.9s12 42.7 28.1 53.1c4.6 3.1 12.2 4.6 16.3.7 4.1-3.9 3.4-12 1.4-17.2-7.8-18.7-45.8-36.6-45.8-36.6zm261.4 6.9c-4.6.1-8.9.6-12.5 1.8-6.3 2.2-14.1 8.1-13.8 14.7.1 6.6 8.2 12 14.8 13.8 23.6 6.2 71.5-16.6 71.5-16.6s-35.2-14-60-13.7zM346.2 137c6.2 47.7 7.1 95.1.2 142h43.8c-4-47.4-3.5-94.8.2-142h-44.2zm67.4 18.9c-2.2.1-4.3.8-5.9 2.3-4.1 3.9-3.4 12-1.4 17.2 7.8 18.7 45.8 36.6 45.8 36.6s-12-42.7-28.1-53.1c-2.6-1.7-6.1-3-9.5-3h-.9zm-255 12.3c-13.1.2-23.2 1.3-23.2 1.3s40.3 34.6 64.7 34.8c6.7-.1 16-3.1 17.8-9.4 2.1-6.3-3.8-14.1-9.5-17.9-10.1-6.8-28.4-8.6-44.1-8.8h-5.7zm-106.59.8c4.41 42.1 3.92 84.1-.2 126h44.42c-3.9-42.3-4.92-84.4-.31-126H52.01zm181.49 32c3.3 52.1 3.5 104.7 0 158h44.6c-5-53.5-3.7-106 .3-158h-44.9zm-76.4 22.6s-38 17.9-45.8 36.6c-2 5.2-2.7 13.3 1.4 17.2 4.1 3.9 11.7 2.4 16.3-.7 16.1-10.4 28.1-53.1 28.1-53.1zm-25.6 72.1c-6.7.2-15 3.1-16.9 9-2.1 6.2 3.6 14.1 9.1 18 19.9 14 72.8 9.4 72.8 9.4s-39.3-35.6-63.7-36.4h-1.3zm214.2 1.3c2.8 36.5 3.6 73.2.2 110h43.9c-4.6-38-1.7-74.3.6-110h-44.7zM51.61 313c3.96 58.2 2.72 116.2-.2 174h45.21c-2.49-57.7-4.56-115.7-.28-174H51.61zM121 337.8c-3.8.1-7.5 1.3-9.4 4.3-2.9 4.8-.2 12.6 3 17.2 12.1 16 53.5 23.8 53.5 23.8s-22.4-38.3-40.7-44.3c-1.9-.6-4.2-1-6.4-1zm359.7 19.4s-52.9 5.1-69.9 22.5c-4.6 4.8-8.9 13.7-5.6 19.4 3.1 5.8 12.8 6.9 19.5 5.5 23.8-5.2 56-47.4 56-47.4zM234 377c3.6 36.7.4 73.9-.7 110h45.2c-1.7-35.8-5.7-72.4-.8-110H234zm182 45c-5.2 0-11.1 2.3-12.7 6.9-1.9 5.3 2.4 12.2 6.6 16 15.4 13 57.4 11.6 57.4 11.6s-30.1-32.5-49.2-34.4c-.7-.1-1.4-.1-2.1-.1zm-70 3c2.1 20.3 3.3 41 .6 62h42.8c-2.8-21.1-1.4-41.8.7-62H346z"}}]})(props);
};
function GiBananaBunch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M413.3 24.08c0 6.53-.1 12.93-.4 19.21 1.4-.1 2.7-.14 4-.16 9.6-.18 18.4 1.19 26.7 3 1.5-5.65 3.5-11.64 6.2-18.04-12.8.74-24.9-.74-36.5-4.01zm4 37.02c-1.7 0-3.5.16-5.4.32-5.4 72.88-26.6 128.38-56.7 171.18-36.5 52.1-85.5 85.2-132.7 109.7-47.1 24.5-92.8 40.7-122.3 57.8-14.85 8.6-25.35 17.3-30.62 26.3-3.3 5.5-4.97 11.3-4.54 18.3l24 8.1C150 440.7 234.3 410 304.1 363.7c40.7-26.9 76.6-59 100.5-95.3 24-36.3 36.1-76.3 30.2-120.8l17.9-2.3c6.5 49.1-7.4 94-33.1 133-25.8 39-63.4 72.5-105.6 100.4-70.4 46.7-153.4 77.7-216.76 90.9l-5.85 11c4.42 1.9 9.41 3.4 15.01 4.6 20.8 4.3 48.9 3.6 80.4-2.9 62.6-12.8 138-47.4 197.1-101 54-48.8 92.4-105.9 105-157 12.7-51.3 1.3-95.7-45.3-126.5l-3.8-2.53-.3-4.51c-.4-8.19-.6-17.02.6-26.95-7.5-1.67-14.9-2.84-22.8-2.71zm-25.1 19.03C378.2 134 353.9 174 324.1 203.8c-39.1 39.1-87 60.9-132.2 75.6-45.1 14.8-87.9 23-116.37 33.7-14.21 5.4-24.55 11.4-30.04 17.9-3.21 3.7-5.18 7.5-5.72 12.4l19.73 9.2c48.5-2.6 114.1-14.7 174.8-37.3 39-22.4 77-51.4 106.2-93.1 25.4-36.2 44.5-82 51.7-142.07zm-42.3 59.37c-11.3 10.3-23.2 19.2-35.5 26.7-44.6 27.1-94.3 36.7-140.1 40.7-45.6 4-87.84 2.5-116.91 6.2-14.53 2-25.52 5.3-31.84 9.9-3.46 2.5-5.87 5.1-7.29 8.8l16.6 12c53.87 8.9 132.04 11.1 202.34-2 .6-.1 1.1-.2 1.7-.3 25.9-12.6 50.7-28.7 72.4-50.5 14.4-14.4 27.5-31.4 38.6-51.5zM36.49 262.3l-4.88 3.9c2.64 2 5.63 4 9.02 5.9 12.27 7 28.98 13.1 48.55 17.5 23.12-7 50.32-13.2 78.72-21.5-47.8 2.7-94.23 0-131.41-5.8zm104.31 98c-27.1 5.4-52.87 8.7-75.68 10.1l-4.94 6.3c3.32 1.7 7.05 3.3 11.23 4.7 5.28 1.7 11.19 3.2 17.61 4.3.7-.4 1.4-.8 2.11-1.2 14.27-8.3 31.27-16.1 49.67-24.2z"}}]})(props);
};
function GiBananaPeel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M179.004 28.59c-27.103-.228-59.62 3.852-85.3 11.76-13.603 4.19-25.234 9.464-32.825 15.035-7.592 5.57-10.564 10.6-10.603 15.332-.28 34.684 6.272 74.84 15.356 109.914 8.183 31.6 18.565 58.72 26.967 74.063l367.086-70.306c-1.167-5.557-3.892-15.144-10.04-30.635-2.507-6.32-12.206-13.61-28.44-18.856-16.236-5.245-37.98-8.552-61.41-9.914-46.86-2.722-100.836 2.32-133.308 11.666l-9.408 2.71-.023-.116c-4.746 3.855-8.45 8.89-9.192 13.295l-1.496 8.875-17.75-2.99 1.495-8.875c2.28-13.532 12.047-23.497 22.963-29.34-1.27-5.404-2.737-11.043-4.39-16.828l-2.668-.148c-8.39-.46-15.76 2.225-23.487 7.608-7.727 5.383-15.46 13.517-23.156 22.846l-5.73 6.943-13.883-11.456 5.728-6.944c8.155-9.885 16.756-19.196 26.752-26.16 8.978-6.254 19.37-10.56 30.828-10.855-2.477-7.444-5.162-14.87-7.988-22.043l-4.242.182c-21.626.93-29.778 3.125-48.686 19.216l-6.853 5.832-11.666-13.707 6.853-5.834c19.92-16.95 35.208-22.107 57.094-23.354-2.817-6.128-5.696-11.84-8.58-16.916zM459.02 202.842l-208.19 39.875 12.865 12.582 193.785-36.78 1.54-15.678zM209.26 250.68l-111.04 21.267 2.555 14.272 106.74-20.26 1.745-15.28zm6.898 67.187c-1.93.008-3.322.324-4.496.645 1.007 12.28 1.89 21.67 2.22 26.802.135 2.085.15 3.93.138 5.784 5.136-1.573 10.24-2.392 15.253-2.528 1.41-5.27 4.942-11.547 12.27-19.783.183-.285.252-.444.257-.375.006.09.015-.237-.63-1.074-1.287-1.674-5.192-4.53-10.03-6.442-4.838-1.91-10.546-3.048-14.98-3.03zm-153.174 46.27c-.936.143-1.622.452-2.5 1.345-1.18 1.202-2.628 3.658-3.654 7.282-2.052 7.246-2.28 18.665-.166 30.36 2.114 11.693 6.475 23.732 12.395 32.85 2.324 3.58 4.842 6.625 7.505 9.112 15.763-4.76 32.333-8.89 47.444-11.45-24.98-15.224-38.57-30.71-46.569-43.736-5.478-8.922-8.535-16.58-10.925-21.113-1.99-3.773-2.544-4.354-3.53-4.65zm168.97 1.773c-6.16-.012-12.7 1.703-19.94 5.326-2.462 1.232-4.116 3.314-5.463 7.98-1.348 4.664-1.838 11.484-1.476 19.26.724 15.547 4.603 34.716 7.23 51.08l2.882 17.936-16.014-8.572c-18.284-9.787-35.306-11.132-54.543-9.754-20.922 1.498-52.502 9.324-78.234 18.08-12.865 4.378-24.37 9.007-32.316 12.98-3.467 1.734-5.86 3.234-7.635 4.467 1.764 2.986 4.14 4.224 8.172 5.217 5.598 1.38 14.486.904 24.733-1.045 20.493-3.897 45.75-13.088 67.92-14.85 35.257-2.805 75.38 10.294 97.177 11.417 7.785.4 17.53 1.202 24.658.332 3.565-.435 6.33-1.335 7.64-2.14 1.097-.67 1.298-.95 1.478-1.755-.266-1.334-.757-3.473-1.473-6.292-1.533-6.03-3.872-14.574-6.338-23.683-4.93-18.22-10.373-37.42-11.28-48.15l17.165-4.48c14.838 32.71 20.124 55.845 23.88 69.555 1.88 6.855 3.6 11.144 4.57 12.47.967 1.328.13 1.122 3.237 1.122h.49l.48.053c7.68.833 28.17-2.197 45.196-5.883 17.027-3.686 31.438-7.666 31.438-7.666l.5-.137.51-.08c34.406-5.364 65.797 8.805 88.408 17.04 11.305 4.118 20.553 6.367 24.81 5.844 2.13-.262 2.894-.67 3.95-1.836.543-.6 1.174-1.598 1.79-3.04-19.358-13.836-68.408-45.78-102.544-49.49-11.62-1.264-25.05-1.387-36.828.805-11.777 2.193-21.532 6.655-27.288 13.49l-9.603 11.405-5.62-13.81c-12.367-30.39-27.037-55.573-42.538-69.596-9.69-8.765-18.912-13.582-29.182-13.602zm241.204 19.565c-19.144 11.233-45.09 23.978-73.46 36.513 10.647 2.604 21.453 6.62 31.908 11.352 32.338-10.455 41.97-22.153 44.207-30.647 1.52-5.77-.156-11.773-2.654-17.218z"}}]})(props);
};
function GiBananaPeeled (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M389.7 23.58c-7.4 0-13.4 3.67-20.3 11.9-7.9 9.41-15.5 24.67-22.5 43.42-13.5 36.2-25.2 85.1-39.6 132 19.5 23.7 37.1 35.3 54.1 38.1 16.8 2.9 34.7-2.5 55.7-16.3 9.6-46.3 11.1-99.2 5.6-140.38-2.8-20.69-7.3-38.43-13-50.54-5.6-12.11-11.8-17.35-16.7-17.98-1.1-.15-2.2-.22-3.3-.22zM250.1 180.7c-2.7 0-5.4 0-8.1.1-7.2.2-14.6.8-21.8 1.7-29.2 3.5-57.9 12.3-77.5 24.8-18.5 11.8-28.3 25.3-27.1 41.9 3 .3 8.6.1 15.6-.9 14.2-1.7 34.3-5.7 55.7-8.5 4.8-.7 9.7-1.2 14.7-1.7 26.7-20.4 58-34.9 89.3-35.5 1.6-5.5 3.3-11 4.9-16.5-13.2-3.6-29-5.4-45.7-5.4zm190.2 21.2c-1.2 9.6-2.7 19.3-4.5 28.6 7.6 3.3 14.3 7.9 20.2 13.4 4.5-1.3 8.9-2.6 13-3.9 10.9-3.5 20-7.4 23.1-10 1.7-1.4 1.5-1.8 1.5-1.8 0 .1.2-.8-1.7-3.4l-.1-.1c-6.5-8.7-25.4-19.1-46.8-22.2-1.5-.2-3.1-.4-4.7-.6zm-148.1 18.8c-41.8.5-90.1 33.9-119 70-14.9 18.7-24.5 37.9-26.3 51.5-.9 6.7.1 11.7 2.2 15.2s5.5 6.2 12.5 8c4.7 1.1 14-2.5 26.2-12 12.2-9.6 26.5-23.8 42.3-38.2 30.3-27.7 66.9-57.3 109.4-54.4-16.2-7.4-31.8-20.8-47.3-40.1zm136 26.2c-22.7 15-44.6 22.8-66.5 20.2 9.8 5.7 17.6 14.6 23.5 24.7 8.9 15.3 14.8 33.7 20.5 51.5 5.7 17.7 11.2 34.7 17.8 46.4 6.7 11.6 12.9 17 22.7 16.9 8.7 0 15.6-6.1 21.1-19.1 5.5-13.1 8.3-32.1 7.1-51.8-1.1-19.8-6-40.2-14.5-56.7-7.8-15-18.3-26.3-31.7-32.1zm-95.6 31.7c-31.6.8-62.4 24.3-90.4 49.9-15.4 14-29.8 28.4-43.3 39-8.2 6.5-16.4 12.1-24.9 14.7-31.2 18.7-70 33.8-118.9 44.3.72 10 3.38 18.5 6.81 27.1 9.61-2.7 18.34-3.9 26.49-4.8l4.51-.5 3.08 3.3c37.81 41.2 83.41 45.3 132.01 24.7 48.6-20.6 98.8-67.5 138.5-128.6 5-7.7 9.6-15.2 14-22.7-3.3-9-6.8-17.2-10.9-24.1-5.4-9.4-11.2-15.8-18.5-19.3-6.9 19.7-17.8 45.5-36.5 71.2-30.3 41.5-81.6 83-168.9 100.1l-3.4-17.6c83.1-16.4 129.8-54.8 157.8-93.1 16.6-22.7 26.4-45.3 32.9-63.6zM37.35 430.1c-6.19 1.1-12.51 2.2-19 3.2 5.1 11 8.53 22.8 9.82 35.5 5.9-3.6 11.49-6.6 16.83-9-3.52-8.9-6.55-18.6-7.65-29.7z"}}]})(props);
};
function GiBanana (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M390 28.11c0 6.53-.1 12.92-.4 19.21 1.4-.1 2.7-.14 3.9-.16 9.7-.17 18.4 1.19 26.7 3 1.5-5.66 3.5-11.65 6.2-18.06-12.7.76-24.8-.73-36.4-3.99zm4 37.02c-1.7 0-3.5.15-5.4.32-5.4 72.95-26.6 128.45-56.7 171.25-36.5 52-85.5 85.2-132.7 109.6-47.1 24.6-92.7 40.7-122.34 57.8-14.79 8.6-25.29 17.4-30.55 26.3-3.3 5.6-4.98 11.3-4.54 18.3l23.93 8.1c61-12.1 145.2-42.8 215.1-89.1 40.7-26.9 76.6-59 100.5-95.2 23.9-36.3 36.1-76.4 30.2-120.8l17.9-2.3c6.4 49-7.4 93.9-33.1 133-25.8 39-63.4 72.5-105.6 100.4-70.4 46.6-153.4 77.6-216.72 90.8l-5.85 11c4.4 1.9 9.38 3.4 14.96 4.6 20.81 4.4 49.01 3.6 80.31-2.9 62.8-12.8 138.1-47.4 197.2-101 54-48.8 92.3-105.8 104.9-157 12.7-51.3 1.3-95.7-45.2-126.5l-3.9-2.51-.2-4.51c-.4-8.19-.6-17.02.5-26.95-7.4-1.67-14.8-2.84-22.7-2.7z"}}]})(props);
};
function GiBandageRoll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M127.188 18.313c-8.222 0-16.5 3.85-25.032 12.437-8.533 8.587-16.84 21.775-23.875 38.5-14.066 33.45-23.093 80.826-23.093 133.156 0 52.33 9.027 99.706 23.094 133.156 7.035 16.726 15.343 29.914 23.876 38.5 8.533 8.587 16.81 12.47 25.03 12.47v-.094l94.376-.313c-18.79-47.396-26.065-99.457-23.562-153.25 3.1-66.628-19.302-124.256-39.97-144.03-5.878-5.628-10.952-7.44-15.655-7.314-4.703.126-9.867 2.34-15.563 7.97-11.39 11.257-22.954 36.056-28.312 72.22-4.08 27.54-3.72 58.607.53 84.874 4.254 26.267 13.205 47.6 21.814 55.25 3.035 2.697 5.07 3.17 6.937 3.03 1.87-.14 4.35-1.137 7.44-4.343 5.937-6.163 12.586-20.27 15.75-41-.034.033-.062.064-.095.095 1.357-6.102 2.156-13.236 2.156-20.906 0-22.24-6.582-40.282-14.686-40.282-7.717 0-14.007 16.364-14.594 37.125-1.525-7.025-2.406-14.984-2.406-23.438 0-28.282 9.638-51.22 21.53-51.22 3.08 0 6.008 1.545 8.657 4.314.024.018.042.042.064.06 10.234 8.79 14.545 23.184 17.375 39.69 2.92 17.036 3.31 36.562.874 54.56-3.327 24.59-10.434 42.807-21.188 53.97-5.377 5.58-12.07 9.44-19.5 10-7.43.56-14.833-2.46-20.72-7.688-15.272-13.57-23.25-37.857-27.842-66.218-4.592-28.362-4.96-60.907-.563-90.594 5.727-38.64 17.375-66.752 33.626-82.813 8.126-8.03 17.88-13.068 28.25-13.343 10.37-.276 20.508 4.343 29.03 12.5 28.06 26.85 49.026 87.37 45.72 158.406-2.993 64.328 8.4 124.96 37.25 177.563 9.598 16.877 21.162 32.794 34.656 47.437.095.103.187.21.282.313l33.03 36.875 13.907-12.5-8.53-9.5 13.594-12.063-14.813-16.656c6.013-2.02 12.352-3.612 18.94-4.97 1.095 1.165 2.424 2.65 4.06 4.438 3.54 3.866 8.06 8.854 12.47 13.78 8.82 9.854 17.28 19.438 17.28 19.438l14-12.375s-8.506-9.59-17.374-19.5c-2.563-2.863-5.104-5.673-7.53-8.374.135.076.205.11.343.188 5.966 3.335 13.645 7.65 21.217 11.937 15.145 8.573 29.875 16.97 29.875 16.97l8.844-15.53c13.01 7.373 26.22 14.874 26.22 14.874l9.28-16.25s-14.762-8.41-29.937-17c-4.854-2.747-9.15-5.17-13.626-7.688 4.505-1.526 8.917-3.26 13.22-5.28l52.217 1.843.626-18.69L456.97 402c-49.716-10.47-87.035-74.35-88.69-145.563 2.41-17.077 3.72-35.217 3.72-54.03 0-51.184-9.69-97.434-24.875-130.532-15.143-33.01-35.198-51.554-54.375-52.938l-165.563-.53v-.095z"}}]})(props);
};
function GiBandaged (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M243.47 20.938c-.43.002-.78 0-1.064.03-24.635 2.647-45.48 20.252-54.03 44.407l111.81-18C288.274 31.26 269.767 21 249.096 21c-2.406 0-4.337-.07-5.625-.063zm66.093 43.874L184.406 84.94c-.104 1.602-.187 3.21-.187 4.843 0 12.11 3.082 23.387 8.343 33.22l121.312-29.938c.05-1.083.094-2.184.094-3.28 0-8.85-1.583-17.25-4.408-24.97zm.406 48.438L204.5 139.28c.21.217.41.445.625.657l13.063 13.032-18.22 2.81c-11.08 1.724-20.266 5.504-28.124 11.032l179.125 21.032c-2.535-4.082-5.316-7.858-8.376-11.25-10.392-11.523-23.76-19.223-43-21.688l-18.47-2.344 12.907-13.406c6.954-7.205 12.48-16.027 15.94-25.906zm-154.94 70.406c-7.154 9.81-12.79 21.855-17.124 35.375l170.75-17.343-153.625-18.03zM363 214.97l-230.22 23.374c-4.68 21.507-6.833 45.063-7.75 67.906l248.064-28.813c-1.21-19.302-3.536-38.297-8.03-55.312-.645-2.434-1.333-4.816-2.064-7.156zm10.97 81.186L136.81 323.72l186.157 22.905.374-4.594.687-8.624h50.376c-.006-12-.047-24.575-.437-37.25zm-195.283 51.53l6.313 70.44 130.438 23.093 6.062-75.94-142.813-17.592zm8.063 89.752l4.906 54.5h119.72l2.562-32-127.188-22.5z","fillRule":"evenodd"}}]})(props);
};
function GiBandit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196.2 34.57c-7.5 16.07-17.3 39.33-25.7 62.86-4 11.17-7.6 22.47-10.5 32.77 80.8 26 111.2 26 192 0-2.9-10.3-6.5-21.6-10.5-32.77-8.4-23.53-18.2-46.79-25.7-62.86-26.5 13.22-42.6 20.86-59.8 20.86-17.2 0-33.3-7.64-59.8-20.86zM32.28 139H27.34c-1.71 0-2.8.1-3.72.3l-.41.5c-5.12 6.8-6.92 12.6-6.92 17.8 0 5.1 1.9 10.3 6.14 15.9 8.48 11.1 26.73 22.9 50.92 32.5C121.7 225.4 193.1 237.4 256 237.4c62.9 0 134.3-12 182.7-31.4 24.2-9.6 42.4-21.4 50.9-32.5 4.2-5.6 6.1-10.8 6.1-15.9 0-5.2-1.8-11-6.9-17.8l-.4-.5c-2-.3-6-.5-11.4-.2-11.8.7-29.8 3.2-51.8 6.2-14.8 2-31.5 4.3-49.5 6.4.8 5.3 1.3 10.2 1.3 14.7v4.8l-4 2.7c-27.1 18-71.9 25.5-117 25.5-45.1 0-89.9-7.5-117-25.5l-4-2.7v-4.8c0-4.5.5-9.4 1.3-14.7-18-2.1-34.7-4.4-49.51-6.4-22.01-3-40-5.5-51.82-6.2-.93-.1-1.83-.2-2.69-.1zm123.32 8.6c-1.1 5.2-1.9 9.8-2.3 13.7 22.1 12.5 62.4 20.1 102.7 20.1 40.3 0 80.6-7.6 102.7-20.1-.4-3.9-1.2-8.5-2.3-13.7-81.3 25.9-119.5 25.9-200.8 0zM137 265.4c.2 14 1.9 27.4 4.9 40.2 14.5-.4 29.9-3.9 44.9-9.6 8.2-3.2 16.2-7 23.9-11.2-6.1 1-12.4 1.6-18.7 1.6-14.7 0-36.1-10.1-55-21zm238 0c-18.9 10.9-40.3 21-55 21-6.3 0-12.6-.6-18.7-1.6 7.7 4.2 15.7 8 23.9 11.2 15 5.7 30.3 9.2 44.9 9.6 3-12.8 4.7-26.2 4.9-40.2zm-112.1 15.3c1.7 24.1 20.9 41.5 45 58.5-36.2-5.4-59.3-20.8-68.5-51.2-13.7 9.7-29.5 18.3-46.2 24.8-19.2 7.4-39.7 11.7-59.6 10.6 8.3 10.7 15.7 20.5 22.4 29.7 25.2 19.2 45.7 36.8 102.7 45.4-24 3.7-51.2 6.2-72.5-.9 16 25.8 28.2 65.6 43.3 95.8h53c7.9-15.9 15-45.9 22.3-59.4-16.6 13.6-34.5 16.6-47.9 15.2 34.1-14.6 53.4-37.4 74-59.6 12.4-19.3 27.3-40.3 47.5-66.2-19.9 1.1-40.4-3.2-59.6-10.6-20.9-8.1-40.3-19.6-55.9-32.1zm219 18c-5.5 0-11.7.6-18.6 1.7-15.7 2.6-34.6 7.7-55.3 14.3l-1 1.3c-12.2 15.3-22.7 28.8-31.8 41.1 15.4 9.5 24.9 20.3 35 30.9-14.5-5.7-27.4-11.7-45.4-16.6-5.1 7.2-9.8 14-14.1 20.5 9.6 3.7 19.9 6.7 30.8 9.3 26.9 6.5 56 10.1 81.5 16.6-18-27.2-43.4-55.2-74.3-77 20.1-4.1 40.6-8.6 58.7-14.9 19.9-6.9 35.9-15.8 45.2-26.5-1.8-.2-3.4-.5-5.4-.6-1.7-.1-3.4-.1-5.3-.1z"}}]})(props);
};
function GiBangingGavel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M155 18L80.47 38.98l15.9 55.79L283.5 41.95 276.8 18zm105.5 48l-131 37 61.1 216.4 130.9-37zm53.3 52.9l-19.4 5.5 24 85 19.5-5.5zm-182.7 51.6l-19.5 5.5 24 85 19.5-5.4zm-30.9 27.6L18 221.3v54.3l96.5-27.4zm287.4 19.7l-55.7 34.7 6.5 24.6 28.4-8 24.4 89.6L171 421.3c-8.4-30-16.9-60-25.3-90l27.3-7.7-6.3-22.7-70.53-3.8L137 336.7 28.26 385.6s117.34 4.1 114.34 4.6c-3.1.5-31.3 84.4-31.3 84.4l88-45.2 22.9 64.3 70.6-76.4 94.4 49.7-24.7-70.9 113.5-5.6-77.7-53.7 94.6-66.3-113.4 3.5zM354 290.7l-187.3 52.9 15.7 55.9 187.2-52.9z"}}]})(props);
};
function GiBank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25.6L52 134.4h170v-56h68v55.094c2.53.258 5.04.567 7.54.906H460L256 25.6zm-16 70.8v57.38l-6.248 2.005c-14.24 4.573-26.103 11.94-36.07 22.322-17.686 18.425-26.735 43.597-26.735 77.368 0 33.38 8.89 58.507 26.282 77.144 10.118 10.787 22.11 18.3 36.477 22.83l6.293 1.984V420.4h32v-59.85l8.373-.587c9.6-.67 18.958-2.145 28.092-4.45 11.206-2.827 22.043-6.956 32.588-12.26V252.11h-61.035v19.974h30.955v49.576l-5.403 2.356c-4.373 1.906-9.156 3.264-14.322 4.152l-.08.014-.08.013c-5.003.768-10.33 1.133-15.988 1.133-21.365 0-39.558-7.483-51.834-22.228-11.08-13.308-17.89-27.01-17.89-51.625 0-24.844 7.066-38.687 18.532-51.912h.002c12.767-14.722 31.483-22.09 53.56-22.09 11.836 0 23.63 1.875 35.264 5.574 7.058 2.227 14.08 5.21 21.075 8.764v-32.35a138.957 138.957 0 0 0-26.992-9.155h-.006l-.008-.002c-8.43-1.94-17.185-3.16-26.287-3.65l-8.517-.458V96.4h-32zm-192 54v18h25v206H48v18h96v-18h-25v-206h25v-18H48zm320 0v18h25v206h-25v18h96v-18h-25v-206h25v-18h-96zm-327 258v30h181v-30H41zm249 0v30h181v-30H290zm-265 48v30h462v-30H25z"}}]})(props);
};
function GiBanknote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23 119v274h466V119H23zm16 16h434v242H39V135zm72.285 18A64 64 0 0 1 57 207.297v97.418A64 64 0 0 1 111.297 359h289.418A64 64 0 0 1 455 304.703v-97.418A64 64 0 0 1 400.703 153H111.285zM256 176a48 80 0 0 1 48 80 48 80 0 0 1-48 80 48 80 0 0 1-48-80 48 80 0 0 1 48-80zm-9 32v14.057c-5.37 1.576-9.96 4.136-13.766 7.685-6.848 6.386-10.27 15.146-10.27 26.28 0 11.014 3.36 19.744 10.085 26.19 3.86 3.685 8.513 6.305 13.95 7.874V304h18v-12.32c3.475-.23 6.878-.712 10.203-1.463 4.78-1.08 9.392-2.698 13.834-4.858v-33.223h-27.762v11.937h10.873v13.418c-1.264.494-2.698.865-4.302 1.112-1.574.215-3.286.324-5.137.324-6.818 0-12.077-1.99-15.778-5.97-3.702-3.978-5.553-9.624-5.553-16.935 0-7.372 1.91-13.034 5.735-16.982 3.856-3.978 9.333-5.968 16.428-5.968 3.825 0 7.634.542 11.428 1.62 3.826 1.08 7.666 2.716 11.522 4.906v-14.3c-3.732-1.696-7.71-2.975-11.937-3.84-3.077-.632-6.263-1.03-9.555-1.198V208h-18zm-119 32a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm256 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16z"}}]})(props);
};
function GiBarbarian (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M197.584 23.28c-18.284.166-34.4 4.378-48.488 12.285C120.92 51.38 102.008 80.7 87.62 117.445c-.637 1.623-1.254 3.282-1.874 4.936a433.13 433.13 0 0 0 16.73 6.654c.628-1.69 1.26-3.378 1.905-5.028 13.612-34.757 30.7-59.935 53.524-72.746 11.413-6.405 24.546-10.037 40.137-10.136 15.592-.1 33.64 3.335 54.884 11.06L256 53.3l3.076-1.116c42.486-15.45 72.195-13.735 95.02-.924 22.824 12.81 39.912 37.99 53.523 72.746.645 1.65 1.276 3.338 1.905 5.028a433.14 433.14 0 0 0 16.73-6.653c-.62-1.653-1.238-3.312-1.874-4.936-14.388-36.743-33.3-66.065-61.476-81.88C335.38 20.117 300.046 18.895 256 34.27c-21.502-7.506-40.977-11.15-58.416-10.99zm-16.145 85.35c-4.77 5.446-9.19 11.48-13.268 18.068-3.655 5.905-7 12.262-10.037 19.01l.16.035c.235-.005.47-.018.705-.018a32.61 32.61 0 0 1 13.77 3.05 439.41 439.41 0 0 0 49.494 6.62c-15.17-15.56-29.05-32.14-40.825-46.764zm157.474 10.652c-9.547 9.597-17.313 20.762-23.076 33.34a438.226 438.226 0 0 0 23.387-3.846 32.61 32.61 0 0 1 13.775-3.05c.236 0 .47.012.705.017l.16-.035c-3.036-6.748-6.382-13.105-10.037-19.01a147.53 147.53 0 0 0-4.914-7.416zM37.727 138.725l22.34 22.34 7.445-22.34zm406.76 0l7.447 22.34 22.34-22.34zM85.526 141.61l-10.187 30.564c17.367 6.233 34.72 11.564 52.062 16.002-.906-3-1.4-6.17-1.4-9.45 0-7.88 2.816-15.144 7.486-20.84a453.046 453.046 0 0 1-47.96-16.276zm340.95 0a452.977 452.977 0 0 1-47.967 16.267c4.673 5.7 7.492 12.966 7.492 20.848 0 3.276-.492 6.444-1.396 9.44a579.07 579.07 0 0 0 52.058-15.99zM159 163.725c-8.39 0-15 6.61-15 15s6.61 15 15 15 15-6.61 15-15-6.61-15-15-15zm194 0c-8.39 0-15 6.61-15 15s6.61 15 15 15 15-6.61 15-15-6.61-15-15-15zm-31.78 6.184a454.296 454.296 0 0 1-12.21 1.585c-2.643 9.64-4.27 19.926-4.8 30.808a509.808 509.808 0 0 0 23.265-2.752c-4.663-5.694-7.475-12.953-7.475-20.825 0-3.05.43-6.005 1.22-8.816zm-130.433.014a32.614 32.614 0 0 1 1.213 8.8c0 7.875-2.813 15.136-7.48 20.83a510.61 510.61 0 0 0 34.617 3.73c.32-6.48-3.405-30.475-3.405-30.475a456.76 456.76 0 0 1-24.945-2.886zm51.604 4.64l-8.644 6.897 13.88 83.265h16.75L275.4 198.57c-11.192-6.3-22.285-14.618-33.01-24.007zM66.28 188.16c-15.22 63.397-26.077 137.993-43.05 211.542l-1.8 7.804 7.543 2.696a14845.52 14845.52 0 0 0 43.41 15.453 417.662 417.662 0 0 1 12.77-4.47c5.114-1.703 10.176-3.32 15.11-4.903-17.488-6.054-36.565-12.83-57.777-20.403C58.5 324.755 69.37 253.65 83.47 194.134a613.683 613.683 0 0 1-17.19-5.974zm379.44 0a613.688 613.688 0 0 1-17.19 5.975c14.1 59.517 24.97 130.62 40.984 201.744-21.212 7.57-40.29 14.348-57.776 20.402 4.933 1.582 9.995 3.2 15.108 4.904a417.657 417.657 0 0 1 12.77 4.47c13.545-4.79 27.904-9.916 43.41-15.454l7.544-2.696-1.8-7.804c-16.973-73.55-27.83-148.145-43.05-211.54zm-305.408 21.694c-2.188 15.23-3.312 31.277-3.312 47.87 0 48 .646 86.742 14.814 111.536 7.085 12.397 17.22 21.812 33.647 28.657 16.428 6.844 39.29 10.808 70.54 10.808 31.25 0 54.112-3.964 70.54-10.808 16.426-6.845 26.56-16.26 33.646-28.657C374.354 344.466 375 305.725 375 257.725c0-16.594-1.124-32.64-3.313-47.87-27.274 6.046-54.568 9.943-81.87 11.71l-2.413 14.484c21.605 2.345 46.537-6.993 77.395-18.737l6.4 16.824c-7.816 2.975-15.448 5.92-22.948 8.63 4.365 3.607 7.7 8.663 7.7 14.958 0 8.2-5.652 14.307-11.88 17.834-6.228 3.526-13.82 5.31-22.095 5.31-8.275 0-15.868-1.784-22.096-5.31-6.227-3.528-11.88-9.635-11.88-17.835 0-1.182.13-2.316.35-3.41a79.073 79.073 0 0 1-3.92-.416l-4.805 28.825h-47.25L227.57 253.9c-1.305.168-2.612.31-3.92.415.22 1.094.35 2.228.35 3.41 0 8.2-5.653 14.307-11.88 17.834-6.23 3.526-13.822 5.31-22.097 5.31-8.274 0-15.867-1.784-22.095-5.31-6.228-3.528-11.88-9.635-11.88-17.835 0-6.295 3.335-11.35 7.7-14.96-7.5-2.707-15.132-5.653-22.95-8.628l6.403-16.824c30.86 11.744 55.79 21.082 77.396 18.736l-2.414-14.485c-27.3-1.767-54.595-5.664-81.87-11.71zm-36.177 6.512c-.22.01-.53.215-.754.254-9.218 30.762-5.474 47.118.24 66.853l15.38 7.69v-62.618c-4.425-6.463-8.398-9.97-11.084-11.224-1.486-.692-2.616-1.015-3.78-.954zm303.73 0c-1.165-.06-2.295.262-3.78.955-2.687 1.254-6.66 4.762-11.085 11.225v62.618l15.38-7.69c5.715-19.735 9.458-36.09.24-66.853-.226-.04-.535-.243-.755-.254zM190.023 252.58c-5.52 0-10.413 1.38-13.224 2.973-2.023 1.145-2.54 1.945-2.68 2.172.14.227.657 1.027 2.68 2.172 2.81 1.592 7.704 2.973 13.223 2.973 5.52 0 10.415-1.38 13.227-2.973 2.022-1.145 2.538-1.945 2.68-2.172-.142-.227-.658-1.027-2.68-2.172-2.812-1.592-7.707-2.972-13.227-2.972zm15.907 5.145c.055.09.07.11.07 0s-.015-.09-.07 0zm-31.81 0c-.056-.09-.07-.11-.07 0s.014.09.07 0zm147.857-5.144c-5.52 0-10.415 1.38-13.227 2.973-2.022 1.145-2.538 1.945-2.68 2.172.142.227.658 1.027 2.68 2.172 2.812 1.592 7.707 2.973 13.227 2.973 5.52 0 10.413-1.38 13.224-2.973 2.023-1.145 2.54-1.945 2.68-2.172-.14-.227-.657-1.027-2.68-2.172-2.81-1.592-7.704-2.972-13.223-2.972zm15.904 5.145c.056.09.07.11.07 0s-.014-.09-.07 0zm-31.81 0c-.055-.09-.07-.11-.07 0s.015.09.07 0zm-91.07 32h18s.124 6.12 3.05 11.975c2.927 5.853 6.95 11.025 19.95 11.025s17.023-5.172 19.95-11.025c2.926-5.854 3.05-11.975 3.05-11.975h18s.124 9.88-4.95 20.026c-5.073 10.147-17.05 20.975-36.05 20.975-19 0-30.977-10.828-36.05-20.974-5.074-10.146-4.95-20.025-4.95-20.025zm41 53.178c21.138 0 42.276 4.093 66.846 12.283l-5.692 17.078c-46.86-15.62-75.447-15.62-122.308 0l-5.692-17.078c24.57-8.19 45.708-12.283 66.846-12.283zm-94.244 62.674a30.333 30.333 0 0 1-1.297 1.53c-5.123 5.61-11.71 9.69-19.056 13.228-14.692 7.073-32.843 12.024-50.558 17.93-17.716 5.904-34.85 12.754-46.82 22.064-9.73 7.565-16.135 16.173-18.22 28.395H173.81c12.59-6.51 23.538-11.936 30.553-17.66 7.39-6.03 10.754-11.19 10.635-21.232l18-.215c.18 15.237-7.198 27.185-17.256 35.392a81.47 81.47 0 0 1-4.953 3.715h90.42a81.47 81.47 0 0 1-4.954-3.715c-10.058-8.207-17.436-20.155-17.256-35.392l18 .215c-.12 10.042 3.246 15.203 10.635 21.232 7.015 5.724 17.962 11.15 30.553 17.66h148.007c-2.086-12.222-8.492-20.83-18.22-28.396-11.97-9.31-29.105-16.16-46.82-22.066-17.716-5.905-35.867-10.856-50.56-17.93-7.345-3.536-13.932-7.618-19.054-13.228-.45-.493-.878-1.006-1.296-1.53-5.047 3.394-10.633 6.395-16.783 8.958-19.572 8.155-44.71 12.19-77.46 12.19-32.75 0-57.888-4.035-77.46-12.19-6.15-2.563-11.737-5.564-16.784-8.957z"}}]})(props);
};
function GiBarbecue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M241.9 20.47s-8.8 4.49-17.7 11.17c-4.4 3.33-8.9 7.22-12.6 11.86-3.7 4.64-7 10.4-6.5 17.52.5 8.44 6.3 14.78 12.1 18.4 5.9 3.63 12.2 5.75 18.1 7.83 5.9 2.08 11.3 4.13 14.4 6.1 3 1.97 3.3 2.49 3.4 4.1 0 0-.4 1.52-2.5 3.85-2.1 2.2-5.6 4.9-9.2 7.2-7.3 4.5-14.8 7.6-14.8 7.6l6.8 16.6s8.7-3.5 17.5-9.1c4.4-2.7 9-6 12.8-10.1 3.9-4.2 7.4-9.6 7.2-16.53-.2-8.46-5.9-15.06-11.6-18.74-5.8-3.68-12.1-5.8-18-7.88-5.9-2.09-11.4-4.14-14.6-6.15-3.2-2.01-3.7-2.78-3.8-4.38 0-.41.5-2.41 2.7-5.18 2.2-2.77 5.7-5.94 9.4-8.72 7.4-5.57 15.1-9.55 15.1-9.55zm-112 18s-8.8 4.49-17.7 11.17c-4.4 3.33-8.9 7.22-12.6 11.86-3.7 4.64-7 10.4-6.5 17.52.5 8.44 6.3 14.78 12.1 18.4 5.9 3.58 12.2 5.78 18.1 7.78 5.9 2.1 11.3 4.1 14.4 6.1 3 2 3.3 2.5 3.4 4.1v.1s-.4 1.5-2.5 3.8c-2.1 2.2-5.6 4.9-9.2 7.2-7.3 4.5-14.8 7.6-14.8 7.6l6.8 16.6s8.7-3.5 17.5-9.1c4.4-2.7 9-6 12.8-10.1 3.9-4.2 7.4-9.6 7.2-16.5-.2-8.5-5.9-15.06-11.6-18.74-5.8-3.68-12.1-5.8-18-7.88-5.9-2.09-11.4-4.14-14.6-6.15-3.2-2.01-3.7-2.78-3.8-4.38 0-.41.5-2.41 2.7-5.18 2.2-2.77 5.7-5.94 9.4-8.72 7.4-5.57 15.1-9.55 15.1-9.55zm218 0s-8.8 4.49-17.7 11.17c-4.4 3.33-8.9 7.22-12.6 11.86-3.7 4.64-7 10.4-6.5 17.52.5 8.44 6.3 14.78 12.1 18.4 5.9 3.58 12.2 5.78 18.1 7.78 5.9 2.1 11.3 4.1 14.4 6.1 3 2 3.3 2.5 3.4 4.1v.1s-.4 1.5-2.5 3.8c-2.1 2.2-5.6 4.9-9.2 7.2-7.3 4.5-14.8 7.6-14.8 7.6l6.8 16.6s8.7-3.5 17.5-9.1c4.4-2.7 9-6 12.8-10.1 3.9-4.2 7.4-9.6 7.2-16.5-.2-8.5-5.9-15.06-11.6-18.74-5.8-3.68-12.1-5.8-18-7.88-5.9-2.09-11.4-4.14-14.6-6.15-3.2-2.01-3.7-2.78-3.8-4.38 0-.41.5-2.41 2.7-5.18 2.2-2.77 5.7-5.94 9.4-8.72 7.4-5.57 15.1-9.55 15.1-9.55zM46 169.5v17.8h438v-17.8zm1.51 35.8C53.14 263.5 112.6 347.5 230 347.5s176.9-84 182.5-142.2zm74.79 133.6l-15.6 72.8c7.1.7 13.9 3 19.8 6.4l15-69.9c-6.7-2.8-13.1-5.9-19.2-9.3zm215.4 0c-6.1 3.4-12.5 6.5-19.2 9.3l30.7 143.1c5-.2 13.4-.5 16-1.4 1.8-.6 2.6-1.2 3-1.7.3-.5.7-1.3.8-3.2zM102 429.3c-17.3 0-31.05 13.8-31.05 31.1S84.7 491.5 102 491.5s31.1-13.8 31.1-31.1-13.8-31.1-31.1-31.1zm47.7 20.2c.8 3.5 1.2 7.2 1.2 10.9 0 2.3-.2 4.6-.5 6.9h175.4l-3.8-17.8z"}}]})(props);
};
function GiBarbedArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.97 18.22C33.98 35.186 46.79 52.53 60.25 70.187l-20.5 41.156L77.5 92.53c12.847 16.405 26.235 33.033 40.094 49.814L94.03 189.656l44.564-22.22c15.17 17.934 30.83 36.032 46.906 54.158l-28.47 57.156 55.157-27.47c16.596 18.27 33.554 36.568 50.813 54.782l-27.28 54.75 53.968-26.875c21.59 22.316 43.56 44.45 65.75 66.282-38.372 1.44-74.363-2.4-107.125-10.72 65.27 60.235 151.623 99.225 246.593 103.688-4.313-95.196-43.473-181.33-103.687-246.594 7.904 31.405 11.808 65.622 10.874 102.125-5.587-5.622-11.185-11.248-16.844-16.908-15.622-15.62-31.41-31.093-47.28-46.406l26.655-53.5-54.313 27.063c-18.653-17.625-37.395-34.933-56.125-51.876L279.5 156.28l-52.75 26.282c-18.68-16.527-37.304-32.64-55.78-48.218l21.436-43.063-45.75 22.782C129.6 100.008 112.72 86.45 96.062 73.44l18.282-36.688-40 19.938c-17.8-13.548-35.308-26.4-52.375-38.47z"}}]})(props);
};
function GiBarbedCoil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M229.2 18.34l-6.1 5.71C179.4 64.68 108 67.31 49.08 63.27l-11.43-.78 1.53 11.35c3.18 23.53.14 49.36-6.97 71.46-3.67 11.4-8.49 21.8-13.85 30.3V205c13.92-12.5 24.52-31.8 31.64-53.9 1.84-5.8 3.42-11.7 4.74-17.7l54.06-3 5.3-47.84c28.9-1.87 58.2-7.39 84.3-19.84l39.5 32.35 27-30.09c17 7.66 35.6 12.29 54.4 12.1l13.3 37.22 37.5-2.1c2.6 4.8 5.5 9.5 8.6 14 8.2 12 18.5 22.6 31.6 30.5l-2.2 29.5 22 2.6c.7 11.3 2.4 22.2 5.7 32.6 3.4 10.5 8.5 20.5 15.7 29.4l-20.1 19.7 15.6 11.6c-19.6 25.2-25.9 52.4-22.9 77.6l-20.9 3.1 3.4 23.5c-25.5 7.2-48 24.8-60.7 47.5l-28-14.6L313 444c-21.5-3.4-44.9-2.8-66.5 4.9l-15.7-29-26 22c-11.7-13-26.3-23.1-41.8-30.5-10.7-5.2-21.7-9.1-32.8-11.9l10.5-42.4-37.5 6c1.5-9 2.3-18.4 2-28-.3-12.5-2.7-25.4-8.04-37.6l42.24-27.4-35.6-19.3c17.6-17 28.6-37.4 34.1-57.5l44.2 5.8-6.7-30.7c5.1-.2 10.2-.6 15.3-1.5 11.9-2 23.7-6.4 34.6-13.8l19.4 30.9 18.4-31.9c6.1 2.3 12.2 3.5 18.1 3.9 4.3.4 8.4.3 12.5-.1l6 37.2 24.9-18.4c4.7 6.5 10 11.8 15.8 16 4.2 3.1 8.5 5.6 13 7.7l-12.8 33.8 31.8-3.7c.5 5.1 1.7 9.8 3.4 14.2 1 2.7 2.3 5.4 3.6 7.9l-31.8 14.2 26.9 21.4c-3.2 4.8-5.8 9.8-7.7 15.2-2.2 6.7-3.3 13.7-3.4 20.9l-22.6-8.6 4 34.6c-3.1 1.4-6.1 2.9-9.1 4.6-4.8 2.7-9.5 5.8-13.8 9.4l-21.2-25.9-14.3 32.8c-10.6-2-21.2-1.4-31.1 1.6l-7.8-21.3-20.2 15.1c-7.6-7.8-16.3-14.1-25.3-19.2l20.1-28-37-2.8c1.3-7.5 1.8-15 .9-22.3l27.3-4.4-16.8-19.7c2.7-2 5.2-4.3 7.4-6.8 4.8-5.6 7.6-12.4 9-20.1 6.7 1.5 13.6 1.7 20.2-.2 7.8-2.1 14.8-6.8 20.7-13.4 12.9 10.7 27.1 19.2 42.1 23.4-1.7 6.1-2.8 12.5-2.4 19.2.3 5.5 1.7 11.1 4.3 16.5-10.6 1.6-21.1 4.8-31 10.5-8.8-14.5-21.9-25.3-43.1-29.1 12.7 21.9 26.7 43.4 28.4 69l13.8-16.3c14.4-13 30.4-16.5 49.2-16.7l22.3-.2-15.8-15.8c-7-6.9-9.1-12.6-9.5-19-.4-6.3 1.5-13.6 4.7-21.7l4.4-11.2-11.9-1.5c-16.4-2-34.6-12.6-50.6-27.6l-8.6-8.1-5.8 10.2c-4.7 8.1-10.4 12.2-16.2 13.8-5.7 1.6-12 .9-18.5-2.9l-13.9-8-.1 16c-.1 11.2-1.9 16.4-5.9 20.9-3.9 4.6-11.5 9.1-24.3 14.8l-10 4.4 5.9 9.1c11 17.4 7.7 36.3-3.6 60.3l-5 10.6 11.4 2.5c23.5 5.1 50.3 20.1 63.3 45.3l5.4 10.6 8.9-7.7c18.7-15.9 40.3-18.3 64.6-1.4l9.3 6.6 4.6-10.5c4.1-9.6 13.5-18.3 24.7-24.5 11.1-6.3 23.9-10 32.8-10.7l11.8-1-3.6-11.2c-5-15.1-5.1-27.8-1.4-38.8 3.8-11.1 11.7-20.9 24.8-29.8l8.2-5.5-6-7.9c-7.5-10-14.7-18.9-18.3-28.3-3.5-9.4-4.3-19.1 1.7-33.7l4.3-10.5-11.1-2.2c-14.1-2.9-26.7-6.7-36.7-14-10-7.3-18-18-23.1-37.3l-2.5-9.6-9.4 3c-10.7 3.5-22.3 6.5-33.9 5.7-11.5-.8-23.3-5.1-35.9-18l-7.8-7.8-6.4 8.9c-12.9 17.5-28 25.1-44.8 28-16.9 2.8-35.5.5-52.9-3.3l-12.4-2.6 1.1 12.5c2.6 32.6-14 81.4-65.48 104l-14.86 6.6 13.1 9.5c22.49 16.5 29.74 37.7 30.39 60.5.65 22.8-6.1 46.5-12.52 64.1l-4.71 13 13.76-.4c20.82-.6 48.02 4.4 71.82 15.8 23.7 11.5 43.7 29 52.5 53.2l4.5 12.2h1.9l8.9-8.7c32.3-31.2 84.1-27.8 119.2-14l10.6 4.1 2-11.2c6.5-36.1 49.2-67.6 88-61.8l18.1 2.7-8.5-16.3c-18.2-34.9-17.5-78.3 32.6-117.7l8.9-7V262l-9.5-6.4c-16.6-11-25.4-24-30.5-39.9-5.1-15.9-6-35-5-56.4l.4-7.6-7.4-1.9c-22.2-5.7-36.2-17.7-47.5-34.2-11.4-16.47-19.4-37.6-27.7-59.79l-3.6-9.52-9.2 4.34c-39 18.42-87.2.94-117.9-26.68l-6.3-5.6h-.2z"}}]})(props);
};
function GiBarbedNails (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M14.922 14.21V197.01c105.426 65.67 171.442 156.49 109.213 299.017 71.456-76.97 99.707-180.437 72.418-273.904l-43.217 28.034c-8.593-32.65-25.23-63.915-44.04-88.097-18.808-24.182-35.91-41.747-54.142-58.317l12.57-13.83c26.36 23.958 50.918 50.426 71.26 81.727 122.584 56.688 209.387 144.066 155.1 301.027 65.208-82.512 85.325-187.03 50.81-277.992l-41.466 30.37c-9.225-26.42-23.88-51.128-43.455-74.562-31.626-34.863-68.584-59.443-108.29-79.904l8.56-16.61c46.226 23.82 90.127 53.793 126.312 98.87C399.033 189.56 479.498 260.64 456.44 409.59c49.442-93.163 50.723-200.15.585-283.248l-35.04 38.547C379.276 89.6 288.66 35.463 159.76 14.21H14.924z"}}]})(props);
};
function GiBarbedSpear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.156 14.938l1.188 109.812 19.5 17.22c15.49-23.43 36.69-41.66 65.094-51.47l-80.5-75.563h-5.282zm168.125 53.78c-.396 44.894-10.642 82.204-31.155 111.5C272.262 286.142 455.438 453.28 455.438 464.407c-11.175 0-197.844-161.162-316.75-264.594-25.878 25.887-62.488 43.38-110.313 52 68.746 39.904 126.46 57.79 191.594 69.282-19.723 11.207-43.54 19.43-71.157 24.406 67.254 39.04 123.215 55.186 187.687 65.906-16.78 9.55-36.457 17.074-59.97 21.313C354.206 477.804 413.56 487 498.314 497.5v-.03c-18.824-85.7-40.233-141.38-96.625-209.845-.202 22.858-3.87 42.68-10.594 60.5-19.436-63.145-45.6-114.738-94.438-174.03-.235 26.606-4.35 50.287-12.094 71.093-20.53-63.15-48.564-116.11-98.28-176.47zm-68.936 37.126c-29.56 7.767-49.585 24.63-64.406 48.53l30.312 26.75c7.968-26.825 21.017-51.348 34.094-75.28zm15.062 11.406c-13.92 25.673-26.966 50.952-33.562 77.656l9.844 8.688c19.153-15.05 40.11-42.41 47.906-63.656l-24.188-22.688z"}}]})(props);
};
function GiBarbedStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.352 19.617l-52.18 115.475 27.2.002-24.257 74.123-65.638.156 6.18-19.02L18.69 204.286l93.718 85.324 7.63-23.48 53.017 38.708-21.047 65.28-15.735-11.43-25.652 124.097 110.103-62.744-21.946-15.942 55.584-40.213 60.472 43.748-17.08 12.408 110.102 62.745-25.65-124.098-23.638 17.172-22.898-71.022 53.016-38.707 7.628 23.48 93.717-85.323-125.966-13.935 6.18 19.02-65.64-.155-24.256-74.12 25.205.003-52.2-115.483zm-5.317 115.48h12.654l30.373 92.747 85.253.217 6.288 19.352-68.854 50.29 28.914 89.712-11.94 8.674-76.363-55.233-71.475 51.698-14.977-10.88 27.065-83.972-68.856-50.288 6.287-19.35 85.256-.218 30.375-92.748zm6.338 41.76l-13.69 41.81c4.38-1.018 8.932-1.575 13.614-1.575 4.74 0 9.347.57 13.777 1.615l-13.7-41.85zm-.076 58.93c-23.097 0-41.62 18.52-41.62 41.617 0 23.097 18.523 41.617 41.62 41.617 23.096 0 41.617-18.52 41.617-41.616s-18.52-41.617-41.617-41.617zm-51.518 10.336l-43.878.104 35.336 25.794c.84-9.41 3.85-18.214 8.54-25.897zm103.032 0c4.71 7.712 7.722 16.555 8.55 26.006l35.482-25.903-44.03-.104zm-5.888 70.61c-5.968 6.912-13.462 12.47-21.96 16.12l35.413 25.606-13.453-41.726zm-91.143.13l-13.41 41.596 35.353-25.565c-8.484-3.628-15.97-9.155-21.942-16.032z"}}]})(props);
};
function GiBarbedSun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M296.03 12.742c-8.175 10.024-15.62 32.142-20.735 56.78-3.86-.373-7.738-.633-11.63-.764-1.526-.052-3.054-.086-4.583-.1-19.25-.178-38.79 2.634-57.988 8.69-10.223-23.05-22.23-43.093-32.293-51.176-2.068 12.775 2.546 35.67 10.442 59.578-23.396 10.692-43.644 25.71-60.156 43.73-20.387-14.86-40.818-26.22-53.58-28.19 4.598 12.105 20.058 29.64 38.865 46.405-14.49 20.423-24.804 43.577-30.294 68.008-10.005-1.068-19.74-1.653-28.59-1.67-13.356-.026-24.705 1.234-31.95 4.047 10.033 8.18 32.178 15.633 56.84 20.748-2.36 24.396.04 49.565 7.79 74.172-23.062 10.225-43.112 22.24-51.2 32.31 12.78 2.068 35.683-2.55 59.596-10.45 10.705 23.446 25.752 43.734 43.81 60.27-14.82 20.13-26.266 40.39-28.286 53.474 12.83-4.873 30.2-20.173 46.623-38.682 20.405 14.446 43.53 24.724 67.93 30.193-2.772 24.845-2.557 48.113 2.233 60.455 8.667-10.627 16.056-32.535 21.023-56.754 24.295 2.32 49.352-.082 73.854-7.785 10.018 22.885 21.83 42.907 32.146 51.193 2.192-13.53-2.36-36.185-10.16-59.63 23.44-10.708 43.72-25.754 60.252-43.812 20.11 14.802 40.34 26.226 53.41 28.243-4.868-12.818-20.142-30.167-38.627-46.576 14.454-20.42 24.734-43.56 30.2-67.972 24.82 2.764 48.062 2.546 60.395-2.24-10.62-8.66-32.507-16.04-56.703-21.006 2.314-24.306-.094-49.373-7.81-73.882 22.872-10.016 42.883-21.824 51.166-32.135-2.085-.338-4.385-.515-6.872-.545-13.65-.167-32.907 4.112-52.73 10.705-10.695-23.394-25.72-43.64-43.74-60.15 14.836-20.365 26.175-40.765 28.142-53.512-12.092 4.594-29.603 20.027-46.353 38.808-20.437-14.5-43.61-24.818-68.06-30.303 2.674-25.076 2.296-48.44-2.376-60.473zm-37.032 74.545c1.378.012 2.753.04 4.127.086 2.966.098 5.92.276 8.865.53-1.01 6.593-1.837 13.192-2.447 19.642-2.382-.196-4.77-.356-7.168-.438-1.214-.04-2.43-.066-3.646-.078-14.618-.138-29.444 1.886-44.04 6.255-1.93-6.155-4.115-12.405-6.47-18.603 16.837-5.148 33.936-7.536 50.778-7.395zm36.926 4.42c20.965 4.893 40.844 13.743 58.506 26.055-4.18 5.213-8.204 10.524-11.963 15.814-15.226-10.483-32.288-18.078-50.262-22.394 1.416-6.336 2.655-12.886 3.72-19.475zm-110.326 11.68c2.41 6.177 4.977 12.27 7.658 18.127-17.103 8.11-32.037 19.16-44.432 32.29-4.764-4.38-9.797-8.713-14.953-12.915 14.34-15.316 31.735-28.155 51.728-37.503zm73.047 22.287c1.065.01 2.13.03 3.19.066 2.196.072 4.38.22 6.56.403-.394 15.126.757 28.186 3.943 36.396 5.737-7.035 10.904-19.037 15.19-33.356 15.994 3.776 31.165 10.522 44.667 19.892-7.91 12.912-13.45 24.807-14.793 33.516 8.493-3.226 18.98-11.046 29.862-21.317 11.705 11.02 21.522 24.366 28.697 39.68-13.383 7.34-24.122 14.923-29.517 21.64 8.522 1.38 21.555-.222 36.377-3.777 4.914 16.198 6.533 32.702 5.196 48.74-1.52-.035-3.025-.06-4.498-.062-13.357-.026-24.705 1.234-31.95 4.047 6.7 5.463 18.812 10.602 33.455 14.937-3.765 16.077-10.545 31.324-19.96 44.89-13.068-7.938-25.02-13.45-33.545-14.765 3.07 8.082 10.99 18.586 21.502 29.663-11.06 11.787-24.465 21.674-39.866 28.884-7.34-13.382-14.923-24.11-21.638-29.504-1.38 8.518.22 21.544 3.77 36.358-16.197 4.91-32.7 6.523-48.735 5.182.338-15.28-.865-28.377-3.986-36.415-5.46 6.694-10.59 18.795-14.925 33.422-16.075-3.767-31.318-10.548-44.88-19.96 7.925-13.056 13.425-24.995 14.74-33.512-8.073 3.066-18.565 10.974-29.63 21.47-11.742-11.016-21.6-24.36-28.804-39.687 13.263-7.21 23.97-14.725 29.475-21.578-2.083-.338-4.383-.515-6.87-.545-8.193-.1-18.406 1.4-29.55 4.04-4.9-16.19-6.51-32.68-5.17-48.706 15.12.392 28.176-.76 36.384-3.946-7.033-5.734-19.02-10.905-33.334-15.19 3.778-15.988 10.536-31.15 19.904-44.646 12.9 7.9 24.78 13.43 33.483 14.773-3.223-8.486-11.03-18.962-21.287-29.832 10.976-11.66 24.256-21.448 39.494-28.615 7.213 13.27 14.73 23.98 21.586 29.486 1.45-8.952-.07-21.912-3.512-36.437 12.928-3.92 26.052-5.743 38.977-5.636zm114.623 7.34c15.328 14.347 28.18 31.755 37.53 51.765-6.184 2.44-12.276 5.048-18.124 7.76-8.117-17.15-19.183-32.12-32.344-44.54 4.387-4.774 8.728-9.82 12.938-14.986zm-254.65 26.71c5.203 4.17 10.503 8.188 15.782 11.938-10.48 15.222-18.085 32.28-22.402 50.248-6.324-1.413-12.86-2.658-19.436-3.72 4.898-20.95 13.75-40.816 26.055-58.465zm138.704 30.413c-2.253.01-4.528.133-6.818.375-36.65 3.86-63.052 36.478-59.19 73.127 3.86 36.647 36.477 63.048 73.125 59.188 36.648-3.86 63.05-36.478 59.19-73.127-3.618-34.357-32.512-59.71-66.308-59.563zm162.164 17.258c6.455 21.126 8.57 42.665 6.793 63.587-6.606-.983-13.213-1.775-19.66-2.353 1.475-18.062-.323-36.618-5.776-54.816 6.157-1.92 12.42-4.08 18.642-6.42zM88.754 242.127c6.578 1.006 13.163 1.835 19.598 2.443-1.49 18.07.297 36.64 5.744 54.852-6.152 1.93-12.394 4.1-18.588 6.453-6.464-21.183-8.563-42.776-6.754-63.748zM403.03 291.13c6.33 1.422 12.875 2.69 19.474 3.782-4.874 20.98-13.716 40.877-26.018 58.557-5.238-4.163-10.572-8.156-15.877-11.886 10.51-15.283 18.122-32.412 22.42-50.455zm-280.708 29.716c8.15 17.197 19.268 32.205 32.49 44.642-4.382 4.753-8.736 9.766-12.966 14.916-15.383-14.375-28.274-31.83-37.65-51.9 6.178-2.41 12.27-4.978 18.126-7.658zm243.994 38.478c4.762 4.39 9.783 8.75 14.942 12.987-14.384 15.395-31.85 28.297-51.938 37.674-2.442-6.184-5.048-12.27-7.76-18.117 17.245-8.156 32.292-19.29 44.756-32.543zM172.55 379.78c15.276 10.507 32.4 18.12 50.436 22.42-1.422 6.323-2.69 12.86-3.78 19.45-20.97-4.878-40.852-13.72-58.52-26.017 4.154-5.232 8.14-10.557 11.863-15.854zm127.74 20.25c1.92 6.155 4.077 12.415 6.415 18.636-21.124 6.445-42.656 8.55-63.574 6.766.983-6.6 1.77-13.198 2.347-19.64 18.06 1.48 36.614-.312 54.812-5.76z"}}]})(props);
};
function GiBarbedWire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M109.813 23.5l1.468 24.844c-7.493 3.44-14.667 7.408-21.436 11.968C77.932 54.117 29.25 24.376 29.25 24.376l26.438 68.563c-18.827 25.903-24.476 56.148-20.5 87.5-3.977 10.418-6.756 21.36-8.157 32.75-4.28 34.82 4.443 73.208 29.564 111.78-11.01 17.4-35.188 53.344-35.188 53.344l61.22-19.875c1.98 2.18 3.998 4.36 6.093 6.532 31.825 33.022 64.816 56.735 97.343 72.436-1.357 21.98-4.532 59.906-4.532 59.906l40.532-45.656c34.34 10.635 67.452 12.538 97.282 7.22 8.957 1.915 17.79 3.232 26.437 3.874 26.46 1.964 51.463-2.464 72.283-15.5 1.94-1.214 3.83-2.482 5.687-3.844 15.444 4.942 64.094 23.25 64.094 23.25l-34.906-57.062c4.48-8.064 8.3-17.044 11.375-26.97 9.51-30.692 13.66-59.886 13.375-87.374.002-.02-.003-.042 0-.063 4.158-29.67.89-60.38-8.282-89.562-3.357-10.683-7.5-21.157-12.375-31.344 15.212-13.58 32.595-28.75 32.595-28.75l-47.5 2.032c-8.474-13.175-18.222-25.552-29.094-36.843 5.347-17.464 21.908-64.907 21.908-64.907l-55.25 36.343c-.262-.183-.52-.38-.782-.562-24.558-17.015-52.748-28.888-83.125-33.25.924-11.743 1.72-21.625 1.72-21.625l-17.406 19.593c-31.27-10.284-63.304-15.307-93.656-14.47-21.283.588-41.732 4.05-60.532 10.595C117.282 32.32 109.812 23.5 109.812 23.5zm84.75 28.28c8.26.09 16.652.658 25.125 1.626-23.352 6.245-43.81 15.013-61.438 25.75-1.82-1.457-9.677-10.352-18.53-20.594 15.102-4.23 31.386-6.447 48.31-6.75 2.168-.038 4.345-.055 6.532-.03zm68.687 13.5l-11.938 13.44c-11.938-2.62-23.83-4.183-35.562-4.75 4.397-1.344 8.9-2.63 13.563-3.782 11.515-2.845 22.86-4.438 33.937-4.907zM112.5 69.126l1.53 26.344c-3.972 2.043-7.848 4.195-11.624 6.5-19.415 11.843-36.164 27.058-49 44.843 2.444-17.23 9.253-33.295 21.157-47.72C84.933 86.528 97.823 76.6 112.5 69.126zm181.438 3.406c10.36 4.18 20.567 8.97 30.53 14.345l-4.562 19.28c-8.983-5.375-18.067-10.048-27.22-14.03.283-5.274.724-12.21 1.252-19.594zm-81.782 19.69c33.724 1.065 69.257 11.17 103.25 32.874l-4.656 19.594s6.89-5.636 15.22-12.438c21.385 15.353 42.013 35.488 61 61.094 6.913 9.325 12.885 18.596 18.03 27.75-11.63 10.287-22.28 19.594-22.28 19.594l31.5-1.344c7.023 15.705 11.562 31.02 13.905 45.72-16.35 8.71-59 29.373-59 29.373l59.625 13.875c-3.29 23.663-12.567 44.827-26.53 62.375-19.992 15.673-45.71 28.626-78.095 37.625-14.812-16.555-37.688-43.125-37.688-43.125l2.594 45.032c-31.706-11.987-64.888-30.877-95.874-54.283 6.14-19.402 20.97-61.843 20.97-61.843l-53.314 35.062c-26.48-23.94-50.176-50.712-68.562-78.156-.16-.976-.29-1.96-.438-2.938 21.096-4.256 50.813-9.75 50.813-9.75l-52.938-28.75c.747-17.35 3.87-34.413 9.532-50.625l24.186 7.75-17.625-23.718c.764-1.607 1.526-3.2 2.345-4.782 12.316-23.79 30.94-45.024 57.156-61.563 1.988-.446 3.987-.868 6-1.25 15.965 10.75 53.22 37.75 53.22 37.75L212.156 92.22zm144.844 15c31.624 22.824 58.832 52.246 77.188 87.5-3.304 3.178-8.728 8.14-14.907 13.686-5.072-8.723-10.825-17.47-17.31-26.22-18.905-25.494-39.566-45.996-61.158-62.03 5.793-4.68 11.46-9.222 16.188-12.937zm-243.78 10.093c-7.726 9.096-14.342 18.774-19.876 28.906l-6.688-9c7.668-7.166 16.218-13.62 25.5-19.282.35-.214.71-.414 1.063-.626zm-50.876 49.843l19.062 6.094c-6.742 19.452-10.13 39.89-10.53 60.47-.04-.085-.086-.168-.126-.25-8.156-17.232-13.81-34.135-16.53-50.376 2.316-5.497 5.046-10.808 8.124-15.938zm-17.25 53.188c2.547 7.06 5.468 14.125 8.78 21.125 5.833 12.32 12.784 24.582 20.657 36.655 1.037 5.655 2.27 11.273 3.72 16.844 4.947 18.99 12.275 37.433 21.72 54.655-43.19-45.79-58.08-90.447-54.876-129.28zm406.03 17.437c4.823 17.464 7.594 36 7.938 55.532-2.115 14.63-6.24 28.865-12.562 42.375.395-2.295.74-4.602 1.03-6.937 3.503-28.023-.497-58.67-13.374-90.25l16.97-.72zM106.72 320.688c21.512 24.926 46.452 48.21 73 68.5 24.674 18.86 50.713 35.157 76.81 47.625-32.876-2.213-62.096-14.434-86.81-33.28-27.445-20.928-49.14-50.188-63-82.844zM449 368.47c-.796 2.857-1.636 5.734-2.53 8.624-8.284 26.728-21.605 43.83-38.345 54.312-12.555 7.862-27.34 12.04-43.875 12.906 6.02-2.95 11.794-6.245 17.313-9.875 12.958-8.522 24.402-18.87 34.03-30.687 13.3-10.688 24.41-22.53 33.407-35.28z"}}]})(props);
};
function GiBarbute (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.406 17.75C189.313 39.42 124.536 85.124 79.03 150.344c21.238 57.44 32.72 94.314 32.72 131.375 0 36.493-11.52 73.723-32.125 129.655 49.72 36.73 100.08 58.95 150.313 64.938-5.052-60.378-9.83-120.748 1.593-181.125-30.644-3.28-61.384-13.286-92.03-30.72v-71.312c80.67 42.255 158.908 41.547 242.063 0v71.313c-30.06 14.376-60.192 24.722-90.25 29.28 8.684 60.46 7.723 120.915 2.03 181.375 46.386-7.335 92.89-28.824 139.032-64.312-33.966-112.954-34.03-145.933.594-260.47C391.162 84.844 317.924 39.89 255.405 17.75zm-75.125 212c-11.16-.13-19.646 3.174-21.25 9.156-2.33 8.7 10.778 19.76 29.282 24.72 18.505 4.957 35.388 1.92 37.72-6.782 2.33-8.7-10.775-19.76-29.282-24.72-5.783-1.55-11.396-2.315-16.47-2.374zm160.69 0c-5.074.06-10.687.825-16.47 2.375-18.507 4.96-31.613 16.018-29.28 24.72 2.33 8.7 19.213 11.738 37.717 6.78 18.505-4.958 31.613-16.018 29.282-24.72-1.604-5.98-10.09-9.286-21.25-9.155z"}}]})(props);
};
function GiBarefoot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M44.156 19.47c40.24 103.666 45.06 254.208 5.22 367.28-28.324 80.378 9.553 105.938 66.25 105.938l31.374.28c63.568-40.225 127.15-23.413 190.72 1.813l110.78 1.033c77.705 0 54.114-80.826-18.594-69.125L278.53 349.5C212.117 277.39 222.04 85.354 241.407 20l-197.25-.53z"}}]})(props);
};
function GiBarn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23.38L89.844 89.845l-64.9 162.254 14.85 5.943c20.312-50.766 40.62-101.535 60.93-152.304l1.432-3.58L256 40.616l153.844 61.54 1.43 3.58 60.93 152.305 14.853-5.942-64.9-162.254C366.77 67.69 311.386 45.534 256 23.38zm0 36.624l-139.996 55.998L72.8 224h.2v263h78V329h-39v-18h297v176h30V224h.2c-14.402-36-28.802-72-43.204-107.998L256 60.004zM151 135h210v114H151V135zm23.563 18L199 201.873V153h-24.438zM313 153v48.873L337.438 153H313zm-144 29.127V231h24.438L169 182.127zm174 0L318.562 231H343v-48.873zm-98.73 18.69c-1.207-.02-2.31.02-3.288.128-2.823.31-10.76 3.708-16.86 7.3-2.796 1.645-5.23 3.22-7.122 4.484V231h78v-16.97c-4.193-1.675-10.334-4.02-17.578-6.368-11.206-3.63-24.71-6.71-33.152-6.846zM160 263h192v18H160v-18zm15.16 66L208 389.205 240.84 329h-65.68zm144 0L352 389.205 384.84 329h-65.68zM169 355.295v105.41L197.748 408 169 355.295zm78 0L218.252 408 247 460.705v-105.41zm66 0v105.41L341.748 408 313 355.295zm78 0L362.252 408 391 460.705v-105.41zm-183 71.5L175.16 487h65.68L208 426.795zm144 0L319.16 487h65.68L352 426.795z"}}]})(props);
};
function GiBarracksTent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 28v80h18V28zm35 0v64l80-32zm-26 96c-48 48-144 112-192 128 0 64-16 208-32 240h160c16-16 64-144 64-192 0 48 48 176 64 192h160c-16-32-32-176-32-240-48-16-144-80-192-128zM112 300h80v80h-80z"}}]})(props);
};
function GiBarracks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M127.596 26.436C111.219 26.126 90.368 38.184 78 32v64c16.008 8.004 48.437-15.563 64 0 16 16 40.004 7.996 48 0V32c-7.755 7.755-32 16-48 0-3.985-3.985-8.946-5.462-14.404-5.564zM39 32v254.373c5.412-12.05 11.43-23.452 18-34.172V32H39zm217 121C135.23 153 28.575 256.151 25.162 439H208V336c0-32 96-32 96 0v103h182.838C483.425 256.151 376.769 153 256 153zm0 26.938l36.025 18.011-8.05 16.102L256 200.063l-27.975 13.988-8.05-16.102L256 179.937zm0 38l36.025 18.011-8.05 16.102L256 238.063l-27.975 13.988-8.05-16.102L256 217.937zm0 38l36.025 18.011-8.05 16.102L256 276.063l-27.975 13.988-8.05-16.102L256 255.937zM80 336h96v48H80v-48zm256 0h96v48h-96v-48zm-80 39v18h32v-18h-32zM25 457v16h158v-16H25zm176 0v16h110v-16H201zm128 0v16h158v-16H329z"}}]})(props);
};
function GiBarrelLeak (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M151 28c-34.4 0-65.6 5.33-87.35 13.49-10.88 4.08-19.36 8.9-24.62 13.56C33.77 59.71 32 63.62 32 67c0 3.38 1.77 7.29 7.03 11.95 5.26 4.66 13.74 9.48 24.62 13.56C85.4 100.7 116.6 106 151 106c34.4 0 65.6-5.3 87.3-13.49 10.9-4.08 19.4-8.9 24.7-13.56 5.2-4.66 7-8.57 7-11.95 0-3.38-1.8-7.29-7-11.95-5.3-4.66-13.8-9.48-24.7-13.56C216.6 33.33 185.4 28 151 28zm65 28a24 8 0 0 1 24 8 24 8 0 0 1-24 8 24 8 0 0 1-24-8 24 8 0 0 1 24-8zM32 96.35V179c0 2 1.23 4.6 6.87 8.2 5.63 3.6 14.88 7.2 26.31 10.1C88.04 203 119.6 206 151 206c31.4 0 63-3 85.8-8.7 11.4-2.9 20.7-6.5 26.3-10.1 5.7-3.6 6.9-6.2 6.9-8.2V96.35c-7 5.05-15.5 9.35-25.3 13.05-24.6 9.2-57.4 14.6-93.7 14.6-36.3 0-69.1-5.4-93.67-14.6-9.84-3.7-18.37-8-25.33-13.05zM288 107v244.1l39.8 9.1c-3.4-7.9-5.8-17.1-7.2-27.5-3.5-26.1-1.5-59.3 6.6-94.7 8-35.4 20.5-66.1 35-88.1 5.8-8.8 11.9-16.1 18.3-21.8L288 107zm140.2 77.9c-56 7.6-114.1 108.3-74.4 180.8.9.5 1.7.8 2.6 1 3.3.8 7.5-.1 13.1-4.2 5.8-4.1 12.4-11.3 18.8-21 12.8-19.4 24.9-48.6 32.5-82.2 6.2-27.3 8.5-53.3 7.4-74.4zM32 204v84c0 2 1.23 4.6 6.87 8.2 5.63 3.6 14.88 7.2 26.31 10.1C88.04 312 119.6 315 151 315c31.4 0 63-3 85.8-8.7 11.4-2.9 20.7-6.5 26.3-10.1 5.7-3.6 6.9-6.2 6.9-8.2v-84c-7.9 4.6-17.6 7.9-28.8 10.7C216 221 183.6 224 151 224s-65.04-3-90.18-9.3C49.64 211.9 39.91 208.5 32 204zm0 109v58c0 5 2.2 9.3 7.86 14.2 5.66 4.8 14.7 9.5 25.99 13.3C88.42 406 119.8 410 151 410c31.2 0 62.6-4 85.2-11.5 11.2-3.8 20.3-8.5 25.9-13.3 5.7-4.9 7.9-9.2 7.9-14.2v-58c-7.9 4.6-17.6 7.9-28.8 10.7C216 330 183.6 333 151 333s-65.04-3-90.18-9.3C49.64 320.9 39.91 317.5 32 313zm378.5 54.9c-.7 0-1.5 0-2.2.1-19.5 1.5-6.5 45.2-24.3 53.2-15.3 7-31.5-16.6-48.2-14.5-27.9 3.5-78.1 15.8-72.3 43.3 8 37.7 76.7 8.1 114.8 14 36 5.6 87.2 50.9 107.4 20.5 25.4-38.2-29.1-117.7-75.2-116.6zm-181.9 91.3c-5.1 0-9.4 2.1-12 6.4-4.7 7.7 6.2 19.1 14.3 23 9.4 4.5 35.6 5.8 31.1-3.6-7.8-16.4-22.3-26-33.4-25.8z"}}]})(props);
};
function GiBarrel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 41c-43.696 0-83.28 3.58-111.37 9.197-14.047 2.81-25.26 6.196-32.21 9.483-3.476 1.643-5.842 3.293-6.88 4.306l-.013.014.014.014c1.038 1.013 3.404 2.663 6.88 4.306 6.95 3.287 18.163 6.674 32.21 9.483C172.72 83.42 212.303 87 256 87s83.28-3.58 111.37-9.197c14.047-2.81 25.26-6.196 32.21-9.483 3.476-1.643 5.842-3.293 6.88-4.306l.013-.014-.014-.014c-1.038-1.013-3.404-2.663-6.88-4.306-6.95-3.287-18.163-6.674-32.21-9.483C339.28 44.58 299.697 41 256 41zm-80 15a32 8 0 0 1 32 8 32 8 0 0 1-32 8 32 8 0 0 1-32-8 32 8 0 0 1 32-8zm-75.168 26.594c-2.832 12.035-7.414 32.162-12.05 55.28 16.735 4.338 33.52 7.99 50.327 10.995 2.988-17.203 6.707-34.438 11.27-51.708-3.186-.547-6.3-1.113-9.282-1.71-14.91-2.98-27.13-6.49-36.37-10.86-1.363-.644-2.656-1.307-3.896-1.998zm310.336 0c-1.24.69-2.533 1.354-3.895 1.998-9.24 4.37-21.462 7.88-36.37 10.86-2.93.587-5.99 1.142-9.116 1.68 5.27 16.954 9.544 34.033 12.953 51.22 16.26-2.983 32.412-6.568 48.424-10.754-4.617-23-9.175-43.017-11.996-55.004zm-67.4 17.238c-23.065 2.982-49.9 4.803-78.768 5.117v54.198c30.885-.445 61.603-3.05 91.975-7.773-3.45-17.334-7.805-34.523-13.207-51.543zm-175.475.008c-4.647 17.345-8.416 34.67-11.426 51.98 30.062 4.54 60.16 6.967 90.133 7.354V104.95c-28.842-.314-55.656-2.133-78.707-5.11zm-84.38 55.277l-5.518 30.088c128.542 30.936 239.89 29.948 353.384.137l-4.98-30.172c-110.776 28.798-228.035 29.785-342.886-.053zm350.634 48.176c-16.95 4.406-33.876 8.174-50.83 11.312 3.656 47.603 1.776 95.87-3.55 144.49 18.6-3.803 36.796-8.527 54.468-14.17C439.592 314.762 439 291.606 439 256c0-14.915-1.77-33.334-4.453-52.707zm-357.13.256C74.758 222.827 73 241.15 73 256c0 23.794 4.678 57.228 10.424 89.404 16.604 4.828 33.386 8.97 50.27 12.418-4.532-47.516-6.03-95.247-2.577-143.222-17.624-3.063-35.507-6.74-53.7-11.05zm71.546 13.944c-3.336 47.978-1.63 95.883 3.164 143.813 31.553 5.49 63.348 8.592 94.873 9.33V225.94c-31.995-.576-64.57-3.38-98.037-8.446zm216.902.19c-33.303 5.275-66.792 8.068-100.865 8.34V370.8c32.816-.174 65.224-2.93 96.64-8.25 5.61-49.032 7.722-97.417 4.225-144.866zM86.66 364.93l8.29 31.9c104.15 32.39 225.75 32.428 326.077.733l8.272-32.264c-106.024 31.367-228.01 31.34-342.64-.37zm11.236 51.666c3.816 16.945 6.585 28.183 6.704 28.662.792 2.185 4.694 6.427 12.96 10.37 7.587 3.616 18.215 6.947 30.77 9.704-2.132-12.566-4.142-25.147-6.016-37.74-15.03-3.066-29.865-6.733-44.418-10.996zm318.366 1.31c-14.934 4.36-30.254 8.052-45.852 11.086-2.007 12.08-4.16 24.172-6.43 36.272 12.422-2.745 22.935-6.05 30.46-9.637 8.376-3.994 12.302-8.315 13.02-10.473 3.26-9.78 6.178-18.815 8.802-27.248zm-255.217 13.18c1.917 12.574 3.97 25.154 6.144 37.74 23.637 3.684 51.525 5.748 79.81 6.11V439.24c-28.815-.644-57.66-3.36-85.955-8.154zm190.55 1.223c-28.306 4.484-57.373 6.847-86.595 7.07v35.556c28.358-.363 56.317-2.437 79.994-6.14 2.33-12.19 4.538-24.353 6.602-36.487z"}}]})(props);
};
function GiBarricade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M197.492 19.762l9.692 43.058h-64.647l54.955 11.694-55.892 74.422 77.238-43.059 7.553 58.887 20.033-69.545-16.217-32.266-.068-.133zm139.203 38.162c-26.949 0-48.677 21.869-48.677 49.178 0 27.308 21.728 49.18 48.677 49.18 26.95 0 48.68-21.872 48.68-49.18 0-27.31-21.73-49.178-48.68-49.178zm-69.033 1.435c-6.037-.12-11.96.993-17.568 3.082l8.107 16.131c6.257-2.083 12.465-1.907 17.947.479a67.525 67.525 0 0 1 9.77-15.381c-6.068-2.838-12.219-4.19-18.256-4.31zm-43.205 139.053c-8.19.162-16.587 2.51-22.791 8.658-8.732 8.652-12.31 20.356-12.17 31.985.141 11.629 3.637 23.506 9.012 34.87 1.852 3.919 3.99 7.743 6.248 11.507-17.595 2.88-32.761 3.337-48.861 1.576 2.212-3.788 4.138-7.686 5.48-11.764 3.23-9.81 3.336-20.817-1.604-30.805-7.19-14.538-23.07-23.922-40.39-25.718-17.32-1.797-37.05 5.536-48.096 25.32l-.43.771-.273.842c-4.044 12.485-2.03 24.454 4.38 32.848 6.209 8.126 15.297 12.995 25.026 16.498h17.576l2.659 5.318c.118.024.235.05.353.073l-.222.185 8.279 16.565c8.666-5.656 11.814-12.884 16.443-22.141h67.608l10.959-6.047 12.808 5.92a34.624 34.624 0 0 0 1.606-.62c12.233-5.157 23.172-11.977 31.172-21.083 7.999-9.106 12.85-20.95 11.74-33.938-1.486-17.368-16.443-29.298-32.121-35.818-8.266-2.786-16.934-5.078-24.391-5.002zm1.86 18.004c5.47.074 11.067 1.763 15.617 3.617 11.712 4.871 20.551 14.338 21.1 20.735.676 7.923-1.84 14.27-7.33 20.523-5.494 6.252-14.17 11.959-24.645 16.377a113.568 113.568 0 0 1-7.97 2.996c-3.161-4.668-5.994-9.536-8.31-14.434-4.56-9.645-7.187-19.336-7.285-27.392-.097-8.057 1.968-14.156 6.84-18.983 3.548-2.578 7.727-3.497 11.982-3.439zm-113.11 19.988c10.382.084 25.994 7.69 30.43 16.014 2.69 5.439 2.757 10.77.64 17.2-1.562 4.745-4.488 9.9-8.406 15.038-10.05-1.39-20.343-3.272-28.986-6.293-14.593-5.753-23.412-12.353-19.38-26.326 6.746-11.5 15.932-15.577 25.702-15.633zM375.924 249l28.756 57.514 13.937-27.875L403.801 249zm77.639 0l-48.596 97.191 33.451-11.15L481.438 249zm-132.35 3.99c-16.417 1.038-28.12 9.49-29.205 25.674-.071 15.51 8.313 29.383 16.414 40.613-5.552.816-11.352 1.107-17.104.95 26.16 11.914 51.667 25.203 77.373 38.056l1.307-.435c-6.007-5.247-18.502-16.5-30.662-29.641 11.35-5.98 20.494-14.8 24.414-27.338 2.963-9.477 1.57-18.947-2.596-26.238-9.02-13.823-24.812-21.435-39.941-21.64zm-.28 18.123c5.03-.2 10.634 1.597 14.41 3.463 8.69 4.386 13.611 12.962 11.227 20.922-2.51 8.026-9.61 14.362-19.5 18.652-6.389-8.15-11.73-16.343-14.59-23.273-1.885-4.57-2.645-8.489-2.498-11.256 1.47-6.114 5.923-8.308 10.952-8.508zm-96.574 38.002l-25.156 13.88-33.82 67.644L213.563 487h40.705l40.09-16.037-21.651-15.332-1.96-1.568-7.677-6.141 56.764-59.385 83.709 36.041 36.258 46.356L403.738 487H487V386.725l-26.676-40.012-93.015 31.004-67.21-33.606zM78.562 313l28.758 57.514 13.938-27.875L106.438 313zm77.64 0l-87 174h27.874l87-174zM24.294 323.922l-.147 20.387c15.414 6.845 33.319 5.708 50.362.837l-8.239-16.478c-14.695 4.325-31.397 2.725-41.976-4.746zm.705 42.64V487h24.076l48.18-96.361-10.596-21.192-39.924 7.985zm299.203 43.454l-34.217 35.796 62.55 44.293 58.888-26.234-19.225-24.58zm-168.883.748l-13.937 27.875L165.563 487h27.875zm-24.002 48L117.201 487h28.237z"}}]})(props);
};
function GiBarrier (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112 41c-21.65 0-39 17.35-39 39 0 21.6 17.35 39 39 39 21.6 0 39-17.4 39-39 0-21.65-17.4-39-39-39zm288 0c-21.6 0-39 17.35-39 39 0 21.6 17.4 39 39 39s39-17.4 39-39c0-21.65-17.4-39-39-39zM112 55c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm288 0c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zM83.38 129.2L80.87 151h45.83l1.9-16.5c-5.2 1.6-10.8 2.5-16.6 2.5-10.4 0-20.2-2.8-28.62-7.8zm345.22.1c-8.4 4.9-18.2 7.7-28.6 7.7-5.8 0-11.4-.9-16.7-2.5l1.9 16.5h45.9l-2.5-21.7zM41 169v57.3L79.18 169H41zm59.8 0l-51.98 78h42.36l52.02-78h-42.4zm64 0l-52 78h42.4l52-78h-42.4zm64 0l-52 78h42.4l52-78h-42.4zm64 0l-52 78h42.4l52-78h-42.4zm64 0l-52 78h42.4l52-78h-42.4zm64 0l-52 78h42.4l52-78h-42.4zm50.2 20.8L432.8 247H471v-57.2zM67.71 265l-7.15 62h45.84l7.2-62H67.71zm330.69 0l7.1 62h45.9l-7.1-62h-45.9zM41 345v16h430v-16H41zm13.56 34L42.1 487h45.88l12.42-108H54.56zm356.94 0L424 487h45.9l-12.5-108h-45.9z"}}]})(props);
};
function GiBaseballBat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M429.725 54.54c-3.023.094-5.838 1.16-8.16 3.48l-.055.056-.057.055s-115.29 111.285-169.37 169.364c-28.277 30.37-56.8 65.693-88.448 102.922l17.726 17.73c37.02-31.78 72.285-60.387 103.388-88.236 58.86-52.703 169.174-169.187 169.174-169.187l.084-.09.088-.088c11.49-11.49-7.83-35.118-23.063-35.988-.438-.025-.874-.032-1.305-.018zM151.89 344.13c-17.598 20.413-36.214 41.272-56.33 62.114l10.327 10.248c20.79-20.14 41.52-38.848 61.828-56.54l-15.824-15.823zm-80.21 63.776l-9.9 9.9 32.652 32.4 9.9-9.9-32.652-32.4z"}}]})(props);
};
function GiBaseballGlove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M121.8 28.66c-12.6.28-26.24 11.28-32.89 21.75C56.89 103.1 38.51 167.7 32.92 228c-5.58 60.4 1.9 116.5 19.46 151.1C88.26 450 133.6 475.5 177 481.8c43.3 6.3 85.3-7.4 112.3-19.4 101.7-61.8 148.6-114.8 186-198.7 9.4-21.1 5.7-40.2-1.2-46.6-3.4-3.2-7.1-4.5-14-2.7-6.1 1.6-14.7 6.5-24.2 16.3l8.1-1.3 3.1 18.3-22.4 3.8 9.7 25.5-17.3 6.6-6.6-17.4c-9.2 12.8-19.5 25.9-32.7 39.4l-13.2-13c11.8-12.1 21.2-24 29.8-35.9l-14.2 2.4-3-18.3 22.2-3.8-7.8-20.6 17.3-6.6 6.5 17.1c9.6-18.7 22.2-45.3 24.4-63.4 3.1-22.8-20.6-40.6-32.7-21.5-8.3 14.9-16.6 29.9-25.3 44.8l14-3.3 4.3 18.2-26.2 6.2 6 20.2-17.7 5.4-3.1-10.4c-10.2 14.9-21.4 29.9-34.5 44.6l-13.8-12.4c11.7-13.1 21.8-26.3 31-39.7l-13.8 3.3-4.3-18.2 26.9-6.3-7.3-24.5 17.7-5.3 4.1 13.9c8-13.7 15.7-27.5 23.4-41.4 3.8-44.84-28.2-64.14-48.9-27.8-4.1 12.3-8.3 24.7-13.2 37.1l14.3-3.8 4.7 18-25.5 6.7 8 22.2-17.5 6.2-3.1-8.5c-8.7 15.9-19.3 31.6-32.4 46.4l-14-12.2c13.2-15 23.7-30.8 32.4-47.1l-18.5 4.8-4.8-17.9 25.6-6.7-9.1-25.2 17.5-6.2 5.6 15.4c4.5-11.6 8.6-23.5 12.5-35.3 2.8-18.79 1.5-31.63-1.4-39.68-4.4-14.58-26.4-20.4-33.4-7.57-16 33.19-34.5 81.05-55 119.65-10.3 19.3-21.1 36.4-33.1 48.6-12.1 12.3-26.9 20.3-42.7 16.8-16.5-3.6-28-15.5-33.6-30.4-5.7-14.8-6.7-32.5-5.5-51.8 2.4-37.5 13.9-80.97 24.5-116.64-5.2-9.98-12.5-13.67-20.1-13.5zm34.5 30.04c-2.4 8.48-4.8 17.28-7.1 26.19 19.2 6.59 40.8 11.78 61 14.35 13.4 1.76 26.1 2.16 36.7 1.56 3.7-8.45 7.3-16.81 10.9-24.85-37.4.23-73.9-7.55-101.5-17.25zm23.9 54.2l-4.7 22.6c5 1.3 10.1 2.4 15.2 3.5l4.6-23.2c-5.1-.9-10.1-1.8-15.1-2.9zm-42.9 31.8c-.6 5.3-1.2 10.3-1.5 15.3-.2 2.9-.3 5.8-.3 8.7 24.1 8.6 47.8 14.6 70.2 16.1 3.5-5.6 6.9-11.6 10.3-17.9.6-1.3 1.3-2.6 1.9-3.9-27.8-4.5-54.4-11-80.6-18.3zm25.5 51.9l-5.3 25.5c1 .3 1.9.6 2.9.8 4.7 1 9.3.2 14.4-2.7l3.9-20c-5.3-1-10.6-2.2-15.9-3.6zm46.5 53.2c56.7 0 103 46.2 103 103 0 28.5-11.8 54.4-30.5 73.1 2.8 1.3 5.6 2.7 8.4 4l-8 16.7c-50.8-24.7-107.6-46.5-182-30.2l-3.94-18.1c6.54-1.4 12.84-2.5 18.94-3.4-5.7-12.9-8.9-27.1-8.9-42.1 0-56.8 46.2-103 103-103zm0 18.5c-24.2 0-46 10.1-61.3 26.3 14.5 16 23.9 35.3 26.8 56.3 1.8 13.7 1 27.9-2.8 42.3 33.9 3 64.1 12.8 91.3 24.5 2.3-1.9 4.5-3.9 6.4-5.9-16.3-20-25.3-41.7-27.3-63.5-1.9-22.5 3.7-44.7 15.8-64.4-13.8-9.8-30.7-15.6-48.9-15.6zm62.9 28c-9 15.9-12.8 33.1-11.3 50.4 1.5 16.7 8 33.8 20.6 50 7.7-12.7 12.2-27.8 12.2-43.9 0-21.8-8.1-41.5-21.5-56.5zm-135.6 13.4c-7.5 12.6-11.8 27.3-11.8 43.1 0 14.5 3.7 28.1 10.1 40 6.1-.4 12.2-.6 18-.5h.2c4.2-13.5 5-26.6 3.3-38.8-2.2-16.1-9-31-19.8-43.8z"}}]})(props);
};
function GiBasketballBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M248.37 41.094c-49.643 1.754-98.788 20.64-137.89 56.656L210.53 197.8c31.283-35.635 45.59-88.686 37.84-156.706zm18.126.107c7.646 71.205-7.793 129.56-43.223 169.345L256 243.27 401.52 97.75c-38.35-35.324-86.358-54.18-135.024-56.55zM97.75 110.48c-36.017 39.102-54.902 88.247-56.656 137.89 68.02 7.75 121.07-6.557 156.707-37.84L97.75 110.48zm316.5 0L268.73 256l32.71 32.71c33.815-30.112 81.05-45.78 138.183-45.11 10.088.118 20.49.753 31.176 1.9-2.37-48.665-21.227-96.672-56.55-135.02zM210.545 223.272c-39.785 35.43-98.14 50.87-169.344 43.223 2.37 48.666 21.226 96.675 56.55 135.025L243.27 256l-32.725-32.727zm225.002 38.27c-51.25.042-92.143 14.29-121.348 39.928l100.05 100.05c36.017-39.102 54.902-88.247 56.656-137.89-12.275-1.4-24.074-2.096-35.36-2.087zM256 268.73L110.48 414.25c38.35 35.324 86.358 54.18 135.024 56.55-7.646-71.205 7.793-129.56 43.223-169.345L256 268.73zm45.47 45.47c-31.283 35.635-45.59 88.686-37.84 156.706 49.643-1.754 98.788-20.64 137.89-56.656L301.47 314.2z"}}]})(props);
};
function GiBasketballBasket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23C140.57 23 73.01 90.16 24.283 171.37L23 173.507V309.85l142.268 63.228C175.353 408.092 183 436.353 183 480h18c0-2.378-.028-4.703-.07-7h22.304l.405 7.484 17.973-.968-.35-6.516h29.14l-.366 6.496 17.973 1.008.422-7.504h22.64c-.042 2.3-.072 4.624-.072 7h18c0-43.265 7.505-72.296 17.453-106.797L489 309.85V173.508l-1.283-2.14C438.99 90.16 371.43 23 256 23zm0 18c107.607 0 167.912 59.792 215 137.563V298.15l-118.027 52.457c1.952-6.838 3.947-14.016 5.96-21.607H384v-34h-23V167H151v128h-23v34h25.023c1.965 7.597 3.906 14.745 5.81 21.52L41 298.15V178.563C88.088 100.793 148.393 41 256 41zm-87 144h174v110H169V185zm2.61 144h43.863l1.617 30h-37.115c-2.71-9.403-5.528-19.275-8.364-30zm61.888 0h44.982l-1.683 30h-41.682l-1.617-30zm63.012 0h43.804c-2.88 10.63-5.75 20.51-8.507 30h-36.98l1.683-30zm-111.377 48h32.928l1.618 30h-26.756c-2.27-10.02-4.922-19.86-7.79-30zm50.953 0h39.7l-1.682 30h-36.4l-1.618-30zm57.73 0h32.825c-2.83 10.065-5.443 19.92-7.683 30h-26.824l1.683-30zm-97.308 48h24.14l1.618 30h-22.14c-.762-10.673-2.002-20.55-3.618-30zm42.166 0h34.422l-1.684 30h-31.12l-1.618-30zm52.45 0h24.31c-1.59 9.476-2.808 19.37-3.563 30h-22.43l1.685-30z"}}]})(props);
};
function GiBasketballJersey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M183.3 27.47l-13.9 3.47c1.3 46.77 4.4 95.66 2.5 138.36-2 45.3-8.9 84.5-32.9 106.7v211h234V276c-24-22.2-30.9-61.4-32.9-106.7-1.9-42.7 1.2-91.59 2.5-138.36l-13.9-3.47c-1.1 22.08-5.3 46.02-14.5 66.25C303.4 117.5 284 137 256 137c-28 0-47.4-19.5-58.2-43.28-9.2-20.23-13.4-44.17-14.5-66.25zm18.2 3.33c1.4 19.18 5.4 39.48 12.7 55.48C223.4 106.5 236 119 256 119c20 0 32.6-12.5 41.8-32.72 7.3-16 11.3-36.3 12.7-55.48C286.9 42.47 272 49 256 49s-30.9-6.53-54.5-18.2zm-50 4.59l-14.4 3.6c.4 37.62 3.8 78.91 1.9 117.41-2 39.5-9.8 76.6-34 102.9V487h16V267.7l3.4-2.7c18.8-15.2 27.5-50.8 29.5-96.5 1.8-40.1-1-87.14-2.4-133.11zm209 0c-1.4 45.97-4.2 93.01-2.4 133.11 2 45.7 10.7 81.3 29.5 96.5l3.4 2.7V487h16V259.3c-24.2-26.3-32-63.4-34-102.9-1.9-38.5 1.5-79.79 1.9-117.41zM295.4 224c9.4 0 16.8 2.8 22.3 8.4 5.5 5.6 8.2 13.1 8.2 22.4 0 6.2-1.5 12.2-4.4 18-2.9 5.8-7.4 11.7-13.3 17.7-8.3 8.5-14 14.5-16.9 18.2-2.9 3.7-5 7.4-6.3 11.3h42.4v19.5h-63.9v-16.4c2.1-6.2 5.2-12.4 9.2-18.6 4-6.3 9.8-13.4 17.5-21.5 5.9-6.3 9.8-10.7 11.6-13.2 1.8-2.4 3.2-4.7 4.2-7s1.5-4.6 1.5-6.9c0-4.1-1-7.2-3-9.5-2.1-2.3-5.1-3.5-9-3.5-3.9 0-6.8 1.4-8.9 4.1-2.1 2.7-3.4 6.7-4 12.2l-18.3-1.3c1-11.1 4.2-19.5 9.5-25.2 5.3-5.8 12.5-8.7 21.6-8.7zm-76.3 1.8h20.4v71.9h12.2v17.6h-12.2v24.2h-17.3v-24.2h-41.6v-17.8zm3.6 20.6c-1.1 3.1-3.1 7.6-6.1 13.6l-20.7 37.7h26.3V263c0-3 0-6.3.1-9.8.2-3.5.3-5.8.4-6.8z"}}]})(props);
};
function GiBastet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M274 32.04c-10.7 12.23-16.5 26.91-16.9 39.87-.5 15.69 5.7 28.19 21 34.59l5.8 2.4-.2 6.2c-.5 15.3 11 34.3 28.1 46.9 17 12.5 38.2 18.3 55.7 12.1 10.3-5.5 22.4-12.9 29.8-21.1 7.3-8.2 10.3-15.3 5.9-26-3.5-4.3-8.8-7.4-18-11.6l-5.2-2.5v-5.8c0-3.4-4-11.44-14.8-18.45-10.8-6.97-27.6-12.84-49.3-13.86l-2.1-.1-1.8-.96c-14.2-7.68-22.2-15.89-27.8-24.35-3.8-5.76-6.6-11.31-10.2-17.34zm67.8 64.72c10.8.1 20.3 13.54 20.1 15.74-.3 4.1-34.9 5-34.9-.7 0-3.4 3.7-15.14 14.8-15.04zm-57.1 64.64l-.3 3.3c-.6 6.3-1.9 12.7-4.3 18.6 8.8 7.4 18.4 13.8 28.1 18.6 12.2 6.1 24.5 9.6 35.6 9.9-.9-5.9-1.2-11.8-.8-17.7-15.1-2-29.6-8.6-41.9-17.6-6-4.4-11.6-9.5-16.4-15.1zm-31.4 21.1c-2.2 4.4-4.8 8.3-7.7 11.8 36.2 42.5 81 59.9 112.7 61.7.2-8.2-.2-17.2-1.4-27.2-18.5 3.2-38.3-1.6-56.7-10.8-17.3-8.5-33.5-21-46.9-35.5zm-21.1 24c-4.1 2.7-8.3 5-12.4 7.1 32.1 44.7 74 70.9 127.1 85.2 4.5-6 7.8-14.4 9.7-24.9-37.3-2.1-85.4-21.8-124.4-67.4zm-24.5 21.1c-59.4 30.6-85.2 66-95.5 106.6-10.7 41.9-4 90.9 4 145l178.8.6c-.3-6.4-1.3-11-2.7-14.1-2-4.5-4.4-6.6-9.2-8.7-9.6-4.1-29.1-4.7-56.1-6.6l-21.9-1.6 16.6-14.2c13.6-11.6 24.3-22.8 32.8-33.8 3.6-7.9 4-19.4.9-31.9-3.9-16.2-13.4-33.3-24.2-43.4-5.5-5.1-11.1-8.3-16.2-9.5-5.1-1.2-9.6-.8-14.8 2.3-10.5 6.2-23.8 25.6-33 66.6l-17.6-4c9.8-43.2 23.5-67.5 41.4-78.1 6.8-4 14.1-5.6 21.2-5.3 2.4.1 4.7.4 7 1 9 2.1 17.1 7.2 24.2 13.8 14.2 13.2 24.8 32.7 29.5 52.4.2.9.4 1.9.6 2.8.9-2.4 1.8-4.8 2.5-7.2 1.4-4.5 2.5-9.1 3.3-13.8-11.8-21.5-14.7-46.6-16.7-66-20.6-14.1-38.9-31.6-54.9-52.9zm74.7 65.1c3.2 21.8 8.8 45.2 23.5 60.1l1.4 1.4.7 1.9c16 45 25.1 79 33.1 123.6l58.3.3c-1-8-3.7-13.4-7.5-17.5-5.1-5.4-13.1-9-24.2-10.8l-6.3-1-1.1-6.2c-8.1-42.3-24.1-79.5-18.7-128.3-21.2-5.8-41-13.5-59.2-23.5z"}}]})(props);
};
function GiBatBlade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M45.22 13.625L14.28 44.563c39.586 19.998 73.144 48.452 94.032 94.624L48.72 198.75l34.655 34.188C123.503 170.29 172.6 120.353 233.25 81.905l-33.844-33.844-59.562 59.563c-40.364-16.63-71.13-49.256-94.625-94zm388.31 2.656c17.42 49.948-19.026 99.73-74.467 51.407 25.734 56.216-28.74 91.255-66.032 58.532 17.576 57.064-16.684 77.635-51.905 73.593l-60.438-54.438c-11.745 10.696-22.922 22.032-33.593 34.03l56.062 62.407c3.207 35-17.616 68.268-73.78 50.782 32.726 37.702-2.315 92.766-58.532 66.75 48.32 56.05-1.434 92.89-51.375 75.28 97.106 69.59 204.846 89.13 277.436-3.624-77.69-16.78-80.996-84.097-52.656-143.438l106.03 118 38.783 15.47c-11.025 6.88-23.685 12.158-37.97 15.78l143.47 55.594-55.594-143.47c-3.76 14.828-9.293 27.874-16.564 39.19l-15.594-39.095L287.344 241.44c58.87-28.72 125.93-25.695 142.594 52.312 91.744-72.588 72.423-180.36 3.593-277.47z"}}]})(props);
};
function GiBatMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M384 16c48 32 64 80 64 112 0 128 0 256-32 368l-16-112c-48 32-112 64-144 64s-96-32-144-64L96 496C64 384 64 256 64 128c0-32 16-80 64-112-16 48-16 96 0 128 64-32 192-32 256 0 16-32 16-80 0-128zm0 256c-33.7 46.8-52 57.2-112 80 33.5 32 95.5 21.5 128-16 14.1-16.3 6.8-44.6-16-64zm-256 0c-22.8 19.4-30.1 47.7-16 64 32.5 37.5 94.5 48 128 16-60-22.8-78.3-33.2-112-80z"}}]})(props);
};
function GiBatWing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23.25 19.875c38.22 44.005 38.98 90.112 16 132.344 75.61-33.06 158.24-45.382 238.844-45.407 2.933 0 5.854 0 8.78.03 45.98.49 91.18 4.898 133.938 11.626C295.842 26.31 154.954 21.397 23.25 19.874zm251.5 105.75c-75.736.388-152.785 11.91-223.03 41.563 39.527 25.086 44.946 85.016 30.78 130.156 81.86-82.396 213.783-137.65 326.688-161.72-43.14-6.38-88.547-10.234-134.438-10zm139.28 28.094C303.25 177.412 172.427 233.127 94.44 312c59.466-5.64 111.354 40.075 96.25 97.844C256.44 302.84 326.538 224.834 414.03 153.72zm11.126 15.06c-84.76 68.95-152.326 143.842-216.187 247 86.224-47.916 190.35-14.365 189.405 76.126h89.53L362.096 328.78l-3.345-4.31 2.156-5.064 64.25-150.625zm10.313 23.407L380.25 321.72l113.875 147.655V435.03c-59.59-92.815-68.082-170.762-58.656-242.842z","fillRule":"evenodd"}}]})(props);
};
function GiBat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196.14 78.192c-11.98 26.54-14.398 45.97-11.355 59.664 3.357 15.106 12.85 24.708 27.24 31.903l11.168 5.583-8.83 8.828c-.94.942-2.235 4.514-1.224 10.9 1.01 6.39 4.1 14.61 8.626 22.335 5.75 9.82 13.835 18.326 21.62 23.235L256 221.77l12.52 18.926c7.814-4.9 15.94-13.433 21.714-23.29 4.526-7.727 7.617-15.947 8.627-22.335 1.012-6.386-.282-9.958-1.223-10.9l-8.83-8.827 11.168-5.584c14.39-7.196 23.883-16.798 27.24-31.904 3.043-13.694.626-33.125-11.354-59.664-25.09 13.792-37.177 28.03-51.32 70.46L256 174.27l-8.54-25.617c-14.143-42.43-26.23-56.67-51.32-70.46zM96 97.808c-3.376 19.912-5.288 41.53 10.314 58.623C53.46 233.354 16 377.273 16 433.81c5.024-10.05 13.206-23.25 23.055-35.647 1.14-66.82 33.374-161.227 81.228-240.983l4.63-7.717 7.718 4.63c20.08 12.047 41.164 20.96 62.73 26.745-7.74-5.074-14.54-11.42-19.673-19.15-17.93-7.796-34.227-18.417-47.687-31.877-18.968-1.448-25.344-16.872-32-32zm320 0c-6.656 15.128-13.032 30.552-32 32-13.46 13.46-29.756 24.08-47.688 31.877-5.133 7.73-11.93 14.076-19.673 19.15 21.566-5.785 42.65-14.698 62.73-26.744l7.718-4.63 4.63 7.717c47.853 79.756 80.088 174.163 81.227 240.984 9.85 12.397 18.03 25.6 23.055 35.648 0-56.536-37.46-200.455-90.314-277.377 15.602-17.093 13.69-38.71 10.314-58.622zm-192 80c11.588 8.65 18.698 11.698 32 16 13.302-4.302 20.412-7.35 32-16 2.458 4.566 0 16 0 16-11.948 5.447-21.853 2.208-32 0-10.147 2.208-20.052 5.447-32 0 0 0-2.458-11.434 0-16zm-71.854 6.525c1.817 4.383 3.522 9.017 5.143 13.88 5.98 17.942 10.558 38.886 13.62 60.32 5.243 36.7 6.394 74.3.945 101.388 8.74-.234 17.477 2.767 26.21 8.274L166.41 392.56l20.268-4.795-8.55 33.595L208 403.77l1.057 20.8 13.615-34.794c.632.695 1.264 1.432 1.896 2.145-4.088-5.556-7.65-12.068-10.78-19.37-9.34-21.792-14.788-50.772-14.788-82.742 0-22.842 2.793-44.14 7.787-62.397-.18-.302-.375-.603-.553-.907-5.21-8.898-9-18.256-10.636-27.26-14.738-3.625-29.273-8.592-43.452-14.91zm207.708 0c-14.18 6.318-28.714 11.285-43.452 14.91-1.637 9.004-5.425 18.362-10.636 27.26-.178.304-.372.605-.553.908C310.207 245.67 313 266.967 313 289.81c0 31.97-5.448 60.95-14.787 82.742-2.734 6.378-5.807 12.136-9.262 17.2.085-.095.17-.198.253-.292l13.74 35.11L304 403.772l29.87 17.59-8.548-33.595 20.268 4.795-32.195-24.782c8.94-5.75 17.842-8.698 26.73-7.957-5.425-27.08-4.27-64.633.965-101.286 3.062-21.435 7.64-42.38 13.62-60.322 1.622-4.862 3.327-9.496 5.144-13.88zm-227.268.64c-12.714 64.79-23.21 127.977-15.46 180.256 12.15-9.62 24.292-10.477 36.362-5.83 4.968-22.784 4.842-61.64-.398-98.32-2.938-20.563-7.36-40.62-12.88-57.177-2.344-7.035-4.942-13.425-7.624-18.93zm246.828 0c-2.682 5.505-5.28 11.895-7.625 18.93-5.52 16.557-9.942 36.614-12.88 57.178-5.19 36.34-5.364 74.816-.537 97.683 12.897-3.96 24.765-2.81 36.5 6.468 7.75-52.28-2.745-115.467-15.46-180.256zm-271.6 33.74c-26.35 55.316-44.32 113.17-49.365 158.712 13.07-11.5 27.16-18.727 39.995-15.59-5.553-44.21.388-93.13 9.368-143.123zm296.374 0c8.98 49.993 14.92 98.912 9.367 143.122 12.835-3.137 26.925 4.09 39.996 15.59-5.044-45.542-23.014-103.396-49.363-158.713zm-183.22 27.466c-2.517 13.256-3.968 28.045-3.968 43.628 0 6.126.233 12.123.656 17.963 1.642 22.645 6.29 42.786 12.676 57.688 4.017 9.372 8.73 16.627 13.307 21.143 4.575 4.517 8.57 6.208 12.36 6.208 3.79 0 7.785-1.69 12.36-6.207 4.577-4.515 9.29-11.77 13.308-21.142 6.386-14.902 11.034-35.043 12.676-57.687.423-5.84.656-11.836.656-17.962 0-15.583-1.45-30.372-3.97-43.63-9.624 9.87-21.444 16.92-35.03 16.92-13.586 0-25.406-7.05-35.03-16.92zm9.805 153.007c8.413 10.265 16.82 22.012 25.227 34.62 8.136-12.204 16.2-23.596 24.207-33.636-6.772 6.394-15.1 10.638-24.207 10.638-9.465 0-18.096-4.578-25.006-11.397-.074-.072-.147-.15-.22-.223z"}}]})(props);
};
function GiBathtub (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440.6 24.77c-.7 0-1.4 0-2.1.1-17.2 1.06-33.5 10.97-43.1 25.11 3.9 1.97 7.6 4.48 11.1 7.61 1.2 1.08 2.4 2.2 3.4 3.34 7.3-10.82 22.9-19.32 35.1-17.96 6.7.74 12.4 3.6 17.3 10.84 4.9 7.23 8.7 19.41 8.7 38.21V268h18V92c0-21.2-4.2-37.02-11.8-48.29-7.6-11.26-18.9-17.4-30.2-18.66-2.1-.23-4.3-.32-6.4-.28zm-69.4 37.17c-2.7 0-5.4.21-8.1.65-6.1 1.03-11.8 3.47-16.3 6.06l55.3 49.45c2.1-4.8 3.9-10.7 4.3-16.9.6-10.74-2.2-21.55-11.9-30.19-7.3-6.51-15.3-8.97-23.3-9.07zM16 289v18h480v-18zm9.29 36c1.42 56.1 15.91 97.6 42.75 126H444c12.8-14.5 24-39.8 31.3-65.5 6.5-22.6 10.1-45 11.2-60.5zm59.22 144l-12 18 14.98 10 18.71-28zm337.29 0l18.7 28 15-10-12-18z"}}]})(props);
};
function GiBaton (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M435.41 33.52c25 0 42.87 30.9 16.52 56.46-6.54 6.34-105.07 98.47-190.71 181.84l-32.14-31.76C307.73 156.21 395.73 59.28 407.73 46.8c9-9.39 18.8-13.28 27.68-13.28zM219.82 249.89l31.71 31.35-9.66 9.49-31.33-31 9.28-9.84zm-18.57 19.7l31 30.62-9.63 9.5-30.68-30.32 9.31-9.8zm-18.64 19.59L213 319.25c-3.234 3.233-6.41 6.42-9.53 9.56l-30.23-29.88c3.066-3.18 6.19-6.43 9.37-9.75zm-18.78 19.47l30.12 29.77c-3.255 3.286-6.41 6.5-9.47 9.64l-30.09-29.74c3.06-3.113 6.206-6.337 9.44-9.67zm-18.94 19.29l30.18 29.83c-5.46 5.66-10.49 10.97-15.01 15.85a15.83 15.83 0 0 1-11.91 5.26c-15.92 0-33.28-21.54-18.86-35.51a981.663 981.663 0 0 0 15.6-15.43zm-26.98 52.41A44.59 44.59 0 0 0 131 390.59a786.394 786.394 0 0 0-4.93 12.73c-6.44 17.13-21 17.2-31.6 17.25-12.69.06-22.71.11-30.42 19-1.94 4.77-.72 7.3.73 9.16 8.84 11.29 45.88 16.94 79.27 12.08 19.61-2.86 27.68-8.16 28.51-10.26 0 0 .33-1.69-2.82-6.67a145.34 145.34 0 0 0-10.9-14c-3.28-3.9-6.66-7.93-9.54-11.89-4.33-6-5.8-14.54-5.83-23.42a34.21 34.21 0 0 0 4.63.32 32 32 0 0 0 11.4-2.08c-.31 10.19 1.68 14.31 2.74 15.76 2.55 3.51 5.75 7.32 8.85 11 10.81 12.87 21 25 16.37 36.82-2.72 6.91-12.06 16-41.1 20.26a192 192 0 0 1-27 1.83c-25.93 0-55.43-4.85-67.19-19.88-3.9-5.04-7.61-13.44-2.89-25.06 11.75-28.81 31.86-28.9 45.16-29 11.46-.05 14.37-.7 16.7-6.88s4.66-12.13 6.77-17.31z"}}]})(props);
};
function GiBatteredAxe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M27.47 15.344c62.946 25.422 108.824 61.313 115.843 132.03v.188c52.31 30.132 92.605 72.538 104.28 119.938 1.792 7.272 2.84 14.637 3.126 22.03 31.737-3.283 64-20.935 87.843-46.624 26.42-28.467 42.056-65.91 36.843-103.03-15.205 1.917-30.855.922-46.5-2.314-50.282-10.398-101.7-42.974-148.562-77.875-4.79-4.21-9.93-8.084-15.406-11.656-34.787-22.69-82.864-32.686-137.47-32.686zM234.687 41.25l-15.72 23c19.23 13.107 38.792 25.095 58.126 34.72l13.437-19.25c-12.406-18.774-34.986-32.363-55.842-38.47zm239.375 21.375c-16.886 31.464-37.035 52.625-59.72 64.875-6.702 3.62-13.573 6.434-20.593 8.53 6.67 44.027-11.746 87.505-41.5 119.564-27.275 29.387-64.424 49.947-102.53 52.844-4.482 31.48-23.408 62.858-59.75 90.312 40.743 9.164 78.742 9.05 113.436 1.906l7.72-49.03 2.937-18.595 13.03 13.595L359 379.875c27.795-16.753 64.71-44.308 83.22-67.906L413.31 262l-11.468-19.78 22.03 6.093 47.938 13.25c13.232-23.865 21.327-60.527 21.47-98.875.13-34.855-6.22-70.88-19.22-100.063zM146.092 170.97L20.564 354.75l.812 110.625 175.53-251.5c-13.78-15.612-31.054-30.19-50.81-42.906z"}}]})(props);
};
function GiBatteries (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M168.063 21.844c-25.008 0-47.713 5.09-64.97 13.968-16.938 8.716-29.722 21.962-30.187 38.626h-.03v93.625C59.258 180.325 46.9 197.92 37.75 219.032c-9.94 22.934-14.284 45.82-13 65.187 1.25 18.84 8.173 35.74 23 42.905l.344.156c.302.143.598.274.906.408l23.875 10.343v108.814h.03c.675 16.458 13.396 29.547 30.19 38.187 17.257 8.88 39.97 13.97 64.968 13.97 24.996 0 47.71-5.09 64.968-13.97 16.794-8.64 29.515-21.728 30.19-38.186h.03V420.56l42.844 18.563.22.094 74.56 32.31 7.72 3.345.844.375v-.03c15.48 6.212 32.73-.264 47.468-12.345 15.01-12.302 28.71-31.118 38.656-54.063 9.946-22.944 14.315-45.823 13.032-65.187-1.26-19.01-8.33-36.01-23.438-43.063v-.03l-8.562-3.72L382.03 264.5l-118.78-51.47V76.97c.025-.53.03-1.06.03-1.595 0-.315-.02-.625-.03-.938-.465-16.663-13.248-29.91-30.188-38.624-17.256-8.88-39.992-13.97-65-13.97zM140.25 43.062c.03-.005.064.006.094 0-6.743 3.237-10.906 7.637-10.906 12.5 0 9.93 17.292 17.97 38.625 17.97 21.332 0 38.625-8.04 38.625-17.97 0-4.863-4.164-9.263-10.907-12.5 11.11 2.093 20.927 5.366 28.72 9.376 13.818 7.11 20.094 15.646 20.094 22.937 0 7.29-6.276 15.797-20.094 22.906-13.818 7.11-34.028 11.907-56.438 11.907-22.41 0-42.62-4.797-56.437-11.906-13.818-7.108-20.063-15.614-20.063-22.905 0-7.29 6.245-15.828 20.063-22.938 7.772-3.998 17.554-7.28 28.625-9.374zM72.875 195.656v122l-16.438-7.125c-6.678-2.894-12.003-12.02-13.03-27.53-1.03-15.51 2.593-35.983 11.5-56.53 5.082-11.73 11.316-22.17 17.968-30.814zm171.688 1.75V445.47c0 7.278-6.24 15.825-20.063 22.936-13.822 7.112-34.042 11.906-56.438 11.906-22.395 0-42.615-4.794-56.437-11.906-13.822-7.11-20.063-15.658-20.063-22.937V200.31L145.375 280l-36.844 12.875L229.75 420.25l-51.72-105.78 23.907-11.845-40.156-84.188c2.082.073 4.168.125 6.282.125 24.997 0 47.71-5.09 64.97-13.968 4.134-2.128 8.008-4.537 11.53-7.188zm18.687 36l79 34.25-79 14.78v-49.03zm187.97 82.78c2.094.035 3.983.433 5.655 1.158 6.69 2.9 12.035 12.026 13.063 27.53.577 8.715-.333 18.995-2.813 29.97-.305-7.425-2.682-12.95-7.125-14.875-9.11-3.95-23.39 8.707-31.875 28.28-8.484 19.573-7.953 38.645 1.156 42.594 4.45 1.928 10.12-.104 15.75-4.97-6.316 9.33-13.207 17.023-19.967 22.563-12.02 9.85-22.342 12.18-29.032 9.282-6.688-2.9-12.034-12.027-13.06-27.533-1.03-15.505 2.618-35.94 11.53-56.5 8.912-20.56 21.357-37.21 33.375-47.062 9.014-7.388 17.058-10.537 23.344-10.438zm-153.5 8.658c-.9 1.89-1.78 3.8-2.626 5.75-9.94 22.935-14.315 45.79-13.03 65.156.307 4.65.966 9.173 1.998 13.47l-20.812-9v-74.126l34.47-1.25z"}}]})(props);
};
function GiBattery0 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201 16c-15 0-20 3.38-20 20v15h-45c-29.547 0-35 5.453-35 35v375c0 29.547 5.453 35 35 35h240c29.547 0 35-5.453 35-35V86c0-29.547-5.453-35-35-35h-45V36c0-16.62-5-20-20-20zm-65 105c0-40-5-35 35-35h170c40 0 35-5 35 35v305c0 40 5 35-35 35H171c-40 0-35 5-35-35V121z"}}]})(props);
};
function GiBattery100 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201 16c-15 0-20 3.38-20 20v15h-45c-29.547 0-35 5.453-35 35v375c0 29.547 5.453 35 35 35h240c29.547 0 35-5.453 35-35V86c0-29.547-5.453-35-35-35h-45V36c0-16.62-5-20-20-20H201zm-48.094 69.813c4.666.02 10.594.187 18.094.187h170c40 0 35-5 35 35v305c0 40 5 35-35 35H171c-40 0-35 5-35-35V121c0-32.5-3.31-35.283 16.906-35.188zM161 101c-5.54 0-10 4.46-10 10v55c0 5.54 4.46 10 10 10h190c5.54 0 10-4.46 10-10v-55c0-5.54-4.46-10-10-10H161zm0 90c-5.54 0-10 4.46-10 10v55c0 5.54 4.46 10 10 10h190c5.54 0 10-4.46 10-10v-55c0-5.54-4.46-10-10-10H161zm0 90c-5.54 0-10 4.46-10 10v55c0 5.54 4.46 10 10 10h190c5.54 0 10-4.46 10-10v-55c0-5.54-4.46-10-10-10H161zm0 90c-5.54 0-10 4.46-10 10v55c0 5.54 4.46 10 10 10h190c5.54 0 10-4.46 10-10v-55c0-5.54-4.46-10-10-10H161z"}}]})(props);
};
function GiBattery25 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201 16c-15 0-20 3.38-20 20v15h-45c-29.547 0-35 5.453-35 35v375c0 29.547 5.453 35 35 35h240c29.547 0 35-5.453 35-35V86c0-29.547-5.453-35-35-35h-45V36c0-16.62-5-20-20-20H201zm-48.094 69.813c4.666.02 10.594.187 18.094.187h170c40 0 35-5 35 35v305c0 40 5 35-35 35H171c-40 0-35 5-35-35V121c0-32.5-3.31-35.283 16.906-35.188zM161 371c-5.54 0-10 4.46-10 10v55c0 5.54 4.46 10 10 10h190c5.54 0 10-4.46 10-10v-55c0-5.54-4.46-10-10-10H161z"}}]})(props);
};
function GiBattery50 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201 16c-15 0-20 3.38-20 20v15h-45c-29.547 0-35 5.453-35 35v375c0 29.547 5.453 35 35 35h240c29.547 0 35-5.453 35-35V86c0-29.547-5.453-35-35-35h-45V36c0-16.62-5-20-20-20H201zm-48.094 69.813c4.666.02 10.594.187 18.094.187h170c40 0 35-5 35 35v305c0 40 5 35-35 35H171c-40 0-35 5-35-35V121c0-32.5-3.31-35.283 16.906-35.188zM161 281c-5.54 0-10 4.46-10 10v55c0 5.54 4.46 10 10 10h190c5.54 0 10-4.46 10-10v-55c0-5.54-4.46-10-10-10H161zm0 90c-5.54 0-10 4.46-10 10v55c0 5.54 4.46 10 10 10h190c5.54 0 10-4.46 10-10v-55c0-5.54-4.46-10-10-10H161z"}}]})(props);
};
function GiBattery75 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201 16c-15 0-20 3.38-20 20v15h-45c-29.547 0-35 5.453-35 35v375c0 29.547 5.453 35 35 35h240c29.547 0 35-5.453 35-35V86c0-29.547-5.453-35-35-35h-45V36c0-16.62-5-20-20-20H201zm-48.094 69.813c4.666.02 10.594.187 18.094.187h170c40 0 35-5 35 35v305c0 40 5 35-35 35H171c-40 0-35 5-35-35V121c0-32.5-3.31-35.283 16.906-35.188zM161 191c-5.54 0-10 4.46-10 10v55c0 5.54 4.46 10 10 10h190c5.54 0 10-4.46 10-10v-55c0-5.54-4.46-10-10-10H161zm0 90c-5.54 0-10 4.46-10 10v55c0 5.54 4.46 10 10 10h190c5.54 0 10-4.46 10-10v-55c0-5.54-4.46-10-10-10H161zm0 90c-5.54 0-10 4.46-10 10v55c0 5.54 4.46 10 10 10h190c5.54 0 10-4.46 10-10v-55c0-5.54-4.46-10-10-10H161z"}}]})(props);
};
function GiBatteryMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201 16c-15 0-20 3.38-20 20v15h-45c-29.547 0-35 5.453-35 35v375c0 29.547 5.453 35 35 35h240c29.547 0 35-5.453 35-35V86c0-29.547-5.453-35-35-35h-45V36c0-16.62-5-20-20-20H201zm-48.094 69.813c4.666.02 10.594.187 18.094.187h170c40 0 35-5 35 35v305c0 40 5 35-35 35H171c-40 0-35 5-35-35V121c0-32.5-3.31-35.283 16.906-35.188zM171 236c-5.54 0-10 4.46-10 10v50c0 5.54 4.46 10 10 10h170c5.54 0 10-4.46 10-10v-50c0-5.54-4.46-10-10-10H171z"}}]})(props);
};
function GiBatteryPackAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M226 16c-24.93 0-45 13.38-45 30v15h-45c-29.547 0-60 30.453-60 60v315c0 29.547 30.453 60 60 60h240c29.547 0 60-30.453 60-60V121c0-29.547-30.453-60-60-60h-45V46c0-16.62-20.07-30-45-30h-60zm-90 105h240v315H136V121zm120 30v105h-75l75 150V301h75l-75-150z"}}]})(props);
};
function GiBatteryPack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M230.218 16c-14.245 0-51.563 11.946-51.563 26.718v26.718h-51.093C99.072 69.436 76 93.326 76 122.874V442.56C76 472.11 99.072 496 127.563 496h256.875c28.49-.002 51.562-23.892 51.562-53.44V122.874c0-29.547-23.072-53.437-51.563-53.437h-51.093V42.718c0-14.774-37.317-26.718-51.562-26.718H230.22zM256 122.875V256h102.657L256 442.563V309.438H153.343L256 122.875z"}}]})(props);
};
function GiBatteryPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201 16c-15 0-20 3.38-20 20v15h-45c-29.547 0-35 5.453-35 35v375c0 29.547 5.453 35 35 35h240c29.547 0 35-5.453 35-35V86c0-29.547-5.453-35-35-35h-45V36c0-16.62-5-20-20-20H201zm-48.094 69.813c4.666.02 10.594.187 18.094.187h170c40 0 35-5 35 35v305c0 40 5 35-35 35H171c-40 0-35 5-35-35V121c0-32.5-3.31-35.283 16.906-35.188zM231 176c-5.54 0-10 4.46-10 10v50h-50c-5.54 0-10 4.46-10 10v50c0 5.54 4.46 10 10 10h50v50c0 5.54 4.46 10 10 10h50c5.54 0 10-4.46 10-10v-50h50c5.54 0 10-4.46 10-10v-50c0-5.54-4.46-10-10-10h-50v-50c0-5.54-4.46-10-10-10h-50z"}}]})(props);
};
function GiBattleAxe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M240.094 19.594c-56.69.364-110.882 29.054-151.594 72.344-53.428 56.81-81.948 137.907-61.03 210.093 16.33-8.797 32.757-15.987 48.936-21.374-6.327-123.16 89.247-210.922 200.03-210.344 4.255-13.365 10.268-27.308 18.127-41.874-16.323-5.43-32.736-8.36-48.97-8.782-1.833-.047-3.67-.074-5.5-.062zM271.28 88.97C173.724 90.715 91.367 166.07 94.907 275.28c10.986-2.73 21.788-4.582 32.28-5.436 14.59-1.187 28.69-.463 41.783 2.437L278.312 162.94c-5.26-12.1-8.473-25.024-9.344-38.75-.716-11.256.14-22.983 2.592-35.22-.093.002-.187 0-.28 0zm60.845 60.718l-16.875 16.875L345.75 197l16.813-16.813-30.438-30.5zm-37.125 23L175.625 292.063l44.625 44.562 119.313-119.313L295 172.688zm189.875 46.093c-14.466 7.808-28.318 13.807-41.594 18.064.75 111.013-87.243 206.8-210.686 200.28-5.39 16.104-12.552 32.462-21.313 48.72 72.19 20.922 153.313-7.6 210.126-61.03 57.045-53.65 88.516-130.72 63.47-206.033zm-136 15.657L240.687 342.625c3.23 13.563 4.086 28.245 2.844 43.47-.862 10.58-2.752 21.476-5.53 32.56 109.585 3.718 185.128-79.008 186.594-176.905-12.342 2.506-24.16 3.403-35.5 2.688-14.287-.9-27.698-4.347-40.22-10zM169.5 312.313L20.094 461.72V494H48.75l151.188-151.188-30.438-30.5z"}}]})(props);
};
function GiBattleGear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M262.406 17.188c-27.22 8.822-54.017 28.012-72.375 55.53 17.544 47.898 17.544 57.26 0 105.157 19.92 15.463 40.304 24.76 60.782 27.47-2.063-25.563-3.63-51.13 1.125-76.69-13.625-1.483-23.374-5.995-37-13.874V82.563c35.866 19.096 61.84 18.777 98.813 0v32.22c-13.364 6.497-21.886 11.16-35.25 13.218 3.614 25.568 3.48 51.15 1.375 76.72 18.644-3.265 37.236-12.113 55.5-26.845-14.353-47.897-14.355-57.26 0-105.156-16.982-28.008-47.453-46.633-72.97-55.532zm-129.594 8.218c-25.906 110.414-27.35 215.33-27.4 330.922-18.84-1.537-37.582-5.12-56.027-11.12v28.554h69.066c8.715 35.025 6.472 70.052-1.036 105.078h28.13c-7.195-35.026-8.237-70.053-.872-105.078h68.904v-28.555c-18.49 4.942-37.256 8.552-56.097 10.46.082-114.94 2.496-223.068-24.667-330.26zm89.47 202.375c0 117.27 25.517 233.342 120.155 257.97C446.62 464.716 462.72 345.374 462.72 227.78H222.28z","fillRule":"evenodd"}}]})(props);
};
function GiBattleMech (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M217 25v32.512l39 13.002 39-13.002V25h-78zm0 51.488v.787L244.816 119h22.368L295 77.275v-.787l-39 12.998-39-12.998zm-1.04 31.678l-54.245 18.084-9.51 38.033 15.71 39.27L217 269v24h78v-24l49.086-65.447 15.709-39.27-9.51-38.033-54.246-18.084L276.816 137h-41.632l-19.223-28.834zm-69.437 4.635l-43.164 21.582L81.822 199h43.15l21.551-86.2zm218.954 0L387.027 199h43.15l-21.536-64.617-43.164-21.582zM247 160h18v52.473l52.816-13.203 4.368 17.46L256 233.277l-66.184-16.547 4.368-17.46L247 212.473V160zM87.664 217l28.322 86.287 18.244-18.246L120.621 217H87.664zm303.715 0l-13.61 68.041 18.245 18.246L424.336 217h-32.957zM199 286.563l-46.54 23.269-5.5 55.002 28.349 9.45L199 362.437v-75.875zm114 0v75.875l23.691 11.845 28.348-9.449-5.5-55.002L313 286.562zM217 311v16h78v-16h-78zm-18 71.563l-22.309 11.154-31.566-10.522-6.693 66.938L199 425.906v-43.344zm114 0v43.343l60.568 24.227-6.693-66.938-31.566 10.522L313 382.563zm-111.23 61.62l-67.25 26.903L126.562 487h85.91l-10.702-42.816zm108.46 0L299.527 487h85.91l-7.957-15.914-67.25-26.902z"}}]})(props);
};
function GiBattleTank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M213.3 91.24l-67.2 24.26v65.7l67.2-24.2zm250.4 8.7L279.4 154.8h-1.3c0 1 0 3.3 1.2 6.3 1.2 3.4 3.5 7.1 6 9.5 2.1 2.1 3.9 2.8 5.2 3.1L470.7 120zm-232 16.86v53l-48.2 17.4-11.4 24.7h178.3l-8.1-33.8-49.6 14.7h-1.4c-7.9 0-14.5-3.9-19.3-8.6-4.8-4.7-8.4-10.5-10.6-16.6-2.3-6-3.5-12.4-1.3-19.1 1.9-6.2 8.6-11.6 15.9-12.5l52.4-15.6-1-3.6zm-136.33 114l-10.71 38h92.64l-5.4 57.1h168l-5.3-57.1h83.8l-10.6-38zm-46.56 56.9l-25.83 76.2H149.3l7.1-76.2zm306.69 0l7.1 76.2H489l-26-76.2zm-184.3 57.1l3 38.1h162.3l2.9-38.1zM61 382.8l10.79 38h86.31l-3-38zm294.6 0l-2.9 38h86.2l10.7-38z"}}]})(props);
};
function GiBattleship (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 32v23h-23v18h23v22h-39v18h39v22h-46.027l-2.54 10.154-18.408-9.205-8.05 16.102 21.988 10.994-10.578 42.312-25.592 13.96 23.691 110.564c-49.074 3.341-98.15 8.946-145.6 16.453l2.813 17.777a1639.075 1639.075 0 0 1 121.096-14.529l-.078.31c112.547 28.156 190.551 43.088 306.816-8.958l-7.355-16.43a485.085 485.085 0 0 1-26.844 11.092c-32.405-4.352-66.372-7.09-101.246-8.381l23.121-107.899-25.592-13.959-10.578-42.312 21.988-10.994-8.05-16.102-18.409 9.205L311.027 135H265v-22h39V95h-39V73h23V55h-23V32h-18zm-31.973 121h81.946l10.16 40.639L256 165.748l-51.133 27.89L215.027 153zM256 186.252v140.346c-5.41.103-10.833.238-16.262.402h-40.46l-21.071-98.316L256 186.252zM224 208a16 16 0 0 0-16 16 16 16 0 0 0 16 16 16 16 0 0 0 16-16 16 16 0 0 0-16-16zm68.17 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-50.92 137h82.404c22.502.709 44.618 2.01 66.149 3.96-58.924 14.561-109.381 9.793-169.532-3.194A1523.33 1523.33 0 0 1 241.25 345zm-132.865 29.363c-7.943-.023-15.667.234-23.084.842l1.469 17.941c54.39-4.455 133.014 12.49 189.199 17.202 55.64 4.665 109.966-1.684 168.654-13.512l-3.557-17.645c-57.8 11.65-110.279 17.692-163.591 13.221-47.153-3.954-113.49-17.885-169.09-18.049zm20.22 35.285c-12.198-.079-25.387.615-38.517 1.873-26.26 2.518-51.6 7.157-67.865 14.26l7.203 16.496c12.302-5.372 37.244-10.427 62.38-12.838 25.138-2.41 51.157-2.311 65.846.625 32.956 6.589 91.409 16.938 138.62 15.444l-.569-17.99c-44.053 1.394-102.073-8.619-134.523-15.106-9.17-1.833-20.376-2.684-32.575-2.764z"}}]})(props);
};
function GiBatwingEmblem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M15.406 25.938c41.737 42.61 52.607 128.648 13.438 174.78 63.818 10.74 75.725 61.317 64.47 137.5 32.67-20.39 72.694-12.612 98.25 27.688-6.63 11.324-10.44 24.48-10.44 38.5 0 42.143 34.358 76.5 76.5 76.5 42.144 0 76.5-34.357 76.5-76.5 0-14.02-3.81-27.176-10.437-38.5 25.555-40.3 65.58-48.078 98.25-27.687-11.256-76.185.65-126.763 64.47-137.5-39.17-46.134-28.3-132.173 13.437-174.782C415.536 43.782 344.188 113 309.97 197.718c51.49 41.114 32.28 114.232-20.626 137.095-9.675-4.44-20.41-6.938-31.72-6.938-11.31 0-22.043 2.5-31.718 6.938C173 311.95 153.79 238.832 205.28 197.72 171.063 113 99.715 43.782 15.407 25.937zm242.22 320.625c4.094 0 8.087.416 11.937 1.218-17.75 3.756-31.063 19.507-31.063 38.376 0 21.666 17.553 39.25 39.22 39.25 17.49 0 32.312-11.47 37.374-27.28.22 2.06.344 4.16.344 6.28 0 32.043-25.77 57.813-57.813 57.813-32.043 0-57.813-25.77-57.813-57.814 0-32.042 25.77-57.844 57.813-57.844z","fillRule":"evenodd"}}]})(props);
};
function GiBayonet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M238.219 131.963l-.24.19-6.41-8a14.89 14.89 0 0 1 2.27-20.94l1.51-1.21a14.89 14.89 0 0 1 20.94 2.3l6.41 8zm-7.18 40.88l18.76 23.32 11.85-9.53-18.76-23.33zm72.91 40.85l176.34-141.83v-44.56h-86.42l-145.58 117.13zm142.81-4c-2 1.64-3.7 2.31-5.16 2.31-4.79 0-7.29-7.26-13.09-11.09a10.74 10.74 0 0 0-6-1.74c-3.71 0-7.59 1.59-10.91 3.69-3.32 2.1-28.75 33.49-41.36 43.63-11.87 9.55-38.27 21.46-53.46 36.38l-27.16-33.76 113.22-91.06a22.73 22.73 0 0 1 14.19-5 19.46 19.46 0 0 1 16.37 8.29c7.04 10.4 23.13 40.51 13.36 48.37zm-113.62 31.89a7.26 7.26 0 1 0-1.11 10.21 7.26 7.26 0 0 0 1.11-10.21zm82.3-66.19a7.26 7.26 0 1 0-1.15 10.2 7.26 7.26 0 0 0 1.15-10.21zm-164.48 95.37l36.33 45.17-144 115.84c-11.65 9.37-106.88 58.17-111.47 52.46-3-3.67 57.76-83.64 75.14-97.63zm-64.14 80.76c-38.85 31.24-68.65 58.67-66.56 61.27 2.09 2.6 35.27-20.63 74.11-51.87 38.84-31.24 68.65-58.67 66.56-61.27-2.09-2.6-35.26 20.65-74.11 51.87zm40.65-135.5l102 126.77 9.09-7.31-102-126.77zm-16.43 27.36l18.75 23.32 10.87-8.74-18.76-23.32zm77.25-23.69l-18.8-23.32-13.55 10.93 18.76 23.32z"}}]})(props);
};
function GiBeachBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M419.342 92.658c-19.385-19.384-41.348-34.593-64.774-45.654 5.495 16.957 8.61 35.46 9.608 55.062 9.96 3.927 19.435 10.016 27.59 18.17 8.152 8.153 14.24 17.628 18.168 27.588 19.603.998 38.105 4.113 55.062 9.608-11.06-23.426-26.27-45.39-45.654-64.774zm-87.78-55.034c-71.617-24.758-152.93-13.23-215.513 34.574 66.248-7.507 129.063 7.865 181.537 39.157 13.207-11.618 30.53-16.084 47.92-14.037-1.66-22.127-6.228-42.3-13.945-59.694zm142.814 142.814c-17.395-7.717-37.567-12.286-59.694-13.945 2.047 17.39-2.42 34.713-14.037 47.92 31.292 52.474 46.664 115.29 39.157 181.538 47.805-62.583 59.332-143.895 34.574-215.512zm-95.34-47.475c-22.037-22.037-53.94-23.84-71.417-6.364-17.478 17.476-15.675 49.38 6.363 71.417 22.038 22.038 53.94 23.84 71.418 6.364 17.477-17.475 15.674-49.38-6.363-71.417zm-92.83-7.903c-55.91-32.438-124.11-45.696-195.368-30.534C33.31 153.34 13.453 235.118 31.28 309.788c68.307-65.43 158.964-116.716 246.164-143.015.388-.117.776-.227 1.164-.344-2.113-14.518.293-29.09 7.597-41.37zM386.94 225.795c-12.28 7.304-26.852 9.71-41.37 7.597-.116.388-.226.776-.343 1.164-26.3 87.2-77.585 177.857-143.015 246.164 74.67 17.827 156.45-2.03 215.262-59.558 15.162-71.26 1.904-139.458-30.534-195.367zm-103.606-41.992c-.232.07-.463.133-.695.203-87.23 26.307-179.15 79.17-245.73 145.435 10.996 32.845 29.57 63.723 55.748 89.902 26.18 26.18 57.057 44.752 89.9 55.75 66.267-66.582 119.13-158.503 145.436-245.73.07-.233.133-.464.203-.696-9.724-3.935-18.965-9.944-26.942-17.92-7.977-7.978-13.986-17.22-17.92-26.943z"}}]})(props);
};
function GiBeachBucket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M157.2 40c-23.3 0-42.8 12.94-58.08 30.62C83.85 88.3 72.07 111.1 62.85 133.6 48.9 167.7 40.9 201.5 37.82 216h18.43c3.41-15.4 10.9-45.4 23.26-75.6 8.78-21.5 20-42.7 33.19-58.02C126 67.06 140.5 58 157.2 58s31.2 9.06 44.4 24.38c13.3 15.32 24.5 36.52 33.3 58.02 12.3 30.2 19.8 60.2 23.2 75.6h18.5c-3.1-14.5-11.1-48.3-25.1-82.4-9.2-22.5-21-45.3-36.2-62.98C200 52.94 180.5 40 157.2 40zm203 30v66h114V70h-114zm18 18h78v30h-78V88zm30 66v156.3c3-.4 6-.6 9-.6s6 .2 9 .6V154h-18zM38.18 234v16H276.2v-16H38.18zm17.67 34l29.13 204H229.4l29.1-204H55.85zm361.35 59.7c-4.6 0-9.2.6-13.4 1.9-6.7 2.1-18.7 9.6-28.1 16.7-6.4 4.8-10.7 8.5-13.5 10.8V472h110V357.1c-2.8-2.3-7.1-6-13.5-10.8-9.4-7.1-21.4-14.6-28.1-16.7-4.2-1.3-8.8-1.9-13.4-1.9z"}}]})(props);
};
function GiBeamSatellite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M24.998 24.998v14.004h30.004V24.998H24.998zm48 0v14.004h46.004V24.998H72.998zm64 0v14.004h37.184l-4.668-14.004h-32.516zm205.488 0l-4.668 14.004h37.184V24.998h-32.516zm50.512 0v14.004h46.004V24.998h-46.004zm64 0v14.004h30.004V24.998h-30.004zm-432 32v30.004h30.004V56.998H24.998zm48 0v30.004h46.004V56.998H72.998zm64 0v30.004H215.002V72.998h-29.488l-5.334-16h-43.182zm96 0v59.326l-34.15 27.32c16.813-5.416 35.96-8.642 57.152-8.642s40.34 3.226 57.152 8.643l-34.15-27.32V56.997h-46.004zm98.822 0l-5.334 16h-29.488v14.004h78.004V56.998H331.82zm61.178 0v30.004h46.004V56.998h-46.004zm64 0v30.004h30.004V56.998h-30.004zm-432 48v14.004h30.004v-14.004H24.998zm48 0v14.004h46.004v-14.004H72.998zm64 0v14.004h17.44l7.001-14.004H137zm213.563 0l7.002 14.004h17.439v-14.004h-24.441zm42.437 0v14.004h46.004v-14.004h-46.004zm64 0v14.004h30.004v-14.004h-30.004zm-200.998 48c-38.2 0-68.333 11.462-88.707 26.28-18.004 13.093-27.816 28.97-29.861 40.427 6.887 4.562 21.771 10.067 41.109 13.43 14.42 2.508 31.078 4.214 48.502 5.115l-4.143-30.379c-10.514 1.898-19.878 4.68-26.875 8.178l-8.05-16.098c18.146-9.073 43.025-12.95 68.025-12.95 25 0 49.879 3.877 68.025 12.95l-8.05 16.098c-6.997-3.499-16.36-6.28-26.875-8.178l-4.143 30.379c17.424-.901 34.082-2.607 48.502-5.115 19.338-3.363 34.222-8.868 41.11-13.43-2.046-11.457-11.858-27.334-29.862-40.428C324.333 164.46 294.2 152.998 256 152.998zm0 52c-4.197 0-8.935 1.891-14.436 6.543L256 317.398l14.436-105.857c-5.501-4.652-10.24-6.543-14.436-6.543zM384 256l-106.389 36.121-4.35 31.893c3.926 1.454 7.553 3.406 10.766 5.816 7.549 5.661 12.971 14.3 12.971 24.17 0 9.87-5.422 18.509-12.97 24.17-7.55 5.661-17.368 8.828-28.028 8.828s-20.479-3.167-28.027-8.828c-7.549-5.661-12.971-14.3-12.971-24.17 0-9.87 5.422-18.509 12.97-24.17 3.214-2.41 6.841-4.362 10.766-5.816l-2.931-21.493-119.922-29.314 72.34 48.461-104.512 69.666 85.803-12.066-31.455 29.435s26.97-10.097 49.152-18.29l-43.22 86.41L224 416v78.002h9.805L242.283 432l9.862 45.33 8.88-69.373 17.073 86.045H288V416l96 48-45.477-67.885 92.71-18.26-87.262-30.023 26.695-21.9-53.23 3.214L384 256zm-128 82.998c-7.013 0-13.195 2.206-17.229 5.23-4.033 3.025-5.773 6.387-5.773 9.772 0 3.385 1.74 6.747 5.773 9.771 4.034 3.025 10.216 5.231 17.229 5.231s13.195-2.206 17.229-5.23c4.033-3.025 5.773-6.387 5.773-9.772 0-3.385-1.74-6.747-5.773-9.771-4.034-3.025-10.216-5.231-17.229-5.231z"}}]})(props);
};
function GiBeamWake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M47.656 19.97c-15.964 0-28.906 12.94-28.906 28.905 0 15.965 12.942 28.906 28.906 28.906 4.246 0 8.275-.917 11.907-2.56L375.53 493.405l-.374.28 116.28.002.002-110.75-417-323.094c1.387-3.382 2.124-7.087 2.124-10.97 0-15.966-12.94-28.905-28.906-28.905zm58.22 9.31c7.078 9.45 8.665 22.35 5.186 35.314l15.907 12.312c3.774-15.038 1.037-29.898-8.845-39.78-3.49-3.48-7.744-6.105-12.25-7.845zM150.5 54.845c9.09 12.127 11.09 28.725 6.563 45.375l20.312 15.75c4.93-19.31 1.442-38.407-11.25-51.095-4.46-4.452-9.858-7.815-15.625-10.03zM206.188 88c11.382 15.19 13.947 35.934 8.375 56.78l25.562 19.814c6.065-24.19 1.68-48.067-14.22-63.97-5.61-5.607-12.46-9.826-19.718-12.624zM30.344 104.813c1.736 4.51 4.356 8.762 7.843 12.25 9.24 9.24 22.8 12.233 36.813 9.5l-12.063-15.938c-12.032 2.572-23.81.77-32.593-5.813zm238.25 10.374c15.574 20.783 18.137 49.774 8.78 78.282l32.563 25.218c10.155-32.8 5.246-65.912-16.312-87.47-7.122-7.12-15.818-12.483-25.03-16.03zM53.97 151.375c2.22 5.762 5.547 11.17 10 15.625 12.5 12.502 31.208 16.073 50.218 11.47L98.78 158.062c-16.458 4.34-32.818 2.3-44.81-6.688zm282.874 2.156c18.692 24.938 21.697 59.767 10.312 93.97L386 277.625c12.347-39.343 6.545-79.11-19.313-104.97-8.5-8.496-18.845-14.893-29.843-19.124zM419 197.407c22.85 30.49 26.252 73.21 11.906 115l47 36.406c15.53-48 8.715-96.753-22.844-128.312-10.267-10.266-22.778-17.977-36.062-23.094zM84.656 209.562c2.794 7.26 7.017 14.074 12.625 19.688 16.28 16.28 40.943 20.53 65.72 13.813l-19.47-25.75c-21.54 6.328-43.178 4.012-58.874-7.75zm29.688 59.938c3.547 9.2 8.89 17.89 16 25 20.905 20.907 52.686 26.178 84.5 17.22l-24.688-32.69c-27.7 8.435-55.624 5.59-75.812-9.53zm38.312 68.22c4.233 11.003 10.624 21.374 19.125 29.874 24.95 24.95 62.847 31.21 100.814 20.53l-29.47-38.968c-33.065 10.054-66.37 6.623-90.468-11.437zm43.875 82.155c5.116 13.284 12.827 25.795 23.095 36.063 30.346 30.342 76.566 37.836 122.75 24.562l-35.594-47.125c-40.253 12.498-80.914 8.483-110.25-13.5z"}}]})(props);
};
function GiBeamsAura (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M263.594 20.625c-13.394 0-25.824 7.217-35.47 20.188-9.644 12.97-15.968 31.547-15.968 52.25 0 20.702 6.324 39.248 15.97 52.218 9.644 12.972 22.074 20.19 35.468 20.19 13.393 0 25.855-7.218 35.5-20.19 9.645-12.97 15.97-31.516 15.97-52.218-.002-20.702-6.325-39.28-15.97-52.25-9.645-12.97-22.107-20.187-35.5-20.187zM153.188 25l-16.563 8.625 60.5 116.063c2.778-1.51 5.673-2.87 8.72-4.032-7.715-13.314-12.578-29.542-13.845-46.187L153.187 25zM374 25l-39.313 75.438c-1.316 15.668-5.802 31.003-12.843 43.78 3.2 1.052 6.26 2.264 9.187 3.657l59.564-114.25L374 25zM102.687 64.844l-13.874 12.53 84.124 93.19c3.88-4.996 8.217-9.51 13.063-13.44l-83.313-92.28zm321.844 0l-81.467 90.22c4.357 3.202 8.283 6.853 11.78 10.874.59.677 1.185 1.366 1.75 2.062l81.813-90.625-13.875-12.53zM63.064 117.688L53 133.438l103.875 66.406c2.283-5.967 4.938-11.697 7.97-17.063L63.062 117.688zm401.093 0l-98.875 63.25c3.01 5.416 5.56 11.208 7.72 17.25l101.22-64.75-10.064-15.75zm-153.28 42.78c-12.165 14.36-28.78 23.688-47.282 23.688-18.056 0-34.3-8.885-46.375-22.656-25.124 6.894-38.6 27.533-46.94 57.344-8.19 29.287-9.914 66.253-10.155 101.562h26l-3.5-67.72 18.688-.936 4.125 80 11.218 163.78h38V362.97h18.688v132.56h40.812l9.97-164.467 4.093-79.313 18.655.938-3.5 67.718h23.813c-.02-35.714-.425-73.276-7.844-102.812-4.032-16.05-10.072-29.544-18.625-39.375-7.528-8.652-16.887-14.755-29.845-17.75zM36.968 180.032l-5.314 17.907 116.28 34.532c1.187-6.24 2.613-12.345 4.25-18.25L36.97 180.03zm453.28 0l-112.688 33.44c1.485 5.964 2.715 12.113 3.72 18.405l114.28-33.938-5.312-17.906zM26.22 247.688v18.688h117.218c.54-6.298 1.224-12.532 2.062-18.688H26.22zm357.124 0c.645 6.16 1.106 12.402 1.47 18.688h116.155v-18.688H383.343zm-241.03 35.594L31.654 316.126l5.313 17.938 104.593-31.032c.148-6.562.41-13.16.75-19.75zm243.217.19c.185 6.568.27 13.104.314 19.624l104.406 30.97 5.313-17.94L385.53 283.47zm-244.186 40.686L53 380.656l10.063 15.72 89.562-57.282h-11.313v-9.344c0-1.844.026-3.733.032-5.594zm244.562.03v14.908h-11.312l89.562 57.28 10.063-15.718-88.314-56.47zm-208.97 14.908L88.814 436.72l13.876 12.53 85.562-94.78-1.063-15.376h-10.25zm165.44 0l-1.095 17.937 83.25 92.22 13.876-12.53-88.125-97.626h-7.905zm-152.5 39.156l-53.25 102.188 16.56 8.656 39.158-75.125-2.47-35.72zm149.843 4.594l-2.19 36.25 36.47 70 16.594-8.656-50.875-97.594z"}}]})(props);
};
function GiBeanstalk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M277.625 18.28l-.03.19c43.815 5.928 65.818 46.853 56.405 83.093-2.896 4.01-5.93 7.953-9.125 11.812-3.104 3.75-6.334 7.45-9.688 11.094 6.68-.152 13.668.15 20.875.624 9.283.61 19.004 1.59 28.844 2.562 26.745-9.698 50.2-28.826 64.063-49.937 13.548-20.635 17.76-41.997 10-59.314h-72.44c-1.88 18.198-6.547 34.794-13.405 50.188-3.814-19.43-14.214-37.48-30-50.313h-45.5zm181.25.126c6.692 22.627-.026 47.854-14.28 69.563-10.697 16.286-25.69 31.1-43.47 42.5l.875.03c21.978.764 42.687-1.078 58.813-8.656 15.16-7.125 26.88-18.75 33.875-40.656V18.406h-35.813zM196.53 61.47c-1.478-.006-2.935.045-4.374.155-20.14 1.544-35.922 13.995-41.47 30.25-6.338 18.577 2.098 41.598 26.19 53.97l8.53-16.626c-17.98-9.234-20.494-21.165-17.03-31.314 3.462-10.15 14.346-18.986 31.155-17.625 22.357 1.813 37.36 13.07 45.064 32.407 7.483 18.79 7.26 46.055-5.156 78.75-2.05 1.637-4.052 3.255-6.125 4.907-6.142 4.893-12.406 9.9-18.72 14.97 5.213-.747 10.338-1.144 15.376-1.22 1.482-.023 2.968-.028 4.436 0 11.748.222 23.045 2.02 34 4.437 37.61 8.3 71.348 23.35 116.094 15.157 22.666-5.32 41.84-16.25 58.22-31.125 22.16-20.127 38.942-47.686 50.56-77.812-7.16 7.816-15.474 13.776-24.53 18.03-20.514 9.64-44.072 11.188-67.406 10.376-11.56-.402-23.12-1.424-34.25-2.5-.312.102-.625.213-.938.313l-.125-.407c-10.95-1.065-21.484-2.174-31.186-2.813-19.856-1.308-35.957-.013-44.063 4.875l-.03-.063c-8.127 7.4-16.694 14.732-25.594 22.094 5.29-24.71 4.016-46.79-3.187-64.875-10.062-25.258-32.55-41.824-60.94-44.124-1.518-.123-3.02-.183-4.5-.187zm33.845 167.28c-8.852.132-17.864 1.37-27.344 4.188-10.568 3.14-21.832 8.313-34.06 16.343-12.443 10.887-24.955 22.415-37.376 34.75.008-2.096-.117-4.168-.344-6.186-1.712-15.185-10.186-27.355-21.188-35.063-11-7.707-24.638-11.676-37.968-11.186-13.33.49-26.343 5.43-36.03 15.47-18.76 19.434-19.104 43.565-6.44 57.186 12.666 13.62 36.54 14.862 55.345-1.875l-12.407-13.97c-13.2 11.75-23.73 9.063-29.25 3.126-5.52-5.936-7.83-16.975 6.187-31.5 11.472-11.885 35.21-12.22 49.844-1.967 7.317 5.126 12.254 12.21 13.344 21.875 1.004 8.913-1.393 20.632-10.5 35.218-3.974 4.497-7.923 9.098-11.844 13.813 22.05-8.594 43.864-9.63 66.22-10.533 42.668-1.724 88.234-2.342 152.28-48.593 13.46-3.538 24.74-3.17 32.937-.313 10.874 3.792 16.97 11.038 18.533 22.783 1.088 8.183-2.835 12.686-7.282 14.312-4.445 1.626-9.816 1.293-15.217-7.875l-16.094 9.5c8.898 15.105 25.03 20.576 37.717 15.938 12.687-4.64 21.516-18.457 19.407-34.313-2.384-17.922-14.236-32.156-30.906-37.97-4.707-1.64-9.77-2.682-15.094-3.124-.02 0-.042.003-.063 0-25.17-3.576-47.403-11.364-68.405-16-11.5-2.537-22.618-4.2-34-4.03zm41.438 84.625c-23.824 11.1-45.46 16.75-65.25 19.78-8.886 26.954-37.427 47.482-70.47 61.626-33.138 14.187-71.51 21.632-103.437 17.19-4.55 7.932-9.002 16.1-13.343 24.56v57.25H90.28c53.69-26.358 106.106-70.88 143.69-124.374 11.174-20.2 23.99-38.768 37.843-56.03zm-87.157 22.28c-9.562.76-18.652 1.12-27.344 1.47-23.177.937-43.168 2.06-62.562 10.188-12.78 5.356-25.608 13.84-39.156 27.875-4.182 6.178-8.318 12.53-12.375 19.062 25.817 1.616 58.038-4.857 85.53-16.625 25.574-10.947 46.53-26.7 56.03-41.97-.04.005-.083-.002-.124 0zM333.75 364.5c-1.094-.003-2.182.024-3.28.063-17.584.616-35.97 6.193-54.126 15.093-24.357 11.94-48.364 29.917-68.906 51.188.05-.157.106-.313.156-.47-23.996 24.686-50.768 46.182-78.72 63.407h65.032c.874-7.292 1.98-14.4 3.25-21.374 22.468-31.78 55.39-60.272 87.406-75.97 16.41-8.044 32.53-12.694 46.563-13.186 14.034-.492 25.78 2.896 35.313 11 15.122 12.856 14.897 31.182 6.312 44.5-8.585 13.318-24.29 21.298-46.78 10l-8.376 16.72c29.54 14.837 57.8 3.69 70.875-16.595 13.075-20.284 12.206-50.05-9.94-68.875-12.62-10.73-28.374-15.46-44.78-15.5z"}}]})(props);
};
function GiBearFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64.264 44.704c-88.765 25.213-39.73 158.676-2.108 161.887-8.506 42.218-13.32 84.645-12.642 127.824.355 22.67 51.374 58.424 105.35 86.035C186.48 466.787 238.98 466.876 256 467.296c17.02-.42 69.52-.51 101.137-46.846 53.975-27.61 104.994-63.364 105.35-86.035.677-43.179-4.137-85.606-12.643-127.824 37.623-3.211 86.657-136.674-2.108-161.887-28.433 1.462-55.606 16.152-82.172 37.223C317.64 62.233 293.164 61.296 256 61.296c-37.163 0-61.639.937-109.564 20.63-26.566-21.07-53.739-35.76-82.172-37.222zm4.927 49.928c6.057-.096 17.237 5.625 26.809 14.664 3.362 3.175-22.916 51.05-26.818 50.158-4.59-1.05-14.985-48.285-3.725-63.318.745-.994 2.039-1.477 3.734-1.504zm373.618 0c1.695.027 2.99.51 3.734 1.504 11.26 15.033.865 62.268-3.725 63.318-3.902.893-30.18-46.983-26.818-50.158 9.572-9.04 20.752-14.76 26.809-14.664zm-260.85 82.088c17.457-.304 30.686 24.445 42.041 44.576-53.57 15.878-82.575-17.11-57.752-37.777 5.603-4.665 10.823-6.714 15.711-6.8zm148.082 0c4.888.085 10.108 2.134 15.711 6.799 24.823 20.667-4.181 53.655-57.752 37.777 11.355-20.13 24.584-44.88 42.041-44.576zM256 251.548c17.32.223 36.826 9.567 30.197 36.517-1.444 5.872-12.516 8.617-21.197 9.7v8.972c99.884 41.126 79.565 138.559-9 138.559s-108.884-97.433-9-138.559v-8.972c-8.68-1.083-19.753-3.828-21.197-9.7-6.629-26.95 12.877-36.294 30.197-36.517z"}}]})(props);
};
function GiBearHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M220.41 35.389c-.584-.175-9.216 1.425-18.76 7.976-8.948 6.143-18.914 15.31-27.283 25.137l.34.268c-6.134 7.797-13.129 16.816-17.613 25.767-4.485 8.951-6.294 17.19-3.989 24.71l-17.209 5.274c-4.144-13.518-.522-26.817 5.104-38.046 2.208-4.408 4.753-8.587 7.398-12.52C105.378 74.11 62.33 71.25 18 66.748v409.828a264.891 264.891 0 0 1 24.8-19.922l1.901-1.345 2.313-.254c24.034-2.65 55.821-6.651 84.908-15.803 29.086-9.152 54.934-23.401 68.633-45.191l2.558-4.073 4.809-.134c91.21-2.547 140.126-19.862 193.652-50.153.126-.095.252-.199.377-.295-6.874-.376-14.493-.65-22.334-.617-20.444.086-42.1 3.08-51.367 8.973l-9.658-15.188c16.106-10.242 39.29-11.694 60.949-11.785 15.73-.066 30.683 1.026 40.254 1.797 6.938-7.739 13.533-16.503 19.18-25.514 5.066-8.086 9.33-16.386 12.537-24.177-3.821-.55-7.395-1.642-10.633-3.258-8.283-4.134-14.026-11.447-16.754-19.596-3.827-11.432-2.087-24.798 5.268-35.777l-64.641-23.35.277-6.598c.396-9.422-6.387-27.053-14.601-34.712-21.568-20.112-46.91-21.58-78.06-33.93l-3.554-1.408-1.453-3.536c-10.662-25.924-17.06-44.024-23.47-55.5-6.412-11.475-11.574-16.287-23.48-19.841zm-5.808 20.82l9.84 15.072c-29.07 18.978-29.771 34.937-31.23 51.65l-17.93-1.562c1.5-17.208 5.882-43.33 39.32-65.16zM119.6 135.473l8.119 16.064c-42.266 21.357-60.741 47.237-65.88 70.451 14.366-11.279 29.7-17.184 50.218-16.46l15.238.538-7.834 13.08c-17.268 28.834-22.552 42.534-26.24 59.696 4.017-1.528 8.007-2.635 12.119-2.979 9.78-.818 19.142 2.28 29.105 7.746l9.5 5.211-6.869 8.383c-9.978 12.178-13.966 20.02-15.224 27.56-.477 2.856-.454 5.974-.198 9.333 2.711-2.798 5.58-5.305 8.942-7.198 9.125-5.137 19.745-5.825 33.097-4.632l-1.601 17.927c-11.9-1.063-18.132-.162-22.666 2.391-4.534 2.553-8.91 7.798-14.88 18.39l-11.05 19.614-5.516-21.826c-3.535-13.99-5.842-25.216-3.882-36.961 1.486-8.91 5.434-17.37 12.002-26.742-3.422-1.103-6.376-1.5-9.258-1.258-5.244.439-11.572 3.057-20.965 9.203l-17.365 11.361 3.572-20.441c4.283-24.513 7.539-40.242 23.588-69.49-14.037 2.56-23.415 10.322-37.408 25.492l-13.442 14.57-2.12-19.709c-3.829-35.558 16.816-78.954 76.898-109.314zm143.707 26.976c17.788 7.852 39.24 14.301 56.859 16.617l3.707 17.616c-3.852.81-7.24.644-10.861.07-1.363 9.026-9.537 15.736-18.74 15.736-10.089 0-18.946-8.06-18.946-18.396 0-2.45.511-4.766 1.404-6.883-8.85-3.702-23.717-6.978-28.798-14.723 5.796-2.514 14.755-10.553 15.375-10.037zM443.633 225.4c-3.758 6.287-4.294 13.381-2.438 18.928 1.396 4.17 3.941 7.317 7.721 9.203 2.142 1.07 4.803 1.797 8.147 1.823.303-1.51.546-2.968.707-4.348-.926-6.793-6.555-16.61-14.137-25.606z"}}]})(props);
};
function GiBeard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M319 35.375c-27.305-.247-52.415 19.47-62.063 46.094-9.726-26.856-35.196-46.656-62.78-46.064-15.11.325-30.85 6.764-45 21.532-11.47 11.968-17.863 27.782-24.407 43.75-15 22.49-35.066 39.27-64.156 45.874 7 6.374 14.63 9.69 22.656 11.063-14.192 7.828-33.583 12.154-61.28 10.78 20.528 26.327 52.643 35.282 86.28 34.532 60.716-2.34 91.448-33.326 109.438-64.875l16.218 9.25c-20.387 35.754-59.15 71.513-127.28 74.094-.002.24 0 .48 0 .72 0 6.067 1.32 13.4 3.686 21.686l-.25-.468 29.5 114.875 4.625-38.626c17.095 31.46 37.67 64.792 56.532 93.97l1.624-46.127c5.83 38.514 20.68 73.426 39.062 106.97 9.337 13.507 15.25 21.78 15.25 21.78s6.953-9.693 17.875-25.562c.07-.1.152-.213.22-.313 20.76-32.818 38.056-67.256 46.438-105.906l-1.063 37.438c9.342-14.666 18.923-30.088 28.156-45.656v28.468l40.533-104.125c9.877-21.585 16.512-40.562 17.656-54.342-65.713-7.917-111.206-41.86-132.314-78.875l16.22-9.25c19.702 34.552 66.54 68.93 138.312 71.062 15.085-.3 29.905-3.623 45.593-11.313-14.823.118-27.478-1.08-38.53-3.437 23.34-5.136 43.576-16.795 56.125-37.97-102.54 21.26-90.343-61.02-127.188-99.468-14.37-14.994-30.37-21.424-45.687-21.562z"}}]})(props);
};
function GiBeastEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M230.844 47.688c-28.215.083-58.57 2.925-91 8.78C339.666 41.874 441.95 144.504 495.938 292.75c0-143.316-92.67-245.57-265.094-245.063zm-2.656 33.624c-56.703 22.374-97.407 81.194-97.407 150.844 0 49.006 20.153 92.64 51.845 122 22.64 8.588 46.563 10.904 71.406 9.563-26.212-96.096-8.522-185.37 32.5-271-18.534-6.51-37.96-10.382-58.342-11.407zm-41.844 1.782c-43.318 5.686-90.65 23.297-142.5 54.53 24.987 97.103 56.545 155.038 92.78 187.97-15.558-27.26-24.53-59.27-24.53-93.438 0-61.93 29.422-116.84 74.25-149.062zm134.156 25c1.552 6.27 2.92 12.552 4.156 18.844-1.776-.353-3.62-.532-5.5-.532-15.486 0-28.03 12.55-28.03 28.03 0 15.483 12.544 28.033 28.03 28.033 4.33 0 8.432-.967 12.094-2.72 3.26 62.225-9.635 123.823-41.03 179.844 32.597-5.38 66.42-14.65 100.78-22.406 22.463-28.085 36.094-64.734 36.094-105.032 0-8.02-.553-15.9-1.594-23.594-31.27-44.417-66.02-78.693-105-100.468zm-301.875 48.47C36.78 459.957 249.36 479.842 493.063 343.717 306.578 348.125 115.88 532.286 18.625 156.56zm427 82.75c-1.25 33.993-11.342 65.633-27.938 92.28 23.992-4.595 48.14-7.793 72.22-7.813-13.924-30.585-28.636-58.848-44.282-84.467zm41.53 129.81c-127.06 79.076-267.344 111.63-421.03 39.126 130.246 115.856 342.11 82.373 421.03-39.125z","fillRule":"evenodd"}}]})(props);
};
function GiBeaver (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M214.5 57.19c-16.6.1-32.3 2.34-46.8 7.32-24.6 8.52-46 24.59-62.7 52.19-16.54 27.1-28.43 65.8-33.11 118.8 26.33 7.6 49.11 25.3 67.01 47.8 17.7 6.2 37.2 10.7 56.3 14 27 4.7 53.4 6.8 73.3 7.2 9.9.2 18.2 0 24-.4 2.9-.3 5.2-.6 6.4-.9 7.8-1.8 16-10.8 10.1-16.2-6.8-5.3-25-11.2-39.7-16.3l-10.5-3.6L220 255l12.5-11c11.1-9.7 20.1-21.1 24.3-30.9 4.1-9.9 4-16.6-1.1-22.7l14.2-12c10.3 12 9.9 28.3 4.1 41.9-4.1 9.3-10.4 18.2-17.8 26.4l14.4 4.5c9-7.3 19.4-12.5 29.2-15.2 5.7-1.7 11.3-2.6 16.7-2.4 5.4.2 11.1 1.5 15.4 6.2l1 .9.5 1.2c5.3 10.3 13.7 25.8 22 38.1 4.3 6.3 8.6 11.7 12.1 15 11 8.4 43.9 11.5 52.5 3.1.7-1 1.6-3.4 1.3-6.6-.8-6.5-5.3-14.1-14.1-16.4-18.5-2.8-31.6-12.1-37.8-24.1-6.3-12.2-5.9-26-1.2-37.6 3.1-7.6 10.3-20.2 20.3-32.4 9.8-12.2 21.4-24.6 37.3-26 11.4-.9 25.7-5 37.3-11-8.6-10.6-11.9-21.9-8.7-32.2 3-9.2 9.8-15.8 18.4-20.72-6.7-8.77-16-17.84-27.8-23.49-16.7-8.02-38.8-10.48-69.7 4.84 4.6 3.41 8.7 7.65 12.4 12.44L373 96.31c-5.1-6.7-11.7-11.44-16.2-12.93-4.7-1.49-5.9-1.44-8.6 2.08-2.8 3.83-3.1 7.33-1.6 12.4 1.7 5.04 5.8 11.24 12 16.64l-12.4 13.9c-8-7.1-14.4-15.5-17.3-25-2.1-6.68-2.2-14.1.1-20.97-37.7-14.72-76.2-24.75-111.2-25.22h-3.3zM413 90.81c8.8.21 18.4 3.02 28.4 6.74 0 0-15.1 18.05-23.9 15.65-7.1-2-13-21.66-13-21.66 2.7-.57 5.6-.79 8.5-.73zm69.9 16.09c-6.3 3.6-9.8 7.5-10.7 10.5-1.2 3.6-.6 8.2 6.2 15.9 3.1-3 5.4-6.1 6.5-9.1 2-7.4 1.1-11.9-2-17.3zm-11 53.6c-6.4 3.4-13.3 6.2-20.1 8.4l-6 32.9 15.4-8.4zM67.15 253.8c-4.06 7.5-14.76 28-25.39 56.7-12.86 34.7-21.18 75.7-11.58 96.8 6.61 14.5 20.86 28.3 37.64 37.1 16.77 8.8 35.78 12.6 51.08 9.2 21.8-4.7 39.4-30 44.2-57.7-1.5-30.8-13-64.1-31.3-91-17-25-39.64-43.8-64.65-51.1z"}}]})(props);
};
function GiBedLamp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M165.563 25l-87 174H432.93L339.207 25H165.563zM233 217v30h46v-30h-46zm-9 48c-1 0-9.308 1.608-18.52 5.15-9.21 3.543-20.243 8.823-30.648 15.444C154.023 298.836 137 317 137 336c0 59.297 28.834 104.436 59.836 151h118.328C346.166 440.436 375 395.297 375 336c0-19-17.023-37.164-37.832-50.406-10.405-6.621-21.437-11.9-30.648-15.444C297.308 266.608 289 265 288 265h-64z"}}]})(props);
};
function GiBed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M239.802 74.44v.19h12.275v29.433h.004v31.265c-3.326-.562-6.698-.92-10.095-1.084-26.8-1.293-55.033 8.738-73.23 13.36l-7.545 1.92.582 5.564c-.46-.176-.917-.356-1.387-.525l-.705-.256-.74-.135c-4.097-.747-8.27-1.193-12.48-1.39-29.477-1.372-60.834 9.463-81.174 14.523l-7.612 1.892.836 7.8c.605 5.644 1.218 11.59 2.774 17.493-10.642 13.072-10.078 18.35-8.417 27.184l211.14 73.916v74.053C184.03 336.45 106.252 295.828 25.582 264.49v-170h18v.125h12.374v34.77l165.848-21.414V74.44zm-2.088 77.845c1.203-.013 2.39 0 3.564.04 2.818.095 5.505.396 8.09.84 13.548 5.197 20.296 12.637 24.25 21.462-23.255 9.644-44.174 13.507-62.515 15.736-5.277-1.15-9.503-2.466-12.944-3.894-3.802-7.298-9.183-14.244-16.522-20.16-.21-1.08-.405-2.186-.584-3.33 17.414-4.63 38.614-10.504 56.66-10.695zm-94.35 18.528c1.38-.014 2.743 0 4.09.046 3.218.11 6.296.446 9.26.95 15.757 5.89 23.546 14.435 28.002 24.526-26.44 10.85-50.22 15.162-70.965 17.62-17.42-3.692-25.116-8.99-29.17-14.665-3.072-4.302-4.524-9.753-5.53-16.518 19.495-5.077 43.62-11.753 64.314-11.96zM291.8 186.295l26.406 7.453c-59.194 10.41-125.095 28.732-165.18 45.766l-27.443-9.17c21.235-3.146 45.785-8.753 72.568-20.846l5.29-2.39c1.72.44 3.5.853 5.35 1.232l1.42.29 1.44-.17c21.562-2.54 47.905-7.294 77.15-20.782zm68.797 19.418l51.336 14.49-147.905 38.377v17.6l-82.517-27.147-1.77-.59c49.176-17.717 124.438-36.303 180.857-42.73zm127.79 13.68v90.57L283.69 372.127v-99.62zM23.613 282.45L60.837 299v14.674L39.98 322.13l-16.366-10.57zm463.26 49.243v34.995l-21.91 9.515-16.367-7.4v-25.487zm-234.453 52.49l11.608 5.16 9.442 4.196 19.342-6.87v40.848l-22.704 10.043-17.687-12.685z"}}]})(props);
};
function GiBee (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M273.625 17.438l3.313 19.406L258.53 40l-3.717-21.594c-11.894 1.303-21.9 3.848-30.188 7.344L238.5 43.375l-14.688 11.563-15.343-19.5c-9.837 8.29-15.64 18.988-17.657 32.156l24.375-1.344 1.03 18.656-12.812.72c36.685 31.72 70.686 71.3 102.125 122.718 3.52-.453 7.054-.697 10.564-.72 2.396-.014 4.774.055 7.156.25 3.744.31 7.462.914 11.125 1.782 10.252-71.962-6.85-130.822-38.5-191.062-7.863-.71-15.335-1.137-22.25-1.157zM78.905 27.813C72.95 32.37 67.494 36.937 62.5 41.5l18.47 17.875-13 13.406-18.657-18.03c-9.15 10.155-16.053 20.23-20.907 30.125l20.125 4.72-4.28 18.218-22.438-5.282c-.528 2.05-.986 4.073-1.343 6.095-2.264 12.796-1.332 25.318 2.593 37.47l22.968-11.19 8.157 16.814-23.53 11.436c4.11 7.18 9.307 14.198 15.562 21.063 3.188 3.5 6.67 6.913 10.405 10.28l15.125-16.28 13.688 12.75-14.25 15.31c10.718 7.82 22.952 15.15 36.562 21.814l10.47-20.125 16.56 8.624-10 19.22c9.974 4.158 20.545 7.945 31.657 11.405l6.657-19.407 17.687 6.062-6.343 18.5c10.976 2.874 22.408 5.395 34.25 7.53l3.157-19.03 18.437 3.063-3.155 18.937c22.212 3.138 45.688 4.95 70.188 5.188l-.188 18.687c-20.204-.195-39.78-1.404-58.594-3.5-1.978 7.395-3.443 15.514-4.25 24.438-99.17-72.015-189.613 29.593-213.843 140 96.828 62.17 166.47 12.61 216.094-69.844l17.532 40.125 17.125-7.5-23.156-52.97c4.207-7.892 8.265-16.012 12.157-24.28 7.755 11.174 16.53 18.968 25.688 23.655l1.03 32.97.126 4.25 3.314 2.686 38.406 31.314 11.813-14.5-35.094-28.625-.72-22.75c11.463.746 22.9-2.88 33.125-10.345l.72 26.906.186 6.19 5.783 2.25 62.28 24.092 6.75-17.437-56.468-21.813-1.094-39.625c2.924-4.387 5.622-9.2 8-14.468 14.34 60.238 86.187 63.25 103.126 7.936 11.726-38.29-19.33-72.846-52.562-72l-10.156-47.25c29.243 7.773 54.154 23.793 73.906 55.906l15.906-9.78c-25.456-41.388-61.373-60.69-100.375-67.595l-13.688-2.406 2.938 13.564 13.25 61.812c-.644.294-1.298.58-1.938.906l-.062.032c-2.39.595-4.74 1.456-7 2.656-4.883 2.592-8.73 6.348-11.625 10.78-9.013-28.358-34.47-46.61-61.406-49.31 3.698 6.412 7.374 12.98 11 19.75l-16.47 8.81C243.755 130.22 169.122 70.843 78.907 27.813zM402.282 276.75c.325-.002.638.013.97.03 2.656.148 5.576.97 8.75 2.564 6.348 3.188 13.04 9.53 17.656 18.22 4.617 8.686 6.13 17.77 5.22 24.81-.912 7.04-3.827 11.552-7.97 13.75-4.142 2.2-9.527 2.096-15.875-1.093-6.347-3.187-13.038-9.53-17.655-18.217-4.617-8.688-6.13-17.773-5.22-24.813.912-7.04 3.827-11.55 7.97-13.75 1.812-.962 3.89-1.485 6.156-1.5z","fillRule":"evenodd"}}]})(props);
};
function GiBeech (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M222.156 20.72c-1.423.01-2.843.065-4.25.155-20.084 1.29-37.527 10.342-46.375 27.03l17.626 12.532h-29.312c-10.333-5.256.412-.266-11.375-5.28-23.158-13.118-48.787-9.64-67.25 2.812-20.062 13.527-30.734 35.806-20.25 60.093l3.093 7.156-6.47 4.31c-21.435 14.36-32.997 30.393-37.124 48.126C16.34 195.39 19.65 215.64 31 238.5l2.47 5.03-3.25 4.564c-13.796 19.38-8.88 38.668 5.968 51.03 10.043 8.364 19.48 9.982 29.656 7.407 10.177-2.574 21.15-10.15 30.72-21.874l2.655-3.25 4.155-.187c27.728-1.2 49.69-11.635 63.97-27.72 14.28-16.085 21.22-37.98 17.718-63.906L184.03 182l7.25-2.5c8.066-2.768 14.73-8.15 18.814-15.53l5.28-9.564 8.626 6.72c6.39 4.976 22.988 8.397 31.375 5.968l10.28-2.97 1.564 10.595c4.3 29.362 24.393 52.534 50.06 60.155l8.25 2.438-1.75 8.437c-3.162 14.99 1.497 26.075 10.44 33.406 8.94 7.332 22.793 10.683 38.75 6.438l6.217-1.656 3.782 5.25c13.513 18.845 29.945 28.087 46.342 29.562 16.398 1.475 33.29-4.745 48.032-19.594 12.624-12.716 16.654-26.51 15.062-40.437-1.59-13.93-9.318-28.12-21.75-39.533l-8.5-7.812 9.406-6.688c7.878-5.6 10.74-15.92 8.907-25.5-1.833-9.58-7.527-16.677-16.345-17.78l-9.375-1.157 1.28-9.375c5.842-42.567-13.62-77.648-45.342-97.656-31.723-20.01-75.673-24.486-118.782-3.095l-6.72 3.344-4.717-5.876c-13.464-16.796-34.023-25.768-54.033-26.782-1.43-.072-2.857-.104-4.28-.093zm-1.22 160.31c-4.003 4.804-8.867 8.724-14.25 11.782 11.968 29.99 18.83 60.783 23.033 93.532-4.555 11.237-9.676 22.38-15.5 33.437l-.157.064c-8.54-19.537-18.073-38.957-31.188-55.75-.51.607-1.035 1.218-1.563 1.812-3.628 4.088-7.652 7.838-12 11.25 12.034 15.867 21.048 34.83 29.72 54.938 7.724 43.39 6.386 91.267-2.782 134.812-26.727 5.073-55.198 15.22-88.594 30.5h252.938c-32.428-15.282-60.268-25.46-86.688-30.53-13.95-24.116-21.036-50.13-23.25-76 9.692-45.174 28.504-71.692 57-99.282-19.276 7.68-37.422 17.31-52.687 31.937.702-3.41 1.488-6.766 2.31-10.092 9.476-24.123 23.87-45.82 42.94-65.407-5.784-2.705-11.25-5.994-16.283-9.874-12.71 13.552-23.555 28.128-32.312 43.78 7.156-19.187 12.88-38.422 18.063-57.592-5.443-6.556-10.03-13.933-13.563-21.938-4.167 16.03-8.512 31.946-13.5 47.72-4.637-23.334-11.12-46.08-20.375-68.47-.438-.204-.88-.41-1.313-.625z"}}]})(props);
};
function GiBeehive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 21.332L75.168 136.406l-7.594 4.832 9.664 15.188 7.594-4.832L256 42.668l171.168 108.926 7.594 4.832 9.664-15.188-7.594-4.832L256 21.332zm-144.908 5.74l-8.485 13.567 15.26 9.544 8.487-13.565-15.262-9.548zM72.212 44.02L58.963 56.2l10.825 11.78L83.04 55.8 72.212 44.02zm305.13 10.818l-17.856 2.277 2.024 15.87 17.855-2.276-2.023-15.872zM256 58.668l-148.127 94.264L99.34 183h312.994l-8.97-30.553L256 58.667zm0 43.846l57 19V169H199v-47.486l57-19zm0 18.972l-39 13V151h78v-16.514l-39-13zm-84.826 18.72l7.363 14.206-15.98 8.283-7.364-14.205 15.98-8.283zm266.724 45.745l-7.002 16.585 14.74 6.223 7.003-16.582-14.742-6.225zM120.258 201l-17.07 69h312.994l-17.137-69H120.258zM151 231h210v18H151v-18zm-93.36 40.188l-17.58 3.863 3.434 15.628 17.58-3.864-3.433-15.627zM122.187 288l-20.922 78H417.79l-20.997-78H122.186zm203.714 9.682l14.817 10.222-9.088 13.17-14.816-10.224 9.086-13.168zM151 327h210v18H151v-18zm302.44 18.64l-9.086 13.17 14.814 10.223 9.088-13.17-14.817-10.222zM122.185 384l-20.922 78H417.79l-20.997-78H122.186zm103.683 3.213l8.49 13.56-15.255 9.553-8.492-13.558 15.256-9.555zM77.65 398.646l-6.744 14.51 16.323 7.588 6.743-14.508-16.323-7.59zm303.14.815l7.312 14.23-16.012 8.228-7.31-14.232 16.01-8.225zM151 423h210v18H151v-18zm-23 57v16h48v-16h-48zm208 0v16h48v-16h-48z"}}]})(props);
};
function GiBeerBottle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M200 23v18h21.895l-14.31 123.303c-14.473 8.144-25.962 16.414-34.18 25.265-9.02 9.712-14.405 20.57-14.405 31.97V445.54c0 11.4 5.042 21.877 12.348 29.794 7.305 7.917 17.208 13.666 28.35 13.666H312c11.23 0 21.24-5.72 28.596-13.645C347.953 467.432 353 456.94 353 445.54v-224c0-11.402-5.386-22.26-14.404-31.972-8.22-8.85-19.708-17.12-34.18-25.265L290.106 41H312V23H200zm40.016 18h31.968l8.094 69.727c-2.328-.97-4.98-1.573-8.078-1.573-10.342 0-17.062 6.425-22.15 10.772-5.09 4.346-5.982 7.135-9.85 6.46-4.685-.82-6.447-6.444-8.57-11.41L240.016 41zm31.25 86.113c.235.003.48.016.734.04 5.087.508 7.665 5.963 11.2 10.476l1.212 10.438a9.6 10.338 0 0 0-9.213-7.453 9.6 10.338 0 0 0-9.6 10.338 9.6 10.338 0 0 0 9.6 10.338 9.6 10.338 0 0 0 9.585-10.01l2.817 24.265 4.13 2.225c15.45 8.318 26.69 16.527 33.672 24.046 6.982 7.52 9.596 13.893 9.596 19.723v42.69h-25.568A64 94.77 0 0 0 256 221.54a64 94.77 0 0 0-53.416 42.69H177v-42.69c0-5.83 2.614-12.204 9.596-19.724s18.223-15.728 33.672-24.046l4.13-2.225 4.047-34.856c3.09 2.163 6.88 3.695 11.555 3.695 10.237 0 16.543-6.503 21.54-10.772 4.686-4.002 6.196-6.534 9.726-6.5zM256 166.4a9.6 10.338 0 0 0-9.6 10.338 9.6 10.338 0 0 0 9.6 10.338 9.6 10.338 0 0 0 9.6-10.338A9.6 10.338 0 0 0 256 166.4zm19.2 15.57a9.6 10.338 0 0 0-9.6 10.337 9.6 10.338 0 0 0 9.6 10.338 9.6 10.338 0 0 0 9.6-10.338 9.6 10.338 0 0 0-9.6-10.338zM256 247c13.42 0 23.9 9.857 30.578 22.445 1.962 3.698 3.663 7.726 5.098 12.016H336v18h-40.156c.757 5.4 1.156 11.038 1.156 16.85 0 12.354-1.775 23.944-5.06 34.075H336v18h-52.535c-6.64 9.987-15.97 17.23-27.465 17.23-11.496 0-20.825-7.243-27.465-17.23H176v-18h44.06c-3.285-10.13-5.06-21.72-5.06-34.076 0-5.812.4-11.45 1.156-16.85H176v-18h44.324c1.435-4.29 3.136-8.317 5.098-12.015C232.102 256.857 242.58 247 256 247zm0 18c-4.253 0-9.775 3.644-14.678 12.883-4.902 9.24-8.322 23.063-8.322 38.426 0 15.362 3.42 29.183 8.322 38.422 4.903 9.24 10.425 12.883 14.678 12.883s9.775-3.643 14.678-12.883c4.902-9.24 8.322-23.06 8.322-38.423 0-15.364-3.42-29.188-8.322-38.427C265.775 268.643 260.253 265 256 265zm-79 120.615h35.47a64 94.77 0 0 0 43.53 25.46 64 94.77 0 0 0 43.572-25.46H335v59.924c0 5.83-2.953 12.567-7.596 17.567-4.643 5-10.635 7.893-15.404 7.893H199.697c-4.555 0-10.502-2.867-15.12-7.873-4.62-5.006-7.577-11.758-7.577-17.588v-59.925z"}}]})(props);
};
function GiBeerHorn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M282.6 37.13c-16.6 0-35.2 7.24-49.3 16.77l-4.8 3.3-5-3.14c-8.9-5.63-18.5-8.59-28-8.81-14.5-.24-23.6 5.99-25.5 12.71-.5 1.72-.6 3.65-.2 5.9l1.4 8.31-8.2 1.99c-13.3 3.24-23.8 8.18-30.5 13.42-6.6 5.24-9.1 10.17-9.1 14.42 0 5 3.5 11 12.6 16.9 9 5.9 23 10.9 39.8 13.4l7.5 1.1.2 7.6c.1 2.8.7 5.3 1.8 7.7h.1c6 12.2 27.4 19.1 47.7 11.4 2.1-.8 4.1-1.8 6.3-3l10.7-5.8 2.4 11.9c3.9 19.1 15.3 29.9 25.3 29.9 10.2 0 21.5-10.8 25.4-30l2.1-10.5 10 3.9c2.6 1 5.5 1.6 8 1.6 6.6 0 13.1-3 18.3-9.1l3.6-4.2 5.4 1.4c14.4 3.7 28.1 3.7 37.9 1.1 9.8-2.5 14.7-7 15.9-11.4.9-3.7-.1-8.4-4.7-14.2-4.6-5.9-12.6-12-23.1-16.8l-20.3-9.2 21-7.49c10-3.58 17.8-8.91 22.4-14.22 4.6-5.29 5.9-9.95 5.1-13.75-1-4.49-5.2-8.89-13.6-11.79-8.4-2.91-20.3-3.68-32.8-.99-6.5 1.41-12.8 3.67-18.2 6.53l-5.4 2.84-4.6-3.93c-13.4-11.36-30.4-15.77-47.6-15.77zm73.6 128.47l.4 26.9a17.62 26.44 0 0 1 9.2 23.2 17.62 26.44 0 0 1-17.6 26.4 17.62 26.44 0 0 1-17.6-26.4 17.62 26.44 0 0 1 8-22.1l-.3-20.6c-4.7 2-9.8 3.1-15 3.1-1.6 0-3.2-.3-4.8-.5-2.3 6.9-5.6 13.3-9.6 18.6l1.1 45.3a17.62 31.49 0 0 1 9.5 28 17.62 31.49 0 0 1-17.6 31.5 17.62 31.49 0 0 1-17.6-31.5 17.62 31.49 0 0 1 7.7-26l-.8-33.1c-4.2 1.8-8.7 2.7-13.4 2.7-18.4 0-32.9-14.3-39.9-33.7-4.7 1.7-9.5 2.8-14.4 3.5 25 38.6 39.9 71.9 46.7 101 9.3 40.2 2.5 73.1-14.4 99.3 15.2 1.4 29.3 7.6 40.1 16.4 11.3 9.3 19.6 21.7 21.4 35.5.3 1.9.4 3.8.4 5.7 11.3-9.3 21.1-19.7 29.5-31.2 40.9-56.2 47.7-140.1 21.7-240.7-4.1-.2-8.4-.6-12.7-1.3zm-107.8 233c-2.2.1-4.4.3-6.6.6-5.5 6-11.4 11.6-17.8 16.9 8.5 2.4 16.2 6.2 22.7 11.1 11 8.4 18.9 20.1 20.3 33.3.3 2.5.3 5.1.1 7.6 8.7-3.5 17-7.4 24.8-11.8 6.9-6.7 8.6-13.5 7.6-20.7-1.1-8.1-6.5-17.1-15-24.1-9.6-7.9-22.4-13.2-36.1-12.9zm-45.1 32.8c-32.1 21.3-70.7 37.5-106.64 54.1 59.84 5.7 109.54 1.7 149.84-10.3 2.5-4.3 3.1-8.5 2.6-12.7-.8-7.2-5.5-15-13.3-20.9-7.9-6-18.4-10.1-30.1-10.2h-2.4z"}}]})(props);
};
function GiBeerStein (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.094 19.438c-18.092-.063-35.548 9.82-43.125 28.437v9.688l-11.376-2.5c-14.316-3.17-25.792-1.15-33.375 3.843-7.585 4.994-12.174 12.898-12.345 25.438-.13 9.54 1.93 15.82 4.813 20 2.882 4.18 6.673 6.672 11.906 8.062 10.465 2.78 26.67-.357 41.094-8.75l5.968-3.47 5.063 4.658c8.405 7.744 14.51 11.07 20.56 12.25 6.052 1.18 13.046.318 23.44-2.875l9.842-3.032 2.063 10.093c2.695 13.158 14.91 23.407 29.125 23.407 13.237 0 23.67-9.028 27.313-21.468l2.218-7.532 7.783.843c8.855.99 19.41-4.045 25-10.343l6-6.75 6.968 5.782c18.61 15.487 35.46 16.96 47.283 11.468 11.82-5.494 20.18-18.602 19.25-38.782-.88-18.827-10.97-30.448-25.5-35.812-14.532-5.364-33.76-3.61-51.282 8.218l-7.436 5.032-5.344-7.25c-7.038-9.585-17.09-15.485-26.72-17-9.628-1.516-18.487.928-25.374 8.406l-7.406 8.03-6.78-8.56c-10.443-13.165-25.214-19.482-39.626-19.532zM65.22 119.968C37.8 203.65 25.784 289.07 28.812 376.19c39.55 17.23 81.422 18.105 123.437 18 2.353-11.073 4.555-22.54 6.594-34.22-32.102 1.678-64.094 2.52-94.313-9.124-2.33-66.88 6.917-121.622 28-187.03 27.318 6.5 55.01 8.61 83.25 7.467-.07-11.715-.387-22.556-1.03-32.31-37.168-1.726-73.593-8.642-109.53-19zm148 2.97c-6.57 3.29-13.37 5.82-20.19 7.406 3.092 33.456 1.947 78.392-2.186 127.094-4.777 56.28-13.866 116.5-26.438 166.718H434.25c-9.932-52.565-18.812-111.61-23.594-166.72-3.87-44.618-5.233-86.115-2.03-119.717-10.777-1.282-22.047-5.642-32.938-13.22-7.498 5.988-16.954 10.145-27.25 10.75-7.46 16.247-23.42 28.125-42.688 28.125-19.644 0-36.84-11.86-44.344-28.938-8.26 1.885-15.993 2.507-23.72 1-8.57-1.67-16.468-6.014-24.467-12.5zm-78.376 319.906L116.22 491.25h358.686l-21.72-48.406H134.846z"}}]})(props);
};
function GiBeet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M374.827 83.628c-19.941 25.941-37.3 55.202-57.602 76.85 42.07-31.83 93.583-61.062 124.68-95.268l13.316 12.108c-31.93 35.121-79.62 62.941-118.832 91.4 24.9-4.92 53.317-15.804 78.711-29.416 28.019-15.018 52.44-33.554 64.62-49.343 18.238-23.928 15.072-49.637-10.585-62.534-37.377-13.933-78.551 35.944-94.308 56.203zm-46.483-30.511c-15.83 18.366-27.298 40.84-31.347 60.783-3.094 15.234 4.698 28.31 10.292 38.035 11.866-38.953 66.253-75.01 56.731-106.1-9.103-13.062-29.6.445-35.676 7.282zM207.83 78.914c-26.263-.217-53.339 7.404-81.065 29.466 4.166 13.234 13.735 24.44 28.02 33.88-20.135 1.497-38.098-2.434-55.854-6.884a279.777 279.777 0 0 0-7.3 8.764c-29.215 36.546-25.564 84.915-17.325 138.615 1.185 7.72 2.461 15.545 3.739 23.407 17.961 25.841 44.317 44.605 61.146 63.203-19.724-4.433-39.208-9.504-55.289-23.65 3.355 27.477 4.61 55.088-.47 81.699C128.7 408.55 189.608 405.407 248.45 396.33c42.04-6.486 82.47-15.68 115.178-33.94-43.78-4.386-75.77-32.129-96.555-59.123 40.917 15.231 79.213 37.8 125.236 38.733 7.535-6.843 14.328-14.535 20.244-23.22 30.131-44.224 26.828-82.175 8.877-115.259-6.771-12.48-15.831-24.138-26.154-34.73-13.05 5.58-26.335 10.302-39.338 13.843a147.344 147.344 0 0 0 25.03 4.453l-1.622 17.926c-45.97-7.973-118.646-29.566-129.441-96.715l17.496 4.225c2.818 6.044 6.36 12.536 9.969 17.42.117-11.614 2.105-22.155 5.32-32.373-18.786-8.362-38.644-15.175-58.998-17.617a142.936 142.936 0 0 0-15.863-1.04zm26.185 129.697c32.463 23.194 112.594 55.792 153.52 67.265-61.147 10.412-150.872-7.51-153.52-67.265zM68.64 390.179c-11.983 8.343-19.348 15.435-39.812 19.483l3.492 17.656c15.958-3.157 26.524-8.699 35.037-14.291.864-7.467 1.262-15.092 1.283-22.848zm46.737 45.797c-7.106 1.874-13.862 3.946-20.182 6.281-3.208 11.702-7.301 22.361-16.59 32.729l13.406 12.01c15.115-16.871 19.42-35.009 23.366-51.02zm-52.604.672c-15.72 7.943-30.074 19.765-42.064 36.451l14.615 10.504c5.82-8.101 12.11-14.705 18.844-20.133 2.708-8.829 6.176-18.274 8.605-26.822z"}}]})(props);
};
function GiBeetleShell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247.125 21.375l-11.25 2.375C142.28 43.37 68.75 129.098 54.562 212.188c-7.093 41.544 1.26 83.252 30.876 114 8.703 9.036 19.153 17.05 31.406 23.875 1.122-6.105 3.542-12.028 7.062-17.563-9.857-5.69-18.156-12.176-25-19.28C73.88 287.234 66.646 252.554 73 215.343c3.844-22.515 12.893-45.62 25.97-67.406v134.437h18.686v-161.25c7.472-9.315 15.676-18.182 24.53-26.406v152.31h18.69V81.563l-.032-1.874c8.804-6.883 14.865-11.25 24.562-16.72v135.25h18.688V53.657c7.917-3.45 16.046-6.394 24.344-8.718V189.28c6.49-4.71 12.773-8.648 18.687-11.718V21.376zm22.28 0v158.062c5.867 3.51 12.16 7.84 18.69 12.782V44.937c9.61 2.69 19 6.186 28.092 10.374V198.22h18.688V65.124c8.526 5.037 16.72 10.676 24.53 16.813V247.03h18.69V98.28c8.91 8.634 17.116 17.903 24.53 27.626v156.47h18.688V154.343c11.076 19.874 18.78 40.685 22.25 61 6.353 37.21-.88 71.89-25.907 97.875-6.83 7.09-15.105 13.568-24.937 19.25 3.52 5.527 5.964 11.432 7.092 17.53 12.215-6.812 22.632-14.8 31.313-23.813 29.614-30.747 37.938-72.455 30.844-114-5.474-32.052-19.783-64.483-40.658-93.375v-.062h-.03c-33.238-45.977-83.128-82.953-140.594-95l-11.282-2.375zM256.69 193.75c-15.76 8.1-39.794 27.3-59.72 50.625-15.213 17.81-28.01 38.034-34.562 56.97 26.188-12.528 60.838-19.376 95.906-19.376 34.875 0 69.334 6.76 95.47 19.155-6.77-18.23-19.757-37.767-35.22-55.188-20.632-23.245-45.335-42.818-61.875-52.187zm1.625 106.906c-33.5 0-66.99 7.09-89.75 18.47-11.412 5.705-20.224 12.447-25.782 19.155-5.556 6.71-7.968 13.25-7.968 19.47 0 6.168 2.382 12.66 7.844 19.313l.125.156c5.56 6.707 14.37 13.45 25.782 19.155.918.46 1.893.9 2.844 1.344 4.422-4.217 9.587-8.036 15.313-11.376l.124-.063c19.388-11.27 45.188-17.342 71.375-17.342 26.185 0 52.017 6.072 71.405 17.343l.063.033c5.777 3.364 10.985 7.215 15.437 11.468.995-.462 2.01-.926 2.97-1.405 11.41-5.706 20.223-12.448 25.78-19.156 5.557-6.71 7.97-13.25 7.97-19.47 0-6.18-2.394-12.68-7.876-19.344l-.095-.125c-5.558-6.707-14.37-13.45-25.78-19.155-22.762-11.38-56.282-18.47-89.783-18.47zm-.094 86.97c-23.206 0-46.467 5.78-62 14.812-15.536 9.03-22.972 20.745-22.97 30.687-.002 9.942 7.434 21.657 22.97 30.688 15.533 9.03 38.794 14.812 62 14.812 23.204 0 46.495-5.782 62.03-14.813 15.535-9.03 22.97-20.745 22.97-30.687s-7.435-21.657-22.97-30.688c-15.535-9.03-38.826-14.812-62.03-14.812zM146.124 409.03c-6.868 0-14.037 2.97-18.875 7.845-4.838 4.875-7.77 12.038-7.72 18.906v.158c-.05 6.853 2.87 14 7.69 18.875l.03.03c4.838 4.876 12.007 7.844 18.875 7.844 5.603 0 11.402-1.968 15.97-5.343-4.805-7.435-7.535-15.616-7.532-24.22-.002-7.09 1.85-13.91 5.187-20.25-4.124-2.43-8.934-3.843-13.625-3.843zm224.406 0c-4.744 0-9.625 1.424-13.78 3.908 3.315 6.32 5.158 13.12 5.156 20.187.002 8.552-2.687 16.694-7.437 24.094 4.584 3.427 10.41 5.467 16.06 5.467 6.855 0 14.007-2.955 18.845-7.812l.03-.03c4.84-4.876 7.74-12.04 7.69-18.908v-.156c.05-6.867-2.85-14.03-7.69-18.905-4.837-4.875-12.005-7.844-18.874-7.844z","fillRule":"evenodd"}}]})(props);
};
function GiBehold (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.625 20.063c-51.034 0-97.18 20.68-130.53 54.124l52.31 59.22c21.788-16.468 48.9-26.25 78.25-26.25 3.183 0 6.345.117 9.47.343l12.625-86.125c-7.253-.866-14.636-1.313-22.125-1.313zm40.563 4.5l-12.532 85.656c20.72 4.56 39.58 14.055 55.313 27.218l54.967-54.97c-25.21-28.606-59.195-49.264-97.75-57.906zM112.53 88.186c-22.864 28.146-37.62 63.17-40.624 101.532l58.813 11.405c6.124-21.19 17.494-40.175 32.624-55.438l-50.813-57.5zm293.095 9.032l-53.22 53.218c20.675 23.03 33.283 53.436 33.283 86.75 0 4.513-.237 8.978-.688 13.375l46.47 9.03c5.458-17.434 8.405-35.997 8.405-55.25 0-39.973-12.685-76.948-34.25-107.124zm-149.97 28.624c-61.6 0-111.343 49.744-111.343 111.344 0 61.6 49.744 111.343 111.344 111.343 61.6 0 111.344-49.74 111.344-111.342s-49.744-111.344-111.344-111.344zm-7.968 30.562c-2.3 4.783-3.593 10.12-3.593 15.78 0 20.168 16.334 36.533 36.5 36.533 17.387 0 31.945-12.164 35.625-28.44 11.16 12.827 17.936 29.572 17.936 47.907 0 40.333-32.7 73.032-73.03 73.032-40.333 0-73.032-32.7-73.032-73.033 0-35.74 25.682-65.47 59.594-71.78zm-176.28 52.25c1.224 53.382 25.094 101.11 62.374 133.97l22.126-22.126c-18.893-22.58-30.28-51.635-30.28-83.313 0-6.022.42-11.943 1.218-17.75l-55.438-10.78zm186.062 15.938c-13.11 0-23.75 10.61-23.75 23.72 0 13.107 10.64 23.75 23.75 23.75 13.107-.002 23.717-10.643 23.717-23.752 0-13.108-10.61-23.718-23.718-23.718zm124.28 44.375c-5.648 22.405-17.124 42.488-32.72 58.592l19.72 22.313c24.33-18.93 43.757-43.84 56.125-72.53l-43.125-8.376zm-212.844 64.967L148.5 354.344c22.11 15.8 47.866 26.825 75.78 31.594l3.19-21.813c-22.183-4.92-42.22-15.516-58.564-30.188zm166.22 6.094c-21.992 17.033-49.565 27.19-79.47 27.19-3.244 0-6.47-.11-9.656-.345l-3.125 21.28c4.214.288 8.463.44 12.75.44 35.905 0 69.38-10.26 97.688-27.97l-18.188-20.594zm62.968 8.75c-9.7 9.57-20.358 18.152-31.813 25.626 9.59 31.085 5.36 58.494-.56 85.406 26.337-33.84 45.837-68.974 32.374-111.03zm-284.875.095c-13.406 42.016 6.087 77.122 32.405 110.938-5.915-26.885-10.123-54.267-.563-85.313-11.468-7.47-22.132-16.058-31.843-25.625zm237.624 34.688c-10.554 5.625-21.66 10.32-33.22 14.03 7.275 30.903 5.854 58.197 2.438 83.126 21.553-27.808 34.204-59.827 30.782-97.158zm-190.344.03c-3.412 37.318 9.235 69.327 30.78 97.126-3.413-24.922-4.828-52.206 2.44-83.095-11.562-3.706-22.66-8.41-33.22-14.03zm139.75 18.75c-10.256 2.307-20.818 3.816-31.594 4.5 5.044 29.757 6.38 59.014 5.28 87.938 12.296-29.813 22.206-60.306 26.314-92.436zm-89.125.032c4.11 32.118 13.99 62.603 26.28 92.406-1.098-28.914.265-58.16 5.314-87.905-10.777-.678-21.337-2.2-31.595-4.5z"}}]})(props);
};
function GiBelgium (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23.58 140.134l96.345-50.655c31.372 11.322 59.187 49.92 97.835 5.463 78.342-53.327 130.757-8.132 183.254 36.75L388.6 207.178c57.963-4.414 73.467 31.762 81.942 53.636-29.926 53.54-26.342 95.11 17.879 122.17l-27.811 56.614c-65.426 10.644-105.67-33.69-166.369-52.145l-6.953-74.99c-16.112 16.186-24.636 38.348-51.152 46.682-29.97 9.42-25.983-39.012-31.784-70.024-67.292-2.234-91.53-47.524-116.21-92.372l-30.79 16.886c-38.186-13.53-28.485-46.568-33.77-73.5z"}}]})(props);
};
function GiBellShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M214.4 76.46c0 16.75 5.8 31.54 14.3 41.84l10.2 12.2-15.6 2.9c-11.1 2.1-19.2 7.9-26.1 17.4-6.9 9.5-12.2 22.8-15.9 38-6.7 27.7-8.2 61.5-8.5 91.2h36.8l10 135.2c25.6 5.8 53 5.6 77.6 0l9-135.2h34.9c0-30.1-.4-64.3-6.5-92.2-3.3-15.4-8.4-28.6-15.4-38-7-9.4-15.5-15.2-27.9-17.1l-15.9-2.5 10-12.6c8.2-10.1 13.7-24.8 13.7-41.14 0-32.41-20.3-56.4-42.3-56.4-24.9-.32-41.9 33.01-42.4 56.4zm-28.2-52.41C109.1 77.81 19.73 258 19.73 425.3v.9c0 6.6 4.41 14.2 15.57 22.4 11.15 8.3 28.37 16.3 50.01 23.1 43.29 13.5 104.09 22.1 171.39 22.1 67.2 0 128-8.6 171.3-22.1 21.7-6.8 38.9-14.8 50-23.1 11.2-8.2 15.6-15.8 15.6-22.4 0-1.2-.1-2.4-.4-3.7-1-166.4-89.8-344.98-166.4-398.45C399.4 161 408.3 318.8 399.7 443.2c-33.4 13.4-85.1 22-143 22-58.2 0-110.1-8.7-143.5-22.2-13.49-173 12.9-342.3 73-418.95z"}}]})(props);
};
function GiBellows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M109 23.76c-2 0-3.9.22-5.8.83-7.29 2.25-10.55 4.99-11.98 7.22-1.42 2.24-1.85 4.78-.81 9.3 2.06 9.04 11.39 23.41 23.59 38.22 12.2 14.81 26.9 30.47 39.2 44.97 12.2 14.6 22.5 27.2 24.6 41.2l.2 1.6-.3 1.6c-4.8 22.2-11.6 43.2-12.6 62.3-1 19 2.8 35.5 19.8 52.4 34.8 34.8 73.3 64.8 111.9 85.7 32.1-1 62.1-4 84.6-15.5-5.2-40.8.9-82.3-38.9-119.8-36.2-34.2-84.9-53.4-130.4-82.6l-.2-.2-.2-.2c-10.1-7.4-18.4-19.8-27.3-34.2-9-14.4-18.2-30.91-27.8-46.03-9.5-15.11-19.5-28.79-28.9-37.2-7.1-6.3-13-9.45-18.7-9.61zm44.8 245.94l-5.9 22.3c14.8 29.7 42.7 68.4 69.2 83.1-18.2-2.2-60.9-28.7-78.4-48.6l-4.5 17.1c13.2 20.4 34.1 36.7 60 48.5-16.5 1.3-45.9-7.3-63.3-20.1 6.8 11.9 17.1 20.8 30.6 28.4 16.4 9.2 37.3 15.8 60 21.7l138.2 30.8-1.1-20.3-79.8-52.9c-37.2-21.6-73.5-50.5-106.7-83.5-8.4-8.4-14.3-17.4-18.3-26.5zm-109.73 2c-.76 0-1.48.1-2.18.1-5.58.4-9.34 2.5-12.1 5-5.5 4.9-7.05 14.3-6.15 17.9-.17-.6 2.99 3.9 10.29 8.1 7.3 4.1 17.69 8.6 29.21 12.9 17.98 6.6 37.86 12.6 55.06 17.8l5.3-19.8c-6.5-3.8-14.2-8.6-22-13.6-8.27-5.3-16.62-10.7-23.41-15.1-6.79-4.3-12.96-7.8-13.21-7.9-8.76-3.9-15.52-5.3-20.81-5.4zm343.53 99.1c-20 9.8-42.9 13.6-66.7 15.2l44.6 29.5 39.8-9.7zm11.9 55.4c-2.7.1-5 .5-6.9 1.1-5 1.6-7.8 4.6-9.4 8.4-3.4 7.6-.4 17.4 5.8 19.9.2.1 23 8.6 46.4 17.2 6.3 2.3 12.6 4.6 18.6 6.8-.4-2.3-.6-4.6-.6-7 0-8.5 2.4-16.4 6.8-22.6.5-.6.9-1.2 1.5-1.8l-44.8-18.6c-5.7-2-10.5-3-14.5-3.3-1-.1-2-.1-2.9-.1zM480 457c-1.5 0-3.2.8-5.1 3.5-2 2.7-3.5 7.1-3.5 12.1s1.5 9.4 3.5 12.1c1.9 2.7 3.6 3.5 5.1 3.5 1.5 0 3.2-.8 5.1-3.5 2-2.7 3.5-7.1 3.5-12.1s-1.5-9.4-3.5-12.1c-1.9-2.7-3.6-3.5-5.1-3.5z"}}]})(props);
};
function GiBeltArmor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M41.637 149.081c-8 8-12.614 12.191-15.688 18.338a24.99 24.99 0 0 0-.762 1.693c2.524 3.111 8.067 7.313 15.913 11.319.122-2.589.387-3.834.95-4.961.927-1.854 4.313-5.662 12.313-13.662zm428.726 0l-12.726 12.727c8 8 11.386 11.808 12.312 13.662.564 1.127.829 2.372.951 4.96 7.846-4.005 13.39-8.207 15.913-11.318a24.987 24.987 0 0 0-.762-1.693c-3.074-6.147-7.688-10.338-15.688-18.338zM25 192.235v40.46c2.57 3.827 8.588 8.77 17.594 13.35-.09-7.824-.051-16.625.42-25.1.371-6.692.974-13.156 2.113-19.067-.933-.362-1.857-.727-2.768-1.098-6.406-2.606-12.164-5.418-17.359-8.545zm462 0c-5.195 3.127-10.953 5.94-17.36 8.545-.91.37-1.834.736-2.767 1.098 1.139 5.911 1.742 12.375 2.113 19.066.471 8.476.51 17.277.42 25.102 9.006-4.58 15.024-9.524 17.594-13.352zm-287.947 4.21l-28.782 116.92L247 362.918v-53.037l32-16v-36.875l-32-16v-44.563zm65.947 0v33.437l32 16v59.125l-32 16v41.912l76.727-49.555-28.78-116.92zm-202.592 11.32c-.652 4.18-1.138 9.07-1.422 14.18-.6 10.81-.439 22.186-.238 31.54 10.017 3.447 21.35 6.541 33.205 9.176 3.023.672 6.078 1.305 9.143 1.916.167-11.67.634-24.206 1.959-36.127.382-3.437.808-6.83 1.314-10.152a577.925 577.925 0 0 1-10.223-2.047c-11.617-2.446-23.062-5.26-33.738-8.486zm387.184 0c-10.676 3.225-22.121 6.04-33.738 8.486a577.929 577.929 0 0 1-10.223 2.047c.506 3.321.932 6.715 1.314 10.152 1.325 11.921 1.792 24.456 1.96 36.127 3.064-.611 6.12-1.244 9.142-1.916 11.855-2.635 23.188-5.729 33.205-9.176.201-9.354.362-20.73-.238-31.54-.284-5.11-.77-10-1.422-14.18zm-325.36 13.69a143.349 143.349 0 0 0-1.287 8.983c-1.33 11.97-1.744 25.1-1.877 37.372a552.7 552.7 0 0 0 40.65 5.002l11.18-45.418c-13.402-1.03-30.389-2.98-48.666-5.94zm263.536 0c-18.277 2.96-35.264 4.909-48.666 5.939l11.18 45.418a552.7 552.7 0 0 0 40.65-5.002c-.133-12.272-.547-25.402-1.877-37.372-.345-3.098-.78-6.102-1.287-8.984zm-360.682 36.76l1.447 24.82c34.692 13.847 77.37 23.68 123.403 29.513l5.396-21.92c-20.851-1.924-44.708-5.38-67.283-10.397-18.38-4.084-35.837-9.177-50.203-15.562-4.55-2.022-8.838-4.14-12.76-6.453zm457.828 0c-3.922 2.314-8.21 4.432-12.76 6.454-14.366 6.385-31.824 11.478-50.203 15.562-22.575 5.017-46.432 8.473-67.283 10.397l5.396 21.92c46.033-5.834 88.711-15.666 123.403-29.514z"}}]})(props);
};
function GiBeltBuckles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M174.063 42.594v22.968h143.843V107.095c16.17 1.71 26.84 14.544 26.72 27.5-.123 12.946-10.77 25.608-26.72 27.312v40.625H174.062v23.626H360.97V42.594H174.06zM20.22 84.187v18.688h279V84.25H155.374v-.063H20.22zm359.436 0v18.688h116.47V84.187h-116.47zm37.094 37.22c-6.575 0-11.72 5.113-11.72 11.687 0 6.573 5.147 11.72 11.72 11.72s11.688-5.147 11.688-11.72c0-6.57-5.115-11.688-11.688-11.688zm66.03 0c-6.573 0-11.686 5.113-11.686 11.687 0 6.573 5.114 11.72 11.687 11.72 6.575 0 11.72-5.147 11.72-11.72 0-6.57-5.145-11.688-11.72-11.688zm-240.53 4.187c-11.12 0-13.166 4.982-13.188 8.97-.02 3.985 1.82 8.842 13.188 8.842h71.97c9.785 0 11.677-4.68 11.717-9 .04-4.32-1.488-8.812-11.718-8.812h-71.97zM20.22 164.97v18.686h279V164.97h-279zm359.436 0v18.686h116.47V164.97h-116.47zm-262.25 118.436v22.97H261.25v40.593c15.548 2.168 25.745 14.72 25.625 27.374-.12 12.638-10.297 24.963-25.625 27.125v41.874H117.406v23.625h186.906V283.405H117.406zm-94.78 42.5v97.656H242.56v-21.75H184.5c-18.88 0-31.953-13.374-31.875-27.625.078-14.25 13.144-27.53 31.875-27.53h58.063v-20.75H22.625zm300.374 0v97.656h172.344v-97.656H323zm44.094 31.844c9.36 0 16.937 7.61 16.937 16.97s-7.575 16.936-16.936 16.936c-9.362 0-16.97-7.576-16.97-16.937 0-9.363 7.608-16.97 16.97-16.97zm77.28 0c9.363 0 16.938 7.61 16.938 16.97s-7.575 16.936-16.937 16.936c-9.362 0-16.97-7.576-16.97-16.937 0-9.363 7.608-16.97 16.97-16.97zM184.5 365.344c-11.12 0-13.166 4.95-13.188 8.937-.02 3.988 1.82 8.845 13.188 8.845h71.938c9.786 0 11.71-4.65 11.75-8.97.04-4.318-1.52-8.81-11.75-8.81H184.5z"}}]})(props);
};
function GiBelt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 126.97c-86.364 0-225.564 39.103-234.6 109.96-9.828 90.817 77.986 124.365 144.875 128.814v-78.592c-52.133 0-70.272-22.63-66.675-50.222 7.275-55.81 100.12-63.614 156.4-63.614s149.125 7.805 156.4 63.614c3.597 27.59-14.542 50.222-66.675 50.222v78.592c66.89-4.45 154.703-37.997 144.875-128.814-5.604-78.746-148.236-109.96-234.6-109.96zm71.656 152.257l-143.312.02V384.87l143.312.157V279.226zm-17.642 21.507v23.606h-82.29v19.592h82.29v21.523h-104.12V300.8h32.33l71.79-.066z"}}]})(props);
};
function GiBerriesBowl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M285.4 61.74c-12-.1-22.7 6.5-26.9 17.14-2.4 5.9-2.3 12.28-.4 18.17 2.6 2.49 4.9 5.25 6.9 8.05 4.2-1.2 8.6-1.9 13.2-1.9 8.8 0 17.1 2.5 24.1 6.8 3.5-7 8.9-12.96 15.6-17.4.3-11.66-7.3-23.3-20.2-28.43-4.1-1.62-8.2-2.4-12.3-2.43zm-65.7 37.75c-11.8 0-22 5.91-25.9 15.31-5.4 13.1 2.5 30.1 19.6 37.2 17.2 7.1 34.8.7 40.2-12.4 5.5-13-2.4-30-19.6-37.1-4.8-2.1-9.7-2.99-14.3-3.01zM346.8 102c-15.6 0-27.6 9.6-30.2 21.4 4.6 6.6 7.4 14.6 7.9 23.1 5.5 4.9 13.3 8.1 22.3 8.1 17.7 0 30.8-12.3 30.8-26.3S364.5 102 346.8 102zm-68.6 19.2c-2 0-4 .2-5.9.6 1.9 8.1 1.4 16.6-2 24.7-3.3 7.9-8.7 14.1-15.4 18.5 5.1 7.3 13.6 12 23.3 12 15.8 0 28.4-12.5 28.4-27.9 0-15.4-12.6-27.9-28.4-27.9zm-138.3 15.1c-5.1-.1-10.2 1.2-14.7 3.8-14.4 8.5-19.1 28.8-9 46.2 10.1 17.3 30.2 23.2 44.6 14.8 14.5-8.4 19.1-28.8 9-46.1-6.9-12-18.6-18.5-29.9-18.7zm263.4 22.4c-18.8-.3-34.5 11-37.6 26.8-3.5 18 10.4 36.9 32.8 41.2 22.4 4.4 42.4-7.9 45.9-25.9s-10.4-36.9-32.8-41.2c-2.8-.5-5.6-.8-8.3-.9zm-211 1.3c-.4.1-.7.1-1 .2 5.2 19.8-.8 40.9-16.5 53.1 6.3 6.2 15.2 10.1 25.2 10.1 19.4 0 34.5-14.6 34.5-32.1 0-6.8-2.3-13.2-6.2-18.4-7.2 0-14.7-1.3-21.8-4.3-5.3-2.2-10.1-5.1-14.2-8.6zm129.2 6.1c-.1.1-.2.1-.3.2-2.6 6.3-6.6 12-11.6 16.5-.3 1.3-.4 2.6-.4 4 0 13.3 11.4 24.4 26.3 24.4 5.4 0 10.3-1.5 14.4-4-2.8-7.9-3.6-16.4-1.9-25.1.7-3.4 1.7-6.6 3-9.7-1.4.1-2.8.2-4.2.2-9.2 0-17.9-2.4-25.3-6.5zm-69.2 21c.1 1.4.2 2.8.2 4.2 0 12.9-5.1 24.6-13.5 33.4 9 1.4 17.2 5 24.1 10.1 5.6-13.4 16.9-25 31.3-32.1-1.2-2.9-2.1-6-2.6-9.1-.2-.2-.4-.3-.6-.5-4.2 1.2-8.5 1.9-13 1.9-9.5 0-18.5-2.9-25.9-7.9zM98.41 202.5c-10.6 0-21.75 6.7-27.74 18.9-5.44 11.1-4.72 22.8.36 31.2 11.47 2.6 22.99 5 34.57 7.1 5.3-3.2 10-8.1 13.2-14.7 5.3-10.9 4.7-22.5-.3-30.8-4.1-2.8-8-6.1-11.4-10-2.7-1.1-5.7-1.6-8.69-1.7zm206.59 15c-16.1 6.9-26.5 20.3-27.6 34 3.1 5.9 4.9 12.4 5.2 19.4.7 1.1 1.6 2.1 2.4 3.1 26.1-.7 51.8-2.7 77.1-5.9 6.4-8.2 9.1-18 7.2-27.3-1.5-6.9-5.4-13-11-17.7-6.7 3.9-14.5 6.1-22.8 6.1-11.7 0-22.5-4.4-30.5-11.7zm-146.9 3.9c-5.9 1.5-12.1 1.8-18.1.9 1.4 10-.3 20.8-5.1 30.7-1.9 3.9-4.2 7.4-6.9 10.6 14.9 2.4 29.8 4.3 44.7 5.9.7-.2 1.3-.5 2-.7 1.1-.4 2.3-.7 3.4-1 1-9.5 5-18.2 11-25.3-.2-.8-.4-1.6-.7-2.4-12.2-2.6-22.9-9.3-30.3-18.7zm292.4 6c-13 14.2-34.1 21.1-55.4 17-1.7-.3-3.3-.7-4.9-1.2-.3 1.9-.5 3.8-.5 5.8 0 5.2 1.2 10.2 3.2 14.6 22.2-3.8 44-8.5 65.2-14.2v-.4c0-8.2-2.9-15.8-7.6-21.6zM230.2 242c-16.4 0-29.6 10.1-33.4 23.2 4.9.1 9.9.7 14.9 1.9l.8.2.8.3c3.5 1.7 6.8 3.6 9.9 5.8 13.8.7 27.7 1 41.5.9V273c0-16.8-15-31-34.5-31zM31.29 260.9c9.75 21.4 26.04 48.9 45.97 74.9 25.44 33.4 57.04 64.5 86.84 79.4l5 2.5v5.6c0 3 1.2 5.6 5.1 8.9 3.9 3.4 10.5 6.8 18.7 9.6 16.6 5.5 40 8.5 63.2 8.5 23.2 0 46.6-3 63.2-8.5 8.2-2.8 14.8-6.2 18.7-9.6 3.9-3.3 5.1-5.9 5.1-8.9v-5.6l5-2.5c29.8-14.9 61.4-46 86.9-79.4 19.7-25.8 35.9-53 45.7-74.3-74.9 22.5-157.3 32.6-241.2 30.4 4.3 8.4 5.8 18.4 2.7 28-10.4 31.5-42.7 52.9-76.8 67.2l-5.9 2.5-4.3-4.7c-11.3-12.5-15.3-30.4-15.7-48.1-.4-17.6 2.9-35.2 9.6-48.2v-.1c.6-1.2 1.3-2.4 2.1-3.5-40.3-5.2-80.53-13.2-119.91-24.1zm163.41 22.3c-.4.1-.7.1-1.1.1-4.6.3-9 1.2-13 2.6-7.9 2.7-13.7 7.5-15.5 11-4.7 8.9-7.9 24.5-7.6 39.5.3 12 3 23.3 7.4 31.1 28.9-13.2 53.2-32.1 60.1-53.2 1.8-5.3.8-10.6-2.6-16.1-2.3-3.7-5.7-7.2-9.8-10.1-10.3 19.1-19.3 37.6-20.7 47.8l-17.8-2.4c2.1-15.2 10.9-32.5 20.6-50.3z"}}]})(props);
};
function GiBerryBush (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M59.88 52.08c-6.83.11-12.17 1.87-15.99 5.34C19.35 79.67 15.6 117.7 26.63 158c9.74 35.6 31.13 71.9 56.99 96.9.48.2.98.4 1.47.6-.84-11.8.74-23.3 6.28-36l16.43 7.2c-5 11.4-6 20-4.7 30.3 16.8-6 36.4 9 39.9 23.3 6 24.1-23.8 55.9-48.48 56.4-15.43.3-32.55-12.6-41.23-28-6.94 6.3-13.04 12.6-17.91 18.9-13.01 16.8-17.27 31.4-9.21 46.8 6.62 12.8 17.27 20.9 31.47 26 14.19 5.1 31.84 6.8 50.56 5.8 23-1.3 47.5-6.7 69.5-13.9-3.6-5.9-5.9-12.4-5.8-18.7.3-15.7 11-36.2 28.7-30.7l-2.6-17.2 17.8-2.8 3 19.3c2.1-.7 4.3-1.1 6.5-1.1 11.8 0 23.9 9.7 27.3 19.8 2.9 8.6.9 18.7-3.8 27.9 17.9 8 37.7 15.8 58.3 22.3 2.9-9.8 11.4-20.1 21.8-20.3 2.7-.1 5.5.6 8.4 2.1 1.5-8.1 2.3-15.5 1.1-22.4l17.8-3c1.6 9.9.5 19.2-1.1 27.9 12-.1 23.3 11.5 24.6 21.6.4 3.3 0 6.6-1.1 9.9 19.6 2.1 38.2 1.8 55-1.6-5.9-5.7-10-12.8-10.4-19.9-.8-12.8 7.2-30.4 22.8-28-.5-6.1-1.2-12.2-2.2-18.1l17.6-3.4c1.3 6.5 2.1 13 2.6 19.3 2-.7 4.1-1.1 6.2-1.1 7.8-.2 15.8 3.8 20.7 9.2.6-4.3.4-9.3-.5-14.9-1.9-11.9-6.9-25.7-12.9-38.6-6.2-13.4-13.2-25.8-18.6-34.6-6.2 4.5-13.2 7.5-19.7 7.6-17.5.4-37.8-21.1-35.9-38.5 1.3-11 9.4-24.3 21.1-24.7 2.2-.1 4.5.3 7 1.2-.1-10-1-22.2-1.7-30.3l18-1.6c.7 8.3 2 20.8 1.9 32.4 4.2-.5 8.4.4 12.2 2.2 2.7-7.2 5.6-15.4 8.2-24.1 9-29.4 14.1-64.1 6.2-81.4-4.7-10.3-11.9-20.1-20.7-28.8 2.6 4 4.4 8.2 4.9 12.3 3.3 24.6-29.8 52.8-54.4 50.5-22.7-1.9-45.8-32.9-40.8-55.3 3.1-13.5 14.6-28.87 28.9-29.21 6.5-.15 13.6 2.8 20.7 10.43 8-5.62 16.7-5.55 24.3-2.35-23.9-17.08-54.1-27.46-80.6-26-10.4.56-28.7 12.65-42.8 25.62C301.6 108.2 291.2 121 291.2 121l-6.6 8.1-7-7.7s-9.4-10.3-21.9-20.7c-12.5-10.44-28.7-20.12-37.2-20.6-4.3-.24-15.8 4.57-24.7 10.46-9 5.9-16 11.94-16 11.94l-5.6 4.9-5.8-4.6s-24.3-18.72-52.6-33.46c-14.08-7.36-29.2-13.63-41.97-16.08-3.19-.62-6.16-.99-8.93-1.13-.52 0-1.03 0-1.53-.1h-1.49zm27.49 39.34c3.22 8.1 4.87 16.18 5.65 24.08 1.9-.6 4-1 6.1-1 9.68-.1 19.88 5.9 23.58 13.2 8.7 16.8-8 45.6-26.28 50.3-16.96 4.4-41.65-11.9-43.79-29.3-1.52-13.3 5.84-32 22.64-29.1-.51-7.4-1.85-14.5-4.64-21.54zM234.8 169.2l17.8 2c-1 8.7-1.4 17.7-1 26.9 12.4-3 26.2 7.8 28.8 18.1.4 1.6.6 3.3.6 5 4.7-3.9 10.5-5.5 17-2.6 1.8-12.1 6.6-23.6 11.7-34.5l16.4 7.6c-4.6 9.8-8.3 19-9.9 27.7 12.7-2.6 26.3 10.3 29 22.7 4.8 22.7-19.2 52.6-39 53-18.3.5-39.5-26.1-37.6-47.6 0-.4.1-.7.1-1.1-7.3 7.4-16.8 12.6-25.5 12.7-17.5.4-37.8-21.1-35.9-38.5 1.3-10.9 9.4-24.2 21.1-24.6 1.7-.1 3.4.1 5.2.6-.2-9.3.2-18.5 1.2-27.4zm-80.6 248.4c-7.5 1.7-15.1 3.1-22.8 4.3-5.5 21.6-12.4 45.8-29.8 68.3h86.5c-17.5-22-28.5-48-33.9-72.6zm210.7 27.8c-8.2 6.6-18.4 10.8-27.2 9.9-.8-.1-1.7-.2-2.5-.4-2.9 11.9-7.3 24.2-14.4 36.3h79.5c-14.6-10.6-24.5-22.4-30.8-34.9-1.8-3.6-3.3-7.3-4.6-10.9z"}}]})(props);
};
function GiBestialFangs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M361.906 25.938c-49.615.102-110.022 18.8-154.25 37.593-12.605-7.315-27.254-11.622-43.156-12.28-18.84-.78-39.426 3.525-60.47 13.875l-1.468.72-.093.03C51.863 87.46 22.14 140.77 19.062 200.625c91.48-18.65 15.3 110.685 57.968 156.406C181.473 441.578 284.58 484.333 390 487.53c44.707 0 67.482-12.576 70.156-40.53 14.36-46.12 15.182-98.99 13.22-148.47-12.752 42.9-25.627 85.79-47.72 128.095-5.745.157-12.06.025-18.906-.47-10.324 19.953-21.38 36.51-39.656 46.876 12.73-16.588 19.968-35.21 26-61.186 7.956-39.902 11.877-79.818 14.75-119.72L351.72 415.5c-2.474-.752-4.988-1.567-7.533-2.406-65.917-52.54-93.99-102.854-92.125-151.625 1.773-46.336 31.03-93.828 86.375-142 1.643-.338 3.29-.69 4.907-1 19.63 45.61 34.845 90.96 48.22 136.186 6.728-44.3 5.344-89.092-2.377-134.28-4.977-19.72-11.31-34.776-21.5-48.44 17.483 8.524 31.02 20.368 40.5 40.126 5.347 0 10.41.133 15.125.376 35.996 39.062 52.935 82.938 65.032 129.187 6.042-68.832-11.477-131.56-53.78-187.844l-3.752-6.81c-16.255-15.21-40.84-21.09-68.906-21.032zm-200.97 43.75c.903.005 1.8.026 2.69.062 12.338.5 23.395 3.804 33 9.094-9.716 15.956-24.405 26.127-42.064 32.03-16.195 5.416-34.8 6.806-53.125 5.157 6.505-11.26 12.63-23.118 15.094-35.936 15.916-7.18 30.878-10.494 44.407-10.406zm140.22 59.093c-42.165 42.782-66.048 86.653-67.78 131.97-1.766 46.156 19.81 91.9 65.25 136.97-32.14-11.12-66.783-24.655-94.688-44.033-33.387-18.577-59.818-42.03-73.625-71.062-15.45-32.487-13.78-71.5 10.468-113.344l16.157 9.376c-22.003 37.97-22.593 68.932-9.75 95.938 1.137 2.39 2.386 4.76 3.75 7.094-1.75-7.86-2.657-16.212-2.562-25.125.702-65.966 83.636-107.434 152.78-127.782z","fillRule":"evenodd"}}]})(props);
};
function GiBeveledStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M320.188 23.375l-69.25 103.063 3.687 54.062 24.563-36.375 15.156-22.47 1.906 27.032 2.97 42.282 29.436-43.814-8.47-123.78zM88.155 85.655l54.688 111.626 48.03 23.532-19.405-39.156-12.25-24.72 24.75 12.19 39.343 19.374-23.625-48.188L88.156 85.656zm191.375 91.376l-25.842 38.282-4.563 6.75-7.313-3.593-41.343-20.376 20.25 40.875 3.624 7.343-6.78 4.562-38.408 25.875 46.22 3.03 8.124.533.563 8.156 3.218 45.717 25.25-38.03 4.533-6.844 7.375 3.625L316 313.406l-20.344-41.594-3.594-7.343 6.813-4.533 37.938-25.25-45.344-2.906-8.158-.53-.562-8.156-3.22-46.063zm86.533 7.69l-45.032 30.25 44.564 2.874 27.625 1.78-23.033 15.314-35.812 23.843 52.688 3.595 102.968-69.22-123.967-8.436zm-237.407 63.593l-103 69.218 124 8.44 44-29.564-43.03-2.844-27.282-1.78L146.03 276.5l36.407-24.5-53.78-3.688zm197.03 42.375l19.127 39.093 12 24.564-24.532-12.063-39.217-19.342 23.562 48.125 111.5 54.625-54.688-111.625-47.75-23.375zm-108.217 28.28l-30.157 44.876 8.468 123.78 69.25-103.062-3.592-52.937-23.782 35.75L222.5 390.25l-1.938-27.375-3.093-43.906z"}}]})(props);
};
function GiBiceps (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M211.832 39.06c-15.022 15.31-15.894 22.83-23.473 43.903 2.69 9.14 5.154 16.927 9.148 25.117 5.158.283 10.765.47 15.342.43-6.11-10.208-8.276-19.32-4.733-35.274 4.3 19.05 12.847 29.993 21.203 34.332 3.032-.334 5.957-.714 8.776-1.146-6.255-10.337-8.494-19.47-4.914-35.588 3.897 17.27 11.287 27.876 18.86 32.94 4.658-1.043 9.283-2.243 13.927-3.534-5.517-9.69-7.36-18.692-3.97-33.957 3.357 14.876 9.307 24.81 15.732 30.516 5.095-1.57 9.296-2.898 13.852-4.347-.685-5.782-.416-12.187 1.064-19.115l1.883-8.8 17.603 3.76-1.88 8.804c-3.636 17.008 1.324 24.42 7.306 28.666 5.98 4.244 14.69 3.46 16.03 2.6l7.576-4.86 9.72 15.15c-3.857 2.34-7.9 5.44-11.822 7.06 18.65 27.678 32.183 61.465 24.756 93.55-2.365 9.474-6.03 18.243-11.715 24.986 12.725 12.13 21.215 22.026 31.032 34.5-3.713-2.387-7.586-4.844-11.692-7.37-11.397-7.01-23.832-14.214-34.98-19.802-16.012-7.8-31.367-18.205-47.73-20.523-22.552-2.967-46.27 4.797-73.32 21.06 7.872 8.72 13.282 15.474 20.312 24.288-6.98-4.338-14.652-9.07-23.16-14.23-32.554-17.48-65.39-48.227-100.438-49.99-30.56-1.092-59.952 14.955-89.677 38.568L18 254.293V494h31.963c45.184-17.437 80.287-57.654 97.03-94.52l.25-.564.325-.52c9.463-15.252 11.148-29.688 16.79-44.732 5.645-15.044 16.907-29.718 41.884-38.756 4.353-2.16 5.07-1.415 8.633 1.395 30.468 24.01 57.29 32.02 83.24 32.35 32.61-1.557 58.442-9.882 85.682-19.38-3.966 3.528-8.77 7.21-13.986 10.762-15.323 10.436-34.217 19.928-46.304 24.8-14.716 2.006-28.36 2.416-41.967.616-9.96 12.09-25.574 20.358-37.35 26.673 63.92 14.023 115.88.91 167.386-22.896-9.522-1.817-19.008-3.692-27.994-5.42 31.634-4.422 64.984-3.766 94.705-3.53 4.084-.02 7.213-.453 8.7-.886 14.167-51.072-4.095-97.893-34.294-145.216-30.263-47.425-72.18-94.107-101.896-143.04-21.1-17.257-48.6-31.455-77.522-46.175-20.386 4.25-41.026 9.336-61.443 14.1zm85.385 70.49c-11.678 3.6-23.71 7.425-33.852 10.012 2.527 4.93 3.735 10.664 3.395 16.202 11.028.877 21.082-2.018 28.965-6.356 4.845-2.666 8.74-6.048 11.414-8.96-3.854-2.735-7.26-6.41-9.923-10.9zm-54.213 14.698c-11.76 1.143-24.59 2.362-35.06 2.236 2.39 4.772 3.78 12.067 8.51 14.84 11.18 1.164 20.6 1.997 29.91-1.746 5.435-3.214 1.818-15.058-3.36-15.33zm-34.98 209.332c-17.593 7.233-22.586 15.14-26.813 26.406-3.998 10.66-6.227 25.076-14.48 41.014 32.29-6.38 69.625-21.23 93.852-40.088-17.017-5.098-34.553-13.852-52.557-27.332zm9.318 71.385c-18.723 7.237-40.836 16.144-59.696 14.062C143.774 446.68 124.012 474.03 91.762 494h84.68c21.564-29.798 38.067-56.575 40.9-89.035z"}}]})(props);
};
function GiBigDiamondRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201.837 53.087L177.547 21h55.676zM278.766 21l30.82 31.465L333.065 21h-54.298zm12.428 38.12L256 23.18l-35.25 35.985h70.5zm82.091 0l-23.511-30.855-23.003 30.9h46.57zM161.096 28.683L138.5 59.188h45.746zm51.248 48.242L256 196.821l43.69-119.896h-87.38zm-73.166 0l90.384 99.017-36.153-99.017h-54.231zm233.712 0h-54.23l-36.076 99.017zm-19.455 48.142l-29.059 31.838a154.298 154.298 0 0 1 85.786 138.119C410.14 380.008 340.995 449.197 256 449.197s-154.14-69.144-154.14-154.14a154.298 154.298 0 0 1 85.787-138.119L158.588 125.1a196.044 196.044 0 0 0-98.53 169.924C60.057 403.056 147.955 491 256 491c108.044 0 195.943-87.899 195.943-195.943a196.044 196.044 0 0 0-98.542-169.99z"}}]})(props);
};
function GiBigEgg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16C166 16 76 196 76 316c0 90 60 180 180 180s180-90 180-180c0-120-90-300-180-300z"}}]})(props);
};
function GiBigGear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M438.582 296.069l53.302-14.694-.024-50.728-53.278-14.743c-4.76-21.901-13.445-42.325-25.185-60.608l27.323-48.157-35.904-35.855-48.078 27.3C338.4 86.818 317.975 78.16 296.053 73.347l-14.746-53.224H230.64l-14.77 53.224c-21.874 4.813-42.324 13.472-60.61 25.235L107.13 71.284l-35.88 35.883 27.3 48.077c-11.74 18.336-20.401 38.76-25.236 60.66l-53.198 14.744v50.727l53.198 14.694a186.28 186.28 0 0 0 25.235 60.658l-27.298 48.157 35.88 35.83 48.128-27.274a186.217 186.217 0 0 0 60.66 25.186l14.72 53.25 50.693-.024 14.72-53.225c21.923-4.813 42.348-13.47 60.686-25.212l48.127 27.327 35.805-35.883-27.273-48.155c11.714-18.31 20.4-38.708 25.185-60.635zM200.588 122.394h110.819l78.333 78.358v9.207h-55.162c-15.844-26.933-45.134-45.051-78.582-45.051-33.445 0-62.735 18.118-78.578 45.051H122.23v-9.207zm55.408 88.542c24.88 0 45.072 20.196 45.072 45.052 0 24.929-20.19 45.1-45.072 45.1-24.872 0-45.068-20.17-45.068-45.1 0-24.856 20.196-45.052 45.068-45.052zm55.411 179.05H200.588l-78.357-78.358v-9.612h55.106a91.66 91.66 0 0 0 14.253 18.417c17.206 17.206 40.082 26.681 64.407 26.681 24.333 0 47.208-9.476 64.415-26.683a91.636 91.636 0 0 0 14.25-18.415h55.079v9.612z"}}]})(props);
};
function GiBigWave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M319.406 75.156c-50.542.49-104.39 20.876-150.094 72.844-10.232 9.65-19.88 19.59-29.187 29.313-20.516 21.433-39.694 41.877-60.22 56.468-18.484 13.142-37.73 21.617-61 22.75v89.876c53.93-32.793 59.934-67.832 115.595-136.312 6.38-6.524 12.727-13.19 19.125-19.875 9.96-10.407 20.016-20.803 30.563-30.657 46.422-36.83 92.022-27.93 107.218 2.5 4.6-49.27 57.958-30.564 66.813 18.875 6.91-33.696 20.327-44.354 34.03-31.625-28.136 49.585-26.61 110.87-8.406 164.937 20.51 60.915 61.743 114.13 110.344 133.75v-20.563c-38.34-19.194-74.662-65.71-92.657-119.156-15.937-47.336-17.777-99.07 2.75-141.655 8.492 16.92 16.342 43.406 21.94 79.53 17.992-84.587 54.762-72.463 56.624-10.593 42.998-66.287-52.197-161.48-163.438-160.406zm-35.656 95.78C194.225 181.69 66.158 359.648 43.625 494.97h91.25c1.02-133.954 71.114-282.045 148.875-324.033zm32.406 13.69c-76.76 49.056-114.574 208.732-109.812 310.343h78.437c-41.213-80.74-23.207-252.666 31.376-310.345zm21.875 26.218c-34.686 82.23-25.705 191.077 25.158 284.125h78c-75.605-53.774-120.09-190.455-103.157-284.126z"}}]})(props);
};
function GiBilledCap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M195.7 53.97c-6.5-.1-16.1 2.87-15.6 9.53.4 5.62 36.7 4.08 36.8-.21.2-6.21-14.1-9.26-21.2-9.32zm-74.6 41.99c-16 7.14-33.09 16.14-45.82 28.34-33.62 35.1-56.12 87.9-50.74 172.6 16.25 22.5 76.46 36.7 108.06 41.7 51.1-22 206.3-45.3 265.1-22.1-1.4-47.7-13.8-105.6-45.1-151.9-19.6-35.8-50.2-62-89.9-75.84-45.6-14.5-97-13.1-141.6 7.2zM151.4 356c30.9 46 62.2 82.9 108.7 101.6 2.6.5 6.6 1.1 9.8-1.3 38.8-29.3 146.8-33.6 212.6-14.8 3.6 1 7.1-4.5 5.1-8.2-17.4-31.7-36.9-63.7-75-90-78.8-32.6-191.1-7.8-261.2 12.7z"}}]})(props);
};
function GiBindle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M459.03 42.48c-2.55-.025-5.894.37-9.842 1.18-11.325 11.974-22.63 23.982-33.936 35.99 9.132-1.408 19.102-2.543 29.178-3.183 1.767-.112 3.53-.204 5.29-.28 6.668-7.36 13.322-14.714 19.958-22.068-.224-5.638-1.588-8.51-3.414-9.86-1.075-.794-3.04-1.545-6.188-1.742-.33-.02-.68-.034-1.045-.038zM300.396 62.234c-5.184-.05-9.115.76-11.852 2.032 1.86 10.065 11.133 23.568 26.262 33.168 9.702 6.156 21.45 10.673 34.35 12.328 1.83-10.858 7.36-20.503 15.236-27.108-9.046-4.71-19.862-9.646-30.77-13.404-11.056-3.81-22.124-6.455-30.927-6.94-.79-.043-1.558-.068-2.298-.076zm88.697 29.29c-12.05 0-22.606 11.1-22.606 26.117 0 2.084.21 4.088.592 6 7.943-3.524 15.51-9.308 22.336-15.247 4.76-4.14 9.056-8.22 13.36-11.55-3.855-3.367-8.636-5.32-13.682-5.32zm69.502 2.45c-4.225.02-8.608.177-13.024.458-7.024.446-14.114 1.217-20.838 2.154 3.172 6.314 4.965 13.51 4.965 21.055 0 .088-.005.175-.006.262 9.91.117 19.423-1.054 27.94-3.193 9.94-2.498 18.488-6.28 24.524-10.378 2.99-2.03 5.274-4.132 6.918-6.06-2.74-1.208-6.496-2.405-11.256-3.124-4.463-.674-9.58-1.04-15.054-1.144-1.37-.026-2.76-.035-4.168-.03zm-47.24 19.102c-2.818 2.398-6.25 5.526-10.124 8.895-6.77 5.89-14.976 12.635-24.794 17.317 3.663 2.844 8.05 4.47 12.656 4.47 12.05 0 22.605-11.1 22.605-26.116 0-1.567-.122-3.09-.342-4.564zm-65.08 39.9c-24.567 26.112-49.153 52.204-73.844 78.165-.207.578-.386 1.057-.592 1.633-3.1 8.662-6.002 16.934-6.002 16.934l-8.33-2.922c-19.385 20.305-38.846 40.505-58.393 60.588.314-4.198 1.113-8.584 2.54-13.29l-17.22-5.23c-3.96 13.04-4.087 25.034-2.287 35.905-39.558 40.36-79.537 80.127-120.208 118.904 4.97.714 9.293 2.395 13.003 4.975 5.108 3.55 8.363 8.17 10.45 13.04 17.98-18.18 35.817-36.342 53.516-54.488l-4.406-10.23s8.09-3.484 16.627-7.1c2.732-1.155 5.238-2.195 7.82-3.272 52.52-54.117 103.84-108.087 154.162-161.932 3.956-8.16 7.978-16.437 11.972-24.802 7.444-15.593 14.738-31.41 21.19-46.88zm19.255.565c-7.26 17.985-15.68 36.216-24.204 54.07-17.833 37.354-36.067 73.075-44.787 99.236-6.393 19.176 4.528 44.254 24.772 64.843C341.558 392.28 370.296 407 392 407c21.62 0 50.51-15.045 70.83-35.828s31.132-45.893 24.682-64.178c-13.708-38.856-51.462-87.162-76.266-152.404-1.886 1.344-3.88 2.53-5.975 3.52-3.163 31.98 9.366 64.71-13.27 65.89-23.425 1.22-21.09-35.15-21.027-66.877-1.91-1.04-3.726-2.243-5.444-3.582zm78.28 117.245c11.813 15.312 17.416 32.482 16.237 49.293-1.255 17.897-10.14 34.967-25.26 48.758l-11.293-12.38c2.583-3.106 4.936-6.212 7.053-9.327 4.492-5.66 7.63-11.578 9.512-17.618.723-1.79 1.4-3.586 1.993-5.4 5.532-16.914 5.167-34.305 1.756-53.327zm-129.246 41.688c.034.038.066.078.1.117 6.64 7.516 16.95 14.62 33.078 22.3 4.968 2.965 11.132 5.073 18.106 7.962l-6.89 16.628c-7.56-3.13-17.076-5.836-25.897-12.894-8.488-6.792-15.337-17.694-18.496-34.113zM55.784 461.215c-3.93.045-9.178 1-16.087 3.478-1.082 1.016-2.16 2.037-3.242 3.05 2.886 4.915 6.124 8.473 9.877 10.587 4.718 2.658 11.108 3.672 21.414 1.17.98-.988 1.952-1.974 2.932-2.96-.754-5.7-2.693-10.818-6.012-13.126-1.75-1.216-4.526-2.25-8.88-2.2z"}}]})(props);
};
function GiBinoculars (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M186.436 86.738c-9.044 0-19.112 5.87-26.735 21.114l-6.807 13.62c2.48-.203 4.968-.31 7.455-.31 18.02 0 36.005 5.363 51.87 15.977v-30.984c-7.5-13.917-17.102-19.418-25.782-19.418zm139.128 0c-8.68 0-18.28 5.5-25.78 19.418v30.994c18.064-12.06 38.895-17.28 59.345-15.638l-6.83-13.66c-7.624-15.245-17.692-21.114-26.736-21.114zm-165.216 51.926c-19.05 0-38.08 7.693-53.74 23l-37.38 65.418c14.492-6.743 30.633-10.518 47.64-10.518 39.96 0 75.16 20.792 95.35 52.124V159.846c-15.293-14.115-33.58-21.182-51.87-21.182zm192.433.033c-18.662-.306-37.39 6.74-52.997 21.145v108.845c20.19-31.33 55.39-52.123 95.348-52.123 17.01 0 33.15 3.775 47.643 10.518l-37.38-65.418c-15.35-15.003-33.95-22.66-52.612-22.967zM256 151.957c-5.113 0-11.882 2.775-25.783 9.627v133.014c7.246-5.314 16.164-8.467 25.783-8.467 9.62 0 18.537 3.154 25.783 8.468V161.584c-13.9-6.852-20.67-9.627-25.783-9.627zm-139.13 82.607c-52.767 0-95.35 42.582-95.35 95.348s42.583 95.35 95.35 95.35c52.765 0 95.347-42.584 95.347-95.35 0-52.766-42.582-95.348-95.348-95.348zm278.26 0c-52.765 0-95.347 42.582-95.347 95.348s42.582 95.35 95.348 95.35c52.767 0 95.35-42.584 95.35-95.35 0-52.766-42.583-95.348-95.35-95.348zm-279.827 19.004c1.223-.018 2.448-.008 3.674.03 7.344.225 14.694 1.462 21.77 3.816 36.842 11.343 59.745 51.664 50.622 89.11-7.652 37.743-45.455 64.51-83.595 59.17-38.748-3.865-69.376-39.578-67.16-78.483.167-11.41 3.133-22.336 8.2-32.124A26.087 26.087 0 0 0 73.39 312.52a26.087 26.087 0 0 0 26.09-26.084 26.087 26.087 0 0 0-17.447-24.584c9.058-4.694 19.097-7.594 29.606-8.147 1.218-.072 2.44-.118 3.663-.137zm278.26 0c1.223-.018 2.448-.008 3.673.03 7.344.225 14.696 1.462 21.774 3.816 36.84 11.343 59.742 51.664 50.62 89.11-7.652 37.742-45.453 64.51-83.59 59.173-38.75-3.865-69.38-39.582-67.163-78.488.167-11.41 3.133-22.334 8.2-32.122a26.087 26.087 0 0 0 24.575 17.433 26.087 26.087 0 0 0 26.086-26.084 26.087 26.087 0 0 0-17.443-24.584c9.057-4.694 19.095-7.594 29.603-8.147 1.22-.072 2.44-.118 3.664-.137zM256 304.13c-14.346 0-25.783 11.436-25.783 25.782s11.437 25.783 25.783 25.783c14.346 0 25.783-11.437 25.783-25.783 0-14.346-11.437-25.78-25.783-25.78z"}}]})(props);
};
function GiBiohazard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M158.03 41.656c-19.755 22.934-31.78 52.76-31.78 85.406 0 23.544 6.228 45.667 17.125 64.782-22.02.108-44.312 5.78-64.72 17.562-28.266 16.32-48.113 41.64-58.093 70.22 9.484-15.492 23.012-28.562 39.844-38.282 23.238-13.417 49.246-17.604 73.813-13.72-2.547 9.988-3.907 20.45-3.907 31.22 0 57.436 38.516 106.03 91.062 121.375-9.005 22.822-25.49 42.892-48.406 56.124-16.838 9.722-35.253 14.313-53.407 14.78 29.763 5.674 61.89 1.723 90.187-14.624 20.317-11.732 36.307-28.117 47.406-47.03 11.1 18.922 27.08 35.325 47.406 47.06 28.296 16.35 60.422 20.268 90.188 14.595-18.163-.466-36.574-5.03-53.406-14.75-22.99-13.275-39.514-33.43-48.5-56.344 52.175-15.572 90.312-64.01 90.312-121.186 0-10.714-1.356-21.122-3.875-31.063 24.812-4.113 51.127.025 74.626 13.595 16.832 9.725 30.362 22.788 39.844 38.28-9.978-28.58-29.826-53.896-58.094-70.217-20.29-11.718-42.444-17.393-64.344-17.563 10.906-19.12 17.157-41.258 17.157-64.813 0-32.68-12.678-62.462-32.47-85.406 8.668 15.962 13.906 34.184 13.906 53.625 0 27.412-9.775 52.516-26.03 72.032-22.69-21.61-53.39-34.906-87.126-34.906-33.412 0-63.84 13.036-86.47 34.28-15.94-19.424-25.5-44.29-25.5-71.405 0-19.44 4.58-37.662 13.25-53.624zm98.72 109.438c28.748 0 54.833 11.19 74.125 29.47-17.373 14.994-39.375 24.76-63.594 26.874v19.812c12.912 3.6 22.283 15.35 22.283 29.47 0 2.39-.272 4.708-.782 6.936l17.44 9.5c14.018-19.577 33.415-33.477 54.967-40.844 2.14 8.485 3.282 17.372 3.282 26.532 0 48.918-32.41 90.075-76.97 103.28-5.058-23.923-2.37-49.563 9.125-72.905l-17.438-9.5c-5.385 4.726-12.45 7.592-20.25 7.592-8.056 0-15.342-3.05-20.78-8.062l-20.032 10.78c11.2 23.207 13.728 48.628 8.656 72.345-44.973-12.95-77.78-54.324-77.78-103.53 0-9.25 1.163-18.223 3.344-26.783 22.14 7.39 42.055 21.663 56.28 41.875l20.345-10.968c-.414-2.02-.626-4.103-.626-6.25 0-13.38 8.396-24.635 20.25-28.845V207.53c-24.962-1.917-47.63-11.958-65.375-27.5 19.238-17.95 45.074-28.936 73.53-28.936z"}}]})(props);
};
function GiBiplane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M12.455 112.281v19.153h31.75l5.606 163.779H39.578v19.152h153.389l19.318-18.838a45.2 45.2 0 0 1-2.795-15.709c0-17.091 9.399-31.867 23.34-39.476v-40.51c-10.45 7.054-18.058 18.863-21.37 32.506-12.957 11.747-21.122 28.696-21.122 47.48 0 2.654.182 5.265.498 7.836l-51.822-71.302 61.716-84.918h105.346l61.717 84.918-49.414 67.988c.105-1.496.178-3 .178-4.522 0-17.758-7.302-33.87-19.047-45.504-2.928-13.967-10.325-26.2-20.68-33.683v41.365c12.4 7.979 20.574 21.89 20.574 37.822 0 5.47-.963 10.701-2.728 15.537l19.025 19.01H468.96v-19.152h-12.133l5.606-163.78h37.113v-19.152zm48.38 19.153h.003l61.717 84.916-56.168 77.283zm16.464 0h106.97l-53.486 73.591zm245.238 0h106.97l-53.484 73.591zm123.256.244l-5.535 161.73-56.004-77.056zm-190.957 23.115l-8.441 8.441v88.182c-12.387 3.658-21.534 15.184-21.534 28.691a29.58 29.58 0 0 0 4.053 14.936l-65.447 65.45v11.937l1.65 1.65h11.938l66.34-66.342a29.519 29.519 0 0 0 11.375 2.278c4.062 0 7.945-.829 11.49-2.323l65.758 65.756h11.937l1.65-1.65V359.86l-64.92-64.922a29.577 29.577 0 0 0 3.993-14.832c0-12.593-7.953-23.464-19.067-27.843v-89.03l-8.441-8.441zm-124.05 72.883l49.083 67.537H81.7zm245.237 0l49.084 67.537h-98.17zM254.77 268.199c6.683 0 11.908 5.225 11.908 11.908 0 6.684-5.225 11.909-11.908 11.909-6.684 0-11.909-5.225-11.909-11.909 0-6.683 5.225-11.908 11.909-11.908zm11.12 55.121a45.458 45.458 0 0 1-11.443 1.455c-3.607 0-7.107-.43-10.463-1.222L222.822 344.7h64.319zm-118.374 2.229V344.7h14.338l19.642-19.152zm179.377 0L346.06 344.7h14.652V325.55zm-193.647 17.885c-6.044 0-9.576 5.43-9.576 10.418V389.3c0 4.987 3.532 10.418 9.576 10.418 6.044 0 9.576-5.431 9.576-10.418v-35.45c0-4.986-3.532-10.417-9.576-10.417zm240.8 0c-6.043 0-9.575 5.43-9.575 10.418V389.3c0 4.987 3.532 10.418 9.576 10.418 6.044 0 9.576-5.431 9.576-10.418v-35.45c0-4.986-3.532-10.417-9.576-10.417z"}}]})(props);
};
function GiBirdClaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16.313 14.53v69.5c56.5 26.487 139.512 124.756 121.718 153.626-19.937 9.72-41.66 17.936-66.28 26-2.74.592-5.4 1.456-7.938 2.563-.2.063-.393.122-.593.186l.06.063c-16.915 7.643-28.78 25.936-29.53 44.436-1.172 1.432-2.247 2.977-3.22 4.656-12.052 20.84-19.215 46.52-11.31 70.313 7.903 23.793 31.383 43.1 73.28 50.344l30.438 5.28-22.407-21.25c-20.598-19.52-23.79-44.37-15.655-63.563 18.564-2.293 33.263-17.314 38.72-34.906.024-.082.036-.166.06-.25 8.305-21.175 21.293-40.217 41.876-46.686 22.197-6.978 89.432 19.79 122.907 75.75 3.1 9.693 9.968 18.606 21.594 25.03 6.867 3.795 13.592 5.702 19.97 6.126 8.03 7.63 16.105 17.703 22 28.75 8.26 15.478 12.246 32.53 8.22 48.22l-7.69 29.936L375.5 468c31.637-28.45 41.573-57.794 37.438-83.563-3.873-24.125-18.826-44.065-34.813-59.562-1.898-12.118-8.972-23.538-22.813-31.188-8.148-4.503-16.148-6.32-23.656-6.062-1.087.037-2.153.128-3.22.25-15.68.117-33.815-2.788-50.155-8.656-22.188-15.804-20.717-30.904-2.405-40.72 27.434-2.626 54.565 6.108 76 17.22 1.972 1.488 4.116 2.886 6.47 4.186 22.067 12.198 42.575 5.148 55.31-9.344 7.79 1.084 15.55 4.598 23.126 10.188 11.023 8.13 21.213 20.634 28.75 34.78l10.314 19.376 6.812-20.875c13.164-40.43 7.03-70.206-10.312-88.31-15.176-15.843-37.005-22.188-58.344-22.907-1.065-.036-2.126-.026-3.188-.032-2.17-1.725-4.56-3.342-7.218-4.81-8.15-4.505-16.15-6.32-23.656-6.064-5.92.203-11.534 1.71-16.657 4.188v-.063c-31.524 15.287-62.228 22.54-93.155 28.032-8.008-3.035-10.557-9.02-5.03-19.437 18.92-18.164 41.107-32.81 63.53-40.375 14.174-1.885 26.066-11.202 33.25-23.375 8.486-2.544 18.056-4.173 27.375-4.094 15.366.133 29.59 4.525 39.406 15.19l21.25 23.093-5.156-30.938C437.927 83.1 420.128 60.11 397.812 51.22c-8.368-3.336-17.006-4.73-25.625-4.782-12.06-.075-24.05 2.494-35.125 6.093-4.27-1.392-8.473-2.1-12.53-2.186-19.13-.41-35.312 12.694-42.876 29.437-.007.023-.023.042-.03.064-1.04 2.307-1.898 4.674-2.595 7.094-5.9 15.37-13 29.872-21.217 43.5-34.96 31.232-68.095 19.003-93.688-15.5C144.333 86.56 126.908 49.45 116.97 14.53H16.312zm355.562 50.72c6.738 0 13.2 1.02 19.03 3.344 11.852 4.722 22.592 14.762 29.783 35.687-9.974-4.213-20.77-6.096-31.282-6.186-13.213-.113-26.044 2.423-37.344 6.375-7.2 2.276-11.68 4.717-13.687 5.78-1.934 1.022-1.256 1.004-3.313-.97-2.056-1.972-4.744-6.765-5.968-12.28-1.225-5.515-1.122-11.635.344-16.094 1.465-4.458 3.59-7.103 7.812-8.656h.03v-.03c11.348-4.18 23.366-6.97 34.595-6.97zm37.594 136.22c19.194-.013 38.09 5.407 49.374 17.186 9.58 10.002 15.108 25.212 11.03 49.344-6.486-8.54-13.78-16.22-22-22.28-13.878-10.24-30.478-16.22-47.687-13.595-3.116.475-4.042-.14-5.78-2.375-1.74-2.234-3.21-6.56-3.22-11.094-.01-4.532 1.365-9.054 3.657-12.03 2.292-2.978 5.123-4.878 10.78-5.095 1.28-.048 2.565-.06 3.845-.06zM59.22 317.624c3.08.093 6.475 1.018 9.5 2.625 4.03 2.143 7.17 5.456 8.31 8 1.142 2.544 1.28 3.574-.624 6.063-16 20.908-19.083 50.772-5.78 76.843-20.013-7.685-29.596-18.962-33.657-31.187-5.486-16.512-.514-37.32 9.75-55.064 2.824-4.885 5.83-6.467 9.56-7.094.934-.156 1.912-.218 2.94-.187zm294.56 14.28c2.927-.057 5.47.902 8.376 3.595 15.526 14.38 29.208 32.532 32.313 51.875 2.357 14.692-.622 30.766-14.658 48.875-1.51-12.203-5.664-23.978-11.312-34.563-9.762-18.294-23.688-33.48-37.156-43.062-2.18-1.55-2.332-2.312-1.656-5.78.675-3.47 3.433-8.554 7.468-12.626 4.035-4.074 9.182-7.07 13.53-7.94 1.09-.216 2.12-.354 3.095-.374z"}}]})(props);
};
function GiBirdHouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 22.93L45.22 203.6l19.31 19.3L256 63.37 447.4 222.9l19.4-19.3zm0 63.86L113 206l54.2 230.1h177.6L399 206zm0 68.31c44.2 0 80 35.8 80 80s-35.8 80-80 80-80-35.8-80-80 35.8-80 80-80zm0 210c8.8 0 16 7.2 16 16s-7.2 16-16 16-16-7.2-16-16 7.2-16 16-16zm-9 89v35h18v-35z"}}]})(props);
};
function GiBirdLimb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M129.5 21.25l-.406 79.72L52.5 94.905l61.094 64.03-92.906 29.314s65.592 16.927 109.062 30.375l50.22-17.094-20.157-39.686-6.938-13.656 15.313.062 40.906.188c-10.145-13.34-18.836-26.114-25.22-37.094C165.518 79.764 129.5 21.25 129.5 21.25zM183.406 167l18.125 35.688 4.876 9.593-10.22 3.47-36.81 12.53c32.72 11.145 64.403 23.95 92.56 42.157l-8.81-31.78-3.22-11.626 12.063-.218 30.124-.562c-19.93-16.5-40.332-37.76-58.063-59.03l-40.624-.22zm215.875 44.53c-.764.014-1.543.03-2.31.064l-42.783 43.156c-12.067 5.72-28.657.866-46.937-10.28l-42.906.81 11.97 43.157c11.953 10.085 23.01 21.54 32.905 34.782.007.01.02.018.03.03l.28.406c31.367 45.788 37.903 122.127-37.155 137.938 71.063 33.236 111.556-45.42 95.594-98.375 33.45 35.653 40.736 89.985-16.126 127.374 96.784 10.962 97.8-108.47 47.687-159.53 45.487 8.812 78.87 53.29 48.783 116.78 90.99-35.057 30.803-137.264-44.438-162.75-3.958 7.772-8.396 14.785-13.688 20.78-5.473 3.44-11.014 5.093-17.187 5.595-7.543.612-16.202-.73-26.03-3.845 10.357-.54 17.71-3.67 24.31-9.28 5.25-4.463 9.99-10.76 14.376-18.75 9.424-27.246 47.878-38.25 99.188 1.405 3.77-30.594-37.373-70.267-85.563-69.47z"}}]})(props);
};
function GiBirdMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.03 23.063c-99.206 0-179.624 58.963-179.624 131.687 0 56.668 48.844 104.963 117.344 123.53 11.835 62.23 64.47 215.376 64.47 215.376s53.39-155.335 64.718-216.687c66.074-19.45 112.718-66.83 112.718-122.22 0-72.724-80.418-131.688-179.625-131.688zM163 85.436c39.656 0 71.625 31.97 71.625 71.626 0 39.655-31.97 71.625-71.625 71.625-39.656 0-71.625-31.97-71.625-71.625 0-39.656 31.97-71.625 71.625-71.625zm179.625 0c39.656 0 71.625 31.97 71.625 71.626 0 39.655-31.97 71.625-71.625 71.625-39.656 0-71.625-31.97-71.625-71.625 0-39.656 31.97-71.625 71.625-71.625zM166.97 107.626c-16.7 0-31.318 8.487-39.814 21.406 7.02-3.855 15.08-6.06 23.656-6.06 8.815 0 17.094 2.316 24.25 6.374-9.975.464-17.937 8.69-17.937 18.78 0 10.39 8.425 18.814 18.813 18.814 9.81 0 17.855-7.507 18.718-17.094 3.425 6.707 5.375 14.295 5.375 22.344 0 7.735-1.82 15.05-5 21.562 11.856-8.632 19.532-22.62 19.532-38.5 0-26.407-21.19-47.625-47.593-47.625zm180 0c-16.463 0-30.924 8.233-39.47 20.844 6.774-3.514 14.437-5.5 22.594-5.5 8.804 0 17.068 2.324 24.22 6.374-10.114.314-18.22 8.592-18.22 18.78 0 10.39 8.424 18.814 18.812 18.814 10 0 18.154-7.806 18.75-17.657 3.605 6.844 5.656 14.636 5.656 22.907 0 8.033-1.93 15.615-5.343 22.313 12.455-8.558 20.592-22.9 20.592-39.25 0-26.407-21.19-47.625-47.593-47.625zM220.374 228.03c6.606-.04 13.12 7.952 15.375 19.595 2.577 13.314 1.656 83.5 1.656 83.5s-26.173-60.157-28.75-73.47c-2.577-13.31 1.396-26.32 8.875-29.092.936-.347 1.9-.526 2.845-.532zm66.844 1.376c.942.006 1.908.185 2.842.53 7.48 2.775 11.453 15.813 8.875 29.126-2.577 13.314-28.75 73.438-28.75 73.438s-.92-70.184 1.657-83.5c2.255-11.643 8.77-19.634 15.375-19.594z"}}]})(props);
};
function GiBirdTwitter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M77.313 28.438l36.406 51.25L44.874 98.25l34.688 18.53c-37.62 38-62.482 102.735-57.532 198.94V493h147.314v-.188H269.75c-13.74-59.032-15.368-110.625-5.563-149.875-16.954-7.98-25.126-17.362-32.75-30.375 51.348 21.135 127.618 35.582 200.47 18.594-23.227-10.096-47.07-22.578-70.094-37.156-.013-.007-.02-.024-.032-.03-17.996-10.514-34.942-22.247-49.967-36.376-9.385-7.88-18.41-16.142-26.907-24.78 36.074-25.505 77.297-40.297 118.656-46.876-7.72 5.104-15.336 10.82-22.687 16.937-18.272 15.207-34.737 32.736-45.313 50.656 4.9 3.986 10.02 7.785 15.313 11.44 9.017-15.524 24.43-33.122 41.97-47.72 24.26-20.193 52.937-34.698 70.06-35.375h.126c10.89.214 21.608.935 32.064 2.125-10.838-7.647-21.748-14.487-32.72-20.563v-.25c-.145.006-.29.025-.437.032-54.844-30.266-111.23-41.295-168.03-36.72-21.272-24.23-49.025-40.62-78.657-47.875L77.312 28.437zm74.343 107.312c4.67 0 9.16.754 13.375 2.125-8.493 2.716-14.655 10.667-14.655 20.063 0 11.634 9.428 21.062 21.063 21.062 9.84 0 18.122-6.754 20.437-15.875 1.934 4.905 3 10.252 3 15.844 0 23.867-19.35 43.218-43.22 43.218-23.867 0-43.218-19.35-43.218-43.22 0-23.867 19.35-43.218 43.22-43.218z","fillRule":"evenodd"}}]})(props);
};
function GiBison (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M299.8 98.69c-1.3 0-2.6 0-3.9.1-51.6 2.71-102.1 60.91-146.9 67.51-58.69 8.6-93.42 5.5-98.58 58.5-1.56 15.5-8.47 22.6-13.19 38.4-6.73 5.6-16.83 10-17.24 18.7-.48 10.2-1.49 20.8 6 30l14.62-9.8c-.81-23.3 5.37-32.6 14.62-53.5 3.35 30.2-4.28 57-12.3 88.7 3.49 25.8 9.16 52.2 20.61 76h35.98c-21-23.1-33.71-50-22.11-76 8.76-1.2 21.3-3.5 28.89-10.6 13.6 33 17.7 57 40.1 86.6h40.5c-20.4-25.8-50.8-36.2-43.5-91.1 30.4.6 43 6.8 88.1-5.9l-2.8 35.6c6.8 23.8 24.3 41.7 38.4 61.4h38.6c-17.1-19.6-45.1-30.2-40.5-69.2l8.7-24.5c21.8 32.6 41.8 65.8 77.9 93.7h36c-22.2-23.5-63.8-48.7-63-93.7 22.7 4.5 29.8 9.8 41 6 8.9 23.8 19.1 44.8 37 56.6 21-23.5 25.5-35.7 26.2-66.7l22.5 14.2c6.3 4.6 19.9-5.4 18.8-12.7l-3.8-31.5c5.7-11.9 12.9-23.4 25.5-33.4 2.6-26.5-10-51.1-25.1-76.1-5.4-9-32.2-6.8-49.9-12-46.6-26.7-76.9-64.97-117.2-65.31zm73.4 35.61l7.5 14.5c11.1 21.5 16.9 31.6 46.6 45.2 5.8 3.4 11.1 8.6 13.1 14 2 5.7 1.8 11.5.4 16.8-2.8 11.1-15.8 22.6-25.3 19.7-32.8-11-51.6-25-58.9-42.8-7.3-17.8-1.6-36.5 8.3-53.4zm.2 38.1c-2.7 8.3-2.9 15.7-.2 22.4 4.3 10.4 17.2 21.9 46.2 32 4.1-6 7.2-13.2.4-16.4-18.9-10-36.1-22.5-46.4-38zm83.6 66.8c-3 9-.6 16.6 4.9 23.6-7.7-1.5-18.1.4-20.2-7.9-1.5-5.9 7.1-10.8 15.3-15.7z"}}]})(props);
};
function GiBlackBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M341.28 22.813L254 123.843l-11.094 5.907-113.094-83.125L154.22 177.03l-47.907 25.564-89.72 24.22 36.938 19.624-30.968 82.625-2.843 7.687 7.218 3.844 79.406 42.25-19.47 44.844L144 402.906l32.22 17.156 4.405 2.344 4.375-2.344 47.844-25.468L287.75 497.97l37.78-139.876L467.94 384.75l-60.907-82.875 74.814-39.844 7.25-3.842-2.906-7.688-20.625-54.594 26.218-22.625-35.28-1.405-3.906-10.344-1.25-3.25-3.03-1.655-103.97-56.53-3.063-77.282zM321.595 109l107.97 58.688-237.47 125.718-108.625-57.5L321.593 109zm42.78 44.563l-171.718 90.062-41.562-22.188-25.313 13.407 66.876 35.656 197.28-103.906-25.56-13.03zm76.313 29.406l25.125 66.436L193.656 394.28l5.78-83.624 241.25-127.687zM71.813 250.874l109.032 57.75-6.188 89.438L42.97 327.938l28.843-77.063z"}}]})(props);
};
function GiBlackBelt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.233 61.009c-64.986-.549-141.156 21.77-232.77 86.17-2.124 1.136-2.856 1.77-3.663 2.576-.33 22.087.053 44.195.169 66.287 41.134 25.308 100.629 45.815 141.87 55.242-40.006 54.984-65.757 112.762-84.793 169.274l-1.916 5.685 49.586 43.473 5.185-10.524c29.919-60.708 55.189-122.456 94.832-179.1 7.43 6.226 16.197 11.95 27.217 11.128 5.455-.407 9.59-2.521 12.97-5.264l3.835.158c11.196.46 22.125-.34 32.049-3.79a49.45 49.45 0 0 0 8.133-3.678c42.982 51.203 65.056 121.754 80.294 177.52L392.286 491l57.81-57.041-2.197-5.54c-18.928-47.699-37.653-110.49-75.439-159.839 40.2-10.794 76.734-27.318 108.326-48.125 10.64-7.01 5.245-3.447 12.545-8.617l-1.523-61.74c-4.272-2.654-6.305-3.658-10.121-5.711-51.467-27.684-109.288-67.177-183.198-79.582a274.737 274.737 0 0 0-43.256-3.797zm-.246 17.928c14.062.15 27.542 1.442 40.524 3.62 67.167 11.274 121.501 46.976 172.842 75.005a503.254 503.254 0 0 1-29.192 14.488c-47.152-28.78-98.154-53.407-155.365-61.158-65.292-8.846-138.118 4.926-220.31 58.205a543.237 543.237 0 0 1-23.938-11.77c86.261-59.175 156.057-79.026 215.44-78.39zm-7.904 47.414c11.676.03 23.1.861 34.297 2.379 49.283 6.676 94.541 27.006 137.357 52.07-32.065 12.873-64.881 21.975-98.205 27.137-11.926-13.686-29.01-19.083-45.847-21.202l-6.223-.783-2.678 5.158c-4.595-1.936-9.467-3.954-13.637-5.341-4.337-1.431-8.07-2.662-12.86-2.489-20.419.738-33.221 9.61-39.604 18.715a39.044 39.044 0 0 0-3.79 6.768c-37.4-5.266-75.052-15.524-112.64-31.02 60.545-37.301 114.452-51.519 163.83-51.392zm227.695 47.941l.412 28.092c-32.966 22.502-72.037 40.144-115.548 50.844-8.333-9.135-17.5-17.615-27.637-25.235a61.999 61.999 0 0 0-1.51-3.892c49.566-8.454 97.963-25.23 144.283-49.809zM37.28 176.136c51.963 26.354 104.52 42.826 156.705 50.045.378.937.805 1.83 1.278 2.685a523.56 523.56 0 0 0-22.407 26.557c-43.916-9.01-89.474-24.845-135.705-48.79zm202.655 25.133c6.402.16 12.565 3.704 18.41 6.23-5.139 13.292-8.162 26.81-8.768 40.436l-.197-.114c-10.532-6.134-20.484-12.486-27.77-18.084-6.358-4.884-9.695-9.368-10.482-10.23 4.78-15.415 20.1-18.32 28.807-18.238zm38.837 4.468c13.956 2.53 24.72 7.36 31.807 18.955 5.731 9.378 7.181 16.926 6.49 24.577-.69 7.65-3.859 15.669-8.695 24.521-3.136 5.741-7.719 9.18-14.48 11.531-5.384 1.872-12.125 2.76-19.575 2.858-10.934-27.996-8.57-54.647 4.453-82.442zm-70.921 36.123c8.06 6.246 17.296 12.368 24.832 16.97-52.939 63.648-82.216 134.28-114.86 201.782l-22.718-19.92c23.312-67.678 56.371-135.958 112.746-198.832zm126.796 11.948c49.11 45.588 71.791 117.736 94.38 175.654l-27.58 27.215c-15.266-53.999-37.48-119.539-80.067-169.881a39.932 39.932 0 0 0 2.789-4.377c4.943-9.049 9.026-18.417 10.478-28.611zm-86.236 14.187c.743.416 1.478.812 2.219 1.223.946 6.517 2.485 13.044 4.633 19.568-3.104 2.783-6.077 4.514-5.65 4.483-1.92.143-8.738-3.091-15.14-7.893a436.419 436.419 0 0 1 13.938-17.38z"}}]})(props);
};
function GiBlackBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M102.594 25.97l90.062 345.78L481.844 395 391.75 49.22 102.594 25.97zm-18.906 1.593c-30.466 11.873-55.68 53.098-49.75 75.312l3.25 11.78c.667-1.76 1.36-3.522 2.093-5.28C49.19 85.668 65.84 62.61 89.657 50.47l-5.97-22.907zm44.937 18.906l247.813 21.593 80.937 305.156-249.344-20.064L128.626 46.47zM94.53 69.155c-16.66 10.01-29.916 28.068-38 47.406-5.245 12.552-8.037 25.64-8.75 36.532l64.814 235.28c.293-.55.572-1.105.875-1.655 10.6-19.254 27.822-37.696 51.124-48.47L94.53 69.156zm74.876 287.563c-17.673 9.067-31.144 23.712-39.562 39-4.464 8.105-7.262 16.36-8.688 23.75l11.688 42.405 1.625.125c-3.825-27.528 11.382-60.446 41.25-81.03l-6.314-24.25zm26.344 34.03c-32.552 17.26-46.49 52.402-41.844 72.906l289.844 24.53c-5.315-7.75-8.637-17.84-8.594-28.342l-22.562-9.063 46.625-7.31-13.595-12.97c5.605-6.907 13.688-13.025 24.78-17.656L195.75 390.75z"}}]})(props);
};
function GiBlackBridge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 20a104 104 0 0 0-104 104 104 104 0 0 0 104 104 104 104 0 0 0 104-104A104 104 0 0 0 256 20zM16 256v240h48c64-160 320-160 384 0h48V256h-48v64h-60v-64h-48v64h-60v-64h-48v64h-60v-64h-48v64H64v-64H16z"}}]})(props);
};
function GiBlackFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 22.438c-130.314 0-235.97 105.654-235.97 235.968 0 130.315 105.656 235.938 235.97 235.938 1.483 0 2.96-.004 4.438-.03l80.75-202.94C144.107 203.56 256.543 420.788 38.906 313.5c9.302-40.373 31.205-131.175 51.157-161.47 220.625 108.762 105.205-113.935 313.812-16.25 3.196-4.52 7.158-7.076 10.875-7.905 7.96-1.777 14.27 4.87 9.938 17.53l-137.75 346.908c115.697-15.15 205-114.077 205-233.907 0-130.314-105.624-235.97-235.938-235.97zm139.625 132.03c-36.11 16.943-57.968 83.92-47.28 118.845l47.28-118.844z"}}]})(props);
};
function GiBlackHandShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M51.67 24.377c0 215.76 44.432 429.318 209.21 474.63 181.394-38.7 209.446-258.276 209.446-474.63H51.67zM276.482 44.79c1.448.018 2.916.13 4.375.34l.07.01c6.26.92 12.11 3.844 15.452 6.77L275.18 180.922l17.607 5.646L352.07 66.25c4.27-.31 10.41.832 16.05 3.863 5.992 3.22 10.74 8.133 12.995 12.658l-56.13 116.24 15.218 10.48 76.664-81.246c4.1 1.16 9.34 4.344 13.65 9.195 4.623 5.2 7.66 11.762 8.53 16.882L337.624 263.916l.135-.143c-14.347 14.864-16.183 38.756-12.852 68.202 3.173 28.047 11.84 62.157 23.774 100.28-25.156 24.603-55.416 40.65-85.72 47.116-28.74-10.175-50.453-19.478-72.64-39.227 20.222-52.778 24.746-101.603 23.157-140.637 6.284 2.99 12.498 5.453 18.69 7.197 15.103 4.253 30.777 3.893 44.453-4.392l-9.687-15.988c-8.748 5.3-17.79 5.74-29.7 2.387-11.91-3.355-25.99-10.902-41.486-20.733-28.876-18.32-62.683-44.228-101.223-63.307 4.407-8.026 9.135-12.05 13.983-13.96 6.228-2.456 14.186-1.912 24.166 1.56 15.198 5.29 33.493 17.21 52.21 28.808l16.007-9.14-.754-3.508c-.613-.38-1.218-.745-1.83-1.127L167.284 65.877c3.303-3.966 9.28-8.136 15.986-10.318 6.207-2.02 12.423-2.145 16.595-1.113l25.715 116.66 18.36-.543 19.59-123.007c3.058-1.567 7.08-2.622 11.513-2.756.477-.014.957-.017 1.44-.01z"}}]})(props);
};
function GiBlackHoleBolas (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M393.5 19.53c-2.858-.01-5.743.193-8.656.626-31.08 4.62-52.53 33.582-47.906 64.688 4.623 31.106 33.576 52.588 64.656 47.97 2.053-.307 4.066-.74 6.03-1.25 9.68 23.89 14.992 46.253 16.657 66.967-12.318 4.327-20.24 16.91-18.25 30.314 1.366 9.18 7.072 16.623 14.72 20.594-3.375 14.428-8.705 27.7-15.594 39.75-9.627 16.838-22.426 31.345-37.375 43.187 13.33-22.265 19.333-49.11 15.22-76.78-4.372-29.416-19.408-54.588-40.594-72.22-33.633-35.776-80.33-58.405-130.312-58.22-45.336.17-92.873 19.486-134.625 63.376-7.308-3.943-15.91-5.657-24.75-4.343-21.767 3.236-36.77 23.528-33.532 45.313 3.238 21.785 23.483 36.83 45.25 33.594 21.766-3.236 36.8-23.528 33.562-45.313-.93-6.26-3.28-11.97-6.656-16.843 38.472-40.475 80.822-56.944 120.844-57.093 21.038-.08 41.558 4.455 60.562 12.687-1.344-.05-2.678-.087-4.03-.093-5.835-.024-11.742.398-17.69 1.282-16.537 2.457-31.73 8.308-45 16.718-38.298 20.656-69.638 53.2-86.686 93.312-14.32 33.692-18.302 72.74-8 113.813-16.41 6.933-28.73 22.277-30.906 41.25-3.215 28.02 16.88 53.32 44.874 56.53 27.996 3.213 53.317-16.886 56.532-44.906 3.215-28.017-16.88-53.35-44.875-56.562-2.508-.288-4.99-.357-7.44-.28-9.626-37.47-5.866-72.288 7-102.564 5.206-12.245 11.944-23.753 19.94-34.342-4.43 15.467-5.71 32.107-3.19 49.062.354 2.373.794 4.715 1.282 7.03 7.884 58.165 40.39 112.06 91.97 141.658 45.803 26.28 106.342 32.7 175.75 6.75 8.357 11.38 22.54 17.875 37.468 15.656 21.484-3.194 36.32-23.216 33.125-44.72-3.196-21.5-23.203-36.35-44.688-33.155-21.484 3.192-36.32 23.215-33.125 44.717.015.096.048.187.063.282-64.737 24.18-118.595 17.612-159.313-5.75-23.945-13.74-43.422-33.523-57.625-56.783 23.992 18.134 54.95 26.988 87.032 22.22 8.252-1.228 16.172-3.316 23.686-6.126 46.562-11.748 88.206-40.568 112.5-83.06 8.058-14.095 14.142-29.657 17.844-46.5 14.273-3.006 23.925-16.652 21.75-31.282-1.56-10.494-8.8-18.77-18.125-22.125-1.686-23.377-7.498-48.395-18.156-74.657 17.774-11.842 28.13-33.24 24.78-55.78-4.19-28.19-28.373-48.48-56-48.595zM268.437 185.47l12.063 54 46.625-29.564-29.375 46.313 53.594 12.03-53.875 12.063 29.686 46.75-46.687-29.625-12.033 53.75-12-53.594-46.468 29.5 29.655-46.78-54-12.064 53.72-12.03-29.376-46.314 46.436 29.438 12.03-53.875zm-.156 71.28c-6.89 0-12.25 5.39-12.25 12.28 0 6.894 5.36 12.283 12.25 12.283 6.892 0 12.283-5.39 12.283-12.282 0-6.89-5.39-12.28-12.282-12.28z"}}]})(props);
};
function GiBlackKnightHelm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-36.446 0-73.264 13.433-139.97 40h279.94C329.263 29.433 292.445 16 256 16zM95.344 72L64 448c56 28 112 31.5 168 31.938V240H112v-48h288v48H280v239.938C336 479.5 392 476 448 448L416.656 72H95.344zm64.875 88a8 8 0 0 1 7.78 8 8 8 0 0 1-16 0 8 8 0 0 1 8.22-8zm48 0a8 8 0 0 1 7.78 8 8 8 0 0 1-16 0 8 8 0 0 1 8.22-8zm48 0a8 8 0 0 1 7.78 8 8 8 0 0 1-16 0 8 8 0 0 1 8.22-8zm48 0a8 8 0 0 1 7.78 8 8 8 0 0 1-16 0 8 8 0 0 1 8.22-8zm48 0a8 8 0 0 1 7.78 8 8 8 0 0 1-16 0 8 8 0 0 1 8.22-8zM248 240v240c2.667.002 5.333 0 8 0s5.333.002 8 0V240h-16zm-120 48h16v16h-16v-16zm32 0h16v16h-16v-16zm32 0h16v16h-16v-16zm112 0h16v16h-16v-16zm32 0h16v16h-16v-16zm32 0h16v16h-16v-16zm-240 32h16v16h-16v-16zm32 0h16v16h-16v-16zm32 0h16v16h-16v-16zm112 0h16v16h-16v-16zm32 0h16v16h-16v-16zm32 0h16v16h-16v-16zm-240 32h16v16h-16v-16zm32 0h16v16h-16v-16zm32 0h16v16h-16v-16zm112 0h16v16h-16v-16zm32 0h16v16h-16v-16zm32 0h16v16h-16v-16z"}}]})(props);
};
function GiBlackSea (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416.5 116l-171.3 48.6 34.8 37.3 42.2-7-.9 17.3-28.4-2.4-48.7 31.3-19.3-10.4 8.9-22.4-33.8-15.9 38.8-18.3-4.5-11.4-46.7-13 .5-29.8C109.9 155.5 72.82 236.6 25.74 305.2c-8.41 12.3 7.05 71.8 108.76 74 0 0 61.2-37.6 95.3-37.3 39.8.3 110.4 45.3 110.4 45.3l72.3 7.8c81.8 8.8 83.7-47.3 68.1-77.4-7.5-14.5-91.7-76.9-147-104.3l-1.6-.1 4.1-6.4 22.5-4.3c4.2-13.1 3.8-28 28.1-32.9l-22.8-21.3 47.7-17.9z"}}]})(props);
};
function GiBlackball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.47 18C126.98 18 20.905 124.07 20.905 254.563c0 130.488 106.073 236.53 236.563 236.53 130.488 0 236.53-106.042 236.53-236.53C494 124.07 387.955 18 257.47 18zm0 18.094c120.384 0 217.31 98.078 217.31 218.47 0 120.386-96.922 217.307-217.31 217.31C137.08 471.875 39 374.95 39 254.563c0-120.39 98.083-218.468 218.47-218.468zm1.717 21.25c-18.068 0-35.54 2.455-52.156 7.03 16.04-.083 32.227 2.136 48.157 6.5-6.804 5.03-11.218 13.106-11.218 22.22 0 15.27 12.386 27.656 27.655 27.656 8.454 0 16.02-3.8 21.094-9.78 1.078 10.63 7.69 19.62 16.905 24.06-14.048 11.31-23.03 28.656-23.03 48.095 0 34.062 27.593 61.656 61.655 61.656 24.52 0 45.712-14.28 55.656-35 26.612 67.256 20.158 139.174-14.625 190.314 40.465-35.917 66-88.296 66-146.656 0-108.285-87.81-196.094-196.092-196.094zm39.72 31.312c.134.074.27.145.406.22-.104.126-.212.246-.313.374-.028-.2-.062-.396-.094-.594zm-55.813 129.406c-16.633 0-30.094 13.493-30.094 30.125 0 16.633 13.46 30.094 30.094 30.094 16.633 0 30.125-13.46 30.125-30.092 0-16.633-13.493-30.125-30.126-30.125zm83.28 60.032c-22.61 0-40.937 18.327-40.937 40.937 0 22.61 18.328 40.94 40.938 40.94 22.61 0 40.938-18.33 40.938-40.94s-18.328-40.936-40.938-40.936zm-97.562 33.97c-16.632-.002-30.093 13.46-30.093 30.092 0 16.633 13.46 30.125 30.093 30.125 16.632 0 30.125-13.49 30.125-30.124 0-16.633-13.493-30.094-30.125-30.094z"}}]})(props);
};
function GiBlackcurrant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.594 18.563V58.53c7.485 2.273 14.984 4.845 22.468 7.69L68.5 114.874c5.683 26.117 11.908 54.147 17.813 79.97-21.55 8.027-33.854 31.305-27.782 53.968 3.206 11.96 10.9 21.496 20.814 27.28 7.937 10.297 21.637 15.43 34.906 11.876 11.538-3.093 20.058-12.052 23.22-22.814.002-.01-.004-.02 0-.03 8.537-10.803 12.055-25.367 8.218-39.688-5.156-19.24-21.998-32.203-40.844-33.344-5.366-23.444-10.99-48.83-16.28-73.03l-1.22-33.408c30.25 15.585 60.09 35.02 88.875 56.875l4.343 55.69c-6.83 35.67-10.075 73.427-10.407 113.093-21.993 3.015-38.937 21.866-38.937 44.687 0 9.47 2.92 18.242 7.905 25.5.99 17.338 15.524 31.28 33.094 31.28 13.61 0 25.384-8.357 30.468-20.186 11.36-8.193 18.78-21.517 18.78-36.594 0-20.566-13.775-37.908-32.593-43.344.313-45.45 4.485-88.007 13.5-127.406l9.47-14.03c21.597 18.362 42.378 37.815 62.06 57.655 11.742 14.26 23.233 28.653 34.314 43.28l.717 27.845c-13.258 26.784-22.87 56.604-29.812 88.97-.136-.002-.27 0-.406 0-24.92 0-45.126 20.204-45.126 45.124 0 10.433 3.554 20.045 9.5 27.687 3.22 14.917 16.58 26.22 32.406 26.22 12.197 0 22.93-6.717 28.688-16.625 11.876-8.127 19.656-21.804 19.656-37.28 0-18.263-10.862-33.994-26.47-41.095 7.347-34.23 17.694-65.003 32-91.844 24.256 34.71 45.723 71.097 62.407 110.563-9.073 8.254-14.78 20.166-14.78 33.405 0 24.918 20.174 45.125 45.094 45.125 6.448 0 12.577-1.344 18.125-3.78.57.03 1.138.03 1.717.03 18.203 0 33.157-14.955 33.157-33.156 0-9.67-4.22-18.42-10.906-24.5C457.652 411.98 441.267 400 422.094 400c-4.895 0-9.588.808-14 2.25-27.012-63.12-65.47-118.074-107.406-170.156-.865-1.34-1.753-2.665-2.625-4l11.28-.22c35.023 11.645 69.823 29.045 104.782 51.22-7.48 8.053-12.063 18.83-12.063 30.687 0 19.23 12.026 35.63 28.97 42.126 6.072 8.022 15.686 13.25 26.437 13.25 18.2 0 33.155-14.955 33.155-33.156 0-2.52-.3-4.98-.844-7.344 1.63-4.662 2.5-9.657 2.5-14.875 0-24.917-20.173-45.124-45.092-45.124-5.735 0-11.204 1.08-16.25 3.03-40.628-26.45-81.445-47.002-123.094-59.905l-35.625-17.31c-22.56-31.125-47.177-60.864-74.283-88.907l33.125-3.594c36.963 3.423 73.42 8.288 108.875 17.124-2.533 5.64-3.937 11.886-3.937 18.47 0 21.402 14.91 39.306 34.906 43.936 5.554 4.192 12.44 6.688 19.875 6.688 18.203 0 33.19-14.955 33.19-33.157 0-.968-.074-1.924-.158-2.874 1.57-4.584 2.438-9.478 2.438-14.594 0-24.917-20.205-45.125-45.125-45.125-10.99 0-21.048 3.938-28.875 10.47-42.296-11.308-85.51-16.73-128.75-20.438l-65.813-15.657c-17.245-15.39-35.4-30.16-54.562-44.25h-81.53zm369.187 118c8.103 0 14.47 6.367 14.47 14.468 0 8.102-6.367 14.47-14.47 14.47-8.1 0-14.467-6.368-14.467-14.47 0-8.1 6.366-14.468 14.468-14.468zM106.095 241.438c6.262.14 11.842 4.33 13.562 10.75 2.097 7.824-2.424 15.62-10.25 17.718-7.826 2.097-15.622-2.394-17.72-10.22-2.095-7.825 2.425-15.62 10.25-17.717.98-.263 1.94-.44 2.908-.5.422-.028.832-.042 1.25-.032zM457.47 317.53c8.1 0 14.467 6.37 14.467 14.47 0 8.1-6.366 14.47-14.468 14.47-8.103 0-14.47-6.37-14.47-14.47 0-8.102 6.367-14.47 14.47-14.47zm-285.25 47.626c8.1 0 14.468 6.368 14.468 14.47 0 8.1-6.367 14.468-14.47 14.468-8.1 0-14.468-6.368-14.468-14.47 0-8.1 6.367-14.468 14.47-14.468zm269.717 73.72c8.102 0 14.47 6.367 14.47 14.468 0 8.1-6.367 14.47-14.47 14.47-8.102-.002-14.468-6.37-14.468-14.47 0-8.102 6.365-14.47 14.467-14.47zm-166.437 1.5c8.102 0 14.47 6.367 14.47 14.468 0 8.1-6.368 14.47-14.47 14.47-8.102-.002-14.47-6.37-14.47-14.47 0-8.102 6.368-14.47 14.47-14.47z"}}]})(props);
};
function GiBlacksmith (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M210 25c-10.012 0-19.372 5.32-26.74 15.145C175.892 49.968 171 64.15 171 80c0 15.85 4.892 30.032 12.26 39.855C190.628 129.68 199.988 135 210 135c10.012 0 19.372-5.32 26.74-15.145C244.108 110.032 249 95.85 249 80c0-15.85-4.892-30.032-12.26-39.855C229.372 30.32 220.012 25 210 25zm219.746 17.512l-18.701 15.21-22.76-9.206-7.72 15.271 85.86 36.313 16.807-34.532-53.486-23.056zm-5.264 59.392l-54.697 116.153 17.367 7.976L441.69 109.18l-17.207-7.276zM153 122.518c-5.86.764-11.17 1.81-16 3.086V253h146V125.604c-4.83-1.276-10.14-2.322-16-3.086v59.044l-4.975 2.489c-34.146 17.073-69.904 17.073-104.05 0L153 181.563v-59.045zm-34 9.982a61.312 61.312 0 0 0-5.008 2.988c-13.003 8.669-19.647 20.236-23.262 34.696-5.902 23.608-2.042 54.157-.416 82.816H119V132.5zm182 0V253h28.686c1.626-28.659 5.486-59.208-.416-82.816-3.615-14.46-10.26-26.027-23.262-34.696A61.312 61.312 0 0 0 301 132.5zm-130 .846v36.793c26.365 11.776 51.635 11.776 78 0v-36.793C239.103 145.188 225.36 153 210 153s-29.103-7.812-39-19.654zm-16.951 137.058l-.002.002v20.344H65.109c15.996 38.806 51.26 65.427 88.942 74.28V398h58.558c-12.115 30.534-33.527 55.682-58.5 77.592h-25.435v18.72h284.344v-18.72h-27.44c-28.728-21.894-50.024-47.017-61.594-77.594h63.657v-29.156c19.75-6.995 39.5-19.541 59.25-36.719-19.806-17.518-39.235-27.25-59.25-31.937v-29.782H154.049z"}}]})(props);
};
function GiBladeBite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M269.156 20.313C234.83 20.68 200.582 27.262 166.72 39l-38 157.406h69.343c-15.01 36.837-4.96 78.375 10.687 106.875l18.656-53.092 20.688 57.75 21.344-53.188 21.343 53.875 21.345-58.438 18.656 53.75c17.64-32.01 20.863-75.52 10.69-107.53h68.686L372.126 39c-34.235-13.207-68.643-19.055-102.97-18.688zm-92.03 89.968c30.03 6.412 54.695 19.975 68.468 48.064l-80.438 7.22 11.97-55.283zm184.968 0l11.97 55.282-80.47-7.218c15.057-26.116 39.92-39.524 68.5-48.063zm-92.53 64.69l7.436 9.81 24.875 32.845-14.906 11.28-17.408-23-17.406 23-14.906-11.28 24.875-32.844 7.438-9.81zm-111.22 88.56c-8.722.466-15.596 7.306-16.375 15.75-7.667 15.248-13.552 32.2-17.282 49.595-20.84-14.368-45.416-17.32-72.47-12.688-2.37-6.773-8.79-11.656-16.374-11.656-9.596 0-17.375 7.783-17.375 17.376 0 9.596 7.778 17.375 17.374 17.375 4.55 0 8.684-1.762 11.78-4.624 22.983 15.99 47.52 21.57 73.314 18.688-2.213 23.685-.2 47.158 7 67.437.003.085-.005.167 0 .25.51 9.583 8.7 16.95 18.28 16.44 9.583-.512 16.918-8.7 16.407-18.283-.51-9.58-8.668-16.948-18.25-16.437-.687.037-1.37.137-2.03.25-2.313-10.577-3.27-22.23-3-34.313 104.047 15.61 281.137 29.332 353.936-46.656l-78.874-7.186c-82.512 16.06-176.916 16.633-268.656 8.28 2.278-8.837 5.128-17.454 8.5-25.593 1.87.563 3.876.83 5.938.72 9.58-.51 16.916-8.7 16.406-18.28-.51-9.583-8.668-16.95-18.25-16.44zm49.875 130.44c-18.96 23.825-18.032 45.48-18.282 71.467 55.972 21.582 108.007 19.906 160.406 0 2.66-28.217-2.896-51.03-19.688-70.843l-17 54.344-23.375-51.875-20.842 59.906-20.844-59.25-24.78 51.217-15.595-54.968z"}}]})(props);
};
function GiBladeDrag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M214.02 19.115l-.02.06c38.033 14.387 73.867 34.09 106.393 58.446L368.02 158.4C292.254 72.063 181.72 20.678 64.66 20.604c-14.96-.01-30.027.834-45.14 2.535v18.8c108.174-12.774 213.91 21.292 293.527 88.554l42.314 97.416C290.887 132.486 182.425 73.885 66.395 73.21c-2.45-.013-4.9-.002-7.357.036-13.106.2-26.297 1.157-39.522 2.87v18.85c98.998-13.552 196.12 18.532 267.11 82.264l30.708 87.82C263.412 179.47 168.852 126.394 67.348 125.36c-15.818-.162-31.804.958-47.83 3.398v18.914c93.33-15.18 185.38 18.05 247.677 83.27l20.694 83.917C246.555 230.42 160.67 176.716 67.7 175.423c-1.256-.018-2.514-.025-3.774-.024-14.688.02-29.54 1.36-44.408 4.084v19.036c89.513-17.794 178.655 19.16 230.357 89.468l4.62 73.348c-28.973-83.013-107.888-136.692-193.257-135.87-13.8.132-27.768 1.693-41.72 4.78v19.188c77.22-18.904 155.333 13.983 197.095 77.14l5.873 57.49c23.33-6.283 47.534-13.218 68.727-20.873 19.194-6.93 35.884-14.525 46.596-22.038 5.354-3.756 9.142-7.478 11.174-10.574 2.033-3.096 2.47-5.184 2.098-7.59l-1.252-8.123 137.074-39.556C446.897 159.92 363.67 69.964 260.654 19.114H214.02zm278.86 273.922l-40.196 11.6c1.63 18.66-4.666 36.567-16.397 52.043-14.18 18.707-35.934 34.627-62.363 48.257-45.23 23.33-104.45 39.877-164.397 47.97l4.38 16.35c68.63-7.66 143.34-22.038 198.17-48.538 30.517-14.75 54.633-33.123 68.722-55.33 12.74-20.084 17.775-43.384 12.08-72.353zm-58.513 16.885l-65.027 18.765c-.736 4.345-2.345 8.51-4.733 12.147-3.925 5.98-9.462 10.986-16.068 15.62-13.213 9.266-30.996 17.098-50.978 24.316-31.927 11.53-68.41 20.998-99.558 29.134l6.644 24.79c59.027-7.79 117.64-24.153 160.71-46.366 24.828-12.805 44.388-27.573 56.037-42.94 8.804-11.614 13.283-23.135 12.972-35.466zm-261.754 77.43l-33.033 8.85 8.197 30.59c10.812 3.95 18.623 14.38 18.623 26.485 0 6.87-2.52 13.2-6.673 18.114l4.716 17.6 33.034-8.85-24.864-92.788zM138.22 443.79c-1.49 0-2.88.33-4.12.91l-75.6 20.255c2.926 4.706 4.625 10.24 4.625 16.14 0 .67-.03 1.33-.072 1.987l75.96-20.352c4.96-.386 8.698-4.37 8.698-9.453 0-5.35-4.138-9.488-9.49-9.488zM32.327 468.985c-6.798 0-12.11 5.312-12.11 12.11 0 6.798 5.312 12.11 12.11 12.11 6.798 0 12.111-5.312 12.111-12.11 0-6.798-5.313-12.11-12.11-12.11z"}}]})(props);
};
function GiBladeFall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M54.51 19.81c-6.54 32.78-19.9 70.58-34.1 104.99v46.7C40.72 127.4 64.32 69.46 73.56 19.81zm74.49 0c22.6 35.58 18.2 82.49-2 137.49-2.7 7.4-5.7 14.9-8.9 22.5 12.5-14.4 24.5-29.5 35.8-45.1 11.7-42.17 13.1-81.58-3.5-114.89zm110.6 2.33l-4.8 12.61C193.4 141.4 113.3 218.8 20.41 292v23.7C115.3 242.1 200.5 163.5 246.8 54.3c23.2 23.64 33.8 46.7 35.7 69.9 2.1 26.2-6.9 53.4-24.6 81.8-9.5 15.3-21.4 30.8-35.2 46.5 13.8-6.5 27.3-13.4 40.5-20.7 3.7-5.3 7.3-10.6 10.6-15.9 18.9-30.5 29.9-61.7 27.3-93.2-2.6-31.49-18.9-62.4-51.4-91.53-3.4-3.01-6.7-6.01-10.1-9.03zM389 162l-9.5 9.4c-86.4 84.5-239.1 139.5-359.09 171.9v19.3C138.1 331.3 288.9 278.9 382.5 194c11.7 31 12.1 56.5 4.5 78.6-7 20.2-21.1 38-40.9 54.1 14.3-5.1 28.2-10.5 41.6-16.2 7.2-9.8 13-20.4 16.9-31.8 10.4-29.9 7.9-64.7-10.1-104.5-1.8-4.1-3.6-8.1-5.5-12.2zm94.5 121.5l-11 7.3c-41.3 24.8-82.7 40.1-120.3 53.6-107.7 35.2-242.6 57.9-331.79 65.4v60.3C130.5 462.4 442.3 453.5 473 325.5c3 27.1-1.6 48.6-11.9 66.6-13.3 23.1-36.6 40.8-67.7 54.6-61.9 27.4-153.5 38.4-245.8 48.2h143.7c40.6-7.4 78.1-17.1 109.7-31.2 33.4-14.8 60.4-34.6 76.3-62.3 15.9-27.7 19.9-62.7 9.4-105.1-1.1-4.2-2.2-8.5-3.2-12.8z"}}]})(props);
};
function GiBlast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-72 0-120 48.094-120 96.093 0 48.416 24.277 66.635 51.563 112.5-3.476 47.475-3.75 111.834-3.75 199.218 15.588-51.96 28.137-91.943 38.437-121.406C236.71 347.18 249.23 407.97 256 495.997c6.77-88.027 19.288-148.818 33.75-193.593 10.3 29.462 22.85 69.444 38.438 121.407 0-87.915-.21-152.607-3.75-200.156C351.563 178.276 376 160.274 376 112.09 376 64.09 328 16 256 16zm0 47.813c39.765 0 72.188 26.863 72.188 60 0 13.097-5.516 25.29-14.063 35.156-10.095-33.71-27.39-46.876-58.125-46.876s-48.03 13.167-58.125 46.875c-8.547-9.866-14.063-22.06-14.063-35.158 0-33.136 32.423-60 72.188-60z"}}]})(props);
};
function GiBlaster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 136c60 75-45 45-165 45 51.292 17.097 90.22 30.17 118.125 41.25C164.385 236.653 103.75 249.25 16 256c87.75 6.75 148.386 19.347 193.125 33.75C181.22 300.83 142.293 313.903 91 331c120 0 225-30 165 45 19.66-9.83 42.34-19.584 64.218-30.468C345.538 362.998 364.79 376 399.906 376c48 0 96.093-48 96.093-120s-48.096-120-96.094-120c-35.35 0-54.58 12.824-80.157 30.468-21.765-10.81-44.206-20.695-63.75-30.468zm132.188 47.813c33.136 0 60 32.422 60 72.187s-26.864 72.188-60 72.188c-9.062 0-17.61-2.715-25.313-7.032C388.008 303.676 406 282.742 406 256c0-26.743-17.992-47.68-43.125-65.158 7.702-4.316 16.25-7.032 25.313-7.032z"}}]})(props);
};
function GiBleedingEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.344 28.938c-89.18-.037-174.996 44.27-222.656 133 21.242 38.834 45.078 64.08 54.374 100v49.968C73.3 322.043 66 329.11 66 340.312c0 9.09 11.63 18.094 21.03 18.094 9.198 0 21.597-9.677 21.595-19.25 0-11.367-7.31-17.81-11.875-27.03v-32.282c16.002-32.16 81.357-9.403 105.844 45.625v80.592c-6.364 10.477-13.625 16.953-13.625 28.875 0 17.885 11.763 24.5 23.936 24.5 11.907 0 21.594-5.66 21.594-24.5 0-9.298-7.442-16.634-13.22-31.062V325.72c15.678-36.473 54.92-20.136 71.657 31.25v74.842c-5.41 10.498-11.718 19.456-11.718 32.313 0 12.927 10.045 22.188 21.03 22.188 10.744 0 22.188-9.728 22.188-23.344 0-14.448-7.098-23.414-12.813-34.564v-84.562h-.22c15.34-65.977 52.293-101.43 68.75-52.594v59.78c-4.457 8.957-9.56 17.375-9.56 29.595 0 13.944 9.553 23.938 18.686 23.938 9.338 0 18.095-9.543 18.095-22.782 0-10.83-4.347-19.014-8.53-27.56V284.31c19.988-69.842 66.447-87.325 90.31-122.375-61.083-88.583-153.632-132.963-242.81-133zm.437 22c81.74-.606 166.08 37.776 216.126 115.906-149.813 108.407-280.244 108.6-412.969-4.938 40.834-73.15 117.62-110.38 196.844-110.97zm4.69 16.03c-44.972 0-81.407 36.468-81.407 81.438s36.435 81.406 81.406 81.406c44.97 0 81.436-36.434 81.436-81.406 0-44.97-36.467-81.437-81.437-81.437zm-.532 49.063c16.13 0 29.187 13.06 29.187 29.19 0 16.13-13.057 29.218-29.188 29.218-16.13 0-29.218-13.09-29.218-29.22s13.087-29.187 29.218-29.187z","fillRule":"evenodd"}}]})(props);
};
function GiBleedingHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M227.438 18.594L207.313 87.97c-51.705 15-93.266 51.876-115.188 99.06l-73.406 9.814 58 43.094c-1.834 13.845-2.095 28.103-.626 42.593 1.892 18.672 6.55 36.403 13.5 52.845l-33.563 63.22 62.69-15.97c10.04 11.805 21.53 22.302 34.155 31.22l4.063 72 44.656-47.5c3.523 1.154 7.08 2.212 10.687 3.155v51.094h18.69v-47.25c9.448 1.436 19.105 2.11 28.905 2.03v45.22h18.688V446.28c16.735-1.836 32.71-5.878 47.656-11.81l48.31 30.5 1.814 2.186v25.438h18.687V460.5l-2.092-2.563-12.594-15.437-8.47-34.344c19.613-15.464 35.89-34.777 47.813-56.687l67.438 2.655-49.313-51.406c3.958-18.31 5.146-37.53 3.157-57.158-1.816-17.9-6.148-34.947-12.626-50.812l.75 1.063 45.094-59.063-73.094 12.03c-33.67-41.52-84.87-67.627-140.97-68.06l-32.687-62.126zm31.343 80.78c18.82 0 37.02 3.223 54.033 9.157l4.625 40.595 34.187-20.97c38.577 26.43 65.657 69.033 70.75 119.282.18 1.775.346 3.546.47 5.313l-48.283 16.125 45.188 29.03c-8.816 42.143-33.876 78.896-68.97 102.626V235.75c1.017-6.205 1.21-12.552.408-19.03-7.203-58.14-80.477-59.517-100.844-6.75-36.378-45.1-100.77-19.982-93.656 37.186 3.574 28.718 29.094 49.678 55.593 67.22v107.78C157.405 406.133 113.557 362.12 99 305l29.72-24.97-34.814-21.405c.983-31.41 10.888-60.917 27.47-85.813l41.31 3.782-15.81-33.625c25.302-23.35 58.116-39.006 95.06-42.75 5.663-.575 11.276-.845 16.845-.845zm73.314 178.94v133.123c-16.367 8.158-34.377 13.722-53.53 16.063l-.002-79.063c10.236-20.103 35.553-43.51 53.532-70.125zM230.97 326.31c10.877 6.818 21.026 13.216 28.905 19.5v82.907c-9.82.093-19.493-.698-28.906-2.283V326.313z"}}]})(props);
};
function GiBleedingWound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M26.996 47.947c11.726 44.806 56.176 129.96 67.496 242.934-6.597 76.494-22.66 98.81-22.66 152.74 0 27.602 11.33 38.038 23.254 38.038 11.662 0 23.72-11.823 23.72-40.896 0-56.606-16.937-73.84-23.283-151.65 6.472-83.65 59.715-45.933 59.715 2.765 0-112.652 101.99-85.16 116.024-34.77-5.164 35.11-15.028 45.947-15.028 75.368 0 16.633 8.51 28.86 16.74 28.86 8.416 0 16.41-11.433 16.41-27.226 0-27.953-9.303-41.066-14.515-75.825 15.447-37.68 115.544-34.583 115.845-1.754-3.41 26.414-12.764 32.13-12.764 51.16 0 9.714 6.58 16.855 12.943 16.855 6.506 0 12.685-6.677 12.685-15.9 0-18.435-9.164-25.838-12.596-52.854 14.138-49.16 86.57-19.867 92.008-73.298-51.22 45.91-357.175 26.76-455.994-134.545zm128.85 266.22c-4.676 31.802-17.635 40.28-17.635 61.724 0 10.642 8.592 18.346 17.636 18.346 8.844 0 17.988-8.24 17.988-19.45 0-22.338-13.464-28.757-17.988-60.62z"}}]})(props);
};
function GiBlindfold (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M295.568 31.755c-88.873 1.013-164.237 83.15-146.14 154.222 3.112 1.68 6.114 3.713 8.976 6.012 94.364-20.635 186.207-37.25 274.717-69.38-4.396-11.362-8.926-26.62-15.104-32.857-38.564-42.043-81.91-58.46-122.448-57.998zm162.787 100.527c-92.984 36.365-188.555 54.132-285.513 75.08 3 4.306 5.436 8.95 6.91 13.865 16.698.56 33.29.95 49.81 1.188 2.315-11.524 9.915-22.267 22.616-27.496l.338-.14.347-.11c4.037-1.292 8.075-1.804 11.944-1.66 3.87.14 7.57.94 10.93 2.268 6.725 2.66 12.12 7.126 16.605 12.01 4.4 4.79 8.038 10.1 11.054 15.06 56.644-.994 112.656-4.228 168.79-10.304-.018-3.805-.042-7.543-.096-11.22-16.977-1.565-36.94-.35-64.217 7.667 22.82-11.948 39.826-19.518 60.78-19.31 1.03.01 2.07.038 3.122.086-.45-10.747-1.432-20.984-3.654-30.824-33.557 19.84-62.436 23.53-105.98 26.362 50.238-10.525 79.007-24.07 102.546-38.356-1.695-4.802-3.77-9.52-6.33-14.166zM132.56 199.17c-.682-.004-1.15.09-1.45.194-4.756 2.414-9.748 9.214-12.018 17.453-2.215 8.037-1.57 16.664.984 21.662 4.615 4.572 14.302 6.43 24.166 4.493 9.68-1.9 17.22-7.725 18.862-10.728.035-5.966-4.99-16.103-12.74-23.406-4.08-3.848-8.656-6.877-12.417-8.417-1.88-.77-3.444-1.11-4.63-1.217-.277-.025-.53-.036-.756-.037zm131.753 11.76c-1.675-.076-3.475.16-5.56.786-8.19 3.47-11.016 8.43-11.85 16.082-.843 7.75 1.63 18.15 6.663 27.836 5.034 9.685 12.528 18.6 20.133 23.953 7.604 5.353 14.49 6.963 20.238 5.017l5.77 17.05c-12.697 4.3-25.788.1-36.37-7.348-10.582-7.45-19.485-18.33-25.744-30.372-3.893-7.49-6.8-15.45-8.108-23.474-16.447-.24-32.96-.625-49.57-1.178-2.164 5.224-5.78 9.34-10.246 12.565 5.82 11.84 12.81 22.992 21.11 33.396l2.597 3.252-.795 4.084c-6.046 31.008-13.87 62.623-36.97 82.58 31.778 52.62 70.812 94.726 150.777 102.636 7.516-26.908 14.15-57.853 60.483-89.71l2.422-1.663 2.937.084c40.79 1.18 61.765-5.75 71.61-18.506 4.322-5.6 7.014-13.152 8.17-22.847l-39.04-.797.366-17.996 39.19.8c-.368-8.815-1.513-18.807-3.42-30.08l-1.745-10.327 36.203-.586c-1.14-6.856-3.99-16.375-8.29-25.238-6.218-12.83-15.555-24.903-19.124-27.382l-2.123-1.477c-50.237 4.848-100.406 7.483-151.02 8.347-7.65 3.924-5.706 2.888-7.813 4.068-4.162-7.43-9.574-17.904-16.11-25.02-3.27-3.56-6.693-6.154-9.968-7.45-1.584-.625-3.133-1.01-4.807-1.086zm-157.125 40.21c-6.954 14.03-14.456 30.194-22.5 46.296-9.06 18.146-18.786 36.2-29.49 51.268-8.14 11.457-16.796 21.348-26.764 27.975 9.864 13.877 17.987 25.48 24.654 35.674 4.344-12.038 9.388-24.587 14.734-37.382 11.19-26.778 23.637-54.487 33.354-79.553 5.43-14.012 9.954-27.268 12.98-38.853-2.502-1.455-4.845-3.25-6.97-5.428zm38.093 9.92c-4.485.71-9.156.97-13.766.61-3.28 12.524-8.04 26.025-13.555 40.255-9.972 25.724-22.472 53.52-33.53 79.986-11.06 26.467-20.645 51.69-24.836 71.397-2.096 9.855-2.788 18.303-2.033 24.456.114.927.3 1.68.463 2.492 3.097-2.28 6.465-4.24 10.29-5.897 10.15-4.394 22.763-7.508 35.332-9.756 12.568-2.247 24.964-3.555 34.462-3.857.97-.03 1.77-.006 2.674-.018-10.392-58.63-2.174-142.745 4.5-199.666z"}}]})(props);
};
function GiBlockHouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M375 32v41H100.326l-49.6 62h410.547l-49.6-62H393V32h-18zM85.727 153L96 163.273 106.273 153H85.727zm64 0L160 163.273 170.273 153h-20.546zm64 0L224 163.273 234.273 153h-20.546zm64 0l11.185 11.186L300.645 153h-22.918zm64 0L352 163.273 362.273 153h-20.546zm64 0L416 163.273 426.273 153h-20.546zM128 156.727L108.727 176 128 195.273 147.273 176 128 156.727zm64 0L172.727 176 192 195.273 211.273 176 192 156.727zm64 0L236.727 176l19.42 19.422 19.736-18.813L256 156.726zm128 0L364.727 176 384 195.273 403.273 176 384 156.727zm-62.623 1.377l-19.732 18.814L320 195.273 339.273 176l-17.896-17.896zM73 165.727v20.546L83.273 176 73 165.727zm366 0L428.727 176 439 186.273v-20.546zm-343 23L85.727 199h20.546L96 188.727zm64 0L149.727 199h20.546L160 188.727zm64 0L213.727 199h20.546L224 188.727zm128 0L341.727 199h20.546L352 188.727zm64 0L405.727 199h20.546L416 188.727zm-127.387.613l-10.13 9.66h19.79l-9.66-9.66zM73 217v126h366V217H73zm23 39h80v32H96v-32zm112 0h96v32h-96v-32zm128 0h80v32h-80v-32zM75.5 361l43.5 58v-30l-21-28H75.5zm61.5 0v126h23v-71h48v71h167V361H137zm277 0l-21 28v30l43.5-58H414zm-174 55h32v32h-32v-32zm64 0h32v32h-32v-32z"}}]})(props);
};
function GiBlood (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v229.88c22.044 9.644 49.156-17.056 37.773-38.415-9.77-18.333-28.462-64.016 2.426-62.99 28.694.953-6.267 51.97 28.515 57.074 34.492 3.933 27.964-35.193 22.09-56.23-.83-24.395 41.38-26.67 43.338-2.185 8.49 38.33 1.755 77.958-10.797 114.553-6.183 26.524 23.463 53.067 48.754 40.68 21.484-8.98 27.2-37.24 15.63-56.155-9.393-21.09-14.358-46.482-7.056-68.848 15.266-17.564 34.26-2.558 31.67 19.4-2.603 22.057 34.583 31.325 47.707 12.366 12.132-13.536-3.528-44.482 25.866-38.55 24.315 8.45 20.396 42.19 23.975 63.074 1.875 57.63-4.794 115.585-17.48 171.766-6.737 21.168-15.6 49.026 4.77 65.818 20.44 19.52 57 2.728 57.87-24.834.22-41.152-14.95-80.59-16.593-121.685-1.99-51.07-6.23-102.407-1.945-153.452-1.35-22.65 26.44-52.9 47.29-33.247 14.973 22.996-3.973 48.37-2.218 71.568 2.93 38.73 64.42 11.456 42.328-19.217-15.696-21.732 21.673-62.3 29.37-24.413 9.04 28.41 11.366 62.216-2.663 88.127-10.492 19.376-17.404 46.694 5.806 56.666 7.55 3.914 15.26 3.6 19.574-.25V18zm58.988 120.832c21.007 14.74 2.246 37.2 10.23 48.88 1.113 2.357 9.44 7.467 7.966 7.622-27.937-2.57-17.47-21.197-16.758-39.598-1.642-9.125-3.514-16.687-1.438-16.904zm83.46 9.176c15.11 37.11 14.654 71.48.814 107.937-7.613 16.268 12.677 35.28 19.03 39.336-27.713-3.024-36.51-30.838-25.93-52.378 9.564-30.688 12.476-54.2 6.085-94.894zm79.997 28.32c-.87 14.396 8.95 22.896 30.348 29.96-17.49 11.152-43.003-10.59-30.348-29.96zm167.602 13.215c1.624-.008 3.56 2.88 5.043 10.062 3.194 15.478 16.705 9.406 26.406.688.426 17.666-31.39 25.417-34.154 3.49-1.372-8.03.33-14.228 2.705-14.24zm78.185 14.55a.422.422 0 0 1 .147.013c.786 6.186 1.374 13.183 1.243 19.416 3.29 24.09-15.953 44.724-7.834 67.03 4.092 11.247 3.7 18.713-7.085 10.108-13.438-12.492-2.112-35.942 4.592-52.05 6.498-9.613 5.937-44.258 8.935-44.518zm-150.543 59.9c4.252 13.3 1.957 33.317 3.156 48.777-1.066 44.92-10.64 87.364-14.39 131.2-.59 6.89 13.26 28.558-1.274 20.708-17.077-9.554-10.357-31.603-7.137-46.46 13.697-50.267 17.806-102.36 19.644-154.226z"}}]})(props);
};
function GiBloodyStash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M244.188 21.97C347.89 119.18 428.1 216.274 494.717 304.06V191.656c-7.062-6.39-14.155-12.677-21.343-18.844 2.986-3.465 4.813-7.972 4.813-12.906 0-10.927-8.855-19.78-19.782-19.78-6.285 0-11.875 2.96-15.5 7.53-43.25-34.448-88.287-64.956-134-91.312 1.006-2.025 1.594-4.274 1.594-6.688 0-8.35-6.773-15.125-15.125-15.125-5.416 0-10.142 2.848-12.813 7.126-12.764-6.883-25.567-13.452-38.375-19.687zM104.625 40.093c5.11 5.177 10.18 10.36 15.22 15.593-4.225 1.173-7.38 4.29-8.345 9-1.812 8.844 4.727 19.92 14.625 24.72 3.642 1.766 7.237 2.42 10.406 2.124-2.535 4.11-4 8.974-4 14.157 0 14.89 12.05 26.938 26.94 26.938 8.68 0 16.41-4.097 21.343-10.47 88.686 101.2 165.598 208.4 235.156 306.72-7.4 6.047-12.126 15.23-12.126 25.53 0 18.213 14.756 32.97 32.97 32.97 6.274 0 12.13-1.77 17.123-4.813 3.086 4.354 6.193 8.76 9.25 13.063h31.532V381.28c-41.357-69.223-154.77-193.34-184.533-213.31 24.14 33.4 45.1 64.336 64.813 94.03-87.49-95.75-183.443-179.588-270.375-221.906zm-28.22 15.25c-1.868.086-3.736.548-5.53 1.406-7.176 3.433-10.214 12.042-6.78 19.22 3.432 7.175 12.04 10.213 19.218 6.78 7.176-3.433 10.214-12.042 6.78-19.22-2.574-5.38-8.08-8.445-13.687-8.186zm355.75 20.375c-1.454.05-2.858.357-4.155.968-6.918 3.256-8.265 13.625-3 23.156 5.265 9.53 15.144 14.632 22.063 11.375 6.918-3.258 8.264-13.627 3-23.157-4.278-7.744-11.6-12.56-17.907-12.344zm-151.124 35.25c-1.983.123-3.845.72-5.436 1.78-6.366 4.236-6.168 14.688.437 23.344 6.607 8.655 17.104 12.236 23.47 8 6.366-4.236 6.168-14.688-.438-23.344-4.954-6.492-12.078-10.155-18.03-9.78zM25.19 149.28c91.018 100.043 158.696 190.397 212 271.595-8.48-1.364-18.445 4.948-20.25 13.594-6.22 29.777 12.896 53.913 47.593 61.155H390.19c-97.972-139.74-234.782-282.95-365-346.344zm30.03 101.845c-3.807.078-7.195 1.333-9.406 3.844-5.052 5.738-2.15 15.785 6.47 22.436 8.62 6.65 19.697 7.396 24.75 1.656 5.052-5.74 2.182-15.786-6.438-22.437-4.85-3.74-10.48-5.6-15.375-5.5zm47.188 38.125c-14.89 0-26.937 12.048-26.937 26.938 0 14.89 12.047 26.968 26.936 26.968 14.89 0 26.97-12.08 26.97-26.97 0-14.888-12.08-26.936-26.97-26.936zm79.72 103.47c-10.928 0-19.782 8.853-19.782 19.78 0 10.927 8.854 19.78 19.78 19.78 10.928 0 19.782-8.853 19.782-19.78 0-10.927-8.854-19.78-19.78-19.78z","fillRule":"evenodd"}}]})(props);
};
function GiBloodySword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M35.143 35.8c-5.796-.14-11.483 2.82-14.575 8.212-4.497 7.84-1.8 17.85 6.026 22.355 4.804 2.767 10.42 2.805 15.086.615l68.558 39.375-29.797 51.957 28.51 16.49c6.374-49.47 27.945-90.184 68.726-119.837l-28.51-16.492-29.63 51.67-68.522-39.352c-.44-5.166-3.31-10.04-8.135-12.818-2.446-1.408-5.103-2.113-7.737-2.176zm153.093 71.632l-37.892.642 251.484 144.74-9.322 16.198-253.45-145.87 19.89 35.135c3.916 1.873 29.888 14.392 59.775 33.858 30.715 20.005 64.022 44.997 74.397 74.703 4.567 2.27 31.488 15.496 69.58 27.764 37.96 12.224 84.088 21.654 119.912 15.58-12.992-35.507-44.6-70.15-74.456-95.995-27.686-23.965-52.14-39.656-59.117-43.998-30.91 5.99-69.19-10.66-101.86-27.53-31.63-16.333-55.295-32.69-58.94-35.228zm-26.992 72.9c5.623 17.433 10.356 39.574 14.51 64.59v77.287h18.687v-42.12c14.672-28.54 40.948-3.137 50.7 53.53v161.003h18.688V335.87c12.62-13.188 27.91 3.7 38.975 32.24v35.175h18.69v-25.707c17.057-20.727 46.446-5.688 59.93 49.102v66.888h18.688v-67.07c17.575-58.125 49.153-84.382 74.394-96.3-38.7 3.766-81.725-6.276-117.537-17.81-42.97-13.838-75.7-30.45-75.7-30.45l-3.72-1.887-1.078-4.027c-5.46-20.368-36.988-48.063-67.95-68.228-18.276-11.905-35.828-21.51-47.276-27.463zm23.854 181.48c-11.643 0-21.08 9.438-21.08 21.08 0 11.644 9.437 21.08 21.08 21.08 11.643 0 21.08-9.436 21.08-21.08 0-11.642-9.437-21.08-21.08-21.08zm283.754 7.53s-21.08 52.667-21.08 64.31 9.437 21.08 21.08 21.08c11.643 0 21.08-9.437 21.08-21.08 0-11.643-21.08-64.31-21.08-64.31zM312.15 426.11c-11.643 0-21.082 9.436-21.082 21.08 0 11.642 9.44 21.08 21.082 21.08 11.643 0 21.08-9.438 21.08-21.08 0-11.644-9.437-21.08-21.08-21.08z"}}]})(props);
};
function GiBlunderbuss (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M375.563 15.344c-3.744-.036-7.46.797-10.875 2.906-6.406 3.954-9.283 10.876-10.188 17.875v.03c-58.905 99.84-141.287 150.724-234.53 208.19-17.742 7.012-29.062 20.612-34.19 35.155-15.89-5.312-23.478-17.805-22.968-25.313l-18.656-1.28c-1.278 18.792 13.092 36.91 35.688 44.312l-1.656.5c-36.15 26.775-70.78 89.097-39.688 163.31 6.443 15.38 17.065 24.21 29.625 28.908 12.56 4.697 27.19 4.848 40 1.468 12.81-3.38 23.52-10.32 28.813-18.094 5.29-7.773 6.53-15.74.062-27.03-13.84-24.154-28.63-50.166-24.5-77.282 28.037 16.267 58.335 11.598 77.156-5.563 19.28-17.577 26.135-48.276 10.125-77.593 79.474-47.578 156.44-86.004 256.064-92.094 3.965.776 8.044.766 11.906-.53.022-.01.04-.025.063-.032.688-.024 1.37-.042 2.062-.063l-.375-.594c.75-.336 1.494-.707 2.22-1.155 6.83-4.218 9.65-11.82 10.342-19.28.693-7.463-.39-15.725-2.687-24.907-4.592-18.366-14.277-40.386-28.125-62.782-13.848-22.396-29.212-40.93-43.594-53.25-7.19-6.16-14.108-10.812-21.094-13.53-3.492-1.36-7.256-2.246-11-2.282zM375.188 34c.148-.01.326-.01.53 0 .82.043 2.094.296 4.063 1.063 3.94 1.532 9.573 5.047 15.72 10.312 12.293 10.53 26.843 27.85 39.844 48.875 13 21.026 21.982 41.773 25.906 57.47 1.962 7.846 2.61 14.454 2.22 18.655-.39 4.2-1.468 5.066-1.564 5.125-.095.06-1.343.595-5.28-.938-3.94-1.532-9.542-5.047-15.688-10.312-12.294-10.53-26.874-27.85-39.875-48.875-13.002-21.026-21.983-41.773-25.907-57.47-1.962-7.846-2.577-14.454-2.187-18.655.39-4.2 1.435-5.035 1.53-5.094.036-.022.24-.125.688-.156zM187.155 302.875c7.386 19.413 1.56 36.125-10.094 46.75-13.57 12.373-35.423 16.472-58.468 1.156 4.427-8.25 11.1-16.105 20.22-23.217 11.695-9.123 27.59-17.28 48.342-24.688z"}}]})(props);
};
function GiBo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M473.79 38.21c-1.853-1.85-3.902-3.5-6.066-4.89l-5.703 10.304 2.416-12.152c-5.255-2.56-10.94-3.467-16.103-1.746l-.79.79c.696 7.73 4.943 16.09 11.396 22.544 6.453 6.454 14.814 10.7 22.545 11.396l.79-.79c2.827-8.484-1.415-18.384-8.486-25.455zm-41.087 7.145L277.92 200.14l6.71 6.71 40.306-40.306-31.498 49.112 18.423 18.424L466.645 79.297c-1.877-.724-3.712-1.558-5.5-2.488l-26.51 13.664 18.61-18.613c-2.49-1.847-4.845-3.884-7.032-6.072-5.808-5.807-10.56-12.777-13.51-20.433zm-167.51 167.512l-16.22 16.22 48.656 16.217-32.438-32.437zm20.46 47.42l-50.91-16.97-11.226 11.225 50.912 16.97 11.224-11.225zM260.2 285.743l-17.85-5.95-10.92 34.72 28.77-28.77zm-34.93-11.643l-15.98-5.328-11.88 11.88 19.628 19.63 8.232-26.182zm-6.513 53.13l-7.81-7.583-26.266-26.267L29.725 448.333c-3.395 10.185 3.4 22.4 13.044 29.324l61.006-61.006-53.14 65.167c4.35 1.522 8.86 1.847 13.03.457l155.09-155.044z"}}]})(props);
};
function GiBoarEnsign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M296.881 65.633c-8.507-.065-17.245.338-26.132 1.218l5.312 79.221.602 8.979-17.96 1.203-.6-8.979-5.231-78.035c-24.269 4.068-49.243 11.604-73.412 22.787l22.101 62.057 3.02 8.476-16.955 6.04-3.02-8.477-21.355-59.961c-20.723 11.21-40.568 25.227-58.532 42.17l33.336 35.42 6.168 6.554-13.105 12.334-6.168-6.552-32.914-34.971a259.947 259.947 0 0 0-37.295 51.832l36.435 10.01 8.678 2.385-4.768 17.355-8.677-2.385-39.918-10.967c-17.227 37.45-27.144 81.943-26.233 133.895l18.625 16.637 33.522-19.12c.478 26.975-.914 47.18-8.444 73.997-2.533 12.768 20.453 21.952 25.825 12.416l28.943-51.383 24.195 47.906c7.665 12.922 30.622 5.98 28.936-6.224l-9.567-69.262c26.494 2.38 69.87-3.698 82.37-23.707 11.06 16.91 27.193 25.466 46.255 30.66l-18.87 56.613c-2.873 11.787 13.255 26.697 24.947 16.545l44.275-50.45 48.477 50.046c9.164 8.967 28.718 2.945 25.328-5.215l-35.285-84.936c28.356 4.277 64.943 2.737 71.787-10.416l15.892-30.54c-24.827 3.03-49.394 4.148-72.26-7.202l4.471-23.342c33.131 1.879 46.292-6.9 65.487-19.865 22.843-15.43 32.654-62.595 22.843-62.574-36.964.079-59.419 12.218-91.806 24.83 8.547-26.065 22.6-56.031 20.361-79.955-2.507-26.799-18.559-46.983-42.87-59.963l-22.062 68.674-2.754 8.568-17.134-5.506 2.752-8.566 22.634-70.459c-17.626-6.318-38.161-9.648-60.25-9.816zm36.534 145.039c17.673 0 32 14.327 32 32 0 17.673-14.327 32-32 32-17.674 0-32-14.327-32-32 0-17.673 14.326-32 32-32z"}}]})(props);
};
function GiBoarTusks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M179 121.563c-12.274 0-22.25 9.944-22.25 22.218 0 12.275 9.976 22.25 22.25 22.25s22.22-9.975 22.22-22.25c0-12.273-9.946-22.218-22.22-22.218zm163.125 0c-12.274 0-22.22 9.944-22.22 22.218 0 12.275 9.946 22.25 22.22 22.25s22.22-9.975 22.22-22.25c0-12.273-9.946-22.218-22.22-22.218zm-85.156 62.312c-23.045 0-33.798 12.104-47.44 29.188-13.64 17.083-28.726 38.97-57.31 48.593-13.173 4.435-18.553 11.14-20.876 19.97-2.324 8.827-.713 20.65 4.53 32.937 10.488 24.57 35.417 49.49 57.157 55.906 42.063 12.412 84.4 12.683 127.94 0 28.555-8.322 49.03-32.707 56.5-56.72 3.733-12.007 4.11-23.718 1.374-32.78-2.738-9.064-7.992-15.624-17.625-19.533-27.88-11.31-43.253-32.79-57.19-49.437-13.934-16.646-24.976-28.125-47.06-28.125zM66.905 214.28C7.44 271.357 3.186 341.1 64.28 390.845c52.883 43.054 111.193 30 143.314 2.562-6.635-1.387-13.253-3.055-19.844-5-21.202-6.257-40.77-22.238-54.875-41.656-51.514 4.825-93.266-52.765-65.97-132.47zm378.813 0c26.9 78.553-13.272 135.643-63.75 132.657-12.593 18.7-31.603 34.424-55.783 41.47-7.003 2.04-13.984 3.767-20.968 5.187 32.17 27.31 90.363 40.206 143.124-2.75 61.096-49.746 56.84-119.488-2.625-176.563zM230.06 228.063c.314.013.62.048.907.125 18.405 4.934 26.124 123.375-32.782 123.375-57.986 0 12.113-124.317 31.875-123.5zm52.75 0c19.762-.817 89.83 123.5 31.844 123.5-58.906 0-51.156-118.44-32.75-123.375.288-.077.593-.112.906-.125z"}}]})(props);
};
function GiBoatEngine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M342.4 21.55c-27.6 0-65.4 9.54-116.7 19.29-22.5 4.27-31.5 14.12-36.5 26.87-4.5 11.4-4.8 25.7-4.4 39.09l73.7 44.2H409l13.6-54.34c-9.8-25.79-19.8-43.48-30.2-54.78-10.8-11.69-21.9-17.15-36.1-19.35-3.6-.55-7.3-.85-11.3-.95-.9-.02-1.7-.03-2.6-.03zM18.7 71.03l-1.4 17.94 34.84 2.71 1.82-17.91-35.26-2.74zm53.21 4.13l-1.82 17.92 96.51 7.52c-.1-5.78.1-11.86.8-18.02l-95.49-7.42zM297 169v78h49.4l39-78H297zm-185 46c-21.91 0-46.08 13-66.13 25.3C25.82 252.7 10.39 265 10.39 265l11.22 14s14.68-11.7 33.68-23.3C74.3 244 98.13 233 112 233c13.9 0 27.3 10 42.4 22 15 12 31.7 26 53.6 26 21.9 0 38.6-14 53.6-26 4.1-3.3 8.1-6.4 12-9.2 1.4-7.8 2.6-15.8 3.5-23.7-9.8 5.2-18.5 12.3-26.7 18.9-15.1 12-28.5 22-42.4 22-13.9 0-27.3-10-42.4-22-15-12-31.7-26-53.6-26zm378.4 2s-14.7 11.7-33.7 23.3C437.7 252 413.9 263 400 263c-11 0-21.6-6.2-33-14.8-2.6 6.4-4.6 12.3-6.1 18 11.3 8.1 24 14.8 39.1 14.8 21.9 0 46.1-13 66.1-25.3 20.1-12.4 35.5-24.7 35.5-24.7l-11.2-14zM288 265c-.4 1.7-.9 3.5-1.3 5.2-5.6 22.6-12 41.5-21.7 53.1V359h99.5c-13.6-17.5-22.3-35-24.8-54.4-1.6-12.5-.6-25.6 2.9-39.6H288zm64 110v18c1 0 .7-.2 1.8 1.4 1.2 1.6 2.5 5 3.4 9.4 1.1 5.7 1.5 12.8 1.7 19.2h-38.1l5.1-46H265v36.3l48.8 73.1 5-45.4h40.3c.1 7 .5 15.1 2.1 22.8 1.1 5.6 2.8 11.2 6.1 16.1 3.4 4.9 9.7 9.1 16.7 9.1v-18c-1 0-.7.2-1.8-1.4-1.2-1.6-2.5-5-3.4-9.4-1.1-5.7-1.5-12.8-1.7-19.2H392v-18h-15.1c-.1-7-.5-15.1-2.1-22.8-1.1-5.6-2.8-11.2-6.1-16.1-3.4-4.9-9.7-9.1-16.7-9.1z"}}]})(props);
};
function GiBoatFishing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M453 61.16C382.3 72.25 282.7 104.9 207.3 160c.4.2.8.5 1.2.7 4.8 3.1 8.8 7.3 11.5 12.4 66-47.5 153.2-78.35 219-91.15V401.8h18V73.85c-.3-5.2-3.1-12.04-4-12.69zm-344.9 5.69c-18.66 0-35.13 18.4-35.13 42.85 0 24.5 16.47 42.9 35.13 42.9 18.7 0 35.1-18.4 35.1-42.9 0-24.45-16.4-42.85-35.1-42.85zM79.73 161.2c-16.65 42.2-23.61 86.3-28.4 126.9 24.46-.9 48.24-2.4 70.97-4.5-1.8-14.3-2.9-28.5-3.5-42.7-8-5.9-16.2-12.8-24.39-20.1l11.99-13.4c10.9 9.7 21.5 18.4 30.9 24.5 9.3 6.2 17.6 9.5 21.9 9.8h.1c-.5 0 2.1-.4 5.7-2.8 3.5-2.5 8-6.5 12.6-11.5 9.2-9.9 19.2-23.9 26.7-37.8 1.3-2.4 1.3-4.4.3-6.9-.9-2.5-3.1-5.2-5.9-6.9-2.7-1.8-5.8-2.6-8.4-2.3-2.6.3-5.1 1.3-7.9 5.1l-26.8 35.9-42-44.3c-1.8.3-3.6.4-5.5.4-10.56 0-20.24-3.5-28.37-9.4zM273.3 278.5c-63.1 14.3-154.2 27.4-254.3 28.1v94.2h138.7c53.8-27.5 96.3-79.7 115.6-122.3zM64 416.8c-13.18 0-29.27 4.3-42.85 8.4-1.08.3-2.11.6-3.15 1V445c2.59-.8 5.39-1.7 8.36-2.6 12.92-3.9 28.83-7.6 37.64-7.6 8.81 0 18.29 3.4 28.79 7.4 10.51 4 22.01 8.6 35.21 8.6s24.7-4.6 35.2-8.6c10.5-4 20-7.4 28.8-7.4s18.3 3.4 28.8 7.4 22 8.6 35.2 8.6c13.2 0 24.7-4.6 35.2-8.6 10.5-4 20-7.4 28.8-7.4s18.3 3.4 28.8 7.4 22 8.6 35.2 8.6c13.2 0 24.7-4.6 35.2-8.6 10.5-4 20-7.4 28.8-7.4s24.7 3.7 37.6 7.6c3 .9 5.8 1.8 8.4 2.6v-18.8c-1-.4-2-.7-3.1-1-13.6-4.1-29.7-8.4-42.9-8.4s-24.7 4.6-35.2 8.6c-10.5 4-20 7.4-28.8 7.4s-18.3-3.4-28.8-7.4-22-8.6-35.2-8.6c-13.2 0-24.7 4.6-35.2 8.6-10.5 4-20 7.4-28.8 7.4s-18.3-3.4-28.8-7.4-22-8.6-35.2-8.6c-13.2 0-24.7 4.6-35.2 8.6-10.5 4-20 7.4-28.8 7.4s-18.3-3.4-28.8-7.4-22.02-8.6-35.2-8.6z"}}]})(props);
};
function GiBoatHorizon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M313 80v48h18V80zm-78.5 29.2l-17 5.6 16 48 17-5.6zm175 0l-16 48 17 5.6 16-48zM322 167c-71.9 0-130.9 55.5-136.6 126h127.1c5.7-18 6.2-37.7 8.4-54.8 10.5 6.9 21.1 22.4 26 37.7 4.9-22.7 5.7-46.6 8.2-67.6 20.3 14.8 40.9 56.5 37 84.7h66.5c-5.7-70.5-64.7-126-136.6-126zM20 311v18h472v-18zm190 38v18h224v-18zm16 38v18h192v-18zm32 38v18h128v-18zm42 38v18h44v-18z"}}]})(props);
};
function GiBoatPropeller (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M309.15 21.209c-24.995-.374-50.098 14.428-64.076 63.611-12.743 44.837-4.557 106.917 14.5 158.983 8.733-3.686 18.747-4.452 28.447-1.442 10.094 3.133 18.152 9.826 23.24 18.272 33.762-16.847 70.774-29.358 88.594-51.313 47.257-58.219 4.19-138.461-35.183-166.851-14.175-10.221-34.811-20.95-55.522-21.26zM135.72 207.832c-66.3-1.054-108.738 69.822-113.332 115.096-3.894 38.368 5.81 105.23 96.476 82.398 44.995-11.33 94.419-49.163 129.946-91.465-12.314-10.488-17.952-27.733-12.877-44.084a41.28 41.28 0 0 1 3.779-8.568c-32.11-20.996-61.997-47.643-90.418-52.178a95.72 95.72 0 0 0-13.574-1.199zm139.908 50.63c-10.094-.024-19.338 6.442-22.506 16.65-3.898 12.562 3 25.665 15.563 29.564 12.562 3.898 25.664-2.998 29.562-15.56 3.899-12.563-2.998-25.667-15.56-29.565a23.985 23.985 0 0 0-7.059-1.088zM316.9 287.84a41.399 41.399 0 0 1-1.464 6.61c-5.666 18.255-22.966 29.865-41.248 29.241-2.283 37.694-9.975 76.046.136 102.479 26.791 70.035 117.817 72.857 162.09 52.955 35.175-15.813 88.228-57.646 23.121-124.75-32.003-32.984-88.698-56.742-142.635-66.535z"}}]})(props);
};
function GiBodyBalance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M134.924 42.201c-8.034.11-27.397 3.323-49.424 6.893l7.604 22.027c43.938-5.873 43.678-7.054 46.89-2.572 32.14 44.839 59.603 88.148 74.676 135.023 32.603 2.41 71.533 9.14 98.31 23.852 34.083-36.34 89.673-55.812 135.497-71.701 12.157-4.216 25.246 7.4 42.47 10.068l4.848-17.264c-4.872-6.815-27.807-16.587-37.338-16.718-4.035-.056-15.496 3.15-18.969 4.341-56.98 11.002-103.367 13.182-162.199 32.575-37.228-37.914-76.205-75.414-120.932-113.803-9.238-7.93-9.691-12.88-21.433-12.72zm83.87 179.617c-14.884 26.18-24.332 32.5-44.718 46.17-17.912-4.68-35.784-9.45-56.758-6.986-21.017-2.805-29.586 4.975-55.086 13.9-7.727-2.6-16.961.997-22.898 3.528-9.757 4.976-21.342 12.282-18.766 24.588 3.949 12.712 20.223 8.898 27.655 5.703 6.245-2.98 12.055-8.777 16.357-13.34 21.38.569 30.874-.128 52.988-9.912 16.743 6.801 37.917 9.505 56.895 9.972a57.14 57.14 0 0 1 3.607-2.476c10.976-6.9 24.287-9.537 36.313-4.77 12.025 4.768 19.744 15.743 22.773 28.196 1.789 7.352 2.081 15.356.856 23.539 4.75 13.328 8.36 25.571 16.906 41.912-5.193 22.78-3.544 45.283-2.262 68.342l-22.781 8.55-4.34 11.069h70.213l-8.137-11.903-16.369-8.257c3.504-23.007 9.628-45.75 6.246-69.446.55-17.704-5.289-35.407-8.748-53.111 21.304-26.239 10.374-44.741 25.3-73.287a112.733 112.733 0 0 1 7.216-11.918c-27.363-11.34-54.484-18.839-82.461-20.063zm-18.15 81.842c-4.054.12-8.442 1.56-12.992 4.42-7.278 4.576-14.383 12.805-18.76 23.463-4.376 10.658-5.073 21.43-3.064 29.687 2.009 8.258 6.29 13.613 12.037 15.891 5.747 2.278 12.612 1.343 19.89-3.232 7.28-4.576 14.386-12.807 18.763-23.465 4.376-10.658 5.071-21.428 3.062-29.686s-6.289-13.614-12.035-15.892c-2.155-.855-4.468-1.258-6.9-1.186z"}}]})(props);
};
function GiBodyHeight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M384 22.545L307.271 99.27l25.458 25.458L366 91.457v329.086l-33.271-33.272-25.458 25.458L384 489.455l76.729-76.726-25.458-25.458L402 420.543V91.457l33.271 33.272L460.73 99.27 384 22.545zm-242.443.258c-23.366 3.035-44.553 30.444-44.553 65.935 0 19.558 6.771 36.856 16.695 48.815l11.84 14.263-18.217 3.424c-12.9 2.425-22.358 9.24-30.443 20.336-8.085 11.097-14.266 26.558-18.598 44.375-7.843 32.28-9.568 71.693-9.842 106.436h42.868l11.771 157.836c29.894 6.748 61.811 6.51 90.602.025l10.414-157.861h40.816c-.027-35.168-.477-75.125-7.584-107.65-3.918-17.933-9.858-33.371-18.04-44.342-8.185-10.97-18.08-17.745-32.563-19.989l-18.592-2.88 11.736-14.704c9.495-11.897 15.932-28.997 15.932-48.082 0-37.838-23.655-65.844-49.399-65.844l-4.843-.093z"}}]})(props);
};
function GiBodySwapping (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M130.375 18.438c-19.615 0-36.445 9.542-47.594 24-11.147 14.457-17.093 33.652-17.093 54.25 0 17.877 4.543 35.74 12.626 50.124-11.008 4.402-20.228 11.397-27.5 20.125-9.997 11.997-16.583 27.02-21.126 43.5-9.085 32.964-10.125 72.204-10.125 107.594v9.345H61.595l9.968 154.78.563 8.75h116.53l.564-8.75 9.936-154.78h42.063v-9.344c0-35.39-1.04-74.63-10.126-107.592-4.543-16.482-11.13-31.504-21.125-43.5-7.27-8.723-16.504-15.723-27.5-20.125 8.08-14.385 12.624-32.25 12.624-50.125 0-20.598-5.977-39.793-17.125-54.25-11.15-14.458-27.98-24-47.595-24zm247.406 0c-19.614 0-36.444 9.542-47.592 24-11.15 14.457-17.094 33.652-17.094 54.25 0 17.877 4.542 35.74 12.625 50.124-11.01 4.402-20.228 11.397-27.5 20.125-9.998 11.997-16.584 27.02-21.126 43.5-9.086 32.964-10.156 72.204-10.156 107.594v9.345H309l9.938 154.78.562 8.75h116.438l.656-8.624 11.875-154.905h40.155v-9.344c0-35.39-1.07-74.63-10.156-107.592-4.544-16.482-11.13-31.504-21.126-43.5-7.273-8.73-16.493-15.724-27.5-20.125 8.082-14.386 12.625-32.248 12.625-50.125 0-20.598-5.947-39.793-17.095-54.25-11.148-14.458-27.98-24-47.594-24zM130.376 37.124c13.76 0 24.63 6.107 32.813 16.72 8.183 10.61 13.218 25.89 13.218 42.843 0 18.663-6.887 38.59-15.97 49.53l-10.124 12.188 15.594 2.938c12.812 2.408 22.058 8.406 29.688 17.562 6.238 7.487 11.222 17.262 15.062 28.656l-13.22 101.125h-14.75l-12.217-97.312-19.845 163.53-21.03-163.53-18.69 155.938L90.47 211.375l-11.72 97.313H61.812l-12.53-98.563c3.937-12.5 9.17-23.174 15.874-31.22 7.63-9.155 16.907-15.153 29.72-17.56l15.593-2.94-10.126-12.218c-9.083-10.94-15.97-30.836-15.97-49.5 0-16.95 5.037-32.23 13.22-42.843 8.182-10.612 19.02-16.72 32.78-16.72zM457.97 207.313c.888 2.62 1.73 5.307 2.5 8.093 7.436 26.984 9.094 60.96 9.342 93.28l-24.78.002 12.937-101.375zm-120.033 4.062l20.157 155.938 18.97-155.938 20.748 163.53L418 211.376l12.813 102.03-.313 3.908-11.875 154.906H337.03l-9.936-154.783-.563-8.75h-.436l11.844-97.312zM296 212.22l12.75 96.468h-23c.248-32.322 1.906-66.298 9.344-93.282.296-1.074.592-2.137.906-3.187z"}}]})(props);
};
function GiBoilingBubbles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196.78 78.688c-96.69 0-175.343 78.72-175.343 175.468 0 12.63 6.202 24.213 15.813 33.75 9.61 9.537 22.727 17.488 38.53 24.125 31.61 13.275 74.124 21.158 121 21.158 8.047 0 15.966-.236 23.72-.688 1.125 1.65 2.437 3.157 3.844 4.5 4.3 4.107 9.682 7.19 15.937 9.72 12.512 5.056 28.642 7.874 46.407 7.874 17.766 0 33.865-2.818 46.375-7.875 6.256-2.53 11.67-5.613 15.97-9.72 4.3-4.107 7.656-9.77 7.656-16.28 0-9.865-2.202-19.213-6.125-27.658 2.032-1.67 3.957-3.378 5.75-5.156 3.39-3.363 6.33-6.984 8.75-10.812.988.01 1.974.03 2.968.03 31.826 0 60.67-5.25 82.408-14.28 10.868-4.516 20.016-9.954 26.875-16.688 6.858-6.734 11.562-15.283 11.562-24.72 0-66.047-54.29-119.75-120.844-119.75-22.145 0-42.93 5.945-60.81 16.314-30.172-24.555-68.606-39.313-110.44-39.313zm0 18.687c86.573 0 156.657 70.14 156.657 156.78 0 6.61-3.084 13.33-10.28 20.47-.885.878-1.81 1.783-2.813 2.656-12.89-14.89-32.22-24.342-53.656-24.342-36.025 0-66.126 26.71-69.657 61.03-6.635.352-13.385.532-20.25.532-44.753 0-85.266-7.727-113.75-19.688-14.24-5.98-25.427-13.046-32.624-20.187-7.196-7.14-10.28-13.86-10.28-20.47 0-86.642 70.083-156.78 156.655-156.78zm171.25 23c56.543 0 102.158 45.226 102.158 101.063 0 3.35-1.538 7.024-5.97 11.375-4.43 4.35-11.623 8.88-20.937 12.75-17.818 7.404-43.217 12.42-71.405 12.843.155-1.403.25-2.818.25-4.25 0-31.565-8.36-61.223-23-86.844 13.78-3.103 23.656-11.57 23.656-21.5 0-11.298-12.783-20.666-29.56-22.437 7.942-1.955 16.246-3 24.81-3zm-193.967 5.875c-36.642 0-66.344 18.525-66.344 41.344 0 22.818 29.7 41.312 66.343 41.312 36.64 0 66.343-18.494 66.343-41.312 0-22.82-29.702-41.344-66.344-41.344zm320.312 137c-30.4 23.526-70.607 32.934-110.406 36.53l-12.814 1.158 5.063 11.843c7.44 17.37 4.932 28.445-3.22 38.19-8.152 9.742-23.698 17.64-42.844 21.874-38.29 8.47-89.822 1.9-118.094-17.47l-2.906-1.968-3.47.406c-60.5 7.144-128.014-12.125-186.56-44.968v185.22l118.905-.002c-2.954-8.158-2.075-17.375 2.626-24.906-18.91 7.375-41.197 3.46-56.47-11.812-20.595-20.597-20.595-53.997 0-74.594 10.3-10.298 23.785-15.438 37.283-15.438 13.496 0 26.982 5.14 37.28 15.438 20.2 20.2 20.575 52.7 1.156 73.375 8.9-1.583 18.404 1.03 25.28 7.906 8.12 8.12 10.332 19.903 6.658 30.033h302.53V263.25zm-207.688 8.375c28.617 0 51.313 22.084 51.313 49.094 0 .256-.033 1.02-1.875 2.78-1.842 1.76-5.337 3.965-10.063 5.875-9.45 3.82-23.653 6.53-39.375 6.53-15.72 0-29.956-2.71-39.406-6.53-4.724-1.91-8.188-4.115-10.03-5.875-1.842-1.76-1.906-2.524-1.906-2.78 0-9.827 3.014-18.993 8.22-26.69 4.427 5.18 12.748 8.69 22.28 8.69 14.18 0 25.656-7.73 25.656-17.25 0-5.527-3.887-10.44-9.906-13.595 1.678-.157 3.37-.25 5.094-.25zm131.47 107.688c8.272 0 16.53 3.157 22.843 9.468 12.623 12.625 12.623 33.097 0 45.72-12.623 12.623-33.064 12.623-45.688 0-12.623-12.623-12.623-33.095 0-45.72 6.312-6.31 14.572-9.467 22.844-9.467zm-200.032 28.75c5.92 0 11.828 2.265 16.344 6.78 9.03 9.033 9.03 23.656 0 32.688-9.033 9.033-23.688 9.033-32.72 0-9.032-9.03-9.032-23.654 0-32.686 4.516-4.516 10.456-6.78 16.375-6.78z","fillRule":"evenodd"}}]})(props);
};
function GiBolas (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M213.43 21.54c-46.155.27-91.59 9.917-126.184 27.747 35.44-4.564 67.766-4.785 96.442-1.312-14.38 5.39-28.077 12.13-40.72 20.013 45.897-11.947 96.025-13.915 138.58-4.474-39.536 4.256-73.158 12.716-100.536 24.37 70.373-10.442 131.843 17.4 167.558 73.458 6.998-9.104 15.812-17.02 26.29-23.135 13.58-7.923 28.375-11.89 43.064-12.26 2.498-.063 4.993-.008 7.478.135-24.215-41.376-57.388-67.313-93.865-80.943-19.67-8.972-41.355-15.86-64.205-19.525l.004-.015c-17.675-2.837-35.846-4.167-53.906-4.06zM420.912 144.49c-.8-.005-1.6.004-2.4.026-11.645.32-23.394 3.506-34.233 9.83-20.347 11.87-32.83 32.164-35.635 54.002 2.672-.85 5.51-1.31 8.447-1.31 15.503 0 28.27 12.77 28.27 28.273 0 13.33-9.44 24.63-21.94 27.54 21.866 28.454 61.394 36.848 93.125 18.334 34.684-20.236 46.558-64.938 26.494-100.058-13.363-23.393-37.35-36.482-62.128-36.638zm-63.82 81.238c-1.88 0-3.6.52-5.057 1.41l-30.672 10.604 6.037 17.686 30.592-10.578c4.96-.436 8.682-4.44 8.682-9.54 0-5.402-4.18-9.582-9.582-9.582zm-53.39 18.122l-36.835 12.736 6.037 17.687 36.834-12.738-6.037-17.685zM91.005 259.385c-.8-.005-1.6.003-2.4.025-11.646.32-23.394 3.504-34.233 9.828-34.684 20.237-46.558 64.94-26.494 100.06 10.792 18.892 28.517 31.05 47.99 35.114 17.308 17.118 36.44 31.05 56.63 42.098 20.84 14.38 43.545 22.827 66.818 26.23-30.582-20.555-50.59-46.054-52.867-69.185 53.748 60.732 145.74 81.982 216.568 61.55 32.046-11.658 57.986-29.305 73.025-51.087-61.803 27.515-125.787 31.27-181.826 16.44 19.368-5.92 36.6-13.626 51.6-22.862-58.266 9.763-109.74-12.115-144.66-59.055 3.792-17.256 1.442-35.952-8.022-52.52-13.364-23.39-37.35-36.48-62.13-36.635zm158.197 3.31l-34.383 11.89 6.037 17.686 34.383-11.887-6.037-17.688zM197.16 280.69l-26.17 9.05c2.952 5.635 5.264 11.454 6.96 17.37l25.247-8.73-6.037-17.69z"}}]})(props);
};
function GiBolivia (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M43.896 68.829c29.684-4.985 63.931-12.904 148.312-53.051l32.89 102.214L369.21 161.28l7.59 96.475 61.805 3.512 29.498 72.34-25.284 58.996c-32.53-13.45-59.839-33.256-121.503-11.238-16.164 19.127-23.681 57.278-33.712 89.899-76.82-14.398-136.704-9.87-168.56 25.986L50.92 293.575c10.326-68.28 10.417-141.922-7.023-224.746z"}}]})(props);
};
function GiBoltBomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M104.8 26.28c-16.71 0-32.64 5.9-45.86 15.4C25.09 65.78 8.537 116.5 40.26 159.6c24.97 34 14.15 78.4-11.69 103.4l12.84 13.4c31.97-30.9 45.09-85.6 14-127.9-25.94-35.2-12.44-72.72 14.03-91.72 13.24-9.4 29.77-13.7 46.16-10.5 15.6 3.1 31.6 13.2 46 34.6l-59.1 34.22 24.1 41.9c-49.4 63.4-58.45 153.1-15.9 227.1 56 97.2 179.9 130.5 276.8 74.4 96.9-56.1 130-180.4 74-277.6C419 107 337.3 69.98 258 81.08l-24.2-42-56 32.5c-16.8-25.4-37.5-39.8-58.7-44-4.8-.9-9.6-1.3-14.3-1.3zM288 112l-16 144 128-16-160 208 64-160-112 32 96-208z"}}]})(props);
};
function GiBoltCutter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M415.936 25.389c-17.463-.058-35.658 4.808-50.815 10.826l50.928 50.928 41.172-48.047c-11.557-9.906-26.143-13.657-41.285-13.707zm55.418 27.502l-48.23 41.326 51.103 51.103c11.281-28.396 18.536-67.452-2.873-92.43zm-114.8.213l-43.841 43.841 100.41 100.409 43.842-43.84zm17.29 27.115c9.341 9.341 9.341 24.486 0 33.828-9.342 9.341-24.487 9.341-33.828 0-9.342-9.342-9.342-24.487 0-33.828 10.59-9.11 24.611-8.938 33.828 0zm-80.668 22.644l-69.08 86.221c15.303 4.928 26.372 18.45 28.724 33.055l88.1-71.532zm136.918 33.68c9.373 9.373 9.373 24.569 0 33.941-9.373 9.373-24.569 9.373-33.942 0-9.372-9.372-9.372-24.568 0-33.941 10.715-9.097 24.617-9.054 33.942 0zm-70.436 32.803l-71.976 88.65c16.633 3.768 28.471 13.39 33.158 28.817l86.765-69.52zm-163.406 42.713c-9.016 9.016-9.016 23.36 0 32.377 9.016 9.015 23.361 9.015 32.377 0 9.016-9.016 9.016-23.36 0-32.375v-.002c-9.809-8.75-23.442-8.671-32.377 0zm-24.016 9.04L52.476 251.08l6.442 59.047c20.232 3.595 35.409-17.644 50.693-20.494 28.31-2.428 43.494-4.775 67.022.226 2.206-11.59 5.89-20.735 13.203-27.543-13.056-8.801-19.628-28.288-17.6-41.216zM34.473 252.019L18 253.039v62.883l23.021-3.881zm166.74 24.31c-9.058 9.058-9.058 23.47 0 32.527 9.057 9.058 23.468 9.058 32.525 0 9.058-9.057 9.058-23.47 0-32.527-10.288-8.909-23.711-8.552-32.525 0zm64.096 5.893c-9.058 9.057-9.058 23.47 0 32.527 9.057 9.057 23.47 9.057 32.527 0 9.057-9.057 9.057-23.47 0-32.527-10.288-8.91-23.713-8.553-32.527 0zm-18.112 38.593c-7.348 7.112-19.122 12.13-27.67 12.668 5.601 25.01 2.157 51.853.426 68.239-13.19 19.719-16.353 29.026-20.57 50.89l59.304 6.47 30.094-120.294c-18.423.36-32.556-4.15-41.584-17.973zm-49.693 149.698L193.543 494h63.135l1.049-16.918z"}}]})(props);
};
function GiBoltDrop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 34.25C210.3 115.3 165.1 172.3 131.3 219.3 95.53 268.9 73 307 73 352c0 45 21.91 77.8 56 100.5 34.1 22.7 80.5 34.5 127 34.5s92.9-11.8 127-34.5c34.1-22.7 56-55.5 56-100.5s-22.5-83.1-58.3-132.7c-33.8-47-79-104-124.7-185.05zM304 128l-46.8 134.4h117L178.7 471.3l59.2-159.2H130.5L304 128z"}}]})(props);
};
function GiBoltEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.12 66.45c-86.344-.825-168.94 54.43-231.636 157.583 142.248 147.99 316.073 144.962 471.508 0-74.337-106.54-158.758-156.806-239.87-157.582zm11.734 21.282c57.37 3.81 102.726 51.543 102.726 109.877 0 60.822-49.306 110.126-110.13 110.126-60.82 0-110.126-49.304-110.126-110.127 0-39.058 20.334-73.364 50.99-92.917l39.778 64.233-60.69 6.746 124.23 109.066-44.343-89.78 60.33-7.673-52.766-99.553zm-243.37 173.48c6.764 25.905 19.346 48.295 36.182 67.142L34.148 363.63 49.698 374l21.42-32.13c9.303 8.407 19.537 15.958 30.534 22.634l-18.06 38.81 16.945 7.885 17.522-37.656c12.11 6.054 24.937 11.168 38.274 15.345l-13.64 40.816 17.724 5.925 13.947-41.738c13.677 3.323 27.766 5.714 42.067 7.166l-2.315 42.582 18.66 1.015 2.297-42.24c14.223.63 28.56.35 42.826-.848l3.83 43.338 18.614-1.644-3.867-43.776c14.068-1.983 27.98-4.87 41.54-8.67l14.883 44.698 17.733-5.904-14.78-44.395c12.946-4.517 25.475-9.915 37.413-16.19l19.543 42.125 16.952-7.866-20.225-43.594c10.597-6.627 20.6-14.024 29.87-22.194L463.688 374l15.56-10.35-26.17-39.35c16.938-17.922 30.633-38.94 39.912-63.09-155.435 133.35-329.26 136.136-471.508 0z"}}]})(props);
};
function GiBoltSaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M118.262 17.338l-.004.002 14.6 33.287L34.74 64.645l46.723 45.552L14.3 183.783l43.804 16.936-9.344 105.706 48.474-8.176 51.393 121.475 26.28-29.786 95.197 94.61 2.335-36.208 112.714 44.967-19.27-43.218 104.538-15.184-42.633-40.883 66.577-72.418-50.224-19.27 8.76-106.876-52.56 8.76L348.946 81.58l-25.695 29.785-89.354-88.77-2.337 39.714-113.298-44.97zm144.8 100.435l52.75 54.9 10.428-26.282 25.125 84.682 19.008-13.43-14.63 63.073 35.02-2.336-50.077 50.225 36.066 17.518.006-.002-.002.005-.004-.002-63.086 14.6 17.443 24.53-79.653-25.698 4.516 32.123-51.422-53.147-11.575 28.618-24.38-82.93-26.116 18.688 17.448-74.754-37.942 2.336 49.354-49.64-35.043-16.938 72.998-16.935-19.215-26.866 76.87 25.113-3.89-27.45zm-23.345 95.846c-14.81 0-18.424 16.9-8.074 37.75 10.35 20.848 30.742 37.747 45.55 37.747 14.81 0 18.424-16.9 8.075-37.748-10.35-20.85-30.742-37.75-45.55-37.75z"}}]})(props);
};
function GiBoltShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M104.53 75.188l.064 11.75C105.387 196.84 154.647 306.933 252 401l6.5 6.28L265 401c96.765-93.853 146.975-204.032 147.844-314.063l.094-11.718-11.47 2.53c-80.262 17.713-205.254 17.923-285.468 0l-11.47-2.563zm33.907 32.468l11.438 2.563c60.965 13.62 156.674 13.463 217.688 0l11.468-2.532-.092 11.718c-.67 84.917-39.46 169.857-113.907 242.063l-6.467 6.28-6.5-6.28C177.16 289.095 139.113 204.213 138.5 119.405l-.063-11.75zm221.407 22.97c-60.417 11.242-141.785 11.386-202.25.03 3.59 73.105 36.766 146.23 100.937 210.844 63.845-64.506 97.625-137.755 101.314-210.875zm-340.22 136.5L123 433.468l17.906-51.314 96.188 88.156L133.72 303.97l-17.907 51.31-96.188-88.155zm470.532 0l-96.22 88.155-17.873-51.31L272.656 470.31l96.188-88.156 17.906 51.313 103.406-166.345z"}}]})(props);
};
function GiBoltSpellCast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M485.846 30l-172.967 74.424 64.283 20.32-129.627 65.186 83.637 19.414-96.996 62.219 219.133-69.7-95.29-28.326L471.192 112.8l-72.115-15.024L485.846 30zm-280.46 45.766c-28.066-.117-49.926 56.532-57.726 90.607-11.26 49.19-14.529 83.515-.828 133.059l-17.348 4.798c-15.463-55.917-8.245-94.75 2.301-142.341 10.547-47.592 14.52-70.403-4.459-74.182C85.244 79.328 82.04 178.17 79.57 222.604c-1.396 25.808.71 57.017 6.54 77.552l-16.901 6.196c-14.43-53.35-6.657-97.957-1.693-150.77 2.493-15.582-1.787-25.677-19.102-25.166-15.833.467-27.015 143.362-13.275 179.041 8.713 53.061 31.247 130.572 10.955 152.766L18 494h205.973l19.986-28.592c23.08-5.008 28.42-19.86 37.023-33.787 25.291-40.946 82.384-83.166 129.114-99.226 21.142-7.51-21.912-48.546-53.836-32.782-55.005 27.162-81.646 56.298-117.772 38.295-55.855-27.834-47.245-100.648-35.861-162.83 6.141-33.544 40.41-89.602 7.156-98.824a21.158 21.158 0 0 0-4.396-.488z"}}]})(props);
};
function GiBolterGun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M406.125 71.563v28.812h-285.25L68.312 153.5v76.97L22 403.312l94.438 25.312 12.062-45.03-37.125-9.97 26.844-59h148.936v.094h174.53l.002-214.345h-16.875V71.562h-18.688zm54.25 55.968v52.814h34.156V127.53h-34.155zm-161.406 8.064h108.81v32.97H298.97v-32.97zM152.75 238.78h25.438l34.187 41.345 6.125-41.344h48.656v57.157H126.75l26-57.156zm143.72 94.47v38.938h114.155V333.25h-17.063v23.53h-18.687v-23.53h-42.28v23.53h-18.69v-23.53H296.47z"}}]})(props);
};
function GiBomber (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M220.3 22.738S90.967 121.512 87.466 156.875c-2.045 20.625 15.52 99.266 15.52 99.266s-17.602 39.467-33.96 79.432C59.515 358.81 51 434.418 51 434.418s75.3-8.543 98.44-18.092c39.8-16.428 79.11-34.11 79.11-34.11s78.57 18.053 99.235 15.966C363 394.622 461 264.424 461 264.424L220.3 22.738zm87.993 19.094l-18.39 18.473 14.71 14.77 18.397-18.468-14.717-14.775zm114.023 3.71L348.762 119.4l14.71 14.774 73.56-73.856-14.716-14.777zm-66.203 7.38l-36.775 36.935 14.71 14.772 36.784-36.933-14.72-14.775zm58.85 59.098l-36.772 36.927 14.708 14.776 36.782-36.93-14.717-14.773zm11.043 48.01l-18.387 18.468 14.706 14.773 18.395-18.467-14.714-14.774zM176.502 287.987c5.502.13 10.354 1.896 13.89 5.446 10.288 10.33 5.537 31.85-10.61 48.068-16.147 16.21-37.578 20.982-47.864 10.656-10.29-10.334-5.536-31.853 10.613-48.066 10.597-10.64 23.468-16.353 33.972-16.104zm57.076 104.024c-4.956-.228-11.433 5.645-15.42 14.416-4.557 10.023-4.135 20.03.94 22.357 5.073 2.324 12.88-3.912 17.437-13.935 4.556-10.022 4.136-20.032-.937-22.358-.635-.29-1.312-.448-2.02-.48zm22.506 41.355c-4.955-.226-11.432 5.647-15.418 14.416-4.558 10.023-4.137 20.033.936 22.36 5.075 2.324 12.883-3.915 17.44-13.936 4.555-10.023 4.134-20.037-.94-22.36-.635-.292-1.31-.448-2.018-.48zM295.027 452c-4.955-.227-11.43 5.646-15.42 14.416-4.556 10.022-4.135 20.033.94 22.36 5.073 2.324 12.882-3.916 17.437-13.938 4.557-10.022 4.136-20.032-.937-22.358-.634-.29-1.312-.448-2.02-.48z"}}]})(props);
};
function GiBombingRun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M288.625 19.625C252.95 45.54 233.16 81.95 226.655 126.938l41.095 23.687c9.348-5.82 17.33-12.415 24.22-19.656 4.383 22.757 20.633 45.578 39.874 56.686l65.5 37.813c24.465 14.124 54.433 9.697 73.812-8.907l7.97 4.593 17.312-30-7.938-4.594c6.426-26.087-4.752-54.28-29.22-68.406l-65.5-37.812c-19.76-11.41-48.63-13.89-70.78-5.53 2.947-10.077 5.108-20.605 6.688-31.47l-41.063-23.72zm12.313 174.97c-49.957 19.17-84.558 55.62-106.313 106.31l40.688 40.72c12.79-3.888 24.24-9.11 34.593-15.438-2 28.05 9.847 59.878 28.906 78.938l64.907 64.906c24.242 24.245 60.782 28.477 89.342 12.75l7.875 7.876 29.72-29.72-7.844-7.873c15.736-28.564 11.465-65.097-12.782-89.344l-64.905-64.908c-19.58-19.58-52.628-31.56-81.22-28.718 6.62-10.884 12.457-22.543 17.72-34.78l-40.688-40.72zm-182.157.655c-35.453-.015-68.357 12.318-99 35.22l12.72 47.468c11.113 2.584 21.805 3.602 32.156 3.343-13.452 19.88-18.267 48.465-12.312 70.69l20.28 75.686c7.576 28.27 32.77 46.972 60.595 47.53l2.468 9.19 34.656-9.282-2.47-9.188c23.81-14.4 36.262-43.205 28.69-71.47l-20.25-75.686c-6.117-22.822-25.445-45.77-47.783-55.875 9.534-5.22 18.83-11.36 27.94-18.156l-12.72-47.44c-8.458-1.34-16.787-2.027-24.97-2.03z"}}]})(props);
};
function GiBoneGnawer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.406 25.25c-53.57 0-90.066 33.57-115.156 81.75-23.194 44.54-34.806 100.79-37.063 148.22 26.123 2.757 45.766 14.07 58.126 29.936 12.692 16.293 17.88 36.347 18.468 55.72 9.407 5.46 19.76 10.03 30.69 13.062h.03c14.85 4.12 30.2 6.435 45.656 6.437 15.73.002 31.35-1.854 45.188-5.844 7.06-2.034 13.7-5.864 20.75-10.124.093-20.396 6.206-41.224 19.406-58 12.854-16.336 32.718-28.246 58.063-31.156-.64-49.996-10.638-106.593-32.5-150.625C343.568 57.31 308.635 25.25 255.406 25.25zM193.25 143.063c17.563-.287 33.737 10.977 39.094 28.343-28.23 12.215-48.326 30.26-54.688 48.344-10.918-4.715-19.433-13.754-22.75-26.094-5.765-21.452 6.984-43.44 28.5-49.187 3.286-.88 6.592-1.355 9.844-1.407zm121.656 0c.546-.014 1.108-.01 1.656 0 3.253.052 6.558.528 9.844 1.406 21.516 5.745 34.266 27.734 28.5 49.186-3.315 12.34-11.832 21.38-22.75 26.094-6.36-18.085-26.458-36.13-54.687-48.344 5.188-16.823 20.515-27.927 37.436-28.344zm-61.094 65.718c14.73 0 24.193 78.65 31.97 117.97-13.414-4.58-26.956-12.172-31.5-33.78-4.55 21.633-16.33 28.29-32.407 33.78 5.754-39.32 17.235-117.97 31.938-117.97zM46.375 331.407C9.583 331.053 3.903 395.39 66.78 406.28c-72.944 1.354-52.437 85.506 0 61.908 47.74-21.483 90.994-35.076 133-41.344l11.407-24.438 10.188 21.844c7.45-.672 14.887-1.132 22.313-1.344l9.562-20.5 9.563 20.47c7.28.174 14.584.58 21.906 1.187l10.092-21.657 11.188 24c45.318 6.223 92.342 20.365 145.094 41.78 49.435 20.07 62.43-57.17 0-59.873 60.048-6.45 42.832-88.05 0-71.032-45.525 18.088-85.473 32.16-122.844 40.97l-11 23.563-8.656-19.407c-8.595 1.626-17.09 2.993-25.5 4l-9.313 19.97-8.56-18.313c-7.857.517-15.662.704-23.47.625l-8.25 17.687-8.53-18.313c-9.46-.633-18.937-1.703-28.5-3.28l-7.94 17.03-9.56-20.468c-34.953-7.84-71.42-22.163-112.19-44.063-7.52-4.04-14.385-5.816-20.405-5.874zm273.813 118.25c-45.352 13.05-91.374 15.045-137.22.594v32.438c45.794 14.123 91.237 13.55 137.22-.063v-32.97z"}}]})(props);
};
function GiBoneKnife (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M477.9 25.37c-73.2 55.61-154.6 131.33-208 196.23 19.8 10.6 39.5 22.1 54.7 37.8 10.9-10.7 21.4-21.9 32.1-33.1l-2.3-18.9 16.3 4.6c19.8-19.7 41.3-38.8 68.9-54.5 3.5-26.1 16.2-55.3 29.5-84.4 3.2-7.11 6.4-14.18 9.6-21.17C464.6 68.16 449.1 86.22 433 105c-41.7 48.7-104.3 96.4-104.3 96.4l-2.7.6s51.5-59.9 93.3-108.7c20.9-24.4 42-48.96 58.4-67.74.1-.1.1-.12.2-.19zM243.2 227.7c-6.2 4.5-11.7 9-14.7 13.8-5 11.6-3.8 16.9-1.2 26.8 3.9 1.9 7.8 3.9 11.6 5.8 17.4-1.1 40.4-9.8 53.1-18.1-14.5-10-31.5-19-48.8-28.3zm63.6 40c-10 8.3-24.1 15.2-39.1 19.5 10.8 4.5 21.7 8.6 32.7 11.8l18.7-17.9c-3.5-4.8-7.7-9.2-12.3-13.4zm-91.1 14.9c-5.6 1.9-8.9 5.3-9.5 10.2 19.4 16.2 41.9 26 66.2 33 7.1-.6 10.5-6 13.1-12.6-24.2-8-47.2-19.1-69.8-30.6zm-21.8 23.3c-4.2-.2-4.4 3-5.3 5.7 6.9 23.8 18.2 44.5 31.4 64.3 20.1-7.7 28.5-21.9 37.5-35.9-22.6-7.3-44.3-17.7-63.6-34.1zm-19.4 20.7c-11.2 4.1-16.8 12-20.1 21.5 8.3 18.1 25.6 33.4 40.2 52 8.7.8 10.3-5.7 12.2-11.7-12.7-18.7-24.3-38.7-32.3-61.8zm-33.3 35.6c-7.7 3.7-13.1 9.2-15.8 16.9 3.2 18.7 9 25.8 16 31.3 6.5 5.1 15.9 8.6 25.2 16.5 9.3-.7 13.5-6.1 14.9-14.3-12-15.3-29.4-30.2-40.3-50.4zM40.47 393.4c-2.13.9-3.71 2.5-5.09 5.8-1.38 3.2-2.19 7.9-2.08 13 .21 9.8 4.09 20.8 8.29 26h.26c1.54-.1 4.48-.7 7.81-1.7 6.63-2 14.4-5.4 22.75-6.1 9.74-.8 15.91 6 19.39 10.8 3.48 4.8 5.31 9.6 5.31 9.6 1.75 5.3-.38 11.6-.4 16.1 0 6 2.35 11.7 1.72 11.1 6.07 5.4 16.67 8.7 27.47 8.6 10.7-.1 21.2-3.6 27.2-9.1 3.6-14.4 2.7-25.1.1-37.8l.2-.2c-6.6-5-14.5-8.3-23.1-15-8.1-6.3-15.4-15.9-20-31.4-10.3 1.6-21.63.1-30.65-.5-12.68.5-26.5-4.1-39.18.8z"}}]})(props);
};
function GiBoneMace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M300.6 33.55l-2.5 29.87s-5.7-7.45-12.3-16.2c-6.7 8.19-11.3 17.33-12.2 25.36 2.7 15.69 25.2 31.22 36.5 38.52l8.4 5.2-5.7 8c-34.3 48.4-83.3 112.5-123.7 154.5 14.4 2.4 29.4 6.3 45.1 13.5 40.7-46 94.2-111.7 141.1-155.4l7.9-7.4 6 9.2c10.6 12.8 23.5 23.2 36.4 30.4 1.7-13.3 1.8-25.4-3.2-36.9l-4.5-10 25.7-6.5-15.2-24.65 10.5-3.91c16.4-6.14 26.5-13.85 31.5-23.85-4.8-5.39-15-8.5-20.3-6.46-15.7 4.05-41.9 27.93-54.5 30.53-6 1.15-13.3 1.33-20.6-.68-3.7-1-7.5-2.57-10.8-5.57-11-16.53-7.8-33.91-18.7-51.62-2.8-4.69-6.5-6.75-11.3-7.06-11.7-.21-25.8 5.85-33.6 11.12zm179.9 47.58c-6.3 7.67-14.9 13.91-25.1 18.84l17 27.33-29.8 7.6c3.8 14.6 2.5 28.9.4 42.5 7.5 3.2 18.9-6.6 22.6-10.1 7.5-7.1 14.2-17.1 17.6-29.6 4.5-16.7 3.4-39.47-2.7-56.57zM173.1 295.1c-5.8 2.1-8.9 6.4-11.4 11.4 16 4.6 31.1 8.7 46.2 15 .2.1.3.1.6.2 6.8-2.6 12-6.8 12.9-14.9-16.5-6.9-32.3-9.9-48.3-11.7zm-26.4 26.2c-.1.1-.2.2-.3.4.1-.1.2-.1.4-.2zm-.7.7c-6.1 2.4-11.6 5.7-13.4 13 17.6 6.1 33 13.4 45.5 21.9 8-4.1 14.1-10.8 17.6-20.5-16.5-5.1-32.8-12.2-49.7-14.4zm-28.4 27.3c-8-.2-7.9 5.2-9.8 9.2 13.5 13.7 26.8 25.6 39.3 34.8 7.7-4.7 14.7-11.1 19.1-22.3-12.6-8.2-29-15.4-48.6-21.7zm-23.29 21.9c-4.58 1-8.44 4.6-11.52 10.7 9.58 16.7 22.71 30.1 38.81 41.2 6.3-3.6 12.1-7.9 13.5-15.8-13.2-9.9-27-22.2-40.79-36.1zm-25.32 23.4c-9.85 9.1-19.72 18.2-29.58 27.3 3.28 1 6.43 2.7 9.3 4.6 8.06 5.4 15.11 13.9 20.28 24.3 4.03 8.2 6.41 16.5 7.02 24.4 11.22-12.6 22.44-25.2 33.39-38.1-16-11.5-29.88-25.4-40.41-42.5zm-39.51 44.6c-1.28.7-3.11 2.9-3.45 8.6-.25 5.7 1.33 13.8 5.27 21.7 3.95 7.9 9.36 14.1 14.05 17.3 4.79 3.2 7.71 3.2 8.99 2.5 1.28-.6 3.12-2.9 3.45-8.6.25-5.7-1.32-13.8-5.27-21.7-3.95-8-9.36-14-14.04-17.3-2.81-1.6-5.82-3.7-9-2.5z"}}]})(props);
};
function GiBonsaiTree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M313.855 22.996c-7.295.079-14.557 1.466-20.17 4.879-14.94 9.337-25.194 26.421-31.78 46.44-4.886 14.848-7.68 31.083-9.196 46.066 8.425-4.05 17.058-8.196 26.43-11.4 14.46-4.946 30.995-6.997 48.527-.313a208.592 208.592 0 0 0 11.607 4.053c13.558-5.851 25.199-16.345 19.864-30.526l16.758-6.572c4.236 17.727 1.561 30.805-10.41 41.97 5.96.004 10.677-1.024 15.03-2.5 10.804-3.659 21.354-12.202 40.548-15.507l.134-.023.133-.018c13.112-1.854 26.27 2.807 39.649 8.65 8.066 3.523 16.15 7.546 24.12 11.516-3.352-16.9-8.173-32.674-14.86-45.324-8.888-16.811-19.954-31.776-36.561-31.332-13.537.361-21.692 16.917-29.047 26.195-7.187-7.136-14.978-14.337-21.16-19.492-17.344-14.997-39.11-22.998-59.8-26.125a67.092 67.092 0 0 0-9.816-.637zm-195.626 4.92c-36.94 17.743-59.982 47.47-76.069 79.227 4.4-2.216 9.161-4.536 14.24-6.84 21.45-9.73 47.08-19.661 68.795-17.377 21.305 4.606 37.179 16.64 52.618 29.803 19.434-14.15 39.593-20.789 60.562-18.985 2.79-13.395 5.96-25.18 10.81-36.808a130.882 130.882 0 0 0-11.513-12.676c-18.848 3.19-39.323 7.858-58.053 5.767-22.19-3.572-51.913-17.924-61.39-22.111zm-79.586 4.273l-5.647 17.092 20.783 6.867a181.522 181.522 0 0 1 13.489-14.502L38.643 32.19zm95.562 72.415c-22.86 13.855-52.34 19.241-75.13 25.789l5.013 17.287c30.804-10.214 63.275-13.42 86.584-33.332-5.38-3.731-11.248-7.232-16.467-9.744zm101.354 6.98c-29.82.14-59.985 19.317-60.74 42.838-1.296 11.765-.39 20.892 2.119 28.314-10.083 6.72-20.753 12.95-31.403 17.475 2.306 5.979 3.803 11.986 4.865 17.777 13.262-5.688 24.489-12.277 35.803-19.8 11.692 11.044 28.007 17.546 40.639 21.119 16.17 4.484 33.773 7.234 49.101 11.265 15.328 4.031 29.76 9.09 36.344 22.44 4.302 8.721 4.97 18.099 2.11 26.142-1.867 5.248-4.974 9.809-8.848 13.846h79.28c3.47-5.477 7.028-11.61 9.72-16.783 16.093 1.362 39.012 1.136 50.289-6.764 10.685-7.845 14.988-20.988 18.422-32.299 1.838-6.055 3.103-11.559 3.918-15.504-9.547-.727-18.629 1.973-21.14 10.276-3.03 9.98-8.66 20.674-11.852 23.017-11.061 4.13-21.17 4.523-31.961 3.846 2.602-9.484 4.553-24.164 1.273-31.351-19.526-2.43-35.248 4.886-53.982 18.957l-12.52-12.71c6.48-8.364 10.299-19.316 15.47-30.984-15.41-2.257-32.64-3.183-49.335-3.992-22.548-1.093-43.936-1.832-60.336-6.637-8.2-2.402-15.6-5.863-20.615-12.433-5.016-6.57-6.072-15.876-3.336-24.852 2.69-8.825 8.03-16.201 14.869-22.48.378-6.55.95-13.502 1.846-20.723zm20.455 27.29c-6.154 2.583-11.775 7.785-15.48 12.667 36.757 17.824 60.688 14.013 83.644 14.777l.6-17.99c-23.287-.775-40.336 2.689-68.764-9.455zm149.113 35.66c-23.502 9.163-30.364 21.4-38.447 41.009 26.435-9.058 43.83-4.78 70.468-3.793l19.569-9.033 44.492 3.709c-7.616-12.583-15.323-23.51-26.361-30.072l-28.784 7.548-40.937-9.369zm-357.48 4.884c-14.784 9.357-20.022 22.386-25.518 36.531l27.084 1.244c9.544-6.37 22.595-12.786 31.803-11.105 15.139 4.72 24.451 16.888 32.244 28.375l18.627-16.795c-2.681-13.262-7.079-24.392-21.43-34.555-21.84 6.982-43.206 5.069-62.81-3.695zM20 311v18h472v-18H20zm23.527 34l23.5 94h377.946l23.5-94H43.527zm-15.04 112l10 30h435.027l10-30H28.486z"}}]})(props);
};
function GiBookAura (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105.063 18.03c71.2 31.42 129.344 86.117 152.5 155.75 23.155-69.633 78.953-124.33 150.03-155.75h-36.156c-53.802 15.416-89.834 45.46-107.25 92 2.238-52.074 18.275-78.34 40.25-92H203.094c21.98 13.66 38.044 39.926 40.28 92-17.415-46.54-53.446-76.584-107.25-92h-31.06zm386.968 4.157c-16.65 228.426-81.874 410.467-209.06 398.907 41.547 39.438 83.78 62.385 122.342 72.22l86.72-.002v-32.968c-27.303 13.718-52.895 14.545-130.938-13.438 68.627.614 101.042-14.37 130.937-51.656v-46.063c-20.77 32.913-58.994 60.416-130.936 75.438 64.71-34.947 107.585-89.884 130.937-180.844V22.188zM18.69 71.344V255.47c23.96 84.017 65.86 135.732 127.75 169.155-68.45-14.292-106.347-39.89-127.75-70.688v45.125c29.053 34.484 61.523 48.437 127.75 47.844-75.03 26.903-101.557 27.177-127.75 14.97v31.437h82.28c38.562-9.834 80.796-32.78 122.344-72.22-117.915 10.718-182.556-144.97-204.625-349.75zm113.687 82.406v176.28l4.875 2.658 112.063 60.875 4.468 2.406 4.44-2.408 112.06-60.875 4.908-2.656V153.75H356.5v165.188l-102.75 55.78-102.688-55.78V153.75h-18.687zm37.53.188v151.406l73.532 41.437V198.5l-73.53-44.563zm167.72 0l-75.5 45.78v148.188l75.5-42.562V153.938z"}}]})(props);
};
function GiBookCover (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196.73 35.23c-8.132.878-16.3 1.936-24.515 3.172C192.968 50.21 212.045 66.795 224 96c-24.896-22.512-44.232-39.5-75.795-53.512-8.808 1.676-17.69 3.562-26.656 5.64 22.69 10.745 49.026 26.094 75.114 51.306-57.456-25.454-81.792-31.066-120.23-39.4C64.33 63.598 52.03 67.5 39.5 71.743c54.813 3.532 103.127 19.644 187.346 47.717l2.015.673 1.503 1.504c5.794 5.793 15.356 9.254 25.203 9.353-2.725-39.43-18.787-67.802-58.836-95.76zm118.54 0c-40.05 27.958-56.11 56.33-58.836 95.76 9.847-.1 19.41-3.56 25.203-9.353l1.502-1.504 2.014-.672C369.374 91.39 417.687 75.277 472.5 71.745c-12.53-4.243-24.83-8.145-36.934-11.71-38.438 8.334-62.774 13.946-120.23 39.4 26.088-25.212 52.424-40.56 75.115-51.307-8.964-2.077-17.847-3.963-26.655-5.64-31.563 14.014-50.9 31-75.795 53.513 11.954-29.205 31.032-45.79 51.785-57.598-8.216-1.236-16.383-2.294-24.515-3.172zM25 89.287v301.758c44.68.19 106.01 16.813 190 44.498v-301.04C128.034 105.534 81.67 90.71 25 89.288zm462 0c-56.67 1.423-103.034 16.246-190 45.217v301.05c84.317-27.698 143.413-42.5 190-44.2V89.287zm-254 55.195v200.325c15.47 3.1 30.71 3.292 46 .097V144.482c-7.227 3.058-15.14 4.518-23 4.518-7.86 0-15.773-1.46-23-4.518zm0 218.627v13.933c15.296 3.488 30.512 3.284 46-.1V363.22c-15.37 2.728-30.764 2.543-46-.11zm46 32.185c-15.226 2.856-30.633 3.058-46 .125v48.838c3.222 3.24 5.775 5.876 8.365 7.56 3.283 2.136 6.77 3.49 14.274 3.19l.18-.008h.18c11.61 0 15.954-4.04 23-10.836v-48.87z"}}]})(props);
};
function GiBookPile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M341.79 95.5L65.54 166.379l127.84 58.11 276.025-72.64L341.789 95.5zm-1.577 18.984l74.858 33.059-72.551 19.09-77.258-32.916 74.951-19.233zm142.813 52.395L194.864 242.71l-3.057.805h-.002l-.041.01-2.857-1.3L44.73 178.15l-.184-.092c-5.585-2.793-8.012-1.992-10.77.11-2.757 2.1-5.515 6.88-6.275 12.956-1.519 12.153 3.616 27.58 23.916 34.346l.412.139L193.338 288.5l173.235-45.588V212.45l76-18.345v28.806l42.173-11.097c-4.36-14.037-5.33-29.146-1.72-44.934zm-58.453 50.086l-40 9.656v103.186l21.947-21.948 18.053 12.498V216.965zm58.453 13.914l-40.453 10.646v45.385l42.173-11.098c-4.36-14.036-5.33-29.145-1.72-44.933zM38.42 240.268c-1.803.036-3.177.782-4.642 1.898-2.758 2.101-5.516 6.88-6.276 12.957-1.519 12.153 3.616 27.579 23.916 34.346l.412.138L193.338 352.5l173.235-45.588v-45.387l-174.766 45.99-146.62-65.161a61.602 61.602 0 0 1-4.802-1.874 8.317 8.317 0 0 0-1.965-.212zm6.768 2.086l.021.008-.279-.125.258.117zm437.838 52.525l-40.453 10.646v45.385l42.173-11.097c-4.36-14.037-5.33-29.146-1.72-44.934zM38.42 304.268c-1.803.036-3.177.782-4.642 1.898-2.758 2.101-5.516 6.88-6.276 12.957-1.519 12.153 3.616 27.579 23.916 34.346l.412.138L193.338 416.5l173.235-45.588v-45.387l-174.766 45.99-146.62-65.161a61.602 61.602 0 0 1-4.802-1.874 8.317 8.317 0 0 0-1.965-.212zm6.768 2.086l.021.008-.279-.125.258.117zm363.437 24.855l-38.863 38.863 68.834-18.115-29.97-20.748z"}}]})(props);
};
function GiBookStorm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.313 29.844c-16.47-.022-32.95 2.724-49.282 8.343l5.69 16.563L17.53 123l6.19 17.656L231.405 68.03l-5.562-15.905c19.548-4.75 38.93-4.86 58.5-.5l-5.72 16.406 207.688 72.626L492.47 123 299.624 55.562l5.906-17.374c-16.29-5.517-32.75-8.322-49.217-8.344zm-.657 49.593L46.25 152.844l42.406 29.53c70.69-11.9 160.54 31.24 166.906-90.25 2.175 32.524 10.254 53.188 22.282 66.282 6.658 7.576 14.5 12.432 23.687 15.688.04.015.086.016.126.03.216.077.44.145.656.22 33.978 12.23 80.744 1.187 121.344 8.03l41.406-29.155-209.406-73.782zm.47 81.032c-.263.413-.516.842-.782 1.25-12.194 18.6-29.79 28.466-48.656 33.03-3.486.843-7.013 1.528-10.594 2.094l41.437 74.094-67.25 16.78 31.345 61.594-61.813-54L283.938 496.75l-61.875-143.625 52.438 69.5L235.03 320l58.5-10.094-17.092-52.75 93.468 141.28-81.47-196.748 56.845 83.406L323 197.75c-5.9-.68-11.71-1.63-17.375-3-18.865-4.564-36.494-14.43-48.688-33.03-.27-.413-.548-.832-.812-1.25z","fillRule":"evenodd"}}]})(props);
};
function GiBookmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M161.22 19.563l-2.5 5.375-106.44 225.5-1 2.093c-24.493 28.208-34.917 58.587-33.593 88.19 1.38 30.852 15.12 60.388 36.376 86.81l2.812 3.5h49.72c4.817-3.836 8.93-7.817 12.405-12.03 1.758-2.132 3.38-4.358 4.875-6.656H65.97c-17.813-23.187-28.526-47.848-29.626-72.438-1.123-25.11 7.337-50.594 29.937-76.125H498.157l-5.25-12.874-91.844-225.5-2.375-5.843H161.22zm11.843 18.687h177.343l52.656 41.594 38.407 94.28-58.845 70.94H75.47L173.062 38.25zM75.156 282.625c-15.31 18.98-20.975 37.778-20.125 56.438.84 18.398 8.276 36.95 20.5 54.468h57.19c4.392-13.517 6.344-29.847 6.78-50.436h-16.188v-18.688h16.313v-.187h115.749v.186h17.156v18.688h-17.25c-.287 17.8-1.447 34.638-4 50.437h221.626c-9.034-36.872-9.112-74.006-.03-110.905H75.155zm83 60.28c-.77 37.698-6.46 65.83-24.72 87.97-14.595 17.7-36.19 30.747-67.28 42.813 8.69 1.658 17.214 3.225 26.53 5.25 14.048 3.052 27.912 6.338 39.033 9.25 5.56 1.455 10.44 2.826 14.374 4.062 1.94.61 3.533 1.074 5.03 1.625 35.245-13.464 55.78-32.897 68.345-58.72 11.944-24.55 16.287-55.713 16.936-92.25h-78.25zm89.25 69.44c-1.632 6.425-3.532 12.668-5.812 18.686h257.03v-18.686H247.407z"}}]})(props);
};
function GiBookmarklet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M57.594 43v242.563l80 30.53V292c-22.504-3.217-45.065-8.633-62.53-26.844l13.5-12.937c12.15 12.667 29.032 17.263 48.28 20.374L110.656 55.03C93.3 51.725 75.492 48.1 57.594 43zm397.125.03c-65.178 17.392-138.354.102-191.22 70.814v208.812c19.795-29.15 45.443-40.866 70.72-46.53 33.914-7.603 66.18-7.163 91.5-27.626l11.75 14.53c-31.256 25.263-68.25 24.386-99.158 31.314-29.295 6.566-53.978 17.63-72.25 63.187l188.657-71.967V43.03zM128.81 49.28l27.407 228.157.06.563V494.906l19.94-39.28 20.468 38.155V296.814L168.563 57.5l-39.75-8.22zm60.47 24.25l25.593 217.782c4.175 2.3 8.258 4.96 12.188 8.063 6.452 5.097 12.412 11.36 17.75 18.97V109.5c-15.496-17.475-34.402-28.327-55.532-35.97zM20.5 74.376v239.813l6.125 2.25 110.97 40.78v-19.906l-98.407-36.156V74.376H20.5zm452.594.03v226.75l-216.938 79.69-40.78-14.97v38.28c23.21 8.03 58.078 6.813 86.25-2.53v-17.563l184.03-67.625 6.125-2.25V74.407h-18.686zm-257.72 239.532v31.813l27.564 10.53c-7.04-20.847-16.565-33.66-27.438-42.25-.04-.03-.084-.06-.125-.092z"}}]})(props);
};
function GiBookshelf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169 57v430h78V57h-78zM25 105v190h46V105H25zm158 23h18v320h-18V128zm128.725 7.69l-45.276 8.124 61.825 344.497 45.276-8.124-61.825-344.497zM89 153v270h62V153H89zm281.502 28.68l-27.594 11.773 5.494 12.877 27.594-11.773-5.494-12.877zm12.56 29.433l-27.597 11.772 5.494 12.877 27.593-11.772-5.492-12.877zm12.555 29.434l-27.594 11.77 99.674 233.628 27.594-11.773-99.673-233.625zM25 313v30h46v-30H25zm190 7h18v128h-18V320zM25 361v126h46V361H25zm64 80v46h62v-46H89z"}}]})(props);
};
function GiBoombox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M369.1 24.54l-12.6 12.92c-9.2 14.71-9.7 34.33-7.6 53.05-2.9-.39-5.9-.46-8.9-.2-16.1 1.38-28.4 11.59-27.4 22.89 1 11.2 14.8 19.2 30.9 17.8 8.8-.7 17-4.2 22.1-9.5 1.7 10.8 15.2 18.2 30.7 16.9 16.1-1.4 28.4-11.6 27.4-22.9-.2-2.3-.9-4.5-2.1-6.5-3.4-19.63-4.2-38.02 4.8-57.07-18.6-5.91-44-16.31-57.3-27.39zm2.4 24.77c10.1 6.59 21.3 11.42 32 14.24-2.6 11.7-2.6 23.19-1.6 34.32-3-.42-6-.5-9.1-.24-8.8.77-16.9 4.27-22 9.57-.3-2-1.1-3.9-2.2-5.7-3.1-17.98-3.9-34.87 2.9-52.19zM111.4 63.88c-13.92 5.83-36.33 8.22-53.82 3.71l-4.5 17.43c2.08 18.88 10 35.28 19.99 49.68a20.44 29.25 55.36 0 0-8.08 4.4 20.44 29.25 55.36 0 0-12.45 33.4 20.44 29.25 55.36 0 0 35.69.2 20.44 29.25 55.36 0 0 12.47-33.4 20.44 29.25 55.36 0 0-5.4-4.7c-11.6-14-20.7-28.3-23.28-46.69 16.57.96 33.18-1.91 46.38-7.43l-7-16.6zM151 167v48h16v-32h178v32h16v-48H151zM25 233v238h462V233H25zm39 14h64v18H64v-18zm112 0h160v18H176v-18zm208 0h64v18h-64v-18zM48 279h416v18H48v-18zm64 32c40.2 0 73 32.8 73 73s-32.8 73-73 73c-40.21 0-73-32.8-73-73s32.79-73 73-73zm87 0h114v82H199v-82zm201 0c40.2 0 73 32.8 73 73s-32.8 73-73 73-73-32.8-73-73 32.8-73 73-73zm-288 18c-30.48 0-55 24.5-55 55s24.52 55 55 55c30.5 0 55-24.5 55-55s-24.5-55-55-55zm105 0v46h78v-46h-78zm183 0c-30.5 0-55 24.5-55 55s24.5 55 55 55 55-24.5 55-55-24.5-55-55-55zm-288 30c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm288 0c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm-288 18c-4 0-7 3-7 7s3 7 7 7 7-3 7-7-3-7-7-7zm288 0c-4 0-7 3-7 7s3 7 7 7 7-3 7-7-3-7-7-7zm-185 39h18v32h-18v-32zm32 0h18v32h-18v-32zm32 0h18v32h-18v-32z"}}]})(props);
};
function GiBoomerangCross (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M207.3 24.39l-93.8 42.65 24.7 26.69c13.6 6.13 23.4 19.97 30.3 35.07 6.3 14 10.3 29.2 7.4 42.7l34.6 37.2c1.8-8.1 2.9-16.1 3.3-23.8l-38-83.5-37.5-30.28 42.5-19.29 13.2-6-1.8 48.18 38 83.39c6 4.7 12.7 9.2 20 13.2l-5.3-50.4c-12-6.8-20.9-19.8-27.2-33.8-6.9-15.03-10.9-31.5-6.6-45.78l-3.8-36.23zm124.6 3.28c-9 0-18.2.99-27.4 2.86 29 10.86 45.5 19.57 56.9 28.83-22.6-1.91-48.4 1.04-71.7 8.71C337.9 70.26 374 72.3 397 106.4l25-34.03c-16.1-28.57-51.2-44.93-90.1-44.7zm-217 67.38C48.03 131.6 36.77 194.7 30.71 254.6c31.96-42.2 50.37-92.8 123.09-114.4-.5-1.3-1.1-2.7-1.7-4-2.5-5.5-5.7-10.6-9-14.8-24.2 12.5-48.05 25.3-63.87 37.5 8.32-14.8 26.27-34.3 47.37-51.3l-11.7-12.55zM445 113.5l-26.7 24.7c-6.2 13.6-20 23.4-35.1 30.3-14 6.3-29.2 10.3-42.7 7.4l-37.2 34.6c8.1 1.8 16.1 2.9 23.8 3.3l83.5-38 21.1-26.1 9.1-11.4 25.4 55.7-48.3-1.8-83.3 37.9c-4.7 6.1-9.2 12.8-13.2 20.1l50.4-5.3c6.8-12.1 19.8-20.9 33.8-27.2 15-6.9 31.5-10.9 45.7-6.6l36.3-3.8-42.6-93.8zm-214.6 86.2c-3.9 28.3-15 58-30.7 81.9 28.3 3.9 58 15 81.9 30.7 3.9-28.3 15-58 30.7-81.9-28.3-3.9-58-15-81.9-30.7zm12.4 27.2l42.3 15.9-15.9 42.3-42.3-15.9 15.9-42.3zm-52.1 34.8l-50.5 5.3c-6.8 12.1-19.8 20.9-33.8 27.2-15.06 6.9-31.54 10.8-45.83 6.5l-36.22 3.8 42.56 93.8 26.72-24.7c6.15-13.6 20.07-23.4 35.07-30.2 14-6.4 29.2-10.3 42.7-7.5l37.2-34.4c-8.2-1.8-16.3-2.9-23.9-3.3l-83.2 37.7-30.48 37.6-19.24-42.4-6.02-13.2 48.05 1.8 83.79-38c4.7-6 9.1-12.8 13.1-20zm110.8 41.6c-1.8 8.1-2.9 16.1-3.3 23.8l38 83.4 37.5 30.3-55.7 25.4 1.7-48.3-37.9-83.3c-6-4.8-12.7-9.2-20-13.2l5.3 50.4c12.1 6.8 20.9 19.8 27.2 33.8 6.9 15 10.9 31.5 6.6 45.7l3.8 36.3 93.8-42.6-24.7-26.7c-13.6-6.2-23.4-20-30.3-35.1-6.3-14-10.3-29.2-7.4-42.7l-34.6-37.2zm188.4 27.8c-20 68-40.4 77.9-79.8 87.3 14-15.7 27.6-40.2 40.5-76.3-31.5 41.6-51.7 53.8-75.6 55.3 2.7 2.5 5.2 4.3 7.3 5.1l2 .7 31.7 34.1 4.7 2.9c32.1-8.9 71.7-26.8 69.2-109.1zM126 388l-24.8 34.1c19.9 35 91.7 51.4 132.7 45-68.1-25.2-82.6-42.4-107.9-79.1z"}}]})(props);
};
function GiBoomerangSun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M215.2 24.13c-.505.02-1.22.143-2.165.378h-.002c-20.152 5-132.385 52.22-134.738 94.728-2.353 42.51 81.636 64.576 125.324 75.315 43.687 10.74 60.602-8.53 49.423-32.36-11.18-23.83-84.137-28.537-94.14-62.958-9.532-32.807 66.59-75.5 56.298-75.1zm87.593 10.12c-5.402.094-10.28 1.096-14.447 3.203v-.002c-38.1 19.27-15.002 102.82-2.352 145.92 12.65 43.1 37.95 47.953 52.953 26.478s-17.8-86.492 7.06-112.38c24.86-25.887 106.792 23.83 92.378 8.827-12.838-13.362-91.602-72.812-135.592-72.045zm143.68 138.74c-35.658.516-83.103 48.973-109.29 76.278-31.04 32.36-22.655 56.044 3.528 58.25 26.184 2.205 66.342-58.103 101.202-49.424 34.86 8.68 32.51 104.143 38.244 84.136 5.736-20.005 20.444-140.91-15.297-164.156-5.586-3.63-11.784-5.18-18.387-5.084zm-415.54 2.336c-.443.013-.92.873-1.472 2.748-5.884 20.004-21.034 140.77 14.71 164.158 35.744 23.39 97.082-38.244 128.266-70.605 31.183-32.36 22.653-56.483-3.53-58.838-26.182-2.356-66.34 58.102-101.2 49.423-31.594-7.865-32.503-87.007-36.774-86.887zm223.71 44.438c-22.517 0-40.77 18.232-40.77 40.722 0 22.49 18.253 40.72 40.77 40.72 22.516 0 40.77-18.23 40.77-40.72s-18.254-40.722-40.77-40.722zm-64.108 78.61c-7.227.118-14.24 4.564-19.865 12.673-15.003 21.623 17.36 86.64-7.65 112.38-25.006 25.742-106.79-24.418-92.375-9.413 14.414 15.005 111.938 88.697 150.037 69.43 38.098-19.27 14.858-103.41 2.353-146.508-7.815-26.938-20.455-38.76-32.5-38.563zm93.24 24.34c-27.113-.31-36.284 16.04-27.2 35.403 11.18 23.83 83.696 28.39 93.552 62.957 9.856 34.567-74.283 80.314-54.13 75.313 20.15-5 132.384-52.66 134.737-95.317 2.353-42.656-81.785-64.574-125.326-75.312-8.164-2.014-15.376-2.974-21.633-3.045z"}}]})(props);
};
function GiBoomerang (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M444.824 74.726C413.17 41.73 286.208 42.686 184.298 60.023l6.463 70.695c59.96-4.478 124.03-3.225 160.113 33.527 34.967 37.816 33.125 101.87 25.757 161.544l70.3 9.868c22.24-100.955 29.322-227.723-2.106-260.932zM164.077 63.752c-5.497 1.092-10.92 2.236-16.186 3.42l6.106 66.803c5.36-.526 10.806-1.05 16.332-1.56l-6.25-68.663zM442.23 355.675l-68.283-9.56c-.776 5.496-1.562 10.91-2.346 16.24l66.43 9.322c1.44-5.204 2.843-10.564 4.2-16.002zM127.81 72.07c-48.305 12.787-81.697 29.542-79.757 47.244 2.445 22.298 38.3 21.037 85.574 16.623L127.81 72.07zM432.17 391.5l-63.512-8.896c-6.69 47.005-9.682 82.76 12.472 86.277 17.588 2.794 35.935-29.75 51.04-77.38z"}}]})(props);
};
function GiBootKick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M364.2 78.46l-61.7 74.74-18.7-56.06-20.6 56.06c2.4 1.3 4.8 2.7 7.2 4-15.9 1.1-32.2 5.8-48.3 14.7 142.1 0 224.3 149.5 119.6 261.6 17.1-11.6 30.8-24.5 41.5-38.1-.1.3-.2.5-.3.8l54.2 18.6-26.2-56h67.3L424 321.4l69.1-37.4-71-18.7 67.3-74.7-89.7 18.7 46.7-93.5-91.6 56.1zM139 102.7c-1.6 0-3.4.7-6 2.2l-2 1.1h-2.3c-38.05 0-78.77 16.3-109.11 68.8-2.93 24.6 3.45 35 11.59 48.5 7.41 12.4 16.35 27.4 16.85 51.8 22.72-.4 52.37-3.6 82.27-31.7l-20.7-115 71.7 67.2c4.2-5.1 8.6-8.8 11.9-11.7 3.3-2.9 5.5-5 7-8-19.1-12.4-30-34.4-40.1-50.8-5.6-9.1-11-16.5-15.2-19.7-2.2-1.6-3.6-2.6-5.3-2.7zm-2.4 75.3l12.9 71.6-3.3 3.3C127 272.1 107 282 88.73 287.2L138 358.8l28.1 56c10.1 4.6 27.7 3.5 48.4-1.5l-3.6-35.8 33.3 26.6c59.1-21.7 126.1-65.4 123.7-101.4-24.3-51.9-86.9-103.8-139.1-51.9-14.2 16.5-22.3 34.9-30.5 67.4 1.7-32.8 1.9-51.3 12-67.9l-17-41.2c-.9 1.2-1.7 2.6-2.5 4.2l-5.3 10.6z"}}]})(props);
};
function GiBootPrints (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M111.512 21.176c-6.65.088-13.7 1.088-21.162 3.088-87.625 23.48-77.956 222.752-9.297 310.984l.002-.002 99.513-26.664c-3.273-35.578.003-76.04 19.313-113.947 2.605-89.97-24.095-174.31-88.368-173.46zm294.38 0c-64.273-.852-90.972 83.488-88.37 173.46 19.31 37.905 22.587 78.368 19.314 113.946l99.514 26.664.002.002c68.658-88.232 78.327-287.505-9.297-310.984-7.463-2-14.513-3-21.162-3.088zM188.878 350.06l-101.26 27.13c5.495 191.896 200.51 104.13 101.26-27.13zm139.65 0c-99.25 131.26 95.767 219.026 101.262 27.13l-101.263-27.13z"}}]})(props);
};
function GiBootStomp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M216.012 36.703c-6.348.01-13.056.447-20.006 1.32-34.6 4.347-75.144 19.348-107.408 47.303l33.47 190.197.33 10.1c42.262 15.79 100.808 24.565 152.873 24.272 27.192-.154 52.657-2.762 72.982-7.8 20.325-5.04 35.188-12.803 41.803-20.917l.433.353c-14.317-48.847-60.635-88.597-135.474-56.27-12.09 5.612-24.333 12.902-36.332 21.685 11.24-16.29 23.786-29.055 36.76-38.453l.013-.12-27.066-14.183-35.343 25-10.793-15.256L209.8 184.45l-27.5-14.41 8.67-16.554 35.964 18.842 34.57-24.457 1.62-16.186-30.2-17.918-35.16 22.433-10.05-15.757 27.208-17.36-27.97-16.595 9.538-16.072 36.08 21.408 37.088-23.664c1.453-20.61-21.48-31.51-53.646-31.457zm51.082 55.262l-16.522 10.54 14.602 8.665 1.92-19.205zm-8.053 80.54l-13.517 9.563 11.936 6.254 1.58-15.816zm135.57 129.91c-10.84 8.135-25.243 13.7-41.86 17.82-22.375 5.546-49.07 8.188-77.373 8.347-21.232.12-43.344-1.15-65.117-3.76l12.463 22.137c80.16 9.438 141.51-1.205 172.035-21.796.718-7.44.658-15.098-.15-22.75zm-271.553 3.312l.996 30.464 58.595 8.456 9.58-22.312c-24.54-3.827-48.202-9.383-69.17-16.607zm-33.13 21.56c-2.51.75-4.906 1.515-7.175 2.3H35.236l24.928 11.085-44.28 25.63 45.677-4.822c2.33 1.773 5.212 3.498 8.62 5.166l-29.19 44.532 64.785-32.977c4.21.968 8.64 1.892 13.27 2.773l-10.733 66.783 61.413-59.744c5.432.527 10.985 1.008 16.67 1.435l11.673 77.528 50.93-75.073c2.03.013 4.05.034 6.096.034 2.436 0 4.85-.022 7.265-.04l56.216 76.782 6.903-79.364c5.663-.437 11.218-.92 16.625-1.457l60.782 59.9-10.762-66.976c4.528-.872 8.86-1.787 12.98-2.743l65.102 33.14-29.437-44.913c3.135-1.58 5.808-3.21 7.984-4.88l46.562 4.915-44.253-25.613 24.966-11.1h-48.592c-2.223-.77-4.564-1.52-7.016-2.253 5.408 3.254 8.34 6.724 8.34 10.326 0 18.587-77.737 33.652-173.627 33.652-95.89 0-173.627-15.065-173.627-33.652 0-3.62 2.96-7.105 8.418-10.373z"}}]})(props);
};
function GiBoots (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M334.5 85.22c-31.403.523-69.44 13.372-100.563 42.81l17.594 215.407-6.468 77.657h58.125l15.282-37.72 21.124 37.72h151.53c7.896-58.587-44.23-130.167-74.53-130.375l-16.53 1.124c-36.103 7.265-49.647 27.03-66.314 49.78l-4.28 5.845-6.72-2.69-13.03-5.25-14.283 36.595-17.406-6.78 14.376-36.783-11.906-4.78-8.563-3.438 3.313-8.594c7.98-20.727 20.735-40.35 38.906-54.156 14.907-11.326 33.593-18.483 55.156-18.688 1.438-.013 2.88.014 4.344.063 1.917.063 3.856.167 5.813.343l2.5-18.157c-26.083-16.097-67.526-14.873-103.72-.72l-6.78-17.405c20.11-7.864 41.785-12.5 62.655-12.56 17.98-.054 35.357 3.307 50.563 10.874l5.593-40.656c-31.286-27.418-77.42-24.612-119.374-.594l-9.28-16.22c23.566-13.49 49.485-21.265 74.312-21.31 20.46-.04 40.183 5.176 57.28 16.78l2.188-15.844c.354-1.526.61-3.013.78-4.47.002-.02 0-.04.002-.06.357-10.548-4.066-18.356-12.938-25-9.483-7.103-24.383-11.937-42.03-12.657-2.207-.09-4.44-.132-6.72-.094zm-194.406 77.31c-.838.01-1.678.03-2.5.064-13.162.537-24.16 4.175-30.938 9.25-6.776 5.075-9.702 10.64-8.937 18.844l-.595.062c.132 1.234.324 2.514.625 3.813l2.313 16.718c10.807-7.494 23.1-11.163 35.53-11.093 17.786.102 35.61 7.284 51.782 19.25l-11.094 15c-13.73-10.16-28.064-15.49-40.81-15.562-11.988-.068-22.776 4.042-32.407 14.344l4.406 31.843c8.974-4.182 18.787-6.078 28.843-6.063 14.792.022 30.092 4.157 44 11.188l-8.438 16.687c-21.797-11.02-45.487-12.505-61.688-2l2.032 14.72c.837-.03 1.677-.058 2.5-.064 14.633-.1 27.16 4.06 37.343 11.25 14.48 10.227 24.226 25.514 32.625 41.595l4.28 8.25-8.218 4.344-8.47 4.467L186 394.875l-16.438 8.875-13.812-25.594-9.156 4.844-6.344 3.344-4.875-5.25c-16.32-17.62-29.136-32.608-60.406-35.188l-9-.75c-32.087 15.312-47.556 38.284-42.44 76.25h190.44l-5.095-59.687-.03-.064 13.593-162.625c-24.97-26.094-56.98-36.796-82.344-36.5zm229.344 99.032c-17.593.075-31.926 5.756-43.97 14.907-12.36 9.39-22.03 22.778-29 37.592l26.657 10.72c14.056-18.898 30.816-38.795 61.813-48.344l-8.032-14.47c-1.3-.105-2.638-.295-3.906-.343-1.202-.045-2.39-.067-3.563-.063zM116.594 318c-4.288-.028-9.038.543-14.28 1.625l-9 10.656c23.388 6.11 38.254 19.727 50.75 32.94l10.655-5.626 8.843-4.688c-6.628-11.382-13.846-20.917-22.282-26.875-6.494-4.586-13.685-7.535-22.874-7.967-.593-.028-1.2-.06-1.812-.063z"}}]})(props);
};
function GiBooze (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M67.5 34v59h64V34h-64zm-1.75 77c-14.22 25.4-13.64 56.2 1.75 87-16 0-48 16-48 32v224c0 32 160 32 160 0V230c0-16-32-32-48-32 15.5-31 16-61.9 1.5-87H65.75zM99.5 245c10.7 0 20.5 3.2 28 8.8 7.6 5.7 13 14.3 13 24.2h23v112h-128V278h23c0-9.9 5.42-18.5 12.97-24.2 7.55-5.6 17.37-8.8 28.03-8.8zm169 79c-32 0-64 4-64 12l16 128c16 16 80 16 96 0l16-128c0-8-32-12-64-12zm160 0c-32 0-64 4-64 12l16 128c16 16 80 16 96 0l16-128c0-8-32-12-64-12zm0 55.5c5.7 0 11.4.8 16.5 2.4.2 19 .3 39.8.3 39.8l12.2-33.2c4 3.4 6.6 8 7 13.5l-4 46c0 16-64 16-64 0l-4-46c1-15 18.5-22.5 36-22.5zm-160 30c5.8 0 11.5.9 16.6 2.7.1 12 .2 25.5.2 25.5l7.8-21.4c5.4 3.7 8.9 8.9 9.4 15.7l-2 16c0 16-64 16-64 0l-2-16c1-15 17.5-22.5 34-22.5z"}}]})(props);
};
function GiBorderedShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M50.807 26.285c-1.105 42.86 2.978 85.91 11.98 128.55l50.606-11.388c-2.658-19.543-4.11-39.265-3.6-59.002l.236-9.103h49.402V26.285H50.807zm306.607 0v49.057h45.904l.23 9.107c.498 19.563-.492 39.338-3.058 59l50.086 11.34c9.048-42.643 13.05-85.63 11.96-128.505H357.415zm-131.65 1.354v45.786h65.056V27.64h-65.056zM178.12 43.335V94.03H128.48c.084 18.322 1.696 36.784 4.56 55.216l1.34 8.633-50.216 11.298c3.15 13.61 6.88 27.174 11.172 40.677l41.1-6.197 50.804 107.07-31.744 28.473c7.095 11.418 14.626 22.74 22.615 33.952l42.496-31.466 5.634 6.912c9.656 11.84 19.914 23.57 30.766 34.93 10.873-11.26 21.116-22.59 30.664-34.335l5.625-6.922 41.82 30.886c8.05-11.315 15.64-22.748 22.788-34.277l-31.383-28.15 50.803-107.072 40.627 6.127c4.308-13.503 8.054-27.07 11.22-40.68l-49.636-11.24 1.347-8.627c2.855-18.264 4.06-36.774 4.023-55.207h-46.183V43.337h-29.22v48.78h-102.43v-48.78h-28.958zm-13.915 79.252h185.41l.22 9.12c1.746 73.04-27.91 137.976-86.116 199.905l-6.798 7.23-6.81-7.216c-58.558-62.066-87.895-126.956-86.128-199.92l.22-9.12zm18.48 18.69c.818 61.19 25.098 115.615 74.213 170.062 48.85-54.348 73.37-108.852 74.23-170.063H182.685zm-57.18 82.93l-54.216 8.173 52.335 110.306 40.752-36.553-38.873-81.926zm262.76 0l-38.874 81.925 40.753 36.553L442.48 232.38l-54.216-8.173zM217.52 367.227l-42.704 31.62c23.914 32.71 51.31 64.504 82.15 95.236 30.733-30.743 57.7-62.44 81.548-95.19l-42.15-31.128c-10.264 12.222-20.992 24.175-32.792 35.978l-6.597 6.598-6.608-6.586c-11.93-11.89-22.64-24.246-32.846-36.53z"}}]})(props);
};
function GiBossKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.015 20.5L242.74 60.324c4.35-.543 8.78-.824 13.275-.824 4.495 0 8.926.28 13.275.824L256.015 20.5zM148.68 28.072C55.504 47.13-4.34 183.455 158.426 200.892c-4.778-11.793-7.41-24.65-7.41-38.11 0-15.162 3.337-29.562 9.322-42.534-56.593-23.726-61.02-55.15-11.656-92.176zm214.638 0c49.358 37.02 44.94 68.44-11.63 92.164 5.988 12.976 9.327 27.38 9.327 42.545 0 13.46-2.63 26.316-7.408 38.11 162.726-17.453 102.883-153.76 9.71-172.818zM256.015 77.5c-48.242 0-87 38.164-87 85.28 0 47.12 38.758 85.282 87 85.282 48.243 0 87-38.163 87-85.28 0-47.118-38.757-85.282-87-85.282zm-9 23h18v7.758c14.666 2.49 26.297 10.812 35.363 19.88 10.85 10.847 19.06 23.06 26 30l6.366 6.362-6.366 6.363c-6.94 6.94-15.15 19.152-26 30-9.066 9.067-20.697 17.39-35.363 19.88v7.757h-18v-7.758c-14.666-2.49-26.297-10.812-35.363-19.88-10.85-10.847-19.06-23.06-26-30l-6.365-6.362 6.365-6.363c6.94-6.94 15.15-19.152 26-30 9.066-9.067 20.697-17.39 35.363-19.88V100.5zm0 26.082c-8.644 2.155-15.736 7.38-22.637 14.28-7.135 7.137-13.458 15.84-20.185 23.638 6.727 7.8 13.05 16.5 20.185 23.637 6.9 6.9 13.993 12.126 22.637 14.28v-7.02c-13.348-3.93-23.2-16.34-23.2-30.897 0-14.556 9.852-26.966 23.2-30.896v-7.022zm18 0v7.022c13.348 3.93 23.2 16.34 23.2 30.896 0 14.556-9.852 26.966-23.2 30.896v7.022c8.644-2.155 15.736-7.38 22.637-14.28 7.136-7.137 13.458-15.84 20.185-23.638-6.727-7.8-13.05-16.5-20.185-23.637-6.9-6.9-13.993-12.126-22.637-14.28zm-9 23.72c-7.948 0-14.2 6.25-14.2 14.198s6.252 14.2 14.2 14.2c7.95 0 14.2-6.252 14.2-14.2 0-7.948-6.25-14.2-14.2-14.2zm-23 113.255V299.5h46v-35.943c-7.407 1.636-15.104 2.505-23 2.505-7.896 0-15.592-.87-23-2.505zm9.414 53.943v164.916c1.444 2.708 5.645 9.084 13.585 9.084 7.897 0 12.445-6.447 14.06-9.236l.042-164.764H242.43zm45.667 78l-.004 18h31.922v-18h-31.918zm-.008 32l-.005 18h15.93v-18H288.09zm-.01 32l-.003 18h31.938v-18H288.08z"}}]})(props);
};
function GiBottleCap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M146.499 150.27C96.573 200.195 58.83 252.838 38.41 296.735c-10.21 21.949-16.034 41.712-17.185 57.376-1.152 15.663 2.144 26.57 9.05 33.477 6.907 6.906 17.815 10.203 33.478 9.051 15.663-1.152 35.427-6.975 57.376-17.185 43.897-20.42 96.54-58.163 146.465-108.088 49.926-49.926 87.668-102.569 108.088-146.466 10.21-21.948 16.034-41.712 17.185-57.375 1.152-15.664-2.144-26.571-9.05-33.477-6.907-6.907-17.815-10.204-33.478-9.052-15.663 1.152-35.427 6.975-57.376 17.185-43.897 20.42-96.54 58.163-146.465 108.089zm13.935 10.213c41.592-41.69 85.542-75.431 111.893-90.014-57.86 45.917-217.929 183.745-148.373 275.74 6.305 8.34-61.76 34.137-65.167 24.83-22.38-61.146 36.763-145.52 101.647-210.556zM41.744 412.841c4.947 8.962 10.733 18.459 16.161 28.652 3.506-2.819 7.906-5.132 11.59-6.03 8.066-1.885 16.128.87 21.76 5.488 5.63 4.619 9.599 10.81 12.702 17.479 3.899 8.377 6.483 17.462 7.526 26.004 2.893-.971 5.78-1.972 8.664-3.002.606-9.63-.184-21-.264-31.983-.053-7.272.214-14.436 1.99-21.283 2.625-7.78 5.641-13.813 11.925-18.142 7.374-5.046 16.26-5.932 23.704-3.857 7.443 2.076 13.74 6.48 19.25 11.573 9.504 8.784 16.758 19.647 20.942 28.494a573.433 573.433 0 0 0 8.793-4.965c-2.562-10.086-5.463-23.926-6.049-37.782-.6-14.18.845-29.487 10.423-39.63a34.039 34.039 0 0 1 4.62-4.014c7.867-5.586 17.288-6.762 25.611-5.138 8.324 1.624 15.891 5.63 22.704 10.407 9.209 6.458 16.99 14.19 22.588 21.131a644.594 644.594 0 0 0 10.154-8.416c-5.173-7.802-9.976-18.099-13.13-29.667-4.607-16.888-5.025-37.474 9.24-51.74 14.267-14.267 34.853-13.848 51.741-9.242 11.568 3.155 21.865 7.958 29.667 13.13 2.839-3.36 5.652-6.74 8.417-10.153-6.942-5.598-14.674-13.38-21.131-22.588-4.778-6.813-8.784-14.38-10.408-22.704-1.624-8.324-.448-17.745 5.138-25.611 1.29-1.79 2.581-3.22 4.014-4.62 10.144-9.578 25.45-11.023 39.63-10.423 13.857.586 27.696 3.487 37.782 6.049 1.682-2.921 3.34-5.852 4.966-8.793-8.848-4.184-19.71-11.439-28.494-20.942-5.094-5.511-9.498-11.807-11.573-19.25-2.076-7.444-1.19-16.33 3.856-23.704 4.123-6.084 11.761-10.219 18.142-11.925 6.847-1.776 14.012-2.043 21.283-1.99 10.983.08 22.354.87 31.984.264a479.55 479.55 0 0 0 3-8.664c-8.54-1.043-17.625-3.628-26.003-7.527-6.668-3.103-12.86-7.07-17.479-12.702-4.618-5.63-7.373-13.693-5.487-21.76 1.381-4.477 3.342-8.52 6.03-11.59-10.194-5.427-19.69-11.213-28.652-16.16 1.638 7.21 2.07 15.074 1.464 23.308-1.386 18.847-7.97 40.285-18.792 63.55C370.099 178.9 331.28 232.728 280.119 283.89c-51.16 51.16-104.99 89.98-151.518 111.624-23.264 10.822-44.702 17.405-63.549 18.791-8.234.606-16.098.175-23.307-1.464zm27.564 41.953a8.414 8.414 0 0 0-.466.471 17.728 17.728 0 0 0-2.452 3.877c4.645 11.014 8.274 22.823 9.658 35.629 10.182-9.497 12.795-4.634 17.98-4.858-.602-7.144-2.702-16.64-6.132-24.01-2.358-5.067-5.308-9.151-7.874-11.256-2.567-2.105-3.98-2.523-6.496-1.934-1.806.422-3.107 1.04-4.218 2.08zM451.197 73.13c-1.103 1.22-1.886 2.64-2.255 4.166-.588 2.517-.171 3.93 1.934 6.496 2.105 2.567 6.19 5.517 11.256 7.874 7.37 3.43 16.866 5.53 24.01 6.133-2.121-6.134-1.639-12.173 4.858-17.98-12.806-1.384-24.615-5.013-35.629-9.659-1.648.729-3.071 1.75-4.174 2.97zM142.84 425.434c-2.1 2.002-3.244 5.007-3.82 7.18-1.091 4.203-1.474 10.068-1.425 16.706.056 7.712.702 16.382.617 25.255 11.754-8.651 20.014-21.068 43.794-20.002-3.048-6.404-9.84-16.95-17.28-23.825-4.184-3.868-8.54-6.56-11.982-7.52-3.443-.96-5.68-.82-8.944 1.415-.34.24-.66.505-.96.79zm278.79-278.746c-.265.278-.518.572-.76.883-2.233 3.265-2.373 5.501-1.413 8.944.96 3.443 3.651 7.798 7.52 11.984 6.875 7.438 17.42 14.23 23.825 17.278-.606-20.71 9.905-32.31 20.001-43.794-8.873.085-17.543-.56-25.255-.617-6.638-.048-12.502.335-16.705 1.425-2.952.802-5.363 1.952-7.214 3.897zm-50.02 81.633c-.398.372-.764.767-1.096 1.188-2.641 3.72-3.123 7.204-2.195 11.963.929 4.758 3.685 10.448 7.525 15.925 5.06 7.215 12.092 14.048 17.687 18.698 3.589-15.098 16.365-31.912 34.451-49.896-8.701-1.987-19.218-3.878-29.014-4.293-8.39.554-21.39.837-27.358 6.415zM225.128 374.845c-6.146 6.112-7.177 22.42-6.992 27.894.414 9.797 2.305 20.314 4.292 29.015 14.862-12.526 26.804-28.222 49.896-34.452-4.65-5.594-11.483-12.627-18.698-17.686-5.477-3.84-11.167-6.597-15.925-7.525-4.758-.929-8.243-.446-11.963 2.195a9.727 9.727 0 0 0-.61.559zm80.045-65.901c-8.004 8.004-8.422 20.823-4.677 34.556 2.241 8.218 6.212 16.39 9.79 22.387 13.324-21.166 30.664-38.507 51.83-51.831-5.997-3.577-14.168-7.548-22.386-9.79-13.734-3.745-26.553-3.326-34.557 4.678z"}}]})(props);
};
function GiBottleVapors (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M126.432 21.703C98.68 21.46 75.306 45.737 71.037 98.338c18.902-39.768 56.02-37.664 90.242-10.684-21.53 3.334-45.143 20.344-64.755 54.547 55.164-33.098 94.772-13.63 125.823 34.79 1.478 4.1 2.862 8.27 4.123 12.512.947 6.396 2.175 12.978 3.745 19.766-26.753-28.924-74.47-36.722-109.543-4.444 32.49-1.888 59.49 7.64 82.44 25.598 15.252-3.835 31.282-6.008 47.34-6.285 1.053-.02 2.107-.006 3.16-.008 3.113-103.32 38.217-159.337 86.663-132.75 23.023 12.632 19.488 44.942-7.33 53.854 55.25-11.45 64.983-62.343 12.108-92.87-44.98-25.97-111.334 6.87-119.967 88.54-18.207-76.27-62.206-118.883-98.654-119.2zm320.822 2.203c-.63-.007-1.267-.006-1.91.004-10.92.172-23.576 2.88-37.9 8.71 80.755-13.584 53.78 108.933-10.61 123.8 39.666-29.354 31.538-57.157 15.918-83.12-5.8 83.094-100.58 103.93-144.225 151.337 9.65.71 19.206 2.147 28.502 4.35 19.623-14.667 44.268-25.297 73.234-31.868C510.48 165.305 527.36 24.83 447.254 23.905zm-126.717 78.942c-29.023-.357-36.66 48.594 3.772 42.158-14.98-5.534-16.07-27.595.66-41.735-1.527-.267-3.006-.405-4.433-.422zM21.75 172.275c-23.62 69.475 37.823 92.292 81.938 42.848-41.72 8.173-72.115-1.308-81.938-42.848zm233.67 71.11c-1.623-.013-3.248-.005-4.873.023-25.75.45-51.578 5.98-72.942 15.655 20.642 34.628 35.932 78.964 35.932 129.195v7.586l-7.426 1.558c-42.726 8.963-67.727 45.533-75.682 94.598h192.416c-2.138-33.135-14.294-58.505-44.528-78.97 42.66 2.888 67.743 47.175 72.92 78.97h19.313c-8.08-48.734-34.184-85.43-76.786-94.607l-7.377-1.59v-7.545c0-53.404 16.483-95.637 37.23-129.69-7.127-3.66-14.8-6.613-22.826-8.92-16.314 37.33-30.004 83.224-33.06 141.864-3.023-58.476.62-108.805 7.83-146.87-6.633-.782-13.37-1.205-20.14-1.257z","fillRule":"evenodd"}}]})(props);
};
function GiBottledBolt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M108.875 32.688v56.5H415.03v-56.5H108.876zm19.688 75.187c-.782 5.333-2.006 8.77-3.282 11.063-2.115 3.802-4.57 5.415-8.968 8.562-4.396 3.147-10.553 7.908-14.656 16.22-4.103 8.31-6.28 19.467-6.28 36.28v251.406C95.375 463.746 121.66 490 154 490h213.47c32.338 0 58.592-26.255 58.592-58.594V180c0-17.668-2.004-29.225-5.812-37.813-3.808-8.587-9.777-13.66-14.094-16.812-4.317-3.153-6.54-4.544-8.437-7.906-1.096-1.94-2.172-4.94-2.908-9.595H375.97c.916 7.868 2.717 13.91 5.467 18.78 4.132 7.32 9.966 11.095 13.688 13.814 3.722 2.718 5.81 4.27 8.03 9.28 2.223 5.01 4.22 14.06 4.22 30.25v251.406c0 22.355-17.55 39.906-39.906 39.906H154c-22.355 0-39.938-17.55-39.938-39.906V180c0-15.155 2.098-23.42 4.376-28.03 2.277-4.614 4.64-6.31 8.75-9.25 4.11-2.943 10.142-7.028 14.406-14.69 2.898-5.206 4.827-11.705 5.78-20.155h-18.81zm184.812 2.28l-173.5 184.095H247.28l-59.218 159.28 195.5-208.936h-117l46.813-134.438z"}}]})(props);
};
function GiBottledShadow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M104.2 27.37v56.5h306.1v-56.5H104.2zm19.7 75.13c-.8 5.4-2 8.8-3.3 11.1-2.1 3.8-4.6 5.5-9 8.6-4.4 3.1-10.5 7.8-14.66 16.1-4.15 8.3-6.32 19.5-6.32 36.3V426c0 32.3 26.38 58.6 58.68 58.6h213.5c32.3 0 58.6-26.3 58.6-58.6V174.6c0-17.6-2-29.1-5.8-37.8-3.9-8.5-9.8-13.6-14.1-16.7-4.4-3.2-6.6-4.6-8.5-7.9-1.1-2-2.2-5-2.9-9.7h-18.8c.9 7.9 2.7 14 5.4 18.9 4.2 7.2 10 10.9 13.7 13.7 3.7 2.7 5.8 4.2 8.1 9.2 2.2 5.2 4.2 14.2 4.2 30.3V426c0 22.5-17.6 40-39.9 40H149.3c-22.4 0-39.9-17.5-39.9-40V174.6c0-15.1 2.1-23.4 4.3-28 2.3-4.6 4.7-6.3 8.8-9.3 4.1-2.8 10.1-7 14.4-14.6 2.9-5.2 4.8-11.7 5.8-20.2h-18.8zM278.8 113c-49.7.6-104.1 37.5-114.2 62.9-15.8 40-25.1 119.5 12.6 124.1 16.8 2 42.1-14.4 34.2 27.6-2.6 13.9 53.8 5.9 51.2 17.6-9.1 41-72.8 93.2-56.6 94.3 30.7 2.1 129.9-16.6 111.6-63.7-13.7-35.5 17.7-39 37.8-47 16.6-6.6-2-48-32.1-75.3-31.7 8.1-39.7 19.6-55.3 31.8 0 0 3.8-44.3 20.8-52.1 2-.9 4.2-1.3 6.7-1.3 6-.1 13.1 2.2 19.8 5.2 30.8-30.9 32.5-92.8 13.1-108.3-14.4-11.5-31.7-16-49.6-15.8zm-5 19.3c.4 0 .7 0 1 .2 5.4 3.3-1.3 31.8-7.3 46.2-5.6 13.6-21.5 37.5-26 35.6-6.9-2.9-9.6-34.4-3.2-49.8 5.8-14 29.2-32.2 35.5-32.2zm24.8 6.5c3.8.3 15.4 11.2 19.1 19 4.3 9.1 3.3 38.9 2.2 41.4-1.2 2.8-14.1-2-18.3-7-9.2-10.7-7.4-51.6-3.6-53.3.2-.1.4-.1.6-.1z"}}]})(props);
};
function GiBottomRight3DArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M126.47 18.25l273.81 229.344 39.314-39.313 23.47 205.095-205.095-23.438 37.467-37.468L20.594 58.655v99.28l195.25 235.126 5.437 6.532-6.03 6.03-45.97 45.97 323.033 38.344-38.375-323-48.313 48.312-6 6-6.563-5.438L155.032 18.25h-28.563z"}}]})(props);
};
function GiBoulderDash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M85.625 35.008l52.611 39.463a112.639 112.639 0 0 1 39.032-6.955c1.664 0 3.319.045 4.966.117zm-61.09 25.285l54.738 61.85c7.477-11.488 16.704-21.611 27.286-29.92zm152.733 23.223c-56.69 0-102.97 48.891-102.97 109.99s46.28 109.992 102.97 109.992c56.689 0 102.968-48.893 102.968-109.992 0-61.099-46.28-109.99-102.968-109.99zm-150.34 58.71L58.3 193.739l-.002-.232c0-15.586 2.698-30.536 7.619-44.352zm314.408 26.84l-12.133 13.297c8.5 7.756 16.316 14.44 23.498 20.446 2.615-5.648 6.3-10.586 10.942-14.399-6.89-5.732-14.29-12.028-22.307-19.344zm44.851 29.28a16.468 16.468 0 0 0-4.326.511c-11.225 2.899-19.07 18.144-14.52 35.766 4.55 17.622 18.795 27.164 30.02 24.266 11.225-2.899 19.07-18.144 14.52-35.766-3.981-15.42-15.385-24.652-25.693-24.777zm-362.625 8.2l51.276 50.981A129.794 129.794 0 0 1 60.996 220.2zm276.715 29.56l.24 17.998c14.545-.196 38.63 5.678 58.344 12.224a367.708 367.708 0 0 1 13.153 4.65c-8.801-5.715-16.002-14.82-20.141-25.722-17.47-5.193-36.21-9.357-51.596-9.15zM18 265.31v17.337a11431.26 11431.26 0 0 0 58.58 24.301c56.12 23.12 129.342 53.014 202.04 82.602A139668.39 139668.39 0 0 0 494 476.992v-17.26a142416.05 142416.05 0 0 1-209.35-85c-72.686-29.583-145.898-59.475-201.976-82.578-26.028-10.723-47.807-19.76-64.674-26.843zm398.504 3.246c-4.107 3.607-9.01 6.307-14.643 7.761a35.428 35.428 0 0 1-15.423.526c18.897 14.106 12.17 59.102 2.992 70.697-8.122 10.26-21.36 13.533-28.698 14.488.107.09-.246.082-1.37.127.441-.017.902-.066 1.37-.127-.162-.136-1.42-.502-2.816-1.672-2.31-1.934-5.373-5.127-8.463-8.847-6.179-7.44-12.638-17.123-16.176-23.871l-6.293-12.004-8.623 10.457c-5.097 6.182-10.064 9.497-21.433 15.713l8.635 15.795c7.246-3.962 12.91-7.5 17.873-11.508 3.683 5.75 7.747 11.592 12.17 16.918 3.542 4.265 7.107 8.093 10.751 11.146 3.645 3.053 6.942 6.255 13.721 5.985 21.721-.865 40.55-18.176 56.125-29.553 4.476-3.27 14.021-5.87 24.045-6.135 7.341-.194 14.925.791 20.863 2.408-1.13 14.418-5.324 39.26-15.02 53.397l-9.116 13.295 16.101.783c15.55.756 23.995-1.374 39.332-7.951l-7.094-16.543c-7.78 3.336-12.17 5.101-16.601 5.976 8.66-20.28 10.676-43.193 10.892-54.996l.11-5.914-5.387-2.445c-9.846-4.47-22.191-6.33-34.555-6.004-5.37.142-10.736.668-15.867 1.781 2.068-9.406 2.268-18.777 1.14-27.82-1.375-11.037-4.593-21.644-8.542-31.863z"}}]})(props);
};
function GiBouncingSpring (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23.07c-58.1 0-110.7 6.28-149.4 16.71-19.39 5.22-35.31 11.4-47.09 18.9-5.67 3.61-10.62 7.73-14.25 12.39C38.9 97.64 39.09 142.1 39 152c0 12.2 8.74 21.9 20.51 29.4 7.93 5 17.73 9.5 29.2 13.5-2.7 6.9-3.89 14.5-3.89 22.1 0 11.4 2.67 23 9.22 32-6.55 9-9.22 20.6-9.22 32 0 11.4 2.67 23 9.22 32-6.55 9-9.22 20.6-9.22 32 0 11.4 2.67 23 9.22 32-6.55 9-9.22 20.6-9.22 32 0 14.6 4.31 29.7 15.68 39 45.6 37.4 127.2 47.9 198.6 36.6 35.8-5.7 69.1-17 94.1-34.6 8.7-6.2 16.4-13.2 22.7-21 .8 3.8 1.3 7.8 1.3 12h18c0-11.5-2.4-22.2-6.8-32 4.4-9.8 6.8-20.5 6.8-32s-2.4-22.2-6.8-32c4.4-9.8 6.8-20.5 6.8-32s-2.4-22.2-6.8-32c4.4-9.8 6.8-20.5 6.8-32s-2.4-22.2-6.8-32c3.7-8.3 6-17.1 6.6-26.6 6.6-2.8 12.4-5.8 17.5-9 11.8-7.5 20.5-17.2 20.5-29.4-.2-11.2-2.2-64.7-6.2-80.93-3.7-4.66-8.6-8.78-14.3-12.39-11.8-7.5-27.7-13.68-47.1-18.9-38.7-10.43-91.3-16.71-149.4-16.71zm-9 18.23c29.3.16 59.8 1.15 71.2 2.72-23.9 21.22-54.7 65.38-55.3 90.28-49.3 1.1-88.2-2.6-115.6-7.2 7.8-10.5 19.7-22.9 33.9-35.48 19.2-16.97 42.5-34.6 65.8-50.32zm-31.7.2c-16.4 11.88-32.2 24.34-46 36.65-17.8 15.72-32.4 30.85-41.4 45.25-18.6-4.2-28.18-8.1-28.09-9.1 18.39-29.69 50.29-54.89 85.49-71.06 5.1-.89 16.2-1.45 30-1.74zM57 115.7c.82.6 1.65 1.2 2.51 1.7 11.78 7.5 27.7 13.7 47.09 18.9C145.3 146.7 197.9 153 256 153c58.1 0 110.7-6.3 149.4-16.7 19.4-5.2 35.3-11.4 47.1-18.9.9-.5 1.7-1.1 2.5-1.7.7 12.2.4 29.2 0 36.3 0 3.2-2.9 8.3-12.2 14.2-9.3 5.9-23.8 11.8-42.1 16.7-36.5 9.8-87.9 16.1-144.7 16.1-56.8 0-108.2-6.3-144.7-16.1-18.3-4.9-32.85-10.8-42.12-16.7C52.68 156.7 57 134.4 57 115.7zm49.3 84.5c.1 0 .2.1.3.1 14.1 3.3 32 10.6 39.4 16.7-14.1 5.2-27.1 11.7-38.3 19.6-2.9-5.1-4.9-12.1-4.9-19.6 0-6.2 1.4-12.1 3.5-16.8zm290.6 2.3c4.5 4.5 8.4 9.4 11.5 14.5-4.6 7.6-10.8 14.5-18.5 20.9-12.8-8.5-27.5-15.4-43.5-20.9 23-5.8 33.8-10.7 50.5-14.5zm-84.8 23.7c23.3 5.1 44.6 12.7 61.8 22.8-17.2 10.1-38.5 17.7-61.8 22.8-4.3-.9-8.6-1.7-13-2.4-39.4-6.2-81.9-5.8-119.7 2.1-22.2-5-42.2-12.5-57.7-22.5 15.5-10 35.5-17.5 57.7-22.5 37.8 7.9 80.3 8.3 119.7 2.1 4.4-.7 8.7-1.5 13-2.4zM415.9 237c.8 3.8 1.3 7.8 1.3 12s-.5 8.2-1.3 12c-3.4-4.2-7.3-8.2-11.5-12 4.2-3.8 8.1-7.8 11.5-12zm-26 23.1c7.7 6.4 13.9 13.3 18.5 20.9-4.6 7.6-10.8 14.5-18.5 20.9-12.8-8.5-27.5-15.4-43.5-20.9 16-5.5 30.7-12.4 43.5-20.9zm-282.2 1.3c11.2 7.9 24.2 14.4 38.3 19.6-14.1 5.2-27.1 11.7-38.3 19.6-2.9-5.1-4.9-12.1-4.9-19.6 0-7.5 2-14.5 4.9-19.6zm204.4 28.8c23.3 5.1 44.6 12.7 61.8 22.8-17.2 10.1-38.5 17.7-61.8 22.8-4.3-.9-8.6-1.7-13-2.4-39.4-6.2-81.9-5.8-119.7 2.1-22.2-5-42.2-12.5-57.7-22.5 15.5-10 35.5-17.5 57.7-22.5 37.8 7.9 80.3 8.3 119.7 2.1 4.4-.7 8.7-1.5 13-2.4zM415.9 301c.8 3.8 1.3 7.8 1.3 12s-.5 8.2-1.3 12c-3.4-4.2-7.3-8.2-11.5-12 4.2-3.8 8.1-7.8 11.5-12zm-26 23.1c7.7 6.4 13.9 13.3 18.5 20.9-4.6 7.6-10.8 14.5-18.5 20.9-12.8-8.5-27.5-15.4-43.5-20.9 16-5.5 30.7-12.4 43.5-20.9zm-282.2 1.3c11.2 7.9 24.2 14.4 38.3 19.6-14.1 5.2-27.1 11.7-38.3 19.6-2.9-5.1-4.9-12.1-4.9-19.6 0-7.5 2-14.5 4.9-19.6zm204.4 28.8c23.3 5.1 44.6 12.7 61.8 22.8-21 12.3-48.2 21.1-77.6 25.8-62.2 9.9-133.7.5-174.6-25.8 15.5-10 35.5-17.5 57.7-22.5 37.8 7.9 80.3 8.3 119.7 2.1 4.4-.7 8.7-1.5 13-2.4zM415.9 365c.8 3.8 1.3 7.8 1.3 12s-.5 8.2-1.3 12c-3.4-4.2-7.3-8.2-11.5-12 4.2-3.8 8.1-7.8 11.5-12zm-26 23.1c7.7 6.4 13.9 13.3 18.5 20.9-5.9 9.8-14.5 18.5-25.6 26.2-21.8 15.4-52.7 26.2-86.5 31.6-67.5 10.7-145.9-1.2-184.4-32.8-5.1-4.2-9.1-14.3-9.1-25 0-7.5 2-14.5 4.9-19.6 46.7 33 123.6 41.9 191.4 31.2 34.3-5.5 66.1-16.1 90.8-32.5z"}}]})(props);
};
function GiBouncingSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M414.666 22.572L19.91 114.15l251.8 266.028-59.66 59.69 282.602 53.44-53.41-282.75-31.545 31.563 36.826 84.86-79.253-87.507-80.643-79.217 41.025 80.377-135.38-114.785L414.667 22.572zM232.484 215.77c11.482 0 20.787 9.308 20.787 20.79 0 2.462-.43 4.824-1.215 7.016l35.55 34.21 33.06-30.81 12.74 13.672-17.374 16.19 138.286 133.64L473.236 471l-60.515-17.447-140.55-135.84-18.096 16.86-12.74-13.67 32.578-30.358-35.418-34.082c-1.903.574-3.92.887-6.01.887-11.48 0-20.787-9.31-20.787-20.79 0-11.482 9.306-20.79 20.787-20.79zm68.883 75.617l-12.963 13.463L426.96 438.256l12.964-13.463-138.557-133.406z"}}]})(props);
};
function GiBowArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M331.734 20.443a4.421 4.421 0 0 0-1.802.327c-27.736 11.543-47.295 57.495-29.899 76.671 33.52 38.946 72.835 55.573 90.147 128.434 2.607 20.15 1.218 40.094 0 60.25-17.312 72.861-56.627 89.488-90.147 128.434-17.396 19.176 2.163 65.128 29.899 76.671 9.038 3.762 28.025-26.165 21.752-25.209-16.34 2.491-37.8-20.941-28.387-28.93 38.47-32.65 105.49-100.055 100.277-135.552-2.211-15.057-9.35-30.36-15.574-45.539 6.225-15.18 13.363-30.482 15.574-45.54 5.214-35.496-61.806-102.901-100.277-135.552-9.412-7.988 12.047-31.42 28.387-28.93 5.881.897-10.44-25.35-19.95-25.535zM152 24.23l-21.441 53.602L152 99.273l21.441-21.441zm-9 91.497v296.546l9-9 9 9V115.727l-2.637 2.636-6.363 6.364zm160 9.847v260.824l18-17.53V143.104zM152 428.727l-23 23v38.546l23-23 23 23v-38.546z"}}]})(props);
};
function GiBowString (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M114.4 35.99l36.8 85.91c4 2.4 7.9 4.9 11.8 7.5V66.55c-16-11.07-32.2-21.32-48.6-30.56zM181 50.56V160c0 .2.7 2.4 3.4 4.9 2.7 2.5 6.9 5.1 10.9 6.7 3.2 1.3 5.9 1.7 7.7 1.8V64c0-.25-.7-2.39-3.4-4.92s-6.9-5.11-10.9-6.72c-3.2-1.26-5.9-1.69-7.7-1.8zm40 60.54v63.2c48.3 43.4 88.2 95.2 118.7 145 22.3 36.5 39.5 71.9 51.2 102.5 9.9 25.8 16 47.9 17.6 65.2h93.1c-3.4-15.2-13.9-41.6-31-72.9-21.2-38.8-52-85.9-89.7-134.6C336 221.7 281.2 161.7 221 111.1zm-38 74.7V486h18V191.5c-4.2-.3-8.3-1.5-12.3-3.1-1.9-.8-3.8-1.7-5.7-2.6z"}}]})(props);
};
function GiBowTieRibbon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M447.586 34.278c8.2.042 16.652.51 25.25 1.305-18.81 11.825-47.438 25.416-75.809 35.345-19.621 6.868-39.233 12.234-55.464 14.86-10 1.617-18.485 1.793-24.758 1.267 9.46-16.636 28.867-31.502 56.191-41.146 20.184-7.124 44.389-11.352 71.092-11.623 1.16-.012 2.327-.014 3.498-.008zm-383.172 0c1.171-.006 2.337-.004 3.498.008 26.703.271 50.908 4.5 71.092 11.623 27.324 9.644 46.73 24.51 56.191 41.146-6.273.526-14.758.35-24.757-1.267-16.232-2.626-35.844-7.992-55.465-14.86-28.37-9.93-56.998-23.52-75.809-35.345 8.598-.794 17.05-1.263 25.25-1.305zm417.828 17.5c-10.731 63.387-9.774 151.122 2.854 210.18-35.275 4.762-73.838-2.481-105.834-14.924-17.386-6.761-32.812-14.983-44.6-23.235-4.285-3-8.02-6.019-11.203-8.923a63.245 63.245 0 0 0 3.34-3.557c14.844-17.115 17.859-41.615 14.031-64.781-2.39-14.463-7.447-28.663-14.908-40.76 24.99.44 54.528-7.35 83.19-17.91 27.592-10.166 53.726-23.013 73.13-36.09zm-452.484 0c19.404 13.077 45.538 25.924 73.13 36.09 28.662 10.56 58.2 18.35 83.19 17.91-7.461 12.097-12.519 26.297-14.908 40.76-3.827 23.166-.813 47.666 14.031 64.781a63.245 63.245 0 0 0 3.34 3.557c-3.183 2.904-6.918 5.924-11.203 8.923-11.788 8.252-27.214 16.474-44.6 23.235-31.996 12.443-70.559 19.686-105.834 14.924C39.532 202.9 40.49 115.165 29.758 51.778zM256 86.698c16.205 0 32.227 4.958 42.104 13.523 12.056 10.457 21.739 29.716 24.966 49.25 3.228 19.535-.004 38.68-9.869 50.055-11.469 13.224-34.123 21.07-57.201 21.07-23.078 0-45.732-7.846-57.201-21.07-9.865-11.375-13.097-30.52-9.87-50.055 3.228-19.534 12.91-38.793 24.967-49.25 9.877-8.565 25.9-13.523 42.104-13.523zm52.7 139.254c4.475 4.282 9.729 8.457 15.638 12.594 13.212 9.248 29.786 18.026 48.4 25.265 1.586.617 3.192 1.219 4.807 1.813 20.777 65.205 52.5 128.055 85.127 183.976-8.456-1.898-18.948-4.765-29.596-8.636-21.259-7.731-44.304-19.496-58.713-33.905l-11.398-11.398-3.72 15.683c-7.566 31.88-22.094 48.17-37.737 66.381-35.313-65.017-51.22-150.543-55.283-239.533 15.155-1.202 29.988-5.135 42.474-12.24zm-105.4 0c12.487 7.105 27.32 11.038 42.475 12.24-4.062 88.99-19.97 174.516-55.283 239.533-15.643-18.21-30.17-34.502-37.736-66.38l-3.72-15.684-11.4 11.398c-14.408 14.41-37.453 26.174-58.712 33.905-10.648 3.871-21.14 6.738-29.596 8.636 32.626-55.92 64.35-118.771 85.127-183.976 1.615-.594 3.22-1.196 4.807-1.813 18.614-7.239 35.188-16.017 48.4-25.265 5.91-4.137 11.163-8.312 15.639-12.594z"}}]})(props);
};
function GiBowTie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M51.855 169.203C31.677 191.101 21 223.381 21 256s10.677 64.9 30.855 86.797c15.674-.505 44.822-4.243 73.961-11.527 21.772-5.443 43.342-13.134 58.973-21.8-5.558-6.025-8.448-13.975-10.55-22.91a107.81 107.81 0 0 1-1.323-6.603l-58.443 16.697-4.946-17.308 61.588-17.596c-.068-1.912-.115-3.83-.115-5.75s.047-3.838.115-5.75l-61.588-17.596 4.946-17.308 58.443 16.697a107.81 107.81 0 0 1 1.322-6.604c2.103-8.934 4.993-16.884 10.551-22.91-15.631-8.665-37.2-16.356-58.973-21.799-29.14-7.284-58.287-11.022-73.96-11.527zm408.29 0c-15.674.505-44.822 4.243-73.961 11.527-21.772 5.443-43.342 13.134-58.973 21.8 5.558 6.025 8.448 13.975 10.55 22.91.505 2.14.94 4.35 1.323 6.603l58.443-16.697 4.946 17.308-61.588 17.596c.068 1.912.115 3.83.115 5.75s-.047 3.838-.115 5.75l61.588 17.596-4.946 17.308-58.443-16.697a107.81 107.81 0 0 1-1.322 6.604c-2.103 8.934-4.993 16.884-10.551 22.91 15.631 8.665 37.2 16.356 58.973 21.799 29.14 7.284 58.287 11.022 73.96 11.527C480.324 320.899 491 288.619 491 256s-10.677-64.9-30.855-86.797zM256 205c-13.571 0-27.173.992-37.957 2.867-10.784 1.876-18.862 5.678-19.68 6.496-1.878 1.879-4.809 7.578-6.601 15.198C189.969 237.18 189 246.6 189 256c0 9.4.969 18.82 2.762 26.44 1.792 7.619 4.723 13.318 6.601 15.197.818.818 8.896 4.62 19.68 6.496C228.827 306.008 242.429 307 256 307c13.571 0 27.173-.992 37.957-2.867 10.784-1.876 18.862-5.678 19.68-6.496 1.878-1.879 4.809-7.578 6.601-15.198C322.031 274.82 323 265.4 323 256c0-9.4-.969-18.82-2.762-26.44-1.792-7.619-4.723-13.318-6.601-15.197-.818-.818-8.896-4.62-19.68-6.496C283.173 205.992 269.571 205 256 205z"}}]})(props);
};
function GiBowels (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M107.643 25.715c-4.28.084-8.759 1.173-13.454 3.611C53.518 51.481 25.4 97.483 60.07 139.121c-14.984 19.347-20.219 35.593-9.502 53.365-16.915 16.155-12.66 32.309.266 48.463-11.026 14.52-5.226 21.561.158 28.787-11.725 13.449-37.788 54.228-8.14 70.23-14.488 18.706-4.632 80.856 49.146 69.048 9.032 26.311 42.663 26.504 63.016 4.968 10.512-.468 25.749-4.352 45.271-12.212-8.943-4.27-21.504-10.238-31.857-15.147-5.176-40.86-29.098-40.185-49.239-49.53 12.484-14.758 11.097-29.518 1.135-44.277 21.287-26.793 17.823-48.635 1.744-67.955 13.287-19.647 8.43-37.645 1.42-55.447 6.765-21.062 16.503-41.877 1.66-64.74 17.837 26.196 32.663 45.036 54.98 36.703 28.804 20.293 53.413 30.45 79.784 17.959 21.286 15.321 41.202 7.119 68.078-14.824 26.185 22.077 46.803-2.894 64.953-27.948-6.133 26.488-4.487 50.94 12.082 62.713-35.437 22.58-25.162 39.74-7.494 48.987-29.25 31.677-1.644 50.067 20.498 66.41-15.403 20.495-8.362 30.287 2.346 45.83-16.843-5.367-29.476 11.142-34.32 23.254-17.354-7.679-42.318-7.341-57.82-.211-19.54-8.827-31.82-6.08-47.395 8.877-17.465-4.666-34.928-11.631-52.393 5.392-27.894 47.569 4.222 190.502 58.602 64.563 27.827 15.997 50.26 4.89 58.61-4.861 27.733 8.952 57.144 19.38 64.501.546 16.027 6.017 99.283 18.287 71.356-54.894 10.057-21.226 11.246-40.839.71-58.32 11.805-15.245 16.055-35.104 1.337-53.485 22.257-27.526 3.886-54.386-11.842-68.355 12.884-18.203 17.436-25.168 4.177-39.86 4.8-12.253-1.38-36.408-12.873-46.474 23.733-40.438 9.553-94.849-52.086-72.436-23.91-19.77-69.494 8.79-69.716 28.656-35.772-8.603-51.965-5.588-62.233 14.553-24.282-24.11-48.205-16.262-69.814-3.744C192.508 64.108 191.934 47.4 153.8 52.953c-12.773-9.12-27.612-27.603-46.158-27.238z"}}]})(props);
};
function GiBowenKnot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M108.975 26c-1.51-.005-3.015.032-4.518.11-20.042 1.03-39.484 9.332-54.25 24.097C26.582 73.832 19.5 109.432 32.287 140.3c12.786 30.866 42.965 51.032 76.375 51.032h194.006v-18H191.332v-64.67c0-33.41-20.166-63.59-51.033-76.375-10.13-4.195-20.768-6.252-31.325-6.287zm295.556.01c-11.05-.165-22.218 1.882-32.83 6.277-30.866 12.786-51.032 42.965-51.032 76.375v194.006h18V191.332h64.67c33.41 0 63.59-20.166 76.375-51.033 4.795-11.576 6.795-23.818 6.178-35.843-1.03-20.042-9.332-39.484-24.097-54.25-15.504-15.504-36.166-23.882-57.262-24.197zM107.718 43.99c8.64-.125 17.378 1.482 25.693 4.926 24.19 10.02 39.922 33.564 39.922 59.746v64.67h-64.67c-26.182 0-49.727-15.733-59.746-39.922-10.02-24.19-4.494-51.96 14.02-70.474 12.15-12.15 28.286-18.706 44.78-18.946zm296.566 0c16.495.24 32.632 6.796 44.78 18.946 18.515 18.513 24.04 46.285 14.02 70.474-10.018 24.19-33.563 39.922-59.745 39.922h-64.67v-64.67c0-26.182 15.733-49.727 39.922-59.746 8.315-3.444 17.053-5.05 25.693-4.926zm-230.95 165.342v111.336h-64.67c-33.41 0-63.59 20.166-76.376 51.033-4.795 11.576-6.795 23.818-6.178 35.843 1.03 20.042 9.332 39.484 24.097 54.25 23.625 23.625 59.225 30.706 90.092 17.92 30.866-12.786 51.032-42.965 51.032-76.375V209.332h-18zm36 111.336v18h111.335v64.67c0 33.41 20.166 63.59 51.033 76.375 11.576 4.795 23.818 6.795 35.843 6.178 20.042-1.03 39.484-9.332 54.25-24.097 23.625-23.625 30.706-59.225 17.92-90.092-12.786-30.866-42.965-51.032-76.375-51.032H209.332zm-100.67 18h64.67v64.67c0 26.182-15.734 49.727-39.923 59.746-24.19 10.02-51.96 4.494-70.474-14.02-18.514-18.513-24.04-46.285-14.02-70.474 10.02-24.19 33.564-39.922 59.746-39.922zm230.005 0h64.67c26.182 0 49.727 15.733 59.746 39.922 10.02 24.19 4.494 51.96-14.02 70.474-18.513 18.514-46.285 24.04-70.474 14.02-24.19-10.02-39.922-33.564-39.922-59.746v-64.67z"}}]})(props);
};
function GiBowieKnife (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416.833 424.997a51.536 51.536 0 0 0-13.354 22.973l-78.98-78.98 44.972-44.97 78.98 78.978a51.536 51.536 0 0 0-22.974 13.354zm-209.087-202.24l-86.28-97.65 97.653 86.277 90.77 80.19 14.927-14.927c-90.534-99.383-137.713-167.87-176.19-212.085 0 0-39.608 13.795-122.627-38.08 0 0 7.062 120.442 252.034 296.948l9.913-9.913zm155.22 82.16a14.43 14.43 0 0 0-20.37-20.37l-57.57 57.567a14.43 14.43 0 0 0 20.37 20.37zM486 429.15a33.746 33.746 0 0 0-47.722 0l-8.646 8.647a33.746 33.746 0 0 0 0 47.722z"}}]})(props);
};
function GiBowlSpiral (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M205.625 34.563c8.22 21.345 11.89 48.323 11.906 75.53.02 27.25-3.636 54.304-11.905 75.75 16.036-1.14 29.94-4.13 41.813-8.5 11.268-12.86 22.237-28.278 31.625-44.562 7.876-13.663 14.656-27.974 19.875-41.78-9.13-27.716-38.906-52.6-93.313-56.438zm122.063 21.593c-3.722 26.903-16.014 57.48-32.438 85.97-16.442 28.52-36.79 54.54-58.344 71.28 16.63 8.312 32.295 13.67 46.813 16.563 20.317-6.42 42.256-16.24 62.905-28.19 16.776-9.705 32.75-20.827 46.563-32.374 0-.01-.002-.02 0-.03 5.895-34.385-11.328-77.505-65.5-113.22zm-177.313 8.47c-15.173-.127-32.815 3.85-52.438 13.218 15.736 13.046 30.362 32.077 42.376 52.875 12.03 20.825 21.264 43.11 24.687 63.374 10.463-7.207 18.94-14.772 25.688-22.47 5.21-17.335 8.17-39.47 8.156-61.53-.006-8.946-.508-17.893-1.438-26.53-10.02-10.69-24.988-17.99-44.03-18.845-.99-.046-1.99-.087-3-.095zm-53.906 58.28c-.588.007-1.19.035-1.782.063-18.18.86-38.95 11.885-57.407 37.936 16.93 3.252 35.248 11.057 52.47 21 17.252 9.96 33.207 21.976 44.53 35.094 5.23-11.422 8.218-21.994 9.44-31.625-4.08-14.306-10.955-30.324-19.595-45.28-2.63-4.556-5.435-9.006-8.344-13.314-5.834-2.556-12.365-3.957-19.31-3.874zm342.467 26.5c-19 25.112-49.458 49.192-82.937 68.563-33.507 19.385-69.66 33.86-101.063 37.75 11.48 17.685 23.697 32.08 36.22 43.5 24.492 5.62 52.87 8.573 81.187 8.53 24.004-.036 48.026-2.23 69.687-6.344 24.64-32.096 30.827-85.508-3.092-152zM66.78 190.97c-18.664 1.095-38.328 17.025-42.436 53.468 13.29-4.236 28.886-6.027 44.625-6.032 15.766-.005 31.398 1.807 44.75 6.063-1.363-11.844-4.384-21.53-8.5-29.25-7.417-6.087-15.91-11.985-24.814-17.126-4.465-2.58-9.04-4.953-13.625-7.125zm2.19 66.124c-4.687 0-9.367.24-13.94.656-10.867 7.7-18.518 23.42-15.186 48.063 10.193-6.277 22.46-11.147 35.312-14.594 12.887-3.457 25.968-5.347 38-5-5.37-12.994-12.395-21.786-19.906-27.19-7.648-1.24-15.975-1.94-24.28-1.936zm426.467 48.156c-33.182 14.47-78.016 21.12-123.062 21.188-45.076.068-89.997-6.457-123.313-21 5.06 111.108 65.082 163.31 123.094 163.437 58.027.126 118.125-51.796 123.28-163.625zm-401.593 1.094c-4.58.72-9.273 1.672-13.875 2.906-5.394 1.446-10.698 3.26-15.657 5.28-.45 3.156-.198 7.113 1.124 12.033 2.07 7.703 6.983 17.308 15.532 27.937 3.705-7.192 8.923-13.89 14.874-19.844 5.96-5.962 12.688-11.185 19.906-14.906-7.986-6.396-15.42-10.76-21.906-13.406zm25.625 33.062c-3.586 2.35-7.17 5.23-10.407 8.47-2.845 2.845-5.397 5.95-7.563 9.093 17.968 12.058 40.552 7.024 58.5-5.314-16.893 1.393-31.168-4.46-40.53-12.25z"}}]})(props);
};
function GiBowlingPin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.906 17.594c-19.943.246-29.027 6.66-34.687 17.093-5.668 10.445-7.04 26.44-5.657 44.313s5.284 37.398 8.5 55.063c1.293 7.107 2.494 13.83 3.375 20.156H286.5c.894-6.445 2.18-13.313 3.5-20.564 3.25-17.83 7.19-37.542 8.5-55.5 1.31-17.957-.25-33.9-6.156-44.187-5.907-10.288-15.443-16.607-36.25-16.376h-.188c-.65-.008-1.31-.008-1.937 0h-.064zM226.75 170.22c-.003 3.266-.216 6.37-.72 9.31-1.194 6.994-2.872 13.607-4.874 19.94h69.688c-2.002-6.332-3.68-12.946-4.875-19.94-.503-2.935-.715-6.048-.72-9.31h-58.5zm-18.688 61.25c-9.445 19.785-19.865 38.882-25.5 62.186-10.055 41.59-6.585 98.32 43.813 199.094 23.952 1.804 17.156 1.583 29.594 1.625h.06c12.43-.042 5.676.175 29.564-1.625 50.4-100.776 53.894-157.504 43.844-199.094-5.632-23.304-16.054-42.4-25.5-62.187h-95.875z"}}]})(props);
};
function GiBowlingPropulsion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M155.68.252l-.012.016h.03l-.018-.016zM86.924 18.955C74.384 30.29 66.502 46.685 66.502 64.92c0 34.21 27.732 61.945 61.943 61.945 26.94 0 49.85-17.2 58.38-41.215.754 5.132 1.15 10.38 1.15 15.725 0 59.227-47.884 107.11-107.112 107.11-22.086 0-42.535-6.67-59.572-18.108v21.78c17.75 9.562 38.054 15.015 59.573 15.015 69.34 0 125.8-56.458 125.8-125.797 0-31.478-11.624-60.325-30.802-82.42H86.925zm115.562 0c17.02 23.856 27.02 52.967 27.02 84.484 0 80.68-65.484 146-146.43 146-22.106 0-43.014-4.89-61.785-13.626v20.366c19.1 7.697 39.97 11.95 61.786 11.95 1.133 0 2.26-.02 3.39-.044l71.083 98.89-12.052-88.488 120.53 215.72h21.408L163.922 273.142l172.012 221.064H496.56V339.145L307.17 197.165l130.154 43.056-169.207-113.745 68.66 6.615-89.08-42.438c-2.012-26.043-10.118-50.43-22.884-71.697h-22.324zM41.27 108.52c-7.723 0-14.743 2.99-19.98 7.87v42.903c5.237 4.88 12.257 7.87 19.98 7.87 16.193 0 29.32-13.13 29.32-29.323 0-16.193-13.127-29.32-29.32-29.32z"}}]})(props);
};
function GiBowlingStrike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M57.685 30.997c-2.48-.013-4.73.228-6.613.692-12.055 2.97-33.197 20.964-27.258 45.074 4.695 19.063 16.214 41.833 24.03 63.607l56.564-13.933c-3.192-22.913-3.569-48.428-8.264-67.49-5.01-20.343-25.07-27.876-38.459-27.95zm278.34 18.493c-7.87-.035-16.233 2.54-22.68 9.853-10.873 12.334-21.038 31.133-32.287 46.908l36.596 32.264c14.24-13.138 31.617-25.58 42.49-37.914 13.752-15.6 5.028-37.151-2.771-44.027-4.144-3.653-12.429-7.046-21.348-7.084zm43.994 67.617c-13.351-.237-32.583 6.265-38.64 25.51-5.896 18.726-7.89 44.167-12.528 66.832l55.567 17.492c9.18-21.235 22.12-43.229 28.015-61.955C419.89 141.3 399.932 122 388.09 118.273c-2.22-.7-4.989-1.112-8.07-1.166zm-108.088.457c-.684.82-1.374 1.631-2.068 2.416-1.15 1.298-2.65 2.625-4.428 3.984L301.773 156c1.126-1.933 2.255-3.59 3.398-4.892.692-.788 1.41-1.574 2.14-2.356zm-18.691 15.008c-21.913 12.69-58.91 28.307-76.387 49.615-4.496 5.48-8.968 12.61-13.258 20.513 11.695 21.574 24.632 46.159 26.426 68.65 10.533 1.003 18.645 3.475 28.121 7.222 14.283-8.783 28.051-18.484 36.707-27.625 18.949-20.012 29.803-58.673 39.647-82.004zm-144.434 9.66L54.125 155.7c.338 1.23.665 2.456.962 3.672.492 2.011.772 4.39.895 7.059l56.164-13.834c-1.13-2.42-1.987-4.657-2.486-6.666a130.537 130.537 0 0 1-.854-3.7zm12.48 24.99l-63.765 15.707c-2.47 30.135-12.341 77.058-3.34 108.709 3.816 13.419 12.04 29.809 21.42 45.855 17.03-38.834 55.644-66.136 100.57-66.634-.383-3.138-.855-6.128-1.437-8.914-6.729-32.212-37.264-69.183-53.447-94.723zm204.298 55.84c-.35 1.227-.71 2.445-1.088 3.638-.626 1.974-1.623 4.15-2.905 6.495l55.174 17.369c.292-2.656.722-5.013 1.34-6.989.374-1.194.777-2.397 1.193-3.603zm-11.92 22.281c-13.445 18.507-35.494 43.023-49.229 67.598 15.082 18.972 24.108 42.964 24.108 69.023 0 32.424-13.968 61.649-36.198 81.983.084.803.22 2.144.22 2.144l23.685 7.457 23.685 7.455s58.375-66.515 72.807-107.24c10.99-31.017 4.118-78.47 3.564-108.701zm-136.243 43.5c-51.536 0-93.12 41.585-93.12 93.121 0 51.536 41.584 93.121 93.12 93.121 51.537 0 93.122-41.585 93.122-93.12 0-51.537-41.585-93.122-93.122-93.122zm281.088 5.772c-3.844-.034-7.858.731-11.91 2.585-14.646 6.703-31.236 19.472-47.59 29.104l19.889 43.457c17.98-6.08 38.487-10.288 53.133-16.99 18.523-8.477 19.309-31.238 15.07-40.5-3.311-7.236-14.864-17.538-28.592-17.656zm-279.732 7.6c2.665-.019 5.305.374 7.959 1.62 2.653 1.246 5.551 3.673 6.824 7.364 1.899 5.506-.7 10.59-3.4 13.449s-6 4.683-9.791 5.85c-3.79 1.166-7.544 1.502-11.344.728-3.8-.775-8.679-3.087-10.574-8.594-1.896-5.506.705-10.585 3.404-13.443 2.699-2.858 5.996-4.683 9.785-5.85 2.317-.713 4.69-1.108 7.137-1.125zm-44.328 20.015c.337-.006.678-.004 1.025.008h.002c3.132.106 6.956 1.314 9.596 4.459 3.744 4.459 3.14 10.133 1.646 13.77-1.494 3.636-3.919 6.521-7.037 8.97-3.118 2.45-6.5 4.11-10.324 4.752-3.824.641-9.205.236-12.953-4.22v-.003c-3.748-4.458-3.146-10.136-1.652-13.773 1.494-3.638 3.92-6.523 7.039-8.973 3.627-2.848 7.6-4.9 12.658-4.99zm259.234 19.97c-.385 5.798-1.017 11.525-1.984 17.083l8.603 18.802c1.778-1.281 3.45-2.315 4.992-3.025.934-.43 1.888-.845 2.852-1.254zm-219.44 7.647c2.665-.018 5.305.375 7.96 1.621 2.653 1.246 5.55 3.672 6.824 7.363 1.899 5.507-.7 10.59-3.4 13.45-2.7 2.859-6 4.682-9.792 5.85-3.79 1.166-7.543 1.502-11.343.728-3.8-.775-8.679-3.087-10.574-8.594-1.896-5.506.704-10.585 3.404-13.443 2.699-2.858 5.996-4.683 9.785-5.85 2.316-.714 4.69-1.109 7.137-1.125zm212.926 27.072c-2.746 7.713-6.742 15.926-11.455 24.274 5.555-5.649 10.78-10.995 15.506-15.42z"}}]})(props);
};
function GiBowman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M281.28 15.28l-4.655 7.5-56.28 90.44c-7.312-18.505-21.67-30.9-37.126-30.44-.66.02-1.308.06-1.97.126-21.174 2.14-35.927 27.865-32.938 57.47 1.005 9.948 3.91 19.074 8.094 26.718-44.558 1.188-76.495 11.61-92.812 38.25 20.32 19.086 59.816 22.993 91.844 18.625l4.843 3.124.126.094 18.906 51.375-52.78 212.718h34.156l61.125-168.905L332 491.28h33.563L261.438 292.19l97.156 62.53c-.08.262-.17.52-.25.782.173-.202.328-.422.5-.625l6.937 4.47 9 5.78 4.533-9.656c32.03-68.4 40.24-134.49 25.843-192.064l23.938-4.812 6.187 23.812 55.408-46.656-73.875-24.313 7.562 29.032-24.563 4.968C381.796 93.172 343.996 49.38 289.033 19.5l-7.75-4.22zm3.408 29.907c31.818 30.565 54.66 66.986 69.093 106.094l-136.686 21.25c5.196-8.662 8.24-19.857 8.28-32.06l59.314-95.282zm77.5 132.688c13.773 51.64 13.89 106.532 1.562 157.906l-113.625-73.124-4.125-61.72 116.188-23.06z"}}]})(props);
};
function GiBoxCutter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M272.512 128.777l-8.754 8.754 13.804 13.804 8.618-8.618c3.522 3.644 7.022 7.3 10.498 10.974l-8.38 8.38 13.803 13.803 7.91-7.91c56.049 60.807 106.512 125.403 156.901 192.142l-10.87 4.986L292.31 201.358l10.516-4.822-76.074-76.073-10.518 4.82-49.1-49.1-.205-.206-.217-.193c-16.629-14.758-38.932-13.07-54.888-7.049-7.978 3.011-14.679 6.986-19.583 12.089-2.452 2.552-4.657 5.412-5.647 9.655-.99 4.242.609 10.339 4.15 13.595l-.296-.285 54.272 54.272-10.517 4.82 76.073 76.074 10.518-4.82L384.548 397.89 354.75 411.56C241.345 257.947 138.5 201.206 35.151 143.476c-6.146-3.433-9.27-9.698-9.148-19.793.123-10.095 4.3-23.154 12.792-35.54 16.982-24.771 50.207-46.946 99.536-43.62 28.527 1.922 55.925 15.506 83.238 37.04l-6.89 6.89 13.803 13.803 8.075-8.075c4.092 3.682 7.677 6.946 11.167 10.305l-8.506 8.506 13.804 13.803 8.729-8.729c3.914 3.842 7.27 7.198 10.762 10.71zm-3.343 61.711l-54.688 25.066-46.624-46.625 54.688-25.065zM486 422.656l-3.926 45.154-63.878-63.88 33.644-15.434zm-48.882-48.881l-33.646 15.433-163.749-163.75 33.654-15.425zM197.303 133.959l-33.654 15.426-56.026-56.026c2.278-1.95 6.136-4.49 11.093-6.36 11.464-4.326 25.574-4.92 34.948 3.32zm-122.58-28.813c-7.571-7.57-19.846-7.57-27.417.001-7.57 7.571-7.57 19.846 0 27.417 7.57 7.572 19.846 7.572 27.418 0 7.571-7.571 7.571-19.847 0-27.418z"}}]})(props);
};
function GiBoxTrap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.253 280.552l71.99 97.834-166.207 48.293zm.274-37.243L138.877 97.006 21 279.83l107.65 146.3 114.21-177.108zm162.63 9.728l34.46-53.457-38.665 11.226v33.426zm-115.097-2.12l-10.515-4.89-18.56 5.388-7.17 11.126 77.33 105.143 31.99-49.628-20.28-42.88zm45.55-88.33h65.405v27.44l44.9-13.06L342.254 30.566 154.83 85.02l107.712 146.39 77.055-22.45v-46.373zm45.45 86.06v-66.105h-25.507v49.49l-13.533-5.1-34.012 10.277 49.89 22.937 104.62 221.287 24.482-7.11z"}}]})(props);
};
function GiBoxUnpacking (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M61.39 25.39C93.9 58.33 115.8 96.55 133.3 134.5c4.9-12 7.3-22.2 18.9-32.3 47 26.5 60.3 43.3 64.4 80.4h66.8c1.8-36 7.6-56.3 36.5-82.81 15.9 12.41 20 26.91 28.1 40.71 8.5-38.9 37.3-81.28 76.7-101.89-52.5-11.56-108.5-.43-153.3 17.54 9.3 6.39 22.7 11.23 26.9 19.5-19 9.79-39.5 42.35-51.2 69.35-14.1-25.1-43.5-53.44-72-67.64 11.5-11.58 23-15.79 34.5-22.89C176.6 36.1 117.5 27 61.39 25.39zm8.85 175.21l-41.25 110H137.8l41.2-110zm134.76 0l41.2 110H483l-41.2-110zm-22 40.6l-32.8 87.4H73v158h110zm18 0v245.4h238v-158H233.8z"}}]})(props);
};
function GiBoxingGloveSurprise (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M341.8 17.3c-18.3.42-39.5 6.07-53.1 14.34-18.4 11.43-32.1 29.09-38.4 51.59C275.2 93.31 302 116 329.9 154c13.6 18.6 20.4 38.2 21.3 55.7-1.7 19.3-5.2 36.9-19.8 45.9 41.9 25.8 87.3 23.2 119.9 3.6 23-13.8 39.6-36.2 44.3-64.2 4.7-28-2.5-62.1-29.2-99.72-39.1-55.07-85-77.45-124.6-77.98zM221.4 95.69c-12.7-.13-22.5 5.41-30.4 15.21-21.9 27.2-23.2 94.4 23.4 163.5l-15.5 10.5c-17.1-25.3-28.6-50.7-35.2-74.6-15.1 9.7-24.5 21.7-24.6 35.8-.2 21.9 10.3 46.8 27.2 67.6 17 20.8 40.2 37.2 63.4 43.3 11.7 3.1 20.7.5 29.4-6.3 4.2-3.2 8.1-7.5 11.8-12.5-9.7-2.2-19.5-5.6-27.5-11l9.9-14.6c38.9 22.1 77.7 6.2 116.5-22.4-21.6-4.3-43.3-13.9-63.5-29.6-6.2-.7-12.6-2.6-19.1-5.7-18.4-8.7-38.5-26.6-60.5-56.5l15.1-11.1c20.8 28.4 39.3 44 53.4 50.7 14.1 6.7 22.4 5.1 28.2.4 5.8-4.6 9.8-14.4 9.1-27.7-.6-13.4-6.1-29.7-17.7-45.6-29.1-39.7-56.1-60-77.1-66.58-5.5-1.45-11.3-2.74-16.3-2.83zM122.7 292l-17.5 6.5c12.4 34 51.8 60.1 93.2 66-26.3-20.6-63.4-42.7-75.7-72.5zm-36.31 36.4l-17.55 6.4c13.72 37.4 59.96 65.4 105.76 67.2l.8-18.7c-38.3-1.5-79.25-28.3-89.01-54.9zm-36.34 36.3l-17.55 6.4c13.72 37.5 59.96 65.4 105.8 67.3l.8-18.7c-33.8-7.5-77.1-25.8-89.05-55zm-29.57 49v28c21.15 19.1 51.29 31.8 81.52 33l.7-18.7c-30.83-5.9-65.41-19.6-82.22-42.3zm0 66.4v13.6H68.8c-17.68-2.1-34.78-6.6-48.32-13.6z"}}]})(props);
};
function GiBoxingGlove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M141.977 56.943c-.635.004-1.27.02-1.905.053-2.903.145-5.805.58-8.7 1.326-28.33 7.294-56.425 29.248-77.058 57.844-20.632 28.596-33.67 63.593-33.554 95.455.06 16.533 6.94 27.84 18.886 36.927 7.29 5.544 16.59 9.97 27.032 13.23-1.023-14.32-.482-29.776 3.957-42.71l16.844 5.783c-15.886 57.862 18.713 102.134 69.65 142.007-2.305-28.866 2.355-59.986 15.7-91.345-1.265-7.76-1.14-16.392.57-25.664 4.65-25.21 20.01-56.115 49.88-93.414l14.59 11.68c-28.65 35.777-42.302 64.575-46.09 85.122-3.79 20.548 1.342 31.848 10.048 38.176 8.706 6.328 23.24 8.047 40.315 2.526 17.073-5.522 36.13-18.136 52.42-38.405 40.154-49.957 56.8-91.026 58.064-120.484 1.265-29.46-11.115-47.414-32.752-56.937C276.602 59.067 191.21 80.82 119.7 162.938l-14.095-12.272c26.81-30.786 55.632-54.11 84.143-70.29-15.18-14.578-31.464-23.538-47.77-23.433zm230.76 85.89c-.65-.005-1.303.005-1.956.01-3.553 34.283-22.66 75.888-61.65 124.397-18.358 22.844-40.163 37.666-61.237 44.48-21.075 6.816-41.974 5.77-57.053-5.19-2.737-1.99-5.203-4.298-7.387-6.887-20.753 63.805-2.12 122.793 34.906 158.587 25.613 24.76 60.005 38.354 97.472 34.727 37.467-3.627 78.5-24.527 116.943-70.998 84.462-102.102 71.214-199.61 19.823-247.646-21.08-19.702-48.703-31.302-79.862-31.482z"}}]})(props);
};
function GiBoxingRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M80 16H48l96 176c10.6 18.9 174.6 14.1 176 0zm377 184.9l-.1 158H487l.1-158zm-432.01.2v158l30-.1V201.1zM73 217.5v18.1c125.7 12.5 240.5 12.5 366 .1v-18c-125.8 12.5-240.1 12.5-366-.2zm0 48.1v18.1c125.5 12.5 240.4 12.4 366 0v-18.1c-125.8 12.6-240.1 12.6-366 0zM439 313c-126.3 13.1-240.6 13.3-366 1.2v18.2c125.1 12 240.1 11.5 366-1.3zM25 377v110l462 .1.1-110.1z"}}]})(props);
};
function GiBracer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M412.6 27.246c-62.483 12.864-108.973 44.93-148.62 82.2-8.492 8.785-16.66 17.994-24.543 27.56 4.898 1.954 9.432 4.115 13.304 7.09.313-.395.7-.9 1.005-1.286 6.282-7.98 10.457-13.283 13.182-16.123l12.988 12.46c-.528.552-5.826 6.92-12.025 14.796-6.2 7.875-13.92 17.864-21.528 27.89-7.608 10.023-15.113 20.094-20.86 28.094-2.872 4-5.31 7.49-7.062 10.13-1.75 2.64-2.987 5.184-2.582 4.134l-16.793-6.48c1.2-3.11 2.415-4.648 4.375-7.603 1.082-1.63 2.37-3.5 3.774-5.506-3.99-2.19-8.23-4.21-12.563-5.67-11.845 18.36-23.12 37.345-34.032 56.61 4.74.9 9.385 2.15 13.65 4.094.547.25 1.095.51 1.64.785 2.275-3.822 4.35-7.24 6.07-9.948 1.923-3.023 3.048-4.9 4.93-6.988l13.374 12.047c.304-.336-1.358 1.838-3.113 4.598-1.756 2.76-4.004 6.458-6.542 10.745-3.152 5.323-6.773 11.605-10.516 18.203-.92 1.636-1.87 3.322-2.918 5.16-1.333 2.37-2.672 4.758-4.006 7.156-6.112 10.993-12.096 22.043-16.634 30.797-2.27 4.376-4.18 8.187-5.537 11.06-1.358 2.872-2.233 5.552-1.993 4.53l-17.52-4.128c.747-3.167 1.722-4.885 3.237-8.092 1.01-2.133 2.29-4.694 3.677-7.428-.176-.093-.336-.185-.563-.29-1.398-.654-3.906-1.24-7.11-1.456-2.58-.174-5.55-.114-8.714.024-6.96 13.054-13.88 26.046-20.812 38.855 24.224-3.728 49.8.884 72.717 11.266 25.21 11.42 47.412 29.837 61.177 52.778 9.69-11.386 19.125-22.82 28.346-34.295-6.03-7.047-12.925-13.504-20.574-19.506-3.778 5.388-12.217 17.41-12.217 17.41l-14.744-10.328s15.805-22.57 31.834-45.36c8.014-11.396 16.084-22.845 22.27-31.57 3.092-4.363 5.712-8.043 7.632-10.71.96-1.336 1.74-2.415 2.34-3.228.3-.406.554-.742.788-1.047.234-.304.034-.217 1.11-1.293l12.726 12.73c.31-.31.315-.324.395-.41-.113.145-.295.383-.54.714-.517.702-1.273 1.743-2.21 3.044-1.872 2.603-4.478 6.263-7.558 10.608-.47.662-1.203 1.71-1.693 2.402 8.655 6.093 16.436 13.453 22.96 21.498 14.668-19.693 28.886-39.478 42.85-59.322-6.27-7.52-13.506-14.377-21.59-20.72-3.778 5.388-12.22 17.408-12.22 17.408l-14.742-10.327s15.806-22.568 31.834-45.36c8.015-11.395 16.084-22.846 22.27-31.57 3.093-4.364 5.713-8.044 7.633-10.712.96-1.335 1.74-2.412 2.34-3.225.302-.406.552-.742.787-1.047.234-.304.033-.217 1.11-1.293l12.727 12.73c.305-.307.31-.32.39-.407-.112.146-.292.382-.535.71-.52.703-1.275 1.744-2.21 3.045-1.874 2.603-4.48 6.263-7.56 10.608-.47.662-1.203 1.708-1.693 2.4 8.053 5.668 15.35 12.433 21.58 19.826 14.802-21.625 29.52-43.287 44.39-64.95-8.163-14.727-13.61-35.985-17.267-59.9-3.51-22.94-4.823-47.863-3.476-70.616zm-24.935 23.988l.033 12.432c.068 26.335.24 57.675 8.26 81.712l4.045 12.127-12.78-.28c-21.215-.467-41.945-6.482-58.818-14.827-16.872-8.345-30.143-18.334-35.918-30.986l-2.78-6.09 5.032-4.412c21.065-18.48 51.315-35.886 81.126-45.766zm-17.883 25.353c-20.675 8.326-41.308 20.34-56.947 32.725 4.763 5.217 13.01 11.738 23.55 16.95 11.334 5.607 25.01 9.99 38.96 11.904-4.7-20.446-5.428-42.064-5.563-61.58zm-155.35 72.47l-19.294 31.21c8.46 2.03 15.834 5.644 22.017 9.223 2.87-4.034 5.655-7.918 11.22-15.912 3.968-5.703 7.908-11.442 10.737-15.727.11-.165.144-.23.25-.39-2.897-1.764-6.678-3.825-10.644-5.292-5.795-2.144-11.265-2.857-14.287-3.112zm143.58 69.394L338.99 246.3c14.875 11.8 27.542 25.663 36.984 42.082l15.574-23.535c-4.002-15.06-17.05-34.1-33.535-46.394zm-214.28 53.458c-2.03-.036-2.87.123-4.33.203l-17.692 36.36c3.37-.127 6.782-.277 10.246-.043 4.495.304 9.07 1.028 13.52 3.108.237.11.463.28.7.4 2.856-4.895 4.654-7.948 9.272-15.957 3.72-6.452 7.428-12.932 10.15-17.8.505-.906.755-1.39 1.186-2.17-2.534-1.152-6.38-2.25-10.494-2.98-4.125-.734-8.703-1.053-12.56-1.12zm129.925 62.125l-19.023 27.847c14.875 11.8 27.542 25.663 36.984 42.082l15.576-23.537c-4.002-15.06-17.052-34.097-33.537-46.392zM96.634 384.427c-3.352.813-6.633 1.826-9.82 3.06l-8.155 3.153c1.374 45.12 28.474 76.875 60.952 88.8 30.687 11.27 66.89 4.883 89.315-21.724l-3.803-8.79c-1.42-3.28-3.08-6.498-4.943-9.645-16.81 27.018-47.216 33.235-74.363 23.266-27.302-10.025-50.384-36.346-49.183-78.12z"}}]})(props);
};
function GiBracers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M334.557 181.26l7.807 17.594-12.497 13.763-21.31-32 2.373-2.62zM475.2 89.4c-1.13-25.254-3.39-49.626-4.622-62.26-13.04 1.38-38.576 4.193-64.892 7.775-67.514 9.175-80.17 15.14-82.35 16.587l-6.022 7.808c16.7 3.187 37.683 13.785 60.112 30.79l7.91 5.967-46.147 50.847 7.91 17.785 23.4 3.22 42.236-46.564 6.69 7.57c18.214 20.61 30.248 40.44 34.8 56.666l14.17-13.085v-.08l.566-2.18 1.525-1.66c.746-.883 7.864-10.815 4.712-79.187zM121.903 386.4l-7.99 8.802-28.744 31.254c-21.266-16.17-34.825-18.27-37.706-17.084-.61 2.35.554 9.627 8.79 21.977 7.65 11.558 18.87 23.524 31.48 33.693 23.616 19.085 38.735 21.548 41.808 20.27.61-2.35-.554-9.626-8.79-21.976a126.552 126.552 0 0 0-7.73-10.34l25.695-29.083-.226-.27 5.99-6.6-2.87-26.44zm17.163-18.915l-3.118 3.39 3.57.757zm39.062 12.43l26.27-28.994-25.66-27.208-23.436 25.83 2.837 26.08zm-17.436 19.208l3.39-3.728-3.876-.825zm143.253-240.29l13.864-15.29-13.558-30.507a9.042 9.042 0 1 1 16.53-7.333l10.294 23.22 27.38-30.18c-27.12-18.927-46.396-23.627-54.543-22.057l-34.678 44.983 23.73 35.67zM60.322 392.727a90.394 90.394 0 0 1 22.27 10.17l18.87-20.803-7.23-1.548a9.04 9.04 0 1 1 3.774-17.683l17.502 3.74 20.95-23.096-1.865-17.152a9.042 9.042 0 0 1 17.977-1.955l.136 1.2 13.56-14.995-23.493-24.86zM438.07 200.436c1.005-9.163-6.532-28.124-25.763-51.796l-20.226 22.294 22.216 3.062a9.04 9.04 0 0 1-1.243 18 9.164 9.164 0 0 1-1.243-.09l-34.463-4.746-13.717 15.13 13.56 30.677a9.04 9.04 0 1 1-16.52 7.333l-10.362-23.367-10.17 11.21 25.853 38.812zm-239.546 183.85l9.672 2.07a9.04 9.04 0 1 1-3.728 17.67l-19.944-4.26-21.186 23.402 1.684 15.525a9.04 9.04 0 0 1-17.91 2.362l-11.22 12.43a86.18 86.18 0 0 1 9.254 17.547l92.18-85.13-20.463-21.694zM192.592 39.14c-2.26-1.425-14.407-6.555-72.62-10.238-24.045-1.526-47.22-2.26-58.17-2.497-3.39 10.033-10.17 30.97-15.965 52.925-14.96 57.017-8.486 65.988-8.204 66.34l1.413 1.75.418 2.26v.08l301.838 320.018c10.17-21.107 49.57-63.276 89.977-72.316zM366.138 463.81c-9.04 11.762-10.746 18.937-10.294 21.322 2.102 1.05 10.396.632 23.92-5.91l-13.22-15.966zm76.835-48.734c-2.53-1.266-13.988-.418-32.768 10.644l15.582 18.802c2.475-2.69 4.768-5.4 6.86-8.102 9.095-11.785 10.756-18.96 10.315-21.344z"}}]})(props);
};
function GiBrainFreeze (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.97 17.375c-103.018 0-188.532 105.858-188.532 238.813 0 55.877 15.12 106.972 40.28 147.437 42.148 18.042 95.884 27.67 149.75 27.72 51.97.047 103.873-8.805 145.438-25.658 25.932-40.785 41.563-92.667 41.563-149.5 0-132.954-85.484-238.812-188.5-238.812zm1.75 18.75c80.747 0 146.03 65.252 146.03 146s-65.283 146.03-146.03 146.03c-80.75 0-146-65.282-146-146.03s65.25-146 146-146zm-.345 19.563l-4.72 2.718-41.936 24.282 21.968 37.78c-5.85 2.394-11.28 5.59-16.157 9.47l-22-37.875-41.218 23.843-4.687 2.72.03 5.405.157 48.782h43.22c-.424 3.037-.657 6.13-.657 9.282 0 3.196.222 6.33.656 9.406h-43.155l.156 48.156v5.375l4.626 2.69 41.188 24 21.75-37.44c4.876 3.87 10.31 7.053 16.156 9.44L209 281.124l42.375 24.72 4.688 2.75 4.687-2.72 41.97-24.28-22-37.845c5.846-2.382 11.277-5.572 16.155-9.438l22.03 37.907 41.22-23.845 4.656-2.72v-5.405l-.155-48.75h-43.188c.435-3.076.688-6.21.688-9.406 0-3.152-.233-6.246-.656-9.28h43.092l-.156-48.22v-5.344l-4.625-2.688-41.155-24-21.72 37.344c-4.87-3.866-10.285-7.05-16.124-9.437l21.69-37.345-42.408-24.72-4.687-2.718zm-86.22 278.75c18.365 0 33.157 14.84 33.157 33.5s-14.792 33.53-33.156 33.53c-18.364 0-33.125-14.87-33.125-33.53 0-18.66 14.762-33.5 33.126-33.5zm165.532 0c18.365 0 33.125 14.84 33.125 33.5s-14.76 33.53-33.125 33.53c-18.364 0-33.156-14.87-33.156-33.53 0-18.66 14.793-33.5 33.158-33.5zm-208.687 97c11.517 13.484 24.36 25.147 38.22 34.687l-7.095-26.375c-10.68-2.355-21.077-5.124-31.125-8.313zm254.594 1.53c-8.895 2.675-18.044 5.03-27.406 7.063L346.75 464c12.174-8.752 23.526-19.176 33.844-31.03zm-203.03 10.75l9.592 35.782c11.34 5.465 23.184 9.572 35.406 12.188l-5.062-43.125c-13.51-1.048-26.87-2.656-39.938-4.844zm155.217.22c-10.152 1.668-20.503 2.99-30.936 3.968l-4.813 40.813c9.134-2.722 18.008-6.313 26.595-10.658l9.156-34.125zm-49.905 5.343c-9.106.492-18.26.76-27.406.75-6.36-.005-12.72-.128-19.064-.374l5.313 44.844c4.052.333 8.135.53 12.25.53 8.026 0 15.935-.656 23.718-1.905l5.187-43.844z"}}]})(props);
};
function GiBrainLeak (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M305.4 18.57c-7.1.02-14 1.78-19.2 5.53-5.1 3.9-9.2 9.7-12.3 17-9.6 27.56-7.9 53.89-8.1 82.9v.1h-18.7v-.1c-.3-26.58 1.2-60.32-8.1-82.9-3.1-7.3-7.2-13.1-12.3-17-11-6.86-33.9-8.65-44 2.4-3.6 4.3-5.5 10.1-.1 22.2 5.8 8.8 10.4 20.85 14.4 36.37l-18.2 4.66C172.1 63.46 163.7 52.9 158 50.4c-14.6-4.94-39.3 17.69-39 30.32 3.9 14.08 15.3 21.48 28 27.48l-8 16.9c-5.1-2.5-9.6-5-13.7-7.6-14.7-8.1-25.51-11.6-31.31-11.1-13.93 1.5-21.03 32.8-16.2 41.3 2.4 3.9 8.5 8.1 22.91 9.5 4.8-.2 8.6.7 12.8.6l.2 18.7c-4.3 0-8.3-.1-12.1-.4-12.11-.1-19.31.9-22.31 2.4-6.45 5.8-8.37 18.5-5.5 26.3 1.1 2.5 2.6 4.4 6.3 6.4 7.4 4 24.41 6.5 52.61 4.1l1.6 18.6c-21.6 1.8-37.91 1.5-50.41-1.6-1.8 18.5 16.05 26.8 32.91 27.1h103.8c12.1 0 22.6-8.9 26.7-25.1l8-32 10 31.5c5.3 16.6 16.2 25.6 26.9 25.6H396c6.3 0 18.4-3.9 25.6-10.2 4.9-4.6 8.7-10.7 7.5-17.1-12.6 3.3-29.1 3.7-51.4 1.8l1.6-18.6c28.2 2.4 45.1-.1 52.5-4.1 8.1-7.1 10.9-27.8.8-32.7-2.9-1.5-10.2-2.5-22.2-2.4-3.8.3-7.8.4-12.1.4l.2-18.7c4.3-.2 8.8-.5 12.8-.6 14.4-1.4 20.5-5.6 22.8-9.5 5.2-12.8-4.8-40-16.1-41.3-5.8-.5-16.6 3-31.3 11.1-4.1 2.6-8.6 5.1-13.7 7.6l-8-16.9c5.1-2.2 8.7-4.8 13-7.3 11.5-7.69 14.8-14.74 15.1-20.2-1-13.86-25.8-36.2-39-30.3-2 .8-4.3 2.7-6.8 5.9-6.4 10.05-11.6 23.71-14.2 33.41l-18-4.65c4.4-17.34 9.6-30.36 16.3-39.36 3.9-10 2.1-15.3-1.2-19.2-6.2-5.12-15.6-7.96-24.8-7.93zM256 272s-64 80-64 144c0 32 33.8 64 64 64 30.2 0 64-32 64-64 0-64-64-144-64-144z"}}]})(props);
};
function GiBrainStem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M211.563 18.25c-.488.007-.992.037-1.5.063l-.25.03h-.22c-9.283 0-17.057 3.042-20.343 6.876-3.08 3.593-4.738 8.46.063 19.186 5.252 8.088 9.415 19.063 13.03 33.125l-18.093 4.657c-6.1-23.728-13.714-33-18.47-35.093-2.376-1.047-4.654-1.143-8.31-.032-3.66 1.112-8.36 3.675-13.5 7.47-7.858 5.798-12.62 13.214-12.345 19.25.212 4.64 3.06 10.822 13.438 17.75.984.547 1.96 1.082 2.968 1.656l-.093.156c2.512 1.51 5.364 3.062 8.657 4.625l-8.03 16.874c-4.56-2.164-8.668-4.455-12.345-6.844-13.36-7.31-23.12-10.412-28.032-10-2.613.22-4.057.85-6.032 2.813-1.975 1.963-4.286 5.647-6.406 11.562-3.54 9.877-4.03 17.713-1.53 21.78 1.988 3.24 7.208 6.964 20.093 8.25 3.243.073 6.68.21 10.437.376v.095c.35 0 .674.003 1.03 0l.19 18.688c-3.745.035-7.255-.097-10.595-.344-11.04-.077-17.656.83-20.156 2.093-1.55.78-2.033 1.25-2.907 3.03-.875 1.78-1.776 5.05-2.376 9.938-.547 4.472-.156 7.656.72 9.782.875 2.127 2.082 3.65 5.312 5.375 6.457 3.45 21.635 5.8 47.186 3.625l1.594 18.625c-17.282 1.47-30.78 1.482-41.594-.468 4.703 15.06 14.56 21.905 25.72 21.905h94.155c10.546 0 19.79-7.745 23.407-22.125l8.063-32.063 9.906 31.563c4.653 14.806 14.243 22.625 23.53 22.625h94.19c11.196 0 21.038-6.896 25.718-22.063-10.95 2.103-24.684 2.134-42.406.625L367 195.063c25.55 2.175 40.73-.175 47.188-3.625 3.23-1.725 4.436-3.248 5.312-5.375.876-2.126 1.266-5.31.72-9.78-.6-4.888-1.47-8.158-2.345-9.938-.874-1.78-1.36-2.25-2.906-3.03-2.5-1.264-9.116-2.17-20.158-2.095-3.338.246-6.85.378-10.593.343l.155-18.688c.37.003.702 0 1.063 0v-.094c3.754-.165 7.17-.302 10.406-.374 12.892-1.287 18.135-5.01 20.125-8.25 2.498-4.068 2.007-11.904-1.533-21.78-2.12-5.916-4.43-9.6-6.406-11.564-1.974-1.963-3.418-2.593-6.03-2.812-4.932-.413-14.747 2.72-28.188 10.094-3.644 2.358-7.714 4.612-12.218 6.75l-8-16.875c3.277-1.557 6.122-3.092 8.625-4.595l-.095-.188c1.083-.615 2.132-1.195 3.188-1.78 10.228-6.878 13.04-13.013 13.25-17.626.275-6.034-4.52-13.45-12.375-19.25-5.14-3.793-9.812-6.356-13.47-7.468-3.657-1.11-5.965-1.015-8.343.032-1.647.724-3.63 2.344-5.78 5.093-.393.903-.804 1.81-1.25 2.72l-.533-.282c-3.6 5.498-7.486 14.26-10.906 27.563l-18.094-4.657c4.052-15.76 8.777-27.655 14.97-35.936 3.316-8.79 1.733-13.113-1.063-16.375-3.287-3.835-11.03-6.876-20.314-6.876h-.25l-.22-.032c-8.136-.408-13.506 1.53-17.967 4.875-4.463 3.345-8.076 8.497-10.845 15C266.588 51.195 265 69.102 265 82.22v.06l-.156 30.845v.125h-18.688v-.125l-.187-30.844v-.06c0-13.12-1.59-31.025-7.126-44.032-2.77-6.504-6.382-11.656-10.844-15-4.183-3.136-9.13-5.05-16.438-4.938zm44.218 217.906c-7.85 10.703-19.43 17.656-32.75 17.656h-42.936c2.046 4.275 5.368 8.15 10.062 11.75 13.724 10.526 38.908 16.903 64.063 16.782 25.153-.122 50.134-6.77 63.593-17.594 4.192-3.372 7.266-6.975 9.28-10.938h-39.156c-12.98 0-24.2-6.99-32.156-17.656zm23.407 63.03c-8.13 1.216-16.506 1.805-24.875 1.845-8.494.042-16.987-.492-25.25-1.655l.907 17.78h-18.314v18.69h19.28l.94 17.905h43.936l1.094-17.906h19.03l.002-18.688h-17.875l1.125-17.97zm-46.343 73.252l.906 17.656h-15.313v18.687h16.282l.843 16h35.875l.968-16h14.625v-18.686h-13.467l1.093-17.656h-41.812zm3.687 71.03l.814 15.407h-14.5v18.688h15.437l.814 15.437h28.125l.967-15.438h16.563v-18.687h-15.406l.937-15.406h-33.75z"}}]})(props);
};
function GiBrainTentacle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M209.5 18.66c-7.4-.02-14.8 1.93-19.2 6.96-3.1 3.59-4.8 8.46 0 19.19 5.2 8.08 9.3 19.06 12.9 33.12l-17.9 4.66c-6.1-23.73-13.8-33-18.5-35.1-2.4-1.04-4.7-1.14-8.3 0-3.7 1.11-8.4 3.68-13.5 7.47-7.9 5.8-12.6 13.22-12.4 19.25 3.7 12.42 13.1 18.6 25 24.19l-8 16.8c-4.6-2.1-8.7-4.4-12.4-6.8-13.3-7.3-23.1-10.38-28-9.97-2.6.22-4.1.85-6 2.77-2 2-4.4 5.7-6.5 11.6-3.5 9.9-4 17.7-1.5 21.8 2 3.2 7.2 6.9 20.1 8.2 3.3.1 6.7.2 10.4.4v.1h1.1l.2 18.7c-3.8 0-7.3-.1-10.6-.4-11.1-.1-17.7.8-20.2 2.1-1.6.8-2.1 1.3-2.9 3-.9 1.8-1.8 5.1-2.4 10-.6 4.5-.2 7.6.7 9.8.9 2.1 2.1 3.6 5.3 5.3 6.5 3.5 21.7 5.8 47.3 3.7l1.5 18.6c-17.2 1.5-30.7 1.5-41.5-.5 4.7 15.1 14.5 21.9 25.7 21.9h94c10.6 0 19.8-7.7 23.4-22.1l8.1-32.1 9.9 31.6c4.7 14.8 14.2 22.6 23.5 22.6H383c11.2 0 21.1-6.9 25.7-22-10.9 2.1-24.6 2.1-42.4.6l1.6-18.6c25.6 2.1 40.7-.2 47.2-3.7 3.2-1.7 4.4-3.2 5.3-5.3 1.4-6.3 2.1-19.3-4.5-22.8-2.5-1.2-9.1-2.2-20.2-2.1-3.3.3-6.8.4-10.6.4l.2-18.7h1v-.1c3.8-.2 7.2-.3 10.4-.4 12.9-1.3 18.2-5 20.2-8.2 2.5-4.1 2-11.9-1.6-21.8-2.3-6.2-6-13.77-12.4-14.37-17.1 2.07-29.1 9.67-40.4 16.77l-8-16.8c4.4-1.98 7.7-4.22 11.7-6.56 10.2-6.88 13-13.02 13.3-17.63.2-6.03-4.6-13.45-12.4-19.25-5.2-3.79-9.8-6.35-13.5-7.47-3.6-1.11-6-1.01-8.3 0-1.7.72-3.7 2.34-5.8 5.09-5.7 9.01-10.4 21.31-12.7 30l-18.1-4.66c4.1-15.76 8.8-27.65 15-35.93 3.3-8.79 1.7-13.12-1.1-16.38-9.4-7.73-28.3-9.73-38.7-1.99-4.5 3.34-8.1 8.5-10.9 15-5.5 12.97-7.1 30.87-7.1 43.99v.1l-.2 30.79v.1h-18.6v-.1l-.2-30.83v-.1c0-13.12-1.6-31.02-7.2-44.03-2.7-6.5-6.3-11.66-10.8-15-4.5-2.86-12-4.86-19.4-4.88zm47.2 217.94c-7.9 10.7-19.4 17.6-32.8 17.6h-42.8c2 4.3 5.4 8.2 10 11.8 11.8 9 32.1 15 53.6 16.4l-.6.6c-7.9 8.5-33.2 6.5-48 .9-35-12.8-67.9-21.9-101.28-11.1-43.77 17.3-74.86 66.9-65.53 113.1 10.36 51.3 66.85 124.2 121.11 99.8 61.3-27.6 11.4-114.5-25.3-132.1 8.5 23.2 39.8 79.9 11.4 91.9-34.2 14.4-81.56-43.6-69.48-86.9 20.71-57.4 66.08-49.5 99.38-37.5 60.3 21.7 31.2 169.9 95.2 167.1 38.9-1.7 85.4-60.7 48.7-106.3 3.9 28.6-20.4 75.5-42.9 63.4-33.8-18.1 12.2-84.5 43.7-106.6 24.4-17.1 70.6-28.1 89.5-3.7 29.8 38.6-53.2 74.2-27.7 118.3 22.5 39 75.7 47.4 117.6-10.8-29.1 17.4-68.6 25.8-79.6 1.6-14.1-31.1 62.7-35.3 69.1-76 5.8-36.7-18.3-73.9-49.6-93.9-39.9-25.6-109.3 30.9-160.3 7.7 19.7-2.1 37.9-8.1 48.6-16.7 4.2-3.4 7.3-7 9.3-11h-39.2c-12.9 0-24.2-7-32.1-17.6z"}}]})(props);
};
function GiBrain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M241.063 54.406c-2.31.008-4.61.032-6.907.094-1.805.05-3.61.106-5.406.188-8.814 1.567-12.884 5.426-15.094 9.843-2.435 4.87-2.34 11.423.375 17.25 2.717 5.83 7.7 10.596 14.657 12.376 6.958 1.78 16.536.86 29.125-7.187l10.063 15.75c-15.818 10.11-31.124 12.777-43.813 9.53-12.688-3.247-22.103-12.123-26.968-22.563-4.584-9.836-5.426-21.376-1.03-31.624-42.917 6.94-81.777 23.398-111.626 46.562-9.81 10.688-10.77 23.11-6.47 31.594 4.83 9.526 16.21 16.48 38.97 9.28l5.656 17.813c-28.58 9.04-52.137-.588-61.28-18.625-2.23-4.397-3.592-9.156-4.127-14.063-4.814 5.712-9.16 11.658-13 17.844l.126.06c-8.614 19.616-8.81 33.203-5.376 42.032 3.436 8.83 10.635 14.44 21.72 17.532 22.168 6.18 58.065-1.277 83.343-20.156 10.82-8.08 21.077-27.677 21.97-42.875.445-7.6-1.165-13.604-4.345-17.438-3.18-3.834-8.272-6.703-18.813-6.594l-.187-18.686c14.487-.15 26.25 4.754 33.375 13.344 7.124 8.59 9.26 19.652 8.625 30.468-1.27 21.633-12.595 44.172-29.438 56.75-29.876 22.314-69.336 31.606-99.53 23.188-13.988-3.9-26.37-12.386-32.75-25.53-9.546 45.446 4.323 87.66 30.718 116.874 3.45 3.82 7.122 7.43 10.97 10.78-2.754-7.887-4.016-16.1-3.72-24.093.53-14.325 6.082-28.346 17.22-38.03 9.134-7.946 21.752-12.53 36.843-12.5 1.006 0 2.034.018 3.062.06 2.35.1 4.763.304 7.22.626l-2.44 18.532c-15.588-2.048-25.705 1.522-32.436 7.375-6.73 5.854-10.443 14.614-10.813 24.625-.74 20.024 12.07 43.406 39.69 50.188l-.032.188c27.192 5.19 57.536.372 88-18.22.018-.012.043-.017.062-.03 6.34-4.45 9.755-8.808 11.438-12.563 1.985-4.432 1.943-8.292.53-12.438-2.824-8.29-12.94-16.812-22.218-19.187-15.002-3.84-24.532 1.436-29 7.72-4.468 6.28-4.74 12.45 2.156 17.81l-11.47 14.75c-14.187-11.033-15.092-30.487-5.905-43.405 6.892-9.688 18.985-16.326 33.564-16.75.607-.018 1.228-.036 1.844-.03 4.306.03 8.79.622 13.437 1.81 15.505 3.97 29.84 15.277 35.28 31.25 1.416 4.155 2.09 8.69 1.876 13.314 16.71-8.538 34.332-16.12 52.282-21.814 30.156-13.78 43.23-37.938 42.72-58.28-.515-20.493-13.187-37.74-42.376-40.626l1.844-18.594c36.666 3.626 58.462 29.848 59.188 58.75.422 16.84-5.754 34.363-18.188 49.28 16.072-1.8 32.044-1.495 47.53 1.627-3.152-6.472-4.68-13.478-4.467-20.438.677-22.036 19.42-42.593 48.875-42.906 1.963-.022 3.974.053 6.03.218l-1.5 18.625c-24.927-1.998-34.3 11.086-34.718 24.656-.412 13.42 8.545 28.442 34.22 30.436 28.3.25 48.588-15.098 58.53-37.906 13.31-30.536 6.997-76.317-34.844-118.188-.792-.793-1.578-1.593-2.375-2.375-.444 3.792-1.424 7.443-2.842 10.844-7.25 17.39-24.233 29.128-41.875 32.407-24.335 4.522-44.29-5.347-53.5-20.406-9.21-15.057-6.792-36.35 9.78-47.56l10.47 15.5c-8.913 6.028-9.28 14.19-4.313 22.31 4.967 8.122 16.17 15.156 34.156 11.814 11.306-2.102 23.896-11.33 28.03-21.25 2.07-4.96 2.47-9.862.408-15.47-1.675-4.555-5.187-9.764-11.72-15.25l-.187-.155c-27.316-20.587-56.338-35.393-85.75-45.157.018.032.045.06.063.093 6.684 12.22 7.18 26.082 3.063 38.344-8.233 24.525-34.07 43.848-66.032 42.78-6.948-.23-13.56 3.12-19.186 9.657-5.627 6.537-9.735 16.113-10.688 26.313-1.905 20.4 6.923 42.886 41.344 54L277 258.28c-41.083-13.264-56.83-45.546-54.22-73.5 1.307-13.975 6.706-26.962 15.157-36.78 8.452-9.818 20.475-16.603 33.97-16.156 24.04.802 42.323-14.084 47.687-30.063 2.682-7.988 2.335-15.937-1.75-23.405-3.968-7.252-11.83-14.423-25.906-19.656-17.114-2.967-34.16-4.367-50.875-4.314zM342.28 306.344c-41.915 3.41-87.366 23.4-125.28 46.562-55.98 34.198-114.89 26.733-156.688-4.28 16.444 58.844 74.712 70.788 135.5 55.905 6.083-2.285 12.06-6.538 17.157-12.03 7.057-7.607 12.17-17.47 13.78-25.625l18.344 3.625c-2.445 12.383-9.078 24.666-18.406 34.72-8.95 9.645-20.61 17.35-34.094 19.374-6.766 15.07-12.334 29.68-14.594 39.906-3.55 16.06 14.206 22.225 22.156 6.03 19.022-38.743 45.87-73.23 79.406-102.967 26.064-17.153 48.406-38.303 62.72-61.22z","fillRule":"evenodd"}}]})(props);
};
function GiBrainstorm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M209.5 21.094c-.55.008-1.115.033-1.688.062H207.345c-10.422 0-19.238 3.402-23.125 7.938-3.646 4.252-5.472 10.1-.095 22.156 5.748 8.803 10.352 20.848 14.344 36.375l-18.126 4.656c-6.755-26.27-15.17-36.83-20.875-39.343-2.854-1.255-5.655-1.367-9.845-.093s-9.438 4.185-15.156 8.406c-8.817 6.506-14.327 14.915-14 22.03.25 5.477 3.61 12.565 15.25 20.345 1.096.61 2.187 1.205 3.31 1.844l-.093.186c2.797 1.684 5.95 3.396 9.594 5.125l-8.03 16.876c-5.075-2.408-9.628-4.944-13.688-7.594-14.715-8.047-25.54-11.577-31.312-11.093-3.078.257-4.93 1.067-7.25 3.374-2.32 2.306-4.914 6.49-7.28 13.094-3.94 10.99-4.602 19.98-1.595 24.874 2.392 3.895 8.464 8.087 22.844 9.532 3.59.074 7.412.22 11.593.406v.125c.4 0 .776.004 1.187 0l.156 18.688c-4.292.04-8.302-.11-12.094-.407-11.966-.073-19.223.894-22.218 2.406-1.876.947-2.586 1.665-3.625 3.782-1.04 2.116-2.022 5.81-2.69 11.25-.615 5.033-.204 8.733.845 11.28 1.05 2.55 2.562 4.42 6.28 6.407 7.44 3.975 24.322 6.5 52.564 4.095l1.593 18.625c-21.627 1.84-37.814 1.534-50.313-1.563-.853 3.737-.672 6.658.03 9.125.12.412.257.82.407 1.22.012.03.02.062.032.093 1.71 3.198 3.952 5.995 6.874 8.438.018.013.044.017.062.03 7.05 5.22 18.622 8.188 25.47 8.188h103.81c12.11 0 22.62-8.916 26.69-25.092l8.06-32.063 9.94 31.563c5.216 16.602 16.087 25.593 26.843 25.593h103.81c6.26 0 18.37-3.946 25.595-10.25.903-.787 1.747-1.608 2.5-2.436.142-.157.27-.31.406-.47.02-.022.046-.038.064-.06 1.5-1.915 2.716-4 3.75-6.25.126-.346.274-.686.375-1.033.612-2.107.84-4.314.436-6.874-12.646 3.365-29.16 3.74-51.437 1.844l1.592-18.625c28.243 2.404 45.093-.12 52.532-4.094 3.72-1.986 5.232-3.857 6.28-6.405 1.05-2.548 1.492-6.248.876-11.28-.667-5.442-1.68-9.135-2.72-11.25-1.038-2.118-1.748-2.835-3.624-3.782-2.995-1.513-10.252-2.48-22.22-2.407-3.79.296-7.8.447-12.092.406l.187-18.687c.412.004.787 0 1.19 0v-.125c4.18-.185 8-.332 11.592-.406 14.38-1.445 20.452-5.637 22.844-9.53 3.007-4.897 2.345-13.885-1.594-24.876-2.366-6.605-4.992-10.788-7.312-13.094-2.32-2.307-4.172-3.117-7.25-3.375-5.772-.485-16.57 3.045-31.28 11.093-4.066 2.654-8.636 5.18-13.72 7.593l-8-16.875c3.644-1.728 6.797-3.44 9.594-5.124l-.125-.187c1.185-.676 2.343-1.297 3.5-1.94 11.52-7.74 14.843-14.796 15.092-20.25.326-7.115-5.185-15.524-14-22.03-5.718-4.22-10.966-7.132-15.156-8.406-4.19-1.274-6.99-1.162-9.844.093-1.98.872-4.294 2.745-6.75 5.876-.453 1.054-.944 2.124-1.468 3.187l-.594-.28c-4.042 6.21-8.336 15.944-12.094 30.56l-18.094-4.655c4.456-17.33 9.653-30.324 16.375-39.313 3.834-10.083 2.083-15.33-1.25-19.218-3.887-4.536-12.703-7.938-23.125-7.938H308.094c-9.16-.46-15.315 1.746-20.406 5.563-5.092 3.816-9.184 9.628-12.282 16.905-6.195 14.554-7.937 34.38-7.937 48.906v.064l-.19 34.03v.095h-18.686v-.095l-.188-34.03v-.064c0-14.525-1.71-34.35-7.906-48.905-3.098-7.277-7.19-13.09-12.28-16.906-4.775-3.58-10.477-5.75-18.72-5.626zm48.78 239.47c-8.486 12.207-21.288 20.186-36.092 20.186H181.53l98.126 80.625-82.22 1.28 217.408 133.44L342.28 387.78l55.126 4.75-76.03-111.78h-27.657c-14.393 0-26.788-8.02-35.44-20.188z","fillRule":"evenodd"}}]})(props);
};
function GiBranchArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M95.053 18.096l.002.004v-.004h-.002zm.002.004L88.43 75.234l64.943 69.444c22.73-80.96-33.616-62.34-58.318-126.578zM76.307 89.633l-59.713 6.924c73.505 19.88 58.272 84.583 122.982 60.728l-63.27-67.652zm193.775 25.39c-59.893 27.56-58.306 75.928 3.877 110.715 39.215-50.06-20.79-53.14-3.878-110.715zm-103.77 42.375l-13.14 13.29c30.208 29.86 63.767 58.348 98.982 83.347l54.108 81.645 64.763 51.605c2.657-5.314 5.914-9.756 9.95-13.38.516-.465 1.045-.9 1.578-1.33l-42.22-33.643.692-.233c-4.833-14.35-4.43-28.26.516-42.946l-17.71-5.965c-3.46 10.272-5.133 20.8-4.78 31.353l-53.19-80.256-1.43-1.01c-34.845-24.603-68.176-52.88-98.12-82.48zM244.52 301.4c-16.637-.16-33.458 13.866-46.784 44.596 49.157-22.96 48.114 35.165 92.475-4.058-12.595-26.026-29.05-40.376-45.69-40.538zm200.507 43.03l-15.737 27.808 30.877 87.125-89.932-31.867-27.494 13.393 152.524 54.606-50.24-151.066zm-32.426 36.668c-8.966.967-14.955 2.948-19.14 6.71-4.377 3.93-8.102 11.308-10.782 24.27l46.775 16.574-16.853-47.554z"}}]})(props);
};
function GiBrandyBottle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M266.875 24.063c-2.522-.003-5.034.055-7.563.156l-8.718 32.5c3.663 2.907 7.336 5.594 11.03 8.093L246 123.186c-23.23 4.79-42.712 18.31-48.406 39.532-2.364 8.808-1.918 17.855.562 26.468-54.066 17.11-99.966 64.29-117.062 128.03-9.622 35.868-8.768 71.706.53 103.75L82.5 424l2.53 1.875c70.782 52.46 150.308 80.236 240.907 64.313l2.813-.47 2.063-2c23.965-23.08 42.722-53.81 52.312-89.562 17.19-64.1 1.024-128.3-37.72-170.125 6.28-6.01 11.225-13.345 13.564-22.06 5.643-21.047-4.445-42.12-21.814-57.75l15.688-58.44c5.257-.234 10.624-.685 16.094-1.343l8.718-32.53C341.814 35.622 304.71 24.1 266.876 24.062zm11.47 50.624c17.548 8.903 35.742 13.642 55.217 14.907L317.625 149l-1.594 5.97 4.845 3.81c16.433 12.885 23.708 28.638 20.03 42.345-1.937 7.223-6.92 13.34-14.5 18.313l-9.905 6.53 8.656 8.126c26.297 24.67 42.998 60.937 45.72 101.125h-32.688l-8.157 30.436-2.124 7.844-8-1.406c-7.09-1.26-12.636-.398-17.187 2.094-4.553 2.49-8.465 6.782-11.44 14.03l-2.967 7.22-7.532-2L180.314 366.5l-7.938-2.125 1.53-8.063c1.475-7.82-1.11-15.543-6.374-21.093H96.126c.833-4.38 1.82-8.763 3-13.158 16.49-61.473 62.41-105.173 113.594-117.562l11.53-2.78-5.406-10.564c-4.1-7.998-5.22-16.137-3.22-23.594 3.725-13.88 18.204-24.22 39.126-27.03l6.188-.845 1.593-6 15.814-59zm-62.22 186.688c-7.797 13.166-22.23 21.34-37.563 21.188l-8.718 32.406c13.257 7.37 21.91 21.207 22.156 36.342l86.375 23.125c4.037-6.84 9.4-12.254 15.844-15.78 6.232-3.413 13.287-4.913 20.624-4.782l8.75-32.656c-12.928-7.65-21.025-21.7-21.188-36.72l-86.28-23.125z"}}]})(props);
};
function GiBrasero (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246 17.85C229.7 66.3 146.1 103 208.9 165.2c-30.3 61-84.2-16.6-83.3-84.8-25 51.6-73.09 114.7-32.26 177.2 32.46 6.9 65.66 11.7 98.96 14.5 3.8-20.8-4.7-39.8-9.4-59.1 22.3 13 40.3 17.8 49.8 39 3.8-26.6-5.8-59.6 19.3-80-.6 24.6 8.1 47.9 20.6 49.4 34 4.1 33.9-49.8 50.2-75.3-6.8 45 26.3 95.4-9.6 127.4 38-2.5 74.6-7.8 108.7-15.9 30.1-28.1.3-70.1 19.1-105-22.8 22-27 37.1-63 34.9 20-46.2-5.9-104.2-66.3-142.09 0 0 8.7 35.02-3.8 39.23-28.7 9.72-59.2-32.04-61.9-66.79zm186.5 29.68c3.4 30.74 2 61.47-7.4 92.17 0 0 24.3-17.3 27.1-30.7 4.4-21.02-19.7-61.47-19.7-61.47zM74.77 271.8c1.06 3.8 2.61 7.7 4.61 11.5L64 460.1l16 8 45.8-137.3c4.7 3.3 9.7 6.5 14.8 9.7 28.2 17 61.1 29.6 88.1 35.3L240 494.1h32l11.3-118.3c27-5.7 59.9-18.3 88.1-35.3 5.1-3.2 10.1-6.4 14.8-9.7L432 468.1l16-8-15.4-176.8c1.9-3.7 3.4-7.3 4.5-10.9-108 27.9-241.1 27.6-362.33-.6z"}}]})(props);
};
function GiBrassEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.295 19.137C174.005 18.97 94.94 61.107 51.33 136.643c-64.91 112.426-26.51 255.934 85.918 320.843 112.427 64.91 255.91 26.41 320.818-86.015 64.91-112.426 26.474-255.873-85.953-320.783-36.89-21.298-77.12-31.47-116.818-31.55zm72.264 104.44c23.888.1 47.577 6.047 69.118 18.476 72.557 41.867 93.585 141.627 46.838 222.55C396.77 445.52 299.768 477.276 227.21 435.41c-72.556-41.867-93.54-141.7-46.794-222.62 32.87-56.9 90.563-89.453 147.143-89.214zm69.854 42.398c13.708 22.326 19.042 51.598 15.473 82.795-6.7-12.15-16.443-22.473-28.955-29.676-40.07-23.07-93.725-5.624-119.54 38.965-25.818 44.586-14.2 99.74 25.872 122.807 10.52 6.057 21.984 9.31 33.634 10.014-36.447 22.57-77.037 27.46-108.996 9.016-1.976-1.14-3.884-2.363-5.738-3.646 8.023 8.542 17.338 16.016 27.9 22.11 64.273 37.087 149.69 9.063 191.098-62.618 39.038-67.578 24.853-149.527-30.748-189.767zm-53.11 62.04c10.274.123 20.466 2.733 29.776 8.092 31.778 18.295 40.878 61.486 20.404 96.846-20.473 35.36-62.59 49.197-94.37 30.902-27.558-15.865-38.003-50.53-26.94-82.52 4.262 16.973 19.722 29.677 37.957 29.677 21.485 0 39.085-17.632 39.085-39.11 0-19.34-14.273-35.523-32.803-38.552 8.006-3.33 16.43-5.157 24.838-5.327.685-.013 1.37-.016 2.055-.007z"}}]})(props);
};
function GiBrassKnuckles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M88.38 188.7c-31.81 31.8-31.96 83.6-.24 115.3.28.3.58.5.86.8-14.1 3.4-27.48 10.5-38.46 21.5-31.81 31.8-31.96 83.7-.23 115.4 31.72 31.7 83.59 31.6 115.39-.3 12.8-12.8 20.5-29 23-45.7 6.4 8.1 9.7 15 11.3 20.9 2.1 8.1 1.2 14.5-.9 20.8-2.1 6.3-5.5 12-8.4 18.4-1.4 3.2-2.7 6.6-2.9 11.2-.2 4.5 1.8 10.2 5.4 13.8 5.5 5.5 13.3 5.2 18.7 3.6 5.4-1.5 10.6-4.3 16.2-7.9 11.4-7.2 24.8-18 39.5-31 29.3-25.9 63.4-60 90.7-87.2 27.2-27.3 61.3-61.4 87.2-90.7 13-14.7 23.8-28.1 31-39.5 3.6-5.7 6.4-10.8 7.9-16.2 1.6-5.4 1.9-13.2-3.6-18.7-3.6-3.6-9.3-5.6-13.8-5.4-4.6.2-8 1.5-11.2 2.9-6.4 2.8-12.1 6.3-18.4 8.4-6.3 2.1-12.7 3-20.8.9-5.9-1.6-12.8-4.9-20.9-11.3 16.7-2.5 32.9-10.2 45.7-23 31.9-31.8 32-83.67.3-115.4-31.7-31.72-83.6-31.58-115.4.24-11 10.98-18.1 24.36-21.5 38.46-.3-.28-.5-.58-.8-.86-31.7-31.72-83.5-31.57-115.3.24-21.5 21.42-28.5 51.92-21.1 79.22-27.3-7.4-57.8-.4-79.22 21.1zM103.7 204c23.6-23.6 61.3-23.7 84.7-.3 23.4 23.4 23.4 61.2-.2 84.8-23.6 23.6-61.3 23.6-84.7.2-23.45-23.4-23.38-61.2.2-84.7zM204 103.7c23.5-23.58 61.3-23.65 84.7-.2 23.4 23.4 23.3 61.1-.2 84.7-23.6 23.6-61.4 23.6-84.8.2-23.4-23.4-23.3-61.1.3-84.7zM65.85 341.6c23.58-23.5 61.35-23.6 84.75-.2 23.4 23.4 23.3 61.2-.2 84.7-23.6 23.6-61.37 23.7-84.78.3-23.41-23.4-23.34-61.2.23-84.8zM341.6 65.85c23.6-23.57 61.4-23.64 84.8-.23s23.3 61.18-.3 84.78c-23.5 23.5-61.3 23.6-84.7.2-23.5-27.8-17.5-65.89.2-84.75zm-117 158.75c27.3 7.3 57.8.3 79.2-21.1 4.9-4.9 9-10.3 12.4-16 33.2 12.8 52.9 30.1 57.9 50 5.5 21.9-5.2 52.3-44.8 91.8-39.5 39.6-69.9 50.3-91.8 44.8-19.9-5-37.3-24.7-50-57.9 5.7-3.4 11.1-7.5 16-12.4 21.4-21.4 28.4-51.9 21.1-79.2z"}}]})(props);
};
function GiBrazilFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 102L20 256l236 154 236-154-236-154zm0 54a100 100 0 0 1 100 100 100 100 0 0 1-.504 10.014c-48.123-36.173-110.506-57.542-168.914-56.409-6.632.13-13.207.566-19.709 1.286A100 100 0 0 1 256 156zm-65.568 71.73c55.59.133 116.403 22.059 161.045 57.979A100 100 0 0 1 256 356a100 100 0 0 1-100-100 100 100 0 0 1 3.545-25.943c10.012-1.593 20.354-2.352 30.887-2.327z"}}]})(props);
};
function GiBrazil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M292.8 41.71c16.1 58.89 125.3 78.19 197.9 116.19 1.6 35.2-14.4 72.6-56.7 102.3 2.9 70.2-41.8 110.2-114.3 132.4-.3 33.2-12.7 64-47.3 90.3l-59-36.4 47.4-34.2c-1.8-25.6-9.6-52.3-55-67.3l-26.3-93.2c-54.5-10.4-51.9-31.3-56.3-50.9l-64.93 20.4c-49.154-31-51.902-75.4 6.26-83.4l6.99-72.78 51.18 9.12L133 37.03l49.6-7.9 20.7 37.33z"}}]})(props);
};
function GiBreadSlice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M233.2 25.36c-57-.02-109.1.58-119.7 2.23C61.74 35.66 35.44 154.9 80.21 155.9c-20.75 110.9-24.36 222.6-17.9 332.9 105.49 6.7 281.39 13.4 386.89 2.2 3.5-107.7 4.3-217.4-30.8-328.5 53.3-9.6 20.4-131.04-18.8-134.9-11.8-1.16-93.2-2.22-166.4-2.24zM126.6 57.8c1.5-.09 3.2.56 4.7 2.21 6.1 6.68 5.3 23.36 0 24.89-3.4.93-10.8-6.89-12.1-13.01-1.4-6.86 2.7-13.82 7.4-14.09zm201.5 31.11c5.7.25 11.9 12.69 10.3 19.89-1.3 5.3-8.7 8.4-12.1 5.3-5.3-4.9-6.1-22.06 0-24.86.6-.25 1.2-.36 1.8-.33zm83.2 35.99c3.8 0 5 6 1.8 10.7-5.3 7.7-20.9 15.6-22.1 10.1-1.2-5.4 12.8-19.4 19.5-20.7.3-.1.5-.1.8-.1zm-252.5 15.3c.8 0 1.5.1 2.3.4 7.6 2.9 15.2 17.4 9.5 21-5.7 3.5-19.5-6.8-20.7-13.9-.5-3.7 3.8-7.3 8.2-7.5h.7zm76.6 54.8c.5 0 1 .1 1.4.3 6.1 2.8 5.3 20 0 24.9-3.4 3.1-10.8 0-12.1-5.3-1.6-7.2 4.6-19.7 10.3-19.9h.4zm136.9 9.4c.5 0 1 .1 1.5.4 5.2 3.5 4.5 25.2 0 31.4-2.8 3.9-9.1 0-10.1-6.7-1.5-9.2 3.8-24.8 8.6-25.1zm-196.7 51.5c.4 0 .9.1 1.3.3 6.1 2.8 5.3 20 0 24.9-3.4 3.1-10.8 0-12.1-5.3-1.6-7.2 4.6-19.7 10.3-19.9h.5zm227.1 28.9c6.5.1 15.6 12.5 14.8 19.3-.6 4.5-8.3 6.9-12.7 3.7-6.5-4.9-9.8-20.9-3.4-22.8.4-.1.8-.2 1.3-.2zm-103.9 9.9c7.3.1 17.6 9.2 17.7 15.2 0 4.3-8.2 8-13.5 5.8-8-3.3-13.9-17.6-7.1-20.5.9-.4 1.9-.5 2.9-.5zm-166.3 46c2.4-.1 4.4.3 5.5 1.2 4.1 3.6-10.2 13.5-19.4 14.5-6.1.5-11-4-8.1-7.5 3.3-3.9 14.7-8 22-8.2zm149.7 49.2c4.4.3 9.2 14.5 7.9 22.8-1 6-6.6 9.6-9.2 6-4-5.6-4.6-25.2 0-28.4.4-.3.9-.4 1.3-.4zm-173.9 44.3c1.5 0 2.9.4 3.8 1.6 4 5.4-5 20.1-12 21.9-4.43 1.1-9.45-5.2-8.05-10.5 1.77-6.2 10.55-12.9 16.25-13zm316.2 5.6h.6c5.4 0 4.5 16.9-.6 24.9-3.4 5.2-10.8 6.8-12.1 2.3-1.8-6.9 6-26.1 12.1-27.2z"}}]})(props);
};
function GiBread (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M439.037 70.988c-.863.015-1.87.09-3.025.256-4.62.668-11.12 2.598-18.8 5.764-15.356 6.332-35.49 17.488-58.085 32.056-10.66 6.874-21.892 14.53-33.48 22.78 10.542 1.434 21.866 4.025 32.61 7.295 13.316 4.05 25.552 8.98 34.42 14.663 4.432 2.842 8.204 5.667 10.84 10.35 1.316 2.34 2.297 5.443 1.917 8.794-.38 3.352-2.178 6.43-4.3 8.51-8.985 8.797-21.99 10.87-35.734 10.88-13.745.01-28.705-2.57-42.283-6.702-13.578-4.132-25.66-9.55-34.033-16.967-1.918-1.698-3.696-3.562-5.182-5.647-12.937 10.092-26.03 20.69-39.058 31.636 13.723 1.595 30.11 5.017 45.906 9.217 15.972 4.247 31.2 9.237 42.393 14.174 5.595 2.468 10.117 4.77 13.834 7.762 1.858 1.494 3.706 3.09 5.08 6.24 1.373 3.147.824 8.837-1.67 11.794l-.063.074-.064.072c-9.658 10.965-24.988 14.673-41.48 15.645-16.493.97-34.706-1.22-51.31-5.46-16.602-4.24-31.486-10.272-41.71-18.745-3.056-2.533-5.797-5.367-7.832-8.655-11.588 10.454-22.92 21.07-33.858 31.705 3.804.238 7.784.764 11.934 1.514 13.726 2.48 29.222 7.414 43.584 13.4 14.362 5.984 27.44 12.87 36.582 20.155 4.57 3.642 8.357 7.21 10.637 12.444 1.14 2.617 1.822 5.92 1.12 9.33-.705 3.412-2.815 6.448-5.245 8.46-10.528 8.725-25.07 9.825-40.282 8.405-15.21-1.42-31.55-5.902-46.17-11.995-14.62-6.092-27.44-13.526-35.783-22.62-2.49-2.712-4.678-5.668-6.158-8.98-12.3 12.98-23.7 25.79-33.927 38.192 2.974 1.324 6.326 2.778 10.225 4.416 10.34 4.345 23.245 9.548 35.516 14.53 12.27 4.98 23.877 9.728 31.904 13.294 4.013 1.784 6.97 3.142 9.402 4.598.608.364 1.188.723 1.944 1.328.755.605 2.044.798 3.318 4.643.637 1.922.535 5.66-1.16 8.107-1.435 2.072-2.972 2.808-4.147 3.244-9.86 8.365-23.137 10.813-36.383 10.158-14.2-.7-28.93-4.89-41.896-10.94-12.967-6.05-24.194-13.735-31.11-23.372-.09-.125-.173-.257-.26-.383-1.19 1.71-2.36 3.41-3.484 5.092-13.493 20.18-22.052 38.325-24.396 51.848-2.266 13.074-.056 20.56 8.332 26.537 27.173 9.512 68.542-3.463 113.99-32.473 46-29.36 95.61-73.934 139.207-121.496 43.6-47.562 81.272-98.21 103.74-139.24 11.235-20.515 18.607-38.696 21.18-52.12 1.287-6.714 1.34-12.173.547-15.96-.76-3.624-2.037-5.587-4.006-7.15-.15-.068-.588-.24-1.63-.362-.577-.067-1.296-.112-2.16-.098zM309.3 148.638c-2.248.014-4.24.143-5.882.378-.615.087-1.15.2-1.645.318-1.166.877-2.333 1.76-3.503 2.646.392.687 1.174 1.82 2.746 3.213 4.83 4.278 15.34 9.57 27.34 13.223 12.003 3.652 25.61 5.93 37.03 5.922 8.56-.006 15.623-1.592 19.878-3.613-.705-.58-1.298-1.125-2.3-1.768-6.332-4.058-17.682-8.866-29.946-12.598-12.265-3.733-25.61-6.527-36.29-7.42-2.672-.22-5.178-.32-7.427-.303zm-79.116 63.08c-1.102.005-2.105.042-2.996.108-1.53.114-2.527.43-3.11.625l-1.197 1.05c-.515.858-.555 1.393-.413 2.023.225 1 1.515 3.343 4.78 6.047 6.526 5.41 19.736 11.35 34.677 15.166 14.94 3.816 31.724 5.76 45.797 4.93 9.23-.544 16.816-2.534 22.28-5.12-1.302-.668-2.52-1.323-4.12-2.03-9.73-4.29-24.446-9.178-39.755-13.248-15.31-4.07-31.336-7.372-43.785-8.788-3.113-.353-6.01-.583-8.574-.69-1.283-.055-2.48-.08-3.582-.073zm-60.93 64.622c-.52.004-1.02.02-1.496.043-3.812.194-5.854 1.242-5.852 1.24-2.023 1.676-1.628 1.627-1.578 2.225.05.597.81 2.758 3.38 5.558 5.14 5.6 16.37 12.726 29.444 18.174 13.074 5.448 28.073 9.49 40.92 10.688 10.977 1.024 19.784-.492 24.715-3.026-.896-1.007-2.168-2.29-3.834-3.617-6.77-5.395-18.957-12.064-32.29-17.62-13.33-5.555-27.958-10.148-39.86-12.298-5.208-.94-9.903-1.398-13.55-1.367zm-68.772 65.744c.314 1.124.86 2.463 2.116 4.21 3.898 5.432 13.047 12.403 24.097 17.56 11.05 5.156 23.983 8.722 35.176 9.275 4.2.206 7.93-.144 11.382-.755-7.07-3.01-14.585-6.175-23.92-9.965-12.24-4.97-25.176-10.182-35.717-14.61-5.057-2.126-9.463-4.037-13.133-5.716zm92.657 21.596c-.023 0-.1.026-.122.027l.625.033c-.062-.003-.165-.072-.504-.06z"}}]})(props);
};
function GiBreakingChain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64.746 18l20.988 21a33 33 0 0 1-15.42 55.27l18.48 18.48A57 57 0 0 0 102.706 22l-4.002-4H64.746zM52.395 28.39A56.82 56.82 0 0 0 38.485 119l88 87.94a79.82 79.82 0 0 1 7.51-26.33L55.454 102a32.87 32.87 0 0 1 .06-46.48A29.53 29.53 0 0 1 70.876 47l-18.48-18.61zm82.47 25.78c.254 2.307.4 4.64.44 7a73.06 73.06 0 0 1-3.58 23.83l72.82 72.82a33 33 0 0 1-22.55 56.18 24.19 24.19 0 0 0 7.06 18.77l4 4a57 57 0 0 0 28.49-96l-86.68-86.6zm136.649 24.892l-.92 48.862 23.996.453.92-48.861-23.996-.454zm81.998 11.493l-27.662 45.174 20.468 12.533 27.66-45.174-20.466-12.533zm60.017 53.888l-44.71 20.744 10.1 21.772 44.712-20.744-10.102-21.772zM180.895 156.85a63.6 63.6 0 0 0-16.23 9.92 61.718 61.718 0 0 0-4.06 3.71 64.09 64.09 0 0 0-4.28 85.78 65 65 0 0 0 4.4 4.87l92.15 92.15a64.41 64.41 0 0 0 13.71 10.45 73.23 73.23 0 0 1-6.59-37.35l-82.27-82.27a40.9 40.9 0 0 1-2.76-3 39.461 39.461 0 0 1-2.39-3.25 40 40 0 0 1 5-50.41c.8-.8 1.63-1.55 2.48-2.26a40 40 0 0 1 17.46-8.55 16.78 16.78 0 0 0-4.33-7.5l-12.29-12.29zm71.34 7.78a73.52 73.52 0 0 1 1.25 26l17.39 6.37a12 12 0 1 0 8.27-22.49v.03l-26.91-9.91zm137.71 52.036l-.728 23.988 45.638 1.387.729-23.988-45.639-1.387zm-61.148 10.85a12 12 0 0 0-11.332 16.064l18.37 50.52a40.19 40.19 0 0 1-9.44 42.08l-.09.09a40.41 40.41 0 0 1-7.56 5.94 16.73 16.73 0 0 0 1.91 2.31l15.14 15.14a64.81 64.81 0 0 0 7.48-6.42l.09-.09a64.27 64.27 0 0 0 15-67.28l-18.42-50.57a11.94 11.94 0 0 0-2.47-4.05 12.07 12.07 0 0 0-7.48-3.67 12 12 0 0 0-1.198-.064zm-15.442 51.734a57 57 0 0 0-20.85 93.75l4.29 4.29 81 81a77.08 77.08 0 0 1 3.14-30.7v-.05l-52.29-52.29-19.22-19.22a33 33 0 0 1 11-53.85c0-.1-.06-.21-.1-.31l.25.25c.66-.26 1.33-.5 2-.72a.93.93 0 0 0 0-.22c-.42.14-.85.27-1.27.42-.1-.6-.31-1.31-.54-1.97l-7.41-20.38zm64.13 17.5l-.06.06a79.64 79.64 0 0 1 .73 11.37 94 94 0 0 1-.75 10.29 80.74 80.74 0 0 1-2 10.14l52.29 52.29 30.91 30.91a33 33 0 0 1-15.42 55.29l18.48 18.48a57 57 0 0 0 13.91-90.74l-17.09-17.09-81-81zm45.03 101.6a55 55 0 0 0-13.85 10.19 57.05 57.05 0 0 0-.06 80.55l4.9 4.91h33.915l-21.875-21.88a33 33 0 0 1 15.45-55.29l-18.48-18.48z"}}]})(props);
};
function GiBreastplate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M324.344 67.25c-44.475 19.314-91.03 25.953-136.656 1.938v39.53c45.86 22.493 90.487 21.026 136.656-.28V67.25zM133.72 74.22c-6.81.035-13.448.378-19.876 1-3.125 24.06 6.117 52.095 24.625 73.78 7.23-4.935 13.748-10.28 19.53-15.72-6.15-19.57-10.293-38.917-11.625-58.718-2.14-.095-4.324-.27-6.438-.312-2.082-.04-4.165-.042-6.218-.03zm245.343 0c-2.054-.012-4.136-.01-6.22.03-2.107.042-4.27.218-6.406.313-1.33 19.8-5.475 39.148-11.625 58.718 5.783 5.44 12.3 10.785 19.532 15.72 18.507-21.685 27.75-49.72 24.625-73.78-6.442-.624-13.086-.965-19.908-1zM94.75 78.062c-13.698 2.862-26.024 7.367-36.406 13.593-.193 29.268 13.016 59.952 33.156 77.22l-1.22 1.405c11.587-2.66 22.214-6.694 31.876-11.624-19.18-23.47-29.492-52.762-27.406-80.594zm323.313 0c2.086 27.83-8.227 57.123-27.407 80.593 9.663 4.93 20.29 8.964 31.875 11.625l-1.217-1.405c20.146-17.273 33.33-47.973 33.125-77.25-10.376-6.215-22.686-10.704-36.375-13.563zm-377.657 28c-13.318 14.436-20.88 34.407-20.53 62.406 17.887 4.688 34.462 6.026 49.686 4.936-16.07-18.11-26.396-42.29-29.156-67.344zm432 0c-2.76 25.052-13.084 49.234-29.156 67.343 15.225 1.09 31.8-.248 49.688-4.937.35-28-7.214-47.97-20.532-62.407zm-133.72 16.406l-.873.436c-24.024 11.837-48.424 18.767-72.907 20.28v214.095c73.59-26.01 122.813-81.045 122.813-144.25 0-13.11-2.14-25.886-6.158-38.155-17.663-9.017-32.466-20.5-44-32.063l-4.093-4.093 1.842-5.47c1.205-3.623 2.32-7.217 3.375-10.78zm-164.436.436c1.018 3.422 2.094 6.87 3.25 10.344l1.813 5.47-4.063 4.093c-12.424 12.456-28.62 24.84-48.125 34.125-3.644 11.637-5.563 23.723-5.563 36.093 0 63.404 50.45 118.71 124.657 144.595V143.28c-24.095-1.254-48.185-7.88-71.97-20.374zM157 326.72c-5.933 4.816-11.396 9.827-16.5 15 22.033 17.485 50.57 35.567 79.5 43.374 5.045-5.72 10.61-11.164 16.78-16.313L157 326.72zm197.906 0l-79.78 42.06c6.348 5.3 12.058 10.913 17.218 16.814 29.006-7.38 57.734-25.302 80.062-42.844-5.387-5.534-11.177-10.898-17.5-16.03zm-226.97 28.905c-6.25 7.537-11.945 15.36-17.25 23.375 23.228 18.444 53.698 37.554 84.25 44.594 3.68-7.79 7.9-15.355 12.783-22.594-30.46-9.71-58.2-28.08-79.782-45.375zm256.97 1.094c-21.83 17.33-49.757 35.53-80.312 44.874 4.804 7.193 8.967 14.706 12.594 22.437 30.588-6.498 61.223-25.386 84.78-43.874-5.26-8.024-10.874-15.883-17.062-23.437zM100.72 394.936c-5.853 9.823-11.394 19.87-16.97 30.032 28.236 27.185 59.256 42.295 95.28 45.78 2.33-10.074 5.165-19.994 8.657-29.656-33.072-8.298-63.446-27.63-86.968-46.156zm311.186 1.22c-23.8 18.54-54.345 37.583-87.5 45.406 3.415 9.513 6.18 19.277 8.47 29.187 36.024-3.485 67.044-18.595 95.28-45.78-5.346-9.746-10.664-19.378-16.25-28.814z"}}]})(props);
};
function GiBrickPile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M233.986 85.262l-63.37 21.11L334.32 160.9l63.373-21.11-163.707-54.53zm-82.85 33.593v58.088l174.184 58.02v-58.086l-174.183-58.022zm-18 50.215l-53.71 17.89 162.63 54.175 22.417-7.467-125.18-41.7a9 9 0 0 1-6.156-8.536V169.07zm-73.19 30.375v58.088l122.286 40.733v-30.71a9 9 0 0 1 .018-.357 9 9 0 0 1 .01-.192 9 9 0 0 1 .07-.697 9 9 0 0 1 .03-.205 9 9 0 0 1 .134-.66 9 9 0 0 1 .06-.236 9 9 0 0 1 .19-.616 9 9 0 0 1 .092-.248 9 9 0 0 1 .238-.567 9 9 0 0 1 .135-.282 9 9 0 0 1 .265-.488 9 9 0 0 1 .197-.32 9 9 0 0 1 .28-.41 9 9 0 0 1 .26-.342 9 9 0 0 1 .288-.344 9 9 0 0 1 .318-.342 9 9 0 0 1 .3-.29 9 9 0 0 1 .374-.33 9 9 0 0 1 .3-.237 9 9 0 0 1 .438-.315 9 9 0 0 1 .286-.182 9 9 0 0 1 .502-.29 9 9 0 0 1 .26-.133 9 9 0 0 1 .59-.262 9 9 0 0 1 .21-.082 9 9 0 0 1 .317-.122l25.18-8.387-153.628-51.175zm364.847 27.352l-87.63 29.19a9 9 0 0 1-.247.07 9 9 0 0 1-.355.1 9 9 0 0 1-.443.1 9 9 0 0 1-.47.085 9 9 0 0 1-.4.05 9 9 0 0 1-.49.038 9 9 0 0 1-.423.007 9 9 0 0 1-.48-.01 9 9 0 0 1-.397-.03 9 9 0 0 1-.504-.06 9 9 0 0 1-.38-.07 9 9 0 0 1-.52-.117 9 9 0 0 1-.31-.087 9 9 0 0 1-.268-.077l-38.526-12.834-73.23 24.395 63.368 21.11 163.707-54.532-22.002-7.328zm-224.56 53.242v58.085l73.85 24.602v-36.225l.005.002V304.63l-2.752-.915-.014.004-71.09-23.68zm-85.174 14.82L58.57 313.68l63.373 21.11 56.485-18.817-63.37-21.11zM39.095 326.17v58.088l73.85 24.6v-58.088l-73.85-24.6zm390.207 9.816l-63.375 21.112 36.283 12.086 63.374-21.112-36.28-12.086zM219.03 363.36v21.86l174.183 58.022v-58.088L337.45 366.58l-51.516 17.162a9 9 0 0 1-.19.053 9 9 0 0 1-.467.133 9 9 0 0 1-.332.074 9 9 0 0 1-.588.107 9 9 0 0 1-.253.03 9 9 0 0 1-.674.053 9 9 0 0 1-.196.004 9 9 0 0 1-.693-.013 9 9 0 0 1-.206-.016 9 9 0 0 1-.723-.09 9 9 0 0 1-.122-.02 9 9 0 0 1-.795-.18 9 9 0 0 1-.025-.007 9 9 0 0 1-.432-.122l-61.207-20.39z"}}]})(props);
};
function GiBrickWall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M494 18.02l-101 .103V119h101zm-119 .12l-238 .247V119h238zm-256 .266L18 18.51V119h101zM18 137v110h229V137zm247 0v110h229V137zM18 265v110h101V265zm119 0v110h238V265zm256 0v110h101V265zM18 393v100.98l229-.236V393zm247 0v100.727l229-.237V393z"}}]})(props);
};
function GiBridge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.063 18.25L209.97 140c-49.033 13.39-90.27 48.118-114.876 94.594h-56.25v93.125h112.5c3.17-59.343 48.313-106.44 103.72-106.44 55.404 0 100.547 47.1 103.717 106.44h112.5v-93.126h-56.25c-24.6-46.47-65.85-81.2-114.874-94.594L255.063 18.25zM38.843 344.313v150.25H151.47v-150.25H38.843zm319.813 0v150.25H471.28v-150.25H358.657z"}}]})(props);
};
function GiBriefcase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M224.05 95.703c-7.08-.04-11.694 4.704-14.484 8.793-2.79 4.09-4.604 8.582-6.086 12.932-1.16 3.41-2.072 6.75-2.76 9.572h18.63c.357-1.242.74-2.505 1.17-3.77 1.185-3.48 2.706-6.816 3.916-8.59.498-.73.652-.846.712-.93l61.676.337c.063.084.25.225.764.97 1.208 1.755 2.72 5.04 3.904 8.467.407 1.18.768 2.356 1.11 3.516h18.656c-.69-2.773-1.597-6.045-2.75-9.387-1.484-4.3-3.304-8.75-6.096-12.804-2.792-4.055-7.357-8.72-14.363-8.757l-64-.35zM96 145c-5 0-11.05 2.777-15.637 7.363C75.777 156.95 73 163 73 168v21.275L132.816 279h12.758v-16h50v16H311v-16h50v16h18.184L439 189.275V168c0-5-2.777-11.05-7.363-15.637C427.05 147.777 421 145 416 145H96zm-23 76.725V376c0 5 2.777 11.05 7.363 15.637C84.95 396.223 91 399 96 399h320c5 0 11.05-2.777 15.637-7.363C436.223 387.05 439 381 439 376V221.725L388.816 297H361v41.188h-50V297H195.574v41.188h-50V297h-22.39L73 221.725zM163.574 281v39.188h14V281h-14zM329 281v39.188h14V281h-14z"}}]})(props);
};
function GiBrightExplosion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M328.547 19.115c-30.61 99.22-47.583 151.205-86.88 156.778-18.626 2.642-42.988-19.225-70.16-50.29 15.47 30.702 21.275 55.265 10.845 61.348-15.787 9.21-51.095-6.94-106.815-30.837 31.653 20.827 83.667 50.18 77.358 58.63-8.074 10.81-77.23-4.706-130.866-13.163 89.224 25.398 137.61 55.572 137.61 82.387 0 18.423-48.845 62.18-71.888 83.928 19.558-11.397 64.736-24.44 76.777-2.99 13.335 23.758-6.577 61.6-28.5 128.027 31.39-46.19 73.363-108.122 90.734-106.49 12.248 1.15-4.805 60.692-10.47 98.71 21.547-80.082 46.534-132.5 90.153-131.015 29.665 1.01 58.022 30.762 88.99 52.047-16.188-19.81-45.975-47.99-39.55-53.243 8.9-7.276 56.48 12.547 94.224 25.726-24.982-17.962-68.644-43.88-61.653-50.852 10.417-10.387 72.436 1.332 117.49 7.178-87.746-30.728-136.846-44.187-147.33-78.533-5.283-17.31 10.853-40.3 40.89-68.038-31.377 17.197-54.588 28.694-63.737 12.392-11.576-20.622 11.374-65.883 35.238-126.06-21.135 32.47-48.532 83.487-55.254 77.174-8.972-8.425 5.598-77.597 12.795-132.813h-.003zM20.45 19.27v23.36c48.52 27.437 95.253 62.39 141.333 102.786-33.768-41.685-67.34-83.79-94.025-126.146H20.45zm175.79 0c18.465 37.356 34.503 76.96 48.475 117.97-5.007-39.79-9.898-79.367-12.264-117.97h-36.21zm160.022 0c-7.18 26.672-15.416 53.437-25.116 80.593 15.405-27.34 30.698-54.514 46.723-80.593H356.26zm105.123 0c-27.895 50.718-63.73 99.873-105.707 147.755 46.514-37.68 92.9-75.343 140.164-103.37V19.27h-34.457zm34.455 160.02c-36.077 17.98-74.843 34.036-115.635 47.89 38.908-6.17 77.882-12.105 115.635-15.77v-32.12zm-206.266 42.868c9.35 0 16.93 7.58 16.93 16.932 0 9.35-7.58 16.93-16.93 16.93s-16.93-7.58-16.93-16.93 7.58-16.932 16.93-16.932zm-52.06 1.598c15.508 0 28.082 12.57 28.082 28.08 0 9.718-4.938 18.28-12.44 23.322 3.614 3.843 5.842 9.002 5.842 14.694 0 11.86-9.613 21.474-21.473 21.474s-21.474-9.615-21.474-21.474c0-5.687 2.228-10.842 5.837-14.684-7.51-5.04-12.453-13.608-12.453-23.332 0-15.51 12.57-28.08 28.08-28.08zM20.45 235.078v38.547c31.87-4.584 64.46-5.693 97.532-4.09-33.727-10.19-67.407-20.35-97.53-34.457zm265.82 28.377c9.35 0 16.93 7.58 16.93 16.932 0 9.35-7.58 16.93-16.93 16.93s-16.932-7.58-16.932-16.93 7.58-16.932 16.932-16.932zM128.494 295.05c-36.153 11.99-72.24 20.293-108.043 24.313v51.393c30.994-28.64 69.426-52.264 108.044-75.703v-.002zm5.84 88.645c-37.923 30.72-75.607 61.482-113.885 87.02v23.943h29.784c24.02-37.76 52.365-74.765 84.1-110.963zm202.07 11.096c26.807 33.093 53.226 66.414 76.508 99.87h59.568c-46.586-27.078-91.877-61.12-136.074-99.87h-.002zm-52.562 9.93c-3.175 30.26-6.39 60.5-10.512 89.94h20.44c-4.51-29.083-7.904-59.17-9.926-89.94h-.002zm26.865 13.432c11.346 25.473 22.374 51.18 32.705 76.508h23.36c-19.395-23.9-38.105-49.64-56.065-76.508z"}}]})(props);
};
function GiBroadDagger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M62.936 16.73L19.72 59.95c1.622 12.54 7.583 26.894 19.39 41.904l65.974-65.973C90.058 24.2 75.52 18.26 62.937 16.73zM96.1 71.295L74.895 92.5c6.34 11.07 15.39 23.783 26.533 36.965l25.197-36.94c-10.865-8.725-21.27-15.93-30.525-21.23zM258.627 88.26l19.406 19.408L112.15 273.55l-19.408-19.405 34.88 101.255 54.08-12.298-51.913-51.91 165.884-165.883 51.908 51.907 12.3-54.08L258.628 88.26zm-117.682 16.435L114.25 143.83c2.63 2.796 5.335 5.595 8.125 8.385 1.305 1.305 2.612 2.592 3.92 3.863l38.05-28.486c-2.757-2.94-5.6-5.883-8.532-8.817-4.95-4.95-9.925-9.645-14.868-14.08zm35.877 36.903l-36.564 27.37c9.672 8.487 19.167 15.894 28.04 22.005l26.266-26.266c-5.07-7.363-11.01-15.144-17.742-23.11zm101.34 27.652l-22.967 22.967c54.55 55.23 93.45 99.893 117.893 132.922 13.023 17.596 21.977 31.83 27.18 43.22 2.6 5.695 4.322 10.65 4.923 15.554.603 4.903-.024 10.743-4.266 15.025-4.243 4.28-10.11 4.957-15.014 4.373-4.905-.585-9.854-2.296-15.54-4.887-11.375-5.182-25.592-14.118-43.183-27.135-33.02-24.434-77.71-63.365-133.044-118.02l-21.457 21.457c78.36 65.017 223.158 187.35 324.5 219.406-36.243-99.91-155.985-246.05-219.024-324.883zm-36.183 36.184l-34.623 34.62c54.882 54.197 99.09 92.638 130.948 116.214 16.98 12.565 30.55 20.932 39.812 25.152 3.486 1.588 6.076 2.39 8.057 2.863-.476-2-1.294-4.627-2.906-8.158-4.244-9.292-12.63-22.88-25.202-39.87-23.586-31.868-61.997-76.044-116.087-130.82z"}}]})(props);
};
function GiBroadheadArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.656 20.688v36.437L73.5 110.97c6.515-14.93 17.988-27.23 32.313-34.814L50.25 20.686l-30.594.002zm119.47 65.906c-29.312 0-52.876 23.533-52.876 52.844 0 21.654 12.868 40.178 31.406 48.375 1.88-37.477 32.825-67.482 70.656-67.907-7.734-19.565-26.786-33.312-49.187-33.312zm213.843 44.25L312.06 145.47l97.032 253.436 7.5 19.625L397 410.97l-253.28-97.533-14.345 40.97L492.28 494.312l-139.31-363.47zm-163.845 7.72c-29.31 0-52.875 23.563-52.875 52.874 0 24.35 16.282 44.705 38.594 50.906 2.935-34.576 30.61-62.252 65.187-65.188-6.2-22.312-26.553-38.594-50.905-38.594zm113.5 34.53L278.75 273.688l-1.344 5.625-5.625 1.312-100.124 23.53L384.156 386l-81.53-212.906zm-56.5 22.47c-29.31 0-52.875 23.563-52.875 52.874 0 10.896 3.28 20.983 8.875 29.375l59.78-14.063 14.033-59.03c-8.473-5.784-18.724-9.157-29.813-9.157z"}}]})(props);
};
function GiBroadsword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M491.844 22.533l-83.42 14.865L196.572 249.25c3.262 4.815 5.37 10.72 5.37 16.932 0 5.863-1.71 11.35-4.643 15.996-5.065-1.606-10.448-2.477-16.027-2.477-15.724 0-29.904 6.89-39.69 17.796l-9.112-9.113 17.237-17.237c-4.515-5.772-8.907-11.645-13.19-17.6l-19.443 19.44-13.215-13.215 21.828-21.827c-4.403-6.59-8.67-13.278-12.792-20.068l-40.802 40.803 58.314 58.314c-1.613 5.075-2.49 10.47-2.49 16.063 0 7.666 1.65 14.96 4.592 21.564l-72.14 72.14-14.56-14.56L21.013 437l14.558 14.56-8.607 8.608 27.246 27.246 8.606-8.61 14.56 14.56 24.798-24.8-14.557-14.556 72.158-72.16c6.586 2.922 13.858 4.562 21.498 4.562 5.593 0 10.988-.877 16.063-2.49l58.363 58.363L296.5 401.48c-6.797-4.127-13.486-8.395-20.068-12.793l-21.83 21.83L241.39 397.3l19.442-19.44c-5.962-4.29-11.835-8.683-17.603-13.194l-17.238 17.238-9.16-9.16c10.905-9.785 17.795-23.965 17.795-39.69 0-5.346-.806-10.51-2.285-15.39 4.703-3.04 10.288-4.817 16.265-4.816 6.21 0 11.776 1.77 16.52 4.955L476.98 105.95l14.864-83.417zm-66.227 53.012l13.215 13.215-191.684 191.68-13.214-13.213L425.617 75.545zM181.273 298.39c19.257 0 34.665 15.41 34.665 34.665 0 19.256-15.408 34.666-34.665 34.666-19.256 0-34.666-15.41-34.666-34.665s15.41-34.666 34.666-34.666z"}}]})(props);
};
function GiBroccoli (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 18.5c-32.9 0-60.9 16.46-69.2 37.27l-4.3 10.51-9.3-6.48c-7.6-5.31-16.5-9.46-25.8-12.08-18.5-5.12-36.8-3.77-50.98 2.16-14.2 5.93-24.13 16.05-27.71 29.03C64.84 93 69.07 109 81.58 122.9l9.58 10.6-13.7 4c-37.11 11-58.31 33.8-58.41 56 0 13.8 7.8 27.2 22.5 38.5 14.67 11.2 36.17 19.8 61.45 22.8l7.1.8.7 7.1c.4 2.9 1 5.5 2 8v.1c4.3 11.3 14.5 19.5 28.9 23.4 14.3 4 32.5 3.3 50.5-3.6 18.9-7.2 41.6-37.5 47.2-47.8l7.5-14.3 8.1 14c6.3 10.7 27 35 40.6 41.7 14.4 7.1 29.5 8.8 41.9 6.1 12.5-2.6 22-9.3 26.8-19.1 1-2.3 1.8-4.5 2.3-6.6l1.9-7.8 8 .9c5 .5 9.9.8 14.9.8 28.7 0 54.7-8.4 73-21.3 18.2-12.9 28.6-29.9 28.6-48.1 0-26.6-23.2-52.4-61.9-63.8l-16-4.6 12.7-10.8c13.3-11.45 18.3-24.33 16.1-35.45-2.1-10.22-10.1-18.77-23-24.26-12.9-5.51-30.4-7.35-48.8-3.64-12.3 2.51-23.9 7.36-33.2 13.75l-9.4 6.46-4.1-10.6c-8.2-21-36.2-37.66-69.4-37.66zm-13.5 75.44c7.6-.19 14.8 1.35 21.3 4.57 10 5.09 17.7 13.59 23.7 23.79 24.8-14.8 46.3-18.8 64.5-13.1 20.5 6.3 34.8 23.2 46.4 43.7l-15.6 8.8c-10.5-18.5-22.3-31.1-36-35.3-13.8-4.3-31.8-1.3-57.5 16.1l-8.7 5.8-4.6-9.4c-5.9-12.2-12.7-20.5-20.2-24.3-7.6-3.8-16.9-4.3-31.1 1.8l-7-16.6c8.7-3.73 17-5.66 24.8-5.86zm-61.7 65.36c7.9 0 15.2 2.4 21.5 5.9 16.8 9.1 28.2 25.6 33.7 32.3l-14 11.4c-6.3-7.8-16.9-21.7-28.3-28-5.8-3.1-11.2-4.3-17-3.1-6 1.3-13.1 5.4-21.4 15.7l-6.6 8.2-7.1-7.8c-10.2-11.3-20.6-13.2-29.6-11.1-9 2.2-16.53 9.2-19.07 17.6l-17.24-5.2c4.5-14.9 16.88-26.2 32.11-29.9 12.7-3 27.3-.1 40 9.9 8-8.1 16.5-13.1 25-15 2.7-.5 5.4-.9 8-.9zm66.8 104.4c-5.2 7.7-12.1 16.7-20.4 24.7.9 41 3.3 80.8 9.7 114.7l-17.3 4.7c-11-31.2-22.5-63.9-34.7-96.2-16 3.9-31.8 4-45.9.5 25.3 57.6 50 120.4 67.7 163.2 1.7 4.2 7.1 9.1 15.5 12.7 8.4 3.5 19.4 5.5 30.3 5.5 10.8 0 21.6-2.3 29.9-6.5 8.4-4.1 14-9.9 16.7-18.2 19.8-61.9 44.8-119.1 70.7-175.4-7.8 7.3-17.7 12.2-28.5 14.5-6.6 1.4-13.5 1.9-20.6 1.4-13.4 32.7-24.9 65.8-32.1 97.9l-17.8-.9c-4.1-36.6-4.2-78.2-3.2-120.1-7.7-7-14.6-15.1-20-22.5z"}}]})(props);
};
function GiBrodieHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 74.246c-87.892 0-159.154 61.235-159.154 136.786 0 33.817 88.216 54.075 171.766 54.075 75.156 0 146.49-16.393 146.49-54.075.05-70.7-71.208-136.786-159.1-136.786zm172.12 107.03a124.91 124.91 0 0 1 3.657 29.703c0 17.66-9.82 41.857-56.59 56.984-27.346 8.84-65.194 13.715-106.565 13.715-44.06 0-88.442-5.467-121.782-15.005-18.7-5.34-33.6-11.843-44.383-19.333-10.14-7.044-22.224-19.075-22.224-36.363a135.414 135.414 0 0 1 3.263-29.59C50.74 195.395 31 213.275 31 232.797c0 44.216 100.776 80.07 225 80.07 124.226 0 225-35.812 225-80.07 0-19.605-19.894-37.59-52.88-51.52zM118.613 313.46c20.176 64.746 73.618 111.165 136.213 111.165 62.336 0 115.675-46.066 136.006-110.46a416.83 416.83 0 0 1-19.096 4.384c-20.145 52.662-64.963 89.42-116.91 89.42-52.133 0-97.1-37.016-117.11-90.002a413.867 413.867 0 0 1-19.103-4.508z"}}]})(props);
};
function GiBrokenArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M93.46 20.72c1.63 23.26 3.31 46.51 4.95 69.77-23.11 2.13-46.17 4.3-69.28 6.43 29.35 18.68 58.74 37.28 88.07 55.88 9.3-3.6 18.5-7.2 27.7-10.9 26.7 22.8 53.5 45.6 80.2 68.3 7.5-1.6 15.2-3.3 22.7-4.9-30.5-25.7-61-51.5-91.5-77.2 2.3-9.9 4.6-19.8 6.9-29.69C140 72.53 116.7 46.6 93.46 20.72zM245.9 220.1c-1.5 7-3 13.9-4.5 20.8 11.4 11.7 22.8 23.4 34.1 35.1.4.2.7.4 1 .5 1.4-7.4 2.7-14.8 4-22.2-11.5-11.4-23.1-22.8-34.6-34.2zM217.7 231c-5.8 1.2-11.6 2.3-17.4 3.5 5 4.9 9.9 9.9 14.9 14.8 1.9-3.4 5-15.9 2.5-18.3zm89 5.5c-1.1 6.9-2.3 13.8-3.4 20.7 1.8 2.2 3.6 4.3 5.4 6.5l.5.5c5.4-3.2 10.9-6.3 16.3-9.4v-.5c-6.3-6-12.5-11.9-18.8-17.8zm10.9 36.1c-5.4 2.4-10.9 4.9-16.3 7.4v.5c37.2 46.2 74.5 92.4 111.8 138.5-12.7 1.7-25.4 3.4-38.1 5-.1.5-.3 1-.5 1.5 36.1 21.9 72.2 43.9 108.4 65.8-13.9-40.3-27.7-80.5-41.6-120.8l-12.9 37.2H427c-36.5-45.1-72.9-90.1-109.4-135.1z"}}]})(props);
};
function GiBrokenAxe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.8 35.58l25.5 52.5 24.8-22.9-50.3-29.6zm109.1 13.41l-10.3 9.51 52.9 57.3 10.3-9.5-52.9-57.31zm-30.3 14.37l-57.3 52.94 66.5 72 57.3-53-66.5-71.94zM181.8 93.33l-19.5 49.17L196 187l-14.2-93.67zM75.81 127l-32.42 13.8 94.41 52.1L75.81 127zm186.09 8.9l-16.2 15-32 44.1 62.7-18.2-33.6 70.7 32.4-17.8 39.6-36.6-52.9-57.2zm232.1 2.4c-3.1.8-6.1 1.6-9.2 2.3-25.7 5.9-51.9 8.5-74.5 2.3l-69.4 64.2c4.5 23-.2 48.9-8.1 74.1-8.7 27.5-21.6 54.1-32.9 75.4 60.6 17.3 133-11.2 187.1-61.1 2.4-2.2 4.7-4.5 7-6.7V138.3zM76.71 232.6l-18.78 37.6 72.57-21.6-53.79-16zm117.19 48l-24 51.8-21-34.4-47.2 196H182l37.2-154.6-25.7 29.5.4-88.3z"}}]})(props);
};
function GiBrokenBone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M301.486 20.37l-33.19 134.755 15.306 49.895 43.55-103.81-25.666-80.84zM161.324 43.46l2.03 110.69 90.68 36.516-92.71-147.207zm180.358 126.73l-29.532 40.572 85.268-39.008-55.736-1.563zm-99.346 39.134c-59.628 41.982-124.36 74.982-199.207 81.297-13.185 1.113-21.704 8.3-26.302 15.185-13.788 20.652 8.285 51.02 54.332 33.37-55.518 33.324-8.274 81.184 25.113 43.495 34.24-38.648 74.95-74.53 117.74-91.58l12.696-28.235-32.81 6.272 48.436-59.803zm59.62 21.973l120.356 61.736-8.443-53.13-111.913-8.606zm-19.214 25.398l5.78 34.688-40.055-13.627c70.405 49.457 118.18 111.73 161.883 190.79 22.65 40.976 71.903 6.46 34.275-34.278 41.4 33.974 78.094-24.99 40.883-40.883-63.653-27.187-118.033-62.682-150.73-109.434h-.003l-52.033-27.255zm-53.697 46.844v.003l.002-.004h-.002zm0 .003l-60.248 79.27 46.773-10.303 13.475-68.967zm18.963.934l18.996 118.392 36.414-19.62-55.41-98.773z"}}]})(props);
};
function GiBrokenBottle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M384.47 9.938L320.436 26.03 181.03 165.438c-46.298 46.3 1.17 87.987-48.25 137.407l-81.593 81.594c-1.23-.054-2.468-.058-3.718.03-5.936.42-13.572 2.884-19.94 9.25-6.365 6.367-8.423 13.597-8.843 19.532-.418 5.935.87 11.557 2.907 17.47 4.076 11.823 12.242 24.43 23.718 35.905 11.477 11.476 24.05 19.642 35.875 23.72 5.912 2.037 11.565 3.324 17.5 2.905 5.936-.42 12.915-2.727 19.282-9.094 6.365-6.366 9.048-13.752 9.467-19.687.27-3.817-.147-7.53-1.03-11.25l78.374-78.376c49.42-49.42 91.108-1.95 137.407-48.25l160.938-160.938-107 12.156 7.78-101.593L327.47 104c3.406-34.72 23.273-64.073 57-94.063zm1.217 218.906l13.438 13.437-65.344 65.314c-25.316 25.317-51.6 25.56-73.874 25.656-22.274.098-40.82-.075-63.5 22.594l-77.625 78.5c-2.994-5.3-6.705-10.628-11.093-15.813l75.282-76.124c26.74-26.74 54.44-27.996 76.936-28.094 22.495-.097 39.457.857 60.438-20.125l65.343-65.343zm-344.78 175.5c2.838-.034 7.036.442 11.28 1.906 9.702 3.345 21.423 10.86 32.032 21.47 10.608 10.608 18.123 22.328 21.467 32.03 1.673 4.85 1.79 9.35 1.594 12.125-.28 1.417-.234 1.427-1.593 1.625-2.774.196-6.9-.327-11.75-2-9.696-3.343-21.395-10.9-32-21.5-10.608-10.61-18.155-22.33-21.5-32.03-1.672-4.852-2.446-9.195-2.25-11.97.038-1.55.02-1.547 1.594-1.625.348-.025.72-.026 1.126-.03z"}}]})(props);
};
function GiBrokenHeartZone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160.45 21.785c-50.2.096-98.177 39.404-99.67 103.264h-.003C58.094 239.693 207.683 268.72 254.8 383.163c42.852-114.436 187.95-150.36 190.53-258.115 2.293-95.77-96.364-127.004-160.037-80.736l39.533 114.553-44.945-11.256 26.802 109.964-89.325-149.008 52.3 5.848-50.92-73.105c-17.913-13.358-38.275-19.563-58.288-19.525zM105.3 331.24c-51.466 16.674-84.68 41.936-84.68 69.955 0 50.166 104.813 91.108 234.19 91.106 129.374 0 234.19-40.94 234.19-91.105 0-28.02-33.215-53.28-84.682-69.955 27.147 12.916 43.8 29.23 43.8 47.18 0 41.414-86.502 74.836-193.31 74.836-106.805 0-193.31-33.422-193.31-74.836 0-17.95 16.656-34.264 43.803-47.18zm68.915 13.828c-28.252 9.053-46.72 22.11-46.72 37.418 0 27.24 57.065 49.62 127.314 49.62 70.247 0 127.315-22.38 127.315-49.62 0-15.31-18.47-28.365-46.72-37.418 14.94 7.037 24.527 15.398 24.527 25.217 0 22.488-47.13 40.672-105.123 40.672-57.994 0-105.124-18.186-105.124-40.672 0-9.82 9.59-18.18 24.53-25.217z"}}]})(props);
};
function GiBrokenHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M373.47 25.5c-33.475-.064-67.614 13.444-94.44 43.156l37.22 145.156-33.437.032 35.343 132.093-116.718-188.375 50.03 5.375L202.5 47.312C120.437-1.43 4.756 40.396 8.5 158.156c4.402 138.44 191.196 184.6 247.406 331.625 59.376-147.035 251.26-184.33 246.656-331.624-2.564-82.042-64.6-132.532-129.093-132.656z"}}]})(props);
};
function GiBrokenPottery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105 32v30h191.607l16.663-30zm3.805 48c4.309 10.899-5.352 29.724-9.276 38.588-11.006 24.703-28.728 57.602-42.02 95.43-13.29 37.828-22.212 80.865-15.15 126.119 7.063 45.254 30.318 92.356 79.56 137.496L124.5 480h263l2.58-2.367c49.243-45.14 72.498-92.242 79.56-137.496 7.063-45.254-1.859-88.291-15.15-126.12-13.29-37.827-31.013-70.726-42.02-95.43-4.475-10.046-7.742-18.751-9.312-25.372l-75.117 35.273 63.037 32.295-36.267 78.457 61.921 19.205-153.521 138.17 65.975-116.119-58.2-3.172 47.735-96.314-73.21-27.018L286.61 80H108.805z"}}]})(props);
};
function GiBrokenRibbon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M129.867 26.06l-1.05 59.12c87.818 31.78 175 31.654 262.9 1.535l-1.07-60.106c-87.14 22.31-174.228 18.73-260.78-.55zm-1.4 78.813l-3.317 186.662 72.694-65.21 62.41 207.1 62.41-207.1 72.69 65.21-3.29-185.213c-5.706 1.87-11.415 3.633-17.127 5.262l-50.962 70.947-45.288-55.13c-11.9.51-23.805.482-35.708-.09l-45.363 55.22-51.494-71.684.268-.192c-5.976-1.782-11.95-3.718-17.923-5.78zm45.77 13.066l24.374 33.93 21.617-26.313c-15.337-1.63-30.67-4.166-45.99-7.618zm172.644.662c-15.104 3.245-30.222 5.635-45.347 7.158l21.45 26.11 23.898-33.268zM183.343 313.717L85.838 439.95l84.443 53.974 13.062-180.207zm146.088 0l13.06 180.207 84.444-53.975-97.504-126.233z"}}]})(props);
};
function GiBrokenShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M45.906 23.625v9.344c0 102.68 10.49 205.087 41.125 288.155 30.637 83.068 82.364 147.415 163.75 169.78l2.22.626 2.22-.5C344.49 472 396.864 407.39 425.593 323.47c28.728-83.92 35.25-187.777 35.25-290.5v-9.345H45.906zM64.72 42.313H442.06c-.413 98.8-7.497 197.342-34.125 275.125-27.21 79.487-73.39 136.637-154.375 154.78-73.28-21.03-119.914-78.696-149-157.562-28.475-77.212-39.206-174.13-39.843-272.344zm18.81 18.75c.807 84.13 12.486 172.823 39.314 244.812 7.825 20.998 16.874 40.495 27.25 58.063l45.844-38.438-40.75-75.063-5.47-10.062 10.97-3.344s38.865-11.786 60.406-18.25l20.437-7.25-94.843-150.468H83.53zm160.25 0l45.782 91.5 132.407-43.157c.69-16.205 1.053-32.366 1.155-48.344H243.78zm177.157 68.343L298.031 169.47l24.908 49.78 25.875 48.72 53.28-1.845c10.245-42.834 16.03-89.664 18.844-136.72zM310.908 236.47l-30.75 10.374 67.25 145.187c17.813-23.2 31.737-51.6 42.624-83.686 2.578-7.595 4.966-15.39 7.19-23.344l-53.626 1.844-5.844.22-2.75-5.158-24.094-45.437zm-99.22 4.686c-13.133 3.972-27.346 8.262-34.625 10.47L216 323.28l3.625 6.72-5.844 4.906-53.56 44.906c24.67 35.91 55.887 61.828 94.655 73.125 30.34-6.91 55.36-21.496 76.03-42.062L211.69 241.155z","fillRule":"evenodd"}}]})(props);
};
function GiBrokenSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M206.875 27.03l-3 2.064c-14.3 9.87-22.835 28.048-25.344 52.375-19.293 11.407-37.976 13.766-50.843 10.905-4.06 4.988-6.62 10.712-8.937 16.938 20.462 6.71 47.52 2.697 73.688-14.344l3.906-2.532.312-4.657c1.392-21.138 7.59-34.313 15.25-41.186l22.344 3.093c-1.668 18.234-1.372 38.198 7.53 60.376l2.657 6.562 7.032-.78c23.817-2.638 31.686-3.652 54.81.405l7.533 1.313 2.78-7.126c3.936-10.084 7.778-18.638 12.376-25.968 6.878 6.72 15.8 12.09 25.31 16.093 11.845 4.985 24.8 8.13 36.595 5.093-3.235-5.86-7.044-12.416-10.97-18-5.35-.25-11.948-1.607-18.374-4.312-11.263-4.742-21.638-13.227-24.686-18.75L330.47 53.03l-8.783 9.876c-8.824 9.927-14.54 21.44-19.687 33.907-16.88-2.398-28.733-2-45.188-.282-6.25-19.213-5.357-36.077-3.156-53.75l1.125-9.124-9.124-1.28-35.187-4.845-3.595-.5zm171.094 6.845L367.686 49.78c17.986 12.885 30.035 27.273 40.375 47.814l3.282 6.53-4.28 5.94c-6.31 8.73-11.433 19.695-15.908 32.374 4.09 11.243 6.268 24.716 6.28 35.968l.033 14.188-14.033-2.28L354 185.5l-26.594 29.188-11.97 13.125-7.78-15.938-16.594-34.03c-10.396 12.86-19.287 23.182-30.593 30.936-15.34 10.52-34.276 14.385-61 12.564l-8.126-.563-2.5-7.75L177.78 179l-40.624 7.844-11.937 2.344-2.19-12s-2.258-12.142-6.31-25.532c-2.028-6.695-4.507-13.658-7.157-19.156-2.65-5.498-5.83-9.36-6.75-10.03l-6.47-4.72 1.876-7.813c4.586-19.172 17.198-36 37.218-50.374l-10.72-19.813C56.08 95.554 25.5 197.82 24.095 296.344c43.835 22.98 73.8 47.83 92.28 74.844 17.738 25.923 24.46 53.747 23.407 81.562 11.497 6.293 22.977 11.934 35.69 15.344 21.81 5.85 45.39 8.69 69.78 8.687 24.396-.003 49.41-2.844 72.375-8.717 18.33-4.69 35.105-11.838 50.656-20.47 1.95-55.263 35.304-110.082 118.814-151.468-1.55-97.394-34.025-206.568-109.125-262.25zM202.436 250.063c6.002 3.154 11.246 7.896 14.625 13.75 12.22 21.162-.962 51.59-29.218 67.906-28.256 16.313-61.282 12.128-73.5-9.033-6.974-12.077-5.45-27.048 2.156-40.812 12.835-.22 27.956-2.805 44.25-9.03 15.522-5.93 30.078-14.063 41.688-22.783zm106.22 0c11.61 8.72 26.164 16.852 41.687 22.78 16.294 6.227 31.415 8.812 44.25 9.032 7.607 13.764 9.13 28.735 2.156 40.813-12.218 21.16-45.213 25.346-73.47 9.03-28.255-16.314-41.436-46.743-29.217-67.906 3.38-5.853 8.592-10.595 14.593-13.75zm-53.063 75.625c18.53 36.128 33.233 72.246 40.53 108.375-27.02-8.244-54.042-9.343-81.062 0 9.866-36.13 21.727-72.247 40.532-108.375z"}}]})(props);
};
function GiBrokenTablet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M250.156 23.688l11.22 37.156-34.72-32.97-92.562 43.876 37 102.47-48.47 35.468-12.874 179.718 102.563 34.156-9.375-31 36.312 34.47 151.188-76.157 32.468-94.656-62.25-10.064 70.688-14.53 33.844-98.69-215.032-109.25zM66.22 57.124L28.405 105.25l52.625 54.344 31.72-59.344-46.53-43.125zm162.155 21.563l140.688 99.843-10.813 15.25-140.688-99.843 10.813-15.25zm-21.688 31.562l112.688 79.97 17.188 12.186-20.563 4.53c-25.486 5.633-45.376 14.116-60.406 24.626 31.188 5.15 50.3 18.783 57.344 36.938 8.38 21.597-1.696 45.65-20.907 61.53l-11.905-14.405c14.65-12.11 20.17-27.987 15.375-40.344-4.74-12.213-20.912-24.79-58.563-26.936-5.286 6.23-9.412 12.884-12.468 19.844-12.038 27.414-8.065 61.404 11.593 97.187l-16.375 8.97c-21.57-39.264-27.277-79.646-12.344-113.658 13.06-29.744 41.485-53.265 84.97-66.78l-96.44-68.438 10.814-15.22zm280.594 15.875l-1.81 5.22-39.314 114.686 11.97 22.44 32.093-93.283-2.94-49.062zm-463 1.75l-5.124 36.47 56.75 58.624-1.344-43.157-50.28-51.938zM118.595 129l-25.406 47.47 1.28 41.186 25.5-50.875-1.374-37.78zm319.25 141.188l-30.72 89.562 1.095 53.78 41.592-120.936-11.968-22.406zM388.72 372.656l-151.095 76.156-2.656 1.344L229 487.22l160.72-64.283-1-50.28zm-277.97 36.78l10.22 50.377 89.093 27.687 6.875-42.688-106.188-35.375z"}}]})(props);
};
function GiBrokenWall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M494 18.02l-101 .103V119h101zm-119 .12l-56.29 12.065-31.01 64.361-101.534-35.952L137 119h238zM18 137v61.63l12.416 31.981L62.575 247H247V137zm247 0v110h229V137zM76.294 322.591L18 332.203V375h101V265H65.317zM137 265v110h238c-48.428-109.932-.057-1.24-48.222-110zM18 393v100.98l199-.236L247 393zm247 0v55.79c66.067 45.222-.134-.028 65.798 44.869L494 493.49V393z"}}]})(props);
};
function GiBroom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M153.654 18l52.57 134.734c1.698 3.994 4.05 5.83 7.243 6.977 3.2 1.15 7.36 1.2 11.058.17 3.698-1.03 6.71-3.146 7.996-4.915 1.288-1.77 1.634-2.564.505-5.24l-.046-.112L181.57 18h-27.916zm94.168 120.143l1.88 4.81-.09-.223c3.346 7.937 1.828 16.822-2.532 22.82-4.36 5.996-10.773 9.734-17.723 11.67-6.95 1.937-14.653 2.065-21.98-.57-7.327-2.634-14.155-8.447-17.742-16.923l-.05-.118-1.757-4.5c-31.31 19.804-42.47 42.026-35.367 68.89 1.24 4.681 3.422 12.364 5.964 22.13 74.37-5.274 139.945-23.872 199.808-51.6-10.297-13.867-22.5-25.83-38.232-34.53-20.505-11.34-47.652-20.157-72.178-21.857zm120.557 71.52c-61.497 28.81-129.173 48.378-205.575 54.196 2.03 8.683 4.08 18.28 5.95 28.495 89.592-10.084 163.043-26.22 217.755-48.767-5.743-11.72-11.593-23.19-18.13-33.924zm26.04 50.16c-57.093 23.772-131.99 40.087-222.73 50.322C180.697 371.423 179.614 446.752 128 480c16.27 0 31.892-.152 46.926-.45 17.84-25.554 31.27-66.222 32.08-86.146 8.27 16.793 3.297 59.32-5.36 85.434 2.735-.093 5.435-.193 8.127-.297 11.824-12.397 11.724-28.632 14.72-47.284 3.324 14.92 7 32.967 9.505 46.156 11.273-.616 22.152-1.34 32.606-2.183 16.38-20.358 21.65-49.604 18.63-85.48 4.226 29.1 9.116 62.138 11.873 82.55 9.662-1.083 18.925-2.29 27.807-3.614 5.04-18.787-4.1-48.444-2.072-69.54 11.123 43.113 22.247 55.45 33.37 64.043 5.42-1.115 10.655-2.293 15.733-3.526-4.7-13.95 1.573-22.497 1.18-39.986 5.647 18.99 14.625 26.958 24.428 32.816 6.506-2.1 12.66-4.336 18.492-6.697-10.538-6.57-10.113-26.374-12.38-42.926 5.954 21.703 14.413 32.418 24.083 37.816 29.124-13.8 48.69-31.534 60.398-53.657-9.078-3.82-18.674-13.002-28.068-20.092 13.214 7.477 23.684 10.614 32.37 10.93 1.323-3.206 2.514-6.49 3.552-9.868-56.326-19.528-80.07-64.018-101.58-108.178z"}}]})(props);
};
function GiBrutalHelm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 34.162c-.135.22-.175.203-.314.447-1.975 3.46-4.37 9.255-6.72 16.347-4.703 14.183-9.438 33.67-13.575 53.223-4.137 19.553-7.708 39.222-10.238 54.084-1.264 7.43-2.27 13.66-2.957 18.07-.343 2.204-.606 3.957-.78 5.158-.07.47-.112.778-.15 1.065.095 1.402 1.882 4.45 8.008 7.433 6.302 3.07 15.98 5.293 26.727 5.293 10.748 0 20.425-2.223 26.727-5.293 6.126-2.984 7.913-6.03 8.01-7.433l-.15-1.065c-.176-1.2-.44-2.954-.782-5.158-.687-4.41-1.693-10.64-2.957-18.07-2.53-14.862-6.1-34.53-10.24-54.084-4.136-19.554-8.87-39.04-13.573-53.223-2.35-7.092-4.746-12.886-6.72-16.348-.14-.245-.18-.23-.315-.448zM87.066 53.222c-39.793 29.842-65.173 69.95-65.173 114.284 0 30.934 11.92 59.887 32.646 84.695l27.13-78.23c-11.335-17.452-17.668-36.89-17.668-57.384 0-22.984 8.953-44.332 23.064-63.363zm337.883.016c14.094 19.032 23.064 40.38 23.064 63.364 0 20.493-6.333 39.928-17.664 57.377l27.123 78.208c20.718-24.805 32.634-53.753 32.634-84.682 0-44.333-25.38-84.443-65.158-114.268zM214.26 129.043c-36.194 9.176-61.82 31.89-80.563 70.234-24.892 50.927-35.985 130.406-36.304 239.645 43.728 24.578 91.336 38.24 139.99 40.765-.34-38.18-6.926-98.547-11.704-137.69-66.903-5.935-95.838-29.493-95.838-29.493s3.777-27.682 6.396-39.936c38.412 12.937 78.856 19.46 119.776 19.22 40.904.223 81.347-6.283 119.76-19.22 2.618 12.254 6.398 39.936 6.398 39.936s-27.968 24-95.875 29.648c-4.778 39.148-11.345 99.41-11.687 137.536 48.655-2.526 96.263-16.188 139.99-40.766-.318-109.24-11.41-188.718-36.302-239.645-18.74-38.345-44.368-61.058-80.562-70.234 1.763 9.38 3.32 18.147 4.617 25.748.345.185.697.36 1.036.55 12.55 6.98 21.67 17.51 23.542 30.355l6.01 41.295-.815 1.998c-5.284 12.98-18.74 20.31-33.104 25.653-14.363 5.344-30.252 8.233-42.947 8.356h-.158c-12.69-.13-28.578-3.02-42.94-8.36-14.365-5.342-27.82-12.666-33.105-25.648l-.814-1.998 6.008-41.295c1.87-12.844 10.99-23.374 23.54-30.355.34-.19.692-.365 1.037-.55 1.297-7.6 2.854-16.367 4.617-25.747zm-112.41 35.178l-41.44 119.49 29.695 13.71c6.08-42.11 15.602-77.018 29.332-105.11 3.33-6.817 6.94-13.21 10.814-19.2l-28.402-8.89zm308.312 0l-28.416 8.895c3.874 5.986 7.482 12.38 10.813 19.194 13.732 28.093 23.256 63.002 29.335 105.116l29.71-13.717-41.44-119.49zm-208.066 19.147c-.652 1.524-1.097 3.067-1.323 4.615l-5.287 36.332c2.948 4.908 11.57 11.185 23.02 15.442 12.417 4.617 27.205 7.245 37.496 7.363 10.286-.112 25.07-2.738 37.486-7.356 11.45-4.26 20.074-10.54 23.022-15.45l-5.287-36.332c-.226-1.548-.67-3.09-1.323-4.615-1.095.378-2.223.747-3.37 1.112-.98 9.068-8.33 15.628-16.854 19.78-9.16 4.462-20.84 6.896-33.678 6.896-12.84 0-24.52-2.434-33.678-6.896-8.523-4.152-15.873-10.712-16.853-19.78-1.15-.366-2.277-.735-3.372-1.113z"}}]})(props);
};
function GiBrute (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 36c-29.4 44.05-63.2 65.7-126.3 64.8A79.99 75.99 0 0 0 256 68.01a79.99 75.99 0 0 0-65.8 32.79c-63 .9-96.85-20.77-126.2-64.8-30.29 45.43 21.04 110.9 112.2 112.4a79.99 75.99 0 0 0 8.1 29.2C44.84 197.1 16.82 388.1 32 464h80c0-48 16-112 64-144l-16 144c0 16 64 16 64 0 0-32 16-64 32-64s32 32 32 64c0 16 64 16 64 0l-16-144c48 32 64 96 64 144h80c15.2-75.9-12.8-267-152.4-286.4a79.99 75.99 0 0 0 8.2-29.2C426.9 146.9 478.3 81.44 448 36zm-256 87.8c13.5 15.7 27.2 31.3 48 40.2 0 0-22.9 15.7-32 8.7-10.1-7.9-16-48.9-16-48.9zm128 0s-5.9 41-16 48.9c-9.1 7-32-8.7-32-8.7 20.8-8.9 34.5-24.5 48-40.2z"}}]})(props);
};
function GiBubbleField (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.906 13.47c-132.42 0-240.03 107.578-240.03 240 0 132.42 107.61 240.03 240.03 240.03 132.42 0 240-107.61 240-240.03 0-132.422-107.58-240-240-240zm-9.375 23.25v18.093c3.11-.146 6.233-.22 9.376-.22 3.123 0 6.226.076 9.313.22V36.718c13.066.55 25.82 2.243 38.186 5l-4.687 17.53c6.108 1.352 12.117 2.97 18 4.875l4.717-17.563c12.366 3.906 24.24 8.896 35.532 14.844L345.81 77.25c5.522 2.91 10.898 6.065 16.094 9.47l9.188-15.94c10.828 6.956 20.983 14.85 30.375 23.564l-13.126 13.125c4.56 4.244 8.92 8.718 13.062 13.374l13.22-13.22c8.58 9.458 16.335 19.694 23.155 30.564l-16.342 9.437c3.29 5.275 6.333 10.72 9.125 16.313l16.468-9.5c5.78 11.266 10.587 23.13 14.345 35.437l-18.53 4.97c1.792 5.94 3.328 11.99 4.56 18.155l18.658-5c2.607 12.257 4.173 24.884 4.625 37.813h-19.532c.062 2.034.094 4.074.094 6.125 0 4.22-.145 8.407-.406 12.562h19.72c-.644 12.87-2.405 25.447-5.19 37.625l-19.28-5.156c-1.423 6.096-3.15 12.102-5.125 17.967l19.436 5.22c-3.912 12.15-8.86 23.832-14.75 34.937l-17.625-10.188c-2.947 5.513-6.15 10.847-9.592 16.03l17.78 10.252c-6.872 10.634-14.644 20.632-23.218 29.875l-14.656-14.657c-4.25 4.565-8.713 8.917-13.375 13.063l14.75 14.75c-9.316 8.453-19.377 16.096-30.064 22.842l-10.47-18.156c-5.246 3.317-10.65 6.4-16.217 9.22l10.5 18.187c-11.097 5.734-22.73 10.57-34.845 14.343l-5.47-20.406c-5.9 1.855-11.936 3.45-18.06 4.75l5.467 20.406c-12.102 2.646-24.572 4.275-37.343 4.813v-21.126c-3.088.143-6.19.22-9.314.22-3.143-.002-6.267-.075-9.375-.22v21.125c-12.76-.542-25.216-2.198-37.31-4.845L212.687 445c-6.126-1.3-12.162-2.895-18.063-4.75l-5.47 20.375c-12.103-3.77-23.755-8.583-34.843-14.313l10.5-18.187c-5.58-2.826-10.99-5.925-16.25-9.25l-10.468 18.156c-10.68-6.744-20.723-14.392-30.03-22.842l14.717-14.72c-4.663-4.147-9.09-8.525-13.343-13.093L94.78 401.03c-8.568-9.237-16.348-19.214-23.218-29.842l17.782-10.282c-3.434-5.174-6.65-10.498-9.594-16l-17.625 10.188c-5.888-11.104-10.838-22.79-14.75-34.938l19.438-5.22c-1.974-5.864-3.67-11.87-5.094-17.967l-19.314 5.155c-2.784-12.183-4.543-24.754-5.187-37.625h19.718c-.262-4.155-.407-8.34-.407-12.563 0-2.05.033-4.09.095-6.125h-19.53C37.54 232.89 39.08 220.25 41.687 208l18.687 5c1.233-6.165 2.77-12.214 4.563-18.156l-18.532-4.97c3.763-12.313 8.56-24.164 14.344-35.436l16.47 9.5c2.79-5.594 5.832-11.038 9.124-16.313L70 138.187c6.82-10.864 14.577-21.077 23.156-30.53l13.22 13.218c4.142-4.66 8.47-9.158 13.03-13.406l-13.094-13.095c9.385-8.708 19.526-16.61 30.344-23.563l9.188 15.938c5.207-3.413 10.59-6.582 16.125-9.5l-9.157-15.844c11.278-5.94 23.152-10.91 35.5-14.812l4.718 17.562c5.895-1.91 11.91-3.55 18.032-4.906l-4.687-17.5c12.358-2.756 25.097-4.478 38.156-5.03zm-13.343 42.56l-28 176.25-76.093 23.376V242.03h-18.688v108h18.688v-17.967h68.187l22.626 22.406h-19.47v41.686h110.908V354.47h-19.5l22.625-22.408h68.25v17.97h18.686v-108H380.72v36.874l-76.126-23.375-28-176.25h-45.406zM253.875 166c12.892.016 25.78 24.938 25.78 74.688h-51.56c0-49.816 12.888-74.704 25.78-74.688z"}}]})(props);
};
function GiBubbles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M82.055 26.807c-33.127 0-60.182 27.057-60.182 60.183 0 33.126 27.055 60.182 60.182 60.182 33.126 0 60.18-27.056 60.18-60.182 0-33.127-27.054-60.183-60.18-60.183zm13.85 21.043c16.15 5.665 27.64 20.98 27.64 39.14 0 23.025-18.465 41.49-41.49 41.49-23.025 0-41.49-18.465-41.49-41.49 0-.55.02-1.097.04-1.642 6.067 8.444 15.966 13.95 27.157 13.95 18.46 0 33.425-14.966 33.425-33.427 0-6.638-1.943-12.82-5.28-18.02zm158.058 11.855c-58.15.002-105.123 47.627-105.123 105.71 0 48.528 32.96 89.51 77.738 101.726-8.41 17.653-13.498 37.277-13.498 58.294 0 76.485 62.51 138.998 138.996 138.998h.004c76.485 0 138.412-62.562 138.412-138.998 0-38.083-15.76-72.427-40.658-97.454 16.358-14.68 26.643-36.147 26.643-59.648 0-43.695-35.733-79.426-79.428-79.426-20.743 0-39.395 8.335-53.43 21.41-18.555-30.156-51.717-50.61-89.657-50.61zm0 18.69c34.466 0 64.11 20.527 78.127 49.697-2.174 5.54-3.38 11.563-3.38 17.873 0 27.04 21.918 48.96 48.958 48.96s48.96-21.92 48.96-48.96c0-14.81-6.586-28.073-16.978-37.05 27.496 5.802 48.137 30.194 48.137 59.417 0 21.225-10.98 40.403-27.336 51.186l-10.354 6.826 9.418 8.07c25.745 22.062 42.29 54.548 42.29 91.02 0 66.374-53.402 120.308-119.724 120.308h-.004c-57.162 0-105.154-40.103-117.322-93.642 15.684 22.5 41.747 37.226 71.254 37.226 47.94 0 86.8-38.862 86.8-86.8 0-47.94-38.86-86.8-86.8-86.8-28.382 0-53.578 13.625-69.416 34.688-39.414-8.176-69.063-43.066-69.063-85 0-.494.01-.985.017-1.476 9.545 23.694 32.734 40.425 59.846 40.425 35.627 0 64.51-28.88 64.51-64.508 0-28.533-18.534-52.723-44.214-61.232 2.07-.148 4.162-.228 6.273-.228zm-148.018 163.44c-7.16-.028-14.436.883-21.668 2.82C40.2 256.47 14.415 302.08 26.203 346.076c6.57 24.52 23.502 43.28 44.84 53.198-6.084 12.932-7.977 27.963-3.982 42.87 9.028 33.693 44.24 53.447 77.813 44.45 33.573-8.995 53.595-43.677 44.6-77.25-3.488-13.016-10.86-23.98-20.496-32.017 16.684-19.844 24.108-47.014 16.87-74.027v-.003c-9.596-35.817-41.55-59.943-76.84-61.395-1.017-.042-2.04-.064-3.062-.068zm0 18.665c.794.002 1.586.018 2.375.05 27.367 1.083 52.01 19.727 59.475 47.585 6.445 24.055-2.003 47.964-19.39 63.7l-9.663 8.743 11.383 6.346c10.19 5.68 18.04 15.104 21.295 27.256 6.393 23.86-7.526 47.97-31.383 54.36-20.92 5.606-42.49-4.383-51.775-22.935 6.85 3.057 14.754 3.877 22.564 1.784 18.086-4.847 28.82-23.438 23.973-41.525-4.847-18.085-23.437-28.816-41.523-23.97-2.766.74-5.36 1.807-7.752 3.14-19.715-6.628-35.476-22.17-41.27-43.797-.678-2.524-1.18-5.05-1.548-7.572 10.962 18.105 32.915 27.61 54.387 21.857 26.044-6.978 41.5-33.75 34.52-59.796-4.7-17.548-18.392-30.275-34.788-34.586 3.055-.432 6.1-.647 9.12-.64z"}}]})(props);
};
function GiBubblingBeam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.607 15.518v72.9L225.837 278.5 114.91 254.926l144.863 114.262c1.57-15.168 14.386-27 29.97-27 16.642 0 30.136 13.49 30.136 30.134 0 16.64-13.49 30.135-30.136 30.135-10.836 0-20.334-5.722-25.644-14.31l-105.08-2.928 156.667 71.807-124.75 22.85 43.122 15.246h121.036c.962-5.602 2.166-11.124 3.597-16.555-13.39-4.216-23.105-16.73-23.105-31.515 0-18.244 14.79-33.037 33.04-33.037 6.266 0 12.127 1.746 17.12 4.777 5.93-8.855 12.5-17.16 19.61-24.81-4.832-4.24-8.404-9.88-10.07-16.294-3.96 3.357-9.082 5.386-14.68 5.386-12.543 0-22.713-10.167-22.713-22.713 0-12.543 10.167-22.713 22.712-22.713 8.763 0 16.365 4.965 20.153 12.235 5.95-7.925 15.426-13.053 26.1-13.053 12.914 0 24.075 7.504 29.363 18.39 12.128-6.168 24.79-10.725 37.685-13.425v-67.293l-7.635-65.463-38.052 105.1-38.988-164.658-28.673 111.69-93.04-160.578 10.25 119.818L99.375 15.518H17.606zm268.09 241.447c8.683 0 16.033 5.703 18.512 13.568 5.346-4.592 12.292-7.373 19.894-7.373 16.875 0 30.56 13.68 30.56 30.56 0 16.875-13.68 30.56-30.56 30.56-16.744 0-30.337-13.47-30.55-30.167-2.403 1.066-5.058 1.67-7.857 1.67-10.718 0-19.408-8.69-19.408-19.41 0-10.718 8.686-19.408 19.407-19.408zm112.25 25.084c10.72 0 19.41 8.688 19.41 19.41 0 10.717-8.69 19.407-19.41 19.407-10.718 0-19.408-8.687-19.408-19.408 0-10.72 8.686-19.41 19.407-19.41z"}}]})(props);
};
function GiBubblingBowl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M267.982 22.29c-17.095 0-30.953 13.86-30.953 30.954 0 17.096 13.857 30.953 30.952 30.953 17.096 0 30.954-13.857 30.954-30.953 0-17.095-13.858-30.953-30.954-30.953zm-2.77 9.33c-1.963.883-3.61 2.304-5.22 3.915-7.128 7.128-7.344 18.743-.217 25.87 7.128 7.13 18.96 7.13 26.088 0 1.707-1.705 2.808-3.775 3.698-5.87-.526 4.734-2.46 9.416-6.087 13.043-8.487 8.487-22.166 8.268-30.653-.217h-.002c-8.484-8.483-8.703-22.166-.216-30.65 3.48-3.48 8.08-5.463 12.61-6.09zm-89.09 2.294c-23.916 0-43.302 19.384-43.302 43.3 0 23.914 19.386 43.3 43.3 43.3 3.23 0 6.375-.365 9.403-1.035 1.283 15.915 14.596 28.434 30.842 28.434 17.096 0 30.953-13.858 30.953-30.953 0-16.374-12.717-29.77-28.812-30.87.597-2.866.916-5.834.916-8.877 0-23.915-19.386-43.3-43.3-43.3zm-6.476 15.88c-2.674 1.203-4.917 3.14-7.11 5.333-9.717 9.716-10.012 25.55-.298 35.266 9.715 9.716 25.845 9.716 35.56 0 2.328-2.327 3.827-5.15 5.04-8.002-.718 6.454-3.354 12.837-8.3 17.782-11.565 11.568-30.216 11.27-41.782-.297h-.002c-11.566-11.566-11.863-30.22-.295-41.785 4.742-4.743 11.014-7.443 17.186-8.297zM324.49 87.196c-32.255 0-58.402 26.147-58.402 58.403 0 32.255 26.147 58.402 58.402 58.402 32.256 0 58.403-26.147 58.403-58.402 0-32.256-26.147-58.403-58.403-58.403zm-111.57 11.74c-1.85.83-3.4 2.17-4.918 3.688-6.72 6.72-6.926 17.668-.207 24.387 6.718 6.718 17.873 6.718 24.594 0 1.608-1.61 2.642-3.56 3.48-5.533-.494 4.46-2.317 8.873-5.735 12.293-8 8-20.896 7.794-28.895-.205-7.998-7.998-8.206-20.895-.207-28.894 3.28-3.28 7.618-5.15 11.887-5.738zm104.89 2.717c-3.913 1.76-7.193 4.592-10.404 7.803-14.21 14.21-14.644 37.37-.433 51.582 14.21 14.21 37.803 14.21 52.013 0 3.402-3.404 5.596-7.53 7.37-11.704-1.05 9.438-4.905 18.773-12.137 26.006-16.92 16.92-44.2 16.485-61.118-.434-16.92-16.92-17.353-44.198-.434-61.117 6.937-6.936 16.11-10.887 25.14-12.136zm-96.124 68.07c-23.87 0-43.22 19.348-43.22 43.217 0 23.87 19.35 43.22 43.22 43.22 23.87 0 43.216-19.35 43.216-43.22 0-23.868-19.347-43.215-43.216-43.215zm-3.52 11.803c-2.824 1.27-5.192 3.316-7.512 5.633-10.262 10.262-10.572 26.98-.31 37.242 10.262 10.262 27.294 10.262 37.554 0 2.456-2.457 4.04-5.436 5.32-8.45-.756 6.815-3.54 13.555-8.763 18.778-12.215 12.215-31.912 11.903-44.127-.312h-.002c-12.215-12.215-12.53-31.914-.312-44.13 5.008-5.007 11.632-7.86 18.152-8.76zm82.322 68.106c-14.153 0-26.078 9.5-29.767 22.47-5.014-.097-10.057-.166-15.154-.166-64.15 0-122.217 7.86-165.02 20.92-21.403 6.53-39.006 14.3-51.93 23.623-14.435 12.847-25.627 24.45-20.85 42.916 5.49 36.45 32.217 68.37 70.718 91.483 43.34 26.017 102.216 41.702 167.08 41.702 64.865 0 123.74-15.685 167.08-41.703 38.48-23.103 65.2-55 70.71-91.427.707-4.507 1.486-9.716.51-14-2.14-11.28-10.294-21-21.344-28.973-12.925-9.324-30.528-17.092-51.93-23.623-25.175-7.682-55.657-13.545-89.524-17.087-2.313-14.808-15.12-26.137-30.578-26.137zm-1.26 11.597c-1.85.832-3.4 2.17-4.92 3.688-6.718 6.72-6.923 17.668-.204 24.387 6.718 6.718 17.87 6.718 24.59 0 1.61-1.61 2.647-3.56 3.486-5.534-.496 4.464-2.32 8.876-5.74 12.296-7.997 8-20.894 7.794-28.893-.205-8-7.997-8.204-20.894-.205-28.893 3.28-3.28 7.618-5.148 11.887-5.737zm-43.662 29.405c5.286 0 10.512.074 15.707.183 4.226 12.065 15.707 20.72 29.215 20.72 12.17 0 22.69-7.023 27.748-17.235 33.278 3.444 62.996 9.144 86.897 16.437 20.132 6.144 36.143 13.47 46.447 20.903 9.27 6.687 13.307 12.79 14.027 17.976-.107 1.926-.283 3.845-.54 5.755-1.483 4.648-5.58 9.927-13.487 15.63-2.407 1.737-5.137 3.468-8.146 5.18-60.55-67.602-319.786-71.505-397.23-.867-2.423-1.428-4.647-2.867-6.65-4.312-7.927-5.72-12.026-11.013-13.5-15.67-.25-1.888-.423-3.784-.53-5.688.708-5.192 4.744-11.306 14.03-18.005 10.305-7.434 26.315-14.76 46.448-20.903 40.265-12.287 96.956-20.105 159.564-20.105zM52.376 394.617c10.775 5.7 23.588 10.725 38.17 15.174 42.803 13.063 100.87 20.92 165.02 20.92s122.22-7.857 165.024-20.92c14.576-4.447 27.384-9.47 38.158-15.167-10.695 14.855-26.175 28.496-45.725 40.232-39.745 23.86-95.63 39.04-157.46 39.04-61.828 0-117.714-15.18-157.46-39.04-19.552-11.737-35.033-25.38-45.728-40.238z"}}]})(props);
};
function GiBubblingFlask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M186.22 21.25c1.304 7.696 2.775 14.91 4.436 21.625h-24.999l10.53 14.78s13.66 19.322 21.75 43.814c4.047 12.245 6.576 25.603 5.595 38-.98 12.394-5.132 23.72-15.093 33.718-20.252 20.325-47.89 40.234-70.968 64.406-23.08 24.17-41.844 53.534-41.845 91.656 0 2.038.002 39.462-.03 76.813-.018 18.675-.04 37.337-.064 51.593-.01 7.13-.017 13.167-.03 17.53-.013 4.366-.07 7.62-.063 7.345l-.28 9.564 9.562.062 312.53 2.28 9.75.064-.344-9.75c.007.21-.043-3.14-.062-7.594-.02-4.454-.046-10.56-.063-17.78-.033-14.443-.068-33.324-.092-52.188-.05-37.73-.063-75.526-.063-77.938 0-38.97-19.523-68.73-43.53-93.03-24.01-24.302-52.733-44.122-73.75-64.407-9.965-9.617-13.824-20.463-14.408-32.563-.583-12.1 2.526-25.324 7.188-37.5 9.003-23.515 23.025-42.038 24-43.313l15.53-15.562h-32.53c1.647-6.712 3.142-13.924 4.438-21.625H186.22zM217 99.78c14.52 15.522 31.15 15.58 45.656.064-4.346 12.522-7.3 26.29-6.625 40.312.764 15.827 6.586 32.085 20.064 45.094v.03c22.692 21.903 51.186 41.51 73.47 64.064 22.28 22.555 38.123 47.073 38.123 79.906 0 2.55.014 40.232.063 77.97.024 18.867.06 37.73.094 52.186.016 6.595.045 11.937.062 16.28l-293.719-2.155c.013-4.24.02-9.396.032-15.842.023-14.266.044-32.948.06-51.625.035-37.356.032-74.663.032-76.813 0-32.095 15.238-56.318 36.657-78.75 21.417-22.432 48.81-42.17 70.686-64.125 13.238-13.287 19.274-29.548 20.53-45.438 1.135-14.317-1.343-28.396-5.186-41.156zm34.47 98.782c-17.31 0-31.532 14.224-31.532 31.532 0 17.307 14.223 31.53 31.53 31.53 17.308 0 31.532-14.223 31.532-31.53 0-17.308-14.224-31.53-31.53-31.53zm0 18.688c7.206 0 12.843 5.636 12.843 12.844 0 7.207-5.637 12.844-12.844 12.844-7.21 0-12.845-5.637-12.845-12.844 0-7.208 5.636-12.844 12.844-12.844zM131.5 277.625c-10.615 14.95-18.094 31.583-18.094 52 0 5.323-.142 119.566-.344 124.72l256.094 3.81c-.304-6.364-.53-121.892-.53-128.53 0-20.39-7.51-37.15-18.126-52h-37c3.193 5.568 5.03 12.007 5.03 18.844 0 20.968-17.215 38.186-38.186 38.186-20.97 0-38.156-17.217-38.156-38.187 0-6.838 1.842-13.277 5.03-18.845H131.5zm144 0c-8.475 2.115-14.625 9.648-14.625 18.844 0 10.87 8.597 19.5 19.47 19.5 10.87 0 19.5-8.632 19.5-19.5 0-9.197-6.175-16.73-14.658-18.845H275.5zM211.344 319.5c18.92 0 34.437 15.518 34.437 34.438 0 18.918-15.516 34.468-34.436 34.468s-34.47-15.55-34.47-34.47c0-18.918 15.55-34.436 34.47-34.436zm0 18.688c-8.82 0-15.78 6.93-15.78 15.75s6.96 15.78 15.78 15.78 15.75-6.96 15.75-15.78-6.93-15.75-15.75-15.75zm92.97 10.125c25.53 0 46.436 20.905 46.436 46.437 0 25.53-20.905 46.438-46.438 46.438-25.532 0-46.437-20.906-46.437-46.438 0-25.532 20.905-46.438 46.438-46.438zM304.31 367c-15.433 0-27.75 12.317-27.75 27.75s12.317 27.75 27.75 27.75 27.75-12.32 27.75-27.75c0-15.433-12.316-27.75-27.75-27.75z"}}]})(props);
};
function GiBud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M384.125 18.97c-70.015 129.283-252.07 74.705-332.5 193.757l38.88 103.666c22.01-21.787 47.782-40.787 79.567-54.06l9.258-3.868 3.2 9.51c12.575 37.39 23.49 94.565 26.86 147.505l102.616-30.894c22.346-120.723 64.364-227.22 179.244-188.4-.588-.9-1.215-1.802-1.844-2.686-25.24-32.43-76.745-57.15-126.562-53.344-7.054 6.68-14.54 13.147-22.156 19.75-41.628 36.097-88.005 75.316-100.375 170.75l-18.563-2.406c13.072-100.845 65.095-146.402 106.688-182.47 20.796-18.032 38.698-33.91 49.125-53 10.15-18.584 14.12-40.507 6.562-73.81zm99.906 61.968c-25.515 2.268-52.788 3.074-82.03 1.624-2.063 6.823-4.76 13.198-8.03 19.188-3.806 6.966-8.29 13.374-13.25 19.438 22.365.908 44.225 6.32 63.905 15.124l39.406-55.375zM92.966 112.686c-24.006 18.624-41.328 40.01-55.32 62.77l6.193 16.51c15.573-19.714 34.12-34.565 54.695-46.66l-5.568-32.62zm-65.36 89.218c-9.833 47.09-12.01 104.668-2.27 155.688 11.808 61.856 40.106 112.43 90.153 127.283 34.535 10.248 83.65 10.54 126.72-4.996 38.26-13.802 71.604-39.362 88.542-81.42l-120.473 36.27c.24 8.67.253 17.144-.004 25.293l-18.68-.587c1.737-55.24-9.873-129.092-23.745-175.46-39.45 18.767-68.732 47.248-94.04 79.536l-14.71-11.53c5.46-6.967 11.147-13.825 17.107-20.503l-48.6-129.576z"}}]})(props);
};
function GiBuffaloHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M167.3 16.62c-24.7 4.14-49.6 7.41-73.41 15.75-1.48.01-2.96.04-4.47.08-6.38.17-13.01.6-19.89 1.26-11.69-7-32.19-7.85-48.58-11.57 10.1 4.13 18.87 8.92 26.06 14.5-9.3 1.5-19 3.38-29.13 5.67V411.6c23.41 26.6 30.14 51.7 32.2 81.2l52.32-.3c13.4-28 31.1-47.6 52.4-61.8 10.8 11.4 3.8 28.6 3.2 42.6 12-20 23.9-40 29.2-59.6 8.5-3.4 17.3-6.5 26.5-9.3-.7 14.2-15.3 29.1-17.5 42.4 20-12.4 37.6-32 45.1-50.2 13.8-3.5 28.4-6.9 43.8-10.7l.1-.1h.2c17.4-3.6 32.8-1 46.2 5.2 6.3 14.8 21.9 43.4 24 42.8-2.9-10-4.6-20.5-5.7-31.1 4.2 3.3 8.1 7.1 11.7 11 2.1 2.3 4.2 4.7 6.2 7.1.6 17.3 4.2 34.7 13 49.3.7-10.2-1.1-20.2.9-30.5 9.4 13.7 17.6 27.9 25.7 39.9 1.6 2.3 2.2 2 3.7 1.5 1.5-.4 2.9-1.9 3.1-3.1 1.5-8.2 1.7-24.9 4.4-40.4 1.3-7.7 3.2-15.4 6.9-22.1.5-.9 1-1.8 1.6-2.6-7.1-13.2-11.5-25.2-13.3-36.2-2-13-.1-25.1 6.2-34.5 10.9-16.6 32.2-23.3 59.4-23.3h2c-4.8-31.5-6.7-64.2-11.4-96.3 7.3 9.6 16.7 17.3 28.8 20.4-7.3-5.3-26.5-39.5-36.1-59.2-3.4-13.8-7.8-27.5-13.7-40.7-.7-.4-1.9-1.2-4.2-2.2-3.3-1.4-8-3.1-13.7-4.6-11.3-3.1-26.3-5.8-42.4-7.3-28-2.4-59.4-.6-80.9 8.7 9.4 17.8 23.9 30.2 50.2 34.4l9 1.4-1.5 9c-1.6 9.2-3.7 22.9-8.4 34.6-2.4 5.9-5.3 11.5-10.2 15.9-4.9 4.3-12.7 6.7-20 4.7-26.7-7.3-45.5-24.7-57.8-46.6-2.8 19.8-4.9 42.3-5 64.2-.1 34.4 5.2 67 17.8 84.6l-14.6 10.4c-16.9-23.6-21.4-59-21.2-95 .1-35 5-70.5 10.3-96.4-.9-3.4-1.7-7-2.4-10.5-3-15.4-4.1-31.5-3.5-47.2C230 80.56 208.6 62.92 183 50.72c-2.7-1.3-5.5-2.54-8.3-3.72 13.9-2.29 28.4-3.82 43.6-4.5-29.2-5.85-55.2-6.91-80.3-6.45-2.4-.46-4.8-.86-7.3-1.24 10.7-6.86 24.5-12.01 36.6-18.19zM271.6 73.9c-4 22.71-4.4 48 0 70.9 7.1 36.3 25.2 65.9 60.1 75.4 2 .6 1.8.5 3.3-.8 1.4-1.3 3.6-4.6 5.4-9 2.6-6.5 4.3-14.8 5.7-22.5-34.5-8.8-53-33.7-62.6-61.4-5.9-17-9.1-35.2-11.9-52.6zm98.6 166.4c11.1 0 24.7 6.9 24.2 15.7-.6 10.1-21.1 11.5-29.8 6.3-5.5-3.4-9.9-14.2-5.2-18.6 2.5-2.4 6.5-3.4 10.8-3.4zm109.3 96.5c-23.7.1-38.6 6.2-44.5 15.2-3.5 5.2-5 12-3.4 21.8 1.2 7.6 4.4 16.8 9.8 27.5.8-.3 1.6-.6 2.5-.8h.1c6.3-1.4 17.4-4.8 27.5-9.2 10-4.3 19.1-10.4 21.2-13.3 2.3-3.3 2.1-10.1-.6-19.5-2-6.8-5-14.2-7.1-21.6-1.9 0-3.7-.1-5.5-.1zm-11.7 15.3c.7 0 1.4 0 2.1.1 3.6.3 7.2 1.5 10.4 3.7l-10.2 14.8c-.9-.6-7.9-.8-11 7l-16.8-6.8c4.8-11.6 15.2-18.7 25.5-18.8z"}}]})(props);
};
function GiBugleCall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M340.53 16.47l-19.25 89.374L391.94 16.47H340.53zm151.283 18.686L372.063 167.75l119.75-47.906V35.156zM185.375 80.25c-.652.01-1.293.034-1.938.063-9.51.422-18.37 2.635-25.687 7.593-16.964 11.492-11.295 37.156-22.78 63.094C95.73 239.616 56.09 303.885 21.062 351.313v103.375c61.582-21.345 153.303-43.464 287.343-47.907 28.125-.93 49.728 12.582 66.594 1.158 41.638-28.207 26.563-122.468-33.28-210.813-3.74-5.52-7.224-11.14-11.126-16.344-46.8-62.426-104.125-101.083-145.22-100.53zM180 104.75c-6.756 13.893-.412 43.86 15.938 80.75-5.16-18.626-4.688-32.142 2.687-36.625 16.125-9.802 59.054 27.175 95.875 82.594 36.82 55.417 53.593 108.29 37.47 118.093-6.634 4.032-17.81.138-31.22-9.688 27.717 28.092 52.734 44.51 68.094 43.656-1.785 3.17-3.675 6.244-6.5 8.158-26.9 18.225-91.755-30.25-144.656-108.344-52.902-78.094-73.87-156.34-46.97-174.563 2.757-1.866 5.784-3.525 9.282-4.03zm311.813 115.563l-84.688 27.437 84.688 12.844v-40.28z","fillRule":"evenodd"}}]})(props);
};
function GiBulb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M313.3 17.086c-13.082 12.09-26.162 25.898-39.24 42.238-40.78 61.662-59.706 130.838-39.908 213.328-35.99-92.217-15.31-164.737 29.243-228.96-1.796-8.394-4.97-16.178-9.848-23.335-18.883 65.377-89.362 100.41-147.62 146.344-32.994 28.667-51.81 58.787-57.06 89.454-4.766 27.835 1.33 56.803 19.78 87.094 10.802-34.31 26.768-63.865 46.324-84.49l9.24-9.744 5.927 12.048c32.275 65.613 71.142 112.01 114.412 140.842 10.374-18.086 14.635-36.342 19.333-55.845l2.474-10.277 9.895 3.715c22.212 8.34 44.04 18.5 61.678 35.14 18.183-38.612 27.566-85.392 23.783-142.236l-.797-11.978 11.81 2.168c22.627 4.154 45.408 14.432 65.753 30.54 3.233-10.887 3.598-21.046 1.475-30.638-2.42-10.94-8.185-21.423-17.627-31.346-55.215-43.087-121.203-82.3-109.03-174.062zM459.16 223.828c1.99 13.81.06 28.272-5.61 42.79 14.545 14.657 27.26 32.713 36.968 54.05 6.42-42.19-8.148-71.86-31.358-96.84zm-78.387 19.922c3.938 117.992-48.892 196.586-118.076 246.203 41.487-1.66 82.776-11.07 118.708-28.603 38.565-59.352 53.18-120.09 21.737-183.485 41.182 56.464 37.983 108.683 14.457 161.6 29.275-21.75 52.308-50.63 64.94-86.918-18.195-60.55-60.133-96.758-101.767-108.797zm-351.93 23.576c-6.177 20.626-8.39 44.052-5.187 71.22 3.357 28.463 14.477 53.087 31.186 73.73 1.48-15.455 3.942-30.564 7.295-45.065-23.806-33.228-35.06-67.02-33.294-99.884zm91.03 14.627c-25.597 33.54-44.708 89.362-47.594 148.688 25.046 22.66 57.76 39.022 93.898 48.803-34.22-40.04-60.895-91.9-43.45-151.37-9.138 65.866 35.742 116.368 82.06 159.146 8.045 1.097 16.177 1.884 24.355 2.382 21.233-12.672 41.274-27.57 59.058-45.157-65.71-22.84-123.458-76.94-168.325-162.492zm159.564 79.024c-4.064 16.386-8.998 33.45-18.932 50.656 13.564 7.528 27.518 13.412 41.795 17.732 9.843-11.415 18.77-23.84 26.56-37.367-13.084-13.78-30.284-23.143-49.424-31.02z","fillRule":"evenodd"}}]})(props);
};
function GiBullHorns (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M73.813 39.28c70.517 36.34 49.052 103.816 8.374 138.22-88.595 74.925-82.78 199.22 48.25 244.563-10.524-32.924-9.554-66.272 2.063-99.063-30.195-25.72-38.378-63.247 11.906-135.656 30.388-43.758 23.922-140.87-70.594-148.063zm361.5 0c-94.516 7.193-100.982 104.306-70.594 148.064 47.774 68.795 42.742 106.107 16.217 131.72 7.033 17.736 12.06 35.84 13.282 54.467.963 14.702-.57 29.68-5.25 44.72 120.973-48.166 124.15-167.84 37.936-240.75-40.677-34.404-62.11-101.88 8.406-138.22zm-79.875 268.345c-66.123 9.62-131.398 17.49-196.22.688-23.464 45.56-24.194 89.256.47 134.656 65.572-6.135 131.11-5.805 196.593.06 15.795-23.503 20.762-45.73 19.283-68.28-1.44-21.957-9.355-44.356-20.125-67.125z"}}]})(props);
};
function GiBull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M68.596 28.182c-86.767 50.67-51.027 136.884 123.35 136.884l2.835-70.433c-71.07 14-169.105 15.57-126.184-66.45zm378.455 0c42.92 82.022-55.114 80.45-126.185 66.45l2.836 70.434c174.378 0 210.117-86.213 123.35-136.884zM174.206 220.768c-3.798.104-7.758.785-11.816 2.087-1.887 29.822 11.63 50.308 48.516 39.88-.462-26.26-16.194-42.53-36.7-41.967zm167.213 0c-20.507-.563-36.24 15.707-36.7 41.966 36.886 10.43 50.404-10.057 48.518-39.88-4.058-1.3-8.02-1.982-11.818-2.086zm-53.123 162.7l-10.793 15.266c15.535 10.978 19.19 32.196 8.21 47.73C274.736 462 253.533 465.64 238 454.663c-15.535-10.978-19.19-32.193-8.21-47.728 2.03-2.875 4.483-5.42 7.288-7.543l-11.263-14.894c-4.34 3.283-8.153 7.203-11.292 11.645-16.805 23.784-11.098 56.982 12.685 73.788 23.784 16.806 56.956 11.098 73.762-12.686 16.806-23.783 11.11-56.967-12.672-73.773z"}}]})(props);
};
function GiBulldozer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M94.071 92.535v85.772c5.493.912 10.978 1.915 16.346 3.062 1.052-16.604 6.311-33.717 19.521-47.064 14.006-14.151 36.123-23.201 68.34-24.377l-1.838-17.393zm290.104 24.387l-17.938 1.496 3.451 41.416 17.961-1.209zm-184 10.963c-29.839.853-47.228 8.759-57.444 19.08-10.324 10.431-14.198 24.227-14.498 39.074 16.892 7.201 32.876 13.728 34.407 32.443l48.607 14.243zm64.564 15.851v50.268h16.135v-50.268zm124.407 32.828l-17.963 1.207 3.11 37.336L353.2 227.47l2.43 19.437 20.322-11.908 6.37 76.422c4.133-8.828 9.474-17.361 15.949-25.34zm-332.26 18.737l-30.067 75.166 15.672 26.12 27.926-49.024 43.803.826 163.758 49.17 27.59 32.978h42.378l-14.875-118.99-106.627-6.272 3.526 33.371 58.347 17.397-5.142 17.248c-46.641-13.699-94.304-28.4-140.537-41.912 3.413-15.453 1.87-18.897-11.332-24.932-24.049-10.298-47.517-9.563-74.42-11.146zm23.88 70.459l-57.8 101.474 32.762 48.635h213.005l43.418-49.41-44.517-53.211-156.225-46.91zm24.366 15.08c14.289 0 26.066 11.777 26.066 26.066 0 14.29-11.777 26.067-26.066 26.067-14.29 0-26.065-11.778-26.065-26.067s11.776-26.066 26.065-26.066zm311.5 11.56c-27.812 30.32-34.254 70.426-16.715 98.655 7.529 12.117 27.669 20.92 51.041 25.056 12.635 2.236 25.873 3.169 38.076 3.354-30.21-21.402-48.91-41.992-59.601-63.692-10.052-20.402-12.867-41.244-12.801-63.373zm-311.5 6.44c-4.562 0-8.067 3.504-8.067 8.066 0 4.562 3.505 8.069 8.067 8.069s8.068-3.507 8.068-8.069c0-4.562-3.506-8.066-8.068-8.066zm130.74 25.63c21.985 0 40 18.016 40 40 0 21.985-18.015 40-40 40s-40-18.015-40-40c0-21.984 18.015-40 40-40zM81.962 335.73c17.843 0 32.5 14.657 32.5 32.5 0 17.842-14.655 32.5-32.498 32.5-17.843 0-32.5-14.658-32.5-32.5 0-17.843 14.655-32.5 32.498-32.5zm153.91 6.74c-12.258 0-22.002 9.744-22.002 22.002s9.744 22 22.002 22 22.002-9.742 22.002-22-9.744-22.002-22.002-22.002zm84.752 6.066l15.236 18.211-13.173 14.992h53.322c-3.336-10.645-4.5-21.877-3.65-33.203zm-238.662 5.192c-8.116 0-14.5 6.386-14.5 14.502 0 8.115 6.386 14.501 14.502 14.501s14.5-6.386 14.5-14.501c0-8.116-6.386-14.502-14.502-14.502z"}}]})(props);
};
function GiBulletImpacts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105.4 26.28C122.1 96.08 82.98 121 27 132.6c70.72 24.3 36.69 48.4 21.99 72.6 66.01-5.1 87.51 25.8 87.41 74.3 36.5-20.1 51.6-62.3 147.1-21.6-23.4-43.1-31.9-75.3 20.3-118.5-39.7-14.2-77-30.2-58.1-81.17-56.3 37.85-98.9 5.52-140.3-31.95zm66.9 67.89a62.23 62.23 0 0 1 62.2 62.23 62.23 62.23 0 0 1-62.2 62.2 62.23 62.23 0 0 1-62.2-62.2 62.23 62.23 0 0 1 62.2-62.23zM318.9 218.2c17.3 81.3-25 98-89 91.2 30.9 31.9 50.2 68 16.1 123.1 45.3-11.2 88.5-13.6 113.9 49.8 22.5-46.1 64.8-52.4 116.7-38.7-17.9-27.7-38-55.4 16.9-82.8-37-25.5-74.3-50.7-49.4-124.5-45.3 51-86.7 40.1-125.2-18.1zm47.4 76.7a62.23 62.23 0 0 1 62.2 62.2 62.23 62.23 0 0 1-62.2 62.2 62.23 62.23 0 0 1-62.2-62.2 62.23 62.23 0 0 1 62.2-62.2z"}}]})(props);
};
function GiBullets (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M162.322 17.943l-28.316 105.682 18.053 4.838 4.194-15.654 169.764 45.487 11.28-42.088-169.872-45.105 4.838-18.052 169.87 45.103 4.038-15.066L176.404 37.6l3.97-14.82-18.052-4.837zM361.336 98.7l-14.453 53.943c53.99 13.97 102.986 20.59 150.95 10.964-37.1-32.648-82.453-50.034-136.497-64.906zM128.676 145l-41.82 101.104 17.27 7.142 6.216-15.023L272.75 305.4l16.36-39.556-162.43-67.12 7.142-17.27 162.432 67.118 6.254-15.12-162.406-67.18 5.843-14.13-17.27-7.142zm186.818 105.95l-21.344 51.605c51.717 20.872 99.435 33.81 148.24 30.502-32.538-37.196-75.244-60.332-126.896-82.106zM77.107 266.067l-54.705 94.752 16.186 9.346 8.133-14.086 152.23 87.893 20.472-35.452L66.988 320.97l9.344-16.183 152.434 87.545 9.117-15.79L85.65 288.647l7.643-13.238-16.186-9.344zM248.46 395.594l-27.92 48.363c48.526 27.46 94.13 46.532 142.942 49.647-27.38-41.132-66.678-69.662-115.02-98.01z","fillRule":"evenodd"}}]})(props);
};
function GiBullseye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M311.133 257.95a15.074 15.074 0 0 1-12.845 17.026l-147.248 20.61-21.33 32.522-82.637 11.57 21.33-32.568-24.547 3.44c-.278 0-.555.12-.843.165a15.218 15.218 0 0 1-2.108.144 15.074 15.074 0 0 1-2.074-30.016c.29 0 .567 0 .855-.078l24.547-3.438-29.45-25.512 82.582-11.547 29.45 25.51 147.26-20.608a15.196 15.196 0 0 1 2.107-.145 15.085 15.085 0 0 1 14.953 12.923zm-36.704-38.546a32.4 32.4 0 0 1 10.847-10.326 23.427 23.427 0 0 1 13.422-3.04 27.875 27.875 0 0 1 13.542 5.047 44.557 44.557 0 0 1 11.924 12.59 66.342 66.342 0 0 1 8.386 19.134 77.48 77.48 0 0 1 2.562 21.995 67.895 67.895 0 0 1-3.494 19.966 46.132 46.132 0 0 1-8.54 15.352 28.163 28.163 0 0 1-12.402 8.552 23.382 23.382 0 0 1-13.765.255 32.012 32.012 0 0 1-12.512-7.122 45.478 45.478 0 0 1-5.734-6.2l-32.278 4.514a131.154 131.154 0 0 0 7.1 15.973 104.566 104.566 0 0 0 18.656 25.512 69.016 69.016 0 0 0 23.893 15.806 48.373 48.373 0 0 0 27.597 2.22 53.43 53.43 0 0 0 26.31-14.876c7.898-7.853 14.42-18.258 19.112-30.514a131.997 131.997 0 0 0 8.32-41.995 153.26 153.26 0 0 0-5.48-46.92 128.758 128.758 0 0 0-18.49-39.932c-7.6-10.726-16.417-18.946-25.78-24.403a52.998 52.998 0 0 0-27.962-7.62 48.573 48.573 0 0 0-26.278 8.718 69.88 69.88 0 0 0-20.165 21.897 107.505 107.505 0 0 0-11.99 29.516A137.144 137.144 0 0 0 237.68 235l31.192-4.37a49.172 49.172 0 0 1 5.557-11.226zm198.305-34.984c-10.926-35.274-27.287-64.757-46.842-87.374-18.557-21.518-39.544-36.26-61.118-44.213-20.155-7.41-40.564-8.74-59.953-4.248-18.058 4.204-35.196 13.466-50.603 27.62-14.42 13.21-26.09 29.626-35.185 47.807a233.224 233.224 0 0 0-19.29 56.57 286.023 286.023 0 0 0-5.856 60.674l22.582-3.16a209.143 209.143 0 0 1 5.047-40.344 166.26 166.26 0 0 1 15.972-42.926c7.365-13.4 16.716-25.124 27.997-34.087 11.89-9.44 24.88-14.986 38.3-16.64 14.165-1.774 28.773.744 42.938 7.51 14.863 7.1 29.084 18.78 41.485 34.774 12.856 16.572 23.515 37.46 30.66 61.917a225.515 225.515 0 0 1 8.74 74.65c-1.254 24.05-6.4 46.422-14.72 65.656-8.042 18.58-18.857 33.887-31.824 44.88-12.313 10.47-26.345 16.915-41.463 18.656a76.226 76.226 0 0 1-41.163-7.1c-12.313-5.722-23.826-14.485-34.03-25.51a162.212 162.212 0 0 1-25.724-37.637 204.584 204.584 0 0 1-14.542-38.578l-22.484 3.106a280.965 280.965 0 0 0 19.966 57.823 228.2 228.2 0 0 0 32.168 50.092c12.99 15.186 27.82 27.83 43.914 36.793 17.18 9.574 36.027 15.064 55.705 14.865 21.263-.21 41.44-7.022 59.52-19.778 19.356-13.654 36.005-33.897 48.617-59.432 13.244-26.82 21.697-58.788 24.048-93.64a300.742 300.742 0 0 0-12.856-108.76z"}}]})(props);
};
function GiBullyMinion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M296.8 20.89c-14.1 0-27.1 7.44-37.1 20.63-10 13.19-16.5 32-16.5 52.96 0 20.92 6.5 39.82 16.5 52.92 10 13.2 23 20.7 37.1 20.7 14.1 0 27.1-7.5 37.1-20.7 8.9-11.7 15-28 16.3-46.2-5.4 0-11-1.3-15.9-5.5 1.8-11.28 7.2-18.49 13.2-24.96-2.8-11.27-7.6-21.27-13.6-29.22-10-13.19-23-20.63-37.1-20.63zm-63.6 31.27c-23 1.19-50 4.6-62.9 11.78C72.22 133.3 47.78 244.5 48.84 354c-5.75 36.3-6.05 50.8 8.94 82.4 11.42 24.1 44.22 13.3 51.92-8.9-20.31-20.2-22.43-26.3-21.88-53.5l19.38 28.5 12.5-8.4c-2.7-21.3-15.5-39.9-29.43-58.4 1.46-53.9 8.09-88.8 41.23-128.2l15 4.6-12.3 123.5c49.8 9.1 105.2 12.4 145.4 4.2l-3-95.3c37.2 35.4 50.7 86.2 75.9 129.5 4.1 19.7 13.8 42 24.3 46.3 35.2 14.5 61.6-34.6 34.4-55.2l55.6-187.9-27.3-101.63-57 288.03L325 232.8c3.4-19.4 5.6-39 6-57.8-10.1 7-21.7 11.1-34.2 11.1-20.5 0-38.8-11.1-51.4-27.8-12.7-16.7-20.2-39.2-20.2-63.82 0-15.22 2.9-29.61 8-42.32zm41.1 10.56c13 4.45 34.4 17.47 42.9 33.68-4.3 10.8-27.1 5.9-37.9-4.19zM133.5 353.7c10.4 42.7 10.1 82.1-1.6 116.4l19.6 21 22.6-10.3-3.3-62.2c32.9-34.4 74.2-51.6 105.6.5-25.6 22.8-23.3 25.3-31.7 57.3l94.3 1.1c-2.7-16.7-33.1-23.8-56-27.1l23.8-22.3-23.6-70.7c-43.7 9.2-99.1 5.5-149.7-3.7z"}}]})(props);
};
function GiBundleGrenade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304.844 280.232a43.459 43.459 0 0 0 15.51-2.94 57.63 57.63 0 0 0 3.14 17.82 83.92 83.92 0 0 0-18.65-14.88zm-55.49 32.54c.45 9.86 5 21.16 13.58 31.36 11.77 14 27.87 22.2 41.31 22.2a25.45 25.45 0 0 0 14.42-4.06c14.29-9.64 12.52-33.41-4-53.07-10.55-12.59-24.56-20.42-37-21.92zm-14.2-90.36a52.77 52.77 0 0 1-1.26-19.51 42 42 0 0 1-18.2 4.7 85.19 85.19 0 0 1 17.19 15.59l.43.54c.19-.17.39-.34.59-.5.39-.298.797-.572 1.22-.82zm-55.84-11.15a25.45 25.45 0 0 0-14.42 4.06c-14.3 9.65-12.52 33.4 4 53.07a68.72 68.72 0 0 0 16.65 14.42l39.93-42.87a68.08 68.08 0 0 0-4.81-6.48c-11.84-14.04-27.93-22.2-41.38-22.2zm53.74-158.67a20.88 20.88 0 0 0-3 2.47l-6.34 6.28 40.91-9a43.9 43.9 0 0 0-17.15-3.75 25.45 25.45 0 0 0-14.42 4zm-.08 67.47a48.823 48.823 0 0 1 .4-9.14 38.91 38.91 0 0 1 10.66-22.14l.27-.29 19.8-19.61-61.65 13.54-14.29 14.17c15.63 1.55 32.07 10.18 44.81 23.52zm-8.56 14.41c-11.78-14-27.87-22.2-41.31-22.2a25.45 25.45 0 0 0-14.42 4.06c-14.3 9.65-12.52 33.4 4 53.07 11.77 14 27.87 22.2 41.31 22.2a25.45 25.45 0 0 0 14.36-4.01c14.32-9.64 12.55-33.41-3.94-53.07zm101.94 61.47a60.14 60.14 0 0 1-2.72-11.92 39.41 39.41 0 0 1-6.54 2.7 85.77 85.77 0 0 1 9.26 9.22zm-65.86 6.31l.25-.27.26-.26a19 19 0 0 1 2.12-1.79 19.77 19.77 0 0 1 11.7-3.69c13 0 25.44 11.64 30.18 16.65a60.32 60.32 0 0 1 11.41 16.43c6.34 14.29 0 22.74-3 25.71l-.25.25-.26.23-9.61 8.66h1.14a25.45 25.45 0 0 0 14.42-4.06c14.29-9.64 12.52-33.41-4-53.07-11.78-14-27.87-22.2-41.31-22.2a25.45 25.45 0 0 0-14.42 4.06c-7.65 5.16-10.69 14.37-9.35 24.82zm212.64 59.22c9.77-9.68 8.64-28-2.63-44.81l-2.74 50.13zm-50.5-23.68a36.62 36.62 0 0 1-5.07 4.14 41 41 0 0 1-20.84 6.71 85.17 85.17 0 0 1 17.33 15.69c10.08 12 16 25.64 17.15 38.67l19.6-19.41 4.26-77.88-32.19 31.88zm-31.28 93.99a25.45 25.45 0 0 0 14.42-4.06c14.29-9.64 12.52-33.41-4-53.07-11.78-14-27.87-22.2-41.31-22.2a25.45 25.45 0 0 0-14.42 4.06c-14.3 9.65-12.52 33.4 4 53.07 11.73 14.01 27.83 22.2 41.31 22.2zm-12.67-279.95c-11.78-14.05-27.87-22.24-41.33-22.24a25.45 25.45 0 0 0-14.42 4.06 20.88 20.88 0 0 0-3 2.47l-15.33 15.21a195.28 195.28 0 0 1 25.18 11.26c16.89 8.81 36.82 21.12 56.45 34.85l5.1-5c3.09-11.5-1.27-27.03-12.65-40.61zm-100.63 25.76c17.19 1.72 35.38 12 48.52 27.66 9.08 10.83 14.81 22.94 16.68 34.75l31.42-31.11c-37.76-26.17-69.41-42.11-83-44.74zm36.3 38c-11.78-14-27.87-22.2-41.31-22.2a25.45 25.45 0 0 0-14.42 4.06c-14.3 9.65-12.52 33.4 4 53.07 11.77 14 27.87 22.2 41.31 22.2a25.45 25.45 0 0 0 14.42-4.06c14.22-9.66 12.44-33.43-4-53.07zm154.68-3.68c-11.78-14-27.87-22.2-41.31-22.2a25.45 25.45 0 0 0-14.42 4.06 20.88 20.88 0 0 0-3 2.47l-10.83 10.73c21.94 16.19 55.1 42.81 67.76 64.26l8.8-8.72c10.86-10.83 8.18-32.47-7.03-50.62zm-100.68 25.78c17.19 1.72 35.38 12 48.52 27.66 10.08 12 16 25.64 17.15 38.67l21.33-21.08c-4.86-11.5-26.79-34.9-67.43-64.59zm-15.49 72.9c11.77 14 27.87 22.2 41.31 22.2a25.45 25.45 0 0 0 14.42-4.06c14.29-9.64 12.52-33.41-4-53.07-11.78-14-27.87-22.2-41.31-22.2a25.45 25.45 0 0 0-14.42 4.06c-14.26 9.62-12.51 33.37 4 53.07zm-289.75 240.18a63.08 63.08 0 0 1 10.76 15l15.91-18.38a32.09 32.09 0 0 0-8-12.77 44.42 44.42 0 0 0-18.73-11l-16.81 14.08c7.55 3.89 13.81 9.84 16.87 13.07zm239-207.12c2.85-2.81-.95-11.44-8.79-19.73-6.68-7.06-14.21-11.65-18.56-11.65a3.86 3.86 0 0 0-2.31.64c-.11.082-.213.172-.31.27l-10.72 11.51a60.74 60.74 0 0 1 17.17 12 53.39 53.39 0 0 1 11.76 17.63zm-34.87 4.37a43.79 43.79 0 0 0-17.57-10.72l-127.09 136.53-45.6 38.15a61.46 61.46 0 0 1 16.17 11.38 50.49 50.49 0 0 1 8.2 10.71l37.5-43.33 138.14-124.42c-.31-3.84-2.79-11.35-9.7-18.3zm-215.75 213.75c-6.68-7.06-14.21-11.65-18.56-11.65a3.86 3.86 0 0 0-2.31.64c-3.42 2.48.37 11.44 8.47 20 6.69 7.06 14.21 11.65 18.56 11.65a3.86 3.86 0 0 0 2.31-.64c3.39-2.49-.36-11.44-8.47-20z"}}]})(props);
};
function GiBunkerAssault (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M127.947 80.889v25.302h253.897V80.89H127.947zm43.074 38.166v46.84H337.79v-46.84H171.021zm-32.726 1.033v112.324h20.422V120.088h-20.422zm214.121 0v112.324h20.422V120.088h-20.422zM171.021 200.31v32.156H337.79V200.31H171.021zM26.543 245.744v18.602h450.853v-18.602H26.543zm120.877 33.104l-42.746 8.94 16.512 7.81L14.312 393.62l.24.113 127.635 60.409.014-.268s1.787-35.526 3.893-71.377c1.052-17.925 2.186-35.93 3.213-49.617.513-6.843 1-12.607 1.437-16.738.22-2.066.427-3.723.617-4.9.096-.59.186-1.06.272-1.395.069-.27.13-.38.166-.452l15.31 7.069-19.69-37.617zm217.937 0l-19.687 37.617 15.31-7.069c.037.072.096.182.165.452.085.336.178.805.273 1.394.19 1.178.396 2.835.615 4.9.438 4.132.926 9.896 1.44 16.739 1.027 13.686 2.158 31.692 3.21 49.617a9809.124 9809.124 0 0 1 3.895 71.377l.014.268 127.875-60.522-.196-.18-106.68-97.843 16.513-7.81-42.747-8.94zm-110.795 1.84l-43.517 33.1 21.555.103c0 .034.006.035.002.082-.01.134-.038.314-.082.533a22.22 22.22 0 0 1-.461 1.771c-.434 1.476-1.116 3.522-2.01 6.047-1.788 5.051-4.424 12.031-7.63 20.283-6.41 16.504-15.098 38.099-23.831 59.555-17.466 42.913-35.117 85.276-35.117 85.276l-.133.318 180.691-.85-.125-.312-68.449-172.104 23.324-.103-44.216-33.7z"}}]})(props);
};
function GiBunker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M59.18 34.76v39.65H457.03V34.76zm67.5 51.391v73.396h39.994l-.084-.042 9.853-6.86 3.569-21.466 9.66 7.119 21.807-3.285-3.883 11.261 6.767 13.274h173.635V86.15zm-42.87 1.62v176.01h32V87.77zm313.89 0v176.01h32V87.77zM275.706 98.397l-1.055 7.39 8.748 9.638-7.693 2.17-6.674 9.935-1.383 2.06-3.7-6.05-13.727-2.225 5.408-5.908-.428-13.37 7.043 2.4zM126.68 213.48v50.385h261.318V213.48zm186.41 4.4l16.308 8.05 9.284-3.086-2.358 17.553 6.08 7.808-17.765 2.797-5.528 7.914-8.623-15.824-9.494-2.918 2.135-2.16 10.3-10.418zM79.105 281.932l-.904 18.49H434.84l-.904-18.49zm-1.783 36.49l-7.76 158.818H443.48l-7.76-158.818z"}}]})(props);
};
function GiBuoy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M332.53 21.45l-38.774 56.273 14.422 2.027 6.93.975-1.948 13.863-31.687-4.455-1.256 8.912-4.45 31.652-.007.037-.004.037-7.654 54.427-31.03-4.363-1.79 8.14-40.817 185.604c6.63-.623 12.886-1.17 18.79-1.63l3.35-15.24 134.624 18.93-.984 15.587c5.568 2.076 11.38 4.294 17.61 6.732L380.33 200.98l-31.027-4.363 13.367-95.066-31.69-4.456 1.95-13.862 21.353 3.002L332.53 21.45zM174.007 71.224c-15.522 3.527-31.163 14.648-45.994 28.476C113.687 86.316 99.334 76.17 82.475 71.35l-4.95 17.304c15.107 4.32 28.602 14.202 44.112 29.71L128 124.73l6.363-6.367c15.35-15.35 32.643-27.09 43.63-29.588l-3.987-17.55zm142.03 42.213c1.16-.012 2.337.063 3.526.23 12.685 1.784 21.358 13.294 19.575 25.978-1.784 12.685-13.292 21.356-25.977 19.573-12.684-1.785-21.36-13.295-19.576-25.98 1.616-11.495 11.224-19.694 22.45-19.803zm-27.17 53.355c5.884 5.357 13.364 9.068 21.786 10.252 8.424 1.184 16.637-.32 23.77-3.848l-2.943 20.912-45.552-6.405 2.94-20.912zm-17.95 36.978l70.7 9.943-38.762 20.06-31.938-30.002zm-21.457 4.544l36.442 34.23-49.617 25.68 13.174-59.91zm111.384 15.717l-3.82 60.624-40.256-37.812 44.076-22.81zm-61.028 31.583l38.8 36.444-85.886-12.077 47.086-24.367zm-69.423 39.405l124.873 17.558-2.9 46.045-131.882-18.544 9.91-45.058zm21.962 93.798c-23.248-.01-51.884 3.056-95.332 7.653L95.807 494h320.386l-18.384-63.674c-72.987-29.56-100.19-40.694-140.874-41.467-1.505-.03-3.03-.043-4.58-.044z"}}]})(props);
};
function GiBurn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16C121 16 16 76 16 136c0 30 15 45 30 60-15 15-30 54.417-30 75v165c0 30 30 60 60 60h360c30 0 60-15 60-60V256c0-18.957-15-45-30-60 15-15 30-30 30-60 0-60-105-120-240-120zm0 60c105 0 180 15 180 60 0 15-15 45-30 60 15 15 30 60 30 75v165H76V271c0-15 15-60 30-75-15-15-30-45-30-60 0-45 75-60 180-60zm-10.375 27.125a15 15 0 0 0-10.844 4.375L107.5 234.78a15 15 0 0 0 0 21.22l10.625 10.594a15 15 0 0 0 21.22 0l127.28-127.28a15 15 0 0 0 0-21.19L256 107.5a15 15 0 0 0-10.375-4.375zm100.75 37.125a15 15 0 0 0-10.813 4.375L144.625 335.563a15 15 0 0 0 0 21.187l10.625 10.625a15 15 0 0 0 21.22 0l190.905-190.938a15 15 0 0 0 0-21.187l-10.594-10.625a15 15 0 0 0-10.405-4.375zM383.5 241a15 15 0 0 0-10.813 4.406l-127.28 127.28a15 15 0 0 0 0 21.19L256 404.5a15 15 0 0 0 21.22 0L404.5 277.22a15 15 0 0 0 0-21.22l-10.594-10.594A15 15 0 0 0 383.5 241z"}}]})(props);
};
function GiBurningBlobs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M30.936 23.332c-.97 100.412 10.37 192.13 100.757 231.064 109.81 47.303 46.883 118.85-58.246 83.002 76.11 65.222 145.665 141.652 200.928 159.985 6.78 2.995 14.26 4.674 22.12 4.674 11.404 0 22.023-3.508 30.835-9.495 31.55 8.544 59.065 11.345 82.4 9.23 19.94-.195 38.412-6.676 53.524-17.556 49.986-33.49 55.46-109.83 11.715-201.34 1.573-8.565 1.077-16.997-1.154-25.322-1.973-9.506-6.227-18.195-12.152-25.476-28.97-42.765-97.358-83.18-159.58-124.506 77.79 99.205 67.214 143.1 10.635 94.234 1.09-7.624-1.225-15.174-6.103-23.178-1.8-3.4-4.032-6.54-6.625-9.343-17.988-22.57-52.22-49.85-87.02-92.078 38.056 186.15-97.83 83.32-182.036-53.895zM267.79 173.836c14.032 0 25.208 11.176 25.208 25.21 0 14.032-11.175 25.208-25.21 25.208-14.032 0-25.208-11.176-25.208-25.21 0-14.032 11.175-25.208 25.21-25.208zm147.575 54.834c22.756 0 41.004 18.248 41.004 41.004 0 22.756-18.248 41.004-41.005 41.004-5.145 0-10.056-.942-14.582-2.65-.746-19.392-10.64-36.512-25.476-47.16 3.997-18.478 20.328-32.198 40.058-32.198zm-75.45 39.473c23.44 0 42.24 18.802 42.24 42.242 0 23.44-18.8 42.242-42.24 42.242s-42.243-18.802-42.243-42.242c0-23.44 18.8-42.242 42.242-42.242zm68.886 65.464c41.396 0 74.755 33.36 74.755 74.754 0 41.397-33.357 74.755-74.754 74.755-23.397 0-44.22-10.662-57.91-27.404.458-2.85.704-5.772.704-8.75 0-15.814-6.752-30.113-17.506-40.183.268-12.963 3.804-25.092 9.828-35.61 23.163-1.518 42.872-16.092 51.803-36.403 4.247-.746 8.613-1.157 13.08-1.157zm-145.53 10.59c12.626 0 22.662 10.038 22.662 22.664 0 12.628-10.035 22.663-22.662 22.663-12.627 0-22.663-10.035-22.663-22.662 0-12.625 10.035-22.663 22.663-22.663zm33.226 66.35c20.22 0 36.414 16.194 36.414 36.414 0 20.222-16.192 36.413-36.414 36.413-20.22 0-36.412-16.192-36.412-36.412s16.19-36.413 36.412-36.413z"}}]})(props);
};
function GiBurningBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M263.813 18.594c-50.387 12.75-80.69 66.325-50.813 111.22 22.477 33.773 44.967 61.167 8.75 79.06-23.353 11.54-50.027-16.454-46.125-49.28 4.812-40.485-18.705-79.927-46.125-88.188 46.237 106.42-43.46 176.998-24.53 77.094-30.286 16.095-32.784 59.017-11.25 122.72-40.372-17.2-55.07-66.767-38.282-120.564-35.866 28.35-53.3 130.904-14.626 183.47C136.425 464.08 248.156 496.343 268 496.343c21.144 0 117.334-33.716 189.594-115.125 41.782-47.074 50.926-168.9 9.22-243.658 5.98 25.335-6.117 76.786-33.845 94.032 4.998-57.774-3.913-140.944-36.69-171.53 32.622 172.802-93.01 152.202-48.374 99.53 29.51-34.825-.17-102.5-17.5-112.375 10.894 42.12-14.24 69.676-54.72 61.436-27.252-5.547-44.743-44.957-11.873-90.062zm-115.157 211.47h18.688V395.25l102.72 55.813L372.78 395.25V230.094h18.69v176.28l-4.908 2.657L274.5 469.876l-4.438 2.438-4.468-2.438L153.53 409.03l-4.874-2.655V230.062zm37.53.217l73.533 44.532v148.313l-73.533-41.438V230.28zm167.72 0v151.407l-75.5 42.563V276.03l75.5-45.75z"}}]})(props);
};
function GiBurningDot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M53.813 48.094c69.06 40.8 122.263 96.67 124.937 153.312-49.83.664-72.508-14.408-101.97-51 17.725 93.07 55.393 143.855 100.72 156.563-22.006 26.968-60.902 30.456-97.625 25.342 35.897 33.924 95.12 70.913 149.094 84.75-17.05 15.34-38.742 24.516-68 29.157 269.316 114.287 386.556 10.27 295.217-277.376-12.035 25.526-29.11 41.112-60.343 57.5-7.906-55.298-31.41-152.12-95.656-171.75 24.362 41.713 21.98 99.445-4 138.937C268.363 122.72 161.85 54.283 53.813 48.095zm308.28 236.656c26.127-.13 52.073 11.014 70.157 32.72 32.15 38.584 26.96 95.63-11.625 127.78-38.586 32.15-95.632 26.96-127.78-11.625-32.15-38.586-26.962-95.632 11.624-127.78 16.88-14.067 37.303-20.994 57.624-21.095z","fillRule":"evenodd"}}]})(props);
};
function GiBurningEmbers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M239.344 24.063c-9.56 0-17.313 7.754-17.313 17.312 0 9.558 7.755 17.313 17.314 17.313 9.558 0 17.28-7.755 17.28-17.313 0-9.56-7.722-17.313-17.28-17.313zM39.594 35.75c-10.393 0-18.813 8.42-18.813 18.813 0 10.39 8.42 18.812 18.814 18.812 10.393 0 18.812-8.42 18.812-18.813 0-10.392-8.42-18.812-18.812-18.812zM188.47 51.156c-14.34 0-25.97 11.6-25.97 25.938 0 14.336 11.63 25.97 25.97 25.97 14.337 0 25.968-11.634 25.968-25.97 0-14.338-11.63-25.938-25.97-25.938zm116.25 2.563c26.45 67.124-59.23 117.28-57 35.218-40.215 36.923-12.817 84.228 4.78 121.874 13.34 28.545 12.342 53.843-10.125 63.47-16.035 6.87-33.87-11.593-39.625-30.532-1.254-4.128-1.663-9.237-1.47-15.375 9.652-.805 17.22-8.892 17.22-18.75 0-10.393-8.42-18.813-18.813-18.813-10.392 0-18.812 8.42-18.812 18.813 0 7.014 3.84 13.14 9.53 16.375-18.82 20.668-37.66 10.494-25.186-51.78-59.608 67.83-38.06 198.86 45.03 238.874-12.994-25.466-20.146-57.053-14.25-84 36.35 78.815 121.1 1.41 126.03-69.094 13.49 44.606 11.636 109.75-10.78 156.47 90.405-35.317 110.666-171.47 63-239.47-5.868 82.112-70.492 50.032-44.03-58.406 6.495-26.622-12.05-57.205-25.5-64.875zM54.5 90.78c-9.56 0-17.313 7.756-17.313 17.314 0 9.557 7.754 17.312 17.313 17.312 9.56 0 17.313-7.755 17.313-17.312 0-9.56-7.754-17.313-17.313-17.313zm66.625 5.157c-11.525 0-20.844 9.352-20.844 20.876 0 2.88.57 5.628 1.626 8.124-11.332 2.75-19.75 12.98-19.75 25.157 0 14.284 11.59 25.875 25.875 25.875 14.287 0 25.876-11.592 25.876-25.876 0-5.263-1.582-10.166-4.28-14.25 7.284-3.256 12.374-10.537 12.374-19.03 0-11.526-9.35-20.876-20.875-20.876zm258.28 22.376c-9.557 0-17.28 7.754-17.28 17.312 0 9.558 7.723 17.313 17.28 17.313 9.56 0 17.314-7.755 17.314-17.313 0-9.56-7.755-17.313-17.314-17.313zM99.814 196.5c-9.56 0-17.313 7.755-17.313 17.313 0 9.557 7.754 17.312 17.313 17.312 9.558 0 17.312-7.755 17.312-17.313S109.37 196.5 99.812 196.5zm1.406 168c-50.154 13.628-82.564 33.797-82.564 56.188 0 41.017 106.546 74.375 237.72 74.375 131.172 0 237.687-33.358 237.687-74.375 0-22.31-32.125-42.562-81.97-56.188 17.232 8.88 27.5 19.243 27.5 30.438 0 32.13-82.28 58.562-183.218 58.562-100.937 0-182.688-26.435-182.688-58.563 0-11.254 10.125-21.528 27.532-30.437z"}}]})(props);
};
function GiBurningEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M235.094 17.844C60.934 66.176 249.458 163.35 184.72 198.22c-32.796 17.66-86.03 15.048-64.657-73.876-106.688 86.723-75.665 284.316 48.093 349.5-27.153-25.674-44.125-62.01-44.125-102.25 0-77.624 63.128-140.75 140.75-140.75 77.625 0 140.75 63.128 140.75 140.75 0 37.55-14.77 71.708-38.81 96.97 150.706-76.96 122.903-288.475 22.5-342.533 23.96 56.174 11.553 99.36-18.22 123.44C385.64 57.762 174.494 135.013 235.094 17.843zM264.78 249.53c-67.523 0-122.06 54.54-122.06 122.064s54.54 122.062 122.06 122.062c67.523 0 122.064-54.538 122.064-122.062 0-67.522-54.54-122.063-122.063-122.063zm0 53.782c46.983 0 85.283 38.3 85.283 85.282s-38.3 85.25-85.282 85.25c-46.98 0-85.25-38.268-85.25-85.25s38.27-85.28 85.25-85.28zm0 18.688c-36.88 0-66.56 29.712-66.56 66.594 0 36.88 29.68 66.562 66.56 66.562 36.882 0 66.595-29.68 66.595-66.562 0-36.88-29.712-66.594-66.594-66.594zm0 18.656c26.45 0 47.876 21.457 47.876 47.906 0 26.45-21.426 47.875-47.875 47.875-26.447 0-47.905-21.425-47.905-47.875 0-8.41 2.19-16.315 6-23.187 1.84 12.334 12.466 21.813 25.313 21.813 14.14 0 25.593-11.486 25.593-25.625 0-8.62-4.25-16.236-10.78-20.875.59-.022 1.185-.032 1.78-.032z","fillRule":"evenodd"}}]})(props);
};
function GiBurningForest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M281.3 18.28c-39.1 33.39 21.8 67.98-4.6 77.4-27.1 9.72-48.6-22.86-62.7-55.79-26.6 23.91-38.4 76.01-36.1 116.71-21.7-8.7-25.3-18.3-23.3-48.8-71.2 40.5 11 124.2-39.3 133.3-17.77 3.2-52.61-17-56.65-48.5C29.39 235.2 44.37 294.8 81.64 344c-32.5 5.7-45.4-9.9-56.81-23.5-20.829 60.7 4.9 104.4 53.83 132.3 28.44-23 58.24-44 79.84-78.5-24.8 9.6-38 4.5-60.3 5.2 30-26.5 57.4-61 77.4-92-22.8 6.7-31 11.4-50.5 4.9 23.4-19.8 44.4-39.4 59.6-66.2-8 5.8-18.3 8.6-33.1 5 26.7-22 40.6-33.2 53.2-63.7 6 22.5 15 42.6 37.9 64-8.1 2.6-17.4-.1-31.4-4.9 13.8 22.3 41.7 47.9 69.1 64.5-15.6 5.7-35.1 4.1-52.9-2.5 12.6 33.4 52.3 59.9 78.9 88.1-20.5 6.6-43.2.6-62.6-1.4 13.7 27 40.2 45.8 66.4 64.9 11.2-8.2 21.3-17.1 27.5-28.3-13.2 1.2-28.7 4.9-42.7.8 18.1-17.6 46.4-31.6 55-52.4-12.1 4.1-26.6 4.3-37.3.8 18.7-10.4 35.9-28.8 45.3-42.7-9.5 3-15.2 3.9-23.2 3.1 12.8-10.7 27.3-25.9 31.3-40 10.6 13.2 16.2 26.4 34.4 40.2-10.1 2.3-16.6.2-22.6-1.5 10.4 16.7 35 32.6 50.9 45-15.9-.3-28.7.8-44.7-8.3 13.7 19.4 32.3 41 52.8 57.5-14.7 3.8-20.8 2-37.7-4 10.9 15.9 22.9 27.7 36.3 38.6 41.3-30.7 59.3-79.6 57.4-150.2-16 33.3-37.3 31.8-58.7 27.7 17.3-10.9 40.3-100.3 24.9-123.4-4.2 31.1-45.1 87.3-74.1 61.5 44.6-61.8 43-88.3 24.6-121.5-9.6 20-25.3 64.9-57.3 53.5 62.7-110.89-55.7-119.16-71-178.32zM80.12 453.6c28.88 16.2 65.68 26.9 105.68 32.5l2.1-16.7c-35.5-1.9-71.5-7.8-107.78-15.8zm209.58 7.2c-24 5.9-48.4 8.7-73.1 9.1l1.3 19.5c11.5.9 23.1 1.3 34.8 1.3 43.3.1 80.2-3.2 111.2-10.5l.3-9.2c-25.4.3-50.3-2.5-74.5-10.2z"}}]})(props);
};
function GiBurningMeteor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M107.5 18c40.728 58.21-63.708 25.914-88.03 2.47 1.058 40.082 100.03 99.633 147.374 72.124C195.904 75.71 136.984 22.936 107.5 18zm97.75 57.28l.875 1.47c120.364 99-4.023 175.247-64.97 48.78 15.823 82.506-78.425 44.2-89.655-30.655C-13.17 230.463 172.715 231.293 178.438 324c3.23 52.3-77.82 19.908-113.875-48.844C308.49 797.09 814.024 262.64 205.25 75.28zm134.97 136.376c44.577 0 85.52 18.708 109.56 52.5 43.656 75.614-63.777 27.4-70.717-8.844-21.45 58.675 101.883 114.72 16 170.375 25.962-34.188 2.345-113.552-87.875-109.125 116.512 72.473 42.326 206.9-19.688 93.157 1.306 35.083 11.99 54.83 27.156 64.436-60.89-11.955-107.03-65.528-107.03-129.906 0-39.06 16.94-74.22 43.874-98.5 1.674 61.897 83.61 37.656 115.97 62.344-11.544-60.34-56.022-59.933-82.72-84.28 16.883-7.803 35.67-12.158 55.47-12.158zM234.72 309c-1.386.015-2.724.112-4.064.25 26.032 6.737 74.684 83.827 33.875 61.75 3.41 14.6 43.038 41.75 57.5 21.156 18.816-26.79-44.374-83.634-87.31-83.156z"}}]})(props);
};
function GiBurningPassion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.844 18.75v2.72c64.27 50.956 95.31 115.847 89.437 179.25-10.604-55.003-41.756-104.8-89.436-138.907v23.53c55.244 45.177 82.41 114.314 72.97 185.25-.398 2.332-.76 4.664-1.064 7-.085.513-.16 1.02-.25 1.532h.063c-6.553 53.797 11.2 108.566 49.593 156.03 6.405 11.073 13.982 21.804 22.688 32.126C95.248 406.656 59.077 335.534 53.22 262.407c-11.112 83.002 15.11 163.21 90.686 230.22H188.5c.033.028.06.063.094.093h130.47c.032-.03.06-.065.092-.095h43.625c75.578-67.008 101.8-147.217 90.69-230.22-5.75 71.774-40.697 141.62-106.845 201.5 9.558-11.752 17.677-24.018 24.28-36.686 34.1-45.58 49.597-97.276 43.408-148.095-.004-.02.003-.042 0-.063-.405-3.31-.91-6.606-1.5-9.906-9.365-74.246 21.308-146.348 82.312-190.875V55.626c-52.75 34.073-87.21 86.497-98.53 144.844-5.85-64.208 26.103-129.92 92.124-181.126l-.47-.594h-28.063c-72.054 64.343-99.845 149.67-72.5 228.063 2.893 8.292 5.105 16.676 6.657 25.093.005.043.026.083.03.125.44 3.435.933 6.876 1.532 10.314h.03c2.304 19.373 1.12 38.894-3.405 58.156-.044-28.376-6.778-57.15-20.436-85.063-40.06-81.862-20.768-171.425 52.406-236.687h-31.03c-50.145 46.623-66.324 91.56-57.44 151.094-21.488-59.165-19.415-103.58 20.69-151.094H152c40.104 47.514 42.177 91.93 20.688 151.094 8.885-59.535-7.266-104.47-57.407-151.094H83.157c73.174 65.262 92.465 154.825 52.406 236.688-14.898 30.448-21.52 61.915-20.25 92.78-6.146-21.747-8.016-43.91-5.406-65.874.6-3.436 1.123-6.88 1.563-10.313 1.552-8.458 3.78-16.884 6.686-25.217 27.346-78.394-.446-163.72-72.5-228.063H19.844zm234.25 19.688c16.4 0 27.024 6.18 34.72 16.593 7.693 10.413 11.967 25.726 11.967 43 0 18.664-6.886 38.56-15.967 49.5l-10.125 12.22 15.593 2.938c12.522 2.353 21.72 8.774 29.44 19 7.718 10.225 13.572 24.36 17.686 40.687 7.522 29.843 9.135 66.52 9.375 99.344h-23.31l-.814-70.5-18.687.218.967 86.437-7.75 111.625c47.057-43.67 71.99-94.302 76.157-146.313 8.212 61.338-11.15 120.606-67 170.125H295.53v.22h-32.937V333.81h-18.687v139.72H212.624v-.22h-9.655c-55.852-49.52-75.244-108.787-67.032-170.125 4.13 51.56 28.66 101.776 74.937 145.188L203.78 345.72l2.595-94.126-18.688-.53-1.937 70.655h-24.375c.24-32.826 1.885-69.502 9.406-99.345 4.116-16.326 9.97-30.462 17.69-40.688 7.718-10.225 16.915-16.646 29.436-19l15.594-2.937-10.125-12.22c-9.083-10.94-15.97-30.835-15.97-49.5 0-17.274 4.276-32.587 11.97-43 7.694-10.41 18.32-16.593 34.72-16.593z"}}]})(props);
};
function GiBurningRoundShot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M51 24.656c-66.505 105.062 49.65 121.762 116.97 130.563 84.404 11.032 37.33 166.2-71.814 84.405.045 58.045 58.398 82.567 95.063 94.625 40.878 13.43-3.76 79.175-83.25 61.22 327.925 246.796 476.227-18.285 340.905-223-22.38-33.857-73.925-67.47-126.72-63.47 126.32 83.08-47.533 116.238-80.436-6.563-20.76-77.47-143.593 17.79-190.72-77.78zm309.188 218.47l24.968 47.124-20.906 42.47-82.5-58.626c20.543-19.186 48.118-30.937 78.438-30.97zm22.25 2.155c52.99 10.323 93 56.96 93 112.97 0 3.995-.197 7.953-.594 11.844l-50.938 28.25 12.25-46.5.938-3.53-1.72-3.22-52.937-99.813zM269.125 288l35.75 25.406-59.375 53.28c-.202-2.783-.313-5.6-.313-8.436 0-26.456 8.937-50.81 23.938-70.25zm126.813 22.625l21.218 40-15.875 60.25-18.655 10.344L350 403.936l45.938-93.312zm-75.47 13.875l35.407 25.188-22.406 45.5-14.94-7.907-8.436-4.5-4.28 8.564-25.064 50.125c-14.917-14.267-26.003-32.49-31.563-53l71.282-63.97zm149.188 69.844c-15.138 45.91-58.363 79.03-109.344 79.03-26.287 0-50.495-8.827-69.875-23.655l5.657 2.842 22.156-44.28 60.094 31.843 4.47 2.375 4.436-2.47 82.406-45.686z","fillRule":"evenodd"}}]})(props);
};
function GiBurningSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M268.725 389.28l3.74 28.7h-30.89l3.74-28.7a11.705 11.705 0 1 1 23.41 0zm33.84-71.83a29.5 29.5 0 1 0 29.5 29.5 29.5 29.5 0 0 0-29.51-29.5zm-94.4 0a29.5 29.5 0 1 0 29.5 29.5 29.5 29.5 0 0 0-29.51-29.5zm245.71-62c0 98.2-48.22 182.68-117.39 220.24-46 28.26-112.77 28.26-156.19 2.5-71.72-36.21-122.17-122.29-122.17-222.73 0-78.16 30.54-147.63 77.89-191.67 0 0-42.08 82.86 9.1 135-11.67-173.77 169.28-63 118-184 151.79 83.33 9.14 105 84.1 148.21 0 0 66.21 47 36.4-91.73 42.95 43.99 70.25 110.3 70.25 184.19zm-68.54 29.87c-2.45-65.49-54.88-119.59-120.26-124.07-3.06-.21-6.15-.31-9.16-.31a129.4 129.4 0 0 0-129.43 129.35 132.15 132.15 0 0 0 24.51 76v25a35 35 0 0 0 34.74 34.69h6.26v16.61a34.66 34.66 0 0 0 34.71 34.39h61.78a34.48 34.48 0 0 0 34.51-34.39v-16.61h5.38a34.89 34.89 0 0 0 34.62-34.75v-28a129.32 129.32 0 0 0 22.33-77.9z"}}]})(props);
};
function GiBurningTree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M209.906 16.125c-18.31 47.87-56.033 104.995-70.72 39.438-16.274 27.416-10.256 53.922 9.064 82.218 42.266 61.903-39.984 76.248-60.594 6.345-50.57 94.417 82.135 93.904 18.594 155.5 22.12 20.493 56.106 34.44 88.438 42.156-9.14-39.964-36.95-78.658-53.75-105.56l-17.875-28.564 30.03 15.28L192.407 243l-6.344-32.5-5-25.72 20.157 16.75 45.374 37.72 24.375-53.188 14.31-31.218 3.5 34.156 7.22 70.97 39.094-16.408 12.937-5.437V254.688l-1.217 2.156c-14.27 24.902-32.285 55.24-43.032 85.75 50.648-11.874 103.977-41.077 124.533-94.188-43.47 45.328-60.434 16.79-33.844-2.594 36.068-26.292 43.75-77.024 28.25-118.937-13.63 68.1-92.673 52.044-65.033-22.656-20.067 28.493-36.314 3.203-31.125-16.22 7.113-26.62 51.107-3.21 40.563-66.47-13.164 38.42-72.515 37.995-64-3.03-59.663 23.75 3.063 49.98-28.156 90.22-28.584 36.84-64.516-32.764-65.064-92.595zM416 20.47c-32.896 66.95 36.964 63.44 33.906 143.06C519.983 76.167 425.87 79.393 416 20.47zM102.03 58.5C16.29 86.946 2.42 139.407 60.47 224.97c-11.16-60.34 4.22-118.607 41.56-166.47zm171.626 166.563l-15.125 33.062-5.092 11.094-9.375-7.783-34.625-28.812 4.968 25.625 3.656 18.813-17.062-8.72-25.563-13.03c17.91 28.255 37.988 64.358 40.688 103.437 1.87 27.082-5.253 55.706-27.125 81.938-15.725 18.86-38.942 36.497-71.375 52.562h228.22c-21.07-11.225-36.772-24.016-47.94-38.125-17.764-22.447-23.52-47.973-21.874-72.97 2.615-39.672 22.45-78.424 40.783-110.655l-25.22 10.563-11.624 4.906-1.283-12.564-5.03-49.344z"}}]})(props);
};
function GiBurstBlob (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M347.23 23.738c-30.88.348-54.187 33.782-38.234 65.9 27.51 55.38-8.916 128.376-33.87 127.078-22.65 3.18-23.026 2.874-39.174 1.213-16.244 1.693-49.453-53.98-31.032-89.866 13.22-25.754-10.464-53.07-36.617-45.154-30.397 9.2-28.025 44.015-11.676 55.166 32.177 21.946 45.407 84.595 23.582 100.34-1.68 1.116-3.327 2.28-4.954 3.465 22.32 22.08 50.217 36.42 82.742 38.708 42.065 2.96 73.905-8.254 94.627-27.026-2.628-2.502-5.35-4.905-8.168-7.197l.467.162c-.466-.28-.918-.583-1.367-.888-1.047-.838-2.105-1.66-3.176-2.468-29.222-25.908-16.064-108.42 33.96-138.356 24.04-14.386 29.526-66.077-13.504-79.1-4.628-1.4-9.194-2.027-13.606-1.978zM56.977 58.86c-.834-.016-1.664-.006-2.49.033-6.615.306-12.97 2.392-18.26 6.044-10.443 7.21-17.63 21.37-16.288 37.245 1.343 15.876 10.833 33.877 35.806 48.824 59.178 35.422 83.054 111.95 65.617 174.63v.003c-13.175 47.362-.92 88.896 24.944 119.317 25.862 30.42 65.612 49.268 107.082 49.268 49.833 0 86.897-23.327 111.188-53.412 24.29-30.085 34.85-67.278 31.51-91.217-4.508-32.312-6.234-57.578-1.65-77.62 4.583-20.04 17.547-34.925 37.638-40.415 45.54-12.445 60.74-33.136 62.78-51.156 2.038-18.02-9.91-36.214-25.96-43.63-26.064-12.042-68.95 9.33-69.312 53.54-.506 61.757-55.606 115.057-142.898 108.917-45.827-3.224-83.848-27.697-110.668-62.26-26.82-34.566-42.89-79.244-45.998-124.628-1.855-27.076-13.025-41.893-25.704-48.82-5.547-3.03-11.505-4.537-17.34-4.66z"}}]})(props);
};
function GiBus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M47 145c-10 0-23 12.4-23 24.9v134.3l52.49 7.5C84.97 297 100.9 287 119 287c21 0 39 13.3 45.9 32h188.2c6.9-18.7 24.9-32 45.9-32s39 13.3 45.9 32H488v-77.2L456.5 145zm-9 14h405.6l25.6 82H296v64h-98v-64H38zm18 18v46h62v-46zm80 0v46h62v-46zm80 0v110h22V177zm40 0v110h22V177zm40 0v46h62v-46zm86.6 0v46h62.2l-14.4-46zM119 305c-17.2 0-31 13.8-31 31s13.8 31 31 31 31-13.8 31-31-13.8-31-31-31zm280 0c-17.2 0-31 13.8-31 31s13.8 31 31 31 31-13.8 31-31-13.8-31-31-31zm-280 23a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zm280 0a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8z"}}]})(props);
};
function GiButter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M49.57 57.56c-.45 0-.89 0-1.34.1-1.19.14-2.37.42-3.56.81-4.77 1.56-9.63 5.58-12.88 10.8-3.26 5.23-4.78 11.42-4.04 16.67.73 5.25 3.17 9.8 9.84 13.8L240.2 219.8l11-22.9C227.2 179.8 88.49 81.78 59.71 61.19c-3.74-2.69-7-3.7-10.14-3.63zm6.19 19.95a8 8 0 0 1 8 8 8 8 0 0 1-8 8.03 8 8 0 0 1-8-8.03 8 8 0 0 1 8-8zm22.88 14.33a8 8 0 0 1 8 8 8 8 0 0 1-8 7.96 8 8 0 0 1-8-7.96 8 8 0 0 1 8-8zM266.6 206.4l-18.1 37.9c10.9 7.4 25 17.1 40.8 27.7l3.3-48.5zm-144.9 21.3c-2.5 39-22 78.8-73.97 109.2-5.98 26.5-7.27 54-6.04 81.5H316.5c2.6-34.3 4.3-70 6-103.3 1.7-32.4 3.7-57.9 7.8-87.4h-20l-7.1 76.3c-23.6-17-51.7-36.2-77.7-53.4l10.6-22.9zm240.3 0c-16.7.8-16.5 22-17.8 33.3l-9.6 157.4h88.7l-11.6-150.1c-1.3-20-9.2-40.3-26.7-40.6zm71.5 88.5l3 39.1c14.8 4.9 48 17.3 58.5 1.3zM17 436.4v18h432.4v-18z"}}]})(props);
};
function GiButterflyKnife (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M492.997 22.277c-26.511 13.835-46.459 23.883-80.37 29.6l-149.47 169c.284.262.566.525.841.8 5.444 5.444 8.24 12.592 8.403 19.791 7.199.164 14.347 2.959 19.79 8.403.092.091.177.187.266.28 75.387-70.48 208.445-166.137 200.54-227.874zM221.707 207.58l-12.728 12.728 7.262 7.262 7.199-6.238a28.54 28.54 0 0 1 7.03-4.989zm21.83 23.566c-2.78 0-5.56 1.085-7.734 3.258-4.346 4.346-4.346 11.122 0 15.469 4.346 4.346 11.12 4.344 15.467-.002 4.346-4.347 4.346-11.119 0-15.465-2.173-2.173-4.952-3.26-7.733-3.26zm-27.359 20.297L45.68 399.21l46.877 9.375 139.79-139.79a28.577 28.577 0 0 1-16.168-17.352zm55.553 7.897c-2.78 0-5.56 1.086-7.733 3.26-4.345 4.346-4.348 11.12-.002 15.466 4.347 4.346 11.123 4.346 15.47 0 4.346-4.346 4.344-11.12-.003-15.467-2.173-2.173-4.953-3.26-7.732-3.26zm-26.656 22.183l-139.79 139.79 9.376 46.876 147.765-170.498a28.577 28.577 0 0 1-17.351-16.168zm52.45 1.877a28.538 28.538 0 0 1-4.987 7.03l-6.239 7.199 7.262 7.261 12.728-12.726zM31.396 369.7l-12.729 12.726 8.774 8.774 13.637-11.818zm-2.924 44.424l-4.137 3.586c-.14.124-.137-.033-.181.638-.048.712.14 2.267.908 4.264 1.536 3.995 5.278 9.47 9.857 14.049 4.58 4.58 10.054 8.32 14.05 9.857 1.997.769 3.553.956 4.265.908.712-.047.504-.022.676-.193l23.351-23.351zm61.518 22.486l-23.352 23.352c-.171.17-.144-.035-.191.677-.048.712.138 2.268.906 4.266 1.536 3.995 5.28 9.468 9.86 14.047 4.579 4.58 10.051 8.323 14.046 9.86 1.998.768 3.554.953 4.266.906.669-.045.514-.04.637-.18l3.585-4.137z"}}]})(props);
};
function GiButterflyWarning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.656 19.78c-30.5.17-59.177 22.708-80.125 62.97-.06.12-.124.224-.186.344L46.656 311.814l-.25.405c-24.31 38.264-29.428 74.37-14.343 100.874 15.08 26.497 48.628 40.094 93.5 37.875v.03h265.093v-.03c44.888 2.226 78.446-11.373 93.53-37.876 15.09-26.51 9.927-62.627-14.405-100.906l-.217-.375L337.219 81.938h-.033c-20.512-40.02-49.058-62.324-79.53-62.157zm-.062 18.876c13.575-.13 26.545 6.444 38.187 17.75 11.565 11.23 22.36 27.28 33.064 48.22.073.142.145.26.22.405L445.56 307.22l.063.092.156.282c12.062 18.924 20.543 35.996 24.876 51.53 4.362 15.64 4.54 30.2-1.5 42.438-6.04 12.24-17.97 20.882-33.75 25.72-15.668 4.803-35.544 6.348-60.375 5.093v.03H141.22v-.03c-22.915 1.16-41.99-.127-57.44-4.47-15.558-4.372-27.84-12.177-34.75-23.936-6.906-11.76-7.785-26.4-3.874-42.408 3.884-15.898 12.374-33.677 25.282-53.937l.25-.406 115.218-201.533c.063-.12.125-.222.188-.343C196.946 84.452 207.864 68.346 219.47 57c11.672-11.412 24.55-18.212 38.124-18.344zm.187 18.688c-7.502.073-15.764 3.727-25.25 13-9.484 9.273-19.69 23.974-30.03 43.937l-.094.157-.094.188-87.343 152.78c13.76-5.03 27.72-7.523 41.56-7.53 34.365-.018 68.02 15.233 96.157 44.688-49.69 27.25-104.785 20.256-148.25-18.72l-17.78 31.063-.094.188-.126.187C74.076 336.63 66.477 353.044 63.314 366c-3.166 12.957-2.053 21.95 1.812 28.53 3.865 6.58 11.153 11.845 23.72 15.376 12.565 3.532 30.023 4.95 51.874 3.813h70.436c-14.237-41.996 3.346-77.317 49.188-95.44 18.38 38.924 9.88 73.377-21.656 95.44H375.5c23.735 1.233 41.894-.468 54.438-4.314 12.543-3.845 19.11-9.29 22.468-16.094 3.358-6.803 3.848-16.257.25-29.156-3.598-12.898-11.28-28.78-22.844-46.875l-.125-.155-.125-.188-69.968-121.5c-8.44 48.982-40.586 85.365-88.97 99.438-1.364-58.31 26.12-103.905 74.563-124.438l-32.53-56.5-.126-.187-.124-.22c-10.195-20.008-20.282-34.614-29.656-43.718-9.374-9.103-17.465-12.54-24.97-12.468zm-2.655 105.875l17.72 5.968c-10.588 31.498-15.707 64.94-14.158 101.062l.875 20.47-16.03-12.75c-28.31-22.513-49.124-51.743-61.376-87.564l17.688-6.062c8.81 25.758 22.248 47.273 40.094 65.25.81-30.364 6.037-59.15 15.187-86.375zm54.063 140.28c31.794-.467 57.084 18.255 70.656 53.594-48.42 19.4-89.145 2.506-107.47-45.438 12.96-5.31 25.313-7.987 36.813-8.156z"}}]})(props);
};
function GiButterfly (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M222.97 43.094l-17.72 5.937c18.246 54.362 27.075 112.164 24.406 174.47l-.875 20.5 16.032-12.78c47.213-37.597 81.827-86.216 102.282-146.095l-17.688-6.063c-17.04 49.88-44.08 90.906-80.656 124.22.156-56.652-8.915-109.937-25.78-160.188zM53.812 51.22C51.09 160.79 110.03 244.245 208.75 273c2.573-110.1-55.144-193.608-154.938-221.78zm335.156 150.374c-58.436-.03-115.656 25.943-163.5 76.094 90.775 49.848 192.148 32.407 268.217-47.563-34.172-19.135-69.658-28.513-104.718-28.53zM136.936 277.03c-52.45.582-94.1 32.36-116.687 91.25 82.336 33.03 151.56 4.26 182.72-77.374-23.333-9.574-45.51-14.102-66.032-13.875zm81.97 19.47c-37.76 80.056-8.793 149.03 75.343 183.094 37.786-80.46 9.994-149.316-75.344-183.094z"}}]})(props);
};
function GiButtonFinger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169 18v206c0 25.43 10.438 43.384 26.525 55.896C211.613 292.41 233.75 299 256 299s44.387-6.59 60.475-19.104C332.562 267.384 343 249.43 343 224V18H169zM80 32L28.027 93.102l116.586 125.015L80 32zm352 0l-64.613 186.117L483.973 93.102 432 32zm-240 7h128v18H192V39zm16 32h96v18h-96V71zm48 68.178c21.138 0 42.276 4.093 66.846 12.283l6.154 2.054V224c0 16-11.186 28.156-24.975 35.05-13.788 6.895-30.9 9.95-48.025 9.95s-34.237-3.055-48.025-9.95C194.185 252.157 183 240 183 224v-70.486l6.154-2.053c24.57-8.19 45.708-12.282 66.846-12.282zm0 17.644c-17.133 0-34.442 3.394-55 9.838V224c0 8 4.814 13.844 15.025 18.95 10.212 5.105 25.1 8.05 39.975 8.05s29.763-2.945 39.975-8.05C306.185 237.843 311 232 311 224v-57.34c-20.558-6.444-37.867-9.838-55-9.838zm-237.104 24.07l2.81 36.522 99.028 14.75-101.838-51.27zm474.208 0l-101.838 51.272 99.03-14.75 2.808-36.52zm-340.317 61.762a168.22 168.22 0 0 0-10.807 4.983C113.406 262.11 98 280.863 98 299.417c0 18.556 15.406 37.308 43.98 51.78C170.555 365.67 211.116 375 256 375s85.445-9.33 114.02-23.803c28.574-14.472 43.98-33.224 43.98-51.78 0-18.554-15.406-37.308-43.98-51.78a168.22 168.22 0 0 0-10.807-4.983c-4.294 21.785-16.024 39.266-31.688 51.45C307.613 309.59 281.75 317 256 317c-25.75 0-51.613-7.41-71.525-22.896-15.664-12.184-27.394-29.665-31.688-51.45zm279.176 67.657v53.108c0 18.27-9.684 35.238-25.434 49.057-15.75 13.818-37.74 24.997-64.526 32.832-53.573 15.668-118.452 15.668-172.025 0-26.788-7.835-48.777-19.014-64.527-32.832-15.586-13.676-25.227-30.438-25.426-48.49h-.18v-53.58C40.076 330.146 18 355.583 18 381.006c0 26.53 24.032 53.084 67.143 73.155C128.253 474.23 188.925 487 256 487s127.747-12.77 170.857-32.84C469.967 434.09 494 407.535 494 381.004c0-25.463-22.147-50.94-62.037-70.693zm-334.117 30.8v22.308h.172c0 11.95 6.228 24.05 19.306 35.525 13.078 11.475 32.832 21.81 57.707 29.086 49.75 14.55 112.17 14.55 161.92 0 24.876-7.276 44.63-17.612 57.708-29.087 13.078-11.475 19.305-23.575 19.305-35.525V341.32c-9.224 9.965-21.516 18.697-35.81 25.936C346.288 383.396 303.35 393 256 393s-90.287-9.604-122.154-25.744c-14.393-7.29-26.756-16.093-36-26.145z"}}]})(props);
};
function GiBuyCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 32l-80 96h48v80h64v-80h48l-80-96zm216 0c-40 0-40 0-40 39.945V232c0 40 0 40 40 40h80c40 0 40 0 40-40V72c0-40 0-40-40-40h-80zM176.096 236.904c-5.28.12-10.212 2.417-16.94 9.596l-6.562 6.969-6.813-6.72c-7.387-7.28-13.216-9.29-19.125-9.03-5.908.26-12.855 3.365-20.625 9.654l-6.219 5.031-5.906-5.375c-8.9-8.052-16.485-10.437-23.75-10.062-5.288.274-10.775 2.266-16.25 5.75l40.969 73.687c15.454 9.452 47.033 13.009 68.75 2.065l39.594-73.346c-7.51-3.062-14.26-6.2-20.094-7.404-2.112-.437-4.073-.758-5.97-.815-.355-.01-.71-.008-1.06 0zM352 304v80h-48l80 96 80-96h-48v-80h-64zM86.125 333.094v.002C68.09 345.838 53.609 367.813 48 400c-5.435 31.196 3.127 52.264 18.281 66.623 15.155 14.36 37.902 21.738 61 21.438 23.1-.3 46.136-8.31 61.625-22.936 15.49-14.627 24.251-35.425 19.283-65.188-5.137-30.757-18.4-52.147-35.19-65.093-28.483 15.056-64.094 11.856-86.874-1.75z"}}]})(props);
};
function GiByzantinTemple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 23.82v18.71c-50.7 3.94-87.9 40.63-93.2 77.67h204.5C353 83.16 315.7 46.46 265 42.53V23.82zM153.1 138.2v16.3c3.2 1.7 5.9 4.2 7.7 6.8 3.3 4.9 5 10.5 6.1 16.1 2.1 11.4 2.2 20.5 2.2 31.8v71H183v-78l.8-18c2.6-14.8 11.6-26.7 23.2-34.5 8.5-5.7 18.3-9.4 28.6-11.5zm123.3 0c10.3 2.1 20.1 5.8 28.6 11.5 11.6 7.8 20.6 19.7 23.2 34.5l.8 18v78h14v-71c0-10.7.3-22.5 2.2-31.8 1.1-5.6 2.8-11.2 6.1-16.1 1.8-2.6 4.5-5.1 7.7-6.8v-16.3zm-20.4 16c-14.5 0-28.9 3.8-39 10.5-7.6 5-12.8 11.2-14.9 19.5h107.8c-2.1-8.3-7.3-14.5-14.9-19.5-10.1-6.7-24.5-10.5-39-10.5zm-111.3 16.1c-11.9 1.7-26.8 8.9-38 17.5-5.3 4.1-9.79 8.5-12.9 12.4h57.1c-.1-6.5-.5-13.4-1.6-19.2-1.1-3.6-1.7-8.4-4.6-10.7zm222.7 0c-2.6 2.3-4 7.7-4.6 10.7-1.1 5.8-1.5 12.7-1.6 19.2h57c-3.1-3.9-7.5-8.3-12.9-12.4-11.2-8.6-26-15.8-37.9-17.5zM201 202.2v78h9c.8-.7 1.6-1.4 2.4-2 3-2.4 6.2-4.5 9.6-6.3v-34.7c0-8 6-12 12-12s12 4 12 12v27.6c3.2-.4 6.5-.6 10-.6s6.8.2 10 .6v-27.6c0-8 6-12 12-12s12 4 12 12v34.7c3.4 1.8 6.6 3.9 9.6 6.3.8.6 1.6 1.3 2.4 2h9v-78zm-112 16v62h62.1v-62zm272 0v62h62v-62zm-237 7c6 0 12 4 12 12v32h-24v-32c0-8 6-12 12-12zm264 0c6 0 12 4 12 12v32h-24v-32c0-8 6-12 12-12zm-132 57c-14.5 0-24 3.3-32.4 10-8.4 6.7-15.8 17.6-23.5 33l-2.5 5H137v30h238v-30h-60.7l-2.5-5c-7.7-15.4-15.1-26.3-23.5-33-8.4-6.7-17.8-10-32.3-10zm-176 16c-13 0-22.25 6.2-28.97 14.6-3.88 4.9-6.49 10.5-8.12 15.4H119v-16h67.6c2.7-5 5.4-9.7 8.2-14zm237.1 0c2.8 4.3 5.5 9 8.2 14H393v16h76.1c-1.6-4.9-4.2-10.5-8.1-15.4-6.7-8.4-16-14.6-29-14.6zM41 346.2v46h31.89c1.36-3.2 3.34-6.1 5.56-8.6 4.13-4.8 9.31-8.8 14.92-12.1 8.23-4.9 17.13-8.7 25.63-10.4v-14.9zm352 0v14.9c8.5 1.7 17.4 5.5 25.6 10.4 5.6 3.3 10.8 7.3 15 12.1 2.2 2.5 4.2 5.4 5.5 8.6H471v-46zm-265 32c-5 0-16.6 3.4-25.4 8.7-2.74 1.7-5.11 3.5-7.2 5.3h321.2c-2.1-1.8-4.5-3.6-7.2-5.3-8.8-5.3-20.4-8.7-25.4-8.7zm-89.51 32l-10 30H87v-30H71zm66.51 0v78h94.1c.7-28.4 4.6-50.6 12.8-67 2-4 4.4-7.7 7.1-11zm151 0c-13 0-21 5.2-27.9 19-6.3 12.5-10 32.5-10.8 59h77.5c-.6-26.7-3.4-47-9.1-59.2-6.3-13.7-13.8-18.8-29.7-18.8zm39.1 0c2.7 3.3 5 7.1 6.9 11.2 7.7 16.7 10.5 38.7 10.9 66.8H407v-78zm129.9 0v30h58.5l-10-30H441zm-293 11c6 0 12 4 12 12v32h-24v-32c0-8 6-12 12-12zm40 0c6 0 12 4 12 12v32h-24v-32c0-8 6-12 12-12zm168 0c6 0 12 4 12 12v32h-24v-32c0-8 6-12 12-12zm40 0c6 0 12 4 12 12v32h-24v-32c0-8 6-12 12-12zm-355 37v30h62v-30zm400 0v30h62v-30z"}}]})(props);
};
function GiC96 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M188.644 288.505V397.78h67.373V288.505h-67.373zm-132.32-35.4v-.951c-9.554 24.886-27.426 69.693-27.426 69.693a34.188 34.188 0 1 0 65.397 16.127c1.819-13.702 8.707-65.47 11.205-84.9H56.292zm0 53.67a11.905 11.905 0 1 1 11.904 11.936 11.905 11.905 0 0 1-11.905-11.936zM36.035 147.06a15.134 15.134 0 0 0 21.845 13.588c-5.226 10.054-12.542 40.187 3.982 74.689h55.573v.073c6.542.554 11.068 12.96 14.768 22.367 4.18 10.452 17.611 14.016 23.14 14.016h101.467V130.463l-73.8-.743v-15.5H80.425v20.904H60.567v.073a15.145 15.145 0 0 0-24.53 11.863zm99.47 94.15a25.21 25.21 0 0 1 9.345-19.618 77.125 77.125 0 0 0 1.87 6.637 61.586 61.586 0 0 0 1.903 4.965 43.783 43.783 0 0 0 2.362 4.599c.44.721.857 1.421 1.338 2.09a21.134 21.134 0 0 0 1.432 1.892 18.06 18.06 0 0 0 1.494 1.662 16.138 16.138 0 0 0 1.526 1.41 13.357 13.357 0 0 0 1.516 1.15l.721.492.721.397a16.127 16.127 0 0 0 2.456 1.118 16.723 16.723 0 0 0 1.641.481l.575.146-.49-.334a16.033 16.033 0 0 1-1.35-.962 14.873 14.873 0 0 1-1.818-1.745l-.491-.544-.46-.637a11.142 11.142 0 0 1-.92-1.39 13.305 13.305 0 0 1-.836-1.589 14.695 14.695 0 0 1-.732-1.766 17.1 17.1 0 0 1-.616-1.913c-.21-.648-.335-1.348-.491-2.09a37.627 37.627 0 0 1-.596-4.37c-.094-1.504-.157-3.03-.126-4.577.032-1.547.115-3.083.24-4.589.126-1.505.314-3 .523-4.442l.22-1.41a25.252 25.252 0 1 1-20.956 24.938zM276.41 130.662l39.487 4.463H470.06v-2.247a7.42 7.42 0 0 1 7.42-7.42h1.098a7.42 7.42 0 0 1 7.421 7.42V157.073H315.896l-42.299 26.13V130.63z"}}]})(props);
};
function GiCableStayedBridge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M113 41v446h30V41h-30zM95 60.35L18 114.9v22l77-54.5V60.35zm66 0V82.4L483.8 311H494v-14.7L161 60.35zM95 98.59L18 170.8v24.7l77-72.2V98.59zm66 0v24.71L361.2 311h26.4L161 98.59zm0 49.81v34.4L239.9 311h21.2L161 148.4zm-66 .1L18 273.6v34.3l77-125.1v-34.3zM18 329v30h77v-30H18zm143 0v30h333v-30H161z"}}]})(props);
};
function GiCactusPot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M177.6 21.72c-1.7 0-3.4.13-5.1.3-18.8 1.86-32.9 12.89-43.9 29.34l-12-22.19-15.8 8.56 17.5 32.36c-3.4 7.44-6.4 15.36-8.8 23.45l11.3 4.07-6.2 16.99-9.8-3.6c-2.9 12-4.88 23.8-6.25 34.4-.1.7-.15 1.3-.22 2l-31.25-1-.58 18 31.96 1c.86 9.4 2.74 19.7 5.44 30.4l16-5.9 6.2 16.8-17.5 6.5c4 13.1 8.8 26.3 13.8 38.8l-26.22 35.3 14.42 10.8 19.9-26.8c10.4 23.7 19.2 40.2 21.9 45.2l110.1-2.5c-1.6-4.1-3.3-8.7-5-13.8-5-15-10.1-32.7-7.7-48.1.2-1 .3-2 .5-3l17 9.2c-.1 9.1 3.2 23.9 7.3 36.2 2.9 8.9 5.6 15.4 7.5 19.8h95.4c2.1-3.3 4.7-7.6 7.7-13.2 2-3.7 3.8-7.8 5.5-11.8l26.5 19.2 10.6-14.6-31.8-23v-1.6c-.4-10.2-1.4-21.8-3.3-33.7l-13.5 2.8-3.6-17.6 13.8-2.9c-.8-3.8-1.8-7.6-2.8-11.3l26.3-10-6.4-16.8-25.3 9.6c-.5-1.5-1.1-3-1.7-4.5-5.3-13-12-24.3-19.7-32-1.3-1.3-2.7-2.5-4-3.6l-4.1 14.4-17.4-5 5-17.5c-2-.4-4.1-.6-6.2-.7h-1.7l-5-38.3-17.8 2.4 5.4 41.3c-1.9 1.1-3.6 2.5-5.4 4.1-7.4 6.5-14 16.4-19.6 28.1-3.3 7-6.2 14.5-8.8 22.3l11.3 5.1-7.4 16.4-9-4c-1.9 7.3-3.5 14.6-4.8 21.5l-16.6-8.9c4-19.6 10.1-41.2 19-60.1 4.3-8.9 9.2-17.3 15.1-24.5-.1-2.6-.2-5.2-.4-7.6-.2-3-.5-6-1.1-9.1l11-4-6.2-17-9.4 3.4c-2.1-6-4.8-12.11-7.8-18.14l38.9-33.59L301 46.24l-36.4 31.42c-4.6-6.83-9.7-13.39-15.3-19.43-1.1-1.24-2.3-2.45-3.5-3.64l-5.2 13.84-16.8-6.36 7.6-20.21c-15.1-11.55-31.9-19-48.7-20.03-1.7-.1-3.4-.14-5.1-.11zm-3 34.66l16.6 7.14-16.5 38.18-16.6-7.15zm1.9 86.32l21.2 24.9-13.8 11.6-21.2-24.9zm152.8 35.2l14 11.2-20.4 25.5-14-11.2zm-94 3.3l9.6 15.2-38.1 23.8-9.6-15.2zm-63.6 66.1l10.6 14.4-24.4 18-10.6-14.4zm174.2 24.6l23.3 15.4-10 15-23.3-15.4zM105 332.3v46h302v-46zm34.9 64l26.9 94h178.4l26.9-94z"}}]})(props);
};
function GiCactus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M348.77 14.06l-5.854 17.163C332.126 22.93 318.623 18.01 304 18c-15.35.016-29.457 5.454-40.496 14.512l-15.602-13.567-11.81 13.584 15.228 13.238c-5.303 7.707-8.958 16.64-10.465 26.306h-23.263v18H240V192h-16.023c-24.42 0-31.977-5.767-31.977-31.857v-26.127h9.064v-18h-10.59c-1.455-5.342-3.874-9.798-6.947-13.358l-7.373 13.358h-3.334l-13.203-7.286 8.63-15.636c-9.775-2.624-20.645-.482-28.624 6.412l-13.264-11.53-11.81 13.583 15.31 13.31c-1.187 3.886-1.86 8.254-1.86 13.13v21.71h-19.46v18H128V192c0 31.09 6.727 48.742 24.484 57.33L141.5 267.068l15.303 9.477 13.62-21.99c6.328.98 13.464 1.445 21.522 1.445 21.323-.077 42.648.162 63.97 0l.17 18s-8.49.07-16.085.137v75.052h-25.68v18H240v60.587h-15.488v18H240v49.368h128v-12.057h13.7v-18H368v-26.48h23.572v-18H368V316.62h-25.99v-18H368v-15.71h14.97v-18H368v-28.89h25.504v-18H368V137h16v-18h-16V88.008h-23.488v-18h22.314c-1.662-8.766-5.116-16.88-9.945-23.975l8.927-26.16-17.036-5.812zM309.35 43.093l.875 31.986-17.994.492-.876-31.988 17.994-.49zm-46.627 61.306h32v18h-32v-18zm53.852 69.182h32v18h-32v-18zm-169.717 11.035h32v18h-32v-18zm88.553 30.184h32v18h-32v-18zm230.022 12.733l-9.116 20.48c-.105 0-.21-.013-.314-.013-6.622 0-13.238 2.44-17.844 7.313l-12.76-11.094-11.81 13.583L432 273.813v46.275c0 12.18-7.97 15.912-16.395 15.912H386v48h32.994l.12 19.742 18-.11-.12-19.786C465.712 382.176 480 366.232 480 336v-18.223h16.512v-18H480V272c0-7.636-2.736-13.446-6.898-17.438l8.773-19.71-16.445-7.32zm-19.61 83.985l18 .113-.2 32-18-.112.2-32zm-152.472 19.574l.875 31.986-17.994.492-.876-31.988 17.994-.49zm26.312 49.496h32v18h-32v-18zm-62.574 32.453h32v18h-32v-18z"}}]})(props);
};
function GiCadillacHelm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 105c-117.2 0-173.246 53.452-202.066 107.25-21.827 40.743-27.162 81.332-28.479 98.75h461.09c-1.317-17.418-6.652-58.007-28.479-98.75C429.246 158.452 373.2 105 256 105zm42 151s15.334 15.333 15.334 30.666h-46C298.001 271.333 298 256 298 256zm-83.666.666s0 15.335 30.666 30.668h-46c0-15.333 15.334-30.668 15.334-30.668zM201.115 329c.16 4.592.503 10.464 1.313 16.781 1.73 13.51 6.81 27.767 11.111 31.125 10.54 8.23 26.436 12.864 42.461 12.864s31.921-4.635 42.46-12.864c4.302-3.358 9.381-17.614 11.112-31.125.81-6.317 1.153-12.189 1.313-16.781h-109.77zM256 336c15.085 0 32 32 32 32-16-16-48-16-64 0 0 0 16.915-32 32-32z"}}]})(props);
};
function GiCaduceus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M202.412 21.06c-2.189.065-4.715.577-7.795 1.643C149.244 38.411 80.172 79.747 18.965 98.262c10.858 6.727 22.689 12.663 34.941 17.37 13.696-6.286 27.073-12.537 38.414-18.808 13.887-7.678 24.612-15.672 29.078-22.199l13.204 9.035c-7.33 10.712-19.785 19.009-34.54 27.166-7.337 4.057-15.276 8.01-23.468 11.904 7.515 1.809 15.064 3.09 22.533 3.707 3.378.28 6.732.43 10.057.456 15.845-9.826 30.838-22.51 35.67-31.631l14.138 7.488c-3.464 6.54-8.679 12.826-14.933 18.695 15.63-5.498 29.79-15.436 41.54-31.103l7.235-9.647 6.076 10.416c4.704 8.064 11.043 14.811 18.235 20.618 5.332-.816 10.034-1.374 14.855-1.649V79.084c-9.7-7.317-16-18.93-16-31.941a39.612 39.612 0 0 1 3.068-15.305c-2.539-3.553-5.16-6.348-7.793-8.072-2.172-1.423-4.325-2.385-6.941-2.643a15.694 15.694 0 0 0-1.922-.063zm106.258 0c-.342.01-.677.03-1.004.063-2.616.258-4.769 1.22-6.941 2.643-2.634 1.724-5.254 4.52-7.793 8.072A39.612 39.612 0 0 1 296 47.143c0 13.011-6.3 24.624-16 31.941v30.996c5.003.289 10.454.932 14.855 1.649 7.192-5.807 13.531-12.554 18.235-20.618l6.076-10.416 7.234 9.647c11.75 15.667 25.911 25.605 41.541 31.103-6.254-5.869-11.47-12.155-14.933-18.695l14.138-7.488c4.832 9.122 19.825 21.805 35.67 31.63a134.06 134.06 0 0 0 10.057-.454c7.47-.619 15.018-1.9 22.533-3.708-8.192-3.894-16.131-7.847-23.469-11.904-14.754-8.157-27.208-16.454-34.539-27.166l13.204-9.035c4.466 6.527 15.19 14.521 29.078 22.2 11.34 6.27 24.718 12.52 38.414 18.808 12.252-4.708 24.083-10.644 34.941-17.371-61.207-18.515-130.279-59.85-175.652-75.559-3.52-1.219-6.317-1.711-8.713-1.642zM256 24c-13.35 0-24 10.65-24 24s10.65 24 24 24 24-10.65 24-24-10.65-24-24-24zm-8 62.332v24.64c2.793.606 5.759 1.61 8 2.89 2.681-1.483 5.28-2.266 8-2.89v-24.64c-2.587.53-5.263.81-8 .81s-5.413-.28-8-.81zm-12.547 39.654a76.025 76.025 0 0 0-4.674.2c-12.862.942-28.802 5.08-35.353 8.185-14.907 7.066-21.148 13.791-24.215 19.988-3.067 6.198-3.211 12.802-3.211 20.784 0 9.333 4.299 16.218 12.146 22.812 7.848 6.594 19.157 12.141 30.8 16.75 21.493 11.283 44.162 22.942 62.048 35.984 4.915 3.475 11.183 5.658 15.998 8.178 4.717-4.959 7.008-9.53 7.008-13.724 0-2.5-.667-5.262-1.893-8.182-12.214-23.082-35.176-34.215-59.312-47.52l-.057.063c-10.371-4.023-20.014-6.361-26.738-6.361l-3.578-15.157c15.833-7.916 27.435-14.553 34.338-20.877 6.756-6.188 9.266-11.253 9.209-19.312-4.007-1.756-8.557-1.851-12.516-1.81zm41.094 0c-4.174.141-9.299.064-12.516 1.81-.057 8.06 2.453 13.125 9.21 19.313 6.902 6.324 18.504 12.961 34.337 20.877L304 183.143c-7.963 0-20.012 3.269-32.525 8.744 10.05 6.432 19.599 13.926 27.498 23.611.695-.268 1.387-.518 2.082-.793 11.642-4.609 22.95-10.156 30.799-16.75C339.7 191.361 344 184.475 344 175.143c0-7.982-.144-14.586-3.21-20.784-3.068-6.197-9.309-12.922-24.216-19.988-6.55-3.105-22.491-7.243-35.353-8.185a75.995 75.995 0 0 0-4.674-.2zM256 151.77a49.262 49.262 0 0 1-6.434 7.138c-.508.466-1.035.926-1.566 1.383v17.15a160.265 160.265 0 0 1 8.008 3.92 163.653 163.653 0 0 1 7.992-3.92v-17.15a68.078 68.078 0 0 1-1.566-1.383A49.264 49.264 0 0 1 256 151.77zm-37.537 83.896c-1.594 3.4-2.463 6.61-2.463 9.477 0 4.833 3.03 10.165 9.322 16.015 6.292 5.85 15.368 11.666 24.686 17.06 9.318 5.395 18.832 10.38 26.472 15.339 3.82 2.48 7.189 4.92 9.995 7.81 2.806 2.89 5.525 6.609 5.525 11.776 0 4.25-2.151 8.289-4.693 10.804-2.543 2.516-5.357 4.063-8.274 5.467-2.293 1.104-4.71 2.104-7.16 3.098 6.558 4.82 12.595 10.053 17.467 15.232 2.72-1.247 5.468-2.497 8.181-3.807 6.982-3.37 13.564-7.126 17.93-11.242 4.367-4.115 6.549-7.97 6.549-13.552 0-9.945-3.598-17.446-9.586-24.297-5.988-6.852-14.492-12.712-23.363-17.746-8.87-5.035-17.995-9.213-25.438-13.438-3.721-2.112-7.045-4.194-9.908-6.88-.146-.138-.29-.291-.435-.434-10.483-7.04-23.998-15.262-34.807-20.682zm2.406 42.647c-8.107 4.759-15.766 10.22-21.283 16.533-5.988 6.85-9.586 14.352-9.586 24.297 0 5.583 2.182 9.437 6.549 13.552 4.366 4.116 10.948 7.872 17.93 11.243 2.64 1.274 5.3 2.493 7.94 3.708 19.051 9.787 36.7 19.107 53.985 23.813 4.034-1.373 4.848-5.133 3.936-9.729-14.856-14.943-29.808-23.803-47.373-32.316-2.917-1.404-5.731-2.951-8.274-5.467-2.542-2.515-4.693-6.554-4.693-10.804 0-5.167 2.72-8.885 5.525-11.776 2.806-2.89 6.174-5.33 9.995-7.81a158.19 158.19 0 0 1 4.373-2.721c-6.53-3.83-13.092-7.935-19.024-12.524zM256 299.998c-2.85 1.615-5.56 3.17-8 4.64v13.602c.75.346 1.504.714 2.258 1.082 1.845.76 3.75 1.558 5.74 2.461 2.81-1.274 5.521-2.389 8.002-3.388v-13.756a336.594 336.594 0 0 0-8-4.641zm-17.795 73.816c.588 4.245 2.564 8.12 5.824 12.147 3.933 4.857 9.67 9.59 15.723 14.059 6.053 4.469 12.365 8.641 17.643 13.166 5.277 4.524 10.605 9.79 10.605 17.957 0 9.9-5.82 17.934-12.969 27-7.148 9.065-16.35 18.536-25.51 27.273-2.047 1.953-3.986 3.667-6.005 5.53 8.23-4.31 16.77-9.533 24.816-15.385C290.729 459.27 308 437.905 308 423.143c0-4.467-1.67-8.043-4.982-11.957-3.312-3.915-8.27-7.772-13.592-11.48-5.322-3.71-10.947-7.234-15.762-11.368-.558-.48-1.115-.98-1.666-1.494-12.987-3.453-23.893-8.06-33.793-13.03zm-7.873 20.582c-2.574 1.786-5.2 3.527-7.758 5.31-5.321 3.708-10.28 7.565-13.592 11.48-3.311 3.914-4.982 7.49-4.982 11.957 0 7.314 3.964 16.342 11.316 25.61 6.386 8.05 15.135 16.148 24.827 23.481a384.732 384.732 0 0 0 5.076-4.976c-2.796-3.028-5.456-6.053-7.871-9.033C230.003 449.162 224 441.16 224 431.143c0-8.167 5.328-13.433 10.605-17.957 2.485-2.13 5.21-4.181 8.018-6.223-3.918-3.258-7.718-6.846-11.027-10.934-.431-.532-.85-1.079-1.264-1.633zm25.662 22.666c-2.896 2.081-5.66 4.071-7.994 5.872v22.921c.565.76 1.152 1.525 1.777 2.297 1.95 2.407 4.133 4.909 6.467 7.457 2.24-2.519 4.349-4.995 6.225-7.375.536-.68 1.04-1.353 1.531-2.023v-23.277c-2.346-1.81-5.09-3.778-8.006-5.872z"}}]})(props);
};
function GiCaesar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M264.234 33.64a94.945 94.945 0 0 0-10.957.608C190.895 41.376 131.82 93.06 100.975 152.756c.118-.095.234-.193.353-.287l7.463-5.899 5.477 7.778c1.554 2.208 2.872 4.663 4.033 7.34 7.928-17.487 21.63-34.571 40.363-46.084l7.61-4.676 4.734 7.572c2.502 4.003 4.31 8.702 5.713 14.016 9.889-16.645 25.602-32.252 45.758-41.608l8.101-3.76 3.822 8.073c.153.323.298.652.442.982 9.782-13.132 23.275-24.935 39.728-32.572l8.102-3.762 3.822 8.072c1.356 2.864 2.351 6.017 3.104 9.416 8.43-10.724 19.573-20.548 32.812-27.744-18.601-9.895-38.4-15.936-58.178-15.972zm140.498 19.813c-21.58 4.89-40.88 18.458-50.029 31.264-5.337 7.47-6.704 14.015-5.808 17.388.895 3.374 3.457 6.667 14.306 8.53 3.785.65 8.053-.756 13.291-5.094 5.239-4.338 10.728-11.384 15.358-19.36 4.629-7.974 8.462-16.865 10.949-24.75.915-2.9 1.414-5.45 1.933-7.978zm-71.066 10.74c-19.686 10.104-35.007 28.047-40.684 42.725-1.002 2.592-1.669 5.007-2.07 7.205-.134 1.34-.288 2.68-.46 4.022-.123 3.113.378 5.538 1.23 7.058 1.706 3.045 5.005 5.597 15.976 4.703 3.827-.312 7.612-2.734 11.608-8.238 3.995-5.505 7.56-13.695 10.06-22.57 2.5-8.876 4-18.44 4.45-26.696.164-3.037.016-5.63-.11-8.209zm-61.148 21.221c-15.32 10.048-27.077 25.116-32.995 38.63.178 8.541-.428 17.78-1.966 26.833-.003.02-.008.039-.012.059 2.075 2.643 5.784 4.535 16.084 2.58 3.772-.716 7.28-3.525 10.668-9.422 3.388-5.898 6.065-14.421 7.61-23.512 1.544-9.09 2.021-18.762 1.591-27.018-.158-3.037-.581-5.6-.98-8.15zm-52.096 27.28c-18.503 12.135-31.833 31.6-35.92 46.798-2.384 8.867-1.373 15.474.646 18.32 2.02 2.847 5.57 5.036 16.385 2.983 3.773-.716 7.28-3.527 10.668-9.424 3.389-5.897 6.065-14.419 7.61-23.51 1.544-9.09 2.021-18.761 1.591-27.017-.158-3.038-.581-5.6-.98-8.15zm172.715 1.915a64.957 64.957 0 0 1-5.164 4.795c-7.692 6.37-17.404 10.759-27.819 8.971a53.37 53.37 0 0 1-5.308-1.19c-.211.553-.393 1.083-.545 1.585 9.883 3.882 19.338 8.95 27.293 14.312.488.329.951.657 1.427.986 14.312-1.453 31.422-7.418 45.325-17.963-2.27-1.23-4.543-2.485-7.352-3.652-7.635-3.17-16.909-5.96-25.992-7.549-.624-.109-1.244-.198-1.865-.295zm-233.983 22.87c-16.968 14.203-27.946 35.087-30.238 50.658-1.337 9.083.435 15.528 2.772 18.12 2.336 2.593 6.118 4.353 16.62 1.057 3.664-1.15 6.82-4.348 9.5-10.6 2.68-6.25 4.35-15.025 4.827-24.234.477-9.208-.174-18.869-1.56-27.02-.511-2.998-1.228-5.495-1.92-7.981zm167.551 2.595c-4.894 4.226-10.774 7.219-17.586 7.774-.776.063-1.542.098-2.305.129-4.164 5.764-3.952 9.104-2.789 11.761 1.4 3.198 6.544 7.467 15.371 9.99 15.132 4.326 38.685 2.928 58.618-6.681-1.981-1.656-3.96-3.338-6.483-5.04-6.855-4.62-15.39-9.193-23.978-12.552-7.288-2.85-14.632-4.777-20.848-5.38zm86.656 15.182a106.836 106.836 0 0 1-13.511 4.318c.112.164.23.326.34.49l4.949 7.434-7.397 5.006c-20.412 13.818-44.598 18.985-65.494 17.557 1.179 1.786 2.212 3.592 3.055 5.435l3.713 8.123-8.094 3.776c-18.069 8.427-37.682 10.878-55.32 9.015 3.324 5.162 5.82 10.156 7.115 15.174l2.232 8.648-8.63 2.3c-16.504 4.394-33.356 4.273-48.56 1.052 2.399 4.105 4.226 8.128 5.268 12.166l2.233 8.648-8.631 2.3c-17.359 4.621-35.103 4.246-50.908.525 3.2 5.494 5.503 10.687 6.41 16.017l1.59 9.344-9.414 1.103c-29.326 3.442-58.181-6.708-75.637-21.18-4.087-3.387-7.717-7.113-10.414-11.218 17.989 59.19 62.717 123.576 62.717 123.576l-35.479 68.797c49.496 25.554 105.19 38.708 170.56 32.514-1.767-32.096 16.473-55.814 33.022-74.514-14.59-.975-29.987-2.226-44.846-5.064-16.51-3.155-32.54-8.341-46.003-18.032-13.464-9.69-24.033-24.105-28.956-43.7l17.458-4.387c3.99 15.88 11.622 26 22.011 33.478 10.39 7.478 23.863 12.094 38.87 14.961 25.516 4.875 54.75 4.428 79.554 7.643 26.748-2.02 57.07 2.601 63.441-8.596 15.568-27.36 5.054-63.93-3.44-92.492 18.463-.61 28.178-1.69 38.735-4.967-8.607-34.5-21.86-54.883-43.703-73.5 1.629-20.453 4.194-42.05 1.164-61.75zm-143.705 10.031c-3.632 2.872-7.843 4.998-12.672 5.914-5.147.977-10.06 1.154-14.574.598-2.391 3.278-2.569 5.739-2.08 7.879 3.149 2.201 6.213 4.6 9.176 7.135a140.092 140.092 0 0 1 7.195 6.628c14.405 5.749 36.32 7.451 56.233 1.496-1.694-1.947-3.382-3.92-5.604-5.998-6.039-5.646-13.746-11.51-21.695-16.183-5.387-3.167-10.897-5.746-15.979-7.469zm-165.892 9.828C91.6 189.035 84.35 207.673 83.58 221.33c-.47 8.343 1.653 14.076 3.498 15.916 1.846 1.84 4.091 3.065 12.469-.613 2.48-1.089 4.922-4.003 6.73-9.848 1.808-5.845 2.59-13.96 2.32-22.369-.268-8.409-1.532-17.143-3.308-24.436-.448-1.84-1.006-3.23-1.525-4.865zm117.484 14.098c-4.367 4.56-9.797 8.02-16.357 9.266-4.519.857-8.861 1.105-12.909.779.005.14.01.28.02.418.17 2.194 1.611 5.283 4.533 8.59 1.106.886 2.201 1.789 3.281 2.713a137.466 137.466 0 0 1 3.963 3.544c12.956 8.865 35.325 15.08 57.012 12.59-1.326-2.214-2.642-4.454-4.465-6.888-4.955-6.618-11.512-13.74-18.52-19.735-5.473-4.682-11.249-8.637-16.558-11.277zm-51.684 23.215c-3.888 5.477-9.097 9.938-15.865 12.062-3.643 1.144-7.216 1.857-10.646 2.15 1.39 3.355 4.753 7.65 10.494 11.69 12.87 9.058 35.571 15.474 57.555 12.95-1.327-2.215-2.642-4.455-4.465-6.89-4.956-6.617-11.515-13.74-18.522-19.734-6.165-5.274-12.72-9.645-18.55-12.228zm-48.607 26.136c-2.982 6.2-7.496 11.62-14.174 14.551-.504.222-1.01.415-1.515.615a34.936 34.936 0 0 0 4.89 4.92c10.574 8.766 29.946 16.537 49.654 17.452-.717-1.297-1.208-2.436-2.085-3.8-3.937-6.115-9.315-12.875-15.207-18.734-5.892-5.858-12.349-10.798-18.014-13.533a32.419 32.419 0 0 0-3.549-1.47zm-48.676 9.061l-33.43 21.395 9.704 15.162 38.591-24.698a30.468 30.468 0 0 1-1.767-3.634c-4.235-.94-8.022-2.876-11.012-5.858a26.53 26.53 0 0 1-2.086-2.367z"}}]})(props);
};
function GiCage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119 75v64H55v346h402V139h-64V75H128zm18 18h46v46h-46zm64 0h46v46h-46zm64 0h46v46h-46zm64 0h46v46h-46zM73 157h46v18H73zm64 0h46v18h-46zm64 0h46v18h-46zm64 0h46v18h-46zm64 0h46v18h-46zm64 0h46v18h-46zM73 193h46v46H73zm64 0h46v46h-46zm64 0h46v46h-46zm64 0h46v46h-46zm64 0h46v46h-46zm64 0h46v46h-46zM73 257h46v46H73zm64 0h46v46h-46zm64 0h46v46h-46zm70.508 0h96.984l-26.287 46h20.73L375 281.889v156.22L362.937 417h-20.732l26.287 50h-96.984l26.287-50h-20.733L265 438.11V281.888L277.064 303h20.73zM393 257h46v46h-46zM73 321h46v46H73zm64 0h46v46h-46zm64 0h46v46h-46zm88 0v78h62v-78zm104 0h46v46h-46zm-73 10.043c7.732 0 14 6.268 14 14a14 14 0 0 1-5.19 10.87l5.19 31.13h-28l5.19-31.135a14 14 0 0 1-5.19-10.865c0-7.732 6.268-14 14-14zM73 385h46v46H73zm64 0h46v46h-46zm64 0h46v46h-46zm192 0h46v46h-46zM73 449h46v18H73zm64 0h46v18h-46zm64 0h46v18h-46zm192 0h46v18h-46z"}}]})(props);
};
function GiCagedBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.875 19.844c-1.324.008-2.646.032-3.97.062-80.788 1.83-158.746 44.508-202.06 119.53-66.005 114.324-26.792 260.78 87.53 326.783 113.07 65.28 257.552 27.596 324.563-83.845.176-.28.357-.56.53-.844.586-.948 1.16-1.904 1.72-2.874.016-.028.015-.065.03-.094.124-.214.223-.44.344-.656C527.237 266.72 491.675 125.454 384.5 57.28c-2.514-1.772-5.102-3.447-7.78-5.03-.333-.21-.658-.426-1-.625-.022-.012-.043-.02-.064-.03-3.28-1.893-6.628-3.617-10.03-5.157-.022-.01-.042-.022-.063-.032-35.29-18.215-73.225-26.79-110.688-26.562zm.03 18.593c8.52-.046 17.063.42 25.595 1.376-14.054 3.2-28.19 8.286-42.063 15.062-10.908 5.328-21.7 11.714-32.25 19.063-5.684-.47-11.313-.756-16.875-.844-6.752-.107-13.408.047-19.937.5-15.732 1.09-30.787 3.865-44.813 8.28 36.827-27.32 81.255-42.37 126.688-43.374 1.22-.027 2.436-.056 3.656-.063zm58.876 16c6.41-.043 12.687.44 18.814 1.438-13.077 7-27.032 18.002-41.78 32.313-1.414 1.37-2.826 2.787-4.252 4.218-17.287-6.485-34.585-11.345-51.593-14.562 3.887-2.212 7.78-4.28 11.686-6.188C268.2 61.133 289.68 55.304 310 54.53c1.27-.047 2.52-.084 3.78-.093zm46.69 11.907c1.348.024 2.54.2 3.592.5.732.41 1.46.83 2.188 1.25.693.4 1.375.812 2.063 1.22 3.107 3.064 5.642 9.087 6.343 19.374.816 11.973-1.102 28.56-5.844 48-9.69-7.032-19.94-13.67-30.687-19.875-10.81-6.24-21.755-11.79-32.75-16.688C319.85 86.282 333.245 76.285 344.03 71c5.586-2.736 10.168-4.122 13.845-4.53.92-.104 1.785-.14 2.594-.126zm33 24.594c17.128 20.884 27.14 49.38 29.436 82.468.3 4.334.472 8.748.5 13.22-11.328-13.157-24.222-25.744-38.53-37.5.522-1.94 1.053-3.854 1.53-5.75 5.03-19.976 7.555-37.59 7.063-52.44zm-210.22.812c-13.043 11.278-25.534 24.094-37.188 38.313-1.82-.49-3.62-.988-5.406-1.438-16.18-4.075-30.817-6.51-43.687-7.03-2.976-.122-5.85-.12-8.626-.032 20.87-17.052 49.306-27.024 82.312-29.313 4.132-.287 8.334-.46 12.594-.5zm28.125 1.47c19.78 2.192 40.388 6.858 61.125 14.03-10.127 11.24-20.47 23.885-30.813 37.656-10.784 1.26-21.106 3.994-30.78 8-15.75-6.685-30.92-12.403-45.22-17.03 14.302-16.54 29.73-30.864 45.688-42.657zm79.938 21.186c12.563 5.266 25.103 11.486 37.468 18.625 12.29 7.097 23.874 14.806 34.658 23-3.59 11.717-8.03 24.21-13.22 37.25-19.175-27.13-49.672-45.65-84.624-48.718 8.726-11.044 17.347-21.17 25.72-30.156zM433.5 128.094c33.04 44.775 47.975 100.707 41.656 156-3.193-14.28-8.333-28.622-15.22-42.72-5.262-10.775-11.545-21.443-18.78-31.874 1.08-12.782 1.213-25.29.375-37.375-1.07-15.44-3.76-30.233-8.03-44.03zM90.844 140.188c1.705-.017 3.498.014 5.344.093 10.482.45 23.215 2.406 37.5 5.876-6.985 9.65-13.61 19.84-19.782 30.53-6.24 10.81-11.792 21.76-16.687 32.75-13.74-14.396-23.65-27.734-28.907-38.467-5.04-10.29-5.5-17.162-3.75-21.282.17-.302.326-.606.5-.907.206-.356.414-.707.624-1.06 2.7-3.564 8.876-6.567 20.282-7.345 1.55-.106 3.168-.17 4.874-.188zM153 151.5c11.53 3.52 23.83 7.868 36.656 12.938-27.28 18.723-46.158 48.766-49.844 83.375-10.337-8.24-19.826-16.396-28.312-24.313 5.26-12.565 11.454-25.103 18.594-37.47 7.068-12.24 14.75-23.78 22.906-34.53zm226.063 17.25c16.602 14.382 30.97 29.898 42.78 45.938-2.23 19.72-6.927 40.244-14.093 60.906-11.137-10.046-23.654-20.298-37.28-30.563-1.422-10.85-4.33-21.243-8.533-30.936 6.724-15.785 12.468-31.004 17.125-45.344zM53.156 182.344c7 13.098 18.01 27.102 32.344 41.875 1.3 1.34 2.644 2.678 4 4.03-6.49 17.306-11.343 34.627-14.563 51.656-2.15-3.795-4.17-7.595-6.03-11.406-14.56-29.81-20.148-59.498-15.75-86.156zm-16.28 51.53c3.193 14.306 8.318 28.688 15.218 42.814 5.29 10.832 11.62 21.548 18.906 32.03-1.03 12.555-1.136 24.84-.313 36.72 1.108 15.97 3.938 31.266 8.47 45.468-33.52-44.96-48.68-101.33-42.282-157.03zm400.312 4.376c2.13 3.763 4.123 7.534 5.968 11.313 14.527 29.74 20.122 59.358 15.78 85.968-7-13.083-17.992-27.053-32.31-41.81-1.307-1.347-2.64-2.706-4-4.064 6.48-17.214 11.322-34.46 14.562-51.406zm-332.844 4.063c10.607 9.567 22.465 19.317 35.344 29.093 1.185 12.435 4.33 24.303 9.125 35.28-6.202 14.807-11.542 29.093-15.907 42.595-16.518-14.31-30.823-29.754-42.594-45.717 2.184-19.824 6.852-40.464 14.032-61.25zm266.78 26.875c10.776 8.544 20.675 16.984 29.47 25.187-5.233 12.46-11.39 24.894-18.47 37.156-7.147 12.383-14.926 24.022-23.187 34.876-11.066-3.385-22.833-7.526-35.093-12.344 26.622-19.483 44.63-50.037 47.28-84.875zm43.75 39.25c13.757 14.41 23.676 27.79 28.938 38.53 5.13 10.473 5.488 17.38 3.625 21.47-.124.272-.263.533-.406.78-.01.02-.018.043-.03.063-.007.014-.024.02-.03.033-.05.085-.108.164-.158.25-.083.135-.156.274-.25.406-2.614 3.658-8.803 6.8-20.437 7.592-11.942.815-28.47-1.098-47.844-5.812 7.078-9.75 13.787-20.057 20.033-30.875 6.18-10.706 11.698-21.55 16.562-32.438zm-254.28 19.093c19.028 26.737 49.11 45.06 83.562 48.345-8.058 10.062-16.008 19.338-23.75 27.625-12.45-5.23-24.87-11.363-37.125-18.438-12.328-7.118-23.934-14.84-34.75-23.062 3.315-10.874 7.366-22.43 12.064-34.47zm-71.72 4.158c11.258 13.038 24.068 25.525 38.25 37.187-.477 1.78-.966 3.536-1.405 5.28-5.024 19.946-7.546 37.514-7.064 52.345-17.06-20.873-27.022-49.32-29.312-82.344-.284-4.09-.427-8.254-.47-12.47zM303.47 366c14.88 6.26 29.238 11.63 42.81 16.03-14.4 16.61-29.962 30.95-46.03 42.75-19.77-2.22-40.348-6.908-61.063-14.092 9.487-10.502 19.152-22.233 28.844-34.97 12.514-1.363 24.442-4.702 35.44-9.718zm-160.283 15.313c9.71 7.05 19.976 13.717 30.75 19.937 10.685 6.17 21.51 11.674 32.375 16.53-14.317 13.638-27.567 23.487-38.25 28.72-10.396 5.093-17.3 5.5-21.406 3.688-.03-.014-.064-.018-.094-.032-.24-.136-.48-.268-.718-.406-.272-.157-.543-.31-.813-.47-.034-.024-.057-.067-.093-.092-3.614-2.658-6.714-8.822-7.5-20.344-.81-11.877 1.09-28.294 5.75-47.53zm222.657 6.53c1.883.508 3.75 1.005 5.594 1.47 19.975 5.03 37.588 7.554 52.437 7.062-20.884 17.13-49.38 27.143-82.47 29.438-4.272.296-8.623.467-13.03.5 13.148-11.308 25.72-24.18 37.47-38.47zm-140.72 37.688c17.228 6.488 34.48 11.353 51.44 14.595-3.66 2.063-7.33 3.988-11.002 5.78-29.8 14.556-59.474 20.14-86.125 15.75 13.095-6.998 27.072-18.01 41.844-32.342 1.276-1.237 2.56-2.496 3.845-3.782zm162.282 10.72c-45.09 33.444-101.58 48.482-157.344 41.875 14.608-3.174 29.294-8.392 43.72-15.438 10.68-5.216 21.254-11.44 31.593-18.593 12.76 1.076 25.247 1.212 37.313.375 15.692-1.09 30.724-3.83 44.718-8.22z"}}]})(props);
};
function GiCakeSlice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M224.375 19.5c-.627.005-1.25.035-1.875.063-22.916 1.004-39.905 16.736-45.063 35.093-4.796 17.07-.468 35.99 21.688 49.907-24.784 5.082-44.582 24.197-50.625 48.624L28.22 266.125l344.75-48.688c-4.686-11.665-7.433-24.554-7.72-37.875-12.373 3.495-25.437 1.82-35.688-4.843-12.483-8.115-19.316-24.395-15.156-42.97-11-3.865-20.314-11.138-28.937-20.156-2.67 1.933-5.597 3.722-8.876 5.47-4.904 2.61-10.448 4.996-16.406 7.03-5.415-5.783-11.86-10.583-19.032-14.125 2.016-.402 4.02-.877 6-1.407 7.72-2.07 14.993-4.985 20.656-8 5.664-3.016 9.72-6.49 10.657-7.75l7.03-9.438 7.625 9c11.86 14.042 21.687 21.77 34.406 23.53l12.22 1.69-4.938 11.31c-7.348 16.822-2.72 25.15 4.938 30.126 7.657 4.978 20.167 5.28 29.938-2.03l17.718-13.28-2.844 21.968c-4.23 32.48 11.383 64.938 31.844 77.875 10.23 6.468 21.06 8.458 32.78 4.53 11.724-3.927 24.924-14.41 37.533-35.405 21.685-36.113-15.126-77.975-47.376-66.625l-12.75 4.5.312-13.532c.912-37.316-34.334-67.822-74.344-59.03l-8.437 1.844-2.53-8.25c-3.99-13.03-12.2-21.695-21.19-25.25-8.988-3.556-18.85-2.703-29.155 5.625l-7.97 6.436-5.686-8.53C264.252 29.87 243.812 19.34 224.374 19.5zM212.28 121.906c1.566 0 3.102.072 4.626.22-8.18 3.796-13.844 12.073-13.844 21.686 0 13.204 10.703 23.907 23.907 23.907 13.203 0 23.905-10.704 23.905-23.907 0-.646-.044-1.274-.094-1.907 5.35 7.632 8.5 16.92 8.5 27 0 6.146-1.19 12.007-3.31 17.375-26.588 19.077-53.165 20.028-79.75 12.845-6.835-8.157-10.94-18.68-10.94-30.22 0-26.063 20.937-47 47-47zm169.845 113.156L19.97 286.156v16.594l374.436-52.844c-4.555-4.38-8.67-9.372-12.28-14.844zm97.156 16.375c-6.23 5.497-12.678 9.638-19.28 12.5l-.75 169.125 11.625-1.187 8.406-.844V251.44zm-60.56 13.907L19.97 321.656v52.75l30.843-17.156 4.593-2.563 4.563 2.625c16.475 9.383 28.455 10.95 40.155 7.813 11.7-3.138 23.93-11.893 37.875-25.875l3.875-3.875 5.28 1.5c24.013 6.806 38.055 9.512 49.064 7.625 11.008-1.887 21.244-8.403 38.218-23.78l6.28-5.69 6.25 5.69c7.754 7.03 11.293 7.7 12.47 7.655 1.176-.045 3.25-1.242 7.937-4.344 4.688-3.1 11.853-7.25 21.53-7.655 8.286-.346 18.054 2.04 29.97 7.688 8.374-7.562 15.014-12.59 23.75-13.594 8.592-.99 15.815 2.258 24.906 7.092 6.724-5.367 13.502-8.383 20.033-9.156 8.26-.978 15.21 1.12 21 2.75 5.79 1.63 10.514 2.88 15.312 2.563 4.656-.31 9.9-1.895 17.25-7.5l.156-37.658c-7.78.51-15.41-.668-22.56-3.218zm-27.533 61.53c-.486.013-.968.04-1.437.095-3.75.443-7.92 2.043-14.313 8.467l-4.906 4.938-6.155-3.313c-11.897-6.416-17.156-8.315-19.625-8.03-2.47.283-7.388 3.3-17.906 13.03l-4.906 4.532-5.875-3.156c-13.036-7.02-21.216-8.59-26.375-8.375-5.16.215-8 1.883-12 4.53-4.002 2.648-9.25 7.153-17.532 7.47-6.335.24-12.545-2.27-19.312-7.25-14.828 12.75-27.21 20.65-41.47 23.093-14.998 2.57-30.607-.71-52.186-6.687-13.58 13.024-26.973 22.878-42.22 26.967-15.368 4.123-31.947 1.747-49.5-7.156l-35.5 19.75v17.69c31.86-14.53 63.46-14.035 95.844-5.5 10.952-15 24.617-25.098 41.813-27.783 17.11-2.67 36.716 1.77 60.53 11.688 4.384-9.426 9.76-15.932 16.532-19.656 8.8-4.84 18.007-4.127 25.844-3.033 15.676 2.19 27.35 6.595 43.19-6.437l4.25-3.5 5.124 2.03c23.357 9.21 50.61 11.247 73.625-7.5l5.81-4.717 5.876 4.625c15.268 11.986 29.62 11.267 42.5 1.906l.125-27.5c-5.555 2.605-10.908 3.948-15.936 4.28-8.64.573-15.835-1.597-21.594-3.218-5.04-1.418-8.91-2.363-12.313-2.28zm1.72 45.626c-26.39 18.067-56.995 16.428-81.844 7.813-20.187 13.676-40.456 9.14-53.094 7.375-6.793-.95-11.016-.873-14.25.906-3.237 1.78-7.39 6.21-11.532 18.47l-3.313 9.81-9.438-4.28c-26.59-12.11-45.507-16.066-58.937-13.97-13.43 2.098-22.934 9.533-32.813 25.032l-3.78 5.938-6.75-2c-35.05-10.37-64.65-11.103-97.188 6.75v43.375l10.28-1.033 410.313-41.718.25-58.44c-15.042 6.07-32.325 5.435-47.907-4.03z"}}]})(props);
};
function GiCalavera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32c-35.999 0-82.121 10.125-115.59 33.22C152.646 88.628 172.317 108.318 192 128c-35.39 0-60.98-14.69-79.506-35.928C102.204 106.462 96 123.68 96 144c0 24.317.004 76.342 14.045 99.928C101.867 255.122 96 268.628 96 288c0 10.91 14.886 36.693 34.5 51.996L144 448c0 12.836 41.19 35.954 82.266 44.602L256 448l29.734 44.602C326.81 483.954 368 460.836 368 448l13.691-109.527C402.07 323.033 416 298.555 416 288c0-19.372-5.867-32.878-14.045-44.072C415.996 220.342 416 168.317 416 144c0-20.321-6.204-37.539-16.494-51.928C380.98 113.31 355.39 128 320 128c19.683-19.683 39.354-39.373 51.59-62.78C338.12 42.126 291.999 32 256 32zm0 16a24 48 0 0 1 24 48 24 48 0 0 1-24 48 24 48 0 0 1-24-48 24 48 0 0 1 24-48zm-71.787 104.72c.787.001 1.577.013 2.367.038 22.134.682 45.34 10.898 60.908 34.25l-14.976 9.984c-14.208-21.312-34.44-27.78-53.698-26.03-19.257 1.752-36.643 12.82-42.765 25.063l-16.098-8.05c9.878-19.757 32.492-32.689 57.235-34.938a77.206 77.206 0 0 1 7.027-.316zm143.574 0a77.253 77.253 0 0 1 7.027.317c24.743 2.25 47.357 15.181 57.235 34.938l-16.098 8.05c-6.122-12.243-23.508-23.311-42.765-25.062-19.258-1.75-39.49 4.717-53.698 26.03l-14.976-9.985c15.568-23.352 38.774-33.568 60.908-34.25a77.99 77.99 0 0 1 2.367-.037zM184 192a56 48 0 0 1 56 48 56 48 0 0 1-56 48 56 48 0 0 1-56-48 56 48 0 0 1 56-48zm144 0a56 48 0 0 1 56 48 56 48 0 0 1-56 48 56 48 0 0 1-56-48 56 48 0 0 1 56-48zm-144.688 9.654c-5.775 11.55-8.207 16.432-7.312 22.346-3.549-4.815-8.722-6.545-20.973-10.629 4.084 12.251 5.816 17.422 10.631 20.97-5.914-.894-10.795 1.538-22.345 7.313 11.55 5.775 16.431 8.206 22.345 7.31-4.815 3.55-6.547 8.722-10.63 20.974 12.25-4.084 17.423-5.814 20.972-10.63-.895 5.914 1.537 10.796 7.313 22.346 5.775-11.55 8.205-16.432 7.31-22.345 3.549 4.815 8.722 6.545 20.973 10.628-4.084-12.25-5.816-17.423-10.631-20.972 5.914.895 10.797-1.536 22.347-7.31-11.55-5.776-16.433-8.208-22.347-7.313 4.815-3.549 6.547-8.72 10.63-20.97-12.25 4.083-17.423 5.813-20.972 10.628.895-5.914-1.535-10.795-7.31-22.346zm145.375 0c-5.775 11.55-8.205 16.432-7.31 22.346-3.549-4.815-8.722-6.545-20.973-10.629 4.084 12.251 5.816 17.422 10.631 20.97-5.914-.894-10.797 1.538-22.348 7.313 11.55 5.775 16.434 8.206 22.348 7.31-4.815 3.55-6.547 8.722-10.63 20.974 12.25-4.084 17.423-5.814 20.972-10.63-.895 5.914 1.535 10.796 7.31 22.346 5.776-11.55 8.208-16.432 7.313-22.345 3.549 4.815 8.722 6.545 20.973 10.628-4.084-12.25-5.816-17.423-10.631-20.972 5.914.895 10.795-1.536 22.346-7.31-11.55-5.776-16.432-8.208-22.346-7.313 4.815-3.549 6.547-8.72 10.63-20.97-12.25 4.083-17.423 5.813-20.972 10.628.895-5.914-1.537-10.795-7.313-22.346zM248 262v64h-32l32-64zm16 0l32 64h-32v-64zm-8 75c13.505 0 25.069 5.325 35.455 9.57 10.386 4.246 19.411 7.38 27.563 6.485 2.823-.31 10.763-3.706 16.863-7.297 6.1-3.591 10.814-7.028 10.814-7.028l10.61 14.54s-5.357 3.914-12.293 7.998c-6.937 4.083-14.999 8.686-24.03 9.677-13.707 1.505-25.686-3.36-36.337-7.715-10.652-4.354-20.16-8.23-28.645-8.23s-17.993 3.876-28.645 8.23c-10.651 4.355-22.63 9.22-36.337 7.715-9.031-.991-17.094-5.594-24.03-9.677-6.936-4.084-12.293-7.998-12.293-7.998l10.61-14.54s4.714 3.437 10.814 7.028c6.1 3.591 14.04 6.987 16.863 7.297 8.152.894 17.177-2.239 27.563-6.485C230.93 342.325 242.495 337 256 337zm-73 43h18v13h14v-13h18v13h14v-13h18v13h14v-13h18v13h14v-13h18v13h13v18h-13v17h-18v-17h-14v17h-18v-17h-14v17h-18v-17h-14v17h-18v-17h-14v17h-18v-17h-13v-18h13v-13z"}}]})(props);
};
function GiCaldera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M322.906 60.906l-7.72 1.47-63.592 12.093-3.22.624-2.124 2.47c-7.074 8.218-17.59 13.896-28.97 14.655-11.38.758-23.822-3.012-36.093-15.19l-5.718-5.655-6.47 4.78-55.5 41.407-2.53 1.876-.876 3C98.38 162.385 64.634 244.3 17.97 312.688v32.03C73.347 271.667 112.546 178.6 127.03 130.75l47.032-35.03c14.115 11.464 29.877 16.128 44.47 15.155 15.478-1.033 29.394-8.116 39.5-18.594l52.937-10.093 11.374 30.032 1.812 4.78 5 1.03c25.286 5.29 57.767 17.538 83.47 41.564 7.697 82.853 28.944 142.817 80.624 194.28v-27.312c-39.61-45.515-55.92-97.534-62.438-172.375l-.28-3.437-2.5-2.438c-27.842-27.25-62.216-40.858-89.97-47.343l-12.375-32.72-2.78-7.344zm-59.562 70.156c-38.16 0-72.7 6.43-96.844 16.282-12.072 4.926-21.48 10.752-27.438 16.5-3.952 3.813-6.323 7.357-7.468 10.75-.042.123-.087.252-.125.375-12.766 37.944-29.76 75.897-49.126 113.843 24.3-23.393 44.42-49.902 56.75-77.813l-13.656 59.375-44.626 122-1.718 4.688 2.937 4.03 26.126 36.063-25.25 57.813h20.406l24.094-55.25 2.156-4.908-3.125-4.312-26.374-36.375 7.687-20.97 70.72-156.905c22.04 7.065 50.196 11.578 80.905 11.938l9.03 114.75 28.564 125.968-5.126-131.687 14.72-73.876 26.498 37.812-1.03-80.437c10.397-2.448 19.878-5.417 28.124-8.782 5.128-2.093 9.762-4.352 13.875-6.688 7.416 37.274 29.225 72.748 60.064 108.25-17.907-42.653-36.687-88.07-38.656-130.063.32-1.282.468-2.536.468-3.78 0-4.904-2.323-10.065-8.28-15.813-5.96-5.748-15.398-11.574-27.47-16.5-24.143-9.853-58.652-16.28-96.812-16.28z"}}]})(props);
};
function GiCalendar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119 31v66h18V31h-18zm256 0v66h18V31h-18zM73 89v30h366V89h-28v26h-54V89H155v26h-54V89H73zm0 48v302h366V137H73zm110 14h18v32h46v-32h18v32h46v-32h18v32h46v-32h18v32h32v18h-32v46h32v18h-32v46h32v18h-32v46h32v18H265v32h-18v-32h-46v32h-18v-32h-46v32h-18v-32H87v-18h32v-46H87v-18h32v-46H87v-18h32v-46H87v-18h96v-32zm-46 50v46h46v-46h-46zm64 0v46h46v-46h-46zm64 0v46h46v-46h-46zm64 0v46h46v-46h-46zm-192 64v46h46v-46h-46zm64 0v46h46v-46h-46zm64 0v13.27c2.545-5.936 7.334-10.725 13.27-13.27H265zm32.73 0c5.936 2.545 10.725 7.334 13.27 13.27V265h-13.27zm31.27 0v46h46v-46h-46zm-41 16c-3.973 0-7 3.027-7 7s3.027 7 7 7 7-3.027 7-7-3.027-7-7-7zm-23 16.73V311h13.27c-5.936-2.545-10.725-7.334-13.27-13.27zm46 0c-2.545 5.936-7.334 10.725-13.27 13.27H311v-13.27zM137 329v46h46v-46h-46zm64 0v46h46v-46h-46zm64 0v46h46v-46h-46zm64 0v46h46v-46h-46z"}}]})(props);
};
function GiCaltrops (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.244 19.566l-8.69 4.383-8.265 95.438-42.533 18.619.504 10.965 32.906-7.02-64.55 96.463 15.677-3.02 75.582-91.835 71.578 22.966 12.79-8.94-80.325-37.44-4.674-100.579zm262.844 73.059l-1.326 133.818L264.54 280.49l5.178 9.428 124.004-27.285 69.574 111.066 12.47-1.574L419.2 253.283l63.684-4.54.982-9.554-72.344-16.646L391.55 94.219l-9.461-1.594zm-177.994 99.326l-19.065 2.504-14.972 134.44-102.29 18.001 14.393 16.79 74.115-4.155L85.844 488.25l17.611 1.525 82.639-120.525 132.7 34.564 18.151-9.138-137.863-62.242 5.012-140.483z"}}]})(props);
};
function GiCamargueCross (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M230.363 32.256l-12.726 12.726L247 74.348v51.271h-67.271l-29.366-29.363-12.726 12.726 25.636 25.637-25.636 25.637 12.726 12.726 29.366-29.363H247v79.213c-17.269-16.404-34.965-23.523-50.857-22.102-2.99.268-5.916.838-8.762 1.704C164.608 209.36 151 233.76 151 262.619c0 29 22.182 53.882 44.365 78.082 21.702 23.675 44.225 47.136 51.617 67.416-.184 13.99-2.919 22.791-6.336 28.186-3.538 5.586-7.751 8.128-13.119 9.662-5.367 1.533-11.853 1.643-18.113 1.18-4.385-.325-8.464-.929-12.41-1.27-12.532-5.06-22.06-10.59-29.479-16.36-26.256-24.219-36.388-52.882-52.545-85.812l-9.482 61.985 16.225-7.522c7.592 15.066 16.568 31.414 34.752 45.557 28.045 21.169 65.905 30.32 98.045 35.773l1.48.248 1.48-.248c35.531-6.743 69.787-14.072 98.045-35.773 18.184-14.143 27.16-30.491 34.752-45.557l16.225 7.522-9.482-61.985c-14.464 29.13-30.782 68.45-52.545 85.813-7.42 5.77-16.947 11.3-29.479 16.359-3.946.341-8.025.945-12.41 1.27-6.26.463-12.746.353-18.113-1.18-5.368-1.534-9.581-4.076-13.12-9.662-3.416-5.395-6.15-14.195-6.335-28.186 7.392-20.28 29.915-43.741 51.617-67.416C338.818 316.501 361 291.62 361 262.62c0-28.859-13.608-53.259-36.38-60.185a43.324 43.324 0 0 0-8.763-1.704c-15.892-1.421-33.588 5.698-50.857 22.102v-79.213h67.271l29.366 29.363 12.726-12.726-25.636-25.637 25.636-25.637-12.726-12.726-29.366 29.363H265V74.348l29.363-29.366-12.726-12.726L256 57.893zm-29.597 186.29c12.329.199 28.452 8.274 46.234 31.126v122.402c-11.226-15.039-25.343-29.33-38.365-43.537C186.818 304.737 169 281.62 169 262.62c0-23.342 10.392-38.941 23.62-42.965 2.48-.754 5.205-1.154 8.146-1.107zm110.468 0c2.941-.046 5.667.354 8.147 1.108C332.608 223.678 343 239.277 343 262.62c0 19-17.818 42.118-39.635 65.918-13.022 14.207-27.139 28.498-38.365 43.537V249.672c17.782-22.852 33.905-30.927 46.234-31.125z"}}]})(props);
};
function GiCambodia (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.823 176.292c52.634-142.707 221.115-88.048 332.738-44.2l-13.409-41.716c41.185-20.775 48.6-23.357 81.943 3.973l59.098-35.757-15.892 52.642c44.039 50.132 22.324 108.155 23.838 163.39l-155.167 71.975 37.964 75.522c-21.918 3.053-62.448-14.29-101.311-8.443l-11.905 37.608-119.7 2.122C50.901 387.048 33.051 278.67 19.822 176.292z"}}]})(props);
};
function GiCamelHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M34.26 54.05c-3.674-.052-7.343.22-11.016.766.984 18.973 2.226 39.808 8.106 56.516 6.682 18.99 17.358 32.218 42.87 35.504l3.964.51 19.552 28.15c-11.674 19.768-24.757 40.383-27.453 64.24C66.53 277.26 94.98 310.503 94.39 350.273 93.877 384.61 55.533 408.33 18 419.865V494h191.1c5.815-59.63 3.997-142.295 46.45-193.568-.098-.082-.193-.158-.292-.24-36.887 13.005-67.608 15.536-91.19 5.884-7.885-3.227-14.73-7.882-20.49-13.763-9.234-16.563-10.896-32.02-1.967-42.104 4.063 20.628 13.888 32.91 29.277 39.208 35.125 6.58 61.317.294 87.974-9.633 37.367 28.99 77.208 43.628 120.232 47.863 3.3 19.667 13.757 35.763 30.412 40.163 14.11 3.496 31.643.26 43.44-5.744 17.47-8.89 27.032-33.07 17.07-59.71-48.152-2.008-100.698-13.49-133.68-42.907 16.136 3.43 33.54 6.376 47.3 8.034 26.324 12.59 51.317 13.888 90.546 17.073 8.062-5.743 13.12-10.632 15.63-14.584 2.774-4.368 3.313-7.532 2.51-12.754-3.09-11.252-11.807-15.73-21.478-14.93-15.433-39.633-39.394-82.483-70.715-97.464-36.225-8.937-73.532 1.93-105.856 11.54 3.448-14.18-1.07-18.407-6.27-28.366-19.06-19.503-39.63-11.05-57.38-18.498-14.267-8.968-15.308-35.744-28.94-42.57-11.082-4.523-26.49-4.93-40.848-1.68-14.36 3.25-27.51 10.208-34.336 17.787l-4.785 5.312-6.257-3.46C86.786 69.037 60.437 54.407 34.26 54.048zm16.054 24.41C63.134 80.113 76.65 87.74 89.31 96.5c12.66 8.757 23.642 18.164 29.495 27.225l-15.12 9.767c-2.81-4.348-13.225-14.31-24.617-22.19-11.392-7.88-24.586-14.155-31.052-14.987zm183.827 80.66c6.545.052 14.645 1.008 28.33 2.614 4.758 1.464 4.267 10.61-2.6 15.733-26.57 9.943-38.235 14.125-64.15-9.88 20.924-6.123 27.513-8.55 38.42-8.466zm172.116 24.28c20.81 7.5 30.964 29.094 38.154 47.196l-16.75 6.59c-4.683-10.115-13.924-33.156-25.414-36.24z"}}]})(props);
};
function GiCamel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M420.8 26.91c-11.4.76-23.7 4.65-33.6 10.29-5.3-4.86-13.5-10.52-19.3-6.11-12.5 9.46-2.4 20.76 6.8 27.94 5.5 35.86 20.7 93.17-9.8 105.97C317 183.1 308.4 36.14 241 37.94c-40.4 1.08-22.6 59.65-62.6 61.65-29.5 1.51-27.3-54.51-51.9-55.36-25.9-.9-44.62 18.9-57.71 86.97-25.63-.1-35.73 20.1-47.42 59.2-11.686 39-3 115.6 1.2 162.4l7.87-76.3c2.43 12 6.19 24.1 11.91 36.7 3.91 18.7 5.44 37.4 5.81 56-8.2 10.2-8.8 26.2-.42 35.5-.92 26.8-2.67 53.5-1.68 80.3 34.48.5 66.04-1 99.54 0 1.8-11.9-14.9-20.4-34.3-30.3.3-13.7.2-30.5 0-47.5 8.8-10.2 9-28.1-.2-36.8.1-21.3.8-38.6 3.3-43.9 8-17.1 20.6-31.9 29.1-47.2 28.7 5.3 59.7 2.9 91.9-4.7l.7 85.5c-7.7 11.3-8 27.7.3 37.8 4.7 29 .6 58.1.8 87.1h58c2.3-15-22.5-23.1-34.6-30.1 0-22.1-3.9-38.8-.4-60.3 5-9.9 5.3-21.5.4-30.8.9-33 3.3-66 10.7-99 1.6-.6 7.9-3.7 9.3-5.3l10.9 98.4c-5.6 11.9-4.4 27.3 4 36.7 6.6 30.1 4.5 59.5 7.9 89.6l61.2.8c.3-12.3-29.1-20-40.3-25.5-6.4-21.4-5.7-43.1-6.7-64.9 8-12.1 7.6-28.9-1.1-39.5.5-38.3 5.5-76.8 18.4-114.6 106.6-5.9 96.2-72 99.3-133.2 1.4-27.24 55.5 1.7 60-11.61 2.4-6.92 3.6-13.89 0-21.84-8.6-19.29-23.9-20.32-36.7-20.63-12.3-7.36-22.6-25.96-35.5-26.31zm6.7 19.58c4.9 2.64 3.8 7.47 2.7 10.11-6.6 1.96-16.3-1.08-20.8-4.59 3.9-2.99 12.2-5.39 18.1-5.52zM80.6 302.3c3.05 7.8 5.74 15.6 7.35 23.2 3.22 15.3 4.91 30.7 5.72 46.2-7.48 10.3-7.78 26.1.59 35-.25 21.6-1.3 43.2-1.52 64.7-4.54-7.5-12.92-14-24.94-17.1.16-14.4-.44-32.4-1.08-50.6 6.91-10.2 7.01-25.6-1.11-34.3-.67-27-.34-49.4 3.78-54.1 3.95-4.5 7.67-8.8 11.21-13z"}}]})(props);
};
function GiCampCookingPot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M151.7 16.73s-20.6 14.12-22 25.18c-1.4 11.33 17.6 19.24 15.6 30.48-1.3 7.43-16.6 15.38-16.6 15.38s38.7-3.36 42.3-18.3c2.9-11.82-19.8-16.61-23-28.35-2.1-7.94 3.7-24.39 3.7-24.39zm214.4 4.89s-24.8 13.58-24.9 25.45c-.1 7.24 14.4 8.67 14.8 15.9.5 8.56-15.3 20.68-15.3 20.68s33.6-3.81 38.1-16.97c2.7-7.77-9.4-13.81-11.6-21.73-2.1-7.5-1.1-23.33-1.1-23.33zm-106.9.26s-26.9 13.75-24.9 25.45c1.4 7.93 20.6 2.62 21.7 10.6 1.7 13.01-29.6 25.98-29.6 25.98s56.5-1.44 58.8-22.27c1.1-9.88-20-7.79-24.9-16.43-3.9-6.77-1.1-23.33-1.1-23.33zM48 105.6v18h416v-18zm16 37c-14.48 86.9 16.9 138.1 58.6 168.2-3.6-24.8-14.1-49.1-35.06-72.2 39.96 10.5 71.36 48.8 85.36 87.2 2.3-18.8 2.3-27.5 19.5-44.2-3.1 24.8 11.2 26.5 21.2 23.4 25.3-7.9 35.6-39.5 10.6-78.9 47.6 22.7 48.3 48.4 56.3 83.7-2.4-33.2 24.3-46.5 43.7-34-45.1 22.7-8.2 42.2 6.9 47 40 12.8 70-46.3 87.2-91 4.7 19.8.8 39.7-6.5 59.5C441.4 260 459.7 213 448 142.6zm184.3 175.2L75 417.5c2.7 18.4 9 34.4 18.8 48.5l92-44.1-78.7 59.9c3.4 3.4 7.1 6.6 11 9.7l74.7-42.9c0-.7-.1-1.5-.1-2.2 0-37.2 30.5-67.6 67.8-67.6 10.6 0 20.6 2.4 29.5 6.7-2.4-13.4-7.3-27.1-14.8-39.2l-94.9 40.1 82.5-56.5c-4.4-4.5-9.2-8.6-14.5-12.1zm58.9 57.6c1.6 7.2 2.6 14.4 3 21.4l.2 3.9c11.1 12 17.9 28.1 17.9 45.7 0 7.8-1.3 15.3-3.8 22.2l91.4 24.4c4.6-6.3 8.6-12.8 11.8-19.4l-63.1-24.7 70.1 6.9c.9-3 1.6-5.9 2.2-8.9l-97.1-34.3 99.2 15.5c.2-5.8-.1-11.7-.8-17.7zm-46.7 22.1c-27.2 0-49.1 21.8-49.1 48.9 0 27.1 21.9 48.9 49.1 48.9 27.3 0 49.2-21.8 49.2-48.9 0-27.1-21.9-48.9-49.2-48.9zm-4.9 11.8c43.8 0 58.4 71.6 0 71.6 26.6-23.1 29.8-46.9 0-71.6zm.2 9.8c-21.6 17.9-19.3 35.2 0 52-42.4 0-31.8-52 0-52z"}}]})(props);
};
function GiCampfire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M281.53 23.438c48.44 71.504-18.447 145.556-63.655 58.968 27.295 144.502-65.22 166.347-74.75 74.75-73.554 65.057-59.358 147.17-20.438 210.75l45.844-26.344c-12.004-18.318-17.995-42.502-15.31-66.218 25.688 39.43 106.855 10.088 97.124-59.938 10.695 32.074 37.802 28.97 65.78-20.5C278.07 297.622 337.95 364.248 378.032 333.5c1.47 11.97-2.95 25.657-10.592 38.063l46.968 12.53c55.122-47.503 79.71-135.97-3.812-175.53 39.08 60.478-13.1 105.064-60.72 41.468-38.546-72.133 82.366-113.394-68.343-226.593zM173.876 48.124c-64.128 32.333-14.642 60.51-14.03 92.344 44.122-38.935-3.722-53.508 14.03-92.345zm74.47 269.094L75 416.874c2.71 18.39 8.98 34.417 18.813 48.5l92-44.063-78.688 59.875c3.39 3.38 7.033 6.62 10.938 9.75L192.78 448c-.023-.738-.06-1.475-.06-2.22 0-37.22 30.495-67.56 67.81-67.56 10.53 0 20.527 2.413 29.44 6.717-2.323-13.414-7.28-27.104-14.72-39.28l-94.938 40.124 82.47-56.467c-4.34-4.55-9.166-8.64-14.438-12.094zm58.874 57.624c1.61 7.148 2.6 14.315 2.967 21.312l.22 3.938c11.13 12.042 17.937 28.09 17.937 45.687 0 7.795-1.356 15.276-3.813 22.25l91.345 24.376c4.642-6.327 8.588-12.768 11.844-19.375l-63.158-24.686 70.125 6.844c.866-2.948 1.61-5.923 2.22-8.938l-97.063-34.22L439 427.5c.156-5.772-.103-11.67-.813-17.72L307.22 374.845zm-46.69 22.062c-27.26 0-49.124 21.8-49.124 48.875 0 27.078 21.864 48.876 49.125 48.876 27.263 0 49.126-21.798 49.126-48.875 0-27.075-21.863-48.874-49.125-48.874zm-4.936 11.78c43.778.002 58.435 71.595 0 71.595 26.622-23.113 29.81-46.888 0-71.592zm.187 9.845c-21.616 17.916-19.304 35.177 0 51.94-42.375 0-31.745-51.94 0-51.94z"}}]})(props);
};
function GiCampingTent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M361.155 91.245l-18 .193.42 38.98c-45.773 13.285-108.533 19.738-166.474 23.573 35.097 96.284 99.357 173.77 157.845 257.13 20.718-19.655 51.11-31.983 83.46-36.01-20.8-18.109-36.634-27.966-58.833-70.438 31.27 37.085 52.579 48.467 77.623 62.006 3.263-13.094 8.938-24.638 18.721-32.674 8.667-7.12 20.026-10.654 33.53-10.344-46.874-59.763-101.67-117.054-127.83-189.435l-.462-42.98zM163.25 102.92l-17.998.244s.25 18.34.56 36.97c.156 9.316.325 18.703.489 25.929.06 2.636.117 4.58.174 6.542-34.378 83.733-69.154 160.993-123.92 233.442 33.635-1.387 66.326-1.203 98.552-.041 22.263-62.617 23.346-134.855 35.627-202.006 11.417 68.562 10.566 139.445 33.483 205.83 42.962 3.082 85.69 7.198 129.35 10.926-55.67-79.151-118.213-155.037-155.118-249.365-.05-1.782-.1-3.396-.152-5.737-.162-7.156-.333-16.523-.488-25.82-.31-18.594-.559-36.914-.559-36.914z"}}]})(props);
};
function GiCancel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16C123.45 16 16 123.45 16 256s107.45 240 240 240 240-107.45 240-240S388.55 16 256 16zm0 60c99.41 0 180 80.59 180 180s-80.59 180-180 180S76 355.41 76 256 156.59 76 256 76zm-80.625 60c-.97-.005-2.006.112-3.063.313v-.032c-18.297 3.436-45.264 34.743-33.375 46.626l73.157 73.125-73.156 73.126c-14.63 14.625 29.275 58.534 43.906 43.906L256 299.906l73.156 73.156c14.63 14.628 58.537-29.28 43.906-43.906l-73.156-73.125 73.156-73.124c14.63-14.625-29.275-58.5-43.906-43.875L256 212.157l-73.156-73.125c-2.06-2.046-4.56-3.015-7.47-3.03z"}}]})(props);
};
function GiCancer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M35.16 145.506C75.983 78.28 175.26 30.66 285.294 30.66c73.18 0 138.768 17.16 198.437 60.093l.464 96.793c-80.92-61.71-181.865-90.673-278.885-53.71 17.84 19.422 28.756 45.353 28.756 73.833 0 60.293-48.87 109.168-109.16 109.168-60.288 0-109.158-48.875-109.158-109.17-.005-23.08 7.168-44.522 19.413-62.162zm89.45 83.374c12.396 0 22.445-10.054 22.445-22.455 0-12.402-10.05-22.456-22.445-22.456-12.396 0-22.456 10.053-22.456 22.455 0 12.4 10.065 22.455 22.456 22.455zm260.892 47.792c-12.402 0-22.45 10.054-22.45 22.456 0 12.4 10.048 22.45 22.45 22.45 12.4 0 22.45-10.05 22.45-22.45 0-12.402-10.054-22.456-22.45-22.456zm89.45 83.374c-40.822 67.226-140.098 114.846-250.13 114.846-73.183 0-138.766-17.16-198.436-60.092l-.463-96.788c80.916 61.704 181.865 90.668 278.88 53.715-17.847-19.428-28.758-45.36-28.758-73.838 0-60.29 48.87-109.16 109.16-109.16s109.164 48.87 109.164 109.16c.004 23.073-7.17 44.51-19.42 62.156z"}}]})(props);
};
function GiCandleFlame (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M334.656 17.125c-39.668 10.85-74.78 27.46-100.75 51.97-.7-12.52-4.5-25.147-13.28-38.032-.99 44.914-50.315 103.934-30.5 153.53.003.01-.005.023 0 .032 7.68 30.364 37.266 53.535 65.468 58.313-2.05-19.67-7.09-37.707-14.47-54.72l17.157-7.437c8.366 19.287 13.92 39.993 16 62.47 23.252-3.66 41.33-23.623 38.283-67.594-3.658-52.788-.63-114.802 22.093-158.53zM209.53 258.72c-31.372.18-59.653 7.37-81.81 19.936-22.914 12.996-39.443 32.518-44.376 55.5-2.557 8.937-4.03 19.326-4.03 30.406 0 32.55 12.64 59.1 28.5 60.532V489.5h301.155v-18.47c1.204.15 2.44.22 3.686.22 16.484 0 29.844-13.362 29.844-29.844 0-15.464-11.78-28.173-26.844-29.687-2.632-46.515-15.848-80.1-41.875-103.47-23.49-21.094-56.093-33.432-98.592-41.78-.3 21.733-3.715 45.06-10.75 70.28l-18.032-5.03c7.006-25.113 10.208-47.738 10.22-68.533-4.84-.782-9.746-1.537-14.813-2.25-11.03-1.55-21.824-2.28-32.282-2.218zm-103.186 79.186h18.687c0 5.588 2.556 11.307 8.69 17.5 6.13 6.194 15.744 12.395 28.06 17.656 24.636 10.524 59.83 17.375 98.75 17.375 49.15 0 92.438-11.197 115.845-26.312l10.125 15.72c-28.443 18.366-74.097 29.28-125.97 29.28-41.077 0-78.3-7.003-106.092-18.875-13.897-5.936-25.473-13.075-34-21.688-8.528-8.612-14.094-19.157-14.094-30.656z"}}]})(props);
};
function GiCandleHolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M290.75 14.625c-14.073 0-47.344 43.993-47.344 79.97 0 26.674 11.15 44.41 38.375 46.81 3.648-21.18 3.137-42.01-3-62.874l17.908-5.28c6.65 22.616 7.458 45.273 4.093 67.625 27.623-3.88 37.283-20.537 37.283-46.28 0-35.977-33.655-79.97-47.313-79.97zm-45.188 140.063v11.843l-.187-3.905c.774 26.386-17.415 28.686-17.125 48.156.227 15.365 12.172 20.084 17.313 12.69v145.75h97.156v-83.5c6.51 7.5 19.83 1.552 20.092-16.22.31-20.772-16.87-25.295-20.093-48.22v-66.593c-32.392 10.276-65.8 9.795-97.158 0zM113.625 285.344c-19.435.005-37.23 10.322-48.094 26.125-14.485 21.068-17.477 52.02-.81 81.405 7.814 13.78 4.407 25.93-2.126 32.28-6.533 6.352-15.494 8.594-27.563-2.53l-12.655 13.72c17.56 16.183 40.3 14.805 53.25 2.217 12.95-12.587 16.81-34.69 5.344-54.906-13.474-23.753-10.43-46.47-.032-61.594 10.398-15.124 27.313-22.524 45.968-15.593 23.738 8.82 34.46 29.795 32.813 48.124-1.355 15.062-9.978 28.618-30.095 33.437h-25.688c3.313 6.736 7.145 13.262 11.407 19.533l.03 1c.213-.006.415-.025.626-.032 10.88 15.772 24.687 29.972 41.063 42.158H443c23.286-17.327 41.907-38.453 53.75-62.657H164.28c8.205-9.01 13.02-20.162 14.064-31.78 2.414-26.863-13.754-55.694-44.938-67.28-6.646-2.47-13.303-3.628-19.78-3.626z"}}]})(props);
};
function GiCandleLight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.75 23.563c-27.913 0-93.875 87.237-93.875 158.593 0 59.35 29.018 79.715 68.625 94.875-15.47-15.607-26.03-43.75-26.03-76.186 0-49.232 31.292-89.188 53.25-89.188 21.132 0 53.25 39.955 53.25 89.188 0 30.39-9.41 56.833-23.283 72.937 36.097-18.016 61.938-35.72 61.938-91.624 0-71.356-66.786-158.594-93.875-158.594zm6.72 175.906l-18.5 2.686c5.764 39.366 6.665 69.034 4.25 97.875-24.957-.97-49.677-5.972-73.69-14.75v95.47c-3.295 25.668-22.434 30.526-22.093 53.47.29 19.547 14.998 26.003 22.094 17.624v36.28h164.69v-88.343c8.615 10.89 27.17 3.06 27.53-21.31.432-29.117-24.597-34.605-27.53-68.814V285.28c-23.916 8.88-48.17 13.702-72.314 14.72 2.337-29.752 1.383-60.792-4.437-100.53z"}}]})(props);
};
function GiCandleSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.104 22.578c-20.107 0-36.407 24.864-36.407 55.54 0 14.627 3.712 27.924 9.77 37.843-.797-3.59-1.227-7.4-1.227-11.353 0-21.304 12.457-38.572 27.822-38.572 15.366 0 27.825 17.27 27.825 38.572 0 4.027-.448 7.908-1.274 11.557 6.133-9.94 9.897-23.318 9.897-38.047 0-30.672-16.3-55.54-36.406-55.54zm-8.625 79.795c-3.055 12.47-6.142 26.436-3.298 40.94-8.287-1.01-16.575-2.958-24.862-5.82 9.937 28.745 14.647 57.702 3.748 87.278-16 14.62-32.728 27.616-47.52 38.335-9.616 6.97-8.897 18.14-4.433 22.663 2.232 2.26 5.295 3.785 11.748 2.43 6.453-1.357 16.117-6.333 27.883-17.92 5.477-5.395 12.057-7.237 20.416-9.216 8.36-1.978 18.263-3.21 28.584-3.304 20.642-.19 43.666 3.353 56.88 19.592 7.75 9.527 14.644 12.63 19.724 13.14 5.08.51 9.04-1.392 11.892-4.53 2.853-3.14 4.186-7.386 3.487-11.25-.7-3.866-3.072-8.03-10.7-11.653-17.862-8.484-35.915-21.494-51.493-37.217-12.106-29.452-8.637-58.902 3.578-88.348-9.837 3.664-19.674 5.752-29.51 6.4-3.613-11.36-1.362-23.237 2.026-37.074l-18.15-4.445zm12.438 174.072c-8.915.083-17.664 1.196-24.453 2.803-6.79 1.607-11.856 4.59-11.606 4.344-13.444 13.24-25.725 20.493-37.153 22.894-10.256 2.156-19.96-.205-26.695-5.627-21.038 17.212-33.722 40.734-32.33 71.636 2.607 57.89 28.36 96.284 58.69 113.104 28.96 16.058 61.78 13.472 87.425-11.93l-11.3-42.274 18.054-4.826 8.218 30.74c20.986-3.343 42.087-5.46 63.275-5.664 1.523-.014 3.048-.02 4.572-.013 19.34.07 38.748 1.778 58.203 5.63 1.013-31.385-.38-62.404-7.734-89.658l-29.46-4.492c2.29-18.12 21.336-32.636 38.835-35.996l-53.68-29.41c-.235.275-.464.555-.708.822-6.503 7.155-16.556 11.662-27.59 10.554-11.033-1.108-22.353-7.65-32.353-19.94-6.595-8.104-24.38-12.864-42.212-12.7zm-19.36 23.43l13.84 12.555c-13.42 14.796-24.91 36.053-24.787 61.01 15.837 2.025 31.16 7.527 42.18 20.964l-14.452 11.852c-8.717-10.63-21.02-14.297-37.256-15.133l-8.03-.412-.788-8c-3.423-34.676 11.938-63.7 29.293-82.835zm50.487 26.36c19.1-.178 43.927 16.05 46.56 36.872l-64.568 10.04c-11.24-33.82 1.155-46.753 18.008-46.91zm80.846 44.974l15.98 58.38-22.43-19.973-7.682 21.2c-8.4-21.78-15.746-44.162 14.133-59.608zM344.93 470.4c-5.53.124-11.065.404-16.608.784l3.592 24.076h13.664l-.648-24.86zm18.7.12l.642 24.74h13.367l-.12-23.924c-4.626-.38-9.256-.652-13.89-.817zm-53.948 2.376c-6.34.727-12.693 1.6-19.055 2.582l5.29 19.782h17.1l-3.335-22.364zm86.537.606l.11 21.758h13.323c.488-6.335.924-12.712 1.3-19.102-4.908-1.025-9.82-1.915-14.733-2.656z"}}]})(props);
};
function GiCandlebright (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M182.5 20.563c24.226 185.95-94.27 281.193-69.688 372.937 3.67 13.694 10.22 26.198 18.907 37.375-2.572-7.143-4.053-14.664-4.22-22.5-1.053-49.328 50.494-92.216 87.344-161.25 11.533 31.27 23.798 68.703 16.75 116.28 62.933-18.27 110.746-66.518 121.187-117.655 37.003 66.223 41.693 141.46.876 196.78-.134-3.025-.612-6.104-1.53-9.186-6.996-23.464-39.652-36.488-72.688-28.03-61.143 15.66-69.61 98.658 16.625 85.217.44-.068.896-.144 1.343-.217 24.446-3.723 47.13-12.838 64.906-28.063C510.78 335.102 388.185 103.572 182.5 20.562z"}}]})(props);
};
function GiCandles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M346.166 120.959c5.287 26.437-22.463 28.126-26.338 49.516-.783 4.324 2.793 9.69 7.834 13.943 11.03-6.401 21.556-12.801 27.402-25.756.097 13.073.92 20.39-2.623 31.297 5.333-2.157 10.08-6.19 11.985-11.057 7.383-18.856 1.698-33.54-18.26-57.943zm-163.611 2.023c-21.363 13.165-33.867 38.582-26.338 58.645 1.657 4.417 5.718 7.613 10.545 9.605 8.38-11.958 10.617-28.168 13.261-44.097 3.989 14.592 9.184 28.781 7.565 45.242 6.85-2.286 13.368-7.432 15.334-13.91 5.72-18.853-19.685-28.345-20.367-55.485zM96.74 135.814c-19.958 24.403-35.38 45.633-27.039 68.829 2.187 6.08 7.948 10.77 14.563 13.507.122-9.129 4.439-17.323 7.867-25.714 2.359 9.506 9.671 17.402 18.232 24.322 4.23-2.75 7.71-6.663 9.203-11.063 6.99-20.583-28.113-43.444-22.826-69.88zm167.285 8.526c-19.958 24.402-31.972 44.678-27.04 68.83 1.525 7.47 7.162 15.453 14.165 19.236-1.3-16.011 3.756-29.904 7.659-44.181 2.546 15.337 4.714 30.935 12.351 42.748 7.482-4.333 13.94-11.595 15.692-16.75 6.99-20.583-15.823-42.744-22.827-69.883zm169.104 2.228c-19.958 24.403-35.379 40.432-30.902 63.56 1.305 6.744 7.394 13.195 14.138 15.76-1.621-13.913 3.574-25.908 7.563-38.242 2.487 12.662 4.614 25.533 11.83 35.428 4.74-2.801 8.626-6.759 10.012-10.838 6.99-20.583-17.928-39.23-12.641-65.668zm-253.695 53.914c-6.994-.021-14.281.932-22.057 3.518v235.002h48V204c-8.445-1.85-16.952-3.49-25.943-3.518zm159.4 3.707c-7.046.064-14.183 1.752-21.477 6.28l-.005-.117s-10.216 20.38-8.508 31.324c.99 6.346 5.824 6.058 8.426 3.16v194.166h52.214v-228.48c-10.166-3.026-20.31-6.426-30.65-6.333zM97.572 229.672c-11.386-.081-22.196 2.699-32.836 6.328v16.057c-5.88 9.183-16.389 27.662-13.816 39.033 1.645 7.27 8.429 8.425 13.816 6.453v141.459h60.64V408.92c5.319 1.33 11.807.387 13.411-4.94 2.514-8.348-7.465-21.792-13.41-28.84V236c-9.744-4.47-18.948-6.265-27.805-6.328zm328.662 6.02c-6.99-.017-15.63 2.987-26.97 10.943v192.367h48v-15.766c3.686-.033 9.122-8.008 10.986-19.949 3.35-21.465-9.668-46.281-10.986-48.726V246.635c-5.778-5.907-12.041-10.922-21.03-10.944zm-163.525 5.966c-6.944-.01-14.355 1.734-22.244 5.268v123.178c-4.607 8.986-8.612 19.573-6.916 27.068.968 4.278 3.72 6.432 6.916 7.086v34.744h41.68V246.926c-6.016-3.49-12.492-5.257-19.436-5.268zM16.814 456.998l20.002 30.004h438.368l20.002-30.004H16.814z"}}]})(props);
};
function GiCandlestickPhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M320.9 19.054c-39.32 0-71 31.68-71 71s31.68 71 71 71 71-31.68 71-71-31.68-71-71-71zm0 30c22.537 0 41 18.463 41 41s-18.463 41-41 41-41-18.463-41-41 18.463-41 41-41zM146.5 64.42a37.825 37.825 0 0 0-8.3.83c-29.027 6.162-49.944 25.765-62.878 51.578-12.934 25.812-18.633 57.932-19.178 91.888-1.09 67.913 18.283 143.263 49.238 190.287 10.45 15.873 24.974 24.52 41.96 28.866 6.516 1.665 13.427 2.814 20.827 3.713a57.1 57.1 0 0 1-.27-5.53c0-4.142.572-8.306 1.642-12.485-6.597-.813-12.504-1.8-17.738-3.14-14.19-3.63-23.288-9.02-31.387-21.323-27.905-42.392-47.307-115.925-46.277-180.1.515-32.087 6.1-61.815 17.275-84.115 11.175-22.3 27.19-37.078 50.522-42.03 6.646-1.412 10.758-.17 15.23 3.33 4.473 3.503 8.925 9.938 12.633 18.57 6.386 14.87 10.5 35.725 13.035 56.294h18.133c-2.558-22.05-6.74-45.028-14.63-63.396-4.43-10.315-10.045-19.352-18.073-25.64-6.02-4.714-13.61-7.504-21.764-7.6zm174.4 2.634c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zm-23 108.977v137.75c.14 3.726 1.945 6.4 6.222 9.108 4.293 2.717 10.887 4.59 17.405 4.78 6.517.19 12.843-1.326 16.732-3.762 3.888-2.436 5.64-4.806 5.64-9.852V176.03a88.702 88.702 0 0 1-23 3.024c-7.95 0-15.66-1.055-23-3.023zm-127.315 3.024c1.274 18.84 3.492 61.976-.802 88.442-2.047 12.612-7.35 26.95-11.577 37.558h69.385c-4.224-10.61-9.528-24.946-11.575-37.558-4.295-26.466-2.076-69.603-.803-88.442h-44.627zm63.315 16v30h46v-30h-46zm-89 126v18h96v-18h-96zm138.736 5.96c-27.298 14.694-51.16 32.19-68.373 49.403-19.15 19.152-29.363 38.137-29.363 49.637 0 13.182 5.877 23.69 16.293 33.068 10.415 9.378 25.387 17.005 41.552 22.393 45.724 15.24 108.584 15.24 154.307 0 16.166-5.388 31.137-13.015 41.553-22.393 10.416-9.377 16.295-19.886 16.295-33.068 0-21-10.155-38.33-29.022-55.31-16.857-15.172-40.628-29.394-68.123-43.57a30.515 30.515 0 0 1-10.94 11.988c-.07.042-.14.08-.208.123 17.422 2.965 33.142 8.79 45.972 16.875 19.12 12.05 32.32 29.83 32.32 50.394 0 20.566-13.2 38.345-32.32 50.395-19.12 12.048-44.638 19.104-72.68 19.104-28.043 0-53.562-7.056-72.682-19.105-19.12-12.05-32.318-29.83-32.318-50.396 0-20.565 13.2-38.345 32.318-50.394 13.266-8.36 29.617-14.31 47.75-17.174a42.995 42.995 0 0 1-1.47-.89c-4.3-2.72-8.18-6.5-10.862-11.08zm37.264 28.04c-24.977 0-47.46 6.487-63.084 16.334-15.626 9.848-23.916 22.32-23.916 35.166 0 12.848 8.29 25.32 23.916 35.166 15.625 9.848 38.107 16.334 63.084 16.334 15.375 0 29.797-2.465 42.263-6.652-4.685-3.872-9.765-8.13-14.255-12.965-3.65-3.93-6.973-8.283-9.022-13.594-2.05-5.31-2.506-11.822-.262-17.904l16.887 6.23c-.707 1.917-.64 3.096.17 5.195.81 2.098 2.68 4.874 5.42 7.824 5.012 5.398 12.588 11.12 19.345 17.054.86-.5 1.714-1.005 2.537-1.524 15.625-9.847 23.918-22.318 23.918-35.166 0-12.847-8.293-25.318-23.918-35.166-15.626-9.847-38.105-16.334-63.082-16.334zm-8.584 11.076h16v18h-16v-18zm38.006 5.383h16v18h-16v-18zm-72.506 3.137h16v18h-16v-18zm-27.98 26.404h16v18h-16v-18zm125.876 0h16v18h-16v-18zm-97.943 19.512h16v18h-16v-18zm34.782 8.762h16v18h-16v-18z"}}]})(props);
};
function GiCandyCanes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M109.963 27.656c-1.013.005-2.027.027-3.04.067-13.518.53-27.035 4.183-39.286 10.425L86.703 75.57c4.186-2.133 8.78-3.46 13.524-3.955l21.203-43.22c-3.796-.507-7.627-.755-11.467-.74zm292.074 0c-3.84-.016-7.67.232-11.467.74l21.203 43.22c4.745.493 9.338 1.82 13.524 3.954l19.066-37.422c-12.25-6.242-25.768-9.896-39.285-10.425-1.014-.04-2.028-.062-3.04-.067zm-247.72 13.028l-22.874 40.742c1.904 1.6 3.724 3.39 5.432 5.39l52.996-.402-5.22-10.246c-8.267-16.226-18.694-27.738-30.332-35.484zm203.365 0c-11.638 7.746-22.065 19.258-30.332 35.484l-5.22 10.246 52.995.402c1.708-2 3.528-3.79 5.432-5.39l-22.875-40.742zM31.54 70.19c-2.985 4.592-5.52 9.46-7.52 14.566-7.667 19.602-7.898 42.69 4.593 68.385l37.258-32.427c-.79-4.082-1.006-8.072-.718-11.904L31.54 70.19zm448.92 0l-33.612 38.62c.288 3.83.073 7.82-.72 11.903l37.26 32.428c12.49-25.695 12.26-48.782 4.59-68.384-1.997-5.105-4.533-9.974-7.517-14.567zM204.4 114.925l-51.427.39 14.53 28.514 51.428-.39-14.53-28.514zm103.204 0l-14.53 28.513 51.428.39 14.53-28.514-51.428-.39zM78.887 150.54L43.12 181.67l1.023 2.004c9.08 17.82 22.505 18.836 32.752 13.615 10.246-5.222 17.314-16.68 8.234-34.5l-6.243-12.25zm354.226 0l-6.242 12.25c-9.08 17.82-2.01 29.278 8.235 34.5 10.247 5.22 23.673 4.204 32.752-13.616l1.022-2.004-35.767-31.13zm-199.658 21.41l-51.428.392 14.528 28.512 51.427-.39-14.527-28.513zm45.09 0l-12.443 24.423 2.1 4.12 47.243.36 14.528-28.51-51.428-.392zm-16.035 57.025l-51.428.39 14.527 28.514 51.43-.392-14.53-28.513zm20.332.254l9.072 17.805 9.004-17.67-18.076-.136zm8.724 56.77l-51.427.39 14.526 28.512 51.428-.39L291.566 286zm-71.48.684l-14.18 27.828 28.47.217-14.29-28.046zm-28.707 56.34l-14.528 28.513 51.427.39 14.527-28.513-51.428-.39zm129.24 0l-51.427.39 14.528 28.514 51.428-.39-14.527-28.515zm-158.298 57.025l-14.527 28.51 51.43.39 14.527-28.51-51.43-.39zm187.356 0l-51.43.39 14.527 28.51 51.43-.39-14.527-28.51zm-214.805 57.034c-2.852 13.29 3.405 21.407 11.54 25.318 10.083 4.848 23.95 3.192 33.062-14.69l5.222-10.25-49.824-.378zm242.254 0l-49.824.38 5.222 10.247c9.112 17.884 22.98 19.54 33.06 14.692 8.137-3.91 14.394-12.03 11.542-25.318z"}}]})(props);
};
function GiCannedFish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 65c-65.3 0-124.4 10.69-166.36 27.5-20.99 8.4-37.64 18.3-48.6 28.7C30.09 131.5 25 141.8 25 152s5.09 20.5 16.04 30.8c10.96 10.4 27.61 20.3 48.6 28.7C131.6 228.3 190.7 239 256 239c65.3 0 124.4-10.7 166.4-27.5 20.9-8.4 37.6-18.3 48.6-28.7 10.9-10.3 16-20.6 16-30.8s-5.1-20.5-16-30.8c-11-10.4-27.7-20.3-48.6-28.7C380.4 75.69 321.3 65 256 65zm.1 13.53c51.3 0 97.8 6.57 132.1 17.57 17.2 5.5 31.4 12 41.9 20 10.6 7.9 18 18 18 29.9 0 11.9-7.4 22-18 29.9-10.5 8-24.7 14.5-41.9 20-34.3 11-80.8 17.6-132.1 17.6s-97.8-6.6-132.1-17.6c-17.2-5.5-31.43-12-41.95-20-10.51-7.9-17.95-18-17.95-29.9 0-11.9 7.44-22 17.95-29.9 10.52-8 24.75-14.5 41.95-20 34.3-11 80.8-17.57 132.1-17.57zm0 17.97c-49.8 0-94.8 6.6-126.7 16.7-15.9 5.1-28.5 11.2-36.49 17.2-8.01 6.1-10.81 11.3-10.81 15.6 0 4.3 2.8 9.5 10.81 15.6 7.99 6 20.59 12.1 36.49 17.2 31.9 10.1 76.9 16.7 126.7 16.7s94.8-6.6 126.7-16.7c15.9-5.1 28.5-11.2 36.5-17.2 8-6.1 10.8-11.3 10.8-15.6 0-4.3-2.8-9.5-10.8-15.6-8-6-20.6-12.1-36.5-17.2-31.9-10.1-76.9-16.7-126.7-16.7zM25 192.2V360c0 13.2 5.88 24.6 17.7 35.4 11.81 10.8 29.56 20.4 51.32 28.1C137.5 439 196.8 447 256 447c59.2 0 118.5-8 162-23.5 21.7-7.7 39.5-17.3 51.3-28.1 11.8-10.8 17.7-22.2 17.7-35.4V192.2c-1.2 1.3-2.4 2.5-3.7 3.7-13.3 12.6-31.8 23.4-54.3 32.3-44.8 18-105.8 28.8-173 28.8s-128.2-10.8-173.05-28.8c-22.45-8.9-40.94-19.7-54.27-32.3-1.28-1.2-2.5-2.4-3.68-3.7zM96 280l64.4 48.2c33.3-15.3 71.8-34.1 135.7-34.1 40 0 120 25.9 120 46 0 19.9-80 45.9-120 45.9-63.9 0-102.4-18.9-135.7-34.2L96 400z"}}]})(props);
};
function GiCannister (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M336.438 20.375c-.93-.01-1.855.01-2.782.03-23.67.532-46.656 11.083-62.437 29.907l143.06 82.594c13.666-37.527-1.125-80.59-36.905-101.25-12.925-7.463-27.007-11.128-40.938-11.28zm-88.72 37.97l-9.812 17 44.22 25.53c10.07 5.815 16.038 16.205 19.374 27 3.336 10.795 4.395 22.475-1.375 32.47l-47.063 81.53c-5.4 9.354-14.777 15.994-25.53 19.313-10.754 3.318-23.383 3.12-34.47-3.282l-45.437-26.22L79.187 350.22l168.875 97.53 23.094-40-45.906-26.594-8.063-4.687 4.657-8.064L336.72 168.75l4.655-8.125 8.125 4.72 46.125 26.718 20.938-36.25-168.844-97.47zm-74.343 1.03l-9.344 16.188 17.095 9.874-52.906 91.72-17.126-9.876-9.344 16.19 17.125 9.874-.063.125 83.594 48.25c5.86 3.38 12.94 3.655 19.625 1.593 6.686-2.063 12.448-6.63 14.845-10.782L283.938 151c1.39-2.408 2.03-10.11-.282-17.594-2.313-7.484-7.217-14.232-10.875-16.344l-16.467-9.5.125-.218-83.063-47.97zm45.375 54.094c4.968.015 10.01 1.284 14.656 3.968 14.163 8.176 18.958 26.024 10.78 40.187-8.176 14.163-26.02 18.928-40.186 10.75-14.163-8.177-18.958-25.993-10.78-40.156 5.11-8.853 14.003-14.04 23.405-14.69.705-.047 1.415-.064 2.125-.06zm-52.156 51.624c2.72.05 5.505.8 8.125 2.312 7.982 4.61 10.583 14.204 6.28 21.656-4.303 7.454-13.92 10.017-21.906 5.407-7.984-4.61-10.553-14.205-6.25-21.657 2.69-4.658 7.452-7.41 12.594-7.688.385-.02.767-.038 1.156-.03zm181.656 21.094L242.687 369.625l41.125 23.844 105.563-183.44-41.125-23.843zm-137.313 4.5c2.727.05 5.537.8 8.157 2.312 7.983 4.61 10.553 14.204 6.25 21.656-4.303 7.453-13.89 10.017-21.875 5.406-7.976-4.604-10.565-14.175-6.282-21.625v-.03c2.69-4.66 7.45-7.41 12.593-7.688.387-.022.768-.04 1.157-.032zM83.313 374.217c-17.224 38.714-2.76 84.968 34.75 106.626 37.522 21.664 84.817 11.05 109.72-23.25L83.31 374.22z"}}]})(props);
};
function GiCannonBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.22 19.22V144.5l24.186 19c1.022-5.31 2.845-10.79 5.313-16.47 7.362-16.94 20.597-35.66 38.218-53.28 17.62-17.618 36.308-30.855 53.25-38.22 5.45-2.368 10.722-4.144 15.843-5.186L129.595 19.22H18.22zM164.062 68c-4.292.152-10.423 1.652-17.407 4.688-13.968 6.07-31.286 18.07-47.5 34.28-16.213 16.212-28.21 33.533-34.28 47.5-3.036 6.985-4.537 13.116-4.69 17.407-.123 3.537.467 5.46 1.283 6.625l16.5 12.938c.577.833 1.217 1.624 1.968 2.375 4.802 4.802 11.537 5.95 17.5 5.375 5.962-.575 11.964-2.654 18.312-5.72 12.696-6.13 26.736-16.486 40.22-29.968 13.48-13.482 23.836-27.554 29.968-40.25 3.065-6.348 5.144-12.32 5.718-18.28.574-5.963-.54-12.7-5.344-17.5-.9-.902-1.854-1.66-2.875-2.314-.01-.007-.02-.023-.03-.03l-13.063-16.032-.063-.03c-1.194-.688-3.05-1.176-6.218-1.064zM173 100.563c-.002-.01.014.045.094.124.132.133.117.11-.063.063.067.265.176.914.032 2.406-.253 2.636-1.514 6.952-3.937 11.97-4.847 10.034-14.138 22.918-26.375 35.155-12.237 12.238-25.09 21.53-35.125 26.376-5.018 2.423-9.364 3.653-12 3.906-1.492.144-2.14.035-2.406-.03.05.202.074.2-.064.062s-.14-.113.063-.063c-.067-.264-.176-.913-.032-2.405.253-2.636 1.514-6.95 3.937-11.97 4.847-10.034 14.138-22.887 26.375-35.124 12.237-12.236 25.09-21.527 35.125-26.374 5.018-2.423 9.333-3.683 11.97-3.937 1.542-.15 2.183-.034 2.436.03-.02-.086-.03-.18-.03-.188zm17.594 102.53l91.625 137.5-54.908 4.782 84.657 75.563-41.283 16.125c80.9 53.383 172.416 74.49 205.157 41.75 32.74-32.74 16.355-131.523-35.72-185.47l-4.155 41.813-59.283-89.187-7.625 57.06-178.468-99.936zM432.5 395.47c21.818 0 39.28 17.46 39.28 39.28 0 21.818-17.462 39.313-39.28 39.313s-39.313-17.495-39.313-39.313 17.495-39.28 39.313-39.28z"}}]})(props);
};
function GiCannonShot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M168.875 11.395l86.455 98.443c2.175-1.122 4.337-2.206 6.47-3.215 14.37-6.805 27.684-11.083 39.76-12.103.75-.064 1.498-.113 2.243-.15L242.69 11.396h-73.815zM18.348 64.145v27.722l.21-.25 128.432 107.3c3.262-3.764 6.643-7.526 10.127-11.276L18.347 64.147zm287.896 48.835c-.982.017-2.017.07-3.11.163-8.734.738-20.327 4.21-33.337 10.37-.564.268-1.146.567-1.715.844l30.996 35.295c1.406-.72 2.808-1.43 4.193-2.1 13.245-6.395 25.504-10.477 36.683-11.554.592-.057 1.183-.1 1.774-.14l-21.385-29.032-.344.344c-2.62-2.62-6.88-4.304-13.754-4.19zm-287.896 2.817V264.15l69.13 47.274c.036-.995.088-1.993.172-2.996 1.02-12.077 5.298-25.392 12.104-39.762 8.213-17.34 20.215-36.21 35.324-55.348l-116.73-97.52zm326.18 48.625c-.875.025-1.802.083-2.784.178-7.853.756-18.432 4.027-30.346 9.78-23.826 11.508-53.028 32.712-80.87 60.554-27.843 27.84-49.048 57.044-60.555 80.87-5.754 11.914-9.025 22.494-9.782 30.346-.755 7.853.795 12.184 3.197 14.586 2.402 2.402 6.735 3.952 14.588 3.196 7.852-.757 18.432-4.028 30.345-9.782 7.81-3.77 16.202-8.6 24.928-14.347-17.195 39.23-28.067 89.333-34.394 153.564 37.517-129.093 80.838-109.43 114.544-6.287-18.62-109.564 99.38-61.623 185.008 5.397-66.417-101.782-124.625-177.518 4.55-188.135-124.058-5.07-140.995-44.53-21.876-102.653-58.372 6.19-105.555 15.9-143.54 32.65 4.806-7.536 8.915-14.8 12.206-21.613 5.754-11.914 9.023-22.494 9.78-30.346.756-7.852-.794-12.183-3.196-14.585-1.8-1.8-4.688-3.122-9.332-3.352-.774-.038-1.596-.046-2.47-.02zm-173.442 35.65c-3.353 3.61-6.6 7.226-9.734 10.842l37.066 30.97c2.84-3.234 5.753-6.464 8.768-9.687l-36.1-32.125zm142.27 1.117c3.84.122 6.953 1.23 9.142 3.42 6.837 6.836 3.118 22.676-8.182 41.52-29.24 17.088-52.02 39.92-69.58 70.706-20.12 12.694-37.26 17.173-44.45 9.984-11.437-11.437 6.648-48.066 40.396-81.814 26.365-26.366 54.49-43.17 70.986-43.81.577-.02 1.14-.024 1.69-.007zm-163.9 24.138c-14.242 18.11-25.428 35.748-32.81 51.338-6.163 13.01-9.634 24.602-10.373 33.336-.738 8.734 1.033 13.87 4.026 16.86l-.1.1 31.152 21.304c.034-1.296.112-2.6.238-3.91 1.076-11.177 5.158-23.437 11.555-36.68 7.777-16.104 19.084-33.65 33.275-51.465l-36.965-30.882z"}}]})(props);
};
function GiCannon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M142.373 116.285l-15.92 9.79 19.223 31.257c-17.208 13.06-28.326 33.725-28.326 56.994 0 21.555 9.55 40.866 24.632 53.977l-71.76 92.16L20.66 379.69v17.828h71.834l73.588-95.78h8.22c-5.383 42.56 21.434 83.807 63.995 95.21 46.448 12.447 94.437-15.26 106.883-61.708 3.015-11.253 3.667-22.595 2.273-33.502h35.3v-30.61l109.858-7.968v-96.365l-286.655-21.91c-5.48-1.345-11.2-2.072-17.094-2.072-9.53 0-18.62 1.88-26.934 5.265l-19.553-31.793zM260.637 244.04c5.936-.01 11.978.757 17.998 2.37 36.692 9.832 58.323 47.3 48.492 83.992-9.832 36.692-47.3 58.326-83.992 48.494-36.692-9.83-58.326-47.3-48.494-83.992 7.99-29.812 34.222-49.684 63.46-50.814.843-.033 1.69-.05 2.537-.05zm3.633 19.747l-8.225 30.697-22.47-22.47-13.216 13.215 22.47 22.47-30.695 8.226 4.838 18.053 30.695-8.226-8.225 30.695 18.053 4.835 8.225-30.693 22.47 22.47 13.214-13.216-22.468-22.47 30.695-8.226-4.837-18.052-30.695 8.224 8.224-30.697-18.052-4.838z"}}]})(props);
};
function GiCanoe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.778 68.814c-3.52.132-8.176 1.24-12.394 3.12-4.821 2.147-9.08 5.35-10.95 7.697-.904 1.136-1.165 1.924-1.21 2.127l.43.701 16.894 48.273c2.802 6.565 6.66 9.584 11.082 11.086 4.449 1.512 9.782 1.192 14.537-.789 4.755-1.98 8.705-5.526 10.722-9.707 2.007-4.157 2.547-8.97-.207-15.562l-22.326-44.828-.002-.002c-.672-1.302-1.527-1.938-5.14-2.112a16.895 16.895 0 0 0-1.436-.004zm33.266 84.424c-5.14 3.557-10.91 5.906-16.608 6.94l7.354 17.422a278.9 278.9 0 0 0-5.596 1.943c-12.78 4.607-27.478 10.508-37.275 19.506-9.451 8.68-16.245 22.202-21.672 34.002a282.955 282.955 0 0 0-7.293 17.398c-23.803 14.552-45.156 28.97-52.934 68.66 25.558 1.772 40.744 4.549 84.135 2.762-1.585-9.478-3.145-21.732 6.121-34.758a31.449 31.449 0 0 1-10.12-6.449c-15.085-14.282-12.484-39.002 2.68-55.102 3.574-4.153 7.068-9.332 11.257-13.257 5.472-5.026 19.287-11.536 31.205-15.832 2.27-.819 4.433-1.553 6.511-2.243l40.213 95.272c-4.76 2.396-9.901 4.745-15.06 6.494-10.363 3.513-19.712 4.202-26.588.625-6.876-3.576-11.14-6.357-14.723-9.369-8.437 2.841-17.349 2.983-25.219-.078 9.388 11.082 22.136 20.678 32.586 26.148 12.223 6.313 27.186 3.971 39.723-.279 5.848-1.983 11.37-4.463 16.303-6.906l8.29 19.64c3.079-1.935 6.376-3.547 9.764-4.863a60.291 60.291 0 0 1 6.793-2.191l-8.879-21.035 6.274-3.333-8.44-15.896-4.859 2.582-38.814-91.959 6.826-1.766-4.504-17.423-9.054 2.343zm-18.606 75.8a19.672 19.672 0 0 0-1.68.007c-5.832.27-12.386 3.089-17.853 8.893-9.719 10.318-9.844 23.532-3.41 29.625 6.434 6.092 19.586 5.21 29.305-5.108 9.719-10.318 9.844-23.532 3.41-29.625-2.463-2.332-5.91-3.643-9.772-3.793zm218.498 53.95c-34.024 15.84-70.523 27.728-107.85 36.291 4.59 1.964 8.421 6.364 10.007 10.46l22.66 45.497.11.262c1.971 4.673 2.994 9.38 3.183 13.92 9.949-7.106 18.208-18.26 26.97-32.385 7.378 2.756 14.126 5.466 20.29 8.137 3.5-6.443 6.684-13.523 9.484-21.047 7.494-20.142 12.35-42.591 15.146-61.135zM22.188 308.043c-.773 18.548 2.054 38.377 8.436 54.734 4.675 11.984 10.995 21.82 18.795 28.545 11.39-7.493 16.875-15.566 16.517-22.83 31.708 4.607 49.836 8.36 70.985 40.455 35.327-2.006 45.846-20.052 46.226-34.18 27.33 9.146 57.483 22.265 73.346 35.233 26.294-5.579 54.363-17.684 64-48 4.357 1.772 8.401 3.747 12.207 5.83-5.087-12.27-7.485-24.1 1.61-34.562 1.998-2.227 4.257-4.184 6.683-5.918-35.918 5.91-72.047 9.005-106.979 9.752-84.081 1.797-160.672-9.833-211.826-29.059zm349.42 27.215c-3.103-.042-7.688.763-11.994 2.435-4.922 1.911-9.517 4.932-11.912 7.6-2.392 2.664-2.522 3.646-2.063 5.025l11.743 33.547c12.977 8.961 24.557 15.925 40.068 13.795.464-.064.92-.14 1.377-.217 1.73-3.995 2.084-8.623-.514-14.841l-22.384-44.944c-.987-1.685-1.482-2.146-3.086-2.33-.435-.05-.87-.053-1.235-.07z"}}]})(props);
};
function GiCapeArmor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M155.8 25.14c-30.2.34-63.52 4.32-88.77 13.34-13.21 4.71-24.1 10.78-31.26 17.73-4.74 4.6-7.78 9.44-9.39 14.9 33.34.04 92.02 1.38 132.22 28.78 9.7-12.64 12-27.08 10.5-40.9-1.6-14.1-7.8-26.92-13.3-33.85zm200.4 0c-5.5 6.93-11.7 19.75-13.3 33.85-1.5 13.82.8 28.26 10.5 40.9 40.2-27.4 98.9-28.78 132.2-28.78-1.6-5.46-4.6-10.3-9.4-14.9-7.1-6.95-18-13.02-31.2-17.73-25.3-9.02-58.6-13-88.8-13.34zM187.4 66.59c0 7.94-1.2 16.14-3.9 24.16C205.8 112.5 231 123 256 123s50.2-10.5 72.5-32.26c-2.6-7.74-3.8-15.64-3.9-23.31-46.9 7.73-92.6 6.81-137.2-.84zm-84.3 30.26c-.8 15.65-1.8 32.45-3.24 50.25 9.44-3.2 19.54-8.2 29.14-14.6 7.5-5 14.6-10.8 20.8-16.9-12.8-8.9-29.3-14.8-46.7-18.75zm305.8.01c-17.4 3.94-33.9 9.84-46.7 18.74 6.2 6.1 13.3 11.9 20.8 16.9 9.6 6.3 19.7 11.4 29.1 14.6-1.4-17.7-2.4-34.6-3.2-50.24zM178 110.1c-9.6 14.2-23.6 27.1-39 37.4-13 8.7-27 15.5-40.55 18.9 5.35 6 10.95 12.5 16.45 19.3 22.2 14.6 40.8 21.3 61.1 21.3 20.9 0 44.6-7.4 76-23.1l4-2 4 2c31.4 15.7 55.1 23.1 76 23.1 20.3 0 38.9-6.7 61.1-21.3 5.5-6.8 11-13.3 16.4-19.3C400 163 386 156.2 373 147.5c-15.4-10.3-29.4-23.2-39-37.4-23.6 20.3-50.7 30.9-78 30.9-27.3 0-54.4-10.6-78-30.9zm-82.12 80.8c-9.74 94.8-28.76 207-63.29 302.4 24.59-12 50.33-21.9 76.81-29.6-8.3-19.7-16.54-50.7-5.9-82.5 14.3-43.2 40.6-85.3 47.4-95.7-1.4-12.2-11.8-34.7-26.4-56.5-8.7-13.1-18.8-26.3-28.62-38.1zm320.22 0c-9.9 11.8-19.9 25-28.6 38.1-14.6 21.8-25 44.3-26.4 56.5 6.8 10.4 33.1 52.5 47.4 95.7 10.6 31.8 2.4 62.8-5.9 82.5 26.5 7.7 52.2 17.6 76.8 29.6-34.5-95.4-53.5-207.6-63.3-302.4zM247 206.2c-26.7 12.2-49.4 18.8-71 18.8-12.7 0-24.8-2.3-37-6.7.2.3.3.5.5.7 15.2 22.8 27.4 45 29.2 64.4 6.4 5.3 17.9 10.4 32.4 13.8 5.2 1.2 10.8 2.3 16.5 3.1 2.3-4.9 6-9.2 10.4-12.5 5.3-4 11.8-6.7 19-8v-73.6zm18 0v73.6c7.2 1.3 13.7 4 19 8 4.4 3.3 8.1 7.6 10.4 12.5 5.7-.8 11.3-1.9 16.5-3.1 14.5-3.4 26-8.5 32.4-13.8 1.8-19.4 14-41.6 29.2-64.4.2-.2.3-.4.5-.7-12.2 4.4-24.3 6.7-37 6.7-21.6 0-44.3-6.6-71-18.8zm-9 90.8c-7 0-13.2 2.2-17.2 5.2-4.1 3.1-5.8 6.4-5.8 9.8 0 3.4 1.7 6.7 5.8 9.8 4 3 10.2 5.2 17.2 5.2s13.2-2.2 17.2-5.2c4.1-3.1 5.8-6.4 5.8-9.8 0-3.4-1.7-6.7-5.8-9.8-4-3-10.2-5.2-17.2-5.2zm-93.8 4.3c-8.7 14-29.6 49.3-41.7 85.5-13.3 40.1 10.5 80.8 13.8 86.2 30 14.2 75.8 22 121.7 22 45.9 0 91.7-7.8 121.7-22 3.3-5.4 27.1-46.1 13.8-86.2-12.1-36.2-33-71.5-41.7-85.5-9.4 6.1-21.4 10.4-34.7 13.5-6 1.4-12.3 2.6-18.9 3.5-1.7 7.2-6.3 13.4-12.2 17.9-7.5 5.6-17.3 8.8-28 8.8s-20.5-3.2-28-8.8c-5.9-4.5-10.5-10.7-12.2-17.9-6.6-.9-12.9-2.1-18.9-3.5-13.3-3.1-25.3-7.4-34.7-13.5z"}}]})(props);
};
function GiCape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.1 18.46c-17 19.58-32.7 35.31-55.1 42.98 41.5 68.46 139.9 119.76 241.2 62.36 18-14.1 26.7-31.45 34.9-47.34-98.9-5.45-164.8-19.81-221-58zM225 111.1c-18.9 38.3-41 72.2-65.1 100.2-40.8 47.5-87.03 78.7-132.67 85.3 6.47 19.8 10.43 59.2 25.84 72.6 45.63 18.5 132.83-9.1 164.63-38.7 16.1-16.4 24-36.6 34.2-60.9-2 35.2-13.3 56.6-27.7 72.4-18.5 18.2-36.6 30.8-59 37.8 11.9 22.3 16.8 49.7 27.7 67.8 4.4 6.7 8 9.5 14.6 9.4 42-10.9 74.4-45.9 110.9-60.5 55.3-29.3 65.3-74 67-85.5-1.1 28.7-12.7 67.5-31.7 83.6 33.8 12.4 47.5 67.3 52.3 90.2 15.2-14 33.2-35.4 48.1-60.1C473 393.5 487 357.2 487 324.2c-.3-38.8-17-76.4-26.5-118.2-5-21.7-7.7-44.7-4.6-69.3-131.7 55.7-190.9 9.4-230.9-25.6z"}}]})(props);
};
function GiCapitol (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.594 19.406l-15.78 59.125c5.184-.58 10.44-.874 15.78-.874 5.338 0 10.595.293 15.78.875l-15.78-59.124zm0 76.97c-57.894 0-106.156 40.154-118.656 94.186H374.25c-12.5-54.032-60.762-94.187-118.656-94.187zM19.406 209.25v33.53h472.406v-33.53H19.406zM71.5 261.47v159.124h50.406V261.47H71.5zm105.97 0v159.124h50.405V261.47H177.47zm105.936 0v159.124h50.406V261.47h-50.406zm105.938 0v159.124h50.406V261.47h-50.406zm-161.78 177.655l-31.658 56.656h120.5l-32.062-56.655h-56.78zm-208.158.156v33.533h167.938l18.72-33.532H19.405zm286.531 0l18.97 33.533h166.906V439.28H305.938z"}}]})(props);
};
function GiCapricorn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M222.733 125.562c-16.18-2.68-22.596 79.184-24.955 118.284l-67.715.1c-2.892-103.625-4.257-113.83-19.966-141.418-7.18-12.618-28.344-14.49-28.344-14.49 0-13.44-.135-68.432-.135-68.432 37.287 0 63.14 26.92 79.424 56.544l2.427-5.455c7.912-16.947 26.824-49.99 64.08-49.99 117.498 0 42.747 323.118 145.476 296.482 6.634-1.72 17.087-23.246-3.94-23.246-37.993 5.053-52.152 210.634-175.335 193.995-11.794-1.59-18.916-4.83-18.916-4.83l8.505-73.157c22.63 2.82 54.084-15.122 58.147-26.623 17.15-48.603 44.853-168.058 133.866-168.058 34.016 0 72.754 32.918 72.754 90.73 0 94.424-169.585 154.09-208.16-49.384-8.235-43.37-4.317-134.282-17.214-131.05z"}}]})(props);
};
function GiCaptainHatProfile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M404.7 79.78h-2.8c-7.5.26-15.8 1.73-24.8 4.3-18 5.16-38.4 14.56-59.3 25.78-41.9 22.4-85.8 52-121.5 68.6-26.4 12.4-59.3 20.4-89.8 27.5-30.5 7.1-58.95 13.4-74.36 20.6-7.13 3.4-10.9 6.9-12.71 9.9-1.8 2.9-2.1 5.2-1.44 8.4 1.32 6.4 8.57 15.4 18.49 21.9l3.29 2.1c162.63-2.3 289.43-13.7 387.73-52.6 2.1-17.6 6.7-34.7 16.5-48.5v-.1l.1-.1c24.5-32.2 8.9-72.58-22.4-84.89-5-1.95-10.7-2.91-17-2.93zm21.9 185.12c-44.2 25.1-103.8 37-169.2 41.2-68.7 4.4-143.7.1-213.52-7.8l1.89 14c31.19 3.2 98.53 11.8 172.83 11.5 77.2-.3 159.6-11.3 208.6-46.2-.2-4.1-.4-8.3-.6-12.7zm7.1 30.2c-46.9 31.5-113.8 42.9-179.9 45.8 44.7 39 89.3 55.1 127.3 59.1 45.2 4.8 81.5-8.7 94.8-19.8 13-10.8 17.5-19.5 18.3-26.2.7-6.8-2-13.3-8.2-20.5-11.3-13.4-33.5-26.4-52.3-38.4z"}}]})(props);
};
function GiCarBattery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M73 81v46h46V81H73zm320 0v46h46V81h-46zM25 145v16h462v-16H25zm0 34v252h462V179H25zm382 21h18v23h23v18h-23v23h-18v-23h-23v-18h23v-23zM64 223h64v18H64v-18z"}}]})(props);
};
function GiCarDoor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149.6 41L42.88 254.4c23.8 24.3 53.54 58.8 78.42 97.4 24.5 38.1 44.1 79.7 47.1 119.2h270.3L423.3 41H149.6zM164 64h230l8 192H74l90-192zm86.8 17.99l-141 154.81L339.3 81.99h-88.5zM336 279h64v18h-64v-18z"}}]})(props);
};
function GiCarKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M285.628 42.475c-39.602 0-73 28.513-73 65 0 18.43 8.528 34.82 22.066 46.533l8.473-16.67c-7.876-8.202-12.54-18.667-12.54-29.863 0-25.37 23.91-47 55-47s55 21.63 55 47c0 17.403-11.253 33.046-28.356 41.154l-7.482 21.556c1.9-.462 3.774-.986 5.613-1.58l9.158 16.013c-10.326 7.263-20.32 16.266-31.034 27.472l81.35 179.392c50.265 2.318 98.764-24.335 123.754-68.01L385.8 158.635c-20.166 4.027-36.39 9.054-50.875 16.598l-8.09-14.144c19.057-11.615 31.793-31.09 31.793-53.613 0-36.487-33.398-65-73-65zm-122.666 5.947c-2.66.03-5.454.47-8.152 1.348-6.17 2.004-11.39 6.134-13.66 10.59l-.288.57-64.904 92.297c-2.135 4.452-2.382 10.947-.457 16.97 1.97 6.157 6.045 11.305 10.202 13.422l143.682 73.16c4.072 2.075 10.59 2.405 16.648.427 5.945-1.94 10.996-5.885 13.403-10.492l25.36-74.26c.05 0 .1.003.15.004l6.327-18.23c-.086.008-.175.01-.26.018l4.905-14.365.29-.568c2.27-4.456 2.54-11.12.55-17.282-1.99-6.162-6.1-11.355-10.434-13.562l-32.078-16.333c-6.543 8.178-8.55 19.868-.346 30.87l2.11 3.532 10.288 5.4-8.256 16.214-.146-.07-8.118 15.97c.045.023.09.043.135.065l-6.303 12.376-101.59-51.728 18.606-36.538 4.082-8.02 30.854 15.712c1.556-9.81 4.922-19.248 10.335-28.404L172.103 50.31c-2.514-1.28-5.72-1.925-9.14-1.888zm217.928 131.38l24.082 43.82-71.864 39.49-19.748-35.93-4.334-7.887 71.864-39.492zm-7.106 24.444L333.472 226.4l6.742 12.27 40.312-22.154-6.742-12.27zM114.5 218.482L93.63 259.475l69.508 35.392 20.873-40.992-69.51-35.393zm297.214 17.41l24.08 43.817-71.863 39.49-19.745-35.93-4.334-7.887 71.864-39.492zm-7.106 24.442l-40.314 22.154 6.744 12.27 40.313-22.154-6.742-12.27zM99.72 282.774h-.002L18.372 442.53l6.123 18.83 77.264-151.737 16.038 8.168-77.262 151.735 22.375-7.275 12.968-4.217-6.986-21.556 21.496-6.97L83.392 408l21.52-6.998-5.37-16.504 41.17-80.852-40.992-20.873z"}}]})(props);
};
function GiCarSeat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M71.47 18.38l-.01.01c-6.58-.1-14.25.79-21.52 2.41-8.31 1.84-16.18 4.69-21.3 7.56-2.57 1.44-4.42 2.9-5.24 3.8l25.86 90.54c7.22-9.1 15.41-16.6 23.75-22.2 9.69-6.44 19.19-10.67 27.89-12.47 0-13.14-.3-25.92-1.8-36.76-1.9-13.05-5.6-23.03-11.5-28.91-1.3-1.35-6.28-3.44-13.39-3.88-.89 0-1.81-.1-2.74-.1zm29.03 92.12c-6.7.4-14.2 3.5-21.1 8.7-13.68 10.3-24.04 28.7-24.34 40.2l45.74 240.3c7.6-9.5 19.2-15.7 32.2-15.7 11.5 0 22 4.9 29.5 12.7 5.1-1.1 10.5-2.2 16.4-3.3 1.5-.3 3.1-.5 4.7-.8-13.5-92.5-35.3-199.6-65.2-275.3-5.2-4.8-10.3-6.7-15.6-6.8h-2.3zm283 39.5l-53.6 167.4 17.2 5.4 24-75.1 117.1 37.5 5.4-17.2-117-37.4 24.1-75.2-17.2-5.4zm-38.7 245.3c-21.5.1-46.3 1.4-71 3.7-33 2.9-66 7.4-91.6 12.1-3.5.6-6.8 1.3-10 1.9 1.2 3.8 1.8 7.8 1.8 12 0 22.5-18.5 41-41 41-5.6 0-11-1.2-15.9-3.2-3.1 8.9-5.4 17.6-6.7 24.2H398c5 0 7.7-1.8 10.7-6.4 3.1-4.7 5.4-12.4 6.3-21.5 1.9-18.1-2.1-41.2-9.1-55.1.3.5-2.8-2.5-10.2-4.4-7.4-1.9-18.1-3.3-30.7-3.9-6.3-.3-13.1-.4-20.2-.4zM133 402c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23z"}}]})(props);
};
function GiCarWheel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 21A235 235 0 0 0 21 256a235 235 0 0 0 235 235 235 235 0 0 0 235-235A235 235 0 0 0 256 21zm0 82c84.393 0 153 68.607 153 153s-68.607 153-153 153-153-68.607-153-153 68.607-153 153-153zm0 18c-20.417 0-39.757 4.52-57.09 12.602C210.457 166.482 230.218 208 256 208c25.823 0 44.926-41.65 56.752-74.555C295.505 125.462 276.284 121 256 121zm98.752 42.88c-27.714 21.143-61.142 52.79-53.17 77.327 7.981 24.564 53.508 29.858 88.459 30.936.628-5.294.959-10.678.959-16.143 0-35.642-13.755-68.012-36.248-92.12zm-197.729.243C134.663 188.204 121 220.477 121 256c0 5.55.34 11.018.988 16.39 34.833-.825 80.381-6.793 88.344-31.3 7.974-24.542-25.68-55.553-53.309-76.967zm70.188 43.643a9 9 0 0 0-5.035 1.714 9 9 0 0 0-1.99 12.57 9 9 0 0 0 12.57 1.993 9 9 0 0 0 1.992-12.572 9 9 0 0 0-7.537-3.705zm57.578 0a9 9 0 0 0-.637.004 9 9 0 0 0-6.9 3.7 9 9 0 0 0 1.992 12.573 9 9 0 0 0 12.57-1.992 9 9 0 0 0-1.99-12.57 9 9 0 0 0-5.035-1.715zM256 224a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32zm-46.297 38.037a9 9 0 0 0-2.652.44 9 9 0 0 0-5.78 11.341 9 9 0 0 0 11.34 5.778 9 9 0 0 0 5.78-11.34 9 9 0 0 0-8.688-6.219zm92.856.008a9 9 0 0 0-8.95 6.21 9 9 0 0 0 5.78 11.34 9 9 0 0 0 11.34-5.777 9 9 0 0 0-5.78-11.341 9 9 0 0 0-2.39-.432zm-92.143 27.713c-21.59.104-50.24 16.832-72.424 31.928 19.029 34.168 52.46 59.164 92.143 66.837 9.99-33.39 18.42-78.618-2.446-93.777-4.854-3.527-10.737-5.02-17.273-4.988zm91.016.02c-6.58 0-12.492 1.516-17.346 5.042-20.895 15.181-11.863 60.106-2.088 93.678 39.687-7.715 73.108-32.76 92.1-66.973-22.006-15.224-50.935-31.747-72.666-31.748zM256 295.58a9 9 0 0 0-9 9 9 9 0 0 0 9 9 9 9 0 0 0 9-9 9 9 0 0 0-9-9z"}}]})(props);
};
function GiCarambola (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M186.7 19.57c-3.5 40.16-5.6 81.23 15.3 119.53l5.7 10.5-11.7 2.9c-50.5 11.9-87.6 14.8-129.51 39.6C103.2 229.8 167 257.5 219.1 271l6 1.6.8 6.1c8.8 63.9 28.7 108.8 61.7 166.8 32.8-28.9 49.9-59.1 62.8-106.4l3.4-12.7 10.8 7.7c40.9 29 84.7 32.4 130.4 38.1-27.1-48.1-42.2-101.7-88.6-142l-6.4-5.5 4.9-6.8c22.3-31 43.5-75 44.6-117.7-40.9-5.19-90.6 6-130.8 21.9l-6.9 2.6-4.1-6c-28.1-41.14-72-67.38-121-99.13zm-20.3 22.35C137.9 80.97 107 120.6 89.52 160.3 119.2 148.5 148 144.1 180.5 137c-14.3-31.8-15.7-64.35-14.1-95.08zm90.5 88.68l10.8 7.2c13.7 9.1 30.9 19.8 41.7 35.8 16.3-6.6 34.9-6.2 51.5-5.4l12.6.6-4.4 11.8c-3.9 10.8-6 27.3-17.5 40.9 11.7 16.8 15.1 34.5 21.8 48.9l9.9 20.8-21.6-8.3c-10.9-4.4-25.6-6.3-40.6-12.3-4.6 13.7-12.5 27.7-21.9 37.6l-7.5 7.9-6.6-8.7c-14.6-19.4-17.9-42.3-22.9-59.8-23.9-3.1-42.6-13.3-63.9-21.1l-23.2-8.5 23.1-8.7c13.1-5 28.7-15.3 47.6-20.2 0-6.2.8-12.7 2-19.3 1.6-10 4-19.7 5.8-26.7zm11.5 30c-.9 3.9-1.8 8-2.5 12.2-1.4 9-1.9 17.9-1.2 21.9l1.8 9.3-9.3 1.5c-10.8 1.7-21.2 6.6-32 11.8 15.2 6.2 29.3 11.7 44.9 12.6l6.2.4 1.9 5.9c5.6 16.6 8.4 34.3 15.2 49 5.9-9.2 11-20.6 12.8-29.3l2.6-12.2 11 6c8.7 4.9 18.9 7.3 29.4 10.1-4.5-12.2-8.6-23.6-16.8-33.1l-6.2-7.1 7.2-5.9c8-6.6 11.2-16.6 14.5-27.4-14.6 0-28.2 1.6-37.3 7.2l-8.9 5.3-4.4-9.2c-4.9-10.7-16.5-20.3-28.9-29zM60.7 212.3c-13.1 29-22.77 62.5-27.9 93.1-6.17 36.9-4.81 70.3 1.16 82.5 10.12 20.8 36.66 33.4 49.4 38.4C105.2 394.9 122.8 363.4 200 284.7c-48-14.1-102.01-37.9-139.3-72.4zM210.8 300c-74.5 76.3-90.2 105.2-112.5 137.2 2.2 3.4 5.6 8.8 10.3 14.8 7.7 9.9 18.4 20.2 26.4 23.2 46.9 17.6 96.9 2.5 135.4-22.4-29.6-52.4-49.4-96.4-59.6-152.8zm153.7 56.1c-9.8 32-23 57.8-42.3 80.6 54.1-10.2 109.6-24.3 154.3-48.3-37-4.3-75.1-9.9-112-32.3z"}}]})(props);
};
function GiCaravan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M60.5 129c-5 0-16.557 3.44-25.322 8.773S21.5 150.095 21.5 152.672V335h105.063c6.948-18.637 24.952-32 45.937-32 20.985 0 38.99 13.363 45.938 32H275.5V175h98v160h31.97c3.642-14.619 13.747-56.938 14.03-79.115.399-31.276-15.2-98.237-15.615-100.012-1.874-5.313-8.415-12.755-16.512-18.14-8.178-5.44-17.92-8.733-22.873-8.733zm-9 46h170v82h-170v-82zm41.963 18L69.5 227.36V239h13.828l32.08-46zm44.844 0l-32.08 46h43.888l32.08-46zm155.193 0v142h62v-62h-23v-18h23v-62zm143.104 77.113c-1.55 14.901-4.853 31.89-8.01 46.08l22.906-3.818v-34.813zM172.5 321c-17.227 0-31 13.773-31 31s13.773 31 31 31 31-13.773 31-31-13.773-31-31-31zm251.637 14c-1.498 6.021-3.126 12.008-4.735 18H492.5v-18z"}}]})(props);
};
function GiCaravel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M264.7 36v21.76c5.9-1.27 11.9-2.91 18-4.99V36zm26.7 32.79C257.1 81.22 226 80.48 195 79.88c28.7 15.85 61.1 23.32 92.2 16.58 2.6-9.36 6-18.4 4.2-27.67zm-164.1 10.8C140.5 136.8 152.2 197.3 137.9 285c12.8 17.6 24 35.7 34 53.7l5.1 9.3c73.7-19.3 135.4-22.7 186.9-12.3 2.4-6.5 4.7-13.3 6.7-20.1-53.5-91.8-136.8-169.4-243.3-236.01zm155.4 36.01c-6 .9-12 1.4-18 1.4v42.6c6.1 5.5 12.1 11.1 18 16.8zM56.73 192v10.3c6.24 4.6 12.24 9.3 18 14.2V192zm351.97 4v17.9c6.2 2.5 12.2 5.5 18 8.9V196zm-386.01 5.1c5.77 19.7 10.88 39.8 12.08 60.4 1.21 20.6-1.8 41.8-11.79 62.8 41.42-12.1 84.42-6.5 121.82 3.7-28.5-46.9-66.02-92.4-122.11-126.9zm216.81 1c1.7 9.5 2.1 21.4 1.3 33.8 1.2 0 2.4-.1 3.6-.1 10.8-.2 20.9.4 29.2 2l-3.4 17.6c-7.7-1.4-18.9-1.8-31.3-1.1-2.1 14.1-5.7 27.6-10.6 38.2l-16.4-7.6c3.3-6.9 5.9-17.4 7.8-28.7-9.3 1.3-18.6 3.1-27.1 5.5l-4.8-17.4c11-3.1 22.7-5.3 34.2-6.8 1.1-12.6 1.1-24.6-.3-32.2zm155.3 26c4.8 20.2 3.7 43.2-.6 66-4.1 21.8-11.1 43.6-19.3 62.5 17.1-4.2 37.7-8.3 58.1-10.7 20.4-2.3 40.1-3.4 56.3.3-18.3-68.6-53.7-105.2-94.5-118.1zM81.64 254.5c1.3 7.3 1.7 15.1 1.52 22.9 5.62.7 11.51 1.9 18.04 3.5l-4.32 17.4c-5.68-1.4-10.54-2.4-15.06-3.1-.78 6.5-1.8 12.5-2.85 17.7l-17.64-3.6c.89-4.4 1.72-9.5 2.39-15-4.54.3-9.38.8-15 1.6l-2.59-17.8c6.81-1 12.95-1.6 18.92-1.7.15-6.7-.15-13.2-1.13-18.7zm341.46 23.6l18 1.2c-.4 5.9-.9 12.1-1.5 18.4 6.7.3 13.5 1.1 20.5 2.9l-4.2 17.4c-6.3-1.5-12.4-2.2-18.6-2.4-1.2 7.2-2.7 14.3-4.7 21l-17.2-5.2c1.4-4.5 2.5-9.4 3.4-14.6-5.4.7-10.9 1.7-16.5 2.9l-3.6-17.6c7.4-1.5 14.9-2.9 22.7-3.7.7-6.8 1.2-13.7 1.7-20.3zM56.73 336.2v13.7c6.04.6 12.04 1.3 18 2v-16.5c-6.3.1-12.76.3-18 .8zm69.07 5.5c-1.4 5.5-2.9 11-4.5 16.6 4.5.7 8.9 1.4 13.2 2.1 9.5-3 18.7-5.9 27.8-8.4-12.6-4.1-25.5-7.8-36.5-10.3zm156.9 6.7c-5.9.4-11.9.9-18 1.5v76.7c6.1-.2 12.1-.6 18-1zm144 16.5s-18.3 3.6-18 3.5v29c6.1-2.2 12.1-4.5 18-6.8zm-392.5 1.4c24.11 40.8 50.62 82.6 55.75 124.7H414.3c2.8-2.5 10.3-9.2 20.5-19.4 12.4-12.4 26.6-28.3 33-40 4.9-8.7 9.3-20.3 11.8-31.1 1.2-5.2 1.8-10.2 2.1-14.7C419 416.1 340.9 445 248.8 445h-5.7l-23.6-49.2c-10.3-2.5-97.1-23-185.3-29.5zm16.85 66.9l-7.36 9.7 16 51.9 12.32-2.2c-2.51-18.7-10.49-38.7-20.96-59.4z"}}]})(props);
};
function GiCard10Clubs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.832 8.408v.002h.015c13.587.01 24.442 10.853 24.442 24.442 0 5.71-2.003 10.997-5.266 15.173 1.12-.158 2.232-.31 3.396-.31 13.595 0 24.458 11.157 24.458 24.752 0 13.594-10.863 24.752-24.458 24.752-5.76 0-11.08-2.048-15.294-5.422l12.609 30.193h-40.117l12.42-29.744c-4.12 3.115-9.233 4.973-14.776 4.973-13.594 0-24.752-11.16-24.752-24.754 0-13.595 11.158-24.752 24.752-24.752 1.059 0 2.058.184 3.082.312-3.215-4.16-5.248-9.509-5.248-15.173 0-13.589 11.15-24.434 24.737-24.444zM312.7 176.535c15.454 0 28.333 6.023 38.635 18.069 12.759 14.819 19.137 37.286 19.137 67.4 0 27.974-5.546 49.292-16.641 63.953-11.095 14.582-24.489 21.873-40.18 21.873-15.136 0-27.776-6.142-37.92-18.426-12.68-15.453-19.02-37.762-19.02-66.925 0-27.737 5.984-49.807 17.95-66.211 9.59-13.156 22.269-19.733 38.04-19.733zm-126.361 3.09h5.469v148.354c0 2.218.792 3.922 2.377 5.11 2.298 1.665 5.113 2.497 8.44 2.497h23.061v8.916H140.22v-8.916h19.732c4.121 0 7.171-.952 9.153-2.854 1.98-1.98 2.972-4.596 2.972-7.845V212.79c0-2.298-.911-4.24-2.734-5.824-1.823-1.585-4.16-2.38-7.014-2.38H135.94v-8.2c12.363-1.585 22.388-3.686 30.075-6.301 7.687-2.694 14.462-6.182 20.326-10.461zm127.074 5.469c-10.46 0-18.622 5.031-24.486 15.095-5.865 9.986-8.797 30.749-8.797 62.29 0 30.827 3.012 51.393 9.035 61.695 6.102 10.302 14.263 15.453 24.486 15.453 10.303 0 18.228-4.754 23.776-14.264 6.577-11.332 9.865-32.017 9.865-62.052 0-31.066-3.09-51.867-9.272-62.407-6.18-10.54-14.384-15.81-24.607-15.81zm32.38 168.918h40.118l-12.611 30.193c4.215-3.374 9.535-5.422 15.295-5.422 13.594 0 24.459 11.158 24.459 24.752 0 13.595-10.865 24.752-24.46 24.752-1.163 0-2.275-.152-3.396-.31 3.263 4.176 5.266 9.462 5.266 15.173 0 13.589-10.853 24.433-24.44 24.442h-.017c-13.588-.01-24.735-10.853-24.735-24.442 0-5.665 2.033-11.013 5.248-15.173-1.023.128-2.025.312-3.084.312-13.594 0-24.751-11.159-24.751-24.754 0-13.594 11.157-24.752 24.752-24.752 5.542 0 10.655 1.858 14.775 4.973l-12.418-29.744z"}}]})(props);
};
function GiCard10Diamonds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.884 3.717l47.393 58.27-47.393 58.286-47.375-58.287 47.375-58.27zm167.465 136.818c15.453 0 28.333 6.023 38.635 18.069 12.759 14.819 19.139 37.286 19.139 67.4 0 27.974-5.548 49.292-16.643 63.953-11.095 14.582-24.489 21.873-40.18 21.873-15.136 0-27.776-6.142-37.92-18.426-12.68-15.453-19.02-37.762-19.02-66.925 0-27.737 5.984-49.807 17.95-66.211 9.59-13.156 22.269-19.733 38.04-19.733zm-126.36 3.09h5.468v148.354c0 2.218.792 3.922 2.377 5.11 2.298 1.665 5.112 2.497 8.44 2.497h23.061v8.916h-85.468v-8.916h19.732c4.121 0 7.171-.952 9.153-2.854 1.98-1.98 2.972-4.596 2.972-7.845V212.79c0-2.298-.912-4.24-2.734-5.824-1.823-1.585-4.161-2.38-7.014-2.38h-26.389v-8.2c12.363-1.585 22.388-3.686 30.075-6.301 7.687-2.694 14.463-6.182 20.328-10.461zm127.075 5.469c-10.46 0-18.624 5.031-24.488 15.095-5.865 9.986-8.797 30.749-8.797 62.29 0 30.827 3.012 51.393 9.035 61.695 6.102 10.302 14.263 15.453 24.486 15.453 10.303 0 18.228-4.754 23.776-14.264 6.577-11.332 9.865-32.017 9.865-62.052 0-31.066-3.09-51.867-9.272-62.407-6.18-10.54-14.382-15.81-24.605-15.81zm51.162 167.43l47.393 58.269-47.393 58.287-47.375-58.287 47.375-58.27z"}}]})(props);
};
function GiCard10Hearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm57.214 16.174h.002c13.612-.318 26.502 9.855 27.073 28.043.976 31.09-47.738 52.945-52.31 70.015-4.998-18.649-51.414-37.573-52.45-70.015-.995-31.155 37.401-37.91 52.45-11.848 6.26-10.846 15.922-15.977 25.235-16.195zm137.135 124.361c15.453 0 28.333 6.023 38.635 18.069 12.759 14.819 19.137 37.286 19.137 67.4 0 27.974-5.546 49.292-16.641 63.953-11.095 14.582-24.489 21.873-40.18 21.873-15.136 0-27.776-6.142-37.92-18.426-12.68-15.453-19.02-37.762-19.02-66.925 0-27.737 5.984-49.807 17.95-66.211 9.59-13.156 22.269-19.733 38.04-19.733zm-126.361 3.09h5.469v148.354c0 2.218.792 3.922 2.377 5.11 2.298 1.665 5.112 2.497 8.44 2.497h23.061v8.916h-85.468v-8.916h19.732c4.121 0 7.171-.952 9.153-2.854 1.98-1.98 2.972-4.596 2.972-7.845V212.79c0-2.298-.912-4.24-2.734-5.824-1.823-1.585-4.161-2.38-7.014-2.38h-26.389v-8.2c12.363-1.585 22.388-3.686 30.075-6.301 7.687-2.694 14.461-6.182 20.326-10.461zm127.074 5.469c-10.46 0-18.622 5.031-24.486 15.095-5.865 9.986-8.797 30.749-8.797 62.29 0 30.827 3.012 51.393 9.035 61.695 6.102 10.302 14.263 15.453 24.486 15.453 10.303 0 18.228-4.754 23.776-14.264 6.577-11.332 9.865-32.017 9.865-62.052 0-31.066-3.09-51.867-9.272-62.407-6.18-10.54-14.384-15.81-24.607-15.81zm46.23 176.676c4.573 17.07 53.29 38.923 52.313 70.013-.57 18.189-13.464 28.364-27.076 28.045l.002-.002c-9.314-.217-18.975-5.349-25.237-16.195-15.048 26.061-53.445 19.307-52.45-11.848 1.036-32.442 47.451-51.364 52.449-70.013z"}}]})(props);
};
function GiCard10Spades (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.654 8.047s46.336 33.838 47.27 63.068c.775 24.287-25.025 32.12-40.776 18.584l13.633 32.653h-40.115l13.613-32.633c-15.535 13.88-40.006 5.347-40.758-18.606-.88-28.01 47.133-63.066 47.133-63.066zM312.7 176.535c15.454 0 28.333 6.023 38.635 18.069 12.759 14.819 19.139 37.286 19.139 67.4 0 27.974-5.548 49.292-16.643 63.953-11.095 14.582-24.489 21.873-40.18 21.873-15.136 0-27.776-6.142-37.92-18.426-12.68-15.453-19.02-37.762-19.02-66.925 0-27.737 5.984-49.807 17.95-66.211 9.59-13.156 22.269-19.733 38.04-19.733zm-126.36 3.09h5.468v148.354c0 2.218.793 3.922 2.379 5.11 2.298 1.665 5.11 2.497 8.439 2.497h23.06v8.916H140.22v-8.916h19.732c4.121 0 7.173-.952 9.154-2.854 1.982-1.98 2.971-4.596 2.971-7.845V212.79c0-2.298-.911-4.24-2.734-5.824-1.823-1.585-4.161-2.38-7.014-2.38H135.94v-8.2c12.363-1.585 22.388-3.686 30.075-6.301 7.687-2.694 14.463-6.182 20.328-10.461zm127.075 5.469c-10.46 0-18.624 5.031-24.488 15.095-5.865 9.986-8.797 30.749-8.797 62.29 0 30.827 3.012 51.393 9.035 61.695 6.102 10.302 14.263 15.453 24.486 15.453 10.303 0 18.228-4.754 23.776-14.264 6.577-11.332 9.865-32.017 9.865-62.052 0-31.066-3.09-51.867-9.272-62.407-6.18-10.54-14.382-15.81-24.605-15.81zm32.363 168.554h40.116l-13.633 32.653c15.75-13.536 41.551-5.701 40.775 18.586-.933 29.23-47.271 63.068-47.271 63.068s-48.01-35.059-47.131-63.068c.751-23.953 25.222-32.485 40.758-18.604l-13.614-32.635z"}}]})(props);
};
function GiCard2Clubs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v362.998c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5V74.5c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.832 8.408h.015c13.587.01 24.442 10.855 24.442 24.444 0 5.71-2.003 10.997-5.266 15.173 1.12-.158 2.232-.312 3.396-.312 13.595 0 24.458 11.16 24.458 24.754 0 13.594-10.863 24.75-24.458 24.75-5.76 0-11.08-2.046-15.294-5.42l12.609 30.191h-40.117l12.42-29.742c-4.12 3.115-9.233 4.97-14.776 4.97-13.594 0-24.752-11.159-24.752-24.753 0-13.595 11.158-24.75 24.752-24.75 1.059 0 2.058.184 3.082.312-3.215-4.16-5.248-9.509-5.248-15.173 0-13.589 11.15-24.434 24.737-24.444zm99.51 132.125c9.588 0 18.464 2.06 26.626 6.182 8.242 4.12 14.424 9.549 18.545 16.285 4.121 6.657 6.18 13.948 6.18 21.873 0 5.468-1.03 11.016-3.09 16.643-2.06 5.626-5.073 10.895-9.035 15.808-6.816 8.48-13.828 15.731-21.04 21.754l-31.382 26.39c-7.925 6.658-13.71 12.323-17.355 16.999-3.646 4.675 14.344 7.013 53.968 7.013 5.944 0 10.183-1.546 12.72-4.636 2.535-3.09 5.428-11.65 8.677-25.676h8.084L294.87 344.5h-106.51v-6.42l34.592-39.346c19.257-20.921 30.828-34.076 34.711-39.464 5.547-7.688 9.59-15.099 12.125-22.23 2.536-7.212 3.805-13.75 3.805-19.614 0-9.748-2.695-17.396-8.084-22.944-5.39-5.626-12.878-8.439-22.467-8.439-10.778 0-19.573 2.575-26.389 7.727-6.815 5.15-10.224 10.619-10.224 16.404 0 1.981.516 3.487 1.547 4.517.95 1.03 3.01 1.942 6.18 2.735 8.003 1.902 12.007 6.578 12.007 14.027 0 4.042-1.348 7.41-4.043 10.104-2.694 2.615-6.142 3.922-10.342 3.922-4.834 0-9.073-2.219-12.718-6.657-3.646-4.517-5.47-10.38-5.47-17.592 0-8.083 2.062-15.414 6.182-21.992 4.2-6.657 10.5-12.085 18.9-16.285 8.401-4.28 17.436-6.42 27.104-6.42zm100.017 177.479h40.117l-12.611 30.193c4.215-3.374 9.535-5.422 15.295-5.422 13.594 0 24.459 11.158 24.459 24.752 0 13.595-10.865 24.752-24.46 24.752-1.163 0-2.275-.152-3.396-.31 3.263 4.176 5.266 9.462 5.266 15.173 0 13.589-10.853 24.433-24.44 24.442h-.017c-13.588-.01-24.735-10.853-24.735-24.442 0-5.665 2.033-11.013 5.248-15.173-1.023.128-2.025.312-3.084.312-13.594 0-24.751-11.159-24.751-24.754 0-13.594 11.157-24.752 24.752-24.752 5.542 0 10.655 1.858 14.775 4.973l-12.418-29.744z"}}]})(props);
};
function GiCard2Diamonds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.884 3.717l47.393 58.27-47.393 58.286-47.375-58.287 47.375-58.27zm100.541 136.816c9.59 0 18.465 2.061 26.627 6.182 8.242 4.12 14.424 9.549 18.545 16.285 4.121 6.657 6.18 13.948 6.18 21.873 0 5.468-1.03 11.016-3.09 16.643-2.06 5.626-5.07 10.897-9.033 15.81-6.815 8.48-13.83 15.73-21.041 21.752l-31.383 26.39c-7.925 6.658-13.71 12.323-17.355 16.999-3.646 4.675 14.344 7.013 53.968 7.013 5.944 0 10.183-1.544 12.719-4.634 2.536-3.09 5.429-11.651 8.678-25.678h8.084l-3.805 49.332h-106.51v-6.418l34.592-39.348c19.257-20.921 30.828-34.076 34.711-39.464 5.547-7.688 9.59-15.099 12.125-22.23 2.536-7.212 3.805-13.75 3.805-19.614 0-9.748-2.695-17.394-8.084-22.942-5.39-5.626-12.878-8.441-22.467-8.441-10.778 0-19.573 2.575-26.389 7.727-6.815 5.15-10.224 10.619-10.224 16.404 0 1.981.516 3.487 1.547 4.517.95 1.03 3.01 1.942 6.18 2.735 8.003 1.902 12.007 6.578 12.007 14.027 0 4.042-1.349 7.41-4.043 10.104-2.694 2.615-6.142 3.923-10.342 3.923-4.834 0-9.073-2.22-12.718-6.658-3.646-4.517-5.47-10.38-5.47-17.592 0-8.083 2.062-15.414 6.182-21.992 4.2-6.657 10.5-12.085 18.9-16.285 8.401-4.28 17.436-6.42 27.104-6.42zm118.801 175.99l47.393 58.27-47.393 58.287-47.375-58.287 47.375-58.27z"}}]})(props);
};
function GiCard2Hearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.434 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5zm57.216 16.174c13.613-.319 26.504 9.854 27.075 28.043.976 31.09-47.74 52.945-52.313 70.015-4.997-18.649-51.413-37.573-52.45-70.015-.994-31.155 37.404-37.907 52.452-11.846 6.262-10.846 15.923-15.978 25.236-16.195zm70.21 124.361c9.588 0 18.464 2.06 26.626 6.182 8.242 4.12 14.424 9.549 18.545 16.285 4.121 6.657 6.182 13.948 6.182 21.873 0 5.468-1.031 11.014-3.092 16.64-2.06 5.627-5.07 10.898-9.033 15.811-6.815 8.48-13.83 15.731-21.041 21.754l-31.383 26.39c-7.925 6.657-13.708 12.323-17.353 16.999-3.646 4.675 14.342 7.013 53.966 7.013 5.944 0 10.183-1.546 12.72-4.636 2.535-3.09 5.428-11.65 8.677-25.676h8.084l-3.805 49.332H189.445v-6.42l34.592-39.346c19.257-20.921 30.826-34.078 34.71-39.466 5.547-7.688 9.588-15.097 12.124-22.229 2.536-7.211 3.805-13.749 3.805-19.613 0-9.748-2.695-17.396-8.084-22.944-5.39-5.626-12.878-8.44-22.467-8.44-10.778 0-19.573 2.576-26.389 7.727-6.815 5.152-10.222 10.62-10.222 16.405 0 1.981.514 3.487 1.545 4.517.95 1.03 3.011 1.942 6.181 2.735 8.004 1.902 12.006 6.576 12.006 14.025 0 4.042-1.347 7.411-4.04 10.106-2.695 2.615-6.143 3.921-10.343 3.921-4.834 0-9.075-2.218-12.72-6.656-3.646-4.517-5.467-10.382-5.467-17.594 0-8.083 2.059-15.412 6.18-21.99 4.2-6.657 10.501-12.085 18.902-16.285 8.4-4.28 17.433-6.42 27.101-6.42zM360.728 361.77c4.572 17.07 53.287 38.925 52.31 70.015-.57 18.189-13.462 28.362-27.074 28.043v-.002c-9.314-.217-18.975-5.349-25.236-16.195-15.048 26.061-53.446 19.31-52.452-11.846 1.037-32.442 47.454-51.366 52.452-70.016z"}}]})(props);
};
function GiCard2Spades (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.654 8.045s46.338 33.84 47.271 63.07c.776 24.287-25.026 32.12-40.777 18.584l13.633 32.653h-40.115l13.613-32.633c-15.535 13.88-40.006 5.347-40.758-18.606-.88-28.01 47.133-63.066 47.133-63.066v-.002zm99.687 132.49c9.59 0 18.465 2.06 26.627 6.182 8.242 4.12 14.424 9.549 18.545 16.285 4.121 6.657 6.182 13.946 6.182 21.871 0 5.468-1.031 11.016-3.092 16.643-2.06 5.626-5.07 10.897-9.033 15.81-6.816 8.48-13.83 15.731-21.041 21.754l-31.383 26.389c-7.925 6.657-13.71 12.322-17.355 16.998v.002c-3.646 4.675 14.344 7.011 53.968 7.011 5.944 0 10.183-1.544 12.72-4.634 2.535-3.091 5.428-11.651 8.677-25.678h8.084L294.87 344.5h-106.51v-6.418l34.592-39.348c19.257-20.921 30.828-34.076 34.711-39.464 5.547-7.688 9.59-15.097 12.125-22.229 2.536-7.212 3.805-13.75 3.805-19.615 0-9.748-2.695-17.394-8.084-22.942-5.39-5.626-12.878-8.44-22.467-8.44-10.778 0-19.573 2.576-26.389 7.727-6.815 5.152-10.224 10.62-10.224 16.405 0 1.981.516 3.487 1.547 4.517.95 1.03 3.01 1.94 6.18 2.733 8.003 1.902 12.007 6.578 12.007 14.027 0 4.042-1.348 7.41-4.043 10.104-2.694 2.615-6.142 3.923-10.342 3.923-4.834 0-9.073-2.218-12.718-6.656-3.646-4.517-5.47-10.382-5.47-17.594 0-8.083 2.061-15.414 6.182-21.992 4.2-6.657 10.5-12.085 18.9-16.285 8.401-4.28 17.436-6.418 27.104-6.418zM345.78 353.648h40.116l-13.633 32.653c15.75-13.536 41.551-5.701 40.775 18.586-.933 29.23-47.271 63.068-47.271 63.068s-48.01-35.059-47.131-63.068c.751-23.953 25.222-32.485 40.758-18.604l-13.614-32.635z"}}]})(props);
};
function GiCard3Clubs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.832 8.408v.002h.015c13.587.01 24.442 10.853 24.442 24.442 0 5.71-2.003 10.997-5.266 15.173 1.12-.158 2.232-.31 3.396-.31 13.595 0 24.458 11.157 24.458 24.752 0 13.594-10.863 24.752-24.458 24.752-5.76 0-11.08-2.048-15.294-5.422l12.609 30.193h-40.117l12.42-29.744c-4.12 3.115-9.233 4.973-14.776 4.973-13.594 0-24.752-11.16-24.752-24.754 0-13.595 11.158-24.752 24.752-24.752 1.059 0 2.058.184 3.082.312-3.215-4.16-5.248-9.509-5.248-15.173 0-13.589 11.15-24.434 24.737-24.444zm99.271 132.127c14.899 0 26.786 4.002 35.662 12.006 8.876 8.004 13.315 17.909 13.315 29.717 0 8.48-2.418 15.81-7.252 21.992-4.755 6.181-12.998 11.65-24.727 16.404 11.333 2.774 20.17 7.37 26.51 13.79 8.083 8.162 12.125 18.266 12.125 30.312 0 13.63-4.834 24.567-14.502 32.808-11.016 9.51-25.361 14.264-43.033 14.264-10.62 0-19.772-1.743-27.46-5.23-7.607-3.487-13.313-8.201-17.116-14.145-3.804-5.943-5.706-12.64-5.706-20.09 0-6.023 1.465-10.776 4.397-14.263 2.932-3.487 6.619-5.23 11.057-5.23 4.041 0 7.289 1.346 9.746 4.04 2.456 2.615 3.685 6.22 3.685 10.817 0 2.932-.634 5.43-1.902 7.49-1.268 1.981-3.486 3.842-6.656 5.586-3.408 1.822-5.112 3.566-5.112 5.23 0 2.378 1.19 5.073 3.567 8.084 2.456 2.932 6.021 5.31 10.697 7.133 4.755 1.743 10.74 2.615 17.951 2.615 12.442 0 21.635-3.052 27.578-9.154 6.023-6.181 9.033-16.048 9.033-29.6 0-14.185-2.575-24.25-7.726-30.193-5.072-6.023-12.64-9.033-22.705-9.033-2.695 0-6.062.317-10.104.95-3.249.476-5.587.714-7.013.714-2.378 0-4.24-.475-5.586-1.426-1.268-1.03-1.903-2.299-1.903-3.805 0-1.664.595-2.933 1.784-3.804 1.268-.951 3.288-1.426 6.062-1.426l6.537.238 5.707.237c10.065 0 17.631-2.576 22.703-7.727 5.072-5.151 7.61-13.115 7.61-23.893 0-13.234-2.418-22.624-7.252-28.172-4.834-5.626-12.046-8.44-21.635-8.44-8.796 0-15.81 1.585-21.041 4.755-5.23 3.17-7.846 6.102-7.846 8.797 0 1.743 1.506 4.081 4.518 7.013 4.28 3.963 6.42 8.082 6.42 12.362 0 3.249-1.19 5.984-3.567 8.203-2.377 2.219-5.427 3.328-9.152 3.328-3.962 0-7.212-1.506-9.748-4.518-2.457-3.01-3.686-7.21-3.686-12.6 0-8.4 3.013-15.848 9.036-22.347 8.558-9.193 20.801-13.789 36.73-13.789zm100.256 177.477h40.117l-12.611 30.193c4.215-3.374 9.535-5.422 15.295-5.422 13.594 0 24.459 11.158 24.459 24.752 0 13.595-10.865 24.752-24.46 24.752-1.163 0-2.275-.152-3.396-.31 3.263 4.176 5.266 9.462 5.266 15.173 0 13.589-10.853 24.433-24.44 24.442h-.017c-13.588-.01-24.735-10.853-24.735-24.442 0-5.665 2.033-11.013 5.248-15.173-1.023.128-2.025.312-3.084.312-13.594 0-24.751-11.159-24.751-24.754 0-13.594 11.157-24.752 24.752-24.752 5.542 0 10.655 1.858 14.775 4.973l-12.418-29.744z"}}]})(props);
};
function GiCard3Diamonds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.884 3.717h.002l47.393 58.271-47.393 58.287-47.377-58.289 47.375-58.27zm100.303 136.818c14.899 0 26.786 4.002 35.662 12.006 8.876 8.004 13.315 17.91 13.315 29.719 0 8.48-2.418 15.809-7.252 21.99-4.755 6.181-12.996 11.65-24.725 16.404 11.332 2.774 20.168 7.37 26.508 13.79 8.083 8.162 12.125 18.266 12.125 30.312 0 13.63-4.834 24.567-14.502 32.808-11.015 9.51-25.359 14.266-43.031 14.266-10.62 0-19.774-1.743-27.461-5.23-7.608-3.487-13.314-8.203-17.117-14.147-3.804-5.943-5.706-12.638-5.706-20.088 0-6.023 1.467-10.778 4.399-14.265s6.617-5.23 11.055-5.23c4.041 0 7.29 1.346 9.748 4.04 2.456 2.615 3.683 6.222 3.683 10.819 0 2.932-.632 5.427-1.9 7.488-1.268 1.981-3.489 3.844-6.658 5.588-3.408 1.822-5.112 3.566-5.112 5.23 0 2.378 1.19 5.07 3.567 8.082 2.457 2.932 6.023 5.31 10.699 7.133 4.755 1.743 10.738 2.615 17.95 2.615 12.441 0 21.634-3.05 27.577-9.152 6.023-6.181 9.035-16.048 9.035-29.6 0-14.185-2.577-24.25-7.728-30.193-5.072-6.023-12.639-9.035-22.703-9.035-2.695 0-6.064.317-10.106.95-3.249.476-5.585.714-7.011.714-2.378 0-4.241-.475-5.588-1.426-1.268-1.03-1.903-2.299-1.903-3.805 0-1.664.595-2.93 1.784-3.802 1.268-.951 3.288-1.428 6.062-1.428l6.54.238 5.704.238c10.065 0 17.633-2.575 22.705-7.726 5.072-5.151 7.608-13.117 7.608-23.895 0-13.234-2.418-22.624-7.252-28.172-4.834-5.626-12.046-8.439-21.635-8.439-8.797 0-15.809 1.584-21.04 4.754-5.23 3.17-7.845 6.102-7.845 8.797 0 1.743 1.506 4.081 4.518 7.013 4.28 3.963 6.418 8.084 6.418 12.364 0 3.249-1.19 5.982-3.567 8.2-2.377 2.22-5.427 3.33-9.152 3.33-3.962 0-7.212-1.505-9.748-4.517-2.457-3.011-3.686-7.212-3.686-12.601 0-8.4 3.013-15.85 9.036-22.348 8.558-9.193 20.801-13.789 36.73-13.789zm119.04 175.988h.001l47.39 58.272-47.39 58.287-47.377-58.289 47.375-58.27z"}}]})(props);
};
function GiCard3Hearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm57.214 16.174h.002c13.612-.318 26.504 9.855 27.075 28.043.976 31.09-47.74 52.945-52.313 70.015-4.997-18.649-51.413-37.573-52.45-70.015-.994-31.155 37.404-37.91 52.452-11.848 6.261-10.846 15.921-15.977 25.234-16.195zm69.973 124.361c14.899 0 26.786 4.002 35.662 12.006 8.876 8.004 13.315 17.909 13.315 29.717 0 8.48-2.418 15.81-7.252 21.992-4.755 6.181-12.996 11.65-24.725 16.404 11.333 2.774 20.168 7.37 26.508 13.79 8.083 8.162 12.125 18.266 12.125 30.312 0 13.63-4.834 24.567-14.502 32.808-11.016 9.51-25.36 14.266-43.033 14.266-10.62 0-19.772-1.743-27.46-5.23-7.607-3.487-13.313-8.203-17.116-14.147-3.804-5.943-5.706-12.64-5.706-20.09 0-6.023 1.467-10.776 4.399-14.263s6.617-5.23 11.055-5.23c4.041 0 7.29 1.346 9.748 4.04 2.456 2.615 3.683 6.222 3.683 10.819 0 2.932-.634 5.427-1.902 7.488-1.268 1.981-3.487 3.844-6.656 5.588-3.408 1.822-5.112 3.566-5.112 5.23 0 2.378 1.19 5.07 3.567 8.082 2.457 2.932 6.023 5.31 10.699 7.133 4.755 1.743 10.738 2.615 17.95 2.615 12.441 0 21.634-3.052 27.577-9.154 6.023-6.181 9.033-16.046 9.033-29.598 0-14.185-2.575-24.25-7.726-30.193-5.072-6.023-12.639-9.035-22.703-9.035-2.695 0-6.064.317-10.106.95-3.249.476-5.587.714-7.013.714-2.378 0-4.24-.475-5.586-1.426-1.268-1.03-1.903-2.299-1.903-3.805 0-1.664.595-2.93 1.784-3.802 1.268-.951 3.288-1.428 6.062-1.428l6.537.238 5.707.238c10.065 0 17.633-2.575 22.705-7.726 5.072-5.151 7.608-13.117 7.608-23.895 0-13.234-2.418-22.624-7.252-28.172-4.834-5.626-12.046-8.439-21.635-8.439-8.797 0-15.809 1.584-21.04 4.754-5.23 3.17-7.845 6.102-7.845 8.797 0 1.743 1.504 4.081 4.516 7.013 4.28 3.963 6.42 8.082 6.42 12.362 0 3.249-1.19 5.984-3.567 8.203-2.377 2.219-5.427 3.328-9.152 3.328-3.962 0-7.212-1.506-9.748-4.518-2.457-3.01-3.686-7.21-3.686-12.6 0-8.4 3.013-15.848 9.036-22.347 8.558-9.193 20.801-13.789 36.73-13.789zM360.73 361.77c4.572 17.07 53.289 38.923 52.312 70.013-.57 18.189-13.462 28.364-27.074 28.045v-.002c-9.314-.217-18.975-5.349-25.237-16.195-15.048 26.061-53.445 19.307-52.45-11.848 1.036-32.442 47.451-51.364 52.449-70.013z"}}]})(props);
};
function GiCard3Spades (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.652 8.047s46.338 33.838 47.271 63.068c.776 24.287-25.024 32.12-40.775 18.584l13.633 32.655h-40.115l13.613-32.635c-15.535 13.88-40.006 5.347-40.758-18.606-.88-28.01 47.13-63.066 47.13-63.066zm99.451 132.488c14.899 0 26.786 4.002 35.662 12.006 8.876 8.004 13.313 17.91 13.313 29.719 0 8.48-2.416 15.809-7.25 21.99-4.755 6.181-12.998 11.65-24.727 16.404 11.333 2.774 20.17 7.37 26.51 13.79 8.083 8.162 12.125 18.266 12.125 30.312 0 13.63-4.836 24.567-14.504 32.808-11.015 9.51-25.359 14.266-43.031 14.266-10.62 0-19.772-1.743-27.46-5.23-7.607-3.487-13.313-8.203-17.116-14.147-3.804-5.943-5.707-12.64-5.707-20.09 0-6.023 1.466-10.776 4.398-14.263 2.932-3.487 6.617-5.23 11.055-5.23 4.041 0 7.291 1.346 9.748 4.04 2.456 2.615 3.685 6.222 3.685 10.819 0 2.932-.634 5.427-1.902 7.488-1.268 1.981-3.486 3.844-6.656 5.588-3.408 1.822-5.112 3.566-5.112 5.23 0 2.378 1.19 5.07 3.567 8.082 2.456 2.932 6.021 5.31 10.697 7.133 4.755 1.743 10.738 2.615 17.95 2.615 12.441 0 21.636-3.052 27.58-9.154 6.022-6.181 9.032-16.046 9.032-29.598 0-14.185-2.575-24.25-7.726-30.193-5.072-6.023-12.64-9.035-22.705-9.035-2.695 0-6.062.317-10.104.95-3.249.476-5.587.714-7.013.714-2.378 0-4.24-.475-5.586-1.426-1.268-1.03-1.903-2.299-1.903-3.805 0-1.664.595-2.93 1.784-3.802 1.268-.951 3.288-1.428 6.062-1.428l6.537.238 5.707.238c10.065 0 17.631-2.575 22.703-7.726 5.072-5.151 7.61-13.117 7.61-23.895 0-13.234-2.418-22.624-7.252-28.172-4.834-5.626-12.046-8.439-21.635-8.439-8.797 0-15.81 1.584-21.041 4.754-5.23 3.17-7.846 6.102-7.846 8.797 0 1.743 1.506 4.081 4.518 7.013 4.28 3.963 6.42 8.084 6.42 12.364 0 3.249-1.19 5.982-3.567 8.2-2.377 2.22-5.43 3.33-9.154 3.33-3.962 0-7.21-1.507-9.746-4.519-2.457-3.01-3.686-7.21-3.686-12.6 0-8.4 3.01-15.848 9.034-22.347 8.558-9.193 20.803-13.789 36.732-13.789zm100.238 177.113h40.118l-13.633 32.653c15.75-13.536 41.551-5.701 40.775 18.586-.933 29.23-47.271 63.068-47.271 63.068s-48.01-35.059-47.131-63.068c.751-23.953 25.222-32.485 40.758-18.604l-13.616-32.635z"}}]})(props);
};
function GiCard4Clubs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.832 8.408v.002h.015c13.587.01 24.442 10.853 24.442 24.442 0 5.71-2.003 10.997-5.266 15.173 1.12-.158 2.232-.31 3.396-.31 13.595 0 24.458 11.157 24.458 24.752 0 13.594-10.863 24.752-24.458 24.752-5.76 0-11.08-2.048-15.294-5.422l12.609 30.193h-40.117l12.42-29.744c-4.12 3.115-9.233 4.973-14.776 4.973-13.594 0-24.752-11.16-24.752-24.754 0-13.595 11.158-24.752 24.752-24.752 1.059 0 2.058.184 3.082.312-3.215-4.16-5.248-9.509-5.248-15.173 0-13.589 11.15-24.434 24.737-24.444zM269.67 179.625h7.726v112.453h27.342v10.104h-27.342v25.32c0 2.219.872 4 2.616 5.348 2.536 1.822 5.468 2.734 8.797 2.734h10.103v8.916H232.94v-8.916h12.243c4.12 0 7.133-.872 9.035-2.615 1.981-1.744 2.972-4.28 2.972-7.608v-23.18h-67.283V290.77l79.764-111.145zm-12.48 32.213l-57.417 80.24h57.416v-80.24zm88.605 142.174h40.117l-12.611 30.193c4.215-3.374 9.535-5.422 15.295-5.422 13.594 0 24.459 11.158 24.459 24.752 0 13.595-10.865 24.752-24.46 24.752-1.163 0-2.275-.152-3.396-.31 3.263 4.176 5.266 9.462 5.266 15.173 0 13.589-10.853 24.433-24.44 24.442h-.017c-13.588-.01-24.735-10.853-24.735-24.442 0-5.665 2.033-11.013 5.248-15.173-1.023.128-2.025.312-3.084.312-13.594 0-24.751-11.159-24.751-24.754 0-13.594 11.157-24.752 24.752-24.752 5.542 0 10.655 1.858 14.775 4.973l-12.418-29.744z"}}]})(props);
};
function GiCard4Diamonds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.882 3.717h.002l47.393 58.27-47.393 58.286-47.375-58.287 47.373-58.27zm124.436 139.908h7.726v112.453h27.34v10.104h-27.34v25.32c0 2.219.872 4.002 2.616 5.35 2.536 1.822 5.468 2.734 8.797 2.734h10.103v8.914h-65.975v-8.914h12.245c4.12 0 7.133-.872 9.035-2.615 1.981-1.744 2.97-4.28 2.97-7.608v-23.181h-67.28v-11.41l79.763-111.147zM258.27 211.84l-57.414 80.238h57.414V211.84zm107.39 140.683h.001l47.393 58.27-47.393 58.287-47.375-58.287 47.373-58.27z"}}]})(props);
};
function GiCard4Hearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm57.214 16.174h.002c13.612-.318 26.502 9.855 27.073 28.043.976 31.09-47.738 52.945-52.31 70.015-4.998-18.649-51.416-37.573-52.452-70.015-.995-31.155 37.403-37.91 52.451-11.848 6.261-10.846 15.923-15.977 25.236-16.195zm94.104 127.451h7.726v112.453h27.34v10.104h-27.34v25.32c0 2.219.872 4.002 2.616 5.35 2.536 1.822 5.468 2.734 8.797 2.734h10.103v8.914h-65.975v-8.914h12.245c4.12 0 7.133-.872 9.035-2.615 1.981-1.744 2.97-4.28 2.97-7.608v-23.181h-67.28v-11.41l79.763-111.147zM258.27 211.84l-57.414 80.238h57.414V211.84zM360.73 361.77c4.572 17.07 53.287 38.923 52.31 70.013-.57 18.188-13.46 28.36-27.072 28.043h-.002c-9.313-.218-18.975-5.35-25.236-16.195-15.048 26.061-53.444 19.307-52.45-11.848 1.037-32.442 47.452-51.364 52.45-70.013z"}}]})(props);
};
function GiCard4Spades (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.434 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.3c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5h-275.3zm26.654 8.047s46.338 33.838 47.271 63.068c.776 24.287-25.024 32.122-40.775 18.586l13.633 32.653H126.1l13.613-32.635c-15.535 13.88-40.004 5.349-40.756-18.604-.88-28.01 47.13-63.068 47.13-63.068zM269.67 179.625h7.726v112.453h27.34v10.106h-27.34v25.318c0 2.219.872 4.002 2.616 5.35 2.536 1.822 5.468 2.734 8.797 2.734h10.103v8.916h-65.974v-8.916h12.244c4.12 0 7.133-.872 9.035-2.615 1.981-1.744 2.97-4.28 2.97-7.608v-23.18h-67.28v-11.412l79.763-111.146zm-12.483 32.215l-57.416 80.238h57.417V211.84zm88.59 141.808h40.118l-13.633 32.653c15.75-13.536 41.551-5.701 40.775 18.586-.933 29.23-47.271 63.068-47.271 63.068s-48.012-35.059-47.133-63.068c.751-23.953 25.222-32.485 40.758-18.604l-13.614-32.635z"}}]})(props);
};
function GiCard5Clubs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.832 8.408v.002h.015c13.587.01 24.442 10.853 24.442 24.442 0 5.71-2.003 10.997-5.266 15.173 1.12-.158 2.232-.31 3.396-.31 13.595 0 24.458 11.157 24.458 24.752 0 13.594-10.863 24.752-24.458 24.752-5.76 0-11.08-2.048-15.294-5.422l12.609 30.193h-40.117l12.42-29.744c-4.12 3.115-9.233 4.973-14.776 4.973-13.594 0-24.752-11.16-24.752-24.754 0-13.595 11.158-24.752 24.752-24.752 1.059 0 2.058.184 3.082.312-3.215-4.16-5.248-9.509-5.248-15.173 0-13.589 11.15-24.434 24.737-24.444zm63.61 132.127c20.05 4.597 36.415 6.895 49.095 6.895 5.943 0 11.531-.557 16.761-1.666 5.23-1.19 9.153-2.536 11.768-4.041 1.347-.714 2.219-1.07 2.615-1.07.793 0 1.19.594 1.19 1.783 0 2.773-1.784 6.46-5.35 11.056-3.566 4.517-8.44 8.122-14.621 10.817-6.102 2.694-13.156 4.04-21.16 4.04-9.272 0-20.328-1.426-33.166-4.279l-3.922 45.41c6.023-3.01 11.768-5.27 17.236-6.775 5.468-1.506 10.66-2.26 15.572-2.26 15.533 0 28.57 5.151 39.11 15.453 10.62 10.303 15.928 23.022 15.928 38.159 0 16.8-5.626 30.629-16.88 41.486-11.253 10.857-25.835 16.285-43.745 16.285-13.71 0-24.884-3.882-33.522-11.648-8.559-7.846-12.838-17.158-12.838-27.936 0-6.498 1.347-11.49 4.041-14.976 2.774-3.567 6.3-5.35 10.58-5.35 4.2 0 7.608 1.426 10.223 4.28 2.694 2.773 4.043 6.418 4.043 10.935 0 3.407-.674 6.063-2.022 7.965-1.267 1.902-3.645 3.486-7.132 4.754-3.487 1.347-5.23 2.893-5.23 4.636 0 2.536 1.188 5.35 3.566 8.44 2.377 3.011 5.944 5.509 10.699 7.49 4.834 1.902 10.342 2.852 16.523 2.852 12.125 0 21.358-3.765 27.697-11.293 6.42-7.529 9.63-19.772 9.63-36.73 0-15.454-3.37-26.747-10.106-33.88-6.736-7.132-15.334-10.699-25.795-10.699-4.755 0-9.509.872-14.264 2.615-4.755 1.744-9.51 4.359-14.265 7.846-.555 5.547-1.545 9.272-2.971 11.174-1.426 1.822-3.25 2.734-5.469 2.734-1.585 0-2.853-.554-3.804-1.664-.951-1.11-1.426-2.654-1.426-4.635 0-3.487 1.624-6.936 4.873-10.343.95-1.03 1.625-1.94 2.021-2.733l2.735-34.95c1.11-13.788 1.704-27.18 1.783-40.177zm135.917 177.477h40.117l-12.611 30.193c4.215-3.374 9.535-5.422 15.295-5.422 13.594 0 24.459 11.157 24.459 24.752 0 13.595-10.865 24.752-24.46 24.752-1.163 0-2.275-.152-3.396-.31 3.263 4.176 5.266 9.462 5.266 15.173 0 13.589-10.853 24.433-24.44 24.442h-.017c-13.588-.01-24.735-10.853-24.735-24.442 0-5.665 2.033-11.013 5.248-15.173-1.023.128-2.025.312-3.084.312-13.594 0-24.751-11.159-24.751-24.754 0-13.594 11.157-24.752 24.752-24.752 5.542 0 10.655 1.858 14.775 4.973l-12.418-29.744z"}}]})(props);
};
function GiCard5Diamonds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363.002c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5V74.5c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.884 3.719l47.393 58.27-47.393 58.286-47.375-58.287 47.375-58.27zm64.64 136.816c20.05 4.597 36.415 6.895 49.095 6.895 5.943 0 11.531-.555 16.761-1.664 5.23-1.19 9.153-2.536 11.768-4.041 1.347-.714 2.219-1.07 2.615-1.07.793 0 1.19.594 1.19 1.782 0 2.774-1.784 6.459-5.35 11.055-3.566 4.517-8.44 8.124-14.621 10.819-6.102 2.694-13.154 4.04-21.158 4.04-9.272 0-20.328-1.426-33.166-4.279l-3.924 45.41c6.023-3.011 11.768-5.271 17.236-6.777 5.468-1.506 10.66-2.258 15.573-2.258 15.532 0 28.569 5.151 39.109 15.453 10.62 10.303 15.93 23.022 15.93 38.159 0 16.8-5.628 30.629-16.881 41.486-11.253 10.857-25.834 16.285-43.744 16.285-13.71 0-24.884-3.882-33.522-11.648-8.559-7.846-12.838-17.158-12.838-27.936 0-6.498 1.347-11.491 4.041-14.978 2.774-3.567 6.3-5.348 10.58-5.348 4.2 0 7.608 1.426 10.223 4.28 2.694 2.773 4.041 6.418 4.041 10.935 0 3.407-.674 6.063-2.022 7.965-1.268 1.902-3.643 3.486-7.13 4.754-3.487 1.347-5.23 2.893-5.23 4.636 0 2.536 1.188 5.349 3.566 8.44 2.377 3.011 5.942 5.507 10.697 7.488 4.834 1.902 10.342 2.853 16.523 2.853 12.125 0 21.358-3.764 27.698-11.292 6.419-7.53 9.628-19.772 9.628-36.731 0-15.453-3.367-26.747-10.103-33.879-6.736-7.132-15.336-10.7-25.797-10.7-4.755 0-9.509.873-14.264 2.616-4.755 1.744-9.51 4.359-14.265 7.846-.555 5.547-1.545 9.272-2.97 11.174-1.427 1.822-3.25 2.734-5.47 2.734-1.585 0-2.851-.555-3.802-1.664-.951-1.11-1.428-2.656-1.428-4.637 0-3.487 1.626-6.934 4.875-10.342.95-1.03 1.623-1.94 2.02-2.732l2.734-34.95c1.11-13.788 1.704-27.182 1.783-40.179zm154.7 175.988h.002l47.393 58.272-47.393 58.287-47.375-58.287 47.373-58.272z"}}]})(props);
};
function GiCard5Hearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm57.216 16.174c13.613-.319 26.504 9.854 27.075 28.043.976 31.09-47.74 52.945-52.313 70.015-4.997-18.649-51.413-37.573-52.45-70.015-.994-31.155 37.404-37.91 52.452-11.848 6.262-10.846 15.923-15.978 25.236-16.195zm34.31 124.361c20.05 4.597 36.415 6.895 49.095 6.895 5.943 0 11.529-.555 16.76-1.664 5.23-1.19 9.154-2.536 11.769-4.041 1.347-.714 2.219-1.07 2.615-1.07.793 0 1.188.594 1.188 1.782 0 2.774-1.782 6.459-5.348 11.055-3.566 4.517-8.44 8.124-14.621 10.819-6.102 2.694-13.156 4.04-21.16 4.04-9.272 0-20.328-1.426-33.166-4.279l-3.922 45.408c6.023-3.01 11.768-5.27 17.236-6.775 5.468-1.506 10.66-2.258 15.572-2.258 15.533 0 28.57 5.151 39.11 15.453 10.619 10.303 15.928 23.022 15.928 38.159 0 16.8-5.626 30.629-16.88 41.486-11.253 10.857-25.835 16.285-43.745 16.285-13.71 0-24.884-3.884-33.522-11.65-8.559-7.846-12.838-17.156-12.838-27.934 0-6.498 1.347-11.491 4.041-14.978 2.774-3.567 6.3-5.35 10.58-5.35 4.2 0 7.608 1.426 10.223 4.28 2.694 2.773 4.043 6.42 4.043 10.937 0 3.407-.674 6.06-2.022 7.963-1.268 1.902-3.646 3.488-7.132 4.756-3.487 1.347-5.23 2.893-5.23 4.636 0 2.536 1.188 5.349 3.566 8.44 2.377 3.011 5.944 5.507 10.699 7.488 4.834 1.902 10.342 2.853 16.523 2.853 12.125 0 21.358-3.764 27.697-11.292 6.42-7.53 9.63-19.774 9.63-36.733 0-15.453-3.37-26.745-10.106-33.877-6.736-7.132-15.334-10.7-25.795-10.7-4.755 0-9.509.873-14.264 2.616-4.755 1.744-9.51 4.359-14.265 7.846-.555 5.547-1.547 9.272-2.973 11.174-1.426 1.822-3.248 2.734-5.467 2.734-1.585 0-2.853-.555-3.804-1.664-.951-1.11-1.426-2.656-1.426-4.637 0-3.487 1.624-6.934 4.873-10.342.95-1.03 1.625-1.941 2.021-2.734l2.735-34.947c1.11-13.79 1.704-27.183 1.783-40.18zM360.73 361.77c4.572 17.07 53.289 38.923 52.312 70.013-.57 18.189-13.462 28.364-27.074 28.045v-.002c-9.314-.217-18.975-5.349-25.237-16.195-15.048 26.061-53.445 19.308-52.45-11.848 1.036-32.442 47.451-51.364 52.449-70.013z"}}]})(props);
};
function GiCard5Spades (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.654 8.045s46.338 33.838 47.271 63.068c.776 24.287-25.024 32.122-40.775 18.586l13.633 32.653h-40.117l13.613-32.633c-15.535 13.88-40.004 5.347-40.756-18.606-.88-28.01 47.13-63.068 47.13-63.068zm63.789 132.49c20.05 4.597 36.414 6.895 49.094 6.895 5.943 0 11.531-.555 16.761-1.664 5.23-1.19 9.153-2.538 11.768-4.043 1.347-.714 2.219-1.069 2.615-1.069.793 0 1.19.593 1.19 1.782 0 2.773-1.784 6.46-5.35 11.056-3.566 4.517-8.44 8.122-14.621 10.817-6.102 2.694-13.156 4.04-21.16 4.04-9.272 0-20.328-1.426-33.166-4.279l-3.922 45.41c6.023-3.01 11.768-5.27 17.236-6.775 5.468-1.506 10.66-2.26 15.572-2.26 15.533 0 28.57 5.151 39.11 15.453 10.62 10.303 15.928 23.022 15.928 38.159 0 16.8-5.626 30.629-16.88 41.486-11.253 10.857-25.833 16.287-43.743 16.287-13.71 0-24.886-3.884-33.524-11.65-8.559-7.846-12.838-17.158-12.838-27.936 0-6.498 1.347-11.49 4.041-14.976 2.774-3.567 6.3-5.35 10.58-5.35 4.2 0 7.608 1.426 10.223 4.28 2.694 2.773 4.043 6.418 4.043 10.935 0 3.407-.674 6.063-2.022 7.965-1.267 1.902-3.645 3.486-7.132 4.754-3.487 1.347-5.23 2.893-5.23 4.636 0 2.536 1.188 5.35 3.566 8.44 2.377 3.011 5.944 5.509 10.699 7.49 4.834 1.902 10.342 2.852 16.523 2.852 12.125 0 21.358-3.765 27.697-11.293 6.42-7.529 9.63-19.772 9.63-36.73 0-15.454-3.37-26.747-10.106-33.88-6.736-7.132-15.334-10.697-25.795-10.697-4.755 0-9.509.87-14.264 2.613-4.754 1.744-9.51 4.359-14.265 7.846-.555 5.547-1.544 9.274-2.971 11.176-1.426 1.822-3.25 2.732-5.469 2.732-1.585 0-2.853-.554-3.804-1.664-.951-1.11-1.426-2.654-1.426-4.635 0-3.487 1.624-6.934 4.873-10.342.95-1.03 1.625-1.941 2.021-2.734l2.735-34.95c1.11-13.788 1.704-27.18 1.783-40.177zm135.9 177.113h40.117l-13.632 32.653c15.75-13.536 41.551-5.701 40.775 18.586-.933 29.23-47.271 63.068-47.271 63.068s-48.012-35.059-47.133-63.068c.751-23.953 25.222-32.486 40.758-18.606l-13.614-32.633z"}}]})(props);
};
function GiCard6Clubs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.832 8.408v.002h.015c13.587.01 24.442 10.853 24.442 24.442 0 5.71-2.003 10.997-5.266 15.173 1.12-.158 2.232-.31 3.396-.31 13.595 0 24.458 11.157 24.458 24.752 0 13.594-10.863 24.752-24.458 24.752-5.76 0-11.08-2.048-15.294-5.422l12.609 30.193h-40.117l12.42-29.744c-4.12 3.115-9.233 4.973-14.776 4.973-13.594 0-24.752-11.16-24.752-24.754 0-13.595 11.158-24.752 24.752-24.752 1.059 0 2.058.184 3.082.312-3.215-4.16-5.248-9.509-5.248-15.173 0-13.589 11.15-24.434 24.737-24.444zm112.466 132.127c11.57 0 21.397 3.17 29.48 9.51 6.737 5.151 10.104 11.331 10.104 18.543 0 4.834-1.506 8.796-4.517 11.887-2.932 3.09-6.537 4.636-10.817 4.636-3.962 0-7.37-1.308-10.222-3.923-2.774-2.616-4.16-5.706-4.16-9.272 0-2.377.95-5.07 2.851-8.082 1.744-2.774 2.615-4.954 2.615-6.54 0-2.218-1.069-4.041-3.209-5.468-2.853-1.823-6.775-2.732-11.767-2.732-7.687 0-14.701 2.416-21.041 7.25s-11.728 13.155-16.166 24.963c-4.359 11.728-6.54 24.925-6.54 39.586 0 2.14.12 5.347.358 9.627 6.181-8.242 12.679-14.145 19.494-17.711 6.816-3.567 14.304-5.35 22.467-5.35 13.155 0 24.171 4.479 33.047 13.434 8.955 8.875 13.432 20.127 13.432 33.757 0 16.405-5.27 30.036-15.809 40.893-10.54 10.857-23.577 16.285-39.11 16.285-10.936 0-20.683-2.893-29.242-8.678-8.558-5.864-15.573-14.977-21.04-27.34-5.39-12.362-8.083-26.785-8.083-43.269 0-17.83 3.328-33.998 9.985-48.5 6.657-14.502 15.135-25.359 25.437-32.57 10.382-7.291 21.2-10.936 32.453-10.936zm-7.607 78.574c-9.906 0-18.03 3.605-24.37 10.817-6.26 7.132-9.39 17.196-9.39 30.193 0 14.106 3.05 24.885 9.153 32.334 6.102 7.45 13.868 11.174 23.298 11.174 9.352 0 16.88-3.527 22.586-10.58 5.706-7.053 8.559-17.592 8.559-31.62 0-14.898-2.655-25.676-7.965-32.333-5.23-6.657-12.52-9.985-21.871-9.985zm94.668 98.903h40.117l-12.611 30.193c4.215-3.374 9.535-5.422 15.295-5.422 13.594 0 24.459 11.158 24.459 24.752 0 13.595-10.865 24.752-24.46 24.752-1.163 0-2.275-.152-3.396-.31 3.263 4.176 5.266 9.462 5.266 15.173 0 13.589-10.853 24.433-24.44 24.442h-.017c-13.588-.01-24.735-10.853-24.735-24.442 0-5.665 2.033-11.013 5.248-15.173-1.023.128-2.025.312-3.084.312-13.594 0-24.751-11.159-24.751-24.754 0-13.594 11.157-24.752 24.752-24.752 5.542 0 10.655 1.858 14.775 4.973l-12.418-29.744z"}}]})(props);
};
function GiCard6Diamonds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.882 3.717h.002l47.393 58.271-47.393 58.287-47.375-58.289 47.373-58.27zm113.498 136.818c11.57 0 21.398 3.17 29.48 9.51 6.737 5.151 10.106 11.333 10.106 18.545 0 4.834-1.506 8.796-4.517 11.887-2.932 3.09-6.54 4.636-10.819 4.636-3.962 0-7.37-1.308-10.222-3.924-2.774-2.615-4.16-5.705-4.16-9.271 0-2.377.951-5.073 2.853-8.084 1.744-2.774 2.615-4.952 2.615-6.537 0-2.22-1.07-4.042-3.21-5.469-2.853-1.823-6.776-2.734-11.768-2.734-7.687 0-14.701 2.418-21.041 7.252s-11.728 13.155-16.166 24.963c-4.359 11.728-6.537 24.923-6.537 39.584 0 2.14.117 5.35.355 9.628 6.182-8.241 12.68-14.144 19.496-17.71 6.816-3.567 14.305-5.35 22.467-5.35 13.155 0 24.17 4.477 33.045 13.432 8.955 8.875 13.434 20.129 13.434 33.76 0 16.404-5.271 30.035-15.811 40.892-10.54 10.857-23.577 16.285-39.11 16.285-10.936 0-20.683-2.893-29.242-8.678-8.558-5.864-15.57-14.977-21.039-27.34-5.389-12.362-8.084-26.785-8.084-43.269 0-17.83 3.328-33.998 9.985-48.5 6.657-14.502 15.137-25.359 25.44-32.57 10.38-7.291 21.197-10.938 32.45-10.938zm-7.607 78.574c-9.906 0-18.03 3.607-24.37 10.819-6.26 7.132-9.39 17.196-9.39 30.193 0 14.106 3.052 24.883 9.155 32.332 6.102 7.45 13.868 11.174 23.298 11.174 9.352 0 16.88-3.525 22.586-10.578 5.706-7.053 8.559-17.594 8.559-31.621 0-14.899-2.655-25.675-7.965-32.332-5.23-6.657-12.522-9.987-21.873-9.987zm113.451 97.414h.002l47.393 58.272-47.393 58.287-47.377-58.289 47.375-58.27z"}}]})(props);
};
function GiCard6Hearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm57.216 16.174c13.613-.319 26.504 9.854 27.075 28.043.976 31.09-47.74 52.945-52.313 70.015-4.997-18.649-51.413-37.573-52.45-70.015-.994-31.155 37.404-37.907 52.452-11.846 6.262-10.846 15.923-15.978 25.236-16.195v-.002zm83.166 124.361c11.57 0 21.398 3.17 29.48 9.51 6.737 5.151 10.104 11.333 10.104 18.545 0 4.834-1.504 8.796-4.515 11.887-2.932 3.09-6.54 4.636-10.819 4.636-3.962 0-7.37-1.308-10.222-3.924-2.774-2.615-4.16-5.705-4.16-9.271 0-2.377.95-5.073 2.851-8.084 1.744-2.774 2.615-4.952 2.615-6.537 0-2.22-1.069-4.042-3.209-5.469-2.853-1.823-6.775-2.734-11.767-2.734-7.687 0-14.701 2.418-21.041 7.252s-11.728 13.155-16.166 24.963c-4.359 11.728-6.54 24.923-6.54 39.584 0 2.14.12 5.35.358 9.628 6.181-8.241 12.679-14.146 19.494-17.712 6.816-3.567 14.305-5.348 22.467-5.348 13.155 0 24.171 4.477 33.047 13.432 8.955 8.875 13.434 20.129 13.434 33.76 0 16.404-5.271 30.035-15.811 40.892-10.54 10.857-23.577 16.285-39.11 16.285-10.936 0-20.683-2.893-29.242-8.678-8.558-5.864-15.573-14.977-21.04-27.34-5.39-12.362-8.083-26.785-8.083-43.269 0-17.83 3.328-33.998 9.985-48.5 6.657-14.502 15.137-25.36 25.44-32.572 10.38-7.291 21.197-10.936 32.45-10.936zm-7.607 78.574c-9.906 0-18.03 3.607-24.37 10.819-6.26 7.132-9.39 17.196-9.39 30.193 0 14.106 3.05 24.883 9.153 32.332 6.102 7.45 13.87 11.174 23.3 11.174 9.351 0 16.878-3.525 22.584-10.578 5.706-7.053 8.559-17.594 8.559-31.621 0-14.899-2.653-25.675-7.963-32.332-5.23-6.657-12.522-9.987-21.873-9.987zm108.518 106.66c4.572 17.071 53.289 38.924 52.312 70.014-.57 18.189-13.462 28.364-27.074 28.045v-.002c-9.314-.217-18.975-5.349-25.237-16.195-15.048 26.061-53.445 19.308-52.45-11.848 1.036-32.442 47.451-51.364 52.449-70.013z"}}]})(props);
};
function GiCard6Spades (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.652 8.047s46.338 33.838 47.271 63.068c.776 24.287-25.024 32.122-40.775 18.586l13.633 32.653H126.1l13.613-32.635c-15.535 13.88-40.004 5.349-40.756-18.604-.88-28.01 47.13-63.068 47.13-63.068zm112.644 132.488c11.57 0 21.398 3.17 29.48 9.51 6.737 5.151 10.106 11.333 10.106 18.545 0 4.834-1.506 8.796-4.517 11.887-2.932 3.09-6.54 4.634-10.819 4.634-3.962 0-7.37-1.306-10.222-3.922-2.774-2.615-4.16-5.705-4.16-9.271 0-2.377.951-5.073 2.853-8.084 1.744-2.774 2.615-4.952 2.615-6.537 0-2.22-1.071-4.042-3.21-5.469-2.854-1.823-6.775-2.734-11.768-2.734-7.687 0-14.701 2.418-21.041 7.252s-11.728 13.155-16.166 24.963c-4.359 11.728-6.537 24.923-6.537 39.584 0 2.14.117 5.35.355 9.628 6.181-8.241 12.681-14.146 19.496-17.712 6.816-3.567 14.304-5.348 22.467-5.348 13.155 0 24.17 4.477 33.045 13.432 8.955 8.875 13.434 20.129 13.434 33.76 0 16.404-5.271 30.035-15.811 40.892-10.54 10.857-23.577 16.285-39.11 16.285-10.936 0-20.683-2.893-29.242-8.678-8.558-5.864-15.57-14.977-21.039-27.34-5.389-12.362-8.084-26.785-8.084-43.269 0-17.83 3.328-33.998 9.985-48.5 6.657-14.502 15.137-25.36 25.44-32.572 10.38-7.291 21.197-10.936 32.45-10.936zm-7.607 78.574c-9.906 0-18.03 3.607-24.37 10.819-6.26 7.132-9.39 17.196-9.39 30.193 0 14.106 3.052 24.883 9.155 32.332 6.102 7.45 13.868 11.174 23.298 11.174 9.352 0 16.88-3.525 22.586-10.578 5.706-7.053 8.559-17.594 8.559-31.621 0-14.899-2.655-25.675-7.965-32.332-5.23-6.657-12.522-9.987-21.873-9.987zm94.652 98.54h40.118L372.262 386.3c15.75-13.536 41.551-5.701 40.775 18.586-.933 29.23-47.271 63.068-47.271 63.068s-48.012-35.059-47.133-63.068c.751-23.953 25.222-32.485 40.758-18.604l-13.614-32.635z"}}]})(props);
};
function GiCard7Clubs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.434 36c-16.126 0-29.198 17.237-29.198 38.5v363c0 21.263 13.072 38.5 29.198 38.5h275.3c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5h-275.3zm26.832 8.408v.002h.017c13.587.01 24.442 10.853 24.442 24.442 0 5.71-2.005 10.997-5.268 15.173 1.12-.158 2.233-.31 3.397-.31 13.594 0 24.457 11.157 24.457 24.752 0 13.594-10.863 24.752-24.457 24.752-5.76 0-11.08-2.048-15.295-5.422l12.609 30.193h-40.117l12.42-29.744c-4.12 3.115-9.233 4.973-14.776 4.973-13.594 0-24.75-11.16-24.75-24.754 0-13.595 11.156-24.752 24.75-24.752 1.059 0 2.06.184 3.084.312-3.215-4.16-5.25-9.509-5.25-15.173 0-13.589 11.15-24.434 24.737-24.444zm57.668 132.246c7.766 1.982 16.166 2.973 25.2 2.973h73.938v5.467c-10.857 19.099-18.98 35.265-24.369 48.5-5.389 13.155-9.47 25.755-12.244 37.8-2.774 12.046-4.595 26.074-5.467 42.083-.792 13.234-1.546 21.435-2.26 24.605-.713 3.09-2.179 5.469-4.398 7.133-2.14 1.743-4.953 2.615-8.44 2.615-3.962 0-7.052-1.346-9.27-4.04-2.22-2.695-3.33-6.936-3.33-12.722 0-5.15.913-11.568 2.735-19.255 1.823-7.767 5.982-19.337 12.48-34.711 8.639-20.605 16.128-36.812 22.468-48.62l16.404-30.193h-64.428c-4.755 0-8.322 1.664-10.7 4.992-2.297 3.329-5.07 13.275-8.32 29.838h-8.558l8.559-56.465zm141.86 177.36h40.118l-12.611 30.191c4.215-3.374 9.533-5.42 15.293-5.42 13.594 0 24.459 11.158 24.459 24.752 0 13.595-10.865 24.752-24.46 24.752-1.163 0-2.273-.154-3.394-.312 3.263 4.176 5.266 9.464 5.266 15.175 0 13.589-10.855 24.43-24.442 24.44h-.017c-13.587-.011-24.733-10.852-24.733-24.44 0-5.665 2.031-11.015 5.247-15.175-1.024.128-2.024.312-3.082.312-13.595 0-24.752-11.157-24.752-24.752 0-13.594 11.157-24.752 24.752-24.752 5.542 0 10.653 1.856 14.773 4.97l-12.416-29.741z"}}]})(props);
};
function GiCard7Diamonds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.884 3.717h.002l47.393 58.271-47.393 58.287-47.377-58.289 47.375-58.27zm58.7 136.937c7.766 1.982 16.164 2.971 25.199 2.971h73.94v5.469c-10.858 19.099-18.981 35.265-24.37 48.5-5.389 13.155-9.47 25.755-12.244 37.8-2.774 12.046-4.595 26.074-5.467 42.083-.792 13.234-1.546 21.435-2.26 24.605-.713 3.09-2.18 5.469-4.398 7.133-2.14 1.743-4.953 2.615-8.44 2.615-3.962 0-7.052-1.346-9.271-4.04-2.219-2.695-3.328-6.937-3.328-12.722 0-5.15.91-11.568 2.732-19.255 1.823-7.767 5.984-19.337 12.483-34.711 8.638-20.605 16.127-36.812 22.466-48.62l16.405-30.193h-64.428c-4.755 0-8.322 1.664-10.7 4.992-2.297 3.329-5.07 13.275-8.32 29.838h-8.558l8.559-56.465zm160.642 175.87h.002l47.39 58.27-47.39 58.288-47.377-58.287 47.375-58.272z"}}]})(props);
};
function GiCard7Hearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.196-17.237 29.196-38.5v-363c0-21.263-13.07-38.5-29.196-38.5H119.436zm57.214 16.174c13.613-.319 26.504 9.854 27.075 28.043.976 31.09-47.74 52.945-52.313 70.015-4.997-18.649-51.413-37.573-52.45-70.015-.994-31.155 37.404-37.907 52.452-11.846 6.262-10.846 15.923-15.978 25.236-16.195v-.002zm28.368 124.48c7.766 1.982 16.166 2.973 25.2 2.973h73.938v5.467c-10.857 19.099-18.98 35.265-24.369 48.5-5.389 13.155-9.47 25.755-12.244 37.8-2.774 12.046-4.595 26.074-5.467 42.083-.792 13.234-1.546 21.435-2.26 24.605-.713 3.09-2.18 5.469-4.398 7.133-2.14 1.743-4.953 2.615-8.44 2.615-3.962 0-7.052-1.346-9.271-4.04-2.219-2.695-3.328-6.936-3.328-12.722 0-5.15.912-11.568 2.734-19.255 1.823-7.767 5.982-19.337 12.48-34.711 8.639-20.605 16.128-36.812 22.468-48.62l16.404-30.193h-64.428c-4.755 0-8.322 1.664-10.7 4.992-2.297 3.329-5.07 13.275-8.32 29.838h-8.558l8.559-56.465zm155.71 185.116c4.573 17.07 53.288 38.925 52.311 70.015-.57 18.188-13.46 28.36-27.072 28.043h-.002c-9.313-.218-18.975-5.35-25.236-16.195-15.048 26.06-53.446 19.307-52.452-11.848 1.037-32.442 47.454-51.366 52.452-70.015z"}}]})(props);
};
function GiCard7Spades (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363.002c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5V74.5c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.652 8.047s46.338 33.838 47.271 63.068c.776 24.287-25.024 32.122-40.775 18.586l13.633 32.653H126.1l13.615-32.635c-15.535 13.88-40.006 5.349-40.758-18.604-.88-28.01 47.13-63.068 47.13-63.068zm57.846 132.607c7.766 1.982 16.166 2.973 25.2 2.973h73.938v5.467c-10.857 19.099-18.98 35.265-24.369 48.5-5.389 13.155-9.468 25.757-12.242 37.802-2.774 12.046-4.597 26.072-5.469 42.08-.792 13.235-1.546 21.438-2.26 24.608-.713 3.09-2.177 5.467-4.396 7.13-2.14 1.744-4.955 2.616-8.441 2.616-3.963 0-7.053-1.346-9.272-4.04-2.219-2.695-3.328-6.935-3.328-12.72 0-5.15.912-11.57 2.734-19.257 1.823-7.767 5.982-19.337 12.48-34.711 8.639-20.605 16.128-36.812 22.468-48.62l16.404-30.193h-64.428c-4.755 0-8.322 1.664-10.7 4.992-2.297 3.329-5.07 13.275-8.32 29.838h-8.558l8.559-56.465zM345.777 353.65h40.118l-13.633 32.653c15.75-13.536 41.551-5.701 40.775 18.586-.933 29.23-47.271 63.068-47.271 63.068v-.002s-48.01-35.057-47.131-63.066c.751-23.953 25.22-32.487 40.756-18.606l-13.614-32.633z"}}]})(props);
};
function GiCard8Clubs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.832 8.408v.002h.015c13.587.01 24.442 10.853 24.442 24.442 0 5.71-2.003 10.997-5.266 15.173 1.12-.158 2.232-.31 3.396-.31 13.595 0 24.458 11.157 24.458 24.752 0 13.594-10.863 24.752-24.458 24.752-5.76 0-11.08-2.048-15.294-5.422l12.609 30.193h-40.117l12.42-29.744c-4.12 3.115-9.233 4.973-14.776 4.973-13.594 0-24.752-11.16-24.752-24.754 0-13.595 11.158-24.752 24.752-24.752 1.059 0 2.058.184 3.082.312-3.215-4.16-5.248-9.509-5.248-15.173 0-13.589 11.15-24.434 24.737-24.444zM248.63 176.533c9.906 0 18.504 1.704 25.795 5.112 7.37 3.407 12.958 8.043 16.762 13.908 3.883 5.864 5.824 12.006 5.824 18.426 0 14.898-9.392 27.3-28.174 37.207 12.68 4.596 21.834 10.619 27.46 18.068 5.627 7.37 8.44 16.285 8.44 26.746 0 12.759-4.081 23.895-12.244 33.404-10.54 12.284-25.558 18.424-45.053 18.424-17.196 0-30.788-4.12-40.773-12.361-9.985-8.321-14.977-18.663-14.977-31.026 0-9.272 2.853-17.355 8.559-24.25 5.785-6.973 15.73-12.878 29.836-17.712-20.842-8.955-31.264-22.784-31.264-41.487 0-12.125 4.676-22.546 14.028-31.263 9.43-8.797 21.358-13.196 35.78-13.196zm-.832 8.203c-10.382 0-18.465 2.536-24.25 7.608-5.785 4.992-8.678 11.53-8.678 19.613 0 8.004 2.496 14.384 7.488 19.139 5.072 4.755 17.515 10.422 37.327 17 8.32-4.755 13.908-9.431 16.761-14.028 2.853-4.675 4.28-10.778 4.28-18.306 0-9.906-2.815-17.553-8.442-22.942-5.626-5.389-13.788-8.084-24.486-8.084zm-8.797 81.07c-11.253 4.756-19.06 10.106-23.418 16.05-4.359 5.943-6.537 13.233-6.537 21.87 0 11.254 3.288 20.011 9.865 26.272 6.657 6.181 16.207 9.272 28.649 9.272 13.155 0 23.379-3.09 30.67-9.272 7.29-6.26 10.935-14.502 10.935-24.725 0-9.272-3.17-16.286-9.51-21.04-6.26-4.755-19.812-10.898-40.654-18.426zm106.793 88.206h40.117l-12.611 30.193c4.215-3.374 9.535-5.422 15.295-5.422 13.594 0 24.459 11.158 24.459 24.752 0 13.595-10.865 24.752-24.46 24.752-1.163 0-2.275-.152-3.396-.31 3.263 4.176 5.266 9.463 5.266 15.173 0 13.589-10.853 24.433-24.44 24.442h-.017c-13.588-.01-24.735-10.853-24.735-24.442 0-5.664 2.033-11.013 5.248-15.173-1.023.128-2.025.312-3.084.312-13.594 0-24.751-11.159-24.751-24.754 0-13.594 11.157-24.752 24.752-24.752 5.542 0 10.655 1.858 14.775 4.973l-12.418-29.744z"}}]})(props);
};
function GiCard8Diamonds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.884 3.717l47.393 58.27-47.393 58.286-47.375-58.287 47.375-58.27zm103.395 136.816c9.906 0 18.504 1.706 25.795 5.113 7.37 3.408 12.956 8.044 16.76 13.909 3.883 5.864 5.826 12.004 5.826 18.424 0 14.898-9.392 27.3-28.174 37.207 12.68 4.596 21.832 10.619 27.459 18.068 5.626 7.37 8.441 16.285 8.441 26.746 0 12.759-4.081 23.894-12.244 33.404-10.54 12.284-25.558 18.424-45.053 18.424-17.196 0-30.788-4.12-40.773-12.361-9.985-8.321-14.979-18.663-14.979-31.026 0-9.272 2.853-17.355 8.559-24.25 5.785-6.973 15.732-12.878 29.838-17.712-20.842-8.955-31.264-22.784-31.264-41.487 0-12.125 4.676-22.546 14.028-31.263 9.43-8.797 21.358-13.196 35.78-13.196zm-.834 8.203c-10.382 0-18.463 2.536-24.248 7.608-5.785 4.992-8.678 11.532-8.678 19.615 0 8.004 2.496 14.382 7.488 19.137 5.072 4.755 17.515 10.422 37.327 17 8.32-4.755 13.906-9.431 16.76-14.028 2.852-4.675 4.279-10.778 4.279-18.306 0-9.906-2.813-17.553-8.44-22.942-5.626-5.389-13.79-8.084-24.488-8.084zm-8.795 81.07c-11.253 4.756-19.06 10.106-23.418 16.05-4.359 5.943-6.54 13.233-6.54 21.87 0 11.254 3.29 20.011 9.868 26.272 6.657 6.181 16.207 9.272 28.649 9.272 13.155 0 23.377-3.09 30.667-9.272 7.291-6.26 10.938-14.502 10.938-24.725 0-9.272-3.17-16.286-9.51-21.04-6.26-4.755-19.812-10.898-40.654-18.426zm125.576 86.717l47.393 58.27-47.393 58.287-47.375-58.287 47.375-58.27z"}}]})(props);
};
function GiCard8Hearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm57.216 16.174c13.613-.319 26.504 9.854 27.075 28.043.976 31.09-47.74 52.945-52.313 70.015-4.997-18.649-51.413-37.573-52.45-70.015-.994-31.156 37.404-37.91 52.452-11.848 6.262-10.846 15.923-15.978 25.236-16.195zm73.063 124.361c9.906 0 18.504 1.704 25.795 5.111 7.37 3.408 12.958 8.044 16.761 13.909 3.884 5.864 5.825 12.004 5.825 18.424 0 14.898-9.392 27.3-28.174 37.207 12.68 4.596 21.834 10.619 27.46 18.068 5.628 7.37 8.44 16.287 8.44 26.748 0 12.759-4.081 23.893-12.244 33.402-10.54 12.284-25.558 18.426-45.053 18.426-17.196 0-30.788-4.121-40.773-12.363-9.985-8.321-14.977-18.663-14.977-31.026 0-9.272 2.853-17.355 8.559-24.25 5.785-6.973 15.73-12.878 29.836-17.712-20.842-8.955-31.264-22.784-31.264-41.487 0-12.125 4.676-22.546 14.028-31.263 9.43-8.797 21.358-13.194 35.78-13.194zm-.832 8.201c-10.382 0-18.465 2.536-24.25 7.608-5.785 4.992-8.678 11.532-8.678 19.615 0 8.004 2.496 14.384 7.488 19.139 5.072 4.755 17.515 10.42 37.327 16.998 8.32-4.755 13.908-9.431 16.761-14.028 2.853-4.675 4.28-10.778 4.28-18.306 0-9.906-2.815-17.553-8.442-22.942-5.626-5.389-13.788-8.084-24.486-8.084zm-8.797 81.07c-11.253 4.756-19.06 10.106-23.418 16.05-4.359 5.943-6.537 13.234-6.537 21.873 0 11.253 3.287 20.008 9.865 26.269 6.657 6.181 16.207 9.272 28.649 9.272 13.155 0 23.379-3.09 30.67-9.272 7.29-6.26 10.935-14.502 10.935-24.725 0-9.272-3.17-16.286-9.51-21.04-6.26-4.755-19.812-10.898-40.654-18.426zm120.643 95.964c4.572 17.07 53.289 38.923 52.312 70.013-.57 18.189-13.462 28.364-27.074 28.045v-.002c-9.314-.217-18.975-5.349-25.237-16.195-15.048 26.061-53.445 19.307-52.45-11.848 1.036-32.442 47.451-51.364 52.449-70.013z"}}]})(props);
};
function GiCard8Spades (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.652 8.047s46.338 33.838 47.271 63.068c.776 24.287-25.024 32.122-40.775 18.586l13.633 32.653h-40.115l13.613-32.635c-15.535 13.88-40.006 5.349-40.758-18.604-.88-28.01 47.13-63.068 47.13-63.068zm102.54 132.488c9.907 0 18.507 1.704 25.798 5.111 7.37 3.408 12.956 8.044 16.76 13.909 3.883 5.864 5.826 12.006 5.826 18.425 0 14.9-9.392 27.302-28.174 37.208 12.68 4.596 21.832 10.618 27.459 18.068 5.626 7.37 8.441 16.285 8.441 26.746 0 12.759-4.081 23.893-12.244 33.402-10.54 12.284-25.558 18.426-45.053 18.426-17.196 0-30.788-4.121-40.773-12.363-9.985-8.321-14.979-18.663-14.979-31.026 0-9.272 2.853-17.355 8.56-24.25 5.784-6.973 15.73-12.876 29.837-17.71-20.842-8.956-31.264-22.784-31.264-41.487 0-12.125 4.676-22.546 14.028-31.264 9.43-8.796 21.356-13.195 35.779-13.195zm-.831 8.203c-10.382 0-18.463 2.536-24.248 7.608-5.785 4.992-8.678 11.53-8.678 19.613 0 8.004 2.496 14.384 7.488 19.139 5.072 4.755 17.515 10.42 37.327 16.998 8.32-4.755 13.906-9.43 16.76-14.026 2.852-4.675 4.279-10.778 4.279-18.306 0-9.906-2.813-17.555-8.44-22.944-5.626-5.389-13.79-8.082-24.488-8.082zm-8.795 81.07c-11.253 4.755-19.06 10.104-23.418 16.047-4.359 5.944-6.54 13.235-6.54 21.874 0 11.253 3.29 20.01 9.868 26.271 6.657 6.181 16.207 9.271 28.649 9.271 13.155 0 23.377-3.09 30.668-9.271 7.29-6.26 10.937-14.504 10.937-24.727 0-9.272-3.17-16.284-9.51-21.039-6.26-4.754-19.812-10.897-40.654-18.425zm106.777 87.84h40.116l-13.633 32.653c15.75-13.536 41.551-5.701 40.775 18.586-.933 29.23-47.271 63.068-47.271 63.068s-48.01-35.057-47.131-63.066c.751-23.953 25.222-32.487 40.758-18.606l-13.614-32.635z"}}]})(props);
};
function GiCard9Clubs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.832 8.408v.002h.015c13.587.01 24.442 10.853 24.442 24.442 0 5.71-2.003 10.997-5.266 15.173 1.12-.158 2.232-.31 3.396-.31 13.595 0 24.458 11.157 24.458 24.752 0 13.594-10.863 24.752-24.458 24.752-5.76 0-11.08-2.048-15.294-5.422l12.609 30.193h-40.117l12.42-29.744c-4.12 3.115-9.233 4.973-14.776 4.973-13.594 0-24.752-11.16-24.752-24.754 0-13.595 11.158-24.752 24.752-24.752 1.059 0 2.058.184 3.082.312-3.215-4.16-5.248-9.509-5.248-15.173 0-13.589 11.15-24.434 24.737-24.444zm99.271 132.127c16.404 0 30.076 6.815 41.012 20.445 10.936 13.631 16.404 32.77 16.404 57.416 0 20.446-3.052 37.722-9.154 51.829-6.023 14.026-14.027 24.488-24.012 31.382-9.985 6.816-21.238 10.223-33.76 10.223-12.125 0-21.634-2.655-28.529-7.965-6.815-5.389-10.223-11.808-10.223-19.258 0-4.913 1.387-8.875 4.16-11.886 2.853-3.012 6.42-4.518 10.7-4.518 3.883 0 7.17 1.309 9.865 3.924 2.694 2.615 4.043 5.745 4.043 9.39 0 2.616-1.229 5.508-3.686 8.678-1.505 1.982-2.26 3.685-2.26 5.112 0 2.219 1.31 4.16 3.924 5.824 2.616 1.585 6.815 2.377 12.6 2.377 8.242 0 15.493-2.258 21.754-6.776 6.26-4.596 11.334-12.085 15.217-22.466 3.883-10.461 5.824-23.973 5.824-40.536l-.238-10.58c-5.151 7.767-11.174 13.632-18.069 17.594-6.894 3.883-14.62 5.824-23.18 5.824-11.887 0-22.705-4.16-32.452-12.48-9.669-8.321-14.502-20.566-14.502-36.733 0-15.77 5.35-29.162 16.048-40.177 10.778-11.095 23.615-16.643 38.514-16.643zm.357 8.559c-8.875 0-16.167 3.724-21.873 11.174-5.705 7.37-8.558 18.503-8.558 33.402 0 13.63 2.853 23.815 8.558 30.55 5.706 6.657 13.155 9.985 22.348 9.985 9.114 0 16.76-3.605 22.941-10.816 6.261-7.212 9.393-17.316 9.393-30.313 0-13.472-3.25-24.17-9.748-32.096-6.419-7.924-14.105-11.886-23.06-11.886zm99.899 168.918h40.117l-12.611 30.193c4.215-3.374 9.535-5.422 15.295-5.422 13.594 0 24.459 11.158 24.459 24.752 0 13.595-10.865 24.752-24.46 24.752-1.163 0-2.275-.152-3.396-.31 3.263 4.176 5.266 9.462 5.266 15.173 0 13.589-10.853 24.433-24.44 24.442h-.017c-13.588-.01-24.735-10.853-24.735-24.442 0-5.665 2.033-11.013 5.248-15.173-1.023.128-2.025.312-3.084.312-13.594 0-24.751-11.159-24.751-24.754 0-13.594 11.157-24.752 24.752-24.752 5.542 0 10.655 1.858 14.775 4.973l-12.418-29.744z"}}]})(props);
};
function GiCard9Diamonds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.882 3.717h.002l47.393 58.27-47.393 58.286-47.375-58.287 47.373-58.27zm100.305 136.816c16.404 0 30.074 6.817 41.01 20.447 10.936 13.631 16.404 32.768 16.404 57.415 0 20.445-3.05 37.721-9.152 51.828-6.023 14.027-14.027 24.488-24.012 31.382-9.985 6.816-21.239 10.223-33.76 10.223-12.125 0-21.634-2.653-28.529-7.963-6.815-5.389-10.225-11.808-10.225-19.258 0-4.913 1.389-8.875 4.162-11.886 2.853-3.012 6.418-4.518 10.698-4.518 3.883 0 7.173 1.307 9.867 3.922 2.694 2.615 4.04 5.745 4.04 9.39 0 2.616-1.228 5.508-3.685 8.678-1.505 1.982-2.257 3.685-2.257 5.112 0 2.219 1.306 4.162 3.921 5.826 2.616 1.585 6.817 2.377 12.602 2.377 8.242 0 15.493-2.258 21.754-6.776 6.26-4.596 11.332-12.085 15.215-22.466 3.883-10.461 5.824-23.973 5.824-40.536l-.236-10.58c-5.152 7.767-11.174 13.632-18.069 17.594-6.894 3.883-14.623 5.824-23.181 5.824-11.888 0-22.704-4.161-32.452-12.482-9.668-8.321-14.501-20.564-14.501-36.73 0-15.77 5.348-29.165 16.046-40.18 10.778-11.095 23.617-16.643 38.516-16.643zm.356 8.56c-8.876 0-16.168 3.725-21.874 11.175-5.705 7.37-8.558 18.503-8.558 33.402 0 13.63 2.853 23.815 8.558 30.55 5.706 6.657 13.157 9.985 22.35 9.985 9.114 0 16.76-3.605 22.941-10.816 6.261-7.212 9.391-17.316 9.391-30.313 0-13.472-3.248-24.17-9.746-32.096-6.42-7.924-14.107-11.886-23.062-11.886zm118.681 167.43h.002l47.393 58.27-47.393 58.287-47.377-58.287 47.375-58.27z"}}]})(props);
};
function GiCard9Hearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363.002c0 21.263 13.074 38.498 29.2 38.498h275.298c16.126 0 29.198-17.235 29.198-38.498V74.5c0-21.263-13.072-38.5-29.198-38.5H119.436zm57.214 16.174c13.613-.319 26.504 9.856 27.075 28.045.976 31.09-47.738 52.943-52.31 70.013-4.998-18.649-51.416-37.571-52.452-70.013-.995-31.156 37.403-37.91 52.451-11.848 6.262-10.846 15.925-15.978 25.238-16.195l-.002-.002zm69.973 124.361c16.404 0 30.074 6.817 41.01 20.447 10.936 13.631 16.404 32.768 16.404 57.414 0 20.446-3.05 37.722-9.152 51.829-6.023 14.026-14.027 24.488-24.012 31.382-9.985 6.816-21.239 10.223-33.76 10.223-12.125 0-21.634-2.655-28.529-7.965-6.815-5.389-10.223-11.806-10.223-19.256 0-4.913 1.387-8.877 4.16-11.888 2.853-3.012 6.418-4.516 10.698-4.516 3.883 0 7.173 1.307 9.867 3.922 2.694 2.615 4.04 5.745 4.04 9.39 0 2.616-1.226 5.508-3.683 8.678-1.505 1.982-2.26 3.685-2.26 5.112 0 2.219 1.31 4.16 3.924 5.824 2.616 1.585 6.815 2.379 12.6 2.379 8.242 0 15.493-2.258 21.754-6.776 6.26-4.596 11.332-12.085 15.215-22.466 3.883-10.461 5.826-23.975 5.826-40.538l-.238-10.578c-5.152 7.767-11.174 13.63-18.069 17.592-6.894 3.883-14.62 5.826-23.18 5.826-11.887 0-22.705-4.161-32.452-12.482-9.669-8.321-14.502-20.566-14.502-36.733 0-15.77 5.348-29.162 16.046-40.177 10.778-11.095 23.617-16.643 38.516-16.643zm.356 8.559c-8.876 0-16.166 3.724-21.872 11.174-5.705 7.37-8.558 18.505-8.558 33.404 0 13.63 2.853 23.813 8.558 30.549 5.706 6.656 13.155 9.986 22.348 9.986 9.114 0 16.76-3.607 22.941-10.818 6.261-7.212 9.393-17.316 9.393-30.313 0-13.472-3.25-24.169-9.748-32.094-6.42-7.924-14.107-11.888-23.062-11.888zm113.75 176.676c4.572 17.07 53.287 38.925 52.31 70.015-.57 18.188-13.46 28.36-27.072 28.043h-.002c-9.313-.218-18.975-5.35-25.236-16.195-15.048 26.06-53.444 19.307-52.45-11.848 1.037-32.442 47.452-51.366 52.45-70.015z"}}]})(props);
};
function GiCard9Spades (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.654 8.045s46.338 33.84 47.271 63.07c.776 24.287-25.024 32.12-40.775 18.584l13.633 32.653h-40.117l13.613-32.633c-15.535 13.88-40.006 5.347-40.758-18.606-.88-28.01 47.133-63.066 47.133-63.066v-.002zm99.45 132.49c16.403 0 30.075 6.815 41.01 20.445 10.937 13.631 16.405 32.77 16.405 57.416 0 20.446-3.052 37.722-9.154 51.829-6.023 14.026-14.027 24.486-24.012 31.38-9.985 6.816-21.238 10.225-33.76 10.225-12.125 0-21.634-2.655-28.529-7.965-6.815-5.389-10.223-11.808-10.223-19.258 0-4.913 1.387-8.875 4.16-11.886 2.853-3.012 6.42-4.518 10.7-4.518 3.883 0 7.17 1.307 9.865 3.922 2.694 2.615 4.043 5.747 4.043 9.393 0 2.615-1.229 5.507-3.686 8.677-1.505 1.982-2.257 3.685-2.257 5.112 0 2.219 1.306 4.16 3.921 5.824 2.616 1.585 6.817 2.377 12.602 2.377 8.242 0 15.491-2.258 21.752-6.776 6.26-4.596 11.334-12.085 15.217-22.466 3.883-10.461 5.824-23.973 5.824-40.536l-.238-10.58c-5.151 7.767-11.174 13.632-18.069 17.594-6.894 3.883-14.62 5.824-23.18 5.824-11.887 0-22.703-4.16-32.45-12.48-9.669-8.321-14.504-20.566-14.504-36.733 0-15.77 5.35-29.164 16.048-40.18 10.778-11.094 23.615-16.64 38.514-16.64zm.356 8.559c-8.875 0-16.167 3.724-21.873 11.174-5.705 7.37-8.558 18.503-8.558 33.402 0 13.63 2.853 23.815 8.558 30.55 5.706 6.657 13.155 9.985 22.348 9.985 9.114 0 16.762-3.605 22.943-10.816 6.261-7.212 9.391-17.316 9.391-30.313 0-13.472-3.25-24.17-9.748-32.096-6.419-7.924-14.105-11.886-23.06-11.886zm99.883 168.554h40.116l-13.633 32.653c15.75-13.536 41.551-5.701 40.775 18.586-.933 29.23-47.27 63.068-47.27 63.068s-48.011-35.059-47.132-63.068c.751-23.953 25.222-32.485 40.758-18.604l-13.614-32.635z"}}]})(props);
};
function GiCardAceClubs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.832 8.408v.002h.015c13.587.01 24.442 10.853 24.442 24.442 0 5.71-2.003 10.997-5.266 15.173 1.12-.158 2.232-.31 3.396-.31 13.595 0 24.458 11.157 24.458 24.752 0 13.594-10.863 24.752-24.458 24.752-5.76 0-11.08-2.048-15.294-5.422l12.609 30.193h-40.117l12.42-29.744c-4.12 3.115-9.233 4.973-14.776 4.973-13.594 0-24.752-11.16-24.752-24.754 0-13.595 11.158-24.752 24.752-24.752 1.059 0 2.058.184 3.082.312-3.215-4.16-5.248-9.509-5.248-15.173 0-13.589 11.15-24.434 24.737-24.444zm95.466 120.596h7.965l63.121 160.834c2.536 6.498 7.727 9.748 15.573 9.748h5.468v8.916h-70.134v-8.916h5.586c7.29 0 12.443-.792 15.455-2.377 2.06-1.11 3.09-2.813 3.09-5.111 0-1.348-.278-2.774-.833-4.28l-14.62-37.326h-69.423l-8.2 21.397c-2.14 5.705-3.212 10.222-3.212 13.55 0 3.884 1.784 7.213 5.35 9.987 3.645 2.774 8.916 4.16 15.81 4.16h5.944v8.916h-63.715v-8.916c6.815 0 12.204-1.466 16.166-4.399 3.962-3.01 7.607-8.676 10.936-16.998l59.673-149.185zm-3.447 33.879l-31.5 78.336h62.17l-30.67-78.336zm107.508 155.129h40.117l-12.611 30.193c4.215-3.374 9.535-5.422 15.295-5.422 13.594 0 24.459 11.157 24.459 24.752 0 13.595-10.865 24.752-24.46 24.752-1.163 0-2.275-.152-3.396-.31 3.263 4.176 5.266 9.462 5.266 15.173 0 13.589-10.853 24.433-24.44 24.442h-.017c-13.588-.01-24.735-10.853-24.735-24.442 0-5.665 2.033-11.013 5.248-15.173-1.023.128-2.025.312-3.084.312-13.594 0-24.751-11.159-24.751-24.754 0-13.594 11.157-24.752 24.752-24.752 5.542 0 10.655 1.858 14.775 4.973l-12.418-29.744z"}}]})(props);
};
function GiCardAceDiamonds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.884 3.717h.002l47.39 58.27-47.39 58.286-47.377-58.287 47.375-58.27zm96.5 125.287h7.963l63.121 160.834c2.536 6.498 7.727 9.748 15.573 9.748h5.468v8.916h-70.134v-8.916h5.587c7.291 0 12.442-.792 15.454-2.377 2.06-1.11 3.09-2.815 3.09-5.113 0-1.347-.278-2.774-.833-4.28l-14.62-37.324h-69.423l-8.2 21.397c-2.14 5.706-3.21 10.222-3.21 13.55 0 3.884 1.782 7.213 5.348 9.987 3.645 2.774 8.916 4.16 15.81 4.16h5.944v8.916h-63.715v-8.916c6.815 0 12.204-1.466 16.166-4.399 3.962-3.011 7.61-8.676 10.937-16.998l59.674-149.185zm-3.447 33.879l-31.502 78.336h62.17l-30.668-78.336zm126.29 153.64l47.392 58.27-47.393 58.287-47.375-58.287 47.375-58.27z"}}]})(props);
};
function GiCardAceHearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm57.214 16.174h.002c13.612-.318 26.502 9.855 27.073 28.043.976 31.09-47.738 52.945-52.31 70.015-4.998-18.649-51.414-37.573-52.45-70.015-.995-31.155 37.401-37.91 52.45-11.848 6.26-10.846 15.922-15.977 25.235-16.195zm66.17 112.83h7.963l63.121 160.834c2.536 6.498 7.727 9.748 15.573 9.748h5.468v8.916h-70.134v-8.916h5.587c7.291 0 12.442-.792 15.454-2.377 2.06-1.11 3.09-2.815 3.09-5.113 0-1.347-.278-2.774-.833-4.28l-14.62-37.324h-69.423l-8.2 21.397c-2.14 5.706-3.21 10.222-3.21 13.55 0 3.884 1.782 7.213 5.348 9.987 3.645 2.774 8.916 4.16 15.81 4.16h5.944v8.916h-63.715v-8.916c6.815 0 12.204-1.466 16.166-4.399 3.962-3.011 7.61-8.676 10.937-16.998l59.674-149.185zm-3.447 33.879l-31.502 78.336h62.17l-30.668-78.336zM360.73 361.77c4.572 17.07 53.289 38.923 52.312 70.013-.57 18.188-13.463 28.361-27.074 28.043h-.002c-9.313-.218-18.973-5.35-25.235-16.195-15.048 26.061-53.445 19.308-52.45-11.848 1.036-32.442 47.451-51.364 52.449-70.013z"}}]})(props);
};
function GiCardAceSpades (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.654 8.047s46.338 33.838 47.271 63.068c.776 24.287-25.024 32.122-40.775 18.586l13.633 32.653h-40.117l13.613-32.635c-15.535 13.88-40.006 5.349-40.758-18.604-.88-28.01 47.133-63.068 47.133-63.068zm95.646 120.957h7.963l63.121 160.834c2.536 6.498 7.727 9.748 15.573 9.748h5.468v8.916h-70.134v-8.916h5.587c7.291 0 12.442-.792 15.454-2.377 2.06-1.11 3.09-2.813 3.09-5.111 0-1.347-.278-2.774-.833-4.28l-14.62-37.326h-69.423l-8.2 21.397c-2.14 5.706-3.21 10.222-3.21 13.55 0 3.884 1.782 7.213 5.348 9.987 3.645 2.774 8.916 4.16 15.81 4.16h5.944v8.916h-63.715v-8.916c6.815 0 12.204-1.466 16.166-4.399 3.962-3.011 7.61-8.676 10.938-16.998l59.673-149.185zm-3.447 33.879l-31.502 78.338h62.17l-30.668-78.338zm107.49 154.765h40.116l-13.633 32.653c15.75-13.536 41.551-5.701 40.775 18.586-.933 29.23-47.27 63.068-47.27 63.068s-48.011-35.058-47.132-63.068c.751-23.953 25.222-32.485 40.758-18.604l-13.614-32.635z"}}]})(props);
};
function GiCardBurn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M280.693 64.92c-5.164-.024-11.614 1.387-18.687 6.205-55.605 39.039-112.172 76.494-169.584 112.826-10.2 6.621-9.75 16.6 1.017 22.27l128.75 67.761c5.384 2.835 22.414 2.056 32.614-4.564l169.834-110.232c10.199-6.622 9.75-16.598-1.014-22.268-44.669-23.51-85.78-45.116-130.578-68.865 0 0-4.803-3.099-12.352-3.133zm6.416 27.547l-13.504 69.37 113.612-14.685-2.84 15.22-113.773 14.878-13.672 70.232-25.643 3.53 13.838-70.43-117.033 15.305 3.205-15.655 116.865-15.105 13.668-69.565 25.277-3.095zm41.246 146.324l-65.74 42.674c-14.563 9.45-37.135 10.479-52.5 2.389L175.29 265.53l-87.236 41.375c-10.983 5.203-10.69 12.999.66 17.354l121.242 46.617v.006c11.35 4.368 29.494 3.66 40.477-1.535l166.992-79.196c10.985-5.194 10.68-12.996-.664-17.353l-88.405-34.008zm93.614 65.094l-165.393 78.44c-14.544 6.88-36.751 7.734-51.775 1.958L83.81 337.76c-6.4 4.962-4.722 11.122 4.902 14.812l121.242 46.625h.002c11.349 4.363 29.494 3.663 40.477-1.533l166.992-79.193c8.922-4.218 10.398-10.162 4.543-14.586zm0 28.318l-165.393 78.44c-14.544 6.874-36.751 7.729-51.775 1.959L83.81 366.078c-6.4 4.963-4.722 11.125 4.902 14.815l121.242 46.625h.002c11.349 4.362 29.494 3.66 40.477-1.534l166.992-79.2c8.922-4.22 10.398-10.165 4.543-14.58zm-.002 28.32l-165.393 78.434c-14.544 6.88-36.75 7.735-51.773 1.959L83.81 394.4c-6.4 4.96-4.721 11.119 4.902 14.809l121.242 46.623v-.002c11.35 4.37 29.494 3.663 40.477-1.533l166.994-79.193c8.922-4.22 10.396-10.164 4.54-14.58zm-3.871 30.153l-161.522 76.6c-14.544 6.88-36.75 7.737-51.773 1.96L87.924 424.293c-10.853 5.201-10.52 12.949.789 17.289l121.24 46.62h.002c11.35 4.366 29.492 3.66 40.475-1.534l166.996-79.193c10.534-4.98 10.684-12.363.67-16.8z"}}]})(props);
};
function GiCardDiscard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M150.79 479.797l-85.27-185.08c-3.13-6.79-.15-14.862 6.634-17.993l129.163-59.51c6.783-3.12 14.862-.15 17.987 6.646l85.283 185.067c3.13 6.802.15 14.863-6.646 18L168.79 486.43c-6.795 3.144-14.868.15-18-6.633zm26.17-69.31l15.318-44.522 44.522 15.32 7.66-22.253-44.523-15.318 15.325-44.522-22.252-7.66-15.325 44.516-44.515-15.324-7.66 22.258 44.516 15.324-15.324 44.522zm106.07-211.05c47.9-85.625-53.11-105.304-102.586-62.593l-38.9 51.353C105.95 210 97.853 175.98 109.226 158.424l54.106-73.515 97.158-52.146c7.108-5.2 17.838-8.133 32.767-8.445l194.467 1.463.866 112.044-107.304-7.725c1.818 43.394-42.734 53.08-66.683 106.905l-13.813 46.38c-30.217-10.16-41.29-34.367-17.76-83.95zm-129.828-3.077l39.046-51.33c12.434-10.477 29.51-17.675 46.92-17.375-15.264 16.008-20.158 25.557-23.475 39.046-8 19.775-17.74 29.69-30.366 23.296-10.712 10.322-21.412 14.87-32.125 6.364z"}}]})(props);
};
function GiCardDraw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M209.955 488.202l-121.242-46.62c-11.308-4.34-11.643-12.087-.79-17.288L204.8 469.236c15.024 5.777 37.23 4.92 51.774-1.96l161.522-76.6c10.014 4.436 9.864 11.818-.67 16.798L250.43 486.668c-10.983 5.195-29.128 5.902-40.477 1.534zm0-32.37L88.713 409.21C79.09 405.52 77.41 399.36 83.81 394.4l120.99 46.517c15.024 5.776 37.23 4.92 51.774-1.96l165.393-78.433c5.855 4.417 4.38 10.36-4.542 14.58l-166.993 79.193c-10.983 5.196-29.128 5.903-40.477 1.534zm0-28.314L88.713 380.892c-9.624-3.69-11.302-9.85-4.902-14.813l120.99 46.523c15.024 5.77 37.23 4.914 51.774-1.96l165.393-78.438c5.855 4.416 4.38 10.36-4.542 14.58l-166.993 79.2c-10.983 5.194-29.128 5.895-40.477 1.533zm0-28.32L88.713 352.572c-9.624-3.69-11.302-9.85-4.902-14.812l120.99 46.524c15.024 5.776 37.23 4.92 51.774-1.96l165.393-78.44c5.855 4.424 4.38 10.368-4.542 14.586l-166.993 79.194c-10.983 5.196-29.128 5.897-40.477 1.534zm0-28.32L88.713 324.26c-11.35-4.355-11.643-12.15-.66-17.353l87.236-41.376 34.826 18.323c15.365 8.09 37.937 7.06 52.5-2.39l65.74-42.672 88.404 34.007c11.344 4.357 11.65 12.16.665 17.354l-166.993 79.195c-10.983 5.195-29.128 5.902-40.477 1.534zm6.85-99.73L93.44 206.22c-10.767-5.67-11.217-15.647-1.018-22.268l105.11-68.228h25.845l.015 64.962h58.664v-64.962H332.2l-27.487-41.39 118.91 62.584c10.763 5.67 11.212 15.646 1.013 22.268L254.803 269.418c-10.2 6.62-27.23 7.4-37.997 1.73zm21.637-105.523V100.67h-34.845l49.13-79.74 49.12 79.74H267v64.955h-28.558z"}}]})(props);
};
function GiCardExchange (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.148 20.822c-1.112.008-2.226.026-3.343.055-39.32 1.041-81.507 15.972-123.785 50.404l-6.028 4.91-5.732-5.25c-12.644-11.578-20.276-27.633-25.653-43.716-8.974 36.98-14.631 81.385-9.232 114.523 18.065.908 45.409-2.177 73.7-7.818 17.858-3.561 36.048-8.126 53.064-13.072-13.419-2.911-25.896-6.882-38.143-12.082l-16.088-6.832 14.906-9.127c46.367-28.393 80.964-40.686 120.235-35.553 33.105 4.327 69.357 20.867 119.066 47.271-25.373-36.314-62.243-64.737-104.728-76.994-15.402-4.443-31.553-6.828-48.239-6.719zM346 116c-46.667 0-46.666 0-46.666 46.666V349.4c0 9.596.007 17.19.414 23.242a664.804 664.804 0 0 1 50.656-12.223c24.649-4.915 48.367-8.224 67.916-8.41 6.517-.062 12.571.224 18.041.912l6.31.793 1.358 6.213c2.464 11.265 3.673 23.447 3.914 36.059 38.032-.19 38.057-3.06 38.057-46.65V162.665C486 116 486 116 439.334 116a226.98 226.98 0 0 1 3.978 7.64l12.624 25.536-25.004-13.648c-13.085-7.143-25.164-13.632-36.452-19.528zm-281.943.016c-38.032.19-38.057 3.06-38.057 46.65V349.4C26 396 26 396 72.666 396a226.98 226.98 0 0 1-3.978-7.64l-12.624-25.536 25.004 13.649c13.085 7.142 25.164 13.632 36.452 19.527H166c46.667 0 46.666 0 46.666-46.666V162.666c0-9.626-.006-17.24-.416-23.304a664.811 664.811 0 0 1-50.654 12.22c-32.865 6.554-64.077 10.25-85.957 7.498l-6.31-.793-1.358-6.213c-2.464-11.265-3.673-23.446-3.914-36.058zm354.619 254.078c-17.543.25-40.826 3.206-64.75 7.977-17.859 3.56-36.05 8.125-53.065 13.072 13.419 2.91 25.896 6.881 38.143 12.082l16.088 6.832-14.906 9.127c-46.367 28.392-80.964 40.685-120.235 35.553-33.105-4.327-69.357-20.868-119.066-47.272 25.373 36.315 62.243 64.738 104.728 76.994 52.573 15.166 113.872 6.343 175.367-43.74l6.028-4.91 5.732 5.25c12.644 11.579 20.276 27.633 25.653 43.717 8.974-36.981 14.631-81.386 9.232-114.524-2.788-.14-5.748-.204-8.95-.158z"}}]})(props);
};
function GiCardJackClubs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.832 8.408v.002h.015c13.587.01 24.442 10.853 24.442 24.442 0 5.71-2.003 10.997-5.266 15.173 1.12-.158 2.232-.312 3.396-.312 13.595 0 24.458 11.16 24.458 24.754 0 13.594-10.863 24.752-24.458 24.752-5.76 0-11.08-2.048-15.294-5.422l12.609 30.191h-40.117l12.42-29.742c-4.12 3.115-9.233 4.973-14.776 4.973-13.594 0-24.752-11.162-24.752-24.756 0-13.595 11.158-24.75 24.752-24.75 1.059 0 2.058.184 3.082.312-3.215-4.16-5.248-9.509-5.248-15.173 0-13.589 11.15-24.434 24.737-24.444zm80.966 124.28h77.743v8.916H293.92c-4.359 0-7.489.791-9.39 2.376-1.823 1.585-2.735 3.884-2.735 6.895v113.998c0 8.797-2.139 16.762-6.418 23.895-4.28 7.053-10.54 12.678-18.781 16.878-8.242 4.121-17.554 6.182-27.936 6.182-14.106 0-25.637-4.121-34.592-12.363-8.955-8.321-13.433-18.463-13.433-30.43 0-8.876 2.26-15.97 6.777-21.28 4.517-5.309 10.063-7.964 16.64-7.964 5.39 0 9.828 1.744 13.315 5.23 3.487 3.408 5.23 7.767 5.23 13.077 0 4.596-1.426 8.48-4.279 11.65-2.853 3.09-6.142 4.635-9.867 4.635-1.426 0-3.407-.395-5.943-1.188-2.14-.634-3.566-.95-4.28-.95-1.347 0-2.416.554-3.208 1.663-.872 1.11-1.31 2.773-1.31 4.992 0 5.944 2.973 11.372 8.917 16.286 6.023 4.834 13.392 7.252 22.11 7.252 9.905 0 17.711-3.408 23.417-10.223 5.706-6.895 8.559-16.484 8.559-28.768V186.875c0-3.09-1.07-5.389-3.21-6.895-2.06-1.585-5.624-2.376-10.696-2.376h-15.573v-8.917zm118.56 185.324h40.118l-12.611 30.193c4.215-3.374 9.535-5.422 15.295-5.422 13.594 0 24.459 11.158 24.459 24.752 0 13.595-10.865 24.752-24.46 24.752-1.163 0-2.275-.152-3.396-.31 3.263 4.176 5.266 9.462 5.266 15.173 0 13.589-10.853 24.433-24.44 24.442h-.017c-13.588-.01-24.735-10.853-24.735-24.442 0-5.665 2.033-11.013 5.248-15.173-1.023.128-2.025.312-3.084.312-13.594 0-24.751-11.159-24.751-24.754 0-13.594 11.157-24.752 24.752-24.752 5.542 0 10.655 1.858 14.775 4.973l-12.418-29.744z"}}]})(props);
};
function GiCardJackDiamonds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.884 3.717l47.393 58.27-47.393 58.286-47.375-58.287 47.375-58.27zm81.996 128.972h77.743v8.915h-11.055c-4.359 0-7.489.793-9.39 2.378-1.823 1.585-2.735 3.883-2.735 6.895v113.998c0 8.797-2.139 16.76-6.418 23.893-4.28 7.053-10.541 12.68-18.783 16.88-8.242 4.121-17.552 6.182-27.934 6.182-14.106 0-25.637-4.121-34.592-12.363-8.955-8.321-13.433-18.465-13.433-30.432 0-8.876 2.258-15.968 6.775-21.277 4.517-5.31 10.065-7.965 16.643-7.965 5.389 0 9.827 1.744 13.314 5.23 3.487 3.408 5.23 7.767 5.23 13.077 0 4.596-1.426 8.478-4.279 11.648-2.853 3.09-6.142 4.637-9.867 4.637-1.426 0-3.407-.397-5.943-1.19-2.14-.634-3.566-.95-4.28-.95-1.347 0-2.418.556-3.21 1.665-.872 1.11-1.307 2.773-1.307 4.992 0 5.944 2.972 11.372 8.916 16.286 6.023 4.834 13.392 7.251 22.11 7.251 9.905 0 17.711-3.409 23.417-10.224 5.706-6.895 8.559-16.482 8.559-28.766V186.877c0-3.09-1.07-5.389-3.21-6.895-2.06-1.585-5.626-2.378-10.698-2.378h-15.573v-8.915zm137.346 183.834l47.393 58.27-47.393 58.287-47.375-58.287 47.375-58.27z"}}]})(props);
};
function GiCardJackHearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm57.214 16.174h.002c13.612-.318 26.502 9.855 27.073 28.043.976 31.09-47.738 52.945-52.31 70.015-4.998-18.649-51.414-37.573-52.45-70.015-.995-31.155 37.401-37.909 52.45-11.848 6.26-10.845 15.922-15.977 25.235-16.195zm51.666 116.515h77.743v8.915h-11.055c-4.359 0-7.489.793-9.39 2.378-1.823 1.585-2.735 3.883-2.735 6.895v113.998c0 8.797-2.139 16.76-6.418 23.893-4.28 7.053-10.541 12.68-18.783 16.88-8.242 4.121-17.552 6.182-27.934 6.182-14.106 0-25.637-4.121-34.592-12.363-8.955-8.321-13.433-18.465-13.433-30.432 0-8.876 2.258-15.968 6.775-21.277 4.517-5.31 10.065-7.965 16.643-7.965 5.389 0 9.827 1.744 13.314 5.23 3.487 3.408 5.23 7.767 5.23 13.077 0 4.596-1.426 8.478-4.279 11.648-2.853 3.09-6.142 4.637-9.867 4.637-1.426 0-3.407-.397-5.943-1.19-2.14-.634-3.566-.95-4.28-.95-1.347 0-2.416.554-3.208 1.663-.872 1.11-1.31 2.775-1.31 4.994 0 5.944 2.973 11.372 8.917 16.286 6.023 4.834 13.392 7.25 22.11 7.25 9.905 0 17.711-3.408 23.417-10.223 5.706-6.895 8.559-16.484 8.559-28.768v-112.57c0-3.09-1.07-5.389-3.21-6.895-2.06-1.585-5.626-2.378-10.698-2.378h-15.573v-8.915zM360.73 361.77c4.572 17.071 53.289 38.924 52.312 70.014-.57 18.189-13.462 28.362-27.074 28.043-9.314-.217-18.975-5.349-25.237-16.195-15.048 26.061-53.445 19.307-52.45-11.848 1.036-32.442 47.451-51.364 52.449-70.013z"}}]})(props);
};
function GiCardJackSpades (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.654 8.047s46.336 33.838 47.27 63.068c.775 24.287-25.025 32.12-40.776 18.584l13.633 32.653h-40.115l13.613-32.633c-15.535 13.88-40.006 5.347-40.758-18.606-.88-28.01 47.133-63.066 47.133-63.066zm81.142 124.642h77.743v8.916H293.92c-4.359 0-7.489.792-9.39 2.377-1.823 1.585-2.735 3.883-2.735 6.895v113.998c0 8.797-2.139 16.76-6.418 23.893-4.28 7.053-10.541 12.68-18.783 16.88-8.242 4.121-17.552 6.182-27.934 6.182-14.106 0-25.637-4.121-34.592-12.363-8.955-8.321-13.433-18.465-13.433-30.432 0-8.876 2.258-15.968 6.775-21.277 4.517-5.31 10.065-7.965 16.643-7.965 5.389 0 9.827 1.744 13.314 5.23 3.487 3.408 5.23 7.767 5.23 13.077 0 4.596-1.426 8.478-4.279 11.648-2.853 3.09-6.142 4.637-9.867 4.637-1.426 0-3.407-.397-5.943-1.19-2.14-.634-3.566-.95-4.28-.95-1.347 0-2.416.556-3.208 1.665-.872 1.11-1.31 2.773-1.31 4.992 0 5.944 2.973 11.372 8.917 16.286 6.023 4.834 13.392 7.251 22.11 7.251 9.905 0 17.711-3.409 23.417-10.224 5.706-6.895 8.559-16.482 8.559-28.766V186.877c0-3.09-1.07-5.389-3.21-6.895-2.06-1.585-5.626-2.377-10.698-2.377h-15.573v-8.916zM345.78 353.65h40.116L372.262 386.3c15.75-13.536 41.551-5.701 40.775 18.586-.933 29.23-47.271 63.068-47.271 63.068s-48.01-35.059-47.131-63.068c.751-23.953 25.222-32.485 40.758-18.604l-13.614-32.635z"}}]})(props);
};
function GiCardJoker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5zm26.369 10.951l11.002 32.856 34.648.312-27.848 20.617 10.41 33.05-28.212-20.114-28.215 20.113L128 100.736 100.152 80.12l34.649-.312zM363.979 161.84c7.127 9.459 12.739 20.689 16.832 32.04 3.8 10.544 6.197 21.211 6.668 31.02-.163 19.015-3.915 23.274-14.557 36.934l-6.703-11.48c-10.85-13.106-30.779-48.4-47.383-43.672-6.521 6.11-8.996 13.37-10.313 20.802 2.898 8.8 4.477 18.43 4.477 28.516 0 15.293-3.615 29.54-9.996 41.416 22.643 4.537 57.927 19.332 57.973 39.223-.27 3.783-1.835 7.68-4.362 10.42-10.743 12.528-36.958 4.125-45.2 10.072.796 6.947 4.112 14.118 4.355 20.174.136 4.36-1.768 10.58-6.508 13.996-5.67 4.087-12.968 4.551-18.52 3.045C279.94 392.226 272 379.649 256 377c-13.544 3.491-22.412 13.87-34.742 17.346-5.552 1.506-12.85 1.042-18.52-3.045-4.74-3.417-6.644-9.636-6.508-13.996-.058-7.142 4.107-13.794 4.356-20.174-15.741-7.788-33.816 1.97-45.201-10.072-2.527-2.74-4.093-6.637-4.362-10.42 6.146-27.341 35.374-34.684 57.973-39.223C202.615 285.54 199 271.293 199 256c0-11.489 2.047-22.385 5.764-32.135-2.357-7.923-3.441-15.988-9.438-22.441-8.758-.925-14.079 6.897-17.842 12.63-11.683 19.5-18.718 30.606-32.88 46.192-16.604-23.4-19.314-49.29-13.157-70.988 6.065-20.331 19.17-38.798 37.926-47.924 21.216-9.766 39.872-10.03 58.885.203 5.163-13.053 10.4-25.65 18.035-36.209 9.625-13.31 23.8-25.631 43.707-25.295 38.8.656 73.993 51.156 73.979 81.807zm-72.22-63.893c-35.759 2.409-44.771 44.746-55.189 71.29l-9.447-7.087c-18.428-12.31-31.076-13.732-49.875-4.63-12.924 6.288-23.701 20.62-28.553 36.882-3.38 11.329-3.765 23.225-.949 33.645 9.45-13.549 15.806-30.08 28.317-39.178 7.486-7.975 26.27-8.498 35.45 3.897 4.838 7.02 7.437 14.54 9.5 22.234h72.165c.592-1.944 1.067-3.762 2.017-6.033 2.956-7.064 7.765-16.266 18.395-19.504 18.09-3.862 32.494 7.106 43.498 18.514 4.517 4.717 8.492 9.696 12.098 14.517-.69-6.798-2.477-14.651-5.31-22.508-13.127-36.707-37.889-51.031-70.386-32.011 2.556-16.423 16.87-35.72 46.25-26.962-9.094-17.135-30.355-42.471-47.98-43.066zM220.644 233c-2.31 6.965-3.643 14.753-3.643 23 0 15.85 4.892 30.032 12.26 39.855C236.628 305.68 245.988 311 256 311c10.012 0 19.372-5.32 26.74-15.145C290.108 286.032 295 271.85 295 256c0-8.247-1.334-16.035-3.643-23zM232 280h48s-8 14-24 14-24-14-24-14zm-11.14 33.566c-13.86 3.34-50.369 8.9-51.842 21.42 9.621 1.947 20.446.838 28.998 2.235 5.993 1.018 12.82 3.323 17.285 9.517 3.375 4.683 3.577 10.103 3.037 14.21-.543 5.89-3.317 10.557-3.975 16.32 15.955-2.59 28.264-17.532 41.637-18.268 16-.702 29.313 17.402 41.637 18.268-.893-5.59-3.262-11.158-3.975-16.32-.54-4.107-.338-9.527 3.037-14.21 4.465-6.194 11.292-8.5 17.285-9.517 9.742-2.229 19.975.396 28.998-2.235-5.77-13.125-39.813-19.454-51.841-21.42C281.665 323.01 269.45 329 256 329c-13.452 0-25.665-5.991-35.14-15.434zm117.122 64.649l28.213 20.113 28.215-20.113L384 411.264l27.848 20.617-34.649.312-11.004 32.856-11.002-32.856-34.648-.312 27.848-20.617z"}}]})(props);
};
function GiCardKingClubs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.832 8.408v.002h.015c13.587.01 24.442 10.853 24.442 24.442 0 5.71-2.003 10.997-5.266 15.173 1.12-.158 2.232-.31 3.396-.31 13.595 0 24.458 11.157 24.458 24.752 0 13.594-10.863 24.752-24.458 24.752-5.76 0-11.08-2.048-15.294-5.422l12.609 30.193h-40.117l12.42-29.744c-4.12 3.115-9.233 4.973-14.776 4.973-13.594 0-24.752-11.16-24.752-24.754 0-13.595 11.158-24.752 24.752-24.752 1.059 0 2.059.184 3.082.312-3.215-4.16-5.248-9.509-5.248-15.173 0-13.589 11.15-24.434 24.737-24.444zM159.95 168.69h80.358v8.916H223.19c-3.645 0-6.458.95-8.44 2.852-1.98 1.902-2.972 4.32-2.972 7.252v81.664l66.213-70.728c3.804-4.121 5.705-8.004 5.705-11.649 0-2.774-1.308-5.032-3.924-6.775-2.615-1.744-6.894-2.616-12.837-2.616h-4.873v-8.916h72.154v8.916h-5.586c-4.834 0-10.145 1.427-15.93 4.28s-11.133 6.815-16.047 11.886l-40.773 42.438 58.367 86.062c3.25 4.835 6.617 8.282 10.104 10.342 3.486 1.981 7.608 2.973 12.363 2.973h6.418v8.916h-79.287v-8.916h9.033c6.577 0 10.936-.555 13.076-1.664 2.219-1.11 3.328-2.496 3.328-4.16 0-1.506-.475-3.012-1.426-4.518l-48.5-71.324-27.578 29.6v43.27c0 2.693.792 4.674 2.377 5.942 2.536 1.902 5.548 2.854 9.035 2.854h17.118v8.916H159.95v-8.916h15.453c3.963 0 6.895-.792 8.797-2.377 1.902-1.664 2.854-3.805 2.854-6.42V186.4c0-2.773-1.072-4.912-3.211-6.418-2.14-1.585-5.745-2.377-10.817-2.377h-13.076v-8.916zm185.844 185.323h40.117l-12.611 30.193c4.215-3.374 9.534-5.422 15.295-5.422 13.594 0 24.459 11.158 24.459 24.752 0 13.595-10.865 24.752-24.46 24.752-1.163 0-2.275-.152-3.396-.31 3.263 4.176 5.266 9.462 5.266 15.173 0 13.589-10.853 24.433-24.44 24.442h-.017c-13.588-.01-24.735-10.853-24.735-24.442 0-5.665 2.033-11.013 5.248-15.173-1.023.128-2.025.312-3.084.312-13.594 0-24.751-11.159-24.751-24.754 0-13.594 11.157-24.752 24.752-24.752 5.542 0 10.655 1.858 14.775 4.973l-12.418-29.744z"}}]})(props);
};
function GiCardKingDiamonds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.884 3.717l47.393 58.27-47.393 58.286-47.375-58.287 47.375-58.27zm14.715 128.972h80.358v8.916h-17.118c-3.645 0-6.458.95-8.44 2.852-1.98 1.902-2.972 4.32-2.972 7.252v81.664l66.213-70.728c3.804-4.121 5.705-8.004 5.705-11.649 0-2.774-1.308-5.032-3.924-6.775-2.615-1.744-6.894-2.616-12.837-2.616h-4.874v-8.916h72.155v8.916h-5.586c-4.834 0-10.145 1.427-15.93 4.28s-11.133 6.815-16.047 11.886l-40.773 42.438 58.367 86.062c3.25 4.835 6.617 8.282 10.104 10.342 3.486 1.981 7.608 2.973 12.363 2.973h6.418v8.914H264.93v-8.914h9.033c6.577 0 10.936-.555 13.076-1.664 2.219-1.11 3.328-2.496 3.328-4.16 0-1.506-.475-3.012-1.426-4.518l-48.5-71.324-27.578 29.6v43.27c0 2.693.792 4.674 2.377 5.942 2.536 1.902 5.549 2.854 9.035 2.854h17.118v8.914h-80.358v-8.914h15.453c3.963 0 6.895-.792 8.797-2.377 1.902-1.664 2.854-3.805 2.854-6.42V186.4c0-2.773-1.072-4.912-3.211-6.418-2.14-1.585-5.745-2.377-10.817-2.377h-13.076v-8.916zm204.627 183.834l47.393 58.27-47.393 58.287-47.375-58.287 47.375-58.27z"}}]})(props);
};
function GiCardKingHearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm57.214 16.174h.002c13.612-.318 26.502 9.855 27.073 28.043.976 31.09-47.738 52.945-52.31 70.015-4.998-18.649-51.414-37.573-52.45-70.015-.995-31.156 37.401-37.91 52.45-11.848 6.26-10.846 15.922-15.977 25.235-16.195zm-15.615 116.515h80.358v8.916h-17.118c-3.645 0-6.458.95-8.44 2.852-1.98 1.902-2.972 4.32-2.972 7.252v81.664l66.213-70.728c3.804-4.121 5.705-8.004 5.705-11.649 0-2.774-1.308-5.032-3.924-6.775-2.615-1.744-6.894-2.616-12.837-2.616h-4.874v-8.916h72.155v8.916h-5.586c-4.834 0-10.145 1.427-15.93 4.28s-11.133 6.815-16.047 11.886l-40.773 42.438 58.367 86.062c3.25 4.835 6.617 8.282 10.104 10.342 3.486 1.981 7.608 2.973 12.363 2.973h6.418v8.914H264.93v-8.914h9.033c6.577 0 10.936-.555 13.076-1.664 2.219-1.11 3.328-2.496 3.328-4.16 0-1.506-.475-3.012-1.426-4.518l-48.5-71.324-27.578 29.6v43.27c0 2.693.792 4.674 2.377 5.942 2.536 1.902 5.549 2.854 9.035 2.854h17.118v8.914h-80.358v-8.914h15.453c3.963 0 6.895-.792 8.797-2.377 1.902-1.664 2.854-3.805 2.854-6.42V186.4c0-2.773-1.072-4.912-3.211-6.418-2.14-1.585-5.745-2.377-10.817-2.377h-13.076v-8.916zM360.73 361.77c4.572 17.071 53.289 38.924 52.312 70.014-.57 18.188-13.463 28.361-27.074 28.043h-.002c-9.313-.218-18.973-5.35-25.235-16.195-15.048 26.061-53.445 19.308-52.45-11.848 1.036-32.442 47.451-51.364 52.449-70.013z"}}]})(props);
};
function GiCardKingSpades (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.654 8.047s46.336 33.837 47.27 63.068c.775 24.287-25.025 32.122-40.776 18.586l13.633 32.653h-40.115l13.613-32.635c-15.535 13.88-40.006 5.347-40.758-18.606-.88-28.01 47.133-63.066 47.133-63.066zm13.861 124.642h80.358v8.916H223.19c-3.645 0-6.458.95-8.44 2.852-1.98 1.902-2.972 4.32-2.972 7.252v81.664l66.213-70.728c3.804-4.121 5.705-8.004 5.705-11.649 0-2.774-1.308-5.032-3.924-6.775-2.615-1.744-6.894-2.616-12.837-2.616h-4.873v-8.916h72.154v8.916h-5.586c-4.834 0-10.145 1.427-15.93 4.28s-11.133 6.815-16.047 11.886l-40.773 42.438 58.367 86.062c3.25 4.835 6.617 8.282 10.104 10.342 3.486 1.981 7.608 2.973 12.363 2.973h6.418v8.914h-79.287v-8.914h9.033c6.577 0 10.936-.555 13.076-1.664 2.219-1.11 3.328-2.496 3.328-4.16 0-1.506-.475-3.012-1.426-4.518l-48.5-71.324-27.578 29.6v43.27c0 2.693.792 4.674 2.377 5.942 2.536 1.902 5.548 2.854 9.035 2.854h17.118v8.914H159.95v-8.914h15.453c3.963 0 6.895-.792 8.797-2.377 1.902-1.664 2.854-3.805 2.854-6.42V186.4c0-2.773-1.072-4.912-3.211-6.418-2.14-1.585-5.745-2.377-10.817-2.377h-13.076v-8.916zM345.78 353.65h40.116L372.262 386.3c15.75-13.536 41.551-5.701 40.775 18.586-.933 29.23-47.271 63.068-47.271 63.068s-48.01-35.059-47.131-63.068c.751-23.953 25.222-32.484 40.758-18.604l-13.614-32.635z"}}]})(props);
};
function GiCardPick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M331.088 488.95l-101.23-47.053c-6.698-3.122-9.62-11.094-6.503-17.815l71.63-154.11c3.117-6.71 11.1-9.624 17.804-6.508l101.23 47.066c6.71 3.115 9.62 11.088 6.51 17.797l-71.64 154.11c-3.12 6.714-11.098 9.618-17.802 6.514zM86.8 472.134L19.596 316.04c-2.927-6.797.218-14.686 7.004-17.607l33.275-14.328 41.578 156.25c3.99 14.937 19.32 23.84 34.267 19.864l33.14-8.823-64.445 27.752c-6.798 2.92-14.687-.22-17.614-7.017zm28.774-35.535L71.87 272.362c-1.905-7.152 2.362-14.498 9.502-16.398l28.89-7.683-3.475 25.864c-2.06 15.313 8.68 29.423 24.01 31.488l67.774 9.135-27.586 92.934c-2.845 9.578-.313 19.486 5.83 26.472l-44.847 11.926c-7.146 1.906-14.493-2.35-16.393-9.5zm92.055-4.043l-13.603-4.042c-7.1-2.112-11.14-9.565-9.034-16.664l48.364-162.92c2.112-7.1 9.577-11.14 16.658-9.04l41.667 12.38.006-.006.112.035-.118-.03c-4.19 2.76-7.677 6.68-9.937 11.547L210.1 417.944c-2.194 4.733-2.96 9.772-2.47 14.61zm-4.846-131.957l-70.033-9.44c-7.328-.992-12.48-7.743-11.494-15.078l22.695-168.43c.987-7.33 7.75-12.48 15.06-11.496l110.65 14.912c7.322.99 12.48 7.748 11.488 15.07l-13.96 103.622-13.02-3.866c-14.828-4.408-30.412 4.066-34.808 18.878l-16.576 55.828zm253.322-8.668l-7.253-15.94 37.418-16.98 7.23 15.95-37.394 16.97zm-9.353-27.805l-32.792-72.222c11.484-2.738 22.354-7.624 32.026-14.41l32.726 72.133-31.96 14.5zm-83.41-88.155c-41.006-16.174-61.152-62.585-44.977-103.603 16.18-40.993 62.603-61.15 103.603-44.977 41.01 16.18 61.15 62.604 44.982 103.62-16.187 40.995-62.604 61.147-103.61 44.96zm86.378-51.78c12.434-31.488-3.038-67.135-34.55-79.563-31.493-12.427-67.14 3.045-79.58 34.544-12.427 31.5 3.05 67.16 34.557 79.58 31.5 12.43 67.146-3.043 79.574-34.56zm-30.106-16.96c1.96-22.547-12.634-42.758-33.676-48.653 3.86-.732 7.9-.956 12.014-.602 24.27 2.1 42.292 23.492 40.197 47.768-2.078 23.94-22.914 41.79-46.766 40.274 15.366-6.48 26.702-21.03 28.23-38.787z"}}]})(props);
};
function GiCardPickup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M272.824 24.318c-14.929.312-25.66 3.246-32.767 8.446L142.899 84.91l-54.106 73.514C77.42 175.98 85.518 210 121.112 188.197l38.9-51.351c49.476-42.711 150.484-23.032 102.586 62.591-23.53 49.582-12.457 73.79 17.76 83.95l13.812-46.381c23.95-53.825 68.502-63.51 66.684-106.905l107.303 7.725-.866-112.045zm-54.09 103.338c-17.41-.3-34.485 6.898-46.92 17.375l-39.044 51.33c10.713 8.506 21.413 3.959 32.125-6.363 12.626 6.394 22.365-3.522 30.365-23.297 3.317-13.489 8.21-23.037 23.475-39.045zm-32.617 88.324a13.49 13.49 0 0 0-5.232 1.235l-129.164 59.51c-6.784 3.13-9.763 11.202-6.633 17.992l85.27 185.08c3.132 6.783 11.205 9.779 18 6.635l129.15-59.504c6.796-3.137 9.777-11.198 6.647-18L198.87 223.86c-2.343-5.097-7.473-8.043-12.754-7.88zm-29.767 50.06c7.794.113 14.913 2.053 21.092 5.847 10.758 6.604 18.63 20.93 19.644 35.754.698 10.184-1.712 17.837-12.553 39.873-3.879 7.885-5.634 15.27-5.072 21.355.46 4.973.786 5.855 3.639 9.844l3.135 4.38-1.754.98c-.965.538-7.097 3.1-13.627 5.693-6.918 2.746-12.316 4.496-12.934 4.193-.583-.286-2.352-2.62-3.931-5.188-7.525-12.227-7.225-27.53.878-44.627 6.655-14.04 8.47-19.966 7.952-25.974-.815-9.44-6.743-16.478-14.834-17.617-6.021-.848-10.668.553-18.912 5.703-8.298 5.183-13.941 10.708-19.055 18.656-1.8 2.797-3.407 5.053-3.57 5.014-.164-.04-3.206-7.256-6.758-16.037l-6.46-15.967 3.23-3.666c5.809-6.598 11.758-11.166 22.226-17.065 13.44-7.573 26.273-11.314 37.664-11.15zm33.308 133.048c6.463.125 12.18 3.215 15.7 8.963 4.296 7.015 4.185 13.838-.334 20.752-2.89 4.42-8.953 8.313-15.04 9.654-15.132 3.335-28.038-9.343-23.726-23.307 1.817-5.885 5.325-9.937 11.273-13.02 4.104-2.125 8.25-3.117 12.127-3.042z"}}]})(props);
};
function GiCardPlay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M272.824 24.318c-14.929.312-25.66 3.246-32.767 8.446L142.898 84.91l-54.105 73.514C77.42 175.98 85.517 210 121.111 188.197l38.9-51.351c49.476-42.711 150.485-23.032 102.587 62.591-23.53 49.582-12.457 73.79 17.76 83.95l13.812-46.381c23.949-53.825 68.502-63.51 66.684-106.904l107.302 7.724-.865-112.045-194.467-1.463zm-54.09 103.338c-17.41-.3-34.486 6.898-46.92 17.375l-39.044 51.33c10.713 8.506 21.413 3.96 32.125-6.363 12.626 6.394 22.365-3.522 30.365-23.297 3.317-13.489 8.21-23.037 23.474-39.045zm-32.617 88.324a13.49 13.49 0 0 0-5.232 1.235L51.72 276.725c-6.784 3.13-9.763 11.202-6.633 17.992l85.27 185.08c3.131 6.783 11.204 9.779 18 6.635l129.15-59.504c6.796-3.137 9.776-11.198 6.646-18L198.871 223.86c-2.344-5.097-7.474-8.043-12.754-7.88z"}}]})(props);
};
function GiCardQueenClubs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.832 8.408v.002h.015c13.587.01 24.442 10.853 24.442 24.442 0 5.71-2.003 10.997-5.266 15.173 1.12-.158 2.232-.31 3.396-.31 13.595 0 24.458 11.157 24.458 24.752 0 13.594-10.863 24.752-24.458 24.752-5.76 0-11.08-2.048-15.294-5.422l12.609 30.193h-40.117l12.42-29.744c-4.12 3.115-9.233 4.973-14.776 4.973-13.594 0-24.752-11.16-24.752-24.754 0-13.595 11.158-24.752 24.752-24.752 1.059 0 2.058.184 3.082.312-3.215-4.16-5.248-9.509-5.248-15.173 0-13.589 11.15-24.434 24.737-24.444zm98.558 120.596c14.978 0 28.647 3.804 41.01 11.412 12.363 7.529 22.27 18.385 29.719 32.57 7.449 14.106 11.174 29.916 11.174 47.43 0 16.008-2.933 30.274-8.797 42.795-5.785 12.521-14.898 23.972-27.34 34.353 1.268 3.25 2.654 7.688 4.16 13.315 2.774 10.54 5.429 17.394 7.965 20.564 2.536 3.17 5.428 4.754 8.678 4.754 3.011 0 5.586-1.703 7.726-5.111 2.219-3.329 3.408-8.914 3.567-16.76h7.132c-.079 14.265-2.854 24.764-8.322 31.5-5.468 6.736-12.6 10.106-21.396 10.106-8.163 0-14.82-3.29-19.971-9.868-5.072-6.498-8.44-19.018-10.104-37.562-4.438 1.11-8.717 1.941-12.838 2.496-4.12.555-8.044.832-11.77.832-14.74 0-28.37-3.804-40.892-11.412-12.442-7.687-22.346-18.663-29.716-32.928-7.291-14.344-10.938-30.51-10.938-48.5 0-25.518 8.283-47.31 24.846-65.379 15.057-16.404 33.76-24.607 56.107-24.607zm.356 9.035c-9.827 0-18.663 2.773-26.508 8.32-7.766 5.548-13.869 14.226-18.307 26.034-4.358 11.728-6.537 27.698-6.537 47.906 0 14.264 1.307 26.507 3.922 36.73 2.615 10.223 6.697 19.93 12.244 29.123-.158-3.645-.238-6.576-.238-8.795 0-9.826 3.132-17.91 9.392-24.25 6.34-6.34 14.621-9.51 24.844-9.51 10.302 0 18.94 3.448 25.914 10.342 5.23 5.23 10.144 14.304 14.74 27.221 4.28-8.083 7.41-16.839 9.391-26.27 1.981-9.43 2.97-21.24 2.97-35.425 0-19.97-2.178-35.74-6.536-47.31-4.359-11.65-10.501-20.248-18.426-25.796-7.925-5.547-16.88-8.32-26.865-8.32zm-1.545 114.83c-7.45 0-13.552 2.378-18.307 7.133-4.755 4.755-7.13 10.895-7.13 18.424 0 7.45 2.93 14.503 8.794 21.16 5.627 2.457 11.532 3.685 17.713 3.685 4.755 0 9.231-.594 13.432-1.783a46.815 46.815 0 0 0 11.888-5.23c-.158-14.265-2.021-24.606-5.588-31.026-4.517-8.241-11.451-12.363-20.802-12.363zm102.158 65.143h40.117l-12.611 30.193c4.215-3.374 9.535-5.422 15.295-5.422 13.594 0 24.459 11.158 24.459 24.752 0 13.595-10.865 24.752-24.46 24.752-1.163 0-2.275-.152-3.396-.31 3.263 4.176 5.266 9.462 5.266 15.173 0 13.589-10.853 24.433-24.44 24.442h-.017c-13.588-.01-24.735-10.853-24.735-24.442 0-5.665 2.033-11.013 5.248-15.173-1.023.128-2.025.312-3.084.312-13.594 0-24.751-11.159-24.751-24.754 0-13.594 11.157-24.752 24.752-24.752 5.542 0 10.655 1.858 14.775 4.973l-12.418-29.744z"}}]})(props);
};
function GiCardQueenDiamonds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.884 3.717h.002l47.393 58.271-47.393 58.287-47.377-58.289 47.375-58.27zm99.59 125.287c14.978 0 28.65 3.804 41.012 11.412 12.363 7.529 22.267 18.387 29.717 32.572 7.45 14.106 11.175 29.916 11.175 47.43 0 16.008-2.932 30.272-8.796 42.793-5.786 12.521-14.9 23.972-27.342 34.353 1.268 3.25 2.656 7.688 4.162 13.315 2.774 10.54 5.427 17.394 7.963 20.564 2.536 3.17 5.428 4.756 8.678 4.756 3.01 0 5.586-1.703 7.726-5.111 2.22-3.329 3.408-8.916 3.566-16.762h7.133c-.079 14.265-2.852 24.766-8.32 31.502-5.468 6.736-12.602 10.104-21.398 10.104-8.163 0-14.82-3.29-19.971-9.868-5.072-6.498-8.44-19.018-10.104-37.562-4.438 1.11-8.717 1.941-12.838 2.496-4.12.555-8.042.832-11.767.832-14.74 0-28.372-3.804-40.893-11.412-12.442-7.687-22.348-18.663-29.718-32.928-7.291-14.344-10.936-30.51-10.936-48.5 0-25.518 8.28-47.31 24.844-65.379 15.057-16.404 33.76-24.607 56.107-24.607zm.358 9.035c-9.827 0-18.663 2.773-26.508 8.32-7.767 5.548-13.87 14.226-18.307 26.034-4.359 11.728-6.539 27.698-6.539 47.906 0 14.264 1.309 26.507 3.924 36.73 2.615 10.223 6.697 19.933 12.244 29.125-.158-3.645-.238-6.578-.238-8.797 0-9.826 3.13-17.91 9.39-24.25 6.34-6.34 14.621-9.51 24.844-9.51 10.302 0 18.94 3.448 25.914 10.342 5.23 5.23 10.144 14.304 14.74 27.221 4.28-8.083 7.41-16.839 9.391-26.27 1.981-9.43 2.973-21.238 2.973-35.423 0-19.97-2.179-35.743-6.537-47.313-4.359-11.65-10.501-20.247-18.426-25.795-7.925-5.547-16.88-8.32-26.865-8.32zm-1.545 114.83c-7.45 0-13.552 2.378-18.307 7.133-4.755 4.755-7.133 10.897-7.133 18.426 0 7.45 2.933 14.501 8.797 21.158 5.627 2.457 11.53 3.685 17.711 3.685 4.755 0 9.233-.594 13.434-1.783a46.804 46.804 0 0 0 11.886-5.23c-.158-14.265-2.02-24.606-5.586-31.026-4.517-8.241-11.451-12.363-20.802-12.363zm120.94 63.654h.001l47.39 58.272-47.39 58.287-47.377-58.289 47.375-58.27z"}}]})(props);
};
function GiCardQueenHearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm57.214 16.174h.002c13.612-.318 26.502 9.855 27.073 28.043.976 31.09-47.738 52.945-52.31 70.015-4.998-18.649-51.414-37.573-52.45-70.015-.995-31.156 37.401-37.91 52.45-11.848 6.26-10.846 15.922-15.977 25.235-16.195zm69.26 112.83c14.978 0 28.647 3.804 41.01 11.412 12.363 7.529 22.27 18.385 29.719 32.57 7.449 14.106 11.173 29.916 11.173 47.43 0 16.008-2.932 30.274-8.796 42.795-5.786 12.521-14.898 23.972-27.34 34.353 1.268 3.25 2.654 7.688 4.16 13.315 2.774 10.54 5.429 17.394 7.965 20.564 2.536 3.17 5.428 4.754 8.678 4.754 3.01 0 5.586-1.703 7.726-5.111 2.219-3.329 3.408-8.914 3.566-16.76h7.133c-.079 14.265-2.854 24.764-8.322 31.5-5.468 6.736-12.6 10.106-21.396 10.106-8.163 0-14.82-3.29-19.971-9.868-5.072-6.498-8.44-19.018-10.104-37.562-4.438 1.11-8.717 1.941-12.838 2.496-4.12.555-8.044.832-11.77.832-14.74 0-28.37-3.804-40.892-11.412-12.442-7.687-22.346-18.663-29.716-32.928-7.291-14.344-10.936-30.51-10.936-48.5 0-25.518 8.28-47.31 24.844-65.379 15.057-16.404 33.76-24.607 56.107-24.607zm.358 9.035c-9.827 0-18.665 2.773-26.51 8.32-7.767 5.548-13.869 14.226-18.307 26.034-4.358 11.728-6.537 27.698-6.537 47.906 0 14.264 1.307 26.507 3.922 36.73 2.615 10.223 6.697 19.93 12.244 29.123-.158-3.645-.238-6.576-.238-8.795 0-9.826 3.132-17.91 9.392-24.25 6.34-6.34 14.621-9.51 24.844-9.51 10.302 0 18.94 3.448 25.914 10.342 5.23 5.23 10.144 14.304 14.74 27.221 4.28-8.083 7.41-16.839 9.391-26.27 1.981-9.43 2.973-21.24 2.973-35.425 0-19.97-2.18-35.74-6.54-47.31-4.358-11.65-10.5-20.248-18.425-25.796-7.925-5.547-16.878-8.32-26.863-8.32zm-1.547 114.83c-7.45 0-13.552 2.378-18.307 7.133-4.755 4.755-7.13 10.895-7.13 18.424 0 7.45 2.932 14.503 8.796 21.16 5.627 2.457 11.53 3.685 17.711 3.685 4.755 0 9.232-.594 13.432-1.783a46.815 46.815 0 0 0 11.888-5.23c-.158-14.265-2.021-24.606-5.588-31.026-4.517-8.241-11.451-12.363-20.802-12.363zm116.008 72.9c4.572 17.071 53.289 38.924 52.312 70.014-.57 18.189-13.464 28.364-27.076 28.045l.002-.002c-9.314-.217-18.975-5.349-25.237-16.195-15.048 26.061-53.445 19.307-52.45-11.848 1.036-32.442 47.451-51.364 52.449-70.013z"}}]})(props);
};
function GiCardQueenSpades (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.436 36c-16.126 0-29.2 17.237-29.2 38.5v363c0 21.263 13.074 38.5 29.2 38.5h275.298c16.126 0 29.198-17.237 29.198-38.5v-363c0-21.263-13.072-38.5-29.198-38.5H119.436zm26.654 8.045s46.336 33.84 47.27 63.07c.775 24.287-25.025 32.12-40.776 18.584l13.633 32.653h-40.115l13.613-32.633c-15.535 13.88-40.006 5.347-40.758-18.606-.88-28.01 47.133-63.066 47.133-63.066v-.002zm98.736 120.959c14.978 0 28.647 3.804 41.01 11.412 12.363 7.529 22.27 18.385 29.719 32.57 7.449 14.106 11.174 29.916 11.174 47.43 0 16.008-2.933 30.274-8.797 42.795-5.785 12.521-14.898 23.972-27.34 34.353 1.268 3.25 2.654 7.688 4.16 13.315 2.774 10.54 5.429 17.394 7.965 20.564 2.536 3.17 5.428 4.754 8.678 4.754 3.011 0 5.586-1.703 7.726-5.111 2.219-3.329 3.408-8.914 3.567-16.76h7.132c-.079 14.265-2.854 24.764-8.322 31.5-5.468 6.736-12.6 10.106-21.396 10.106-8.163 0-14.82-3.29-19.971-9.868-5.072-6.498-8.44-19.018-10.104-37.562-4.438 1.11-8.717 1.941-12.838 2.496-4.12.555-8.044.832-11.77.832-14.74 0-28.37-3.804-40.892-11.412-12.442-7.687-22.346-18.663-29.716-32.928-7.291-14.344-10.936-30.51-10.936-48.5 0-25.518 8.28-47.31 24.844-65.379 15.057-16.404 33.76-24.607 56.107-24.607zm.356 9.035c-9.827 0-18.663 2.773-26.508 8.32-7.766 5.548-13.869 14.226-18.307 26.034-4.358 11.728-6.537 27.698-6.537 47.906 0 14.264 1.307 26.507 3.922 36.73 2.615 10.223 6.697 19.93 12.244 29.123-.158-3.645-.238-6.576-.238-8.795 0-9.826 3.132-17.91 9.392-24.25 6.34-6.34 14.621-9.51 24.844-9.51 10.302 0 18.94 3.448 25.914 10.342 5.23 5.23 10.144 14.304 14.74 27.221 4.28-8.083 7.41-16.839 9.391-26.27 1.981-9.43 2.973-21.24 2.973-35.425 0-19.97-2.18-35.74-6.54-47.31-4.358-11.65-10.5-20.248-18.425-25.796-7.925-5.547-16.88-8.32-26.865-8.32zm-1.545 114.83c-7.45 0-13.552 2.378-18.307 7.133-4.755 4.755-7.13 10.895-7.13 18.424 0 7.45 2.932 14.503 8.796 21.16 5.627 2.457 11.53 3.685 17.711 3.685 4.755 0 9.232-.594 13.432-1.783a46.814 46.814 0 0 0 11.888-5.23c-.158-14.265-2.021-24.606-5.588-31.026-4.517-8.241-11.451-12.363-20.802-12.363zm102.142 64.78h40.116L372.262 386.3c15.75-13.536 41.551-5.701 40.775 18.586-.933 29.23-47.271 63.068-47.271 63.068s-48.01-35.059-47.131-63.068c.751-23.953 25.222-32.484 40.758-18.604l-13.614-32.635z"}}]})(props);
};
function GiCardRandom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M386.688 487.75l-119.236-55.423c-7.898-3.673-11.334-13.065-7.66-20.976l84.374-181.523c3.667-7.904 13.07-11.334 20.963-7.667l119.24 55.434c7.9 3.673 11.33 13.065 7.656 20.964l-84.37 181.524c-3.678 7.904-13.076 11.334-20.968 7.667zM98.95 467.945L19.79 284.09c-3.448-8.007.255-17.302 8.25-20.744l39.196-16.872 48.975 184.044c4.694 17.588 22.755 28.078 40.36 23.39l39.032-10.386-75.907 32.686c-8.007 3.443-17.296-.255-20.744-8.262zm33.89-41.86L81.362 232.638c-2.24-8.42 2.78-17.078 11.19-19.312l34.033-9.052-4.098 30.465c-2.422 18.036 10.224 34.652 28.285 37.087l79.828 10.758-32.497 109.467c-3.345 11.28-.37 22.948 6.866 31.18l-52.82 14.05c-8.42 2.24-17.07-2.77-19.31-11.196zm108.428-4.76l-16.02-4.76c-8.36-2.49-13.12-11.267-10.644-19.627l56.97-191.9c2.484-8.36 11.28-13.12 19.622-10.65l49.073 14.583.008-.005.12.044-.133-.034c-4.93 3.254-9.04 7.868-11.705 13.605l-84.38 181.53c-2.587 5.586-3.486 11.517-2.915 17.218zm-5.707-155.43l-82.486-11.117c-8.633-1.166-14.704-9.12-13.538-17.758l26.73-198.39c1.16-8.633 9.125-14.698 17.74-13.538l130.327 17.563c8.627 1.166 14.692 9.125 13.532 17.752L311.42 182.46l-15.33-4.552c-17.467-5.197-35.826 4.784-41.004 22.232l-19.525 65.755zm-5.19-31.46c4.67-3.055 7.474-7.438 8.42-13.145.936-5.633-.357-10.617-3.866-14.945-3.51-4.414-8.39-7.14-14.656-8.178-6.344-1.057-11.93-.073-16.75 2.956-4.826 3.03-7.692 7.316-8.615 12.87-.898 5.386.425 10.42 3.97 15.082 3.565 4.504 8.525 7.285 14.863 8.34 6.35 1.057 11.893.062 16.634-2.98zm25.978-81.243c4.693-2.726 8.888-5.434 12.598-8.117 3.703-2.684 6.915-5.586 9.635-8.725 2.72-3.13 4.967-6.573 6.733-10.307 1.76-3.74 3.048-8.032 3.85-12.865 1.262-7.62 1.02-14.358-.735-20.234-1.75-5.87-4.693-10.94-8.833-15.22-4.135-4.27-9.24-7.753-15.318-10.43-6.07-2.684-12.804-4.633-20.174-5.86-7.692-1.28-15.3-1.602-22.815-.977-7.516.614-14.63 2.247-21.346 4.88l-5.95 35.802c6.813-4.25 13.77-7.104 20.855-8.567 7.09-1.475 13.726-1.7 19.913-.668 21.467 4.092 19.44 24.898 8.76 34.03-5.652 4.473-11.334 8.802-15.942 11.345-10.48 5.914-27.69 23.125-22.542 45.145l31.284 5.202c-7.11-17.757 11.663-29.462 20.028-34.434z"}}]})(props);
};
function GiCardboardBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M185.424 52.607L30.404 130.04l55.375 55.317 155.017-77.43-55.373-55.32zm141.152 0l-55.373 55.32 155.018 77.43 55.376-55.316-155.02-77.433zM256 120.45l-9 4.497v142.715l9 4.496 9-4.496V124.947l-9-4.496zM86.482 207.605l-57.59 71.917 139.545 77.45 72.358-72.286-154.313-77.08zm339.036 0l-154.313 77.08 72.358 72.287 139.544-77.45-57.59-71.916zM247 303.93l-75.436 75.36-78.562-43.6v44.058L247 456.67V303.93zm18 0v152.74l153.998-76.922v-44.06l-78.562 43.603L265 303.93z"}}]})(props);
};
function GiCargoCrane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M306.875 18.22c-.47-.002-.935.014-1.406.03-.158.005-.313.024-.47.03-1.583.056-3.176.204-4.78.47-3.61.597-7.01 1.7-10.158 3.22L49.595 120.062c-.918.42-1.808.877-2.688 1.343-.598.318-1.2.63-1.78.97-13.697 7.67-22.918 21.836-24.188 37.655-.058.635-.094 1.27-.125 1.907-.363 7.292.943 14.76 4.156 21.844 10.908 24.058 39.464 34.588 64.25 23.407l.093-.03L321.375 90.968l.156-.095.158-.063c19.685-8.925 28.3-31.436 19.656-50.5-6.28-13.85-19.92-22.07-34.47-22.093zm.28 18.718c8.924.308 16.542 6.77 18.064 15.968 1.737 10.51-5.208 20.23-15.72 21.97-10.512 1.738-20.2-5.21-21.938-15.72-1.738-10.51 5.208-20.23 15.72-21.968 1.313-.218 2.6-.295 3.874-.25zM354 86.656c-5.762 8.854-14.006 16.267-24.28 21-.108.05-.206.108-.314.156l-16.47 8.25 57.533 97.907c7.09-11.768 19.637-19.107 33.06-19.845 1.59-.087 3.18-.07 4.783.03L354 86.656zM67.906 135.03c.484-.005.96.015 1.438.032 13.393.478 24.876 10.217 27.156 24 2.606 15.75-7.873 30.426-23.625 33.032-15.752 2.606-30.426-7.906-33.03-23.656-2.607-15.75 7.903-30.395 23.655-33 1.477-.245 2.955-.387 4.406-.407zm60.188 73.595l-16.813 8.438 7.814 21.625-50.78-8.22-.064-.187c-7.272-.066-14.432-1.293-21.22-3.593l59.5 163.344-.405.783.75.187 16.906 46.406c4.612-4.79 9.704-9.125 15.22-12.875l-10.28-28.217 51.624 12.562h.03c3.962-.504 8-.78 12.095-.78 2.655 0 5.272.128 7.874.342l-72.25-199.812zm277.437 4.094c-.365 0-.73.012-1.092.03-8.72.434-16.66 5.983-19.844 14.78-4.244 11.733 1.706 24.414 13.437 28.657 11.733 4.244 24.445-1.705 28.69-13.437 4.243-11.734-1.707-24.412-13.44-28.656-2.565-.93-5.186-1.376-7.75-1.375zm39.158 9.81c2.728 8.395 2.806 17.714-.407 26.595-.456 1.264-.994 2.497-1.56 3.688l27.936 5-4.375 51.25-19.405 11.562 9.563 16.063 23.53-14.032 4.126-2.437.406-4.783 6.313-73.937.937-10.78-2.03.124-45.033-8.313zm-80.094 12.376l-44 26.78-.094.033v.03l-.063.03.157.158 4.47 9.5 31.498 67.187 2.032 4.344 4.72.874 26.905 5 3.436-18.375-22.22-4.126-21.467-45.813 26.842-16.186c-7.77-7.738-12.248-18.393-12.218-29.438zM75.656 250.594l35.156 5.687-18.593 39.845-16.564-45.53zm52.406 12.906l18.344 50.78-37.812-9.06 19.47-41.72zm-26.093 59.344l35.31 8.47-19.03 36.31-16.28-44.78zm52.968 15.03l18.093 49.97-39.28-9.53 21.188-40.44zm37.53 88.907c-39.29 0-71.475 29.325-76.062 67.345h22.5c4.46-25.5 26.83-45.03 53.563-45.03 26.73 0 49.074 19.53 53.53 45.03h22.5c-4.587-38.02-36.74-67.344-76.03-67.344zm0 41c-16.555 0-30.22 11.145-34.312 26.345h68.594c-4.092-15.2-17.725-26.344-34.28-26.344z"}}]})(props);
};
function GiCargoCrate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 16v89h9c14.9 0 23 11.7 23.8 23.6.4 6-1.2 11.5-4.7 15.4-3.5 4-9.1 7-19.1 7-5 0-11.1-2.8-15.6-7.4-4.6-4.5-7.4-10.6-7.4-15.6h-18c0 11 5.2 20.9 12.6 28.4 7.5 7.4 17.4 12.6 28.4 12.6 14 0 25.4-5 32.5-13 7.2-8.1 10-18.6 9.3-28.6-1.2-17.5-13.4-35.18-32.8-39.42V16h-18zm-47.9 140.5L61.34 247h32.7l114.86-75.5-9.8-15zm113.8 0l-9.8 15L418 247h32.6l-137.7-90.5zM41 265v222h430V265H41zm38 23h18v176H79V288zm48 0h18v176h-18V288zm48 0h18v176h-18V288zm48 0h18v176h-18V288zm48 0h18v176h-18V288zm48 0h18v176h-18V288zm48 0h18v176h-18V288zm48 0h18v176h-18V288z"}}]})(props);
};
function GiCargoShip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M80 23v18h23v14h18V41h23V23zm-8.2 50L42.38 279H135V144.5H95.5v-49H135V73zM185 137v46h78v-46zm96 0v46h78v-46zm96 0v46h78v-46zm-192 64v46h78v-46zm96 0v46h78v-46zm96 0v46h78v-46zm-192 64v46h78v-46zm96 0v46h19.3l32-32H359v-14zm96 0v14h78v-14zM27.22 297l24.11 108.5C76.75 398.1 105.7 391 128 391c24.2 0 46.2 8.6 67.2 16.6 21 8 41 15.4 60.8 15.4 19.8 0 39.8-7.4 60.8-15.4 19-7.2 38.9-15 60.5-16.4l-44.1-14.7 5.6-17 36.2 12V345h-17v-18h17v-30h-35.3l-32 32H154.4l-16-32zM393 297v30h17v18h-17v26.5l36.2-12 5.6 17-44 14.7c12.1.7 25.7 3.1 39.4 6.2 5.4-7.1 10.8-15.3 16.1-24 14.9-24.9 28.2-53.9 36.8-76.4zM128 407c-24.2 0-56.26 8.3-83.09 16.4-10.02 3-19.26 6-26.91 8.7v19c8.36-3 19.57-6.7 32.11-10.5C76.28 432.7 108.2 425 128 425c19.8 0 39.8 7.4 60.8 15.4s43 16.6 67.2 16.6c24.2 0 46.2-8.6 67.2-16.6 21-8 41-15.4 60.8-15.4 19.8 0 51.7 7.7 77.9 15.6 12.5 3.8 23.7 7.5 32.1 10.5v-19c-7.7-2.6-16.9-5.7-26.9-8.7-26.8-8.1-58.9-16.4-83.1-16.4-24.2 0-46.2 8.6-67.2 16.6-21 8-41 15.4-60.8 15.4-19.8 0-39.8-7.4-60.8-15.4S152.2 407 128 407zm0 36c-24.2 0-56.26 8.3-83.09 16.4-10.02 3-19.26 6-26.91 8.7v19c8.36-3 19.57-6.7 32.11-10.5C76.28 468.7 108.2 461 128 461c19.8 0 39.8 7.4 60.8 15.4s43 16.6 67.2 16.6c24.2 0 46.2-8.6 67.2-16.6 21-8 41-15.4 60.8-15.4 19.8 0 51.7 7.7 77.9 15.6 12.5 3.8 23.7 7.5 32.1 10.5v-19c-7.7-2.6-16.9-5.7-26.9-8.7-26.8-8.1-58.9-16.4-83.1-16.4-24.2 0-46.2 8.6-67.2 16.6-21 8-41 15.4-60.8 15.4-19.8 0-39.8-7.4-60.8-15.4S152.2 443 128 443z"}}]})(props);
};
function GiCarillon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M385.094 18.03l4.25 37.814h-.22l3.063 27.343h.22L438.25 492.25h66.563V364.344L427.156 18.03h-42.062zm-296.625.095L10.812 364.47v127.905h66.562L123.25 83.187h.03l3.064-27.343h-.03l4.217-37.72H88.47zm56.718 37.72l-3.063 27.343h105.75v32c-10.452 4.037-17.97 14.21-17.97 26 0 4.962 1.337 9.633 3.657 13.687-9.215 3.742-16.44 10.183-23.375 19.97-12.268 17.314-22.33 46.215-33.406 87.56-9.713 36.27-23.063 54.097-32.81 66.908-9.75 12.81-15.285 19-15.282 40.03 0 3.104 1.746 6.535 7.78 10.938 6.036 4.405 15.845 8.82 28.126 12.408 24.56 7.173 58.89 11.304 94.594 11.312 35.703.008 70.067-4.083 94.625-11.25 12.278-3.583 22.092-8.004 28.125-12.406 6.032-4.402 7.75-7.86 7.75-10.97-.004-21.03-5.53-27.217-15.282-40.03-9.75-12.813-23.118-30.638-32.844-66.906-11.087-41.35-21.13-70.242-33.406-87.563-7.51-10.597-15.365-17.26-25.72-20.844 2.032-3.853 3.19-8.22 3.19-12.843 0-12.21-8.035-22.717-19.063-26.437V83.187h106.812l-3.063-27.343H145.188zM257.78 132c5.17 0 9.158 4.017 9.158 9.188 0 5.17-3.987 9.156-9.157 9.156s-9.155-3.986-9.155-9.156S252.61 132 257.78 132zm9.75 35.25c29.084 10.748 41.874 57.507 49.283 89.406 15.208 65.5 48.59 77.5 48.53 110.188-2.848 2.364-7.698 5.03-13.75 7.156-7.64 2.684-16.88 4.66-25.812 6.094 3.806-40.826-29.81-52.602-29.31-104.594.522-54.635-14.517-90.058-33.658-106.938 1.63-.302 3.2-.736 4.72-1.312zm17.345 254.78c-8.423.444-17.01.66-25.688.658-7.31-.002-14.548-.182-21.687-.5.75 12.437 11.06 22.28 23.688 22.28 12.683.003 23.022-9.923 23.687-22.437z"}}]})(props);
};
function GiCarnivalMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M411.37 124.355c3.16 13.036 3.345 25.696 1.355 37.852-19.596 15.54-40.52 28.885-59.733 38.029l-1.36-.457c24.217-19.204 45.7-42.1 59.737-75.424zm-310.74 0c14.039 33.324 35.521 56.22 59.737 75.424-.455.154-.908.305-1.36.457-19.212-9.144-40.136-22.488-59.732-38.03-1.99-12.155-1.805-24.815 1.356-37.85zm367.022 11.137c-2.128 12.273-5.158 25.783-8.697 38.996C435.647 198.164 409.74 207.91 384 207.91c-1.774 0-3.725-.191-5.824-.53 31.882-17.768 64.556-43.5 89.476-71.888zm-423.304 0c24.92 28.389 57.594 54.12 89.476 71.889-2.099.338-4.05.529-5.824.529-25.74 0-51.647-9.745-74.955-33.422-3.539-13.213-6.57-26.723-8.697-38.996zm453.25 17.885c-7.066 35.468-21.193 73.969-43.196 106.25C421.706 307.597 372.623 373.844 304 368c-16 0-32-64-48-64s-32 64-48 64c-68.623 5.844-117.706-60.404-150.402-108.373-22.003-32.281-36.13-70.782-43.196-106.25C45.948 203.484 86.801 225.91 128 225.91c21.913 0 39.477-12.627 61.64-18.28 11.082-2.825 21.409-3.978 30.04-2.163 8.01 1.683 20.862 5.71 36.32 14.517 15.458-8.806 28.31-12.834 36.32-14.517 8.631-1.815 18.958-.662 30.04 2.164 22.163 5.652 39.727 18.279 61.64 18.279 41.2 0 82.052-22.426 113.598-72.533zm-147.244 95.535c-28.264-.086-62.951 5.168-62.346 12.435 5.812 69.834 97.853 16 97.976-3.693.039-6.125-16.292-8.683-35.63-8.742zm-188.708 0c-19.338.059-35.669 2.617-35.63 8.742.123 19.694 92.164 73.527 97.976 3.693.605-7.267-34.082-12.521-62.346-12.435zm251.292 107.597a256.804 256.804 0 0 0 14.63 6.62c16.182 6.737 35.272 12.676 56.069 16.693-5.14 1.657-10.72 3.207-17.07 4.342-19.914 3.559-44.712 4.621-69.042 2.095-12.442-1.291-24.758-3.542-36.261-6.787 18.97-4.771 36.193-12.712 51.673-22.963zm-313.875 0c15.48 10.251 32.702 18.192 51.673 22.963-11.503 3.245-23.82 5.496-36.261 6.787-24.33 2.526-49.128 1.464-69.041-2.095-6.352-1.135-11.93-2.685-17.07-4.342 20.796-4.017 39.886-9.956 56.068-16.693a256.8 256.8 0 0 0 14.63-6.62z"}}]})(props);
};
function GiCarnivoreMouth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M35.344 47.063c3.72 50.664 10.165 99.533 100.28 92.656-2.466-81.82-50.998-87.873-100.28-92.657zm412.094 8.78l-4.188 84.938c66.643-15.697 37.995-78.956 4.188-84.936zM285.875 170.47c-.567-.002-1.14.013-1.72.06-1.54.13-3.135.45-4.75.907-12.91 3.67-26.198 18.925-24.5 39.125.694 8.22 11.438 30.375 22.44 48.094 4.454 7.176 8.508 13.076 12.186 18.47 2.647-6.54 5.605-13.978 8.69-22.688 3.656-10.332 7.185-21.38 9.467-31.125 2.283-9.746 3.055-18.44 2.438-22.188-2.44-14.78-7.734-22.812-13.063-26.813-3.497-2.625-7.216-3.837-11.187-3.843zm68.72 2.25c-3.975-.05-7.713 1.114-11.22 3.686-5.345 3.92-10.69 11.883-13.25 26.625-.65 3.734.05 12.412 2.25 22.19 2.2 9.776 5.617 20.9 9.188 31.28 3.017 8.774 5.967 16.262 8.562 22.844 3.72-5.338 7.776-11.18 12.28-18.28 11.138-17.554 22.068-39.538 22.845-47.752v-.062c1.868-20.184-11.325-35.658-24.22-39.5-1.61-.48-3.178-.79-4.717-.938-.578-.055-1.152-.086-1.72-.093zm75.686 18.75c-.54-.02-1.09-.005-1.624.03-1.424.094-2.836.37-4.22.844-5.527 1.89-11.996 7.37-17.436 20.625-1.08 2.63-2.367 13.09-2.156 25.343.21 12.252 1.36 26.844 2.812 40.75 1.258 12.043 2.666 22.74 3.938 31.937 4.414-5.49 8.972-11.096 14.28-18.063 14.252-18.7 29.51-41.82 32.095-50.03 5.855-18.6-3.784-38.863-16-47.157-4.01-2.72-7.91-4.156-11.69-4.28zm-219.436 3.31c-3.782.075-7.695 1.464-11.72 4.126-12.262 8.112-22.052 28.226-16.343 46.906 1.13 3.7 5.977 12.356 12.564 21.657 6.586 9.3 14.868 19.74 22.937 29.436 6.238 7.496 11.668 13.632 16.814 19.47.62-9.29 1.314-19.916 1.78-31.97.55-14.162.813-28.992.376-41.5-.437-12.508-2.057-23.222-3.28-26.28-5.332-13.334-11.754-18.905-17.282-20.876-1.383-.493-2.795-.793-4.22-.906-.533-.043-1.084-.073-1.624-.063zm-66.375 32.407c-2.453.017-5.087.63-7.94 1.875-11.406 4.987-22.748 20.613-20.686 37.188.77 6.195 10.784 23.992 21.062 37.813 3.69 4.96 6.898 8.8 10.063 12.687 2.096-5.953 4.4-12.534 6.78-20.28 2.916-9.493 5.668-19.585 7.375-28.345 1.703-8.74 2.02-16.468 1.47-19.125-.002-.006 0-.025 0-.03-2.577-12.177-7.183-17.677-11.345-20.032-2.083-1.18-4.33-1.767-6.78-1.75zm24.155 121.282c-3.992 2.06-7.825 3.972-12.53 6.655-14.032 8-29.33 19.6-32.157 24.344-7.848 13.17-3.97 30.466 3.812 38.78 3.89 4.157 7.944 5.888 12.25 5.438 4.306-.45 10.18-3.32 16.906-12.72v-.03c1.37-1.912 4.006-8.585 5.813-16.688 1.806-8.103 3.206-17.8 4.25-27 .805-7.108 1.236-13.094 1.655-18.78zm223.844 5.686c-.895 7.812-1.907 16.832-2.75 27.156-.983 12-1.712 24.705-1.72 35.625-.008 10.92.98 20.412 2.188 24.032 4.544 13.623 10.658 19.552 16.062 21.842 5.404 2.29 11.33 1.567 17.688-2.125 12.714-7.383 23.674-26.89 19.062-45.875l-.063-.218c-.91-3.428-5.07-10.897-11.156-18.75-6.19-7.99-14.148-16.756-21.967-24.78-6.416-6.585-12.142-12.018-17.344-16.908zm-163.97 17c-5.757 4.13-12.516 9.088-19.688 14.813-8.564 6.835-17.29 14.394-24.062 21.436-6.77 7.042-11.36 13.99-12.22 16.97-5.408 18.723 4.71 38.753 17.126 46.75 6.208 3.997 12.142 4.993 17.625 2.968 5.485-2.026 11.82-7.648 16.94-21.03 2.968-7.76 4.864-34.22 4.81-56.69-.02-9.613-.282-17.953-.53-25.218zm49.5 14.03c-3.595 5.436-7.53 11.398-11.875 18.627-10.72 17.833-21.096 40.096-21.656 48.312-1.385 20.22 12.17 35.375 25.155 38.906 6.492 1.767 12.315.985 17.563-3.06 5.247-4.048 10.42-12.138 12.625-26.94.56-3.742-.38-12.405-2.813-22.124-2.434-9.72-6.086-20.772-9.906-31.062-3.232-8.706-6.34-16.137-9.094-22.656zm62.28.845c-2.487 6.602-5.313 14.09-8.186 22.876-3.407 10.416-6.642 21.58-8.688 31.375-2.045 9.798-2.614 18.49-1.906 22.22 2.793 14.716 8.295 22.628 13.72 26.5 5.422 3.872 11.278 4.457 17.686 2.47 12.816-3.98 25.754-19.555 23.563-39.72-.89-8.187-12.166-30.082-23.595-47.53-4.625-7.063-8.786-12.887-12.594-18.19z"}}]})(props);
};
function GiCarnivorousPlant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.252 29.83c-1.173-.01-2.345-.003-3.516.018-15.608.282-30.968 3.33-44.71 10.203-29.86 14.93-47.942 38.91-53.255 61.995-4.703 20.442-.065 39.793 15.7 54.012 44.847-57.15 108.49-91.395 155.475-109.645-13.033-6.054-28.6-11.46-45.144-14.312-8.09-1.396-16.34-2.203-24.548-2.27zm95.853 26.29l-1.26.42c-4.97 1.656-10.29 3.558-15.868 5.694l33.955 28.65c-5.9-12.806-12.63-26.41-16.827-34.765zm-41.98 16.566c-6.224 2.856-12.62 5.986-19.113 9.375l26.267 21.928-7.155-31.302zm20.648 9.556l8.018 35.078c7.872-2.74 15.732-5.547 23.585-8.414l-31.602-26.664zm-63.11 13.002c-7.805 4.763-15.627 9.92-23.352 15.48l28.053 16.176-4.7-31.656zm19.208 6.807l4.566 30.747c7.82-2.373 15.625-4.84 23.416-7.39l-27.98-23.356zm87.528 21.507c-60.87 22.443-122.75 41.984-187.195 51.957 11.394 13.965 29.036 23.11 49.475 27.61 25.326 5.58 54.222 3.755 76.476-3.663 22.008-7.335 40.552-22.244 51.358-38.452 8.73-13.097 12.104-26.365 9.886-37.45zm-139.275 2.65l-4.018 22.69c10.154-2.305 20.27-4.81 30.346-7.51l-26.327-15.18zm-19.668 7.846c-7.66 6.975-15.054 14.41-22.023 22.35 6.243-1.06 12.467-2.212 18.675-3.446l3.348-18.904zm-39.037 56.703c-2.14 5.79-4.03 11.735-5.47 17.728-2.922 12.143-4.647 24.74.17 37.76 6.585 17.802 22.853 28.142 37.896 31.912 15.042 3.77 30.214 3.44 44.193 3.442 13.98 0 26.77.376 34.5 2.474 7.153 1.942 8.95 2.96 10.61 7.922-.072.134-.01-.04-.174.264-.903 1.663-3.53 5.016-7.598 8.676-5.883 5.29-14.55 11.262-24.162 17.035-24.288.58-30.506-5.795-41.12-14.107l-11.097 14.17c6.312 4.943 14 10.76 25.473 14.406-8.186 4.046-15.986 7.626-22.626 10.56h77.357c7.303-4.77 14.19-9.85 20.247-15.3 5.977-5.374 11.27-11.087 15.17-18.276 3.9-7.19 6.304-16.948 3.477-26.522-5.36-18.145-21.255-29.536-36.125-33.572-14.87-4.036-29.893-3.73-43.93-3.732-14.035 0-27.078-.265-35.442-2.362-8.365-2.096-10.693-3.555-12.885-9.48-.578-1.563-1-8.258 1.066-16.85.355-1.478.783-3.02 1.24-4.582-11.666-5.26-22.25-12.368-30.772-21.568zm156.96 40.207c-.638-.004-1.283.014-1.937.055-6.265.39-12.135 2.447-17.614 5.336 6.668 3.108 13.134 7.306 18.84 12.64 1.62.002 9.167 2.677 15.008 6.348 5.937 3.73 10.566 7.574 10.566 7.574l11.52-13.832s-5.42-4.53-12.508-8.982c-6.644-4.176-14.322-9.08-23.875-9.14zm-237.04 33.152l-8.676 15.77s11.36 6.268 25.512 11.525c14.15 5.257 30.98 10.82 46.072 4.985 7.326-2.833 12.883-8.033 17.408-14.047-4.894-3.69-9.435-8.087-13.338-13.248-4.013 5.412-8.07 9.542-10.562 10.505-5.42 2.096-20.59-.342-33.31-5.068-12.722-4.725-23.106-10.422-23.106-10.422zM137 361v30h238v-30H137zm33.623 48l13.002 78h144.75l13.002-78H170.623z"}}]})(props);
};
function GiCarnyx (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M356.598 24.355a143.974 143.974 0 0 0-3.58.006c-15.937.228-32.158 3.119-46.957 9.291-23.68 9.877-43.809 29.04-50.08 58.121-6.01 27.865.292 63.65 23.974 109.03l-63.342 88.062-10.484-8.105-11.01 14.24 10.979 8.486-33.946 47.194-11.572-8.524-10.674 14.494 11.735 8.643-37.733 52.459-7.703-5.668-10.668 14.496 7.861 5.785-26.007 36.158c-1.597 1.418-3.046 2.31-4.266 2.801-2.703 1.09-4.785.942-7.766-.361-5.96-2.607-13.698-11.664-17.861-20.502l-16.283 7.67c5.473 11.62 14.101 23.712 26.933 29.324 6.416 2.806 14.337 3.534 21.706.565 5.646-2.276 10.696-6.391 15.226-12.19l27.045-29.684 9.043 6.657 10.67-14.496-7.525-5.54 43.746-48.015 11.597 8.543 10.676-14.492-10.086-7.43 38.707-42.484 10.96 8.472 11.007-14.242-9.805-7.58L346.72 210.6c8.653-2.972 17.124-.227 29.138 3.928 12.752 4.411 28.84 10.011 47.801 4.983 6.223-1.65 11.707-7.906 12.307-13.764.6-5.858-1.321-10.51-3.549-14.943-1.155-2.299-2.48-4.532-3.893-6.682 14.058-1.92 28.436-7.121 40.325-12.77 8.903-4.23 16.088-8.428 21.101-13.62 2.507-2.597 5.743-5.873 4.803-12.182-.47-3.155-2.63-6.124-4.783-7.656-2.154-1.533-4.214-2.15-6.256-2.569l-.065-.013-.062-.012s-52.458-10.091-77.516-16.414a46.341 46.341 0 0 0-6.025-21.1l40.139-33.096-3.893-6.62c-10.068-17.124-31.294-26.984-55.264-31.376a144.499 144.499 0 0 0-24.43-2.338zm-.147 18.055c4.091.034 8.15.268 12.133.682l-.824 29.728a34.787 34.787 0 0 0-10.1-1.47c-.53 0-1.058.013-1.586.037-2.13.096-4.236.383-6.306.82l.828-29.71a128.014 128.014 0 0 1 5.855-.087zm-37.213 5.531l24.006 26.182c-5.843 2.191-11.268 5.489-15.967 9.22l-25.261-27.548c3.447-2.084 7.115-3.922 10.974-5.531a89.482 89.482 0 0 1 6.248-2.323zm81.842 3.803c6.044 2.853 11.102 6.169 14.805 9.65l-27.473 22.65c-3.752-3.142-7.849-5.736-12.086-7.806l24.754-24.494zm-42.277 37.867c.483-.003.955.013 1.414.05 1.05.082 2.033.272 2.93.575 7.015 2.373 14.103 6.915 18.771 12.774 4.668 5.858 7.195 12.7 5.98 21.683l-1.046 7.745 7.52 2.123c20.087 5.67 59.746 13.363 74.583 16.207-2.382 1.428-4.839 2.902-7.832 4.324-15.577 7.4-38.374 13.296-50.053 11.353l-28.511-4.744 20.779 20.092c3.742 3.618 10.114 11.357 12.996 17.092a18.928 18.928 0 0 1 1.336 3.506c-12.798 2.948-23.65-.626-35.928-4.873-12.722-4.4-27.652-9.763-43.672-2.94l-1.804.768-37.194 40.824-14.17-11.416 35.813-49.79-3.52-5.2c-2.182-3.225-4.96-9.765-6.07-16.77-1.11-7.005-.661-14.424 2.076-20.48l3.654-8.084-8.03-3.77c-9.475-4.447-17.19-12.002-23.47-22.67 14.457-3.522 25.264-1.694 40.795 3.969l5.188 1.893 4.035-3.768c6.463-6.031 16.186-10.426 23.43-10.473zm-3.782 25.764a13.667 13.67 0 0 0-13.666 13.67 13.667 13.67 0 0 0 13.666 13.668 13.667 13.67 0 0 0 13.668-13.668 13.667 13.67 0 0 0-13.668-13.67zm-62.292 25.988c-.396 4.972-.11 9.861.617 14.448.192 1.215.423 2.4.672 3.572l-12.096 1.894c-2.244-6.068-4.085-11.853-5.537-17.353l16.344-2.56zm-18.352 98.026l12.55 10.113-50.099 54.992-5.965-4.611 43.514-60.494z"}}]})(props);
};
function GiCarpetBombing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M28.416 414.373l9.6 8.58c.337.256.628.567.86.92a3.68 3.68 0 0 1 .76-1l8.58-9.6c1.06-1.18 1.48-.71 1.56.49.08 1.2.81 13.27.88 14.28a2.6 2.6 0 0 1-.95 2.27l-5.95 6.65a14.08 14.08 0 0 1 10.65 12.84c.18 3.34 1.2 21.52 1.38 24.86.434 7.754-5.5 14.392-13.255 14.825-7.754.434-14.391-5.5-14.825-13.255-.18-3.34-1.2-21.52-1.39-24.85a14.07 14.07 0 0 1 9.15-14l-6.65-5.94a2.55 2.55 0 0 1-1.18-2.16c-.06-1-.67-13.08-.73-14.28-.06-1.2.31-1.71 1.51-.63zm86.895-36.035c.46 1.11 5.1 12.27 5.5 13.2a2.55 2.55 0 0 0 1.84 1.63l8.26 3.36a14.07 14.07 0 0 0-3.91 16.24c1.3 3.07 8.39 19.85 9.68 22.93 3.021 7.155 11.27 10.506 18.425 7.485 7.155-3.02 10.506-11.27 7.485-18.425-1.29-3.08-6.403-24.826-7.693-27.906-2.394-5.701-10.214-4.207-16.367-3.594l3.36-8.27a2.6 2.6 0 0 0 .13-2.45c-.4-.93-5.16-12-5.64-13.15-.48-1.15-1-1.41-1.63.06l-4.85 11.93a3.68 3.68 0 0 0-.37 1.22 3.71 3.71 0 0 0-1.12-.58l-11.93-4.85c-1.43-.57-1.64.09-1.18 1.16zm76.452-64.348c.702.931 7.827 10.74 8.434 11.54a2.55 2.55 0 0 0 2.134 1.164l8.817 1.325a14.07 14.07 0 0 0 .047 16.696c1.98 2.678 12.804 17.336 14.786 20.023 4.544 6.445 13.498 7.894 19.842 3.21 6.344-4.684 7.596-13.668 2.775-19.908-1.973-2.698-12.805-17.345-14.777-20.034a14.08 14.08 0 0 0-15.962-4.917l1.325-8.817a2.6 2.6 0 0 0-.456-2.415c-.608-.811-7.84-10.488-8.555-11.458-.716-.97-1.336-1.126-1.573.437l-1.919 12.73a3.68 3.68 0 0 0-.067 1.275 3.71 3.71 0 0 0-1.228-.304l-12.731-1.918c-1.594-.245-1.618.391-.903 1.362zm52.19-92.677c.89.81 9.82 8.95 10.57 9.62a2.55 2.55 0 0 0 2.36.7l8.9-.46a14.07 14.07 0 0 0 3.35 16.37c2.48 2.23 16 14.42 18.49 16.66 5.783 5.068 14.564 4.55 19.711-1.163 5.147-5.714 4.75-14.502-.892-19.727-2.48-2.24-16-14.43-18.49-16.67a14.08 14.08 0 0 0-16.68-1.65l-.47-8.91a2.6 2.6 0 0 0-.93-2.28l-10.6-9.51c-.9-.8-1.53-.84-1.45.75l.67 12.86c-.013.428.047.854.18 1.26a3.712 3.712 0 0 0-1.26 0l-12.86.67c-1.62.03-1.51.66-.61 1.47zm71.329-114.095c11-2.5 18.73-8.87 23.52-19.33-26.62-20-76.72-55.29-110-63.88-4.81-1.26-15.81-1.14-19.63-1.14 0 0 36.82 44.3 44.44 72.14 17.94 8.54 42.67 16.54 61.65 12.21zm-232.76-40c-4.18-1.67-10.23 0-12.65 0 0 0 6.84 13.55 11.57 25.63 9.46-2.07 22.78-4.12 35.45-5.79-11.9-8.06-24.76-15.99-34.39-19.84zm408.18 49.72c-4.89-34.32-88.13-33.11-134.54-29.72-7.84 24.16-26.21 37.22-52.6 37.22-1.27 0-2.55 0-3.85-.09-21.93-1-43.63-10.24-54.61-15.64a147.59 147.59 0 0 1-19.11-11.11c-1-.67-1.83-1.32-2.65-1.95-32.9 1-62.63 2.75-87.09 5.15-16.17 1.78-37.68 4.76-50.4 7.45-12 2.86-18.65 6-18.65 9.37 0 12.59 94.83 22.8 211.81 22.8s211.81-10.21 211.81-22.8a2.6 2.6 0 0 0-.14-.68z"}}]})(props);
};
function GiCarrier (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 26v17h-39v18h39v20h-32v42h-14.027l-4.364 12H151l-.604 71.986 30.502 122.934c-48.878 3.346-97.752 8.937-145.013 16.414l2.812 17.777a1639.075 1639.075 0 0 1 121.096-14.529l-.078.31c112.547 28.156 190.551 43.088 306.816-8.958l-7.355-16.43a485.085 485.085 0 0 1-26.844 11.092c-32.19-4.323-65.92-7.053-100.55-8.356l16.316-64.314L464 176H324.275l-13.248-53H297V81h-32V61h39V43h-39V26h-18zm89.91 0l30.045 35 18.54 15.557L350.331 96h58.334l27.809 23.334 39.474 23.334-16.14-23.334L432 96h58.334l-81.506-19.443L390.288 61 336.91 26zM233 99h46v24h-46V99zm-17.973 42h81.946l8.75 35h-8.928L256 153.748l-59.133 27.89L215.027 141zM169 153h21.063l-14.678 40.357L169 196.84V153zm87 21.252v152.346c-5.41.103-10.833.238-16.262.402h-40.46l-29.071-110.316L256 174.252zM241.25 345h82.404c22.502.709 44.618 2.01 66.149 3.96-58.924 14.561-109.381 9.793-169.532-3.194 7.006-.306 13.999-.558 20.979-.766zm-132.865 29.363c-7.943-.023-15.667.234-23.084.842l1.469 17.941c54.39-4.455 133.014 12.49 189.199 17.202 55.64 4.665 109.966-1.684 168.654-13.512l-3.557-17.645c-57.8 11.65-110.279 17.692-163.591 13.221-47.153-3.954-113.49-17.885-169.09-18.049zm20.22 35.285c-12.198-.079-25.387.615-38.517 1.873-26.26 2.518-51.6 7.157-67.865 14.26l7.203 16.496c12.302-5.372 37.244-10.427 62.38-12.838 25.138-2.41 51.157-2.311 65.846.625 32.956 6.589 91.409 16.938 138.62 15.444l-.569-17.99c-44.053 1.394-102.073-8.619-134.523-15.106-9.17-1.833-20.376-2.684-32.575-2.764z"}}]})(props);
};
function GiCarrion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M323.625 96.625c12.83 15.365 21.246 32.45 24.063 49.844.007.01.023.018.03.03 4.098 6.483 7.3 13.663 9.376 21.406 3.872 14.452 3.23 28.98-.906 42.406 5.385-.137 10.753.234 16.03 1.063 20.337-50.824-1.366-99.53-48.593-114.75zm-229.03 6.313c-3.192-.04-6.272.958-8.75 2.78-7.217 5.303-9.528 17.636 3.874 31.5-31.695-23-53.314 13.355-23.47 23.5 38.186 12.98 62.297 37.852 91.03 66.657 4.5-8.95 9.99-16.856 16.22-23.72-29.31-29.85-48.34-53.623-62.5-87.686-3.777-9.087-10.316-12.96-16.406-13.032zm311.03 15.843c16.36 35.31 14.957 72.632-10.094 99.5 5.688 2.547 11.118 5.665 16.158 9.282 4.792 3.44 9.254 7.362 13.28 11.72 30.32-43.23 21.423-94.163-19.343-120.5zm-130.094 7.97c-5.81.065-11.757.88-17.686 2.47-36.142 9.682-56.886 44.88-47.97 78.155 4.906 18.306 17.715 31.888 34.72 39.375l4.125 1.813 1.155 4.312 10.72 40.03 77.31-20.686-10.75-40.033-1.155-4.343 2.656-3.625c10.983-14.988 15.28-33.163 10.375-51.47-7.223-26.964-32.437-45.255-61.03-45.97-.825-.02-1.64-.04-2.47-.03zm27.595 41.78c.43-.015.854-.016 1.28 0 7.4.296 14.078 5.348 16.095 12.876 2.483 9.266-3.013 18.798-12.28 21.28-9.27 2.485-18.8-3.014-21.283-12.28-2.482-9.266 3.014-18.798 12.282-21.28 1.302-.35 2.613-.546 3.905-.595zm165.594 3.19c6.195 35.648-2.874 68.998-29.22 89.155 5.5 11.813 8.25 25.165 7.25 39.406 49.058-33.438 56.908-89.938 21.97-128.56zm-222.064 12.218c7.486.204 14.276 5.273 16.313 12.875 2.482 9.266-3.015 18.797-12.283 21.28-9.267 2.484-18.798-3.014-21.28-12.28-2.484-9.267 3.013-18.798 12.28-21.282 1.16-.31 2.317-.492 3.47-.56.503-.032 1-.046 1.5-.032zm31.53 21.843l23.095 28.69-27.56 6.655 4.467-35.344zm-86.592 5.595c-11.07 10.506-19.91 24.784-24.78 43.25 14.297 7.06 26.344 16.036 35.686 27.063 13.265 15.656 20.738 35.304 21.75 57.78 4.04-.872 8.185-1.363 12.375-1.437 17.238-.304 35.058 6.446 47.875 22.658l-14.656 11.593c-14.735-18.635-37.164-19.036-53.53-10.186-8.185 4.425-14.354 11.116-17.033 18.594-.06.173-.096.356-.155.53L180 380.5c.418-2.084.98-4.12 1.688-6.094 4.274-11.932 13.145-21.438 23.968-27.75.413-21.826-5.678-39.026-17.437-52.906-11.62-13.713-29.194-24.297-52.626-31.22-2.038-.3-3.986-.457-5.813-.467-2.086-.012-4.026.152-5.843.468-7.266 1.268-12.8 4.773-17.5 10.75-9.398 11.958-14.07 34.817-10.406 61.845l3.907 28.688-19.937-21c-11.16-11.77-22.013-14.838-31.72-13.782-9.704 1.057-18.63 6.773-24.218 14.75-5.587 7.98-7.745 17.722-4.718 27.283 1.668 5.27 4.98 10.753 10.75 15.968 11.96 15.804 46.246 32.908 102.937 43.595-15.04 4.874-24.75 12.64-24.75 21.375 0 14.755 27.74 26.72 61.97 26.72 34.23 0 61.97-11.965 61.97-26.72 0-4.09-2.126-7.972-5.94-11.438 11.142.44 22.745.657 34.814.657 119.344 0 216.955-20.41 224.28-46.22 25.16-46.828-19.41-82.85-47.03-74.72l-15.313 4.5 3.564-15.56c6.54-28.536-5.674-52.045-25.813-66.5-15.23-10.935-34.772-16.04-53.53-12.907-.324.52-.633 1.048-.97 1.562l12.064 45.03 2.437 9.033-9.03 2.437-95.344 25.53-9.03 2.408-2.407-9-12.064-45.063c-19.58-9.923-35.08-27.09-41.094-49.53-.075-.283-.146-.563-.218-.845zM401.094 455c-15.935 0-28.875 5.57-28.875 12.438s12.94 12.437 28.874 12.437c15.935 0 28.844-5.57 28.844-12.438S417.027 455 401.094 455zM78.72 470.313c-15.936 0-28.845 5.568-28.845 12.437 0 6.87 12.91 12.438 28.844 12.438 15.934 0 28.843-5.57 28.843-12.438 0-6.87-12.91-12.438-28.844-12.438z"}}]})(props);
};
function GiCarrot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M228.063 16.72a9 9 0 0 0-2.47.5c-16.076 5.625-27.55 10.77-36.155 21.81-6.477 8.313-10.984 18.854-16.063 34.407-11.313-12.292-26.732-22.486-43.875-30.812-23.817-11.568-51.083-19.46-76.156-22.78a9 9 0 0 0-6.282 16.343c21.685 14.934 40.525 29.268 53.407 43.687 9.964 11.155 16.21 22.01 18.436 33.53-32.89-3.705-62.75 3.47-99.406 23.25a9 9 0 0 0 5.125 16.907c34.352-3.265 69.484-3.808 96.563.625 13.54 2.217 25.007 5.723 33.218 10.25 3.168 1.747 5.82 3.57 8 5.532 5.365-8.13 12.033-15.638 19.438-22.22 13.09-11.637 28.792-20.638 45.03-24.094-11.326-18.24-14.138-30.23-12.843-41.5 1.588-13.813 10.567-28.893 22.564-52.344a9 9 0 0 0-8.53-13.093zm13.906 123.436c-.527-.003-1.062.016-1.595.03-14.925.428-32.515 8.518-46.594 21.033-16.088 14.3-26.977 33.817-26.78 50 .39 32.175 18.688 67.77 47.344 102.124 28.655 34.354 67.3 67.31 106.375 94.72 39.073 27.406 78.66 49.316 108.78 61.936 15.06 6.31 27.857 10.275 36.313 11.5 3.958.574 6.797.448 8.187.188.065-.798.153-1.837.063-3.22-.205-3.113-.814-7.504-1.844-12.75-2.06-10.49-5.772-24.554-10.97-40.812-10.397-32.516-26.75-73.9-47.688-114.937-13.56-26.58-29.085-53.016-46.093-76.814-14.193 17.317-12.034 17.985-49.72 36.72l-7.125-14.313c39.43-19.6 30.222-15.247 47.063-35.594-6.235-8.066-12.65-15.74-19.22-22.907-3.278-3.578-6.59-7.04-9.937-10.344-24.116 33.382-44.493 41.374-76.436 55.124l-7.125-16.53c32.963-14.19 47.585-18.322 70.218-50.814-21.94-18.66-45.057-30.964-68.594-34.03-1.505-.197-3.047-.304-4.625-.314z"}}]})(props);
};
function GiCartwheel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.75 18.72C150.05 19.84 55.67 89.402 27.5 194.53-6.415 321.106 68.582 451.023 195.156 484.94c126.574 33.915 256.49-41.083 290.406-167.657C519.478 190.708 444.48 60.79 317.906 26.876c-19.777-5.3-39.657-7.957-59.22-8.156-1.65-.018-3.29-.02-4.936 0zm2.313 53.81c12.822-.048 25.848 1.247 38.843 4.032 1.034.222 2.06.48 3.094.72.488.115.98.223 1.47.343.51.123 1.018.247 1.53.375 1.004.255 1.994.512 3 .78 3.028.812 6.018 1.674 8.97 2.626 41.44 13.382 75.138 40.527 97.374 74.906.1.158.21.312.312.47.742 1.153 1.473 2.33 2.188 3.5.812 1.33 1.596 2.65 2.375 4 .733 1.27 1.452 2.555 2.155 3.843.594 1.09 1.177 2.18 1.75 3.28.107.207.206.42.313.626.08.16.17.312.25.47 18.66 36.453 25.32 79.192 16.187 121.78-.323 1.508-.7 3.026-1.063 4.533-.374 1.525-.747 3.037-1.156 4.562-.81 3.028-1.672 6.018-2.625 8.97-13.38 41.44-40.526 75.138-74.905 97.374-.157.1-.31.21-.47.31-1.153.743-2.33 1.474-3.5 2.19-1.328.81-2.65 1.595-4 2.374-1.27.734-2.554 1.453-3.842 2.156-1.09.594-2.18 1.177-3.282 1.75-.205.107-.417.206-.624.313-.157.08-.31.17-.47.25-36.452 18.66-79.19 25.32-121.78 16.187-1.507-.323-3.025-.693-4.53-1.063-.01-.002-.022.003-.032 0-1.516-.37-3.016-.75-4.53-1.156-3.03-.81-6.02-1.67-8.97-2.624-41.49-13.398-75.107-40.577-97.22-75-.068-.107-.15-.205-.218-.312-.773-1.21-1.505-2.43-2.25-3.656-.015-.025-.047-.04-.062-.063-.34-.56-.666-1.124-1-1.688-1.16-1.956-2.29-3.938-3.375-5.937-.7-1.287-1.395-2.57-2.064-3.875-.113-.22-.232-.436-.344-.656-18.464-36.382-24.94-79.035-15.812-121.533.324-1.506.693-3.025 1.063-4.53.002-.01-.003-.022 0-.032.37-1.516.75-3.017 1.156-4.53.33-1.242.672-2.463 1.03-3.69.08-.272.17-.54.25-.81.437-1.473.875-2.952 1.344-4.407.007-.022.024-.04.03-.063 13.345-41.36 40.262-75.04 74.44-97.313 1.284-.837 2.567-1.662 3.874-2.468.02-.012.042-.02.062-.03.99-.612 1.998-1.222 3-1.814.342-.202.688-.394 1.03-.594.687-.4 1.373-.797 2.064-1.187.485-.275.98-.544 1.47-.814.23-.13.453-.278.686-.406 1.314-.72 2.638-1.407 3.97-2.094 23.324-12.032 49.244-19.11 76.093-20.22 2.247-.09 4.49-.146 6.75-.155zm33.968 22.157l-25.75 96.188c3.07.368 6.15.96 9.22 1.78 3.062.822 6.01 1.85 8.844 3.064l25.78-96.22c-2.947-.97-5.933-1.874-8.968-2.688-3.038-.814-6.083-1.49-9.125-2.124zM182.5 109c-5.56 2.83-10.95 5.965-16.156 9.406l49.72 86.094c4.922-3.863 10.38-7.01 16.186-9.344L182.5 109zm211.72 56.594l-86.25 49.812c3.865 4.92 7.037 10.383 9.374 16.188l86.25-49.813c-2.812-5.572-5.953-10.965-9.375-16.186zM100.686 204.47c-.97 2.948-1.873 5.93-2.687 8.968-.81 3.025-1.522 6.065-2.156 9.093l95.687 25.626c.367-3.058.932-6.13 1.75-9.187.825-3.074 1.875-6.033 3.095-8.876l-95.688-25.625zM255.25 209c-20.188.584-38.553 14.304-44.03 34.75-6.68 24.925 8.23 50.79 33.155 57.47 24.925 6.677 50.79-8.233 57.47-33.158 6.677-24.924-8.233-50.79-33.158-57.468-3.115-.835-6.27-1.35-9.375-1.53-1.358-.08-2.716-.103-4.062-.064zm1.688 18.625c.408.008.807.037 1.218.063 1.88.117 3.792.43 5.688.937 15.17 4.065 24.033 19.424 19.97 34.594-4.066 15.17-19.425 24.032-34.595 19.967-15.17-4.064-24.035-19.423-19.97-34.593 3.446-12.86 15.01-21.206 27.688-20.97zm64.656 36.03c-.365 3.07-.928 6.152-1.75 9.22-.822 3.066-1.877 6.006-3.094 8.844l96.188 25.78c.97-2.948 1.874-5.934 2.687-8.97.81-3.025 1.524-6.063 2.156-9.092l-96.186-25.782zM195.78 280.22l-86.093 49.686c2.787 5.577 5.884 10.995 9.282 16.22l86.124-49.72c-3.857-4.922-6.983-10.384-9.313-16.187zm101.25 27.155c-4.92 3.86-10.383 7.01-16.186 9.344l49.812 86.25c5.566-2.81 10.942-5.96 16.156-9.376l-49.78-86.22zm-66.31 8.75l-25.782 96.188c2.947.97 5.933 1.874 8.968 2.687 3.026.81 6.065 1.524 9.094 2.156l25.78-96.187c-3.057-.367-6.128-.932-9.186-1.75-3.076-.825-6.03-1.873-8.875-3.095z"}}]})(props);
};
function GiCash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M251.813 20.5c-.78-.008-1.558.003-2.344.03-11.005.39-22.285 5.142-32.376 17.814l-5.156 6.468-7.063-4.343c-13.67-8.436-30.948-11.566-45.5-8.75-14.552 2.814-26.03 10.716-31.344 25.374l-3.624 9.968L115 62.22c-16.243-8.34-24.717-8.468-31.75-5.314-5.606 2.515-11.456 8.555-18.094 17.375L147.594 138c12.92 4.168 31.79 4.086 50.75-.813 18.95-4.895 37.863-14.44 51.625-27.406l31.124-76.905c-6.596-6.452-16.42-11.52-26.938-12.28-.778-.058-1.563-.087-2.344-.095zM265 121.28l-.594.595c-16.8 16.497-39.04 27.636-61.375 33.406-6.883 1.78-13.784 3.075-20.56 3.814-3.682 6.112-6.727 12.262-9.19 18.47l.532-.033c1.4 24.178 11.835 42.98 26.75 60.876l-14.343 11.97c-8.29-9.947-15.738-20.762-21.282-32.814-.92 23.227 4.222 47.218 12.78 72.22l-17.687 6.062c-15.615-45.618-20.942-92.383 1-136.375-7.386-.588-14.426-1.96-20.905-4.25l-.344-.126c-4.26 4.08-8.35 8.368-12.25 12.875-31.64 36.583-49.03 85.3-39.936 123.25 4.87 20.324 13.632 39.513 26.156 55.874 3.653-.298 7.256-.49 10.78-.53 11.585-.138 22.4 1.094 32.032 3.623 3.04.798 5.98 1.776 8.813 2.875 7.484-.797 15.245-1.218 23.22-1.218 28.474 0 54.303 5.297 73.843 14.47 7.586 3.56 14.44 7.848 20 12.81-.047-.742-.063-1.493-.063-2.25 0-4.568.85-8.905 2.438-13-8.938-8.382-14.532-18.546-14.532-30.187 0-16.12 10.75-29.346 26.22-39 .012-4.624.893-9.02 2.53-13.156-10.165-8.73-16.655-19.555-16.655-32.092 0-7.917 2.594-15.142 7.063-21.594-4.47-6.452-7.063-13.677-7.063-21.594 0-3.813.598-7.456 1.72-10.938-9.688-8.603-15.814-19.182-15.814-31.375 0-12.108 6.054-22.594 15.626-31.156-5.94-4.6-12.232-8.505-18.906-11.5zm111.438 2.345c-26.022 0-49.507 5.433-65.688 13.563-16.18 8.13-23.78 18.062-23.78 26.75 0 8.687 7.6 18.65 23.78 26.78 16.18 8.13 39.666 13.532 65.688 13.532 11.222 0 21.978-1.018 31.875-2.813v-17.03c13.862-2.068 25.41-5.9 32.812-10.782v17.563c.328-.16.678-.307 1-.47 16.18-8.13 23.813-18.093 23.813-26.78 0-8.687-7.632-18.62-23.813-26.75-16.18-8.13-39.666-13.563-65.688-13.563zm96.5 67.625c-3.334 3.582-7.283 6.86-11.657 9.844l.25 29.03c12.545-7.523 18.5-16.197 18.5-23.874 0-4.788-2.31-9.965-7.092-15zm-171.844 15.47c.265 8.576 7.887 18.325 23.78 26.31 16.182 8.13 39.667 13.532 65.688 13.532 16.316 0 31.636-2.13 44.782-5.718l.625-27.28c-17.166 6.025-37.58 9.374-59.533 9.374-28.558 0-54.474-5.69-74.062-15.532-.435-.218-.852-.464-1.28-.687zm1.97 34.81c-1.345 2.694-2.002 5.352-2.002 7.907 0 8.688 7.632 18.652 23.813 26.782 16.18 8.13 39.666 13.53 65.688 13.53 13.194 0 25.73-1.384 37-3.813v-24.062c-11.556 2.212-24.002 3.375-37 3.375-28.56 0-54.506-5.69-74.094-15.53-4.828-2.426-9.34-5.17-13.408-8.19zm174.967 0c-4.067 3.02-8.58 5.764-13.405 8.19-1.382.693-2.806 1.346-4.25 2V274c13.335-7.677 19.656-16.654 19.656-24.563 0-2.548-.662-5.218-2-7.906zm7.5 36.75c-2.03 2.028-4.236 3.956-6.624 5.783v32.468c10.314-7.004 15.25-14.77 15.25-21.75 0-5.266-2.816-10.994-8.625-16.5zm-170.124 14.064c-.13.817-.22 1.64-.22 2.437.002 8.69 7.633 18.62 23.814 26.75 16.18 8.13 39.666 13.564 65.688 13.564 14.953 0 29.064-1.775 41.437-4.844v-29.875c-16.304 5.196-35.265 8.063-55.563 8.063-28.558 0-54.505-5.69-74.093-15.532-.36-.18-.708-.378-1.064-.562zm-13.594 21.312c-8.665 6.538-12.843 13.626-12.843 20.03 0 8.69 7.63 18.653 23.81 26.783 16.182 8.13 39.667 13.53 65.69 13.53 9.54 0 18.72-.71 27.342-2.03v-18.19c-.377.003-.747 0-1.125 0-28.558 0-54.505-5.688-74.093-15.53-12.46-6.26-22.86-14.558-28.78-24.594zm162.532 30.688c-7.93 2.796-16.566 5.006-25.72 6.594V363c1.92-.813 3.78-1.65 5.532-2.53 9.82-4.935 16.47-10.537 20.188-16.126zM473.5 362.5c-3.77 3.77-8.21 7.184-13.125 10.25v28.688c13.335-7.678 19.656-16.655 19.656-24.563 0-4.59-2.138-9.537-6.53-14.375zm-348.72 2.813c-10.14.115-21.222 1.413-32.624 4.062-22.803 5.3-42.462 15.006-55.25 25.688-12.788 10.68-17.74 21.388-16.28 29.125 1.46 7.736 9.393 14.833 24.78 18.875 15.388 4.04 36.854 4.204 59.657-1.094 9.19-2.136 17.857-4.97 25.78-8.314V413.03c14.53-6.486 25.467-14.375 30.376-21.905V415.5c12.102-10.422 16.83-20.828 15.405-28.375-1.46-7.735-9.425-14.802-24.813-18.844-7.693-2.02-16.89-3.083-27.03-2.967zm64.657 5.218c2.71 3.895 4.61 8.28 5.532 13.158 1.128 5.983.634 11.85-1.126 17.53 9.822 2.56 18.812 6.073 26.656 10.47 4.39 2.46 8.47 5.268 12.125 8.343 9.022-2.163 16.573-5.152 21.938-8.686v20.53c16.183-7.61 23.5-16.89 23.5-24.312 0-7.43-7.334-16.726-23.563-24.343-16.054-7.537-39.295-12.58-65.063-12.69zm111.72 4.94c-.044.467-.094.944-.094 1.405 0 8.688 7.63 18.65 23.812 26.78 16.18 8.13 39.666 13.533 65.688 13.533 13.194 0 25.73-1.384 37-3.813V386.53c-14.77 4-31.43 6.19-49.094 6.19-28.56 0-54.507-5.72-74.095-15.564-1.086-.546-2.165-1.11-3.22-1.687zM304 412.81c-1.958 3.257-2.938 6.484-2.938 9.563 0 8.688 7.632 18.65 23.813 26.78 16.18 8.13 39.666 13.533 65.688 13.533 13.194 0 25.73-1.384 37-3.813V432.5c-11.556 2.212-24.002 3.375-37 3.375-28.56 0-54.506-5.69-74.094-15.53-4.47-2.246-8.643-4.777-12.47-7.533zm173.125 0c-3.832 2.762-8.025 5.283-12.5 7.532-1.382.694-2.806 1.347-4.25 2v24.594c13.335-7.678 19.656-16.655 19.656-24.563 0-3.077-.953-6.308-2.905-9.563zM184.5 418.22c-3.47 4.383-7.572 8.55-12.188 12.405-15.66 13.082-37.66 23.643-63 29.53-9.14 2.125-18.11 3.472-26.75 4.126 3.2 5.317 8.83 10.542 17.063 15.158 13.698 7.677 33.69 12.843 55.875 12.843 10.077 0 19.68-1.084 28.47-2.967v-20.844c13.858-2.068 25.41-5.903 32.81-10.783v18.407c10.023-6.95 14.845-14.89 14.845-22.375 0-8.723-6.552-18.043-20.25-25.72-7.35-4.12-16.532-7.518-26.875-9.78z"}}]})(props);
};
function GiCassowaryHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M223.7 23.1c-.7-.02-1.3-.02-2 0-14.8.35-31.3 7.84-50.4 25.69C196.8 93.94 200.6 131 193.8 170c0 .1 0 0 .1.2.6.9 2 2.7 4.2 4.7 4.4 4.1 11.5 9.4 20.4 15 17.6 11.3 41.9 24.1 66 35.5 24.2 11.3 48.2 21.2 65.1 26.6 4.7 1.6 8.7 2.6 12.1 3.3-13.2-48.7-35.8-125.2-68-177.11-17-27.34-36.4-46.96-56.4-52.95-4.4-1.3-8.9-2.06-13.6-2.14zm-40.7 162c-4.9 4.2-12 10.7-20.3 19.1-14.9 15-30.7 34.6-34.9 47.5-12.5 39.2-14.9 65.3 10.7 119.2 3.4 7.2 6.5 13.8 9.2 20l33.8 39.3 17.1-26.6 38 40.8-13 12.2-22.4-24-17.7 27.6-20.6-24.1c3.1 17.4 2.1 34.6-2.5 58.6h140.2c-29.9-46.2-32.3-59.2-51.2-119-2.9-9-3.4-20.9 1.4-32.1-5-3.3-12.4-8.5-19.9-14.8-6.6-5.5-13.3-11.9-18.7-19-5.3-7.1-9.6-15.1-9.6-24.3 0-1 0-1.9.1-2.9-3.9-4.8-6.2-10.9-6.2-17.5 0-16.5 14.5-29.4 31.2-29.4 2.3 0 4.6.3 6.8.7 4.3-3.6 8.5-6.9 12.3-9.7-13.9-7.3-27-14.7-38-21.7-9.3-5.9-17.1-11.6-22.9-17-1-1-2-1.9-2.9-2.9zm81.8 50.7c-3.8 2.6-8.5 6-13.6 10.1 4.8 5.1 7.7 11.8 7.7 19.2 0 16.5-14.5 29.4-31.2 29.4-1.5 0-2.9-.1-4.3-.3.9 1.5 1.9 3.1 3.1 4.8 4.1 5.5 9.9 11.1 15.9 16.1 7.5 6.3 15 11.4 19.6 14.4 6.6-5 15.4-8.2 26.2-8 40.7.6 109.2 19.1 152.5 46.1.2-2.3-.3-5.6-1.9-9.9-3.4-8.8-11.4-20.4-21-32-17.3-20.6-39.2-40.6-50.5-51.4h-.6c-6.2-.4-13.5-2.3-22.6-5.2-18.1-5.9-42.5-15.9-67.2-27.5-4-1.9-8.1-3.9-12.1-5.8zm-37.1 17.8c-7.9 0-13.3 5.5-13.3 11.5 0 3.1 1.4 6 3.8 8.1a15.45 12.59 0 0 1-.1-1.8 15.45 12.59 0 0 1 15.4-12.6 15.45 12.59 0 0 1 6 1c-2.1-3.6-6.4-6.2-11.8-6.2zm-64.9 4.2l16.8 6.2c-6.1 16.3-6.3 16.9-6.3 29.4l-17.8.2c-.2-13.3 1.2-19.3 7.3-35.8zm198.4 43c13.7.1 23.2 5.1 31 8.4l-7 16.4c-8.8-3.7-14.7-6.9-24.2-6.9l.2-17.9z"}}]})(props);
};
function GiCastleRuins (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M382.975 17.701L306.678 119.43 459.27 93.998l-76.296-76.297zM106.24 77.895l-17.5 4.21 34.05 141.487 13.6-20.405-30.15-125.292zm-35.209 7.683c-8.85 41.457-17.725 90.065-41.402 111.129 9.026 2.35 21.416-1.194 34.652-23.71 6.948 15.963 2.313 17.464-1.957 28.737 16.561-3.429 25.204-18.531 24.873-37.806l-16.166-78.35zm366.957 30.215L361 128.623V160h-18v-28.377l-32 5.334V199h82v32h30v-32h15.846l-18.776-56.33 17.918-26.877zM148.816 217l-31.04 46.563-41.085 13.695 32 63.998-55.83 18.611L25 387.727V487h90.512l-11.075-33.225-45.43-30.287 9.985-14.976 50.57 33.713L134.488 487h147.95l27.845-55.69-13.398-40.195L208 361.488l-45.154 15.051-5.692-17.078 44.04-14.68 28.245-70.613L204.273 249H151v-32h-2.184zM217 217v19.273l28.33 28.329 62.695 31.347-8.05 16.102-55.252-27.625-24.82 62.054 91.212 30.405 16.752 50.254 31.53 31.529L373.562 487H487V336.816L452.525 359.8l-32.5 16.252-8.05-16.102 31.5-15.748L487 315.184V217h-46v32h-66v-32h-46v32h-66v-32h-46z"}}]})(props);
};
function GiCastle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.95 27.11L180.6 107.614l150.7 1.168-75.35-81.674h-.003zM25 109.895v68.01l19.412 25.99h71.06l19.528-26v-68h-14v15.995h-18v-15.994H89v15.995H71v-15.994H57v15.995H39v-15.994H25zm352 0v68l19.527 26h71.06L487 177.906v-68.01h-14v15.995h-18v-15.994h-14v15.995h-18v-15.994h-14v15.995h-18v-15.994h-14zm-176 15.877V260.89h110V126.63l-110-.857zm55 20.118c8 0 16 4 16 12v32h-32v-32c0-8 8-12 16-12zM41 221.897V484.89h78V221.897H41zm352 0V484.89h78V221.897h-78zM56 241.89c4 0 8 4 8 12v32H48v-32c0-8 4-12 8-12zm400 0c4 0 8 4 8 12v32h-16v-32c0-8 4-12 8-12zm-303 37v23h-16v183h87v-55c0-24 16-36 32-36s32 12 32 36v55h87v-183h-16v-23h-14v23h-18v-23h-14v23h-18v-23h-14v23h-18v-23h-14v23h-18v-23h-14v23h-18v-23h-14v23h-18v-23h-14zm-49 43c4 0 8 4 8 12v32H96v-32c0-8 4-12 8-12zm72 0c8 0 16 4 16 12v32h-32v-32c0-8 8-12 16-12zm80 0c8 0 16 4 16 12v32h-32v-32c0-8 8-12 16-12zm80 0c8 0 16 4 16 12v32h-32v-32c0-8 8-12 16-12zm72 0c4 0 8 4 8 12v32h-16v-32c0-8 4-12 8-12zm-352 64c4 0 8 4 8 12v32H48v-32c0-8 4-12 8-12zm400 0c4 0 8 4 8 12v32h-16v-32c0-8 4-12 8-12z"}}]})(props);
};
function GiCat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M463.46 37.008l-30.694 50.738-7.043-2.28c-27.146-8.797-71.525-7.15-97.6.11L321.22 87.5l-28.68-48.543c-33.63 69.254-32.264 117.56-14.79 148.574 18.71 33.208 57.378 49.09 99.117 48.574 48.743-.606 88.968-19.665 107.035-54.194 16.918-32.332 15.684-80.456-20.443-144.902zM323.935 137.594c18.45.1 29.36 15.338 31.462 36.644-37.11 17.91-53.963 3.398-61.173-26.545 11.382-7.063 21.324-10.144 29.71-10.1zm109.26 0c8.385-.045 18.328 3.036 29.71 10.1-7.21 29.942-24.064 44.454-61.174 26.544 2.104-21.306 13.014-36.545 31.463-36.644zm-293.553 50.96c-1.226-.01-2.446-.003-3.66.018-30.175.536-56.142 10.59-75.743 26.574-43.444 35.43-57.27 100.752-12.824 166.192 20.293 33.995 44.432 54.24 70.797 64.187 32.85 12.395 66.655 8.823 99.94 4.114 33.284-4.71 65.854-10.63 96.896-8.42 31.04 2.212 62.09 10.18 90.505 41.165 19.374 21.125 46.887-1.627 23.82-24.156-35.024-34.207-72.527-47.42-109.377-50.04-36.85-2.62-72.2 4.698-104.207 9.228-32.007 4.53-60.272 6.552-84.558-2.61-14.39-5.43-28.308-14.802-41.55-31.142h351.744c13.673-52.293 14.867-106.368 1.873-142.072-19.765 8.49-42.412 12.9-66.2 13.197h-.002c-29.85.37-59.458-6.925-82.907-22.823-4.647 3.012-9.407 6.23-14.292 9.685l-5.734 4.057-5.49-4.382c-46.63-37.2-91.028-52.48-129.03-52.773z"}}]})(props);
};
function GiCatapult (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M197.746 30.38l-9.898 30.905-40.485 18.194-28.79 28.055 30.855 35.512 47.486-4.596 36.06 8.35 30.83-33.52-4.263-56.7-61.794-26.2zM25.902 133.32c-13.472 25.957-6.665 67.412 30.356 96.746 37.04 29.35 78.807 26.396 100.855 7.223L25.903 133.32zm359.174 68.99l-34.152 11.38 7.217 21.65-227.6 147.94c12.527 4.355 23.416 12.25 31.466 22.484L369.904 270.63l36.303 108.913c16.727.414 31.995 6.866 43.7 17.264l-64.83-194.498zM171.484 248.67c-9.358 9.058-21.296 15.425-34.656 18.715l63.496 49.064L232.3 295.67l-60.816-46.996zM292.66 342.31l-31.976 20.784L317.504 407h32.183c3.296-4.39 7.104-8.377 11.336-11.865L292.66 342.31zM108.166 397.5c-27.997 0-50.5 22.503-50.5 50.5s22.503 50.5 50.5 50.5 50.5-22.503 50.5-50.5-22.503-50.5-50.5-50.5zm296.334 0c-27.997 0-50.5 22.503-50.5 50.5s22.503 50.5 50.5 50.5S455 475.997 455 448s-22.503-50.5-50.5-50.5zM25 425v46h18.66c-2.58-7.196-3.994-14.937-3.994-23s1.415-15.804 3.994-23H25zm147.672 0c2.58 7.196 3.994 14.937 3.994 23s-1.415 15.804-3.994 23h167.322c-2.58-7.196-3.994-14.937-3.994-23s1.415-15.804 3.994-23H172.672zm296.334 0c2.58 7.196 3.994 14.937 3.994 23s-1.415 15.804-3.994 23H487v-46h-17.994zm-360.84 3.166A19.833 19.833 0 0 1 128 448a19.833 19.833 0 0 1-19.834 19.834A19.833 19.833 0 0 1 88.334 448a19.833 19.833 0 0 1 19.832-19.834zm296.334 0A19.833 19.833 0 0 1 424.334 448a19.833 19.833 0 0 1-19.834 19.834A19.833 19.833 0 0 1 384.666 448a19.833 19.833 0 0 1 19.834-19.834z"}}]})(props);
};
function GiCatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M36.98 18l350.006 400.08c10.916 10.836 45.478-17.1 35.515-28.521L96.311 18zm237.871 75.049c-3.528-.018-7.08.44-10.687 1.293-4.523 1.091-6.394 3.412-7.073 7.992-3.196 21.83-6.453 43.604-9.748 65.395l29.473 33.843c1.519-10.236 3.04-20.474 4.52-30.605 3.43-22.962 6.841-45.947 10.333-68.867.483-3.197.196-5.09-3.255-6.454-4.53-1.765-9.027-2.574-13.563-2.597zm77.889 12.672c-1.442-.052-3.549 1.02-4.235 2.265-13.995 24.056-27.87 48.222-41.71 72.377-5.923 10.289-11.93 20.508-18.008 30.992L378.29 314.22c31.152-15.378 62.322-30.761 93.373-46.278 1.577-.796 3.12-3.293 3.253-5.127.7-9.277-2.2-17.538-8.007-24.775-1.954-2.473-3.744-3.432-7.094-1.834-18.946 9.378-38.051 18.465-57.139 27.625a12908.93 12908.93 0 0 0-39.039 18.908 3146.205 3146.205 0 0 0-10.433-15.129 260.85 260.85 0 0 0 3.255-3.138c28.947-27.247 57.84-54.56 86.805-81.748 2.611-2.382 3.176-4.469 2.006-7.664-2.825-7.68-7.444-13.744-14.406-18.303-3.881-2.55-6.277-2.224-9.649 1.033-12.749 12.205-25.803 24.113-38.752 36.12-17.15 15.944-34.304 31.91-51.576 47.74-1.133 1.128-3.92 2.14-4.773 1.519-4.408-3.04-8.485-6.688-12.633-10.12 9.769-16.682 19.24-32.9 28.77-49.116 11.56-19.79 23.14-39.55 34.501-59.473.86-1.48 1.114-4.37.176-5.654-5.79-8.301-13.937-12.907-24.19-13.084zm-210.93 94.494c-6.05.006-11.888 2.65-17.666 7.982 1.095 1.384 2.264 2.752 3.356 4.155 12.784 16.33 25.768 32.55 38.341 49.097 15.007 19.828 29.061 40.47 44.752 59.766 11.073 13.548 23.803 26.138 44.096 23.818a2753.003 2753.003 0 0 1 3.215 17.996c-24.303 3.428-41.3-8.792-57.344-24.638-1.017 2.67-1.6 4.52-2.42 6.312-7.719 16.98-14.814 34.267-23.314 50.818-8.869 17.258-47.666 68.734-71.535 98.479h177.12c.842-12.673 1.754-26.345 3.008-36.84 3.179-27.273 7.778-54.274 19.206-79.553 3.273-7.29 7.58-13.722 12.935-19.158l-95.39-109.648c-.062.506-.1.993-.14 1.478-.074.86-1.07 2.148-1.812 2.323-5.358.974-10.955 2.884-16.021 2.048-2.96-.489-5.069-5.636-7.547-8.714-1.15-1.406-2.18-2.865-3.31-4.27-10.1-12.61-19.514-25.868-32.92-35.342-5.769-4.065-11.272-6.114-16.61-6.11z"}}]})(props);
};
function GiCaterpillar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M248.5 135.7c19.6 32.3 23.9 68.6 17.7 102.5 15.1 2.7 27.5 13.6 39.9 27.6 2.7 3.1 5.5 6.4 8.3 9.8 10.6-11.3 17.7-28.2 20.2-47.2 2.8-21.8-.7-45.4-10-63.1-.3-.4-.7-.9-1-1.3a22.65 43.28 6.281 0 1-26.1 32.2 22.65 43.28 6.281 0 1-17.5-45.9 22.65 43.28 6.281 0 1 2.2-11.6c-8-1.9-17.3-2.9-28.1-3zm-20.5 1.5c-5.2.6-10 1.5-14.3 2.6a37.86 20.25 64.9 0 1 2.1 3.9 37.86 20.25 64.9 0 1-.9 43.9 37.86 20.25 64.9 0 1-34.4-23.9 37.86 20.25 64.9 0 1-2.1-4.7c-6.3 6.5-10.9 14.1-14.7 22.7 21.7 14.6 33.3 33.9 38.5 53.9 2.3 8.5 3.5 17.1 4.2 25.6 1.2-1.5 2.5-2.9 3.8-4.3 10.3-11.1 21.8-17.6 37.8-19.2 7-33.8 2.3-69.4-20-100.5zM157.2 199c-1.6 4.9-3.1 10-4.7 15.1a25.71 14.31 34.53 0 1 12.6 26.1 25.71 14.31 34.53 0 1-22.4 1.1c-1.5 3.5-3.2 6.9-5.1 10.3 15.2 6.9 24.5 18.6 29.1 31.8 2.3 6.6 3.8 13.5 4.7 20.4 6.8-7.8 12.5-14.8 17.6-21.1 0-14.8-.7-29.4-4.2-42.5-4.1-15.8-11.7-29.6-27.6-41.2zm326 22.1c-13.4 17.1-18.8 39.2-21.3 59.5.1.1.3.1.5.2 5.8 2.4 11.5 5 16.8 8 2.4-20.5 7.1-42.5 18.2-56.7zm-130.7 8.6c0 .4-.1.7-.1 1.1-3 22.6-11.7 44.4-26.7 59.1 8 10.3 16.6 21.7 26.4 33.6 1.2 1.5 4.3 3.6 8.7 5.8 18.2-16.4 27.5-33.5 28.2-51.9-2.8-1.3-5.4-2.8-7.8-4.5a14.31 25.71 27.97 0 1-19.3 8 14.31 25.71 27.97 0 1-.6-29.4 14.31 25.71 27.97 0 1 .5-.9l-1.8-3.3c-2.8-5.6-5.3-11.5-7.5-17.6zM242 256c-7.9 1.5-12.8 5.5-19.9 13.2-1.4 1.5-2.9 3.2-4.4 5a20.74 15.03 67.92 0 0 .2.4 20.74 15.03 67.92 0 0 22.5 6.5A20.74 15.03 67.92 0 0 242 256zm30.9 4.7a15.58 20.74 40.18 0 0-6.6 25 15.58 20.74 40.18 0 0 23.9 1.6 15.58 20.74 40.18 0 0 5-5.1c-1.3-1.5-2.6-3.1-3.9-4.5-6.7-7.7-12.8-13.3-18.4-17zm-145.3 5.8c-.2.2-.4.5-.6.7a25.71 14.31 62.03 0 1-2.5 25.3 25.71 14.31 62.03 0 1-19.4-8.2c-1.2.4-2.5.8-3.8 1.2 6.2 11.2 8.8 23.2 9.3 34.1.2 6-.1 11.8-.8 17.1 6.4-.9 12.6-2.1 18.2-3.5 14-3.5 25-9.1 26.8-11 .1-.1.1-.2.2-.2-1-12.2-2.2-23.7-5.3-32.7-3.8-10.8-9.1-18.7-22.1-22.8zm279 16.2c-2.1 19.3-11.6 37.2-27 53.3.5.1.9.2 1.4.3 11.9 2.8 25.9 4.7 40 5.4 10.3-17 15.5-35.7 13-52-1.3-.3-2.7-.7-4-1.1a10.65 21.91 5.821 0 1-10.8 10.5 10.65 21.91 5.821 0 1-8.3-15.4c-1.5-.4-2.9-.7-4.3-1zM81.97 288c-4.53.2-9.08.2-13.55.2a25.89 16.75 75.16 0 1-11.93 20.9 25.89 16.75 75.16 0 1-20.99-18.5c-3.11.9-5.69 2.1-7.62 3.6-4.52 3.6-7.62 9-6.95 22.8.38 7.8 5.04 12.5 15.86 16.6 10.81 4.2 26.75 6 43.35 5.7 3.69-.1 7.41-.3 11.12-.5 1.02-5.7 1.65-12 1.38-18.5-.46-11-3.12-22.1-10.67-32.3zm370.63 7.8c.6 15.6-3.8 31.4-11.1 46 13.9-.5 26.7-2.3 35.7-5.2 5.6-1.9 9.7-4.2 11.7-6.1 2.1-1.9 2.3-2.7 2.2-4.5-.3-4.9-3.2-9.6-9.3-14.7-6-5-15-9.8-24.9-13.8-1.4-.6-2.9-1.1-4.3-1.7zm-259.6 9c-6 7.2-12.8 15.1-21 23.9a20.77 16.07 52.56 0 0 4 4.4 20.77 16.07 52.56 0 0 24.7.2 20.77 16.07 52.56 0 0-6-27.1 20.77 16.07 52.56 0 0-1.7-1.4zm125.5 6.9a14.85 20.66 27.26 0 0-3.2 26.7 14.85 20.66 27.26 0 0 22.4-2.5c-.3-.3-.6-.7-.9-1-6.7-8.2-12.6-15.8-18.3-23.2zm-171.7 34.5c-4.8 1.7-10.1 3.1-15.8 4.5-3.1.8-6.4 1.5-9.8 2.1a20.74 13.19 72.3 0 0 2.8 6.9 20.74 13.19 72.3 0 0 19.9 8.2 20.74 13.19 72.3 0 0 2.9-21.7zm-103.96 8.2a13.25 20.94 0 0 0 0 .2 13.25 20.94 0 0 0 13.25 20.9 13.25 20.94 0 0 0 13.12-18.2c-9.16-.2-18.08-1.1-26.37-2.9zm435.16.3c-8.3 2.4-17.7 3.8-27.7 4.6a20.48 14.24 70.89 0 0 3.2 5.7 20.48 14.24 70.89 0 0 21.1 3.9 20.48 14.24 70.89 0 0 3.4-14.2zm-96.6.4a20.76 15.54 83.84 0 0 1.2 7.4 20.76 15.54 83.84 0 0 20.4 12.7 20.76 15.54 83.84 0 0 9.4-15.9c-10.7-.8-21.3-2.2-31-4.2z"}}]})(props);
};
function GiCauldron (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M410.478 374.033c50.192-40.902 82.002-101.322 82.002-168.791 0-39.775-11.145-77.055-30.493-109.388a207.118 207.118 0 0 0 5.876-1.474c12.638-3.438 20.085-16.457 16.66-29.095-3.425-12.638-16.424-20.108-29.093-16.702-.733.199-74.898 19.832-193.895 19.832-110.53 0-202.801-19.902-203.718-20.103-12.818-2.797-25.447 5.308-28.254 18.101-2.804 12.798 5.292 25.445 18.091 28.253.315.07 1.27.276 2.707.574-19.575 32.472-30.84 69.98-30.84 110.002 0 68.303 32.587 129.4 83.864 170.31l-24.663 55.324c-5.338 11.965.042 25.993 12.007 31.327 12.296 5.259 26.798-2.42 31.332-12.012l21.674-48.613c33.399 17.026 71.63 26.698 112.263 26.698 41.476 0 80.435-10.097 114.325-27.786l22.157 49.702c7.795 11.978 19.23 17.286 31.331 12.011 11.966-5.334 17.346-19.361 12.007-31.326zm-90.163-242.518c-7.512 24.69-2.9 36.895 3.11 54.952 5.987 17.983-6.469 29.056-14.63 29.056-8.156 0-21.41-11.499-14.918-29.056 13.532-36.59-8.026-54.037-8.615-53.989-.033.003-8.379 11.894-7.907 26.89 1.118 35.315 13.779 94.118-1.723 94.118-15.826 0 .463-81.382-31.972-116.972-26.704 1.119-26.015-1.388-47.65-2.632-23.353 16.934-8.423 44.864-21.866 44.864-15.428 0-1.586-21.75-8.458-31.726-17.374-25.214-37.565-7.444-38.913 3.145.222 18.93 4.249 27.993 5.204 33.82 1.826 11.155-6.168 20.464-13.773 20.464-7.609 0-13.777-9.16-13.777-20.464 0-5.677 5.037-18.096 6.905-33.982-5.262-21.376-13.898-38.007-33.576-45.124 83.853 9.403 240.356 19.834 344.19 3.476-31.871 12.565-71.261 20.029-101.69 23.006.013.054.078.098.06.154z"}}]})(props);
};
function GiCavalry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.962 29.14c-3.21.063-6.68 1.158-10.303 3.4-5.798 3.584-11.47 10.14-14.872 18.715-3.4 8.575-3.767 17.236-2.004 23.82 1.763 6.585 5.248 10.765 9.83 12.583 4.582 1.817 9.986 1.165 15.784-2.42 5.797-3.586 11.467-10.143 14.87-18.717 3.4-8.573 3.767-17.235 2.005-23.82-1.763-6.584-5.25-10.764-9.832-12.58-1.718-.683-3.55-1.018-5.478-.98zm83.428 36.012c-8.823 13.437-17.545 27.577-36.268 45.2l-1.615 1.52-2.137.596c-9.165 2.554-19 3.7-28.863 4.48-.54 5.822-1.76 11.47-3.492 16.946 14.814.187 28.827-.778 41.297-4.62 18.26-17.188 36.623-35.375 44.685-56.7l-13.607-7.422zm-133.135 31.58c-.172 0-.348.005-.527.02-1.248.117-2.846.825-5.022 2.126-11.898 12.29-14.007 33.196-.867 57.082 5.73 10.42 18.094 18.277 33.66 23.58 13.165 4.485 28.138 7.013 41.808 8.51l3.71-13.443c-6.24-1.808-14.008-3.65-22.142-6.082-11.813-3.53-24.576-8.437-34.355-18.432l-.343-.35-.303-.388c-5.047-6.43-5.557-13.842-5.6-22.496-.037-7.045.813-15.254 2.02-24.023-3.345-2.203-6.258-4.21-8.39-5.088-1.395-.575-2.445-1.008-3.65-1.018zm29.242 12.676c-.806 6.653-1.25 12.573-1.226 17.36.035 6.717 1.526 10.814 1.69 11.21 1.988 1.936 4.304 3.67 6.87 5.24 4.536-8.52 8.03-16.96 9.363-25.23l-16.696-8.58zm202.955 36.5c-38.698.407-97.748 25.527-127.31 46.75l21.93 26.664c23.08-25.157 50.67-42.282 78.29-49.248 28.02-7.068 56.45-3.25 78.33 13.597 1.784-1.8 2.504-3.56 2.694-5.432.305-3.01-.998-7.446-4.865-12.283-7.734-9.675-24.947-19.342-45.388-20.008-1.204-.04-2.43-.052-3.68-.04zm-259.16 8.734c-6.568 16.39-10.208 33.35-7.805 47.883 2.263 13.104 8.145 17.46 18.125 21.94 9.99 4.483 23.807 7.117 36.907 14.036l6.466 3.417-2.022 7.03c-5.67 19.72-14.65 38.776-28.312 56.41 8.66 10.85 24.016 19.95 40.84 29.016l6.138-10.893-17.434-29.078 4.14-4.914c10.787-12.804 16.836-38.882 20.882-55.754-7.692-7.7-25.79-16.08-42.803-28.55l-6.36-4.66 3.784-6.917c.52-.952 1.076-1.906 1.62-2.86-12.188-5.97-22.86-14.237-29.39-26.11-1.823-3.313-3.407-6.652-4.778-9.995zm260.135 29.922c-7.587-.093-15.517.908-23.664 2.963-26.07 6.576-53.767 24.346-75.986 51.377l-6.952 8.457-33.34-40.54c-1.77.288-3.426.55-5.21.842 9.908 16.11 16.95 31.17 25.693 40.888 5.715 6.352 11.743 10.584 20.38 12.742 8.025 2.006 18.66 2.104 33.263-1.126-2.695-7.855-2.26-16.004-.318-23.077 2.52-9.172 7.08-17.28 10.78-24.534l16.035 8.184c-2.167 4.244-4.322 8.392-6.112 12.324 5.102-.272 13.1-.745 20.61-1.246 8.984-.6 14.34-.982 17.38-1.197 1.703-3.57 3.562-6.718 5.905-9.497 3.513-4.17 8.686-7.383 14.256-8.108 1.392-.18 2.764-.257 4.13-.234 6.8.114 13.423 2.692 21.293 6.686 1.867-6.108 3.71-12.142 5.54-18.045-12.05-11.18-27.044-16.652-43.683-16.856zM277.92 210.86c-4.448.743-8.952 1.51-13.448 2.27 5.022 3.758 9.534 8.032 13.05 13.293l2.204 3.297-.948 3.852c-3.357 13.658-7.853 41.85-21.802 62.15l16.474 27.48-14.802 26.26c6.94-1.8 13.538-4.246 19.607-7.447l11-5.8 2.074 12.26c5.978 35.36-13.102 68.48-22.475 99.294 6.508 9.05 12.247 14.98 17.275 20.388 4.097 4.407 8.004 9.006 10.654 14.683h28.254c-1.863-9.857-5.227-15.497-17.834-26.75l-5.578-4.98 3.87-6.396c15.287-25.248 24.903-82.92 28.925-111.46l.92-6.526 6.503-1.092c10.253-1.72 16.833-5.857 22.162-11.826 5.33-5.97 9.233-14.076 12.258-23.29 1.334-4.067 2.448-8.31 3.478-12.62-16.163 3.494-29.45 3.68-40.754.855-12.36-3.088-21.957-9.893-29.4-18.164-12.948-14.39-20.65-32.733-31.665-49.73zm-108.337 19.524c-14.047 2.79-27.408 5.57-39.43 8.29-12.594 4.275-20.655 10.807-26.92 19.765-6.32 9.03-10.644 20.798-14.083 34.75-6.85 27.778-10.026 63.737-23.073 100.858l-17.465 65.434c3.948 3.74 7.722 6.273 11.717 9.855 3.488 3.13 6.69 7.757 8.58 13.504h23.447c.593-9.5-2.71-19.834-10.856-26.5l-5.18-4.235 26.142-62.953 5.35-.537c21.24-2.133 40.548-26.11 51.19-40.262l3.75-4.982 5.982 1.758c22.6 6.637 49.11 10.156 73.326 7.377-21.107-11.086-43.545-22.54-55.405-43.017l-3.175-5.483 4.09-4.84c12.58-14.873 20.877-30.868 26.6-47.8-8.712-3.39-18.953-6.002-28.93-10.48-5.508-2.472-10.967-5.897-15.657-10.5zm288.38.46c-.19-.005-.353.002-.493.02-1.118.146-1.406.185-2.817 1.858-1.352 1.604-3.214 4.944-5.216 9.785-1.614 5.982-.063 10.297 4.242 15.903 2.565 3.34 6.158 6.746 10.16 10.117 4.106-10.06 7.79-20.716 11.25-31.467-9.026-4.414-14.86-6.17-17.128-6.217zm-340.25 13.26c-.02 0-.32.076-.358.08.37.02.43-.086.36-.08zm313.353 4.83c-4.126.288-5.917.422-12.262.845-10.82.72-21.303 1.44-26.12 1.497.313 2.1 1.08 4.127 2.41 6.265l.532.854.33.95c.627 1.807 1.2 3.502 1.744 5.15 2.49 4.435 9.938 11.22 20.264 16.535 10.333 5.317 23.014 9.548 34.29 11.682 1.334-2.325 2.624-4.727 3.876-7.19-5.863-4.615-11.877-9.832-16.727-16.148-4.34-5.652-7.67-12.72-8.337-20.44zm-347.57 7.306c-5.687 2.507-11.285 5.163-16.114 7.74-6.134 3.273-10.633 6.54-12.37 8.03-4.556 15.79-6.52 30.088-11.78 44.884-4.72 13.276-12.487 26.58-26.66 40.11 11.624 10 23.234 16.21 37.47 15.316 8.202-29.22 11.38-58.08 17.63-83.44 2.888-11.71 6.472-22.743 11.825-32.64zm320.41 37.61c.224 5.742-.135 11.87-.944 19.608-.05 6.863 3.644 11.33 9.248 12.71 5.623 1.388 14.58-.295 24.822-12.622l.204-.244.22-.23c1.315-1.372 2.59-2.824 3.836-4.324-10.776-2.654-21.76-6.668-31.562-11.71-1.99-1.025-3.925-2.093-5.825-3.19zm-27.463 33.017c-6.36 6.718-14.816 11.936-25.082 14.857-.01.077-.026.17-.037.248l15.336 17.203-8.665 25.655-14.53 3.216c-1.706 8.07-3.678 16.264-5.95 24.278.423.08.85.17 1.27.246 10.442 1.892 19.172 1.915 26.915-1.684 17.515-18.86 28.118-31.565 31.95-53.44-1.87-7.903-10.127-20.008-19.666-29.138-.512-.49-1.026-.967-1.54-1.44zm-210.993 42.66c-5.333 6.792-12.013 14.51-20.16 21.164 16.307 31.444 34.568 62.892 57.48 92.173h26.753c-28.96-35.58-47.84-75.123-64.073-113.336z"}}]})(props);
};
function GiCaveEntrance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M346.951 24.582L299.193 72.34l-101.136-7.024-40.97 80.737 68.688 25.35 37.153-19.936 8.511 15.861-44.293 23.768-79.7-29.416-70.19 55.341 35.117 58.995-.375.2 13.014 21.585 29.134 2.361 55.06-35.123 9.679 15.176-60.16 38.377-44.364-3.596-18.23-30.234-56.8 30.586 33.712 61.804-33.713 40.735L18 444.177V494h170.62l-5.6-45.592a260.658 260.658 0 0 1-5.147-4.512c-4.186-3.761-5.89-5.444-8.027-7.484l-73.13 21.797-21.339-20.484 12.467-12.985 13.777 13.225 73.068-21.78 3.784 3.667s4.24 4.09 9.216 8.636l37.797-37.248 8.133 79.54 6.3-93.444 10.364 28.387 6.281-45.112 3.14-3.091-.29-.233 22.486-27.974.465-.907.188.096 11.453-14.248 14.03 11.277-9.122 11.348 67.803 34.715 27.008-9.489 22.478 17.71 22.924-12.036 8.367 15.938-33.262 17.46-23.875-18.81-24.964 8.772-9.584-4.907 39.04 87.842L383.923 494H494v-28.512L462.713 478.2l-6.776-16.678L494 446.06V211.176l-23.438-26.463-21.654-67.371-33.547 32.666-107.77-13.873-28.019-29.096 12.967-12.486 23.629 24.539 92.867 11.953 31.442-30.615-52.79-61.801zm27.53 177.74l34.177 41.428 28.863-6.56-4.136-13.59 17.22-5.243 9.77 32.098-58.543 13.307-31.377-38.033-33.086 19.853-9.262-15.436z"}}]})(props);
};
function GiCaveman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M159.1 25.62l-3.5 12.53 134.9 36.28 4.4-13.19zM316.4 54.6l-8.6 25.73c14.6 13.43 29.6 14.58 47.1 13.07l6-29.18c-12.6-6.91-27.8-9.25-44.5-9.62zm128 27.27l-29.6 8.09-4.7 17.24 23.8 23 52.1-11.7zm-68.5.58L373 96.57l19.6 5.33 3.8-14.07zm-174.6 7.46c-7.3.18-14.4 3.61-20.7 9.95-7 7.24-12.4 18.24-13.9 31.04s1.4 24.7 6.7 33.3c5.4 8.4 12.7 13.5 21.1 14.4 8.4.8 16.7-2.6 23.8-9.9 7-7.2 12.5-18.2 14-31.1 1.4-12.7-1.5-24.6-6.8-33.1-5.4-8.55-12.7-13.61-21-14.47-1-.11-2.1-.15-3.2-.12zm113.3 16.39c-4.6 33.6-11.8 60.1-22 88.3l-27.5-3.6c-.4 15-2.4 30-7.5 45.2 20.6-.5 40.2-2.8 59.3-11.3 11.3-37.8 18.4-75.3 24.3-112.9-8.9-.4-17.8-1.9-26.6-5.7zm-174.1 76.9c-8.7 0-15.5.7-26.6 4.1-26.62 16.2-45.72 40.2-53 57.9-8.4 20.9-11.67 47-11.26 70.5l25.64 3.2c3.41-24 4.92-41.7 10.83-60.8l47.29-34-2.9 45.9 7.5-2.3c18-9.1 30.5-20.7 41.3-34.1 9.4-11.6 17.3-24.5 25.7-37.5-4.1.8-8.2 1-12.5.6-10.5-1-19.6-5.9-26.9-13.1-10.9 0-18.7-.4-25.1-.4zm106.1 4.8l-13.7.2c-12.9 17-23.3 36.5-37.9 55 6.4 2.3 11.4 8.4 11.5 13.9-.9 10.3-10.6 15-19 15.1-6.1-.4-11-2-15-5.6-12.1 10-26.8 18.8-45.4 25.2.2 2.4.5 4.9.6 7.3 3.1-1 6.3-1.5 9.8-1.5 11.5.3 23.1 7.4 23.3 18.1-1.3 12.4-13.3 18-23.3 18.1-3.7 0-7.2-.6-10.3-1.8-.9 7.5-2.5 15.1-5.1 22.7l27 2.5 5.8 29.4 24.9-23 12.5 32.3c5.4-10.2 11-20.4 17.2-30.4-11.3-.2-23.6-6.5-23.9-16.7 1.3-12.5 14.3-16.7 24-16.8 7.3.4 13.8 1.8 19 6.2 7.8-9.8 16.6-19.1 26.4-27.8-1.3-3.4-3-7-5.1-10.6-3 .8-6.4 1.2-9.9 1.2-10.2-1.1-22.7-3.5-22.9-14.5.4-6.3 4.9-10.2 9.9-12.3 1.3-.5 2.7-.9 4.1-1.2-2.7-3.5-5.1-6.5-7.8-10.1l3.7-5.5c15.5-23.2 19.4-45.3 19.6-69.4zm4.2 152c-8 8.9-15 18.3-21.6 28.3 4.5 3.8 9.4 7.8 14.2 11.9 9.4 8 19.2 17 21.7 30.3l14.4 75.9 27.8-10.4c-3.6-28.8-5.3-48.9-12.7-81.3v-.3l-.1-.3c-1.6-10-10.3-20.4-21.8-31.6-7.1-7-15.1-14.3-21.9-22.5zM126 373.4l-20 50.1c-24.75 5.4-51.43 1-72.64-3.4l-7.39 23.7c32.23 6.1 74.93 10.2 97.83 5.9l18.8-31.1-8.8-44.5z"}}]})(props);
};
function GiCctvCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M109.285 30.402c-14.82-.007-30.414 2.144-46.822 6.932a9.5 9.5 0 0 0-.145.05 9.5 9.5 0 0 0-.496.173 9.5 9.5 0 0 0-.39.152 9.5 9.5 0 0 0-.47.218 9.5 9.5 0 0 0-.384.193 9.5 9.5 0 0 0-.463.273 9.5 9.5 0 0 0-.342.22 9.5 9.5 0 0 0-.435.32 9.5 9.5 0 0 0-.324.256 9.5 9.5 0 0 0-.397.357 9.5 9.5 0 0 0-.297.29 9.5 9.5 0 0 0-.37.405 9.5 9.5 0 0 0-.247.293 9.5 9.5 0 0 0-.342.463 9.5 9.5 0 0 0-.215.315 9.5 9.5 0 0 0-.282.472 9.5 9.5 0 0 0-.193.354 9.5 9.5 0 0 0-.233.497 9.5 9.5 0 0 0-.156.367 9.5 9.5 0 0 0-.178.512 9.5 9.5 0 0 0-.122.386 9.5 9.5 0 0 0-.17.688L33.42 156.55a9.5 9.5 0 0 0 5.625 10.614l82.023 34.578 31.62 162.133-116.534 25.313a9.5 9.5 0 0 0-7.5 9.156l-1.062 76.47a9.5 9.5 0 0 0 12.375 9.186l146.468-46.813 24.123-4.677c.177.003.353.015.53.015 9.956 0 19.332-4.742 25.88-12.472 6.543-7.724 9.966-17.79 9.956-28.16v-.026c.006-6.574-1.372-13.037-4.045-18.855l-25.273-130.57 125.774 53.02a9.5 9.5 0 0 0 .155.058 9.5 9.5 0 0 0 .545.197 9.5 9.5 0 0 0 .35.11 9.5 9.5 0 0 0 .543.138 9.5 9.5 0 0 0 .416.086 9.5 9.5 0 0 0 .483.073 9.5 9.5 0 0 0 .482.05 9.5 9.5 0 0 0 .43.02 9.5 9.5 0 0 0 .54.004 9.5 9.5 0 0 0 .363-.01l83.406-5.28a9.5 9.5 0 0 0 7.97-5.438l50.522-106.954.008-.014a9.5 9.5 0 0 0 0-.002 9.5 9.5 0 0 0 .02-.047 9.5 9.5 0 0 0-5.51-13.137c-7.787-4.27-15.802-7.26-23.956-9.148L152.273 36.688a9.5 9.5 0 0 0-.802-.268c-13.317-3.843-27.364-6.01-42.185-6.018zM82.938 44.125a9.5 9.5 0 0 1 3.687.72l290.75 116.53a9.508 9.508 0 0 1 5.77 10.79 9.5 9.5 0 0 0-.707 1.46l-.836 2.07a9.508 9.508 0 0 1-11.29 3.336L79.563 62.47a9.5 9.5 0 0 1 3.376-18.345zm357.308 128.367c4.4.038 8.75.508 13.068 1.404l14.74 5.72-23.67 50.114c.912-4.058 1.378-8.082 1.335-11.855-.1-8.732-2.94-15.95-7.845-19.563-4.905-3.613-11.688-3.48-18.375.25-1.65.92-3.305 2.063-4.906 3.375.614-.822 1.19-1.72 1.687-2.687 1.417-2.757 2.248-5.952 2.22-8.78-.032-2.835-.945-5.243-2.563-6.47-.808-.613-1.74-.922-2.75-.906-1.01.016-2.102.332-3.156.937-2.107 1.212-4.08 3.52-5.5 6.282-1.417 2.764-2.25 5.948-2.217 8.782.03 2.833.945 5.242 2.562 6.47 1.617 1.225 3.798 1.147 5.906-.064-3.416 3.562-6.546 7.9-9.092 12.72-4.608 8.716-7.226 18.798-7.125 27.53.1 8.732 3 15.98 7.906 19.594 4.904 3.614 11.624 3.45 18.31-.28 4.178-2.332 8.29-6.018 11.91-10.582l-8.41 17.8-62.75 4 37.253-92.39c14.635-7.746 28.272-11.513 41.463-11.4zm-298.078 38.145l16.014 6.752 29.732 139.555c-3.005-.917-6.143-1.41-9.342-1.41-2.724 0-5.4.366-7.988 1.037l-28.416-145.935zm37.353 15.748l17.017 7.174 23 118.83c-2.732-.75-5.564-1.156-8.447-1.156-1.643 0-3.266.14-4.865.39l-26.704-125.24zM211.09 370.3c3.863 0 8.258 1.978 11.472 5.772 3.215 3.795 5.433 9.89 5.424 15.795a9.47 9.532 0 0 0 0 .026c.01 5.905-2.21 12-5.423 15.795-1.525 1.8-3.316 3.177-5.188 4.142l-6.143 1.19c2.106-5.273 3.184-11.002 3.178-16.827v-.025c.004-3.773-.452-7.51-1.342-11.107a9.5 9.5 0 0 0-.193-2.248l-2.656-12.458c.29-.022.583-.055.87-.055zm-32.518 4.3c3.864 0 8.26 1.978 11.475 5.773 3.214 3.795 5.43 9.89 5.422 15.795a9.47 9.532 0 0 0 0 .025c.008 5.905-2.21 12-5.423 15.795-3.215 3.795-7.61 5.774-11.475 5.774-3.863 0-8.233-1.98-11.447-5.774-3.214-3.794-5.458-9.89-5.45-15.795a9.47 9.532 0 0 0 0-.025c-.008-5.905 2.236-12 5.45-15.795s7.584-5.773 11.447-5.773zm-34.496 10.59c-.87 3.56-1.316 7.25-1.312 10.978v.025c-.01 10.37 3.41 20.437 9.953 28.16.838.99 1.723 1.93 2.648 2.817L46.78 461.875l.782-55.72 96.514-20.966z"}}]})(props);
};
function GiCeilingBarnacle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M30.867 18c12.65 11.06 31.3 26.2 44.985 32.2 17.032 7.47 38.4 1.287 54.988 9.59-5.477-8.777-8.41-17.61-9.207-26.09-.515-5.483-.15-10.734.805-15.7h-91.57zm110.022 0c-1.246 4.476-1.79 9.165-1.335 14.018.818 8.717 4.722 18.385 15.29 29.267.32.33.63.667.926 1.01l.193-.113c.255.437.532.888.793 1.33a25.45 25.45 0 0 1 2.74 4.508c5.69 9.12 12.674 18.614 21.805 25.728 11.105 8.652 25.032 14.21 45.923 11.79l2.07 17.882c-25.174 2.916-44.854-4.41-59.055-15.473-4.365-3.4-8.24-7.116-11.707-10.955-3.803 10.373-8.874 20.164-9.628 24.29-2.652 14.53-9.086 27.746-13.47 39.945-4.385 12.2-6.614 22.717-3.668 32.267 4.606 14.934 14.197 28.927 26.466 40.906 9.46-14.322 24.7-23.213 40.327-26.728a70.313 70.313 0 0 1 12.548-1.676c11.136-.452 22.084 1.948 31.04 7.988 14.714 2.962 28.41 3.4 41.11 1.766 17.47-3.79 30.232-8.383 40.212-13.375 9.084-5.11 12.158-7.887 19.762-15.072l11.31 14.486c-5.327 5.032-4.732 4.77-10.815 8.98 6.572 8.777 10.043 19.63 11.36 30.986.504 4.332.71 8.777.68 13.295 5.377-.733 10.593-1.358 15.053-2.378 7.49-1.714 11.58-3.946 13.387-7.748 3.456-7.267 3.06-14.07.008-22.61-3.052-8.538-9.047-18.164-15.76-28.248-13.425-20.167-30.778-42.58-26.732-68.818 1.815-11.767 10.355-18.66 16.682-24.264 6.328-5.602 10.496-10 11.17-13.714.68-3.745-1.33-6.83-4.736-13.61a40.06 40.06 0 0 1-1.795-4.146 53.576 53.576 0 0 1-15.38 6.826c-13.728 3.666-28.27 2.59-41.812-.22-13.54-2.812-26.147-7.455-35.946-11.727-9.798-4.273-15.97-7.58-19.377-9.938l10.246-14.8c.2.138 7.356 4.326 16.328 8.238 8.97 3.912 20.578 8.146 32.41 10.603 11.832 2.457 23.82 3.04 33.508.453 9.562-2.554 16.974-7.552 22.328-18.247 2.03-6.903.398-14.886-3.094-22.703H140.89zm240.673 0c3.49 10.68 4.348 22.59-1.428 34.084-3.22 6.41-1.924 8.107.783 13.494 1.664 3.31 4.448 7.73 5.88 13.242 8.43-7.886 31.92-28.96 48.272-34.545 11.597-3.96 26.696 6.013 36.75-.994 6.514-7.855 6.166-16.655 10.682-25.28h-100.94zM283.06 133.574c10.816.026 22.858 3.918 33.096 7.557 10.238 3.64 18.332 7.28 18.332 7.28l-7.38 16.418s-7.488-3.362-16.98-6.736c-9.494-3.374-21.332-6.504-27.11-6.518-8.447-.02-24.147 4.163-36.834 8.604-12.688 4.44-22.704 8.883-22.704 8.883l-7.3-16.453s10.622-4.715 24.056-9.418c13.435-4.703 29.34-9.648 42.825-9.616zM118.187 208.62c-9.852 38.733 2.81 83.295 19.835 120.958 6.99-22.215 8.133-50.082 17.472-69.916-.072-1.11-.133-2.227-.18-3.35-15.91-13.017-29.21-29.15-37.126-47.693zm209.78 11.47c-8.96 4.17-19.533 7.938-32.35 11.174 20.208 38.092 21.473 71.305 23.624 103.172 5.584-14.437 11.1-31.037 14.617-47.545 3.29-15.437 4.793-30.625 3.35-43.06-1.172-10.1-4.204-17.948-9.24-23.74zm-113.93 3.945a45.573 45.573 0 0 0-2.358.018c-2.995.098-6.08.484-9.172 1.18-11.658 2.622-22.74 9.42-29.197 19.134-1.078 31.31 7.395 55.407 20.983 80.217 7.8 14.24 17.38 28.777 27.523 44.478-8.355-58.696-7.032-103.982 6.873-141.943-4.166-1.893-9.21-2.982-14.655-3.085zm31.665 8.85c-4.467 12.118-7.57 25.227-9.352 39.646 17.637 1.544 36.295-.585 55.267-4.112-3.334-10.953-8.054-22.24-14.888-34.12-9.927.655-20.282.235-31.026-1.413zm155.622 17.808a41.73 41.73 0 0 1-.86 1.96c-5.166 10.862-15.987 15.36-25.63 17.566-6.32 1.445-12.623 2.186-18.2 2.942 11.612 18.383 11.028 43.545 9.985 70.98 31.542-36.217 41.67-65.675 34.705-93.45zM278.598 289.12c-5.986.832-11.994 1.465-18.004 1.83 4.76 32.818 13.655 69.713 12.058 101.798-1.38 22.25-11.16 57.128-20.697 85.732a932.855 932.855 0 0 1-5.34 15.52h19.074c1.1-3.185 2.216-6.454 3.34-9.828 9.73-29.186 19.966-64.19 21.587-90.31.043-36.722-5.454-72.72-12.02-104.743zm-108.422 76.628s-16.99 38.27-10.7 56.09c1.55 4.398 6.118 8.588 10.518 8.488 4.957-.112 9.903-5.077 11.527-10.092 5.71-17.614-11.344-54.486-11.344-54.486zm147.113 44.607s-21.92 49.688-12.642 72.34c2.29 5.59 8.713 10.814 14.748 10.535 6.8-.313 13.405-6.853 15.452-13.343 7.19-22.798-17.56-69.532-17.56-69.532z"}}]})(props);
};
function GiCeilingLight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 22v81h18V22h-18zm-31.975 99l-11.5 46h104.95l-11.5-46h-81.95zM192 185c-18 0-45.643 21.459-68.973 50.621-19.568 24.46-36.5 53.474-45.869 75.379h357.684c-9.371-21.905-26.308-50.917-45.88-75.377C365.63 206.461 337.983 185 320 185H192zm25.719 144c.687 5.463 2.03 12.676 4.717 19.838 2.655 7.077 6.541 13.756 11.806 18.437C239.507 371.956 246.008 375 256 375c9.992 0 16.493-3.044 21.758-7.725 5.265-4.68 9.15-11.36 11.806-18.437 2.688-7.162 4.03-14.375 4.717-19.838H217.72zm-17.326 6.137l-90.346 20.078 3.906 17.57 90.736-20.164c-2.131-6.242-3.465-12.3-4.296-17.484zm111.214.002c-.83 5.183-2.165 11.241-4.296 17.482l90.736 20.164 3.906-17.57-90.346-20.076zm-97.691 36.13l-60.748 70.874 13.664 11.714 59.775-69.736a46.747 46.747 0 0 1-4.324-3.396c-3.249-2.889-6.006-6.091-8.367-9.455zm84.168 0c-2.361 3.365-5.118 6.567-8.367 9.456a46.749 46.749 0 0 1-4.324 3.396l59.775 69.736 13.664-11.714-60.748-70.873zM247 392.272V492h18v-99.729a55.93 55.93 0 0 1-18 0z"}}]})(props);
};
function GiCelebrationFire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M290.72 13.396c-79.94 38.87 9.013 152.854-74.402 191.567 21.946-43.348 30.93-118.453-39.69-169.342v.003c57.41 92.152-39.578 101.073 10.68 235.037.884 2.098 1.724 4.216 2.467 6.383-.86-2.16-1.682-4.286-2.468-6.383-17.056-40.42-58.356-69.442-47.875-146.558-92.397 139.136 61.726 179.234 39.968 296.226-20.22-52.322-96.068-38.077-65.88-94.582-81.617 64.483 68 99.77-25.282 168.19h349.006c-44.892-35.722-38.733-108.488-9.29-92.71-14.63-42.75-54.515-10.383-56.477 22.604-15.55-101.866 86.23-108.78 74.388-226.197-19.395 67.794-73.366 65.522-92.71 55.322 68.964-32.598 91.818-125.04 17.15-161.248 23.033 28.635 15.785 123.762-33.243 84.998-18.193-14.385-70.182-60.235-46.34-163.31zm-165.656 4.778c-6.35.16-12.967 2.232-19.62 6.578 38.005 7.337 57.7 61.682 52.892 122.08 34.38-59.225 5.54-129.638-33.272-128.658zm218.29 44.633c8.507 47.444-17.105 75.028-38.82 30.52 22.306 83.01 95.766 93.25 38.82-30.52zm103.84 93.88c35.616 36.454 25.294 104.74-14.133 160.057 81.137-36.52 81.26-153.81 14.133-160.057zm-379.22 78.917c19.553 54.61-90.043 56.077 5.62 157.767-38.953-68.595 67.41-69.424-5.62-157.766z"}}]})(props);
};
function GiCellarBarrels (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M266.5 45.39c-19.9 0-39.8 1.51-59.7 4.51-29.6 26.08-45.4 71.3-45.4 115.4 0 20.2 3.3 39.8 9.6 57 6.5-.3 12.9-.5 19.4-.5 18.5-.8 31.2 0 46.6 2.6-6.1-18.4-9.1-38.7-9.1-59.1 0-43.7 13.6-89.1 42.1-119.83h-3.5zm28.9 1.14c-32.3 25.42-49.5 72.67-49.5 118.77 0 22.2 3.9 43.6 11.5 61.9 12 1.9 23.9 4.3 35.9 7.2 5.8.2 11.5 1.4 16.9 3.4-12-21.2-19-48.7-19-78.8 0-31.8 7.8-60.77 21.1-82.38 6.2-10.15 13.9-18.81 22.6-25.13-13.2-2.3-26.3-3.97-39.5-4.96zm-118.3 8.95c-3.2.74-6.5 1.51-9.8 2.33l-.4.1-.3.1C96.79 69.64 80.62 173.7 118.1 228.1c11.4-2 22.8-3.5 34.2-4.6-5.9-18.1-8.9-38.1-8.9-58.2 0-39.2 10.9-79.7 33.7-109.82zm190.7 2.71c-14.7 0-29 9.74-40.1 27.87-11.2 18.14-18.5 44.14-18.5 72.94 0 28.8 7.3 54.8 18.5 72.9 11.1 18.2 25.4 27.9 40.1 27.9 14.7 0 29-9.7 40.1-27.9 11.2-18.1 18.5-44.1 18.5-72.9 0-28.8-7.3-54.8-18.5-72.94-11.1-18.13-25.4-27.87-40.1-27.87zm-.1 134.01h.2c7.2.1 11.6 5.3 13.9 10 2.3 4.7 3.4 10 3.4 15.9s-1.1 11.2-3.4 15.9c-2.3 4.7-6.7 9.9-13.9 10h-.2c-7.2-.1-11.6-5.3-13.9-10-2.3-4.7-3.4-10-3.4-15.9s1.1-11.2 3.4-15.9c2.3-4.7 6.7-9.9 13.9-10zm-177.3 47.5c-19.8 0-39.7 1.5-59.6 4.5-29.6 26.1-45.45 71.2-45.45 115.3 0 42 14.04 81.3 40.35 101.9 21.1 3.4 42.2 5.2 63.2 5.2-25-25.9-37-66.3-37-107 0-43.8 13.5-89.2 42.1-119.9zm29 1.1c-32.4 25.4-49.6 72.7-49.6 118.8 0 45 16.2 87 46.5 106.2 14.2-1 28.4-2.7 42.6-5.1-8.7-6.4-16.3-15-22.5-25.1-13.3-21.7-21.1-50.6-21.1-82.4 0-31.8 7.8-60.7 21.1-82.3 6.2-10.1 13.8-18.8 22.4-25.1-13.2-2.3-26.3-4-39.4-5zM101 249.9c-3.31.7-6.5 1.5-9.73 2.3h-.43l-.31.1c-90.831 15.1-90.831 186.8 0 201.9l.31.1h.43l3.65.9c-18.61-25.6-27.52-60.5-27.52-95.7 0-39.1 10.88-79.6 33.6-109.6zm190.8 2.5c-14.7 0-28.9 9.8-40.1 27.9-11.2 18.1-18.5 44.1-18.5 72.9 0 28.9 7.3 54.8 18.5 73 11.2 18.1 25.4 27.9 40.1 27.9 14.7 0 28.9-9.8 40.1-27.9 11.2-18.2 18.5-44.1 18.5-73 0-28.8-7.3-54.8-18.5-72.9-11.2-18.1-25.4-27.9-40.1-27.9zm139 0c-8.9.1-17.7 3.7-25.8 10.7-.2.2-.4.4-.6.5-4.9 4.4-9.5 10-13.6 16.8-11.1 18.1-18.4 44-18.4 72.8 0 28.8 7.3 54.8 18.5 72.9C402 444.3 416.3 454 431 454c14.7 0 29-9.7 40.1-27.9 11.2-18.1 18.5-44.1 18.5-72.9 0-28.8-7.3-54.8-18.5-72.9-11.1-18.2-25.4-27.9-40.1-27.9zm-139 134.1c7.2 0 11.7 5.2 14.1 9.9 2.3 4.7 3.3 10 3.3 16 0 5.9-1 11.3-3.3 15.9-2.4 4.8-6.9 9.9-14.1 9.9-7.2 0-11.7-5.1-14-9.9-2.4-4.6-3.4-10-3.4-15.9 0-6 1-11.3 3.4-16 2.3-4.7 6.8-9.9 14-9.9zm139.1 0h.2c7.2.1 11.6 5.3 13.9 10 2.3 4.7 3.4 10 3.4 15.9s-1.1 11.2-3.4 15.9c-2.3 4.7-6.7 9.9-13.9 10h-.2c-7.2-.1-11.6-5.3-13.9-10-2.3-4.7-3.4-10-3.4-15.9s1.1-11.2 3.4-15.9c2.3-4.7 6.7-9.9 13.9-10zm-69.5 16.8c-3.5 11.9-8.3 22.8-14.1 32.3-8.5 13.6-19.4 24.6-31.9 30.8 27.5.9 55.1-.9 82.6-5.7-8.6-6.3-16.3-15-22.5-25.1-5.8-9.5-10.6-20.4-14.1-32.3z"}}]})(props);
};
function GiCementShoes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M348.963 291.017h-20.2l-3.26-86.73-15.38-.154-.65 67.563 4.643 90.473c-.424 4.654-8.926 6.93-17.8 6.93-9.972 0-20.44-2.866-20.512-8.42l-8.367-87.422h-19.55l-12.08 86.305c0 5.885-11.13 8.926-21.722 8.926-9.31 0-18.287-2.39-18.72-7.303l5.595-89.47.062-67.584-15.298.155-3.29 86.72H162.97C149.635 220.092 165.884 142 221.977 133.3c-9.072-11.378-14.895-27.172-14.895-44.683 0-34.59 22.02-62.517 49.06-62.517.95 0 1.922-.082 2.884-.103h.952a10.22 10.22 0 0 1 1.23.103c24.69 3.207 43.97 30.09 43.97 62.516 0 17.955-6.144 33.977-15.62 45.406 51.376 9.67 74.515 84.164 59.403 156.99zm20.81 57.416c-9.308-6.6-23.55-12.008-40.607-15.99 0 0 1.613 23.427 1.437 31.236-.093 4.2-2.772 14.48-16.745 19.33a54.923 54.923 0 0 1-17.584 2.65 59.092 59.092 0 0 1-19.653-3.104c-10.435-3.806-16.88-11.502-17.396-20.687l-2.876-29.996-4.137 29.406c-.444 5.337-3.298 15.298-17.696 20.562a61.398 61.398 0 0 1-20.45 3.26 56.888 56.888 0 0 1-18.172-2.742c-14.243-4.986-16.964-15.38-17.036-19.653-.124-7.478 1.676-29.85 1.676-29.85-29.872 7.322-45.356 17.873-47.176 25.734-1.17 5.07 5.09 10.344 8.926 13.085 29.344 20.76 106.96 29.727 169.486 19.59 42.822-6.94 64.677-20.262 66.86-29.706 1.24-5.11-5.027-10.396-8.865-13.127zM164.48 462.21c4.85 11.275 39.16 23.79 91.537 23.79 53.786 0 87.61-14.222 91.094-22.983 4.677-14.77 16.87-54.034 21.412-68.66-57.147 27.142-172.455 26.108-225.02-.247 4.85 15.753 16.436 53.392 20.977 68.09z"}}]})(props);
};
function GiCentaur (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M372.2 20.34c-21.4 1.16-30 25.84-29.7 42.79.3 18.28 10.2 43.97 29.7 42.87 21.4-1.2 30-25.94 29.7-42.87-.3-18.29-10.2-43.85-29.7-42.79zM175.3 72.73c-36.6 49.47-17.2 102.67 7.3 146.47l53.6-71.3c24.1 22.7 51.8 37.3 56.4 36.8 10-.9 29.9-16.4 42.8-35-5.6 22.9-9.2 46.2-21 63.9 9.3 36.5 48.2 85 85.4 64 10.3-38.2 12.3-89.7 6.7-127.6 29.6 14.8 43.7 46.1 49.3 72.4 2.4 11.9 31.4 19.7 22.1-14.6-10.8-39.7-31.1-84.1-73.6-99.6-8.2 9.5-19.5 16.8-32.1 15.8-16.3-1.4-30.2-10.4-37.3-22.8-11.9 7.1-36.6 41.1-45.7 55.5-14.5-11.2-24.2-20.9-35.3-32.4l60.3-80.27c-58.2-19.69-112.6-2.46-138.9 28.7zm107.4-16.67L241.4 111c-22.3-10.8-32.5 6.8-17.8 23.8L185 186c-18.4-34.8-15.1-75.7 4.7-102.33 27.2-30.02 57.5-32.98 93-27.61zm14.4 162.84c-51.3 11.4-105.7 15.9-151.3 28.6-27.5 7.7-35.1 30.8-41 54.5-11.28 61.7-24.24 105.4-40.5 166.3 8.4 6.9 17 13.6 20.31 23.3H108c-2.5-15.4-8.32-19.5-15.98-30.7L118.1 398c27.7-6.5 45.2-26 60.3-45.8 38 23.8 82.1 9.4 126.5-7.2 9.5 42-9.7 77.3-20.4 111.6 8.3 12.9 21.7 22.4 27.9 35h28.2c-5.6-16.9-11.9-21.5-23.4-31.7 20.1-41.4 28.2-84.3 33.7-124.4 22-8 32.9-16.9 41.2-35.9-52.5 8.7-85.3-50.5-95-80.7zM99.19 265c-12.02-.2-27.04 3.5-28.49 15.8-4.1 34.8-3.85 71.5-38.44 85 8.4 14 21.75 24.1 37.47 15.3 12.85-39.9 11.04-81.5 29.46-116.1zM392 335.7c-6.3 6.7-14.8 11.9-25 14.8 0 .1-.1.2-.1.3l15.4 17.2-8.7 25.6-14.5 3.2c-1.7 8.1-3.7 16.3-6 24.3 34.2 7.7 55.7-31.4 60.2-54.9-5.4-12-12.4-23.2-21.3-30.5zm-210.9 42.6c-5.4 6.8-12.1 14.5-20.2 21.2 16.3 31.4 34.6 62.9 57.5 92.2h26.7c-28.9-35.6-47.8-75.2-64-113.4z"}}]})(props);
};
function GiCentipede (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M103.12 15.697l-30.364 10.07c2.132 3.412 3.902 7.116 5.223 11.098.693 2.094 1.228 4.2 1.643 6.31l29.38-9.74-5.884-17.738zm-80.975 3.25c-1.438.126-2.884.317-4.336.567v129.812c4.642 3.457 10.744 5.995 17.336 7.317 1.792-2.69 3.824-5.25 6.067-7.664 3.214 5.766 6.57 11.448 10.055 17.047-8.84 12.366-9.92 28.358-1.98 40.64 5.96 9.215 15.91 14.655 26.802 15.536 1.91-4.064 4.302-7.973 7.166-11.642 4.07 4.942 8.252 9.784 12.54 14.526-10.71 16.322-8.597 37.015 4.847 48.705 8.243 7.17 19.245 9.643 29.908 7.52.592-6.093 2.13-12.2 4.65-18.09 5.02 4.246 10.14 8.37 15.355 12.362-5.245 17.902 1.975 36.393 17.36 44.117 8.827 4.43 18.888 4.585 27.98 1.103-.452-4.9-.29-9.918.49-14.932 5.874 3.315 11.832 6.476 17.87 9.472-.06 15.63 8.735 29.594 22.772 34.785 9.716 3.593 20.26 2.36 29.19-2.684-.755-3.713-1.154-7.538-1.197-11.418 6.297 2.03 12.652 3.897 19.064 5.577 2.214 15.41 12.886 27.908 27.47 31.04 10.786 2.314 21.726-.918 30.067-8.074-1.587-4.19-2.685-8.627-3.227-13.252 6.336.617 12.71 1.045 19.115 1.305 3.928 18.824 21.574 32.055 42.64 30.36 4.906-.397 9.55-1.593 13.815-3.427 50.857 41.905 57.015 94.14-26.582 113.084 94.115 2.325 106.816-72.573 45.854-129.438 4.343-6.848 6.654-14.918 6.168-23.337-.187-3.25-.78-6.37-1.713-9.326 73.82-44.358 76.68-122.575-17.778-137.824 78.128 32.182 63.177 84.56 2.39 117.61-7.312-4.797-16.425-7.286-26.294-6.49-14.564 1.172-26.844 9.335-33.633 20.653-6.755-.22-13.48-.655-20.166-1.31 1.882-4.65 4.353-9.032 7.325-13.053-4.956-7.48-12.43-12.924-21.377-14.844-2.396-.515-4.8-.756-7.18-.74-12.55.08-24.468 7.27-31.345 18.964-6.12-1.66-12.19-3.492-18.203-5.496 2.96-5.945 6.824-11.273 11.367-15.8-3.922-7.43-10.26-13.31-18.326-16.294-4.022-1.488-8.19-2.147-12.324-2.053-.59.015-1.18.043-1.77.087-9.92.743-19.512 5.808-26.358 14.192-5.603-2.85-11.136-5.844-16.59-8.988 3.493-4.782 7.612-8.966 12.187-12.437-3.116-7.598-8.68-13.954-16.203-17.73-4.38-2.2-9.066-3.347-13.787-3.518-.443-.016-.885-.025-1.328-.024-7.363.017-14.74 2.405-21.13 6.832-5.063-3.875-10.032-7.883-14.903-12.015 3.476-2.892 7.23-5.365 11.185-7.365-1.5-7.214-5.16-13.83-10.887-18.81-5.55-4.826-12.35-7.527-19.456-8.13-.74-.063-1.482-.104-2.228-.12-4.187-.098-8.445.522-12.583 1.852-4.45-4.82-8.78-9.755-12.984-14.8 4.905-2.315 10.048-3.945 15.27-4.84 1.405-8.398-.12-17.03-4.85-24.344-6.653-10.292-18.283-15.88-30.647-15.662-3.625.065-7.313.632-10.957 1.722-3.356-5.388-6.58-10.86-9.665-16.41 6.697-2.53 13.666-3.813 20.55-3.895.234-.003.468.012.704.012 2.56-8.096 2.275-16.83-1.353-24.714-5.758-12.515-18.612-20.043-32.78-20.168-.946-.008-1.896.016-2.85.074-2.167.132-4.355.447-6.544.934-2.233-5.84-4.31-11.743-6.24-17.7 5.77-1.484 11.626-2.09 17.37-1.873 1.985.076 3.956.254 5.906.524 3.1-7.53 3.635-15.884 1.01-23.8-4.48-13.518-17.1-22.556-31.787-23.8h-6.308zm101.837 54.176L94.928 86.49c2.497 3.156 4.662 6.643 6.416 10.453.922 2.004 1.69 4.04 2.336 6.09L131.793 90.1l-7.81-16.977zm26.405 53.55l-26.87 17.372c2.95 2.786 5.613 5.958 7.91 9.512 1.18 1.822 2.213 3.696 3.134 5.6l25.973-16.792-10.146-15.693zm25.342 42.343l-20.97 24.113c3.544 1.84 6.923 4.12 10.064 6.852 1.688 1.468 3.242 3.03 4.692 4.66l20.314-23.363-14.1-12.264zm38.915 30.623l-14.313 28.51c3.895.907 7.74 2.263 11.465 4.133 1.996 1.002 3.886 2.13 5.69 3.346l13.86-27.607-16.702-8.384zm-186.46 6.048l-10.376 6.708v22.254l19.612-12.68c-1.36-1.623-2.646-3.334-3.824-5.157-2.3-3.555-4.085-7.29-5.414-11.125zM270 225.494l-11.102 30.02c4.038.46 8.078 1.403 12.053 2.873 2.03.75 3.976 1.627 5.85 2.597l10.727-29.007L270 225.494zm56.537 19.194l-6.695 31.195c.375-.01.75-.03 1.127-.03 3.665-.02 7.383.353 11.11 1.153 2.15.46 4.23 1.065 6.254 1.773l6.477-30.17-18.273-3.923zM80.203 278.865l-21.912 25.2 14.103 12.263 21.25-24.437c-1.813-1.21-3.577-2.53-5.264-3.997-3.144-2.734-5.86-5.772-8.177-9.028zm69.164 50.81L134.35 359.59l16.703 8.385 14.56-29.008c-2.053-.722-4.086-1.565-6.082-2.567-3.724-1.87-7.11-4.142-10.163-6.724zm70.158 32.305l-11.6 31.374 17.526 6.482 11.224-30.348c-2.053-.482-4.1-1.082-6.127-1.832-3.98-1.47-7.653-3.396-11.022-5.676zm76.487 24.928l-7.033 32.764 18.27 3.922 6.81-31.733c-2.134-.183-4.278-.487-6.427-.948-4.11-.882-7.99-2.25-11.62-4.004z"}}]})(props);
};
function GiCeremonialMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 21c-41 0-82 6.9-115.1 20.34-33 13.38-57.7 33.05-68.48 57.92C57.64 144.1 61.7 219.2 83.55 291.8 105.5 364.7 145 435.1 197.3 472.7c30.6 22.1 86.8 22.1 117.4 0 52.3-37.6 91.8-108 113.7-180.9 21.9-72.6 26-147.7 11.2-192.54-10.8-24.87-35.5-44.54-68.5-57.92C338 27.9 297 21 256 21zm0 18c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm-76 28c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm152 0c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm-220 36c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm288 0c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm-185.6 34.6l41.6 41.7 41.6-41.7 12.8 12.8-54.4 54.3-54.4-54.3 12.8-12.8zm-55 54.1h2.8c6.4.1 13.2 1.3 20.1 3.8 15.8 5.8 32 18 48.7 38.9l4.1 5.1-3.6 5.5C214 271.3 187 285 160 285s-54-13.7-71.49-40l-4.09-6.1 5.22-5.3c6.94-6.9 24.06-28.9 49.26-38.1 6.3-2.3 13.2-3.7 20.5-3.8zm190.4 0h2.8c7.3.1 14.2 1.5 20.5 3.8 25.2 9.2 42.3 31.2 49.3 38.1l5.2 5.3-4.1 6.1C406 271.3 379 285 352 285s-54-13.7-71.5-40l-3.6-5.5 4.1-5.1c16.7-20.9 32.9-33.1 48.7-38.9 6.9-2.5 13.7-3.7 20.1-3.8zm-190.1 17.9c-5.1.1-9.9 1.2-14.6 2.9-15.6 5.6-28.2 18.7-37.3 28.2C122 258.4 141 267 160 267c19.1 0 38.2-8.6 52.4-26.5-13.4-15.5-25.7-24.2-36.2-28-5.9-2.2-11.3-3-16.5-2.9zm192.6 0c-5.2-.1-10.6.7-16.5 2.9-10.5 3.8-22.8 12.5-36.2 28 14.2 17.9 33.3 26.5 52.4 26.5 19 0 38-8.6 52.2-26.3-9.1-9.5-21.7-22.6-37.3-28.2-4.7-1.7-9.5-2.8-14.6-2.9zM247 240h18l7 112c0 16-32 16-32 0l7-112zM61.29 279.1c-14.18 1.2-25.75 11.8-33.44 25.6C19.67 319.4 15 338.8 15 360c0 21.2 4.67 40.6 12.85 55.3C36.03 430 48.58 441 64 441c15.42 0 27.97-11 36.2-25.7 3.2-5.8 5.9-12.4 8-19.6-4.8-8.3-9.36-16.9-13.62-25.7-1.22 14.4-5.02 27.3-10.16 36.5C78.12 417.9 70.67 423 64 423c-6.67 0-14.12-5.1-20.42-16.5C37.29 395.2 33 378.5 33 360s4.29-35.2 10.58-46.5C49.88 302.1 57.33 297 64 297c.79 0 1.58.1 2.39.2-.02-.1-.05-.1-.07-.2-1.79-6-3.46-11.9-5.03-17.9zm389.41 0c-1.5 6-3.2 11.9-5 17.9 0 .1 0 .1-.1.2.8-.1 1.6-.2 2.4-.2 6.7 0 14.1 5.1 20.4 16.5 6.3 11.3 10.6 28 10.6 46.5s-4.3 35.2-10.6 46.5c-6.3 11.4-13.7 16.5-20.4 16.5-6.7 0-14.1-5.1-20.4-16.5-5.1-9.2-9-22-10.2-36.5-4.2 8.8-8.8 17.4-13.5 25.7 2 7.2 4.7 13.8 7.9 19.6C420 430 432.6 441 448 441c15.4 0 28-11 36.2-25.7 8.1-14.7 12.8-34.1 12.8-55.3 0-21.2-4.7-40.6-12.8-55.3-7.7-13.8-19.3-24.4-33.5-25.6zm-233.1 2.5l12.8 12.8c-9.1 9-25.3 21.1-44 31.5C167.7 336.3 147 345 128 345v-18c13 0 32.3-7.3 49.6-16.9 17.3-9.6 33.1-21.5 40-28.5zm76.8 0c6.9 7 22.7 18.9 40 28.5C351.7 319.7 371 327 384 327v18c-19 0-39.7-8.7-58.4-19.1-18.7-10.4-34.9-22.5-44-31.5l12.8-12.8zm-76.8 48l12.8 12.8c-9.1 9-21.7 17.3-34.4 23.7-12.7 6.3-25 10.9-36 10.9v-18c5 0 16.7-3.4 28-9.1 11.3-5.6 22.7-13.3 29.6-20.3zm76.8 0c6.9 7 18.3 14.7 29.6 20.3 11.3 5.7 23 9.1 28 9.1v18c-11 0-23.3-4.6-36-10.9-12.7-6.4-25.3-14.7-34.4-23.7l12.8-12.8zM256 391c18.6 0 35.4 2.7 48.4 7.6 6.5 2.4 12.1 5.4 16.5 9.3 4.5 4 8.1 9.5 8.1 16.1 0 6.6-3.6 12.1-8.1 16.1-4.4 3.9-10 6.9-16.5 9.3-13 4.9-29.8 7.6-48.4 7.6-18.6 0-35.4-2.7-48.4-7.6-6.5-2.4-12.1-5.4-16.5-9.3-4.5-4-8.1-9.5-8.1-16.1 0-6.6 3.6-12.1 8.1-16.1 4.4-3.9 10-6.9 16.5-9.3 13-4.9 29.8-7.6 48.4-7.6z"}}]})(props);
};
function GiChainLightning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M362.906 29.53c-11.523 11.09-23.063 23.04-34.5 34.5l-.594-11.374-.5-8.593-4.03 4.5-34.063 37.78c1.504 1.355 2.897 2.865 4.186 4.5l28.625-31.75.595 11.344v.032l.5 8.56 4.03-4.5 35.75-45zm-102.5 7.345c-.202.007-.543.063-1.47.063-9.874 0-18.81 10.648-18.81 24.906 0 7.198 2.404 13.675 6 18.187l3.843 4.782-6.095.938c-11.23 1.74-17.873 10.124-21.47 22.78-3.375 11.884-3.442 27.175-1 42.032h15.657l.218 3.344 3.595 54.5H275.5l4.063-54.53.25-3.314h16.5c2.712-15.118 2.154-30.222-1.594-41.906-3.986-12.42-11.072-20.653-21.22-22.562l-5.938-1.125 3.875-4.657c3.758-4.533 6.282-11.065 6.282-18.438 0-13.375-7.965-23.773-16.94-24.938l-.374-.062zm-123 21.438l42.78 38.437 4.72 3.75-.937-8.53.03-.032-1.313-11.282 32.813 25.97c.006-.023.025-.042.03-.064.592-2.08 1.294-4.09 2.095-6.03l-37.938-30.063-4.75-3.75.938 8.53v.03l1.344 11.314c-13.194-9.388-26.6-19.27-39.814-28.28zm167.188 62.968c.752 6.547.817 13.456.187 20.5l59.19 49.876-28.845 2.47v.03l-21.72 2 11.72 9.906 9.156 7.72-9.78 51.843-1.125 5.938 7.125-4.813v.03l9.406-6.436c-2.196 16.04-4.71 32.486-6.562 48.375L347.53 253l1.126-5.938-7.125 4.782h-.03l-9.375 6.406 7.563-39.938 62.5 52.657c1.763-5.292 4.22-10.092 7.437-14.095l-57.656-48.563 28.874-2.437v-.03l21.75-2-11.75-9.876-43.72-36.845 38.313-7.906-6.25 9.5v.03l-4.656 7.188 5.908-1.22 55.437-15.124c-15.856 2.117-32.22 4.91-48.22 7.375l6.25-9.5v-.032l4.69-7.188-5.908 1.22-51.5 10.655-36.593-30.844zm-131.78.657l-12.97 56-1 5.938 7.03-4.938 9.25-6.593-5.843 35.125-35.905 73.03c4.675 2.935 8.446 7.525 10.906 13.094l30.19-61.406 9.343 27.406.03.03L191 280.22l6.78-13.783 3.876-7.875 42.125-19.343-3.936 10.686-2.938 8.063 5.5-2.533 50.625-27.187c-14.973 5.627-30.302 12.03-45.342 18.03l3.968-10.655v-.03l2.938-8.064-5.5 2.532-43.156 19.813 26.937-54.78L230.812 164l-37.28 75.844-9.345-27.406-.03-.032-6.407-18.5 4.844-29.125 1-5.936-7.03 4.937-9.25 6.626c1.84-16.085 3.996-32.543 5.5-48.47zM-7.064 164.47l-12.188 9.655 19.844 25.03.062-24.968-7.718-9.718zm503.718 3.655c-3.743 7.56-7.457 15.157-11.187 22.625l-4.158-10.625-3.187-7.97-2.406 5.532-12.47 28.532c1.51 1.893 2.82 4.013 3.906 6.31l10.688-24.468L482 198.656v.03l3.188 7.94 2.406-5.5 9.03-24.782.032-8.22zm-481.03 25l-.032 24.97L57.53 271l-28.75-3.313-.03.032-13.25-1.44-.03 9.69 1.124 1.405 61.312 77.375c.087-.323.16-.65.25-.97 1.575-5.542 3.888-10.66 6.97-14.967l-42.69-53.875 28.752 3.343h.03l21.72 2.376-9.532-12.03-48.687-61.407 38.343 13.874 5.656 2.03-3.595-7.78h.03l-4.843-10.313c15.484 4.726 31.297 9.83 46.688 14.19l-52.75-22.907-5.656-2.032 3.593 7.782h-.03L67 222.375l-39.5-14.28-11.875-14.97zm430.655 10.688c-.198.007-.57.062-1.5.062-9.875 0-18.78 10.68-18.78 24.938 0 7.197 2.405 13.643 6 18.156l3.813 4.78-6.063.938c-11.23 1.74-17.904 10.124-21.5 22.78-3.376 11.885-3.414 27.204-.97 42.063h15.658l.218 3.314 3.594 54.5h34.625l4.063-54.53.218-3.283h16.499c2.72-15.128 2.19-30.244-1.562-41.936-3.985-12.42-11.07-20.654-21.22-22.563l-5.937-1.124 3.844-4.656c3.758-4.532 6.314-11.064 6.314-18.438 0-13.375-7.964-23.773-16.938-24.937l-.375-.063zm-323.25 80.28c-.198.008-.57.063-1.5.063-9.875 0-18.78 10.65-18.78 24.906 0 7.198 2.405 13.675 6 18.188l3.813 4.78-6.063.94c-11.23 1.74-17.904 10.123-21.5 22.78-3.378 11.89-3.418 27.196-.97 42.063H99.69l.218 3.312 3.594 54.5h34.625l4.063-54.53.218-3.283h16.499c2.72-15.13 2.19-30.245-1.562-41.937-3.985-12.42-11.07-20.653-21.22-22.563l-5.936-1.125 3.843-4.656c3.758-4.53 6.314-11.063 6.314-18.436 0-13.375-7.964-23.773-16.938-24.938l-.375-.062zm275.94 25.688l-30.908 23.845 1.438-11.28 1.03-8.5-4.78 3.655-43.22 37.906c13.325-8.852 26.82-18.553 40.126-27.78l-1.47 11.312h.033l-1.064 8.53 4.78-3.687 34.908-26.936c-.356-2.35-.643-4.706-.875-7.063zM167.81 382.03c-.058 2.353-.22 4.737-.437 7.126l37.03 25.313 4.97 3.405-1.53-8.438-2.095-11.187c13.81 8.453 27.848 17.358 41.656 25.438l-45.344-35.375-4.968-3.407 1.53 8.438 2.095 11.187-32.907-22.5zm293.594.44l6.688 36.686 1.062 5.938 4.938-7.03 6.47-9.377c3.712 15.76 7.27 32.007 11.248 47.5l-6.78-57.093-1.063-5.938-4.94 7-6.467 9.375-4.938-27.06H461.405zM80.312 404.936l-18.5 36.938-3.593-10.813h-.032l-2.75-8.125-2.688 5.407-22.53 52.875c8.167-13.754 16.134-28.352 24.124-42.44l3.562 10.814.032.03 2.75 8.126 2.687-5.406 23.78-47.406h-6.842z"}}]})(props);
};
function GiChainMail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M174.688 61.094L144.125 78.75 43.53 136.813l-10.124 5.843-10.718 6.188-5.47 3.156 65.407 113.375 2.03-1.156 4.97-2.876 9.188-5.313V256l55.874-32.438-8.625 195.938-.156 3.22-1.125 24.03h222.126l-.125-2.688-.31-7.343-.783-17.22-8.593-195.53 55.22 32.06-.033.033 13.283 7.656.843.5 2.063 1.186L493.874 152l-5.47-3.156-10.717-6.188-94.438-54.5-16.28-9.406-22.408-12.938-8.156-4.687c-11.456 23.492-43.573 40.594-81.156 40.594-37.564 0-69.075-17.103-80.53-40.595l-.032-.03zm-17.313 31.562c38.33 35.412 91.103 46.482 137.03 34.563l-7.717 14.25 13.125 24.25 13.125-24.25-9.22-17.032c18.97-6.366 36.472-16.805 50.876-31.25l113.75 65.656-46.72 81L392 222.624l12.156-22.468-13.125-24.25-13.124 24.25L389.186 221l-19.31-11.22-33.563-19.874.5 8.5-12.938-23.906-13.156 24.25L323.874 223l12.97-23.97 1.467 24.626h.032l2.187 49.406-10.655-19.656-13.125 24.25L326.688 296h-60.22l9-16.625-13.124-24.25-13.125 24.25 9 16.625h-88l3.405-77.25h-.03l1.155-28.875-33.53 19.875-51.75 30.063-46.72-80.97 114.625-66.187zm4.563 16.78l-13.125 24.25 13.125 24.25 13.125-24.25-13.125-24.25zm270.093 39.626l-13.124 24.25 13.125 24.25 13.126-24.25-13.125-24.25zM128.69 166.72l-13.125 24.25 13.124 24.25 13.125-24.25-13.125-24.25zm113.843 38.186l-13.124 24.25 13.125 24.25 13.126-24.25-13.125-24.25zm55.876 19.813l-13.125 24.25 13.126 24.25 13.125-24.25-13.124-24.25zm-99.72 9.186l-13.124 24.25 13.125 24.25 13.157-24.25-13.156-24.25zm142.22 47.625l.625 14.47h-8.467l7.843-14.47zM169.47 312.97h172.81l.876 19.967H168.594l.875-19.968zm-1.626 36.936H207l-10.844 19.97 13.156 24.25 13.125-24.25-10.812-19.97h120.563l-11.563 21.375 13.125 24.25L345 374.75l1.97 44.75h-53.44l8.095-14.97-13.125-24.25-13.125 24.25 8.094 14.97H164.78l3.064-69.594zm167.47 0h8.592l.75 17.28-9.344-17.28z"}}]})(props);
};
function GiChainedArrowHeads (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M97.53 20.705v.002l6.425 82.932-86.434-6.427v53.73l207.912 74.754L151.26 20.705H97.53zm-80.01.002v31.537L72.42 72.102 53.73 20.707H17.52zM237.366 45.21l15.754 207.743L45.374 237.2l300.363 108.374L237.368 45.21h-.003zm117.342 171.927l.002.008v-.008h-.003zm.002.008l11.272 148.67-148.68-11.272 214.968 77.562-77.56-214.96zm87.493 137.65l.002.008v-.008h-.002zm.002.008l7.158 94.396-94.404-7.16 136.49 49.247-49.245-136.484z"}}]})(props);
};
function GiChainedHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.08 11.29l-9.232 1.437-62.868 9.765 3.586 23.08C175.62 49.84 163.09 55.3 151.15 61.875l-14.51-18.03-7.28 5.86-49.56 39.89 14.163 17.594C84.847 117.31 76.6 128.367 69.39 140.3l-20.78-8.046-3.374 8.715-22.976 59.325 20.26 7.846c-2.96 13.812-4.544 27.692-4.805 41.47l-21.02 3.267 11.2 72.1 20.634-3.206c4.347 13.326 9.955 26.213 16.74 38.474l-16.165 13.012 45.75 56.84 15.858-12.764c10.425 9.35 21.846 17.776 34.183 25.104l-7.27 18.773 68.042 26.347 7.266-18.76c14.02 2.89 28.103 4.36 42.074 4.482l3.115 20.05 72.1-11.2-3.168-20.386c13.326-4.498 26.2-10.26 38.433-17.205l13.075 16.24 56.84-45.747-13.315-16.543c9.093-10.365 17.275-21.698 24.394-33.906l20.11 7.787 26.35-68.038-20.63-7.988c2.71-13.685 4.057-27.422 4.133-41.05l22.29-3.462-1.434-9.234-9.765-62.866-22.85 3.55c-4.413-12.947-10.017-25.466-16.746-37.378l18.103-14.57-5.86-7.28-39.89-49.56-18.28 14.715c-10.058-8.863-21.032-16.864-32.835-23.868l8.562-22.112-8.713-3.375L309.7 16.88 301.136 39c-13.31-2.74-26.68-4.21-39.95-4.45-.166-.004-.33-.002-.494-.005l-3.61-23.252zm-15.598 21.337l3.108 20.008-35.164 5.463-3.11-20.006 35.166-5.465zm78.897 8.43l33.184 12.85-7.312 18.882-33.184-12.853 7.31-18.88zM263.6 53.27c10.2.34 20.456 1.458 30.687 3.406l-5.4 13.94 68.042 26.35 5.402-13.952c8.848 5.43 17.16 11.487 24.91 18.08l-11.842 9.53 45.75 56.84 12.098-9.735c4.986 9.14 9.272 18.65 12.787 28.45l-15.443 2.398 11.2 72.1 15.98-2.483c-.226 10.394-1.278 20.852-3.174 31.29l-15.395-5.964-3.373 8.714-22.977 59.327 15.975 6.188c-5.567 9.24-11.81 17.91-18.633 25.97l-10.926-13.575-7.278 5.86-49.56 39.89 11.24 13.964c-9.47 5.195-19.338 9.627-29.514 13.24l-2.78-17.908-9.235 1.433-62.866 9.766 2.828 18.202c-10.74-.272-21.548-1.413-32.328-3.47l6.7-17.3-8.713-3.375-59.327-22.974-6.695 17.29c-9.38-5.763-18.16-12.224-26.3-19.286l14.302-11.512-5.86-7.28-39.888-49.56-14.02 11.285c-5.058-9.483-9.343-19.362-12.826-29.53l17.688-2.75-1.436-9.232-9.765-62.867-17.182 2.67c.385-10.546 1.607-21.15 3.715-31.723l15.826 6.128 26.35-68.04-15.258-5.91c5.624-8.986 11.9-17.41 18.726-25.24l10.118 12.57 56.84-45.75-9.778-12.147c9.155-4.854 18.672-8.996 28.465-12.387l2.366 15.234 72.1-11.202-2.324-14.96zM133.8 70.124l12.694 15.772-27.723 22.312-12.694-15.77L133.8 70.122zm283.653 30.648l22.313 27.722-15.774 12.696-22.312-27.72 15.773-12.697zm-84.244 42c-1.918-.015-3.84.045-5.76.187-23.033 1.7-45.933 15.003-61.29 44.006l-7.906 14.933-8.445-14.636c-20.227-35.054-56.5-47.824-87.093-41.81-30.592 6.012-55.328 29.383-53.947 72.85 1.278 40.24 29.05 67.447 63.59 97.54 30.045 26.176 64.672 53.784 85.763 93.478 22.093-39.507 57.856-65.95 88.133-91.453 17.386-14.644 33.017-28.982 43.86-44.736 10.846-15.755 17.13-32.66 16.456-54.243-1.262-40.46-26.58-66.478-56.316-73.916-5.576-1.394-11.296-2.148-17.047-2.2zM59.286 156.433l18.88 7.31-12.85 33.186-18.88-7.31 12.85-33.186zm412.65 44.636l5.463 35.164-20.01 3.11-5.462-35.164 20.01-3.11zm-413.9 64.3l5.465 35.165-20.006 3.108-5.465-35.163 20.007-3.11zm391.846 42.33l18.88 7.312-12.85 33.185-18.88-7.312 12.85-33.186zM91.156 363.4l22.313 27.723-15.775 12.695-22.312-27.722L91.156 363.4zm305.274 33.02l12.695 15.77-27.723 22.316-12.695-15.774 27.723-22.312zm-227.315 35.23l33.186 12.852-7.31 18.88-33.185-12.85 7.31-18.882zm136.662 14.873l3.11 20.01-35.164 5.463-3.11-20.008 35.164-5.465z"}}]})(props);
};
function GiChaingun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-39.764 0-72 32.236-72 72s32.236 72 72 72 72-32.236 72-72-32.236-72-72-72zm0 48c13.255 0 24 10.745 24 24s-10.745 24-24 24-24-10.745-24-24 10.745-24 24-24zm-147.03 36c-24.314.545-47.766 13.4-60.814 36-19.882 34.437-8.093 78.462 26.344 98.344 34.437 19.882 78.493 8.093 98.375-26.344 19.882-34.437 8.062-78.462-26.375-98.344-11.838-6.834-24.796-9.94-37.53-9.656zm290.592 0c-11.606.3-23.3 3.443-34.062 9.656-34.437 19.882-46.257 63.907-26.375 98.344 19.882 34.437 63.938 46.226 98.375 26.344 34.437-19.882 46.226-63.907 26.344-98.344-13.67-23.675-38.748-36.663-64.28-36zM110 148c4.245-.095 8.554.94 12.5 3.22 11.48 6.626 15.41 21.3 8.78 32.78-6.626 11.48-21.3 15.41-32.78 8.78-11.48-6.626-15.41-21.3-8.78-32.78 4.348-7.533 12.176-11.818 20.28-12zm290.844 0c8.51-.22 16.88 4.108 21.437 12 6.63 11.48 2.7 26.154-8.78 32.78-11.48 6.63-26.154 2.7-32.78-8.78-6.63-11.48-2.7-26.154 8.78-32.78 3.587-2.072 7.475-3.12 11.344-3.22zm-143.438 60.03A48 48 0 0 0 208 256a48 48 0 0 0 96 0 48 48 0 0 0-46.594-47.97zM108.562 268c-11.606.3-23.3 3.443-34.062 9.656C40.063 297.538 28.274 341.563 48.156 376c19.882 34.437 63.907 46.226 98.344 26.344 34.437-19.882 46.257-63.907 26.375-98.344-13.67-23.675-38.78-36.663-64.313-36zm291.375 0c-24.312.545-47.764 13.4-60.812 36-19.882 34.437-8.062 78.462 26.375 98.344 34.437 19.882 78.462 8.093 98.344-26.344 19.882-34.437 8.093-78.462-26.344-98.344-11.838-6.834-24.827-9.94-37.563-9.656zm-290.062 48c8.51-.22 16.85 4.108 21.406 12 6.63 11.48 2.7 26.154-8.78 32.78-11.48 6.63-26.154 2.7-32.78-8.78-6.63-11.48-2.7-26.154 8.78-32.78 3.587-2.072 7.506-3.12 11.375-3.22zm291.094 0c4.244-.095 8.584.94 12.53 3.22 11.48 6.626 15.41 21.3 8.78 32.78-6.626 11.48-21.3 15.41-32.78 8.78-11.48-6.626-15.41-21.3-8.78-32.78 4.348-7.533 12.145-11.818 20.25-12zM256 352c-39.764 0-72 32.236-72 72s32.236 72 72 72 72-32.236 72-72-32.236-72-72-72zm0 48c13.255 0 24 10.745 24 24s-10.745 24-24 24-24-10.745-24-24 10.745-24 24-24z"}}]})(props);
};
function GiChainsaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M415.01 24.54l-11.534 15.874-6.784-12.55-6.052 20.284-10.82-10.822V59.59l4.927-4.928c1.285-1.285 2.6-2.472 3.938-3.572l1.548-1.55 1.752-.946c3.075-2.14 6.244-3.83 9.452-5.108l1.56-.843 1.385-.22c4.262-1.358 8.56-2.017 12.76-2.034 4.26-.02 8.418.626 12.337 1.84l1.277.19.728.488c4.625 1.7 8.865 4.218 12.475 7.428l.02-.03.08.116c.51.458 1.013.927 1.498 1.412 9.712 9.712 14.015 24.82 9.85 39.69l-.067.763.098.008-.664 1.295c-1.39 4.16-3.46 8.28-6.277 12.238l-.002.002 14.234 7.305-6.69-20.785 15.238 1.345-14.136-16.873 14.986-4.27-18.652-10.384 12.31-8.625-21.447-3.773 8.095-12.086-21.213 4.193 2.28-15.225-16.255 12.022-2.236-14.133zm-46.505 24.1v22.264l11.133-11.133-11.133-11.13zm48.902 8.983c-6.054-.044-12.86 2.697-19.93 9.768l-90.437 90.434-61.594 61.594 32.528 32.527L430 99.918c14.143-14.142 10.963-27.224 2.83-35.356-4.065-4.065-9.368-6.895-15.423-6.94zm-60.215 2.332v22.262l11.13-11.13-11.13-11.132zm-11.314 11.313V93.53l11.13-11.13-11.13-11.132zm69.412 2.67a8.745 8.745 0 0 1 8.744 8.748 8.745 8.745 0 0 1-8.744 8.744 8.745 8.745 0 0 1-8.744-8.744 8.745 8.745 0 0 1 8.744-8.747zm-80.727 8.644v22.264l11.133-11.133-11.133-11.13zM323.25 93.895v22.263l11.132-11.13-11.13-11.133zm-11.313 11.314v22.263l11.13-11.13-11.13-11.134zm136.464.75c-1.64 2.29-3.515 4.53-5.67 6.685l-4.924 4.923 10.595 10.596V105.96zm-264.524 7.02l-15.45 9.23 33.032 55.286-.246 28.295h-23.346c4.726 6.403 9.315 12.9 13.76 19.472l6.004-8.407 16.598 16.598 4.95-14.848-.08-.08.403-45.925-35.624-59.622zm116.746 3.543v22.264l11.133-11.133-11.133-11.13zm136.465 1.764l-10.594 10.594 10.594 10.597v-21.19zm-147.777 9.55V150.1l5.002-5.002 6.128-6.13-11.13-11.132zm136.464 1.763l-10.595 10.595 10.594 10.596V129.6zm-147.78 9.55v22.264l11.134-11.133-11.133-11.13zm136.466 1.764l-10.596 10.596 10.596 10.595v-21.19zm-147.777 9.55v22.263l11.13-11.13-11.13-11.134zm136.463 1.765l-10.594 10.592 10.594 10.596v-21.19zm-147.778 9.547v22.264L266.5 172.91l-11.132-11.13zm136.465 1.764l-10.596 10.597 10.596 10.595v-21.19zm-272.45.925l-9.898 9.896c51.183 53.098 93.407 120.56 116.97 183.82l8.632-8.633c-21.83-62.468-64.416-131.767-115.705-185.082zm124.67 8.627v22.263l11.134-11.132-11.133-11.13zm136.466 1.763l-10.597 10.596 10.596 10.597v-21.192zm-147.78 9.55v22.263l11.132-11.13-11.13-11.134zm136.464 1.765l-10.594 10.594 10.594 10.595v-21.19zm-272.746.342c-7.49 13.277-9.05 27.2-5.568 40.146 2.025 7.532 5.466 14.662 9.906 21.446l13.152-13.153c-2.605-4.405-4.542-8.754-5.676-12.968-1.974-7.342-2.096-14.397.91-21.74-4.177-4.68-8.418-9.265-12.724-13.73zm261.434 10.97l-10.596 10.596 10.596 10.596v-21.192zm-11.315 11.315l-10.596 10.596 10.597 10.593v-21.19zm-11.312 11.312l-10.596 10.595 10.595 10.596v-21.19zm-11.315 11.314l-10.596 10.596 10.596 10.595v-21.19zm-90.54 1.412l-4.952 14.848 27.33 27.33-20.035 28.05c4.44 9.612 8.486 19.194 12.127 28.688 11.856-17.912 22.027-37.11 30.435-54.01l-6.705-6.705-38.2-38.2zm-95.042 3.152l-32.703 32.703-.9 11.392 17.115 1.13-2.522 38.145-17.603-1.164-.65 8.22c6.142 19.093 14.25 36.545 24.17 48.837 10.192 12.628 21.517 19.733 35.677 20.13 18.773.53 36.16-8.02 52.067-22.02-2.85-8.232-6.06-16.588-9.61-25.018l-8.622 12.072.248-.365c-5.264 8.19-14.726 12.155-23.21 11.388-8.482-.767-16.196-4.998-22.764-10.97-13.138-11.947-22.39-32.392-15.39-53.386l.427-1.283 26.754-37.46c-7.085-10.993-14.606-21.814-22.486-32.352zm174.268 6.75l-10.596 10.596 10.596 10.594v-21.19zm-11.313 11.313l-10.595 10.596 10.595 10.596v-21.19zm-90.66 1.294c5.73 9.71 11.107 19.502 16.12 29.308l5.495-7.693-21.615-21.616zM55.396 274.426l-2.67 45.176 17.968 1.062.803-13.603 30.516 1.805 1.187-17.963-30.64-1.81.804-13.606-17.968-1.06zm115.732 10.496l-20.62 28.87c-3.68 12.636 2.224 25.683 10.663 33.356 4.334 3.94 9.138 6.08 12.278 6.364 3.14.284 4.405-.02 6.446-3.196l.12-.185 14.874-20.823c-7.017-14.794-14.985-29.68-23.76-44.385zm-83.762 57.055l-47.494 59.37 47.842 86.112 74.078-74.077c-.45-.005-.895.003-1.346-.01-5.527-.156-10.785-1.093-15.765-2.68l-49.01 49.01-33.06-63.266 31.582-37.97c-2.48-5.315-4.752-10.83-6.826-16.49z"}}]})(props);
};
function GiChaliceDrops (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M206.47 19.5c-4.53 42.503-28.564 74.22-28.564 95.53.004 10.575 15.696 23.5 30.344 23.5 4.005 0 7.924-.994 11.47-2.686-2.032 5.148-3.804 10.014-5.19 14.625-14.796 1.954-28.22 4.893-39.655 8.655-10.928 3.596-20.086 7.868-27.125 13.344-7.04 5.474-12.5 12.918-12.5 21.905 0 1.2.096 2.357.28 3.5h-.06c0 71.244 44.097 130.45 101.936 141.97-8.37 41.925-29.252 79.813-58.344 110.092-8.084 4.503-12.75 9.735-12.75 15.344 0 16.683 41.04 30.22 91.625 30.22s91.657-13.537 91.657-30.22c0-5.672-4.772-10.962-13.03-15.5-29.02-30.266-49.46-68.122-57.627-110C336.594 328.085 380.5 268.967 380.5 197.876h-.094c.187-1.143.28-2.3.28-3.5.002-8.987-5.49-16.43-12.53-21.906-7.04-5.477-16.196-9.75-27.125-13.345-16.012-5.27-35.905-8.914-58.03-10.5-7.514-27.144-27.472-62.53-34.656-104.22-2.246 21.072-8.228 40.076-14.72 57.064-5.578-21.2-21.483-49.06-27.155-81.97zm110.81 9.438c-4.078 38.274-25.717 66.84-25.717 86.03 0 9.523 14.153 21.157 27.343 21.157 12.9 0 24.626-11.597 24.625-21.625 0-19.986-20.012-49.374-26.25-85.563zm-31.405 138.656c19.192 1.662 36.208 4.97 49.313 9.28 9.588 3.156 17.065 6.895 21.5 10.345 4.434 3.45 5.312 5.84 5.312 7.155 0 1.314-.877 3.675-5.313 7.125-4.435 3.45-11.91 7.22-21.5 10.375-19.176 6.31-46.743 10.438-77.218 10.438-30.477 0-58.075-4.128-77.25-10.438-9.59-3.155-17.066-6.925-21.5-10.375-4.436-3.45-5.282-5.81-5.282-7.125 0-1.314.846-3.706 5.28-7.156 4.436-3.45 11.913-7.19 21.5-10.345 8.754-2.88 19.266-5.3 31-7.094 2 13.153 21.07 28.064 38.938 28.064 18.173 0 34.696-16.06 35.22-30.25z"}}]})(props);
};
function GiChalkOutlineMurder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.425 19.299L281.232 99.354l45.166 80.685-70.531 74.764-96.022 32.947-20.248 101.426-38.095 3 1.083 58.568 86.213-6.248 24.397-106.637 55.072-13.36 21.385 74.804 55.13 34.213-19.853 31.593 52.004 27.592 50.865-75.572-81.103-52.332-12.567-49.137 46.518-54.855 13.201 31.976-40.763 41.801 33.783 41.022 78.111-66.213-31.418-88.645c16.485-5.976 30.692-19.808 39.576-32.7 14.597-23.06 18.935-49.879 2.957-70.292-18.962-19.83-39.886-19.706-61.07-7.244-13.22 7.918-24.606 19.565-32.223 32.08l-15.91-25.639 66.899-45.408zm-178.12 16.584c-.37-.01-.735-.01-1.098.004-28.11 1.002-40.308 71.436-73.14 83.677-30.314 11.304-69.61-23.941-96.845-6.476-20.375 13.065-34.59 45.303-25.826 67.865 13.478 34.7 63.441 58.38 99.758 50.203 28.439-6.403 28.177-54.969 53.728-69.002 20.05-11.011 59.002 14.364 68.313-6.529 5.336-11.973-18.796-19.335-23.39-31.611-14.24-38.045 43.357-86.468-1.5-88.131zm-64.27 7.373c-17.951-.223-50.581 42.837-29.698 51.04 17.149.037 55.673-50.718 29.698-51.04zm236.369 1.508l12.387 21.312-67.307 45.686 44.123 71.1c5.973-23.32 19.118-45.365 37.666-56.91 14.959-8.169 27.974-8.762 37.826 3.122 17.114 23.72-6.151 56.46-23.598 69.092-11.466 7.922-17.522 6.155-30.341 4.799l35.7 100.728-54.706 46.373-11.916-14.47 37.77-38.73-28.995-70.223-71.627 84.468 16.62 64.983 71.613 46.209-31.567 46.9-20.576-10.916 19.18-30.521-64.608-40.092-24.224-84.744-82.694 20.062-23.91 104.512-53.99 3.914-.418-22.629 34.772-2.736 20.886-104.635 90.44-31.031 82.652-87.608c-14.476-25.855-28.95-51.712-43.424-77.568zM251.755 182.158c.505 16.04 29.413 13.718 27.041 1.24-2.017-10.614-27.317-10.017-27.04-1.24zm-49.714-4.19c-10.263.111-19.229 3.684-18.846 11.948 1.31 28.305 48.694 24.597 47.746 2.191-.368-8.698-15.706-14.28-28.9-14.138zm28.193 49.048c9.692 11.541 28.526-5.324 20.89-14.489-9.34-4.919-24.937 8.837-20.89 14.489z"}}]})(props);
};
function GiChameleonGlyph (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M339.84 22.826c-11.426-.31-12.328 45.05-22.45 39.772a191.87 191.87 0 0 0-14.56-6.83c-16.185-14.734-46.642-37.874-64.021-24.497-3.572 3.012-6.117 6.768-7.7 10.99-11.616-10.495-28.427-14.229-41.449-4.036-4.47 3.694-7.297 8.63-8.633 14.033-9.662-2.189-19.68-2.032-29.4 5.806-4.347 3.57-7.173 8.353-8.508 13.663-4.285 2.856-8.32 6.333-12.389 9.687l117.891 64.455-142.697-39.525c-.932 1.118-1.771 2.33-2.67 3.478l130.928 71.567L83.35 139.598c-.403.714-.87 1.364-1.243 2.078l137.668 75.262L67.08 174.65c-.248.621-.435 1.243-.684 1.864l135.31 73.923c26.421-21.888 62.156-24.309 85.474-30.083 36.791-9.098 51.943-16.954 51.943-16.954l116.928 19.034c35.023-38.19-66.162-198.242-116.211-199.608zm37.988 93.654a15.824 15.824 0 0 1 12.31 5.73c5.62 6.738 4.72 16.798-2.019 22.417-6.768 5.651-16.829 4.75-22.447-2.049-5.62-6.737-4.72-16.765 2.017-22.385a15.969 15.969 0 0 1 10.14-3.713zM55.967 211.068c-.249.932-.498 1.833-.715 2.733l122.64 67.033c2.328-4.098 4.472-8.135 7.266-12.389 4.564-6.954 9.936-12.418 15.617-17.261L55.967 211.068zm-6.397 37.756c-.187 1.707-.186 3.446-.31 5.123l113.2 61.88c3.013-10.153 7.453-20.742 13.663-31.95L49.57 248.824zm219.752 15.485c-28.142.391-44.547 9.23-44.547 9.23s-.23.121-.31.154c-34.637 14.406-45.39 72.114-36.078 96.002 11.053 28.358 41.303 47.732 60.855 51.975 17.773 3.857 45.333-.696 65.418-31.824 6.697-10.378 14.323-57.535-27.416-69.58-26.456-7.635-34.93 7.98-34.93 7.98s14.164-5.73 28.1 5.62c20.187 16.437 18.34 54.34-21.576 51.864-27.85-1.726-45.872-29.982-37.217-55.947 9.119-27.357 34.752-33.761 62.457-29.822 29.473 4.19 42.504 28.068 42.504 28.068l.434.807c4.937 8.166 8.134 17.201 9.687 26.422 3.229 18.473-.62 37.723-9.562 53.154 0 0-11.37 27.842-49.83 37.631-44.693 11.375-95.271-30.419-100.659-39.215-9.92-16.198-16.239-32.165-18.318-48.838L53.482 328.96c1.18 5.59 2.857 11.052 4.442 16.548l89.82 49.088-80.32-22.262c12.201 28.72 30.365 55.42 56.166 77.713 0 0 60.818 48.07 155.93 37.652 76.495-8.38 105.011-74.86 96.832-139.273 0 0 .047-60.048-61.815-77.793-17.205-4.935-32.423-6.503-45.215-6.324zm-220.59 23.79c.125 3.074.125 6.117.373 9.16l109.196 59.675c-1.367-12.016-.311-24.466 3.166-37.6L48.732 288.1z"}}]})(props);
};
function GiChampions (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 33c-25 0-47.7 2.03-63.6 5.15-6.2 1.23-11 2.65-14.7 4.01 3.7 1.36 8.5 2.78 14.7 4.01 15.9 3.12 38.6 5.15 63.6 5.15s47.7-2.03 63.6-5.15c6.2-1.23 11-2.65 14.7-4.01-3.7-1.36-8.5-2.78-14.7-4.01C303.7 35.03 281 33 256 33zm-100.8 5.31c-19.1 8.9-29.4 26.02-26.8 43.08 2 12.32 10.9 23.51 25 29.31 8.1 3.4 17.9 5.2 29.4 5.1 13.3 24.7 31.3 45.1 50.6 54.6v43.9c-17 10.3-28.3 31.7-39.4 53.7 38.8 9.9 85.3 9.4 123.9-.1-11-22-22.4-43.3-39.3-53.6v-43.9c19.3-9.5 37.3-29.9 50.6-54.6 11.5.1 21.3-1.7 29.4-5.1 14.1-5.8 23-16.99 25-29.31 2.6-17.06-7.7-34.18-26.8-43.08.4 1.2.6 2.48.6 3.85 0 4.35-2.3 7.91-4.7 10.15-2.3 2.24-4.9 3.73-7.8 5.08-5.8 2.7-13.1 4.72-21.9 6.44-17.5 3.46-41 5.49-67 5.49s-49.5-2.03-67-5.49c-8.8-1.72-16.1-3.74-21.9-6.44-2.9-1.35-5.5-2.84-7.8-5.08-2.4-2.24-4.7-5.8-4.7-10.15 0-1.37.2-2.65.6-3.85zm6.6 16.31c2.3 14.34 6.5 28.91 12.3 42.74-5.6-.55-10.1-1.71-13.8-3.24-9.4-3.9-13.2-9.63-14.1-15.51-1.2-7.93 3.3-18.15 15.6-23.99zm188.4 0c12.3 5.84 16.8 16.06 15.6 23.99-.9 5.88-4.7 11.61-14.1 15.51-3.7 1.53-8.2 2.69-13.8 3.24 5.8-13.83 10-28.4 12.3-42.74zm70.7 219.58c-10.2.2-20.1 5.2-28.7 14.2-9.6 10.3-17 25.8-18.9 43.7-1.9 17.9 1.9 34.6 9.1 46.7 7.3 12.2 17.6 19.6 29.3 20.8 11.8 1.3 23.4-3.7 33.1-14 9.7-10.3 17-25.8 19-43.7 1.9-17.9-1.9-34.6-9.1-46.7-7.4-12.2-17.6-19.6-29.4-20.8-1.5-.2-2.9-.2-4.4-.2zm-329.8 0c-1.5 0-3 0-4.4.2-11.8 1.3-22 8.8-29.3 20.8-7.3 12.2-11.1 28.9-9.1 46.8 1.9 17.9 9.2 33.4 18.9 43.7 9.7 10.2 21.3 15.3 33.1 14 11.8-1.3 22-8.7 29.3-20.8 7.3-12.2 11.1-28.9 9.1-46.8-1.9-17.9-9.2-33.4-19-43.7-8.4-8.9-18.4-13.9-28.6-14.2zM309 288.3c-10.8 2.1-21.9 3.6-33.2 4.4 13.5 43.8 37.4 83.5 63.8 122.1 5.6-8.2 11.8-14.7 18.6-19.9 3-2.3 6.1-4.3 9.2-6l.1-.1c-.2-.3-.3-.5-.5-.8-3.9-6.5-6.9-13.8-9-21.7-17.9-22.1-35.9-45.6-49-78zm-106.1.2c-13.1 32.2-31 55.7-48.8 77.7-2.1 7.9-5.2 15.3-9.1 21.9-.1.2-.3.5-.5.7l.1.1c3.1 1.7 6.2 3.7 9.2 6 6.8 5.2 13 11.7 18.6 19.9 26.4-38.5 50.2-78.2 63.8-122-11.3-.8-22.5-2.2-33.3-4.3zm250.7 113.6c-12.3 10.9-27.6 17.2-43.8 15.4-11.7-1.2-22.2-6.5-30.7-14.4-3.5 1.7-6.8 3.7-9.9 6.1-15.2 11.6-28.5 41.8-38.1 85.8H487v-59.8c-2.2-2.8-9-11.5-19.3-21.4-4.4-4.3-9.3-8.3-14.1-11.7zm-395.2.1c-4.8 3.3-9.7 7.3-14.1 11.6-10.3 9.9-17.1 18.6-19.3 21.4V495h155.9c-9.6-44-22.9-74.2-38.1-85.8-3.1-2.4-6.4-4.4-9.9-6.1-8.5 7.9-18.9 13.2-30.7 14.5-16.1 1.8-31.6-4.5-43.8-15.4z"}}]})(props);
};
function GiChanterelles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M198.5 62.04c-16.7 0-34.1.48-53.4.63 16.6 9.6 37.8 20.63 59.8 30.78 36 16.85 73.5 31.75 88.5 35.45 4 .9 18.3 2.5 36.4 3.4 18 1 40.5 1.5 63.6 1.4 38.2-.2 78.8-2.7 103-7.4-15.9-18.8-30.9-31.95-52.1-39.18-25.1-8.61-60.4-9.63-117.1-.77l-2.6.41-2.5-1.08c-45.6-20.3-81.9-23.64-123.6-23.64zm-5.7 45.76c35.9 40.5 66.2 81.5 88.1 123.8 32.9 63.6 46.6 130.7 31.2 202.6 6 9.1 12.1 13.8 18.3 15.3 6.6 1.5 14.6-.2 25-6.7 31.5-43.2 27.4-105.4 31-166.3 1.9-30.7 5.9-61.1 19.2-88 6.7-13.7 15.9-26.4 28.2-37.6-9.2.3-18.5.5-27.9.7-21.3 27-35.3 68.1-34.7 105.9-20.8-33.3 0-77.1 15.6-105.8-19.4 0-38-.4-53.9-1.2 5.6 23.9 7.2 56.3 7.6 72.8-15.7-6.8-15.3-46.7-25.5-73.8-11.4-.9-20.1-1.8-25.8-3.2-7.9-1.9-19-5.7-31.9-10.7 30.6 40.6 73.7 106.8 57.8 126-14.9-44.2-51.2-96-92.1-140.1-8.4-3.7-17.1-7.6-25.7-11.6zm-80.9 81.7c-38.51 4.3-69.01 22.1-96.28 37 16.53 3.7 34.99 8.1 53.13 11.7 28.43 5.6 55.95 7.5 66.05 3.1 32.1-14.2 65.2-23.4 88.3-36.9-32.8-6-72.4-14.4-111.2-14.9zm83.6 47.9c-8 3-16.2 5.9-24.3 8.9-4 14.5-8.6 54-11.8 54.8-3.3.8-11.5-36.8-9-46.9-2.8 1.1-5.6 2.3-8.4 3.5-9.8 4.4-21.7 5.3-34.9 4.5 7 12.5 24.3 38.4 24.9 61 0 0-34.02-47.3-56.5-65.4-3.38-.6-6.8-1.2-10.24-1.9-9.46-1.9-18.89-4-28.13-6.1C75.45 271 102.1 300.1 119.8 330c24 40.7 32.1 82.6 32.8 111 9.6 2.4 17.6 2.8 23.8 1.4 6.3-1.4 11.1-4.3 15.3-9.3-5.8-29.7-15.5-69.1-15.9-109.7-.2-29.2 4.6-59.2 19.7-86z"}}]})(props);
};
function GiChargedArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.3 20.6v14.84l259.805 276.34 20.534-11.358 9.358-16.932L41.338 20.6H18.3zm140.897 0l25.184 53.306-16.222 4.035-50.96-37.02 43.41 61.998 33.994-7.373 26.242 55.55 75.215-43.392c17.626 26.665 32.074 48.09 46.25 72.734l-21.917 13.928-69.57-26.07 71.59 56.97 31.19-24.34.018.036.776-1.4 83.538 240.17-136.834-47.6c-31.246-6.053-63.583-14.802-95.034-26.087-20.907-13.782-43.16-31.773-60.558-50.482l43.68-18.046-81.21-128.502-24.09 49.242L18.3 125.762v32.31l68.544 96.662 23.215-47.45 51.465 81.44-46.97 19.403 8.05 9.754c13.524 16.392 30.463 32.145 48.057 45.882 23.514 21.028 51.536 39.98 81.637 56.494l-137.89-1.983 15.627-39.546-66.502-33.043 7.188-30.11 46.556-41.847-49.772 19.232L18.3 234.405v29.047l35.554 42.305-11.948 50.047 64.442 32.02-13.26 33.554-12.307 20.075-44.542-20.87 43.135 56.73 30.27-40.42 130.36 1.875-48.694 17.828 144.72 1.754c56.42 21.024 112.503 33.376 154.68 35.01-1.176-30.356-7.904-67.922-19.415-107.628L482.68 232.21l-22.52 31.29-6.662-161.568 32.055-18.13-16.506-55.83-7.258 43.583-32.5 18.26.204.222-35.36 19.574-49.366-89.01h-21.372l63.452 114.406 48.21-26.69 3.22 78.118-16.91-.44-4.202-49.015-18.203 59.516 40.406 16.4 3.907 94.766c-22.17-51.526-51.346-101.223-85.957-138.59-13.997-24.134-28.253-45.337-45.123-70.845l2.205-47.21-73.646-11.03 53.312 28.03-4.865 22.065-60.127 34.688-49.21-104.17h-20.67zm191.3 224.638l-38.104 68.934-68.928 38.12 164.127 57.095-57.094-164.15zm113.66 115.213l.474 3.695c-.12-.367-.243-.735-.364-1.102l-.108-2.592z"}}]})(props);
};
function GiChargingBull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M151.22 61.008c-45.151 7.449-99.44 35.085-131.642 54.097V297.21c5.34 7.523 13.07 12.906 24.904 17.07 5.308 1.868 11.417 3.433 18.221 4.783-21.112-27.026-26.391-50.921-21.297-79.236l17.715 3.192c-6.724 34.584 13.695 64.344 34.152 77.013l7.15 4.37 2.407 3.814c9.482 17.063 28.034 25.752 51.426 41.152l9.723 6.403-8.645 7.798c-9.834 8.873-17.062 16.44-18.367 26.559l-1.592 12.342-24.098-11.545c-11.192 12.316-20.47 25.593-27.652 40.025 10.977 6.704 36.525 19.136 49.105 16.346 32.21-21.813 59.517-67.5 71.09-97.953-6.484-24.65-21.778-46.56-40.277-70.047l-4.1-5.205c4.853-7.592 11.429-14.973 18.084-19.31 26.259-20.873 35.437-38.189 37.44-53.362.675-21.155-6.159-35.841-14.106-53.04l16.34-7.55c9.207 20.935 17.712 44.638 15.611 62.947-1.68 12.732-7.198 25.876-17.857 39.399 9.34-1.382 16.555-2.574 25.883-4.121l.262 10.343c.44 17.375 1.668 24.569 15.748 49.57l1.554 2.763-8.457 51.103c7.432 10.524 20.33 11.513 30.994 10.781 25.144-26.855 42.492-57.16 57.1-89.058-8.896-1.83-15.986-6.023-20.451-11.895-5.026-6.609-6.408-14.801-5.057-22.137 2.702-14.67 16.832-27.65 34.66-25.044l-.304-.04c4.278.478 8.63.829 13.035 1.09-42.222-45.878-38.747-104.57-74.713-138.82-37.98-22.166-89.34-36.372-133.988-36.701zm299.657 133.017c-25.974 8.19-52.938 16.89-80.334 23.028a3126.23 3126.23 0 0 1 8.764 18.293c29.023-10.805 51.564-25.555 71.57-41.32zm19.978 55.053c-40.912 3.884-85.203 8.795-125.962 4.25l-.153-.017-.152-.022c-8.297-1.213-13.24 4.437-14.356 10.494-.557 3.029-.034 5.724 1.684 7.983 1.688 2.22 4.886 4.52 11.58 5.46 52.566 1.922 92.792-11.677 127.36-28.148zm-163.32 43.738c4.068-.076 9.831 6.07 9.94 9.87.123 4.33-4.278 13.351-12.106 22.978-2.335-8.081-8.27-32.478 2.166-32.848zm-13.96 64.67l-19.882 19.58s-2.011-12.095 1.621-16.068c6.037-2.969 12.016-3.867 18.26-3.512zm-44.636 38.348l-11.55 35.494s-12.831-12.815-20.018-10.535c-12.026 3.815-17.207 33.71-17.207 33.71l-23.176-9.13s3.691 28.627 14.748 34.416c15.559 8.145 51.621-10.535 51.621-10.535s1.372 21.203 9.483 23.176c15.088 3.669 35.467-30.2 35.467-30.2s36.32 34.765 51.972 23.88c14.938-10.39 2.14-52.38-4.103-54.432-7.744-2.546-16.676 17.888-16.676 17.888s-10.826-24.025-22.063-27.017c-9.81-2.613-28.445 10.885-28.445 10.885l5.393-31.528c-3.305-.031-6.567-.272-9.77-.781l-10.37 29.932 4.347-31.245c-3.373-.936-6.912-2.436-9.653-3.978zM84.4 398.047c-11.613 11.065-20.069 23.628-27.237 37.137 3.725 1.954 7.425 4.1 11.086 6.3 7.066-13.88 15.86-26.738 26.148-38.648z"}}]})(props);
};
function GiCharging (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M322 25l-10 30h103l-10-30h-83zM66.5 32v55h-23v18h128V87h-23V32h-18v55h-46V32h-18zm210 41v302h174V73h-174zm-208 48v51.3L95.23 199h24.57l26.7-26.7V121h-78zm222 62h146v50h-146v-50zm-192 34v167c0 31.4 18.6 55.7 44.5 70.8 25.8 15.1 59.2 22.2 92.5 22.2s66.7-7.1 92.5-22.2c23.4-13.6 40.8-34.7 44-61.8h-18.1c-2.9 20-15.6 34.9-34.9 46.2-22.2 12.9-52.8 19.8-83.5 19.8-30.7 0-61.3-6.9-83.5-19.8-22.1-12.9-35.5-30.6-35.5-55.2V217h-18zm192 30h146v50h-146v-50zm0 64h146v50h-146v-50z"}}]})(props);
};
function GiChariot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M209.986 51.92a40 56 0 0 0-40 56 40 56 0 0 0 13.477 41.846c-40.456 21.169-48.044 96.905-54.803 163.783a97.018 97.018 0 0 1 8.346 2.303c4.57.595 9.395 1.16 14.361 1.623 11.195 1.041 22.845 1.545 32.246.847 9.401-.698 16.27-3.332 17.58-4.638 9.87-9.83 18.914-29.808 27.893-47.692.696-1.387 1.401-2.735 2.103-4.094 2.05-16.533 3.63-34.34 3.176-51.252 7.972 4.436 16.409 8.223 25.303 11.368l77.64-52.202-1.511-2.505.389-.293c-.241-.086-.483-.176-.723-.262l-11.192-18.559-64.76 46.616c-12.723-12.713-18.757-24.97-34.222-35.202a40 56 0 0 0 24.697-51.687 40 56 0 0 0-40-56zm144.368 121.422l-15.403 11.635c52.51 18.497 105.418 33.336 157.049 26.587v-16.166c-44.88 6.349-92.64-5.42-141.646-22.056zm-88.721 72.037c-2.56 0-5.571 1.632-9.602 6.572-4.03 4.94-8.317 12.597-12.646 21.22-8.66 17.248-17.252 38.258-30.9 51.85-7.004 6.975-16.79 8.45-27.688 9.258-4.578.34-9.41.422-14.334.334 20.851 17.856 34.086 44.308 34.086 73.787 0 15.963-3.88 31.039-10.748 44.342 11.545 2.497 24.625 3.756 38.465 3.637 26.28-.226 55.001-5.286 80.826-14.19.754-9.259 1.377-18.149 1.873-26.687l-90.815 6.928 35.28-43.33 2.146-2.637 54.838-4.588c.187-36.819-2.743-64.755-8.377-84.555-4.502-15.82-10.602-26.34-17.535-32.744-6.933-6.403-14.728-9.197-24.87-9.197zm-158.746 81.728c-19.7 0-37.733 6.9-51.815 18.4l42.285 42.114a22.677 22.677 0 0 1 9.53-2.101c2.502 0 4.915.414 7.18 1.17l37.335-46.48c-12.794-8.279-28.069-13.103-44.515-13.103zm57.035 23.069l-37.367 46.515a22.568 22.568 0 0 1 3.277 11.71c0 3.373-.754 6.582-2.094 9.476l42.305 42.13c11.57-14.026 18.506-31.992 18.506-51.607 0-22.859-9.43-43.47-24.627-58.224zM43.73 356.793C32.162 370.82 25.227 388.786 25.227 408.4c0 22.86 9.428 43.472 24.627 58.227L87.22 420.11a22.578 22.578 0 0 1-3.278-11.71c0-3.374.755-6.582 2.094-9.475L43.73 356.793zM496 372.908L269.69 391.84l-9.612 11.805L496 385.646v-12.738zM116.418 429.18a22.674 22.674 0 0 1-9.531 2.103 22.65 22.65 0 0 1-7.18-1.17L62.373 476.59c12.794 8.28 28.068 13.103 44.514 13.103 19.7 0 37.734-6.898 51.816-18.4l-42.285-42.113z"}}]})(props);
};
function GiCharm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M146.47 21.594c-19.843.39-40.255 13.992-46.94 38.937-36.28-36.277-90.65-8.066-79 41.595 11.826 50.403 99.55 64.537 114.25 90 0-32.133 66.5-82.522 54.19-135.125-5.728-24.468-23.862-35.773-42.5-35.406zM237 154.47c-35.243.73-68.834 22.932-79.688 69.31C133.202 326.807 263.438 425.5 263.438 488.44c28.8-49.877 200.592-77.563 223.75-176.282 22.82-97.274-83.624-152.5-154.687-81.437-13.49-50.343-55.558-77.08-95.5-76.25z"}}]})(props);
};
function GiChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23 23v466h466v-18H41v-82.184l85.854-57.234 70.023 70.022 65.133-260.536L387.28 203.7 455.07 95.73l19.317 11.858 6.102-71.1-60.644 37.616 19.884 12.207-59.01 93.99-130.732-65.366-62.865 251.462-57.98-57.978L41 367.184V23H23z"}}]})(props);
};
function GiChatBubble (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M229.7 22.66A155.2 235.6 80.24 0 0 23.81 215.6 155.2 235.6 80.24 0 0 236.7 333.4c23.8 55.6-17.1 109.3-83.6 161.1 86.2-28.3 176.2-94.4 179.7-178.7a155.2 235.6 80.24 0 0 155.4-180.1A155.2 235.6 80.24 0 0 229.7 22.66z"}}]})(props);
};
function GiCheckMark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.47 250.9C88.82 328.1 158 397.6 224.5 485.5c72.3-143.8 146.3-288.1 268.4-444.37L460 26.06C356.9 135.4 276.8 238.9 207.2 361.9c-48.4-43.6-126.62-105.3-174.38-137z"}}]})(props);
};
function GiCheckboxTree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M249.28 106.28V250h-77.186v-56.25H22.47V319.406h149.624v-50.719h77.187v148.407h18.69V357.22h71.686v50.718H489.28V282.28H339.657v56.251H267.97V189.407h71.686v50.72H489.28V114.47H339.657V170.718H267.97v-64.44h-18.69zm109.064 26.876h112.25v88.28h-112.25v-88.28zm-317.188 79.28h112.25v88.283H41.156v-88.283zm317.188 88.533h112.25v88.28h-112.25v-88.28z"}}]})(props);
};
function GiCheckedShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48.906 19.656v10.782c0 103.173 10.53 206.07 41.313 289.53 30.78 83.463 82.763 148.094 164.53 170.563l2.188.626 2.25-.5c89.686-19.12 142.322-84.028 171.187-168.344 28.865-84.315 35.406-188.656 35.406-291.875v-10.78l-10.655 1.53C323.26 39.954 191.452 40 59.595 21.188l-10.69-1.53zM67.75 41.03c63.242 8.536 126.495 12.792 189.75 12.782v184.532h174.78c-4.905 27.572-11.31 53.747-19.592 77.937-27.348 79.884-73.757 137.33-155.157 155.564-.008-.003-.02.003-.03 0v-233.5H86.53c-12.87-60.99-18.277-128.81-18.78-197.313z","fillRule":"evenodd"}}]})(props);
};
function GiCheckeredDiamond (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M362.04 15.275l-21.56 71.582c-3.005 1.19-5.892 2.606-8.628 4.252l-61.207-69.18L64.457 196.37l83.205 296.763h19.41L87.302 208.62l.733.278L269.5 49.18l.084.095.004-.336 47.984 54.234c-4.402 5.114-7.938 10.99-10.38 17.412l-38.678 11.65.748-57.95-161.487 142.136 1.094.416-.25.074 80.962 276.22h19.475l-78.57-268.052 135.753 51.746-29.303 216.307h62.276L405.318 234.5l-36.058 10.932 14.967-49.69c3.656-1.494 7.13-3.34 10.375-5.508L427.75 227.7l-1.545.468 1.637.672-108.43 264.293h20.31L451.745 226.62l-43.453-49.112c3.133-4.01 5.77-8.426 7.785-13.174l73.024-21.996-72.198-21.746c-5.852-15.404-18-27.693-33.304-33.742l-21.56-71.575zm73.343 25.903c-13.13 0-23.774 10.644-23.774 23.773 0 13.13 10.642 23.775 23.773 23.775 13.13 0 23.773-10.645 23.773-23.774 0-13.13-10.643-23.772-23.773-23.772zM268.253 152.36l39.768 11.98c6.038 14.21 17.523 25.54 31.83 31.394l16.177 53.707-89.377 27.095 1.604-124.174z"}}]})(props);
};
function GiCheckeredFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M375.697 20.15l-15.605 3.532 1.765 7.802 14.66 64.803c-7.155-1.095-14.76-2.31-23.326-3.674-3.814-.608-7.236-1.14-10.692-1.68l6.522 28.83c7.156 1.093 14.762 2.308 23.328 3.673 3.815.607 7.237 1.14 10.693 1.68l7.6 33.595 20.645 91.253 7.6 33.592c-7.156-1.095-14.76-2.31-23.326-3.674-3.816-.607-7.238-1.14-10.695-1.68l6.522 28.83c7.156 1.094 14.763 2.308 23.328 3.673 3.815.608 7.237 1.142 10.693 1.682l38.836 171.662 1.766 7.803 15.605-3.532-1.765-7.802L377.463 27.953l-1.766-7.803zm15.69 286.88c-12.89-1.973-23.93-3.458-33.723-4.046l7.447 32.92c.147.016.278.027.425.043h.002c1.622.173 3.302.366 5.043.578 1.742.213 3.545.446 5.416.696h.002c1.87.25 3.807.52 5.817.807h.002c4.02.574 8.326 1.218 12.957 1.932h.002c1.308.2 2.85.45 4.21.663l-7.6-33.594zm-33.723-4.046l-6.676-29.502c-14.35-1.517-24.162-1.484-32.707.45l7.062 31.21c10.32-2.334 20.547-2.864 32.322-2.158zm-32.322 2.16c-10.32 2.333-19.777 6.257-30.102 11.963l7.403 32.715c12.203-7.364 21.088-11.507 29.595-13.43l.084-.02.082-.018-7.062-31.21zm-30.102 11.963l-6.674-29.503c-7.81 4.79-17.164 11.053-28.546 18.84l6.523 28.83c10.786-7.33 20.11-13.42 28.697-18.167zm-28.697 18.166c-5.988 4.07-12.33 8.44-19.475 13.358-3.18 2.192-6.04 4.147-8.927 6.122l7.514 33.213c5.592-3.852 11.555-8.02 18.16-12.625 3.643-2.478 6.957-4.72 10.225-6.926l-7.497-33.14zm-28.402 19.48l-6.523-28.83c-10.786 7.327-20.11 13.42-28.697 18.167l6.674 29.502c7.81-4.79 17.164-11.054 28.547-18.84zm-28.546 18.84c-12.3 7.545-21.17 11.74-29.715 13.673l7.06 31.207c10.332-2.357 19.774-6.333 30.068-12.11l-7.414-32.77zm-29.715 13.673l-7.064-31.213c-10.32 2.335-20.544 2.864-32.32 2.158l6.676 29.503c14.35 1.517 24.162 1.486 32.707-.447zm-32.708.447c-9.11-.963-20.25-2.588-33.877-4.717l7.6 33.592s16.044 2.92 33.724 4.043l-7.448-32.917zm-33.877-4.717l-6.522-28.83c-7.156-1.095-14.763-2.31-23.328-3.674-3.815-.608-7.237-1.142-10.693-1.68l6.523 28.83c7.156 1.093 14.76 2.308 23.327 3.672 3.815.608 7.237 1.142 10.693 1.682zm-6.522-28.83c12.89 1.972 23.93 3.457 33.723 4.045l-7.447-32.92c-9.112-.962-20.252-2.587-33.878-4.716l7.6 33.592zm-7.6-33.592l-6.523-28.83c-7.156-1.095-14.76-2.31-23.326-3.674-3.815-.608-7.237-1.14-10.693-1.68l6.522 28.83c7.156 1.093 14.763 2.308 23.328 3.673 3.815.608 7.236 1.14 10.692 1.68zm-6.523-28.83c12.89 1.972 23.93 3.458 33.725 4.045l-7.45-32.92c-9.11-.964-20.25-2.59-33.874-4.718l7.6 33.592zm-7.6-33.592l-6.523-28.83c-7.156-1.094-14.76-2.31-23.326-3.674-3.814-.607-7.236-1.14-10.692-1.68l6.52 28.83c7.157 1.094 14.764 2.306 23.33 3.67 3.814.61 7.236 1.144 10.693 1.684zm-6.523-28.83c12.89 1.972 23.93 3.458 33.725 4.045l-7.447-32.92c-9.11-.963-20.252-2.59-33.877-4.718l7.6 33.592zm-7.6-33.593l-6.52-28.832c-7.157-1.094-14.764-2.31-23.33-3.673-3.814-.608-7.236-1.142-10.692-1.682l6.523 28.83c7.156 1.095 14.76 2.31 23.326 3.674 3.815.608 7.237 1.142 10.694 1.682zm-6.52-28.832c12.89 1.972 23.928 3.458 33.722 4.045l-7.448-32.92c-.147-.016-.278-.025-.426-.04h-.002c-.81-.087-1.68-.195-2.52-.292-.84-.095-1.65-.18-2.52-.288-1.742-.212-3.545-.445-5.415-.695h-.003c-1.87-.25-3.807-.518-5.817-.805h-.002c-5.156-.735-10.992-1.63-17.172-2.595l7.6 33.59zm33.722 4.045l6.675 29.504c14.35 1.517 24.162 1.484 32.707-.45l-7.06-31.21c-10.32 2.335-20.548 2.863-32.323 2.156zm32.32-2.156c10.32-2.335 19.778-6.258 30.103-11.965l-7.45-32.92c-12.3 7.547-21.17 11.74-29.714 13.672l7.06 31.213zm-7.06-31.213v-.004l-.074.02.073-.016zm37.163 19.248l6.674 29.502c7.81-4.79 17.164-11.053 28.546-18.84l-6.523-28.83c-10.786 7.33-20.11 13.422-28.697 18.168zm28.697-18.168c5.988-4.068 12.33-8.438 19.475-13.357 3.18-2.19 6.04-4.146 8.927-6.12l-7.6-33.593c-5.987 4.068-12.33 8.44-19.474 13.357-3.182 2.192-6.04 4.147-8.928 6.123l7.6 33.59zm28.402-19.478l6.524 28.83c10.786-7.33 20.11-13.42 28.697-18.166l-6.674-29.502c-7.81 4.79-17.165 11.05-28.548 18.838zm28.547-18.838c12.3-7.547 21.17-11.74 29.714-13.674l-7.06-31.207-.082.016c-10.288 2.337-19.723 6.256-30.02 11.947l7.447 32.918zm29.714-13.674l7.063 31.21c10.32-2.334 20.544-2.864 32.32-2.157l-6.676-29.502c-14.35-1.517-24.16-1.484-32.706.45zm32.707-.45c9.112.964 20.252 2.59 33.878 4.718l-7.6-33.592s-16.047-2.912-33.72-4.03l7.443 32.905zm6.677 29.503l7.447 32.92c9.11.963 20.25 2.59 33.875 4.718l-7.6-33.593c-12.89-1.972-23.93-3.458-33.723-4.045zm41.322 37.638l6.523 28.83c7.156 1.093 14.76 2.308 23.326 3.672 3.814.608 7.236 1.144 10.692 1.684l-6.52-28.83c-7.157-1.094-14.764-2.308-23.33-3.673-3.814-.608-7.236-1.142-10.693-1.682zm6.523 28.83c-12.89-1.973-23.93-3.46-33.725-4.046l7.45 32.92c9.11.964 20.248 2.59 33.874 4.717l-7.6-33.593zm7.6 33.592l6.523 28.83c7.156 1.095 14.76 2.31 23.326 3.674 3.815.61 7.237 1.143 10.693 1.683l-6.523-28.83c-7.156-1.095-14.76-2.31-23.326-3.674-3.815-.61-7.237-1.143-10.694-1.683zm6.523 28.83c-12.89-1.97-23.93-3.457-33.725-4.045l7.448 32.92c9.11.963 20.252 2.59 33.877 4.717l-7.6-33.593zm-33.725-4.045l-6.673-29.5c-14.35-1.518-24.162-1.487-32.707.446l7.06 31.213c10.32-2.334 20.546-2.864 32.32-2.157zm-32.32 2.16c-10.32 2.333-19.776 6.255-30.1 11.962l7.446 32.92c12.3-7.547 21.17-11.74 29.715-13.672l-7.06-31.21zm-30.1 11.962l-6.677-29.502c-7.81 4.79-17.164 11.053-28.547 18.84l6.524 28.83c10.786-7.33 20.112-13.422 28.7-18.168zm-28.7 18.168c-5.988 4.068-12.33 8.438-19.475 13.357-3.182 2.19-6.04 4.145-8.927 6.12l7.6 33.592c5.987-4.068 12.33-8.44 19.474-13.358 3.182-2.19 6.04-4.146 8.928-6.12l-7.6-33.592zm-28.402 19.478l-6.522-28.83c-10.786 7.33-20.112 13.42-28.7 18.166l6.675 29.504c7.81-4.79 17.165-11.054 28.548-18.84zm-28.547 18.84c-12.3 7.547-21.17 11.74-29.714 13.672l7.06 31.21c10.32-2.334 19.78-6.256 30.104-11.962l-7.45-32.92zm-29.714 13.672l-7.06-31.21c-10.32 2.334-20.546 2.863-32.32 2.157l6.673 29.5c14.35 1.518 24.16 1.485 32.706-.448zm-7.06-31.21c10.32-2.336 19.776-6.26 30.1-11.966l-7.446-32.92c-12.3 7.547-21.172 11.74-29.717 13.674l7.062 31.21zm-7.063-31.212l-7.06-31.21c-10.32 2.334-20.546 2.864-32.32 2.157l6.673 29.502c14.35 1.516 24.162 1.483 32.707-.45zm-7.06-31.21c10.32-2.336 19.776-6.26 30.1-11.966l-7.446-32.92c-12.3 7.547-21.17 11.74-29.715 13.674l7.06 31.21zm30.1-11.966l6.677 29.502c7.81-4.79 17.162-11.053 28.545-18.84l-6.522-28.83c-10.786 7.33-20.112 13.422-28.7 18.168zm28.7-18.168c5.988-4.068 12.33-8.437 19.475-13.355 3.18-2.19 6.04-4.145 8.927-6.12l-7.6-33.594c-5.987 4.068-12.33 8.44-19.474 13.357-3.18 2.19-6.04 4.146-8.927 6.12l7.6 33.593zm28.402-19.476l6.522 28.83c10.786-7.33 20.112-13.422 28.7-18.168l-6.675-29.502c-7.81 4.79-17.164 11.053-28.547 18.84zm28.547-18.84c12.3-7.547 21.17-11.74 29.715-13.674l-7.06-31.21c-10.32 2.334-19.78 6.258-30.104 11.964l7.45 32.92zm29.715-13.674l7.06 31.21c10.32-2.334 20.546-2.864 32.32-2.157l-6.673-29.503c-14.35-1.517-24.162-1.484-32.707.45zm7.06 31.21c-10.32 2.336-19.776 6.26-30.1 11.966l7.446 32.92c12.3-7.547 21.172-11.74 29.717-13.674l-7.062-31.21zm-58.8 30.134c-5.988 4.068-12.33 8.436-19.473 13.355-3.182 2.19-6.042 4.146-8.93 6.12l7.602 33.595c5.988-4.068 12.33-8.44 19.473-13.357 3.18-2.19 6.04-4.146 8.926-6.122l-7.6-33.59z"}}]})(props);
};
function GiChecklist (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M122.31 84.615l-2.85 8.54-11.394 34.185-5.703-5.703L96 115.27 83.27 128l6.367 6.363 26.297 26.297 20.605-61.814 2.845-8.537-17.076-5.695zM151 119v18h242v-18H151zm0 64v18h242v-18H151zm0 64v18h242v-18H151zm-28.69 29.615l-2.85 8.54-11.394 34.185-5.703-5.703L96 307.27 83.27 320l6.367 6.363 26.297 26.297 20.605-61.814 2.845-8.537-17.076-5.695zM151 311v18h242v-18H151zm0 64v18h242v-18H151z"}}]})(props);
};
function GiCheerful (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M147.886 34.688c-10.106-.02-20.147 1.212-29.89 3.646-51.954 12.984-95.682 59.773-97.782 126.98-1.12 35.802 9.933 65.568 27.54 91.12 17.61 25.552 41.55 47.156 66.847 68.44 50.597 42.573 106.392 83.872 132.4 148.294l8.903 22.05 8.49-22.212c24.648-64.483 78.63-107.776 128.604-151.27 49.974-43.493 96.634-88.202 98.783-155.833 2.275-71.536-42.364-116.7-95.523-127.137-49-9.622-105.34 9.122-140.23 57.744-27.546-42.14-68.33-61.74-108.14-61.822zm108.43 90.36l92.414 115.144c-17.518-4.413-34.638-7.367-51.426-9.104l-40.988-51.068-41.475 51.678c-17.227 1.92-34.183 4.84-50.938 8.496zm10.964 104.22c3.744.203 7.524.536 11.338.998 23.128 58.72 94.71 72.16 144.393 37.942-12.702 13.278-27.086 26.205-42.282 39.43-13.117 11.417-26.774 23.008-40.272 35.16-38.64-3.292-79.145-49.547-73.176-113.53zm-22.613.21c5.097 64.43-37.687 112.014-77.23 115.173-13.762-11.76-27.61-22.97-40.805-34.073-14.815-12.465-28.802-24.828-41.06-37.637 49.857 39.712 124.645 21.8 147.51-42.287 3.834-.497 7.693-.895 11.585-1.174z"}}]})(props);
};
function GiCheeseWedge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M265.625 44.094c-11.92-.006-23.856.406-35.72 1.28l-8.75 7.407c10.17 6.262 17 15.568 18.782 26.064 1.987 11.69-2.516 24.07-12.125 33.562-19.217 18.984-51.41 23.684-75.718 11.344-3.116-1.582-5.967-3.43-8.53-5.5L16.75 225.28l73.844-19.374c7.536-18.897 26.34-33.647 48.312-37.594 3.574-.64 7.115-.964 10.563-.968 10.34-.013 19.93 2.784 27.655 8.125 2.484 1.716 4.762 3.703 6.78 5.936l292.376-76.72c-44.976-39.156-127.223-60.55-210.655-60.592zm224.97 74.687l-298.22 77.72c1.1 3.658 1.72 7.54 1.72 11.563 0 27.05-23.283 50.49-51.876 55.625-14.298 2.567-27.89-.067-38.19-7.188-10.298-7.12-16.968-19.036-16.968-32.563L19.69 241.5v95.375c.307-.08.527-.21.843-.28 14.397-3.31 28.193-1.258 38.69 5.592 10.495 6.85 17.25 18.793 17.25 32.407 0 27.227-23.146 51.74-51.876 58.344-1.705.39-3.29.547-4.907.75v13.218l202.563-52.812c-2.63-5.602-4.063-11.73-4.063-18.156 0-26.515 24.672-48.032 55.125-48.032 26.018 0 47.824 15.708 53.625 36.813 1.365.34 2.746.686 4.125 1.06l159.532-41.092V118.78zm-341.126 67.25c-2.306.005-4.726.204-7.25.657-20.205 3.63-36.47 21.794-36.47 37.25 0 7.73 3.215 13.253 8.906 17.188 5.69 3.935 14.148 5.97 24.25 4.156 20.204-3.628 36.5-21.76 36.5-37.218 0-7.728-3.215-13.283-8.906-17.218-4.268-2.952-10.118-4.823-17.03-4.813zm247.468 64.032c20.694 0 38.843 15.04 38.843 35.032 0 19.992-18.148 35.062-38.842 35.062-20.695 0-38.875-15.07-38.875-35.062 0-19.992 18.18-35.03 38.875-35.03zm0 18.688c-11.896 0-20.188 7.946-20.188 16.344 0 8.397 8.292 16.344 20.188 16.344 11.895 0 20.156-7.947 20.156-16.344 0-8.398-8.26-16.344-20.156-16.344z","fillRule":"evenodd"}}]})(props);
};
function GiChefToque (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M268.608 25.48c-26.47.197-43.568 5.534-55.357 13.75-13.473 9.39-21.036 23.152-27.08 40.974 2.562 20.932 23.94 48.19 19.657 70.38-16.48-28.212-33.466-67.988-63.31-76.116-17.075-4.62-36.54-5.802-43.54-1.436-8.273 5.16-13.81 14.76-16.943 26.854-3.132 12.095-3.66 26.237-2.69 38.285 2.432 30.134 24.784 74.997 46.92 111.093 16.58 27.035 32.78 49.416 39.87 58.953a263.647 263.647 0 0 1 22.85-5.62c-1.538-18.02 1.384-34.673.828-53.947 4.206 18.19 7.84 34.576 14.275 51.36 12.383-1.772 25.42-2.8 38.85-2.82a262.144 262.144 0 0 1 28.256 1.463l14.22-41.562-2.373 43.103c17.118 2.644 34.412 7.158 51.38 13.978 12.21-12.758 16.877-27.402 24.99-41.186.398 16.003-4.507 31.896-15.052 45.464 8.902 4.1 17.684 8.87 26.268 14.38 41.514-67.15 66.69-133.49 61.885-198.7-1.497-20.33-6.088-38.187-12.69-51.105-6.6-12.92-14.827-20.444-23.493-22.704-6.985-1.822-24.825 2.828-39.44 9.496-26.947 10.81-48.5 45.717-55.894 69.53-.253-11.64 3.003-44.39 15.947-60.698-3.98-12.57-6.914-26.394-12.085-36.362-10.442-16.115-20.236-16.91-36.247-16.806zm-26.836 289.85c-25.985.123-50.39 4.192-70.77 10.214l-11.626 98.96c10.16-5.65 22.32-9.144 35.318-11.17 9.958-1.553 20.53-2.233 31.362-2.17 1.547.01 3.1.034 4.658.073 12.457.313 25.19 1.57 37.674 3.582 24.965 4.023 48.854 11.044 67.463 20.175 7.344 3.604 14.094 7.5 19.717 11.9l8.33-96.945c-38.464-25.67-82.153-34.81-122.125-34.62zm-15.84 113.86c-10.017-.06-19.652.554-28.464 1.928-16.116 2.513-29.044 7.62-37.168 14.707 50.417 46.585 123.38 52.03 190.373 22.225-3.786-4.99-11.387-11.32-22.752-16.897-16.367-8.032-38.93-14.78-62.398-18.562-13.2-2.127-26.71-3.32-39.59-3.4z"}}]})(props);
};
function GiChelseaBoot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247.3 86.6c-30.5 8.58-50.4 30.6-50.6 58l18-5.6c2.7-18.5 20.6-31 36.6-34.8zm-206.52 1L29.2 101.4c19.15 16.1 34.3 32.5 35.25 47.5l17.96 6.8c-1.04-30.9-21.74-51.4-41.63-68.1zm150.52 86.3l13.8 136.8c5.9 44.1-74.9 48.1-82.7 5.4L104.7 197c-8.62-24.3-19.67-24.7-40.02-30.1.5 45.4-.6 85.3-12.73 125.4-11.17 36.8-14.35 71.9-12.82 93.5C72.78 392.1 243 422.5 333.6 418c43.5-2.1 133.3-16.5 155.8-20.2 2.6-10.9 1.8-27.3-34.5-34.2-64.5-11.1-112.5-25.4-169.7-64.2-14.3-7.5-57.8-56.3-68.9-143.3-10.2-.5-25.5 8.6-25 17.8zm-16.9 12.2c-18.2 4.2-35.6 5.4-52.3 5.2l18.1 122.2c3.1 21.1 48.6 16 46.9-1zm-135.23 218l-4.68 56.2c42.9 15.6 94.81 17.1 139.41 11.2l2.6-26c35.2 8.6 83.5 25.5 108.3 26.5 59.5 2.5 153.8-12.7 205.9-32l-.1-24.1c-24.4 4-110.8 17.9-156.2 20.1-91.9 4.5-253.05-24-295.23-31.9z"}}]})(props);
};
function GiChemicalArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M65.28 17.906c-4.534.112-8.9 1.748-11.874 4.938L78.188 47.53c3.6-2.498 6.062-6.59 6.062-12.374 0-11.547-9.8-17.476-18.97-17.25zm50.907 47.25c-5.456.135-10.72 2.086-14.312 5.906l100.094 99.563c6.396-3.838 10.874-10.576 10.874-20.406 0-15.813-11.598-24.957-24.125-26.907 2.274-4.11 3.593-9.1 3.593-15 0-30.203-34.627-40.495-54.063-28.313-2.82-10-12.71-15.074-22.063-14.844zm185.125 4.5c-8.09.2-15.687 5.2-15.687 15.344 0 21.643 34.656 23.643 34.656 1.906 0-11.547-9.798-17.476-18.967-17.25zM38 70.97c-8.036 3.474-14.03 10.785-14.03 22.155 0 25.048 29 33.652 45.06 23.344-.02.356-.03.722-.03 1.093 0 21.643 34.656 23.642 34.656 1.906 0-16.772-20.605-21.663-30.03-13.095L38 70.97zm285.28 50.624c-5.445-.06-11.186 1.354-16.905 4.656-36.6 21.133.49 77.543 36.938 56.5.29-.168.562-.36.843-.53 3.576 10.24 20.815 13.49 24.28.686 2.364-8.723-4.358-15.083-11.436-16.22 6.43-19.766-11.307-44.84-33.72-45.092zM47.69 157.344c-8.09.2-15.72 5.17-15.72 15.312 0 21.642 34.657 23.643 34.657 1.906 0-11.547-9.768-17.444-18.938-17.218zm83.156 5.937c-6.61 4.913-11.063 12.715-11.063 23.532 0 18.466 12.97 29.59 27.532 32.688-.978 3.754-1.53 7.847-1.53 12.313 0 32.11 27.323 48.72 52.937 48.156 3.2 15.24 16.224 24.036 29.936 25.842-.203 1.525-.312 3.114-.312 4.782 0 8.336 2.636 15.158 6.875 20.437-10.43-1.978-21.4-.696-30.345 3.97 2.996-14.892-20.645-22.33-24.72-7.125-2.556 9.508 5.674 16.226 13.376 16.406-4.655 5.905-7.53 13.667-7.53 23.376 0 35.93 39.046 49.723 64.156 38.28-.05.78-.094 1.565-.094 2.377 0 35.293 47.376 43.74 62.72 20.656 6.813 5.087 15.516 7.62 23.968 7.467-1.963 4.567-3.094 9.853-3.094 15.907 0 45.924 63.77 55.7 80.72 22.812 19.862 23.187 63.74 25.98 73.624-10.906 6.62-24.708-8.318-43.653-27.344-51.25 17.534-1.69 33.188-13.284 33.188-35.594 0-19.965-12.55-32.753-27.75-37.812.12-1.355.187-2.748.187-4.188 0-6.354-1.24-11.99-3.374-16.937 6.76-2.78 11.844-8.816 11.844-18.345 0-6.834-2.624-12.166-6.594-15.938.665-.247 1.322-.517 2-.906 13.934-7.994 2.29-31.03-11.625-23-6.915 3.988-7.51 11.67-4.655 17.408-5.89-.726-11.958.447-16.594 3.625-2.23-18.2-17.765-28.094-33.342-28.97.942-2.997 1.468-6.33 1.468-10.03 0-41.226-64.075-45.623-67.312-6.813-11.85-3.468-24.845-3.02-35.75 1.5.933-3.418 1.437-7.176 1.437-11.28 0-42.605-54.43-53.9-76.092-29.5l99.593 99.06c-1.305 1.31-2.334 3.038-2.936 5.283-4.166 15.5 20.3 23.54 24.5 8.03 1.77-6.54-1.58-11.727-6.344-14.406 9.1-10.287 23.79-29.242 31.844-52.093 38.66 53.382 76.884 131.425 73.875 200.97-69.06-4.08-152.798-36.757-206.126-72.314 48.474-22.737 60.437-36.688 60.437-36.688l-94.905-94.406c4.782-2.24 8.28-6.774 8.28-13.687 0-18.36-24.72-22.504-32.405-10.314l-52.656-52.375zm303.219 39.595c-8.09.2-15.688 5.17-15.688 15.313 0 21.643 34.656 23.674 34.656 1.937 0-11.548-9.798-17.476-18.967-17.25zm-328.282 88.78c-7.082.193-14.056 4.065-16.343 12.595-4.212 15.72 13.806 23.61 25.47 17.813.85 23.095 40.252 28.895 47.25 2.78 6.222-23.22-23.28-34.08-38.657-21.906-2.103-7.306-9.983-11.49-17.72-11.28zm85.595 137.5c-4.7.043-9.128 2.557-10.688 8.376-2.88 10.71 7.893 17.846 16.22 16.126.83 27.68 45.468 30.024 45.468 1.75 0-21.135-24.955-27.91-37.906-18.47-2.365-4.844-7.892-7.825-13.095-7.78zm114.656 24.908c-1.76.058-3.627.59-5.53 1.687-13.904 8.014-2.31 30.964 11.625 22.97 11.757-6.747 5.32-24.193-5.344-24.658-.246-.01-.497-.008-.75 0z"}}]})(props);
};
function GiChemicalBolt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M39.344 15c-.778 0-1.554.045-2.344.125-12.645 1.288-21.85 12.573-20.563 25.22 1.288 12.644 12.574 21.85 25.22 20.56C54.3 59.62 63.506 48.334 62.218 35.688 61.01 23.832 51.01 14.997 39.343 15zm121.187 9.125c-.46 0-.937.015-1.405.063-7.48.76-12.918 7.457-12.156 14.937.76 7.48 7.456 12.918 14.936 12.156 7.48-.76 12.918-7.425 12.156-14.905-.714-7.013-6.63-12.252-13.53-12.25zM84.72 42.063c-.46 0-.91.014-1.376.062-7.48.762-12.95 7.457-12.188 14.938.762 7.48 7.457 12.918 14.938 12.156 7.48-.763 12.918-7.427 12.156-14.907-.714-7.013-6.63-12.252-13.53-12.25zm109.718 11.812c-.747 0-1.492.017-2.25.094-12.136 1.235-20.986 12.082-19.75 24.218 1.235 12.135 12.083 20.985 24.218 19.75 12.135-1.236 20.955-12.084 19.72-24.22-1.16-11.376-10.744-19.846-21.94-19.843zM119.53 77.72c-1.322 0-2.654.05-4 .186-7.677.782-14.606 3.768-20.25 8.22-5.088-4.18-11.774-6.408-18.843-5.69-14.072 1.435-24.34 13.99-22.906 28.064 1.434 14.073 14.022 24.308 28.095 22.875.483-.05.964-.112 1.438-.188 4.48 11.417 14.082 20.036 25.75 23.344-1.302 3.463-1.838 7.26-1.438 11.19 1.385 13.598 13.557 23.51 27.156 22.124 13.6-1.385 23.48-13.526 22.095-27.125-.692-6.8-4.06-12.686-8.97-16.69 7.707-8.002 11.996-19.206 10.782-31.124-2.053-20.166-19.062-35.193-38.906-35.187zm108.876 43.405c-1.983 0-3.984.076-6 .28-32.25 3.286-55.722 32.094-52.437 64.345.494 4.868 1.572 9.53 3.155 13.938-16.95 7.738-27.9 25.62-25.906 45.187 2.5 24.564 24.434 42.44 49 39.938 4.128-.42 8.062-1.405 11.75-2.844.047 1.358.14 2.72.28 4.092 3.11 30.542 28.016 53.592 57.72 55.282-4.984 15.2-6.945 31.654-5.22 48.594.05.49.1.98.156 1.468-.312.024-.624.03-.937.063-19.733 2.008-34.073 19.642-32.064 39.374 2.01 19.73 19.612 34.103 39.344 32.094 7.937-.81 15.016-4.143 20.5-9.125 24.262 28.84 61.9 45.574 102.22 41.468 64.763-6.594 111.907-64.453 105.31-129.217-4.034-39.622-27.25-72.647-59.5-90.813 1.907-7.465 2.546-15.39 1.72-23.5-3.77-37.03-36.846-63.99-73.875-60.22-25.248 2.572-45.788 18.78-55.125 40.564-9.945-8.12-22.39-13.146-35.813-13.813 10.245-11.804 15.77-27.628 14.063-44.405-3.08-30.236-28.592-52.758-58.344-52.75zm108.78 1.72c-.994 0-1.987.052-2.998.155-16.18 1.648-27.96 16.1-26.313 32.28 1.648 16.182 16.1 27.962 32.28 26.314 16.182-1.648 27.962-16.1 26.314-32.28-1.546-15.17-14.356-26.474-29.283-26.47zm59.564 26.343c-.46 0-.94.046-1.406.093-7.48.763-12.918 7.427-12.156 14.907.76 7.48 7.457 12.92 14.937 12.157 7.48-.762 12.918-7.426 12.156-14.906-.713-7.013-6.63-12.252-13.53-12.25zM61.562 202.375c-.46 0-.907.015-1.374.063-7.48.76-12.95 7.425-12.188 14.906.635 6.24 5.41 11.045 11.313 12.03-.555 2.602-.722 5.338-.438 8.126 1.465 14.388 14.3 24.87 28.688 23.406 14.387-1.465 24.87-14.33 23.406-28.72-1.466-14.386-14.3-24.87-28.69-23.405-2.86.293-5.572 1.042-8.06 2.157-2.028-5.095-7.024-8.564-12.657-8.562zm44.126 75.906c-.67 0-1.352.026-2.032.095-10.883 1.108-18.796 10.835-17.687 21.72 1.107 10.882 10.834 18.795 21.718 17.686 10.883-1.107 18.795-10.803 17.687-21.686-1.04-10.203-9.648-17.815-19.688-17.813zm48.78 37.25c-1.467.002-2.945.068-4.437.22-23.873 2.43-41.243 23.782-38.81 47.656 2.43 23.874 23.75 41.244 47.624 38.813 10.225-1.043 19.265-5.562 26.062-12.25 5.16 2.962 11.255 4.397 17.625 3.75 16.182-1.65 27.962-16.102 26.314-32.283-1.648-16.18-16.1-27.96-32.28-26.312-1.783.18-3.495.523-5.158 1-7.74-12.493-21.584-20.598-36.937-20.594z"}}]})(props);
};
function GiChemicalDrop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M433.814 68.664c-2.74.05-5.495.423-8.242 1.152-8.47 2.25-15.3 7.512-20.44 14.49C292.905 120.865 186.494 154.58 75.276 190.4c-39.714 12.79-64.6 51.163-53.006 86.784 11.597 35.62 54.342 52.277 94.035 39.277l-.002.002c109.41-35.827 214.424-69.036 325.12-104.656.56.212 1.13.39 1.694.58-2.62 2.935-4.226 6.796-4.226 11.04 0 9.164 7.43 16.593 16.594 16.593 9.165 0 16.596-7.43 16.596-16.593 0-4.32-1.664-8.24-4.367-11.192 12.75-4.865 21.353-16.866 25.535-30.898 4.547-15.257 4.504-33.654-.584-52.48-5.088-18.828-14.327-34.77-25.94-45.712-8.712-8.206-19.263-13.79-30.175-14.43-.91-.052-1.822-.07-2.736-.054zm.497 18.68c.455-.007.914.005 1.377.035 5.567.358 11.818 3.34 18.22 9.37 8.535 8.04 16.44 21.165 20.716 36.986 3.622 13.4 4 26.397 2.012 36.852h-52.783c-3.517-6.207-6.512-13.352-8.622-21.158-4.276-15.822-4.046-31.094-.716-42.266 3.33-11.172 9.122-17.497 15.855-19.285 1.262-.336 2.578-.517 3.94-.536zm-38.414 17.043c-3.815 14.734-3.516 32.133 1.29 49.92 1.544 5.707 3.472 11.143 5.728 16.26h-151.22c-64.405 20.742-125.856 40.507-163.35 52.59-23.24 7.486-35.353 27.407-30.406 42.593 4.946 15.188 26.582 24.333 49.75 16.75 66.89-21.89 199.01-64.39 302.822-97.803 3.76 5.807 7.998 10.967 12.62 15.323.066.06.135.118.2.18-104.876 33.753-241.66 77.74-309.83 100.05-30.827 10.09-64.424-1.334-73.344-28.72-8.92-27.385 11.603-56.22 42.438-66.155 68.055-21.93 208.2-66.996 313.302-100.988zm59.58 180.205c-16.948 63.255-40.507 54.472-40.507 91.5 0 22.36 18.146 40.508 40.507 40.508 22.36 0 40.507-18.147 40.507-40.508 0-39.97-23.256-27.12-40.507-91.5z"}}]})(props);
};
function GiChemicalTank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M99.5 18.406V92.22h321.594V18.405H99.5zm24.75 92.5v288.531h18.688v-288.53H124.25zm253.406 0v288.531h18.688v-288.53h-18.688zm-216.47 58.53v230l199.033.002v-230h-43.5c-.717 8.933-8.194 15.937-17.314 15.937s-16.596-7.004-17.312-15.938H267.75c.968 3.02 1.5 6.223 1.5 9.563 0 17.317-14.058 31.344-31.375 31.344S206.53 196.317 206.53 179c0-3.34.535-6.542 1.5-9.563h-46.843zm138.095 30.845c24.18 0 43.783 19.603 43.783 43.782 0 24.18-19.602 43.782-43.782 43.782-24.178 0-43.78-19.602-43.78-43.78 0-24.18 19.602-43.783 43.78-43.783zm-81.25 20.814c14.265 0 25.814 11.58 25.814 25.844 0 14.264-11.55 25.812-25.813 25.812-14.263 0-25.843-11.548-25.843-25.813 0-14.264 11.58-25.843 25.844-25.843zm68.564 79.344c14.264 0 25.844 11.58 25.844 25.843 0 14.265-11.58 25.814-25.844 25.814-14.264 0-25.813-11.55-25.813-25.813 0-14.263 11.55-25.842 25.814-25.842zM99.5 418.125v73.844h321.594v-73.845H99.5z"}}]})(props);
};
function GiCherish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M159.361 28.344c-51.352.63-79.54 56.303-79.244 86.957 1.504 47.346 34.181 79.356 74.82 114.763 35.351 30.799 76.091 63.283 100.907 109.987.05-.092.105-.18.156-.272.051.092.105.18.156.272 24.816-46.704 65.556-79.188 100.906-109.987 40.64-35.407 73.317-67.417 74.82-114.763.297-30.654-27.891-86.327-79.243-86.957C314.636 27.878 270 54 256 96c-14-42-58.636-68.122-96.639-67.656zM60.17 198.06c-8.818-.137-17.843 11.093-17.895 39.882-.078 44.153-4.356 56.616 16.077 106.551C73.335 381.112 80.054 409.257 128 432c5.68 20.022 3.413 24.73-.44 41.84-3.596 15.974 33.423 18.91 60.534 5.453 29.091-15.868 26.65-59.557 21.453-89.184-6.044-34.454-25.06-41.615-41.543-56.332-17.115-24.475-21.098-68.813-48.856-86.699-5.797-3.735-35.37-7.527 5.262 93.942-53.571-13.268-43.813-74.773-47.687-120.31-1.154-13.561-8.773-22.53-16.553-22.65zm391.66 0c-7.78.12-15.399 9.088-16.553 22.65-3.874 45.536 5.884 107.041-47.687 120.309 40.633-101.47 11.059-97.677 5.262-93.942-27.758 17.886-31.74 62.224-48.856 86.7-16.482 14.716-35.5 21.877-41.543 56.331-5.197 29.627-7.638 73.316 21.453 89.184 27.111 13.456 64.13 10.521 60.533-5.453-3.852-17.11-6.119-21.818-.439-41.84 47.946-22.743 54.665-50.888 69.648-87.506 20.433-49.935 16.155-62.398 16.077-106.55-.052-28.79-9.077-40.02-17.895-39.883z"}}]})(props);
};
function GiCherry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M278.814 35.137c-3.87 29.372 2.21 62.917 23.563 91.277 24.7 32.807 70.077 59.506 146.49 64.467-10.864-53.306-31.943-84.387-60.87-107.415-23.07-18.367-51.784-31.734-84.02-45.96 29.838 36.785 60.63 73.392 105.382 92.694l-7.13 16.527c-55.713-24.03-90.292-70.698-123.416-111.59zM259.2 46.79c-42.613 88.792-88.927 175.71-147.975 257.08-1.967-1.61-3.77-3.225-5.454-4.725-4.98-4.436-9.11-7.99-15.42-10.407-2.338-.896-4.675-1.33-7.02-1.326-7.035.01-14.15 3.948-21.65 11.11-10 9.553-18.946 24.412-23.893 37.62-14.318 38.227 4.955 80.574 43.186 94.89 38.23 14.32 80.582-4.952 94.9-43.178 4.94-13.187 8.024-30.42 6.8-44.243-.61-6.91-2.283-12.897-4.786-17.208-2.503-4.31-5.532-7.033-10.21-8.627-4.466-1.52-10.517-1.707-17.765-1.85-6.83-.133-14.742-.297-22.97-3.064 53.342-73.767 96.236-151.695 135.23-230.99-7.14 56.593-14.18 114.543-29.91 170.29-7.03-.83-12.847-3.195-17.887-5.144-6.222-2.407-11.337-4.285-18.094-4.336-10.013-.077-17.4 6.766-23.415 19.216-5.06 10.48-8.094 24.21-8.93 36.708 3.11.388 6.3 1.027 9.544 2.132 8.872 3.023 15.68 9.234 19.973 16.627 4.293 7.394 6.374 15.88 7.15 24.662.775 8.75.267 17.862-1.156 26.727 11.08 6.646 24.062 10.47 37.967 10.47 40.825 0 73.725-32.898 73.725-73.718 0-14.08-3.156-31.3-9.15-43.817-2.997-6.257-6.663-11.276-10.52-14.435-3.856-3.16-7.648-4.648-12.59-4.5-4.713.142-10.445 2.09-17.282 4.498-3.142 1.107-6.54 2.286-10.188 3.25 11.84-43.77 18.6-88.247 24.276-131.803C263.302 95.443 258.402 70.4 259.2 46.79zm46.732 110.605c1.617 5.452 3.26 10.96 4.945 16.554 20.44 67.845 45.324 144.313 68.207 195.255-4.537.18-8.715-.204-12.46-.52-6.65-.564-12.083-.93-18.583.917-9.63 2.738-14.8 11.38-17.075 25.017-2.275 13.638-.524 30.894 3.437 44.43 11.464 39.178 52.28 61.515 91.463 50.052 39.182-11.464 61.52-52.276 50.057-91.454-3.955-13.514-11.82-29.155-21.086-39.484-4.634-5.164-9.564-8.953-14.152-10.902-2.295-.975-4.456-1.554-6.63-1.698-2.177-.143-4.368.15-6.718.915-4.485 1.458-9.44 4.937-15.324 9.168-4.337 3.118-9.218 6.61-15.076 9.29-21.51-47.232-46.358-122.123-66.762-189.375-9.007-5.556-17.075-11.646-24.242-18.168z"}}]})(props);
};
function GiChessBishop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M406.02 476.915h-300v-60h300v60zm-83.46-181H189.48v17.65h133.08v-17.65zm11.78-77.69a200 200 0 0 1-9.39 61.69H187.09a200 200 0 0 1-9.39-61.69c0-59.09 23.82-109 56.41-124.67a33.34 33.34 0 1 1 43.82 0c32.59 15.71 56.41 65.58 56.41 124.67zm-51.07-48.91h-19.25v-23.92h-16v23.92h-19.26v16h19.26v51.54h16v-51.54h19.25v-16zm38.15 180.69v-20.44h-130.8v20.44H93.29v.11l49.46 49.46h82.08l31.15-36 31.15 36h82.44l48.87-48.87.27-.69h-97.29z"}}]})(props);
};
function GiChessKing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405.995 477.15h-300v-60h300v60zm-10.3-107.13h-279.4a96.88 96.88 0 0 1 6.65 31.12h266.1a96.88 96.88 0 0 1 6.65-31.12zm-139.7-241.06a35.76 35.76 0 0 0-35.76 35.76c0 50.16 35.76 99.34 35.76 99.34s35.76-49.18 35.76-99.34a35.76 35.76 0 0 0-35.76-35.76zm8-15.38V94.24h18.36v-16h-18.36V54.85h-16v23.39h-18.36v16h18.36v19.38a51.9 51.9 0 0 1 16-.04zm81.64 51.36a98.74 98.74 0 0 0-38.13 7.61c-3.23 51.75-37.07 98.85-38.58 100.93l-4.93 6.76V354h140c16.57-26.15 40.78-42.41 40.78-90a99.13 99.13 0 0 0-99.14-99.07zm-141.16 7.61a99.16 99.16 0 0 0-137.25 91.51c0 47.55 24.21 63.82 40.78 90h139.99v-73.82l-4.94-6.79c-1.51-2.05-35.34-49.15-38.58-100.9z"}}]})(props);
};
function GiChessKnight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M60.81 476.91h300v-60h-300v60zm233.79-347.3l13.94 7.39c31.88-43.62 61.34-31.85 61.34-31.85l-21.62 53 35.64 19 2.87 33 64.42 108.75-43.55 29.37s-26.82-36.39-39.65-43.66c-10.66-6-41.22-10.25-56.17-12l-67.54-76.91-12 10.56 37.15 42.31c-.13.18-.25.37-.38.57-35.78 58.17 23 105.69 68.49 131.78H84.14C93 85 294.6 129.61 294.6 129.61z"}}]})(props);
};
function GiChessPawn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M312.07 194.46A56.07 56.07 0 1 1 256 138.39a56.07 56.07 0 0 1 56.07 56.07zM406 418.01H106v60h300v-60zM282.33 261.52a71.81 71.81 0 0 1-52.15.2c-.73 58.91-62.35 114.06-96.75 140.28H378.9c-34.09-26.33-95.44-81.78-96.57-140.48z"}}]})(props);
};
function GiChessQueen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M477.518 181.966a25 25 0 0 1-34.91 23l-62.29 150.26h-248.92l-62.24-150.19a25 25 0 1 1 9.73-7.29l87 71.2 20.92-126.4a25 25 0 1 1 14.7-1.85l54.31 117 54.42-117.3a25 25 0 1 1 14.58 2.08l20.93 126.42 87.26-71.3a25 25 0 1 1 44.51-15.63zm-71.66 241.25h-300v60h300v-60zm-27.75-52h-244.22v36h244.22v-36z"}}]})(props);
};
function GiChessRook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M406 484.7H106v-60h300v60zm-56.67-330.83h-50.05V91.3h-82.39v62.57h-54.22V91.3h-54.23v113.67h295.12V91.3h-54.23v62.57zm23.35 67.23H139.32v187.6h233.36V221.1z"}}]})(props);
};
function GiChestArmor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M156.7 25.83L89 39.38c-.1 58.57-1.74 119.32-43.49 167.22C104.4 246.5 189 260.7 247 248.8v-99L108.3 88.22l7.4-16.44L256 134.2l140.3-62.42 7.4 16.44L265 149.8v99c58 11.9 142.6-2.3 201.5-42.2-41.8-47.9-43.4-108.65-43.5-167.22l-67.7-13.55c-12.9 13.88-20.6 28.15-32.9 40.53C308.9 79.78 289.5 89 256 89c-33.5 0-52.9-9.22-66.4-22.64-12.3-12.38-20-26.65-32.9-40.53zM53.88 232.9C75.96 281 96.07 336.6 102.7 392.8l65 22.8c4.2-52.7 28.2-104 63.7-146.1-55.1 6.3-122.7-5.8-177.52-36.6zm404.22 0c-54.8 30.8-122.4 42.9-177.5 36.6 35.5 42.1 59.5 93.4 63.7 146.1l65.2-22.9c6.6-56.8 26.6-111.8 48.6-159.8zM256 269c-40.5 43.1-67.7 97.9-70.7 152.7l61.7 21.6V336h18v107.3l61.7-21.6c-3.1-54.8-30.2-109.6-70.7-152.7zm151.7 143.4L297 451.1v18.8l110.2-44.1c.1-4.5.3-8.9.5-13.4zm-303.3.1c.3 4.5.4 8.9.5 13.4l110.1 44v-18.7l-110.6-38.7zM279 457.4l-23 8.1-23-8v19.6l23 9.2 23-9.2v-19.7z"}}]})(props);
};
function GiChest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M58.553 89L42.27 211.8H79V89H58.553zM97 89v122.8h38V89H97zm56 0v122.8h56.666v-17.6h92.668v17.6H359V89H153zm224 0v122.8h38V89h-38zm56 0v122.8h36.73L453.446 89H433zM227.666 212.2v105.2h56.668V212.2h-56.668zM256 223.794a18.667 16.103 0 0 1 18.666 16.1 18.667 16.103 0 0 1-9.666 14.09v37.214h-18V254a18.667 16.103 0 0 1-9.666-14.106 18.667 16.103 0 0 1 18.666-16.1zM41 229.8v127.915l19.334 18.23V229.8H41zm37.334 0v158h355.332v-158H302.334v105.6h-92.668V229.8H78.334zm373.332 0v146.145L471 357.715V229.8h-19.334zM41 382.456V423h43.002L41 382.455zm430 0L427.998 423H471v-40.545zM92 405.8l18.24 17.2h291.52L420 405.8H92z"}}]})(props);
};
function GiChestnutLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M229.8 21.43s-5.9 14.34-15.6 19.23c-17.6 8.99-36.7 21.57-38.7 55.07-3.7 62.07 19 131.87 40.6 190.77-20.4-41.5-39.5-71.9-93-114.5-23.73-19.2-60.37-50.5-78.88-43.7-10.17 3.8-24.08-5-24.08-5 5.31 11.2 7.49 24 7.82 36.3 1.26 26.9 11.81 57.6 29.02 82.4 37.59 52.6 91.92 75 138.52 86-41.2-6.2-72.7-5-122.09 10.1-22.85 6.8-31.79 22.1-37.33 39.2-3.02 9.5-12.98 15.3-12.98 15.3 8.99 2.4 18.38 6.1 25.49 12.5 15.81 13.7 37.38 15.7 62.11 11.5 56.8-9.5 82.5-26.6 121.1-61.3 1.2 47.2-2.7 96.4-11.3 135.1l17.6 4c9-40.3 12.9-89.9 11.8-137.9 46 24.1 110.2 51.6 171.7 32.9 22.7-7.4 36.9-28.3 46.7-46.2 4.5-8.2 15.4-10.1 23.6-14.7 0 0-14.6-1.9-21.8-10.4-13.4-15.2-32.9-26-59.3-26.4-40.5-.8-71.2 7.9-98.3 19.7 31.4-21.9 65.9-52.1 107.1-86.5 35.7-36.2 35.2-48.8 34.1-75.8-.7-12.2-6.9-20.8-2.6-32.2 0 0-14.3 1.3-25.2 1.3-22.3 0-34.6-11.2-56.6 10-43.7 41.4-73 92-96.1 140.4 16.2-54.4 26.1-123.5 15.2-175.2-4.9-31.93-13.7-43.53-40.2-52.25-11.6-3.85-13.8-8.26-18.4-19.72z"}}]})(props);
};
function GiChewedHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M371.148 21.422c-47.943.474-94.522 30.346-106.605 84.855 23.308 25.97 35.25 59.46 30.36 94.453l-18.51-2.585c6.01-43.03-18.18-83.975-60.573-106.483-30.015-13.248-62.242-15.24-91.802-8.28l-6.82 1.147c.035.21.058.394.093.603-.275.08-.552.152-.827.232.297.04.59.09.887.135 3.047 18.48 3.43 30.233 1.01 38.135-2.465 8.044-7.604 13.897-19.858 21.88l-10.947 7.13 10.287 8.056c21.587 16.905 26.17 33.387 22.36 44.382-3.81 10.995-17.38 20.564-42.932 20.02l-11.91-.254 2.59 11.627c3.902 17.518 2.97 29.854-.3 37.894s-8.532 12.52-16.617 15.308l.006.015-7.91 2.555C112.05 394.053 302.19 431.686 337.77 493.3c0-88.87 183.898-228.256 149.855-373.734-15.838-67.674-66.885-98.634-116.475-98.144zm-233.69 72.246c21.017 14.63 31.41 45.175 15.14 71.9 96.352-16.05 73.76 120.85 5.703 101.38-19.06 41.176-62.37 43.628-87.2 32.82 5.938-4.656 10.792-10.806 13.863-18.36 4.23-10.4 5.16-23.078 3.094-37.998 25.026-2.268 43.544-14.152 49.802-32.21 6.223-17.957-.74-38.94-19.358-57.192 8.663-7.18 14.733-15.126 17.727-24.897 3.145-10.27 3.022-21.51 1.227-35.442z"}}]})(props);
};
function GiChewedSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M262.81 16.098c-10.335-.044-20.657.6-30.867 1.894l-2.68.246c1.754 19.05-1.177 32.7-7.144 39.69-5.967 6.99-15.964 10.454-36.102 6.328l-18.686-3.83 8.426 17.11c5.744 11.666 2.894 24.13-5.42 31.386s-22.805 10.594-44.797-1.443l-17.257-9.447 3.582 19.344c3.326 17.958-1.815 26.41-10.158 31.99-8.343 5.582-21.628 7.223-33.15 4.725l-.14.644-2.292-1.51c-8.416 30.07-10.557 65.306-4.252 106.08l15.184 94.135 70.295-13.24 3.46 18.366-15.384 2.897L179.96 488.79h25.39l-7.81-61.89 18.534-2.337 8.104 64.226h29.613v-65.325h18.69v65.324h29.61l8.105-64.228 18.534 2.338-7.81 61.89h25.486l44.352-126.808-18.133-3.416 3.46-18.365 70.185 13.22 18.236-94.22c12.634-81.883-9.59-141.71-48.71-181.966-39.135-40.268-95.95-60.884-152.966-61.136h-.02zm-14.51 20.14c45.57 29.486 39.706 97.78-19.587 70.834 34.772 67.943-24.572 97.148-69.838 55.2 3.894 37.6-40.093 48.023-69.316 11.056 7.962-1.166 15.703-3.855 22.538-8.428 10.563-7.066 17.958-19.23 19.1-34.785 20.852 6.868 39.385 3.4 51.43-7.113 10.958-9.566 16.144-24.103 14.368-38.635 16.913.726 30.568-4.03 39.34-14.306 7.624-8.933 11.127-20.532 11.965-33.822zm-61.9 167.98c32.884 0 59.54 26.656 59.54 59.54 0 32.885-26.656 59.543-59.54 59.543-32.883 0-59.543-26.657-59.543-59.542 0-32.886 26.66-59.54 59.543-59.54zm157.543 0c32.884 0 59.54 26.656 59.54 59.54 0 32.885-26.656 59.543-59.54 59.543-32.883 0-59.543-26.657-59.543-59.542 0-32.886 26.66-59.54 59.543-59.54zm-80.675 79.74l39.937 101.6-17.03 7.05-22.905-35.477-22.905 35.477-17.62-7.048 40.523-101.603z"}}]})(props);
};
function GiChickenLeg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M395.938 20.78c-2.006-.015-4.02.047-6.063.19-20.603 1.434-43.834 11.255-68.156 33.374 4.478 1.835 8.86 4.388 13.092 7.718 34.186 26.906 13.31 54.375-13.156 48.094 35.578 39.36.977 69.643-36.97 49.625 9.69 25.352-20.15 40.428-47.155 17.845-19.576 41.963-23.738 70.97-24.53 95.094-.367 11.177 1.214 16.963 2.438 19.186 1.223 2.223 1.6 2.25 4.312 2.97 2.712.717 7.356.912 13 2.937 4.195 1.504 8.805 4.67 12.25 9.375 38.097 2.08 94.528 3.21 171.78-36.72 44.882-23.197 67.256-59.045 74.25-96.937 6.997-37.89-2.012-77.89-21.124-107.218-17.917-27.495-43.88-45.288-73.97-45.53zm64.187 69.44c25.656 51.76 6.995 94.552-63.844 126.218 35.36-38.065 64.82-79.05 63.845-126.22zm11.47 99C433.257 241.533 370.29 291.44 281 289.124c65.092-22.673 133.782-58.816 190.594-99.906zM200.06 302.562c-43.083 40.035-103.853 84.81-128.687 94.062-25.69 9.57-34.904.96-49.156 18.313-13.558 16.133 12.31 53.08 41.28 32.78-26.414 41.35 26.314 74.03 42.375 16.063 12.69-47.362 76.407-102.028 125.313-143.155l-.313-.688c-1.52-3.575-2.215-3.734-4.438-4.53-2.222-.798-6.236-1.084-11.468-2.47-4.804-1.27-10.963-4.467-14.907-10.375z"}}]})(props);
};
function GiChickenOven (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M187.8 45.5s-12.6 6.61-25.3 16.33c-6.3 4.86-12.8 10.5-18 16.94-5.2 6.44-9.5 13.89-9.5 22.73 0 8.6 4.6 15.7 10 20.6 5.3 4.8 11.5 8.2 17.3 11.4 5.8 3.2 11.3 6.3 15 9.3 3.7 3 5.4 5.4 5.8 8.1 1.1 6.6-5.2 22.1-13.2 34.5-8.1 12.4-16.6 22.1-16.6 22.1l13.4 12s9.4-10.6 18.3-24.3c8.9-13.7 18.6-30.2 15.9-47.1-1.4-8.5-6.6-14.8-12.3-19.3-5.6-4.6-11.9-7.9-17.6-11.1-5.7-3.1-10.9-6.2-14-9-3.1-2.8-4-4.5-4-7.2 0-2.49 1.7-6.72 5.5-11.41 3.8-4.7 9.3-9.64 15-13.96 11.3-8.63 22.7-14.71 22.7-14.71zm90 32.43s-12.4 4.66-25.1 11.56c-6.3 3.45-12.8 7.42-18.1 12.11-5.4 4.7-10.6 10.4-10.6 18.9 0 8.2 5.7 14 11.1 17.5 5.4 3.4 11.4 5.8 17.3 8.1 5.8 2.2 11.4 4.5 15.1 6.6 3.7 2.2 4.7 3.9 4.7 4 .2.6-.2 3.7-2.5 7.8-2.2 4-6 8.8-9.9 13.1-7.9 8.7-16.4 15.6-16.4 15.6l11.2 14s9.4-7.5 18.5-17.4c4.5-5 9-10.5 12.4-16.6 3.3-6 6-12.8 4.3-20.5-1.8-7.8-7.7-12.3-13.3-15.6-5.6-3.2-11.8-5.5-17.6-7.8-5.7-2.3-11-4.5-14-6.5-2.3-1.4-2.8-2.1-2.9-2.3.2 0 1.1-2.4 4.4-5.4 3.7-3.2 9.2-6.7 14.9-9.8 11.3-6.16 22.9-10.53 22.9-10.53zm67.5 12.82c-3.7.69-7.8 4.37-10.9 10.65-3.1 6.3-4.6 14.5-4.1 20.2.1 1.1 4.1 8.2 9 13.3 5 5.1 9.9 8.9 9.9 8.9l4.5 3.4-10.6 51.3 14.3 4.4 22.1-42.2c-5.1-5.5-10.2-11.9-10.9-21-.5-7.6.6-15.7 3.4-23.4-6.3-1.7-7.8-5-10.1-8-2.5-3-4.9-6.4-7.3-9.37-2.4-3.01-4.9-5.62-6.8-6.96-1.8-1.33-2.3-1.21-2.5-1.21zm56.3 16.65c-3.7.7-7.8 4.3-10.9 10.6-3 6.3-4.6 14.5-4.1 20.3.1 1.1 4.1 8.2 9 13.3 5 5.1 9.9 8.9 9.9 8.9l4.5 3.4-10.7 51.4 14.3 4.5 25.8-49.3 3.7-1s9.4-2.8 19.2-7.4c4.9-2.3 9.8-5.1 13.3-7.9 3.6-2.9 5.5-5.6 5.8-6.9v-.1c1.5-5.2.4-13.5-3-20.6-3.5-7-9-12.3-13.8-13.8-.2-.1-.7-.2-2.8 1-2.1 1.2-5 3.6-8 6.4-3 2.9-6.1 6-9.8 8.7-3.6 2.7-8.7 5.8-15.3 4.1-6.6-1.6-8.1-5.1-10.5-8.1-2.5-3-4.9-6.4-7.3-9.4-2.4-3-4.9-5.6-6.8-6.9-1.8-1.4-2.3-1.2-2.5-1.2zM92.36 119.9s-12.5 5.4-25.21 13.5c-6.36 4.1-12.83 8.7-18.13 14.2-5.3 5.5-10.04 12-10.04 20.5 0 8.2 5.22 14.7 10.59 18.7 5.38 4 11.48 6.8 17.3 9.5 5.82 2.6 11.35 5.2 15.06 7.7 3.7 2.5 4.96 4.4 5.21 5.7.35 1.8-.3 6-2.69 11-2.38 4.9-6.16 10.6-10.15 15.7-7.97 10.2-16.5 18.2-16.5 18.2l12.34 13.2s9.37-8.8 18.35-20.4c4.49-5.7 8.94-12.2 12.21-19 3.3-6.8 5.7-14.2 4.1-22.1-1.5-8-7.18-13.4-12.81-17.2-5.64-3.8-11.88-6.6-17.61-9.2-5.73-2.6-10.95-5.2-14.02-7.5-3.06-2.3-3.39-3.2-3.39-4.3 0-.9 1.26-4.1 4.96-8 3.7-3.8 9.23-7.9 14.87-11.5 11.29-7.2 22.79-12.3 22.79-12.3zm238.54 93.6c-2.3 1.6-7.7 5.5-15.2 11.2 12 2.5 24.3 5.8 36.7 9.8 1.6-1.3 3-2.4 4.5-3.6-.5-4.2-1-7.5-1.3-9.7zm56.4 16.8c-4.5 3.2-19.6 14.2-39.2 31.3-22.8 19.8-48.2 45.6-58.3 66.1-7.6 15.4-16.3 34.2-20.6 52-4.3 17.8-4.1 33.7 3.3 44.8 4.2 6.3 10.7 8.3 20.4 8.1 9.7-.1 21.3-3.2 30.9-6.2 33.7-11 69-35.1 85-69.8 7.2-15.6 8.6-47.5 7.2-74.5-1.1-22-3.3-37.7-4.2-44zm-111.9 8.1c-1.1 0-2.3 0-3.4.1-38.3 2-82.1 9.5-119.7 25-37.7 15.4-68.95 38.5-84.12 71.2-5.49 11.8-5.15 27.7-.16 41.1 4.99 13.4 14.28 23.3 24.06 25.9 42.92 11.2 101.22 16 158.32 17-3.5-13.2-2.3-27.6.9-41.4-31.1 11.8-76.5 14.6-133.8-3.5l-8.5-2.7 2.6-8.5c7.4-25 30-57.7 66.8-74.6l7.6 16.4c-26.9 12.3-45.6 36.2-53.9 54.9 59.5 16.7 102.7 8 126.3-5.3 4.6-12.5 10.2-24.2 15.2-34.3 12.5-25.2 38.7-50.8 62.1-71.1-20.7-6-40.6-10-57-10.2zm158.9 49.3c1.1 26.4.3 55.9-9.1 76.5-9.4 20.3-23.9 37-40.8 50.3 7.9-.7 15.4-1.4 22.1-2.2 12.4-1.3 22.6-2.8 29.8-4.2 3.6-.8 6.5-1.5 8.4-2 .7-.3 1.1-.5 1.4-.7 12.1-15.1 23.8-29.4 31.6-44.2 7.3-14.2 11.3-28.6 9.4-46-4.1-2.4-24-13.7-52.8-27.5zM53.14 386.9c-5.4 2.4-10.12 4.8-14.04 7.3-10.89 6.9-14.66 13-14.66 17.3 0 4.3 3.77 10.4 14.66 17.3s27.79 13.6 48.95 19.3c42.35 11.2 101.85 18.4 167.45 18.4s125.1-7.2 167.4-18.4c21.2-5.7 38-12.4 48.9-19.3 10.9-6.9 14.7-13 14.7-17.3 0-3.7-2.9-8.8-10.7-14.6-5.5 7.2-11.2 14.2-16.8 21.2l-.3.5-.5.4c-3.2 3-5.3 3.3-8.2 4.2-2.8.9-6.2 1.7-10.2 2.5-8 1.6-18.6 3.1-31.3 4.5-16.1 1.8-35.6 3.4-57.1 4.6-7.4 3.5-14.8 6.4-22.1 8.8h-.1c-10.1 3.2-23 6.8-36 7-12 .3-25.4-3.1-33.9-13.7-60.6-.6-123.8-5.3-171.76-17.8-15.92-4.2-27.55-17-34.4-32.2z"}}]})(props);
};
function GiChicken (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M365.852 31.858c-10.152 2.474-24.915 7.073-37.437 13.602-9.2 4.797-17.277 10.575-21.928 16.19-4.65 5.618-6.05 9.96-4.416 15.587l3.556 12.254-12.736-.76c-3.048-.183-4.944-.117-7.364-.262-2.42-.146-5.405-.706-8.27-1.87-3.86-1.568-9.082-4.65-16.085-8.91-.366 4.63-.58 10.108-.407 16.006.38 12.915 2.02 27.945 4.82 41.17 1.328 6.27 3.007 12.134 4.805 17.13 2.992-4.705 6.264-9.202 9.84-13.368 17.022-19.818 40.47-41.586 69.867-43.697 14.423-1.037 29.333 5.324 42.554 12.41 3.997-7.635 10.257-13.963 16.617-19.67 6.403-5.748 13.146-11.018 18.95-15.97-9.552-6.72-16.81-10.074-23.02-10.855-7.936-.998-16.028 1.45-28.835 8.828l-15.21 8.762 4.7-46.577zm-12.796 80.995a16.57 16.57 0 0 0-1.672.03c-20.817 1.494-41.72 19.098-57.5 37.47-13.842 16.117-23.36 41.13-28.65 61.556 6.866 1.127 14.21 2.21 21.564 2.43 10.95.33 20.46-1.593 25.334-5.83l7.04-6.114 5.862 7.25c4.956 6.128 10.802 14.087 14.32 23.476 1.78 4.75 2.88 10.128 2.698 15.607 12.487-2.64 23.93-7.162 28.884-12.86l5.256-6.043 6.614 4.52c10.006 6.838 19.827 14.582 26.634 25.236 1.033-3.752 1.935-7.666 2.416-11.75 1.503-12.738-.18-25.93-6.636-35.494-10.232-11.257-22.116-22.055-24.93-37.03-1.066-5.675.69-10.02 2.78-14.29 2.092-4.27 4.972-8.467 8.35-12.593 3.803-4.644 8.228-9.1 12.948-13.05-4.015-2.658-8.39-5.55-13.877-8.665-12.77-7.256-28.594-13.592-37.434-13.86zM48.52 128.626c-6.353-.037-9.976.466-9.976 1.576 2.82 12.857 7.998 26.53 15.432 39.48 26.005-3.718 53.01-5.705 80.652-5.488 26.75 8.66 54.68 16.02 80.83 25.338-25.477-4.52-50.737-6.842-75.512-7.3a489.987 489.987 0 0 0-11.82-.073c-28.5.16-56.26 2.772-82.938 7.17 4.785 32.48 20.097 79.06 50.397 120.476 32.95 45.036 82.958 84.022 156.976 94.457 58.185 8.202 107.473-4.926 132.47-31.346 12.5-13.21 19.395-29.548 19.23-49.768-.157-18.958-6.877-41.526-22.327-67.106-1.133-.884-2.3-1.766-3.52-2.654-13.164 10.368-31.666 13.752-47.895 15.322l-18.392 1.78 9.94-15.58c2.974-4.66 2.76-9.265.433-15.474-1.486-3.962-4.016-8.048-6.75-11.992-9.13 4.418-19.634 5.185-29.495 4.887-12.977-.392-25.546-2.913-33.66-4.262l-9.268-1.538 1.936-9.193c2.894-13.746 7.735-30.663 15.19-46.902-46.584-23.24-175.11-41.595-211.933-41.812zm303.762.088c8.852 0 16.186 7.384 16.186 16.213 0 8.83-7.334 16.213-16.186 16.213-8.85 0-16.187-7.384-16.187-16.213 0-8.83 7.336-16.213 16.187-16.213zm73.906 13.47l-1.707.936c-5.958 3.275-13.704 10.08-19.133 16.71-2.715 3.316-4.887 6.612-6.11 9.108-.885 1.807-1.032 3.154-1.13 3.35 1.295 5.8 10.486 16.914 20.966 28.522l.387.427.326.473a54.88 54.88 0 0 1 4.754 8.342c11.47.563 23.966-.753 38.652-3.727l-41.35-30.937s37.437.748 51.126-1.635c4.696-.818-25.494-22.228-46.78-31.57zM160.52 231.076l17.516 4.15c-1.628 6.866-6.334 11.36-11.355 15.008-5.02 3.65-10.874 6.607-17 9.354-5.37 2.408-10.923 4.598-16.195 6.698 17.247 7.16 39.738 12.514 57.944 7.756l8.135-2.127 2.672 7.975c2.102 6.27.8 12.92-1.97 18.097-2.766 5.176-6.815 9.438-11.452 13.343-4.408 3.713-9.428 7.075-14.636 10.11 1.512.4 2.75.78 4.413 1.185 16.154 3.923 39.21 7.99 62.21 9.678 22.997 1.688 46.086.824 61.544-4.053 7.728-2.44 13.347-5.8 16.605-9.553 3.26-3.753 4.8-7.815 4.16-14.64l17.922-1.678c1.02 10.888-2.2 20.873-8.49 28.12-6.29 7.245-15.014 11.835-24.78 14.917-19.536 6.163-44.068 6.615-68.28 4.837-24.213-1.778-47.956-5.964-65.14-10.137-8.59-2.087-15.446-4.112-20.384-6.105-2.47-.997-4.277-1.582-6.817-3.805-1.27-1.112-3.838-3.195-3.59-8.084.122-2.444 1.414-4.847 2.696-6.168 1.28-1.32 2.438-1.895 3.368-2.295 9.76-4.196 20.562-10.17 27.602-16.098a41.493 41.493 0 0 0 3.95-3.828c-28.726 2.026-57.113-10.163-73.773-20.45l-13.646-8.425 14.302-7.258c9.833-4.99 23.145-9.453 34.26-14.44 5.56-2.492 10.508-5.107 13.787-7.49 3.277-2.38 4.37-4.38 4.42-4.597zM132.378 373.31c-9.94 10.178-24.66 20.105-40.18 28.05-6.34-7.936-13.154-15.46-20.445-22.242L59.495 392.3c5.485 5.1 10.75 10.778 15.762 16.814-5.725 2.31-11.364 4.275-16.715 5.793l4.914 17.315c6.655-1.89 13.604-4.25 20.605-7.035-.004 16.89-1.79 35.74-6.532 48.816l16.92 6.14c3.645-10.05 5.755-21.453 6.826-32.9 4.775 8.44 9.016 16.875 12.606 24.934l16.443-7.326c-6.96-15.626-16.04-32.46-26.976-48.42 16.785-8.633 32.574-19.633 43.97-32.488a244.225 244.225 0 0 1-14.94-10.632zm301.435 35.127c-15.158.19-32.163 7.857-49.21 18.494a196.634 196.634 0 0 0-20.456 14.66c-6.71-5.158-13.73-10.692-20.86-16.23a1086.232 1086.232 0 0 0-7.88-6.062c-7.882 1.91-16.138 3.324-24.705 4.232 7.053 4.96 14.317 10.433 21.545 16.047 6.184 4.802 12.332 9.672 18.37 14.354-4.958 5.056-9.45 10.33-13.243 15.735l14.734 10.34c3.507-4.998 7.984-10.123 13.076-15.117 5.09 3.68 10.056 7.083 14.82 9.965l9.317-15.4a143.322 143.322 0 0 1-4.667-2.96c19.407-2.33 39.054-.35 52.653 2.676l3.91-17.57c-10.58-2.356-23.95-4.223-38.416-4.275l-.19.002c13.615-7.218 26.607-11.223 33.21-10.857l1-17.97a44.232 44.232 0 0 0-3.007-.063z"}}]})(props);
};
function GiChiliPepper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M446.738 28.814c-25.117 13.687-48.889 42.68-61.957 71.809-7.818-2.893-16.676-4.618-25.513-4.545-14.73.121-29.385 5.227-39.008 18.168.886.005 1.774.018 2.666.05 12.22.443 24.958 3.41 37.304 8.102 22.98 8.734 45.207 23.286 58.29 41.83 12.723-30.603-.83-45.203-17.569-55.43 11.733-25.618 34.789-53.49 54.4-64.177zM319.824 132.261a58.819 58.819 0 0 0-6.894.35c-11.725 1.322-19.854 5.705-24.686 14.477-45.314 82.267-40.39 117.237-53.092 156.177-6.35 19.47-17.347 39.092-40.322 63.21-22.975 24.116-57.954 53.12-113.379 93.007-12.743 9.171-20.766 16.8-24.03 21.39-.686.967-.496.828-.773 1.417 2.1.465 6.218 1.262 13.534.709 9.923-.751 23.7-3.263 40.53-7.672 85.471-22.392 164.479-75.553 220.118-132.317 27.82-28.381 49.794-57.658 63.861-84.048 14.068-26.39 19.84-49.872 17.239-65.627-3.273-19.817-29.295-43.162-58.096-54.11-10.8-4.105-21.814-6.517-31.592-6.908a69.925 69.925 0 0 0-2.418-.055zm1.977 17.813c1.725.06 3.385.555 4.967 1.533-22.945 39.64-46.91 81.1-60.47 138.438-22.95-11.989 25.686-141.007 55.503-139.971z"}}]})(props);
};
function GiChimney (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M130.9 176.8c-20.9 19.6-34.65 25.8-60.02 24.9-9.64 16.9-9.17 28.1-4.31 38.6 2.93 6.4 8.08 12.6 14.57 18.8H309.6c13.5-5.4 21.6-17.7 24.3-29.5-18.5 2.8-35 1.4-49-4.6-14.7-6.3-26.2-17.7-34.3-32.5-24.6.5-50-20.1-60.8-38.3 53.3 30 100.1 15.3 131.4 6.2-18.3 18.3-29.1 23.8-51.2 29.3 5.9 8.8 13.1 14.9 22 18.7 11.6 5 26.4 6.2 45.3 2.3l.1-.3.4.2c32.4 19 73.8 22.1 100.9 7.3 26.5-15.1 44.7-30.4 55.3-45.2V75.77c-22.6 14.04-48.9 21.81-73.1 18.99-29.2 20.14-67.3 30.44-103.8 31.04-37.3.6-73.8-17.1-99.5-39.02 33.8 13.82 65.2 21.62 99.2 21.02 27.4-.4 56.2-7.2 79.8-19.39-14.6-5.83-33.4-13.4-56.1-32.32 67.3 19.87 106.3 31.32 153.5-2.05 1.2-9.7-.7-22.02-1.8-31.17L18 23.19v66.75c14.13 16.06 84.3 17.66 126.5 8.63C109.7 113 59.91 122.1 29.79 112.9c-20.186 8-11.42 30.1-4.08 43.5 15.79 28.8 72.89 38.5 105.19 20.4zM73 277.1v62h238v-62zm48 80v30h30v-30zm48 0v30h94v-30zm-48 48v30h78v-30zm96 0v30h46v-30zm-96 48v30h30v-30zm48 0v30h94v-30z"}}]})(props);
};
function GiChipsBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M132.684 31.388a1.443 1.443 0 0 0-.29.004c-.396.048-.768.25-1.398.609-1.26.719-3.215 2.597-5.039 5.484-3.648 5.776-6.593 15.148-7.516 22.34-2.004 15.623 3.42 23.692 13.293 31.436 5 3.92 11.236 7.328 17.914 10.515-3.23-13.668-3.189-27.344-3.732-38.859-.419-8.882-1.232-16.509-3.107-21.623-1.853-5.052-3.884-7.627-8.987-9.62-.472-.156-.833-.262-1.138-.286zm111.212 11.478c-27.446.122-54.797 1.187-81.492 2.78.891 5.354 1.23 10.856 1.492 16.423.048 1.01.092 2.025.137 3.037 21.693 20.288 34.01 21.811 44.826 20.485 5.516-.677 10.93-2.497 17.13-3.977.993-.237 2.029-.455 3.081-.658 8.481-8.258 19.868-14.662 33.342-20.033A61.785 61.785 0 0 1 287.7 56.56c8.175.303 15.944 2.17 22.854 5.03 6.499 2.69 12.318 6.169 17.218 10.23 2.24-.62 4.518-.928 6.819-.967 7.174-.12 14.565 2.29 21.66 5.385 11.352 4.952 22.62 12.632 31.791 20.908 2.124 1.917 4.14 3.82 6.033 5.737l16.018-3.11 2.63-1.925c13.21-9.668 22.782-20.853 30.01-31.409-56.662-17.009-121.396-23.16-186.43-23.564-4.136-.026-8.271-.028-12.406-.01zm-142.01 7.254a4102.267 4102.267 0 0 0-36.077 3.254c1.134 11.198 6.268 21.673 18.056 32.58l3.17 2.934 22.328 4.808c-6.756-9.505-10.64-21.648-8.777-36.162.309-2.406.74-4.894 1.3-7.414zm183.048 24.371c-5.166.056-10.503 1.019-15.856 3.153C255.233 83.162 245 89.696 239.15 96.478c-5.85 6.78-7.914 13.268-6.27 22.378.093.51.196 1.012.302 1.51l33.588 7.235 69.66-13.526c-4.783-5.828-9.006-12.019-12.248-18.79-2.489-5.199-10.313-12.84-20.512-17.061-5.1-2.111-10.69-3.475-16.533-3.702-.73-.028-1.465-.039-2.203-.03zm57.095 15.85c3.411 5.378 7.23 10.978 11.621 16.22a150.804 150.804 0 0 0 3.252 3.54l15.147-2.94c-7.09-5.78-15.437-11.126-22.996-14.424a45.357 45.357 0 0 0-7.024-2.396zm-174.496.594c.94 5.71 2.199 11.12 3.799 16.109l43.184 9.303a43.858 43.858 0 0 1 1.423-13.678 70.877 70.877 0 0 1-4.888.787c-11.8 1.447-26.322-.936-43.518-12.521zM91.93 108.356l-8.383 76.563 94.193 2.305c21.335-19.254 48.606-30.866 78.479-30.866 31.857 0 60.758 13.206 82.652 34.805l77.983 1.908-5.041-75.295-145.231 28.198zm164.289 66.002c-58.224 0-106.217 52.74-106.217 119.13 0 66.39 47.993 119.128 106.217 119.128 58.223 0 106.217-52.739 106.217-119.129 0-66.39-47.994-119.129-106.217-119.129zM75.785 202.733l-6.281 62.846C63.95 321.138 77.74 377.93 99.787 435.145l1.66 4.31-2.531 3.86c-7.597 11.588-19.783 21.862-33.562 31.42 14.767 1.264 29.76 2.284 44.917 3.102l22.924-29.006 14.121 11.16-14.927 18.89c14.169.58 28.459.997 42.832 1.278l1.113-25.775 17.984.777-1.093 25.283c16.038.191 32.158.21 48.296.127v-25.629h18v25.5c16.873-.173 33.736-.457 50.543-.818l-3.898-24.117 17.77-2.873 4.296 26.58c16.438-.401 32.687-.872 48.893-1.346l-13.9-23.219 15.445-9.246 19.074 31.867c16.498-.494 32.835-.987 48.902-1.44-12.73-11.767-25.39-24.23-32.433-39.46l-1.111-2.402.367-2.623s12.397-89.64 12.533-132.92c.073-23.34-2.226-55.719-5.145-87.25l-66.455-1.625c16.34 23.275 26.034 52.45 26.034 83.937 0 75.138-55.176 137.13-124.217 137.13-69.042 0-124.217-61.992-124.217-137.13 0-33.654 11.075-64.665 29.502-88.656zm237.53 41.409c6.184-.143 12.236 2.243 17.081 5.77 6.891 5.014 12.332 12.414 15.83 21.1 6.998 17.373 5.063 41.493-15.263 57.376-17.671 13.808-38.32 16.338-57.145 10.445a79.905 79.905 0 0 1-6.324-2.295c-12.764 3.93-27.601 9.065-42.97 9.707-16.562.692-34.526-5.338-46.34-23.398-5.325-8.14-10.014-18.55-11.545-29.149-.766-5.3-.78-10.759 1.148-16.115 1.929-5.356 6.402-10.43 12.367-12.79l.145-.056.146-.052a32.522 32.522 0 0 1 10.29-1.885c6.457-.127 12.625 1.658 17.83 4.586 7.93 4.46 14.327 11 20.703 17.789.692.737 1.384 1.481 2.076 2.222 29.671 1.337 40.027-5.507 47.39-13.54 3.755-4.098 6.69-8.995 10.442-14.147 3.752-5.152 8.697-10.777 16.314-13.93a21.561 21.561 0 0 1 7.824-1.638zm1.013 17.925a4.529 4.529 0 0 0-1.955.346c-3.299 1.365-5.61 3.723-8.648 7.895-3.039 4.171-6.427 9.934-11.721 15.71-8.033 8.765-20.623 16.386-41.225 18.745 7.154 6.034 14.434 10.94 21.575 14.23l13.15 4.242c11.839 2.249 22.923-.082 34.375-9.03 14.157-11.063 14.339-24.833 9.652-36.468-2.343-5.817-6.195-10.7-9.726-13.271-2.318-1.687-4.071-2.343-5.477-2.399zm-122.54 18.5c-1.556.022-3.21.362-5.126 1.028-1.288.523-1.468.776-1.94 2.086-.49 1.365-.757 4.062-.269 7.443.977 6.761 4.824 15.8 8.793 21.867 8.623 13.182 17.991 15.796 30.527 15.272 6.35-.266 13.304-1.726 20.454-3.641-11.335-8.295-20.188-18.721-28.08-27.125-6.088-6.482-11.659-11.753-16.407-14.424-2.374-1.335-4.366-2.162-6.426-2.422a10.956 10.956 0 0 0-1.527-.084z"}}]})(props);
};
function GiChisel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M426.2 30.65L405 51.82l55.2 55.08 21.2-21.1-55.2-55.15zM173.6 55.12c-13.3 19.1-31.3 28.5-50 31.6-12.3 2-24.91 1.5-37.41.4 10.5 10.6 19.91 22.18 24.21 36.18 36.7.2 69.2-9.9 98.6-36.28-8.9-13.4-21.3-23.1-35.4-31.9zm218.7 9.47L231.6 225.3c0 10.1-.1 20.4-1.5 30-1.1 7.8-3.1 15.4-7 21.9l11.7 11.7c6.5-3.9 14.1-5.9 21.9-7 9.6-1.4 19.9-1.5 30-1.5l160.7-160.7-55.1-55.11zM188.6 268.2l-21.2 21.2 55.2 55.2 21.2-21.2-55.2-55.2zm-24.8 43c-28.8 11.1-48.7 30.5-59.4 41.2l-79.14 79.2c-.71.7-1.72 2.6-1.98 6.2-.26 3.7.28 8.5 1.52 13.5 2.48 9.9 8.22 20.5 11.79 24.1 3.55 3.6 14.15 9.3 24.08 11.8 4.97 1.2 9.83 1.8 13.45 1.5 3.61-.2 5.59-1.3 6.3-2l79.18-79.2c10.7-10.6 30.1-30.5 41.2-59.3l-37-37zM314 375.6c-17.2 13-25.1 26.3-27 37.2-2.1 11.1 1.5 19.7 8.2 25.5l40.2 13.7c-3.9-9.7-6.8-19.9-5.8-30.8.8-9.2 4.8-18.5 12.6-26.2 3.2-3.2 7-6 11.3-8.7L314 375.6zm85.4 40.5c-17.7 1.8-36.1 5-52 9.7.2 7.8 3.6 17.2 7.9 27.1 22.7-9.5 54.8-17.6 87.9-19.6-15.9-8.6-28.4-13.7-43.8-17.2z"}}]})(props);
};
function GiChocolateBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M296.385 64.965s-17.449 15.537-26.69 12.29c-3.338-1.172-6.104-4.45-8.353-8.49L244.398 85.71l84.582 84.584 60.258-60.258-14.955-14.955c-3.33 1.341-6.57 2.1-9.422 1.842-10.105-.913-23.527-19.315-23.527-19.315S325.559 92.59 316.4 90.602c-10.594-2.3-20.015-25.637-20.015-25.637zm-64.713 33.47l-60.254 60.256L256 243.273l60.254-60.253zm170.293 24.327l-60.258 60.258 84.584 84.582 60.256-60.256zM158.69 171.418l-44.802 44.803 100.488 68.675L243.273 256zm170.29 24.328L268.726 256l84.582 84.582 60.255-60.254zM78.491 213.828L48.848 278.02l85.732.11 48.123 93.856 72.02-17.418 49.988 79.266 29.115-45.504zM256 268.727l-26.504 26.503 100.488 68.676 10.598-10.597zM34.107 296l-8.654 8.654 181.893 181.893 67.047-67.047-28-44.4-73.239 17.712-49.58-96.697L34.777 296z"}}]})(props);
};
function GiChoice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M400 25c-48.2 0-87 38.84-87 87 0 48.2 38.8 87 87 87s87-38.8 87-87c0-48.16-38.8-87-87-87zm40.5 34.01l15 9.98-70.1 105.11-55.8-55.7 12.8-12.8 40.2 40.3 57.9-86.89zM304.7 156.1L186.4 238H32v36h154.4l118.3 81.9c5.1-11 12.1-21 20.5-29.5L223.6 256l101.6-70.4c-8.4-8.5-15.4-18.5-20.5-29.5zM400 313c-48.2 0-87 38.8-87 87s38.8 87 87 87 87-38.8 87-87-38.8-87-87-87zm-41.6 32.6l41.6 41.6 41.6-41.6 12.8 12.8-41.6 41.6 41.6 41.6-12.8 12.8-41.6-41.6-41.6 41.6-12.8-12.8 41.6-41.6-41.6-41.6 12.8-12.8z"}}]})(props);
};
function GiChoppedSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M214.475 29.258L161.77 81.96c16.936 20.538 28.36 42.014 27.927 65.403-.452 24.518-14.472 48.98-43.79 73.528l5.99 17.694c71.606-19.315 130.42-50.42 170.478-101.428l-107.9-107.898zm-57.424 77.54L21.24 211.07v51.764l149.748-115.11c.008-.236.02-.472.026-.706.24-13-4.75-26.334-13.96-40.22zm276.18 3.19l-36.34 84.352 70.038-48.074-33.7-36.278zm-97.543 40.48c-42.955 53.685-105.04 86.063-177.787 105.852l14.08 41.59c18.005.184 38.99-3.06 60.754-9.574.94-1.584 1.904-3.157 2.924-4.705 23.146-35.122 66.755-62.113 114.967-66.79 8.404-8.93 16.06-18.51 22.73-28.705l-37.668-37.666zm29.745 84.34c-47.143 0-92.654 26.458-114.168 59.106-10.757 16.324-15.532 33.768-12.805 50.416 2.726 16.648 12.827 33.23 34.772 48.188l6.118 4.168c13.21 6.097 27.513 9.598 40.26 10.794l-38.04 5.555-20.562 43.145c11.34 9.924 24.012 17.9 37.492 23.927l10.53-45.236 18.202 4.24-11.09 47.646c13.566 4.21 27.673 6.614 41.858 7.203v-52.015h18.688v51.74c13.787-.973 27.45-3.665 40.56-8.07l-10.443-46.578 18.236-4.09 9.77 43.57c11.56-5.517 22.482-12.496 32.422-20.94l-21.39-44.884-35.71-5.213c10.606-.995 22.29-3.588 33.524-7.94l12.13-5.782c24.48-15.652 35.938-32.698 39.337-49.32 3.44-16.818-1.263-34.156-12.35-50.5-22.174-32.69-70.172-59.13-117.34-59.13zm-50.62 84.174c19.09 0 34.567 15.475 34.567 34.565 0 19.09-15.48 34.566-34.567 34.566-19.09 0-34.565-15.476-34.565-34.566 0-19.09 15.474-34.565 34.565-34.565zm105.547 0c19.09 0 34.564 15.476 34.564 34.565 0 19.09-15.476 34.566-34.565 34.566-19.09 0-34.565-15.476-34.565-34.566 0-19.09 15.474-34.565 34.564-34.565zm-233.737 3.747l-108.115.26 24.996 43.334 83.12-43.595zm23.623 15.715l-56.36 83.56 44.692 15.724 11.668-99.285zm107.7 9.703c-5.715 0-10.147 4.433-10.147 10.147 0 5.715 4.432 10.146 10.145 10.146 5.714 0 10.147-4.43 10.147-10.145s-4.43-10.147-10.147-10.147zm99.28 0c-5.715 0-10.146 4.432-10.146 10.147 0 5.714 4.433 10.146 10.147 10.146 5.713 0 10.146-4.43 10.146-10.145 0-5.714-4.432-10.147-10.146-10.147zm-49.835 14.297l23.046 53.694c-11.686 7.06-33.125 7.013-44.42 1.95l21.375-55.645z"}}]})(props);
};
function GiChurch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M163.5 22.754l-68.178 170.16h136.356L163.5 22.754zm-73.328 186.16v280.332H131.5v-72c20.034-22.093 41.16-25.61 64 0v72h40V208.914H90.172zm33.328 16.332h16v32h-16v-32zm32 0h16v32h-16v-32zm32 0h16v32h-16v-32zm64 47.715v216.286h48V324.264c-2.595-2.982-13.49-15.47-26.64-29.56-7.4-7.93-15.062-15.85-21.22-21.622-.055-.052-.084-.07-.14-.12zm-177.328 1.267c-5.95 5.658-13.084 13.03-20.033 20.476-13.15 14.09-24.045 26.58-26.64 29.56v164.983h46.672v-215.02zm89.328 7.35c30.933 0 56.186 24.12 56.186 53.67 0 29.547-25.253 53.67-56.186 53.67s-56.186-24.123-56.186-53.67c0-29.55 25.253-53.67 56.186-53.67zm-9 16.614c-4.782 1.046-9.23 2.898-13.172 5.415l13.172 12.957v-18.37zm18 0v19.847l15.14-13.088c-4.407-3.203-9.544-5.536-15.14-6.76zm-42.61 16.605c-2.68 4.026-4.588 8.57-5.53 13.45h19.2l-13.67-13.45zm68.485 2.025l-13.217 11.426h17.48c-.785-4.078-2.24-7.923-4.263-11.426zM315.5 330.246v30h156.27l-30-30H315.5zm-190.135 16c.993 3.174 2.404 6.17 4.176 8.932l10.33-8.932h-14.505zm59.31 0l11.278 11.096c2.486-3.335 4.422-7.07 5.682-11.096h-16.96zM154.5 354.75l-13.662 11.813c4.064 2.68 8.68 4.65 13.662 5.738v-17.55zm18 1.965V372.3c4.084-.892 7.924-2.373 11.414-4.357L172.5 356.715zm143 21.53v110h169v-110h-169zm25 23h18v32h-18v-32zm32 0h18v32h-18v-32zm32 0h18v32h-18v-32zm32 0h18v32h-18v-32z"}}]})(props);
};
function GiCigale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M45.32 99.5c-7.3 0-12.6 1.7-15.7 4.2-4.7 4-7.5 11.4-4.7 26.3 6.5 34.2 30.5 54.7 66.4 69.1 5.9 2.3 12.08 4.5 18.38 6.4 3.3 0 6.6 0 10.2.1 5.4.1 11.3.5 17.5 1 21.7 1.9 46.9 6.5 70.7 15.8 1.1-3 2.6-5.8 4.6-8.3 0-1.3 0-2.6.1-4-16.4-21.6-47.1-47.4-77.5-68.2-31.4-21.5-63.98-38-76.68-40.8-3.6-.8-7-1.3-10-1.5-1.1-.1-2.2-.1-3.3-.1zm421.38 0c-1.1 0-2.2 0-3.3.1-3 .2-6.3.7-10 1.5-12.7 2.8-45.2 19.3-76.7 40.8-30.4 20.8-61.1 46.6-77.5 68.2.1 1.4.1 2.7.1 4 2 2.5 3.5 5.3 4.6 8.3 23.8-9.3 49-13.9 70.7-15.8 6.2-.5 12-.9 17.5-1 3.6-.1 7-.1 10.2-.1 6.4-1.9 12.6-4.1 18.4-6.4 35.9-14.4 59.9-34.9 66.4-69.1 2.8-14.9 0-22.3-4.7-26.3-3.1-2.5-8.4-4.2-15.7-4.2zm-271.1 32.2c0 11.6 5.5 21.8 12.5 31.1 3.6 4.8 7.6 9.5 11.9 14 2.5-5.1 5.9-10.2 10.5-15.1-3-3.3-5.7-6.5-8-9.6-5.8-7.9-8.9-14.8-8.9-20.4zm102.8 0c0 5.6-3.1 12.5-8.9 20.4-2.3 3.1-5 6.3-8 9.6 4.6 4.9 8 10 10.5 15.1 4.3-4.5 8.3-9.2 11.9-14 7-9.3 12.5-19.5 12.5-31.1zM256 162.5c-.3.1-.6.3-1.3.9-2 1.6-5.2 4.7-9.4 9-12.3 12.3-14.2 23.2-14.5 36.1h50.4c-.3-12.9-2.2-23.8-14.5-36.1-4.2-4.3-7.4-7.4-9.4-9-.7-.6-1-.8-1.3-.9zm-142.5 61.2c-12.9.1-22.78 1.4-26.38 2.4-4.6 1.4-4.8 2.4-5 3.2-.2.8-.1 3.6 2.4 7.8 5 8.5 17.98 20.5 34.08 29.6 16.1 9.2 35.3 15.7 52.6 16.1 11.3.3 21.7-1.8 30.6-7.5 2-8 5-15.7 9-23-1.8-3.5-3.2-7.2-3.9-11.1-23.2-9.8-49.1-14.8-71.1-16.7-5.8-.5-11.3-.7-16.6-.8zm279.2 0c-5.2.1-10.8.3-16.6.8-22 1.9-47.8 6.9-71 16.7-.7 3.9-2.1 7.6-3.9 11.1 4 7.3 7 15 9 23 8.9 5.7 19.3 7.8 30.6 7.5 17.3-.4 36.5-6.9 52.6-16.1 16.1-9.1 29.1-21.1 34-29.6 2.5-4.2 2.7-7 2.5-7.8-.3-.8-.4-1.8-5.1-3.2-3.7-1.1-13.5-2.3-26.4-2.4zM226 226.5c-3.2 5.1-2.8 11.7 1.3 18.5 4.8 8 14.5 14.9 28.7 14.9s23.9-6.9 28.7-14.9c4.1-6.8 4.5-13.4 1.3-18.5zm-2.3 40.8c-9.3 21.4-8.8 47.9-1.9 72 7.3 25.5 22 47.4 34.2 56.2 12.2-8.8 26.9-30.7 34.2-56.2 6.9-24.1 7.4-50.6-1.9-72-8.4 6.5-19.5 10.6-32.3 10.6-12.8 0-23.9-4.1-32.3-10.6zm-25.2 35.2c-7.8 2.5-17 5.5-27.7 9.4l-6 2.2v6.3c0 7.9-.9 24.9-3.8 41.3-2.8 16.4-8.6 32.5-14.2 38l12.8 12.8c11.5-11.6 16-29.8 19.2-47.7 2.6-14.8 3.4-28.1 3.7-37.8 6.3-2.2 11.9-4.1 17.2-5.8-.8-6.2-1.2-12.4-1.2-18.7zm115 0c0 6.3-.4 12.6-1.2 18.7 5.3 1.8 10.8 3.6 17.1 5.8.3 9.7 1.2 23.1 3.8 37.8 3.1 17.9 7.7 36.1 19.2 47.7l12.8-12.8c-5.6-5.5-11.4-21.6-14.3-38-2.9-16.5-3.8-33.4-3.8-41.3v-6.3l-6-2.2c-10.7-3.8-19.8-6.8-27.6-9.4z"}}]})(props);
};
function GiCigar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M356.022 27.541c-43.9.028-111.558 28.053-110.32 71.936 1.261 44.656 116.215 66.754 116.215 66.754s-57.956 31.231-54.701 57.48c6.09 49.118 101.218 36.19 125.531 79.3 18.501 32.808 16.192 99.727 2.216 112.971 34.537-17.716 63.839-83.723 52.243-128.476-9.39-36.24-82.42-33.313-87.506-70.402-6.125-44.662 87.029-65.718 78.658-110.014-9.032-47.796-73.694-79.58-122.336-79.549zM30.42 83.834c-3.89.095-5.436.99-6.276 1.83-.84.84-1.735 2.385-1.83 6.276 2.113 24.907 20.582 54.074 31.67 71.31l16.52-66.074C57.55 91.46 44.728 83.638 30.419 83.834zm56.373 22.399L67.54 183.235c12.125 17.145 26.832 36.244 44.072 57.095l26.99-98.965c-17.471-12.944-34.274-24.722-51.81-35.132zm67.248 46.941l-28.346 103.934c4.426 5.18 9.05 10.495 13.774 15.875l11.783-11.784a82.612 82.612 0 0 1-3.334-8.377c-4.674-14.021-4.768-28.777 4.92-38.464 15.746-10.961 32.396-8.198 46.842-1.586l11.783-11.784c-20.611-18.104-39.793-34.043-57.422-47.814zm73.043 57.648l-11.285 11.286c6.027 4.215 11.965 9.194 17.648 14.877s10.664 11.622 14.88 17.65l11.284-11.285zm-61.518 16.264c-2.809 2.81-4.086 9.498-.57 20.045 3.516 10.547 11.56 23.472 23.197 35.11 11.637 11.636 24.563 19.683 35.11 23.199 10.547 3.515 17.236 2.236 20.045-.573 2.809-2.809 4.088-9.497.572-20.045-3.516-10.547-11.562-23.472-23.2-35.109-11.636-11.637-24.562-19.682-35.109-23.197-6.035-1.687-15.118-4.156-20.045.57zm106.332 29.432l-14.236 14.236a82.562 82.562 0 0 1 3.332 8.375c4.674 14.022 4.77 28.78-4.918 38.467-9.688 9.688-24.445 9.592-38.467 4.918a82.562 82.562 0 0 1-8.375-3.332l-14.238 14.238c18.655 19.456 32.69 33.568 50.783 51.66l38.787-116.365a2334.082 2334.082 0 0 0-12.668-12.197zm-111.31 20.8l-11.285 11.286 32.527 32.527 11.285-11.285c-6.027-4.216-11.967-9.196-17.65-14.879-5.683-5.683-10.662-11.621-14.877-17.648zm138.287 5.399l-38.865 116.594 53.652 53.652 38.89-116.672c-17.612-17.557-36.8-36.92-53.677-53.574zm67.906 67.803l-28.592 85.779 57.186-57.186zm32.922 48.195l-61.207 61.207 12.727 12.729 61.209-61.21zm11.81 33.443l-39.574 39.575 12.729 12.728 39.574-39.574z"}}]})(props);
};
function GiCigarette (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M224 32c9.036 24.71 106.984 58.72 156.096 64-37.096 7.89-53.042 10.52-57.545 32-13.076 62.384 191.477 60.478 115.73 152.223 69.11-15.788 57.922-116.197 15.887-129.84-27.237-8.84-63.75-11.67-47.75-38.383C425.962 88.104 503.57 59.74 448 32zM28.096 292v64h87v-64zm105 0v64h274v-64zm292 0v64h16v-64zm34 0v64h17v-64z"}}]})(props);
};
function GiCircleCage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.05 20.283c-130.19 0-235.93 105.74-235.93 235.928 0 130.19 105.74 235.93 235.93 235.93 130.188 0 235.927-105.74 235.927-235.93 0-130.188-105.74-235.927-235.928-235.927zm0 18.696c120.084 0 217.23 97.146 217.23 217.23 0 33.477-7.556 65.166-21.048 93.47-.143.3-.28.604-.425.904-.673 1.395-1.363 2.78-2.065 4.158-.07.137-.135.276-.205.412-.157.307-.324.61-.482.914-.587 1.132-1.178 2.263-1.784 3.383-.475.882-.968 1.756-1.457 2.632-16.388 29.34-39.376 54.475-66.973 73.4-.794.544-1.59 1.086-2.39 1.618-.522.35-1.05.692-1.577 1.037-.933.61-1.866 1.215-2.807 1.808-.308.195-.62.385-.93.578-2.525 1.576-5.072 3.1-7.646 4.565l.008.006c-29.154 16.603-62.537 26.643-98.154 28.138v-.007c-6.226.266-12.462.265-18.688 0v.004c-115.716-4.912-207.84-100.082-207.84-217.02 0-120.084 97.148-217.23 217.233-217.23zm-.066 18.186c-3.11 0-6.222.075-9.33.22l.002 51.344c-8.04-.473-16.048-1.56-23.955-3.255-.595-12.692-11.074-22.8-23.913-22.8-6.91 0-13.134 2.93-17.504 7.614-5.884-3.153-11.613-6.704-17.146-10.65-5.946 3.1-11.772 6.52-17.446 10.266 8.928 7.01 18.375 13.04 28.2 18.092.714 12.58 11.14 22.564 23.897 22.564 6.85 0 13.023-2.882 17.387-7.494 10.04 2.302 20.242 3.73 30.482 4.266v48.436c-24.646-.303-49.197-1.807-72.945-4.5-2.235-11.778-12.58-20.688-25.01-20.688-9.724 0-18.173 5.454-22.462 13.47-14.295-2.777-28.034-6.06-41.074-9.816-3.295 5.515-6.298 11.155-9.012 16.897 15.228 4.59 31.32 8.52 48.034 11.79 3.002 10.72 12.838 18.587 24.515 18.587 8.88 0 16.694-4.547 21.25-11.438 56.1 6.688 116.216 6.68 172.304-.025 4.554 6.905 12.377 11.465 21.267 11.465 11.696 0 21.545-7.89 24.53-18.635 16.618-3.26 32.623-7.173 47.77-11.736-2.713-5.74-5.716-11.38-9.01-16.896-12.972 3.736-26.633 7.002-40.845 9.768-4.295-7.993-12.734-13.428-22.444-13.428-12.42 0-22.757 8.898-25.002 20.664-23.82 2.71-48.45 4.22-73.174 4.523v-48.436c10.304-.54 20.57-1.978 30.67-4.305 4.366 4.633 10.553 7.53 17.422 7.53 12.797 0 23.25-10.043 23.91-22.677 9.735-5.026 19.1-11.016 27.95-17.965-5.672-3.745-11.496-7.165-17.44-10.268-5.484 3.912-11.16 7.433-16.99 10.563-4.365-4.64-10.557-7.54-17.43-7.54-12.825 0-23.297 10.085-23.915 22.757-7.977 1.72-16.062 2.823-24.176 3.3l-.002-51.34c-3.117-.148-6.238-.224-9.358-.224zm.006 156.727c-23.483 0-42.326 18.84-42.326 42.324 0 23.488 18.84 42.328 42.326 42.328 23.483 0 42.324-18.84 42.324-42.328 0-23.484-18.837-42.324-42.324-42.324zm-123.408 12.734c-12.642 0-23.3 8.46-26.646 20.02h-48.58c-.29 6.228-.292 12.465 0 18.69h49.738c4.252 9.868 14.063 16.778 25.488 16.778 11.427 0 21.235-6.91 25.486-16.777h37.59c-.45-2.977-.685-6.023-.685-9.12 0-3.256.264-6.45.76-9.57h-36.506c-3.346-11.562-14.005-20.02-26.645-20.02zm247.064 0c-12.64 0-23.3 8.458-26.646 20.02h-36.754c.496 3.12.76 6.314.76 9.57 0 3.098-.236 6.143-.686 9.12h37.838c4.25 9.867 14.06 16.778 25.488 16.778 11.426 0 21.236-6.91 25.487-16.78h49.48c.29-6.225.29-12.462-.002-18.69h-48.32c-3.345-11.56-14.003-20.018-26.644-20.018zm-16.12 78.205c-11.026 0-20.412 7.008-23.954 16.813-25.412-2.935-51.62-4.488-77.885-4.686-1.877.175-3.775.276-5.697.276-1.92 0-3.82-.1-5.695-.275-26.182.2-52.31 1.74-77.647 4.657-3.55-9.788-12.93-16.78-23.943-16.78-13.715 0-24.894 10.846-25.437 24.43-16.388 3.234-32.176 7.105-47.127 11.612 2.712 5.737 5.713 11.372 9.005 16.884 14.103-4.064 29.046-7.557 44.6-10.473 4.66 5.2 11.427 8.474 18.96 8.474 10.258 0 19.094-6.07 23.127-14.81 24.33-2.828 49.526-4.404 74.822-4.714v48.444c-9.78.512-19.523 1.826-29.125 3.95-4.387-5.517-11.15-9.058-18.745-9.058-13.222 0-23.943 10.722-23.943 23.945 0 .173.01.343.013.513-9.815 5.053-19.254 11.082-28.173 18.086 5.673 3.745 11.496 7.162 17.44 10.265 5.92-4.227 12.06-8.002 18.38-11.317 4.273 3.967 9.993 6.395 16.283 6.395 12.19 0 22.245-9.11 23.744-20.893 7.96-1.716 16.027-2.808 24.124-3.285l.002 51.36c6.226.29 12.462.292 18.688 0l-.002-51.36c8.176.48 16.322 1.585 24.36 3.33 1.518 11.76 11.564 20.848 23.737 20.848 6.252 0 11.94-2.398 16.205-6.322 6.263 3.295 12.352 7.042 18.222 11.233 5.944-3.103 11.768-6.522 17.44-10.268-8.85-6.946-18.21-12.934-27.942-17.96.006-.208.016-.415.016-.624 0-13.222-10.718-23.944-23.94-23.944-7.615 0-14.394 3.56-18.78 9.1-9.664-2.148-19.473-3.48-29.318-3.994v-48.444c25.382.31 50.664 1.895 75.07 4.74 4.04 8.726 12.867 14.782 23.113 14.782 7.515 0 14.267-3.256 18.928-8.434 15.472 2.907 30.34 6.385 44.375 10.428 3.292-5.512 6.29-11.148 9.002-16.887-14.872-4.48-30.573-8.332-46.867-11.556-.52-13.605-11.707-24.478-25.438-24.478z"}}]})(props);
};
function GiCircleClaws (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M229.832 24.166C169.087 23.868 108.817 50.45 68.12 101.72c-70.4 88.68-55.578 217.634 33.1 288.032 1.39 1.104 2.817 2.195 4.26 3.27.286.303.575.618.86.916-.118-.177-.23-.355-.348-.532 5.055 3.744 10.36 7.29 15.504 10.475-15.073-15.153-27.356-32.234-36.783-50.52-26.065-64.267-15.236-129.285 32.96-161.24 58.434-38.76 151.118-15.176 215.06 51.675-3.942-5.902-8.413-12.113-13.016-17.834-63.682-79.235-166.368-109.6-229.362-67.817-1.072.71-2.122 1.442-3.158 2.185 5.43-9.825 11.74-19.333 18.953-28.418 65.31-82.274 181.148-100.695 268.36-46.756-5.63-5.66-11.95-11.454-18.358-16.54-37.412-29.7-81.992-44.23-126.32-44.448zm160.617 82.277c45.104 42.614 67.29 102.166 63.886 161.223-5.603 29.51-20.302 57.597-44.16 80.174-58.436 55.31-151.12 57.978-215.063 9.238 3.944 4.784 8.413 9.73 13.016 14.145 49.375 47.45 122.196 58.87 181.786 33.818-65.28 61.195-164.122 72.983-242.467 27.83 5.804 5.48 12.3 11.075 18.863 15.96 90.822 67.61 219.257 48.797 286.867-42.03 67.61-90.822 48.795-219.255-42.028-286.866-6.56-4.887-13.782-9.5-20.703-13.49z"}}]})(props);
};
function GiCircleSparks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.78 26.78c64.677 55.957 77.348 94.384 60.564 122.876 7.63-3.893 15.673-6.72 24.094-8.375-20.88 26.902-34.827 59.457-39.157 94.94-14.255-1.084-27.752-2.986-39.874-5.782 14.74 7.424 27.45 15.042 38.563 23.125-.068 2.083-.126 4.18-.126 6.28 0 68.626 35.813 128.96 89.75 163.344-4.345 10.808-11.01 21.467-20.438 32.813 11.536-7.713 26.68-14.666 43.313-20.313 24.644 11.384 52.065 17.75 80.968 17.75 16.69 0 32.885-2.11 48.343-6.093.406 14.503-.08 31.072-1.436 50.125 36.338-88.305 101.418-88.803 181-30.25-64.756-68.336-59.635-134.57-4.75-218.845-10.708 5.996-20.526 11.01-29.563 15.094.023-1.206.033-2.416.033-3.626 0-43.22-14.223-83.164-38.22-115.406 18.41-29.47 40.28-49.624 65.5-65.125-53.525 15.19-87.8 7.226-130.312-22.75 16.446 15.918 26.668 33.556 32.47 53.874-33.47-27.61-76.354-44.218-123.063-44.218-23.376 0-45.805 4.134-66.562 11.75 1.722-13.855 6.552-27.61 14.438-41.75C156.097 67.09 98.216 75.61 20.78 26.78zm104.095 48.782C137.17 75.62 152 81.5 162.313 91.22c13.75 12.957 14.257 27.825 1.156 33.218-13.103 5.392-34.876-.73-48.626-13.688s-14.257-27.827-1.156-33.22c3.275-1.347 7.09-1.987 11.187-1.968zm133.563 9.344c50.846 0 96.557 21.633 128.5 56.188 1.667 19.017.924 40.15-1.282 63.97 5.51-15.935 11.532-30.1 18.063-42.783 18.732 27.863 29.655 61.414 29.655 97.564 0 3.784-.14 7.526-.375 11.25-80.95 27.872-84.574-38.09-98.344-141.625-23.972 143.895-73.68 188.616-175.375 185.5 91.03 29.217 138.164 30.064 146.345 113.342-15.008 4.183-30.833 6.438-47.188 6.438-17.69 0-34.758-2.634-50.843-7.5 15.95-3.575 32.116-5.82 46.906-6.375-51.752-8.56-83.084-24.313-96.906-62.97 3.475 17.54 4.497 32.484 2.25 46.47-43.702-29.84-73.13-78.987-76.063-135.25 22.45 21.294 36.885 46.538 49 80.188-11.563-57.488 17.535-92.766 79.064-127.97C175.184 232.57 127.964 238.29 85 237.19c4.827-37.463 21.455-71.18 46.063-97.313 34.22 2.712 73.92 23.22 119.03 67.22-36.212-42.28-55.61-76.564-58.53-108.97 20.597-8.515 43.173-13.22 66.875-13.22zm66.906 197.813c30.63 0 68.568 26.42 84.72 59 16.15 32.58 4.408 59-26.22 59-30.63 0-68.568-26.42-84.72-59-16.15-32.58-4.41-59 26.22-59z"}}]})(props);
};
function GiCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23.05C127.5 23.05 23.05 127.5 23.05 256S127.5 488.9 256 488.9 488.9 384.5 488.9 256 384.5 23.05 256 23.05zm0 17.9c118.9 0 215.1 96.15 215.1 215.05S374.9 471.1 256 471.1c-118.9 0-215.05-96.2-215.05-215.1C40.95 137.1 137.1 40.95 256 40.95z"}}]})(props);
};
function GiCirclingFish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M443.9 30.89c-15.7 2.5-30.9 5.3-44 9.58-13.5 4.4-24.9 10.12-33.7 18.09 17.2 3.33 34.3 8.43 50.1 15.3.1-.58.3-1.16.4-1.73 1.9-7.79 6-14.79 10.8-21.53 4.9-6.76 10.7-13.35 16.4-19.71zM317.8 71.93c-19.2.15-37.3 3.03-52 8.63-20.9 7.95-34.6 20.54-38.8 38.94-.9 3.8.2 13.1 5 23.5s12.9 22.1 24 32.5c22.1 20.8 55.5 36.7 100.3 29.9 20.5-3.1 37.4 3.2 47.2 16 9.8 12.9 13.2 30.5 13.4 50.3.5 32.7-8.1 72.3-18.9 109.2 77.8-53.4 109.2-156.9 77.4-231.8-17.5-41.1-75.9-69.75-132.7-75.89-7-.77-14.1-1.17-21-1.27h-3.9v-.01zM61.39 84.51c-1.86 22.09-.41 44.59 2.78 66.19 10.85-12 23.14-23 36.73-32.6-13.59-7.7-26.79-18.81-39.51-33.59zm240.01 2.15a9.875 10.38 69.37 0 1 .1 0 9.875 10.38 69.37 0 1 9.3 5.94 9.875 10.38 69.37 0 1-5.8 13.1 9.875 10.38 69.37 0 1-13.4-5.1 9.875 10.38 69.37 0 1 5.8-13.11 9.875 10.38 69.37 0 1 4-.83zm36 41.44c27.8 5.3 58.8 9.2 83.5 26.3 24.7 17.1 40.9 47.8 38.9 99.8l-18-.6c1.9-48.3-11.4-70.7-31.1-84.4-19.8-13.7-48.3-18.1-76.7-23.5l3.4-17.6zm-160.6 1.8c-14.6 2.6-29.3 3-43.8.2-5.1 17-9.8 34.7-13.3 51.9 20.4-14.7 40-32.6 57.1-52.1zm-62.8 1.2C36.23 184.5 4.78 288 36.58 362.9c17.52 41.2 75.92 69.8 132.62 75.9 28.4 3.1 56.1.6 77-7.3 20.9-8 34.6-20.6 38.8-39 .9-3.8-.2-13.1-5-23.5s-12.9-22.1-24-32.5c-22.1-20.8-55.5-36.7-100.4-29.9-20.4 3.1-37.3-3.2-47.1-16-9.8-12.9-13.2-30.5-13.4-50.3-.5-32.7 8.1-72.3 18.9-109.2zm163.8 15.1a9.875 10.38 69.37 0 1 9.3 6 9.875 10.38 69.37 0 1-5.7 13.1 9.875 10.38 69.37 0 1-13.4-5.2 9.875 10.38 69.37 0 1 5.7-13 9.875 10.38 69.37 0 1 4.1-.9zm87 76.4c-1.8.1-3.8.3-5.8.6-15.3 2.3-29.6 2.2-42.8.3 8.4 19 26 34.7 45.5 49-.8-6.8-1.6-13.9-1.7-21.2-.1-9.2 1.1-19.1 4.8-28.7zm-214.5 16.9c.8 6.8 1.6 13.9 1.7 21.2.1 9.2-1.1 19.1-4.8 28.7 1.8-.1 3.8-.3 5.8-.6 15.3-2.3 29.6-2.2 42.8-.3-8.4-19-26-34.7-45.5-49zm-98.12 18.3l17.98.6c-1.85 48.3 11.4 70.7 31.14 84.4 19.8 13.7 48.3 18.1 76.7 23.5l-3.4 17.6c-27.8-5.3-58.8-9.2-83.5-26.3-24.7-17.1-40.92-47.8-38.92-99.8zM392.3 330c-20.4 14.7-40 32.6-57.1 52.1 14.6-2.6 29.3-3 43.8-.2 5.1-17 9.8-34.7 13.3-51.9zm-157.6 15.9a9.875 10.38 69.37 0 1 9.4 5.9 9.875 10.38 69.37 0 1-5.8 13.1 9.875 10.38 69.37 0 1-13.4-5.1 9.875 10.38 69.37 0 1 5.8-13.1 9.875 10.38 69.37 0 1 4-.8zm213.1 15.4c-10.8 12-23.1 23-36.7 32.6 13.6 7.8 26.8 18.8 39.5 33.6 1.9-22.1.4-44.5-2.8-66.2zm-236.9 44.2a9.875 10.38 69.37 0 1 .1 0 9.875 10.38 69.37 0 1 9.3 5.9 9.875 10.38 69.37 0 1-5.8 13.1 9.875 10.38 69.37 0 1-13.4-5.1 9.875 10.38 69.37 0 1 5.8-13.1 9.875 10.38 69.37 0 1 4-.8zM95.7 438.2c-.1.5-.3 1.1-.4 1.7-1.9 7.8-5.95 14.8-10.8 21.5-4.87 6.8-10.62 13.3-16.32 19.7 15.62-2.5 30.82-5.3 43.92-9.6 13.5-4.4 24.9-10.1 33.7-18-17.2-3.4-34.3-8.5-50.1-15.3z"}}]})(props);
};
function GiCircuitry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M413.72 19.395v98.64l-46.116 46.117-34.198-34.2-6.607 6.61-141.52 141.516 113.513 113.51-52.775 52.773.002 50.31h18.687v-42.568l47.3-47.3 21.4 21.4 148.122-148.124-60.165-60.164 67.447-67.45V19.395h-18.687v123.33l-61.975 61.975-27.332-27.333 51.59-51.59V19.395H413.72zM19.36 30.303V48.99h186.607l44.254 44.254c-2.56 4.393-4.032 9.496-4.032 14.947 0 16.422 13.312 29.736 29.732 29.736s29.732-13.314 29.732-29.735c0-16.42-13.312-29.73-29.732-29.73-4.143 0-8.088.85-11.672 2.382l-50.54-50.54H19.36zm0 55.478v18.69l131.126.003 44.254 44.254c-2.56 4.392-4.035 9.496-4.035 14.947 0 16.42 13.312 29.732 29.732 29.732s29.733-13.312 29.733-29.732-13.312-29.733-29.732-29.733c-4.144 0-8.088.85-11.672 2.382l-50.54-50.54H19.362zm83.386 55.482l-83.385.002v18.69l75.646-.003 44.254 44.26c-2.56 4.39-4.033 9.496-4.033 14.946 0 16.42 13.312 29.733 29.732 29.733s29.73-13.313 29.73-29.734c0-16.42-13.31-29.734-29.73-29.734-4.145 0-8.09.85-11.675 2.383l-50.54-50.543zm230.66 15.12L455.1 278.08 333.406 399.77 211.71 278.08l121.696-121.695zm-1.254 27.388l-94.574 94.574 95.012 95.015 13.215-13.214-81.797-81.8 81.36-81.362-13.216-13.214zm-312.79 21.558v51.207l160.13 160.13v78.005h18.69V384.146L19.362 205.328zm346.51 8.397L352.66 226.94l51.48 51.482-51.77 51.77 13.218 13.214 64.982-64.984-64.695-64.697zm-29.93 33.16c-17.45 0-31.592 14.147-31.592 31.594 0 17.445 14.143 31.59 31.59 31.59 17.45 0 31.593-14.145 31.593-31.59 0-17.45-14.143-31.595-31.592-31.595zM19.36 295.35v51.207l94.886 94.88v53.233h18.688v-85.75L19.362 295.35zm427.378 73.154c-16.42 0-29.732 13.312-29.732 29.732s13.312 29.735 29.732 29.735c3.994 0 7.802-.794 11.28-2.222l36.62 36.615v-26.427l-22.402-22.4c2.688-4.47 4.237-9.704 4.237-15.3 0-16.42-13.314-29.732-29.735-29.732zM19.36 386.19V437.4l31.294 31.29-.002 25.982H69.34l.006-58.496L19.36 386.19zm371.902 37.796c-16.42 0-29.733 13.312-29.733 29.733 0 16.42 13.31 29.73 29.732 29.73 3.513 0 6.882-.612 10.01-1.73l12.955 12.95h26.43l-24.58-24.578c3.104-4.697 4.917-10.322 4.917-16.373 0-16.422-13.312-29.734-29.732-29.734z"}}]})(props);
};
function GiCircularSaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16v72H88l48 48L16 256h72v168l48-48 120 120v-72h168l-48-48 120-120h-72V88l-48 48L256 16zm0 120c66.274 0 120 53.726 120 120s-53.726 120-120 120-120-53.726-120-120 53.726-120 120-120zm1.406 72.03A48 48 0 0 0 208 256a48 48 0 0 0 96 0 48 48 0 0 0-46.594-47.97z"}}]})(props);
};
function GiCircularSawblade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M226.25 21.22c-7.37-.076-14.458.815-21.594 2.936 29.88 18.046 40.87 41.507 35.03 63.063-45.987-37.932-112.6-41.75-146.592-5.845 34.904.688 55.595 15.218 61.312 36.813-58.69-9.694-118.192 20.31-129.656 68.312 30.896-17.035 56.737-14.552 72.438 1.75-55.758 20.907-92.336 76.467-78.25 123.813 18.253-30.226 41.895-41.334 63.656-35.032-38.078 45.996-42.39 112.556-6.438 146.595.694-35.202 15.48-56.406 37.375-61.906-9.707 58.698 19.74 118.19 67.75 129.655-17.033-30.896-14.553-56.737 1.75-72.438 20.867 55.836 76.43 92.94 123.814 78.844-30.186-18.228-41.28-41.916-35.03-63.655 45.984 37.86 112.595 41.724 146.56 5.844-34.904-.69-56.188-15.188-61.905-36.783 58.698 9.71 118.19-20.332 129.655-68.343-30.69 16.922-56.674 14.852-72.406-1.156 55.868-20.85 92.945-77.005 78.842-124.407-18.036 29.867-41.514 41.448-63.062 35.626 37.86-45.985 41.132-112.625 5.25-146.594-.688 34.905-15.22 55.627-36.813 61.344 9.71-58.7-20.3-118.19-68.312-129.656 16.923 30.69 14.82 56.674-1.188 72.406-17.744-47.38-60.633-80.79-102.187-81.187zm28.875 82.124c40.494-.113 81.018 15.362 111.97 46.312 48.312 48.312 58.91 119.93 31.374 178.406 10.386-48.018-9.547-107.827-55.75-154.03-46.205-46.205-106.014-66.138-154.033-55.75 21.016-9.896 43.722-14.875 66.438-14.938zm.813 55.812c25.955.08 51.88 10.1 71.718 29.938 31.206 31.206 38.067 77.45 20.28 115.22 6.71-31.015-6.188-69.658-36.03-99.502-29.842-29.843-68.453-42.71-99.47-36 12.985-6.113 26.97-9.322 41-9.625.84-.018 1.664-.033 2.5-.03zm-142.813 34.688c-10.387 48.018 9.11 108.233 55.313 154.437 46.203 46.205 106.45 65.732 154.468 55.345-58.476 27.536-130.5 17.343-178.812-30.97-48.314-48.31-58.505-120.335-30.97-178.81zm157.688 10.844l3.812 3.812 33.594 33.594 3.81 3.812-1.405 5.22L298.345 297l-1.408 5.22-5.218 1.405-45.876 12.28-5.22 1.408-3.81-3.813-33.595-33.594-3.814-3.812 1.406-5.22L213.125 225l1.375-5.22 5.22-1.405 45.874-12.28 5.22-1.407zm-107.188 12.937c-6.71 31.016 5.875 69.908 35.72 99.75 29.843 29.842 68.764 42.46 99.78 35.75-37.77 17.786-84.296 11.206-115.5-20-31.204-31.206-37.784-77.73-20-115.5zm101.594 7.906l-35.47 9.5-9.47 35.5 25.907 25.908 35.5-9.47 9.5-35.468-25.968-25.97z","fillRule":"evenodd"}}]})(props);
};
function GiCityCar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M188.287 169.428c-28.644-.076-60.908 2.228-98.457 8.01-4.432.62-47.132 24.977-58.644 41.788-11.512 16.812-15.45 48.813-15.45 48.813-3.108 13.105-1.22 34.766-.353 36.872 1.17 4.56 7.78 8.387 19.133 11.154C35.84 295.008 53.29 278.6 74.39 278.574c22.092 0 40 17.91 40 40-.014 1.764-.145 3.525-.392 5.272.59.008 1.26.024 1.82.03l239.266 1.99c-.453-2.405-.685-4.845-.693-7.292 0-22.09 17.91-40 40-40 22.092 0 40 17.91 40 40 0 2.668-.266 5.33-.796 7.944l62.186.517c1.318-22.812 6.86-46.77-7.024-66.72-5.456-7.84-31.93-22.038-99.03-32.66-34.668-17.41-68.503-37.15-105.35-48.462-28.41-5.635-59.26-9.668-96.09-9.765zm-17.197 11.984c5.998.044 11.5.29 16.014.81l7.287 48.352c-41.43-5.093-83.647-9.663-105.964-27.5.35-5.5 7.96-13.462 16.506-16.506 4.84-1.724 40.167-5.346 66.158-5.156zm34.625.348c25.012.264 62.032 2.69 87.502 13.94 12.202 5.65 35.174 18.874 50.537 30.55l-6.35 10.535c-41.706-1.88-97.288-4.203-120.1-6.78l-11.59-48.245zM74.39 294.574a24 24 0 0 0-24 24 24 24 0 0 0 24 24 24 24 0 0 0 24-24 24 24 0 0 0-24-24zm320 0a24 24 0 0 0-24 24 24 24 0 0 0 24 24 24 24 0 0 0 24-24 24 24 0 0 0-24-24z"}}]})(props);
};
function GiClamp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112 25c-13 0-27.05 6.78-37.64 17.36C63.78 52.95 57 67 57 80v192c0 13 6.78 27.1 17.36 37.6C84.95 320.2 99 327 112 327h311v-30H128c-11 0-20.9-5.2-28.36-12.6C92.22 276.9 87 267 87 256V96.1c0-11.03 5.21-21.01 12.63-28.45C107 60.22 117 55 128 55h295V37.56L397.9 25H112zm217 48v14h62V73h-62zm-18.5 32l-10 30h119l-10-30h-99zm-10 112l10 30h99l10-30h-119zm28.5 48v14h62v-14h-62zm0 80v30h62v-30h-62zm-73 32c-2.6 0-5.9 1.8-9.3 7.3-3.3 5.6-5.7 14.1-5.7 23.7s2.4 18.1 5.7 23.7c3.4 5.5 6.7 7.3 9.3 7.3 2.6 0 5.9-1.8 9.3-7.3 3.3-5.6 5.7-14.1 5.7-23.7s-2.4-18.1-5.7-23.7c-3.4-5.5-6.7-7.3-9.3-7.3zm208 0c-2.6 0-5.9 1.8-9.3 7.3-3.3 5.6-5.7 14.1-5.7 23.7s2.4 18.1 5.7 23.7c3.4 5.5 6.7 7.3 9.3 7.3 2.6 0 5.9-1.8 9.3-7.3 3.3-5.6 5.7-14.1 5.7-23.7s-2.4-18.1-5.7-23.7c-3.4-5.5-6.7-7.3-9.3-7.3zm-175.8 20c.5 3.5.8 7.2.8 11 0 3.1-.2 6.1-.5 9h143c-.3-2.9-.5-5.9-.5-9 0-3.8.3-7.5.8-11H288.2zm56.8 38v36h30v-36h-30z"}}]})(props);
};
function GiClapperboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M419.682 26.2l-8.66 2.452L32.915 135.81 55.27 214.7l386.77-109.608L419.683 26.2zm-12.41 22.224l9.074 32.014-41.086-22.942 32.013-9.072zM350.77 64.438l56.8 31.714-37.084 10.51-56.8-31.715 37.084-10.51zm-61.577 17.45l56.803 31.716-37.084 10.51-56.8-31.718 37.08-10.51zm-61.574 17.45l56.802 31.715-37.084 10.51-56.803-31.715 37.084-10.51zm-61.577 17.45l56.803 31.716-37.084 10.51-56.8-31.717 37.08-10.51zm-61.574 17.45l56.8 31.715-37.083 10.51-56.802-31.715 37.084-10.51zm-45.86 26.227l41.085 22.94-32.01 9.072-9.074-32.012zM55 215v274h402V215H55zm18 18h33.273L73 266.273V233zm58.727 0h38.546l-46 46H85.727l46-46zm64 0h38.546l-46 46h-38.546l46-46zm64 0h38.546l-46 46h-38.546l46-46zm64 0h38.546l-46 46h-38.546l46-46zm64 0h38.546l-46 46h-38.546l46-46zM439 245.727V279h-33.273L439 245.727zM73 297h366v174H73V297zm248.635 46.57l-192.44.703.067 18 192.44-.703-.067-18zM130.7 391.33l-.134 17.998 92.707.703.137-18-92.71-.7zm127.155.7l-.2 18 63.913.702.2-17.998-63.913-.703z"}}]})(props);
};
function GiClawHammer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M215.97 27.813c-2.218.04-4.35.177-6.407.375l-.532.062c-2.774.266-5.796 1.01-9.124 1.844-4.418 1.11-8.096 2.607-11.125 4.406l77.782 59.313 7.375 5.656-5.593 7.405-13.72 18.156 67.595 51.626 14.217-18.812 9.47-12.53 6.5 14.342 19.656 43.47 60.593-80.095-47.187-7.124-15.533-2.312 9.47-12.563 14.28-18.843-67.593-51.624L310.78 50.78l-5.03 6.657-7.188-4.25c-28.635-16.917-58.02-25.157-80.343-25.374-.757-.008-1.512-.014-2.25 0zM453 127.124l-71.47 94.438 34.564 26.187c44.24-20.22 64.01-52.594 71.312-94.625l-34.406-26zm-193.688 25.03c-27.17 33.09-55.308 64.706-82.812 96.22l47.406 39.875c23.11-35.343 46.336-71.61 71.938-108.22l-36.53-27.874zM164.25 262.47c-11.355 13.115-22.564 26.254-33.5 39.5l48.375 52.717c11.707-16.6 23.107-33.515 34.438-50.687l-49.313-41.53zm-45.438 54.124c-7.884 9.808-15.59 19.71-23.093 29.72l33.468 73.842c13.586-16.22 26.434-32.893 38.843-49.937l-49.218-53.626zm-35.75 47.03c-12.108 16.978-23.57 34.335-34.124 52.282L98.53 454.47c5.882-6.166 11.622-12.4 17.22-18.72l-32.688-72.125zm-43.437 68.688c-5.185 9.492-10.105 19.145-14.75 29l37.375 28.313c7.976-7.11 15.672-14.348 23.125-21.72l-45.75-35.592z"}}]})(props);
};
function GiClawSlashes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M182.338 22.55c152.455 20.22 254.7 176.264 228.928 258.163-34.76-89.215-143.516-189.588-300.207-196.15C255.855 103.772 355.365 245.5 342.92 329.856c-9.85.97-20.79.927-32.852-.24-41.436-84.32-146.004-172.382-292.437-178.513 142.546 18.907 241.2 156.557 232.36 241.316-15.664-.633-33.447-3.34-53.48-8.46 18.37 8.188 35.514 14.817 51.502 20.067-10.614 44.085-55.285 69.374-144.93 46.47C250 515.968 319.647 483.338 328.736 419.743c56.24 1.254 85.915-24.86 92.856-63.008 164.112-19.88 36.806-322.627-239.254-334.185zm132.808 318.083c7.97 2.704 15.666 5.077 23.07 7.11-3.122 7.893-7.546 14.993-13.35 21.095-2.393-9.222-5.635-18.663-9.72-28.205z","fillRule":"evenodd"}}]})(props);
};
function GiClawString (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M274.447 19.12c-17.958.18-36.188 2.602-54.342 7.466-9.843 2.637-19.214 6.007-28.287 9.8l5.29 19.74c2.59-1.316 5.35-2.385 8.26-3.165 2.847-.762 5.707-1.216 8.546-1.382 19.872-1.16 38.653 11.795 43.994 31.73.475 1.77.816 3.546 1.057 5.32 87.235-15.12 173.745 20.262 226.34 87.056C457.39 80.406 369.778 18.164 274.447 19.12zm-57.27 51.056c-.696-.017-1.398-.003-2.103.04-1.612.102-3.242.364-4.87.8-13.016 3.488-20.6 16.627-17.11 29.656.5 1.862 1.2 3.61 2.066 5.232H195.213c13.762 0 27.248 1.195 40.37 3.46 4.52-5.764 6.334-13.51 4.27-21.22-2.865-10.687-12.22-17.714-22.675-17.968zm-21.968 54.418c-10.19-.002-20.113.828-29.858 2.142v20.46c2.836-.596 5.772-.915 8.78-.915 23.58 0 42.895 19.326 42.895 42.91 0 1.825-.127 3.62-.35 5.384 88.18 7.97 162.592 64.54 196.11 142.674-2.736-117.953-99.018-212.654-217.576-212.654zm-21.08 40.38c-13.476 0-24.202 10.73-24.202 24.217 0 4.034.963 7.817 2.668 11.144 2.23.514 4.457 1.06 6.672 1.652 8.99 2.41 17.71 5.322 26.158 8.672 7.707-4.027 12.91-12.076 12.91-21.467 0-13.487-10.73-24.215-24.205-24.215zm-49.503 49.383l-5.268 19.72c.133.008.266.01.4.017 2.84.166 5.7.62 8.55 1.383 22.777 6.103 36.43 29.767 30.327 52.548-.473 1.764-1.062 3.466-1.737 5.116 83.235 30.547 140.54 104.665 152.614 188.944 28.2-114.796-40.39-231.314-155.084-262.045-9.838-2.637-19.902-4.422-29.803-5.683zm-8.13 38.334c-10.454.256-19.81 7.283-22.675 17.97-1.054 3.934-1.09 7.877-.28 11.563 3.34 1.69 6.667 3.472 9.972 5.38 6.885 3.976 13.484 8.254 19.804 12.795 8.148-2.102 14.907-8.413 17.264-17.21 3.49-13.03-4.094-26.17-17.11-29.657-1.628-.435-3.26-.697-4.87-.798-.706-.044-1.407-.058-2.104-.04zm-49.255 38.374l-10.19 17.66c2.67.892 5.285 2.055 7.81 3.512 20.422 11.79 27.486 38.182 15.693 58.608-.858 1.486-1.803 2.892-2.807 4.234 42.503 30.033 72.314 72.438 87.86 119.184h36.75c.635-75.88-37.814-149.84-108.19-190.473-8.707-5.03-17.735-9.063-26.926-12.726zm-23.795 34.07c-.584-.004-1.166.016-1.746.055-7.734.532-15.04 4.804-19.255 12.105-6.744 11.68-2.82 26.338 8.852 33.076 11.67 6.74 26.326 2.81 33.07-8.872 6.744-11.68 2.82-26.336-8.85-33.074-3.83-2.21-7.983-3.274-12.07-3.29z"}}]})(props);
};
function GiClaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16C106 76 46 226 46 226c0 45 60 90 90 90 90 0 180-195 135-285l-15-15zm45 15c30 60 0 135 0 135 120 30 120 180 75 330 75-75 90-150 90-210 0-90-15-225-165-255z"}}]})(props);
};
function GiClaws (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M134.3 25c-3.4 4.84-16.5 23.75-33.3 50.76-19.11 30.74-40.34 68.54-48.59 94.44-5.1 16-8.12 43.7-9.54 66.8-.16 2.5-.26 4.7-.38 7 3.37-1.1 6.84-1.6 10.37-1.7 6.1-.2 12.37.8 18.5 2.4 12.25 3.2 24.54 9.1 35.74 15.5 2.3 1.3 4.5 2.6 6.7 3.9 1.1-1.2 2.3-2.3 3.5-3.6 17.3-17.8 36.7-40.5 44.6-56.3h.1c7.8-15.7 25-52.2 39.2-90.1 12.5-33.31 22.1-68.58 22.3-89.1h-89.2zm154.2 0c.2 20.52 9.8 55.79 22.3 89.1 14.2 37.9 31.4 74.4 39.2 90.1h.1c7.9 15.8 27.3 38.5 44.6 56.3 1.2 1.3 2.4 2.4 3.5 3.6 2.2-1.3 4.4-2.6 6.7-3.9 11.2-6.4 23.5-12.3 35.7-15.5 6.1-1.6 12.4-2.6 18.5-2.4 3.5.1 7.1.7 10.5 1.7-.2-2.3-.3-4.5-.4-7-1.5-23.1-4.5-50.8-9.6-66.8-8.3-25.9-29.5-63.7-48.6-94.44-16.8-27.01-29.9-45.92-33.3-50.76h-89.2zM53.66 260.4c-3.79.1-6.97.8-9.4 2.2-5.7 3.3-10.44 10.8-13.52 21.7-3.07 10.9-4.36 24.6-4.53 37.8-.09 6.3.04 12 .28 17.2 32.82-26.6 60.25-44.6 85.41-55-4.1-2.7-8.6-5.6-13.74-8.5-10.34-5.9-21.56-11.1-31.38-13.7-4.3-1.1-8.21-1.7-11.67-1.7h-1.45zm403.14 0c-3.4 0-7.3.6-11.6 1.7-9.8 2.6-21 7.8-31.4 13.7-5.1 2.9-9.7 5.8-13.8 8.4 25.2 10.5 52.7 28.5 85.5 55.2.3-5.3.4-11 .3-17.3-.2-13.2-1.4-26.9-4.5-37.8-3.1-10.9-7.9-18.4-13.6-21.7-2.4-1.4-5.6-2.1-9.4-2.2h-1.5zm-303.4 31c-35.5 4.3-75.8 27.2-136.11 79.2 1.3 11.5 8.39 22.3 16.35 34.3 38.19-37.8 99.06-75.4 156.06-91.6-10.9-10.9-21.3-19.7-36.3-21.9zm205.2 0c-15 2.2-25.4 11-36.3 21.9 57 16.2 117.9 53.8 156 91.6 8-12 15.1-22.8 16.4-34.3-60.3-52-100.6-74.9-136.1-79.2zm-164.3 39.3c-22.7 6.6-46.7 17.1-69.4 29.8 28.6 12.4 52.3 34.6 69.3 59.2 16.3 23.4 27.3 48.8 30.6 71.6 10.8-25.1 15.2-59 9.6-90.2-4-22.3-12.8-43-26.3-58.1-4.1-4.6-8.7-8.7-13.8-12.3zm123.4 0c-5.1 3.6-9.7 7.7-13.8 12.3-13.5 15.1-22.3 35.8-26.3 58.1-5.6 31.2-1.2 65.1 9.6 90.2 3.3-22.8 14.3-48.2 30.6-71.6 17-24.6 40.7-46.8 69.4-59.2-22.8-12.7-46.8-23.2-69.5-29.8zm-212.8 41.6c-19.8 12.5-37.97 26.2-52.75 39.9 9.16 18.9 29.92 42 57.25 58.6 28.1 17 62 27.5 95.6 23.8-25.6-13.6-47.8-33.8-65.2-56.4-16.1-20.8-28-43.7-34.9-65.9zm302.2 0c-6.9 22.2-18.8 45.1-34.9 65.9-17.4 22.6-39.6 42.8-65.2 56.4 33.6 3.7 67.5-6.8 95.6-23.8 27.3-16.6 48.1-39.6 57.3-58.6-14.8-13.6-33-27.4-52.8-39.9z"}}]})(props);
};
function GiClayBrick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M329.3 99.64l-39.7 10.46c-30.2 26.1-62.7 50.9-96.7 75.1l-6.7 21-34.1 7.3c-22.6 15.3-45.6 30.4-68.82 45.5l120.32 18.4 213.9-167.1c-27.7-3.8-56.9-7.5-88.2-10.66zm103.4 21.56l-61.4 47.9-43 53.1-45 15.7-65 50.7 20.8 115.1c65.6-54.6 127.6-109.4 187-163.1l-5.6-31.2 42.1-1.9c8.3-7.4 16.5-14.9 24.6-22.3zM61.58 277.6c-21.15 39.9-32.01 70.6-36.83 95.8 9.21 1.1 18.3 2.2 27.28 3.5l16.76-30.6 5.52 34c53.29 8.6 103.09 20.5 152.19 32.1l-26.9-117.6-66-10.1z"}}]})(props);
};
function GiClaymoreExplosive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M215 29.85l-13 60.3h.1c36 2.3 71.8 2.3 107.8 0h.1l-13-60.3zM98.92 38.66l-32.8 32.8C85.85 75.54 105.3 79 124.5 81.85l22.9-34.29c-18.7-2.7-35.2-5.77-48.48-8.9zm314.48.32c-14.8 4.57-30.7 8.1-47.3 10.77l21.4 32.1c19.2-2.85 38.7-6.3 58.4-10.39zm-219.2.21l-28.8 5.75-20.6 38.91 40.2 4zm123.6 0l9.2 48.66 40.2-4-20.6-38.91zM56.19 87.75L41.58 277.7c138.12 29.5 290.72 29.5 428.82 0L455.8 87.75c-137.6 29.35-262 29.35-399.61 0zM83.91 119l8.99.9c160 16 166.2 16 326.2 0l9-.9 13.7 141.6-8.5 1.2c-113 16.1-241.6 16.1-354.57 0l-8.52-1.2L83.04 128zm16.19 19.7L89.8 245c106.2 14.3 226.2 14.3 332.4 0l-10.3-106.3c-147.4 14.7-164.4 14.7-311.8 0zM80.29 303.5l-9 116-46.49 62 14.4 10.8 40.37-53.8 24.93 37.4 15-10-30.22-45.3 8.85-114.3c-5.97-.9-11.91-1.8-17.84-2.8zm351.41 0c-5.9 1-11.9 1.9-17.8 2.8l8.8 114.3-30.2 45.3 15 10 24.9-37.4 40.4 53.8 14.4-10.8-46.5-62zM129 310.4c-.7 11.7.6 23.6 8.4 32.9 14.7 17.5 37.8 22.8 62.1 23.2 24.4.4 51-3.9 75.9-7.5 24.8-3.6 47.9-6.4 63.3-4.1 7.7 1.2 13.1 3.5 16.5 6.6 3.3 3.1 5.5 7.2 5.9 15 .3 5.1-.8 6.9-3.2 9-2.5 2.1-7.4 4.2-14.3 5.3-13.9 2.3-34.8 1.1-56.1-.4-21.2-1.4-42.8-3-60.6-.1-8.9 1.4-17 3.9-23.6 9.2-6.5 5.4-10.6 13.9-10.6 23.4 0 7.4 3.2 14.3 8 19 4.8 4.7 10.8 7.5 17.3 9.6 12.9 4.2 28.5 5.5 43.7 6.8 15.2 1.4 30 2.8 39.9 5.7 11.7 3.2 12.3 8.7 12.4 20.2h18c0-7.2-1.8-20.9-8-28.5-4.1-5-10.8-7-17.3-8.9-12.8-3.9-28.3-5.1-43.4-6.4-15.2-1.3-30-2.8-39.8-6-4.9-1.6-8.4-3.6-10.3-5.4-1.8-1.8-2.5-3.1-2.5-6.1 0-5.1 1.2-7.1 4-9.4 2.8-2.2 8-4.3 15.1-5.5 14.2-2.3 35.3-1 56.5.4 21.3 1.4 42.7 3 60.2.2 8.7-1.5 16.7-4 23.1-9.4 6.3-5.5 10-14.2 9.5-23.7-.6-11.2-4.7-20.8-11.8-27.3-7-6.4-16.1-9.6-26-11.1-19.7-2.9-43.5.4-68.5 4.1-25 3.6-51 7.6-73 7.3-21.9-.4-38.8-5.1-48.6-16.8-2.2-2.7-3.7-10.3-3.8-19.2-6.1-.7-12.3-1.3-18.4-2.1z"}}]})(props);
};
function GiCleaver (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M230.3 46.15c-6.4-.1-12.6.7-18.9 2.5 26.1 15.8 35.7 36.4 30.6 55.15-40.2-33.05-98.5-36.45-128.4-4.95 30.7.4 48.8 13.25 53.8 32.15-51.5-8.5-103.61 17.7-113.67 59.7 27.04-14.8 49.77-12.7 63.47 1.6-48.86 18.3-80.89 66.9-68.55 108.4 16.02-26.6 36.67-36.3 55.75-30.8-26.03 31.5-34.03 73.9-21.31 105.1h19.01c5.1-17 15.7-27.5 29.5-31-1.7 10.4-2 20.9-1.1 31H207l18.4-91.9c-6.5-7.2-10.4-16.7-10.4-27.1 0-22.5 18.5-41 41-41s41 18.5 41 41c0 10.4-3.9 19.9-10.4 27.1L305 375h98.9c26.9-9.8 47.9-29.3 53.8-54.4-26.9 14.8-49.5 12.9-63.4-1 48.9-18.3 81.4-67.4 69.1-108.9-15.9 26-36.4 36.2-55.2 31.1 33.1-40.2 35.9-98.5 4.5-128.3-.5 30.6-13.3 48.7-32.2 53.8 8.5-51.4-17.7-103.45-59.7-113.45 14.7 26.8 12.9 49.55-1.1 63.25-15.5-41.35-53-70.65-89.4-70.95zM247.4 265L203 487h106l-44.4-222h-17.2zM54.79 393l-26.86 94H184.6l18.8-94H54.79zm253.81 0l18.8 94h156.7l-26.9-94H308.6z"}}]})(props);
};
function GiClick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M459.15 269.75a133.197 133.197 0 0 1-55.862 179.975l-42.782 22.541-10.52 5.533a71.277 71.277 0 0 1-62.966 1.685l-167.077-71.38 15.733-46.676 99.363 19.194-51.458-97.78-82.843-157.411 40.357-21.232 82.844 157.457 19.934-10.485-36.521-69.445 40.335-21.22 36.52 69.445 19.935-10.485-28.2-53.598 40.358-21.232 28.2 53.598 19.945-10.576-19.354-36.886 40.346-21.174 19.354 36.885 54.348 103.301zM73.268 146.674a60.03 60.03 0 0 1 42.361-102.459 60.098 60.098 0 0 1 56.58 80.169l10.588 20.013A78.29 78.29 0 0 0 115.708 26a78.233 78.233 0 0 0-5.635 156.262L99.428 162.02a59.688 59.688 0 0 1-26.16-15.346z"}}]})(props);
};
function GiCliffCrossing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M194.8 103.5l-5.6 17c49.1 16.4 84.5 16.4 133.6 0l-5.6-17c-46.9 15.6-75.5 15.6-122.4 0zM25 121.9V487h158V339.7l-15.5 46.6-23.3-99.7 34.4 17.8-11.7-47.9 15-120.4-96.71-8.8-13.61 46.4L59.39 125 25 121.9zm462 0l-156.8 14.2 30.9 232.4L331.5 487h68.3l-12.2-48.7 39.2-3.7-20.4 52.4H487v-86.2L466.1 328l20.9 1.4V121.9zm-16.8 102.2l-15.8 41.2-26.5-11.2-29.7 31.4-19.2-44.9 91.2-16.5zM42.95 402.7l120.35 17.6-32.9 41.3-40.26-29.1-21.74 47.7-25.45-77.5z"}}]})(props);
};
function GiCloakDagger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.07 19.707c-56.303 28.998-106.297 107.317-122.64 168.707 32.445 2.11 58.63 12.963 78.638 30.848l9.334-10.198c-13.336-13.056-30.596-23.9-52.994-34.707 12.68-31.542 32.01-79.29 56.598-82.07 9.62-1.088 19.92 4.722 31.13 21.068 35.08-58.334 68.394 18.705 87.727 61.002-21.94 11.897-39.132 22.82-52.63 36.024l8.68 9.76c19.68-17.732 45.72-29.358 78.55-31.673C358.24 127.335 311.515 50.14 254.07 19.707zM219.617 144.57c-8.894 0-16.103 3.952-16.103 8.826 0 4.875 7.21 8.827 16.103 8.827 8.894 0 16.106-3.95 16.106-8.827 0-4.874-7.212-8.826-16.106-8.826zm68.965 0c-8.894 0-16.105 3.952-16.105 8.826 0 4.875 7.21 8.827 16.105 8.827 8.894 0 16.106-3.95 16.106-8.827 0-4.874-7.212-8.826-16.106-8.826zm-118.894 70.88c-2.19 3.672-4.343 7.497-6.444 11.52-25.587 48.98-43.26 123.643-43.896 223.48 32.776 18.89 64.322 31.324 95.707 36.988-35.5-24.36-60.375-80.893-60.375-146.754 0-45.97 12.12-87.39 31.51-116.506-5.098-3.372-10.583-6.29-16.502-8.727zm168.933.35c-5.852 2.477-11.27 5.412-16.298 8.764 19.24 29.095 31.254 70.354 31.254 116.12 0 65.82-24.844 122.322-60.306 146.707 30.88-5.598 62.44-17.812 95.656-36.947-.638-99.57-18.31-174.163-43.9-223.177-2.088-4.002-4.228-7.81-6.405-11.467zm-97.665 23.61c7.026 22.543 9.128 45.086.98 67.63h-41.552v18.513c10.057-3.24 20.25-5.39 30.502-6.594.066 50.215 1.313 96.574 19.82 145.435l4.193 11.074 4.485-10.962c19.48-47.615 18.045-95.297 17.933-145.024 10.257 1.333 20.463 3.4 30.545 6.07v-18.515h-41.374c-6.888-22.544-5.932-45.087.803-67.63h-26.335z","fillRule":"evenodd"}}]})(props);
};
function GiCloak (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23.316c-27.177 0-58.578 5.75-79.525 17.967-20.688 13.774-43.22 60.756-43.22 60.756-3.112 5.22-6.173 10.658-9.16 16.376-36.372 69.627-61.496 175.763-62.4 317.686 46.593 26.853 97.436 44.53 142.05 52.582-21.736-14.917-40.667-38.325-55.18-67.618 36.913-4.56 78.545-9.817 107.314-9.818 29.802 0 73.456 5.63 111.32 10.29-14.484 29.072-33.326 52.308-54.946 67.144 44.615-8.052 91.458-25.727 138.05-52.58-.903-141.923-26.027-248.06-62.4-317.686-2.986-5.718-6.047-11.156-9.16-16.375v-.003s-22.53-46.98-43.22-60.754c-23.52-11.95-52.347-17.967-79.524-17.967zm-.045 16.22c30.187 3.09 57.525 4.198 76.307 24.67-18.46 21.81-45.975 49.5-76.29 49.503-30.302.002-66.432-30.935-76.27-49.468 17.72-19.566 53.18-24.537 76.253-24.707zM170.57 80c5.43 12.588 52.522 49.167 85.375 49.25C289.09 129.333 336 91.16 342.32 80c0 0 12.28 18.68 18.594 31.057l4.55 10.906c20.518 45.148 32.614 92.753 32.614 158.1 0 45.65-8.408 88.144-22.873 123.724-32.45-4.387-73.958-7.39-119.205-7.39-43.513 0-83.54 2.78-115.408 6.896-14.34-35.48-22.67-77.792-22.67-123.23 0-65.347 8.096-112.952 28.613-158.1l4.55-10.906C157.378 98.725 170.57 80 170.57 80z"}}]})(props);
};
function GiClockwiseRotation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M263.09 50c-11.882-.007-23.875 1.018-35.857 3.13C142.026 68.156 75.156 135.026 60.13 220.233 45.108 305.44 85.075 391.15 160.005 434.41c32.782 18.927 69.254 27.996 105.463 27.553 46.555-.57 92.675-16.865 129.957-48.15l-30.855-36.768c-50.95 42.75-122.968 49.05-180.566 15.797-57.597-33.254-88.152-98.777-76.603-164.274 11.55-65.497 62.672-116.62 128.17-128.168 51.656-9.108 103.323 7.98 139.17 43.862L327 192h128V64l-46.34 46.342C370.242 71.962 317.83 50.03 263.09 50z"}}]})(props);
};
function GiClockwork (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M137.71 18.326L17.866 138.166l29.582 29.582c23.04-53.698 66.14-96.802 119.84-119.842l-29.58-29.58zm238.286.04L346.44 47.92c53.693 23.048 96.79 66.155 119.822 119.857l29.576-29.575-119.842-119.84zm-133.27 37.04C137.405 62.64 54.448 150.126 54.448 257.31c0 111.93 90.466 202.397 202.398 202.397 32.75 0 63.66-7.757 91.007-21.52l-22.26-15.78c-21.173 8.84-44.394 13.734-68.745 13.734-98.652 0-178.827-80.172-178.827-178.824 0-90.942 68.133-166.178 156.065-177.382l8.637-24.528zm29.432.076l8.555 24.604c87.397 11.69 154.96 86.67 154.96 177.23 0 48.234-19.17 92.043-50.29 124.23l8.633 24.686c40.12-36.963 65.23-89.96 65.23-148.923 0-106.782-82.332-194.023-187.088-201.828zm-14.75 14.49l-32.3 91.706h18.925v45.068c4.35-1.182 8.917-1.824 13.63-1.824 4.36 0 8.596.547 12.65 1.564v-44.808h18.98L257.408 69.97zm71.82 44.42l-17.197 29.79c-3.446-1.657-6.983-3.158-10.596-4.5l14.144 40.683h-26.576v35.057c12.702 9.562 20.95 24.756 20.95 41.793 0 8.697-2.16 16.91-5.956 24.142l40.705 54.186 19.466-14.662 4.924 14.08 20.603 11.897c3.477-5.153 6.657-10.522 9.526-16.08l-29.35-16.945c6.967-13.842 11.447-29.152 12.86-45.348h33.862c.253-3.69.392-7.412.392-11.168 0-2.52-.066-5.026-.18-7.52h-33.82c-.98-16.423-5.11-31.993-11.796-46.112l29.45-17.002c-2.76-5.616-5.835-11.046-9.208-16.266l-29.48 17.02c-8.97-13.35-20.434-24.88-33.73-33.922l17.153-29.71c-5.178-3.438-10.566-6.585-16.144-9.41zm-145.38.313c-5.567 2.85-10.94 6.023-16.104 9.483l17.62 30.523c-12.89 9.09-23.988 20.545-32.67 33.737l-30.645-17.695c-3.362 5.228-6.422 10.667-9.167 16.29l30.73 17.74c-6.385 13.828-10.33 29.016-11.285 45.015H96.895c-.115 2.493-.182 4.998-.182 7.52 0 3.755.14 7.477.392 11.167h35.477c1.377 15.775 5.664 30.708 12.324 44.264l-30.613 17.674c2.855 5.565 6.028 10.938 9.492 16.1l30.592-17.663c8.745 12.622 19.743 23.56 32.418 32.236l-17.527 30.353c5.202 3.4 10.616 6.505 16.216 9.292l17.473-30.265c13.535 6.554 28.428 10.746 44.147 12.052v34.62c3.224.193 6.472.303 9.746.303 3 0 5.98-.09 8.94-.252v-34.497c6.595-.42 13.048-1.358 19.325-2.756l10.682-8.047-47.52-63.257c-24.326-4.454-42.908-25.862-42.908-51.428 0-16.593 7.833-31.43 19.976-41.026v-35.825h-26.63l14.196-40.31c-3.934 1.5-7.777 3.184-11.51 5.056l-17.554-30.405zm73.814 108.906c-18.67 0-33.605 14.935-33.605 33.605 0 18.67 14.936 33.603 33.605 33.603 18.67 0 33.604-14.934 33.604-33.603 0-18.67-14.934-33.604-33.604-33.604zm34.363 72.927c-5.978 5.234-13.142 9.14-21.03 11.233l50.952 67.828-14.578 10.984 79.74 56.525-32.137-91.902-13.975 10.525-48.973-65.193zm174.223 50.33c-14.203 33.102-36.037 62.167-63.27 84.998l9.7 27.733 83.15-83.15-29.58-29.58zM47.46 346.9l-29.585 29.586 119.84 119.84 29.603-29.603C113.616 443.69 70.508 400.593 47.46 346.9zm323.343 107.553c-7.848 4.552-15.992 8.65-24.395 12.254l29.58 29.58 22.33-22.33-27.515-19.504z"}}]})(props);
};
function GiClosedBarbute (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32c-2.329.582-4.684 1.22-7.05 1.887-.3 36.24-2.47 79.688-18.057 121.529L256 150.852l25.318 4.603c-15.798-41.57-17.97-85.178-18.267-121.568A244.501 244.501 0 0 0 256 32zm-25.154 7.744c-55.28 20.23-114.511 63.785-132.334 139.742l111.494-20.271c17.016-39.333 20.234-82.084 20.84-119.47zm50.31 0c.615 37.616 3.88 80.578 21.164 119.53l111.168 20.212C395.666 103.53 336.436 59.975 281.156 39.744zM247 170.785L84.893 200.258C79.975 206.216 77 214.932 77 224c0 8.727 2.773 17.108 7.355 23.049 9.955.016 30.477.143 54.334 1.978 26.423 2.033 54.653 5.58 73.336 14.922l3.334 1.668 1.18 3.537c8.759 26.277 12.438 70.147 14.451 112.418 1.917 40.258 1.983 77.296 1.987 94.678L256 499.273l23.02-23.02c.002-24.258.059-62.04 1.992-100.702 2.015-40.3 5.785-80.404 14.449-106.397l1.18-3.537 3.334-1.668c18.683-9.341 46.913-12.89 73.336-14.922 23.857-1.835 44.379-1.962 54.334-1.978C432.227 241.109 435 232.727 435 224c0-9.068-2.975-17.784-7.893-23.742L265 170.785V288h-18V170.785zM224 196l8 40c-16 0-136 4-136-12s96-28 128-28zm64 0c32 0 128 12 128 28s-120 12-136 12l8-40zM84.768 265.018L64 400c50.299 12.575 100.598 25.157 150.896 53.266-.174-19.269-.64-44.677-1.886-70.838-1.886-39.599-5.906-81.122-12.496-103.846-14.253-5.833-39.588-9.793-63.203-11.61-22.087-1.698-42.15-1.922-52.543-1.954zm342.464 0c-10.393.032-30.456.256-52.543 1.955-23.63 1.817-48.98 5.78-63.228 11.619-6.654 22.578-10.59 60.209-12.473 97.857-1.366 27.324-1.786 54.59-1.92 76.838C347.38 425.165 397.69 412.577 448 400l-20.768-134.982zm-313.466 46.156l80 16-3.532 17.652-80-16 3.532-17.652zm284.468 0l3.532 17.652-80 16-3.532-17.652 80-16zm-300.576 45.98l96 18-3.316 17.692-96-18 3.316-17.692zm316.684 0l3.316 17.692-96 18-3.316-17.692 96-18z"}}]})(props);
};
function GiClosedDoors (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 57.545c-29.212 2.622-71.312 17.137-106.37 38.172-19.394 11.637-36.707 25.19-48.83 39.178C79.68 148.882 73 163 73 176v263h174v-78h-46v16h-66v-16h-32v-66h32v-16h66v16h46V57.545zm18 0V295h46v-16h66v16h32v66h-32v16h-66v-16h-46v78h174V176c0-13-6.678-27.118-18.8-41.105-12.123-13.988-29.436-27.54-48.83-39.178C336.31 74.682 294.21 60.167 265 57.545zM153 297v62h30v-62h-30zm176 0v62h30v-62h-30zm-208 16v30h14v-30h-14zm80 0v30h110v-30H201zm176 0v30h14v-30h-14zM73 457v30h174v-30H73zm192 0v30h174v-30H265z"}}]})(props);
};
function GiClothJar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M123.2 42l6 30h254l6-30zm9.6 48l2.8 14h241.2l2.8-14zm-20.6 32c-17.95 2.5-42.45 24.1-48.5 37.6-2.24 5.5-2.26 9.3-.21 13 4.38 7.7 7.04 8.3 12.68 7.8 5.63-.4 14.26-4.2 23.62-9.3 9.31-5.2 19.51-11.5 30.01-15.9 10.6-4.4 22.4-7.2 33.8-2.5 8.7 3.5 14.5 10.5 18.6 17.7 7.9 12.8 9.7 27.7 18.1 39.6 2.9 4.1 5.1 5.7 8.8 6.1v-.1c5 .6 8.4-1.2 13.2-5.9 12.6-14.1 19.9-31.8 31.8-44.8 6.8-7.2 15.9-13.3 27.1-13.3 9.1 0 16.6 4.8 21.9 10.4 10.1 10 14.4 23.2 24.1 33.1 3.4 3.5 5.6 4.6 8.7 4.5 4.2-1 6.7-6.6 8.8-10 4.2-7.2 8.9-17.9 20.8-21.6 20.9-4.7 38.3 7.5 54.7 16.6 7.8 4.3 15 7.4 19.6 7.9 4.5.6 6.2.4 9.7-4.9 3.4-5.1 3.6-10.5 1.1-17.7-9.4-21.6-30.4-39.9-50.4-48.3zm38.4 46.3c-12.8 1.2-24.2 8.4-34.4 14.1-14.1 65.9-7.8 151 52.8 183.9-21.6-58.6-13.2-113.4 7.1-164.8-5-11.8-9.8-27.6-19.3-32.2-1.8-.7-3.9-1.1-6.2-1zm-96.65 21.1c-6.76 25.6-9.74 53.9-8.89 81.9 1.03 34 7.67 67.5 20.63 95.3 11.39 24.3 27.96 44.4 50.21 55l-12.7 25.3v2.1c.8 10.4 12.3 12.7 19.7 14.1 8.5 1.6 20 2.9 33.6 3.9 27.4 2 63.5 3 99.7 3s72.3-1 99.7-3c13.6-1 25.1-2.3 33.6-3.9 8.4-1.5 19.5-4.8 19.7-14.1-3.2-9.5-8.2-18.6-12.6-27.4 22.1-10.6 38.6-30.7 49.9-55.1 12.9-27.7 19.5-61.2 20.5-95.2.8-23.4-1.2-47.1-5.8-69.2-4.7 4.9-10.7 7.7-16.7 8.6 3.6 19.2 5.2 39.7 4.6 60-1 32-7.4 63.5-18.9 88.3-11.3 24.3-27.3 41.7-47.7 49H129.9c-20.5-7.3-36.53-24.7-47.9-49.1-11.59-24.7-17.98-56.2-18.95-88.2-.75-24.9 1.77-50 7.3-72.7-5.86-1-11.62-3.9-16.4-8.6zM133.8 426h244.8l9.5 18.9c-11.3 2.3-24 3.4-33.6 4.1-26.6 2-62.5 3-98.3 3s-71.7-1-98.3-3c-15.2-.8-23.4-1.3-33.6-4.1z"}}]})(props);
};
function GiClothes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M133.3 33.41L77.89 47.25 34.6 148.3l33.29 22.2 27.46-54.9 17.05 4.9-15.07 150.1H245.2l9.2-87.9.9-8.1h4.5l-5.4-54.1 17.1-4.9 27.4 54.9 33.3-22.2-43.3-101.05-55.4-13.84c-5.5 3.87-12.2 6.21-19.5 7.95-9.4 2.21-20 3.24-30.6 3.24-10.6 0-21.2-1.03-30.6-3.24-7.3-1.74-14-4.07-19.5-7.95zM271.5 192.6l-1.5 14h178.8l-1.5-14zm-3.4 32l-26.7 254h62.7l46.5-216.9h17.6l46.5 216.9h62.7l-26.7-254z"}}]})(props);
};
function GiClothespin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M144.4 21.08c-7-.01-13 7.72-8.1 17.19l77.2 148.63c10.3-1.7 21.2 1.5 29 9.3 4.2 4.2 7.1 9.4 8.6 14.8h.1l.4 2.3c.1.5.2.9.2 1.4l6.3 35.4 33.7 34s22.8-9.2 29.4-1.9c5.9 6.5-4.5 25.9-4.5 25.9l38 38c28.8 2.2 58.6 17.3 51.1 54.5l12.1 12c64.3 4.4 85-1 66.6-20.9L383.1 282s-12.8 1.6-20-6.1c-6.5-7.1.5-19.8.5-19.8l-211-231.11c-2.5-2.73-5.4-3.91-8.2-3.91zM31.32 134.5c-9.22.1-14.22 10.9-6.33 18.1l231.11 211s1.3-.7 3.3-1.5l-20.2-114.8-.8-.8c-12.8 8.9-30.8 7.4-42.2-4-7.8-7.8-11-18.7-9.3-29L38.28 136.3c-2.47-1.3-4.83-1.8-6.96-1.8zm187.78 69.8c-3.8-.1-7.6 1.4-10.5 4.3-5.8 5.8-5.8 15.1.3 21.2s15.4 6.1 21.2.3c5.8-5.8 5.8-15.1-.3-21.2-3-3-6.9-4.6-10.7-4.6zm42.4 65.1l17 96.9c4.7 7.3 3.5 16.8 3.5 16.8l109.7 101.4c19.9 18.4 25.3-2.3 20.9-66.6l-12-12.1c-37.2 7.5-52.3-22.3-54.5-51.1l-38-38s-19.4 10.4-25.9 4.5c-7.3-6.6 1.9-29.4 1.9-29.4l-22.6-22.4z"}}]})(props);
};
function GiCloudDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M200.1 31.2A130.1 132.4 0 0 0 70.03 163.6a130.1 132.4 0 0 0 .55 11.3 80.98 73.47 0 0 0-52.21 68.6A80.98 73.47 0 0 0 99.35 317a80.98 73.47 0 0 0 37.25-8.3 189.3 80.97 0 0 0 78.4 16.5v-49.9h82v50.1a189.3 80.97 0 0 0 39.5-5.7 91.09 67.8 0 0 0 66 21.1 91.09 67.8 0 0 0 91.1-67.8 91.09 67.8 0 0 0-58-63.1 70.1 81.72 20.61 0 0 2.6-6.2 70.1 81.72 20.61 0 0-36.8-101.2 70.1 81.72 20.61 0 0-76.9 22.8 130.1 132.4 0 0 0-124.4-94.1zM233 293.3v112h-51.3l74.3 74.3 74.3-74.3H279v-112h-46z"}}]})(props);
};
function GiCloudRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M245.22 31.387c-70.06.15-134.335 31.794-168.1 90.28-5.223 9.045-8.83 18.417-12.24 28C122.157 70.996 219.372 40.6 292.07 82.57c78.822 45.506 98.658 158.253 44.405 252.223-25.855 44.782-63.857 77.026-105.15 93.723 95.38 29.26 195.698-.307 240.96-78.704 54.027-93.574 8.905-220.773-100.055-283.68-40.858-23.59-84.976-34.837-127.01-34.747zm-24.763 49.945c-40.357.123-84.108 16.545-122.254 49.408C19.45 198.588-6.02 311.192 41.32 382.244c4.577 6.87 9.9 12.55 15.434 18.137C20.79 331.21 31.144 244.728 83.69 199.46c56.97-49.083 141.443-31.06 188.98 40.292 22.654 34.003 32.705 73.913 30.926 111.78 51.07-67.13 63.006-155.83 23.347-215.356h-.002C302.534 99.54 263.42 81.2 220.458 81.332zm-63.36 107.71c-26.76.083-53.228 9.95-73.05 29.65-48.848 48.55-47.855 142.19 1.144 205.94 49 63.75 128.323 76.074 177.17 27.524-47.107 29.645-84.88 26.3-128.778-20.916-39.45-42.43-24.435-122.8 24.62-171.554 23.376-23.234 51.128-35.812 77.675-37.696-21.48-22.033-50.296-33.034-78.78-32.947z"}}]})(props);
};
function GiCloudUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M200.1 31.2A130.1 132.4 0 0 0 70.03 163.6a130.1 132.4 0 0 0 .55 11.3 80.98 73.47 0 0 0-52.21 68.6A80.98 73.47 0 0 0 99.35 317a80.98 73.47 0 0 0 37.25-8.3 189.3 80.97 0 0 0 70.4 15.6l49-49 49.2 49.2a189.3 80.97 0 0 0 31.3-4.8 91.09 67.8 0 0 0 66 21.1 91.09 67.8 0 0 0 91.1-67.8 91.09 67.8 0 0 0-58-63.1 70.1 81.72 20.61 0 0 2.6-6.2 70.1 81.72 20.61 0 0-36.8-101.2 70.1 81.72 20.61 0 0-76.9 22.8 130.1 132.4 0 0 0-124.4-94.1zM256 300.7L181.7 375H233v112h46V375h51.3L256 300.7z"}}]})(props);
};
function GiCloudyFork (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.012 13.912c-35.27.5-72.71 29.525-72.71 66.174 0 39.68 36.478 83.723 99.893 117.853 101.13 54.43 72.602 179.66-36.256 179.66-42.733 0-72.187-39.64-74.362-77.31-.128-.663-.21-1.343-.238-2.04-.464-12.076 14.837-24.335 34.176-27.383 19.34-3.05 35.39 4.267 35.855 16.344h.003c.463 12.078-14.84 24.336-34.18 27.384-2.914.46-5.75.68-8.474.687 3.456 1.195 7.087 2.206 10.876 2.988 30.905 6.373 60.155-4.38 65.33-24.014h.002c5.176-19.634-15.682-40.717-46.586-47.09-11.74-2.42-23.238-2.365-33.272-.295.107-.077.207-.158.315-.233C6.66 278.06 70.908 496.213 235.605 496.213c189.383 0 235.943-179.11 169.05-266.756-10.69-14.007-23.185-25.6-36.55-35.752-45.053-44.06-63.563-96.312-24.972-152.35-46.768 9.864-64.43 59.03-58.05 101.315-22.383-13.896-41.988-29.116-54.257-50.365-19.586-33.927-3.52-70.383 43.434-71.643-8.666-4.792-18.372-6.89-28.248-6.75zm-94.506 7.78c-33.04.204-62.758 24.05-59.543 55.503v.002c6.14 60.084 68.852 116.43 162.83 126.99-58.058-23.48-92.455-60.586-110.734-112.87-11.944-34.16 3.377-61.222 28.182-66.555-6.878-2.138-13.88-3.113-20.736-3.07zm67.096 192.326c-11.45-.047-24.08 1.058-37.97 3.535l.003.002c81.43 3.067 110.127 50.344 107.463 79.85-2.83 31.378-51.59 52.93-90.506 35.38 35.285 42.01 94.344 22.24 110.416-7.045 18.97-34.563 3.837-111.34-89.406-111.722z"}}]})(props);
};
function GiClout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M33.107 27.95l145.817 205.456L58.3 236.428l127.833 107.056-99.274 18.84 188.798 64.412c-27.16-26.503-51.394-55.114-71.83-84.88l15.406-10.577c39.313 57.257 93.652 110.5 155.83 151.78 26.423-5.435 52.822-21.64 73.036-42.826 20.17-21.14 33.822-46.97 36.597-70.004-43.09-60.1-94.658-111.11-156.87-151.148l10.112-15.717c30.99 19.946 59.436 42.53 85.55 67.483L378.963 86.6l-39.83 97.197L249.395 60.35l-3.14 124.414L33.108 27.95zm398.788 304.42l10.552 15.425c-34.503 23.6-64.288 57.193-90.49 92.758l-15.045-11.086c26.87-36.472 57.815-71.673 94.983-97.096z","fillRule":"evenodd"}}]})(props);
};
function GiCloverSpiked (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-24 72-72 72-72 96s48 48 72 48 72-24 72-48-48-24-72-96zM112 184c-24 0-24 48-96 72 72 24 72 72 96 72s48-48 48-72-24-72-48-72zm288 0c-24 0-48 48-48 72s24 72 48 72 24-48 96-72c-72-24-72-72-96-72zm-141.906.03A72 72 0 0 0 184 256a72 72 0 0 0 144 0 72 72 0 0 0-69.906-71.97zM256 352c-24 0-72 24-72 48s48 24 72 96c24-72 72-72 72-96s-48-48-72-48z"}}]})(props);
};
function GiClover (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105.186 26.426c-38.314.06-62.13 26.334-31.37 72.994C6.192 97.785-9.36 188.75 62.29 218.39c54.838 22.684 82.008-6.012 142.985 15.008-64.015-7.88-119.143 21.696-153.814 66.6-38.507 49.87-24.104 120.148 40.41 100.332-9.024 67.12 62.385 100.137 103.907 47.166 35.793-45.66 15.51-103.756 41.842-182.885 7.1 61.706-5.617 108.762 11.573 166.478 21.393 71.83 103.075 75.605 118.537 6.34 55.84 51.31 95.82-9.41 75.754-76.643-17.993-60.285-90.76-98.2-167.65-118.703 72.808-3.032 108.846 44.51 167.78 30.084 72.446-17.734 64.365-108.426-10.823-128.922 45.767-54.918-19.446-110.047-87.18-93.117-57.113 14.275-90.85 71.977-101.928 143.33-5.55-65.618-28.823-120.138-81.03-150.316-19.64-11.353-40.05-16.74-57.466-16.714z"}}]})(props);
};
function GiClown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-38.3 0-53.9 13.6-62.4 30.97-5.6 11.28-7.5 24.61-8.2 37.03h141.1c-.8-12.37-2.9-25.68-8.6-36.97C309.2 38.6 293.6 25 256 25zm-98.9 86l9.1 24h187.5l3.8-24zm-65.6 9.5c-2.35.1-4.56.4-6.55 1-5.26 1.4-9.4 4.3-12.92 10.6-.51 1.1-.57 1.8.4 4.2.99 2.6 3.3 6.2 6.05 10.2 2.75 4 5.91 8.4 8.27 13.6 2.36 5.2 3.95 11.8 1.85 18.6-2.85 9.1-9.6 15.3-16.68 19.6-7.08 4.2-14.83 7.1-22.01 9.8-7.17 2.8-13.75 5.4-18.12 8.4-4.36 2.9-6.26 5.3-6.9 9-.98 5.8 1.76 11.7 7.69 18.7 5.94 7 14.51 14.2 21.79 21.4 6.36 6.4 6.43 14.7 6.1 20.7-.32 6.1-.9 11.5-.53 13.6.15 1 .35 1 .25.9-.1-.1.14.3 2.14.6 3.45.5 11.77-.5 24.69-4.2V296c0-59.1 19.89-112.9 52.19-151.2-8.8-9.5-22.2-18.7-34.8-22.4-3.7-1-7.2-1.6-10.48-1.8-.82-.1-1.62-.1-2.41-.1zm326.6.1c-3.3.2-6.8.8-10.5 1.9-12.6 3.7-26 12.8-34.8 22.3C405.1 183.1 425 236.9 425 296v1.2c12.9 3.7 21.3 4.7 24.7 4.2 2-.3 2.2-.7 2.1-.6 0 .1.1.1.3-.9.3-2.1-.2-7.5-.6-13.6-.3-6-.2-14.3 6.1-20.7 7.3-7.2 15.9-14.4 21.8-21.4 6-7 8.7-12.9 7.7-18.7-.6-3.7-2.5-6.1-6.9-9-4.4-3-10.9-5.6-18.1-8.4-7.2-2.7-14.9-5.6-22-9.8-7.1-4.3-13.8-10.5-16.7-19.6-2.1-6.8-.5-13.4 1.9-18.6 2.3-5.2 5.5-9.6 8.2-13.6 2.8-4 5.1-7.6 6.1-10.2.9-2.4.9-3.1.4-4.2-3.5-6.3-7.7-9.1-12.9-10.6-2-.6-4.2-.9-6.6-.9zM156 153c-31.1 34.8-51 85.7-51 143 0 23.1 3.2 45.2 9.2 65.6C126.3 346.8 145 339 166 339c13.2 0 27.5 2.8 42.2 8.2a48 48 0 0 1 10.1-24.8c-11.8-3.7-19.4-5.4-26.3-5.4-10 0-21.2 3.5-45.2 11.5l-11.8 4V320c0-5.5 1.1-14.3 3.1-25.8 2.1-11.6 5.2-25.4 9.3-38.8 4.1-13.5 9.3-26.6 16-37 3.3-5.1 7.2-9.8 11.7-13.3L192 168l16.9 37.1c4.5 3.5 8.4 8.2 11.7 13.3 6.7 10.4 11.9 23.5 16 37 4.1 13.4 7.2 27.2 9.3 38.8.7 3.8 1.2 7.3 1.7 10.6a48 48 0 0 1 8.4-.8 48 48 0 0 1 8.4.8c.5-3.2 1-6.8 1.7-10.6 2.1-11.6 5.2-25.4 9.3-38.8 4.1-13.5 9.3-26.6 16-37 3.3-5.1 7.2-9.8 11.7-13.3L320 168l16.9 37.1c4.5 3.5 8.4 8.2 11.7 13.3 6.7 10.4 11.9 23.5 16 37 4.1 13.4 7.2 27.2 9.3 38.8 2 11.5 3.1 20.3 3.1 25.8v12.5l-11.8-4c-24-8-35.2-11.5-45.2-11.5-6.9 0-14.4 1.7-26.3 5.4a48 48 0 0 1 10 24.8c14.8-5.4 29-8.2 42.3-8.2 21 0 39.7 7.8 51.8 22.6 6-20.4 9.2-42.5 9.2-65.6 0-57.3-19.9-108.2-51-143zm36 64c-3.5 0-8.2 3.1-13.4 11.1-5.3 8.1-10.1 20-14 32.5-3.9 12.6-6.8 25.8-8.7 36.7-.7 3.7-1.1 6.7-1.5 9.8 10.8-3.5 19.1-6 26.9-7.2A16 16 0 0 1 176 288a16 16 0 0 1 16-16 16 16 0 0 1 16 16 16 16 0 0 1-5.3 11.9c7.8 1.2 16.1 3.7 26.9 7.2-.4-3.1-.8-6.1-1.5-9.8-1.9-10.9-4.8-24.1-8.7-36.7-3.9-12.5-8.7-24.4-14-32.5-5.2-8-9.9-11.1-13.4-11.1zm128 0c-3.5 0-8.2 3.1-13.4 11.1-5.3 8.1-10.1 20-14 32.5-3.9 12.6-6.8 25.8-8.7 36.7-.7 3.7-1.1 6.7-1.5 9.8 10.8-3.5 19.1-6 26.9-7.2A16 16 0 0 1 304 288a16 16 0 0 1 16-16 16 16 0 0 1 16 16 16 16 0 0 1-5.3 11.9c7.8 1.2 16.1 3.7 26.9 7.2-.4-3.1-.8-6.1-1.5-9.8-1.9-10.9-4.8-24.1-8.7-36.7-3.9-12.5-8.7-24.4-14-32.5-5.2-8-9.9-11.1-13.4-11.1zm-64 103a32 32 0 0 0-32 32 32 32 0 0 0 6.2 18.8 48 48 0 0 1 44.6-44.7A32 32 0 0 0 256 320zm-90 37c-21.9 0-36.9 8.3-44.3 26.5C147 445.3 198.1 487 256 487c57.9 0 109-41.7 134.3-103.5-7.4-18.2-22.4-26.5-44.3-26.5-13 0-28.3 3.5-44.7 10.6A48 48 0 0 1 256 400a48 48 0 0 1-45.3-32.4C194.3 360.5 179 357 166 357zm1.7 22.4c22.7 37.7 55.6 55.6 88.3 55.6 32.7 0 65.6-17.9 88.3-55.6l15.4 9.2C334.4 430.9 295.3 453 256 453s-78.4-22.1-103.7-64.4z"}}]})(props);
};
function GiClownfish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M413.38 71.32c-2.692.027-5.327.135-7.884.319-26.372 51.103 17.394 93.805 64.493 104.945 13.09-17.97 20.194-35.75 19.81-52.19l-13.342 9.173-10.197-14.832 19.385-13.328a51.746 51.746 0 0 0-2.67-5.307c-12.504-21.573-43.584-29.033-69.596-28.78zm-37.335 5.07c-17.856 4.26-35.236 10.617-50.578 16.962-15.406 6.371-49.229-21.262-61.195-9.934-47.257 44.737-30.373 63.14-36.053 72.645 26.004 6.87 47.011 17.806 78.174 19.775 4.524-6.931 8.111-11.8 12.752-17.982l46.873.31-.121 17.998-37.573-.248c-6.871 9.512-12.176 18.044-14.943 24.862-3.133 7.72-3.384 12.978-1.998 16.851 7.927 14.29 31.59 18.35 45.008 20.778l30.031-39.956 14.389 10.815-36.608 48.707c-16.36-2.943-34.12-5.98-47.841-12.496l-.082-.041c6.302 17.447 14.137 34.826 18.359 51.228a647.74 647.74 0 0 0 13.004-7.658c22.215-13.45 5.493 46.972 53.295 3.69 5.713-5.174 8.326-49.352 10.16-51.223 13.1-13.364 30.148-30.006 45.225-47.686-67.624-8.885-98.696-65.168-80.278-117.396zm60.54 14.683a10.985 10.985 0 0 1 4.984 20.945c-5.505 2.548-12.033.152-14.582-5.352-2.55-5.505-.154-12.034 5.351-14.584a10.984 10.984 0 0 1 4.246-1.01zm-256.343 91.076c-10.778-.103-22.732 2.199-29.648 8.23-70.643 61.604-16.27 86.406-11.574 90.723 22.797 20.957 39.667 72.813 45.96 88.693 3.648 9.202 19.545 26.155 54.594 9.934 52.654-20.53 29.41-48.545 57.666-62.912-9.123-50.356-50.136-103.254-96.902-130.684-4.04-2.37-11.712-3.904-20.096-3.984zM92.99 324.759c-60.74-.071-78.355 61.634-68.033 92.634 39.549 51.777 96.597 6.736 124.514-33.545-10.297-23.138-22.417-43.575-40.1-57.686-5.776-.95-11.233-1.398-16.38-1.404z"}}]})(props);
};
function GiClubs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M477.443 295.143a104.45 104.45 0 0 1-202.26 36.67c-.08 68.73 4.33 114.46 69.55 149h-177.57c65.22-34.53 69.63-80.25 69.55-149a104.41 104.41 0 1 1-66.34-136.28 104.45 104.45 0 1 1 171.14 0 104.5 104.5 0 0 1 135.93 99.61z"}}]})(props);
};
function GiClusterBomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M108.844 20.438c-1.123-.004-2.255.022-3.375.062-31.373 1.107-62.048 19.857-83.75 54.063l15.78 10c21.905-34.525 51.05-48.46 79.094-44.907 18.49 2.344 37.197 12.58 53.22 31.594l-52.97 30.594 37.03 64.187c-54.02 59.836-65.993 150.21-23.53 223.814 52.703 91.357 168.712 122.463 260 69.72 91.288-52.746 123.174-169.328 70.47-260.69-40.2-69.672-117.545-104.362-192.533-93.53l-39.374-68.25-42.75 24.687c-19.06-23.673-42.603-37.566-67.22-40.686-3.363-.427-6.725-.645-10.092-.657zm60.344 99.062c34.395 1.276 59.808 12.09 74.25 32.438 4.89 6.89 8.42 14.64 10.75 23.156l27.406-15.844 26.844 46.563c51.126-7.386 103.876 16.27 131.28 63.78 35.935 62.294 14.18 141.757-48.062 177.72-62.24 35.962-141.317 14.76-177.25-47.532-28.95-50.187-20.77-111.797 16.063-152.592l-25.25-43.782 32.03-18.53c-1.737-8.716-4.777-16.09-9.063-22.126-10.35-14.58-28.73-23.446-59.687-24.594l.688-18.656zm110 139.188c-11.59-.084-23.672 4.737-33.938 14l12.53 13.875c10.593-9.557 20.598-10.993 28.69-7.75 3.54 1.418 6.98 3.91 9.936 7.625l-13.312 7.718 13.844 24.03c-20.225 22.402-24.71 56.225-8.813 83.783 19.73 34.204 63.168 45.872 97.344 26.124 34.175-19.748 46.105-63.39 26.374-97.594-15.048-26.09-43.99-39.087-72.063-35.03l-14.75-25.564-12.405 7.188c-5.072-7.207-11.6-12.585-19.188-15.625-3.83-1.537-7.844-2.426-11.937-2.69-.767-.048-1.54-.087-2.313-.092z"}}]})(props);
};
function GiCoalWagon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304 64c-23.723 1.039-64 32-96 48-32-10.667-79.124-37.34-96-32-22.196 7.024-47.374 44.154-71.533 71h435.719C467.4 130.604 444.747 80.887 432 80c-15.998-1.113-80 48-80 48-16-21.333-36.57-64.5-48-64zM27.133 169l44.144 206H119V169H27.133zM137 169v14h46v-14h-46zm64 0v206h239.725l44.142-206H201zm-64 32v14h46v-14h-46zm0 32v14h46v-14h-46zm0 32v14h46v-14h-46zm0 32v14h46v-14h-46zm0 32v14h46v-14h-46zm0 32v14h46v-14h-46zM25 393v30h462v-30H25zm11.822 48C34.387 445.436 33 450.543 33 456c0 17.227 13.773 31 31 31s31-13.773 31-31c0-5.457-1.387-10.564-3.822-15H36.822zm80 0c-2.435 4.436-3.822 9.543-3.822 15 0 17.227 13.773 31 31 31s31-13.773 31-31c0-5.457-1.387-10.564-3.822-15h-54.356zm81.74 0l15 30h84.875l15-30H198.563zm142.26 0c-2.435 4.436-3.822 9.543-3.822 15 0 17.227 13.773 31 31 31s31-13.773 31-31c0-5.457-1.387-10.564-3.822-15h-54.356zm80 0c-2.435 4.436-3.822 9.543-3.822 15 0 17.227 13.773 31 31 31s31-13.773 31-31c0-5.457-1.387-10.564-3.822-15h-54.356z"}}]})(props);
};
function GiCobra (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M272.4 20.95c-15.3.23-28.6 3.6-40.4 10.47-15.4 2.32-31.2.89-45.4 4.01-23.6 5.29-44.3 18.98-54.5 56.05 1.7-2.63 3.7-5.01 5.9-7.08 5.9-5.55 14.2-8.95 22.7-7.25 8 1.59 14.1 7.27 17.7 14.08 3.4-8.45 8-16.94 13.7-25.52 9.5-12.42 24.3-13.31 37.6-12.68L288 63.18l45.5-6.98c-7.8-18.12-27.2-30.54-53.6-34.39 11.4 8.12 12.8 19.86 13.4 30.1-10.6-7.83-17.4-12.76-34.6-18.61l16.4-12.1c-.9-.1-1.8-.18-2.7-.25zm-49.9 49.38c-5.8 0-11.3 1.51-15.4 5.32-7.9 11.93-13.2 22.91-16 33.45 22.3-2.2 43-3.2 64.6-.7-8.9-11.04-17.3-23.12-22.6-36.56-3.5-.95-7.1-1.5-10.6-1.51zm109.6 4.23L317 76.87l5.7 30.03zm-76.9 1.13c7.9 13.7 19.7 27.21 30.7 40.81 4.1 2.3 7.7 3.3 10.7 3.6-6.3-13.4-9.7-26.53-12.5-39.39zM150.1 97.66c-2.7 2.54-5.3 6.94-6.4 12.44-1.1 5.5-.4 10.7 1.1 14.1 1.7 3.5 3.6 4.9 5.5 5.2 2 .4 4.3-.1 7.1-2.7s5.4-7.1 6.5-12.6c1.1-5.5.3-10.6-1.2-14-3.3-6.39-8.1-6.47-12.6-2.44zm76.6 27.14c-13 0-26.2 1-38.3 2.5-.1 3.9.1 7.9.7 11.8.7 5.3 2.1 10.7 4 16.2 28.6-5.5 53.5-8.6 80.8-4.1-.3-7.3-.8-14.5-1.5-21.4-13-3.7-29.2-5.1-45.7-5zm-55.8 13.8c-.4.4-.8.9-1.3 1.3-5.9 5.5-14.2 8.9-22.8 7.2-3.6-.7-6.9-2.3-9.7-4.4 6.3 14 16 28.5 28.2 42.1 15.9 17.8 35.5 33.9 55.6 45.5-3.2-3.5-6.2-7-9.1-10.5-23-27.7-36.9-52.7-40.5-78.1-.1-1-.3-2.1-.4-3.1zm73 28.4c-14.8.2-30 2-43.4 4.9 6 11.3 14.3 23.3 25.1 36.4.3.4.7.8 1 1.2 18.7-10.4 34-14 47.2-14.5.3-8.4.5-17 .5-25.7-9.4-1.7-19.8-2.4-30.4-2.3zm-5.2 56.1c8.2 8.8 17.3 18.1 26.4 28.1 10.3-7.5 23.2-13.3 38.3-15.6-7.3-7.7-14.5-15.2-21.4-22.7-16-.8-32.6 4.7-43.3 10.2zm38.2 41.5c7.6 8.9 14.9 18.5 21.6 28.8 13.7-7.4 28.6-13.8 43.4-15.6-7.3-8.8-14.9-17.2-22.6-25.5-14.9.1-31.6 5-42.4 12.3zm74.5 30.8c-12.5.1-28.6 5.6-43.8 13.4 7.3 13.6 13.3 28.4 16.9 44.8 5.2 23.7 4.4 43.2-7.5 57.8-1.6 1.7-2 2.3-3 3.4-44.6 53.7-203.7 39.5-202.2 31.9 2.2-13.6 96.1 7.5 168.5-30.3-56.7.1-117.1-1.9-170.4 4.7-15.02 2.7-71.52 5.1-72.51 24.8 1.54 16.1 19.23 24.4 31.2 29.1 21.11 8.1 67.31 13.1 99.91 15.1 65.2 3.9 141.1-4.7 176.1-19.3 22.5-9.4 35-22.6 42-38.2 6.9-15.5 8.1-33.9 5.6-52.8-4.2-31.7-18.3-59.2-36.4-84.2-1.4-.1-2.9-.2-4.4-.2zm-99.5 45.8c-49.1-.1-194.74 14.9-194.37 49.5.1 8.1 6.1 14.4 16.23 19.3 10.16-3 21.61-5.1 33.84-6.7 37.2-4.8 81.5-4.7 112.6-5.3 13.4-.3 32.6.3 50 .4 8.8.1 17.1.1 23.8-.1 4.7-.1 8.3-.5 10.9-.8 4-6.3 5.5-14 4.5-25l-202.3 9.8c27.4-14.4 86.1-21.2 134.5-25.2 24.8-5 27.3-9.3 26.1-14.3-.9-1-6.7-1.6-15.8-1.6zm156.5 26.4c.6 3.2 1.1 6.5 1.6 9.9.9 6.8 1.4 13.6 1.4 20.5 16-1.3 33.9-6.7 44.1-6.6-6.1 8.5-26.8 17.2-45.1 22-1.2 9.2-3.6 18.1-7.4 26.7-1.1 2.5-2.4 5-3.7 7.4 42.8-3.2 74.7-10.7 75.3-46.6.4-23.4-36.9-30.7-66.2-33.3z"}}]})(props);
};
function GiCobweb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.91 19.47v13.06l52.47 43.78c-18.59 8.2-37.3 21.44-52.47 38.59v46.8l64.84 83.9c-22.51 12.6-46.07 25.8-64.84 46.3v51.3l32.25 77.7c-10.96-.2-21.82.9-32.25 3.9v19.6c12.22-4.5 25.81-5.7 40.18-4.5l21.85 52.6h20.26l-23.82-57.2c33.22-26.5 75.12-43.6 118.92-44.1l70.2 90.8c-25.2 1.4-53.2 3.2-76.7 10.5h109.5c36.5-59.5 75.1-101.7 136.1-111.3 18.6 11.7 39.2 31.5 56.9 46.3v-24.3l-49.6-41.4c-3.5-68.9 17.1-117.9 41.6-151.9l8 4V193l-9.5-4.8c-7.9-20.4-13.1-46.8-12.5-73.1.5-27.64 7.2-54.92 22-75.79V19.56c-89.2-.19-178.5-.1-267.7-.1l138 9.71c-6 15.42-11.8 31.44-15.1 47.88-2.8 13.73-3.6 27.94-.9 41.94L205.9 48.06c-1.7-9.81-4.3-19.91-4-28.59h-18.8c-.2 6.08.4 12.01 1.4 17.72l-34.8-17.72H91.59C84.78 30.98 79.9 43.79 77.78 58.13L31.47 19.47zm94.59 2.06l69.3 35.22c-11.5 20.26-20.8 43.45-22.3 69.55L95.16 72.62c.28-20.5 6.64-36.54 17.34-51.09zm268.6 9.03l89.5 6.28c-13.7 23.26-19.5 50.87-20 77.86-.5 21.5 2.4 42.6 7.6 61.5l-89.5-45.5c-7.3-15.7-7.4-32.2-3.9-49.98 3.3-16.21 9.7-33.17 16.3-50.16zM198.4 65.19L343.7 139c-29.9 27.3-43.5 62.8-46.5 102.3l-119.1-99.5c-.7-27.3 9-56.61 20.3-76.61zM86.6 89.84l64.3 53.66c-24.2 21.4-46.4 48.6-59.21 83.1l-68.35-88.4c17.72-20.3 40.29-40.09 63.26-48.36zm275 58.26l105 53.3c-23.7 33.9-43.7 81.4-43.9 144.6l-107.6-89.8c5.3-44.7 19.8-85.6 46.5-108.1zm-196.3 7.5l125.8 104.9c-39.4 22.5-74.7 53.8-94.1 102.3l-91.6-118.5c13.6-35.7 35.3-67.1 59.9-88.7zM94.31 260.5l87.29 112.9C140 376.7 101 393.2 69 417.5L25.25 312.2c20.06-23.3 46.89-39.2 69.06-51.7zm212.09 12.7l110.8 92.5C359 380 319.9 423.2 285.7 477.6l-75.3-97.4c20.5-48 58.3-86.2 96-107z"}}]})(props);
};
function GiCoconuts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M178.9 22.46c-4.5 0-9 .27-13.6.72-24 2.4-44.1 19.61-61.2 42.42-4.39 5.9-8.61 12.23-12.66 18.86l.98-45.3-24.83 91.74c-2.34 5.3-4.6 10.7-6.78 16.1-1.26 3.1-2.49 6.3-3.69 9.4l-6.14-68.08L40.82 203.5c-2.95 9.5-5.61 18.6-7.9 27-6.6 24.1-10.37 41.6-11.25 49.3-3.81 33.5-1.2 75.7 11.67 113.7-4.19.3-8.59-1.1-13.96-10.2-2.61 21.8 12.65 34.1 25.28 47.8-9.17 4.1-14.29 3.2-25.28-1.5 20.17 13.9 36.78 30.3 65.75 38.3 12.87 9 27.87 15.3 45.27 17.8 66 9.5 111.1.7 142.1-19.4 33.7 22.9 78.8 30.7 136.4 10.8 28.9-10 48.6-30.6 60.1-57.1l9 19.4-.3-47.1c1.3-6.3 2.3-12.8 3-19.5.2-2.1.4-4.2.5-6.3l11.7 8.4-13-57.1c-4-34.8-13.9-71.9-28.5-108.4l-7.8-19.4-7.3 15.7c-6 19.2-20.3 34.8-38.5 46.6-22.6 14.7-51.4 24.4-80.6 29.9-29.2 5.4-58.8 6.5-83 3.3-12.1-1.6-22.9-4.3-31.9-8.4-2.1-1-4.1-2-6.1-3.1-1.1-.4-2.3-.8-3.4-1.2l-14.4-5 2.6 15c1.9 10.8 4.1 22.2 6.9 33.8l11.6 90.2 6.3-24.6 12 66.7 2.4-35.8 15.2 51.2c-24.8 7.9-57.7 10-102.4 3.6-40-5.8-64.59-34.1-79.21-70.9-14.62-36.8-18.05-81.6-14.24-115.2.5-4.4 4.27-23 10.73-46.6 6.46-23.5 15.67-52.8 27.23-81.4C89.06 125.1 103 97.11 118.5 76.37c15.6-20.78 32.3-33.65 48.6-35.28 4.1-.4 8-.62 11.9-.65 27.3-.23 50.2 8.46 69.8 23.39 22.5 17.06 40.5 42.57 53.8 72.17 1.7 3.7 3.3 7.5 4.8 11.4 5.8-1.1 11.9-2 18.2-2.7-1.7-4.3-3.4-8.5-5.2-12.7l22.7 4.1-39-35.9c-.9-1.49-1.8-2.99-2.8-4.39l25 .6L282.7 71c-7-7.96-14.7-15.19-23-21.51-22.4-17.02-49.6-27.21-80.8-27.03zm-1.2 48.2c-1.7 0-3.3.28-4.8.92-11.2 4.74-3.7 27.43 4.7 36.22 6.6 7 23.4 13.4 28.3 5.2 8.2-13.69-12.2-42.22-28.2-42.34zm-34.2 29.64c-9.7-.3-18.3 22.1-18.4 35 0 8.9 6 23.3 13.1 21.4 15.1-4.3 22.6-48 8.3-55.6-1-.5-2-.8-3-.8zm206.9 61c-21.5.2-43.8 3.7-60.4 8.5-20.8 6.1-45.6 16.8-63.8 31.3-17.7 14.2-28.7 30.9-27.3 51.5 1.7 2.5 5.1 5.5 10.8 8.1 6.7 3.1 16 5.5 26.9 6.9 21.7 2.9 49.8 2 77.3-3.1 27.4-5.1 54.4-14.4 74.1-27.3 19.2-12.6 31.1-27.8 32.9-46.3-2.2-8.1-7.2-14-15.4-18.7-8.7-5-20.7-8.3-34.1-9.8-6.8-.8-13.8-1.1-21-1.1zm-3.1 15c22.3-.2 44.1 4.3 57.4 15.9-8.5-3.1-65.2-3.6-95.8 5.5-31.2 9.3-64.2 22.4-84.7 48.5 5.4-35 46.7-53.6 79.1-63.3 13.2-4 28.7-6.4 44-6.6zm93.6 56.6c17.6 49.2 25.9 98.3 21.9 138.1-4.4 44.4-22.6 76.2-59.7 89.1-72.8 25.1-117.1 4.3-148.4-34.7-28.2-35.1-44.2-86.1-53.2-131.1 24.4 6.9 48.5 9.8 71.6 9.7 16.4 7.7 31.4 13.6 52.8 10.8 0 0 2.7 30 2.1 45-.4 10.8-7.6 22-4.1 32.3 3.3 9.7 11.4 22.3 21.7 21.8 10.9-.6 19.7-14.7 20.7-25.7.9-10-11.8-16.9-14.4-26.7-4.3-16.6-1-51.6-1-51.6 22.4-35.4 61.6 3.3 63.8-51.1 10.5-8 19.3-16.7 26.2-25.9zm-208 193.3c2.5 3.6 5.1 7.1 7.8 10.5 5.1 6.4 10.8 12.4 16.8 17.9-6.5 3.7-13.8 7-21.9 9.6z"}}]})(props);
};
function GiCoffeeBeans (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M203.043 26.648c-8.893.062-17.672 1.326-26.193 3.873-8.454 2.53-16.242 6.197-23.31 10.867 7.722 19.622 27.435 44.53 50.27 65.793 23.842 22.202 51.18 41.065 68.835 49.572l.207.1.203.103c16.224 8.335 27.71 21.453 34.34 35.924 4.27 9.318 6.757 19.078 8.207 29 13-10.14 26.704-18.26 40.636-24.153-1.06-18.31-5.088-37.51-12.424-56.735-15.386-40.32-42.26-72.78-72.695-92.576-21.875-14.228-45.35-21.926-68.077-21.768zm-76.408 42.305c-5.113 7.934-9.306 16.78-12.492 26.387-10.64 32.074-9.777 72.308 5.61 112.63 9.312 24.403 22.837 45.92 38.81 63.5 15.736 4.708 31.3 11.982 45.92 21.852 11.296 7.627 21.362 16.357 30.085 25.852 2.847.692 5.695 1.282 8.54 1.746 5.42-14.138 12.455-28.204 21.124-41.85 5.353-8.424 11.116-16.354 17.21-23.757.072-5.192.03-10.223-.217-15.026-.67-12.99-2.75-24.1-6.56-32.414-3.808-8.314-8.77-14.122-18.06-18.894l.41.202c-22.878-11.025-51.447-31.172-77.74-55.655-20.9-19.46-40.288-41.258-52.64-64.574zm279.752 135.725c-13.507.11-27.796 3.247-42.252 9.248-30.84 12.802-61.806 38.75-84.71 74.797-11.717 18.442-20.137 37.67-25.372 56.523 20.55 34.478 25.597 74.082 10.793 107.342 2.417 3.444 5.08 6.657 7.986 9.613 21.644-18.674 46.588-34.143 64.316-50.028 9.69-8.68 17.027-17.275 21.104-25.46 4.077-8.187 5.48-15.697 3.36-25.923l-.124-.595-.082-.6c-8.053-58.294 6.075-92.552 26.664-113.51 16.556-16.85 33.036-25.725 44.405-37.442-8.214-2.73-16.972-4.04-26.088-3.965zm56.746 23.953c-16.63 20.67-37.133 30.217-49.383 42.686-14.076 14.328-23.793 31.575-16.715 83.104 3.408 17.52.413 34.346-6.558 48.342-7.097 14.247-17.71 25.832-29.305 36.222-17.613 15.782-37.93 29.296-54.926 42.48 19.275 5.007 41.22 2.584 63.565-6.693 30.84-12.8 61.808-38.75 84.71-74.797 22.905-36.048 33.24-75.107 31.728-108.463-1.156-25.51-9.035-47.368-23.115-62.88zm-66.098 125.79c-.06-.315-.108-.628-.174-.943l.208 1.193c-.01-.085-.02-.165-.033-.25zm-280.223-71.424c-18.383-.166-35.7 3.865-50.275 11.807.1.003.187.01.287.013 8.63.305 19.464-.713 31.938.99 12.473 1.704 27.085 7.368 38.154 19.893 11.07 12.524 18.66 30.28 23.947 55.78l.125.594.082.602c2.453 17.792 13.786 28.085 33.434 37.722 16.764 8.223 38.287 14.095 58.717 20.073 9.15-41-12.56-91.006-58.81-122.23-24.938-16.836-52.274-25.015-77.597-25.244zm-81.078 41.447c-25.27 43.53-5.004 107.405 50.106 144.612 54.225 36.61 119.786 32.276 151.34-5.7-18.436-5.254-39.336-11.22-58.53-20.634-24.75-12.14-48.34-32.54-53.1-64.222-4.533-21.7-10.59-33.28-15.61-38.96-5.04-5.707-8.97-7.095-16.05-8.06-7.08-.968-16.81-.277-28.333-.683-8.98-.316-19.516-1.605-29.823-6.352zm89.817 54.055c.022.1.044.192.065.293l-.207-1.196c.042.304.097.6.143.904z"}}]})(props);
};
function GiCoffeeCup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M144 32S94.11 69.4 96 96c1.604 22.57 44.375 25.665 48 48 1.91 11.772-16 32-16 32s48-25.373 48-48-42.8-25.978-48-48c-3.875-16.414 16-48 16-48zm80 0s-49.89 37.4-48 64c1.604 22.57 44.375 25.665 48 48 1.91 11.772-16 32-16 32s48-25.373 48-48-42.8-25.978-48-48c-3.875-16.414 16-48 16-48zm80 0s-49.89 37.4-48 64c1.604 22.57 44.375 25.665 48 48 1.91 11.772-16 32-16 32s48-25.373 48-48-42.8-25.978-48-48c-3.875-16.414 16-48 16-48zM73.293 201c1.43 63.948 18.943 179.432 74.707 238h152c55.764-58.568 73.278-174.052 74.707-238H73.293zm319.598.445c-.186 9.152-.652 19.252-1.472 30.057C419.312 235.162 441 259.142 441 288c0 31.374-25.626 57-57 57-4.387 0-8.656-.517-12.764-1.465-2.912 9.62-6.176 19.165-9.84 28.51C368.602 373.97 376.176 375 384 375c48.155 0 87-38.845 87-87 0-45.153-34.153-82.12-78.11-86.555zM42.763 457c1.507 5.193 3.854 11.2 6.955 16.37 2.637 4.394 5.69 8.207 8.428 10.58C60.882 486.32 63 487 64 487h320c1 0 3.118-.678 5.855-3.05 2.738-2.373 5.79-6.186 8.428-10.58 3.1-5.17 5.448-11.177 6.955-16.37H42.762z"}}]})(props);
};
function GiCoffeeMug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M221.97 54.406c-40.375 0-77.013 8.01-104.345 21.563C90.293 89.52 70.937 109.51 70.937 134c0 2.57.213 5.094.626 7.563l-.032 5.875c-.555 82.898 16.25 164.612 14.97 244.718-.372 23.295 14.294 43.908 38 57.594s56.797 21.5 97.125 21.5c40.357 0 71.338-8.024 92.906-22.03 21.57-14.008 33.408-34.712 33.408-56.908 0-3.17.054-6.345.125-9.53 42.143-1.114 75.316-23.45 97.125-52.563 22.235-29.684 34.027-66.306 34.687-99.626.66-33.32-9.983-66.91-39.156-80.594-14.588-6.842-30.593-6.573-49.25-1.125-6.16 1.798-12.548 4.25-19.126 7.375.07-2.93.125-5.86.125-8.75v-6.72c.33-2.214.5-4.484.5-6.78 0-24.49-19.357-44.478-46.69-58.03-27.33-13.554-63.937-21.564-104.31-21.564zm0 18.688c37.87 0 72.087 7.752 96.03 19.625 23.943 11.87 36.28 26.974 36.28 41.28 0 14.306-12.337 29.44-36.28 41.313-23.943 11.87-58.16 19.593-96.03 19.593-37.87 0-72.09-7.722-96.032-19.594-23.943-11.87-36.313-27.006-36.313-41.312 0-14.306 12.37-29.41 36.313-41.28 23.942-11.874 58.16-19.626 96.03-19.626zm-69.657 39.03c-23.19 6.707-37.907 16.684-37.907 27.814 0 20.193 48.398 36.562 108.094 36.562 59.696 0 108.063-16.37 108.063-36.563 0-10.264-12.52-19.546-32.657-26.187 5.266 4.105 8.22 8.692 8.22 13.563 0 17.186-36.765 31.124-82.126 31.124-45.36 0-82.125-13.938-82.125-31.125 0-5.518 3.788-10.693 10.438-15.187zm263.312 68.282c4.34-.023 7.825.793 10.53 2.063 10.826 5.076 18.406 22.81 17.908 48.124-.5 25.313-9.714 55.51-26.844 78.375-16.296 21.75-38.106 36.352-67.126 37.905 4.352-49.843 14.23-100.49 19.28-147.844 20.724-13.842 35.894-18.567 46.25-18.624z"}}]})(props);
};
function GiCoffeePot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M49.66 45.63L108.1 148.3h217.5V78.25zm27.9 120.67v19.6H334.6c48 0 82.2 29.3 103.2 64.3 19 31.5 28.2 67.7 29.9 95.6h20.1c-2.1-32.8-15.2-76.2-37.2-111.8-24.1-38.9-57.8-67.7-98-67.7zm13.29 37.6c-3.15 4.7-9 15.1-14.87 28.6-7.34 16.9-15.6 38.8-23.3 62.9C37.29 343.7 24.2 400.9 24.2 443.3c0 6 3.27 13.1 8.54 18.5 5.27 5.3 12.2 8.6 17.99 8.6H370.6c5.6 0 12.6-3.3 17.9-8.6 5.3-5.4 8.6-12.5 8.6-18.5 0-42.4-13.1-99.6-28.6-147.9-7.7-24.1-16-46-23.4-62.9-5.9-13.5-11.8-23.9-15-28.6zM65.01 337.1H355.6c7.5 29.1 12.8 59.7 12.8 84.3 0 13.8-14.6 28.3-29.2 28.3H81.04c-14.29 0-28.73-14.5-28.73-28.3 0-24.6 5.24-55.2 12.7-84.3z"}}]})(props);
};
function GiCoffin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M312.094 21.97l59.094 119.686h52.093L362.595 22l-50.5-.03zM173 22.687l-63.594 127.218 65.844 345.75 114.688.094L354.467 150 291.626 22.75 173 22.687zm16.063 76.28h88.78v18.688h-88.78V98.97zm0 36.22h88.78v18.687h-88.78v-18.688zm182.5 25.156L309 495.438l47.25.03 68.313-335.124h-53z"}}]})(props);
};
function GiCogLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.922 20.86c-38.28 0-74.42 9.152-106.36 25.376l11.967 20.73c29.084-15.037 62.08-23.538 97.044-23.538 35.998 0 69.908 9.015 99.613 24.892l10.727-18.58c-33.535-18.404-72.04-28.88-112.992-28.88zM131.246 55.356C66.09 95.27 21.88 166.017 18.902 247.297h25.97c2.682-71.938 41.318-134.77 98.45-171.022l-12.076-20.918zm251.682 4.028l-10.662 18.467c55.79 36.48 93.37 98.538 96.01 169.447h20.67c-2.88-78.62-44.34-147.377-106.018-187.915zm-133.62 2.88C184.307 64.66 127.58 99.067 94.4 150.218l46.106 26.618c-3.475 5.153-6.612 10.552-9.393 16.158L85 166.373c-13.8 26.61-21.603 56.844-21.603 88.926 0 32.418 7.97 62.948 22.042 89.76l45.917-26.51c2.802 5.594 5.962 10.98 9.457 16.12L94.92 361.166c33.25 50.713 89.725 84.778 154.393 87.162v-52.113c2.685.152 5.39.238 8.112.238 3.56 0 7.085-.133 10.578-.392v52.07c63.662-3.702 118.987-38.127 151.375-88.706l-44.652-25.78c3.45-5.17 6.565-10.58 9.318-16.2l44.64 25.77c13.475-26.36 21.074-56.24 21.074-87.915 0-31.34-7.447-60.917-20.656-87.073l-44.82 25.875c-2.73-5.632-5.83-11.05-9.26-16.233l44.857-25.897c-32.316-51.016-87.88-85.79-151.877-89.512v52.544c-3.492-.26-7.018-.395-10.576-.395-2.724 0-5.428.085-8.113.238V62.264zm-37.177 69.422l20.276 35.145c7.914-2.2 16.253-3.383 24.867-3.383 8.623 0 16.97 1.184 24.89 3.388l20.278-35.15 40.14 23.078-20.355 35.283c11.824 11.63 20.54 26.41 24.785 42.985h40.722v46.156h-40.74c-4.253 16.56-12.974 31.322-24.795 42.94l20.383 35.33-40.14 23.077-20.315-35.213c-7.91 2.198-16.242 3.38-24.852 3.38-8.6 0-16.927-1.18-24.83-3.374l-20.312 35.207-40.136-23.078 20.37-35.312c-11.828-11.62-20.554-26.39-24.81-42.957H126.84v-46.155h40.697c4.246-16.583 12.967-31.37 24.8-43.006l-20.343-35.264 40.137-23.078zm-193.185 134.3c3.365 80.998 47.677 151.42 112.797 191.085l12.725-22.04c-57.045-35.686-95.94-97.754-99.492-169.046h-26.03zm449.23 0c-3.5 70.267-41.33 131.58-97.036 167.5l11.3 19.572C444.08 412.763 485.646 344.327 488.9 265.987h-20.726zm-113.18 176.915c-29.42 15.485-62.903 24.264-98.42 24.264-34.484 0-67.055-8.27-95.846-22.922l-12.646 21.9c31.814 16.06 67.766 25.116 105.838 25.116 40.746 0 79.07-10.366 112.484-28.596l-11.41-19.762z"}}]})(props);
};
function GiCog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M234.875 18.78c-26.087 2.367-51.557 8.56-74.875 18.782 15.37 32.763 14.222 66.706-6.72 82.407-20.835 15.617-54.055 7.965-81.124-15.69-16.246 19.452-29.336 41.36-38.875 65.626 33.83 12.333 56.635 37.665 52.94 63.5-3.698 25.835-32.697 43.74-68.626 46.094 2.338 25.796 8.91 50.778 18.937 73.875 17.81-8.182 35.793-11.09 51.095-8.938 13.032 1.87 23.927 7.015 31.156 16.657 15.817 21.097 7.603 54.713-16.78 81.97 19.516 16.35 42.216 29.444 66.594 39.03 12.33-33.828 37.655-56.634 63.5-52.938 25.844 3.697 43.74 32.696 46.094 68.625 26.087-2.365 51.557-8.555 74.875-18.78-15.766-32.997-14.26-67.588 6.843-83.406 9.64-7.23 22.568-9.022 35.594-7.125 15.112 2.16 31.19 10.25 45.563 22.78 16.088-19.345 29.4-41.51 38.875-65.594-33.83-12.332-56.635-37.653-52.938-63.5 3.697-25.846 32.665-43.772 68.594-46.125-2.36-25.944-8.774-50.663-18.906-73.874-32.612 15.117-66.66 13.145-82.282-7.687-15.696-20.944-7.252-53.86 16.688-81-19.52-16.352-42.248-29.447-66.625-39.032-12.332 33.828-37.657 56.66-63.5 52.968-25.846-3.693-43.744-32.696-46.095-68.625zm21.656 95.126c79.626 0 144.376 64.752 144.376 144.375 0 79.626-64.75 144.376-144.375 144.376-79.624 0-144.374-64.75-144.374-144.375 0-79.624 64.75-144.374 144.375-144.374zm0 18.688c-69.524 0-125.686 56.162-125.686 125.687 0 69.526 56.162 125.69 125.687 125.69 69.526 0 125.69-56.164 125.69-125.69 0-69.522-56.164-125.686-125.69-125.686zm.033 15.125c61.094 0 110.625 49.53 110.625 110.624 0 61.095-49.53 110.625-110.625 110.625s-110.625-49.53-110.625-110.626c0-61.095 49.53-110.625 110.625-110.625z"}}]})(props);
};
function GiCogsplosion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M161.186 30.88c-7.18.168-14.257 2.57-19.573 7.888-4.494 4.494-6.902 10.25-7.642 16.26-6.008.74-11.76 3.148-16.255 7.642-4.59 4.59-6.997 10.49-7.682 16.637-6.15.683-12.055 3.098-16.646 7.69-7.088 7.087-9 17.303-7.338 26.724 1.66 9.42 6.648 18.663 14.38 26.395 5.303 5.304 11.318 9.313 17.613 11.846-.032 3.08-.987 5.26-2.463 6.735-1.986 1.987-5.24 3.035-10.264 2.15-5.022-.888-11.193-3.96-16.425-9.193l-13.214 13.215c7.732 7.732 16.974 12.72 26.394 14.38 9.42 1.663 19.637-.25 26.725-7.337 4.686-4.686 7.1-10.742 7.723-17.03 6.288-.623 12.344-3.035 17.03-7.722 4.592-4.59 7-10.496 7.684-16.646 6.15-.684 12.053-3.092 16.643-7.682 7.088-7.088 9-17.304 7.338-26.725-1.663-9.42-6.647-18.662-14.38-26.394-5.523-5.523-11.82-9.636-18.4-12.146.23-2.475 1.112-4.298 2.395-5.582 1.987-1.987 5.242-3.034 10.264-2.148 5.022.886 11.193 3.96 16.426 9.19l13.214-13.213c-7.73-7.73-16.972-12.718-26.392-14.38-2.355-.416-4.76-.607-7.154-.55zm182.798 20.308l-18.052 4.837 3.36 12.538c-3.326 2.186-6.22 5.04-8.452 8.42l-12.518-3.352-4.836 18.054 12.614 3.38c.28 3.99 1.37 7.847 3.152 11.35l-9.32 9.318 13.214 13.217 9.38-9.382c1.68.825 3.454 1.504 5.322 2.004 1.964.527 3.94.837 5.9.948l3.45 12.875 18.052-4.838-3.477-12.98c3.193-2.12 5.982-4.856 8.164-8.09l12.922 3.464 4.835-18.052-12.828-3.437c-.236-3.945-1.27-7.766-2.978-11.25l9.36-9.362-13.213-13.215-9.22 9.22c-1.793-.915-3.702-1.66-5.717-2.2-1.918-.514-3.846-.82-5.76-.938l-3.356-12.528zm-206.236 22.23c1.042-.005 2.188.095 3.443.316 5.024.887 11.197 3.96 16.43 9.192 5.23 5.232 8.302 11.405 9.19 16.428.885 5.022-.163 8.277-2.15 10.263-1.986 1.987-5.24 3.035-10.262 2.15-5.022-.888-11.195-3.96-16.427-9.193-5.23-5.232-8.304-11.405-9.19-16.428-.887-5.022.16-8.275 2.148-10.26 1.49-1.492 3.693-2.454 6.82-2.468zm207.258 8.906c1.065-.035 2.16.087 3.258.38 5.854 1.57 9.188 7.344 7.62 13.198-1.57 5.855-7.344 9.188-13.198 7.62-5.855-1.57-9.188-7.343-7.62-13.198 1.177-4.39 4.718-7.364 8.885-7.914.348-.046.7-.074 1.056-.086zm-232.252 15.45c2.522 6.44 6.586 12.6 12.002 18.015 5.414 5.413 11.57 9.474 18.008 11.997-.142 2.77-1.05 4.777-2.43 6.156-1.986 1.987-5.24 3.035-10.264 2.15-5.022-.888-11.193-3.96-16.425-9.193-5.233-5.232-8.306-11.403-9.192-16.425-.886-5.023.162-8.278 2.15-10.264 1.38-1.38 3.38-2.296 6.15-2.437zm183.232 48.744L125.53 302.695l.966-103.943-66.363 66.922-38.184-101.03v329.45h258.923L199.37 473.54l161.5-30.372.038.14 1.848-.494 11.617-2.185c2.095 2.893 4.688 5.36 7.62 7.308l-3.475 12.976 18.05 4.838 3.452-12.875c1.96-.11 3.935-.42 5.9-.947 1.867-.5 3.643-1.18 5.32-2.004l9.38 9.38 13.214-13.216-9.32-9.32c1.78-3.5 2.872-7.36 3.152-11.348l12.615-3.38-4.837-18.054-12.517 3.354c-2.233-3.383-5.126-6.236-8.45-8.422l3.358-12.537-18.05-4.838-3.358 12.527c-1.915.118-3.842.424-5.76.938-2.014.54-3.923 1.285-5.715 2.2l-9.22-9.22-13.214 13.215 9.36 9.36c-1.708 3.487-2.74 7.307-2.978 11.253l-12.828 3.438 2.104 7.85-99.274.8 73.254-70.363-36.738 2.8 50.22-60.863 2.977-2.308c4.462 4.433 9.56 8.315 15.217 11.515l-5.547 13.596 17.305 7.06 5.56-13.628c6.274 1.64 12.624 2.412 18.903 2.344l2.007 14.626 18.515-2.54-2.017-14.72c6.12-1.693 11.997-4.177 17.474-7.39l9.134 11.773 14.766-11.458-9.13-11.77c4.4-4.437 8.25-9.506 11.436-15.12l13.823 5.64 7.06-17.305-13.83-5.643c1.637-6.237 2.396-12.55 2.34-18.795l14.827-2.032-2.537-18.516-14.873 2.04c-1.675-6.102-4.132-11.97-7.317-17.438l11.85-9.193-11.455-14.765-11.795 9.15c-4.424-4.415-9.48-8.283-15.086-11.484l5.63-13.794-17.306-7.06-5.613 13.76c-6.25-1.663-12.58-2.453-18.842-2.415l-2.013-14.686-18.516 2.537 2.012 14.675c-6.143 1.668-12.045 4.144-17.547 7.342l-9.058-11.674-14.767 11.455 9.01 11.615c-4.445 4.447-8.34 9.534-11.56 15.174l-13.577-5.54-7.06 17.304 13.54 5.526c-1.667 6.29-2.44 12.66-2.385 18.96L312.7 254.28l2.423 17.68-108.488 38.93 89.35-164.372zm102.73 51.714c6.96-.078 14.056 1.208 20.93 4.012 19.95 8.14 32.303 26.768 33.293 46.88l-23.085-2.913c-1.867-9.957-8.572-18.837-18.568-22.915-3.904-1.593-7.962-2.313-11.953-2.252-11.532.176-22.486 6.88-27.55 17.836l-23.5-2.968c.454-1.444.956-2.884 1.538-4.312 8.412-20.617 28.02-33.13 48.895-33.368zm.772 41.44c1.567-.01 3.174.29 4.74.928 6.266 2.556 9.162 9.445 6.606 15.71-2.556 6.266-9.448 9.164-15.713 6.608-6.264-2.556-9.16-9.448-6.604-15.713 1.917-4.7 6.27-7.503 10.972-7.533zm-53.607 14.77l23.636 2.986c1.898 9.908 8.59 18.733 18.545 22.795 15.15 6.18 32.623-.79 39.473-15.47l23.035 2.91c-.46 1.474-.97 2.945-1.566 4.403-11.216 27.49-42.334 40.572-69.822 29.356-19.985-8.154-32.344-26.83-33.3-46.98zm52.88 158.238c.355.01.707.04 1.054.086 4.168.55 7.71 3.523 8.887 7.914 1.57 5.855-1.763 11.63-7.618 13.2-5.855 1.568-11.628-1.767-13.197-7.622-1.57-5.855 1.764-11.63 7.62-13.197 1.097-.294 2.19-.415 3.255-.38z"}}]})(props);
};
function GiCoilingCurl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M216.426 21.45c-9.01-.09-17.29 5.892-19.73 15-2.893 10.793 3.513 21.887 14.306 24.78 8.14 2.18 16.45-.933 21.283-7.224 9.466 9.2 13.93 22.49 9.85 36.14-8.996 30.09-44.5 48.927-79.537 40.516l-.088.365c-12.23-10.777-27.803-17.094-43.787-17.793-3.432-.15-6.88-.038-10.32.34-2.928-.322-5.96-.122-8.977.686-13.015 3.487-20.742 16.864-17.254 29.88 3.488 13.017 16.868 20.742 29.883 17.255 9.397-2.518 16.033-10.195 17.685-19.166 13.99 7.358 24.745 19.618 28.295 34.9 8.933 38.465-17.574 75.64-61.683 84.895-1.333-.014-2.662-.01-3.983.04-21.65.79-41.642 9.912-56.24 24.29-5.626 3.647-9.975 9.307-11.847 16.293-4.015 14.983 4.877 30.386 19.862 34.4 14.984 4.016 30.385-4.876 34.4-19.86 2.118-7.905.642-15.927-3.426-22.333 9.834-2.506 20.602-2.697 31.536.14 46.16 11.974 73.234 57.08 61.598 101.388-18.687 12.508-32.605 31.33-38.484 52.96-1.51 3.035-2.554 6.365-3.01 9.915-2.193 17.075 9.872 32.696 26.95 34.888 17.076 2.193 32.695-9.874 34.888-26.95 2.056-16.015-8.43-30.754-23.832-34.33 14.293-13.754 35.227-21.91 58.406-19.063 44.915 5.52 78.457 38.818 84.78 79.103h35.802c-6.39-56.884-50.945-104.217-110.145-111.818-3.356-.43-6.682-.685-9.97-.77-7.993-.206-15.766.587-23.208 2.246 3.77-45.372-20.65-88.8-61.114-109.306 36.756-20.608 56.423-64.348 45.018-106.914-.543-2.027-1.166-4.004-1.863-5.932 30.477 1.577 59.432-14.282 74.625-40.508 25.812 16.777 59.85 15.988 84.87-2.4 4.75 25.586 22.105 47.382 46.03 57.78-19.54 25.358-22.862 59.27-9.975 87.515-17.43 5.26-32.04 17.116-40.92 32.645-13.003-14.153-30.88-22.4-49.45-23.607 6.52-10.755 9.737-23.15 9.42-35.565 5.582.053 11.052-.886 16.193-2.685 1.328 6.412 4.61 12.503 9.767 17.242 10.66 9.797 26.83 9.418 36.29-.394l-13.456-12.97c-1.926 1.997-6.73 2.783-10.187-.396-5.358-4.924-5.956-12.072-2.14-17.127 4.708-5.342 8.293-11.804 10.25-19.115 5.213-19.46-5.823-38.71-23.24-44.816-1.438-1.07-3.088-1.9-4.923-2.393-7.783-2.086-15.784 2.532-17.87 10.316-2.085 7.783 2.534 15.783 10.317 17.87 4.952 1.325 9.985-.068 13.533-3.257 3.923 4.375 5.925 10.747 4.13 17.444-1 3.738-2.672 7.1-4.84 10.002-.81.853-1.552 1.743-2.24 2.66-6.28 6.58-15.458 9.978-24.91 8.684-2.132-6.366-5.275-12.503-9.5-18.16-10.563-14.138-26.767-20.836-42.497-20.09-7.353.35-14.6 2.332-21.12 5.935-2.592.527-5.112 1.598-7.37 3.286-8.178 6.11-9.856 17.693-3.746 25.872 6.11 8.178 17.693 9.855 25.87 3.746 6.396-4.778 8.793-12.9 6.622-20.127 9.89-.684 20.367 3.33 27.267 12.565 15.36 20.56 11.184 49.395-9.375 64.754l.18.24c-4.645 1.542-9.202 3.567-13.598 6.115-18.29 10.602-27.93 29.54-28.066 48.394-2.04 5.2-1.793 11.24 1.217 16.454 5.25 9.09 16.873 12.206 25.964 6.957 9.09-5.247 12.203-16.872 6.955-25.962-2.975-5.15-7.996-8.376-13.443-9.255 2.754-8.148 8.33-15.54 16.745-20.418 25.512-14.787 57.77-6.643 73.468 18.26-.965 4.636-1.476 9.433-1.476 14.347 0 28.977 22.382 51.46 48.54 53.666 2.19.863 4.567 1.353 7.063 1.353 10.653 0 19.29-8.634 19.29-19.288 0-10.653-8.637-19.29-19.29-19.29-9.02 0-16.57 6.2-18.68 14.564-10.48-5.772-18.234-17.08-18.234-31.004 0-25.208 17.8-46.064 41.578-50.764 2.207 2.845 4.616 5.58 7.232 8.188 26.068 25.977 67.117 24.58 90.885.894l-.288-.29c6.49-8.575 5.83-20.81-1.995-28.608-8.564-8.534-22.462-8.52-31.043.03-7.515 7.49-8.457 19.043-2.822 27.53-14.143 2.676-29.844-1.133-41.547-12.795-4.037-4.023-7.447-8.428-10.24-13.093v-1.54c-.29 0-.576.017-.865.02-14.124-25.077-10.68-57.194 10.375-78.883.815.122 1.634.234 2.46.33 31.64 3.67 59.1-17.51 65.397-45.495.53-1.462.908-3.003 1.098-4.613 1.335-11.306-6.782-21.54-18.13-22.857-11.35-1.317-21.633 6.782-22.968 18.088-1.144 9.692 4.66 18.594 13.492 21.767-8.378 9.998-21.72 16.287-36.736 14.545h-.002c-32.375-3.758-55.473-32.148-52.853-64.215 11.406-19.467 10.01-43.72-2.447-61.232-.93-3.068-2.6-5.958-5.025-8.383-7.864-7.864-20.616-7.865-28.48 0-7.865 7.865-7.864 20.617 0 28.48 6.498 6.5 16.328 7.612 23.986 3.37 2.926 12.12-.03 25.965-10.252 36.187-19.897 19.897-50.78 21.736-72.71 5.522.218-.73.428-1.46.626-2.2 8.265-30.846-8.12-61.135-34.438-72.545-2.472-2.58-5.642-4.555-9.345-5.547-1.687-.452-3.38-.677-5.05-.694z"}}]})(props);
};
function GiCoinsPile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M431.1 29.14c-9.5 17.34-25.4 23.34-49.6 14.15 17.9 10.24 28.5 24.99 24.6 48.64 12.4-21.29 29.2-24.49 49.4-14.11-18.3-11.28-33.4-24.22-24.4-48.68zM206 51c-3.4 27.17-10.8 51.2-46.9 52.1 27.4 3.1 44.3 19.1 46.9 52.2 2.3-26.1 14.6-45.7 46.8-52.2-34.1-4.65-48-23.18-46.8-52.1zM85.78 106.8c-5.5 22-19 32.5-43.2 27.8 20.4 12.6 24.5 30.3 20.4 50.5 9-24.2 24-32.2 43.32-27.9-24.32-9.4-24.12-29.2-20.52-50.4zm310.32.8c3.6 21.2 3.8 41-20.5 50.4 19.3-4.3 34.3 3.7 43.3 27.9-4.1-20.2 0-37.9 20.4-50.5-24.2 4.7-37.7-5.8-43.2-27.8zm-139.4 52c-9.6 0-18.1 2.4-23.7 5.7-5.5 3.4-7.3 6.7-7.3 9.3 0 2.6 1.8 5.9 7.3 9.3 5.6 3.3 14.1 5.7 23.7 5.7 3.9 0 7.7-.4 11.1-1.1 2.7-3.1 5.9-5.8 9.5-7.9 3.1-1.9 6.6-3.5 10.2-4.7.1-.5.2-.9.2-1.3 0-2.6-1.8-5.9-7.3-9.3-5.6-3.3-14.1-5.7-23.7-5.7zm-45.1 28.1c-6.2.9-9.1 3.1-10.2 5.4-1 2.4-.8 6.2 2.8 11.5 3.8 5.3 10.5 11 19.3 15 8.7 3.9 17.5 5.2 23.9 4.5 6.4-.7 9.4-3.1 10.5-5.4 1.1-2.4.8-6.1-2.6-11.1-12-.2-22.8-3.1-31.5-8.3-4.9-3-9.3-6.9-12.2-11.6zm98.6 2.6c-9.6 0-18.1 2.4-23.7 5.7-5.5 3.4-7.3 6.7-7.3 9.3 0 2.6 1.8 5.9 7.3 9.3 5.6 3.3 14.1 5.7 23.7 5.7s18.1-2.4 23.7-5.7c5.5-3.4 7.3-6.7 7.3-9.3 0-2.6-1.8-5.9-7.3-9.3-5.6-3.3-14.1-5.7-23.7-5.7zm67.6 8.4c-5.2.1-10.9 1-16.9 3.2-.6.2-1.3.5-1.9.7.1.9.2 1.8.2 2.7 0 10.7-7.1 19.3-16.1 24.7-.6.3-1.1.7-1.7 1 1.4.7 3.2 1.3 5.5 1.8 6.4 1.2 15.2.6 24.2-2.7 7.7-2.8 14.1-7 18.4-11.3-.1-4.1.7-8.1 2.7-11.9.6-1.1 1.2-2.2 2-3.1-1.5-1.9-4.2-3.6-9.1-4.6-1.6-.3-3.3-.5-5.2-.5zM157 201.1c-9.6 0-18.1 2.4-23.7 5.7-.3.2-.5.3-.7.5 1.5 1.8 2.8 3.8 3.8 6.1 1.9 4.7 2.2 9.5 1.4 14.2 5.2 2.1 11.9 3.5 19.2 3.5 9.6 0 18.1-2.4 23.7-5.7 5.5-3.4 7.3-6.7 7.3-9.3 0-2.6-1.8-5.9-7.3-9.3-5.6-3.3-14.1-5.7-23.7-5.7zm261.9 9.4c-6.4.3-9.6 2.5-10.8 4.8-1.2 2.2-1.2 6.1 2.2 11.5 3.4 5.6 9.8 11.7 18.3 16.2 8.5 4.4 17.1 6.2 23.6 5.9 6.4-.4 9.6-2.5 10.8-4.8 1.2-2.3 1.2-6.1-2.2-11.6-3.4-5.5-9.8-11.6-18.3-16.1-8-4.2-16-6.1-22.4-5.9zm-313.3 3.9c-5.89-.1-13.03 1.2-20.21 4.2-8.84 3.7-15.79 9.2-19.59 14.4-3.75 5.3-4.17 9-3.16 11.4 1.01 2.4 3.99 4.8 10.37 5.8 6.36.9 15.18-.2 24.02-4 8.87-3.7 15.77-9.2 19.57-14.4 3.8-5.3 4.2-9 3.2-11.4-1-2.4-4-4.7-10.4-5.7-1.2-.2-2.5-.3-3.8-.3zm168 13.1c-3.1 5.8-8.3 9.8-14.4 12.1 6.4 3.9 11.5 9.7 13.1 17.2 2.2 10.5-3 20.4-10.7 27.5-7.7 7.2-18.2 12.4-30.5 14.9-12.2 2.6-24 2.1-33.9-1.3-9.9-3.4-18.6-10.4-20.8-20.8-2.2-10.5 2.9-20.4 10.6-27.5 7.1-6.6 16.7-11.6 27.7-14.3-4.4-2-8.4-4.4-12-7.1-2.9 5.2-7.5 9.4-12.8 12.6-9 5.4-20.4 8.3-32.9 8.3-9.9 0-19.1-1.8-27-5.3-6.1 7.9-15.2 14.5-26 19-10.42 4.4-20.96 6.3-30.55 5.5-3.84 7.5-11.37 12.4-19.64 15-10.03 3.1-21.82 3.2-33.96.2-.29-.1-.57-.1-.85-.2v46.2c2.84-1.5 5.9-2.6 9.05-3.3 3.41-.8 6.99-1.2 10.68-1.3v-.2c-2.86-10.3 1.71-20.5 8.91-28.1 7.2-7.6 17.45-13.5 29.5-16.8 6.78-1.9 13.46-2.8 19.81-2.7 4.9 0 9.7.7 14.1 1.9 10.1 2.8 19.3 9.2 22.1 19.5 2.9 10.3-1.7 20.5-8.9 28.1-7.2 7.6-17.4 13.4-29.48 16.8-1.87.5-3.74.9-5.6 1.3.53.6 1.05 1.1 1.55 1.7 6.91 7.9 11.03 18.3 7.74 28.5C95.12 385 85.72 391 75.5 393.4c-10.23 2.4-21.97 1.6-33.86-2.2-8.74-2.8-16.44-6.9-22.64-12.1V493h77.24c-.36-1-.67-2-.9-3.1-.77-3.6-.62-7.2.19-10.6-2.17-.7-4.34-1.5-6.51-2.4-11.56-4.7-21-11.8-27.26-20.2-6.27-8.4-9.56-19.1-5.48-29 4.07-9.8 13.91-15.1 24.29-16.7 10.38-1.5 22.03.1 33.53 4.9 11.6 4.7 21 11.8 27.3 20.2 2.3 3.1 4.2 6.4 5.5 9.9 8.4-.6 16.4.4 23.5 2.8 9.9 3.4 18.6 10.4 20.8 20.8 1.8 8.6-1.3 16.8-6.7 23.4h256.1c-6.3-7.3-10-16.6-7.4-26.2 2.8-10.3 11.9-16.7 22-19.6 10.1-2.9 21.9-2.7 33.9.6 1.7.5 3.3 1 4.9 1.6V348.2c-11 1.8-21.6 1.1-30.6-2-9.9-3.4-18.6-10.4-20.8-20.8-2.2-10.5 2.9-20.4 10.6-27.5 7.7-7.2 18.3-12.4 30.5-14.9 3.5-.7 6.9-1.2 10.3-1.4v-1.1c-1.6.1-3.1.2-4.7.2-12.5 0-23.9-2.9-32.9-8.3-2.6-1.6-5.1-3.4-7.3-5.5-9.3-.2-19.2-2.9-28.9-8-10.7-5.6-19.1-13.1-24.6-21.7-5.3 4-11.5 7.3-18.3 9.8-11.8 4.3-23.5 5.5-33.8 3.5-8.6-1.7-16.7-5.9-21.3-13.1-3.8.6-7.9.9-12 .9-12.5 0-23.9-2.9-32.9-8.3-1.3-.8-2.5-1.6-3.7-2.5zm215.7 5.2c-3 0-5.9.2-8.7.7 1.7 6.3 1.5 13-1.7 19.1-1.6 3-3.8 5.6-6.3 7.6 4.8 1.6 10.5 2.6 16.7 2.6 1.6 0 3.2-.1 4.7-.2v-29.6c-1.5-.1-3.1-.2-4.7-.2zM18 235.2v28.9c1.96.7 4.03 1.4 6.18 1.9 9.31 2.3 18.17 2 24.31.1 3.23-1 5.47-2.2 6.97-3.6-4.07-2.7-7.41-6.3-9.41-11.1-1.33-3.1-1.89-6.4-1.86-9.6-3.71-2-8.05-3.7-12.81-4.9-4.65-1.1-9.2-1.7-13.35-1.7zm215 15.9c-3.7-.1-7.7.3-11.8 1.2-9.4 2-17.2 6.1-22 10.4-4.7 4.5-5.7 8.1-5.2 10.7.5 2.5 3 5.4 9.1 7.5 6.1 2.1 14.9 2.7 24.3.7s17.2-6.1 22-10.4c4.7-4.5 5.8-8.1 5.3-10.6-.6-2.6-3-5.4-9.1-7.6-3.5-1.2-7.8-1.9-12.6-1.9zm-137.81 44c-4.15.1-8.67.7-13.29 2-9.24 2.6-16.84 7.2-21.27 11.8-4.4 4.8-5.3 8.4-4.6 11 .69 2.5 3.35 5.1 9.57 7 6.19 1.7 15.08 1.7 24.31-.9 9.24-2.5 16.89-7.1 21.29-11.8 4.4-4.7 5.3-8.4 4.6-10.9-.7-2.5-3.4-5.2-9.6-7-2.7-.7-5.9-1.2-9.48-1.2zm247.71 2.1c6.5.1 12.6 1.1 18.2 3 10 3.5 18.7 10.4 20.9 20.9 1 4.9.4 9.8-1.4 14.3 9.9 3.4 18.3 8.6 24.6 15 7.2 7.6 11.8 17.8 9 28.1-2.8 10.3-11.9 16.8-22 19.6-10.1 2.9-21.8 2.7-33.9-.6-12.1-3.2-22.3-9-29.6-16.6-4.4-4.6-7.9-10.1-9.2-16.1-4.4-.4-8.7-1.3-12.6-2.7-9.9-3.4-18.6-10.3-20.8-20.8-2.2-10.5 3-20.3 10.7-27.5 7.6-7.1 18.2-12.3 30.4-14.9 5.4-1.1 10.6-1.7 15.7-1.7zm151.1 2.4c-2.2.2-4.4.5-6.6 1-9.4 2-17.2 6.1-22 10.4-4.7 4.5-5.7 8.1-5.2 10.7.5 2.5 3 5.4 9 7.5 6.2 2.1 15 2.7 24.4.7.1 0 .3-.1.4-.1zm-151.2 15.7c-3.8-.1-7.8.3-11.9 1.2-9.3 2-17.2 6.1-22 10.5-4.6 4.4-5.7 8-5.2 10.6.5 2.5 3 5.4 9.1 7.6 6.1 2.1 14.9 2.7 24.3.7s17.3-6.1 22-10.5c4.7-4.5 5.8-8.1 5.3-10.6-.6-2.5-3-5.4-9.1-7.6-3.4-1.2-7.7-1.9-12.5-1.9zm-161 5.2c5.1 0 10.4.6 15.7 1.7 12.2 2.6 22.7 7.9 30.4 15.1 7.6 7.2 12.8 17.1 10.5 27.5-2.3 10.5-11 17.4-21 20.8-9.9 3.3-21.7 3.8-33.9 1.1-12.2-2.6-22.7-7.9-30.4-15-7.6-7.2-12.8-17.1-10.5-27.6 2.3-10.5 11-17.4 21-20.7 5.6-1.9 11.7-2.9 18.2-2.9zm-.3 18.1c-4.6 0-8.8.7-12.2 1.8-6.1 2.1-8.6 5-9.1 7.5-.6 2.6.5 6.2 5.2 10.6 4.7 4.5 12.5 8.6 21.9 10.6 9.4 2.1 18.2 1.5 24.4-.5 6.1-2.2 8.5-5 9.1-7.6.5-2.5-.5-6.1-5.2-10.6-4.8-4.4-12.6-8.6-21.9-10.6-3.5-.7-7-1.1-10.2-1.2zm-141.35 4.3c-2.96 0-5.69.3-8.07.8-6.28 1.5-9.01 4.1-9.81 6.6-.79 2.5-.1 6.1 4.09 11.1 4.32 4.8 11.67 9.7 20.81 12.7 9.13 2.9 17.96 3.3 24.3 1.8 6.28-1.5 9.01-4.1 9.81-6.6.8-2.4.1-6.1-4.09-11.1-4.32-4.8-11.67-9.7-20.81-12.7-5.71-1.8-11.29-2.6-16.23-2.6zm328.75 7.8c-7.4 6-17 10.5-28 12.8-.9.2-1.8.4-2.6.5.7 1.4 1.8 2.9 3.3 4.5 4.6 4.6 12.1 9.2 21.4 11.7 9.3 2.5 18.1 2.4 24.4.7 6.2-1.9 8.8-4.6 9.5-7.1.6-2.5-.2-6.2-4.7-10.9-4.5-4.6-12.1-9.2-21.3-11.7-.7-.2-1.3-.4-2-.5zM295 382.6h1.9c6.5 0 12.7 1 18.3 3 9.9 3.4 18.6 10.3 20.8 20.8 2.2 10.5-3 20.4-10.7 27.5-7.6 7.1-18.2 12.3-30.4 14.9-12.3 2.6-24 2.1-33.9-1.3-10-3.5-18.7-10.4-20.9-20.9-2.2-10.4 3-20.3 10.7-27.5 7.7-7.1 18.2-12.3 30.4-14.9 4.7-1 9.3-1.5 13.8-1.6zm.2 18.1c-3.2 0-6.7.4-10.2 1.1-9.4 2-17.3 6.1-22 10.5-4.7 4.5-5.8 8.1-5.3 10.6.6 2.6 3 5.4 9.1 7.6 6.1 2.1 15 2.7 24.4.7 9.3-2 17.2-6.1 22-10.5 4.6-4.4 5.7-8 5.2-10.6-.5-2.5-3-5.4-9.1-7.6-3.3-1.1-7.5-1.8-12.1-1.8zM88.44 428.5c-1.87 0-3.62.1-5.23.3-6.38 1-9.3 3.4-10.29 5.8-.99 2.4-.58 6.1 3.21 11.4 3.92 5.2 10.87 10.6 19.74 14.3 8.93 3.6 17.63 4.6 24.13 3.7 6.3-1 9.3-3.4 10.3-5.8.9-2.4.5-6.1-3.3-11.4-3.9-5.2-10.8-10.6-19.7-14.3-6.7-2.7-13.26-3.9-18.86-4zm382.66 34.8c-4.2-.1-8 .3-11.1 1.2-6.2 1.8-8.8 4.5-9.4 7-.7 2.5.2 6.2 4.6 10.9 4.4 4.6 11.9 9.1 21 11.6H494v-25.3c-2.9-1.4-6.1-2.6-9.6-3.5-4.6-1.3-9.2-1.8-13.3-1.9zm-319.1.6c-1.5 0-3.1 0-4.7.2-.1.3-.3.7-.4 1-4.1 9.9-13.9 15.1-24.3 16.7-3 .4-6.1.6-9.3.5-.5 1.5-.6 2.8-.3 3.9.5 2.5 3 5.3 9.1 7.5l.9.3h25.2c8.6-2 15.7-6 20.1-10 4.7-4.5 5.9-8.1 5.3-10.6-.5-2.6-3-5.4-9.1-7.6-3.4-1.2-7.7-1.9-12.5-1.9z"}}]})(props);
};
function GiCoins (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M136 25c-16.457 0-31.287 3.45-41.23 8.422C84.826 38.394 81 44.027 81 48c0 3.973 3.826 9.606 13.77 14.578C104.713 67.55 119.543 71 136 71c16.457 0 31.287-3.45 41.23-8.422C187.174 57.606 191 51.973 191 48c0-3.973-3.826-9.606-13.77-14.578C167.287 28.45 152.457 25 136 25zm160 32c-16.457 0-31.287 3.45-41.23 8.422C244.826 70.394 241 76.027 241 80c0 3.973 3.826 9.606 13.77 14.578C264.713 99.55 279.543 103 296 103c4.55 0 8.967-.27 13.2-.758 4.32-5.534 10.53-10.092 17.52-13.588 7.064-3.53 15.262-6.227 24.24-7.98.025-.23.04-.455.04-.674 0-3.973-3.826-9.606-13.77-14.578C327.287 60.45 312.457 57 296 57zM81 75.445V80c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.586 15.845-6.246 20.03-9.87C189.716 85.574 191 82.515 191 80v-4.555c-1.832 1.158-3.74 2.243-5.72 3.233C172.06 85.288 154.89 89 136 89s-36.06-3.712-49.28-10.322c-1.98-.99-3.888-2.075-5.72-3.233zM376 96.33c-16.457 0-31.287 3.452-41.23 8.424-9.944 4.972-13.77 10.603-13.77 14.576 0 3.973 3.826 9.606 13.77 14.578 9.943 4.972 24.773 8.422 41.23 8.422 16.457 0 31.287-3.45 41.23-8.422 9.944-4.972 13.77-10.605 13.77-14.578 0-3.973-3.826-9.604-13.77-14.576-9.943-4.972-24.773-8.424-41.23-8.424zm-135 11.115v2.313c2.9 1.073 5.67 2.26 8.28 3.564 9.037 4.52 16.8 10.794 20.81 18.69 10.174 2.46 21.72 3.366 32.91 2.718v-13.917c-2.305.116-4.636.187-7 .187-18.89 0-36.06-3.712-49.28-10.322-1.98-.99-3.888-2.075-5.72-3.233zm-160 .024V112c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 6.83 1.972 14.433 3.186 22.216 3.654 1.988-5.227 5.6-9.806 10.19-13.712-12.785.277-25.663-1.26-37.4-4.65-7.796-2.25-14.69-5.2-20.503-8.89zM200 121c-16.457 0-31.287 3.45-41.23 8.422C148.826 134.394 145 140.027 145 144c0 3.973 3.826 9.606 13.77 14.578C168.713 163.55 183.543 167 200 167c16.457 0 31.287-3.45 41.23-8.422C251.174 153.606 255 147.973 255 144c0-3.973-3.826-9.606-13.77-14.578C231.287 124.45 216.457 121 200 121zM81 139.47V144c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 6.328 1.826 13.32 2.993 20.503 3.53V152.75c-8.772-.594-17.406-2.057-25.496-4.393-7.797-2.25-14.69-5.203-20.504-8.89zm240 7.305v4.555c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.285 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.585 15.845-6.246 20.03-9.87 4.183-3.623 5.466-6.682 5.466-9.197v-4.555c-1.832 1.158-3.74 2.243-5.72 3.233-13.22 6.61-30.39 10.322-49.28 10.322s-36.06-3.712-49.28-10.322c-1.98-.99-3.888-2.075-5.72-3.233zm-48 4.246v13.65c9.435 1.962 19.865 2.647 30 2.06v-13.878c-10.064.53-20.263-.08-30-1.83zm-128 20.425V176c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.586 15.845-6.246 20.03-9.87 4.183-3.623 5.466-6.682 5.466-9.197v-4.555c-1.832 1.158-3.74 2.243-5.72 3.233C236.06 181.288 218.89 185 200 185s-36.06-3.712-49.28-10.322c-1.98-.99-3.888-2.075-5.72-3.233zm-64 .024V176c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 6.328 1.826 13.32 2.993 20.503 3.53V184.75c-8.772-.594-17.406-2.057-25.496-4.393-7.797-2.25-14.69-5.203-20.504-8.89zm240 7.33v4.53c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.285 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.585 15.845-6.246 20.03-9.87 4.183-3.623 5.466-6.682 5.466-9.197v-4.53c-5.813 3.688-12.707 6.64-20.504 8.89-21.694 6.262-47.298 6.262-68.992 0-7.797-2.25-14.69-5.202-20.504-8.89zm-48 4.22v13.65c9.435 1.962 19.865 2.647 30 2.06v-13.878c-10.064.53-20.263-.08-30-1.83zM81 203.47V208c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 6.328 1.826 13.32 2.993 20.503 3.53V216.75c-8.772-.594-17.406-2.057-25.496-4.393-7.797-2.25-14.69-5.203-20.504-8.89zm64 0V208c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.586 15.845-6.246 20.03-9.87 4.183-3.623 5.466-6.682 5.466-9.197v-4.53c-5.813 3.687-12.707 6.64-20.504 8.89-21.694 6.262-47.298 6.262-68.992 0-7.797-2.25-14.69-5.203-20.504-8.89zm176 7.33v4.53c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.285 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.585 15.845-6.246 20.03-9.87 4.183-3.623 5.466-6.682 5.466-9.197v-4.53c-5.813 3.688-12.707 6.64-20.504 8.89-21.694 6.262-47.298 6.262-68.992 0-7.797-2.25-14.69-5.202-20.504-8.89zm-48 4.22v13.65c9.435 1.962 19.865 2.647 30 2.06v-13.878c-10.064.53-20.263-.08-30-1.83zm-128 20.45v2.288c2.9 1.073 5.67 2.26 8.28 3.564 9.038 4.52 16.802 10.795 20.812 18.692 17.338 4.196 38.678 3.883 55.412-.948 8.954-2.585 15.845-6.245 20.03-9.87 4.183-3.622 5.466-6.68 5.466-9.196v-4.53c-5.813 3.687-12.707 6.64-20.504 8.89-21.694 6.262-47.298 6.262-68.992 0-7.797-2.25-14.69-5.203-20.504-8.89zm176 7.33v4.53c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.285 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.585 15.845-6.246 20.03-9.87 4.183-3.623 5.466-6.682 5.466-9.197v-4.53c-5.813 3.688-12.707 6.64-20.504 8.89-21.694 6.262-47.298 6.262-68.992 0-7.797-2.25-14.69-5.202-20.504-8.89zm-48 4.22v13.65c9.435 1.962 19.865 2.647 30 2.06v-13.878c-10.064.53-20.263-.08-30-1.83zM104 249c-16.457 0-31.287 3.45-41.23 8.422C52.826 262.394 49 268.027 49 272c0 3.973 3.826 9.606 13.77 14.578C72.713 291.55 87.543 295 104 295c16.457 0 31.287-3.45 41.23-8.422C155.174 281.606 159 275.973 159 272c0-3.973-3.826-9.606-13.77-14.578C135.287 252.45 120.457 249 104 249zm151 18.47c-5.813 3.687-12.707 6.64-20.504 8.89-17.97 5.187-38.608 6.05-57.496 2.642v13.664c16.775 3.494 36.694 2.964 52.504-1.6 8.954-2.585 15.845-6.245 20.03-9.87 4.183-3.622 5.466-6.68 5.466-9.196v-4.53zm66 7.33v4.53c0 2.515 1.283 5.574 5.467 9.197 4.045 3.503 10.64 7.03 19.162 9.598 3.74-3.428 8.228-6.37 13.09-8.803 1.152-.575 2.344-1.12 3.553-1.652-7.14-.744-14.137-2.066-20.77-3.98-7.796-2.25-14.69-5.202-20.503-8.89zm110 0c-2.84 1.8-5.938 3.422-9.27 4.876 3.1.31 6.13.734 9.082 1.252.12-.553.188-1.09.188-1.598v-4.53zm-158 4.22v13.62c6.997 1.482 14.783 2.36 23 2.36 2.374 0 4.705-.087 7-.227v-13.92c-10.064.53-20.263-.082-30-1.832zM408 297c-16.457 0-31.287 3.45-41.23 8.422C356.826 310.394 353 316.027 353 320c0 3.973 3.826 9.606 13.77 14.578C376.713 339.55 391.543 343 408 343c16.457 0 31.287-3.45 41.23-8.422C459.174 329.606 463 323.973 463 320c0-3.973-3.826-9.606-13.77-14.578C439.287 300.45 424.457 297 408 297zm-359 2.445V304c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.586 15.845-6.246 20.03-9.87 4.183-3.623 5.466-6.682 5.466-9.197v-4.555c-1.832 1.158-3.74 2.243-5.72 3.233C140.06 309.288 122.89 313 104 313s-36.06-3.712-49.28-10.322c-1.98-.99-3.888-2.075-5.72-3.233zm206 .024c-5.813 3.687-12.707 6.64-20.504 8.89-17.97 5.187-38.608 6.05-57.496 2.642v13.664c16.775 3.494 36.694 2.964 52.504-1.6 8.954-2.585 15.845-6.245 20.03-9.87 4.183-3.622 5.466-6.68 5.466-9.196v-4.53zm66 7.33v4.53c0 3.973 3.826 9.606 13.77 14.578.074.037.155.073.23.11V313.56c-5.168-1.89-9.862-4.135-14-6.76zM49 331.47V336c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.586 15.845-6.246 20.03-9.87 4.183-3.623 5.466-6.682 5.466-9.197v-4.53c-5.813 3.687-12.707 6.64-20.504 8.89-21.694 6.262-47.298 6.262-68.992 0-7.797-2.25-14.69-5.203-20.504-8.89zM177 343v13.648c4.885 1.032 10.16 1.767 15.697 2.114 1.985-5.246 5.602-9.84 10.207-13.756-8.726.19-17.487-.487-25.904-2.006zM264 345c-16.457 0-31.287 3.45-41.23 8.422C212.826 358.394 209 364.027 209 368c0 3.973 3.826 9.606 13.77 14.578C232.713 387.55 247.543 391 264 391c16.457 0 31.287-3.45 41.23-8.422C315.174 377.606 319 371.973 319 368c0-3.973-3.826-9.606-13.77-14.578C295.287 348.45 280.457 345 264 345zm89 2.445V352c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.586 15.845-6.246 20.03-9.87 4.183-3.623 5.466-6.682 5.466-9.197v-4.555c-1.832 1.158-3.74 2.243-5.72 3.233C444.06 357.288 426.89 361 408 361s-36.06-3.712-49.28-10.322c-1.98-.99-3.888-2.075-5.72-3.233zM49 363.47V368c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.586 15.845-6.246 20.03-9.87 4.183-3.623 5.466-6.682 5.466-9.197v-4.53c-5.813 3.687-12.707 6.64-20.504 8.89-21.694 6.262-47.298 6.262-68.992 0-7.797-2.25-14.69-5.203-20.504-8.89zm304 16V384c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.586 15.845-6.246 20.03-9.87 4.183-3.623 5.466-6.682 5.466-9.197v-4.53c-5.813 3.687-12.707 6.64-20.504 8.89-21.694 6.262-47.298 6.262-68.992 0-7.797-2.25-14.69-5.203-20.504-8.89zm-144 15.975V400c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.586 15.845-6.246 20.03-9.87 4.183-3.623 5.466-6.682 5.466-9.197v-4.555c-1.832 1.158-3.74 2.243-5.72 3.233C300.06 405.288 282.89 409 264 409s-36.06-3.712-49.28-10.322c-1.98-.99-3.888-2.075-5.72-3.233zm-160 .024V400c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.586 15.845-6.246 20.03-9.87 4.183-3.623 5.466-6.682 5.466-9.197v-4.53c-5.813 3.687-12.707 6.64-20.504 8.89-21.694 6.262-47.298 6.262-68.992 0-7.797-2.25-14.69-5.203-20.504-8.89zm304 16V416c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.586 15.845-6.246 20.03-9.87 4.183-3.623 5.466-6.682 5.466-9.197v-4.53c-5.813 3.687-12.707 6.64-20.504 8.89-21.694 6.262-47.298 6.262-68.992 0-7.797-2.25-14.69-5.203-20.504-8.89zm-304 16V432c0 2.515 1.283 5.574 5.467 9.197 4.184 3.624 11.075 7.284 20.03 9.87 17.908 5.17 41.098 5.17 59.007 0 8.954-2.586 15.845-6.246 20.03-9.87 4.183-3.623 5.466-6.682 5.466-9.197v-4.53c-5.813 3.687-12.707 6.64-20.504 8.89-21.694 6.262-47.298 6.262-68.992 0-7.797-2.25-14.69-5.203-20.504-8.89zm160 0V432c0 3.973 3.826 9.606 13.77 14.578C232.713 451.55 247.543 455 264 455c16.457 0 31.287-3.45 41.23-8.422C315.174 441.606 319 435.973 319 432v-4.53c-5.813 3.687-12.707 6.64-20.504 8.89-21.694 6.262-47.298 6.262-68.992 0-7.797-2.25-14.69-5.203-20.504-8.89zm144 16V448c0 3.973 3.826 9.606 13.77 14.578C376.713 467.55 391.543 471 408 471c16.457 0 31.287-3.45 41.23-8.422C459.174 457.606 463 451.973 463 448v-4.53c-5.813 3.687-12.707 6.64-20.504 8.89-21.694 6.262-47.298 6.262-68.992 0-7.797-2.25-14.69-5.203-20.504-8.89zm-304 16V464c0 3.973 3.826 9.606 13.77 14.578C72.713 483.55 87.543 487 104 487c16.457 0 31.287-3.45 41.23-8.422C155.174 473.606 159 467.973 159 464v-4.53c-5.813 3.687-12.707 6.64-20.504 8.89-21.694 6.262-47.298 6.262-68.992 0-7.797-2.25-14.69-5.203-20.504-8.89z"}}]})(props);
};
function GiColdHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M319.006 19.88L280.51 30.192l-10.315 38.495 14.366 14.365-44.04 11.8 3.86 14.4-14.403 14.405 9.523 35.537c-6.727-3.505-13.903-5.83-21.195-6.89l-6.37-23.774-19.75-5.292-3.86-14.4-44.128 11.824 5.272-19.676-28.183-28.18L82.79 83.12l-10.313 38.497 28.18 28.182 19.78-5.302-11.796 44.02 14.413 3.86 5.27 19.673 19.333 5.18c-.234 6.7.35 13.298 1.584 19.774l-25.713-6.89-14.46 14.46-14.413-3.86-11.814 44.09-14.512-14.51-38.496 10.313-10.316 38.497 28.18 28.18 38.497-10.313 5.328-19.882 32.382 32.383 10.563-10.56 19.72 5.283 32.077-32.076c3.693 5.467 7.297 10.755 10.63 15.8l-29.497 29.5 5.28 19.702-10.562 10.56 32.35 32.35-19.834 5.316-10.316 38.496 28.18 28.18 38.496-10.315 10.315-38.494-14.676-14.678 44.188-11.84-3.824-14.265 14.46-14.46-11.054-41.257c5.476-2.7 11.17-5.46 17.1-8.383l12.016 44.842 19.673 5.27 3.822 14.27 44.095-11.817-5.357 19.996 28.182 28.18 38.496-10.314 10.314-38.496-28.18-28.182-19.898 5.332 11.846-44.21-14.252-3.817-5.29-19.75-27.593-7.395c4.258-5.043 7.94-10.498 10.867-16.433l21.6 5.787 14.402-14.403 14.254 3.818 11.826-44.13 14.528 14.526 38.496-10.314 10.316-38.496-28.182-28.182-38.496 10.315-5.302 19.79-32.204-32.204-10.425 10.423-19.705-5.28-17.827 17.827c-6.376-3.127-13.32-5.12-20.533-5.896l25.14-25.14-5.284-19.72 10.424-10.423-32.233-32.235 19.834-5.315 10.316-38.496-28.18-28.18zm-110.77 150.438c1.198-.015 2.403.014 3.612.086 19.263 1.154 39.154 14.41 46.09 39.83l-5.772 21.537-19.912-19.91-13.213 13.214 19.913 19.912-27.2 7.287 4.837 18.053 27.2-7.287-7.29 27.198 18.053 4.838 7.29-27.203 19.91 19.912 13.216-13.215-19.913-19.91 27.2-7.29-4.835-18.05-27.203 7.29 6.684-24.952c18.676-16.51 39.705-17.307 55.352-9.117 16.562 8.67 27.495 27.23 21.273 53.75-6.026 25.684-33.025 44.145-63.003 59.603-14.99 7.728-30.364 14.645-43.517 21.795-6.316 3.432-12.16 6.844-17.27 10.644-2.464-6.242-5.88-12.455-9.69-18.805-7.628-12.707-17.248-25.98-26.21-39.757-17.925-27.558-32.38-56.28-25.936-83.83 5.883-25.135 22.363-35.392 40.332-35.622z"}}]})(props);
};
function GiColiseum (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M152.39 77.82c-49.333 15.867-93.323 45.849-114.356 85.986 13.498-.909 10.582 14.516 10.582 29.947H35.133c.299 20.005 4.471 22.494 4.471 22.494 8.813 0 8.813 16 8.813 32H31.576L21 410.247c0 2.752 3.504 5.265 9.857 7.543.22-25.637 1.467-47.543 8.747-47.543 7.706 0 8.674 24.472 8.795 52.014 6.795 1.305 14.716 2.501 23.544 3.593.173-27.374 1.5-51.607 11.724-51.607 10.528 0 11.617 25.708 11.73 54.07 9.233.829 19.047 1.576 29.416 2.23.127-28.453 1.37-54.3 13.687-54.3 12.527 0 13.596 26.746 13.69 55.772 8.306.378 16.815.712 25.5.994.132-28.636 1.492-54.766 15.643-54.766 14.282 0 17.254 8 17.365 36.943 27.602 20.197 24.014 14.35 27.7 18.983.115-29.085 1.467-55.926 17.602-55.926 16.136 0 17.487 26.846 17.602 55.934 9.875-.068 19.698-.194 29.419-.375.112-28.944 1.364-55.559 15.646-55.559 14.15 0 15.51 26.127 15.643 54.76a1988.66 1988.66 0 0 0 20.588-.764l-34.499-77.27-30.497-2.595-24.543-113.03-35.274 2.962-13.024-52.692-15.948-2.326zm-13.691 45.933c13.708 0 13.708 16 13.708 32l-27.416 8c0-16 0-40 13.708-40zm-54.833 16c11.75 0 11.75 16 11.75 32l-23.5 4c0-16 0-36 11.75-36zm109.467 60.494c15.667 0 15.667 16 15.667 32l-31.333 2c0-16 0-34 15.666-34zm-54.833 4c13.708 0 13.708 16 13.708 32l-27.416 2c0-16 0-34 13.708-34zm-54.833 6c11.75 0 11.75 16 11.75 32l-23.5 4c0-16 0-36 11.75-36zm199.323 27.147l20.012 92.175c0-23.77.146-47.322 15.665-47.322 15.666 0 15.666 24 15.666 48-1.437 5.715-1.537 6.167-2.18 7.664l28.683 64.244c1.412-15.195 4.743-25.908 12.664-25.908 12.316 0 13.56 25.846 13.687 54.299 9.64-.609 18.791-1.3 27.457-2.059.11-28.43 1.182-54.24 11.731-54.24 10.253 0 11.559 24.37 11.725 51.84 10.484-1.26 19.768-2.66 27.463-4.211.129-27.382 1.122-51.629 8.791-51.629 7.21 0 8.501 21.485 8.74 46.797 5.109-2.078 7.906-4.342 7.906-6.797l-9.013-138.066c-10.884-10.001-26.092-16.875-44.141-21.692l-19.893 14.002-30.259-2.808-20.7-21.143c-27.077-1.717-55.883-2.184-84.004-3.146zm-89.657 44.853c15.667 0 15.667 24 15.667 48h-31.333c0-24 0-48 15.666-48zm62.667 0c17.625 0 17.625 24 17.625 48h-35.25c0-24 0-48 17.625-48zm-117.5 2c13.708 0 13.708 24 13.708 48h-27.416c0-24 0-48 13.708-48zm235 0c13.708 0 13.708 24 13.708 48h-27.416c0-24 0-48 13.708-48zm-289.833 2c11.75 0 11.75 22 11.75 46l-23.5 2c0-24 0-48 11.75-48zm342.708 0c11.75 0 11.75 24 11.75 48l-23.5-2c0-24 0-46 11.75-46zm-382.77 2c8.812 0 8.812 22 8.812 46l-17.625 2c0-24 0-48 8.812-48zm426.75 0c8.812 0 8.812 24 8.812 48l-17.625-2c0-24 0-46 8.812-46z"}}]})(props);
};
function GiColombia (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M300.285 18.627l16.062 11.568c-61.797 55.453-66.367 51.932-35.505 133.25l140.122 32.45c-15.192 70.066-3.262 87.445 13.239 129.328l-74.323.29c1.584 53.786 13.364 101.907-6.953 167.86l-24.831-8.94 6.952-46.682-70.35 6.09c-51.27-68.647-121.674-90.653-186.9-125.28 29.958-14.76 57.869-31.287 67.54-63.568L126.466 143.75c41.01-47.538 75.07-92.922 173.819-125.123z"}}]})(props);
};
function GiColombianStatue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-62.125 0-111.195 19.114-145.31 57.02C77.922 118.427 58.765 173.19 57.286 247h53.91c.117-9.742.472-20.34 1.42-31.37-.22-.238-.444-.467-.66-.714-7.73-8.838-10.903-21.857-8.908-39.705.84-10.634 6.332-19.899 14.892-23.652 3.153-1.383 6.422-2.13 9.801-2.399a154.227 154.227 0 0 1 4.21-9.185 126.923 126.923 0 0 1 3.048-5.707V103h25.105C181.958 83.704 213.081 71 256 71s74.042 12.704 95.895 32H377v31.268a126.923 126.923 0 0 1 3.049 5.707 154.227 154.227 0 0 1 4.209 9.185c3.379.27 6.648 1.016 9.8 2.399 8.56 3.753 14.054 13.018 14.893 23.652 1.995 17.848-1.178 30.867-8.908 39.705-.216.247-.44.476-.66.715.948 11.029 1.303 21.627 1.42 31.369h53.91c-1.479-73.81-20.636-128.573-53.402-164.98C367.195 44.114 318.125 25 256 25zm-103 96v14h206v-14H153zm0 32v62h14v-24.896c-.358-1.28-.005-2.142 0-2.633V153h-14zm32 0v7.38c3.425-3 7.44-5.664 12.074-7.38H185zm32.871 0c1.893.826 3.627 1.888 5.113 3.174 3.838 3.321 5.9 7.543 7.13 11.437 1.34 4.25 1.884 8.396 2.2 11.944l.223-.33 5.027-7.463 14.928 10.056-5.03 7.463-11.232 16.672C241.815 209.145 248.817 211 256 211s14.185-1.855 19.77-5.047l-11.233-16.672-5.03-7.463 14.929-10.056 5.027 7.463.223.33c.316-3.548.86-7.693 2.2-11.944 1.23-3.894 3.292-8.116 7.13-11.437 1.486-1.286 3.22-2.348 5.113-3.174H217.87zm97.055 0c4.634 1.716 8.649 4.38 12.074 7.38V153h-12.074zM345 153v34.47c.005.492.358 1.353 0 2.634V215h14v-62h-14zm-213.695 14.203c-2.818-.048-4.907.299-6.137.838-2.46 1.078-3.699 2.077-4.195 8.639l-.012.17-.02.17c-1.738 15.228.614 21.534 4.563 26.048 2.108 2.41 5.409 4.558 9.496 6.727v-42.287c-1.307-.15-2.601-.286-3.695-.305zm249.39 0c-1.094.019-2.388.156-3.695.305v42.287c4.087-2.17 7.388-4.316 9.496-6.727 3.949-4.514 6.3-10.82 4.563-26.048l-.02-.17-.012-.17c-.496-6.562-1.736-7.56-4.195-8.639-1.23-.54-3.319-.886-6.137-.838zm-172.658 1.795c-5.602.023-11.098 4.21-15.598 9.629l21.48.223c-.247-2.165-.49-4.3-.97-5.823-.596-1.89-1.28-2.844-1.742-3.244-.462-.4-.86-.794-3.17-.785zm95.926 0c-2.31-.01-2.708.385-3.17.785-.462.4-1.146 1.354-1.742 3.244-.48 1.522-.723 3.658-.97 5.823l21.48-.223c-4.5-5.42-9.996-9.606-15.598-9.629zM185 196.548V233h-30l42.4 31.8c34.664 25.998 86.703 22.873 117.2 0L357 233h-30v-36.451l-35.617.369 8.222 12.203-5.242 5.242C284.243 224.484 270 229 256 229s-28.242-4.516-38.363-14.637l-5.242-5.242 8.222-12.205-35.617-.367zm7 40.454h128v17.996H192v-17.996zm-57.977 2.766l-12.949 64.752 5.873 70.482H247.002v-35.275l-8.78-8.778-28.097 14.049h-43.123v-60.725l11.297-11.298-44.276-33.207zm243.954 0L333.7 272.975l11.297 11.298v60.725h-43.123l-28.098-14.049-8.779 8.778v35.275h120.055l5.873-70.482-12.95-64.752zm-59.05 43.884c-35.576 22.626-86.937 25.006-125.874.022l-8.055 8.053v35.275h20.877l35.902-17.951L256 323.275l14.223-14.224 35.902 17.951h20.877v-35.275l-8.074-8.075zm-190.48 109.346l7.834 94.004h78.72v-52.275l-27.817-41.729h-58.737zm80.367 0l20.002 30.004h54.368l20.002-30.004H208.814zm116.002 0l-27.818 41.729v52.275h78.72l7.835-94.004h-58.737zm-91.818 48v46.004h46.004v-46.004h-46.004z"}}]})(props);
};
function GiColtM1911 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M237.58 213.41a48.65 48.65 0 0 1 2.09-14.63h-17.15a1.45 1.45 0 0 0-1.37 1.37v14.58a15 15 0 0 0 1 6.15c.1 0 .26-.1.38-.1h15.58a59 59 0 0 1-.53-7.37zM145.16 396l-2.07 13.22-106.72-16.69 2.11-13.48 106.06 16.86zm249.29-246.22H86.71c2.08-37 19.18-47 19.18-47h378.27v32.53c-59-2.45-81.32 6.47-89.71 14.47zm89.59.92h.12v27.08h-80v-16.77c4-3.09 20.68-12.82 79.87-10.31zM27.84 361.78l119.12 19s25.79-87.28 36.14-115.79c6.14-16.95 29.91-20.21 41.32-20.21h31.32c16.06 0 29.42-13.69 30.42-30.92l-.2-23.08a7 7 0 0 1 7.2-7h96v-18H83.64c-3.18 4.32-9.37 6.14-21.27 7.24-27.3 2.54-21.28 19.3-21.28 19.3a37.51 37.51 0 0 1 4.56-.29c9.55 0 27.65 2.63 39.74 17.75 14.49 18.08-38.28 94.73-57.55 152zm178.32-161.63a16.16 16.16 0 0 1 16.37-16.37h37.31a16.12 16.12 0 0 1 16.32 16.37v14.58c0 12-9.11 22.05-18.32 22.05h-35.32c-12 0-16.37-9.89-16.37-22.05v-14.58zm-155 151.53a10.23 10.23 0 0 1-1.73-10.49c12.36-30.23 55.41-128.32 70.86-161.48 6.48-13.9 35.77-14.41 52.31-8.65 14.25 5 21.13 14.74 18.4 26.15-5.46 22.81-36.94 120.87-52.6 165.22-1.33 3.78-4.7 6.15-10 7.05a45.81 45.81 0 0 1-7.46.51c-9.91 0-23.26-1.95-33.24-4-19.89-4-32.18-8.82-36.54-14.31zm83-165.32c-14.86 31.91-55 123.3-69 156.95 4.32 2.21 14.25 5.53 28.85 8.26 15.21 2.84 26.29 3.37 30.81 2.88 15.65-44.71 46-139.46 51.14-160.83.26-1.09.87-3.65-5.17-6.64-5.51-2.73-14.08-4.26-22.36-4-8.68.28-13.37 2.4-14.27 3.38zm5.86 18.66a8.3 8.3 0 1 1 8.3 8.3 8.3 8.3 0 0 1-8.31-8.3zm-30.79 124.15a8.3 8.3 0 1 1-8.3-8.3 8.3 8.3 0 0 1 8.28 8.3zM77.99 116l-4.59 15.93a10.15 10.15 0 0 1-2.94-4.2c-.73-2.39-9.62-17.8-19.42-18.59 10.12-4.61 26.94 6.86 26.94 6.86z"}}]})(props);
};
function GiColumnVase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201 25v30h112.5l10-30H201zm-9 48c-13 0-27.1 6.78-37.6 17.36C143.8 100.9 137 115 137 128c0 30.5 7.5 51.4 15.4 71.7 7 17.9 14.5 35.6 16.2 57.3h174.8c1.7-21.7 9.2-39.4 16.2-57.3 7.9-20.3 15.4-41.2 15.4-71.7 0-13-6.8-27.1-17.4-37.64C347.1 79.78 333 73 320 73H192zm-71.6 7c-14.1.18-26.1 4.67-35.16 12.22C70.75 104.3 64 122.9 64 141.1c0 18.3 6.75 36.8 21.24 48.9 11.79 9.8 28.56 14.5 48.36 11.2-2-5.4-4.1-11.1-6-17.2-13.8 1.8-23.6-1.8-30.84-7.8C87.25 168.3 82 154.9 82 141.1c0-13.7 5.25-27.1 14.76-35.1 7.04-5.8 16.54-9.35 29.84-7.88 3-5.84 6.8-11.32 11.1-16.29-6.1-1.31-11.9-1.9-17.3-1.83zM137 275.5v16.8c84.3 17.9 157.1 14 238 .4v-17.2H137zm-20.6 32.8c-15.3.1-30.89 5.7-42.7 12.2C28.8 345.4 9 403.9 34.6 449.3c21.6 38.4 71.8 55.3 110.5 32.9 32-18.4 46.1-60.8 26.9-93.2-5.9-10-14.4-18.6-24.8-22.8-9.3-3.8-18.5-5.8-26.8-6-8.6-.3-17.2 2.5-25 7.3-20.6 12.6-29.5 40.6-16.4 61.2 9.8 15.5 31.2 22.2 46.6 11.9 10.8-7.3 15.4-22.7 7.8-33.2-4.8-6.6-14.7-9.4-20.8-4.5-1.5 1.2-2.9 3.5-3.2 5.5-.1 6.9 9.1 11.5 15.4 16.2-3.6 5-10 6.9-14.9 6.4-4.9-.4-9.1-2.5-12.4-6-5.4-5.5-6.9-13.2-5.8-19.7 1.1-6.5 4.5-12.3 9.6-16.4 15.2-12.3 36.4-6.2 46.7 8 14.1 19.6 6.2 46.1-12.4 58.6-24.5 16.5-56.9 6.3-71.8-17.1-18.9-29.8-6.5-68.7 22.2-86.2 9.4-6.1 19.3-9.5 30.6-10.3 21.6-1.5 43.9 9.3 65.9 18.2 22.6 9.1 45.1 18.3 64.5 20.9h18c19.4-2.6 41.9-11.8 64.5-20.9 22-8.9 44.3-19.3 65.9-18.2 10.8.6 22 5.1 30.6 10.3 28.7 17.5 41.1 56.4 22.2 86.2-14.9 23.4-47.3 33.6-71.8 17.1-18.6-12.5-26.5-39-12.4-58.6 10.3-14.2 31.5-20.3 46.7-8 5.1 4.1 8.5 9.9 9.6 16.4 1.1 6.5-.4 14.2-5.8 19.7-3.3 3.5-7.5 5.6-12.4 6-4.9.5-11.3-1.4-14.9-6.4 4.5-2.9 16.1-12.1 15.4-16.2-.4-2-1.7-4.3-3.2-5.5-6.1-4.9-16-2.1-20.8 4.5-7.6 10.5-3 25.9 7.8 33.2 15.4 10.3 36.8 3.6 46.6-11.9 13.1-20.6 4.2-48.6-16.4-61.2-7.8-4.8-16.4-7.6-25-7.3-8.3.2-17.5 2.2-26.8 6-10.4 4.2-18.9 12.8-24.8 22.8-19.2 32.4-5.1 74.8 26.9 93.2 38.7 22.4 88.9 5.5 110.5-32.9 25.6-45.4 5.8-103.9-39.1-128.8-17.3-9.6-30.3-13.4-49.2-11.7-37.4 3.3-69.4 13.7-124.1 14.5h-18c-54.8-.9-84.7-10.7-124-14.7-2.2-.2-4.4-.3-6.6-.3zm72.3 73.7c9 16.3 11.7 34.3 9.1 51.5h116.4c-2.6-17.2.1-35.2 9.1-51.5-19.2 7.7-38.8 15.2-58.3 17.2h-18c-19.5-2-39.1-9.5-58.3-17.2zm4.4 69.5c-3.4 9.1-8.2 17.6-14.4 25.2l5.6 17.3h142.6l5.6-18.3c-5.8-7.4-10.4-15.5-13.6-24.2H193.1z"}}]})(props);
};
function GiComa (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M264.438 17.094c-65.792 0-122.042 41.78-145.625 93.406-20.03 34.082-31.844 74.992-31.844 118 0 73.852 20.417 140.625 52.81 188.406 32.395 47.78 76.155 76.28 123.845 76.28 47.69.002 91.45-28.5 123.844-76.28 32.393-47.78 52.81-114.555 52.81-188.406 0-41.823-10.428-80.8-28.31-113.53-22.305-53.66-79.854-97.876-147.533-97.876zm0 18.687c72.458 0 132.256 60.305 138.25 117.564H267.063l-6.22-22.625-9-32.782-9 32.78-10.5 38.22-16.843-61.282-9.03-32.78-9 32.78L185 152.97h-58.813c6.22-57.147 65.95-117.19 138.25-117.19zm-57.97 109.657l16.845 61.25 9.03 32.782 9-32.782 10.5-38.25 1 3.593h149.812c-5.967 55.655-64.63 101.032-138.22 101.032-73.752 0-132.567-45.58-138.31-101.406h73.124l1.906-6.875 5.313-19.343zm-71.78 139.407c18.355 18.096 37.527 26.734 55.718 27.53 18.192.798 35.928-6.095 52.125-21.5l12.876 13.563c-19.213 18.273-42.28 27.657-65.844 26.625-23.562-1.03-47.1-12.333-68-32.937l13.126-13.28zm264.75 0l13.125 13.28c-20.898 20.605-44.438 31.907-68 32.938-23.563 1.032-46.63-8.352-65.844-26.625l12.874-13.562c16.198 15.404 33.965 22.297 52.156 21.5 18.19-.797 37.333-9.435 55.688-27.53zM266.53 419.594c26.456-.068 52.92 3.186 79.345 10.03l-4.688 18.095c-49.808-12.902-99.402-12.4-149.375.03l-4.53-18.125c26.343-6.552 52.795-9.964 79.25-10.03z"}}]})(props);
};
function GiComb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M447.25 113.53c-.697.022-1.397.065-2.125.126C299.132 126.026 155.697 158.49 36.47 223.28c-10.362 5.632-15.204 13.98-16.845 26.345-1.64 12.366.834 28.467 6.72 45.844 11.216 33.12 34.585 70.496 59.374 98.124l17.593-4.72L66.374 251l18.03-4.813 36.94 137.844 21.03-5.655-36.938-137.813 18.032-4.843 36.936 137.81 18.78-5.03-36.905-137.813 18.064-4.843 36.906 137.78 20.28-5.437-36.936-137.78 18.062-4.845 36.906 137.782 21.032-5.656-36.906-137.75 18.03-4.844 36.907 137.75 21.03-5.625-36.905-137.75 18.03-4.845 36.94 137.72 19.53-5.22-36.906-137.72 18.03-4.843 36.907 137.688 22.47-6.03-36.875-137.69 18.063-4.843 36.875 137.688 21-5.625-36.875-137.688L394 163.22l36.875 137.655 20.28-5.438-36.874-137.625 18.033-4.843 36.875 137.624 17.687-4.75c7.676-36.4 9.244-81.307 2.406-116.03-3.586-18.218-9.55-33.498-17.06-43.158-6.574-8.452-13.485-12.827-22.908-13.125-.673-.02-1.365-.02-2.062 0z"}}]})(props);
};
function GiCombinationLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M400.218 212.413v-42.195a144.218 144.218 0 1 0-288.436 0v42.195H90.61V486H421.39V212.413h-21.173zM216.342 407.97h-57.29v-22.354h57.29v22.354zm0-33.403h-57.29v-57.29h57.29v57.29zm0-68.28h-57.29v-22.354h57.29v22.32zm68.28 101.718h-57.29v-22.39h57.29v22.355zm0-33.403h-57.29v-57.29h57.29v57.29zm0-68.28h-57.29v-22.39h57.29v22.32zm68.28 101.718h-57.29v-22.424h57.29v22.354zm0-33.403h-57.29v-57.29h57.29v57.29zm0-68.28h-57.29v-22.424h57.29v22.32zm2.887-93.884H156.211v-42.254a99.789 99.789 0 1 1 199.578 0v42.195zM177.455 353.439c0 4.443 3.835 8.184 10.195 8.184 5.846 0 10.336-3.507 10.336-8.839 0-3.694-2.339-6.36-6.127-7.857v-.093c3.741-1.777 5.004-4.536 5.004-7.109 0-3.788-2.946-7.482-8.839-7.482-5.331 0-9.353 3.273-9.353 8.09 0 2.62 1.45 5.238 4.817 6.828v.14c-3.742 1.59-6.033 4.303-6.033 8.138zm5.05-15.386c0-2.62 1.871-4.864 5.285-4.864a4.677 4.677 0 0 1 5.145 4.957c0 2.76-2.011 4.677-4.677 5.519-3.46-.936-5.752-2.572-5.752-5.612zm4.677 8.558c4.116 1.17 6.688 2.946 6.688 6.64 0 3.134-2.338 5.426-6.08 5.426-3.881 0-6.22-2.713-6.08-5.846-.046-2.853 1.871-5.191 5.426-6.22zm67.275 15.059a15.445 15.445 0 0 1-7.904-2.058l1.17-3.18a13.738 13.738 0 0 0 6.734 1.918c5.284 0 6.921-3.368 6.874-5.846 0-4.256-3.881-6.08-7.856-6.08h-2.339v-3.087h2.339c2.993 0 6.78-1.543 6.78-5.144 0-2.432-1.543-4.583-5.33-4.583a11.166 11.166 0 0 0-6.08 2.01l-1.076-2.992a14.451 14.451 0 0 1 7.95-2.339c5.987 0 8.7 3.508 8.7 7.25 0 3.133-1.872 5.845-5.613 7.155v.093a7.915 7.915 0 0 1 6.781 7.81c-.093 4.817-3.881 9.073-11.177 9.073zm70.15 0c6.314 0 10.102-5.144 10.102-10.71 0-5.94-3.788-9.82-9.167-9.82a9.061 9.061 0 0 0-7.342 3.507h-.14a12.358 12.358 0 0 1 10.522-10.803 14.849 14.849 0 0 1 3.087-.187v-3.368a19.876 19.876 0 0 0-2.993.234 16.556 16.556 0 0 0-9.728 4.49 19.104 19.104 0 0 0-5.144 13.703c.047 7.88 4.303 12.93 10.803 12.93zm-6.22-13.703a6.77 6.77 0 0 1 5.846-3.741c3.788 0 6.267 2.619 6.267 7.015 0 4.396-2.339 7.296-5.94 7.296-4.302 0-6.594-3.695-6.687-8.7a3.508 3.508 0 0 1 .514-1.893z"}}]})(props);
};
function GiCometSpark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.916 15.648c147.945 202 202.556 312.645-3.146 252.438 201.76 82.926 225.515 176.51 49.13 180.76 190.922 51.156 315.057 60.258 377.16 10.43 67.76-54.368 62.6-177.648 13.31-361.6-.002 179.943-88.34 149.935-171.18-39.96 60.246 191.39-81.408 116.353-265.274-42.068zM457.37 97.676v-.008.008zm-79.792 150.84c5.457.054 10.994.79 16.508 2.267 3.763 1.01 7.352 2.34 10.77 3.924-.053-.058-.102-.12-.155-.178 51.248 21.08 79.986 77.264 65.253 132.25-16.008 59.742-77.174 95.054-136.914 79.046-59.29-15.886-94.507-76.24-79.395-135.547 1.144 7.843 3.71 15.465 7.808 22.564 15.038 26.045 46.48 37.745 78.735 32.334 8.387-.382 17.33-2.932 25.75-7.793 22.18-12.807 32.317-36.774 22.642-53.53-9.676-16.76-35.5-19.966-57.682-7.16-7.3 4.214-13.283 9.64-17.697 15.618-3.05-11-3.31-22.928-.14-34.75 7.978-29.778 35.053-49.34 64.518-49.047z"}}]})(props);
};
function GiCommercialAirplane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M468 26.25c-.8-.02-1.7-.02-2.6.02v-.01c-7.2.28-16.2 2.74-25.5 6.7-18.4 7.91-37.7 21.75-48 31.99L137.4 340.8l10.5 10.5 38.9-38.8 12.8 12.8-38.8 38.9 10.5 10.5 275.8-254.6c10.2-10.3 24.1-29.61 32-48.05 3.9-9.23 6.4-18.25 6.7-25.44.2-7.19-1.3-12.01-4.9-15.55-3.1-3.09-7.1-4.66-12.9-4.81zM167.7 53.16l-14.9 16.47 43 14.36 1.4-1.23c0-.61-.3-1.79-1.1-3.55-1.9-3.97-6-9.47-10.7-14.21-4.7-4.73-10.2-8.81-14.2-10.7-1.7-.83-2.9-1.04-3.5-1.14zm240.4 5.48l34 11.31 11.3 33.95-11.3 11.3-45.3-45.25 11.3-11.31zM90.3 67.77c-8.08.35-17.37 4.63-27.48 12.21C55.09 85.78 47 93.45 38.8 101.5l201.8 100.8 59.6-64.6L90.3 67.77zm143.4 9.85l-13.2 14.6 42.6 14.18c-.1-.6-.4-1.5-1-2.7-1.8-3.99-5.9-9.49-10.7-14.23-4.7-4.73-10.2-8.81-14.2-10.7-1.7-.83-2.9-1.05-3.5-1.15zM374.3 211.8l-64.7 59.7 100.9 201.8c8.1-8.2 15.8-16.4 21.6-24.1 7.5-10.1 11.8-19.4 12.2-27.4l-70-210zm31.3 37.1l14.2 42.6 14.6-13.2c0-.6-.3-1.7-1.1-3.5-1.9-4-6-9.5-10.7-14.2-4.8-4.7-10.3-8.8-14.3-10.7-1.1-.5-2-.8-2.7-1zm23.7 65.9l-1.3 1.4 14.4 43 16.4-14.8c0-.6-.3-1.8-1.1-3.5-1.9-4-6-9.5-10.7-14.3-4.7-4.7-10.2-8.8-14.2-10.7-1.7-.8-2.9-1.1-3.5-1.1zM71.69 340l-22.77 22.7 60.28 40.2 40.1 60.2 22.8-22.8-9.8-49.2-14.3-14.2-27.6 27.6-12.8-12.8 27.6-27.6-14.3-14.3-49.21-9.8z"}}]})(props);
};
function GiCompactDisc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M336.77 30.56A240 240 0 0 0 137.145 48 240 240 0 0 0 20.162 298.94l142.405-25.665c-6.87-38.47 10.598-78.89 46.42-99.323 25.063-14.296 53.977-15.877 79.228-6.808L336.77 30.56zm52.936 26.914l-80.56 120.245c11.773 7.904 21.943 18.56 29.43 31.683 25.942 45.482 10.03 103.645-35.452 129.588-43.752 24.957-99.236 11.178-126.487-30.395L55.644 388a240 240 0 0 0 319.322 76.943 240 240 0 0 0 89.56-327.382 240 240 0 0 0-74.82-80.086zM290.19 187.387c-22.148-10.942-49.142-11-72.286 2.2-30.09 17.163-44.195 51.33-37.098 83.402 1.637 7.4 4.404 14.687 8.364 21.63 21.123 37.033 68.003 49.86 105.035 28.737s49.858-68.003 28.736-105.035c-7.92-13.887-19.463-24.37-32.75-30.935zm-15.607 33.635a40 40 0 0 1 16.218 15.632 40 40 0 0 1-14.927 54.563 40 40 0 0 1-54.56-14.927 40 40 0 0 1-4.31-11.153 40 40 0 0 1 19.232-43.41 40 40 0 0 1 38.348-.705zm-109.206 63.764L27.33 327.966a240 240 0 0 0 13.3 34.151L170.765 298.3c-2.17-4.418-3.96-8.937-5.388-13.514z"}}]})(props);
};
function GiCompanionCube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 25v142h62.432c1.901-22.183 10.369-41.386 24.302-55.355C125.66 97.685 144.82 89.192 167 87.385V25H25zm192 0v46h78V25h-78zm128 0v62.432c22.183 1.901 41.386 10.369 55.355 24.302 13.96 13.925 22.453 33.086 24.26 55.266H487V25H345zM185 57v48h-9c-22 0-39.37 7.173-51.521 19.355-12.152 12.183-19.348 29.668-19.479 51.698l-.053 8.947H57v14h32v48h62.39c4.33-50.72 44.89-91.28 95.61-95.61V89h-48V57h-14zm128 0v32h-48v62.39c50.72 4.33 91.28 44.89 95.61 95.61H407v-48h48v-14h-48v-9c0-22-7.173-39.37-19.355-51.521-12.183-12.152-29.668-19.348-51.698-19.479l-8.947-.053V57h-14zm-57 112c-48.155 0-87 38.845-87 87s38.845 87 87 87 87-38.845 87-87-38.845-87-87-87zm-34.799 41.043c13.685-.168 29.758 9.24 34.799 24.363 5.041-15.124 21.114-24.53 34.799-24.363 18.492.227 28.641 20.276 28.535 31.314-.542 17.05-12.307 28.577-26.941 41.327C279.663 293.774 256 320.83 256 320.83s-23.663-27.056-36.393-38.146c-14.634-12.75-26.4-24.278-26.941-41.327-.106-11.038 10.043-31.087 28.535-31.314zM25 217v78h46v-78H25zm400 0v78h46v-78h-46zM89 265v48H57v14h48v9c0 22 7.173 39.37 19.355 51.521 12.183 12.152 29.668 19.348 51.698 19.479l8.947.053V455h14v-32h48v-62.39c-50.72-4.33-91.28-44.89-95.61-95.61H89zm271.61 0c-4.33 50.72-44.89 91.28-95.61 95.61V423h48v32h14v-48h9c22 0 39.37-7.173 51.521-19.355 12.152-12.183 19.348-29.668 19.479-51.698l.053-8.947H455v-14h-48v-48h-46.39zM25 345v142h142v-62.432c-22.183-1.901-41.386-10.369-55.355-24.302C97.685 386.34 89.192 367.18 87.385 345H25zm399.568 0c-1.901 22.183-10.369 41.386-24.302 55.355-13.925 13.96-33.086 22.453-55.266 24.26V487h142V345h-62.432zM217 441v46h78v-46h-78z"}}]})(props);
};
function GiCompass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M203.97 23l-18.032 4.844 11.656 43.468c-25.837 8.076-50.32 21.653-71.594 40.75L94.53 80.594l-13.218 13.22 31.376 31.374c-19.467 21.125-33.414 45.53-41.813 71.343l-42.313-11.343-4.843 18.063 42.25 11.313c-6.057 27.3-6.157 55.656-.345 83L23.72 308.78l4.843 18.064 41.812-11.22c6.693 21.225 17.114 41.525 31.25 59.876l-29.97 52.688-16.81 29.593 29.56-16.842 52.657-29.97c18.41 14.216 38.784 24.69 60.094 31.407l-11.22 41.844 18.033 4.81 11.218-41.905c27.345 5.808 55.698 5.686 83-.375l11.312 42.28 18.063-4.81-11.344-42.376c25.812-8.4 50.217-22.315 71.342-41.78l31.375 31.373 13.22-13.218-31.47-31.47c19.09-21.266 32.643-45.738 40.72-71.563l43.53 11.657 4.813-18.063-43.625-11.686c5.68-27.044 5.576-55.06-.344-82.063l43.97-11.78-4.813-18.063L440.908 197c-6.73-20.866-17.08-40.79-31.032-58.844l29.97-52.656 16.842-29.563-29.593 16.844-52.656 29.97c-17.998-13.875-37.874-24.198-58.657-30.906l11.783-44L309.5 23l-11.78 43.97c-27-5.925-55.02-6.05-82.064-.376L203.97 23zm201.56 85L297.25 298.313l-.75.437-40.844-40.875-148.72 148.72-2.186 1.25 109.125-191.75 41.78 41.78L405.532 108zm-149.686 10.594c21.858 0 43.717 5.166 63.594 15.47l-116.625 66.342-2.22 1.28-1.28 2.22-66.25 116.406c-26.942-52.04-18.616-117.603 25.03-161.25 26.99-26.988 62.38-40.468 97.75-40.468zm122.72 74.594c26.994 52.054 18.67 117.672-25.002 161.343-43.66 43.662-109.263 52.005-161.312 25.033l116.438-66.282 2.25-1.25 1.25-2.25 66.375-116.592z"}}]})(props);
};
function GiComputerFan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 21.688C126.7 21.688 21.687 126.698 21.687 256 21.688 385.3 126.7 490.313 256 490.313c129.3 0 234.313-105.012 234.313-234.313C490.313 126.7 385.3 21.687 256 21.687zm-201.47 9A22.53 22.53 0 0 0 32 53.218 22.53 22.53 0 0 0 54.53 75.75a22.53 22.53 0 0 0 22.532-22.53 22.53 22.53 0 0 0-22.53-22.532zm404.25 0a22.53 22.53 0 0 0-22.53 22.53 22.53 22.53 0 0 0 22.53 22.532 22.53 22.53 0 0 0 22.533-22.53 22.53 22.53 0 0 0-22.532-22.532zm-202.78 9c119.573 0 216.313 96.74 216.313 216.312 0 119.573-96.74 216.313-216.313 216.313S39.687 375.572 39.687 256 136.428 39.687 256 39.687zm43.684 22.433c-.485-.01-.955-.008-1.41.003-6.047.15-9.43 2.236-8.545 6.738 10.475 42.195 11.75 85.79-5.087 124.314 12.714 5.83 23.38 15.397 30.556 27.297 28.976-24.022 58.114-55.318 76.618-79.786 26.14-34.564-61.598-77.91-92.134-78.563zm-98.278 4.392c-40.03-.548-110.755 59.8-90.63 66.685 41.8 12.03 80.21 32.736 105.154 66.608 11.014-7.883 24.416-12.613 38.882-12.86-6.316-37.106-18.853-77.99-30.79-106.25-4.202-9.947-12.412-14.044-22.616-14.183zM438.22 190.227c-1.095.02-2.198.483-3.298 1.443-31.292 30.16-68.396 53.055-110.16 57.748.206 2.168.322 4.36.322 6.582 0 12.156-3.18 23.588-8.732 33.53 35.294 13.084 76.97 22.67 107.416 26.462 49.867 6.21 33.393-126.102 14.453-125.765zm-353.636 5.58c-48.158.507-27.205 141.674-7.564 124.533 31.307-30.175 68.43-53.08 110.218-57.756-.207-2.17-.322-4.363-.322-6.584 0-12.144 3.174-23.567 8.717-33.502-35.305-13.093-77.003-22.687-107.46-26.48-1.238-.154-2.433-.224-3.59-.21zM256 204.917c-11.406 0-21.907 3.696-30.387 9.958 1.986 3.567 3.84 7.256 5.55 11.074 6.763-5.608 15.427-8.99 24.837-8.99.844 0 1.68.035 2.51.09-.264-3.93-.632-7.967-1.108-12.1-.467-.01-.932-.034-1.402-.034zm20.42 4.22c-2.088 3.49-4.345 6.925-6.785 10.302 9.298 3.5 16.938 10.46 21.336 19.29 3.297-2.21 6.634-4.567 10-7.066-5.402-10.007-14.048-17.97-24.55-22.527zm-63.98 20.088c-4.77 7.775-7.524 16.938-7.524 26.775 0 1.94.116 3.85.324 5.73 4.05.066 8.14.303 12.268.727-.355-2.103-.55-4.258-.55-6.457 0-7.987 2.44-15.436 6.606-21.643-3.563-1.75-7.273-3.464-11.123-5.132zM256 234.96c-11.728 0-21.04 9.312-21.04 21.04s9.312 21.04 21.04 21.04 21.04-9.312 21.04-21.04-9.312-21.04-21.04-21.04zm38.494 14.6c.353 2.098.547 4.247.547 6.44 0 8-2.446 15.46-6.624 21.672 3.564 1.75 7.275 3.465 11.125 5.133 4.785-7.782 7.544-16.955 7.544-26.805 0-1.935-.115-3.84-.322-5.72-4.05-.062-8.14-.297-12.268-.72zm-73.478 23.686c-3.297 2.21-6.633 4.567-10 7.065 5.394 10.005 14.03 17.97 24.52 22.534 2.09-3.488 4.346-6.925 6.786-10.3-9.287-3.51-16.918-10.472-21.306-19.298zm59.773 12.846c-6.758 5.583-15.403 8.95-24.79 8.95-.865 0-1.72-.04-2.572-.097.264 3.93.632 7.968 1.107 12.102.488.013.974.037 1.465.037 11.385 0 21.867-3.684 30.338-9.924-1.986-3.565-3.84-7.252-5.55-11.068zm-84.005 5.408c-28.992 24.028-58.15 55.347-76.664 79.828-32.065 42.4 107.234 98.014 102.09 71.82-10.48-42.204-11.75-85.81 5.1-124.343-12.704-5.837-23.356-15.407-30.525-27.305zm99.242 20.727c-11.02 7.875-24.43 12.594-38.902 12.828 6.316 37.11 18.854 77.997 30.793 106.26 20.686 48.97 138.5-43.86 113.242-52.5-41.79-12.027-80.187-32.73-105.133-66.588zM52.803 436.25a22.53 22.53 0 0 0-22.532 22.53 22.53 22.53 0 0 0 22.533 22.533 22.53 22.53 0 0 0 22.53-22.532 22.53 22.53 0 0 0-22.53-22.53zm406.156 0a22.53 22.53 0 0 0-22.532 22.53 22.53 22.53 0 0 0 22.53 22.533 22.53 22.53 0 0 0 22.532-22.532 22.53 22.53 0 0 0-22.53-22.53z"}}]})(props);
};
function GiComputing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M83.014 30.53c-14.8 0-26.118 5.868-33.96 17.6-7.782 11.675-11.673 28.656-11.673 50.942 0 22.228 3.892 39.207 11.675 50.94 7.84 11.674 19.16 17.51 33.96 17.51 14.797 0 26.09-5.836 33.872-17.51 7.84-11.733 11.76-28.712 11.76-50.94 0-22.286-3.92-39.267-11.76-50.94-7.783-11.734-19.075-17.6-33.873-17.6zm230.648 0c-14.8 0-26.12 5.868-33.96 17.6-7.783 11.675-11.675 28.656-11.675 50.942 0 22.228 3.892 39.207 11.674 50.94 7.843 11.674 19.163 17.51 33.962 17.51 14.8 0 26.09-5.836 33.87-17.51 7.843-11.733 11.765-28.712 11.765-50.94 0-22.286-3.922-39.267-11.764-50.94-7.782-11.734-19.072-17.6-33.87-17.6zm115.324 0c-14.798 0-26.12 5.868-33.96 17.6-7.783 11.675-11.674 28.656-11.674 50.942 0 22.228 3.89 39.207 11.673 50.94 7.842 11.674 19.163 17.51 33.96 17.51 14.8 0 26.09-5.836 33.872-17.51 7.842-11.733 11.762-28.712 11.762-50.94 0-22.286-3.92-39.267-11.763-50.94-7.782-11.734-19.072-17.6-33.87-17.6zm-236.75 2.39l-31.572 6.367V55.56l31.748-6.367v100.73H163.23v15.036h76.055v-15.036H210.1V32.92h-17.864zM83.014 44.682c9.256 0 16.184 4.54 20.783 13.62 4.658 9.02 6.986 22.61 6.986 40.77 0 18.1-2.328 31.69-6.986 40.77-4.6 9.02-11.527 13.53-20.783 13.53-9.198 0-16.124-4.51-20.782-13.53-4.598-9.08-6.898-22.67-6.898-40.77 0-18.16 2.3-31.75 6.898-40.77 4.658-9.08 11.584-13.62 20.782-13.62zm230.648 0c9.257 0 16.185 4.54 20.783 13.62 4.658 9.02 6.987 22.61 6.987 40.77 0 18.1-2.33 31.69-6.987 40.77-4.598 9.02-11.526 13.53-20.783 13.53-9.197 0-16.125-4.51-20.783-13.53-4.6-9.08-6.9-22.67-6.9-40.77 0-18.16 2.3-31.75 6.9-40.77 4.657-9.08 11.585-13.62 20.782-13.62zm115.324 0c9.257 0 16.185 4.54 20.784 13.62 4.657 9.02 6.986 22.61 6.986 40.77 0 18.1-2.33 31.69-6.986 40.77-4.6 9.02-11.527 13.53-20.784 13.53-9.197 0-16.125-4.51-20.783-13.53-4.6-9.08-6.898-22.67-6.898-40.77 0-18.16 2.3-31.75 6.898-40.77 4.658-9.08 11.586-13.62 20.783-13.62zM83.014 187.504c-14.8 0-26.118 5.867-33.96 17.6-7.782 11.673-11.673 28.654-11.673 50.94 0 22.228 3.892 39.208 11.675 50.94 7.84 11.674 19.16 17.512 33.96 17.512 14.797 0 26.09-5.838 33.872-17.512 7.84-11.732 11.76-28.712 11.76-50.94 0-22.286-3.92-39.267-11.76-50.94-7.783-11.733-19.075-17.6-33.873-17.6zm115.324 0c-14.8 0-26.12 5.867-33.96 17.6-7.784 11.673-11.675 28.654-11.675 50.94 0 22.228 3.89 39.208 11.674 50.94 7.84 11.674 19.162 17.512 33.96 17.512 14.8 0 26.09-5.838 33.874-17.512 7.842-11.732 11.763-28.712 11.763-50.94 0-22.286-3.92-39.267-11.762-50.94-7.782-11.733-19.073-17.6-33.872-17.6zm109.223 2.39l-31.574 6.366v16.273l31.75-6.37v100.733h-29.183v15.036h76.056v-15.036h-29.186V189.893H307.56zm115.323 0l-31.572 6.366v16.273l31.75-6.37v100.733h-29.185v15.036h76.057v-15.036h-29.184V189.893h-17.865zm-339.87 11.76c9.257 0 16.185 4.54 20.784 13.62 4.658 9.02 6.986 22.612 6.986 40.77 0 18.1-2.328 31.69-6.986 40.77-4.6 9.02-11.527 13.532-20.783 13.532-9.198 0-16.124-4.51-20.782-13.532-4.598-9.08-6.898-22.67-6.898-40.77 0-18.158 2.3-31.75 6.898-40.77 4.658-9.08 11.584-13.62 20.782-13.62zm115.325 0c9.256 0 16.184 4.54 20.783 13.62 4.66 9.02 6.987 22.612 6.987 40.77 0 18.1-2.328 31.69-6.986 40.77-4.598 9.02-11.526 13.532-20.782 13.532-9.198 0-16.126-4.51-20.783-13.532-4.6-9.08-6.9-22.67-6.9-40.77 0-18.158 2.3-31.75 6.9-40.77 4.657-9.08 11.585-13.62 20.783-13.62zm0 142.823c-14.8 0-26.12 5.866-33.96 17.6-7.784 11.673-11.675 28.652-11.675 50.94 0 22.226 3.89 39.207 11.674 50.94 7.84 11.674 19.162 17.512 33.96 17.512 14.8 0 26.09-5.84 33.874-17.513 7.842-11.733 11.763-28.714 11.763-50.94 0-22.288-3.92-39.267-11.762-50.94-7.782-11.734-19.073-17.6-33.872-17.6zm115.324 0c-14.8 0-26.12 5.866-33.96 17.6-7.783 11.673-11.675 28.652-11.675 50.94 0 22.226 3.892 39.207 11.674 50.94 7.843 11.674 19.163 17.512 33.962 17.512 14.8 0 26.09-5.84 33.87-17.513 7.843-11.733 11.765-28.714 11.765-50.94 0-22.288-3.922-39.267-11.764-50.94-7.782-11.734-19.072-17.6-33.87-17.6zm-236.75 2.388l-31.572 6.367v16.272l31.75-6.367V463.87H47.904V478.9h76.057V463.87H94.778V346.864H76.912zm345.97 0l-31.57 6.367v16.272l31.75-6.367V463.87h-29.187V478.9h76.057V463.87h-29.184V346.864h-17.865zM198.34 358.627c9.256 0 16.184 4.54 20.783 13.62 4.66 9.02 6.987 22.61 6.987 40.77 0 18.1-2.328 31.69-6.986 40.77-4.598 9.02-11.526 13.53-20.782 13.53-9.198 0-16.126-4.51-20.783-13.53-4.6-9.08-6.9-22.67-6.9-40.77 0-18.16 2.3-31.75 6.9-40.77 4.657-9.08 11.585-13.62 20.783-13.62zm115.324 0c9.257 0 16.185 4.54 20.783 13.62 4.658 9.02 6.987 22.61 6.987 40.77 0 18.1-2.33 31.69-6.987 40.77-4.598 9.02-11.526 13.53-20.783 13.53-9.197 0-16.125-4.51-20.783-13.53-4.6-9.08-6.9-22.67-6.9-40.77 0-18.16 2.3-31.75 6.9-40.77 4.657-9.08 11.585-13.62 20.782-13.62z"}}]})(props);
};
function GiConcentrationOrb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M163.5 17.75c-125.028 2.135-223.03 231.994-9.188 461.625-197.34-240.608 9.41-548.496 174.157-289.03C287.353 66.332 222.42 16.744 163.5 17.75zm201.78 4.656c197.34 240.608-9.41 548.528-174.155 289.063C319.482 698.622 679.9 360.254 365.28 22.405zm-98.31 155.75c-42.422 0-76.814 34.392-76.814 76.813 0 42.42 34.392 76.81 76.813 76.81 42.42 0 76.81-34.39 76.81-76.81 0-42.422-34.39-76.814-76.81-76.814z","fillRule":"evenodd"}}]})(props);
};
function GiConcentricCrescents (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M251.19 25.684c-127.62 0-231.272 103.653-231.272 231.27 0 127.62 103.653 231.275 231.27 231.275 127.62 0 231.275-103.657 231.275-231.275 0-127.618-103.656-231.27-231.274-231.27zm0 18.693c117.515 0 212.58 95.063 212.58 212.578s-95.065 212.58-212.58 212.58c-89.756 0-166.407-55.458-197.616-134.017 33.247 63.767 99.96 107.316 176.842 107.316l-.002.004c110.068 0 199.316-89.248 199.316-199.317 0-106.046-82.85-192.754-187.345-198.948 2.92-.118 5.854-.195 8.804-.195zm-25.362 1.508c83.624 11.428 148.188 83.327 148.188 170.062 0 94.667-77.078 171.172-171.746 171.172-76.475 0-141.293-50.118-163.385-119.288-.18-3.603-.274-7.23-.274-10.877 0-14.34 1.426-28.34 4.124-41.877 1.82 83.566 70.14 150.768 154.145 150.768 3.84 0 7.782-.17 11.552-.446-68.53-5.156-122.64-62.572-122.64-132.412 0-73.23 59.625-132.412 132.858-132.412 68.655 0 125.172 52.213 131.97 119.082.15-2.702.444-5.262.444-8 0-85.145-69.038-154.185-154.183-154.185-8.306 0-16.454.663-24.403 1.927 16.828-6.7 34.718-11.306 53.35-13.515zm-6.955 73.553c-2.86 0-5.794.132-8.6.332 51.024 3.838 91.31 46.586 91.31 98.587 0 54.524-44.395 98.588-98.92 98.588-51.118 0-93.194-38.875-98.257-88.664-.112 2.012-.332 3.92-.332 5.956 0 63.396 51.404 114.8 114.8 114.8 63.394 0 114.798-51.404 114.798-114.8 0-63.395-51.404-114.798-114.8-114.798zm-23.328 11.13l-.002.002c-44.363 0-80.336 35.973-80.336 80.336s35.973 80.334 80.336 80.334c2 0 4.055-.094 6.02-.232-35.705-2.686-63.897-32.602-63.897-68.99 0-38.155 31.066-68.99 69.223-68.99 35.77 0 65.215 27.2 68.758 62.042.075-1.407.23-2.74.23-4.166 0-44.363-35.97-80.336-80.333-80.336z"}}]})(props);
};
function GiConcreteBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M172.416 41.021c-39.47.351-78.748 5.972-114.732 14.827 10.094 15.264 27.17 26.95 46.898 34.865 23.65 9.488 50.72 13.333 70.959 12.299 20.826-1.065 47.765-9.524 68.764-21.008 10.5-5.742 19.542-12.245 25.652-18.5 3.24-3.317 5.517-6.486 6.99-9.316-30.874-8.778-63.696-12.865-96.635-13.167a438.026 438.026 0 0 0-7.896 0zm111.541 33.877c-.372.396-.743.793-1.125 1.184-7.888 8.075-18.231 15.34-29.889 21.715-23.314 12.75-51.772 21.928-76.484 23.191-23.227 1.188-52.158-2.967-78.58-13.568-18.094-7.26-35.189-17.651-47.762-31.873C33.802 206.86 19.325 353.169 39.992 473.012c19.598 6.163 40.992 10.825 63.008 13.95V423h64v-64h109.957c-.024-3.013.152-6.295.486-9.97.96-10.546 3.217-24.018 6.338-39.007 5.408-25.967 13.412-56.318 21.948-82.152-4.95-49.133-12.133-100.876-21.772-152.973zm152.682.59c-.909.002-1.93.107-2.87.137l-56.949 71.28c7.692 2.471 14.598 7.387 19.639 14.052l55.268-66.045c.901-2.06.935-7.813-2.174-12.293-2.433-3.505-5.967-6.446-12.051-7.092-.27-.028-.56-.04-.863-.039zm-69.506 87.742a31.857 31.857 0 0 0-4.278 6.745c-3.85 8.26-4.52 17.07-3.816 24.61l.022.224 3.507 24.408a201.33 201.33 0 0 0-5.46.586c-11.149 1.362-23.392 3.885-31.805 6.601-9.124 26.31-18.124 59.552-23.9 87.29-3.034 14.562-5.182 27.607-6.034 36.966-.268 2.945-.188 4.657-.203 6.729 2.338-1.204 5.048-2.731 8.326-4.871 9.674-6.317 22.502-16.22 36.13-27.565 25.535-21.259 53.706-47.399 71.997-65.816-2.982-7.624-8.213-16.243-13.951-23.516-6.682-8.469-14.49-15.144-16.53-16.408-.057.008-.262-.026-.392-.04l-3.783-26.323c-.448-4.91.237-11.044 2.207-15.27.975-2.092 2.012-3.727 3.46-4.951-3.847-5.382-9.725-8.894-15.497-9.399zM377 313v46h110v-46H377zm-192 64v46h110v-46H185zm128 0v46h110v-46H313zm128 0v46h46v-46h-46zm-320 64v46h110v-46H121zm128 0v46h110v-46H249zm128 0v46h110v-46H377z"}}]})(props);
};
function GiCondorEmblem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.094 18.97c-62.468 0-118.465 27.977-156.156 72.06l-81.47-41.06v20.905l108.344 54.688c-1.48 4.984-2.718 10.26-2.718 16.25 0 39.773 32.436 72.7 76.437 87.687l10.064 3.438 2.094-10.438c3.905-19.485 11.652-31.05 14.062-48.22 2.126-15.148-1.23-32.572-14.938-58.81 26.516-6.19 48.084-9.652 63.875-9.22 15.152.41 24.52 3.87 30.407 10.03 4.568 4.783 7.74 12.163 8.97 23.282-9.478-.515-17.648.654-24.502 3.875-9.504 4.467-15.757 13.442-17.125 23.157-2.735 19.43 8.925 40.936 29.282 60.75l4.124 4 5.437-1.844c43.805-15.058 75.814-48.076 75.814-87.688 0-5.863-.848-11.406-2.22-16.78L492.75 70.843V49.906l-81.625 41c-37.69-44.003-93.632-71.937-156.03-71.937zm0 18.686c55.19 0 104.713 23.89 138.875 61.875l-21.845 10.97c-29.683-30.45-71.15-49.375-117.03-49.375-45.976 0-87.503 19.003-117.19 49.563l-21.874-11c34.17-38.09 83.787-62.032 139.064-62.032zm237.656 54.97l-84.344 41.718 84.344-10.594V92.625zm-475.28.405v30.814l83.468 10.5-83.47-41.313zm475.28 56.25l-82.156 8.44 82.156 17.936V149.28zm-475.28.095v26.094l81.28-17.75-81.28-8.345zm91.718 33.5l-91.72 17.28v29.94l91.72-47.22zm290.968 0l92.594 47.688v-30.22l-92.594-17.468zM121.28 205.75l-98.218 53.53c-1.868-.97-3.727-1.96-5.593-2.967v21.125c15.252 7.814 30.53 14.44 45.593 19.812 18.658 49.066 55.574 89.2 102.437 112l-54.375 83.344h22.313l95.625-146.53 3.812-5.877-4.563-5.312c-8.21-9.584-15.13-24.033-19-40.97l-2.468-10.842-10.25 4.312c-7.145 2.992-15.388 5.094-24.5 6.313l-11.906-54.594-16.47 55.625c-8.554-.403-17.552-1.388-26.874-2.97l22.062-70.625-52.594 63.625c-9.076-2.608-18.31-5.755-27.656-9.375l62.625-69.625zm266.783 0l62.875 69.875c-9.384 3.61-18.677 6.698-27.782 9.28l-52.72-63.78 22.064 70.688c-9.356 1.54-18.367 2.5-26.938 2.843l-16.406-55.562-11.844 54.28c-8.573-1.223-16.375-3.22-23.187-6.03l-10.156-4.188-2.5 10.72c-3.92 16.84-11.178 31.31-19.564 40.968l-4.625 5.312 3.876 5.906 95.594 146.532h22.313l-54.407-83.375c46.896-22.805 83.875-62.9 102.53-112 15.045-5.358 30.317-11.973 45.564-19.783v-21.156c-2.022 1.09-4.04 2.172-6.063 3.22l-98.625-53.75zm35.687 98.844c-18.555 39.012-50.223 70.545-89.344 88.906l-12.875-19.688c29.82-13.29 54.936-35.26 72.126-62.687 9.8-1.55 19.856-3.73 30.094-6.53zm-337.344.03c10.273 2.825 20.386 5.028 30.22 6.595 17.176 27.377 42.23 49.314 72 62.592l-12.845 19.72c-39.127-18.36-70.814-49.89-89.374-88.907zm157.938 84.907L215.78 492.595h28.564V389.53zm21.5 0v103.064h28.562L265.844 389.53zm-42.813 3.908l-64.31 99.156h36.56l27.75-99.156zm64.126 0l27.75 99.156h36.563l-64.314-99.156z"}}]})(props);
};
function GiCondyluraSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M124.813 31.5L21.593 134.688 150.44 263.53l4.687-27.28 18.438 3.156-19.875 115.78c.314-.073.62-.14.937-.217l36.03 26.53 10-129.406 18.626 1.437-10.874 141.032 38.188 28.125v-164.28l-31-84.563 40.344 15.406 40.343-15.438-31 84.563v164.313l38.22-28.157-10.906-141 18.625-1.436L321.25 381.5l36.094-26.594c.355.09.71.166 1.062.25l-20.094-115.72 18.407-3.186 4.75 27.25 128.81-128.813L387.095 31.5 255.938 74.78 124.813 31.5zm14.843 45.813l36.438 112.624L73.47 147.03l66.186-69.718zm229.72 0l66.187 69.718-102.625 42.907 36.437-112.625zm-.063 231.406l8.343 48.124c18.14-1.61 34.37-13.527 52.125-41.625-20.87 3.008-40.78.415-60.467-6.5zm-226.625.06c-19.613 6.86-39.458 9.437-60.25 6.44 17.718 28.036 33.906 39.973 52 41.624l8.25-48.063zm221.375 64.376l-37.032 27.28c14.147 15.196 34.73 19.897 70.845 11.752-14.33-10.72-25.298-23.82-33.813-39.032zm-215.813.344c-8.737 16.542-20.235 30.682-35.53 42.125 38.18 8.612 59.01 2.917 73.218-14.406L148.25 373.5zm54 39.75c.29 24.56-2.662 48.25-9.78 71.406 25.805-11.198 41.003-24.887 49.155-42.437l-39.375-28.97zm106.156.875l-39.562 29.156c8.114 17.697 23.35 31.485 49.312 42.75-7.17-23.32-10.098-47.167-9.75-71.905z"}}]})(props);
};
function GiConfirmed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16C123.5 16 16 123.5 16 256c0 132.6 107.5 240 240 240 132.6 0 240-107.4 240-240S388.6 16 256 16zm0 60c99.4 0 180 80.6 180 180s-80.6 180-180 180S76 355.4 76 256 156.6 76 256 76zm91.3 64.2c-6.5 0-12.5 2.4-16.8 8.2-52 70.1-69 96.5-106 169.8-8.4-11.1-65.6-72.4-93.9-94.1-14.2-10.9-41.3 27.2-31.6 37.1C142.6 306.1 220.1 406 232.7 405c21.4-1.7 75.1-136.8 148.8-233.7 8-10.4-15-31.3-34.2-31.1z"}}]})(props);
};
function GiConfrontation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v29.75l36.09 31.578c13.506-3.722 27.044-6.596 40.193-8.146L47.75 18zm89.25 0l34.172 54.676c19.488 4.303 38.114 12.753 55.457 25.668L166.75 18zm120.656 0l28.092 129.424S278.068 45.746 284.092 18zm117.344 0l-30.13 80.344c17.344-12.915 35.97-21.365 55.458-25.668L404.75 18zm119 0l-46.533 53.182c13.15 1.55 26.687 4.424 40.193 8.146L494 47.75V18zM118.736 88.04c-1.488-.026-2.997-.025-4.525.003-28.57.524-63.666 10.44-96.21 22.7v143.114c2.86-7.516 7.632-14.432 13.44-20.22 7.7-7.675 17.647-13.693 28.706-14.117.79-.03 1.586-.032 2.387-.004.8.028 1.607.086 2.418.175 7.908.875 13.682 5.74 18.136 10.994 4.454 5.252 7.902 11.385 10.74 17.312 5.676 11.853 8.844 23.21 8.844 23.21l-17.326 4.878s-2.89-10.16-7.754-20.315c-2.432-5.078-5.373-10.072-8.233-13.444-2.86-3.372-5.325-4.627-6.382-4.744-5.24-.58-12.662 2.66-18.83 8.805-6.165 6.145-10.49 14.778-10.98 20.923-1.776 22.332 7.533 36.257 18.413 45.745 5.44 4.743 11.306 8.183 16.06 10.357 2.375 1.087 4.48 1.858 6.012 2.32 1.534.462 2.868.52 1.875.512l-.146 18c-2.76-.022-4.48-.542-6.92-1.277-2.44-.736-5.233-1.78-8.308-3.186-6.148-2.81-13.41-7.06-20.402-13.16-8.955-7.808-17.41-18.972-21.75-33.386V427.39c24.102 26.71 51.126 51.064 81.078 61.965 12.463 4.536 28.87 3.676 40.942-2.03.215-.717.515-2.225.86-4.427.74-4.75 2.008-13.206 9.718-18.332 6.447-4.286 12.678-4.82 15.756-5.78-3.493-7.43-10.868-26.54-6.184-48.735 3.417-16.19 15.896-29.056 30.18-35.605 7.14-3.274 14.995-4.98 22.87-3.648 3.937.667 7.822 2.23 11.307 4.615 3.25-4.3 6.502-8.302 8.506-11.1l3.62-5.054 4.005 1.594c4.42 1.172 6.194 1.58 6.215 1.703.18-.15.412-.382.828-.793.182-.354 2.685-9.4.513-20.692-2.187-11.373-5.665-25.125-15.215-37.41-5.235.462-10.274.937-14.357 1.643-5.597.966-9.288 2.814-9.607 3.125l-12.566-12.887c3.454-3.367 7.37-5.176 11.527-6.354-5.143-1.766-10.087-2.734-15.598-2.49l-.792-17.983c15.547-.686 27.433 5.062 39.65 10.902-7.522-7.768-13.75-15.06-19.606-20.476-7.838-7.25-14.08-10.976-23.085-10.95-1.806.007-4.95 2.097-9.334 6.88-4.386 4.784-8.75 11.637-17.673 14.957l-6.278-16.87c1.232-.46 5.672-4.788 10.68-10.25 5.006-5.463 11.842-12.683 22.548-12.716 14.558-.043 26.002 7.077 35.36 15.732 5.22 4.825 10.085 10.18 15.134 15.62 5.293-23.545 9.614-46.54 8.076-69.415-31.038-64.935-71.1-95.532-115.53-103.06-4.063-.613-8.346-.945-12.812-1.026zm274.528 0c-4.466.082-8.75.414-12.813 1.026-44.428 7.53-84.49 38.126-115.528 103.06-1.538 22.876 2.783 45.87 8.076 69.417 5.05-5.44 9.915-10.796 15.133-15.62 9.36-8.656 20.804-15.776 35.362-15.732 10.706.034 17.542 7.254 22.55 12.716 5.006 5.463 9.446 9.79 10.68 10.25l-6.28 16.87c-8.92-3.32-13.286-10.172-17.67-14.956-4.385-4.783-7.53-6.873-9.334-6.88-9.006-.026-15.248 3.7-23.086 10.95-5.856 5.414-12.084 12.707-19.606 20.475 12.217-5.84 24.103-11.588 39.65-10.902l-.792 17.982c-5.51-.243-10.455.725-15.598 2.49 4.157 1.18 8.073 2.988 11.527 6.356l-12.566 12.888c-.32-.31-4.01-2.158-9.608-3.125-4.084-.705-9.123-1.18-14.358-1.643-9.55 12.285-13.028 26.037-15.215 37.41-2.172 11.293.33 20.338.512 20.692.415.41.646.642.827.793.02-.122 1.794-.53 6.215-1.703l4.006-1.594 3.62 5.053c2.003 2.8 5.255 6.802 8.505 11.102 3.485-2.384 7.37-3.948 11.308-4.615 7.875-1.333 15.73.374 22.87 3.648 14.284 6.55 26.763 19.415 30.18 35.606 4.684 22.195-2.69 41.306-6.184 48.735 3.078.96 9.31 1.495 15.756 5.78 7.71 5.127 8.978 13.582 9.72 18.333.343 2.202.643 3.71.858 4.428 12.073 5.705 28.48 6.565 40.942 2.03 29.952-10.902 56.976-35.257 81.078-61.965V293.235c-4.34 14.414-12.795 25.578-21.75 33.387-6.993 6.1-14.254 10.35-20.402 13.16-3.075 1.407-5.867 2.45-8.307 3.187-2.44.735-4.16 1.255-6.92 1.277l-.145-18c-.993.008.34-.05 1.875-.512 1.533-.462 3.637-1.233 6.013-2.32 4.753-2.174 10.62-5.613 16.06-10.357 10.88-9.488 20.188-23.413 18.41-45.744-.488-6.145-4.813-14.778-10.98-20.923-6.166-6.146-13.59-9.384-18.828-8.805-1.057.117-3.523 1.372-6.382 4.744-2.86 3.372-5.8 8.366-8.233 13.444-4.863 10.155-7.754 20.314-7.754 20.314l-17.326-4.88s3.168-11.355 8.844-23.208c2.838-5.927 6.286-12.06 10.74-17.312 4.454-5.253 10.228-10.12 18.135-10.993.81-.088 1.616-.146 2.417-.174.8-.03 1.597-.027 2.387.004 11.06.424 21.006 6.443 28.707 14.117 5.808 5.788 10.58 12.705 13.44 20.22V110.743c-32.544-12.26-67.64-22.175-96.21-22.7-1.53-.027-3.038-.028-4.526 0zM207.568 388.366c-2.844.06-6.23.844-9.716 2.442-.61.28-1.218.587-1.823.914l15.636 9.07s2.62-4.082 5.238-8.237c-1.925-2.575-3.95-3.546-6.69-4.01-.81-.137-1.698-.198-2.646-.178zm96.864 0c-.948-.02-1.836.04-2.647.178-2.738.464-4.764 1.435-6.69 4.01 2.62 4.155 5.24 8.238 5.24 8.238l15.636-9.07c-.604-.326-1.212-.634-1.822-.913-3.485-1.598-6.872-2.382-9.716-2.442zM176.795 427.13c.727 14.314 6.52 25.452 6.945 26.253 4.71-1.988 8.2-3.552 8.26-3.867.104-.54-7.425-11.492-15.205-22.387zm158.41 0c-7.78 10.894-15.31 21.847-15.205 22.386.06.315 3.55 1.88 8.26 3.867.425-.8 6.218-11.94 6.945-26.254zM18 454.503V494h49.19C49.272 483.442 32.927 469.57 18 454.504zm476 0c-14.928 15.066-31.273 28.938-49.19 39.496H494z"}}]})(props);
};
function GiCongress (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247.002 32v47.725a56.476 56.476 0 0 1 17.996 0V32h-17.996zM256 96.998c-11.5 0-23.002 5.001-23.002 15.002v10.1c7.37-2 15.05-3.098 23.002-3.098 7.953 0 15.632 1.098 23.002 3.098V112c0-10-11.502-15.002-23.002-15.002zm0 40c-28.25 0-53.982 17.938-72.867 42.488-16.345 21.249-26.934 47.277-29.496 67.516h204.726c-2.562-20.239-13.15-46.267-29.496-67.516-18.885-24.55-44.617-42.488-72.867-42.488zm-80 78.004h32v17.996h-32v-17.996zm64 0h32v17.996h-32v-17.996zm64 0h32v17.996h-32v-17.996zm-170.29 49.996l-7.53 16.004h259.64l-7.53-16.004H133.71zm1.292 34v28.004h17.996v-28.004h-17.996zm56 0v28.004h17.996v-28.004h-17.996zm56 0v28.004h17.996v-28.004h-17.996zm56 0v28.004h17.996v-28.004h-17.996zm56 0v28.004h17.996v-28.004h-17.996zm-270.004 46v16.004h334.004v-16.004H88.998zm14.004 34v60.004h17.996v-60.004h-17.996zm48 0v60.004h17.996v-60.004h-17.996zm48 0v60.004h17.996v-60.004h-17.996zm48 0v60.004h17.996v-60.004h-17.996zm48 0v60.004h17.996v-60.004h-17.996zm48 0v60.004h17.996v-60.004h-17.996zm48 0v60.004h17.996v-60.004h-17.996zm-350.004 78v30.004h430.004v-30.004H40.998z"}}]})(props);
};
function GiConqueror (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M145.896 18.31l-21.51 3.016 50.184 404.992c7.915-.592 16-1.099 24.248-1.515l-30.935-237.614c25.61-7.714 50.943-16.448 73.25-36.277 14.77 90.454-1.795 182.196-2.377 272.658 12.68-.146 26.55-.009 37.9.293-.566-6.92-7.696-101.44 24.094-130.373 18.74-17.055 75.734-6.549 75.734-6.549 13.115 21.985 13.064 36.927 8.98 62.612l31.163 8.045c2.469-14.451 1.707-51.72-7.055-96.522-1.229-2.948-10.45-4.763-18.036-8.04-.183-30.68 6.268-60.047.273-90.727-14.382-11.332-45.991-20.998-70.762-34.35l-5.58-.762c-7.236 7.58-16.643 12.56-27.188 12.56-15.213-2.301-26.7-10.05-33.625-20.849l-12.734-1.736c-23.748 18.203-50.06 31.28-77.733 41.635zM288.28 36.94c-6.21 0-12.37 3.612-17.55 11.154-5.181 7.542-8.762 18.73-8.762 31.256 0 12.525 3.58 23.711 8.762 31.254 5.18 7.542 11.34 11.154 17.55 11.154 6.211 0 12.372-3.612 17.553-11.154 5.18-7.543 8.76-18.729 8.76-31.254 0-12.526-3.58-23.714-8.76-31.256-5.18-7.542-11.342-11.155-17.553-11.155zM109.873 54.4c-.932 2.868-1.81 5.768-2.848 8.555-3.482 9.362-7.548 18.137-12.91 25.352-5.361 7.214-12.501 13.287-21.787 14.603-13.724 1.946-21 6.09-25.857 11.809-4.858 5.72-7.681 14.024-9.352 25.42-2.552 17.412-.925 39.067 1.97 61.132 1.418-4.107 2.921-8.171 4.733-12.01 4.205-8.905 9.672-17.033 17.334-23.017 7.663-5.984 17.6-9.48 28.815-9.146 7.657.228 13.652-4.943 18.765-14.57 5.056-9.52 7.849-22.506 7.909-31.97zM323.744 160.97c13.772 8.366 27.424 15.481 44.86 16.52 6.827 23.86 1.635 49.908.83 73.769-22.109-4.356-43.114-9.48-45.623-23.147 2.972-34.461 3.447-49.16-.067-67.142zm48.836 203.847c-4.585 21.75-13.021 42.473-24.904 63.268 36.88 2.608 75.117 5.883 112.222 15.611-.06-19.97-6.113-40.476-16.906-60.699zm-127.242 76.692c-97.482.507-174.844 14.648-227.338 28.416V491h476v-18.94c-58.673-14.917-146.115-31.086-248.662-30.552z"}}]})(props);
};
function GiConsoleController (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M380.95 114.46c-62.946-13.147-63.32 32.04-124.868 32.04-53.25 0-55.247-44.675-124.87-32.04C17.207 135.072-.32 385.9 60.16 399.045c33.578 7.295 50.495-31.644 94.89-59.593a51.562 51.562 0 0 0 79.77-25.78 243.665 243.665 0 0 1 21.24-.91c7.466 0 14.44.32 21.126.898a51.573 51.573 0 0 0 79.82 25.717c44.45 27.95 61.367 66.93 94.955 59.626 60.47-13.104 42.496-260.845-71.01-284.543zM147.47 242.703h-26.144V216.12H94.73v-26.143h26.594v-26.593h26.144v26.582h26.582v26.144h-26.582v26.582zm38.223 89.615a34.336 34.336 0 1 1 34.337-34.336 34.336 34.336 0 0 1-34.325 34.346zm140.602 0a34.336 34.336 0 1 1 34.367-34.325 34.336 34.336 0 0 1-34.368 34.335zM349.98 220.36A17.323 17.323 0 1 1 367.3 203.04a17.323 17.323 0 0 1-17.323 17.323zm37.518 37.52a17.323 17.323 0 1 1 17.322-17.324 17.323 17.323 0 0 1-17.365 17.334zm0-75.048a17.323 17.323 0 1 1 17.322-17.323 17.323 17.323 0 0 1-17.365 17.333zm37.518 37.518a17.323 17.323 0 1 1 17.323-17.323 17.323 17.323 0 0 1-17.367 17.334z"}}]})(props);
};
function GiContortionist (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M290.6 36.6c-6.1 1.55-42 10.9-86.3 28.22-48.2 18.84-101.8 46.78-122.69 76.68-26.68 38-36.09 98.3-16.68 139.4 8.38 17.7 37.77 37.9 65.27 51.9 27.6 14 52.6 22.6 52.6 22.6l6.2 2.1-.1 6.6c-.6 38.4-1.9 73.8-2.7 111.3H257c-.2-7.7-27.4-16.9-46-23.8l1.4-6.7c6.7-33.1 9.9-73.1 12.4-110.5-6.3-.6-12.5-2.4-18.3-5.3-12.6-6.2-23.5-17.4-30.6-32-.6-1.3-1.2-2.7-1.8-4-10.1-2.9-19-6.4-26.9-10.8-20.9-11.6-34.4-29.4-45.5-54.6l-3.69-8.5 8.59-3.4c15.7-6.4 25.1-11.3 32.8-20.1 7.6-8.9 14.1-22.8 21.3-48.1l1.2-3.9 117.9-56.4 102 71.9c-2.4 7.9-5.4 15.6-3.6 23.2 12 6.9 35.8 13.7 56.1 18.1 8.9 1.9 16.6 3.3 23.1 4.4-4.4-10-10.8-17.8-19.1-25.3-11.7-10.4-27.2-19.8-44.5-31.2l-.9-.6-.8-.9c-35.3-39.5-65.9-80.67-101.5-110.3zm-5.3 76.7c16.9 21.8 35.2 44.4 45.8 70.6l1.8 4.4c-3.9 6.6-8.5 12-9.7 19.3 14.5 9 37.2 16.1 56.4 20.5 7.5 1.7 14.2 3 19.9 4-3.1-4.6-7.1-9.7-12.1-14.7-10.3-10.5-23.7-21-36.1-29.2l-3.8-2.4-.3-4.5c-.8-11.2-4.4-21.3-9.4-31zm-74.4 121.5c-3.5 0-6.9.8-10 2.3-7 3.4-11.8 10.3-13.7 19.7-1.9 9.5-.6 21.2 4.8 32.4 5.5 11.3 13.9 19.5 22.6 23.9 8.6 4.2 16.9 4.7 24 1.3 7-3.4 11.8-10.3 13.8-19.7 1.9-9.5.5-21.2-4.9-32.5-5.5-11.2-13.9-19.5-22.5-23.8-4.8-2.4-9.6-3.6-14.1-3.6z"}}]})(props);
};
function GiContract (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96 64L64 96l48 48-48 48h128V64l-48 48-48-48zm224 0v128h128l-48-48 48-48-32-32-48 48-48-48zM64 320l48 48-48 48 32 32 48-48 48 48V320H64zm256 0v128l48-48 48 48 32-32-48-48 48-48H320z"}}]})(props);
};
function GiControlTower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 21v18h39v16h18V39h39V21h-96zm35 52l-40 30h106l-40-30h-26zM69.48 120.5l-8.96 15.6 110.98 63.7 35.6 20.4 33.6-58.7-77 13.1-94.22-54.1zM329 121v30h30v-30h-30zm48 0v30h46v-30h-46zm64 0v30h30v-30h-30zm-103 48l34.5 46h55l34.5-46H338zm39 64v30h46v-30h-46zm0 48v206h46V281h-46zM68.52 329L34.3 375H359v-46H68.52zM25 393v94h30v-64h66v64h238v-94H25zm416 .5V487h46v-65.9l-46-27.6zM160 439h48v18h-48v-18zm96 0h48v18h-48v-18zm-183 2v46h30v-46H73z"}}]})(props);
};
function GiConvergenceTarget (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M172.7 19.27l-25.4 25.46L256 153.5 364.7 44.73l-25.4-25.46L256 102.5l-83.3-83.23zM44.73 147.3l-25.46 25.4L102.5 256l-83.23 83.3 25.46 25.4L153.5 256 44.73 147.3zm422.47 0L358.6 256l108.6 108.7 25.4-25.4-83.2-83.3 83.2-83.3-25.4-25.4zM256 358.5L147.3 467.3l25.4 25.4 83.3-83.2 83.3 83.2 25.4-25.4L256 358.5z"}}]})(props);
};
function GiConversation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M211.313 21.094c-51.776 0-98.754 12.252-133.5 32.718C43.066 74.28 19.874 103.78 19.874 137.69c0 33.54 22.692 62.81 56.813 83.25L48.156 327.094l96.97-79.844c20.65 4.58 42.924 7.063 66.186 7.063 51.776 0 98.786-12.252 133.532-32.72 34.746-20.466 57.937-49.997 57.937-83.905s-23.19-63.41-57.936-83.875c-34.746-20.467-81.756-32.72-133.53-32.72zm0 18.687c48.8 0 92.866 11.77 124.03 30.126 31.165 18.357 48.75 42.447 48.75 67.78 0 25.338-17.585 49.457-48.75 67.814-31.164 18.357-75.23 30.125-124.03 30.125S118.445 223.857 87.28 205.5c-31.163-18.357-48.718-42.476-48.718-67.813 0-25.336 17.555-49.424 48.72-67.78C118.445 51.55 162.51 39.78 211.31 39.78zM96.53 89.938v18.688h93.126V89.937H96.53zm111.814 0v18.688h28.094V89.937h-28.094zm46.78 0v18.688h71.97V89.937h-71.97zM96.532 129.844v18.72h29.657v-18.72H96.53zm48.345 0v18.72h65.938v-18.72h-65.938zm84.656 0v18.72h38.095v-18.72H229.53zm56.782 0v18.72h40.782v-18.72h-40.78zM96.532 166.78v18.69h70.874v-18.69H96.53zm89.562 0v18.69h57.03v-18.69h-57.03zm75.72 0l-.002 18.69h65.282v-18.69h-65.28zm92.342 90.25c-74.88 0-135.594 41.762-135.594 93.283 0 51.52 60.716 93.28 135.594 93.28 18.23 0 35.623-2.48 51.5-6.968l68.53 51.156-24.873-71.03c24.947-16.918 40.437-40.432 40.437-66.438 0-51.518-60.714-93.28-135.594-93.28zm-70.344 42.345h32.907v18.688H283.81v-18.688zm51.594 0h90.344v18.688h-90.344v-18.688zm-78.97 41.75h78.314v18.688h-78.313v-18.688zm97.002 0h20.968v18.688h-20.97l.002-18.688zm39.656 0h51v18.688h-51v-18.688zm-109.28 39h79.06v18.688h-79.062v-18.688zm97.748 0h44.188v18.688h-44.188v-18.688z"}}]})(props);
};
function GiConverseShoe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M42.63 89c8.3 49.2 17.42 100.1 14.35 151.5-2.9 48.8-28.19 92.8-31.58 134.5h319.7c5.3-16.4 16.2-30.9 28.3-42.1 4.2-3.9 8.5-7.5 12.8-10.6-34.9-9.7-61.7-24-82.5-41.3H244v-18h41c-8.5-9.5-15.7-19.6-21.7-30H208v-18h46c-4.6-9.9-8.4-19.9-11.7-30H192v-18h44.8c-2.8-10.1-5.3-20.2-7.6-30H176v-18h49c-2.4-10.5-4.9-20.54-7.7-30H42.63zM128 215c31.4 0 57 25.6 57 57s-25.6 57-57 57c-31.37 0-57-25.6-57-57s25.63-57 57-57zm0 18c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm287.6 96c-5 .3-18.6 6.5-30 17.1-8.7 8-16.5 18.3-21.2 28.9H448c11.5 0 25.6-5.7 38.6-12.3-.4-4.2-1-7.7-2.2-10-1.6-3.3-3.9-5.7-8.7-8.3-9.6-5.2-28.9-9.5-60.1-15.4zm71.4 52.9c-2 .9-3.4 1.6-5.7 2.5C471 388.5 459 393 448 393H25v30h407c22.2 0 45.3-8.7 55-12.8v-28.3z"}}]})(props);
};
function GiConvict (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M185 25v14h142V25H185zm0 32v14h142V57H185zm2.512 32c-1.626 7.3-2.512 15-2.512 23 0 48.966 32.654 87 71 87s71-38.034 71-87c0-8-.886-15.7-2.512-23H187.512zm21.027 118.72c-22.123 6.853-39.915 18.596-54.614 33.583-.142.145-.28.294-.422.44 30.324 4.354 58.944 6.987 86.484 7.907l-31.45-41.93zm94.92 0l-31.667 42.223c29.804-.46 58.58-3.033 87.186-7.697-.304-.314-.6-.633-.906-.943-14.7-14.987-32.49-26.73-54.613-33.584zm-67.437 6.645L256 241.002l19.977-26.637A76.84 76.84 0 0 1 256 217a76.84 76.84 0 0 1-19.977-2.635zm-106.914 60.05c-3.84 6.633-7.324 13.557-10.493 20.685l28.81 7.203c110.47 15.786 106.675 15.786 217.147 0l28.81-7.203c-3.15-7.085-6.61-13.97-10.423-20.565-79.61 15.326-159.822 15.182-253.85-.12zm-22.905 54.69a326.24 326.24 0 0 0-1.533 5.303 362.76 362.76 0 0 0-4.926 19.975L135 363.195v-26.89l-28.795-7.2zm299.59 0l-28.795 7.2v26.37l34.857-10.048a360.236 360.236 0 0 0-4.53-18.22 326.34 326.34 0 0 0-1.532-5.302zM153 339.46v27.95c73.738 14.2 132.264 14.196 206-.004V339.46c-96.875 13.752-109.125 13.752-206 0zm265.188 48.806L377 400.14v27.055l44.227-11.056a528.943 528.943 0 0 0-3.04-27.874zM93.59 389.95a531.613 531.613 0 0 0-2.817 26.19L135 427.194v-26.89L93.59 389.95zM153 404.04v27.173c88.597 14.452 132.463 14.508 206 .205v-27.38c-72.118 13.164-133.882 13.164-206 0zm-64.152 48.726c-.356 14.784-.125 26.056.027 34.234H135v-22.695l-46.152-11.54zm334.304 0L377 464.306V487h46.125c.152-8.178.383-19.45.027-34.234zM153 467.696V487h206v-18.94c-71.098 13.194-121.477 13.04-206-.365z"}}]})(props);
};
function GiConvince (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v207.053c19.25 18.903 53.07 37.274 84.973 47.933 28.11 9.392 46.653 12.82 66.886 5.338 15.865-5.866 34.172-10.222 46.44-18.12 12.266-7.896 19.334-16.98 15.82-39.366l-.036-.233-.023-.234c-.327-3.16-.745-6.478-1.208-9.866-.18.048-.353.1-.536.146-10.828 2.783-26.286 4.28-45.757.356-1.35.83-2.715 1.64-4.107 2.41l-7.877 4.355-8.71-15.75 7.874-4.356c19.52-10.796 36.083-31.545 46.055-47.434-.362-1.25-.745-2.51-1.12-3.765-12.854 8.896-31.028 13.176-52.173 4.945l-8.387-3.265 6.53-16.774 8.386 3.265c19.01 7.4 29.868 2.503 39.136-5.938 7.444-6.78 12.796-16.308 16.33-23.72C200.162 74.25 174.97 45.817 150.072 18zm184.098 0c9.883 14.11 23.515 29.61 39.943 44.97 2.322-.828 4.714-1.657 7.226-2.462 12.116-3.887 25.88-7.772 38.888-7.238 4.336.177 8.587.846 12.664 2.17l8.56 2.78-5.556 17.118-8.56-2.777c-7.706-2.5-25.637.32-40.498 5.086-8.86 2.842-16.452 5.906-21.157 7.924 3.427 3.978 6.868 7.985 10.336 12.045l3.65 4.27-2.234 5.154c-1.224 2.822-2.9 6.616-5.104 10.833 10.92 13.352 26.323 27.074 37.03 34.844 17.4 12.628 42.365 27.795 61.884 31.898 9.76 2.052 17.528 1.385 23.1-1.996 5.572-3.382 10.426-9.972 12.86-24.143l1.524-8.872 17.74 3.05-1.525 8.868c-.04.223-.086.436-.126.657 31.894 13.803 62.577 22.355 87.45 22.82 4.85.09 9.452-.125 13.806-.633V106.63c-8.336 6.688-18.94 14.612-32.676 24.112l-10.24-14.803C472.05 101.436 485.12 90.98 494 82.956V18zm-140.23 1.408c11.063.573 118.618 57.055 88.53 46.65-1.587-.548-9.626-1.652-20.597-2.624 2.99 5.485 4.843 11.576 5.403 17.86.696 7.81-.678 14.718-4.043 19.93-3.365 5.21-9.344 8.953-17.078 7.756-7.734-1.196-14.553-6.918-18.953-13.33-4.4-6.41-7.063-13.943-7.76-21.752-.393-4.423-.122-8.556.798-12.255-22.742.214-43.964 2.89-48.23 11.275L61.11 19.53c.148-.1.404-.14.76-.122zm48.243 45.004c-.487-.075-1.508.018-2.813 2.04-1.305 2.02-2.272 5.74-1.87 10.237.4 4.497 2.065 8.626 3.772 11.113 1.706 2.487 2.772 2.905 3.26 2.98.49.076 1.512-.02 2.817-2.04 1.305-2.022 2.272-5.74 1.87-10.24-.4-4.497-2.065-8.623-3.772-11.11-1.707-2.487-2.775-2.905-3.264-2.98zm189.033 24.102c.576.01 1.155.03 1.736.064 18.6 1.05 37.856 12.446 57.638 33.215l-13.036 12.414c-17.96-18.858-33.937-27-45.617-27.658-11.68-.66-20.613 4.674-28.44 18.493l-15.66-8.87c9.8-17.305 25.495-27.965 43.378-27.66zm-75.247 84.984c-5.424 7.34-11.826 14.886-19.17 21.854 8.736.288 15.768-.762 21.112-2.135.762-.196 1.43-.396 2.115-.596-1.153-6.153-2.514-12.555-4.057-19.122zm163.516 6.063c-2.47 5.277-5.564 9.725-9.225 13.303 31.756 24.712 60.36 54.72 77.924 91.237l.894 1.857c30.018 39.74 39.6 93.688 31.875 140.422l-.427 2.585-1.75 1.95c-27.812 31.048-73.822 47.28-115.084 53.597-20.632 3.157-40.1 3.763-55.972 1.95-15.872-1.815-28.883-4.708-35.914-15.536l-1.035-1.594-.302-1.875c-1.843-11.445-2.61-22.47-3.927-33.252-17.095 19.167-29.632 38.814-36.216 59.795H494V202.477c-4.6.443-9.322.61-14.143.52-28.046-.525-59.884-9.43-92.445-23.436zM18 248.92v50.342c9.123 6.8 33.478 24.938 62.78 46.496 17.705 13.026 35.537 26.052 49.144 35.785 6.146 4.396 11.06 7.835 15.04 10.557.42-1.207.71-1.858 1.173-3.27 2.58-7.876 5.727-18.634 8.748-29.394 4.688-16.703 8.28-30.408 10.013-37.067-1.166-7.074-1.57-14.938-1.146-23.665-21.102 4.21-42.043-.48-66.484-8.646-28.234-9.435-57.335-23.897-79.268-41.14zm408.607 31.94c-.558-.018-1.087-.027-1.503.005-4.856.37-6.203 2.073-8.16 4.252-1.303 1.453-2.563 3.47-4.815 5.963-2.253 2.492-6.56 5.677-11.724 5.91-4.653.21-8.815-1.813-11.35-3.65-2.534-1.837-4.092-3.443-5.46-4.496-2.736-2.106-3.71-3.362-11.24-1.64-3.17.724-3.98 2.038-5.827 5.558-.923 1.76-1.817 3.907-3.128 6.324-1.31 2.417-3.092 5.53-7.095 7.713-2.902 1.58-5.935 1.408-7.737 1.026-1.8-.38-2.926-.905-3.955-1.365-2.057-.92-3.683-1.764-5.547-2.413-3.728-1.3-7.94-2.22-15.793.848-6.544 2.557-6.794 4.043-7.48 5.79-.343.874-.54 1.99-1.217 4.106-.677 2.117-2.908 6.577-7.324 8.29-3.775 1.464-7.653 1.175-10.342.604-2.69-.572-4.63-1.286-6.558-1.766-3.856-.96-7.658-1.625-15.57.95-4.61 1.5-9.89 8.046-12.335 16.86-2.4 8.648-1.578 18.425 1.157 23.342 30.118 34.035 28.01 69.583 32.198 98.74 2.26 1.604 9.918 5.4 21.886 6.766 5.613.642 11.98.935 18.855.864 1.086-34.234-7.61-76.94-20.19-104.827l16.405-7.404c13.87 30.74 22.888 73.896 21.845 111.273 4.66-.436 9.442-1.022 14.29-1.764 9.362-1.434 18.96-3.473 28.46-6.107-6.532-36.43-12.015-75.947-31.57-109.668l15.57-9.03c21.366 36.845 27.08 77.85 33.293 113.18 8.396-3.052 16.54-6.588 24.184-10.607-1.915-42.748-7.087-79.433-24.318-106.14l15.125-9.76c18.78 29.108 24.406 65.356 26.676 105.17 5.61-4.036 10.723-8.41 15.184-13.115 7.132-48.38-6.747-105.394-43.217-139.723-.53-.01-1.117-.04-1.676-.06zM18 321.7V494h201.545c7.798-28.846 25.177-54.816 48.295-79.12l-64.578-39.228-.065-.04c-9.837-6.207-19.81-13.738-27.28-24.73-1.19 4.364-2.42 8.847-3.702 13.42-3.056 10.885-6.236 21.773-8.973 30.132-1.368 4.18-2.605 7.693-3.787 10.5-.59 1.403-1.124 2.597-1.935 3.93-.406.668-.84 1.376-1.8 2.355-.963.978-2.718 2.94-6.853 2.94-2.477 0-2.973-.462-3.56-.69-.588-.23-.965-.42-1.33-.607-.73-.376-1.366-.752-2.098-1.2-1.464-.898-3.24-2.067-5.405-3.534-4.33-2.936-10.154-7.034-17.022-11.946-13.735-9.825-31.6-22.878-49.34-35.928C49.467 345.066 31.506 331.74 18 321.7z"}}]})(props);
};
function GiConwayLifeGlider (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.51 19.51V492.3H492.3V19.51H19.51zm18 18H171.1V171.1H37.51V37.51zm151.59 0h133.6V171.1H189.1V37.51zm151.6 0h133.6V171.1H340.7V37.51zm-84.8 9.94a56.85 56.85 0 0 0-56.8 56.85 56.85 56.85 0 0 0 56.8 56.9 56.85 56.85 0 0 0 56.9-56.9 56.85 56.85 0 0 0-56.9-56.85zM37.51 189.1H171.1v133.6H37.51V189.1zm151.59 0h133.6v133.6H189.1V189.1zm151.6 0h133.6v133.6H340.7V189.1zm66.9 10a56.85 56.85 0 0 0-56.8 56.8 56.85 56.85 0 0 0 56.8 56.9 56.85 56.85 0 0 0 56.8-56.9 56.85 56.85 0 0 0-56.8-56.8zM37.51 340.7H171.1v133.6H37.51V340.7zm151.59 0h133.6v133.6H189.1V340.7zm151.6 0h133.6v133.6H340.7V340.7zm-236.4 10.1a56.85 56.85 0 0 0-56.85 56.8 56.85 56.85 0 0 0 56.85 56.8 56.85 56.85 0 0 0 56.9-56.8 56.85 56.85 0 0 0-56.9-56.8zm151.6 0a56.85 56.85 0 0 0-56.8 56.8 56.85 56.85 0 0 0 56.8 56.8 56.85 56.85 0 0 0 56.9-56.8 56.85 56.85 0 0 0-56.9-56.8zm151.7 0a56.85 56.85 0 0 0-56.8 56.8 56.85 56.85 0 0 0 56.8 56.8 56.85 56.85 0 0 0 56.8-56.8 56.85 56.85 0 0 0-56.8-56.8z"}}]})(props);
};
function GiCook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255 22.31c-21.2 0-40.5 10.78-50.5 27.63l-4.4 7.42-7.6-4.08c-7.1-3.85-15.2-5.89-23.3-5.89-28.3 0-51.3 23.57-51.3 53.21 0 26.5 18.6 48.6 43.5 52.6l7.6 1.2v53.4c57.9-11.1 116-11.6 174 0v-69.7l4.8-2.6c15.7-8.3 26.1-26.1 26.1-46.15 0-28.8-20.7-51.12-45.4-51.12-6.5 0-13 1.61-18.9 4.72l-6.2 3.2-4.6-5.09C288 29.29 272 22.31 255 22.31zm1 194.79c-25.6 0-51.1 2.4-76.7 7-.9 6-1.3 12.2-1.3 18.6 0 29 9.2 55.2 23.6 73.7 14.4 18.5 33.5 29.3 54.4 29.3s40-10.8 54.4-29.3c14.4-18.5 23.6-44.7 23.6-73.7 0-6.4-.5-12.7-1.3-18.7-25.6-4.7-51.1-7-76.7-6.9zM208.7 348l-89.2 29.7-27.98 112H321.6L307.1 388l17.8-2.6 14.9 104.3h80.7l-28-112-89.2-29.7c-13.8 9.9-30 15.7-47.3 15.7-17.3 0-33.5-5.8-47.3-15.7zm69.3 52.7a9.999 9.999 0 0 1 10 10 9.999 9.999 0 0 1-10 10 9.999 9.999 0 0 1-10-10 9.999 9.999 0 0 1 10-10zm7 46a10 10 0 0 1 10 10 10 10 0 0 1-10 10 10 10 0 0 1-10-10 10 10 0 0 1 10-10z"}}]})(props);
};
function GiCookie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M266.9 31.85C158.6 30.52 30.27 148.3 32 256c1.82 113.4 142.9 231.4 256 224 95.5-6.2 189.9-119.7 189.8-215.4C477.7 161.1 375.4 36.94 272 32c-1.7-.08-3.4-.13-5.1-.15zm24.8 20.97c1 .04 1.9.18 2.9.41 16.7 4.1 27.3 37.42 15 49.47-12 11.8-44 .6-48-15.74-3.5-14.32 15.1-34.72 30.1-34.14zM135.4 131.4c1.4 0 2.7.2 4 .5 17.9 4.1 31.6 34.3 22.5 50.3-7.5 13.1-30.6 9.8-45 5.2-8.9-2.8-21.07-9.3-20.95-18.7.23-17.2 20.55-36.9 38.15-37.3h1.3zm238.7 69.5h1.2c12.1.2 24.7 14.9 25 27 .3 10.6-10.4 22.9-21 24-11.5 1.2-26.1-9.5-27.7-21-1.7-12.4 10-29.2 22.5-30zm-141 105.7c15.4 0 26 22.1 27 37.5.7 11.9-5.4 29.7-17.2 31.5-16.1 2.5-33.8-17.6-35.3-33.8-1.3-14.4 11-35.2 25.5-35.2zm188.6 1.1c1.2 0 2.2.1 3.3.4 11.7 3.2 17.8 26.9 9 35.2-8.5 8.1-30.9.9-33.7-10.5-2.5-10.2 10.6-24.8 21.4-25.1zm-269.6 19.9c19.2-.5 36 30.2 30.8 48.7-3.7 13.1-23.1 18.2-36.8 18-9-.1-21.4-4-24-12.7-5.9-19.7 9.4-53.4 30-54zm166.2 87.6c.3 0 .7.1 1 .1 11.3 1.1 21.2 17.4 18.8 28.5-2.2 10.1-16.2 18.7-26.3 16.5-8.8-1.9-15.8-13.5-14.9-22.5 1-10.2 11.2-22.8 21.4-22.6z"}}]})(props);
};
function GiCookingGlove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M233.1 41.41c-21.8.1-43.2 5.41-61 17.32-19.1 12.7-34.5 32.86-42.5 63.97-26.1 101.5 19.3 208.4 43.2 314.7 64.6 15 126 11.7 185.3-5.5 17.2-26.3 38.4-52.3 56.3-77.5 18.5-26.2 33.2-51.6 36.9-74.1 1.8-10.8.1-24.5-5.8-32.7-5.9-8.2-15-13.4-36.1-8.1-6.9 1.8-15.5 10.3-24 24.5s-17 33.1-26.3 52.4l-17.1-4.5c4.6-69.1 26.7-152.1-.4-215.52C330 68.77 284 42.73 237.5 41.46c-1.5-.04-2.9-.06-4.4-.05zM125.7 384.2c-1 0-2 .1-3 .1-12 .5-24.24 3.1-35.56 7.5-15.09 5.7-28.65 14.4-37.23 26.4-8.57 11.9-11.16 28.2-3.32 43.3l.45.9.65.8c9.41 11.2 24.41 14.2 39.51 13.3 15.1-.8 31.2-5.4 45.9-12 8.9-4 17.2-8.7 24.3-13.9l-.8-3.7c-1.2-5.3-2.4-10.6-3.7-16-6.5 6-16.3 12.3-27.2 17.2-12.9 5.8-27.44 9.8-39.48 10.5-11.5.6-19.75-1.9-24.06-6.4-4.35-9.2-3-16 2.38-23.5 5.59-7.8 16.35-15.3 29.03-20.1 9.53-3.7 20.03-5.9 29.93-6.3 3.3-.1 6.5-.1 9.6.2 4.9.4 9.4 1.4 13.4 2.8-1.8-6.6-3.5-13.2-5.4-19.9-2.1-.3-4.3-.6-6.5-.8-2.9-.3-5.9-.4-8.9-.4z"}}]})(props);
};
function GiCookingPot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 100c-8 0-16 4-32 12l10.848 32.543C179.665 147.226 112.76 160.04 98.68 183h314.625c-7.012-11.422-27.093-20.334-52.305-26.738V135h-18v17.266c-21.203-4.107-44.4-6.68-65.848-7.723L288 112c-16-8-24-12-32-12zM96 201v14H55v18h41v151c0 16 16 32 32 32h256c16 0 32-16 32-32V233h41v-18h-41v-14H96z"}}]})(props);
};
function GiCoolSpices (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M170.344 13.625l-17 22.72 17 22.718 17.03-22.72-17.03-22.718zM375.25 21.22l-22.313 29.75 22.313 29.78 22.28-29.78-22.28-29.75zm-130.28 18.5l-22.282 29.75 22.28 29.75 22.313-29.75-22.31-29.75zM54.03 43.093l-17 22.718 17 22.72 17.032-22.72-17.03-22.718zm391.126 24.843l-13.594 29.407-29.437 13.594 29.438 14.156 13.593 28.844 13.563-29.407 29.436-13.593-28.875-13.593-14.124-29.406zm-300.812 13.22l-17.063 36.968-36.968 17.063 36.97 17.78 17.062 36.25 17.03-36.968 36.97-17.063-36.25-17.062-17.75-36.97zm208.594 9.218l-22.313 29.75 22.313 29.78 22.28-29.78-22.28-29.75zM252.78 153.5l-18.5 24.688 18.5 24.718 18.5-24.72-18.5-24.686zm103.032 31.063l-14 30.375-30.375 14 30.375 14.593 14 29.814 14.032-30.375 30.375-14.032-29.783-14-14.625-30.375zM85.406 191.53l-17.03 22.69 17.03 22.718 17-22.72-17-22.687zm94.125 27.064l-17 22.72 17 22.717 17.032-22.717-17.03-22.72zm72.657 24.062c-7.673.11-14.296 4.334-21.687 10.03-46.035 35.503-104.323 87.027-105.03 115.814-8.237.98-15.564 5.264-15.564 12.813 0 11.258 15.384 15.297 26.625 12.25-.138.687-.218 1.404-.218 2.156 0 16.076 31.4 17.454 37.25 4.467 34.6 9.25 77.038 10.805 115.813 6.157 2.352 14.95 33.956 15.173 37.688 1.03 10.247 7.523 28.91 7.963 40.218 1.376 10.675 6.772 32.408 3.443 32.408-9.813 0-1.963-.465-3.7-1.313-5.218 5.86-2.54 10.063-6.99 10.063-13.376 0-14.332-21.145-18.725-34.72-13.594-4.536-31.173-59.7-84.754-100.874-115.688-8.093-6.08-14.688-8.492-20.656-8.406zM76.72 355.062c-10.75.023-21.5 5.02-21.5 14.907 0 19.773 43 19.4 43 0 0-9.978-10.753-14.93-21.5-14.908zm390.436 13.032c-9.547.042-19.094 4.416-19.094 13.03 0 17.73 38.188 17.568 38.188 0 0-8.783-9.547-13.072-19.094-13.03zm-428.75 15.72c-9.547.018-19.093 4.434-19.093 13.217 0 17.57 38.187 17.234 38.187 0 0-8.862-9.547-13.237-19.094-13.217zm411.72 23.498c-10.75.023-21.5 5.02-21.5 14.907 0 19.775 42.968 19.4 42.968 0 0-9.98-10.72-14.93-21.47-14.908zm-273.845 6.594c-6 .013-11.994 1.765-15.624 5.25-11.234-4.884-29.875-1.086-29.875 11.188 0 14.306 25.317 16.71 34.72 7.812 11.234 4.8 29.875 1.01 29.875-11.03 0-8.864-9.547-13.24-19.094-13.22zm87.22 1.594c-9.547.042-19.094 4.415-19.094 13.03 0 17.727 38.188 17.57 38.188 0 0-8.782-9.547-13.072-19.094-13.03zm-192 9.375c-9.547.02-19.094 4.435-19.094 13.22 0 17.566 38.188 17.23 38.188 0 0-8.865-9.547-13.24-19.094-13.22zM370 438.063c-9.547.04-19.094 4.446-19.094 13.062 0 9.873 11.848 14.203 22.344 13.063-.717 1.552-1.094 3.284-1.094 5.187 0 18.818 36.526 20.522 43.75 5.53 10.313.833 21.625-3.56 21.625-13.124 0-14.715-26.8-16.88-35.5-7.06-4.325-.91-9.065-.96-13.467-.19.345-1.054.53-2.18.53-3.405 0-8.784-9.546-13.104-19.093-13.063zm-150.906 3.5c-10.948.048-21.875 5.09-21.875 14.968 0 20.33 43.78 20.146 43.78 0 0-10.07-10.958-15.016-21.906-14.967zm100.594 17.687c-12.55.026-25.094 5.86-25.094 17.406 0 23.09 50.187 22.65 50.187 0 0-11.65-12.544-17.432-25.092-17.406zm-153 6.72c-10.948.047-21.907 5.087-21.907 14.967 0 20.328 43.782 20.145 43.782 0 0-10.072-10.927-15.016-21.875-14.968z","fillRule":"evenodd"}}]})(props);
};
function GiCoral (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M292.5 25.06c-.4 9.84-.9 19.71-1.4 29.59-3.8-.38-7.7-2.4-12.3-5.8-6.9-5.12-14-13.21-21.2-20.3L245 41.43c6.4 6.27 13.9 15 23 21.84 6.3 4.69 14.1 8.57 22.6 9.22-1.1 37.51-.4 74.91 6.9 111.21-10.9 14.4-19.6 31-26 48.2-1 2.7-1.9 5.4-2.9 8.1-13.4-6-27.7-15.6-41.6-26.8-13.7-34-14.6-68.6 5-95.7 9.8-6 14.6-17.76 16-29.81l-17.9-2.09c-1 9.34-6.4 16.3-8.9 17.1-.2.1-.4.1-.6.2l-.1-.1c0 .1-.1.1-.1.2-1 .2-2.1-.1-4.5-1.7-3-2.06-7.3-6.96-11.9-15.69l-16 8.32c5.4 10.37 11.1 17.57 17.6 22.17 1.5 1 3 1.8 4.5 2.5-11.5 22.1-13.4 47.1-8.5 72-.9-.8-1.7-1.7-2.6-2.5-24.7-24.5-43.3-48.2-56.6-60.1-.9-9.9-1.5-17.9-.9-24.5.9-10.73 3.7-17.78 12.9-26.71l-12.6-12.88c-11.6 11.36-17.1 24.16-18.3 38.09-.7 9.3.1 19.7 1.3 31-21.3-11.9-41.34-21.2-66.46-27.5L54 123c25.1 6.3 44.29 15.5 66.7 28.4 6.9 6.1 29.3 33.1 55.8 59.4 24.2 24 52.8 48.7 84.8 60.8-3.2 23.7-.9 47.2 9.9 67-6.4 6.7-12 13.8-16.9 21.2-2.7 4.1-5.1 8.2-7.4 12.4-22.2-7.7-52.1-26.6-76.8-47.8-.7-.6-1.4-1.3-2.2-1.9.3-7.2 3.2-15.7 7.8-24 5.8-10.5 14.2-20.4 21.6-27.1L185.2 258c-8.9 8.1-18.3 19.2-25.2 31.7-3.2 5.8-6 11.9-7.8 18.2-7.1-7-13.5-13.9-18.7-20.2-9.3-11.4-14.6-22.2-15-24.5-7.3-38.6-10.7-51.1-40.03-90.9l-25.77 19c7.18 9.7 12.44 17.1 16.43 23.2-13.82 1.5-29.01-2.2-37.78-10.2l-12.1 13.4c15.54 14.1 38.51 18.3 58.95 13.6 3.77 9.4 5.25 19.2 8.8 37.9.28 1.5.64 2.9 1.05 4.4h-1.03c-19.91.8-37.54 11.6-51.15 26.6l13.32 12.1c14.08-15.5 29.07-23.8 47.67-20.2 3.34 5.2 7.34 10.3 11.84 15.8 10.9 13.3 24.9 27.4 40.5 40.8 10.9 9.3 22.5 18.3 34.3 26.4-21.2 8.1-52.6 12.5-76.5 8.5l-3 17.7c11.6 2 24 2.6 36.3 1.8-1.3 4.7-1.4 9.6-.5 14.1 2 10.1 8.7 18.7 17.7 24.8l10.1-14.8c-5.8-4-9.3-9.2-10.2-13.6-.9-4.4-.2-8.3 4.8-13.1 14.7-2.8 28.5-7.4 39.7-13.8 10.7 6.1 21.5 11.3 32.1 15-11.2 32.6-13 64.6-13.7 84.6h32c.9-27.3 4.6-72.3 28.7-108.8 9.8-14.8 22.6-28.5 40.5-39.3 23.6 4.6 46.6 9.7 67.6 17-1.8 9.6-7.9 14.5-15.2 22.9-3.8 4.5-7.9 10-9.8 17.3-2 7.3-1.7 16 1.5 25.9l17.2-5.4c-2.5-7.6-2.3-12.2-1.4-15.8 1-3.6 3-6.6 6.2-10.2 5.4-6.3 14.8-14.4 18.4-28 10.2 4.5 19.8 9.7 28.6 16l10.4-14.7c-28-20-61.5-30.2-96-37.7 22.6-7.8 50.9-11.8 86.9-10.6 5.4 11.5 16.1 21.7 29.2 30l9.7-15.2c-17.3-11-25.5-23.9-24.7-32.6.5-4.4 2.9-8.9 9.4-13.9 6.6-5 17.4-10.1 33.3-14l-4.4-17.5c-17.4 4.3-30.4 10-39.9 17.2-5.2 4.1-9.5 8.8-12.2 13.9-4.9-.1-9.4-.2-13.9-.1-13.4.1-26 1-37.9 2.5 19.8-24 31.8-51.9 36.1-83l-17.7-2.5c-1.9 13-5.1 25.2-9.9 36.8-5.5-.6-10.4-2.9-14.6-6.2-5.8-4.7-9.9-11.6-11.1-17.7l-17.7 3.6c2.2 10.7 8.4 20.8 17.5 28.1 5 4 11.2 7.2 17.7 8.9-7.8 13.8-18.1 26.4-30.9 38.1-22.5 5.9-41.5 14.8-57.4 25.6-6.7-19.3-5-47 4.9-73.8 10.6-28.4 29.9-54.2 49.9-66.7 4.9 2.1 10.4 3.1 15.7 3.4 11 .6 22.7-1.3 33.7-4 22.1-5.3 41.6-13.9 41.6-13.9l-7.2-16.5s-18.5 8.1-38.6 12.9c-10 2.4-20.4 4-28.5 3.5-8-.4-12.5-2.5-14.6-5.7-.8-1.3-1.2-3.8.6-8.6 1.8-4.9 5.6-11 9.9-16.7 8.5-11.3 18.6-20.8 18.6-20.8l-12.2-13.16S359.2 107.1 349.5 120c-4.9 6.5-9.5 13.6-12.3 21.2-.9 2.4-1.6 4.9-2 7.5-8.1 4.8-15.7 10.7-22.6 17.5-6.8-44.5-4.3-92.12-2.2-140.32z"}}]})(props);
};
function GiCorkedTube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M342.072 9.492l7.877 4.55c-3.83 6.624-18.15 31.747-25.464 57.745-3.656 13-5.433 26.102-3.857 36.58 1.574 10.478 5.677 18.082 15.31 23.637 9.382 5.408 17.99 5.178 27.902 1.336 9.913-3.842 20.485-11.84 30.06-21.403 19.138-19.113 34.27-44.025 38.127-50.695L342.07 9.492zm-31.006 30.912l-4.656 8.102c-65.54 114.04-127.84 220.083-192.724 331.85-21.68 37.343-14.265 83.987 19.226 103.228 33.492 19.242 77.81 2.41 99.324-35.072 64.292-111.995 126.706-217.98 192.727-331.852l4.705-8.117-5.225-3.002c-5.17 6.54-10.985 13.28-17.334 19.62-4.526 4.52-9.317 8.85-14.376 12.748C334.977 237.35 256.794 371.864 218.814 438c-16.704 29.078-50.333 43.54-76.033 28.78-12.85-7.38-20.423-20.697-22.5-35.155-2.075-14.458 1.03-30.36 9.44-44.844 37.22-64.13 114.514-197.106 172.124-296.608.803-7.887 2.495-15.78 4.652-23.445 2.366-8.41 5.33-16.568 8.43-24.106l-3.86-2.216zm-57.03 169.48c-42.186 72.684-83.947 144.55-108.16 186.272-6.41 11.04-8.512 22.943-7.095 32.813 1.42 9.868 6.04 17.415 13.314 21.592 14.55 8.357 37.802.232 50.5-21.875 28.334-49.335 78.162-135.183 126.732-218.804h-75.29z"}}]})(props);
};
function GiCorkscrew (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M263.1 35.94c-1.5.5-4.2 1.73-7.4 3.77-6.9 4.38-15.8 11.85-24 19.98-8.1 8.13-15.6 17.03-20 23.92-2 3.16-3.2 5.81-3.7 7.31 15.7 15.38 31.3 25.88 44.6 33.88 13.9 8.3 25.1 13.4 32.9 21.1l.6.7.5.7c45.5 68.3 19.7 42.6 88 88l.7.5.7.6c7.7 7.8 12.8 19.1 21.1 32.9 8 13.3 18.5 28.9 33.9 44.6 1.5-.5 4.2-1.7 7.3-3.7 6.9-4.4 15.8-11.9 24-20 8.1-8.2 15.6-17.1 20-24 2-3.2 3.2-5.9 3.7-7.4-11.6-11.6-32.3-31.3-62.6-41.4l-3.6-1.1-1.7-3.4c-21.5-43.1-66-87.5-109-109.2l-3.3-1.6-1.2-3.48c-10.2-30.37-29.9-51.02-41.5-62.68zm32.5 157.86l-26.4 26.4 32.5 32.5 26.4-26.3c-16.7-11.1-21.4-15.9-32.5-32.6zm-34.9 43.3c-7.4 9.5-8.4 17-7.5 34.5.5 9.8-2.6 18.7-3.3 19.2-.8.7-2.3.6-6.7-.9-4.1-1.4-10.6-4.7-17.4-8.2-7-3.5-14.7-7.5-22.9-10-8.1-2.4-17.6-2.9-23 2.4-5.6 5.6-4.5 15.7-1.8 24 2.7 8.2 7.1 16.1 10.7 23.3 3.8 7.1 6.9 13.5 8.2 17.1 1.4 3.9 1.1 3.9.6 4.5-.4.4-.5.6-4.4-.7-3.7-1.2-10-4.4-17.2-8.1-7.1-3.7-15-8.1-23.2-10.7-8.3-2.8-18.4-3.8-24 1.8-5.5 5.5-4.5 15.6-1.7 23.9 2.6 8.2 7.1 16.1 10.7 23.2 3.6 7.2 6.8 13.5 8.2 17.1 1.2 4 1 4.1.5 4.6s-.5.7-4.4-.7c-3.7-1.2-10.1-4.4-17.1-8.2-7.2-3.6-15.1-8-23.3-10.7-8.29-2.7-18.41-3.8-23.99 1.8-5.45 5.5-4.88 15.1-2.26 23.3 2.61 8.2 6.71 16 10.32 23 3.68 7 6.79 13.4 8.34 17.5 5.66 15-58.55 14.4-68.09 12.2 6.43 16.5 80.48 34 94.38 16.4 4.4-6.3 3-16 .2-24.3-2.9-8.2-7-16-10.7-22.9-3.4-6.8-6.5-12.9-7.6-16.6-1.1-3.6-.9-3.8-.3-4.3.5-.5.5-.7 4.4.5 3.7 1.4 10.1 4.5 17.2 8.2 7.1 3.7 14.9 8 23.3 10.7 8.2 2.8 18.4 3.8 23.9-1.7 5.6-5.6 4.5-15.7 1.8-24s-7.1-16.1-10.7-23.2c-3.8-7.2-7-13.5-8.3-17.2-1.2-3.9-1-4-.6-4.4.6-.6.7-.8 4.5.5 3.7 1.4 10 4.5 17.2 8.3 7.1 3.6 15 7.9 23.2 10.7 8.3 2.7 18.4 3.8 23.9-1.7 5.7-5.7 4.6-15.8 1.9-24.1-2.8-8.3-7.1-16.1-10.7-23.2-3.8-7.1-6.9-13.5-8.3-17.2-1.2-3.8-1-3.9-.5-4.4.6-.6.8-.9 4.4.2 3.5 1.2 9.3 4 16.2 7.3 6.7 3.5 14.5 7.7 22.6 10.4 8.1 3 17.5 4.5 24.4.9 11.1-6.4 11.6-21.4 9.6-33-1.7-10.2-.1-16.8 3.8-22.6z"}}]})(props);
};
function GiCorn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M130.543 39.226l13.316 66.134c2.8-3.765 5.596-7.473 8.384-11.048l17.066-21.885-.974 27.736c-.69 19.64-1.247 39.345-1.49 58.973 6.94-3.547 14.11-7.24 21.494-11.108 14.69-7.69 29.31-15.51 41.242-22.017-3-6.667-6.218-13.2-9.916-19.5-15.624-26.61-39.145-50.258-89.123-67.284zm300.03 3.724c-1.405.014-2.832.088-4.28.22 4.59 6.668 9.32 12.88 14.29 18.708l12.968-12.967c-6.443-3.9-14.258-6.046-22.978-5.96zm-22.645 4.828c-2.824 1.143-5.69 2.488-8.586 4.07-1.83.996-3.664 1.98-5.495 2.973.78 1.247 1.562 2.483 2.348 3.7 4.43-2.915 8.834-5.77 13.195-8.533-.49-.726-.975-1.473-1.462-2.21zm58.35 13.86L452.874 75.04c5.875 5.755 12.12 11.16 18.86 16.336 1.55-11.45-.575-21.67-5.458-29.738zm-88.18 1.705c-6.794 3.656-13.59 7.3-20.38 10.94 1.52 2.57 3.05 5.077 4.588 7.52 6.406-4.58 12.767-9.032 19.073-13.343-1.103-1.678-2.194-3.39-3.28-5.117zm41.884 1.25c-4.455 2.814-8.952 5.716-13.488 8.7 3.288 4.364 6.66 8.533 10.156 12.52l11.403-11.404c-2.757-3.173-5.44-6.446-8.07-9.817zm-78.05 18.178c-7.558 4.073-15.095 8.16-22.594 12.27 2.482 4.546 4.97 8.91 7.482 13.096 7.037-5.412 14.042-10.692 21.006-15.828-1.99-3.093-3.95-6.277-5.893-9.537zm49.808.426c-6.383 4.367-12.83 8.883-19.33 13.54 4.776 6.542 9.727 12.63 14.96 18.357l16.766-16.768c-4.287-4.812-8.406-9.844-12.396-15.13zm48.656 4.323l-11.29 11.288c3.424 3.257 6.974 6.402 10.673 9.46 3.202-4.148 6.437-8.332 9.593-12.415-3.074-2.71-6.07-5.48-8.977-8.334zM303.61 103.73c-7.378 4.124-14.707 8.288-21.975 12.503 3.508 6.854 7.005 13.322 10.537 19.414 6.827-5.588 13.643-11.066 20.443-16.435-3.05-4.946-6.043-10.105-9.004-15.48zm54.442 3.437c-7.102 5.25-14.255 10.65-21.445 16.195 5.945 8.62 12.127 16.47 18.762 23.73l19.507-19.507c-5.9-6.388-11.475-13.17-16.824-20.418zm105.27.074c-3.028 3.92-6.133 7.937-9.207 11.92 1.775 1.244 3.59 2.477 5.432 3.702 1.267-2.337 2.52-4.68 3.795-7.015 1.153-2.115 2.177-4.21 3.095-6.287-1.047-.77-2.087-1.54-3.115-2.32zm-46.695 4.048l-16.532 16.53c4.718 4.312 9.686 8.43 14.946 12.417 4.7-6.056 9.32-12.013 13.925-17.97-4.273-3.543-8.383-7.19-12.338-10.977zM266.2 125.565c-.83.906-1.07.793-1.485 1.09-.558.4-1.1.752-1.735 1.153-1.268.8-2.864 1.753-4.828 2.892-2.413 1.4-5.514 3.145-8.904 5.033-2.702 1.698-5.397 3.405-8.074 5.125 3.755 8.345 8.797 16.637 15.002 25.17 7.333-6.372 14.678-12.64 22.025-18.8-4.073-6.815-8.057-14.03-12-21.663zm-116.65 2.803C90.93 211.753 34.103 335.944 40.22 432.138c5.696 6.334 12.39 12.947 19.215 17.95 7.61 5.582 15.156 8.76 19.907 8.76h.45l139.268 13.926c-68.43-92.97-72.94-220.298-69.51-344.406zm293.692 4.87c-4.444 5.752-8.902 11.505-13.44 17.357 3.562 2.317 7.27 4.602 11.106 6.87 3.373-6.288 6.746-12.58 10.13-18.874-2.65-1.763-5.263-3.542-7.796-5.353zm-120.662 1.107c-6.922 5.48-13.865 11.083-20.822 16.8 6.816 10.3 13.91 19.52 21.61 27.948l19.51-19.508c-7.19-7.783-13.896-16.15-20.298-25.24zm65.023 5.966l-19.508 19.51c6.02 5.5 12.446 10.686 19.374 15.687 5.624-7.137 11.186-14.23 16.686-21.283-5.807-4.458-11.314-9.074-16.553-13.912zm-162.52 8.6c-6.484 3.484-13.3 7.11-20.3 10.802 4.492 10.944 11.093 22.845 19.223 35.006 6.07-5.553 12.16-11.05 18.27-16.48-7.103-9.59-12.857-19.13-17.192-29.327zm62.9 13.685c-6.882 5.788-13.763 11.678-20.638 17.658 7.596 9.074 16.32 18.562 26.073 28.79l17.46-17.458c-8.167-8.842-15.714-18.43-22.894-28.99zm130.845 2.115c-5.385 6.91-10.834 13.864-16.346 20.865 5.56 3.47 11.445 6.88 17.672 10.28 4.108-7.497 8.183-15.046 12.254-22.602-4.7-2.8-9.226-5.642-13.58-8.543zm-230.043 3.377c-7.095 3.687-13.966 7.22-20.463 10.51 3.642 13.868 11.777 30.123 22.885 46.923 6.346-6.118 12.732-12.185 19.158-18.193-9.026-13.173-16.406-26.366-21.58-39.24zm166.818 4.225l-19.508 19.507c7.207 6.583 14.993 12.72 23.534 18.624 5.666-7.013 11.274-14.016 16.823-20.994-7.41-5.446-14.336-11.123-20.85-17.138zM253.58 192.354c-6.36 5.658-12.702 11.39-19.02 17.184 8.084 10.67 17.152 21.326 26.858 31.506l19.263-19.264c-10.142-10.567-19.194-20.173-27.1-29.426zm137.777 7.317c-5.434 6.843-10.926 13.71-16.48 20.595 7.44 4.473 15.463 8.87 24.092 13.287 4.212-7.266 8.368-14.596 12.49-21.973-7.073-3.895-13.765-7.85-20.103-11.91zm-67.754 4.642l-17.46 17.458c8.36 7.97 17.038 15.497 25.783 22.417 5.536-6.632 11.016-13.27 16.447-19.91-8.91-6.3-17.12-12.9-24.77-19.965zM167.437 221.79c.31 8.662.715 17.282 1.262 25.836 3.052-3.06 6.117-6.108 9.198-9.145-3.788-5.568-7.284-11.143-10.46-16.69zm53.653.22c-6.492 6.08-12.944 12.228-19.352 18.423 8.29 11.04 17.64 22.08 27.68 32.61l19.263-19.263c-9.95-10.366-19.25-21.02-27.59-31.77zm142.412 12.268c-5.642 6.908-11.343 13.822-17.106 20.73.95.67 1.9 1.326 2.848 1.98 11.135-5.043 21.08-9.175 29.514-11.823.806-.253 1.553-.48 2.33-.723-6.137-3.337-12.01-6.713-17.586-10.164zm-70.094.23l-19.264 19.262c9.262 8.83 18.92 17.118 28.62 24.633 5.875-6.745 11.693-13.52 17.456-20.314-9.126-7.32-18.12-15.24-26.812-23.583zM188.6 253.257c-6.066 5.994-12.07 12.037-18.024 18.104.08.84.16 1.677.242 2.514 8.02 10.558 16.996 21.096 26.6 31.168l19.263-19.264c-10.078-10.5-19.56-21.436-28.08-32.52zm207.175 6.792c1.045.547-4.21-.04-11.627 2.29-7.62 2.39-17.802 6.602-29.472 11.934-23.342 10.665-52.773 25.796-82.73 40.12-29.96 14.327-60.4 27.873-86.608 35.478-.61.177-1.208.335-1.815.506 9.725 39.354 24.64 75.796 47.09 107.666 10.53-.556 19.844-2.732 28.217-6.078 18.345-7.332 32.617-20.42 44.62-35.205 12.005-14.786 21.526-31.097 30.673-44.343 4.573-6.623 9.025-12.513 14.183-17.188 5.16-4.675 11.558-8.383 19.036-8.383 16.213 0 30.66 10.89 45.064 26.074 9.18 9.68 18.34 21.64 27.37 34.79 2.69-28.988 8.2-55.247 7.468-77.426-.482-14.58-3.403-27.167-10.916-38.607-7.486-11.398-19.84-22.032-40.553-31.627zm-134.367 6.457l-19.264 19.263c5.433 5.18 11.003 10.173 16.637 14.94 1.8-.852 3.6-1.694 5.4-2.555 7.132-3.41 14.244-6.875 21.275-10.324-8.177-6.68-16.235-13.824-24.047-21.323zm-32 32l-19.264 19.263c1.084 1.034 2.176 2.056 3.27 3.075 8.875-3.585 18.068-7.574 27.39-11.795-3.846-3.427-7.648-6.946-11.396-10.543zm-54.406 8.834c.887 5.78 1.856 11.515 2.922 17.198l6.757-6.758c-3.296-3.435-6.522-6.92-9.678-10.44z"}}]})(props);
};
function GiCornerExplosion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M293.324 20.738l-5.256 162.94L141.478 60.45l47.157 112.16L67.86 91.446 189.37 221.64 21.17 158.567 174.77 304.57l-113.885 2.92 160.02 77.09-127.9 14.602L196.91 435.81l-39.666 10.676 124.395 30.37-36.208 20.44h244.12v-91.835l-74.345-188.675 74.346 107.865v-44.025l-20.112-154.42-17.323 84.563L403.12 55.193 377.33 141 343.295 35.92l6.68 106.877-56.65-122.06zm12.133 116.823l73.764 121.56 15.376-30.233 38.836 141.656-73.946-103.967 9.682 76.022-77.018-20.64 102.518 91.044-33.8 6.584 93.515 53.76-202.012-61.412 64.49-21.9-113.56-57.97 74.012 13.08L156.25 242.18l126.86 37.164-19.96-60.555 69.795 44.25-27.488-125.48z"}}]})(props);
};
function GiCornerFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 32v298.582l-41.893 22.178c-3.534 10.965-9.343 20.92-16.877 29.303l67.77-35.88 105.512 55.86c-65.754 32.576-140.177 33.31-206.332 2.242C146.677 407.328 137.53 409 128 409c-7.938 0-15.606-1.17-22.863-3.313L18 451.817v20.365l113.213-59.936c78.502 43.595 171.072 43.595 249.574 0L494 472.182v-20.364L265 330.582V143.756c25.495-1.29 37.302-7.34 55 .244 29.395 23.17 64 48 96 48l-16-32c-48 0-53.708-90.33-80-112-19.185-11.34-29.794-15.214-55-15.88V32h-18zM116.963 265.975c-15.102 2.65-28.325 10.627-37.65 21.957L80 288l5.658 25.99-20.61 12.035c-.02.658-.048 1.313-.048 1.975 0 9.597 2.134 18.675 5.94 26.8l1.53-2.8 26.145 4.893 3.426 26.377-2.284 1.085C108.244 388.6 117.83 391 128 391c3.24 0 6.42-.244 9.525-.71l-6.257-6.618L144 360.316l26.146 4.89 1.124 8.64c10.107-9.54 17.04-22.395 19.09-36.87l-7.628 3.883-18.808-18.81L176 298.35l8.31 1.316c-6.132-12.207-16.102-22.12-28.357-28.17l.094 1.15-24.547 10.25-14.537-16.92zM128 304l18.81 18.81-12.078 23.7-26.27-4.16-4.163-26.274L128 304z"}}]})(props);
};
function GiCornucopia (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M249.4 25.6c-15.8.49-36.7 11.91-50.7 18.51 15.2 2.23 33.5 6.67 45.2 13.9C256.6 50.15 262.7 41.1 265 31c-3.9-4.1-9.4-5.59-15.6-5.4zm-79.3 34.37c-16.1 1.66-40.7 11.42-50.4 38.2 30.1-5.32 64.9-14.77 87.1 6.33 16.2-5.65 20.7-20.65 25.2-32.45-19.8-9.66-41.6-11.32-61.9-12.08zm267.1 12.67c-16.5 18.03-18.6 26.03-22 41.16l11.7 16.9 18.4-17c1.5-15.13 1.2-18.23-8.1-41.06zm-47 34.66c-1.5 16.1-1 30.8 1.2 43.3l20.9 20.5 4.9-28.2-10.9-22.9c-4.9-4.2-10.3-8.5-16.1-12.7zM161.9 109c-26.1.1-55.7 12.3-72.9 19.9-40.81 24.8-54.24 59-57.44 97.4 34.32-56.4 101.84-82.6 159.74-83.7 6.8-7 7.1-14.2 6.3-21.5-9.4-8.9-22.1-12.2-35.7-12.1zM470 121.3c-6 1.4-11.5 3.1-16.8 4.9l-21.3 19.4-5 28.3 26.4-11.3c6.6-11 12.4-25.1 16.7-41.3zm-278.6 39.3C114 162.2 51.39 208 30.29 273.1c-1.47 27.3.76 51.9 29.44 69.3-2.71-83 67.57-141.6 137.07-163.5 3.2-7-.6-13.2-5.4-18.3zm184.4 2.1c-.4 46.2 13.6 48 28 56.3l5.3-29.9-20-19.4c-4.2-2.3-8.6-4.7-13.3-7zm87.9 15.4c-3.7.4-7.5.7-11.1 1.1l-28.8 12.6-5.4 30.4c21.2-1.5 31.6-4.3 45.3-44.1zm-257.2 16.7c-82.3 25.4-148.52 102.1-121.89 177 11.35 32.4 35.09 36.3 55.79 39.6-23.1-78.2 23.7-166.1 87.6-197.6-3.7-9.6-13.8-16.6-21.5-19zm42.4 29.9c-61.6 26.4-110 104.1-95.7 166.8 14.4-16.9 36.6-25.9 58.7-22.3 1.5-2.8 3.4-5.3 5.6-7.6-1.2-30.1 9.3-62.2 14.8-88.8 7.7 1.2 15.4 2.3 23.1 3.4 13.1-10.4 28.9-18.4 46.4-22.9-2.8-8.3-6.2-13.2-10.7-20.4-11.4-7.8-24-13.3-42.2-8.2zm101.7 7c-.7 6.5-.9 12.4-.7 18 16.3 1.6 31.6 6.1 45.2 12.9l-9.2 28.5 14.7 3.6 7.2-24.8c28.8 18.9 47.2 48.8 47.2 82.1 0 4.5-.3 8.9-1 13.2 6.1 1 12.7 3.8 17.1 6.9 1.2-6.6 1.9-13.3 1.9-20.1 0-42-24.1-78.6-60.3-100.2.7-4.9 1.4-10.2 2.2-16.1l-14.8-2.3c-.5 3.9-1 7.5-1.5 11-14.7-6.7-30.9-11.1-48-12.7zm-18.5 6l-16 3.1c6 14.7 6.1 29.1 5.2 43.4 5.1.6 10.3 1.1 15.4 1.5-3.1-15.4-5.6-30-4.6-48zm-85.6 55.4l-2.9 13.9 146.3 11.8 1.6-10.8c-51-3.2-99.1-8.3-145-14.9zm14.7 34.2c-9.2 0-15.9 6.7-15.9 14.5s6.7 14.5 15.9 14.5 15.9-6.7 15.9-14.5-6.7-14.5-15.9-14.5zm51.3 4.9c-9.8 0-17.3 7.4-17.3 16.6 0 9.2 7.5 16.6 17.3 16.6s17.3-7.4 17.3-16.6c0-9.2-7.5-16.6-17.3-16.6zm50.9 3.4c-9.2 0-15.9 6.7-15.9 14.5s6.7 14.5 15.9 14.5c8.4-.1 15.7-7.1 15.9-14.5 0-7.8-6.7-14.5-15.9-14.5zm44 0c3.4 16.5 3.8 30.6 3.4 45.4 6.1 5.6 9.6 3.2 14.8-1-3.7-14.4-5.6-30.6-2.6-43.3zm-166.5 34.3c-8.4 0-14.9 6.5-14.9 14.5s6.5 14.5 14.9 14.5 14.9-6.5 14.9-14.5-6.5-14.5-14.9-14.5zm46 8c-7.6 0-13.5 5.8-13.5 13.1s5.9 13.1 13.5 13.1 13.5-5.8 13.5-13.1-5.9-13.1-13.5-13.1zm91.2 1.3c-6-.2-10.9 6-16.5 15.7-4.7 8.4-7.6 19-8 27.6-1 23.4 12 52.9 31.2 63.8 11.4 2.3 22.4-4.4 33.2-4.2 9.1-1.6 25.9 11.6 33 7.6h.1c10.2-5.6 18.5-16.7 23.6-30.1 5.1-13.3 6.9-28.6 5.1-41.2-1.1-7.3-4.6-15.9-9.7-22.6-5.1-6.7-11.4-11.3-17.6-12.6-13.5 5.5-23.6 19.5-35.6 19.5-14.9 2.6-27.9-22.9-38.8-23.5zm-45.2 2.3c-8.5 0-14.5 6-14.5 12.8 0 6.8 6 12.8 14.5 12.8 1.8 0 3.5-.3 5-.8 1.6-6.4 4-12.9 7.3-18.9-2.5-3.5-6.9-5.9-12.3-5.9zm-131.3 4.9c-19.6.2-37.9 13.4-44.5 34.4-8 25.8 5.4 52.2 29.4 59.7 20.2 6.2 41.7-2.7 52.9-20.9-9.3-5.8-15.6-15.8-15.6-27.3 0-6.5 2-12.5 5.4-17.6-11.6-4.4-20.1-15.1-21.1-27.9-2.2-.3-4.3-.4-6.5-.4zm56.1 31.4c-9.2 0-15.9 6.7-15.9 14.5s6.7 14.5 15.9 14.5 15.9-6.7 15.9-14.5-6.7-14.5-15.9-14.5zm53 6.1c-10.6 0-18 7.2-18 15.2 0 8 7.4 15.2 18 15.2s18-7.2 18-15.2c0-8-7.4-15.2-18-15.2zm30.2 33.3c-5.4 7.6-14.2 13.1-24.1 14.6 10.9 1.3 20.8 1.5 30.9.7-2.7-4.8-5-10-6.8-15.3zm-67.3 7.4c-9.2 0-15.9 6.7-15.9 14.5s6.7 14.5 15.9 14.5 15.9-6.7 15.9-14.5-6.7-14.5-15.9-14.5z"}}]})(props);
};
function GiCoronation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M110.856 50.373c-4.289-.091-8.97 1.201-13.855 3.974-7.815 4.436-15.57 12.706-20.586 23.664-5.016 10.958-6.207 22.235-4.457 31.049s6.028 14.76 12.027 17.506c5.999 2.746 13.296 2.098 21.111-2.338 7.815-4.436 15.57-12.708 20.586-23.666 5.016-10.958 6.207-22.233 4.457-31.047s-6.028-14.76-12.027-17.506c-2.25-1.03-4.682-1.582-7.256-1.636zM266.938 79.83l3.158 34.64-34.638-8.844 3.156 34.64-34.639-8.845 35.795 41.483 62.965-51.592zM61.048 129.4c-27.989 32.733-17.602 69.647-23.278 152.113-3.037 52.28-4.751 125.24-18.652 178.877H78.2c-3.42-12.717-11.376-11.458-32.334-14.79C63.382 398.616 63.012 341.9 73.907 295.922c14.704 48.344 17.938 116.123 22.338 164.467l64.459.248c-6.723-14.747-18.838-14.824-40.645-17.521 2.451-91.78-14.807-191.88-10.67-261.424 12.405 17.217 19.833 28.382 44.163 39.637 17.033-5.673 44.009-18.605 64.761-37.442l-13.773-17.224c-21.008 8.648-30.82 14.272-48.815 27.177-10.452-17.337-27.853-37.185-41.933-53.855-11.554 6.496-25.238 8.467-37.297 2.947-6.503-2.977-11.656-7.744-15.447-13.533zm235.304 46.508c-5.298-.121-9.812 1.346-13.33 4.209-5.117 4.164-7.767 10.993-7.248 19.964.52 8.972 4.507 19.585 12.114 28.932 7.606 9.347 17.19 15.409 25.869 17.74 8.678 2.332 15.902 1.124 21.02-3.04 5.116-4.165 7.769-10.994 7.25-19.966-.52-8.97-4.51-19.586-12.116-28.933-7.607-9.347-17.189-15.407-25.867-17.738-2.712-.729-5.283-1.113-7.692-1.168zm61.47 64.412c-2.198 6.706-6.03 12.752-11.684 17.353-8.425 6.856-19.163 9.123-29.815 7.86l-17.764 51.593c-23.887-19.119-21.008-19.596-33.611-29.752l-14.45 14.88c14.9 22.152 41.159 38.663 55.577 39.58 16.303-13.172 24.397-35.43 33.6-51.221 12.194 21.115 22.89 31.738 28.033 58.656-26.345 3.216-47.191 7.628-66.772 13.773-11.928 28.678-4.843 57.944-3.304 79.229-21.82 1.926-36.488 3.791-45.332 18.12h67.847c1.334-25.93-1.594-46.712-.158-70.112 14.757-.875 36.395 1.388 58.232-7.221-10.028 30.347-14.07 77.567 1.329 77.332 40.849-.624 55.168-11.297 79.673-24.076 10.758 24.182 34.55 32.637 33.633 18.355-9.4-12.598-21.035-25.694-24.99-42.417-31.704 14.746-44.336 20.923-66.205 22.755 11.165-20.84 35.358-60.87 34.2-84.031-2.806-56.052-53.141-95.034-78.04-110.656z"}}]})(props);
};
function GiCorporal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.978 93.103C226.38 140.78 161.383 218.66 106 257.6v52.892c53.113-38.92 105.113-92.537 140.56-145.71l9.44-14.158 9.44 14.16c35.333 53 87.963 106.296 140.56 145.47v-52.593c-56.39-38.937-120.654-116.944-150.022-164.557zm0 108.403C226.38 249.183 161.384 327.066 106 366.01v52.887c53.113-38.92 105.113-92.537 140.56-145.71L256 259.03l9.44 14.158c35.333 53 87.963 106.298 140.56 145.473v-52.594c-56.39-38.937-120.654-116.947-150.022-164.56z"}}]})(props);
};
function GiCorset (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M144.338 41.857a56.97 56.97 0 0 0-3.11.077c-8.137.423-15.005 2.59-20.763 5.88-23.03 13.16-30.536 47.917-16.414 76.16 1.852 3.704 4.176 8.36 6.755 13.64l.09-.093c17.297 16.677 39.81 20.348 65.273 17.753 23.326-2.376 48.32-10.295 70.832-17.767v-37.73c-30.213-29.67-56.348-46.09-77.4-53.256-9.48-3.227-17.864-4.643-25.262-4.663zm223.326 0c-7.4.02-15.785 1.436-25.264 4.663-21.052 7.166-47.187 23.585-77.4 53.257v37.73c22.51 7.47 47.506 15.39 70.832 17.766 25.464 2.595 47.976-1.076 65.273-17.752l.09.095c2.58-5.28 4.903-9.937 6.754-13.64 14.12-28.244 6.616-63-16.415-76.16-6.477-3.702-14.358-5.983-23.87-5.958zM247 156.47c-21.26 7.003-45.164 14.283-69.008 16.712-18.156 1.85-36.632.733-53.365-5.875 5.4 12.258 10.946 25.775 15.86 39.697 12.245 34.696 21.475 71.573 12.052 99.842-8.95 26.846-29.95 47.313-47.575 68.853C87.34 397.24 73 419 73 448c0 4.25 2.587 8.662 9.543 13.72.254.186.525.37.79.553 6-7.805 12.843-17.922 18.8-28.644C111.748 416.32 119 397 119 384h18c0 19-8.748 39.678-19.133 58.37-5.844 10.52-12.22 20.262-18.29 28.386 4.05 1.66 8.443 3.22 13.07 4.642 5.606 1.726 11.565 3.253 17.68 4.6C154.508 450.405 167 409.304 167 368h18c0 41.506-11.394 83.17-34.78 115.648C165.033 485.86 179.73 487 192 487c5 0 16.16-3.256 27.008-10.488 10.385-6.924 20.808-17.23 27.992-30.723V406.56l-34.975 17.49-8.05-16.103L235.873 392l-31.898-15.95 8.05-16.1L247 377.437v-52.45l-51.84 19.44-6.32-16.856L230.365 312l-41.525-15.572 6.32-16.856 51.84 19.44v-60.45l-50.975 25.49-8.05-16.103L235.873 224l-47.898-23.95 8.05-16.1L247 209.437v-52.97zm18 0v52.968l50.975-25.49 8.05 16.103L276.127 224l47.898 23.95-8.05 16.1L265 238.563v60.45l51.84-19.44 6.32 16.856L281.635 312l41.525 15.572-6.32 16.856-51.84-19.44v52.45l34.975-17.49 8.05 16.103L276.127 392l31.898 15.95-8.05 16.1L265 406.563v39.227c7.184 13.49 17.607 23.798 27.992 30.722C303.84 483.744 315 487 320 487c12.27 0 26.968-1.14 41.78-3.352C338.393 451.168 327 409.506 327 368h18c0 41.304 12.493 82.405 36.672 111.998 6.116-1.347 12.075-2.874 17.682-4.6 4.626-1.423 9.018-2.983 13.07-4.642-6.072-8.124-12.447-17.865-18.29-28.385C383.747 423.68 375 403 375 384h18c0 13 7.252 32.322 16.867 49.63 5.957 10.72 12.8 20.838 18.8 28.643.265-.184.536-.367.79-.552 6.956-5.058 9.543-9.47 9.543-13.72 0-29-14.34-50.76-31.965-72.3-17.624-21.54-38.625-42.008-47.574-68.854-9.422-28.27-.192-65.146 12.054-99.842 4.913-13.922 10.46-27.44 15.86-39.697-16.734 6.608-35.21 7.724-53.366 5.875-23.844-2.43-47.75-9.71-69.008-16.713z"}}]})(props);
};
function GiCorsica (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M303.6 116.9l-28.5-13.5C197 130 170 171.2 146.9 213.6l35.3 33-33.8.8 7.5 33.7 33.8 8.2-21.8 56.3 33-2.3-18.7 49.5 48.7 12.7-27.7 30.8 97.4 58.5c40.6-74 48.1-148 64.5-222-.1-50.7.7-101.7-24.7-144.7 9.5-35.14 11-71.76-1.5-110.92l-31.5 6c-4.3 31.25-9.2 62.5-3.8 93.72z"}}]})(props);
};
function GiCottonFlower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M146.507 115.11c9.57 5.297 18.566 12.903 26.037 21.379 10.833 12.29 28.59 45.178 16.488 56.211-4.728-13.9-21.103-34.226-29.992-44.311s-21.578-18.9-52.738-28.575c-31.16-9.674-69.148 19.903-76.52 51.505-2.914 12.495.51 28.852 8.485 46.326s20.208 35.816 32.984 52.318a477.534 477.534 0 0 0 9.41 11.756c18.983 4.276 37.443 15.428 55.809 26.63 20.962 12.787 41.92 25.934 61.137 31.946 5.485-36.352 27.15-69.3 61.484-97.972l11.166-9.325 3.36 14.155c7.24 30.507 11.35 65.134-1.391 99.884 40.212-3.17 90.187-3.23 131.701 10.72 15.05-13.313 25.29-25.987 17.26-43.76-51.41 12.81-96.615-21.713-110.274-43.09 35.856 22.168 58.87 35.061 96.428 27.488 29.382-7.439 56.674-9.419 65.94-39.385 16.521-53.932 14.432-125.682-21.018-166.254-17.638-20.186-39.924-35.822-62.8-41.017-22.878-5.196-46.394-.887-66.583 16.095-20.188 16.982-29.956 33.382-33.648 48.041-3.693 14.66 8.225 45.176 10.042 52.874-19.041-15.644-32.472-37.512-27.495-57.27 4.468-17.742 15.862-34.596 30.91-47.748-6.982-14.43-19.913-23.282-34.713-28.453-61.606-16.768-134.47 5.879-121.469 79.832zm112.725 151.232c-27.875 26.527-43.112 55.04-44.983 85.74l-.619 10.162-10.01-1.86c-27.054-5.03-52.438-21.976-76.523-36.667-16.28-9.93-31.842-18.507-45.717-22.818 10.695 15.797 22.65 33.306 38.1 49.05 21.19 21.595 46.663 37.596 79.838 35.805l14.314-.773c-13.651 31.451-22.935 66.172-22.822 94.023l15.404 2.96c6.81-36.11 13.404-62.107 29.902-86.911 52.267 7.413 107.26-4.614 147.467-24.219-39.897-9.577-88.254-8.25-124.73-4.54l-16.412 1.667 7.48-14.703c14.8-29.092 14.524-58.461 9.31-86.916z"}}]})(props);
};
function GiCoveredJar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 20.499c-5.37 0-11.966 2.87-17.602 7.799-5.635 4.928-10.078 11.758-11.736 17.642-.916 3.253 1.542 14.605 5.803 23.897 2.475 5.398 4.819 9.6 6.619 12.664h33.832c1.8-3.064 4.144-7.266 6.62-12.664 4.26-9.292 6.718-20.644 5.802-23.897-1.658-5.884-6.101-12.714-11.736-17.642-5.636-4.929-12.231-7.799-17.602-7.799zm-34.879 66.803c-15.953 2.54-29.665 7.058-40.234 13.892-16.04 10.371-25.856 25.57-27.54 50.541 100.168 14.306 105.138 14.306 205.305 0-1.683-24.97-11.5-40.17-27.539-50.54-10.57-6.835-24.28-11.353-40.234-13.893-2.98 5.463-5.326 9.09-5.326 9.09l-2.66 4.107h-53.786l-2.66-4.107s-2.346-3.627-5.326-9.09zm-84.889 80.18C80.017 193.328 80 237.626 80 259.5c0 64 32 136 64 200 16 16 64 32 112 32s96-16 112-32c32-64 64-136 64-200 0-21.874-.017-66.172-56.232-92.02l-6.495.928c-112 16-114.546 16-226.546 0z"}}]})(props);
};
function GiCow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M468.958 108.958c-27.507 2.08-48.997 7.94-71.375 22.572-5.333-2.214-12.62-17.738-16-16-11.82 6.08-14.892 19.555-4.916 32.817l-59.084 9.916c-24.776 3.341-49.567 4.838-74.187 5.334 1.326 3.832 2.96 7.636 4.812 10.05 5.219 6.802 20.323 6.21 21.07 14.75 1.935 22.098-24.876 47.415-47.056 47.057-15.401-.248-17.017-28.762-31.604-33.713-19.097-6.482-41.62 18.77-59.699 9.832-15.267-7.547-24.992-39.8-27.836-50.41-10.213-.127-20.327-.142-30.316.035-12.564.366-22.902 5.645-29.408 14.239-8.676 11.458-11.652 26.658-13.254 42.925-1.78 18.057 6.147 53.007 5.517 70.282-.504 13.85-7.493 11.87-11.912 18.888-13.52 21.47 8.894 20.83 17.014 5.56 12.482-23.473 4.253-63.11 7.195-92.974 1.855-35.76 10.597-23.937 15.664-24.588-4.2 13.065-6.21 30.962-7 51.334 6.895-2.342 36.498-11.6 42.73-.174 6.872 12.598-27.802 22.016-23.878 35.819 2.464 8.666 22.95 2.378 24.582 11.238 3.322 18.035-32.13 38.713-42.236 44.209.812 23.329 1.564 45.567 1.238 65.086H88.91c-4.234-16.543-12.038-49.944-4.06-55.084 21.425-18.091 29.836-37.484 42.732-56.428 8.755 2.556 16.92 4.787 24.782 6.672 3.553.972 7.244 1.771 10.984 2.44 24.859 4.967 61.553 5.678 90.783-.172 3.76 34.12 7.263 68.452 4.602 102.572h28.957c-12.375-26.902-4.263-65.044 13.892-86.27l44.934-33.462c24.881-16.384 42.93-37.996 55.982-63.38 30.402 3.413 57.086 3.29 77.192-.786l12.84-19.55c-24.257-17.857-43.3-36.585-62.948-58.13 10.063-14.533 25.027-22.765 39.375-32.506zm-39.375 54.572a8 8 0 1 1 0 16 8 8 0 0 1 0-16zM366.2 183.481c5.029 9.822-26.17 10.808-24.933 21.772.998 8.847 22.204 3.839 23.53 12.643 3.818 25.373-28.44 53.805-54.08 54.78-14.262.544-34.902-14.06-32.308-28.093 2.605-14.092 34.551-1.657 40.383-14.748 4.724-10.603-18.352-22.01-12.992-32.307 6.264-12.032 30.364-22.553 41.934-22.646 11.57-.093 15.606 3.347 18.466 8.6zm-26.585 126.346l-34.707 23.96 6.464 69.255h34.414c-11.783-22.454-15.58-55.506-6.171-93.215zm-204.561 1.41c-6.047 12.184-14.147 21.97-22.174 31.242 5.97 3.235 11.648 5.414 17.154 6.614 11.218 2.443 21.636.333 29.948-4.408 10.056-5.737 17.521-14.452 24.115-23.368-14.615-.869-32.96-2.962-49.043-10.08zm24.252 52c-8.737 2.585-17.452 3.7-25.566 2.96 5.167 12.624 10.45 24.152 15.824 36.845h28.306c-10.393-18.48-16.148-29.285-18.564-39.805z"}}]})(props);
};
function GiCowboyBoot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M186.04 28.48a129.5 129.5 0 0 0-5.07.054c-49.926 1.53-75.597 31.9-74.4 57.398.89 18.922 2.416 37.83 4.444 56.733 19.092-4.165 37.502-6.347 55.134-6.797 11.13-.284 21.945.136 32.434 1.166-2.545-36.064-5.777-72.215-8.744-108.45-1.275-.045-2.55-.094-3.797-.105zm21.972 1.466c3.003 36.432 6.283 72.948 8.824 109.553 37.808 6.546 70.754 21.334 97.615 40.987a3378.23 3378.23 0 0 0 17.077-73.777c-9.38 2.87-18.88 7.747-24.04 16.015l-13.88 22.23-2.707-26.065c-3.884-37.403-15.315-58.383-31.798-71.15-13.105-10.15-30.336-15.402-51.09-17.794zm-33.04 123.758a247.963 247.963 0 0 0-3.66.004c-18.41.157-37.85 2.365-58.22 6.947 7.097 57.442 18.488 114.89 30.615 172.664 20.94 1.16 38.01 2.942 54.818 7.325 6.488-61.598 5.21-123.43 1.288-185.515a240.542 240.542 0 0 0-24.842-1.426zm43.08 4.182c3.85 62.53 4.95 125.308-2.007 188.322 13.285 4.984 27.21 11.94 43.518 21.807l2.67 1.617 1.097 2.922c12.882 34.34 25.885 69.15 31.828 104.648 68.924-1.1 149.596 3.353 197.332-3.967-40-52.644-101.235-64.218-147.013-70.672-9.992-.196-18.673.505-31.99 1.596 6.397-6.884 10.99-11.14 16.503-13.43l-54.908-63.407 1.387-4.717c11.695-39.76 22.927-81.474 33.292-123.058-24.73-19.558-55.586-34.706-91.71-41.662zM69.51 279.98l-8.883 26.654c-.452.173-.897.36-1.336.56l-25.136-12.568 12.57 25.137c-.2.438-.388.884-.562 1.336l-26.652 8.88 26.652 8.886c.174.452.362.895.56 1.334l-12.568 25.137L59.29 352.77c.44.2.885.385 1.337.56l8.883 26.65 8.885-26.65c.45-.175.895-.36 1.334-.56l25.135 12.567L92.3 340.2c.074-.166.138-.338.21-.506 17.088 5.487 30.27 8.56 48.287 11.533.157-9.57 2.457-14.43 2.775-17.867-15.31-1.792-29.058-6.342-44.04-10.197l-6.675-2.065c-.173-.45-.36-.897-.558-1.335l12.565-25.137-25.136 12.568c-.44-.2-.884-.387-1.335-.56L69.51 279.98zm0 38.638c6.356 0 11.363 5.007 11.363 11.363 0 6.358-5.007 11.365-11.363 11.365-6.357 0-11.364-5.007-11.364-11.364 0-6.355 5.007-11.362 11.364-11.362zm71.39 32.57c-11.994 19.473-18.548 50.984-24.37 71.516 34.156 6.413 72.87 2.2 100.835 11.896 19.624 6.545 38.616 17.945 57.326 31.65-6.132-27.707-16.43-55.875-27.102-84.362-41.578-24.765-63.012-28.43-106.688-30.7zm-22.96 89.72c5.37 14.482 15.01 27.736 29.4 41.347 10.983 1.942 24.74 1.31 37.1.396 2.596-11.198 7.043-22.792 14.148-33.626-27.144-4.143-53.522-5.665-80.65-8.117z"}}]})(props);
};
function GiCowboyHolster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M121.287 18c20.026 4.554 37.905 10.988 53.424 18.826 29.344 14.82 50.536 34.743 61.185 56.785.762-.375 1.524-.716 2.286-1.064 16.01-27.813 44.678-53.513 72.084-67.44L324.252 18zm207.543 0l-5.943 17.959c-2.84 8.581-7.447 22.48-10.336 35.844-1.474 6.817-2.196 13.56-2.324 19.002 8.954 2.6 17.027 5.537 23.914 7.69l6.515 2.034-2.418 81.147c43.855-2.398 89.439-6.668 139.522-12.838-6.076-.836-10.757-4.974-13.76-9.477-3.362 5.042-8.825 9.639-16 9.639-7.175 0-12.638-4.597-16-9.639-3.362 5.042-8.825 9.639-16 9.639-7.175 0-12.638-4.597-16-9.639-3.362 5.042-8.825 9.639-16 9.639-8.485 0-14.587-6.426-17.637-12.418-3.05-5.992-4.552-12.672-5.578-19.18-.942-5.975-1.383-11.792-1.598-16.402H359v-6.412a92.162 92.162 0 0 1 0-2.317V18zM377 25v78h14V25zm32 0v78h14V25zm32 0v78h14V25zm32 0v78h14V25zM52.371 28.453c-3.13-.019-6.297.005-9.5.07-5.249.108-10.71.475-16.152.82-5.876 24.015-4.617 48.104 1.295 72.721 48.867-2.29 92.91 6 130.681 26.471 20.332-1.332 38.212-5.913 59.59-23.488a98.494 98.494 0 0 1 2.074-1.654c-8.162-18.217-26.107-36.532-53.763-50.5-28.66-14.475-67.282-24.156-114.225-24.44zm5.604 20.897c8.177 0 15 6.822 15 15 0 8.177-6.823 15-15 15-8.178 0-15-6.823-15-15 0-8.178 6.822-15 15-15zm240.783 4.168c-12.121 8.949-23.875 20.11-33.348 31.78a91.28 91.28 0 0 1 9.62-.4 97.4 97.4 0 0 1 7.687.399c3.11.284 6.16.706 9.152 1.213.512-6.049 1.739-12.27 3.088-18.51 1.087-5.028 2.471-9.735 3.8-14.482zM57.975 61.35c-1.55 0-3 1.45-3 3s1.45 3 3 3 3-1.45 3-3-1.45-3-3-3zm214.021 41.504c-13.842.202-27.8 4.194-42.281 16.1-27.858 22.9-54.097 27.305-80.018 27.997-25.205.673-50.467-1.378-82.197 6.805-3.925 4.703-5.438 12.194-3.213 23.664 2.446 12.607 9.436 28.598 20.016 45.172 21.16 33.147 56.519 68.736 95.558 90.105l3.918 2.145 5.787 38.676c5.627.414 11.16.741 16.621.978l-6-46.326c-61.83-34.404-107.71-85.402-120.054-136.733 6.733-1.8 11.87-3.182 17.566-3.966 49.06-6.144 91.932 4.671 150.955-41.836 6.793-5.353 14.465-7.532 22.303-7.922a54.42 54.42 0 0 1 2.945-.065c6.886.03 13.831 1.296 20.36 2.871 9.793 2.363 19.385 5.46 27.566 7.526l.432-14.455c-12.858-4.22-26.731-9.05-41.18-10.367a89.855 89.855 0 0 0-6.316-.36 79.045 79.045 0 0 0-2.768-.01zM44.584 119.492a323.97 323.97 0 0 0-22.94.785l-3.644.25v46.264a2915.14 2915.14 0 0 0 27.355 3.385c2.461-40.486 36.809-39.757 69.131-40.85-21.45-6.556-44.743-9.781-69.902-9.834zM377.244 121c.204 3.997.561 8.769 1.322 13.598.866 5.492 2.31 10.812 3.84 13.82 1.531 3.008 1.647 2.582 1.594 2.582-.053 0 .063.426 1.594-2.582 1.53-3.008 2.974-8.328 3.84-13.82.76-4.83 1.118-9.601 1.322-13.598zm32 0c.204 3.997.561 8.769 1.322 13.598.866 5.492 2.31 10.812 3.84 13.82 1.531 3.008 1.647 2.582 1.594 2.582-.053 0 .063.426 1.594-2.582 1.53-3.008 2.974-8.328 3.84-13.82.76-4.83 1.118-9.601 1.322-13.598zm32 0c.204 3.997.561 8.769 1.322 13.598.866 5.492 2.31 10.812 3.84 13.82 1.531 3.008 1.647 2.582 1.594 2.582-.053 0 .063.426 1.594-2.582 1.53-3.008 2.974-8.328 3.84-13.82.76-4.83 1.118-9.601 1.322-13.598zm32 0c.204 3.997.561 8.769 1.322 13.598.866 5.492 2.31 10.812 3.84 13.82 1.531 3.008 1.647 2.582 1.594 2.582-.053 0 .063.426 1.594-2.582 1.53-3.008 2.974-8.328 3.84-13.82.76-4.83 1.118-9.601 1.322-13.598zm-198.832 14.682c-5.918-.1-10.816 1.094-14.617 4.09-61.862 48.743-111.583 40.606-156.283 45.195 16.65 39.858 56.729 81.362 109.289 109.656l4.066 2.19 7.531 58.144c30.008.192 58.766-2.478 90.91-8.21l5.97-200.194c-10.673-2.243-21.309-6.14-31.237-8.535-5.805-1.4-11.026-2.26-15.629-2.336zm56.676 226.316c-55.492 10.883-101.631 13.389-156.37 8.227l11.17 64.12c53.668 3.52 92.439 2.388 143.364-8.107zm-18.791 85.797c-26.058 4.345-49.883 6.217-75.05 6.351l4.183 32.291c12.605 3.098 24.55 3.438 34.966 1.905 19.798-2.914 32.784-13.29 35.286-19.942zm-107.777 5.644l2.662 17.795a116.105 116.105 0 0 0 15.228 8.5l-3.338-25.77c-4.761-.12-9.62-.303-14.552-.525z"}}]})(props);
};
function GiCowled (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.1 18.63c-81.4 0-231.43 155.97-171.63 300.77 8 25.3 27.83 50.4 49.13 77.1 24.4 30.6 51.6 63.2 68.7 96.9h20.5c-18.1-39.8-48.5-75.9-74.6-108.6-27.4-34.3-48.73-65.2-48.73-87.9.1-9.1 2.23-18.1 5.53-26.3 23-61.4 114-119.7 148.5-135l3.6-2 3.9 1.3c60.9 20.9 129.3 66.7 154 135.7 4.1 11.7 5.9 18 5.6 27.3-.5 15.8-24.5 54.7-55 88.7-29.1 32.4-62.4 67.7-80 106.7h20.5c16.8-32.2 46.2-64 73.3-94.2 23.2-25.6 45.3-50 54.9-74.8 52.9-124-99.2-305.67-178.2-305.67zm.8 135.47c-38.7 21.5-85.1 52.2-113.7 88.2 9.7 83 59 146.1 118.3 146.1 59.2 0 108.3-62.7 118.2-145.3-28.9-42.1-78-72.9-122.8-89zm-58.3 83h2.4c13.1.1 26.1 2.7 39.1 7.4-16.8 40.6-59 42-78.1 0 12.2-4.8 24.4-7.2 36.6-7.4zm124.9 0c13-.1 26 2.3 39.1 7.4-19.2 42-61.3 40.6-78.2 0 13.1-4.7 26.1-7.3 39.1-7.4z"}}]})(props);
};
function GiCpuShot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M350.4 37.57L66.6 113.6l2.4 9 6.25 23.3-39.06 10.5 7.83 29.2-28.63 7.7 4.84 18 28.62-7.7 2.87 10.7 39.04-10.5 6.49 24.3-31.04 8.3 7.82 29.2-28.64 7.7 4.84 18 28.62-7.7 2.89 10.8 31.06-8.3 8.3 31-34.89 9.3 7.82 29.2-28.64 7.7 4.84 18 28.62-7.7 2.85 10.8 34.9-9.4 8.3 31-38.7 10.4 7.8 29.2-28.61 7.7 4.84 18 28.57-7.7 2.9 10.8 38.7-10.4 283.8-76.1 24.2-6.5-2.9-10.8 31.1-8.3-4.8-18-31.1 8.3-7.8-29.1-24.2 6.5-8.3-31.1 28-7.5-2.9-10.8 31.1-8.3-4.8-18-31.1 8.3-7.8-29.1-28 7.5-8.3-31 31.8-8.5-2.9-10.9 31.1-8.3-4.8-18-31.1 8.3-7.8-29.1-31.8 8.5-6.5-24.2 23.8-6.4-2.9-10.8 31.1-8.3-4.8-18.04-31.1 8.36-7.9-29.19-23.8 6.38zm-13.3 22.8l84.8 316.43-247.7 66.4-84.75-316.5zM192.2 125.7c6.2 37.5 5.8 66.6-13.5 81.8-10.8.2-25.3-2.1-44.4-7 12.3 4.1 22 9.1 29.3 14.8-7.9 2.5-17.6 3.9-29.3 3.9 48.6 0 50.4 37.3 14.9 74.7 1.4-.7 2.7-1.3 4.1-1.9-.8.6-1.5 1.3-2.2 1.9 18.7-7.5 37.4-8.9 52.7-3.2 4.1 3.6 8.6 6.8 13.3 9.4 3.2 7.5 4.4 17.8 3.1 31.2 3.1-6.8 6.5-12.3 10.3-16.7 6.8 13 10.1 30.8 8.4 54.1 9.3-37.1 22.2-55.7 39-58.4 8.7 4.7 18.1 11.7 28.3 21-3.9-6.4-6.9-12.4-9.2-17.9 13.1 5.6 28 18 44.7 36.6-29.9-56.1-13.1-93.5 22.4-112.2-33.6-18.6-50.4-18.6-46.7-112.1-8.3 16.6-18.8 28.2-30.4 35.5.1-5.3 4.5-24.4 4.8-30.4-7.4 11.4-20.8 33-30.6 36.9-7.2-1-14.8-.9-22.3.4-10.6-3-20.8-9-29.6-17.5-6-6.5-11.7-14.8-17.1-24.9zm58.7 59.9c23.4-.3 44.8 15.2 51.1 38.8 2.8 10.4 2.3 20.9-.9 30.3-9.5 4-19.5 5.6-28.5 4.2-12.6-1.9-23.4-8.7-30.7-24.8-11-31.1-.2-24.9-16.1-24.3v-17.5c3.7-2.1 7.7-3.8 12-4.9 4.4-1.2 8.8-1.8 13.1-1.8zm-35.5 14.3c-.3 1.3-.3 2.5-.4 3.6-.1 3.3.4 6.6 1.2 10.5 1.5 7.8 4.5 17.5 8.4 27.3l.1.2.1.1c9.5 21.2 26.7 33.1 44.9 35.8 5.2.8 10.5.9 15.8.4-5.8 4.9-12.7 8.7-20.5 10.8-28 7.5-56.7-9-64.2-37-5.2-19.3 1.1-39 14.6-51.7z"}}]})(props);
};
function GiCpu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M151 22v32h18V22h-18zm48 0v32h18V22h-18zm48 0v32h18V22h-18zm48 0v32h18V22h-18zm48 0v32h18V22h-18zM131.7 73L73 131.7v248.6l58.7 58.7h248.6l58.7-58.7V131.7L380.3 73H131.7zm60.3 46h128v18H192v-18zM22 151v18h32v-18H22zm436 0v18h32v-18h-32zm-339 32h274v146H119V183zm-97 16v18h32v-18H22zm436 0v18h32v-18h-32zm-321 2v110h238V201H137zM22 247v18h32v-18H22zm436 0v18h32v-18h-32zM22 295v18h32v-18H22zm436 0v18h32v-18h-32zM22 343v18h32v-18H22zm436 0v18h32v-18h-32zm-266 32h128v18H192v-18zm-41 83v32h18v-32h-18zm48 0v32h18v-32h-18zm48 0v32h18v-32h-18zm48 0v32h18v-32h-18zm48 0v32h18v-32h-18z"}}]})(props);
};
function GiCrabClaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M175.656 22.375l-48.47 82.094c-23.017 4.384-43.547 11.782-60.124 22.374-24.436 15.613-40.572 37.414-45.5 67.875-4.79 29.62 1.568 68.087 24.125 116.093 93.162 22.88 184.08-10.908 257.25-18.813 37.138-4.012 71.196-.898 96.344 22.97 22.33 21.19 36.21 56.808 41.908 113.436 29.246-35.682 44.538-69.065 49.343-99.594 5.543-35.207-2.526-66.97-20.31-95.593-8.52-13.708-19.368-26.618-32-38.626l14.217-33-41.218 10.625c-8.637-6.278-17.765-12.217-27.314-17.782l-7.03-59.782-38.157 37.406c-12.418-5.186-25.184-9.804-38.158-13.812l-8.375-71.28-57.625 56.5c-9.344-1.316-18.625-2.333-27.812-2.97l-31.094-78.125zM222 325.345c-39.146 7.525-82.183 14.312-127.156 11.686 47.403 113.454 207.056 224.082 260.125 87-101.18 33.84-95.303-49.595-132.97-98.686z","fillRule":"evenodd"}}]})(props);
};
function GiCrab (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M269.03 60.03C168.74 59.907 68.5 103.35 19.564 202.563c58.543-9.985 113.65 6.082 165.75 34 70.184-39.588 144.73-44.868 214.5-18.875 10.514-41.038 42.6-63.99 89.468-74.5-54.013-53.032-137.15-83.052-220.25-83.156zm72.126 163.407c-11.402 0-20.594 9.247-20.594 21.094 0 11.85 9.193 21.096 20.594 21.096 11.4 0 20.594-9.246 20.594-21.094 0-11.846-9.192-21.093-20.594-21.093zm-82.812 4.188c-11.402 0-20.594 9.246-20.594 21.094 0 11.845 9.193 21.092 20.594 21.092 11.4 0 20.594-9.247 20.594-21.094 0-11.85-9.192-21.095-20.594-21.095zm201.47 4.188c-4.164.11-8.78 1.334-13.94 3.812-11.792 5.665-25.755 18.744-38.624 40.813L404 282l-6.344-1.063c-27.112-4.514-46.836-.19-64.062 11.813-13.355 9.305-25.297 23.88-36.594 43.375 21.91-4.96 44.527-8.67 68.5-8.313l1.625.032c7.183-5.527 14.684-12.313 22.75-20.813-5.452 13.003-10.846 26.15-17.938 37.91-.017.032-.044.06-.062.092-10.86 19.943-33.42 36.072-55.594 49.72 30.027 21.8 61.94 26.562 90 18.906 31.256-8.527 57.875-32.584 70.565-67.656 10.892-30.1 14.177-55.068 12.562-73.625-1.614-18.557-8.06-30.293-15.47-35.875-3.703-2.79-7.76-4.426-12.373-4.656-.577-.03-1.156-.047-1.75-.03zM52.31 268.406c-16.702.463-26.298 6.886-31.28 17.25-5.316 11.055-5.09 28.77 4.812 50.906 9.902 22.137 29.235 48.22 59.843 74.938 35.545 31.025 79.76 41.25 119.563 31.28 36.588-9.163 69.667-35.298 89.125-79.905-20.686-.45-39.67-1.264-56.656-6.28-.13-.03-.25-.065-.376-.095-30.142-7.197-48.195-22.108-71.22-44.906 17.366 9.184 32.465 14.25 46 16.594l.127-.063c25.762-15.026 38.305-20.79 59.5-27.156-48.484-31.7-90.278-26.67-129.22-3.284l-2.218 1.344h-5.344l-2.314-1.467c-31.643-20.31-58.067-28.794-76.906-29.157-1.177-.022-2.324-.03-3.438 0z","fillRule":"evenodd"}}]})(props);
};
function GiCrackedAlienSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.9 22.74h-.5L293 62.75l104.8 26.06 32-30.39c-51.7-27.87-117.3-36.95-172.9-35.68zm-25.4.55c-42 1.81-80.4 8.19-112.5 19.42-38.47 13.45-68.31 34-82.82 62.99-24.01 48-17.3 98.4-3.49 146.6l1.48 5.1 5.21 1.3c35.4 9 66.82 21.6 94.52 37.5 43.1 33.5 63.5 74.6 64.8 127.6.7 29.9 9.8 62.8 28 75.3-1.1-20.2.6-62.9 5.3-81.2l23.9 81.8 24.5-83.5c5 18.7 6.4 62.1 5.3 82.9 18.1-12.5 27.3-45.4 28-75.3 1.3-51.4 20.6-91.7 61.1-124.7 28.9-17.3 62-30.8 99.5-40.4l5.2-1.3 1.5-5.1c13.8-48.2 20.5-98.6-3.5-146.6-7.1-14.25-17.9-26.44-31.6-36.77l-34 32.27-39.8 84.3 15.6-79.9-96.1-23.93c-32.6 11.71-57.1 31.13-74.5 60.93l59 75.4-112.2 32.5c8.6 17.5 15.2 36.3 19.6 56.6-37-29.1-81.7-51-134.16-65-11.12-40.4-15.83-79.4-1.53-116.6 14.49 10.1 28.22 20.6 41.02 31.6 23.97-40 55.97-64.72 101.87-81.04-38.9 30.14-63.7 59.64-76.9 104.54 15.8 16.4 29.6 33.9 41 53l89.5-25.9-49.6-63.4 2.9-5.3c17.5-32.7 43.2-55.75 75.7-70.08l-41.8-45.63zM465.9 125.5c14.3 37.2 9.6 76.2-1.5 116.6-52.5 14-97.2 35.9-134.1 65 25.6-79.3 80.9-142.9 135.6-181.6zM316.4 274.9l-59 121.5-59.1-121.5 59.1 65.5c19.7-21.8 39.3-43.7 59-65.5z"}}]})(props);
};
function GiCrackedBallDunk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M195.938 20.438C96.6 21.47-5.517 164.667 29.813 458.938c7.368-370.195 187-461.348 252.875-248.782-.724.372-1.448.762-2.157 1.156l-80.78-58L248 246.188c-2.173 4.416-3.97 9.074-5.438 13.907L120.22 255.28l119.06 47.814c.304 2.26.674 4.534 1.126 6.812.383 1.928.837 3.83 1.313 5.72l-76.44 85.25L268.157 365c.916 1.003 1.864 1.974 2.813 2.938l-16.97 116 72.97-87.313c4.53.546 9.093.754 13.717.53l78.094 97.595-25.592-122.375c1.513-1.67 2.965-3.387 4.343-5.188l101.095-4.03-82.813-46.75c.43-7.072.143-14.343-.937-21.72l78.063-67.968-94.344 23.75c-2.162-3.464-4.484-6.8-6.97-9.97l30.938-91.063-66.937 61.532c-1.885-.926-3.785-1.803-5.72-2.595C328.46 84.762 264.238 21.238 198.282 20.437c-.78-.01-1.56-.008-2.343 0zM316 220.594c.584-.012 1.168-.005 1.75 0 21.907.178 43.736 12.245 59 31.47l-45.938 25.53-13.187-16.625-5.47-6.908-7.217 5.063-47.907 33.78c-2.07-38.124 20.407-68.303 53.72-71.967 1.74-.192 3.498-.31 5.25-.344zm70.906 47.22c3.957 7.708 6.95 16.112 8.72 25.03 1.7 8.574 2.16 16.875 1.562 24.72l-39.72-6.345-.593-.75-14.28-18.033 44.31-24.625zm-78.437 11.686l29.967 37.844-28.843 55.03c-22.418-10.077-41.54-31.73-49.156-59l48.03-33.874zm44.717 49.97l40.407 6.467c-7.628 23.216-26 39.61-50 42.25-5.258.58-10.54.418-15.78-.375l25.373-48.343z","fillRule":"evenodd"}}]})(props);
};
function GiCrackedDisc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.344 20.063c-10.24 0-20.324.65-30.22 1.906l28.532 69.093 44.844 33.124 68.25-11.53-42.625 30.468 42.938 31.75-84.313-13.344 27.125 65.657 70.844 36.25-66.095-1.28-50.656.843 10.342 21.906 45.032 32.188-32.406-5.47 59.843 126.72-84.81-88.53-50.126 22.936 33.312-40.5-49-51.156-76.875 35.156 51.095-62.094-61.22-63.906 90.907 5.72L114.188 68C56.94 111.312 20 180.002 20 257.406c0 131.19 106.154 237.344 237.344 237.344s237.344-106.154 237.344-237.344S388.533 20.062 257.344 20.062z"}}]})(props);
};
function GiCrackedGlass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.188 17.406L74.624 68.72l4.938 2.155L119 88.03l48.844-70.624H19.188zm171.406 0L136.5 95.626l38.063 16.53 1.875.813 1.343 1.5 62.157 69.218 25.532 25.968 8-25.53-.095-.032L303.97 82.72l-19.626-65.314h-93.75zm113.28 0l17.407 58.063 105.345-21.5-7.313-36.564H303.875zm134.5 0l8.407 42.032 1.814 9.124-9.125 1.844-119.626 24.406-16.47 54.626 47.72 56.062 142.625-95.938V17.406h-55.345zM18.907 42.594v168.03l69.03-26.03L68 87.75l-.156.188-48.938-45.344zm69.72 52.593l18.468 89.626 51.22 19.312 35.624-43.656-28.72-32-76.593-33.282zm405.093 36.876L337.53 237.188l-13.717 10.53 169.906 105.845v-221.5zm-396.533 69l-78.28 29.53v166.938l181.5-103.874 47.124-33.344-37.843-16.968-.03.094-57.47-21.657-4.03-1.155-2.282-1.22-48.688-18.343zm242.875 78.78l-5.406 5.782-44.5 47.625-4.844 57.313 68.813 92.562L493.72 423v-47.406l-153.658-95.75zm-151.375 42.094l-65.593 37.532L224.28 492.22h113.314l-69.375-93.376-2.095-2.813.28-3.53 4.033-47.72-81.75-22.842zm-81.968 46.875l-87.814 50.25v73.157H200.78L106.72 368.81zm387 74.532L380.25 492.22h113.47v-48.876z"}}]})(props);
};
function GiCrackedHelm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23.03c-20.017 6.62-39.933 15.483-59.25 26.407l80.97 62.813-22.19 22.344 79.657 60.562-149.406-46.47 30.595-29.405-81.28-25.686c-20.255 18.034-38.886 38.7-55.032 61.812 21.454 57.967 32.843 94.84 32.843 132.094 0 36.768-11.184 73.342-32.094 130C131.52 455 182.796 476.72 234 482.03c17.09-74.624 14.146-149.25 1.03-223.874-31.348 3.477-62.62 13.448-94.28 30.03v-71.31c34.855-9.803 71.26-13.905 107.438-14.157 46.513-.325 92.643 5.714 134.593 14.155v71.313c-31.484-15.732-62.28-25.594-92.75-29.5-11.7 74.133-11.706 148.24 1.376 222.375 47.406-6.535 94.89-27.41 142.094-63.72-34.54-114.55-34.35-146.13.656-261.812C392.203 90.048 318.514 45.07 256 23.03z"}}]})(props);
};
function GiCrackedMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.25 19.656c-34.16 0-66.38 9.506-94.75 26.344l68.188 47.844-15.313 42.53 82.03 93.407L183.5 156.313l.22-54.968-66.845-23.625c-28.81 28.75-50.6 66.493-61.97 109.436-6.075 34.104 5.67 67.812 29.22 90.75-1.25-7.402-1-15.176 1.063-22.875 6.26-23.364 27.1-39.113 50.124-40.06.665-.03 1.332-.03 2-.032 4.05-.018 8.156.408 12.25 1.343l.032-.093c61.34 16.437 98.998 77.615 87.28 139.032 6.477-.402 12.953-.626 19.44-.626 4.295 0 8.58.105 12.873.28-11.51-61.3 26.12-122.28 87.344-138.687l.033.125c3.422-.79 6.852-1.263 10.25-1.375.67-.02 1.333-.037 2-.03.666.006 1.335.034 2 .062 23.023.947 43.895 16.696 50.156 40.06 2.062 7.7 2.315 15.474 1.06 22.876 20.526-19.993 32.086-48.167 30.69-77.656C430.923 96.642 349.435 19.656 252.25 19.656zM46.062 255.906C46.1 311.113 62.733 361.88 90.5 402.062c39.134-24.48 82.53-39.502 126.875-45.03 8.79-35.65-2.307-71.59-26.438-96 1.086 7.14.763 14.604-1.218 22-7.707 28.757-37.525 45.955-66.282 38.25-1.42-.38-2.796-.828-4.157-1.313-33.404-10.436-59.297-34.338-73.218-64.064zm412.344 3.47C444.122 287.518 418.93 309.99 386.78 320c-1.34.476-2.696.907-4.092 1.28-28.758 7.707-58.545-9.49-66.25-38.25-1.985-7.404-2.31-14.88-1.22-22.03-23.965 24.24-35.08 59.87-26.624 95.28 44.495 4.587 88.188 18.693 127.78 42.283 25.778-38.76 41.338-86.902 42.032-139.188zM256.312 373.187c-53.683-.005-107.364 14.603-154.593 43.843 37.623 46.002 91.143 74.75 150.53 74.75 60.783 0 115.42-30.124 153.156-78.03-45.88-27.037-97.478-40.558-149.094-40.563z"}}]})(props);
};
function GiCrackedSaber (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M494.72 14.25C464 45.883 422.17 77.54 379.5 100.875c.595 7.333.68 14.613.28 21.813l76.908 67.062c23.812-50.01 37.816-108.077 38.03-175.5zM361.31 110.313c-33.945 16.532-67.536 27.05-95.562 27.343.437 68.376-140.326 159.185-251.938 213.438v50.844c101.23-32.865 193.023-77.914 256.563-130.782 58.435-48.62 92.51-102.763 90.938-160.844zm15.657 34.718c-5.71 29.013-19.22 56.772-38.814 82.876l3.156 28 83.97-12.25c8.167-11.697 15.735-23.928 22.656-36.72l-70.97-61.905zm-55.345 102.94c-11.674 12.995-24.837 25.543-39.28 37.56-24.68 20.535-53.16 39.722-84.47 57.47l60.563 44.438c25.585-14.042 50.32-29.836 73.53-47.625l-10.343-91.844zm87.78 16.905l-66 9.625 5.814 51.47c21.875-18.363 42.155-38.643 60.186-61.095zm-229.592 88.063c-9.147 4.86-18.51 9.6-28.063 14.218l16 62.063c24.345-9.377 48.614-20.028 72.313-32.095l-60.25-44.188zM134.53 375.28c-37.93 17.356-78.593 32.814-120.718 46.25v52.533c42.832-9.02 89.48-21.387 136.344-38.282l-15.625-60.5z"}}]})(props);
};
function GiCrackedShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M53.156 25.78c30.55 26.034 52.813 95.137 52.813 176.47 0 44.36-6.922 84.657-17.814 116.688 31.134 71.43 85.946 122.39 179.906 175.28 91.558-48.747 144.024-96.565 173.75-167.593-12.5-33.06-20.28-76.47-20.28-124.375 0-81.333 22.262-150.436 52.812-176.47-41.924 9.324-83.858 16.318-125.78 20.595L277.904 181.72l46.47 20.655L209.312 391.72l41.468-169.595-22.53-10.25-71.375 19.938 59.406-50.22L259.938 51.22c-68.92.347-137.86-7.508-206.78-25.44z","fillRule":"evenodd"}}]})(props);
};
function GiCrafting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 25v206h110v-3.3L99.27 192 135 156.3V25H25zm398 94c-16.5 0-31.3 3.4-41.2 8.4-10 5-13.8 10.6-13.8 14.6s3.8 9.6 13.8 14.6c9.9 5 24.7 8.4 41.2 8.4 16.5 0 31.3-3.4 41.2-8.4 10-5 13.8-10.6 13.8-14.6s-3.8-9.6-13.8-14.6c-9.9-5-24.7-8.4-41.2-8.4zm-263 37.7L124.7 192l64 64-64 64 35.3 35.3 76.3-76.3H329v37.8l72.9-60.8-72.9-60.8V233h-92.7L160 156.7zm208 12.8v34.8l62.1 51.7-62.1 51.7V366c0 8 4.8 13.8 15 18.9 10.2 5.2 25.1 8.1 40 8.1 14.9 0 29.8-2.9 40-8.1 10.2-5.1 15-10.9 15-18.9V169.5c-1.8 1.1-3.7 2.2-5.7 3.2-13.2 6.6-30.4 10.3-49.3 10.3s-36.1-3.7-49.3-10.3c-2-1-3.9-2.1-5.7-3.2zM80 361c-30.48 0-55 24.5-55 55s24.52 55 55 55c30.5 0 55-24.5 55-55s-24.5-55-55-55z"}}]})(props);
};
function GiCrags (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.375 17.47c-132.537 0-240.188 107.618-240.188 240.155s107.65 240.188 240.188 240.188c132.537 0 240.188-107.65 240.188-240.188 0-132.537-107.65-240.156-240.188-240.156zm0 18.686c60.246 0 114.816 23.992 154.72 62.938l-61.626 29.875-21 263.217-.5 6.313-6.033 1.875-96.312 30.063-12.063 44.53c-6.15-1.202-12.23-2.644-18.187-4.343l13.563-50 1.343-4.97 4.876-1.53 21.344-6.656 30.594-247.19.937-7.593 7.595-.593L329.22 148l2.06-25.875.44-5.344 4.81-2.31 10.22-4.94-58.938-21.905-69.437 41-20.78 138.094-.97 6.592-6.563 1.22-10.875 2.03-28.593 175.782c-5.914-3.216-11.647-6.714-17.22-10.438L153.5 318.25l-81.875 5.125L58.845 358c-15.325-30.126-23.97-64.225-23.97-100.375 0-122.436 99.064-221.47 221.5-221.47zm71.344 130.688l-43.033 3.28-28.562 231.22 54.22-16.938 17.374-217.562zm133.342 5.97c2.374 5.73 4.512 11.568 6.407 17.53l-49.408 19.78-30.125 225.75c-5.78 4.273-11.776 8.266-17.968 11.97l-2.44-.313 32.72-245.31.72-5.407 5.06-2.032 55.033-21.968zm-277.75 63.405l-61.343 1.124-14.69 65.062 49.282-3.094 5.25-32.25 1.032-6.5 6.47-1.187 10.81-2 3.19-21.156z"}}]})(props);
};
function GiCrane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M213.293 19.46L29.691 120.34h37.375l133.489-73.346-15.819 73.346h18.41l11.584-53.701 13.688 53.7h18.574l-19.447-76.294 202.941 76.295h51.147zM25 138.34v30h462v-30zm32 48v30h62v-30zm144 0v46h30v-46zm48 0v46h19.273L279 221.613V186.34zm190 0v141.707a24.618 24.618 0 0 1 9-1.707c3.166 0 6.2.61 9 1.707V186.34zm-238 64v242h30v-242zm247 94c-3.973 0-7 3.027-7 7s3.027 7 7 7 7-3.027 7-7-3.027-7-7-7zm-20.393 21.365l-16.421 24.635h21.63l9.743-14.613c-6.118-1.384-11.417-5.04-14.952-10.022zm40.786 0c-3.535 4.981-8.834 8.638-14.952 10.022l9.743 14.613h21.63zM409 408.34v30h78v-30zm-226 24.5l-60.4 45.3 10.8 14.4 49.6-37.2zm66 0v22.5l49.6 37.2 10.8-14.4z"}}]})(props);
};
function GiCreditsCurrency (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M224 22v63.46c-31.9 7.25-58.7 20.94-80.3 41.14-33.7 31.5-50.53 74.7-50.53 129.6 0 54.3 16.53 97.3 49.63 129 21.9 20.9 49 35 81.2 42.1V492h64v-59.4c21.5-.6 42.3-3.2 62.7-7.9 23.5-5.3 56.3-13.2 78.2-23.9l-16-163.8H302l-36 58.8h69.6l8 66.2c-16.2 6.2-36.3 7.1-54.6 7.1-33.5 0-59.4-9.8-77.7-29.5-18.3-19.6-27.4-47.4-27.4-83.4 0-36.4 9.4-64.3 28.3-83.8 19-19.6 46-29.4 80.9-29.4 18.9 0 37.7 2.7 56.4 8 18.9 5.3 33.8 13.4 52.8 24.2l-8-72.5c-18.4-8.35-26-12.66-46.9-16.94-18.9-3.94-38.7-6.06-59.4-6.38V22h-64z"}}]})(props);
};
function GiCrenelCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 68.02L169.7 240.7l14.8 44.5-17 5.6-15.2-45.6-66.42-53-12.18 60.9 12.62 12.6-12.66 12.6-15.21-15.2-30.53-20.4 25.15 163.4 39.17-65.2 89.66 35.8 30.9 46.4h86.4l30.9-46.4 89.7-35.8 39.1 65.2 25.2-163.4-30.6 20.4-15.2 15.2-12.6-12.6 12.6-12.6-12.2-60.9-66.4 53-15.2 45.6-17-5.6 14.8-44.5zm0 122.58l55.7 92.8 1.9 3.2-17.5 70-20.4 20.3h-39.4l-20.4-20.3-17.5-70zm0 34.8l-38.4 64 14.5 58 11.6 11.7h24.6l11.6-11.7 14.5-58z"}}]})(props);
};
function GiCrenulatedShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M45.063 17.406v99.938l63.656 60.312 2.936 2.78v185.25c33.96 43.39 82.572 83.76 148.906 122.627 67.823-39.784 116.793-81.943 150.688-126.094V180.436l2.906-2.78 63.656-60.282v-99.97h-58.968V85.157h-66v-67.75h-58.97v67.75H228.47v-67.75h-59v67.75H104.06v-67.75h-59zm56.656 100.47h160.03v152.75H148.437v-108.97l-46.718-43.78zM262.312 271.81h112.156v73.813c-24.952 33.1-61.87 64.714-112.158 94.03V271.814z"}}]})(props);
};
function GiCrescentBlade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M334.529 331.815a280.071 280.071 0 0 0 76.577-253.708q7.174 6.103 13.964 12.883c91.51 91.51 91.51 239.868 0 331.378a234.316 234.316 0 0 1-331.378 0q-6.757-6.757-12.883-13.964a281.783 281.783 0 0 0 55.496 5.518 279.43 279.43 0 0 0 198.224-82.107zM18.297 90.156s205.926 155.002 252.886 225.499c9.494 14.257 2.466 34.73-9.38 48.3A263.517 263.517 0 0 0 366.645 259.11c-13.57 11.802-33.998 18.807-48.244 9.313C249.426 222.49 97.77 21 97.77 21H18.297v69.156z"}}]})(props);
};
function GiCrescentStaff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M168.8 20.58l9.4 56.31c9.5-8.14 19.9-14.23 30.7-18.5zm82 47.65c-24.8.21-47.5 8.5-66.8 27.81-42.6 42.66-42.5 94.96-31.6 138.56 10.9 43.6 32.7 76.4 32.7 76.4l9.3 14h-40.2l33.3 33.4 37.5 37.4 57.4-24.6c-7.4-3.8-14.4-8.8-20.6-15-18.1-18-25.8-42.7-23.2-66.3-.8-1.6-1.7-3.3-2.5-4.9-12.8-25.2-23.7-52.3-27.2-77.9-3.6-25.6.5-50.7 19.3-67.6 21-18.9 49.2-22.1 77.5-15.9 28.3 6.2 57.8 21.4 85.3 40.6 27.5 19.1 53 42.2 72.9 64.6 12.1 13.8 22.2 27.1 29.4 39.6-.1-1.2-.1-2.4-.3-3.7-1.5-10.7-6.8-24.5-15.3-39.3-17-29.8-46.6-64.1-81.5-92.8-34.9-28.8-75.2-51.93-112.9-60.56-9.4-2.15-18.6-3.45-27.5-3.75-1.7-.1-3.3-.1-5-.1zM49.45 98.9l81.95 58.9c2.4-12.4 6.4-24.8 12.4-36.8zm80.95 117.2l-68.5 30.6 75.6 1.7c-.9-3.1-1.8-6.2-2.6-9.4-1.8-7.3-3.4-15-4.5-22.9zm188.7 19.8c-16.1 0-32.2 6.2-44.6 18.5a62.83 62.83 0 0 0 0 89.1 62.83 62.83 0 0 0 89.1 0 62.83 62.83 0 0 0 0-89.1c-12.4-12.3-28.4-18.5-44.5-18.5zm-198 81.4l-21.25 21.3L200.3 439l21.2-21.2zm-22.69 45.3L18 443v51h104.7l53.6-53.6-12.8-12.7-38.9 38.9-12.8-12.8 38.9-38.9-26.8-26.8L84.99 427l-12.74-12.8 38.85-38.9z"}}]})(props);
};
function GiCrestedHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M207.47 18.875l35.968 162.25c.29 1.087.86 1.863 2.562 2.813 1.7.95 4.433 1.66 7.22 1.656 2.785-.003 5.543-.703 7.25-1.656 1.704-.954 2.276-1.75 2.56-2.813L299 18.875h-91.53zm88.936 98.03l-15.22 68.657-.06.22-.032.187c-1.747 6.52-6.404 11.432-11.5 14.28-5.096 2.848-10.738 4.026-16.344 4.03-5.606.007-11.24-1.15-16.344-4-5.104-2.847-9.782-7.784-11.53-14.31l-.032-.19-.063-.218-14.686-66.218C175 133.818 147.157 164.56 135.53 202.97c8.044 4.25 19.254 9.84 32.314 15.468 26.527 11.43 60.506 22.55 88.5 22.406 28.003-.145 61.81-11.56 88.156-23.22 13.467-5.96 24.914-11.872 32.938-16.25-12.624-39.968-42.853-71.398-81.032-84.468zm88.97 101.376c-8.365 4.538-19.865 10.487-33.313 16.44-27.522 12.18-62.797 24.673-95.625 24.843-32.838.17-68.293-12-96-23.938-13.614-5.866-25.276-11.744-33.72-16.22-.51 70.485-3.647 138.64 9.626 188.376 7.135 26.737 18.683 47.874 37.375 62.595 12.092 9.525 27.443 16.584 47.25 20.375V330.125c-28.654 16.12-67.847 2.81-81.064-30.625 8.825-22.322 30.127-33.074 50.78-33 24.583.087 48.224 15.532 48.876 45.094h.094v89h36.03l.002-87.72c-.01-.01-.023-.018-.032-.03 0-.422.022-.834.03-1.25.655-29.562 24.327-45.007 48.908-45.094 20.654-.074 41.926 10.678 50.75 33-13.204 33.403-52.324 46.702-80.97 30.656v160.47c19.544-3.867 34.6-11 46.438-20.595 18.396-14.908 29.6-36.337 36.375-63.342 12.59-50.184 8.804-118.532 8.188-188.407z"}}]})(props);
};
function GiCricketBat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M433.2 17.99L159.8 291.4l60.8 60.8-6.3 6.3L494 78.79c0-24.32-36.5-60.8-60.8-60.8zM161.5 64.03a32 32 0 0 0-7.8.59c3.9 21.25 13.8 38.48 30.3 52.48a32 32 0 0 0 3.7-37.13 32 32 0 0 0-26.2-15.94zm-24.1 9.35a32 32 0 0 0-5.1 38.62 32 32 0 0 0 36 14.9c-15.5-14.7-25.9-32.79-30.9-53.52zm26.4 247.22C126.3 378.1 60.46 427.7 19.06 479.5c-4.82 5.9 7.6 18.2 13.53 13.5C84.32 451.6 133.9 385.7 191.4 348.2z"}}]})(props);
};
function GiCricket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M261.635 85.86L247.09 96.466c21.23 29.114 69.244 55.739 112.074 79.193 4.964 2.718 9.83 5.363 14.594 7.955-9.767-3.123-19.881-6.35-30.317-9.775-26.672-8.755-54.46-18.512-77.57-29.09-23.109-10.578-41.403-22.446-48.861-32.674l-14.543 10.606c11.293 15.487 31.657 27.33 55.912 38.433 24.255 11.103 52.538 20.995 79.45 29.828 26.91 8.833 52.481 16.61 70.808 23.192 9.163 3.29 16.56 6.339 20.978 8.732 1.43.775 1.879 1.178 2.569 1.68-.44 2.39-1.41 6.243-4.782 11.303-6.575 9.761-18.197 14.277-29.384 15.49 4.176 1.229 6.886 8.01 6.88 17.219 9.784-1.672 17.722-5.09 24.008-9.342 7.844-4.62 13.311-10.662 16.674-16.664 4.461-9.639 9.002-23.26 3.248-31.955-1.703-2.47-3.74-4.467-6.115-6.506-4.751-4.078-10.966-8.21-18.477-12.776-15.022-9.133-35.145-19.788-56.427-31.443-42.565-23.31-89.902-51.696-106.174-74.012zm-114.397 24.762c-9.4 3.874-8.762 10.376-3.888 16.318 14.772 18.104 27.812 44.994 40.523 58.752a9926.19 9926.19 0 0 1 13.887 15.059c-2.567-4.963-4.868-9.385-7.864-15.219-10.224-19.909-19.95-47.74-29.648-65.207-3.197-4.244-7.41-9.635-13.01-9.703zm-30.687 20.363c-11.185 1.776-7.269 11.57-3.813 17.637 10.272 22.183 29.461 39.584 38.063 57.246 18.24 43.23 31.939 85.906 58.873 112.25a73.164 73.164 0 0 1 10.844-12.451c7.632-6.975 16.662-11.506 26.277-14.346-11.05-22.287-7.461-19.075-76.143-93.414-16.09-17.416-28.97-44.54-41.248-59.586-3.769-3.53-7.776-6.975-12.853-7.336zm-14.463 34.899L62.422 382.042l-39.764 10.867 3.229 11.045 49.888-13.002 35.383-211.057a350.858 350.858 0 0 1-9.07-14.011zm23.84 34.777l-3.473 20.711c2.635-.34 5.295-.672 7.97-1l3.016-8.492c-2.395-3.862-4.895-7.525-7.513-11.219zm152.787 11.065c-.23 7.585-1.024 14.207.398 19.38 2.012 7.321 6.792 14.234 28.57 20.516l5.694 1.643.742 5.877c1.323 10.48 3.45 21.298 7.139 31.388 6.038 2.343 9.859-.249 15.707-.43 2.519-.059 4.882.323 7.096 1.006-.11-1.585-.192-3.19-.227-4.816.92-25.278 8.112-43.763 27.992-56.736-26.79-12.354-65.704-17.266-93.111-17.828zm-18.477 15.777c-11.795.668-23.882 1.43-36.047 2.273 30.931 34.513 30.044 36.855 41.002 58.06 4.566-.45 9.15-.654 13.68-.648 4.433.006 8.808.205 13.066.522a126.809 126.809 0 0 0 8.332-4.608c-1.298-5.421-2.283-10.807-3.058-16.019-21.288-7.389-32.065-18.864-35.457-31.205-.789-2.87-1.252-5.67-1.518-8.375zm-116.218 9.389c-.565.063-1.146.12-1.71.185a1097.7 1097.7 0 0 0-22.97 2.877l-10.219 60.965c21.487 4.577 45.342 7.712 69.647 8.295-16.523-23.339-25.31-47.885-34.748-72.322zm243.205 4.591c-9.683 4.55-15.505 10.473-19.33 17.112-4.66 8.084-6.27 17.674-6.065 27.31.115 5.376.81 10.7 1.754 15.637 1.282 5.49 4.624 10.074 9.328 10.789 7.816 1.117 15.351-.584 21.184-5.463 5.832-4.88 10.597-13.285 11.35-27.947.136-2.67-.092-5.496-.589-8.352a52.415 52.415 0 0 1-.61 6.059c-2.11 13.112-8.581 22.975-14.454 22.03-5.872-.947-8.923-12.34-6.814-25.45 2.068-12.839 8.332-22.61 14.14-22.057-3.176-4.713-6.832-7.906-9.894-9.668zM68.59 248.712c-5.001 1.124-9.696 2.29-14.014 3.498-10.94 3.062-19.547 6.474-24.629 9.594-4.341 2.665-5.022 4.082-5.185 4.57.286.44.921 1.484 2.47 2.87 2.789 2.492 7.585 5.705 13.858 8.978 5.673 2.96 12.603 5.996 20.441 8.959l7.059-38.47zm362.127 25.453l-7.27 4.687c-.01.33-.01.66-.027.99a76.86 76.86 0 0 1-1.324 10.856l42.093 58.615 25.153-9.761-6.514-16.782-15.16 6.41-36.951-55.015zM282.99 305.712a154.67 154.67 0 0 0-3.642.004c-18.142.23-36.153 3.612-46.69 13.24-19.557 17.87-22.155 49.233-25.113 77.91l24.922 29.274 15.322-7.645-21.021-26.187.724-4.034c3.167-17.61 4.964-34.087 22.432-50.298l2.869-2.664 3.906.285c13.501.981 25.494 1.403 34.512-.506 8.927-1.89 14.718-5.24 19.404-13.361 1.65-3.378 1.663-5.31.98-7.598-.542-1.822-2.077-4.087-4.187-6.504-7.586-1.06-15.935-1.825-24.418-1.916zm54.399 2.385c-8.286 3.23-9.852 14.926-7.436 21.496 1.977 5.303 6.073 10.403 11.713 14.967 10.212 8.263 25.065 14.122 36.346 17.011l35.115-24.441 38.117 50.508 37.594-12.412-4.143-14.13-26.914 10.155-40.996-57.092-41.586 29.73-5.344-4.486c-11.343-9.523-19.438-22.073-25.904-27.765-3.233-2.846-5.26-3.572-6.562-3.541zm-231.25 10.605l-4.125 24.608c34.766.566 67.115-2.114 98.091-6.745a99.96 99.96 0 0 1 .782-1.986 100.748 100.748 0 0 1-4.526-4.303 173.342 173.342 0 0 1-2.836-2.968c-30.55.615-60.648-2.936-87.386-8.606zm-55.612 28.436L30.06 352.73l3.23 11.045 14.898-3.882 2.34-12.756zm209.116 6.607c-2.152 3.434-2.897 8.202-4.096 12.193l38.459 32.315 11.578-13.781-29.389-24.696 1.612-5.363c-5.934.075-12.007-.253-18.164-.668z"}}]})(props);
};
function GiCrimeSceneTape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M390.527 22.85l-72.185 24.5-20.711 38.71 72.185-24.501zm16.83 6.697L394.76 53.094l18.463-6.268zM121 41v54.324l30-10.181V71h41.664l88.385-30zm172.398 14.816l-72.185 24.502-20.711 38.711 72.184-24.502zM391 73.38L361 83.56V205.43l30 9.564zM196.268 88.785l-72.186 24.502-7.588 14.182 30.496 9.724 28.569-9.697zM343 89.67L175.865 146.4 343 199.69zM99.139 121.754l-.276.094.192.06zm-30.98 9.197l28.995 40.733 93.37 29.77-28.997-40.733zm121.948 38.883l28.997 40.732 93.37 29.772-28.995-40.733zM121 198.18v161.793l30-11.137v-141.09zm191.06 10.539l28.997 40.732 41.777 13.32 31.547-11.709-8.951-12.574zM169 213.484v128.67l116.621-43.293C281.521 294.4 279 288.468 279 282c0-13.7 11.3-25 25-25 .565 0 1.124.027 1.68.065zm279.635 44.063l-91.873 34.105-27.06 42.045 91.874-34.105zm-131.711 3.101c7.426 6.439 12.262 14.032 12.057 22.118L343 277.56v-8.598zM304 275c-3.973 0-7 3.027-7 7s3.027 7 7 7 7-3.027 7-7-3.027-7-7-7zm24.637 27.092l-91.873 34.105-27.06 42.047 91.872-34.105zM391 330.142l-30 11.137v83.834l30 6.024zM208.639 346.64l-83.713 31.076 55.945 11.232.707-.261zM343 347.96l-128.563 47.726L343 421.5zM80.54 387.162l30.355 36.695 88.02 17.672-30.356-36.695zm116.034 23.297l30.356 36.695 88.021 17.672-30.355-36.695zm116.035 23.297l30.356 36.695 88.02 17.672-30.356-36.695zM121 444.244V487h30v-36.732zm48 9.637V487h164.951zm259.645 3.172l20.35 24.6 3.958-19.72z"}}]})(props);
};
function GiCrocJaws (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M145.53 23.844L21.47 42.937v391.47l81.155-21.157 15.25 34.844L193.75 418l20.375 40.75 67.03-29.47 19.064 37.345 73.81-29 28.626 45.438 78.28-78.563-34.592.813-7.28.156-1.94-7.033L425.5 356.22l-.813.467-.406-1.062-52.717 40.25-11.844 9.03-2.97-14.592-8.78-43.188-46.5 36.5-11.47 9-3.406-14.188-11.25-47.406-52.53 25.69-10.283 5-2.874-11.033-9.28-35.468-34.876 17.124-9.22 4.562-3.624-9.625-49.78-131.436 17.468-6.625 10.53 27.81 43.626-21.436 54.28-31.28 5.407-3.126 4.938 3.812 33.344 25.656 35.25-31.687 6.25-5.626 6.28 5.625 29.97 27.06 25.124-24.28 6.28-6.094 6.5 5.875 30.938 28.032 28.157-32.312 5.717-6.53 6.938 5.186 32.97 24.625 5.936-35.5-51.655-69.75-17.625 28.314-42-53.563-28.375 45.845-125.72-16.406 30.75 28.374-12.655 13.75-105.97-97.75zm-.28 37.656l.344.438.094-.094 52.78 59.812-14 12.375-37.343-42.343-46.25 29.97-53.75-32.126L145.25 61.5zm310.375 114.563l-26.53 30.406 35.842 49.25 23.313-55.282-32.625-24.375zM313.97 178.5l-32.314 29.063 21.47 27.5 34.187-35.5-23.344-21.063zm68.092 2.75l-25.125 24.313-1.03 1 25.624 41.593 27.75-42.22-27.217-24.686zm-149.343 2.375l-26 15 20.81 37.5 32.44-31.53-27.25-20.97zm-45.282 65.188l-32.72 31.156L166.5 311.06l34.063-16.78-13.125-45.47zM259 264.342l-44.03 32.813.593 2.25 9.28 35.5 47.845-23.375L259 264.345zm74.094 12.282l-42.97 35.78.688 2.97 10.594 44.53 42.813-33.624-11.126-49.655zm66.562 14l-36.5 37.563.094.375 8.844 43.375 45.28-34.532-17.718-46.78zm86.406 29.47l-43.937 26.186 11.063 40.158 32.312-.75.563-65.594z"}}]})(props);
};
function GiCrocSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M59.563 22.22c-19.707 5.93-33.054 18.817-39.407 39.436 52.72 22.56 98.5 67.61 122.188 119.97L83.75 240.218l14.47 14.436 155.968-155.97L239.75 84.22l-60.188 60.186c-25.63-11.673-49.807-28.375-70.218-48.78C87.88 74.167 71.057 49.08 59.564 22.218zm172.062 125.436l-36.47 36.47 58.126 58.905 61.94 61.94 62.374 61.56 61.125 61.94 56.967 56.217V411.72L231.625 147.655zm-52.156 52.156l-31.345 31.375 262.438 262.438h24.343l-9.406-51.938-52.438-9.5-9.093-52.03-52.47-9.5-9.47-52.47-52.467-9.5-9.5-52.437-52.032-9.094-8.56-47.344z"}}]})(props);
};
function GiCroissant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 99.633c-37.26 0-74.595 11.18-119.844 33.328 1.565 57.322 29.767 114.884 57.942 145.362C211.383 271.182 233.625 268 256 268s44.617 3.18 61.902 10.322c28.175-30.478 56.377-88.04 57.942-145.36C330.594 110.813 293.26 99.63 256 99.63zm-134.422 54.135c-25.185 6.602-40.16 20.58-49.844 40.697-5.602 34.042-.223 57 10.98 74.916 10.892 17.424 27.93 30.347 47.21 42.335 10.962-1.166 21.316-2.24 30.152-5.563 8.206-3.086 15.32-8.034 21.715-17.27-27.815-30.238-53.7-80.825-60.212-135.114zm268.844 0c-6.513 54.29-32.397 104.876-60.213 135.115 6.393 9.235 13.508 14.183 21.714 17.27 8.836 3.322 19.19 4.396 30.152 5.562 19.28-11.988 36.318-24.91 47.21-42.334 11.203-17.915 16.582-40.873 10.98-74.915-9.684-20.118-24.66-34.095-49.844-40.697zM54.33 234.014C36.35 260.292 24 289.6 24 320c0 21.623 1.848 42.626 6.418 58.707 4.57 16.08 11.55 26.322 20.512 29.85 13.776 4.573 33.902-22.085 45.773-41.323 3.23-6.184 6.993-13.896 10.555-21.39 5.296-11.145 8.708-18.703 10.545-22.787-18.77-11.952-36.496-25.745-48.657-45.194-7.68-12.283-12.92-26.732-14.816-43.85zm403.34 0c-1.897 17.117-7.137 31.566-14.816 43.85-12.16 19.448-29.886 33.24-48.657 45.193 1.837 4.084 5.25 11.642 10.545 22.787 3.562 7.494 7.326 15.206 10.555 21.39 7.403 14.066 26.39 45.016 45.773 41.323 8.96-3.528 15.942-13.77 20.512-29.85C486.152 362.627 488 341.623 488 320c0-30.4-12.35-59.708-30.33-85.986z"}}]})(props);
};
function GiCroissantsPupil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M322.22 15.652c-32.935-.256-65.31 9.997-94.51 28.452 17.21-1.707 34.93-.567 52.395 4.113 84.13 22.544 132.785 114.77 108.247 206.346-24.54 91.574-112.952 147.74-197.082 125.197-17.026-4.562-32.677-12.003-46.465-21.715 22.407 41.78 57.54 73.65 102.855 85.79 97.857 26.223 203.028-47.557 234.28-164.194 31.254-116.637-23.102-232.5-120.96-258.72-12.9-3.457-25.874-5.167-38.76-5.268zM221.1 60.797c-84.45.538-165.777 68.667-192.635 168.9-31.253 116.638 22.94 233.118 120.797 259.34 45.316 12.142 91.676 2.11 131.972-22.87-16.797 1.518-34.072.135-51.097-4.427-84.13-22.544-132.617-115.39-108.078-206.965 24.537-91.574 112.786-147.12 196.917-124.578 17.464 4.68 33.383 12.554 47.433 22.637-22.348-42.55-57.957-74.423-103.828-86.715v-.003c-13.76-3.687-27.663-5.408-41.482-5.32zm25.79 95.812c-50.71 4.208-90.386 46.535-90.386 98.355 0 52.2 40.26 94.77 91.504 98.443-12.674-23.658-20.74-60.063-20.74-100.346 0-38.898 7.64-73.19 19.62-96.453zm21.27.492c4.848 9.527 8.958 20.897 12.14 33.628-13.203.543-23.743 11.413-23.743 24.75 0 13.684 11.093 24.778 24.777 24.778 2.024 0 3.99-.25 5.873-.707.206 4.436.32 8.94.32 13.512 0 40.035-7.97 76.238-20.51 99.907 49.03-5.814 86.897-47.38 86.897-98.005 0-50.232-37.28-91.545-85.754-97.863z"}}]})(props);
};
function GiCrookFlail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M426 28.41c-9.7-.13-19.6 1.7-28.8 5.82l22 30.51c3.2-.53 6.5-.56 9.8-.14l29.6-27.93c-5.1-2.67-10.6-4.73-16.2-6.13-5.3-1.32-10.8-2.06-16.4-2.13zM374.8 51.1c-8.9 10.45-15 24.2-17.9 41.02l36.3.86c1.1-4.26 2.4-7.87 4-10.95L374.8 51.1zm-268.6 3.09c-10.98 0-19.68 8.7-19.68 19.68s8.7 19.68 19.68 19.68c11 0 19.7-8.7 19.7-19.68s-8.7-19.68-19.7-19.68zm374.3.37L454 79.57c.8 1.35 1.4 2.73 1.9 4.12.7 2.07 1.2 4.36 1.2 6.88l34.1 12.23c2.4-10.59 2-21.01-1.1-30.49-2.2-6.62-5.5-12.55-9.6-17.75zM138.9 92.48c-3.1 5.44-7.6 10.02-12.9 13.32l.7 37.3 11.1 19 31.7-17.1-30.6-52.52zM89 107.3l-21.17 66.6 41.57 7.1-1.3-69.5h-1.9c-6.2 0-12.03-1.5-17.2-4.2zm355.6 8.5c-1 1.2-2.1 2.3-3.3 3.5l-5.3 5.2V148h36v-9.1c2.9-3.4 5.5-6.9 7.9-10.4l-35.3-12.7zm-89.3 4.3c.1 2.5.2 5 .4 7.6l-10 17 30.3 19.4 16.6-28.1-.7-6c-.4-3.2-.6-6.2-.7-9.1l-35.9-.8zm-23.9 48.8l-17.6 29.7 30.7 18.8 17.2-29.1-30.3-19.4zm-147.8.3l-31.7 17.2 21 36 31.3-17.7-20.6-35.5zM47.13 188.6c-.31.7-.61 1.5-.92 2.3-5.98 15.6-11.46 34.7-15.53 54.9-8.14 40.3-11.18 85 1.48 116.9 6.97 17.6 4.68 48.3-.38 73.9-5.06 25.6-12.16 46-12.16 46l17 6s7.49-21.6 12.82-48.5 9.25-59.3-.54-84c-10.03-25.3-8.34-68.3-.58-106.8 3.89-19.2 9.16-37.5 14.7-52 .74-1.9 1.5-3.8 2.27-5.6l-18.16-3.1zm25.75 4.4c-1.72 10.2-3.29 22.3-4.4 35.7-3.07 36.7-2.88 81.9 8.19 118.2 20.19 66.3-.78 92.8-15.95 140.7l17.16 5.4c14.29-45.1 37.62-80.2 16.01-151.3-9.84-32.4-10.43-76.2-7.48-111.5 1.07-12.8 2.59-24.5 4.22-34.2l-17.75-3zm30.72 5.3c.6 12 1.5 26.7 2.7 42.5 3 38.4 7.3 81.2 15.6 104.4 22.5 62.4-15.2 143.9-15.2 143.9l16.2 7.8s42.1-85.1 16-157.7c-6.5-18-11.7-61.8-14.6-99.8-1.1-13.8-1.9-26.9-2.5-38l-18.2-3.1zm196 24.4L279.8 256l30.2 19.8 20.3-34.3-30.7-18.8zm-81.3 6.2L187 246.7l16.8 28.9 30.8-18.7-16.3-28zm47.3 51.3l-8.8 14.8-8-13.8-30.8 18.7 17.8 30.6-20.5 34.7 30.6 18.9 10.6-17.9 10.6 18.2 31.4-18-20.9-35.8 18.1-30.7-30.1-19.7zM201 389.3l-21 35.5 30.7 19 21-35.6-30.7-18.9zm111.5 1.3l-31.3 18 19.1 32.8 31.1-18.4-18.9-32.4zm33 56.6l-31.2 18.3 16.1 27.6 31.2-18.2-16.1-27.7zM165.8 449l-15.3 25.8 31 18.4 14.9-25.3-30.6-18.9z"}}]})(props);
};
function GiCrossFlare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M226.877 20.416c-18.832 0-37.66 2.584-55.922 7.72-28.518 5.13-56 17.362-79.572 36.71L29.203 28.67 65.51 91.078c-16.078 20.147-27.035 43.04-32.88 66.938C7.28 230.34 23.513 313.994 81.33 371.81c52.018 52.02 124.946 70.363 191.723 55.06l69.315 65.65-20.04-83.825c12.878-6.742 25.186-14.95 36.693-24.603L498.85 498.326 384.625 358.502c9.778-11.64 18.07-24.105 24.867-37.148l83.112 19.87-65.125-68.76c15.314-66.787-3.026-139.73-55.052-191.76-17.117-17.116-36.504-30.574-57.186-40.4l.688-1.27-1.565.85c-27.637-12.973-57.56-19.468-87.488-19.468zM202.07 43.908c24.817 0 49.633 5.904 72.186 17.703l-97.574 52.86-67.93-39.52C136.357 54.263 169.21 43.91 202.07 43.91zm94.09 31.623c5.63 4.275 11.043 8.972 16.184 14.113 54.775 54.776 60.34 139.89 16.715 200.84l-89.796-109.92L296.16 75.53zM75.668 108.544l39.793 68.4L63.84 272.24C36.7 220.5 40.648 156.814 75.668 108.543zm104.77 129.66l110.26 90.076c-60.798 42.13-144.68 36.112-198.88-18.07l-.02-.017v-.002c-5.17-5.17-9.892-10.617-14.187-16.284l102.828-55.703z"}}]})(props);
};
function GiCrossMark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105.367 18.328c23.14 15.444 46.098 31.27 68.55 47.572-45.055-20.895-94.51-35.918-149.37-44.246 46.697 26.72 91.596 55.58 135.705 85.524-37.203-18.033-77.48-32.22-121.602-41.37 58.218 34.322 109.368 72.465 154.71 114.206C136.02 227.227 86.295 284.717 45.79 354.18c27.11-24.29 54.91-47.545 82.868-70.68C81.942 339.36 45.05 405.01 20.2 482.135c20.36-24.62 40.988-48.203 61.905-70.817 44.7-67.485 89.567-147.11 148.856-170.418-29.61 30.708-63.36 75.164-98.25 118.145 40.99-40.437 83.09-77.46 126.415-111.512 61.598 70.49 110.757 149.38 152.145 235.873-6.738-44.794-16.796-87.384-30.03-127.666l46.444 65.53s-26.037-72.69-43.66-101.987c40.76 55.91 78.208 114.428 112.328 175.205-18.674-89.454-50.512-169.772-98.893-238.224 34.906 34.69 68.637 71.1 100.93 109.045C465.048 288.827 423.58 221.82 372.214 167c40.224-25.887 81.48-49.73 123.863-71.783-32.025 5.56-62.49 12.92-92.006 21.934 21.836-16.173 44.41-32.124 67.024-47.523-37.987 11.91-74.633 25.775-109.067 41.433 42.668-27.673 86.32-53.668 131.004-78.602h-.003c-67.47 18.055-130.83 42.19-188.998 73.548-56.294-41.79-122.01-71.787-198.663-87.68z"}}]})(props);
};
function GiCrossShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 20c-64 96-128 88-192 104 0 256 64 320 192 368 128-48 192-112 192-368-64-16-128-8-192-104zm0 32a9 9 0 1 1 0 18 9 9 0 0 1 0-18zm.291 30.152a269.17 269.17 0 0 0 13.84 14.15c34.949 35.385 82.966 45.887 130.685 56.428 2.732 1.184 6.62.508 8.864 1.958-2.683 64.84-5.522 131.649-32.315 191.746-12.685 31.46-36.26 57.602-64.37 76.144-15.452 10.864-32.847 18.227-49.884 26.115-6.586 4.573-13.697-.448-20.242-2.46-43.648-17.847-84.444-48.619-105.056-92.266-29.065-62.018-32.949-131.823-35.815-199.393 57.423-8.808 112.578-27.8 152.441-70.418zM256 124l-27.512 68.78C211.228 189.067 190.45 182.15 160 172c0 32-16 48-32 64 0 16 64 32 80 32 13.173-8.782 22.72-15.138 30.646-19.1C234.19 277.441 218.65 337.35 192 364c32 16 48 32 64 48 16-16 32-32 64-48-26.65-26.65-42.19-86.559-46.646-115.1 7.926 3.962 17.473 10.318 30.646 19.1 16 0 80-16 80-32-16-16-32-32-32-64-30.45 10.15-51.228 17.068-68.488 20.78zm-172 8a9 9 0 1 1 0 18 9 9 0 0 1 0-18zm344 0a9 9 0 1 1 0 18 9 9 0 0 1 0-18zM96 282a9 9 0 1 1 0 18 9 9 0 0 1 0-18zm320 0a9 9 0 1 1 0 18 9 9 0 0 1 0-18zM160 410a9 9 0 1 1 0 18 9 9 0 0 1 0-18zm192 0a9 9 0 1 1 0 18 9 9 0 0 1 0-18zm-96 50a9 9 0 1 1 0 18 9 9 0 0 1 0-18z"}}]})(props);
};
function GiCrossbow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M89.594 18.094l-10.75 10.75.03.03 27.532 333.563-83.03 92.938 33.25 33.25 90.155-80.563 336.19 24.907c.06.062.124.124.186.186l.156-.156h.032v-.03l10.562-10.564c-1.676-1.676-3.122-3.437-4.687-5.156-21.332-25.55-25.416-63.24-35.47-109.125-8.323-37.99-21.225-81.042-53.094-125.03l-38.062 50.81c.005.008-.005.026 0 .032 28.988 36.074 46.027 67.766 59.72 96.25 15.017 31.247 26.122 59 44.467 83.688L165.314 391.5 337.53 237.594l64.376-85.97-41.53-41.53-85.907 64.312L122.81 344.094 98.156 45.25c24.68 18.33 52.425 29.426 83.656 44.438 28.49 13.693 60.2 30.72 96.282 59.718l50.812-38.062c-43.99-31.86-87.04-44.736-125.03-53.063C157.987 48.224 120.3 44.113 94.75 22.78c-1.72-1.564-3.48-3.01-5.156-4.686zm317.03.312c-3.385.028-6.862.406-10.28.97-4.558.75-8.992 1.837-12.813 3.093-3.82 1.254-6.776 2.302-9.717 4.624a7.184 7.184 0 0 0-2.72 6.187l5.032 62.345a7.184 7.184 0 0 0 2.063 4.53l33.656 33.626a7.184 7.184 0 0 0 4.5 2.095l62.344 5.03a7.184 7.184 0 0 0 6.218-2.718c2.335-2.944 3.367-5.895 4.625-9.718 1.26-3.824 2.343-8.255 3.095-12.814.752-4.56 1.18-9.198.875-13.625-.305-4.425-1.012-8.99-4.844-12.81L422.78 23.343c-3.822-3.824-8.384-4.54-12.81-4.844-1.108-.076-2.216-.103-3.345-.094zm.126 14.375c.8-.006 1.563.016 2.25.064 2.404.165 3.74.915 3.72.78l65.655 65.657c-.138-.023.616 1.318.78 3.72.19 2.746-.062 6.526-.686 10.313-.626 3.786-1.595 7.62-2.595 10.656-.412 1.25-.524 1.272-.938 2.186l-54.78-4.375-29.938-29.936-4.376-54.813c.913-.41.94-.495 2.187-.905 3.037-.998 6.872-1.97 10.658-2.594 2.84-.466 5.662-.728 8.062-.75zm-47.97 120.44l-18.936 31.593-204.5 204.468-8.844-.655-1.188-14.563 201.875-201.906 31.594-18.937z"}}]})(props);
};
function GiCrosscutSaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M333.2 25.24c-2.6 2.79-4.7 8.5 4.3 17.93l53.2 53.59L406 82.83l-54.2-53.11c-10.5-9.45-16-7.26-18.6-4.48zM25.21 333.3c-2.7 2.6-4.97 8.1 4.48 17.8l53.11 55 15.05-15-54.65-53.5c-9.49-9-15.22-6.9-17.99-4.3zm72.64 85.5l69.65 70.3 3.5-31.3 26.5 15.9c.1-.1.2-.1.3-.1l5.2-33.7 32.7 8.8.2-.1 9-36.4 34 7.8c.1-.1.3-.3.5-.4l6.5-38.1 31 6.7 2.8-35.1 35 1.6-1.4-35 34.9-2.8-6.7-30.7 38-6.8.4-.5-7.7-34.1 36.7-8.8.2-.2-9.2-32.7 33.5-6.7.2-.2-15.9-25.1 31.4-3.5-70.4-70.84z"}}]})(props);
};
function GiCrossedAirFlows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21 18.035v5.088c109.998 50.032 220.054 122.967 293.453 201.82-2.054 3.538-4.134 7.048-6.23 10.54C218.595 169.884 117.723 122.586 21 92.822v77.1c75.186 16.99 155.106 46.088 231.27 89.356-54.09-19.95-113.754-32.143-175.204-33.876 59.19 20.343 123.45 46.638 184.955 78.492-65.03 85.433-145.31 149.098-239.266 174.39C141.178 511.62 307.632 481.4 414 401.755c30.91 25.406 58.157 52.78 79.965 82.025v-5.17c-10.706-36.043-26.167-71.84-45.272-106.794 12.84-12.864 24.225-26.682 33.852-41.416-56.283 49.778-128.067 78.627-216.725 105.834 78.377-44.805 146.055-100.623 199.133-159.6 10.04-11.92 19.72-24.115 29.012-36.52v-38.41c-75.202 99.392-188.794 188.773-302.738 236.14 122.326-68.48 252.93-199.788 297.607-323.684-38.43 54.704-84.59 103.334-133.86 144.86 57.522-73.943 108.355-152.33 138.99-216.06V18.036h-90.03c-20.39 65.42-46.51 128.732-78.065 186.61-72.37-77.783-156.326-143.35-233.247-186.61H21zM186.703 439.5h.492c-.32.13-.64.265-.96.395.156-.13.313-.265.468-.395z","fillRule":"evenodd"}}]})(props);
};
function GiCrossedAxes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M200.074 29.666c-30.957 17.548-57.03 29.997-80.568 32.37-8.09.815-15.88.187-23.242-1.888-14.33 19.58-15.942 46.004-8.905 72.016 5.656 20.91 17.103 40.95 30.66 55.205.534-7.142 1.38-14.058 2.56-20.56 3.43-18.88 8.727-34.898 21.342-43.316 6.307-4.21 15.02-5.268 22.69-2.363 5.742 2.176 11.038 6.017 16.312 11.458l58.79-34.05-39.64-68.872zm112.29 0l-39.64 68.873 58.79 34.048c5.274-5.44 10.57-9.282 16.312-11.457 7.67-2.904 16.384-1.845 22.692 2.364 12.614 8.418 17.91 24.437 21.34 43.317 1.18 6.502 2.025 13.418 2.558 20.56 13.558-14.257 25.005-34.297 30.662-55.206 7.038-26.012 5.425-52.436-8.904-72.016-7.364 2.075-15.153 2.703-23.242 1.887-23.538-2.372-49.612-14.82-80.57-32.37zM61.015 34.178C38.83 49.144 26.708 68.034 21.654 89.166c-5.597 23.406-2.263 49.864 7.836 75.576 17.58 44.754 55.84 86.336 97.332 104.54-5.72-17.565-8.727-37.628-9.33-57.278-22.436-16.898-40.02-44.822-48.174-74.96-7.755-28.663-6.69-60.166 9.768-84.94-6.607-4.49-12.676-10.455-18.07-17.926zm390.406 0c-5.394 7.47-11.464 13.435-18.07 17.926 16.46 24.773 17.523 56.276 9.767 84.94-8.155 30.138-25.74 58.062-48.175 74.96-.603 19.65-3.61 39.713-9.33 57.277 41.49-18.202 79.753-59.784 97.332-104.538 10.1-25.712 13.433-52.17 7.836-75.576-5.053-21.132-17.175-40.022-39.36-54.988zm-215.442 88.12l-29.177 16.9c52.91 100.2 83.55 209.812 152.734 295.685l33.492-25.19c-42.77-47.338-67.302-93.227-88.528-140.478-20.82-46.346-38.85-93.978-68.522-146.918zm40.48.003c-3.352 5.985-6.566 11.906-9.644 17.76 6.85 13.446 13.045 26.533 18.856 39.333 6.362-13.51 12.975-26.933 19.973-40.192l-29.184-16.9zm-49.624 103.52c-6.314 14.66-12.478 29.098-18.9 43.395-21.226 47.25-45.76 93.14-88.528 140.478l33.494 25.192c39.84-49.448 66.89-106.773 92.778-165.635-6.305-14.493-12.536-28.998-18.844-43.43zM98.976 417.71l-17.44 23.08 50.562 38.026 17.44-23.078-50.56-38.027zm314.485 0L362.9 455.74l17.44 23.078 50.562-38.027-17.44-23.08z"}}]})(props);
};
function GiCrossedBones (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M407.406 22.53c-9.832.353-19.334 5.774-25.03 18C310.03 195.818 206.43 320.097 49.405 373.47c-59.39 20.186-15.982 92.874 47.094 47.092-53.34 55.186 19.308 97.326 42.22 42.22 60.94-146.596 186.387-265.928 332.967-332.97 50.467-23.082 7.442-85.442-40.843-40.843 28.943-35.27 1.69-67.337-23.438-66.44zm-301.094.5c-24.643.51-50.094 31.967-21.78 66.47-48.286-44.598-91.28 17.76-40.813 40.844 63.846 29.2 123.663 68.308 175.905 115.28l25.25-25.25c-44.19-52-80.892-112.838-111.875-179.343-6.013-12.905-16.282-18.214-26.688-18zm188.344 249.032l-24.344 24.344c44.515 49.72 81.008 105.93 106.344 166.875 22.91 55.108 95.56 12.968 42.22-42.217 63.075 45.78 106.485-26.876 47.093-47.063-65.995-22.43-122.55-57.414-171.314-101.938z"}}]})(props);
};
function GiCrossedChains (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.023 19.676v27.2L75.48 104.32l24.842-24.843-58.804-59.8H19.023zm65.41 3.498c-4.468.09-8.392.9-11.83 2.244L189.15 141.963c2.893-7.395 3.085-17.245-.146-29.094-4.61-16.908-16.108-36.597-33.408-53.895-17.3-17.3-36.99-28.8-53.897-33.41-6.34-1.73-12.125-2.495-17.265-2.39zm-63.09 53.51c-2.894 7.394-3.088 17.243.143 29.09 4.61 16.908 16.11 36.598 33.41 53.898 17.3 17.3 36.988 28.797 53.895 33.408 11.85 3.232 21.7 3.04 29.095.147L21.342 76.684zm107.07 30.96l-24.716 24.717 119.545 119.546 24.717-24.717-119.546-119.545zm366 56.57c-7.766 2.724-15.67 6.186-23.36 10.626-20.332 11.738-35.756 27.138-44.106 41.637-5.734 9.956-7.942 18.928-7.213 26.365l74.68-42.953v-35.675zm-257.07 11.87c-4.466.09-8.39.9-11.827 2.246l73.62 73.62c10.648-5.168 21.366-8.972 31.78-11.358-5.744-9.727-13.255-19.55-22.41-28.705-17.3-17.3-36.99-28.8-53.897-33.41-6.34-1.73-12.126-2.497-17.266-2.393zm-62.677 53.096c-2.894 7.394-3.085 17.244.147 29.093 4.61 16.907 16.11 36.597 33.41 53.897 6.408 6.408 13.144 12.014 19.945 16.775 1.55-7.685 4.687-15.44 9.016-22.86 1.705-2.925 3.62-5.822 5.7-8.69l-68.218-68.215zm304.063.668L338.36 311.03l16.425 28.75 137.88-79.628v-6.12l-13.936-24.184zm-122.783 26.406c-16.79.075-37.91 5.84-58.258 17.588-20.348 11.747-35.902 27.155-44.362 41.658-5.79 9.93-8.063 18.86-7.39 26.26l136.445-78.776c-6.074-4.282-14.942-6.78-26.436-6.73zm138.467 23.637l-39.684 22.936c3.228 2.31 7.23 4.13 12.22 5.32 7.53 1.793 17.022 1.925 27.464.307V279.89zm-75.32 43.643l-136.448 78.78c6.073 4.283 14.943 6.78 26.438 6.728 16.79-.074 37.912-5.84 58.26-17.587 20.347-11.747 35.9-27.154 44.36-41.658 5.793-9.93 8.063-18.86 7.39-26.262zM296.53 334.19l-10.686 6.167-.037-.037-12.73 7.35.09.008-116.956 67.525 16.472 28.53 140.32-81.012-16.473-28.53zm138.993 7.558c-1.74 5.896-4.36 11.778-7.675 17.463-2.508 4.3-5.44 8.55-8.743 12.71l68.754 68.754c2.892-7.394 3.084-17.244-.147-29.092-4.61-16.906-16.108-36.595-33.408-53.894-6.042-6.042-12.377-11.36-18.782-15.94zM177.44 360.326c-16.79.075-37.91 5.84-58.258 17.588C98.834 389.66 83.28 405.07 74.82 419.572c-5.79 9.928-8.062 18.86-7.39 26.26l136.445-78.775c-6.073-4.283-14.942-6.782-26.436-6.73zM427.2 406.61l-24.67 24.29 62.49 62.996h27.644V472.07L427.2 406.61zm-66.124 8.982c-10.614 4.73-21.244 8.11-31.514 10.076 5.956 10.888 14.173 22.015 24.458 32.3 17.298 17.3 36.987 28.8 53.894 33.41 11.85 3.233 21.7 3.04 29.096.147l-75.934-75.933zM239.09 427.674l-114.528 66.123h65.815c18.962-11.586 33.505-26.31 41.502-40.193 5.648-9.81 7.863-18.622 7.21-25.93zm-114.854 7.144L21.73 493.896h65.452l53.392-30.86-16.338-28.218z"}}]})(props);
};
function GiCrossedClaws (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.453 19.705v245.13c4.412-17.67 14.42-34.115 27.492-47.702 12.698-13.2 28.387-23.823 45.4-30.082 12.868-6.873 23.85-14.545 31.89-23.404 9.75-10.736 15.592-22.933 16.154-39.316-1.656-23.427 5.156-47.68 17.508-68.144 8.895-14.738 20.753-27.626 34.87-36.48H19.453zm215.035 6.215c-5.724-.02-11.28.912-16.675 2.59-17.264 5.368-33.076 19.375-43.915 37.334-10.84 17.958-16.528 39.624-14.724 58.93 1.62 17.348 8.724 32.643 23.82 43.712l31.033-28.47-6.61 45.058c2.833 2.213 5.588 4.5 8.26 6.863l37.093-18.232-18.836 37.006c3.236 3.88 6.3 7.91 9.2 12.08l41.372-9.536-27.45 33.256c2.04 4.16 3.95 8.422 5.712 12.797l40.853-2.43-32.007 29.693c1.23 4.84 2.32 9.78 3.27 14.826l41.31 4.756-37.52 23.68c.538 6.54.875 13.23 1.01 20.063l40.796 11.113-41.38 17.777c-.26 4.49-.596 9.03-1.01 13.627l39.984 13.582-43.467 15.115c-.246 1.63-.497 3.263-.76 4.906l-.095-.016c-2.115 20.453-5.49 41.9-10.14 64.314 26.924-20.296 50.692-45.74 70.003-74.527l-.865-.603c75.188-107.848 76.028-266.003-57.973-373.15-14.29-11.425-27.695-16.07-40.29-16.114zM124.195 199.57c-3.522.076-7.08.433-10.666 1.043-19.117 3.255-38.574 14.36-53.116 29.477-14.542 15.117-23.98 34.013-24.7 52.076-.717 18.063 6.375 35.746 27.81 51.52 67.433 49.626 139.796 66.25 195.744 59.224 4.17-43.893.952-81.86-9.14-113.54l-12.825 18.442-1.82-38.984c-5.46-1.862-10.803-3.962-16.02-6.305l-27.98 25.754 6.87-36.97c-3.73-2.31-7.376-4.763-10.947-7.352l-38.388 19.236 16.87-37.415c-12.557-11.8-26.784-16.527-41.693-16.205zm369.475 7.31c-21.533 10.837-42.396 20.03-62.555 27.593l-2.613 42.492-23.047-33.64c-1.282.404-2.56.795-3.834 1.183 1.383 32.623-2.928 65.035-12.2 95.873 46.435-34.513 83.29-81.657 104.25-133.5z"}}]})(props);
};
function GiCrossedPistols (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M151.975 27.45L115.607 69.85l207.53 178.013c3.992 3.426 7.737 6.802 11.275 10.14-9.11 10.77-14.737 21.438-16.695 32.28-1.995 11.046.054 21.91 4.777 31.83 8.896 18.685 26.413 35.06 47.666 53.413-10.29 17.038-26.74 30.657-42.906 42.528-10.355 7.605-12.406 15.25-10.744 24.378 1.66 9.13 8.534 19.705 18.746 27.89 10.212 8.186 23.484 13.902 36.7 14.688 13.218.786 26.327-2.924 38.306-14.24 58.46-55.225 51.443-126.42 28.968-164.854l-11.576-19.797 22.116 6.07c20.454 5.61 30.968 1.247 36.492-6.052 4.46-5.893 6.093-15.657 3.404-27.207-9.253 2.936-20.322 5.495-32.64 5.336-16.77-.218-35.753-5.815-53.835-21.325L151.976 27.452zm206.433 0l-88.865 76.226 42.898 36.797 82.335-70.625-36.367-42.397zM197.943 165.095l-90.752 77.844c-18.08 15.51-37.062 21.106-53.835 21.324-12.316.16-23.385-2.4-32.638-5.336-2.69 11.55-1.055 21.314 3.404 27.207 5.525 7.3 16.04 11.663 36.493 6.05l22.116-6.068-11.578 19.797c-22.475 38.433-29.49 109.63 28.97 164.854 11.978 11.316 25.087 15.026 38.304 14.24 13.217-.786 26.49-6.502 36.7-14.688 10.213-8.185 17.085-18.76 18.747-27.89 1.662-9.13-.39-16.773-10.744-24.377-16.166-11.87-32.615-25.49-42.905-42.527 21.252-18.352 38.77-34.728 47.666-53.412 4.724-9.92 6.77-20.784 4.776-31.83-1.958-10.842-7.585-21.51-16.695-32.28 3.538-3.338 7.284-6.714 11.276-10.14l53.594-45.97-42.897-36.796zm-35.158 106.27c6.904 8.463 10.32 15.766 11.49 22.238 1.252 6.928.173 13.266-3.26 20.476-6.01 12.628-20.036 27.048-38.69 43.527-.613-2.15-1.14-4.345-1.542-6.595-4.18-23.354 4.67-49.706 32.002-79.647zm184.813 0c27.33 29.94 36.185 56.292 32.004 79.646-.403 2.25-.93 4.446-1.543 6.597-18.655-16.48-32.68-30.9-38.693-43.53-3.432-7.21-4.51-13.547-3.26-20.475 1.17-6.472 4.587-13.775 11.49-22.24z"}}]})(props);
};
function GiCrossedSabres (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M27.084 18.248C-17.903 146.478 143.15 277.92 314.496 381.074c-4.645 13.767-5.585 27.628-3.394 40.635 4.44 26.355 20.974 48.997 42.86 62.425 21.884 13.428 49.776 17.57 75.645 5.765 25.87-11.804 48.69-38.923 62.737-84.654l-17.865-5.488c-13 42.318-32.806 64.094-52.63 73.14-19.825 9.047-40.69 5.998-58.116-4.693-17.425-10.69-30.75-29.095-34.205-49.6-3.455-20.507 2.232-43.318 24.677-65.218 20.743-20.24 32.068-41.615 30.434-61.24l-18.622 1.552c.74 8.89-4.35 22.76-16.684 37.486C222.057 230.8 73.838 128.622 27.084 18.248zm458.05 0C451.34 98.03 364.527 173.53 270.93 247.166c19.492 15.878 39.56 31.622 59.195 45.012 110.756-84.836 187.878-180.243 155.01-273.93zM127.58 292.146c-1.634 19.626 9.69 41 30.434 61.24 22.445 21.9 28.132 44.712 24.677 65.218-3.455 20.506-16.78 38.91-34.206 49.6-17.425 10.692-38.29 13.74-58.115 4.694-19.825-9.046-39.632-30.822-52.63-73.14l-17.865 5.488c14.046 45.73 36.867 72.85 62.736 84.654 25.87 11.805 53.763 7.663 75.648-5.765 21.885-13.428 38.42-36.07 42.86-62.426 2.19-13.005 1.25-26.863-3.393-40.628 13.986-8.42 27.905-17.022 41.648-25.803l-56.967-39.387c-6.55 5.103-13.063 10.2-19.52 15.293C150.55 316.46 145.46 302.59 146.2 293.7l-18.622-1.554zm18.1 73.614c-26.1 8.6-62.087 36.255-77.104 60.324 4.948 8.63 10.393 15.223 16.05 20.14 25.846-8.953 59.85-37.406 74.733-60.257-3.007-6.6-7.454-13.386-13.68-20.207zm220.863 0c-6.225 6.822-10.67 13.61-13.68 20.21 14.886 22.85 48.89 51.3 74.736 60.255 5.656-4.918 11.1-11.51 16.05-20.14-15.018-24.07-51.004-51.724-77.105-60.325z","fillRule":"evenodd"}}]})(props);
};
function GiCrossedSlashes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M174.844 14.875c47.1 42.275 78.124 90.35 95.312 138.063C200.613 126.285 119.028 114.165 32 129.155c96.11-8.437 180.524 13 245.625 47.72 43.035 161.78-70.46 307.352-250.97 192.155 112.67 95.877 201.475 101.817 254.94 60.908 307.477 77.54 238.903-156.1 27.374-260.094-25.886-55.805-69.74-110.694-134.126-154.97zM323 205.345c123.386 90.75 139.423 227.623-38.656 222.436C336.51 385.317 353.196 296.868 323 205.345z","fillRule":"evenodd"}}]})(props);
};
function GiCrossedSwords (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.75 14.438c59.538 112.29 142.51 202.35 232.28 292.718l3.626 3.75.063-.062c21.827 21.93 44.04 43.923 66.405 66.25-18.856 14.813-38.974 28.2-59.938 40.312l28.532 28.53 68.717-68.717c42.337 27.636 76.286 63.646 104.094 105.81l28.064-28.06c-42.47-27.493-79.74-60.206-106.03-103.876l68.936-68.938-28.53-28.53c-11.115 21.853-24.413 42.015-39.47 60.593-43.852-43.8-86.462-85.842-130.125-125.47-.224-.203-.432-.422-.656-.625C183.624 122.75 108.515 63.91 19.75 14.437zm471.875 0c-83.038 46.28-154.122 100.78-221.97 161.156l22.814 21.562 56.81-56.812 13.22 13.187-56.438 56.44 24.594 23.186c61.802-66.92 117.6-136.92 160.97-218.72zm-329.53 125.906l200.56 200.53c-4.36 4.443-8.84 8.793-13.405 13.032L148.875 153.53l13.22-13.186zm-76.69 113.28l-28.5 28.532 68.907 68.906c-26.29 43.673-63.53 76.414-106 103.907l28.063 28.06c27.807-42.164 61.758-78.174 104.094-105.81l68.718 68.717 28.53-28.53c-20.962-12.113-41.08-25.5-59.937-40.313 17.865-17.83 35.61-35.433 53.157-52.97l-24.843-25.655-55.47 55.467c-4.565-4.238-9.014-8.62-13.374-13.062l55.844-55.844-24.53-25.374c-18.28 17.856-36.602 36.06-55.158 54.594-15.068-18.587-28.38-38.758-39.5-60.625z","fillRule":"evenodd"}}]})(props);
};
function GiCrosshairArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M101.86 17.793l-18.532 2.41 9.42 72.475-72.478-9.42-2.41 18.533 96.55 12.55-12.55-96.547zm47.744 47.742l-18.532 2.408 9.42 72.48-72.476-9.42-2.41 18.532 96.548 12.55-12.55-96.55zm139.97 44.377v70.28c-19.16 1.463-37.088 7.392-52.756 16.734l13.655 13.654c11.836-6.306 25.055-10.376 39.1-11.635v37.643c-3.646.527-7.197 1.36-10.626 2.467l15.742 15.74c1.39-.123 2.796-.197 4.22-.197 25.845 0 46.596 20.75 46.596 46.595 0 1.424-.074 2.83-.197 4.22l15.74 15.743c1.096-3.39 1.922-6.9 2.45-10.506h38.006c-1.237 14.124-5.315 27.414-11.652 39.31l13.652 13.65c9.374-15.723 15.31-33.723 16.746-52.96h65.57v-18.687h-65.6c-4.64-59.564-52.367-107.23-111.958-111.772v-70.278h-18.69zm-93.01 2.584l-18.53 2.408 9.42 72.48-72.477-9.423-2.41 18.534 81.357 10.576L395.38 408.523l22.472 8.7-8.33-20.987-17.043-17.043c.025-.032.054-.063.08-.095l-13.214-13.217-.08.1-27.12-27.117.077-.103-13.407-13.408c-.022.037-.047.072-.07.11l-64.103-64.103c.037-.023.072-.048.11-.07l-13.407-13.407-.104.076-26.79-26.792c.033-.027.065-.055.1-.082l-13.22-13.217c-.033.026-.063.056-.096.083l-14.095-14.096-10.576-81.36zm111.7 86.447c49.447 4.42 88.692 43.6 93.207 93.02h-37.94c-4.075-28.546-26.737-51.245-55.266-55.373v-37.647zm-111.59 36.705c-10.65 16.48-17.43 35.683-19.037 56.315h-69.535v18.687h69.505c4.463 59.74 52.256 107.6 111.967 112.163v63.812h18.69v-63.813c20.71-1.578 39.985-8.37 56.52-19.054l-13.513-13.512c-12.804 7.553-27.395 12.42-43.006 13.815v-38.263c5.09-.737 9.99-2.075 14.636-3.922l-14.96-14.96c-2.92.567-5.937.872-9.03.872-25.844 0-46.594-20.75-46.594-46.594 0-3.092.306-6.11.873-9.03l-14.96-14.958c-1.86 4.682-3.206 9.623-3.94 14.758h-37.9c1.418-15.535 6.273-30.055 13.794-42.805l-13.51-13.51zm-.32 75.002h37.966c4.163 28.446 26.792 51.04 55.254 55.15v38.26c-49.568-4.44-88.878-43.813-93.22-93.41zm249.55 51.235l-21.412 21.412 26.514 66.793-67.272-26.037-21.78 21.78 129.46 45.505-45.51-129.453z"}}]})(props);
};
function GiCrosshair (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 32v23.21C143.25 59.8 59.798 143.25 55.21 247H32v18h23.21C59.8 368.75 143.25 452.202 247 456.79V480h18v-23.21C368.75 452.2 452.202 368.75 456.79 265H480v-18h-23.21C452.2 143.25 368.75 59.798 265 55.21V32h-18zm0 41.223V128h18V73.223C359 77.76 434.24 153 438.777 247H384v18h54.777C434.24 359 359 434.24 265 438.777V384h-18v54.777C153 434.24 77.76 359 73.223 265H128v-18H73.223C77.76 153 153 77.76 247 73.223zM247 224v23h-23v18h23v23h18v-23h23v-18h-23v-23h-18z"}}]})(props);
};
function GiCrossroad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M164 16l-32 16 32 32 64 16V32l-64-16zm184 0l-64 16v48l64-16 32-32-32-16zM247 32v112h18V32h-18zM16 64l182.7 182.7L96 496h320L313.3 246.7 496 64h-64L256 192 80 64H16z"}}]})(props);
};
function GiCrowDive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M270.713 12.61c6.643 39.436 26.262 70.82 50.46 104.41-26.216-22.16-49.542-51.885-66.99-85.893 1.347 33.463 14.174 58.902 30.5 85.467-18.768-14.65-35.86-33.73-47.558-57.805 5.06 30.615 24.262 60.356 40.176 83.886-14.308-11.715-33.218-31.112-47.34-46.424 16.406 28.247 21.683 48.16 21.634 63.977 7.965 6.568 16.083 13.796 24.334 21.596 16.744 15.827 30.91 36.685 43.49 58.51-7.446-10.075-16.69-20.75-27.95-32.012h-.003c-30.543-30.543-77.793-54.475-116.057-70.408-26.277-34.84-39.484-73.923-52.322-119.918l-9.713 39.732L85.12 27.71l2.65 40.614-33.995-11.916 11.48 34.432-40.175-3.09 30.902 27.37-41.498 10.603c41.23 14.726 84.974 23.305 119.118 48.482 15.908 38.907 40.43 88.373 72.02 119.963 9.87 9.867 19.278 18.166 28.237 25.086-20.32-11.927-39.594-25.195-54.88-40.48-8.6-8.6-16.3-16.744-23.142-24.5-15.544-.32-35.038-5.788-62.29-21.616 15.314 14.12 34.712 33.033 46.43 47.342-23.534-15.914-53.277-35.118-83.898-40.178 24.08 11.698 43.16 28.79 57.813 47.557-26.566-16.326-52.006-29.152-85.47-30.5 34.01 17.45 63.736 40.777 85.897 66.995-33.59-24.2-64.975-43.82-104.414-50.465 68.028 50.728 136.373 93.22 188 172.06 69.836 106.64 132.95 16.87 88.62-13.396-51.68-35.28-36.602-84.41-2.993-86.83 5.078 1.163 9.893 1.72 14.438 1.705.137.04.27.073.407.114l-.117-.12c4.32-.036 8.394-.586 12.22-1.604 1.428 9.75 6.59 20.066 15.143 28.62 10.646 10.645 24.022 16.04 35.64 15.52l43.376 17.862-17.824-43.274c.578-11.653-4.816-25.1-15.51-35.793-8.562-8.563-18.892-13.726-28.652-15.148 1.01-3.81 1.552-7.865 1.588-12.166l.12.118c-.04-.136-.074-.27-.114-.406.014-4.542-.54-9.355-1.703-14.43 2.412-33.615 51.544-48.698 86.828 2.985 30.266 44.33 120.04-18.788 13.397-88.622C363.934 148.98 321.44 80.635 270.713 12.61zm139.043 350.73l-.006.008.012.01-.006-.018zm.006.017l18.36 67.55-67.58-18.35c19.076 18.56 60.155 34.722 92.632 43.425-9.707-36.232-23.735-74.074-43.412-92.625z"}}]})(props);
};
function GiCrowNest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M204.34 32l-4.2 215h44.4l-4.2-215zm-19.123 2.615C138.694 43.565 84.74 71.663 29.66 103.07c55.44 5.404 110.725 12.245 154.174 37.74zm145.11 43.916c-7.32 0-14.18 3.754-19.69 10.898-5.51 7.144-9.235 17.565-9.235 29.265s3.724 22.124 9.235 29.268c5.51 7.145 12.37 10.897 19.69 10.897 7.322 0 14.182-3.752 19.693-10.896 5.51-7.143 9.234-17.567 9.234-29.267s-3.724-22.12-9.234-29.265c-5.51-7.144-12.37-10.897-19.692-10.897zM464.34 98v11h-87.738c.42 3.16.652 6.394.652 9.693 0 2.817-.162 5.59-.47 8.307 30.437-.032 59.455.005 87.556 0v11h18V98zm-43.244 46.984c-1.398.002-1.39 0-2.813.002-6.143.01-12.254.028-17.152.05l-10.81 22.693-44.84 6.014c-4.726 1.99-9.82 3.113-15.152 3.113-6.93 0-13.46-1.882-19.29-5.126L279.802 247h72.715l-4.663-37.492-18.46 2.18-2.11-17.877 2.186-.257.067.492 72.84-9.774zM90.526 265l14.154 46h53.015l-7.076-46zm78.304 0l7.076 46h92.867l7.077-46zm125.23 0l-7.076 46H340l14.154-46zm-183.843 64l14.154 46h43.17l-7.075-46zm68.46 0l7.075 46h73.176l7.076-46zm105.538 0l-7.076 46h43.17l14.153-46zM129.91 393l19.076 22h30.864l-9.54-22zm58.61 0l9.54 22h48.56l9.538-22zm85.85 0l-9.54 22h30.863l19.077-22zm-78.643 40l-.41 61h54.046l-.41-61z"}}]})(props);
};
function GiCrowbar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M417.186 30.744c12.997 11.133 42.59 56.346 39.306 97.635-1.062 43.45-8.042 83.123-20.326 115.91l-53.443 63.673c-11.52 28.003-20.44 60.487-33.024 84.76l-15.93-8.383c13.343-29.754 23.773-60.04 33.152-85.55l53.416-63.644c27.66-74.695 20.835-130.908 2.615-166.083-46.748-89.71-131.486 12.928-167.7 64.822l-95.968 132.588s9.633 11.59 16.127 19.236c14.846-20.453 67.174-89.815 104.817-133.747 27.56-32.168 71.878-85.727 102.04-69.326 8.757 4.65 9.267 9.775 14.37 27.263 5.104 17.49 4.986 106.234-14.238 145.098l-30.47 38.74-31.23 97.5 21.19 17.35 19.985-3.47 51.7-71.854-16.33 59.623-7.423 27.404-10.047 4.75 26.957 5.345 5.518-5.537c8.46-13.59 35.28-53.34 44.082-83.32l4.414-82.33c27.852-64.092 49.867-167.234-21.46-219.372-10.932-6.942-10.954-6.95-22.102-9.082zm-55.82 73.03c-23.088 10.194-39.402 27.09-66.65 58.675-43.976 50.97 0 0-104.378 133.34 8.856 3.515 21.662 8.974 21.662 8.974 45.562-49.32 113.515-196.82 184.64-194.864-1.83-3.83-4.207-6.543-6.68-8.35-9.062-5.913-19.99-2.063-28.593 2.225zm-211.68 174.828L18 460.734V494h57.52l128.47-177.686-32.297-11.544z"}}]})(props);
};
function GiCrownCoin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.95 71.932c-65.823 0-125.256 18.536-167.708 47.875-42.452 29.338-67.637 68.846-67.637 111.89 0 43.045 25.184 82.552 67.635 111.89 42.452 29.34 101.886 47.874 167.71 47.874 65.826 0 125.26-18.533 167.712-47.872 42.452-29.34 67.64-68.846 67.64-111.89 0-43.045-25.188-82.553-67.64-111.89-42.452-29.34-101.886-47.876-167.71-47.876zm1.704 21.187h.153l1.084.01-.154 18.686-1.002-.007-4.937.038-.043.002-5.063.125h-.026l-4.88.203-2.11.12-1.076-18.657 2.2-.126.075-.004.076-.004 5.1-.21.075-.003.078-.002 5.133-.126.076-.002h.076l5.166-.043zm20.373.646l.702.04.077.005.076.004 5.027.375.076.003.077.008 4.988.454.08.008.075.008 4.947.53.078.01.077.01 2.937.366-2.307 18.545-2.878-.357-.06-.007-4.64-.498-.046-.004-4.927-.448-.016-.002-4.802-.355-.617-.036 1.077-18.658zm-57.66 1.552l2.307 18.547-4.1.51-.02.002-4.63.654-4.586.728-.055.01-4.623.812-3.234-18.408 4.678-.822.076-.014.078-.012 4.818-.763.078-.01.076-.013 4.864-.685.078-.012.076-.01 4.12-.512zm95.95 3.29l2.693.523.078.015.076.017 4.676.984.078.018.078.018 4.623 1.056.077.018.078.02 4.57 1.128.08.02.077.02 1.662.44-4.793 18.065-1.503-.4-.027-.01-4.47-1.1-4.526-1.036-.016-.004-4.433-.933-2.622-.506 3.545-18.35zm-133.766 3.69l4.48 18.143-.407.103-.027.006-4.285 1.138-4.22 1.197h-.002l-4.242 1.285-.045.014-4.075 1.316-5.74-17.787 4.12-1.33.08-.026.08-.023 4.403-1.336.078-.023.08-.024 4.46-1.264.08-.024.077-.02 4.516-1.2.077-.018.08-.02.434-.107zm171.137 6.165l2.456.842.082.027.078.03 4.222 1.533.08.03.08.028 4.16 1.598.08.03.08.033 4.093 1.66.082.032.08.035 2.51 1.072-7.344 17.186-2.348-1.004-.04-.018-3.892-1.578-.058-.023-4.074-1.563-.026-.01-3.974-1.44-2.385-.817 6.058-17.682zm-208.003 6.1l7.343 17.185-3.343 1.428-.045.02-3.85 1.732-3.685 1.744-3.587 1.785-.055.027-1.692.885-8.66-16.56 1.747-.915.082-.043.083-.04 3.815-1.902.084-.04.082-.04 3.887-1.84.083-.04.082-.036 3.96-1.78.08-.038.08-.035 3.51-1.498zm243.587 9.248l.08.042.084.044.082.045 3.67 2.015.084.047.082.05 3.593 2.067.084.048.083.05 3.516 2.126.083.052.086.053 3.432 2.177.086.055.086.056 1.744 1.16-10.35 15.563-1.667-1.108-3.31-2.098-.03-.02-3.282-1.982-3.43-1.975-3.453-1.896-.016-.007-.09-.05 2.386-4.34 6.365-12.172zm-277.98 8.78l6.73 10.613 3.388 5.098-3.27 2.177-3.103 2.162-3.062 2.243-.034.023-2.84 2.184-2.05 1.65-11.73-14.55 2.133-1.72.086-.068.087-.068 3.102-2.38.084-.067.088-.065 3.188-2.332.086-.062.086-.06 3.27-2.282.087-.06.085-.057 3.354-2.232.085-.056.085-.055.06-.037zm310.696 13.123l2.14 1.81.087.075.086.076 2.835 2.525.088.077.086.082 2.743 2.568.088.084.087.084 2.65 2.615.088.087.086.09 2.555 2.656.088.092.086.094.62.682-13.818 12.582-.54-.592-2.384-2.478-2.455-2.424-2.555-2.395-2.74-2.437-.037-.033-1.962-1.66 12.078-14.262zM78.72 157.648l13.47 12.954-.8.834-2.275 2.5-2.164 2.515-2.093 2.577-1.98 2.588-1.71 2.375-15.173-10.912 1.777-2.47.082-.114.085-.11 2.16-2.82.08-.11.087-.104 2.26-2.782.083-.103.088-.1 2.36-2.742.084-.098.087-.095 2.46-2.7.083-.095.087-.092.862-.895zm185.735 4.248l1.55 1.833 35.733 71.135-37.28-44.043-27.35 32.307-15.858-10.19 36.074-42.618 7.13-8.426zM122.81 173.748l8.147 3.397 89.818 57.7-68.3-28.478 26.457 85.422 85.527 6.265 85.895-6.23-9.384 19.42-76.517 5.548-99.6-7.295-42.042-135.75zm284.19.096l-.67 2.164-54.47 112.71 25.533-82.447-57.243 23.615-8.412-16.746L407 173.843zm39.854 1.256l1.01 1.498.08.12.08.124 1.845 2.933.077.125.076.13 1.74 2.968.075.13.072.136 1.63 3.002.073.136.07.14 1.518 3.036.07.14.068.147 1.32 2.88-16.99 7.784-1.246-2.718-1.385-2.77-1.49-2.747-1.59-2.715-1.646-2.617-.955-1.42 15.5-10.443zM55.707 190.78L72.7 198.56l-.93 2.028-1.166 2.803-1.04 2.767-.953 2.84-.848 2.873-.69 2.71-18.11-4.622.733-2.876.043-.168.05-.166.94-3.186.05-.164.052-.162 1.06-3.158.053-.16.06-.156 1.175-3.13.058-.154.063-.152 1.29-3.1.062-.148.07-.148.985-2.153zm407.344 21.634l.317 1.463.037.174.032.175.574 3.263.03.178.024.178.45 3.287.025.18.017.18.322 3.31.016.18.012.182.196 3.332.01.182.003.183.065 3.353.004.182-.004.18-.01.542-18.686-.363.006-.354-.056-2.984-.176-3.008-.29-2.94-.402-2.94-.5-2.84-.287-1.336 18.27-3.938zM46.315 230.59l18.686.363-.027 1.442.056 2.976.175 3.005.29 2.953.403 2.94.502 2.85.055.26-18.27 3.938-.087-.404-.037-.174-.03-.175-.575-3.264-.03-.177-.025-.178-.45-3.287-.024-.18-.018-.18-.322-3.31-.018-.18-.01-.18-.197-3.335-.008-.182-.004-.18-.065-3.354-.004-.18.003-.183.03-1.623zm398.24 18.904l18.27 3.938-.156.718-.037.172-.042.17-.82 3.213-.04.168-.052.166-.94 3.185-.048.164-.053.16-1.06 3.157-.054.16-.057.158-1.176 3.13-.058.154-.064.15-1.293 3.1-.062.15-.066.147-.537 1.17-16.99-7.785.476-1.043 1.16-2.786 1.055-2.803.946-2.82.85-2.876.732-2.875.117-.546zM71.505 263.56l.267.643 1.28 2.797 1.375 2.748 1.488 2.744 1.605 2.74 1.652 2.622.334.496-15.5 10.443-.404-.602-.082-.12-.08-.125-1.844-2.93-.078-.128-.077-.13-1.737-2.966-.076-.132-.072-.133-1.63-3.002-.073-.138-.07-.14-1.518-3.034-.07-.142-.067-.144-1.406-3.067-.066-.148-.062-.15-.338-.81 17.252-7.19zm359.244 16.585l15.5 10.443-.338.5-.08.117-.082.115-2.057 2.86-.082.113-.083.11-2.158 2.822-.085.107-.086.107-2.26 2.78-.085.104-.085.1-2.36 2.742-.086.098-.088.095-2.457 2.7-.087.092-.088.092-.11.115-10.98-10.557-2.556-2.326.06-.07.03-.028 2.27-2.495 2.2-2.553 2.087-2.572 2.004-2.617 1.872-2.602.268-.395zm-340.594 11.85l1.27 1.394 2.38 2.475 2.454 2.42 2.597 2.434 2.66 2.364 1.213 1.03-12.078 14.263-1.312-1.11-.088-.078-.086-.077-2.836-2.523-.088-.08-.086-.08-2.744-2.57-.088-.083-.086-.086-2.65-2.612-.088-.086-.086-.09-2.555-2.658-.09-.092-.084-.093-1.35-1.482 13.82-12.584zM19.52 300.64c1.657 12.822 5.554 25.25 11.478 37.098v-20.302c-4.22-5.423-8.05-11.03-11.478-16.795zm468.863.006c-4.43 7.45-9.534 14.63-15.27 21.497v22.634c8.07-13.928 13.28-28.747 15.27-44.13zm-81.127 4.72l11.73 14.552-2.976 2.398-.086.07-.088.067-3.102 2.383-.086.066-.087.063-3.187 2.334-.086.06-.086.062-3.27 2.28-.086.06-.086.058-2.512 1.67-10.35-15.562 2.432-1.615 3.06-2.135 3.012-2.203 2.963-2.276 2.893-2.333zm-290.49 9.363l2.568 1.707 3.246 2.06 3.338 2.017 3.465 1.996 2.69 1.476-8.995 16.383-2.8-1.538-.083-.047-.084-.047-3.59-2.07-.086-.05-.082-.05-3.516-2.125-.086-.05-.084-.053-3.436-2.178-.085-.055-.084-.056-2.644-1.757 10.35-15.564zm260.884 10.188l8.66 16.56-2.705 1.415-.082.043-.084.043-3.817 1.897-.082.04-.08.04-3.89 1.842-.08.038-.084.037-3.957 1.78-.08.038-.083.034-2.512 1.074-7.345-17.185 2.48-1.06.03-.014 3.732-1.68 3.682-1.743 3.724-1.853.033-.018 2.54-1.328zm-229.605 6.848l3.47 1.482.034.014 3.88 1.572.05.02 3.915 1.5 4.056 1.474 1.363.467-6.057 17.68-1.436-.493-.08-.027-.08-.03-4.22-1.53-.083-.03-.08-.03-4.158-1.597-.08-.03-.08-.034-4.095-1.658-.08-.034-.082-.035-3.504-1.496 7.345-17.184zm-98.357 6.203v27.827c5.04 5.95 10.644 11.676 16.77 17.146v-30.66c-5.92-4.545-11.517-9.326-16.77-14.314zm294.917 1.024l6.057 17.682-.803.275-.08.03-.08.024-4.345 1.402-.078.026-.08.023-4.402 1.334-.08.024-.078.022-4.46 1.268-.08.02-.077.022-3.903 1.036-4.793-18.065 3.744-.992.053-.016 4.382-1.245.027-.008 4.23-1.285.015-.004 4.11-1.326.72-.248zm109.82 2.48c-5.276 4.76-10.873 9.318-16.77 13.65v31.118c6.078-5.145 11.676-10.533 16.77-16.133v-28.635zm-272.376 2.09l2.675.707.03.01 4.337 1.068 4.387 1.006.034.007 4.554.962 1.563.3-3.544 18.35-1.633-.314-.078-.015-.076-.016-4.677-.986-.078-.015-.076-.018-4.626-1.056-.078-.02-.078-.016-4.57-1.13-.08-.02-.077-.02-2.704-.717 4.793-18.065zm127.66 4.47l3.544 18.35-.97.186-.075.016-.08.014-4.77.837-.08.014-.077.013-4.818.764-.076.01-.08.013-4.863.688-.076.01-.077.01-3.043.378-2.307-18.545 2.89-.358.018-.002 4.787-.678.058-.008 4.51-.715.055-.01 4.68-.823.036-.006.813-.157zm-92.255 2.49l3.95.49.058.007 4.64.5.057.007 4.776.436.02.002 4.632.344-1.383 18.637-4.652-.345-.076-.008-.08-.006-4.985-.455-.078-.006-.076-.008-4.95-.534-.076-.008-.076-.01-4.01-.498 2.31-18.547zm56.414 1.904l1.075 18.658-3.28.19-.077.003-.076.003-5.1.21-.076.003-.076.002-5.133.125-.078.002-.077.002-5.166.04-.077-9.343-.076 9.344-2.162-.018.154-18.687 2.084.017 4.936-.04.043-.002 4.935-.12h.01l5.023-.207 3.19-.182zM85.145 365.21v32.49c.367.258.725.52 1.094.775 5.838 4.034 12.007 7.855 18.46 11.46v-33.69c-6.772-3.45-13.3-7.132-19.554-11.034zm333.82 2.33c-6.267 3.756-12.793 7.296-19.552 10.61v33.862c6.84-3.666 13.367-7.58 19.55-11.717V367.54zm-295.58 17.388v34.445c6.74 3.066 13.728 5.906 20.944 8.5v-35.06c-7.17-2.402-14.16-5.032-20.943-7.885zm257.34 1.55c-6.793 2.745-13.78 5.27-20.943 7.57v35.155c7.205-2.477 14.193-5.194 20.942-8.14V386.48zm-217.708 11.96v35.453c6.6 1.89 13.352 3.588 20.248 5.07v-35.774c-6.872-1.388-13.626-2.973-20.248-4.748zm178.076.996c-6.625 1.69-13.38 3.188-20.246 4.494v35.812c6.885-1.392 13.643-2.986 20.246-4.783v-35.523zm-139.14 6.99v35.967c6.87 1.06 13.854 1.92 20.942 2.56v-36.118c-7.074-.6-14.058-1.41-20.943-2.408zm100.204.525c-7.34.983-14.785 1.758-22.332 2.29v36.135c7.557-.566 15.01-1.37 22.332-2.412V406.95zm-60.572 2.988v36.19c4.094.146 8.217.22 12.365.22 2.406 0 4.8-.033 7.187-.082v-36.192c-2.388.046-4.782.074-7.186.074-4.144 0-8.266-.074-12.364-.21z"}}]})(props);
};
function GiCrownOfThorns (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.094 24.875c-16.73 9.388-34.47 42.043-41.688 59.47-14.608-2.407-28.87-3.664-42.562-3.75-11.446-.074-22.49.68-33.03 2.218-16.34-8.284-34.766-29.065-42.626-50-9.324 15.704-9.558 42.313-5.782 64.593-19.443 9.72-35.107 23.633-45.53 41.688-7.262 12.577-11.5 26.34-12.97 40.875 13.294-25.904 35-46.957 65.656-54.345-34.99 31.783-59.85 87.186-51.5 129.406-1.2 22.87-9.48 37.647-24.75 44.595 16.335 4.59 35.497 3.343 49.438-1.28 24.94 34.82 60.818 67.882 105.063 94.342-6.952 17.613-16.677 49.21-16.47 66.032 10.846-13.178 37.433-40.585 61.72-42.783 23.656 10.27 47.35 17.698 70.312 22.313 12.423 17.25 12.895 38.867 7.375 53.594 16.402-9.2 33.82-33.187 39.938-48 47.1 1.423 88.046-10.534 114.718-35.563 17.536 5.52 30.744 15.707 39.813 30.5.243-19.578-8.05-44.353-18-60.31 13.42-28.268 12.786-61.81.5-96.158l.405.47c9.976-11.804 18.304-33.19 18.063-52.907-8.535 10.373-20.727 15.14-36.75 14.188-13.56-22.597-31.81-44.812-54.032-65.375 10.56-19.27 30.402-36.43 44.156-47.97-18.985-5.337-67.794 5.2-80.78 17.782l5.906 8.5c5.637 11.99 9.503 24.423 11.093 37.063-26.323-37.275-70.72-74.72-114.905-95.625-15.894-25.424-19.322-56.118-12.78-73.563zm-82.875 97.063c1.13-.015 2.258-.008 3.405 0 31.56.2 68.888 8.842 107 25.656-8.8 20.095-14.74 44.482-10 61.344 13.33-18.637 37.313-34.22 55.406-37.5 55.904 34.315 96.215 78.718 111.658 118.718l.093.22c16.088 37.88 13.36 85.186-26.56 117.312 4.79-11.41 7.986-23.828 9.5-36.438-14.078 10.012-33.524 15.304-56.314 15.97-1.954-17.242-9.117-52.874-22.28-65.72 1.565 16.122-8.11 46.272-26.22 61.063-31.916-6.495-66.794-19.67-101.03-39.438-9.538-5.506-18.65-11.307-27.314-17.344-3.444-23.614 7.842-53.562 20.563-64.03-18.967-.234-46.71 22.156-59.313 32.75-40.974-38.47-64.14-81.11-61.25-115 16.275-1.708 36.144.927 51.72 8-3.92-15.382-18.553-31.733-34.407-44.344 14.757-13.826 37.7-20.852 65.344-21.22z"}}]})(props);
};
function GiCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M408.256 119.46l-37.7 52.165 19.57 44.426 34.8-37.214-16.67-59.375zm86.074 12.513L384.44 249.498 334.01 135.02l-75.162 132.947-86.948-131.78-33.334 114.122L17.922 132.83l39.3 127.6c1.945-.348 3.94-.54 5.98-.54 18.812 0 34.26 15.452 34.26 34.262 0 13.823-8.346 25.822-20.235 31.22l5.337 17.33c12.425 25.466 71.863 45.152 176.582 47.206 110.805 2.174 178.12-17.54 189.854-47.207h-.002l4.357-20.26c-16.836-2.114-30.02-16.612-30.02-33.986 0-18.81 15.45-34.262 34.263-34.262 3.513 0 6.91.54 10.11 1.54l26.622-123.762zm-391.77 2.04l1.22 56.337 25.56 24.89 9.592-32.842-36.37-48.386zm150.585 2.91l-24.483 51.36 28.955 43.885 24.922-44.08-29.395-51.166zm204.453 135.962c-8.712 0-15.575 6.862-15.575 15.572 0 8.71 6.863 15.574 15.575 15.574s15.572-6.863 15.572-15.573-6.86-15.572-15.572-15.572zM63.2 278.58c-8.71 0-15.573 6.864-15.573 15.574s6.862 15.573 15.574 15.573c8.713 0 15.573-6.862 15.573-15.573 0-8.71-6.86-15.574-15.572-15.574zm130.33 17.842c18.812 0 34.26 15.45 34.26 34.262 0 18.81-15.448 34.26-34.26 34.26-18.813 0-34.262-15.45-34.262-34.26s15.45-34.262 34.26-34.262zm131.234 0c18.812 0 34.26 15.45 34.26 34.262 0 18.81-15.448 34.26-34.26 34.26-18.813 0-34.262-15.45-34.262-34.26s15.45-34.262 34.262-34.262zm-131.235 18.69c-8.713 0-15.573 6.86-15.573 15.572 0 8.71 6.86 15.574 15.572 15.574 8.71 0 15.572-6.864 15.572-15.574s-6.86-15.573-15.573-15.573zm131.234 0c-8.712 0-15.573 6.86-15.573 15.572 0 8.71 6.862 15.574 15.574 15.574s15.574-6.864 15.574-15.574-6.862-15.573-15.574-15.573z","fillRule":"evenodd"}}]})(props);
};
function GiCrownedExplosion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M62.807 19.26l90.134 94.617c-7.47 4.86-14.578 10.294-21.243 16.264l-65.623-22.02 32.908 61.53c-8.18 13.58-14.62 28.507-18.923 44.57-4.86 18.13-6.635 36.365-5.67 54.157L21.235 308.38l62.576 7.647c2.362 6.76 5.138 13.354 8.3 19.754L19.187 366.8v95.864l90.562-98.44c6.094 8.002 12.892 15.492 20.334 22.366l-22.56 53.06 61.316-26.072c7.367 3.747 15.082 6.997 23.11 9.707l-42.32 71.25h104.403l-7.083-62.082c9.308.03 18.522-.696 27.567-2.135l34.037 50.45 14.497-65.72c13.49-6.544 26.11-14.82 37.517-24.614l57.032 19.367-23.44-58.245c3.51-5.562 6.714-11.366 9.602-17.385l90.705 63.125V282.977l-75.67 2.757c1.153-7.366 1.815-14.72 2.012-22.023l61.95-35.968-68.333-15.312c-8.706-30.973-25.91-59.104-49.635-80.97l112.818-112.2h-92.88l-42.305 94.758c-6.592-4.318-13.524-8.22-20.777-11.647l-8.18-66.954-39.41 52.36c-11.226-1.748-22.423-2.37-33.457-1.926-14.58.586-28.874 3.028-42.588 7.136l-15.01-73.726H62.808zm184.183 85.11c13.38-.028 26.987 1.692 40.54 5.323 17.33 4.643 33.165 12.047 47.18 21.596l-24.153 54.1 41.023-40.798c8.817 8.017 16.632 16.997 23.328 26.722l-30.863 41.897 50.47-2.345c7.795 23.73 9.918 49.584 5.214 75.565l-61.357 2.236 49.832 34.68c-25.574 56.255-82.33 91.57-143.39 90.422l-7.606-66.68-35.476 59.724c-32.962-10.183-60.193-30.463-79.187-56.5l41.523-45.134-54.834 23.32c-4.775-9.507-8.585-19.513-11.326-29.867l58.7-32.435-62.712-25.29c.874-7.27 2.262-14.567 4.213-21.848 10.62-39.625 35.624-71.486 67.886-91.477l49.668 52.14-13.932-68.437c12.698-3.938 25.978-6.264 39.54-6.797 1.9-.074 3.807-.113 5.718-.117zm5.23 82.88c-39.546 0-71.607 32.062-71.607 71.61 0 39.546 32.06 71.607 71.608 71.607s71.608-32.06 71.608-71.608c0-39.55-32.06-71.61-71.607-71.61z"}}]})(props);
};
function GiCrownedHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M402.75 23l-89.344 68.938-63.062-67.188-63.094 67.188L105.5 28.25l32.688 126.156h230.125L402.75 23zM250.156 83.375L274.906 106l-24.75 32.53-24.75-32.53 24.75-22.625zm-85.187 22.03c8.495 0 15.186 6.69 15.186 15.19 0 8.493-6.69 15.155-15.187 15.155-8.498 0-15.19-6.662-15.19-15.156s6.693-15.188 15.19-15.188zm175.75 0c8.495 0 15.186 6.69 15.186 15.19 0 8.493-6.69 15.155-15.187 15.155-8.498 0-15.19-6.662-15.19-15.156s6.693-15.188 15.19-15.188zm-2.626 67.75c-30.447 0-57.398 15.37-73.5 38.75-3.405 4.224-6.59 8.79-9.47 13.75-47.705-89.566-166.746-56.19-169.718 38.47-3.167 100.887 128.862 126.438 169.72 227.156 30.69-79.906 117.94-116.335 154.186-175.342 11.27-14.935 17.97-33.502 17.97-53.594 0-12.793-2.745-24.955-7.626-35.97-.07-.19-.146-.372-.22-.56-.018-.044-.042-.084-.06-.126-9.253-24.158-28.222-40.056-50.563-47.063l-.094-.03c-9.557-3.51-19.876-5.44-30.626-5.44zm0 18.69c39.046 0 70.5 31.453 70.5 70.5 0 24.645-12.53 46.278-31.594 58.874 10.26-20.05 8.604-48.964-6.375-74.908-17.312-29.985-47.004-46.536-72.063-42.406 11.263-7.618 24.858-12.062 39.532-12.062z"}}]})(props);
};
function GiCrownedSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M92.406 13.02l-.164 156.353c3.064.507 6.208 1.38 9.39 2.627 36.496 14.306 74.214 22.435 111.864 25.473l43.402-60.416 42.317 58.906c36.808-4.127 72.566-12.502 105.967-24.09 3.754-1.302 7.368-2.18 10.818-2.6l1.523-156.252-75.82 95.552-34.084-95.55-53.724 103.74-53.722-103.74-35.442 95.55-72.32-95.55h-.006zm164.492 156.07l-28.636 39.86 28.634 39.86 28.637-39.86-28.635-39.86zM86.762 187.55c-2.173-.08-3.84.274-5.012.762-2.345.977-3.173 2.19-3.496 4.196-.645 4.01 2.825 14.35 23.03 21.36 41.7 14.468 84.262 23.748 126.778 26.833l-17.75-24.704c-38.773-3.285-77.69-11.775-115.5-26.596-3.197-1.253-5.877-1.77-8.05-1.85zm333.275.19c-2.156.052-5.048.512-8.728 1.79-33.582 11.65-69.487 20.215-106.523 24.646l-19.264 26.818c40.427-2.602 80.433-11.287 119.22-26.96 15.913-6.43 21.46-17.81 21.36-22.362-.052-2.276-.278-2.566-1.753-3.274-.738-.353-2.157-.71-4.313-.658zm-18.117 47.438c-42.5 15.87-86.26 23.856-130.262 25.117l-14.76 20.547-14.878-20.71c-44.985-1.745-89.98-10.23-133.905-24.306-12.78 28.51-18.94 61.14-19.603 93.44 37.52 17.497 62.135 39.817 75.556 64.63C177 417.8 179.282 443.62 174.184 467.98c7.72 5.007 16.126 9.144 24.98 12.432l5.557-47.89 18.563 2.154-5.935 51.156c9.57 2.21 19.443 3.53 29.377 3.982v-54.67h18.69v54.49c9.903-.638 19.705-2.128 29.155-4.484l-5.857-50.474 18.564-2.155 5.436 46.852c8.747-3.422 17.004-7.643 24.506-12.69-5.758-24.413-3.77-49.666 9.01-72.988 13.28-24.234 37.718-46 74.803-64.29-.62-33.526-6.687-66.122-19.113-94.23zm-266.733 47.006c34.602.23 68.407 12.236 101.358 36.867-46.604 33.147-129.794 34.372-108.29-36.755 2.315-.09 4.626-.127 6.933-.11zm242.825 0c2.307-.016 4.617.022 6.93.11 21.506 71.128-61.684 69.903-108.288 36.757 32.95-24.63 66.756-36.637 101.358-36.866zM255.164 332.14c11.77 21.725 19.193 43.452 25.367 65.178h-50.737c4.57-21.726 13.77-43.45 25.37-65.18z"}}]})(props);
};
function GiCrucifix (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M369.842 28.045l-56.086 69.44 33.695 21.06 55.35-68.527-32.957-21.973zM194.64 44.265h.002L172.63 77.28l240.73 150.455 22.01-33.015-73.81-46.132zM407 92.843v-20.52l-46 53.653 12.887 8.283zm-238 3.394v26.774l67.117 41.948 14.37-17.792L169 96.238zm96.863 60.54L45.2 429.983l32.958 21.973L299.56 177.838l-33.697-21.06zm56.29 35.18v26.774L407 271.763v-26.774l-84.848-53.03zM304 204.614L88.848 470.38v18.462L304 224v-19.387zm135 17.112l-14 21v15.55l14-21zM41 448.816V475.1l30 19.375v-25.66z"}}]})(props);
};
function GiCruiser (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 80v53h-26v48h-34.027l-2.54 18.154-38.408-3.205-2.05 18.102 37.988 2.994-4.578 34.312-25.592 13.96 22.006 65.107a1658.637 1658.637 0 0 0-137.914 15.91l2.812 17.777a1639.075 1639.075 0 0 1 121.096-14.529l-.078.31c112.547 28.156 190.551 43.088 306.816-8.958l-7.355-16.43a485.085 485.085 0 0 1-26.844 11.092c-29.894-4.015-61.118-6.653-93.156-8.053l21.031-62.227-25.592-13.959L325.027 181H291v-48h-26V80h-18zm-8 71h34v30h-34v-30zm-35.973 48h103.946l6.16 40.639L256 211.748l-57.133 27.89 4.16-40.638zM256 232.252v94.346c-5.41.103-10.833.238-16.262.402h-46.46l-21.071-52.316L256 232.252zM298.17 254c8.836 0 16 7.163 16 16s-7.164 16-16 16c-8.837 0-16-7.163-16-16s7.163-16 16-16zm-56.92 91h82.404c22.502.709 44.618 2.01 66.149 3.96-58.924 14.561-109.381 9.793-169.532-3.194A1523.33 1523.33 0 0 1 241.25 345zm-132.865 29.363c-7.943-.023-15.667.234-23.084.842l1.469 17.941c54.39-4.455 133.014 12.49 189.199 17.202 55.64 4.665 109.966-1.684 168.654-13.512l-3.557-17.645c-57.8 11.65-110.279 17.692-163.591 13.221-47.153-3.954-113.49-17.885-169.09-18.049zm20.22 35.285c-12.198-.079-25.387.615-38.517 1.873-26.26 2.518-51.6 7.157-67.865 14.26l7.203 16.496c12.302-5.372 37.244-10.427 62.38-12.838 25.138-2.41 51.157-2.311 65.846.625 32.956 6.589 91.409 16.938 138.62 15.444l-.569-17.99c-44.053 1.394-102.073-8.619-134.523-15.106-9.17-1.833-20.376-2.684-32.575-2.764z"}}]})(props);
};
function GiCrumblingBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M212.35 19.563l-23.57 47.19 48.46 65.106 60.102-39.3-.112-50.39-84.88-22.608zm-94.153 3.04l-54.62 42.58 110.32 62.264-9.47-62.586-24.892 7.824-21.338-50.082zm243.633.17l-49.43 1.31 27.137 72.308 22.293-73.615v-.002zm5.025 53.07l2.38 82.17 20.122-6.51c-.053-.027-.106-.055-.16-.08l2.694-.74 26.52-8.585 1.412-40.37v-.003l-52.967-25.88zm-336.818 1.99l-5.752 57.774 77.332-12.078L30.04 77.833h-.003zm282.412 55.622c-1.97-.015-3.94.002-5.91.053-28.67.734-57.562 8.42-84.112 23.75-7.943 4.586-15.38 9.71-22.328 15.275l8.824 16.903c7.018-5.886 14.638-11.252 22.85-15.993 5.598-3.232 11.313-6.072 17.11-8.556l38.436 37.586-3.28 66.824-51.624 21.582-75.504-18.253c.982-3.923 2.12-7.806 3.397-11.645l-18.404-3.44c-14.558 45.97-10.54 97.66 15.43 142.642 49.052 84.96 157.965 114.143 242.926 65.09 84.96-49.05 114.143-157.962 65.092-242.922-13.897-24.07-32.6-43.657-54.2-58.262l-23.343 7.556c3.88 2.123 7.68 4.406 11.385 6.858l-38.515 22.994-57.057-9.223-35.113-34.332c12.727-3.574 25.687-5.497 38.594-5.838 1.763-.046 3.526-.063 5.287-.05 12.9.09 25.7 1.758 38.12 4.916l-.557-19.218c-12.277-2.74-24.85-4.2-37.504-4.297zm-186.15 1.223L86.67 177.525l14.178 53.332 120.363 22.498-39.415-75.505-55.494-43.172zm288.97 55.996c11.98 10.34 22.6 22.64 31.347 36.77l-67.42 21.05-5.53-32.982 41.603-24.838zm-109.682 20.85l49.808 8.052 13.745 81.934-66.42-31.6 2.868-58.387zm-248.04 2.033L20.67 247.582l14.28 41.813 77.872.19-55.273-76.028zm235.255 72.332l37.068 17.633-36.04 66.075-56.238-3.63 1.525-57.634 53.686-22.445zm-139.362 5.124l67.01 16.2-1.616 61.09-47.477 18.65c-16.474-30.425-22.034-63.934-17.916-95.94zM90.61 327.82l-53.57 7.64 28.44 37.657 49.198-10.95L90.61 327.82z"}}]})(props);
};
function GiCrush (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M46 16c-15 0-30 15-30 30v240h60l60 60 60-60 60 60 60-60 60 60 60-60h60V46c0-15-15-30-30-30H46zm211.75 360.03A60 60 0 0 0 196 436a60 60 0 0 0 120 0 60 60 0 0 0-58.25-59.97z"}}]})(props);
};
function GiCryoChamber (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23.113 18c3.425 32.11 13.432 59.227 28.08 82.438 20.956 33.203 50.994 58.33 83.807 80.37v-21.865c-27.563-19.53-51.623-41.236-68.584-68.11C53.43 70.252 44.41 46.607 41.136 18H23.112zM105 18v39.512L145.46 71h59.194L183 45.285V18h-78zm96 0v20.715L228.188 71h55.625L311 38.715V18H201zm128 0v27.285L307.346 71h59.193L407 57.514V18h-78zM153 89v334h206V89h-30.527a16 16 0 0 1-15.973 15.25A16 16 0 0 1 296.537 89H186.064c4.35 15.944 7.01 31.603 13.13 42.752 4 7.287 8.96 12.664 17.085 16.357 2.936 1.334 6.36 2.437 10.345 3.226a29.68 39.572 0 0 1-.305-5.336A29.68 39.572 0 0 1 256 106.428 29.68 39.572 0 0 1 285.68 146a29.68 39.572 0 0 1-21.186 37.885c5.498.232 11.014.828 16.32 1.914 8.974 1.39 15.104 5.588 20.174 12.384 5.07 6.797 8.75 16.362 11.178 27.472 4.403 20.152 4.68 44.91 4.697 66.7h-25.287l-6.453 97.806c-17.838 4.018-37.613 4.163-56.135-.017l-7.293-97.79h-26.558c.17-21.525 1.238-45.946 6.097-65.945 2.684-11.04 6.515-20.62 11.524-27.494 5.01-6.875 10.868-11.097 18.86-12.6a155.5 155.5 0 0 1 16.698-2.142 29.68 39.572 0 0 1-15.66-13.863c-9.147-.758-17.02-2.72-23.824-5.814-11.886-5.402-20.042-14.295-25.414-24.082-9.082-16.545-11.715-35.59-16.172-51.414H153zm341 8.44c-5.896 14.547-12.162 28.405-19.1 41.1-22.9 41.908-51.386 70.866-97.9 75.806v18.074c54.012-5.202 89.058-40.16 113.695-85.248a322.96 322.96 0 0 0 3.305-6.23v-43.5zM333.242 114.9a13.02 13.02 0 0 1 13.022 13.022 13.02 13.02 0 0 1-13.022 13.02 13.02 13.02 0 0 1-13.02-13.02 13.02 13.02 0 0 1 13.02-13.022zm-26.535 33.3a9.047 9.047 0 0 1 9.047 9.048 9.047 9.047 0 0 1-9.047 9.047 9.047 9.047 0 0 1-9.047-9.047 9.047 9.047 0 0 1 9.047-9.047zM494 224.036c-10.438 26.16-21.8 49.85-33.584 69-15.506 25.197-31.98 42.045-45.44 47.106-6.732 2.53-12.46 2.607-18.732.048-5.882-2.4-12.438-7.535-19.244-16.57v25.87c3.984 3.133 8.124 5.6 12.44 7.364 10.418 4.25 21.64 3.984 31.87.138 20.456-7.69 37.942-27.718 54.436-54.52 6.28-10.205 12.38-21.468 18.254-33.542v-44.893zM105 441v18h142v-18H105zm160 0v18h142v-18H265zM73 477v17h174v-17H73zm192 0v17h174v-17H265z"}}]})(props);
};
function GiCrystalBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.563 20.75c-42.96 0-85.918 16.387-118.688 49.156-65.54 65.54-65.852 172.15-.313 237.688 65.54 65.54 172.15 65.226 237.688-.313 65.54-65.538 65.54-171.835 0-237.374-32.77-32.77-75.728-49.156-118.688-49.156zm-.157 18.47c25.68.053 51.363 6.724 74.313 19.968-13.573-3.984-26.266-2.455-34.22 5.5-14.437 14.437-7.796 44.485 14.813 67.093 22.608 22.61 52.625 29.22 67.062 14.782 8.523-8.522 9.706-22.468 4.594-37.125 36.352 57.684 29.586 134.6-20.69 184.875-29.158 29.16-67.353 43.773-105.56 43.813 9.436-2.3 17.762-6.732 24.436-13.406 28.885-28.886 15.64-88.954-29.594-134.19-45.234-45.233-105.302-58.51-134.187-29.624-4.052 4.052-7.266 8.723-9.688 13.875 3.092-33.537 17.473-66.222 43.157-91.905 29.198-29.2 67.384-43.737 105.562-43.656zM386.97 319.28c-.205.206-.39.422-.595.626-72.78 72.78-191.252 73.155-264.03.375-.278-.275-.54-.565-.814-.842-11.987 9.483-18.81 20.384-18.81 32 0 36.523 67.315 66.125 151.343 66.125 84.027 0 152.093-29.6 152.093-66.125 0-11.68-6.97-22.637-19.187-32.157zm39.717 54.564c-22.225 32.29-91.192 55.906-172.625 55.906-81.172 0-149.954-23.46-172.406-55.594-12.638 11.3-19.72 24.052-19.72 37.563.002 46.928 85.546 85.03 192.064 85.03 106.518 0 192.97-38.1 192.97-85.03 0-13.637-7.313-26.498-20.283-37.876z"}}]})(props);
};
function GiCrystalBars (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196.844 14.125l-8.75 2.906-43.22 13.44-3.5 1.155-1.75 2.938L30.75 206.593l-14 21.032 5.344 15.156L41.5 308.47l2.344 7 7.594-.595 74.156-4.687 6.437-.563 1.75-5.844 77.095-239.436 1.156-2.938-1.155-2.906-11.125-35.625-2.03-6.094-.032-.25h-.032l-.812-2.405zm123.812 5.25l-2.906 5.844-18.125 40.874-1.75 3.5 1.188 4.094L383.156 274l1.75 4.656 4.657 1.188 64.843 14.03 7.594 1.157V295l2.906-7 26.875-60.72 1.75-4.092-1.75-4.094L390.157 28.688l-2.343-4.657-5.25-.592-55.47-3.5-6.437-.563zM184.594 37.47l7.562 23.936-.906 2.844-89.594 174.125 23.625 31.094-6.874 21.31-32.78-42.5-42.563-.842L38 230.188l1-1.563 46.094.938L183.72 37.75l.874-.28zm147.156 1.75l16.47.874 76.343 153.22 36.5 8.374 11.53 21.718-48.468-10.656-7.22 53.438-18.436-3.844L407.093 201l-77.53-156.72 2.186-5.06zm-79.437 85.28l-5.25 3.5-37.375 25.094-3.5 2.344-.594 4.093L166.47 416.5l-.564 5.25 4.063 3.5 76.53 63.656 6.406 5.282 5.844-5.282 75.344-66.562 4.094-2.938-.594-4.656-28.625-251.125-.564-4.094-4.093-2.342-46.72-29.782-5.28-2.906zm.562 22.53l19.5 12.095 12.25 202.406 30.844 24.908 2.843 24.812-.875.78-40.594-32.905-75.156 48.188-15.094-12.47 79.437-50.687-13.155-217.125zm108.438 148.345l-7.5 37.563 32.218 94 33.595 14.968 19.438-39.375-48.094-85.155-29.657-22zM108.625 350.5l-29.687 10.813L32 431.47l2.625 34.593 31.188-12.75 46.937-70.188-4.125-32.625z"}}]})(props);
};
function GiCrystalCluster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M263.563 19.063l-53.875 59.562v90.063l-34.75-60.188-35.563-17.594-9.344 43.53 48.376 83.783-19.97-5.345-28.75 10.5 19.658 23.5 30.28 8.125-59.155 15.844-23.407 27.97 34.25 12.498 66.875-17.937-27.875 48.28 5.562 62.72 33.813-15.72v33.126l46.812 66.626 46.78-66.625v-72.81l21.626 68.092 35.875 27.344 13.564-43.03-32.688-102.97 42.875 11.5 26.876-13.78-17.78-20.22-64.595-17.312-.092-.25 82.25-22.03 21.125-24.064-31.97-16.406-73.656 19.75 39-67.594-3.562-55.25-58.844 18.97V78.624l-39.717-59.563zm-5.72 109.562l22.438 115.03 39.876 12.032-39.875 12.032-22.436 115.03-22.375-114.53-41.595-12.533 41.594-12.53 22.374-114.532z"}}]})(props);
};
function GiCrystalEarrings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M369.4 33.6c-12.3.3-25.6 5.1-38.8 15L341.4 63c14.4-10.8 26.5-12.8 35.9-10.7 9.3 2.1 16.6 8.5 20.5 17.2 7.9 17.4 3.4 43.3-33.1 57.9l-5.7 2.3v45.1h18v-33.2c38.7-18.3 48.8-54.1 37.2-79.5-6.1-13.4-17.8-24-33-27.4-3.8-.8-7.7-1.2-11.8-1.1zm-224 .04c-12.3.32-25.6 5.07-38.8 14.96L117.4 63c14.4-10.81 26.5-12.77 35.9-10.67 9.3 2.1 16.6 8.51 20.5 17.19 7.9 17.37 3.4 43.28-33.1 57.88l-5.7 2.3v45.1h18v-33.2c38.7-18.3 48.8-54.1 37.2-79.52-6.1-13.32-17.8-23.91-33-27.31-3.8-.85-7.7-1.24-11.8-1.13zM89 192.8v30h110v-30H89zm224 0v30h110v-30H313zm-187.7 48l-55.6 69.5L144 496l74.3-185.7-55.6-69.5h-37.4zm224 0l-55.6 69.5L368 496l74.3-185.7-55.6-69.5h-37.4zM135 257.4v31.4l-31.4 7.8 31.4-39.2zm18 0l31.3 39.2-31.3-7.8v-31.4zm206 0v31.4l-31.4 7.8 31.4-39.2zm18 0l31.3 39.2-31.3-7.8v-31.4zm-242 49.9v117.8L92.2 318l42.8-10.7zm18 0l42.8 10.7L153 425.1V307.3zm206 0v117.8L316.2 318l42.8-10.7zm18 0l42.8 10.7L377 425.1V307.3z"}}]})(props);
};
function GiCrystalEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M168.03 118.875c-13.335.037-26.66.754-40 2.094-3.81.382-7.625.83-11.436 1.31-1.906.243-3.813.486-5.72.75-7.623 1.064-15.25 2.314-22.874 3.75-3.813.72-7.624 1.474-11.438 2.282-1.708.363-3.415.746-5.124 1.125-.553.123-1.104.25-1.657.375-1.3.294-2.603.572-3.905.875-.25.06-.5.13-.75.188-.958.225-1.917.457-2.875.688-.948.227-1.895.454-2.844.687-13.315 3.27-26.62 7.033-39.937 11.25 5.585 48.63 19.624 88.445 39.936 120.22v-.25c20.904 32.82 48.428 57.043 80.188 73.56-21.5-25.38-34.5-58.194-34.5-94 0-52.93 28.358-99.354 70.687-124.843-2.58-.044-5.167-.07-7.75-.062zm47.626 2.906c-3.812 1.09-7.563 2.324-11.22 3.75l28.845 63.5L310 201.188l36.875-36.156c-43.75-24.067-87.483-37.74-131.22-43.25zm-28.094 11.814c-38.147 21.86-63.78 62.972-63.78 110.187 0 11.558 1.557 22.744 4.437 33.376L179.687 267l36.218-71.03-28.344-62.376zm172.094 45.062l-37.03 36.313 11.843 74.593L362.405 304c9.655-17.91 15.156-38.406 15.156-60.22 0-23.828-6.526-46.094-17.906-65.124zm25.875 10.375c6.89 16.912 10.72 35.392 10.72 54.75 0 44.952-20.46 85.213-52.563 111.94 27.568-6.378 55.03-15.792 81.563-27.94v.408c24.174-11.05 47.57-24.363 69.53-39.75-23.174-26.64-46.354-49.616-69.53-69.313v.594c-13.244-11.28-26.48-21.496-39.72-30.69zM230.94 207.595l-33.72 66.22 52.532 52.53 66.28-33.75-11.624-73.375-73.47-11.626zM182.5 285.53l-48 9.44c12.203 27.734 34.035 50.223 61.28 63.28 14.396 3.322 29.258 5.446 44.44 6.47l-.532-22.033-57.188-57.156zm145.72 21.845l-69.845 35.594.5 22.467c10.614.083 21.356-.34 32.156-1.28 24.707-8.264 45.998-23.925 61.283-44.344l-24.094-12.438z","fillRule":"evenodd"}}]})(props);
};
function GiCrystalGrowth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.8 15.56l-79.9 84.11 2.3 58.83 50.6 36.2 31.9 182 10.8-26.9 11.8-235.4 18.7 1-9.1 181 28.3-70.8 8.2-108 .9-17.93zm139 50.57l-46.6 50.77-3.9 51.1 10.6-26.2 30.4-13.7c3.2-20.6 6.3-41.3 9.5-61.97zm60.3 51.17l-85.7 38.4-102.6 255.9 14.6 83.3h7.8l147.6-293.1 16.7 8.4-143.4 284.7h24.4l146.6-291.8zm-340.2 18.9l-54.11 99.1 69.11 259.6h93.6l-51.1-274.8 18.3-3.4 51.8 278.2h19.9l-50.7-289.4zm358.3 260.4l-65.8-5.2-49.8 99.2 69.8-36.7zm-435.96-28l42.47 126.7h30.99L80.6 389.9z"}}]})(props);
};
function GiCrystalShine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.396 21.375l-17.503 64.1c-1.133 2.452-1.782 5.172-1.782 8.05 0 10.634 8.62 19.256 19.255 19.256 10.634 0 19.256-8.62 19.256-19.255 0-.72-.045-1.426-.122-2.125h.022l-.05-.18c-.23-1.917-.737-3.746-1.488-5.45l-17.586-64.395zm118.21 31.494l-46.21 45.77c-6.03 3.254-10.126 9.626-10.126 16.956 0 10.633 8.622 19.254 19.255 19.254.668 0 1.327-.034 1.977-.1 7.608 5.175 14.85 11.125 21.6 17.875 57.872 57.872 57.87 151.418 0 209.29-6.75 6.747-13.99 12.694-21.594 17.868-.65-.066-1.308-.1-1.975-.1-10.634 0-19.256 8.623-19.256 19.256 0 7.006 3.757 13.12 9.352 16.49l46.694 46.252-18.545-70.55c6.468-4.81 12.67-10.137 18.536-16.003l6.608-6.61-.334-.332c3.252-3.637 6.305-7.388 9.183-11.23l71.057 18.68-51.63-52.126c6.54-15.08 10.757-30.926 12.636-46.996l70.61-19.282-70.56-19.267c-1.82-15.925-5.937-31.633-12.343-46.59l51.234-51.727-70.318 18.483c-4.842-6.536-10.22-12.8-16.144-18.723-5.794-5.794-11.916-11.063-18.298-15.824l18.587-70.717zm-236.307.005l17.112 65.107c.218 1.76.662 3.45 1.322 5.032l.153.582c-6.38 4.76-12.498 10.023-18.29 15.814-5.92 5.92-11.294 12.18-16.136 18.715L54.024 139.61l51.31 51.802c-6.41 14.945-10.535 30.64-12.376 46.553l-70.562 19.27L92.95 276.5c1.856 16.108 6.06 31.994 12.595 47.105l-51.574 52.07 70.952-18.648c4.722 6.312 9.94 12.368 15.676 18.102 5.815 5.814 11.96 11.102 18.367 15.876-1.004 2.215-1.613 4.646-1.707 7.213l-16.678 63.456 48.91-48.447-.037-.08c3.86-3.52 6.297-8.575 6.297-14.21 0-10.634-8.622-19.256-19.256-19.256-.395 0-.786.015-1.176.04-7.573-5.16-14.783-11.088-21.506-17.81-57.872-57.872-57.872-151.417 0-209.29 6.725-6.723 13.938-12.65 21.514-17.81.39.022.782.036 1.178.036 10.634 0 19.254-8.62 19.254-19.254 0-6.22-2.963-11.736-7.54-15.256L140.3 52.875zm127.436 89.87v49.02l33.602 19.292 46.18-25.045-79.782-43.268zm-18.69.312l-79.722 42.957 46.31 24.955 33.413-19.062v-48.85zM159.9 202.164v114.012l46.346-24.975v-64.063L159.9 202.164zm196.985.027l-46.342 25.134v63.7l46.342 25.136V202.19zm-98.367 5.83l-33.584 19.158v64.285l33.584 19.162 33.336-19.145v-64.318l-33.336-19.14zm43.082 99.416l-33.864 19.445v47.056l78.24-42.432-44.376-24.068zm-86.24.084l-44.495 23.976 78.182 42.127v-46.885L215.36 307.52zm43.005 94.234c-10.634 0-19.254 8.622-19.254 19.256 0 2.74.582 5.342 1.615 7.703l17.67 64.713 17.787-65.12c.57-1.39.965-2.86 1.197-4.388l.06-.23h-.026c.122-.878.207-1.767.207-2.678 0-10.634-8.62-19.256-19.255-19.256z"}}]})(props);
};
function GiCrystalShrine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M116.215 17.404c0 16-16 32-32 32 16 0 32 16 32 32 0-16 16-32 32-32-16 0-32-16-32-32zm64.326 12.87l-23.488 92.062h63.965l27.49-27.49-67.967-64.573zm228.147 25.958c0 20.214-20.216 40.428-40.43 40.428 20.214 0 40.43 20.214 40.43 40.428 0-20.214 20.213-40.428 40.427-40.428-20.214 0-40.428-20.214-40.428-40.428zm-150.022 53.913l-23.18 23.18L283.043 311h29.066l-53.443-200.855zm75.232 2.365l16.123 32.281 45.188 33.148-4.393-53.533-56.918-11.896zm-18.033 4.181l-26.685 38.121 10 37.586 33.38-42.283-16.695-33.424zm-160.672 23.645L172.42 206.4l21.988 12.623L239.043 311h25.365l-45.68-170.664h-63.535zm189.797 23.088l-40.03 50.703L330.737 311h.026l64.08-111.004-49.852-36.572zm122.352 5.834c0 16-16 32-32 32 16 0 32 16 32 32 0-16 16-32 32-32-16 0-32-16-32-32zm-374.22 12.375l11.308 76.129 48.834-6.356 19.322-24.154-79.465-45.62zm346.995 53.793l-52.547 13.172L351.547 311h25.77l19.16-19.48 43.64-56.094zm-255.21 5.244l-17.403 21.75 25.77 48.58h25.761l-34.129-70.33zm-33.84 29.174l-39.005 5.074L148.145 311h24.751l-21.83-41.156zm-91.37 11.396c0 16-16 32-32 32 16 0 32 16 32 32 0-16 16-32 32-32-16 0-32-16-32-32zM137 329v30h238v-30H137zm32 48v78h16v-78h-16zm34 0v78h106v-78H203zm124 0v78h16v-78h-16zm-164.758 96l-30.119 16h247.754l-30.12-16H162.243z"}}]})(props);
};
function GiCrystalWand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M377.154 21.04l4.06 50.167 54.32 2.856 2.677 54.306 50.173 3.898-7.994-102.88-103.236-8.35zM359.31 32.267L245.954 145.623l44.086 3.566 72.837-72.842-3.566-44.08zm16.696 57.38l-72.98 72.983 2.19 41.692 41.526 2.05 73.004-73.01L417.7 91.84l-41.694-2.192zm56.836 57.05l-72.457 72.46 3.433 44.213 113.24-113.237-44.216-3.436zm-196.213 16.92l7.483 92.525-43.234-43.235c-.846 7.773-2.35 14.887-4.5 21.356l78.48 78.482c6.443-2.176 13.52-3.72 21.244-4.613l-42.5-42.5 92.203 7.164-3.723-47.943-54.648-2.696-2.868-54.662-47.94-3.877zm-48.855 88.472c-4.9 7.32-11.07 13.37-18.474 18.187l69.585 69.584c4.836-7.382 10.892-13.547 18.2-18.458l-69.31-69.312zm-36.392 26.7c-6.41 2.14-13.407 3.69-20.983 4.66l29.25 29.25.34-.34 13.215 13.216-.34.34 52.697 52.697c1.007-7.542 2.585-14.51 4.75-20.894l-78.93-78.93zM135.53 315.01L17.09 433.094v22.17l129.348-129.348-10.905-10.904zm24.12 24.12L17.088 481.69V495h53.73l122.35-122.35-33.518-33.517z"}}]})(props);
};
function GiCrystalize (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.785 37.605l-2.242 6.14s-17.637 48.195-43.14 94.23c-25.83 46.624-27.81 45.724-59.56 91.02-21.79 31.088-45.966 65.665-45.966 110.42 0 86.952 70.57 158.216 157.445 158.218 86.877.002 157.446-71.266 157.444-158.22 0-44.647-24.275-79.385-45.955-110.407-31.968-45.738-34.803-46.012-60.623-92.617C278.693 90.37 262.13 43.82 262.13 43.82l-2.21-6.217h-13.135zm14.553 53.91c6.923 15.817 15.76 34.54 26.502 53.93 2.427 4.382 4.61 8.263 6.693 11.932-8.75-5.492-17.206-7.09-23.43-3.498-12.884 7.438-11.325 34.263 3.483 59.91 14.808 25.65 37.26 40.412 50.144 32.974 7.982-4.61 10.415-16.658 7.596-31.256 4.793 6.682 10.236 14.287 17.166 24.203 3.74 5.353 7.452 10.707 11.047 16.095l-32.55 28.63-96.86-48.087 30.208-144.834zm-21.535 11.717L215.457 219.96c-2.022-3.156-4.77-4.95-8.22-5.028-13.51-.304-32.587 25.708-42.6 58.093-10.013 32.386-7.177 58.89 6.336 59.194 3.61.08 7.62-1.734 11.748-5.033l-7.93 25.036-59.503-24.89c3.816-32.54 22.478-59.962 41.858-87.61 31.478-44.904 34.522-45.61 60.605-92.692 8.453-15.256 15.815-30.24 22.053-43.798zm-14.412 151.13l41.05 20.382c-23.878 4.858-41.848 25.972-41.848 51.287 0 28.91 23.433 52.343 52.34 52.343 15.083 0 28.667-6.387 38.218-16.596l-3.572 32.907-76.04 22.18-44.308-54.653 34.16-107.847zm145.258 17.44c4.188 7.078 8.015 14.266 11.22 21.653-1.008-.193-2.032-.305-3.073-.305-14.32 0-25.932 18.828-25.932 42.047 0 23.22 11.61 42.047 25.932 42.047 3.078 0 6.03-.876 8.77-2.473-3.75 14.402-9.734 27.906-17.56 40.11l-39.808-18.534 10.674-98.352 29.778-26.19zm-255.85 75.587l49.354 20.64c-9.514 3.844-16.23 13.162-16.23 24.052 0 14.32 11.61 25.932 25.932 25.932 11.32 0 20.94-7.258 24.478-17.37l21.62 26.667-8.634 45.104c-53.702-17.164-93.218-66.33-96.52-125.025zm219.294 71.383l24.54 11.428c-25.442 29.812-63.17 48.744-105.31 48.743-8.128 0-16.09-.71-23.834-2.062l7.867-41.08 30.368-8.857c-6.227 4.895-10.264 10.065-10.762 14.573-1.096 9.93 15.284 12.87 36.585 6.57 21.246-6.285 39.364-19.39 40.547-29.313z"}}]})(props);
};
function GiCuauhtli (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M130.2 79.02c-2.7 0-5 .24-6.7.66-2.6.67-3.6 1.43-4 2.1-.5.67-.9 1.78-.6 4.51.2 2.74 1.4 6.8 3.8 11.71 4.8 9.8 14 22.6 26.8 36.9.4.5.8.9 1.2 1.4.9-4.1 2.4-7.9 4.7-11.3 4.9-7.2 12.3-12.2 20.7-15.9 7.4-3.4 15.7-5.9 24.5-7.9-7.3-3.45-14.3-6.53-21-9.2-17.8-7.18-33-11.47-43.8-12.64-2-.23-3.9-.34-5.6-.34zm97.2 35.78c-17.2 2.5-33.1 5.8-43.9 10.7-6.5 2.9-10.9 6.3-13.3 9.7-1.9 2.7-2.8 5.5-2.4 9.6 27.4 9.4 57.5 21.6 88.6 36.4 12.5 5.9 24.5 12 36 18.1 18.5 1.2 37 7.1 56.6 17.4 1.4 0 2.8-.1 4.1-.1 8 0 15.4.2 22.3.7-19.6-17-42.1-34.7-66.7-52-28.2-19.8-55.9-36.9-81.3-50.5zM68.2 141.6c-1.51 0-2.94 0-4.29.1-5.45.3-9.59 1.3-12.12 2.4-2.48 1-3.27 2-3.61 2.7-.35.7-.59 1.9.17 4.5.72 2.7 2.54 6.5 5.76 11 6.34 8.7 17.51 19.9 32.54 31.9 4.36 3.5 9.09 7.1 14.05 10.7-2.57-14.3-.4-27.8 6.8-38.7 4.2-6.4 9.9-11.7 16.8-15.7-5.2-1.4-10.3-2.6-15.1-3.7-16.41-3.6-30.49-5.3-41-5.2zm86 17.7c-15.7 2-26.1 8.4-31.7 16.8-5.3 8-6.8 18.5-2.8 31.3 27.8 2.7 59 7.6 92 14.8 16.3-9.5 31.7-16.2 46.9-19.8-3.3-1.7-6.6-3.3-10-4.9-33.3-15.9-65.6-28.8-94.4-38.2zM284 218.4c-7.1 0-13.4 2.3-17.5 5.5-4.2 3.2-6.1 6.8-6.1 10.6s1.9 7.4 6.1 10.6c4.1 3.2 10.4 5.5 17.5 5.5s13.4-2.3 17.5-5.5c4.2-3.2 6.1-6.8 6.1-10.6s-1.9-7.4-6.1-10.6c-4.1-3.2-10.4-5.5-17.5-5.5zm-207.77 4.7c-19.19-.1-34.91 1.6-45.35 4.5-5.23 1.4-9.12 3.3-11.37 4.9-2.23 1.5-2.75 2.6-2.94 3.4-.18.8-.22 2 1.09 4.4 1.29 2.4 3.93 5.8 7.96 9.5 8.04 7.2 21.32 15.8 38.52 24.3 1.42.7 2.88 1.4 4.36 2.2-6.88-15.7-3.73-38 14.18-53.1-2.19-.1-4.34-.1-6.45-.1zM323.9 225c1.1 3 1.7 6.2 1.7 9.5 0 10.1-5.4 19-13.1 24.9-7.6 5.9-17.6 9.2-28.5 9.2-10.9 0-20.9-3.3-28.5-9.2-7.7-5.9-13.1-14.8-13.1-24.9 0-2.9.4-5.6 1.2-8.3-10.4 4.4-21.3 10.4-33.2 18 20.4 37 48.2 56.9 74.9 54.3 41.6-4 56-27.8 72.9-55.6-12.2-7.8-23.5-13.7-34.3-17.9zm-203.2.6l-4.6 1.1C75.75 236 82.6 263.3 88.91 273c28.39-11.6 62.29-22.7 99.49-32.1 0 .2 1.5-2.7 1.6-4.8-24.6-4.9-48.1-8.4-69.3-10.5zM398.9 239c-7 0-14.6 2.5-20 6.9-5.4 4.5-9 10.6-9 20.1 0 13.7-4.3 26.2-12.1 36.9-7.9 10.7-19.1 19.7-33.2 28.3-28.2 17.2-68.3 33.1-120.2 55.1-6.2 2.6-9.3 6.3-11.3 11-2 4.8-2.5 10.8-1.6 16.6.8 5.8 3.1 11.4 5.5 15 2.4 3.6 4.6 4.1 3.9 4.1h192c5.8 0 9-1.8 11.7-4.7 2.7-2.9 4.7-7.2 5.4-11.8.5-3 1.4-12-2.4-13.5l-106.7-1c35.9-6.5 67.4-50.7 108-49 4 0 8.3-.1 12.6.6 4.4.7 10.3 2.1 13.4 8.4 3.2 6.3.9 12.6-2.6 18.2-1.6 2.6-3.7 5.4-6.2 8.4 11.8.4 23.1-4.3 33.7-12.7 14.8-11.6 27-30.3 32.5-48.5 5.4-18.1 4-34.7-4.6-44.4-8.7-9.8-26.5-15.8-60.8-8.2l-15.6 3.4 5.1-15c3.3-9.9 1.5-14.8-1.5-18.3-3.1-3.5-9-5.9-16-5.9zm-202 18.3c-37.1 9.2-71 20.2-99.1 31.6l-1.36 1.7c-8.71 11-12.88 19.9-14.22 26.4-1.34 6.4-.28 10.3 1.94 13.7 4.01 6 14.58 10.7 25.84 12.1 31.8-14.6 70.8-28.8 113.7-40.8 3.5-1 6.9-1.9 10.3-2.8-13.8-9.9-26.5-24-37.1-41.9zm141.8 40.4c-16.5 12.4-34.8 18.8-53.4 18.8-9.3 0-18.6-1.6-27.6-4.8-9.5 2.3-19.3 4.8-29.1 7.6-41 11.5-78.4 25-108.6 38.7-5.3 7.8-5.1 12.1-3.4 16.2 1.7 4.3 6.9 9.2 14.5 13.2 12.3 6.3 30.4 9.6 43.2 9.7.6-2.3 1.3-4.5 2.2-6.7 3.6-8.6 10.6-16.4 20.9-20.7 52.1-22 92-38.1 117.8-53.9 9.9-6.1 17.7-12 23.5-18.1zM68.3 302c-.8.4-1.63.8-2.41 1.2-17.17 8.5-30.44 17.1-38.48 24.3-4.03 3.7-6.65 7.1-7.95 9.5-1.3 2.4-1.27 3.6-1.08 4.4.18.8.7 1.9 2.94 3.4 2.27 1.6 6.14 3.5 11.37 4.9 10.45 2.9 26.18 4.6 45.34 4.4 2.05 0 4.16-.1 6.29-.1-5.99-3.1-11.29-7.5-15.2-13.4-4.8-7.3-6.66-17-4.52-27.3.76-3.6 2-7.4 3.7-11.3zm29.54 66.8c-2.61 1.3-5.16 2.7-7.61 4-16.82 9.2-29.75 18.3-37.49 25.8-3.88 3.8-6.38 7.3-7.57 9.8-1.21 2.4-1.13 3.7-.91 4.4.21.8.78 1.9 3.07 3.3 2.31 1.6 6.27 3.3 11.54 4.5 10.54 2.4 26.33 3.5 45.43 2.7 19.5-.9 42.5-3.5 67.7-8-15.7-.2-34-4.2-49.1-11.9-9.9-5.1-18.7-12.1-22.97-22.2-1.58-3.9-2.27-8.1-2.09-12.4z"}}]})(props);
};
function GiCube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 24.585L51.47 118.989 256 213.394l204.53-94.405zM38.998 133.054v258.353L247 487.415V229.063zm434.004 0L265 229.062v258.353l208.002-96.008z"}}]})(props);
};
function GiCubeforce (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.664 27.143l-120.826 69.76V236.42l120.826 69.758 120.824-69.758V96.902l-120.824-69.76zm0 21.58l97.207 56.125-94.868 54.77-97.21-56.12 94.872-54.775zm.79 47.554c-16.622 0-31.888 5.78-43.923 15.426l46.052 26.58 43.564-25.11c-12.29-10.524-28.24-16.896-45.69-16.896zM157.528 120.88l93.96 54.25v104.747l-93.96-54.246V120.88zm204.274 2.7v102.05l-91.624 52.9V176.48l91.625-52.9zm-171.216 35.252c-.28 2.547-.436 5.13-.436 7.752 0 29.456 18.122 54.667 43.82 65.13v-47.876l-43.384-25.006zm139.94 2.24l-42.83 24.516v45.826c25.3-10.644 43.068-35.66 43.068-64.83 0-1.857-.095-3.69-.237-5.512zM116.57 227.39l-91.615 52.895V419.8l120.826 69.76 111.548-64.404 111.547 64.403L489.7 419.8V280.287l-86.944-50.2v19.48l-1.818 1.05 65.146 37.613L371.214 343l-65.148-37.613-18.69 10.79 73.323 42.332V463.26l-93.962-54.248v-80.916l-7.074 4.084-11.746-6.782v83.614l-91.625 52.9v-102.05l75.66-43.68-18.69-10.79L148.12 343 50.91 286.88l65.66-37.91v-21.58zm30.002 52.268c-16.623 0-31.888 5.783-43.924 15.428l46.05 26.578 43.566-25.11c-12.29-10.524-28.242-16.896-45.692-16.896zm223.094 0c-16.623 0-31.887 5.783-43.922 15.428l46.05 26.578 43.565-25.11c-12.29-10.524-28.244-16.896-45.694-16.896zm-326.02 24.606l93.958 54.248V463.26l-93.96-54.248V304.264zm427.366 2.7V409.01L379.39 461.91V359.86l91.622-52.897zm-394.31 35.25c-.28 2.546-.436 5.13-.436 7.75 0 29.457 18.12 54.668 43.818 65.13V367.22L76.7 342.212zm223.093 0c-.28 2.546-.436 5.13-.436 7.75 0 29.456 18.122 54.665 43.818 65.128V367.22l-43.383-25.007zm-83.152 2.24l-42.83 24.517v45.825c25.3-10.644 43.066-35.66 43.066-64.83 0-1.857-.096-3.69-.237-5.512zm223.095 0l-42.83 24.517v45.825c25.3-10.644 43.065-35.66 43.065-64.83 0-1.857-.093-3.69-.235-5.512z"}}]})(props);
};
function GiCubes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M388.53 21.53c-38.006 30.546-63.492 66.122-83.952 103.687 12.746 7.812 25.587 14.923 38.516 21.38l88.744 34.04c13.746 3.8 27.583 6.995 41.51 9.625 13.493-42.908 19.872-85.824 19.433-128.73l-104.25-40zm-266.813 3.88l15.133 64.967 68.95 16.38-12.993-64.525-71.09-16.822zm-17.594 6.848L66.896 79.803l12.358 62.025 39.494-46.785-14.625-62.785zm27.783 76.148l-37.094 43.97 52.165 7.718c7.243-2.11 14.482-4.097 21.716-5.967l27.62-30.408-64.407-15.314zm170.57 37.346l8.776 58.912c5.91 6.06 11.636 12.256 17.13 18.615l89.024 34.157 45.317-50.218c-54.72-11.1-108.31-30.82-160.248-61.468zm-70.09 13.482c-49.324 9.35-98.335 21.9-147.224 42.645 40.825 34.878 76.848 72.364 105.988 113.538l149.204-44.686c-26.533-41.862-66.002-77.02-107.97-111.498zM65.71 209.848C45.093 260.13 28.07 311.115 24.24 367.025c24.535 52.892 70.202 90.623 110.764 119.72l42.476-158.45c-29.975-42.853-68.05-81.942-111.77-118.447zM351.07 287.03L195.39 333.66l-42.146 157.22c52.167-7.854 103.99-21.873 155.822-48.26 24.952-53.52 30.504-99.728 42.002-155.587z"}}]})(props);
};
function GiCultist (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M386.168 460.394l17.08-9.8-13.25-25.36-115.91-377.33c-14.17-30.67-56.22-34.53-75.73-6.9l-85.77 121.16c-12.59 17.84 8.29 40.12 26.89 28.68l30.37-18.67 25.64-65.77-46.85 307.42-7 26.18 16.81 14.5 17.55-17.81q4.89 3.26 9.86 6l-3.18 26.31 20.23 10.38 16.31-22.87a157 157 0 0 0 16.36 3.63l2.61 26.52 22.09 2.93 5.21-27.16c6-.05 11.9-.38 17.69-1l11 27.09 23-4-2.77-28.5c4.85-1.17 9.54-2.46 14.07-3.83l15.76 24.24 21.52-7.88-8.53-26.81c4.67-2 8.92-3.93 12.71-5.77zm-65.23-185.7c8.48-2.39 19.08 8.89 23.67 25.19 4.59 16.3 1.44 31.45-7 33.84-8.44 2.39-19.08-8.89-23.67-25.19-4.59-16.3-1.48-31.45 7-33.84zm-63 12.41c15.51-2.1 30.06 10.84 32.52 28.9 2.46 18.06-8.14 34.44-23.65 36.55-15.51 2.11-30.08-10.85-32.53-28.92-2.45-18.07 8.13-34.43 23.65-36.53z"}}]})(props);
};
function GiCupcake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M236.854 43.83c-20.16 13.472-36.99 24.95-45.3 34.426-4.717 5.377-6.786 9.82-7.056 13.88-.27 4.057 1.052 8.634 5.95 14.97l1.128 1.458c18.455-3.476 39.757-5.143 62.834-4.593 31.04.74 60.438 5.363 85.147 12.778-1.497-2.823-2.983-5.458-4.604-7.744-5.866-8.274-11.98-13.49-30.498-12.436l-.514.03-.51-.037c-32.236-2.307-48.314-12.643-56.16-25.792-5.796-9.718-7.625-19.235-10.416-26.938zm14.03 76.106c-33.25-.134-62.172 4.695-82.003 12.46-10.576 4.142-18.52 9.15-23.18 14.196-4.658 5.047-5.933 9.63-5.083 13.92.713 3.6 3.05 7.485 7.738 11.78 25.135-9.197 55.557-16.22 89.254-20.02 48.777-5.503 95.2-3.222 131.65 5.238 7.676 1.78 14.91 3.834 21.654 6.174-1.476-3.516-4.52-7.305-9.797-11.487-6.712-5.317-16.727-10.752-29.053-15.44-24.65-9.373-58.415-15.87-94.474-16.728-2.254-.054-4.49-.086-6.705-.094zm43.085 44.937c-16.56-.05-33.91.863-51.58 2.856-47.114 5.313-87.534 17.302-114.218 31.905-13.342 7.3-23.203 15.28-28.82 22.926-4.695 6.39-6.384 12.186-5.698 17.534 3.86-1.397 7.875-2.74 12.057-4.028 39.064-12.02 91.923-19.22 150.29-19.22 58.367 0 111.226 7.2 150.29 19.22 1.26.388 2.505.782 3.737 1.18 4.37-3.597 7.91-7.223 10.522-10.777 5.616-7.647 6.945-14.448 5.03-20.64s-7.217-12.243-17.025-18.148c-9.808-5.906-23.772-11.197-40.578-15.098-21.008-4.876-46.41-7.63-74.008-7.71zM256 231.153c-56.508 0-107.65 7.127-143.867 18.27-18.11 5.573-32.444 12.176-41.77 18.96-9.325 6.784-13.42 13.294-13.42 19.617s4.095 12.833 13.42 19.617c.07.05.144.1.213.15l57.447-28.722 63.22 32.01 64.827-32.012 62.36 32.012 65.615-31.977 57.38 28.69c.068-.05.143-.1.212-.15 9.325-6.785 13.42-13.295 13.42-19.618 0-6.323-4.095-12.833-13.42-19.617-9.326-6.784-23.66-13.387-41.77-18.96-36.218-11.143-87.36-18.27-143.867-18.27zm127.955 65.77L327.51 324.43 311.938 449l-15.875-2 15.205-121.635-55.338-28.408-55.332 27.326L215.938 447l-15.875 2-15.42-123.352-56.666-28.693-54.022 27.012L133.605 488h244.79l59.65-164.033-54.09-27.045z"}}]})(props);
};
function GiCupidonArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.188 22.906v26.72l55.374 54.03c4.672-5.725 9.81-10.895 15.313-15.47L22 22.907h-3.813zm323.03 57.875c-33.02.364-67.89 19.083-88.468 59.032L244.406 156l-8.28-16.22c-26.002-50.874-67.868-64.366-104.157-53.874C95.68 96.4 64.62 131.9 63.874 185.97c-.792 57.587 33.99 92.34 73.313 130.686 34.784 33.92 72.897 70.298 85.812 125.313 25.558-33.53 54.225-61.36 81.72-86.658l-77.564-75.406h-.03v-.03c-6.18-6.055-8.758-14.43-7.69-21.72 1.07-7.29 4.987-13.397 10-18.03 5.016-4.635 11.31-7.964 18.408-8.876 1.774-.228 3.61-.282 5.47-.125 5.57.47 11.283 2.727 15.75 7.094.005.005.024-.007.03 0l77.812 75.655.063.063.03.03c.452.453.897.87 1.344 1.313.984-.926 1.995-1.855 2.97-2.78 43.534-41.35 74.882-79.595 75.655-133.78.826-57.986-30.668-89.133-68.22-96.376-4.694-.906-9.494-1.41-14.344-1.53-1.06-.028-2.122-.044-3.187-.033zm-90.124 168.907c-.28.018-.565.054-.875.094-2.48.32-5.677 1.83-8.095 4.064-2.418 2.234-3.896 5.01-4.188 7-.29 1.978-.197 3.274 2.22 5.656l.03.03 77.844 75.658.033.03c27.01 26.466 41.222 44.93 40.906 64.157-.16 9.614-4.967 18.253-12.033 24.844-3.662 3.415-7.95 6.473-12.78 9.374C377.94 466.61 439.006 489.682 491.25 495c-1.076-50.902-26.66-107.724-55.156-150.97-1.19 2.483-2.446 4.96-3.906 7.314-4.697 7.568-11.49 14.616-21.22 17.25-9.727 2.633-20.91.464-33.28-6.188-12.35-6.638-26.502-17.825-43.813-35.125l-.094-.092-77.75-75.594H256c-1.606-1.574-2.94-2.032-4.906-1.906z"}}]})(props);
};
function GiCurledLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M65.406 22.438C-32.612 123.463 45.7 279.385 140 313.03c110.753 39.518 281.45-48.678 329.688 68.314 2.887 11.273 2.674 21.795.312 31.47-4.584 18.77-17.86 34.842-35.094 45.405-17.233 10.562-38.186 15.343-56.875 12.25-18.688-3.095-35.237-13.374-46.06-34.845-7.256-14.418-7.834-25.936-5.25-34.72 2.582-8.782 8.476-15.232 16.092-19.06 15.233-7.66 36.52-4.87 49.22 17.624 7.496 13.276 2.582 22.546-3.782 26.53-3.182 1.992-6.634 2.58-10.313 1.375-3.678-1.206-8.1-4.4-12.062-12.156l-16.625 8.5c5.66 11.08 13.76 18.427 22.844 21.405 9.084 2.978 18.624 1.375 26.062-3.28 14.877-9.314 21.654-31.144 10.125-51.564-17.02-30.146-50.187-37.035-73.874-25.124-11.843 5.956-21.537 16.6-25.625 30.5-4.087 13.9-2.42 30.645 6.5 48.375 13.307 26.393 35.835 40.927 59.69 44.876 23.852 3.95 48.938-2.013 69.717-14.75 20.78-12.736 37.512-32.51 43.47-56.906 4.178-17.11 2.728-36.26-5.844-55.844.012-.196.02-.397.03-.594-.86-1.67-1.738-3.302-2.624-4.906-3.296-6.525-7.39-13.095-12.345-19.625l-.22.158c-15.118-20.04-33.1-33.376-53.624-43.282-29.513-14.245-64.506-20.966-102.374-27.937-75.736-13.944-163.31-29.618-236.344-115.533l14.22-12.093c69.026 81.2 149.666 95.258 225.5 109.22 37.916 6.98 74.522 13.763 107.124 29.5 22.7 10.955 43.322 26.472 60.406 48.967C464.098 111.956 141.36 206.986 65.406 22.44z","fillRule":"evenodd"}}]})(props);
};
function GiCurledTentacle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M309.822 19.695c-91.36.614-193.674 54.694-233.935 133.168-58.023 113.09-28.643 221.764 35.04 336.393l190.57-.002c.726.028 1.463.042 2.222.02.142-.002.28-.015.423-.02h53.826c-10.486-3.502-20.882-7.894-31.085-13.047 10.072-16.983 2.354-44.398-23.168-43.71-10.64.29-18.18 5.295-22.633 12.222-9.458-8.397-18.286-17.478-26.467-27.068 14.902-15.993 8.335-49.138-19.69-48.38-4.657.125-8.716 1.157-12.187 2.855-5.633-9.91-10.662-20.057-15.035-30.328 19.106-14.293 13.695-52.217-16.244-51.435-1.302-6.297-2.35-12.564-3.124-18.773-.55-4.415-.957-8.795-1.234-13.135 27.28-5.747 28.78-46.347 4.5-54.635 2.133-8.412 4.962-16.413 8.507-23.892l.038-.08c3.723 2.18 8.316 3.415 13.788 3.267 24.495-.642 31.46-28.02 20.904-43.215 4.208-3.165 8.632-6.252 13.332-9.234 1.612-1.023 3.26-1.98 4.932-2.897 2.136 11.04 10.508 20.495 25.126 20.1 19.36-.506 27.768-17.725 25.23-32.423 10.7-.52 20.69.4 29.788 2.475-3.264 13.06 3.77 28.85 21.106 28.38 7.844-.205 13.576-3.63 17.203-8.513 1.39 1.358 2.702 2.763 3.927 4.208 5.093 6.01 8.785 12.684 10.91 19.893-16.187 5.228-16.828 29.973-1.92 35.932-3.047 8.154-7.957 16.63-15.078 25.203-2.402-2.767-6.02-4.564-10.86-4.433-13.943.38-17.764 16.166-11.48 24.613-7.052 4.543-13.68 7.366-19.712 8.86.646-5.998-2.903-12.428-10.666-12.22-7.328.2-10.9 6.108-10.737 11.784-.245-.09-.493-.178-.733-.273-3.894-2.125-7.526-5.38-10.77-10.09 10-2.95 10.16-18.5.458-21.31 1.414-3.197 3.41-6.582 6.097-10.094 2.516 1.67 6.553 2.795 12.133 2.72 12.562-.16 17.35-6.17 14.387-10.68.03.004.058.005.088.007-.056-.047-.113-.09-.168-.137-.805-1.158-2.132-2.21-3.975-3.03-9.49-6.445-20.606-8.778-30.73-7.298l-.29-.275c-.12.126-.23.253-.35.38-20.527 3.34-36.708 22.448-26.394 54.75 38.275 119.87 242.354 18.336 199.733-111.55-26.183-79.795-79.363-114.193-151.262-115.053v.01c-1.444-.017-2.892-.02-4.342-.012zm10.998 54.41c14.242.315 19.363 14.59 15.375 25.27-8.943-1.925-18.474-2.888-28.455-2.764-1.802.024-3.62.087-5.45.18-1.875-10.222 3.933-22.308 17.437-22.68.37-.01.734-.012 1.093-.005zm-89.662 19.678c10.26.227 15.777 7.702 16.578 15.856-10.812 4.692-20.504 10.55-29.088 17.374-11.32-9.146-7.527-32.72 11.416-33.227.37-.01.735-.012 1.094-.004zM399.52 117.52c20.92.463 22.177 31.056 3.753 36.11-2.97-8.64-7.556-16.664-13.53-23.714-1.64-1.933-3.376-3.795-5.206-5.584 2.952-3.906 7.578-6.64 13.89-6.81.37-.01.734-.01 1.093-.002zm-220.913 47.916c2.688.06 5.046.62 7.084 1.556-.853 1.626-1.68 3.27-2.467 4.932-4.48 9.448-7.923 19.466-10.397 29.908-18.905-3.996-17.358-35.804 4.688-36.394.37-.01.734-.01 1.093-.002zm224.227 36.566c17.194 5.42 15.09 35.413-6.303 35.97-5.064.137-9.04-1.437-11.94-4 8.517-10.48 14.57-21.238 18.244-31.97zM164.51 255.506c.713.016 1.403.067 2.078.14.545.32 1.106.618 1.685.897.292 5.745.794 11.534 1.518 17.355.948 7.61 2.286 15.275 3.946 22.957-.64.555-1.246 1.14-1.824 1.75-2.54 1.096-5.447 1.763-8.738 1.848-28.972.78-28.968-44.158-.002-44.943.452-.012.9-.014 1.338-.004zm193.303 2.953c3.933 8.724-.404 21.676-13.012 22.007-7.69.208-12.293-4.443-13.83-10.127 8.665-2.06 17.738-5.972 26.842-11.88zm-170.31 88.552c.675.062 1.36.11 2.06.13 5.634 13.552 12.316 26.887 19.998 39.79-.043.115-.084.23-.126.347-3.702 3.412-8.744 5.656-15.157 5.822-27.942.752-30.193-39.013-6.773-46.09zm49.524 78.914c11.59 14.01 24.498 27.076 38.655 38.8-4.436 7.024-12.017 12.112-22.752 12.39-29.78.806-35.312-36.62-16.627-51.134.243-.016.484-.035.724-.056z"}}]})(props);
};
function GiCurlingStone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160 85c-3.1 0-9.2 3.86-14.2 11.74-3.4 5.26-6 11.86-7.5 18.26h168l22.5 62H128c-3.5 0-9.8 3.7-14.8 10.4-2.7 3.5-4.8 7.7-6.2 11.6h297.2c-1.6-3.3-3.9-6.8-6.8-9.9-5.9-6.3-13.5-10.1-17.4-10.1h-5.5l-48-94H160zm-48 132c-28.25 0-49.54 17.5-64.51 40-12.09 18.2-19.31 39.6-21.65 54H486.2c-2.4-14.4-9.6-35.8-21.7-54-15-22.5-36.3-40-64.5-40H112zM25 329v46h462v-46H25zm.84 64c2.34 14.4 9.56 35.8 21.65 54 14.97 22.5 36.26 40 64.51 40h288c28.2 0 49.5-17.5 64.5-40 12.1-18.2 19.3-39.6 21.7-54H25.84z"}}]})(props);
};
function GiCurlingVines (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M436.906 21.22c-8.032.064-17.54 1.217-28.625 3.718 65.616 3.342 39.668 48.252 1.22 68.28-30.932 7.564-54.88 22.71-66.5 38.376-2.99 4.032-5.277 8.21-6.22 12.97-.53 2.684-.515 5.703.22 8.592-6.823 3.036-12.114 7.732-15.156 13.656-9.608 18.713 2.705 45.254 44.687 44.375-34.522-5.522-29.87-50.62 11.876-38.625l.03-.093c1.246.472 2.52.912 3.845 1.343 45.603 14.805 58.067 43.665 54.876 61.468-1.595 8.903-6.564 15.18-14.594 17.97-8.03 2.79-20.23 2.052-36.28-7.438v.032c-8.874-5.603-18.476-9.237-28.25-10.53-12.003-1.59-24.365.628-35.032 6.967l-.125-.155c-38.065 24.243-55.985-19.317-23.22-34.97-42.085 11.47-39.62 37.586-24.53 53.407 4.892 5.124 10.563 8.736 17.063 10.282-36.324 28.3-79.572 37.478-107.438 30.187-14.514-3.796-24.514-11.35-29.438-22.655-4.053-9.307-4.848-22.003.22-38.656 1.896 3.908 4.593 7.465 7.968 10.686 15.818 15.086 41.93 17.587 53.406-24.5-15.655 32.763-59.243 14.81-35-23.25l-.03-.03c4.996-4.574 10.544-9.182 16.718-13.782 10.74-8.004 18.083-17.94 22.25-28.72 2.012 1.835 4.17 3.4 6.437 4.69 9.027 5.12 19.622 5.314 28.47 1.467 17.667-7.68 28.613-29.98 22.625-56.593-.01-.04-.022-.083-.03-.124-5.912-43.874 40.72-42.28 41.655-6.126 5.23-33.76-8.847-46.27-25.094-46.624-.568-.013-1.145-.018-1.72 0-4.01.12-8.11.97-12.06 2.374-17.992 6.408-29.057 23.388-21 54.532 4.526 19.948-3.854 31.975-11.813 35.436-3.98 1.73-7.777 1.697-11.813-.594-4.036-2.29-8.63-7.37-11.813-17.312h-.03c-1.884-19.53-11.59-38.89-26.188-55.813-25.823-29.93-67.592-52.936-113.5-53-1.482-.002-2.98.017-4.47.063-6.807.21-13.724.936-20.656 2.22-13.555 2.508-24.055 7.9-31.032 15.5-6.976 7.596-10.06 17.516-8.687 26.905 2.748 18.778 21.662 33.518 48.625 34.563v-.094c41.574 6.197 28.145 49.054-6 40.844 39.224 17.305 53.466-4.186 51.75-25.594C113.003 98.216 100.52 84.458 69.47 83c-20.802-.806-29.742-10.816-30.876-18.563-.567-3.873.413-7.656 4-11.562 3.586-3.906 10.122-7.83 20.656-9.78 30.994-5.738 61.606 1.86 86.5 16.25-5.135 1.856-9.706 5.045-13.75 9.28-15.09 15.822-17.59 41.935 24.5 53.406-32.767-15.65-14.846-59.21 23.22-34.968l.03-.03c.184.21.38.413.563.624 13.186 15.286 20.987 32.277 21.906 47.25.917 14.973-4.115 27.985-18.814 38.938-27.91 20.8-45.612 42.505-54.562 63.47-7.02 13.366-14.7 18.375-21.53 19.75-7.01 1.407-14.38-1.003-20.72-6.345-6.34-5.343-11.104-13.51-12.25-21.657-1.146-8.15.727-16.13 8.25-23.75l-.063-.063c16.246-17.097 28.458-11.82 25.907 16.625 15.532-26.902 2.804-42.35-13.843-42.344-8.604.004-18.237 4.128-25.563 12.94-11.183 11.493-15.03 26.1-13.186 39.218 1.092 7.766 3.983 15.04 8.156 21.406-14.864 3.695-24.072 15.795-27.28 29-5.74 23.643 6.367 50.204 53.31 37.844-40.282 3.147-45.326-60.28 2.564-45.188l.03-.094c5.846 1.6 12.07 1.987 18.376.72 3.726-.75 7.375-2.075 10.906-3.97.655 20.03 10.09 37.605 25.438 48.875 8.294 6.09 18.098 10.423 29 12.75 28.34 10.235 37.578 33.04 34.125 52.69-3.65 20.763-20.855 38.536-55.064 33.717v-.03c-45.96-10.195-27.063-55.586 8.656-42.97-12.347-7.056-22.527-9.82-30.718-9.625-18.022.428-26.378 15.295-26.75 30.97-.39 16.733 7.874 30.675 30.062 37.593 33.648 23.994-11.885 60.06-37.22 30.438 24.93 42.746 52.786 32.332 65.69 11.156 6.8-11.167 9.034-25.468 2.5-38.283 11.814-.413 22.282-3.384 31.093-8.218.79 12.907 7.522 21.706 17.78 27.31 18.752 10.243 44.032 5.985 44.22-36.655-6.485 34.86-52.068 29.015-38.94-12.938 3.5-5.966 5.905-12.478 7.095-19.25 3.327-18.93-2.59-39.604-17.563-55.125 18.313-2.714 38.102-10.17 58.125-23.125.013.438.004.878.032 1.313.87 13.752 8.91 25.195 19.436 32.53 10.525 7.337 23.78 11.064 37.03 9.44 13.254-1.627 26.493-9.203 34.69-23.19l-.095-.06c12.408-20.99 2.617-45.45-15.28-44.783-7.3.273-15.954 4.732-24.97 15.313 26.82-12.334 35.98-1.915 24.376 20.156l-.156-.094c-5.414 9.24-12.676 13.092-20.844 14.094-8.168 1.002-17.262-1.447-24.062-6.187-6.8-4.74-11.048-11.274-11.5-18.408-.396-6.242 1.856-13.876 10.344-22.78.03-.032.064-.063.093-.094 2.884-2.667 5.762-5.46 8.626-8.375 22.778-17.49 48.374-15.892 68.688-2.438 18.207 12.06 31.616 33.958 32 61.72-.846 15.68-5.114 33.148-14.125 52.124l-.095-.064c-25.81 39.867-90.637 65.517-75.22-6.5-42.27 80.47 23.97 85.655 71.22 33.594-41.535 69.815 9.265 100.4 48.156 59.156-38.243 16.99-51.414-20.927-30.967-70.594h.03c4.744-9.025 8.524-17.868 11.47-26.5l.25.094c20.84-40.023 58.14-11.25 37.593 18.688 30.71-30.977 15.506-52.346-5.47-58.5-8.32-2.436-16.504-2.296-24.155 1.28.027-1.988-.01-3.956-.092-5.905v-.158c.444-24.372-6.092-45.647-16.782-62.25 5.33-.002 10.372-.817 15.03-2.437 14.478-5.032 24.225-17.692 26.845-32.313.413-2.3.667-4.654.75-7.03.002-.02 0-.043 0-.063 6.647-22.772 24.25-23.93 36.533 2.56-.003-35.37-25.383-40.707-41.75-27.936-8.972-20.076-29.596-39.217-63-50.063-10.21-3.313-14.798-7.486-16.438-10.405-1.64-2.92-1.608-5.352.375-9.313 3.876-7.74 17.467-17.59 32.563-19.968.158-.023.31-.04.468-.063 54.322-7.65 88.576 15.056 61.97 47.97 49.906-26.893 33.498-83.894-44.688-61.844 54.705-28.146 70.82-81.647 14.594-81.187z"}}]})(props);
};
function GiCurlyMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 19.327c-44.404 0-85.075 25.413-115.226 68.104-30.15 42.692-49.177 102.42-49.177 168.57 0 66.153 19.027 125.878 49.177 168.57 30.15 42.69 70.822 68.103 115.225 68.103 44.402 0 85.073-25.413 115.224-68.104 30.15-42.692 49.18-102.417 49.18-168.57 0-7.567-.262-15.045-.75-22.43-9.907 9.928-26.343 14.223-42.72 9.833-3.735-1-6.735-2.674-9.966-4.384 20.746.09 39.53-13.203 45.148-34.177 1.237-4.618 1.947-9.272 1.965-13.824-7.944-39.906-22.983-75.45-42.856-103.59C341.074 44.74 300.402 19.328 256 19.328zm.095 18.635c1.695 0 3.382.06 5.064.144 8.765 144.53 6.918 290.543-.495 435.868-1.52.07-3.042.117-4.57.117-39.322 0-75.49-23.216-102.424-62.54-26.933-39.325-43.983-94.456-43.983-155.524 0-7.892.29-15.684.843-23.357 9.798 10.56 26.714 15.252 43.576 10.733 3.734-1 6.734-2.674 9.965-4.384-20.745.09-39.526-13.203-45.145-34.177-1.526-5.698-2.265-11.452-1.865-17 7.448-33.496 20.187-63.36 36.61-87.338 26.935-39.325 63.103-62.543 102.425-62.543zm-73.537 90.766c-9.522-.218-19.77 3.373-28.452 10.806-2.836 2.432-4.8 5.177-6.945 8.05 17.766-8.51 38.738-4 51.224 12.864 4.607 6.222 8.022 13.125 9.207 20.48 6.908-13.48 7.252-29.09-.944-40.16-5.772-7.797-14.567-11.823-24.088-12.04zm165.045 0c9.52-.218 19.77 3.373 28.45 10.806 2.838 2.432 4.803 5.177 6.948 8.05-17.764-8.51-38.736-4-51.222 12.864-4.606 6.222-8.022 13.125-9.207 20.48-6.906-13.48-7.252-29.09.945-40.16 5.772-7.797 14.566-11.823 24.088-12.04zm-186.166 32.28c-14.874.436-27.463 11.917-26.122 33.112 3.422 54.03 89.474 18.397 112.102 68.572 8.186-57.92-54.648-37.67-83.06-64.85-10.124-9.687-5.72-29.064 14.89-32.196-5.822-3.29-11.99-4.81-17.81-4.64zm207.542 0c14.873.436 27.462 11.917 26.12 33.112-3.423 54.03-89.475 18.397-112.103 68.572-8.186-57.92 54.648-37.67 83.06-64.85 10.124-9.687 5.72-29.064-14.89-32.196 5.822-3.29 11.992-4.81 17.812-4.64zm-192.186 89.57c-19.31-.18-37.892 8.713-47.117 26.136 14.682 51.855 87.82 42.854 103.023 10.254-11.2-24.32-34.02-36.183-55.906-36.39zm168.004 0c19.31-.18 37.89 8.713 47.115 26.136-14.684 51.855-87.818 42.854-103.02 10.254 11.2-24.32 34.02-36.183 55.905-36.39zm-94.613 43.19c-18.674 35.045-69.98 71.408-108.145 39.163 24.196 52.075 108.984 32.978 108.145-39.16zm27.67 0c18.673 35.045 69.982 71.408 108.146 39.163-24.195 52.075-108.985 32.978-108.146-39.16z"}}]})(props);
};
function GiCurlyWing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M28.375 21.72c6.463 186.873 211.64 185.96 332.47 279.624-78.192-33.86-206.354-26.42-299.126-86.594 43.276 140.637 197.64 94.335 311 132.563-67.51-6.592-156.55 31.527-240.72 1.375 74.328 117.156 170.745 38.902 264.156 39.593-47.114 12.005-95.76 64.52-160.812 59.595 79.27 76.296 120.778 2.205 177.562-26.188-.07.084-.15.166-.22.25 2.22-1.165 4.625-2.058 7.19-2.625 1.936-.427 3.872-.658 5.78-.687 13.36-.206 25.476 9.006 28.47 22.563 1.32 5.986.66 11.957-1.532 17.218-.083-.604-.18-1.206-.313-1.812-2.682-12.156-14.718-19.84-26.874-17.156-12.156 2.683-19.84 14.72-17.156 26.875.374 1.692.945 3.277 1.656 4.78-.185-.126-.38-.244-.562-.374.558.9 1.158 1.77 1.78 2.624 1.213 1.946 2.702 3.687 4.407 5.156 7.127 7.04 16.797 11.55 27.595 12.03 23.13 1.032 42.72-16.9 43.75-40.03.837-18.794-10.812-35.25-27.625-41.313-.01-.003-.022.004-.03 0-9.58-5.346-17.946-11.836-25-19.062 16.04 7.166 35.522 3.674 48.03-10 15.627-17.084 14.46-43.592-2.625-59.22-9.736-8.904-22.52-12.34-34.625-10.5-3.198.18-6.39 1.124-9.28 2.97-8.988 5.736-11.612 17.67-5.876 26.656 5.736 8.988 17.67 11.612 26.656 5.876 4.744-3.028 7.687-7.768 8.594-12.906 2.496 11.418-2.164 23.686-12.594 30.344-13.374 8.536-31.15 4.623-39.688-8.75-2.726-4.272-4.158-8.993-4.437-13.72-.002-.03-.03-.062-.03-.093-.348-2.14-.608-4.283-.75-6.405-9.925-146.86-254.66-165.998-379.22-312.656z"}}]})(props);
};
function GiCursedStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.125 16.938L216.22 128.094 97.343 164.25l106.53-4.22-36.436 94.407L270.156 106.25l50.22 64.406-61.25-153.72zm50.406 63.687l36.376 102.28-102.344-6.75 172.063 53.876-46.5 67.126 128.47-104.28-116.94-7.69-71.124-104.56zm-123.467 98.97L20.97 190.437l87.936 71.375-.375 127.125 27.75-104.907 82.345 66.845L109.345 207.5l76.718-27.906zm71.156 18.968c-22.404 0-44.817 25.943-67.22 77.875 43.462 77.53 88.133 86.365 134.438 0-22.403-51.93-44.816-77.875-67.22-77.875zm.405 15.687c11.05 8.62 19 30.54 19 56.438 0 25.896-7.95 47.818-19 56.437-11.05-8.62-19-30.54-19-56.438 0-25.896 7.95-47.818 19-56.437zm82.53 10.594l5.19 180.22-78.595-22.064 140.47 87.438-30.408-111.313 73.563-103.47-82.875 69.376-27.344-100.186zM152.94 309.03l-43.594 159.595 98.906-61.53 120.656 39.436-90.5-58.217 87.094-54.188-171.22 56.53-1.343-81.624z","fillRule":"evenodd"}}]})(props);
};
function GiCurvyKnife (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M57.656 16.156C42.71 16.533 31.24 29.793 24.5 44.813 6.05 85.91 32.88 81.803 71.156 90.374 79.272 66.585 86.96 48.042 94.72 31.53 87.197 27.1 79.315 22.944 71 19.126c-4.708-2.162-9.158-3.074-13.344-2.97zm52.907 25.5c-7.026 15.13-13.945 32.076-21.344 53.688 10.168 3.41 20.723 8.157 31.155 15.094 11.68-12.212 23.456-21.498 35.28-29.063-13.287-14.6-28.152-27.967-45.093-39.72zm57.28 53.97c-11.064 6.804-21.837 15.1-32.718 26.343 11.416 10.345 22.372 23.944 32.125 42.124 7.94-13.026 16.59-23.73 25.625-33.125-7.722-12.28-15.997-24.11-25.03-35.345zm104.876 6.655c-21.823 9.456-42.608 20.63-59.908 35.126-.123.117-.25.227-.375.344-13.47 12.74-25.593 27.446-36.28 48.72-2.3 5.677-4.237 11.678-5.72 18.03 21.49 66.477 64.75 126.913 119.5 172.094 33.212 37.003 79.484 67.087 129.47 89.03C300.828 433.35 196.2 335.897 155.124 217.563c-13.287 6.835-27.93 11.178-42.03 11.625 77.753 185.39 256.893 319.184 382.28 238.657-161.46-55.25-192.335-204.99-257.28-326.344 12.505-8.307 26.713-15.444 42.06-22.094l-7.436-17.125z"}}]})(props);
};
function GiCustodianHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 26.82l-27.7 18.46 27.7 9.23 27.7-9.23L256 26.82zm-37.9 34.01C171.6 70.9 142 100.1 122.1 140 97.12 189.9 89 256.8 89 320c0 6.7 3.4 12.7 11.7 19.2 8.2 6.4 21.1 12.4 36.9 17.2C169.3 366 212.7 371 256 371c43.3 0 86.7-5 118.4-14.6 15.8-4.8 28.7-10.8 36.9-17.2 8.3-6.5 11.7-12.5 11.7-19.2 0-63.2-8.1-130.1-33.1-180-19.9-39.9-49.5-69.09-95.9-79.16l-38 12.65-37.9-12.66zm20.3 70.97h2.1c4.8.2 10 1.1 15.5 2.8 5.5-1.7 10.7-2.6 15.5-2.8h2.1c4.8 0 9.2.7 13.1 2.3 9.1 3.5 15.2 11.1 17.8 19.1 4.6 13.6 2.1 28.8-5.7 39.9l27.9-3.8-6 43.9L356 260l-35.3 26.8 6 43.9-43.9-6L256 360l-26.8-35.3-43.9 6 6-43.9L156 260l35.3-26.8-6-43.9 27.9 3.8c-7.8-11.1-10.3-26.3-5.7-39.9 2.6-8 8.7-15.6 17.8-19.1 3.9-1.6 8.3-2.3 13.1-2.3zm.2 18c-2.9 0-5.2.5-6.9 1.1-3.9 1.5-5.8 3.9-7.2 7.9-2.2 6.9.1 18.1 3.9 24.2H247v-32.1c-2.6-.6-5.1-1-7.1-1.1h-1.3zm34.8 0h-1.3c-2 .1-4.5.5-7.1 1.1V183h18.6c3.8-6.1 6.1-17.3 3.9-24.2-1.4-4-3.3-6.4-7.2-7.9-1.7-.6-4-1.1-6.9-1.1zM256 217c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zM71.03 316.6C61.34 323.1 57 329.5 57 336c0 19 17.55 45.7 52.5 72.9 34.4 26.7 84.6 54 146.5 77.4 61.9-23.4 112.1-50.7 146.5-77.4 35-27.2 52.5-53.9 52.5-72.9 0-6.5-4.3-12.8-14-19.1v3.1c0 13.3-7.6 24.8-18.6 33.3-11 8.6-25.6 15.1-42.8 20.3C345.3 384 300.7 389 256 389c-44.7 0-89.3-5-123.6-15.4-17.2-5.2-31.8-11.7-42.81-20.3C78.6 344.8 71 333.3 71 320c0-1.1.02-2.2.03-3.4z"}}]})(props);
};
function GiCutDiamond (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M92.906 94.813l60.438 79.75 78.125-79.75H92.905zm189.25 0L359.25 173.5l58.688-78.688H282.155zm-25.344.843l-84.718 86.47H341.53l-84.717-86.47zm177.907 7.906l-58.626 78.563H494.53l-59.81-78.563zm-358.064.75l-57.78 77.813h116.78l-59-77.813zm-58.5 96.5L226.562 429.22 143.344 200.81H18.156zm145.063 0l93.593 256.844 93.593-256.844H163.22zm207.06 0L287.064 429.22 495.469 200.81H370.28z","fillRule":"evenodd"}}]})(props);
};
function GiCutLemon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M126.134 57.858c-40.166 32.88-74.244 84.108-93.63 146.225-19.385 62.116-20.494 123.63-6.158 173.513 14.337 49.883 44.656 88.692 88.08 102.238 106.061 24.782 226.483 8.177 305.424-28.503 24.29-1.026 68.942 3.339 74.586-6.823 3.926-7.068-4.585-74.09-25.144-88.843C445.467 182.72 422.602 59.65 256.737 23.838c-42.84-11.975-98.768 9.106-130.603 34.02zm97.298-21.066c9.494.008 18.85 1.391 27.944 4.228 36.373 11.347 62.964 44.189 76.138 90.03 13.175 45.84 12.393 104.12-6.039 163.179-18.431 59.059-50.936 107.442-87.847 137.658-36.911 30.216-77.465 42.11-113.838 30.764-36.373-11.347-62.968-44.189-76.143-90.03-13.174-45.84-12.39-104.12 6.041-163.18C68.12 150.384 100.625 102 137.536 71.785c27.683-22.662 57.415-35.018 85.896-34.992zM153.014 90.35l30.114 142.85 50.097-176.69c-27.712.493-64.49 13.887-80.21 33.84zm104.442-25.865c-4.214-.702-57.045 171.713-57.045 171.713l110.49-81.07c-.621-20.609-27.34-82.678-53.445-90.643zm-125.16 46.584c-24.488 18.994-43.871 58.246-51.621 86.387l85.66 42.029zm184.468 70.633l-110.728 74.242 95.596 25.568c7.185-27.973 15.554-73.327 15.132-99.81zm-244.52 38.58c-9.37 25.663-16.358 50.834-16.855 75.5l106.756-35.819zm130.976 51.83l65.798 80.002c15.402-16.993 22.597-34.688 28.52-50.979zm-40.022 5.144L57.163 322.51c-.675 29.088 8.752 58.465 21.25 80.528zm27.39 5.534l2.811 151c36.41-15.04 56.473-44.405 67.946-62.569zm-16.505 2.457L91.42 424.739c18.588 17.405 57.63 22.587 83.506 17.072z"}}]})(props);
};
function GiCutPalm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M320.977 18.703c-.496-.01-.984-.007-1.463.008-1.358.09-2.045.27-3.057.4L220.38 169.796c1.53 6.565 3.088 13.04 4.778 19.226l-18.027 4.926c-9.073-33.212-15.026-70.992-26.538-94.735-5.757-11.872-12.47-19.702-20.625-23.246-6.714-2.92-15.483-3.28-27.63.6 17.258 50.103 24.184 102.383 33.495 143.826 4.933 21.958 10.617 40.805 18.21 54.317 7.59 13.51 16.324 21.482 29.108 24.625l-4.463 18.148c-18.367-4.515-31.723-17.217-40.94-33.62-4.192-7.46-7.682-15.74-10.726-24.673-30.794 33.74-75.13 70.583-137.602 98.473v135.72h140.437c22.443-42.52 44.626-79.104 66.23-105.74 22.48-27.712 44.393-46.065 68.247-46.47l-.19.006 2.985-.112-28.434-81.853 21.164-7.057-33.67-79.035 68.99 92.844-27.9 7.52 31.3 66.41 149.417-5.558c4.266-5.493 7.614-14.578 8.1-23.91.467-8.97-1.767-17.213-5.073-22.166l-119.5 3.42c.137-8.21-.404-16.456-1.55-24.627l130.184-45.302c2.502-6.403 2.67-15.49-.002-24.108-2.58-8.326-7.588-15.26-12.38-18.79l-130.13 43.943c-3.504-8.287-7.594-16.232-12.177-23.694l108.244-77.542c.024-6.105-2.634-14.563-7.788-21.476-5.365-7.196-12.655-12.406-19.1-14.172l-109.396 79.31c-6.44-5.683-13.267-10.506-20.36-14.316L358.24 39.23c-2.26-4.454-6.892-9.397-13.256-13.218-7.39-4.438-16.575-7.177-24.007-7.31zm-8.975 336.23c-3.66 51.045-31.82 66.58-31.82 95.014 0 14.116 15.503 26.684 31.82 26.684 15.958 0 32.457-12.494 32.457-27.357 0-29.613-27.877-43.213-32.458-94.34z"}}]})(props);
};
function GiCyberEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.565 30.643c-81.598 0-152.721 46.707-189.777 115.92h50.29l16.74-33.481h115.865c2.055-4.234 5.416-7.771 9.246-10.324 6.302-4.201 14.192-6.414 22.748-6.414 8.555 0 16.446 2.213 22.748 6.414 6.302 4.2 11.361 11.054 11.361 19.324 0 8.27-5.06 15.123-11.361 19.324-6.302 4.201-14.193 6.414-22.748 6.414-8.556 0-16.446-2.213-22.748-6.414-3.83-2.553-7.193-6.09-9.248-10.326H143.94l-7.74 15.482h52.402v17.999H57.143a228.822 228.822 0 0 0-5.96 15.48h36.974v17.998H45.802c-4.006 15.707-6.415 32.092-7.051 48.963h109.883l16.742-50.22h39.967v17.997h-26.996l-10.743 32.223h47.594c2.056-4.235 5.418-7.773 9.248-10.326 6.302-4.201 14.193-6.414 22.748-6.414 8.556 0 16.446 2.213 22.748 6.414 6.302 4.2 11.364 11.054 11.364 19.324 0 8.27-5.062 15.123-11.364 19.324-6.302 4.201-14.192 6.414-22.748 6.414-8.555 0-16.446-2.213-22.748-6.414-3.83-2.553-7.192-6.09-9.248-10.326h-95.74l24.482 48.963h78.143v17.998h-89.266l-33.482-66.961H38.751c1.614 42.826 14.69 82.527 36.129 115.922h90.096c2.055-4.235 5.42-7.773 9.25-10.326 6.302-4.201 14.19-6.414 22.746-6.414 8.555 0 16.446 2.213 22.748 6.414 6.302 4.2 11.363 11.054 11.363 19.324 0 8.27-5.061 15.123-11.363 19.324-6.302 4.201-14.193 6.414-22.748 6.414-8.556 0-16.444-2.213-22.746-6.414-3.83-2.553-7.193-6.09-9.248-10.324h-9.784l21.483 32.22h73.328l16.74-33.48h39.043v17.998h-27.92l-7.742 15.483h52.402v17.998H167.046l-33.483-50.219H87.716c39.81 50.37 100.234 82.44 167.85 82.44 92.336 0 171.262-59.806 202.581-144.358-4.882 10.507-10.77 19.344-17.916 25.893-7.212 6.609-16.06 10.914-25.628 10.914-9.569 0-18.417-4.305-25.63-10.914-7.212-6.61-13.145-15.546-18.054-26.182-9.818-21.272-15.537-49.542-15.537-80.711 0-31.169 5.719-59.44 15.537-80.71 4.91-10.637 10.842-19.573 18.055-26.183 7.212-6.609 16.06-10.914 25.629-10.914 9.568 0 18.416 4.305 25.628 10.914 7.146 6.549 13.034 15.386 17.916 25.893C426.828 90.448 347.902 30.643 255.565 30.643zm25.112 83.699c-5.313 0-9.98 1.533-12.766 3.39-2.786 1.858-3.348 3.375-3.348 4.35 0 .975.562 2.492 3.348 4.35 2.787 1.857 7.453 3.39 12.766 3.39s9.979-1.533 12.765-3.39c2.787-1.858 3.346-3.375 3.346-4.35 0-.975-.56-2.492-3.346-4.35-2.786-1.857-7.452-3.39-12.765-3.39zm159.037 83.44c-11.598 0-20.097 8.806-25.37 19.35-5.272 10.545-8.163 24.04-8.163 38.868 0 14.829 2.891 28.323 8.164 38.867 5.272 10.545 13.77 19.352 25.369 19.352 11.598 0 20.098-8.807 25.371-19.352 5.273-10.544 8.164-24.038 8.164-38.867 0-14.829-2.891-28.323-8.164-38.867-5.273-10.545-13.773-19.352-25.371-19.352zm4.613 20.157c1.556 1.497 3.261 3.769 4.93 7.106 3.662 7.324 6.299 18.517 6.299 30.955 0 12.438-2.637 23.63-6.3 30.955-3.662 7.324-7.506 9.57-9.542 9.57-2.036 0-5.88-2.246-9.543-9.57-3.663-7.324-6.297-18.517-6.297-30.955 0-.253.008-.502.01-.754a16.458 24.686 0 0 0 7.604 2.81 16.458 24.686 0 0 0 16.457-24.685 16.458 24.686 0 0 0-3.618-15.432zm-197.133 30.32c-5.313 0-9.977 1.534-12.763 3.391-2.787 1.858-3.348 3.375-3.348 4.35 0 .975.561 2.492 3.348 4.35 2.786 1.857 7.45 3.39 12.763 3.39 5.314 0 9.98-1.533 12.766-3.39 2.786-1.858 3.348-3.375 3.348-4.35 0-.975-.562-2.492-3.348-4.35-2.786-1.857-7.452-3.39-12.766-3.39zm-50.222 133.919c-5.314 0-9.978 1.533-12.764 3.39-2.786 1.858-3.348 3.375-3.348 4.35 0 .975.562 2.492 3.348 4.35 2.786 1.857 7.45 3.39 12.764 3.39 5.313 0 9.979-1.533 12.765-3.39 2.787-1.858 3.348-3.375 3.348-4.35 0-.975-.561-2.492-3.348-4.35-2.786-1.857-7.452-3.39-12.765-3.39z"}}]})(props);
};
function GiCyborgFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M218.195 28.5l13.75 110h48.11l13.75-110zm93.069 5.459L295.945 156.5h-79.89L200.754 34.08c-17.39 9.193-33.547 22.691-47.754 39.895V220.5H97.623a334.688 334.688 0 0 0-1.623 31c0 128.13 71.634 232 160 232 71.065-.062 133.586-68.083 153.496-167h-7.371l-32 16h-69.691L263 297.3v-62.8h136v16h16.965c-.335-96.78-42.068-183.093-104.701-216.541zM256 42.5c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm0 18c-3.973 0-7 3.027-7 7s3.027 7 7 7 7-3.027 7-7-3.027-7-7-7zm-121 39.635c-17.438 29.328-29.537 64.52-35.191 102.365H135zm185 149.38l-32 48 14.977 9.985 32-48zm48 0l-32 48 14.977 9.985 32-48zM144 266.5h80v18h-7.045c-.458 6.484-5.303 10.55-9.617 12.707-4.533 2.267-9.704 3.293-15.338 3.293-5.634 0-10.805-1.026-15.338-3.293-4.314-2.157-9.159-6.223-9.617-12.707H144zm265 2v30h30v-30zm-217 126h128v18H192zm48 32h32v18h-32z"}}]})(props);
};
function GiCycle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.314 19.957c-72.036.363-142.99 33.534-189.18 95.97-69.83 94.39-59.125 223.32 19.85 304.993l-37.238 50.332 151.22-22.613L174.35 297.42l-43.137 58.308c-44.08-54.382-47.723-133.646-4.16-192.53 30.676-41.466 77.863-63.504 125.758-63.753 16.344-.085 32.766 2.382 48.645 7.467l-6.963-46.55c-23.858-4.86-47.908-5.026-71.017-.997-59.232 7.322-113.994 39.918-148.157 91.215 35.65-65.89 103.774-105.918 176.043-107.744 1.673-.042 3.347-.063 5.023-.065 14.8-.01 29.748 1.596 44.597 4.905l48.608-7.268c-31.14-13.906-64.32-20.62-97.274-20.453zm212.93 22.055l-151.217 22.61 22.614 151.22 41.126-55.588c42.204 54.29 45.092 132.048 2.187 190.043-40.22 54.367-108.82 75.32-170.19 57.566l6.522 43.598c28.726 5.533 58.236 4.414 86.203-3.07 37.448-5.957 73.34-22.05 103.16-47.728-49.196 54.65-122.615 77.514-191.744 64.34l-55.8 8.344c99.03 43.7 218.402 14.77 285.51-75.938 69.13-93.445 59.34-220.743-17.483-302.53l39.114-52.866z"}}]})(props);
};
function GiCycling (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M326.7 60.61c-3.4 0-6.9.76-10.7 2.4-7.4 3.25-15 9.88-20.3 19.2-5.2 9.33-6.9 19.29-5.8 27.39 1.1 8 4.7 13.8 10.3 17 5.5 3.1 12.4 3.2 19.8-.1 7.5-3.2 15.1-9.9 20.3-19.2 5.3-9.31 7-19.28 5.9-27.33-1.1-8.08-4.8-13.81-10.3-16.95-2.8-1.56-5.9-2.38-9.2-2.4zM271.6 102c-31 17.2-67.1 32.6-117.2 43.6-13.8 3-22.3 35-11.9 46.4h-14.9v18H157c4.3 5.6 8.6 11.2 12.6 17l-26.1 52.2c-9.8-3.7-20.4-5.8-31.5-5.8-49.05 0-89 40-89 89s39.95 89 89 89c46 0 84-35.2 88.5-80h15.8c-1.7-6.1-1.5-12.3 0-18h-15.8c-2.8-27.7-18.4-51.8-40.8-66.1l21.6-43.2c6.1 9.5 11.8 19.2 16.9 29-4.2 4.4-8.9 8.8-14.3 13.3 5.8 8.6 11.6 17 20.8 22.5 2.2-2 4.4-4.2 6.7-6.5 4.9 12.8 8.7 25.7 11.2 39 6.1-7.3 15.2-12 25.4-12 9.3 0 17.8 4 23.8 10.3l80-91.5c1.8 12.2 4.4 23.8 7.5 35.1-28.6 14.8-48.3 44.8-48.3 79.1 0 49 40 89 89 89s89-40 89-89-40-89-89-89c-8.2 0-16.2 1.1-23.8 3.3-4-14.9-6.9-30.2-8.3-46.8 4.7-5.7 8.4-12.9 10.6-20.4l.1-.2c8.3 1.2 19 6.4 21.1 13.6l17.4-4.4c-10.4-26-38.7-31-62.1-26.1-32.4-6.6-56.2-14.4-59.1-48-1.5-.6-3.1-1.3-4.6-2.2-11-6.2-17.5-17.7-19.2-30.2-.5-3.3-.6-6.6-.5-10zm-1.3 61.8c25.3 46.3 54.8 48.2 84.7 51.8-2.4 3.2-5.3 6.4-8.3 9.8h-75.9c2.6-4.5 4.3-8 4.8-10 1.1-5.2-10.6-13.4-24.2-21.6-11.7 5.4-26.4 9.9-42.4 11.7 8.9 5.7 17.1 12.3 24.6 19.9h-14.9c-3.1-6.5-6.4-13.1-9.7-19.9-2.5-5.1-5-10.3-7.5-15.7 19.8-2.7 47-8.2 68.8-26zm-11 79.6h72.9l-76.1 86.9c-3.1-22-9-41.2-16.7-60 7.3-9.2 14.1-18.6 19.9-26.9zm-147.3 48c8.2 0 16.1 1.4 23.4 4l-37.96 76H182.4c-4.4 35-34.2 62-70.4 62-39.32 0-71-31.7-71-71s31.68-71 71-71zm288 0c39.3 0 71 31.7 71 71s-31.7 71-71 71-71-31.7-71-71c0-26.4 14.3-49.4 35.6-61.6 7.3 21.6 16.6 42.7 27.2 65.4l16.4-7.6c-10.7-23-19.9-43.7-26.8-64.7 5.9-1.6 12.1-2.5 18.6-2.5zm-248.4 12c16.6 11.2 28.2 29.2 30.8 50h-55.8zm96.4 44c-8.4 0-15 6.6-15 15s6.6 15 15 15 15-6.6 15-15-6.6-15-15-15z"}}]})(props);
};
function GiCyclops (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.943 19.56c-48.746 0-93.137 25.71-125.85 68.436C101.82 127.54 81.96 181.56 79.167 241.744c4.252-7.944 11.468-13.637 21.397-13.637-14.08 20.83-16.54 41.658 0 62.487-9.812 0-16.714-4.63-20.91-11.365 4.14 56.884 23.546 107.807 52.44 145.547 32.713 42.728 77.104 68.44 125.85 68.44 48.747 0 93.137-25.712 125.85-68.44 28.806-37.625 48.187-88.35 52.406-145.027-4.225 6.453-11.028 10.844-20.587 10.844 16.54-20.83 14.08-41.658 0-62.487 9.685 0 16.79 5.416 21.078 13.055-2.892-59.95-22.72-113.75-52.897-153.166C351.08 45.27 306.69 19.56 257.943 19.56zm.057 80.944c69.594 0 128.227 46.16 149.412 109.76C317.6 99.23 196.635 100.256 107.318 213.05 127.71 148.043 187.42 100.503 258 100.503zm3.053 49.658c53.01 0 104.59 36.343 142.87 105.04.65 1.066.575.917.768 1.198l1.624 1.473v6.533l-2.177 3.983-.016.026c-38.297 68.92-89.963 105.374-143.06 105.373-53.096-.002-104.763-36.455-143.064-105.37l.295.494c-.437-.685-.244-.513-.444-.955l-4.475-3.972 4.605-8.418.013-.03c38.3-68.92 89.968-105.377 143.065-105.378zm0 18.69c-43.918 0-89.205 29.812-125.182 93.123 16.145 28.407 34.167 50.05 53.095 65.302-9.445-13.807-14.977-30.503-14.977-48.494 0-47.502 38.51-86.01 86.012-86.01 10.01 0 19.62 1.716 28.555 4.86-19.658 2.195-34.944 18.86-34.944 39.103 0 .963.05 1.914.117 2.86-25.64 4.19-45.354 26.554-45.354 53.336 0 29.742 24.312 54.054 54.055 54.054s54.054-24.312 54.054-54.054c0-7.705-1.643-15.04-4.578-21.688 12.173-6.693 20.424-19.635 20.424-34.508 0-1.687-.12-3.346-.326-4.978 8.846 13.517 14.008 29.664 14.008 47.025 0 19.657-6.607 37.763-17.703 52.248 20.696-15.367 40.42-38.227 57.935-69.05-35.977-63.316-81.27-93.13-125.19-93.128zm1.375 88.718c19.642 0 35.365 15.72 35.365 35.362 0 19.642-15.723 35.365-35.365 35.365-19.642 0-35.365-15.723-35.365-35.365 0-19.642 15.722-35.362 35.365-35.362zm-155.742 52.426c89.507 113.245 211.43 113.973 301.36 2.23C387.327 376.658 328.18 423.097 258 423.097c-71.007 0-131.28-47.486-151.314-113.102z"}}]})(props);
};
function GiCzSkorpion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.28 407.5s6.41-91.63 23.58-127.08c5.91-12.21-4.21-33.92-14-40.92h106.11v42.22c7 8.67 20.56 14.44 35.45 14.44 23.23 0 42.11-13.76 42.11-31 0-10.78-7.42-20.67-18.66-25.67h14.1a32.81 32.81 0 0 1 12.54 25.67c0 21.64-22.49 39.11-50.13 39.11-15.64 0-29.63-5.7-38.83-14.52-11.59 4.1-21.33 23.37-21.33 35.67 0 10.57 1.66 82.06 1.66 82.06H21.26zm323.87-41.46l-43.66 29.81a357.51 357.51 0 0 1-59.52-157.62l51.65-13.8a304.64 304.64 0 0 0 51.53 141.61zM35.31 139.78a16.28 16.28 0 1 1-16.28 16.28 16.28 16.28 0 0 1 16.28-16.28zm-4.22-15.47a27.54 27.54 0 0 1 26.47-19.81h352.41c19.09 0 35 15.33 35 34.41v62.13a19.5 19.5 0 0 0 39 0v-69.61a4.5 4.5 0 1 1 9 0v69.61a28.5 28.5 0 0 1-57 0v-62.13c0-14.13-11.86-25.41-26-25.41H57.56a18.37 18.37 0 0 0-16.93 11 31.7 31.7 0 0 0-9.54-.18zm429.88 38.19v-16h7v16h-7zm-41 11h-12v-39h10.54a6.88 6.88 0 0 1 1.46 4.41v34.59zm-98-19.48a7.9 7.9 0 1 1-7.9 7.9 7.9 7.9 0 0 1 7.9-7.9zM25.58 223.5h211.55l89.53-24.17c11.9-14.56 28-22.72 61.4-22.72 1.25 0 2.91-.11 3.91-.09V134.5l-2.73-5H57.56a2.37 2.37 0 0 0-2.32 1.47 32.06 32.06 0 0 1-6.33 54.42c0 9.7-.09 17.59-.25 20.15-.57 9.06-23.08 17.96-23.08 17.96zm119.39-61.52c0-4.42 4-7.48 8.38-7.48h146.09c3.3-9 12.15-16.18 22.52-16.18a23.8 23.8 0 0 1 23.9 23.75 23.95 23.95 0 0 1-46.42 8.43H153.35a8.81 8.81 0 0 1-8.38-8.54zm177 7.89a7.9 7.9 0 1 1 7.9-7.9 7.9 7.9 0 0 1-7.9 7.9zM166.91 239.5h-13s-3.63 32.5 18.49 44.18c-17.49-19.05-5.49-44.18-5.49-44.18z"}}]})(props);
};
function GiD10 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M375.483 251.243l-109.98 51.138.213 183.381L477.01 266.346l-86.993-21.81zm-12.736 108.626l-5.947 14.699-48.604-8.955 5.007-12.832a141.306 141.306 0 0 0 13.51-11.358 167.184 167.184 0 0 0 16.566-17.517 170.478 170.478 0 0 0 12.606-17.958 115.607 115.607 0 0 0 9.514-17.97l14.068 2.51q-9.37 22.334-30.361 44.43-13.296 13.64-20.645 18.636zM121.603 244.334l-84.71 21.763L246.474 486V302.38l-109.946-51.137zm19.147 50.852a28.72 28.72 0 0 1 24.273 6.802 53.052 53.052 0 0 1 11.226 14.188l-13.081 2.676a28.542 28.542 0 0 0-5.388-7.374q-5.185-4.876-11.262-3.853l-.487.095a6.458 6.458 0 0 0-5.162 4.448c-.856 2.378-.238 5.554 1.796 9.371q4.08 7.6 10.81 9.027a23.785 23.785 0 0 0 8.563-.203l1.867-.344 5.791 10.822q-6.398 1.427-8.23 3.282-3.21 3.14.429 9.93a17.042 17.042 0 0 0 6.089 6.696 10.406 10.406 0 0 0 7.385 1.534l.416-.083q4.757-.964 5.079-4.757c.261-2.57-.655-5.744-2.748-9.514l12.38-2.545a49.247 49.247 0 0 1 4.103 11.226 19.956 19.956 0 0 1-.642 9.383 11.702 11.702 0 0 1-3.96 5.411 19.575 19.575 0 0 1-8.027 3.235l-1.19.214a27.971 27.971 0 0 1-17.494-2.7 32.193 32.193 0 0 1-14.128-14.092q-3.627-6.79-2.604-12.19a8.396 8.396 0 0 1 2.521-4.947h-.071q-1.844.31-7.04-2.497a32.11 32.11 0 0 1-12.916-13.593q-5.245-9.764-3.282-18.398 1.962-8.634 13.676-11zM27.19 248.865l108.78-116.309a7.135 7.135 0 0 1 1.427 0h.154q3.14.345 2.842 3.71a19.36 19.36 0 0 1-3.294 8.1 39.376 39.376 0 0 1-9.728 10.405q-3.912 2.938-15.044 9.514-12.796 7.505-19.55 14.77a92.535 92.535 0 0 0-11.513 14.486l32.907 3.758 8.182-12.963-20.967-2.378a36.415 36.415 0 0 1 4.757-3.83q2.379-1.605 8.444-5.125l6.422-3.747a92.975 92.975 0 0 0 12.903-8.776 61.472 61.472 0 0 0 12.51-14.414q6.84-10.846 6.494-17.957c-.19-3.949-2.105-6.434-5.684-7.505l79.798-85.161-102.097 179.576-5.708 10.06zm367.238-71.974q-3.817-5.458-3.758-8.515c0-2.033 1.19-3.199 3.568-3.448h.57a11.892 11.892 0 0 1 6.91 2.247 29.85 29.85 0 0 1 7.837 8.051q3.687 5.28 3.71 8.397c0 2.093-1.188 3.258-3.496 3.567h-.594a11.75 11.75 0 0 1-6.957-2.378 29.79 29.79 0 0 1-7.79-7.885zm-109.41-141.52l83.948 89.634h-1.189c-.38 0-.975 0-1.463.107q-7.825.892-8.324 6.862-.5 5.97 5.03 13.747a53.778 53.778 0 0 0 6.375 7.374 37.901 37.901 0 0 0 10.144 6.897q-2.117 2.89-.702 7.98a37.283 37.283 0 0 0 5.613 11.096 55.122 55.122 0 0 0 15.223 14.806q8.098 5.268 16.066 4.935.81 0 1.618-.13 8.776-.988 9.228-7.873a16.114 16.114 0 0 0-.463-4.853l58.689 62.686-91.572-22.941-6.1-10.703zm98.22 104.927l2.45 2.617c.451.57.903 1.189 1.355 1.784 1.808 2.592 2.723 4.757 2.723 6.529 0 1.771-1.034 2.782-3.127 3.02h-.512a10.346 10.346 0 0 1-6.077-1.95 22.596 22.596 0 0 1-6.184-6.137c-1.974-2.83-2.937-5.102-2.878-6.814.06-1.713 1.118-2.7 3.187-2.937h.524a10.263 10.263 0 0 1 6.005 1.879 19.147 19.147 0 0 1 2.533 2.01zM255.987 26L137.456 231.026l118.532 55.05 118.604-55.05zm-1.19 208.463q-17.529 0-24.58-12.273-7.053-12.273-7.053-34.988 0-22.714 7.052-35.047 7.052-12.332 24.582-12.344 17.53 0 24.582 12.332 7.052 12.333 7.052 35.047 0 22.715-7.052 34.988-7.053 12.273-24.582 12.285zm10.538-71.807q2.497 7.968 2.497 24.546 0 15.817-2.497 24.201-2.498 8.384-10.537 8.325-8.04 0-10.632-8.325-2.593-8.324-2.593-24.2 0-16.579 2.593-24.547t10.632-7.968q8.015-.012 10.513 7.956z"}}]})(props);
};
function GiD12 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M450.169 181.354L379.685 84.29 265.629 47.325v92.652l96.384 70.031zm-91.46-28.416a19.735 19.735 0 0 1-3.004 6.606 16.563 16.563 0 0 1-11.924 6.857q-7.548.918-15.729-5.056-8.18-5.974-9.599-13.439a16.563 16.563 0 0 1 2.922-13.414 19.747 19.747 0 0 1 5.378-4.866q3.422-2.206 9.026-1.574a18.757 18.757 0 0 1-1.717-10.421 21.082 21.082 0 0 1 4.03-9.802 19.246 19.246 0 0 1 13.666-7.99q8.633-1.108 17.779 5.57 9.146 6.677 10.326 14.952a20.033 20.033 0 0 1-3.827 15.204 20.772 20.772 0 0 1-8.145 6.797 16.312 16.312 0 0 1-10.17 1.192q2.038 5.461.989 9.384zm-10.731-8.287a8.252 8.252 0 0 1-1.717 6.189 8.907 8.907 0 0 1-15.669-3.685 8.562 8.562 0 0 1 1.908-6.367 8.347 8.347 0 0 1 5.33-3.578 8.252 8.252 0 0 1 6.451 1.825 8.347 8.347 0 0 1 3.757 5.628zm9.54-11.77a10.732 10.732 0 0 1-11.472-8.346q-.548-3.709 2.504-7.894a10.851 10.851 0 0 1 6.654-4.77 10.732 10.732 0 0 1 11.543 8.43 10.851 10.851 0 0 1-2.469 7.775q-2.945 4.198-6.653 4.806zm-110.968 7.096V47.325L132.494 84.29 62.01 181.354l88.156 28.618zm-112.66-21.798l37.895-26.52a31.73 31.73 0 0 1 5.056 12.664q1.55 7.155-2.79 19.413a98.304 98.304 0 0 0-4.341 14.524 13.904 13.904 0 0 0 2.158 10.314 10.732 10.732 0 0 0 6.034 4.472 8.347 8.347 0 0 0 7.154-1.574q4.961-3.47 4.162-8.43a22.418 22.418 0 0 0-3.577-7.644l10.577-7.393q4.674 7.25 5.425 13.2 1.443 11.328-9.682 19.079-8.789 6.153-17.386 4.913-8.597-1.24-14.214-9.242a21.237 21.237 0 0 1-3.97-13.486 44.513 44.513 0 0 1 3.112-12.568l2.194-6.141q2.063-5.76 2.659-8.12a15.025 15.025 0 0 0 .43-4.77l-24.16 16.908zm64.7 215.412h114.998l35.51-109.37-93.009-67.598-93.009 67.599zm89.266-95.072a8.347 8.347 0 0 0-6.797-2.838q-6.058 0-8.24 4.52a22.382 22.382 0 0 0-1.49 8.346h-12.855q.322-8.62 3.124-13.927 5.319-10.112 18.889-10.112 10.731 0 17.063 5.962 6.332 5.962 6.237 15.633a21.25 21.25 0 0 1-4.484 13.32 44.585 44.585 0 0 1-9.659 8.62l-5.318 3.769q-4.996 3.577-6.832 5.127a15 15 0 0 0-3.1 3.685h29.488v11.685h-46.207a31.73 31.73 0 0 1 3.125-13.271q2.838-6.75 13.414-14.31a98.602 98.602 0 0 0 11.925-9.408 13.916 13.916 0 0 0 4.15-9.682 10.732 10.732 0 0 0-2.433-7.13zm-79.607-1.812a58.536 58.536 0 0 0 8.776-.835 12.377 12.377 0 0 0 6.511-3.577 11.686 11.686 0 0 0 2.6-4.842 11.125 11.125 0 0 0 .512-2.707h11.09v67.54h-13.606v-46.553H208.25v-9.038zM196.468 352.67l-54.434 75.04 114.055 36.965 114.056-36.965-54.434-75.04H196.468zm77.27 83.792q-5.64 7.226-17.517 7.214-12.76 0-18.817-10.672-4.71-8.347-4.71-21.464a97.78 97.78 0 0 1 .656-12.58 38.444 38.444 0 0 1 4.52-14.309 23.121 23.121 0 0 1 7.571-7.87 20.414 20.414 0 0 1 11.197-2.981q9.408 0 15 4.77a18.328 18.328 0 0 1 6.285 12.83h-13.165a6.773 6.773 0 0 0-1.252-3.577 7.286 7.286 0 0 0-6.475-3.172q-6.474 0-9.217 7.262a45.062 45.062 0 0 0-2.051 11.829 14.905 14.905 0 0 1 5.724-4.281 20.975 20.975 0 0 1 22.19 4.77 21.833 21.833 0 0 1 5.748 15.609 26.34 26.34 0 0 1-5.64 16.61zm-10.732-24.612q2.885 3.148 2.885 9.063a13.868 13.868 0 0 1-2.54 8.645 8.275 8.275 0 0 1-6.963 3.327 9.36 9.36 0 0 1-7.453-3.446 13.248 13.248 0 0 1-2.862-8.884q0-6.75 3.911-9.778a9.456 9.456 0 0 1 5.962-2.05 9.241 9.241 0 0 1 7.131 3.111zm119.147-112.195l27.879 8.347-4.77 16.157zm-14.31-71.546l-36.81 113.28 54.483 74.993L456 319.366V199.503zm66.073 86.952l-13.927-4.162-7.656 25.614-11.113-3.315-32.196-35.523 4.27-14.309 40.434 12.08 2.183-7.322 9.956 2.97-2.182 7.32 13.928 4.162zm-289.76-86.952L56 199.491v119.934l70.484 97.016 54.482-74.992zM72.54 286.24l44.43-14-4.77-15.143 8.621-2.719a58.536 58.536 0 0 0 3.435 8.12 12.377 12.377 0 0 0 5.33 5.14 11.686 11.686 0 0 0 5.401 1.026 11.137 11.137 0 0 0 2.731-.322l3.327 10.576-64.391 20.272zm18.47 58.596l-4.09-12.974 44.43-13.999-4.77-15.144 8.622-2.718a58.68 58.68 0 0 0 3.434 8.12 12.365 12.365 0 0 0 5.33 5.14 11.65 11.65 0 0 0 5.402 1.025 11.102 11.102 0 0 0 2.73-.322l3.328 10.577z"}}]})(props);
};
function GiD4 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M235.11 196.24l17.074-29.463v29.463H235.11zM486.95 456H25.05L256 56zm-358.631-54.833l41.212-22.943-6.702-12.075-59.699 33.303 5.458 9.805a11.278 11.278 0 0 1 2.645-.881 11.822 11.822 0 0 1 5.566-.085 12.534 12.534 0 0 1 6.34 4.01 59.3 59.3 0 0 1 5.071 7.353l7.994-4.456zM273.074 196.24h-7.74v-42.734H250.24l-25.14 41.515v11.749h27.072v14.72h13.162v-14.72h7.74v-10.518zm131.619 212.45q6.822-11.93.616-21.735-3.26-5.132-10.675-9.745l-6.484 11.338a22.677 22.677 0 0 1 6.533 5.483q2.873 4.19-.17 9.515a8.453 8.453 0 0 1-5.916 4.552 10.868 10.868 0 0 1-7.463-1.497 14.08 14.08 0 0 1-6.436-8.513 99.728 99.728 0 0 1-2.294-15.167q-1.316-13.089-5.82-18.982a32.144 32.144 0 0 0-10.095-9.418l-23.28 40.705 10.275 5.88 14.828-25.913a15.203 15.203 0 0 1 1.679 4.577q.47 2.415 1.062 8.585l.64 6.57a45.149 45.149 0 0 0 2.717 12.823 21.518 21.518 0 0 0 9.455 10.638q8.598 4.915 17.002 2.33 8.404-2.584 13.814-12.014z"}}]})(props);
};
function GiDaemonPull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M269 34.19l-25.2 6.77c8.2 44.13 18.1 74.34 42.6 120.24l1.1 2-.3 24.6c3.7 6.3 8.9 11.7 15.4 17 23.9 16.5 43.2 25.5 66.6 37.7l-7.9 8.6c-8.4 9.1-21.3 12.8-36 14-12 .9-25.3-.1-38.9-3l-.2 19.4c26 7.5 50.6 9.6 74.2.3 14.8-5.8 25.3-17.8 34.4-33.7 5.5-9.7 10.4-20.7 15.1-31.9l8.2-29.4 1.6-1.6c35.9-37.5 53-68.6 70.9-105.38l-14.5-18.8c-24.9 37.68-48.5 77.68-87.8 108.88-1 1.2-2 2.4-3.1 3.6-8.7 9.6-20.9 15.6-33.8 14.1-12.9-1.5-23.4-10.1-29.8-21.3-3.1-5.5-5.3-11.7-6.6-18.2-19.6-36.1-38.7-73.51-46-113.91zm91 58.01c-5.5.12-11.2 2.89-16.2 8.4-5.9 6.3-10.4 16-11.7 27.4-1.3 11.4.9 21.9 5.2 29.4 4.1 7.4 9.9 11.6 16.2 12.3 6.2.7 12.8-2.1 18.5-8.3 5.9-6.3 10.4-16.1 11.7-27.5 1.3-11.3-.9-21.9-5.2-29.3-4.1-7.45-9.9-11.57-16.2-12.29-.8-.1-1.6-.13-2.3-.11zm-116 71.1c-7 0-12.7 1.6-17 4.1-8.7 5-12 12.5-9.8 20.1 7.9 28.1 35.5 46.7 64.9 55 14.7 4.1 29.7 5.6 41.8 4.6 4.3-.3 8.1-1.1 11.5-2-15.9-8.2-31.3-16.1-44-26.3-15.4-12.3-26.6-29-28.1-51.4-7.2-2.8-13.7-4.1-19.3-4.1zm186.3 50.8c-6 14.4-12 29.2-19.9 42.9-10.1 17.7-23.5 33.7-43.4 41.6-41.6 16.5-84 2.9-124.8-13.7-40.7-16.6-81-36.3-119.2-37.5-35.54 1.6-69.3 6.5-103.37 14.7v229.5H187.6c-37.7-28-67.8-64.5-72-107.3-1-11.5 1.4-24 11.5-31.1 7.9-4.4 16.4-4 24-.4 7.1 3.3 13.4 8.4 19.1 13.7 8.3 7.6 15.2 15.9 18.4 19.9 5.4-.9 11.3-1.4 16.3-1.7.3-4.1.8-9.1 1.7-14.3 1.1-6 2.1-12.6 5.6-18 5.5-8.5 10.1-13.2 19-13.2 7.3-.1 13.6 4 18.3 8.6 5.4 5.2 9.6 11.8 13.1 18.2 5.9 10.8 9.7 21.1 10.9 24.4.9.2 1.7.3 2.6.4 3.8.6 7.7 1.1 11.5 1.7.9-2.6 2.2-6.2 3.9-9.8 1.6-3.5 3.6-7.2 6.5-10.5 2.9-3.4 7.2-7 13.4-7.1 6.6-.2 11.5 3.5 15 7.1 3.4 3.7 6 7.8 8.1 11.8 3.2 6.3 5.4 12.2 6.3 14.7 7 .4 13.7.6 20.2.4 25.6-.7 45.8-6.5 58.8-21.8 18.8-22 32.6-53.3 34.8-84.8 1.9-27.6-4.7-55.2-24.3-78.4zM228.2 360.6c-3.5 8-4.5 15.9-5.3 24.2 9.7.4 19.8 1.5 30.1 2.8-4.6-9.6-8.6-19.6-16.1-27-4.6-4.4-6.6-3.9-8.7 0zm-90.7 7.4c-3.3 2.3-4.7 6.4-4 14.7 2 12.4 5.8 22.7 10 32.8 6.3-10.8 15.5-18.4 26.4-23.3-8.2-8.6-15.6-17.9-26.4-23.1-2-.8-4.1-2-6-1.1zm168.3 27c5 .7 10 1.4 15 1.9-8.3-15.4-8-18.9-15-1.9z"}}]})(props);
};
function GiDaemonSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M142.026 16.89C94.242 38.888 62.71 74.257 62.71 113.927c0 26.11 13.42 50.288 36.22 70.04-11.664 25.398-18.99 53.91-20.81 84.212 17.194.562 33.53 4.205 48.192 11.7 41.566 21.25 61.083 66.944 57.787 121.093 7.566 1.83 15.284 3.355 23.122 4.58.894-16.76.83-33.468-.496-50.122l18.63-1.485c1.438 18.035 1.466 36.014.458 53.938 8.022.76 16.14 1.21 24.322 1.382v-56.235h18.687v56.13c7.83-.25 15.693-.755 23.565-1.514-.995-17.845-.96-35.745.47-53.7l18.63 1.485c-1.323 16.597-1.39 33.247-.504 49.95 7.307-1.07 14.6-2.355 21.863-3.843-3.467-54.395 16.04-100.333 57.748-121.656 14.66-7.497 30.998-11.142 48.19-11.702-1.843-30.716-9.343-59.594-21.284-85.252 22.08-19.56 35.044-43.346 35.044-69 0-39.67-31.532-75.04-79.316-97.035C386.283 33.46 394.32 53.31 394.32 74.27c0 42.688-31.51 79.614-77.026 97.146l-6.14-14.3c11.148-4.44 21.233-10.197 29.876-16.964 10.1-7.905 18.202-17.087 23.91-27.154-29.85-25.333-66.642-40.283-106.488-40.283-40.34 0-77.554 15.314-107.6 41.223 5.674 9.7 13.588 18.555 23.372 26.214 9.67 7.57 21.145 13.877 33.894 18.49l-6.125 14.264c-47.677-16.863-81.06-54.696-81.06-98.636 0-20.96 8.038-40.81 21.093-57.377zm10.286 183.128c.054-.004.1.004.127.037 18.414 23.35 51.93 39.697 91.086 43.162-5.892 19.698-26.99 34.53-52.67 34.53-30.21 0-55.148-20.584-55.148-45.517.002-12.465 6.205-23.997 16.11-32.173.083.094.33-.027.494-.04zm211.668.002c.053-.003.1.006.138.04 9.907 8.175 16.112 19.707 16.112 32.173 0 24.93-24.937 45.515-55.15 45.515-25.68 0-46.776-14.83-52.67-34.53 39.156-3.466 72.673-19.813 91.087-43.16.112.085.322-.03.483-.038zM258.4 244.174c5.625 27.42 13.928 54.84 32.91 82.26-20.274 5.432-44.818 5.627-65.82 0 17.968-27.42 26.834-54.84 32.91-82.26zm-76.31 175.54c-2.34 15.4-6.413 31.3-12.25 47.372 8.786 5.74 18.037 10.645 27.663 14.637 3.627-19.225 6.537-38.376 8.33-57.455-8.02-1.22-15.944-2.733-23.744-4.553zm152.802.48c-7.48 1.504-14.995 2.807-22.526 3.888 1.777 18.972 4.655 38.015 8.248 57.13 9.192-3.897 18.035-8.63 26.452-14.126-5.776-15.906-9.824-31.644-12.174-46.893zm-41.094 6.115c-8.335.8-16.668 1.323-24.975 1.58v65.694c11.644-.764 23.006-2.806 33.973-6.01-3.898-20.343-7.058-40.766-8.998-61.265zm-69.402.237c-1.953 20.54-5.13 41.002-9.043 61.385 11.227 3.18 22.86 5.146 34.783 5.773v-65.713c-8.642-.172-17.234-.645-25.74-1.445z"}}]})(props);
};
function GiDaggerRose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M62.522 17.166c-.412-.005-.826 0-1.243.012l-.003-.002c-9.747.288-20.823 5.23-29.843 14.25C16.242 46.62 12.596 67.62 23.31 78.334c7.99 7.988 21.715 8.026 34.47 1.22 16.166 30.05 42.153 57.687 71.437 76.374-18.77 24.156-29.97 54.48-29.97 87.375h18.69c0-28.9 9.826-55.474 26.342-76.53l2.156 39.405c2.91 2.622 5.82 5.224 8.732 7.832 4.356-12.66 10.49-24.082 18.785-33.344l13.057-14.578 2.568 19.4c3.6 27.192 6.476 50.554 9.908 67.99 15.483 13.69 30.924 27.27 46.223 40.555 5.405-2.125 11.38-3.683 17.63-5.1 18.31-4.148 40.412-6.538 60.058-9.835-37.685-43.742-77.43-88.55-117.246-132.668l-38.968-2.125c20.764-15.68 46.636-24.966 74.718-24.97v-18.69c-32.2.003-61.944 10.726-85.843 28.78-18.697-29.382-46.39-55.48-76.53-71.685 6.794-12.748 6.796-26.422-1.188-34.406-4.08-4.08-9.646-6.094-15.82-6.168zm319.773 2.682l-51.34 54.99 27.06 85.992L419.642 176l16.407-49.58-45.104-23.934-8.447 23.213 15.62 9.597 2.673-11.535 14.618 7.54-5.765 27.046-49.16-27.498L384 78l43.107 24.766 17.795-57.682-62.607-25.236zM203.79 32.305c-23.41 22.86-38.652 47.65-46.438 71.302.95 1.23 1.894 2.47 2.818 3.72 19.074-11.54 40.616-18.787 62.72-21.53-8.528-18.76-16.008-37.234-19.1-53.492zm139.29 3.027c-2.256.45-43.49 8.084-53.945 9.863l-13.783 97.078 75.595 85.483 116.612-14.272 24.63-100.953-44.635-18.63-4.655 15.092 12.768 8.856-26.49 79.732-85.477-21.86-31.407-99.814 30.787-40.574zm-99.756 99.93c-8.035.007-15.983.746-23.94 2.43a9462.44 9462.44 0 0 1 40.825 45.27c-.502-13.06-6.45-29.622-14.358-47.657-.843-.015-1.687-.044-2.528-.043zm49.067 53.3a233.982 233.982 0 0 0-15.814 12.737 6065.473 6065.473 0 0 1 40.684 46.173c13-2.56 26.228-6.366 38.982-11.928-21.436-4.717-51.77-8.685-60.724-26.168a234.736 234.736 0 0 1 9.285-6.922c-2.27-2.522-2.445-2.703-4.967-5.52-2.645-2.954-4.985-5.603-7.445-8.374zm-117.267 24.686c-7.373 17.72-11.074 40.45-10.783 63.322.422 33.24 5.29 63.63 16.855 79.524-18.443 39.608-40.69 81.563-69.343 102.687h-.004c-26.502 18.904-51.61 14.405-63.866.624-6.127-6.89-9.442-16.274-7.98-28.258 1.45-11.88 7.926-26.43 22.246-42.21 11.966-10.248 21.69-14.276 28.156-14.954 6.552-.687 9.854 1.214 12.336 4.327 4.963 6.226 5.048 20.812-7.48 31.327l12.013 14.316c19.1-16.03 22.676-41.487 10.082-57.29-6.297-7.9-17.036-12.51-28.9-11.268-11.865 1.245-24.787 7.553-38.885 19.76l-.41.357-.365.4c-16.57 18.11-25.296 36.22-27.34 52.973-2.045 16.753 2.874 32.043 12.564 42.94 19.38 21.79 56.224 25.322 88.68 2.175l.003-.002a160.698 160.698 0 0 0 16.992-13.967c29.887-7.726 58.962-10.74 92.3-37.436-21.193.977-40.373-1.7-53.542-15.13 13.405-25.285 23.347-52.815 34.78-79.87 4.153-9.833 8.482-19.624 13.212-29.285a8956.346 8956.346 0 0 1-13.22-11.605 47.82 47.82 0 0 1-1.582-.322l-5.325 15.978c-7.244-2.413-12.01-8.344-15.4-15.106-3.39-6.763-5.785-14.94-7.92-24.63-2.96-13.43-5.385-30.65-7.875-49.376zm192.2 78.113c-.95 3.686-2.002 7.268-3.15 10.75a3912.925 3912.925 0 0 1 38.073 45.722c15.284-8.49 29.937-19.356 42.938-32.674-23-3.926-50.907-14.148-77.862-23.797zm-19.044 1.066c-26.425 7.104-58.293 8.925-80.964 14.062-13.756 3.117-23.042 7.92-25.418 11.51-1.187 1.795-1.65 3.264-.867 6.848.784 3.583 3.327 9.055 8.585 16.04l.004.005.003.007c15.597 20.782 35.098 23.19 55.207 12.3 17.34-9.387 34.29-30.29 43.45-60.77zm9.195 26.633c-8.447 18.075-19.744 32.47-32.63 42.465 62.56 52.325 120.89 98.433 169.995 133.31-34.996-50.882-83.143-111.51-137.365-175.776z"}}]})(props);
};
function GiDaggers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.844 19.156c-9.972.074-19.945 2.48-29.406 6.844v14.156h58.78V25.938c-9.4-4.524-19.348-6.855-29.374-6.782zM65.03 33.376c-16.145.014-31.578 5.59-44.093 16.343l3.688 13.75 56.78-15.22-3.655-13.656c-4.262-.735-8.505-1.223-12.72-1.22zm381.72 0c-4.21-.005-8.46.484-12.72 1.218l-3.655 13.656 56.78 15.22 3.69-13.75c-12.52-10.765-27.94-16.33-44.095-16.345zM240.72 57.187v99.156c-.49 1.148-.96 2.312-1.44 3.47h32.25c-.21-.51-.41-1.024-.624-1.533V57.188H240.72zM71.97 68.406L42.812 76.22 69 173.905c-.072.532-.118 1.062-.188 1.594l31.126-8.375c-.756-.985-1.517-1.963-2.282-2.938L71.97 68.407zm367.81 0l-25.655 95.78c-.77.983-1.52 1.978-2.28 2.97l31.092 8.313c-.067-.512-.118-1.02-.187-1.532l26.188-97.72-29.157-7.812zM229.5 178.5c-7.172 13.366-21.99 22.273-39.375 25.625v10.844c13.028-1.903 26.05-3.19 39.063-3.907 4.143-10.668 14.568-18.313 26.625-18.313 12.114 0 22.585 7.72 26.687 18.47 13.02.772 26.03 2.067 39.03 3.843v-10.938c-17.397-3.348-32.228-12.252-39.405-25.625H229.5zm-115.313 4.188l-50.78 13.593c-3.46 14.788-15.46 27.258-31.407 35l2.813 10.532c12.1-5.08 24.338-9.69 36.718-13.812 1.183-11.44 9.276-21.616 20.97-24.75 1.888-.506 3.77-.797 5.656-.906 9.736-.563 19.087 3.99 24.75 11.72 12.77-2.685 25.69-4.84 38.78-6.376l-2.78-10.438c-17.686 1.27-34.327-3.484-44.72-14.563zm283.375 0c-10.385 11.072-27.013 15.825-44.687 14.562l-2.813 10.438c13.095 1.537 26.007 3.69 38.782 6.375 5.663-7.728 15.014-12.282 24.75-11.72 1.885.11 3.8.4 5.687.907 11.696 3.134 19.79 13.31 20.97 24.75 12.384 4.122 24.616 8.73 36.72 13.813l2.81-10.532c-15.944-7.742-27.946-20.212-31.405-35l-50.813-13.593zm-141.75 28.75c-5.538 0-9.812 4.275-9.812 9.812 0 5.537 4.273 9.844 9.813 9.844 5.54 0 9.843-4.307 9.843-9.844 0-5.54-4.304-9.813-9.844-9.813zm-155.5 9.5c-.322-.012-.64.008-.968.03-.66.047-1.332.165-2 .345-5.35 1.433-8.403 6.68-6.97 12.03 1.434 5.35 6.682 8.372 12.032 6.938 5.35-1.432 8.402-6.682 6.97-12.03-1.076-4.01-4.293-6.72-8.095-7.22-.316-.04-.645-.08-.968-.093zm311.157.03c-.325.01-.653.022-.97.063-3.802.5-7.02 3.21-8.094 7.22-1.433 5.348 1.587 10.598 6.938 12.03 5.35 1.435 10.598-1.588 12.03-6.936 1.435-5.35-1.586-10.598-6.937-12.03-1.003-.27-1.996-.374-2.968-.345zm-182.908 8.75c-3.42.202-6.833.436-10.25.72-17.21 88.982-4.777 187.617 37.344 262.625 42.076-85.616 55.17-175.81 37.563-262.407-3.418-.29-6.837-.53-10.25-.75-2.75 8.496-9.41 15.323-17.814 18.28V410.25H246.47V248.187c-8.47-2.98-15.2-9.88-17.907-18.468zm-90.062.25c-3.4.615-6.778 1.28-10.156 1.97-.39 8.99-5.07 17.366-12.47 22.437l41.94 156.563-18.033 4.843-41.968-156.56c-8.893-.682-17.094-5.546-21.937-13.064-3.252 1.088-6.488 2.21-9.72 3.375 5.4 88.204 41.413 171.937 104.22 243.75 21.27-83.35 7.772-181.827-31.875-263.31zm234.78 0c-39.657 81.486-53.177 179.96-31.905 263.313 62.81-71.815 98.79-155.544 104.188-243.75-3.22-1.16-6.45-2.286-9.688-3.374-4.846 7.503-13.02 12.376-21.906 13.063L372 415.78l-18.063-4.842 41.97-156.563c-7.412-5.07-12.11-13.438-12.5-22.438-3.37-.688-6.734-1.355-10.126-1.968z"}}]})(props);
};
function GiDaisy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M212.83 35.623c-12.82 10.724-20.543 21.83-24.217 32.926 3.66 2.266 7.202 4.716 10.61 7.356 18.394 14.256 32.84 33.77 42.568 57.57.972-.22 1.963-.41 2.964-.585-2.212-21.11 3.236-40.853 14.096-57.337 1.524-2.314 3.15-4.565 4.863-6.758-11.44-14.252-29.128-26.33-50.883-33.172zm125.287 6.354c-26.847 8.092-50.514 23.9-63.662 43.857-9.01 13.676-13.484 29.048-11.176 46.25 4.738.386 9.173 1.22 13.27 2.428 12.39-24.598 34.287-41.71 59.39-52.16 5.786-2.41 11.758-4.485 17.843-6.29-1.09-10.29-5.892-21.675-15.666-34.085zM116.123 67.334c-.91-.007-1.826-.006-2.746.004-1.5.016-3.07.174-4.594.234-.117 11.4 1.592 21.513 4.848 30.502 38.23 2.13 75.456 18.376 105.675 46.004 1.578-1.3 3.28-2.518 5.09-3.642-8.563-21-21.034-37.68-36.62-49.758-19.26-14.926-43.407-23.125-71.652-23.344zM422.81 85.48c-27.095.03-55.827 4.193-79.69 14.125-22.266 9.27-40.026 22.904-49.92 43.176 3.183 2.446 5.876 5.22 8.032 8.238 27.672-18.518 58.118-30.99 88.71-35.586 10.19-1.532 20.412-2.172 30.538-1.852 2.562.08 5.117.23 7.665.434 5.175-8.07 8.955-17.33 11.046-27.987-5.368-.328-10.815-.552-16.38-.547zM104.7 116.168c-22.183.178-44.555 5.983-65.792 17.78 9.143 9.83 19.125 18.12 29.762 24.94 14.156-5.566 29.43-8.977 45.142-10.386 5.212-.467 10.478-.723 15.782-.77 25.76-.224 52.377 4.47 77.63 13.495.237-.727.51-1.442.797-2.153-28.37-26.775-63.216-41.948-98.885-42.867-1.477-.038-2.955-.05-4.434-.04zm311.804 15.984c-7.835-.04-15.78.557-23.783 1.76-27.66 4.157-55.845 15.743-81.618 33.08 24.37-5.826 48.43-8.58 71.13-7.785 11.106.388 21.887 1.623 32.22 3.76 15.675 3.242 30.358 8.704 43.413 16.46 11.013-6.62 20.737-15.16 28.772-25.755-20.2-13.863-42.91-20.774-66.782-21.463-1.114-.033-2.232-.052-3.35-.058zM257.13 150.518c-22.345 0-32.115 11.656-32.796 19.69-.34 4.015.887 7.646 5.518 11.255 4.63 3.61 13.214 6.853 26.773 6.853 12.317 0 20.56-3.133 25.43-6.884 4.87-3.752 6.607-7.93 6.588-11.97-.04-8.076-7.755-18.944-31.514-18.944zm-127.386 15.914c-4.81.036-9.572.263-14.262.683-33.576 3.012-63.03 15.752-82.605 39.364 17.717 7.944 35.93 13.317 54.13 15.97 11.21-11.392 24.728-20.34 39.485-26.915 23.284-10.375 49.654-15.345 75.932-16.09-23.713-8.652-48.803-13.192-72.68-13.013zm246.81 11.388c-19.757-.16-40.94 2.546-62.544 7.815 23.82 3.452 48.044 10.302 68.724 21.763 15.92 8.824 29.708 20.93 38.948 36.178 21.276.118 42.66-3.086 62.81-9.41-14.576-29.192-40.39-45.983-73.826-52.898-9.192-1.902-18.933-3.005-29.082-3.344-1.666-.056-3.342-.09-5.03-.104zm-169.427 20.268c-25.65.306-51.39 4.876-73.027 14.517-27.956 12.457-48.87 32.61-56.768 63.96 21.466 1.763 43.832.622 64.572-3.913 1.705-12.368 6.455-23.946 13.725-34.168 12.202-17.157 30.626-30.815 52.446-40.396-.316.002-.632-.004-.95 0zm91.437 4.652c20.04 12.812 36.38 29.854 45.06 49.475 4.064 9.19 6.334 19.062 6.25 29.096 20.956 6.728 44.18 10.073 65.216 10.665 2.086-33.004-14.98-53.578-41.416-68.23-21.428-11.875-48.99-18.513-75.11-21.005zm-33.76 3.764c-17.39 19.093-19.03 41.607-10.767 63.982 8.28 22.426 27.31 43.556 50.207 55.633 13.745-10.66 21.566-21.53 24.875-31.948 3.663-11.537 2.477-22.944-2.59-34.397-9.5-21.48-33.72-41.952-61.727-53.27zm-23.335.053c-30.815 7.842-56.89 23.47-70.61 42.76-14.353 20.18-16.877 43.598 1.372 71.857 26.172-8.027 50.603-22.318 65.99-39.89-.6-1.433-1.18-2.873-1.716-4.325-8.413-22.785-8.062-48.412 4.963-70.403zm17.874 107.927c5.694 38.748-4.567 80.96-25.375 120.893 5.392 7.847 10.07 17.2 13.932 28.287 3.788-15.917 9.673-28.874 17.184-39.434 4.933-6.935 10.515-12.77 16.494-17.744 6.97-21.758 10.256-43.97 9.47-66.148-11.907-6.877-22.667-15.703-31.706-25.854zm-72.496 25.49c-8.437 19.543-15.834 38.15-19.994 55.083 5.614 1.292 11.38 2.758 17.19 4.62 12.478 4.003 25.248 10.06 36.52 20.286 7.346-15.275 12.976-30.73 16.618-45.955-4.204-2.083-8.448-4.198-12.737-6.46-13.07-6.898-26.355-15.24-37.597-27.573zm167.007.887c-14.568 11.836-30.004 19.29-44.974 25.847-.833 8.358-2.174 16.687-4 24.96 2.764-1.35 5.542-2.61 8.32-3.776 15.086-6.33 30.286-10.436 43.484-15-.236-10.133-1.33-20.85-2.83-32.03zm42.967 32.417c-8.044 6.504-17.504 11.094-27.226 14.815-16.096 6.16-33.432 10.43-49.164 17.03-15.733 6.602-29.654 15.23-40.118 29.942-9.41 13.232-16.26 31.88-18.03 59.622 68.802.31 104.793-16.823 122.09-40.94 15.153-21.125 17.282-49.698 12.448-80.47zm-285.867 23.5c-.722 28.213 4.302 52.75 19.178 69.725 17.094 19.505 48.977 31.41 106.346 27.035-4.808-25.246-12.665-41.697-21.85-52.814-10.345-12.518-22.577-18.85-36.296-23.248-13.72-4.4-28.75-6.516-43.334-10.575-8.268-2.3-16.524-5.418-24.045-10.123z","fillRule":"evenodd"}}]})(props);
};
function GiDam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 78.56l-46 23.04V487h109l-30.8-292.4-32.2-64.5V78.56zM137.6 163c-8-.3-16.7 5.6-27 13.7-10.4 8.2-22.34 18.4-38.64 18.3-15.91-.1-32.07-9.1-45.61-17.4-3.71-2.2-6.26-4.1-9.35-6.2V487h166V190c-2.8-2.5-7.9-6.9-15.4-12.4-10.4-7.5-23.8-14.3-30-14.6zm240.2 246c-2.7-.1-6.9 2.3-12.6 6.3-5.7 4.1-13 9.9-23.4 9.7-8-.2-14.8-3.6-20.9-7l7.2 69H495v-68.2c-4.6 3.2-9.9 5.9-16.6 6.2-10.1.4-16.9-5.6-22-9.7-5.1-4-8.7-6.2-10.6-6.3-2.7-.1-6.9 2.3-12.6 6.3-5.7 4.1-13 9.9-23.4 9.7-9.8-.2-16.3-6-21.3-9.9-5.1-3.9-8.6-6-10.7-6.1z"}}]})(props);
};
function GiDamagedHouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M87.195 53.838v79.494h44.213V53.838H87.195zm344.291 89.422c.34 7.22.677 14.441 1.014 21.662l27.861 41.004-46.379 17.504 9.409 16.57-24.334 32.486h86.273V143.26h-53.844zm-387.562 2.303v124.619H266.61l5.389-54.61-63.18-17.166 21.7-38.656-9.46-14.188H43.925zm6.709 134.802V482.076h53.316V321.408h96.614v160.668h271.152v-201.71h-83.766l-34.537 13.61-23.178 30.768-34.505-29.69-26.827-14.689H50.632z"}}]})(props);
};
function GiDandelionFlower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M275.2 26.85c-13.9 57.93-26.5 115.75-34.1 173.25 3.8-.9 7.7-1.3 11.8-1.3 6.8 0 13.4 1.2 19.6 3.5 4.3-57.1 10.9-114.79 25.5-173.25zm-59.7 8.63l-35.4 8.33c3.5 16.38 7.7 32.72 12.5 49.04l38.5 53.05c1.6-9.4 3.4-18.7 5.2-28.1-8-27.07-15.4-54.46-20.8-82.32zM346 44.76c-18.9 24.74-33.8 50.61-47.2 77.04-2 15-3.7 29.9-5.2 45 6.7-5.9 13.3-11.8 19.8-17.7 13-32 28.9-63.92 53.3-95.12zM147.1 61.14l-18.7 15.02 89.2 135.34c1.3-1.1 2.6-2.1 4-3.2 1.6-12.4 3.3-24.8 5.2-37.2zm259.8 22.63c-35.7 37.83-75 73.73-115.6 109.03l-1.5 20c4.3 3.8 8.1 8.3 11.1 13.3 43.5-41 86-81.7 121.3-123.9zM96.74 117.2L75.81 147c20.36 17.2 44.09 32.4 69.39 46.8 15.9 4.9 31.8 9.4 47.8 13.6l-26.2-39.9c-25.2-14.9-49.3-30.9-70.06-50.3zm348.96 14.3l-73.5 51.4c-5.6 5.7-11.4 11.2-17.1 16.9 12.7-.3 25.4-.9 38.2-1.9 20.7-15.5 42.5-30.6 66.8-44.9zm-391.12 49l-5.85 23.1c44.78 20.3 91.67 36.4 139.17 51.5 3.1-2.2 6.2-4.3 9.3-6.4.8-7.2 2.9-13.8 6.1-20-50.7-12.9-100.6-28-148.72-48.2zm421.32 22.7c-47.4 11.4-94.1 14.9-139.9 14.8-9.3 8.9-18.6 17.7-28 26.6l.3 1.5c1.2.8 2.3 1.5 3.5 2.2 57.9-.9 114-7.7 169.2-17.5zm-223 13.7c-21.1 0-38 17-38 38.2 0 21.2 16.9 38.1 38 38.1s37.9-16.9 37.9-38.1c0-21.2-16.8-38.2-37.9-38.2zM35.18 227.4L31 253.7l59.57 8.2c13.03-2.2 25.93-4.5 38.63-7-21.2-7.4-42.24-15.2-62.97-23.9zm363.42 33.7c-18.8 2-37.7 3.5-56.7 4.5 19.1 10.1 39.1 19.5 59.7 28.6l67.8 14.8 3.1-34.8zm-234.8 5.4c-40.3 8.2-81.34 16.1-126.65 21.3l3 34.3 67.25-14.8c20.8-12.7 41.3-25.8 61.3-39.2-1.6-.5-3.3-1.1-4.9-1.6zm144 .4c-2.6 11.4-8.5 21.6-16.7 29.3 53.1 29.4 116.6 49.9 179 72.2l8.6-22.8c-59.1-23.6-118.5-47.2-170.9-78.7zm-109.1 2.6c-47.7 32.7-97 63.9-149.75 91.8l13.23 19.9c48.52-22.8 94.52-47.8 138.42-74.8l10.3-14.1c-5.7-6.5-10-14.2-12.2-22.8zm72.7 38.6c-5.8 2.2-12.1 3.3-18.5 3.3-4.6 0-9-.6-13.1-1.6l21.9 175.3 23.5-4zm-50.1.6l-103 142.4 19.8 13.5 88.7-111.8zm69 7.8l1.8 22.7c23.9 42.7 48.8 85 77 126l29.3-15.9c-30.4-39.2-56.4-79.2-81-119.5-9.2-4.2-18.3-8.6-27.1-13.3zm56.3 26c3.6 5.9 7.4 11.7 11.1 17.6 24.7 23.2 48.7 47.7 70.2 76.1l24.8-22.7c-14.9-17.4-30.8-33.3-47.3-48.7-19.7-7-39.5-14.4-58.8-22.3zm-172.8 1.1c-23.9 13.7-48.4 26.8-73.6 39.4l-26.6 24.5 24.9 22.9 45.5-45.8zm56.2 34.6l-27.1 34.1-10.7 60.6 26.3 7.7 14.1-81.8zm65.5 3.9l.7 8 30.2 89.1 14.6-6-9.1-31.1c-12.7-19.8-24.7-39.9-36.4-60z"}}]})(props);
};
function GiDango (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M474.2 37.8c-21.6-21.6-56.2-21.6-77.8 0-21.6 21.6-21.6 56.2 0 77.8 21.6 21.6 56.2 21.6 77.8 0 21.6-21.6 21.6-56.2 0-77.8zm-90.5 90.5a54.984 54.984 0 0 0-77.8 0c-21.6 21.6-21.6 56.2 0 77.8 21.6 21.6 56.2 21.6 77.8 0 21.5-21.6 21.5-56.2 0-77.8zm-90.5 90.5a54.984 54.984 0 0 0-77.8 0c-21.6 21.6-21.6 56.2 0 77.8 21.6 21.6 56.2 21.6 77.8 0 21.5-21.6 21.5-56.2 0-77.8zm-96.5 83.7L21.62 477.6l12.73 12.8L209.5 315.3c-2.5-1.9-4.7-3.8-6.8-6-2.2-2.1-4.1-4.3-6-6.8z"}}]})(props);
};
function GiDarkSquad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M369.1 21.22c-19.2 0-36.2 10.63-47.9 26.47-11.7 15.84-18.6 37.03-18.6 60.31 0 21.1 5.7 40.5 15.5 55.7-5.7 1.6-11 3.9-15.9 6.6-10.2-8.5-22.6-13.6-35.9-13.6-19.3 0-36.3 10.6-48 26.4-4.7 6.4-8.6 13.6-11.6 21.5-4.8-2.4-9.9-4.3-15.5-5.6 9.4-15.1 14.8-34.1 14.8-54.7 0-23.2-6.9-44.43-18.6-60.27-11.7-15.84-28.7-26.5-47.9-26.5s-36.2 10.66-47.94 26.5C79.87 99.87 73 121.1 73 144.3c0 21.1 5.69 40.5 15.47 55.8-32.07 9.1-50.29 37.1-59.44 70-9.79 35.2-10.87 77.3-10.87 115.6v9.4h45.5l6.78 99.3h18.75l-7.28-106.5-4.1-80-18.65 1 3.47 67.5H36.97c.24-35.2 1.97-72.1 10.09-101.2 8.78-31.6 23.32-52.8 51.25-58.2l4.69-.1c10.3 8.8 22.9 14.2 36.5 14.2 14.1 0 26.9-5.7 37.4-15h4.6c7.8 1.2 14.4 3.5 20.1 6.7-1.2 6.6-1.9 13.5-1.9 20.6 0 21.1 5.7 40.5 15.5 55.8-32.1 9.1-50.3 37.2-59.4 70-9.8 35.2-10.9 77.3-10.9 115.6v9.4c21.7-.3 42.8.2 64.3.2l-.5-7.3-4.1-80-18.7.9 3.4 67.5h-25.6c.3-35.2 2-72.1 10.1-101.2 8.7-31.6 23.3-52.7 51.1-58.2l4.9-.1c10.3 8.8 22.8 14.2 36.4 14.2 14.1 0 27-5.7 37.5-15h4.4c15.4 2.4 26.1 8.9 34.5 18.6 8.5 9.7 14.5 23.2 18.5 39.2 7.3 29.5 7.7 66.9 7.7 102.5h-23.4l3.5-67.5-18.7-.9-4.2 82-.3 5.3c20.8 0 43.3-.3 61.9-.2v-9.4c0-38.1.5-80.6-8.4-116.3-4.4-17.8-11.3-34.1-22.4-47-9.7-11.1-22.7-19.4-38.8-23.4 9.4-15.1 14.7-34.1 14.7-54.7 0-22.5-6.4-43.2-17.5-58.8 3.9-1.8 8.1-3.1 12.7-4h4.7c10.3 8.8 22.9 14.2 36.5 14.2 14.1 0 27-5.8 37.4-15l4.6-.1c15.4 2.5 26 8.9 34.4 18.6 8.5 9.8 14.5 23.3 18.5 39.3 7.3 29.4 7.7 66.8 7.7 102.4h-23.4l3.5-67.4-18.7-1-4.1 79.7-8.6 143.1h18.7l8.2-135.7h43.1v-9.3c0-38.2.6-80.7-8.3-116.3-4.5-17.9-11.4-34.2-22.5-47-9.6-11.2-22.6-19.5-38.8-23.5 9.4-15.1 14.8-34 14.8-54.6 0-23.28-6.9-44.47-18.6-60.31-11.6-15.29-31.5-26.13-47.9-26.47zm0 18.69c12.4 0 23.9 6.69 32.9 18.87 9 12.19 14.9 29.67 14.9 49.22 0 19.5-5.9 37-14.9 49.2-9 12.2-20.5 18.9-32.9 18.9-12.3 0-23.9-6.7-32.9-18.9s-14.9-29.7-14.9-49.2c0-19.55 5.9-37.03 14.9-49.22 9-12.18 20.6-18.87 32.9-18.87zM139.5 76.22c12.4 0 23.9 6.72 32.9 18.9s14.9 29.68 14.9 49.18-5.9 37-14.9 49.2c-9 12.2-20.5 18.9-32.9 18.9-12.4 0-23.9-6.7-32.9-18.9-8.97-12.2-14.91-29.7-14.91-49.2 0-19.5 5.94-37 14.91-49.17 9-12.19 20.5-18.91 32.9-18.91zm197.8 22.34v18.64h22.5V98.56h-22.5zm41.1 0v18.64h22.5V98.56h-22.5zM107.7 134.9v18.7h22.5v-18.7h-22.5zm41.1 0v18.7h22.5v-18.7h-22.5zm117.5 40.4c12.3 0 23.8 6.7 32.8 18.9 9 12.2 15 29.7 15 49.2 0 19.6-6 37-15 49.2-9 12.2-20.5 18.9-32.8 18.9-12.4 0-24-6.7-33-18.9-8.9-12.2-14.9-29.6-14.9-49.2 0-19.5 6-37 14.9-49.2 9-12.2 20.6-18.9 33-18.9zM234.5 234v18.7h22.4V234zm41.1 0v18.7H298V234h-22.4z"}}]})(props);
};
function GiDart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M134.745 22.098c-4.538-.146-9.08 1.43-14.893 7.243-5.586 5.586-11.841 21.725-15.248 35.992-.234.979-.444 1.907-.654 2.836l114.254 105.338c-7.18-28.538-17.555-59.985-29.848-86.75-11.673-25.418-25.249-46.657-37.514-57.024-6.132-5.183-11.56-7.488-16.097-7.635zM92.528 82.122L82.124 92.526 243.58 267.651l24.072-24.072L92.528 82.122zm-24.357 21.826c-.929.21-1.857.42-2.836.654-14.267 3.407-30.406 9.662-35.993 15.248-5.813 5.813-7.39 10.355-7.244 14.893.147 4.538 2.452 9.965 7.635 16.098 10.367 12.265 31.608 25.842 57.025 37.515 26.766 12.293 58.211 22.669 86.749 29.848L68.17 103.948zM280.899 255.79l-25.107 25.107 73.265 79.469 31.31-31.31L280.9 255.79zm92.715 85.476l-32.346 32.344 2.07 2.246c.061.058 4.419 4.224 10.585 6.28 6.208 2.069 12.71 2.88 21.902-6.313 9.192-9.192 8.38-15.694 6.31-21.902-2.057-6.174-6.235-10.54-6.283-10.59l-2.238-2.065zm20.172 41.059a46.23 46.23 0 0 1-5.233 6.226 46.241 46.241 0 0 1-6.226 5.235L489.91 489.91l-96.125-107.586z"}}]})(props);
};
function GiDatabase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 19.11c-48.03 0-91.515 6.572-122.235 16.82-15.36 5.123-27.503 11.218-35.225 17.308C90.82 59.328 88 64.702 88 69.278c0 4.574 2.82 9.948 10.54 16.038 7.722 6.09 19.865 12.184 35.225 17.308 30.72 10.247 74.204 16.82 122.235 16.82 48.03 0 91.515-6.573 122.235-16.82 15.36-5.124 27.503-11.22 35.225-17.308 7.72-6.09 10.54-11.464 10.54-16.04 0-4.574-2.82-9.948-10.54-16.038-7.722-6.09-19.865-12.185-35.225-17.308C347.515 25.682 304.03 19.11 256 19.11zM88 99.434v92.63c0 5.84 5.338 13.804 19.285 21.862 13.947 8.058 35.283 15.424 61.976 20.564 53.387 10.283 120.093 10.283 173.48 0 26.692-5.14 48.028-12.505 61.975-20.563C418.662 205.87 424 197.905 424 192.067V99.434c-10.135 7.894-23.752 14.42-40.19 19.903-33.272 11.098-78.19 17.727-127.81 17.727-49.62 0-94.538-6.63-127.81-17.727-16.438-5.483-30.055-12.01-40.19-19.903zm0 122.75v95.32c0 5.84 5.338 13.803 19.285 21.86 13.947 8.06 35.283 15.425 61.976 20.566 53.387 10.282 120.093 10.282 173.48 0 26.692-5.14 48.028-12.506 61.975-20.564 13.947-8.058 19.285-16.022 19.285-21.86v-95.322c-3.18 2.475-6.685 4.812-10.47 7-16.58 9.578-39.446 17.215-67.46 22.61-56.023 10.79-124.117 10.79-180.14 0-28.014-5.395-50.88-13.032-67.46-22.61-3.785-2.188-7.29-4.525-10.47-7zm0 125.44v98.035h.386c.994 3.89 4.026 8.27 10.154 13.102 7.722 6.09 19.865 12.185 35.225 17.308 30.72 10.248 74.204 16.82 122.235 16.82 48.03 0 91.515-6.572 122.235-16.82 15.36-5.123 27.503-11.218 35.225-17.308 6.128-4.833 9.16-9.213 10.154-13.102H424V347.623c-3.18 2.475-6.685 4.813-10.47 7-16.58 9.58-39.446 17.215-67.46 22.61-56.023 10.79-124.117 10.79-180.14 0-28.014-5.395-50.88-13.03-67.46-22.61-3.785-2.187-7.29-4.525-10.47-7z"}}]})(props);
};
function GiDeadEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.352 8.924L238.037 59.98c-42.626 4.47-81.168 22.782-111.04 50.36l-16.64-16.64-13.214 13.216 16.744 16.744c-26.084 29.167-43.485 66.252-48.117 107.174L17.826 251.79l47.717 20.853c4.285 42.03 22.02 80.115 48.836 109.87L97.144 399.75l13.214 13.215 17.18-17.18c30.096 27.574 68.902 45.784 111.78 49.992l21.034 48.125 21.224-48.558c40.46-4.83 77.114-22.153 106.002-47.988l15.61 15.61 13.214-13.216-15.504-15.504c27.326-29.6 45.554-67.712 50.235-109.875l51.666-22.583-51.907-22.687c-5.02-41.053-22.904-78.167-49.49-107.184l15-15L403.19 93.7l-15.055 15.056c-28.666-25.833-65.062-43.238-105.266-48.31L260.35 8.923zM238.9 78.676l21.452 49.078 21.26-48.64c35.623 4.698 67.85 20.064 93.368 42.796l-18.664 18.664c4.716 4.08 9.17 8.457 13.342 13.088l18.606-18.605c23.548 25.954 39.397 59.022 43.996 95.625l-48.287 21.105 48.52 21.207c-4.306 37.634-20.492 71.617-44.733 98.11l-17.45-17.452c-4.145 4.66-8.575 9.057-13.263 13.168l17.38 17.38c-25.155 22.216-56.75 37.313-91.66 42.152l-22.413-51.282-22.618 51.746c-37.173-4.36-70.762-20.32-97.054-44.175l17.172-17.17c-4.632-4.175-9.005-8.63-13.086-13.345l-17.235 17.234c-23.037-25.86-38.51-58.61-42.978-94.8l52.1-22.77-51.852-22.663c4.74-35.168 19.882-67 42.238-92.313l18.374 18.374c4.112-4.69 8.51-9.116 13.17-13.26l-18.45-18.45c26.647-24.38 60.872-40.61 98.766-44.802zm22.555 69.2c-58.85 0-106.355 47.504-106.355 106.353 0 58.847 47.506 106.354 106.355 106.354 58.85 0 106.356-47.507 106.356-106.355 0-58.85-47.506-106.355-106.355-106.355zm-1.596 41.235c6.653 0 13.077 1.015 19.13 2.89-9.224 1.827-16.944 7.813-21.138 15.924-24.378 1.245-43.942 21.578-43.942 46.25 0 25.466 20.844 46.312 46.31 46.312 25.467 0 46.313-20.846 46.313-46.312 0-3.337-.365-6.59-1.045-9.733 6.114-5.575 9.95-13.606 9.95-22.534 0-.49-.015-.977-.038-1.46 5.98 9.822 9.43 21.34 9.43 33.634 0 35.772-29.2 64.97-64.97 64.97-35.772 0-64.97-29.198-64.97-64.97s29.198-64.97 64.97-64.97zm-4.964 37.95c2.45 14.385 14.968 25.34 30.05 25.34.953 0 1.896-.05 2.827-.136.043.63.07 1.267.07 1.91 0 15.366-12.256 27.623-27.622 27.623s-27.62-12.257-27.62-27.623c0-13.542 9.52-24.663 22.296-27.113z"}}]})(props);
};
function GiDeadHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 19.313c-44.404 0-85.098 25.433-115.248 68.123C110.6 130.126 91.594 189.846 91.594 256c0 66.152 19.005 125.87 49.156 168.563 30.15 42.69 70.845 68.125 115.25 68.125 44.402 0 85.07-25.435 115.22-68.125 30.15-42.69 49.186-102.41 49.186-168.563 0-66.152-19.037-125.87-49.19-168.564-30.15-42.69-70.812-68.124-115.214-68.124H256zM204.23 213.88l14.99 9.966-20.074 30.19 30.192 20.073-9.965 14.99-30.19-20.073-20.074 30.192-14.99-9.966 20.07-30.192L144 238.99l9.965-14.99 30.19 20.072 20.074-30.19zm103.54 0l20.074 30.192L358.034 224 368 238.99l-30.19 20.072 20.07 30.192-14.99 9.965-20.072-30.193-30.19 20.073-9.966-14.99 30.192-20.073-20.073-30.19 14.99-9.966zM256 367c26 0 52.242 8.515 70.363 26.637l-12.726 12.726c-3.28-3.28-7.006-6.198-11.067-8.75-.06 1.55-.142 3.128-.27 4.737-.46 5.693-1.33 11.654-3.568 17.257-2.236 5.603-6.655 11.875-14.228 13.487-8.496 1.807-15.982-2.58-21.13-7.59-5.146-5.01-9.12-11.24-12.495-17.422-4.78-8.754-8.213-17.494-9.83-21.902-16.58 2.595-31.98 9.477-42.687 20.183l-12.726-12.726C203.757 375.515 230 367 256 367zm3.945 18.084c1.67 4.095 3.972 9.312 6.735 14.373 2.885 5.286 6.303 10.28 9.25 13.147 2.8 2.724 4.114 2.98 4.728 2.896.056-.07.543-.523 1.358-2.564 1.098-2.752 1.965-7.354 2.34-12.032.333-4.114.343-8.192.257-11.523-7.827-2.495-16.192-3.952-24.668-4.296z"}}]})(props);
};
function GiDeadWood (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M290.78 9.563l-19.5 72.53 70.033 26.813-39.282 40.813c-15.52 8.456-27.103 8.22-37.31 2.124-.014-.008-.02-.024-.033-.03l-5.093-11.064 41.844-33.5-49.375 17.22-29.875-64.626 14.406-31.375-31.656 22.56V51l-91.344-20.094 90.75 37.844 11.53 24.938-62.25 13.25-33.31-41.626 15.78 45.344-26.156 5.563L50.25 77.843l26.344 30.062-39.906 31.938 52.03-18.125 13.907 15.843 80.563-16.938-3.22 43.75 20.782-47.438 23.656-4.968 23.406 50.624c1.88 9.953 2.716 19.126 2.282 27.125l-45.188-17.657 41.188 35.562c-6.098 12.943-19.27 18.24-41.344 11.594l-75.344-49.97-27.97 18.53-16.405-37.343 3.376 46-9.53 6.313-65.157-49.344 61.5 74.938 54.186-35.938c10.9 7.49 21.867 14.905 32.844 22.28l-12.125 41.72-48.75 20.22 63.97-3.782 13.593-47.03c5.696 3.787 11.38 7.58 17.093 11.342 49.537 75.88 57.073 189.32 1.97 176.688 9.086 38.633-24.273 67.905-54.844 81.062h28.03l-.03-.062c25.217-7.956 40.217-20.772 55.906-45.813.113 17.364-7.4 33.346-20.875 45.876h66c-17.686-16.632-27.36-43.79-15.062-88.53 2.454 40.996 14.77 72.124 53.156 88.5v.03h25.97c-69.106-37.694-84.94-111.418-50.094-182.53l36.28-43.47 62.158 17.25-38.188-24.28 18.156-45.72-32.156 36.813-14.22-9.064-13.842 16.53c-7.277-7.843-9.635-21.475-7.78-38.405 2.074-18.954 9.395-40.43 17.123-56.25l15.938-16.405 41.53 25.97 13.408 57.28 79.75 21.938L401 219.22l-10.438-45.782 26.97-12.594L461.187 209l-26.72-56.063 9.813-4.593 50.47-2.875-34.656-13 19.437-52.19-40.374 49.845-59.406 27.72-36.28-22.72 24.124-24.844 42.437-33.968-52.31 18.22-5.408-2.094L392.75 13.31l-58.063 72.313-43.906-16.938V9.563zm-13.5 224.687c.254 15.565 4.228 30.356 15 40.594l-12.186 14.562c-9.453-13.425-9.047-33.08-2.813-55.156zm-53.78 14.28c26.69 17.688 39.887 60.23 23.75 88.595-3.706-24.886-12.738-58.882-25.688-85.188l1.938-3.406z","fillRule":"evenodd"}}]})(props);
};
function GiDeadlyStrike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196.38 16.29l12.018 214.677-69.382-213.75h-19.65l70.52 217.25c-17.16-18.22-34.434-44.74-52.243-80.246 18.864 62.058 35.573 139.067 40.552 192.04L19.38 62.393v38.277l144.89 258.98c-33.493-21.316-67.86-56.375-97.918-92.87 26.712 52.73 55.26 104.847 73.076 160.54L19.378 289.453v28.46l107.997 124.026C99 434.69 70.625 422.05 42.25 408.165c38.03 26.607 62.036 50.897 84.234 85.82H230.84l-6.785-91.082H197.77c0-44.845 2.87-108.728 40.767-115.86-6.993-8.433-11.533-20.27-11.533-33.523 0-23.93 14.228-43.758 32.45-46.127h.005c.303-.038.61-.056.923-.063.934-.02 1.895.063 2.83.063 19.957 0 36.205 20.602 36.205 46.128 0 12.928-4.304 24.595-10.996 32.99 41.4 6.42 40.496 71.424 40.496 116.394h-24.94l-6.003 91.082h90.96c19.418-30.77 60.864-56.727 96.524-75.234-38.585 10.67-75.927 17.602-109.66 21.02l117.97-86.97v-23.218l-125.78 92.728c24.4-49.363 55.902-88.075 90.164-122.648-40.56 27.323-73.25 37.7-107.027 43.785L493.77 158.7v-30.58L339.297 328.19c1.19-51.24 16.946-114.427 39.156-171.047-17.383 25.054-33.876 46.073-49.713 62.742l56.406-202.668h-19.398l-53.412 191.906 3.832-192.834h-119.79z"}}]})(props);
};
function GiDeathJuice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.617 20.717c-7.083-.011-14.242.448-21.469 1.347-31.2 3.87-59.077 16.346-82.566 39.51-18.59 18.323-30.93 40.783-33.8 68.274-3.409 32.99 6.985 61.16 28.118 84.191 6.792 7.386 9.795 14.582 9.608 25.03-.297 16.428.974 32.882 1.65 50.308 21.027-12.421 41.214-24.384 61.674-36.48 12.176 21.378 24.055 42.27 36.479 63.976 12.148-21.517 23.894-42.3 35.826-63.244 19.753 11.8 39.24 23.46 59.373 35.557.514-16.94 1.733-32.799 1.246-48.6-.353-11.07 1.813-19.676 10.256-26.223 2.677-2.083 4.707-5.356 6.845-8.308 20.568-28.606 27.712-60.348 17.16-95.498-9.77-32.502-30.771-54.695-57.699-70.362-23.066-13.405-47.403-19.44-72.7-19.478zm82.799 105.207c17.942-.134 26.164 11.07 22.404 30.474-4.353 22.379-22.92 38.723-42.674 37.668-21.38-1.139-38.695-18.755-41.025-41.892-.186-1.811.435-4.598 1.6-5.547 10.658-8.605 45.704-20.593 59.695-20.703zm-165.154.03c13.717.865 29.494 7.548 45.084 14.91 2.297 1.107 4.408 2.785 6.763 3.464 5.847 1.651 6.088 6.113 5.25 11.31-3.76 22.217-23.004 39.484-42.785 38.401-22.433-1.218-39.592-19.269-41.162-43.351-1.083-16.59 6.766-24.952 26.85-24.735zm80.615 56.556c7.44 18.214 14.42 35.235 21.646 52.93h-43.187c7.144-17.588 14.152-34.637 21.54-52.93zm-16.172 141.84c-.146.319-.293.633-.42.976-2.894 7.981-6.197 15.856-9.984 23.543-8.334 16.832-17.293 33.365-25.71 50.09-6.63 13.125-10.336 26.845-7.74 41.783 5.71 32.582 36.67 54.827 69.63 49.844 39.886-6.033 59.48-41.103 48.603-74.902-4.357-13.586-11.283-26.469-17.941-39.159-8.46-16.062-16.528-32.279-23.061-49.11-2.348 4.152-4.698 8.311-7.057 12.491l-8.658 15.328-8.742-15.279c-2.993-5.225-5.962-10.422-8.92-15.605zm.053 40.97c3.709.032 3.735 27.583 1.642 40.026-2.166 12.555.13 24.084 10.495 32.69 15.02 12.475 35.426 9.66 46.654-6.386.514-.68.975-1.355 1.49-2.06.404.083.756.164 1.162.219-.89 4.763-1.217 9.633-2.652 14.261-6.33 20.702-25.515 33.068-47.977 31.174-19.404-1.624-35.833-17.753-39.24-37.996-1.841-10.579 1.218-20.05 5.654-29.17 6.602-13.61 14.018-26.817 20.647-40.375.81-1.655 1.518-2.388 2.125-2.383z"}}]})(props);
};
function GiDeathNote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M294.3 53.6l-81.2.24-79.5 70.56 18.3 70.5L201 187l-25.8 74.7 38.7-22.4 11 35.9 30.2-37.1 30.2 38.8 18.5-38.5 31.7 21.1-25.4-71.9 46.4 6.1 18.9-67.1c-27.1-24.3-54.1-48.7-81.1-73zm-88.8 61.2c13.3-.1 28.3 9 35.9 27l-61.9 9.3c-3.9-18.1 11-35.7 26-36.3zm104.5 0c15.1.1 28.1 12.1 26 36.3l-62-9.3c7.7-18 22.7-27.1 36-27zm-54.5 38.5l25.6 56.7h-47.9zM93.26 288.5L51.3 317.7l207.3 72.7L466 317.3l-41-28.8c-54.7 9.2-120.6-14.4-150.7 31.8h-31.4c-41-45.7-104.5-25.2-149.64-31.8zM29 329.8l-6.17 17.6 190.67 66.7v17.8h91.6v-18.7c62.3-21.8 125.5-43.9 188.1-65.8l-6.2-17.6-205.7 71.9 4.1 11.5h-54.8l4.1-11.5c-68.6-24-137.15-48-205.7-71.9z"}}]})(props);
};
function GiDeathSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.997 16.004c-120 0-239.997 60-239.997 149.998C16 226.002 61 256 61 316c0 45-15 45-15 75 0 14.998 48.01 32.002 89.998 44.998v60h239.997v-60s90.567-27.957 90-45c-.933-27.947-15-30-15-74.998 0-30 45.642-91.42 44.998-149.998 0-90-119.998-149.998-239.996-149.998zm-90 179.997c33.137 0 60 26.864 60 60 0 33.136-26.863 60-60 60C132.863 316 106 289.136 106 256c0-33.136 26.862-60 59.998-60zm179.998 0c33.136 0 60 26.864 60 60 0 33.136-26.864 60-60 60-33.136 0-60-26.864-60-60 0-33.136 26.864-60 60-60zm-89.998 105c15 0 45 60 45 75 0 29.998 0 29.998-15 29.998h-60c-15 0-15 0-15-30 0-15 30-74.998 45-74.998z"}}]})(props);
};
function GiDeathZone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.566 20.055c-59.624 0-99.147 26.426-125.21 65.767-25.084 37.862-36.733 88.14-37.583 136.746 35.068 17.25 55.994 35.297 65.088 54.416 8.03 16.882 4.974 34.41-5.042 47.96 22.02 19.97 59.516 32.352 98.135 32.972 38.86.624 77.95-10.4 102.942-33.174-5.034-5.972-8.774-12.36-10.582-19.37-2.54-9.836-.836-20.485 4.687-30.134 10.514-18.37 33.286-34.804 70.354-52.71-.878-46.03-12.275-96.24-37.225-134.714-25.985-40.068-65.52-67.76-125.564-67.76zm-75.748 125.982c46.19 10.87 94.98 10.703 145.752.205-25.867 37.59-123.918 37.62-145.752-.205zm-20.312 13.53c7.698 30.39 30.63 47.76 73.336 45.984l-1.112 33.59c-39.39 20.126-72.635 1.99-103.71-19.048h-.002c-4.848-30.567-.204-54.706 31.488-60.526zm186.69 0c31.69 5.82 36.333 29.958 31.486 60.525h-.002c-31.076 21.04-64.32 39.174-103.71 19.047l-1.11-33.59c42.707 1.776 65.637-15.594 73.335-45.984zM250.97 252.19c12.102 21.818 21.704 43.634 26.47 65.45-13.016 9.698-36.32 11.107-52.938 0 6.443-21.816 14.19-43.632 26.47-65.45zM100.405 353.108c-50.152 13.628-82.55 33.813-82.55 56.204 0 41.018 106.523 74.352 237.697 74.352s237.698-33.334 237.698-74.35c0-22.312-32.12-42.58-81.965-56.205 17.23 8.88 27.518 19.25 27.518 30.444 0 32.13-82.31 58.546-183.247 58.546-100.937 0-182.662-26.418-182.662-58.545 0-11.253 10.112-21.534 27.518-30.443h-.004zm62.54 2.637l-14.903 23.41c6.624 5.312 14.328 9.978 22.855 13.955l10.898-28.796c-6.58-2.48-12.888-5.336-18.848-8.57zm177.605.53c-5.772 3.14-11.804 5.894-18.038 8.28l10.703 28.477c8.005-3.6 15.612-7.817 22.666-12.676l-15.33-24.08zm-140.905 13.673L188.3 399.924c9.524 3.093 19.698 5.462 30.253 7.064l3.87-32.513c-7.754-1.09-15.377-2.6-22.778-4.528zm105.04.287c-7.468 1.95-15.113 3.434-22.85 4.48l3.823 32.126c10.274-1.605 20.384-3.967 30.112-7.11l-11.086-29.496zm-63.654 6.045l-3.893 32.712c9.87.637 19.92.623 29.947-.07l-3.873-32.535c-4.52.206-9.045.287-13.558.215-2.878-.047-5.752-.167-8.62-.323z"}}]})(props);
};
function GiDeathcab (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M270.2 18.8c-68.96 0-117.89 37.757-150.52 83.475-32.63 45.72-47.784 100.002-47.784 126.096 0 7.612 3.726 15.27 12.31 23.292 8.586 8.023 21.87 15.846 38.74 22.432 18.64 7.276 41.623 13.058 67.406 16.79l-.33 3.72 18.62 1.646 9.516-107.686-18.615-1.646-2.754 31.148c-31.007-14.07-53.424-41.094-54.054-83.242-.85-56.927 64.165-87.918 127.287-87.795 59.298.115 116.925 27.69 116.713 87.01-.098 27.788-14.5 50.374-36.256 66.63l-6.384-24.307-18.076 4.748 29.334 111.667 18.076-4.748-1.9-7.23c7.77-2.243 15.084-4.69 21.824-7.33 17.102-6.698 30.64-14.594 39.404-22.587 8.764-7.994 12.486-15.507 12.486-22.512v-.034c-.01-26.633-12.86-80.858-41.45-126.53-28.605-45.69-71.63-83.007-133.595-83.007zm67.036 64.294c-5.587-.138-13.008 2.493-23.076 8.93-58.69 37.536-5.446 55.464 43.567 29.122-3.91-19.254-6.212-37.7-20.49-38.052zM192.313 94.902c-20.66-.172-18.595 21.602-18.366 44.854 57.036 16.586 108.632-13.985 39.002-40.106-8.627-3.235-15.37-4.704-20.637-4.748zm75.87 39.088c-14.55 13.363-24.763 37.98 1.538 38.473 31.216.58 13.18-24.787-1.538-38.473zm34.672 52.354l-18.45 2.974 17.702 109.8 18.452-2.973-17.705-109.8zm-41.558 6.03l-18.688.272 1.507 103.58 18.686-.27-1.506-103.58zM298.11 312.68c-13.058 1.063-26.557 1.62-40.37 1.62-11.565 0-22.874-.394-33.894-1.114-1.046 2.546-2.07 5.125-3.06 7.744-9.086 24.038-15.855 50.798-18.893 74.26-3.04 23.465-1.766 43.903 2.466 53.273 9.582 21.216 24.987 33.124 42.806 39.103 17.82 5.978 38.156 5.56 55.707.673 17.55-4.887 32.02-14.397 38.58-24.24 6.56-9.843 7.395-18.81-3.062-31.353-37.982-45.556-40.875-87.474-40.3-119.045.006-.32.015-.603.02-.92z"}}]})(props);
};
function GiDecapitation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M316.938 18.406c-16.917.16-35.992 8.394-51.344 23.813-25.855 25.966-31.416 62.47-12.438 81.53 18.978 19.06 55.332 13.468 81.188-12.5C360.2 85.282 365.76 48.78 346.78 29.72c-7.71-7.745-18.268-11.422-29.842-11.314zM26.125 33.344C68.1 93.84 134.52 136.714 204.188 163.874c.768.296 1.542.584 2.312.876 74.676 28.292 158.988 40.7 228.22 31.875.072-.013.144-.018.217-.03 73.4-13.258 89.237-60.577-38.562-134.25 163.392 147.973-242.187 125.144-370.25-29zM220.28 189.688c-3.947 2.137-7.548 4.605-10.874 7.375-12.204 10.163-20.78 24.71-26.75 42.187-10.988 32.16-12.56 73.362-13.375 109.563h40.064l.625 8.656 10.218 136.467h86.687l9.03-136.406.595-8.717h38.53c1.694-40.387-.062-81.073-12.25-111.594-3.295-8.256-7.23-15.796-12-22.5-36.92-4.4-74.495-12.92-110.5-25.032z","fillRule":"evenodd"}}]})(props);
};
function GiDeerTrack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M415 26.08c-45.5-.55-114 109.42-124 148.32-7.9 37 71.8 92.2 85.3-22.3 4.1-34.8 55.5-120.32 43.6-125.42v-.1c-.1 0-.3-.1-.6-.1-1.4-.25-2.9-.39-4.3-.4zm57.7 21.96c-12.2-1.44-34.4 93.16-55.4 120.66-69.9 91.7 25.7 107.4 45.6 75.3 20.8-36 49.1-169.82 10.9-195.52-.1-.1-.3-.2-.5-.3-.2-.1-.4-.12-.6-.14zM130.3 202.5C84.67 203 26.14 322.6 20.16 363.1c-4.03 37.6 81.04 84.2 82.64-31 .4-35.1 42.7-125.5 30.3-129.4v-.1h-.6c-.7-.1-1.4-.1-2.2-.1zm57.6 16c-12.3-.1-24.6 96.4-42.6 125.8-60.06 98.5 36.7 104.2 53.1 70.2 17-38 31.3-174.1-9.4-195.7-.1-.1-.3-.1-.5-.2s-.4-.1-.6-.1zm116.3 11.9c-9.1-.1-16.7 3.2-19.9 9.5-5.3 10.9 3.9 26.5 20.8 35 16.8 8.4 35 6.4 40.3-4.4 5.5-10.9-3.8-26.5-20.7-34.9-1.1-.6-2.1-1-3.1-1.4-6-2.6-12-3.8-17.4-3.8zm77.4 31.7c-12 0-21.9 4.8-24.5 13.1-3.7 11.5 8 25.6 26 31.2 18 5.7 35.5.9 39.2-10.7 3.5-10.7-6.6-23.8-22.7-30l-3.3-1.2c-5-1.6-10.1-2.3-14.7-2.4zM41.81 417.2c-10.35.3-18.76 4.5-21.53 11.7-4.14 11.4 6.63 26 24.32 32.7 17.58 6.6 35.44 2.7 39.64-8.6 4.4-11.4-6.5-25.9-24.22-32.5-1.16-.5-2.19-.8-3.23-1.1-5.16-1.6-10.27-2.3-14.98-2.2zm82.39 23.6c-14.2-.1-25.85 6-27.85 15.7-2.51 11.8 10.65 24.6 29.15 28.3 18.5 3.8 35.4-2.8 37.9-14.7 2.4-11-9-23-25.7-27.5-1.1-.2-2.2-.5-3.4-.8-3.4-.7-6.9-1-10.1-1z"}}]})(props);
};
function GiDefenseSatellite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 26.816l-39 26v23.455L243.729 103h24.542L295 76.271V52.816l-39-26zM119.027 41l-11.5 46H151V41h-31.973zM361 41v46h43.473l-11.5-46H361zM169 55v18h30V55h-30zm144 0v18h30V55h-30zm-86.734 55.994c-.06.03-.123.057-.182.086-7.048 3.524-9.084 7.157-9.084 8.92s2.036 5.396 9.084 8.92S243.961 135 256 135c12.039 0 22.868-2.556 29.916-6.08 7.048-3.524 9.084-7.157 9.084-8.92s-2.036-5.396-9.084-8.92c-.059-.03-.123-.057-.182-.086L275.73 121H236.27l-10.005-10.006zM199 143.977c-61.739 6.488-118.528 23.478-154.256 49.627 7.202 8.662 15.23 16.686 23.967 24.052 15.382-8.683 32.294-16.008 50.289-21.996V192c0-6.438 2.95-12.44 7.168-16.457 4.218-4.018 9.452-6.435 15.021-7.914 5.57-1.48 11.577-2.058 17.666-1.74a64.318 64.318 0 0 1 18.166 3.632l.12.043 21.859 8.49v-34.077zm114 0v34.078l21.86-8.49.119-.044a64.318 64.318 0 0 1 18.166-3.632c6.09-.318 12.096.26 17.666 1.74s10.803 3.896 15.021 7.914S393 185.563 393 192v3.66c17.995 5.988 34.907 13.313 50.29 21.996 8.737-7.366 16.764-15.39 23.966-24.052-35.728-26.15-92.517-43.139-154.256-49.627zm-96 .5v80.908c13.604 10.234 26.464 15.115 39 15.115 12.536 0 25.396-4.881 39-15.115v-80.908c-.344.18-.685.369-1.033.543C283.643 150.182 270.47 153 256 153c-14.47 0-27.643-2.818-37.967-7.98-.348-.174-.689-.362-1.033-.543zm-62.371 39.437c-3.215.05-6.246.428-8.818 1.111-2.588.688-4.44 1.661-5.85 2.623L199 215.2v-17.834l-28.037-10.89c-4.094-1.457-8.664-2.277-13.068-2.502a48.853 48.853 0 0 0-3.266-.059zm202.742 0a48.853 48.853 0 0 0-3.266.059c-4.404.225-8.974 1.045-13.068 2.502L313 197.365V215.2l59.04-27.55c-1.41-.963-3.263-1.936-5.85-2.624-2.573-.683-5.604-1.06-8.819-1.11zM41 216.217v42.86C79.07 314.612 167.082 344.5 256 344.5s176.93-29.887 215-85.424v-42.86C418.828 270.5 337.25 297 256 297S93.172 270.499 41 216.217zm164.191 23.023l-57.197 22.217c13.515 4.655 27.557 8.377 41.916 11.186l40.64-18.965c-8.619-3.254-17.095-8.104-25.359-14.438zm101.618 0c-8.264 6.334-16.74 11.184-25.36 14.438l40.64 18.965c14.36-2.81 28.402-6.531 41.917-11.186l-57.197-22.217zM256 261.666l-33.646 15.701A349.784 349.784 0 0 0 256 279c11.255 0 22.498-.555 33.646-1.633L256 261.666zm-39 99.047v52.746c6.479 10.81 22.181 17.541 39 17.541s32.521-6.732 39-17.541v-52.746a428.936 428.936 0 0 1-39 1.787c-13.033 0-26.077-.606-39-1.787zm16 85.06V464c0 20 46 20 46 0v-18.227c-7.402 2.19-15.267 3.227-23 3.227-7.733 0-15.598-1.036-23-3.227z"}}]})(props);
};
function GiDefensiveWall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 41v110h462V41h-21v55h-36V41h-60v55h-36V41h-60v55h-36V41h-60v55h-36V41H82v55H46V41H25zm0 128v206h62v-46H64v-18h71v-46H96v-18h96v18h-39v46h71v18h-7v46h270V169h-30v39h-18v-39H329v39h-18v-39H201v39h-18v-39H73v39H55v-39H25zm247 78h176v18h-87v55h-18v-55h-71v-18zm-167 82v46h94v-46h-94zm-80 64v94h47.973l14.297-57.184 17.46 4.368L91.527 487h328.946l-13.203-52.816 17.46-4.368L439.027 487H487v-94H346.98l13.846 69.234-17.652 3.532L328.62 393H183.38l-14.554 72.766-17.652-3.532L165.02 393H25z"}}]})(props);
};
function GiDefibrilate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M84.557 20.31c46.3 37.518 62.25 65.617 53.53 93.102C100.49 84.18 60.77 67.422 20.666 52.908v36.608c36.057 8.926 71.558 21.116 104.804 46.54-13.053 16.635-34.362 33.918-62.75 53.73l81.99 35.407c-.453 3.38-.642 6.85-.507 10.407.573 15.082 7.218 28.014 16.3 38.914 7.177 8.615 15.9 16.206 25.077 23.468l-63.877 46.57-101.037-58.72v45.738c112.43 11.546 144.12 112.475 0 135.832v26.547h22.818l115.01-54.788c-46.436-55.056-3.446-101.025 44.4-127.89 20.244 15.41 39.46 30.752 47.838 48.93l8.487 18.41 8.485-18.41c3.777-8.196 9.772-15.81 17.055-23.118l15.303 115.51c49.028-28.366 133.015 6.997 141.394 41.355h52.85v-4.72l-68.87-83.24c-66.362 44.197-111.586-5.474-118.148-88.37 5.94-4.64 12.094-9.252 18.2-13.913 10.46-7.983 20.702-16.163 29.213-25.492 35.543 15.528 46.467 41.64 24.895 79.65l114.71-8.654V306.01l-80.105 17.2c-5.02-24.163-5.625-41.7 22.13-65.864-21.682-3.325-43.248-5.917-64.68-7.045 1.468-4.655 2.386-9.55 2.58-14.7v-.002c.28-7.325-.764-14.305-2.848-20.81 33.3-10.236 64.53-23.598 93.912-39.75l-94.375-56.003c37.818-26.36 78.284-37.675 123.385-49.07V20.31H423.63c-19.42 39.684-67.117 76.64-126.712 112.08 38.692 3.463 133.353 27.43 62.64 61.05-9.054-10.854-21.457-18.803-34.85-22.495-13.712-3.78-28.856-3.107-42.388 3.856-8.82 4.54-16.73 11.757-23.1 21.516-6.373-9.76-14.283-16.977-23.103-21.515-6.766-3.48-13.933-5.39-21.125-5.954-7.19-.566-14.406.21-21.262 2.1-16.032 4.418-30.65 14.93-39.792 29.236l-36.323-17.405c29.32-43.383 61.55-71.547 96.914-85.156-35.393-27.574-58.06-45.938-73.206-77.31H84.557zM209.79 187.333c1.23-.02 2.453.02 3.67.113 4.87.377 9.63 1.668 14.106 3.97 8.953 4.607 17.226 13.358 22.86 29.026l8.793 24.455 8.792-24.455c5.633-15.668 13.907-24.42 22.86-29.025 8.95-4.606 19.04-5.164 28.87-2.455 19.66 5.418 36.654 23.902 35.82 45.928-.386 10.132-4.602 18.803-11.982 27.66-7.38 8.86-17.894 17.5-29.428 26.302-18.87 14.403-40.57 29.167-54.933 49.314-14.363-20.146-36.062-34.91-54.933-49.314-11.533-8.803-22.048-17.443-29.428-26.3-7.38-8.86-11.597-17.53-11.98-27.66-.836-22.026 16.156-40.51 35.815-45.93 3.686-1.015 7.41-1.572 11.096-1.628z","fillRule":"evenodd"}}]})(props);
};
function GiDelighted (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M156.758 79.496l-21.91 58.547-58.444 21.87 58.512 21.898 21.842 58.364 21.846-58.375 58.478-21.886-58.408-21.857-21.916-58.56zm200.078 0l-21.91 58.547-58.444 21.87 58.512 21.9 21.842 58.36 21.848-58.374 58.476-21.886-58.408-21.857-21.916-58.56zM18.31 146.64C29.355 228.693 56.92 300.99 94.772 354.77l28.454-18.157-9.784 41.906c11.358 13.222 22.843 24.945 35.567 34.92l29.338-32.825 5.336 55.175c14.397 7.164 29.938 11.868 45.34 14.666l27.564-42.602 27.564 42.605c15.327-2.782 30.14-8.25 44.457-15.365l6.224-57.272 31.12 33.526c11.965-9.67 23.065-20.945 33.788-33.526l-8.892-41.205 27.564 17.46c37.164-53.263 64.38-124.482 75.574-205.336-15.07 38.645-40.1 72.62-72.017 99.176l5.335 44.002-40.008-20.256c-9.04 5.286-17.826 10.484-27.565 14.668l-5.334 48.89-40.01-34.224c-10.922 2.44-22.366 3.86-33.786 4.89l-24.008 39.81-23.117-39.112c-12.508-1.095-24.546-3.516-36.454-6.285l-38.232 32.824-5.335-46.793c-10.032-4.307-19.162-9.194-28.45-14.668l-39.122 20.256 6.224-43.305c-32.864-27.114-58.722-62.13-73.798-101.966z"}}]})(props);
};
function GiDeliveryDrone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M407 24.98v14.04h16V25zM88.99 25v14.03H105V25zM487 57H344.9v15.96H487zm-320 0H25v15.98h142zm256 33.93h-16.1v27.97l13.7.1h2.4zm-318 .1H88.97v28.07H105zm272 45.87l-.1 32.1h-78.5l-16-32h-52.8l-16 32.1-78.6-.1v-32H55.03l-12.04 48L199 214.4V208c.1-31.4 25.7-56.9 57.1-57 31.3 0 57 25.6 56.9 57 0 4.1.1 6.4.1 6.4L469 185.1 457 137zM256.1 169c-21.6 0-39 17.4-39.1 39.1.1 21.5 17.5 38.9 39.1 38.9s39-17.4 38.9-39c.1-21.5-17.3-39-38.9-39zm-.2 14c13.8 0 25 11.3 25.1 25 0 13.7-11.3 25.1-25 25-13.7 0-25.1-11.3-25-24.9 0-13.8 11.3-25 24.9-25.1zm-54.7 40.5L215 279h82l13.9-55.4c-6.8 23.9-28.8 41.4-54.8 41.4-26.1 0-48.1-17.6-54.9-41.5zm-35.8 4.2L60.35 321.1l83.85 107.7c5-5 11.3-8.8 18.2-11.1L100.2 318l87.9-73-3.4-13.4zm181.3.2l-19.4 3.8-3.3 13.4 87.8 73-62.2 99.6c7 2.3 13.2 6.2 18.3 11.3l83.8-107.8zM176 433.6c-15 0-26.9 11.9-26.9 26.7 0 14.9 11.9 26.7 27 26.8 14.9-.1 26.9-12 26.9-26.8-.1-14.8-11.9-26.7-27-26.7zm159.9 0c-14.9.1-27 11.9-26.9 26.8 0 14.7 11.9 26.6 27 26.6 15 0 27-11.8 26.9-26.7.1-14.8-11.9-26.7-27-26.7z"}}]})(props);
};
function GiDemolish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M122.717 22.137v84.37l44.033 54.585v171.564l8.086 6.47 48.78-159.35 56.56 171.35 57.043-70.876 26.452 74.793V161.09l44.03-54.584v-84.37h-48.915v39.798h-29.775V22.137h-49.448v39.797H250.32V22.137h-49.447v39.797H171.63V22.137zm101.404 218.68L184.298 370.9l-74.445-59.556 30.625 89.43-88.96 4.042 40.665 40.664-40.17 47.807h91.31l18.223-17.185-17.01-47.257 56.608 20.6 28.673-83.944 32.73 93.148 57.112-43.054 2.055 65.552 63.96-7.13-13.712 19.27h91.034l-64.685-49.722 45.72-64.255-83.635 21.515-29.354-82.99-57.79 71.81z"}}]})(props);
};
function GiDervishSwords (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M107.688 17.094c-4.176.038-7.723 1.706-8.938 4.625-.413.99-.5 2.04-.344 3.093h-.03c-9.677.39-17.714 4.79-19.782 11.625-2.046 6.762 2.318 14.026 10.312 18.656-15.296 33.985-20.856 75.19-19.875 114.5 4.658-4.73 10.484-8.162 17.25-9.406 1.492-.275 2.965-.418 4.44-.47 5.344-.185 10.54 1.055 15.343 3.313-5.568-33.484-4.603-70.263.53-103.186 10.516.146 19.485-4.344 21.688-11.625 1.775-5.865-1.292-12.082-7.343-16.657.475-.52.89-1.107 1.157-1.75 1.767-4.246-2.03-9.48-8.47-11.72-2.01-.7-4.038-1.017-5.936-1zm301.343 0c-1.897-.018-3.956.3-5.967 1-6.438 2.238-10.205 7.473-8.438 11.718.154.37.337.733.563 1.063-6.663 4.624-10.113 11.187-8.25 17.344 2.123 7.017 10.54 11.413 20.562 11.593 5.143 32.96 6.118 69.793.53 103.312 4.288-2.052 8.904-3.272 13.658-3.406.64-.02 1.292-.024 1.937 0 1.474.05 2.978.193 4.47.468 6.646 1.222 12.36 4.557 16.967 9.156.954-39.05-4.525-79.96-19.625-113.78 8.54-4.598 13.307-12.124 11.188-19.127-1.965-6.494-9.318-10.785-18.344-11.53.18-1.083.083-2.167-.342-3.188-1.215-2.92-4.73-4.588-8.907-4.626zM171.095 176.406l-44.03 6.875c3.87 6.632 6.715 14.286 8.25 22.626.597 3.257.96 6.475 1.124 9.656 15.313 2.683 30.237 8.75 43.53 18.532l-8.874-57.688zm173.03 0l-8.874 57.688c13.04-9.597 27.65-15.586 42.656-18.344.156-3.242.515-6.523 1.125-9.844 1.544-8.39 4.406-16.09 8.314-22.75l-43.22-6.75zm-252.687 1.97c-.604.02-1.193.078-1.78.186-4.704.866-9.01 4.48-12.094 11.375-3.086 6.896-4.378 16.688-2.47 27.063l.032.156c1.927 10.305 6.597 18.93 11.906 24.25 5.338 5.347 10.642 7.178 15.345 6.313 4.703-.866 9.008-4.48 12.094-11.376 3.084-6.896 4.376-16.687 2.468-27.063-1.91-10.374-6.6-19.058-11.938-24.405-4.003-4.01-7.993-6.037-11.72-6.438-.62-.066-1.238-.083-1.843-.062zm330.563 0c-.306.01-.627.028-.938.06-3.725.402-7.715 2.43-11.718 6.44-5.337 5.346-9.998 14.03-11.906 24.405-1.91 10.377-.617 20.168 2.468 27.064 3.086 6.895 7.36 10.51 12.063 11.375 4.702.864 10.005-.967 15.342-6.314 5.338-5.346 10.03-14.03 11.938-24.406 1.908-10.375.617-20.167-2.47-27.063-3.084-6.895-7.39-10.51-12.092-11.375-.882-.162-1.77-.22-2.688-.187zm35.594 15.718c1.657 8.185 1.713 17.137.03 26.28-.627 3.415-1.457 6.713-2.5 9.876 11.337 6.967 21.427 16.068 29.47 27.125l8.906-57.688-35.906-5.593zm-400.875.125l-35 5.468 8.905 57.687c7.88-10.83 17.724-19.777 28.78-26.688-1.112-3.296-2.03-6.738-2.686-10.312-1.674-9.097-1.633-18.005 0-26.156zm325.124 47.343C330.998 382.873 208.514 462.268 16.5 437.375c113.218 81.753 233.292 64.953 317.688-4.72.667-.52 1.34-1.035 2-1.56-.033-.01-.062-.025-.094-.033 50.656-42.57 88.153-104.327 103.156-175.187-8.334 7.73-19.34 12.3-30.656 10.22-11.924-2.194-20.852-11.148-25.75-22.095-.356-.794-.68-1.62-1-2.438zm-249.72 1.03c-.193.47-.387.947-.593 1.407-4.897 10.947-13.857 19.9-25.78 22.094-11.923 2.193-23.465-3.012-31.938-11.5 13.17 63.342 44.32 119.488 86.813 161.25 26.506-5.336 54.813-14.98 79.03-27.844-49.324-34.38-85.212-84.014-107.53-145.406zM359.44 435.97c-21.79 19.47-48.244 36.61-75.282 49.655 66.544 15.796 141.17 3.617 213-48.25-50.78 6.584-96.69 5.82-137.72-1.406z"}}]})(props);
};
function GiDesertEagle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440.225 129.522h31.64V115.87H460.02zm-392.75 36.293v-.084a.483.483 0 0 1 0-.084.179.179 0 0 0 0-.126l-.084-.336a13.358 13.358 0 0 0-.913-2.321 22.62 22.62 0 0 0-1.975-3.308 22.389 22.389 0 0 0-1.396-1.775c-.263-.294-.515-.598-.788-.892l-.861-.84a22.861 22.861 0 0 0-1.859-1.618c-.63-.546-1.323-.945-1.995-1.417-.672-.473-1.365-.788-2.027-1.177a16.802 16.802 0 0 0-1.943-.913c-.62-.252-1.197-.546-1.722-.693l-1.375-.441-1.23-.378 1.23-.389 1.438-.441c.567-.189 1.208-.273 1.922-.441a19.627 19.627 0 0 1 2.352-.389c.84-.073 1.765-.22 2.71-.23.945-.011 1.963-.064 2.972 0a31.02 31.02 0 0 1 3.15.314l1.586.263c.525.105 1.05.231 1.554.357 1.05.231 2.048.557 3.035.872.987.315 1.795.65 2.636 1.05a51.393 51.393 0 0 0-5.146 14.555zm158.76 93.671c.167 1.44.377 2.815.64 4.117a29.55 29.55 0 0 0 .966 3.57 15.258 15.258 0 0 0 1.281 2.825 7.193 7.193 0 0 0 .725 1.05 5.954 5.954 0 0 0 .724.84l.672.61c.22.147.42.262.578.357l.493.304-.567-.115c-.189 0-.43-.084-.703-.158l-.903-.367a6.72 6.72 0 0 1-1.05-.599 8.401 8.401 0 0 1-1.187-.872 17.338 17.338 0 0 1-2.457-2.52 32.838 32.838 0 0 1-2.384-3.392 53.451 53.451 0 0 1-2.205-4.032 91.498 91.498 0 0 1-3.844-9.137 143.14 143.14 0 0 1-2.468-7.434 22.82 22.82 0 0 1 11.552-3.833c-.2 3.066-.336 6.3-.326 9.64a84.61 84.61 0 0 0 .462 9.146zm34.654 28.89a9.073 9.073 0 0 0 9.073-9.074v-38.56h5.954v44.525a9.073 9.073 0 0 1-9.073 9.073h-65.381l1.365-5.954h58.051zm236.49-81.837H54.017C44.566 217.04 26 219.886 26 225.44c0 6.816 52.076-8.4 50.973 30.601-1.722 60.782-31.703 60.792-35.988 125.732a13.463 13.463 0 0 0 13.41 14.356h74.402a16.172 16.172 0 0 0 15.847-12.98c10.312-51.162 22.231-98.838 30.916-139.059 3.024-14.019 20.456-20.152 30.538-20.152h236.51a43.37 43.37 0 0 0 34.77-17.4zM101.724 355.962a11.961 11.961 0 1 1-11.961 11.961 11.961 11.961 0 0 1 11.961-11.96zm27.45-70.81a11.961 11.961 0 1 1-11.96-11.961 11.961 11.961 0 0 1 11.971 11.96zM87.17 146.324h385.493A13.379 13.379 0 0 1 486 159.703v20.803a43.57 43.57 0 0 1-.998 9.23H60.15c1.344-5.397 4.043-16.444 4.946-21.307 2.248-12.003 9.903-22.105 22.116-22.105z"}}]})(props);
};
function GiDesertSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M150.906 58.938c-13.37-.01-29.125 14.14-29.125 41.406 0 18.72-4.71 34.642-12.56 46.47-7.852 11.825-19.205 19.82-31.94 20.717-12.732.9-25.585-5.956-34.593-18.874-6.01-8.618-10.554-20.166-13.624-34.406-7.895 13.74-11.263 27.425-10.813 40.53.645 18.79 8.978 36.824 24.47 52.314 40.785 40.785 141.155 6.742 141.155-79.313 0-25.746-4.91-43.316-11.28-53.936-6.37-10.62-13.595-14.398-20.407-14.875-.426-.03-.85-.032-1.282-.032zm208.656.718c-.43 0-.855.002-1.28.032-6.813.476-14.037 4.255-20.407 14.874-6.37 10.62-11.28 28.19-11.28 53.938 0 86.055 100.337 120.066 141.124 79.28 15.49-15.49 23.854-33.524 24.5-52.31.45-13.113-2.943-26.786-10.845-40.532-3.07 14.243-7.583 25.786-13.594 34.406-9.006 12.917-21.89 19.804-34.624 18.906-12.733-.898-24.055-8.893-31.906-20.72-6.492-9.778-10.66-22.48-11.97-37.124h-.592v-9.344c0-27.266-15.755-41.414-29.125-41.406zm-102.937 6.032c-19.596.01-39.624 8.368-57.594 26.093 2.274 10.362 3.532 22.31 3.532 36 0 47.166-25.996 82.428-59.25 100.97-.542 4.463-1.023 9.008-1.437 13.656-2.55 9.437-3.55 20.09-2.844 31.406 1.057 16.895 5.766 32.224 13.126 44 5.864 9.383 13.855 17 23.53 19.72 15.358 36.078 21.356 78.76 21.69 128.156 6.88 6.182 13.75 11.12 20.624 14.875 2.45-30.97-.93-61.794-1.97-93.875l-1.06-32.157 18.124 26.595 20.5 30.094 21.78-30.75 17.595-24.814-.626 30.406c-.65 31.64-3.01 62.71-1.656 93.25 6.645-3.634 13.345-8.202 20.093-13.78.16-37.35 2.333-71.957 11.25-103.063 2.356-8.215 5.213-16.185 8.626-23.876 12.878-.31 23.332-9.213 30.563-20.78 7.36-11.778 12.068-27.107 13.124-44.002.73-11.703-.35-22.704-3.094-32.375-.32-3.5-.67-6.948-1.063-10.343-34.684-18.06-62.28-54.012-62.28-102.594 0-14.95 1.495-27.82 4.187-38.813-17.418-16.315-36.64-24.01-55.47-24zM176.375 226.5c4.22 0 10.084 3.516 15.406 12.03 5.323 8.517 9.434 21.212 10.314 35.282.88 14.07-1.665 26.643-5.78 34.875-4.118 8.233-8.688 11.25-12.908 11.25-4.22 0-10.084-3.515-15.406-12.03-5.322-8.516-9.433-21.21-10.313-35.282-.88-14.07 1.665-26.642 5.782-34.875 4.115-8.233 8.685-11.25 12.905-11.25zm160.625 0c4.22 0 8.79 3.017 12.906 11.25 4.117 8.233 6.66 20.804 5.78 34.875-.878 14.07-4.99 26.766-10.31 35.28-5.323 8.517-11.187 12.033-15.407 12.033-4.22 0-8.79-3.018-12.908-11.25-4.116-8.233-6.66-20.805-5.78-34.875.88-14.07 4.99-26.766 10.312-35.282 5.322-8.514 11.186-12.03 15.406-12.03zm-64.375 190.188L261.062 433l-7.78 10.97-7.563-11.126L236.28 419c1.243 22.403 2.268 45.11-.155 68.75 5.675 1.436 11.347 2.132 17.03 2.094 6.335-.043 12.755-1 19.25-2.875-1.508-23.73-.675-47.114.22-70.283z","fillRule":"evenodd"}}]})(props);
};
function GiDesert (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M481.5 21.96l-45.6 12.33c2.6 5.3 4.3 11.14 4.9 17.3l45.3-12.25-4.6-17.38zm-279.3.67L200 40.51l143 17.04V56c0-5.7 1-11.17 2.8-16.26L202.2 22.63zM392 25c-17.2 0-31 13.77-31 31s13.8 31 31 31 31-13.77 31-31-13.8-31-31-31zm-43.8 52.81l-74.5 54.89 10.6 14.4L359 92.12c-4.5-4.05-8.1-8.9-10.8-14.31zm73.9 16.81c-4.8 3.7-10.2 6.58-16.1 8.28l38.9 67.2 15.6-9-38.4-66.48zm-294.2.58c-.3.01-.5.02-.7.04-3.3.32-7.7 3.47-11.8 8.76-2.5 20.1-2.5 42.6.3 62.6l1.7 11.8-11.9-1.7c-5.1-.7-7.11-.8-12.91-.4l-8.75.6-.8-8.8c-.8-8.6-3.77-20.7-7.11-29.3-3.41-2.9-5.73-3.4-7.78-3.2-1.85.3-4.44 1.5-7.51 4.5 1.81 18.8 3.36 36.9 8.7 54.9 9.63 4.2 23.42 6.4 36.96 5.7l10-.5-.6 10c-4.3 73.9-6.1 142.6-1 215.8 8.1 3.7 15.8 5.5 21.9 5.5 5.8 0 9.6-1.5 12-3.5 4.5-42.7.6-83.1-1.8-124.8l-.5-9.4 9.4-.1c10.7-.1 19.7-2.3 25.9-5.4 6-2.8 8.8-6.4 9.3-7.8 5.6-38.6 9.4-72.6 7.2-109.3-.1-2.2-.7-2.9-1.8-3.8-1-.9-3-1.7-5.2-1.8-2.2-.2-4.6.3-6.1 1.1s-2 1.5-2.3 2.4c-9.4 31.1-17.3 62-18.6 94.7v.1l-18-.9v-.1c2.7-51 .6-104.7-2.6-156.2-7.2-9.39-12.2-11.54-15.6-11.5zm239.6 3.2l-53.9 142.9 16.8 6.4 54-143.3c-6-.9-11.8-3-16.9-6zm66.4 111.7v47.8l-7.6-1.8-4-28.2-17.8 2.6 5.8 40.4 23.6 5.5V297h-233c-3.1 3-7.1 5.5-11.4 7.6-6.8 3.2-15 5.6-24.2 6.6 2.5 39.2 5.8 78.9.9 121.7l-.2 2.4-1.5 2c-6.4 8.5-17 12.2-27.9 12.2-11 0-22.9-3.3-34.8-9.7l-4.41-2.3-.36-4.9C93.6 386.2 93 341.8 94.04 297H25v190h462V297h-35.1v-38.5l23-5.3 4.8-24.8-17.6-3.4-2.6 13.2-7.6 1.7v-29.8h-18z"}}]})(props);
};
function GiDeshretRedCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304.584 25.057c4.56.092 9.456.807 14.64 2.265 23.538 6.625 42.59 36.765 37.022 77.908-7.188 53.11-34.83 91.61-66.517 125.633-5.844-2.294-11.512-5.036-17.066-8.142 32.206-33.85 58.95-69.708 65.744-119.904 4.656-34.395-13.062-55.07-24.06-58.166-15.98-4.496-22.284-.58-26.557 4.614-4.272 5.193-5.342 14.235-4.884 16.693.84 4.505 5.31 9.92 10.664 12.75 5.355 2.83 9.875 2.558 11.645 1.147.7-.56 1.258-1.106 1.73-1.64a16.304 13.092 31.855 0 1-7.463-2.76 16.304 13.092 31.855 0 1-6.937-19.725 16.304 13.092 31.855 0 1 20.758-2.517 16.304 13.092 31.855 0 1 .15.1c7.694 3.575 12.903 10.946 13.442 18.843.55 8.077-3.418 16.16-10.46 21.772-9.448 7.532-21.805 5.7-31.277.693-9.47-5.005-17.773-13.705-19.947-25.364-1.717-9.216.222-21.15 8.68-31.43 6.344-7.71 17.01-13.045 30.694-12.77zM96.22 28.795c119.857 248.87 236.552 245.093 321.796 218.965 2.965 40.132 7.887 77.118 18.132 113.94l-77.625 48.83c-12.293-27.498-34.082-38.8-48.013-24.82-13.932 13.977 6.638 45.033 20.992 63.08l-38.252 37.02C196.355 352.16 124.757 202.942 76.555 39.33L96.22 28.795z"}}]})(props);
};
function GiDeskLamp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M240.8 20.1h-1.9c-15.5.84-35.2 15.23-45 32.14-6.5 11.26-10.1 25.99-9.4 38.6.7 12.66 5.2 22.36 14.2 27.56 30.7 17.6 61.4 35.3 92.1 53l.7 4.5c3 21.4 12.5 43.1 27.7 61.9l97.9-169.58c-24-3.84-47.6-1.36-67.7 6.74l-4.3 1.7L253 23.58c-4-1.97-8.4-3.4-12.2-3.48zm252.6 45.12l-74.6 39.08c3.5 5.2 6.4 10.8 8.5 16.6l66.1-34.59zM407.6 122l-47.2 81.8c18.3-1.3 35.5-11.3 45.4-28.4 7.4-18 8.6-38.8 1.8-53.4zm24.4 22.1c.2 6.2-.3 12.5-1.6 18.7l63 1.5v-18.7c-20.5-.5-41-1-61.4-1.5zm-215.8 8.3c-3.3 7.2-6.3 14.3-9.1 21.4l27.4 10.5c2.6-6.3 5.3-12.7 8.2-19-9-4.8-18.7-9.1-26.5-12.9zM424 181c-2.8 5.6-6.7 11.2-10.4 15.5l79.8 49.9v-22c-23.1-14.5-46.2-29-69.4-43.4zm-223.7 10.2c-2.8 7.7-5.4 15.4-7.8 23.1l28.3 7.8c2.1-6.8 4.5-13.6 6.9-20.4-9.1-3.5-18.2-7-27.4-10.5zm202.4 15.6c-5 3.8-10.4 7-16.1 9.5l60.1 112.9 16.5-8.8c-20.1-37.8-40.3-75.7-60.5-113.6zm-33.4 14.6c-6.1 1-12.4 1.3-18.7.9l-4.3 124.1 18.7.7zm-182 10.9c-2 7.3-3.9 14.7-5.6 22.2l28.5 6.2c1.6-7 3.3-13.8 5.2-20.7-9.3-2.6-18.7-5.1-28.1-7.7zm-9.4 40.5c-1.4 7.4-2.6 14.8-3.8 22.3l29 3.1c1-6.5 2.1-12.9 3.3-19.2-9.5-2.1-19-4.2-28.5-6.2zm-6.2 40.9c-.9 7.4-1.7 14.9-2.3 22.5l29.1 1.5c.6-7.1 1.3-14.1 2.1-21-9.6-1-19.3-2-28.9-3zm-3.6 41.1s-.9 16.5-1.1 25l29.2-.5c.2-7.8.6-15.5 1-22.9-9.7-.6-19.4-1.1-29.1-1.6zm27.7 43.2l-29.2.5c-.1 5.7-.1 11.4-.1 17.3 9.8-1.8 19.5-3.3 29.3-4.5zm53.9 28.5c-38.1.2-76.4 5.6-114.7 15.5-4.9 14.7-8.9 32.3-11.6 52.4h252.4c-2.7-20.2-6.6-37.9-11.5-52.6-38.2-10.5-76.4-15.4-114.6-15.3zM83.23 446.8c-20.57-.1-41.18 3.1-64.34 9.2v19.4c34.27-9.5 60.58-12.2 89.91-7.5 1.3-6.5 2.8-12.7 4.4-18.6-10.2-1.7-20.07-2.5-29.97-2.5z"}}]})(props);
};
function GiDesk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M104.998 104.998v110.004h206.004V104.998H104.998zm288 112v46.004h30.004v-46.004h-30.004zm-194.512 16l-8.668 26.004h36.364l-8.668-26.004h-19.028zm-157.488 44v18.004h430.004v-18.004H40.998zm14.004 36V496h17.996V371.729l58.73-58.731h-25.453l-33.277 33.277v-33.277H55.002zm289.996 0v46.004h94.004v-46.004h-94.004zM394.271 320a10.272 8 0 0 1 10.272 8 10.272 8 0 0 1-10.272 8A10.272 8 0 0 1 384 328a10.272 8 0 0 1 10.271-8zm-49.273 56.998v46.004h94.004v-46.004h-94.004zM394.271 384a10.272 8 0 0 1 10.272 8 10.272 8 0 0 1-10.272 8A10.272 8 0 0 1 384 392a10.272 8 0 0 1 10.271-8zm-49.273 56.998v46.004h94.004v-46.004h-94.004zM394.271 448a10.272 8 0 0 1 10.272 8 10.272 8 0 0 1-10.272 8A10.272 8 0 0 1 384 456a10.272 8 0 0 1 10.271-8z"}}]})(props);
};
function GiDespair (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M45.215 19.162v438.443l18.687-27.334V19.163H45.215zm50.21 0v408.082h18.688V19.162H95.426zm54.07 0V294.11h3.21c4.71-5.543 9.902-10.77 15.48-15.684V19.162h-18.69zm50.21 0v236.98c6.047-3.43 12.296-6.582 18.69-9.44V19.16h-18.69zm50.21 0v216.033c6.18-1.787 12.42-3.34 18.69-4.625V19.162h-18.69zm48.923 0v207.262c5.177-.357 10.33-.54 15.432-.512 1.088.006 2.17.03 3.255.055V19.162h-18.687zm54.07 0v211.12c4.172.978 8.25 2.142 12.237 3.46 1.688-2.06 3.45-4.088 5.31-6.07.376-.4.763-.78 1.143-1.174V19.162h-18.69zm50.21 0v184.172c6.14-2.986 12.41-5.27 18.69-6.81V19.16h-18.69zm50.208 0v176.336c6.655 1.35 12.978 3.786 18.69 7.395V19.163h-18.69zM440.61 212.85c-3.508-.006-7.176.35-10.97 1.074-15.174 2.895-31.835 11.907-45.554 26.533-4.884 5.208-9.023 10.747-12.434 16.412-93.246-57.583-331.013 75.585-179.697 189.32H72.64l-26.453 47.744h257.165l-88.48-103.25c24.272-26.71 67.455-43.708 96.997-45.067 13.792 45.098 36.248 113.5 71.734 148.315h60.865c-43.9-47.444-77.84-111.502-82.236-183.94 1.887 5.67 4.938 10.597 9.137 14.55 9.046 8.518 22.192 11.497 37.366 8.603 15.175-2.895 31.838-11.905 45.557-26.532 13.72-14.626 21.666-31.854 23.61-47.22 1.943-15.367-1.85-28.35-10.895-36.868-6.784-6.387-15.875-9.66-26.4-9.675z"}}]})(props);
};
function GiDetour (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M486.945 25.055L347.49 52.945l23.78 23.784L390.544 96l-56.793 56.795c-27.393-22.7-57.978-32.844-86.97-32.06-33.838.918-64.92 15.95-87.858 38.888-22.94 22.94-38.084 54.114-39.406 88.178-1.138 29.306 8.49 60.407 30.742 88.485L19.27 467.27l25.46 25.46 155.48-155.484-12.476-12.726c-24.72-25.22-33.185-51.125-32.246-75.323.94-24.198 11.9-47.13 28.89-64.12 16.988-16.988 39.66-27.71 63.38-28.352 23.72-.643 49.04 8.152 73.633 33.5l12.727 13.115L416 121.457l43.055 43.053 27.89-139.455zM256 192a64 64 0 0 0-64 64 64 64 0 0 0 64 64 64 64 0 0 0 64-64 64 64 0 0 0-64-64z"}}]})(props);
};
function GiDevilMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M86.55 31.4C58.98 60.64 45.4 99.1 47 136c1.88 43.1 23.9 83.8 69 106.3l5 2.5v5.6c0 45 23.1 100.1 52.5 145.2 14.6 22.5 30.8 42.6 46 57.8 13.9 13.8 27.1 23.2 36.5 27.2 9.4-4 22.5-13.4 36.4-27.3 15.2-15.2 31.4-35.3 46.1-57.8 29.3-45.1 52.5-100.1 52.5-145.1v-5.6l5-2.5c45.1-22.5 67.1-63.2 69-106.3 1.6-36.9-12-75.36-39.5-104.6.9 28.55 2.9 50.9-.6 70.6-4.5 24.4-19.5 43.8-52.9 60.5l-4.9 2.4-4.5-3.3c-2.1-1.6-4.2-3-6.3-4.5-3.3 7-7.9 13.6-13.9 19.7-11.2 11.1-27.4 10.9-39.7 6-12.3-5-23.7-14.4-23.7-28.4v-3.7l2.6-2.7c6-6 10.7-11.2 14.6-16.2-26.3-5.7-54-5.7-80.4 0 3.9 5 8.6 10.2 14.6 16.2l2.6 2.7v3.7c0 14-11.4 23.4-23.7 28.4-12.3 4.9-28.5 5.1-39.7-6-6-6.1-10.6-12.7-13.9-19.7-2.1 1.4-4.2 2.9-6.3 4.5l-4.5 3.3-4.9-2.4c-33.4-16.7-48.42-36.1-52.85-60.5-3.58-19.7-1.54-42.05-.6-70.6zm88.15 52.71C171 94.26 168 104.9 167 115.3c-1.9 18.2 1.5 34.9 15.4 48.7 4.8 4.9 12.6 5.1 20.3 2 5.6-2.2 9.6-6.3 11.3-9.2-14.1-14.7-22.4-27.1-28.3-40.9-4-9.3-7.3-19.9-11-31.79zm162.6 0c-3.7 11.86-7 22.49-11 31.79-5.9 13.8-14.2 26.2-28.3 40.9 1.7 2.9 5.7 7 11.3 9.2 7.7 3.1 15.5 2.9 20.3-2 13.9-13.8 17.3-30.5 15.4-48.7-1-10.4-4-21.04-7.7-31.19zM157.2 192.6l10.9 21.8c11.1 22.2 31.3 45.3 53.3 61.7l-21.8-54.4 16.8-6.6 30.7 76.8 1.9.9v.9h14v-.9l1.9-.9 30.7-76.8 16.8 6.6-21.8 54.4c22-16.4 42.2-39.5 53.3-61.7l10.9-21.8 22.2 88.7v1.1c0 6.2-2.6 12.1-6.3 16.4-3.8 4.4-8.6 7.5-13.9 10-10.5 5-23.3 7.5-36.1 8.6-2.1.2-4.1.3-6.1.4l-17 33.9c9.7-3.6 21.1-8.1 35.1-13.7l12.3-4.9v13.3c0 20.5-13.6 41.3-30.6 58.4-17.1 17-37.9 30.6-58.4 30.6s-41.3-13.6-58.4-30.6c-17-17.1-30.6-37.9-30.6-58.4v-13.3l12.3 4.9c14 5.6 25.4 10.1 35.1 13.7l-17-33.9c-2-.1-4-.2-6.1-.4-12.8-1.1-25.6-3.6-36.1-8.6-5.3-2.5-10.1-5.6-13.9-10-3.7-4.3-6.3-10.2-6.3-16.4v-1.1zm6.3 49l-10.4 41.5c.1 1.3.5 2.5 1.8 3.9 1.5 1.8 4.2 3.8 7.9 5.5 7.5 3.5 18.7 6 29.9 6.9 10.8.9 21.5.5 29.3-.9-22.5-14.2-43.4-34.6-58.5-56.9zm185 0c-15.1 22.3-36 42.7-58.5 56.9 7.8 1.4 18.5 1.8 29.3.9 11.2-.9 22.4-3.4 29.9-6.9 3.7-1.7 6.4-3.7 7.9-5.5 1.3-1.4 1.7-2.6 1.8-3.9zm-106.4 70.1l-22 11 35.9 71.9 35.9-71.9-22-11zm-53.3 49.4c4.3 10 12 21.3 21.6 30.9 11.3 11.3 25 20.1 36 23.6l-20.6-41.1c-10.6-3.1-22.5-7.6-37-13.4zm134.4 0c-14.5 5.8-26.4 10.3-37 13.4l-20.6 41.1c11-3.5 24.7-12.3 36-23.6 9.6-9.6 17.3-20.9 21.6-30.9z"}}]})(props);
};
function GiDew (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.44 20.26v64.66C130.8 72.49 291.4 112.6 370.5 191.6c-85.9-43.8-244.7-73.2-350.06-64v84.5C88.45 328.6 217.2 253.7 325.8 222c61-11.5 72.7 19.7 108.2 30.2-11.5-20.6-22.4-39.3-32.8-56.3 23.3-9.9 39.8-33 39.8-59.9 0-35.8-29.2-65-65-65-19.3 0-36.7 8.53-48.7 22-58.6-64.95-101.4-66.71-157.4-72.74H20.44zM373.8 88.08c5.7-.07 11.6.94 17.7 3.27-28.8 4.05-34.2 63.55 27 52.75 10.5-1.9-3.6 29.9-26.5 37.1-19.5-31-37.3-55.8-53.7-75.6 9.1-10.29 21.4-17.33 35.5-17.52zM432 286.5l-7.7 12.9s-12.3 20.4-24.5 46.8C387.6 372.7 375 405 375 432c0 14.7 7.7 28.4 18.2 38.8 10.4 10.5 24.1 18.2 38.8 18.2 14.7 0 28.4-7.7 38.8-18.2 10.5-10.4 18.2-24.1 18.2-38.8 0-27-12.6-59.3-24.8-85.8-12.2-26.4-24.5-46.8-24.5-46.8l-7.7-12.9zm-20.1 77c-16.6 49.1-12.6 99 58.7 72-2.7 26.2-43.6 56.9-71.5 15.4-12.1-18-12.7-50.1 12.8-87.4z"}}]})(props);
};
function GiDiabloSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.717 15.525s-34.385 56.154-34.385 75.143c0 12.812 5.063 22.368 12.436 28.5 5.633 4.823 12.896 7.8 20.896 8.04 17.535.9 35.436-10.866 35.436-36.54.002-18.993-34.383-75.143-34.383-75.143zM206.17 79.94c-23.862 9.82-40.335 27.916-52.5 52.656-18.018 36.645-24.874 88.532-25.535 146.586h62.68c-2.794 14.47-3.947 30.726-4.07 47.943-1.695 14.567 8.944 76.447 8.944 76.447s30.256-50.032 35.736-66.283c6.153 24 22.82 68.677 22.82 68.677s16.506-44.24 22.73-68.324c5.796 16.617 35.618 65.93 35.618 65.93s10.947-63.662 8.865-77.04c-.147-16.997-1.304-33.047-4.067-47.35h62.156c-.662-58.055-7.518-109.942-25.536-146.587-11.04-22.452-25.63-39.43-46.065-49.72.723 3.455 1.107 7.03 1.107 10.692 0 28.803-23.55 52.354-52.354 52.354-28.803 0-52.353-23.55-52.353-52.354 0-4.71.64-9.277 1.82-13.627zm-47.895 4.93c-1.13-.015-2.26-.015-3.384 0C68.12 86.09-3.26 175.69 25.03 269.714c12.356 41.064 72.85 67.43 104.263 50.228-59.21.1-76.798-64.22-58.488-108.835 10.297-25.09 27.425-40.573 50.732-44.042 3.926-15.375 8.962-29.7 15.36-42.713 7.417-15.08 16.88-28.326 28.488-39.192-2.38-.162-4.75-.26-7.11-.29zm193.286 0c-3.013.037-6.045.19-9.09.446 11.53 10.836 20.936 24.027 28.315 39.034 6.358 12.93 11.37 27.156 15.285 42.418 24.447 2.792 42.338 18.452 52.96 44.337 18.31 44.614.72 108.935-58.49 108.836 31.413 17.204 91.91-9.163 104.267-50.227 28.29-94.024-43.09-183.622-129.862-184.842-1.125-.015-2.254-.015-3.384 0zm-25.937 80.847c11.335 4.365 19.38 15.354 19.38 28.226 0 16.704-13.54 30.244-30.24 30.244-15.347 0-28.017-11.434-29.974-26.248 20.755-5.506 33.46-17.012 40.833-32.223zm-143.562.01c7.38 15.212 20.09 26.717 40.858 32.218-1.96 14.81-14.63 26.243-29.973 26.243-16.7 0-30.242-13.54-30.242-30.245 0-12.865 8.035-23.845 19.358-28.216zm108.48 74.513l-36.698 76.045-36.7-76.043 36.698 25.143 36.7-25.145zM170.483 360.002s-51.736 72.637-56.19 89.27c-11.81 44.068 49.134 57.507 60.22 16.136 4.455-16.63-4.03-105.406-4.03-105.406zm165.327 0s-8.488 88.776-4.033 105.406c11.086 41.37 72.033 27.932 60.223-16.137-4.455-16.63-56.19-89.268-56.19-89.268zM228.14 383.73s-29.39 58.982-30.724 71.635c-3.538 33.527 42.495 36.31 45.816 4.836 1.336-12.652-15.09-76.47-15.09-76.47zm51.788 0s-16.43 63.818-15.094 76.47c3.32 31.475 49.356 28.692 45.818-4.835-1.333-12.653-30.724-71.636-30.724-71.636z"}}]})(props);
};
function GiDiagram (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M146.24 120.334c-23.036 0-52.223 9.79-76.38 31.71-22.6 20.513-40.276 52.013-42.4 94.956H22v18h36v-18H45.48c2.032-38.054 17.27-64.194 36.48-81.627 20.686-18.774 46.56-27.04 64.28-27.04s43.56 8.264 64.233 27.038c15.496 14.073 28.41 33.83 33.908 60.94 3.676-1.484 7.677-2.31 11.86-2.31 2.078 0 4.11.208 6.082.594-6.12-31.684-21.29-55.785-39.748-72.547-24.138-21.92-53.298-31.713-76.334-31.713zm-9 40.088V247H130v18h36v-18h-10.76v-86.578h-18zm119 81.578c-7.838 0-14 6.16-14 14s6.162 14 14 14c7.84 0 14-6.16 14-14s-6.16-14-14-14zM76 247v18h36v-18H76zm108 0v18h36v-18h-36zm108 0v18h36v-18h-36zm54 0v18h11.24v86.078h18V265H382v-18h-36zm54 0v18h36v-18h-36zm54 0v18h13c-2.032 38.053-17.27 64.192-36.48 81.625-20.686 18.774-46.56 27.04-64.28 27.04-17.718 0-43.56-8.263-64.232-27.038-15.496-14.073-28.41-33.827-33.908-60.938-3.676 1.484-7.677 2.31-11.86 2.31-2.078 0-4.11-.208-6.082-.594 6.12 31.683 21.292 55.785 39.75 72.547 24.138 21.92 53.297 31.713 76.332 31.713 23.036 0 52.224-9.79 76.38-31.71 22.6-20.513 40.276-52.014 42.4-94.956H490v-18h-36z"}}]})(props);
};
function GiDiamondHard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M78.594 20.313c-20.396-.083-40.037 3.83-57.78 12.468C126.016 63.043 213.21 117.8 289.185 187.813c-9.978-45.738-40.414-87.43-79.375-117.78-11.143 8.35-27.725 8.505-41.156.75-13.402-7.74-21.53-22.143-19.906-35.938-23.19-9.237-47.145-14.438-70.156-14.532zm101.625 6.625c-5.215.166-9.516 2.475-11.532 5.968-3.442 5.962-.55 15.975 9.343 21.688 9.894 5.713 19.997 3.212 23.44-2.75 3.44-5.962.58-16.006-9.314-21.72-3.71-2.14-7.465-3.108-10.875-3.186-.354-.01-.714-.012-1.06 0zm-43.25 73.906L31.75 283.188c5.972 8.454 13.093 14.29 25.125 15.062l105.47-182.78c-8.03-5.31-16.5-10.178-25.376-14.626zm194.78 6.25l-17.406 10.78-10.22 66.657 38.313-59.124-10.687-18.312zm-140.344 61.72l-21.844 13.467 14.375 17.314 86.157-4.75-78.688-26.03zm209.75.686l-3.78 1.156-181.095 55.906-3.75 1.188-1.81 3.5-42.314 82.875-3.625 7.125 6.47 4.688 216.53 157.25 10.126 7.343 4.156-11.81 88.563-251.44 2.656-7.5-7-3.81-81.655-44.564-3.47-1.906zm-2.03 20.188l63.28 34.562-65.97 20.344-33.248-43.813 35.937-11.093zm-54.97 16.968l33.28 43.813L279 280.843l2.78-54.938 62.376-19.25zM262.78 231.78L260 286.72l-67.22 20.75 32.782-64.19 37.22-11.5zm202.5 11.126L400 428.312l4.063-166.5 61.218-18.906zm-80.06 24.72l-4.064 166.5-98.812-134.72 102.875-31.78zm-121.783 37.593L364.75 443.374 201.062 324.5l62.375-19.28z","fillRule":"evenodd"}}]})(props);
};
function GiDiamondHilt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-13.926 0-31.544 1.105-45.613 5.2-14.07 4.094-23.213 10.325-25.662 20.007-1.661 6.566.726 15.172 7.03 24.953 6.306 9.782 16.126 20.111 26.401 29.264 16.976 15.121 32.104 25.063 37.844 28.752 5.74-3.689 20.868-13.631 37.844-28.752 10.275-9.153 20.095-19.482 26.4-29.264 6.305-9.781 8.692-18.387 7.031-24.953-2.449-9.682-11.592-15.913-25.662-20.008C287.543 26.105 269.926 25 256 25zm-39 102.027v12.758l39 32.5 39-32.5v-12.758c-18.142 14.699-34.277 24.633-34.277 24.633L256 154.572l-4.723-2.912s-16.135-9.934-34.277-24.633zm0 36.188v41.57L241.941 184zm78 0L270.059 184 295 204.785zm-39 32.5l-39 32.5V231h19.273l13.364-13.363L256 211.27 275.729 231H295v-2.785zm175.771 24.783c-15.255 13.207-31.532 20.581-48.66 24.348-19.619 4.314-40.22 4.227-63.14 4.154h-26.244l14 14H384v18h-74.904l-8.4 14H352c31.07 0 60.695 13.027 79.646 28.627L483.273 272zm-351.552.01L28.727 272l51.627 51.627C99.305 308.027 128.93 295 160 295h51.305l-8.4-14H128v-18h76.273l14-14H192c-24 0-44.575.091-63.953-4.215-16.904-3.756-32.736-11.132-47.828-24.277zM256 236.727l-36.668 36.668L256 334.508l36.668-61.113zM201 313v180h46V354.492L222.105 313zm88.895 0L265 354.492V493h46V313z"}}]})(props);
};
function GiDiamondRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M191.02 25.346l-22.9 34.35h30.714l22.9-34.35H191.02zm52.347 0l-22.898 34.35h71.06l-22.897-34.35h-25.266zm46.9 0l22.9 34.35h30.714l-22.9-34.35h-30.714zm-117.234 52.35l50.115 50.115-25.058-50.115h-25.057zm45.182 0L256 153.265l37.785-75.57h-75.57zm95.695 0l-25.058 50.115 50.115-50.115H313.91zm-134.435 31.898C109.163 139.5 59.693 209.29 59.693 290.348c0 108.185 88.122 196.306 196.307 196.306 108.185 0 196.307-88.12 196.307-196.306 0-81.057-49.47-150.848-119.782-180.754l-30.517 30.517c64.397 19.592 111.037 79.292 111.037 150.238 0 86.966-70.08 157.045-157.045 157.045-86.966 0-157.045-70.08-157.045-157.045 0-70.946 46.64-130.646 111.037-150.237l-30.517-30.516z"}}]})(props);
};
function GiDiamondsSmile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M115.877 46.832c-23.13.06-46.282 9.02-63.975 26.87-35.385 35.702-35.533 93.438-.33 128.956 14.105 14.23 31.746 22.73 50.1 25.518-10.1-3.56-19.568-9.39-27.604-17.496-28.77-29.03-28.628-76.343.24-105.467 14.432-14.562 33.43-21.878 52.417-21.926 18.986-.048 37.96 7.174 52.345 21.69 18.258 18.42 24.854 44.2 19.873 68.027 13.803-33.148 7.414-72.75-19.228-99.63-17.602-17.76-40.708-26.602-63.838-26.542zm282.79 0c-23.13-.06-46.235 8.782-63.837 26.54-26.642 26.88-33.03 66.484-19.228 99.632-4.98-23.826 1.615-49.606 19.873-68.027 14.385-14.516 33.36-21.738 52.345-21.69 18.987.048 37.985 7.364 52.418 21.926 28.867 29.124 29.01 76.437.24 105.467-8.037 8.107-17.504 13.935-27.605 17.496 18.354-2.787 35.995-11.287 50.1-25.518 35.203-35.518 35.055-93.254-.33-128.955-17.693-17.85-40.845-26.81-63.975-26.87zm-271.915 54.99c-14.127.04-28.275 5.553-39.172 16.547-21.793 21.987-21.863 57.334-.238 79.153 21.625 21.82 56.423 21.75 78.217-.238 21.792-21.988 21.862-57.335.237-79.154-10.813-10.91-24.918-16.346-39.045-16.308zm261.04 0c-14.126-.038-28.232 5.4-39.044 16.31-21.625 21.818-21.555 57.165.238 79.153 21.794 21.988 56.592 22.058 78.217.238s21.555-57.166-.238-79.154c-10.897-10.995-25.045-16.51-39.172-16.548zm-6.214 17.873c-5.868 5.834-9.502 13.913-9.502 22.842 0 17.79 14.42 32.21 32.21 32.21 9.17 0 17.44-3.836 23.306-9.985-1.113 8.36-4.84 16.422-11.196 22.834-15.46 15.6-40.596 15.538-56.14-.145-15.545-15.682-15.61-41.037-.147-56.64 6.057-6.11 13.6-9.808 21.468-11.115zm-264.564.61c-5.52 5.78-8.914 13.607-8.914 22.232 0 17.79 14.42 32.21 32.213 32.21 10.407 0 19.656-4.94 25.544-12.597-.717 9.212-4.567 18.238-11.568 25.3-15.545 15.684-40.68 15.745-56.142.146-15.46-15.6-15.4-40.958.145-56.64 5.362-5.41 11.867-8.96 18.72-10.65zM15.95 266.4v41.93l28.204-9.066 10.29-27.93c-12.823-1.508-25.654-3.14-38.493-4.934zm480.066.686c-17.328 2.382-34.67 4.487-52.022 6.348l.272 30.765 51.75 25.517v-62.63zm-422.448 6.4l-11.152 30.268L91.64 341.46l38.07-28.452 4.538-34.11c-20.207-1.45-40.434-3.253-60.68-5.412zm351.752 1.852c-24.378 2.35-48.78 4.185-73.21 5.504l-3.256 40.017 38.218 31.533 38.555-42.32-.307-34.735zm-272.384 4.805l-4.624 34.742 36.15 52.756 29.972-33.017-2.682-51.885c-19.588-.53-39.194-1.398-58.816-2.595zm180.35 1.62c-34.215 1.475-68.48 1.93-102.8 1.372l2.393 46.29 59.516 33.682 37.567-40.53 3.324-40.813zm-284.048 35.5L15.95 327.958v14.42c19.996 14.487 40.67 27.61 62.04 39.626V354.36l-28.752-37.098zm390.205 5.397l-40.61 44.572 3.935 36.21c32.464-15.395 62.304-32.803 91.048-53.973l-54.373-26.81zm-302.69 8.416l-40.073 29.95v31.107c25.3 13.236 51.554 25.073 78.806 35.887l-1.853-43.12-36.88-53.824zm204.01 7.338l-37.972 40.97-3.093 64.73c30.68-10.36 58.82-20.91 85.158-32.5l-4.396-40.45-39.696-32.75zm-113.156 9.502l-35.193 38.766 2.094 48.666c20.89 7.812 42.347 15.1 64.396 22.025 7.42-2.33 14.646-4.65 21.784-6.97l3.37-70.542-56.45-31.944z"}}]})(props);
};
function GiDiamonds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M431.76 256c-69 42.24-137.27 126.89-175.76 224.78C217.51 382.89 149.25 298.24 80.24 256c69-42.24 137.27-126.89 175.76-224.78C294.49 129.11 362.75 213.76 431.76 256z"}}]})(props);
};
function GiDiceEightFacesEight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 37.143L77.896 343.853h356.208zM230.154 49.79L72 164.233v157.91zm51.69 0L440 322.144V164.232zm-132.516 90.02v21.786l-8.486 9.68v-16.942c-2.772 3.24-5.692 6.367-8.385 9.664 3.536.293 2.484 5.43 2.207 7.752-1.746 9.536-8.154 17.575-13.404 24.79-1.943 2.544-3.943 5.075-6.008 7.507-4.65 3.4-8.49 4.39-10.775-1.463.294-7.806 3.84-15.22 8.046-20.967l5.288-7.918c-.048 2.462.1 4.97-.072 7.405-2.34 4.347-6.766 9.46-5.758 14.608 7.76.874 12.22-10.863 14.522-16.58.832-2.76 2.108-5.458-1.418-5.434v-7.264zm212.13 1.21l44.853 54.464v7.262l-30.304-36.31v8.472l-6.06-7.262c-.155-4.15-1.424-8.377-2.425-12.103-1.86-2.936-3.96-5.704-6.06-8.47zM256.07 203.86c8.37 0 14.733 1.53 19.088 4.587 4.355 3.027 6.533 7.475 6.533 13.344 0 3.924-1.08 7.198-3.243 9.823-2.13 2.626-5.297 4.572-9.498 5.838 4.694 1.298 8.23 3.415 10.61 6.35 2.408 2.902 3.614 6.576 3.614 11.024 0 6.857-2.286 12.047-6.858 15.57-4.54 3.49-11.288 5.233-20.246 5.233-8.988 0-15.784-1.744-20.386-5.234-4.572-3.522-6.858-8.712-6.858-15.57 0-4.447 1.19-8.12 3.57-11.024 2.408-2.935 5.96-5.052 10.655-6.35-4.2-1.265-7.366-3.21-9.497-5.837-2.13-2.625-3.198-5.9-3.198-9.822 0-5.837 2.18-10.285 6.534-13.343 4.354-3.058 10.748-4.586 19.18-4.586zm0 11.212c-2.84 0-5.035.742-6.58 2.225-1.513 1.482-2.27 3.583-2.27 6.3 0 2.75.757 4.866 2.27 6.348 1.545 1.483 3.74 2.225 6.58 2.225 2.78 0 4.926-.742 6.44-2.225 1.513-1.482 2.27-3.598 2.27-6.347 0-2.75-.757-4.85-2.27-6.3-1.514-1.484-3.66-2.226-6.44-2.226zm0 28.262c-3.336 0-5.9.912-7.69 2.734-1.793 1.823-2.69 4.433-2.69 7.83 0 3.398.897 6.008 2.69 7.83 1.79 1.792 4.354 2.688 7.69 2.688 3.305 0 5.837-.896 7.598-2.687 1.76-1.824 2.64-4.434 2.64-7.832 0-3.428-.88-6.038-2.64-7.83-1.76-1.822-4.293-2.734-7.598-2.734zM88.7 359.852L256 480.912l167.3-121.06zm139.42 23.23h54.548v4.842c-14.406 5.942-21.582 12.897-27.88 25.416h-15.76c7.104-13.803 14.546-17.714 26.67-25.416h-37.58z"}}]})(props);
};
function GiDiceFire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M218.4 24.72c-14.2 0-30.5 3.56-49.5 11.88 77.2 8.6 65.9 91.4 14.1 106.2-65.4 18.7-131.31-23.7-98.34-99.2-39.67 18.95-42.17 80.8-12.93 111.5C141.3 227.9 56.9 279 37.25 200.7-1.929 326.2 60.34 489.5 258.7 489.5c250.7 0 282-374.7 129.2-415.04 26.5 43.04-13.1 70.94-24.9 73.14-51.3 9.9-58.1-122.89-144.6-122.88zm37.5 118.08c4.5 0 9.4 1.1 12.8 2.9l115.9 67.1c7.4 4.1 7.4 10.9 0 15.2l-115.9 66.9c-7.2 4.3-18.5 4.3-25.7 0L126.8 228c-7.3-4.3-7.3-11.1 0-15.2L243 145.7c3.4-1.8 7.9-2.9 12.9-2.9zm-89 62.6c-21.6-.4-33.1 15-18.2 24.3 9.6 4.8 23.7 4.4 32.7-.8 8.8-5.3 9.5-13.7 1.5-19.4-4.3-2.5-10-4-16-4.1zm178.6.1c-20.8.4-31.3 15.5-16.3 24.5 9.6 4.9 23.9 4.6 33-.7 8.9-5.3 9.5-13.9 1.2-19.6-4.2-2.4-9.9-4-15.9-4.2h-2zm-89 0c-6.6-.1-13 1.5-17.7 4.2-10.2 5.6-10.4 15.1-.6 20.9 9.9 5.8 25.8 5.6 35.1-.6 15-9 4.6-24.3-16.8-24.5zm-141 41c1.5.1 3.4.5 5.6 1.6l111.5 64.5c7.2 4.1 12.9 14.2 12.9 22.5v119.7c0 8.3-5.7 11.7-12.9 7.6L121.2 398c-7.4-4.3-13.2-14.2-13.2-22.6V255.7c0-6.2 3-9.2 7.5-9.2zm281.3 0c4.2 0 7.2 3 7.2 9.2v119.7c0 8.4-6 18.3-13 22.6l-111.5 64.4c-7.2 4.1-12.9.7-12.9-7.6V335.1c0-8.3 5.7-18.4 12.9-22.5L391 248.1c2.1-1.1 4.2-1.5 5.8-1.6zm-185 65.5h-1.1c-5.3.4-8.5 4.8-8.5 11.6-.6 10.4 7.2 24.1 16.9 29.8 9.8 5.6 17.6 1.1 17.2-9.9.2-14.2-13.3-31.1-24.5-31.5zm130.9 21.8c-11.2.1-24.8 17.2-24.7 31.4.1 10.4 7.7 14.4 17.2 8.9 9.4-5.5 17-18.3 17.1-28.8 0-6.7-3.3-11.1-8.5-11.5h-1.1zm-216.9 22.5c-5.4.3-8.7 4.7-8.7 11.6-.5 10.5 7.3 24.1 17 29.8 9.8 5.5 17.6 1 17.2-10.1 0-14.5-14.1-31.8-25.5-31.3z"}}]})(props);
};
function GiDiceShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 24C0 312 128 488 256 488S512 312 480 24C320 56 192 56 32 24zm223.9 58.8c4.5 0 9.4 1.1 12.8 2.9l115.9 67.1c7.4 4.1 7.4 10.9 0 15.2l-115.9 66.9c-7.2 4.3-18.5 4.3-25.7 0L126.8 168c-7.3-4.3-7.3-11.1 0-15.2L243 85.7c3.4-1.8 7.9-2.9 12.9-2.9zm-89 62.6c-21.6-.4-33.1 15-18.2 24.3 9.6 4.8 23.7 4.4 32.7-.8 8.8-5.3 9.5-13.7 1.5-19.4-4.3-2.5-10-4-16-4.1zm178.6.1c-20.8.4-31.3 15.5-16.3 24.5 9.6 4.9 23.9 4.6 33-.7 8.9-5.3 9.5-13.9 1.2-19.6-4.2-2.4-9.9-4-15.9-4.2h-2zm-89 0c-6.6-.1-13 1.5-17.7 4.2-10.2 5.6-10.4 15.1-.6 20.9 9.9 5.8 25.8 5.6 35.1-.6 15-9 4.6-24.3-16.8-24.5zm-141 41c1.5.1 3.4.5 5.6 1.6l111.5 64.5c7.2 4.1 12.9 14.2 12.9 22.5v119.7c0 8.3-5.7 11.7-12.9 7.6L121.2 338c-7.4-4.3-13.2-14.2-13.2-22.6V195.7c0-6.2 3-9.2 7.5-9.2zm281.3 0c4.2 0 7.2 3 7.2 9.2v119.7c0 8.4-6 18.3-13 22.6l-111.5 64.4c-7.2 4.1-12.9.7-12.9-7.6V275.1c0-8.3 5.7-18.4 12.9-22.5L391 188.1c2.1-1.1 4.2-1.5 5.8-1.6zm-185 65.5h-1.1c-5.3.4-8.5 4.8-8.5 11.6-.6 10.4 7.2 24.1 16.9 29.8 9.8 5.6 17.6 1.1 17.2-9.9.2-14.2-13.3-31.1-24.5-31.5zm130.9 21.8c-11.2.1-24.8 17.2-24.7 31.4.1 10.4 7.7 14.4 17.2 8.9 9.4-5.5 17-18.3 17.1-28.8 0-6.7-3.3-11.1-8.5-11.5h-1.1zm-216.9 22.5c-5.4.3-8.7 4.7-8.7 11.6-.5 10.5 7.3 24.1 17 29.8 9.8 5.5 17.6 1 17.2-10.1 0-14.5-14.1-31.8-25.5-31.3z"}}]})(props);
};
function GiDiceSixFacesFive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M74.5 36A38.5 38.5 0 0 0 36 74.5v363A38.5 38.5 0 0 0 74.5 476h363a38.5 38.5 0 0 0 38.5-38.5v-363A38.5 38.5 0 0 0 437.5 36h-363zm48.97 36.03A50 50 0 0 1 172 122a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97zm268 0A50 50 0 0 1 440 122a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97zM256 206a50 50 0 0 1 0 100 50 50 0 0 1 0-100zM123.47 340.03A50 50 0 0 1 172 390a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97zm268 0A50 50 0 0 1 440 390a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97z"}}]})(props);
};
function GiDiceSixFacesFour (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M74.5 36A38.5 38.5 0 0 0 36 74.5v363A38.5 38.5 0 0 0 74.5 476h363a38.5 38.5 0 0 0 38.5-38.5v-363A38.5 38.5 0 0 0 437.5 36h-363zm48.97 36.03A50 50 0 0 1 172 122a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97zm268 0A50 50 0 0 1 440 122a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97zm-268 268A50 50 0 0 1 172 390a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97zm268 0A50 50 0 0 1 440 390a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97z"}}]})(props);
};
function GiDiceSixFacesOne (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M74.5 36A38.5 38.5 0 0 0 36 74.5v363A38.5 38.5 0 0 0 74.5 476h363a38.5 38.5 0 0 0 38.5-38.5v-363A38.5 38.5 0 0 0 437.5 36h-363zM256 206a50 50 0 0 1 0 100 50 50 0 0 1 0-100z"}}]})(props);
};
function GiDiceSixFacesSix (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M74.5 36A38.5 38.5 0 0 0 36 74.5v363A38.5 38.5 0 0 0 74.5 476h363a38.5 38.5 0 0 0 38.5-38.5v-363A38.5 38.5 0 0 0 437.5 36h-363zm48.97 36.03A50 50 0 0 1 172 122a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97zm268 0A50 50 0 0 1 440 122a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97zM122 206a50 50 0 0 1 0 100 50 50 0 0 1 0-100zm268 0a50 50 0 0 1 0 100 50 50 0 0 1 0-100zM123.47 340.03A50 50 0 0 1 172 390a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97zm268 0A50 50 0 0 1 440 390a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97z"}}]})(props);
};
function GiDiceSixFacesThree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M74.5 36A38.5 38.5 0 0 0 36 74.5v363A38.5 38.5 0 0 0 74.5 476h363a38.5 38.5 0 0 0 38.5-38.5v-363A38.5 38.5 0 0 0 437.5 36h-363zm316.97 36.03A50 50 0 0 1 440 122a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97zM256 206a50 50 0 0 1 0 100 50 50 0 0 1 0-100zM123.47 340.03A50 50 0 0 1 172 390a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97z"}}]})(props);
};
function GiDiceSixFacesTwo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M74.5 36A38.5 38.5 0 0 0 36 74.5v363A38.5 38.5 0 0 0 74.5 476h363a38.5 38.5 0 0 0 38.5-38.5v-363A38.5 38.5 0 0 0 437.5 36h-363zm316.97 36.03A50 50 0 0 1 440 122a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97zm-268 268A50 50 0 0 1 172 390a50 50 0 0 1-100 0 50 50 0 0 1 51.47-49.97z"}}]})(props);
};
function GiDiceTarget (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 16v23.2C134.4 43.81 43.81 134.4 39.2 247H16v18h23.2c4.61 112.6 95.2 203.2 207.8 207.8V496h18v-23.2c112.6-4.6 203.2-95.2 207.8-207.8H496v-18h-23.2C468.2 134.4 377.6 43.81 265 39.2V16h-18zm0 41.21V80h18V57.21C367.8 61.78 450.2 144.2 454.8 247H432v18h22.8c-4.6 102.8-87 185.2-189.8 189.8V432h-18v22.8c-102.8-4.6-185.22-87-189.79-189.8H80v-18H57.21C61.78 144.2 144.2 61.78 247 57.21zm8.9 38.12c-5 0-9.5 1.1-12.9 2.9L126.8 165.3c-7.3 4.1-7.3 10.9 0 15.2L243 247.4c7.2 4.3 18.5 4.3 25.7 0l115.9-66.9c7.4-4.3 7.4-11.1 0-15.2L268.7 98.23c-3.4-1.8-8.3-2.9-12.8-2.9zm-89 62.57c6 .1 11.7 1.6 16 4.1 8 5.7 7.3 14.1-1.5 19.4-9 5.2-23.1 5.6-32.7.8-14.9-9.3-3.4-24.7 18.2-24.3zm178.6.1h2c6 .2 11.7 1.8 15.9 4.2 8.3 5.7 7.7 14.3-1.2 19.6-9.1 5.3-23.4 5.6-33 .7-15-9-4.5-24.1 16.3-24.5zm-89 0c21.4.2 31.8 15.5 16.8 24.5-9.3 6.2-25.2 6.4-35.1.6-9.8-5.8-9.6-15.3.6-20.9 4.7-2.7 11.1-4.3 17.7-4.2zm-141 41c-4.5 0-7.5 3-7.5 9.2v119.7c0 8.4 5.8 18.3 13.2 22.6l111.4 64.4c7.2 4.1 12.9.7 12.9-7.6V287.6c0-8.3-5.7-18.4-12.9-22.5l-111.5-64.5c-2.2-1.1-4.1-1.5-5.6-1.6zm281.3 0c-1.6.1-3.7.5-5.8 1.6l-111.5 64.5c-7.2 4.1-12.9 14.2-12.9 22.5v119.7c0 8.3 5.7 11.7 12.9 7.6L391 350.5c7-4.3 13-14.2 13-22.6V208.2c0-6.2-3-9.2-7.2-9.2zm-185 65.5c11.2.4 24.7 17.3 24.5 31.5.4 11-7.4 15.5-17.2 9.9-9.7-5.7-17.5-19.4-16.9-29.8 0-6.8 3.2-11.2 8.5-11.6h1.1zm130.9 21.8h1.1c5.2.4 8.5 4.8 8.5 11.5-.1 10.5-7.7 23.3-17.1 28.8-9.5 5.5-17.1 1.5-17.2-8.9-.1-14.2 13.5-31.3 24.7-31.4zm-216.9 22.5c11.4-.5 25.5 16.8 25.5 31.3.4 11.1-7.4 15.6-17.2 10.1-9.7-5.7-17.5-19.3-17-29.8 0-6.9 3.3-11.3 8.7-11.6z"}}]})(props);
};
function GiDiceTwentyFacesOne (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M248 20.3L72 132.6l176-3.8V20.3zm16 0v108.5l175.7 3.8L264 20.3zm43.1 49.97c2.8.06 5.8.75 9.2 2.08 2.3.91 4.1 1.91 5.6 3.07 1.5 1.15 2.8 2.5 3.7 3.79 1.5 2.06 2.2 4.04 2.6 6.25 2.4-1.77 5.2-2.98 8.2-3.84 3.4-.73 7.2-.35 11.1 1.23 4.6 1.82 8.1 4.19 10.3 7.11 2.2 2.93 3.5 5.97 4 9.13.3 1.71.3 3.41.1 5.01-.1 1.7-.6 3.3-1.2 4.7-.5 1.5-1.2 3-2.3 4.3-1 1.3-2.1 2.6-3.5 3.6-2.5 2-5.5 3.3-9.1 3.9-3.6.6-7.7 0-12.3-1.8-4-1.6-7-3.8-9-6.7-1.6-2.6-2.9-5.5-3.4-8.4-2 1.5-4.2 2.5-6.9 2.9-3 .6-6.5 0-10.7-1.6-2.4-1-4.5-2.1-6.2-3.3-1.8-1.3-3.2-2.61-4.3-4.08-2.1-2.58-3.2-5.37-3.5-8.35-.2-2.9.2-5.65 1.1-8.15.5-1.29 1.3-2.57 2.1-3.92 1-1.1 2-2.21 3.1-3.26 2.4-1.77 5.2-2.97 8.5-3.53.9-.12 1.8-.17 2.8-.14zM208 75.56c4.8.05 10.9 3.57 9 10.04-4 6.9-10.3 12.17-18 14.8-7.4 2.5-15 4.4-22 1.9-3-2.3-13-9.4-15-3.4-1.2 15.3 1 13-11 17.8V92.3c10-3.9 21-4.5 31 1.3 8 4.2 19 1.5 24-5.8 1-6.5-8-4.5-12-3.3-3-8.3 7.8-8.43 13-8.9.3-.03.6-.04 1-.04zm100.5 4.46c-.9.01-1.8.14-2.8.36-2.4.61-4.2 2.17-5.1 4.67-1 2.42-.8 4.74.6 6.88 1.4 2.22 3.3 3.73 6 4.78 2.9 1.15 5.4 1.41 8 .73 2.5-.56 4.3-2.12 5.2-4.54 1-2.5.8-4.82-.7-7.01-1.4-2.14-3.5-3.77-6.4-4.92-1.6-.66-3.2-.96-4.8-.95zm28.9 10.15c-1.1.05-2.2.27-3.2.65-2.7 1.17-4.5 2.96-5.4 5.39-1 2.5-.9 5.09.4 7.59 1.2 2.6 3.6 4.6 7.2 6.1 2.9 1.1 5.8 1.3 8.6.6 2.8-.8 4.7-2.7 5.8-5.6 1.1-2.9 1.1-5.53-.5-8.01-1.5-2.47-3.7-4.37-6.6-5.51-2.3-.9-4.4-1.29-6.3-1.21zM242 144.9L55 149l72 192.9 115-197zm28 0l115.4 197L456.6 149 270 144.9zm-14 7.5L139 352.6h234.1L256 152.4zm116.6 16.4l19.2 42.5 7.2-3.3 4.1 9.2-7.1 3.2 6.3 14-10.4 4.7-6.3-14-30.2 13.6-3.9-8.7c1.4-9.2 4.4-27.8 8.9-55.7l1.8-.8.8-.3 3.1-1.5 6.5-2.9zm-225.9 12.1h1.3c2.9 0 5.5.5 7.8 1.6 6.9 3.2 10.7 8.4 11.7 15.3.9 6.9-1 15.3-5.7 25.1-4.7 9.7-10 16.5-15.8 20.3-6 3.8-12.3 4.1-19.1 1-5.9-2.8-9.4-6.7-10.6-11.9-1.2-5.3-.9-9.7.9-13.5l9.6 4.4c-.9 1.7-1.1 3.8-.8 6.3.3 2.6 1.9 4.5 5 6 3.1 1.4 6.1 1.3 9.2-.2 3.1-1.4 6.3-5.2 9.7-11.3.5-1 1.1-2.1 1.7-3.3-1.8 1.2-3.6 2-5.5 2.6-3.2.9-6.6.5-10.3-1.2-4.3-2-7.5-5.5-9.5-10.6-2.1-5-1.5-10.7 1.6-17.2l.1-.1c1.1-2.3 2.4-4.4 4-6 1.4-1.7 3.1-3.1 4.8-4.2 3.1-1.9 6.4-3 9.9-3.1zM52 186v173.2l62-5.7L52 186zm408 0l-61.9 167.5 61.9 5.7V186zm-91.9.6c-1.6 9.7-3.6 22.5-6.2 38.2l19.6-8.8-8.2-17.9-5.2-11.5zm-219.7 4.1c-1.5.1-2.9.4-4.3 1.1-3 1.4-5.1 3.5-6.5 6.5-1.6 3.4-2.1 6.5-1.2 9.6.9 3 2.7 5.1 5.4 6.4 2.8 1.3 5.7 1.3 8.5 0s5.1-3.6 6.8-7c1.4-2.9 1.7-5.9 1-9-.8-3.1-2.6-5.3-5.4-6.6-1.4-.7-2.9-1-4.3-1zm103.2 47.7h15.6v84.2h-15.6v-70.2c-8.8 5.8-15.3 9.6-19.4 11.2l-6.3 2.8v-14l6.3-2.8c4.1-1.8 10.6-5.4 19.4-11.2zm201.7 6.2h.5c3.6.3 5.7 7 4.7 11.1-.1 18.6 1.1 39.2-9.7 55.3-.9 1.2-2.2 1.9-3.7 2.5-5.8-4.1-3-11.3 1.2-15.5 1 7.3 5.5-2.9 6.6-5.6 1.3-3.2 3.6-17.7-1-10.2.7 4-6.8 13.1-9.3 8.1-5-14.4 0-30.5 7-43.5 1.3-1.4 2.5-2.1 3.7-2.2zm-393.3.9c1 .1 1 1 2 3.6v61.1c-7-7-3-17.4-4-26.4-1-7.6 2-16.3-1-23.2-5-1.7-6-17-3-12.7 4 4.8 4-2.7 6-2.4zm390.9 10.6c-1 0-2 1-2.8 3.7-1.6 5.9-3.3 13.4-.7 19.3 5.1-2 5.4-9.6 6.6-14.5 1.2-3.3-.9-8.4-3.1-8.5zM75 268.2c4-.5 7 7.2 9 10.8 3.28 12.7 4.21 13.9 3 16.8-5-3.7-4.87-7.4-5.36-8.9-1-3-1.64-5.3-3.64-8.4-3.34 2.8-3 9.1-3 13.4 0-1.6 1-2.3 4-.7 7 12.6 12 29.1 7 43.5l-2 1.1c-11-5.8-12-19.4-14-30-1-12.3-1-24.7 2-36.7 1-.6 2-.9 3-.9zm358.2 4.8c4.5.3.8 35.2.8 55l-4.4 6.7v-42.3c-4.6 7.5-9.1 9.1-6.1-.9 4.9-13.4 7.9-18.6 9.7-18.5zM77 299.2c-4 4.7-2 12.8-1 18.4 2 5.5 7 10.2 6 1.6 0-5.7 1-11.8-3-16.4 0-.6-1-1.9-2-3.6zm66 69.4l113 123.1 112.8-123.1H143zm-21 .3l-54 4.9 64 41.1c-2-2.7-5-5.7-7-8.8-5-6.9-10-13.6-19-16.6-9-6.5-4-5.3 3-2.6-1-1.8-1-2.6 0-2.6 2-.2 9 4.2 10 6.3l25 31.6 65 41.7-87-95zm268.2 0l-42.4 46.3c6.4-3.1 11.3-8.5 17-12.4 2.4-1.4 3.7-1.9 4.3-1.9 2.1 0-5.4 7.1-7.7 10.3-9.4 9.8-16 23-28.6 29.1l18.9-24.5c-2.3 1.3-6 3.2-8.2 4.1l-40.3 44 74.5-47.6c5.4-6.7 1.9-5.6-5.7-.9l-11.4 6c11.4-13.7 26.8-23.6 40-35.6 3.2-1.5 9.5-5.6 11-5.7.8-.1.2 1-2.8 4.2l-12.6 16c10-7.6.9 3.9-4.5 5.5-.7 1-1.4 2-2.2 2.9l54.5-34.9-53.8-4.9zm-158.3 16.7c1.4 0 2.7.1 4.1.2v43.4h-13v-30c-5-1.4-11 1.7-16-.3-4-2.9 1-6.8 5-5.9 3-.1 7 .2 9-3.2 3.4-3.1 7-4.2 10.9-4.2zm33.1.7s1 .1 1 .2c4 .8 7 .3 10 .4h25.6c1.5 3 .8 7.8-3.3 7.9-3.9.5-7.8-.4-11.7.2-4.7.2-9.6-1.8-14.6.4-3 1.7-4 8.5 1 6.1 4-1.1 7.3-1.8 10.8-.9 7 1.1 15 2.9 19.1 9.2 2.1 3.1 2.7 7.3.7 10.7-3.6 6.5-11.6 8.4-18.3 9.7-2.4.4-4.7 1.4-7.3 1.2-7-.6-15-1.1-20-7.1-3-2.5-3-7.1 2-6.7 3-.1 8-.4 10 3.5 3 3.7 9 3 13 2 3.6-.5 7.5-2.6 7.6-6.7.6-4.2-3.1-7.2-6.9-7.8-5.7-2.3-11.7 1.4-17.7 1.8-3 1.1-9 .5-9-4.4 1-4.2 3-8.1 3-12.5 0-3 2-7 5-7.2zm133.5 5c-.2-.2-7 5.8-9.9 8.1l-15.8 13.1c8.6-4.4 16.5-9.6 22.3-17.4 2.6-2.6 3.5-3.7 3.4-3.8zM151 405.5c3 0 8 4.6 10 7l26 31.1c-8-2.1-13-7.1-18-13.7-6-7.3-11-16.6-21-19.6-9-5-5-6.4 2-2.2 0-1.9 0-2.6 1-2.6z"}}]})(props);
};
function GiDiceTwentyFacesTwenty (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M248 20.27L72.33 132.598 248 128.775zm16 0v108.505l175.67 3.823zm37.844 55.066c4.647-.112 9.772 1.762 13.576 3.824 6.082 3.54 8.205 7.248 15.074 4.22 10.698.844 22.297 5.794 27.568 15.68 4.715 4.574 1.555 12.61-5.167 12.65-9.72.06-19.74-6.075-14.563-8.314 4.65-2.01 14.634.886 10.014-5.56-3.632-4.435-11.085-7.78-16.352-5.897-1.59 6.81-9.382 3.996-11.955-.643-2.357-5.815-9.154-8.18-15.085-7.916-6.06 2.703 1.67 8.784 5.344 9.936 7.904 2.124.217 7.454-4.062 5.07-4.28-2.386-14.993-9.645-13.523-18.34 2.188-3.336 5.514-4.623 9.13-4.71zm-94.987.293c5.534.522 12.383 3.06 10.202 9.975-4.282 6.93-9.778 13.057-18.062 14.782-6.514 3.368-14.885 4.397-21.646 1.883-3.604-2.246-13.427-9.325-14.81-3.354-.666 6.2 3.028 15.352-6.106 15.816l-5.02 2.006v-24.46c9.842-3.876 21.037-4.516 30.266 1.335 7.973 4.16 19.38 1.503 24.252-5.783 1.33-6.494-8.162-4.57-12.24-3.336-2.687-8.26 7.87-7.47 13.163-8.865zm35.012 69.282l-186.48 4.06 71.23 192.93zm28.26 0l115.25 196.99 71.23-192.93zm-14.13 7.53l-117.076 200.11h234.152zm122.4 18.132c3.895.046 7.914 1.155 10.942 2.96 13.828 8.237 21.455 26.145 22.056 42.956.084 5.698-1.618 13.246-5.966 17.016-2.85 1.984-6.025 3.198-9.244 4.432-16.824-1.18-23.932-19.237-29.727-32.625-3.405-9.887-5.777-24.05 1.74-31.32 2.533-2.45 6.305-3.465 10.2-3.42zm-227.627 7.707c6.525.26 12.91 4.953 14.844 11.32 2.083 3.974-.562 11.445-4.857 12.09-4.9.734-3.757-9.317-9.344-11.565-5.88-3.69-11.495 4.34-14.166 8.707-.33.96-.695 1.918-.896 2.914 10.397-4.057 20.312 7.093 20.304 16.953-.312 11.67-7.843 24.777-19.705 28.134h-5.564c-12.7-.706-18.296-15.853-14.163-26.63 4.42-15.785 10.772-33.904 27.134-40.6 2.048-1.002 4.24-1.41 6.413-1.323zm228.725 2.95c-7.066-.148-4.38 9.958-3.338 14.456 1.55 10.1 6.458 19.766 13.15 27.293 1.7 1.414 3.663 2.13 5.764 2.727 6.865-1.254 4.47-12.833 3.72-16.535-4.707-10.907-7.057-23.284-19.296-27.942zM52 185.98v173.266l61.86-5.703zm408 0l-61.86 167.563 61.86 5.703zm-117.88.698l28.478 63.492-10.014 4.447-20.027-43.365c-6.02 3.062-12.98 8.95-14.56-1.303-1.344-3.955 8.546-5.1 8.15-11.993-.393-6.892 2.154-12.126 7.972-11.28zm-205.847 24.3c-2.302.156-4.453 1.392-6.148 3.133-2.417 5.077-4.1 10.268-2.695 15.913 1.668 8.807 13.515 6.41 15.576-.85 2.663-4.976 3.863-11.65-.49-15.696-1.722-1.623-3.514-2.38-5.248-2.5-.335-.024-.666-.023-.995 0zm317.48 33.65c3.69.262 5.783 6.924 4.74 11.038-.137 18.62 1.144 39.21-9.677 55.322-.96 1.253-2.258 1.946-3.675 2.56-5.81-4.17-3.01-11.36 1.114-15.566 1.01 7.297 5.573-2.882 6.676-5.56 1.31-3.18 3.52-17.75-.983-10.27.69 4.05-6.805 13.154-9.38 8.118-4.937-14.41-.017-30.488 7.025-43.436 1.526-1.667 2.933-2.292 4.162-2.205zm-393.823.845c.588.086 1.344 1.032 2.478 3.584v61.156c-7.297-7.04-3.567-17.42-4.45-26.402-.814-7.606 1.655-16.264-1.274-23.193-4.622-1.674-5.797-17.045-3.176-12.672 4.407 4.768 4.657-2.73 6.422-2.472zm166.013 4.34c4.463.077 8.93 1.227 12.8 3.32 8.1 4.427 13.744 14.375 10.792 23.568-2.265 9.636-10.61 16.243-19.195 20.208-4.058 2.644-9.45 4.618-11.283 9.46-1.196 2.994 25.396 1.62 30.267 1.62.47 4.003 1.52 10.68-3.814 11.725-14.52-1.25-29.88-.606-45.14-.606.437-11.176 7.425-21.35 17.023-26.808 6.9-4.875 15.435-9.283 18.1-17.927 1.763-4.44-.56-9.28-4.632-11.47-4.154-2.874-10.947-2.34-13.178 2.7-1.992 3.82-4.38 9.075-8.657 9.604-2.893.358-8.99.475-7.263-4.873 1.46-5.63 3.413-11.567 8.263-15.213 4.45-3.726 10.18-5.403 15.918-5.306zm58.565.517c2.548.043 5.088.494 7.46 1.352 6.835 2.2 12.034 7.93 14.296 14.656 6.14 14.67 5.577 33.025-4.407 45.89-4.434 4.726-10.147 9.084-16.93 9.104-12.504-.152-22.452-11.172-24.83-22.865-3.145-13.39-1.786-28.618 6.913-39.733 3.686-5.435 10-8.212 16.406-8.398.364-.01.728-.012 1.092-.006zm166.388 5.768c-.997-.037-2.02.973-2.777 3.683-1.645 5.895-3.323 13.392-.755 19.298 5.1-1.992 5.47-9.617 6.676-14.437 1.127-3.304-.95-8.46-3.144-8.542zm-165.834 5.593c-3.386-.167-6.824 2.62-8.324 5.64-2.258 4.143-2.065 9.04-2.812 13.594-.813 9.084-.33 19.23 5.457 26.707l2.207 1.472c4.928 1.78 9.694-2.16 11.07-6.74 1.962-6.234 2.34-12.9 2.43-19.407-.235-7.035-1.47-14.922-6.73-20.012-1.044-.813-2.17-1.196-3.298-1.252zm148.954 5.158v61.156l-4.452 6.672v-42.254c-4.61 7.453-9.028 9.044-6.066-.912 6.054-7.15 4.81-17.41 10.518-24.662zm-359.37 1.11c.02.07.043.14.063.208 4.513-.497 7.276 7.277 9.104 10.865.8 3.573 5.12 17.77 2.032 14.798-.273-.453-.53-.914-.795-1.37l1.837 3.3c-4.598-3.657-6.375-10.487-4.444-8.024-1.558-3.014-2.96-6.095-4.218-9.24-.06 1.18-.727 2.115-2.465 2.793-1.287 3.49-1.265 7.08-.67 10.645.2-1.67 1.175-2.384 3.385-.754 7.842 12.624 12.176 29.107 7.298 43.498l-2.224 1.11c-10.357-5.83-11.404-19.436-13.427-30.003-1.555-12.29-.788-24.71 2.3-36.71.807-.547 1.567-.828 2.284-.907-.02-.07-.042-.137-.06-.207zm.06.208c.114.417.237.826.368 1.225-.12-.408-.25-.813-.365-1.224zm2.052 31.07c-4.06 4.626-2.26 12.79-.377 18.4 1.108 5.507 6.916 10.14 6.056 1.52-.05-5.63.17-11.725-3-16.39-.96-.537-1.907-1.898-2.678-3.53zm66.396 69.317L256 491.73l112.846-123.177zm-21.394.33l-53.797 4.96 64.223 41.065c-2.556-2.703-4.856-5.71-7.118-8.763-5.132-6.95-10.468-13.657-18.88-16.672-8.736-6.442-4.18-5.276 2.9-2.537-.948-1.854-.725-2.61.123-2.668 2.17-.153 8.43 4.226 9.74 6.37l24.706 31.606 65.15 41.656zm268.48 0l-42.472 46.36c6.404-3.148 11.38-8.538 17.056-12.493 2.396-1.346 3.72-1.896 4.295-1.89 2.055.017-5.43 7.116-7.682 10.333-9.42 9.813-16.066 23.033-28.668 29.114l18.914-24.46c-2.32 1.26-5.94 3.19-8.21 4.085l-40.28 43.968 74.468-47.615c5.48-6.718 1.903-5.537-5.64-.896l-11.438 6.014c11.46-13.746 26.855-23.568 40.053-35.582 3.162-1.492 9.503-5.663 10.986-5.738.777-.04.22 1.045-2.824 4.228l-12.613 15.965c10.01-7.533.884 3.926-4.45 5.56-.695 1.01-1.44 1.95-2.212 2.862l54.512-34.856zm-158.265 16.644c1.358.01 2.71.125 3.998.295v43.365h-13.35v-30.02c-5.04-1.378-10.417 1.722-15.34-.27-3.758-2.94 1.01-6.846 4.524-5.89 3.278-.126 7.556.197 9.324-3.234 2.635-3.34 6.77-4.274 10.845-4.246zm33.048.81c.464-.02.963.037 1.497.186 3.147.81 6.466.245 9.695.413h25.402c1.503 2.992.752 7.75-3.305 7.855-3.893.51-7.81-.382-11.69.212-4.698.146-9.753-1.773-14.198.404-3.122 1.66-4.165 8.505.988 6.076 3.366-1.11 6.912-1.807 10.408-.89 6.984 1.103 14.966 2.89 19.125 9.19 2.076 3.156 2.672 7.337.633 10.67-3.602 6.528-11.534 8.407-18.295 9.75-2.337.443-4.66 1.404-7.03 1.21-7.245-.593-15.603-1.083-20.603-7.144-2.662-2.494-2.703-7.097 1.903-6.66 3.57-.142 8.657-.4 10.322 3.505 3.247 3.66 8.837 2.94 13.127 1.98 3.588-.483 7.53-2.548 7.584-6.673.59-4.21-3.078-7.18-6.844-7.8-5.818-2.365-11.57 1.405-17.37 1.827-3.463 1.046-9.578.48-8.936-4.465.76-4.188 2.663-8.108 2.71-12.46.09-3.005 1.634-7.03 4.877-7.184zm133.47 4.975c-.21-.248-6.99 5.744-9.92 8.08l-15.75 13.118c8.59-4.363 16.472-9.61 22.275-17.448 2.553-2.6 3.476-3.652 3.394-3.75zm-247.032 14.16c2.39-.02 7.543 4.65 9.45 7.06l26.11 31.11c-7.722-2.182-13.29-7.19-17.653-13.777-6.43-7.316-11.282-16.606-21.213-19.54-8.943-5.002-5.18-6.42 2.133-2.264-.273-1.858.24-2.582 1.174-2.59z"}}]})(props);
};
function GiDigDug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M117.4 17.8l-94.9 96.3c16.2 19.2 43.7 35.5 66.2 40.2 15.3 3 30.6 1.8 43.3-4.7 29.3 28.9 58.2 58.3 87 87.9l22.2-22.3-87.6-87.5c6.3-12.6 8.5-27.95 4.5-42.8-8.2-30.5-21.2-47.58-40.7-67.1zm125.1 9.5c-9.3.1-18.5.9-27.5 2.7 117.1 70.5 204.6 164.7 273.6 273.7 2.8-59.2-21.2-120.2-59.3-169.7-15 5.5-33.5.6-46.4-12.2-12.8-12.9-17.7-31.4-12.2-46.4-39.3-29.9-84.3-48.3-128.2-48.1zM128.4 60.2c5.7 9.5 9.5 19.2 11.3 28.3 3.3 16.5.2 30.1-8.6 38.9-8.7 8.7-22.3 11.8-38.8 8.6-9.1-1.8-18.8-5.6-28.4-11.3zm263.5 15.9c-7.2 7.04-6.6 21.6 4.3 32.4 10.8 10.9 25.3 11.4 32.5 4.3 7.1-7.2 6.9-22-4.3-32.5-8.7-8.13-23.1-13.47-32.5-4.2zm-56.3 71.2L22.3 460.7c4.2 11.5 10.7 20.4 24.5 24.9L360.3 172c-7.5-8.7-15.8-16.9-24.7-24.7zm-43.2 119.1l-23.1 23.1c32.5 34 65 68.3 97.4 102.5-15.6 14.5-31.7 27.2-46.5 36.1 55.9 56 124.9 78.1 162 54.5 22.8-37.3 1.1-106.5-54.5-162.1-9.6 15-22 30.7-35.5 45.7z"}}]})(props);
};
function GiDigHole (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M443.805 69.348a3.472 3.472 0 0 0-.487.012c-12.998 1.235-31.783 19.242-24.832 30.295 3.356 5.336 13.305-.725 18.375-4.47 6.51-4.808 13.783-12.883 12.417-20.858-.41-2.39-3.026-4.878-5.472-4.98zm-57.483 5.647c-8.19.032-26.684 20.257-25 33.406.65 5.08 7.206 9.603 12.31 9.195 7.353-.59 12.785-8.993 15.395-15.89 3.123-8.252 6.932-23.048-1.213-26.44a3.82 3.82 0 0 0-1.492-.27zm2.477 56.144a57.016 57.016 0 0 0-12.344 1.283c-11.92 2.58-22.49 8.992-27.15 16.5-.004.008-.008-.008-.013-.012.02.03.06.12.176.61.257 1.092 1.213 3.267 2.598 5.862 2.77 5.19 8.083 12.27 6.315 22.35-2.377 13.553-12.455 21.748-19.912 28.853-.475.453-.902.88-1.353 1.318.2 1.22.36 2.456.485 3.707.876 8.88.196 18.3-3.415 26.436.867.716 1.735 1.27 2.56 1.588 6.51 2.502 18.693-1.57 27.11-7.795 5.37-3.972 9.217-10.368 12.973-18.44 3.756-8.073 7.244-17.554 13.272-26.32 2.182-3.176 4.618-5.91 7.054-8.39-2.554-7.28-3.338-15.11-1.02-22.623 2.335-7.574 7.147-14.296 13.2-19.853-.148-.11-.296-.23-.445-.32-5.107-3.06-12.35-4.71-20.09-4.754zm50.073 9.36a9.34 9.34 0 0 0-1.268.077c-2.357.28-5.852 1.578-9.335 3.766-6.967 4.376-13.556 12.553-14.936 17.03-.77 2.498-.33 9.123 1.82 13.91 1.78 3.962 3.69 5.435 4.83 5.944.358-.657.826-1.468 1.366-3.304 1.39-4.735 2.083-11.754 5.396-18.637 3.4-7.062 8.74-12.182 11.736-16.395.878-1.234.954-1.58 1.315-2.305a6.222 6.222 0 0 0-.924-.084zm-153.338 14.913l-58.824 44.12c4.327 11.118 10.304 31.646 10.304 31.646l-9.834 13.342-11.237-15.45-8.927-27.895h-12.682l-29.252 43.877 5.912 28.966-36.85-32.242-92.828 75.52 10.75 23.457 50.147-6.326 53.844-31.335 50.834 8.187 8.366 1.236-4.215-3.51 1.274-5.413c2.75-11.698 11.897-22.636 24.286-35.38 12.388-12.743 28.288-26.233 45.093-37.98a323.56 323.56 0 0 1 3.48-2.398c1.75-8.443 6.424-16.227 11.29-23.008 3.573-4.98 7.436-9.29 11.496-12.556 2.03-1.632 4.086-3.034 6.636-4.066 1.275-.516 2.804-1.003 4.523-1.15a11.955 11.955 0 0 1 5.664.897c1.68.7 3.09 1.605 4.29 2.643.523-.515 1.1-1.06 1.6-1.564l-45.14-33.62zm32.867 51.695c-2.15 1.888-4.826 4.748-7.314 8.215-5.457 7.604-8.88 17.797-8.47 21.383.04-.004.265.43.935.904.947.67 2.482 1.108 2.832 1.12 3.006.098 9.538-4.113 11.176-7.58 1.623-3.435 2.762-11.358 2.13-17.77a30.344 30.344 0 0 0-1.288-6.272zm-15.785 29.598c-.016.002-.01.06.024.25-.013-.074-.014-.17-.023-.25zm95.99-3.38c1.572 7.582 1.293 16.09.032 24.747-2.49 17.077-9.143 36.21-17.658 54.863a337.355 337.355 0 0 1-11.28 22.405l20.52 3.032 91.26 22.767-8.523-55.903-21.483-36.92-23.43 7.81-16.154 28.796 9.13-43.545 21.145-9.063-2.758-4.738-40.803-14.252zm-17.293 6.812c-1.985 2.21-4.208 4.292-6.752 6.173-11.307 8.364-27.884 16.426-44.275 10.124a32.986 32.986 0 0 1-7.887-4.365c-4.762 3.095-10.425 4.853-16.607 4.65-4.77-.157-8.94-1.797-12.645-4.42-1.752-1.24-3.452-2.775-4.875-4.637-14.494 10.46-28.23 22.263-38.765 33.1-8.307 8.545-14.397 16.95-17.475 22.306l23.22 19.34c6.954-6.846 16.983-15.512 27.226-23.692 6.957-5.558 13.793-10.65 19.657-14.303 2.93-1.827 5.555-3.305 8.357-4.373 1.4-.534 2.837-1.008 4.82-1.168 1.984-.16 5.106.007 7.963 2.387s3.588 5.42 3.79 7.4c.2 1.98-.008 3.48-.28 4.954-.544 2.95-1.522 5.796-2.79 9.01-2.533 6.427-6.304 14.07-10.513 21.92-6.194 11.55-12.904 22.982-18.38 31.058l23.222 19.342c4.713-3.996 11.878-11.504 18.78-21.22 9.503-13.375 19.466-30.66 27.5-48.264 8.037-17.603 14.128-35.618 16.22-49.983.88-6.043.977-11.16.488-15.34zM302.88 305.75a292.33 292.33 0 0 0-9.167 7.032c-12.01 9.593-24.005 20.703-28.615 25.584.282 4.886 1.298 8.09 2.254 9.133 1.01 1.1 3.36 2.304 10.28 1.31 3.964-5.413 12.724-19.223 19.99-32.772a292.287 292.287 0 0 0 5.257-10.287zm-45.734 41.66l-78.2 93.886c6.896.442 13.966.79 21.19 1.052l70.038-84.085-13.028-10.852zm-32.03 10.333c-15.156.146-29.902.68-44.052 1.568l-12.21 15.84-4.856-14.565c-21.108 1.803-40.613 4.395-57.873 7.61l-1.336 47.68-11.593-45.073a350.03 350.03 0 0 0-7.463 1.72c-18.672 4.534-33.576 9.968-43.076 15.422-9.5 5.454-12.14 10.133-12.14 12.233 0 2.1 2.64 6.778 12.14 12.232 9.5 5.453 24.404 10.887 43.076 15.42 20 4.857 44.368 8.75 71.565 11.33l67.815-81.417zm125.075 8.602c-9.647 13.38-18.383 23.522-28.817 28.09l-5.094 2.23-32.274-26.883-60.647 72.81c3.367.04 6.75.063 10.158.063 57.95 0 110.438-5.756 147.783-14.824 18.673-4.533 33.577-9.967 43.077-15.42 9.5-5.455 12.14-10.133 12.14-12.233 0-2.1-2.64-6.78-12.14-12.233-9.5-5.454-24.404-10.888-43.076-15.422-1.168-.283-2.395-.555-3.593-.832l-14.178 50.64-1.727-53.964a481.776 481.776 0 0 0-11.612-2.02z"}}]})(props);
};
function GiDigitalTrace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23C127.425 23 23 127.425 23 256s104.425 233 233 233 233-104.425 233-233S384.575 23 256 23zm0 18c26.584 0 52.025 4.824 75.516 13.623l-19.405 51.746a160 160 0 0 1 56.955 36.565l39.002-39.002a215.033 215.033 0 0 1 45.006 65.957l-43.601 40.707 58.69 10.45c.783 4.806 1.41 9.663 1.87 14.57l-51.709 4.923-8.851-29.943-9.073-30.688-45.064 42.072C341.166 180.736 301.982 151 256 151c-14.248 0-27.841 2.86-40.242 8.027l1.732-61.66-29.011 13.5-29.012 13.502 48.3 38.393C174.078 180.266 151 215.494 151 256c0 44.296 27.593 82.287 66.488 97.682l-44.047 43.064 30.243 10.461 30.242 10.461-8.024-61.074A104.612 104.612 0 0 0 256 361c57.883 0 105-47.117 105-105 0-8.8-1.096-17.349-3.146-25.523l57.892 10.308-.613.059A160 160 0 0 1 416 256a160 160 0 0 1-96.7 146.744l21.887 50.738C315.072 464.747 286.276 471 256 471a216.252 216.252 0 0 1-44.543-4.623l-7.773-59.17-42.688 41.736a215.464 215.464 0 0 1-63.52-47.63l40.7-37.31A160 160 0 0 1 96 256a160 160 0 0 1 46.934-113.066l-39.002-39.002a215.648 215.648 0 0 1 37.867-30.166l46.68 37.101 1.673-59.603C210.902 44.607 233.024 41 256 41zm0 128c30.33 0 56.962 15.413 72.525 38.854l-41.802 39.027 56.265 10.02C342.507 304.637 303.855 343 256 343c-1.013 0-2.02-.025-3.023-.059l-7.45-56.7-40.93 40.015C182.998 310.447 169 284.903 169 256c0-25.708 11.075-48.755 28.723-64.662l44.76 35.58 1.605-57.107c3.894-.53 7.869-.811 11.912-.811zm0 55a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32z"}}]})(props);
};
function GiDimetrodon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M298.982 97.941l2.643 154.663c1.182.007 2.364.01 3.543.035 3.934.083 7.85.268 11.742.55a1319.32 1319.32 0 0 0 2.065-13.32c1.971-13.106 4.467-30.398 6.918-47.613 4.548-31.951 8.58-61.086 9.189-65.483-11.4-16.17-23.595-27.229-36.1-28.832zm-17.97 1.829c-13 3.035-25.958 9.247-38.569 18.001l28.79 136.65a235.34 235.34 0 0 1 12.4-1.23zm-54.348 30.412c-10.78 9.487-21.187 20.728-31.01 33.297l46.041 96.562a235.422 235.422 0 0 1 11.756-2.707zm123.195 20.964c-1.74 12.454-3.88 27.722-6.146 43.647-2.454 17.239-4.954 34.555-6.94 47.754-.746 4.962-1.385 9.079-1.959 12.67 5.185.8 10.306 1.782 15.352 2.941l21.506-58.947c-6.572-16.604-13.908-33.22-21.813-48.065zM183.588 180c-7.51 10.993-14.573 22.735-21.09 34.992l50.52 54.461a231.898 231.898 0 0 1 11.232-4.174zm197.787 45.133l-13.803 37.828c10.575 3.434 20.693 7.707 30.207 12.78-3.986-13.445-9.533-31.244-16.404-50.608zm-227.492 7.039a411.753 411.753 0 0 0-13.508 32.072l38.656 22.258a226.545 226.545 0 0 1 16.66-9.258zm146.219 38.94c-50.046.083-99.53 19.975-138.327 48.306-26.682 37.672-120.21 39.383-139.056 77.502 47.173.69 109.846-26.377 150.062-38.574 7.15 3.76 14.778 7.626 21.053 10.459-4.837 14.275-11.095 31.767-7.965 45.254h81.8c-1.925-11.9-33.018-13.838-38.062-19.784-3.905-4.603-4.286-9.148-3.253-13.949 31.11 7.79 74.47 5.796 102.304-1.285 1.08 11.712 6.056 23.306 8.774 35.018h69.882c-12.354-8.423-35.004-13.834-40.048-19.78-7.943-9.361-3.555-22.048 5.386-31.074 10.2-10.296 17.087-13.427 31.737-22.469 17.765 7.829 59.647 15.906 69.1.215-7.47-1.42-15.012-3.545-22.428-6.308l6.285-16.868c10.747 4.005 21.83 6.277 31.935 6.881-.27-7.465-9.186-14.357-23.668-18.297-3.352-27.585-50.887-28.619-72.709-12.677-25.018-14.046-55.73-21.865-87.97-22.526a218.254 218.254 0 0 0-4.832-.045zm-165.735 10.443c-4.395 13.681-7.997 27.493-10.713 41.193 6.995-3.509 14.07-7.05 21.315-10.693a222.72 222.72 0 0 1 17.44-14.356z"}}]})(props);
};
function GiDinosaurBones (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M236.375 34.5l-18.53 2.406 5.06 39.407c-9.114 1.973-18.22 4.657-27.28 8.062l-9.5-40.156-18.188 4.31 10.25 43.345c-8.443 4.105-16.825 8.87-25.093 14.344l-17.28-42.876-17.314 6.968 19.03 47.22c-5.018 4.003-9.758 8.155-14.25 12.468L89.47 89.625l-14.345 12 35.22 42.063c-4.675 5.425-9.01 11.022-12.97 16.78L53.47 133.5l-9.782 15.938 43.874 26.906c-3.705 6.694-6.962 13.558-9.812 20.53l-47.53-12.81-4.845 18.06L71.5 214.532c-3.59 11.932-6.03 24.1-7.344 36.345l-39.656-2.25-1.03 18.688 39.56 2.218c-.18 11.804.654 23.588 2.47 35.19L31.375 311l3.375 18.375 34.47-6.344c2.885 11.524 6.74 22.782 11.56 33.595l-26.31 11.97 7.75 17 27-12.283c5.96 10.538 12.905 20.534 20.78 29.813l-20.53 16.813 11.843 14.468 21.5-17.625c8.905 8.594 18.724 16.354 29.406 23.126L141.53 456l15.564 10.344 11.437-17.22c11.12 5.558 23.014 10.1 35.626 13.47l3.563-17.72c-10.315-2.77-20.055-6.39-29.19-10.812l7.47-11.25-15.563-10.343-8.28 12.467c-9.12-5.807-17.506-12.456-25.157-19.78l13.906-11.407-11.844-14.438-14.843 12.157c-6.764-8.09-12.778-16.756-18-25.908l22.5-10.25-7.75-17-23.19 10.563c-4.193-9.428-7.62-19.208-10.218-29.22l32.313-5.967-3.375-18.375-32.72 6.03c-1.586-10.158-2.347-20.456-2.25-30.78l40.032 2.25 1.063-18.657-39.97-2.25c.73-6.54 1.805-13.07 3.25-19.53 4.226.572 9.16 1.176 15.064 1.843 14.326 1.616 32.835 3.446 51.155 5.186 29.98 2.848 49.638 4.533 59.375 5.375l-33.063 72.345-5.78 12.656 1.343.064L234.563 365l9.406-16.156-29.94-17.375 51.782 2.092.75-18.687-49.343-2 33.593-13.22-6.844-17.405-35.407 13.938L234 240.53l5.5-12.06-13.22-1.126s-35.88-3.062-72.405-6.53c-18.263-1.736-36.696-3.565-50.813-5.158-4.618-.52-8.52-1.014-12.03-1.47 9.83-29.017 27.474-56.23 53.812-78.5l20.937 52 17.345-7-22.875-56.75c.296-.202.578-.42.875-.624 7.11-4.84 14.278-9.096 21.47-12.812l18.874 79.906 18.186-4.28-19.72-83.5c8.432-3.326 16.87-5.95 25.314-7.876l11.78 91.75 18.532-2.375-11.875-92.53c8.964-1.012 17.896-1.247 26.75-.814l3 96.19 18.688-.595-.344-11.25 34.22 39.28-37.28 17.064 7.78 17 32.313-14.782-15.688 32.343 16.813 8.19L353.344 226l2.72-5.563-4.064-4.656-41.375-47.468 50.53-47.843c23.78 15.006 45.428 35.18 63.533 59.343-23.814 6.14-44.022 24.153-50.688 53.718l47 103.064 16.875-2.406-26.938-68.625 17.407-6.844 28.562 72.75 34.813-5-8.408-138.626c-11.76-6.55-24.637-9.992-37.312-10.375-4.585-6.65-9.41-13.05-14.47-19.19l18.564-18.686-13.25-13.156-17.72 17.812c-5.074-5.355-10.35-10.44-15.78-15.28l18.125-27.314-15.595-10.312-17 25.656c-6.047-4.625-12.28-8.927-18.656-12.906l10.56-31.844-17.75-5.875-9.374 28.28c-7.146-3.664-14.46-6.923-21.906-9.75l3.156-33.686-18.625-1.75-2.75 29.5c-8.182-2.25-16.497-3.956-24.905-5.126l-.938-30.188L269 44.22l.875 27.936c-1.664-.064-3.33-.105-5-.125-1.19-.013-2.37-.007-3.563 0-6.633.05-13.29.455-19.968 1.22l-4.97-38.75zm52.844 58.22c7.597 1.222 15.11 2.952 22.53 5.155l-4.438 47.406.407.032-16.376 15.5-2.125-68.093zm40.717 11.56c4.807 1.977 9.565 4.156 14.25 6.532l-16.312 15.438 2.063-21.97zM441.5 195.5c.786-.023 1.572.006 2.375.063 12.852.9 22.34 11.843 21.438 24.687-.902 12.84-11.836 22.34-24.688 21.438-12.852-.902-22.34-11.848-21.438-24.688.845-12.037 10.52-21.152 22.313-21.5zM328.25 439.563c-5.288 1.61-10.488 3.022-15.625 4.28l4 18.282c5.63-1.356 11.322-2.9 17.094-4.656l-5.47-17.908zm-33.906 8.093c-7.15 1.227-14.145 2.1-20.97 2.656l.376 18.532c8.005-.56 16.202-1.516 24.563-2.938l-3.97-18.25zM226 448.75l-3.594 17.78c10.464 1.76 21.356 2.75 32.656 2.876l-.375-18.344c-9.96-.06-19.515-.87-28.687-2.312z","fillRule":"evenodd"}}]})(props);
};
function GiDinosaurEgg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304.813 31c-2.68 0-5.374.062-8.063.188-12.293.574-24.667 2.45-36.97 5.75-49.2 13.2-116.718 54.886-166.967 106.406-50.25 51.52-82.375 112.03-68.97 162.125 13.725 51.285 64.74 99.784 125.563 131.217 60.823 31.434 130.982 45.438 179.094 32.532 48.112-12.908 96.36-58.455 128.156-114.595 31.795-56.14 46.91-122.3 33.03-174.156C465.62 90.534 387.885 30.977 304.815 31zm-13.875 32.156c23.905.353 42.986 8.247 51.593 23.563 17.217 30.63-14.003 79.414-69.75 108.968-55.745 29.553-114.908 28.66-132.124-1.97-17.215-30.63 14.035-79.415 69.78-108.968 27.875-14.777 56.596-21.947 80.5-21.594zm175.968 122.656c25.964 97.013-56.265 238.79-147.094 263.157-55.228 14.817-136.132-7.745-196.906-49.5 136.662 62.11 320.135 11.945 344-213.658zM96.75 205.75c20.858 0 37.75 16.89 37.75 37.75s-16.89 37.78-37.75 37.78-37.78-16.92-37.78-37.78 16.922-37.75 37.78-37.75z"}}]})(props);
};
function GiDinosaurRex (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M249.03 20.844c-15.316.043-30.757 3.48-44 9.187-7.74-.592-15.25-.91-22.5-.905-90.62.073-143.082 46.573-163.968 126.313v340.218h189.313c-5.18-54.53 5.24-114.066 27.28-154.625-28.882-4.973-57.912-8.197-85.843-9.217l-7.656-.282-1.22-7.592c-9.48-58.97-10.128-119.04 22.064-176.47l16.313 9.126c-28.177 50.266-29 102.555-20.97 157.062 81.76 4.08 170.21 25.267 239.376 54.844 22.725-5.73 33.816-29.686 41.842-65.5l-31.968 21.625-10.03-44.438-45.69 30.907-10.78-47.72-43.25 29.22-10.688-47.313-43.812 29.626-15-66.406 70.844-47.906 10.687 47.344 43.813-29.625 10.78 47.718 43.25-29.25 10.032 44.407 45.656-30.875 7.688 34.063c20.848-26.98 35.224-66.535 14.406-85.28-25.446-22.914-52.26-43.34-79.406-60.564-6.566-24.932-61.027-77.113-93.75-47.874-14.44-21.414-38.472-29.88-62.813-29.812zm2.19 21.625c18.102 0 32.593 14.55 32.593 32.78 0 3.19-.453 6.25-1.282 9.156-3.084-6.24-9.503-10.562-16.936-10.562-10.436 0-18.906 8.47-18.906 18.906 0 6.22 3.018 11.713 7.656 15.156-1.03.097-2.07.125-3.125.125-18.104 0-32.626-14.55-32.626-32.78s14.522-32.78 32.625-32.78z","fillRule":"evenodd"}}]})(props);
};
function GiDiplodocus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M346.647 22.946c-19.81.144-40.982 6.645-48.194 25.359A39.33 20.719 0 0 0 279.4 66.033a39.33 20.719 0 0 0 36.664 20.649c17.706 4.338 42.703-3.822 56.312-25.166 22.5 9.72 50.156 21.74 56.615 47.18 13.014 51.25-19.25 147.44-38.24 153.953-54.464 18.681-114.531 21.169-152.465 45.69-43.773 28.295-72.155 82.248-111.75 92.456-32.22 8.307-96.032-7.227-103.89 18.01-1.202 8.7 6.012 16.63 25.914.074 28.679 7.782 106.19 35.345 179.18-23.144a169.515 169.515 0 0 0 14.203 7.9c.994 27.816 8.107 57.606 12.525 85.422h46.705l-4.916-44.467c4.988-16.298 11.013-25.643 14.697-43.342l17.664 3.461c-2.009 10.255-3.905 12.287-7.558 22.088 10.685.506 22.867-.07 33.894-1.025-7.715-17.771-11.885-41.54-15.886-57.371l17.45-4.41c5.517 21.825 14.342 52.147 17.983 60.296 3.248 7.27 11.303 64.77 11.303 64.77h37.223l7.515-85.74c28.595-16.919 38.1-37.13 43.64-60.215 19.358-80.647 23.886-168.749-7.448-243.842-19.615-47.005-57.366-60.762-91.875-72.01-7.463-2.65-17.643-4.381-28.211-4.304zm124.39 367.332c-6.211 7.738-13.93 15.286-23.39 22.273-1.986 24.653-3.834 51.635-5.881 76.506h32.767s-1.97-56.922-3.496-98.78zM356.46 443.266c-11.83 1.167-25.701 1.252-39.832.293l4.838 45.498h41.787z"}}]})(props);
};
function GiDiploma (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440.41 67.996C305.221 82.672 154.69 102.263 24.955 128.82l41.068 278.137c84.113-17.286 175.36-32.728 265.59-45.207a404.446 404.446 0 0 0-4.63-19.385C245.851 354.53 163.671 369.2 90.36 385.582l-9.457 2.113-34.42-233.98-1.199-8.162 8.028-1.903c117.04-27.75 246.945-46.473 361.992-55.459l8.101-.632 42.905 236.183-9.498 1.131a4251.105 4251.105 0 0 0-36.885 4.574 515.021 515.021 0 0 0 5.328 20.397c20.837-2.417 41.486-4.672 61.789-6.701zm-31.794 38.846c-109.549 8.936-231.99 26.686-343.111 52.513L95.9 365.988c67.613-14.83 141.885-28.138 215.711-39.42-8.203-8.985-12.553-20.468-13.465-32.668-1.029-13.772 7.132-25.138 16.83-33.238 9.699-8.1 21.523-13.738 32.178-16.762 8.076-2.291 17.439-3.63 26.91-3.377a79.69 79.69 0 0 1 9.465.809c12.549 1.849 25.402 7.232 32.063 19.29 8.874 16.064 8.83 34.87 3.006 50.94a4202.77 4202.77 0 0 1 26.601-3.328zM173.4 172.346l2.631 17.804-73.998 10.926-2.629-17.805zm112.774 40.562l3.015 17.744-176.535 29.989-3.013-17.745zm-40.02 42.744l3.002 17.746-130.05 22.008-3.002-17.746zm124.649 2.895c-6.602.12-13.295 1.125-18.733 2.668-8.206 2.329-18.358 7.251-25.554 13.262-7.196 6.01-10.85 12.302-10.418 18.082.841 11.258 4.644 19.335 12.982 25.699 8.338 6.364 22.136 10.986 43.193 11.719 11.576.402 21.654-7.628 27.588-20.147 5.934-12.519 6.623-28.477-.021-40.506-2.916-5.279-9.587-8.808-18.934-10.185a58.923 58.923 0 0 0-7.283-.588 71.452 71.452 0 0 0-2.82-.004zm32.095 77.205c-8.366 7.734-19.065 12.635-31.25 12.21-9.477-.329-17.995-1.37-25.625-3.11 11.987 47.995 15.644 99.063 19.436 146.17 12.367-8.327 22.462-19.54 28.582-36.221l4.924-13.422 9.973 10.244c12.052 12.381 25.366 19.027 39.718 24.55-14.655-44.078-34.119-92.013-45.758-140.421z"}}]})(props);
};
function GiDirectionSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M66.26 62.5c-4.533 0-9.11.862-11.564 1.906-.914.39-1.142.617-1.377.797v32.26l26.488.287-.47-32.488c-.237-.183-.513-.445-1.47-.85C75.382 63.36 70.795 62.5 66.26 62.5zM365.22 78.293c-.528.005-1.08.022-1.65.05-2.287.117-4.886.428-7.47.968-5.167 1.08-10.42 3.023-13.677 4.973-2.754 1.65-3.064 2.87-3.095 2.225l.143 20.05 29.85.323V78.585c-.124-.03-.017-.013-.16-.04-.998-.18-2.358-.267-3.94-.25zM19.413 115.1l.56 54.732 11.036 8.027-4.257 66.695 132.46 8.416-133.66 6.99-3.5 44.987 361.22-1.93 48.19-36.52.257-12.01 60.867-41.66-39.547-40.106-56.44-6.484 39.544-5.52-58.74-35.747zM369.32 321.092l-27.723.148 1.63 167.76h26.092V370.074l-9.272-4.303 9.27-5.23zm-286.428 1.53l-29.573.16V489h31.867z"}}]})(props);
};
function GiDirectionSigns (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M277.3 35.11l-32.1 2.12-1 32.93 33.6.05-.5-35.1zM151.7 88.04L67.96 118.9 152 169.2l188-6.2 2.4-74.72-190.7-.24zM279.2 183l-38.3 1.3-.8 27.8 39.5 1.2-.4-30.3zm-93.1 45.6l.8 64.2 200.4.9 51.7-29.2-55.8-30.2-197.1-5.7zm51.1 82.5l-5 175.3 50.9.6-2.3-175.7-43.6-.2z"}}]})(props);
};
function GiDirectorChair (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M157 21.234v16h18v-16zm180 0v16h18v-16zM153 55.232v62.002h206V55.232zm-3.89 80c-26.567 5.315-53.134 10.626-79.7 15.942l3.531 17.648L87 166.01v80.222h18V162.41l52-10.4v45.224h18v-62.002zm187.89 0v62.002h18V152.01l52 10.4v83.822h18V166.01l14.059 2.812 3.53-17.648c-26.565-5.315-53.132-10.628-79.698-15.942zm-174 80l-40.004 30.002h266.008L349 215.232zm-69.836 48l118.363 82.854c-37.367 27.406-74.74 54.805-112.105 82.213l10.642 14.514 18.743-13.745-8.008 20.823-37.332 26.13 10.322 14.745L256 377.216c54.07 37.851 108.142 75.698 162.21 113.55l10.323-14.745-37.332-26.13-8.008-20.823 18.743 13.745 10.642-14.514c-37.367-27.406-74.737-54.809-112.105-82.213l118.363-82.854h-31.383l-102.307 71.616-13.927-10.215 83.728-61.4H324.51L256 313.472l-68.51-50.24h-30.437l83.728 61.4-13.927 10.215-102.307-71.616zM256 335.793l13.574 9.955L256 355.25l-13.574-9.502zm-28.9 21.193l13.209 9.246-93.125 65.188 8.48-22.047zm57.8 0l71.436 52.387 8.48 22.047-93.125-65.186z"}}]})(props);
};
function GiDirewolf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M145.14 22.185c9.508 36.595 15.32 71.885 14.22 108.31 21.73 18.495 44.074 28.207 68.035 38.93 11.813 5.288 23.99 10.82 36.37 17.69-24.702-70.606-62.676-117.77-118.626-164.93zM27.122 25.887C24.958 45.21 27.53 71.24 34.12 97.38c6.96 18.72 16.942 37.974 27.595 54.67 15.003 23.516 32.422 42.276 40.48 46.868l-9.27 16.244c-14.91-8.496-31.08-28.122-46.978-53.037-9.383-14.708-18.273-31.144-25.328-47.943v196.584l43.17 1.76c-2.8-23.054-4.248-45.878-2.73-66.516l18.614 1.382c-2.313 31.474 3.16 71.293 9.656 108.65 110.615 90.673 195.362 124.516 260.695 131.175l-95.107-66.8 40.053-15.876L152.44 332.58l38.505-1.738c-28.377-14.028-48.9-32.894-63.144-55.63l1.464-22.964c35.81 41.623 89.82 73.71 151.373 98.096l-43.164 6.068 112.765 52.193-22.39 25.518 119.7 42.32c16.61-5.68 31.058-12.678 43.66-19.464-97.364-69.615-123.58-131.642-168.034-193.962l-.008-.01c-34.93-45.653-68.47-60.9-103.4-76.534-33.725-15.094-68.975-30.612-101.788-72.558L27.123 25.887zm156.344 175.59l89.894 46.75-24.032 17.57c18.66 30.458 55.134 55.834 91.12 72.86-50.826-7.884-103.33-32.248-148.212-69.427l29.815-20.224-38.583-47.53z"}}]})(props);
};
function GiDiscGolfBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 31.45c-24.4 0-48.8 6.14-68.7 18.43-14.2 8.76-21.6 26.08-27.3 41.18-3.2 8.39-5.5 16.14-7 21.44h18.8c1.2-4.3 2.9-9.5 5-15.07 5.2-13.77 13.8-28.45 19.9-32.23 32.8-20.28 85.8-20.28 118.6 0 6.1 3.78 14.7 18.46 19.9 32.23 2.1 5.57 3.8 10.77 5 15.07H359c-1.5-5.3-3.8-13.05-7-21.44-5.7-15.1-13.1-32.42-27.3-41.18-19.9-12.29-44.3-18.43-68.7-18.43zM68.85 130.5l-36.16 55H167.6c2.7-1.7 5.5-3.3 8.3-4.8-22.7-16.7-52.5-35.2-82.16-50.2H68.85zm62.55 0c21.3 12.3 41.5 25.4 58 37.8 12.3 9.2 22.5 17.9 30.1 25.7 3.7 3.9 6.8 7.6 9.2 11.2 2.3 3.7 4.3 7.3 4.3 12.3v135h14v-16.1h18v16.1h14v-135c0-5 2-8.6 4.3-12.3 2.4-3.6 5.5-7.3 9.2-11.2 7.6-7.8 17.8-16.5 30.1-25.7 16.5-12.4 36.7-25.5 58-37.8H131.4zm286.8 0c-29.6 15-59.4 33.5-82.1 50.2 2.8 1.5 5.6 3.1 8.3 4.8h134.9l-36.2-55h-24.9zm-226.7 62.4c-48.6 22.9-82.9 71-86.2 127.6H215v-103c0 1 0-.4-1.4-2.5-1.4-2.2-3.8-5.1-7.1-8.5-3.9-4-9-8.7-15-13.6zm129 0c-6 4.9-11.1 9.6-15 13.6-3.3 3.4-5.7 6.3-7.1 8.5-1.4 2.1-1.4 3.5-1.4 2.5v103h109.7c-3.3-56.6-37.6-104.7-86.2-127.6zM41 210.5v30h14v-30H41zm32 0v30h14v-30H73zm32 0v30h7.4c2.1-3.4 4.3-6.6 6.6-9.8v-20.2h-14zm288 0v20.2c2.3 3.2 4.5 6.4 6.6 9.8h7.4v-30h-14zm32 0v30h14v-30h-14zm32 0v30h14v-30h-14zm-432 48v183c0 14.5 3.48 23.8 9.36 29.6 5.88 5.9 15.14 9.4 29.64 9.4h96.1C90.85 451.3 55 390.5 55 329.5v-9h32.24c1.17-22 6.58-43 15.46-62H25zm384.3 0c8.9 19 14.3 40 15.5 62H457v9c0 61-35.9 121.8-105.1 151h96.8c14.1 0 23.2-3.4 29-9.3 5.8-5.9 9.3-15.2 9.3-29.7v-183h-77.7zm-335.86 80c4.52 72.1 63.26 142 182.56 142 119.3 0 178-69.9 182.6-142H297v80h-82v-80H73.44zm159.56 32v30h46v-30h-14v15h-18v-15h-14z"}}]})(props);
};
function GiDiscGolfBasket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M245.6 18v69h21V18zM89.27 105v9c0 65.6 20.83 130.8 51.43 180.2 15.3 24.7 33 45.5 52.4 60.5 14.1 10.9 29.4 18.8 45.1 22.3H56.03l23.94 82H245.6v35h21v-35h165.5l23.9-82H273.9c15.7-3.5 31-11.4 45.1-22.3 19.4-15 37.1-35.8 52.4-60.5 30.6-49.4 51.4-114.6 51.4-180.2v-9H245.6zm21.43 18h23.1c1.2 41.2 10.6 100.4 28.3 151.6 4.3 12.7 9.2 24.9 14.7 36.2-6.1-7.6-12-16-17.6-25-27.4-44.4-46.7-103.4-48.5-162.8zm44 0h34.9c.5 68.6 5 129.7 14.1 174.5 2.6 12.9 5.6 24.4 9 34.5-11.8-16.2-22-38.3-30.6-62.6-16.9-49-26.1-107.2-27.4-146.4zm55.9 0h35v230.4c-1.5-2-3.1-4.3-4.6-7-6.2-11.4-12-29.4-16.5-51.9-8.9-43.3-13.4-103.5-13.9-171.5zm56 0h34.9c-.4 68-5 128.2-13.8 171.5-4.6 22.5-10.4 40.5-16.6 51.9-1.5 2.7-3 5-4.5 7zm55.9 0h34.9c-1.3 39.2-10.5 97.4-27.4 146.4-8.5 24.3-18.8 46.4-30.6 62.6 3.4-10.1 6.5-21.6 9-34.5 9.1-44.8 13.7-105.9 14.1-174.5zm55.9 0h23.1c-1.9 59.4-21.1 118.4-48.5 162.8-5.6 9-11.6 17.4-17.6 25 5.4-11.3 10.3-23.5 14.6-36.2 17.8-51.2 27.1-110.4 28.4-151.6zM82.87 395h34.43l13.4 46H96.27zm56.03 0h34.4l13.4 46h-34.4zm56 0h50.7v46h-37.3zm71.7 0h50.7l-13.4 46h-37.3zm72.3 0h34.3l-13.4 46h-34.4zm55.9 0h34.4l-13.4 46h-34.4z"}}]})(props);
};
function GiDisc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M163.2 33.1l-49.6 33.04L27.29 389.9l361.31 89 96.1-356-66.3-18.5-24.5 91.4-105-28.1-14.7 55.2c15.2 9.7 22.3 28.2 17.7 45.6-5.9 22.2-28.7 35.3-50.8 29.4-22.1-5.9-35.2-28.7-29.3-50.8 4.7-17.6 20.2-30.1 38.4-30.8 2.1-.1 4.3 0 6.4.3l14.3-53.8-115-30.8 2.4-9 22.8-84.91zm34.9 7.78l-19.4 77.92 202.1 54.1 19.4-77.87zM70.32 331.6l312.08 74.7-4.4 18.2-312.04-74.7z"}}]})(props);
};
function GiDiscussion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M165.262 25.154c-38.376 0-73.092 6.462-97.408 16.405-12.159 4.97-21.669 10.834-27.706 16.67-6.036 5.835-8.459 11.144-8.459 16.218 0 5.075 2.423 10.384 8.46 16.219 6.036 5.835 15.546 11.699 27.705 16.67 24.316 9.942 59.032 16.404 97.408 16.404.162 0 .32-.006.482-.006l-38.95 108.504 88.065-112.265c18.283-2.87 34.592-7.232 47.81-12.637 12.16-4.971 21.671-10.835 27.708-16.67 6.037-5.836 8.459-11.144 8.459-16.219 0-5.074-2.422-10.383-8.46-16.219-6.036-5.835-15.548-11.698-27.706-16.67-24.316-9.942-59.032-16.404-97.408-16.404zm183.797 94.815c-38.377 0-73.092 6.462-97.409 16.404-12.158 4.971-21.668 10.835-27.705 16.67-6.036 5.835-8.459 11.144-8.459 16.219 0 5.074 2.423 10.385 8.46 16.22 6.036 5.836 15.546 11.697 27.704 16.668 3.106 1.27 6.387 2.481 9.819 3.631l82.965 105.764-34.2-95.274c12.3 1.47 25.327 2.284 38.825 2.284 38.376 0 73.091-6.462 97.408-16.405 12.158-4.97 21.67-10.832 27.707-16.668 6.036-5.835 8.459-11.146 8.459-16.22 0-5.075-2.423-10.384-8.46-16.219-6.036-5.835-15.548-11.699-27.706-16.67-24.317-9.942-59.032-16.404-97.408-16.404zM96 249c-25.37 0-47 23.91-47 55s21.63 55 47 55 47-23.91 47-55-21.63-55-47-55zm320 0c-25.37 0-47 23.91-47 55s21.63 55 47 55 47-23.91 47-55-21.63-55-47-55zM58.166 363.348c-7.084 8.321-13.03 19.258-17.738 31.812-10.33 27.544-14.433 62.236-15.131 91.84h141.406c-.698-29.604-4.802-64.296-15.13-91.84-4.709-12.554-10.655-23.49-17.739-31.812C123.246 371.9 110.235 377 96 377c-14.235 0-27.246-5.1-37.834-13.652zm320 0c-7.084 8.321-13.03 19.258-17.738 31.812-10.33 27.544-14.433 62.236-15.131 91.84h141.406c-.698-29.604-4.802-64.296-15.13-91.84-4.709-12.554-10.655-23.49-17.739-31.812C443.246 371.9 430.235 377 416 377c-14.235 0-27.246-5.1-37.834-13.652z"}}]})(props);
};
function GiDisintegrate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.844 20.625v129.5l73.375 66.25c36.57 38.36 55.757 94.852 27.624 145.625l.72-.844-4.626 7.97 8.093 4.687 122.407 70.656 8.094 4.655 3.97-6.875c27.733-26.382 63.19-7.125 102.28 16.53l41.126 37.126h92.22V408.78l-44.063-43.967c-22.454-28.274-35.613-54.52-32.032-84.5 17.85-59.055-4.958-140.538-25.78-160.47-7.902-7.752-16.606-14.816-27.03-20.406-21.165-12.22-46.998-15.218-70.376-14.468-16.582.53-33.126 4.057-48.844 10.093-36.71 8.396-67.358-7.433-101.406-35.282l-39.22-39.155h-86.53zm280 83.313c2.78-.026 5.55.05 8.312.218-.036.097-.09.183-.125.28-6.752 18.694 38.538 37.97 49.126 14.97 55.007 34.127 69.07 117.013 36.063 174.188-.71 1.227-1.45 2.403-2.22 3.53l-6.313 6.845c7.46 4.334 12.742 11.783 12.157 21.31-.003.043.002.084 0 .126 5.824.896 11.176 5.245 10.78 11.656-.795 12.97-13.8 14.244-20.655 8.875-15.525 11.663-43.697 1.44-43.595-19.343-1.955.698-3.88 1.38-5.875 2.094l-27.125-27.594-13.344 13.094 21.564 21.937c-10.82 4.87-21.477 11.133-30.875 20.53l-.876.876-.625 1.064-6.658 11.5-14.812-8.563 10.313-17.874-16.188-9.344-10.313 17.875-13.656-7.875 10.313-17.875-16.19-9.343-10.31 17.875-13.94-8.064 10.314-17.875-16.188-9.342-10.312 17.875-15.25-8.782 6.656-11.5c5.53-12.61 4.07-28.693 2.938-39.31l30.25 7.81 4.687-18.092-38.03-9.813c-.616-3.4-1.223-6.765-1.782-10.063-2.202-12.97-3.66-24.87-2-36.156l5.218-16.687c.482-.96.98-1.922 1.532-2.876 9.726-16.845 23.427-31.258 39.375-42.438 1.944 19.517 29.105 28.628 44.188 17.063 7.884 12.587 33.59 13.47 34.97-8.97.8-13.03-14.17-20.428-25.376-16.875-.847-5.087-3.442-9.416-7.064-12.78 8.94-2.295 18.048-3.697 27.125-4.064 1.272-.05 2.545-.08 3.814-.093zm6.22 57.343c-6.418-.064-12.71 3.813-13.283 13.157-.918 14.96 26.277 19.934 27.5 0 .49-7.946-6.946-13.082-14.217-13.156zm-81.783 4.782c-9.155.277-18.194 4.64-25.124 14.938-19.17 28.49 33.978 72.874 60.688 38.28 7.888 4.022 19.703 1.605 20.5-11.374.534-8.688-8.413-14.002-16.25-13.03-5.094-15.572-22.663-29.33-39.813-28.814zm115.25 66.094c-9.155.276-18.194 4.607-25.124 14.906-19.576 29.093 36.255 74.772 62.344 36 14.376-21.366-11.905-51.67-37.22-50.906zm-56.5 8.875l-49.342 34.69 43.968 25.405 5.375-60.094zM164 324.97l15.25 8.78-11.156 19.313 16.187 9.343 11.157-19.312 13.938 8.062-11.156 19.313 16.186 9.342 11.156-19.312 13.657 7.875-11.157 19.313 16.187 9.343 11.156-19.31 14.813 8.56-21.564 37.314-106.22-61.313L164 324.97zm182.53 37.06c9.127-.25 17.758 10.78 12.19 19.19-3.474 5.245-8.023 6.81-12.22 6.155 2.446 6.643 2.232 14.06-2.156 20.688-21.842 32.983-63.58-2.503-47.188-27.25 10.818-16.336 26.53-15.88 37.625-8.25.216-1.442.723-2.856 1.626-4.22 2.904-4.384 6.554-6.213 10.125-6.312zm46.908.72c10.303.104 20.848 7.365 20.156 18.625-1.735 28.246-40.24 21.197-38.938 0 .813-13.24 9.69-18.717 18.78-18.625zm44.875 33.156c6.555.066 13.284 4.68 12.843 11.844-1.102 17.97-25.61 13.486-24.78 0 .516-8.42 6.153-11.902 11.937-11.844zm-59.407 15.875c6.555.067 13.285 4.682 12.844 11.845-1.103 17.97-25.642 13.486-24.813 0 .517-8.42 6.185-11.902 11.97-11.844z"}}]})(props);
};
function GiDistraction (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M273.922 16.73c-7.995 22.855-15.478 44.278-23.123 66.106l-82.584-52.084s4.972 46.383 15.103 65.266c-33.202-6.62-117.974-7.97-117.974-7.97s54.758 43.63 82.666 65.917c-31.365 7.24-61.514 14.158-91.662 21.1l.162 1.052c37.82 10.374 75.642 20.72 114.353 31.336a85064.522 85064.522 0 0 1-53.084 48.113c30.23-2.405 58.945-4.7 87.473-6.97.69-1.229.379-2.572.217-3.782-6.024-35.145-.621-68.348 17.992-98.955 26.907-42.79 70.777-33.874 78.746-35.306-8.51-26.719-19.262-65.484-28.285-93.823zm21.299 106.413c-25.598.416-46.066 13.763-54.877 25.552-12.589 16.885-19.234 36.146-21.315 57.055-1.728 17.262-.134 33.608 4.485 49.195l106.437-18.91 21.37-3.81-4.08 21.316-1.298 6.807c7.078.836 13.697.89 20.477 1.242 5.97-16.884 7.808-34.605 6.16-52.785 12.724 5.564 24.096 12.181 33.47 19.449 13.994 10.885 23.907 22.746 28.716 33.904 3.945-1.378 7.457-2.891 10.32-4.539 6.24-3.673 9.51-7.699 10.32-12.049.894-4.403-.619-9.455-4.996-15.154-.297-.379-.622-.756-.92-1.135-5.105-6.159-13.399-12.724-24.205-18.965-14.642-8.537-34.118-16.343-56.19-22.691-4.943-19.992-11.671-41.47-30.365-52.41-15.285-8.961-30.1-12.29-43.51-12.072zm.773 59.322c-2.08 1.918-3.43 4.564-3.43 7.617a10.457 10.457 0 0 0 10.48 10.482c4.593 0 8.376-3.051 9.78-7.212.243 1.08.649 2.08.649 3.242a14.675 14.675 0 0 1-14.696 14.695 14.677 14.677 0 0 1-14.697-14.695c0-7.105 5.16-12.805 11.914-14.13zm-50.193 1.35c-1.864 1.756-3.106 4.16-3.106 6.89 0 5.267 4.24 9.51 9.508 9.51 4.133 0 7.591-2.758 8.834-6.512.217.946.594 1.893.594 2.918 0 7.348-5.97 13.316-13.291 13.316-7.375 0-13.319-5.97-13.319-13.318 0-6.43 4.675-11.562 10.78-12.805zm86.771 66.915l-113.136 20.127 96.847 63.672 3.377-18.693.783-4.16 4.133.73c32.768 5.591 62.891 5.97 84.961 2.188 11.022-1.89 20.044-4.889 26.258-8.535 6.267-3.647 9.456-7.673 10.32-12.05l5.916-30.716c-.864.595-1.757 1.134-2.676 1.674-7.536 4.403-17.451 7.538-29.203 9.617-23.421 4.188-54.216 4.027-87.445-.918l-4.377-.676.81-4.347 3.432-17.913zm-84.988 56.487c-10.67 2.512-21.207 4.727-31.31 7.699-24.692 7.212-43.116 22.071-53.436 46.033-5.889 13.615-9.588 27.853-10.588 42.574-.513 7.376-.107 91.747-.107 91.747s23.67-.526 57.529-1.27v-87.508h29.201v86.87c55.976-1.224 125.95-2.732 168.082-3.569v-88.549h14.6v88.266c11.685-.22 19.552-.352 21.941-.352-.242-34.174 1.996-81.661-5.648-114.943-3.864-16.776-10.915-32.12-24.422-43.71-.514-.459-1.215-.674-1.729-1.107-10.4 1.73-22.07 2.62-34.793 2.62-14.156 0-29.042-1.082-44.386-3.243l-1.54 8.403-3.998 22.26-18.912-12.428-60.484-39.793z"}}]})(props);
};
function GiDistressSignal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M68.79 19.5l57.51 69h23.4l-57.49-69zm185.31 0l59.4 178.3c5.5-2.1 11.2-4 17-5.7L273 19.5zm-92.2 83.7l-2.5 25.1 90.7 108.8c4.4-4.1 9-7.9 13.8-11.5zm-78.45 3.3l14.19 142H129.4l14.2-142zm302.05 96c-3.2 0-6.4.1-9.6.2L361 253.8l46.9-21.5-3 43.1 40.5 12.4-47.2 32.2 27 36.8-51.8 11.6 8.3 53.6-74.3-44.2 8.9-70.8-28.4-44.7 58.9-55.7c-75.8 16.2-134 79.3-143.1 157.6l41.5-61.4 38.7 104.5-29.9 12.5 80.4 40.5-68.2 16.5-52-26.6c5.7 15.2 13.4 29.4 22.7 42.3h150.2l78.5-65.2-45.6-36 45.7-24.8 26.8 14.2V237c-30.1-21.7-67-34.5-107-34.5zm-272 64c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm-94 11.1v18.7l60.11 16.2c-4.05-6-6.58-13-7.03-20.6zm268.4 7.3l4.2 42.1-14.1 25.5-15.3-51.2zM463.5 303l-15.4 43.4-19.7-24.9zm-315.9 9.1c-4 6.1-9.7 11.1-16.3 14.3l57.9 15.6c1.4-5.9 2.9-11.7 4.7-17.4zm171.1 87.1l29.7 23.5-18.3 25.4zm-131.4 20c-2.3.5-4.5 1-6.9 1.5-69.9 15.5-126.2 28.2-160.9 35.9v18.5c32.9-7.4 91.7-20.5 164.8-36.8 2.3-.5 4.5-1 6.8-1.5-1.5-5.8-2.8-11.7-3.8-17.6zm175.3 9.4l42.9 15.9-32.3 12.2z"}}]})(props);
};
function GiDivergence (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.594 13.75l-8.03 13.438-80.69 135.187-8.436 14.125H220.435v208.75l-69.092-86.188 36.25-29 12.875-10.28-15.407-5.75-147.47-55.188-14.656-5.47 2.125 15.5L46.5 364.845l2.25 16.28 12.844-10.28 30.062-24.03 116.75 145.842h32.656l-138.156-178.78-40.125 32.093-7.405-53.94c6.306 5.892 14.752 9.5 24.063 9.5 19.49 0 35.312-15.79 35.312-35.28 0-7.974-2.665-15.34-7.125-21.25l55.438 20.75-45.563 36.47L248.72 472V157.812h-54.345l29.28-49.03c1.594 18.015 16.697 32.124 35.126 32.124 18.23 0 33.26-13.796 35.126-31.53l28.906 48.436h-55.406v317l133.5-172.718-45.437-36.344 53.124-19.875c-4.073 5.754-6.47 12.79-6.47 20.375 0 19.49 15.792 35.28 35.282 35.28 10.322 0 19.61-4.434 26.063-11.5l-7.69 55.94-40.28-32.22-138.25 178.906h32.78L426.814 346.75l30.125 24.094 12.875 10.28 2.218-16.28 21.44-155.97 2.124-15.5-14.656 5.47L333.5 254.03l-15.406 5.75 12.844 10.283L367.125 299l-70.438 87.875V176.5h59.033l-8.44-14.125-80.655-135.188-8.03-13.437z"}}]})(props);
};
function GiDivert (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M237.688 20.25L18.344 288.344l174.625 63.094c-8.217 8.152-18.068 15.154-29.876 20.78L276.5 399.282c-10.966 11.894-24.456 22.08-41 30.22l125.563 12.406c-16.877 21.158-38.8 38.795-67.063 52.03l204.688-29.623L412.5 273.125c-1.632 34.214-5.993 66.51-14.688 95.813L320 270.03c-1.03 21.615-3.57 42.188-8.438 61.22l-80.843-72.47c-1.363 11.97-3.38 23.5-6.25 34.408l-45.94-28.657L496.69 20.25h-90.75l-284.72 250.844 158.313 87.03-211.655-76.78L318.5 20.25h-80.813z","fillRule":"evenodd"}}]})(props);
};
function GiDividedSpiral (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.406 21.406c-14.586.572-28.81 2.492-42.594 5.594l9.5 35.438c10.742-2.328 21.784-3.8 33.094-4.313v-36.72zm18.688 0v36.72c11.26.532 22.273 2.01 32.97 4.343l9.53-35.532c-13.753-3.082-27.95-4.97-42.5-5.532zm60.562 10.313l-9.53 35.593c10.674 3.416 20.973 7.725 30.78 12.812l18.47-31.97c-12.604-6.63-25.893-12.154-39.72-16.436zm-139.875.06c-13.773 4.28-27.004 9.798-39.56 16.407l18.343 31.75c9.796-5.057 20.06-9.327 30.718-12.718l-9.5-35.44zM381.5 57.5l-18.47 32c9.345 6.022 18.162 12.792 26.345 20.25l26.156-26.156c-10.5-9.696-21.89-18.423-34.03-26.094zm-251.47.063c-12.167 7.697-23.573 16.455-34.093 26.187l25.876 25.875c8.233-7.492 17.125-14.273 26.53-20.313l-18.312-31.75zM255.626 75.97c-99.678 0-180.656 81.01-180.656 180.686 0 99.65 80.977 180.656 180.655 180.656 99.677 0 180.688-80.98 180.688-180.656 0-45.944-17.214-87.905-45.532-119.812-1.284-1.8-2.583-3.594-3.936-5.344l-.563.438c-32.917-34.474-79.306-55.97-130.655-55.97zm0 18.686c47.59 0 90.35 20.44 119.97 53.03 13.164 18.447 22.208 39.743 25.842 62 10.112 61.704-26.617 129.948-91.062 139.533-41.483 6.182-87.313-18.815-93.03-61.94-1.765-13.308 1.52-27.713 8.686-38.78 7.17-11.067 17.735-18.72 31.44-20.28 7.977-.908 16.773 1.222 23.342 5.593 6.57 4.37 10.854 10.442 11.594 18.437v.03c.094.995.085 2.022 0 3.064-3.712-3.68-8.798-5.938-14.437-5.938-11.344 0-20.564 9.19-20.564 20.53 0 11.344 9.22 20.533 20.563 20.533 3.624 0 7.01-.946 9.967-2.595 7.022-2.2 12.792-6.888 16.625-12.47 5-7.275 7.294-16.084 6.47-24.874-1.3-14.016-9.433-25.333-19.876-32.28-10.442-6.947-23.257-10.05-35.812-8.625-19.64 2.238-35.302 13.744-45 28.72-9.698 14.973-13.907 33.487-11.53 51.405 7.274 54.863 63.562 85.533 114.31 77.97 54.573-8.117 91.783-50.963 104.157-100.75-5.308 84.757-75.54 151.686-161.655 151.686-89.58 0-161.97-72.445-161.97-162 0-89.583 72.39-162 161.97-162zm173.094 2.156L402.56 122.97c7.467 8.202 14.288 17.005 20.313 26.374l32-18.47c-7.685-12.147-16.443-23.556-26.156-34.06zm-345.97.157c-9.647 10.453-18.36 21.797-26 33.874l31.656 18.28c6.015-9.322 12.775-18.114 20.22-26.28L82.75 96.97zm-35.375 50.06c-6.64 12.616-12.183 25.91-16.47 39.75l35.25 9.44c3.43-10.743 7.755-21.076 12.876-30.94l-31.655-18.25zm416.875 0l-32.063 18.5c5.08 9.818 9.376 20.097 12.782 30.782l35.75-9.562c-4.285-13.826-9.838-27.117-16.47-39.72zM26.125 204.813c-3.075 13.723-4.964 27.89-5.53 42.407H57c.53-11.257 2.016-22.28 4.344-32.97l-35.22-9.438zm459.375 0l-35.72 9.563c2.313 10.652 3.787 21.632 4.314 32.844h36.937c-.566-14.518-2.455-28.685-5.53-42.407zM20.594 265.906c.566 14.585 2.466 28.81 5.562 42.594l35.188-9.406C59 288.328 57.52 277.244 57 265.906H20.594zm433.5 0c-.517 11.294-1.986 22.336-4.313 33.063l35.69 9.56c3.1-13.79 4.995-28.03 5.56-42.624h-36.936zm-9.125 51.125c-3.386 10.626-7.648 20.86-12.69 30.626l32 18.47c6.6-12.55 12.103-25.772 16.376-39.532l-35.687-9.563zm-378.814.095l-35.22 9.438c4.277 13.774 9.832 27.003 16.44 39.562l31.562-18.22c-5.082-9.812-9.373-20.1-12.782-30.78zm356.813 46.72c-6.05 9.426-12.87 18.31-20.376 26.56l26.062 26.064c9.76-10.55 18.567-21.983 26.28-34.19l-31.967-18.436zm-334.69.25L56.688 382.31c7.672 12.136 16.43 23.503 26.126 34l25.812-25.812c-7.483-8.21-14.307-17.027-20.344-26.406zm301.126 39.53c-8.177 7.454-17.007 14.198-26.344 20.22l18.407 31.905c12.124-7.66 23.476-16.413 33.967-26.094l-26.03-26.03zm-267.594.094l-25.78 25.78c10.514 9.72 21.903 18.5 34.062 26.188l18.25-31.625c-9.412-6.044-18.294-12.846-26.53-20.344zm225.125 29.53c-9.812 5.092-20.13 9.363-30.812 12.78l9.5 35.47c13.816-4.278 27.093-9.815 39.688-16.438l-18.375-31.812zm-182.406.188l-18.25 31.625c12.54 6.595 25.75 12.103 39.5 16.375l9.47-35.313c-10.655-3.392-20.926-7.63-30.72-12.688zm133.564 17.437c-10.706 2.337-21.728 3.81-33 4.344v36.592c14.54-.562 28.724-2.453 42.47-5.53l-9.47-35.407zm-84.78.063l-9.47 35.28c13.773 3.1 27.988 5.023 42.562 5.594V455.25c-11.31-.512-22.353-1.985-33.094-4.313z"}}]})(props);
};
function GiDividedSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247.196 26l-104.38 104.358 104.38 104.391V26zm17.608 0v208.75l104.39-104.392L264.805 26zm116.838 116.805L277.25 247.196H486l-104.358-104.39zm-251.284.011L26 247.196h208.75l-104.392-104.38zM26 264.804l104.358 104.39 104.391-104.39H26zm251.25 0l104.392 104.38L486 264.804H277.25zm-30.054 12.447L142.782 381.64 247.196 486V277.25zm17.608 0V486l104.358-104.358L264.804 277.25z"}}]})(props);
};
function GiDivingDagger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.156 18.813v17.375l133.25 133.28c-3.947 6.433-5.944 13.352-6.28 20.126L18.155 62.624v35.75l191.406 191.407c-3.244 5.633-6.27 11.428-9.062 17.376L18.156 124.78v39.032l171.25 171.25c-2.217 6.73-4.147 13.593-5.844 20.594L18.156 190.25v33.594l158.28 157.562 2.126-2.125-.03.126 13.874-2.875c26.105-5.42 50.127-14.95 71.906-27.405 66.73 65.97 119.54 102.987 210.407 135.094l16.75 5.936L486.874 473c-24.79-92.525-69.195-136.412-139.28-206.438 13.416-22.543 23.46-47.406 29.03-74.875l2.75-13.656 1.78-1.78L224.032 18.812h-35l164.626 164.594c-6.974 1.734-13.807 3.702-20.47 5.97L162.657 18.81h-39.47L305.25 200.906c-5.862 2.862-11.584 5.938-17.125 9.25L96.75 18.812H59.594L189.53 148.75c-1.358-.064-2.724-.064-4.093 0-5.936.276-11.93 1.78-17.53 4.813L33.156 18.813h-15zm168.688 148.25c5.16-.136 10.33 1.564 15.03 4.343 4.703 2.78 8.48 6.743 10.376 10.438 1.896 3.695 2.083 6.59.875 9.406l-3.25 7.563L217 203c17.685 10.39 31.39 22.173 44.625 37.844l5.875 6.937 7.125-5.686c22.758-18.256 49.68-31.677 80.063-39.688-5.998 22.075-14.888 42.274-26.625 60.656L324 269.406l5.313 5.313c68.304 68.307 109.312 106.854 134.28 185.31-79.978-30.526-127.43-65.333-191.124-129.03l-5.22-5.22-6.28 3.845c-17.574 10.758-36.96 19.163-57.814 24.938 7.753-29.216 20.29-55.668 37.375-77.844l5.47-7.095-6.844-5.75c-16.432-13.823-31.395-27.756-41.406-45.156l-3.344-5.845-6.594 1.344c-8.22 1.67-17.083-3.534-21.53-12-4.45-8.47-4.81-18.55 5.562-28.532 4.694-4.518 9.84-6.49 15-6.625zm99.062 98.78l-16.625 17.844c41.408 43.6 112.356 108.88 157.814 140.657-32.02-45.922-97.425-116.987-141.188-158.5z"}}]})(props);
};
function GiDivingHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 21c-17.065 0-32.536 1.784-43.072 4.418-3.267.817-5.818 1.714-7.95 2.582 2.132.868 4.683 1.765 7.95 2.582C223.464 33.216 238.935 35 256 35s32.536-1.784 43.072-4.418c3.267-.817 5.818-1.714 7.95-2.582-2.132-.868-4.683-1.765-7.95-2.582C288.536 22.784 273.065 21 256 21zm-72.203 11.64c-4.585 1.973-8.24 4.05-10.682 5.973C169.51 41.455 169 43.23 169 44c0 .77.51 2.545 4.115 5.387 3.606 2.842 9.813 6.025 17.848 8.703C207.033 63.446 230.3 67 256 67c25.7 0 48.967-3.554 65.037-8.91 8.035-2.678 14.242-5.86 17.848-8.703C342.49 46.545 343 44.77 343 44c0-.77-.51-2.545-4.115-5.387-2.44-1.923-6.097-4-10.682-5.974-1.58 4.39-5.256 7.33-8.652 9.337-4.474 2.645-9.8 4.49-16.112 6.068C290.81 51.202 274.28 53 256 53c-18.28 0-34.81-1.798-47.438-4.955-6.313-1.578-11.638-3.423-16.113-6.068-3.397-2.008-7.074-4.948-8.653-9.338zM347.99 65.032c-5.785 4.093-12.926 7.354-21.26 10.133C308.052 81.39 283.32 85 256 85c-27.32 0-52.053-3.61-70.73-9.834-8.33-2.777-15.467-6.036-21.25-10.125-24.608 16.21-45.61 38.716-61.21 65.64 3.276 5.266 5.99 11.497 8.356 18.59 4.585 13.756 7.744 30.802 9.094 49.742L140.27 179h19.072c16.006-37.578 53.313-64 96.658-64s80.652 26.422 96.658 64h34.026v82h-34.026c-16.006 37.578-53.313 64-96.658 64s-80.652-26.422-96.658-64h-19.07l-20.012-20.012c-1.35 18.94-4.51 35.986-9.094 49.74-3.113 9.338-6.826 17.19-11.64 23.3-3.33 4.225-7.537 7.852-12.483 9.69 6.29 17.048 14.535 32.926 24.414 47.282H151v-32h50v32h110v-32h50v32h39.543c9.88-14.356 18.123-30.234 24.414-47.283-4.946-1.837-9.152-5.464-12.482-9.69-4.815-6.11-8.528-13.96-11.64-23.298C394.608 272.052 391 247.32 391 220c0-27.32 3.61-52.053 9.834-70.73 2.362-7.085 5.073-13.31 8.346-18.573-15.604-26.92-36.58-49.456-61.19-65.664zM80 133c-.77 0-2.545.51-5.387 4.115-1.923 2.44-4 6.097-5.974 10.682 4.39 1.58 7.33 5.256 9.337 8.652 2.645 4.474 4.49 9.8 6.068 16.113C87.202 185.19 89 201.72 89 220c0 18.28-1.798 34.81-4.955 47.438-1.578 6.313-3.423 11.638-6.068 16.113-2.008 3.397-4.948 7.074-9.338 8.653 1.973 4.585 4.05 8.24 5.973 10.682C77.455 306.49 79.23 307 80 307c.77 0 2.545-.51 5.387-4.115 2.842-3.606 6.025-9.813 8.703-17.848C99.446 268.967 103 245.7 103 220c0-25.7-3.554-48.967-8.91-65.037-2.678-8.035-5.86-14.242-8.703-17.848C82.545 133.51 80.77 133 80 133zm176 0c-40.18 0-73.872 27.046-83.932 63.977h-21.2V197h-3.14l-23 23 23 23H151v-.022h21.057C182.1 279.932 215.804 307 256 307s73.9-27.068 83.943-64.02H361v.02h7.684v-.02h.025v-46.003H339.93C329.872 160.047 296.18 133 256 133zm176 0c-.77 0-2.545.51-5.387 4.115-2.842 3.606-6.025 9.813-8.703 17.848C412.554 171.033 409 194.3 409 220c0 25.7 3.554 48.967 8.91 65.037 2.678 8.035 5.86 14.242 8.703 17.848C429.455 306.49 431.23 307 432 307c.77 0 2.545-.51 5.387-4.115 1.923-2.44 4-6.097 5.974-10.682-4.39-1.58-7.33-5.256-9.337-8.652-2.645-4.474-4.49-9.8-6.068-16.112C424.798 254.81 423 238.28 423 220c0-18.28 1.798-34.81 4.955-47.438 1.578-6.313 3.423-11.638 6.068-16.113 2.008-3.397 4.948-7.074 9.338-8.653-1.973-4.585-4.05-8.24-5.973-10.682C434.545 133.51 432.77 133 432 133zm-176 14c40.21 0 73 32.79 73 73s-32.79 73-73 73-73-32.79-73-73 32.79-73 73-73zm0 18c-2.643 0-5.236.196-7.777.553L256 173.33l7.777-7.777c-2.54-.357-5.134-.553-7.777-.553zm-192 3.98c-.868 2.13-1.765 4.68-2.582 7.948C58.784 187.464 57 202.935 57 220s1.784 32.536 4.418 43.072c.817 3.267 1.714 5.818 2.582 7.95.868-2.132 1.765-4.683 2.582-7.95C69.216 252.536 71 237.065 71 220s-1.784-32.536-4.418-43.072c-.817-3.267-1.714-5.818-2.582-7.95zm384 0c-.868 2.13-1.765 4.68-2.582 7.948C442.784 187.464 441 202.935 441 220s1.784 32.536 4.418 43.072c.817 3.267 1.714 5.818 2.582 7.95.868-2.132 1.765-4.683 2.582-7.95C453.216 252.536 455 237.065 455 220s-1.784-32.536-4.418-43.072c-.817-3.267-1.714-5.818-2.582-7.95zm-218.84 2.967c-8.897 4.96-16.252 12.316-21.213 21.213l14.112 14.11 21.21-21.21-14.11-14.113zm53.68 0l-14.11 14.112 21.21 21.21 14.113-14.11c-4.96-8.897-12.316-16.252-21.213-21.213zM256 198.787L234.787 220 256 241.213 277.213 220 256 198.787zm-54.447 13.436c-.357 2.54-.553 5.134-.553 7.777s.196 5.236.553 7.777L209.33 220l-7.777-7.777zm108.894 0L302.67 220l7.777 7.777c.357-2.54.553-5.134.553-7.777s-.196-5.236-.553-7.777zM222.06 232.73l-14.113 14.11c4.96 8.897 12.316 16.252 21.213 21.213l14.11-14.112-21.21-21.21zm67.88 0l-21.21 21.21 14.11 14.113c8.897-4.96 16.252-12.316 21.213-21.213l-14.112-14.11zM256 266.67l-7.777 7.777c2.54.357 5.134.553 7.777.553s5.236-.196 7.777-.553L256 266.67zM169 357v14h14v-14h-14zm160 0v14h14v-14h-14zm-208 32v30h270v-30H121zm-93.6 48c2.473 5.036 6.916 10.005 14.315 15.078 11.75 8.058 29.705 15.387 51.603 21.227C137.116 484.985 196.6 491 256 491c59.4 0 118.884-6.016 162.682-17.695 21.898-5.84 39.852-13.17 51.603-21.227 7.4-5.073 11.842-10.042 14.315-15.078H27.4z"}}]})(props);
};
function GiDjinn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M264.9 18.83c-6.6.13-12 2.13-15.7 5.89-.3.25-.4.18-.4 1.5s.4 3.82 1.7 6.97c2.6 6.3 8.4 14.98 16.2 23.97 13.8 16.04 34 33.06 53.4 44.94 6.7-11.59 8-22.39 6.1-32.55-2.3-12.14-9.6-23.58-19.5-32.53-9.8-8.94-22.1-15.21-32.9-17.33-2.7-.53-5.2-.76-7.6-.86-.5-.01-.9-.01-1.3 0zm-34 6.23c-10 2.63-20.9 8.52-29.8 16.6-9.9 8.94-17.2 20.39-19.5 32.52-1.9 10.15-.6 20.94 6.1 32.52 19.4-11.86 39.6-28.87 53.4-44.9 1.1-1.28 2.2-2.55 3.2-3.81-4.4-6.1-8-12.09-10.4-17.94-1.9-4.66-3.2-9.29-3.1-14.15 0-.28 0-.56.1-.84zm25 47.17c-.4.45-.7.89-1.1 1.34C240.4 90.16 221 107.1 201 119.9v.1c0 31.8 20.2 57.3 46 62.1V157l-19.8 7.4-6.4-16.8 35.2-13.2 35.2 13.2-6.4 16.8L265 157v25.1c25.8-4.8 46-30.3 46-62.1v-2.1c-20.1-12.2-40-28.99-55.1-45.67zM201.7 174.1C119 190.9 89.15 244.9 89.02 271.8c.19 4.3 1.97 6.8 8.92 9.7 7.06 2.9 18.86 4.6 33.96 3.6 26.1-1.7 61.9-10.7 101.8-28.5-9.4-2.7-20.2-4.5-30.6-5.7C185 249 168 249 160 249v-18c8 0 25.7 0 45 2.1 15.2 1.6 31.4 4.3 45.2 10l-21.6-48c-10.4-4.7-19.5-11.9-26.9-21zm108.3.4c-7.4 9-16.5 16.1-26.9 20.7l-6.8 15.3c14.6-2.5 30.1-4.1 45.5-4.4 14.2-.2 28.3.7 41.8 3 10.6 1.9 20.8 4.8 30.2 8.9-2.4-2.4-4.9-4.8-7.7-7.2-17.8-15.2-42.7-29-76.1-36.3zm14.8 49.7c-19.5.1-39.5 2.6-57.5 6.4l-7.6 17.1c.1.1.2.1.3.2 47.2 23.6 90.5 35.6 120.9 37.6 15.1 1 27-.6 33.9-3.5 6.4-2.7 8.1-4.9 8.2-9-7.4-27.1-30.9-40.6-62.6-46.1-10-1.8-20.7-2.6-31.7-2.7h-3.9zM256 266c-35.5 17.3-68.6 28.4-96.7 33.7 8.2 11.6 14.7 22.6 19.5 33 5 10.8 8.1 21.1 9.3 30.9 59.6 22 110.6 9.3 151.7-8.4 5.1-16.5 9.4-34.9 12.9-55.3-28.2-5.5-61.4-16.7-96.7-33.9zm76.2 111.5c-39.9 14.6-89.2 23.2-144.3 4.9-.9 5-2.4 9.8-4.5 14.3-8.6 18.2-26.8 31.1-52 40.5-18.4 6.9-40.92 12.1-67.37 15.9 56.47 25.2 118.27 42.7 169.57 28.2 29.9-8.4 56.7-27.2 78.7-62.8 7.3-11.7 13.9-25.4 19.9-41z"}}]})(props);
};
function GiDna1 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M121.844 18.22c-10.248 46.5-5.753 86.598 7.562 121 31.722 35.503 74.78 60.367 119.5 84.405-15.144-14.727-29.5-29.294-41.97-44.188h72.94c5.318-6.197 10.267-12.425 14.812-18.687H192.5c-4.946-7.035-9.397-14.18-13.25-21.5-2.036-3.867-3.926-7.78-5.656-11.75h140.594c2.73-6.087 5.032-12.27 6.875-18.688h-154.22c-3.453-12.16-5.326-25.127-5.218-39.437h164.25c-.176-5.948-.708-12.168-1.656-18.72H162.843c1.202-10.093 3.29-20.866 6.437-32.436h-47.436zm216.03 0c10.033 36.836 9.616 65.44 2.47 90.593h-.156c-3.215 13.34-8.158 25.723-14.375 37.53-15.708 29.833-40.195 56.197-67.094 82.532 12.75 6.806 25.567 13.607 38.25 20.625 26.73-26.167 52.8-54.185 71.03-88.813 20.463-38.87 29.83-85.945 17.375-142.468h-47.5zm-129 253.81c-20.338 21.212-39.452 44.344-53.936 71.69-21.326 40.26-31.11 89.958-19.438 149.467h45.625c-5.036-22.15-6.48-42.845-5.03-62 .458-7.468 1.38-14.606 2.75-21.468H179c1.278-6.435 2.896-12.663 4.813-18.69.024-.07.038-.145.062-.217 3.025-9.47 6.796-18.44 11.188-26.875 14.96-28.73 35.86-51.34 56.5-71.813-14.107-6.74-28.446-13.326-42.688-20.094zm47.595 22.47c14.437 14.55 27.88 29.196 39.186 44.563h-61.812c-4.798 5.982-9.337 12.195-13.53 18.687h87.75c1.445 2.45 2.832 4.94 4.155 7.438 4.388 8.287 8.147 16.85 11.155 25.843H203.5c-2.184 5.98-4.007 12.218-5.47 18.69h130.314c2.428 12.173 3.525 25.21 2.937 39.436H194.19c.137 6.05.58 12.28 1.375 18.688h134.062c-1.072 8.062-2.65 16.496-4.75 25.344h46.813c9.533-48.618 4.736-90.682-8.97-126.407-28.443-31.848-66.276-52.97-106.25-72.28z"}}]})(props);
};
function GiDna2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M415.03 17.563c-4.89 3.61-9.423 7.793-13.5 12.656-13.096 15.624-20.828 37.513-21.436 66.78-20.397-11.956-42.823-16.838-64.563-16.03-22.81.845-44.876 7.946-63 19.655-20.71 13.382-36.663 33-42.5 56.625-4.722 19.12-2.484 40.57 8.44 62.188-5.803-.375-11.44-.567-16.907-.563-1.642 0-3.265.027-4.875.063-38.65.848-68.484 11.434-87.438 31.906-22.476 24.275-27.11 60.72-14.28 104.406-25.94-6.293-52.112-5.46-75.907 5.406v40.906c5.85-4.94 13.04-9.213 21.562-12.687h.03l81.22 55.094c.02.76.032 1.53.03 2.28-.014 13.522-2.952 24.835-8.78 34.375l-94.063-65.03v22.717l78.907 54.532h29.374c8.707-13.213 13.23-29.072 13.25-46.563.02-18.367-4.637-38.573-13.813-60.436 51.663 16.18 97.765 3.348 123.782-26.344 25.218-28.78 30.145-72.742 5.657-115.875 34.87 5.496 64.61 4.11 88.28-4.344l.22.314 1.092-.78c8.527-3.17 16.258-7.26 23.125-12.314 25.508-18.77 36.86-50.167 33.094-89.625 28.385 18.706 61.257 21.906 92.314 18.813V81.25l-23.25-63.688H415.03zm37.19 2.875l36.53 99.937c-8.585.79-17.944.76-28-.063l-33.938-88.218c7.333-5.274 15.906-9.045 25.407-11.657zM412.436 46.75l27.22 70.78c-12.692-2.245-26.26-5.58-40.657-10.155-1.062-28.198 4.344-47.378 13.438-60.625zm-75.625 69.688c13.4.654 28.175 2.68 44.094 6.093 4.365 21.814 4.248 39.968.156 54.75l-44.25-60.843zm-22.906.28l58.22 80.032c-3.88 5.663-8.634 10.555-14.25 14.688-2.198 1.616-4.555 3.106-7.063 4.5l-66.625-93.313c8.662-3.01 18.59-5.016 29.718-5.906zm-46.812 14.126L333 223.188c-9.03 2.58-19.307 4.134-30.75 4.593L247.094 152c4.302-7.57 10.024-13.915 17.062-19.094.95-.7 1.93-1.403 2.938-2.062zm-27.688 42.406l39.313 54.03c-10.835-.848-22.472-2.53-34.876-5.093l-.063-.156-1.53-.186c-.314-.067-.623-.12-.938-.188-.203-.305-.394-.6-.593-.906-3.555-18.387-3.9-34.173-1.314-47.5zm-38.25 64.406c8.99-.016 18.71.588 28.938 1.688 5.57 15.795 8.692 29.98 9.594 42.625l-46.625-44.126c1.414-.063 2.832-.123 4.28-.156 1.254-.03 2.53-.03 3.813-.032zm-32.312 2.97l69.5 65.78c-2.33 11.467-7.14 21.086-14.156 28.875l-86.532-83.405c8.55-5.023 18.955-8.837 31.188-11.25zm-45.938 22.968l86.625 83.53c-7.925 4.71-17.485 8.373-28.655 10.813l-71.03-67.25-1.47 1.563c2.475-11.374 7.402-20.933 14.53-28.656zm-16.312 49.78l50.437 47.75c-12.246.736-25.866.352-40.81-1.28-6.097-17.403-9.2-32.877-9.626-46.47zm-3.78 65.126c7.247 14.534 12.34 28.058 15.436 40.438l-54.375-36.844c11.462-2.273 24.45-3.53 38.938-3.594zm-83.75 91.563l-.002 22.03 1.22.75h35.437l-36.657-22.78z"}}]})(props);
};
function GiDoctorFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M109.188 16.97c-30.585 42.85-52.13 98.9-60.594 161.686-16.643 18.724-26.782 43.358-26.782 70.313 0 29.16 11.835 55.63 30.97 74.81 13.634 69.297 43.534 128.57 83.874 168.376H371.22c39.903-39.248 69.744-97.442 83.75-165.5 20.893-19.37 34-47.025 34-77.687 0-28.417-11.253-54.263-29.533-73.314C450.7 114.08 429.317 59.14 399.22 16.97h-21.69c28.847 36.455 50.745 85.78 61.533 142.124C422.788 148.904 403.57 143 383 143c-46.32 0-85.788 29.902-100.156 71.406H227.97C213.59 172.902 174.102 143 127.78 143c-21.72 0-41.92 6.582-58.75 17.844 10.667-57.073 32.7-107.042 61.845-143.875h-21.688zm18.624 145.624c47.585 0 86.344 38.76 86.344 86.344 0 47.584-38.76 86.375-86.344 86.375-47.584 0-86.374-38.79-86.374-86.375s38.79-86.344 86.374-86.344zm255.157 0c47.584 0 86.374 38.76 86.374 86.344 0 47.584-38.79 86.375-86.375 86.375-47.586 0-86.345-38.79-86.345-86.375s38.76-86.344 86.344-86.344zm-255.158 18.72c-37.484 0-67.687 30.14-67.687 67.624 0 37.484 30.203 67.687 67.688 67.687 37.484 0 67.656-30.203 67.656-67.688 0-37.484-30.173-67.625-67.657-67.625zm255.375.342c-37.484 0-67.656 30.172-67.656 67.656 0 37.485 30.173 67.688 67.658 67.688 37.484 0 67.687-30.203 67.687-67.688 0-37.484-30.203-67.656-67.688-67.656zm-150.593 51.438h45.625c-.782 5.177-1.19 10.484-1.19 15.875 0 4.8.317 9.522.94 14.155h-45.126c.622-4.633.937-9.356.937-14.156 0-5.392-.405-10.7-1.186-15.876zm-4.03 48.72l53.686-.002c13.86 42.397 53.79 73.125 100.75 73.125 18.256 0 35.455-4.644 50.47-12.812-4.286 16.46-9.537 32.2-15.658 47.03-102.478-39.222-215.515-47.744-327.062.845-6.435-15.576-11.932-32.152-16.344-49.53 15.688 9.188 33.924 14.467 53.375 14.467 46.96 0 86.913-30.728 100.782-73.125z"}}]})(props);
};
function GiDodge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M465.074 481.646c-24.928 1.186-334.495-.667-334.495-.667-188.07-188.857 283.16-251.37-8.1-406.484l-20.382 21.487-27.14-71.216 87.582 6.818-17.534 19.7c364.276 106.15-48.98 305.105 320.068 430.36z"}}]})(props);
};
function GiDodging (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M396.082 17.326c-.166-.025-1.922.108-4.977.108-21.975 0-42.158 18.904-49.437 46.595l75.713 12.61-78.526 13.085c.564 16.248 5.55 30.99 13.062 42.367l54.39 9.603-41.277 7.29.484.607-15.91 2.47c-15.262 2.366-25.866 9.63-34.46 21.165-2.534 3.4-4.848 7.198-6.962 11.328l90.798 13.2-100.976 14.684c-.576 2.25-1.118 4.542-1.627 6.874-1.662 7.613-2.953 15.622-3.982 23.854l115.275 14.107-117.81 14.418c-.525 9.083-.84 18.236-1.022 27.31l114.07 16.407-113.304 16.3h40.826l2.144 32.532 82.026 11.38-80.54 11.173 2.512 38.14 75.582 10.897-74.158 10.69 2.938 44.59h96.306l11.875-159.403h43.983c-.228-36.033-1.914-77.32-10.137-111.194-4.462-18.384-10.84-34.42-19.314-46.063-8.472-11.642-18.583-18.958-32.248-21.53l-15.59-2.933 10.124-12.213c10.435-12.587 17.49-30.688 17.49-51.127 0-37.056-22.084-66.04-47.127-69.295l-.106-.013-.108-.016zm-53.535 5.055L16.785 45.968l304.93 22.082c3.073-17.672 10.43-33.57 20.832-45.67zm-22.402 62.114L16.783 106.46l312.28 22.612c-5.686-12.618-8.96-27.047-8.96-42.422 0-.722.027-1.437.042-2.156zm-2.612 60.688L16.783 166.96l269.96 19.546c3.583-8.906 7.975-17.144 13.415-24.445 4.868-6.532 10.676-12.254 17.375-16.878zm-37.79 63.228l-262.96 19.04L273.19 246.02c1.18-10.497 2.77-20.808 4.927-30.69.51-2.33 1.05-4.635 1.625-6.918zm-8.327 57.803L16.783 284.65l253.225 18.336c.18-12.057.585-24.438 1.408-36.773zm-1.562 60.605l-253.07 18.325 297.22 21.52-1.072-16.267H269.86v-9.343c0-4.62-.01-9.38-.006-14.235zm45.294 57.22L16.783 405.64l301.227 21.81-2.862-43.413zm3.97 60.202L16.782 466.13l305.233 22.102-2.9-43.992z"}}]})(props);
};
function GiDogBowl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M466.514 72.842c-21.236-.326-48.863 15.524-76.766 35.336-55.475 15.033-197.205 13.795-254.367-.078-34.336-8.255-51.407-32.056-68.238-32.02-13.969.133-30.57 6.547-34.647 19.895-1.327 12.811 2.338 17.808 9.041 26.656-6.514 10.34-13.382 25.647-10.557 36.66 2.076 7.47 7.417 12.889 16.1 16.05 17.366 6.325 64.03-5.582 75.264-23.777l275.486-6.63c26.557 27.456 65.8 25.255 81.524 15.173 7.861-5.04 12.504-11.367 12.746-17.171.52-12.537-6.116-15.97-14.678-23.442 7.578-6.805 22.605-19.688 17.715-28.678-6.81-12.52-16.71-17.792-28.623-17.974zM256 274c-52.468 0-99.992 4.864-133.775 12.518-16.892 3.827-30.374 8.424-38.887 12.984-4.256 2.28-7.221 4.562-8.758 6.264-1.537 1.701-1.58 2.415-1.58 2.734 0 .32.043 1.033 1.58 2.734 1.537 1.702 4.502 3.984 8.758 6.264 8.513 4.56 21.995 9.157 38.887 12.984 4.822 1.093 9.953 2.121 15.31 3.094A120 16 0 0 1 256 320a120 16 0 0 1 118.516 13.568c5.338-.97 10.452-1.996 15.26-3.086 16.89-3.827 30.373-8.424 38.886-12.984 4.256-2.28 7.221-4.562 8.758-6.264 1.537-1.701 1.58-2.415 1.58-2.734 0-.32-.043-1.033-1.58-2.734-1.537-1.702-4.502-3.984-8.758-6.264-8.513-4.56-21.995-9.157-38.887-12.984C355.992 278.864 308.468 274 256 274zM65.021 326.912l-40.628 108.34-.038.09c-1.183 2.959-1.028 4.345.141 6.65 1.17 2.306 4.07 5.465 9.096 8.672 10.05 6.415 27.862 12.659 50.32 17.541C128.827 477.97 192.47 483 256 483c63.531 0 127.173-5.03 172.088-14.795 22.457-4.882 40.27-11.126 50.32-17.54 5.025-3.208 7.927-6.367 9.096-8.673 1.17-2.305 1.324-3.691.14-6.65l-.037-.09-40.627-108.34c-2.849 2.374-6.126 4.476-9.818 6.453-10.919 5.849-25.554 10.627-43.408 14.672C358.047 356.127 309.57 361 256 361c-53.57 0-102.047-4.873-137.754-12.963-17.854-4.045-32.49-8.823-43.408-14.672-3.691-1.977-6.968-4.08-9.817-6.453z"}}]})(props);
};
function GiDogHouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 27.52L25 212.3v41L256 68.48 487 253.3v-41L256 27.52zm0 64L73 237.9V487h94c.1-32.3.8-79.5 10.2-121 5.2-22.7 12.9-43.9 25.4-60 12.6-16.2 30.7-27 53.4-27s40.8 10.8 53.4 27c12.5 16.1 20.2 37.3 25.4 60 9.4 41.5 10.1 88.7 10.2 121h94V237.9L256 91.52zM163.9 198.2a25.03 14.73 15.04 0 1 12.1 2.2 25.03 14.73 15.04 0 1 17.7 14.6h124.6a14.73 25.03 74.96 0 1 17.7-14.6 14.73 25.03 74.96 0 1 12.1-2.2 14.73 25.03 74.96 0 1 17.8 7.8 14.73 25.03 74.96 0 1-13 19.6 25.03 14.73 15.04 0 1 10.7 18.4 25.03 14.73 15.04 0 1-29.9 5.7 25.03 14.73 15.04 0 1-18.1-16.7H196.4a14.73 25.03 74.96 0 1-18.1 16.7 14.73 25.03 74.96 0 1-29.9-5.7 14.73 25.03 74.96 0 1 10.7-18.4 25.03 14.73 15.04 0 1-13-19.6 25.03 14.73 15.04 0 1 17.8-7.8z"}}]})(props);
};
function GiDolmen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M436 26.98L285.9 63.63l-.5.1c-55.8 7.67-118.7 11.48-199.56 4.93L19.18 116.4l54.99 40.2L482.2 125l10.6-29.75c-4.3-5.21-7.9-10.15-11.7-15.12l-60.4 23.77-43.2-11.41 94-26.19C462.1 52.2 452 38.8 436 26.98zM290.7 90.3l-7.2 21.7H136.3l-57.42 5.3 26.72-21.32zm169.6 54.8l-40 1.1-17.1 90-14.5 20.9-15.5-41.6 30-68.9-9.7.3-39.2 60.4c-3.1 87.2-22.3 176.8-7.6 265.4 19 7.3 40.7 9.7 61.5 10.2L401 358.3l22.5-33 1.5 95.8 27.5 60.1c10.8-1.1 21.6-2.5 34.4-4.9l-36.1-154.2zm-330.7 28l-34.48 2.7-38.78 219 9.33 77.9c6.7 4.3 13.59 6.6 20.5 8.1l-8.99-101.6 12.18-43.3 2.16 81.7 15.38 66.5c22.6 2.4 45.9.1 66.4-5.1l-5.6-173.6z"}}]})(props);
};
function GiDolphin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M123.22 47.23c29.498 15.152 55.025 36.05 55.53 67.366-93.62 83.867-83.862 179.356-97.002 270.34-67.68 55.552-67.57 90.948-60.9 101.227 3.94.743 29.11-25.94 48.326-30.397 14.23-4.094 12.284-15.99 16.273-25.275 2.438 14.55 7.17 22.612 17.133 25.485 12.874 3.36 44.932 28.15 51.53 25.504 1.374-20.382-26.01-63.854-48.028-90.087 41.012-63.28 81.365-136.458 211.162-207.77-3.21-3.706-6.216-6.45-8.8-7.986l9.198-15.472c11.617 6.907 20.522 19.56 29.248 35.033 5.94 10.532 11.528 22.644 16.96 35.117 15.682-32.87 22.983-66.406 16.402-90.254l17.35-4.786a87.287 87.287 0 0 1 1.927 8.83c33.29-4.253 55.718-13.083 85.11-29.322 3.744-2.068 19.054-13.012-.117-16.03 12.62-9.017 7.54-12.063 1.973-15.152-6.486-3.6-20.302-8.948-35.758-8.556-12.124-27.863-39.63-47.772-82.225-47.696-28.532.052-63.842 9.086-105.828 30.688C217.895 27.64 164.92 20.468 123.22 47.23zm286.942 28.74a9 9 0 1 1 0 18 9 9 0 0 1 0-18z"}}]})(props);
};
function GiDominoMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M413.28 123.063C366.787 123.317 306.08 143 255.845 143c-56.868 0-124.174-23.704-171-19.156-23.414 2.274-40.642 10.16-52.28 30.937-11.64 20.78-17.23 56.337-10.97 113.19 8.578 77.917 73.225 118.973 128.656 99.405 11.513-4.064 30.972-25.256 49-46.125 9.014-10.434 17.993-20.687 27.03-28.72 9.04-8.03 18.23-14.624 29.564-14.624 11.335 0 20.493 6.594 29.53 14.625 9.04 8.033 18.018 18.286 27.032 28.72 18.028 20.87 37.487 42.06 49 46.125 55.45 19.574 118.93-21.672 128.688-99.563 7.137-56.986 1.753-92.528-9.938-113.28-11.69-20.754-29.346-28.665-53.22-30.907-2.983-.28-6.05-.46-9.186-.53-1.47-.035-2.97-.04-4.47-.032zM135.064 181.72c22.378-.2 44.746 10.556 67.125 30.78-43.4 54.67-108.488 37.044-130.188 0 21.022-20.738 42.04-30.594 63.063-30.78zm234.625 0c.7-.016 1.394-.007 2.093 0 21.023.186 42.073 10.042 63.095 30.78-21.7 37.044-86.82 54.67-130.22 0 21.68-19.592 43.354-30.312 65.033-30.78z"}}]})(props);
};
function GiDominoTiles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M329.6 69.81c-6.6 0-12.8 2.32-16.3 5.84l-90.5 90.55c-3.6 3.5-5.9 9.8-5.9 16.3-.1 6.4 2.2 12.6 5.4 15.7L449.1 425c3.5 3.6 9.7 5.9 16.2 5.9s12.7-2.3 16.2-5.9l12.5-12.5V224L345.8 75.65c-3.5-3.52-9.7-5.84-16.2-5.84zM46.69 81.12c-6.49 0-12.73 2.32-16.26 5.85L18 99.39V288.1l148.2 148.2c3.5 3.6 9.7 5.9 16.2 5.9 6.6 0 12.8-2.3 16.3-5.9l90.5-90.5c3.6-3.5 5.9-9.7 5.9-16.2 0-6.6-2.3-12.8-5.9-16.3L62.95 86.97c-3.53-3.53-9.77-5.85-16.25-5.85zm283.01 17.4c4.2 0 8.1 1.78 11.1 4.68 6.3 6.3 6.3 16.4 0 22.7-6.2 6.2-16.4 6.2-22.6 0-6.3-6.3-6.3-16.4 0-22.7 3.1-3 7.2-4.74 11.5-4.68zM46.9 109.9c4.16.1 8.14 1.8 11.08 4.7 6.23 6.2 6.23 16.4 0 22.6-6.25 6.2-16.37 6.2-22.62 0-6.23-6.2-6.23-16.4 0-22.6 3.05-3.1 7.22-4.8 11.54-4.7zm214.9 56.5h.1c4.1.1 8.1 1.8 11 4.7 6.2 6.2 6.2 16.4 0 22.6-6.2 6.2-16.4 6.2-22.6 0-6.2-6.2-6.2-16.4 0-22.6 3-3.1 7.2-4.7 11.5-4.7zm135.8 0c4.2.1 8.2 1.7 11.1 4.7 6.2 6.2 6.2 16.4 0 22.6-6.2 6.2-16.4 6.2-22.6 0-6.2-6.2-6.2-16.4 0-22.6 3-3.1 7.2-4.7 11.5-4.7zM46.9 177.7c4.16.1 8.14 1.8 11.08 4.7 6.3 6.3 6.3 16.4 0 22.7-6.25 6.2-16.37 6.2-22.62 0-6.3-6.3-6.3-16.4 0-22.7 3.05-3.1 7.22-4.8 11.54-4.7zm67.8 0h.1c4.2.1 8.2 1.7 11.1 4.7 6.3 6.3 6.3 16.4 0 22.7-6.3 6.3-16.4 6.3-22.7 0-6.3-6.3-6.3-16.4 0-22.7 3-3.1 7.2-4.7 11.5-4.7zm321.6 21l12.8 12.8-90.5 90.5-12.8-12.8zM153.4 210l12.8 12.8-90.51 90.5-12.73-12.8zm176.3 24.3c4.2.1 8.2 1.7 11.1 4.7 6.2 6.2 6.2 16.4 0 22.6-6.2 6.2-16.4 6.2-22.6 0-6.2-6.2-6.2-16.4 0-22.6 3-3.1 7.2-4.7 11.5-4.7zm135.8 0c4.2.1 8.2 1.7 11.1 4.7 6.2 6.2 6.2 16.4 0 22.6-6.2 6.2-16.4 6.2-22.6 0-6.2-6.2-6.2-16.4 0-22.6 3-3.1 7.2-4.7 11.5-4.7zM46.9 245.6c4.16.1 8.14 1.8 11.08 4.7 6.23 6.2 6.23 16.4 0 22.6-6.25 6.2-16.37 6.2-22.62 0-6.23-6.2-6.23-16.4 0-22.6 3.05-3.1 7.22-4.8 11.54-4.7zm135.7 0h.1c4.1.1 8.1 1.8 11 4.7 6.2 6.2 6.2 16.4 0 22.6-6.2 6.2-16.4 6.2-22.6 0-6.2-6.2-6.2-16.4 0-22.6 3-3.1 7.2-4.7 11.5-4.7zm282.9 56.6c4.2.1 8.2 1.7 11.1 4.7 6.2 6.2 6.2 16.4 0 22.6-6.2 6.2-16.4 6.2-22.6 0-6.2-6.2-6.2-16.4 0-22.6 3-3.1 7.2-4.7 11.5-4.7zm-350.8 11.3h.1c4.2.1 8.2 1.7 11.1 4.7 6.2 6.2 6.2 16.4 0 22.6-6.3 6.3-16.4 6.3-22.7 0-6.23-6.2-6.23-16.4 0-22.6 3-3.1 7.2-4.7 11.5-4.7zm135.8 0c4.2.1 8.2 1.7 11.1 4.7 6.2 6.2 6.2 16.4 0 22.6-6.2 6.2-16.4 6.2-22.6 0-6.2-6.2-6.2-16.4 0-22.6 3-3.1 7.2-4.7 11.5-4.7zm215 56.6c4.2.1 8.2 1.7 11.1 4.7 6.2 6.2 6.2 16.4 0 22.6-6.2 6.2-16.4 6.2-22.6 0-6.2-6.2-6.2-16.4 0-22.6 3-3.1 7.2-4.7 11.5-4.7zm-282.9 11.3h.1c4.1.1 8.1 1.8 11 4.7 6.2 6.2 6.2 16.4 0 22.6-6.2 6.2-16.4 6.2-22.6 0-6.2-6.2-6.2-16.4 0-22.6 3-3.1 7.2-4.7 11.5-4.7z"}}]})(props);
};
function GiDonkey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M363.426 18.516s-43.17 34.89-62 89.74c-7.55 22.02-12.52 43.05-14.77 60.69-25 5.23-70.76 33.85-70.76 33.85l-35-3.79 12.08 18.29-36.08 5.71 15.83 14.89-30.37-1.35 3.37 12.82-27-.68 2.7 20.798-23.63-4.548 2.7 23.62-18.9-3.77-.67 19.288-29.7-4.72 2.7 22.27L18 332.085V494h178.46l67.597-115.734-36-45.782 12.63-9.82 44.43 56.53c4.5 4.47 9.25 8.63 12.5 10 17.69 7.47 53.25 8.35 69.69 18.21 9.25 5.52 20.38 26.832 30.52 30.522 1.76.516 3.595.742 5.43.67 8.88 0 22.65-3.112 22.65-3.112l12.49 12.16 11.66-10-30.59-31.32 11.44-11.19 32.38 33.09 2.19-1.548s9.76-54.132 3.2-70.512c-7.79-19.47-45.732-43.81-57.232-61.35-9.47-14.4-16.998-49.51-27.468-63.18-10.17-13.32-31.17-33.618-52.17-47.618 8.99-15.24 17.91-34.76 25.41-56.62 18.83-54.88 6.21-108.88 6.21-108.88zm65.79 21.7s-22 11.37-45.94 33.8a214.075 214.075 0 0 1-10.92 58.61c-5.43 16.018-12.002 31.63-19.66 46.71 3.28 2.51 6.47 5.1 9.58 7.71a357.567 357.567 0 0 0 32.94-43.892c31.32-48.77 34-102.94 34-102.94zm-86.43 214.01c13.597 0 20.403 16.437 10.79 26.05-9.613 9.612-26.05 2.805-26.05-10.792 0-8.427 6.833-15.26 15.26-15.26zm106.98 101.92c2.69 0 4.88 7 4.88 15.7s-2.19 15.7-4.88 15.7-4.88-7.03-4.88-15.7c0-8.67 2.19-15.7 4.88-15.7z"}}]})(props);
};
function GiDonut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 92.3c-53.2 0-102.8 14.8-142.2 37.4l14.2 22.4-15.2 9.6-14.23-22.5c-2.17 1.4-4.3 2.9-6.39 4.4-38.75 27.9-63.12 63.7-66.7 97.2 2.98 6.7 8.12 17.5 14.74 28.8 10.73 18.3 26.22 36.6 37.19 39.8 17.92-2.5 33.99-22.1 50.29-19.3 25.1 5.1 38.1 28.4 50.3 48 9.3 14.5 21.1 34.7 38.1 36.5 6.2.7 11.6-1.2 17.7-5.2 6.1-4.1 12.5-10.4 19.2-17.3 13.2-13.7 27.7-30.9 49.5-33.6 15.3-2 27.6 6.2 38.1 12.4 10.4 6.1 18.7 10.2 25.5 8.6h.1c11.1-5.4 16.8-14.8 22.1-23.2l-35.6-25.4 10.4-14.6 35.9 25.6c5.1-5.5 11.4-10 19.7-11.8 11.5-2.5 20.4 3.8 27.1 8 6.6 4.2 11.2 6.3 13.8 5.8 3.1-.6 11.8-7 18.1-13.8 2-2.2 3.9-4.4 5.4-6.3 2.6-10.9 3.9-22.4 3.9-34.5 0-1.5-.1-3-.1-4.4l-37.6 18.7-8-16.2 42.4-21.2c-8-29-30.7-58.7-63.9-82.6-42-30.3-100.3-51.3-163.8-51.3zm69.1 14.2l6 17-50.3 18.1-6-17zm-140.2 11l33.4 9.6-5 17.2-33.4-9.5zm184.4 23l39.7 27.6-10.2 14.8-39.7-27.6zm-47.6 12.8l10.8 14.4-33 24.5-10.8-14.4zm-157 34l2.6 17.8-45.6 6.9-2.6-17.8zm91.3 3.6c17.8 0 34 3.2 46.5 9.1 12.5 5.8 22.9 15 22.9 28s-10.4 22.2-22.9 28c-12.5 5.9-28.7 9.1-46.5 9.1s-34-3.2-46.5-9.1c-12.5-5.8-22.9-15-22.9-28s10.4-22.2 22.9-28c12.5-5.9 28.7-9.1 46.5-9.1zm146.2 5.6l4.6 17.4-47.2 12.2-4.6-17.4zM256 208.9c-15.6 0-29.6 3-38.9 7.4-9.4 4.3-12.5 9.2-12.5 11.7s3.1 7.4 12.5 11.7c9.3 4.4 23.3 7.4 38.9 7.4 15.6 0 29.6-3 38.9-7.4 9.4-4.3 12.5-9.2 12.5-11.7s-3.1-7.4-12.5-11.7c-9.3-4.4-23.3-7.4-38.9-7.4zm-194.44 18l39.74 15.4-6.5 16.8-39.74-15.4zm-32 59.9c9.06 35.6 31.19 64.7 62.55 86.9 41.69 29.4 99.99 46 163.89 46 63.9 0 122.2-16.6 163.9-46 21.1-14.9 38.1-33 49.6-54.2-2 .9-4.1 1.6-6.3 2-11.5 2.4-20.4-4-27-8.2-6.7-4.1-11.2-6.2-13.7-5.6-7.2 1.6-13.4 9.7-20.6 20.8-7.3 11-15.6 25-31.8 28.6-15.2 3.4-28-4.4-38.7-10.7-10.6-6.3-19.5-11-26.6-10.1-16.8 5-29.2 18.3-38.9 28.3-6.8 7.1-13.8 14.3-22.1 19.8s-18.3 9.2-29.5 8.2c-26.8-4.9-39.2-24.9-51.6-45-12.3-19.7-23.5-36.8-38.6-39.9-18.7 3-31.62 24.4-51.74 18.9-18.43-5.4-32.01-22.5-42.8-39.8zm223.64 2.8l2.6 17.8-50.4 7.4-2.6-17.8z"}}]})(props);
};
function GiDoorHandle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M73 41v430h174V220.8c-.3 0-.7-.1-1-.1-21.5-2.9-39.3-2.1-48.7 1.9A71.88 71.88 0 0 1 160 233c-40.2 0-73-32.8-73-73s32.8-73 73-73c29 0 54.1 17 65.9 41.4.2.3.6.7 1.4 1.1 2 1.1 5.4 2.7 10 4.5 2.8 1.1 6.1 2.4 9.7 3.7V41H73zm152.9 87.4c-.4-.5-.2-.4.7 1.5-.2-.5-.5-1-.7-1.5zM160 105c-30.4 0-55 24.6-55 55s24.6 55 55 55c10.7 0 20.5-3 28.9-8.2l.6-.4.6-.3c15.3-6.6 35.3-6.4 58.3-3.3 23.1 3.2 49.2 9.6 75.6 17.6 52.7 16.1 106.4 38.4 137.2 53.5 9 4.5 12.2 3.2 14.2 1.5 2-1.7 4.1-6.8 3.6-14.2-1.1-14.7-12-34.7-32.3-41-78.3-24.5-135.1-42-173-54.4-18.9-6.2-33.1-11.1-43.1-15.1-5-2-8.9-3.7-12-5.5-3.2-1.7-6-2.4-8.4-7.8-8.7-19.1-27.8-32.4-50.2-32.4zm0 183a32 32 0 0 1 32 32 32 32 0 0 1-11.9 24.8L192 416h-64l11.9-71.2A32 32 0 0 1 128 320a32 32 0 0 1 32-32z"}}]})(props);
};
function GiDoorRingHandle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247.1 42c-1.4 3.19-3.3 6.09-5.5 8.64-4.2 4.77-9.4 8.71-15 12.08-8.2 4.94-17.1 8.67-25.6 10.32v53.26c4.2-1.3 8.4-2.4 12.7-3.4 10.5-11.6 25.5-18.9 42.3-18.9 16.8 0 31.8 7.3 42.3 18.9 4.3 1 8.5 2.1 12.7 3.4V73.04c-8.5-1.65-17.4-5.38-25.6-10.32-5.6-3.37-10.8-7.31-15-12.08-2.2-2.55-4.1-5.45-5.5-8.64zm8.9 80c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm-54.7 23.2C135.9 167.8 89 229.9 89 303c0 92.3 74.7 167 167 167s167-74.7 167-167c0-73.1-46.9-135.2-112.3-157.8 1.5 5 2.3 10.3 2.3 15.8 0 9-2.1 17.5-5.8 25 45.2 20.1 76.8 65.5 76.8 118 0 71.1-57.9 129-129 129-71.2 0-129-57.9-129-129 0-53.2 32.4-99 78.5-118.7-3.5-7.4-5.5-15.6-5.5-24.3 0-5.5.8-10.8 2.3-15.8zm13.7 55.3c-4.9 1.8-9.5 4-14 6.5v10.3c7.4 1.9 14 6 19.4 11.3 5.3 5.4 9.4 12 11.3 19.4h48.6c1.9-7.4 6-14 11.3-19.4 5.4-5.3 12-9.4 19.4-11.3v-9.2c-4.6-2.7-9.5-5.1-14.5-7.1-10.3 10.5-24.7 17-40.5 17-16.1 0-30.7-6.7-41-17.5z"}}]})(props);
};
function GiDoor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105 41v398h302V41H105zm55 174c18.1 0 33 14.9 33 33s-14.9 33-33 33-33-14.9-33-33 14.9-33 33-33zm0 18c-8.4 0-15 6.6-15 15s6.6 15 15 15 15-6.6 15-15-6.6-15-15-15zM73 457v30h366v-30H73z"}}]})(props);
};
function GiDoorway (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208.7 22.36l22.4 77.23c8.9-1.66 18.1-2.49 27.6-2.49 8.5 0 16.8.68 24.9 2.02l22.2-76.76zm103.1 46.26l-10 34.78c15.2 4.8 29.1 12.3 40.8 22.7l25.5-23.8c-16-14.79-35.1-26.35-56.3-33.68zm-108.9.86c-21 7.67-39.9 19.61-55.6 34.72l25.5 23.8c.1-.1.2-.3.4-.4 11.4-10.6 24.9-18.3 39.8-23.4zM97.56 83.35L59.71 139l86.09 30.1c3.7-10 8.6-19.1 14.5-27.1zm318.24 0l-60.3 56.35c6.4 8.2 11.7 17.6 15.7 28.1l82.4-28.8zM268 116v317.5h93.4V218.6c0-35.3-11.5-60.4-29.8-77.3-16.2-15-38.3-23.6-63.6-25.3zm-18.6 0c-25.2 1.7-47.3 10.3-63.6 25.3-18.2 16.8-29.7 42-29.7 77.3v214.9h93.3zm163 57.3l-35.8 12.5c2.2 10.2 3.4 21.1 3.4 32.8v9.3h38.9v-9.3c0-15.8-2.3-31-6.5-45.3zM105 174.7c-3.9 13.9-6.05 28.6-6.05 43.9v9.3h38.55v-9.3c0-11.2 1.1-21.7 3.1-31.4zm-39.3 71.8v56.2h71.8v-56.2zm314.3 0v56.2h66v-56.2zM98.95 321.3v37.5h38.55v-37.5zm281.05 0v37.5h38.9v-37.5zM56.16 377.4v56.1h81.34v-56.1zm323.84 0v56.1h75.8v-56.1zm-233.3 74.7l-39.6 37.5h297.4l-33-37.5z"}}]})(props);
};
function GiDorsalScales (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448.406 22.777c-20.444.056-40.8 2.37-61.062 6.92 42.126 26.944 79.974 62.34 108.63 105.037V26.64c-14.298-2.26-28.56-3.63-42.777-3.835-1.598-.023-3.194-.032-4.79-.028zm-70.99 22.756l2.617 71.578c42.783 44.863 69.598 99.77 90.922 160.507 9.53 1.26 16.857 2.407 25.02 3.156v-109.95c-28.014-51.818-70.248-94.353-118.56-125.29zm-32.738 92.502c-84.585.81-141.635 28.035-194.008 75.742 98.584 4.644 199.466 47.095 262.734 138.303 14.49-10.428 26.113-22.24 33.21-36.363 4.21-8.374 7.025-17.667 8.05-28.28-18.374-53.244-42.422-105.85-79.7-148.41-10.513-.72-20.632-1.09-30.28-.992h-.006zM149.734 232.44l38 60.37c59.65 17.645 106.29 54.74 154.526 96.526 19.75-8.558 38.818-17.252 55.46-27.072-59.595-85.572-154.37-125.46-247.986-129.825zm322.262 64.175c-4.492 24.492-17.018 47.316-37.23 62.95-23.885 20.18-52.798 32.95-81.205 45.35 7.264 27.594-2.786 55.252-16.52 79.337l.48.246-5.936 11.43h164.353V299.45c-7.997-.757-15.97-1.782-23.94-2.835zM189.02 312.73c-64.893 30.094-122.208 81.24-148.54 148.928-.9 7.164-10.234 21.254-11.044 29.307C78.8 465.39 134.808 449.818 192.27 449.53c42.503-.214 85.795 7.93 127.775 26.562 12.36-21.173 22.023-44.588 14.494-68.748-43.76-37.967-89.553-76.406-145.52-94.614zm3.072 155.432c-45.384.252-89.89 10.642-130.737 28.31l246.108-.224c.863-1.34 1.753-2.75 2.63-4.115-38.784-16.812-78.72-24.19-118-23.97z"}}]})(props);
};
function GiDoubleDiaphragm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.727 19.027c-1.302.008-2.603.028-3.903.057C171.402 20.884 94.76 62.85 52.18 136.602c-64.884 112.384-26.305 256.362 86.078 321.246 112.382 64.883 256.36 26.304 321.244-86.08 64.883-112.383 26.304-256.36-86.078-321.245C336 28.917 295.07 18.783 254.727 19.027zm.03 18.608c20-.11 40.162 2.56 59.903 8.158l-89.572 59.637c9.898-2.035 20.144-3.104 30.637-3.104 2.503 0 4.99.064 7.464.184l73.718-49.08c9.224 3.74 18.3 8.163 27.168 13.283 35.108 20.27 62.376 48.856 80.778 81.818l-105.756-21.218c10.707 7.06 20.477 15.43 29.066 24.89l87.03 17.46c18.944 44.744 22.685 95.438 8.956 143.61l-59.644-89.58c2.015 9.852 3.074 20.05 3.074 30.49 0 2.536-.064 5.056-.187 7.562l49.09 73.735c-3.72 9.142-8.094 18.146-13.17 26.94-20.32 35.193-48.993 62.51-82.055 80.914L382.432 337.8c-7.06 10.664-15.42 20.39-24.868 28.944l-17.43 86.89c-44.718 18.87-95.357 22.57-143.476 8.835l89.303-59.458c-9.773 1.98-19.884 3.025-30.235 3.025-2.594 0-5.173-.066-7.735-.195l-73.527 48.955c-9.115-3.714-18.09-8.077-26.858-13.14-35.15-20.292-62.443-48.922-80.845-81.934l105.28 21.12c-10.652-7.058-20.367-15.417-28.91-24.86l-86.69-17.39c-18.876-44.658-22.617-95.233-8.963-143.31l59.445 89.283c-2-9.82-3.053-19.98-3.053-30.384 0-2.56.065-5.106.19-7.635l-48.93-73.49c3.735-9.202 8.13-18.26 13.24-27.108 20.246-35.07 48.785-62.328 81.7-80.73l-21.172 105.524c7.06-10.696 15.427-20.455 24.885-29.035l17.42-86.835c25.263-10.713 52.425-16.582 79.963-17.19 1.196-.028 2.394-.044 3.592-.05zm.968 83.385c-15.46 0-30.293 2.63-44.086 7.455l57.245 30.795c-4.81-.74-9.733-1.125-14.748-1.125-7.588 0-14.97.884-22.05 2.544l-41.86-22.518c-23.703 13.388-42.87 33.826-54.672 58.492l58.754-17.652c-9.195 7.31-17.02 16.267-23.03 26.425l-43.93 13.2c-3.116 11.312-4.787 23.23-4.787 35.545 0 14.985 2.464 29.385 7.01 42.818l29.02-53.945c-.435 3.705-.663 7.472-.663 11.295 0 8.23 1.035 16.216 2.978 23.84l-21.765 40.462c12.728 23.007 32.062 41.826 55.466 53.91l-18.68-62.175c7.303 10.174 16.54 18.863 27.177 25.53l13.723 45.67c12.3 3.74 25.357 5.757 38.895 5.757 13.444 0 26.414-1.99 38.64-5.68l-62.78-33.77c7.234 1.737 14.784 2.665 22.552 2.665 6.336 0 12.525-.622 18.52-1.79l44.206 23.78c23.888-12.34 43.538-31.693 56.244-55.357l-74.045 22.246c13.433-7.107 24.98-17.297 33.698-29.633l49.82-14.97c4.09-12.812 6.307-26.47 6.307-40.655 0-13.935-2.133-27.362-6.086-39.977l-36.527 67.902c2.645-8.79 4.07-18.106 4.07-27.757 0-5.66-.492-11.2-1.43-16.59l24.624-45.774c-12.995-24.61-33.47-44.628-58.422-57.054l20.512 68.267c-7.254-11.532-16.886-21.413-28.21-28.96l-14.403-47.94c-11.83-3.434-24.34-5.28-37.29-5.28z"}}]})(props);
};
function GiDoubleDragon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M239.03 21.875c-1.406-.007-2.842.01-4.28.03-19.1.284-40.94 3.138-66.97 9.72 57.367 4.75 94.558 22.836 116.283 46.406-24.045-5.13-49.508-7.01-75.438-5.81-65.45 3.02-133.1 25.878-186.28 66.56v352.814h69.25c24.58-124.19 150.084-151.697 204.593-123.313-6.39 7.464-14.14 14.026-22.875 19.564l117.593 103.47c11.426-9.222 22.02-19.048 31.97-29.345 3.555-6.757 5.15-14.46 5.437-23.157-6.92 9.63-16.32 16.047-29.844 21.812-23.843-10.546-35.178-38.2-25.314-62.53 7.544-18.608 25.33-29.97 44.22-30.25 6.295-.095 12.734 1.048 18.937 3.56 7.767 3.15 14.286 8.074 19.25 14.126-1.87 17.62-5.607 29.942-14.094 40.314 8.26-2.506 15.254-5.98 20.843-11.094 11.06-15.077 21.41-30.684 31.375-46.562-140.284-55.405-112.67-123.29-262.97-165.844 40.218 27.884 63.98 55.072 75.532 80.062-81.775-31.722-164.477-34.046-229.03 8.813 42.262-102.17 173.387-141.1 226.093-117.72-1.64 4.707-3.617 9.282-5.907 13.656L450.97 217.97c5.305-13.755 9.585-27.614 13.06-41.564-.354-7.532-2.824-14.89-6.874-22.468-1.17 11.726-6.002 21.958-14.718 33.625-26.015 2.93-49.773-15.384-53.407-41.47-3.693-26.515 14.8-50.992 41.314-54.687 2.486-.28 4.94-.468 7.375-.468 5.688.075 11.183 1.165 16.31 3.093 7.24 16.273 10.207 28.856 8.033 42.126 5.872-6.27 10.144-12.753 12.437-19.937 2.063-18.68 3.243-37.46 3.938-56.282-121.62 18.065-150.75-37.62-239.407-38.063zm89.75 48.375v.063c7.988-.298 15.062 5.507 16.19 13.593 1.2 8.625-4.813 16.585-13.44 17.782-8.624 1.2-16.61-4.813-17.81-13.438-1.203-8.625 4.842-16.616 13.468-17.812.54-.187 1.06-.17 1.593-.188zm22.533 230.22c2.048-.04 4.138.333 6.156 1.155 8.07 3.272 11.958 12.462 8.686 20.53-3.272 8.073-12.49 11.96-20.562 8.69-8.07-3.274-11.96-12.463-8.688-20.532 2.454-6.054 8.262-9.844 14.407-9.844z"}}]})(props);
};
function GiDoubleFaceMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M276.44 20.63v473.227c43.08-1.258 82.452-26.44 111.833-68.043 30.15-42.69 49.18-102.418 49.18-168.57 0-66.152-19.027-125.88-49.178-168.57C358.895 47.072 319.52 21.89 276.44 20.63zM156.07 227.194c-10.05.02-20.717.973-31.93 2.67-.857 98.74 54.765 57.68 122.387 65.075-14.887-50.39-46.9-67.83-90.457-67.745zm231.46 0c10.05.02 20.717.973 31.93 2.67.855 98.74-54.767 57.68-122.39 65.075 14.887-50.39 46.903-67.83 90.46-67.745z"}}]})(props);
};
function GiDoubleFish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M336 32c-28.2 0-81.2 24.81-115.3 52.59C156.5 94.55 80 119.4 80 144c0 29 104.8 57.9 172.1 63.2C276.7 229 322.8 240 336 240c-12.5-12.5-25-25.1-22.2-37.6 34-8.2 69.4-24 100.5-37.9 21 23.9 53.2 43.5 65.7 43.5-16-32-16-48-16-64s16-48.05 32-64c-25.1 0-60 19.65-81.6 43.5-33.5-14.8-71.9-32.15-108.4-39.65 4.9-16.81 17.4-39.27 30-51.85zm-176 80a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm16 176c12.6 12.6 25.1 35 30 51.8-36.5 7.5-74.9 24.9-108.4 39.7C76 355.6 41.1 336 16 336c16 15.9 32 48 32 64s0 32-16 64c12.5 0 44.7-19.6 65.7-43.5 31.1 13.9 66.5 29.7 100.5 37.9 2.8 12.5-9.7 25.1-22.2 37.6 13.2 0 59.3-11 83.9-32.8C327.2 457.9 432 429 432 400c0-24.6-76.5-49.4-140.7-59.4C257.2 312.8 204.2 288 176 288zm176 80a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16z"}}]})(props);
};
function GiDoubleQuaver (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M451.125 25.625l-12.156 3.813-262.064 82.624-6.53 2.063V397.06c-1.257-.497-2.526-.96-3.845-1.375-6.973-2.185-14.84-3.302-23.374-3.343-8.533-.042-17.724 1.01-27.312 3.125-19.176 4.228-36.465 12.1-49.5 21.936-13.035 9.836-22.75 21.828-22.75 36.125 0 7.15 3.008 13.937 7.718 18.845 4.71 4.908 10.87 8.22 17.844 10.406 13.95 4.373 31.543 4.45 50.72.22 19.175-4.23 36.464-12.102 49.5-21.938 13.034-9.835 22.718-21.858 22.718-36.156 0-4.324-1.12-8.504-3.03-12.22V225.22l243.374-76.69v142.407c-1.265-.5-2.547-.958-3.875-1.375-6.975-2.185-14.842-3.302-23.375-3.343-8.534-.043-17.725.978-27.313 3.092-19.176 4.23-36.465 12.103-49.5 21.938-13.035 9.835-22.72 21.86-22.72 36.156 0 7.15 2.978 13.936 7.69 18.844 4.71 4.908 10.868 8.19 17.842 10.375 13.95 4.372 31.543 4.48 50.72.25 19.175-4.23 36.464-12.102 49.5-21.938 13.034-9.835 22.718-21.858 22.718-36.156 0-4.302-1.105-8.476-3-12.186V25.624zm-18.688 25.5v29.188L189.063 157v-29.188l243.375-76.687zm0 48.78v29l-243.375 76.72v-29l243.375-76.72z"}}]})(props);
};
function GiDoubleRingedOrb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.777 93.275c-58.482 0-105.695 47.21-105.695 105.696 0 58.487 47.213 105.698 105.695 105.698 58.482 0 105.696-47.21 105.696-105.697 0-58.48-47.214-105.695-105.696-105.695zm-140.714 63.59C-40.9 155.67-21.26 276.118 227.043 357.748c225.954 74.28 319.04 10.624 239.48-69.973-.413-.55-.84-1.097-1.277-1.64-4.755 3.954-9.71 7.915-14.95 11.88 4.487 5.513 7.138 11.084 7.704 16.01.713 6.2-.9 11.8-6.986 17.977-5.84 5.927-16.25 11.98-32.307 16.49-24.074 5.698-58.427 5.6-102.287-2.656l.105-.04c-2.153-.38-4.3-.787-6.445-1.198-21.875-4.418-46.004-10.805-72.318-19.455-69.962-23-118.054-49.706-146.063-74.936.246-.19.48-.38.728-.568-.27.166-.532.333-.8.5-53.315-48.08-33.682-90.78 46.558-92.2-8.46-.665-16.502-1.016-24.124-1.075zm281.425 0c-7.62.06-15.663.41-24.123 1.076 80.24 1.42 99.86 44.115 46.537 92.193-.264-.165-.513-.33-.78-.494.244.184.472.368.712.553-26.017 23.434-69.357 48.144-131.455 69.973 21.19 5.413 42.82 9.363 64.815 11.64 34.83-15.125 63.025-30.916 84.91-46.554.01.007.02.014.032.02.522-.386 1.03-.773 1.547-1.16 90.502-65.565 69.686-128.11-42.196-127.247zM44.54 286.27c-74.364 73.55-5.467 133.668 176.683 89.125-22.844-7.563-44.89-15.83-65.84-24.194-25.396 2.316-46.41 1.29-62.842-2.346-16.802-4.544-27.613-10.765-33.61-16.852-6.086-6.176-7.697-11.776-6.985-17.977.56-4.88 3.17-10.395 7.582-15.86-5.253-3.968-10.22-7.935-14.986-11.894z"}}]})(props);
};
function GiDoubleShot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M414.834 18.08c-29.377.15-59.012 16.6-73.164 58.87-18.758 56.028 67.407 137.784 33.57 221.206l48.215 41.87c35.646-92.954-52.048-200.4-34.2-251.44 12.36-35.35 35.672-38.21 56.05-26.44 19.942 11.51 30.406 30.664 17.974 54.99 33.043-12.62 37.255-51.444 9.52-77.197-3.96-3.68-9.02-7.016-14.277-10.05-12.984-7.496-28.3-11.89-43.69-11.81zm-80.77 32.01L65.937 62.16l-12.52 268.254c6.35-3.422 12.764-6.356 19.128-8.965L83.81 80.063l240.33-10.82c2.91-6.817 6.27-13.176 9.924-19.154zM104.686 87.955l324.392 330.04c-4.34 4.466-8.884 8.73-13.62 12.8L91.132 100.825l-.268.267L389.03 450.41c-14.866 9.56-31 17.84-48.122 25.12l116.04 19.41-7.018-44.188 44.187 7.02L474.71 341.73c-5.74 17.768-13.425 33.603-22.753 47.803L104.687 87.955zm-6.608 248.54c-.862-.012-1.718-.007-2.57.015-5.58.14-10.955.986-16.106 2.71-64.408 21.564-68.868 79.083-47.06 116.854 24.26 42.03 72.824 42.517 87.244 4.76-24.33 12.43-43.474 1.958-54.99-17.98-11.763-20.378-8.91-43.69 26.435-56.045 50.177-17.548 154.964 66.773 248.366 34.237l-40.757-47.75c-73.316 27.468-146.275-36.113-200.562-36.803z","fillRule":"evenodd"}}]})(props);
};
function GiDoubleStreetLights (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96 25c-13 0-27.05 6.78-37.64 17.36-8.17 8.18-14.03 18.41-16.3 28.64H145.4l-23-46H96zm293.6 0l-23 46h103.3c-2.2-10.23-8.1-20.46-16.3-28.64C443.1 31.78 429 25 416 25h-26.4zm-27.5 14.65c-25.3 1.55-49.8 6.15-70.1 16.3-15.3 7.62-28 18.95-36 33.99-8-15.04-20.7-26.37-36-33.99-20.3-10.15-44.8-14.74-70.1-16.29l9.5 18.89c19.8 2.06 38.2 6.29 52.6 13.5C233.8 82.98 247 99 247 128v231h18V128c0-29 13.2-45.02 35-55.95 14.5-7.22 32.8-11.45 52.6-13.51l9.5-18.89zM47.34 89L19 131.2l47.8-21.9-9 66.7 32.9-58.8 13.2 85.8 14.8-89.3 46.7 58.7-22.1-69.6 51.2 13.6L163.4 89H47.34zm301.26 0l-31.1 27.4 51.2-13.6-22.1 69.6 46.7-58.7 14.8 89.3 13.2-85.8 32.9 58.8-9-66.7 47.8 21.9L464.7 89H348.6zM236.7 377l-3.4 110h45.4l-3.4-110h-38.6z"}}]})(props);
};
function GiDoubled (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304.833 16c-261.69 0-320.71 387.657-62.343 387.657 86.284 0 86.955-129.375 0-129.375-139.947 0-99.134-202.896 62.343-258.282zm-30.938 92.343c-86.283 0-86.955 129.375 0 129.375 139.95 0 88.353 202.896-73.125 258.282 261.69 0 331.49-387.657 73.125-387.657z"}}]})(props);
};
function GiDoughRoller (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M468.166 24.156c-13.8-.31-30.977 9.192-42.46 16.883-22.597 15.13-45.255 67.882-45.255 67.882s-17.292-5.333-22.626 0c-5.333 5.333 0 22.627 0 22.627l-4.95 4.948 22.628 22.63 4.95-4.952s17.293 5.333 22.626 0c5.333-5.334 0-22.627 0-22.627s52.75-22.66 67.883-45.255c10.7-15.978 24.91-42.97 11.313-56.568-3.824-3.825-8.707-5.45-14.107-5.57zM312.568 121.65L121.65 312.568l77.782 77.782L390.35 199.432l-77.782-77.782zm-176.07 231.223l-4.95 4.95s-17.293-5.332-22.626 0c-5.333 5.335 0 22.628 0 22.628s-52.75 22.66-67.883 45.255c-10.7 15.978-24.91 42.97-11.313 56.568 13.597 13.598 40.59-.612 56.568-11.312 22.596-15.13 45.254-67.882 45.254-67.882s17.292 5.333 22.626 0c5.333-5.333 0-22.627 0-22.627l4.95-4.948-22.628-22.63z"}}]})(props);
};
function GiDove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M38.643 17.275L32.215 59.47c20.354 23.085 48.127 40.682 79.195 56-29.677-4.055-58.635-12.142-84.64-24.868-.292 8.613-.584 26.252.896 35.58 23.024 8.994 48.88 14.026 75.95 16.728-23.698 5.377-47.716 7.58-71.425 6.95 2.665 9.36 7.325 22.24 11.26 31.675 22.547-1.977 45.912-7.504 69.36-15.47-18.785 14.27-39.05 26.146-60.185 35.322l28.877 30.056 17.144-9.898-5.978 22.312c6.788 6.61 20.498 15.434 27.56 20.623l13.268-11.662-.338 20.2c19.91 13.99 41.056 12.083 61.15 1.718-.804 6.438-1.308 13.29-1.482 20.56C132.47 314.7 66.666 320.958 70.59 348.222l34.553 6.947-34.108 18.04c1.503 7.398 3.84 15.003 7.73 22.677L120.1 379.56 92.17 416.226c4.726 6.13 14.61 14.823 20.537 20.515l39.47-46.24-17.962 63.475c6.238 4.326 19.387 9.33 26.273 12.87l43.313-71.076-14.138 80.248c17.225 3.487 20.708 4.81 39.82 3.19l18.186-75.66 20.297 71.852c7.333-2.51 23.21-9.526 29.976-12.664l-11.794-59.3 35.372 45.14c7.232-5.076 18.943-11.587 24.316-17.328l-17.994-37.326 31.973 18.19c25.568-17.19-44.333-57.458-86.944-100.22 6.416-8.725 11.636-17.086 15.786-25.042 19.45 27.668 44.75 39.74 75.84 29.93l-1.176-21.815 16.002 14.943c7.52-4.34 15.072-10.137 22.48-16.166l-6.99-19.133 18.694 8.745c12.732-6.638 22.917-17.1 33.08-27.59-16.19-12.562-32.92-27.903-47.49-40.242 17.74 9.162 38.718 17.52 56.892 23.95 4.27-7.49 12.045-21.063 15.463-28.7-19.626-4.04-39.435-11.263-58.413-20.58 23.383 2.56 45.728 3.05 66.367-1.138 2.805-8.642 9.82-22.678 11.123-30.996-23.616 6.897-49.242 8.78-74.923 7.03 28.832-9.016 55.294-21.066 75.56-39.81L485.69 93c-84.44 76.087-173.95 30.858-210.133 83.916-5.043-1.298-10.115-1.43-14.932-.56-14.7-80.695-139.033-53.424-221.982-159.083zM293 226.155l-9.643 45.806-23.623-44.347c10.196 4.382 20.545 8.023 33.266-1.457z"}}]})(props);
};
function GiDozen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64.865 21.293c-11.48 0-20.785 10.696-20.785 23.887 0 8.72 4.068 16.345 10.14 20.515H15.308v18.688h40.228v23.365l-24.56 49.422 16.736 8.318 17.17-34.547 17.167 34.548 16.736-8.318-24.56-49.422V84.383h40.228V65.695H75.51c6.072-4.17 10.14-11.796 10.14-20.515 0-13.193-9.305-23.887-20.785-23.887zm126.895 0c-11.48 0-20.785 10.696-20.785 23.887 0 8.72 4.068 16.345 10.14 20.515H142.2v18.688h40.23v23.365l-24.56 49.422 16.735 8.318 17.168-34.547 17.168 34.548 16.738-8.318-24.56-49.422V84.383h40.228V65.695h-38.942c6.073-4.17 10.14-11.796 10.14-20.515 0-13.193-9.305-23.887-20.784-23.887zm123.244 0c-11.48 0-20.785 10.696-20.785 23.887 0 8.72 4.067 16.345 10.14 20.515h-38.913v18.688h40.227v23.365l-24.56 49.422 16.736 8.318 17.17-34.55 17.168 34.55 16.734-8.318-24.56-49.418v-23.37h40.228V65.696h-38.94c6.073-4.17 10.14-11.796 10.14-20.515 0-13.193-9.307-23.887-20.786-23.887zm122.164 0c-11.48 0-20.785 10.696-20.785 23.887 0 8.72 4.068 16.345 10.14 20.515H387.61v18.688h40.228v23.365l-24.56 49.422 16.736 8.318 17.168-34.547 17.168 34.548 16.736-8.318-24.56-49.418v-23.37h40.228V65.696h-38.94c6.073-4.17 10.14-11.796 10.14-20.515 0-13.193-9.307-23.887-20.786-23.887zM64.865 187.153c-11.48 0-20.785 10.697-20.785 23.888 0 8.72 4.067 16.344 10.14 20.515H15.306v18.69h40.228v23.364l-24.56 49.42 16.736 8.318L64.88 296.8l17.167 34.548 16.736-8.317-24.56-49.42v-23.366h40.228v-18.69H75.513c6.07-4.17 10.138-11.794 10.138-20.513 0-13.192-9.305-23.886-20.785-23.886zm126.895 0c-11.48 0-20.785 10.697-20.785 23.888 0 8.72 4.067 16.344 10.138 20.515H142.2v18.69h40.23v23.364l-24.56 49.42 16.735 8.318 17.168-34.547 17.168 34.548 16.738-8.317-24.56-49.42v-23.366h40.228v-18.69h-38.94c6.072-4.17 10.14-11.794 10.14-20.513 0-13.192-9.307-23.886-20.786-23.886zm123.244 0c-11.48 0-20.785 10.697-20.785 23.888 0 8.72 4.066 16.344 10.137 20.515h-38.91v18.69h40.227v23.364l-24.56 49.42 16.736 8.318 17.17-34.547 17.168 34.548 16.734-8.317-24.56-49.417v-23.37h40.228v-18.688h-38.938c6.072-4.17 10.14-11.795 10.14-20.514 0-13.192-9.31-23.886-20.788-23.886zm122.164 0c-11.48 0-20.785 10.697-20.785 23.888 0 8.72 4.067 16.344 10.138 20.515h-38.91v18.69h40.228v23.364l-24.56 49.42 16.736 8.318 17.168-34.547 17.168 34.548 16.736-8.317-24.56-49.417v-23.37h40.228v-18.688h-38.938c6.072-4.17 10.14-11.795 10.14-20.514 0-13.192-9.31-23.886-20.788-23.886zM64.865 352.43c-11.48 0-20.785 10.695-20.785 23.886 0 8.72 4.067 16.345 10.14 20.516H15.306v18.69h40.228v23.365l-24.56 49.422 16.736 8.315 17.17-34.547 17.167 34.547 16.736-8.316-24.56-49.423V415.52h40.228v-18.688H75.513c6.07-4.17 10.138-11.797 10.138-20.516 0-13.192-9.305-23.886-20.785-23.886zm126.895 0c-11.48 0-20.785 10.695-20.785 23.886 0 8.72 4.067 16.345 10.138 20.516H142.2v18.69h40.23v23.365l-24.56 49.422 16.735 8.315 17.168-34.547 17.168 34.547 16.738-8.316-24.56-49.423V415.52h40.228v-18.688h-38.94c6.072-4.17 10.14-11.797 10.14-20.516 0-13.192-9.307-23.886-20.786-23.886zm123.244 0c-11.48 0-20.785 10.695-20.785 23.886 0 8.72 4.066 16.345 10.137 20.516h-38.91v18.69h40.227v23.365l-24.56 49.422 16.736 8.315 17.17-34.547 17.168 34.547 16.734-8.316-24.56-49.42v-23.37h40.228v-18.688h-38.938c6.072-4.17 10.14-11.797 10.14-20.516 0-13.192-9.31-23.886-20.788-23.886zm122.164 0c-11.48 0-20.785 10.695-20.785 23.886 0 8.72 4.067 16.345 10.138 20.516h-38.91v18.69h40.228v23.365l-24.56 49.422 16.736 8.315 17.168-34.547 17.168 34.547 16.736-8.316-24.56-49.42v-23.37h40.228v-18.688h-38.938c6.072-4.17 10.14-11.797 10.14-20.516 0-13.192-9.31-23.886-20.788-23.886z"}}]})(props);
};
function GiDragonBalls (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M324.582 17.393c-93.624 0-169.723 76.094-169.723 169.72 0 93.627 76.098 169.725 169.722 169.725 93.624 0 169.725-76.098 169.725-169.725 0-93.624-76.1-169.72-169.725-169.72zm0 18.69c83.523 0 151.033 67.507 151.033 151.03 0 83.525-67.51 151.033-151.033 151.033-83.523 0-151.03-67.508-151.03-151.033 0-83.525 67.507-151.03 151.03-151.03zM356.54 62.01c-4.802-.08-9.63.392-14.448 1.474-34.385 7.73-39.338 45.97.678 50.385 30.042 3.316 51.002 53.078 45.642 90.703-6.692 46.976 45.08 44.456 59.164-2.53 18.33-61.148-34.38-139.084-91.037-140.032zm-33.093 65.316l-15.857 42.883-31-5.303 22.71 27.352-21.933 26.414 29.07-4.97 17.01 46.005 17.008-45.992 29.375 5.023-21.988-26.48 22.765-27.418-31.306 5.353-15.853-42.866zm-297.633 67.56c-1.02.027-2.096.09-3.23.206h-.002v.002c-1.107.114-2.162.268-3.193.437v19.075c1.79-.417 3.474-.755 5.108-.923 1.993-.206 4.99.048 8.97.048 48.645 0 88.188 39.026 88.188 87.602S82.11 388.936 33.47 388.936c-4.908 0-9.516-.402-14.08-1.172v18.896c4.576.628 9.247.965 14.08.965 58.69 0 106.874-47.533 106.874-106.293 0-58.76-48.184-106.29-106.875-106.29-1.366 0-2.954-.105-4.767-.15-.906-.024-1.87-.034-2.89-.007zM49.8 238.282c-3.21-.066-6.43.286-9.618 1.11-18.975 4.897-24.602 31.424-2.22 32.938v-.004c17.73 1.2 23.966 21.076 22.374 41.6-1.972 25.428 34.927 23.09 41.713-2.442 8.68-32.663-21.24-72.554-52.25-73.2zm146.815 115.413c-37.322 0-67.78 30.457-67.78 67.78s30.458 67.78 67.78 67.78 67.78-30.457 67.78-67.78-30.458-67.78-67.78-67.78zm0 18.69c27.222 0 49.09 21.868 49.09 49.09 0 27.222-21.868 49.09-49.09 49.09-27.222 0-49.09-21.868-49.09-49.09 0-27.223 21.868-49.09 49.09-49.09zm3.627 17.55c-1.13 0-2.265.104-3.402.323-10.146 1.957-13.307 13.24-2.44 17.844 6.05 2.562 13.452 9.213 10.127 23.478-3.156 13.546 17.432 13.867 21.98.225 6.02-18.053-9.33-41.855-26.265-41.87z"}}]})(props);
};
function GiDragonBreath (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M15.327 12.997v61.32c76.696 54.194 157.847 147.575 64.827 125.566 57.116 55.067 104.12 26.786 174.037 135.492 30.42 47.297 7.473 80.54-29.785 90.524-47.88 12.828-114.353-30.45-57.82-54.314-59.296-1.45-66.954 47.977-38.727 80.237-27.93-9.635-46.01-34.308-43.034-60.605-36.043 48.278-5.362 93.284 54.313 102.43h357.42v-344.57c-15.752-70.31-94.876-87.764-103.372-3.504 14.61-36.423 50.96-20.625 84.1 18.688-11.28-7.498-24.24-11.49-36.21-11.097-19.73.65-37.36 12.086-41.466 36.794 55.902-46.113 84.628 34.717 61.74 76.876-24.744 45.582-94.89-20.467-95.03-75.71-27.974 31.235-7.813 108.298 52.37 122.548C304.635 301.29 342.743 182.92 295.655 157.84 324.383 285.473 121.728 62.26 66.137 13h-50.81z"}}]})(props);
};
function GiDragonHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M72.81 429.82c-22.296-2.195-27.265-19.923-25.57-43.598 9.177 9.99 18.39 19.894 32.228 22.2-.75-7.84.293-15.77 4-23.815 5.323 7.987 14.75 16.796 29.034 26.567l10.557-28.337c9.917 15.174 21.736 29.49 48.303 41.756l11.9-35.993c7.796 8.075 15.115 16.283 33.035 21.326l24.54-36.55c22.244 9.91 42.094 7.707 58.597-11.042 13.845-17.986 27.5-36.654 38.51-64.19l-8.08-30.04c-.552-12.898 15.98-20.13 26.698-7.09l25.833 49.492c3.972 11.24 4.647 23.27-2.554 37.263l-45.075 68.697c-7.32 5.586-16.634 10.108-35.875 9.198-33.167-3.663-65.717-6.63-91.228-1.006-29.393 3.428-58.757 7.524-88.056 13.206-16.216 4.97-32.058 5.285-46.8-8.046zm49.984-77.64c-7.862 13.362-11.848 26.56-14.065 39.672-19.74-10.725-23.808-22.162-25.76-33.68-7.4 10.894-10.6 21.59-12.304 32.22-16.063-7.584-21.34-18.375-25.577-29.468l-6.842 11.908-13.075-46.97c-4.258-10.16-4.962-20.487 5.36-31.3l33.614-33.91 29.724.024c22.626-17.655 48.995-33.63 78.902-48.084l59.06-68.815c12.993-11.43 26.398-13.64 39.898-13.933l66.047-2.944c5.954 1.975 11.9 4.133 18.015 10 37.572 33.9 59.94 68.483 54.618 104.286l-29.262 40.47-10.446-25.98c-12.92-18.94-28.54-20.093-42.872-14.982-10.078 3.594-11.672 13.897-11.694 21.634l7.862 34.466c-15.49 31.28-31.434 52.496-47.797 64.39-12.758 5.65-25.994.814-39.384-7.746-8.802 15.468-17.78 27.228-26.824 37.08-13.772-6.65-23.61-17.656-31.963-30.238-5.823 18.5-9.486 34.657-12.555 50.154-23.036-15.152-38.753-33.872-42.68-58.25zm-54.668-42.93l26.39-23.344-10.042-12.215-16.517 8.127-13.58 26.978zm146.55-37.028l38.892-4.14 23.205-14.102c7.48-6.71 10.755-13.412 12.553-20.1l-17.082-42.072c-3.296-4.632-7.716-5.748-13.728-2.055l-35.95 35.325-32.36 8.266c-3.713 2.525-5.07 5.6-3.104 9.514l9.595 21.018c3.986 6.115 9.925 8.244 17.978 8.346zm198.178-11.01l11.768-16.41c1.622-16.905-.42-30.83-5.337-43.993 21.267-5.852 48.473 4.256 68.698 25.97 3.597 5.257 1.703 12.092-5.455 14.096-28.087 6.32-45.94 21.194-69.674 20.335zM372.677 131.01c23.153-7.708 46.557-9.977 70.033-10.373 4.09-.053 10.16.33 8.942 7.363-9.41 27.2-25.444 38.73-42.226 51.175-8.48-17.487-21.597-33.22-36.75-48.165zm-27.735-58.017c12.282-3.26 27.412-3.39 25.65 5.873l-26.626 34.195-65.292 2.908c21.253-20.915 38.87-35.64 66.268-42.975z"}}]})(props);
};
function GiDragonOrb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 41C154.8 41 73 122.8 73 224c0 4.1.15 8.2.41 12.2 8.57 20.8 19.53 42 25.89 64.9-30.17-148.4 58.1-237.91 155-237.59 24.6.1 49.6 5.91 73.5 17.99 0 0-61.7-7.83-134.3 39.2l6.6 19.9c11.8 35.4 29 65.6 29.7 105.6 2.6 2.4 4.7 4.5 7.3 7l-1 4.7c-6.8 34.7-2.3 73.4 8.4 105.1 10.2-15.1 21.6-39.3 24.5-58.9.1-4 3.6-6.3 6.4-8.3 8.2-39.7 39-75.6 61.1-107.7l15.1-21.9 1.3 26.6c1.7 37 9.7 81.7 4.1 122.9l3.1 4.3-2.6 4.9c-8.3 15.5-12.7 33.5-14.7 49.3 20.1-19.7 38.4-40.3 51.8-59.1 2.7-16.7 10.9-32.7 19.8-48.1 8.5-15 17.9-29.6 24.6-43.4-.2-101-81.9-182.6-183-182.6zm-63 80c-7.2 4.7-14.6 10-22 15.9-39.4 31.2-60.7 143.7-66 174.8 14.1 21.1 23.3 42.4 47 59.9 4.4-38.6-.9-80.8-6.8-121.1l-.8-5.4c2.2-1.5 4.5-3.4 6.6-4.7 1.4-34.1 15.8-68.5 32.6-101.1zm-2.6 45.4c-10 21.7-17.5 43.4-20.3 64 4.7-1.6 9.7-2.7 15.1-2.9 8.1-.3 16.6 1.4 25.5 5.7-2.9-22.8-11.5-43.5-20.3-66.8zm146.3 52.5c-15.8 22.3-31.5 45.1-39.6 67.1 7-1.3 14.1-1 20.8.7 8.1 2.1 15.6 6.1 22.5 11.5 1.3-25.3-1.4-52.8-3.7-79.3zm-287.33 4.6c-11.5 28.9-17.48 59.9-10.92 87.4 9.79-11.4 24.63-19.2 38.5-18.7-8.27-21.8-20.26-44.3-27.58-68.7zm400.03 19.1c-12.3 23.1-28.3 44.2-35.3 68.3 15.5-.5 32.8-2.6 45.3 5.8 2.2-23.1-3.2-49.3-10-74.1zm-285.6 10.9c2.5 17.1 4.8 34.7 6.3 52.4 9.6-2.2 19.5 0 29.2.9l-2 18c-9.1-1-20.6-1.9-25.9-.4.4 8.7.5 17.4.2 26.1 11-2.4 23.4-1 33.4 1.7l-4.8 17.4c-13.5-3.8-22.6-3.1-29.8-.1-.6 6.4-1.5 12.7-2.6 19l-2.3 12.5-11.1-6.3c-40.7-23.3-51.7-56.1-68.69-79.3-13-15.1-36.87 6-38.5 19.5 10.66 13.6 18.58 26.2 24.76 37.7 5.88-6.7 13.33-13 23.9-16.2l5.13 17.2c-8.88 2.6-14.31 8.8-20.29 17.1 8.45 18.1 12.91 36.4 22.09 52.3h303c1.9-4.7 3.5-9.4 5-14.4-9.2-4.3-20.4-7.1-38.2-9.5l2.4-17.8c17.3 2.4 30 5.3 40.8 9.9a526 526 0 0 1 4.2-13.9c-6.9-4.1-16.1-8-27.6-11.4l5-17.2c11.1 3.2 20.7 6.9 28.8 11.4 6-14.6 14.5-29.6 28-44.3-10.4-11.6-39.4-6.9-48.4-5.6-18.3 25-34.3 43.1-67.1 72.2l-14.4 12.8c-.8-15.3-.9-32.4.9-45.7-5.8-4.6-19.5-9.1-32.1-9.4l.4-18c12.6.2 25.2 2.9 35.4 8.3 2.3-9.4 5.6-19.1 10-28.4-7.7-9.2-16.8-15.6-25.5-17.9-9.3-2.4-18.1-1.1-27.3 6.2-5.4 30.3-22.3 62.1-38.2 77.1l-9.4 8.8-5.1-11.8c-15.4-35.8-22.9-81.7-15.7-124.8-19.7-15.7-33.7-19-53.9-6.1zm-63 207.5l-19.98 30H431.2l-20-30z"}}]})(props);
};
function GiDragonShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M111.9 33.4c24.8 45.04 23.8 88 8.4 124.5-16.3 38.6-47.47 70.4-78.91 94.6 1.8 12.4 11.15 31.8 26.2 52.9 16.81 23.7 40.01 49.9 64.81 74.6 24.7 24.8 51 48.1 73.9 66.1 21.1 16.5 39.6 28.2 49.7 32.5 10.1-4.3 28.6-16 49.7-32.5 22.9-18 49.2-41.3 73.9-66.1 24.8-24.7 48-50.9 64.8-74.6 15.1-21.1 24.4-40.5 26.2-52.9-31.4-24.2-62.6-56-78.9-94.6-15.4-36.5-16.4-79.46 8.4-124.5H354c-64.8 31.74-131.2 31.74-196 0zm49.2 46h49l1.9.95c22.1 11.01 33.7 15.75 44 15.75 10.3 0 21.9-4.74 44-15.75l1.9-.95h49l-1.6 10.38c-11.9 76.52 25 129.12 67.5 161.02l3.6 2.7v4.5c0 15.2-8.9 30.9-21.3 48.3-12.4 17.5-29 36.1-46.5 53.7-17.6 17.6-36.2 34.1-52.7 47-16.5 13-30 22.3-41.1 25.9l-2.8 1-2.8-1c-11.1-3.6-24.6-12.9-41.1-25.9-16.4-12.9-35-29.4-52.6-47s-34.2-36.2-46.6-53.7c-12.4-17.4-21.19-33.1-21.19-48.3v-4.5l3.59-2.7c42.4-31.9 79.4-84.5 67.4-161.01zm20.6 18c7.9 75.5-28.9 130.8-71.3 164.4 1.5 7.8 7.4 20.3 17.2 34.1 11.5 16.2 27.6 34.3 44.6 51.4 17.1 17.1 35.3 33.2 51 45.6 13.9 10.8 26.1 18.6 32.8 21.6 6.7-3 18.9-10.8 32.8-21.6 15.8-12.4 33.9-28.5 51-45.6s33.1-35.2 44.7-51.4c9.8-13.8 15.7-26.3 17.2-34.1-42.5-33.6-79.2-88.9-71.4-164.4h-24.2c-21.2 10.5-35.1 16.7-50.1 16.7s-28.9-6.2-50.1-16.7zm74.3 26.3l44.7 44.7-44.7 44.7-44.7-44.7 38.3-38.4zm0 25.4l-19.3 19.3 19.3 19.3 19.3-19.3zm0 86.6l76.7 76.7-76.7 76.7-76.7-76.7 70.3-70.4zm0 25.4l-51.3 51.3 51.3 51.3 51.3-51.3z"}}]})(props);
};
function GiDragonSpiral (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M215.125 17.188C142.557 18.134 72.68 64.075 40.187 132.25c-56.91 119.42 7.05 260.175 122.313 314.406 53.513 25.185 114.67 31.57 172.563 19.78l9.625 21.845 152.75-34.03c-.64-13.024-1.892-29.087-3.407-45.97-3.353 6.146-8.283 11.545-14.655 15.5-19.667 12.21-45.51 6.137-57.72-13.53-12.208-19.667-6.165-45.51 13.5-57.72 6.762-4.196 14.274-6.21 21.69-6.28 12.278-.118 24.32 5.173 32.53 15-4.06-38.385-8.03-70.97-8.03-70.97-58.49 31.19-115.34 47.06-174.47 60.408v-.375c-46.538 12.515-126.428 1.26-156.5-30.22 18.292 40.602 81.708 65.04 149.313 65.844l8.343 18.938c-24.334 9.436-50.313 14.416-76.374 14.313l-14.22-17.97L194.72 415.5c-13.017-2.59-25.656-6.54-37.69-11.72l-9.56-23.186-23.876 4.656c-7.174-4.967-13.972-10.416-20.375-16.28l-.564-24.126-26.344-6.5c-3.69-5.284-7.09-10.758-10.187-16.406L74.97 295l-23.657-9.47c-1.876-6.79-3.32-13.74-4.313-20.81l13.875-21.564-14.125-21.844c.057-.448.095-.894.156-1.343.87-6.424 2.175-12.74 3.844-18.94l20.188-13.25-6.594-20.686c3.268-6 6.91-11.757 10.906-17.25l25.688-5.406 3.093-24.625c5.754-4.555 11.836-8.695 18.19-12.313l22.718 6.78 9.812-20.124c9.6-2.523 19.57-3.957 29.78-4.187l20.845 15.25 20.063-9.376c50.687 16.437 88.647 65.967 80.53 121.594-2.905 19.914-12.198 38.33-25.437 52.437 3.03-20.242-10.88-43.178-35.092-55-28.472-13.902-60.35-7.162-71.188 15.03-10.836 22.194 3.466 51.443 31.938 65.345 4.653 2.272 9.396 3.995 14.125 5.188 57.96 18.97 121.378-12.46 147.593-66.063 36.94-75.536-3.372-165.134-76.125-200.22-23.733-11.444-48.587-16.803-73.186-16.968-1.153-.007-2.317-.015-3.47 0zM396.47 348.375l-1.626 37.188-60.53-10.657 62.155-26.53z"}}]})(props);
};
function GiDragonfly (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M131.613 21.576c-.667-.002-1.334.015-1.998.05-1.517.082-3.025.263-4.52.55-11.974 2.296-21.052 13.1-23.2 26.908-1.396 8.968-.708 19.472 2.136 31.824-2.445-1.106-4.86-2.102-7.227-2.967-7.13-2.6-14-4.21-20.438-4.467-6.437-.257-12.443.842-17.84 3.662-10.794 5.64-16.044 18.626-14.44 32.8 1.602 14.17 8.625 30.916 21.837 51.21C85.398 191.062 114.3 228.23 144.48 253.7c14.917 12.59 30.117 22.445 45.584 26.738-.845-6.264-.584-12.854.627-19.44-10.287-3.848-22.168-11.46-34.16-21.58-27.774-23.44-56.247-59.745-74.946-88.47-12.245-18.808-17.856-33.625-18.93-43.116-1.073-9.49.955-12.268 4.528-14.135 3.572-1.866 11.803-2.362 23.216 1.8 6.458 2.357 13.792 6.067 21.65 11.18 11.93 32.113 30.72 71.88 53.518 102.02 9.756 12.898 20.218 24.092 31.672 32.06 2.543-5.522 5.687-10.984 9.403-16.294-8.655-6.367-17.628-15.747-26.17-27.04-14.347-18.968-27.52-43.103-38.09-66.32 32.386 29.372 52.07 54.056 72.23 83.198 1.764-2.008 3.61-3.984 5.544-5.917 2.6-2.6 5.276-5.035 8.008-7.324-22.464-32.146-45.464-60.11-85.05-94.265-5.26-4.537-10.46-8.602-15.573-12.21-6.9-19.66-8.5-34.132-7.18-42.628 1.36-8.733 3.763-10.564 8.255-11.426 4.493-.86 13.276 1.01 23.797 7.91 10.52 6.9 22.59 18.372 34.285 34.187 30.384 41.094 45.308 71.17 59.217 106.19 5.643-3.123 11.385-5.618 17.12-7.444-14.292-35.772-30.187-67.765-61.31-109.857-12.76-17.26-26.134-30.224-39.062-38.704-10.605-6.955-21.034-11.202-31.05-11.236zM292.355 122.99c-5.678 0-11.355 2.166-15.687 6.498-8.665 8.665-8.665 22.715 0 31.38 4.917 4.918 11.566 7.04 17.982 6.378-4.65 11.852-2.165 25.768 7.47 35.404 9.343 9.343 22.71 11.97 34.316 7.885-.43 6.184 1.71 12.515 6.437 17.242 8.665 8.666 22.714 8.665 31.38 0 8.664-8.665 8.664-22.715 0-31.38-4.767-4.766-11.16-6.905-17.392-6.428 3.984-11.56 1.338-24.823-7.95-34.11-6.5-6.5-14.947-9.75-23.394-9.75-3.78 0-7.56.657-11.164 1.958.86-6.598-1.238-13.51-6.307-18.58-4.333-4.333-10.01-6.498-15.69-6.498zm-15.388 74.147c-.846.145-1.703.31-2.574.5-13.036 2.85-28.087 11.024-41.024 23.96-12.937 12.938-21.11 27.99-23.96 41.026-2.175 9.95-1.36 18.227 1.922 24.367-46.51 35.78-149.555 119.44-185.19 139.307-14.113 46.802-2.547 79.386 57.16 57.16 18.846-36.327 105.196-141.11 141.325-185.81 5.487 1.66 12.187 1.78 19.898.093 13.036-2.85 28.087-11.024 41.024-23.96 12.935-12.938 21.108-27.99 23.958-41.026.304-1.394.537-2.747.726-4.074-7.817-2.393-15.17-6.658-21.328-12.815-5.468-5.47-9.44-11.885-11.94-18.728zm48.976 46.455c-1.79 5.75-4.26 11.512-7.357 17.176 38.903 14.977 70.47 29.76 114.947 62.648 15.813 11.693 27.286 23.765 34.186 34.285 6.9 10.522 8.767 19.307 7.905 23.8-.862 4.493-2.693 6.895-11.426 8.254-8.733 1.36-23.76-.352-44.264-7.748-1.815-.655-3.667-1.343-5.54-2.05-2.504-3.28-5.182-6.587-8.058-9.92-36.56-42.378-66.137-65.798-101.258-89.868-1.997 2.32-4.094 4.603-6.316 6.826-2.326 2.326-4.716 4.514-7.15 6.592 29.87 20.288 54.574 39.032 83.163 69.332-19.92-9.646-39.86-21.038-56.037-33.275-14.147-10.703-25.3-22.084-31.267-32.666-5.08 3.958-10.33 7.383-15.67 10.246 7.99 13.694 20.677 25.987 35.664 37.324 28.014 21.192 64.35 38.923 95.127 50.902 7.14 9.994 12.13 19.315 15.04 27.298 4.164 11.414 3.668 19.646 1.802 23.22-1.867 3.572-4.645 5.6-14.135 4.526-9.49-1.073-24.304-6.685-43.113-18.93-28.722-18.7-65.025-47.176-88.464-74.953-11.72-13.887-20.09-27.632-23.127-38.92-.19-.702-.362-1.39-.518-2.067-.52.125-1.04.262-1.56.375-5.727 1.252-11.486 1.777-17.063 1.512.29 1.687.645 3.37 1.094 5.035 4.21 15.65 14.155 31.03 26.89 46.12 25.468 30.18 62.636 59.084 92.55 78.562 20.293 13.21 37.04 20.234 51.21 21.837 14.173 1.604 27.16-3.65 32.8-14.443 5.64-10.793 4.393-24.016-.81-38.276-1.363-3.74-3.038-7.587-5.008-11.516 14.58 3.888 26.72 4.976 36.89 3.393 13.807-2.148 24.612-11.228 26.908-23.2 2.297-11.973-2.156-24.64-10.634-37.567-8.48-12.928-21.443-26.302-38.7-39.064-45.53-33.667-79.24-49.524-118.703-64.798z"}}]})(props);
};
function GiDrakkarDragon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M170.988 26.096c-9.955.018-19.84 1.135-29.486 3.398-2.59 14.237.868 34.48 7.404 46.758l-15.888 8.457c-7.443-13.98-11.645-32.143-10.463-49.242-43.403 7.618-77.39 51.45-84.819 80.834 12.351 5.056 20.017 2.123 33.82 3.097l-1.267 17.957c-9.701-.684-21.562 1.923-37.053-3.576-6.91 33.13-5.098 69.107 13.621 101.67 6.554-1.95 13.756-5.446 16.998-15.105l17.065 5.726c-4.654 13.865-15.096 20.896-23.822 24.62 24.653 33.383 95.036 32.631 126.101 9.296-7.143-7.093-14.346-12.502-23.293-14.578l4.069-17.535c13.88 3.22 24.02 11.271 32.593 19.957 16.094-18.11 19.016-38.703 16.791-61.842-1.624-16.894-7.128-32.236-15.16-44.459-10.677-14.979-25.386-26.421-42.316-28.752-34.993-.358-67.225 39.516-56.168 73.598 12.008 34.181 43.49 21.029 49.875.951-21.181-9.78 1.157-45.415 17.017-8.15 2.81 8.217.057 16.337-3.918 22.41-3.974 6.073-9.372 10.952-14.851 14.736-30.75 15.974-61.217 4.54-66.115-27.744-2.604-19.044.042-36.571 8.578-53.514 17.457-26.425 36.379-43.624 67.277-40.175 14.506 1.43 26.471 6.82 36.026 14.627 7.093 6.074 13.114 12.732 18.24 20.08a244.477 244.477 0 0 1 6.947 10.088c18.415-8.728 40.014-13.843 51.607-30.627 9.538-20.162-6.803-46.898-22.523-59.453-26.399 7.064-29.42 17.47-40.408 36.607l-15.569-9.033c9.877-18.904 17.253-31.042 35.678-39.514-18.321-7.634-37.582-11.603-56.588-11.568zM297.604 109.1c-2.51.011-5.034.1-7.563.254a37.85 37.85 0 0 1-4.71 9.755c-4.894 7.269-11.779 13.04-19.394 18.037-12.954 8.502-27.839 14.48-40.609 19.317a123.133 123.133 0 0 1 5.95 27.803c3.147 32.747-4.94 66.918-39.37 91.67-20.426 14.684-49.603 24.049-80.472 20.886a260.09 260.09 0 0 1-2.754 4.783c-6.645 11.235-14.142 23.731-22.067 36.838l11.762 23.526 23.08-29.1 17.436 37.05 23.974-17.435 10.588 14.557-41.58 30.24-14.35-30.49-22.607 28.508-19.336-38.672c-12.78 20.996-26.212 42.84-39.4 64.191l6.597 15.399 27.979-26.98 17.86 43.658 34.335-33.325 14.688 42.104 28.574-30.04 13.043 12.407L131.736 494h78.25c-5.727-31.426-11.842-71.244-12.119-99.49-.199-20.295 10.711-44.324 22.635-64.139 5.962-9.907 12.212-18.542 18.191-24.787 2.99-3.123 5.834-5.681 9.258-7.586 3.424-1.905 9.065-3.668 14.276-.39 12.374 7.784 23.237 16.715 34.02 23.13 10.781 6.415 21.036 10.337 33.282 9.559l5.655-.36 2.77 4.942c3.9 6.962 7.812 12.172 11.501 15.293 3.69 3.12 6.81 4.376 11.164 4.348 14.668-.095 18.75-4.251 21.295-9.957 2.089-4.682 2.207-11.79 1.207-18.704-4.231-1.722-10.625-4.382-19.441-8.45-13.222-6.102-28.573-13.753-38.848-22.03-7.21-5.808-17.977-12.643-26.978-21.121-9.002-8.478-17.221-20.177-14.557-34.256 2.059-10.881 9.139-19.694 18.629-24.752 9.49-5.058 21.122-7.13 34.617-7.514l.15-.004h.15c38.972.197 75.933 4.565 108.022 30.702l12.598-42.188.195-.46c1.713-4.033 1.359-4.071-.984-6.589-2.343-2.517-8.087-5.88-15.48-8.834-14.788-5.908-35.17-10.476-49.926-19.062l-.842-.488-.717-.659c-24.027-22.048-46.49-45.622-73.232-49.707-6.857-.901-12.603-1.37-18.873-1.347zm13.835 29.578c25.962.586 45.175 20.279 60.97 48.496-37.788 4.804-73.065 5.805-90.346-27.22-2.318-17.07 17.289-21.55 29.376-21.276zm9.672 88.814c-4.326.921-7.934 2.158-10.72 3.643-5.557 2.961-8.14 6.18-9.301 11.756 4.868.58 10.394 1.305 16.336 2.238 18.403 2.889 40.195 8.013 51.006 14.119 9.415 5.318 16.856 14.984 24.82 26.027 7.964 11.043 16.398 23.412 29.629 31.825 10.19 6.479 24.476 10.918 36.787 14.324 12.31 3.406 22.494 5.451 22.494 5.451l3.549-17.646s-9.603-1.932-21.242-5.153c-11.64-3.22-25.465-8.055-31.93-12.166-9.242-5.877-16.642-16.007-24.687-27.164-8.046-11.156-16.793-23.39-30.567-31.17-15.206-8.589-37.148-13.067-56.174-16.084zM24.615 439.532c-2.305 3.72-4.363 7.023-6.615 10.652V494h111.854l-14.606-41.867-33.205 32.228-17.897-43.746-27.642 26.656-11.889-27.74z"}}]})(props);
};
function GiDrakkar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M248.672 23.266l-64 32 61.566 15.39V87h19.524V23.266h-17.09zM146.334 105c13.692 21.145 20.243 47.388 20.164 73.742-.08 26.744-6.98 53.69-20.805 75.793h234.23c16.93-18.827 26.41-46.276 26.677-74.15.267-27.947-8.674-55.727-26.647-75.385h-233.62zM416 155.244L441 231h62v-14h-39v-18h39v-1.438l-32-16v-15.076l-55-11.242zm-371.492 6.61c-6.67.12-13.668 2.495-18.922 7.833-9.12 9.27-9.382 21.518-7.256 29.637 2.126 8.12 6.344 13.905 6.344 13.905l14.652-10.46s-2.4-3.49-3.584-8.006c-1.183-4.518-1.444-8.27 2.672-12.452 1.932-1.962 4.236-2.685 7.53-2.43 3.293.257 7.228 1.863 10.148 4.263s4.68 5.353 5.068 8.025c.388 2.67-.034 5.552-3.86 9.822l-.06.065-.054.064c-19.097 22.143-25.463 40.51-25.323 78.704.14 38.193.465 69.313 40.77 97.133l-56.87 48.746 11.714 13.666 61.35-52.585c2.307 1.25 4.674 2.5 7.173 3.75 7.86.786 15.04 1.502 22.164 2.21l-38.45 32.958 11.714 13.666 51.55-44.186c11.823 1.147 22.805 2.183 32.77 3.06l-32.035 27.46 11.715 13.665 45.582-39.07c12.314.895 23.462 1.514 34.158 1.87l-27.455 23.533 11.715 13.666 43.027-36.882c12.13-.13 24.454-.622 38.07-1.482l-28.812 24.697 11.715 13.666 47.427-40.653c12.838-1.1 27.384-2.48 43.473-4.053l-37.316 30.943 11.49 13.858 57.848-47.967c3.278-.327 6.228-.62 9.65-.963 50.065-50.065 60.964-100.13 63.338-142.535H441.68c-13.08 22.76-22.973 42.718-48.78 57.828 3.594 6.09 5.67 13.167 5.67 20.707 0 22.537-18.463 41-41 41-12.906 0-24.468-6.062-32-15.47-7.53 9.408-19.094 15.47-32 15.47-12.906 0-24.468-6.062-32-15.47-7.53 9.408-19.094 15.47-32 15.47-14.623 0-27.523-7.777-34.785-19.392-7.262 11.615-20.162 19.392-34.785 19.392-22.537 0-41-18.463-41-41 0-.17.012-.338.014-.508-29.774-3.39-49.577-21.213-64.58-42.46-5.57-7.888-4.7-17.596-4.704-25.907-.005-11.62 3.798-24.738 21.084-44.78l-.113.128c6.645-7.412 9.443-16.39 8.275-24.428-1.17-8.04-5.742-14.646-11.455-19.342-5.714-4.695-12.713-7.72-20.18-8.3-.934-.073-1.88-.102-2.832-.084zm201.73 110.68v17.59c6.004 2.7 11.26 6.794 15.332 11.88 1.282-1.6 2.69-3.096 4.192-4.49v-24.98h-19.524zm-86.238 32c-12.81 0-23 10.192-23 23 0 12.81 10.19 23 23 23s23-10.19 23-23c0-12.808-10.19-23-23-23zm69.57 0c-12.81 0-23 10.192-23 23 0 12.81 10.19 23 23 23s23-10.19 23-23c0-12.808-10.19-23-23-23zm64 0c-12.81 0-23 10.192-23 23 0 12.81 10.19 23 23 23s23-10.19 23-23c0-12.808-10.19-23-23-23zm64 0c-12.81 0-23 10.192-23 23 0 12.81 10.19 23 23 23s23-10.19 23-23c0-12.808-10.19-23-23-23z"}}]})(props);
};
function GiDramaMasks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M418.813 30.625c-21.178 26.27-49.712 50.982-84.125 70.844-36.778 21.225-75.064 33.62-110.313 38.06 2.048 6.063 4.316 12.15 6.813 18.25 16.01.277 29.366-.434 36.406-1.5l9.47-1.53 8.436-1.28.22 10.186c-.17 6.172-.535 12.41-1.095 18.72l56.625 8.843c.86-.095 1.713-.15 2.563-.157 11.188-.114 21.44 7.29 24.468 18.593.657 2.448.922 4.903.845 7.313 5.972-2.075 11.753-4.305 17.28-6.72l9.595-4.188 2.313 10.22c3.483 15.308 6.028 31.385 7.375 48.062C438.29 247.836 468.438 225.71 493 197.5c-3.22-36.73-16.154-78.04-39.125-117.813-.735-1.272-1.47-2.526-2.22-3.78l-27.56 71.374c5.154.762 10.123 3.158 14.092 7.126 9.81 9.807 9.813 25.69 0 35.5-9.812 9.81-25.722 9.807-35.53 0-8.86-8.858-9.69-22.68-2.532-32.5l38.938-100.844c-6.45-9.18-13.215-17.83-20.25-25.937zM51.842 118.72c-8.46 17.373-15.76 36.198-21.187 56.436-14.108 52.617-13.96 103.682-2.812 143.438 13.3-2.605 26.442-3.96 39.312-4.03 1.855-.012 3.688.02 5.53.06 20.857.48 40.98 4.332 59.97 11.5-1.08-11.156-1.656-22.574-1.656-34.218 0-27.8 3.135-54.377 9-78.937l2.47-10.407 9.655 4.562c29.467 13.98 66.194 23.424 106.28 25.22 5.136-20.05 8.19-39.78 9.408-58.75-35.198 4.83-75.387 2.766-116.407-8.22-38.363-10.272-72.314-26.78-99.562-46.656zm230.594 82.218c-1.535 10.452-3.615 21.03-6.218 31.687 15.873-.193 31.286-1.594 46-3.97-1.056-1.84-1.895-3.822-2.47-5.968-1.455-5.432-1-10.925.938-15.78l-38.25-5.97zM105 201.375l4.156 18.22-21.594 4.905c8.75 5.174 13.353 15.703 10.594 26-3.32 12.394-16.045 19.758-28.437 16.438-12.394-3.32-19.76-16.075-16.44-28.47.676-2.517 1.756-4.82 3.126-6.874l-21.062 4.78-4.125-18.218 73.78-16.78zm388.594 22.813c-25.53 25.46-55.306 45.445-86.906 60.5.05 2.397.093 4.8.093 7.218 0 9.188-.354 18.232-1.03 27.125 16.635 1.33 32.045-1.7 45.344-9.374 25.925-14.962 40.608-45.694 42.5-85.47zm-338.844 3c-4.03 19.993-6.33 41.31-6.406 63.593l.125-.342c30.568 10.174 62.622 17.572 95.25 21.375l7.5.875.718 7.5 5.687 60.125-18.625 1.75-2.53-26.75c-4.547 1.875-9.726 2.34-14.845.968-12.393-3.32-19.76-16.042-16.438-28.436.285-1.06.647-2.08 1.063-3.063-19.535-3.727-38.736-8.592-57.406-14.53 2.69 49.62 16.154 94.04 36.094 126.656 22.366 36.588 52.13 57.78 83.968 57.78 31.838.003 61.602-21.19 83.97-57.78 19.536-31.96 32.846-75.244 35.905-123.656-15.773 4.657-31.894 8.552-48.25 11.656 1.914 4.57 2.415 9.78 1.033 14.938-3.322 12.394-16.045 19.758-28.438 16.437-.732-.195-1.43-.427-2.125-.686l-2.5 26.47-18.594-1.752 5.688-60.125.72-7.5 7.498-.875c29.245-3.407 57.995-9.717 85.657-18.312v-1.594c0-21.573-2.27-42.23-6.064-61.75C351.132 242.653 313.092 250 272.312 250c-43.59 0-83.986-8.658-117.562-22.813zm-87.5 105.968c-10.87.102-21.995 1.22-33.375 3.313 12.695 31.62 33.117 53.07 59 60 16.9 4.523 34.896 2.536 52.813-5.25-4.382-13.89-7.874-28.606-10.344-43.97-21.115-9.623-43.934-14.32-68.094-14.094zm137.5 80.22h130.813c-40.082 44.594-92.623 42.844-130.813 0z"}}]})(props);
};
function GiDrawbridge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 25v462h142V156.271l48-48V25h-30v48h-50V25h-30v48H55V25zm167.38 131.348l-7.38 7.38v10.418c4.551-.619 9.936 1.222 13.258 3.102 3.798 2.819 11.29 7.973 9.474 13.572-4.443 3.557-12.158.989-16.488-1.455-2.554-1.478-4.656-3.285-6.244-5.09v22.153c7.553 3.05 14.707 4.827 21.854 3.879 3.51 7.926 10.723 15.014 16.917 18.681 8.36 3.946 16.533 6.437 24.627 5.364 3.506 7.927 10.725 15.013 16.918 18.68 8.36 3.944 16.532 6.436 24.625 5.363 3.51 7.926 10.724 15.014 16.918 18.681 8.36 3.946 16.533 6.435 24.627 5.361 3.506 7.928 10.724 15.015 16.918 18.682 8.36 3.945 16.532 6.437 24.625 5.363 1.285 3.252 3.345 6.525 5.31 8.95L185 363.232v37.086l276.902-68.463-8.64-34.947-20.823 5.149c-3.111-8.604-10.869-16.274-17.447-20.168-8.36-3.946-16.533-6.435-24.627-5.362-3.506-7.927-10.722-15.016-16.916-18.683-8.36-3.946-16.532-6.433-24.627-5.36-3.51-7.926-10.723-15.016-16.918-18.683-8.36-3.943-16.533-6.44-24.627-5.36-3.505-7.926-10.722-15.016-16.916-18.683-8.36-3.945-16.533-6.435-24.627-5.362-3.51-7.926-10.722-15.016-16.918-18.683-8.36-3.945-16.533-6.433-24.627-5.36-3.505-7.927-10.721-15.016-16.916-18.683-4.816-2.788-9.868-4.587-14.892-5.322zm47.42 44.945c3.801 2.82 11.292 7.97 9.477 13.572-4.444 3.554-12.16.988-16.488-1.455-3.8-2.82-11.295-7.97-9.476-13.572 4.317-3.522 11.902-1.141 16.488 1.455zm41.546 24.043c3.798 2.819 11.29 7.973 9.474 13.572-4.443 3.557-12.158.989-16.488-1.455-3.802-2.82-11.29-7.968-9.477-13.572 4.32-3.522 11.905-1.141 16.49 1.455zm41.543 24.045c3.798 2.819 11.292 7.97 9.476 13.57-4.444 3.557-12.159.989-16.488-1.455-3.802-2.82-11.294-7.967-9.477-13.572 4.318-3.52 11.904-1.139 16.489 1.457zm41.545 24.043c3.8 2.82 11.289 7.97 9.474 13.572-4.444 3.554-12.16.988-16.488-1.455-3.8-2.82-11.291-7.97-9.477-13.572 4.335-3.473 11.76-1.223 16.49 1.455zm41.543 24.043c3.48 2.414 7.061 5.386 8.863 8.941l-14.914 3.688c-4.09-3.23-12.418-7.978-10.438-14.084 4.334-3.472 11.759-1.223 16.489 1.455zM425 405v18h62v-18zm-75.129 35.988C327.917 441.483 307.51 460.65 288 461c-23.065-2.608-43.13-19.673-64-20-14.073 1.314-26.678 4.405-39 8.736v19.51c12.73-5.24 26.302-10.001 39-10.246 23.065 2.608 43.13 19.673 64 20 22.767.773 43.861-19.639 64-20 5.556 0 14.283 1.97 23.24 4.68 5.96-4.151 11.487-8.612 16.446-13.537C378.966 445.47 364.568 441 352 441a37.607 37.607 0 0 0-2.129-.012zm71.461.012c-11.844 20.648-29.735 34.582-49.146 46H487v-46z"}}]})(props);
};
function GiDreadSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M220.09 25.297c-34.308 4.9-67.18 17.336-94.668 37.256l69.03 139.824-109.487-99.363c-28.304 39.302-42.5 93.27-31.61 163.675l15.22 94.37 70.474-13.275 3.458 18.365-15.444 2.91 44.65 127.653H197.2l-7.827-62.03 18.533-2.34 8.123 64.37h29.72V431.22h18.688v65.493h29.724l8.12-64.37 18.536 2.34-7.828 62.03h25.578l44.465-127.135-18.195-3.428 3.46-18.365 70.362 13.252 18.28-94.455c10.763-69.744-3.717-123.52-32.372-162.865l-108.713 98.66L384.36 63.613c-27.52-20.056-60.386-32.763-94.653-37.982l-34.52 164.485L220.09 25.297zm-92.182 192.266c4.232.063 8.63.81 13.186 2.208-7.603 6.918-12.375 16.89-12.375 27.978 0 20.887 16.93 37.816 37.813 37.816 15.928 0 29.548-9.85 35.12-23.793l29.136 22.365-81.8 26.383-.226.062c-15.9 4.26-30.327.71-40.15-7.498-9.82-8.21-15.218-20.12-17.12-32.207-1.902-12.086-.44-24.64 5.342-35.068 5.78-10.43 17.11-18.454 31.072-18.244zm216.53 16.656c-1.612 4.2-2.502 8.76-2.502 13.528 0 20.887 16.93 37.816 37.814 37.816s37.814-16.93 37.814-37.816c0-.565-.018-1.125-.043-1.684 2.2 7.927 2.488 16.48 1.177 24.81-1.902 12.087-7.3 24-17.12 32.208-9.823 8.21-24.248 11.76-40.15 7.498l-.226-.062-81.8-26.383 65.038-49.916zm-89.21 57.173l40.026 101.834-17.07 7.064-22.957-35.558-22.957 35.56-17.66-7.065 40.617-101.834z"}}]})(props);
};
function GiDread (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M137.4 26.62l-11.7 10.92 41.8 44.7 11.7-10.92zm138.7 48.32c-2.4 0-4.7 0-7 .1-27.2 1.12-48.8 10.91-65.3 30.86-22 26.7-35.2 73.4-35.4 144.7v4l-3.2 2.4c-40.9 30.3-61.8 57.6-69.74 80.8-7.94 23.1-3.72 42.4 7.64 59.8 22.6 34.8 76.3 59.2 112.3 65.6 22.9 4.1 81.5 12.9 118.5-5.8 18.5-9.4 32-24.5 35.6-52.4 3.6-27.8-3.6-69-29.7-127.3l-1.9-4.3 2.8-3.7c29-39.4 45.9-70.7 53.6-95.1 7.7-24.4 6.3-41.4-.2-54.1-6.4-12.7-18.7-22.01-35.5-29.02-16.8-7.02-37.9-11.51-60.3-14.73-7.8-1.12-15.2-1.73-22.2-1.81zM490.3 113l-62.6 23.8 5.7 15L496 128zm-258.5 19c19.9 0 36.4 16.2 36.4 36.1 0 19.9-16.5 36.1-36.4 36.1-20 0-36.5-16.2-36.5-36.1 0-19.9 16.5-36.1 36.5-36.1zm-83.1 5.3l-63.54 6 1.49 15.9 63.55-5.9-1.5-16zm83.1 10.7c-11.5 0-20.5 9-20.5 20.1 0 11.2 9 20.1 20.5 20.1 11.4 0 20.4-8.9 20.4-20.1 0-11.1-9-20.1-20.4-20.1zm85.1 8.7c19.8 0 36 16.5 36 36.5s-16.2 36.4-36 36.4c-19.9 0-36.1-16.4-36.1-36.4s16.2-36.5 36.1-36.5zm0 16c-11.2 0-20.1 9-20.1 20.5 0 11.4 8.9 20.4 20.1 20.4 11.1 0 20-9 20-20.4 0-11.5-8.9-20.5-20-20.5zm104.6 32.1l-7.4 14.2 49.7 25.8 7.4-14.2zM98.66 222.5c-7.84 15-13.18 29.9-17.45 44.6-2.85.3-5.78.7-8.79 1.3-.14-2.7-.29-5.2-.25-7.5.1-5.6.82-9.7 4.74-14.7l-12.55-9.9c-6.37 8.1-8.06 16.9-8.19 24.3-.1 6.1.47 11.3.37 15.8-8.98 11.3-21.3 29.4-23.99 45-1.68 9.7-.36 17.5 6.84 24.7 6 5.9 17.52 11.4 36.17 14.7 0-9.1 1.45-18.5 4.77-28.2 6.81-19.9 20.97-40.7 44.17-62.5 5.8-8.4 12.3-17 18.6-24.5l-12.2-10.3c-8.7 10.3-17.5 22.3-24.7 33.4-2.8-.7-5.5-1.2-8.31-1.5 3.81-12.5 8.51-25 14.91-37.3zm132.64 29.1c3.2-.1 6.4.2 9.5 1 18.8 5.2 29 27.8 22.8 50.7-6.2 22.8-26.5 37.1-45.3 32-18.9-5.1-29.1-27.8-22.8-50.6 5-18.6 19.7-32.1 35.8-33.1zM384.7 295l-15.7 3.5 5.6 25.3c10.6 34 13.6 61.2 10.8 83.3-1.8 13.3-5.8 24.7-11.5 34.3 13.7 12.5 30.7 16 44.6 12 15.3-4.4 27.1-16.8 27.3-39.1.1-12.5-1.4-23.1-4.6-32.5 5.2-9.5 10.1-24 8.9-41.7l-15.9 1.1c.5 8.3-.7 15.9-2.6 22.1-1.7-2.3-3.6-4.6-5.6-6.7-1.3-1.4-2.7-2.8-4.2-4.1.9-12.6.5-29.2-4.3-44.1l-15.3 4.9c2.8 8.4 3.8 18.6 3.9 27.8-3.9-2.4-8.2-4.6-12.8-6.7-2.9-13.1-5.8-26.2-8.6-39.4zM275 384.6c1.9 0 3.7.2 5.5.5 7.6 1.6 10.4 7.6 12.3 10.8 1.3 2.1 2.1 2.9 2.2 3.2.6 0 2.5-.7 6.2-3.1 4.1-2.7 9.9-7.4 18.3-6 7.4 1.2 11.6 5.6 15.4 9.2 3.7 3.6 6.5 7 6.5 7l-12.5 10.1s-2.2-2.7-5.1-5.5c-2.9-2.8-7.1-5.1-6.8-5-.5-.1-2.9.8-7 3.5-4.2 2.8-10.4 7.4-18.8 5.5-7.4-1.6-10.2-7.6-12.1-10.7-1.4-2.3-2.2-3.1-2.2-3.3-2.2-.1-10 1.9-16.4 5.3-6.7 3.6-12 7.4-12 7.4l-9.4-12.9s6.1-4.5 13.9-8.6c6.4-3.4 13.8-7.3 22-7.4z"}}]})(props);
};
function GiDreadnought (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v82.2c16.06 10.7 31.6 24.8 84.5 5.1 18.4 34.2 38.6 32 49.9 26.8 8.5 16.3 28 17.7 46.7 2.4h47.8c-8.8-8.1-21.9-21.5-23.2-31.5 8.3 16.9 39.2 23.4 55.5 31.5h51.2c22.3-14 2.9-29.6-5.9-39.69-15.1-17.33-41.5-20.08-66-19.66 10.7-16.39-1.6-27.48-11.3-35.12-11.6-9.19-27.2-12.7-44.2-3.51 2.6-7.48 1.8-13.49-.9-18.52zm181 133v64h-45.1l-29.2 73H80l39.9 39.9c-27.28 1.5-57.58 6.1-90.37 15.4l4.94 17.4c53.87-15.4 99.93-17.4 136.73-14.5 2.6.2 1.8.3 2.6.2 36.8 3.1 64.1 10.9 80.3 14.4 39 8.5 109.5 26.5 213.3-16.5l-6.8-16.6c-6.1 2.5-12.2 4.9-18.4 7.1-15.8-4.6-32.1-8.1-48.7-10.7L448 256h-72.6L358 215h-29v-64h-50v64h-30v-64zm18 18h14v46h-14zm80 0h14v46h-14zm-130.9 64H346l9.8 23H304l-16 32H144.1zm141.2 102.9c34.4 0 68.7 2.6 101.2 9.2-70.4 17.7-118.1 5.2-150.6-1.9-4.8-1-11.1-2.6-18.6-4.3 22.4-1.9 45.2-3 68-3zM172.7 375h-2.3c-33.3 1.1-92.58 16.3-92.58 16.3l4.36 17.4s60.62-14.8 88.72-15.7c19.7-.6 64.5 7.2 64.5 7.2l3.2-17.7s-40.8-7.8-65.9-7.5zm140.2 32c-28.8-.1-65.1 7.9-95.1 15.9-31 8.2-55.1 16.6-55.1 16.6l5.9 17s23.5-8.2 53.8-16.2c30.3-8 67.5-15.8 92.9-15.3 33 .6 63.9 9.7 93 18.9s56.3 18.7 82.5 18.7v-18c-21.7 0-47.7-8.6-77.1-17.9-29.3-9.2-62-19-98-19.7z"}}]})(props);
};
function GiDreamCatcher (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M248 16v32.24c-65 3.79-117.8 53.36-126.7 116.86-5-3.2-10.9-5.1-17.3-5.1-17.58 0-32 14.4-32 32 0 14.8 10.21 27.4 23.92 31l3.16 30.2c-.25 63.8 2.62 135.7-2.38 202.3-2.8-7.3-3.04-12.1-4.52-20.9l-12.22 2.2c2.2 13.7 4.98 27 13.12 38.9 23.92-9.3 30.22-60.9 36.62-93.9l-20.9-11.6 24.3-7c2.3-14.3 3.8-23.3 4.6-32.4l-19.5-15.2 20.2.2c0-3.9 0-8.1-.1-12.9-.4-13-11.8-42-23.3-48.2l-3.3-31.7c4.6-1.1 8.7-3.2 12.3-6.1 14.2 56.7 63.9 99.4 124 102.9v9.6c-9.3 3.3-16 12.2-16 22.6 0 11.6 8.3 21.3 19.3 23.5-12.5 3.6-25.2 19.2-23.8 26.2 8.3 41.6 14.9 88.6 30.8 93.1 19.6-19.7 21.6-59.3 25.5-97.1.5-4.8-11.6-18.8-23-22.2 10.9-2.3 19.2-12 19.2-23.5 0-10.4-6.7-19.3-16-22.6v-9.6c60.1-3.5 109.8-46.2 124-102.9 3.9 3.1 8.5 5.4 13.5 6.4l3.3 42.1c-11.6 5.4-21.7 20.6-22.1 32.1-.6 22.2.9 46.4 5.3 70.2l23.2 10.2-21.2-.3c.4 1.9.8 3.7 1.3 5.6l7.6 8.2-5.1 1.4c7.1 25.3 17.8 49 32.9 67.8 5.5-10.5 9.8-22.1 13.1-34.4l-12.2-1.9c-.6 7.8-1.3 15.6-2.1 23.3-5-58.5-4.6-127.2-4.8-183.6l-3.3-41.4c13.1-4.1 22.6-16.3 22.6-30.6 0-17.6-14.4-32-32-32-6.4 0-12.3 1.9-17.3 5.1C381.8 101.6 329 52.03 264 48.24V16h-16zm8 48c66.4 0 120 53.6 120 120s-53.6 120-120 120-120-53.6-120-120S189.6 64 256 64zm-4.8 15.01c-6.8.31-13.4 1.25-19.8 2.78-3.7 7.84-6.2 16.07-7.6 24.41-7-4.9-14.6-8.91-22.7-11.87-5.7 3.5-11 7.57-16 11.97 14.3 3.1 27.1 9.9 37.4 19.4.4 10.6 2.6 21.2 6.5 31.3-10.1-3.9-20.7-6.1-31.3-6.5-9.5-10.3-16.3-23.1-19.4-37.3-4.5 4.9-8.5 10.2-12 15.9 3 8.1 7.1 15.7 12 22.7-8.4 1.4-16.7 3.9-24.5 7.6-1.5 6.4-2.5 13-2.8 19.8 12.2-7.9 26.1-12.2 40.1-12.7 7.8 7.2 16.8 13.2 26.7 17.5-9.9 4.3-18.9 10.3-26.7 17.6-14-.6-27.9-4.8-40.1-12.7.3 6.8 1.3 13.3 2.8 19.7 7.8 3.7 16.1 6.2 24.5 7.6-4.9 7-9 14.6-12 22.7 3.5 5.7 7.5 11 12 15.9 3.1-14.2 9.9-27 19.4-37.3 10.6-.4 21.2-2.6 31.3-6.5-3.9 10.1-6.1 20.6-6.5 31.3-10.3 9.5-23.1 16.3-37.4 19.3 4.9 4.5 10.3 8.6 16 12.1 8.2-3 15.8-7 22.7-11.9 1.4 8.4 3.9 16.6 7.6 24.4 6.4 1.5 12.9 2.5 19.7 2.8-7.9-12.2-12.1-26-12.7-40.1 7.3-7.8 13.3-16.8 17.6-26.7 4.3 9.9 10.3 18.9 17.5 26.7-.5 14-4.8 27.9-12.7 40.1 6.8-.3 13.4-1.3 19.8-2.8 3.7-7.8 6.2-16 7.6-24.4 7 4.9 14.6 8.9 22.7 11.9 5.7-3.5 11.1-7.6 16-12.1-14.3-3-27.1-9.8-37.4-19.3-.4-10.6-2.5-21.2-6.5-31.3 10.1 4 20.7 6.1 31.3 6.5 9.5 10.3 16.3 23.1 19.4 37.3 4.5-4.9 8.5-10.2 12-15.9-3-8.1-7-15.7-11.9-22.7 8.4-1.4 16.6-3.9 24.4-7.6 1.5-6.4 2.5-13 2.8-19.8-12.2 7.9-26.1 12.2-40.1 12.7-7.8-7.2-16.8-13.2-26.7-17.5 9.9-4.3 18.9-10.3 26.7-17.6 14 .6 27.9 4.8 40.1 12.7-.3-6.8-1.3-13.3-2.8-19.7-7.8-3.7-16.1-6.2-24.5-7.6 4.9-7 9-14.6 12-22.7-3.5-5.7-7.6-11.1-12.1-16-3 14.3-9.8 27.1-19.3 37.4-10.7.4-21.2 2.6-31.3 6.5 3.9-10.1 6.1-20.7 6.5-31.3 10.3-9.5 23.1-16.4 37.4-19.4-5-4.5-10.3-8.47-16-11.97-8.1 2.96-15.7 6.97-22.7 11.87-1.4-8.34-3.9-16.57-7.6-24.41-6.4-1.53-13-2.47-19.8-2.78 8 12.2 12.2 26.09 12.8 40.09-7.3 7.8-13.3 16.8-17.6 26.7-4.3-9.9-10.3-18.9-17.6-26.7.6-14 4.8-27.89 12.8-40.09zM256 160c13.2 0 24 10.8 24 24s-10.8 24-24 24-24-10.8-24-24 10.8-24 24-24zm-152 16c8.9 0 16 7.1 16 16s-7.1 16-16 16c-8.93 0-16-7.1-16-16s7.07-16 16-16zm152 0c-4.5 0-8 3.5-8 8s3.5 8 8 8 8-3.5 8-8-3.5-8-8-8zm152 0c8.9 0 16 7.1 16 16s-7.1 16-16 16-16-7.1-16-16 7.1-16 16-16zM87.78 257.7c-10.12 5.9-18.62 15.3-18.82 22.9-2 42.8-.7 90.8 8.7 145.9l14.42 5.6c-3.8-58.4-3.7-116.3-4.3-174.4zM432 268c-.6 51.3-.5 102.5-4.3 154.1l14.4-5c7.6-31.7 9.6-67.4 9.3-103.2l-14.6-.3 14.4-8.4c0-5.7-.1-11.4-.4-17-.2-6.7-8.7-15-18.8-20.2zm-176 76c4.5 0 8 3.5 8 8s-3.5 8-8 8-8-3.5-8-8 3.5-8 8-8zm-4.2 31.6c1.4.3 2.8.4 4.2.4 1.3 0 2.5-.1 3.7-.3l-2.3 90.6-5.6-90.7z"}}]})(props);
};
function GiDress (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M342.842 462.946c-2.029 31.63-171.708 29.834-173.863 0-6.223-162.824 18.646-224.226 26.506-280.24 1.902-13.533-14.843-37.589-19.016-54.323-8.917-35.36 3.856-66.262-8.917-95.42L185.977 26C196.373 66.568 223.8 95.547 256 95.547c32.201 0 59.627-28.979 70.023-69.547l18.425 6.962c-12.773 29.159 0 60.06-8.917 95.42-4.226 16.735-20.96 40.79-19.016 54.324 7.68 56.025 32.55 117.427 26.327 280.24z"}}]})(props);
};
function GiDrill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48.148 49c-9 0-14.776 3.864-19.793 11.29-5.017 7.424-8.323 18.56-9.234 30.4-.91 11.838.52 24.33 3.814 34.214 3.079 9.236 7.783 15.602 12.288 18.367 28.96 2.58 66.314 2.689 82.671 28.96 11.82 42.442-15.348 94.133-25.816 130.769h74.55l-5.064-89.941 23.168-4.729 14.12-58.926 64.296 7.219V49zm233 0v98.916l30-.453V49zm48 16v62h30V65zm-274 2h178v60h-178zm322 .525v56.95l46-11.5v-33.95zM73.148 85v24h142V85zm368 0v18h52V85h-9zm-228.5 84.064l-8.841 36.907 17.925-1.532c-1.87-15.08 1.338-23.637 10.96-33.125zM89.148 321v32H52.965l-20 30h244.879l-11.823-30h-98.873v-32zm-64 80v62h237.608l16.584-62z"}}]})(props);
};
function GiDrinkMe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M367.844 24.188c-2.995.07-5.916.408-8.688 1.03L343.72 56.657l-6.314-4.437-10.094-7.095-4.093 11.625-16.814 47.688-1.22 3.468.033.094c-22.914 35.49-54.143 58.155-88.75 75.094-42.497 20.8-89.883 32.402-131.25 47.094-22.233 7.895-36.518 24.47-42.72 44.28-6.202 19.81-5.122 42.612.594 65.657 11.43 46.09 41.39 93.763 78.625 119.938 37.233 26.174 92.217 38.243 139.468 33.406 23.625-2.42 45.452-9.12 62-21.658 16.547-12.538 27.34-31.594 27.25-55.187-.172-43.895-5.293-92.393-.094-139.406 4.3-38.89 15.366-76.49 41.906-110.47l1.28-1.063 15.75-12.843v90.97c-13.467 4.385-23.325 17.07-23.436 31.905-.512 4.607-.25 9.738 1.03 15.5l.032.124.03.125 22.377 117.31 67.718-22.5-22.874-119.75c-2.23-11.095-7.69-17.16-14.875-20.717-3.383-1.676-7.24-2.71-11.31-3.063V137.625l4.75-3.875 9.56-7.78-10.092-7.095-5.157-3.625 24.376-25.188c0-30.925-48.225-66.712-83.562-65.874zM336.75 74.594l74.594 52.47-1.47 1.186h-.593v.5l-24.342 19.813c-30.565-4.34-48.466-18.5-59.594-41.657l11.406-32.312zm-21.688 52.062c12.428 18.638 30.934 32.057 55.438 38.188-23.95 34.7-34.592 72.706-38.75 110.312-.167 1.512-.32 3.02-.47 4.53-6.62-4.037-16.198-8.078-27.936-11.56-26.956-8-65.25-13.157-107.53-13.157-42.282 0-80.546 5.156-107.5 13.155-11.706 3.473-21.257 7.505-27.876 11.53 4.798-14.994 14.042-25.84 31.03-31.874 40-14.204 88.293-25.884 133.22-47.874 33.82-16.553 65.86-39.264 90.375-73.25zm104.594 134.22c8.455 0 15.094 6.636 15.094 15.093 0 8.453-6.64 15.124-15.094 15.124s-15.125-6.67-15.125-15.125 6.672-15.095 15.126-15.095zM57.062 301.75c.2.144.355.29.563.438 6.575 4.613 17.21 9.406 30.688 13.406 26.955 8 65.22 13.156 107.5 13.156s80.575-5.156 107.53-13.156c10.82-3.21 19.756-6.927 26.282-10.656-.258 7.08-.352 14.132-.344 21.125-6.165 2.74-13.052 5.19-20.624 7.437-29.44 8.737-69.065 13.938-112.844 13.938-43.778 0-83.402-5.2-112.843-13.938-9.018-2.676-17.087-5.64-24.095-9.03-1.346-7.904-1.953-15.534-1.813-22.72z"}}]})(props);
};
function GiDrinking (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M136.56 70.504a88.18 88.18 0 0 0-12.686.949c-33.833 5.004-62.022 29.192-80.272 65.89-18.25 36.699-26.008 85.566-18.285 137.307 7.723 51.741 29.418 96.251 57.598 126.082 28.18 29.831 62.216 44.819 96.048 39.815 33.833-5.004 62.024-29.195 80.274-65.893 4.264-8.573 7.947-17.818 11.002-27.601-29.164.07-58.834-2.573-92.08-24.287 47.863-14.36 76.86-36.492 101.926-60.243a271.619 271.619 0 0 0-2.565-25.173c-7.723-51.741-29.416-96.253-57.596-126.084-24.657-26.103-53.8-40.838-83.365-40.762zm244.189 97.467l-87.937 109.81c-.11.17-17.645 28.102-14.198 42.682 1.549 6.554 7.56 14.287 14.304 14.287 6.744 0 12.758-7.733 14.307-14.287 3.426-14.494-13.853-42.137-14.238-42.75l8.82 5.222 128.162 75.854 59.686-74.506zm1.06 27.468l69.85 74.6H322.047zm-133.21 2.33l13.13 12.311c-17.393 18.552-47.5 23.81-71.523 21.414l1.787-17.912c19.327 1.927 45.889-4.382 56.605-15.813z"}}]})(props);
};
function GiDrippingBlade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.406 17.156V54.97c79.545 34.337 178.924 73.75 261.906 97.343-53.787-54.16-125.17-103.693-179.218-135.157H17.406zm118.813 0c59.04 36.955 129.675 89.52 179.218 146.5l19.28 22.22-28.562-7C218.233 157.345 106.5 113.523 17.406 75.28v41.47c168.198 73.64 345.253 128.555 476.344 151.5-37.757-41.128-76.177-78.16-114.25-111.5C314.105 99.484 250 53.816 192.03 17.156h-55.81zM42.843 148c17.93 33.19 29.747 103.934 20.125 139.938-2.986 11.166-19.064 40.526-19.064 53.812 0 18.01 14.468 32.664 32.47 32.22 18-.446 32.435-16.15 32.436-34.158 0-13.366-16.692-41.73-19.75-52.78-10.666-38.56 6.714-92.154 31.626-107.782-25.94-9.94-51.947-20.35-77.844-31.25zm169.312 64.375c43.138 48.155 51.117 154.67 39.375 197.5C248.288 421.71 231 453.25 231 467.438c0 19.116 14.893 33.87 34 33.718 19.107-.15 34.688-15.164 34.688-34.28 0-14.103-15.892-45.715-19.813-57.22-14.753-43.3-3.968-143.785 21.25-141.187 22.02 2.264 25.332 49.124 16.28 79.936-2.083 7.093-12.028 25.58-12.03 34.125 0 11.517 9.02 20.468 20.53 20.376 11.512-.093 20.53-9.203 20.533-20.72 0-8.494-8.95-26.975-11.313-33.905-8.155-23.937 3.22-74.906 20.906-91.967-45.956-12.332-94.36-27.076-143.874-43.938zm173 51.53c18.477 25.58 24.733 78.443 12.78 123.158-3.71 13.88-23.684 50.358-23.686 66.875 0 22.387 17.997 40.613 40.375 40.062 22.378-.55 40.344-20.05 40.344-42.438 0-16.616-20.764-51.887-24.564-65.625-13.298-48.074 7.292-89.676 35.906-103.78-25.73-5.033-52.903-11.147-81.156-18.25z"}}]})(props);
};
function GiDrippingGoo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.844 17.28c-54.286 0-103.57 14.478-139.875 38.5-36.305 24.025-60 58.306-60 96.94 0 24.244 9.323 46.797 25.25 66.155 20.198 41.592 34.85 102.377 20.5 144.594-3.513 10.328-19 38.088-19 50.717 0 17.12 17.632 37.563 34.75 37.563 17.116 0 34.778-20.442 34.78-37.563 0-12.706-15.123-40.142-18.03-50.718-11.415-41.524-10.246-93.93 17.593-94.97 13.083 5.394 27.145 9.777 41.937 13.03 22.872 10.78 33.56 52.68 21.844 69.564-2.73 3.936-13.75 15.01-13.75 25.906 0 11.105 9.8 23.47 24.062 23.47 13.314 0 24.063-10.57 24.063-23.47 0-12.69-12.177-21.875-14.44-25.906-8.562-18.992-6.686-51.025 18.782-52.406 29.17-1.583 42.28 83.25 25.22 107.843-4.535 6.537-23.376 27.08-23.376 46.533 0 19.87 15.403 41.283 39.875 41.28 24.95 0 39.845-23.902 39.845-41.28 0-16.962-20.308-39.84-24.063-46.532-16.427-29.282-9.22-119.687 28.875-130.717 1.352-.473 2.338-.91 3.063-1.344 4.343-1.437 8.586-2.988 12.75-4.626.018-.007.044.007.063 0 39.218-5.213 35.794 40.094 55.468 40.094 17.347 0 9.824-61.536 28.69-105.5 9.592-15.822 15-33.27 15-51.72 0-38.632-23.666-72.913-59.97-96.937-36.304-24.022-85.62-38.5-139.906-38.5zM193.5 43.626c-44.808 19.875-74.47 54.414-74.47 93.688 0 61.603 72.957 111.53 162.94 111.53 71.58 0 132.346-31.623 154.217-75.562-6.408 23.038-23.457 44.077-48.75 60.814-24.52 16.226-56.552 28.032-92.562 32.906-19.593 1.22-41.32 4.405-63.375 1.22-40.332-3.84-76.304-16.316-103.22-34.126-32.654-21.61-51.624-50.374-51.624-81.375 0-31.002 18.97-59.736 51.625-81.345 18.12-11.99 40.33-21.593 65.22-27.75zM416.125 329.03c-15.707 0-28.438 12.732-28.438 28.44 0 15.705 12.73 28.436 28.438 28.436 15.707 0 28.438-12.73 28.438-28.437 0-15.708-12.73-28.44-28.438-28.44z"}}]})(props);
};
function GiDrippingHoney (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M307.813 23.344l-3.782 3.78-34.5 34.47-44.78-11.782-5.188-1.374-3.812 3.812-36.594 36.53-45.53-12-5.19-1.343-3.78 3.782-38.78 38.718-3.814 3.812 1.376 5.188 13.187 49.874-35.438 35.407-3.812 3.78 1.375 5.22 13.906 52.593 1.375 5.28 1.407.376c19.81 10.976 38.706 97.624 28.094 137.31-2.606 9.753-16.655 35.4-16.655 47 0 15.728 12.652 28.515 28.375 28.126 15.723-.392 28.344-14.088 28.344-29.812 0-11.673-14.58-36.445-17.25-46.094-6.06-21.895.922-48.96 13.22-68.875l4.936 1.28 52.656 13.876 5.188 1.376 3.812-3.812 21.688-21.625c7.984 19.473 9.73 48.845 2.906 74.374-2.573 9.623-16.438 34.895-16.438 46.344 0 15.517 12.483 28.162 28 27.78 15.518-.373 27.967-13.92 27.97-29.437 0-11.518-14.397-35.946-17.032-45.467-11.366-41.077 12.977-75.36 39.438-75.5l.593.156.126-.126c.147.002.29-.005.438 0-.087-.057-.193-.1-.28-.156l3.53-3.5L332 297.844l4.125 1.125c1.173 12.203.642 23.632-2.188 31.936-2.463 7.227-11.812 26.517-11.812 35.375 0 12.01 9.4 21.408 21.406 21.595 12.01.095 21.438-9.243 21.44-21.25 0-8.914-10.39-28.197-12.564-35.594-2.596-8.834-4.21-18.916-4.72-28.967l33.97 9.125 5.188 1.375 3.812-3.782 5.47-5.436c4.175 31.496 3.13 68.988-4.563 91.562-4.09 11.998-20.688 44.982-20.688 59.688 0 19.933 16.258 35.563 36.188 35.75 19.93.157 35.468-15.253 35.468-35.188 0-14.794-18.052-47.69-21.436-60.03-5.96-21.737-6.115-69.13.406-116.938l9.625-9.532 3.875-3.844-1.438-5.25-5.312-19.5c5.808-26.393 13.877-50.716 24.344-68.25l2.875-2.875-1.376-5.218-13.906-52.595-1.375-5.28-5.282-1.376-48.967-12.907-12.22-46.313-1.406-5.28-5.25-1.376L313 24.72l-5.188-1.376zm5.625 20.812l42.218 11.125 11.125 42.157-31.186 31.126-38.875-10.25-12-45.47 28.717-28.687zm-88.25 25.094L264.03 79.5 276 124.75l-28.875 28.844-42-11.063L194 100.407l31.188-31.156zm-91.157 27l42.25 11.125 11.126 42.125-31.156 31.125L114 169.5l-11.125-42.094L134.03 96.25zm66.44 67.28l40.843 10.75 11.437 43.314-30.28 30.28-42.032-11.093-11.125-42.124 31.156-31.125zm65.25 67.814l40.967 10.78L318.375 285l-30.688 30.656-42.218-11.125-11.064-41.936 31.313-31.25zm104.905 16.28c9.275.22 16.596 13.983 21.406 33.5l-10.717 10.626-33.157-8.875c1.985-18.728 8.707-33.897 21.25-35.188.41-.042.815-.072 1.22-.062z"}}]})(props);
};
function GiDrippingKnife (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M490.906 15c-15.93 27.59-38.93 49.68-66.125 65.906-1.656 22.7-13.066 44.383-30.655 63.844-24.774 27.41-61.863 51.865-104.78 73.906-84.056 43.17-190.69 76.712-270.75 97.656v53.875c7.514-2.44 15.065-4.847 22.624-7.25 18.695.008 39.45 7.253 46.25 50.282C80.952 445.75 64 453.105 64 477c0 12.348 12.224 21.406 24.03 21.406 12.074 0 23.532-8.464 23.532-20.187 0-23.002-16.374-32.466-23-65.283 9.795-76.6 133.782-117.104 133.782-71.75 0 11.632-12.813 21.018-12.813 31.625 0 12.752 11.694 21.75 24.032 21.75 12.068 0 24.657-10.1 24.657-23.53 0-13.43-14-20.934-14-31.75 0-71.077 114.83-78.082 132.686-16.782-13.16 56.997-42.03 75.01-42.03 116.844 0 22.04 21.583 38 44.28 38 22.2 0 45.125-17.067 45.125-40.28 0-43.735-30.165-58.033-43.06-115.19 23.29-129.734 61.263-121.692 88.31-176.03.036-.06.06-.127.095-.188C490.395 109.56 498.903 66.81 490.905 15zm-86.53 76.656c-37.166 17.086-80.115 24.428-123 21.28C221.435 153.363 107.803 206.662 18.593 225v71.97c78.706-20.824 182.013-53.747 262.219-94.94 41.78-21.456 77.22-45.23 99.437-69.81 12.273-13.58 20.51-26.965 24.125-40.564zm54.28 102.125c-7.41 43.062-29.47 51.75-29.47 81.94.002 15.146 14.987 26.28 29.47 26.28 14.81 0 28.875-10.4 28.875-24.78 0-28.982-21.217-40.46-28.874-83.44z","fillRule":"evenodd"}}]})(props);
};
function GiDrippingStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M366.938 19.688l-23.563 17.375-80.75 58.812L181.72 36.78l-23.47-16.936 8.844 27.656 31.25 95.28-81.188 58.564-23.344 16.97 28.907-.25 100-.345 31 95.718 8.843 27.656 8.656-27.688 30.874-95.5 100.187.313 28.876-.22-23.47-16.938-81.155-58.687 31.064-94.813 9.344-27.874zm-35.782 49.25l-24.375 74.437-2.124 6.656 5.656 3.845 63.344 45.563-78.312-.094-6.78.03-1.908 6.22-23.97 74.687-23.936-74.717-2.47-6.47-6.78.032-77.875.125 63.313-45.188 5.28-4.28-1.78-6.688L194 69.22l63.063 46.03 5.687 3.813 5.03-3.844 63.376-46.282zM92 242.063s-36 73.02-36 92.906C56 354.852 72.115 371 92 371s36.03-16.147 36.03-36.03c0-19.905-36.03-92.908-36.03-92.908zm340.906 0s-36.03 73.02-36.03 92.906c0 19.883 16.146 36.03 36.03 36.03 19.885 0 36-16.147 36-36.03 0-19.905-36-92.908-36-92.908zM262.47 363.342s-36.033 73.022-36.033 92.907c0 19.885 16.147 36.03 36.032 36.03 19.883 0 36-16.145 36-36.03 0-19.903-36-92.906-36-92.906z"}}]})(props);
};
function GiDrippingStone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M344.875 19.844l-155.78 7.343-33.97 88.032-1.938 5-5.28.843-43.563 7.093L59.438 230l40.218 31 252.688.72 69.594-34.22-17.72-146.28-11-.032v.03l-73.874 1.063-43.406 63.5-15.438-10.53 46.125-67.53 2.75-4 4.844-.064 49.155-.687-18.5-43.126zm69.875 232l-48.438 23.844c12.5 17.007 19.983 47.156 13.344 69.593-2.448 8.275-14.728 29.75-14.937 39.69-.283 13.39 15.325 29.372 28.717 29.374 13.393.002 25.406-15.983 25.688-29.375.207-9.88-11.454-31.608-14.03-39.69-8.56-26.84-1.968-63.266 9.655-93.436zm-351.125 5c13.52 36.223 8.293 83.594 22.188 83.594 14.32 0 13.963-49.785 35.406-60.688l-24.782-.063-3.188-.03-2.5-1.907-27.125-20.906zm84.875 23c27.784 7.302 54.07 75.815 40.875 94.094-2.84 3.935-14.162 15.01-14.47 25.906-.31 11.105 9.113 23.47 23.376 23.47 13.315-.002 24.357-10.57 24.72-23.47.357-12.692-11.54-21.875-13.688-25.906-8.028-18.992-4.63-73.682 20.875-75.063 29.213-1.583 39.942 83.25 22.188 107.844-4.717 6.534-24.14 27.11-24.688 46.56-.558 19.87 14.247 41.284 38.72 41.283 24.947 0 40.51-23.903 41-41.282.478-16.96-19.185-39.87-22.75-46.56-14.323-26.88-7.27-105.226 23.687-126.44l-159.844-.436zm-60.813 101.03c-12.466 0-22.562 10.13-22.562 22.595 0 12.465 10.096 22.56 22.563 22.56 12.466 0 22.562-10.095 22.562-22.56 0-12.467-10.096-22.595-22.563-22.595z"}}]})(props);
};
function GiDrippingSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M495.52 21.816l-11.305 1.043-82.805 7.644-258.045 258.053c-15.554-22.716-27.955-46.57-35.414-70.16l-4.098-12.96-10.633 8.47c-19.564 15.59-31.423 31.095-36.855 46.65-5.43 15.554-3.958 30.888 1.717 44.084 9.88 22.977 30.975 40.096 51.26 52.862-24.534 31.35-52.64 56.51-82.09 80.21l-3.486 2.808v4.474c0 14.772 4.732 27.31 13.584 35.684 8.85 8.375 21.067 12.126 34.222 12.125h4.7l2.802-3.774c22.927-30.88 48.28-59.133 79.71-82.04 10.91 17.653 26.147 38.022 48.323 48.664 12.948 6.214 28.392 8.625 44.922 4.35 16.53-4.275 33.916-14.868 52.42-33.373l10.88-10.88-14.672-4.637c-25.307-7.998-49.583-21.334-72.77-37.787l32.987-32.988c-.656.765-1.31 1.558-1.963 2.412l3.89-4.34 2.78-2.78c16.614-13.837 33.616 1.5 43.3 59.98 6.67-64.68 35.053-74.725 38.56-47.342V502.98h18.687V316.715l.175 1.828c4.48-49.957 29.634-39.048 33.996 24.996v152.835h18.69v-69.408c5.9-43.874 38.74-54.97 47.68-10.248l-.295 84.575 18.688.066 1.36-390.126 9.097-89.418zm-20.89 20.696l-6.53 64.162L199.223 375.56l8.58 6.467c22.645 17.077 46.745 31.5 72.267 41.534-12.25 10.186-23.203 15.888-32.72 18.35-12.33 3.19-22.537 1.512-32.16-3.105-19.24-9.235-35.212-31.906-45.618-49.928l-5.017-8.69-8.31 5.624c-36.06 24.4-64.17 55.143-88.975 88.002-7.447-.676-13.15-2.994-17.075-6.708-4.023-3.807-6.73-9.497-7.435-17.99 31.122-25.274 61.537-52.874 87.783-88.485l6.2-8.413-9.05-5.225c-21.07-12.165-44.11-30.36-52.443-49.736-4.166-9.688-5.14-19.37-1.242-30.537 3.067-8.784 9.632-18.68 20.832-29.36 9.388 24.544 23.015 48.677 39.63 71.308l6.44 8.775 268.942-268.95 64.777-5.98zM428.57 75.064L164.334 339.3l13.215 13.216L441.786 88.28l-13.215-13.216zM450.75 200.75c7.306 0 14.617 7.55 14.617 18.78s-7.308 18.78-14.617 18.78c-7.306 0-14.617-7.552-14.617-18.78 0-11.23 7.308-18.78 14.617-18.78zm-20.535 49.844c3.373 0 7.69 2.54 11.73 9.53 4.042 6.987 6.955 17.67 6.955 29.595 0 11.923-2.912 22.607-6.953 29.594-4.04 6.988-8.357 9.53-11.732 9.53-3.373 0-7.69-2.542-11.73-9.53-4.042-6.988-6.956-17.67-6.956-29.595 0-11.926 2.913-22.61 6.954-29.597 4.042-6.988 8.356-9.53 11.73-9.53z"}}]})(props);
};
function GiDrippingTube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M276.95 18.752c-17.61.005-29.2 5.172-33.776 13.1-5.232 9.06-2.762 24.25 9.775 42.494 12.536 18.243 34.302 38.05 61.864 53.963 27.562 15.91 55.6 24.856 77.666 26.592 22.068 1.736 36.456-3.72 41.688-12.78 5.23-9.06 2.762-24.25-9.775-42.493-12.538-18.244-34.303-38.05-61.866-53.964-27.562-15.913-55.598-24.858-77.666-26.594-2.757-.217-5.395-.32-7.91-.32zm9.818 21.453c16.105.134 40.723 8.224 65.804 22.705 38.22 22.067 63.046 50.616 55.453 63.768-7.593 13.152-44.732 5.925-82.95-16.14-38.22-22.068-63.047-50.618-55.454-63.77 2.61-4.52 8.71-6.633 17.148-6.563zm-50.784 42.352L79.594 392.385c-10.137 17.762-10.692 36.284-4.504 51.6 6.224 15.41 18.583 27.613 33.222 35.6 14.64 7.99 31.752 11.89 48.39 9.743 16.64-2.145 32.87-10.827 43.554-27.033l.01-.018L388.914 173.33c-6.485-.61-13.232-1.71-20.172-3.29l-32.846 50.308c-.272-.25-.55-.5-.878-.77-3.27-2.697-8.986-5.776-16.44-8.377-14.908-5.2-36.63-8.684-60.63-8.684-23.997 0-45.72 3.484-60.628 8.685-2.427.848-4.65 1.748-6.683 2.667l57.967-114.84c-4.098-4.665-7.81-9.377-11.055-14.097-.542-.788-1.047-1.582-1.566-2.373zM415.03 184.553l-8.794 33.5c-7.48 28.495-19.135 51.737-29.22 71.646-10.085 19.908-19.258 36.267-19.14 53.5.217 31.9 26.61 57.75 58.634 57.505l-.008.002c32.01-.217 58.057-26.384 57.836-58.29-.076-11.126-4-21.653-9.54-32.974-.62-1.593-1.43-3.186-2.41-4.797-2.39-4.645-4.986-9.447-7.656-14.505-10.25-19.42-22.206-42.452-30.453-72.21l-9.25-33.377zm-232.85 46.07c3.385 2.44 8.59 5.096 15.14 7.38 14.908 5.202 36.63 8.685 60.63 8.685 23.998 0 45.72-3.483 60.628-8.684 2.914-1.017 5.552-2.107 7.893-3.22l-16.365 25.068c-15.16 3.556-32.977 5.53-52.156 5.53-25.762 0-49.088-3.553-66.788-9.728-6.642-2.317-12.488-4.99-17.47-8.215l8.488-16.817zm233.242 19.498c.32.83.65 1.62.973 2.437-1.073 34.75-13.116 59.906-8.944 75.015 4.384 15.93 20.963 25.358 36.974 20.852 4.253-1.17 8.036-3.197 11.226-5.83.126 21.712-17.307 39.275-39.275 39.424h-.007c-21.97.167-39.654-17.217-39.8-38.944v-.002c-.067-9.577 7.017-24.98 17.12-44.927 6.888-13.598 14.798-29.615 21.735-48.024zm-191.04 29.74c9.492 0 17.186 7.697 17.186 17.19 0 9.49-7.694 17.184-17.185 17.184-9.49 0-17.186-7.694-17.186-17.185 0-9.493 7.695-17.19 17.186-17.19zm-54.35 13.44c12.148 0 21.997 9.85 21.997 22s-9.85 21.997-22 21.997c-12.147 0-21.997-9.848-21.997-21.996 0-12.15 9.85-22 21.998-22zm22.007 57.81c13.287 0 24.058 10.775 24.058 24.064 0 13.287-10.77 24.058-24.06 24.058-13.286 0-24.06-10.77-24.06-24.058 0-13.29 10.774-24.063 24.06-24.063z"}}]})(props);
};
function GiDropEarrings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M157 33.11L60.66 71.64l6.68 16.72L131 62.89l-10.2 40.71C101.7 107.1 87 123.9 87 144c0 19.9 14.4 36.6 33.3 40.3-8.7 18.1-19.3 40.9-29.97 67.1C72.49 295 57 343 57 372c0 21.5 8.53 36.5 21.62 47 13.1 10.4 31.18 16 49.38 16 18.2 0 36.3-5.6 49.4-16 13.1-10.5 21.6-25.5 21.6-47 0-29-15.5-77-33.3-120.6-10.7-26.2-21.3-49-30-67.1 18.9-3.7 33.3-20.4 33.3-40.3 0-18.7-12.7-34.5-29.9-39.4L157 33.11zm256 .04l-96.3 38.54 6.6 16.72L387 62.95l-10.2 40.65c-19.1 3.5-33.8 20.3-33.8 40.4 0 19.9 14.4 36.6 33.3 40.3-8.7 18.1-19.3 40.9-30 67.1C328.5 295 313 343 313 372c0 21.5 8.5 36.5 21.6 47 13.1 10.4 31.2 16 49.4 16s36.3-5.6 49.4-16c13.1-10.5 21.6-25.5 21.6-47 0-29-15.5-77-33.3-120.6-10.7-26.2-21.3-49-30-67.1 18.9-3.7 33.3-20.4 33.3-40.3 0-18.7-12.7-34.5-29.9-39.4L413 33.15zM128 121c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23 10.2-23 23-23zm256 0c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23 10.2-23 23-23zM128 453c-7 0-13.2 2.2-17.2 5.2-4.1 3.1-5.8 6.4-5.8 9.8 0 3.4 1.7 6.7 5.8 9.8 4 3 10.2 5.2 17.2 5.2s13.2-2.2 17.2-5.2c4.1-3.1 5.8-6.4 5.8-9.8 0-3.4-1.7-6.7-5.8-9.8-4-3-10.2-5.2-17.2-5.2zm256 0c-7 0-13.2 2.2-17.2 5.2-4.1 3.1-5.8 6.4-5.8 9.8 0 3.4 1.7 6.7 5.8 9.8 4 3 10.2 5.2 17.2 5.2s13.2-2.2 17.2-5.2c4.1-3.1 5.8-6.4 5.8-9.8 0-3.4-1.7-6.7-5.8-9.8-4-3-10.2-5.2-17.2-5.2z"}}]})(props);
};
function GiDropWeapon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M189.016 17.783l-15.74 2.78 13.788 78.38 15.74-2.772-13.788-78.387zm89 17.82c-6.39 8.14-8.592 14.91-8.272 20.84.39 7.21 4.47 14.56 11.89 22.31 11.35 11.84 29.86 23.54 48.11 35.68l-2 13.658-3.77.802-8.26 1.72.052.06-133.79 29c-2.68 5-4.14 12.78-3.25 20.39.84 7.26 3.74 13.59 7 17.13l116.838-25.25 5.79 13.74-103.58 69a27.76 27.76 0 0 0 2.312 13.26c.2.47.41.92.63 1.38a35.37 35.37 0 0 0 2.3 4.02c3.84 5.92 9.55 10.43 14.19 12.15l108.358-73 10.13 11.08-84.678 104.03c1.35 4.61 5.27 10.37 11 14.69 5.92 4.49 13 6.94 18.66 6.84l82.17-99.38 12.898 7.69-42 103.72c2.83 3.9 8.44 7.86 15.38 10 7.23 2.22 15.1 2.21 20.52.49l57.192-137.58.05-.13c7.24-18.3 28-29.86 56.26-39.19 1.26-.417 2.558-.82 3.854-1.227V56.51a330.06 330.06 0 0 1-83.836 49.562l-.05.05a120.22 120.22 0 0 1 15.902 15.21c9.89 11.66 15.79 25.43 14 40.7l-15-1.75c1.22-10.62-2.382-19.54-10.532-29.15s-20.92-19.28-36.27-29.27c-28.99-18.84-66.898-38.92-100.198-66.26zm-201.14 31.63l-10.462 12.1 62.07 53.66 10.46-12.1-62.07-53.66zm-44.04 110.31l-.31 16 70.138 1.4.28-16.05-70.108-1.35zm91.97 55.607a27.75 27.75 0 0 0-21.63 44.893l-52.862 161.31a27.87 27.87 0 1 0 28.522 9.37l52.71-160.86a27.75 27.75 0 0 0 1.47-53.53 27.75 27.75 0 0 0-8.21-1.183zM18 273.093v51.217l14.756 4.822a8.52 8.52 0 1 1-5.3 16.19L18 342.232v53.26l23.016 7.55 36.21-110.49L18 273.092zm115.115 60.78l-22.62 69 14.14 4.63 22.62-69-14.14-4.63zm29.34 9.62l-22.62 69 14.18 4.63 22.62-69-14.18-4.63zm29.34 9.61l-22.62 69 14.14 4.63 22.62-69-14.14-4.63zm29.43 9.61l-22.62 69 14.14 4.628 22.62-69-14.14-4.628zm29.26 9.62l-22.62 69 14.22 4.61 22.62-69-14.22-4.61zm29.43 9.61l-22.62 69 14.14 4.63 22.62-69-14.14-4.63zm29.31 9.61l-22.62 69 14.14 4.63 22.62-69-14.14-4.63zm31.89 1.57l-29.25 89.27a47 47 0 1 0 29.25-89.27z"}}]})(props);
};
function GiDrop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M263.844 40.344C234.1 213.202 145.594 248.03 145.594 369.22c0 60.804 60.106 105.5 118.25 105.5 59.45 0 115.937-41.803 115.937-99.533 0-116.332-85.2-162.312-115.936-334.843zm-58.28 217.094c-27.963 75.53-5.105 154.567 54.25 179.375 15.185 6.348 31.724 7.714 47.905 6.28-116.134 49.787-185.836-79.816-102.158-185.656z","fillRule":"evenodd"}}]})(props);
};
function GiDropletSplash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247.563 19.813c-13.458 0-24.344 10.917-24.344 24.375 0 13.457 10.885 24.343 24.343 24.343 13.457 0 24.375-10.888 24.375-24.343 0-13.454-10.918-24.374-24.375-24.374zm.937 70.312c-4.414 85.037-23.308 149.063-46.156 149.063-5.667 0-11.307-4.22-16.344-11.438 1.29 41.965-4.895 68.787-19.844 67.625-5.412-.42-11.71-4.443-18.125-11.406 20.254 50.4 58.82 84.75 103.376 84.75 44.556 0 83.122-34.35 103.375-84.75-6.413 6.962-12.678 10.985-18.092 11.405-16.276 1.265-22.873-29.93-19.875-78.563-6.6 13.806-14.202 22.375-22.188 22.375-22.85 0-41.71-64.025-46.125-149.062zM104.25 314.53c-51.466 16.677-84.688 41.948-84.688 69.97 0 50.166 104.813 91.096 234.188 91.094 129.375-.002 234.188-40.928 234.188-91.094 0-28.02-33.222-53.293-84.688-69.97 27.147 12.92 43.813 29.24 43.813 47.19 0 41.413-86.506 74.81-193.313 74.81-106.805.002-193.313-33.397-193.313-74.81 0-17.95 16.666-34.273 43.813-47.19zm68.906 13.814c-28.25 9.053-46.72 22.128-46.72 37.437 0 27.24 57.065 49.626 127.314 49.626 70.248 0 127.313-22.386 127.313-49.625 0-15.308-18.468-28.383-46.72-37.436 14.94 7.036 24.532 15.4 24.532 25.22 0 22.485-47.132 40.686-105.125 40.686s-105.125-18.2-105.125-40.688c0-9.818 9.592-18.182 24.53-25.218z"}}]})(props);
};
function GiDroplets (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M107.156 17.72c-22.515 130.852-89.5 157.227-89.5 248.968 0 46.03 45.485 79.843 89.5 79.843 1.7 0 3.402-.066 5.094-.155.82-6.47 1.875-12.74 3.125-18.844-2.962.39-5.995.595-9.063.595-38.51 0-69.656-31.488-69.656-70.72 0-39.23 31.145-70.717 69.656-70.717.576 0 1.147.017 1.72.03-17.205 9.417-28.876 28.2-28.876 49.5 0 27.927 20.063 51.5 46.344 55.345 10.542-29.276 25.437-55.543 41.125-83.125 3.053-5.368 6.148-10.822 9.25-16.344-20.93-44.947-53.572-89.35-68.72-174.375zm296.531 0c-14.905 86.624-49.318 127.455-70.875 171.78 4.337 8.4 8.666 16.6 12.907 24.625.27.514.54 1.018.81 1.53 12.664-17.583 33.143-28.968 56.283-28.968.585 0 1.167.017 1.75.032-17.214 9.413-28.907 28.192-28.907 49.5 0 30.555 24.045 55.905 53.938 55.905 16.704 0 31.57-7.9 41.437-20.22-6.557 32.216-34.585 56.22-68.217 56.22-3.16 0-6.266-.245-9.313-.656 1.425 6.11 2.654 12.378 3.656 18.78 2.18.163 4.354.28 6.53.28 45.005 0 87.752-31.642 87.752-75.342 0-88.064-64.484-122.863-87.75-253.47zM256.72 52.47c-18.814 73.33-47.047 123.11-71.69 166.436-29.68 52.186-53.686 94.326-53.686 161.313 0 31.412 15.432 58.706 39.094 78.624 23.66 19.917 55.448 31.906 86.125 31.906 31.66 0 62.733-11.278 85.468-29.906 22.736-18.628 37.095-44.098 37.095-73.78 0-64.192-23.26-108.428-52.125-163.064-23.955-45.34-51.36-97.692-70.28-171.53zm-1.5 212.56c6.448 0 12.75.62 18.874 1.75-31.1 8.977-53.844 38.675-53.844 73.5 0 41.822 32.78 76.314 73.47 76.314 28.857 0 53.72-17.368 65.75-42.375-1.763 57.015-47.717 102.374-104.25 102.374-57.654 0-104.314-47.18-104.314-105.78 0-58.603 46.66-105.783 104.313-105.783z","fillRule":"evenodd"}}]})(props);
};
function GiDrowning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M195.78 21.25c.558 3.56 1.4 7.026 2.5 10.375-10.494 7.93-17.31 20.482-17.31 34.563 0 23.834 19.54 43.374 43.374 43.374 21.168 0 38.917-15.417 42.625-35.562 25.962-4.582 46.306-26.02 50.436-52.75h-19c-4.337 20.21-21.453 35-41.812 35-20.36 0-37.476-14.79-41.813-35h-19zm175.064 13.938c-25.434 0-46.25 20.815-46.25 46.25 0 19.075 11.697 35.546 28.28 42.593-7.11 9.418-11.312 21.134-11.312 33.782 0 7.75 1.605 15.145 4.47 21.875-12.57 5.384-21.438 17.91-21.438 32.375 0 19.32 15.837 35.157 35.156 35.157 18.684 0 34.16-14.802 35.156-33.25.955.048 1.908.06 2.875.06 30.937 0 56.22-25.28 56.22-56.218 0-26.182-18.118-48.315-42.438-54.5 3.53-6.522 5.532-13.976 5.532-21.874 0-25.434-20.816-46.25-46.25-46.25zm-163.97 13.5c9.535 13.508 24.047 23.037 40.814 25.562-3.3 9.72-12.44 16.625-23.344 16.625-13.734 0-24.688-10.953-24.688-24.688 0-6.883 2.746-13.05 7.22-17.5zm157.657 5.906c-1.73 2.925-2.75 6.323-2.75 9.968 0 10.838 8.79 19.626 19.626 19.626 6.814 0 12.826-3.478 16.344-8.75.42 1.927.656 3.938.656 6 0 8.38-3.65 15.838-9.47 20.874-6.774 1.082-13.154 3.37-18.905 6.657-14.95-.423-26.75-12.47-26.75-27.532 0-13.163 9.002-24.028 21.25-26.844zm-77.31 53.812c-19.32 0-35.19 15.868-35.19 35.188s15.87 35.187 35.19 35.187c19.318 0 35.186-15.867 35.186-35.186 0-19.32-15.868-35.188-35.187-35.188zm110.56 11.875c3.978 0 7.788.622 11.376 1.75-8.97 3.188-15.406 11.75-15.406 21.814 0 12.78 10.376 23.125 23.156 23.125 7.517 0 14.18-3.574 18.406-9.126-.016 20.82-16.705 37.5-37.53 37.5-2.595 0-5.122-.257-7.563-.75-5.147-8.898-14.05-15.376-24.5-17.188-3.473-5.694-5.47-12.39-5.47-19.594 0-12.556 6.06-23.605 15.438-30.406 7.315-.77 14.12-3.26 20.03-7.062.685-.037 1.37-.063 2.063-.063zm-110.56 6.845c9.217 0 16.5 7.25 16.5 16.47 0 9.218-7.282 16.5-16.5 16.5-9.22 0-16.5-7.282-16.5-16.5 0-9.22 7.28-16.47 16.5-16.47zM193.936 154.5c-28.534 0-51.875 23.34-51.875 51.875 0 27.282 21.344 49.764 48.157 51.688-9.678 17.452-15.47 39.067-15.47 62.5-.002 30.41 9.606 58.155 24.844 77.25l10.03 12.562-15.874 2.5c-31.947 5.028-52.09 14.733-65.375 28.344-11.19 11.464-17.854 26.476-21.97 45.342H400.75c-4.88-18.106-12.076-32.644-23.156-43.906-13.31-13.53-32.53-23.205-61.656-28.687l-15.594-2.94 10.156-12.186c15.99-19.265 26.47-47.184 26.47-78.28 0-29.982-9.56-56.965-24.5-76.095-14.943-19.132-34.85-30.314-56.626-30.314-3.65 0-7.25.324-10.78.938.484-2.84.75-5.747.75-8.72 0-28.534-23.34-51.874-51.876-51.874zm-9.156 19.938c-1.747 3.255-2.75 6.982-2.75 10.937 0 12.78 10.377 23.125 23.157 23.125 8.837 0 16.508-4.938 20.407-12.22 1 3.18 1.53 6.57 1.53 10.095 0 6.337-1.743 12.238-4.78 17.25-6.165 3.686-11.928 8.405-17.22 14-3.486 1.23-7.257 1.906-11.186 1.906-18.435 0-33.157-14.72-33.157-33.155 0-15.252 10.084-27.995 24-31.938zm171.75 21.437c5.43 5.877 12.062 10.598 19.533 13.75.114.795.187 1.607.187 2.438 0 9.218-7.28 16.468-16.5 16.468-9.22 0-16.47-7.25-16.47-16.468 0-8.112 5.623-14.716 13.25-16.187zM224.47 266.75c4.943.072 9.195 2.03 11.343 5.75 3.818 6.613-.49 16.256-9.625 21.53-9.137 5.276-19.62 4.208-23.438-2.405-3.817-6.612.49-16.256 9.625-21.53 3.997-2.31 8.248-3.4 12.094-3.345zm60.81 0c3.847-.056 8.13 1.036 12.126 3.344 9.136 5.275 13.443 14.92 9.625 21.53-3.817 6.614-14.33 7.682-23.467 2.407-9.137-5.274-13.444-14.917-9.625-21.53 2.147-3.72 6.4-5.678 11.343-5.75zm-30.56 58.97c22.9-.08 45.62 14.087 54.31 42.75-36.916-23.654-71.587-24.153-109.624 0 9.35-28.35 32.412-42.673 55.313-42.75z"}}]})(props);
};
function GiDrum (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M476.865 25.514L282.941 145.422l19.32 9.215L486.333 40.822l-9.467-15.308zM73.6 65.508l-7.748 16.246 286.595 136.709 1.389 2.715c3.244 6.346 9.677 12.524 17.723 16.373l.003.002.004.002c8.566 4.084 17.188 5.364 23.63 4.373 6.443-.992 10.352-3.63 12.523-8.18 2.17-4.55 1.665-8.39-1.725-13.603-3.39-5.213-10.122-10.882-18.935-15.086-8.063-3.843-16.927-4.961-23.91-3.487l-2.983.63L73.6 65.507zm121.097 97.65c-40.936 2.913-77.435 8.644-106.084 16.283-21.165 5.644-38.06 12.392-48.953 19.26C28.767 205.57 25 211.723 25 216c0 4.277 3.767 10.43 14.66 17.299 10.894 6.868 27.788 13.616 48.953 19.26C130.943 263.847 190.374 271 256 271c49.18 0 94.88-4.017 132.512-10.781-8.123-.325-16.546-2.53-24.703-6.422l-.002-.002-.004-.002c-10.2-4.878-18.614-12.38-24.135-21.484l-72.705-34.68-36.498 22.566c-4.5 9.65-12.051 18.021-21.662 23.977l-.002.002-.004.002c-10.715 6.625-22.297 10.072-33.281 9.588-10.985-.484-21.794-5.485-27.856-15.29-6.062-9.803-5.366-21.696-.515-31.294 4.85-9.598 13.3-17.76 23.785-24.243l.002-.001h.002c9.63-5.951 20.504-8.973 31.16-8.688l6.904-4.27-14.3-6.82zm127.432.36l-.545.336 41.3 19.7c10.563-1.44 21.702.385 31.92 5.257h.005c11.125 5.306 20.412 12.504 26.275 21.52 5.863 9.014 7.844 20.763 2.88 31.167-3.08 6.457-8.178 11.27-14.2 14.395 4.699-1.07 9.273-2.174 13.623-3.334 21.165-5.644 38.06-12.392 48.953-19.26C483.233 226.43 487 220.277 487 216c0-4.277-3.767-10.43-14.66-17.299-10.894-6.868-27.788-13.616-48.953-19.26-27.516-7.337-62.286-12.91-101.258-15.923zm-93.81 15.677l-21.499 13.293-3.033-.3c-7.102-.708-15.793 1.364-23.39 6.058l-.002.002c-8.305 5.135-14.382 11.502-17.186 17.05-2.804 5.55-2.89 9.422-.238 13.71 2.651 4.288 6.822 6.486 13.336 6.773 6.513.287 14.949-1.923 23.023-6.916 7.58-4.699 13.305-11.538 15.842-18.199l1.086-2.85 31.383-19.404-19.323-9.217zM39.642 253.912l26.941 44.9 33.31-24.982a408.545 408.545 0 0 1-15.92-3.879c-17.352-4.627-32.253-9.928-44.331-16.039zm432.714 0c-12.078 6.11-26.98 11.412-44.332 16.04-6.926 1.846-14.283 3.565-21.949 5.175l38.926 24.377 27.355-45.592zM487 264.492l-17.576 29.293a90.955 90.955 0 0 0 2.209-.97c5.948-2.72 10.255-5.583 12.627-7.944 2.371-2.361 2.74-3.683 2.74-4.871v-15.508zm-462 .002V280c0 1.188.369 2.51 2.74 4.871 2.372 2.361 6.679 5.224 12.627 7.943.712.326 1.45.65 2.207.971L25 264.495zm98.639 14.027l-36.737 27.553c1.874.36 3.74.72 5.674 1.065 21.728 3.862 47.224 6.792 74.612 8.775l-36.143-36.143a573.54 573.54 0 0 1-7.406-1.25zm233.996 4.538c-23.345 2.877-48.603 4.787-75.155 5.552l37.08 27.809 38.075-33.361zm27.261.045l-37.195 32.59c26.286-1.979 50.764-4.83 71.723-8.555 1.011-.18 1.972-.373 2.967-.557l-37.495-23.478zm-224.369.697l32.317 32.316 36.676-27.506c-24.226-.698-47.389-2.342-68.993-4.81zM256 291.25l-36.322 27.242c12.024.332 24.171.508 36.322.508 12.15 0 24.298-.176 36.322-.508L256 291.25zM25 305.121V440c0 5.5 4.3 11.699 16.09 18.436 3.953 2.259 8.63 4.452 13.91 6.554V317.13c-8.28-2.377-15.693-5.007-22.117-7.943-2.813-1.287-5.44-2.63-7.883-4.065zm462 0c-2.443 1.435-5.07 2.778-7.883 4.065-6.424 2.936-13.838 5.566-22.117 7.943V464.99c5.28-2.103 9.957-4.295 13.91-6.554C482.7 451.699 487 445.5 487 440V305.121zM73 321.63v149.488c6.196 1.816 12.868 3.523 19.953 5.098 25.716 5.714 56.789 9.79 90.047 12.2V334.978c-34.264-1.945-66.46-5.297-93.576-10.118A430.035 430.035 0 0 1 73 321.63zm366 0a430.032 430.032 0 0 1-16.424 3.232c-27.115 4.82-59.312 8.173-93.576 10.118v153.435c33.258-2.409 64.331-6.485 90.047-12.2 7.085-1.574 13.757-3.281 19.953-5.097V321.63zM201 335.87v153.684c18.028.96 36.517 1.445 55 1.445 18.483 0 36.972-.485 55-1.445V335.87c-18.053.752-36.52 1.129-55 1.129-18.48 0-36.947-.377-55-1.129z"}}]})(props);
};
function GiDualityMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M65.44 18.39l-2.327 9.717C53.95 66.384 49.07 107.884 49.07 151.293c0 93.415 23.097 178.085 61.047 240.014 17.218 28.096 37.652 51.6 60.447 68.92 26.69 21.257 56.353 32.962 87.377 32.962.364 0 1.147-.12 1.927-.25.623.008 1.247.02 1.87.02 60.13 0 113.67-39.724 151.62-101.653 37.95-61.93 61.047-146.598 61.047-240.014 0-41.557-4.858-81.203-13.256-118.012l-2.324-10.19-9.582 4.176c-50.92 22.196-113.98 35.705-182.086 35.713-2.014-.022-4.01-.06-6.002-.103V62.8c-1.296 0-2.586-.017-3.88-.03-69.783-2.053-125.493-18.078-182.545-40.698l-9.29-3.683zm380.816 28.747c6.792 32.774 10.824 67.647 10.824 104.156 0 90.547-22.596 172.38-58.494 230.963-35.9 58.582-84.36 93.38-136.848 93.38-.195 0-.39-.006-.584-.007v-63.987c-2.64.023-5.28-.03-7.914-.163-55.358-2.77-109.316-38.91-122.03-99.742l-2.355-11.256h94.895l37.404 14.207V80.206c1.946.042 3.896.078 5.862.098h.087c66.168 0 127.672-12.383 179.152-33.168zm-279.53 98.12c35.365 0 64.036 13.248 64.036 29.59 0 16.34-28.668 29.585-64.035 29.585-35.365 0-64.036-13.246-64.036-29.586 0-16.34 28.67-29.588 64.037-29.588zm186.282 0c-35.367 0-64.035 13.248-64.035 29.59 0 16.34 28.67 29.585 64.035 29.585 35.367 0 64.035-13.246 64.035-29.586 0-16.34-28.67-29.588-64.035-29.588zM152.572 319.17c14.72 45.053 57.247 71.428 101.602 73.646 44.8 2.24 90.238-19.45 110.416-73.646h-57.447l-44.204 16.187-42.62-16.187h-67.748z"}}]})(props);
};
function GiDuality (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M137.703 23.605c-1.176.038-2.058.133-2.642.133-.98 0-1.952.032-2.92.088v-.088c-6.42 0-12.584 1.54-18.324 4.414-.876.366-1.743.747-2.595 1.15l.096.202c-5.578 3.252-10.708 7.805-15.197 13.53-9.665 12.324-15.956 29.914-15.956 49.618 0 19.875 7.628 45.94 16.648 57.248l10.045 12.594-15.918 2.467c-15.464 2.398-26.127 9.174-34.622 19.63-8.495 10.456-14.537 24.92-18.55 41.89-7.39 31.243-7.78 70.335-7.8 106.206h41.438L81.918 496.21H194.63l10.515-163.524h42.046v-9.346c0-35.39-1.044-74.64-10.13-107.604-4.542-16.48-11.126-31.5-21.123-43.496-7.27-8.725-16.5-15.703-27.5-20.105 8.084-14.387 12.618-32.26 12.618-50.14 0-41.227-25.068-73.777-58.948-78.18h-.003c-1.757-.227-3.226-.247-4.4-.21zm242.193 0c-1.176-.037-2.645-.018-4.404.21-33.88 4.403-58.947 36.953-58.947 78.18 0 17.88 4.532 35.753 12.617 50.14-11.002 4.402-20.23 11.38-27.5 20.105-9.997 11.997-16.58 27.015-21.123 43.496-9.086 32.963-10.132 72.213-10.132 107.604v9.346h42.047L322.97 496.21H435.68l10.513-163.524h41.438c-.02-35.87-.41-74.963-7.8-106.207-4.013-16.97-10.055-31.434-18.55-41.89-8.495-10.456-19.157-17.232-34.62-19.63l-15.92-2.466 10.044-12.594c9.02-11.31 16.65-37.373 16.65-57.248 0-19.704-6.29-37.294-15.955-49.62-4.49-5.724-9.62-10.278-15.2-13.53l.095-.2c-.842-.398-1.697-.775-2.563-1.136-5.747-2.885-11.923-4.428-18.353-4.428v.088c-.967-.056-1.94-.088-2.92-.088-.585 0-1.467-.095-2.644-.133zM139.693 42.35h.004c23.37 3.034 42.668 25.778 42.668 59.646 0 18.664-6.866 38.574-15.95 49.516l-10.142 12.218 15.606 2.934c12.81 2.408 22.07 8.382 29.7 17.54 7.63 9.156 13.387 21.71 17.463 36.5 7.437 26.983 9.096 60.97 9.344 93.292h-40.77L177.105 477.52H132.14V42.58c.975-.09 1.95-.15 2.92-.15 2.75 0 4.335-.117 4.633-.078zm238.21 0h.003c.3-.04 1.884.078 4.633.078.97 0 1.945.06 2.92.15V477.52h-44.966l-10.512-163.524h-40.77c.25-32.322 1.907-66.31 9.345-93.293 4.076-14.79 9.833-27.343 17.463-36.5 7.63-9.157 16.89-15.13 29.7-17.54l15.606-2.933-10.142-12.218c-9.083-10.942-15.952-30.852-15.952-49.516 0-33.868 19.3-56.612 42.67-59.646z","fillRule":"evenodd"}}]})(props);
};
function GiDuckPalm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208.5 16.44l8.4 58.01c2.3 10.1 6.7 18.63 18.4 28.35-14.5 2.6-23.1 1.1-29.8-2C116.3 140 51.75 263.3 33.71 409.3c-1.63 12 13.75-2.6 26.92-9.8.26-1.9.54-3.8.85-5.7 7.7-47.9 30.82-104.6 56.62-149.2 12.8-22.2 26.3-41.3 39.4-54.8 6.5-6.8 12.9-12.2 19.5-15.8 5-2.7 10.3-4.5 15.8-4.4 1.8 0 3.6.2 5.5.7 8.3 2.2 14.4 8.6 18.6 16.2 4.2 7.6 7.1 17 9.3 27.8 4.4 21.7 6 49.5 6.3 79.9.5 54.4-3.3 117-4.3 163.4 10 14.2 21.5 38.1 27.2 38 6.3-.1 18.8-21.8 29.8-35-6.9-43.7-12.1-107.1-11.1-162.9.6-30.2 3-58.1 8.3-79.8 2.7-10.9 6-20.2 10.7-27.8 4.7-7.6 11.3-13.7 19.9-15.6 1.6-.4 3.2-.5 4.8-.5h1.6c6.4.2 12.6 2.8 18 6.6 7.2 5.1 13.8 12.4 20.2 21.4 12.8 18 25.2 42.8 37 70.9 20.4 48.5 39 106.2 52.6 151.1 14.8 11.7 33.5 32.7 31 16-15.4-112.4-73.2-279-157.3-333.9-7.1 3.8-15.8 6-31.9 3.1 9.2-7.6 13.9-14.53 16.6-22.02l1.1-70.74zm-16 171.16c-1.5 0-3.7.5-6.8 2.2-4.2 2.3-9.6 6.6-15.3 12.5-11.4 11.8-24.4 30-36.7 51.4-24.4 42.1-46.64 97-54.12 140.9 33.62-3 77.42 7.4 131.02 46.9 1.5-44.7 4.4-99.3 3.9-147.1-.3-29.9-2-57-5.9-76.5-2-9.8-4.6-17.6-7.4-22.7-2.8-5.1-5.3-6.9-7.5-7.5-.3-.1-.7-.1-1.2-.1zm126.3 4.3c-.7 0-1.3.1-2 .2-2.5.5-5.2 2.5-8.4 7.5-3.1 5-6.1 12.8-8.5 22.6-4.8 19.4-7.2 46.4-7.8 75.9-.9 50 3.5 107.4 9.4 149.2 53-32.9 90.7-41 123.9-33.1-12.9-42-29.6-92.1-47.4-134.3-11.5-27.4-23.7-51.5-35.1-67.4-5.7-8-11.2-13.9-15.8-17.1-3.5-2.5-6.1-3.4-8.3-3.5z"}}]})(props);
};
function GiDuck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M319.398 26.76c-9.51-.074-19.237 2.177-28.966 8.615-75.118 49.7-18.154 114.97-2.026 166.176 11.882 2.75 26.068 3.496 40.574 1.786 17.012-2.006 34.346-7.262 49.022-15.365-6.18-11.668 3.62-29.6 9.035-38.728l83.396-8.392c12.108-7.608 21.486-19.257 4.055-24.213l-82.885-11.448c7.013-28.32-22.403-65.608-41.035-71.92-9.898-3.354-20.393-6.427-31.17-6.51zm29.043 49.21c8.286 0 15 6.716 15 15 0 8.285-6.714 15-15 15-8.283 0-15-6.715-15-15 0-8.284 6.717-15 15-15zm43.038 125.055c-18.094 11.122-39.446 17.72-60.388 20.188-14.264 1.682-28.372 1.5-41.283-.82-77.015 18.895-133.99 36.876-211.24 36.876-24.21-3.115-31.616-11.996-50.368-20.08 16.237 56.88 3.742 95.626 64.382 131.193 105.145 50.197 218.445 51.527 320 0 21.96-11.142 33.838-103.735 17.986-127.114-8.27-12.196-27.656-30.114-39.09-40.245zm-28.93 55.27c.275 28.072-13.338 50.968-33.58 67.04-20.24 16.074-46.96 26.048-75.013 30.925-28.053 4.876-57.493 4.613-83.498-.717-26.005-5.33-48.854-15.582-62.87-32.49l13.856-11.487c9.996 12.058 29.158 21.53 52.63 26.342 23.47 4.81 50.974 5.107 76.8.617s49.922-13.804 66.902-27.287c16.98-13.483 26.994-30.408 26.774-52.765l17.997-.178zM176.17 416.35l-.266 44.437c-11.283 5.013-20.25 12.844-27.486 24.455h144c-14.892-14.892-33.408-29.823-64.274-31.777l.188-29.123c-5.886-.56-11.912-1.25-17.986-2.06l-.204 31.265c-5.774.325-11.17.92-16.205 1.844l.21-35.566c-6.128-1.044-12.176-2.194-17.978-3.474z"}}]})(props);
};
function GiDuel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M76 16v110.625s21.708-11.927 32.343-9.843c15.5 1.78 28.554 14.896 30.468 24.375-12.995 2.602-22.967 16.39-22.967 32.812 0 18.283 12.508 33.28 27.657 33.28 1.462 0 4.692.73 6.093.47l37.968 158.906V496h51.094V108.345l-25.313 18.282s-8.972-27.62-34.686-55.312C152.94 43.624 75.997 16.002 75.997 16.002zm197.343 0v387.657l25.312-18.282s8.973 27.62 34.688 55.313C359.057 468.38 436 496 436 496V385.375s-21.708 11.927-32.343 9.843c-15.5-1.78-28.554-14.896-30.468-24.375 12.995-2.603 22.967-16.39 22.967-32.813 0-18.283-12.508-33.28-27.657-33.28-1.462 0-4.692-.73-6.093-.47L324.44 145.375V16h-51.094z"}}]})(props);
};
function GiDuffelBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M324.9 22.5c-5.1 0-10 .36-14.6 1.22-.7 3.02-.1 3.89 2.5 6.38 2.8 2.82 8.7 6.14 15.8 9.17 7 3.03 15 5.92 22.4 9.44 4.7 2.28 9.4 4.73 13.2 8.26 12.3 1.11 23.6 4.95 35.5 10.9-.6-3.96-.9-7.81-1.2-11.24-.5-5.39-1.1-10.07-2-12.93-1-2.86-1.6-3.52-3.3-4.27h-.1c-12.3-5.3-32.8-12.94-53.2-15.78-5.1-.72-10.1-1.15-15-1.15zm-31.8 7.71c-1.9 1.2-3.7 2.54-5.3 4.06h-.1S179.2 132 135.1 186.6c-15.7 19.3-24.9 45.3-43.38 67.6-19.38 23.4-59.28 57.3-63.68 61.1-2.04 16.5 4.19 37 17.04 58.1 13.58 22.3 34.09 45.1 57.02 64.3 22.9 19.3 48.3 35.1 71.3 43.9 22.4 8.7 42 10.2 54.5 4.6 42.6-36.4 78.7-79.2 113.1-124.1 17-22.2 22.6-32.9 26.4-41.1 3.8-8.2 6.4-15.4 15.6-26.2 28.7-33.8 94.5-83 97-84.9.3-.3.7-.9 1.1-1.6-.6-.1-1.2-.2-1.7-.3-4.8-1.2-8.7-3.9-12-7-6.6-6.1-11.7-14.4-16.6-22.9-4.8-8.5-9.4-17.3-13.6-23.9-1.1-1.7-2.2-3.2-3.2-4.5-7.2 2-24.8 7.4-41 16.6-10.6 6-20.3 13.5-26.2 21.7-5.8 8.3-8.3 16.7-5.3 28v-.1c10.6 39.2-20.4 85.7-73.4 100l-4.6-17.4c45-12.1 67.8-51.4 60.6-77.8v-.1c-4.3-16.3-.2-31.4 8.1-43 8.2-11.6 20-20.2 31.9-26.9 8.5-4.8 17.1-8.6 24.8-11.6-11.3-2.8-22.6-6.7-32.8-16.1-8.3-7.7-11.7-17.6-14.3-26.7-1.5-5.09-2.7-9.99-4.2-14.44-4.7 7.38-11.3 17.28-19.1 27.64-15.6 20.9-34.8 44-56.2 52.4h-.1c-17.3 6.7-36.3 4.9-53.1 7.2-16.8 2.3-30.4 7-41 25.4l-15.6-9c13.5-23.5 34.8-31.5 54.1-34.2 19.3-2.7 37.6-1.8 49.1-6.2 13.5-5.3 33.5-26.5 48.4-46.41 9.7-13.04 17.6-25.28 21.9-32.27-.8-.5-1.8-1-2.8-1.49-6.1-2.94-14-5.81-21.7-9.14-7.8-3.33-15.4-6.96-21.5-12.98-3.2-3.26-5.7-7.69-6.9-12.6zm123.6 27.26c1 9.74 2.4 17.24 6.8 20.87 3.4 2.86 10.8 3.32 20.1 3.31-2.2-3.55-4.8-6.88-7.1-9.3-4.6-4.91-12.5-11.24-19.8-14.88zm-233.8 8.24c-4.6.01-9 .37-13.2 1.02-22.5 3.49-40.5 15.55-53.7 32.91C94.29 128.3 86.93 171.2 98.9 209.7c6.1-10.8 12.4-21.9 20.6-32.4-1.6-23.9 1.6-47 13.9-63.9 8.3-11.4 21.2-19.35 37.5-21 8-.8 16.8-.15 26.4 1.95 7.8-7.59 15.4-14.92 22.7-21.89-11.6-4.08-22.4-6.2-32.5-6.66-1.6-.07-3.1-.1-4.6-.09zm192.2 11.43c1.6 4.97 2.7 9.79 4 14.18 2.4 8.24 5 14.58 9.2 18.48 7.7 7.2 17.6 9.8 29.5 12.7-2.3-10.8-6.7-21.9-12.4-30.8-11.6-7.06-21-11.89-30.3-14.56zm54.6 22.31c3.7 9.15 6.4 18.85 7.4 28.65 7 3.4 11 9.7 15.3 16.4 4.9 7.7 9.4 16.6 14 24.6 4.7 8.1 9.4 15.2 13.2 18.7 1.9 1.8 3.4 2.5 4.2 2.7.2.1.4.1.5.1 0-6-.5-12.9-1.6-20.4-3.1-20.8-10.5-45.5-19.9-65.9-1.1-2.3-1.9-2.8-4.4-3.6-2.5-.75-6.7-1.01-11.7-1.01-5 0-11 .51-17-.24zM175.4 247l6.3 9.1c26.8 38.5 59.7 69.9 104.4 89.8l11.5 5-68.6 74.9-48.9 13.9-3.5-2.3c-24.9-16.6-56.3-30-74.4-68.7L101 366l11.1-52 55.7-59 7.6-8zm-2 28.2l-44.7 47.4-8.8 40.9c14.8 29.5 38.3 40.7 63.1 56.6l36.2-10.3 48.5-52.9c-39.1-19.8-69.5-48.3-94.3-81.7z"}}]})(props);
};
function GiDunceCap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M330.445 26.006l-126.79 211.61c24.586 20.357 46.073 33.117 68.584 38.63 22.632 5.543 47.123 4.26 78.421-4.044zM189.119 249.81C163.03 273.734 146 311.377 146 354.309c0 73.606 50.048 131.685 110 131.685s110-58.08 110-131.685c0-23.104-4.932-44.677-13.553-63.406-32.014 8.151-59.115 9.557-84.609 3.313-27.08-6.632-51.752-21.655-78.72-44.405zm47.507 88.622l5.851 17.553-49.345 16.448-5.85-17.552zm38.748 0l49.345 16.449-5.851 17.552-49.345-16.448zM256 411.977c19.532 0 38.348 9.842 55.886 27.38l-13.083 13.084c-15.358-15.358-29.438-21.964-42.803-21.964-13.365 0-27.445 6.606-42.803 21.964l-13.083-13.083c17.538-17.539 36.354-27.381 55.886-27.381z"}}]})(props);
};
function GiDungeonGate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M193.571 26.027l35.192 83.99c14.877 7.658 33.121 6.696 47.488-1.279l40.283-85.976c-45.582-7.268-84.512-4.945-122.963 3.265zm137.3 7.606l-32.038 71.38c12.536 12.349 37.237 18.872 47.033 15.448l31.172-64.691c-12.422-8.392-27.428-15.886-46.168-22.137zm-154.86-1.97c-21.814 6.55-40.982 16.35-56.099 28.591 14.941 15.844 28.861 34.184 38.194 52.832 24.477 6.133 35.479-6.849 47.475-18.55zm-74.245 34.831c-36.541 32.91-66.523 76.42-78.068 125.215l65.957 3.353c12.006-30.53 24.552-56.284 54.231-72.755-9.883-20.24-23.626-39.403-42.12-55.813zm292.503-.29l-31.852 61.044c32.54 21.007 43.572 41.348 52.597 69l72.464-8.43c-9.612-55.894-42.206-107.047-93.209-121.614zm-52.233 137.2c4.757 12.937-15.842 29.7-9.07 39.428-4.011.85-8.874 1.642-14.385-8.957-1.126 12.49 2.172 19.603 12.168 29.209-2.682.783-8.045 2.75-12.08.566-1.24 7.386 10.867 13.863 20.725 14.832l8.392-2.175c-6.09-1.106-7.881-3.315-10.627-6.13 2.97-1.32 12.554-7.117 2.149-14.751 12.634-2.752 6.035-14.89 4.14-21.862 7.525 7.798 15.243 22.54 21.862 7.084 4.176 12.604 6.561 12.12 13.614 9.107 1.054 9.196-2.957 14.791-8.792 22.518l12.494-4.992c6.018-5.026 20.16-25.502 6.428-35.5 2.603 12.443-5.563 14.388-18.672-10.937-4.377 30.773-12.236-7.49-28.346-17.44zm-321.668 2.108v66.242l72.842-11.858 1.592-49.873zm143.486.363c3.732 8.72-14.487 45.226-18.865 14.453-13.109 25.325-23.908 24.26-21.304 11.817-13.732 9.998-1.347 33.458 4.671 38.484l11.229 3.001c-5.835-7.727-11.565-13.614-10.512-22.81 7.053 3.013 10.492 5.604 14.668-7 6.618 15.456 17.32-4.378 24.846-12.175-1.554 11.494-6.282 22.427 7.303 25.197-9.13 10.082 1.899 19.99-12.694 22.812l8.393 2.176c9.857-.97 20.385-10.606 19.144-17.992-4.035 2.183-7.818 3.376-10.5 2.594 9.996-9.607 10.662-21.46 9.536-33.95-5.511 10.6-7.917 11.738-11.752 13.698 6.77-9.728-5.927-32.285-14.163-40.305zm327.512 1.172l-77.57 5.687 1.156 79.192 75.524 2.842zM98.313 279.81l-79.955 9.779 1.202 99.754 83.54 1.152zm280.659 7.347l-28.332 7.031 21.455 68.315 16.125-5.043zm-246.961 3.348l-9.248 70.303 16.125 5.043 21.455-68.315zM412.269 310.3v83.58l79.166-8.031 2.289-75.55zm84.605 91.656l-88.934 9.947-1.16 80.727 90.674.586zm-395.822 2.002l-81.848 2.322-4.658 86.184h90z"}}]})(props);
};
function GiDungeonLight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 65c-4.37 0-8.74.485-13 1.469V151h26V66.469A57.805 57.805 0 0 0 128 65zm-31 9.354C83.018 84.017 73 101.452 73 128v23h24V74.354zm62 0V151h24v-23c0-26.548-10.018-43.983-24-53.646zm38.176 26.148C199.634 108.783 201 117.962 201 128v137H73.23L304 490h186V384L197.176 100.502zM73 169v78h24v-78H73zm42 0v78h26v-78h-26zm44 0v78h24v-78h-24z"}}]})(props);
};
function GiDuration (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23c-3.7 0-7.4.1-11.1.27l.8 17.98c3.4-.16 6.8-.25 10.3-.25 118.8 0 215 96.2 215 215s-96.2 215-215 215c-89.6 0-166.35-54.7-198.65-132.6l27.63-8.3-48.43-34.3-19.05 54.5 22.55-6.7C74.68 428.8 158.4 489 256 489c128.6 0 233-104.4 233-233S384.6 23 256 23zm-30.8 2.04c-13.3 1.75-26.1 4.6-38.6 8.48l5.6 17.09c11.4-3.54 23.3-6.15 35.4-7.75l-2.4-17.82zm-57 15.12c-12.4 5.05-24.2 11.12-35.4 18.12l9.5 15.21c10.3-6.44 21.2-12.03 32.6-16.67l-6.7-16.66zM116.4 69.5a234.139 234.139 0 0 0-29.35 26.12l13.05 12.28c8.3-8.77 17.4-16.81 27-24.06l-4.8-6.57-5.9-7.77zm69.5 8.58l-4.4 17.44 217 55.48 4.4-17.4-217-55.52zM74.07 110.5c-8.19 10.2-15.54 21.2-21.94 32.7l15.65 8.8c5.91-10.7 12.69-20.8 20.26-30.3l-13.97-11.2zm127.63 8.8c-3.9 26 2.8 55.2 14.2 79.2 6.4 13.4 14.2 25.2 21.9 33.8 4.2 4.7 8.4 8.3 12.2 10.9l-5.4 21.2c-4.6.4-10 1.6-16 3.7-10.9 3.8-23.4 10.4-35.4 19.1-21.6 15.6-41.4 37.9-50.4 62.6l167.5 42.9c3.9-26-2.8-55.2-14.2-79.2-6.4-13.4-14.2-25.2-21.9-33.8-4.2-4.7-8.4-8.3-12.2-10.9l5.4-21.2c4.5-.5 10-1.6 16-3.7 10.9-3.8 23.4-10.4 35.4-19.1 21.6-15.6 41.4-37.9 50.4-62.6l-167.5-42.9zM43.24 160.9c-5.33 12-9.7 24.4-13 37.3l17.48 4.2c3.03-11.8 7.04-23.2 11.95-34.2l-16.43-7.3zM26.2 217.5C24.11 230 23 242.9 23 256v.9l18-.2v-.7c0-12.1 1.02-24 2.95-35.6l-17.75-2.9zM113.5 361l-4.4 17.4 217 55.5 4.4-17.4-217-55.5z"}}]})(props);
};
function GiDustCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M157.28 20.156c49.034 80.853 158.543 191.31 280.314 282.72-12.952-21.306-30.14-44.73-50.656-69.313 28.743-10.15 24.95-58.844-11.344-58.844-13.48 0-22.456 6.72-26.97 15.686C295.36 133.576 228.32 73.53 157.282 20.156zm149.5 19.657c-28.475 0-28.49 42.656 0 42.656 28.494 0 28.477-42.657 0-42.657zM96.814 53.718c-28.476 0-28.493 42.655 0 42.655 1.2 0 2.337-.074 3.437-.22 11.16 20.95 24.392 43.76 30.094 54.72-34.91-27.997-71.838-55.12-110.375-80.03 45.8 69.48 95.23 131.372 148.343 187.468-44.29-39.876-94.253-78.585-147.157-113.282 46.907 90.757 163.835 205.804 299 294.345-18.66-35.987-48.926-76.256-86.437-116.813 39.578 36.5 81.035 70.486 124.405 102.532-26.27 2.126-25.556 42.562 2.188 42.562 16.258 0 23.203-13.887 20.906-25.812 27.366 19.495 55.49 38.282 84.374 56.5-17.89-46.96-52.54-103.187-97.938-161.188 30.526 24.99 63.348 48.99 97.594 71.094-40.95-88.83-150.568-199.87-279.72-283.344 6.852 14.92 15.627 30.436 26.095 46.344-32.12-28.783-65.672-55.986-99.75-80.563 11.906-11.61 6.894-36.968-15.063-36.968zm-4.188 236.405c-28.476 0-28.493 42.656 0 42.656s28.476-42.655 0-42.655zm15.313 79.25c-28.476 0-28.493 42.656 0 42.656 28.492 0 28.475-42.655 0-42.655zm70.906 12.53c-48.87 0-48.9 73.22 0 73.22 48.898 0 48.87-73.22 0-73.22z"}}]})(props);
};
function GiDutchBike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M316.695 89.836c-7.041 5.311-30.985 16.92-61.937 18.803l1.094 17.965c18.246-1.11 33.904-4.842 46.37-9.4l11.755 28.087c-5.284 27.528-17.35 66.21-33.762 97.492-8.143 11.525-28.555 46.051-40.477 54.319 10.815.008 19.976 5.61 25.61 13.087a38.883 38.883 0 0 1 2.359 3.536l78.668-91.022 7.658 18.3c-30.986 15.903-52.25 48.19-52.25 85.325 0 52.824 43.024 95.836 95.858 95.836 52.833 0 95.859-43.012 95.859-95.836 0-52.823-43.026-95.836-95.86-95.836a95.52 95.52 0 0 0-26.884 3.846l-38.057-90.934 11.045-1.045c1.75-3.507 5.703-11.74-3.119-18.713l-15.885.74-6.088-14.544c3.502-1.924 6.495-3.837 8.881-5.637zm-153.617 66.543c-7.176-.031-13.677.695-18.119 2.69-6.603 2.964-4.67 21.155 5.441 27.327 7.192.44 13.733-.15 21.026-1.314l4.678 11.367H60.072v17.998H73.31l4.16 14.557C42.879 243.488 18.5 277.686 18.5 317.447c0 52.824 43.026 95.838 95.86 95.838 35.996 0 67.433-19.97 83.818-49.402l-19.278-2.797c-13.976 20.659-37.63 34.2-64.54 34.2-43.11 0-77.862-34.745-77.862-77.839 0-31.71 18.83-58.88 45.947-71.031l15.215 53.24c2.9-1.577 6.224-2.554 9.791-2.554h8.197l-16.03-56.09a78.697 78.697 0 0 1 14.741-1.403c13.051 0 25.325 3.202 36.112 8.838l-31.692 48.655h21.479l25.094-38.522c11.54 9.993 20.096 23.327 24.185 38.522h18.494c-4.652-21.406-16.477-40.176-32.83-53.643l12.408-19.049 29.916 72.692h19.809l-47.83-115.383c5.566-1.076 11.77-2.239 18.976-3.399 15.623-2.514 10.974-10.972-.351-15.304-3.976-1.521-26.712-6.557-45.05-6.637zm162.772 17.28l12.763 30.5-45.564 52.718c1.05-1.89 2.088-3.798 3.103-5.732 12.935-24.655 23.022-52.67 29.698-77.487zM92.025 214.446h80.592l-12.32 18.916c-13.65-7.487-29.308-11.752-45.938-11.752-6.751 0-13.34.706-19.703 2.041zm305.616 34.043c43.109 0 77.86 34.744 77.86 77.838.001 43.094-34.751 77.838-77.86 77.838-43.11 0-77.86-34.744-77.86-77.838 0-29.828 16.656-55.646 41.201-68.72l28.358 67.755 16.603-6.949-28.195-67.367a78.382 78.382 0 0 1 19.893-2.557zM107.45 315.1c-.958 0-1.593.253-2.71 1.636-1.118 1.384-2.159 3.885-2.38 6.399-.22 2.514.327 4.86 1.303 6.386.972 1.52 2.157 2.632 5.404 3.245L231.273 350.5l.14.025c10.011 1.771 15.404-.189 18.696-2.888 3.293-2.7 5.112-6.94 5.287-12.06.176-5.121-1.548-10.74-4.423-14.557-2.876-3.817-6.29-5.92-11.258-5.92z"}}]})(props);
};
function GiDwarfFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M127.4 14.4c-74.28 104.4-5.3 124.5 37.5 148.1 7.4-16.1 15.9-30.7 27.3-44.4-52-22.1-61.4-70.2-64.8-103.7zm257.2 0c-3.4 33.5-12.8 81.6-64.8 103.7 11.4 13.7 19.9 28.3 27.3 44.4 42.9-23.6 111.7-43.7 37.5-148.1zM256 89.5c-45.3 27.6-62.3 54.4-78.4 94.8 47.9 11.7 108.8 11.7 156.8 0-16.1-40.4-33.1-67.2-78.4-94.8zM148.8 196.1c-5.3 10.3-24.6 74.7-24.8 91.8 4.7-4.9 9.5-9.9 14.2-14.9l6.6 5.8c1.1-25.6 12.6-52.8 25.1-77.5-6.5-1.6-14.5-3.3-21.1-5.2zm214.4 0c-6.2 1.7-15.3 3.9-21.1 5.2 12.4 24.7 24 51.9 25 77.5l6.7-5.8 14.2 14.9c10.5-12.4-19.5-81.5-24.8-91.8zm-173.6 8.8l-7.9 23.8c22.8 6.5 43.6 12.6 69 20l-6.5 17c-5.6-1.6-11.4-3.2-17.1-4.9-2.9 5.8-9.5 9.6-16.7 9.6-10.2 0-18.3-7.2-18.3-16 0-1.3.1-2.5.4-3.7l-16.6-4.7-13.9 41.7 36.1 34.3 14.6-27h86.5l14.7 27 36.1-34.3-13.9-41.7c-5.4 1.5-10.8 3-16.1 4.6.4 1.2.5 2.5.5 3.8 0 8.8-8.1 16-18.4 16-7.3 0-13.9-3.9-16.8-9.7-5.9 1.7-11.7 3.3-17.5 5l-6.6-17c23.2-6.8 44.4-12.9 69.1-20l-8-23.8c-47.7 11.1-84.9 11.1-132.7 0zm-43.2 94.8l-70.42 73.7h47.42l-18.4 48h57.5L147.8 447l37.5-10.9 70.7 61.5 70.7-61.5 37.4 10.9-14.7-25.6h57.5l-18.3-48H436l-70.5-73.7-57.4 49.9-21.9-38.2h-60.7l-21.9 38.2zm91.2 25.7h36.8v18h-36.8z"}}]})(props);
};
function GiDwarfHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M240.028 26v221.481L257.065 256l17.037-8.519V26h-34.074zM222.99 60.074c-80.22 0-136.297 56.077-136.297 136.296h119.26l17.037 17.037V60.074zm66.018 0v153.333l17.037-17.037h119.26c0-80.219-56.077-136.296-136.297-136.296zM69.657 213.407v34.074h50.047l-33.01-34.074H69.657zm41.528 0l34.074 34.074h34.074l-34.074-34.074h-34.074zm58.565 0l34.074 34.074h19.167v-8.518l-25.556-25.556H169.75zm144.815 0l-25.556 25.556v8.518h19.167l34.074-34.074h-27.685zm52.176 0l-34.074 34.074h34.074l34.074-34.074H366.74zm58.565 0l-33.01 34.074h50.047v-34.074h-17.037zM86.694 264.52v34.074l120.325 60.694 5.68-36.497-100.449-41.234-8.519-17.037H86.694zm321.575 0l-8.519 17.037-100.448 41.234 5.68 36.497 120.324-60.694v-34.074h-17.037zm-168.241 2.13L222.99 366.74l34.074 17.037 34.074-17.037-17.037-100.093-17.037 8.519-17.037-8.519zM78.176 314.564l-46.852 41.528v59.63l61.76-93.704-14.908-7.454zm355.648 0l-14.907 7.454 61.759 93.703v-59.63l-46.852-41.527zm-324.768 15.972L40.907 432.759l64.954 44.722 58.565-119.259-55.37-27.685zm293.888 0l-55.37 27.685 58.565 119.26 64.954-44.723-68.149-102.222zm-222.546 35.139L120.768 486h89.445l12.778-51.111h25.555v-36.204l-68.148-33.01zm151.204 0l-68.148 33.01v36.203h25.555L301.787 486h89.444l-59.63-120.324z"}}]})(props);
};
function GiDwarfKing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M66.078 96l-21.25 10.625v212.5h42.5v-212.5L66.078 96zm95.625 0l-21.25 10.625v38.576c12.964-4.999 27.488-10.092 42.5-13.453v-25.123L161.703 96zM256 96l-19.922 10.625v167.344h42.5V106.625L256 96zm96.953 0l-21.25 10.625v25.123c15.013 3.361 29.536 8.454 42.5 13.453v-38.576L352.953 96zm92.969 0l-21.25 10.625v212.5h42.5v-212.5L445.922 96zm-231.094 53.125c-41.466 0-106.047 33.203-106.047 33.203l-.203 136.797h56.567l-4.97-5.592 54.653-30.742V149.125zm82.344 0v132.467l53.459 32.076-4.547 5.457h57.338l-.203-136.797s-64.581-33.203-106.047-33.203zm-61.094 146.094l-42.5 23.906 42.5 47.813h42.5l39.844-47.813-39.844-23.906h-42.5zm12.41 8.35L256 311.08l7.512-7.512 7.515 7.512-7.515 7.516 5.636 5.634 7.514 7.512-7.514 7.512-5.636 5.635 7.515 7.515-7.515 7.512-7.512-7.512-7.512 7.512-7.515-7.512 7.515-7.515-5.636-5.635-7.514-7.512 7.514-7.512 5.636-5.634-7.515-7.516 7.515-7.512zM256 326.106l-5.635 5.635 5.635 5.635 5.635-5.635-5.635-5.635zM23.578 340.375v42.5H86l-41.172-42.5h-21.25zm51.797 0l42.5 42.5h42.5l-42.5-42.5h-42.5zm73.047 0l42.5 42.5h23.906V372.25l-31.875-31.875h-34.531zm180.625 0l-31.875 31.875v10.625h23.906l42.5-42.5h-34.531zm65.078 0l-42.5 42.5h42.5l42.5-42.5h-42.5zm73.047 0L426 382.875h62.422v-42.5h-21.25zm-231.094 47.813v37.187L258.656 436l19.922-10.625v-37.188h-42.5zm-191.25 15.937v21.25L67.406 436l19.922-10.625v-21.25h-42.5zm379.844 0v21.25L447.25 436l19.922-10.625v-21.25h-42.5z"}}]})(props);
};
function GiDwennimmen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M148.595 25.125c-35.582-.093-62.553 9.909-80.52 26.615-18.548 17.245-26.965 41.05-27.073 65.65-.195 44.171 17.47 69.536 38.306 81.93 20.835 12.395 43.478 12.494 53.197 12.424 49.287-.355 83.718-38.835 84.804-75.272.48-16.103-5.29-33.649-16.957-47.793-11.667-14.144-29.912-24.69-52.666-24.55-38.619.239-64.006 29.365-64.632 58.966-.382 18.094 7.232 32.007 18.146 40.178 10.914 8.172 24.241 11.033 36.149 10.944 23.287-.173 39.02-16.675 38.891-34.023-.064-8.675-4.114-17.52-11.86-23.602-7.744-6.082-18.739-9.283-32.137-8.792l.721 18.416c9.944-.364 15.962 1.973 19.417 4.685 3.454 2.713 4.79 5.92 4.817 9.423.051 7.004-5.221 15.355-19.996 15.465-8.49.063-17.844-2.222-24.347-7.091s-11.042-11.893-10.76-25.225c.419-19.825 16.76-40.736 45.712-40.915 16.804-.103 28.99 7.107 37.66 17.617 8.67 10.51 13.141 24.517 12.806 35.765-.75 25.132-27.042 57.096-65.91 57.376-9.073.065-27.568-.465-43.082-9.695-15.515-9.229-29.41-26.484-29.235-66.153.091-20.652 6.881-39.106 21.223-52.44 14.342-13.335 36.774-22.135 70.388-21.438 43.062.891 63.104 17.87 74.391 39.452 11.288 21.581 12.375 48.778 11.263 67.186-1.154 19.09-8.812 33.688-20.921 45.753-12.11 12.065-28.898 21.352-47.62 28.04C131.326 237.4 86.295 240.17 59.492 237.76c-2.7 13.7-1.313 22.801 0 36.482 26.803-2.41 71.834.36 109.278 13.737 18.722 6.689 35.51 15.976 47.62 28.04 12.11 12.066 19.767 26.664 20.92 45.754 1.113 18.408.026 45.605-11.262 67.186-11.287 21.581-31.33 38.56-74.39 39.452-33.615.697-56.047-8.103-70.389-21.438-14.342-13.334-21.132-31.788-21.223-52.44-.174-39.67 13.72-56.924 29.235-66.153 15.514-9.23 34.01-9.76 43.082-9.695 38.868.28 65.16 32.244 65.91 57.376.335 11.248-4.137 25.255-12.806 35.765-8.67 10.51-20.856 17.72-37.66 17.617-28.952-.179-45.293-21.09-45.712-40.915-.282-13.332 4.257-20.356 10.76-25.225s15.858-7.154 24.347-7.09c14.775.11 20.047 8.46 19.996 15.464-.026 3.503-1.363 6.71-4.817 9.423-3.455 2.712-9.473 5.049-19.417 4.685l-.721 18.416c13.398.49 24.393-2.71 32.138-8.792 7.745-6.082 11.795-14.927 11.86-23.602.127-17.348-15.605-33.85-38.892-34.023-11.908-.089-25.235 2.772-36.149 10.944-10.914 8.171-18.528 22.084-18.146 40.178.626 29.601 26.013 58.727 64.632 58.965 22.754.14 41-10.405 52.666-24.55 11.666-14.143 17.437-31.69 16.957-47.792-1.086-36.437-35.517-74.917-84.804-75.272-9.719-.07-32.362.029-53.197 12.423-20.835 12.395-38.5 37.76-38.306 81.931.108 24.6 8.525 48.405 27.073 65.65 18.547 17.245 46.687 27.347 83.99 26.575 48.5-1.004 77.096-23.017 90.976-49.555 8.011-15.317 11.587-31.794 12.959-46.843 1.372 15.049 4.948 31.526 12.959 46.843 13.88 26.538 42.476 48.55 90.977 49.555 37.302.772 65.442-9.33 83.99-26.575 18.547-17.245 26.964-41.05 27.072-65.65.195-44.171-17.47-69.536-38.306-81.93-20.835-12.395-43.478-12.494-53.197-12.424-49.287.355-83.718 38.835-84.804 75.272-.48 16.103 5.29 33.649 16.957 47.793 11.667 14.144 29.912 24.69 52.666 24.55 38.619-.239 64.006-29.365 64.632-58.966.382-18.094-7.232-32.007-18.146-40.178-10.914-8.172-24.241-11.033-36.15-10.944-23.286.173-39.018 16.675-38.89 34.023.064 8.675 4.114 17.52 11.86 23.602 7.744 6.082 18.739 9.283 32.137 8.792l-.721-18.416c-9.944.364-15.962-1.973-19.417-4.685-3.454-2.713-4.79-5.92-4.817-9.423-.051-7.004 5.221-15.355 19.996-15.465 8.49-.063 17.844 2.222 24.347 7.091s11.042 11.893 10.76 25.225c-.419 19.825-16.76 40.736-45.713 40.915-16.803.103-28.99-7.107-37.659-17.617-8.67-10.51-13.141-24.517-12.806-35.765.75-25.132 27.042-57.096 65.91-57.376 9.073-.065 27.568.465 43.082 9.695 15.515 9.229 29.41 26.484 29.235 66.153-.091 20.652-6.881 39.106-21.223 52.44-14.342 13.335-36.774 22.135-70.388 21.438-43.062-.891-63.104-17.87-74.391-39.452-11.288-21.581-12.375-48.778-11.263-67.186 1.154-19.09 8.812-33.688 20.921-45.753 12.11-12.065 28.898-21.352 47.62-28.04 37.444-13.379 82.475-16.149 109.278-13.738 2.7-13.7 1.313-22.802 0-36.482-26.803 2.41-71.834-.36-109.278-13.737-18.722-6.689-35.51-15.976-47.62-28.04-12.11-12.066-19.767-26.664-20.92-45.754-1.113-18.408-.026-45.605 11.262-67.186 11.287-21.581 31.33-38.56 74.39-39.452 33.615-.697 56.047 8.103 70.389 21.438 14.342 13.334 21.132 31.788 21.223 52.44.174 39.67-13.72 56.924-29.235 66.153-15.514 9.23-34.01 9.76-43.082 9.695-38.868-.28-65.16-32.244-65.91-57.376-.335-11.248 4.137-25.255 12.806-35.765 8.67-10.51 20.856-17.72 37.66-17.617 28.952.179 45.293 21.09 45.712 40.915.282 13.332-4.257 20.356-10.76 25.225s-15.858 7.154-24.347 7.09c-14.775-.11-20.047-8.46-19.996-15.464.026-3.503 1.363-6.71 4.817-9.423 3.455-2.712 9.473-5.049 19.417-4.685l.721-18.416c-13.398-.49-24.393 2.71-32.138 8.792-7.745 6.082-11.795 14.927-11.86 23.602-.127 17.348 15.605 33.85 38.892 34.023 11.908.089 25.235-2.772 36.149-10.944 10.914-8.171 18.528-22.084 18.146-40.178-.626-29.601-26.013-58.727-64.632-58.965-22.754-.14-41 10.405-52.666 24.55-11.666 14.143-17.437 31.69-16.957 47.792 1.086 36.437 35.517 74.917 84.804 75.272 9.719.07 32.362-.029 53.197-12.423 20.835-12.395 38.5-37.76 38.306-81.931-.108-24.6-8.525-48.405-27.073-65.65-18.547-17.245-46.687-27.347-83.99-26.575-48.5 1.004-77.096 23.017-90.976 49.555-8.011 15.317-11.587 31.794-12.959 46.843-1.372-15.049-4.948-31.526-12.959-46.843-13.88-26.538-42.476-48.55-90.977-49.555a191.82 191.82 0 0 0-3.47-.04zM256 223.238A67.714 32.762 0 0 1 323.714 256 67.714 32.762 0 0 1 256 288.762 67.714 32.762 0 0 1 188.286 256 67.714 32.762 0 0 1 256 223.238z"}}]})(props);
};
function GiDynamite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M280 67.77c-2.8 2.78-4.1 9.46-.7 20.04 3.4 10.59 11.3 23.59 22.8 35.39 11.5 11.7 24.3 19.9 34.9 23.5 10.5 3.7 17.2 2.4 20-.3 2.8-2.8 4.2-9.5.8-20.1-3.4-10.6-11.3-23.6-22.8-35.32-11.6-11.76-24.4-19.94-34.9-23.57-6.2-1.5-15-4.44-20.1.36zm89.1-1.84c-4 0-6.9 1.05-8.5 2.62-2.8 2.78-4.1 9.45-.7 20.04 3.4 10.58 11.3 23.61 22.8 35.31 11.5 11.8 24.3 20 34.9 23.6 10.5 3.6 17.2 2.4 20-.4 2.8-2.7 4.2-9.4.8-20-3.4-10.6-11.3-23.6-22.8-35.35-11.6-11.76-24.4-19.94-34.9-23.56-4.6-1.59-8.5-2.25-11.6-2.26zM260.4 86.97l-31.2 30.63c5.8 17.4 13.4 32.7 24.2 44.8 12.8 14.5 29.9 24.9 55.1 29.7l1.5.3 27.4-26.8c-2.1-.5-4.2-1.1-6.3-1.9-14-4.8-28.7-14.4-41.9-27.9-13.2-13.5-22.5-28.4-27.1-42.48-.7-2.18-1.2-4.44-1.7-6.35zm-58.3 57.13L81.3 262.4c5.7 16.5 13.2 31.1 23.5 42.7 12.8 14.5 29.9 24.9 55.1 29.7l4 .7 118-115.6c-37-11.4-63-38.6-79.8-75.8zm180 13.8c-4 0-6.9 1-8.5 2.6-2.8 2.8-4.1 9.5-.7 20 3.4 10.6 11.3 23.6 22.8 35.4 11.5 11.8 24.3 19.9 34.9 23.6 10.5 3.6 17.2 2.4 20-.4.7-.7 1.3-1.6 1.8-2.8 13.2 11.3 24.3 26.2 25.3 35.8 1.3 11.7-3.5 21.7-12.8 32.4-9.4 10.7-23.2 21.2-37.4 32-14.1 10.7-28.5 21.6-39.3 34.4-10.7 12.9-17.9 28.7-14.7 46.4 2.9 15.6 11.3 31.8 25.1 42.9 13.7 11.2 33.4 16.8 55.1 9.7l8.6-2.8-5.6-17.1-8.6 2.8c-16.3 5.3-28.4 1.5-38.2-6.5-9.8-8-16.6-20.9-18.6-32.2-2.1-11.6 1.9-21.1 10.7-31.6 8.9-10.5 22.4-21 36.4-31.7 14.1-10.7 28.8-21.7 40-34.5 11.2-12.7 19.2-28.3 17.2-46.1-2.2-20.4-18.9-37.8-35.6-51-4-3.2-8.1-6.1-12.1-8.6-4.2-8.6-10.7-18.1-19.3-26.9-11.6-11.8-24.4-19.9-34.9-23.6-4.6-1.5-8.5-2.2-11.6-2.2zM354 179.7l-27.3 26.8.2 1.5c4.2 25.3 14.3 42.7 28.5 55.8 11.9 11 27.1 19 44.3 25.1l31.3-30.6c-2.1-.5-4.2-1.1-6.3-1.8-14-4.8-28.7-14.5-41.9-28s-22.5-28.4-27.1-42.4c-.7-2.2-1.2-4.3-1.7-6.4zM298.6 234L180.5 349.6l.7 4c4.1 25.3 14.2 42.6 28.5 55.7 11.4 10.6 25.7 18.4 42.2 24.4l120-117.5c-36.8-17.8-63.1-44.6-73.3-82.2zM55.68 287.5c-11.64 9-23.69 22.4-34.25 33.5-2.84 2.8-4.19 9.5-.79 20.1 3.41 10.6 11.32 23.6 22.83 35.3 11.52 11.8 24.36 20 34.87 23.6 10.51 3.6 17.21 2.4 20.04-.4 12.72-12.3 25.72-25.1 36.62-35.8-36.88-11.6-62.65-38.9-79.32-76.3zm95.12 91.2c-12.2 11.4-20.2 19.3-35.8 35.1-2.8 2.8-4.2 9.4-.8 20 3.4 10.6 11.3 23.6 22.8 35.4 11.6 11.7 24.4 19.9 34.9 23.5 10.5 3.7 17.2 2.5 20.1-.3 11.3-10.6 21.6-21.2 32.4-31.8-36.8-17.8-63.2-44.5-73.6-81.9z"}}]})(props);
};
function GiEagleEmblem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M35.31 22.3C27.498 42.766 22.138 64.643 20 87.378l103.705 27.79-4.838 18.052-99.873-26.763c-.012.954-.035 1.905-.035 2.86 0 14.055 1.196 27.83 3.48 41.23h94.146v18.687H26.393c3.368 13.324 7.83 26.207 13.29 38.547l79.184-21.216 4.838 18.05-75.64 20.27c5.994 11.096 12.817 21.67 20.396 31.636l61.933-35.756 9.343 16.183-59.22 34.192c7.782 8.728 16.18 16.885 25.132 24.4l44.73-44.726 13.214 13.215-43.055 43.052c8.963 6.406 18.374 12.215 28.186 17.357l28.734-49.772 16.186 9.346-27.987 48.472c12.545 5.367 25.63 9.697 39.156 12.87.99 3.566 2.08 7.103 3.25 10.593-12.36 9.993-24.163 20.49-35.12 31.728-4.458-2.16-9.46-3.373-14.75-3.373-18.707 0-33.874 15.164-33.874 33.873 0 1.715.13 3.402.377 5.05 2.02-11.514 12.06-20.265 24.153-20.265 3.103 0 6.068.582 8.8 1.633-10.103 12.102-19.193 25.08-26.906 39.23 13.897-7.544 27.684-15.755 41.15-24.764.96 2.63 1.485 5.468 1.485 8.43 0 12.122-8.796 22.184-20.352 24.168 1.685.258 3.412.393 5.168.393 18.71 0 33.873-15.168 33.873-33.875 0-4.17-.757-8.16-2.134-11.848 10.033-7.467 19.823-15.43 29.26-23.984 2.978 5.705 6.203 11.034 9.65 15.818l-43.53 87.17c48.267 22.47 115.7 22.76 157.872 0l-42.13-84.36c3.722-4.81 7.21-10.25 10.426-16.14 8.577 7.617 17.428 14.77 26.483 21.508-1.375 3.685-2.13 7.67-2.13 11.836 0 18.707 15.165 33.873 33.874 33.873 1.758 0 3.486-.132 5.172-.39-11.56-1.983-20.355-12.045-20.355-24.168 0-2.964.525-5.805 1.49-8.435 13.464 9.006 27.247 17.223 41.143 24.767-7.71-14.148-16.78-27.136-26.877-39.238 2.726-1.045 5.682-1.623 8.775-1.623 12.09 0 22.13 8.75 24.15 20.262.246-1.647.377-3.332.377-5.047 0-18.71-15.166-33.873-33.875-33.873-5.275 0-10.268 1.205-14.72 3.355-10.007-10.27-20.74-19.908-31.946-29.12 1.938-5.52 3.658-11.18 5.132-16.886 7.91-2.368 15.65-5.14 23.2-8.283l-28.497-49.356 16.186-9.346 29.34 50.816c9.98-5.11 19.555-10.9 28.672-17.308l-44.146-44.147 13.215-13.216 45.926 45.922c9.145-7.557 17.72-15.785 25.666-24.6l-60.95-35.19 9.343-16.182 63.748 36.804c7.76-10.087 14.746-20.807 20.87-32.07l-77.93-20.883 4.837-18.05 81.534 21.847c5.588-12.533 10.157-25.625 13.584-39.178h-92.836v-18.687h96.777c2.282-13.4 3.48-27.174 3.48-41.23 0-1.19-.025-2.376-.044-3.563L397.652 133.22l-4.836-18.054L499.09 86.69c-2.18-22.49-7.52-44.13-15.254-64.39h-.004C457.315 63.81 400.24 96.234 329.068 109.32c12.67 15.603 20.442 35.52 20.442 57.233 0 31.196-15.723 58.718-39.604 75-21.27-12.407-42.907-28.878-45.52-43.814l17.653-3.81-2.235-10.352c15.67-11.335 33.936-9.138 53.433-.01l-18.302-40.414-41.903 9.04-2.846-13.188V139l-80.87 17.453 20.458 30.266c-8.595 19.678-2.717 41.68 5.45 58.56-27.204-15.57-45.592-44.998-45.592-78.73 0-21.713 7.772-41.63 20.44-57.232C118.904 96.234 61.83 63.81 35.312 22.3zm216.45 132.567c5.244-.056 9.98 3.573 11.13 8.9 1.312 6.085-2.557 12.084-8.644 13.397-6.087 1.313-12.085-2.556-13.398-8.643-1.314-6.085 2.556-12.086 8.642-13.4.76-.163 1.52-.245 2.27-.253z"}}]})(props);
};
function GiEagleHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M242.9 20.46c6.7 19.75 19.7 41.39 4 50.44-38.6 22.04-81.4 41.5-106.2 90.7C103.3 235.7 91.69 412 29.81 451c48.6 3.8 89.69-16.3 108.89-44.2 7.1 34.3 32.6 67 63 84.7-5.2-29-1.8-59.4 19-92.5 16.5 22.9 31.1 59.3 73.8 75.3-16.4-27.5-13.7-52.8-10.7-84.2 8.8 26.9 38.5 50 72.9 58.9-16.8-18.6-23.9-45.5-21-66 14.6 24.9 43.4 38.4 67.1 39.7-153.3-179.6-48.7-291.6 79.4-194.4-.5-49.7-31.4-66.7-67.2-95.7-.9-15.4-9.6-29.3-17.5-43.36-53.7-9.99-121.5-42.01-154.6-68.78zm81.2 74.88c26.1 10.86 46.2 22.56 56.4 35.46-16.6-3.6-39.8-3.5-70-1.1 15-9.7 16.5-21.7 13.6-34.36z"}}]})(props);
};
function GiEarrings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M164.6 38.64c-20.5 0-36.1 13.09-46.4 26.64-12.3 16.31-17.6 30.96-33.6 39.32 20.5 0 34.4-14.56 46.4-26.6 12-12 22.1-21.36 33.6-21.36 5 0 11.1 2.78 15.6 7.36 4.6 4.59 7.4 10.64 7.4 15.64 0 1-1 4.22-3.6 8.2-2.5 4-6.4 8.7-10.4 13.56-4 4.9-8.1 9.9-11.6 15.2-3.4 5.3-6.4 11-6.4 18v61.8l.9-1.8 8.1-16.1 9 18v-61.9c0-1 1-4.2 3.6-8.2 2.5-4 6.4-8.7 10.4-13.6s8.1-9.9 11.6-15.16c3.4-5.3 6.4-11 6.4-18 0-11-5.2-20.95-12.6-28.36-7.5-7.42-17.4-12.64-28.4-12.64zm192 0c-20.5 0-36.1 13.09-46.4 26.64-12.3 16.31-17.6 30.96-33.6 39.32C297.1 104.6 311 90 323 78c12-12 22.1-21.36 33.6-21.36 5 0 11.1 2.78 15.6 7.36 4.6 4.59 7.4 10.64 7.4 15.64 0 1-1 4.22-3.6 8.22-2.5 3.98-6.4 8.68-10.4 13.54-4 4.9-8.1 9.9-11.6 15.2-3.4 5.3-6.4 11-6.4 18v61.8l.9-1.8 8.1-16.1 9 18v-61.9c0-1 1-4.2 3.6-8.2 2.5-4 6.4-8.7 10.4-13.6s8.1-9.9 11.6-15.16c3.4-5.3 6.4-11 6.4-18 0-11-5.2-20.95-12.6-28.36-7.5-7.42-17.4-12.64-28.4-12.64zm-192 180.06L93.8 360.3c.5 5.8 3.8 17.5 9.4 30.8 6 14.6 14.4 31.4 23.2 47.1 8.9 15.7 18.3 30.5 26.1 41 4 5.3 7.6 9.5 10.3 12 .8.8 1.3 1 1.9 1.3.6-.3 1-.5 1.8-1.2 2.6-2.4 6.2-6.4 10-11.4 7.8-10.1 17-24.3 25.8-39.7 8.7-15.4 17.1-31.9 23.2-46.7 5.6-13.7 9.1-25.9 9.9-33.3l-70.8-141.5zm192 0l-70.8 141.6c.5 5.8 3.8 17.5 9.4 30.8 6 14.6 14.4 31.4 23.2 47.1 8.9 15.7 18.3 30.5 26.1 41 4 5.3 7.6 9.5 10.3 12 .8.8 1.3 1 1.9 1.3.6-.3 1-.5 1.8-1.2 2.6-2.4 6.2-6.4 10-11.4 7.8-10.1 17-24.3 25.8-39.7 8.7-15.4 17.1-31.9 23.2-46.7 5.6-13.7 9.1-25.9 9.9-33.3l-70.8-141.5zm-192 72.9c9.3 0 15.6 6.9 19.4 14.3 3.7 7.5 5.6 16.6 5.6 26.7 0 10.1-1.9 19.2-5.6 26.7-.4.8-.9 1.7-1.4 2.5 13.6 6.7 23 20.7 23 36.8 0 22.5-18.5 41-41 41s-41-18.5-41-41c0-16.1 9.4-30.1 23-36.8-.5-.8-1-1.7-1.4-2.5-3.7-7.5-5.6-16.6-5.6-26.7 0-10.1 1.9-19.2 5.6-26.7 3.8-7.4 10.1-14.3 19.4-14.3zm192 0c9.3 0 15.6 6.9 19.4 14.3 3.7 7.5 5.6 16.6 5.6 26.7 0 10.1-1.9 19.2-5.6 26.7-.4.8-.9 1.7-1.4 2.5 13.6 6.7 23 20.7 23 36.8 0 22.5-18.5 41-41 41s-41-18.5-41-41c0-16.1 9.4-30.1 23-36.8-.5-.8-1-1.7-1.4-2.5-3.7-7.5-5.6-16.6-5.6-26.7 0-10.1 1.9-19.2 5.6-26.7 3.8-7.4 10.1-14.3 19.4-14.3zm-192 18c-.1 0-.1 0 0 .1.1-.1.1-.1 0-.1zm0 .1c-.3.1-1.6.9-3.3 4.3-2 4.2-3.7 11-3.7 18.6 0 7.6 1.7 14.4 3.7 18.6 1.7 3.4 3 4.2 3.3 4.3.3-.1 1.6-.9 3.3-4.3 2-4.2 3.7-11 3.7-18.6 0-7.6-1.7-14.4-3.7-18.6-1.7-3.4-3-4.2-3.3-4.3zm0 45.8c-.1.1-.1.1 0 .1s.1 0 0-.1zm192-45.9c-.1 0-.1 0 0 .1.1-.1.1-.1 0-.1zm0 .1c-.3.1-1.6.9-3.3 4.3-2 4.2-3.7 11-3.7 18.6 0 7.6 1.7 14.4 3.7 18.6 1.7 3.4 3 4.2 3.3 4.3.3-.1 1.6-.9 3.3-4.3 2-4.2 3.7-11 3.7-18.6 0-7.6-1.7-14.4-3.7-18.6-1.7-3.4-3-4.2-3.3-4.3zm0 45.8c-.1.1-.1.1 0 .1s.1 0 0-.1zm-192 20.1c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm192 0c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23z"}}]})(props);
};
function GiEarthAfricaEurope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32A224 224 0 0 0 32 256a224 224 0 0 0 224 224 224 224 0 0 0 223.672-217.45c-15.468 4.148-.306.22-16.467 4.51-9.1-2.965-28.42 10.264-29.197 10.264-1.756 0-14.65-49.66-14.65-49.66L381.08 208H368l-1.316 6.32 30.2 28.444-47.76 20.718-35.466-49.162-5.24 2.328 11.21 36.3 42.84 23.177-42.84 50.568 1.403 35.82-31.276 67.182-52.168-6.716-16-88.843-3.094-33.43-71.517-3.838-9.258-60.77 32.314-35.827 54.782-6.32 40.034 21.772 36.93-9.72c-1.112-18.374.05-12.54-1.112-18.374l-19.666-.7-1.053-10.184-5.97-2.107-2.81 12.64-9.48-.526-11.94-26.514-8.43 2.81 10.185 22.475-9.13 3.16-13.694-20.718-8.428-1.406-21.773 2.81-18.26 23.177-18.613 1.406-1.405-34.064 24.23-1.757 2.108-10.184-5.795-5.618-.174-3.69 16.182-7.94 11.56-2.944 19.665-6.848 6.32-7.375 3.512 7.375 22.474 2.81 8.78-9.13 5.97-24.582-6.673-2.81-11.238 16.857-8.43-9.834-11.586 14.75-14.4 2.458-.7-10.184 11.236-23.88 31.606-13.694 43.894-3.16 3.864 13.344s-4.916 13.344-5.97 13.695c-.138.045.428 1.754 1.464 4.565h31.195l14.047-11.59 29.484-9.138A224 224 0 0 0 256 32zM145.098 69.465l6.144 1.053s1.756 8.076.352 10.007c-1.405 1.932-10.885 7.903-10.885 7.903l-6.148-12.115 10.536-6.848zm41.086 11.588l8.252 19.49 3.337 16.68s-11.588 5.793-12.466 6.496c-.878.7-6.147-8.077-6.147-8.077l-1.93-17.91 2.81-15.1 6.144-1.58zm-12.116 22.474v16.155l-10.007 3.86-2.107-7.724 12.115-12.29zm189.104 238.618l-7.365 61.798-16.164 3.166s4.868-50.492 7.326-53.3l16.202-11.665z"}}]})(props);
};
function GiEarthAmerica (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32c-37.764.086-74.894 9.72-107.938 28.002l27.52 19.36 40.033-13.694 24.582 5.62 8.78 49.864 15.1-11.588 41.087-14.046 18.26 27.742-35.82 18.963-22.473 16.152-2.458 22.475-24.932 21.07-7.023 34.064-14.047 1.053 7.023-38.63-53.027-2.807-12.64 18.61-.1-.01v26.644l25.824 1.986 23.838 16.885-1.986 25.328 33.77 5.96-.36.76 53.004-30.558 90.88 59.098-20.51 48.548-32.685 20.156-61.143 77.965-13.498-3.845L262.216 365l-42.213-42.213 7.853-13.86-25.732-9.482-25.326-30.79-21.853-4.967L116.422 208H112l-5.117 26.746-3.64-39.146 5.267-29.147-.7-23.178L97.247 98.2C55.516 140.12 32.06 196.847 32 256c0 123.712 100.288 224 224 224 82.413-.028 158.155-45.308 197.195-117.887L442.82 298.14l-5.62-36.17-34.06-27.392 6.67-37.926 15.803-20.367 37.555-5.05C428.766 87.086 346.913 32.072 256 32zm89.047 48H368v48l-32 16v-23.836zm-122.76 166.518l29.85 4.918-4.213 6.32-24.23-4.916z"}}]})(props);
};
function GiEarthAsiaOceania (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32A224 224 0 0 0 99.596 95.68l11.12-2.66 38.24-13.41 44.198-8.44 17.383 17.38 27.81-15.892 32.778.498 5.96 7.946 48.17-10.43 73.005 22.35-33.77 13.904 8.442 34.763-16.885 10.925-10.43-52.144-22.844 1.987-3.476 25.824-23.838 9.933 2.48 33.77-14.897 2.484-10.926-19.37-5.463 15.397 12.416 22.844-39.73 40.725-3.973 12.414 6.457 17.878s-15.892 23.343-18.375 22.846c-2.484-.495-44.698-37.743-44.698-37.743l-26.32 15.395-20.86-31.288-18.375 1.49-24.83 69.032-17.88 4.967-38.454-52.088A224 224 0 0 0 256 480a224 224 0 0 0 224-224A224 224 0 0 0 256 32zm75.217 112.67l9.93 15.394-14.897 22.348-2.484 15.893-7.946-4.967h1.49l4.47-42.213 9.437-6.455zm-18.873 56.117l11.422 1.49-.993 11.422-29.796 5.462-.995-7.945 20.362-10.43zm-39.233 26.818l14.9 4.47-2.483 21.355-17.382-12.416 4.966-13.41zm-9.434 45.69l2.482 18.87H245.3l-.993-13.407 19.37-5.463zm39.728 3.476l33.772 8.94 16.885 20.858-45.193-11.918-11.918 4.965-19.866-21.85 26.32-.994zM198.12 289.685l27.316 8.443 33.77 17.38s-20.86 4.47-23.84 3.477c-2.98-.993-43.702-19.37-43.702-19.37l6.457-9.93zm116.21 10.43l10.43 24.83 22.347 13.906-4.966 34.763-25.326 23.342-26.322-21.355-27.314 8.94-19.367 13.903L230.9 369.64s8.442-26.82 10.428-27.812l19.37-5.96 8.443-19.366 7.448 12.912 25.326-6.457 12.416-22.844zm86.91 49.66l4.965 2.484-10.926 15.396-3.475-8.94 9.435-8.94zm-11.422 19.867s6.456 4.47 4.47 5.96c-1.987 1.49-27.81 19.367-27.81 19.367l-10.927-5.463 23.343-17.38 10.925-2.483zm-82.44 32.28l12.415.498-10.428 9.932-1.988-10.43z"}}]})(props);
};
function GiEarthCrack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M156.777 16.248l21.832 149.004-83.165-78.248 40.946 125.732-74.765-6.927 39.33 68.112h71.87l-11.512-38.73 28.125 15.234 1.17-49.223 44.537 51.568 14.064-78.52 17.58 60.94 57.425-39.846-17.58 58.597 55.082-22.266-30.912 42.248h80.834l37.17-63.13-51.26 6.845 20.565-85.008-70.873 48.905L395.61 69.693l-95.25 51.473-12.266-100.908-51.576 104.803-32.53-87.51-18.517 18.18-28.693-39.482zm57.23 259.61l-48.064 34.892 20.48 27.527L59.384 355l8.42 66.527-.506 2.99-48.087 20.126V491.7h34.42l47.1-46.206-18.678-74.63 46.343-6.1 3.358 54.933 1.685.75 39.685 32.815-18.117 38.437h54.185L215 432.284l-65.352-26.19-2.673-43.777 73.43-9.666-28.182-37.886 53.593-38.91h-31.81zm60.124 0l49.722 58.437-74.63 35.61-4.355.222 52.588 62.935L266.69 491.7h72.033l-2.315-73.403L282.78 374.6l58.706-28.014 73.418 17.262-45.13 72.213 41.003 55.112.19.527h69.838l-78.51-55.122 14.45-35.62 77.86 30.75v-34.606l-68.937-15.215 18.912-30.26-101.807-23.934-44.103-51.836h-24.54z","fillRule":"evenodd"}}]})(props);
};
function GiEarthSpit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M332.594 201.938l-44.188 84.468 109.063 9.188 62.124-7.938-35.53 20.5 13.53 9.188 56.937 10.562v-92.5l-39.31-29.53 7.5 33.718-62.845-24.688 4.188 26.125-71.47-39.093zm-129.063.593L74.157 242.97l20.625-35.25-72.874 27.686v217.47l88.75-46.97 10.47-44.5h-40.75l49.56-20.75 43.408-26.03L203.53 202.53zm143.126 107.532l-27.812 29.594 34.062 40.313 67.75 20.717 56.656 12.844-51.25 15.376 68.47 20.25v-102.25l-62.313-11.562-1.908-.375-1.625-1.095-28.437-19.313-53.594-4.5zM184.97 329.406l-43.22 25.938-13.875 59-.97 4.125-3.75 1.967-101.25 53.594v17.845h472.626v-23.22l-88.124-26.06-11.594-3.44 6.25-10.342 7.407-12.313-62.345-19.063-12.53 14.063 59.53 68.53-107.844-52.28 17.75-26.656-25.624-17.406-80.53 85.625 27.53-56.907-65.812-12.594 79-14.625 23.625-48.843-76.25-6.938z"}}]})(props);
};
function GiEarthWorm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192.871 24.238c-2.922.01-5.68.59-8.017 1.867-30.965 16.925-46.995 70.705-29.278 99.276 6.013 9.288 35.177 31.022 51.639 36.482 3.31-10.387 5.34-23.214 5.853-35.693-8.602-2.862-13.373-7.625-15.955-11.613-10.829-24.35 22.596-52 21.485-74.487-2.775-8.647-15.29-15.87-25.727-15.832zm126.59 70.746c-38.49-.4-87.103 18.08-88.285 27.786-.502 12.09-2.315 36.34-5.643 47.439-1.234 14.431 87.48-5.57 106.672-21.281 3.176-11.361 1.196-43.319-5.197-53.604-2.46-.202-4.981-.313-7.547-.34zm28.451 11.293c2.179 11.94 2.38 23.831 2.328 35.397 24.468 2.872 39.495 9.848 50.838 28.388 10.528-6.271 18.877-14.117 24.22-20.718-15.992-22.873-53.878-42.774-77.386-43.067zm84.883 61.733c-6.452 6.57-14.632 13.136-24.434 18.658 2.773 9.263 4.44 20.778 4.254 35.41 9.53 2.348 17.532 5.491 25.44 9.787 12.263-3.983-.165-45.48-5.26-63.855zm-22.13 72.2c-5.913 16.8-13.378 27.969-26.95 37.089 5.335 5.922 10.432 12.272 14.537 19.416 16.4-11.115 28.944-29.614 35.28-46.48-7.212-4.612-14.948-8.004-22.868-10.024zm-254.722 9.772c-24.968-.307-47.952 10.125-61.707 24.893 1.556 3.27 3.396 6.784 5.502 10.252 2.755 4.534 6.008 8.743 9.262 12.19 5.876-11.771 21.173-21.212 47.217-20.891 8.001 2.264 16.151 4.846 24.396 7.59 4.333-9.553 7.41-18.737 8.285-27.426-11.047-3.5-22.016-5.98-32.955-6.608zm50.323 12.805c-1.452 9.327-4.576 18.335-8.49 27.088 17.964 13.908 36.962 27.223 65.505 21.303.433-8.204 2.108-16.182 4.307-23.92-9.427-10.632-30.547-24.13-61.322-24.47zm160.699 22.99c-26.515 10.09-56.853 12.248-82.022 6.467-2.248 8.07-3.721 15.815-3.734 23.25 38.962 6.89 67.922 5.617 101.28-9.906-3.975-6.755-9.436-13.219-15.524-19.81zm-283.768 6.746c-1.208 3.439-1.943 6.956-2.129 10.504-.721 13.824 7.697 32.776 20.162 44.024 12.466 11.247 32.526 19.822 57.666 24.181 19.718 2.524 38.49 4.82 56.96 9.612 6.719-5.705 14.204-11.757 23.804-16.399-9.359-5.49-19.785-10.33-26.48-12.129-48.547-13.821-72.614-1.06-100.813-30.17-12.66-4.688-21.287-16.6-28.013-27.673-.396-.65-.778-1.3-1.157-1.95zm173.555 84.254c-9.066 2.375-15.618 6.49-21.852 11.463 9.566 5.204 14.975 12.275 12.979 24.41-3.506 14.75-8.537 21-18.244 25.897-9.771 4.93-23.045 6.94-37.278 8.205-14.232 1.266-29.276 1.817-43.109 5.498-13.833 3.681-29.906 10.464-33.836 26.186-3.596 14.386 13.073 14.019 16.397 7.43 4.507-8.936 11.086-13.3 22.068-16.221 10.982-2.923 28.776-1.663 43.553-2.977 14.776-1.314 30.158-3.186 43.789-10.063 13.63-6.876 25.22-18.329 28.91-35.978 3.689-17.65-4.299-34.268-12.775-43.26-.181-.192-.408-.394-.602-.59z"}}]})(props);
};
function GiEarwig (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M55.836 28.59c-.682-.008-1.352-.004-2.008.012-10.49.253-17.153 3.2-21.37 7.668-4.215 4.468-6.71 11.194-6.27 21.564.442 10.37 4.09 24.004 11.785 40.047 4.768 9.94 11.075 20.797 19.007 32.442l71.176-76.4C116.16 47.008 105.028 41.594 94.88 37.6c-15.573-6.132-28.808-8.897-39.044-9.01zm119.836.494l79.33 205.252 24.078 22.43c14.3-12.52 32.123-19.167 50.156-19.817 3.852-.14 7.713-.004 11.55.405-1.73-5.99-3.855-12.23-6.427-18.73-18.454-46.654-59-104.866-126.89-168.29-10.213-9.538-20.985-16.37-31.798-21.25zm119.254 7.545L265.6 82.5c4.45 4.89 8.744 9.745 12.877 14.56l32.2-50.363-15.75-10.068zM144.418 63.884l-76.29 81.888c8.823 11.61 19.148 23.878 31.024 36.696l14.483 4.503 72.816-78.16-7.927-20.51c-11.908-9.288-23.304-17.418-34.105-24.418zm201.94 29.912l-46.004 30.27c3.87 5.092 7.54 10.127 11.044 15.11l45.237-29.765-10.276-15.615zm-152.42 34.396l-60.5 64.94 97.294 30.256-36.793-95.197zm191.576 47.416l-48.77 4.24c3.298 6.104 6.31 12.102 9.02 17.98l41.37-3.598-1.62-18.623zM34.704 182c5.583 9.95 12.94 19.732 23 29.13 68.28 63.786 129.182 100.34 176.872 115.49 6.404 2.036 12.54 3.68 18.41 4.966-3.772-20.823.685-42.925 13.55-60.963L239.9 245.81 34.705 182zm298.155 73.48c-.987-.013-1.974-.002-2.96.034-15.772.57-31.336 7.165-43.002 19.66-17.816 19.083-21.222 46.203-10.712 68.306 3.685-2.48 7.783-4.47 12.236-5.834 3.05-.934 6.13-1.535 9.193-1.824 1.34-.126 2.68-.192 4.012-.2 19.983-.13 38.644 12.792 44.777 32.814.827 2.698 1.378 5.416 1.698 8.128 10.76-2.912 20.876-8.764 29.068-17.54 7.844-8.4 12.884-18.363 15.187-28.768-16.542-3.03-30.933-14.942-36.173-32.05-3.824-12.48-2.057-25.4 3.837-36.048-8.54-4.342-17.844-6.57-27.16-6.68zm67.535 1.385c-.8.01-1.602.052-2.407.13-1.84.18-3.693.548-5.537 1.112-14.746 4.517-22.904 19.878-18.387 34.623 4.516 14.746 19.88 22.904 34.626 18.387 14.747-4.516 22.905-19.878 18.388-34.623-3.705-12.096-14.708-19.758-26.683-19.63zm-307.672 9.29L54.73 294.42l11.16 14.998 42.17-31.37c-5.062-3.803-10.178-7.78-15.337-11.892zm46.193 33.6l-23.516 41.92 16.3 9.145 23.052-41.09c-5.21-3.145-10.49-6.47-15.836-9.974zM490.01 315.23l-77.64 2.504c-.098 11.22-2.542 22.43-7.33 32.85 21.634-4.112 46.81 3.183 66.524 21.508 10.075 9.364 17.117 20.466 21.54 31.957l-3.094-88.82zm-289.567 18.385l-.658 41.322 18.69.297.545-34.168c-6.05-2.187-12.25-4.678-18.577-7.45zm101.4 20.668c-.8.01-1.602.052-2.407.13-1.84.18-3.694.548-5.538 1.112-14.747 4.517-22.905 19.878-18.388 34.623 4.516 14.746 19.88 22.906 34.627 18.39 14.747-4.517 22.905-19.88 18.388-34.626-3.705-12.096-14.708-19.758-26.683-19.63zm59.927 37.32c-10.896 4.32-22.572 6.188-34.155 5.577l3.088 88.683 89.608-3.845.002-.002c-11.84-3.584-23.366-9.783-33.47-19.176-21.715-20.182-30.53-47.91-25.072-71.236z"}}]})(props);
};
function GiEasterEgg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 24.998c-20.25 0-39.997 12.86-58.574 35.248-10.389 12.52-20.203 27.836-29.248 44.756h175.644c-9.045-16.92-18.86-32.236-29.248-44.756C295.997 37.858 276.25 24.998 256 24.998zm-62.414 98c11.206 5.37 19.633 15.693 22.414 28.08 2.781-12.387 11.208-22.71 22.414-28.08h-44.828zm80 0c11.206 5.37 19.633 15.693 22.414 28.08 2.781-12.387 11.208-22.71 22.414-28.08h-44.828zm-97.586 14c-12.81 0-23.002 10.192-23.002 23.002 0 12.81 10.192 23.002 23.002 23.002 12.81 0 23.002-10.192 23.002-23.002 0-12.81-10.192-23.002-23.002-23.002zm80 0c-12.81 0-23.002 10.192-23.002 23.002 0 12.81 10.192 23.002 23.002 23.002 12.81 0 23.002-10.192 23.002-23.002 0-12.81-10.192-23.002-23.002-23.002zm80 0c-12.81 0-23.002 10.192-23.002 23.002 0 12.81 10.192 23.002 23.002 23.002 12.81 0 23.002-10.192 23.002-23.002 0-12.81-10.192-23.002-23.002-23.002zm-120 31.924c-2.781 12.387-11.208 22.71-22.414 28.08h44.828c-11.206-5.37-19.633-15.693-22.414-28.08zm80 0c-2.781 12.387-11.208 22.71-22.414 28.08h44.828c-11.206-5.37-19.633-15.693-22.414-28.08zm-158.17 5.976a677.419 677.419 0 0 0-7.406 22.104h27.99c-9.349-4.48-16.765-12.408-20.584-22.104zm236.34 0c-3.819 9.696-11.235 17.623-20.584 22.104h27.99a677.419 677.419 0 0 0-7.406-22.104zm-249.184 40.1a716.98 716.98 0 0 0-9.31 35.727c3.57-2.272 7.676-3.723 12.324-3.723 4.994 0 9.963 2.017 13.342 5.129 3.379 3.112 5.357 6.888 6.79 10.703 2.868 7.63 3.777 16.03 4.796 24.03 1.018 8 2.145 15.6 3.787 19.97.82 2.185 1.716 3.41 2.137 3.797.42.388.179.371 1.148.371.97 0 .727.017 1.148-.371.421-.388 1.316-1.612 2.137-3.797 1.642-4.37 2.769-11.97 3.787-19.97 1.019-8 1.928-16.4 4.795-24.03 1.434-3.815 3.412-7.59 6.791-10.703 3.379-3.112 8.348-5.13 13.342-5.13s9.963 2.018 13.342 5.13c3.379 3.112 5.357 6.888 6.79 10.703 2.868 7.63 3.777 16.03 4.796 24.03 1.018 8 2.145 15.6 3.787 19.97.82 2.185 1.716 3.41 2.137 3.797.42.388.179.371 1.148.371.97 0 .727.017 1.148-.371.421-.388 1.316-1.612 2.137-3.797 1.642-4.37 2.769-11.97 3.787-19.97 1.019-8 1.928-16.4 4.795-24.03 1.434-3.815 3.412-7.59 6.791-10.703 3.379-3.112 8.348-5.13 13.342-5.13s9.963 2.018 13.342 5.13c3.379 3.112 5.357 6.888 6.79 10.703 2.868 7.63 3.777 16.03 4.796 24.03 1.018 8 2.145 15.6 3.787 19.97.82 2.185 1.716 3.41 2.137 3.797.42.388.179.371 1.148.371.97 0 .727.017 1.148-.371.421-.388 1.316-1.612 2.137-3.797 1.642-4.37 2.769-11.97 3.787-19.97 1.019-8 1.928-16.4 4.795-24.03 1.434-3.815 3.412-7.59 6.791-10.703 3.379-3.112 8.348-5.13 13.342-5.13s9.963 2.018 13.342 5.13c3.379 3.112 5.357 6.888 6.79 10.703 2.868 7.63 3.777 16.03 4.796 24.03 1.018 8 2.145 15.6 3.787 19.97.82 2.185 1.716 3.41 2.137 3.797.42.388.179.371 1.148.371.97 0 .727.017 1.148-.371.421-.388 1.316-1.612 2.137-3.797 1.642-4.37 2.769-11.97 3.787-19.97 1.019-8 1.928-16.4 4.795-24.03 1.434-3.815 3.412-7.59 6.791-10.703 3.379-3.112 8.348-5.13 13.342-5.13 4.648 0 8.753 1.452 12.324 3.724a716.98 716.98 0 0 0-9.31-35.727H124.986zm3.014 50c-1.938 0-4.385 1.347-7.643 6.094s-6.357 12.087-8.714 19.601c-4.485 14.3-6.454 28.54-6.641 29.93.034 20.316 1.718 38.365 4.86 54.379h292.277c3.14-16.014 4.825-34.063 4.859-54.379-.187-1.39-2.156-15.63-6.64-29.93-2.358-7.514-5.457-14.854-8.715-19.601s-5.705-6.094-7.643-6.094c-.97 0-.727-.017-1.148.371-.421.388-1.316 1.612-2.137 3.797-1.642 4.37-2.769 11.97-3.787 19.97-1.019 8-1.928 16.4-4.795 24.03-1.434 3.815-3.412 7.59-6.791 10.703-3.379 3.112-8.348 5.129-13.342 5.129s-9.963-2.017-13.342-5.129c-3.379-3.112-5.357-6.888-6.79-10.703-2.868-7.63-3.777-16.03-4.796-24.03-1.018-8-2.145-15.6-3.787-19.97-.82-2.185-1.716-3.41-2.137-3.797-.42-.388-.179-.371-1.148-.371-.97 0-.727-.017-1.148.371-.421.388-1.316 1.612-2.137 3.797-1.642 4.37-2.769 11.97-3.787 19.97-1.019 8-1.928 16.4-4.795 24.03-1.434 3.815-3.412 7.59-6.791 10.703-3.379 3.112-8.348 5.129-13.342 5.129s-9.963-2.017-13.342-5.129c-3.379-3.112-5.357-6.888-6.79-10.703-2.868-7.63-3.777-16.03-4.796-24.03-1.018-8-2.145-15.6-3.787-19.97-.82-2.185-1.716-3.41-2.137-3.797-.42-.388-.179-.371-1.148-.371-.97 0-.727-.017-1.148.371-.421.388-1.316 1.612-2.137 3.797-1.642 4.37-2.769 11.97-3.787 19.97-1.019 8-1.928 16.4-4.795 24.03-1.434 3.815-3.412 7.59-6.791 10.703-3.379 3.112-8.348 5.129-13.342 5.129s-9.963-2.017-13.342-5.129c-3.379-3.112-5.357-6.888-6.79-10.703-2.868-7.63-3.777-16.03-4.796-24.03-1.018-8-2.145-15.6-3.787-19.97-.82-2.185-1.716-3.41-2.137-3.797-.42-.388-.179-.371-1.148-.371-.97 0-.727-.017-1.148.371-.421.388-1.316 1.612-2.137 3.797-1.642 4.37-2.769 11.97-3.787 19.97-1.019 8-1.928 16.4-4.795 24.03-1.434 3.815-3.412 7.59-6.791 10.703-3.379 3.112-8.348 5.129-13.342 5.129s-9.963-2.017-13.342-5.129c-3.379-3.112-5.357-6.888-6.79-10.703-2.868-7.63-3.777-16.03-4.796-24.03-1.018-8-2.145-15.6-3.787-19.97-.82-2.185-1.716-3.41-2.137-3.797-.42-.388-.179-.371-1.148-.371zm-13.752 128c4.453 15.05 10.424 27.958 17.715 38.951l41.547-38.951h-59.262zm97.129 0L256 432.043l44.623-39.045h-89.246zm127.113 0l41.547 38.951c7.29-10.993 13.262-23.902 17.715-38.951H338.49zm-146.281 7.143l-41.453 38.861h85.867l-44.414-38.861zm127.582 0l-44.414 38.861h85.867l-41.453-38.861zm-165.277 56.857C179.83 477.7 214.174 487.002 256 487.002c41.827 0 76.17-9.302 101.486-30.004H154.514z"}}]})(props);
};
function GiEatingPelican (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M345.2 17.46c-.5 7.78-1.3 16.37-3.5 22.71 3.7 1.89 7 3.92 10.1 6.2a59.95 59.95 0 0 1 14.5-14.36c-8.2-4.39-14.8-8.89-21.1-14.55zm-8.8 38.12c-2.9 12.45-1.5 25.9 4.3 36.88 15.1 18.44 31.5 28.74 52.5 22.74l-1.3-10.5c4.7-.8 9.6-.4 13.6.9 1.4-5.4-.9-13.41-4.7-17.47-8 0-16.6 1.63-23.5 1.77-6.8 0-14.5-.84-21.1-5.41-6.7-4.57-11.4-12.75-12.6-23.52-2.4-2.6-4.1-3.68-7.2-5.39zm-37.5 21.26c-12.4 33.26-18.7 68.76-8.7 101.76 4.4-.8 8.8-1.7 13.2-2.8-5.6-17.4-6.9-34-6.6-52.4.2-13.8 1.3-28.95 2.1-46.56zm101.9 78.06c-34 16-68.9 32-106.3 39 2.9 12.2 1.8 21.2-.9 30.5 16.3 10 41.3 31.7 58.9 25.8 17.6-9.2 21-46 21.2-62.7 14.9-16 26.7-18.6 27.1-32.6zm-156.7 16.8c-13.9.3-26.3 7.6-34.3 20.5-14.1 12.3-12.5 32.1-7.6 51.7 4.8-10.5 10.1-17 17.1-19.2 11.5 14.1 28.7 26.3 41.2 20.2l83.9 78.4c-31.8 44.5-84.2 74-124.7 95.2-29 15.1-59.8 25.9-89.7 29.6 18.7 14.6 45.8 23.5 81 10.9 110.5-39.4 188.4-87 182.7-118.2-5.8-31.5-26.3-54.1-53.3-73.6-26.1-6-44.9-23.2-65.7-35.9 7.4-20.7 4-35.9-.8-49.3-7.8-8-19.6-10.3-29.8-10.3zm1.7 18.7l16 1.6c-1.8 16.2-4.6 23.8-19.1 30.3 6.6-14.7 6-18.2 3.1-31.9zm16.9 133.9c-33.9.7-63.5 11-90.9 25.8-39.2 21.1-73.1 51.7-105.75 76.4 41.95 15.1 96.15 3.9 146.25-22.2 48.7-25.4 86.8-50.5 105.6-73-19.3-4.5-37.6-7-55.2-7zm-9.3 134.3l-11.8 4.7c-4 10.6-9.3 21.4-14.4 30.8l108.4.4c-5.8-4.8-13.1-13.4-13.7-19.4-31.4-.5-48.2 1.8-75.7 7.3 2.4-7.9 4.9-16.6 7.2-23.8z"}}]})(props);
};
function GiEating (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M137.618 70.504a88.18 88.18 0 0 0-12.686.95c-33.832 5.003-62.022 29.192-80.271 65.89-18.25 36.698-26.008 85.566-18.286 137.306 7.723 51.741 29.418 96.251 57.598 126.082 28.18 29.832 62.216 44.819 96.049 39.815 33.832-5.004 62.023-29.194 80.273-65.893 4.264-8.573 7.948-17.818 11.002-27.601-29.163.07-58.834-2.573-92.08-24.287 48.479-14.36 82.354-48.492 100.926-72.243-.456-8.287-.298-4.69-1.565-13.173-7.722-51.741-29.415-96.253-57.595-126.084-24.658-26.103-53.8-40.838-83.365-40.762zm342 120.432c-1.774-.05-3.796.302-6.05 1.144-61.083 22.839-94.235 69.736-123.236 107.965-20.787 2.903-39.96 3.415-74.875 31.642-7.837 6.337 55.494 52.937 95.13-26.869 9.846-19.825 21.522-41.774 105.06-84.914 16.706-8.627 16.388-28.62 3.97-28.968zm-229.961 6.834l13.13 12.31c-17.392 18.552-47.5 23.81-71.523 21.414l1.787-17.912c19.327 1.928 45.89-4.382 56.606-15.812zm95.683 67.12c-5.603-.104-12.685 6.982-19.012 7.532-10.729.932-22.902-8.439-32.173-2.96-6.089 3.6-3.494 14.436-8.485 19.446-6.841 6.868-23.232 2.649-26.611 11.735-2.378 6.394 8.78 18.488 8.78 18.488 14.428-14.452 33.354-34.107 78.66-32.62 0 0 7.594-15.785 2.456-20.23-1.108-.959-2.322-1.366-3.615-1.39zm-205.28 23.026l9.977 14.982c-13.398 9.818-24.506 21.8-16.61 37.338 5.734 8.493 14.467 18.545 25.628 18.659l.303 17.996c-18.143-1.22-34.222-14.025-41.89-28.329-11.537-27.086 2.768-47.184 22.593-60.646z"}}]})(props);
};
function GiEchoRipples (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M490.594 16.5C475.867 89.867 453.31 155.58 422.5 214.063c-21.152 25.636-62.322 41.665-103.53 34.375 43.72-60.817 65.875-137.485 56.75-217.813-16.566 59.05-35.182 107.876-58.876 150.063-15.774 16.782-43.006 26.035-71.03 17.562 32.043-43.75 48.387-99.21 41.78-157.375-10.346 33.145-23.852 63.82-40.313 92.094-14.07 15.776-39.033 24.72-64.843 17.186 21.468-29.682 32.4-67.153 27.938-106.437-8.185 18.823-17.562 36.73-28.063 53.718-13.755 11.638-44.94 9.03-68.406.906l-1.03-.78c12.087-18.074 16.897-41.415 11.655-66.783-4.187 11.166-9.265 21.824-15.186 31.94-10.587 17.13-38.888 3.862-57.5-8.782 15.907 14.915 32.82 40.912 17.375 58.53-8.39 7.818-17.43 15.142-27.095 21.938 23.353-.655 43.408-8.87 58.125-22.22 22.488 19.768 27.623 50.15 16.688 65.876-12.735 12.155-26.297 23.565-40.657 34.188 37.302-4.225 69.916-21.612 93.75-47l1.407 1.125c11.843 22.98 8.502 48.584-3.718 65.188-23.105 21.13-48.766 40.03-76.876 56.687 57.276-6.488 107.018-34.138 142.344-74.25l1.03.813c13.878 25.61 10.338 54.48-3.312 73.062-35.078 31.465-77.614 59.935-130.312 88.625 80.3-9.095 150.015-47.894 199.437-104.22 19.344 39.258 12.064 82.842-10.25 109.47-49.987 43.37-108.914 79.872-177.217 109.97C348.12 465.035 517.375 252.265 490.592 16.5z"}}]})(props);
};
function GiEclipseFlare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.924 31.56l-6.252 41.475c-40.904 1.6-81.38 16.64-114.233 45.137l-81.67-60.63 60.593 82.1c-28.1 33.614-42.45 74.828-43.054 116.206l-47.24 6.984 47.573 7.17c2.384 38.934 16.966 77.26 43.765 108.758l-61.635 83.51 83.33-61.864c32.178 27.257 71.444 41.798 111.19 43.647l7.63 50.635 7.473-50.55c.853-.03 1.707-.052 2.56-.093-.843-.038-1.683-.09-2.524-.14l16.193-109.53c6.984-2.27 13.52-5.526 19.445-9.61l44.186 24.788L316.32 305.6c3.976-5.716 7.175-12.006 9.463-18.72L485.78 262.83l-45.147-6.654c-.54-42.053-15.258-83.957-44.194-117.907l59.556-80.22h-.002l-80.392 59.333C342.312 88.88 301.33 74.08 260.045 72.96l-6.12-41.4zm17.605 74.522c43.267 0 86.536 16.507 119.548 49.52 28.136 28.136 44.273 63.723 48.428 100.41l-113.322-16.705c-2.254-6.995-5.493-13.544-9.565-19.483l24.636-43.424-43.223 24.522c-6.234-4.44-13.163-7.962-20.603-10.358l-12.47-84.343c2.19-.084 4.38-.138 6.57-.138zm-29.22 2.54l-12.412 82.34c-6.844 2.33-13.244 5.61-19.046 9.69l-42.748-24.254 24.107 42.975c-4.184 6.01-7.52 12.652-9.83 19.76l-78.146 11.553c5.06-34.793 20.974-68.312 47.746-95.084 25.55-25.55 57.246-41.206 90.33-46.98zM102.462 274.948l80.318 12.105c2.36 6.865 5.676 13.28 9.796 19.09l-24.826 43.76 43.963-24.942c5.514 3.763 11.558 6.803 17.988 9.012l16.325 108.306c-34.42-5.222-67.54-21.073-94.045-47.58-33.063-33.062-49.568-76.415-49.517-119.75z"}}]})(props);
};
function GiEclipseSaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M298.686 12.816c25.49 34.447 40.996 76.86 40.996 122.985 0 34.464-8.426 66.962-23.313 95.563-.652 1.252-1.313 2.5-1.99 3.737-7.566 13.934-16.807 27.053-27.62 39.03-.46.514-.918 1.03-1.383 1.538-.073.08-.148.156-.22.234-37.91 41.328-92.347 67.248-152.825 67.248-43.4 0-83.738-13.43-117.043-36.24v151.502c21.237 15.19 44.462 28.82 70.105 39.807-13.795-20.95-24.547-75.607-17.3-98.652 48.342 53.115 139.075 70.86 213.362 62.41-47.385-10.927-74.768-47.316-73.078-86.744 69.263 8.18 137.864 5.91 207.35-21.388-43.843 10.703-83.026-7.075-100.41-40.4 67.025-28.817 127.756-67.482 175.268-130.708-42.692 30.01-90.924 25.05-118.826-5.347 46.18-36.425 86.357-78.176 115.855-131.302-34.755 18.862-82.67 38.805-115.088 22.435 18.563-19.57 30.396-39.924 33.833-55.707H298.686zm19.01 92.575c-8.516 80.678-76.77 143.557-159.706 143.557-62.575 0-116.574-35.956-143.082-88.187v116.38c57.77 50.205 143.282 60.98 213.35 20.526C297.48 257.7 331.002 179.75 317.695 105.39z"}}]})(props);
};
function GiEclipse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M135.688 18.5c-6.798 74.842-23.842 85.39-107.907 59.656 84.85 52.022 73.57 64.954-6.843 96.938 87.743-10.27 103.29 4.89 70.75 87.594 17.805-27.56 32.5-44.498 46.282-54.47-11.813 28.26-18.345 59.274-18.345 91.813 0 84.184 43.71 157.96 109.656 200.376-41.624-43.834-67.686-102.7-67.686-167.875 0-134.923 109.45-244.405 244.375-244.405 30.92 0 60.76 5.762 88 16.25-38.584-26.87-85.517-42.625-136.064-42.625-55.257 0-106.14 18.802-146.562 50.375 4.627-18.783 17.39-38.073 41.03-60.906C190.18 90.942 153.53 95.634 135.69 18.5zm10.03 77.188c5.67.002 11.428 1.247 16.876 3.874 14.506 6.998 22.72 21.81 22 36.938-10.26 10.87-19.507 22.696-27.594 35.344-9.035 2.753-19.075 2.27-28.25-2.156-19.37-9.343-27.5-32.6-18.156-51.97 6.715-13.92 20.638-22.036 35.125-22.03z","fillRule":"evenodd"}}]})(props);
};
function GiEcology (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23c-71.69 0-130 58.31-130 130s58.31 130 130 130 130-58.31 130-130S327.69 23 256 23zm-8.33 31.127l-11.774 35.246 52.145-5.463-5.186-17.457 14.624 4.049v19.367l22.843 1.49-4.468-17.38 12.007-6.954C352.41 87.553 368 118.417 368 153c0 16.668-3.625 32.471-10.125 46.672l-26.13 4.422v31.478a112.138 112.138 0 0 1-16.099 12.29l-11.216-17.448-21.852 5.96 6.14 23.786A112.353 112.353 0 0 1 256 265c-31.013 0-59.037-12.535-79.297-32.826l19.96-2.752 13.41-26.322-42.712-21.354 30.295-25.826-26.32-21.85-26.893 8.963c3.112-35.448 22.653-66.103 50.994-84.318l5.696 45.556 46.537-50.144zm38.88 64.217l-36.17 23.176 31.606 28.093 22.827-6.672-2.108 27.391 41.79-10.535-15.804-35.818-25.283.351 22.475-19.314-39.332-6.672zm-37.573 40.383l-19.315 8.427 13.695 10.184 5.62-18.611zm-45.362 3.154l-13.408 15.89 37.147 26.108-23.739-41.998zm59.76 8.785l-13.695 25.637 33.01 22.474-11.59-16.506 14.398-17.207-22.123-14.398zM60.17 198.061c-8.818-.137-17.843 11.093-17.895 39.882-.078 44.153-4.356 56.616 16.077 106.551C73.335 381.112 80.054 409.257 128 432c5.68 20.022 3.413 24.73-.44 41.84-3.596 15.974 33.423 18.91 60.534 5.453 29.091-15.868 26.65-59.557 21.453-89.184-6.044-34.454-25.06-41.615-41.543-56.332-17.115-24.475-21.098-68.813-48.856-86.699-5.797-3.735-35.37-7.527 5.262 93.942-53.571-13.268-43.813-74.773-47.687-120.31-1.154-13.561-8.773-22.53-16.553-22.65zm391.66 0c-7.78.12-15.399 9.088-16.553 22.65-3.874 45.536 5.884 107.041-47.687 120.309 40.633-101.47 11.059-97.677 5.262-93.942-27.758 17.886-31.74 62.224-48.856 86.7-16.482 14.716-35.5 21.877-41.543 56.331-5.197 29.627-7.638 73.316 21.453 89.184 27.111 13.456 64.13 10.521 60.533-5.453-3.852-17.11-6.119-21.818-.439-41.84 47.946-22.743 54.665-50.888 69.648-87.506 20.433-49.935 16.155-62.398 16.077-106.55-.052-28.79-9.077-40.02-17.895-39.883z"}}]})(props);
};
function GiEdgeCrack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M117.938 50.5l2.53 99.906 105.313 58.97L117.938 50.5zm260.906 22.594l-97.438 35.97L302.344 280l76.5-206.906zm115.22 78.75L360.154 211.78l67.563 119.75 5.655 10.064-11 3.47-82.063 25.78 57.438 49.25 23.75 20.375-31.03-4-254.22-32.814-35.406-4.562 33.094-13.375 127.187-51.345L173.5 295.03 19.75 363.907v130.656h474.313V151.844zm-357.783 50.47l-96.53 22.655 246.844 72.343-150.313-95z","fillRule":"evenodd"}}]})(props);
};
function GiEdgedShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M460.406 22.125l-10.47 1.25c-132.005 15.758-263.716 19.22-395.248.03L54 23.282H44v9.345c0 103.06 10.502 205.848 41.25 289.22 30.748 83.37 82.665 147.96 164.344 170.405l2.22.594 2.217-.47c89.592-19.1 142.168-83.93 171-168.155 28.835-84.225 35.376-188.492 35.376-291.595v-10.5zm-18.78 20.906c-.265 56.583-2.753 113.052-9.813 165.595l-97.282 41.28L417.22 285c-2.957 11.405-6.22 22.478-9.876 33.156-22.214 64.89-57.017 114.956-112.97 141.188l-41.843-98.375-40.75 95.842c-50.813-28.117-85.577-77.93-109-141.437-3.886-10.54-7.41-21.46-10.655-32.688l77.188-32.78-93.657-41.376c-8.595-52.263-12.39-108.494-12.812-165.186 49.124 6.71 98.217 10.326 147.28 11.406l42.595 100.188 42.843-100.782c48.718-1.684 97.41-5.558 146.062-11.125zM86.218 66.78c0 43.91 2.32 87.696 7.968 129.157l122.937 54.313-101.344 43.03c18.374 55.7 46.708 101.438 88.75 129.033l48.19-113.375 49.468 116.375c46.042-26.184 74.48-72.526 91.75-129.563l-107.22-45.5 126.313-53.625c4.576-41.822 6.064-85.915 6.064-129.844-36.633 4.374-73.274 7.63-109.906 9.44l-56.47 132.874L196.5 76.874c-36.768-1.483-73.514-4.73-110.28-10.093z","fillRule":"evenodd"}}]})(props);
};
function GiEel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M290.4 27.83C219 81.44 130.3 113.9 52.29 159.4c-5.97 3.5-7.78 6.9-8.57 12.3s.37 13.1 2.91 21.6c1.4 4.6 3.19 9.5 5.1 14.5 6.06-11.5 15.22-22.5 26.17-32.9 23.1-22.1 55.4-42.7 89.2-61.2 67.8-36.97 142.8-65.34 165.3-74.39-15.1-2.99-29.9-6.48-42-11.48zm94.1 18.23c-14.6 0-28.6 3.2-44.9 9.78-23 9.25-97.4 37.37-163.9 73.66-33.2 18.1-64.3 38.2-85.37 58.4-21.14 20.2-31.24 39.2-27.8 55.8 4.07 19.6 23.14 34.1 52.97 44.7 30 10.6 69.4 16.6 108.4 20.3 39.1 3.6 77.9 5 107.6 6.9 14.9 1 27.5 2.1 37.1 3.8 4.8.9 8.9 1.9 12.7 3.4 3.6 1.5 8 3.8 9.6 9.7 3.2 11.7-1.4 23.6-9.6 32.6-8.4 9.1-20.3 16.7-34.7 23.9-28.7 14.5-68 26.9-108.1 38-40.3 11-81.4 20.5-113.3 28.6-15.9 4.1-29.51 7.7-39.36 11-3.97 1.3-6.78 2.4-9.33 3.5 7.74 2.1 21.67 3.6 39.19 3.8 36.3.5 88.4-3.8 141.6-13.5 53.1-9.7 107.2-24.8 148-45.1 40.7-20.3 66.5-45.1 68.2-73.1 1.9-27.4-12.1-44.3-37.1-57.9-25-13.5-60.9-21.7-97.1-26.9-36.4-5.2-73.4-7.6-101.8-10.8-14.4-1.7-26.4-3.4-35.6-6.1-4.8-1.4-8.8-2.9-12.4-5.5-3.5-2.5-7.1-6.9-7.5-12.4-.4-8 4-14.7 9.4-20.2 5.3-5.6 12.3-10.5 20.6-15.3 16.5-9.5 38-18.3 59.4-26.1 42.7-15.5 85.5-26.4 85.5-26.4l1.5-.4 1.4.1c29.1 2.1 64.3-3.8 89.7-15.7 12.8-5.9 22.9-13.3 29-21.23 3.9-5.05 6-10.16 6.6-15.76-36.8 12.56-48.6 18.26-78.3 19.49l-.9-18.03c24.9-.98 34.1-4.88 62-14.57-26.1-10.97-46.5-18.01-64.3-20.85-5.6-.91-11-1.43-16.2-1.56h-2.9zm-11 17.11a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zM214.7 206.6c-4.3 2.9-8.1 5.8-10.6 8.3-2.6 2.7-3.4 4.5-3.6 5.7 1 .6 3.1 1.6 6.4 2.6 7.2 2.1 18.7 3.9 32.6 5.5 27.6 3.1 64.9 5.6 102.3 10.9 37.2 5.4 74.6 13.4 103.1 28.9 16.5 8.9 30 20.8 38.4 35.9.8-10.4.1-23.4-3.7-41.2C406 230 298.9 224 214.7 206.6zm157.8 140c-86.6 25.6-158.5 61.1-270.6 74.1-44.78 5.3-56.15 28-75.05 50.3 2.59 3.2 6.97 6.1 13.79 8.4 6.07 2.2 13.65 3.7 22.06 4.8-2.15-1.2-4.12-2.7-5.9-4.8-1.89-2.3-3.31-5.8-3.18-9.2.13-3.4 1.55-6.3 3.23-8.6 2.95-3.9 6.03-5.2 9.79-7 3.77-1.7 8.28-3.4 13.61-5.2 10.65-3.4 24.55-7.2 40.55-11.2 32.2-8.2 73.2-17.7 112.9-28.6 39.7-10.9 78.2-23.3 104.9-36.7 13.3-6.6 23.5-13.6 29.3-19.9 2.2-2.4 3.7-4.5 4.6-6.4z"}}]})(props);
};
function GiEggClutch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M191.75 36c-.61 0-1.205.03-1.813.063-19.428 1.067-38.773 19.964-52.562 50-6.317 13.76-11.322 29.556-14.72 46.156 17.484 7.632 32.42 23.69 44.314 43.624.655-1.813 1.332-3.606 2.03-5.375 13.44-34.055 35.15-61.243 65.094-64.532 1.87-.206 3.745-.3 5.594-.313 7.764-.057 15.32 1.54 22.593 4.5-4.258-10.827-9.193-21.016-14.655-30.125-16.466-27.458-36.948-43.967-55.875-44zm134.406 8.53c-1.23-.007-2.447.06-3.656.19-18.168 1.93-35.45 19.565-47.625 47.124 5 10.974 9.278 22.676 12.75 34.75 8.72 7.852 16.788 17.48 24.03 28.187 10.013 14.803 18.648 31.955 25.376 50.25 2.528-4.694 5.17-9.243 7.94-13.593 16.88-26.52 38.59-47.037 63.186-51.718-6.524-19.918-15.44-38.63-25.78-54.032-17.27-25.726-37.78-41.04-56.22-41.157zm-86.344 79.814c-1.23-.004-2.447.054-3.656.187-19.34 2.126-37.618 22.04-49.75 52.782-3.89 9.86-7.104 20.677-9.53 32.032 29.68.523 53.856 24.966 70.75 57 4.535 8.602 8.58 17.865 12.093 27.562 3.923-7.238 8.14-14.132 12.624-20.562 14.788-21.204 32.794-38.133 52.625-44.938-6.728-23.306-16.828-45.436-28.814-63.156-17.36-25.664-37.906-40.857-56.344-40.906zm-139.78 21.75c-13.674 0-27.782 8.808-40.313 24.187l25.655 14.845 5.72 3.28-1.19 6.47-4.155 22.875 11.094 10.594-12.875 13.53-14.782-14.06-3.626-3.5.907-4.94L70.343 198 49.03 185.687c-1.436 2.404-2.854 4.883-4.218 7.47-15.416 29.233-25.218 68.456-25.218 105.155 0 36.32 23.966 65.417 57.312 74.72 1.153-37.705 11.2-76.254 27.25-106.688 13.374-25.36 31.34-45.97 52.97-53.72.685-3.718 1.438-7.396 2.28-11.03-1.338-2.893-2.717-5.71-4.156-8.438-15.416-29.233-35.76-47.062-55.22-47.062zm318 11.344c-19.202.582-40.093 16.975-57.313 44.03-4.662 7.324-9.003 15.338-12.94 23.845.935.067 1.88.165 2.814.28 29.895 3.718 51.205 31.196 64.156 65.438 11.4 30.14 16.72 66.696 14.47 102.064 33.922-8.08 60.06-36.513 62.936-71.72 3.093-37.845-3.716-79.103-17.156-110.562-13.44-31.458-32.94-51.63-53.156-53.28-1.264-.104-2.533-.133-3.813-.095zM175.905 228.03c-19.458 0-39.802 17.8-55.22 47.032-15.415 29.234-25.217 68.49-25.217 105.188 0 44.28 35.612 77.875 80.436 77.875 24.69 0 46.663-10.8 61.375-27.656-5.878-14.5-8.246-30.682-6.155-47.5 2.715-21.84 8.586-43.758 16.813-64.064-4.268-15.86-9.988-30.842-16.844-43.844-15.417-29.233-35.73-47.03-55.188-47.03zm168.72 15.876c-1.23-.015-2.47.038-3.72.156-17.48 1.666-36.676 16.25-53.22 39.97-18.904 27.107-33.47 64.832-37.998 101.25-5.464 43.944 25.704 81.687 70.187 87.218 44.293 5.508 84.182-25.098 89.438-67.375 4.527-36.418-.34-76.556-12.032-107.47-.635-1.682-1.294-3.317-1.967-4.936l-30.094 24.342 7.092 7.594-13.656 12.75L344.72 322.5l-6.845-7.344 7.813-6.312 41.093-33.28c-10.798-18.223-24.287-29.64-38.5-31.408-1.206-.15-2.425-.234-3.655-.25z"}}]})(props);
};
function GiEggDefense (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M187.53 19.813c-7.494.11-15.638 1.296-24.343 3.656C107.48 38.57 50.07 95.98 34.97 151.687c-15.102 55.708 17.82 88.632 73.53 73.53C164.21 210.12 221.618 152.71 236.72 97c12.74-47.004-8.713-77.787-49.19-77.188zm106.064.25c17.368 69.213-3.744 149.306-61.813 207.375-57.893 57.894-137.616 78.902-206.686 61.812 75.073 36.3 167.67 23.735 229.937-38.53 62.39-62.39 75.13-155.505 38.564-230.657zm75.78 17.406c15.67 62.43 5.623 132.136-29.405 192.81l46.936 46.657-66-17.875c-5.573 7.407-11.568 14.613-17.97 21.594l33.377 57.438-57.875-33.625c-4.864 4.196-9.85 8.19-14.907 12l19.126 70.56-50-50.28C172.688 370.7 104.12 380.333 42.53 365.094c58.39 28.233 125.507 32.17 186.126 11.562l110.25 110.875-35.156-129.624 117.688 68.375-74.125-127.56 141.937 38.467L379.625 228.22c22.275-61.897 18.833-130.98-10.25-190.75z"}}]})(props);
};
function GiEggEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32C160 32 96 192 96 320c0 64 32 160 160 160s160-96 160-160c0-128-64-288-160-288zm74.1 89.2l11.8 13.6-53 46.7 8.8 14.6c31.1 34.3 62.9 65.8 97.4 96.4l-12 13.4-19.6-17.3-25.7 114.6-17.6-4 16.4-73c-46.8-15-93.2-31.5-140.1-46.3-3.9 1.6-8 2.9-12 4.3l-6.7 36.6 51 31.9-9.6 15.2-44.9-28.1-5.4 29.8-17.8-3.2 13.8-75.4-33.9 11.8-6-17 63.7-22.2 21.6-9.3 70.9-50.9-32.9-54.8 15.4-9.2 15.8 26.4 50.6-44.6zM288 236.5c-22.1.2-37.7 13-44.6 42.7 47.1 16.7 71.4-.2 84.5-33.4-14.9-6.2-28.3-9.5-39.9-9.3zm-6 6.9a10.24 10.37 0 0 0-1.1 4.8 10.24 10.37 0 0 0 10.2 10.4 10.24 10.37 0 0 0 9.6-6.8 18.38 17.35 0 0 1 2.5 8.7 18.38 17.35 0 0 1-18.4 17.3 18.38 17.35 0 0 1-18.3-17.3 18.38 17.35 0 0 1 15.5-17.1z"}}]})(props);
};
function GiEggPod (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-67.5 0-105 120-105 210 0 45 45 90 105 90s105-45 105-90c0-90-37.5-210-105-210zM136 271c0 90 45 75 45 135 0 90-75 60-75 90h300c0-30-75 0-75-90 0-60 45-45 45-135-90 105-150 105-240 0z"}}]})(props);
};
function GiEgypt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.208 51.973l7.023 407.352 398.925.702 63.636-60.515L326.02 133.443l8.428-9.833c26.455 31.79 72.101 106.86 79.364 93.41 15.243-28.226 13.407-53.944 19.665-80.768l-35.819-72.34-65.317 13.345-77.959-22.475-76.965 24.687z"}}]})(props);
};
function GiEgyptianBird (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M393.2 28.76c-1.2 0-2.5.1-3.7.16-3.3.26-6.7.84-10.2 1.77-13.4 3.6-27.5 12.4-39.3 27.9-1.2 4.95-1.1 9.33.1 12.56 2 5.03 6.7 9.75 20.9 12.02l-2.8 17.73c-15.1-2.36-26.2-8.8-32.1-17.8-5.7 13.66-10 30.2-12 50.1l-.5 4-3.2 2.4c-119.7 86.7-215.6 186-281.74 279.7 95.44-20.8 185.74-43.1 253.64-78.5 71.3-37.3 117.8-87.4 124.2-167 0-8.1-2.1-13.5-4.9-17.4-3.4-4.5-8.2-7.2-13.5-8.3-5.3-1.2-11-.5-15.2 1.3-4.1 1.8-6.3 4.2-7.1 7.2l-17.4-4.4c2.3-9.2 9.4-15.9 17.3-19.3 15.8-6.5 34.4-3.2 46.4 8.3 2.9-9.8 6.6-19.9 10-29.8.9-2.6 1.8-5.2 2.6-7.7 14.8-14.48 30.3-23.12 58.4.1 3.1-27.19-24.8-53.8-50.9-48.22-2.5-9.52-8.3-16.44-16.2-21.05-6.3-3.75-14.2-5.84-22.8-5.77zM406.6 46c5 0 9 4.03 9 9s-4 9-9 9-9-4.03-9-9 4-9 9-9zm-31.5 247c-9.1 10.3-19.2 19.8-30.3 28.7-1.8 23-3.5 46.9-12.9 70.2 4.8.4 9.5.6 13.6.3 4.7-.4 8.4-1.4 10.6-2.7 2.3-1.4 3.5-2.6 4.4-5.6 8.6-29.7 12.1-60.1 14.6-90.9zm-49.9 43.2c-10.9 7.3-22.4 14.1-34.6 20.5-9.9 5.2-20.2 10-30.8 14.7l7.2 27.5c1.1 4.2 2.5 5.2 5.9 6.3 3.3 1.1 8.8 1.1 14.6-.1 5.9-1.2 12-3.6 16.6-6.1 4.6-2.5 7.6-6.1 7.1-5.1 9.1-17.7 12-37.2 14-57.7zm-143.1 63.4c-35.9 10.9-74 20.4-113.18 29.3-4.17 5.9-7.44 12.3-8.49 16.6-.52 2.2-.45 3.6-.33 4.1 12.93 7.1 31.41 9.6 44.3 9.2 16.6-.6 33.3-4.6 43.4-9.4 9.5-4.4 22-22.8 30.2-40.5 1.5-3.2 2.8-6.3 4.1-9.3zm171.6 9.6c-2.3.4-4.5.7-6.8.9-3.7.3-7.5.3-11.3.1l4.5 55h-46.6l3.1-43.8c-1.8.5-3.6.9-5.4 1.3-4.2.9-8.5 1.4-12.9 1.4l-2.8 41.1h-32.9l-14 18H434l-16-18h-59.8z"}}]})(props);
};
function GiEgyptianProfile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M283 23.76c-80 .95-128.2 41.59-154.4 102.44-26.2 60.7-32.7 141.1-35.67 226.9l-.33 9.4c10.5-.2 21.1-.5 31.6-.7 11.8 32.8 28.2 64 51.2 87 24.9 24.8 57.2 40.5 102.1 39.4 44.4-1.1 73.9-16.9 96.2-41.7 20.6-22.9 34.5-54.2 45.7-88.2-5.7-2.2-11.6-4.2-17.3-6.1-13.6 42.8-32.6 73.7-55.9 93.7-24.8 21.3-54.5 29.4-82.5 25.7-53-6.8-99.6-50.6-123.1-110.1l38.8-.9c21 42.8 56.4 71.2 88.8 75.4 18.9 2.5 36.9-2.1 54.6-17.3 16.5-14.2 32.7-38.6 44.7-76.4-4.7-1.1-9.3-2.1-14.1-3.1-13.5 26.3-26.3 45.1-39.6 57.9-14 13.4-29.3 20-44.6 18.4-15.3-1.5-29.1-10.3-42.5-23.7-8.5-8.7-17-19.3-25.7-31.7 7.1 0 14.7-.3 21.5-.7 5.8 7.6 11.5 14.3 17 19.8 11.6 11.6 22.2 17.6 31.5 18.5 9.3 1 18.8-2.4 30.4-13.6 10.3-9.8 21.5-25.6 33.5-47.9-3.8-.6-7.7-1.1-11.6-1.5-10.3 15.3-22.4 32.9-37.5 41.2-8.7 4.7-18.5 3.5-25.9-.3-9.3-5.3-15.5-12.3-21.6-19.5 5.8-2 11.2-4.9 15.9-8.8 6 5.9 14.8 17.1 23 12.8 8.3-4.4 21.5-21 31.7-36.1 7.9-9.1 12.5-24 22.5-29.9 15.2-4.3 37.1 11.5 46.9-1.2 3.3-4.5 5.6-9 7.2-13.5l-15.8-.5-8.8-18.3 27.7 1c-.2-11.7-2.1-20.4-4.1-31.9 8.7 1.6 18.5 2.6 26.2.7-4.1-9.7-9.5-19.5-17.8-27.9-41.2 5.3-77.4.5-99.4-32.4 32.5-13.7 71.2-17.8 91.2-3.2.1-6.2-.1-12.4-1.2-18.5 7.1.3 12.9.8 20.2 1.3l.2-9.5c.7-24.7-6.6-53.7-25.7-76.97-19.1-23.27-50.6-40-95.2-39.47zm.3 17h3.7c38.3.41 62.4 14.35 77.8 33.08 13.6 16.54 20.2 37.36 21.5 56.06-29.9-1.3-53 3-70.9 11.8-19.7 9.7-32.6 24.9-40.5 41.9-15.7 33.9-13.3 74.6-15.5 102.4-1.8 23.5-6.8 37.1-13.4 44.7-6.6 7.6-15.5 10.8-30 11.6l-105.4 2.3c3.2-81.9 10.5-157.4 34-211.9 24.5-56.65 64.1-91.05 138.7-91.94zM351.7 174c-8.4.5-16 1.8-23.1 3.7 6 3.7 12.7 6.5 19.5 8.4-1.2-4.4.7-9.6 3.6-12.1zm17 3.9c1.6 3.6 1.2 7.6-.5 10.8 3.9-.1 7.8-.4 11.4-1.2-2.6-4.2-7-7.3-10.9-9.6z"}}]})(props);
};
function GiEgyptianPyramids (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M61.188 31.47A34.17 34.17 0 0 0 26.03 65.624a34.172 34.172 0 0 0 68.345 0A34.17 34.17 0 0 0 61.187 31.47zm215.093 86.093L61.5 326.905l13.5 2.78 66.5-64.436 6.75-6.53 6.5 6.75 96.813 100.78 74.593 15.438-49.875-264.125zm170.158 10.843l-68.75 67L479.25 302.22l-32.813-173.814zm-299.063 151.47L25.25 397.718l150.5 30.81-28.375-148.655z"}}]})(props);
};
function GiEgyptianSphinx (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M300.576 62.504c-5.143.025-10.986.545-17.709 1.453-1.832 12.01-3.82 24.255-5.767 36.686.12-.049.228-.097.35-.145l6.65 16.727c-12.89 5.124-20.793 10.216-24.383 13.992-3.59 3.775-3.479 4.84-2.72 7.334.757 2.493 3.97 6.938 9.976 11.744s14.46 9.992 24.338 15.228l-8.43 15.905c-5.362-2.843-10.407-5.699-15.063-8.612-1.492 17.662-2.23 35.503-1.707 53.405 31.644 5.36 60.492 9.17 102.098-9.346-.48.214.854-.617 2.07-3.428 1.217-2.81 2.302-7.088 2.868-11.84 1.13-9.494.108-21.038-2.4-27.77l-13.505-33.028-1.87-24.323-.005-.088c-.425-7.426-4.354-20.672-10.2-31.431-5.844-10.759-13.971-18.371-18.183-19.281-9.633-2.082-17.388-3.225-26.408-3.182zm-36.12 2.402C199.106 72.436 141.72 99 107.876 175.696c14.148 6.566 44.463 12.325 73.25 14.308 15.532 1.07 30.814 1.255 43.348.553 10.835-.607 19.917-2.218 24.168-3.565.505-9.042 1.26-18 2.16-26.883-5.114-4.772-9.099-9.972-11.03-16.324-2.515-8.276.25-17.979 6.9-24.972 2.891-3.04 6.401-5.83 10.61-8.477 2.375-15.559 4.892-30.74 7.172-45.43zm74.25 51.82c4.875 14.575 2.858 18.95-4.585 33.524l-34.017-27.016 38.601-6.507zm-231.009 78.516c3.35 21.601 14.17 41.45 36.807 56.363 35.558 22.692 71.206 29.72 110.287 34.016-5.52-26.83-7.306-53.507-6.855-79.68-6.398 1.415-13.856 2.105-22.456 2.586-13.514.757-29.4.55-45.591-.566-26.352-1.816-52.968-5.472-72.192-12.719zm159.418 49.299c1.32 16.453 3.823 32.92 7.932 49.307l3.1 12.365-12.688-1.217c-40.783-3.908-80.133-9.74-119.176-31.39-7.632 10.71-16.994 21.064-30.12 29.937l-2.284 1.543H23.883V343H352.77c-4.408-14.152-10.687-27.805-19.693-40.783-8.612-12.412-15.316-25.337-16.392-39.844-.347-4.666-.033-9.416.939-14.227-17.998 1.137-34.396-.973-50.51-3.605zM23.883 361v30h337.752c-.902-10.159-2.238-20.177-4.26-30H23.883zm0 48v24.813c14.243-3.005 31.008-5.348 53.191-7.26 4.117-.355 7.992-.517 11.643-.49 10.953.08 19.888 1.86 27.273 5.24 9.847 4.506 16.44 12.031 20.324 19.967 5.85 11.953 7.063 24.81 8.706 34.523h342.859c1.198-12.979-1.829-25.945-15.858-36.398-4.45-3.317-11.144-6.12-26.046-6.624-14.903-.503-37.498 1.569-71.565 7.846l-10.42 1.922-.209-10.596c-.217-11.062-.447-22.06-.965-32.943H23.883zm64.66 35.07c-3.01-.025-6.309.105-9.924.416-23.802 2.052-40.63 4.434-54.736 7.606v33.701H126.4c-1.856-10.05-2.86-19.676-6.254-26.611-2.495-5.098-5.628-8.758-11.646-11.512-4.513-2.066-10.93-3.525-19.957-3.6z"}}]})(props);
};
function GiEgyptianTemple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M483.5 57l-10 30h-147l-10-30zm-288 0l-10 30h-147l-10-30zm260.4 48l30.2 302H445l-.2-210-32.8-73.1-32.8 73.1-.2 210h-18V199h-26.3l9.4-94zm-288 0l9.4 94H151v208h-18l-.2-210-32.8-73.1L67.2 197 67 407H25.9l30.2-302zM412 164.1l9.4 18.9h-18.8zm-312 0l9.4 18.9H90.6zM427 201v206h-30V201zm-312 0v206H85V201zm228 16v30H169v-30zm0 48v142h-30V295H199v112h-30V265zm144 160v62H342.1l-24.8-62zm-189.1 0l8.4 21H205.7l8.4-21zm-103.2 0l-24.8 62H25v-62zm118.8 39l9.2 23H189.3l9.2-23z"}}]})(props);
};
function GiEgyptianUrns (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M67.22 18.91c-3.69 6.62-6.78 17.57-8.28 30.74C57 66.43 57 86.18 57 104c0 10.1 6.82 18.4 16.41 23.7-1.56-7.7-2.43-15.7-2.4-23.7v-2.1l.94-1.93C77.59 88.69 87.37 81 98.78 76.39 93.84 62.2 87.93 48.5 81.86 37.79c-4.04-7.13-8.17-12.92-11.66-16.49-1.2-1.22-2.06-1.75-2.98-2.39zm121.58 0c-.9.64-1.8 1.17-3 2.39-3.5 3.57-7.6 9.36-11.7 16.49C168 48.5 162.2 62.2 157.2 76.4c11.4 4.6 21.2 12.29 26.9 23.57l.9 1.93v2.1c0 8.1-.9 16-2.5 23.7 9.7-5.2 16.5-13.6 16.5-23.7 0-17.82 0-37.57-1.9-54.35-1.5-13.17-4.6-24.12-8.3-30.74zM384 25c-7.9 0-16.7 5.06-23.6 18.45l-1 3.55h49.2l-1-3.55C400.7 30.06 391.9 25 384 25zm-29.8 40l-9.6 33.57L378.3 65h-24.1zm35.5 0l33.7 33.57L413.8 65h-24.1zM384 84.73l-21 21.07 21 42.1 21-42.1-21-21.07zM128 89c-16.7 0-32.3 6.64-38.86 17.3C89.8 133 103.2 160.6 116 175h24c12.8-14.4 26.1-42 26.9-68.7C160.3 95.64 144.7 89 128 89zm214.7 16.5l-13.4 46.9c.2.3.9 1.8 4 4.3 3.8 2.9 9.7 6.2 16.2 9 9.3 4 20.1 6.9 27.5 8.4L343.9 108l-1.2-2.5zm82.6 0L391 174.1c7.4-1.5 18.2-4.4 27.5-8.4 6.5-2.8 12.4-6.1 16.2-9 3.1-2.5 3.8-4 4-4.3l-13.4-46.9zM102 111h52v18h-52v-18zm-28.24 36.6c-1.31 2.2-2.6 4.4-3.84 6.7-11.65 21.6-19.11 48.1-26.35 71 9.35 2.1 18.69 3.9 28.03 5.3l16.77-63.2c-3.16-5.6-6.03-11.5-8.5-17.8-2.06-.6-4.1-1.2-6.11-2zm108.54 0c-2 .7-4.1 1.4-6.2 1.9-2.5 6.3-5.3 12.3-8.5 17.8l16.8 63.3c9.3-1.4 18.7-3.2 28-5.3-7.2-22.9-14.7-49.4-26.3-71-1.2-2.3-2.5-4.5-3.8-6.7zm136.9 20.7c-8 18.4-13.9 38.8-19.6 57 56.3 12.7 112.5 12.7 168.8 0-5.7-18.2-11.6-38.6-19.6-57-1 .9-2 1.7-3 2.5-5.7 4.6-12.8 8.3-20.3 11.5C410.6 188.7 395 193 384 193s-26.6-4.3-41.5-10.7c-7.5-3.2-14.6-6.9-20.3-11.5-1-.8-2-1.6-3-2.5zm-217.3 18.2l-12.28 46.3c25.58 2.7 51.18 2.7 76.78 0l-12.3-46.3c-1.2 1.3-2.5 2.7-3.7 3.9l-2.7 2.6h-39.4l-2.7-2.6c-1.2-1.2-2.5-2.6-3.7-3.9zm-60.69 56.9c.11 10.6.37 21.1.78 31.4 57.78 27.1 114.21 27.1 172.01 0 .4-10.3.7-20.8.8-31.4-57.8 12.8-115.79 12.8-173.59 0zm255.99 0c1 103.3 16.2 191.9 44.5 251.6h84.6c28.3-59.7 43.5-148.3 44.5-251.6-9.9 2.2-19.9 4-29.8 5.4V296h-18v-44.9c-10 .9-20 1.6-30 1.8V328h-18v-75.1c-10-.2-20-.9-30-1.8V296h-18v-47.2c-9.9-1.4-19.9-3.2-29.8-5.4zM42.99 295c4.84 81.1 19.24 150.5 42.72 200h84.59c23.5-49.5 37.9-118.9 42.7-200-56.3 23.8-113.65 23.8-170.01 0z"}}]})(props);
};
function GiEgyptianWalk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M248.512 18.479c-32.578-.085-52.916 34.52-54.649 58.357l23.64 14.547 26.333-8.41s-.994 22.179-5.809 21.927c-25.344-.124-79.06 1.741-114.797 5.588-3.243 26.137-5.325 58.266-4.015 84.403l-42.358 9.47c5.398 7.571 28.207 18.895 54.94 16.56 7.804-25.385 20.65-61.55 19.463-85.552 22.023 4.867 44.19 8.627 66.969 7.447 3.798 22.326 3.662 43.358 10.376 63.83 22.296 6.157 44.447 14.398 63.29 20.788 7.68-27.1 11.071-54.355 15.066-83.452 0 0 81.216-.021 85.223.551 4.006.573-1.135-91.85-1.135-91.85C411.28 48.71 419.999 42 430.525 31.237c-20.892-5.236-37.465-3.409-56.656 1.44l-7.416 81.246c-21.052-5.688-59.138-10.703-90.572-9.717l-3.77-18.81c10.162 2.381 24.457 7.756 33.532 8.582 5.676-1.62 3.628-14.765 3.187-15.877-17.932-1.545-14.697.558-19.248-16.198l16.053.153c-7.84-26.946-34.732-43.519-57.123-43.576zm-15.155 208.525c-1.813 4.053-4.194 9.634-7.05 16.539-5.98 14.452-13.723 33.818-21.377 53.184-11.625 29.41-18.16 46.38-22.985 58.837l149.034-52.888-42.09-56.91-55.532-18.762zm103.456 93.049c-15.556 5.35-30.83 11.465-46.178 17.375 8.913 14.955 15.794 30.925 28.902 43.783-2.248 18.194-3.509 26.486 1.717 38.06 9.383 20.785 49.22 47.514 49.22 47.514-1.627 6.569-8.79 19.485 0 26.748h59.239c4.798-5.58 2.227-10.342 1.43-15.3-46.64 3.791-65.323-57.482-83.561-92.442-.228-22.753-4.511-44.493-10.77-65.738zm-112.739 40.011l-54.865 19.471c-7.346 8.974-16.394 12.54-22.52 21.28-16.725 23.86-27.963 61.48-38.632 78.415-1.998 4.348-.924 11.468.859 14.303h68.107c4.58 0-.572-12.586-.572-12.586-19.358.345-29.845-2.456-37.773-12.017 7.137-26.23 33.068-43.45 50.365-66.971 16.006-10.358 25.745-27.624 35.031-41.895z"}}]})(props);
};
function GiEightBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23C127.424 23 23 127.424 23 256s104.424 233 233 233 233-104.424 233-233S384.576 23 256 23zm0 18c118.848 0 215 96.152 215 215s-96.152 215-215 215S41 374.848 41 256 137.152 41 256 41zm-95.768 53.18c-20.468.103-50.85 29.877-72.595 72.966-24.85 49.246-29.006 97.236-9.283 107.188 19.722 9.952 24.796-38.29 49.646-87.535 24.85-49.247 60.066-80.848 40.344-90.8-2.466-1.244-5.188-1.835-8.112-1.82zm162.89 43.363A99.123 102.456 0 0 0 224 240a99.123 102.456 0 0 0 99.123 102.457A99.123 102.456 0 0 0 422.246 240a99.123 102.456 0 0 0-99.123-102.457zm8.32 45.057c6.57-.104 12.27 1.175 17.095 3.834 7.02 3.867 11.325 10.098 12.912 18.693 1.134 6.146.342 11.68-2.374 16.6-2.668 4.91-6.957 8.708-12.867 11.388 7.31.338 13.35 2.525 18.116 6.56 4.815 4.027 7.857 9.474 9.125 16.34 1.925 10.42.208 19.003-5.15 25.753-5.31 6.74-13.893 11.206-25.753 13.396-11.86 2.19-21.498 1.088-28.912-3.303-7.367-4.398-12.012-11.808-13.936-22.227-1.27-6.867-.373-13.04 2.687-18.52 3.06-5.48 7.943-9.684 14.652-12.61-6.527-.385-11.937-2.39-16.23-6.017-4.248-3.635-6.94-8.525-8.074-14.672-1.587-8.594.21-15.952 5.385-22.072 5.225-6.128 13.166-10.176 23.825-12.144 3.346-.618 6.512-.95 9.498-.998zm-2.358 11.98c-1.585.037-3.254.217-5.01.54-6.29 1.163-10.9 3.627-13.83 7.396-2.88 3.76-3.806 8.424-2.777 13.994 1.028 5.57 3.558 9.595 7.592 12.078 4.08 2.474 9.267 3.13 15.557 1.97 6.242-1.154 10.827-3.614 13.756-7.382 2.977-3.777 3.952-8.452 2.924-14.022-1.03-5.57-3.61-9.586-7.738-12.05-2.552-1.547-5.524-2.385-8.92-2.514-.51-.02-1.028-.022-1.556-.01zm9.832 46.848c-1.947-.014-4.008.18-6.184.582-6.914 1.277-12.023 4.13-15.326 8.564-3.254 4.425-4.283 9.877-3.086 16.36 1.197 6.482 4.105 11.21 8.725 14.18 4.668 2.96 10.46 3.8 17.373 2.525 6.914-1.278 12.023-4.133 15.326-8.566 3.294-4.48 4.346-9.94 3.158-16.373-1.197-6.48-4.128-11.203-8.797-14.165-3.176-2.042-6.906-3.077-11.19-3.107z"}}]})(props);
};
function GiElbowPad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M414.6 20.26c-16.2 0-33.3.02-50.4.07-65.5.12-125.1.36-130.5.36-18.7 39.24-33.1 82.51-45.3 127.51 38.8 11.2 77.1 28 109.6 47.8 19.4 11.8 36.8 24.5 50.9 37.9 15.6-20.8 34.3-47.2 53-74.6 21.8-31.9 43.7-65.23 60.9-92.86 11.7-18.81 21-35.08 26.7-46.02-7.7-.04-18.1-.14-30.7-.14v.05c-13-.05-28.1-.07-44.2-.07zM158.4 159.2c-4.4 7.5-8.8 15.2-13.1 23.1 66.2 2.3 131.7 38.9 170.4 72.9l6.3 5.6-5 6.6c-8.2 10.8-15.6 37.2-3.5 66.5l5.7 13.7-14.8-1.3c-63.5-5.9-127.4 4.7-187.8 31.8 1.6 5.6 3.4 11.2 5.5 17 66.4-29.3 145.1-39.7 233.4-25.6 15-24.4 20.9-48.4 10.3-80.9-8-24.1-37.4-53-77.2-77.2-38-23.2-85.1-42.2-130.2-52.2zm-19.3 41h-2.9c-22 45.5-36.93 97.5-23.9 160.1 57.8-25.3 119.1-36.3 180.1-32.8-6.9-25.2-2.9-48 5.5-63.5-37.8-31.1-100.2-63.6-158.8-63.8zm137 181c-41.5.3-80 6.7-115.2 18.2 10.4 32 24.3 63.7 41.2 94.5h138.2c-1.5-36.9-6.6-74.2-15.5-110.3-16.7-1.8-32.9-2.5-48.7-2.4z"}}]})(props);
};
function GiElderberry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M58.576 29.404c-40.888-1.14-53.564 70.543-6.728 70.688v.004c37.58.117 70.66 6.477 100.36 17.787 8.646 83.748-16.3 168.856-68.78 232.12-4.372-1.542-9.154-2.13-14.065-1.524-16.997 2.09-29.08 17.585-26.984 34.61 2.093 17.025 17.57 29.128 34.567 27.037 16.997-2.09 29.08-17.585 26.987-34.61-.657-5.333-2.628-10.184-5.547-14.267 25.99-31.51 45.522-67.927 58.008-106.826 10.044 47.533 12.96 97.372 8.417 142.71-17.478 2.5-29.817 18.56-27.648 36.192 2.196 17.85 18.426 30.54 36.246 28.348 17.82-2.193 30.49-18.437 28.293-36.287-1.413-11.486-8.642-20.83-18.363-25.453 6.096-58.798.078-123.915-17.162-183.442 5.808-29.49 7.716-59.895 5.513-90.26 9.94 4.74 19.49 10.056 28.7 15.893 12.64 47.223 11.675 92.14 9.204 137.854 16.453-39.2 20.673-79.568 17.25-119.003 15.312 12.155 29.7 25.788 43.435 40.584l1.454 8.67c9.375 55.83 1.86 111.615-15.7 165.243-.74-.053-1.484-.09-2.237-.09-17.125 0-31.01 13.903-31.01 31.056s13.885 31.056 31.01 31.056 31.01-13.903 31.01-31.057c0-9.69-4.434-18.344-11.38-24.04 16.417-49.76 24.738-101.978 19.428-154.87 14.344 17.527 28.09 36.245 41.608 55.708l.777 7.196c4.844 44.835 2.982 89.25-2.258 133.62-18.948 2.78-33.5 19.12-33.5 38.87 0 21.702 17.567 39.293 39.233 39.293 21.666 0 39.23-17.59 39.23-39.293 0-17.18-11.013-31.774-26.35-37.113 4.5-38.298 6.568-76.987 4.032-116.214 25.97 21.178 45.51 44.763 66.672 68.65-2.312 4.347-3.628 9.304-3.628 14.572 0 17.154 13.885 31.057 31.01 31.057s31.01-13.903 31.01-31.057c0-17.15-13.885-31.056-31.01-31.056-5.053 0-9.818 1.218-14.034 3.365-22.4-25.39-44.186-51.934-75.277-75.7-11.335-19.128-23.13-37.694-35.5-55.548 35.69 14.514 74.107 34.817 101.357 56.458-1.533 3.916-2.383 8.174-2.383 12.635 0 19.134 15.487 34.642 34.59 34.642 19.102 0 34.59-15.508 34.59-34.642 0-19.132-15.488-34.643-34.59-34.643-7.707 0-14.823 2.525-20.573 6.793-36.876-30.005-89.47-54.557-133.137-68.998-13.875-18.21-28.465-35.533-43.893-51.81 47.205-10.508 96.006-9.74 135.895 2.312-.835 3.162-1.284 6.48-1.284 9.906 0 21.355 17.285 38.664 38.605 38.664 21.32 0 38.605-17.31 38.605-38.664 0-21.352-17.285-38.662-38.605-38.662-11.034 0-20.978 4.644-28.014 12.077-25.67-8.318-54.27-12.187-83.776-11.744-.383.006-.767.022-1.15.03 10.446-9.026 21.284-16.437 32.43-23.65 4.025 2.793 8.91 4.435 14.18 4.435 13.768 0 24.93-11.18 24.93-24.973 0-13.79-11.162-24.97-24.93-24.97-13.77 0-24.935 11.178-24.935 24.97 0 1.68.166 3.32.482 4.906-16.988 10.997-34.407 23.23-50.918 41.15-15.644 1.734-31.348 4.637-46.824 8.68-49.1-47.832-106.518-85.246-175.96-107.43-3.85-1.23-7.52-1.85-10.984-1.946z","fillRule":"evenodd"}}]})(props);
};
function GiElectricWhip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.484 39.262c49.142 2.758 98.444 7.823 147.96 15.924l-6.188-37.095L298.61 124.75l8.177-41.976L421.17 255.672l32.39-29.328-4.658 171.826 45.943 6.657-128.062 62.762 28.438 25.59-234.395-2.697c405.34-23.83 225.85-392.453-143.335-451.22z","fillRule":"evenodd"}}]})(props);
};
function GiElectric (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M376 211H256V16L136 301h120v195z"}}]})(props);
};
function GiElectricalCrescent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M239.172 27.03l-.004.005-66.578 25.697 50.226 2.918-.584 24.53c.726 12.525 5.523 14.74 18.106 12.85l83.516-15.186-56.65 39.13c-19.067 12.847-2.43 27.668 24.53 28.034l112.13 10.512-87.6 33.287c-23.595 8.37-10.043 38.75 12.263 49.642l86.434 39.712-89.94 2.92c-30.218.486-35.565 13.945-15.768 33.873l99.87 96.363-126.15-68.914c-25.672-12.57-41.764-.86-36.208 18.104l22.775 66.578-56.65-59.568c-12.143-13.383-38.997-16.92-40.296.578l-6.424 63.074-19.857-67.746c-3.372-15.715-31.885-25.995-38.545-11.68L79.152 406.64l3.504-65.994c2.903-14.986-8.96-28.388-24.53-14.6L32.43 345.32l-15.184-49.056 2.918 68.914 35.625-9.346 6.425 103.955 58.4-65.992 54.315 97.53 22.777-89.354 110.377 89.352-15.768-95.777 197.397 79.426-124.395-157.685 117.973-19.27-136.075-90.525 121.476-51.392-152.426-43.22 74.17-65.41-147.172 22.194-4.09-42.633zM137.42 91.446c8.008 3.085 15.954 6.974 23.695 11.692 54.57 33.253 78.314 94.91 53.03 137.715-25.28 42.802-90.01 50.54-144.58 17.286-22.038-13.43-39.044-31.49-49.83-51.072 1.372 6.19 3.247 12.407 5.628 18.604 12.02 31.28 36.836 61.6 71.633 82.863 34.798 21.262 72.684 29.257 105.334 25.348 32.65-3.91 59.756-19.373 75.002-45.254 15.247-25.884 15.917-57.697 3.898-88.978-12.018-31.28-36.833-61.6-71.63-82.863-23.506-14.364-48.42-22.668-72.18-25.343z"}}]})(props);
};
function GiElectricalResistance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32l-64 96 80 16-16 80 64-96-80-16 16-80zm-96 217c-1.9 0-9.8 3-15.8 6.7-2.8 1.7-5.3 3.5-7.2 4.8v119c1.9 1.3 4.4 3.1 7.2 4.8 6 3.7 13.9 6.7 15.8 6.7 1.9 0 9.8-3 15.8-6.7 5.9-3.7 10.6-7.3 10.6-7.3l2.5-2H201V265h-12.1l-2.5-2s-4.7-3.6-10.6-7.3c-6-3.7-13.9-6.7-15.8-6.7zm192 0c-1.9 0-9.8 3-15.8 6.7-5.9 3.7-10.6 7.3-10.6 7.3l-2.5 2H311v110h12.1l2.5 2s4.7 3.6 10.6 7.3c6 3.7 13.9 6.7 15.8 6.7 1.9 0 9.8-3 15.8-6.7 2.8-1.7 5.3-3.5 7.2-4.8v-119c-1.9-1.3-4.4-3.1-7.2-4.8-6-3.7-13.9-6.7-15.8-6.7zm-133 16v110h14V265h-14zm32 0v110h42V265h-42zM95.5 311c-18.8 0-36.6 9.2-49.94 22.7C32.22 347.1 23 365 23 384v106h18V384c0-13 6.78-27.1 17.32-37.7C68.85 335.8 82.8 329 95.5 329H119v-18H95.5zm297.5 0v18h22.9c13.1 0 27.1 6.8 37.7 17.4C464.2 357 471 371 471 384v106h18V384c0-19-9.2-37-22.7-50.4-13.4-13.4-31.4-22.6-50.4-22.6H393z"}}]})(props);
};
function GiElectricalSocket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23 23v466h466V23H23zm233 64c93.2 0 169 75.8 169 169s-75.8 169-169 169S87 349.2 87 256 162.8 87 256 87zm0 18c-83.5 0-151 67.5-151 151 0 71.3 49.2 130.9 115.5 146.8l13.9-27.8h43.2l13.9 27.8C357.8 386.9 407 327.3 407 256c0-83.5-67.5-151-151-151zm0 30c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm-80 89a32 32 0 0 1 32 32 32 32 0 0 1-32 32 32 32 0 0 1-32-32 32 32 0 0 1 32-32zm160 0a32 32 0 0 1 32 32 32 32 0 0 1-32 32 32 32 0 0 1-32-32 32 32 0 0 1 32-32zm-90.4 169l-6.5 13.1c5.5.6 11.2.9 16.9.9 5.7 0 11.4-.3 16.9-.9l-6.5-13.1h-20.8z"}}]})(props);
};
function GiElephantHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M137.057 36.698c-2.614 0-5.23.162-7.827.52-25.68 3.542-67.16 25.9-97.54 52.824 10.785-5.202 24.81-11.394 39.464-16.28 13.623-4.54 27.76-8.077 41.006-8.306 1.893-.033 3.767.002 5.62.11 7.407.437 14.596 2.11 20.863 5.99 1.865 1.154 3.62 2.523 5.234 4.074 6.646-10.978 14.16-22.022 23.152-33.076-7.964-2.88-17.548-5.41-27.362-5.803-.87-.034-1.74-.052-2.61-.052zm237.886 0c-.87 0-1.742.018-2.61.053-9.815.395-19.4 2.925-27.362 5.804 8.993 11.054 16.507 22.098 23.153 33.076 1.615-1.55 3.37-2.92 5.234-4.074 6.267-3.88 13.456-5.553 20.864-5.99 1.853-.108 3.727-.143 5.62-.11 13.246.23 27.383 3.766 41.006 8.307 14.655 4.885 28.68 11.077 39.465 16.28-30.38-26.925-71.86-49.283-97.54-52.825-2.596-.358-5.213-.52-7.827-.52zm-179.45 1.02c-28.343 29.284-43.33 58.435-58.462 88.687.01 8.366.11 22.473 1.9 36.78 1.905 15.244 6.6 29.882 11.412 34.722l24.36 22.395H185v58.437l17.742 8.87 3.963-11.888-7.53-37.655 17.65-3.53 15.415 77.077c5.957 4.855 14.755 7.688 23.76 7.688s17.803-2.833 23.76-7.688l15.414-77.078 17.652 3.53-7.53 37.656 3.962 11.888L327 278.74V220.3h12.273l22.364-22.364c4.818-4.818 9.525-19.486 11.433-34.753 1.79-14.307 1.89-28.414 1.9-36.78-15.11-30.204-30.076-59.31-58.33-88.55-44.585 6.62-77.05 5.087-121.148-.137zm16.532 30.533c29.854 14.928 58.096 14.928 87.95 0l8.05 16.103c-34.146 17.073-69.904 17.073-104.05 0l8.05-16.102zM114.67 83.463c-10.478-.157-24.295 2.87-37.824 7.38-20.06 6.686-39.25 16.184-49.223 21.42.863 2.71 1.833 5.585 2.973 8.682C36.2 136.18 44.9 155.478 54.386 174.24c9.488 18.764 19.8 37.067 28.524 50.38 4.362 6.657 8.365 12.083 11.387 15.483.827.93 1.26 1.252 1.887 1.843 21.254-11.455 29.27-22.205 38.695-34.36-8.99-11.137-11.9-26.9-13.81-42.167C118.98 148.685 119 132.3 119 124.3v-2.125l.95-1.9c4.604-9.21 9.277-18.53 14.362-27.915-1.285-2.52-2.94-4.14-5.142-5.502-2.92-1.808-7.107-3.01-12.45-3.324-.667-.04-1.352-.064-2.05-.074zm282.66 0c-.698.01-1.383.035-2.05.074-5.343.314-9.53 1.516-12.45 3.324-2.2 1.363-3.857 2.982-5.142 5.502 5.085 9.386 9.758 18.704 14.363 27.914l.95 1.9v2.126c0 8 .02 24.384-2.07 41.117-1.91 15.266-4.82 31.03-13.81 42.167 9.425 12.154 17.442 22.904 38.696 34.36.626-.592 1.06-.914 1.887-1.844 3.022-3.4 7.025-8.826 11.387-15.483 8.723-13.313 19.036-31.616 28.523-50.38 9.488-18.762 18.186-38.06 23.79-53.296 1.14-3.097 2.11-5.973 2.974-8.683-9.974-5.234-29.162-14.732-49.223-21.42-13.53-4.51-27.346-7.535-37.824-7.378zm-203.68 54.695c3.49.06 6.937.312 10.287.727 8.934 1.105 17.267 3.408 24.286 6.838 7.02 3.43 13.198 7.86 16.138 15.252l-9.405 3.744c.567 5.67 1.005 11.785 1.188 17.922.375 12.586.037 24.885-3.723 34.84l-16.84-6.358c1.873-4.96 2.914-16.396 2.57-27.947-.237-7.954-.968-16.098-1.824-22.973-4.19-1.547-9.244-2.793-14.6-3.455-14.394-1.78-30.602.868-40.052 8.54l-11.348-13.972c11.352-9.216 25.78-12.845 39.824-13.15 1.17-.025 2.337-.027 3.5-.008zm124.7 0c1.163-.02 2.33-.017 3.5.008 14.043.305 28.472 3.934 39.824 13.15l-11.348 13.973c-9.45-7.673-25.658-10.32-40.053-8.54-5.355.662-10.41 1.907-14.6 3.454-.855 6.875-1.586 15.02-1.823 22.973-.345 11.55.697 22.987 2.57 27.947l-16.84 6.36c-3.76-9.957-4.098-22.255-3.723-34.842.183-6.137.62-12.25 1.188-17.922l-9.406-3.744c2.94-7.39 9.118-11.822 16.137-15.252 7.02-3.43 15.352-5.733 24.285-6.838 3.35-.414 6.8-.668 10.288-.727zm-140.582 27.32c9.89 1.982 19.044 2.465 27.94.122l4.585 17.405c-12.44 3.277-24.618 2.413-36.06.12l3.535-17.647zm156.464 0l3.536 17.65c-11.443 2.29-23.622 3.155-36.06-.122l4.585-17.406c8.895 2.342 18.05 1.86 27.94-.122zM149.484 221.57c-3.926 18.077-11.744 56.325-12.488 79.027-.338 10.32.083 22.752.97 36.025 9.928-15.62 19.44-33.406 29.034-54.307V237.67l-17.516-16.1zm210.11 3.865L345 240.028v42.285c9.74 21.218 19.397 39.22 29.49 55.01.838-13.487 1.126-26.103.526-36.502-1.178-20.39-9.878-54.958-15.422-75.385zM180.12 296.427c-27.3 57.515-55.76 93.404-93.753 125.43 25.12.802 41.352-8.37 56.606-25.72 17.816-20.268 33.22-52.94 52.918-91.825l-15.77-7.885zm151.76 0l-15.77 7.885c19.696 38.886 35.1 71.557 52.917 91.824 15.254 17.352 31.487 26.523 56.606 25.72-37.994-32.025-66.454-67.914-93.754-125.43zm-118.06 14.87l-.564 1.696-1.266-.633c-19.548 38.716-34.844 72.163-55.5 95.66-3.083 3.508-6.326 6.758-9.728 9.75 2.473 17.93 4.636 31.68 5.355 36.155 17.846 7.732 41.202 10.51 62.938 8.283-.035-.626-.055-1.26-.055-1.906v-143.11l-1.18-5.894zm84.36 0l-1.18 5.895v143.11c0 .645-.02 1.28-.055 1.906 21.757 2.23 45.136-.556 62.99-8.305.75-4.39 3.04-18.03 5.626-35.853-3.52-3.068-6.87-6.412-10.05-10.03-20.656-23.497-35.952-56.944-55.5-95.66l-1.266.633-.564-1.695zM233 332.854v11.363c5.93 4.487 14.373 7.086 23 7.086s17.07-2.6 23-7.086v-11.363c-7.23 3.03-15.153 4.45-23 4.45-7.847 0-15.77-1.42-23-4.45zm0 32v11.363c5.93 4.487 14.373 7.086 23 7.086s17.07-2.6 23-7.086v-11.363c-7.23 3.03-15.153 4.45-23 4.45-7.847 0-15.77-1.42-23-4.45zm0 32v63.45c0 20 46 20 46 0v-63.45c-7.23 3.03-15.153 4.45-23 4.45-7.847 0-15.77-1.42-23-4.45z"}}]})(props);
};
function GiElephant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M236.422 98.393c-126.642-1.276-206.07 46.77-212.058 83.93-2.977 41.18-4.165 83.628-4.016 124.617l4.31 3.796c3.963-15.315 6.47-31.843 14.122-44.085 1.3 27.18 5.068 58.562 11.369 82.067-2.477 24.988-2.118 47.99-3.436 72.978 21.158 12.726 60.485 10.65 67.541 1.986 2.936-20.695 4.981-42.58 3.973-68.535l7.592-35.355c6.418-14.587 25.29-17.243 23.406-31.799l17.828-2.467c.355 25.196-14.375 27.1-24.713 41.653 12.994 5.357 14.676 3.886 24.059 5.124 23.848 2.742 45.234 3.774 67.802-8.175l-3.101-17.541 17.723-3.135 3.064 17.328c4.22 14.097 11.996 104.392 18.559 108.361 13.411 6.417 53.823 6.417 55.472-5.312 1.647-45.786 3.861-90.1-5.07-133.242 3.702-4.1 7.34-8.112 10.928-12.096-20.178-10.157-44.214-25.838-57.62-41.797-9.037-17.21-13.75-38.688-17.304-56.256-2.546-12.943-4.3-26.074-3.81-37.486.244-5.706 1.003-11.018 2.982-15.938 19.848-20.186 56.606-35.68 79.58-46.503-33.273-7.269-71.55 7.386-99.182 17.882zm128.934-9.931c-29.757 10.977-72.215 22.174-92.633 45.267-.807 2.008-1.51 5.563-1.7 9.994-.38 8.863 1.097 21.093 3.487 33.243 2.39 12.15 5.644 24.32 8.53 33.642 1.442 4.662 2.797 8.624 3.865 11.44 15.216 22.215 45.646 39.625 67.966 44.959l14.495-28.713c-11.574-15.04-13.779-35.226-4.59-50.352 4.932-6.143 9.727-10.553 16.982-10.416 4.545.109 9.194 1.996 12.856 5.045 25.905 21.572 49.481 48.69 83.37 70.66-.136-6.626-.26-12.94-.243-18.761.026-9.03-18.924-97.759-50.614-139.553-22.918-5.83-40.343-9.14-61.771-6.455zm68.883 76.232c4.327-.07 8.421.563 11.857 2.319.061 4.922-.298 10.035-10.887 16.152-4.501-4.72-11.239-10.838-17.908-15.627 5.427-1.506 11.374-2.754 16.938-2.844zm-54.233 32.838c-2.263 3.593-3.912 11.657-2.703 17.531 1.402 6.812 9.062 16.901 21.55 26.47 12.49 9.567 29.242 18.77 46.753 26.087 15.609 6.522 31.748 11.435 46.058 14.19-49.78-25.118-79.482-61.19-108.566-85.409-1.548-1.595-2.387.034-3.092 1.131zm58.914 86.797c.526 23.427-2.416 50.265-17.086 59.894-11.128 7.306-33.235 1.34-38.41-10.925-3.657-8.667 15.567-15.677 13.408-24.832-1.718-7.287-11.033-14.374-18.375-12.912-17.881 3.558-34.905 28.836-29.3 46.185 10.14 31.387 62.177 51.105 91.875 36.75 27.49-13.288 35.058-46.714 36.808-81.19-12.704-3.13-25.983-7.579-38.92-12.97zm-200.681 52.52a129.415 129.415 0 0 1-9.993 4.34l-8.67 77.603c1.22 8.802 15.819 12.647 30.385 12.81zm-100.65 4.519c-1.341 10.733-2.367 21.785-3.073 30.953-1.545 20.225-2.483 41.562-2.496 51.49 18.869 11.927 54.798 4.533 53.105-2.005-.656-27.278-6.002-49.806-12.58-73.717-11.983-1.258-23.524-3.864-34.957-6.721z"}}]})(props);
};
function GiElevator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M153 35v58h206V35H153zm60.3 13h32l-16 32-16-32zm74.7 0l16 32h-32l16-32zm-183 89v350h142V137H105zm160 0v350h142V137H265zm173 141v84h52v-84h-52zm26 26a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16z"}}]})(props);
};
function GiElfEar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M397.063 35.625c-.457-.016-1.004.003-1.625.03-3.728.168-10.345 1.242-18.313 3.876-10.624 3.514-23.957 9.298-38.813 16.782-29.71 14.97-65.58 36.7-100 60.813-34.42 24.112-67.443 50.63-91.593 74.875-23.258 23.347-37.07 45.37-38.19 56.813 12.647 31.888 32.353 64.766 23.72 110.812l-.063.313-.062.28c-6.6 25.567-2.835 44.212 4.47 53.626 7.303 9.414 17.606 12.227 33.155 5.03 1.985-.917 4.3-2 6.75-3.155-2.486-10.81-7.07-21.55-12.375-30a9 9 0 0 1-.22-.376 9 9 0 0 1 1.22-11.188 9 9 0 0 1 4.125-2.344 9 9 0 0 1 1-.187c2.646-.604 5.262-.946 7.875-.97 8.826-.075 17.342 2.934 24.625 7.69 5.605 3.658 10.678 8.318 15.156 13.624 23.114-16.29 48.865-40.562 68.844-77.158 32.997-60.45 66.407-123.794 89-175.593 13.73-31.47 23.427-58.843 26.688-77.75 1.63-9.455 1.47-16.734.343-20.657-1.126-3.924-1.658-4.41-4.624-5.063-.27-.06-.637-.11-1.094-.125zm-59.094 53.47c5.087-.17 10.11 1.105 13.936 4.56 5.103 4.61 6.45 11.296 6.156 17.595-.294 6.3-2.115 13.014-5.125 20.406a9.012 9.012 0 0 1-16.687-6.812c2.493-6.125 3.694-11.232 3.844-14.438.102-2.183-.234-3.068-.344-3.344-.283-.06-1.086-.154-3.188.282-3.422.71-9.126 3.035-16.375 7.53-10.088 6.26-23.188 16.672-39.25 31.907 2.553.783 4.967 2.106 6.844 3.97 6.717 6.667 6.88 15.32 6.314 25.5-.565 10.18-2.784 22.688-6.156 37.75a9 9 0 1 1-17.563-3.938c3.27-14.602 5.288-26.493 5.75-34.812.41-7.41-.96-10.778-.938-11.188-.906.116-2.742.554-5.5 1.907-5.415 2.655-13.532 8.252-23.875 16.905-23.02 25.275-49.96 57.655-80.812 98.313 11.047 9.275 20.027 18.605 24.313 29.25 2.58 6.405 3.118 14.112-.25 20.75-3.37 6.637-9.644 11.313-17.844 14.78a9 9 0 1 1-7.032-16.562c5.844-2.472 8.12-4.95 8.843-6.375.725-1.424.874-2.696-.405-5.874-2.56-6.355-12.36-17.034-25.625-27.47a9 9 0 0 1-1.625-12.498c31.042-41.276 58.145-74.417 81.656-100.72a9 9 0 0 1 2.626-3.437c.716-.62 1.395-1.182 2.094-1.78 33.625-37.063 59.61-59.7 78.938-71.688 8.363-5.187 15.527-8.456 22.218-9.843 1.673-.348 3.367-.57 5.063-.626zM186.75 390.31c4.65 10.366 8.14 21.8 9.313 33.5 1.473 14.686-.817 30.045-9.47 42.438 8.513 8.398 14.487 9.757 18.626 8.938 4.937-.98 10.24-6.094 13.686-12.313 5.635-10.16 2.592-31.96-7.625-49.156-5.107-8.6-11.703-15.928-18.374-20.283-2.1-1.37-4.13-2.333-6.156-3.125z"}}]})(props);
};
function GiElfHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M107.3 26c-4.146 0-8.6 22.976-13.214 42.934l32.187 100.97-39.052-69.726c-2.932 14.342-5.414 28.62-7.002 42.771l43.176 58.246-44.838-36.824c-.435 11.08-.15 22.056 1.078 32.897l45.515 36.597-40.89-13.285c2.558 9.025 5.94 18.077 9.812 27.049l40.819 26.943-30.065-4.312c13.83 26.954 29.823 52.218 38.697 72.506 2.565 5.13 8.023 16.754 10.926 28.168 3.89 15.695-4.529 35.939-21.271 38.322 12.285-14.291 13.245-23.507 11.02-32.535-13.242-.192-19.112 15.916-19.112 15.916s-12.527 23.473 15.717 59.369c28.244 35.895 67.176 33.974 67.176 33.974s-2.243-55.044-1.036-79.96c1.22-25.165 8.354-69.758 8.354-69.758s-19.998.093-42.443-15.8c-28.167-19.942-17.51-32.621-24.663-51.077-14.417-37.201-4.68-95.143-4.68-95.143s-10.858-42.59-17.85-72.822C119.864 76.366 110.398 26 107.3 26zm297.4 0c-3.099 0-12.565 50.366-18.36 75.42-6.993 30.232-17.852 72.822-17.852 72.822s9.738 57.942-4.68 95.143c-7.152 18.456 3.505 31.135-24.662 51.078-22.445 15.892-42.443 15.8-42.443 15.8s7.134 44.592 8.354 69.757c1.207 24.916-1.036 79.962-1.036 79.962s38.932 1.92 67.176-33.976 15.717-59.37 15.717-59.37-5.87-16.107-19.111-15.915c-2.226 9.028-1.266 18.246 11.02 32.537-16.743-2.383-25.162-22.629-21.272-38.324 2.903-11.414 8.361-23.037 10.926-28.168 8.874-20.288 24.868-45.552 38.699-72.506l-30.067 4.312 40.819-26.943c3.872-8.972 7.254-18.024 9.812-27.049l-40.89 13.285 45.515-36.597c1.228-10.84 1.513-21.817 1.078-32.897l-44.838 36.824 43.176-58.246c-1.588-14.15-4.07-28.429-7.002-42.771l-39.052 69.726 32.187-100.968C413.3 48.978 408.846 26 404.7 26zm-148.702.463c-19.388 0-64.1 45.402-88.344 75.728-7.017 8.779-15.795 29.823-15.795 29.823l9.194 37.289s-1.154 8.452-2.604 30.49c-1.091 16.591-1.054 32.803-1.054 32.803l52.677-16.893c4.003-22.545 11.506-52.087 20.246-77.21 7.007-20.141 25.68-58.575 25.68-58.575s19.2 36.655 26.072 56.107c9.115 25.801 15.807 57.482 19.856 79.678l52.678 16.893s.036-16.212-1.055-32.803c-1.45-22.038-2.604-30.49-2.604-30.49l9.194-37.29s-6.09-19.371-12.035-27.349c-24.096-32.334-72.718-78.201-92.106-78.201zm.002 77.09s-10.719 28.18-15.37 50.697c-4.299 20.818-11.898 66.635-11.898 66.635s11.983 11.928 5.682 18.256c-6.301 6.328-17.043-5.705-17.043-5.705l-56.435 17.128 3.337 13.217 53.098 19.854s10.656-12.118 17.043-5.703c6.388 6.414-5.682 23.959-5.682 23.959s3.879 16.06 5.995 24.045c3.45 13.022 10.927 38.908 10.927 38.908l10.344 2.867 10.346-2.867s6.8-24.203 10.047-36.346c2.366-8.85 6.875-26.607 6.875-26.607s-12.07-17.545-5.682-23.96c6.388-6.414 17.043 5.704 17.043 5.704l53.098-19.854 3.337-13.217-56.435-17.128s-10.742 12.033-17.043 5.705c-6.301-6.328 5.682-18.256 5.682-18.256s-7.547-42.316-11.897-65.81C267.12 132.121 256 103.552 256 103.552zm0 136.369c5.02 0 9.088 8.172 9.088 18.254 0 10.081-4.068 18.256-9.088 18.256s-9.09-8.175-9.09-18.256c0-10.082 4.07-18.254 9.09-18.254z"}}]})(props);
};
function GiElvenCastle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.3 23.4c-7.8 18.13-16.2 30.32-21.2 40.66-6.4 13.47-8.5 23.95 1.3 48.24h39.9c10.4-24.38 8.3-34.69 1.7-48.15-5.1-10.33-13.8-22.55-21.7-40.75zM208 130.2l10 18h76l10-18h-96zM68.23 147.4c-4.47 9.2-8.9 16.1-11.51 21.5-3.89 8.1-5.04 14 .31 28h22.41c5.49-14 4.34-19.8.42-28-2.64-5.4-7.11-12.3-11.63-21.5zm375.47 0c-4.4 9.1-8.9 16-11.5 21.5-3.8 8.1-5 14 .3 28H455c5.4-14 4.3-19.8.4-28-2.7-5.4-7.1-12.3-11.7-21.5zM239.6 161c6.1 157.8-26.3 305.5-32.7 333h24c.7-5.1 1.8-12 3.3-19.1 1.5-6.9 3.3-13.9 6-19.9 1.3-2.9 2.8-5.7 5.1-8.3 2.3-2.5 6.1-5.2 10.9-5.2 5.1 0 8.6 3 10.7 5.5 2.1 2.5 3.4 5.2 4.7 8.1 2.5 5.9 4.4 12.8 6 19.6 1.7 7.4 2.9 14.1 3.7 19.3h24.2c-6.4-27.5-38.7-175.2-32.6-333h-33.3zM28.02 212.2l10 18h60l9.98-18H28.02zm377.98 0l10 18h60l10-18h-80zM60.11 245.1c3.39 99-15.63 190.6-21.38 215.9h44.01c2.5-9.2 4.97-22.4 6.88-40.8C82.34 378.3 74 313.5 76.34 245.1H60.11zm375.49 0c2.3 68.3-6 133-13.2 174.9 1.7 18.5 4.1 31.7 6.4 41h44.5c-5.8-25.3-24.8-116.9-21.4-215.9h-16.3zm-215.4 24.7c-22.3 5.2-56.4 10.1-109.2 13 .1 21.7-1.6 36-4.7 45.3h109.1c1.9-18.6 3.6-38.2 4.8-58.3zm72.1 0c1.2 20.1 2.9 39.7 4.8 58.3h110.7c-3.4-9.2-5.9-23.2-6.4-45.3-52.7-2.9-86.8-7.8-109.1-13zM111 348.2c-.5 69.8-6.6 106-13.34 125.5-.83 2.4-1.68 4.6-2.54 6.5h96.48c5.4-25.6 14.6-73.2 21.5-132H111zm188.3 0c7 58.8 16.1 106.4 21.5 132h95.4c-.8-2-1.6-4.2-2.4-6.6-6.4-19.5-12.1-55.7-12.6-125.4H299.3z"}}]})(props);
};
function GiEmberShot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105.113 21.303c-1.034-.015-2.07-.013-3.105.006v-.003c-9.466.168-19.305 1.977-28.83 5.19 52.08 2.52 85.738 22.703 96.87 58.812C109.856 51.663 23.21 50.762 17.825 218.503c4.654-24.187 12.24-42.658 21.91-56.506 1.452 60.194 39.912 153.326 126.848 191.432C25.53 238.15 46.6 12.83 226.555 190.828c-17.528 3.248-33.786 13.22-46.705 28.832 40.82 3.046 79.194 32.62 114.744 86.49-13.16-10.622-39.578-4.165-52.47 4.038 34.233 13.687 60.515 46.612 63.425 80.722 2.653 31.13 9.728 52.008 24.436 64.543 16.382 19.37 40.845 31.7 68.116 31.7 44.674 0 81.825-33.08 88.226-76.014 13.92-59.877-7.103-150.928-42.392-205.32-1.33 33.756-9.516 48.257-24.795 64.004 4.843-45.456-4.917-82.556-37.48-127.43-2.958 20.896-6.127 41.78-23.062 50.74-17.134-47.644-70.686-97.153-122.24-140.113 16.883 28.56 35.38 56.712 39.785 92.257C232.59 88.597 170.257 22.23 105.113 21.303zM323.387 222.07c9.62 0 17.422 7.8 17.422 17.422s-7.802 17.422-17.423 17.422c-9.622 0-17.42-7.8-17.42-17.422 0-9.62 7.798-17.422 17.42-17.422zm50.71 11.39c12.203 0 22.094 9.893 22.094 22.095 0 12.202-9.89 22.093-22.092 22.093-12.202 0-22.092-9.89-22.092-22.093 0-12.202 9.89-22.094 22.092-22.094zm-35.95 50.07c10.45 0 19.38 6.474 23.02 15.626 6.004-6.568 14.64-10.69 24.24-10.69 18.13 0 32.83 14.7 32.83 32.83 0 3.02-.417 5.944-1.18 8.722 29.79 8.246 51.56 35.455 51.56 67.933 0 39.056-31.462 70.515-70.515 70.515s-70.514-31.46-70.514-70.514c0-24.234 12.122-45.538 30.65-58.22-2.384-3.508-4.11-7.498-4.992-11.796-4.18 3.22-9.415 5.14-15.1 5.14-13.68 0-24.77-11.09-24.77-24.77 0-13.682 11.09-24.773 24.77-24.773zm109.052 8.038c9.62 0 17.42 7.8 17.42 17.422s-7.8 17.422-17.42 17.422c-9.622 0-17.423-7.8-17.423-17.422 0-9.62 7.8-17.422 17.422-17.422z","fillRule":"evenodd"}}]})(props);
};
function GiEmbrassedEnergy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M179.813 20.72v81.25L135.78 75.624l17.564 46.938-115.656-20.938 84.718 49.906H20v27.345l110.47 14.875 96.593-29.188c-11.303-11.87-18.594-30.743-18.594-52 0-35.926 20.87-65.062 46.624-65.062 25.753 0 46.625 29.136 46.625 65.063 0 20.847-7.038 39.375-17.97 51.28l99.03 29.907 112.5-15.156V151.53H394.19l84.718-49.905-120.437 21.78 17.874-47.718-48.656 29.126V20.72H179.813zM495.28 223.343l-112.5 22.437-55.405-13.124-28.03 118.313 16.592 145h51.688L329.25 351.22l46.53 27.842-21.31-56.937 124.436 22.5-91.125-53.688h107.5v-67.593zM20 223.75v67.188h108.813l-91.125 53.687L157.31 322.97 136.345 379l38.47-23-28.595 139.97h48.155L207.28 351.56 185.595 232.72l-55.125 13.06L20 223.75z"}}]})(props);
};
function GiEmbryo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M155.438 19.5C68.19 19.8-9.625 69.345 35.844 201.97 32.27 496.225 347.166 562.74 464.563 436.905c53.174-56.998 23.19-140.387-24.25-169.375-62.327-38.087-139.313 16.983-97.72 79.19.018.025.014.066.032.092 1.02 2.665 2.776 5.37 5.156 7.75 6.42 6.42 15.11 8.14 19.408 3.844 4.296-4.296 2.576-12.986-3.844-19.406-5.192-5.192-11.864-7.308-16.5-5.656.23-50.15 44.233-67.99 77.72-46.813 47.97 30.337 50.553 115.56 5.842 139.564-30.397 16.32-59.684 21.25-87.03 18.187-5.354 12.634-15.922 22.59-28 25.97v-.03c21.02-26.908 18.78-49.063 5.312-63.564-2.165-1.51-4.628-2.734-7.344-3.625-11.528 25.217-42.772 32.596-62.438 21.533 38.703-4.754 51.6-26.596 48.25-49.75-5.023-26.47-26.048-48.604-51.75-60.063-23.187 2.71-46.4 1.498-66.062-3.313-.21.082-.417.166-.625.25-.076-.146-.146-.29-.22-.437-8.983-2.256-17.182-5.287-24.28-9.03 6.056.94 12.24 1.436 18.56 1.436 39.97 0 75.368-19.515 97.22-49.53-.238-.132-.482-.24-.72-.376-19.607-11.367-22.72-38.466-10.5-59.72 8.88-15.44 24.498-25.406 39.908-25.343.497.003 1.003.01 1.5.032 4.08.188 8.113 1.107 12 2.81 63.24-82.44-54.468-152.387-158.75-152.03zm26.78 142.625c29.348 0 53.345 23.997 53.345 53.344 0 29.346-23.997 53.343-53.344 53.343-29.348 0-53.345-23.997-53.345-53.344 0-29.348 23.997-53.345 53.344-53.345zm0 18.688c-19.246 0-34.655 15.41-34.655 34.656s15.41 34.655 34.656 34.655 34.655-15.41 34.655-34.656c0-19.248-15.41-34.657-34.656-34.657zm118.657 6.656c-8.09-.138-17.748 5.165-23.906 15.874-8.212 14.278-4.986 29.24 3.655 34.25 8.64 5.008 23.1.372 31.313-13.906 8.21-14.28 4.952-29.242-3.688-34.25-2.16-1.253-4.678-1.924-7.375-1.97z"}}]})(props);
};
function GiEmeraldNecklace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M95.92 25.17c-14.73-.32-29.25 5.4-39.24 19.19-19.29 26.68-23.67 60.44-18.07 95.14 5.61 34.7 21.08 70.6 42.55 103.4C118.2 299.5 172.9 347.4 229 359.6v-18.7c-47.8-12.5-98.6-55.7-132.78-107.8-20.32-31.1-34.76-65-39.84-96.5-5.08-31.4-.93-59.81 14.88-81.68 5.96-8.22 12.01-11.48 19.93-11.88 2.65-.13 5.5 0 8.62.48 12.49 1.7 28.49 8.83 45.69 18.02 31.7 16.92 66.8 40.96 101.5 44.66V87.91c-27.2-4.13-61.1-25.2-93-42.25-17.7-9.49-34.9-17.7-51.8-19.99-2.1-.28-4.17-.45-6.28-.5zm320.08 0c-2.1 0-4.2.21-6.3.5-16.8 2.29-34 10.5-51.7 19.99-31.9 17.05-65.8 38.12-93 42.25v18.19c34.7-3.7 69.8-27.65 101.5-44.57 17.2-9.19 33.2-16.32 45.7-18.02 12.5-1.7 20.6.44 28.5 11.41 15.8 21.87 20 50.28 14.9 81.68-5.1 31.5-19.5 65.4-39.8 96.5-34.2 52.1-85 95.3-132.8 107.8v18.7c56.1-12.2 110.8-60.1 147.8-116.7 21.5-32.8 37-68.7 42.6-103.4 5.6-34.7 1.2-68.46-18.1-95.13-10-13.8-24.5-19.51-39.3-19.2zM247 344.2V376.6h18V344.2c-3 .2-6 .4-9 .4s-6-.2-9-.4zm-12.3 50.4l-10.5 7 31.8 21.2 31.8-21.2-10.5-7zM217 418.4v30.4l22.8-15.2zm78 0l-22.8 15.2 22.8 15.2zm-39 26l-31.8 21.2 31.8 21.2 31.8-21.2z"}}]})(props);
};
function GiEmerald (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M310.375 16.75L89.405 75.72l58.126 50.905L282.563 90.28l2.032-.53 25.78-73zm17.063 7.844l-27.157 76.812 91.69 91.875 95.624-8.78L327.438 24.594zm-41.813 12.062l-8.594 33.657c-.28-15.516-38.03-17.018-107.56-4.376l116.155-29.28zm51.063 14.625l123.5 123.407-58.844 7.563c16.2-21.37-32.277-91.112-64.656-130.97zM74.75 87.72L15.594 308.405l79-31.47 37.28-139.155L74.75 87.72zm207.438 22l-133.032 35.81-35.72 133.376 97.25 97.53 133.064-35.81 35.72-133.376-97.283-97.53zm-201.72 5.686l32.844 30.5-30.156 118.97-39.03 15.812c50.817-30.543 65.667-130.132 36.343-165.282zm195.876 14.78L359 213.377l-30.156 113.81-44.688 11.97c119.527-107.872-34.816-238.375-131.5-140.875l9.875-37.405 113.814-30.688zM490.564 203l-92.877 8.53-35.968 134.19 71.342 71.842L490.563 203zm-17.283 13.875L444.03 333.03c6.73-68.874-.03-90.85-30.655-111.5l59.906-4.655zm-371.155 77.188L20.22 326.688l161.75 161.468 17.31-96.72-97.155-97.373zm.094 20l78.124 82.437-7.438 61.375c-5.23-44.565-28.34-85.92-70.687-143.813zm246.124 44.687l-130.53 35.125-17.564 98.188 221.688-59.157-73.594-74.156zm18.625 42.5l24.28 24.844-115.22 32.72c61.28-26.446 83.34-37.418 90.94-57.564z"}}]})(props);
};
function GiEmptyChessboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21 21v58.75h58.75V21H21zm58.75 58.75v58.75h58.75V79.75H79.75zm58.75 0h58.75V21H138.5v58.75zm58.75 0v58.75H256V79.75h-58.75zm58.75 0h58.75V21H256v58.75zm58.75 0v58.75h58.75V79.75h-58.75zm58.75 0h58.75V21H373.5v58.75zm58.75 0v58.75H491V79.75h-58.75zm0 58.75H373.5v58.75h58.75V138.5zm0 58.75V256H491v-58.75h-58.75zm0 58.75H373.5v58.75h58.75V256zm0 58.75v58.75H491v-58.75h-58.75zm0 58.75H373.5v58.75h58.75V373.5zm0 58.75V491H491v-58.75h-58.75zm-58.75 0h-58.75V491h58.75v-58.75zm-58.75 0V373.5H256v58.75h58.75zm-58.75 0h-58.75V491H256v-58.75zm-58.75 0V373.5H138.5v58.75h58.75zm-58.75 0H79.75V491h58.75v-58.75zm-58.75 0V373.5H21v58.75h58.75zm0-58.75h58.75v-58.75H79.75v58.75zm0-58.75V256H21v58.75h58.75zm0-58.75h58.75v-58.75H79.75V256zm0-58.75V138.5H21v58.75h58.75zm58.75 0h58.75V138.5H138.5v58.75zm58.75 0V256H256v-58.75h-58.75zm58.75 0h58.75V138.5H256v58.75zm58.75 0V256h58.75v-58.75h-58.75zm0 58.75H256v58.75h58.75V256zm0 58.75v58.75h58.75v-58.75h-58.75zm-58.75 0h-58.75v58.75H256v-58.75zm-58.75 0V256H138.5v58.75h58.75z"}}]})(props);
};
function GiEmptyHourglass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M388.656 21.406L76.876 72.063 80.56 95l311.813-50.656-3.72-22.938zM375.312 66.03l-18.437 3 16.25 100.282c-7.01 4.713-11.034 13.208-9.594 22.094.474 2.913 1.5 5.587 2.94 7.97 5.55-4.228 12.173-7.207 19.5-8.407h.06c2.25-.367 4.475-.546 6.69-.564.737-.006 1.485 0 2.217.03 4.273.182 8.436.995 12.375 2.345.62-2.72.724-5.61.25-8.53-1.433-8.843-7.885-15.59-15.968-17.875L375.314 66.03zM332.406 73L148.25 102.938c9.082 42.138 25.73 78.544 45.72 103.843 22.553 28.546 48.246 42.31 71.874 38.47 23.628-3.84 43.653-25.027 56.03-59.25 10.974-30.34 15.237-70.14 10.532-113zM123 107.03l-18.438 3 16.344 100.72c-6.837 4.75-10.734 13.14-9.312 21.906.457 2.82 1.446 5.43 2.812 7.75 5.593-4.288 12.283-7.297 19.688-8.5 2.25-.365 4.474-.545 6.687-.562.74-.006 1.488 0 2.22.03 4.293.183 8.482.983 12.438 2.345.56-2.633.644-5.403.187-8.22-1.456-8.977-8.087-15.82-16.344-18L123 107.03zm269.938 102.032c-1.288.012-2.592.13-3.907.344-14.024 2.28-23.4 15.275-21.124 29.313 2.276 14.036 15.257 23.403 29.28 21.124 14.026-2.28 23.402-15.275 21.127-29.313-1.992-12.282-12.182-20.98-24.094-21.436-.427-.017-.853-.035-1.283-.03zM141 250c-1.287.012-2.59.13-3.906.344-14.025 2.28-23.4 15.275-21.125 29.312 2.275 14.038 15.255 23.404 29.28 21.125 14.025-2.278 23.4-15.274 21.125-29.31-1.99-12.284-12.182-20.982-24.094-21.44-.424-.015-.85-.034-1.28-.03zm134.656 13.844c-2.244.054-4.472.265-6.687.625-23.63 3.84-43.654 25.057-56.033 59.28-11.165 30.868-15.416 71.534-10.312 115.25L387 409.062c-8.967-43.092-25.812-80.345-46.156-106.093-19.735-24.98-41.883-38.67-62.938-39.126-.752-.017-1.502-.018-2.25 0zm144.094 6.03c-5.567 4.238-12.213 7.213-19.563 8.407-7.386 1.2-14.665.472-21.312-1.81-.606 2.7-.72 5.57-.25 8.467 1.447 8.927 7.996 15.75 16.188 17.97l16.562 102.187 18.438-3-16.594-102.313c6.896-4.736 10.864-13.16 9.436-21.967-.47-2.896-1.477-5.567-2.906-7.938zm-252.063 41.032c-5.54 4.187-12.143 7.128-19.437 8.313-7.352 1.193-14.597.476-21.22-1.783-.666 2.79-.83 5.742-.343 8.75 1.427 8.8 7.816 15.528 15.844 17.844l16.532 102.064 18.438-3-16.53-101.875c7.103-4.692 11.2-13.24 9.75-22.19-.484-2.975-1.542-5.71-3.032-8.124zM452.844 417.28L141.063 467.94l3.687 22.937 311.813-50.656-3.72-22.94z"}}]})(props);
};
function GiEmptyMetalBucketHandle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201 49v30h110V49H201zm-18 6.41c-30.6 2.78-54.5 19.59-70.3 41.3-15.86 21.89-24.24 48.49-25.51 72.79 2.57-1.5 5.57-2.5 8.81-2.5 3.41 0 6.6 1.1 9.2 2.8 1.3-20.7 8.8-44.2 22.1-62.5 13.1-18.06 31.3-31.22 55.7-33.82V55.41zm146 0v18.07c24.4 2.6 42.6 15.76 55.7 33.82 13.3 18.3 20.8 41.8 22.1 62.5 2.6-1.7 5.8-2.8 9.2-2.8 3.2 0 6.2 1 8.8 2.5-1.3-24.3-9.6-51-25.5-72.79C383.5 75 359.6 58.19 329 55.41zM256 137c-43.5 0-82.8 5.4-110.6 13.7-13.8 4.1-24.8 9.1-31.6 14-3.3 2.3-5.5 4.4-6.8 6.3.5.4.9.8 1.4 1.2 2.1 2 3.8 4.3 5.2 6.8 12.4-7.4 27.2-13.1 43.5-17.7C186.6 153 221.3 149 256 149s69.4 4 98.9 12.3c16.3 4.6 31.1 10.3 43.5 17.7 1.4-2.5 3.1-4.8 5.2-6.8.5-.4.9-.8 1.4-1.2-1.3-1.9-3.5-4-6.8-6.3-6.8-4.9-17.8-9.9-31.6-14-27.8-8.3-67.1-13.7-110.6-13.7zm0 30c-33.3 0-66.6 4-94.1 11.7-14.2 4-26.8 9.1-37 14.9 5.8 2.7 12.7 5.4 20.5 7.7 27.8 8.3 67.1 13.7 110.6 13.7s82.8-5.4 110.6-13.7c7.8-2.3 14.7-5 20.5-7.7-10.2-5.8-22.8-10.9-37-14.9C322.6 171 289.3 167 256 167zM96 185.3h.03H96zm0 0c-.06 0-.07 0-.07.1-.72.6-1.94 2.3-3.04 4.7C90.7 195 89 202.8 89 211.5s1.7 16.5 3.86 21.4c1.1 2.4 2.32 4.1 3.04 4.7l.1.1c.1 0 .1 0 .1-.1.72-.6 1.94-2.3 3.04-4.7 2.16-4.9 3.86-12.7 3.86-21.4s-1.7-16.5-3.86-21.4c-1.1-2.4-2.32-4.1-3.04-4.7l-.1-.1zm320 0l-.1.1c-.7.6-1.9 2.3-3 4.7-2.2 4.9-3.9 12.7-3.9 21.4s1.7 16.5 3.9 21.4c1.1 2.4 2.3 4.1 3 4.7l.1.1.1-.1c.7-.6 1.9-2.3 3-4.7 2.2-4.9 3.9-12.7 3.9-21.4s-1.7-16.5-3.9-21.4c-1.1-2.4-2.3-4.1-3-4.7l-.1-.1zm-295 26.3c0 5.6-.5 10.8-1.5 15.7 32.7 15 84.7 23.7 136.5 23.7 11.6 0 23.3-.4 34.7-1.3.2-6 .2-11.9.2-17.8-11.3.7-22.9 1.1-34.9 1.1-44.9 0-85.6-5.4-115.7-14.4-7-2.1-13.5-4.4-19.3-7zm270 0c-4.6 2-9.5 3.9-14.8 5.6-.2 5.4-.5 11-.8 16.8 6.1-2 11.8-4.3 17.1-6.7-1-4.9-1.5-10.1-1.5-15.7zm-65.4 16.7c-5.4.8-11 1.5-16.7 2.1 0 5.8 0 11.7-.1 17.6 5.5-.6 11-1.4 16.3-2.2.3-5.8.4-11.7.5-17.5zm-212.2 16.2c-.6.9-1.2 1.9-1.8 2.7l25 213.2c6.5 8.1 21.9 16.5 42.7 21.9 22 5.7 49.3 8.7 76.7 8.7h4.5c13.9-75 26.5-149.6 29.6-223.1-11.2.7-22.7 1.1-34.1 1.1-52.9 0-105.7-7.4-142.6-24.5zm285.2 0c-7.5 3.5-15.7 6.6-24.4 9.3-5.7 83.5-18.9 187.9-24.8 223.1 12.3-4.9 21.4-10.8 26-16.5l25-213.2c-.6-.8-1.2-1.8-1.8-2.7zm-74.4 20c-5.3.8-10.6 1.4-16 1.9-3 74.5-15.5 149.3-29.3 223.9 5.2-.3 10.3-.8 15.3-1.3 13.3-75.3 25.6-150.6 30-224.5z"}}]})(props);
};
function GiEmptyMetalBucket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 137c-43.5 0-82.8 5.4-110.6 13.7-13.8 4.1-24.8 9.1-31.6 14-6.9 4.8-8.8 8.7-8.8 11.3 0 1.7.8 3.9 3.2 6.5 13.3-9.1 30.1-15.9 48.9-21.2C186.6 153 221.3 149 256 149s69.4 4 98.9 12.3c18.8 5.3 35.6 12.1 48.9 21.2 2.4-2.6 3.2-4.8 3.2-6.5 0-2.6-1.9-6.5-8.8-11.3-6.8-4.9-17.8-9.9-31.6-14-27.8-8.3-67.1-13.7-110.6-13.7zm0 30c-33.3 0-66.6 4-94.1 11.7-14.2 4-26.8 9.1-37 14.9 5.8 2.7 12.7 5.4 20.5 7.7 27.8 8.3 67.1 13.7 110.6 13.7s82.8-5.4 110.6-13.7c7.8-2.3 14.7-5 20.5-7.7-10.2-5.8-22.8-10.9-37-14.9C322.6 171 289.3 167 256 167zm-147.4 38.4c-.6.6-1.2 1.1-1.8 1.7l1.7 14.4c31 18.6 89.4 29.5 147.5 29.5 11.6 0 23.3-.4 34.7-1.3.2-6 .2-11.9.2-17.8-11.3.7-22.9 1.1-34.9 1.1-44.9 0-85.6-5.4-115.7-14.4-12.5-3.8-23.1-8.1-31.7-13.2zm294.8 0c-7.5 4.5-16.7 8.3-27.2 11.8-.2 5.4-.5 11-.8 16.8 10.8-3.6 20.3-7.8 28.1-12.5l1.7-14.4c-.6-.5-1.2-1.1-1.8-1.7zm-77.8 22.9c-5.4.8-11 1.5-16.7 2.1 0 5.8 0 11.7-.1 17.6 5.5-.6 11-1.4 16.3-2.2.3-5.8.4-11.7.5-17.5zm-214.5 15.1l25.5 217c6.5 8.1 21.9 16.5 42.7 21.9 22 5.7 49.3 8.7 76.7 8.7h4.5c13.9-75 26.4-149.6 29.6-223.1-11.2.7-22.7 1.1-34.1 1.1-54 0-107.9-7.7-144.9-25.6zm289.8 0c-8.2 3.9-17.1 7.4-26.7 10.4-5.7 83.6-18.9 187.9-24.8 223.1 12.3-4.9 21.4-10.8 26-16.5l25.5-217zm-76.7 21.1c-5.3.7-10.6 1.4-16 1.9-3 74.5-15.5 149.3-29.3 223.9 5.2-.3 10.3-.8 15.3-1.3 13.3-75.4 25.7-150.6 30-224.5z"}}]})(props);
};
function GiEmptyWoodBucketHandle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201 49v30h110V49H201zm-18 6.41c-30.6 2.78-54.5 19.59-70.3 41.3-15.86 21.89-24.24 48.49-25.51 72.79 2.57-1.5 5.57-2.5 8.81-2.5 3.41 0 6.6 1.1 9.2 2.8 1.3-20.7 8.8-44.2 22.1-62.5 13.1-18.06 31.3-31.22 55.7-33.82V55.41zm146 0v18.07c24.4 2.6 42.6 15.76 55.7 33.82 13.3 18.3 20.8 41.8 22.1 62.5 2.6-1.7 5.8-2.8 9.2-2.8 3.2 0 6.2 1 8.8 2.5-1.3-24.3-9.6-51-25.5-72.79C383.5 75 359.6 58.19 329 55.41zM256 137c-43.5 0-82.8 5.4-110.6 13.7-13.8 4.1-24.8 9.1-31.6 14-3.3 2.3-5.5 4.4-6.8 6.3.5.4.9.8 1.4 1.2 2.1 2 3.8 4.3 5.2 6.8 12.4-7.4 27.2-13.1 43.5-17.7C186.6 153 221.3 149 256 149s69.4 4 98.9 12.3c16.3 4.6 31.1 10.3 43.5 17.7 1.4-2.5 3.1-4.8 5.2-6.8.5-.4.9-.8 1.4-1.2-1.3-1.9-3.5-4-6.8-6.3-6.8-4.9-17.8-9.9-31.6-14-27.8-8.3-67.1-13.7-110.6-13.7zm0 30c-33.3 0-66.6 4-94.1 11.7-14.2 4-26.8 9.1-37 14.9 5.8 2.7 12.7 5.4 20.5 7.7 27.8 8.3 67.1 13.7 110.6 13.7s82.8-5.4 110.6-13.7c7.8-2.3 14.7-5 20.5-7.7-10.2-5.8-22.8-10.9-37-14.9C322.6 171 289.3 167 256 167zM96 185.3h.03H96zm0 0c-.06 0-.07 0-.07.1-.72.6-1.94 2.3-3.04 4.7C90.7 195 89 202.8 89 211.5s1.7 16.5 3.86 21.4c1.1 2.4 2.32 4.1 3.04 4.7l.1.1c.1 0 .1 0 .1-.1.72-.6 1.94-2.3 3.04-4.7 2.16-4.9 3.86-12.7 3.86-21.4s-1.7-16.5-3.86-21.4c-1.1-2.4-2.32-4.1-3.04-4.7l-.1-.1zm320 0l-.1.1c-.7.6-1.9 2.3-3 4.7-2.2 4.9-3.9 12.7-3.9 21.4s1.7 16.5 3.9 21.4c1.1 2.4 2.3 4.1 3 4.7l.1.1.1-.1c.7-.6 1.9-2.3 3-4.7 2.2-4.9 3.9-12.7 3.9-21.4s-1.7-16.5-3.9-21.4c-1.1-2.4-2.3-4.1-3-4.7l-.1-.1zm-295 26.3c0 5.5-.5 10.8-1.5 15.7 32.7 15 84.7 23.7 136.5 23.7s103.8-8.7 136.5-23.7c-1-4.9-1.5-10.2-1.5-15.7-5.8 2.5-12.2 4.9-19.3 7-30.1 9-70.8 14.4-115.7 14.4-44.9 0-85.6-5.4-115.7-14.4-7.1-2.1-13.5-4.5-19.3-7zm-7.6 32.9c-.6.9-1.2 1.9-1.8 2.7l17.7 151c6.7 3 13.6 5.7 20.7 8.1l-13.9-153.1c-8-2.5-15.7-5.5-22.7-8.7zm285.2 0c-6.8 3.1-14.2 6-22.1 8.5l-10.2 108.4c9.1-1.3 15.2-5.3 22-10.5l12.2-103.7c-.7-.8-1.3-1.8-1.9-2.7zm-40.7 13.7c-14.2 3.5-29.5 6-45.4 7.8l-7.3 153.2c13-1.9 25.8-4.5 38.2-7.8l14.5-153.2zm-203.2.2l4.7 51.7c14.5 5.6 38.2 9 55.6 8.6v-51.3c-21.2-1.6-41.6-4.6-60.3-9zm139.7 9.2c-12.6 1-25.5 1.4-38.4 1.4-7.7 0-15.4-.2-23-.5v153.7c18.1 1.1 36.2.8 54.1-.9l7.3-153.7zm-133.1 62.5l7.4 81.8c15.1 4.1 30.6 7 46.3 8.8v-83.9c-16.8.7-36.8-1.3-53.7-6.7zm224.3 43.6c-6 3-12.9 5.3-21.1 6l-2.5 26.1c7.1-2.4 14-5 20.7-7.8l2.9-24.3zm-5.3 44.7c-75.3 29-169.8 31.5-248.6.3l4.9 41.7c6.5 8.1 21.9 16.5 42.7 21.9 22 5.7 49.3 8.7 76.7 8.7 27.4 0 54.7-3 76.7-8.7 20.8-5.4 36.2-13.8 42.7-21.9l.4-3.4a10.88 13.34 0 0 1-6.1 2.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3 10.88 13.34 0 0 1 8.4 4.8l2.2-19.1zm-226.5 17.4a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3zm167.5 11.3a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3zm-123.2.7a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3zm63.2 4.9a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3z"}}]})(props);
};
function GiEmptyWoodBucket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 137c-43.5 0-82.8 5.4-110.6 13.7-13.8 4.1-24.8 9.1-31.6 14-6.9 4.8-8.8 8.7-8.8 11.3 0 1.7.8 3.9 3.2 6.5 13.3-9.1 30.1-15.9 48.9-21.2C186.6 153 221.3 149 256 149s69.4 4 98.9 12.3c18.8 5.3 35.6 12.1 48.9 21.2 2.4-2.6 3.2-4.8 3.2-6.5 0-2.6-1.9-6.5-8.8-11.3-6.8-4.9-17.8-9.9-31.6-14-27.8-8.3-67.1-13.7-110.6-13.7zm0 30c-33.3 0-66.6 4-94.1 11.7-14.2 4-26.8 9.1-37 14.9 5.8 2.7 12.7 5.4 20.5 7.7 27.8 8.3 67.1 13.7 110.6 13.7s82.8-5.4 110.6-13.7c7.8-2.3 14.7-5 20.5-7.7-10.2-5.8-22.8-10.9-37-14.9C322.6 171 289.3 167 256 167zm-149.5 37.1l2 17.4c31 18.6 89.4 29.5 147.5 29.5 58.1 0 116.5-10.9 147.5-29.5l2-17.4c-8.9 5.7-20.3 10.4-33.8 14.5-30.1 9-70.8 14.4-115.7 14.4-44.9 0-85.6-5.4-115.7-14.4-13.5-4.1-24.9-8.8-33.8-14.5zm294.4 39.3c-7.5 3.6-15.7 6.8-24.4 9.6l-10.2 108.4c9.1-1.3 15.2-5.3 22-10.5l12.6-107.5zm-289.8.1l18.2 154.7c6.7 3 13.6 5.7 20.7 8.1l-13.9-153.1c-8.9-2.8-17.3-6.1-25-9.7zm246.8 14.7c-14.2 3.5-29.5 6-45.4 7.8l-7.3 153.2c13-1.9 25.8-4.5 38.2-7.8l14.5-153.2zm-203.2.2l4.7 51.7c14.5 5.6 38.2 9 55.6 8.6v-51.3c-21.2-1.6-41.6-4.6-60.3-9zm139.7 9.2c-12.6 1-25.5 1.4-38.4 1.4-7.7 0-15.4-.2-23-.5v153.7c18.1 1.1 36.2.8 54.1-.9l7.3-153.7zm-133.1 62.5l7.4 81.8c15.1 4.1 30.6 7 46.3 8.8v-83.9c-16.8.7-36.8-1.3-53.7-6.7zm224.3 43.6c-6 3-12.9 5.3-21.1 6l-2.5 26.1c7.1-2.4 14-5 20.7-7.8l2.9-24.3zm-5.3 44.7c-75.3 29-169.8 31.5-248.6.3l4.9 41.7c6.5 8.1 21.9 16.5 42.7 21.9 22 5.7 49.3 8.7 76.7 8.7 27.4 0 54.7-3 76.7-8.7 20.8-5.4 36.2-13.8 42.7-21.9l.4-3.4a10.88 13.34 0 0 1-6.1 2.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3 10.88 13.34 0 0 1 8.4 4.8l2.2-19.1zm-226.5 17.4a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3zm167.5 11.3a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3zm-123.2.7a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3zm63.2 4.9a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3z"}}]})(props);
};
function GiEncirclement (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M204.732 38.031L64 64l43.873 21.793C60.785 127.065 31 187.623 31 255c0 124.05 100.95 225 225 225s225-100.95 225-225c0-67.377-29.785-127.935-76.873-169.207L448 64 307.268 38.031 370.932 166.2l9.834-53.299C420.17 147.503 445 198.28 445 255c0 104.595-84.405 189-189 189S67 359.595 67 255c0-56.721 24.83-107.497 64.234-142.1l9.834 53.3zm73.994 81.127c-8.391 0-15 6.61-15 15 0 8.391 6.609 15 15 15 8.39 0 15-6.609 15-15 0-8.39-6.61-15-15-15zm-75.369 68.498c-8.39 0-15 6.61-15 15 0 8.391 6.61 15 15 15 8.391 0 15-6.609 15-15 0-8.39-6.609-15-15-15zm129.14-15.232c-8.39 0-15 6.61-15 15 0 8.391 6.61 15 15 15 8.392 0 15-6.609 15-15 0-8.39-6.608-15-15-15zm-205.29 35.611c-8.39 0-15 6.61-15 15 0 8.391 6.61 15 15 15s15-6.609 15-15c0-8.39-6.61-15-15-15zm123.602 23.988c-8.391 0-15 6.61-15 15 0 8.391 6.609 15 15 15 8.39 0 15-6.609 15-15 0-8.39-6.61-15-15-15zm51.687 6.817c-8.39 0-15 6.609-15 15 0 8.39 6.61 15 15 15 8.391 0 15-6.61 15-15 0-8.391-6.609-15-15-15zm72.455 11.834c-8.39 0-15 6.609-15 15 0 8.39 6.61 15 15 15 8.391 0 15-6.61 15-15 0-8.391-6.609-15-15-15zm-197.097 20.273c-8.391 0-15 6.61-15 15 0 8.391 6.609 15 15 15 8.39 0 15-6.609 15-15 0-8.39-6.61-15-15-15zm75.447 29.637c-8.391 0-15 6.61-15 15s6.609 15 15 15c8.39 0 15-6.61 15-15s-6.61-15-15-15zm96.442 15.343c-8.39 0-15 6.609-15 15 0 8.39 6.61 15 15 15 8.391 0 15-6.61 15-15 0-8.391-6.609-15-15-15zm-186.355 33.08c-8.39 0-15 6.609-15 15 0 8.39 6.61 15 15 15 8.391 0 15-6.61 15-15 0-8.391-6.609-15-15-15zm109.116 24.382c-8.391 0-15 6.609-15 15 0 8.39 6.609 15 15 15 8.39 0 15-6.61 15-15 0-8.391-6.61-15-15-15z"}}]})(props);
};
function GiEnergise (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M280.938 19.22l-21.094 64.468L204.78 48l6.47 87.313-85.094-55.97 47.78-14.874-72.06-43.75h-79.47v63.343l96.938 46.093-58.78 17.5L189.5 225.78 94.594 229l73.906 47.125-102.75 41.813 84 24.812-66.78 78.22 96.56-25.283 11.19 98.188 65.093-76.72 47.375 76.126 18.343-72.842 47.564 24.718-10.563-117 84.626 51.28-50.47 7.252L492.5 456.03l1.03-82.5-63.31-53.436 54.967-4.594-100.906-66.375 85.158-38.656-72.282-24.314 70.47-34.625-57.907-20.06 44.53-51.5-80.906 14.343 5.97-70.657-61.158 58.5-37.22-62.937zm-1.407 72.25l9 2.405 68.22 18.28 9.03 2.44-2.405 9.03-2.28 8.5L383.03 138l9.033 2.406-2.438 9.03-65.03 242.75-2.408 9.033-9.03-2.44L183 363.907l-9.03-2.406 2.405-9.03 65.063-242.75 2.406-9 9.03 2.405 21.94 5.875 2.28-8.5 2.437-9.03zm13.064 22.75l-4.78 17.78-17.877-4.78.032-.126-12.908-3.47-60.218 224.657 112.094 30.033 60.218-224.657-12.906-3.47-.03.158-17.908-4.813 4.782-17.78-50.5-13.53zm-22.125 32.5l75.5 20.218-27.033 100.812-23.78-10.72 17.624-33.717-55.874-25.938 13.563-50.656zm-27.72 103.405l24.22 10.938-13.595 25.687 52.844 28.438-10.72 40-75.47-20.22 22.72-84.843z"}}]})(props);
};
function GiEnergyArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M84.066 17.832l9.3 55.445-43.282-40.412h-.002L36.064 46.88l38.424 41.155-52.37-8.252 52.695 76.11 58.958-4.364 166.484 178.314-48.95-9.89 77.725 61.44-117.69-14.316 84.664 35.246-42.86 16.95 64.217 19.97-33.862 25.36 182.43 20.84 28.435 8.845-5.28-16.98-4.808-15.464-20.51-182.217-25.894 32.993-18.518-59.56-17.04 43.1-35.177-93.468-1.87 110.494-63.757-91.374 10.5 55.594-155.776-145.44 4.596-62.093-76.762-52.045zM268.27 71.254l142.714 156.144 30.81 14.963-10.304-62.438L268.27 71.254zm-62.377 12.81l92.97 115.235 36.477-.935-14.836-35.195-114.61-79.106zM42.018 212.884L160.42 419.7l55.393 19.765-8.333-36.324L42.018 212.884zm92.117 23.08l46.824 83.112 47.577 18.723-17.23-41.66-77.172-60.175zm283.107 73.255l48.72 156.665-156.665-48.72 77.36-30.59 30.585-77.356z"}}]})(props);
};
function GiEnergyBreath (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.094 18.738l2.648 324.412c18.77-2.59 45.98-7.852 64.945-12.642-64.106-101.55-51.257-197.104 2.327-249.63 53.662-52.602 146.447-59.914 233.177 7.337 4.84-9.857 10.42-22.838 16.794-36.006 5.47-11.3 11.646-22.644 18.895-32.767l-338.786-.705zm474.963 4.528v.004c0-.002 0-.003.002-.004h-.003zm0 .004c-61.196 95.76-153.25 141.768-246.823 130.314l.018-.09c-44.04-8.138-80.08-48.272-88.258-90.97l-5.1.978c-4.382 1.34-8.652 2.905-12.804 4.674 5.02 23.956 17.053 46.75 34.045 64.994-23.395-10.524-46.4-24.868-68.545-43.14-1.53 1.363-3.03 2.76-4.494 4.195-10.57 10.36-19.463 22.714-26.19 36.744 78.998 89.616 102.237 198.926 67.586 288.587a19.04 19.04 0 0 1 .024 0 19.04 19.04 0 0 1 18.494 19.04 19.04 19.04 0 0 1-33.54 12.434c-8.678 15.057-19.207 29.335-31.603 42.613h87.746c39.76-99.513 23.982-199.025-19.246-298.538 67.318 99.592 90.826 196.925 82.403 298.538h40.86c6.338-49.1-1.414-99.91-17.83-151.262 27.98 51.95 42.662 101.905 46.167 151.263h80.418c-7.116-82.67-59.353-161.448-136.016-238.282 51.847 37.27 99.116 74.24 137.67 113.58a28.06 28.06 0 0 1 26.353-16.5 28.06 28.06 0 0 1 27.253 28.064 28.06 28.06 0 0 1-19.53 26.857c21.467 27.107 38.57 55.61 50.107 86.283h10.834v-251.73c-90.946 14.794-178.154.85-267.36-51.786 28.81 10.04 57.617 17.515 86.426 21.637a15.033 15.033 0 0 1-.81-4.73 15.033 15.033 0 0 1 15.472-15.026 15.033 15.033 0 0 1 14.594 15.027 15.033 15.033 0 0 1-2.124 7.608c51.267 3.417 102.534-4.68 153.8-28.997V132.79c-13.638 7.018-27.81 13.495-42.56 19.394a19.04 19.04 0 0 1-32.117 11.59c-23.378 7.59-48.116 13.84-74.41 18.585 23.985-9.113 46.94-19.303 68.655-30.768a19.04 19.04 0 0 1-.072-1.617 19.04 19.04 0 0 1 19.588-19.04 19.04 19.04 0 0 1 10.442 3.51c17.903-11.117 34.778-23.286 50.475-36.648V23.27zM195.8 57.664c-5.448-.005-10.796.308-16.036.904l95.56 65.895 18.936-34.887c-34.17-22.12-67.845-31.884-98.46-31.912zM63.72 196.322c.062 32.42 9.328 68.888 30.667 107.545l22.33-13.244-52.996-94.3zm329.33 88.944a19.04 19.04 0 0 1 18.493 19.043 19.04 19.04 0 1 1-38.082 0 19.04 19.04 0 0 1 19.59-19.044z"}}]})(props);
};
function GiEnergyShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.31 17.707C210.816 17.31 166 23.734 127.038 36.57l-6.42 2.116v60.978l-76.463 41.822 1.54 6.866c25.895 115.578 95.61 228.743 205.44 333.564l6.473 6.178 6.452-6.2C370.945 379.166 438.893 267.838 463.43 152.12l1.388-6.552-77.142-45.82V42.072l-6-2.3c-37.692-14.448-81.87-21.668-126.365-22.065zM244.8 36.77v63.642l-52.33 30.5-53.163-30.644v-47.89c5.96-1.814 12.082-3.46 18.318-4.964-1.59 4.072-2.473 8.498-2.473 13.133 0 19.957 16.18 36.135 36.137 36.135 19.956 0 36.134-16.178 36.134-36.135 0-8.574-2.993-16.447-7.983-22.643 8.414-.628 16.883-1.005 25.36-1.133zm18.69.12c8.22.235 16.405.72 24.514 1.438-4.788 6.13-7.65 13.84-7.65 22.22 0 19.956 16.18 36.134 36.136 36.134 19.957 0 36.137-16.178 36.137-36.135 0-3.88-.62-7.61-1.75-11.113 6.194 1.72 12.248 3.607 18.11 5.683v45.264l-52.454 30.237-53.043-30.912V36.89zm88.828 94.67c-4.048 6.168-6.41 13.54-6.41 21.47 0 21.642 17.546 39.19 39.19 39.19 21.643 0 39.19-17.548 39.19-39.19 0-3.705-.527-7.284-1.487-10.68l20.82 12.365c-10.61 46.76-28.647 92.954-53.91 138.265v-48.597l-63.11-36.78v-61.216l25.718-14.826zm-194.37 1.024l24.76 14.273v61.454l-61.894 36.073v44.388c-25.66-45.406-44.112-91.46-55.2-137.72l22.382-12.24c-1.72 4.41-2.672 9.2-2.672 14.22 0 21.642 17.546 39.19 39.19 39.19 21.643 0 39.19-17.548 39.19-39.19 0-7.494-2.107-14.493-5.755-20.446zm65.234 2.06c-2.228 4.693-3.48 9.94-3.48 15.48 0 19.956 16.18 36.134 36.136 36.134 19.957 0 36.137-16.178 36.137-36.135 0-4.878-.973-9.528-2.725-13.773l17.844 10.398v62.04l-51.832 30.208-53.666-31.277v-60.495l21.586-12.58zM161.436 242.34c-2.12 4.637-3.313 9.79-3.313 15.22 0 20.238 16.407 36.645 36.645 36.645 20.237 0 36.644-16.407 36.644-36.644 0-4.21-.717-8.25-2.023-12.013l16.428 9.576v56.035L188 344.814v41.61c-17.932-22.006-34.1-44.252-48.498-66.682v-64.62l21.934-12.782zm123.822.806c-1.895 4.425-2.95 9.296-2.95 14.415 0 20.238 16.407 36.645 36.645 36.645 20.238 0 36.645-16.407 36.645-36.644 0-4.487-.81-8.784-2.286-12.757l17.71 10.32v69.123c-14.053 22.063-29.835 43.898-47.333 65.463v-44.896l-58.983-34.332v-55.36l20.55-11.976zm-57.56 100.184c-2.492 4.65-3.91 9.962-3.91 15.608 0 18.27 14.813 33.082 33.083 33.082 18.27 0 33.083-14.812 33.083-33.082 0-4.976-1.106-9.69-3.074-13.924L305 355.56v56.323c-14.762 16.9-30.56 33.627-47.44 50.158-18.152-17.645-35.098-35.5-50.873-53.526V355.56l21.012-12.23z"}}]})(props);
};
function GiEnergySword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M491.313 21.406C331.102 120.193 194.688 226.866 70 350.906c29.11-21.616 63.387-37.86 103.875-49.28 40.95-60.157 100.923-106.7 170.844-130.157-23.522 69.8-70.747 130.135-131.314 171.25-9.76 38.353-26.835 69.38-48 96.374C289.153 314.63 403.748 181.7 491.312 21.406zM132.656 345.5v.344c-30.526 52.844-71.12 87.318-115.437 115.47-4.89 28.29 9.777 39.067 34.75 34.56 30.594-51.69 68.69-88.052 115.436-115.468 0-19.56-12.363-34.906-34.75-34.906z"}}]})(props);
};
function GiEnergyTank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25.908l-66.275 44.184h132.55zM131.727 88.092L105 114.818v168.547l26.727 26.727h61.71L167 257.217V155.365l32-32V88.092zm181.273 0v35.273l32 32v101.852l-26.438 52.875h61.711L407 283.365V114.818l-26.727-26.726zm-176 240v30h50.184l20-30zm91.816 0l-20 30h94.368l-20-30zm76 0l20 30H375v-30zm-167.816 48v30h50.184l20-30zm91.816 0l-20 30h95.145l-18.316-30zm77.916 0l18.319 30H375v-30zm-267.355 48l-12.4 62H71v-62zm49.623 0v62h138.1c-7.463-7.437-12.1-17.707-12.1-29 0-13.49 6.618-25.515 16.762-33zm191.238 0c10.144 7.485 16.762 19.51 16.762 33 0 11.293-4.637 21.563-12.1 29H407v-62zm144.762 0v62h60.023l-12.4-62zm-169 10c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23z"}}]})(props);
};
function GiEngagementRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208.938 17.97c-13.894.144-26.622 4.908-40.188 15.75 7.633 73.023 19.398 143.54 37.875 209.936-10.574.948-21.165 1.938-31.75 2.938-33.053-48.484-54.967-99.41-79.625-149.688-9.44-1.246-22.32 1.357-33.156 7.313-11.402 6.266-19.932 15.677-22.438 25.343C71.46 196.07 111.698 266.145 154 327.28c9.054 11.43 17.052 23.375 24.875 35.25l2.875 4.064-.28-.125c6.728 10.225 13.405 20.334 20.593 29.905l-14.938 11.22c-14.106-18.783-25.76-38.085-38.5-55.97-38.74-17.315-76.235-28.38-99.406-25.656-11.762 1.382-19.233 5.41-24.19 13.405-4.422 7.136-6.682 18.965-5.124 36.22 79.18 19.67 123.834 59.914 154.406 86.186 12.823 11.02 25.426 21.245 40.875 29.876h123.907c31.69-13.563 55.702-35.645 61.187-62.594 4.722-23.186 16.166-62.177 21.658-85.53 8.962-38.116 26.388-84.71 41.875-121.813 7.743-18.553 14.995-34.673 20.5-46.157 2.752-5.743 5.072-10.326 6.875-13.594.196-.358.347-.582.53-.907-4.203-10.426-12.018-20.034-21.25-26.125-9.175-6.056-18.988-8.51-27.218-6.813-22.354 39.967-42.723 81.287-57.344 129.28-8.878-3.5-17.872-6.378-27-8.717-.572-13.23-.715-26.318-.437-39.25l-63.283-6.657c-.43 12.35-.513 24.76-.25 37.22-8.34-.305-16.75-.336-25.187-.188C252.074 167.83 240.845 96.008 238.062 24c-9.497-3.54-18.01-5.662-26.03-5.97-.103-.003-.21-.027-.313-.03-.94-.03-1.856-.04-2.782-.03zm133.28 5.593c-8.137-.057-15.44 1.7-20.343 4.75-9.082 35.02-16.254 70.32-20.938 106l62.844 6.625c4.51-33.684 11.667-66.423 20.876-98.344-6.824-8.614-18.617-15.165-30.97-17.782-3.885-.823-7.768-1.224-11.467-1.25zm-55.624 128.093c-.466-.016-.91-.002-1.313.03-2.424.2-3.8 1.24-5.31 2.97-2.017 2.31-3.667 6.495-4 11.094-.336 4.6.67 9.41 2.374 12.47 1.703 3.058 3.323 4.302 6.156 4.624l85.438 9h.125l.125.03c4.954.658 7.17-.55 9.343-2.81 2.173-2.264 3.885-6.28 4.25-10.75.367-4.472-.633-9.162-2.5-12.283-1.83-3.063-3.906-4.732-7.592-5.25l-.188-.03-85.313-8.97h-.093c-.545-.06-1.034-.107-1.5-.124z"}}]})(props);
};
function GiEnlightenment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M251.828 15.982l-29.2 136.08-56.74-75.652 7.78 90.4-49.154-24.68 22.19 49.643-67.16-13.433 57.817 70.668-55.48-10.514 35.634 26.608c29.894.77 62.017-2.565 90.597 4.35 18.697 4.522 36.167 14.302 48.255 32.74.414.632.82 1.274 1.22 1.923.402-.65.806-1.29 1.22-1.922 12.088-18.44 29.558-28.22 48.254-32.742 27.64-6.685 58.596-3.782 87.643-4.28l35.25-26.676-42.05 8.178 41.468-80.596-59.507 19.852 19.092-77.352-57.234 59.867 6.055-109.607-46.232 97.31-39.715-140.164zM92.236 281.787L50.27 311.02l207.343 72.68L464.95 310.67l-40.99-28.88c-42.595 7.18-92.04-5.54-126.02 10.345l-.116.05-.013.008c-5.226 2.37-9.962 5.418-14.255 9.382-7.564 6.774-13.817 16.048-18.36 28.694l-7.777 13.763-7.158-12.67c-5.434-15.833-13.453-26.5-23.324-33.637-.157-.114-.316-.22-.473-.332-.63-.446-1.267-.883-1.912-1.302-33.565-21.772-86.63-6.6-132.314-14.3zm-64.26 41.3L21.81 340.73l190.67 66.674v17.817h91.55v-18.687h-.055L492.15 340.73l-6.168-17.642-205.658 71.918 4.03 11.527h-54.75l4.03-11.527-205.657-71.918z"}}]})(props);
};
function GiEnrage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M185 23.42c53.7 45.44 5.5 70.31-7.8 76.32-40.5 18.36-87.65-24.61-99.5-67.35C63.43 75.61 30.56 164.5 88.87 200.5c-35.77 39.9-35.73 37-65.22-7.9-8.45 41.3-2.84 112.6 15.69 164.1 2.04-22.1 5.04-43.5 11.23-60.7l1.09-3 2.78-1.7c45.86-27.2 86.06-36 117.26-40.1-3-12.3-4.7-25.5-4.7-39.2 0-3 .1-6 .2-8.9l-82.06-40.7 35.46-14.9-45.34-45.2 89.74 51-29.2 12.2 32 30.6c2.5-26.4 11.2-50.1 24.3-68.5C207.8 105.5 230.5 91 256 91s48.2 14.5 63.9 36.6c13.2 18.5 21.9 42.4 24.4 68.9l40.1-41.3-38.1-10.9 84.1-70.13-42.9 60.53 45.2 14.3-88.2 49.7c.4 6.3.6 11.8.4 17.5 6.2-.9 12.5-1.5 18.7-1.6 5.8 0 11.5.4 16.7 1.3 14.8 4.2 40.8 45.8 45.1 57.7-2.9 14.3-13 25.4-22.4 34.8l44.9 95.9c5.9 12.6 2.8 28.4.5 40.3-2.4 12-9.3 23.5-21.7 27.5-23.7 5-40.5-7.7-54.3-23 .2 15.2 0 30.1-.4 44.9h94.4c27.4-32.1 28.2-70.2 24.9-111.1-24.7 25.5-45.1-14.3-57.4-41.6 29.3 26.7 70.1-42.9 59.3-106.7-5.4 15.8-42.6 27-59-27.7 50.4-13 54.4-78.4 60.5-109.96-21.2 26.86-33.3 42.06-65.6 24.26 38.8-28.35 7.1-73.26-26.7-91 23 33.73-57.3 89.8-81.1 66.49C306.6 45.5 237.3 16 185 23.42zM256 109c-18.7 0-36 10.5-49.2 29-5.5 7.6-10.1 16.6-13.7 26.5 22.5 12.7 45.4 25.1 57.2 47.7-1.4 5.3-2.4 10.8-3.9 16L202 217.6c7.1-12.6 27.8-11.6 39.7 3.2-7.6-11.3-19.1-20-38.9-21l-10.4-33.4c-4.7 13.7-7.4 29.2-7.4 45.6 0 29.2 8.5 55.5 21.8 74 13.2 18.5 30.5 29 49.2 29 18.7 0 36-10.5 49.2-29 1.4-1.9 2.6-3.9 3.9-5.9-2.2-17.1-3.9-39.4 3.1-52.2 3-4.7 9.9-6.1 14.5-7.6.8-18.8-2.2-39.9-7.9-55.9l-10 35c-17.1 1.3-27.8 8.2-35.2 17.4 8.1-4.5 25.6-6.4 36.4-8.8 1.1 5.7 2.8 11.4-2.8 17.9-13.3-4.4-29.6-1.4-40.9 2.8-1.2-5.4-3.3-11.1-4.7-15.7 11.4-23.2 34.5-36.2 56.9-49.6-3.5-9.5-8-18-13.3-25.4-13.2-18.5-30.5-29-49.2-29zm70.9 130.6c-2.2 6.6-3 19.7-.8 33.1 2.1 13.7 6.6 27.3 10.2 34.2 6.9 2.5 13.8 5.1 20.7 7.7l25 118c9.6 10.8 24.3 26.9 39.2 22.4 14.2-7.3 10.9-33 9.2-45.6l-48.6-103.9c7.7-11.8 20.9-21.1 24.6-31.2-5.2-13.2-17.7-31.3-31-40.9-15.3-.5-35.8 1.9-48.5 6.2zm-110.2 4.2c7.8 0 22.1 15 39.8 13.9 15.9-.9 29.4-21.3 39.5-9.2 11 13.3-4 33.9-11.4 40 0 0-14.3-14.7-27.8-13.6-13.3 1-25.1 16.4-25.1 16.4-15.8-9.5-28.3-28.6-19.4-44.7 1.1-2 2.6-2.8 4.4-2.8zm-39.4 24.9c-29.9 3.7-67.1 11.2-110.7 36.5-10.07 39-10.68 79.1-14.43 114.8l-23.88 41.2c2.8 14.4 7.46 33.4 23.47 32.1 17.97-2.5 35.79-13.4 42.11-29-2.43-10.8-6.14-19.3-10.17-28 4.28-33.2 4.25-66 13.33-91.5l2.89-7.8c29.18 6.6 47.78 2.6 70.18-13.4l-1.2 19c-3.4 51.4-12 105.7-10.1 151.4h195.1c1.5-49.8.3-100.3-10.5-154.2-.7-3.7-1.3-7.6-2-11.8l-17.6-6.6c-3.8-6-6.9-12.9-8.9-18.5-15.4 18.3-36 30.1-58.9 30.1-25.5 0-48.2-14.5-63.9-36.6-5.9-8.2-10.9-17.6-14.8-27.7zm-27.7 88.2c-13 4-26.8 3.6-38.1 1.6-7.3 24.1-7.4 48.4-9.5 74.6 5 12.5 9 21.8 10.4 33.2-4.1 10.6-10 21-16.47 27.7h44.67c-1.8-43.5 5.1-91.6 9-137.1z"}}]})(props);
};
function GiEntMouth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.873 17.254v476.558h176.373L315.14 355.4l-137.83 63.075 70.667-108.043-31.43 16.517c13.426-76.567 48.536-132.702 102.05-197.208l-11.85 112.803 71.17-140.2-6.72 151.587L470.27 77.254c12.35-17.27 20.207-38 24.748-60H17.873zm216.71 55.97L213.02 179.57l73.123-103.343-21.637 93.414c-35.604 51.076-59.427 102.66-68.56 168.135l-62.436 32.81 63.072-89.355-117.97 56.065-37.962-65.992c10.632-76.265 43.808-139.937 99.284-191.56l94.648-6.518z","fillRule":"evenodd"}}]})(props);
};
function GiEntangledTyphoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M277.38 21.66c-96.948-.878-173.34 86.818-197.982 179.76 0 .002 0 .004-.002.006-6.326 18.67-9.757 38.666-9.757 59.455 0 2.836.074 5.654.2 8.458-17.562-55.274-17.086-137.757 20.086-206.48C2.272 126.67-9.832 299.917 100.182 398.58c-22.78-2.325-46.352-9.837-70.147-24.225 78.56 96.676 160.54 101.437 227.393 91.487-23.15 12.557-50.73 19.886-83.272 19.228 92.947 37.552 157.73-7.642 194.62-60.908-3.368 19.416-10.61 39.33-22.75 59.406 75.302-61.19 94.838-124.455 95.097-181.033 5.027 52.445-7.262 120.805-55.344 191.85 137.474-80.25 141.267-308.97-44.49-397.783-1.718-.905-3.454-1.778-5.204-2.63 34.773-.313 70.898 10.356 105.168 38.25-54.364-94.094-142.49-91.19-206.094-66.456 26.697-20.213 60.655-32.96 103.078-32.102-20.95-8.053-41.322-11.827-60.86-12.004zm-20.292 72.42c27.385.31 53.167 7.19 75.85 19.15 11.03 34.65 10.764 85.084-35.82 110.73 57.38-8.063 68.747-56.41 65.92-90.386 31.604 26.8 53.065 65.168 57.894 108.617-11.442-11.052-27.03-18.682-47.832-18.995-4.228-.063-8.67.175-13.336.748 56.35 13.146 58.046 52.722 56.037 82.108-5.366 19.175-14.072 36.942-25.445 52.647 3.265-39.063-5.52-70.67-25.205-91.312-25.207-26.433-66.802-31.98-114.732-13.826-43.58 16.5-75.458 10.803-94.588-9.257-18.553-19.456-26.513-55.153-15.96-104.09 21.894-20.92 49.49-35.916 80.237-42.47 25.205 5.698 46.725 24.76 53.276 49.736 7.63 29.088-7.855 62.162-37.375 69.75-21.748 5.59-46.478-6.097-52.008-28.185-3.99-15.936 4.575-33.99 20.47-37.873 2.803-.685 5.7-.813 8.51-.447-2.895 3.556-4.636 8.09-4.636 13.033 0 11.41 9.25 20.662 20.662 20.662 11.41 0 20.664-9.25 20.664-20.662 0-5.404-2.092-10.308-5.488-13.99-9.197-14.293-27.572-20.797-44.147-16.748-26.926 6.576-40.487 35.292-34.16 60.564 8.268 33.023 43.65 49.744 74.785 41.742 40.45-10.398 60.882-54.14 50.797-92.59-5.31-20.24-17.91-37.11-34.37-48.656zm-140.086 73.168c-2.947 38.434 5.85 69.552 25.305 89.953 25.207 26.434 66.8 31.985 114.73 13.835h.002c43.58-16.508 75.457-10.814 94.587 9.246 18.525 19.428 26.487 55.05 16.002 103.878-22.39 20.436-50.385 34.833-81.43 40.66l.038-.205c-23.698-4.616-44.6-20.994-53.21-43.424-10.99-28.622 1.01-63.88 30.083-74.895 21.448-8.124 47.847.96 55.943 22.767 5.85 15.76-.836 35.1-16.582 40.848-3.484 1.272-7.217 1.67-10.818 1.28 3.006-3.587 4.82-8.207 4.82-13.254 0-11.412-9.252-20.665-20.663-20.665-11.413 0-20.664 9.254-20.664 20.666 0 3.68.973 7.13 2.66 10.123 9.034 19.034 32.092 26.332 51.073 19.403v-.002c26.41-9.642 36.89-40.114 27.69-64.9-9.013-24.28-32.39-37.62-56.384-37.894-8-.092-16.066 1.267-23.694 4.156-39.625 15.01-55.365 61.408-40.908 99.065 6.25 16.277 17.272 29.828 31.018 39.603-28.09-1.413-54.325-9.757-77.05-23.347-8.506-34.05-5.113-79.09 38.048-102.854-52.583 7.39-66.514 48.602-66.303 81.59-28.446-26.552-47.57-62.952-51.986-103.816 13.757 13.168 33.46 21.397 60.93 18.024-54.79-12.782-57.916-50.575-56.2-79.67 4.867-18.134 12.7-35.044 22.962-50.17z"}}]})(props);
};
function GiEntryDoor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M217 28.098v455.804l142-42.597V70.697zM119 55v160h18V73h62V55zm257.98.03l.02 2.275V87h16V55zM377 105v16h16v-16zm0 34v236h16V139zm-276.564 58.727L42.162 256l58.274 58.273V279h96v-46h-96zM244 232c6.627 0 12 10.745 12 24s-5.373 24-12 24-12-10.745-12-24 5.373-24 12-24zm-125 65v151h18V297zm258 96v14h16v-14zm0 32v23h16v-23zM32 471v18h167v-18zm290.652 0l-60 18H480v-18z"}}]})(props);
};
function GiEnvelope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M182.78 80.125c3.367 19.498 10.608 52.67 19.126 84.813 8.126 30.663 17.73 60.122 25.063 75.062 57.968-.962 148.212-16.707 252.343-46.344-91.756-70.023-188.486-99.376-296.532-113.53zM164.657 85c-65.62 51.243-106.43 120.106-138.5 196.25 54.866-38.51 111.644-60.42 169.313-70.906-3.995-12.636-7.88-26.486-11.626-40.625-8.425-31.79-15.554-64.12-19.188-84.72zm322.281 125.906c-74.123 21.218-141.43 35.68-196.25 42.813 24.018 51.794 36.448 106.688 43.688 160.936 70.634-58.76 125.36-118.495 152.563-203.75zM201.53 228.28c-56.563 9.917-111.78 30.946-165.56 68.907 89.478 61.396 189.91 97.037 279.874 119.844-7.362-55.057-20.104-109.997-44.75-161.03-18.39 1.897-35.134 2.875-49.938 2.875h-5.344l-2.718-4.625c-3.898-6.69-7.77-15.598-11.563-25.97z","fillRule":"evenodd"}}]})(props);
};
function GiErlenmeyer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196.27 22.814c-8.29 0-14.194 5.093-17.91 10.163-3.713 5.07-6.032 10.492-6.032 16.814 0 6.323 2.16 11.873 5.668 17.433 3.51 5.56 9.108 11.85 18.275 11.85h-.202l6.63.142v122.002C150.973 267.087 50.5 395.497 50.5 395.497l-.402.513-.325.562c-5.1 8.808-10.02 21.052-10.02 35.635 0 35.53 29.48 64.827 64.827 64.828h299.6c35.253 0 64.828-28.916 64.828-64.828 0-16.296-7.106-28.625-11.197-35.652l-.334-.576-151.412-191.287V79.21c2.597-.066 3.062-.134 6.336-.136h.088c9.168 0 14.767-6.292 18.276-11.85 1.137-1.804 2.07-3.617 2.896-5.445l1.4-1.397h-.814c1.352-3.372 2.186-6.84 2.186-10.592 0-6.32-2.317-11.744-6.032-16.813-3.714-5.07-9.62-10.163-17.912-10.163h-116.22zm0 18.688h116.222c-.094 0 1.3.423 2.836 2.52 1.536 2.096 2.42 5.492 2.42 5.77 0 .276-1.043 4.696-2.785 7.456-1.736 2.75-3.422 3.132-2.475 3.135-6.836 0-12.118.197-14.302.285v-.207h-96.948v.03l-4.865-.105h-.102c.972 0-.727-.377-2.47-3.137-1.74-2.76-2.784-7.18-2.784-7.457 0-.276.883-3.672 2.42-5.77 1.536-2.095 2.93-2.518 2.835-2.518zm25.115 37.646h65.996v75.07h-.044v52.497l.045.058v4.422L441.948 406.47c3.908 6.738 8.373 15.1 8.373 25.737 0 25.66-21.09 46.14-46.138 46.14h-299.6c-24.953-.002-46.14-21.018-46.14-46.14 0-3.557.43-6.963 1.146-10.184l.055.084c.754-3.474 1.845-6.648 3.084-9.513l-.174.242c.977-2.32 2.05-4.496 3.17-6.465.668-.854 102.782-131.362 153.668-196.155l1.995-2.54v-1.155c.023-.03.07-.088.092-.118v-52.185h-.092v-75.07zm18.78 75.07v58.618l-1.99 2.537C204.078 258.886 82.596 415.245 81.714 416.38c-2.38 4.202-4.48 9.69-4.48 15.817 0 15.208 12.87 27.98 27.898 27.98h298.995c15.124 0 27.898-12.386 27.898-27.98 0-6.278-2.624-11.274-5.203-15.736L268.646 213.13v-58.913h-28.48zm-4.048 119.73c21.015 0 38.25 17.236 38.25 38.25 0 21.017-17.235 38.253-38.25 38.253s-38.252-17.236-38.252-38.25c0-21.016 17.237-38.253 38.252-38.253zm0 18.69c-10.913 0-19.562 8.648-19.562 19.56 0 10.915 8.65 19.564 19.562 19.564 10.914 0 19.563-8.647 19.563-19.563 0-10.914-8.65-19.563-19.563-19.563zm-60.293 54.817c21.015 0 38.252 17.237 38.252 38.252 0 21.016-17.237 38.252-38.252 38.252-21.015 0-38.252-17.238-38.252-38.253s17.237-38.252 38.252-38.252zm96.623 10.71c24.664 0 44.858 20.197 44.858 44.86 0 24.665-20.195 44.858-44.858 44.858-24.663 0-44.86-20.194-44.86-44.858 0-24.663 20.197-44.86 44.86-44.86zm-96.623 7.98c-10.913 0-19.562 8.65-19.562 19.562 0 10.914 8.65 19.563 19.562 19.563 10.914 0 19.563-8.648 19.563-19.563 0-10.913-8.65-19.562-19.563-19.562zm96.623 10.71c-14.562 0-26.17 11.608-26.17 26.17 0 14.563 11.608 26.17 26.17 26.17 14.564 0 26.17-11.605 26.17-26.17 0-14.562-11.607-26.17-26.17-26.17z"}}]})(props);
};
function GiErmine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 24l-32 64 32 48 32-48-32-64zm-64 96l-64 32 64 32 48-32-48-32zm128 0l-48 32 48 32 64-32-64-32zm-64 32c-32 128-64 192-128 256 16 0 48 0 64-16 0 16-16 48-32 64 16 0 48 0 64-16 16 16 16 16 32 48 16-32 16-32 32-48 16.847 12.064 48 16 64 16-16-16-32-48-32-64 16 16 48 16 64 16-64-64-96-128-128-256z"}}]})(props);
};
function GiEruption (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M50.125 18.844C39.392 34.837 29.345 54.284 20 76.906v55.344C35.626 81.983 54.123 43.486 73.188 18.844H50.124zm123.563 0c28.514 38.154 58.302 111.444 80.687 224.406l-27.688-20.375c10.34 42.642 9.49 86.734 5.282 129.656-9.68-5.064-18.39-10.242-26.407-15.592 7.303-2.39 12.593-9.273 12.593-17.375 0-10.088-8.194-18.25-18.28-18.25-9.81 0-17.787 7.734-18.22 17.437-18.992-16.48-34.353-35.148-51.312-57.906 21.86 55.484 37.576 110.95 43.22 166.437-21.468-10.502-42.212-27.485-62.408-47.874C77.776 320.05 46.846 278.314 20 248.376V277c23.004 27.92 48.843 64.944 76.563 114.625l23.843 70.125c-22.777 4.44-45.535-4.1-68.312-12.844l28.593 41.47h389.938L495 425.905c-19.11 10.21-59.843 22.84-84.344 27.656 14.49-50.7 26.913-95.425 50.5-145.406-21.43 23.53-55.894 46.943-82.156 60.03 13.352-53.8 29.45-91.128 45.97-113.373 12.695-17.098 25.094-24.963 36.25-26.594 10.992-1.61 22.193 2.343 34.25 13.218v-23.25c-9.64-5.85-19.91-9.082-30.345-8.97-2.193.024-4.39.21-6.594.532-17.625 2.577-34.014 14.346-48.56 33.938-15.714 21.16-29.94 51.864-42.095 93.28-8.64-73.057-7.37-149.966.75-219.78-14.467 43.082-22.59 78.36-50.22 107.437-10.972-19.324-19.403-38.584-26.217-57.844 2.658 1.103 5.568 1.72 8.625 1.72 12.463 0 22.562-10.128 22.562-22.594 0-12.465-10.1-22.562-22.563-22.562-5.348 0-10.257 1.86-14.125 4.97l-9.125-109.47h-35c11.422 56.565 17.434 116.837 20.5 175.062C244.06 113.393 220.92 55.986 196.5 18.844h-22.813zm237.78 6.656c-14.29 0-25.874 11.584-25.874 25.875 0 .723.035 1.417.094 2.125-.373-.023-.747-.063-1.125-.063-10.087 0-18.25 8.163-18.25 18.25s8.163 18.282 18.25 18.282c8.746 0 16.055-6.165 17.843-14.376 2.82 1.054 5.876 1.656 9.063 1.656 14.288 0 25.874-11.584 25.874-25.875 0-14.29-11.586-25.875-25.875-25.875zM103.032 38.72c-10.085 0-18.28 8.16-18.28 18.25 0 10.085 8.195 18.28 18.28 18.28 10.088 0 18.25-8.193 18.25-18.28 0-10.09-8.162-18.25-18.25-18.25zm350.533 76.624c-10.087 0-18.25 8.162-18.25 18.25 0 10.086 8.163 18.28 18.25 18.28 10.086 0 18.28-8.192 18.28-18.28 0-10.088-8.194-18.25-18.28-18.25zm-299.844 8c-15.972 0-28.907 12.965-28.907 28.937 0 15.972 12.935 28.907 28.906 28.907 15.97 0 28.936-12.933 28.936-28.906 0-15.97-12.967-28.936-28.937-28.936zM87.624 207.22c-10.087 0-18.25 8.16-18.25 18.25 0 10.085 8.163 18.28 18.25 18.28s18.25-8.193 18.25-18.28c0-10.09-8.163-18.25-18.25-18.25z","fillRule":"evenodd"}}]})(props);
};
function GiEscalator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208 57c-16.3 0-31 16.54-31 39 0 22.5 14.7 39 31 39s31-16.5 31-39c0-22.46-14.7-39-31-39zm147.7 48L99.73 361H25v110h131.3l256-256H487V105H355.7zm-169.5 42.1c-1.4 2.3-2.7 4.8-4 7.5-7.9 17.1-13.2 41.8-13.2 69.2 0 13.8 1.4 27 3.7 38.8l71.7-71.7c-2.3-14-6-26.4-10.6-36.3-1.3-2.7-2.6-5.2-4-7.5-6.5 3.8-13.9 5.9-21.8 5.9s-15.3-2.1-21.8-5.9z"}}]})(props);
};
function GiEskimo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M261.912 19.12c-1.538-.043-3.12.126-4.658.126-32.843 0-59.584 33.906-59.584 75.918 0 21.273 7.082 40.47 18.096 54.287-56.102 8.702-75.978 74.546-72.207 145.62 3.592-1.208 7.427-1.873 11.41-1.873 6.244 0 12.135 1.614 17.28 4.442l-.61-61.974 18.688-.184.44 44.66h56.462V173.108c3.217.747 6.555 1.155 10.002 1.155 2.98 0 5.88-.306 8.688-.867l-.002 106.748h56.428l.44-44.66 18.687.183-.606 61.8c5.068-2.718 10.842-4.27 16.957-4.27 4.55 0 8.91.865 12.932 2.423 3.46-71.845-21.24-135.553-72.88-145.282.025-.037.047-.076.07-.113 11.458-13.873 18.894-33.305 18.894-55.06 0-39.39-23.415-72.02-53.406-75.92-.5-.074-1.01-.112-1.522-.126zm154.518 6.04l-6.543 24.418-17.875-17.875-13.215 13.215 17.875 17.875-24.416 6.54 4.836 18.054 24.418-6.54-6.543 24.415 18.05 4.838 6.544-24.418 17.876 17.875 13.214-13.215-17.875-17.875 24.418-6.54-4.836-18.054-24.418 6.54L434.48 30 416.43 25.16zM96.31 65.998l-11.08 41.354-30.273-30.274L41.74 90.293l30.272 30.27-41.348 11.08 4.836 18.052 41.352-11.078-11.08 41.352 18.05 4.837 11.08-41.35 30.27 30.27 13.215-13.215-30.27-30.272 41.352-11.078-4.837-18.053-41.352 11.078 11.08-41.352-18.05-4.838zm160.922 2.426c12.15 0 23.74 9.425 29.342 24.03h-58.68c5.602-14.604 17.19-24.03 29.338-24.03zm-32.824 42.72h65.65c.005.284.018.566.018.854 0 25.2-15.88 43.576-32.844 43.576s-32.84-18.377-32.84-43.576c0-.288.012-.57.016-.855zm222.737 111.88l-18.053 4.84 6.543 24.417-24.42-6.542-4.836 18.053 24.415 6.542-17.875 17.875 13.215 13.215 17.877-17.875 6.543 24.418 18.052-4.838-6.543-24.416 24.416 6.542 4.836-18.053-24.416-6.542 17.875-17.875-13.214-13.215-17.873 17.873-6.542-24.415zm-374.717 66.08l-6.54 24.417-17.876-17.874-13.215 13.215 17.875 17.876-24.42 6.543 4.838 18.052 24.418-6.543-6.543 24.417 18.053 4.836 6.54-24.418L93.435 367.5l13.214-13.215-17.873-17.875 24.416-6.54-4.836-18.054-24.416 6.543 6.542-24.42-18.052-4.835zm118.523 9.726l.626 63.557 2.207 33.51h53.428v-76.444h18.69v76.443h51.707l4.088-54.89h.053l.082-8.31c-.103-1.102-.162-2.216-.162-3.342 0-1.366.084-2.712.234-4.04l.26-26.484h-131.21zm-35.98 13.055c-9.76 0-17.47 7.712-17.47 17.47 0 9.755 7.71 17.467 17.47 17.467 9.757 0 17.466-7.712 17.466-17.468 0-9.76-7.708-17.47-17.467-17.47zm202.854 0c-9.758 0-17.467 7.712-17.467 17.47 0 9.755 7.71 17.467 17.467 17.467 9.76 0 17.47-7.712 17.47-17.468 0-9.76-7.71-17.47-17.47-17.47zm35.283 73.426l-8.203 33.588L359.916 395l-12.918 13.506 24.986 23.896-33.19 9.692 5.237 17.94 33.195-9.692-8.205 33.59 18.156 4.433 8.203-33.588 24.985 23.897 12.918-13.506-24.986-23.898 33.19-9.69-5.24-17.94-33.188 9.692 8.202-33.588-18.155-4.433zm-198.09 29.274l2.647 40.184h49.547v-40.184h-52.194zm70.883 0v40.184h47.32l2.995-40.184H265.9zm-67.005 58.873l1.423 21.59h46.893v-21.59h-48.315zm67.005 0v21.59h44.32l1.608-21.59H265.9z","fillRule":"evenodd"}}]})(props);
};
function GiEternalLove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M372.48 31.215c-77.65 0-116.48 65.73-116.48 65.73s-38.83-65.72-116.48-65.72c-37.14 0-107.77 33.72-107.77 125.13 0 161.24 224.25 324.43 224.25 324.43s224.25-163.19 224.25-324.43c0-91.42-70.63-125.13-107.77-125.14zM160 129h192v18H160v-18zm23 31h18v176h-18V160zm33 0h80s-8 80-40 80-40-80-40-80zm95 0h18v176h-18V160zm-55 96c32 0 40 80 40 80h-80s8-80 40-80zm-96 93h192v18H160v-18z"}}]})(props);
};
function GiEuropeanFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 46.305l-9.404 19.054-21.03 3.056 15.217 14.832-3.592 20.945L256 94.305l18.81 9.888-3.593-20.945 15.217-14.832-21.03-3.057L256 46.304zM167.566 72.63l-9.404 19.056-21.03 3.056 15.218 14.832-3.592 20.946 18.808-9.89 18.81 9.89-3.593-20.946L198 94.742l-21.03-3.056-9.404-19.055zm176.868 0l-9.405 19.056L314 94.742l15.217 14.832-3.592 20.946 18.81-9.89 18.807 9.89-3.592-20.946 15.217-14.832-21.03-3.056-9.403-19.055zm-243.868 67.425l-9.404 19.054-21.03 3.056 15.218 14.832-3.592 20.945 18.808-9.888 18.81 9.888-3.593-20.945L131 162.166l-21.03-3.057-9.404-19.055zm310.868 0l-9.405 19.054-21.03 3.056 15.217 14.832-3.592 20.945 18.81-9.888 18.807 9.888-3.592-20.945 15.217-14.832-21.03-3.057-9.403-19.055zM76.566 228.55l-9.404 19.054-21.03 3.056 15.218 14.832-3.592 20.945 18.808-9.888 18.81 9.887-3.593-20.945L107 250.66l-21.03-3.056-9.404-19.055zm358.868 0l-9.405 19.054L405 250.66l15.217 14.832-3.592 20.945 18.81-9.888 18.807 9.887-3.592-20.945 15.217-14.832-21.03-3.056-9.403-19.055zm-334.868 89.897l-9.404 19.055-21.03 3.057 15.218 14.83-3.592 20.946 18.808-9.89 18.81 9.89-3.593-20.945L131 340.56l-21.03-3.058-9.404-19.055zm310.868 0l-9.405 19.055L381 340.56l15.217 14.83-3.592 20.946 18.81-9.89 18.807 9.89-3.592-20.945 15.217-14.83-21.03-3.058-9.403-19.055zm-243.868 65.746l-9.404 19.055-21.03 3.057 15.218 14.832-3.592 20.945 18.808-9.89 18.81 9.89-3.593-20.945L198 406.305l-21.03-3.057-9.404-19.055zm176.868 0l-9.405 19.055-21.03 3.057 15.217 14.832-3.592 20.945 18.81-9.89 18.807 9.89-3.592-20.945 15.217-14.832-21.03-3.057-9.403-19.055zm-88.61 23.614l-9.404 19.056-21.03 3.055 15.217 14.834-3.59 20.943.385-.203-.035.203L256 455.898l18.633 9.797-.035-.203.386.203-3.59-20.943 15.215-14.834-21.03-3.055-9.404-19.056-.176.355-.176-.355z"}}]})(props);
};
function GiEvasion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M315.4 20.34L228 70.5l146-32.28zM67.73 23l-24 16H212.3l-24-16zM73 57v30h16V57zm34 0v30h42V57zm60 0v30h16V57zm73.4 33.86l175.1 41.54-39.9-40.56zM57 105v16h142v-16zm169.1 7.9l50.1 57.8 49.5-3.2zM105 139v44h46v-44zm-89 59v33h480v-33zm0 51v247h36.68l11.99-10.8-25.34-28.1 40.21 14.8 15.27-13.7-14.04-16.5L107.5 413l-11.55-20.8-30.81-27.5 32.17 5.1 49.49-17.2-17.9-32.6 27.6 15.7 9.6-22.5 10.5 45.1 43.2 38.1-16.1 26.5 8.7 8.7 40.7-4.4-25.1 19.9 12.9 12.8-20.1 36.1h177.5l12.5-33.1-36.6-18.1c-14 12.8-24.1 28.3-44 36.9l-41.3-35 11.6-13.8 29.7 25.2c21.9-24 30-38.3 43.2-69.3l-17.4-4.6-30.4 21.6-.9-17.4 28.6-19.3 32.6.9c-4.6-7.3-5.9-17-3.5-26.2 3.8-14.9 16.2-25.2 29.2-24.5 1.5.1 3 .3 4.4.7 14.2 3.7 22.2 20.3 17.9 37.1-3.2 12.4-12.3 21.9-23.2 24.1l20.1 17.8 23.5-13.7 12.5 11.2-38.1 20.9-20.7-17.9-12.5 33 38.7 22-16.5 41.5H496V249z"}}]})(props);
};
function GiEvilBat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M200.87 39.725C44.31 80.87-16.78 302.325 36.948 433.995 23.912 307.28 59.464 188.886 126.674 116.51c-22.972 99.05-25 194.382 10.353 258.826-18.214-78.32-11.397-174.74 18.254-239.406-1.843 54.862 7.87 111.337 31.788 155.718-12.736-108.023 47.59-42.41 65.168-8.06 4.94 15.805 3.993 29.124-.433 40.47-5.83 14.942-18.294 26.96-34.018 34.897-35.8 18.074-54.695 40.503-60.52 62.78-5.824 22.28 1.996 43.443 16.5 56.396 14.5 12.952 36.138 18.04 56.32 9.233 16.745-7.305 31.693-23.562 41.895-50.072 8.293 6.156 15.268 13.8 20.868 23 .4-33.196 9.715-61.208 23.945-86.364-34.537 9.54-63.36 25.552-88.33 45.94 9.908 1.663 18.956 4.295 27.123 7.92-8.903 24.836-21.404 37.37-32.984 42.42-13.44 5.866-26.794 2.587-36.39-5.985-9.598-8.57-14.97-22.088-10.878-37.74 4.092-15.65 18.256-34.373 50.883-50.845 18.94-9.56 35.138-24.64 42.998-44.787 7-17.947 6.885-39.556-2.85-62.885 23.456-33.637 66.618-69.27 55.658 23.683 23.918-44.38 33.632-100.856 31.788-155.718 29.652 64.666 36.466 161.086 18.252 239.406 35.354-64.444 33.326-159.775 10.354-258.826 67.21 72.377 102.764 190.772 89.73 317.488C525.87 302.324 464.78 80.87 308.22 39.726h-.003c31.215 86.954 42.704 157.88-53.672 190.813-96.376-32.935-84.888-103.86-53.672-190.815h-.002zm16.083 57.62c-4.84 10.928-8.443 22.143-8.443 34.83 0 33.612 18.97 61.84 46.437 77.044 27.21-15.274 45.383-43.624 45.383-77.046 0-12.776-3.644-23.793-8.443-34.83 0 0-21.217 54.584-36.94 67.68-15.87-13.032-37.994-67.68-37.994-67.68z"}}]})(props);
};
function GiEvilBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M93.998 27.8c-24.004-.13-42.94 15.268-54.732 32.778C27.094 78.653 20.66 98.816 24.684 115.1l.01.04 81.476 318.186c.11-9.534 2.292-19.376 6.22-28.596 4.24-9.948 10.73-19.412 19.245-27.21 7.477-7.44 17.398-13.343 29.234-16.575.002 0 .004 0 .007-.002 4.364-1.292 8.962-2.224 13.787-2.74l.658-.07 323.2 11.25-126.975-328.56-275.21-12.96c-.786-.037-1.565-.058-2.34-.062zm-.107 18.69c.52.003 1.043.017 1.567.04L358.504 58.92l112.408 290.867-299.46-9.77-.653.07c-26.13 2.814-47.677 15.802-60.554 33.823l-67.42-263.29v-.003c-1.57-6.362 2.12-25.013 11.942-39.6 9.516-14.132 23.03-24.603 39.123-24.525zm17.426 17.403L93.35 69.037l73.06 255.193 17.967-5.142-73.06-255.195zm52.48 19.2c3.22 62.57 46.11 84.672 81.54 87.507l9.07-16.85-43.873-19.943 15.91-8.95c-24.727-2.388-42.9-24.437-62.648-41.765zm180.157 2.948c-10.863 18.29-18.594 40.613-39.375 46.132l10.31 13.844-24.808 16.07 14.943 13.84c29.995-7.382 59.367-33.122 38.93-89.885zm44.406 88.26l-33.432 59.067-18.184-40.082-25.455 50.627-50.07-37.266-8.277 35.157-76.937-59.768 46.058 99.145 13.426-21.8 45.862 59.07 19.857-46.41 41.196 47.108 17.785-52.03 20.13 28.827 8.04-121.644zM176.214 376.866c-23.563 2.688-39.208 17.766-46.63 35.19-6.863 16.106-5.658 33.007 1.804 42.7l315.006 10.862c-2.514-13.553-1.82-27.43 2.32-41.203l-21.546-6.818 34.252-20.055c2.305-3.522 4.85-7.02 7.658-10.48l-292.865-10.195z"}}]})(props);
};
function GiEvilBud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440.377 18.088C414.594 39.345 383.15 53.22 360.83 47.584c-2.83-1.506-6.274-2.395-10.53-2.408-5.46-.017-12.32 1.477-20.79 4.803-12.724 15.04-21.798 34.02-24.608 61.065 23.493-13.79 43.58-21.348 69.446-28.88 0-.024-.003-.048-.004-.073 25.44-7.472 57.55-25.785 66.033-64.004zm-297.63 1.98c-37.78 7.718-86.92 67.836-42.595 124.575 3.5-23.014 13.46-44.417 27.662-62.91-1.704-21.236 3.625-43.288 14.934-61.665zm112.517 14.57c-16.053.015-32.534 3.503-48.32 9.89-32.83 13.29-61.915 38.95-77.483 69.972 14.697-4.495 30.286-6.625 45.907-5.992 17.673.716 35.378 4.944 51.85 13.207l15.58 7.816-15.133 8.65c-14.288 8.165-43.198 24.174-64.346 45.244-10.574 10.535-19.04 22.21-23.1 34.222-4.06 12.012-4.17 24.25 2.417 38.38l5.586 11.984c18.54 26.353 43.398 41.512 68.968 46.636 31.524 6.32 64.67-2.422 89.77-26.505-13.14-6.644-23.627-15.76-31.364-26.515-18.663-25.94-21.53-59.89-12.514-89.395l6.47-21.162 10.657 19.395c6.53 11.885 25.26 33.58 47.633 45.992 22.374 12.412 46.766 16.728 71.715-1.63l13.695-10.075c7.03-10.314 12.367-22.563 15.025-34.95 4.265-19.868 1.73-39.45-8.955-52.905-6.95-8.754-17.613-15.68-33.82-18.602-34.137 9.6-54.09 17.156-85.824 37.947l-2.332 1.528H285.17l.04-9.383c.142-33.69 8.47-59.477 21.704-79.47-7.455-4.662-15.32-8.083-23.463-10.43-9.078-2.614-18.555-3.855-28.186-3.846zM33.574 99.493c-8.587 48.305 23.4 92.03 45.46 108.072l.148-.197c4.34 6.718 9.767 13.118 15.892 18.858 7.566 7.088 16.104 12.945 24.49 17.46-1.643-11.202-.417-22.06 2.952-32.025 5.372-15.893 15.724-29.632 27.613-41.476 16.542-16.482 36.118-29.276 51.34-38.366-8.757-2.51-17.74-3.988-26.773-4.256-35.082-1.038-70.29 14.008-91.273 38.31-24.706-13.256-39.353-38.294-49.85-66.38zm243.625 98.89c-1.31 18.658 2.945 37.57 13.564 52.33 14.3 19.877 39.997 33.53 83.064 29.91 10.076-7.87 14.683-15.983 17.37-25.347 1.42-4.954 2.233-10.292 2.857-15.923-26.337 11.202-53.58 5.483-75.282-6.555-16.998-9.43-31.21-22.2-41.574-34.416zm182.386 57.692c-31.182 43.73-75.96 79.972-120.275 88.64l-14.994-48.153c-22.916 24.176-52.755 37.357-83.234 38.583l28.18 42.27-49.446 62.095-14.62-11.64 23.847-29.948c-28.817-14-77.622-24.184-104.568-18.65-30.943-23.56-43.234-73.074-47.89-121.477-17.116 36.574-13.242 82.04-2.335 117.387-19.47-9.36-35.306-26.266-49.06-45.55 4.21 48.88 46.376 83.07 71.837 92.856 47.353-26.6 105.78 21.316 130.237 71.25h112.13c-64.765-43.294-47.147-74.84 15.77-98.113l-.016-.05c40.265-14.345 98.207-67.104 104.438-139.5z"}}]})(props);
};
function GiEvilComet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M121.492 19.12l162.91 176.312c-42.268-65.6-80.666-115.532-100.847-176.31h-62.063zM87 19.124L213.88 174.73 54.726 26.24l269.736 298.49L19.15 40.047v30.2L182.45 225.472 19.15 107.678v31.662l.307.172.002 52.222 116.828 30.87-45.582-39.872c15.55 10.18 32.436 21.74 49.535 34.338 31.358 23.106 62.634 49.186 86.094 75.96 23.46 26.776 39.88 54.455 38.123 82.163-3.912 61.673 50.497 112.38 112.984 112.38 30.236 0 57.638-11.83 77.888-31.102l-76.873 14.216 9.44-37.762-68.327 16.18 10.495-46.3-43.383 7.036.36-2.635 26.802-58.226-5.235 38.372 45.803-7.428-9.994 44.092 69.06-16.356-9.84 39.363 69.897-12.923c5.605-9.05 9.968-18.954 12.85-29.477L450.7 402.21l39.68-25.544c.01-.687.024-1.374.024-2.064 0-62.474-50.544-106.992-113.85-113.012-27.784-2.643-56.96-20.122-86.38-43.826-29.42-23.704-58.906-54.048-85.293-84.03-47.496-53.967-83.31-104.564-90.33-114.61H87zM383.002 284.25l14.076 42.254 20.87-18.567 10.308 85.934-24.11-43.116-20.666 13.13-25.26-53.587 18.186 11.892 6.596-37.94z"}}]})(props);
};
function GiEvilEyes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M74.247 167.854C-90.602 374.671 219.872 342.307 219.872 342.307 138.961 289.214 74.247 167.854 74.247 167.854zm5.027 140.538c-8.384-13.955-4.365-37.814 11.23-68.749 3.447 4.516 7.256 9.333 11.335 14.406l19.178 62.17 7.346-31.115a561.216 561.216 0 0 0 50.158 49.33c-51.874 1.67-88.197-7.677-99.247-26.027zm358.494-140.538s-64.729 121.36-145.625 174.453c-.015 0 310.459 32.364 145.61-174.453zm-5.028 140.538c-11.049 18.38-47.372 27.713-99.246 26.072a561.276 561.276 0 0 0 50.158-49.33l7.33 31.085 19.179-62.215a733.836 733.836 0 0 0 11.335-14.406c15.595 30.995 19.66 54.84 11.23 68.809z"}}]})(props);
};
function GiEvilFork (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.313 21.813l-8.563 19.75-17.688 40.75-5.656 13.062h23.25v118.47c-13.75.87-27.51 4.044-41.125 9.75v-80.94h22.064l-5.688-13.06-17.656-40.75-8.594-19.75-8.562 19.75-17.688 40.75-5.656 13.06h23.094V254.22l13.844-7.626c15.526-8.545 30.754-13.26 45.968-14.47v111.783l11.906-3.375c63.584-18.07 107.505-12.832 134.063 1.25 26.558 14.085 36.504 36.483 34.063 56.97-2.442 20.487-17.308 39.61-46 46.625-28.693 7.016-71.885 1.21-128.063-32.094-29.367-17.408-66.103-38.01-104.5-43.655-23.335-3.43-47.54-.667-69.844 11.75-9.52-11.33-17.738-24.647-24.686-39.875C34.937 387.392 22.432 437.344 22 493.28c32.185-31.62 70.666-57.006 120.563-71.03-18.796-5.505-35.13-14.682-49.188-27.344 17.083-8.407 35.181-9.553 54.03-6.78 33.512 4.926 68.725 24.047 97.69 41.218 58.958 34.95 106.907 42.776 142.03 34.187 35.123-8.587 56.756-34.316 60.125-62.592 3.37-28.277-11.556-58.518-43.875-75.657-30.33-16.082-75.513-20.825-136.03-5.717v-87.157c15.117 1.588 30.324 6.463 45.905 14.344l13.563 6.875v-110.97H348.875l-5.657-13.06-17.69-40.75-8.56-19.75-8.595 19.75-17.656 40.75-5.69 13.06h23.095v81.376c-13.46-5.4-27.093-8.785-40.78-9.968V95.376h21.905l-5.688-13.063-17.687-40.75-8.563-19.75zM143.438 59.937C118.564 61.831 94.734 77.45 74.53 102 30.083 156.017 4.637 251.026 32.438 327.063c-.4-70.025 48.94-105.56 67.688-39.032 1.38-48.89 41.444-78.51 68.313-42.686v-64.03c-32.01-10.637-47.006-60.076-25-121.376zm227.562 0c22.006 61.3 7.01 110.74-25 121.376v64.03c26.87-35.822 66.933-6.203 68.313 42.688 18.746-66.526 68.09-30.992 67.687 39.033 27.8-76.037 2.386-171.046-42.063-225.063C419.733 77.45 395.873 61.83 371 59.937z"}}]})(props);
};
function GiEvilHand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M165.98 47.744l-25.32 143.443c-28.823 29.04-82.26 43.33-117.54 49.016l.132 218.645.006-.002C60.214 406.14 115.74 321.79 177.84 291.51c87.926-6.233 189.035 1.018 269.29 122.01l-30.286-111.768-114.03-33.826c38.234-48.656 116.253-23.912 190.39 29.45l-63.015-80.312-133.442-13.59c22.58-50.88 108.657-59.573 185.336-7.413L407.95 115.75c-105.138 37.836-182.9 34.318-190.315 9.33-2.432 3.567-4.53 7.19-6.29 10.854-13.455 27.973-8.834 59.176 11.362 86.75l-15.078 11.043c-23.475-32.05-29.726-71.382-13.128-105.893 15.343-31.902 49.35-58.73 103.26-73.768l-131.782-6.32z"}}]})(props);
};
function GiEvilLove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M382.3 36.97c14.1 16.78 24.9 31.7 32.4 44.8C428 105.1 431.9 124 428.6 139.7c-3.2 15.8-13.4 27.1-24.1 35.9-10.5 8.7-21.9 15.7-30.3 22.9-1.8 1.8-1.9 2.8-1.3 5.3.6 2.6 2.9 6.2 6.6 9.2 7.5 6 19.6 9.3 32.4 2.9 22.8-11.4 38.3-25.3 46.6-40.3 8.4-15 10.2-31 4.8-49-8.2-27.32-34.4-58.79-81-89.63zm-252.7 0C82.99 67.83 56.8 99.29 48.62 126.6c-5.39 18-3.63 34 4.74 49 8.37 15 23.84 28.9 46.64 40.3v.1c12.8 6.3 24.8 3 32.3-3 3.7-3 6-6.6 6.6-9.2.6-2.5.5-3.5-1.3-5.3-8.3-7.2-19.7-14.2-30.3-22.9-10.67-8.8-20.8-20.1-24.05-35.8-3.25-15.8.64-34.6 13.92-58.01 7.43-13.09 18.23-28.01 32.43-44.78zm43.3 113.73c-7.6.1-15.3 1-22.9 2.7-9.8 2.2-19.3 5.8-28.2 10.7 8.7 6.8 19 13.2 28 21.1l.2.2.3.2c6.1 6.2 7.9 15.1 6.1 22.6-1.9 7.4-6.6 13.8-12.9 18.8-12.5 10-32.4 14.7-51.53 5-5.4-2.7-10.49-5.5-15.27-8.6-2.38 9.4-3.69 19.8-3.69 31.2 0 43 37.69 90 81.19 131.5 21.8 20.8 44.7 40.2 64.3 57.6 15.1 13.3 28.1 25.2 37.5 36.3 9.4-11.1 22.4-23 37.5-36.3 19.6-17.4 42.5-36.8 64.3-57.6 43.5-41.5 81.2-88.5 81.2-131.5 0-11.4-1.3-21.8-3.7-31.2-4.8 3.1-9.9 6-15.4 8.7-19.2 9.6-39.1 4.9-51.6-5.1-6.3-5-11-11.4-12.9-18.8-1.8-7.5 0-16.4 6.1-22.6l.3-.2.2-.2c9.1-7.9 19.4-14.3 28.1-21.1-8.8-4.9-18.3-8.5-28.1-10.7-40.6-9.2-83.6 5.6-97.6 40.6l-8.4 20.9-8.4-20.9c-11.3-28.5-41.9-43.6-74.7-43.3zm-17.8 102.1c20.6 28.5 49.5 50.4 84.9 67.2-52.2 33.9-104.2 4.1-84.9-67.2zm201.8 0c19.3 71.3-32.7 101.1-84.9 67.2 35.4-16.8 64.3-38.7 84.9-67.2z"}}]})(props);
};
function GiEvilMinion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M118.1 20.63l-2.9 20.19-53.11-2.48 49.01 31.6L96.24 174.2A28.31 28.31 0 0 0 79.43 200a28.31 28.31 0 0 0 10.04 21.6l-6.55 45.9 20.78 2.4 12.4-42.9a28.31 28.31 0 0 0 3.1-1.2l61.1 28.9 49.1-30.9 26 61.1-73 79.3 11.2 78.7-38.6 48.5h48.5l19.6-46.4-11.9-68.8 43.5-21.1 6.3 49.2 56.2 2.1 2.8-47.1 65.3 35.1 3.5 51.3-10.2 45.7h62.2l-30.2-45.7-5.6-68.1-80.1-80.8 26.7-82.1 61.8 21-27.2 25.3a28.31 28.31 0 0 0-6.8-.8 28.31 28.31 0 0 0-28.3 28.3 28.31 28.31 0 0 0 28.3 28.3 28.31 28.31 0 0 0 28.3-28.3 28.31 28.31 0 0 0-1.5-9.2l43.7-49.2L333 155.3a42.7 62.07 0 0 0 1.1-13.9 42.7 62.07 0 0 0-2.4-20.2c55.4-12.5 61.7-67.54 15.5-97.18 8.6 26.64 22.2 51.09-33 64.97a42.7 62.07 0 0 0-22.8-9.69 42.7 62.07 0 0 0-23.5 10.32c-58.2-13.78-44.2-38.57-35.5-65.6-47 30.17-39.6 86.68 18.5 97.98a42.7 62.07 0 0 0-2.2 19.4 42.7 62.07 0 0 0 2.7 21.6l-73.2 61.5-43.1-17.4a28.31 28.31 0 0 0 .9-7.1 28.31 28.31 0 0 0-6.8-18.3l42-145.18zM280.2 126.5a10.43 10.43 0 0 1 10.5 10.4 10.43 10.43 0 0 1-10.5 10.4 10.43 10.43 0 0 1-10.4-10.4 10.43 10.43 0 0 1 10.4-10.4zm34.5 0a10.43 10.43 0 0 1 10.5 10.4 10.43 10.43 0 0 1-10.5 10.4 10.43 10.43 0 0 1-10.4-10.4 10.43 10.43 0 0 1 10.4-10.4z"}}]})(props);
};
function GiEvilMoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.938 19.938C124.514 19.938 17.78 126.67 17.78 258.094c0 131.422 106.735 238.156 238.157 238.156 131.423 0 238.157-106.734 238.157-238.156 0-131.422-106.734-238.156-238.156-238.156zm0 18.687c121.322 0 219.468 98.147 219.468 219.47 0 26.08-4.548 51.085-12.875 74.28-20.99 8.188-43.686 12.75-67.624 12.75-22.242 0-43.584-3.855-63.406-10.938l12.094 44.594-71.75-12.467 18.844 51.562c-57.855 7.1-108.19-15.432-130.47-49.28l81.313 1.78-23.56-48.438 72.436-8.062.688.063c-16.83-11.135-31.777-24.876-44.22-40.688 30.674-18.014 66.44-28.814 102.782-22.844-43.234-49.45-95.713-64.09-139.437-57.437-2.188-11.438-3.345-23.236-3.345-35.314 0-45.286 16.2-86.562 42.938-118.937 2.04-.057 4.072-.095 6.125-.095zM139.188 180.78c.638-.006 1.268-.013 1.906 0 19.467.437 38.24 10.748 48.687 28.845 15.923 27.577 6.48 62.83-21.093 78.75-27.572 15.92-62.828 6.483-78.75-21.094-15.92-27.576-6.478-62.86 21.094-78.78 8.887-5.13 18.58-7.615 28.157-7.72zm-.063 21.064c-20.26 0-36.906 16.643-36.906 36.906 0 20.263 16.644 36.875 36.905 36.875 20.26 0 36.875-16.612 36.875-36.875s-16.614-36.906-36.875-36.906zm0 18.687c10.16 0 18.188 8.058 18.188 18.22 0 10.162-8.028 18.188-18.188 18.188-10.16 0-18.22-8.026-18.22-18.188 0-10.162 8.06-18.22 18.22-18.22z"}}]})(props);
};
function GiEvilTower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 22.683l64 27.632 16-16zm384 0l-80 11.632 16 16zm-204.908 5.902c-17.084 3.209-34.355 12.056-48.1 21.219-11.706 7.804-19.017 14.13-23.594 18.302 7.8 12.21 20.963 24.967 35.594 34.721 12.313 8.209 25.698 14.22 37.088 16.912l-13.445-53.783zm25.816 0l12.457 37.371-13.445 53.783c11.39-2.692 24.775-8.703 37.088-16.912 14.631-9.754 27.793-22.512 35.594-34.72-4.577-4.173-11.888-10.5-23.594-18.303-13.745-9.163-31.016-18.01-48.1-21.219zM256 46.771l-6.635 19.904L256 93.214l6.635-26.54zM128 66.315l-96 16 112 16zm256 0l-16 32 112-16zm-224 48l-80 48 96-32zm192 0l-16 16 96 32zm-152.178 29.928l-25.834 297.074h27.594l13.174-289.845c-4.634-2.16-9.539-4.546-14.934-7.229zm112.356 0c-5.395 2.683-10.3 5.069-14.934 7.229l13.174 289.845h27.594zm-79.739 14.608L219.6 441.317H292.4l-12.84-282.466c-8.328 2.898-15.853 4.462-23.56 4.462-7.707 0-15.232-1.564-23.56-4.462zm-85.943 300.462l-50.008 30.004H199.4l1.364-30.004zm72.285 0l-1.363 30.004h77.164l-1.363-30.004zm92.455 0l1.364 30.004h102.912l-50.004-30.004z"}}]})(props);
};
function GiEvilTree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.97 18.72v203.374c1.97 8.137 9.515 16.478 18.343 19.22 9.033 2.803 19.03 1.506 29.624-12.22l7.376-9.563 7.406 9.564c13.88 17.906 26.524 25.565 39.5 28.844-12.174-43.782-37.342-85.398-69.44-126.157l-1.25-1.56-.468-1.94-4-16.03 15.782 4.813 94.187 28.78L173.095 31.25l.03-.313c-.025-.113-.035-.23-.06-.343-1.01-4.396-1.874-8.33-2.658-11.875H19.97zm169.593 0c.578 2.59 1.065 4.87 1.718 7.718.34 1.476.69 2.91 1.032 4.375l53.813 85.53 105.22-63.624 19.874-12.032-6 22.437-15.94 59.625 99.408-36.906 33.875-12.563-23.532 27.407c-34.498 40.204-69.485 88.29-86.374 144.563 1.133-.06 2.266-.147 3.375-.28 13.968-1.688 25.42-8.223 31.626-23.032l4.97-11.813 9.718 8.313c12.73 10.89 23.158 14.587 34.812 13.968 10.603-.563 23.034-5.48 37.938-14.344V18.72H189.563zm-1.5 40.436L174.03 159.25l-.03.28-3.625 42.72-18.625-1.594 3.03-35.97-70.06-21.405c34.196 47.813 58.943 98.312 63.468 153.657 4.905 60.013-14.372 124.86-68.688 195.813h323.938c-15.638-23.64-27.798-46.566-36.97-68.75l-24.812 44.22-1.875-45.72-42.905 49.938-14.563-45.313-25.593-6.75-36.158 52.406-6.625-45.31-43.593 44.81 43.75-175.842 14.344 87.093 24.187-61.592 16.313 63.968L290 322.656l15.813 38.47 17.062-42.345 2.438 46.876 23.156-.97c-5.878-30.507-6.18-59.377-2.25-86.498l-46-2.782 43.53-35.844-13.875-13.843 39.188-23.845c14.53-32.037 33.787-60.806 53.906-86.563l-82.345 30.563-18.406 26.438-15.345-10.688 20.563-29.5 13.718-51.438-85.187 51.563 27.686 50.28-16.375 9.032-28.592-51.968-3.47-5.53-47.155-74.908zm15.312 112.188l51.75 54.562-22.344 9.5 36.876 44.156-94.594-25.156 36.313-35.125-8-47.936z"}}]})(props);
};
function GiEvilWings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.63 16.006a1.638 1.638 0 0 0-.458 3.21C67.085 36.2 103.825 46.242 128.215 53.68c12.195 3.718 21.318 6.8 27.34 9.687 3.01 1.442 5.25 2.862 6.69 4.185 1.442 1.323 2.06 2.463 2.2 3.636.134 1.174-.194 2.553-1.285 4.28-1.09 1.726-2.934 3.73-5.467 6.02-5.07 4.574-12.948 10.22-23.492 17.385-21.087 14.33-52.77 34.77-94.057 65.573a1.638 1.638 0 0 0 1.772 2.75c42.71-23.665 75.725-43.042 99.098-55.46 11.686-6.207 20.992-10.673 27.768-13.046 3.39-1.186 6.155-1.86 8.188-1.986 2.03-.12 3.178.26 3.82.855.64.595 1.056 1.63.977 3.607-.075 1.98-.716 4.766-1.955 8.25-2.48 6.97-7.344 16.806-14.57 29.7C150.78 164.905 126.922 203 93.755 255.963a1.638 1.638 0 0 0 2.688 1.864c36.023-46.894 60.25-82.6 76.768-105.234 8.26-11.317 14.63-19.377 19.398-23.833 2.385-2.23 4.386-3.515 5.805-3.942 1.42-.428 2.142-.252 3.115.672 1.947 1.848 3.942 7.85 5.316 17.875 1.373 10.025 2.373 24.045 3.513 42.198 2.278 36.306 5.1 89.202 12.554 160.386a1.64 1.64 0 0 0 3.27-.245c-4.848-154.91 4.55-249.915 4.55-249.915a1.638 1.638 0 0 0-1.07-1.712s-7.132-2.425-15.702-10.846c-8.57-8.423-18.46-22.76-23.49-46.536a1.638 1.638 0 0 0-1.773-1.284c-53.747 6.25-103.183-.908-170.583-19.34a1.638 1.638 0 0 0-.49-.06zm476.675 0a1.638 1.638 0 0 0-.428.06c-67.4 18.435-116.835 25.592-170.58 19.34a1.638 1.638 0 0 0-1.773 1.285c-5.032 23.778-14.922 38.115-23.49 46.537-8.57 8.423-15.703 10.847-15.703 10.847a1.638 1.638 0 0 0-1.07 1.71s9.4 95.007 4.552 249.916a1.64 1.64 0 0 0 3.27.245c7.452-71.186 10.275-124.08 12.554-160.386 1.14-18.154 2.14-32.175 3.513-42.2 1.37-10.024 3.368-16.025 5.315-17.875.973-.924 1.698-1.1 3.115-.672 1.42.428 3.42 1.713 5.805 3.942 4.77 4.457 11.138 12.516 19.398 23.834 16.52 22.632 40.746 58.338 76.767 105.233a1.638 1.638 0 0 0 2.688-1.865c-33.166-52.963-57.027-91.057-71.482-116.845-7.23-12.894-12.09-22.73-14.57-29.7-1.242-3.485-1.876-6.272-1.956-8.25-.075-1.98.338-3.012.978-3.606.64-.594 1.787-.983 3.82-.855 2.03.12 4.798.8 8.186 1.986 6.776 2.373 16.082 6.838 27.768 13.047 23.373 12.418 56.39 31.794 99.098 55.458a1.638 1.638 0 0 0 1.77-2.75c-41.286-30.802-72.968-51.243-94.056-65.572-10.544-7.163-18.423-12.81-23.492-17.386-2.535-2.287-4.378-4.293-5.47-6.02-1.09-1.726-1.42-3.104-1.283-4.277.134-1.173.757-2.313 2.198-3.636 1.442-1.322 3.68-2.743 6.69-4.186 6.023-2.886 15.146-5.967 27.34-9.687 24.39-7.437 61.13-17.48 111.043-34.467a1.638 1.638 0 0 0-.518-3.208zM257.342 66.943c-2.55 0-5.02.23-7.18 1.712-2.157 1.48-3.74 4.054-4.856 8.128-2.232 8.145-2.988 22.776-2.75 50.295.478 55.038 5.225 161.43 12.587 367.28a1.65 1.65 0 0 0 3.3 0c6.815-205.847 11.85-312.252 12.738-367.28.447-27.513-.104-42.126-2.138-50.263-1.017-4.07-2.472-6.663-4.582-8.16-2.11-1.494-4.566-1.71-7.118-1.71z"}}]})(props);
};
function GiExecutionerHood (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M326.1 32.71C225.6 59.65 191.7 102.6 180.2 136.3l-18.9 189c-33.4 27.9-75.14 45.3-122.16 60.9l18.31 37.3 38.59-13.8 22.06 21.4-17.3 27.6 36.2 19.1 20.5-29.9 36.8 7.2-10.9 30.4 41.8 9.9 12.6-37.5 42 .4 23 32.7 42.4-3.6-15.1-32.4 35.9-9.6 23.7 28.6 47.9-19.2-35.3-27.5 25.2-17.2 30.8 9.6 15.7-33c-42.9-18.7-87-37.1-114.8-59.9l-15.8-197.4c.6-19.4-43.1-50.58-17.3-96.69zM198.5 208c6 28.1 28.7 33.1 57.5 40.9-26.5.9-43.2 15.6-57.5 0-10.7-11.5-6.3-27.8 0-40.9zm131 0c6.3 13.1 10.7 29.4 0 40.9-14.3 15.6-31 .9-57.5 0 28.8-7.8 51.5-12.8 57.5-40.9z"}}]})(props);
};
function GiExitDoor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M217 28.098v455.804l142-42.597V70.697zm159.938 26.88l.062 2.327V87h16V55zM119 55v117.27h18V73h62V55zm258 50v16h16v-16zm0 34v236h16V139zm-240 58.727V233H41v46h96v35.273L195.273 256zM244 232c6.627 0 12 10.745 12 24s-5.373 24-12 24-12-10.745-12-24 5.373-24 12-24zM137 339.73h-18V448h18zM377 393v14h16v-14zm0 32v23h16v-23zM32 471v18h167v-18zm290.652 0l-60 18H480v-18z"}}]})(props);
};
function GiExpand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 64v128l48-48 48 48 32-32-48-48 48-48H64zm256 0l48 48-48 48 32 32 48-48 48 48V64H320zM64 320v128h128l-48-48 48-48-32-32-48 48-48-48zm288 0l-32 32 48 48-48 48h128V320l-48 48-48-48z"}}]})(props);
};
function GiExpandedRays (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M115.928 14.217l97.87 150.246-63.23-150.246h-34.64zm54.916 0l64.127 152.38-30.933-152.38h-33.193zm52.263 0l30.358 149.556-.133-149.556h-30.225zm48.913 0l.134 150.68 30.744-150.68H272.02zm49.95 0L291.103 165.51 354.51 14.217h-32.54zm52.805 0L311.35 165.55l98.705-151.333h-35.28zM259.682 184.03c-40.35.944-72.1 34.217-71.155 74.566.945 40.35 34.218 72.097 74.567 71.152 40.35-.945 72.097-34.215 71.152-74.564-.945-40.35-34.215-72.1-74.564-71.155zm31.02 163.18l29.064 143.17h31.187l-60.25-143.17zm-76.157.966L121.793 490.38h33.152l59.6-142.204zm20.168.226l-59.506 141.98h30.537l28.97-141.98zm77.076.733l59.44 141.246h32.567L311.79 349.136zm-58.16.03l-28.814 141.216h28.94l-.125-141.214zm18.69 1.43l.125 139.786h28.25L272.32 350.595z"}}]})(props);
};
function GiExpander (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.625 16c-1.74.052-2.956.394-3.594 1.03-10.2 10.203 58.65 170.85 76.5 178.5 5.02 2.152 15.865-3.563 28.72-13.28h.03L196 256l-73.72 73.75c-12.863-9.726-23.728-15.433-28.75-13.28-17.85 7.65-86.7 168.297-76.5 178.5 10.203 10.2 170.85-58.65 178.5-76.5 2.153-5.022-3.554-15.887-13.28-28.75L256 316l73.75 73.75c-9.717 12.855-15.432 23.7-13.28 28.72 7.65 17.85 168.297 86.7 178.5 76.5 10.2-10.203-58.65-170.85-76.5-178.5-5.02-2.152-15.865 3.563-28.72 13.28L316 256l73.75-73.75c12.855 9.717 23.7 15.432 28.72 13.28 17.85-7.65 86.7-168.297 76.5-178.5-10.203-10.2-170.85 58.65-178.5 76.5-2.153 5.022 3.554 15.887 13.28 28.75L256 196l-73.75-73.72c.005-.006-.005-.023 0-.03 9.717-12.855 15.432-23.7 13.28-28.72C188.36 76.796 46.71 15.225 20.626 16z"}}]})(props);
};
function GiExpense (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M268.383 22.168l-55.918 84.482 29.717 3.733c-9.22 30.13-11.095 50.878-8.885 92.12 14.138-2.23 25.56-3.025 40.586 1.39-9.877-36.84-8.844-49.427-4.88-89.768l32.622 2.277-33.242-94.234zm218.482 2.21l-108.36 30.03 20.915 25.975c-49.512 31.019-80.331 55.548-104.74 123.164 13.201-.152 28.098 2.921 44.174 9.004 5.728-44.666 33.74-76.14 79.302-108.918l19.983 24.816 48.726-104.07zm-463.574 2.31L89.17 129.173l19.084-28.711c35.554 32.44 58.145 76.33 57.308 107.43 18.568-8.696 29.927-9.527 49.735-3.778-8.105-31.203-43.577-108.722-91.639-129.103l16.57-26.037L23.292 26.687zm276.117 214.667c-5.28.12-10.21 2.415-16.937 9.594l-6.565 6.969-6.812-6.72c-7.387-7.28-13.216-9.29-19.125-9.03-5.908.26-12.855 3.367-20.625 9.656l-6.217 5.03-5.906-5.374c-8.9-8.052-16.485-10.439-23.75-10.064-5.288.274-10.775 2.266-16.25 5.75l40.966 73.69c15.454 9.451 47.034 13.006 68.75 2.062l39.594-73.344c-7.51-3.062-14.26-6.202-20.094-7.406-2.112-.437-4.07-.756-5.968-.813-.354-.01-.71-.008-1.06 0zm-89.97 96.188v.002c-18.035 12.742-32.516 34.717-38.125 66.904-5.435 31.196 3.129 52.266 18.283 66.625 15.155 14.36 37.902 21.736 61 21.436 23.1-.3 46.136-8.31 61.625-22.936 15.49-14.627 24.249-35.425 19.281-65.187-5.137-30.757-18.4-52.148-35.19-65.094-28.482 15.056-64.095 11.856-86.875-1.75z"}}]})(props);
};
function GiExplodingPlanet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M452.6 27.68L361.9 145.7l51.2 5.5 80.4-43.5-40.9-8.62zm-128.4-7.36l-36.6 5.62 8.5 26.69zm10.2 18.26L266.9 139.4l33.1 1 101.2-82.2zm-99.9 21.16c-53 .1-104.1 19.63-143.67 54.96h87.67v18H72.96c-20.03 22.6-35.08 49.2-44.2 78H210.5v18H23.94c-2.27 9.9-3.84 19.9-4.7 30H130.5v18H18.54c.1 21 3.25 41.9 9.38 62H274.5v18H34.4c6.64 16.3 15.26 31.8 25.65 46H162.5v18H74.73c10.1 11.1 21.34 21.2 33.57 30h118.2v18h-88.9c30.1 15.1 63.2 23 96.9 23 72.9-.1 140.9-36.9 180.7-98l-51.7-42.9L372 318l-65.6 8.4 4-76.4-92.3 54.1 44.1-101.3-67-27.4s70.4-81.81 94.1-108.32c-17.9-4.78-36.3-7.25-54.8-7.34zm208.1 99.96l-49.9 35.4 97.3-25.9zM312.9 170l-32.3 54.6 45.2-25.8zm134.4 37.1L342 245.7l-9.8 33.7 104.6 1.4zm-32.5 88.5l4.9 39.3 60.4 35.2-4.9-41.5zm33.7 85l17.3 77.9 22.4-43.2z"}}]})(props);
};
function GiExplosionRays (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M54.184 19.512l116.02 144.838c-11.806 9.74-21.4 22.066-27.923 36.095L20.493 142.73v62.993l113.983 19.172c-1.12 6.056-1.707 12.295-1.707 18.67 0 3.502.177 6.965.52 10.378l-72.376 27.7 79.467.687c4.165 10.173 9.917 19.534 16.948 27.775L20.492 441.7v52.484h47.336l105.87-168.65c11.644 8.795 25.212 15.165 39.945 18.366l-23.7 150.284H294.22L253.25 344.69c8.668-1.524 16.964-4.14 24.744-7.7l37.262 42.268-21.326-51.365c6.885-4.792 13.16-10.402 18.68-16.692l182.533 146.61V348.556L329.43 284.865c4.29-9.722 7.118-20.227 8.195-31.238l84.7-25.93-86.78-7.008c-2.26-9.89-5.955-19.242-10.852-27.825l170.452-87.398V23.924L311.918 175.15c-5.33-5.95-11.342-11.28-17.912-15.86l15.533-38.382-29.968 29.967c-9.608-4.595-20.034-7.74-30.996-9.148L269.89 19.512h-40.12l1.27 121.478c-19.017.808-36.716 6.816-51.706 16.64L94.102 19.51H54.184z"}}]})(props);
};
function GiExplosiveMaterials (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16.504 12.025v151.26l54.93 177.096c-.248.088-.49.187-.737.276l90.278 47.748-32.21 40.035 28.817 38.04 89.61 27.946H361.08l-196.783-37.424c2.446-3.86 4.57-7.94 6.326-12.22l325.95 18.11V413.25l-321.627 17.313c.957-4.734 1.49-9.623 1.563-14.627l320.062-60.504v-50.81l-320.8 99.216c-.693-5.032-1.873-9.9-3.463-14.578l324.263-170.49v-65.41L167.35 377.767c-2.26-4.262-4.905-8.283-7.88-12.032L496.567 62.836v-50.81l-.002.005H456.27L148.533 354.456c-3.74-3.154-7.778-5.96-12.068-8.38L364.578 12.032H298l-172.725 328.83c-3.336-1.24-6.783-2.25-10.318-3.037l101.28-325.793H168.35l-60.963 324.473c-3.043-.37-6.14-.567-9.282-.584l17.1-323.89h-44.97l17.812 324.466c-3.38.41-6.693 1.03-9.926 1.85L16.505 12.025zm22.642 349.84c-12.633 13.97-20.314 32.506-20.314 52.897 0 43.655 35.188 78.843 78.844 78.843 19.185 0 36.72-6.81 50.36-18.136l-54.415-39.784 29.425-32.424-83.9-41.397z"}}]})(props);
};
function GiExplosiveMeeting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M313.732 3.545l-60.166 157.62-58.42-48.454 9.838 78.962c-47.68-32.87-93.904-83.845-135.062-172.408H18.57v119.3c41.344 41.93 97.152 66.44 156.826 90.963L23.976 287.33l132.655 9.65-55.253 85.65 116.94-57.478L224.8 462.93l66.706-144.633 65.75 84.558-5.15-83.675c51.68 38.82 96.87 92.806 126.013 175.474h15.84v-149.33c-33.083-36.708-68.22-57.787-104.755-73.648l66.895-29.57-91.668-15.907 113.02-117.993-152.67 47.258-11.05-151.92zM258.6 198.807c5.412-.05 11.044.265 16.832.992 23.154 2.905 44.133 11.763 58.836 23.202 14.702 11.44 22.656 25.008 22.656 37.295 0 12.287-7.196 22.387-21.276 29.807-14.08 7.42-34.734 11.078-57.886 8.17-23.154-2.905-44.132-11.76-58.834-23.198-14.703-11.44-22.658-25.007-22.658-37.295 0-.665.03-1.32.072-1.973l42.642 11.113-8.52 12.11 87.563 13.265-38.8-26.672 15.82-14.785-68.963-26.606c9.236-3.335 20.317-5.312 32.516-5.425z"}}]})(props);
};
function GiExtraLucid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M115.703 19.684C74.03 56.01 47.746 108.598 47.746 167.047c0 59.615 27.327 113.03 70.47 149.428-2.24-9.474-3.615-19.306-4.03-29.4-29.71-31.86-47.75-73.932-47.75-120.028 0-60.944 31.49-114.743 79.876-147.363h-30.61zm245.98 0c48.38 32.614 79.874 86.417 79.874 147.363 0 44.114-16.52 84.543-43.98 115.863-.15 10.162-1.272 20.075-3.272 29.645 40.52-36.26 65.94-88.003 65.94-145.508 0-58.446-26.263-111.034-67.93-147.363h-30.633zM259.616 21.13c-1.22.046-2.1.16-2.627.16-22.966 0-42.474 13.933-54.28 34.743 5.434-2.258 11.378-3.512 17.602-3.512 2.635 0 5.216.238 7.733.667 8.205-8.343 18.363-13.208 28.945-13.208 2.87 0 4.478-.11 4.53-.103l.09.014.09.012c8.883 1.155 17.385 5.918 24.452 13.31 2.568-.448 5.204-.69 7.895-.69 6.14 0 12.004 1.224 17.377 3.423-10.47-18.69-27.132-31.908-47.215-34.556-1.847-.27-3.393-.303-4.593-.26zm-58.758.925C139.302 43.72 95.366 100.54 95.366 167.23c0 26.838 7.12 52.075 19.633 74.07 4.785-43.393 27.372-81.088 59.895-104.857-4.985-11.973-7.76-25.238-7.76-39.2 0-30.428 13.17-57.555 33.724-75.188zm112.966.884c19.968 17.648 32.7 44.38 32.7 74.304 0 14.4-2.955 28.06-8.24 40.324 31.91 23.98 53.94 61.508 58.454 104.57 12.815-22.19 20.12-47.727 20.12-74.908 0-65.8-42.768-121.992-103.034-144.29zm-93.514 48.27c-15.31 0-27.52 12.21-27.52 27.522 0 15.31 12.21 27.522 27.52 27.522 15.31 0 27.524-12.21 27.524-27.522 0-15.31-12.213-27.523-27.524-27.523zm73.735 0c-15.31 0-27.522 12.21-27.522 27.522 0 15.31 12.21 27.522 27.522 27.522 15.31 0 27.523-12.21 27.523-27.522 0-15.31-12.212-27.523-27.523-27.523zm-96.818 67.495c1.458 3.72 3.135 7.29 5.014 10.688-28.76 10.036-47.118 36.23-56.088 67.806-10.313 36.304-9.78 80.714-1.82 123.044l1.432 7.617h38.28l.354 5.406.04 4.084.23-.002 9.09 137.91h122.584l10.408-139.71.385.003.038-5.708.148-1.98h40.32l1.543-7.446c9.072-43.706 8.052-87.865-3.38-123.508-9.866-30.763-28.282-55.794-54.945-66.185 2.144-3.686 4.042-7.593 5.68-11.678-6.67 3.75-14.344 5.898-22.498 5.898-.516 0-1.025-.03-1.537-.047-1.22 1.83-2.504 3.576-3.858 5.21l-10.125 12.212 15.59 2.934c25.758 4.847 43.76 25.75 53.9 57.363 9.523 29.697 11.076 68.077 4.198 106.557h-24.893l.64-91.475-18.687-.13-.78 111.488L299 476.568h-33.332V342.19H246.98V476.57h-35.72l-8.174-124.025-1.133-115.002-18.69.185.903 91.447h-22.713c-6.188-37.77-5.89-76.687 2.682-106.865 9.15-32.208 26.076-53.426 54.59-57.848l15.91-2.47L224.6 149.4c-1.133-1.42-2.22-2.92-3.256-4.488-.345.008-.685.03-1.03.03-8.396 0-16.28-2.28-23.085-6.237z"}}]})(props);
};
function GiExtraTime (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M194.6 18.26c25.7 28.26 20.8 70.34-14.8 81.68-49.6 15.76-89.25-16.95-126.35-40.32C63.11 95.64 87.2 146.6 132 175.6c-26.5 17.2-61.33 23.7-97.65 28.3 40.69 20.2 81.95 38.7 129.75 42.2-38.8 36.3-74.24 61.8-127.55 76.9 43.68 13.4 89.75 16.4 132.75 4.8-38 43.8-59 88.9-72.05 134.7 34.95-16.2 64.55-44 117.55-38.8-2.2 25.5 3.9 49.1 23.3 70 8.8-31.8 29-60.8 65.7-85.9 26.8 35.3 71.5 56.8 122.1 73.8-22.8-33.6-51-66.5-41.8-105.4 6.3-25.9 35.5-48.8 79.8-44.7-18.3-25.7-67.8-52.1-118.4-70.6 59.1-14.7 101.4-52 132.1-89.6-47.3 4.5-109 22.9-141.5-10.1 37-37.6 72.4-82.4 78.4-127.04-40.1 26.91-80.5 51.89-124.9 45.5-18-23.1-41-46.25-95-61.4zM309 91.24l9.5 48.96-10.7 2.1c2 17.2 1 40.1-4.4 61.8-3.1 12.8-7.9 25.2-15.1 35.3-1.7 2.4-3.7 4.7-5.7 6.9 2.7 1.1 5.3 2.5 7.8 4.1 10.5 6.6 19.5 16.2 27.2 26.9 13.2 18 22.7 38.8 27.4 55.4l10.6-2.1 9.7 48.9-161.7 32.3-7.8-40.2-1.7-8.8 10.7-2.1c-2-17.2-1-40.1 4.4-61.8 3.1-12.8 7.9-25.2 15.1-35.3 1.7-2.4 3.6-4.7 5.6-6.8-2.7-1.2-5.2-2.6-7.7-4.2-10.5-6.6-19.5-16.2-27.3-26.9-13.1-18-22.6-38.8-27.3-55.4l-10.7 2.1-7.8-40.1-1.8-8.8zm-14.2 21.16l-126.3 25.3 2.6 13.5L297.5 126zm-4.9 33.4l-104.4 20.9c4.3 14 12.7 33 24 48.4 6.8 9.4 14.6 17.4 22.3 22.3 4.7 2.9 9.2 4.8 13.7 5.5l4.1 20.7c-4 2.4-7.4 5.8-10.6 10.4-5.4 7.5-9.6 17.9-12.4 29.2-4.6 18.6-5.2 39.4-3.9 54l104.4-20.9c-4.3-14-12.7-33-24-48.4-6.8-9.4-14.6-17.4-22.3-22.3-4.7-3-9.2-4.8-13.7-5.5l-4.1-20.7c4-2.4 7.4-5.8 10.6-10.4 5.4-7.5 9.5-17.9 12.4-29.2 4.6-18.6 5.1-39.4 3.9-54zm51.6 206L215.1 377l2.7 13.6 126.3-25.3z"}}]})(props);
};
function GiExtractionOrb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.98 16.568c-19.754.19-39.8 2.847-59.75 8.194-13.14 3.52-25.717 8.085-37.695 13.554-14.434-12.764-33.376-20.54-54.09-20.54-45.06 0-81.79 36.73-81.79 81.79 0 20.214 7.406 38.736 19.624 53.034C16.353 202.41 9.42 260.675 24.827 318.172c34.216 127.695 165.715 203.614 293.41 169.398 127.695-34.216 203.617-165.713 169.4-293.408C458.77 86.42 360.643 15.536 253.98 16.568zm4.598 18.653c44.993.432 88.104 14.7 123.996 39.7L182.04 80.74c-2.4-10.103-6.684-19.488-12.452-27.77 9.446-4.01 19.277-7.426 29.476-10.16 18.43-4.937 36.93-7.4 55.155-7.587 1.454-.015 2.907-.016 4.358-.002zm-156.133 1.235c34.965 0 63.112 28.146 63.112 63.11 0 34.967-28.147 63.11-63.112 63.11s-63.11-28.143-63.11-63.11c0-34.964 28.145-63.11 63.11-63.11zM407.793 95.39c9.687 9.122 18.59 19.158 26.562 30.024l-138.742-27.54 112.18-2.483zm-223.58 2.94l262.664 46.162c6.486 11.1 12.07 22.89 16.625 35.307L335.01 161.337l140.267 66.225c1.672 12.647 2.232 25.244 1.73 37.675L180.18 124.936c2.62-7.995 4.056-16.517 4.056-25.37 0-.414-.017-.823-.023-1.236zm-12.848 45.162l279.662 216.906c-7.326 13.688-16.084 26.596-26.136 38.49L266.616 265.26l129.13 162.26c-12.544 10.217-26.328 19.134-41.202 26.498l-203.78-288.536c8.147-5.99 15.14-13.455 20.602-21.99zM54.613 165.828c6.874 4.98 14.548 8.914 22.783 11.58L48.06 330.033c-1.928-5.45-3.66-11.017-5.183-16.697-13.694-51.107-8.327-102.78 11.736-147.508zm76.102 10.48L248.84 476.99c-19.05-.62-37.726-3.716-55.617-9.05l-51.33-154.96 2.472 133.698c-16.458-9.664-31.675-21.445-45.2-35.102L95.92 181.096c2.153.17 4.327.26 6.523.26 9.93 0 19.453-1.786 28.27-5.05zm171.98 34.81l170.47 87.068c-2.177 11.218-5.222 22.2-9.07 32.863l-161.4-119.93zM80.518 254.825l4.01 140.416c-9.004-11.115-16.992-23.196-23.786-36.142l19.776-104.274zm127.21 39.9L323.49 466.558c-3.323 1.06-6.683 2.054-10.088 2.966-9.395 2.518-18.81 4.384-28.197 5.64L207.73 294.726z"}}]})(props);
};
function GiEyeOfHorus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M167.844 103.406c-51.02.152-100.492 27.427-130.875 51.344a10.225 10.225 0 1 0 12.655 16.063c32.636-25.69 91.61-55.075 141.625-44.688 19.426 4.034 65.063 20.658 116.906 34.25 51.844 13.592 110.76 24.492 161.75 16.438a10.22 10.22 0 1 0-3.22-20.188c-45.672 7.215-102.65-2.71-153.342-16-50.694-13.29-94.236-29.577-117.938-34.5-7.522-1.562-15.09-2.416-22.625-2.656-1.647-.054-3.29-.07-4.936-.064zM157.25 192.97c-24.192-.214-47.535 5.535-68.22 21.75-5.46 4.28-17.325 14.996-28.905 27.093-5.79 6.048-11.367 12.32-15.813 18.28-4.445 5.962-8.345 10.69-9 18.72-.288 3.542.914 9.19 5.126 12.312 4.21 3.12 8.204 2.782 10.937 2.406 5.466-.75 9.55-2.78 14-4.655 4.45-1.876 8.895-3.714 11.78-4.47.94-.244 1.203-.234 1.626-.28 12.617 11.568 27.404 18.405 43.095 21.625 1.378 9.367 1.992 16.297 2.188 21.25-1.443-1.247-3.184-2.63-8.157-2.594-3.154.024-7.63 2.35-9.47 5.125-1.836 2.777-2.06 4.986-2.186 6.845-.623 9.155 2.688 16.01 5.063 20.938 2.374 4.926 4.582 9.548 5.78 20.968 1.323 12.59 1.3 11.762 1.282 12.908-.017 1.145-.087 4.432 1.063 21.375a10.227 10.227 0 1 0 20.406-1.407c-1.137-16.762-1.084-18.207-1.063-19.656.023-1.45-.052-2.756-1.374-15.344-1.135-10.816-3.6-18.323-5.875-23.687 3.072-.027 6.512-.81 9.095-3.095 4.126-3.65 5.072-7.907 5.656-12.25.904-6.707.504-15.36-1.28-28.344 41.292 38.376 67.568 62.575 92.53 78.658 25.6 16.49 49.865 23.933 84.47 28.5 25.058 3.306 58.41 4.946 88.063-.688 14.826-2.817 28.813-7.448 40.375-15.25 11.56-7.802 20.63-19.3 23.78-34 3.47-16.188-6.37-30.54-18.25-40.438-11.88-9.896-27.095-16.847-42.468-13.625-12.115 2.54-20.626 11.56-26.47 21.844-2.92 5.144-5.082 10.818-5.06 17.22.02 6.402 3.28 13.846 9.467 18a10.223 10.223 0 1 0 11.407-16.97c-.77-.515-.434.158-.438-1.092-.004-1.25.69-4.094 2.375-7.063 3.374-5.937 11.07-11.553 12.908-11.938 5.578-1.17 16.894 2.38 25.218 9.313 8.324 6.934 12.36 15.725 11.344 20.47-1.983 9.254-7.022 15.79-15.25 21.342-8.228 5.554-19.71 9.647-32.75 12.125-26.083 4.957-58.073 3.604-81.594.5-33.082-4.365-52.926-10.53-76.062-25.437-20.04-12.91-42.648-32.91-76.344-64.063 10.808-1.54 21.75-3.933 32.72-6.843 45.45-12.058 91.97-32.94 128-40.875 45.925 8.557 92.254 8.56 138.56-3.5a10.218 10.218 0 0 0-2.436-20.126 10.218 10.218 0 0 0-2.72.344c-45.82 11.935-91.592 11.27-137.874 1.562a10.22 10.22 0 0 0-3.375-.125c-35.68-8.707-75.075-25.725-113.938-35.875-15.675-4.094-31.543-7.024-47.093-7.656-1.62-.066-3.23-.11-4.844-.125zm1.375 20.31c1.055.026 2.122.044 3.188.095 13.332.643 27.435 3.295 42.218 7.156 27.964 7.304 57.475 18.91 86.907 28.157-30.342 9.936-62.537 22.768-93.218 30.907-8.37 2.22-16.604 4.077-24.595 5.437 11.364-6.918 19.063-19.127 19.063-33.155 0-19.417-14.72-35.375-33.563-38.594zm-18.938 1.157c-16.412 4.936-28.593 19.753-28.593 37.438 0 15.4 9.24 28.612 22.47 35.03-16.355-1.81-30.32-7.407-42.283-18.967-3.2-3.094-7.37-4.215-10.624-4.375-3.253-.16-6.013.37-8.656 1.062-2.393.625-4.683 1.43-6.906 2.28 2.972-3.543 6.243-7.208 9.812-10.936 10.864-11.35 23.386-22.52 26.75-25.157 11.7-9.17 24.4-14.253 38.03-16.375z"}}]})(props);
};
function GiEyeShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M46.188 19.22c0 69.06 2.795 131.737 12.624 188.5l.032-.032c15.57-13.874 31.41-26.022 47.437-36.5 17.764-63.536 74.074-111.048 142-115.5V34.75c-68.267-.423-136.35-5.625-202.093-15.53zm421.562 0c-65.506 9.935-133.13 15.052-200.78 15.5v20.81c68.906 3.564 126.267 51.43 144.217 115.657 15.123 9.88 30.002 21.25 44.594 34.032 9.36-56 11.97-117.804 11.97-186zM258.72 74c-56.667 0-105.38 33.662-127.283 82.188 42.275-22.723 85.645-33.93 128.907-33.625 42.567.298 84.795 11.728 125.594 33.624C364.04 107.67 315.38 74 258.717 74zm0 68.28c-39.587 0-71.5 31.95-71.5 71.657 0 39.707 31.913 71.688 71.5 71.688 39.584 0 71.5-31.98 71.5-71.688 0-39.706-31.916-71.656-71.5-71.656zm-63.94 8.032c-38.83 11.04-77.54 32.272-115.405 64.344 37.397 31.567 76.353 52.478 115.72 63.25-16.407-16.38-26.564-39.013-26.564-63.97 0-24.788 10.037-47.277 26.25-63.624zm127.94.063c16.176 16.34 26.186 38.805 26.186 63.563 0 24.94-10.143 47.56-26.53 63.937 39.67-10.875 78.655-31.95 115.687-63.188-37.422-31.688-76.133-53.13-115.344-64.312zm-64 17.53c25.27 0 45.936 20.707 45.936 46 0 25.295-20.666 46.032-45.937 46.032-25.273 0-45.94-20.737-45.94-46.03 0-25.295 20.667-46 45.94-46zm0 18.69c-15.15 0-27.25 12.095-27.25 27.31 0 15.217 12.1 27.345 27.25 27.345 15.148 0 27.25-12.128 27.25-27.344 0-15.216-12.102-27.312-27.25-27.312zm-196.783 37.78c22.21 109.62 73.43 196.387 186.344 263.78V372.22c-67.4-4.42-123.376-51.26-141.593-114.064-15.19-9.743-30.137-21.016-44.75-33.78zm389.625 3.406c-13.31 11.332-26.91 21.458-40.78 30.345-18.4 63.513-75.42 110.712-143.813 114.25V487.22c111.535-67.022 162.336-152.06 184.592-259.44zm-66.156 45.064c-40.57 21.2-82.873 32.18-125.437 32.406-43.1.227-86.288-10.57-127.97-32.375 22.16 47.888 70.52 81.03 126.72 81.03 56.206 0 104.54-33.16 126.686-81.06z","fillRule":"evenodd"}}]})(props);
};
function GiEyeTarget (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 105c-60.25 0-124.749 38.39-167.945 77.66-34.931 31.756-58.722 62.36-66.88 73.34 8.158 10.98 31.949 41.584 66.88 73.34C131.25 368.61 195.75 407 256 407s124.749-38.39 167.945-77.66c34.931-31.756 58.722-62.36 66.88-73.34-8.158-10.98-31.949-41.584-66.88-73.34C380.75 143.39 316.25 105 256 105zm0 23a128 128 0 0 1 63.486 16.969A48 48 0 0 0 288 190a48 48 0 0 0 .023.453A72.362 72.362 0 0 0 265 183.576V160h-18v23.576c-33.034 4.095-59.33 30.39-63.424 63.424H160v18h23.576c4.095 33.034 30.39 59.33 63.424 63.424V352h18v-23.576c33.034-4.095 59.33-30.39 63.424-63.424H352v-18h-23.576a72.33 72.33 0 0 0-1.98-10.014A48 48 0 0 0 336 238a48 48 0 0 0 41.023-23.195A128 128 0 0 1 384 256a128 128 0 0 1-128 128 128 128 0 0 1-128-128 128 128 0 0 1 128-128zm-9 73.738V224h18v-22.262c23.237 3.792 41.47 22.025 45.262 45.262H288v18h22.262c-3.792 23.237-22.025 41.47-45.262 45.262V288h-18v22.262c-23.237-3.792-41.47-22.025-45.262-45.262H224v-18h-22.262c3.792-23.237 22.025-41.47 45.262-45.262z"}}]})(props);
};
function GiEyeball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.242 19.143c-1.3.007-2.598.026-3.896.054-8.782.195-17.528.884-26.198 2.053l13.957 18.725L276.9 68.008l-48.474-11.682-22.586-31.424c-24.033 5.413-47.187 14.583-68.522 27.258l4.67 19.35 58.403 10.51-2.335 50.812-17.522-35.623-53.728-9.347-6.063-24.886C105.56 73.832 91.536 86.61 79.064 101.203l13.866 45.06 54.898 8.176-68.33 13.433-14.633-48.287c-3.82 5.484-7.44 11.173-10.844 17.068-12.047 20.868-20.527 42.807-25.64 65.114l49.368 23.92 49.06-.58-49.06 21.607-18.105-8.81v25.747h30.37l-49.058 18.69v-53.526l-16.13-7.847c-5.85 41.047-.63 82.657 14.546 120.55l21.44-23.553 12.37 11.498 34.103-12.99-21.453 24.75 16.443 15.285-40.296-12.264-14.17 15.908c9.358 18.52 21.22 35.9 35.44 51.586l40.896-.158-28.047 13.262c13.04 12.287 27.692 23.278 43.89 32.63 112.427 64.91 255.91 26.462 320.82-85.964 64.91-112.427 26.464-255.91-85.962-320.82-21.172-12.224-43.447-20.773-66.09-25.862l9.207 25.723-29.07-29.292c-10.874-1.472-21.782-2.176-32.648-2.115zm81.076 126.125c21.167.245 42.198 5.62 61.43 16.72 65.644 37.893 83.97 127.31 42.557 199.026-41.41 71.71-128.022 100.554-193.666 62.662-65.645-37.893-83.97-127.31-42.558-199.026 28.47-49.303 78.305-78.34 128.002-79.363 1.412-.03 2.823-.036 4.234-.02zm-.59 18.67c-1.217-.013-2.435-.004-3.654.023-18.408.41-36.93 5.29-54.09 14.185l34.21 53.44c-5.373 3.022-10.486 6.663-15.227 10.874l-34.947-54.59c-16.317 11.548-30.75 27.068-41.754 46.126-.784 1.358-1.534 2.723-2.27 4.092l62.068 24.504c-.47.76-.93 1.525-1.38 2.303-2.737 4.728-4.987 9.607-6.79 14.564l-61.72-24.366c-10.588 27.475-12.18 56.18-5.824 81.922l62.4-21.23c.464 6.36 1.638 12.59 3.516 18.544l-60.073 20.44c9.103 21.78 24.502 40.32 45.436 52.51l30.73-45c4.197 4.524 9.037 8.537 14.5 11.904l-28.08 41.12c20.49 7.43 42.64 8.273 64.046 3.23l.31-33.95c6.27.064 12.55-.674 18.71-2.166l-.276 30.12c12.81-5.225 25.06-12.622 36.186-22.013l-11.71-18.29c5.255-3.254 10.23-7.108 14.808-11.53l10.613 16.578c6.93-7.642 13.213-16.193 18.654-25.615 1.91-3.307 3.67-6.652 5.294-10.023l-16.094-6.354c2.808-5.71 4.987-11.582 6.504-17.522l16.633 6.566c5.45-16.308 7.792-32.934 7.25-49.018l-22.186 7.55c-.993-6.236-2.702-12.283-5.09-18.01l25.246-8.588c-3.6-19.748-11.75-38.048-24.008-53.122l-22.637 33.147c-2.68-2.13-5.547-4.092-8.602-5.852-2.448-1.408-4.95-2.642-7.487-3.725l25.425-37.23c-4.898-4.2-10.218-7.997-15.96-11.31-9.707-5.605-20.006-9.5-30.587-11.784l-.502 54.96c-2.52-.213-5.05-.3-7.58-.248-3.716.073-7.43.437-11.115 1.06l.532-58.135c-1.14-.046-2.28-.078-3.423-.09zm15.786 75.83c3.027.026 6.037.308 9.006.84-7.354 7.116-12.168 18.937-12.168 32.326 0 21.752 12.7 39.384 28.367 39.384 12.172 0 22.55-10.647 26.577-25.597 2.1 14.36-.655 30.18-9.07 44.72-18.287 31.595-55.212 43.19-82.24 27.623-27.03-15.567-35.414-53.21-17.128-84.805 12.57-21.722 33.953-33.99 54.872-34.477.595-.013 1.188-.018 1.782-.012z"}}]})(props);
};
function GiEyedropper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M72.156 21.906c-19.51-.096-34.187 10.357-43.47 26.47-14.848 25.778-10.262 56.354 29.845 79.56 26.354 15.25 61.527 23.54 86.75 20.126l-11.374 19.72 15.25 8.812 49.688-86.25-15.25-8.813-10.5 18.22c-9.66-23.603-34.394-49.968-60.75-65.22-15.04-8.703-28.482-12.566-40.188-12.624zm134.375 92.53l-9.343 16.22 171.75 99.375h-56.25l-129.562-75-9.344 16.19L382.53 292l3.376 1.97 3.75-1.033c3.705-1.014 10.983-.39 18.344 1.844 7.36 2.237 14.843 5.778 19.656 8.564l2.188 1.25h.72c.224.082.458.145.686.22-.38 1.393-.594 2.858-.594 4.373 0 9.165 7.43 16.594 16.594 16.594 9.165 0 16.594-7.428 16.594-16.592 0-6.497-3.75-12.09-9.188-14.813 1.873-3.64 2.85-7.855 2.156-12.406-.77-5.067-4.173-10.32-9.187-13.22-10.71-6.198-25.414-17.442-27.97-27.688l-.967-3.843-3.438-1.97-208.72-120.813zm242.94 235.47c-18.66 69.634-44.595 59.99-44.595 100.75 0 24.617 19.98 44.563 44.594 44.563 24.613 0 44.592-19.947 44.592-44.564 0-44.002-25.602-29.875-44.593-100.75z"}}]})(props);
};
function GiEyelashes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M211.3 80.89C122.5 81.18 56.21 109.7 18.89 145l12.36 13C93.43 99.36 258.4 54.4 485.6 176.8l8.6-15.8c-108.8-58.6-204.6-80.37-282.9-80.11zm-96.9 84.81c-55.98 21.9-81.16 65.6-96.64 94.4l15.86 8.6c15.24-28.5 37.13-66.6 87.38-86.2 50.2-19.6 130.5-20.9 263.1 30.7l6.6-16.8c-91.7-32.6-187-64.8-276.3-30.7zm260.4 76c-177.5 91.5-260 65.2-352.46 41.4l-4.48 17.5c15.96 4.1 31.94 8.3 48.39 11.9-19.36 13.6-28.82 17.2-40.19 24.6 25.65-1.1 42.18-9.2 59.71-16.6-12.58 15.5-23.55 31-46 47.4 27.02-7.2 53.04-15.2 72.63-28.8-12.47 20-27.72 39.5-44.89 58.6 29.43-9.2 51.69-31.4 74.79-53.4-.3 19.1-9.2 38.2-15.5 57.3 21-19.3 30-33.2 42.7-52.5-1.2 29.2 7 52.8 14.2 82 4.5-27.9 9.5-55.9 9.5-82.9 15 25 35.1 47.8 60.4 68.1-13.5-23.5-27-46.9-34.1-71.3 25.8 24.5 52.7 48.3 85 68.2-21.5-23.5-41.9-47.3-55.1-72.7 23.2 21.8 46.5 43.6 85.3 56.2-28.1-19.3-46.1-41.2-59.3-64.3 26.7 22.4 56.6 42.3 92.7 57.2-31.9-22-49.9-44-62.2-66 26.4 21.8 56.6 36.2 82.9 50.6-20.8-19.2-43.5-37.6-54.4-60.4 21.5 18.7 46.9 26.8 72 35.5-23.3-15.5-36.7-26-50.6-44.3 22.2 11.2 40.7 15.6 67.4 22.2-17.4-9.7-35.9-23-47.8-34.5 26.7 6.7 56 7.8 83.6 7.4-25.3-6.6-52.8-12.4-67.4-22.5 58.4.5 62-4.6 86.5-16.8-51.8 3.8-84.7 2.9-103.3-19.1z"}}]})(props);
};
function GiEyepatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 19.3c-38.4 0-74.1 19.04-102.5 51.82 18.6 36.68 63.9 91.48 115.2 138.38.7-.6 1.5-1.1 2.3-1.4 43.5-16.6 121.9-10.2 128.2 14.3 4.7 18.2 10.5 46.4-.6 74.9 6.5 2.4 12.7 4.3 18.5 5.6 2.2-15.1 3.3-30.9 3.3-47 0-66.1-19.1-125.8-49.2-168.5C341 44.72 300.4 19.3 256 19.3zM141.3 86.6c-.2.27-.4.53-.6.8-30.1 42.7-49.1 102.5-49.1 168.5 0 66.2 19 125.9 49.1 168.7 30.2 42.7 70.9 68.1 115.3 68.1 44.4 0 85-25.4 115.2-68.1 19.8-28.2 34.9-63.7 42.9-103.7-7.8-1.6-15.7-4.1-23.9-7.3-.9 1.5-1.9 3-3 4.5-6.8 9.4-75.1 8.2-110.1-11.7-12.1-6.9-18.7-51.9-15-78.7-51.7-46.3-97.9-99.7-120.8-141.1zm18.4 144.6c1-.1 2.1 0 3.1 0-6.8 5.3-11.2 13.6-11.2 22.9 0 15.8 12.9 28.8 28.8 28.8s28.9-12.9 28.9-28.8c0-4.6-1.1-9-3-12.8 13.3 5.5 26.4 13.6 39.4 23.6-37.1 62.1-128.8 25-137.2-22.5 16.6-7.4 32.8-11 48.7-11.2h2.5z"}}]})(props);
};
function GiEyestalk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M185.406 23.47c-78.922 0-138.307 50.764-158.28 135.905-8.76 37.333-9.587 81.344-.407 130.25 1.816-37.236 11.74-69.584 27.186-94.875 20.416-33.43 50.967-54.726 84.78-56.875 30.294-1.925 62.146 11.8 89.97 42.625 22.277-40.89 63.09-70.28 111.094-76.78-7.82-7.432-15.102-14.942-22.25-22.157-31.29-31.59-59.965-58.094-132.094-58.094zm174.5 97.593c-72.283 0-130.687 58.404-130.687 130.687 0 72.283 58.403 130.656 130.686 130.656 72.283 0 130.688-58.373 130.688-130.656 0-72.283-58.405-130.688-130.688-130.688zm-225.22 36c-24.812 3.417-48.044 19.93-64.842 47.437-27.832 45.572-36.802 120.953-1.72 208.97 12.318 26.01 27.18 52.793 44.845 80.155h138.686c-59.71-60.655-100.7-123.075-123.53-177.688-24.853-59.45-29.822-109.966-10.095-140.562 4.91-7.616 10.552-13.75 16.657-18.313zm219.22 37.28c19.71.01 36.912 23.623 51 45.876 18.844 29.76 45.263 22.187 69.938 2.968 5.653 31.518-37.48 48.25-70.188 54.187-32.318 5.866-42.882 37.9-43.78 71.688-24.61-21.58-18.043-56.82-2.72-93.22 15.028-35.698 3.963-61.935-19.812-76.5 5.338-3.48 10.538-5.002 15.562-5z","fillRule":"evenodd"}}]})(props);
};
function GiFClef (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M204.504 23.109c-66.649.146-106.53 38.463-117.59 77.154-11.06 38.692 3.301 76.266 17.495 97.608l.37-.247a64 64 0 0 0 51.755 26.485 64 64 0 0 0 64-64 64 64 0 0 0-64-64 64 64 0 0 0-49.717 23.777c.595-6.139 1.676-12.251 3.363-18.152 9.337-32.665 33.605-60.427 94.383-60.625 59.958-.195 94.302 63.78 92.652 152.82-1.487 80.241-11.975 128.266-60.033 171.305-48.058 43.04-107.95 78.339-179.906 106.484-13.016 5.091-1.171 19.747 6.515 16.781 72.712-28.054 144.82-53.25 195.828-98.931 51.008-45.681 96.234-86.259 96.811-197.293.506-97.408-44.5-169.401-151.926-169.166zm224.03 41a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32zm0 128a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32z"}}]})(props);
};
function GiF1Car (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M355.975 292.25a24.82 24.82 0 1 0 24.82-24.81 24.84 24.84 0 0 0-24.82 24.81zm-253-24.81a24.81 24.81 0 1 1-24.82 24.81 24.84 24.84 0 0 1 24.81-24.81zm-76.67-71.52h67.25l-13.61 49.28 92-50.28h57.36l1.26 34.68 32 14.76 11.74-14.44h15.62l3.16 16c137.56-13 192.61 29.17 192.61 29.17s-7.52 5-25.93 8.39c-3.88 3.31-3.66 14.44-3.66 14.44h24.2v16h-52v-27.48c-1.84.07-4.45.41-7.06.47a40.81 40.81 0 1 0-77.25 23h-204.24a40.81 40.81 0 1 0-77.61-17.67c0 1.24.06 2.46.17 3.67h-36z"}}]})(props);
};
function GiFaceToFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M392 60.48c-22.1 0-42.1 23.8-42.1 55.62 0 31.9 20 55.7 42.1 55.7s42.1-23.8 42.1-55.7c0-31.82-20-55.62-42.1-55.62zm-271.9.1c-22.14 0-42.19 23.8-42.19 55.52 0 31.9 20.05 55.7 42.19 55.7 22.2 0 42.2-23.8 42.2-55.7 0-31.72-20-55.52-42.2-55.52zM83.01 176.5c-25 8-52.6 33.5-59.4 61.9l-3.6 79.7c-.1 11.6 13.1 28.8 36.8 23.1 51.99-12.4 79.09-26 118.39-41.5l-4.9-23.5c-34.6 12.2-74.24 28-114.29 31.9l1.1-79.9 18 .2-.7 58.1c26.79-4.9 63.49-18 92.19-28l-6.3-30.6 17.6-3.6c7.2 34.8 12.9 62.2 20.1 97.9-9.3-.8-16.6-1.4-25.7-2-17.4 7.1-33.1 13.9-50.7 20.5 22.1 4.3 43.6 8 61 8.4 14.9.3 26.1-2.3 31.6-6.8s8.3-11.3 5.1-27.2c-6.7-33.1-11.7-65.3-20.9-90.1-9.2-25-21.5-41.5-44-48.2-9.5 8.2-21.3 13-34.3 13-14.4-.2-22.84-4.5-37.09-13.3zm345.99 0c-14.2 8.8-22.6 13.1-37 13.3-12.9 0-24.7-4.8-34.2-13-22.5 6.7-34.8 23.2-44 48.2-9.2 24.8-14.2 57-20.9 90.1-3.2 15.9-.4 22.7 5.1 27.2s16.7 7.1 31.6 6.8c17.4-.4 38.9-4.1 61-8.4-17.6-6.6-33.3-13.4-50.7-20.5-9.1.6-16.4 1.2-25.7 2 7.2-35.7 12.9-63.1 20.1-97.9l17.6 3.6-6.3 30.6c28.7 10.1 65.3 23.2 92 28.1l-.7-58.1 18-.2 1.1 79.9c-40-3.9-79.5-19.7-114.1-31.9l-4.9 23.5c39.3 15.5 66.3 29.1 118.2 41.5 23.7 5.7 36.9-11.5 36.8-23.1l-3.6-79.7c-6.8-28.5-34.4-54-59.4-62zM86.96 351.9c-10.55 3.1-22.95 6.8-34.65 8.3l2.5 91.3H169.5l2.5-85c-26.4-2-57-8.9-85.04-14.6zm338.14 0c-28 5.7-58.5 12.6-84.9 14.6l2.5 85h114.5l2.5-91.3c-11.7-1.5-24.1-5.2-34.6-8.3z"}}]})(props);
};
function GiFactoryArm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M117.725 24.998l30.002 30.004h4.779c10.261-9.89 24.188-16 39.494-16 15.306 0 29.233 6.11 39.494 16h4.78l30.001-30.004h-148.55zm74.275 32A38.867 38.867 0 0 0 152.998 96 38.867 38.867 0 0 0 192 135.002 38.867 38.867 0 0 0 231.002 96 38.867 38.867 0 0 0 192 56.998zm56.955 37.297c.017.568.043 1.133.043 1.705 0 22.324-12.981 41.729-31.77 51.07l77.8 29.946c-.011-.338-.026-.676-.026-1.016 0-13.624 8.415-25.416 20.293-30.428l-66.34-51.277zM328 160.998c-8.391 0-15.002 6.61-15.002 15.002 0 8.391 6.61 15.002 15.002 15.002 8.391 0 15.002-6.61 15.002-15.002 0-8.391-6.61-15.002-15.002-15.002zm-15.871 43.887l-2.945 25.799 19.57 4.084 6.21-26.524a32.649 32.649 0 0 1-22.836-3.36zm-19.998 16.484c-9.663 3.586-17.838 9.415-24.137 15.309-11.977 11.206-18.521 23.416-18.521 23.416l15.834 8.556s5.364-9.83 14.984-18.83c2.877-2.691 6.024-5.225 9.436-7.388l2.404-21.063zm55.703 10.858l-5.025 21.459c2.06 2.912 3.878 6.001 5.468 9.134 6.149 12.113 8.244 23.496 8.244 23.496l17.713-3.195s-2.437-13.73-9.908-28.447c-3.838-7.561-9.205-15.727-16.492-22.447zm-178.836 64.771v30.004h30.004v-30.004h-30.004zm128 0v30.004h30.004v-30.004h-30.004zm122.322 0v30.004h30.002v-30.004H419.32zm-275.32 48c-20 0-27.002 11.502-27.002 23.002 0 11.5 7.002 23.002 27.002 23.002h6.275c-8.936-3.83-15.273-12.742-15.273-23.002 0-10.26 6.337-19.173 15.273-23.002H144zm25.725 0c8.936 3.83 15.273 12.742 15.273 23.002 0 10.26-6.337 19.173-15.273 23.002h156.55c-8.936-3.83-15.273-12.742-15.273-23.002 0-10.26 6.337-19.173 15.273-23.002h-156.55zm176 0c8.936 3.83 15.273 12.742 15.273 23.002 0 10.26-6.337 19.173-15.273 23.002h149.277v-46.004H345.725zM63.482 360.227l-16.236 25.228 25.229 16.236 16.236-25.226-25.229-16.238zm96.518.771c-3.973 0-7.002 3.029-7.002 7.002s3.029 7.002 7.002 7.002 7.002-3.029 7.002-7.002-3.029-7.002-7.002-7.002zm176 0c-3.973 0-7.002 3.029-7.002 7.002s3.029 7.002 7.002 7.002 7.002-3.029 7.002-7.002-3.029-7.002-7.002-7.002zm-136.998 48V496h17.996v-87.002h-17.996zm240 0V496h17.996v-87.002h-17.996z"}}]})(props);
};
function GiFactory (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M384 64l.387 256H368l-96-128-16 128-96-128-16 128-96-128-16 128v160h448V64h-32v256h-32V64h-32zM64 352h48v32H64v-32zm80 0h48v32h-48v-32zm80 0h48v32h-48v-32zm80 0h48v32h-48v-32zM64 416h48v32H64v-32zm80 0h48v32h-48v-32zm80 0h48v32h-48v-32zm80 0h48v32h-48v-32z"}}]})(props);
};
function GiFairyWand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M250.53 22.03c-57.055 45.157-80.673 37.81-100.31.22 16.598 61.517 10.408 66.415-44.72 116.594 67.324-35.666 96.206-34.238 130.97 7.187-34.906-53.112-30.954-75.35 14.06-124zm18.407.126l11.688 114.938-99.875 58.094 97.75 21.093c-9.58 8.352-20.214 19.028-31.28 30.095l-.032.03L18.563 472.438v19.438h32.156L273.343 272.5c10.26-10.263 18.902-19.538 25.78-27.75l18.938 87.75 58.094-99.875 114.938 11.688-77.03-86.094 46.655-105.69-105.69 46.657-86.092-77.03zM26.875 55.938c33.765 27.66 35.21 42.767 30.75 87.78 18.975-53.73 27.964-67.297 64.5-82C82.972 71.094 66.21 73 26.875 55.94zm54.75 102.406c24.955 27.012 26.97 43.684 24.25 72.062 14.775-34.45 22.072-45.66 55.625-64.312-34.56 11.183-45.5 10.22-79.875-7.75zm325.594 95c9.27 51.694-4.61 73.708-32.845 106.687 43.3-37.043 57.852-44.284 96.844-38.75-38.597-11.457-47.426-20.624-64-67.936zm-55.658 72.812c-18.705 68.79-45.304 83.944-107.625 70.125 54.126 20.1 56.34 21.07 53.532 85.25 24.757-55.42 46.49-52.217 95.06-37.217-41.775-31.838-45.71-48.97-40.967-118.157zm109.344 55.97c-15.32 17.994-22.932 17.49-43.812 9.343 22.828 18.444 17.596 34.024 10.844 59.405 16.05-19.12 23.516-25.237 50.312-12.688-22.86-21.342-27.13-29.857-17.344-56.062z"}}]})(props);
};
function GiFairyWings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M152 25c-16.8 0-28 3.51-35.2 8.64-7.3 5.14-11.1 11.95-12.7 21.34-3.1 18.79 5.3 47.62 21.7 76.62 14.9 26.2 35.9 52.6 58.5 73.6 18.5 12.7 38.4 25.1 60.1 35.6-25.1-45.3-38.9-96.8-51-138.3-7-23.9-13.5-44.59-20.6-58.37-3.6-6.89-7.3-11.96-10.8-14.98-3.4-3.01-6.2-4.15-10-4.15zm208 0c-3.8 0-6.6 1.14-10 4.15-3.5 3.02-7.2 8.09-10.8 14.98-7.1 13.78-13.6 34.47-20.6 58.37-12.1 41.5-25.9 93-51 138.3 21.7-10.5 41.6-22.9 60.1-35.6 22.6-21 43.6-47.4 58.5-73.6 16.4-29 24.8-57.83 21.7-76.62-1.6-9.39-5.4-16.2-12.7-21.34C388 28.51 376.8 25 360 25zM51.17 139.9c-3.33.1-6.23 1.1-9.03 2.9-11.19 11.8-17.01 22.5-19.03 31.8-2.07 9.5-.58 17.8 3.91 26 8.99 16.5 31.6 32.1 60.12 43.1 22.16 8.5 47.66 14.3 72.16 16.9 23.1-3 46.1-5.8 67-8.8-45.3-23.8-82.6-54-112.8-77-17.83-13.7-33.31-24.8-45.61-30.4-6.15-2.8-11.05-4.3-15.26-4.5h-1.46zm408.23 0c-4.2.2-9.1 1.7-15.3 4.5-12.3 5.6-27.8 16.7-45.6 30.4-30.2 23-67.5 53.2-112.8 77 20.9 3 43.9 5.8 67 8.8 24.5-2.6 50-8.4 72.2-16.9 28.5-11 51.1-26.6 60.1-43.1 4.5-8.2 6-16.5 3.9-26-2-9.3-7.9-20-19-31.8-2.8-1.8-5.8-2.8-9.1-2.9h-1.4zM243.3 267.2c-41.1 6.7-91.6 11.5-134.6 19.3-24.01 4.3-45.47 9.7-60.74 16.4-15.27 6.7-23.08 14.2-24.53 21.5-2.82 14.4-1.5 24.5 1.9 31.5 3.41 6.9 8.94 11.4 17.35 14.4 16.84 5.9 44.94 3.4 74.52-6.4 4-1.3 8.1-2.8 12.1-4.4 38.5-28.5 81.1-58.1 110.2-84.3 1.4-2.7 2.7-5.4 3.8-8zm25.4 0c1.1 2.6 2.4 5.3 3.8 8 29.1 26.2 71.7 55.8 110.2 84.3 4 1.6 8.1 3.1 12.1 4.4 29.6 9.8 57.7 12.3 74.5 6.4 8.4-3 14-7.5 17.4-14.4 3.4-7 4.7-17.1 1.9-31.5-1.5-7.3-9.3-14.8-24.6-21.5-15.2-6.7-36.7-12.1-60.7-16.4-43-7.8-93.5-12.6-134.6-19.3zm-21.1 24.9c-33.2 29.3-78.9 60.2-117.6 89.4-22.4 17-42.43 33.3-55.78 47.7-13.34 14.5-18.69 26.4-17.39 33.1 2.83 14.3 7.86 22.6 13.45 27.1 5.6 4.4 12.33 5.9 21.52 4.4 18.4-2.8 44.5-19 69.2-43.1 24.7-24.2 48.4-55.8 64.7-87.9 12.5-24.5 20.4-49.2 21.9-70.7zm16.8 0c1.5 21.5 9.4 46.2 21.9 70.7 16.3 32.1 40 63.7 64.7 87.9 24.7 24.1 50.8 40.3 69.2 43.1 9.2 1.5 15.9 0 21.5-4.4 5.6-4.5 10.6-12.8 13.5-27.1 1.3-6.7-4.1-18.6-17.4-33.1-13.4-14.4-33.4-30.7-55.8-47.7-38.7-29.2-84.4-60.1-117.6-89.4z"}}]})(props);
};
function GiFairy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192.83 24.426c-14.71 1.688-27.402 8.33-38.143 17.437 21.23 13.037 42.044 30.898 61.172 49.701 11.727 11.528 22.782 23.42 32.816 34.805 2.442-4.263 4.944-8.626 7.532-13.092-4.309-38.254-34.612-87.21-63.377-88.851zM71.886 46.303c-28.61 18.45-40.203 39.995-42.605 63.398-.15 74.543 63.687 152.073 122.455 179.155-28.275 12.217-60.633 32.6-76.461 55.98-11.387 19.032-10.034 31.734 7.072 40.14 34.057 16.282 67.59 8.121 96.186-7.785-7.344-3.524-14.805-7.242-22.362-10.962 44.88-10.627 66.885-45.326 91.797-75.745.059-6.436.504-13.327 1.325-20.502a43.516 43.516 0 0 1-5.502 1.524c-6.904 9.334-14.834 17.74-24.063 24.5 2.14 10.716-3.044 22.63-12.478 30.2-12.624 10.126-31.187 11.141-41.143-1.268-9.956-12.41-4.94-30.31 7.684-40.438 10.637-8.535 25.492-10.597 35.861-3.607 3.691-2.802 7.176-5.973 10.478-9.44-19.17-5.932-51.374-15.938-56.818-34.84-1.342-4.912.81-12.057 5.219-15.408 37.102-28.196 54.783-52.147 70.605-78.478-10.657-12.265-22.785-25.439-35.896-38.327-32.68-30.98-92.798-81.056-131.354-58.097zm381.455 1.342L438.308 71.58l-27.53-6.406 18.12 21.693-14.598 24.201 26.229-10.527 18.508 21.361-1.908-28.199 26.035-10.998-27.409-6.9zM286.636 97.768c-31.881 49.744-43.506 88.443-104.685 135.77 13.843 12.594 33.702 21.043 51.474 21.064 8.487-.088 14.172-2.306 17.625-7.059 11.48-15.8 15.656-39.606 21.385-62.818 5.73-23.213 13.931-47.302 37.625-58.055 20.1-5.935 38.659 2.736 55.143 11.6 1.529-4.12 2.463-8.88 2.365-13.694-1.157-34.505-68.383-40.598-80.932-26.808zm139.784 22.289l-20.05 73.98c6.298-.42 12.578 1.362 17.339 4.834l20.084-74.107zM317.498 143.06c-14.519 6.588-20.98 21.077-26.16 40.449 3.481 7.099 8.888 12.376 15.466 14.648 15.531 5.364 35.634-6.645 43.217-30.035 1.783-5.5 2.636-10.925 2.711-16.08-9.606-5.248-25.954-13-35.234-8.982zm-31.526 63.002c-3.265 14.198-7.083 29.01-14.289 42.363-2.701 12.403-4.405 24.449-5.086 35.013 13.039 7.148 29.31 10.761 42.942 8.446 12.331-11.85 28.684-27.948 27.936-43.933-.553-8.697-5.006-20.166-7.471-33.02-17.208 4.562-31.691 2.43-44.032-8.87zm110.436 16.447c-2.267 7.933 1.41 14.15 6.047 15.29 4.637 1.141 11.153-2.568 13.42-10.501 2.267-7.934-1.412-14.152-6.05-15.293-6.508-.905-12.2 6.554-13.417 10.504zm-7.584 28.603c-3.453 9.805-7.315 19.06-14.48 28.305-6.839-6.749-12.912-14.547-18.268-22.84-1.097 7.625-4.754 14.066-8.518 19.486 9.168 11.889 17.428 19.544 28.23 28.495 14.257-13.76 24.77-32.23 30.587-48.825-6.38.516-12.674-1.153-17.551-4.62zm-203.77 47.426c-6.589 5.286-7.21 12.266-4.908 15.135 2.302 2.869 9.251 3.776 15.84-1.51s7.208-12.266 4.906-15.135c-4.943-4.1-11.831-1.63-15.838 1.51zm77.295 2.97c-14.904 18.19-31.895 45.95-63.98 65.055 41.127 18.595 78.3 29.021 104.463 28.729 5.59-28.393 8.762-56.945 1.767-84.805-15.255.425-29.374-2.567-42.25-8.978zm-42.006 93.89c-5.72 9.016-12.532 17.725-20.484 25.923-7.492-4.257-15.117-8.599-22.982-12.527l-8.043 16.103c5.532 2.764 11.165 6.01 16.927 9.397-18.288 15.027-41.164 27.595-69.029 36.078l5.242 17.22c32.565-9.913 59.247-25.254 80.239-43.76 22.665 10.31 42.29 18.374 63.117 17.056 13.743-12.908 22.215-31.465 27.238-47.662-5.966-.39-12.177-1.172-18.598-2.307-4.06 11.875-9.111 24.142-16.455 32.252-13.847-.06-27.48-5.597-41.437-12.895 8.378-9.091 15.57-18.736 21.595-28.718a386.01 386.01 0 0 1-17.33-6.16z"}}]})(props);
};
function GiFalconMoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M245.26 35.38a240 240 0 0 0-105.744 24.713A320 320 0 0 1 445.26 379.38a320 320 0 0 1-1.547 30.906A240 240 0 0 0 485.26 275.38a240 240 0 0 0-240-240zM129.277 140.017c-14.264-.07-34.752 4.185-54.246 11.367-18.38 6.772-36.08 15.964-48.29 24.045a456.28 456.28 0 0 1 30.795 12.674c12.88-4.53 26.8-7.557 41.256-9.81-8.62 5.73-17.867 10.836-25.874 17.182a421.206 421.206 0 0 1 21.53 11.658c11.68-6.89 24.65-12.53 38.284-17.526-8.468 8.432-17.93 16.2-24.976 25.58 23.664 14.888 47.283 32.917 71.924 55.196-19.853 24.114-34.97 49.79-62.63 83.342-12.216 14.818-35.192 22.92-56.864 31.802-10.836 4.442-21.304 8.76-29.418 12.965-.422.218-.75.44-1.157.658 2.923.585 5.162.886 8.376 1.654 15.46 3.69 33.263 8.75 44.54 20.03 11.28 11.278 16.338 29.08 20.03 44.538.764 3.205 1.065 5.437 1.647 8.354.214-.397.428-.716.64-1.125 4.21-8.12 8.54-18.597 12.99-29.44 8.904-21.69 17.01-44.663 31.804-56.85 33.62-27.697 59.25-42.79 83.34-62.627 22.277 24.64 40.306 48.258 55.193 71.92 9.38-7.043 17.15-16.507 25.58-24.975-4.997 13.635-10.636 26.606-17.525 38.283a421.156 421.156 0 0 1 11.658 21.534c6.346-8.006 11.452-17.252 17.18-25.875-2.25 14.454-5.277 28.374-9.807 41.25a456.25 456.25 0 0 1 12.676 30.8c8.08-12.21 17.27-29.91 24.043-48.293 9.575-25.99 13.945-53.75 9.806-66.168-4.327-12.987-22.966-32.91-46.425-50.85-13.265-10.145-27.97-19.92-42.24-28.497 22.97-27.682 47.46-61.673 47.46-61.673l.15-.21.162-.202a54.577 54.577 0 0 0 2.974-4.06c11.392-3.6 15.795 2.058 26.286 13.382-.222-24.04-10.287-37.62-23.93-45.166a26.21 26.21 0 0 0-3.462-4.278c-4.285-4.285-10.097-7.222-16.945-7.386-6.85-.164-14.738 2.444-23.18 9.252l-.2.162-.21.15s-33.993 24.492-61.675 47.46c-8.577-14.268-18.35-28.973-28.494-42.24-17.938-23.458-37.865-42.098-50.85-46.427-3.105-1.035-7.168-1.538-11.923-1.56z"}}]})(props);
};
function GiFallDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.75 16.03A60 60 0 0 0 196 76a60 60 0 0 0 120 0 60 60 0 0 0-58.25-59.97zM250.72 166c-24.72.11-24.72 1.875-24.72 30v210h-60l90 90 90-90h-60V196c0-30 0-30-30-30-1.875 0-3.633-.007-5.28 0z"}}]})(props);
};
function GiFallingBlob (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M227.54 25.87l128.997 177.28-219.59-169.19L259.07 198.92 20.78 26.128h-.005l180.06 232.19L35.878 129.186l169.19 225.433L20.17 219.052l210.703 228.224c59.994 56.81 154.88 55.822 213.664-2.963 58.782-58.783 59.77-153.668 2.962-213.664L227.54 25.87zm128.448 222.855c27.394 0 54.786 10.45 75.686 31.35 41.8 41.8 41.8 109.574 0 151.374s-109.573 41.8-151.373 0c-41.8-41.802-41.8-109.575 0-151.376 20.9-20.9 48.295-31.35 75.688-31.35zm-6.734 20.734c-17.067.057-36.98 7.253-52.576 20.872-13.134 11.468-20.463 25.015-22.217 36.897-1.753 11.88 1.438 21.776 10.216 29.11 17.555 14.667 55.232 11.185 81.5-11.752 13.134-11.47 20.462-25.015 22.217-36.897 1.754-11.88-1.438-21.776-10.215-29.11-7.132-5.96-17.247-9.16-28.924-9.12zm47.572 124.368c-8.597.03-19.063 3.706-27.14 10.65-6.803 5.848-10.36 12.6-11.172 18.01-.812 5.41.45 9.185 4.314 12.364 7.73 6.357 27.337 5.207 40.942-6.49 6.802-5.846 10.36-12.597 11.17-18.008.813-5.412-.45-9.187-4.313-12.366-3.14-2.582-7.918-4.18-13.8-4.16z"}}]})(props);
};
function GiFallingBomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M50.18 16.44L71.49 318.7 93.28 16.44h-43.1zm399.82 0l24.5 405.86 16.4-405.86H450zM256 28.46l-7.2 21.62-15.5 108.62c.6.5 1.6 1.1 3.5 1.8 4.6 1.5 12 2.5 19.2 2.5 7.3 0 14.6-1 19.2-2.5 1.9-.7 2.9-1.3 3.5-1.8L263.2 50.08 256 28.46zm-116.2 3.45l12.4 74.49 62.8 37.7V69.51l-75.2-37.6zm232.4.05L297 69.56v74.54l62.8-37.7 12.4-74.44zm37 89.14L370 177.2 387 402l22.2-280.9zm-184.8 53.4L185 227v118.8c47.5 17.7 94.4 17.7 142 0V227l-39.4-52.5c-2.1 1.3-4.4 2.2-6.8 3-7.4 2.5-16 3.5-24.8 3.5s-17.4-1-24.8-3.5c-2.4-.8-4.7-1.7-6.8-3zm-112.5 25.9l18.6 290.9 13-255.6-31.6-35.3zm-59.51 58.4l-30.2 22.3 22.27 165 7.93-187.3zm361.31 52.8l11.2 180.3 17.3-134.5-28.5-45.8zM185 364.9V400c0-.3.4 2.4 1.6 5.6 1.2 3.2 3 7.4 5.4 12 4.8 9.3 11.6 20.5 19.3 31.1 7.7 10.6 16.4 20.7 24.6 27.7 8.2 7.1 15.9 10.6 20.1 10.6 4.2 0 11.9-3.5 20.1-10.6 8.2-7 16.9-17.1 24.6-27.7 7.7-10.6 14.5-21.8 19.3-31.1 2.4-4.6 4.2-8.8 5.4-12 1.2-3.2 1.6-5.8 1.6-5.6v-35.1c-47.2 16.1-94.9 16-142 0z"}}]})(props);
};
function GiFallingBoulder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M130.81 21.785v245.95H43.84L256 489.382l212.158-221.644H381.19V21.786h-39.118v301.028c.263 2.756.403 5.547.403 8.37 0 48.275-39.334 87.61-87.61 87.61-46.467 0-84.644-36.446-87.44-82.228h-.288V21.786zm127.018 8.485L230.33 261.984 212.82 133.98c-3.592 63.362-25.266 134.536-25.365 196.592 0 37.12 30.29 67.408 67.408 67.408 37.117 0 67.408-30.288 67.408-67.408 0-1.938-.1-3.854-.262-5.752-6.334-49.764-13.546-100.753-20.408-150.924l-13.422 98.135c-.587-.335-1.176-.667-1.774-.985zm-2.965 251.572c27.027 0 48.73 21.703 48.73 48.73 0 27.026-21.707 48.733-48.73 48.733-27.027 0-48.73-21.706-48.73-48.733 0-27.026 21.708-48.73 48.73-48.73z"}}]})(props);
};
function GiFallingEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M24.125 18.188V52.28c19.25 10.525 39.96 17.387 60.97 27.19 8.898 11.16 16.083 23.254 23.624 36.468 1.815 3.182 3.69 6.504 5.56 9.812-30.467-30.112-61.69-37.87-90.155-46.906v19.53C44.277 104.613 63.183 110.03 82.063 123c-19.367-5.92-38.3-7.623-55.97-6.063 54.125 10.056 102.062 42.67 142.188 113.25-38.976-26.92-65.89-90.347-125.374-73 74.948 8.296 49.57 56.472 118.813 95.75-53.81-13.977-83.554-37.983-98.532-69 3.723 35.31 31.906 72.197 102.093 92.97 12.69-39.8 39.216-75.278 77.532-98.563-37.38-44.148-36.596-98.092-4.375-143.125-31.336 28.753-47.78 63.83-46.687 102.843-.52-1.188-1.034-2.355-1.563-3.563-15.782-36.087-36.253-80.377-94.656-116.313H55.72c58.02 26.452 84.18 58.21 101.25 89.782-20.093-20.724-40.8-33.848-60.657-43.75-14.506-16.99-33.368-32.573-61.407-46.032h-10.78zm97.28 82.374c26.6 19.535 52.623 49.98 75.657 104.876-38.426-36.268-54.93-68.65-72.125-98.782-1.165-2.042-2.347-4.07-3.53-6.094zm214.876 70.376c-27.354.126-55.035 7.165-80.405 21.812-77.318 44.64-103.67 142.995-59.03 220.313 44.638 77.317 142.962 103.64 220.28 59 77.318-44.64 104.358-143.37 59.72-220.688-29.994-51.948-84.55-80.696-140.564-80.438zm39.97 102.75c1.525-.023 3.085.004 4.625.062 49.282 1.86 87.958 45.053 85.875 95.906-2.083 50.852-44.155 90.33-93.438 88.47-49.28-1.86-87.988-44.366-85.906-95.22 2.018-49.264 41.568-88.506 88.844-89.22zm.156 18.812c-37.7.563-68.514 31.79-70.125 71.125-1.662 40.603 28.466 74.233 67.814 75.72 39.347 1.484 72.118-29.776 73.78-70.376 1.664-40.604-28.432-74.953-67.78-76.44-1.23-.045-2.472-.048-3.688-.03zm-3.062 31.5c-1.654 6.88-.365 15.318 4.156 23.25 8.17 14.333 23.836 21.577 35 16.156 7.46-3.622 10.99-11.987 10.094-21.406 5.262 8.08 8.165 17.93 7.72 28.344-1.09 25.394-21.62 44.953-46.283 44.062-24.662-.89-43.462-21.855-42.374-47.25.863-20.13 13.995-37.336 31.688-43.156z"}}]})(props);
};
function GiFallingLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M427.313 26.188c-4.8.012-9.63 1.264-14.032 3.406 9.05 78.836 5.48 143.09-43.217 231.844 63.85-73.5 80.035-178.61 74.75-228.344-5.21-4.886-11.33-6.922-17.5-6.907zm-91.032 48.75c-98.73 2.416-95.504 294.125-310.155 346.812C229.537 547.755 623.41 365.046 450.03 152.812c-.923 2.79-1.863 5.586-2.81 8.407 10.803 52.818 6.81 110.217-20.44 172.874 3.956-40.244 3.315-78.758-2.905-115.656-7.34 14.28-16.703 28.132-26.28 42.062 1.357 40.016-6.12 82.247-25.72 127.313 3.143-32.007 2.588-62.875-.563-92.875-12.835 14.593-27.163 28.624-43.218 41.468-3.802 25.377-10.96 51.658-22.78 78.844 2.12-21.604 2.46-42.944 1.748-63.656C271.472 375.8 229.21 395.157 178 405.906c43.122-24.2 77.516-49.167 105.688-74.75-18.532-3.86-37.607-6.38-56.657-8.156 25.186-6.363 50.08-8.858 74.19-8.188 17.226-17.617 31.62-35.325 43.217-53.718-32.133-5.78-64.654-7.476-97.53-5.28 37.746-18.268 75.352-24.643 112.718-22.19 9.655-19.872 16.26-40.42 21.03-61.31-28.417-2.687-59.37 4.05-94.624 12.842 31.834-29.16 66.23-41.838 100.44-45.562 1.778-14.472 2.736-28.956 2.905-43.906-19.706-14.02-36.318-20.438-50.75-20.75-.79-.018-1.566-.02-2.344 0z","fillRule":"evenodd"}}]})(props);
};
function GiFallingOvoid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M184.97 21.875l66.718 179.03L27 25l178.344 216.406L23.22 163.22l175.186 146.56L49.5 298.595l183.594 85.72-88.875 38.936 154.155 18.094-21.063 56.22 96.22-34.814 32.968 35.22 28.22-56.22 56.06-17.438L462.5 385l40.875-85-55.344 10.563-7.686-146.063-44.406 77.5-74.313-181.188 1.125 140.313-137.78-179.25zm95.874 237.03c16.315-.184 40.993 12.932 63 34.94 29.342 29.34 42.85 63.397 30.156 76.092-12.695 12.696-46.783-.782-76.125-30.125-29.342-29.342-42.85-63.43-30.156-76.125 3.173-3.173 7.685-4.72 13.124-4.78zm96.72 37.345c37.93 3.08 67.592 34.657 67.592 73.406 0 40.8-32.887 73.656-73.687 73.656-40.057 0-72.43-31.67-73.595-71.437 8.263 23.457 30.67 40.375 56.875 40.375 33.176 0 60.25-27.106 60.25-60.28 0-25.107-15.517-46.69-37.438-55.72z"}}]})(props);
};
function GiFallingRocks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M156.115 34.48l-36.94.586 10.02 28.995 27.258-2.324zM18 37.727V494h297.682L304 448l-64-64-48-160-88.055-80L96 64zM219.076 98.58L160 112l16.38 30.342 17.65 5.394-1.223 19.672L244.664 144zm34.656 60.99l-19.56 21.05 27.508 12.61 12.855-20.804zm50.907 90.002l-34.38 25.012-11.766 58.662 100.53 22.97-4.163-98.218zm107.475 62.373l-20.886 3.465-15.988 20.033 4.873 21.23 40.848-15.55zm-43.62 95.996l-44.32 5.87 6.858 29.422 36.875-1.396zm37.573 59.982l-32.103 5.375L340.113 494h79.508z"}}]})(props);
};
function GiFallingStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M166.4 25.64l-12.8 12.72 160 160.04 12.8-12.8-160-159.96zm-32 95.96L128 128l-6.4 6.4 160 160 12.8-12.8-160-160zm-96.08 32L25.6 166.4l160 160 12.8-12.8-160.08-160zm314.78 86.6l-29.4 84.1-85.4 26 71 54-1.7 89.2 73.2-50.8 84.4 29.1-25.7-85.3 53.8-71.2-89.1-2-51.1-73.1z"}}]})(props);
};
function GiFalling (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M221.313 16a23.682 23.695 0 0 0-23.688 23.688v106.406a23.682 23.695 0 0 0 2.156 9.72 23.682 23.695 0 0 0 3.157 13.81l41.75 71.626-79 55.438 6.094-48.625a23.682 23.695 0 0 0-8.186-20.97l-66.28-81.937a23.682 23.695 0 0 0-33.314-3.5l-9.188 7.438a23.682 23.695 0 0 0-3.53 33.344l59.78 73.906-11.25 89.937a23.682 23.695 0 0 0 12.47 23.876l37.468 53.47a23.695 23.682 1.57 0 0 2.344 2.812 23.682 23.695 0 0 0 13.594 20.062L262 491.53a23.682 23.695 0 0 0 9.97 2.22 23.682 23.695 0 0 0 23.53-2.063l87.156-60.937a23.682 23.695 0 0 0 5.844-33l-6.78-9.688a23.682 23.695 0 0 0-32.97-5.875l-72.406 50.657-59.063-27.625 120.595-84.626a23.695 23.682 1.57 0 0 5.53-5.5 23.682 23.695 0 0 0 14.626-13.594l37.22-91.53 87.813-44.845a23.694 23.682 1.18 0 0 10.312-31.875L488 122.687a23.694 23.682 1.18 0 0-31.875-10.343l-94.688 48.375a23.694 23.682 1.18 0 0-9.843 9.436 23.682 23.695 0 0 0-8.344 10.47l-27.375 67.31-5.22-7.436a23.682 23.695 0 0 0-3-8.844l-50.81-87.094V39.688A23.682 23.695 0 0 0 233.154 16h-11.843zM77.75 376A59.994 60 0 0 0 16 436a59.994 60 0 1 0 120 0 59.994 60 0 0 0-58.25-60z"}}]})(props);
};
function GiFalloutShelter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23C127.425 23 23 127.425 23 256s104.425 233 233 233 233-104.425 233-233S384.575 23 256 23zM149.268 71.287h213.168L256 256h213.17L362.732 440.713 256 256 149.564 440.713 42.83 256H256L149.268 71.287z"}}]})(props);
};
function GiFamas (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M466.674 16.34L435.78 47.232l14.326 14.326L481 30.664 466.674 16.34zM34.418 445.184l46.577 46.577a13.32 13.32 0 0 0 20.618-2.213l60.15-93.456 51.144-21.74s2.487-22.322 3.033-30.12c.763-10.805 3.966-22.05 11.633-29.718l162.948-162.95a21.086 21.086 0 0 0 0-29.82l-42.563-42.564a17.516 17.516 0 0 0-24.772 0l-170.87 170.87a10.736 10.736 0 0 0 0 15.184l22.775 22.775L34.427 428.675a11.67 11.67 0 0 0-.01 16.51zm153.614-182.737c-5.962-5.963-4.907-16.68 2.392-23.98l125.273-125.274c7.262-7.262 18.018-8.354 23.98-2.392l6.31 6.31L194.344 268.76l-6.31-6.31zm118.933 97.288l20.41-20.41 12.416-32.892-18.385-55.515 7.328-7.33 20.364 61.488a4.636 4.636 0 0 1-.057 3.09l-13.31 35.405a4.636 4.636 0 0 1-1.063 1.65l-22.512 22.51c-.282.283-23.952 18.885-23.952 18.885-22.107-10.37-32.467-38.345-26.12-56.56 2.827-8.12.04-12.98-4.643-15.194l20.798-20.797zm-78.224 30.47l39.353 39.353-28.228 44.617-61.817-61.817zM423.837 65.375l8.13 8.13-29.737 29.734-8.13-8.128 29.708-29.708z"}}]})(props);
};
function GiFamilyHouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M55.379 25l-28.4 142H172.27L256 83.271 339.729 167H485.02l-28.4-142zM256 108.727L179.729 185H41v302h158v-87c0-18.25 7.166-33.077 18.021-42.727C227.877 347.624 242 343 256 343s28.123 4.624 38.979 14.273C305.834 366.923 313 381.75 313 400v87h158V185H332.271zm0 38.544l57 57V297H199v-92.729zm0 25.456l-39 39V279h78v-67.271zM71 199h98v98H71zm272 0h98v98h-98zM89 217v30h62v-30zm272 0v30h62v-30zM89 265v14h62v-14zm272 0v14h62v-14zM71 359h98v98H71v-98zm272 0h98v98h-98v-98zm-87 2c-10 0-19.877 3.376-27.021 9.727C221.834 377.077 217 386.25 217 400v87h78v-87c0-13.75-4.834-22.923-11.979-29.273C275.877 364.376 266 361 256 361zM89 377v62h62v-62zm272 0v62h62v-62z"}}]})(props);
};
function GiFamilyTree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25.01 49v46H103V49zM153 49v46h78V49zm128 0v46h78V49zm128 0v46h78V49zM55.01 113v64H119v46h18v-46h64v-64h-18v46H73.01v-46zM311 113v64h64v46h18v-46h64v-64h-18v46H329v-46zM89.01 241v46H167v-46zM345 241v46h78v-46zm-226 64v48h128v46h18v-46h128v-48h-18v30H137v-30zm98 112v46h78v-46z"}}]})(props);
};
function GiFangedSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M251.28 20.47c-77.526 0-145.72 67.908-175.06 167.5 46.895-20.557 78.628-49.975 107.843-87.782l14.812 11.406c-37.143 48.068-80.887 85.143-150.78 106.625 36.597 44.54 50.448 71.076 67.374 104.593 21.57-19.75 47.474-29.015 73-31.813l2.03 18.594c-20.132 2.207-39.486 8.55-56.406 21.844 7.788 15.57 14.405 31.608 19.875 48.312 61.633-28.76 136.57-28.723 196.686-.688 5.932-16.325 13.092-32.58 21.438-48.656-16.6-12.593-35.457-18.663-55.063-20.812L319.095 291c25.53 2.8 51.395 12.085 72.97 31.844 16.933-33.533 30.795-60.07 67.405-104.625-69.896-21.483-113.64-58.558-150.783-106.626l14.782-11.406c28.32 36.65 58.99 65.422 103.56 85.874C397.215 87.513 328.884 20.47 251.28 20.47zm-72.343 166.5l38.938 22.093L212 259.25c-29.007-5.152-72.863-1.908-97.125 10.656 14.706-41.107 38.44-66.103 64.063-82.937zm154.938 0c25.624 16.833 49.388 41.83 64.094 82.936-24.263-12.564-68.12-15.808-97.126-10.656l-5.875-50.188 38.905-22.093zm-78.844 52.436c17.432 29.764 29.146 60.467 37.25 91.78-14.67-4.69-32.994-15.165-36.967-31.498-6.46 16.56-23.07 26.95-37.563 31.5 9.438-33.41 19.7-62.215 37.28-91.782zm-2.124 137.53c-4.236.01-8.483.162-12.72.408v44.03h22.095v-44.25c-3.12-.12-6.245-.194-9.374-.187zm28.063 1.69v42.75H301V382.03c-6.593-1.44-13.277-2.577-20.03-3.405zm-59.47.562c-7.067 1-14.08 2.326-21 4v38.187h21v-42.188zM319.688 387v37.563c5.01 20.54 7.053 40.984 6.218 61.75 13.892-28.968 20.355-58.257 22.22-87.75-9.064-4.575-18.594-8.434-28.438-11.563zm-137.875 1.625c-9.826 3.35-19.375 7.414-28.5 12.22 2.043 28.72 8.497 57.247 22.03 85.467-.846-21.07 1.293-41.81 6.47-62.656v-35.03z"}}]})(props);
};
function GiFangsCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M263.064 21.654c-61.945 0-108.823 19.19-147.69 50.873h-.11l.013.08C96.2 88.174 79.044 106.733 63.002 127.54c13.466-7.973 28.174-14.91 43.81-20.82-32.252 37.934-51.837 87.843-51.837 142.4 0 64.49 27.35 122.493 70.656 161.89-22.716-7.12-43.878-16.202-62.628-27.307 48.742 63.224 107.65 105.89 200.062 105.89 90.676 0 154.59-42.808 201.206-105.89-21.023 12.138-45.283 21.964-71.5 29.434 44.684-39.42 73.048-98.352 73.048-164.016 0-55.86-20.528-106.848-54.164-145.1 19.013 6.514 36.74 14.356 52.616 23.52-15.24-20.623-32.332-39.077-51.6-54.58l.074-.43h-.61c-39.575-31.657-88.313-50.876-149.07-50.876zm1.36 59.024c4.486.02 8.973.103 13.453.24l23.566 77.29L323.94 84.41c7.248.882 14.437 1.916 21.546 3.108l32.325 185.517 26.034-149.414c27.012 33.946 43.283 77.666 43.283 125.5 0 64.49-29.564 121.507-75.166 157.163l-24.1-140.217-27.714 161.22c-4.556.518-9.134.978-13.728 1.374l-16.22-62.443-16.678 64.217c-6.068.135-12.142.165-18.213.087l-16.703-64.303-16.317 62.824c-5.24-.406-10.458-.9-15.652-1.47l-27.762-161.504-24.78 144.17c-48.574-35.306-80.43-94.18-80.43-161.115 0-51.262 18.688-97.8 49.257-132.643l27.277 156.558L182.625 86.92c7.287-1.18 14.655-2.185 22.074-3.03l22.66 74.317 23.6-77.418c4.487-.096 8.975-.134 13.464-.112z"}}]})(props);
};
function GiFangs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169.57 106.12c-1.882-14.48-28.184-30.424-41.092-30.424-2.54 0-4.56.612-5.773 1.974-21.81 24.385 14.225 81.262 14.225 81.262s35.746-28.785 32.64-52.812zm128.832 60.524s34.315-54.186 13.544-77.36c-1.155-1.292-3.083-1.88-5.496-1.88-12.308 0-37.352 15.183-39.142 28.98-2.967 22.78 31.094 50.26 31.094 50.26zm-53.724-50.352c-1.79-13.798-26.845-28.98-39.14-28.98-2.414 0-4.343.588-5.497 1.88-20.782 23.22 13.544 77.36 13.544 77.36s34.06-27.387 31.094-50.26zM58.128 58.896a16.546 16.546 0 0 0-1.664.08c-87.75 8.937 11.373 286.056 40.55 304.484 0 0-16.984-151.636 2.795-244.236 7.238-34.107-24.006-60.328-41.683-60.328zm397.394.08a16.465 16.465 0 0 0-1.663-.08c-17.678 0-48.968 26.198-41.682 60.328 19.778 92.6 2.794 244.236 2.794 244.236 29.223-18.416 128.312-295.535 40.55-304.483zm-72.013 16.72c-12.92 0-39.258 15.945-41.094 30.424-3.106 23.97 32.652 52.823 32.652 52.823s36.024-56.888 14.225-81.26c-1.224-1.375-3.244-1.987-5.784-1.987zm-148.3 348.98c-2.032-11.37-25.598-35.353-25.598-35.353s-20.54 23.97-20.32 33.727c0 2.147-1.155 23.092 2.03 26 2.876 2.645 12.84 4.043 22.62 4.043 9.468 0 18.75-1.305 21.268-4.042 2.31-2.47.335-22.733 0-24.373zm-60.04-24.35c-12.065-20.69-19.155-51.01-23.092-73.733-3.094-17.966-4.19-31.174-4.19-31.174-15.127 11.81-44.292 137.675 2.54 137.675a30.02 30.02 0 0 0 4.952-.428c4.62-.762 10.46-4.295 15.01-9.236 5.935-6.43 9.456-15.17 4.78-23.103zm188.85-104.93s-1.006 12.03-3.777 28.738c-3.81 22.965-10.98 54.74-23.485 76.204-3.764 6.466-2.136 13.417 1.744 19.236 4.618 6.86 12.308 12.135 18.035 13.082a30.124 30.124 0 0 0 4.953.427c46.912-.046 17.677-125.91 2.563-137.734zm-41.406 127.7c.22-9.757-20.32-33.726-20.32-33.726s-23.532 23.935-25.518 35.307c-.254 1.444-2.563 21.592 0 24.386 2.564 2.794 11.812 4.04 21.268 4.04 9.78 0 19.744-1.396 22.62-4.04 4.387-4.088 1.962-25.286 1.985-26.002zm-143.726 5.496l.243.115v-.44z"}}]})(props);
};
function GiFarmTractor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M152.864 59l-4.21 20h33.816l-4.211-20zm3.698 38v14h18V97zm-30.715 32l-7.78 94h17.145l6-80h130.545l-2-14zm302.715 23v74.602a593.471 593.471 0 0 1 18 1.666V152zm-270.65 9l-4.651 62h6.3c10.003 0 19.544 4.28 29 10.645V161zm48.65 0v84.26l78 8.681v-21.296L274.327 161zm-121 80c-8 0-23.292 6.759-37.377 18.027-10.908 8.726-21.254 19.89-28.747 31.166l16.813 4.203C56.271 269.225 87.129 253 121.561 253c50.594 0 93.48 35.024 105.586 82h20.409c-9.132-18.739-23.077-40.212-38.323-57.889-9.33-10.819-19.063-20.19-27.945-26.601-8.881-6.412-16.88-9.51-21.726-9.51zm217 .059V351h32.15c9.085-30.155 26.196-50.771 49.125-61.193 12.31-5.596 25.987-8.305 40.736-8.578 11.399-.212 23.445 1.049 35.989 3.54v-36.49c-11.495-1.781-25.084-3.178-39.633-4.203-40.207-2.831-86.16-3-118.367-3.017zm176 10.814V271h14v-13.41c-3.978-2.698-9.906-4.606-14-5.717zM222.7 265.168c.054.063.11.123.164.186 19.996 23.183 37.843 51.59 47.086 75.386l4.762 12.26h-44.53c.247 2.97.38 5.97.38 9 0 7.178-.713 14.198-2.057 21h56.057V272.055zM121.562 271c-50.081 0-91 40.92-91 91s40.919 91 91 91c50.08 0 91-40.92 91-91s-40.92-91-91-91zm357 18v14h14v-14zm-357 4c38.16 0 69 30.84 69 69s-30.84 69-69 69c-38.161 0-69-30.84-69-69s30.839-69 69-69zm307.603 6.27c-12.894.164-27.37 2.264-37.879 6.923-16.839 7.654-29.674 21.545-37.691 44.807h10.57c13.936-22.718 39.012-38 67.397-38a77.97 77.97 0 0 1 29 5.6v-15.448c-11.185-2.416-21.683-3.723-31.397-3.882zM121.562 311c-28.588 0-51 22.413-51 51s22.412 51 51 51c28.587 0 51-22.413 51-51s-22.413-51-51-51zm357 10v7.67a80.334 80.334 0 0 1 14 13.357V321zm-47 10c-33.493 0-61 27.508-61 61 0 33.492 27.507 61 61 61 33.492 0 61-27.508 61-61 0-33.492-27.508-61-61-61zm0 22c21.516 0 39 17.484 39 39s-17.484 39-39 39c-21.517 0-39-17.484-39-39s17.483-39 39-39zm-129 16v15.377l50.01 8.334c-.003-.237-.01-.473-.01-.711 0-7.988 1.219-15.71 3.464-23zm129 2c-12.095 0-21 8.905-21 21s8.905 21 21 21c12.094 0 21-8.905 21-21s-8.906-21-21-21z"}}]})(props);
};
function GiFarmer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M379.42 24.066l-28.059 87.407 28.268 5.941-3.098 15.352-52.25 47.843-51.5-43.125-23.404-4.093c8.217-14.33 14.683-32.77 16.404-49.594 10.02-2.28 34.92-5.675 46.094-10.059-4.997-10.285-30.197-16.906-48.7-16.316-1.733-20.713-8.88-29.054-34.155-27.902-25.276 1.151-32.972 6.601-30.16 36.423-18.866 4.127-38.097 12.616-39.74 27.084 7.87-.307 32.96-2.896 40.724-3.011.66 14.1 4.4 27.847 9.97 36.375l-35.158-6.125L106 195.922l77.344 55.875 1.625 16.844-34.19 215.75h38.375l38.315-169.25 47.873 169.25h37.47l-3.564-16.407 17.094 16.407 63.062-322.532c5.01-4.54 9.265-8.481 12.094-11.312.177-10.537-2.537-18.942-5.094-24.5l.971-4.902 27.238 5.724 8.444-93.117-22.846 68.781-10.848-2.256 6.635-72.658-21.568 69.55-11.217-2.333 6.207-70.77zm26.578 3.553l.002-.01h-.002v.01zM182.844 153.39l.344 64.095-31.5-23.75 31.156-40.345zm88.031 21.252l50.875 45.937s22.993-19.456 44.875-38.531l-57.438 285.562-42.812-197.529 4.5-95.44z"}}]})(props);
};
function GiFastArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.91 20.002v32.29l357.793 338.9L20.91 101.407v58.942l355.942 250.224-86.89-17.527 26.913 30.947-70.502 3.008 245.633 64.603-65.502-249.054-15.352 92.36-27.3-31.46 16.683 60.464L161.26 20.002h-22.37l142.276 208.935L109.496 42.17l98.975 138.547L45.194 20.002H20.91zm433 92.186l-32.234 38.482 55.19 208.21 15.286-217.794-38.242-28.9zm-231.88 327.89l-24.975 23.47 21.674 27.62 149.225-12.78-145.926-38.31z"}}]})(props);
};
function GiFastBackwardButton (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M467.4 106a26 26 0 0 1 25.7 29.3c-16 124-16 117.4 0 241.4a26 26 0 0 1-35.8 27.3l-138.7-57.7c1.2 9.5 2.4 18.9 3.9 30.4 2.5 19.8-17.3 35-35.8 27.3L34.72 280c-9.7-4-16-13.5-16-24s6.3-20 16-24L286.7 108c3.2-1.3 6.6-2 10.1-2 15.6.1 27.7 13.8 25.7 29.3-1.5 11.5-2.7 20.9-3.9 30.4L457.3 108a26 26 0 0 1 10.1-2z"}}]})(props);
};
function GiFastForwardButton (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M44.62 106a26 26 0 0 0-25.69 29.3c16 124 16 117.4 0 241.4A26 26 0 0 0 54.72 404l138.68-57.7c-1.2 9.5-2.4 18.9-3.9 30.4-2.5 19.8 17.3 35 35.8 27.3l252-124c9.7-4 16-13.5 16-24s-6.3-20-16-24l-252-124c-3.2-1.3-6.6-2-10.1-2-15.6.1-27.7 13.8-25.7 29.3 1.5 11.5 2.7 20.9 3.9 30.4L54.72 108a26 26 0 0 0-10.1-2z"}}]})(props);
};
function GiFat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M164.803 436.846q25.188 8.773 59.822 11.544V491h-59.822v-54.154zM292.843 491h59.822v-54.574q-26.763 8.826-59.822 11.702V491zM255.606 21c-27.066 0-49.011 28.547-49.011 63.757 0 35.211 21.945 63.758 49.011 63.758 27.067 0 49.012-28.547 49.012-63.758 0-35.21-21.945-63.757-49.012-63.757zm220.68 286.337c0-89.733-68.092-165.906-160.71-189.205a83.226 83.226 0 0 1-11.997 21.945c-12.32 16.036-29.806 25.188-47.962 25.188-18.156 0-35.683-9.194-47.962-25.188a83.184 83.184 0 0 1-11.933-21.777c-92.283 23.498-160.008 99.524-160.008 189.037H68.25a144.202 144.202 0 0 1 15.931-66.193 148.578 148.578 0 0 0-3.232 30.803c0 88.893 30.635 160.92 175.068 160.92 153.332 0 175.068-72.08 175.068-160.972a148.075 148.075 0 0 0-3.233-30.761 144.17 144.17 0 0 1 15.9 66.203h32.535z"}}]})(props);
};
function GiFeatherNecklace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-7.6 0-14.4 1.66-18.6 3.74-3.3 1.63-4.1 2.97-4.3 3.26.2.29 1 1.63 4.3 3.26 4.2 2.08 11 3.74 18.6 3.74 7.6 0 14.4-1.66 18.6-3.74 3.3-1.63 4.1-2.97 4.3-3.26-.2-.29-1-1.63-4.3-3.26-4.2-2.08-11-3.74-18.6-3.74zm22.9 7c.1.08.1.1.1 0s0-.08-.1 0zm-45.8 0c-.1-.08-.1-.1-.1 0s0 .08.1 0zm-17-6.22c-28.5 3.5-61.2 10.21-90.8 19.64-22.5 7.16-43.15 15.82-58.82 26.36C50.81 82.32 39 95.5 39 112c0 60.8 37.88 114.8 83.1 153.6 27.3 23.4 57.1 41.6 84.4 52.4-.2-6.9-.3-13.6-.3-20.3-23.2-10.2-49.1-25.9-72.3-45.8C91.12 215.2 57 165.2 57 112c0-7.5 6.19-16.32 19.52-25.28 13.33-8.96 32.68-17.3 54.18-24.14 28.6-9.09 61-15.61 88.5-18.98-2.5-3.18-4.2-7.04-4.2-11.6 0-2.24.4-4.31 1.1-6.22zm79.8 0c.7 1.91 1.1 3.98 1.1 6.22 0 4.56-1.7 8.42-4.2 11.6 27.5 3.37 59.9 9.89 88.5 18.98 21.5 6.84 40.8 15.18 54.2 24.14C448.8 95.68 455 104.5 455 112c0 52.1-34.1 102.3-76.9 139.2-19.9 17.2-41.8 31.4-62.3 41.6-.8 5.7-1.5 13.1-2.2 21.6 25-11.2 51.7-28.3 76.3-49.6C435.1 225.7 473 171.9 473 112c0-16.5-11.8-29.68-27.5-40.22-15.6-10.54-36.3-19.2-58.8-26.36-29.6-9.43-62.3-16.14-90.8-19.64zM255.6 218.8l-12.9 10.9c4.4 19.6 3.5 39.3 3.1 58.8l24.1-1.7c-2.8-23.2-5.2-46.5-14.3-68zm15.7 70.4c-3.8 43.8-7.1 62-9.1 108.5-12.7-44.4-16.7-62.6-17.2-108-6.1 3.6-13 6.6-20.7 9.8.2 40 3.1 84.7 13.3 121.7 9.4 34.2 24.4 60.6 47.8 72.5.5-4.8.9-10.6 1.4-18.1.3-5.8.7-12.3 1-19.2l-20.6-6.7 21.4-8.9c.3-6.3.6-12.8.9-19.5l-25.4-8.2 26.3-11c1.9-39.9 4-80.8 7-105.9-8.7-1.2-17.7-3-26.1-7z"}}]})(props);
};
function GiFeatherWound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M15.258 23.994C28.83 47.05 58.626 88.46 89.648 116.95l92.844 62.818-119.47-50.465-1.92-.315c24.343 38.854 55.535 70.026 92.005 93.282l127.3 60.376L155.9 253.238c40.5 39.53 100.607 75.72 151.4 98.698l63.925 24.37-82.89-11.066-.208.016c52.34 51.69 149.044 110.424 207.45 130.998-1.585-13.49-4.593-28.014-8.82-42.758-16.24-34.366-48.9-49.708-83.413-61.435 2.364-.095 4.702-.14 7.017-.126 22.757.123 43.142 5.6 60.71 18.603-13.84-30.897-32.514-59.165-54.246-76.754l.39.037c-26.092-21.573-56.34-40.94-89.81-58.67 46.746 9.337 102.14 38.655 136.29 63.16l.122.01c-34.19-46.3-90.762-97.425-140.103-130.974L208.53 148.023l136.18 37.754c-41.767-26.197-80.66-45.64-123.83-61.582L108.19 87.82l122.273 13.176C176.465 68.613 75.36 38.786 15.26 23.994h-.002z"}}]})(props);
};
function GiFeather (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M470.7 20L368.2 49.81l41.5-28.09c-26.2 5.92-59.3 17.5-100.9 36.19l-67.9 70.79L265 79.25c-23.3 12.96-48 29.95-71.8 49.85l-15.8 64.3-3.4-47.6c-23.5 21.6-45.6 45.6-63.9 70.9-19.23 26.5-34.26 54.5-41.79 82.4l-28.12-18.8c2.52 23.7 10.31 44.3 23.09 63.2l-33.62-10.3c7.64 23.5 20.13 38.7 41.25 51-11.83 33.3-17.38 68.1-23.34 102.8l18.4 3.1C87.31 277.4 237.9 141.8 374 81.72l6.9 17.38c-121.7 54.5-216.3 146.5-265.8 279.1 18.1.1 35.8-2.1 52.2-6.3l4.9-60.9 13.1 55.5c10.9-4 20.9-8.8 29.8-14.4l-20.7-43.5 32.8 34.8c8-6.4 14.6-13.6 19.6-21.5 30.4-47.5 62.2-94.7 124.8-134.2l-45.7-16.2 70.1 2.1c11.4-5.8 23.4-12.9 32.5-19.6l-49.7-4 74.7-17.6c5.8-5.8 11.2-11.9 16.1-18 17.3-21.94 29-44.78 26.2-65.55-1.3-10.39-7.5-20.16-17.6-25.63-2.5-1.3-5.2-2.45-7.5-3.22z"}}]})(props);
};
function GiFeatheredWing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M22.472 28.76c107.552 68.108 207.02 121.53 322.01 133.68 40.707 4.3 47.814 34.94 31.675 70.102-26.52 57.774 16.43 143.547 112.342 195.465-5.983 27.987-46.316 51.545-71.16 43.272-20.682-43.168-52.9-88.738-87.806-76.376-71.394 25.286-144.915 30.663-194.836 3.448 66.227-8.987 129.273-26.595 184.8-54.342C219.18 359.013 100.407 359.4 55.4 309.038c91.057 3.638 164.862-5.6 247.26-26.224C192.912 272.707 72.247 252.64 38.277 185.35c80.977 25.247 189.57 34.646 263.032 35.158C186.86 191.675 32.936 112.722 22.47 28.76z","fillRule":"evenodd"}}]})(props);
};
function GiFedora (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M239.125 97.438c-8.085.263-14.998 3.486-22.125 9.062-10.136 7.93-19.822 21.153-28.906 36.47-12.06 20.333-22.702 43.987-35.188 63.686l1.156.72c-.418.68-.383.62-.25 1.374.134.754.767 2.354 2.407 4.5 3.277 4.293 10.342 10.21 19.936 16.156 19.188 11.89 48.29 24.49 78.813 34.906 30.52 10.418 62.6 18.744 87.874 22.625 12.637 1.94 23.6 2.753 31.406 2.313 6.83-.385 10.57-2.374 11.094-2.47 2.313-12.74 5.12-26.273 7.437-40.03 5.32-31.57 7.318-63.1-.686-79.188-7.48-15.038-17.617-20.69-29.03-22.375-7.012-1.034-14.537-.068-21.627 1.97 8.783 5.46 18.177 9.676 28.594 11.624l-3.436 18.376c-29.7-5.554-51.25-24.54-69.344-42-18.093-17.46-33.43-33.012-47.156-36.437-3.314-.828-6.41-1.236-9.344-1.282-.55-.01-1.086-.018-1.625 0zM51.72 172.156c-3.565.077-6.743.487-9.532 1.22-11.158 2.926-17.707 9.42-21.282 27.343-5.598 28.066 2.315 52.298 19.938 74.874 17.622 22.576 45.243 42.83 77.625 59.937 62.247 32.887 141.57 54.053 199.155 63.19l7.594-18.064 4.342-10.28 9.344 6.062 54.25 35.062c32.376 2.315 60.15-1.828 77.78-10.563 9.02-4.468 15.296-9.976 18.94-16.062 3.642-6.086 5.003-12.87 3.437-21.72-4.446-25.12-12.418-39.6-23.375-49.31-10.958-9.712-25.828-15.125-45.313-19.22-6.452-1.356-13.402-2.563-20.75-3.75-2.82 16.205-4.812 30.047-4.188 38.344.416 5.53-2.52 11.542-6.625 14.717-4.104 3.176-8.748 4.535-13.843 5.407-10.19 1.743-22.893 1.178-37.908-.75-30.03-3.857-68.82-13.617-106.125-26.375-37.304-12.76-72.902-28.365-96.687-44.908-11.892-8.27-21.073-16.588-25.813-26.78-2.37-5.097-3.465-10.944-2.28-16.688 1.183-5.744 4.534-10.91 9.156-15.094 5.593-5.063 11.163-12.628 16.78-21.625-15.758-6.912-30.355-12.82-43.468-17.125-16.417-5.39-30.464-8.075-41.156-7.844zm88.968 51.47c-2.743 3.246-5.603 6.26-8.594 8.968-2.423 2.193-3.146 3.77-3.406 5.03-.26 1.262-.158 2.677.937 5.032 2.19 4.71 9.037 11.992 19.563 19.313 21.05 14.64 55.74 30.15 92.03 42.56 36.292 12.413 74.398 21.896 102.47 25.5 14.035 1.804 25.686 2.02 32.375.876 2.73-.467 4.262-1.1 4.968-1.47-.39-6.627.103-14.072 1.095-22.123-2.2.287-4.467.46-6.813.593-9.955.562-21.878-.436-35.312-2.5-26.868-4.126-59.644-12.682-91.063-23.406-31.418-10.724-61.326-23.52-82.625-36.72-10.65-6.598-19.196-13.17-24.937-20.686-.24-.316-.456-.648-.688-.97z"}}]})(props);
};
function GiFeline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M110.056 64.815c-4.234.027-8.355.587-12.337 1.799C83.13 71.054 72.93 77.03 65.24 87.333c-7.691 10.303-13.122 25.717-15.516 49.713-.669 6.708 2.012 18.384 7.75 30.986 5.738 12.602 14.248 26.276 23.829 38.387l2.49 3.146-.678 3.955c-3.097 18.091-3.644 50.706-.252 68.778.836 4.454 5.766 14.497 13.611 26.296 7.846 11.8 18.412 25.829 30.032 40.944 23.239 30.23 50.678 64.773 69.81 96.547.024.038.347.525 2.139.886 1.791.362 4.605.28 7.127-.35 2.441-.609 4.524-1.766 5.338-2.458-9.946-42.286-16.14-84.185-37.51-125.14l-10.102-19.358 20.809 6.617c21.64 6.882 48.718 8.897 73.396 7.719 24.679-1.179 47.26-5.681 58.868-10.362l5.648-2.277 4.215 4.397c43.225 45.089 73.427 98.048 112.644 140.935.12.132-.139.16.91.088 1.05-.072 3-.714 4.706-1.914 1.705-1.2 3.106-2.882 3.722-4.234.617-1.353.659-2.086.268-3.149-20.396-55.487-30.565-109.894-61.84-162.258l-2.103-3.521 1.279-3.9c6.869-20.923 17.852-42.768 42.902-60.303l4.535-3.176 4.881 2.617c11.454 6.145 19.123 5.873 25.69 1.936 13.132-7.875 24.15-23.88 28.625-37.784l-14.768-8.31-.943-3.746c-4.025-15.96-8.255-25.48-14.625-32.719-6.37-7.24-15.576-12.896-30.977-19.543l-6.426-2.773 1.104-6.91c.89-5.57.052-11.481-1.184-17.768-36.228 29.915-52.892 64.4-86.533 100.086l-3.197 3.39-4.613-.652c-57.84-8.187-142.926-5.257-198.455 1.436-6.045.728-11.262-1.14-16.34-3.733-5.078-2.593-9.996-6.2-14.475-10.492-8.957-8.584-16.938-19.87-16.01-33.258.654-9.426 2.683-17.048 7.006-23.01 4.323-5.961 11.13-9.434 17.815-10.27 13.368-1.669 26.916 3.833 42.058 10.04 30.285 12.415 65.987 29.01 93.022 21.717 10.554-2.848 30.674-20.089 44.4-37.834 6.863-8.873 12.442-17.861 15.377-24.528 1.339-3.041 2.013-5.487 2.24-6.923-.507-.106-1.153-.163-2.355-.08-2.665.182-7.069 1.375-12.56 3.814-10.985 4.877-26.237 14.423-44.675 26.896-11.984 8.108-26.017 8.386-38.992 5.153-12.975-3.233-25.743-9.626-38.58-16.04-19.255-9.619-38.213-18.81-55.45-20.077a53.657 53.657 0 0 0-4.27-.147zm343.096 73.006l9.832 22.123-22.474-3.512 12.642-18.611zM75.28 308.858c-14.235 49.028-35.548 97.072-55.633 132.947-.014.026-.02.015-.03.028a.651.651 0 0 1 .122.207c.258.592 1.295 1.961 2.856 3.035 1.56 1.074 3.553 1.828 4.945 2.008 1.391.18 1.836-.11 1.84-.114 33.669-24.914 58.717-55.4 83.47-85.668l-.613-.794c-11.682-15.197-22.427-29.428-30.75-41.946-2.25-3.384-4.321-6.6-6.207-9.703zM19.615 441.833c-.108-.114-.099.11 0 0zm297.377-119.485c-7.129 2.366-15.533 4.408-24.863 6.022-12.418 40.091-33.327 77.867-52.203 112.605l-.141.26-.158.25c-.31.491-.252.186-.049.783s1.012 1.81 2.27 2.707c2.514 1.796 4.82 2.374 7.208.23l.047-.04.047-.041c32.285-28.17 59.254-61.458 85.242-102.867-5.621-6.799-11.396-13.455-17.4-19.909z"}}]})(props);
};
function GiFemaleLegs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M329.4 16.38c20.7 13.71 33.6 29.78 39.1 48.03 7.7 25.32.6 52.79-15.1 80.89-2.2 3.9-4.3 7.7-6.3 11.5 21.2 42.5 38.6 84.8 44.4 128.3 4.9 17.3-25.6 32.3-23.8 44.5 2.4 12.6 9.3 17.2 18.6 22.6 11.4 6.2 23.2 13.3 26.8 25 5.8 21 13.4 31.6 19.7 37 6.3 5.4 11.4 6.3 15.3 6.8 10.8 1.2 22.5-1.2 28.9-4.7 4.2-2.3 6-5.2 4.4-7.9-19.6-36.2-53.5-73.4-54-114.3.6-60.2-22.8-129.8-13.7-196.25 4-29.33 3.5-44.93-1.2-52.6-16.8-27.67-54.3-27.75-83.1-28.87zM30.05 18.72C76.23 100.3 192 102.1 276.4 99.03L265 114.1c-25.3 33.5-29.9 62.3-29.7 92.5.3 30.3 6.3 61.8 1.7 97.4-2.2 17.3-14.5 28.6-24.2 37.5-4.9 5.7-15.9 11.5-16.1 19.7-.1 16.2 2.7 24.5 6.2 32.3 3.5 7.7 8.5 15.6 10.1 27.8 2 14.9 1.8 26.8 3.2 35.9 1.3 9 3.5 15.1 10.7 22.2 11.4 9 25.5 10.9 34.8 8.8 4.5-1.1 10.7-3.9 9-7.4-26.9-55.9-11.5-108.3-2.5-161.5 9.7-58.5 31.8-115.3 69.4-182.8 14.4-25.8 19.4-48.02 13.7-66.89-5.6-18.56-22-35.81-55.1-50.89z"}}]})(props);
};
function GiFemaleVampire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 13.5c50.1 0 87.2 18.31 113.2 47.79 26.1 29.48 41.4 69.41 51.6 113.21 18.2 78.2 20.1 169.9 31.5 238.6-8.5-12.6-16.4-25.2-23.2-36.6-7.5-63.4-11.4-135.8-25.9-198-9.8-42.2-24.5-79.27-47.4-105.29-23-26.02-53.9-41.71-99.8-41.71s-76.8 15.69-99.8 41.71c-22.9 26.02-37.6 63.09-47.4 105.29-14.51 62.2-18.31 134.6-25.91 197.9-6.8 11.4-14.7 24-23.2 36.7 11.3-68.8 13.4-160.4 31.5-238.6 10.21-43.8 25.51-83.73 51.61-113.21 26-29.48 63.1-47.79 113.2-47.79zm-64 57v32l26-16 6 32 32-16 32 16 6-32 26 16v-32l42 48-26-16 16 32-32-16 16 32-32-16v32l-32-16-16 32-16-32-32 16v-32l-32 16 16-32-32 16 16-32-26 16zm166.7 171c-.1 3.5-.2 6.9-.4 10.3l-30.9-10.3zm-44.4 0L267 273l10 15 17.7-11.8c2.7 7.3 11.2 12.4 20.8 12.4 12 0 21.7-7.7 21.7-17.2 0-3.1-1-6.1-3-8.7l22.6 7.5c-5.5 50.9-21.6 88.9-40.2 115.1-11.4 16.2-23.7 28-34.7 35.5-11 7.6-20.9 10.7-25.9 10.7s-14.9-3.1-25.9-10.7c-11-7.5-23.3-19.3-34.7-35.5-18.6-26.2-34.7-64.2-40.2-115.1l22.6-7.5c-2 2.6-3 5.6-3 8.7 0 9.5 9.7 17.2 21.7 17.2 9.6 0 18.1-5.1 20.8-12.4L235 288l10-15-47.3-31.5zm-129.7 0l-30.9 10.3c-.2-3.4-.3-6.8-.4-10.3zm136.8 16.9c1.5 2.3 2.4 5.5 2.4 8.8 0 6.7-3.4 12.1-7.6 12.1-4.2 0-7.6-5.4-7.6-12.1v-.3l12.7-8.5zm-130.7 0l12.7 8.5v.3c0 6.7-3.4 12.1-7.6 12.1-4.2 0-7.6-5.4-7.6-12.1 0-3.3.9-6.5 2.4-8.8zm97.3 70.1h-64s20.1 16 32 16c11.9 0 32-16 32-16zm109.7 29.1c10 18.7 26.8 47.6 46.9 76.1 10.5 14.9 21.6 29.4 33.1 42C396 454 323.9 466 269.6 498.5c31.2-44 75.9-88.7 120.8-133.6zm-283.4 0l7.3 7.3c44.9 44.9 89.6 89.6 120.8 133.6C188.1 466 116 454 34.29 475.7c11.5-12.6 22.5-27.1 33.1-42 20.1-28.5 36.91-57.4 46.91-76.1zm141.7 2.9c-12.5 0-23.9 2.7-29.1 7H216v18h8.5l7.5 27 12.1-27h23.8l12.1 27 7.5-27h8.5v-18h-10.9c-5.2-4.3-16.6-7-29.1-7z"}}]})(props);
};
function GiFemale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25.438c-17.84 0-35.582 3.547-52.063 10.375-16.48 6.827-31.512 16.853-44.125 29.468-12.612 12.617-22.645 27.675-29.468 44.157C123.52 125.92 119.994 143.66 120 161.5c.005 17.832 3.547 35.558 10.375 52.03 6.828 16.474 16.858 31.488 29.47 44.095 12.61 12.607 27.65 22.646 44.124 29.47l.218.092c10.032 4.135 20.52 7.02 31.218 8.657l.125 18.906.314 49.188H165.97v40h70.124l.375 62.875.124 20 40-.25-.125-20-.376-62.625h69.937v-40h-70.186l-.313-49.438-.124-18.47c11.188-1.61 22.154-4.6 32.625-8.936 16.476-6.823 31.515-16.862 44.126-29.47 12.61-12.606 22.64-27.62 29.47-44.093 6.827-16.472 10.37-34.198 10.374-52.03.005-17.84-3.52-35.58-10.344-52.063-6.823-16.482-16.856-31.54-29.47-44.156-12.61-12.614-27.643-22.64-44.123-29.468-16.48-6.827-34.224-10.374-52.063-10.374zm0 40c12.536 0 25.17 2.514 36.75 7.312 11.58 4.798 22.294 11.947 31.156 20.813 8.863 8.865 15.987 19.573 20.78 31.156 4.796 11.58 7.318 24.213 7.314 36.75-.004 12.53-2.515 25.173-7.313 36.75-4.797 11.575-11.95 22.264-20.812 31.124-8.862 8.86-19.58 16.018-31.156 20.812-11.58 4.795-24.19 7.28-36.72 7.28-12.53.002-25.14-2.485-36.72-7.28-11.576-4.794-22.293-11.953-31.155-20.812-8.862-8.86-16.015-19.55-20.813-31.125-4.797-11.577-7.308-24.22-7.312-36.75-.004-12.537 2.518-25.17 7.313-36.75 4.794-11.584 11.918-22.292 20.78-31.157 8.863-8.866 19.576-16.015 31.157-20.813 11.58-4.798 24.214-7.313 36.75-7.313z"}}]})(props);
};
function GiFencer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M225.036 94.788c-12.338 21.997-12.979 40.174-3.58 61.588l15.41.775c-3.042-9.283-4.944-19.43-4.777-29.968.164-10.377 2.472-21.149 7.615-31.391zm34.729 2.377c-6.847 9.651-9.515 19.873-9.68 30.303-.164 10.328 2.33 20.81 6.107 30.107 19.404-5.668 24.83-19.008 25.358-33.105.276-7.372-1.29-14.74-3.528-19.848-2.066-4.717-4.858-6.438-4.351-6.504zm114.324 20.18a27.478 27.478 0 0 0-3.815.36l8.868 44.189c8.918-3.028 16.653-9.237 16.664-21.704l98.074-16.554-.762-4.977-99.031 11.559c-3.064-7.706-10.268-13.092-19.998-12.873zm-16.016 15.418c-18.216 15.033-25.17 27.556-47.912 40.754-13.412-1.61-28.06-3.171-40.648-1.786-3.579 1.697-7.502 3.1-11.805 4.127l-1.256.301-46.709-2.353-2.342-4.73c-.717-1.45-1.386-2.901-2.027-4.352-24.9 6.797-37.561 21.942-61.703 34.795-17.846 4.527-37.748 4.582-55.336 3.001-17.57.8-38.588 29.853 9.965 27.817 29.17-.372 69.443-8.09 91.82-23.217-20.038 75.026-75.165 100.356-135.348 127.479-21.304 17.147-25.288 27.748-33.503 39.968-3.706 7.228 2.329 5.84 8.851 9.998 17.188-8.115 19.152-15.808 35.762-27.068 45.944-17.999 46.474-8.262 126.17-46.602 24.279-2.54 44.736-.656 67.023-9.173 2.686 38.16 7.697 41.45 5.176 81.3l54.014.776.545-11.078-31.74-8.426c8.77-42.552 8.966-59.96 3.55-97.137-.735-5.044-40.783-6.286-61.496-2.87 21.866-21.678 34.769-39.963 38.416-61.64 18.175 1.599 30.554 2.147 49.207-2.654 24.85-10.837 30.435-16.789 48.074-39.746zM18.12 399.212v18h472v-18z"}}]})(props);
};
function GiFern (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M127.3 21.33c-8.7 3.74-15.7 8.57-21.9 14.01 2.5 4.7 5.1 9.41 7.7 14.15 7-9.07 12.3-19.08 14.2-28.16zM48.18 35.86c-5.47.1-11.12.85-17.01 2.59 10 10.35 26.54 17.43 42.18 19.64-2.11-6.66-4.07-13.27-5.87-19.82-6.24-1.52-12.63-2.5-19.3-2.41zm37.84 1.07C108.6 116.3 155.9 207.1 214 288.5c62.5 87.4 137.5 164 205.5 205.5h72c-164.8-99-318-289.6-405.48-457.07zm65.58.6c-13.3 5.97-23.5 14.12-32.2 23.3 3.4 5.95 6.8 11.92 10.3 17.9 10.7-12.79 19.2-27.8 21.9-41.2zm36.6 10.95c-22.2 10.69-37.1 26.96-49.9 44.61 4.1 6.72 8.2 13.41 12.5 20.21 17.8-18 33.2-43.11 37.4-64.82zM47.86 68.68c-7.31 0-14.87.83-22.77 2.76C39.3 83.57 63.75 91.51 85.6 92.93c-2.62-6.81-5.09-13.58-7.42-20.31-9.76-2.33-19.78-3.97-30.32-3.94zm174.64 9.48c-27.8 10.8-45.5 30.34-61.8 50.54 3.5 5.4 7.1 10.8 10.7 16.2 22.4-15.8 44.3-42.9 51.1-66.74zm28.1 25.94c-31.5 13.4-50.6 35-67.8 57.6 4.3 6.2 8.7 12.4 13.1 18.5 25.3-18.7 49-49.8 54.7-76.1zm-188.95 1.7c-13.6.1-27.46 2.2-41.65 7.7 20.75 13 53.96 18.8 81 16.3-3.28-7.3-6.4-14.5-9.38-21.7-9-1.3-18.07-2.2-27.25-2.3zm217.95 33.5c-32.7 13.9-52 36.7-69.7 60.2 4.3 5.8 8.7 11.6 13.1 17.3 26.1-18.4 50.7-50.5 56.6-77.5zm-185.3 3.3c-21.73.1-43.47 2.5-64.55 14.4 23.57 10.2 59.64 10.3 85.15 2.3-2.7-5.5-5.4-11.1-8-16.6-2.7-.1-5.5-.1-8.25-.1zm219.1 23.7c-35.5 15.8-57.7 40.9-77.3 67.3 6 7.7 12.2 15.4 18.5 23 27.7-23.8 52.5-59.6 58.8-90.3zm-194.5 16.2c-26.84-.1-54.08 2.3-82.42 17.9 26.28 12.8 69.92 12.3 101.12 1.6-3.7-6.5-7.2-12.9-10.7-19.4-2.7-.1-5.3-.1-8-.1zm236.3 17.3c-39.6 17.7-62.6 46.7-84 76.5 5.8 6.7 11.6 13.4 17.5 20 30.7-23.4 59.6-63 66.5-96.5zm-220.3 19.4c-26.8 0-54.11 2.3-82.43 17.9 27.65 13.4 74.43 12.3 105.73-.1-3.6-5.8-7.1-11.7-10.6-17.6-4.2-.1-8.4-.2-12.7-.2zm261.6 8.4c-43.5 19.8-68.7 52.4-92.2 85.9 6.7 7.1 13.4 14.2 20.2 21.2 33.4-26.1 64.5-69.9 72-107.1zm45.2 27.5c-49.1 23.2-75.2 59.8-100.4 96.5 6.7 6.6 13.5 13.2 20.3 19.6 37.7-27.1 73.5-76 80.1-116.1zm-270.9 1.8c-36.9 1.5-74.06 4.6-110.83 28.2 34.33 13.8 88.63 9.8 125.63-5.8-5-7.4-10-14.9-14.8-22.4zM486.3 280c-51 26.5-77.5 68.7-103.4 110.6 7.4 6.6 14.9 13.1 22.5 19.4 38.1-30.4 74.2-85 80.9-130zm-283.6 23.5c-40.4 3.3-81.2 6.4-120.44 34.1 37.84 13.2 98.04 4.6 133.74-15.9-4.5-6-8.9-12.1-13.3-18.2zM494 342.6c-32.9 25.6-48.1 51.6-68.4 83.8 8.8 6.9 17.6 13.6 26.5 20 17.5-14.4 28.2-33.1 41.9-53.3zm-257.2 5.7c-42.1 9.6-84.4 19.9-121 54.6 41.5 7.9 101.6-8.3 138.2-33.7-5.8-6.8-11.6-13.8-17.2-20.9zm35.5 41.9c-41.7 14.1-83.6 29.4-118.8 69.8 42.1 4.8 101.9-18.4 138-49.1-6.5-6.7-12.9-13.7-19.2-20.7zm45.4 46.9c-43.1 10.9-86.1 23.1-123.5 56.9h70.6c28.5-7.5 56.2-20 76.9-35-8-7-16-14.3-24-21.9zm46.4 40.4c-15.6 4.9-31.3 10-46.6 16.5h68.8c-7.4-5.2-14.8-10.7-22.2-16.5z"}}]})(props);
};
function GiFertilizerBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M241.1 21.91c-89.7-.15-172.99 2.47-171.94 8.27l22.08 36.14c59.36-5.1 115.96-6.95 172.66-6.57 53.2.35 106.5 2.67 162.1 6.09l31.2-33.28c-4.5-6.74-114.4-10.48-216.1-10.65zm3.8 55.81c-49.1.12-98.3 1.99-149.69 6.32C73.42 207.7 61.35 358.6 89.71 451.7l-26.43 31c128.12 9.6 258.52 12.7 382.62 6.3L416 453.4c19.3-106.2 13.3-251.2.2-370.12-51.2-3.06-100.3-5.1-149.3-5.49L401.1 201h-71.3c3.8 23.1 20.4 54.3 37.9 83.2 9.9 16.4 20 32.3 27.7 46.3 7.7 14 13.6 25.7 13.6 37.5 0 28-18.9 51-46.7 65.9-27.8 15-65.1 23.1-106.3 23.1s-78.5-8.1-106.3-23.1C121.9 419 103 396 103 368c0-12 6.2-23.7 14.3-37.9 8.1-14.2 18.6-30.2 28.8-46.8 18-29.1 34.4-60.5 36.7-82.3H104zm11 14.37L152 183h48.3l.7 8.2c2.7 31.9-18.9 68-39.6 101.6-10.4 16.8-20.8 32.7-28.4 46.2-7.7 13.4-12 25-12 29 0 14.6 7 27.5 20.1 38.6 54.2-6.8 82-10.6 106.4-11.4.6-8.5 1.7-17 3.1-25.2-36.6 2.3-70.3-7.5-103.5-19.3 14.9-28.8 42.3-48.9 67-48.8 4.6 0 9.1.6 13.4 2.1 11.2 3.6 21.3 23.7 28 40.6 2.2-10.5 4.3-19.5 5.2-26.1v-.1c.9-6.2-1.6-24-4.8-38.7-2.3-10.6-4.7-19.9-5.9-24.3-6.3 0-11.9-1.2-15.6-5-25.4-26.4-8.9-75.2 12.9-102.4 15.5 25.8 35.7 53.6 56 72.8-4.4 14.8-12.4 26.7-27.9 32-2.1.2-4.7.5-7.3.9 1.4 5.2 3.4 13 5.4 22.1 1.3 5.7 2.5 11.6 3.5 17.5 5.3-4.9 11.4-9.4 16.4-9.6h1.1c28 2.6 59.7 29.6 67.7 69-27.5-12.6-59-5.3-83.9-30.2-2.8 18.6-10.6 46.6-12.7 72.8 24.1.8 51.9 4.6 105.3 11.3 13.1-11.1 20.1-24 20.1-38.6 0-4.2-4.1-15.6-11.4-28.8-7.3-13.3-17.2-29-27.3-45.7C332.2 260.3 311 224.2 311 192v-9h43.9zm.1 320.81c-22.3 0-45.9 3-90.7 8.7C189 432.5 220.8 439 256 439s67-6.5 90.7-17.4c-44.8-5.7-68.4-8.7-90.7-8.7z"}}]})(props);
};
function GiFetus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M486.078 255.922C486.078 382.99 383.092 486 256 486S25.922 382.93 25.922 255.922C25.922 131.537 124.633 30.215 247.99 26c-10.155 16.538-30.154 34.273-57.984 50.786l-1.545.935-.275.167c-22.022 13.712-28.62 33.926-18.106 55.457 4.227 8.646 13.376 20.286 32.069 20.286 7.365 0 16.202-1.808 26.8-6.311l1.102-.467c2.718-.934 5.041-2.85 10.083-6.994 6.562-5.4 20.226-16.633 27.794-17.268 5.617-.467 6.79.36 14.37 5.784 2.61 1.868 5.712 4.084 9.58 6.634a61.073 61.073 0 0 0 1.617 73.983c9.077 12.885 18.142 24.992 7.796 53.05-13.077 35.446.108 36.595-9.245 49.552-7.185 9.94-13.616-2-37.458-4.658a78.64 78.64 0 1 0-14.394 156.227 8.466 8.466 0 0 0 1.832.216c40.105-.168 76.737-22.837 82.305-34.895 5.568-12.06 16.502-18.718 23.46-20.358 58.45-14.203 163.124-172.442 38.99-277.883a61.277 61.277 0 0 0-18.046-13.819l-.096-.06a61.073 61.073 0 0 0-62.75 4.862c-5.34-3.329-9.292-6.143-12.466-8.383-8.718-6.215-14.478-10.322-27.1-9.28-12.621 1.042-25.806 11.22-38.32 21.555-1.796 1.473-3.988 3.281-4.97 3.976l-1.532.634c-23.376 9.928-30.537 2.683-34.165-4.79-6.192-12.681-2.803-22.178 11.017-30.776l.3-.191 1.197-.695c22.86-13.568 56.977-37.721 69.839-67.06 120.66 7.04 216.39 107.2 216.39 229.706z"}}]})(props);
};
function GiFez (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.75 101.906c-31.427 0-62.877 6.504-84.156 16.875-10.67 5.202-18.88 11.344-24 17.376-5.122 6.033-7.26 11.777-7.25 17.188a9.345 9.345 0 0 1 0 .03c-.01 5.412 2.128 11.156 7.25 17.19 5.12 6.03 13.33 12.173 24 17.374 21.28 10.37 52.73 16.875 84.156 16.875 15.063 0 30.11-1.52 44.063-4.22l-43.97-41.53a9.345 9.345 0 0 1 .72-14.344 9.345 9.345 0 0 1 7.312-3.782 9.345 9.345 0 0 1 5.313 1.53l71.093 45.282c10.485-5.16 18.566-11.228 23.626-17.188 5.122-6.032 7.26-11.776 7.25-17.187a9.345 9.345 0 0 1 0-.03c.01-5.412-2.128-11.156-7.25-17.19-5.12-6.03-13.33-12.173-24-17.374-21.28-10.37-52.73-16.874-84.156-16.874zm120.813 82.563c-6.293 6.876-14.454 12.902-24.094 18.06l27.78 131.282a9.36 9.36 0 1 1-18.313 3.875L338 210.313c-2.143.8-4.305 1.583-6.53 2.313L347 351.5a9.356 9.356 0 1 1-18.594 2.094l-15.156-136c-17.117 3.857-35.744 5.906-54.5 5.906-33.927 0-67.43-6.608-92.344-18.75-11.15-5.434-20.55-11.927-27.687-19.47l-28.19 159.75c-1.38 8.68.893 16.09 6.876 23.814 5.983 7.722 15.94 15.275 28.875 21.75 25.87 12.95 63.244 21.503 101.595 23.406 38.35 1.903 77.75-2.813 107.844-15 29.562-11.972 49.355-30.17 54.25-56.375L379.56 184.47z"}}]})(props);
};
function GiFieldGun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M269.188 155.574l-16.644 6.852 112 272 16.644-6.852zm192.825 34.781L325.28 246.656l13.71 33.29 136.73-56.301zm-13.117 62.456l-103.35 43.06 6.585 14.94 86.545-36.133zm-172.44 13.95l-86.443 35.594 8.162 19.823a90.276 90.276 0 0 0-10.62 7.736c-26.465 22.463-38.002 55.997-39.413 82.63L19.856 460.519l6.02 16.964 140.055-52.148-.065-6.424c-.22-22.04 10.067-55.522 33.338-75.273 21.751-18.462 66.699-30.458 106.637-5.514-29.509-71.324-19.211-45.077-29.385-71.361zM256.866 342c-40.21 0-73 32.79-73 73s32.79 73 73 73 73-32.79 73-73-32.79-73-73-73zm0 18c30.482 0 55 24.518 55 55s-24.518 55-55 55-55-24.518-55-55 24.518-55 55-55zm1 21c-18.119 0-33 14.881-33 33s14.881 33 33 33 33-14.881 33-33-14.881-33-33-33z"}}]})(props);
};
function GiField (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.625 16.75c-132.32 0-239.78 107.46-239.78 239.78s107.46 239.783 239.78 239.783 239.78-107.462 239.78-239.782-107.46-239.78-239.78-239.78zm0 17.906c58.24 0 111.19 22.37 150.75 59-53.35-22.728-121.28 4.247-156.97-18.594 15.65 28.19 42.047 29.17 74.032 27.438 22.816 27.9 61.838 17.83 106.782 17 17.17 21.857 30.288 47.033 38.31 74.406-23.755 6.825-72.6 4.008-92.374-.875 8.236 8.03 19.117 12.027 32.094 14.595-48.222 1.067-94.365 5.457-124.375-11.688 8.84 14.213 20.115 23.206 33.28 28.625-19.962-.433-38.48-3.21-54.905-11.093 26.83 30.444 69.098 30.62 114.47 26.28 31.063 11.3 66.71 13.98 100.717 12.375.03 1.47.063 2.93.063 4.406 0 19.2-2.428 37.834-7 55.595-9.933-2.477-20.396-4.745-31.313-6.78l6.907-25.44-18.03-4.874-7.377 27.126c-14.308-2.26-29.233-4.163-44.593-5.75l3.344-31.375-18.594-2-3.375 31.626c-17.664-1.49-35.795-2.55-54.095-3.22l1.375-34.623-18.656-.75-1.406 34.812c-11.082-.238-22.19-.33-33.282-.28-6.816.03-13.623.142-20.406.28l-1.5-37.72-18.656.75 1.5 37.47c-17.666.618-35.106 1.605-52.03 2.938l-4.033-37.688-18.56 1.97 3.968 37.342c-14.93 1.44-29.428 3.16-43.22 5.157l-8.812-32.5-18.03 4.906 8.28 30.5c-13.984 2.39-27.106 5.07-39.187 8.063-4.562-17.742-6.97-36.357-6.97-55.532 0-30.21 6.03-58.983 16.938-85.217 45.587 15.482 137.805-12.232 208.062 16.468-13.577-12.7-29.093-20.01-45.53-24.53 42.76 4.614 101.767-13.058 162.343 11.688-13.39-12.526-28.787-19.426-44.97-23.97-31.258-26.39-71.34-28.437-109.812-27.437-36.037-25.845-82.634-23.168-124.31-21.655 40.3-41.466 96.683-67.22 159.155-67.22zm-4.22 275.125c10.84-.048 21.707.064 32.532.283l-1 24.75c-16.738-.202-33.458-.102-50.156.312l-1-25.094c6.533-.125 13.063-.22 19.626-.25zm-38.31.783l1 25.156c-16.37.62-32.73 1.506-49.064 2.655l-2.686-25.094c16.482-1.244 33.504-2.136 50.75-2.717zm89.53.03c17.893.626 35.6 1.606 52.813 3l-2.563 23.97c-17.098-1.158-34.168-1.956-51.22-2.407l.97-24.562zm-158.906 4.25l2.655 24.97c-12.164.997-24.323 2.114-36.47 3.375l-6.436-23.75c12.845-1.773 26.32-3.3 40.25-4.594zm230.343.438c14.38 1.44 28.335 3.135 41.687 5.158l-6.063 22.343c-12.733-1.48-25.45-2.752-38.156-3.81l2.533-23.69zm-289.188 6.97l6.22 23c-12.295 1.406-24.567 2.948-36.845 4.594-2.99-6.453-5.692-13.073-8.063-19.844 11.808-2.878 24.784-5.464 38.688-7.75zm349.375 1.28c10.804 1.955 21.1 4.112 30.813 6.5-2.303 6.576-4.926 13.008-7.813 19.283-9.63-1.538-19.232-2.94-28.844-4.22l5.844-21.562z"}}]})(props);
};
function GiFigurehead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M382.3 34.04c-10.8.21-23.7 5.51-39.6 17.28-56.9 41.95-145 59.88-221 13.51 17.7 39.07 35.4 48.67 94.1 51.07-37.9 14.4-69 12.9-113.1 6.6 22.6 26.2 72.3 44.1 105.2 39.3-18.3 14.9-34.4 18.7-70 22.2 67.3 27.6 173.2-7.2 213.5-60.2-2.2-11.7-1.5-24.54 2.7-36.36 4.8-13.39 14.7-25.73 29.9-30.51 11.4-3.57 20.3-4.93 29.4-6-9-10.82-18.8-17.12-31.1-16.89zM409 69.51c-18.2 4.07-32.1 7.42-37.1 24.26-3 10.23-2.8 20.23-.3 27.63 2.4 7.2 6.5 11.4 11.2 12.8 4.7 1.4 10.4 0 16.3-4.9 6-4.8 11.5-13.1 14.5-23.4 2.4-12.29 4-27.03-4.6-36.39zm67.5 52.69c-13.3 33.8-21 52.9-30.3 81-14.9-6.8-31.5-12.7-45.3-16.8 3.9 10.4 8.2 18.5 12 30.6 13.4 5 30.8 10.2 44.9 5.7 18-31 21.6-57 33.7-93.3 4.7-14-9.1-22.7-15-7.2zm-115 18c-3.2 4.2-6.6 6.8-9.5 10.7 14.9 3.6 18.2 18.9 16.7 30.8-4.2 31-19.7 51.4-34.3 75.1 8.5 3.9 16 10.2 21 18 6.9-12.9 12.3-21.1 20.6-30.8 9.5.9 19.5-5.9 21.9-13.3-7.6-31.4-22.7-47.9-21.5-79.6-6-2.1-11-5.9-14.9-10.9zm-33.9 40.6c-15 24.1-27.1 49-30.7 76.4v.4c-4.7 25.4-7.3 49.7-1.6 71.5 2.5 9.4 6.2 10.4 8.3 10.5 2.1.1 4.1-1 4.6-4.3 3.9-25.3 3.3-50.2 4.6-75.6 12-29.6 34.2-55.1 38.1-80.4 2.6-20.7-17.1-7.8-23.3 1.5zm-33.5 8.7c-16.8 7.4-31.7 13.1-47.9 16.9C218.3 328 114.1 418.5 24.81 493h52.35C204.2 407.6 273.9 296.9 294.1 189.5zM224.5 218c-65.7 4.5-131.55 9.2-203.5 7.4v31.4c79.4.4 153.9-1.8 192.4-8 4.3-10.1 8-20.3 11.1-30.8zm-20.1 50.3c-18.5 2.3-41.5 4-67.4 5v42.2c14.9-.5 28.6-1.4 40.8-2.7 9.9-14.4 18.8-29.2 26.6-44.5zm-85.4 5.6c-30.17.9-63.56 1.2-98 1v41.2c33.85.3 67.68.5 98 0zm211.3 1c-.7 20.2-.9 41.1-4.3 63.2-1.8 11.5-11.9 19.8-22.9 19.5-11-.3-21.4-9.3-25.2-23.9-2.7-10-3.8-20.1-3.9-30.2-33.9 67.2-87.5 131.8-162.1 187.1C223 478.2 344.6 413 354.9 312c1.3-12.5-14.6-31.1-24.6-37.1zm-166.8 57.3c-40.4 3.1-91.52 2.4-142.5 1.9v46.3c33.23 2.3 73.49 1.2 103.1-2.4 14-14.7 27.2-30 39.4-45.8zm-59 65.8c-10.14.7-20.75 1.3-31.5 1.5v28.1c10.65-9.6 21.18-19.5 31.5-29.6zm-83.5.4v74.3c11.25-9.4 22.64-19.2 34-29.1v-44c-11.6-.1-23.09-.5-34-1.2z"}}]})(props);
};
function GiFiles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M146.217 28.218l-100.07 42.86 106.296 248.194 41.188-17.64-27.606-191.945-1.28-8.909 78.567-11.3-12.519-29.23c-16.682 3.773-28.871 3.449-47.402 21.062l-5.993 5.693-6.181-5.484c-18.118-16.072-20.828-36.566-25-53.301zm18.912.492c3.243 12.805 5.535 24.275 12.777 33.68 12.818-10.212 24.447-14.227 34.951-16.733-14.485-7.674-29.652-12.217-47.728-16.947zm127.746 71.826l-107.752 15.496 38.436 267.25 36.978-5.318 23.188-193.996 1.068-8.936 86.086 10.29-4.598-31.96c-17.092-.671-28.78-4.14-51.24 8.076l-7.26 3.95-4.552-6.899c-13.34-20.213-10.655-40.708-10.354-57.953zm18.139 5.367c-.182 13.21-.937 24.883 3.625 35.842 15.025-6.547 27.298-7.415 38.093-7.117-12.006-11.162-25.481-19.477-41.718-28.725zm-10.485 89.139l-32.043 268.092 172.77 20.648 24.598-205.793c-16.337-5.073-26.73-11.452-51.586-5.465l-8.034 1.936-2.61-7.84c-7.655-22.977.243-42.079 4.997-58.658zm124.225 22.799c-3.594 12.713-7.345 23.792-5.775 35.558 16.207-2.435 28.286-.097 38.636 2.985-8.708-13.889-19.571-25.409-32.861-38.543z"}}]})(props);
};
function GiFilmProjector (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M266 51.727c-39.32 0-71 31.68-71 71 0 39.319 31.68 71.002 71 71.002s71-31.683 71-71.002c0-39.32-31.68-71-71-71zm-144 32c-30.483 0-55 24.517-55 55 0 30.482 24.517 55.002 55 55.002s55-24.52 55-55.002c0-30.483-24.517-55-55-55zm-23 128v110.002h238V211.727zm350 4.648l-94 40.285v20.133l94 40.285zm-386 2.352v32h18v-32zm113 121.002v17.998h13.012l-51.123 136.275h19.222l51.507-136.275.382 136.275h18l.382-136.275 51.507 136.275h19.222l-51.123-136.275H260v-17.998c-28.003-.003-55.997 0-84 0z"}}]})(props);
};
function GiFilmSpool (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208 25C106.8 25 25 106.8 25 208s81.8 183 183 183 183-81.8 183-183S309.2 25 208 25zm121.3 22.81c21 15.91 38.7 35.83 52.1 58.59 49.1 41.7 93.4 100.9 92 179.2-.6 34.4-7.3 75.5-19.4 110.3-12.1 34.7-30.1 62.3-49.7 71.7-3.9 1.8-9.5 2.2-17.5.6-8-1.7-17.9-5.3-29.3-10-22.7-9.5-51.2-23.4-84.2-33.5-66.2-20.1-152-24.2-247.5 50.6l11.1 14.2c91.2-71.5 168.3-66.7 231.1-47.6 31.4 9.6 59 23 82.6 32.9 11.7 4.9 22.5 8.9 32.6 11 10.1 2.1 20 2.3 28.9-2 27.5-13.1 46-45.1 58.9-82 12.9-36.9 19.8-79.5 20.4-115.8 1.6-92.8-55.5-160.5-111.9-204.3-17.2-13.42-34.5-24.69-50.2-33.89zM208 52c16 0 32 4 48 12 0 32-32 80-48 80s-48-48-48-80c16-8 32-12 48-12zM107.4 94.4c27.7 16 53.3 67.7 45.4 81.6-8.1 13.8-65.6 17.5-93.33 1.5 2.14-35.7 18.13-63.4 47.93-83.1zm201.2 0c29.9 19.7 45.9 47.4 48 83.1-27.7 16-85.3 12.3-93.3-1.5-8-13.9 17.6-65.6 45.3-81.6zM208 167c22.5 0 41 18.5 41 41s-18.5 41-41 41-41-18.5-41-41 18.5-41 41-41zm0 18c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm-98.1 42.8c20.3.2 38.6 4.7 42.9 12 7.9 13.9-17.7 65.6-45.4 81.6-29.83-19.7-45.83-47.4-47.97-83.1 12.97-7.5 32.52-10.7 50.47-10.5zm196.2 0c18-.2 37.5 3 50.5 10.5-2.1 35.7-18.1 63.4-48 83.1-27.7-16-53.3-67.7-45.3-81.6 4.3-7.3 22.5-11.8 42.8-12zM208 271.7c16 .1 48 48.1 48 80.1-32 16-64 16-96 0 0-32 32-80 48-80.1z"}}]})(props);
};
function GiFilmStrip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M55 18v476h18v-37h46v37h274v-37h46v37h18V18h-18v37h-46V18h-18v60H137V18h-18v37H73V18H55zm18 55h46v46H73V73zm320 0h46v46h-46V73zm-256 41h238v156H137V114zm-64 23h46v46H73v-46zm320 0h46v46h-46v-46zM73 201h46v46H73v-46zm320 0h46v46h-46v-46zM73 265h46v46H73v-46zm320 0h46v46h-46v-46zm-256 41h238v156H137V306zm-64 23h46v46H73v-46zm320 0h46v46h-46v-46zM73 393h46v46H73v-46zm320 0h46v46h-46v-46z"}}]})(props);
};
function GiFinch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M382.9 28.65c-26.2 5.22-39 13.71-50.8 30.5-10.8 15.13-20.5 38.34-34.2 70.05 6.5-.2 13.2-.3 19.3-.2l-.4 19.4c-117.1-3-193.1 77-275.08 115.1C67.89 303 115.5 326.6 169 322.8c57.3-4.1 121.9-39.7 173.2-123.4l16.5 10c-54 87.8-124 127.9-188.4 132.6-21.1 1.6-41.6-.8-60.6-6.5-19.4 15-47.3 31.4-88.69 44.5 58.12 28 136.09-1.8 191.19-18.6 39.9 5.4 69.7 5.8 103.6 1-1.3-6.8-.4-14 1-22.6 3.8-21 13.6-48.4 27.6-74.4 14.2-26 32.2-50.4 54.5-63.8 15.3-7.6 27.7-12 42.6-8.8-7.1-12.9-14.1-22.1-23.3-31.6l9.2-42.5c-5.4-2.8-10.2-6.3-14.1-10.4-3.2-3.6-6-7.7-6.8-12.9-.8-5.14.8-11.27 4.6-15.44 5.4-5.92 11.9-11.58 17.9-17.07 5-4.62 9.5-9.17 12.2-12.58-10-14.66-29.4-22.31-46.5-22.61-4-.12-8.4.31-11.8.95zm-1.8 18.13c9.4 0 17 7.69 17 17.11 0 9.42-7.6 17.09-17 17.13-9.5 0-17.1-7.67-17.1-17.13 0-9.46 7.6-17.12 17.1-17.11zm72 19.3c-8.6 9.66-18.8 17.14-27.4 26.53 3.2 5.61 11.4 9.49 16.6 11.39L491 87.48zM408.7 217.9c-16.9 10.5-34.3 32.5-47.2 56.7-13.3 24.1-22.5 50.6-25.6 68.4-1.3 7.1-1.3 12.8-1.1 15.8 60.9-13.6 95.6-43.9 110.3-77.5 9.1-20.7 10.6-43.1 5.5-64.4-13.3-8.2-29.1-6.5-41.9 1zm-70.6 159.7c-6.1 1.4-12.5 2.7-19 3.6l10.8 46.1-24 42.4 8.7 6.2 20.9-24.4 13.5 30.6 9.1-2.6-3.7-33 31.8 8.6 2.5-8.1-40-23.8zm-99.1 7l-4.5 44.2-38.3 28 2.7 6.4 33.3-11.4.8 32.5 8.7-1 9.8-30.5 28.5 20.8 4.9-7.3-31.1-36.7 4.5-44.1c-6.7-.1-13.1-.4-19.3-.9z"}}]})(props);
};
function GiFingerPrint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M238.986 26.47c-.825-.01-1.648-.008-2.47.003-7.52.096-14.927.958-22.188 2.578-58.085 12.96-102.088 73.253-116.93 166.41l17.776 2.833c14.167-88.922 54.783-140.9 103.074-151.674 48.29-10.776 108.966 18.458 165.854 102.81l14.923-10.065C348.077 63.82 290.963 26.958 238.985 26.47zm-7.363 42.24c-.82.008-1.638.028-2.453.06-7.827.32-15.446 1.826-22.76 4.642-19.504 7.51-36.01 23.927-49.05 48.692l15.93 8.384c11.668-22.164 25.08-34.694 39.587-40.28 14.506-5.584 30.932-4.625 50.006 3.032 38.147 15.314 84.798 58.2 132.805 120.473l14.255-10.99C360.977 139.203 313.59 94.2 269.588 76.535c-12.89-5.175-25.67-7.935-37.965-7.824zm-.592 39.466c-6.247-.03-12.35 1.114-17.99 3.853-8.596 4.174-15.492 11.964-19.933 22.44l16.575 7.024c3.164-7.466 6.913-11.18 11.22-13.273 4.308-2.09 9.795-2.65 16.82-1.382 14.05 2.538 33.037 12.87 51.923 26.805 37.77 27.872 76.124 69.76 87.81 84.947l14.266-10.977c-13.402-17.418-51.44-58.976-91.388-88.455-19.974-14.74-40.18-26.56-59.41-30.035-2.404-.434-4.812-.73-7.205-.865-.898-.05-1.793-.078-2.686-.082zm-81.47 32.566c-4.498 8.93-10.762 28.084-16.716 46.45-5.954 18.37-11.03 34.984-11.03 34.984l17.215 5.258s5.04-16.497 10.937-34.69c5.897-18.193 13.22-39.045 15.668-43.906l-16.076-8.096zm33.135 10.406c-11.62 24.464-19.368 51.84-11.992 78.483 12.94 46.74 44.042 99.694 95.953 113.173l4.524-17.422c-42.188-10.953-71.27-57.717-83.13-100.552-5.63-20.338.214-43.448 10.905-65.957l-16.26-7.722zm62.535 5.106c-.892-.006-1.79.03-2.687.105-5.386.452-10.798 2.364-15.58 5.724-6.377 4.48-11.795 11.174-16.85 20.187-8.915 15.9-7.64 33.784-.644 49.748 6.996 15.963 19.326 30.832 33.776 44.326 28.9 26.987 66.05 48.325 90.55 56.088l5.438-17.16c-20.146-6.384-57.082-27.224-83.703-52.083-13.31-12.43-24.097-25.9-29.575-38.4-5.478-12.498-6.038-23.2-.143-33.714 4.197-7.484 8.21-11.952 11.497-14.262 3.286-2.31 5.69-2.816 8.82-2.507 6.26.616 16.157 6.88 27.296 17.298 22.278 20.836 48.945 55.515 83.428 71.965l7.75-16.246c-28.587-13.637-54.798-46.34-78.883-68.865-12.042-11.264-23.702-20.677-37.825-22.067-.883-.087-1.772-.134-2.665-.14zm5.364 40.775l-16.776 6.53c2.782 7.147 8.363 13.638 16.41 22.764 8.044 9.127 18.362 19.68 29.506 29.973 11.145 10.292 23.087 20.304 34.475 28.307 11.387 8.002 21.89 14.153 32.185 16.255l3.6-17.635c-5.244-1.072-14.994-6.01-25.436-13.348-10.443-7.338-21.91-16.918-32.613-26.803-10.703-9.885-20.672-20.095-28.217-28.654-7.545-8.56-12.858-16.675-13.136-17.39zM88.127 220.474c-2.7 20.7-.85 50.2 3.195 78.19 4.047 27.99 9.704 53.42 17.936 67.9l15.648-8.893c-5.04-8.866-11.88-34.672-15.77-61.584-3.89-26.912-5.418-55.978-3.16-73.283l-17.85-2.33zm73.61 25.02l-17.7 3.27c2.796 15.14 14.096 38.007 29.256 60.63 15.16 22.626 33.31 44.284 54.36 51.572l5.89-17.01c-12.623-4.37-31.124-23.427-45.297-44.58-14.173-21.153-24.89-45.124-26.508-53.88zm252.634 5.062c-2.82 33.908-22.99 91.907-48.016 123.775l14.156 11.117c28.46-36.242 48.56-94.502 51.8-133.4l-17.94-1.493zm-281.52.52l-17.68 3.378c1.068 5.59 5.258 22.92 10.605 41.943 5.348 19.023 10.998 38.17 17.39 48.89l15.46-9.22c-3.356-5.627-10.293-25.942-15.52-44.54-5.23-18.6-9.606-37.052-10.255-40.45zm248.185 2.534c-1.81 9.433-8.274 30.502-16.16 50.767-7.886 20.265-17.88 40.592-24.223 48.08l13.735 11.635c9.955-11.752 19.076-32.155 27.26-53.188 8.186-21.032 14.75-41.828 17.066-53.902l-17.678-3.39zm-92.95 78.95l-5.456 17.155 38.75 12.33 5.46-17.154-38.754-12.33zm-107.954 15.557c-11.333 2.277-25.168 9.124-37.747 16.14-6.29 3.506-12.093 7.053-16.697 10.175-2.303 1.56-4.3 3.005-5.997 4.384-1.698 1.38-2.99 2.174-4.71 4.936l15.282 9.51c-.908 1.46-.3.4.78-.477 1.078-.877 2.734-2.093 4.743-3.455 4.018-2.724 9.477-6.068 15.365-9.35 11.776-6.568 25.96-12.897 32.526-14.216l-3.545-17.647zm74.585 22.2c-36.986-.37-71.186 11.506-107.762 36.814l10.242 14.804c55.303-38.266 98.21-43.222 162.315-20.97l5.902-17.003c-25.312-8.786-48.506-13.418-70.697-13.642zm86.65 13.43l-8.676 15.773 23.486 12.916 8.676-15.772-23.487-12.916zm-75 15.56c-1.832-.01-3.68.02-5.545.09-26.098.99-55.397 9.924-90.466 30.898l9.238 15.447c37.99-22.72 66.52-29.49 91.373-28.312 24.852 1.177 46.713 10.534 70.77 22.2l7.855-16.198c-24.482-11.87-48.933-22.616-77.774-23.983-1.802-.086-3.618-.134-5.45-.143zm-.982 30.425c-5.37-.054-10.583.356-15.57 1.15-22.792 3.62-40.893 14.478-51.016 25.975l13.51 11.895c6.516-7.4 21.822-17.154 40.334-20.096 18.512-2.942 40.22.146 62.45 17.33l11.01-14.24c-19.497-15.07-39.837-21.312-58.405-21.96-.773-.028-1.545-.046-2.312-.054zm2.635 37.336c-1.556-.014-3.112.017-4.668.096-12.448.633-24.804 4.333-35.22 12.51l11.116 14.158c13.707-10.76 36.382-10.437 53.49-3.95l6.38-16.83c-9.433-3.577-20.212-5.886-31.098-5.984z"}}]})(props);
};
function GiFingernail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-25.1 0-50.2 3.95-69.2 11.38-18.8 7.34-30.8 17.65-33.9 29.36L138.8 235c29.9 13 73.6 20 117.2 20 43.6 0 87.3-7 117.2-20L359.1 65.74C356 54.03 344 43.72 325.2 36.38 306.2 28.95 281.1 25 256 25zm-73 39h18v160h-18zm-51.6 43.1c-12.1 15.3-21.3 33.6-26.7 55.1C73.84 285.7 73.04 378.9 73.01 487H439c0-108.1-.9-201.3-31.7-324.8-5.4-21.5-14.7-39.9-26.7-55.1L393 255.6v.4c0 11-5.8 20.7-14.1 27.8-8.4 7.2-19.3 12.5-32.1 16.7-25.4 8.5-58 12.5-90.8 12.5s-65.4-4-90.8-12.5c-12.8-4.2-23.7-9.5-32.1-16.7-8.3-7.1-14.1-16.8-14.1-27.8v-.4zm5.8 146.8l-.2 2.3c.1 4.9 2.3 9.2 7.9 14 5.6 4.8 14.7 9.5 25.9 13.3 22.6 7.5 54 11.5 85.2 11.5 31.2 0 62.6-4 85.2-11.5 11.2-3.8 20.3-8.5 25.9-13.3 5.6-4.8 7.8-9.1 7.9-14l-.2-2.3C341.9 266.9 299 273 256 273s-85.9-6.1-118.8-19.1zm25.7 121.6c62.7 21 124.4 20.4 186.3 0l5.6 17c-65.1 21.6-131.4 22.2-197.7 0zm15.4 63.8c53.1 14.3 104.6 13.2 155.4 0l4.6 17.4c-53.6 14-108.5 15.1-164.6 0z"}}]})(props);
};
function GiFingersCrossed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.18 18.52V225.3c41.18 86.6 59.73 144.5 161.52 237l.3.2.1.2c3.3 3.2 6.3 4.1 10.9 3.7 4.5-.4 10.2-2.7 15.7-6.4 10-6.7 20.1-19.5 21.5-24.6L169.6 374l12.1-12.1 67.5 67.4c1.4 1.4 2.8 2 7 1.2 4-.6 9.9-3.3 15.6-7.1 10.9-7.5 21.2-20.1 24.5-28.5l-57.6-62 11.7-12.1s144.8 107.3 218.3 131.6c9.8 3.2 19.6-8.8 22.2-17.9 2.9-10.4-1.9-25-10.9-30.6-43.5-27.2-192.5-126.1-192.5-126.1l10.1-9.2 94.1 64.2-56-97.1L279 165l8.4-8 50.4 61.6s1.2-26.4-1.8-39.2c-2.3-9.9-5.9-20-12.4-27.8-16.8-20.4-42.2-31.9-64.6-45.8-51.4-32.06-113.5-51.14-159.14-87.28zM364.7 410.8s0 .4.2.9l.4.3c-.3-.7-.5-1.2-.6-1.2zm.6 1.2c2.2 4.8 10.5 25.1 15 33.8 4.5 9.1 9 17.7 14.8 26.4 8.2 12.4 14 20.2 24.9 21.1 8.9.8 19.4-5.7 23.1-13.9 3.9-8.1-4.5-26.6-4.5-26.6z"}}]})(props);
};
function GiFinishLine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23 24v464h18V386.9c152.3 29.4 277.6 29.4 430 0V488h18V24h-18v16h-23v32h23v32h-23v32h23v232.6c-153.3 29.9-276.7 29.9-430 0V104h23V72H41V24H23zm41 48h32V40H64v32zm32 0v32h32V72H96zm32 0h32V40h-32v32zm32 0v32h32V72h-32zm32 0h32V40h-32v32zm32 0v32h32V72h-32zm32 0h32V40h-32v32zm32 0v32h32V72h-32zm32 0h32V40h-32v32zm32 0v32h32V72h-32zm32 0h32V40h-32v32zm32 0v32h32V72h-32zm0 32h-32v32h32v-32zm-64 0h-32v32h32v-32zm-64 0h-32v32h32v-32zm-64 0h-32v32h32v-32zm-64 0h-32v32h32v-32zm-64 0H64v32h32v-32z"}}]})(props);
};
function GiFireAce (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.344 17.25l-8.47 22.094C227.7 89.27 185.52 123.008 146.095 157.156c-39.426 34.148-76.808 69.704-78.53 123.656-1.82 56.95 34.185 93.41 76.874 101.75 38.584 7.54 82.765-6.755 110.812-43.843 27.75 40.234 71.347 53.59 109.28 44.155 41.744-10.382 76.882-47.91 78.564-101.47.896-28.52-8.002-52.38-22.063-72.686-14.06-20.307-33.06-37.34-53.03-54.064-39.94-33.445-83.52-65.632-103.75-115.5l-8.906-21.906zm.47 47.563C280.483 109.94 321.313 139.954 356 169c18.616 15.588 35.503 30.922 47.72 47.656-15.248-15.34-36.617-25.87-62.814-27.78 14.24 7.433 22.045 20.73 25.625 41.25-22.92-22.078-45.28-23.984-70.217-3.345 25.26-5.27 45.018 23.237 28.062 43.532-17.233 20.63-51.305.477-52.563-28.937-17.415 10.73-14.48 45.57-41.843 41.72 6.936-31.95-1.667-52.925-30.126-64.658 4.436 7.454 5.53 17.462 3.344 26.75-4.07 17.258-19.666 28.24-35.125 23.407-18.04-5.553-23.724-24.72-18.375-48.5 3.51-15.598 12.686-27.463 23.968-35.125-18.27.81-34.315 6.753-47.562 16.124 9.7-9.987 20.65-19.767 32.25-29.813 34.406-29.8 73.928-61.16 97.47-106.468zm24.717 108.53c-24.21.433-40.19 22.44-32.342 55.25 14.05-38.053 44.226-41.72 81.437-30.405-17.092-17.59-34.568-25.103-49.094-24.844zM256.845 366.22l-60.03 119.25h120.06l-60.03-119.25z"}}]})(props);
};
function GiFireAxe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M145.75 19.78L107.906 116l43.03 31.938 48.814-96.97-54-31.187zm77.094 26.907L152.47 186.5l86.468 49.938 88.53-129.344-104.624-60.406zm112.187 82.376L262.376 235.28c17.46 28.874 29.09 63.707 35.375 103.126 56.317-31.27 107.836-85.753 135.28-152.75l-98-56.594zm114.345 66.03c-30.433 72.7-86.892 130.64-148.938 163.063 2.02 18.153 3.012 37.162 3 56.906 71.107-23.5 159.603-92.374 187.907-195.75l-41.97-24.218zm-289.094 17.5c-39.7 79.313-78.154 159.572-137.905 237.157v44.78H66.72c41.425-87.972 93.64-170.09 145.53-251.936l-51.97-30z","fillRule":"evenodd"}}]})(props);
};
function GiFireBomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M108.938 32.188c-16.757.062-32.684 5.93-45.907 15.375-33.85 24.18-50.405 74.845-18.686 117.968C69.32 199.486 58.5 243.86 32.656 268.907L45.5 282.344c31.974-30.99 45.087-85.642 14-127.906-25.943-35.27-12.438-72.78 14.03-91.688 13.236-9.452 29.788-13.753 46.126-10.53 15.666 3.088 31.67 13.164 46.063 34.593l-59.095 34.218 24.125 41.876c-49.458 63.36-58.507 153.055-15.906 227.063 55.97 97.234 179.88 130.564 276.75 74.468 96.87-56.096 130.002-180.39 74.03-277.625-42.52-73.87-124.233-110.863-203.53-99.782L237.906 45l-56.03 32.47c-16.75-25.338-37.47-39.752-58.688-43.94-4.776-.94-9.56-1.36-14.25-1.342zm147.625 95.03c93.497 43.5 111.52 101.61 74.718 169.25 33.92-18.19 48.58-45.006 34.314-83.968 32.75 21.997 50.043 65.77 49.312 113-.972 62.85-33.36 102.228-74.562 119.03 8.57-13.104 13.687-29.526 13.687-47.374 0-40.277-25.984-73.374-59.217-77.156 13.385 8.105 22.312 22.803 22.312 39.594 0 25.546-20.703 46.25-46.25 46.25-21.17 0-39.004-14.218-44.5-33.625-2.248 7.825-3.5 16.212-3.5 24.936 0 16.41 4.325 31.624 11.688 44.157-39.222-18.57-69.606-57.46-70.875-115.813-.993-45.67 16.568-75.766 56.718-97.75-15.158 28.373-9.246 61.335 6.906 75.125-10.62-69.398 94.788-106.956 29.25-175.594v-.06z"}}]})(props);
};
function GiFireBottle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M414.875 20.625L408.28 27.5l-6.155 6.375 72.47 72.47L481.06 100l6.72-6.594-6.688-6.656-59.47-59.406-6.75-6.72zm-42.438 10L339.47 63.563 442.874 166.97 475.813 134 372.438 30.625zM219.22 88.875c-1.15 0-2.29.013-3.44.03-50.362.818-100.432 20.43-138.874 58.845-78.645 78.614-78.63 206.058.03 284.688 78.665 78.63 206.195 78.65 284.845 0 66.53-66.5 76.702-167.79 30.595-245.157l22.375-22-13.22-13.218-27.467 27-5.438 5.344 4.156 6.406c29.643 45.634 36.865 101.44 21.626 152-16.766-1.182-31.593-14.78-36.125-34-3.035-12.897-1.504-26.806 4.658-37.156-39.524 16.293-51.447 45.442-41.813 89.813-38.003 5.345-33.94-43.066-58.125-57.97-1.747 40.85-49.1 68.87-73.03 40.22-23.55-28.187 3.92-67.758 39-60.44-34.632-28.662-65.7-26.033-97.532 4.626 4.97-28.496 15.814-46.957 35.593-57.28C102.417 235.333 56.08 279.655 41.376 332c-14.042-59.465 2.182-124.513 48.72-171.03 26.516-26.5 59.07-43.166 93.186-50-1.638 2.04-2.81 4.325-3.468 6.78-5.217 19.473 24.254 44.27 65.813 55.406 41.56 11.136 79.47 4.38 84.688-15.094 1.552-5.795-.005-12.072-4-18.312l4.187-4.344 26.656-27.72-13.25-13.25-21.812 22.69c-31.632-18.792-67.267-28.222-102.875-28.25zM249 209.03c-19.79.31-43.318 10.84-66.313 34.5 51.676-15.715 93.58-10.627 113.094 42.22 10.9-45.567-11.252-76.12-44.874-76.72-.63-.01-1.268-.01-1.906 0z"}}]})(props);
};
function GiFireBowl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M282.344 15.5C205.347 26.1 179.64 117.517 196.47 178.188c21.46 77.357-72.35 84.35-51.876-38.5-27.153 44.283-34.75 83.65-29.28 116.843.016.096.043.188.06.283 6.086 32.673 23.263 58.04 46.595 76.562 14.994 11.903 32.572 20.854 51.25 26.688-59.82-145.108 153.65-144.51 89.593 3.875 20.82-4.818 39.963-13.81 55.312-27 20.46-17.582 34.67-42.43 37.688-76.313 1.43-24.45-2.34-53.204-12.875-86.563-26.74 103.853-85.32 79.05-31.344-53.03-95.86 83.26-108.066-17.42-69.25-105.532zm130.53 258.063c-1.06 6.353-2.47 12.473-4.25 18.312 14.737 5.447 26.477 11.677 34.376 17.938 9.02 7.148 12.5 13.61 12.5 19.28 0 5.673-3.48 12.164-12.5 19.313-9.02 7.15-23.072 14.23-40.844 20.188-35.544 11.915-85.786 19.53-141.25 19.53s-105.674-7.615-141.22-19.53c-17.77-5.958-31.822-13.04-40.842-20.188-9.02-7.15-12.5-13.64-12.5-19.312 0-5.672 3.48-12.133 12.5-19.28 6.886-5.46 16.706-10.874 28.875-15.783-2.562-5.59-4.816-11.407-6.69-17.467-13.486 5.386-24.878 11.545-33.81 18.625-10.75 8.52-18.33 18.99-19.407 30.968h-.157v9.344c0 44.85 24.787 85.116 63.47 113.625 38.68 28.51 91.436 45.78 149.5 45.78 58.062 0 110.817-17.27 149.5-45.78 38.68-28.51 63.468-68.774 63.468-113.625h-.063c.416-2.088.658-4.224.658-6.406 0-13.205-7.945-24.7-19.563-33.906-10.634-8.43-24.763-15.56-41.75-21.625z"}}]})(props);
};
function GiFireBreath (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.563 17.5l1.718 345.656c15.677 8.52 35.932 6.66 49.75-1.625 7.5-4.494 12.795-10.567 14.97-17.03 2.175-6.463 1.855-13.602-3.625-22.688-58.988-97.785-45.843-189.42 5.688-240.843 51.53-51.424 140.25-61.073 224.687-1.626 13.64 9.602 20.366 9.61 24.594 7.656 4.227-1.954 8.902-8.547 12.594-18.72 3.69-10.17 6.408-22.988 9.312-34.81 1.32-5.38 2.57-10.488 4.156-15.282L19.562 17.5zm172.625 39.28c-4.418.057-8.753.3-13.032.75l98.97 66.69 16.53-34.595c-35.624-23.28-70.743-33.247-102.47-32.844zm-65.72 17.94c-9.217 5.424-17.68 11.976-25.218 19.5-12.852 12.824-23.157 28.612-30 46.78 71.867 74.02 173.938 182.317 76.313 160.344 30.6 28.633 137.543 49.855 149.593 98.094 10.005 40.048-25.533 71.875-55.78 71.875-40.617 0-82.835-32.52-44.876-70.157-24.106 4.008-35.584 21.004-36.22 40.25-.633 19.247 9.704 40.793 29.345 54.063h303.03V170c-7.068-59.46-121.172-84.22-119.03 3.47 23.285-55.158 65.423 9.63 52.906 56.343-9.737 36.35-42.167 58.896-88.31 29.218-106.057-68.21-78.403-101.62-132.126-157.342 17.683 74.736-32.005 32.17-79.625-26.97zM61.845 195c.08 32.478 9.46 69.05 31.093 107.844l22.126-13.125L61.843 195z"}}]})(props);
};
function GiFireDash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M273.857 21.904c-24.193.012-51.198 5.552-81.1 17.467 143.7 12.608 150.35 129.263 84.032 132.814-85.27 4.565-53.232-57.217-133.34-103.03C200.445 201.48 94.44 190.33 21.054 59.23c12.805 85.755 24.28 116.942 78.26 153.596C261.996 323.294 94.618 347.8 36.82 245.53c14.568 93.454 68.364 132.803 131.707 139.93-42.753 24.49-99.452 32.49-143.01 25.556 51.025 42.317 131.606 40.94 193.515 8.576-37.137 36.123-97.446 70.644-116.803 74.728H276.36C517 405.563 530.305 232.45 454.827 124.492c-2.433 26.21-10.08 49.507-25.545 70.23-18.48-102.394-69.02-172.86-155.426-172.818zm2.82 184.666l141.384 52.155c.286-3.207.86-6.495 1.747-9.807 5.62-20.973 21.605-34.913 35.705-31.135 14.1 3.778 20.973 23.842 15.353 44.815-5.62 20.974-21.603 34.914-35.703 31.136-.725-.194-1.427-.442-2.113-.72l-60.58 49.394 70.637 19.584-140.023 84.71 65.848-68.866-31.32-7.006-150.335 122.58 158.06-196.89-137.39-41.137 137.006 5.654-68.275-54.467z"}}]})(props);
};
function GiFireExtinguisher (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M135.72 27.47l-10.609 14.54c20.374 14.867 34.059 31.213 46.008 48.312l20.98-1.48c-13.992-21.06-30.188-42.259-56.378-61.371zm-59.488 75.985l.645 29.988 69.268-4.836 9.376-22.6-79.289-2.552zm123.538 2.893l-25.653 1.808-11.883 28.645a163.104 163.104 0 0 1 14.856 4.637c.249-6.83 2.59-13.402 6.43-19.018 4.246-6.21 10.56-11.397 18.459-13.524l-2.21-2.548zm10.324 19.498c-.95-.018-1.841.081-2.692.252-3.401.682-6.657 3.02-9.023 6.48-2.366 3.46-3.558 7.866-3.268 11.313.283 3.356 1.376 5.674 4.545 7.672 1.714.925 3.4 1.882 5.067 2.863l11.22-27.047c-2.203-1.073-4.123-1.5-5.85-1.533zm22.64 8.037l-6.898 16.627 20.932 8.877c8.02 3.402 13.324 10.249 17.068 21.662 3.744 11.413 5.298 26.912 5.205 44.412-.186 35-6.696 77.83-10.578 115.127-1.941 18.649-3.238 35.919-2.611 50.61.626 14.69 2.625 27.223 10.71 36.171 4.043 4.474 9.955 7.515 16.295 8.108 6.34.593 12.92-.86 20.043-3.805 10.923-4.516 23.474-12.68 38.745-25.186l-16.479-9.925c-12.173 9.487-21.913 15.487-29.143 18.476-5.35 2.212-9.185 2.733-11.49 2.518-2.304-.216-3.269-.765-4.615-2.254-2.692-2.98-5.528-11.875-6.082-24.87-.554-12.994.623-29.669 2.53-47.98 3.81-36.622 10.478-79.777 10.675-116.894.098-18.559-1.356-35.65-6.103-50.12-4.748-14.47-13.42-26.8-27.143-32.62l-21.06-8.934zm-102.203 16.553c-13.51-.013-23.874 3.42-29.945 9.699L80.182 209.32l131.162 54.412 20.404-49.185c.156-8.732-4.732-18.492-14.283-28.047-9.983-9.987-24.579-19.2-40.281-25.715-15.703-6.514-32.532-10.337-46.653-10.35zm295.276 38.957l-76.301 156.183 26.478 15.95 102.567-140.364-52.744-31.77zM73.285 225.947L67.92 238.88l131.16 54.412 5.365-12.932-131.16-54.412zm-12.262 29.557l-11.496 27.71 44.336 18.393L19.525 480.8 18 480.166V494h97.816l76.368-184.084-131.16-54.412zM42.63 299.84L18 359.209v78.293l52.34-126.166-27.711-11.496zm298.945 61.973l-8.916 18.248 20.68 12.455 11.982-16.399-23.746-14.305z"}}]})(props);
};
function GiFireFlower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 56.998c-60.466 0-115.104 14.12-153.928 36.305C63.248 115.488 40.998 144.909 40.998 176c0 31.09 22.25 60.512 61.074 82.697 38.824 22.185 93.462 36.305 153.928 36.305 60.466 0 115.104-14.12 153.928-36.305 38.824-22.185 61.074-51.606 61.074-82.697 0-31.09-22.25-60.512-61.074-82.697C371.104 71.118 316.466 56.998 256 56.998zm0 33.273c39.141 0 74.677 8.783 101.137 23.624 26.46 14.84 44.666 36.581 44.666 62.105 0 25.524-18.206 47.265-44.666 62.105C330.677 252.946 295.14 261.73 256 261.73s-74.677-8.783-101.137-23.624c-26.46-14.84-44.666-36.581-44.666-62.105 0-25.524 18.206-47.265 44.666-62.105C181.323 99.054 216.86 90.27 256 90.27zm0 17.999c-36.413 0-69.279 8.392-92.332 21.322-23.053 12.93-35.473 29.555-35.473 46.408s12.42 33.478 35.473 46.408c23.053 12.93 55.919 21.322 92.332 21.322s69.279-8.392 92.332-21.322c23.053-12.93 35.473-29.555 35.473-46.408s-12.42-33.478-35.473-46.408c-23.053-12.93-55.919-21.322-92.332-21.322zm-24.893 203.96L217.21 487.697c1.473.733 4.15 1.72 7.744 2.518 7.967 1.77 19.547 2.787 31.047 2.787s23.08-1.017 31.047-2.787c3.594-.799 6.271-1.785 7.744-2.518L280.893 312.23c-8.18.503-16.483.768-24.893.768s-16.712-.265-24.893-.768zM85.98 375.69c-3.933-.008-7.93.17-11.96.455 4.054 18.088 20.652 40.868 45.602 60.828 22.32 17.855 50.7 33.446 80.135 43.16l4.305-54.36c-27.353-23.927-66.527-48.286-114.172-50.011-1.296-.047-2.6-.07-3.91-.073zm340.042 0c-1.31.002-2.614.025-3.91.072-47.645 1.725-86.82 26.084-114.172 50.011l4.305 54.36c29.434-9.714 57.816-25.305 80.135-43.16 24.95-19.96 41.548-42.74 45.601-60.828-4.03-.284-8.026-.463-11.959-.456z"}}]})(props);
};
function GiFireGem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201.2 32L215 87h82l13.8-55H201.2zm-17 5.84L73.24 121.1l53.36 13.3 71.1-42.69-13.5-53.87zm143.6 0l-13.5 53.87 71.1 42.69 53.4-13.3-111-83.26zM210.4 105L137 149.1v213.8l73.4 44.1h91.2l73.4-44.1V149.1L301.6 105h-91.2zM64 137.2v237.6l55-13.8V151l-55-13.8zm384 0L393 151v210l55 13.8V137.2zm-192.1 2.4c-14.6 14.6-21.8 29.1-7.3 50.9 20.2 30.3 95 51.9 94.7 116.5 0 43.6-36.5 65.4-87.4 65.4-50.9 0-87.3-36.4-87.3-72.7 0-14.5 7.3-29.2 29.1-43.7-14.6 36.4 0 58.2 21.9 58.2 21.7 0 36.3-21.8 36.3-36.4 0-36.3-43.6-43.6-43.6-87.3 0-23.3 14.5-43.6 43.6-50.9zm-129.3 238l-53.36 13.3 110.96 83.3 13.5-53.9-71.1-42.7zm258.8 0l-71.1 42.7 13.5 53.9 111-83.3-53.4-13.3zM215 425l-13.8 55h109.6L297 425h-82z"}}]})(props);
};
function GiFirePunch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112.063 18.313c-35.217 1.23-60.2 14.463-75.188 33.593-14.988 19.13-19.97 43.266-18.75 65.906 1.754 32.57 9.408 54.908 21.22 70.47 11.81 15.56 27.39 23.635 42.468 28.905 15.078 5.27 29.9 8.127 41.874 12.844 11.974 4.72 20.766 10.552 26.75 22.5 6.285 12.55 6.178 22.293 3.094 30.064-3.082 7.77-9.616 13.965-18.155 17.656-17.078 7.382-40.54 4.336-54.5-17l-17-26-.156 31.063c-.488 101.54 66.703 164.85 144.874 189.843 78.17 24.993 168.216 14.294 219.094-32.5l.093-.094.095-.093c39.756-38.7 61.687-98.01 66.47-157.345 4.78-59.336-7.446-119.122-39.595-159.063l-14.406-17.875-2.188 22.844c-1.345 14.065-5.615 21.673-9.156 24.814-3.54 3.14-6.268 3.302-10.313 1.53-8.09-3.542-18.968-19.604-13.687-44.78 4.81-22.926-5.764-46.93-27.25-61.72s-53.64-20.68-92.97-10.53l-21 5.437 18.376 11.532c26.615 16.705 35.238 34.796 34.844 48.97-.394 14.173-9.663 26.144-25.063 31.562-16.158 5.685-32.666 3.894-42.75-2.188-10.083-6.08-14.88-14.515-10.156-29.53 4.062-12.907 3.277-24.84-1.655-34.22-4.932-9.38-13.362-15.72-22.563-19.812-18.4-8.183-40.61-8.668-57.28-4.875l-15.188 3.468 10.22 11.75c20.052 23.17 15.79 48.66 3.405 64.218-6.194 7.78-14.342 12.618-22.282 13.5-7.94.883-16.144-1.522-24.75-10.937-13.343-14.597-18.417-30.135-16.782-46.595 1.636-16.46 10.417-34.24 26.97-51.5l15.155-15.813h-22.218zM90.53 39.843C80.93 54.007 75.048 68.81 73.563 83.75c-2.15 21.656 5.202 43.165 21.563 61.063 11.864 12.978 26.808 18.44 40.625 16.906 13.817-1.537 26.06-9.407 34.844-20.44 14.907-18.723 20.004-47.827 5.625-74.25 10.56-.178 22.284 1.282 31 5.157 6.548 2.913 11.155 6.77 13.593 11.407 2.437 4.637 3.352 10.54.406 19.906-6.84 21.73 2.3 41.5 18.31 51.156 16.013 9.657 37.74 11.16 58.626 3.813 21.647-7.617 36.914-26.402 37.53-48.657.483-17.332-7.973-35.715-25.998-52 25.156-2.76 44.54 2.538 57.468 11.437 16.217 11.163 22.697 27.442 19.53 42.53-6.64 31.668 5.32 57.306 24.533 65.72 9.606 4.207 21.628 2.934 30.186-4.656 4.28-3.796 7.717-8.793 10.28-14.97 19.573 34.312 27.843 81.467 24.033 128.75-4.483 55.614-25.494 110.9-60.69 145.282l-.03.03c-43.612 40.08-128.142 51.643-200.72 28.44-66.173-21.158-121.51-69.148-130.468-148.188 18.327 12.028 41.005 12.984 58.97 5.218 12.408-5.364 22.972-14.95 28.124-27.937 5.153-12.987 4.428-28.983-3.75-45.314-8.355-16.684-22.304-25.87-36.594-31.5-14.29-5.63-29.262-8.434-42.593-13.094-13.332-4.66-24.78-10.774-33.75-22.593-8.972-11.82-15.816-30.03-17.44-60.157-1.03-19.168 3.328-38.716 14.814-53.376C60.02 52.68 72.344 44.1 90.53 39.844zM360.157 160.97l-105.312 48.624c-4.956 21.11 4.13 36.688 22.47 48.656l105.31-48.625c-1.136-19.137-3.203-37.863-22.468-48.656zm26.906 72.905c-12.008.01-22.032 6.96-30.593 18.97l38.686 112.56c17.528 1.515 34.735 2.114 45.625-15.686l-38.686-112.564c-5.343-2.235-10.333-3.285-15.03-3.28zm-60.937 28.656c-12.008.01-22.032 6.962-30.594 18.97l45.845 128.625c17.525 1.51 34.74 2.12 45.625-15.688l-45.844-128.625c-5.34-2.234-10.332-3.284-15.03-3.28zm-62.25 24.94c-12.007.008-22.03 6.96-30.594 18.967l45.376 126.907c17.524 1.51 34.732 2.146 45.625-15.656L278.94 290.75c-5.342-2.236-10.364-3.285-15.063-3.28zm-63.625 22.405c-11.925.254-22.003 7-30.75 18.47l36.125 105.092c17.37 1.065 34.45 1.283 45.625-15.687l-36.125-105.063c-5.26-1.993-10.21-2.91-14.875-2.812z"}}]})(props);
};
function GiFireRay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M12.195 20.94v39.128c76.452 73.026 151.387 152.574 187.47 215.5 12.6 21.978 38.114 72.972 49.056 118.557-31.424-3.388-64.762-14.633-96.36-33.873 11.605 19.025 25.57 37.838 42.632 54.898 83.895 83.897 200.548 103.142 260.473 43.217 59.927-59.927 40.678-176.574-43.22-260.47-17.062-17.063-35.872-31.028-54.895-42.633 21.316 35.01 33.27 71.947 35.04 106.29-47.3-13.436-103.76-38.565-127.316-51.976C201.59 173.434 121.32 98.073 47.818 20.938H12.195zM374.89 285.866c47.63 0 86.557 36.296 90.727 82.817-12.225-22.7-36.207-38.133-63.797-38.133-39.995 0-72.42 32.423-72.42 72.42 0 5.462.61 10.78 1.758 15.897 2.835-21.18 21.098-37.674 43.018-37.674 23.866 0 43.414 19.55 43.414 43.414 0 23.866-19.548 43.413-43.414 43.413-1.59 0-3.157-.093-4.703-.262.114.057.225.12.34.176-48.052-2.623-86.028-42.24-86.028-90.96 0-50.428 40.677-91.107 91.104-91.107z"}}]})(props);
};
function GiFireRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M312.344 16.813c5.096 53.015-76.687 71.94 3.812 131-21.002-67.855 39.96-80.94-3.812-131zm-173.47 43.124c2.864 58.907-7.995 100.984-34.093 136.97l-.5.28c1.42-28.968-14.337-52.78-32.093-75.906 2.882 39.21-3.964 78.4-20.156 117.564-20.79 23.86-32.718 51.704-32.718 81.437 0 88.458 105.59 160.158 235.875 160.158s235.907-71.7 235.907-160.157c0-10.08-1.377-19.935-4-29.5-6.37-30.335-7.76-49.572-.313-59.155 12.078-15.54 11.654-39.39-2.405-62.406-7.558 48.062-39.085 30.124-63.063-53.72-27.96 94.983-72.27-4.392-58.406-53.156-26.26 21.598-29.623 69.962-28.22 107.125-5.712-1.39-11.528-2.66-17.436-3.75-44.64-15.223-78.633-56.624-62.375-86.814-22.038 10.264-24.77 32.17-16.375 57.22 19.214 57.337-56.703-10.13-53.72-56.064l-17.093 72.688c-.154-34.474-5.844-73.924-28.812-92.813zM255.19 197c109.056 0 197.468 60.017 197.468 134.063 0 22.193-7.938 43.127-22 61.562-15.436 6.877-24-22.344-25.53-41.47-16.12 20.592-.576 58.922-17.407 75.064-2.128-10.244-11.962-22.962-25.345-30.75 2.11 22.203-4.025 43.33-29.72 58.936-31.15 5.69-44.428-28.71-49.56-54.22-4.033 33.512-16.028 58.988-49.97 64.095-4.066-.306-8.107-.683-12.094-1.155-30.51-18.392-20.632-49.433-24.25-78.594-2.93 29.505-24.438 65.4-39 56.158-25.677-16.295 10.893-33.548-9.53-63.657-2.415 30.193-21.75 31.483-42.03 29.876.94-14.196 1.723-28.353-2.75-41.25-9.138 7.68-18.04 15.838-34.564 9.938-7.223-13.934-11.156-28.92-11.156-44.53C57.75 257.017 146.13 197 255.188 197z"}}]})(props);
};
function GiFireShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M51.063 24.28v11.282c0 100.82 9.297 189.164 39.28 264.563 29.985 75.4 80.96 137.547 162.5 184.625l4.688 2.72 4.69-2.72C341.9 438.745 392.977 376.788 423.56 301.22c30.585-75.57 40.97-164.495 40.97-265.658V24.407l-11 1.97c-127.69 22.82-256.29 25.504-391.407 0L51.062 24.28zm394.625 22.25c-.756 95.204-11.306 178.18-39.438 247.69-28.608 70.684-75.067 127.792-148.72 171.56-75.508-44.82-121.81-102.07-149.842-172.56-27.53-69.23-37.117-151.615-37.813-246.5 129.47 23.027 253.39 20.565 375.813-.19zM287.563 95.126c-89.104 26.58-40.383 91.028-63.063 125.438-23.757 36.044-72.72 29.163-56.656-64.5-70.924 81.05-2.55 220.42 54.844 256.53-16.13-14.81-26.75-40.03-26.75-68.656 0-8.276.91-16.274 2.562-23.812 7.277 19.842 24.264 33.78 44.063 33.78 26.426 0 47.843-24.79 47.843-55.374 0-10.14-2.356-19.636-6.47-27.81 19.228 13.78 32.345 41.39 32.345 73.217 0 24.946-8.07 47.3-20.81 62.438C347.752 374.36 394.957 294.442 348 199.28c-20.957 107.846-108.105-45.925-60.438-104.155z","fillRule":"evenodd"}}]})(props);
};
function GiFireShrine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M321.7 21.73S167.5 84.97 146.2 155.4c-12.2 40.4 24.2 109.5 44.1 142.9h45.4c19.9-39.4-1.5-84.4-23.1-109.4 0 0 58.6 37.5 65.2 68.3 2.5 11.6-6.4 30.2-12.4 41.1H310c21-16.7 48.3-43.1 45.1-65-6.4-44.4-72-56.5-82.2-100.2-12-51.29 48.8-111.37 48.8-111.37zM64 192.8c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm384 1c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm-393 62v200h18v-200c-2.9.6-5.9 1-9 1-3.1 0-6.1-.4-9-1zm384 1v200h18v-200c-2.9.6-5.9 1-9 1-3.1 0-6.1-.4-9-1zm-270 59.5v30h174v-30H169zm30.2 48l-28 126h169.6l-28-126H199.2zm16.1 36.8l17.4 4.4-13.2 52.8h73l-13.2-52.8 17.4-4.4 18.8 75.2h-119l18.8-75.2zM32 470.8v18h64v-18H32zm384 1v18h64v-18h-64z"}}]})(props);
};
function GiFireSilhouette (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M272.95 16.707c-151.29 47.714 57.322 110.88-26.536 131.344C190.7 161.648 137.3 96.283 192.947 45.313c-90.766 32.524-66.292 89.67-12.396 113.25 34.31 15.01 31.884 61.38 8.643 64.637 46.37-54.285-116.637-44.737-86.03-147.47-126.44 158.063 132.535 163.37 51.6 273.194 16.4-51.26-51.074-33.42-65.52-77.88-48.557 115.975 86.87 96.047 107.81 222.95h36.394l-7.375-108.703H196.93c0-49.724 3.178-108.336 45.2-116.245-7.75-9.352-12.786-24.51-12.786-39.207 0-26.536 15.774-48.523 35.98-51.15h.002c1.348-.17 2.78 0 4.164 0 22.13 0 40.145 22.846 40.145 51.15 0 14.334-4.772 29.304-12.192 38.613 45.905 7.12 44.903 66.976 44.903 116.84H314.69l-6.524 108.704h36.752c14.29-138.24 137.056-121.245 77.576-235.742 9.728 46.034-32.646 93.67-53.514 52.13-19.04-37.903 125.515-105.092 70.21-215.175 4.588 81.484-114.155 120.303-118.663 65.824 52.768 23.022 73.61-45.905 30.02-71.985-40.69-24.346-116.444-36.76-77.596-72.338zm69.488 20.635c44.895 15.685 63.888 78.675 48.73 110.674 18.238-3.568 70.807-106.98-48.73-110.674z"}}]})(props);
};
function GiFireSpellCast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M366.9 36.88c-49.5 6.81-66 65.52-55.2 104.52 13.8 49.7-46.5 54.2-33.3-24.7-17.5 28.4-22.4 53.7-18.6 74.9 3.7 21.3 14.7 37.7 29.8 49.6 9.5 7.5 20.6 13.3 32.5 17 27.2-25.1 31.2-69.5 18.2-98.4 19.3 12.1 30.3 35.4 28.9 62.5 11.9.7 27.2-6.8 36.4-17.8.4 19 2.3 34.7-8.9 52.4 28.5-10.9 64.3-36.2 65.7-51.2 1.4-15.7-1.5-34.2-8.3-55.7-17.1 66.8-77.4 39.6-42.6-45.4-61.7 53.6-69.5-11.1-44.6-67.72zm116.8 2.09c-8 13.23-16 34.87-45.9 32.25 20.5 22.17 20.4 33.78 11.8 63.88 37.2-31.9 37.8-67.34 34.1-96.13zM205.4 75.8c-28.1-.1-49.9 56.5-57.7 90.6-11.3 49.2-14.6 83.5-.9 133l-17.3 4.8c-15.5-55.9-8.3-94.7 2.3-142.3 10.5-47.6 14.5-70.4-4.5-74.1-42.1-8.4-45.3 90.4-47.8 134.8-1.4 25.8.8 57 6.6 77.6l-16.9 6.2c-14.4-53.4-6.7-98-1.7-150.8 2.5-15.6-1.8-25.7-19.1-25.2-15.8.5-27 143.4-13.3 179.1 8.7 53 31.3 130.5 11 152.7L18 494h206l20-28.6c23-5 28.4-19.9 37-33.8 25.3-40.9 82.4-83.1 129.1-99.2 21.1-7.5-21.9-48.6-53.8-32.8-55 27.2-81.7 56.3-117.8 38.3-55.9-27.8-47.3-100.6-35.9-162.8 6.2-33.6 40.4-89.6 7.2-98.8-1.4-.32-2.9-.49-4.4-.5z"}}]})(props);
};
function GiFireTail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M158.256 36.47c2.22 49.155 45.426 31.47 81.68 62.66-30.405-53.095-58.346-36.28-81.68-62.66zm152.37 22.743c-13.924 49.15 27.75 38.738 54.208 100.21 4.956-65.19-34.792-64.58-54.21-100.21zm-160.038 34.39c-12.396.072-25.558 1.038-39.578 2.918 44.21 11.542 58.108 22.066 85.29 42.896C134.302 128.24 82.323 123.44 7.85 179.13c100.65-23.06 168.2-8.253 227.08 22.58-12.79 1.896-24.61 14.406-30.127 22.946 38.377 2.05 77.634 23.985 110.93 64.72-12.35-7.992-42.33-3.547-56.196 6.128 37.242 9.056 75.687 49.523 90.388 81.35 7.484 16.204 17.74 31.434 29.85 43.304.29.29.586.568.88.852.617.59 1.236 1.178 1.862 1.752.333.304.67.604 1.005.902 18.724 16.745 41.42 25.36 65.057 17.654 50.29-16.395 54.6-72.206 48.867-113.69-8.09-58.54-29.06-92.95-43.65-119.01 2.673 27.62-6.556 45.437-20.847 56.835-1.056-43.277-11.183-61.67-43.662-96.086.833 20.694-2.812 29.525-17.337 40.526-1.172-43.655-51.075-89.232-110.564-112.553v.002c19.306 21.608 32.916 42.774 36.967 69.78-36.27-48.287-80.83-73.92-147.77-73.52zm258.844 12.206c-28.72 35.415 15.06 53.01 23.328 99.5 9.73-57.558-21.908-65.23-23.328-99.5zm-341.036 1.477c-20.846-.04-35.705 8.377-56.01 1.582 25.778 40.33 56.76 4.1 102.47 12.737-19.29-11.226-33.952-14.295-46.46-14.32zm60.727 80.856c-21.19.374-42.96 8.55-60.262 32.492 40.094-19.363 84.84 36.146 117.017-18.182-14.96-7.26-35.565-14.685-56.754-14.31zm76.467 55.242c-9.53-.13-18.925 2.26-28.596 6.635 41.05 3.358 27.72 37.944 79.283 17.513-18.547-16.713-34.805-23.93-50.687-24.148zm-23.85 40.195c26.456 60.895 74.973 30.56 118.375 76.615-45.78-76.544-85.973-47.214-118.375-76.615zm246.822.22c6.257 1.843 12.41 4.995 18.25 9.374 13.202 9.9 24.376 26.025 29.713 45.91 5.337 19.884 3.734 39.42-2.74 54.582-6.474 15.16-17.43 25.74-31.437 29.486-14.007 3.747-28.804.054-42.008-9.847-13.204-9.9-24.378-26.024-29.715-45.91-2.57-9.574-3.517-19.065-3.1-28.03 18.53 19.584 41.6 28.266 57.48 19.73 19.717-10.604 21.098-43.87 3.558-75.296z"}}]})(props);
};
function GiFireWave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M328.5 30.156c-99.58-.03-191.647 52.414-271.156 151.438 9.912-28.743 47.544-88.772 70.28-108.094-41.265 15.076-87.27 63.656-106.5 114.5v61.53c18.558-26.168 38.798-47.69 65.25-71.78-26.49 44.543-52.15 119.388-65.25 176.688v141.937h26.72c19.804-93.475 48.162-162.69 100.406-233-19.15 60.202-24.366 124.175-20.906 195.188 9.994-45.116 32.146-93.158 73.094-142.657-18.344 65.052-21.955 124.932-4.813 180.47h57.188c-2.562-32.025 1.113-56.394 14.062-80.938-.532 13.048.643 26.58 3.875 40.875 5.996-34.556 17.585-64.022 37.5-93.657-7.526 40.626-5.283 84.21 10.375 133.72h88.688c-5.158-31.55-2.596-66.12 8.218-107 1.704 39.91 11.515 75.754 32.47 107h51.563v-86.438c-7.074 13.913-10.72 29.376-12.97 44.968-7.695-43.873-9.963-84.805-7-122.062-23.246 21.267-34.008 65.82-35.624 120.312-20.16-86.008-18.087-166.31 12.28-239.437-70.757 23.94-117.454 140.15-126.75 257.53-12.338-113.425 14.68-207.775 68.344-279.156-35.215 9.957-67.622 43.803-94.625 89.375 21.048-68.622 56.62-123.21 101.624-164.72-113.59-3.315-207.167 93.895-261.063 216.094 17.013-71.856 50.828-131.208 96.376-178.125-83.605 13.105-129.81 80.075-168.28 191.874C106.93 174.272 207.072 79.45 377.968 34.406c-16.676-2.84-33.175-4.245-49.47-4.25zM190.125 108c-30.494 21.716-78.727 81.786-113.313 141.875C95 180.18 131.58 121.033 190.125 108zm264.594 64.5c-21.134.42-43.392 17.915-54.94 52.97 29.15-23.528 58.873-32.432 91.064-32.845-9.516-13.632-22.58-20.395-36.125-20.125zm-162.095 40.406C250.05 291.598 224.94 381.348 211.97 478.78c-19.036-107.454 13.613-221.943 80.655-265.874z"}}]})(props);
};
function GiFireZone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M310.764 27.086c35.65 52.304 28.718 138.494 1.23 202.857.814-37.525-4.488-79.686-18.12-124.634 9.56 106.27-74.502 226.382-113.556 176.323-18.965-24.314-25.796-96.042 7.48-148.52-20.36 12.828-36.114 34.506-46.052 60.358C89.2 293.815 127.04 411.82 248.318 411.82c154.426 0 249.604-250.51 62.446-384.732zM225.67 132.773c-11.55 1.477-24.57 13.962-33.502 34.973-14.002 32.94-13.464 74.536.64 92.914 10.576 13.785 25.695 10.895 38.678-5.465l.004-.004c4.328-5.45 8.49-12.35 11.99-20.588.11-.262.002-.618.112-.88-10.898 12.023-23.323 14.096-32.006 2.782-12.374-16.126-12.36-52.928-.074-81.832 4.055-9.54 8.972-16.68 14.158-21.9zm141.492 80.635c-11.895 181.347-175.84 187.74-203.445 106.76h.002c51.202 34.305 111.037 8.255 128.913-60.43l6.043 51.364c31.064-29.207 49.024-50.36 68.486-97.694zM99.722 363.936C49.57 377.563 17.175 397.75 17.175 420.14c0 41.018 106.522 74.352 237.695 74.352 131.172 0 237.696-33.334 237.696-74.35 0-22.312-32.12-42.58-81.964-56.206 17.23 8.88 27.517 19.25 27.517 30.445 0 32.13-82.312 58.546-183.25 58.546-100.936 0-182.66-26.418-182.66-58.545 0-11.253 10.11-21.536 27.517-30.444h-.004z"}}]})(props);
};
function GiFire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-52.5 252.632-210 277.845 0 454.688C466 293.845 308.5 268.63 256 16zM124.75 167.407C98.5 243.197 46 294.117 46 369.907S151 496 229.75 496c-157.5-126.317-105-202.278-105-328.593zm262.5 0c0 126.317 52.5 202.278-105 328.593C361 496 466 445.696 466 369.907c0-75.79-52.5-126.71-78.75-202.5z"}}]})(props);
};
function GiFireball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M108.28 18.78c-1.2 6.05 1.1 13.32 9.095 19.876 15.883 13.01 36.716-3.12 27.875-19.875h-36.97zm174.564 0c13.572 15.575 25.36 48.026 21.687 77.22-3.915 31.118-22.083 59.048-73.624 67.094v.094c-1.964.284-3.904.743-5.812 1.343 4.17.89 8.657 2.86 13.344 6.22 24.482 17.577 3.918 55.804-26.125 36.47-8.196-5.266-12.213-12.31-13.032-19.19-4.615 11.776-2.376 25.68 12.47 37.126 42.122 32.48 76.872-19.863 48.844-50.437 35.076-12.994 54.042-38.53 60.594-65.97 17.85 2.145 40.616 8.678 58.156 22.22 19.867 15.337 34.025 38.73 29.844 79.25l-.032.405v.406c-.43 27.1 3.257 52.267 13.906 77.314-.175-.088-.355-.164-.53-.25 10.834 28.695-4.215 77.915-32.094 76.375-1.608-.09-3.144-.24-4.625-.47 10.87-3.895 19.736-14.11 20.187-31.47.57-21.935-30.486-31.816-48.688-21.28 1.853-10.077 5.738-19.852 11.125-27.53 2.282-2.24 4.347-4.612 6.188-7.095.204.627.43 1.27.72 1.906 9.98 22.058 34.89 7.416 25.186-11.405-4.35-8.457-11.074-10.648-16.686-9.03 3.504-11.767 3.415-24.225.406-35.72-3.952-15.098-13.013-28.82-26.625-37.03-7.976-4.812-17.48-7.51-27.844-7.44-.69.006-1.394.034-2.092.064-5.57.233-11.385 1.277-17.313 3.186-5.246.927-10.17 3.588-14.03 8.438-23.005 28.896 14.76 74.018 41.967 39.687 8.61-10.862 8.926-21.705 4.813-30.374 1.69.692 3.303 1.508 4.844 2.438 8.787 5.3 15.35 14.822 18.217 25.78 2.87 10.96 1.946 23.044-3.312 33.126-4.384 8.406-11.626 15.654-23.28 20.28-1.272.41-2.53.853-3.783 1.314 18.878 44.79-9.97 58.624-46.03 37.156-6.794 10.808-11.198 22.857-13.25 35.47 9.883-4.887 23.666-6.502 41.687-2.595 28.884 6.263 33.747 41 18.75 61.906.643-2.984 1.033-6.202 1.124-9.686.48-18.44-18.605-29.432-37-29.156-17.28.258-33.966 10.457-33.28 33.75.14 4.844 1.124 9.19 2.748 13.03-4.827-1.217-9.4-2.263-13.593-3.312-20.567-5.145-33.424-9.23-50.25-42.22-11.65-22.837-13.746-44.61-9.657-62.717.35-1.55.75-3.07 1.187-4.564.887-2.386 2.22-4.867 4.063-7.437 14.096-19.637 44.76-3.16 29.25 20.936-1.586 2.468-3.375 4.467-5.282 6.03 10.913-.16 22-6.1 29.69-20.56 13.784-25.93-8.35-51.58-31.5-51.688-1.84-.01-3.696.173-5.532.5-3.696-10.15-11.607-14.724-19.125-14.657-11.395.103-21.84 10.833-15.063 28.814 1.5 3.97 3.765 6.996 6.438 9.187-15.838 24.13-20.18 58.28-6.22 93.376-28.655 4.51-48 1-62.25-6.375-16.074-8.32-26.524-22.114-35.718-38.124-9.194-16.01-16.705-33.956-27.813-48.97-9.438-12.754-22.502-23.363-40.28-26.686v19c10.905 2.694 18.18 9.218 25.28 18.813 9.153 12.37 16.656 29.85 26.594 47.156 9.94 17.305 22.74 34.724 43.376 45.405 19.365 10.023 44.896 13.558 79.28 7.28 17.85 31.407 38.335 40.456 59 45.626 20.14 5.04 40.485 7.83 68.376 28.97 1.97 1.66 3.995 3.258 6.032 4.78.594.49 1.18.965 1.78 1.47l.095-.094c44.505 32.063 102.997 31.564 138.467-3.906 38.87-38.87 35.765-105.384-6.187-150.844-26.624-35.576-33.77-66.875-33.156-105.562h-.03c4.428-45.38-13.045-76.668-37.033-95.188-21.172-16.346-46.585-23.457-67-25.875 1.496-26.37-5.78-52.345-17.717-71.5h-23.22zM88.438 52.688c-3.178 0-6.483.374-9.907 1.188-5.71 1.356-10.715 4.073-15 7.75-.027.024-.064.038-.093.063-2.25 1.463-4.222 3.494-5.75 6.093-.033.058-.092.1-.124.157-2.415 4.2-3.617 9.88-2.907 17.063 2.628 26.407 40.834 27.546 39.313-3.875-.388-8.14-3.673-14.105-8.19-17.813 15.426 4.92 26.523 22.082 16.72 48.063-10.34 27.408-41.76 29.372-55.47 12.313 5.018 20.444 20.162 35.828 46.44 29.656 14.73-3.46 24.825-11.138 31-20.78.233 17.556-5.215 34.5-14.782 47.967-18.347 25.828-50.26 39.48-90.782 19.126v20.375c40.907 16.38 78.436 3.814 100.875-22.155 19.068 10 28.71 30.633 27.782 48.344-.462 8.83-3.42 16.56-8.75 22.25 1.273-11.394-3.145-22.947-14.906-28.064-35.92-15.636-71.766 35.453-29.125 53.906 2.805 1.213 5.5 2.042 8.095 2.563v.03c.085.01.165.024.25.033 3.398.657 6.63.743 9.625.375 14.957-.285 27.384-4.945 36.375-12.844 10.904-9.582 16.36-23.27 17.094-37.283 1.275-24.38-11.26-50.987-35.69-64.78 6.762-12.177 10.956-25.986 12.157-40.313 5.06 2.946 10.495 4.818 15.97 5.656 12.77 1.955 25.603-1.35 36.312-7.844 10.708-6.493 19.516-16.308 23.75-28.437 3.2-9.173 3.47-19.695-.032-30.064-3.167-14.78-14.114-27.622-29.438-27.625-2.21 0-4.495.248-6.875.814-30.3 7.19-32.07 68.89 1.625 70.062-7.1 3.967-15.24 5.71-22.53 4.594-7.578-1.16-14.436-4.948-20.095-13.906-2.58-13.888-8.185-27.66-17.25-40.344-7.554-12.997-20.047-22.31-35.688-22.313zm157.156 57.75c-4.71.03-9.694 2.802-13.156 9.532-9.705 18.82 15.205 33.46 25.187 11.405 5.02-11.105-3.04-20.995-12.03-20.938zm48.437 145.5c-19.927.602-18.62 25.754-.717 27.532 24.093 2.383 23.874-26.494 2.718-27.5-.686-.035-1.356-.052-2-.032z"}}]})(props);
};
function GiFireflake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.938 16s-.116 5.61 0 14.47c.116-8.86 0-14.47 0-14.47zm0 14.47c-.465 35.427-4.82 125.15-36.594 138.31-31.437 13.024-95.04-50.706-120.28-77.905 24.6 27.913 82.115 97.995 69.092 129.438-13.138 31.722-100.9 35.99-135.78 36.437 34.88.446 122.638 4.747 135.78 36.47 13.2 31.863-46.11 97.757-70.125 122.624 24.537-24.197 89.464-83.88 121.314-70.688 31.777 13.162 36.13 101.667 36.594 136.594.453-34.932 4.746-123.502 36.562-136.594 32.305-13.293 106.245 48.2 132.844 71.72-26.05-24.104-94.274-91.384-80.906-123.657 13.058-31.53 101.93-35.98 138.125-36.47-36.192-.488-125.06-4.9-138.125-36.438-13.227-31.924 53.26-103.695 79.937-130.718-27.322 26.44-99.95 92.406-131.875 79.187-31.777-13.156-36.1-102.882-36.563-138.31zm168.437 59.124c6.673-6.457 10.72-10.656 10.72-10.656s-4.193 4.044-10.72 10.656zm58.188 167.156c9.406.127 15.437 0 15.437 0s-6.03-.128-15.438 0zm-57.22 160.125c6.012 5.562 9.75 8.844 9.75 8.844s-3.61-3.417-9.75-8.845zM253.938 481.75c-.113 8.723 0 14.25 0 14.25s.116-5.518 0-14.25zM96.03 415.844c-6.063 5.98-9.78 9.875-9.78 9.875s3.86-3.744 9.78-9.876zM30.376 256.75c-8.796-.113-14.375 0-14.375 0s5.58.113 14.375 0zM97.063 90.875c-6.478-7.35-10.813-11.938-10.813-11.938s4.162 4.772 10.813 11.938zM333.719 68.28s-.176-.063-27.314 29.376c-8.554 9.28-13.223 35.225-1.47 40.094 11.756 4.868 27.006-16.758 27.377-29.375 1.173-40.035 1.406-40.094 1.406-40.094zm-155.5.032s-.196.077 1.436 40.094c.515 12.61 15.59 34.212 27.344 29.344 11.754-4.87 7.253-30.91-1.406-40.094-27.48-29.137-27.375-29.344-27.375-29.344zm265.5 109.938s-.032.263-40.064 1.438c-3.154.09-6.9 1.12-10.625 2.78-11.17 4.987-22.43 15.748-18.78 24.563 4.87 11.755 30.844 7.117 40.125-1.436 29.445-27.14 29.344-27.344 29.344-27.344zm-375.44.03s-.075.206 29.376 27.345c9.28 8.553 35.226 13.16 40.094 1.406 3.804-9.182-8.583-20.478-20.188-25.155-3.248-1.31-6.396-2.075-9.156-2.156-40.033-1.173-40.125-1.44-40.125-1.44zm187.22 3.22c9.68-.074 19.532 1.752 29.03 5.688 38 15.74 56.024 59.345 40.283 97.343-15.74 38-59.315 56.056-97.313 40.314-37.998-15.74-56.086-59.346-40.344-97.344 11.806-28.5 39.307-45.78 68.344-46zm.5 15.72c-32.468 0-58.78 26.314-58.78 58.78 0 32.467 26.314 58.78 58.78 58.78 32.467 0 58.78-26.314 58.78-58.78 0-32.468-26.314-58.78-58.78-58.78zM122.312 297.905c-5.516.075-11.556 1.42-16.593 3.563-3.225 1.37-6.024 3.073-8.032 4.967C68.55 333.918 68.31 333.75 68.31 333.75s.113.224 40.126-1.406c12.61-.515 34.18-15.59 29.312-27.344-2.14-5.165-8.345-7.19-15.438-7.094zm266.125 0c-3.208.077-6.177.622-8.625 1.72-2.554 1.144-4.535 2.895-5.562 5.374-4.868 11.754 16.764 26.83 29.375 27.344 40.01 1.63 40.094 1.406 40.094 1.406s-.237.166-29.376-27.313c-2.295-2.164-5.63-4.104-9.438-5.562-5.133-1.965-11.12-3.097-16.47-2.97zM203.03 373.562c-1.343.054-2.71.358-4.06.907-9.645 3.92-18.913 19.3-19.314 29.155-1.63 40.01-1.437 40.063-1.437 40.063s-.11-.205 27.374-29.344c8.66-9.183 13.16-35.226 1.406-40.094-1.286-.533-2.625-.74-3.97-.688zm105.314 0c-1.148.02-2.273.263-3.375.72-11.755 4.868-7.118 30.78 1.436 40.062 27.14 29.445 27.313 29.344 27.313 29.344s-.235-.034-1.408-40.063c-.335-11.434-12.873-30.26-23.968-30.063z"}}]})(props);
};
function GiFireplace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M133.2 25l-53.69 94H432.5l-53.7-94H133.2zM25 137v46h462v-46H25zm32 64v46h46v-46H57zm352 0v46h46v-46h-46zm-171.4.6s-22 8.8-24 18.8c-4.6 22.8 33.9 60.8 33.9 60.8s-13.3-34.6-14.3-52.8c-.5-9.1 4.4-26.8 4.4-26.8zm54.4 14.8c-6.1 40.2-11.2 83.7-45.9 100.2-30.3 14.4-36.4-78.5-94.1-91.5 44.9 101.1-68.9 139.9 42.2 185.2h19.5c-24-25.9-34.4-90.8-34.4-90.8s30.2 72 62.5 74.2c15 1 33.5-30.2 33.5-30.2s5.9 29.8-.1 46.8H319c27.3-14.8 44.6-35.7 51.2-57.3 6.5-20.9 3-42.5-10.9-59.9-8.6 51.8-21.4 62.8-55.1 74.1 36.6-44.7 20.2-119.2-12.2-150.8zM57 265v46h46v-46H57zm352 0v46h46v-46h-46zM57 329v78h46v-78H57zm352 0v78h46v-78h-46zM25 425v62h462v-62H25z"}}]})(props);
};
function GiFirewall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M293.4 23.17s-33 12.6-41.1 26.82c-8.7 15.15-2.3 52.31-2.3 52.31 9-28.63 23.2-55.07 43.4-79.13zm-172 47.78C130 140.8 87.44 197.2 95.7 251.5c-45.63-24.1-42.25-107.8-56.72-150.6-7.61 14.3-14.67 28.7-20.98 43.3V494h476V185.6c-14.6-27.9-21.9-60-16.4-99.66C419.3 118 431.2 210.8 439.6 255c-33.9-16.7-88.6-43-62.6-114.7-34.5 18.7-47.5 90.1-55.7 123.4 3.8-43.6-50-80.4-32.7-163.5-36.7 37.1-58.1 163.2-57.6 216.9-8.1-33-5.8-169.7-41.7-186.6 2.7 32-20.6 84.7-33.8 89.3 10.5-55.4-17.1-115.4-34.1-148.85z"}}]})(props);
};
function GiFireworkRocket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M487.375 26.906L356.5 56.47c-23.13 58.833 39.11 126.32 101.313 101.5l29.562-131.064zm-143.5 99.125L237.78 232.5c-3.703 22.683 2.47 38.328 16.94 46.47l10.718 6.03-8.688 8.72L57.625 492.686H83.78l314.19-317.28c-23.152-9.146-42.645-27.243-54.095-49.376zM218.75 233.126l-113.53 18.72 97.436 5.968-121.97 51.156 105.158-9.47-67.313 61.688 62.564-18.282 54.844-54.812c-13.938-12.937-19.78-32.964-17.188-54.97zM16.844 245.063v32.312l84.937-15.563-84.936-16.75zm263.75 75.437l-42.688 43.063-.875 67.75L280.595 320.5zm-161.97 2.625L16.845 341.5v44.094l101.78-62.47zm8.157 61.25l-110.124 47.22v65.124H27.22l1.28-1.283 41.03-41.03 57.25-70.032zm85.314 15.22l-39.156 97.217h38.78l.376-97.218zm58.78 1.967l-10.718 95.25h26.156l-15.437-95.25z"}}]})(props);
};
function GiFirstAidKit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 73c-62.875 0-91.913 11.948-105.273 26.979-11.632 13.086-13.324 30.848-13.59 51.021h30.437c1.634-13.963 7.309-26.44 19.438-34.518C201.703 106.7 223.253 103 256 103c32.753 0 54.311 3.739 68.996 13.54 12.115 8.084 17.788 20.546 19.426 34.46h30.441c-.266-20.173-1.958-37.935-13.59-51.021C347.913 84.948 318.875 73 256 73zm-135 94v16h62v-16h-62zm208 0v16h62v-16h-62zM81.47 201c-13.866 0-28.232 6.837-38.97 17.412C31.762 228.988 25 243 25 256v192c0 14.5 3.485 23.754 9.37 29.633C40.253 483.51 49.53 487 64.063 487h384.387c14.253 0 23.382-3.463 29.219-9.342C483.507 471.78 487 462.5 487 448V256c0-13-6.777-27.05-17.363-37.637C459.05 207.777 445 201 432 201H81.47zM224 256h64v64h64v64h-64v64h-64v-64h-64v-64h64v-64z"}}]})(props);
};
function GiFishBucket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M343.1 25.7c.5 31.23 14.5 58.24 38.1 88.1l4.1 5.2-43.9 64H402l12.6-52.9 6.4-.7c18.7-1.9 41-10.2 60-19.9 7.1-3.7 13.6-7.5 19.6-11.3-4.2 0-7.4.13-12.2 0-22.4-.61-48.7-2.52-67.4-10.26-20.4-8.51-42.6-27.79-60.7-45.05-6.6-6.31-12.3-12.04-17.2-17.19zM74.93 26.9C55.54 74.74 74.44 140.8 98.75 183H119c-.8-2.4-1.2-4.9-1.2-7.5 0-13.7 11.3-25 25-25s25 11.3 25 25c0 2.6-.4 5.1-1.2 7.5h60.7c-16-37.2-41.8-82.7-82.8-116.96 5.1 19.17 12.2 37.76 23.8 55.56l-15.2 9.8c-17.2-26.6-25.3-54.39-30.9-81.78C108 40.49 92.3 32.73 74.93 26.9zm67.87 141.6c-4 0-7 3-7 7s3 7 7 7 7-3 7-7-3-7-7-7zM89 201v30h196.5c1.7-5.8 3.3-11.7 5-17.6l17.4 4.8c-1.2 4.3-2.4 8.5-3.6 12.8H423v-30H89zm17.8 48l31.5 167.5c47.8-19.6 78.6-46.8 100.7-78.7 18.5-26.7 30.8-57 40.9-88.8H106.8zm192.1 0c-10.7 34.6-24 68.5-45.2 99.1-24.4 35.1-59.5 65.5-112.1 86.4l9.9 52.5h209l44.7-238H298.9z"}}]})(props);
};
function GiFishCooked (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208.936 31.055c-3.923.033-7.87.167-11.84.394 2.045 3.68 4.064 6.525 5.312 9.66 1.463 3.827 3.751 5.314 7.842 5.58 11.587.824 22.826 3.348 34.123 7.971-5.925.813-11.323 1.264-16.582 2.354-5.29 1.117-10.447 2.87-16.158 4.437 1.222 3.802 2.309 6.91 3.105 10.045.614 2.379 1.783 2.75 4.15 2.473 6.67-.84 13.393-1.288 20.089-1.926-7.607 4.6-15.58 10.603-18.334 14.031-.985.69-1.996 2.072-1.97 3.162.028 3.136.586 6.337.85 8.875 14.99-6.033 29.474-12.77 44.567-17.713 15.015-4.955 30.614-8.183 46.055-12.156-13.419-16.12-31.305-25.327-51.342-30.96-16.302-4.588-32.869-6.37-49.867-6.227zm146.31 49.86c-22.545-.137-44.897 2.09-66.947 7.298-43.662 10.256-161.096 63.487-172.975 85.064-2.895 5.315 4.705 13.794 10.953 12.397 38.478 8.635 78.845 24.024 111.477 28.01 1.038.12 2.923-1.09 3.455-2.178 3.003-5.635 5.662-11.401 8.611-17.432 4.65 2.231 7.601 19.37 4.65 25.643.239.425.481.811.718 1.236 9.117-.928 18.228-1.9 27.238-2.869-9.726 9.807-21.47 16.9-34.733 21.603-1.355.519-3.164 1.024-3.746 2.086-2.923 5.555-5.5 11.322-8.638 17.807 29.02-5.582 75.659-40.62 80.681-38.508-3.03 5.315-5.658 10.085-8.85 15.758 10.447 3.708 20.302 7.655 30.454 10.738 15.84 4.823 32.05 8.119 48.767 5.315 13.951-2.353 25.964-7.88 31.916-21.817 3.456-7.933 3.213-16.171.85-24.384-3.67 8.146-9.647 13.912-16.742 18.802-13.79 9.435-29.791 6.883-39.598-6.644-8.025-11.042-10.548-24.078-12.912-37.084-2.552-13.94.797-26.588 9.113-37.842 10.473-14.085 25.856-13.966 36.012.238 2.525 3.603 4.25 7.827 6.508 12.106 12.33-24.556 35.58-28.116 47.33-2.139.184-2.3.425-3.867.506-5.463.425-20.861-8.798-36.726-25.51-48.5-19.188-13.485-41.035-18.707-64.076-19.183-1.505-.03-3.009-.05-4.512-.059zm-10.295 9.177l7.735 14.441 14.28-8.047 5.087 9.026-14.46 8.175 7.844 14.606-9.154 4.904-7.703-14.441-14.275 8.01-5.121-8.955 14.496-8.174-7.85-14.678 9.121-4.867zM19.205 95.88c6.62 7.453 12.89 14.24 18.816 21.297 1.992 2.352 3.907 3.68 7.018 4.011 17.907 2.377 38.635 9.214 56.045 17.81-15.866-1.503-31.2-.48-46.137 4.103 2.288 6.764 4.732 13.101 6.514 19.638.796 2.872 1.808 4.08 4.703 4.385 6.324.665 12.568 1.687 18.816 2.564-5.662 4.188-11.535 7.454-17.304 10.95-1.142.691-2.362 2.326-2.416 3.588-.372 9.448-.453 18.92-.64 29.271 7.603-1.09 15.387-2.167 24.37-3.467-7.523 7.496-19.538 13.874-29.043 21.672-2.766 7.228-4.999 14.655-7.842 23.106 31.97-12.16 62.637-24.862 86.499-50.426-2.601-.838-4.57-1.381-6.481-2.113-7.626-2.83-15.786-4.821-22.777-8.81-12.912-7.413-14.747-21.577-5.285-33.124 5.764-7.03 13.284-11.627 21.152-15.785 4.117-2.233 8.314-4.292 13.287-6.883-34.23-31.266-75.34-39.675-119.295-41.787zm246.268 25.734s-2.87 3.922-7.762 8.93c-4.942 4.984-12.008 10.87-19.559 16.053-7.546 5.169-15.625 9.634-22.056 12.412-6.432 2.71-11.162 3.943-11.162 3.943s2.872-3.919 7.787-8.928c4.892-4.983 11.988-10.87 19.56-16.05 7.573-5.13 15.623-9.57 22.055-12.371 6.458-2.726 11.137-3.989 11.137-3.989zm37.841 12.252s-2.762 3.92-7.546 8.93c-4.839 4.981-11.748 10.896-19.133 16.117-7.416 5.13-15.362 9.62-21.686 12.436-6.351 2.74-11 4.013-11 4.013s2.787-3.96 7.545-8.968c4.838-4.984 11.746-10.857 19.135-16.08 7.466-5.168 15.36-9.632 21.71-12.436 6.324-2.75 10.975-4.012 10.975-4.012zm29.13 13.37s-2.369 3.891-6.54 8.9c-4.171 4.983-10.34 10.924-17.035 16.172-6.695 5.22-13.95 9.806-19.77 12.675-5.876 2.844-10.232 4.172-10.232 4.172s2.363-3.907 6.535-8.902c4.171-4.984 10.366-10.896 17.008-16.184 6.723-5.223 13.978-9.738 19.8-12.636 5.873-2.842 10.233-4.198 10.233-4.198zm46.437 20.673c-7.681 0-13.924 6.245-13.924 13.965 0 7.734 6.243 13.977 13.924 13.977h99.932c7.734 0 13.982-6.243 13.982-13.977 0-7.721-6.248-13.965-13.983-13.965h-99.931zm-129.969 109.2c2.524 2.895 4.993 5.791 7.49 8.689 36.25 42.306-26.356 104.717-33.902 114.709-7.384 9.863-12.187 24.573-11.21 38.44-19.017-14.468-17.412-36.484-7.552-58.743-26.177 11.88-44.785 25.408-54.953 57.361-4.015 20.875 48.262 43.387 57.719 43.387 62.8 0 68.322-45.737 72.52-79.514 14.308 12.828 2.488 52.056 20.86 66.026 17.415 13.24 48.634 15.97 65.589 2.324 5.022-4.039 42.094-75.26-12.358-101.568 10.803 28.592-3.217 53.538-34.494 65.148 6.608-18.675 16.343-38.23 12.52-62.851-5.023-28.766-20.522-74.035-46.276-86.102-5.979-2.776-30.108-7.307-35.953-7.307z"}}]})(props);
};
function GiFishCorpse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M435.125 19.72c-2.52.003-5.002.024-7.47.06-66.318 1.013-117.573 12.795-180.874 39.376-35.44 52.333-24.53 139.625 5.5 202.063 15.218 31.635 35.318 56.506 53.657 67 9.17 5.245 17.488 7.007 25.22 5.53 7.73-1.477 15.614-6.244 23.656-16.813l.375-.5.437-.437c39.966-40.123 69.86-81.484 91.344-124.03l-13.72-33.376-26.156 52-20.53-40.75-40.22 74-18.47-30.344-49.187 46.156 49.938-91.187 18.844 31.03 26.28-87.313 28.656 38.75 30.563-73.78 33 71.093c15.2-41.172 23.373-83.366 25.967-126.5-20.24-1.287-39.178-2.06-56.812-2.03zM300.44 63.17a38.648 55.07 27.484 0 1 23.156 69.732 38.648 55.07 27.484 0 1-68.672-35.476A38.648 55.07 27.484 0 1 300.44 63.17zM93.564 122.406c28.366 36.35 50.67 75.307 69.562 115.72-10.936 12.19-21.54 24.897-31.72 37.905-18.43-22.897-46.54-42.48-90.75-58.155 27.937 28.82 50.546 56.503 70.314 85.438-7.738 10.786-15.144 21.625-22.157 32.437-13.103-12.897-31.868-23.74-59.688-31.97 17.43 19.285 31.776 37.524 44.97 55.564-8.043 13.375-15.393 26.5-21.97 39.156-8.645-3.69-19.512-6.08-33.344-8.313 8.2 8.02 16.466 16.23 25.126 24.688-14.698 30.534-24.126 57.313-26.5 76.25 10.822-19.19 24.69-40.377 40.844-62.406 8.145 7.74 16.782 15.72 26.188 24.03-3.135-18.866-7.292-31.496-13.938-40.344 6.96-9.036 14.267-18.166 21.875-27.312 10.99 15.793 21.803 31.7 33.72 48.25-4.94-24.664-8.18-47.663-17.032-67.813 7.888-8.99 16.045-17.93 24.406-26.78 13.917 23.576 26.725 48.49 39.593 75.875-4.698-35.502-8.05-68.197-18.72-97.28 9.948-9.89 20.124-19.562 30.47-28.908 14.92 37.328 27.988 75.47 41.125 113.563-1.928-46.754-2.054-94.115-12.844-137.906 4.92-4.03 9.854-8.007 14.812-11.844-7.81-19.14-14.064-39.805-18-60.906-6.216 5.488-12.37 11.21-18.47 17.156-18.918-33.25-49.116-62.76-97.874-86.094z"}}]})(props);
};
function GiFishEggs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M335.2 34.44c-71.6.52-133.7 47.59-189.8 102.96-40-16.4-80.97-29.3-127.35-25.4 40.27 43.5 51.79 90.1 30.33 140.3 40.85-20.2 77.32-45.5 107.52-78.7 136.7 34 274.5 45 338-65.6-58-53.25-110.6-73.9-158.7-73.56zM376.7 64a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-88 166.3c-22.5 0-41 18.5-41 41 0 4.4.7 8.7 2 12.7-5.9-3.4-12.8-5.4-20.1-5.4-22.5 0-41 18.5-41 41 0 1.4.1 2.9.2 4.2-2.9-.6-6-1-9.1-1-16.5 0-30.9 10-37.4 24.2-6.8-5-15.2-8-24.2-8-22.52 0-41.02 18.5-41.02 41 0 10.2 3.78 19.5 9.99 26.7-1.82-.3-3.68-.4-5.57-.4-22.5 0-41 18.5-41 41s18.5 41 41 41c20.1 0 36.9-14.7 40.4-33.9 6.5 14 20.7 23.8 37.1 23.8 22.5 0 41-18.5 41-41 0-13.2-6.4-25.1-16.3-32.6 15.7-1.6 29-12.1 34.3-26.4.8 15.5 10.3 28.9 23.7 35.2-13.3 6.8-22.5 20.7-22.5 36.5 0 22.5 18.5 41 41 41 20.1 0 37-14.7 40.4-33.9 7.3 11.1 19.9 18.4 34.1 18.4 14.3 0 26.9-7.5 34.3-18.6 6.2 14.7 20.9 25.2 37.8 25.2 22.5 0 41-18.5 41-41 0-20.2-14.9-37.1-34.2-40.4 4.2-6.4 6.7-14.1 6.7-22.3 0-22.5-18.5-41-41-41-6.7 0-13 1.6-18.6 4.5.2-1.9.4-3.8.4-5.8 0-21.9-17.5-39.9-39.1-40.9 4.8-6.8 7.7-15 7.7-23.8 0-22.5-18.5-41-41-41zm0 18c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23c0-.5 0-1.1.1-1.6a16 16 0 0 0 6.9 1.6 16 16 0 0 0 16-16 16 16 0 0 0-1.6-6.9c.5-.1 1.1-.1 1.6-.1zm-59.1 48.3c12.8 0 23 10.2 23 23 0 8.3-4.3 15.5-10.7 19.5-1.1.5-2.2 1.1-3.3 1.7-2.7 1.2-5.8 1.8-9 1.8-12.8 0-23-10.2-23-23 0-.5 0-1.1.1-1.6a16 16 0 0 0 6.9 1.6 16 16 0 0 0 16-16 16 16 0 0 0-1.6-6.9c.5-.1 1.1-.1 1.6-.1zm39 10.3c5.4 3.1 11.6 5 18.2 5.3-4.8 6.8-7.7 15-7.7 23.8 0 1.6.1 3.2.3 4.8-3.8-2.2-7.9-3.8-12.3-4.7 2.2-5.1 3.5-10.6 3.5-16.5 0-4.4-.7-8.7-2-12.7zm51.5 6.1c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23c0-.5 0-1.1.1-1.6a16 16 0 0 0 6.9 1.6 16 16 0 0 0 16-16 16 16 0 0 0-1.6-6.9c.5-.1 1.1-.1 1.6-.1zm-140.4 27.8c12.8 0 23 10.2 23 23s-10.2 23-23 23c-9.7 0-17.9-5.8-21.3-14.2-.4-2-.9-3.9-1.5-5.7-.1-1-.2-2.1-.2-3.1 0-.5 0-1.1.1-1.6a16 16 0 0 0 6.9 1.6 16 16 0 0 0 16-16 16 16 0 0 0-1.6-6.9c.5-.1 1.1-.1 1.6-.1zm79.3 12.5c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23c0-.5 0-1.1.1-1.6a16 16 0 0 0 6.9 1.6 16 16 0 0 0 16-16 16 16 0 0 0-1.6-6.9c.5-.1 1.1-.1 1.6-.1zm120.3 2c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23c0-.5 0-1.1.1-1.6a16 16 0 0 0 6.9 1.6 16 16 0 0 0 16-16 16 16 0 0 0-1.6-6.9c.5-.1 1.1-.1 1.6-.1zM118.1 357c9.7 0 17.9 5.8 21.3 14.2.4 2 .9 3.9 1.5 5.7.1 1 .2 2.1.2 3.1 0 12.8-10.2 23-23 23s-23.02-10.2-23.02-23c0-.5 0-1.1.1-1.6A16 16 0 0 0 102 380a16 16 0 0 0 16.1-16 16 16 0 0 0-1.6-6.9c.5-.1 1.1-.1 1.6-.1zm102.4 2.6c.3 0 .7.1 1 .2l-.9 2.1c0-.8 0-1.6-.1-2.3zm79.2 11.9c6 3.5 13 5.5 20.4 5.5 6.7 0 13-1.6 18.6-4.5-.2 1.9-.4 3.8-.4 5.8 0 5.5 1.1 10.8 3.2 15.7-2.2-.4-4.5-.6-6.8-.6-20.1 0-37 14.7-40.4 33.9-4.1-6.2-9.9-11.3-16.7-14.5 13.2-6.8 22.4-20.7 22.4-36.5 0-1.6-.1-3.2-.3-4.8zm35 39.9c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23c0-.5 0-1.1.1-1.6a16 16 0 0 0 6.9 1.6 16 16 0 0 0 16-16 16 16 0 0 0-1.6-6.9c.5-.1 1.1-.1 1.6-.1zM159 414.2c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23c0-.5 0-1.1.1-1.6a16 16 0 0 0 6.9 1.6 16 16 0 0 0 16-16 16 16 0 0 0-1.6-6.9c.5-.1 1.1-.1 1.6-.1zm247.8 3.8c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23c0-.5 0-1.1.1-1.6a16 16 0 0 0 6.9 1.6 16 16 0 0 0 16-16 16 16 0 0 0-1.6-6.9c.5-.1 1.1-.1 1.6-.1zm-294.3 2.6c1.8.3 3.7.4 5.6.4 1.1 0 2.2-.1 3.4-.1-1.3 2.9-2.3 6-2.9 9.2-1.6-3.5-3.7-6.6-6.1-9.5zm-31 3.7c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23c0-.5 0-1.1.1-1.6a16 16 0 0 0 6.9 1.6 16 16 0 0 0 16-16 16 16 0 0 0-1.6-6.9c.5-.1 1.1-.1 1.6-.1zm178.7 2.6c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23c0-.5 0-1.1.1-1.6a16 16 0 0 0 6.9 1.6 16 16 0 0 0 16-16 16 16 0 0 0-1.6-6.9c.5-.1 1.1-.1 1.6-.1z"}}]})(props);
};
function GiFishEscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M467.2 29.51c-.9-.02-1.7-.02-2.6 0-25.5.59-76.1 16.5-94.7 27.23-25.2 14.39-64.9 65.26-78 86.66-19.1-5.2-52.7 13.6-67.5 36 20.3-2.1 68.6-6.1 50.9 33.7 34.9-15.5 20.6-41.9 27.4-51.1 15.2-20.4 112-29.6 125.9-41.7 29.8-24.3 54.3-81.49 50.2-87.23-1.7-2.35-5.9-3.44-11.6-3.56zM269 41.17C217 54.45 111.5 98.91 77.29 152.1l23.11 13.1C134.4 116 220.2 71.19 269 41.17zm158.8 4.64c3.9-.12 7.8 1.9 9.8 5.54 3.1 5.3 1.3 12.08-4 15.08-5.3 3.1-12.1 1.2-15.1-4.1-3.1-5.28-1.2-12.08 4.1-14.98 1.6-.98 3.4-1.48 5.2-1.54zM237.1 103.3C188.3 127 77.43 218.7 62.99 290.3l39.41-2c14.7-72.2 86.5-149.3 134.7-185zM17 310v18h287c-3.2 7.7-8.9 15-11 22-2 7-2 17 5 23 30.2 31.8 51.7 75.5 58.6 122h18.2c-7.1-51.3-30.8-99.2-64.8-134-1-2-1-2 0-5 1-4 5-9 8-14s7-10 6-18c0-5-4-10-7-12-4-2-8-2-13-2H17zm45 80c-14.1.7-29.68 2.4-45 4.4v18.3c22.83-3 46.65-5.5 62-4.7 41 2 81 29 128 32 24 1 56-3 82-7 10-2 19-3 27-5-3.8-5-5.2-12.2-9-16-6 1-13 2-20 3-27 4-59 8-79 7-40-2-80-29-128-32H62z"}}]})(props);
};
function GiFishMonster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23.906a134.338 134.338 0 0 0-3.395 4.314l-19.029 146.516c5.906 4.289 14.005 6.869 22.424 6.869 8.419 0 16.518-2.58 22.424-6.87L259.394 28.22A134.338 134.338 0 0 0 256 23.906zM52.197 82.993c2.633 4.83 5.372 10.094 8.059 15.832 9.706 20.733 19.502 45.58 12.256 66.7-4.893 14.26-18.833 21.828-30.762 27.916-4.115 2.1-7.915 3.778-11.395 5.244 2.888 3.986 6.193 8.714 9.625 14.222 8.46 13.576 17.636 29.8 17.012 46.043-.763 19.865-13.95 39.996-26.19 56.64-1.306 1.777-2.539 3.276-3.827 4.95 14.02-4.176 27.872-7.632 41.064-8.894 16.829-1.61 33.403.825 46.463 10.033a32.098 32.098 0 0 1 4.508-4.094c.01-9.985.11-22.057 1.045-35.396-11.958-1.312-21.933-1.398-32.496 6.494l-7.21 5.387-10.77-14.418 7.208-5.387c11.648-8.702 23.651-10.752 34.836-10.611.746.009 1.489.029 2.227.056 2.72.102 5.365.332 7.96.596 1.037-8.072 2.45-16.309 4.395-24.494-14.211-9.95-35.149-20.405-54.865-20.914l-8.996-.23.465-17.993 8.996.23c22.807.59 43.924 10.096 59.771 20.536 2.512-7.092 5.556-14.02 9.235-20.586-13.379-16.006-31.274-34.787-44.903-42.313l-7.879-4.35 8.701-15.755 7.877 4.35c16.791 9.271 33.688 26.7 46.89 42.447 3.375-4.048 7.1-7.842 11.241-11.293.482-.401.983-.783 1.475-1.174-28.886-34.842-70.211-71.854-112.016-89.774zm407.606 0c-41.805 17.92-83.13 54.932-112.016 89.774.492.391.993.773 1.475 1.174 4.14 3.45 7.866 7.244 11.242 11.29 13.202-15.745 30.098-33.173 46.889-42.445l7.877-4.35 8.7 15.757-7.878 4.35c-13.629 7.525-31.524 26.306-44.903 42.312 3.68 6.567 6.723 13.494 9.235 20.586 15.847-10.44 36.964-19.947 59.771-20.535l8.996-.23.465 17.991-8.996.23c-19.716.51-40.654 10.965-54.865 20.915 1.945 8.185 3.358 16.423 4.394 24.494 2.596-.264 5.24-.494 7.961-.596a89.93 89.93 0 0 1 2.227-.056c11.185-.14 23.188 1.909 34.836 10.61l7.209 5.388-10.772 14.418-7.209-5.387c-10.563-7.892-20.538-7.806-32.496-6.494.935 13.339 1.035 25.411 1.045 35.396a32.098 32.098 0 0 1 4.508 4.094c13.06-9.208 29.634-11.644 46.463-10.033 13.192 1.262 27.044 4.718 41.064 8.894-1.288-1.674-2.52-3.173-3.828-4.95-12.238-16.643-25.426-36.775-26.19-56.64-.623-16.244 8.552-32.467 17.013-46.042 3.432-5.509 6.737-10.237 9.625-14.223-3.48-1.466-7.28-3.144-11.395-5.244-11.929-6.088-25.869-13.655-30.762-27.916-7.246-21.12 2.55-45.967 12.256-66.7 2.687-5.738 5.426-11.002 8.059-15.832zm-234.217 13.53c-1.177 2.384-2.353 4.77-3.56 7.152-10.007 19.736-20.462 38.716-30.81 54.79 8.155-2.615 17.135-4.239 26.936-4.706zm60.828 0l7.434 57.236c9.801.467 18.78 2.09 26.935 4.705-10.347-16.073-20.802-35.053-30.808-54.789-1.208-2.382-2.384-4.768-3.56-7.152zm-70.62 75.386c-17.966 1.358-31.163 7.219-41.532 15.86-11.888 9.907-20.144 23.874-25.776 39.83-9.606 27.217-11.13 59.203-11.379 82.982a46.752 46.752 0 0 1 6.19-.47c6.381-.049 12.665 1.167 18.584 3.21 11.837 4.088 22.782 11.155 33.53 18.495 21.493 14.678 42.256 29.789 60.589 29.789s39.096-15.11 60.59-29.79c10.747-7.339 21.692-14.406 33.53-18.493 7.825-2.703 16.288-3.941 24.773-2.74-.25-23.78-1.773-55.766-11.38-82.983-5.63-15.956-13.887-29.923-25.775-39.83-10.369-8.641-23.566-14.502-41.533-15.86l1.29 9.928-3.132 3.131C284.243 195.089 270 199.605 256 199.605s-28.242-4.516-38.363-14.637l-3.131-3.13zm-27.628 45.28c.574-.008 1.155.006 1.744.04 1.346.082 2.731.281 4.158.618 18.589 4.388 30.298 22.616 39.467 38.57 9.17 15.954 14.875 30.985 14.875 30.985l3.203 8.408-16.322 6.219a775.756 775.756 0 0 1 4.709 4.576c-16 16-64 0-80-16 0-16 0-32 16-32 12.758 0 45.503 30.193 58.395 42.56l-2.805-7.357s-5.318-13.907-13.66-28.422c-8.343-14.515-20.634-28.285-27.998-30.023-.192-.046-7.454 1.83-13.31 5.714-5.858 3.884-10.532 8.155-10.532 8.155l-6.627 6.088-12.178-13.252 6.625-6.09s5.523-5.1 12.764-9.9c5.94-3.94 12.886-8.769 21.492-8.89zm135.668 0c8.606.12 15.552 4.95 21.492 8.888 7.241 4.802 12.764 9.9 12.764 9.9l6.625 6.09-12.178 13.253-6.627-6.088s-4.674-4.27-10.531-8.155c-5.857-3.883-13.12-5.76-13.31-5.714-7.365 1.738-19.656 15.508-27.999 30.023-8.342 14.515-13.66 28.422-13.66 28.422l-2.805 7.357c12.892-12.367 45.637-42.56 58.395-42.56 16 0 16 16 16 32-16 16-64 32-80 16 0 0 1.99-1.955 4.709-4.576l-16.322-6.22 3.203-8.407s5.705-15.03 14.875-30.985c9.17-15.954 20.878-34.182 39.467-38.57a24.473 24.473 0 0 1 4.158-.617c.589-.036 1.17-.05 1.744-.041zM240 316.605v22h-16zm32 0l16 22h-16zm-128.42 11.351c-3.928.01-7.735.878-11.705 2.772-4.352 2.076-7.826 7.184-9.83 14.672-2.004 7.487-2.22 16.729-1.147 23.867 6.332 42.105 37.42 85.884 75.22 105.336 34.955 17.989 84.809 17.989 119.765 0 37.799-19.452 68.887-63.23 75.219-105.336 1.073-7.138.857-16.38-1.147-23.867-2.004-7.488-5.478-12.596-9.83-14.672-7.94-3.788-15.232-3.468-24.13-.395-8.9 3.073-18.839 9.233-29.255 16.346-20.832 14.227-43.505 32.926-70.74 32.926-27.235 0-49.908-18.7-70.74-32.926-10.416-7.113-20.356-13.273-29.254-16.346-4.45-1.536-8.498-2.386-12.426-2.377zm7.42 28.088l11.975 5.987L176 394.55l15.96-18.196c5.902 2.85 11.374 5.433 16.405 7.693l11.465 18.557 6.395-11.205c11.472 4.172 20.813 6.205 29.775 6.205s18.303-2.033 29.775-6.205l6.395 11.205 11.465-18.557c5.03-2.26 10.503-4.843 16.404-7.693L336 394.55l13.025-32.52L361 356.045v14.56c0 11-4.744 23.841-13.512 36.993a105.125 105.125 0 0 1-19.896 22.191L320 414.605l-21.594 32.39a120.352 120.352 0 0 1-14.775 4.88l-6.166-21.27-13.844 24.572c-5.079.36-10.163.36-15.242 0l-13.844-24.572-6.166 21.27a120.352 120.352 0 0 1-14.775-4.88L192 414.605l-7.592 15.183a105.125 105.125 0 0 1-19.896-22.191C155.744 394.445 151 381.604 151 370.605z"}}]})(props);
};
function GiFishScales (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 494c-9.2 0-18.58-6.3-26.22-19.1-6.66-11.1-11.41-26.6-12.53-44 13.27-3.3 24.47-13.5 32.41-26.7 2.36-3.9 4.48-8.2 6.34-12.7 1.86 4.5 3.98 8.8 6.34 12.7 7.94 13.2 19.14 23.4 32.36 26.7-1.1 17.4-5.82 32.9-12.48 44C82.58 487.7 73.2 494 64 494zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm-336-80c-9.2 0-18.58-6.3-26.22-19.1-6.66-11.1-11.41-26.6-12.52-44 13.26-3.3 24.46-13.5 32.44-26.7 2.3-3.9 4.4-8.2 6.3-12.7 1.8 4.5 4 8.8 6.3 12.7 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm-382-.1V316c1.34 2.9 2.78 5.6 4.34 8.2 7.94 13.2 19.14 23.4 32.4 26.7-1.11 17.4-5.86 32.9-12.52 44-7.09 11.9-15.67 18.1-24.22 19zm476 0c-8.6-.9-17.1-7.1-24.2-19-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 1.5-2.6 3-5.3 4.3-8.1zM64 334c-9.2 0-18.58-6.3-26.22-19.1-6.66-11.1-11.41-26.6-12.52-44 13.26-3.3 24.46-13.5 32.4-26.7 2.36-3.9 4.48-8.2 6.34-12.7 1.86 4.5 3.98 8.8 6.34 12.7 7.94 13.2 19.14 23.4 32.36 26.7-1.1 17.4-5.82 32.9-12.48 44C82.58 327.7 73.2 334 64 334zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm-336-80c-9.2 0-18.58-6.3-26.22-19.1-6.66-11.1-11.41-26.6-12.52-44 13.26-3.3 24.46-13.5 32.44-26.7 2.3-3.9 4.4-8.2 6.3-12.7 1.8 4.5 4 8.8 6.3 12.7 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.4-3.9 4.5-8.2 6.3-12.7 1.9 4.5 3.9 8.8 6.3 12.7 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.4-3.9 4.5-8.2 6.3-12.7 1.9 4.5 3.9 8.8 6.3 12.7 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm-382-.1V156c1.34 2.9 2.78 5.6 4.34 8.2 7.94 13.2 19.14 23.4 32.4 26.7-1.11 17.4-5.86 32.9-12.52 44-7.09 11.9-15.67 18.1-24.22 19zm476 0c-8.6-.9-17.1-7.1-24.2-19-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 1.6-2.5 3-5.3 4.3-8.1zM64 174c-9.2 0-18.58-6.3-26.22-19.1-6.66-11.1-11.41-26.6-12.52-44 13.26-3.3 24.46-13.5 32.4-26.7 2.36-3.9 4.48-8.2 6.34-12.7 1.86 4.5 3.98 8.8 6.34 12.7 7.94 13.2 19.14 23.4 32.36 26.7-1.1 17.4-5.82 32.9-12.48 44C82.58 167.7 73.2 174 64 174zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 13.2-3.3 24.4-13.5 32.4-26.7 2.3-3.9 4.5-8.2 6.3-12.6 1.8 4.4 4 8.7 6.3 12.6 8 13.2 19.2 23.4 32.4 26.7-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zM112 94c-9.2 0-18.58-6.3-26.22-19.1-6.66-11.1-11.41-26.6-12.52-44C80.93 29 87.9 24.8 93.96 19H130c6.1 5.8 13.1 10 20.7 11.9-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 7.6-1.9 14.6-6.1 20.7-11.9h36c6.1 5.8 13.1 10 20.7 11.9-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 7.6-1.9 14.6-6.1 20.7-11.9h36c6.1 5.8 13.1 10 20.7 11.9-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm96 0c-9.2 0-18.6-6.3-26.2-19.1-6.7-11.1-11.4-26.6-12.5-44 7.6-1.9 14.6-6.1 20.7-11.9h36c6.1 5.8 13.1 10 20.7 11.9-1.1 17.4-5.8 32.9-12.5 44-7.6 12.8-17 19.1-26.2 19.1zm-382-.1V19h16.04c6.06 5.8 13.03 10 20.7 11.9-1.11 17.4-5.86 32.9-12.52 44C35.13 86.8 26.55 93 18 93.9zm476 0c-8.6-.9-17.1-7.1-24.2-19-6.7-11.1-11.4-26.6-12.5-44 7.6-1.9 14.6-6.1 20.7-11.9h16z"}}]})(props);
};
function GiFishSmoking (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M344.988 24.154l23.64 39.4c.3-.328.597-.66.907-.974 3.823-3.874 8.88-6.833 14.647-6.879 5.766-.045 10.962 2.924 14.748 6.867.212.222.413.46.62.688l23.462-39.102C409.75 29.895 396.964 33 384 33c-12.964 0-25.75-3.105-39.012-8.846zm-139.441 1.418l33.457 39.36a35.321 35.321 0 0 1 2.795-2.94c3.864-3.608 8.857-6.25 14.388-6.29 5.532-.041 10.65 2.606 14.483 6.284a33.247 33.247 0 0 1 2.517 2.72l33.266-39.134c-32.405 10.075-68.501 10.075-100.906 0zM84.988 34.154l20.274 33.79c5.156-6.196 11.374-10.192 18.978-10.243 5.55-.037 10.804 2.42 14.893 6.043 1.338 1.186 2.583 2.508 3.763 3.938l20.116-33.528C149.75 39.895 136.964 43 124 43c-12.965 0-25.75-3.105-39.012-8.846zM32 71v18h61.25c.522-1.161 1.05-2.308 1.588-3.441L86.104 71H32zm129.896 0l-8.873 14.79c.463 1.058.919 2.128 1.368 3.21h71.744a187.558 187.558 0 0 1 3.242-7.602L220.539 71h-58.643zm129.567 0l-8.969 10.55a196.473 196.473 0 0 1 2.932 7.45h69.54a225.234 225.234 0 0 1 3.243-7.826L352.105 71h-60.642zm124.433 0l-6.177 10.295A238.072 238.072 0 0 1 412.668 89H480V71h-64.104zm-31.62 2.686c.005 0 .038.018.048.021.053-.014.055-.008 0-.008-.053 0-.072-.015-.049-.013zm.048.021c-.15.041-.755.278-1.976 1.516-1.65 1.672-3.934 4.985-6.174 9.85C354.662 131.77 345 209.17 345 268.732c0 11.454 3.67 36.005 11.102 56.187 3.715 10.091 8.404 19.161 13.406 25.127 2.755 3.286 5.377 5.533 8 6.892l7.031-30.283 17.533 4.07-4.8 20.688c.405-.445.81-.877 1.22-1.367 5.002-5.966 9.691-15.036 13.406-25.127 7.407-20.116 11.068-44.545 11.092-56.047a1364.433 1364.433 0 0 0-2.851-40.629l-9.948 15.717-15.209-9.625 16.743-26.451c-4.784-.93-9.371-2.512-13.471-4.717-3.073-1.653-5.923-3.596-8.676-5.637l.156 38.602-17.998.072-.328-80.92 15.518 15.832c6.295 6.423 13.218 12.63 19.855 16.2 3.326 1.788 6.398 2.96 9.448 3.4-4.946-39.699-12.55-77.625-24.518-105.903-2.082-4.919-4.247-8.197-5.766-9.779-1.05-1.094-1.498-1.296-1.62-1.328zm-128.006-.008c-.023 0-.628-.052-2.236 1.45-1.608 1.501-3.827 4.468-6.031 8.876C226.94 126.245 217 209.01 217 263.73c0 10.272 3.609 29.8 10.816 45.31 3.604 7.754 8.09 14.53 12.914 19.003 4.824 4.473 9.58 6.687 15.27 6.687 4.035 0 7.597-1.136 11.049-3.378l-6.662-21.803 17.213-5.26 3.357 10.988a83.987 83.987 0 0 0 3.227-6.238c7.174-15.437 10.77-34.828 10.804-45.137-.363-6.011-.787-12.267-1.252-18.629l-.01.024-16.714-6.68 12.527-31.344c-11.86-.562-21.895-3.106-30.652-7.986l-4.664 53.12-17.932-1.575 7.795-88.76 13.682 13.961c8.895 9.076 16.666 12.886 30.587 13.46-4.977-40.302-12.633-79.833-24.533-105.735-2.045-4.452-4.144-7.374-5.615-8.785-1.471-1.412-1.866-1.274-1.889-1.274zm-131.957 2c-.927.006-4.99 1.806-9.744 10.586-22.862 42.229-33.562 122.808-33.562 177.445 0 10.117 3.88 29.597 11.658 45.055 7.779 15.458 18.182 25.945 31.314 25.945 2.542 0 4.98-.397 7.317-1.142l-1.278-38.309 17.99-.6.829 24.852c2.323-3.2 4.476-6.81 6.457-10.746 7.746-15.393 11.614-34.748 11.646-44.9-.408-6.245-.886-12.718-1.414-19.295l-3.537 13.94-17.445-4.428 7.726-30.454c-5.954.072-11.77-1.15-17.039-3.164-3.259-1.245-6.334-2.81-9.326-4.48l5.1 38.264-17.844 2.378-10.688-80.21 17.416 13.712c7.066 5.564 14.728 10.833 21.768 13.524 7.04 2.69 12.763 3.08 18.871-.01l.903-.457c-5.283-44.037-13.908-88.494-28.186-117.197-2.202-4.427-4.445-7.327-6.1-8.793-1.654-1.466-2.368-1.519-2.832-1.516zM112 281.68a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zM240 288a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zm126.014 18.871a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zm98.527 14.281c2.258 10.47.32 31.594-6.646 36.625-4.283 3.093-10.474-4.257-4.817 29.362 6.465-5.66 18.656-14.086 20.805-28.754 1.916-13.08-1.214-23.462-9.342-37.233zM99.154 349.568c3.922 10.79 17.738 20.646 15.895 32.37-1.89 12.016-19.796 18.176-25.838 27.533 10.84-9.373 35.131-9.375 37.682-24.057 2.585-14.885-18.39-27.9-27.739-35.846zM48 350c-18.591 28.614-27.051 60.24-28.158 90.703C14.824 450.71 18 478.951 18 492h138.553a384.605 384.605 0 0 1-3.903-6.287c5.813-24.577 11.091-49.047 7.35-71.713-5.627 17.167-15.96 28.404-27.795 39.383-5.395-7.08-11.7-13.728-20.205-20.174 4.99 9.315 8.978 18.407 12.313 27.353-9.443 8.523-19.355 17.611-28.313 29.82C68.963 448.088 26.55 440.784 48 350zm255.504 17.611c11.042 51.035 27.18 107.6 6.662 124.389H494v-17.484c-3.981 5.584-8.698 10.543-13.777 14.97 1.971-36.131 3.294-71.73-16.72-89.875 11.23 53.234-25.535 59.433-47.503 90.368-11.476-20.8-52.278-27.61-9.156-68.797-32.104-1.191-59.837 24.264-55.34 67.693-13.41-56.875-23.11-70.545-48-121.264zm-53.354 2.793c-5.036 11.189-21.777 53.328-9.68 44.278 15.055-11.262 16.143 17.146 35.419 19.472-9.472-5.86-9.455-38.53-24.225-35.142-9.308 2.135-.428-17.18-1.514-28.608zM176 391.666c3.67 57.152-3.935 84.545-18.307 100.334h44.508c-7.805-9.769-10.057-30.877 5.799-76l-22.953 42.43c-.451-15.55-2.432-57.379-9.047-66.764zm63.611 51.584c20.518 23.464 22.353 39.719 10.848 48.75h43.95c-15.144-7.97-22.15-23.338-22.905-44.389-3.055 4.764-5.343 9.763-7.1 14.926-6.434-5.865-14.576-12.256-24.793-19.287z"}}]})(props);
};
function GiFishbone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M190.406 51.97c-4.104 29.047-7.13 44.833-6.72 58.53-8.64 1.623-17.247 4.38-25.75 8.375-25.746-38.28-86.43-44.672-139.06-13.5 27.12 33.838 44.53 50.06 88.468 49.094-23.64 40.44-16.737 66.468-3.094 106.405 50.213-29.74 75.816-83.433 61.906-125.22 6.763-3.156 13.588-5.373 20.47-6.75 3.344 11.76 9.795 25.62 20.75 48.032 5.394-22.616 8.44-37.168 9.03-48.906 10.954 1.452 21.88 4.78 32.688 9.657-5.85 16.68-9.962 35.86-13.25 60.688 17.36-16.772 29.677-31.288 38.844-46.188 5.488 3.756 10.908 7.874 16.25 12.313 4.39 3.648 8.69 7.515 12.906 11.563-17.963 19.995-33.863 41.93-46.688 65.218 24.165-10.115 46.634-25.15 67.156-43.28 8.397 9.983 16.248 20.567 23.344 31.5-26.33 17.278-50.652 37.486-70.375 59.844 28.77-5.146 58.07-17.09 85.908-33.156 5.354 10.33 9.97 20.708 13.75 30.906-30.085 15.35-57.335 37.104-81.75 65.28 47.72 50.605 103.617 99.44 170 110.25 2.28-5.74 4.45-11.502 6.5-17.312-60.357-19.627-109.66-52.267-145.563-89.156l13.406-13.03c33.782 34.707 80.56 65.736 137.97 84.405 16.732-55.238 20.843-112.648-1.844-167.217-29.13 2.03-56.363 8.342-81.72 18.906-4.096-10.92-9.036-21.94-14.717-32.845 30.638-19.792 58.958-44.156 82.092-69.313-31.87 8.903-65.846 23.524-97.718 42.47-7.725-11.933-16.287-23.498-25.53-34.376 26.697-26.486 49.666-57.987 68.186-90.03-31.647 16.955-62.495 40.003-89.563 67.343-4.5-4.3-9.1-8.428-13.812-12.345-6.253-5.197-12.734-10.033-19.375-14.438 10.292-22.438 15.372-47.604 20.875-83.437-22.557 26.39-37.655 45.848-48.28 68.344-13.42-5.92-27.255-9.89-41.22-11.313-3.22-14.055-11.237-28.646-24.47-57.31zM426.25 302.187c11.947-.273 23.58 6.173 29.375 17.53 8.063 15.802 1.77 35.125-14.03 43.188-15.803 8.063-35.126 1.802-43.19-14-8.062-15.8-1.8-35.156 14-43.22 4.445-2.266 9.17-3.392 13.845-3.498z"}}]})(props);
};
function GiFishhookFork (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M22.408 18.39v60.587S198.19 236.165 317.504 334.035c-9.2 3.815-19.898 5.503-31.102 5.277 52.274 39.08 103.82 79.553 163.178 105.01-28.328-60.655-63.28-112.895-103.516-167.015 1.993 14.567.067 26.324-4.67 35.523-76.207-91.106-195.03-202.617-296.402-294.44H22.408zm121.678 0C251.25 104.46 357.514 189.502 429.088 284.7c-5.74 10.573-18.106 14.794-31.537 11.68l101.62 115.052c-7.606-173.11-135.933-294.98-266.897-393.043h-88.187zM22.61 171.4v.004-.004zm0 .004v93.44C154.905 380.347 288.107 475.25 425 498.45L308.193 389.825c.88 12.204-1.625 22.48-10.51 22.778-98.07-71.302-191.387-152.64-275.072-241.198z","fillRule":"evenodd"}}]})(props);
};
function GiFishingBoat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M232.54 67.154l-17.08 5.692L241.513 151h18.976zM71.28 106.707l-14.56 10.586L71 136.928V230h18v-68.322L161.234 261h22.258zM272 117v18h39v16h18v-16h39v-18zm-23 52v126h108.943l-5.111-46H279v-80zm48 0v62h53.834l-6.889-62zM89 279v16h110v-16zm-70.012 34l41.248 110h319.68l114.25-110H140.588C157.022 318.35 169 333.85 169 352c0 22.537-18.463 41-41 41s-41-18.463-41-41c0-18.15 11.978-33.65 28.412-39zM128 329c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zm208 0h80v18h-80zM96 439c-28.777 2.338-51.11 8.201-78.61 16.387l5.22 17.226C45.822 467.213 71.59 457.287 96 457c23.665 0 49.275 16 80 16s56.335-16 80-16 49.275 16 80 16 56.335-16 80-16c27.734 2.18 46.87 7.726 73.39 15.613l5.22-17.226C468.536 448.762 443.471 439.273 416 439c-30.725 0-56.335 16-80 16s-49.275-16-80-16-56.335 16-80 16-49.275-16-80-16z"}}]})(props);
};
function GiFishingHook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196.375 18.25c3.91 19.165-.907 37.814-14.72 55.5-15.853 20.302-44.172 38.85-84.81 51.188-34.84 10.577-58.396 29.203-71 50.937-12.606 21.734-14.02 46.364-5.72 67.5 14.824 37.743 60.4 62.92 121.28 47.438 12.883-4.053 27.47-10 38.97-17.188 2.51-1.568 4.828-3.18 6.938-4.813-2.885-2.7-5.43-5.853-7.5-9.437-.683-1.182-1.297-2.385-1.844-3.594-13.048 8.047-29.743 16.232-51.532 19.376-47.934 8.963-78.497-12.01-88.938-38.594-6.257-15.93-5.374-34.287 4.5-51.312 9.874-17.025 29.002-32.94 60.28-42.438 43.283-13.14 75.046-33.17 94.095-57.562 15.77-20.194 22.4-43.702 18.906-67h-18.905zm17.844 151.47c-.788 0-1.588 0-2.376.03-11.464.415-23.03 3.582-33.656 9.72-26.423 15.252-39.106 44.164-34.25 72.25 12.21-4.294 22.097-10.274 30.906-16.157 1.418-11.078 7.93-21.27 18.72-27.5 6.337-3.66 13.285-5.464 20.124-5.5 13.055-.07 25.668 6.304 32.656 18.406 10.648 18.44 4.066 42.974-14.375 53.624-8.564 4.945-18.115 5.99-26.97 3.844-4.427 4.08-9.466 7.747-14.72 11.03-5.286 3.306-10.918 6.29-16.655 8.97 15.17 10.68 33.97 15.17 52.25 12.125h.03l72.376 125.406c17.27 29.907 42.53 48.207 68.783 54.467 26.25 6.26 52.74 1.16 74.25-12.03 43.02-26.38 66.36-87.515 33.53-144.376l-16.53-28.655-.157-.28c-19.615-36.032-45.045-60.504-75.344-75.283 12.778 45.916 17.4 91.832 16.094 137.75l28.688-34 4.906-3L443 348.72c21.954 38.025 3.593 72.716-21.125 87.874-35.704 16.537-62.567 12.018-84.625-23.125l-71.78-124.376c20.72-22.425 25.7-57.052 9.78-84.625-13-22.517-36.637-34.833-61.03-34.75z"}}]})(props);
};
function GiFishingJig (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M84.13 24.64l-17.3 4.96c11.06 38.61 28.29 61.73 49.57 75.1 21.3 13.3 45.5 16.8 70 19.6 34.2 4 69.3 6 103.2 27.5-44-10.1-88.9-8.9-129.8-9.4-51.3-.6-95.31-4-124.84-31.1l-12.17 13.2C58.2 157 107.7 159.8 159.6 160.4c45.4.6 93.6-.5 138.3 12.1-14.4-.9-30.1-1.4-46.5-1.6-29.4-.3-61.1.8-91.6 4.2-60.92 6.8-118.12 22.1-142.13 60.3l15.24 9.6c17.92-28.6 69.89-45.4 128.89-52 49.4-5.5 102.8-4.7 143.5-2-53.7 12-113.1 17.3-162.8 33.5-27.3 8.9-51.8 21.3-70.35 40.4-18.55 19.2-30.62 45.3-33.25 79.4l17.94 1.4c2.38-30.8 12.56-52 28.25-68.3 15.71-16.2 37.41-27.4 63.01-35.7 43.3-14.1 97.3-19.9 149.1-30.7-7.5 10.5-17.6 19.4-29.8 27.6-21.8 14.8-50 26.7-79.1 39.7-29 13-58.9 27.1-84 47.5-25.19 20.4-45.5 47.5-54.2 84.6l17.52 4.2c7.75-33.2 25.12-56.2 47.98-74.8 22.9-18.5 51.3-32.2 80.1-45.1 28.8-12.9 57.8-24.9 81.8-41.2 9.9-6.6 18.9-14.1 26.6-22.6-19.4 56.9-50 94.4-89.6 124.9-47.6 36.7-108.9 62.7-178.74 97.1l7.96 16.2C113 435 175.2 408.7 225.5 370.1c48-37 84.6-85.8 104-161.7 8 27.1 6.8 49 .5 68.9-7.1 22.8-21.3 43.1-37.1 63.7-31.7 41.2-70.5 84.6-61.5 151.6l17.8-2.4c-8-59.3 25.7-96.3 58-138.2 16.1-21 31.8-43 40-69.3 6-19.3 7.8-41 3-65.4 18.9 31.1 25 57 24.5 79.5-.6 28.1-11.6 51.6-23.4 73.2-11.7 21.6-24.8 41-25.4 62.9-.3 10.9 3.1 22.2 11 32.6 7.9 10.4 19.9 20.1 37.4 29.9l8.8-15.6c-16.1-9.1-26.2-17.6-31.9-25.2-5.8-7.5-7.5-14-7.3-21.2.4-14.3 11.1-32.6 23.2-54.8 12.1-22.3 24.9-48.8 25.6-81.4.7-32.7-11-70.7-45.2-115.4-50.5-66-110.7-69.8-159-75.3-24.2-2.8-45.3-6.3-62.5-17.06-17.2-10.79-31.62-29.02-41.87-64.8zm319.47.24c-15.7-.33-32.3 6.3-42.9 10.41l-56.9 30.87 54.1 12.34-4.8-20.03c32.6-18.93 57-17.6 68.8-11.06 6 3.33 8.8 7.64 9.5 11.89.6 4.26-.7 9.19-6.2 14.7l-79.7 79.67c4.3 3.8 8.6 8.4 12.7 12.8L438 86.76c5.5-5.51 10.4-6.76 14.7-6.12 4.2.65 8.5 3.44 11.9 9.45 6.5 11.81 7.8 36.11-11.1 68.81l-20-4.9 12.3 54.2 34.6-63.8c7.8-17.5 10.3-44.3-.1-63.05-5.5-9.97-14.6-16.93-24.9-18.51-1.3-.2-2.7-.3-4-.32h-2c.1-1.98 0-3.96-.3-5.91-1.5-10.39-8.5-19.4-18.5-24.94-7.4-4.15-16.6-6.57-27-6.79zM333.2 192.7l.1.1c.1.1.2.3.3.4l-.5.2z"}}]})(props);
};
function GiFishingLure (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.6 24.88c-15.7-.33-32.3 6.3-42.9 10.41l-56.9 30.87 54.1 12.34-4.8-20.03c32.6-18.93 57-17.6 68.8-11.06 6 3.33 8.8 7.64 9.5 11.89.6 4.26-.7 9.19-6.2 14.7L324.1 175.1 81.17 320.9C52.61 349.7 34.15 390 25 424.8c-4.62 17.5-6.88 33.7-7.1 45.8-.11 6.1.31 11.2 1.04 14.8.68 3.3 1.85 5.1 1.82 5.1-.1-.1 1.69 1.1 5.16 1.8 3.57.8 8.67 1.2 14.75 1.1 12.17-.2 28.29-2.5 45.81-7.1 33.92-8.9 73.02-26.7 101.52-53.9l-.1-.3c39.2-13.3 67.5-44 99.5-71.7-39.9 0-80.4.7-122.1-7.2 37.3-1.2 65.5-5.4 77.9-11.1l91.1-151.7L438 86.76c5.5-5.51 10.4-6.76 14.7-6.12 4.2.65 8.5 3.44 11.9 9.45 6.5 11.81 7.8 36.11-11.1 68.81l-20-4.9 12.3 54.2 34.6-63.8c7.8-17.5 10.3-44.3-.1-63.05-5.5-9.97-14.6-16.93-24.9-18.51-1.3-.2-2.7-.3-4-.32h-2c.1-1.98 0-3.96-.3-5.91-1.5-10.39-8.5-19.4-18.5-24.94-7.4-4.15-16.6-6.57-27-6.79zm-271 162.82c-28 35-41.37 70-46.84 109.3l76.04-45.6c-17.7-17.4-17.2-34.8-29.2-63.7zM88.7 370.9c5.63.1 11.01 2.3 15 6.3 8.4 8.4 8.4 22.1 0 30.5-8.44 8.5-22.14 8.5-30.58 0-8.41-8.4-8.41-22.1 0-30.5 4.13-4.1 9.75-6.4 15.58-6.3z"}}]})(props);
};
function GiFishingNet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M161.9 17.31c-32.7 0-63.75 8.22-88.96 24.19-28.82 18.25-49.85 47.08-55.85 84.2-5.99 37 2.83 81.8 31.25 133 19.84 35.6 44.25 63.8 59.66 93.5 12.4 25.7 18.4 46.7 15.6 75.2-14.7 2.9-25.73 15.7-25.73 31.2 0 17.5 14.23 31.8 31.73 31.8 17.6 0 31.8-14.3 31.8-31.8 0-13.2-8-24.4-19.4-29.3 1-10.2 1-19.8.1-29.1 9.2-10.8 19.9-16.3 33.2-18.1 14.7-2.1 32.7.7 53.3 8.1 5.1 9.7 9.7 20 13.7 31.1-9.2 5.4-15.3 15.4-15.3 26.8 0 17.1 13.9 31 31 31 17.2 0 31.1-13.9 31.1-31 0-16.3-12.5-29.7-28.5-31-4-11.6-8.7-22.4-13.9-32.6 10.2-9.9 27.5-16.7 47.6-20.6 22-4.3 46.7-5.4 67.4-6 7 6.4 13.9 13.2 20.6 20.3-.5 2.2-.8 4.6-.8 7 0 16.4 13.3 29.6 29.6 29.6 16.4 0 29.6-13.2 29.6-29.6 0-16.3-13.2-29.6-29.6-29.6-6.9 0-13.3 2.4-18.3 6.4-6.5-6.7-13.1-13-19.8-19.1-1-49.1 13.3-87.6 37.8-119.2 8.9-2.2 18-5.4 27.4-9.7 5.8 5.7 13.7 9.2 22.4 9.2 17.5 0 31.7-14.2 31.7-31.8 0-17.5-14.2-31.7-31.7-31.7s-31.8 14.2-31.8 31.7c0 2.1.2 4.2.6 6.2-7.8 3.5-15.2 6.1-22.4 8-15.5-19.9-16.9-35.5-12.6-52.8 4.6-18.4 17.3-38.6 29.9-61.9 6.3-4.02 12-8.88 16.7-14.62 5.5 4.16 12.3 6.62 19.7 6.62 17.9 0 32.5-14.53 32.5-32.47 0-17.93-14.6-32.46-32.5-32.46s-32.5 14.53-32.5 32.46c0 3.4.6 6.68 1.5 9.75-11.2 16.83-32.7 26.23-58.8 26.69-26.6.47-57.1-8.56-82.7-27.25-40-23.91-86.1-41.78-126.3-42.31zm46.8 25c18.6 4.78 37.1 12.46 54.7 23.22l.1 14.75c-17.7-13.23-37.1-27.25-54.3-36.15zm-61.8 3.22l4.6 15.78c-11.2-5.2-22.9-9.35-35.3-12.09 10.7-2.2 20.7-4.03 30.7-3.69zm20.2 2.72c9.1 2.07 18.4 5.46 26.2 9.03l9.8 36.94c-9.2-7.27-18.6-14.13-28.5-20.28zm-62.8 17.78c18.5 3.03 35.5 9.68 51.6 18.72l-10.8 18.65c-14-13.33-28.2-26.75-40.8-37.37zm111.5 3.34c10.8 6.65 21.4 14.27 31.9 22.28 5.3 4.12 10.6 8.34 15.9 12.55l.3 44.1c-11.7-10.6-23.6-21.9-35.9-32.9zm66.4 8.85c12.6 8.53 26.2 15.08 39.9 19.62l.7 28.26c-13-8.7-26.5-19.6-40.5-30.88zm-192.29.18c15.59 13.03 30.59 27.3 45.39 42.1l-13.9 23.9c-13.6-22.6-24.73-45.32-31.49-66zm81.89 16.22c13.7 9.28 26.8 19.98 39.7 31.38-2 6.1-12.2 21.9-16.1 28.1-12.2-12.2-24.3-24.7-36.6-37zm224.7 7.88c-8.2 14.6-15.8 28.9-19.9 44.2-11.2.2-22.8-3.2-34.9-9.3l-.8-34.6c19.1 3.5 38 3.8 55.6-.3zm-342.91 8c.3 21.8 3.72 41.3 9.41 58.9L46.75 166c.35-20.5 2.82-39.5 6.84-55.5zm32.38 8.7c6.46 13.6 13.77 26.2 21.73 37.7l-13.55 5.8c-4.74-15.3-7.78-30.3-8.18-43.5zm196.43.1c14.3 10.9 26.8 21 40.9 29.2l1 45.7c-14.1-7.6-27.9-17.8-41.6-29.4zm-133.5 15c11.9 12.1 23.8 24.5 36 36.6l-16.4 26.4c-12.6-11.1-24.3-23.1-35-36.5zm77.7 5.2c13 11.7 25 23.1 36.4 33.1l-17.1 28.6c-12.7-10.6-24.9-21.9-36.8-33.6zm115.6 18.7c10.3 4.3 20.9 6.9 31.7 7.2-.2 14.1 3.6 28.7 12.9 43.6-15.9.6-30-1.3-43.6-6.2zm-223 14.1c9.9 12.5 20.6 23.8 32 34.3l-22.7 8c-10.7-11.8-19.8-22.8-26.5-35zm79.4 12c12 11.6 24.3 22.9 37.3 33.5l-12.4 20.7c-14-9.4-28.9-20-40.5-29.2zm78.9.5c14 11.3 28.5 21.4 44 29l-16.3 28.5c-15.8-8.6-30.6-18.5-44.6-29.3 5.6-9.4 11.3-18.8 16.9-28.2zm-228.53.8l22.09 4.6c5.33 11.7 11.66 22.6 18.72 32.9l-27.53-1.9c-6.04-10.7-10.69-22.4-13.28-35.6zm118.53 35.1c11.4 9.4 23.3 18.1 35.5 26.4l-24.3 8.2c-12.1-8.3-24.5-17.5-34.8-26.3zm171.3.4c15 5.1 32.5 7.2 46.6 6.6-7.6 12.1-14.1 25.1-19 39.1-15.8-4.2-30.6-9.6-44.5-16 5.6-9.9 11.3-19.8 16.9-29.7zm-88.1 8.4c14.2 10.7 29.1 20.6 45.1 29.3L285 277.7c-15.5-9.9-30.9-19.4-45.8-29 3.8-6.4 7.7-12.8 11.5-19.2zm-127 6.6c10.8 10.6 23 18.1 33 26.6l-6.7 2.2c-9.3-9.5-19.5-20.4-26.3-28.8zm-48.2 4.7c9.67.6 19.32 1.5 29 2 7.6 8.9 15.6 17.9 22.5 25.2-7.3.7-17.4.9-25.6 1.2-9.27-9.7-18.85-19.4-25.9-28.4zm147.1 19.5c15.1 9.7 30.4 19.2 45.7 29l-24 10.8c-15.1-11.3-32.2-22.7-46-31.7zm89.9 6.9c15.1 7 31.2 12.9 48.4 17.5-3.3 13.4-5.4 27.5-6.1 42.5-17.7-14.5-35.9-27.3-54.1-39.3 3.9-6.9 7.9-13.8 11.8-20.7zm-136.6 8.7c17.1 11.6 34 22.3 48.8 33l-22.9 10.3c-12.1-14-24.8-26.9-37.2-39.5zm-31.2 10.4c11.6 11.7 23.2 23.3 34.4 35.6h-24.8c-10.7-12.6-22.4-23.8-33.9-34.7 8.1-.1 16.2-.9 24.3-.9zm-50.86 1.9c11.76 11.3 23.66 22.2 34.76 33.7H112c-7.2-11.3-14.92-22.4-22.66-33.6 1.5 0 3.01-.1 4.5-.1zm193.26 13.2c18.2 12 36.2 24.6 53.7 38.6-19.8 1.3-37.6 3.1-54.7 6.5-6.1-12.3-15.1-23.1-25.9-33 8.9-4.1 17.9-8.1 26.9-12.1zm-45.7 20.5c11.3 9.5 20.3 19.3 26.2 29.7-11.3 3.8-21.7 9-30.1 16.2-7.2-12.1-15.1-23.2-23.3-33.7zM123 340.6h22.2c6.3 7.9 12.1 16.2 17 25.2-8.7 2.6-16.8 6.7-24.1 12.5-4.1-14-9-26.4-15.1-37.7zm45.7 0h26.6c6.8 8.3 13.3 16.9 19.4 26-11.6-2.8-22.6-4.2-33.1-3.8-4.1-7.9-8.6-15.9-12.9-22.2z"}}]})(props);
};
function GiFishingPole (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M459.36 43.126c-52.275 8.712-112.776 46.666-171.8 96.906-52.19 44.424-102.796 98.724-142.838 152.305l18.672 15.12c13.228-17.734 27.73-35.612 43.078-53.196l-7.84-8.214 13.02-12.43c4.962 5.48 10.23 10.624 15.588 15.98-11.517 38.772-39.2 79.74-72.682 112.528 4.815 3.77 9.285 9.016 11.818 13.726 36.024-34.846 65.698-78.494 78.332-122.087 43.844-16.906 66.78-48.94 89.637-90.875 59.482-8.695 102.554-40.688 126.98-69.985 5.128 13.79 10.162 27.596 12.97 41.098 3.867 18.583 3.758 36.084-4.987 53.32-15.826 31.187-45.75 46.012-69.05 61.634-11.65 7.81-22.287 15.994-26.587 28.74-4.3 12.746-.336 27.582 11.634 44.29 12.763 17.813 31.426 30.763 44.025 43.56 3.362 3.415 6.242 6.77 8.558 10.064 2.087-.42 4.24-.644 6.445-.644 5.573 0 10.836 1.412 15.457 3.888-.13-.373-.255-.748-.394-1.117-3.633-9.606-10.07-17.534-17.24-24.818-14.343-14.568-32.06-27.236-42.22-41.418-10.282-14.353-11.195-22.164-9.208-28.054 1.987-5.89 8.8-12.334 19.553-19.543 21.504-14.418 56.188-31.21 75.08-68.44 10.993-21.667 10.92-44.166 6.56-65.128-7.15-32.718-19.584-59.43-32.56-87.21zm-12.798 13.172l7.666 16.46c-19.566 27.352-61.308 63.002-121.12 72.202l-4.183-7.598c37.565-29.052 74.82-51.47 106.934-63.097l-4.896-11.07zm-138.37 82.662c3.517 5.194 7.076 10.895 9.946 16.133-21.795 39.982-40.676 66.46-78.537 81.41l-8.94-8.94c22.38-23.795 48.04-48.565 71.984-69.115l-5.57-7.723zM132.14 305.31l-8.81 10.88 23.316 18.88 8.808-10.882zM112 330.18L17.338 447.088c.033.307.18 1.134.828 2.404 1.395 2.734 4.697 6.665 8.582 9.812 3.886 3.146 8.42 5.56 11.383 6.355 1.378.37 2.216.34 2.524.307l49.72-61.403c-2.815-11.952-.31-25.042 7.965-35.26 8.273-10.218 20.556-15.395 32.833-15.127l4.143-5.115zm17.99 41.866c-6.608.054-13.126 2.98-17.66 8.58-8.06 9.955-6.555 24.29 3.4 32.35 9.955 8.06 24.29 6.552 32.35-3.403.47-.58.904-1.178 1.31-1.787l17.537 3.23-7.062 38.354 17.7 3.26 10.325-56.057-35.19-6.48c-1.09-4.877-3.79-9.44-8.023-12.868-4.355-3.526-9.548-5.222-14.687-5.18zm314.343 20.918c-8.39 0-15 6.61-15 15 0 5.16 2.507 9.642 6.385 12.332-.485 4.442-1.343 9.902-2.932 15.05-3.453 10.063-8.195 17.16-17.492 15.186-7.036-2.698-7.764-9.982-7.37-16.176l12.636-.213-26.694-40.82c-1.9 6.86-5.49 34.502-3.615 50.008.625 4.574 2.016 9.724 5.355 14.466 3.338 4.742 8.884 8.768 15.767 10.304 10.428 2.328 20.3-.8 26.63-6.65 6.33-5.85 9.723-13.474 11.984-20.795 2.397-7.764 3.458-15.483 3.94-21.088 3.32-2.733 5.407-6.887 5.407-11.603 0-8.39-6.61-15-15-15z"}}]})(props);
};
function GiFishingSpoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.598 24.87c-15.661-.33-32.31 6.302-42.94 10.407L303.79 66.154l54.135 12.332-4.822-20.03c32.638-18.927 57.029-17.597 68.796-11.06 6.01 3.339 8.807 7.642 9.452 11.897.644 4.255-.61 9.19-6.12 14.7l-79.744 79.743c2.644 1.48 5.089 3.278 7.27 5.46 2.18 2.18 3.979 4.626 5.459 7.269l79.744-79.744c5.51-5.51 10.444-6.764 14.7-6.12 4.254.645 8.558 3.443 11.896 9.452 6.537 11.768 7.867 36.158-11.059 68.797l-20.031-4.823 12.332 54.135 34.594-63.726c7.822-17.49 10.277-44.443-.102-63.125-5.537-9.968-14.546-16.932-24.935-18.506a29.504 29.504 0 0 0-3.92-.328 30.316 30.316 0 0 0-1.993.037c.097-1.982.001-3.96-.295-5.916-1.574-10.39-8.538-19.399-18.505-24.936-7.476-4.153-16.596-6.573-27.043-6.793zm-84.32 141.157c-8.132.065-18.19 1.594-29.452 4.479-25.74 6.594-57.736 20.114-90.205 36.787-64.938 33.346-132.469 79.826-159.28 106.637-18.472 18.472-18.52 42.314-10.251 67.119 8.268 24.805 25.512 49.02 38.652 62.16 13.14 13.14 37.356 30.384 62.16 38.652 24.805 8.269 48.647 8.22 67.12-10.252 26.81-26.81 73.29-94.341 106.636-159.279 16.673-32.469 30.193-64.466 36.787-90.205 3.298-12.87 4.824-24.17 4.416-32.816-.407-8.647-2.63-14.181-5.834-17.385-3.204-3.204-8.737-5.427-17.384-5.834a61.305 61.305 0 0 0-3.366-.063zm-12.339 23.639a20.083 30.124 45 0 1 .002 0 20.083 30.124 45 0 1 11.05 4.295 20.083 30.124 45 0 1-7.1 35.502 20.083 30.124 45 0 1-35.502 7.1 20.083 30.124 45 0 1 7.1-35.502 20.083 30.124 45 0 1 24.45-11.395z"}}]})(props);
};
function GiFishing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M455 32v198.47a16 16 0 0 0-7 13.208 16 16 0 0 0 7 13.226v66.774c0 5.75-1.877 8.85-4.262 10.836-2.384 1.987-5.657 2.887-9.258 2.287-7.16-1.193-16.37-8.05-16.474-28.77h15.533l-31.606-42.997-1.914 42.645H407c0 .106.005.21.006.316l-.002.035h.002c.128 26.794 14.79 43.74 31.514 46.527 8.4 1.4 17.126-.702 23.742-6.215C468.877 342.83 473 333.928 473 323.678v-66.79a16 16 0 0 0 7-13.21 16 16 0 0 0-7-13.227V32h-18zM191.97 142.678l-14.505.052 6.484 12.97c11.004 22.014 13.562 44.94 6.306 70.484 16.372-7.893 32.52-14.514 47.04-19.09 17.127-5.4 34.613-8.823 52.304-10.633-9.637-11.92-19.864-24.137-33.348-34.056-16.005-11.772-36.664-19.825-64.283-19.726zM321.173 212.9c-26.903-.003-53.246 3.41-78.47 11.362-29.805 9.395-69.467 29.167-100.985 50.238-15.76 10.536-29.53 21.437-38.99 31.195-9.458 9.76-13.73 18.572-13.73 21.983 0 1.115.658 3.355 3.328 6.55 2.67 3.192 7.133 7.02 12.975 10.918 11.683 7.798 28.768 15.954 48.064 23.338 10.86 4.156 22.445 8.07 34.225 11.647 4.63-5.44 9.13-10.773 13.082-15.685 4.6-5.715 8.51-10.923 11.09-14.957 1.933-3.025 2.8-5.784 3.103-6.27.1-.164.138-.074.133.343l18 .235c-.085 6.563-2.86 10.362-6.07 15.387-3.212 5.024-7.426 10.575-12.233 16.548-4.236 5.265-9.016 10.898-13.816 16.536 17.5-3.984 36.32-7.97 52.87-12.55 12.883-3.567 24.274-7.546 31.738-11.62 7.465-4.075 9.47-7.418 9.518-8.744l17.988.654c-.408 11.207-9.133 18.567-18.883 23.89-9.6 5.24-21.69 9.302-34.956 12.995 4.813.746 9.442 1.37 13.81 1.84 28.785 3.106 68.376 3.102 102.03-1.568 16.827-2.335 32.197-5.863 43.777-10.45 5.082-2.014 9.168-4.26 12.53-6.534-12.215-3.44-26.56-7.368-41.294-13.414-20.51-8.417-40.92-20.97-46.713-43.135-3.522-13.476 2.455-25.923 10.693-35.452 8.24-9.53 19.04-17.607 28.994-25.555s18.976-15.81 23.584-22.865c3.85-5.896 5.066-10.28 2.94-16.24-27.796-6.15-55.635-10.113-82.942-10.573-1.798-.03-3.595-.044-5.388-.045zm-307.55 24.39l11.028 15.585c25.106 35.484 28.82 103.86 19.66 151.705L41.4 419.783l14.653-4.99c31.135-10.605 49.9-25.726 63.056-41.373-8.873-4.267-16.915-8.706-23.8-13.3-6.772-4.52-12.463-9.17-16.792-14.35C74.188 340.594 71 334.563 71 327.68c0-12.59 7.967-23.33 18.807-34.512 4.653-4.8 10.03-9.647 15.92-14.486-18.32-23.38-43.376-37.776-73.06-39.977l-19.042-1.412zm332.317 10.388a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16z"}}]})(props);
};
function GiFission (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M77.637 19.54l108.717 144.544C145.316 176.7 91.09 152.704 40.102 132.53c40.576 32.116 110.02 65.16 103.662 97.53-6.637 33.79-75.205 49.33-121.065 72.52 46.032-5.046 91.778-21.09 120.15-9.78L18.38 347.136v20.39l138.388-60.41c2.133 14.26-9.665 37.273-22.043 55.985 22.007-10.08 46.61-21.938 65.523-22.06l-88.396 153.774h21.554l85.24-148.283c.553.434 1.093.892 1.616 1.382 33.55 31.47 34.284 87.542 43.888 141.225 9.885-54.016 13.682-119.31 41.846-138.094 16.562-11.047 96.26 29.193 143.596 57.07-22.238-21.752-82.32-73.64-85.68-95.812l129.744 65.993v-20.967L373.928 296.43c15.57-11.084 41.937-10.558 69.68-9.85-24.522-9.618-58.892-23.885-65.766-41.35l115.814-14.85v-18.843L380.154 226.09c14.736-32.777 66.75-61.05 108.05-93.555-49.74 19.266-106.767 55.532-135.92 41.254L493.655 31.177v-11.64H478.88L338.847 160.8c-18.24-30.214-6.765-92.786-3.715-141.26h-1.612C310.903 69.054 293.7 132.87 265 145.722c-17.43 7.805-35.296-38.196-47.615-67.204-2.256 29.66.042 60.142-14.79 76.07L101.022 19.54H77.638zM264.99 164.856c14.46-.133 28.89 7.536 38.207 19.274l-37.6 39.634-32.01-42.682c8.894-11.298 20.157-16.12 31.403-16.225zm-63.12 19.854l27.67 36.79-24.913 14.285 11.115 25.197-41.054 17.92c-7.104-35.84-1.95-70.025 27.18-94.19zm123.444 5.81c13.297 3.537 23.613 20.006 22.25 32.79h-.002l-40.875 12.2-14.755 1.892 33.382-46.882zm-27.04 60.994l60.404 1.707c3.703 9.603.78 23.42-6.65 32.07l-33.456-17.015-20.3-16.76zm-57.426 18.9l-32.82 57.094c-15.34-7.173-26.714-18.043-29.585-29.854l62.405-27.24zm21.537.027l52.084 28.67c-20.86 34.903-58.097 41.72-88.45 34.593l36.365-63.262z"}}]})(props);
};
function GiFist (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M329.8 235.69l62.83-82.71 42.86 32.56-62.83 82.75zm-12.86-9.53l66.81-88-45-34.15-66.81 88zm-27.48-97.78l-19.3 39.57 57-75-42.51-32.3-36.24 47.71zm-20.74-73.24l-46.64-35.43-42 55.31 53.67 26.17zm107 235.52l-139-102.71-9.92.91 4.56 2 62.16 138.43-16.52 2.25-57.68-128.5-40-17.7-4-30.84 39.41 19.42 36.36-3.33 17-34.83-110.9-54.09-80.68 112.51L177.6 346.67l-22.7 145.62H341V372.62l35.29-48.93L387 275.77z"}}]})(props);
};
function GiFizzingFlask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M365.47 18.727c-11.353-.18-21.053 7.365-24.786 20.058h-.002c-24.423-7.6-57.52-4.092-68.328 19.856-15.69-20.86-47.866-13.98-55.194 9.85-7.328 23.828 13.462 49.474 44.68 48.55-3.078 33.98 44.304 54.69 81.764 39.132-.473 19.307 8.312 41.853 30.37 44.97-6.395 18.11 3.104 42.047 28.614 42.047 31.47 0 38.024-36.316 21.025-53.145 9.474-10.39 12.832-25.167 11.096-39.13 17.282 12.104 34.59-6.52 33.767-20.08-1.516-24.97-20.366-35.97-33.768-24.3-8.8-27.616-37.243-32.007-52.562-16.353 1.35-7.425.2-13.105-5.255-19.274 22.605-5.702 18.913-37.698 4.68-46.904-5.44-3.517-10.942-5.195-16.102-5.277zm68.37 5.13c-22.7 0-22.882 34.655 0 34.655s22.7-34.655 0-34.655zM177.672 74.842c-22.7 0-22.882 34.654 0 34.654s22.7-34.654 0-34.654zm64.695 59.38c-1.695.06-3.792.895-5.877 2.887-4.765 4.554-8.11 13.804-1.814 24.216 1.365 2.257 2.837 4.486 4.408 6.672l-14.21 26.414-34.43 59.637-153.62 87.682-.008.006c-11.038 6.375-16.508 14.786-17.537 24.037-1.03 9.254 2.46 20.22 13.083 31.508 45.295 48.134 101.19 77.71 164.907 95.106 15.645 4.267 26.47 2.614 33.156-2.1 6.686-4.712 11.047-13.382 11.047-28.413v-.006l.214-177.61 38.008-65.832c-14.036-3.907-26.16-10.638-36.332-18.932l8.967-16.67c13.568 12.152 31.753 20.64 55.14 20.645 11.536-.03 18.363-7.457 20.046-13.542.84-3.044.414-5.247-.604-6.73-1.018-1.48-3.004-3.204-8.754-3.66-31.006-2.452-53.782-15.764-68.293-39.714-2.816-4.65-5-5.413-6.797-5.584-.224-.02-.46-.028-.7-.02zm234.053 39.305c-22.7 0-22.882 34.655 0 34.655s22.7-34.655 0-34.655zm-44.668 86.022c-35.27 0-35.553 53.837 0 53.837s35.27-53.838 0-53.838zm-235.256 8.337l9.367 16.172-136.506 79.06-.005.003c-4 2.31-4.756 3.894-5.043 5.127-.29 1.233-.127 3.423 1.852 7.027.543.988 1.228 2.044 2.024 3.15l-.416-.193c18.068 27.077 54.2 61.967 89.34 80.934-23.56-10.45-50.91-25.15-72.737-40.756C69.11 407.5 56.51 396.524 49.78 384.272c-3.363-6.124-5.332-13.14-3.673-20.262 1.66-7.123 6.93-13.046 13.9-17.07l136.49-79.053zm-88.068 88.87c18.55 6.4 52.894 25.26 80.154 46.013 13.63 10.375 25.305 20.885 32.086 31.998 3.022 4.952 5.264 10.303 5.2 16.203l-20.626-9.488c-9.495-11.61-23.806-22.776-35.75-29.517-24.435-17.28-54.436-33.15-67.16-37.54l6.096-17.667z"}}]})(props);
};
function GiFlagObjective (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 26v163.2c-15 .8-28.5 3.3-39.4 7.4-6.5 2.4-12.1 5.4-16.5 9.3-4.5 4-8.1 9.5-8.1 16.1 0 6.6 3.6 12.1 8.1 16.1 4.4 3.9 10 6.9 16.5 9.3 13 4.9 29.8 7.6 48.4 7.6 18.6 0 35.4-2.7 48.4-7.6 6.5-2.4 12.1-5.4 16.5-9.3 4.5-4 8.1-9.5 8.1-16.1 0-6.6-3.6-12.1-8.1-16.1-4.4-3.9-10-6.9-16.5-9.3-10.9-4.1-24.4-6.6-39.4-7.4V26zm38 .99v70.02L378.4 62zM247 207.3v29.4c-13.1-.7-24.8-3-33.1-6.2-5.1-1.9-8.9-4.1-10.9-5.9-2-1.8-2-2.5-2-2.6 0-.1 0-.8 2-2.6s5.8-4 10.9-5.9c8.3-3.2 20-5.5 33.1-6.2zm18 0c13.1.7 24.8 3 33.1 6.2 5.1 1.9 8.9 4.1 10.9 5.9 2 1.8 2 2.5 2 2.6 0 .1 0 .8-2 2.6s-5.8 4-10.9 5.9c-8.3 3.2-20 5.5-33.1 6.2zm-9 70.7L96 358l128-16-32 144h128l-32-144 128 16z"}}]})(props);
};
function GiFlail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M157.536 14.885c-7.895.044-15.766 1.753-22.812 5.17-4.184 2.029-7.855 5.023-10.563 8.752a28.094 28.094 0 0 0-1.691-.154 29.198 29.198 0 0 0-6.975.447c-17.601 3.257-33.382 16.254-39.95 32.906-2.143 5.435-2.662 11.442-1.198 17.084a29.476 29.476 0 0 0-2.957 3C59.786 95.72 55.74 115.76 61.15 132.823c1.583 4.995 4.47 9.524 8.437 12.898-2.69 17.558 4.225 36.588 17.59 48.29a29.244 29.244 0 0 0 5.42 3.751c-.262 1.3-.447 2.62-.532 3.95-.018.296-.027.593-.04.89l17.913 13.006c-1.439-4.37-2.164-8.83-1.906-12.881.039-.603.21-1.275.434-1.963a25.133 25.133 0 0 0 5.133-1.256 24.917 24.917 0 0 0 8.812-5.455c.722.272 1.374.593 1.893.965 9.29 6.664 16.246 21.344 15.52 32.754-.14 2.171-1.658 5.117-3.317 7.127l13.277 9.64c3.611-4.449 5.64-10.014 6.006-15.75v-.001c1.137-17.864-7.615-36.34-22.16-46.772a29.456 29.456 0 0 0-3.46-2.125c.105-.485.203-.97.282-1.46 2.811-17.362-3.828-36.227-16.834-48.065 5.324-11.395 6.711-24.748 3.522-36.854 10.306-4.818 19.168-12.943 24.71-22.842 11.981 4.36 25.644 4.433 37.575.032a56.285 56.285 0 0 0 2.931 5.078l13.428-9.36a46.072 46.072 0 0 1-2.615-4.746c3.486-4.089 5.759-9.222 6.078-15.058a24.948 24.948 0 0 0-1.025-8.578c.343-.017.686-.038 1.039-.034 2.075.025 4.237.408 5.635 1.184 4.699 2.608 9.076 7.045 12.472 12.191l13.42-9.353c-4.674-6.927-10.88-12.807-18.127-16.828-4.101-2.277-8.706-3.563-13.355-3.614a25.067 25.067 0 0 0-11.176 2.479 29.639 29.639 0 0 0-1.727-1.182c-7.58-4.76-16.473-7.419-25.484-7.912a56.263 56.263 0 0 0-3.383-.084zm.649 16.342c6.538.098 13.14 1.586 18.27 4.371-2.127 4.294-3.062 9.132-2.811 13.955a49.76 49.76 0 0 0 .675 5.93c-8.186 2.972-19.017 2.822-27.59-.203.267-6.107-1.486-12.277-5.712-17.408a25.413 25.413 0 0 0-1.584-1.739c.746-.721 1.524-1.32 2.271-1.681 3.858-1.87 8.551-2.914 13.42-3.168a45.655 45.655 0 0 1 3.06-.057zm-38.817 13.512c.308 7.11 3.59 13.374 8.541 17.947-4.046 6.89-11.205 13.193-18.701 16.664-3.338-3.21-7.55-5.557-12.482-6.553a25.331 25.331 0 0 0-3.684-.466 24.812 24.812 0 0 0-3.143.035c-.082-1.663.063-3.302.532-4.49 4.194-10.636 16.732-20.964 27.974-23.044.3-.055.626-.08.963-.093zm114.418 14.7l-36.834 25.67 25.776 36.643 36.832-25.67-25.774-36.642zM83.382 92.705c5.295 4.06 11.868 5.706 18.35 5.195 1.827 7.68.695 17.308-2.631 25.191a25.169 25.169 0 0 0-5.455-.306c-2.372.128-4.77.597-7.147 1.453a24.937 24.937 0 0 0-9.102 5.719c-.433-.67-.797-1.34-.996-1.967-3.423-10.803-.291-26.531 6.98-35.285zm185.385 16.464l-36.836 25.67 202.152 287.389c16.044-4.381 26.872-13.822 36.592-26.014L268.767 109.168zm-164.315 34.653c7.388 8.012 11.88 21.705 10.205 32.052a6.868 6.868 0 0 1-.26 1.018 24.96 24.96 0 0 0-14.027 6.602c-1.042-.424-1.983-.932-2.654-1.52-7.666-6.711-12.853-19.574-12.602-30.283 7.402.23 14.248-2.858 19.338-7.87zm109.809 56.125l-32.358 40.008c11.434 1.45 22.812 4.794 33.713 10.152l-1.355-50.16zm-132.4 14.802l21.052 90.711c21.548 5.7 50.394-10.025 53.865-35.427l-22.441-16.56c.142-.024.285-.04.428-.065l-32.147-23.342-20.758-15.316zm85.683 36.325c-4.88.042-9.731.462-14.512 1.242 5.45 3.805 8.178 5.902 16.334 11.348l-.215 3.914c-1.938 37.127-42.47 59.73-73.384 48.263l-3.032-1.119-.73-3.152-3.865-16.63a97.082 97.082 0 0 0-4.916 8.67C59.58 350.683 78.51 407.838 125.57 431.476a97.273 97.273 0 0 0 7.399 3.336l-11.721-24.957-1.377-2.938 1.693-2.744c14.587-23.775 48.909-33.238 74.975-20.308a53.057 53.057 0 0 1 16.385 12.63l2.15 2.43-.877 3.131-8.863 32.09c20.149-8.492 37.491-23.932 48.094-45.041a95.956 95.956 0 0 0 6.7-17.32l-5.167 3.894-2.572 1.944-3.05-1.084c-31.07-11.03-47.65-54.369-25.32-84.094l2.526-2.303 2.63-.094 16.755 1.028c-8.716-12.248-20.463-22.612-34.85-29.838l-.002-.002c-14.001-7.033-28.896-10.29-43.535-10.162zm-94.865 46.79l-55.323 3.005 44.358 33.937a106.829 106.829 0 0 1 10.785-36.582c.06-.12.12-.24.182-.36h-.002zm159.24 4.385c-13.636 21.718-1.562 52.29 18.627 61.733l74.324-56.08-92.951-5.653zm-60.53 88.221c-14.845.025-29.662 6.595-37.786 17.46l41.896 89.187 26.195-94.899c-3.215-3.134-6.79-5.678-10.668-7.513-6.134-2.905-12.888-4.246-19.636-4.235zm89.089 10.707a106.498 106.498 0 0 1-25.391 29.09l51.707 20.29-26.316-49.38zM80.27 407.553l-21.922 55.942 51.3-27.373a106.398 106.398 0 0 1-29.378-28.569zm399.925 2.195c-9.482 10.994-21.087 20.68-36.472 26.184l14.078 20.014c17.865-2.03 29.077-10.407 36.842-25.658l-14.448-20.54z"}}]})(props);
};
function GiFlake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M463.788 376c-22.562 39.09-132.242-79.382-171.32-56.815C253.394 341.752 301.123 496 256 496c-45.121 0 2.607-154.248-36.47-176.815C180.454 296.617 70.774 415.087 48.213 376 25.65 336.91 183.06 301.135 183.06 256c0-45.135-157.407-80.91-134.847-120 22.56-39.088 132.24 79.38 171.317 56.814C258.607 170.247 210.88 16 256 16c45.121 0-2.607 154.246 36.47 176.814C331.546 215.38 441.226 96.91 463.786 136c22.562 39.089-134.846 74.865-134.846 120 0 45.135 157.41 80.912 134.848 120z"}}]})(props);
};
function GiFlameClaws (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M151.512 37.035c-51.69-.214-100.824 7.018-132.326 22.772v66.297C97.35 78.58 182.403 43.256 328.416 70.896c-43.063-21.588-111.993-33.592-176.904-33.86zM307.248 93.44c-77.33.35-160.005 27.954-205.504 87.87 75.424-45.314 199.523-62.583 245.283 17.522-46.407-7.71-82.8-6.316-126.73 9.928 31.797 3.033 63.397 5.74 95.195 23.945-48.323-2.583-111.592-.39-152.88 19.434 57.407 10.062 120.95 41.456 165.97 78.637-85.807-12.592-191.26-7.8-281.738 37.42 147.54-18.767 285.34 3.414 352.164 69.498.828-40-16.497-76.03-45.354-99.666 40.57 3.4 98.484 15.67 138.227 35.53-20.002-56.736-78.51-99.523-141.347-136.767 40.244-10.064 97.665.616 130.604 23.945-16.55-46.084-64.71-102.122-134.692-119.724 46.795.355 90.846 3.826 123.813 11.68-30.703-38.65-94.776-59.56-163.01-59.253zm-141.852 4.94c-49.193 1.105-117.985 34.643-146.21 63.087V351.49c51.654-34.19 105.756-46.647 201.11-55.125C181.4 280.323 110.727 273.22 58.52 278.26c43.494-41 96.033-74.77 175.79-99.87-59.8-3.655-142.87 21.983-198.566 62.493 29.648-61.1 75.048-121.208 129.652-142.502zm-31.173 290.306c-50.335-.024-98.084 5.944-115.037 16.255v87.87H87.47c79.706-81.166 199.482-60.815 167.866-10.136 52.605-10.438 60.93-45.24 12.848-72.418-25.947-14.98-81.353-21.546-133.96-21.57zm165.578 17.6c23.984 20.695 57.554 49.106 41.833 84.185 59.816-26.543 22.823-63.73-41.832-84.185z"}}]})(props);
};
function GiFlameSpin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M363.344 19.563c28.18 47.964 33.504 103.075 19.344 152.875-29.288-27.994-66.822-50.915-105.532-71.75 57.858 75.817 58.09 128.63 53.313 183.437-24.622-87.035-113.16-131.873-189.095-102.03 53.576-2.22 104.1 31.922 118.813 84.75 16.9 60.696-18.662 124.96-81.157 138.124-30.186 6.36-58.903 1.052-84.218-12.22.2.006.396-.004.594 0-37.887-20.587-49.083-55.72-34.22-80.594 1.497-3.44 3.63-6.78 6.345-9.78 9.608-10.62 22.967-12.86 29.845-5 6.88 7.86 4.67 22.847-4.938 33.468-6.724 7.433-15.293 10.774-22.187 9.406 3.63 9.943 10.306 19.64 20.47 27.813 39.12-11.2 52.29-56.493 33.343-89.844 37.375 27.693 26.975 83.01-14.75 101.092 5.763 2.593 12.172 4.813 19.25 6.563 24.292-10.83 44.386-33.704 52.437-63.53 13.322-49.36-11.364-99.003-55.125-110.876-28.197-7.65-57.425 2.284-78.22 23.5-13.636 12.943-23.1 30.112-27 51.468l.314-.375c-1.794 8.906-2.396 17.758-1.876 26.343-4.006 99.012 56.25 148.94 159.22 176.875 64.095 17.385 133.002 1.828 183.81-35.905 97.612-63.963 151.2-188.13 121.657-305.25-5.23 20.13-12.662 39.088-21.936 56.75C466 132.1 430.22 59.497 363.344 19.562zm-226.78 83.906c-53.644-.37-105.26 31.506-116 135.624 14.563-21.117 35.932-36.335 61.123-44.656C88.478 139.8 136.322 107.712 192.03 114c-17.617-6.318-36.67-10.402-55.468-10.53zm287.124 42.936c43.41 86.672-9.364 222.056-84.875 277.875-47.28 39.394-120.826 54.736-210.907 21.876C373.584 467.682 416.692 295.718 337 161.126c42.183 42.98 60.72 93.294 59.875 140.436 21.902-49.214 32.34-104.697 26.813-155.156zm-315.375 80.97c34.658.506 66.722 28.08 55.53 91.78-.894-53.99-72.808-112.305-126.312-29.062 3.39-39.784 38.225-63.196 70.782-62.72zm184.468 41.53c57.214 46.582 14.283 155.733-98.155 152.844 58.078-8.234 124.46-89.278 98.156-152.844z"}}]})(props);
};
function GiFlameTunnel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112.594 45.688c-33.65.38-66.873 11.23-93.688 27.562v420.78h475.281V220.564c-22.427-21.996-48.835-40.333-78.062-53.813 20.372 18.498 36.818 41.463 47.28 67.156-7.398-2.135-14.91-3.816-22.467-5.094 18.725 24.8 32.064 56.215 23.75 86.657-2.34-37.387-38.97-79.515-86.032-87.814-25.21 3.386-48.432 11.49-66.5 23.78 82.662-22.643 148.576 60.104 139.594 127.314-6.846-30.505-28.463-55.342-56.656-68.344 42.71 43.83 7.048 110.55-37.97 121.47 39.824-47.29 27.57-128.508-24.155-148.845 33.853 44.02 7.497 96.7-33.658 124.908 2.238-18.616 2.303-41.183-19.843-47.875 16.594 30.952-15.67 62.437-40.908 55.375-38.57-10.795-44.1-36.156-24.53-64.157-45.01 10.912-46.928 51.066-19.845 82.345-66.985-17.842-48.462-88.564-10.562-108.47-31.97-1.894-63.28 18.24-77.625 55.908 3.132-59.047 40.505-103.71 96.938-86.407-46.002-22.388-81.956-25.457-118-4.187-23.804 16.268-42.135 37.688-50.876 60.686 1.174-34.59 18.755-64.902 42.813-89.562 4.994-18.475 12.938-35.995 23.28-52.22-19.257 16.16-36.18 34.696-50.218 54.907 7.364-64.532 52.083-114.94 110.97-128.5-8.616-.54-17.493-.672-26.282 0-29.56 2.277-59.468 11.258-85.97 24.19C88.998 90.69 164.76 53.416 226.22 99.093c-31.36-38.968-72.808-53.87-113.626-53.406zm340.937 23.5c-43.96-.238-87.865 13.166-117.124 60.093 44.61-36.372 101.66-33.48 157.78 11.345l.002-67.844c-13.263-2.117-26.96-3.518-40.657-3.593zM349.19 162.875c-24.07-.18-46.58 12.584-54.282 41.375 35.84-18.384 83.33-20.903 128.125 24.53-4.907-41.085-40.858-65.657-73.842-65.905zm-80 121.813c-6.022-.038-12.407.797-19.063 2.687 36.172 14.942 57.26 42.38 64.938 77.938 20.873-36.532-3.725-80.364-45.875-80.625z"}}]})(props);
};
function GiFlame (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M245.05 15.514c34.29 48.815-23.535 320.54-90.302 136.72C106.796 325.11 38.956 332.518 38.876 252.55c-71.6 79.31 43.824 220.767 87.376 243.935h52.127c-45.92-40.016-76.784-78-82.176-135.968 47.312 9.423 71.855 20.96 81.263-62.048 60.736 86.59 100.944-49.376 137.184-107.12-1.647 40.32-3.343 93.456 22.848 129.888 8.736 12.143 33.232 16.11 54.736 15.807-9.92 16.08-44.848 69.376-17.008 89.2 27.84 19.824 33.072-.384 25.856 16.176-13.264 20.88-22.992 39.375-59.072 54.063h56.064c59.44-18.72 111.807-91.663 94.607-135.535-22.015 18.657-43.774 30.897-61.294 29.537 49.12-72.08 37.84-145.903 14.752-221.342-20.224 72.383-33.488 82.495-54.576 99.52 29.104-68.657-85.44-214.448-146.51-253.15z"}}]})(props);
};
function GiFlamedLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M407.47 20.85c10.26 16.748 17.462 36.09 19.856 56.65-32.396-44.636-58-40.276-96.36-25.697 65.992 9.776 101.33 67.377 96.36 140.75 48.848-61.72 34.92-160.814-19.857-171.703zm-276.167 2.896c-.987-.002-1.985.006-2.994.024h-.003c-34.522.598-107.756 26.213-104.54 101.037 21.08-55.636 65.886-58.685 104.54-32.123 46.407 31.894 22.075 98.348-16.936 100.45 11.637-17.33 17.04-40.65 2.974-55.29-24.895-25.91-54.777 4.487-55.533 29.594-1.403 46.62 45.44 68.116 75.336 60.738 30.192-7.45 50.092 12.416 36.795 51.976-15.056 44.795-121.114 75.948-133.155-8.173 1.7 88.73 43.248 129.87 104.54 98.114 41.467-21.487 78.87 18.96 74.17 54.896-32.792-37.747-82.098 17.986-38.544 40.883 78.98 41.522 199.4 40.194 265.73-23.945 64.735-62.6 60.833-175.215 12.263-259.89-5.614 26.608-28.43 52.367-74.17 67.163 59.262-77.482 2.572-206.85-129.652-174.036 84.2 4.683 73.567 108.248 5.257 105.123-62.264-2.848-.79-156.296-126.074-156.54zM277.508 230.22c-56.683 51.454 15.914 153.65 88.95 141.837-33.543-9.43-64.745-51.995-54.833-100.05 31.558 66.125 129.923 66.127 137.49-16.85 29.98 68.665 13.327 147.842-36.478 182.18-58.45 40.295-156.124 24.466-181.955-58.83 19.527 19.775 58.78 32.23 82.654 28.722-92.908-26.93-106.546-145.142-35.828-177.01zM24.68 355.77c-16.486 116.72 99.137 117.28 130.425 29.306-48.323 24.538-100.24 29.99-130.425-29.305z"}}]})(props);
};
function GiFlamer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M166 121c0 90 90 105 90 180 0 30-30 75-75 75s-75-45-45-120c-45 30-60 60-60 90 0 75 75 150 180 150s180-45 180-135c.67-133.125-153.4-177.596-195-240-30-45-15-75 15-105-60 15-90 57-90 105z"}}]})(props);
};
function GiFlamethrowerSoldier (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M264.9 17.86c-46.7 11.27-58.3 67.75-2.3 73.81-24.2-10.41-13.8-36.35 12.4-60.04-5 8.07-7.6 17.34-7.4 25.83.4 14.13 8.1 26.72 24.5 29.65-30.7-39.92 23.1-60.4 51-44.06 30.3 17.63-13.5 67.65-50.3 67.85 20.8 20 72 5.5 81.5-37.38 20.9 93.48-85.7 54.68-103.6 87.78 67.3-16.3 26 52.3-10.3 101.2l19.6 16.3c28.8-32.8 54.4-43.5 43.1 7.7 29.2-47.2-6.6-45.8 65.6-95.6 31.5-21.7 53.5-5.4 60.1 21.2 8.6 34.2-20.3 81.6-36.1 41.3-1 42.3 31.9 47.8 53.3 27.6-6.4 20-22.7 32.9-40.2 30.7 32.1 25.8 62 3.9 68.1-38.7V17.86h-229zm-5.7 145.74c-27.4 8.6-30 27.3-29.4 45 .3 8.9 7 16.6 21.3-6.3-19.1-4.2.2-30.2 8.1-38.7zM75.17 254c-4.8.1-9.24 1.3-13 3.7-14.6 9.6-17.11 24.6-16.06 39.3.45 6.2 1.65 11.8 2.86 16.4 1.56-1 2.69-1.8 4.55-3.1 8.17-5.6 18.84-13.1 29.43-20.5 15.85-11.2 24.55-17.4 31.45-22.3-3.9-2.4-8.5-5.1-13.8-7.4-7.9-3.6-16.29-6-23.91-6.1h-1.52zm175.53 23.7L236.1 297l24.8 19.9 15.5-17.7-25.7-21.5zm121.2 1.2c-11.7 1.6-17.7 15.9-13.3 23.9 6.6 12 18.1 17.7 40.9 2.1-27.5 3.6-37.7-6.5-27.6-26zm-259.3 11.9c-6 4.3-12.5 8.9-19.27 13.7-10.07 7.1-20.1 14.1-28.18 19.7 1.41 7 4.16 13.2 7.68 17.8 5.18 6.9 11.54 10.4 18.25 10.4 6.71 0 13.02-3.5 18.22-10.4 5.2-6.8 8.7-16.9 8.7-28.2 0-8.7-2.1-16.6-5.4-23zm117 24.2l-44.9 45.3-9.9 66.9 72-98.5-17.2-13.7zm-113.2 45.6c-7.1 6-15.8 9.8-25.32 9.8-5.44 0-10.62-1.2-15.37-3.4-.19 26.1 3.7 44.5 11.19 58.5 7.22 13.5 18.2 23.6 33.6 33.1l16.5-7.8-22.2-45.6 9.6-9.7c-3-11.4-5.5-23-7.4-34.8l-.6-.1zm-78.94.5c-10.13.1-20.48 4.8-21.79 13.7v117.7h42.08V375.9c-.09-10.1-10.06-14.8-20.29-14.8zm125.84 20.8l-26.7 26.9 17.4 35.8 9.3-62.7zm67.7 7.4c-3.1-.1-6.1.9-8.3 2.8l-29.3 40.2 37.1-3.7 14.2-14.9c3-5.3 3.3-9.2 2.6-12.4-.8-3.4-2.9-6.3-6-8.5s-6.8-3.4-10.3-3.5zM75.75 441.8V491l78.05.5c-1.7-5.8-3.5-11.5-5.3-17.2l-3.6-7.3-25.4 12.1-4.1-2.4c-16.51-9.6-29.97-20.6-39.65-34.9z"}}]})(props);
};
function GiFlamethrower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M493.2 17.08c-6.5 13.85-30.7 31.28-34.7 30.14-5.7-1.6-11.5-11.29-7.1-22.57-12.4 7.46-19.1 22.92-21.6 35.23l17.8 23.2c8.2-.24 20.4-1.3 27.7-5.21 14.4-7.72 17.9-60.79 17.9-60.79zm-72.9 60.03l-36.5 27.99 8.6 11.1 36.4-28.01zm33.1 19.84l-.9 13.35L285 239l10.9 14.2 173.4-133.1 3.4-26.08zm-93.6 6.45l-11.1 8.4 28 36.6 11.1-8.5zm-15.7 32.1l-11.1 8.6 8.6 11.1 11.1-8.6zm-26.5 18l-15.3 11.7-44.9-5.9-33.9 26 11 14.3 27.9-21.5 19.7 2.6-39.1 30s-21.1 17.4-25 20.3l10.6 13.5 11.2-8.6 8.5 11.1 14.2-10.9L254 225l74.5-57.3zm-107.1 44.3l-11.1 8.6 8.5 11.1 11.1-8.6zm-51 4.3c-4.7.2-9.1 1.6-12.1 3.9l-5.6 4.3 14 18.2-14.2 11-14-18.3-23.8 18.3 13.9 18.2-14.2 11-14.06-18.3-5.56 4.3c-3.95 3.1-7.06 8.9-7.9 15.4-.85 6.4.64 13 3.68 16.9l17.22 22.4 15.12 2 91.4-70.3-23.7-30.9c-3.1-4-9-7.1-15.4-7.9-1.2-.1-2.4-.2-3.6-.2zm112.4 49.4l-53.5 41.1.4 6.1 54.8-10.6 16.6-12.8zm-73.3 16l-28.6 22 3.3 47.2 30-2.5zm184.6 0c-11.5 0-23 7-23 27v39h46v-39c0-20-11.5-27-23-27zm64 0c-11.5 0-23 7-23 27v39h46v-39c0-20-11.5-27-23-27zm-103.9 16.1c-19.9 5.8-39.5 13.8-52.5 26.2-12.1 11.5-17.6 28-20.8 45.2-3.1 17.3-4 35.8-5.2 52.6-1.3 16.8-3.3 32-7.3 41.4-2 4.6-4.4 7.7-7 9.7-2.6 1.9-5.8 3-11 2.8-9.7-.3-16.8-7.1-23.2-20.6-6.4-13.6-10.6-32.9-13.1-52.2-1.6-12.5-2.4-25-2.9-36.2l-17.9 1.5c.4 11.4 1.4 24.1 3 36.9 2.6 20.4 6.8 41 14.7 57.6 7.8 16.6 20.6 30.4 38.8 31 8.5.3 16.2-1.9 22.2-6.3 6-4.3 10.1-10.4 12.9-17.2 5.8-13.4 7.4-29.8 8.7-47 1.3-17.2 2.2-35.2 5-50.7 2.9-15.5 7.7-28.1 15.5-35.5 7.8-7.4 22.7-14.3 39-19.8v-8.5c0-3.9.4-7.5 1.1-10.9zm-190.4 19.1L117 330.2l-15.7-2.1-4.82 36.5-77.65 59.3c-.21 9.1 2.64 24 9.24 38.1 6.18 13.1 15.29 25.3 26.18 32.9l52.25-76.7 6.2-47.4 42.7-32.7zm191.3 48.8v14h142v-14zm16 32v110h46v-46h-32v-64zm32 0v46h46v-46zm64 0v64h-32v46h46v-110z"}}]})(props);
};
function GiFlamingArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M57.875 21.28l10.78 10.782.25-.25 235.282 235.313 5.157-25.188 1.062-5.187 5-1.78 22.625-7.907 8.564-3 3.25 8.468 67.062 174 7.563 19.626-19.626-7.53-174.25-66.813-8.53-3.282 3.092-8.592 8.188-22.907 1.75-4.936 5.156-1.063 29.406-6.03L32.686 68.03l.064-.03-15.625-15.625v26.438l92.156 92.156c-30.99 4.08-64.743-6.566-88-41.25-5.772 45.12 27.467 71.417 67.595 90.093 142.86 66.488 62.58 154.315-21 68.312C91.465 422.337 345.872 515.98 446.22 443.03c81.28-59.088 28.39-317.88-124.564-357.342 35.845 25.814 3.98 39.604-35.844 34.906 33.436 18.52 53.9 43.222 28.188 65.687-25.476 22.26-62.792-19.648-67.75-56.78-7.816-58.527-13.53-89.41-90.53-86.125 31.365 24.65 36.576 52.646 26.843 76.188L84.313 21.28H57.874zm277.78 226.407l-9.06 3.188-11.94 58.188-1.217 6.062-6.032 1.22-58.25 11.936-3.344 9.376 146.094 55.97-56.25-145.938z"}}]})(props);
};
function GiFlamingClaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M286.344 15.22c35.747 36.387 36.18 94.69-1.875 112.78-41.352 19.655-99.47-5.62-72.876-74.813-74.166 45.167-89.234 119.982-63.656 192.125-30.293-23.512-90.362-67.5-47.875-117.375-57 11.348-71.862 59.875-42.063 90.532 49.228 50.64 13.02 118.883-28.03 46.718-24.442 123.094 153.718 150.67 155.343 231.28h18.53C195.46 427.78 141.368 388.31 83.282 340l30.25-93.406c.142 1.064.294 2.08.44 3.125-1.64 46.587 15.002 127.502 78.468 121.843-14.43-6.617-26.087-15.86-35.563-26.47 20.738-4.194 38.623-63.316 32.28-156.374l88.126-31.564c-64.46 43.87-78.115 117.557-39.436 154.563l44.72-103.94 85.498-22.343c-64.875 41.348-105.853 95.667-73 144.688l57.875-80.906L458.158 265c-125.27 21.775-157.203 101.965-173.626 176.28 3.107 17.593 10.72 36.258 20.283 55.19h13.656C272.694 372.424 453 363.083 480.843 287.97c26.825-72.37 7.37-109.43-52-157.69 48.237 78.413-19.87 116.58-38.53 85.845-38.098-62.747 70.19-152.574-103.97-200.906z","fillRule":"evenodd"}}]})(props);
};
function GiFlamingSheet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M24.17 23.23C141.2 130.5 6.05 261.7 98.24 395.8c52.16 75.9 147.16 102.4 243.36 84.3C536 443.6 541.9 105.6 306.4 60.75c125.4 74.35 79.7 167.45 23.3 148.45-76.7-25.8 20.4-110.79-86.4-169.66 46.2 92.96-76.4 78.56-77.6 1.68C118.8 100 235.9 174.2 243.8 241.5c12.3 105.1-118.3 77.1-90.9-41.3 15.5-66.5-34-127.13-128.73-176.97zM427.9 168.1c63.6 104.5 30.6 218.7-28.7 263-78.8 58.8-223.4 37.1-282.7-53.8 165.6 102.2 286.6 19.3 205.1-94 8.5 47-17.8 82.6-65.3 97.5 36.2-30 46.5-96.2 2.2-200.3 91.6 139.8 203.6 100.3 169.4-12.4zm-319.4 24.1c-8.57 99.3 58.1 170.8 140.7 163.2-97.7 68-206.53-47.1-140.7-163.2zm291.8 96c-19.6 0-35.4 15.9-35.4 35.5s15.8 35.4 35.4 35.4c19.6 0 35.5-15.8 35.5-35.4-.4-20.3-20.2-35-35.5-35.5zm-21.2 89.5c-10.7 0-19.4 8.8-19.4 19.5 0 10.8 8.7 19.5 19.4 19.5 10.8 0 19.5-8.7 19.5-19.5 0-10.7-8.7-19.5-19.5-19.5z"}}]})(props);
};
function GiFlamingTrident (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M103.03 16.438C87.39 31.415 72.88 78.322 91.095 110.874c74.192 132.596-2.636 198.3-39.5 92.72-27.98 89.637 6.844 197.69 101.22 252.186l56.03-56.03-17.22-17.47c-22.326-22.272-23.116-58.42-.81-80.686l41.06-41.063-8.968-8.936 57.344-21.125-21.156 57.218-8.75-8.72-40.97 40.376c-12.485 12.463-12.53 31.874 0 44.375l17.75 17.75 73.69-73.69-13.72-13.686 75.812-27.938-27.97 75.656-15.56-15.53-73.876 73.562 18.72 18.72c12.524 12.468 31.873 12.473 44.374-.002l44.312-44.312-8.78-8.78 57.343-21.126-21.158 57.22-9.156-9.127-44.03 44.688c-22.32 22.267-59.14 22.234-81.47 0L227.03 418.22l-50 49.75c33.226 14.468 72.478 22.905 117.69 22.905 250.694 0 238.78-311.425 86-351.813 34.115 37.6 2.513 82.866-51.44 75.72-66.704-8.838-71.872-73.31-58.874-99.47 24.57-49.455-17.56-101.51-93.156-96.843 103.54 77.253-53.127 162.6-74.22-2.032z"}}]})(props);
};
function GiFlamingo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M411.674 19.82c-.266 0-.532.008-.799.026-11.862.793-66.118 4.177-57.514 78.935 4.69 40.745 35.686 134.777 8.723 137.942-10.085 1.183-21.482-50.259-107.617-49.145-79.045 1.022-105.178 46.044-128.602 76.057-40.892 18.126-62.973 26.188-73.426 62.861 20.703-3.015 38.183-20.096 69.045-27.537 49.206 12.785 111.833 46.992 184.914 4.223 49.809-12.752 105.363-19.901 108.301-82.514-3.586-43.57-16.011-82.308-28.492-120.379-4.426-13.5-11.253-30.65 6.52-37.7 8.378 4.004 15.912 8.46 32.648 5.88 14.265 5.75 19.893 35.658 30.184 35.07 1.182-14.901 6.732-29.728 2.328-44.764-1.932-6.594-18.959-13.676-28.616-20.435-1.59-9.443-9.344-18.484-17.597-18.52zM198.26 338.213l-37.028 55.744 73.073 39.361v60.684h17.998v-50.988l76.674 41.3 8.537-15.843-85.211-45.9v-81.919c-6.043.983-12.069 1.465-17.998 1.54v70.683l-47.159-25.402 30.592-46.057c-6.806-.705-13.347-1.832-19.478-3.203z"}}]})(props);
};
function GiFlangedMace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M487.666 24.334c-24.62 11.186-45.546 18.608-63.14 21.9l41.24 41.24c3.292-17.594 10.714-38.52 21.9-63.14zm-86.082 24.414c-32.088 11.49-60.035 12.74-84.406 4.617l-9.674-3.222-1.998 9.996c-10.117 50.582-18.887 83.28-36.71 121.694l61.37 61.37c38.413-17.823 71.112-26.593 121.695-36.71l9.997-1.998-3.222-9.674c-8.124-24.37-6.873-52.318 4.617-84.406zm2.025 18.148c-13.847 11.685-29.848 19.95-55.34 19.95h-5.56l-2.487 4.974c-18.768 37.536-37.835 74.907-55.494 98.27 17.45-37.59 26.875-71.046 36.4-117.088 25.205 6.06 52.813 3.84 82.48-6.106zm7.902 16.276L303.65 194.957c17.364-24.354 33.734-57.204 50.276-90.32 24.903-1.193 42.88-10.125 57.586-21.465zm17.316 17.316c-11.34 14.707-20.272 32.683-21.465 57.586-33.116 16.542-65.966 32.912-90.32 50.276zm16.276 7.903c-9.945 29.667-12.166 57.275-6.106 82.48-46.042 9.525-79.5 18.95-117.088 36.4 23.363-17.658 60.734-36.725 98.27-55.493l4.974-2.488v-5.56c0-25.492 8.265-41.493 19.95-55.34zm-192.292 82.915l-12.728 12.728 67.883 67.883 12.728-12.728-7.67-7.67-52.543-52.543zm-6.363 41.718l-43.843 43.842 32.528 32.528 43.842-43.842zm-67.884 45.256l-12.728 12.728 55.154 55.154 12.73-12.728zm-14.142 36.77l-41.012 41.01 32.527 32.528 41.01-41.012zM99.37 357.474l-12.727 12.728 55.154 55.154 12.728-12.728zm-14.14 36.77L18 461.472V494h32.527l67.23-67.23z"}}]})(props);
};
function GiFlashGrenade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M279.31 24.574l-9.34 16.188 26.34 15.2 9.348-16.185-26.347-15.203zm55.692 1.77l-23.04 39.88c8.697 3.117 17.316 7.09 25.716 11.936 9.207 5.313 17.637 11.378 25.215 18.024l23.287-40.31-51.178-29.53zm-71.49 50.017c-4.798.02-9.493.35-14.04.984-24.26 3.384-44.065 15.097-55.01 34.043l-28.89 50.01 16.758 9.67 22.945-40.14 16.225 9.276-22.982 40.203 48.847 28.188 22.774-39.84 16.223 9.275-22.81 39.906 56.992 32.886 22.58-39.506 16.227 9.274-22.62 39.572 14.88 8.586 28.894-50.018c10.945-18.946 11.19-41.94 1.994-64.626-9.195-22.687-27.957-44.635-54.162-59.756-19.655-11.34-40.545-17.14-59.996-17.9-1.62-.064-3.23-.093-4.83-.087zM389.207 87.99l-9.348 16.184 53.646 30.957c-4.74 3.604-8.798 8.41-12.006 13.83-6.885 11.636-10.73 26.704-10.73 43.216s3.845 31.582 10.73 43.217c6.885 11.634 17.644 20.515 30.8 20.515 13.153 0 23.913-8.88 30.798-20.515 6.884-11.635 10.726-26.705 10.726-43.217s-3.842-31.58-10.726-43.215c-4.96-8.38-11.934-15.308-20.36-18.542l-73.53-42.43zm63.092 59.147c.85 0 1.724.113 2.614.345l5.164 2.98.12-.206c2.308 1.833 4.62 4.52 6.814 8.225 4.763 8.048 8.123 20.172 8.123 33.696 0 13.523-3.36 25.65-8.123 33.7-4.763 8.048-10.093 11.343-14.713 11.343-4.62 0-9.953-3.296-14.716-11.345-4.763-8.05-8.123-20.176-8.123-33.7 0-13.523 3.36-25.647 8.124-33.696 4.763-8.05 10.095-11.345 14.715-11.345zM174.66 188.217L112.25 296.254l148.63 85.764 62.41-108.036-148.628-85.765zM84.467 301.8l-28.895 50.016c-10.946 18.948-11.19 41.943-1.996 64.63 9.193 22.68 27.948 44.62 54.143 59.74.006.004.013.01.02.013h.002c26.206 15.12 54.607 20.388 78.865 17.003 24.26-3.384 44.064-15.096 55.01-34.043l28.89-50.01-16.595-9.576-25.855 45.235-16.227-9.277 25.895-45.3-56.993-32.885-25.662 44.894-16.226-9.275 25.7-44.96-48.847-28.187-25.494 44.598-16.224-9.275 25.53-44.663-15.043-8.68z"}}]})(props);
};
function GiFlashlight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M340.162 18.186c-9.86.138-17.596 2.957-22.69 8.052-9.06 9.058-10.928 26.47-3.318 49.3 7.61 22.832 24.437 49.604 48.57 73.737 24.134 24.134 50.906 40.96 73.737 48.57 22.832 7.61 40.244 5.744 49.302-3.314 6.863-6.862 9.587-18.53 7.2-33.71-1.16 5.313-3.534 10.246-7.442 14.155-5.97 5.968-14.318 8.374-22.776 8.31-8.458-.063-17.446-2.342-26.898-6.234-18.906-7.784-39.76-22.21-59.22-41.673-19.463-19.462-33.89-40.317-41.675-59.223-3.89-9.452-6.17-18.438-6.233-26.896-.01-1.117.03-2.232.11-3.34a78.697 32.79 45 0 0 35.736 55.848 78.697 32.79 45 0 0 78.832 32.46 78.697 32.79 45 0 0-32.46-78.833 78.697 32.79 45 0 0-66.003-37.06c-1.638-.112-3.234-.17-4.77-.147zm-48.767 32.1c-6.988 6.83-13.964 14.17-18.243 20.107-5.328 7.392-11.51 14.412-15.722 21.066-4.212 6.653-6.17 12.26-5.323 17.483 11.187 68.933 82.017 139.763 150.95 150.95 5.223.847 10.83-1.11 17.484-5.323 6.655-4.212 13.675-10.394 21.067-15.722 5.936-4.28 13.276-11.255 20.108-18.243-9.795-.105-20.302-2.133-30.945-5.68-26.306-8.77-54.92-27.068-80.772-52.92-25.853-25.854-44.15-54.47-52.92-80.775-3.548-10.643-5.578-21.15-5.683-30.945zm-47.39 96.247L49.244 359.31c17.678 44.414 59.03 85.767 103.446 103.446l212.777-194.76c-53.32-20.988-100.475-68.143-121.463-121.463zm-16.806 97.6c.597.03 1.22.094 1.87.197 9.537 1.506 17.898 6.978 24.76 13.84 6.862 6.862 12.334 15.223 13.84 24.76.82 5.203-.81 8.604-2.547 12.187-1.736 3.583-4.078 7.227-6.89 11.088-5.626 7.723-13.153 16.222-21.196 24.266-8.043 8.044-16.545 15.573-24.267 21.198-3.862 2.813-7.505 5.155-11.088 6.89-3.583 1.736-6.985 3.37-12.188 2.547-9.536-1.505-17.897-6.977-24.76-13.84-6.862-6.862-12.334-15.222-13.84-24.76-.82-5.202.812-8.604 2.547-12.187 1.737-3.583 4.08-7.226 6.892-11.088 5.625-7.722 13.154-16.224 21.197-24.267s16.542-15.57 24.265-21.195c3.86-2.813 7.505-5.155 11.088-6.89 2.687-1.303 5.272-2.547 8.592-2.74.553-.034 1.126-.036 1.724-.005zm-.936 17.976c.275.043.563.103.86.173.084-.04-.152-.062-.86-.174zm.86.173c-.138.064-1.118.174-2.395.793-2.075 1.005-5.04 2.838-8.337 5.24-6.597 4.805-14.624 11.862-22.137 19.375-3.71 3.71-7.303 7.542-10.572 11.267l29.36 29.36c3.724-3.27 7.556-6.864 11.265-10.573 7.512-7.513 14.57-15.54 19.374-22.137 2.402-3.298 4.235-6.262 5.24-8.336.62-1.276.73-2.256.793-2.393-.927-3.9-4.15-9.512-8.615-13.98-4.467-4.465-10.08-7.687-13.98-8.614zm22.593 22.594c.07.296.13.584.174.86-.11-.71-.134-.945-.173-.86zm-77.192 28.375c-1.24 1.893-2.246 3.595-2.884 4.912-.616 1.272-.73 2.247-.792 2.39.925 3.9 4.147 9.515 8.615 13.983s10.082 7.69 13.982 8.615c.144-.063 1.12-.176 2.39-.793 1.318-.64 3.02-1.644 4.913-2.885l-26.223-26.223zm18.92 29.9c-.09.04.143.06.856.172-.273-.043-.56-.102-.855-.172zm-22.597-22.597c-.07-.295-.13-.582-.172-.856.112.712.132.945.172.855zM35.895 373.893L19.742 391.54c11.654 49.472 51.246 89.064 100.72 100.718l17.645-16.153C94.302 456.21 55.79 417.698 35.895 373.893z"}}]})(props);
};
function GiFlatHammer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M132.813 27.625l29.593 134.125c4.547 3.588 9.68 4.188 18.063 1.97l5.186-1.376 3.813 3.812 84.218 84.188 3.78 3.78-1.343 5.19c-2.42 9.36-1.483 15.047 3.375 19.905l13.53 13.53 97.533-97.563-13.532-13.53c-3.538-3.54-9.39-4.415-19.655-1.438l-5.313 1.53-3.906-3.906-86.187-86.188-1.626-3.28-1.094-3.314V64.376c-.013-.02-.018-.044-.03-.063L132.81 27.626zM310.592 85.5l-14.156 14.188 43.782 43.78 14.186-14.155L310.594 85.5zm120.25 95.844l-159.968 159.97 37.063 37.123 160-160-37.094-37.093zM196.5 199.594l-175 175v87.594l218.813-218.782-43.813-43.812z"}}]})(props);
};
function GiFlatPawPrint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M314.78 19.47c-18.84 33-23.783 72.886 5.876 69.56 24.07-2.696 16.35-40.304-5.875-69.56zm-122.217 4c-17.095 33.8-19.95 73.854 9.5 69.218 23.9-3.764 14.227-40.983-9.5-69.22zm222.125 75.343c-21.958 30.365-30.705 69.304-.813 69.687 24.262.312 20.163-37.94.813-69.688zm-318.063 3.25C79.9 134.972 79 173.245 103.25 171.22c29.88-2.498 17.868-40.543-6.625-69.157zm217.594 8.374c-55.61 2.262-50.322 118.727 2.592 116.594 52.018-2.088 52.118-118.81-2.593-116.593zm-107.095 1.844c-.828.016-1.648.084-2.5.157-55.42 4.785-43.925 120.847 8.813 116.313 51.033-4.38 45.872-117.42-6.313-116.47zm-82.875 83.44c-1.612-.02-3.242.065-4.938.28-55.146 6.99-38.225 122.506 14.25 115.875 49.975-6.31 40.645-115.58-9.312-116.156zm278.625 1.343c-55.653-1.027-58.487 115.502-5.53 116.5 52.054.986 60.284-115.482 5.53-116.5zm-145 67.218c-57.02 1.258-12.988 60.186-113.78 94.44-78.123 26.548-30.808 106.533 36.06 106.81 36.702.154 49.8-28.817 79.845-28.686 34.116.144 36.844 26.134 86.78 26.344 63.76.263 100.665-80.2 27.72-107.532-92.875-34.798-54-90.786-113.813-91.375-.957-.008-1.907-.02-2.812 0z"}}]})(props);
};
function GiFlatPlatform (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.5 87.9L39.7 213.5l216.9 125.7 216.6-125.7L256.5 87.9zM31 227.4v71l218 125.7v-71L31 227.4zm450 .2L265 353.1V424l216-125.5v-70.9z"}}]})(props);
};
function GiFlatStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16.076 67.537L144.82 235.373l-45.326 130.8L277.96 341.92l215.024 107.277L364.242 281.36l46.184-130.618-177.946 24.67L16.076 67.537zm149.23 100.42l62.15 13.113c-11.693.526-22.448 3.494-31.317 9.64-9.893 6.852-15.327 17.176-16.605 28.442l-14.23-51.195zm116.85 24.654l54.97 11.6 13.044 46.92c-6.8-12.757-17.554-25.255-31.71-36.583-11.34-9.076-23.714-16.437-36.304-21.936zm-49.168 7.204c5.38.072 11.194.718 17.274 2 18.528 3.91 39.11 13.393 56.52 27.327 17.41 13.934 28.062 29.583 31.566 42.188 3.504 12.606 1.27 20.912-7.63 27.08-8.903 6.168-24.952 8.17-43.48 4.26-18.528-3.91-39.11-13.395-56.52-27.328-17.41-13.934-28.062-29.58-31.566-42.186-3.504-12.605-1.27-20.914 7.63-27.082 5.565-3.855 13.92-6.08 23.927-6.254.75-.013 1.51-.014 2.278-.004zm-42.37 59.207c6.783 10.78 16.37 21.272 28.42 30.916 8.68 6.946 17.966 12.89 27.49 17.765l-45.018-9.497-10.893-39.182zM358.26 280.24l15.072 54.22-55.748-11.765c8.772-1.275 16.852-4.12 23.777-8.92 11.367-7.875 16.85-20.33 16.9-33.535z"}}]})(props);
};
function GiFlatTire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M410.023 21.232c-2.7.031-3.172.607-3.218.66-.047.054-.552.605-.198 3.282.355 2.677 1.76 6.855 4.356 11.627 5.191 9.544 14.921 21.467 27.59 32.441 12.668 10.975 25.856 18.905 36.043 22.682 5.093 1.888 9.43 2.683 12.13 2.652 2.7-.03 3.173-.606 3.22-.66.046-.054.549-.604.195-3.281-.355-2.677-1.76-6.855-4.356-11.627-5.19-9.544-14.921-21.467-27.59-32.442-12.668-10.974-25.858-18.904-36.045-22.681-5.093-1.889-9.426-2.684-12.127-2.653zM256 59C126.213 59 21 164.213 21 294c0 62.949 24.75 120.116 65.05 162.303C-5.246 505.069 189.163 486 256 486c66.665 0 253.486 27.16 198.918-54.678C483.806 380.45 491 357.122 491 294c0-64.833-26.256-123.532-68.713-166.049l-71.119 42.166 30.816-74.52C345.572 72.428 302.356 59 256 59zm156.018 11.07l-23.58 57.024 53.078-31.471-14.74-12.768-.008-.007-.008-.008-14.742-12.77zM256 141c84.393 0 153 68.607 153 153s-68.607 153-153 153-153-68.607-153-153 68.607-153 153-153zm0 18c-20.417 0-39.757 4.52-57.09 12.602C210.457 204.482 230.218 246 256 246c25.823 0 44.926-41.65 56.752-74.555C295.505 163.462 276.284 159 256 159zm98.752 42.88c-27.714 21.143-61.142 52.79-53.17 77.327 7.981 24.564 53.508 29.858 88.459 30.936.628-5.294.959-10.678.959-16.143 0-35.642-13.755-68.012-36.248-92.12zm-197.729.243C134.663 226.204 121 258.477 121 294c0 5.55.34 11.018.988 16.39 34.833-.825 80.381-6.793 88.344-31.3 7.974-24.542-25.68-55.553-53.309-76.967zm70.188 43.643a9 9 0 0 0-7.025 14.285 9 9 0 1 0 7.025-14.285zm57.578 0a9 9 0 1 0 7.025 14.285 9 9 0 0 0-7.025-14.285zM256 262c-17.673 0-32 14.327-32 32 0 17.673 14.327 32 32 32 17.673 0 32-14.327 32-32 0-17.673-14.327-32-32-32zm-46.297 38.037a9.001 9.001 0 0 0-8.432 11.781 9 9 0 0 0 11.34 5.778 9 9 0 0 0-2.908-17.559zm92.104.006a9 9 0 1 0 3.143.434 9 9 0 0 0-3.143-.434zm-91.391 27.715c-21.59.104-50.24 16.832-72.424 31.928 19.029 34.168 52.46 59.164 92.143 66.837 9.99-33.39 18.42-78.618-2.446-93.777-4.854-3.527-10.737-5.02-17.273-4.988zm91.016.02c-6.58 0-12.492 1.516-17.346 5.042-20.895 15.181-11.863 60.106-2.088 93.678 39.687-7.715 73.108-32.76 92.1-66.973-22.006-15.224-50.935-31.747-72.666-31.748zM256 333.58a9 9 0 1 0 0 18 9 9 0 0 0 0-18z"}}]})(props);
};
function GiFlatbedCovered (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M100.63 319l-59-5.93v-23.45h80.18A53.36 53.36 0 0 0 100.63 319zm385.87 14.56a36.16 36.16 0 1 1-36.17-36.16 36.16 36.16 0 0 1 36.17 36.16zm-6.31 0a29.86 29.86 0 1 0-29.86 29.86 29.89 29.89 0 0 0 29.87-29.86zm-29.86-12.85a12.85 12.85 0 1 0 12.85 12.85 12.85 12.85 0 0 0-12.84-12.85zm-262.41 12.85a36.16 36.16 0 1 1-36.17-36.16 36.16 36.16 0 0 1 36.17 36.16zm-36.17-29.86a29.86 29.86 0 1 0 29.86 29.86 29.89 29.89 0 0 0-29.86-29.86zm0 17a12.85 12.85 0 1 0 12.85 12.85 12.85 12.85 0 0 0-12.85-12.84zm116.44-178.42H25.5v131.37h242.69V142.28zM483.61 282v10.09a53.13 53.13 0 0 0-86.45 41.43H281.6a25.08 25.08 0 0 0-21.83-12.85h-56.42a53.33 53.33 0 0 0-21.68-31.08h102.69v-91.71a12.27 12.27 0 0 1 12.27-12.27h66.31a12.27 12.27 0 0 1 12.27 12.27v2.67h-7.77v43.84H446A37.65 37.65 0 0 1 483.61 282zm-123.34-81.44h-52V252h52v-51.44z"}}]})(props);
};
function GiFlatbed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M97.597 296.31l-60.152-6.047v-23.826h81.745a54.402 54.402 0 0 0-21.593 29.872zM491 311.183a36.866 36.866 0 1 1-36.876-36.866A36.866 36.866 0 0 1 491 311.184zm-6.433 0a30.443 30.443 0 1 0-30.443 30.443 30.474 30.474 0 0 0 30.453-30.443zm-30.433-13.142a13.1 13.1 0 1 0 13.1 13.101 13.1 13.1 0 0 0-13.1-13.1zm-267.543 13.142a36.866 36.866 0 1 1-36.876-36.866 36.866 36.866 0 0 1 36.876 36.866zm-36.876-30.473a30.443 30.443 0 1 0 30.443 30.442 30.474 30.474 0 0 0-30.443-30.442zm0 17.331a13.1 13.1 0 1 0 13.1 13.101 13.1 13.1 0 0 0-13.1-13.1zm118.713-103.767H21v55.85h247.428v-55.85zm219.626 64.393v10.287a54.167 54.167 0 0 0-88.138 42.24H282.1a25.57 25.57 0 0 0-22.256-13.153h-57.522a54.371 54.371 0 0 0-22.113-31.605h104.705v-93.572a12.51 12.51 0 0 1 12.51-12.51h67.604a12.51 12.51 0 0 1 12.51 12.51v2.723h-7.922v44.695h80.093a38.385 38.385 0 0 1 38.345 38.375zm-125.748-83.08H309.29V228h53.016v-52.413z"}}]})(props);
};
function GiFlatfish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M288.9 92.42c-5.3 0-10.7.33-16 .88-29.8 3.12-65 23.7-90 51.1-19.5 21.5-32.3 46.6-33.6 69.8l7.6 3.3c6.4-8.9 19.7-26.3 37.6-44.1 25.2-25.1 59.2-51.3 96.5-51 37.6.4 80.9 18 119.9 43.2 18.8 12.2 36.5 26.1 52 40.9-34.4-73.1-106-114.46-174-114.08zm1.9 47.98c-28.3-.3-59.8 22.1-83.6 45.8-23.8 23.6-39.7 47.4-39.7 47.4l-4.2 6.2-31.4-13.4c-7.9 9.9-11.1 24.3-10.7 38.7.4 12.7 4 25.1 7.8 32.5l27.9-12 4.1 6.1c37 54.4 101.5 83.4 157.7 85.5 56.4-7 128.7-26.7 169.3-84l-36-2.5 31.9-31.1c-9.8-15.4-23.8-31.4-40.3-46.3.3 1.1.4 2.3.4 3.5 0 8.8-7.2 16-16 16s-16-7.2-16-16 7.2-16 16-16h.9c-8.8-7.1-18.1-13.9-27.8-20.1-37-23.9-78.3-40-110.3-40.3zm87.7 50.8l15.8 8.6c-26.6 49.1-22.2 96.1 9.4 128.6l-13 12.6c-37.2-38.3-41.6-95.5-12.2-149.8zm-335.64 7c0 21.3-1.94 41.4-18.88 63.2 7.88 6.8 13.34 14.6 16.55 23.6 3.57 10.1 4.67 21.2 5.22 34.2 9.11 1.1 23.71-.3 38.01-4.2 10.03-2.8 19.94-6.7 28.04-10.7-5.3-10.6-8.2-24.2-8.6-38.7-.5-16.2 2.7-33.8 12.5-47.7-8.7-4.9-18.59-9.2-28.74-12.3-15.18-3.8-29.54-7.4-44.1-7.4zM428 248.8c8.8 0 16 7.2 16 16s-7.2 16-16 16-16-7.2-16-16 7.2-16 16-16zm-276.7 60.1c1.5 6.1 4.4 12.7 8.6 19.8 8.1 13.7 21 28.3 36.4 41.6 30.8 26.5 71.9 47.4 103.2 49.2 22.2 1.3 47-11.3 69-28.9 2.4-1.9 4.8-3.9 7.1-5.9-19.5 3-39 10.4-56.8 10.5-59.5-1.9-126.1-30.9-167.5-86.3zm270.1 59.6c-7.1 3.2-14.3 6.1-21.5 8.6 1.9 9.8 1.3 19.3.2 28.2 7.5-3.1 14.4-7.5 20.6-14.4 2.5-6.8 2.1-14.2.7-22.4z"}}]})(props);
};
function GiFlax (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M184.7 26.71c-3.5 9.39-7.3 18.55-9.4 27.49-3.5 14.16-3.7 27.03 5.6 41.74 4.8 2.79 8 3.15 11.1 2.61 2.5-.44 5.5-1.96 8.6-3.94 1.9-21.33-3.8-46.06-15.9-67.9zm183.9 62.77c-1.6 0-3.1.1-4.5.31-7.6 1.31-12.4 4.49-14.2 16.81l-17.6.9c-1.7-6.6-4.1-10.48-6.3-12.61-2.3-2.13-4.3-2.89-7.1-3.02-5.6-.27-14.5 3.71-21.8 10.63-7.2 6.8-12.6 16.2-13.5 23-.5 3.4 0 6 1.2 8.1 1.2 2.1 3.3 4.2 7.9 6.1L290 157c-12.8 1-16.8 5.4-18.8 11.1-2 5.8-.8 14.6 3.3 22 4 7.4 10.5 12.8 16.1 13.9 5.5 1.1 11.6-.2 19.7-11.6.1-.2.2-.4.4-.6l14.2 11c-.1.2-.3.4-.4.6-5 5.9-6.8 10.5-7.1 13.3-.4 2.8.2 4.2 1.7 6 3.1 3.6 12.7 7.4 23 7.4 10.2 0 20.4-3.5 24.5-7.9 2.1-2.1 3-4.1 3-7.3s-1.2-8-5.3-14.3l13.5-11.6c11.3 9.9 18.1 9.9 23.4 7.5 5.3-2.5 10.4-9.4 12.4-17.7 2-8.2.8-16.8-2.7-21.3-3.4-4.6-8.7-7.6-22.3-3.8l-6.1-16.9c17.5-7.9 21.2-15.5 21.3-21.2 0-5.8-4.9-13.3-13.1-18.81-6.2-4.12-13.9-6.73-20.5-7.23-.5 0-1.1-.1-1.6-.1zM203.4 113.7c-2.6 1.2-5.3 2.1-8.3 2.6-3.1.5-6.3.6-9.6.1 1.1 8.7 2.5 16.8 4.3 24.5 7.1.9 14.1 2.7 20.2 6.1-2.9-10.1-5.2-21.1-6.6-33.3zm140.5 14.8s.4 16.9 6.5 20.7c5.7 3.6 20.1-3 20.1-3s-14.1 11.2-15 19.3c-.6 5.3 6.7 14.7 6.7 14.7s-12.8-13.1-21-12.9c-6.9.2-17 11.6-17 11.6s6.8-13.7 4.4-20.1c-2.4-6.5-16.4-12.5-16.4-12.5s17.3 5.4 24.1 1c5.7-3.7 7.6-18.8 7.6-18.8zm-164.7 29.9c-7.6.3-15 2.3-19.4 5.3-2.9 2-4.5 4.1-5.2 6.4-.7 2.4-.8 5.6 1.4 10.7l-14.5 10.1c-9.4-8.9-15.7-9-22.1-6.2-6.4 2.7-13.1 10.1-17.1 19-3.89 8.8-4.75 18.5-2.89 23.9.89 2.7 2.09 4.2 3.99 5.4 1.9 1.1 5 2 10.3 1.4l5.4 16.8c-5.6 3.2-8.4 6.3-9.7 8.6-1.2 2.4-1.4 4.2-.8 6.6 1.2 4.7 7 11.4 15.1 15.7 8.2 4.3 17.9 6 24.5 4.3 6.6-1.7 11.1-5.1 12.7-16.9 0-.3.1-.5.1-.8l17.7 3.2c0 .3-.1.5-.1.8-1.5 6.6-.9 10.4 0 12.4 1 2 2.1 3 4.8 3.8 5.3 1.8 16.6.5 26.3-4s17.3-12 18.8-16.4c.7-2.2.7-3.4-.6-5.6-1.4-2.2-4.8-5.5-11.7-8.7l5.6-17c15.4 3 22.1-.3 25.3-4.2 3.2-3.9 4-10.7 1.6-17.7-2.3-7.1-7.6-13.3-13.6-15.6-6-2.3-13.2-2.1-23.6 6.7l-12.6-12.8c5.9-6.8 8.7-12.4 9.6-16.4 1-4 .5-6.3-.8-8.5-2.5-4.4-10.7-8.9-20.8-10-1.9-.2-3.8-.3-5.8-.3zm-22 47s7.3 9.3 12.8 10.2c7 1 19.8-7.6 19.8-7.6s-7.1 14.9-3.9 21.6c2.1 4.6 13.3 8.8 13.3 8.8s-18.7-2.9-26.2 1.4c-4.8 2.9-8.7 14-8.7 14s-3.5-13.8-9-17.6c-5.7-4-21-2.8-21-2.8s17.8-3.1 22.3-9.7c3.6-5.1.6-18.3.6-18.3zm142.9 18.2l-24 46.6c-.9-2-1.8-4-2.8-5.9-3.6-7.3-7.6-14.2-11.6-20.8-.3.3-.5.7-.8 1-3.5 4.3-8.2 7.4-14 9.4 3.7 6 7.2 12.1 10.3 18.4 11.6 23.4 19.4 50 17.8 89.3-1.1 30-8 67.5-23.2 115.7-25.1-19.7-29.6-60.7-33.5-89.8-3.4-25.9-6-54.5-11.5-82.2-6 1.8-12.1 2.8-18.1 2.6 5.4 26.7 8.3 55.2 11.8 81.9.6 4.9 1.3 9.6 2 14.4-5.4-3.7-11.4-7-17.8-9.9-11.5-5.2-24.4-9.3-38.1-12.5-1 6.1-3.6 11.9-7.9 16.7 14.3 3.1 27.6 7.2 38.6 12.2 39.7 14.2 35.6 64.3 67.5 83.3h20.5c5.5-16.6 10.1-32 13.8-46.4 13.7-20.4 32.8-40.2 52.7-55.3-3.8-4.9-6.6-10.5-8.3-16.3-12.5 9.2-24.6 20.1-35.6 31.8 2.9-16.6 4.5-31.7 5.1-45.5 1.1-27.6-2.3-50.1-8.3-69.6l27.1-52.6c-2.3-1.6-4.5-3.5-6.4-5.7-2.5-3-4.3-6.8-5.3-10.8zm95.9 80c-5 0-10.8 1.1-16 3.4-8 3.5-14.2 9.5-15.8 13.7-.7 2.1-.8 3.6 0 5.7.9 2.1 2.9 5 7.6 8.2l-7.9 16c-13.6-4.5-18.7-2-21.4 1.1-2.8 3.1-4 10-2.2 17.4 1.8 7.4 6.6 14.5 11.5 17.3 5 2.9 9.9 3.7 18.7-3.1.2-.2.4-.3.6-.5l10.4 14.7c-.2.2-.4.3-.6.4v.1c-5.4 3.5-7.4 6.4-7.8 7.5-.4 1.2-.5 1.1.6 2.5 2.1 3 11.1 8.2 21.4 10.2 10.3 2 21.5.9 26.9-2 2.7-1.5 3.9-3 4.6-5.1.7-2.1.9-5.6-1.2-11.3l15.8-8.3c7.6 10.5 13.3 12.1 17.4 11.6 4.1-.5 8.5-3.9 11.1-9.1 2.5-5.1 2.7-11 .6-15-2.2-3.9-6.7-7.7-19.3-7.9l-1.1-17.9c8.4-1.1 13.9-3.2 17.1-5.3 3.3-2.1 4.3-3.8 4.8-5.6 1-3.6-1.2-10.4-7-16.6-5.8-6.2-14.5-10.9-21.2-11.6-6.7-.7-10.9.4-14.8 9.2l-17.2-3.5c-.1-10.7-3.3-13.4-8.8-15.2-1.4-.5-3.1-.8-4.8-.9-.7-.1-1.3-.1-2-.1zm12 36s1.7 12.5 6.8 15.6c6.1 3.6 21.6-.8 21.6-.8s-12.6 4.9-14.7 10.4c-2.2 5.3 3.9 16.7 3.9 16.7s-9-9.5-15.2-9.7c-7.4-.1-18.8 10.7-18.8 10.7s6.6-7.8 6-12.2c-.8-6.7-13.4-16-13.4-16s12.9 5.5 17.9 2.5c5.5-3.2 5.9-17.2 5.9-17.2zm-320.56 3.7c-2.69-.1-4.85.7-6.11 1.9-1.71 1.6-3.67 5-1.71 14.5l-16.53 6.4c-5.62-9.4-8.92-9.7-11.25-9.3-2.34.4-6.49 3.6-9.14 8.9-2.65 5.2-3.35 11.7-2.2 15.2 1.14 3.5 2.18 5.4 10.07 5.5l3.58 17.2c-6.78 3-7.41 5.5-7.52 7.8-.11 2.3 1.51 6 4.43 8.6 2.92 2.5 6.38 3.5 8.65 3 2.28-.5 5.29-2.2 7.91-10.6l17.57 2c.85 11.8 4.27 14.9 7.21 16.1 2.93 1.2 8.2.4 13.1-2.7s8.6-8.3 9.3-12c.6-3.7.4-6.6-7.1-10.9l7.5-16.3c5.4 1.8 7.4.6 9.7-1.7 2.4-2.4 4.1-7 4.1-10.8-.1-3.8-1.2-5.5-2.6-6.2-1.4-.6-6.2-1.3-16 4.6L98.21 362c3.69-5.9 2.99-8.9 1.5-11.7-1.6-2.9-5.43-5.6-9.43-6.6-.99-.2-1.95-.3-2.84-.4zM91.4 375s-4.68 8.5-1.92 12.1c2.75 3.3 14.12 3.7 14.12 3.7s-12.61 1.9-15.64 5.8c-2.06 2.3-.14 9-.14 9s-4.4-9.8-9.92-11.9c-4.68-1.7-14.86 1.5-14.86 1.5s8.67-5 9.09-9.1c.41-3.9-7.03-10.4-7.03-10.4s9.78 7.1 15.57 6.7c4.95-.4 10.73-7.4 10.73-7.4z"}}]})(props);
};
function GiFleshyMass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M193.24 19.008c-39.99.03-90.725 18.933-136.98 73.293-42.623 50.09-43.956 96.654-26.955 130.233 16.154 31.91 49.733 51.928 83.863 50.05.817-1.036 1.644-2.064 2.49-3.075 1.606-1.92 3.267-3.794 4.973-5.63l9.415-13.358c-11.113-4.64-20.094-11.292-26.785-19.377-10.676-12.9-15.37-29.04-15.246-45.217.244-32.353 18.907-65.897 50.19-81.666 11.97-6.034 24.344-8.83 36.542-9.024 17.343-.273 34.322 4.732 49.28 13.174 6.798-22.15 22.078-39.673 41.333-51.707-2.25-8.447-8.483-16.68-18.71-23.467-12.038-7.987-29.3-13.57-49.574-14.173-1.267-.038-2.546-.056-3.836-.055zm147.996 35.508c-22.5.316-44.8 5.874-62.57 15.996-19.727 11.237-33.782 27.5-38.28 49.093 12.067 9.827 22.26 21.963 29.555 35.385 2.558-3.954 5.64-7.448 9.134-10.39 11.407-9.61 26.41-13.88 41.313-13.82 14.902.062 29.985 4.45 41.77 13.773 8.204 6.49 14.6 15.655 17.564 26.703 16.263-15.822 37.02-23.22 57.08-23.04 4.85.044 9.654.546 14.348 1.462-.035-27.86-9.53-48.44-24.28-63.62-17.65-18.17-43.575-28.536-70.86-30.99-3.41-.306-6.84-.488-10.27-.547-1.5-.024-3.002-.025-4.502-.004zm-165.87 59.28c-9.606.146-19.3 2.388-28.75 7.15-24.218 12.21-39.725 40.084-39.915 65.12-.094 12.52 3.43 24.066 10.956 33.16 7.526 9.095 19.21 16.14 37.235 18.83h.003c39.574 5.908 82.127 9.612 116.025 27.868 33.898 18.255 57.493 52.813 56.3 112.822-.868 43.678 24.482 67.034 59.085 69.498h.002c19.04 1.36 39.016-14.747 46.504-32.055 3.742-8.654 4.214-16.855 1.68-22.807-2.534-5.952-7.93-11.126-20.965-13.76l.024-.12c-6.08-1.215-11.806-3.26-17.07-6.023-16.734-8.785-28.737-24.21-35.093-41.584-6.357-17.372-7.19-36.947-.66-54.644 6.528-17.697 20.85-33.24 42.79-41.17 8.17-2.953 16.144-4.486 23.797-4.805 23.534-.98 44.027 9.512 57.936 25.38 13.79-23.95 7.996-59.225-13.37-77.257h-.003c-24.878-20.997-72.19-18.427-93.607 25.56-3.247 9.45-8.724 17.39-15.586 23.38-10.917 9.528-24.99 14.332-39.108 14.64-14.118.31-28.494-3.886-39.974-13.093-11.48-9.208-19.725-23.583-21.36-41.75 0-.017-.002-.033-.004-.05-4.264-22.568-20.17-45.425-41.107-59.532-13.99-9.43-29.756-15.005-45.765-14.76zM320.31 149.47c-11.18-.045-22.01 3.368-29.197 9.423-7.188 6.054-11.454 14.276-10.258 27.568v.003c1.228 13.645 6.782 22.704 14.44 28.846 7.658 6.14 17.763 9.208 27.873 8.987 10.11-.22 20.013-3.74 27.227-10.037 7.213-6.296 12.077-15.165 12.435-28.06.347-12.515-4.45-20.804-12.27-26.99-7.818-6.184-19.07-9.693-30.25-9.74zm111.083 100.186c-6.72.005-13.922 1.254-21.526 4.002-17.23 6.23-26.834 17.125-31.607 30.063-4.773 12.94-4.285 28.194.678 41.757 4.962 13.562 14.274 25.18 26.23 31.457 11.956 6.277 26.617 7.814 44.85.226 18.36-7.642 28.286-19.104 32.937-31.795 4.65-12.69 3.814-27.015-1.46-39.84-7.91-19.237-24.69-34.61-47.253-35.795-.94-.05-1.89-.074-2.85-.074zm-274.05 7.643c-10.213 6.585-19.498 14.807-27.35 24.196-17.158 20.52-27.33 46.345-26.304 71.936 1.027 25.59 12.765 51.3 41.572 73.33 28.917 22.114 57.135 27.782 82.322 23.398 25.187-4.384 47.588-19.206 63.344-39.63 7.505-9.727 13.508-20.607 17.605-32.128v-.027c1.1-55.318-17.576-80.434-46.476-95.998-27.654-14.893-66.18-19.45-104.715-25.078zm-119.345 6.647c-17.504 21.283-15.83 46.66-4.68 66.543 11.265 20.09 31.345 32.706 51.97 28.002-.116-1.437-.215-2.875-.272-4.31-.89-22.146 5.054-43.816 15.732-63.008-23.247-1.824-45.287-11.65-62.75-27.227zm275.188 147.24c-2.31 3.714-4.8 7.308-7.46 10.758-16.392 21.247-39.18 37.576-65.53 44.557 7.864 17.405 27.497 26.744 48.827 26.312 23.31-.47 46.56-12.385 55.635-39.52-14.386-9.634-25.56-23.998-31.472-42.106z"}}]})(props);
};
function GiFleurDeLys (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 24c-31.466 48-62.932 96-62.932 160 0 56.794 37.144 113.568 45.514 148h34.836c8.37-34.432 45.514-91.206 45.514-148 0-64-31.466-112-62.932-160zM98.637 206c-47.2 0-78.664 32-78.664 80 0 32 22.115 63.526 62.93 64-15.732-16 .002-64 31.468-64 31.89 0 56.58 21.916 69.253 46h33.828c-13.744-47.52-49.108-126-118.813-126zm314.726 0c-69.705 0-105.07 78.48-118.814 126h33.827c12.673-24.084 37.362-46 69.252-46 31.465 0 47.2 48 31.466 64 40.816-.474 62.93-32 62.93-64 0-48-31.464-80-78.663-80zM153.076 350c-38.705 0-54.44 16-54.44 48 0 16 15.734 48 47.2 48 35.4 0 61.948-27 73.01-54h-35.682c-4.657 3.57-11.5 6-21.596 6-15.733 0-31.464-32-8.492-48zm37.694 0c.017.064.03.127.048.19-13.29 2.16-12.694 23.343 1.793 23.79v.02H319.39l-.003-.02c14.486-.447 15.083-21.63 1.792-23.79.017-.063.03-.126.048-.19H190.77zm168.154 0c22.972 16 7.24 48-8.492 48-10.096 0-16.94-2.43-21.596-6h-35.682c11.062 27 37.61 54 73.01 54 31.466 0 47.2-32 47.2-48 0-32-15.735-48-54.44-48zm-118.656 42c-15.733 16-15.734 48-31.467 64l31.468-16c0 16 0 32 15.732 48 15.733-16 15.732-32 15.732-48l31.467 16c-15.734-16-15.735-48-31.468-64h-31.464z"}}]})(props);
};
function GiFlexibleLamp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M309.9 23.04l-35.2 38.05 34.5 72.21 1.4 3.2-.9 3.3c-4.7 16-6.6 34.9-4.6 51.9 1.6 13 5.4 24.7 11.5 33.3l160-173.15c-9.1-5.45-21-8.3-34.1-8.84-17.1-.68-35.8 2.75-51.4 8.67l-3.2 1.19-78-29.83zM265.7 84.1L76.36 179.5c6.18 2.8 11.68 6.9 16.17 11.9l180.87-91.1-7.7-16.2zM441.8 116l-63.9 69.3c19.1 12 44.7 9 60.6-8.2 15.9-17.1 16.8-42.9 3.3-61.1zm-160.6.6l-179.3 90.3c2 5.3 3.1 11.1 3.1 17.1v1.5l183.9-92.7-7.7-16.2zM56 193c-17.23 0-31 13.8-31 31s13.77 31 31 31 31-13.8 31-31-13.77-31-31-31zm45.5 49.1c-2.41 6-6 11.5-10.49 16.1L198.2 407h22.1L101.5 242.1zm-25.24 26.5c-5.82 2.6-12.25 4.2-19 4.4l96.54 134H176L76.26 268.6zM313 389v18h18v-18h-18zm-180.7 36l-49.57 62H429.3l-49.6-62H132.3z"}}]})(props);
};
function GiFlexibleStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M144.938 18.063l8.437 19.187c17.36 39.43 27.86 79.965 32.563 120.313-50.01 4.028-99.724 4.15-144.688 1.656l-21.188-1.19L33.5 174.438c42.232 51.6 93.612 82.498 148.438 110.907-12.137 69.664-39.726 134.1-77.282 185.312L92 487.906l21.25-2.437c99.754-11.457 177.9-51.146 236.688-106.064 33.06 23.513 65.993 52.01 98.093 88.97l15.095 17.374 1.28-22.97c3.558-63.803-8.63-128.11-33.655-187.53 37.76-67.647 57.985-143.224 63.563-214.656l2-25.532-17.97 18.22c-35.647 36.18-86.34 61.284-143.468 78.124-46.935-47.74-104.638-85.32-170.03-106.812l-19.907-6.532zm82.75 65.312c10.37.018 23.587 4.884 39.312 14.47 16.552 11.965 32.193 25.124 46.813 39.31-35.065 8.896-72.027 14.882-109.188 18.626-1.033-8.865-2.353-17.75-3.938-26.624-.003-.02.004-.042 0-.062-.856-30.68 8.666-45.75 27-45.72zm183.062 46.688c30.66-.583 46.988 17.807 38.875 56.343-7.78 22.997-17.28 45.628-28.594 67.47-18.614-38.538-42.71-74.62-71.436-106.75 12.818-4.06 25.32-8.585 37.437-13.564 8.605-2.196 16.553-3.363 23.72-3.5zm-81.313 22.968c33.327 35.83 60.508 77.187 80.282 121.47-9.032 15.405-19.007 30.317-30 44.563-7.257 9.4-15.006 18.48-23.158 27.25-21.106-6.102-43.19-14.988-60.812-23-.074-.034-.144-.06-.22-.094-19.852-11.155-39.46-21.245-58.624-30.908-11.675-5.886-22.84-11.594-34.125-17.343 4.355-30.108 5.87-61.04 4.126-92.283 25.76-7.15 54.416-13.28 78.313-19.25 14.972-2.99 29.75-6.43 44.217-10.406zm-39.843 32.657c-.847-.002-1.68.018-2.5.063-6.556.363-12.224 2.22-16.813 5.125-9.177 5.81-15.155 16.127-15.155 32.063 0 31.87 28.156 70.8 61 82.812 16.422 6.007 29.822 4.435 39-1.375s15.156-16.127 15.156-32.063c0-31.87-28.124-70.767-60.967-82.78-7.185-2.63-13.79-3.828-19.72-3.845zm-101.22 2.532c1.17 26.25-.064 52.25-3.374 77.686-8.285-4.346-16.454-8.732-24.47-13.25-45.842-30.138-18.07-49.58 27.845-64.437zm11.095 106.03c9.662 4.89 19.185 9.8 29 14.75 34.664 17.48 70.195 36.024 105.686 59.625-6.714 6.15-13.702 12.07-20.937 17.78-66.568 32.47-115.528 2.77-118.25-70.78 1.656-7.067 3.155-14.187 4.5-21.375zm219.124 1.53c3.838 9.98 7.273 20.084 10.344 30.283 3.064 27.392-20.972 31.225-51.75 25.312 6.026-6.788 11.806-13.74 17.312-20.875 8.65-11.207 16.628-22.84 24.094-34.72z"}}]})(props);
};
function GiFlintSpark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M123.5 31.34L58.45 70.6l20.29 32.9-43.7-18.79-10.99 6.63 22.46 96.16L88.65 208 116 193.6l-.8 26.5 30.9-18.1-3 32.5 66.5 32.4-24-1.4 54.9 24.1 12.5 68.8 13.1-61.7 20.6 12.8c-8.4 33.9-17.6 67-28.6 100.1l32.5 71.1 29.9-10.4 37.1-39.4 23.5 18.6 77.7 10.9 29.2-80-13.5-44.7-3.9 42.4-51.4 22.3 32.8-39.3-8.7-39.4c-7-2.6-13.4-4.8-19.1-6.6L399 329.3l-36.6-21.6c-21.9-.4-45.9-1-65.9-3.4l-15.6-22.9s32.8-37.4 34.8-37.9c2.1-.5-50.3 14.9-50.3 14.9l-35.7-52.6 24.5-83.5-24.2-16.8-68.6 2.9-82.83 27 63.73-58.69 62.6 11.2zm269.9 63.61L291 230.9 448.4 118zM288 118.3l-13.1 109.9 46.2-93.5zm172.9 91.2l-144.1 63.2 144.1-34.2zm-235.3 10.4l13.8 48.7-27.7-1.6zM25.26 280l16.83 49.7 158.61-34.2zm181.84 32.6l-172.44 122 31.98 40zm20.9 16.3l-51.1 132.2H202z"}}]})(props);
};
function GiFlipFlops (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M135.074 21.783c-54.738.222-114.04 42.796-109.416 150.074.19 4.384 1.516 13.664 3.61 26.17 10.74-23.22 25.979-46.785 41.209-67.54C83.686 112.483 96.95 96.84 107.756 85.94c5.403-5.45 10.113-9.693 14.392-12.678 1.624-1.132 3.142-2.11 4.934-2.894l1.451-4.62 43.252 2.194 1.639 6.428c.178.7.345 1.417.521 2.12 25.526 15.674 44.452 40.59 57.68 69.003-1.733-34.395-6.725-64.148-17.742-83.2-14.765-25.531-45.966-40.645-78.809-40.511zm241.852 0c-32.843-.134-64.044 14.98-78.809 40.512-11.017 19.051-16.01 48.804-17.742 83.199 13.228-28.413 32.154-53.329 57.68-69.002.176-.704.343-1.421.521-2.121l1.639-6.428 43.252-2.193 1.451 4.619c1.792.784 3.31 1.762 4.934 2.894 4.279 2.985 8.99 7.228 14.392 12.678 10.806 10.9 24.07 26.543 37.28 44.545 15.23 20.756 30.468 44.322 41.208 67.541 2.094-12.506 3.42-21.786 3.61-26.17C490.965 64.58 431.664 22.005 376.926 21.783zm-235.18 62.66c-3.587 12.712-5.774 25.149-5.81 37.326l25.062-.656c1.218-11.769-.648-23.584-3.521-35.873zm228.508 0l-15.73.797c-2.874 12.289-4.74 24.104-3.522 35.873l25.062.656c-.036-12.177-2.223-24.614-5.81-37.326zm-250.5 14.983c-9.808 10-22.346 24.782-34.766 41.709-25.489 34.737-50.106 79.318-52.365 107.681-1.064 13.358 6.203 34.226 15.211 52.176 9.008 17.95 19.13 33.059 22.516 38.26.768 1.18 1.296 1.388 2.595 1.472 1.3.085 3.257-.435 4.866-1.693 3.217-2.516 6.255-6.843.753-17.338-2.017-3.849-10.118-15.882-17.193-29.486-7.075-13.605-13.847-29.345-12.871-45.16 1.78-28.83 21.25-61.43 39.693-88.207 12.192-17.7 23.298-31.51 29.58-39.03.127-6.854.836-13.65 1.98-20.384zm272.492 0c1.145 6.734 1.854 13.53 1.98 20.384 6.283 7.52 17.389 21.33 29.58 39.03 18.445 26.776 37.914 59.377 39.694 88.207.976 15.815-5.796 31.555-12.871 45.16-7.075 13.604-15.176 25.637-17.193 29.486-5.502 10.495-2.464 14.822.753 17.338 1.61 1.258 3.566 1.778 4.866 1.693 1.3-.084 1.827-.292 2.595-1.472 3.387-5.201 13.508-20.31 22.516-38.26s16.275-38.818 15.211-52.176c-2.259-28.363-26.876-72.944-52.365-107.681-12.42-16.927-24.958-31.71-34.766-41.71zm-213.367 3.328c.6 6.045.744 12.23.203 18.556 32.115 37 42.984 78.66 43.803 121.051.304 15.756-5.39 32.749-11.502 47.566-6.113 14.818-12.93 27.373-15.488 32.157-2.78 5.2-2.593 7.904-2.282 8.972.312 1.07.821 1.662 2.573 2.387 3.503 1.45 10.434-.384 11.439-1.7 1.746-2.283 10.908-18.03 18.059-35.523 7.15-17.493 12.884-38.016 12.037-51.625-3.148-50.58-22.987-109.79-58.842-141.841zm154.242 0c-35.855 32.052-55.693 91.261-58.842 141.841-.847 13.61 4.887 34.132 12.037 51.625 7.151 17.493 16.313 33.24 18.059 35.524 1.005 1.315 7.936 3.149 11.44 1.7 1.751-.726 2.26-1.319 2.572-2.388.311-1.068.498-3.773-2.282-8.972-2.557-4.784-9.375-17.34-15.488-32.157-6.112-14.817-11.806-31.81-11.502-47.566.82-42.391 11.688-84.05 43.803-121.05-.54-6.327-.398-12.512.203-18.557zm-162.754 36.12l-45.842 1.198c-6.191 7.8-13.77 17.742-21.51 28.979-17.758 25.781-35.258 58.179-36.55 79.105-.579 9.374 4.415 23.325 10.875 35.746 6.46 12.422 13.664 22.75 17.168 29.436 8.448 16.118 4.223 32.185-5.61 39.873-4.916 3.844-10.93 5.877-17.123 5.474-4.386-.285-8.915-2.04-12.548-5.13 8.159 40.187 15.45 75.282 18.404 89.402 11.18 53.46 172.547 86.724 149.598-42.842-2.617-14.772-2.69-36.802-1.717-62.762-1.302 2.097-2.52 3.928-3.586 5.323-7.975 10.432-21.46 12.019-32.623 7.4-5.582-2.31-10.97-7.123-12.969-13.979-2-6.855-.541-14.594 3.686-22.5 2.641-4.94 9.044-16.766 14.724-30.535 5.68-13.768 10.351-29.566 10.143-40.353-.723-37.399-9.108-71.922-34.52-103.834zm171.266 0c-25.412 31.913-33.797 66.436-34.52 103.835-.208 10.787 4.463 26.585 10.143 40.353 5.68 13.769 12.083 25.595 14.724 30.535 4.227 7.906 5.686 15.645 3.686 22.5-2 6.856-7.387 11.67-12.969 13.979-11.164 4.619-24.648 3.032-32.623-7.4-1.065-1.395-2.284-3.226-3.586-5.323.972 25.96.9 47.99-1.717 62.762-22.949 129.566 138.417 96.302 149.598 42.842 2.953-14.12 10.245-49.215 18.404-89.403-3.633 3.09-8.162 4.846-12.548 5.131-6.192.403-12.207-1.63-17.123-5.474-9.833-7.688-14.058-23.755-5.61-39.873 3.504-6.685 10.708-17.014 17.168-29.436 6.46-12.421 11.454-26.372 10.875-35.746-1.292-20.926-18.792-53.324-36.55-79.105-7.74-11.237-15.319-21.18-21.51-28.979z"}}]})(props);
};
function GiFloatingCrystal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M320.94 24.86v55.654l45.31 58.49v66.27l41.24-64.038L320.94 24.86zm-56.706 16.263l-76.77 94.758 87.09 27.778 64.58-29.146-24.81-32.024-50.09-61.365zm-143.074 88.5l-82.674 96.035 82.674 26.858V129.623zm226.403 21.588l-62.307 28.122v238.334l62.176-28.875V234.5l.13-.203V151.21zm-165.907 2.436v237.258l84.912 27.766V180.73l-84.912-27.084zM44.85 247.376l76.31 102.368v-77.58l-76.31-24.79zm331.31 4.413v154.415l82.752-13.533L376.16 251.79zm73.412 161.347L376.16 425.14v46.768l73.412-58.77zm-256.267 1.238l70.93 79.78 70.738-78.973-57.516 26.713-84.152-27.52z","fillRule":"evenodd"}}]})(props);
};
function GiFloatingGhost (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M395.9 65.01c-10.7 30.56-22.7 58.79-36.7 84.49 31.4 6.7 61.3 9.4 89.1 7.5-15-30.3-33-61.19-52.4-91.99zM215.5 70.3c-51.7 21.69-119.63 40.2-194.57 57.6 28.81 10.3 135.67 1.4 105.47 17.1l-46.79 24.5c12.97 4.2 28.69 7.5 45.29 8.7 27.4 2 56.5-1.3 61.4 8.6 6 14-36.9 22-52.4 25.9 10.3 4.5 22.2 8.9 34.7 11.3 21.7 4.1 43.6 2.6 61.2-12.7l7-6.1 27.1 33.5c2.9-2.3 5.7-4.6 8.4-7 5.3-4.6 10.4-9.4 15.4-14.4-14.1-53.1-22.6-104.3-72.2-147zM429 182.7a14.04 14.22 0 0 0-14 14.2 14.04 14.22 0 0 0 14 14.2 14.04 14.22 0 0 0 14-14.2 14.04 14.22 0 0 0-14-14.2zm37.7 1.1a9.505 13.51 0 0 0-9.5 13.5 9.505 13.51 0 0 0 9.5 13.5 9.505 13.51 0 0 0 9.5-13.5 9.505 13.51 0 0 0-9.5-13.5zm-149.4 27.8c-10.2 12-21.2 23.3-33.2 33.7-50.8 44.1-157.5 68.1-251.16 81.6 28.52 14.3 66.35 30.8 105.16 46.4 21.4-17.6 45.2-33.5 72.6-46.4l7.6 16.2c-54.2 25.6-94.3 64.1-128.94 103.7 36.94.8 71.64-1.4 100.24-9.1 33.4-9 58.1-24.8 71.7-51.3l16 8.2c-4.5 8.9-10.2 16.8-16.7 23.7 2 .7 4.2 1.4 6.1 2 36.8 11.8 72 18.3 103.6 15.9 31.5-2.3 59.2-13.1 82.9-36.6 14.4-14.3 24.3-30.1 30.4-47.1-13.9 12.6-25.7 25.6-45.9 31.7-2.8-13.3-.5-23.4-16.9-37.7-13.3 15.5-28.8 22.9-57.1 32.7 5.5-13.2 2.6-26.1-6-40.7-13.9 15-30.7 18.4-62.2 23.7 24.8-38.3 42.8-62.3 46.8-106.1 13.7 11.9 25.4 24.5 29.8 39.2 20.3-10.5 19.8-25.7 24.3-39.7 17.9 16.1 30.4 32.6 33.3 49.6 21.7-10.9 31.4-26.3 33.8-40 10 8.2 20.4 16.9 27.6 27.5-1-15.1-3.8-30.8-8.1-47.2-.7-2.8-1.5-5.7-2.4-8.5-48.7 10.1-104.2-10.2-163.3-25.4z"}}]})(props);
};
function GiFloatingPlatforms (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M184 43.5v18h144l-.1-18zm24 95.9l-144 .1v18l144-.1zm96.1 0v18l143.9.1v-18.1zm168.4 98.1l-435.63.1L128 372.5l10.9-32 21.1 80 32-52.5 48 128 80-107.5 32 16z"}}]})(props);
};
function GiFloatingTentacles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M129.4 18c7.4 8.62 16.4 16.58 26.4 24.01 13.5 10.05 28.8 19.1 44.5 27.03 3.9-4.94 8.3-9.51 13-13.65-16.7-8.16-33-17.56-46.8-27.81-4.2-3.12-8.1-6.33-11.8-9.58zm273.7 9.98c-21 6.85-33.9 18.97-49 32.28 4.3 4.25 8.2 8.88 11.6 13.82 14.6-12.72 22.4-23.95 43.2-29.07 20.8-5.12 57.9-5.49 85.1-2.69V24.24c-31.8-4.27-69.9-3.11-90.9 3.74zm-122 19.91c-47.3 0-85.4 38.34-85.4 85.91 0 47.6 38.1 86 85.4 86 4.9 0 9.7-.4 14.3-1.2-1.5-27.7-11.8-55.9-32.5-82 3.3-5.4 6.4-11 9.4-16.6 3.6 6 9.3 9.6 15.4 9.6 10.6 0 19.1-10.3 19.1-23.1 0-12.42-8.1-22.6-18.4-23.03 4.2-11.79 7.2-23.32 8.7-34.07-5.2-.99-10.5-1.51-16-1.51zm18.2 1.95c15.4 25.92 35.4 61.16 35.6 87.76.2 27.3-19.9 56.6-35.8 80.3 38.6-8.3 67.5-42.7 67.5-84.1 0-41.28-28.8-75.6-67.3-83.96zm-153.6 32.8c-38.9.65-84.13 27.26-121.15 52.96-2.22 1.5-4.4 3.1-6.55 4.6v22.2c5.33-4 10.94-8 16.81-12.1 35.95-24.9 80.89-49.2 111.09-49.7 7.7-.1 21.3 5.6 33.7 12.7 1.3-6.2 3.1-12.2 5.4-17.93-12.4-7.09-26-12.95-39.3-12.73zM494 124c-12 16.9-26.2 31.3-40.1 35.2-25.3 7.3-48.9 8.9-72.8 1.3-1.4 5.6-3.4 11-5.7 16.2 27.8 8.9 55.5 7.9 83.5-.1 13.7-3.9 25.2-12.7 35.1-23.5zm-310.7 43.9c-7.6 3.4-16.2 6.4-25.2 9.2-31.4 9.5-68.73 16-93.95 38.8-13.13 11.9-17.8 29.7-20.67 48-2.88 18.4-3.79 37.9-6.63 54.2-3.93 13.7-6.99 30.1-18.85 36.2v19c5.15-1.3 9.75-3.5 13.81-6.4 14.29-10.4 19.64-27.8 22.78-45.7 3.13-18 4.02-37.6 6.67-54.5 2.65-16.9 7.22-30.4 14.97-37.4 19.59-17.8 54.37-25 87.07-35 9.5-2.9 18.7-6 27.4-10-2.9-5.2-5.4-10.7-7.4-16.4zm179.5 29.7c-3.7 4.8-7.9 9.3-12.4 13.4 7.5 4.9 15.6 10.3 23.7 16.2 33.8 24.5 68.4 57.7 74.5 84.6 1.6 6.9-.1 13.8-4.3 21.8-4.3 8.1-11 16.8-18 25.8-6.9 8.9-14.1 18.2-19 28.4-4.8 10.3-7.2 22.3-2.9 34.1v.1c4.6 12.6 14.8 22.2 26.7 30.1 11.8 7.9 25.7 14.3 39 19.3 8.4 3.2 16.6 5.9 23.9 8v-18.8c-5.5-1.7-11.5-3.7-17.5-6-12.5-4.8-25.3-10.7-35.4-17.5-10.1-6.7-17.2-14.3-19.7-21.2v-.1c-2.4-6.5-1.4-12.6 2.2-20.3 3.6-7.7 10-16.2 16.9-25.1 6.9-8.9 14.3-18.2 19.7-28.4 5.4-10.2 8.8-21.9 6-34.2-8.4-36.9-46.4-69.7-81.6-95.2-7.5-5.4-14.8-10.4-21.8-15zM215 213.7c-29 22.9-44.6 47.9-50.6 73.8-6.8 29.4-1.2 58.9 9 86.8-38.7 18.4-76.93 31.1-102.75 55.2-10.36 10.1-11.68 25-9.54 39.4 1.22 8.2 3.58 16.7 6.56 25.1h19.21c-3.78-9.7-6.72-19.3-7.96-27.7-1.73-11.7-.1-19.6 4.27-23.8 30.41-22.2 67.51-39.6 96.81-51.4 12.6 31.9 31.9 61.9 44.2 90.9 1.8 4.2 3.3 8.2 4.5 12h18.9c-1.7-6.2-4-12.5-6.7-18.9-13.9-33.5-32.3-63.1-44.7-91.9 31.4-15.9 61.3-35.4 78.2-65 12.3-21.5 13.7-52.6 12.9-80.6-6.1.3-12.5.2-18.1-.5.8 27.1-1.8 57.1-10.4 72.1-13.9 24.1-39.9 42-69.2 57.1-8.9-25.3-13.2-50.6-7.7-74.7 5.3-22.8 19.3-45.5 48.5-67.2-5.5-3.1-10.6-6.7-15.4-10.7zm118.5 9.8c-5.3 3.1-10.9 5.8-16.8 7.9 1.9 2.4 3.9 4.9 5.8 7.5 13.5 18 25.3 40.7 24.3 53.3-.4 6.3-3.6 11.7-9.2 17.6-5.6 5.8-13.6 11.6-22 17.6-8.3 6-17 12.2-24 20-7 7.7-12.5 17.5-12.5 29.2.1 11.8 5.3 21.8 12.1 29.8 6.9 8 15.5 14.4 23.9 20.6 16.7 12.4 31.8 23.8 34.9 37.3 1.6 7 .6 18-1.9 29.7h18.8c2.3-11.6 3.1-23.2.7-33.7-5.2-22.6-25.4-35.6-41.8-47.7-8.3-6.1-15.8-12-20.9-18-5.1-5.9-7.8-11.3-7.8-18 0-6.3 2.6-11.4 7.8-17.1 5.2-5.8 13-11.5 21.3-17.5 8.2-5.9 17-12.1 24.3-19.7 7.4-7.6 13.4-17.1 14.3-28.7 1.7-22.9-13.5-46.3-27.8-65.5-1.2-1.6-2.4-3.1-3.5-4.6z"}}]})(props);
};
function GiFlood (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.1 76.12L93.42 224h23.08L256 99.96 395.5 224h23.1L256.1 76.12zM329 105v13.1l30 27.2V105h-30zm-73 19L137 229.8v117.9c8.5 6.6 16 11.3 23 11.3 2.3 0 4.6-.5 7-1.4V279h66v49.1c11.5 2.8 20.6 10.5 28.6 16.9 10 8 18.5 14 26.4 14 7.9 0 16.4-6 26.4-14s21.6-18 37.6-18c8.9 0 16.4 3.1 23 7.2V229.8L256 124zm-71 173v49.1c.5-.4.9-.7 1.4-1.1 8-6.4 17.1-14.1 28.6-16.9V297h-30zm-89 48c-15.95 0-32.12 9-45.66 17.3C36.8 370.7 26.39 379 26.39 379l11.22 14s9.66-7.7 22.16-15.3C72.26 370 88.1 363 96 363c7.9 0 16.4 6 26.4 14s21.6 18 37.6 18 27.6-10 37.6-18 18.5-14 26.4-14c7.9 0 16.4 6 26.4 14s21.6 18 37.6 18 27.6-10 37.6-18 18.5-14 26.4-14c7.9 0 16.4 6 26.4 14s21.6 18 37.6 18 32.1-9 45.7-17.3c13.5-8.4 23.9-16.7 23.9-16.7l-11.2-14s-9.7 7.7-22.2 15.3C439.8 370 423.9 377 416 377c-7.9 0-16.4-6-26.4-14S368 345 352 345s-27.6 10-37.6 18-18.5 14-26.4 14c-7.9 0-16.4-6-26.4-14S240 345 224 345s-27.6 10-37.6 18-18.5 14-26.4 14c-7.9 0-16.4-6-26.4-14S112 345 96 345zm0 62c-15.96 0-32.13 9-45.68 17.3-13.54 8.4-23.96 16.7-23.96 16.7l11.22 14s9.66-7.7 22.16-15.3C72.25 432 88.09 425 96 425c7.9 0 16.4 6 26.4 14s21.6 18 37.6 18 27.6-10 37.6-18 18.5-14 26.4-14c7.9 0 16.4 6 26.4 14s21.6 18 37.6 18 27.6-10 37.6-18 18.5-14 26.4-14c7.9 0 16.4 6 26.4 14s21.6 18 37.6 18 32.1-9 45.7-17.3c13.5-8.4 23.9-16.7 23.9-16.7l-11.2-14s-9.7 7.7-22.2 15.3C439.8 432 423.9 439 416 439c-7.9 0-16.4-6-26.4-14S368 407 352 407s-27.6 10-37.6 18-18.5 14-26.4 14c-7.9 0-16.4-6-26.4-14S240 407 224 407s-27.6 10-37.6 18-18.5 14-26.4 14c-7.9 0-16.4-6-26.4-14S112 407 96 407z"}}]})(props);
};
function GiFloorHatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M110.297 71.817l-46.71 12.936c35.32 100.342 82.123 195.39 131.653 297.3L328.656 395.7c-.385-33.58-4.508-74.918-15.427-113.043 33.89-49.694 60.607-111.009 92.484-176.203l-38.858-27.77c-23.013 55.262-46.325 111.084-81.988 163.829-9.005 11.141-91.217 8.963-99.012 1.814-29.931-62.736-58.224-112.585-75.558-172.51zm115.455 42.623a27.02 27.02 0 0 0-3.815.239c-10.15 1.36-19.012 8.385-25.21 20.197-6.2 11.812-9.199 28.107-6.866 45.525 2.333 17.42 9.515 32.35 18.604 42.114 9.088 9.764 19.487 14.209 29.637 12.85 10.15-1.36 19.01-8.385 25.209-20.196 6.198-11.812 9.196-28.107 6.863-45.525-2.333-17.42-9.511-32.35-18.6-42.114-7.952-8.543-16.908-13.016-25.822-13.09zM136.01 292.354L19.03 400.78l19.779 2.037 363.03 37.366 91.132-143.526-158.051-3.523c1.58 6.018 2.944 12.051 4.154 18.095l121.602 2.711-68.067 107.198-332.175-34.192 82.84-76.785c-2.457-5.934-4.88-11.87-7.264-17.807z"}}]})(props);
};
function GiFloorPolisher (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M37.08 29c-8.55 0-15.284 6.734-15.284 15.284S28.53 59.57 37.08 59.57s15.285-6.735 15.285-15.285S45.63 29 37.08 29zm31.745 26.3C64.226 68.41 51.69 77.91 37.08 77.91c-5.008 0-9.77-1.123-14.056-3.119l37.413 49.886 19.324-8.453zm16.708 78.418l-16.435 7.19 111.193 283.177 16.108-8.056zm213.04 198.173v14.265h79.479v-14.265zm0 32.607v46.872h79.479v-46.872zm-149.69 32.606l-4.56 11.398a58.622 58.622 0 0 1 15.041 12.014l-8.78-23.412zm60.01 0l5.35 14.266h65.99v-14.266zm-92.713 22.417a39.601 39.601 0 0 0-39.74 39.74A39.601 39.601 0 0 0 116.18 499a39.601 39.601 0 0 0 39.74-39.74 39.601 39.601 0 0 0-39.74-39.739zm100.877 10.19v30.569h242.512v-30.57zm-18.342 5.668l-25.537 12.77a57.869 57.869 0 0 1 1.083 11.112c0 .341-.02.678-.026 1.019h24.48v-24.901zm14.84 43.242l-7.134 14.265h263.783l-7.133-14.265z"}}]})(props);
};
function GiFlowerEmblem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 24c-11.8 0-24.5 10.15-34.6 30.32-7.1 14.37-12.6 33.19-15.1 54.48 4.6 4 9.2 8.2 13.7 12.7 11.4 11.3 21.2 23.3 29.3 35.3 2.2-.1 4.5-.2 6.7-.2 2.4 0 4.8.1 7.2.3 8.1-12.1 17.9-24 29.3-35.4 4.3-4.3 8.8-8.5 13.3-12.3-2.6-21.44-8-40.42-15.2-54.88C280.5 34.15 267.8 24 256 24zM113.2 84.12c-9.2.13-16.33 2.76-20.99 7.44-8.32 8.32-10.16 24.44-3 45.84 7.15 21.4 22.89 46.5 45.59 69.2 8.3 8.3 17 15.7 25.6 22.1 9.5-33.2 35.9-59.3 69.2-68.5-6.4-8.8-13.9-17.6-22.3-26-22.7-22.7-47.8-38.48-69.2-45.64-9.4-3.13-17.8-4.54-24.9-4.44zm286.1 0c-7.1-.1-15.5 1.33-24.8 4.48-21.4 7.14-46.5 22.9-69.2 45.6-8.5 8.5-16 17.3-22.4 26.1 33.2 9.3 59.4 35.5 68.8 68.7 8.8-6.5 17.6-14 26-22.4 22.7-22.7 38.4-47.8 45.6-69.2 7.2-21.4 5.3-37.49-3-45.83-4.7-4.69-11.8-7.33-21-7.45zM256 174.6c-45.1 0-81.4 36.3-81.4 81.4 0 45.1 36.3 81.4 81.4 81.4 45.1 0 81.4-36.3 81.4-81.4 0-45.1-36.3-81.4-81.4-81.4zm-146.2 31.6c-21.67 2.5-40.87 8-55.48 15.2C34.15 231.5 24 244.2 24 256s10.15 24.5 30.32 34.6c14.48 7.2 33.48 12.6 54.88 15.2 4.1-4.7 8.4-9.4 12.9-13.9 11.2-11.2 22.9-20.9 34.7-28.9-.1-2.3-.2-4.6-.2-7 0-2.6.1-5.2.3-7.7-11.9-8-23.6-17.7-34.8-28.9-4.3-4.3-8.4-8.8-12.3-13.2zm292.8 0c-3.9 4.4-7.9 8.8-12.2 13.1-11.4 11.4-23.3 21.2-35.3 29.3.2 2.4.3 4.9.3 7.4 0 2.2-.1 4.5-.2 6.7 11.9 8 23.8 17.8 35.1 29.1 4.6 4.6 8.9 9.2 12.9 13.9 21.3-2.5 40.1-8 54.5-15.1 20.2-10.1 30.3-22.8 30.3-34.6s-10.1-24.5-30.3-34.6c-14.5-7.2-33.6-12.7-55.1-15.2zm-50.8 76.1c-9.1 33.4-35.3 59.8-68.5 69.3 6.3 8.6 13.6 17.2 21.9 25.4 22.7 22.7 47.8 38.4 69.2 45.6 21.4 7.1 37.5 5.3 45.8-3 8.4-8.3 10.2-24.5 3-45.9-7.1-21.4-22.9-46.5-45.6-69.2-8.4-8.4-17-15.8-25.8-22.2zm-191.6.4c-8.6 6.4-17.1 13.7-25.4 21.9-22.7 22.7-38.43 47.8-45.57 69.2-7.21 21.4-5.37 37.5 2.97 45.9 8.3 8.3 24.5 10.2 45.8 2.9 21.4-7.1 46.5-22.9 69.2-45.6 8.2-8.2 15.5-16.7 21.9-25.3-33.3-9.4-59.5-35.7-68.9-69zm88.6 72.4c-8 11.8-17.6 23.5-28.8 34.7-4.5 4.5-9.1 8.8-13.8 12.8 2.5 21.5 8 40.6 15.2 55.1 10.1 20.2 22.8 30.3 34.6 30.3s24.5-10.1 34.6-30.3c7.2-14.6 12.7-33.8 15.2-55.5-4.5-3.9-9-8.1-13.4-12.5-11.2-11.2-20.8-22.8-28.7-34.6-2.6.2-5.1.3-7.7.3-2.4 0-4.8-.1-7.2-.3z"}}]})(props);
};
function GiFlowerHat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 29.59c-45.5 0-91.7 19.17-126.2 47.91-32.32 26.9-53.88 61.9-56.52 96.1 2.48.6 4.98 1.2 7.48 1.8 61.74 14.2 123.34 20.9 185.04 20.1-1.8-4.2-2.6-8.9-1.8-13.8 1.6-8.9 8.2-15.4 15.8-18.9 7.6-3.6 16.8-4.7 26.1-3 .4.1.8.2 1.3.3-.3-1.1-.4-2.3-.6-3.4-1.4-9.7 0-18.9 3.9-26.6 3.9-7.6 10.9-14.1 19.9-15.3 9-1.3 17.5 3 23.3 9.2 5.4 6 9.2 13.7 10.8 22.6.2-.3.5-.6.7-.9 6.2-7.6 13.9-12.8 22.2-15.2 8.2-2.4 17.6-1.7 24.7 4.1 7.1 5.7 9.8 14.8 9.2 23.3-.6 7.3-3.2 14.6-7.8 21.3 2.2-.5 4.5-.9 6.7-1.4 1.7-.3 3.4-.7 5.1-1.1 1.1-.2 2.3-.5 3.4-.7 3.3-.8 6.7-1.6 10-2.4-2.6-34.2-24.2-69.2-56.5-96.1-34.5-28.74-80.7-47.91-126.2-47.91zm77.7 102.91c-.2 0-.5.1-.8.1-2.2.3-4.4 1.8-6.4 5.6-1.9 3.9-3 9.6-2.1 16 .7 5.1 2.6 9.6 4.9 12.8 5.1-3.1 10.9-4.9 17.2-5 .7-3.2 1-7.1.5-11-.9-6.3-3.6-11.5-6.4-14.7-2.6-2.8-4.9-3.8-6.9-3.8zm62.7 14.6c-1.2 0-2.5.2-4.1.6-4.1 1.3-9.1 4.4-13.1 9.4-4 4.9-6 10.4-6.4 14.7v1.3c2.3 2.4 4.3 5.2 5.9 8.2 1.4.2 3.1 0 5.2-.6 4-1.2 9.1-4.4 13-9.3 4.1-5 6-10.4 6.4-14.7.3-4.3-.8-6.8-2.5-8.2-1.1-.8-2.5-1.4-4.4-1.4zm-98 30c-4.3-.1-8.2.7-11 1.9-3.8 1.8-5.3 3.9-5.6 5.9-.4 1.9.3 4.4 3.2 7.3 2.9 2.9 7.9 5.7 13.9 6.8 4.4.8 8.7.5 12.1-.4.2-5.6 1.6-11 3.9-15.8-3-2.3-7.2-4.4-12.1-5.3-1.5-.2-3-.4-4.4-.4zm48.8 2.9c-9.8 0-18.2 8.5-18.2 19.8s8.4 19.8 18.2 19.8c9.8 0 18.2-8.5 18.2-19.8S357 180 347.2 180zM68.76 191c-6.58 12.8-27.22 51.2-52.15 80.6 164.29 42.5 314.49 42.5 478.79 0-24.9-29.4-45.6-67.8-52.2-80.6-4.9 1.2-9.8 2.3-14.6 3.4 4.4 5.3 7.1 12 6.2 19.3-1 9-7.2 16.2-14.7 20.2-7.6 4.1-16.7 5.8-26.5 4.7-2.9-.3-5.6-.8-8.3-1.6.8 2.8 1.5 5.7 1.8 8.8 1.1 9.8-.6 18.9-4.7 26.5-4.1 7.5-11.3 13.7-20.3 14.7-9.1 1-17.4-3.5-23.1-9.9-4.8-5.6-8.2-12.6-9.8-20.6-7 6.8-15.4 11-23.9 12.4-8.4 1.3-17.7-.6-24-7.1-6.3-6.6-7.9-15.9-6.2-24.3 1.7-8.2 6.1-16.2 12.8-22.9-1.4-.5-2.7-1-4-1.6-71.7 2.5-143.5-4.8-215.14-22zm325.04 6.9c-4 .1-7.6 1-10.4 2.2-.1 5.1-1.1 10-2.9 14.5l.2.2c3.3 2.7 8.7 5.3 14.9 6 6.4.7 12.1-.6 15.9-2.6 3.8-2.1 5.2-4.4 5.5-6.5.2-2.2-.7-4.7-3.9-7.6-3.3-2.8-8.6-5.3-15-6-.8-.1-1.5-.1-2.3-.2zm-77.5 21.5c-.4 0-.9 0-1.3.1-4.2.7-9.5 3.2-14.1 7.6-4.6 4.4-7.3 9.6-8.2 13.8-.8 4.3.1 6.8 1.6 8.4 1.5 1.6 4 2.5 8.3 1.8 4.2-.7 9.5-3.2 14.1-7.6 4.6-4.4 7.3-9.6 8.2-13.8v-.2c-3.4-2.8-6.4-6.2-8.6-10.1zm47.3 14.1c-4.7 2.5-10.1 4-15.8 4.1-1.2 3.5-1.8 8-1.3 12.7.7 6.4 3.2 11.7 6 15 2.9 3.2 5.4 4.1 7.6 3.9 2.2-.3 4.4-1.7 6.5-5.5 2-3.8 3.3-9.5 2.6-15.9-.7-5.9-2.9-11-5.6-14.3zM148 315c7.4 52.7 17.9 91.2 30.6 118.1 9.2 19.7 19.6 33.4 31.6 41.5 12.1 8.1 26.1 9.8 38.8 5.6 25.4-8.4 46-36.2 62.4-74.3 10.9-25.1 19.6-55.1 25.2-88-6.2.6-12.3 1-18.5 1.5-5.4 29.8-13.5 56.9-23.2 79.4-15.4 35.8-35.4 59-51.5 64.3-8.1 2.7-15 2-23.1-3.4-8.1-5.5-17.1-16.4-25.4-34.2-11.2-23.6-21.1-59.2-28.4-108.4-6.1-.7-12.3-1.3-18.5-2.1z"}}]})(props);
};
function GiFlowerPot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M267.375 14.688c-17.09 6.94-30.576 17.288-38.75 29.593l-14.813-27.593c-9.017 49.344-12.52 95.085 32 109.563-10.734 36.94-17.187 73.9-20.687 110.813l-20.563-38.344c-2.848-14.713-9.618-30.698-17.343-47l-17.376 74.124c-7.214-22.468-16.496-44.677-28.47-66.47 24.46-43.217 16.134-70.568-31.093-79.28-.515 3.04-.56 9.344-.56 9.344l-19.876-8.75L87.5 100.53l-9.344-4.655c-5.433 42.254-.12 74.946 46.625 72.094 3.705 6.717 7.128 13.47 10.314 20.28L29.22 156.312c31.263 45.247 64.173 82.76 112.53 47.094 10.985 26.656 18.485 53.944 23.75 81.72l-64.78-40.188c12.872 36.068 28.203 67.286 66.936 52.437 1.237 7.446 2.306 14.926 3.28 22.438h18.876c-2.757-21.95-6.533-43.82-11.906-65.5 8.208-4.095 14.35-8.853 18.75-14.188 3.693 11.197 11.61 19.643 26.438 23.594-1.097 18.71-1.506 37.414-1.438 56.092h18.688c-.014-4.07-.003-8.12.03-12.187 41.888-6.813 39.48-42.478 32.407-81.188l-31.967 59.625c.765-23.7 2.492-47.326 5.593-70.906 52.515 5.043 61.144-38.783 65.125-87.78l-61.81 65.843c3.47-20.563 8.06-41.09 14-61.564 37.544 4.596 76.884-35.765 75.28-70l-12.438 7.72c-1.053-11.96-6.674-25.51-17.125-40.69-7.535 5.354-14.003 12.573-19.843 20.44L285.5 31.03l-11.688 14.595c-.32-10.47-2.17-20.77-6.437-30.938zm182.22 99.25c-4.994.008-10.98.86-18.25 2.906-13.336 3.754-27.52 12.25-22.376 37.625-24.488 13.127-45.408 31.122-62.25 53.155h-.19c.03.045.067.08.095.125-.8 1.05-1.593 2.09-2.375 3.156l23.063-76.344c-45.938 31.743-83.94 65.165-45.438 114.75-9.69 21.296-16.536 44.94-20.313 70.5h38.032c24.53-7.376 29.6-36.436 32.187-68.25l-48.155 51.282c6.766-30.55 18.424-57.235 34.406-79.47 36.727 42.145 77.18 14.898 118.033-19.81l-104.594 3.28c13.094-14.284 28.35-26.198 45.56-35.5 11.388 14.74 28.402 14.172 40.595 7.812 25.338-13.216 17.442-27.84 38.28-45.906-20.892 5.264-19.352-19.358-46.31-19.313zM152.936 338.5l26.032 154.594h143.593L348.969 338.5H152.936z"}}]})(props);
};
function GiFlowerStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 26c-33.207 66.414-47.193 94.485-42.045 128.49-20.405-27.686-50.142-37.647-120.586-61.129 23.481 70.444 33.435 100.189 61.121 120.594C120.485 208.807 92.414 222.793 26 256c66.414 33.207 94.485 47.193 128.49 42.045-27.686 20.405-37.64 50.142-61.12 120.586 70.44-23.48 100.18-33.437 120.585-61.121-5.148 34.005 8.838 62.076 42.045 128.49 33.207-66.414 47.193-94.485 42.045-128.49 20.405 27.684 50.152 37.64 120.594 61.12-23.482-70.443-33.443-100.18-61.13-120.585C391.516 303.193 419.587 289.207 486 256c-66.414-33.207-94.485-47.193-128.49-42.045 27.686-20.405 37.647-50.15 61.129-120.594-70.444 23.482-100.189 33.443-120.594 61.13C303.193 120.484 289.207 92.413 256 26zm0 189c22.537 0 41 18.463 41 41s-18.463 41-41 41-41-18.463-41-41 18.463-41 41-41zm0 18c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23z"}}]})(props);
};
function GiFlowerTwirl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M277.15 15.205C156.242 16.415 55.302 138.49 97.855 259.738c.236-.898.495-1.78.74-2.672 2.014-44.925 29.754-87.052 72.382-111.033C240.472 96.4 349.52 103.243 482.07 207.91 441.497 139.717 395.89 98.6 331.764 64.86c25.326 1.366 52.64 1.44 83.797 6.826-44.575-40.27-92.906-56.936-138.41-56.48zM125.822 52.412c-137.746 41.46-140.07 297.526-7.592 355.668-26.982-5.33-52.944-14.213-75.92-26.867 70.023 139.78 335.9 106.928 329.42-81.266-17.214 37.204-52.435 67.6-97.572 79.705-35.122 9.42-70.577 6.236-100.363-6.76-98.026-39.283-154.31-188.008-47.97-320.48h-.003zm123.96 91.914c-12.187-.084-24.737 1.472-37.323 4.848-67.128 18.003-107.523 80.338-91.952 138.502 7.036 26.283 24.393 47.58 47.498 61.373 17.175 6.946 35.95 9.88 54.303 8.15 50.952-4.81 95.722-48.554 90.434-100.952-3.738-37.02-35.686-69.512-73.648-65.363-26.23 2.867-49.247 25.63-46.123 52.295 2.097 17.902 17.716 33.58 35.705 31.297h.002c11.602-1.472 21.745-11.662 20.197-23.002-.194-1.424-.618-2.803-1.21-4.096-2.036 2.385-4.785 4.204-8.044 5.077-8.567 2.296-17.376-2.79-19.672-11.357-2.294-8.568 2.79-17.373 11.36-19.668.49-.132.984-.235 1.477-.32l-.002-.01c.044-.007.087-.01.13-.016h.005c17.875-2.566 32.265 11.716 34.47 27.86h-.003c3.123 22.877-15.39 41.404-36.358 44.064-29.462 3.737-53.413-20.335-56.614-47.656-4.464-38.11 26.966-69.14 62.65-73.042 3.085-.337 6.134-.493 9.14-.478 45.104.222 80.722 38.92 85.126 82.54 4.628 45.855-21.593 85.602-59.184 106.435 65.427-18.976 104.47-80.37 89.12-137.714-12.652-47.26-58.668-78.407-111.485-78.77zm79.74 5.326c23.968 16.104 42.048 39.66 49.798 68.612.908 3.39 1.65 6.79 2.243 10.187 26.737 85.357-5.167 199.845-63.8 261.392C379.27 473.715 425.278 417.11 441.6 353.756c12.557 44.178 15.743 89.788 7.02 128.187 93.862-152.582 29.32-296.865-119.097-332.29z"}}]})(props);
};
function GiFlowers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M86.838 20.422c-29.217.373-53.398 25.41-42.61 70.22l40.24 11.413c5.147-13.795 16.636-25.02 31.854-29.1 1.185-.318 2.372-.572 3.56-.793l1.897-40.46c-11.212-7.76-23.464-11.427-34.942-11.28zm87.732 1.793c-10.123-.103-21.806 3.615-34.21 12.252l-1.784 38.02c14.74 3.29 27.496 13.587 33.428 28.107l32.348-11.844c14.85-35.758-1.285-66.247-29.782-66.535zm230.28 1.06c-9.608-.095-19.477 4.95-16.297 15.592 6.02 20.145 23.767 16.734 31.03-.336 4.222-9.92-5.126-15.16-14.733-15.255zm-112.23 5.65c-12.452-.145-24.19 11.893-12.89 35.548-34.188-.71-21.3 46.873 4.36 33.504-13.39 41.327 40.743 47.828 33.523 4.898 32.285 20.344 46.882-12.12 14.662-27.3 42.23-9.177 7.444-59.05-19.806-23.93-.05-15.122-10.166-22.606-19.85-22.72zm10.288 39.202c6.265 0 11.344 5.08 11.344 11.344 0 6.267-5.08 11.344-11.344 11.344-6.264 0-11.344-5.077-11.344-11.343 0-6.265 5.08-11.343 11.344-11.343zm138.072 1.31c-17.36-.108-28.32 22.492 6.075 35.823l-.004.008c-18.252 24.743 32.73 47.3 24.47 5.435 42.727-1.302 17.174-56.758-8.06-26.582-6.68-10.547-15.15-14.64-22.48-14.684zM128.088 90.02c-.41.01-.822.027-1.234.052-1.885.118-3.79.426-5.692.936-15.215 4.08-24.107 19.483-20.03 34.705 4.075 15.222 19.466 24.11 34.68 20.03 15.217-4.08 24.11-19.484 20.034-34.706-3.455-12.903-15.042-21.255-27.758-21.016zm84.387 15.658l-37.004 13.55c-.232 11.523-4.734 22.48-12.33 30.836l28.235 28.803c43.737 3.567 62.383-49.22 21.1-73.19zm-178.65 1.437c-36.192 29.177 5.828 104.825 44.183 91.903l23.504-42.207c-8.744-6.122-15.474-15.21-18.434-26.263-.883-3.298-1.378-6.612-1.533-9.897l-47.72-13.535zm367.232 20.658c-14.982.243-31.716 9.85-46.463 32.012l11.44 49.283c1.507-.025 3.012.008 4.51.116 12.477.893 24.467 6.36 33.335 15.656l39.413-27.71c5.398-39.892-14.834-68.726-40.793-69.35-.48-.012-.96-.014-1.443-.007zm79.183 28.122c-21.017.598-22.312 18.624-7.705 30.058 16.984 13.293 29.913-30.692 7.705-30.058zM314.877 159.4c-40.034.352-74.266 32.268-43.348 88.356l46.115.19c3.172-13.074 11.44-24.89 23.94-32.11 2.002-1.156 4.054-2.15 6.138-3.004l-11.774-50.71c-6.993-1.883-14.12-2.783-21.073-2.722zm-166.996 1.795c-2.3 1.045-4.71 1.923-7.228 2.598-7.404 1.985-14.89 2.053-21.933.533l-22.21 39.877c35.416 42.364 66.968 18.707 77.86-15.988l-26.49-27.02zm297.983 56.973l-31.8 22.355c4.872 11.832 4.94 24.766.876 36.31l35.98 21.247c51.595-7.404 55.444-71.524-5.057-79.912zm-78.888 9.484c-5.438.02-10.96 1.43-16.043 4.368-15.496 8.95-20.735 28.5-11.79 43.998 8.946 15.498 28.483 20.733 43.98 11.783 15.497-8.95 20.733-28.498 11.788-43.997-5.59-9.687-15.318-15.364-25.61-16.074-.773-.055-1.55-.08-2.325-.078zM81.39 239.082c-34.73.54-57.755 31.94-33.27 81.633l53.17 16.71c7.688-13.977 21.333-24.253 37.46-27.37l-2.902-48.74C117.66 245.77 98.163 238.82 81.39 239.08zm113.98 2.797c-13.108.22-27.65 6.908-40.624 22.427l2.707 45.406c13.364 2.09 25.15 9.077 33.457 19.057l39.21-22.13c15.072-35.715-6.503-65.235-34.75-64.76zm73.062 24.552c-30.79 56.358 24.864 96.28 68.175 80.716l11.317-40.136c-10.167-4.104-19.092-11.474-24.967-21.653-3.428-5.94-5.506-12.304-6.344-18.73l-48.18-.198zm137.193 26.603c-3.642 4.265-8.043 7.995-13.158 10.95-8.234 4.755-17.277 6.922-26.18 6.77l-12.023 42.638c33.61 37.99 90.653 1.21 86.574-39.563l-35.213-20.795zm-170.875 32.45l-34.51 19.478c2.117 5.8 3.276 12.05 3.276 18.56 0 10.603-3.078 20.513-8.368 28.903l30.182 31.656c67.613-28.103 48.493-74.875 9.42-98.596zm-85.697 2.26c-19.868 0-35.776 15.91-35.776 35.778 0 19.87 15.907 35.776 35.776 35.776 19.868 0 35.773-15.908 35.773-35.777 0-19.87-15.905-35.777-35.773-35.777zm-106.885 10.69c-36.703 38.242-22.952 115.13 44 109.487l25.93-44.485c-10.75-9.963-17.51-24.18-17.51-39.914 0-2.857.227-5.664.656-8.406l-53.076-16.68zm426.023 21.948c-15.52.168-41.495 23.15-13.82 29.03-3.312 37.943 49.157 5.48 23.064-14.036 2-11.068-2.69-15.065-9.243-14.994zM348.964 384.8c-7.97.042-16.24 7.06-19.36 25.384-23.89-30.674-58.175 4.596-20.525 26.834-47.55 24.345 2.655 56.935 21.938 27.476 4.25 49.467 60.75 18.172 29.115-10.816 40.15 6.587 40.073-32.17.952-30.975 13.618-18.657 1.166-37.97-12.12-37.902zm-166.365 21.542c-9.263 7.28-20.913 11.644-33.545 11.644-7.538 0-14.727-1.55-21.27-4.347L98.807 463.35c21.65 51.43 121.512 27.185 120.416-20.534l-.97.924-35.655-37.4zm156.406 20.738c6.264 0 11.344 5.08 11.344 11.344 0 6.266-5.08 11.346-11.344 11.346-6.265 0-11.344-5.08-11.344-11.346s5.08-11.344 11.344-11.344zm108.107 7.03c-12.226-.44-16.166 20.116 6.423 32.91-21.557 28.787 29.408 50.67 23.77 6.822 36.732 6.987 9.592-36.157-8.47-20.707h-.003c-7.8-13.584-15.747-18.808-21.72-19.024z"}}]})(props);
};
function GiFluffyCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M225.438 18.156c-15.105.14-32.56 2.526-52.407 7.844-35.26 9.45-65.035 28.973-88.374 54.844-17.668 13.755-36.98 46.39-51.437 85.97-16.415 55.046-16.447 120.304-2.157 188.155C34.84 372.91 44.14 385.08 57.5 392.093c13.36 7.01 31.353 8.776 52.688 3.062 13.473-3.608 23.028-12.44 28.812-22.75 5.784-10.31 7.226-22.05 5.313-29.187-4.335-16.17-19.078-25.202-32.313-21.658-9.02 2.417-13.433 10.27-13.5 16.97-.034 3.35.976 6.065 2.75 7.968 1.774 1.903 4.493 3.497 10 3.594l-.344 18.687c-9.57-.168-17.87-3.693-23.312-9.53s-7.856-13.482-7.78-20.906c.148-14.85 10.064-30.185 27.342-34.813 24.03-6.434 48.515 9.84 55.22 34.845 3.605 13.45.802 29.11-7.095 43.188-7.896 14.077-21.48 26.63-40.25 31.656-4.174 1.117-8.282 1.972-12.343 2.624 98.875 90.13 248.893 110.83 349.344 9.72 18.164-18.283 31.29-40.735 38.595-65.127.02-.063.044-.124.063-.187 9.94-40.298 4.91-84.342-17.5-123.156-44.153-76.474-142.198-106.276-193.094-78.28-57.27 23.11-71.688 56.892-76.625 81.874-21.635 61.008 4.65 135.55 67.686 156.375 43.724 14.443 97.45-5.348 111.656-51.25 9.364-30.262-4.29-66.992-35.437-75.532-9.543-2.616-20.58-1.58-29.438 2.658-8.858 4.237-15.41 11.2-17.78 21.093-1.297 5.42-.55 11.935 1.906 16.814 2.455 4.88 5.99 8.01 11.25 8.97 1.883.342 4.31-.074 6.28-.845-2.017-.512-3.482-1.562-4.343-2.345-1.39-1.288-3.168-3.693-3.656-6.563-.78-4.998 2.214-9.82 5.03-11.906 2.818-2.086 5.51-2.925 8.845-2.906 6.21.034 11.453 3.97 14.03 8.125 2.577 4.154 3.51 8.625 2.97 13.28v.033c-.982 8.283-6.386 14.75-12.533 18.187-6.146 3.438-13.153 4.556-19.968 3.313-11.435-2.087-20.017-9.842-24.595-18.938-4.578-9.096-5.78-19.644-3.406-29.563 3.774-15.756 14.824-27.336 27.905-33.593 13.08-6.257 28.324-7.683 42.438-3.813 42.675 11.702 60.497 59.787 48.343 99.064-17.637 56.99-82.493 80.936-135.375 63.47-68.184-22.526-99.163-97.1-84.28-163.44-18.918-16.436-34.28-39.526-40.47-62.624-14.74-55.014 32.67-114.382 82.19-130.563 42.26-13.775 79.575 5.404 60.124 39.094 33.446-28.243 15.37-79.8-57.406-79.124z"}}]})(props);
};
function GiFluffyFlame (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M92.043 24.678c-2.944.002-5.89.177-8.828.535C36.212 30.937 9.05 81.023 22.537 137.08c3.273 13.606 8.647 26.307 15.57 37.668-.006-.09-.007-.177-.013-.266 1.35 2.25 2.966 4.417 4.85 6.438 11.252 12.063 27.762 13.945 36.796 4.672 9.034-9.273 7.16-26.484-4.09-38.547-1.41 7.565-7.797 13.434-15.77 13.434-8.998 0-16.35-7.356-16.35-16.355 0-1.885.26-3.35.824-4.92C54 117.51 73.796 100.763 98.912 96.082c30.028-5.596 59.188 7.624 75.38 31.316 4.616 13.202 6.077 24.766 5.616 35.514-.84 19.612-8.37 37.303-17.142 57.244-12.184 27.692-26.016 59.814-22.526 104.215 1.285 57.826 31.464 113.704 84.887 145.392 82.36 48.853 188.73 21.7 237.592-60.64 48.86-82.338 21.713-188.687-60.648-237.54-13.1-7.77-26.807-13.61-40.795-17.617 45.042 34.597 60.388 96.118 36.68 147.875-.532-4.287-1.34-8.593-2.44-12.897-13.92-54.505-68.97-88.07-123.476-74.158-8.882 2.263-16.897 6.52-24.515 10.807 35.86-5.066 70.14 16.573 79.31 52.47 9.83 38.507-13.138 77.213-51.657 87.04-9.925 2.535-19.965 2.87-29.563 1.326-7.373-2.62-14.602-5.98-21.586-10.123-14.722-8.732-26.925-20.077-36.413-33.076-16.793-32.11-20.372-62.952-8.217-94.378l-.035-.014.508-1.154c8.797-19.996 17.684-40.13 18.707-63.97.397-9.248-.45-18.94-2.855-29.228-.53-5.94-1.51-12-2.987-18.136-12.644-52.555-56.53-91.7-100.695-91.672zm282.39 57.53c-28.528-.353-54.46 19.41-67.154 61.7 30.764-33.286 128.965-6.368 182.1 96.524C476.72 139.258 421.974 82.794 374.43 82.207z"}}]})(props);
};
function GiFluffySwirl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M306.72 22.688c-87.212.763-181.58 53.14-238.19 140.406-.944 1.46-1.677 3.068-2.593 4.53.455-.397.86-.917 1.313-1.31-40.253 56.984-35.183 136.503 15.813 187.5 54.553 54.552 141.745 56.65 199.093 6.78-4.676 6.576-9.916 13.137-15.812 19.03-57 57-149.53 57-206.53 0-17.814-17.81-30.103-38.73-36.783-61.312 2.928 65.605 34.97 122.74 93.907 151.97 103.593 51.374 250.2-2.8 326.875-121C510.904 245.856 502.47 127.374 429.938 65c-10.36-8.91-22.206-16.483-35.156-22.906-25.897-12.844-54.454-19.11-83.905-19.407-1.38-.013-2.772-.012-4.156 0zm1.06 62.406c47.14-.705 82.63 23.414 90.376 58.906v.03c1.417 6.492 1.806 13.565 1.344 21.032-3.682 59.742-68.786 126.655-145.438 149.563-.945.282-1.872.422-2.812.688l.938-.47c-37.843 12.718-74.086-.708-84.438-33.624-7.03-22.36-.468-48.544 15.25-70.408-1.695 7.2-.05 13.91 5.344 18.375 10.643 8.816 31.83 5.575 47.312-7.25 15.483-12.824 19.394-30.37 8.75-39.187-6.294-5.214-16.287-6.21-26.594-3.5.178-.103.353-.21.532-.313-.755.257-1.52.54-2.28.813-.344.123-.69.217-1.033.344-2.682.876-5.37 1.984-8 3.344-.656.307-1.315.61-1.968.937-42.374 21.24-83.226 68.335-71.656 105.125 3.616 11.497 10.213 20.614 19.094 27.094-30.253-10.44-48.35-34.526-46.563-68.53 3.682-70.837 83.193-133.31 159.844-156.22 14.673-4.385 28.802-6.553 42-6.75z"}}]})(props);
};
function GiFluffyTrefoil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M347.992 22.832c-51.712.07-101.096 34.503-109.127 86.984-6.792 44.385 21.9 91.457 68.047 97.996 33.752 4.784 69.154-16.666 73.35-50.78 2.95-23.992-12.95-49.414-37.766-52.053-5.27-.562-10.605.153-15.478 1.91-7.48 1.888-13.638 7.08-16.848 13.93-1.555 2.91-2.556 6.132-2.83 9.608-.395 5 1.114 10.15 3.95 14.144 4.44 7.53 12.626 12.586 22 12.586 7.837 0 14.846-3.534 19.528-9.094-1.186 6.693-5.074 12.374-9.923 16.1-5.798 4.454-12.964 6.677-20.323 6.29-21.858-1.142-35.413-21.852-33.86-41.5 2.225-28.175 29.754-45.323 55.76-42.558 36.215 3.852 58.474 39.28 54.337 72.918-5.608 45.582-51.27 73.13-94.52 67-35.455-5.024-62.33-28.824-75.702-59.06-25.502-12.462-54.185-18.076-82.324-15.568-73.17 6.52-135.548 70.878-128.2 146.78 5.672 58.588 56.423 108.3 115.655 101.75 44.613-4.93 82.65-44.843 77.028-91.126-4.112-33.853-33.983-62.497-68.006-57.717-23.93 3.362-44.37 25.31-40.498 49.973 2.195 13.982 13.266 26.085 26.428 27.617 1.503.276 3.05.426 4.633.426 14.097 0 25.523-11.428 25.523-25.525 0-10.782-6.687-19.994-16.14-23.734 6.22-.15 12.117 2.062 16.607 5.505 5.8 4.448 9.8 10.797 11.332 18.004 4.548 21.41-11.938 39.867-31.315 43.456-27.79 5.148-51.47-17.014-55.527-42.854-5.648-35.982 22.8-66.658 56.358-71.373 45.47-6.39 83.886 30.595 89.154 73.966 1.82 14.983.02 29.355-4.59 42.527 2.383 27.298 11.775 53.85 27.447 76.166 42.22 60.117 129.123 81.955 191.172 37.628 47.897-34.216 65.572-103.043 30.295-151.074-26.57-36.177-80.135-49.16-117.4-21.143-27.258 20.495-37.133 60.7-15.988 87.78 14.873 19.044 44.09 25.772 63.51 10.083 12.984-10.49 17.54-30.37 6.88-42.858-2.156-2.525-4.954-4.495-7.997-5.785-1.582-.81-3.27-1.47-5.055-1.95-13.617-3.648-27.613 4.433-31.26 18.05-.784 2.92-1.024 5.86-.79 8.71-3.532-5.438-4.66-11.908-3.897-17.728.952-7.248 4.448-13.887 9.924-18.818 16.265-14.65 40.494-9.6 53.287 5.39 18.35 21.496 10.997 53.09-9.35 69.526-28.333 22.888-69.12 13.59-89.978-13.12-28.26-36.19-15.44-87.96 19.482-114.214 17.342-13.038 37.328-18.982 57.246-18.992 12.108-.007 24.188 2.19 35.635 6.306 19.393-21.698 32.76-48.573 37.747-77.1 12.655-72.385-33.343-149.295-108.54-161.83-6.347-1.058-12.734-1.567-19.085-1.558z"}}]})(props);
};
function GiFluffyWing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160.53 20.906c-22.075.207-39.973 9.138-54.218 23.782C89.507 61.962 78.3 87.6 74.876 115.624c-6.847 56.05 16.55 119.953 82.094 146.625l-7.032 17.313c-64.128-26.096-93.275-84.757-94.782-141-17.36 10.866-27.608 27.05-32.343 46.437-5.728 23.448-2.727 51.54 7.906 77.844 21.264 52.61 71.37 96.856 138.436 87.594l2.563 18.53c-48.795 6.74-90.183-11.576-119.907-41.03-8.152 16.216-7.504 32.264-.657 48.312 8.472 19.854 27.498 39.252 52.875 53.594 47.085 26.61 114.8 35.554 173.19 5.094-5.43-20.99-2.652-45.074 11.342-69.313 22.71-39.332 60.78-49.83 88.375-38.688 13.798 5.572 25.08 16.555 29.875 31.157 4.796 14.6 2.836 32.303-7.375 50.312-11.8 20.81-34.144 27.877-51.25 22.22-8.552-2.83-16.22-9.437-18.875-18.876-2.653-9.44-.142-20.366 7.063-31.313l15.594 10.282c-5.238 7.955-5.5 13.08-4.69 15.967.813 2.888 2.84 4.895 6.75 6.188 7.822 2.587 21.483-.152 29.158-13.688 8.188-14.44 8.82-26.183 5.843-35.25-2.976-9.066-9.846-15.954-19.092-19.687-18.493-7.467-46.14-2.273-65.188 30.72-14.024 24.29-14.373 45.376-6.72 63.436l2.814 4.375c-.197.13-.397.25-.594.376.256.497.513 1.008.78 1.5 1.945 3.565 4.218 7.007 6.814 10.28.1.13.21.25.312.377.395.49.81.984 1.22 1.468 11.508 13.657 28.358 24.378 47.312 30.283 24.26 7.557 51.596 7.146 74.843-3.75 23.248-10.897 42.935-31.972 52.69-68.375 3.323-12.406 5.08-23.776 5.5-34.313.01-.418.023-.832.03-1.25.087-5.1-.088-10.246-.563-15.406-.037-.407-.084-.814-.125-1.22-.032-.27-.06-.544-.093-.813-3.295-25.79-15.823-46.16-34.345-64.437-29.635-29.24-75.698-51.638-122.75-74.125-47.052-22.487-95.112-45.1-128.875-77.656-31.683-30.553-49.926-71.185-40.313-124.814-.72-.01-1.444-.006-2.156 0z","fillRule":"evenodd"}}]})(props);
};
function GiFlute (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M449.4 26.29c-5.4 2.56-14.6 7-27.2 14.14-17.6 9.98-37.7 23.64-45.9 34.27-1.8 2.33-5 10.39-6.8 17.25-1.2 4.49-1.4 6.02-1.8 8.25l44 44c2.2-.4 3.8-.6 8.3-1.8 6.9-1.8 15-5 17.3-6.8 10.6-8.2 24.3-28.2 34.2-45.79 7.2-12.62 11.6-21.81 14.2-27.24zM435 54.32l22.7 22.63-12.8 12.74-22.7-22.63zm-77.1 61.48L42.49 431.3c7.86 3 15.66 8.3 22.77 15.4 7.09 7.1 12.37 14.9 15.42 22.7L396.1 154zm-8.3 30.7a16 16 0 0 1 .1 0 16 16 0 0 1 11.1 4.7 16 16 0 0 1 0 22.6 16 16 0 0 1-22.7 0 16 16 0 0 1 0-22.6 16 16 0 0 1 11.5-4.7zm-45.1 45.3a16 16 0 0 1 11 4.6 16 16 0 0 1 0 22.7 16 16 0 0 1-22.6 0 16 16 0 0 1 0-22.7 16 16 0 0 1 11.6-4.6zM259.2 237a16 16 0 0 1 11.1 4.7 16 16 0 0 1 0 22.6 16 16 0 0 1-22.6 0 16 16 0 0 1 0-22.6 16 16 0 0 1 11.5-4.7zm-45.3 45.3a16 16 0 0 1 .1 0 16 16 0 0 1 11 4.7 16 16 0 0 1 0 22.6 16 16 0 0 1-22.6 0 16 16 0 0 1 0-22.6 16 16 0 0 1 11.5-4.7zm-45.2 45.3a16 16 0 0 1 11.1 4.6 16 16 0 0 1 0 22.7 16 16 0 0 1-22.7 0 16 16 0 0 1 0-22.7 16 16 0 0 1 11.6-4.6zM29.04 446.5c-1.44 0-2.13.4-2.25.5-.21.2-1.2 2.3.43 7.5 1.7 5.2 5.87 12.1 12.02 18.2 6.15 6.2 13.01 10.4 18.24 12.1 5.16 1.6 7.29.6 7.5.4.21-.2 1.2-2.4-.43-7.5-1.69-5.2-5.87-12.1-12.02-18.3-6.15-6.1-13.01-10.3-18.24-12-1.93-.6-3.44-.8-4.58-.9z"}}]})(props);
};
function GiFly (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M230.885 20.055l-13.77 11.593 6.04 7.172a55.39 55.39 0 0 0-9.505 2.094c-9.973 3.122-18.352 8.67-24.072 15.83-5.72 7.16-8.89 16.632-6.168 25.797a23.561 23.561 0 0 0 1.639 4.047c-1.28 2.858-2.049 5.954-2.049 9.263 0 9.994 4.36 22.052 16.104 29.64.098.063.205.121.304.185a56.12 56.12 0 0 0-7.584 8.629l-40.709-13.569-30.576-91.73-17.078 5.691 33.424 100.27 47.28 15.76c-.774 3.14-1.165 6.214-1.165 9.124v.64l4.637 32.458a203.51 203.51 0 0 1 16.338-9.148c.166-.083.337-.156.505-.235l-2.607-18.246c20.454-8.814 37.288-13.142 54.121-13.084 16.815.058 33.654 4.492 54.125 13.14l-2.598 18.19c.168.079.339.152.504.235a203.507 203.507 0 0 1 16.338 9.148L329 160.49v-.639c0-2.91-.387-5.985-1.158-9.127l47.273-15.757 33.424-100.27-17.078-5.691-30.576 91.73-40.705 13.568a56.23 56.23 0 0 0-8.455-9.435C323.115 117.577 329 106.51 329 95.851c0-3.31-.769-6.405-2.049-9.263a23.561 23.561 0 0 0 1.639-4.047c2.722-9.165-.448-18.636-6.168-25.797-5.72-7.16-14.099-12.708-24.072-15.83a55.436 55.436 0 0 0-9.506-2.094l6.04-7.172-13.769-11.593-21.148 25.113a27.663 27.663 0 0 0-3.965 3.568 27.567 27.567 0 0 0-3.967-3.566zm-2.27 36.474c3.079-.065 5.88.314 8.178 1.024 4.596 1.418 6.709 3.642 7.398 5.962.69 2.321.147 5.379-2.896 9.188-3.043 3.81-8.478 7.675-15.29 9.807-6.81 2.131-13.423 2.035-18.019.617-4.596-1.419-6.707-3.642-7.396-5.963-.69-2.321-.147-5.378 2.896-9.188 3.043-3.809 8.479-7.674 15.29-9.806 3.405-1.066 6.76-1.576 9.84-1.64zm54.77 0c3.078.065 6.434.575 9.84 1.64 6.81 2.133 12.244 5.998 15.287 9.807 3.043 3.81 3.588 6.865 2.898 9.186-.69 2.32-2.802 4.546-7.398 5.965-4.596 1.418-11.207 1.514-18.018-.617-6.81-2.132-12.244-6-15.287-9.809-3.043-3.81-3.588-6.865-2.898-9.186.689-2.32 2.802-4.544 7.398-5.962 2.298-.71 5.1-1.09 8.178-1.024zM255.998 82.89c.261.353.526.703.799 1.045 5.72 7.161 14.099 12.707 24.072 15.828 9.974 3.122 19.94 3.319 28.58.653.336-.104.667-.222 1-.336-.977 3.412-3.471 6.69-9.08 10.055-2.06 1.235-4.582 2.417-7.578 3.494-10.16-4.362-22.672-7.069-37.791-7.069-15.691 0-28.579 2.913-38.938 7.569-3.44-1.157-6.152-2.441-8.19-3.758-5.206-3.363-7.034-6.489-7.62-10.39a35 35 0 0 0 1.299.435c8.64 2.666 18.608 2.47 28.582-.653 9.973-3.121 18.35-8.667 24.07-15.828.273-.341.534-.693.795-1.045zm.002 41.67c27.754 0 42.266 9.836 49.26 19.66-17.278-6.13-33.264-9.267-49.254-9.314-15.946-.047-31.902 2.982-49.154 9.152 7.037-9.77 21.547-19.498 49.148-19.498zM34.846 183.312l-5.692 17.078 43.73 14.577 17.304 51.906 27.69-7.912c6.314-8.508 13.038-16.716 20.204-24.494l-36.27 10.363-14.697-44.094zm442.308 0l-52.27 17.424-14.697 44.094-36.269-10.363c7.166 7.778 13.89 15.986 20.203 24.494l27.692 7.912 17.302-51.906 43.73-14.577zm-263.357 15.844c-.26.023-.71.216-1.772.746-60.828 30.414-104.05 96.492-127.537 159.08-11.743 31.294-18.567 61.648-20.494 85.58-1.926 23.933 2.616 41.173 6.37 44.926 1.759 1.76 4.358 2.784 9.677 2.363 5.32-.42 12.717-2.639 21.07-6.642 16.708-8.007 37.225-22.893 56.707-41.305C196.783 407.081 231 355.348 231 319.851c0-16-.046-51.745-3.922-80.81-1.938-14.533-5.06-27.476-8.582-34.324-1.761-3.425-3.516-4.99-4.088-5.288-.286-.148-.352-.296-.611-.273zm84.406 0c-.259-.023-.325.125-.611.273-.572.298-2.327 1.863-4.088 5.288-3.522 6.848-6.644 19.791-8.582 34.324-3.876 29.065-3.922 64.81-3.922 80.81 0 35.497 34.217 87.23 73.182 124.053 19.482 18.412 40 33.298 56.707 41.305 8.353 4.003 15.75 6.222 21.07 6.642 5.32.421 7.918-.604 9.678-2.363 3.753-3.753 8.295-20.993 6.369-44.926-1.927-23.932-8.75-54.286-20.494-85.58-23.487-62.588-66.71-128.666-127.537-159.08-1.061-.53-1.513-.723-1.772-.746zM256 262.851a77.01 77.01 0 0 0-8.512.473c.408 6.14.708 12.198.924 18.02a60.101 60.101 0 0 1 7.588-.493c2.498 0 5.035.255 7.578.735.216-5.847.516-11.937.924-18.11a59.737 59.737 0 0 0-8.502-.625zM222.324 395.37c-3.43 5.326-7.116 10.594-10.994 15.783 4.639 6.388 9.726 12.19 15.275 17 8.513 7.378 18.395 12.7 29.395 12.7s20.882-5.322 29.395-12.7c5.55-4.81 10.636-10.612 15.275-17-3.878-5.189-7.565-10.457-10.994-15.783-5.005 7.675-10.559 14.405-16.07 19.182-6.488 5.622-12.606 8.3-17.606 8.3-5 0-11.118-2.678-17.605-8.3-5.512-4.777-11.066-11.507-16.07-19.182z"}}]})(props);
};
function GiFlyingBeetle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 29.3c-17.2 0-31 13.77-31 31s13.8 31 31 31 31-13.77 31-31-13.8-31-31-31zm-69.6 31.97L101 129.5l48.3 112.7 1.7-1.7v-5.2h.2c.5-9.3 1.6-18 3.5-26.1L123 135.1l74.6-59.77zm139.2 0l-11.2 14.06L389 135.1l-31.7 74.1c1.9 8.1 3 16.8 3.5 26.1h.2v5.2l1.7 1.7L411 129.5zM183 116.3c0 15.5 3.6 27.9 9.1 38.3 4.9-3 10.2-5.6 15.9-7.7-4.4-8.1-7-17.7-7-30.6zm128 0c0 12.9-2.6 22.5-7 30.6 5.7 2.1 11 4.7 15.9 7.7 5.5-10.4 9.1-22.8 9.1-38.3zm-55 41c-30.5 0-51.8 7.5-65.6 21.4-13 13-20.3 32.5-21.2 60 58.3 27.5 115.3 27.5 173.6 0-.9-27.5-8.2-47-21.2-60-13.8-13.9-35.1-21.4-65.6-21.4zm-120.6 98.8l-45.55 5.1c1.36 12.5 4.43 22.8 9.67 30.8zm241.2 0l35.9 35.9c5.3-8 8.4-18.3 9.7-30.8zM169 258.4v113.9c0 13.8 4.8 23 12.2 30 7.4 6.9 17.7 11.4 28.3 13.1 10.5 1.8 21.2.7 28.2-2 7.1-2.7 9.3-5.6 9.3-9.1v-86.6h18v86.6c0 3.5 2.2 6.4 9.3 9.1 7 2.7 17.7 3.8 28.2 2 10.6-1.7 20.9-6.2 28.3-13.1 7.4-7 12.2-16.2 12.2-30V258.4c-57.6 25-116.4 25-174 0zm-97.07 4.8l-46.43 5.1c1.81 25.3 11.87 50.5 26.68 71.1l34.4-34.5c-8.69-11.6-12.96-25.9-14.65-41.7zm368.17 0c-1.7 15.8-6.1 30.1-14.7 41.7l34.4 34.4c14.8-20.6 24.9-45.8 26.7-71zM151 266.1l-38.6 38.6c8.8 5.7 21.1 9.4 38.6 10.4zm210 0v49c17.5-1 29.8-4.7 38.6-10.4zM99.46 317.6l-35.77 35.8c2.08 2.2 4.23 4.4 6.43 6.4 24.66 22.9 54.18 33.3 80.88 22.8v-49.5c-22-1.1-39-6.4-51.54-15.5zm313.04 0C400 326.7 383 332 361 333.1V382.5c26.7 10.5 56.2.1 80.9-22.8 2.2-2 4.3-4.1 6.4-6.3zM183 425.4V448l34.6 34.7 12.8-12.8-29.4-29.3v-8.5c-6.1-1.5-12.3-3.7-18-6.7zm146 0c-5.7 3-11.9 5.2-18 6.7v8.5l-29.4 29.3 12.8 12.8L329 448z"}}]})(props);
};
function GiFlyingDagger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M133.53 10.47c51.747 30.872 96.318 71.166 131.94 119.093C199.33 72.05 115.217 33.942 19.22 21.406c12.584 96.38 50.948 180.807 108.843 247.063-47.45-35.09-87.475-78.907-118.313-129.783v31.219C65.264 272.953 147.488 356.6 249.28 413.812 159.164 375.9 78.843 322.91 10.813 257.375l-.468 38.125C134.828 408.824 300.18 479.697 493.75 494.688c-14.992-193.573-85.27-358.92-198.594-483.407l-41.812.44c64.677 66.753 117.25 145.417 155.28 233.624-57.55-99.84-140.81-180.403-242.937-234.875H133.53zm22.22 149.5c36.29 16.732 71.624 40.59 103.97 68.343l60.717-60.157 34.47 34.438-37.376 23.375c58.01 69.636 105.07 147.97 134.908 230.686-82.466-29.758-160.62-76.55-230.094-134.312l-23.938 36.78-35.062-34.468 60.75-60.72c-27.75-32.335-51.607-67.668-68.344-103.967z"}}]})(props);
};
function GiFlyingFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M356.688 19.188c-6.83-.032-12.837.64-18.125 1.843-24.178 5.495-36.437 21.983-50.938 41.157-14.5 19.175-31.317 40.993-62.78 47.47C195.08 115.78 154.27 108.253 91.25 78.5c-10.013 44.88-33.406 128.62-60.906 178.656 60.093 28.5 97.245 34.926 121 30.875.01 0 .02.004.03 0 21.59-5.827 34.487-20.094 47.876-43.092 17.014-29.227 32.563-72.198 60.25-123.188l16.406 8.938c-16.69 30.735-28.802 58.617-40 82.937 8.552-6.512 18.633-11.77 31.063-14.594 27.71-6.296 65.053-.495 121.655 24.75-6.932-29.276-1.885-61.913 9.875-92.218 12.686-32.69 33.038-62.907 56.28-84.03-42.595-19.553-73.152-27.554-95.124-28.282-1.01-.033-1.993-.058-2.97-.063zm127.54 14.144c-.858-.025-1.752.062-2.664.266-4.378.977-8.94 4.424-12.084 11.097L289.53 497.31h23.61L490.972 49.368c3.475-10.153-.75-15.86-6.746-16.035z","fillRule":"evenodd"}}]})(props);
};
function GiFlyingFox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M46.244 18l170.172 72.932 7.586 18.982L242.18 155.4l26.775 11.487-4.412 49.513c3.896-2.256 7.913-4.446 12.102-6.49l.685-.334.733-.215a38.637 38.637 0 0 1 5.28-1.15l3.018-33.858 21.488 9.216 64.54-25.793L494 209.895v-19.583L352.756 129.78c10.44-5.566 17.607-16.574 17.607-29.145 0-18.12-14.88-33-33-33-8.92 0-17.05 3.61-23.01 9.433 0-.145.01-.288.01-.433 0-18.12-14.88-33-33-33-18.12 0-33 14.88-33 33 0 3.096.443 6.093 1.254 8.94L91.937 18H46.245zm235.12 43.635c8.39 0 15 6.61 15 15s-6.61 15-15 15c-8.392 0-15-6.61-15-15s6.608-15 15-15zm56 24c8.39 0 15 6.61 15 15s-6.61 15-15 15c-8.392 0-15-6.61-15-15s6.608-15 15-15zm-32.99 14.566c0 .146-.01.29-.01.435 0 3.096.442 6.093 1.253 8.94l-8.86-3.796a33.383 33.383 0 0 0 7.618-5.58zm-55.595 23.212l77.7 33.328-18.388 7.348-51.965-22.29-7.348-18.386zm-88.813 44.465c-1.564.03-3.078.278-4.53.736-5.804 1.835-10.49 6.994-13.12 15.508-2.627 8.515-2.697 19.943.974 31.56 3.672 11.617 10.297 20.93 17.34 26.386 7.045 5.457 13.845 6.983 19.65 5.15 5.804-1.836 10.49-6.993 13.118-15.507 2.63-8.515 2.7-19.943-.972-31.56-3.672-11.617-10.296-20.927-17.34-26.384-5.283-4.093-10.428-5.977-15.12-5.89zm128.265 57.992c-1.4.004-2.946.266-4.543.68-16.685 8.293-31.973 20.153-49.28 29.423-17.458 9.35-37.674 15.72-61.853 10.865-11.962-1.176-16.464 4.17-17.71 9.943-1.218 5.632.82 12.564 11.155 16.76 55.347 5.065 101.237-31.265 126.685-52.144.002 0 0-.002.002-.003 4.028-3.38 5.42-6.192 5.8-7.913.38-1.72.105-2.63-.76-3.83-1.296-1.8-4.77-3.796-9.498-3.78zm-115.675 40.968c.095.01.18.01.277.02l-.883-.137c.204.043.404.077.607.118zm104.746 9.178c-5.806 4.074-12.11 8.176-18.862 12.086 4.013 9.28 7.354 19.894 9.945 31.99 1.61.113 3.294.26 4.955.398l3.963-44.474zm-34.82 20.457c-20.36 9.566-43.922 16.344-69.917 15.54 2.902 4.44 6.194 8.82 9.725 13.038 5.8 6.925 12.3 13.454 18.59 19.218 7.647-1.047 19.705-4.422 30-9.143 6.385-2.927 12.267-6.335 16.405-9.57a29.504 29.504 0 0 0 3.274-2.98c-2.216-10.03-4.95-18.662-8.078-26.102zm17.345 42.033c-.493.404-.95.832-1.457 1.228-5.738 4.487-12.654 8.39-19.985 11.752-6.59 3.022-13.37 5.63-19.96 7.563 5.682 4.404 9.88 7.312 11.093 8.052 8.19 5.004 20.968 8.01 34.627 9.54 3.935-12.394.912-24.61-4.317-38.136zm19.342.512c4.085 12.243 6.466 25.26 3.312 38.824 2.596.06 5.167.077 7.684.05 21.71-.245 39.418-2.925 39.418-2.925l14.576-2.213-4.693 13.976c-7.496 22.323-10.164 38.087-17.156 59.038l55.614 24.933 9.418-18.973-39.594-16.97 4.678-8.667c3.575-6.625 9.348-20.202 13.79-33.983 3.962-12.288 6.61-24.973 6.827-32.623-.047-.03-.026-.033-.076-.062-1.7-1.004-4.682-2.357-8.45-3.71-7.535-2.71-18.256-5.546-30.214-8.087-17.38-3.692-37.464-6.792-55.133-8.607zm32.142 55.933c-5.626.428-12.035.78-18.986.905l-26.097 43.653 35.194 11.67 1.342-3.64a265.75 265.75 0 0 0 4.83-14.364l-14.076-5.15 17.793-33.073z"}}]})(props);
};
function GiFlyingShuriken (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M357.21 397.104c-.06-.037-.12-.07-.178-.104l.132-.49-.884.04c-5.936-3.526-11.136-5.927-13.142-8.434-9.141-11.416-6.92-28.381 4.964-37.9 11.88-9.513 28.924-7.974 38.064 3.442 2.174 2.714 3.022 9.286 4.944 16.62.23-.31.449-.624.669-.936l95.943-3.317-81.422-52.17-.539 1.977c-5.05 4.38-8.87 8.379-11.813 9.455-13.73 5.029-29.11-2.477-34.345-16.775-5.237-14.293 1.65-29.957 15.383-34.991 3.266-1.197 9.778.096 17.354.607a92.027 92.027 0 0 0-1.167-1.626l26.481-92.238-25.68 21.058-284.368-162.27L364.354 223.97l-20.91 17.144a10.069 10.069 0 0 1-.284-.07l.093.228-.375.303.703.463c2.735 6.347 5.536 11.354 5.687 14.561.691 14.608-11.078 27.036-26.284 27.755-15.205.717-28.093-10.541-28.784-25.15-.162-3.473 3.01-9.286 5.761-16.35-.352.113-.7.24-1.053.357L24.278 21.942l230.264 257.616 1.161-.927c6.764-.609 12.284-1.651 15.338-.799 14.085 3.931 22.184 19.008 18.087 33.67-4.097 14.66-18.834 23.358-32.92 19.424-3.35-.934-7.88-5.78-13.724-10.618-.007.528.014 1.05.017 1.577l-23.132 18.057L24.278 78.538l167.526 282.927-24.973 19.496 96.534-5.654-.46-1.218c1.515-6.653 2.217-12.266 3.972-14.92 8.076-12.191 24.913-15.264 37.603-6.855 12.693 8.406 16.435 25.104 8.36 37.294-1.92 2.904-7.928 5.723-14.328 9.8.462.155.928.286 1.39.433l32.801 90.217 24.27-92.874c.083-.02.16-.048.237-.08zm-38.598-66.252c-6.756-4.444-8.628-13.524-4.185-20.281 4.444-6.757 13.523-8.632 20.279-4.188 6.755 4.443 8.628 13.522 4.185 20.28-4.444 6.755-13.522 8.632-20.28 4.189z"}}]})(props);
};
function GiFlyingTarget (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 26c2.039 58.968 24.711 113.864 55.371 152.71-25.019-8.539-47.913-18.195-67.29-30.54C38.292 221.2 81.454 252.41 124.76 260.38c-18.355 2.802-41.627 3.987-71.827 2.804 54.487 34.364 101.994 41.915 137.119 32.972C160.413 275.333 141 240.89 141 202c0-25.291 8.215-48.697 22.107-67.705C116.374 116.025 72.222 75.913 32 26zm448 0c-40.222 49.913-84.374 90.024-131.107 108.295C362.785 153.303 371 176.709 371 202c0 38.89-19.413 73.333-49.053 94.156 35.125 8.943 82.632 1.392 137.12-32.972-30.201 1.183-53.473-.002-71.829-2.803 43.307-7.97 86.469-39.182 104.682-112.211-19.378 12.345-42.272 22.001-67.291 30.54C455.289 139.865 477.96 84.969 480 26zm-224 79c-53.678 0-97 43.322-97 97 0 53.348 42.792 96.46 96.012 96.988L208 346v16h28.8L224 490h64l-12.8-128H304v-16l-47.012-47.012C310.208 298.46 353 255.348 353 202c0-53.678-43.322-97-97-97zm0 17.334c43.892 0 79.666 35.774 79.666 79.666 0 43.892-35.774 79.666-79.666 79.666-43.892 0-79.666-35.774-79.666-79.666 0-43.892 35.774-79.666 79.666-79.666zm0 17.998c-34.165 0-61.668 27.503-61.668 61.668s27.503 61.668 61.668 61.668 61.668-27.503 61.668-61.668-27.503-61.668-61.668-61.668zm0 17.336c24.378 0 44.332 19.954 44.332 44.332S280.378 246.332 256 246.332 211.668 226.378 211.668 202s19.954-44.332 44.332-44.332zm0 17.998c-14.65 0-26.334 11.683-26.334 26.334 0 14.65 11.683 26.334 26.334 26.334 14.65 0 26.334-11.683 26.334-26.334 0-14.65-11.683-26.334-26.334-26.334z"}}]})(props);
};
function GiFlyingTrout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M156.6 22.57c-1.6 2.52-3.2 6.01-4.4 10.72-2.5 10.01-3.3 23.68-1.5 37.39 1.7 13.7 5.9 27.45 12.4 38.02 1.6 2.5 3.3 4.9 5.2 7.2 14.8-5.4 29.9-12.4 45.5-18.24 23.4-8.76 48.6-15.05 75-7.31 6.7 1.97 13.1 5.05 18.9 9.1l25.3-6.16c-9.7-15.71-28.7-35.45-48.9-42.52-19.5-.38-39.5 1.54-56.3 1.13-24.6-.7-53-6.67-71.2-29.33zm195 75.69c4.2 17.64 9.2 34.14 17.2 47.54 9.3 15.7 22.1 27.6 43.8 34.1 14.9-22.4 26-43.2 33.7-59.8 4.3-10.7 9.6-21.64 11.7-32.38-8.4-2.72-18.7-3.61-26.1-3.84-29.3.9-58.3 6.49-80.3 14.38zm40.5.26c10 0 18.1 8.38 18.1 18.78 0 10.3-8.1 18.7-18.1 18.7-10 0-18.2-8.4-18.2-18.7 0-10.4 8.2-18.78 18.2-18.78zm-127.9 6.28c-14.4 0-28.9 4-44 9.7-22.1 8.3-45 20.1-69.7 25.5h-.1c-26.6 5.7-47.8 3.4-66.26-3.2-11.18-3.9-21.3-9.4-31.29-15.2 3.22 9.4 7.2 19.2 11.82 29 32.69 12.7 72.33 10.2 101.13 10l.2 18c-23.4.2-56.9 2.6-89.56-5.5 4.29 7.5 8.93 14.7 13.89 21.8 32.07 5.1 65.67 4.5 94.77-2.4l4.3 17.4c-22.6 5.6-50.7 9.9-82.5 5.8 6.8 7.3 13.2 13.6 20.5 19.2 32.3-1.4 56.2-7 69-16.3l10.6 14.5c-13 9.4-30.3 14.8-51.6 17.6 7.1 2.4 14.2 3.7 21.2 3.7 19 0 39.1-9 60.2-33.9l13.7 11.7c-23.4 27.6-49 40.2-73.8 40.2-6.1 0-12-.7-17.8-2-12 19.3-21.1 36.2-30.7 53.7l-5 .4c-16.9 1.1-26.42 5.8-35.21 13.3-8.78 7.4-16.63 18.5-27.31 31.7-1.55 1.9-3.84 7.5-5.67 15 9.13-5.9 18.09-10 27.12-12.9l5.59 17.1c-12.05 3.9-23.15 9.6-36.02 20.8-.23 4.5-.32 9.1-.27 13.8 10.08-6.9 20.85-13.3 33.18-17.1l5.22 17.2c-12.39 3.8-24.44 12.1-37.13 21 .69 6.1 1.65 12.1 2.87 17.5 8.1-10 16.81-19.7 27.63-26.5l9.55 15.3c-9.96 6.2-19.81 18.3-30.08 31.1 2.68 4.6 5.41 7 7.41 7.6.16 0 .31 0 .8-.3 1.31-.6 3.46-2.1 5.91-4.2 4.9-4.3 11.05-11.2 17.43-19 12.78-15.8 26.48-35.6 37.28-49.4l6.9-8.8 7.1 8.7c11.8 14.3 28.9 30.9 45.3 41.7 8.2 5.4 16.2 9.3 22.9 11 6.6 1.7 11.3 1.2 14.8-.7 1.1-2.2 1.3-5.5 1.3-7.8-8.8-3-18-4.9-27.3-5.5l1.4-18c7.8.6 15.5 1.9 23 3.9-.7-3.2-1.6-6.3-2.6-9.4-11.9-2.5-24.8-2.6-38.2-3.7l1.4-17.9c9.1.7 19.1.8 29.4 2.1-1.6-3.6-3.3-7.1-5.1-10.4-12.9-2.6-28.6-1.5-45-.8l-.8-18c12.2-.5 22.8-1.2 33.9-.8-3.3-4.6-6.5-8.1-9.1-10.1-5.3-3.3-23.4.4-24.2-6.3 9.5-4.5 16.3-5.9 26.6-9.5 94.5-31.9 162.4-97.4 205.9-156.8 1-1.4 2-2.8 3-4.1-22.8-8.4-38.4-22.9-48.7-40.3-9.1-15.2-14.5-32.4-18.8-49.9-4.6 2.1-9.2 4.3-13.8 6.6 9.1 11.2 14.5 25.1 15.2 38.9.7 12.9-2.7 26-11.4 36.5-8.6 10.4-22.2 17.7-39.8 19.8l-2.1-17.9c14-1.6 22.6-6.8 28.1-13.4 5.4-6.5 7.7-15 7.2-24.1-.9-18.2-13.9-37.9-34.3-43.9-6.7-1.6-13.6-2.7-19.5-2.8zm107.1 79l2.4 17.9s-4.8.6-10.4 2.1c-5.6 1.4-11.9 4.5-12.7 5.3-2.9 2.8-4.2 8.9-5.4 17.4-1.1 8.5-2 19.5-10.6 27.8-12.1 11.8-28 14.3-42.2 16.3-14.3 2-27.3 3.7-36.1 9.4-7.3 4.8-18.5 16.9-27 27.6-8.5 10.7-14.7 19.8-14.7 19.8l-14.9-10.1s6.6-9.7 15.6-20.9c8.9-11.3 19.9-24.1 31.2-31.4 13.8-9 29.6-10.3 43.3-12.2 13.8-1.9 25.1-4.4 32.3-11.4 2.8-2.8 4.2-8.8 5.3-17.2 1.1-8.5 2-19.4 10.5-27.9 6.2-6.3 14.1-8.2 20.9-9.9 6.7-1.8 12.5-2.6 12.5-2.6z"}}]})(props);
};
function GiFnFal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M120.208 347.183l-.536-.614a29.488 29.488 0 0 1-9.3 15.005c-8.499 7.433-64.983 53.788-79.985 66.084l-.107.093a4.203 4.203 0 0 0-.148 6.177l42.37 40.847a2.962 2.962 0 0 0 4.616-.773l54.548-100.26a34.351 34.351 0 0 1 5.278-7.245l.088-.077zm235.893-172.309l-84.285 80.067-27.492-31.437 94.64-82.764 17.735 20.28a10.05 10.05 0 0 1-.598 13.854zM211.832 327.826a14.9 14.9 0 0 1-10.82 4.033c-.752-6.008-1.72-13.323-1.72-13.323l11.975-10.472 4.615 5.276c2.963 3.388 1.081 10-4.05 14.486zM348.95 117.009l5.101-4.461a2.587 2.587 0 0 1 3.65.244l5.73 6.552 5.958-5.21 8.514 9.735 63.7-55.707-1.293-1.48 34.58-30.242 8.26 9.444-34.582 30.242-1.328-1.52-63.7 55.708 2.903 3.32-14.847 12.984-23.311-26.656a2.587 2.587 0 0 1 .665-2.953zM173.312 387.886c2.137.931 29.807-5.621 31.044-6.703.454-.895-2.119-33.248-2.967-44.808a19.516 19.516 0 0 0 13.332-5.148c7.058-6.172 9.065-15.47 4.467-20.727l-4.614-5.276 2.648-2.316 3.473 3.972a3.88 3.88 0 0 0 6.143-.441l2.96-4.633 41.718 47.705 25.951-33.725-68.76-78.625-89.49 78.26-5.448-6.23a3.143 3.143 0 0 0-4.426-.287l-6.212 5.432a3.143 3.143 0 0 0-.297 4.434l28.514 32.605c20.536-17.186 25.617-5.462 27.508-1.944 1.89 3.518-6.47 38.045-5.535 38.465z"}}]})(props);
};
function GiFoam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M118.125 18.285c-50.616 0-91.848 41.234-91.848 91.85 0 16.783 4.538 32.53 12.444 46.09-2.017 6.705-3.103 13.82-3.103 21.203 0 31.782 20.04 58.905 48.158 69.44-5.863 6.96-9.414 15.922-9.414 25.67 0 11.727 5.138 22.323 13.267 29.657-36.275 7.53-63.67 39.773-63.67 78.23 0 44.01 35.88 79.89 79.893 79.89 16.252 0 31.387-4.903 44.025-13.292 13.485 18.495 35.304 30.53 59.928 30.53 33.308 0 61.144-22.157 70.482-52.414.16-.083.323-.16.483-.244 22.43-2.07 43.35-9.045 61.685-19.955 10.443 15.996 27.664 27.192 47.527 29.44-.067 1.042-.113 2.09-.113 3.147 0 26.61 21.773 48.38 48.383 48.38 26.61 0 48.383-21.77 48.383-48.38 0-19.492-11.69-36.377-28.4-44.02 2.197-5.482 3.677-11.32 4.314-17.405 15.134-13.576 24.666-33.272 24.666-55.188 0-15.132-4.552-29.203-12.346-40.937 16.048-11.97 26.48-31.09 26.48-52.563 0-29.132-19.203-53.93-45.587-62.412 1.016-4.86 1.558-9.9 1.558-15.076 0-4.87-.485-9.624-1.382-14.233 8.977-8.883 14.562-21.19 14.562-34.74 0-26.915-22.02-48.937-48.937-48.937-9.968 0-19.263 3.025-27.02 8.197-5.598-14.962-20.073-25.705-36.913-25.705-21.643 0-39.39 17.746-39.39 39.39 0 10.1 3.865 19.347 10.185 26.342-9.428 10.497-15.918 23.71-18.18 38.326-13.648-4.188-28.03-6.576-43.045-6.576-6.49 0-12.86.38-19.13 1.197-.972-30.35-20.245-56.103-47.122-66.638-15.555-28.71-45.962-48.265-80.82-48.265zm0 18.69c7.544 0 14.814 1.134 21.652 3.238-1.293-.11-2.598-.178-3.92-.178-25.298 0-45.804 20.505-45.804 45.803s20.506 45.805 45.804 45.805c25.3 0 45.805-20.507 45.805-45.805 0-6.236-1.25-12.176-3.508-17.594 8.273 11.855 13.133 26.283 13.133 41.89 0 40.517-32.645 73.16-73.162 73.16s-73.16-32.643-73.16-73.16c0-40.515 32.643-73.16 73.16-73.16zm237.502 16.22c.9 0 1.784.062 2.652.17-5.003 1.46-8.66 6.072-8.66 11.545 0 6.646 5.387 12.033 12.032 12.033 6.646 0 12.034-5.387 12.034-12.033 0-.45-.03-.894-.08-1.332 1.726 3.03 2.722 6.542 2.722 10.32 0 11.545-9.158 20.702-20.7 20.702-11.546 0-20.702-9.158-20.702-20.702 0-11.544 9.157-20.703 20.7-20.703zm63.934 17.508c3.39 0 6.637.554 9.67 1.563-9.974.273-17.978 8.425-17.978 18.464 0 10.212 8.276 18.49 18.488 18.49 10.064 0 18.233-8.043 18.47-18.05 1.032 3.064 1.6 6.352 1.6 9.783 0 16.818-13.434 30.248-30.25 30.248-16.817 0-30.248-13.43-30.248-30.247s13.433-30.25 30.25-30.25zm-95.078 88.19c3.62 0 7.13.426 10.502 1.21-15.534.07-28.107 12.68-28.107 28.23 0 15.596 12.643 28.237 28.238 28.237 15.596 0 28.237-12.64 28.237-28.236 0-4.11-.885-8.01-2.463-11.53 5.914 7.717 9.428 17.387 9.428 27.925 0 25.424-20.41 45.834-45.836 45.834-25.425 0-45.836-20.41-45.836-45.835 0-25.427 20.41-45.837 45.836-45.837zm109.32 21.668c1.165 0 2.317.057 3.462.14-10.243 5.013-17.3 15.533-17.3 27.706 0 17.03 13.805 30.836 30.835 30.836 13.4 0 24.8-8.552 29.052-20.494.52 2.808.804 5.7.804 8.666 0 25.988-20.867 46.854-46.855 46.854-25.987 0-46.855-20.866-46.855-46.854 0-25.987 20.868-46.853 46.856-46.853zM230.03 241.41c.642 0 1.282.012 1.92.026-26.22 6.906-45.556 30.77-45.556 59.158 0 33.79 27.39 61.18 61.182 61.18 33.79 0 61.18-27.39 61.18-61.18 0-4.832-.578-9.525-1.637-14.033 7.13 12.744 11.194 27.45 11.194 43.13 0 48.87-39.414 88.285-88.283 88.285-48.868 0-88.284-39.415-88.284-88.284 0-48.867 39.416-88.282 88.285-88.282zm-115.692 9.84c3.25 0 6.312.71 9.05 1.98-.377-.036-.757-.058-1.144-.058-6.776 0-12.27 5.492-12.27 12.268 0 6.775 5.494 12.267 12.27 12.267 6.71 0 12.15-5.387 12.258-12.07.726 2.16 1.125 4.478 1.125 6.902 0 11.87-9.422 21.29-21.29 21.29-11.87 0-21.29-9.422-21.29-21.29 0-11.87 9.422-21.29 21.29-21.29zm-10.49 67.973c5.03 0 9.91.615 14.582 1.75-.343-.01-.683-.03-1.028-.03-23.42 0-42.406 18.986-42.406 42.406 0 23.42 18.986 42.406 42.406 42.406 10.767 0 20.59-4.02 28.07-10.63 3.814 4.918 8.044 9.5 12.643 13.685-10.198 19.537-30.616 32.82-54.267 32.82-33.913 0-61.204-27.29-61.204-61.203 0-33.913 27.29-61.203 61.204-61.203zm291.513 3.186c2.17 0 4.3.158 6.387.44-12.363 3.926-21.322 15.492-21.322 29.156 0 16.895 13.696 30.59 30.592 30.59 14.714 0 26.997-10.39 29.923-24.233.826 3.496 1.276 7.143 1.276 10.902 0 7.137-1.584 13.883-4.406 19.922-.52-.017-1.04-.04-1.564-.04-18.91 0-35.365 11-43.313 26.91-24.85-1.25-44.43-21.618-44.43-46.792 0-25.988 20.868-46.856 46.856-46.856zm40.887 85.428c1.986 0 3.92.196 5.793.56-7.416 1.746-12.94 8.388-12.94 16.336 0 9.28 7.52 16.8 16.797 16.8 9.28 0 16.8-7.52 16.8-16.8 0-.294-.03-.58-.046-.873 2.1 4.084 3.29 8.726 3.29 13.67 0 16.51-13.184 29.694-29.694 29.694-16.51 0-29.693-13.183-29.693-29.693s13.183-29.693 29.693-29.693z"}}]})(props);
};
function GiFoamyDisc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.36 18.36V61.93C34.627 68.63 57.354 57.75 56.34 37.66c-.428-8.467-2.997-14.816-6.8-19.3H18.362zm70.935 0c-8.762 6.123-14.738 15.86-14.117 28.154 2.822 55.843 74.69 43.358 72.61 2.193-.73-14.484-6.11-24.363-13.638-30.346H89.295zm160.44 0c-.77 2.073-1.154 4.366-1.028 6.86 1.518 30.043 40.184 23.326 39.064 1.176-.153-3.05-.69-5.72-1.53-8.035h-36.504zm-39.6 14.732c-13.868-.192-28.148 9.758-27.35 25.554 2.04 40.344 53.96 31.326 52.457 1.59-.956-18.91-12.87-26.975-25.107-27.144zm72.136 30.902c-18.84-.26-38.24 13.26-37.157 34.727.16 3.18.553 6.13 1.145 8.862-13.22-.435-27.03 8.986-26.27 24.068 1.228 24.295 21.65 29.56 35.858 22.89-3.048 5.303-7.85 10.39-14.81 14.89-30.926 20-71.9-25.052-41.349-54.955-17.843-15.657-45.15-14.958-64.37-2.758-11.738-25.242-52.11-14.796-50.764 11.836.955 18.904 12.577 27.248 24.785 27.836 14.04-3.622 30.87 3.156 31.998 25.49 1.277 25.31-37.17 35.205-48.2 11.073-14.592 6.695-25.635 20.36-24.71 38.668 1.84 36.44 27.72 49.087 51.076 45.316-1.726 10.21-2.637 20.695-2.637 31.396 0 103.293 83.735 187.025 187.028 187.025 103.293 0 187.025-83.734 187.025-187.025 0-86.036-58.096-158.493-137.197-180.305-5.765-19.033-22.106-25.988-37.472-24.066-1.99-24.32-17.772-34.743-33.977-34.966zM41.09 120.23c-8.12-.113-16.354 2.547-22.73 7.426v51.614c19.334 16.46 55.685 3.082 54.27-24.944-1.2-23.755-16.17-33.886-31.54-34.097zm305.99 23.813c4.212-.068 8.445.638 12.496 1.986-12.756 1.485-24.682 11.16-23.945 25.75 1.74 34.452 39.317 33.438 50.296 14.275-1.235 7.157-4.886 14.728-11.713 22.28-28.037 31.018-88.545-11.576-50.51-53.66 6.57-7.27 14.926-10.495 23.377-10.632zm-74.404 41.64c11.91.163 23.51 8.013 24.44 26.42 1.463 28.96-49.077 37.74-51.06-1.53-.78-15.385 13.12-25.074 26.62-24.89zm124.322 42.99c9.134.124 18.197 1.884 26.598 5.42-25.967-3.65-55.135 12.415-58.756 40.22-19.837-11.83-51.45 1.51-50.13 27.628 2.172 43.01 49.663 41.154 62.476 16.634 25.55 30.17 80.996 15.122 87.332-23.23.246 2.257.45 4.556.572 6.94 3.127 61.913-79.096 90.707-119.992 51.277-30.644 12.28-71.25 1.878-79.932-42.828-18.6 10.04-47.025 3.74-48.682-29.058-1.528-30.262 41.848-43.098 58.39-18.63 16.493-20.24 47.792-28.115 72.108-17.59 13.89-11.007 32.075-17.03 50.016-16.782zm-215.773 62.143c17.442-.282 35.54 20.266 17.142 40.622-17.71 19.596-55.942-7.316-31.912-33.903 4.15-4.593 9.43-6.632 14.77-6.72zm51.447 44.147c.478.006.957.024 1.433.05-6.825 4.058-11.688 11.082-11.228 20.186 1.36 26.906 26.273 30.494 40.2 20.347-6.124 30.702-61.747 37.17-64.085-9.106-.983-19.457 16.602-31.712 33.68-31.477zm66.8 48.166c-2.646 4.508-4.096 9.84-3.792 15.856 2.55 50.456 67.483 39.175 65.605 1.977-.033-.658-.082-1.297-.137-1.934.522-.663 1.07-1.325 1.668-1.987 17.356-19.203 54.816 7.17 31.27 33.22-7.726 8.55-19.426 8.052-27.965 2.587-8.86 41.688-84.556 50.255-87.75-12.948-.845-16.75 8.347-29.605 21.1-36.773z"}}]})(props);
};
function GiFocusedLightning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.594 18.125V104.5l210.094 181.78-84.97 178.22 230.938-92.188-39.875 117.032 94.47-35.813 67.594 44.533-34.594-106.344-59.75 27.5 76.75-168.25-198.03 99.093 76.5-122.75L238.186 18.125H121.813L312.406 244.72 218.47 393.75l58.28-142.813L43.72 18.125H19.593z"}}]})(props);
};
function GiFogLight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M441.6 57.64s-16.6 16.6-33.1 41.37c-11.4 17.19-23.1 38.39-29.2 61.39l-41.3-9.2-4 17.6 41.9 9.3c-.6 4.6-.9 9.2-.9 13.9 0 35 18.6 54.4 34.6 70.4l.9.9-72.5-16.1-4 17.6 96.2 21.4c5.4 8.8 8.8 19.2 8.8 33.8 0 14.5-3.7 29.4-9.4 43.6L338 343.2l-4 17.6 87.9 19.5c-4.2 8.1-8.8 15.7-13.4 22.7-15.5 23.2-30.9 38.6-30.9 38.6l12.8 12.8s16.6-16.6 33.1-41.4c5.7-8.6 11.5-18.3 16.6-28.6l37.9 8.4 4-17.6-34.5-7.7c5.7-15 9.5-31 9.5-47.5 0-11.1-1.9-20.6-4.9-29l25.9 5.8 4-17.6-41.4-9.2c-5.7-7.7-12.1-14.3-18.2-20.4-16-16-29.4-28.6-29.4-57.6 0-3.3.2-6.6.6-10l84.4 18.8 4-17.6-85-18.9c5.5-20 15.9-39.4 26.5-55.3 15.5-23.24 30.9-38.64 30.9-38.64l-12.8-12.72zM256 121c-45.5 0-104.7 19.5-151.5 46.8-23.36 13.6-43.7 29.2-57.84 44.8C32.52 228.1 25 243.4 25 256c0 12.6 7.52 27.9 21.66 43.4 14.14 15.6 34.48 31.2 57.84 44.8 46.8 27.3 106 46.8 151.5 46.8 1.5 0 4.2-1.3 7.9-7.8 3.8-6.6 7.4-17.2 10.3-30.2 5.8-25.9 8.8-61.5 8.8-97s-3-71.1-8.8-97c-2.9-13-6.5-23.6-10.3-30.2-3.7-6.5-6.4-7.8-7.9-7.8z"}}]})(props);
};
function GiFog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M175.8 27.6c-54.4 0-160.07 32-160.07 32s24.03 7.26 54.98 14.86C52.11 76.55 22.26 91.2 22.26 91.2s34.61 17 52.52 17c17.98 0 52.72-17 52.72-17s-8.3-4.05-18.8-8.19c24.2 4.88 48.6 8.59 67.1 8.59 43.6 0 119.2-20.32 147.9-28.48 13.8 4.98 34.8 11.68 48 11.68 21.2 0 62-17 62-17s-40.8-17-62-17c-15.2 0-40.5 8.8-53.5 13.72C285.8 45.5 216.5 27.6 175.8 27.6zm145.1 57.1c-34.2 0-100.4 17-100.4 17s66.2 17 100.4 17c34.1 0 100.4-17 100.4-17s-66.3-17-100.4-17zm-167.7 57.1c-34.2 0-100.46 17-100.46 17s66.26 17 100.46 17c19.4 0 49.3-5.5 71.5-10.3-15.4 7.4-26.5 13.6-26.5 13.6s9.1 5.1 22.2 11.5c-35.1 3.9-80.9 15.7-80.9 15.7s66.2 17 100.4 17c15.1 0 36.6-3.4 55.9-7.1.9.1 1.9.1 2.8.1 23.9 0 63.4-18.2 85.1-29.1 4.2.3 8.1.5 11.7.5 34.1 0 100.4-17 100.4-17s-66.3-17-100.4-17c-11 0-25.4 1.8-39.7 4.2-19.6-8.4-41.6-16.1-57.1-16.1-14.7 0-35.4 6.9-54.1 14.8-19.1-4.6-64.8-14.8-91.3-14.8zm195.5 81.8c-46.2 0-136.1 32-136.1 32s31.7 11.3 67.2 20.5c-4-.2-7.8-.3-11.4-.3-60.1 0-176.95 25.3-176.95 25.3s116.85 25.4 176.95 25.4c21.1 0 49.2-3.1 76.8-7.2-27.5 9.1-53.1 21.1-53.1 21.1s66.2 31 100.4 31c34.1 0 100.4-31 100.4-31s-56.1-26.3-91.7-30.5c25.8-4.8 44.2-8.8 44.2-8.8s-36.1-7.8-78.5-14.8c48.2-5.9 118-30.7 118-30.7s-89.9-32-136.2-32zm-253.37 3.2c-21.1 0-61.88 25.7-61.88 25.7s40.78 25.6 61.88 25.6c21.17 0 62.07-25.6 62.07-25.6s-40.9-25.7-62.07-25.7zm81.77 119.6c-21.1 0-61.9 25.7-61.9 25.7s15 9.4 31.4 16.8c-4.8-.5-9.3-.7-13.3-.7-34.2 0-100.43 17-100.43 17s37.91 9.7 71.23 14.5c-17.97 4.4-39.56 15-39.56 15s34.61 17 52.56 17c18 0 52.7-17 52.7-17s-15.5-7.6-31.2-12.6c35.2-1.5 95.1-16.9 95.1-16.9s-19.9-5.1-43.6-9.7c21.6-6.2 49-23.4 49-23.4s-40.9-25.7-62-25.7zm238.3 75.4c-21.1 0-61.9 17-61.9 17s16.6 6.9 34 11.9c-35.6 2.2-92 16.7-92 16.7s66.2 17 100.4 17c34.1 0 100.4-17 100.4-17s-33.7-8.6-65.4-13.6c21.1-4.5 46.5-15 46.5-15s-40.9-17-62-17z"}}]})(props);
};
function GiFoldedPaper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M210.28 18.344c-21.362 43.312-84.904 72.3-146.968 101.78L181.22 156.94 54.312 142.5c28.592 58.053 71.69 113.348 120.968 157.75l99.314 29.906L179 323.312c-35.158 32.766-95.2 70.74-161.5 91.782 88.447 40.53 161.28 46.956 280.344 77.25C378.36 453.12 415.57 425.644 470.094 382l-149.25-42.438 147.47 18.938c-49.763-45.25-89.572-102.69-115.47-161.438L227.53 165.125l141.064 13.594c55.096-20.42 85.08-49.28 124.53-102.282-97.707-20.988-177.93-45.69-282.843-58.094z"}}]})(props);
};
function GiFomorian (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M91.586 64.023c-17.218.396-33.687 17.441-35.615 40.956-1.991 24.272 12.538 42.929 30.345 43.64 17.808.711 35.295-16.667 37.286-40.94 1.99-24.272-12.54-42.929-30.348-43.64a26.499 26.499 0 0 0-1.668-.016zM258.068 76.1c-9.405.158-18.01 11.845-23.01 24.892l.696 6.26c1.245 11.204 4.651 23.755 9.37 36.406 5.293-3.092 10.786-8.202 18.888-15.033-13.309-9.137-15.913-18.185-12.74-23.736 4.188-7.328 20.63-18.915 31.165-10.215 6.612-15.429-14.963-18.732-24.369-18.574zm-38.095 46.1c-11.65 5.28-25.954 9.187-41.227 12.382a349.79 349.79 0 0 1-8.4 1.647c9.539 10 13.577 23.34 18.418 35 13.674 2.858 27.84 9.716 40.896 15.003 7.068 2.863 13.602 5.166 18.895 6.368-12.62-21.418-23.631-46.528-28.582-70.4zm165.195 2.65l-1.139 71.912-62.822-32.477-23.121 62.305 73.217 2.81-19.383 52.836-88.525 10.409-34.627 99.068c21.182 6.976 42.363 15.207 62.945 24.238 35.911 15.757 69.95 33.935 98.887 52.23l48.69-111.177-56.755-61.22 20.584-53.429 55.133 45.366 26.625-65.758-67.951-14.496 42.752-54.75zm-252.647 12.78c-10.223 17.762-27.844 29.729-47.677 28.936-10.592-.423-19.955-4.421-27.494-10.855-12.845 8.549-25.296 24.81-26.317 38.156-.4 7.003 1.209 16.542 4.658 24.836 3.45 8.294 8.702 15.175 21.883 24.973 13.181 9.798 42.489 24.578 72.865 19.265-10.735-13.308-16.892-29.792-19.658-46.058-17.607 1.062-31.09-9.737-46.008-15.834l6.663-16.72c14.212 5.823 30.135 18.059 44.183 13.616l5.149-1.716c4.538-12.323 15.877-20.829 26.804-23.26 3.975-.885 20.637 3.85 27.801 12.996-3.907-9.401-7.753-18.779-11.678-28.057-8.169-13.074-18.637-18.347-31.174-20.277zm46.112 56.12c.226 2.807-.474 5.865-2.453 9.16-9.231-9.681-27.302-5.836-33.479-.084-4.679 4.358.039 15.175 10.031 27.854-7.72 3.253-12.932 5.274-17.252 6.14 7.937 16.485 16.39 22.629 29.993 33.346l-14.684 5.709c-25.918 10.078-51.26 6.84-72.8-1.588 16.005 30.457 19.682 63.41 17.777 94.565 39.901-1.164 81.092 7.29 115.812 17.488l29.258-83.711c-28.772-33.295-46.34-71.132-62.203-108.879zM95.75 382.602c-29.553-.225-56.304 5.065-77.75 18.375v4.863l.197 16.574c85.771-42.922 236.775 9.758 340.795 71.586h38.115c-32.318-22.183-73.22-44.926-116.894-64.09-47.361-20.781-97.895-37.347-144.31-44.064-11.605-1.68-22.978-2.761-33.995-3.12-2.065-.067-4.118-.109-6.158-.124zm372.924 72.664c-18.709.056-37.46 1.514-54.559 4.088l-8.988 18.328c31.15-2.399 61.622-3.743 88.873-2.53v-19.068a350.422 350.422 0 0 0-25.326-.818z"}}]})(props);
};
function GiFoodChain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M316.5 70.25c-.72 6.95-1.734 13.736-3 20.344 12.315 10.112 23.644 22.72 33.375 38.53-12.47-9.09-25.16-14.98-38.28-18.405-1.58 5.215-3.355 10.31-5.376 15.25 8.883 4.326 17.547 9.732 25.874 16.436-11.392-1.21-22.253-1.648-32.844-1.72-2.29 4.25-4.795 8.353-7.5 12.345 37.188 5.378 74.36 17.742 111.03 37.376-.772-36.935-26.11-81.666-83.28-120.156zM15.47 93.125c8.837 10.885 16.473 22.046 22.686 33.53 23.477 5.784 47.696 16.287 72.03 34-21.74-6.466-41.183-7.49-59.5-4.436 2.955 9.607 4.9 19.456 5.752 29.56l28.406 8.126-28.125 11c-.637 12.014-2.822 24.396-6.69 37.188 10.02 2.278 20.572 2.518 31.97.28-13.162 9.942-26.297 16.16-39.22 19.657-3.955 9.28-8.777 18.785-14.53 28.5 55.874-11.275 92.37-27.547 113.47-46.03-6.286-3.173-12.748-6.244-19.407-9.25-8.642-3.9-15.25-8.45-19.72-14.375-4.47-5.925-6.265-13.815-4.343-20.75 3.844-13.87 17.296-22.617 35.78-29.53 6.17-2.31 12.36-4.42 18.564-6.345-22.876-33.16-75.31-61.603-137.125-71.125zm231.155 74.438c-49.666-.092-99.264 12.687-145.938 37.562 10.067 4.313 19.585 8.538 28.626 12.75.233.11.446.204.687.313 39.04 18.24 69.042 36.415 94.75 61.75l24.03-12.438 8.595 16.594L234 296.188c9.052 8.52 19.78 14.486 31.688 18.625-18.848 2.345-37.715 1.337-56.563-5.72l-22.438 11.626c31.974 17.63 71.257 20.563 97.25 5.28l9.47 16.094c-6.117 3.596-12.608 6.41-19.376 8.47 7.396 15.617 18.3 31.395 32.75 48.092 35.162 40.627 80.495 48.148 99.064 3.875-14.172 10.394-39.122 9.802-51.313 1.19-25.038-17.697-11.577-52.194 2.5-78.126 11.844-21.817 42-34.654 57.908-25.47 12.553 7.248 15.24 24.905 8.437 42.532 16.457-9.064 33.79-9.677 43.53.78 7.308 7.84 8.207 19.94 4.158 32.252 46.384-47.552 5.884-114.95-47.625-149.032-55.533-39.73-116.22-58.982-176.813-59.094zm145.563 63.75c.45-.02.892-.012 1.343 0 3.284.084 6.583.962 9.626 2.718 9.737 5.623 13.092 18.074 7.47 27.814-5.623 9.737-18.077 13.06-27.813 7.437-9.737-5.62-13.09-18.074-7.47-27.81 3.624-6.277 10.1-9.886 16.844-10.157zm68.187 163.875c-8.3 25.18-29.67 34.388-52.344 42l41.158 6.406c2.32 32.026 10.377 48.196 39.53 43.53 11.6-26.25.588-45.847-26.562-55.25l-1.78-36.687z","fillRule":"evenodd"}}]})(props);
};
function GiFoodTruck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M267.2 25.08l-70 70.16c-7.7 7.66-7.3 16.86-2.4 26.96l2 4.3-3.1 2.9-23.6 22.3 21.7 21.6 22.2-23.7 2.9-3 4.2 1.9c10.7 5.3 20.6 5.7 27.7-1.4L319 76.85l-10.2-10.18-45.7 45.63-9.6-9.8L299 56.97l-10.9-11.03-45.5 45.7-9.7-9.7 45.5-45.69zM28.97 27.84c-5.73 9.12-6.61 20.83-3.32 34.58 3.87 16.32 13.68 35.22 27.41 53.08 27.35 35.8 50.04 48.1 86.84 54.8l2.4.4c13.6 16.1 27.2 32.1 40.8 48.2h37.1zM137 183.2l-37.74 35.7h49.64l9.7-10.3zM26.25 232.9v63.5l16.51-49.5H279.8l16.5 49.5v-63.5zm29.49 32l-10 30h45.04l10.02-30zm63.96 0l-10 30h42.6v-30zm50.6 0v30h42.6l-10-30zm51.4 0l10 30h45.1l-10-30zm92.6 1.8v188.2h79c4.2-18.2 20.6-32 40-32s35.8 13.8 40 32h15v-64l-56.2-14H328.3v-82H390l-6.9-15zM26.25 312.9v114.2l42.17 27.8h14.85c4.14-18.2 20.53-32 40.03-32 19.4 0 35.8 13.8 40 32h133v-142h-14v80H40.25v-80zm320.05 0v46h72.4l-23-46zm-281.05 19l16 16h16l16.05-16zm-8 27v18H265.3v-18zm66.05 82c-12.9 0-23.1 10.2-23.1 23s10.2 23 23.1 23c12.8 0 23-10.2 23-23s-10.2-23-23-23zm310 0c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23z"}}]})(props);
};
function GiFootPlaster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M43.12 18l13.946 121.818c51.795 18.367 110.16 2.117 146.756-11.197L197.552 18H43.12zm178.394 104.672l1.033 18.232-6.18 2.334C178.31 157.604 109 180.324 45.412 154.78l-4.976-1.997-2.743-23.94-.05.04c-6.823 5.494-11.255 11.322-13.114 15.88-1.65 4.042-1.544 6.487-.364 8.725 24.097 21.185 79.74 25.714 129.445 18.842 25.163-3.48 48.764-9.534 65.656-16.334 8.445-3.4 15.213-7.032 19.425-10.205 3.857-2.903 4.75-4.973 4.876-5.1-.33-3.84-3.246-8.01-11.12-12.725-3.074-1.842-6.764-3.617-10.932-5.293zm18.752 43.37c-4.28 2.34-9.043 4.543-14.28 6.65-18.806 7.573-43.477 13.814-69.91 17.468-19.318 2.67-39.59 4.136-59.11 3.467-16.87 13.56-39.095 27.05-60.882 34.435 2.138 18.11 3.646 37.887 4.168 61.16 82.547-24.995 136.176-62.393 199.572-97.058.148-8.782.297-17.082.442-26.12zm-211.95 12.054c1.935 10.436 3.735 20.875 5.338 31.71 11.99-4.484 24.688-11.25 36.102-18.7-15.194-2.408-29.33-6.563-41.44-13.01zm211.157 34.816c-60.008 33.52-115.123 70.45-199.02 95.018-.002 17.76-.527 37.457-1.707 59.765l-.047.87-.212.84c-2.055 8.21-3.527 15.688-4.494 22.507.302-.104.58-.194.893-.307 6.485-2.336 15.45-6.38 25.804-11.572 20.71-10.383 47.118-25.36 73.25-40.974 26.135-15.614 52.034-31.88 71.888-44.88 9.927-6.5 18.352-12.19 24.48-16.532 3.065-2.17 5.56-4.008 7.317-5.382.336-.263.575-.482.865-.73.314-19.22.645-38.997.983-58.624zm-1.336 81.223c-6.08 4.244-13.64 9.338-22.448 15.105-12.728 8.334-27.848 17.95-43.917 27.88 25.2 20.31 54.754 32.147 84.836 45.835 15.352-14.047 37.583-23.992 67.956-27.767-27.123-8.056-53.87-16.52-80.562-25.03l-6.354-2.025.088-6.668c.122-9.2.26-18.256.4-27.33zm-82.565 52.904c-4.114 2.495-8.247 4.99-12.398 7.47-11.33 6.77-22.687 13.397-33.682 19.636 12 33.453 38.326 66.337 61.53 93.85 17.01.247 34.857.683 53.11 1.936 3.28.225 6.505.386 9.694.505-6.277-24.386-4.454-51.29 10.47-73.283-29.89-13.406-61.288-26.33-88.724-50.115zm195.815 24.474c-44.467.338-71.494 12.427-86.37 28.416-18.025 19.375-20.142 46.255-12.476 70.617 4.113-.11 8.137-.306 12.077-.584-1.25-5.176-2.09-11.09-2.328-17.43-.52-13.83 1.628-29.78 10.57-42.78l.25-.362.285-.335c10.372-12.303 26.925-18.544 45.57-22.323 18.645-3.78 39.776-4.836 60.164-4.453.84.015 1.668.05 2.505.07-.425-2.54-.735-4.752-1.158-6.48-.34-1.393-.703-2.385-1.065-3.14-10.02-.885-19.366-1.282-28.025-1.216zM93.555 383.05c-8.76 4.8-17.12 9.227-24.795 13.075-10.71 5.37-20.082 9.643-27.774 12.414-3.03 1.09-5.78 1.947-8.408 2.54.058 10.436 1.71 18.686 4.547 25.078 5.88 13.254 16.68 20.465 33.914 25.156 19.31 5.257 45.883 5.99 76.206 6.373-20.3-24.53-41.888-53.246-53.69-84.636zm277.9 17.157c-17.14.01-34.337 1.212-48.914 4.166-16.43 3.33-29.083 9.153-35.075 16.01-5.437 8.188-7.605 20.41-7.19 31.474.21 5.62 1.035 10.896 2.096 14.936.46 1.75 1.034 3.146 1.538 4.324 3.578.465 6.97.89 10.244 1.29l9.026-10.958s9.738 8.013 22.345 16.124c12.608 8.11 28.636 15.7 36.723 16.01 7.663.292 20.613-6.435 30.707-14.285 4.964-3.862 9.23-7.732 12.31-10.69-2.514-3.37-5.95-7.78-10.02-12.376-8.338-9.415-19.717-18.643-25.766-20.04-18.542-4.276-31.368-.657-31.368-.657l-4.792-17.35s9.855-2.68 24.352-1.812c4.832.29 10.182.973 15.853 2.28 6.73 1.553 12.768 4.925 18.24 9.122L388.5 410.8c2.918-.56 5.838-.842 8.736-.87 8.925-.09 17.646 2.23 25.5 6.23 5.592-5.686 12.22-8.89 18.79-9.976-2.917-.537-6.13-1.074-9.618-1.588-14.625-2.158-33.607-3.954-53.117-4.32-2.438-.047-4.886-.07-7.335-.07zm100.176 15.908c4.142 3.49 7.597 7.442 10.32 11.28 3.63 5.117 4.5 10.938 3.99 16.4 1.502-2.272 2.808-5.056 3.464-7.695.92-3.696.55-6.74-.367-8.37-3.055-5.438-9.574-9.522-17.406-11.615zm-26.716 7.106c-2.454-.023-4.805.856-7.44 3.333 3.722 3.502 6.993 7.41 9.67 11.582 4.22 6.577 6.55 14.585 6.106 22.498 4.017-1.784 7.18-3.608 8.553-5.117 2.28-2.508 4.705-6.78 5.69-10.49.987-3.708.513-6.174-.225-7.215-3.778-5.324-10.985-11.623-17.06-13.546-1.9-.6-3.62-1.027-5.294-1.043zm-48.863 4.833c-1.196.027-2.37.135-3.515.322 6.054 4.776 11.404 10.53 16.184 15.926 9.258 10.455 15.774 20.25 15.774 20.25l3.822 5.737c2.072-1.158 3.61-2.305 4.387-3.35 2.667-3.58 2.452-14.158-.707-19.082-6.828-10.642-21.86-19.522-34.74-19.802-.404-.01-.806-.01-1.205 0z"}}]})(props);
};
function GiFootTrip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.184 20.438V85.28c59.784 30.143 127.947 55.057 210.533 74.077-31.71-36.525-60.99-68.18-89.227-96.8 6.367 12.655 11.006 27.283 14.395 44.904-53.547-19.78-84.892-48.78-116.98-87.022h-18.72zm267.673.246c-22.315 31.524-48.202 61.03-75.712 89.248 16.454 18.16 33.494 37.59 51.363 58.64l17.558 20.682-26.57-5.484c-33.474-6.91-64.738-14.737-94.137-23.436-26.238 24.524-52.843 48.348-78.362 71.99l.34-.045c2.687 19.993 14 43.568 30.77 62.896 16.767 19.328 38.787 34.328 62.01 39.037l5.933 1.203 1.327 5.908c8.72 38.83 40.225 72.713 81.742 93.37 38.61 19.21 85.43 26.714 128.683 16.986-2.273-10.32-7.216-20.79-14.424-29.133-31.11-33.678-56.284-72.403-74.218-113.858-28.463-2.496-46.867 8.613-71.127 25.195l-10.545-15.43c22.512-15.387 44.72-28.565 74.05-28.744-2.307-6.2-4.458-12.45-6.44-18.745-26.75-9.675-47.364-3.717-75.018 5.998l-6.195-17.63c18.554-6.52 36.657-11.973 55.955-11.724 7.425.095 15.028 1.043 22.9 3.09 2.322-3.465 4.734-6.903 7.23-10.31-18.026-14.307-38.087-17.633-58.665-18.124l.445-18.682c22.394.535 47.575 4.742 69.678 22.074 8.265-10.045 17.24-19.77 26.74-29.13-15.804-17.233-31.818-36.77-48.746-59.553l-14.615-19.67 24 4.945c37.017 7.626 69.67 15.866 99.21 24.832 33.186-23.086 68.577-41.592 101.955-53.67V20.684H285.857zm27.303 125.37c10.444 13.26 20.557 25.25 30.55 36.257l-.224-.128 93.29 121.527-12.57-50.4c20.554 14.263 42.67 27.353 67.788 41.01v-43.08c-40.85-13.435-65.915-26.845-98.795-65.527 22.163-.41 41.016.42 57.75 2.324-38.986-15.8-83.21-29.64-137.79-41.984zM64.22 247.043c-8.06 7.607-15.976 15.208-23.695 22.82 8.767 29.856 31.006 68.292 66.934 88.683l32.05-16.92c-16.164-8.44-30.58-20.443-42.518-34.203-15.8-18.212-27.433-39.442-32.77-60.38zm75.462 94.675l3.107 10.934c16.594 58.413 65.493 102.965 124.8 125.227 33.94 12.74 71.068 18.028 107.03 14.583 10.16-2.584 15.664-11.107 17.17-21.865-47.083 9.794-96.675 1.386-137.995-19.172-43.536-21.66-78.302-57.094-90.18-100.385-8.315-2.186-16.317-5.36-23.933-9.32z"}}]})(props);
};
function GiFootprint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.625 18.375c-11.817-.153-23.918 8.608-29.375 22.438-6.716 17.02-.85 35.28 13.094 40.78 13.943 5.502 30.69-3.822 37.406-20.843 6.716-17.02.85-35.28-13.094-40.78-2.614-1.033-5.304-1.56-8.03-1.595zm74.75 15.938c-10.97.006-22.743 6.024-30.78 16.874-12.25 16.534-11.2 38.06 2.342 48.094 13.544 10.035 34.44 4.754 46.688-11.78 12.25-16.534 11.2-38.06-2.344-48.094-4.654-3.45-10.16-5.097-15.905-5.093zm67.25 37.53c-10.336-.127-21.542 4.263-30.47 12.907-15.87 15.368-18.525 38.344-5.936 51.344 12.587 13 35.66 11.086 51.53-4.28 15.87-15.37 18.526-38.345 5.938-51.345-5.508-5.69-13.024-8.527-21.063-8.626zm-156.438 32.063c-22.51-.28-44.378 6.893-63.5 24C107.65 182.513 48.192 261.012 28.28 386.97 5.023 534.1 186.257 507.523 168.313 428.936c-22.922-100.387 34.13-141.11 108-124.156 32.838 7.54 66.54-4.9 86-40.436 23.402-42.733-7.428-106.817-62.875-139.625-21.61-12.79-44.74-20.534-67.25-20.814zM449.438 134c-10.52.022-21.654 2.82-32.093 8.625-27.837 15.48-40.15 46.51-27.47 69.313 12.682 22.802 45.54 28.73 73.376 13.25 27.837-15.48 40.118-46.51 27.438-69.313-7.926-14.252-23.717-21.91-41.25-21.875z"}}]})(props);
};
function GiFootsteps (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M145.454 182.99c16.485-8.948 34.84 9.218 46.38 32.816.153 12.414 4.804 23.314 10.484 32.06l-22.083 20.402c-29.716-13.468-59.267-63.634-39.823-81.6a25.137 25.137 0 0 1 5.054-3.667zm64.64 74.46l-22.486 20.76c27.48 48.827 65.94-.32 22.485-20.76zm87.67 113.92a25.136 25.136 0 0 0-5.054 3.668c-19.444 17.965 10.106 68.13 39.823 81.598l22.083-20.402c-5.68-8.746-10.32-19.645-10.486-32.06-11.538-23.597-29.893-41.763-46.38-32.816zm64.64 74.462l-22.487 20.757c27.48 48.804 65.942-.332 22.474-20.758zM297.23 207.9c-14.674 11.68-5.112 35.667 12.095 55.502 11.36 4.994 19.586 13.527 25.42 22.166l27.433-12.367c-.805-32.616-35.444-79.41-59.575-68.52a25.136 25.136 0 0 0-5.35 3.218zm43.315 88.58c1.846 47.988 62.107 31.763 27.88-12.593zm-206.7-263.423c-11.314 14.957 3.893 35.774 25.443 50.768 12.25 2.012 22.332 8.284 30.12 15.172l23.478-18.78c-8.816-31.398-53.977-68.19-74.65-51.623a25.136 25.136 0 0 0-4.392 4.438zm63.905 75.064c13.68 46.036 68.048 15.385 23.894-19.112l-23.882 19.112z"}}]})(props);
};
function GiFootyField (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 56.05C125.4 56.05 17.95 144.7 17.95 256c0 111.3 107.45 199.9 238.05 199.9 130.6 0 238-88.6 238-199.9 0-111.3-107.4-199.95-238-199.95zm0 17.9c52.1 0 99.7 14.89 137.2 39.65-37 46.8-56.1 94.4-56.1 142.4s19.1 95.6 56.1 142.4c-37.5 24.8-85.1 39.7-137.2 39.7-52.1 0-99.7-14.9-137.2-39.7 37-46.8 56.1-94.4 56.1-142.4s-19.1-95.6-56.1-142.4c37.5-24.76 85.1-39.65 137.2-39.65zm151.7 50.15c35.4 27.8 59.5 65.3 66.4 107h-35v49.8h35c-6.9 41.7-31 79.2-66.4 107-35.6-44.7-52.8-88.5-52.8-131.9 0-43.4 17.2-87.2 52.8-131.9zm-303.4 0c35.6 44.7 52.8 88.5 52.8 131.9 0 43.4-17.2 87.2-52.8 131.9-35.35-27.8-59.44-65.3-66.38-107h35.03v-49.8H37.92c6.94-41.7 31.03-79.2 66.38-107zm86.7 66.8V321h130.1V190.9H191zm18 17.9h94.2V303H209v-94.2zm47 23.2c-13.1 0-24 10.9-24 24s10.9 24 24 24 24-10.9 24-24-10.9-24-24-24zM36.03 248.9h19.02v14.2H36.03c-.11-2.4-.18-4.7-.18-7.1 0-2.4.07-4.7.18-7.1zm420.87 0H476c.1 2.4.2 4.7.2 7.1 0 2.4-.1 4.7-.2 7.1h-19.1v-14.2zm-200.9 1c3.5 0 6.1 2.6 6.1 6.1 0 3.5-2.6 6.1-6.1 6.1-3.5 0-6.1-2.6-6.1-6.1 0-3.5 2.6-6.1 6.1-6.1z"}}]})(props);
};
function GiForearm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M470.92 53.162c21.738 76.755-126.736 189.16-213.57 251.49 4.21 19.66 2.796 37.915 0 55.825 20.223 32.576.83 44.814 2.76 82.5-1.05 13.887-23.797 12.58-28.066-8.576 4.852-31.07-2.95-57.924-15.472-54.243l-31.933 43.23-47.61 67.04c-5.897 5.975-27.768 1.664-22.4-12.69l39.123-71.307-3.784-2.538-74.42 79c-6.056 6.26-26.28-7.956-19.953-16.503l69.72-74.202-3.783-1.925-66.576 44.227c-7.596 5.33-22.805-10.34-12.628-17.663l63.976-50.98-43.874 22.025c-6.156 2.1-12.68-10.355-5.976-13.335l50.997-32.6c26.468-21.393 58.785-57.834 94.072-65.2 55.417-83.656 104.97-167.018 175.057-253.61 26.274-13.577 86.7 8.58 94.34 30.035z"}}]})(props);
};
function GiForestCamp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M350.5 33.05c-13.9 30.58-29.4 61.29-61.6 85.35 7.3 3.4 20.7 6.2 27.9 8.5-12.2 18.7-33 36.4-52 52.3 11.1 5.7 22.1 10.3 33.1 14-14.1 22.2-30.9 43.3-51.9 62.4 16.7 9.3 33.3 16.6 49.8 21.8-17.9 25.4-40.4 49.6-72.1 76.1 51.5 26.5 97 38.8 142.2 37.4 1.8 0 3.7.1 5.5.1v-.3c39.9-2.2 79.6-15 123.2-38-38.8-24.5-62.9-47.7-81.4-73.2 17.8-5.2 35.6-12.9 53.3-23.1-25.8-17.7-44.2-38.6-58.9-61.5 12.1-3.7 24.1-8.7 36.1-15-23.2-14.6-44.1-32.3-56.7-51.4 8.8-2.4 22.8-5.3 31.5-9.4-38.5-21.76-48.9-53.16-68-86.05zM173.6 336.8c-.1.3-.4.8-.6 1.1l19.4 139 72.2 1.2c-38.2-44.9-66-91.1-91-141.3zm-.6 1.2c-23.8 47.8-44.8 94.2-86.44 137.2l76.84 1.3zm-20.7 1.1c-24.1 8.9-54.17 16.9-82.31 15.8-11.18 39.8-26.38 80-52.57 115.8l46.65 1.6c43.13-40.8 64.23-85 88.23-133.2zm186.5 68.8l-2.7 70.4 43 .6L373 409c-11.6 0-23.1-.3-34.2-1.1z"}}]})(props);
};
function GiForest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169.92 15.654c-10.512 16.697-22.392 34.058-41.688 50.473.46.447.934.89 1.405 1.336l23.55-.406-3.527 10.7c-.505 1.53-1.065 3.048-1.678 4.552 2.803 1.945 5.745 3.875 8.872 5.788l25.052 15.33-45.99-.793c-1.954 2.474-4.06 4.9-6.305 7.275 8.8 11.517 22.045 22.713 38.675 32.766l-12.404-.365-.015 5.678c8.53 6.358 17.792 12.448 27.162 18.48 18.11-11.568 31.79-24.5 39.51-37.616l-57.353.99 25.052-15.33c8.97-5.488 16.525-11.115 23.082-16.867-5.098-5.475-9-10.962-11.257-16.69l-4.04-10.246 29.742-1.823C205.14 54.41 182.44 38.31 169.92 15.654zm234.605 13.223c-6.537 12.962-13.88 29.016-23.638 44.63 10.927 18.367 24.428 35.997 46.773 52.382l20.42 14.97-52.51-1.085c6.956 12.136 19.936 26.858 34.58 40.047 19.157 17.254 40.928 32.572 53.907 39.914l11.34 6.418c.005-4.163.005-7.382.015-13.972-17.176-11.938-29.767-25.795-36.322-42.2l-4.115-10.298 43.605-2.58c-9.91-4.358-19.747-8.263-28.723-12.06-8.498-3.594-16.23-7.107-22.724-11.23-6.495-4.122-12.102-8.954-14.858-15.943l-3.93-9.962 36.077-3.178c-24.245-20.226-47.223-48.756-59.897-75.853zM84.027 34.62c-12.52 22.656-35.22 38.757-57.843 53.234l29.738 1.822-4.037 10.244c-4.78 12.125-16.815 24.123-33.182 36.873-.295 11.21-.392 17.66-.385 17.732.005.044.19 1.1.29 3.127.038.742.04 3.177.066 4.358l13.828.797-.004.55-3.906 9.778c-1.18 2.955-2.498 6.07-4.16 9.232l11.525-7.05c37.376-22.87 50.42-48.163 67.395-74.833l-.233 6.366 4.474-1.875c-1.277-2.702-2.382-5.452-3.305-8.25l-3.528-10.7 26.582.46C107.068 69.66 94.836 51.787 84.027 34.618zM263.06 61.036c-10.808 17.168-23.04 35.04-43.314 51.86l26.582-.458-3.527 10.7c-6.657 20.188-22.772 37.89-44.874 52.91l17.916 11.573 18.273.688-4.127 10.5c-2.305 5.863-5.355 11.4-9.01 16.65l8.737-6.19c17.913-12.69 36.773-27.495 51.8-41.534 10.026-9.365 17.978-18.52 23.083-25.914l-50.537-3.715 16.5-12.773c10.37-8.027 20.973-15.94 30.924-24.178-15.49-11.246-29.53-24.024-38.423-40.12zm93.07.68c-12.76 26.805-36.227 46.04-59.107 63.506l31.39 2.306-3.194 9.726c-4.503 13.7-16.983 27.412-32.783 42.172-10.794 10.083-23.245 20.29-35.896 29.926l49.278 3.494-3.26 9.78c-11.273 33.806-46.845 56.924-75.816 75.597 13.487 8.056 27.67 15.44 39.813 22.318 68.34 18.82 147.594 6.972 200.924-16-13.19-7.554-23.844-14.547-32.748-23.006-11.805-11.216-20.072-24.96-26.377-44.183l-3.017-9.208 51.97-6.61c-11.874-8.21-25.17-18.39-37.867-29.825-20.11-18.113-38.394-38.003-43.915-58.067L372.68 123.3l27.867.577c-21.174-20.07-33.542-41.485-44.416-62.16zM108.78 121.84c-10.807 17.168-23.038 35.04-43.313 51.86l26.582-.456-3.53 10.697c-8.24 24.998-30.974 46.186-61.625 63.185l52.94 1.99-4.126 10.496c-11.05 28.11-29.76 52.974-61.038 71.585 73.885 22.566 156.574 31.568 231.582-3.572-12.908-7.055-26.9-14.653-40.33-23.56-18.07-11.983-34.525-25.736-41.71-43.713l-4.116-10.3 48.4-2.864c-11.828-7.625-23.415-15.48-33.557-23.383-16.245-12.663-29.06-24.086-34.02-36.664l-4.04-10.247 29.74-1.823c-22.62-14.476-45.318-30.576-57.84-53.23zM68.26 189.656l-49.016.844c-.168.218-.32.44-.492.656-.276 21.495-.448 33.384-.502 42.38 23.342-13.057 40.863-28.338 50.01-43.88zm105.674 12.403c3.27 2.968 6.883 6.035 10.845 9.124 3.52 2.743 7.266 5.524 11.14 8.308 5.44-5.177 10.084-10.545 13.692-16.092l-35.678-1.34zm41.658 20.428c-1.87 2.225-3.865 4.388-5.947 6.504 9.277 6.192 18.952 12.242 28.38 17.815l17.645 10.427c11.34-9.42 21.135-19.423 27.215-29.972l-67.293-4.774zm279.803 10.334l-68.383 8.698c4.666 11.45 10.047 19.75 17.28 26.992l-.21-9.6c17.455-.996 34.705-3.352 51.4-7.363-.065-7.174-.084-12.42-.087-18.728zm-243.96 27.852l-66.394 3.928c3.903 5.187 9.085 10.326 15.097 15.314 6.417 1.284 12.905 2.463 19.455 3.504 10.638-7.12 21.72-14.713 31.842-22.746zm-219.744 2.64l-.29 35.618c10.746-10.37 18.692-21.97 24.83-34.694l-24.54-.924zm413.947 66.534c-14.262 4.577-29.517 8.396-45.38 11.222l5.55 132.18h42.978l-3.148-143.402zm-181.83 7.002c-2.663 1.404-5.337 2.75-8.018 4.046l-.927 114.274h52.682l-2.426-110.496c-13.946-1.552-27.788-4.123-41.313-7.824zm120.54 6.693c-15.085 1.992-30.582 3.05-46.18 2.994l-.386 139.742h52.56l-5.994-142.737zm-353.38 9.146l-.924 114.04H74.31l1.975-104.398c-15.362-2.464-30.51-5.75-45.318-9.643zm174.72 6.27c-11.576 2.87-23.226 4.935-34.898 6.284l3.915 66.195h33.065l-2.084-72.48zm-113.443 5.628l-2.508 132.56 72.692-2.287-7.584-128.21c-20.97 1.29-41.936.424-62.6-2.062z"}}]})(props);
};
function GiForkKnifeSpoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48 34v144c0 16 32 32 32 32 0 112-16 176-16 208 0 16 0 32 16 48s16 16 32 0 16-32 16-48c0-32-16-96-16-208 0 0 32-16 32-32V34h-18v96h-21V34H87v96H66V34H48zm202 0c-16 0-16 16-16 16v272h.4c-4.6 45.8-10.4 76.8-10.4 96 0 16 0 32 16 48s16 16 32 0 16-32 16-48c0-22.1-7.6-59.5-12.4-117.5C287.9 270.4 298 232.2 298 194c0-48-25.8-137.6-48-160zm166 0a64 96 0 0 0-64 96 64 96 0 0 0 47.9 92.8C398.8 326.9 384 387.2 384 418c0 16 0 32 16 48s16 16 32 0 16-32 16-48c0-30.8-14.8-91.1-15.9-195.1A64 96 0 0 0 480 130a64 96 0 0 0-64-96z"}}]})(props);
};
function GiForklift (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M360.998 56.998v222.004h14.004V56.998h-14.004zm-288 128v126.004h16.004v-110h127.594L257 328.947l-85.293 38.035 8.02 8.02h40.546l16-16h50.62l-53.54-174.004H72.999zm320 64v30.004h14.004v-30.004h-14.004zm-270.451 20.584C114.487 269.732 106 272 106 272v39.002h9.727l49.646 49.646C163.42 341.07 156.172 287.981 134 272c-2.366-1.705-5.988-2.345-9.85-2.418-.53-.01-1.066-.01-1.603 0zm238.451 27.416v14.004h46.004v-14.004h-46.004zm-336 32v55.121c13.4-15.367 33.091-25.117 55.002-25.117 40.21 0 72.998 32.788 72.998 72.998a73.26 73.26 0 0 1-.346 7.002h79.07c4.342-27.13 27.966-48 56.278-48 26.223 0 48.418 17.908 55.002 42.105v-29.38l-26.729-26.729h-72.546l-16 16h-55.454l-64-64H24.998zm336 0v142.004h14.004V328.998h-14.004zm32 0v62.004h97.277l-14.004-14.004h-69.269v-48h-14.004zM80 376.998c-30.483 0-55.002 24.52-55.002 55.002 0 30.483 24.52 55.002 55.002 55.002 30.483 0 55.002-24.52 55.002-55.002 0-30.483-24.52-55.002-55.002-55.002zm0 30.004c13.7 0 24.998 11.298 24.998 24.998 0 13.7-11.298 24.998-24.998 24.998-13.7 0-24.998-11.298-24.998-24.998 0-13.7 11.298-24.998 24.998-24.998zm208 1.996A38.867 38.867 0 0 0 248.998 448 38.867 38.867 0 0 0 288 487.002 38.867 38.867 0 0 0 327.002 448 38.867 38.867 0 0 0 288 408.998zM288 432a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16z"}}]})(props);
};
function GiForwardField (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.5 22.406c-129.203 0-233.938 104.734-233.938 233.938 0 45.56 13.034 88.074 35.563 124.03-11.252-26.148-17.5-54.945-17.5-85.218 0-119.205 96.64-215.844 215.844-215.844s215.843 96.637 215.843 215.844c0 30.397-6.318 59.298-17.657 85.53 22.654-36.024 35.78-78.644 35.78-124.342C489.44 127.138 384.704 22.406 255.5 22.406zm-.03 90.22l-67.72 198.093-27.094-7.533v-63.03H141.97v57.812l-56.095-15.595V479.03l72.656-76.78 37.657 29 13.875 60.563h90.844l13.875-60.594 37.626-28.97 72.656 76.78V282.376L368.97 297.97v-57.814h-18.69v63.03l-27.092 7.533-67.72-198.095zm0 124.436c16.905.022 33.81 32.695 33.81 97.938h-67.624c0-65.33 16.906-97.96 33.813-97.938z"}}]})(props);
};
function GiForwardSun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M71.683 379.582c-68.196-68.225-68.196-178.94 0-247.16 68.225-68.202 178.95-68.202 247.174 0 20.782 20.798 35.22 45.538 43.34 71.797h41.432v-22.185c0-10.53 6.103-13.057 13.58-5.645l68.635 67.962c7.492 7.412 7.492 19.453 0 26.865l-68.64 67.962c-7.494 7.404-13.576 4.87-13.576-5.675v-22.148h-42.573c-8.303 24.923-22.375 48.378-42.2 68.225-68.225 68.196-178.95 68.196-247.174 0zm137.443 5.77v-45.647h-27.128v45.646h27.128zm-94.513-27.917l32.27-32.29-19.177-19.17-32.276 32.29 19.183 19.17zm161.89 0l19.17-19.183-32.277-32.276-19.168 19.168 32.276 32.29zM241.41 302.28c25.47-25.44 25.47-66.77 0-92.22-25.442-25.448-66.773-25.448-92.22 0-25.45 25.45-25.45 66.78 0 92.22 25.447 25.464 66.778 25.464 92.22 0zm-128.243-31.406V243.76h-45.64v27.114h45.64zm210.4 0V243.76h-45.64v27.114h45.64zm-195.86-62.215l19.16-19.17-32.27-32.29-19.167 19.168 32.276 32.29zm135.69 0l32.275-32.3-19.176-19.168-32.283 32.284 19.183 19.183zm-54.293-33.738v-45.646H181.99v45.646h27.114z"}}]})(props);
};
function GiFossil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M337.268 21.412L97.643 43.66 17.125 159.672l30.592 194.662.25.088L60.9 439.168l166.438 56.05 119.598-10.36 127.832-60.915 5.377-84.605 7.605-85.133-10.02-31.236-35.45-10.642.548-96.982.276-.328-.872-2.717-104.964-90.888zM221.338 58.39c27.232.292 53.762 7.89 75.67 21.313 26.706 16.363 46.742 41.84 51.01 73.23 2.406 17.697-1.08 35.415-9.15 51.063 24.128 7.656 41.976 13.968 55.943 25.027 16.303 12.91 25.883 31.77 34.08 62.31l1.483 5.534-4.256 3.834c-35.05 31.564-81.466 52.728-131.297 58.57-51.316 6.02-103.156-5.577-144.302-30.446-41.147-24.87-71.802-63.446-78.82-110.922C60.755 143.87 116.99 68.67 203.38 59.264c4.17-.454 8.342-.732 12.503-.836 1.82-.046 3.64-.06 5.455-.04zm-.215 18.702c-1.592-.02-3.186-.01-4.78.027-3.648.086-7.298.325-10.94.722-20.212 2.2-38.422 8.412-54.114 17.515 4.263 22.597 19.14 36.716 41.003 46.123 9.088-7.047 20.425-11.79 33.28-12.925h.003c1.504-.133 3.006-.202 4.504-.225-.274-17.968 4.715-33.666 11.166-49.455-6.608-1.082-13.345-1.7-20.123-1.783zm38.535 6.13c-7.05 16.748-11.816 30.916-10.82 47.737 5.064 1.534 9.877 3.708 14.264 6.487 5.04 3.194 9.55 7.294 13.09 12.127l48.736-11.43c-6.917-17.315-20.272-31.837-37.684-42.505-8.4-5.148-17.72-9.33-27.586-12.417zM134.906 106.62c-33.29 26.87-50.667 68.3-44.72 108.548v.002c.183 1.24.39 2.472.61 3.7 28.092 10.36 52.05 12.284 85.534-3.616-3.505-6.465-5.89-13.582-6.828-21.24-1.658-13.547 1.935-27.047 9.443-38.258-20.607-10.497-37.12-26.62-44.04-49.137zm289.108 31.18l-.39 68.927-45.843-13.76 46.234-55.168zm-193.323 9.216c-1.16.003-2.32.054-3.473.156-.523.046-1.033.114-1.547.176l14.02 20.65c8.896-1.71 18.57.49 25.402 6.56.172-1.28.212-2.564.078-3.826-.75-7.038-5.032-13.038-12.072-17.5-5.28-3.346-12.004-5.54-18.932-6.084-1.155-.09-2.315-.135-3.475-.132zm-23.323 6.644c-13.68 8.462-21.077 23.678-19.314 38.082v.002c.393 3.216 1.172 6.306 2.27 9.27l28.066-11.325c.303-4.362 1.994-8.657 5.05-12.356l-16.073-23.674zm122.217 2.588l-46.068 10.805c.085.564.177 1.125.238 1.7.645 6.055-.246 12.067-2.377 17.55l34.928 18.935c10.45-14.344 15.387-31.86 13.28-48.99zm-59.127 45.393c-.254.215-.518.416-.777.624-1.303 2.125-3 4.114-5.096 5.88-2.283 1.923-4.854 3.426-7.588 4.518l-2.793 24.46c1.878-.047 3.758-.13 5.63-.317 17.064-1.695 31.717-8.165 43.165-17.522l-32.54-17.642zm-45.07 5.38l-24.764 9.992c3.253 3.334 7.042 6.348 11.293 8.994 6.95 4.326 15.077 7.51 23.678 9.353l2.45-21.467c-4.424-1.106-8.586-3.194-12.02-6.272-.218-.196-.427-.4-.637-.6zm102.855 13.234c-15.41 18.853-38.614 32.373-66.562 35.148-.73.073-1.46.116-2.192.172 8.186 18.072 10.37 32.67 6.744 46.588-3.447 13.235-11.147 24.704-21.238 38.715 15.69 1.695 31.723 1.702 47.65-.166 43.894-5.146 84.95-23.416 116.46-50.16-7.193-24.805-14.51-37.858-25.895-46.874-11.237-8.897-28.577-15.043-54.968-23.422zm-140.53 10.22c-33.997 16.75-62.925 17.738-90.94 9.962 11.302 29.815 33.998 54.615 63.412 72.392 19.095 11.54 40.97 20 64.074 24.785 12.61-17.636 21.18-29.762 23.888-40.162 2.844-10.915 1.06-22.145-9.806-42.554-13.078-1.858-25.54-6.326-36.3-13.023-5.22-3.25-10.053-7.073-14.327-11.398zm272.32 130.657l-3.22 50.667-97.4 46.414 14.133-62.933 86.488-34.146zm-392.083.352l143.605 50.743 6.398 60.113-140.297-47.246-9.707-63.61zm285.304 38.854l-14.936 66.51-101.224 8.77-6.54-61.454 122.7-13.826z"}}]})(props);
};
function GiFoundryBucket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M137 19v200.9c7-3.1 14.8-4.9 23-4.9s16 1.8 23 4.9V19h-46zm64 88.6v65L340.4 312c10.1-13.9 19-27.2 26.2-38.8L201 107.6zm161.6 18.2c-34.5.2-76.9 14-93.3 24.7l115.2 115.1 4.9 5-.1.2c21.3 43.6 27.5 142.4 19.5 184-25.1-12.6-50.9-53.2-66.2-72.7-.4 20.5 6.5 63 16.9 82.2-34.9-5.3-57.1-28.1-81.2-48.3 3.4 24.3 16 40.9 41.7 57.8L208 464l69.3 32H496V384l-32 72.3c6.7-75.3 4.8-304.9-76.8-327.7-7.3-2-15.7-2.9-24.6-2.8zM119 158.5c-6.4 5.5-12.8 11.1-19.1 16.9-32.97 30.3-61.57 64.5-73.33 94.4L199.2 442.4c29.9-11.7 64.1-40.3 94.4-73.3 12.8-13.8 24.8-28.3 35.8-42.5L201 198.2v34.3c9.9 10.2 16 24.2 16 39.5 0 31.4-25.6 57-57 57s-57-25.6-57-57c0-15.3 6.1-29.3 16-39.5v-74zm41 74.5c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm0 23a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16z"}}]})(props);
};
function GiFountainPen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 20.813v124.062c29.144 25.523 57.37 49.464 84.375 71.563 5.023-1.894 14.962-7.8 25.688-16.188 11.8-9.23 25.18-21.31 37.875-34.03 12.693-12.724 24.73-26.115 33.906-37.876 8.405-10.775 14.297-20.736 16.094-25.563-21.434-26.277-44.613-53.706-69.313-81.968H18zm211.03 98.156c-3.632 6.475-8.583 13.33-14.468 20.874-9.812 12.578-22.258 26.385-35.406 39.562-13.147 13.178-26.967 25.687-39.594 35.563-7.574 5.923-14.48 10.928-21.03 14.593 8.046 6.48 16.013 12.785 23.812 18.906l-.47-1.75c3.795-1.018 13.79-6.738 24.595-15.19 10.804-8.45 23.076-19.55 34.718-31.218 11.64-11.668 22.69-23.948 31.093-34.718 8.055-10.325 13.58-19.86 14.876-23.813-5.867-7.486-11.93-15.095-18.125-22.81zm31 39.436c-3.33 5.84-7.777 11.954-13.03 18.688-9.04 11.587-20.498 24.314-32.594 36.437-12.095 12.125-24.805 23.622-36.437 32.72-7.382 5.773-14.058 10.626-20.44 14.063 7.35 5.662 14.597 11.165 21.69 16.468 4.76-2.366 12.16-6.993 20-13.124 10.512-8.222 22.447-19.016 33.78-30.375 11.333-11.357 22.075-23.3 30.25-33.78 6.05-7.755 10.62-15.072 12.97-19.75-5.22-6.982-10.627-14.106-16.19-21.344zm26.658 40.813c-2.536 3.743-5.462 7.644-8.688 11.78-8.812 11.296-19.964 23.687-31.75 35.5-11.786 11.813-24.192 23.006-35.53 31.875-4.06 3.174-7.9 6.046-11.595 8.563l94.28 141.28c43.757-7.75 105.398 16.894 158.595 66.063l14.438-14.436L347.094 360.5c-11.034 5.484-24.775 3.663-33.97-5.53-11.517-11.52-11.517-30.202 0-41.72 11.52-11.518 30.202-11.518 41.72 0 9.218 9.218 11.038 23.014 5.5 34.063l119.312 119.312 14.47-14.47c-49.17-53.196-73.847-114.806-66.095-158.56L286.69 199.218z"}}]})(props);
};
function GiFountain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M288.875 16.594c-23.342 22.17-40.225 48.12-50.5 77.906-9.354-18.433-21.854-35.043-37.438-49.844 9.606 23.365 16.495 48.275 19.688 73.78-21.13-23.87-50.358-37.07-87.344-40 20.613 12.106 38.503 27.737 51.5 46.658-41.81-13.675-85.358-15.232-130.874-5.344 28.394 2.768 55.846 8.35 81.28 17.438-37.564 4.487-74.492 15.51-110.56 34.093 39.224-6.523 78.482-7.64 115.655-3.593-49.523 25.295-90.26 62.703-122.124 112.25 28.508-23.452 59.035-43.244 90.656-58.03-24.99 43.303-38.51 91.956-41.062 145.218 11.335-30.223 25.73-59.34 42.47-85.188-7.78 41.418-6.463 84.636 3.124 128.782 5.07-52.127 18.546-101.855 40.5-144.564.826 32.724 6.57 65.49 17.937 98.625-.928-47.574 9.546-96.23 29.69-136.405 51.69-62.853 50.093 218.18-49.814 265.25H371.47c-100.415-47.31-102.88-309.304-65-265.438 20.203 40.213 30.742 88.945 29.81 136.594 11.368-33.135 17.08-65.9 17.908-98.624 21.953 42.71 35.43 92.437 40.5 144.563 9.587-44.147 10.903-87.365 3.125-128.783 16.74 25.847 31.134 54.965 42.468 85.188-2.552-53.262-16.07-101.915-41.06-145.22 31.62 14.788 62.147 34.58 90.655 58.032-31.864-49.547-72.6-86.955-122.125-112.25 37.173-4.046 76.43-2.93 115.656 3.594-36.07-18.58-72.996-29.605-110.562-34.093 25.435-9.088 52.887-14.67 81.28-17.437-45.515-9.888-89.062-8.33-130.874 5.344 12.998-18.92 30.888-34.552 51.5-46.656-26.998 2.137-49.872 9.727-68.47 22.968 19.373-25.332 42.246-47.79 67.064-66.937-40.257 9.683-75.303 28.49-104.97 56.686 3.657-25.754 10.774-50.903 20.5-74.562z"}}]})(props);
};
function GiFoxHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M141.22 16.563c3.515 67.68 1 131.198-4.126 193.78l-23.625-12.312 14.374 41.595L66.5 215.47l53.03 54.093-41.28 2.78c30.542 19.568 68.55 32.376 90.72 59.532 27.797 39.67 43.262 79.654 44.75 155.625 22.76 10.636 51.078 10.06 71.593 0 4.882-78.093 15.104-113.097 43.03-154.78.038-.056.09-.102.126-.158 22.083-27.63 60.45-40.486 91.25-60.218l-41.25-2.78 53-54.095-61.314 24.155 14.375-41.594-22.25 11.626c-10.843-61.14-19.04-122.3-16.436-183.437-28.406 44.014-51.705 99.365-63.78 150.5l-18.19-4.282c3.06-12.948 6.76-26.1 11.063-39.25-17.632-2.987-35.196-3.496-52.812-1.125 4.92 12.803 9.39 26.1 13.28 40l-18 5.03C200.25 115.816 171.18 66.398 141.22 16.564zm46.75 244.375c9.412-.07 19.09 5.25 28.718 15.25 18.017 18.714 14.723 47.67-.907 70.53 2.77-40.466-15.15-63.874-51.905-72.5 7.7-8.95 15.788-13.218 24.094-13.28zm126.593 0c7.47.056 14.662 3.535 21.375 10.75l-.688 3.25c-35.184 9.16-53.046 32.384-51.938 71.78-14.707-22.86-16.835-51.816 1.938-70.53 10.03-10 19.902-15.32 29.313-15.25z","fillRule":"evenodd"}}]})(props);
};
function GiFoxTail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M144.734 22.04c-5.61-.035-11.163.12-16.634.456-43.77 2.7-82.904 17.003-103.862 44.996-7.506 10.027-5.682 23.91 2.95 31.42 8.635 7.51 23.004 8.053 36.234-.52 22.84-14.805 47.933-9.572 64.27 6.172 16.34 15.745 23.736 41.453 7.54 71.145-19.17 35.143-32.716 96.153-20.146 156.526 12.57 60.374 52.968 119.76 139.728 145.772 33.476 10.036 78.825 16.75 121.645 7.666 44.507-8.788 95.85-34.758 106.892-63.11-9.25 8.885-19.44 15.14-30.202 19.79 18.306-20.92 31.735-49.732 36.79-88.174l2.53-19.24-16.322 10.496c-10.503 6.755-20.585 13.403-30.093 18.396 2.638-5.872 5.038-13.22 7.73-22.777-11.097 15.19-23.73 25.355-38.598 31.472-9.234-.503-18.353-4.867-29.21-16.097-11.358-11.747-18.12-32.095-22.463-57.666-4.344-25.572-6.46-55.927-10.668-86.877-8.42-61.902-25.912-127.873-89.74-161.035-36.955-19.2-79.092-28.577-118.372-28.813zm-.123 18.01c36.462.255 76.11 9.065 110.197 26.774 56.393 29.3 71.994 87.14 80.203 147.488 4.104 30.175 6.186 60.554 10.758 87.465 1.316 7.753 2.835 15.242 4.693 22.385-15.448.04-27.254-8.307-41.704-24.717 7.385 30.41 11.99 36.534 25.705 55.55-28.22-8.235-60.64-34.74-80.95-64.063-3.274 40.047 20.223 71.574 33.275 83.93-25.176-14.196-60.713-41.536-84.623-88.655-1.016 41.426 11.93 87.732 36.45 116.465-34.515-11.536-64.97-99.472-85.42-127.633-13.04 33.217-2.948 89.085 16.072 130.122-19.628-22.838-30.887-49.375-36.555-76.596-11.524-55.342 1.75-113.847 18.325-144.238 19.55-35.842 10.915-71.75-10.85-92.726-21.768-20.976-56.854-27.564-86.554-8.315-8.56 5.55-12.688 3.732-14.626 2.045-1.94-1.687-2.76-3.84-.356-7.053 16.106-21.514 50.135-35.324 90.56-37.817 5.052-.312 10.195-.45 15.403-.414z"}}]})(props);
};
function GiFragmentedMeteor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.89 14.13L219.02 248.454l-168.37-153.8 166.03 190.222-52.178 3.793 70.33 46.832-50.58 13.225 44.18 5.152-59.264 43.962 95.676-4.9-19.037 66.435 64.646-52.75 18.363 83.873 18.744-56.713 9.96 35.684 5.628-50.855 53.253 49.696-12.945-80.61 65.406 8.312-39.702-45.69 65.54-41.302-77.66-3.057 36.023-36.22-54.777 23.732 10.576-69.498-54.497 42.585-27.457-71.253-11.863 44.592L111.715 45.004 212.557 183.22 21.893 14.13h-.002zm305.016 181.18v-.005h-.002l.002.004zm34.596 101.266l36.87 45.13-36.026 13.85 1.306-23.154-52.257-16.94 50.107-18.886zm-41.326 35.05l-2.127 49.288-41.003-12.37 8.736-27.437 34.393-9.48zm17.543 37.212l42.135 14.045-40.798 20.734-1.338-34.78z"}}]})(props);
};
function GiFragmentedSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M50.348 19.37c-.616.02-1.23.066-1.852.16h-.002c-17.38 2.646-29.2 14.79-29.2 36.208 35.305 18.283 66.755 42.684 85.85 85.266L64.85 199.406l25.697 25.114c7.188-14.017 15.388-27.635 25.113-40.883l68.33-67.746c14.346-10.816 28.963-20.67 44.385-28.615L203.26 62.162l-61.906 42.633C103.76 87.532 75.44 61.048 56.088 19.53c-2.035 0-3.892-.21-5.74-.16zm164.18 97.23c-5.02 3.18-10.268 6.81-15.632 10.8l60.284 60.252-40.946 6.702-43.068-42.05-46.137 43.094.275.295c-3.707 4.943-7.09 9.848-10.035 14.645l255.986 255.85 116.955 20.496L469.7 371.64 214.526 116.6zm-39.647 61.543l37.054 36.177 21.148-3.46 6.56 39.745-46.695 6.95-49.8-49.774 31.734-29.637zm100.58 25.783l88.198 88.152-15.986 36.54-33.373-33.175-61.554 21.877L209.402 274l51.768-7.705-9.645-58.453 23.936-3.916zm102.39 102.338l74.603 74.564 16.193 82.752-35.314-6.19-7.635-51.206-63.808-63.432 15.96-36.488zm-68.38 10.73l98.657 98.074 5.803 38.922-29.635-5.193-116.91-116.846 42.084-14.956z"}}]})(props);
};
function GiFragrance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M231.645 20.488c-20.69 8.84-38.014 18.377-51.856 28.223-.156-6.016-5.073-10.85-11.128-10.85-6.152 0-11.14 4.988-11.14 11.14 0 5.174 3.533 9.513 8.314 10.766-36.054 32.193-35.402 66.126 7.076 89.08-1.02 2.088-1.61 4.425-1.61 6.906 0 8.716 7.068 15.783 15.784 15.783 6.967 0 12.87-4.52 14.963-10.785 19.075 5.936 42.643 10.463 70.93 13.13.657.063 1.306.133 1.96.198 61.806 10.37 76.9 45.655 66.06 85.117 27.126-22.623 28.948-44.287 18.38-62.88 34.483 19.89 33.625 50.662-36.59 87.435 10.135.36 19.835.414 29.087.186 66.92-11.71 77.4-46.377 58.684-62.34 47.91 6.44 41.262 36.17 8.21 53.65 35.227-9.873 53.265-27.65 48.05-51.422 3.034-1.99 5.04-5.417 5.04-9.316 0-6.152-4.987-11.14-11.14-11.14-1.27 0-2.486.222-3.624.614-2.72-4.334-5.435-8.16-8.18-11.544-3.162-3.598-6.754-7.282-10.76-11.045-9.925-8.322-20.794-12.855-34.16-17.14-23.02-7.382-53.336-12.837-92.652-31.956-53.474-23.85-58.654-43.222-33.834-58.22 1.025 5.093 5.524 8.93 10.92 8.93 6.152 0 11.14-4.99 11.14-11.142 0-2.553-.87-4.898-2.314-6.777 41.773-14.924 117.26-24.23 199.724-28.057V20.49H231.645zM129.86 49.615c-5.838 0-10.62 4.493-11.094 10.207-.672-.098-1.354-.166-2.053-.166-7.826 0-14.17 6.346-14.17 14.172 0 7.826 6.344 14.17 14.17 14.17s14.17-6.344 14.17-14.17c0-.672-.062-1.33-.153-1.976 5.744-.446 10.268-5.238 10.268-11.096 0-6.152-4.986-11.14-11.14-11.14zm356.624 1.97c-79.575-.35-175.28 17.336-167.953 54.42-4.79 1.247-8.333 5.59-8.333 10.77 0 6.153 4.99 11.14 11.14 11.14 4.64 0 8.617-2.838 10.292-6.872 31.273 13.618 55.956 18.32 78.073 25.412.53.17 1.05.355 1.578.53-3.853-16.51 4.33-33.433 25.064-44.604 1.39 4.57 5.635 7.895 10.658 7.895 6.152 0 11.14-4.986 11.14-11.138 0-1.692-.387-3.29-1.062-4.727 11.237-2.98 24.51-4.76 39.9-4.904V51.74c-3.46-.086-6.962-.138-10.496-.154zM233.742 55.3c-29.453 24.135-33.892 78.445 46.295 91.235-50.294 11.002-83.52-8.546-93.103-32.514.81.19 1.65.296 2.515.296 6.15 0 11.14-4.986 11.14-11.138 0-6.153-4.99-11.14-11.14-11.14-1.723 0-3.348.4-4.804 1.1 3.072-17.085 18.668-32.697 49.096-37.84zM473.184 110.6c-6.153 0-11.14 4.988-11.14 11.14 0 4.355 2.505 8.115 6.147 9.947-.994 1.982-1.567 4.214-1.567 6.583 0 8.125 6.587 14.71 14.71 14.71 8.125 0 14.714-6.585 14.714-14.71 0-7.17-5.135-13.135-11.926-14.44.13-.677.204-1.375.204-2.09 0-6.153-4.988-11.14-11.14-11.14zm-350.18 9.308c-6.152 0-11.14 4.99-11.14 11.14 0 6.153 4.988 11.14 11.14 11.14s11.14-4.987 11.14-11.14c0-6.152-4.988-11.14-11.14-11.14zm317.238 6.447c-6.152 0-11.14 4.987-11.14 11.14 0 6.15 4.988 11.14 11.14 11.14s11.14-4.99 11.14-11.14c0-6.153-4.988-11.14-11.14-11.14zm-193.35 60.15c-6.152 0-11.14 4.987-11.14 11.14 0 6.152 4.988 11.14 11.14 11.14 6.153 0 11.14-4.988 11.14-11.14 0-6.153-4.987-11.14-11.14-11.14zm-57.01 24.407c-.74-.028-1.49-.025-2.25.008-2.023.088-4.118.392-6.286.898-8.675 2.024-18.16 7.71-26.037 16.237l-4.244 4.59-5.86-2.167c-14.527-5.37-22.593-3.663-26.417-.644-3.825 3.02-6.157 9.336-4.257 20.078 2.157 12.19 10.328 28.35 25.082 44.588 12.768-16.185 32.53-26.62 54.66-26.62 9.317 0 18.21 1.86 26.346 5.208.405-31.986-7.51-49.643-16.565-56.858-4.296-3.422-8.998-5.124-14.174-5.318zm105.425 22.582c-7.717-.06-17.306 1.996-27.46 7.297-12.956 6.764-26.685 18.603-38.585 36.582 14.012 8.196 24.936 21.133 30.52 36.596 29.35-20.23 45.412-38.237 51.81-51.372 3.805-7.813 4.304-13.638 3.44-17.57-.866-3.933-2.865-6.51-6.634-8.633-2.826-1.593-6.8-2.644-11.574-2.86-.497-.022-1.003-.035-1.517-.04zM468.46 277.04c-6.15 0-11.14 4.987-11.14 11.14 0 6.152 4.99 11.138 11.14 11.138 6.153 0 11.14-4.986 11.14-11.138 0-6.153-4.987-11.14-11.14-11.14zM66.573 284.07c-12.2.132-20.13 2.703-24.13 5.47-4.003 2.77-4.84 4.915-4.588 8.792.505 7.754 11.362 23.518 34.646 35.738 13.916 7.304 31.904 13.47 53.502 17.024-.877-4.4-1.346-8.944-1.346-13.594 0-9.1 1.78-17.796 4.983-25.777-6.67-6.793-12.36-13.73-17.08-20.66-19.05-5.045-34.38-7.12-45.988-6.993zm127.703 2.506c-5.13 0-10.07.758-14.73 2.152l4.152 34.88-25.707-21.913c-8.914 9.034-14.444 21.405-14.62 35.13l34.396 4.087L149.36 361.6c6.848 12.8 19.008 22.277 33.583 25.56l10.768-35.873 15.51 34.93c14.567-4.43 26.315-15.178 32.09-29.092l-27.103-13.975 30.857-9.203c-.753-11.04-4.974-21.084-11.605-29.054l-27.01 17.357 7.558-31.738c-6.062-2.533-12.726-3.934-19.733-3.934zm128.774 17.436c-1.24-.002-2.512.032-3.814.103-6.348.35-13.44 1.618-21.21 4.065-9.32 8.29-20.664 16.88-34.22 25.748.06 1.183.09 2.374.09 3.572 0 14.957-4.776 28.83-12.86 40.2 31.408 12.195 57.268 19.153 77.273 21.913 24.497 3.38 40.48.482 47.903-3.756 3.71-2.12 5.303-4.235 6.074-6.317.77-2.082.862-4.568-.377-8.076-2.478-7.017-11.105-17.17-26.283-25.88l-10.477-6.01 8.45-8.632c5.392-5.508 6.526-11.094 5.078-16.8-1.448-5.703-6.014-11.707-14.34-15.74-5.464-2.645-12.61-4.382-21.29-4.39zM86.76 360.516c-8.795 2.64-16.58 5.424-23.354 8.3-22.97 9.753-34.525 20.675-37.85 27.774-1.662 3.55-1.65 5.87-.906 8.11.746 2.237 2.57 4.755 6.303 7.232 7.467 4.952 22.298 8.71 41.99 7.242l14.62-1.09-5.186 13.713c-6.277 16.594-3.912 26.063.665 31.394 4.577 5.333 13.265 8.087 24.54 5.99 21.045-3.915 48.297-25.026 56.038-69.205-12.78-6.308-23.36-16.42-30.258-28.846-17.34-2.126-32.928-5.824-46.603-10.614zm150.21 31.888c-5.4 4.213-11.43 7.65-17.927 10.14 19.73 36.77 38.192 60.258 53.092 72.876 9.516 8.06 17.496 11.62 22.748 12.367 5.252.748 7.575-.363 9.945-3.14 4.74-5.556 7.29-23.453-2.164-47.475-3.312-8.416-7.985-17.506-14.125-26.985-15.45-4.288-32.62-10.147-51.567-17.783zM181.53 405.93c-4.556 23.238-14.088 41.612-26.01 55.068 1.023 3.767 2.212 7.158 3.54 10.16 8.382 18.94 19.942 23.523 31.57 21.207 11.626-2.316 24.605-13.56 30.714-33.63 1.072-3.525 1.923-7.32 2.51-11.368-7.766-11.55-15.728-24.997-23.823-40.5-1.9.157-3.815.258-5.755.258-4.353 0-8.61-.424-12.746-1.195z","fillRule":"evenodd"}}]})(props);
};
function GiFrance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M283.4 19.83c-3.2 0-31.2 5.09-31.2 5.09-1.3 41.61-30.4 78.48-90.3 84.88l-12.8-23.07-25.1 2.48 11.3 60.09-113.79-4.9 12.2 41.5C156.3 225.4 150.7 338.4 124 439.4c47 53 141.8 47.8 186 43.1 3.1-62.2 52.4-64.5 135.9-32.2 11.3-17.6 18.8-36 44.6-50.7l-46.6-139.5-27.5 6.2c11-21.1 32.2-49.9 50.4-63.4l15.6-86.9c-88.6-6.3-146.4-46.36-199-96.17z"}}]})(props);
};
function GiFrankensteinCreature (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.03 18.906c-27.872 0-53.334 14.366-72.31 38.625-4.504 5.757-8.61 12.07-12.265 18.847l22.856 1.55 16.27-32.16 7.795 33.794 28.01 1.9 13.527-30.103 8.844 31.62 26.535 1.8 9.505-33.548 15.7 35.256 23.827 1.618c-4.853-11.426-10.913-21.81-17.924-30.836-14.966-19.272-33.975-32.294-55.015-36.883-5.016-.975-10.14-1.48-15.352-1.48zM162.19 94.56c-6.697 17.794-10.502 37.84-10.502 59.065 0 39.172 13.372 74.36 33.656 98.813l10.125 12.218-.677.127c16.8 15.398 36.98 24.15 58.617 24.15 27.744 0 53.088-14.385 71.988-38.722 18.9-24.336 30.913-58.52 30.913-96.472 0-16.34-2.232-31.98-6.277-46.437l-30.926-2.097-9.142 32.268-15.1-33.91-26.326-1.787-16.09 35.803-10.518-37.607-25.883-1.757-16.892 33.387-8.092-35.082-28.875-1.96zm-68.565 92.627v71.032h18.688v-25.345h38.542c-2.913-5.98-5.51-12.22-7.76-18.688h-30.782v-27H93.624zm295.406 0v27h-21.497c-2.15 6.463-4.645 12.702-7.467 18.688h28.965v25.344h18.69v-71.033h-18.69zm-52.723 79.225c-21.44 25.248-50.626 41.21-82.897 41.21-31.14 0-59.41-14.863-80.617-38.59-14.19 3.05-26.44 6.908-37.08 11.61l23.767 27.612 33.268-4.828-19.107 21.28 19.995 23.23 32.318-11.088-17.305 28.53 20.16 23.42 34.008-15.92-16.81 35.903 20.678 24.027 36.53-17.104-18.056 38.567 30.028 34.886h38.158v-68.312h18.687v68.312h78.94c-.015-65.304-.462-117.143-14.158-153.094-14.12-37.066-40.573-59.58-100.505-69.65zm-217.48 23.244c-18.722 12.042-31.002 28.007-39.67 48.406-15.068 35.456-17.94 86.204-18.188 151.094h79.093v-68.312h18.687v68.312h131.79l-21.476-24.95-26.986 12.636 13.34-28.49-24.232-28.153-29.508 13.814 14.586-31.153-20.97-24.362-36.68 12.584 19.642-32.38-17.918-20.817-43.81 6.357 25.16-28.023-22.862-26.564z"}}]})(props);
};
function GiFrayedArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.795 22.313v146.882c55.798 46.488 119.15 83.37 184.63 117.045-68.898-9.21-127.42-27.277-176.08-56.648 25.434 36.314 76.9 75.687 123.05 93.105 5.342-.26 10.686-.385 16.035-.36 59.215.29 118.975 18.028 182.593 51.007-73.04-10.31-146.083-16.405-219.125-9.024l-31.84 8.106c137.858 15.975 273.397 44.77 399.2 127.383L330.693 117.4c4.486 88.07 27.066 170.91 59.79 252.354C310.604 277.09 276.607 167.96 273.126 63.37c-9.615 54.178-6.77 117.06 5.514 180.732-42.698-79.1-60.54-156.684-54.908-221.79H118.29c20.587 101.514 94.966 212.595 191.64 303.282C177.518 247.214 109.7 132.916 64.518 22.313H20.795z"}}]})(props);
};
function GiFreedomDove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M44.094 71.03C39.67 125.24 76.33 159.79 184.97 214.188 128.61 204.07 74.66 182.808 23.124 150.47v.03c7.09 53.776 49.718 75.458 166.063 93.28-56.77 8.355-113.546 5.1-170.313-9.718 17.55 48.114 61.012 56.474 169.22 38.813-50.19 23.392-102.518 36.867-157 40.47 27.647 41.79 72.765 34.776 178.53-20.158 2.372 3.08 5.015 5.913 7.938 8.47L163 365.436l11.188 40.844 38.625-11.155 17.718-84.813c5.557 2.716 11.617 4.56 17.97 5.407l-17.625 84.217 26.656 31.094 28.408-32.155-19.063-83.594c6.32-1.156 12.297-3.33 17.75-6.342l19.97 87.593 36.78 11.5 10.156-43.186-55.436-64.156c2.592-2.383 4.96-4.976 7.094-7.782 106.15 55.19 151.367 62.3 179.062 20.438-54.483-3.602-106.81-17.077-157-40.47 108.207 17.662 151.67 9.302 169.22-38.812-56.758 14.816-113.524 18.067-170.283 9.72 116.344-17.824 158.94-39.506 166.032-93.282v-.03c-51.547 32.342-105.476 53.6-161.845 63.718 108.64-54.397 145.297-88.95 140.875-143.157-52.904 58.692-112.837 102.316-179.844 130.845 4.598-6.468 7.28-14.398 7.28-22.938.002-21.868-17.724-39.593-39.592-39.593-21.87 0-39.594 17.725-39.594 39.594 0 8.757 2.842 16.88 7.656 23.437-67.49-28.517-127.842-72.302-181.062-131.344zM236.22 222.5l20.905 45.563 20.563-44.782c11.325 7.093 18.812 19.662 18.812 34.095 0 22.32-17.9 40.188-40.22 40.188-22.318 0-40.217-17.87-40.217-40.188 0-14.993 8.088-27.957 20.156-34.875z","fillRule":"evenodd"}}]})(props);
};
function GiFreemasonry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-12.537 0-23 10.735-23 24.79 0 2.614.363 5.113 1.033 7.45l30.492-30.492C261.878 25.62 259 25 256 25zm21.043 14.684l-31.96 31.96c3.262 1.88 6.988 2.934 10.917 2.934 12.537 0 23-10.734 23-24.79 0-3.633-.703-7.043-1.957-10.104zm16.78 26.548C287.65 81.57 273.127 92.578 256 92.578c-1.528 0-3.033-.093-4.516-.264l231.92 386.536L293.822 66.232zm-77.09 3.147L28.595 478.85l216.908-361.516-28.772-47.955zM74.98 196.335L19.826 251.49l9.9 9.9 27.577-27.577 6.363-6.364 12.73 12.726-6.365 6.365-27.577 27.577 9.9 9.9 16.264-16.263 6.363-6.363 12.73 12.727-6.366 6.365-16.262 16.264 9.898 9.9 23.915-23.914 19.67-42.812-43.585-43.584zm362.04 0l-43.584 43.584 19.67 42.812 23.914 23.913 9.898-9.9-16.262-16.263-6.365-6.365 12.73-12.726 6.363 6.364 16.263 16.264 9.9-9.9-27.577-27.577-6.365-6.364 12.73-12.727 6.362 6.363 27.576 27.578 9.9-9.9-55.153-55.154zm-271.97 90.07l-31.013 51.692 13.775-13.776 6.364-6.363 12.728 12.726-6.363 6.365-27.575 27.58 9.898 9.897 16.264-16.263 6.363-6.364 12.73 12.727-6.366 6.365-16.264 16.262 9.9 9.9 27.578-27.576 6.364-6.365 12.728 12.728-6.365 6.365-27.576 27.578 9.897 9.898 16.264-16.262 6.366-6.364 12.727 12.73-6.364 6.362-16.264 16.264 9.9 9.9 27.576-27.578 6.364-6.363L256 419.78l11.314-11.31 6.364 6.362 27.576 27.578 9.9-9.9-16.263-16.264-6.363-6.363 12.727-12.73 6.365 6.365 16.263 16.263 9.898-9.897-27.575-27.578-6.365-6.364 12.728-12.727 6.364 6.365 27.578 27.576 9.9-9.9-16.264-16.262-6.365-6.365 12.73-12.727 6.363 6.364 16.264 16.263 9.898-9.898-27.576-27.58-6.364-6.364 12.728-12.727 6.363 6.362 13.776 13.774-31.014-51.69-90.95 90.95-90.95-90.95zM256 422.61l-4.95 4.95-27.577 27.577L256 487.664l32.527-32.527-27.578-27.576-4.95-4.95z"}}]})(props);
};
function GiFrenchFries (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M235.1 19.7l-21.3 2.07c.2 26.29 1.5 60.61 3.4 95.83 6.1 26.4 17 62.5 28.1 99.8h3.3c-3.5-61.2-8.4-144.83-13.5-197.7zm60.6 10.7C288 80.07 279 157 272 216.7c4.8-.3 9.6-.7 14.4-1.2 4.5-37.3 9-73 13.3-99l1.5-8.8 5.5.9c3-27.38 5.4-53.31 6.9-74.15l-17.9-4.05zm83 4.5c-7.2 22.99-15.7 52.7-23.9 83.8l-.4 6c-1.4 21.8-4 50.1-7.3 80.3 3.8-.9 7.5-1.9 11.3-3 6.3-25.2 13.4-51.3 20.5-75.9 8-31.88 15.5-62.56 20.8-86.6l-21-4.6zM256 41c-.3 0-.6.01-.9.01 2.6 30.7 5.1 67.59 7.3 103.59 4.3-36.4 8.9-73.17 13.3-102.9-6.6-.45-13.1-.7-19.7-.7zM93.47 43.55l-20.54 6.04c2.18 10.83 4.81 23.02 7.76 36.05l17.45-7.27 4.66-1.91c-3.3-11.88-6.42-23.01-9.33-32.91zm102.73 3.94c-11.4 2.58-22.2 5.91-32.1 9.96 3.8 16.25 8.2 35.16 12.8 54.85l21.8-3.6c-1.1-21.52-2-42.44-2.5-61.21zm134.3 3.83c-1.5 18.13-3.6 38.76-5.9 60.18l12.8 2.1c5-18.93 10.1-37.41 15-54.22-6.9-3.06-14.2-5.75-21.9-8.06zM144.7 53.9l-25.8 6.89c3.9 19.56 9.3 43.51 15.4 68.81 14.2 25.4 30.7 53.9 45.9 81.5.5 0 1 .1 1.5.2-12.8-53.6-27.1-115.38-37-157.4zm268.2 22.27C402.1 110 389.4 154 378.6 196c9.7-3.1 19.4-6.5 29-10.3 9.9-37.3 19.6-74.7 26.3-104.93l-21-4.6zM97.33 98.21l-15.37 6.39c11.37 25.1 27.74 57.8 44.74 91.1 9.7 3.7 19.6 7 29.6 9.7-21.4-38.1-44.2-77.4-58.97-107.19zM200.9 126.6l-16.4 2.7c4.8 23.7 12 54 19.8 85.6 7.2.8 14.5 1.5 21.9 1.9-9.8-32.8-19.3-64.9-25.3-90.2zm115.3 1.8c-3.7 23.5-7.5 53.5-11.3 84.8 7.8-1.1 15.7-2.5 23.6-4 3.1-28.6 5.7-55.9 7.2-77.6l-19.5-3.2zm89.3 77.2c-100.8 37.5-207.4 41.4-298.9 1.2L136.1 487h239.8l29.6-281.4zM140.4 311h231.2L256 445.8 140.4 311zm39.2 18l76.4 89.2 76.4-89.2H179.6z"}}]})(props);
};
function GiFriedEggs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M378.014 37.379c-60.947.647-130.417 65.73-196.215 73.627-36.738 4.409-83.001-26.792-110.951-2.041-18.268 16.177-3.648 49.433-8.996 73.517-8.624 38.837-56.107 78.637-36.985 113.34 35.366 64.182 149.872 9.808 210.908 49.012 45.77 29.398 46.969 126.738 100.957 129.678 66.818 3.638 122.247-80.385 140.94-146.016 26.089-91.598 20.473-229.637-58.975-279.775-13.006-8.209-26.619-11.491-40.683-11.342zM171.72 141.252c34.716 0 62.857 25.092 62.857 56.045 0 30.953-28.141 47.732-62.857 47.732s-62.86-16.78-62.86-47.732c0-30.953 28.144-56.045 62.86-56.045zm-9.203 13.182c-21.338 7.89-48.289 29.583-30.061 62.777.305-20.013 6.097-35.458 30.06-62.777zm207.61 51.35c36.074 0 65.317 30.186 65.317 67.423s-29.243 57.424-65.316 57.424c-36.074 0-65.317-20.187-65.317-57.424 0-37.237 29.243-67.424 65.317-67.424zm-9.64 15.45c-22.172 9.492-50.176 35.59-31.236 75.524.317-24.076 6.336-42.658 31.236-75.524z"}}]})(props);
};
function GiFriedFish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169.668 19.996c-2.215 12.053-4.136 23.328-6.494 34.383-.792 3.765-.602 6.612 1.451 9.869 12.22 24 20.716 44.62 25.129 67.92-10.542-16.6-23.174-30.653-38.92-41.734-4.833 7.34-9.175 14.551-14.201 21.26-2.17 2.883-2.524 4.811-.672 7.865 4.18 6.625 7.868 13.454 11.746 20.191-8.302-2.336-15.946-5.587-23.697-8.469-1.586-.601-4.08-.549-5.373.317-9.422 6.83-18.7 13.912-28.903 21.568a3653.29 3653.29 0 0 0 21.842 21.033c-13.515-1.632-24.85-4.92-35.586-10.088-2.35-1.031-5.325-2.405-7.49-1.74-9.138 2.788-18.01 6.237-28.367 9.897 35.953 21.854 71.572 42.08 114.449 45.9-3.9-12.252-9.78-25.358-11.545-36.676-2.533-18.19 9.83-30.737 28.217-30.26 18.274 1.345 33.46 9.533 48.115 16.327 4.473-56.947-18.487-103.253-49.701-147.563zm197.295 124.049c-2.052 4.846-3.267 8.926-5.324 12.49-2.683 4.343-2.372 7.655.437 11.877 8.015 11.837 14.055 24.674 18.098 39.205-9.467-10.731-20.96-19.008-31.365-26.726-2.764 4.043-4.95 7.516-7.409 10.675-1.86 2.348-1.329 3.777.705 5.881 5.871 5.845 11.452 12.043 17.09 18.112-16.846-4.587-20.398-5.147-27.504-7.288-1.39-.345-3.556-.348-4.59.563-3.01 2.37-5.695 5.348-7.947 7.531 17.218 9.988 34.728 18.956 50.967 29.834 16.166 10.871 31.087 23.653 46.63 35.627 5.516-25.255.96-49.666-8.78-73.346-9.653-23.805-23.797-44.793-41.008-64.435zm-196.629 27.684c-10.583-.056-9.53 14.352-6.91 20.283 20.584 44.015 36.37 94.812 57.18 129.539.687 1.122 3.296 1.986 4.73 1.748 7.811-1.418 15.378-3.174 23.473-4.863 1.328 6.17 2.649 12.045 3.974 18.27-8.678 1.966-17.027 3.77-25.38 5.683-.226.544-.374 1.067-.63 1.609a3706.649 3706.649 0 0 0 23.391 24.28c-16.885-1.994-32.688-8.052-47.31-17.337-1.479-.966-3.379-2.34-4.82-2.074-7.615 1.378-15.219 3.239-23.835 5.076 27.396 23.964 56.749 37.971 93.608 31.094 1.6 5.765 3.135 11.654 4.89 18.152-7.46 1.095 87.217 117.433 147.383 82.157 22.092-12.953 52.966-43.747 51.756-68.844-1.353-28.902-12.883-54.05-29.861-76.83-17.76-23.749-37.931-45.297-61.125-64-41.722-33.556-174.988-103.874-210.514-103.943zM331.111 278.8c-29.036-1.45-60.693-8.805-85.986-27.553 30.792 1.292 60.728 9.387 85.986 27.553zm16.721 46.076c-28.828-.96-59.946-8.198-85.28-26.291 30.224.652 60.451 8.331 85.28 26.291zm55.68 14.418l14.056 6.271-9.843 22.227 22.568 9.428-6.016 14.21-22.785-9.445-10.006 22.526-14.14-6.323 9.931-22.22-22.435-9.375 5.795-14.227 22.828 9.54zm-46.617 23.973c-31.227-1.695-57.169-4.272-81.266-20.348 25.856-1.434 61.403 7.784 81.266 20.348z"}}]})(props);
};
function GiFrisbee (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M385.5 30.38c-18.5.16-40.5 5.02-64.3 14.24C270.4 64.35 211.1 104 156.4 158.7c-54.8 54.7-94.46 114.1-114.12 164.9-9.89 25.4-14.7 48.6-14.28 67.9.43 19 5.8 33.8 16.05 44 10.26 10.3 24.96 15.6 44.06 16.1 19.19.4 42.39-4.4 67.89-14.3 50.8-19.7 110.1-59.4 164.8-114.1 54.7-54.7 94.4-114 114.1-164.9 9.9-25.4 14.7-48.6 14.3-67.79-.5-19.09-5.8-33.8-16.1-44.05-10.3-10.26-25-15.63-44-16.05-1.2-.03-2.4-.04-3.6-.03zm66.6 10.7c9.9 13.36 14.7 30.3 15.1 49.08.5 22.44-5 47.74-15.6 74.64-20.8 54-61.8 114.9-118 171.1-56.3 56.3-117.2 97.2-171.2 118.1-26.9 10.6-52.2 16-74.65 15.6-15.06-.3-28.93-3.5-40.72-9.8.8.9 1.62 1.8 2.47 2.6 25.95 26 72.3 29.4 128.3 10.7 56-18.6 120.3-59.2 178.2-117.2 57.9-57.9 98.5-122.1 117.1-178.1 18.8-56 15.3-102.35-10.7-128.3-3.1-3.14-6.6-5.94-10.3-8.42zM299.7 122.5c7.8 0 15.3 2.3 20.7 7.7 6.7 6.7 8.5 16.4 7.4 26.1-1 9.7-4.7 20.2-10.3 31.6-11.2 22.8-30.4 49-55.5 74.1-25.1 25.1-51.3 44.3-74.1 55.5-11.3 5.6-21.9 9.3-31.6 10.3-9.7 1.1-19.4-.7-26.1-7.4-6.7-6.7-8.5-16.4-7.4-26.1 1-9.7 4.7-20.3 10.3-31.7 11.2-22.8 30.4-48.9 55.5-74s51.3-44.4 74.1-55.6c11.4-5.6 21.9-9.2 31.6-10.2 1.8-.2 3.6-.3 5.4-.3z"}}]})(props);
};
function GiFrogFoot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M324.3 34.79c-25.7 0-46.5 27.02-46.5 60.36 0 20.05 7.7 38.85 20.6 50.05 5.6 81.2-4.7 152.3-53.6 160.1-60.2 6.2-73.2-68.2-84.6-139 8.9-15.7 9.2-37.5.6-57.3-13.4-30.79-43.6-47.33-67.56-36.92-23.92 10.4-32.47 43.72-19.11 74.52 9.44 21.7 27.77 37.1 47.07 39.6 33.9 57.6 71.8 152.4 51 180.2-11.5 15.2-32.7 10.4-55.6-4 3.7-16.3-4.5-34.6-20.81-46.7-22.74-16.9-53.8-16.5-69.39.8-15.6 17.3-9.77 45 13 61.9 17.78 13.1 41.33 16.1 58.44 7.4 67.86 32.9 121.86 99.5 175.56 90.6 76.2-12.6 76.5-119.3 148.3-149.9 13.7 9.1 33.5 8.3 49.7-2.1 21.2-13.7 29.1-39.2 17.7-56.9-11.4-17.8-37.9-21.1-59.2-7.4-15.9 10.3-24.9 27.8-22.5 43.9-29.9 22.4-68.5 39.7-88.7 27.3-16.2-9.9 1.8-122.3 19-178.4 19.6-7.7 33.1-31.1 33.1-57.75 0-33.34-20.8-60.37-46.5-60.36z"}}]})(props);
};
function GiFrogPrince (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M176 22v86c80 32 80 32 160 0V22l-48 48-32-48-32 48zm159.543 108.31c-4.742.195-9.564 1.488-14.205 4.167-38.934 22.48-89.77 21.953-127.79.002-6.09-3.516-12.284-4.611-18.144-3.893a46.38 46.38 0 0 1 9.438 28.09c0 23.15-17.037 42.83-39.176 45.096-12.775 14.92-21.554 31.806-24.387 49.982 44.73-23.79 90.948-35.572 137.065-35.508 46.15.064 92.197 11.986 136.56 35.62-2.69-18.15-11.217-35.044-23.795-49.92-.585.025-1.17.048-1.76.048-24.18 0-43.447-20.7-43.447-45.318 0-10.64 3.601-20.542 9.641-28.363zm-194.148 3.215l-.002.002c-12.67 0-23.278 10.85-23.278 25.15 0 14.298 10.608 25.147 23.278 25.147 12.67 0 23.277-10.85 23.277-25.148s-10.607-25.15-23.276-25.15zm227.953 0v.002c-12.67 0-23.276 10.85-23.276 25.15 0 14.298 10.607 25.147 23.276 25.147 12.67 0 23.277-10.85 23.277-25.148s-10.608-25.15-23.277-25.15zm68.396 93.375c-9.361-.13-18.96 1.646-28.676 4.237 6.926 19.457 8.569 40.725 2.694 62.656-4.26 15.896.934 37.475 11.7 54.758l4.69 7.53-7.02 5.43c-19.764 15.28-36.439 25.107-46.103 35.264-9.664 10.158-13.888 19.59-10.916 40.875.484 12.745 6.068 17.054 13.668 24.97 19.876-14.55 36.01-23.888 68.344-4.095-6.738-18.804 15.937-29.76 46.719-29.779-36.91-15.88-64.98-25.62-86.438-30.377 67.492-72.188 97.182-127.96 66-159.187-10.985-8.794-22.626-12.114-34.662-12.282zm-364.074.118c-12.65.034-24.768 3.161-34.076 12.166-31.182 31.227-1.492 87 66 159.187-21.456 4.756-49.528 14.497-86.438 30.375 30.782.02 53.457 10.978 46.719 29.781 32.332-19.792 48.469-10.455 68.344 4.094 6.233-8.55 16.31-14.826 17.724-24.969 2.972-21.283-1.25-30.717-10.914-40.875-9.664-10.157-26.34-19.982-46.105-35.263l-7.02-5.428 4.692-7.53c10.73-17.227 15.857-39.232 11.699-54.76-5.782-21.571-4.184-42.44 2.537-61.56-10.425-2.871-22-5.249-33.162-5.218zm184.67 9.539c-46.096-.065-92.3 12.827-137.572 38.845a87.269 87.269 0 0 0 2.494 13.31v.003c5.453 20.354.592 42.93-9.485 62.297 15.89 11.634 30.344 20.524 41.479 32.228 10.36 10.89 16.795 25.133 16.955 43.713-1.096 16.308-9.158 39.273-22.348 59.244 24.59-14.237 42.135-15.333 45.291 3.492 14.097-17.783 25.698-20.386 38.985-8.035-3.745-31.452-11.117-52.887-17.258-65.097-14.896-36.567-42.816-61.484-73.742-83.424l11.359-16.014c38.788 27.517 76.799 62.664 89.125 119.567 9.628.705 19.25.65 28.85-.16 12.362-56.81 50.333-91.919 89.084-119.409l11.361 16.016c-31.19 22.127-59.334 47.28-74.13 84.363-6.046 12.357-13.14 33.493-16.794 64.158 13.29-12.35 24.891-9.747 38.988 8.036 3.153-18.825 20.697-17.73 45.288-3.493-13.51-20.455-21.645-44.058-22.42-60.424.415-18.01 6.809-31.872 16.949-42.533 11.135-11.705 25.586-20.595 41.474-32.23-10.064-19.29-14.99-41.737-9.48-62.303a88.607 88.607 0 0 0 2.51-13.266c-44.85-25.79-90.85-38.818-136.961-38.884z"}}]})(props);
};
function GiFrog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M335.7 88.94c-4.742.194-9.563 1.486-14.204 4.165-38.934 22.48-89.77 21.953-127.79.002-6.09-3.516-12.285-4.61-18.145-3.892 5.914 7.778 9.438 17.572 9.438 28.09 0 23.15-17.037 42.83-39.176 45.095-12.775 14.92-21.553 31.807-24.386 49.983 44.73-23.79 90.947-35.572 137.064-35.508 46.15.064 92.197 11.987 136.56 35.62-2.69-18.15-11.216-35.043-23.794-49.92-.585.026-1.17.048-1.76.048-24.18 0-43.447-20.7-43.447-45.318 0-10.64 3.6-20.543 9.64-28.364zm-194.15 3.216c-12.67 0-23.277 10.85-23.277 25.15 0 14.297 10.608 25.147 23.278 25.147 12.67 0 23.276-10.85 23.276-25.148s-10.606-25.15-23.275-25.15zm227.956 0c-12.67 0-23.277 10.85-23.277 25.15 0 14.297 10.607 25.147 23.276 25.147 12.67 0 23.277-10.85 23.277-25.148s-10.608-25.15-23.277-25.15zm67.572 93.367c-8.525.088-17.893 1.546-27.853 4.243 6.926 19.457 8.57 40.725 2.695 62.656-4.26 15.896.933 37.475 11.7 54.758l4.69 7.53-7.02 5.43c-19.765 15.28-36.44 25.107-46.104 35.264-9.664 10.158-13.887 19.59-10.915 40.875l1.525 10.91c3.596 4.7 7.678 9.43 12.142 14.06 19.876-14.55 36.01-23.887 68.344-4.094-6.738-18.804 15.938-29.762 46.72-29.78-36.91-15.88-64.98-25.62-86.438-30.376 67.492-72.188 97.182-127.96 66-159.188-8.172-8.183-19.356-12.034-33.28-12.28-.73-.014-1.463-.016-2.204-.01zm-361.617.002c-.806-.01-1.606-.008-2.397.006-13.925.248-25.14 4.1-33.313 12.282-31.182 31.227-1.492 87 66 159.188-21.456 4.756-49.528 14.497-86.438 30.375 30.782.02 53.458 10.977 46.72 29.78 32.332-19.792 48.468-10.454 68.343 4.095 6.713-6.962 12.572-14.146 17.188-21.12l.537-3.85c2.972-21.283-1.25-30.716-10.914-40.874-9.664-10.157-26.34-19.984-46.106-35.265l-7.02-5.427 4.692-7.53c10.73-17.228 15.858-39.233 11.7-54.76-5.782-21.572-4.185-42.44 2.536-61.56-11.336-3.388-21.954-5.216-31.527-5.338zm183.038 9.66c-46.096-.065-92.3 12.827-137.574 38.846.47 4.387 1.292 8.825 2.494 13.31v.002c5.453 20.354.593 42.93-9.484 62.297 15.89 11.634 30.343 20.526 41.478 32.23 10.36 10.89 16.795 25.132 16.955 43.712-1.096 16.308-9.157 39.273-22.347 59.244 24.59-14.237 42.134-15.333 45.29 3.492 14.097-17.783 25.698-20.386 38.985-8.035-3.745-31.452-11.117-52.887-17.258-65.097-14.896-36.567-42.816-61.484-73.742-83.424l11.36-16.014c38.788 27.517 76.798 62.663 89.124 119.566 9.628.705 19.25.65 28.85-.16 12.362-56.81 50.334-91.918 89.085-119.408l11.36 16.016c-31.19 22.127-59.333 47.28-74.13 84.363-6.045 12.357-13.14 33.493-16.793 64.158 13.29-12.35 24.89-9.748 38.987 8.035 3.153-18.825 20.697-17.73 45.288-3.492-13.51-20.455-21.645-44.058-22.42-60.424.415-18.01 6.81-31.872 16.95-42.533 11.135-11.705 25.586-20.595 41.474-32.23-10.064-19.29-14.99-41.736-9.48-62.302 1.198-4.467 2.028-8.89 2.51-13.266-44.85-25.79-90.852-38.82-136.964-38.886z"}}]})(props);
};
function GiFrontTeeth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M68.094 17.906c-.167 11.805-.686 21.837-1.625 30.907 2.535-1.122 5.19-1.935 7.936-2.407 1.378-.236 2.76-.374 4.156-.406 9.774-.22 19.76 4.52 26.376 13.47 4.792 6.48 8.067 14.87 9.624 25.186 7.324-7.493 16.408-12.4 26.032-14 1.59-.264 3.2-.43 4.812-.5 11.283-.486 22.86 3.803 31.188 13.156 4.374 4.915 7.817 11.037 10.187 18.313 7.492-8.843 17.553-14.636 28.282-16.313 1.565-.244 3.164-.4 4.75-.468 11.108-.47 22.53 3.426 31.188 12.125 1.99 2 3.815 4.237 5.47 6.686 2.47-5.145 5.545-9.59 9.186-13.25 8.658-8.7 20.112-12.625 31.22-12.156 1.586.067 3.154.224 4.718.47 10.564 1.65 20.484 7.29 27.937 15.905 2.322-6.265 5.474-11.617 9.376-16 8.327-9.354 19.905-13.674 31.188-13.188 1.612.07 3.223.268 4.812.532 9.454 1.57 18.4 6.322 25.656 13.593 1.73-10.233 5.26-18.544 10.344-24.938 6.655-8.368 16.14-12.877 25.625-13.22.634-.022 1.276-.013 1.908 0 1.443.034 2.89.18 4.312.407 1.146.184 2.286.427 3.406.72-.7-7.625-1.14-15.727-1.312-24.626H68.094zM436.906 60.03c-.316.004-.627.01-.937.032-3.727.287-7.168 2.106-10.44 6.22-4.36 5.484-8.117 15.924-7.436 32.843 1.3 32.283 8.82 51.064 21.094 67.156 11.796-14.268 16.28-31.97 20.875-63.53h-.032c3.952-27.157-9.74-40.827-20.217-42.5-.983-.157-1.958-.228-2.907-.22zM80.03 64.595c-.8-.003-1.635.076-2.468.22-8.878 1.523-21.985 15.113-18 42.5 2.75 18.896 4.472 33.375 7.563 44.467 2.1 7.537 4.74 13.436 8.75 18.845 12.178-16.047 19.675-34.765 20.97-66.906.683-17.018-2.902-27.666-6.94-33.126-3.027-4.095-5.94-5.735-9.093-5.97-.262-.02-.514-.03-.78-.03zm287.876 19.47c-.43 0-.858.006-1.28.03-5.082.29-9.718 2.438-13.75 6.97-5.38 6.04-9.807 17.21-9.126 35.592 1.288 34.78 13.587 58.906 27.563 77.813 13.626-16.595 22.755-38.282 27.28-72.064 3.952-29.502-12.472-45.66-26.75-48.03-1.338-.223-2.65-.317-3.937-.314zM147.594 88.75c-1.288.005-2.6.12-3.938.344-14.277 2.372-30.7 18.497-26.75 48 4.526 33.784 13.654 55.5 27.28 72.094 13.977-18.908 26.276-43.064 27.564-77.844.68-18.383-3.747-29.553-9.125-35.594-4.033-4.53-8.67-6.68-13.75-6.97-.423-.023-.852-.032-1.28-.03zm147.094 8.125c-.443 0-.875.006-1.313.03-5.257.306-10.222 2.422-14.47 6.69-5.66 5.688-10.39 15.864-10.436 32.81-.087 32.22 11.103 54.473 24.25 72 14.505-15.557 24.516-35.81 30.405-67.53 5.036-27.12-9.986-41.434-24.406-43.688-1.353-.21-2.706-.313-4.033-.312zm-74.032 6.594c-.89.04-1.786.14-2.687.28-14.42 2.253-29.475 16.566-24.44 43.688 5.89 31.71 15.908 52.006 30.407 67.562 13.156-17.533 24.336-39.76 24.25-72-.045-16.947-4.775-27.155-10.437-32.844-4.246-4.267-9.18-6.352-14.438-6.656-.876-.05-1.764-.07-2.656-.03zm192.094 55.155c-6.976 29.334-18.83 50.566-35.375 67.03l-.125.126c1.01 13.095 2.378 26.17 4.188 39.22l6.312 6.375c9.664 9.708 17.555 20.81 24.063 33.813 4.036-29.98 13.75-51.635 27.187-69.72-2.12-15.354-3.754-30.718-4.813-46.093l-2.437-2.75c-7.396-8.283-13.847-17.378-19-28zm-310.188 3.78c-5.214 10.953-11.797 20.296-19.374 28.782l-6.313 7.063-.75-.688c-.845 10.397-1.92 20.8-3.25 31.188 14.2 18.672 24.38 41.12 28.375 72.688 6.127-11.402 13.41-21.31 22.125-30.063l6.125-6.125c1.833-13.178 3.202-26.37 4.22-39.594-14.4-15.952-24.843-36.158-31.157-63.25zM58.97 241.282c-14.953 17.382-21.94 38.804-27.25 76.22l-.095.656c-4.582 32.572 11.943 49.68 25.28 51.813 6.67 1.066 12.776-.797 18.22-7.658 5.444-6.86 9.91-19.563 9.125-39.718-1.52-39.13-10.587-61.85-25.28-81.313zm394.905 5.376c-14.694 19.462-23.76 42.186-25.28 81.313-.785 20.154 3.68 32.857 9.124 39.717 5.443 6.86 11.548 8.724 18.217 7.657 13.34-2.134 29.864-19.24 25.282-51.813-5.328-37.86-12.29-59.382-27.345-76.874zM129.47 292.5c-15.783 19.343-25.593 45.156-32.376 84.97-4.224 24.79 14.138 43.388 32 47.374 8.93 1.993 16.827.462 22.78-5.125 5.955-5.588 10.9-16.38 10.126-35.845-1.63-41.025-16.197-69.36-32.53-91.375zm252.186 0c-16.338 22.015-30.89 50.35-32.5 91.375-.775 19.72 4.165 30.595 10.094 36.156 5.93 5.562 13.78 7.01 22.72 4.94 17.875-4.143 36.265-23.048 32.06-47.47-6.85-39.814-16.61-65.66-32.374-85zM293 332.625c-15.42 19.878-28.774 45.228-28.656 82.156.05 16 5.024 24.632 11.375 29.595 6.35 4.963 15.132 6.568 24.217 4.906 9.086-1.66 17.998-6.69 23.563-13.53 5.565-6.84 8.185-15 5.563-25.594-8.987-36.304-19.436-59.906-36.063-77.53zm-77.406 2.406c-16.88 17.65-27.9 41.02-36 77.345-2.76 12.37.066 20.9 5.47 27.406 5.4 6.507 14.024 10.81 23.06 11.876 9.038 1.067 18.13-1.085 24.72-6.375 6.588-5.288 11.388-13.684 11.437-28.06.128-36.95-13.253-62.305-28.686-82.19zm-179.47 46c13.316 33.37 22.888 73.817 24.313 110.876h375.125c1.47-32.617 10.447-66.34 25.657-98.562-.773.17-1.532.343-2.314.47-8.706 1.392-17.864-.46-25.72-5.408-1.798 28.015-23.56 49.35-46.998 54.78-13.618 3.157-28.727.78-39.72-9.53-.16-.15-.31-.315-.468-.47-1.86 5.3-4.592 10.158-8 14.345-8.75 10.753-21.397 17.69-34.72 20.126-13.32 2.437-27.77.286-39.092-8.562-3.68-2.875-6.897-6.45-9.594-10.625-2.797 4.453-6.197 8.27-10.063 11.374-11.083 8.9-25.254 11.953-38.624 10.375-13.37-1.58-26.305-7.767-35.22-18.5-3.82-4.602-6.757-10.087-8.592-16.19-10.68 8.433-24.502 10.374-37.094 7.564-24.66-5.503-47.492-28.657-47.188-58.97-7.427 4.13-15.835 5.6-23.874 4.313-6.352-1.016-12.39-3.557-17.813-7.406z"}}]})(props);
};
function GiFrontalLobe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M214.156 20.813c-.608.008-1.242.03-1.875.062l-.218.03h-.25c-11.497 0-21.325 3.677-25.78 8.876-4.235 4.94-6.13 11.863.093 25.532 6.06 9.42 10.98 22.273 15.25 38.876l-18.094 4.656c-7.37-28.672-16.613-40.406-23.218-43.313-3.302-1.452-6.556-1.55-11.25-.124-4.693 1.427-10.484 4.595-16.75 9.22-9.72 7.174-15.934 16.55-15.562 24.686.29 6.318 4.227 14.314 17.313 22.97 1.1.612 2.186 1.203 3.312 1.843l-.094.188c3.064 1.842 6.5 3.71 10.47 5.593l-8.03 16.906c-5.413-2.568-10.266-5.282-14.595-8.093-16.192-8.893-28.146-12.87-34.78-12.314-3.52.295-5.73 1.276-8.376 3.906-2.647 2.63-5.526 7.308-8.126 14.563-4.317 12.045-5.144 22.04-1.656 27.72 2.788 4.54 9.68 9.21 25.656 10.78 3.855.08 7.95.24 12.437.438v.125c.458 0 .878.004 1.345 0l.188 18.687c-4.722.045-9.132-.107-13.282-.438-12.98-.08-20.925.962-24.405 2.72-2.186 1.103-3.117 2.034-4.313 4.468-1.195 2.434-2.3 6.568-3.03 12.53-.682 5.566-.214 9.71 1 12.657 1.212 2.947 3.035 5.14 7.218 7.375 8.365 4.47 26.81 7.183 57.594 4.563l1.594 18.625c-23.947 2.038-41.727 1.667-55.282-1.844-1.168 4.557-.977 8.102-.125 11.095 1.156 4.055 3.732 7.52 7.626 10.594 7.79 6.147 21.05 9.56 28.906 9.56H227.97c13.584 0 25.346-10.03 29.843-27.905l8.062-32.063 9.906 31.532c5.752 18.3 17.86 28.437 30 28.437H418.69c7.072 0 20.338-4.332 28.375-11.342 4.018-3.506 6.778-7.437 7.968-11.532.77-2.64 1.005-5.44.345-8.72-13.707 3.824-31.838 4.29-56.53 2.19l1.592-18.626c30.786 2.62 49.23-.094 57.594-4.563 4.184-2.234 6.007-4.428 7.22-7.375 1.213-2.946 1.682-7.09 1-12.656-.73-5.963-1.835-10.097-3.03-12.53-1.197-2.435-2.127-3.366-4.314-4.47-3.48-1.757-11.423-2.8-24.406-2.72-4.15.332-8.56.484-13.28.44l.186-18.69c.467.006.887 0 1.344 0v-.124c4.488-.198 8.583-.358 12.438-.437 15.975-1.57 22.867-6.24 25.656-10.78 3.487-5.68 2.66-15.675-1.656-27.72-2.6-7.255-5.48-11.932-8.125-14.563-2.647-2.63-4.857-3.61-8.375-3.906-6.636-.556-18.59 3.42-34.782 12.313-4.328 2.81-9.18 5.524-14.594 8.093l-8.03-16.907c3.97-1.884 7.405-3.75 10.468-5.594l-.094-.187c1.126-.64 2.213-1.23 3.313-1.844 13.085-8.654 17.022-16.65 17.31-22.968.373-8.137-5.84-17.512-15.56-24.687-6.266-4.624-12.058-7.792-16.75-9.22-4.695-1.426-7.95-1.327-11.25.126-2.31 1.018-4.932 3.136-7.69 6.657-.507 1.188-1.063 2.393-1.655 3.594l-.656-.31c-4.452 6.866-9.112 17.516-13.19 33.374l-18.124-4.656c4.843-18.84 10.51-32.857 17.75-42.5 4.325-11.303 2.404-17.425-1.437-21.907-4.457-5.198-14.317-8.874-25.814-8.874h-.22l-.248-.03c-10.128-.51-17.03 1.954-22.72 6.218-5.687 4.264-10.215 10.742-13.624 18.75-6.818 16.015-8.688 37.643-8.688 53.5v.062l-.187 37.03v.095h-18.69v-.093l-.217-37.03v-.062c0-15.858-1.87-37.486-8.688-53.5-3.41-8.01-7.906-14.487-13.594-18.75-5.33-4-11.746-6.415-20.874-6.282zm53.063 259.875c-9.075 13.634-23.052 22.53-39.25 22.53H115.062c-12.312 0-28.024-3.77-40.47-13.593-2.153-1.7-4.197-3.62-6.062-5.75 12.33 91.778 42.41 159.598 81.626 203.313l2.78 3.093h227.285l2.78-3.092c39.775-44.203 70.367-113.023 82.563-206.313-1.888 2.345-4 4.47-6.22 6.406-12.092 10.55-27.56 15.94-40.656 15.94H305.781c-15.713 0-29.264-8.94-38.56-22.533zM164.544 318.86c25.405.424 52.918 18.043 63.33 50.92-18.84 33.4-94.952 30.596-104.97-29.31 8.96-14.128 23.55-21.168 39.19-21.595.813-.022 1.63-.027 2.45-.014zm201.05.015c16.37-.13 31.822 6.878 41.155 21.594-10.017 59.906-86.16 62.71-105 29.31 10.48-33.09 38.302-50.703 63.844-50.905zM174.936 340.28c-8.748 0-15.656 6.907-15.656 15.658 0 8.75 6.91 15.625 15.657 15.625 8.75 0 15.625-6.875 15.625-15.625 0-8.748-6.877-15.657-15.625-15.657zm180.72 0c-8.75 0-15.657 6.907-15.657 15.658 0 8.75 6.908 15.625 15.656 15.625 8.75 0 15.625-6.875 15.625-15.625 0-8.748-6.876-15.657-15.624-15.657z"}}]})(props);
};
function GiFrostfire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M131.5 23.906c-70.56 2.47-100.474 70.008-101.063 104.53-2.2 129.255 153.66 66.31 156.532 129.064 3.123 68.31-100.445 78.95-105.126-5.25-27.54 110.96 59.15 168.72 133.53 149.406l-.78-.47v-54.936h56.062c-.74-3.815-1.125-7.757-1.125-11.78 0-2.337.122-4.637.376-6.908h-55.312v-63.53l49.906-28.813 29.063 50.343c4.896-3.81 10.38-6.91 16.28-9.125l-29.156-50.563 52.688-30.406L387 226.437l-29.844 51.656c5.724 2.623 10.99 6.094 15.625 10.25l30.376-52.594 48.97 28.28v63.533h-59.032c.254 2.27.375 4.57.375 6.906 0 4.023-.386 7.965-1.126 11.78h59.78v54.938l-52.687 30.406-28.53-49.375c-4.782 3.953-10.182 7.2-16 9.592l28.374 49.125-49.905 28.813-49-28.28 27.78-48.158c-6.003-1.986-11.612-4.88-16.655-8.5l-27.313 47.313-27.75-16.03c-14.41 23.334-32.845 35.984-51.718 39.967 84.677 48.568 197.274 52.484 259.874-12.25 64.14-66.327 61.303-174.725 20.47-254.062-28.28 56.73-123.93 13.764-92.283-47.313 7.413-14.303 10.865-27.54 10.658-39.437l27.156-7.28-7.813 29.155 18.033 4.813 7.812-29.094 21.313 21.312 13.218-13.22-21.312-21.31 29.125-7.814-4.845-18.062L441 69.313l7.813-29.126-18.063-4.843-7.813 29.125-21.312-21.314-13.22 13.22 21.314 21.312-25.908 6.968c-11.268-28.337-48.504-45.664-105.156-46.75 84.123 12.04 52.984 118.1 8.188 133.156-39.562 13.3-59.797-6.677-52-36.78 10.018-38.682-12.282-60.445-37.47-63.876l-18.53-3.344 13.906-16.437-14.28-12.063-13.876 16.376-7.22-20.188-17.593 6.28L147 61.28l-21.125-3.81-3.344 18.374 21.126 3.844-13.906 16.406L144 108.188l13.875-16.407 7.22 20.22 17.624-6.28-7.25-20.282 18.468 3.343c29.282 50.18-56.84 94.55-94.563 39.657-26.562-38.65-23.513-83.452 32.125-104.53zM323 292.03c-8.926 1.76-16.83 6.225-22.844 12.533L323 317.75v-25.72zm18.688.345v25.375l21.75-12.563c-5.71-6.233-13.224-10.775-21.75-12.812zM290.5 320.563c-1.465 4.36-2.28 9.033-2.28 13.906 0 4.546.684 8.92 1.967 13.03l23.5-13.563-23.187-13.375zm82.28.812l-21.717 12.563 22 12.687c1.115-3.856 1.718-7.927 1.718-12.156 0-4.573-.702-8.967-2-13.095zM323 350.125l-23.5 13.563c6.09 6.676 14.247 11.395 23.5 13.218v-26.78zm18.688 0v26.438c8.843-2.113 16.594-6.937 22.375-13.532l-22.375-12.905zM73.563 394.78l-18.032 4.845 7.657 28.594-28.624-7.658-4.844 18.063 28.624 7.688-20.938 20.937 13.22 13.22 20.937-20.94 7.656 28.595 18.06-4.844-7.686-28.624 28.656 7.688 4.813-18.063-28.626-7.655 20.97-20.97-13.22-13.186-20.937 20.936-7.688-28.625z"}}]})(props);
};
function GiFrozenArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16.375 29.063V52l176.938 102.28 51.718-37.874 7.19-5.25 5.593 6.906 161.75 199.75 15.343 18.907-24.062-3.814-159.906-25.375.156-.842h-5.47l-88.81-14.094-8.845-1.375 1-8.908 7.5-65.156-140.095-81.094v63.563l24.5 141.03L66.938 189.97l22.187 106 17.344-83.408 25.53 14.75L122.062 312l.282.03 22.844 124.283 10.687-58.47 19.97 117 28.405-167.468 21.594 117.438 20.312-111.157 17.72 36 16-32.656 18.843 3 22.06 132.938 20.814-126.157 12.812 2.033 24.53 62.968 14.752-38.092 18.093 98.375 17.595-96.313 16.78 23.5 22.97-32.28 25.53 4.03-15.155-18.656.22-.28-.44-.002L256.97 78.406l-68.345 50.22L16.375 29.06zm0 44.53V114.5l154.75 89.53 5.313 3.095-.72 6.063-7.124 62.375 221.125 35.062-44.876-55.406-9.625 31.31-20.408-66.124-13.28 46.53-19.282-72.28-16.28 79.094-27.94-110.22-15.53 51.876-13.906-46.53-12.406 67.655-12.125-66L16.375 73.595z"}}]})(props);
};
function GiFrozenBlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.625 30.75L25.345 126.5l.968.406v104.188l5.78 2.375 6.938 2.843 15.407 186.812 14.438-174.563 17.813 7.313v233.53h18.687v-198.25l13.063 120.095 13.5-123.813 22.312 201.125 21.22-196.218.093.03 11.125 115.22 10.25-106.438 57.968 23.78 3.53 1.44.377-.157 14.656 156.155 15.81-168.594 37.564-15.405v191.438h18.687V312.75l2.314-22.97 41.687-17.06 4.126 50.53v166.563h18.688V263.375l1.25-.5 11.78 105.97 12.938-116.095 8.688-3.563 20.97 188.157 22.967-206.125.282-.126V126.78l.686-.28-233.28-95.75zM472.53 134.47v84.06l-27.56 11.282h-.126v.063l-4.156 1.688L450.5 143.5l22.03-9.03zM77.19 147.78l13.187 5.407 9.406 86.688h-2.874L70.47 229.03l6.718-81.25zm304.125 24.126l6.625 81.25L350 268.72l8.875-87.626 22.438-9.188zm-237.188 3.344l20.97 8.625 8.436 87.438-38.155-15.657 8.75-80.406zm174.063 22.563l8.187 80.562-35.125 14.375 8.188-87.25 18.75-7.688zm-111.594 3.093l42.062 17.25 8.22 87.375-58.063-23.842 7.78-80.782z"}}]})(props);
};
function GiFrozenBody (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M380.7 29.4l-244.9.66c-18.2.63-25.1 16.17-25 40.81l-3.2 195.53-25.05 3.6 12.02-30.1-16.72-6.6-12 30.1-20.11-25.5-14.14 11.2 20.03 25.4-32.02 4.6 2.56 17.8 32.16-4.6-12.06 30.2 16.72 6.6 12-30.1 20.1 25.5 14.11-11.2-20.08-25.5 22.18-3.2-2.7 168c1.7 23.9 6 33.4 18 34.7l253.6 3.6c21.8 2.7 28.8-12.5 29.5-35.1l3.8-385.47c.3-19.47 1.2-39.36-28.8-40.93zm-24.4 20.77c26.3 1.35 31.9 39.46 31.6 57.13-5.6 104.2-3.9 209.5-5 314.3-.6 20.4-19.5 44.3-38.7 44.7-61.8 1.3-125.4 2.8-189.9-.8-10.7-.6-30.7-11.6-30.4-33.2l5.4-344.72c-.1-22.23 23.6-34.1 39.5-33.68 67.6 1.77 131.8 1.54 187.5-3.73zm98.4 7.4l-17 5.89 5.4 15.5-16.1-3.1-3.4 17.69 16.1 3.09L429 109l13.6 11.9 10.7-12.4 5.4 15.5 17-5.9-5.4-15.5 16.1 3.1 3.4-17.74-16.1-3.1 10.7-12.4-13.6-11.79-10.7 12.39-5.4-15.49zm-254 10.81c-15.8.12-41.6 10.71-48.8 30.02-16.2 43.3 5.1 132.8 18.6 144.5 4 3.5-3.1-100.9 39.7-159.47 7.5-10.3 1.3-15.13-9.5-15.05zm55.5 84.32c-17.2 0-32.5 18.4-32.5 42.5 0 12.4 4.1 23.4 10.3 31l6.2 7.8-9.9 1.5c-9.4 1.5-15.8 6-21.1 13.1-5.3 7.1-9.2 16.9-11.6 28.4-4.7 20.9-4.8 46.6-4.8 69h25.9l6.3 98h59.7l7.2-98h27.3c-.1-22.1-1.2-47.5-6.3-68.3-2.8-11.3-6.7-21.2-12-28.4-5.1-7.1-11.4-11.6-19.9-13.2l-9.7-1.8 6.4-7.5c6.4-7.8 10.8-18.9 10.8-31.6 0-22.7-13.7-40.4-29.1-42.5h-3.2zm104.3 189.2c-1.8.9-24.5 78.7-35.2 96.4-6.9 11.4 26 3.8 34.7-6.3 11.4-13.5 6.4-82.3.6-90.1h-.1zm95.6 32.2l-17.8 3 2.5 15.2-13.5-9.1-10 15 19.1 12.9-12.8 7.8 9.4 15.4 13.4-8.2 3.8 22.7 17.8-3-2.5-15.2 13.5 9.1 10-15-19.1-12.9 12.8-7.8-9.4-15.4-13.4 8.2-3.8-22.7z"}}]})(props);
};
function GiFrozenOrb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.063 15.47c-131.508 0-238.657 107.12-238.657 238.624S123.558 491.75 255.062 491.75c131.505 0 238.625-106.15 238.625-237.656 0-131.504-107.117-238.625-238.625-238.625zm0 18.343c121.407 0 219.28 98.877 219.28 220.28 0 121.408-97.877 219.313-219.28 219.313-121.404 0-219.313-97.91-219.313-219.312 0-121.404 97.905-220.28 219.313-220.28zm-.032 19.28c-110.986 0-200.75 89.763-200.75 200.75 0 110.988 89.764 200.75 200.75 200.75 110.99 0 200.75-89.762 200.75-200.75 0-110.987-89.76-200.75-200.75-200.75zm-.843 16.532l12.313 62.72 51-21.095-46.094 46.094 6.22 31.687-12.5 3.345L273 221.72l29.313-7.876-3.25-12.094 31.343-10.72 16.813-62.81 7.217 54.56 60.313-20.624-48.313 42.156 42.375 33-61.625-16.187-24.25 21.156-10.03-10.03-21.47 21.5 21.47 21.47 9.218-9.22 24.688 21.563L409.5 270.78l-43.563 33.47 48.22 42.063-60.97-20.844-7.406 53.186-16.81-61.5-30.22-10.312 3.563-13.313L273 285.657 265.125 315l12.5 3.344-6.22 31.625 46.095 46.06-51-21.06-12.313 62.75-12.375-63.033-49.593 20.125 44.686-45.093-6.125-31.19 13.157-3.53-7.875-29.344-29.343 7.875 3.624 13.533-29.28 10.03L164.28 378.5l-7.374-53.156L96 346.188l48.188-42.063-43.594-33.5 62.75 16.813 24.03-20.97 8.75 8.75 21.47-21.468-21.47-21.5-9.593 9.594-23.56-20.563-61.72 16.22 42.47-33.03-48.345-42.19 60.28 20.626 7.19-54.53 16.81 62.75 30.376 10.374-3.31 12.344 29.343 7.875 7.875-29.345-13.188-3.53 6.156-31.25-44.687-45.126 49.593 20.124 12.375-62.97z"}}]})(props);
};
function GiFrozenRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 28.2c-101.2 0-183 81.8-183 183s81.8 183 183 183 183-81.8 183-183-81.8-183-183-183zm0 46c75.6 0 137 61.4 137 137s-61.4 137-137 137-137-61.4-137-137 61.4-137 137-137zm0 18c-44.7 0-83.7 24.6-104 61l25.8 67.6 21.6-87.5 14.3 43.5 22.2-68.9 19.1 88.5 33.7-99.7c-10.4-2.9-21.4-4.5-32.7-4.5zm47.1 9.7l19.3 71.2 18.7-45.1c-6.2-11.5-28.9-22.7-38-26.1zm125.6 212c-16.3 27.4-38.9 50.5-65.8 67.5l18.9 48.9 18.6-63 9.7 30.3zM91.23 326.2l6.86 90.3 19.01-60.1c-9.6-9.2-18.25-19.3-25.87-30.2zm37.07 40.1l9.6 88.4 16.6-40.8 15.7 69.9 27-80.4c-25.5-7.8-48.8-20.5-68.9-37.1zm210 28.3c-25.1 11.3-53 17.6-82.3 17.6-13.9 0-27.5-1.4-40.7-4.1l16.8 72.1 19.2-57.4 16.6 30.9 20-34 24.9 50.9z"}}]})(props);
};
function GiFruitBowl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M150.902 268.233h-42.1a23.347 23.347 0 0 1 42.1 0zm67.359-13.292a114.847 114.847 0 0 1 1.203-16.31 23.335 23.335 0 0 0-18.68 29.602h18.295a113.38 113.38 0 0 1-.77-13.292zm-94.532-86.027c-15.637-15.637-36.638-32.164-55.162-32.164h-1.54l.975 19.246c8.913-.433 23.287 8.3 39.489 24.056q1.528 1.48 2.995 2.972a42.58 42.58 0 0 1 8.083-.95 42.34 42.34 0 0 1 5.208-13.172zm24.37-18.933a68.706 68.706 0 0 0 6.928-9.743 71.172 71.172 0 0 0 7.11-16.55 70.174 70.174 0 0 0 2.706-17.695 67.72 67.72 0 0 0-1.672-16.575 69.043 69.043 0 0 0-2.01-7 63.499 63.499 0 0 0-2.236-5.594 53.963 53.963 0 0 0-1.889-3.728c-.228-.433-.469-.782-.601-1.01l-.217-.35-.36.18c-.241.121-.614.302-1.035.542a52.092 52.092 0 0 0-3.609 2.177 52.07 52.07 0 0 0-4.811 3.609 69.031 69.031 0 0 0-5.377 4.907 67.72 67.72 0 0 0-10.104 13.232 70.174 70.174 0 0 0-6.964 16.49 71.16 71.16 0 0 0-2.719 17.779 68.562 68.562 0 0 0 1.672 16.575 66.337 66.337 0 0 0 4.234 12.546c.47 1.058.927 1.96 1.336 2.718a42.713 42.713 0 0 1 19.666-12.522zm342.413-43.903c-.228-.133-.59-.35-1.022-.578a43.443 43.443 0 0 0-3.777-1.804c-1.6-.674-3.5-1.42-5.641-2.105a69.031 69.031 0 0 0-7.049-1.84 67.72 67.72 0 0 0-16.611-1.263 70.174 70.174 0 0 0-17.634 3.127 71.172 71.172 0 0 0-16.31 7.41 68.562 68.562 0 0 0-13.003 10.428l-.542.578a69.633 69.633 0 0 1 12.618 22.168 68.67 68.67 0 0 0 11.307.421 71.16 71.16 0 0 0 17.646-3.091 70.174 70.174 0 0 0 16.322-7.362 67.72 67.72 0 0 0 13.003-10.428 69.02 69.02 0 0 0 4.811-5.497c1.384-1.78 2.55-3.44 3.477-4.932.926-1.492 1.635-2.718 2.093-3.609.24-.433.409-.817.517-1.058l.18-.373zm-85.642-66.06c-.433-1.697-.854-3.296-.986-4.018l-18.981 3.488c.252 1.384.685 3.043 1.275 5.329 2.814 10.898 9.298 36.013 1.48 58.23a69.97 69.97 0 0 1 16.165 11.595c12.787-28.928 4.511-61.032.999-74.625zM180.179 476h122.618a159.112 159.112 0 0 0 159.112-159.112v-29.41H21.103V316.9A159.112 159.112 0 0 0 180.179 476zm245.163-221.059a93.545 93.545 0 0 0-26.03-64.845 50.4 50.4 0 1 0-94.05-25.26 93.822 93.822 0 0 0-66.745 103.445h185.839a94.604 94.604 0 0 0 .986-13.34zm-244.718 6.748a42.412 42.412 0 0 1 10.609-28.074 23.383 23.383 0 0 0-43.555 6.014 42.81 42.81 0 0 1 23.492 28.28 23.287 23.287 0 0 0 9.622-2.407 43.845 43.845 0 0 1-.168-3.813zm-79.388-14.963a23.383 23.383 0 0 0-41.522 21.495h28.688a42.665 42.665 0 0 1 12.822-21.495zm79.845-66.686a23.371 23.371 0 0 0-43.543 5.642 42.905 42.905 0 0 1 19.51 18.427 42.292 42.292 0 0 1 11.44-2.153 42.653 42.653 0 0 1 12.58-21.916zm29 7.819a23.383 23.383 0 0 0-22.685 17.537 42.905 42.905 0 0 1 19.534 16.924 42.316 42.316 0 0 1 16.335-3.271h.854a111.36 111.36 0 0 1 7.373-17.177 23.383 23.383 0 0 0-21.41-14.013zm-69.524 26.402a23.36 23.36 0 0 0-43.483 4.174 42.905 42.905 0 0 1 20.966 18.945 42.557 42.557 0 0 1 10.826-1.648 42.593 42.593 0 0 1 11.691-21.47z"}}]})(props);
};
function GiFruitTree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M217.537 82.248c-83.48-65.134-156.926-5.426-144.25 50.762-38.206 16.67-51.368 51.76-29.385 81.955-33.68 24.46-12.156 49.732 14.856 60.953C1.6 332.255 70.709 373.023 117.7 338.574c26.845 5.103 75.488-1.674 81.824-21.213 16.834-1.017 32.532-11.609 43.323-19.595 6.894 11.698 17.905 22.49 29.39 25.771 18.052 1.544 23.516-2.62 33.987-13.332 20.72 19.632 72.721 18.672 96.748 12.547 99.54 64.093 108.761-75.666 46.605-101.842 23.675-34.319 4.32-85.713-25.242-110.465 23.25-50.096-32.86-65.016-60.719-60.836-52.552-46.651-122.894-1.897-146.08 32.639zm100.356-32.295c8.836 0 16 7.164 16 16 0 8.837-7.164 16-16 16-8.837 0-16-7.163-16-16 0-8.836 7.163-16 16-16zm76.488 27.238c8.836 0 16 7.164 16 16 0 8.837-7.164 16-16 16-8.837 0-16-7.163-16-16 0-8.836 7.163-16 16-16zM144 80c8.837 0 16 7.163 16 16s-7.163 16-16 16-16-7.163-16-16 7.163-16 16-16zm182.781 28.334c8.837 0 16 7.163 16 16s-7.163 16-16 16c-8.836 0-16-7.163-16-16s7.164-16 16-16zM208 112c8.837 0 16 7.163 16 16s-7.163 16-16 16-16-7.163-16-16 7.163-16 16-16zm56.273 27.523c8.837 0 16 7.164 16 16 0 8.837-7.163 16-16 16-8.836 0-16-7.163-16-16 0-8.836 7.164-16 16-16zM400 144c8.837 0 16 7.163 16 16s-7.163 16-16 16-16-7.163-16-16 7.163-16 16-16zm-298.488 26.38c8.836 0 16 7.164 16 16 0 8.837-7.164 16-16 16-8.837 0-16-7.163-16-16 0-8.836 7.163-16 16-16zm201.478 25.286c8.837 0 16 7.163 16 16s-7.163 16-16 16c-8.836 0-16-7.163-16-16s7.164-16 16-16zm-82.883 18.654c8.837 0 16 7.164 16 16 0 8.837-7.163 16-16 16-8.836 0-16-7.163-16-16 0-8.836 7.164-16 16-16zM388 208c8.837 0 16 7.163 16 16s-7.163 16-16 16-16-7.163-16-16 7.163-16 16-16zM81.518 218.578c8.836 0 16 7.164 16 16 0 8.837-7.164 16-16 16-8.837 0-16-7.163-16-16 0-8.836 7.163-16 16-16zM160 256c8.837 0 16 7.163 16 16s-7.163 16-16 16-16-7.163-16-16 7.163-16 16-16zm215.666 9.832c8.837 0 16 7.163 16 16s-7.163 16-16 16-16-7.163-16-16 7.163-16 16-16zM288 272c8.837 0 16 7.163 16 16s-7.163 16-16 16-16-7.163-16-16 7.163-16 16-16zm163.145 11.62c8.836 0 16 7.163 16 16 0 8.836-7.164 16-16 16-8.837 0-16-7.164-16-16 0-8.837 7.163-16 16-16zM69.477 302.51c8.836 0 16 7.163 16 16 0 8.836-7.164 16-16 16-8.837 0-16-7.164-16-16 0-8.837 7.163-16 16-16zm169.132 20.365a95.897 95.897 0 0 1-8.998 5.145c3.227 45.323 7.804 94.725-4.27 141.579-43.714 9.777-62.016 11.311-96.121 25.81l255.266-.305c-26.615-14.755-55.638-20.352-101.285-27.251-11.433-39.645-10.039-84.572-6.59-125.457-14.453-1.194-29.356-10.074-38.002-19.521z"}}]})(props);
};
function GiFruiting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M183.625 18.625c14.87 30 48.802 61.854 94.625 69.813-.92.074-1.844.157-2.78.25-120.804 11.912-47.283 183.807 16.467 124.906 72.576 57.343 121.264-114.676 8.75-125.156.896-1.462 1.836-2.847 2.844-4.157 9.85-12.794 25.548-19.246 42.876-19.093 34.656.308 73.688 26.587 73.688 82.094 0 25.625-6.817 44.11-18.375 58.845-11.56 14.736-28.308 25.84-48.876 34.688-41.137 17.695-96.796 25.78-149.438 38.562-6.806 1.653-13.36 3.46-19.687 5.406 1.525-5.413 1.8-11.35.374-17.842-3.726-16.97-17.056-28.657-35.78-28.72-6.243-.02-13.09 1.268-20.376 4.063 35.376 4.074 54.748 36.824 13.562 59.22-38.89 19.51-64.424 45.92-77.063 75.688-15.853 37.34-10.746 78.968 11.376 115.968H223.25c-39.562-34.53-49.422-78.006-30.063-119.625 34.61-56.74 113.376-65.356 120.907 4.283 4.367 40.096-32.934 42.928-56.063 18.125 8.312 30.084 34.22 37.283 55.376 27.843 19.453-8.68 22.78-32.91 20.47-51.342-5.843-46.6-35.67-68.998-69.407-68.25-2.554.056-5.13.272-7.72.593 18.125-12.167 39.6-23.373 64.406-33.217 13.658-3.896 26.794-8.317 39.063-13.594 22.377-9.628 42.07-22.244 56.217-40.283.05-.063.107-.123.157-.187l.125.063c32.98-36.512 60.553-9.002 55.25 26.78 18.34-25.255 9.634-46.69-10.94-57.343-9.6-4.973-18.7-5.787-27.124-3.72 3.16-10.856 4.875-22.835 4.875-36 0-64.522-47.85-100.387-92.186-100.78-22.168-.197-44.005 8.353-57.875 26.375-.322.417-.627.855-.94 1.28-16.542-41.594-64.536-55.71-104.155-55.53z"}}]})(props);
};
function GiFuelTank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M288 133v18h160v-18H288zm41 34v16h78v-16h-78zM64 201c-5.75 0-10.406 1.939-15.074 6.023-4.668 4.085-9.078 10.48-12.701 18.631C28.978 241.96 25 265 25 288s3.978 46.041 11.225 62.346c3.623 8.152 8.033 14.546 12.7 18.63C53.595 373.062 58.25 375 64 375h5.055l2-17.994.89-8.006h80.11l2.888 26H183V201H64zm137 0v46h46v-46h-46zm64 0v174h28.055l2-17.994.89-8.006h80.11l2.888 26H448c5.75 0 10.406-1.94 15.074-6.023 4.668-4.085 9.08-10.48 12.703-18.631 7.247-16.304 11.225-39.343 11.225-62.342 0-23-3.976-46.04-11.223-62.344-3.623-8.152-8.034-14.55-12.703-18.635-4.668-4.084-9.326-6.024-15.076-6.025H265zm-64 64v46h46v-46h-46zm0 64v46h46v-46h-46zM88.057 367l-14 126h75.886l-13.998-126H88.057zm224 0l-14 126h75.886l-13.998-126h-47.888zM183 384v110h18v-37h46v37h18V384h-18v55h-46v-55h-18zm226 9v30h30v-30h-30zm6.803 48c5.844 19.928 16.417 32.884 28.318 40.563C462.214 493.235 482 493 490 493v-18c-8 0-23.214-.235-36.121-8.563-7.548-4.87-14.772-12.42-19.473-25.437h-18.603z"}}]})(props);
};
function GiFuji (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M154.256 47.115a96 96 0 0 0-96 96 96 96 0 0 0 96 96 96 96 0 0 0 14.176-1.136c6.022-12.03 11.431-23.802 15.906-35.06l2.248-5.653 47.04-.172a96 96 0 0 0 16.63-53.979 96 96 0 0 0-96-96zM198.012 215l-2.405 5.254C153.933 311.309 96.85 395.687 25.355 473.93L11.584 489h485.734l-9.953-14.172C426.91 388.75 357.94 302.642 328.467 220.945L326.32 215H198.012zm-7.83 56.92l8.687 48.08 19.666-43.785L240 320l24.78-48 7.22 64 24.385-64L336 320l-2.865-43.973C366.38 341.224 416.418 406.385 462.463 471H51.936c55.01-62.373 101.316-128.65 138.246-199.08z"}}]})(props);
};
function GiFulguroPunch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M62.47 19.156c13.14 31.823 32.193 62.18 56.874 88.063-11.85 10.762-22.447 22.84-31.594 36.03-21.292-29.564-45.02-57.614-66.78-80.813v118.438c12.978 5.168 26.796 9.27 41.31 12.125-5.44 15.432-9.145 31.695-10.843 48.53-10.186-4.116-20.337-7.584-30.468-10.31v71.218c10.492-2.71 21.038-5.896 31.56-9.657 2.62 18.31 7.565 35.868 14.595 52.345-16.343 2.983-32.122 6.41-46.156 9.844v92.155c26.926-13.143 49.837-34.07 70-60.22 9.276 12.652 19.935 24.22 31.75 34.5-26.53 22.142-47.847 47.28-63.19 73h92.595c7.958-12.727 14.725-26.335 20.5-40.655 14.284 6.6 29.427 11.637 45.22 14.906-2.747 8.596-4.954 17.188-6.657 25.75h71.875c-1.942-7.296-4.26-14.625-6.938-21.97 16.495-1.207 32.463-4.318 47.688-9.123 2.684 10.814 6.03 21.202 10.03 31.093h115.813c-23.84-19.925-47.823-38.786-71.875-57.125 12.516-8.426 24.06-18.15 34.47-29 25.58 24.163 52.782 43.8 84 64v-90.124c-17.742-8.918-33.945-15.385-50.22-20.344 9.954-18.584 17.19-38.836 21.19-60.218 9.756 2.242 19.454 3.836 29.03 4.78v-80.437c-9.193 1.4-18.433 3.515-27.688 6.25-2.908-19.878-8.58-38.86-16.656-56.53 15.598-2.51 30.427-6.222 44.344-11.376V72.845c-26.48 12.112-52.134 30.69-74.125 55.5-7.378-8.85-15.472-17.06-24.188-24.594 29.456-23.952 52.59-51.62 66.625-84.594H350.875C344.37 33.453 338.83 49.05 333.97 65.78c-13.245-4.94-27.122-8.56-41.47-10.75 5.04-11.997 8.417-23.91 10.156-35.874h-91.25c5.198 12.036 9.282 24.276 12.97 36.563-20.538 3.574-40.058 10.134-58.095 19.218.863-18.856 2.546-37.14 6-55.782H62.47zm221.436 53.532c15.717 1.902 30.857 5.723 45.156 11.187-5.604 22.29-10.235 46.36-14.437 71.97 24.754-12.34 47.75-25.702 68.25-40.532 9.987 8.286 19.13 17.59 27.25 27.718-8.474 11.214-16.246 23.475-23.094 36.782 15.655.24 30.835-.28 45.44-1.687 9.135 18.536 15.367 38.786 18.092 60.125-20.3 7.672-40.714 18.08-61.187 30.313 19.462 12.528 39.614 21.787 59.75 28.125-3.828 21.506-11.21 41.754-21.563 60.125-21.15-5.05-43.417-8.204-70.187-11.407 13.78 18.952 27.526 35.257 41.656 49.844-11.004 11.5-23.43 21.617-37 30.094-15.012-11.3-30.045-22.448-45.092-33.53-.895 18.467.216 36.25 3.03 53.155-16.226 5.274-33.403 8.442-51.218 9.186-6.473-14.724-14.24-29.49-23.063-44.25-8.664 13.46-15.733 27.18-21.375 41-15.862-3.034-31.045-8.007-45.25-14.687 6.427-19.07 11.392-39.227 15.25-60.19-20.634 9.633-39.58 21.047-56.687 33.69-13.398-11.228-25.254-24.26-35.156-38.72 7.19-10.558 14.04-21.775 20.593-33.53-12.062.98-24.544 2.525-36.97 4.436-7.907-17.455-13.265-36.334-15.624-56.125 11.61-4.926 23.126-10.618 34.468-17.217C93.12 261.5 81.323 255.126 69.56 249.53c1.28-18.735 5.23-36.73 11.5-53.593 13.34 1.555 27.166 2.064 41.407 1.375-6.995-12.546-14.884-25.17-23.314-37.656 9.352-14.623 20.64-27.89 33.5-39.437 10.033 9.138 20.835 17.568 32.438 25.124.2-17.244.225-33.383.53-48.938C185.06 85.3 206.64 77.54 229.595 73.812c4.884 17.445 9.602 34.82 16.094 51.688 16.128-18.296 28.83-35.744 38.218-52.813zM205.5 156.094L173.47 275.78l30.686 8.25 32.094-119.686-30.75-8.25zm48.78 13.094l-32.06 119.687 30.686 8.22L285 177.404l-30.72-8.218zm48.75 13.03l-32.06 119.688 30.686 8.22 32.094-119.688-30.72-8.22zm48.75 13.063l-32.06 119.69 30.717 8.25 32.094-119.69-30.75-8.25zM134.407 262l-11.03 41.188L240.5 334.563l5.375-20.032-28.5-7.624-9.03-2.437-9-2.408-39.75-10.656-9.032-2.406 2.406-9.03 3.25-12.126L134.405 262z"}}]})(props);
};
function GiFullFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M402.488 45.148c-29.932 24.474-69.636 42.525-111.175 57.262C335.04 94.3 376.27 83.816 413.135 69.98c-2.7-8.61-6.116-16.916-10.647-24.83zM41 73v135.764c11.918-41.227 23.38-84.748 34.512-126.996L77.82 73H41zm41.518 0l5.884 3.096c27.917 14.682 57.075 28.881 87.127 42.482 2.96-.305 5.913-.62 8.866-.937L169.514 73H82.518zm366.652 1.447c-88.208 40.349-203.608 56.834-319.715 66.387L131.451 151h327.77c-4.066-30.318-7.69-57.252-10.051-76.553zM90.059 97.143C71.419 167.87 51.807 241.39 30.283 302.035l24.479 10.158L88.697 151h24.412l-3.246-16.525-1.947-9.91 10.07-.795c7.394-.584 14.783-1.197 22.164-1.84A1638.49 1638.49 0 0 1 90.06 97.143zM103.303 169L43.092 455h381.605l60.211-286H103.303zM477.27 292.654l-19.336 91.852c9.008-.398 17.683-.77 27.27-1.213-.725-21.697-3.794-54.23-7.934-90.639zM41 325.97v51.594l9.99-47.45L41 325.97z"}}]})(props);
};
function GiFullMetalBucketHandle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201 49v30h110V49H201zm-18 6.41c-30.6 2.78-54.5 19.59-70.3 41.3-15.86 21.89-24.24 48.49-25.51 72.79 2.57-1.5 5.57-2.5 8.81-2.5 3.41 0 6.6 1.1 9.2 2.8 1.3-20.7 8.8-44.2 22.1-62.5 13.1-18.06 31.3-31.22 55.7-33.82V55.41zm146 0v18.07c24.4 2.6 42.6 15.76 55.7 33.82 13.3 18.3 20.8 41.8 22.1 62.5 2.6-1.7 5.8-2.8 9.2-2.8 3.2 0 6.2 1 8.8 2.5-1.3-24.3-9.6-51-25.5-72.79C383.5 75 359.6 58.19 329 55.41zM256 137c-43.5 0-82.8 5.4-110.6 13.7-13.8 4.1-24.8 9.1-31.6 14-3.3 2.3-5.5 4.4-6.8 6.3.5.4.9.8 1.4 1.2 3.1 2.9 5.3 6.5 7.1 10.5 1 2.3 1.9 4.8 2.7 7.4.3.1.6.3.9.5.6-8.6 7.1-14.5 14.4-18.9 7.7-4.6 17.7-8.1 29.8-11.2 24.2-6 56.7-9.6 92.7-9.6s68.5 3.6 92.7 9.6c12.1 3.1 22.1 6.6 29.8 11.2 7.3 4.4 13.8 10.3 14.4 18.9.3-.2.6-.4.9-.5.8-2.6 1.7-5.1 2.7-7.4 1.8-4 4-7.6 7.1-10.5.5-.4.9-.8 1.4-1.2-1.3-1.9-3.5-4-6.8-6.3-6.8-4.9-17.8-9.9-31.6-14-27.8-8.3-67.1-13.7-110.6-13.7zm-16.1 29.2c-17.8.2-43.1 1.8-66.2 8.4-35.9 10.5-31.2 27.7-31.2 27.7 20-14.8 40.1-23.3 120.5-35.4 0 0-9.2-.8-23.1-.7zM96 185.3c-.06 0-.07 0-.07.1-.72.6-1.94 2.3-3.04 4.7C90.7 195 89 202.8 89 211.5s1.7 16.5 3.86 21.4c1.1 2.4 2.32 4.1 3.04 4.7l.1.1c.1 0 .1 0 .1-.1.72-.6 1.94-2.3 3.04-4.7 2.16-4.9 3.86-12.7 3.86-21.4s-1.7-16.5-3.86-21.4c-1.1-2.4-2.32-4.1-3.04-4.7l-.1-.1zm320 0l-.1.1c-.7.6-1.9 2.3-3 4.7-2.2 4.9-3.9 12.7-3.9 21.4s1.7 16.5 3.9 21.4c1.1 2.4 2.3 4.1 3 4.7l.1.1.1-.1c.7-.6 1.9-2.3 3-4.7 2.2-4.9 3.9-12.7 3.9-21.4s-1.7-16.5-3.9-21.4c-1.1-2.4-2.3-4.1-3-4.7l-.1-.1zm-295 26.3c0 5.6-.5 10.8-1.5 15.7 32.7 15 84.7 23.7 136.5 23.7 11.6 0 23.3-.4 34.7-1.3.2-6 .2-11.9.2-17.8-11.3.7-22.9 1.1-34.9 1.1-44.9 0-85.6-5.4-115.7-14.4-7-2.1-13.5-4.4-19.3-7zm270 0c-4.6 2-9.5 3.9-14.8 5.6-.2 5.4-.5 11-.8 16.8 6.1-2 11.8-4.3 17.1-6.7-1-4.9-1.5-10.1-1.5-15.7zm-65.4 16.7c-5.4.8-11 1.5-16.7 2.1 0 5.8 0 11.7-.1 17.6 5.5-.6 11-1.4 16.3-2.2.3-5.8.4-11.7.5-17.5zm-212.2 16.2c-.6.9-1.2 1.9-1.8 2.7l25 213.2c6.5 8.1 21.9 16.5 42.7 21.9 22 5.7 49.3 8.7 76.7 8.7h4.5c13.9-75 26.5-149.6 29.6-223.1-11.2.7-22.7 1.1-34.1 1.1-52.9 0-105.7-7.4-142.6-24.5zm285.2 0c-7.5 3.5-15.7 6.6-24.4 9.3-5.7 83.5-18.9 187.9-24.8 223.1 12.3-4.9 21.4-10.8 26-16.5l25-213.2c-.6-.8-1.2-1.8-1.8-2.7zm-74.4 20c-5.3.8-10.6 1.4-16 1.9-3 74.5-15.5 149.3-29.3 223.9 5.2-.3 10.3-.8 15.3-1.3 13.3-75.3 25.6-150.6 30-224.5z"}}]})(props);
};
function GiFullMetalBucket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 137c-43.5 0-82.8 5.4-110.6 13.7-13.8 4.1-24.8 9.1-31.6 14-6.9 4.8-8.8 8.7-8.8 11.3 0 2.6 1.9 6.5 8.8 11.3 1.5 1.1 3.3 2.2 5.3 3.3.6-8.6 7.1-14.5 14.4-18.9 7.7-4.6 17.7-8.1 29.8-11.2 24.2-6 56.7-9.6 92.7-9.6s68.5 3.6 92.7 9.6c12.1 3.1 22.1 6.6 29.8 11.2 7.3 4.4 13.8 10.3 14.4 18.9 2-1.1 3.8-2.2 5.3-3.3 6.9-4.8 8.8-8.7 8.8-11.3 0-2.6-1.9-6.5-8.8-11.3-6.8-4.9-17.8-9.9-31.6-14-27.8-8.3-67.1-13.7-110.6-13.7zm-16.1 29.2c-17.8.2-43.1 1.8-66.2 8.4-35.9 10.5-31.2 27.7-31.2 27.7 20-14.8 40.1-23.3 120.5-35.4 0 0-9.2-.8-23.1-.7zm-133.4 37.9l2 17.4C139.6 240.1 197.9 251 256 251c11.6 0 23.3-.4 34.7-1.3.2-6 .2-11.9.2-17.8-11.3.7-22.9 1.1-34.9 1.1-44.9 0-85.6-5.4-115.7-14.4-13.5-4.1-24.9-8.8-33.8-14.5zm299 0c-7.9 5.1-17.8 9.3-29.3 13.1-.3 5.4-.5 11-.8 16.8 10.8-3.6 20.3-7.8 28.1-12.4l2-17.5zm-79.8 24.2c-5.5.8-11.1 1.5-16.8 2.1 0 5.8 0 11.7-.1 17.6 5.5-.6 11-1.4 16.3-2.2.3-5.8.4-11.7.6-17.5zm-214.6 15.1l25.5 217c6.5 8.1 21.9 16.5 42.7 21.9 22 5.7 49.3 8.7 76.7 8.7h4.5c13.9-75 26.4-149.6 29.6-223.1-11.2.7-22.7 1.1-34.1 1.1-54 0-107.8-7.7-144.9-25.6zm289.8 0c-8.2 3.9-17.1 7.4-26.7 10.4-5.7 83.6-18.9 187.9-24.8 223.1 12.3-4.9 21.4-10.8 26-16.5l25.5-217zm-76.7 21.1c-5.3.7-10.6 1.4-16 1.9-3 74.5-15.5 149.3-29.3 223.9 5.2-.3 10.3-.8 15.3-1.3 13.3-75.4 25.7-150.6 30-224.5z"}}]})(props);
};
function GiFullMotorcycleHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M294.396 52.127c-17.944.066-35.777 1.834-52.886 4.746-86.727 14.76-135.612 53.467-161.99 107.824 31.215-2.434 62.002-5.024 91.966-4.838 24.114.15 47.696 2.097 70.54 7.37 15.15 3.5 24.652 16.647 27.607 31.735 2.954 15.088.858 32.92-5.055 51.553l-.287.904-.468.826c-7.762 13.64-24.263 24.498-45.295 35.994-21.032 11.497-46.695 22.693-72.27 32.428-25.574 9.735-51.012 17.98-71.575 23.437-7.254 1.925-13.85 3.48-19.735 4.657 2.275 31.13 6.562 63.38 12.008 95.98 140.118-38.25 273.5-79.888 403.51-123.254 25.935-44.457 29.927-86.448 16.967-126.734-22.393-69.605-60.9-107.048-105.215-126.168-27.696-11.95-57.913-16.57-87.82-16.46zM130.184 179.205c-9.06.51-18.265 1.156-27.532 1.836L59.31 329.386c3.384-.79 6.936-1.663 10.754-2.676 4.004-1.063 8.27-2.27 12.66-3.554 10.022-31.07 43.3-131.415 47.46-143.95zm-46.7 3.262c-10.868.826-21.824 1.654-32.908 2.37-.32.445-.714.947-1.318 2.267-1.58 3.45-3.375 9.418-4.912 16.724-3.075 14.612-5.37 34.727-6.705 54.877-1.333 20.15-1.73 40.438-1.193 55.582.268 7.572.79 13.905 1.442 17.96.048.306.078.312.13.59.46-.01 1.033-.044 1.546-.064l43.918-150.306zM224 183c-15.596 0-28.66 12.582-28.66 28.152s13.064 28.155 28.66 28.155 28.66-12.584 28.66-28.155c0-15.57-13.064-28.152-28.66-28.152zm0 18c6.12 0 10.66 4.567 10.66 10.152 0 5.586-4.54 10.155-10.66 10.155s-10.66-4.57-10.66-10.155c0-5.585 4.54-10.152 10.66-10.152zm230.19 144.865C330.383 386.852 203.285 426.23 70.054 462.56c.413 2.317.81 4.63 1.232 6.948 147.607-26.65 255.974-68.965 371.36-109.164 4.118-4.857 7.947-9.68 11.546-14.48z"}}]})(props);
};
function GiFullPizza (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.5 16a239.9 239.9 0 0 0-128.6 37.69l9.1 13.17C171.9 44.09 213.5 32 256 32c27.3 0 54.4 4.98 79.9 14.72l6.3-14.71A239.985 239.985 0 0 0 256 16zm103.3 23.12l-6.3 14.71c54.3 25.91 95.9 72.57 115.4 129.47l15.3-4.6c-14.4-65.2-56-117.4-124.4-139.58zM255.4 51c-38.4.11-76.1 11.02-108.6 31.49L254.1 237.5c31.2-55.8 54.7-114 74.3-173.3C305.3 55.47 280.7 51 256 51zm29.4 8.93l19.1 23.86-14 11.25-19.1-23.87zm-172.7 4C37.18 104.2 20.64 165.2 17.2 232l15.98 1c6.39-61.9 38.28-118.4 88.02-155.91zM222.2 71c8.2 0 15.8 2.12 21.9 6.2 6.1 4.07 11 10.75 11 18.8 0 8.1-4.9 14.7-11 18.8-6.1 4.1-13.7 6.2-21.9 6.2s-15.8-2.1-21.9-6.2c-6.1-4.1-11-10.7-11-18.8 0-8.05 4.9-14.73 11-18.8 6.1-4.08 13.7-6.2 21.9-6.2zm122.8.31c-18.3 59.29-41.7 116.49-73.1 170.49l68.3-20.4c-3.2-4.9-5-10.9-5-17.2 0-15 10.5-28.8 25.4-28.8 14.9 0 25.4 13.8 25.4 28.8 0 1.2-.1 2.4-.2 3.7l63.9-19.1C431.8 137.3 394.1 94.98 345 71.31zM222.2 89c-5 0-9.3 1.44-11.9 3.16-2.6 1.71-3 3.05-3 3.84s.4 2.13 3 3.84c2.6 1.76 6.9 3.16 11.9 3.16s9.3-1.4 11.9-3.16c2.6-1.71 3-3.05 3-3.84s-.4-2.13-3-3.84c-2.6-1.72-6.9-3.16-11.9-3.16zM132 92.72C87.04 126.9 58.15 178.1 52.16 234.2c62.64.6 125.14 1.8 185.94 11.6L219 218.2l-18.5 10.1-8.6-15.8 16.8-9.2-57-82.1-23.1 18.3-11.2-14.2 24-19zm233.6 13.78l12.2 20.1-15.4 9.4-12.2-20.1zm-106.5 23.1l7.8 16.2-30.2 14.3-7.8-16.2zM123.4 151c17 0 29.6 15.6 29.6 33s-12.6 33-29.6 33-29.6-15.6-29.6-33 12.6-33 29.6-33zm298 9.3l3.7 27.6-17.8 2.4-3.7-27.6zm-298 8.7c-5.7 0-11.6 5.9-11.6 15s5.9 15 11.6 15c5.7 0 11.6-5.9 11.6-15s-5.9-15-11.6-15zm237.2 24.4c-3.2 0-7.4 3.9-7.4 10.8s4.2 10.8 7.4 10.8 7.4-3.9 7.4-10.8-4.2-10.8-7.4-10.8zm127.8 2.6l-15.4 4.5c4.6 18.1 7 36.8 7 55.5 0 47.1-14.8 93-42.4 131.2l12.6 9.9C480 356.1 496 306.7 496 256c0-20.2-2.5-40.4-7.6-60zm-33.6 10l-124 37.1 10 7.1-10.4 14.6-21.4-15.2-33.8 10.1c45.1 42.9 97.7 77.7 147.4 115.7C446.4 340.6 454 298.8 461 256c2.7-16.7-2.1-33.7-6.2-50zM16.07 250c-.1 2 0 4-.1 6-5.08 70.3 9.06 138.7 82.57 181.2l10.06-12.5C59.92 382.2 31.99 320.7 32 256v-5zm34.97 2.2v3.8c0 22 3.52 43.8 10.45 64.7l10.99-23.5 16.3 7.6-18.13 38.8c11.94 25.3 28.91 47.8 49.85 66.3l117.5-146-129.1-8.1-24.6 24.5-12.72-12.8 13.22-13.2zm367.56 13.1c2.3-.1 4.6.2 6.9 1 7.2 2.2 12.3 8.1 14.7 14.8 2.4 6.5 2.4 13.9.1 21.2-2.2 7.2-6.6 13.3-12.2 17.4-5.8 3.9-13.3 5.9-20.6 3.6-2.6-.8-4.9-2.1-6.9-3.7l-7.8 8.9-27.6-23.8 11.8-13.6 14.5 12.5c-1-5.3-.6-10.9 1.1-16.3 2.3-7.3 6.6-13.3 12.3-17.3 4-2.8 8.8-4.6 13.7-4.7zm-261.1 5.5l29.7 11.2-6.4 16.8-29.7-11.2zm108.7 4.6l5.3 84.6c4.8 1 9.2 2.6 13.1 4.9 6.7 3.9 12.4 10.6 12.4 19.1 0 8.5-5.7 15.2-12.4 19.1-3.1 1.8-6.5 3.2-10.1 4.2l3.3 52.5c11.1-1.2 22-3.3 32.7-6.2l3.5-29.1 17.8 2.2-2.5 20.7c31.8-12.1 60-32 82.2-57.8-20.7-16.3-45.4-27.9-62.2-48.9l-7.2 20.1-17-6 9.2-25.9c-28.2-14-45.8-35.4-68.1-53.5zm-17.7 4.3l-114 141.4C169.7 447 212.3 461 256 461h3.8l-3.3-52.2c-7.2-.5-13.8-2.4-19.3-5.7-6.7-3.9-12.4-10.6-12.4-19.1 0-8.5 5.7-15.2 12.4-19.1 4.7-2.8 10.3-4.6 16.3-5.4zm170.6 3.6c-1-.1-2.2.3-3.8 1.3-2.1 1.5-4.3 4.4-5.5 8.1-1.1 3.7-.9 7.3-.1 9.7.9 2.4 2.1 3.4 3.2 3.7 1.2.4 2.7.2 4.8-1.2 2-1.4 4.3-4.3 5.5-8 1.1-3.7.9-7.4.1-9.7-.9-2.4-2.1-3.4-3.2-3.8-.3-.1-.6-.1-1-.1zm-293.3 29.9c4.3.1 8.6 1.1 12.6 3 14.3 6.9 21.3 24.1 14.4 38.4-6.9 14.4-24.7 19.7-39 12.8-14.32-6.9-21.26-24-14.38-38.4 4.98-10.3 15.48-15.9 26.38-15.8zm-.9 17.9c-4 .1-7.6 2.2-9.3 5.7-2.4 5.1-.1 11.5 6 14.4 6.1 2.9 12.5.7 15-4.4 2.4-5 .1-11.4-6-14.3-1.9-1-3.9-1.4-5.7-1.4zm136 45.9c-6 0-11.4 1.6-14.6 3.4-3.2 1.9-3.5 3.3-3.5 3.6 0 .3.3 1.7 3.5 3.6 3.2 1.8 8.6 3.4 14.6 3.4s11.4-1.6 14.6-3.4c3.2-1.9 3.5-3.3 3.5-3.6 0-.3-.3-1.7-3.5-3.6-3.2-1.8-8.6-3.4-14.6-3.4zm165.5 24.4c-37.4 43.8-90.1 71.5-147.4 77.4l1 16c64 3.3 124.6-11.3 159-83.5zm-245.9 3l28.1 2.6-1.6 18-28.1-2.6zm-57.9 31.5l-10 12.5c36.1 45 90.2 51.7 143.4 47.6 2-.2 4 0 6-.1l-1-16c-1.7.1-3.3.1-5 .1-48 0-94.8-15.5-133.4-44.1z"}}]})(props);
};
function GiFullWoodBucketHandle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201 49v30h110V49H201zm-18 6.91c-30.6 2.78-54.5 19.59-70.3 41.3-15.75 21.69-24.12 48.09-25.48 72.29 2.56-1.5 5.55-2.5 8.78-2.5 3.42 0 6.6 1.1 9.3 2.8 1.3-20.5 8.7-43.8 22-62 13.1-18.06 31.3-31.22 55.7-33.82V55.91zm146 0v18.07c24.4 2.6 42.6 15.76 55.7 33.82 13.3 18.2 20.7 41.5 22 62 2.7-1.7 5.9-2.8 9.3-2.8 3.2 0 6.2 1 8.8 2.5-1.4-24.2-9.7-50.6-25.5-72.29-15.8-21.71-39.7-38.52-70.3-41.3zM256 137c-43.5 0-82.8 5.4-110.6 13.7-13.8 4.1-24.8 9.1-31.6 14-3.4 2.3-5.5 4.4-6.9 6.3.6.4 1 .8 1.5 1.2 3.1 2.9 5.3 6.5 7.1 10.5 1 2.3 1.9 4.8 2.7 7.4.3.1.6.3.9.5.6-8.6 7.1-14.5 14.4-18.9 7.7-4.6 17.7-8.1 29.8-11.2 24.2-6 56.7-9.6 92.7-9.6s68.5 3.6 92.7 9.6c12.1 3.1 22.1 6.6 29.8 11.2 7.3 4.4 13.8 10.3 14.4 18.9.3-.2.6-.4.9-.5.8-2.6 1.7-5.1 2.7-7.4 1.8-4 4-7.6 7.1-10.5.5-.4.9-.8 1.5-1.2-1.4-1.9-3.5-4-6.9-6.3-6.8-4.9-17.8-9.9-31.6-14-27.8-8.3-67.1-13.7-110.6-13.7zm-16.1 29.2c-17.8.2-43.1 1.8-66.2 8.4-35.9 10.5-31.2 29.7-31.2 29.7 20-14.8 40.1-25.3 120.5-37.4 0 0-9.2-.8-23.1-.7zM96 185.3h.03H96zm0 0c-.06 0-.07 0-.07.1-.72.6-1.94 2.3-3.04 4.7C90.7 195 89 202.8 89 211.5s1.7 16.5 3.86 21.4c1.1 2.4 2.32 4.1 3.04 4.7l.1.1c.1 0 .1 0 .1-.1.72-.6 1.94-2.3 3.04-4.7 2.16-4.9 3.86-12.7 3.86-21.4s-1.7-16.5-3.86-21.4c-1.1-2.4-2.32-4.1-3.04-4.7l-.1-.1zm320 0l-.1.1c-.7.6-1.9 2.3-3 4.7-2.2 4.9-3.9 12.7-3.9 21.4s1.7 16.5 3.9 21.4c1.1 2.4 2.3 4.1 3 4.7l.1.1.1-.1c.7-.6 1.9-2.3 3-4.7 2.2-4.9 3.9-12.7 3.9-21.4s-1.7-16.5-3.9-21.4c-1.1-2.4-2.3-4.1-3-4.7l-.1-.1zm-295 26.3c0 5.6-.5 10.8-1.5 15.7 32.7 15 84.7 23.7 136.5 23.7s103.8-8.7 136.5-23.7c-1-4.9-1.5-10.1-1.5-15.7-5.8 2.6-12.3 4.9-19.3 7-30.1 9-70.8 14.4-115.7 14.4-44.9 0-85.6-5.4-115.7-14.4-7-2.1-13.5-4.4-19.3-7zm-7.6 32.9c-.6.9-1.2 1.9-1.8 2.7l17.7 151c6.7 3 13.6 5.7 20.7 8.1l-13.9-153.1c-8-2.5-15.7-5.5-22.7-8.7zm285.2 0c-6.8 3.1-14.2 6-22.1 8.5l-10.2 108.4c9.1-1.3 15.2-5.3 22-10.5l12.2-103.7c-.7-.8-1.3-1.8-1.9-2.7zm-40.7 13.7c-14.2 3.5-29.5 6-45.4 7.8l-7.3 153.2c13-1.9 25.8-4.5 38.2-7.8l14.5-153.2zm-203.2.2l4.7 51.7c14.5 5.6 38.2 9 55.6 8.6v-51.3c-21.2-1.6-41.6-4.6-60.3-9zm139.7 9.2c-12.6 1-25.5 1.4-38.4 1.4-7.7 0-15.4-.2-23-.5v153.7c18.1 1.1 36.2.8 54.1-.9l7.3-153.7zm-133.1 62.5l7.4 81.8c15.1 4.1 30.6 7 46.3 8.8v-83.9c-16.8.7-36.8-1.3-53.7-6.7zm224.3 43.6c-6 3-12.9 5.3-21.1 6l-2.5 26.1c7.1-2.4 14-5 20.7-7.8l2.9-24.3zm-5.3 44.7c-75.3 29-169.8 31.5-248.6.3l4.9 41.7c6.5 8.1 21.9 16.5 42.7 21.9 22 5.7 49.3 8.7 76.7 8.7 27.4 0 54.7-3 76.7-8.7 20.8-5.4 36.2-13.8 42.7-21.9l.4-3.4a10.88 13.34 0 0 1-6.1 2.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3 10.88 13.34 0 0 1 8.4 4.8l2.2-19.1zm-226.5 17.4a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3zm167.5 11.3a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3zm-123.2.7a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3zm63.2 4.9a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3z"}}]})(props);
};
function GiFullWoodBucket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 137c-43.5 0-82.8 5.4-110.6 13.7-13.8 4.1-24.8 9.1-31.6 14-6.9 4.8-8.8 8.7-8.8 11.3 0 2.6 1.9 6.5 8.8 11.3 1.5 1.1 3.3 2.2 5.3 3.3.6-8.6 7.1-14.5 14.4-18.9 7.7-4.6 17.7-8.1 29.8-11.2 24.2-6 56.7-9.6 92.7-9.6s68.5 3.6 92.7 9.6c12.1 3.1 22.1 6.6 29.8 11.2 7.3 4.4 13.8 10.3 14.4 18.9 2-1.1 3.8-2.2 5.3-3.3 6.9-4.8 8.8-8.7 8.8-11.3 0-2.6-1.9-6.5-8.8-11.3-6.8-4.9-17.8-9.9-31.6-14-27.8-8.3-67.1-13.7-110.6-13.7zm-16.1 29.2c-17.8.2-43.1 1.8-66.2 8.4-35.9 10.5-31.2 27.7-31.2 27.7 20-14.8 40.1-23.3 120.5-35.4 0 0-9.2-.8-23.1-.7zm-133.4 37.9l2 17.4c31 18.6 89.4 29.5 147.5 29.5 58.1 0 116.5-10.9 147.5-29.5l2-17.4c-8.9 5.7-20.3 10.4-33.8 14.5-30.1 9-70.8 14.4-115.7 14.4-44.9 0-85.6-5.4-115.7-14.4-13.5-4.1-24.9-8.8-33.8-14.5zm294.4 39.3c-7.5 3.6-15.7 6.8-24.4 9.6l-10.2 108.4c9.1-1.3 15.2-5.3 22-10.5l12.6-107.5zm-289.8.1l18.2 154.7c6.7 3 13.6 5.7 20.7 8.1l-13.9-153.1c-8.9-2.8-17.3-6.1-25-9.7zm246.8 14.7c-14.2 3.5-29.5 6-45.4 7.8l-7.3 153.2c13-1.9 25.8-4.5 38.2-7.8l14.5-153.2zm-203.2.2l4.7 51.7c14.5 5.6 38.2 9 55.6 8.6v-51.3c-21.2-1.6-41.6-4.6-60.3-9zm139.7 9.2c-12.6 1-25.5 1.4-38.4 1.4-7.7 0-15.4-.2-23-.5v153.7c18.1 1.1 36.2.8 54.1-.9l7.3-153.7zm-133.1 62.5l7.4 81.8c15.1 4.1 30.6 7 46.3 8.8v-83.9c-16.8.7-36.8-1.3-53.7-6.7zm224.3 43.6c-6 3-12.9 5.3-21.1 6l-2.5 26.1c7.1-2.4 14-5 20.7-7.8l2.9-24.3zm-5.3 44.7c-75.3 29-169.8 31.5-248.6.3l4.9 41.7c6.5 8.1 21.9 16.5 42.7 21.9 22 5.7 49.3 8.7 76.7 8.7 27.4 0 54.7-3 76.7-8.7 20.8-5.4 36.2-13.8 42.7-21.9l.4-3.4a10.88 13.34 0 0 1-6.1 2.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3 10.88 13.34 0 0 1 8.4 4.8l2.2-19.1zm-226.5 17.4a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3zm167.5 11.3a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3zm-123.2.7a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3zm63.2 4.9a10.88 13.34 0 0 1 10.9 13.3 10.88 13.34 0 0 1-10.9 13.3 10.88 13.34 0 0 1-10.9-13.3 10.88 13.34 0 0 1 10.9-13.3z"}}]})(props);
};
function GiFunnel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23c-62.377 0-118.824 5.375-160.277 14.258-20.727 4.441-37.674 9.69-50.188 16.03-26.54 16.094-31.144 53.2-21.918 77.99C69.915 217.435 138.57 281.384 215 340.321V489c25.848-.604 80.089-14.04 82-41V340.322c67.639-60.819 155.483-122.156 191.383-209.045 5.479-17.026 3.503-55.854-6.424-67.166-4.04-4.23-9.237-7.654-15.494-10.824-12.514-6.34-29.461-11.588-50.188-16.03C374.824 28.376 318.377 23 256 23zm0 18c61.335 0 116.887 5.37 156.506 13.86C422.354 57.71 470.826 69.626 471 80c.175 10.464-46.091 22.442-58.494 25.14C372.886 113.63 317.335 119 256 119c-61.335 0-116.887-5.37-156.506-13.86C89.646 102.29 40.887 89.064 41 80c.12-9.68 46.092-22.442 58.494-25.14C139.114 46.37 194.665 41 256 41z"}}]})(props);
};
function GiFurBoot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M226.125 32.032a84.287 84.287 0 0 0-3.51.026c-11.4.318-24.464 2.935-40.945 8.63l-2.682.926-2.726-.777c-38.965-11.123-65.026.52-90.262 14.957 5.557 9.074 10.35 19.569 8.365 32.049l-.045.29-.066.286c-2.043 9.01-7.64 22.012-14.363 35.676-1.723 3.502-3.57 6.712-5.37 10.1 12.791-6.326 24.681-12.344 38.95-13.885l2.53-.274 2.302 1.094c-.018-.008 2.436.899 5.261 1.853 2.826.955 6.331 2.16 9.977 3.68 5.207 2.172 10.979 4.697 15.512 9.256 22.303-6.732 40.75-6.51 60.802-1.414 18.213-10.407 34.866-11.39 47.99-6.512 8.553 3.178 15.291 8.373 20.93 13.842l10.557-22.625 20.805 3.62c9.72-15.164 9.644-33.821 3.234-49.167-7.012-16.786-20.608-27.857-34.928-26.795l-2.404.178-2.172-1.047c-16.758-8.082-30.442-13.73-47.742-13.967zM112.791 138.688a44.845 44.845 0 0 0-3.287.745c-7.307 47.909-26.314 187.24-6.9 293.404 158.558 12.92 313.945 3.207 334.82 1.793.099-2.715.066-5.485-.121-8.313-1.354-20.44-10.822-42.312-22.235-55.045-6.318-7.049-23.99-13.695-48.029-16.789-24.04-3.094-54.057-3.4-85.057-2.056l-6.337.275c-21.183 1.115-40.742 2.29-58.89 5.111-4.051 8.895-13.356 14.998-23.735 14.998-13.904 0-25.885-10.947-25.885-24.892s11.981-24.89 25.885-24.89c5.778 0 11.22 1.896 15.613 5.107 8.084-10.448 16.365-21.222 25.375-31.897-8.386-8.22-17.33-15.993-27.44-22.722-3.941 2.49-8.595 3.943-13.548 3.943-13.842 0-25.39-11.288-25.39-25.14 0-13.854 11.548-25.141 25.39-25.141 2.64 0 5.194.413 7.603 1.174l33.02-38.875c-8.516-9.7-17.736-19.149-28.409-28.37-4.074 2.75-8.973 4.364-14.2 4.364-10.517 0-19.703-6.518-23.513-15.723-5.762 1.045-11.908 2.718-18.841 5.137l-7.551 2.634-3.504-7.189c-.353-.723-5.078-4.58-11.012-7.055-2.967-1.237-6.073-2.315-8.81-3.24-1.348-.455-2.457-.895-3.582-1.31l-1.43-.038zm96.748 2.565c13.9 11.186 25.49 22.656 35.904 34.33l18.24-21.475c-.711-3.822-1.422-7.642-2.142-11.478l-52.002-1.377zm58.313 35.754l-10.586 12.463c5.451 6.674 10.675 13.403 15.857 20.174-1.556-10.837-3.35-21.714-5.271-32.637zm-22.471 26.455l-30.586 36.012a24.652 24.652 0 0 1 3.613 12.845c0 2.354-.34 4.63-.96 6.793 10.699 7.168 20.067 15.208 28.613 23.489 9.55-10.298 19.972-20.277 31.78-29.457a476.305 476.305 0 0 0-.661-8.694c-11.152-14.168-21.175-27.806-31.8-40.988zm-52.361 41.717c-4.261 0-7.39 3.165-7.39 7.14 0 3.976 3.129 7.14 7.39 7.14 4.26 0 7.388-3.164 7.388-7.14 0-3.975-3.128-7.14-7.388-7.14zm85.732 30.572c-7.128 6.278-13.756 12.912-20.057 19.762 6.337 6.753 12.324 13.432 18.213 19.724 1.44-13.148 2-26.304 1.844-39.486zm-32.096 33.514c-8.101 9.677-15.774 19.602-23.41 29.44 15.249-1.938 31.118-2.91 47.58-3.776-8.238-8.276-16.088-17.033-24.17-25.664zm-53.636 31.763c-4.748 0-7.885 3.282-7.885 6.89 0 3.61 3.137 6.893 7.885 6.893 4.747 0 7.884-3.283 7.884-6.892 0-3.609-3.137-6.89-7.884-6.89zm-86.577 110.164c1.968 8.31 4.2 16.358 6.746 24.059 103.476 5.837 209.68 7.195 303.832-1.3 8.328-5.386 13.8-12.612 16.975-21.06-36.35 2.27-180.346 9.84-327.553-1.699z"}}]})(props);
};
function GiFurShirt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M172.4 27.63c-14.8 7.64-27.9 15.41-40 23.26l-35.02 5.23c6.82 1.77 14.22 3.27 17.02 7.08-8.4 6-16.36 12.08-24.08 18.08-15.9 2.5-27.27 9-38.31 15.7l15.28 2.7C50.7 110.1 42.85 119.9 32.89 135.6l27.97-1.4c4.13 2.5 8.56 5 7.89 8.2-3.07 6.7-3.43 11.4-3.99 17.2l16.09-4.6c10.11 9 12.6 23.1 17.28 35.4 11.37-6 22.97-11.9 29.97-19.9L118 189.6c22.3-10.8 30.5-21.1 48-36-1.4 16.5-2.2 32.8-2.6 49.1-13.8 22.7-17.9 44.9-16.6 68.1 5.5-6.3 11.1-18.3 16.6-12.9 0 4.3.2 8.6.3 12.8-7.2 4-10.2 16.4-14.8 25.5 5.1-2.9 5.1-6.7 15.3-8.7.5 12.1 1.1 24.3 1.8 36.4 22.2 4.6 44.4 6.9 67 7.5 11.7 3.6 19 8.9 25.1 14.7l1.2-14.7c16.1-2.3 29.3 3.8 45.2 8.6l19.3-14.3c4.2-.6 8.5-1.2 12.8-1.8l-1.9 13.2 8.2-14.2c3.1-.5 6.2-1 9.4-1.5.3-3.8.7-7.7 1.1-11.5l17.7 12.8-11.3-34.1 11.3 10.5-13.2-33.3c.5-4.9.9-9.8 1.3-14.6l13.4 14.1c-5.3-33.1-8.5-76.3-14.9-106l16 4.5 27.7 24.3-4-17.5c11.8 2.3 20.7 6 31.8 10.8 12-20.3 7.5-34.4 36.7-40.9l-6.2-29.3c5.3-3.8 13.1-5.2 19.4-7.4-16.3-4.62-30.9-15.02-50.7-31.12l10.2-5.69c-8.2-2.23-19.1.58-26.3-4.08l23.3-13.54c-1.4-.59-35.2-1.37-43.5 2.08-15.3-8.27-32.1-16.12-51.8-23.07-9.3 6.8-11.5 10.51-21.2 15.21l-5.6-10.61c-3.1 8.77-8.9 16.32-16.7 19 1.6-6.34 5.6-19 5.6-19-7.4 8.24-12.9 16.69-26.2 24.26-17.8 2.91-36.5 1.65-56.1-4.8-1.7 7.1.4 13.42 2.1 19.84-12.8-6.1-13.8-16.7-18-26.1-10.3-4.72-20.9-10.86-31.8-18.55zM364.1 357.5c-42.6 10.7-86.9 18.6-129.5 17.1l18.9 13.2-47.6-15.7c-17.7-2.6-35-7.1-51.6-14.1-7.3 10.7-27.3 17-39.7 23.2l26.5-1.3c-6.5 15.7-19.4 27.7-30.6 41 0 0 10.6-2.5 17.1-4.3 27.3 15 56.1 29 67.9 52.7 42.8 22.9 81.8 16.6 119.7 1.8 7.1-11.9 15.7-22.7 26.6-31.9 22.1-5.9 29.6-2 40.4-.3-5.7-5-6.3-11.8-17.4-15 10.8-5.6 23-10 36.9-13.2-3.6-6.5-7.4-13-11.6-19.4l22.3 6.7c-19.5-11.9-34.5-24.9-48.3-40.5z"}}]})(props);
};
function GiFurnace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M183.8 25l-13.4 94h171.2l-13.4-94H183.8zm-79.5 112L73.82 487H438.2l-30.5-350H104.3zm30.7 62h242v48h32v114h-32v48H135V199zm18 18v174h206v-30h-16V247h16v-30H153zm30 16h146v112H183V233zm74.2 10.7c-6.5 22-24.5 43.6-13.6 66.1-17.8-9.5-20.2-25.1-23.4-40.6-2.2 15.5-9.3 30.8-6.8 45.4-6.3-4.6-11.6-10.9-18.2-18 7 28.2 7.9 35.8 31.8 37.4h51.5c32.1-3.6 26.8-21.3 41-38.2-12.7.4-18.9 4.5-25.8 12.3 10.3-18.7-1.5-18.9-2.7-34.3-5.1 9.8-16.9 20.7-23.3 18.6-8.5-2.6-9.3-30.7-10.5-48.7zM361 265v78h30v-78h-30zM183 432h18v32h-18v-32zm64 0h18v32h-18v-32zm64 0h18v32h-18v-32z"}}]})(props);
};
function GiGClef (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M238.75 138.492l18.147-18.829c.898-21.472 9.107-59.37 26.166-60.771 6.994.097 14.566 5.833 15.742 16.021 3.25 28.145-11.833 40.563-29.072 57.372l-31.408 32.586-.037-.038c-28.467 31.447-65.355 70.37-69.772 106.973-5.588 53.77 31.264 108.42 87.149 105.693l-3.178-18.066c-37.522-4.905-69.771-43.77-56.711-81.312 23.275-60.413 75.664-92.822 116.333-148.022 11.474-15.574 14.575-46.945 11.815-63.128-2.76-16.184-14.345-43.066-32.059-45.017-34.714-4.59-60.724 62.476-53.114 116.538zm25.667 75.896l-15.508 15.248c.542 2.775 1.166 6.185 2.088 12.14-34.017 21.505-36.576 66.707-12.186 90.96 5.177 5.31 15.165-2.767 10.104-8.674-10.971-19.786-12.097-44.028 5.742-57.137 8.78 50.539 24.627 117.16 30.164 170.895.364 3.535-6.593 10.614-9.973 11.396 0-22.091-17.908-40-40-40-22.09 0-40 17.909-40 40 .017 20.193 15.266 36.007 35.123 39.668 42.008 7.745 78.659-17.935 72.76-53.16-8.793-59.062-21.986-121.007-30.857-175.32 12.066-1.253 28.875 5.169 36.428 12.847 8.575 9.297 12.95 22.35 11.982 32.787-.924 9.96-7.425 20.992-17.06 30.381l3.662 20.776c17.346-12.583 35.117-30.185 36.94-49.844 1.518-16.352-5.01-40.324-18.08-52.273-16.885-15.437-38.313-18.553-57.349-16.612-2.004-13.065-3.018-18.039-3.98-24.078z"}}]})(props);
};
function GiGalea (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M300.042 21.781l-15.452 3.323c.991 11.046 1.224 22.188.395 33.404a295.23 295.23 0 0 1 9.748-.45c4.547-.133 9.024-.14 13.434-.032-5.904-11.04-8.3-23.49-8.125-36.245zm4.074 52.17c-2.93-.021-5.9.013-8.912.102-36.62 1.08-71.784 8.384-98.162 36.432-25.9 27.539-44.322 76.538-44.545 163.273 12.01 8.89 30.08 14.212 46.148 13.256l.951 15.973c-19.271 1.147-39.495-4.282-54.84-15.053-21.422 13.662-48.859 33.022-71.234 50.79-11.88 9.435-22.335 18.432-29.54 25.659-3.604 3.614-6.394 6.81-8.044 9.13-1.057 1.488-1.386 2.606-1.52 2.813.366 3.131 3.104 10.505 9.284 18.551 6.533 8.506 16.495 17.985 29.781 26.287 26.572 16.606 66.346 28.707 119.94 20.381 4.859-.755 7.668-.865 9.17-1.525 1.501-.66 3.246-1.79 6.162-7.678 5.831-11.778 13.434-40.613 23.693-102.398 1.83-11.021.47-27.932 1.558-43.538.545-7.802 1.688-15.427 4.924-22.306 3.237-6.88 9.209-12.992 17.465-15.492 4.761-1.443 14.762-5.832 25.74-2.088 5.49 1.872 10.748 6.105 14.426 12.42 3.432 5.892 5.72 13.595 7.04 23.63.406.17.595.31 1.687.532 3.36.682 9.389.905 16.705.37 14.632-1.067 34.675-4.877 54.506-10.507 19.83-5.63 39.569-13.128 53.713-21.139 7.071-4.005 12.718-8.168 16.195-11.863 3.476-3.695 4.496-6.492 4.45-8.324-.434-16.752-2.2-32.102-5.194-46.086-54.511 24.527-121.417 29.581-172.121 27.324l.713-15.984c56.827 2.53 135.288-5.369 188.183-38.315-6.125-11.854-21.491-25.008-33.457-27.605-67.82 29.668-109.558 35.312-137.797 28.81-28.314-6.519-41.277-26.097-49.469-40.043l-8.105-13.798 15.902 1.798c41.928 4.742 74.919-.443 95.897-19.039a44.372 44.372 0 0 1 11.172-7.234c-15.67-4.846-33.18-7.374-52.465-7.516zm71.732 19.301c-6.993.127-14.074 2.325-19.826 7.424-22.695 20.118-54.633 26.395-91.709 24.361 6.55 8.41 15.343 15.674 30.461 19.155 21.894 5.04 58.61 1.397 120.346-24.68a118.395 118.395 0 0 0-7.602-8.229c-6.494-6.381-13.685-11.956-21.545-16.724a32.802 32.802 0 0 0-5.314-1.074 36.566 36.566 0 0 0-4.81-.233zm8.34 145.451a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-59.723 11.262a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm93.166 25.69c-6.267 2.63-12.86 5.083-19.6 7.36-.862 15.27 1.429 39.396 5.755 62.83 4.91 26.596 12.55 53.052 19.28 65.811l2.833 5.375-4.416 4.172c-13.116 12.391-17.929 29.2-21.043 46.815l-2.373 13.42-10.56-8.612c-16.978-13.845-24.53-20.432-46.86-30.345l-7.086-3.147 2.922-7.181c4.26-10.469 5.136-39.894 2.275-68.739-2.412-24.327-7.103-49.185-11.72-64.318a174.36 174.36 0 0 1-3.881.334c-5.908.431-11.194.522-15.918.084 2.412 15.553 4.643 31.78 10.855 48.816 4.166 11.423-10.386 20.992-21.72 29.328-12.682 9.328 7.055 74.349 30.902 92.006 50.943 37.722 149.935 16.182 150.299-6.32.574-35.45-36.67-39.994-35.117-52.676 2.828-23.106 29.083-42.26 17.558-61.103-10.391-16.99-19.664-9.734-32.306-13.344-7.395-20.189-8.835-40.378-10.079-60.566zM381.8 288.08c-.31.09-.62.187-.931.276-12.928 3.67-25.856 6.609-37.71 8.59 5.028 17.085 9.14 40.87 11.522 64.888 2.593 26.136 3.547 51.475-1.045 69.201 14.205 6.848 23.743 13.223 33.813 21.194 3.306-13.32 8.723-26.898 19.11-38.46-7.461-16.322-13.91-40.114-18.507-65.019-4.005-21.697-6.565-43.422-6.252-60.67zm54.338 67.936a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-113.779 34.416a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-132.74 17.556a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm257.756 35.82a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9z"}}]})(props);
};
function GiGalleon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M222.03 20.53v58.25L165.938 99l6.344 17.563 49.75-17.938v96.156l-87.155 33.845 6.75 17.406 80.406-31.218v141.97h-61.655l-1.438-7.594-4.687-25.063H95.812v-142.47l60.157-21.686-6.345-17.595-53.813 19.406V78.345H77.126v90.187l-52 18.75 6.344 17.564 45.655-16.47v135.75H26.437c5.565 54.4 27.327 108.08 66.782 143.595H375.56c9.543-51.545 39.83-95.146 73.688-136.44h-.063L494.594 299l-10.813-15.25-66.874 47.53H367.25V219.314l62.188-22.438-6.313-17.563-55.875 20.157v-67.032h-18.688v73.78l-49.937 18 6.313 17.563 43.625-15.75v121.595l-4.907 5.844-2.812 3.31H240.72V207.564l87.155-33.844-6.78-17.407-80.376 31.218V91.907l56.06-20.22-6.342-17.592-49.72 17.937v-51.5h-18.687z"}}]})(props);
};
function GiGalley (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M273.3 27.85v34.21l-24.8 4.97 3.6 17.64 21.2-4.24v56.47l-41.2 10.2 4.4 17.4 36.8-9.1V355c6-.2 12-.3 18-.5V150.9l57.2-14.2-4.4-17.4-52.8 13.1V76.83l40.8-8.17-3.6-17.65-37.2 7.45V27.85zm-96 144.05v34.2l-24.8 5 3.6 17.6 21.2-4.2v56.4l-41.2 10.3 4.4 17.4 36.8-9.2v57.2c6 0 12-.1 18-.2v-61.5l57.2-14.2-4.4-17.4-52.8 13.2v-55.6l40.8-8.2-3.6-17.6-37.2 7.4v-30.6zm192 0v34.2l-24.8 5 3.6 17.6 21.2-4.2v56.4l-41.2 10.3 4.4 17.4 36.8-9.2v52.1c6.1-.3 12.1-.6 18-1v-55.6l57.2-14.3-4.4-17.4-52.8 13.2v-55.5l40.8-8.2-3.6-17.6-37.2 7.4v-30.6zM22.18 326.5l7.26 29c29.1.8 63.18 1.2 99.86 1.3v-17zm470.62 33.6C381.6 374 150 377.2 21.86 373.2l11.43 45.7h27.06l-41.12 51.4 14.06 11.2 50.06-62.6h25.05l-41.2 51.4 14.06 11.2 50.14-62.6h25l-41.1 51.4 14 11.2 50.1-62.7h25l-41.1 51.4 14 11.2 50.1-62.6h27.2l-43.3 54.1 14 11.2 52.2-65.3h25l-43.3 54.1 14 11.2 52.2-65.3h25.1l-43.3 54.1 14 11.2 52.3-65.3h25.1l-43.3 54.1 14 11.2 52.2-65.3h24.2z"}}]})(props);
};
function GiGameConsole (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192.615 41l-4.375 14h135.518l-4.375-14zM185 73v73.102c46.991 6.329 94.285 6.5 142 .008V73zm-83.777 32l-53.715 94h416.984l-53.715-94H345v4.615c1.065.187 2.134.375 3.168.569 11.99 2.248 21.832 4.882 29.42 8.246 3.794 1.681 7.063 3.505 9.892 6.097 2.83 2.593 5.52 6.574 5.52 11.473 0 4.9-2.69 8.88-5.52 11.473-2.829 2.592-6.098 4.415-9.892 6.097-7.588 3.364-17.43 5.998-29.42 8.246C324.19 166.312 291.802 169 256 169l-.361-.002c-35.658-.018-67.91-2.7-91.807-7.182-11.99-2.248-21.832-4.882-29.42-8.246-3.794-1.682-7.063-3.505-9.892-6.097-2.83-2.593-5.52-6.574-5.52-11.473 0-4.9 2.69-8.88 5.52-11.473 2.829-2.592 6.098-4.416 9.892-6.097 7.588-3.364 17.43-5.998 29.42-8.246 1.034-.194 2.103-.382 3.168-.569V105zM167 127.904c-11.103 2.09-19.95 4.615-25.293 6.983-1.026.455-1.18.695-1.922 1.113.742.418.896.658 1.922 1.113 5.342 2.368 14.19 4.893 25.293 6.983zm178 0v16.192c11.103-2.09 19.95-4.615 25.293-6.983 1.026-.455 1.18-.695 1.922-1.113-.742-.418-.896-.658-1.922-1.113-5.342-2.368-14.19-4.893-25.293-6.983zM96 167h64v18H96zm256 0h64v18h-64zM41 217v94h67.885c8.05 13.442 17.974 26.493 31.09 33.05 52.212 26.107 135.093 19.044 205.59 14.102 35.248-2.47 67.397-4.617 89.683-2.859 11.143.879 19.762 2.88 24.49 5.34 4.728 2.46 5.543 3.69 5.584 7.465.098 9.007-1.966 13.353-5.138 16.345-3.173 2.993-8.698 5.159-17.172 5.948-16.949 1.577-43.677-2.843-74.133-7.547-57.137-8.826-129.198-18.381-187.076 18.156h43.316c44.854-13.696 96.046-7.313 141.012-.367 30.24 4.671 57.148 9.671 78.549 7.68 10.7-.996 20.528-3.861 27.857-10.776 7.33-6.915 10.916-17.353 10.783-29.635-.109-10.108-6.73-18.79-15.273-23.236-8.544-4.445-19.032-6.342-31.385-7.316-24.705-1.949-57.098.376-92.355 2.847-70.515 4.943-152.494 9.646-196.282-12.248-5.03-2.515-11.183-8.969-17.113-16.949H471v-94zm14 14h82v66h-15.354a167.839 167.839 0 0 1-3.373-5.973A268.087 268.087 0 0 1 112.211 279H119v-30H73v30h19.418a305.46 305.46 0 0 0 8.674 18H55v-57zm107.168 0h82v66h-82v-57zm106.592 0h82v66h-82v-57zM375 231h82v66h-82v-57zm-194.832 18v30h46v-30zm106.592 0v30h46v-30zM393 249v30h46v-30zM110 419c-3.875 0-6.759 2.192-9.902 8.676C96.954 434.16 95 444.09 95 454c0 9.91 1.954 19.84 5.098 26.324C103.24 486.808 106.125 489 110 489h144c3.875 0 6.759-2.192 9.902-8.676C267.046 473.84 269 463.91 269 454c0-9.91-1.954-19.84-5.098-26.324C260.76 421.192 257.875 419 254 419zm118.104 10a9 9 0 1 1 0 18 9 9 0 0 1 0-18zM125 432h18v13h13v18h-13v13h-18v-13h-13v-18h13zm87.104 13a9 9 0 1 1 0 18 9 9 0 0 1 0-18zm32 0a9 9 0 1 1 0 18 9 9 0 0 1 0-18zm-16 13.637a9 9 0 1 1 0 18 9 9 0 0 1 0-18z"}}]})(props);
};
function GiGamepadCross (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M176.938 24.03V75.44c-52.96 6.715-94.96 48.652-101.72 101.593H24.564v160.096h50.75c7.034 52.62 48.895 94.247 101.624 100.938V489.5H337v-51.374c53.01-6.453 95.158-48.183 102.22-101h50.811V177.03h-50.717C432.526 123.893 390.238 81.85 337 75.376V24.03H176.938zm18.687 18.69h122.688v139.75L257.25 243.5l-61.625-61.625V42.72zm61.656 17.436c-24.524 0-44.405 19.88-44.405 44.407 0 24.525 19.88 44.406 44.406 44.406 24.524 0 44.376-19.882 44.376-44.407 0-24.526-19.85-44.407-44.375-44.407zM43.25 195.72h139.78l61.032 61.03-61.718 61.688H43.25v-122.72zm288.25 0h139.844v122.718H332.188L270.5 256.75l61-61.03zm-226.406 16.624c-24.525 0-44.406 19.88-44.406 44.406 0 24.525 19.88 44.406 44.406 44.406 24.525 0 44.406-19.88 44.406-44.406 0-24.523-19.88-44.406-44.406-44.406zm304.344 0c-24.526 0-44.407 19.88-44.407 44.406 0 24.525 19.882 44.406 44.408 44.406 24.525 0 44.406-19.88 44.406-44.406 0-24.523-19.88-44.406-44.406-44.406zM257.25 269.938L318.313 331v139.813H195.625v-139.22l61.625-61.656zm.03 94.562c-24.524 0-44.405 19.88-44.405 44.406 0 24.525 19.88 44.406 44.406 44.406 24.524 0 44.376-19.88 44.376-44.406 0-24.525-19.85-44.406-44.375-44.406z"}}]})(props);
};
function GiGamepad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M155.084 125.945c-.46 0-.926.01-1.397.034-5.646.285-12.097 2.464-20.707 8.204-21.824 14.55-51.912 60.395-67.834 110.005-15.92 49.61-18.046 102.25 5.936 132.966 4.142 5.306 13.387 8.93 23.756 8.846 10.216-.084 20.682-3.838 26.482-9.44 1.022-1.47 9.296-13.336 21.39-27.404 12.863-14.96 28.716-31.686 45.835-38.777 41.863-17.34 93.024-17.34 134.887 0 17.118 7.092 32.97 23.818 45.834 38.778 12.095 14.068 20.37 25.933 21.39 27.404 5.8 5.602 16.267 9.356 26.483 9.44 10.368.085 19.612-3.54 23.755-8.846 23.973-30.704 21.885-83.575 5.978-133.287-15.907-49.713-46.054-95.526-67.783-109.624-11.498-7.46-19.198-8.73-26.285-7.64-7.088 1.093-14.347 5.197-22.866 11.07-17.038 11.746-38.898 30.02-73.952 30.02-35.212 0-57.115-18.514-74.13-30.356-8.505-5.92-15.73-10.025-22.743-11.078-1.315-.198-2.65-.312-4.03-.317zm212.904 48.75a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zM135 183h18v32h32v18h-32v32h-18v-32h-32v-18h32v-32zm200.988 23.695a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm64 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-32 32a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-160 7h32v18h-32v-18zm64 0h27.897v18h-27.897v-18z"}}]})(props);
};
function GiGargoyle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M136.645 32.4l45.85 57.313c.436.417.54.477.86.502.37.029 1.402-.067 3.026-.84 3.247-1.546 8.209-5.741 12.705-11.137 4.496-5.395 8.695-11.924 11.615-17.763 1.125-2.25 1.821-4.266 2.498-6.202L136.645 32.4zm238.71 0l-76.554 21.873c.677 1.936 1.373 3.953 2.498 6.202 2.92 5.84 7.119 12.368 11.615 17.763 4.496 5.396 9.458 9.59 12.705 11.137 1.624.773 2.657.869 3.026.84.32-.025.424-.085.86-.502l45.85-57.313zM97.283 48.48C82.865 73.02 65.837 88.542 38.977 102.46c-13.978 29.503-17.779 66.837-14.034 100.545 2.989 26.896 11.055 51.29 20.756 67.146.696-2.358 1.43-4.493 2.024-7.15 2.048-9.166 3.736-19.319 6.675-27.793 1.47-4.237 3.094-8.205 6.602-11.74 3.508-3.535 10.54-5.56 15.85-3.678 5.31 1.882 9.066 5.553 13.232 10.668 1.06 1.3 2.21 3.066 3.313 4.6 6.694-17.853 14.224-29.296 23.959-35.61 6.379-4.138 13.982-5.452 20.753-3.998 5.075 1.09 9.627 3.437 13.803 6.512 10.199-7.09 23.028-11.26 36.111-13.957-7.337-9.01-13.987-17.245-18.384-21.643l-3.276-3.275 3.899-23.39c-17.409-9.155-34.717-19.446-52.555-30.835 1.778 7.223 3.063 14.662 3.309 22.366.522 16.393-4.227 33.921-18.108 50.54L89.094 170.23c11.34-13.578 14.34-25.596 13.931-38.427-.273-8.589-2.356-17.57-5.119-26.907-5.357 5.364-11.082 10.912-17.11 15.987C70.733 129.359 60.5 136.998 48 136.998v-17.996c3.5 0 12.268-4.36 21.203-11.885 8.935-7.524 18.301-17.348 26.434-25.48l5.217-5.217 6.138 4.092c23.195 15.463 44.851 28.947 66.377 40.535l2.592-15.549c-29.679-14.697-58.79-33.458-78.678-57.02zm317.434 0c-19.888 23.561-49 42.322-78.678 57.02l2.592 15.548c21.526-11.588 43.182-25.072 66.377-40.535l6.138-4.092 5.217 5.217c8.133 8.132 17.5 17.956 26.434 25.48 8.935 7.524 17.702 11.885 21.203 11.885v17.996c-12.5 0-22.732-7.64-32.797-16.115-6.027-5.075-11.752-10.623-17.11-15.987-2.762 9.336-4.845 18.318-5.118 26.907-.41 12.83 2.59 24.85 13.931 38.427l-13.812 11.54c-13.881-16.62-18.63-34.148-18.108-50.541.246-7.704 1.53-15.143 3.309-22.366-17.838 11.389-35.146 21.68-52.555 30.834l3.899 23.39-3.276 3.276c-4.397 4.398-11.047 12.632-18.384 21.643 13.083 2.697 25.912 6.866 36.11 13.957 4.177-3.075 8.729-5.422 13.804-6.512 6.771-1.454 14.374-.14 20.753 3.998 9.735 6.314 17.265 17.757 23.96 35.61 1.102-1.534 2.253-3.3 3.312-4.6 4.166-5.115 7.923-8.786 13.232-10.668 5.31-1.882 12.342.143 15.85 3.678 3.508 3.535 5.132 7.503 6.602 11.74 2.939 8.474 4.627 18.627 6.675 27.793.594 2.657 1.328 4.792 2.024 7.15 9.7-15.856 17.767-40.25 20.756-67.146 3.745-33.708-.056-71.042-14.034-100.545-26.86-13.919-43.888-29.44-58.306-53.982zM247.002 59.525l-18.072 4.518a120.019 120.019 0 0 1-2.131 4.482c-3.58 7.16-8.381 14.632-13.885 21.237-5.485 6.582-11.503 12.368-18.723 15.826l-8.595 51.58c8.541 9.282 18.82 22.822 29.236 34.975a306.945 306.945 0 0 0 3.725 4.255l17.119-21.396h11.326v-11.895c-8.51-1.493-17.098-4.736-24.7-7.81-10.303-4.167-18.415-8.338-18.415-8.338l8.226-16.008s7.456 3.827 16.936 7.66c9.48 3.834 21.364 7.344 26.951 7.344s17.471-3.51 26.951-7.344c9.48-3.833 16.936-7.66 16.936-7.66l8.226 16.008s-8.112 4.171-18.416 8.338c-7.601 3.074-16.189 6.317-24.699 7.81v11.895h11.326l17.12 21.396c1.235-1.388 2.476-2.799 3.724-4.255 10.417-12.153 20.695-25.693 29.236-34.975l-8.595-51.58c-7.22-3.458-13.238-9.244-18.723-15.826-5.504-6.605-10.305-14.076-13.885-21.237a120.019 120.019 0 0 1-2.13-4.482l-18.073-4.518V96h-17.996V59.525zm-2.678 133.473L231.26 209.33l.123.11c4.877 4.211 9.117 5.562 8.617 5.562h32c-.5 0 3.74-1.35 8.617-5.563.04-.034.083-.074.123-.109l-13.064-16.332h-23.352zm-43.086 10.94c-1.89.28-3.773.578-5.629.916-19.81 3.601-35.87 10.742-42.466 21.468.766 28.334 15.33 58.5 30.906 89.653l.441.884 33.205 132.82-19.658 29.489 28.008-9.336 20.957 18.338V449.11l-32-128.004V320c0-16-1.607-45.879-13.365-57.637l12.726-12.726c17.055 17.055 18.589 43.786 18.65 61.365h45.973c.062-17.579 1.596-44.31 18.65-61.365l12.727 12.726C298.605 274.121 296.998 304 296.998 320v1.107l-32 128.004v39.059l20.957-18.338 28.008 9.336-19.658-29.488 33.205-132.82.441-.885c15.577-31.153 30.14-61.319 30.906-89.653-6.597-10.726-22.657-17.867-42.466-21.468a176.746 176.746 0 0 0-5.63-.917c-6.114 7.13-12.278 13.855-18.378 19.124-6.123 5.288-11.883 9.937-20.383 9.937h-32c-8.5 0-14.26-4.65-20.383-9.937-6.1-5.269-12.264-11.993-18.379-19.124zm-53.215 77.68a84.634 84.634 0 0 0-3.345 1.57c-8.107 4.037-15.415 9.336-20.022 14.31-4.607 4.974-5.759 9.089-5.533 10.463 7.857 47.767 33.241 87.677 47.24 101.676l9.65 9.65-52.76 21.104 32.21 1.039-9.768 22.793 29.573-8.344 9.863 10.203 13.174-19.762-30.803-123.209c-6.813-13.62-13.76-27.427-19.479-41.494zm215.954 0c-5.72 14.066-12.666 27.873-19.479 41.493l-30.803 123.21 13.174 19.761 9.863-10.203 29.573 8.344-9.768-22.793 32.21-1.04-52.76-21.103 9.65-9.65c13.999-14 39.383-53.909 47.24-101.676.226-1.374-.926-5.489-5.533-10.463-4.607-4.974-11.915-10.273-20.022-14.31a84.634 84.634 0 0 0-3.345-1.57zm-128.452 47.38L256 410.896l20.475-81.898h-40.95zM255.951 496l.049.043.049-.043h-.098z"}}]})(props);
};
function GiGarlic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M217.5 30.8c.4 3.92.9 8.68 1.3 14.06 15.8.8 34-.77 48-3.02-1.3-4.46-2.4-8.28-3.1-11.04zm54.7 28.42c-17.5 2.35-36.7 4.33-52.3 3.89.8 20.64.4 43.99-6.3 61.29-17.6 45.2-66.9 73.1-107.9 101.2-20.52 14-39.08 28.1-51.04 42.9-11.95 14.8-17.56 29.6-14.09 48.4 6.06 32.9 30.45 59.1 63.93 78.3-21.28-56 45.5-122.1 89-156-34.1 49.8-75.2 96.4-71.2 153.8 2.5 29.1 23.2 45.8 37.4 52.2 27.8 4.1 52.9-4.8 76.3-13.1-26.7-29.4-28.5-87.4-11.5-113.4-5.5 30.4-1.9 65.7 15.4 90 16.2 22.5 44.3 39.5 66.6 43.6 9.4 1.7 28.1-4.1 42.6-13.4-17.5-11.7-28-24.5-32.6-43.4l17.5-4.3c7.3 28.3 28.5 37.4 53.6 40.5 25.6 3.2 51.9-4 60.8-17.7 12.5-19.1 15.1-41.1 4.8-65.6-4.3-10.3-11.9-20.3-20.3-31.8-16.6-22.6-35.5-45.2-54.2-64.7 24.9 10.8 69.6 50.8 84.5 76.1 2.3-6.1 4-12.5 4.9-19.1 2.4-17.9-2.9-32.2-13.7-46.3-37.3-43.6-95.3-67.6-132.5-104.8 8.9 22.2 18.4 42.6 30.1 62.1-53.3-40.4-61.9-98.9-79.8-160.68zM253.7 447.6c-1.1 19-2.2 28.7-1 46l18-1.3c-1.6-11.3-.1-23.7.8-33.5-6.1-3.2-12.1-6.9-17.8-11.2zm-15.8 3c-6.1 2.2-12.7 4.4-18.3 6.1.2 11.9-1.2 22-3.6 33.4l17.6 3.7c4.2-14.4 3.3-29.9 4.3-43.2zM208 460c-7.2 1.6-13.8 3.4-20.3 4.1-2.7 7-6.2 11.5-10.5 17.7L192 492c7.3-9.7 13.3-21.5 16-32zm75 4c2.1 11 3.9 19.2 5.8 29.9l17.7-3.1c-1.1-7-2.6-14.7-4.1-21-6.4-1.2-12.9-3.2-19.4-5.8zm47.2 3.9c-6.3 1.9-12.7 2.9-18.8 2.8 3.7 7.2 6 12.9 9.1 20.4l16.7-6.9c-2.2-5.4-4.7-11.3-7-16.3z"}}]})(props);
};
function GiGasMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M245.975 26c-85.496 0-154.808 69.301-154.82 154.797v118.63h15.261c40.814 0 73.9 33.087 73.9 73.901v5.715h13.477a65.67 65.67 0 0 1-4.332-23.354c.477-36.417 30.136-65.689 66.557-65.689 36.42 0 66.079 29.272 66.556 65.69a65.654 65.654 0 0 1-4.334 23.308h13.5v-5.717c.007-40.802 33.076-73.881 73.88-73.9h15.226V180.797C420.833 95.31 351.534 26.013 266.046 26h-20.071zM180.52 165.896a55.573 55.573 0 0 1 22.11 4.231c20.798 8.613 34.36 28.91 34.36 51.422.006 30.736-24.909 55.656-55.645 55.656-22.512.005-42.812-13.553-51.43-34.35-8.618-20.796-3.856-44.736 12.06-60.656a55.646 55.646 0 0 1 38.545-16.303zm146.526.047a55.54 55.54 0 0 1 22.096 4.223c20.788 8.604 34.348 28.884 34.357 51.383.006 30.736-24.908 55.656-55.645 55.656-22.498-.005-42.78-13.56-51.388-34.346-8.609-20.786-3.849-44.71 12.058-60.62a55.622 55.622 0 0 1 38.522-16.296zm-71.002 140.514a48.581 48.581 0 0 0-34.35 82.932 48.58 48.58 0 0 0 82.932-34.35h-.045c0-26.813-21.724-48.557-48.537-48.582zM256 318a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-18 34a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm36 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-68.535 46.773l.01.034c-.012-.035 1.943 18.084 1.943 18.084h23.103a67.155 67.155 0 0 1-25.056-18.118zm101.06 0l-.004.038.004-.004v-.034zm-.004.038a67.163 67.163 0 0 1-25.042 18.08h23.103c1.94-18.047.016-.147 1.94-18.08zm-99.103 34.322v18.289h97.164v-18.29h-97.164zm0 34.578V486h97.164v-18.29h-97.164z"}}]})(props);
};
function GiGasPump (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M372.533 21.966L362.7 39.524l24.878 36.62-8.488 44.453 34.125 50.234 19.025-12.923-2.898 61.932.1.003-9.272 173.553c-1.28 17.17-8.718 21.912-14.123 21.93-5.393.02-13.577-5.053-15.95-22.354l-15.988-223.815-.03-.234c-1.673-13.444-7.012-24.765-17.11-31.393-8.642-5.673-19.398-7.853-32.822-8.365v-7.13c0-23.016-3.88-36.357-11.302-43.844-7.42-7.487-20.523-11.384-43.608-11.156H141.148c-23 0-36.182 3.91-43.636 11.363-7.455 7.455-11.364 20.637-11.364 43.637v320h-25v48h288v-48h-25V147.208c11.228.57 18.628 2.538 22.944 5.37 5.138 3.374 7.793 8.046 9.105 18.466l15.994 223.912.04.28c3.114 23.126 17.402 38.15 33.883 38.09 16.48-.06 30.304-15.588 32.01-38.628l.008-.092 9.407-176.086-.113-.006 3.428-73.25-1.334-9.974-76.985-113.324zm29.35 75.236l27.69 40.756-11.583 7.87-19.82-29.18 3.713-19.446zm-292.735 8.832h192v80h-192v-80zm16 103h160v18h-160v-18zm0 32h160v18h-160v-18z"}}]})(props);
};
function GiGate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M248 88v32.652c-5.287.834-10.615 2.448-16 4.63V104h-16v29.16c-1.698.96-3.402 1.953-5.115 2.98-3.598 2.16-7.23 4.48-10.885 6.905V120h-16v34.19c-5.324 3.85-10.664 7.826-16 11.822V152h-16v25.965c-5.402 4.008-10.75 7.9-16 11.592V168h-16v32.213c-1.04.647-2.09 1.312-3.115 1.928-4.448 2.67-8.766 5.003-12.885 6.962V200H88V214.973c-2.89.67-5.575 1.027-8 1.027h-8v-32H24v304h48V232h8c2.658 0 5.324-.23 8-.652V488h16V226.717c5.272-2.138 10.6-4.82 16-7.877V488h16V208.955c5.294-3.512 10.637-7.264 16-11.144V488h16V344h16v144h16V162.443c5.462-3.838 10.81-7.427 16-10.656V296h16V142.898c5.793-2.754 11.188-4.755 16-5.87V296h16V137.027c4.812 1.116 10.207 3.117 16 5.87V296h16V151.787c5.19 3.23 10.538 6.818 16 10.656V488h16V344h16v144h16V197.81c5.363 3.88 10.706 7.633 16 11.145V488h16V218.84c5.4 3.056 10.728 5.74 16 7.877V488h16V231.348c2.676.422 5.342.652 8 .652h8v256h48V184h-48v32h-8c-2.425 0-5.11-.357-8-1.027V200h-16v9.102c-4.12-1.96-8.437-4.292-12.885-6.96-1.026-.617-2.075-1.282-3.115-1.93V168h-16V189.557c-5.252-3.69-10.598-7.584-16-11.592V152h-16v14.012c-5.336-3.996-10.676-7.97-16-11.823V120h-16v23.045c-3.654-2.424-7.287-4.746-10.885-6.904-1.713-1.027-3.417-2.02-5.115-2.98V104h-16v21.283c-5.385-2.183-10.713-3.797-16-4.63V88h-16zM48 120c-13.35 0-24 10.65-24 24s10.65 24 24 24 24-10.65 24-24-10.65-24-24-24zm416 0c-13.35 0-24 10.65-24 24s10.65 24 24 24 24-10.65 24-24-10.65-24-24-24zm-280 54.035V328h-16V185.988c1.6-1.198 3.203-2.39 4.8-3.588 3.75-2.81 7.484-5.608 11.2-8.365zm144 0c3.716 2.757 7.45 5.555 11.2 8.365 1.597 1.2 3.2 2.39 4.8 3.588V328h-16V174.035zM216 312v32h80v-32h-80zm0 48v128h16V360h-16zm32 0v128h16V360h-16zm32 0v128h16V360h-16z"}}]})(props);
};
function GiGaulsHelm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 65.492l-24.902 41.502c8.093-.556 16.385-.857 24.902-.857s16.81.3 24.902.857L256 65.492zM33.535 119.486L57 190.123c4.686-5.92 9.72-11.603 15.115-17.018 10.638-10.673 22.646-20.283 35.98-28.68l-74.56-24.94zm444.93 0l-74.56 24.938c13.334 8.398 25.342 18.008 35.98 28.68 5.396 5.416 10.43 11.1 15.115 17.02l23.465-70.638zM256 124.136c-77.012 0-133.54 23.952-171.135 61.675-35.603 35.726-54.268 84.258-56.168 138.03h454.606c-1.9-53.772-20.565-102.304-56.168-138.03C389.54 148.09 333.012 124.138 256 124.138zm-138.063 86.956c26.667 0 48.448 21.874 48.448 48.582 0 26.708-21.78 48.584-48.447 48.584S69.49 286.382 69.49 259.674c0-26.708 21.78-48.582 48.448-48.582zm138.063 0c26.666 0 48.447 21.874 48.447 48.582 0 26.708-21.78 48.584-48.447 48.584-26.666 0-48.447-21.876-48.447-48.584 0-26.708 21.78-48.582 48.447-48.582zm138.063 0c26.666 0 48.447 21.874 48.447 48.582 0 26.708-21.78 48.584-48.447 48.584s-48.448-21.876-48.448-48.584c0-26.708 21.78-48.582 48.447-48.582zm-276.125 18c-16.905 0-30.448 13.568-30.448 30.582 0 17.013 13.543 30.584 30.448 30.584 16.904 0 30.447-13.57 30.447-30.584s-13.543-30.582-30.447-30.582zm138.062 0c-16.905 0-30.447 13.568-30.447 30.582 0 17.013 13.542 30.584 30.447 30.584s30.447-13.57 30.447-30.584-13.542-30.582-30.447-30.582zm138.063 0c-16.905 0-30.448 13.568-30.448 30.582 0 17.013 13.543 30.584 30.447 30.584 16.905 0 30.448-13.57 30.448-30.584s-13.543-30.582-30.447-30.582zM28.32 341.84v61.164h139.787V341.84H28.32zm157.787 0v61.164h139.786V341.84H186.107zm157.786 0v61.164H483.68V341.84H343.893z"}}]})(props);
};
function GiGauntlet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M123.153 24.602c-11.349.764-48.792 83.005-63.545 132.174-8.046 26.818 2.983 74.734 41.723 106.45 8.813-1.502 16.946-3.047 24.434-4.626-22.473-24.22-39.048-50.488-47.772-82.059l-1.021-3.699 1.963-3.299c26.135-43.925 37.681-68.548 50.85-112.24l3.849-12.773 10.402 8.351c14.624 11.743 23.72 18.084 32.098 21.809-14.428-22.99-31.841-41.36-52.46-50.06a2.164 2.164 0 0 0-.52-.028zm19.791 50.203c-11.724 36.176-24.141 62.49-46.508 100.379 9.004 29.978 25.746 54.616 49.733 78.65 18.744-4.857 32.588-9.929 43.383-14.978 16.875-7.894 26.514-15.73 36.92-23.701-6.532-34.91-18.944-80.14-38.018-118.375-14.754-2.769-27.196-8.373-45.51-21.975zm90.094 158.008c-9.156 7.022-19.796 14.833-35.861 22.347-17.365 8.123-40.947 15.887-76.29 22.793 35.349 28.759 64.905 62.213 112.643 82.157 2.79-15.613 10.509-29.532 20.61-39.782 9.547-9.688 21.609-16.383 34.252-16.82 2.202-5.202 5.378-10.557 10.593-14.93 6.41-5.374 15.626-8.323 26.932-8.156a35.046 35.046 0 0 1 4.807-5.424c-7.384-1.603-16.19-3.168-27.145-5.586zm120.275 50.299c-.04.009-.084.012-.125.021-11.264 3.729-12.514 6.776-16.947 16.078-8.484-1.005-19.247-2.081-25.69 3.16-6.017 6.313-7.279 12.696-9.685 20.715-14.012-3.276-25.77 1.842-33.904 9.877-8.032 8.15-14.35 20.016-16.082 32.65 5.926 2.628 12.109 4.214 18.139 5.727 12.69-15.498 32.27-33.513 50.66-36.851 12.995-13.444 28.669-18.08 41.183-19.891a60.105 60.105 0 0 1 11.764-8.4c-6.632-11.786-12.405-18.622-19.313-23.086zm-232.011 18.882c-1.967 12.934-7.997 24.573-.64 46.305 32.36 70.655 41.042 23.73 93.735 22.953-38.944-18.938-66.126-45.737-93.095-69.258zm267.765 17.102c-4.87.972-9.343 3.536-13.062 6.28 9.197 12.249 16.987 27.313 23.28 43.81 7.916-2.052 14.75-4.612 21.103-7.506-6.473-26.762-18.951-37.976-31.32-42.584zm-29.935 13.906c-7.676 1.509-15.588 4.36-22.774 10.35 8.367 8.844 20.976 24.773 26.053 43.283 7.632-1.268 15.91-3.698 21.006-8.576-6.608-17.858-15.058-33.73-24.285-45.057zm-38.139 19.668c-14.313 5.357-25.257 14.981-34.674 25.938l19.383 26.324c13.696-1.49 26.639-6.254 39.39-13.299-4.69-15.098-18.62-32.912-24.447-38.607zm108.848 24.365c-6.679 3.099-13.973 5.985-22.237 8.375 6.323 10.32 11.618 21.138 15.602 32.543 7.703-3.07 14.902-6.372 21.264-10.082-3.964-11.28-8.68-22.055-14.63-30.836zM164.687 408.39l49.638 43.377c11.274-13.516 27.044-23.94 42.492-33.942l-22.02-25.32c-24.334-8.01-52.756 2.355-70.11 15.885zM391.9 394.153c-6.866 5.056-14.143 7.727-21.795 9.377 5.371 9.31 10.375 19.502 14.354 29.755 7.946-2.139 15.451-4.432 22.344-7.775-3.648-10.897-8.68-21.303-14.903-31.357zm-39.88 14.105c-11.759 6.313-24.191 11.162-37.42 13.545l13.316 27.447c14.663-2.177 28.099-3.684 39.666-9.746-4.195-10.706-9.777-21.706-15.563-31.246zm98.017 17.156c-6.627 3.604-13.647 6.703-20.846 9.534 2.83 7.167 5.28 14.119 7.21 20.757 10.397-1.435 20.263-5.912 18.179-13.869-1.423-5.296-2.923-10.83-4.543-16.422zM268.82 431.54c-16.062 10.564-31.09 20.975-40.728 32.256l1.392 1.217c16.648 14.548 36.256 20.475 44.95 9.13 8.522-11.12 10.536-24.116-5.614-42.603zm144.01 10.957c-7.166 3.334-14.4 5.634-21.465 7.58 3.051 6.991 5.842 13.849 8.244 20.48 9.2-.457 17.732-4.025 19.33-10.442-1.622-5.49-3.688-11.409-6.109-17.618zm-38.437 13.69c-12.724 6.396-25.866 8.467-38.184 10.154l6 12.367c10.038 10.705 32.656 11.336 42.21 2.944-2.654-7.907-6.1-16.516-10.026-25.465z"}}]})(props);
};
function GiGavel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M129.75 24.47L21.625 211.655l55.78 32.188L185.532 56.656 129.75 24.47zm55.97 69.25l-75.626 130.874L326.47 349.47l75.592-130.876L185.72 93.72zm83.468.686l-11.22 19.438 84.97 49.03 11.25-19.468-85-49zM434.25 200.22L326.156 387.405l55.78 32.188 108.095-187.188-55.78-32.187zm-270.53 76.905l-11.282 19.53 84.968 49 11.25-19.5-84.937-49.03zm-3.095 45.844L61.312 494.81h67.157l82.28-142.968-50.125-28.875z"}}]})(props);
};
function GiGaze (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160.72 18.188v52.718c-7.084 7.197-13.702 15.14-19.782 23.75C115.436 130.766 98.88 178.512 95.5 231.5c-15.843 6.807-32.368 11.327-46.938 12.563H19v18.687h27.938c15.03 1.032 32.302 5.66 48.812 12.78 3.888 51.552 20.265 97.963 45.188 133.25 6.08 8.61 12.698 16.554 19.78 23.75v58.94h18.72v-42.533c22.546 16.858 48.51 26.625 76.25 26.625 27.717 0 53.653-9.76 76.187-26.593v42.5h18.688v-58.845c7.118-7.222 13.767-15.197 19.875-23.844 24.917-35.28 41.27-81.68 45.156-133.217 16.448-7.143 33.71-11.776 48.75-12.813h27.937v-18.688h-29.53c-14.582-1.237-31.113-5.763-46.906-12.593-3.38-52.977-19.91-100.712-45.406-136.814-6.108-8.647-12.757-16.622-19.875-23.844V18.188h-18.688v36.28c-22.534-16.832-48.47-26.593-76.188-26.593-27.74 0-53.703 9.767-76.25 26.625V18.187H160.72zm94.968 28.375c27.81 0 53.952 11.57 76.187 32.093v90.188c-3.3 28.337-37.34 58.837-76.22 58.812-40.656 0-75.936-33.853-75.936-63.25h-.282v-85.72c22.25-20.54 48.427-32.124 76.25-32.124zm-.063 18.75c-30.798 0-57.844 32.254-57.844 74.562s27.047 74.594 57.845 74.594 57.844-32.287 57.844-74.595-27.047-74.563-57.845-74.563zm94.938 33.906c1.56 2.024 3.092 4.09 4.593 6.218 21.458 30.382 36.4 70.79 41.063 116.093-25.535-15.01-45.376-35.753-45.376-57.124h-.28l-.002-65.187zm-189.844.093v69.656c-2.597 19.8-21.665 38.734-45.626 52.686 4.648-45.354 19.616-85.808 41.094-116.22 1.48-2.094 2.994-4.127 4.53-6.124zm6.874 124.062c19.914.01 41.186 8.716 64 27.156l.25 5.564c-22.345 18.332-43.445 27.15-63.406 27.25-21.094.106-42.096-9.34-63.72-30.03 21.138-20.45 41.848-29.948 62.876-29.94zm170.625 0c20.928.01 43.357 9.603 67.5 30.03-23.548 20.184-45.702 29.833-66.626 29.94-19.773.098-39.455-8.202-59.656-26.283l.312-7.843c19.62-17.622 38.9-25.853 58.47-25.845zm-167.908 12c-9.548 0-17.28 7.766-17.28 17.313 0 9.546 7.732 17.28 17.28 17.28 9.548 0 17.313-7.734 17.313-17.28 0-9.548-7.764-17.313-17.313-17.313zm170.657 0c-9.55 0-17.283 7.766-17.283 17.313 0 9.546 7.734 17.28 17.282 17.28 9.547 0 17.28-7.734 17.28-17.28 0-9.548-7.733-17.313-17.28-17.313zm-85.314 43.875c38.88 0 72.918 30.507 76.22 58.844v86.687c-22.236 20.525-48.38 32.095-76.188 32.095-27.823 0-54-11.582-76.25-32.125v-82.22h.28c0-29.396 35.28-63.256 75.938-63.28zM115.47 285.5c23.788 13.933 42.672 32.765 45.25 52.47v66.155c-1.538-1.997-3.053-4.03-4.532-6.125-20.89-29.58-35.642-68.653-40.72-112.5zm280.405.125c-5.09 43.797-19.848 82.824-40.72 112.375-1.5 2.126-3.033 4.194-4.592 6.22v-61.69h.28c0-21.27 19.672-41.91 45.032-56.905z"}}]})(props);
};
function GiGearHammer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M265.344 17.5l-4.188 25.313c-17.994-.1-35.62 2.066-52.562 6.28l-9.438-25.062-55.125 20.75 9.907 26.282c-15.008 8.587-28.96 18.95-41.5 30.876L90 83.53l-37.375 45.5L75.75 148c-8.54 14.428-15.47 30.036-20.5 46.594l-30.063-4.97-9.593 58.095L46 252.75c-.374 17.218 1.313 34.127 4.906 50.438L22 314.063l20.75 55.125 28.625-10.782c8.07 15.027 17.91 29.046 29.28 41.75L81.688 423.25l45.532 37.344 18.343-22.344c14.386 9.118 30.04 16.577 46.687 22.125l-4.53 27.5 58.093 9.594 4.343-26.283c18.046.874 35.764-.54 52.875-4.03l8.97 23.78 55.094-20.75-8.53-22.656c16.126-8.343 31.134-18.683 44.655-30.78l17.936 14.72 37.344-45.533-17.188-14.093c9.733-15.35 17.606-32.125 23.25-50.03l21.407 3.53 9.56-58.094-21.06-3.47c.608-18.84-1.282-37.305-5.408-55.06l19.844-7.47-20.75-55.125-20.187 7.594c-8.89-16.114-19.817-31.033-32.5-44.376l14.155-17.25-45.5-37.375-14.72 17.936c-15.396-9.116-32.13-16.37-49.936-21.47l3.967-24.092-58.093-9.594zm-8.03 47.938c11.136-.15 22.437.685 33.81 2.562C395.113 85.164 465.665 183.606 448.5 287.594 431.336 391.58 332.894 462.134 228.906 444.97 124.92 427.803 54.366 329.36 71.53 225.374c15.02-90.99 92.292-156.386 181.032-159.813 1.585-.06 3.16-.103 4.75-.124zm.217 18.687c-1.437.018-2.88.04-4.31.094-80.154 3.037-149.672 61.917-163.25 144.186-15.52 94.022 47.977 182.606 142 198.125 94.02 15.52 182.573-47.977 198.093-142 15.52-94.02-47.947-182.573-141.97-198.092-10.283-1.698-20.496-2.44-30.562-2.313zm.408 18.156c9-.116 18.145.546 27.343 2.064 84.096 13.88 140.85 93.092 126.97 177.187-13.88 84.096-93.06 140.85-177.156 126.97-25.808-4.26-49.03-14.68-68.438-29.5l109.688-133.625 52.844 43.375 58.437-71.188-108.22-88.78-101.842 35.53 71 58.25L140.78 353.938c-26.985-33.066-40.165-77.126-32.655-122.625 12.146-73.583 74.283-126.223 145.97-128.937 1.28-.048 2.557-.077 3.843-.094z"}}]})(props);
};
function GiGears (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M179.625 22.313L163.22 58.937c-3.258-.384-6.498-.604-9.72-.624-10.577-.066-20.857 1.808-30.47 5.28L99.78 31.032 55.75 63.188l24.063 33.657c-7.21 10.412-12.3 22.5-14.5 35.75l-42.72 4.687 5.345 54.25 45.468-5c5.082 10.2 12.078 19.372 20.594 26.97l-19.406 43.375 49.375 22.094 19.5-43.564c11.656 1.242 23.08.128 33.75-3l28.124 38.53 31.72-23.186 11.655 20.156C234.014 279.138 220.873 292.3 209.624 307l-49.22-28.344-25.718 46.72 48.125 27.937c-7.068 16.934-11.967 34.975-14.343 53.812H112.5v53.72h56.22c1.66 12.053 4.372 23.753 8.03 35.06h169.312c-23.915-10.758-40.562-34.788-40.562-62.717 0-37.964 30.754-68.75 68.72-68.75 37.963 0 68.75 30.786 68.75 68.75 0 27.93-16.67 51.96-40.595 62.718h91.5V200.375l-11.688-6.406L454.594 242c-16.842-7.204-34.808-12.234-53.594-14.72v-55.53h-53.72v55.47c-18.303 2.377-35.83 7.183-52.31 14.03l-27.126-47.28-36 20.25-9.25-12.97c7.08-9.223 12.43-19.93 15.5-31.72l44.437-4.843-5.342-54.25-42.25 4.157c-4.92-12.618-12.648-23.953-22.563-33.094L229 44.406l-49.375-22.093zm-27.344 84.25c23.3-.24 42.94 17.827 44.376 41.343 1.48 24.275-17.004 45.144-41.28 46.625-24.278 1.483-45.145-16.974-46.626-41.25-1.48-24.274 16.973-45.142 41.25-46.624.76-.046 1.53-.086 2.28-.094z","fillRule":"evenodd"}}]})(props);
};
function GiGecko (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M439.313 23.094c-14.073-.124-34.5 9.153-60.25 28.875-.54-.5-1.12-.986-1.72-1.44-9.96-7.527-24.127-5.554-31.656 4.407-7.408 9.803-5.613 23.7 3.938 31.313-4.674 14.337-1.07 28.65 7.094 40.125-.335 6.702-2.71 12.345-9.97 18-9.175 7.148-18.937 16.258-28.688 26.97-22.286-11.36-39.37-29.202-54-49.595l2.094-.875c36.75-15.54 22.554-40.264-11.03-26.063-6.733-15.916-14.667-22.693-20.75-22.843-8.893-.22-13.83 13.717-5.314 33.874-41.17 17.408-28.02 42.575 11.032 26.062l1.812-.78c14.265 27.902 33.188 47.988 57.5 62.81-17.14 22.89-32.872 50.29-43.47 80.095-14.762-11.55-29.08-16.705-43.467-16.624-19.66.11-39.445 9.975-60.564 26.47l-.594-.938c-22.67-35.828-47.807-22.65-23.906 15.125-31.142 19.703-20.793 46.652 15.156 23.906 19.496 30.818 45.243 18.597 23.907-15.126l-1.97-3.125c36.48-16.268 63.367-10.887 79.313 20.75-1.173 9.542-1.683 19.22-1.47 28.936-31.58 54.99-83.526 108.47-139.905 74.72C56.43 400.583 31.08 290.24 86.03 264.812c-88.86 14-72.12 158.155-11.343 202.093 68.89 49.802 177.1 9.79 226.47-67.5 9.23-9.248 18.042-19.363 26.343-30.125 28.19 9.79 47.533 34.53 54.78 66.564l-1.842-.125c-39.833-2.513-38.174 25.95-1.782 28.25-2.676 42.446 25.93 38.56 28.25 1.78 44.61 2.818 44.1-25.58 1.78-28.25l-3.436-.22c2.32-47.622-21.094-79.984-52.594-105.592 10.95-19.048 20.074-39.302 26.75-60.032 14.804 17.315 36.6 20.202 65.844 11.125 15.61 38.424 42.24 30.015 25.97-11.25 34.28-13.522 29.2-41.947-10.376-26.342-13.374-33.928-40.953-26.72-26.313 10.406l1.97 4.97c-27.402 6.667-38.812-5.483-47.938-26.127 3.577-21.29 4.258-42.663 1.375-63.375-1.377-9.886 5.03-15.268 11.875-20.437 8.062-.07 16.09-2.327 23.313-7.344 9.9 6.767 23.476 4.636 30.78-5.03 7.53-9.96 5.556-24.128-4.405-31.656-.673-.51-1.385-.984-2.094-1.406C469.22 52.58 464.05 23.31 439.312 23.094z"}}]})(props);
};
function GiGemChain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M145.28 17.156c-10.722 0-20.276 5.363-26.124 13.532-3.28-.298-6.57-.46-9.844-.5-6.41-.078-12.785.354-18.968 1.28-4.17.625-8.302 1.507-12.313 2.657-5.9-6.62-14.484-10.813-23.968-10.813-17.63 0-32.124 14.496-32.124 32.126 0 9.798 4.494 18.62 11.5 24.53-2.013 10.177-1.95 19.485-.25 27.907-8.033 5.853-13.282 15.32-13.282 25.938 0 17.63 14.496 32.125 32.125 32.125 8.108 0 15.544-3.07 21.22-8.094 4.63 3.03 9.4 5.94 14.22 8.812-.23 1.54-.345 3.12-.345 4.72 0 17.628 14.464 32.124 32.094 32.124 5.696 0 11.058-1.512 15.718-4.156 3.63 3.45 6.945 7.12 9.937 11.03-5.673 5.806-9.188 13.726-9.188 22.407 0 15.196 10.77 28.05 25.032 31.314-.285 6.97-1.24 14.578-2.94 22.906-7.71 7.632-12.5 18.213-12.5 29.844 0 11.37 4.592 21.723 12 29.312L143.876 459.5l24.75-36.344.125-1.03 8.844-74.907.625-5.22 4.78-2.188 23.813-10.937 3.78-1.72 3.813 1.626 66.375 28.595 5.033 2.156 41.218-2.03-97.717-42.063c-.428-12.813-6.67-24.214-16.157-31.656 6.108-12.412 12.582-22.46 19.5-30.717 3.886 1.686 8.145 2.625 12.625 2.625 17.63 0 32.126-14.497 32.126-32.125 0-.858-.026-1.72-.094-2.563 7.24-3.022 14.84-5.583 22.782-8.063 5.75 8.83 15.705 14.72 26.937 14.72 17.63 0 32.095-14.497 32.095-32.126 0-.248.006-.5 0-.75 7.466-2.73 15.06-5.84 22.78-9.468 5.912 6.92 14.68 11.344 24.408 11.344 17.63 0 32.125-14.496 32.125-32.125 0-4.883-1.11-9.525-3.094-13.686 1.988-1.696 3.977-3.442 5.97-5.25 4.47-4.062 8.36-8.21 11.717-12.406 2.9.868 5.958 1.343 9.126 1.343 17.63 0 32.125-14.464 32.125-32.093 0-17.1-13.623-31.258-30.53-32.093-.815-1.418-1.703-2.782-2.688-4.094-10.114-13.47-27.91-19.66-46.812-15.906-5.88-7.822-15.236-12.907-25.688-12.907-17.63 0-32.125 14.496-32.125 32.126 0 2.676.34 5.288.97 7.78-4.606 1.48-9.358 2.69-14.22 3.688-4.69-11.954-16.39-20.5-29.937-20.5-14.21 0-26.375 9.404-30.563 22.282-.49-.056-.977-.096-1.468-.156-7.364-.893-14.776-2.13-22.19-3.656-.644-17.076-14.868-30.875-32.092-30.875-10.565 0-20.007 5.2-25.875 13.156-8.143-3.288-16.077-6.82-23.688-10.56.02-.475.03-.96.03-1.44 0-17.628-14.494-32.124-32.124-32.124zm0 18.688c7.53 0 13.44 5.907 13.44 13.437 0 7.53-5.91 13.44-13.44 13.44-7.53 0-13.436-5.91-13.436-13.44 0-7.53 5.907-13.436 13.437-13.436zM54.063 42c7.53 0 13.438 5.907 13.438 13.438 0 7.528-5.908 13.437-13.438 13.437s-13.437-5.907-13.437-13.438c0-7.53 5.907-13.437 13.438-13.437zm51.438 6.938c2.534-.042 5.086.012 7.656.156v.187c0 17.63 14.496 32.126 32.125 32.126 10.5 0 19.906-5.118 25.782-13 7.672 3.723 15.626 7.253 23.782 10.53-.017.424-.03.857-.03 1.283 0 17.628 14.494 32.124 32.124 32.124 11.45 0 21.556-6.134 27.25-15.25 8.235 1.716 16.52 3.09 24.78 4.094 1.16.14 2.31.28 3.47.406 3.92 13.317 16.293 23.156 30.812 23.156 15.15 0 27.97-10.707 31.28-24.906 7.855-1.49 15.507-3.508 22.908-6.156 5.663 4.973 13.065 8 21.125 8 17.63 0 32.125-14.497 32.125-32.126 0-.582 0-1.174-.032-1.75 10.226-1.395 18.642 2.073 23.938 7.813-8.74 5.766-14.563 15.65-14.563 26.813 0 7.753 2.798 14.9 7.44 20.468-2.504 2.893-5.383 5.845-8.72 8.875-1.994 1.812-3.984 3.533-5.97 5.22-4.828-2.915-10.462-4.594-16.467-4.594-17.63 0-32.125 14.496-32.125 32.125 0 1.254.076 2.503.218 3.72-7.127 3.36-14.19 6.254-21.187 8.813-5.832-8.236-15.414-13.657-26.19-13.657-17.44 0-31.82 14.187-32.124 31.563-8.24 2.576-16.358 5.483-24.312 8.936-5.9-7.545-15.073-12.437-25.313-12.437-17.628 0-32.093 14.463-32.093 32.093 0 6.62 2.02 12.802 5.5 17.937-8.06 9.418-15.562 20.688-22.375 34.313-2.903-.642-5.91-1-9-1-3.03 0-5.99.318-8.843.937.5-4.477.787-8.82.874-13 12.003-4.67 20.594-16.393 20.594-29.97 0-17.628-14.496-32.124-32.125-32.124-2.17 0-4.29.207-6.344.625-4.093-5.693-8.677-10.813-13.595-15.5 2.208-4.344 3.47-9.233 3.47-14.405 0-17.63-14.497-32.125-32.126-32.125-9.288 0-17.685 4.022-23.564 10.406-4.358-2.647-8.565-5.262-12.53-7.875.66-2.548 1.03-5.223 1.03-7.968 0-17.63-14.495-32.093-32.125-32.093-.508 0-1.026.006-1.53.03-.54-4.26-.41-8.98.47-14.344 1.013.1 2.054.156 3.093.156 17.63 0 32.124-14.496 32.124-32.124 0-1.384-.108-2.755-.28-4.094 2.323-.556 4.722-1.032 7.218-1.407 3.992-.598 8.15-.93 12.375-1zm283.063 7.187c7.53 0 13.437 5.907 13.437 13.438C402 77.09 396.092 83 388.562 83s-13.437-5.907-13.437-13.438c0-7.53 5.907-13.437 13.438-13.437zM226.938 66.813c7.53 0 13.406 5.876 13.406 13.406 0 7.527-5.877 13.436-13.406 13.436-7.53 0-13.438-5.907-13.438-13.437 0-7.53 5.907-13.407 13.438-13.407zM313.25 79.22c7.53 0 13.438 5.875 13.438 13.405 0 7.53-5.908 13.438-13.438 13.438s-13.438-5.908-13.438-13.438S305.72 79.22 313.25 79.22zM462.156 89c7.53 0 13.438 5.907 13.438 13.438 0 7.528-5.908 13.406-13.438 13.406s-13.406-5.876-13.406-13.406S454.626 89 462.156 89zM52.03 120.406c7.53 0 13.44 5.876 13.44 13.406s-5.91 13.438-13.44 13.438c-7.53 0-13.436-5.907-13.436-13.438 0-7.53 5.907-13.406 13.437-13.406zm354.283 30.688c7.53 0 13.437 5.907 13.437 13.437 0 7.53-5.908 13.44-13.438 13.44s-13.437-5.91-13.437-13.44c0-7.53 5.907-13.436 13.438-13.436zm-287.094 6.844c7.53 0 13.436 5.907 13.436 13.437 0 7.53-5.908 13.438-13.437 13.438-7.53 0-13.407-5.908-13.407-13.438s5.876-13.438 13.406-13.438zm207.81 24.187c7.53 0 13.408 5.876 13.408 13.406s-5.877 13.44-13.407 13.44-13.436-5.91-13.436-13.44c0-7.53 5.907-13.405 13.437-13.405zm-81.75 28.03c7.53 0 13.44 5.877 13.44 13.407S252.81 237 245.28 237c-7.53 0-13.405-5.907-13.405-13.438 0-7.53 5.876-13.406 13.406-13.406zm-77.468 9.19c7.53 0 13.438 5.906 13.438 13.436s-5.908 13.44-13.438 13.44-13.437-5.91-13.437-13.44c0-7.53 5.907-13.436 13.438-13.436zm19.5 74.155c9.223 0 17.102 5.21 20.907 12.875l-1.157-.5-42.375 16.78c-.466-1.853-.72-3.8-.72-5.81 0-8.078 3.988-15.13 10.126-19.314l.47.126c.04-.17.083-.33.124-.5 3.628-2.314 7.95-3.656 12.625-3.656zm23.5 54.094l-15.28 7-7.063 59.906 52.374 3.156 23.47-47.03-53.502-23.032zm129.22 28l-58.75 2.906-24.907 49.906 30.22 54.28 53.436-107.092zm-155.5 57.375l-34.626 50.874 119.97 7.25-30.47-54.813-54.875-3.31z"}}]})(props);
};
function GiGemNecklace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M26.537 18.69c-5.14 13.737 1.93 32.374 21.42 32.374 1.11 0 2.175-.07 3.205-.185-14.21 12.198-9.28 41.503 15.158 41.503 3.21 0 6.075-.513 8.612-1.418-7.113 13.846-.416 34.93 20.31 34.93 5.08 0 9.312-1.273 12.71-3.39-5.43 13.773 1.582 32.77 21.26 32.77 3.985 0 7.446-.785 10.395-2.142-2.018 11.57 3.74 24.662 17.375 27.35l-55.47 76.296 169.78 233.525L441.067 256.78 364.97 152.11c13.87-2.34 19.88-15.235 18.147-26.84 1.81.403 3.756.625 5.852.625 20.725 0 27.42-21.084 20.307-34.93 2.537.905 5.403 1.418 8.612 1.418 24.436 0 29.365-29.305 15.157-41.504 1.03.115 2.095.184 3.205.184 19.49 0 26.56-18.637 21.42-32.375h-42.84c-3.445 9.207-1.397 20.607 6.19 27.13-1.007-.113-2.05-.175-3.133-.175-20.563 0-27.425 21.08-20.367 34.925-2.524-.904-5.373-1.414-8.554-1.414-17 0-24.62 14.408-22.767 27.225-1.804-.404-3.745-.628-5.832-.628-10.137 0-16.94 5.126-20.39 11.982L298.366 60.5 271.29 23.256l-7.558 10.394-81.398 111.96c-3.543-6.543-10.237-11.366-20.068-11.366-3.973 0-7.43.792-10.38 2.162 2.21-12.973-5.388-27.87-22.673-27.87-5.053 0-9.275 1.28-12.67 3.405 5.38-13.772-1.77-32.784-21.3-32.784-3.184 0-6.034.51-8.56 1.416 7.06-13.846.2-34.927-20.363-34.927-1.084 0-2.126.062-3.134.175 7.588-6.523 9.636-17.923 6.19-27.13h-42.84zm271.83 73.59l38.38 52.788L326 185.18c-2.728-.513-5.523-.795-8.377-.795-3.85 0-7.593.504-11.203 1.422l-20.498-76.41 12.445-17.118zm-26.578 36.558l17.48 65.16c-4.572 3.337-8.695 7.403-12.225 12.022-3.006 3.932-5.625 8.27-7.824 12.927l-44.646-25.168 47.215-64.942zm79.095 35.68l32.416 44.587-17.308 9.772c-2.192-4.632-4.8-8.947-7.79-12.86-4.17-5.453-9.16-10.144-14.75-13.76l7.433-27.74zm-33.262 38.554c9.644 0 18.64 5.02 25.73 14.297 7.092 9.277 11.81 22.688 11.81 37.696 0 15.01-4.72 28.42-11.81 37.7-7.094 9.278-16.086 14.296-25.73 14.296-9.644 0-18.638-5.018-25.73-14.296-7.092-9.28-11.813-22.69-11.813-37.7 0-15.007 4.72-28.42 11.813-37.697 7.092-9.28 16.086-14.298 25.73-14.298zm-104.11 5.924l49.716 28.03c-1.198 5.775-1.84 11.817-1.84 18.04 0 7.44.913 14.623 2.606 21.395L213.72 304.85l-34.947-48.07 34.74-47.782zm180.85 15.324l23.598 32.46-23.73 32.642-22.982-12.955c1.694-6.774 2.606-13.958 2.606-21.4 0-6.252-.647-12.32-1.854-18.12l22.363-12.627zm-123.666 69.82c1.87 3.546 3.988 6.888 6.348 9.975 3.883 5.08 8.48 9.495 13.607 13l-18.314 68.36-47.555-65.41 45.914-25.924zm93.85.003l18.62 10.498-32.774 45.08-8.313-30.988c6.148-3.716 11.614-8.72 16.12-14.617 2.36-3.087 4.478-6.428 6.347-9.972zm-56.576 30.55c3.13.682 6.352 1.06 9.653 1.06 2.323 0 4.604-.2 6.846-.542l11.79 43.948-37.893 52.12-11.89-16.356 21.494-80.23z"}}]})(props);
};
function GiGemPendant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M29.018 18.875c-2.63 10.297.047 21.72 8.044 29.72 10.035 10.034 25.46 11.696 37.29 5 5.914 5.346 11.686 10.373 17.357 15.12-.338 1.818-.522 3.687-.522 5.597 0 17.024 14.008 31 31.03 31 4.917 0 9.576-1.17 13.72-3.24 5.755 3.91 11.562 7.715 17.482 11.48-.474 2.142-.732 4.36-.732 6.635 0 17.024 14.008 31 31.03 31 7.577 0 14.55-2.772 19.964-7.345l13.873 8.125c-.263 1.535-.414 3.113-.414 4.732v38.904L114.07 255.27v160.064l138.284 80.053 138.283-80.053V255.27l-104.047-60.233V156.7c0-.983-.067-1.946-.172-2.897 5.393-3.07 10.655-6.08 15.697-8.994 5.226 3.992 11.736 6.377 18.762 6.377 17.023 0 31-13.976 31-31 0-1.867-.176-3.695-.498-5.476 6.047-3.987 12.012-8.058 17.978-12.298 3.97 1.855 8.38 2.9 13.02 2.9 17.023 0 31.03-13.976 31.03-31 0-1.973-.194-3.903-.553-5.78 5.273-4.45 10.697-9.14 16.318-14.116 11.6 5.714 26.135 3.778 35.736-5.822 7.998-7.998 10.675-19.42 8.045-29.72h-20.413c4.018 4.888 3.736 11.916-.85 16.5-4.887 4.888-12.55 4.89-17.437 0-4.585-4.585-4.867-11.614-.85-16.5h-20.414c-1.915 7.5-1 15.592 2.72 22.528-4.12 3.636-8.123 7.105-12.034 10.434-5.575-5.288-13.083-8.555-21.297-8.555-17.024 0-31.03 14.01-31.03 31.032 0 5.45 1.438 10.583 3.948 15.05-4.245 2.958-8.5 5.84-12.797 8.673-5.6-5.48-13.24-8.88-21.62-8.88-17.025 0-31.032 14.01-31.032 31.032 0 3.166.484 6.225 1.383 9.11-4.23 2.445-8.744 5.028-13.247 7.605-1.028-.994-2.112-1.91-3.246-2.716-6.692-4.768-14.72-6.882-22.714-7.014-7.996-.132-16.15 1.718-22.97 6.504-.807.565-1.586 1.186-2.337 1.85-4.367-2.573-8.764-5.164-12.947-7.622.642-2.47.984-5.056.984-7.716 0-17.024-14.007-31.032-31.03-31.032-7.977 0-15.29 3.075-20.812 8.094-4.47-2.838-8.894-5.69-13.248-8.596 2.267-4.297 3.56-9.178 3.56-14.34 0-17.025-13.977-31.033-31-31.033-8.26 0-15.804 3.304-21.388 8.642-4.515-3.827-9.1-7.833-13.79-12.067 3.063-6.575 3.715-14.03 1.94-20.98H68.568c4.018 4.887 3.736 11.915-.85 16.5-4.887 4.887-12.55 4.888-17.437 0-4.584-4.586-4.865-11.615-.848-16.5H29.018zm93.2 43.094c6.924 0 12.313 5.42 12.313 12.343s-5.387 12.312-12.31 12.312c-6.926 0-12.345-5.39-12.345-12.313 0-6.923 5.42-12.343 12.344-12.343zm260.157 0c6.924 0 12.344 5.42 12.344 12.343s-5.42 12.312-12.345 12.312c-6.924 0-12.344-5.39-12.344-12.313 0-6.923 5.42-12.343 12.345-12.343zM183.72 107.843c6.922 0 12.343 5.42 12.343 12.344 0 6.923-5.42 12.312-12.344 12.312-6.926 0-12.345-5.39-12.345-12.313 0-6.923 5.42-12.343 12.344-12.343zm137.155 0c6.924 0 12.313 5.42 12.313 12.344 0 6.923-5.39 12.312-12.313 12.312-6.924 0-12.344-5.39-12.344-12.313 0-6.923 5.42-12.343 12.345-12.343zm-69.164 38.013c4.695.078 9.355 1.536 12.18 3.55 2.826 2.012 4.01 3.805 4.01 7.292v27.52l-15.546-9-16.526 9.565V156.7c0-4.09 1.258-5.835 3.953-7.725 2.696-1.89 7.237-3.195 11.93-3.118zm-8.122 56.03v32.728l-74.182 43.21-28.558-16.462 102.74-59.476zm18.687.67l102.16 59.138-28.624 16.502-73.533-42.83-.002-32.81zm-9.988 48.62l72.256 42.085-.002 84.316-72.253 42.086-72.256-42.086.003-84.314 72.254-42.088zm.465 18.33l-56.883 98.15v.724l56.566 32.977L309 368.38v-66.085l-56.248-32.79zm-119.994 8.764l28.586 16.48v84.027l-28.586 16.48V278.272zm239.19.668l-.003 115.648-28.715-16.553v-82.54l28.717-16.555zM333.493 393.99l28.414 16.38-99.63 57.677v-32.574l71.216-41.483zm-161.77.375l71.864 41.86v32.494l-100.21-58.013 28.345-16.342z"}}]})(props);
};
function GiGemini (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M40.222 392.1c23.715-6.93 47.498-12.842 71.872-17.062V134.755c-24.37-4.214-48.157-10.137-71.872-17.06V27.4c70.673 20.643 133.888 29.363 207.96 29.363 78.793 0 145.615-9.52 220.073-33.702v90.575c-26 8.44-51.744 15.286-78.683 20.18v242.157c26.934 4.89 52.69 11.736 78.683 20.18v90.575c-74.463-24.188-141.285-33.702-220.07-33.702-74.08 0-137.29 8.72-207.963 29.368V392.1zm207.96-28.18c9.728 0 29.432.16 38.915.473V145.396c-9.483.31-29.187.462-38.913.462-7.916 0-25.85-.104-33.62-.312v218.68c7.77-.197 25.704-.306 33.62-.306z"}}]})(props);
};
function GiGems (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M303.2 19.338l-161.966 93.51 93.512 161.966 161.967-93.51-4.674-8.093-4.874-8.44-4.127-7.54-.188.07-79.65-137.962zm-20.62 33.486l-50.27 90.14c-19.184-7.687-37.887-17.28-56.165-28.69l106.435-61.45zm19.914 2.664l63.235 109.528c-40.568 2.1-78.993-3.29-115.658-15.536l52.422-93.992zm-251.61 25.68L23.032 167.99l74.302 51.123 27.854-86.822-5.723-3.936-68.578-47.186zm10.118 29.646l32.295 22.22-44.233 14.99 11.938-37.21zm385.836 22.33l-46.143 17.418 9.06 16.557 20.165-7.614 2.992 43.463-39.94 15.077-.878-12.748-18.016 10.4 1.977 28.71 76.457-28.865-5.674-82.402zm-270.55 3.045c31.896 18.617 65.316 32.12 100.267 39.964l-39.52 65.25L176.29 136.19zm-76.604 14.414l-12.467 38.863-33.73-23.207 46.197-15.656zm196.437 29.318c19.028 3.07 38.496 4.478 58.403 4.158l-93.675 54.084 35.273-58.242zM21.187 224.744l1.96 14.336 21.672 158.522 167.026 49.484-1.994-14.59-23.522-12.463L79.99 388.53l59.563-26.098 34.398-54.528 6.943 50.77 16.082-20.33-8.766-64.114-167.024-49.486zm22.435 26.14l121.497 35.997-38.314 60.733-66 28.92-17.182-125.65zm313.064 5.206l-88.914 23.824-1.916 2.395-89.266 111.594 197.365 102.963 118.662-187.66-135.93-53.117zm-13.6 22.988l31.3 55.317-86.09 22.673 2.505-63.978 52.284-14.012zm21.582.193l88.18 34.46-59.778 15.743-28.402-50.202zm-93.035 25.734l-2.232 57.04-54.978 14.48 57.21-71.52zm184.313 27.234l-73.545 116.31 13.94-100.61 59.605-15.7zm-79.185 20.856L362.762 454.11l-67.342-79.594 81.338-21.422zM275.402 379.79l67.532 79.817-124.325-64.86 56.792-14.958z"}}]})(props);
};
function GiGhostAlly (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M216.242 23.555c-1.514-.042-3.074.125-4.588.125-32.333 0-58.656 33.378-58.656 74.736 0 20.942 6.97 39.84 17.813 53.44-67.073 10.403-65.61 115.718-65.61 188.576h40.41l9.992 151.642h78.41l-9.496-151.35h-40.58c0-72.856-1.285-178.355 65.79-188.755-10.842-13.602-17.83-32.55-17.83-53.49 0-22.137 7.473-41.88 19.374-55.46-9.035-10.623-20.667-17.67-33.532-19.34-.492-.075-.99-.11-1.496-.125zm78.703.402c-1.533-.04-3.126.125-4.64.125V492.59h52.26l11.683-151.865h42.422c0-72.654-5-175.973-66.402-187.526 11.328-13.665 19.06-33.248 19.06-54.72 0-38.777-23.35-70.56-52.875-74.398-.492-.074-.997-.11-1.508-.125z"}}]})(props);
};
function GiGhost (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M373.688 22.063c-1.245-.014-2.498 0-3.75.03-31.364.748-65.528 15.414-96.938 47.313-88.264 89.642-154.092 171.18-242.938 174.03 23.65 18.21 54.87 31.21 85.25 36.783-24.375 29.26-50.877 47.65-93.437 64.842 37.915 9.124 74.452 6.5 109.813-2.343-27.29 34.35-62.118 65.85-107.47 95.78 60.376-.392 136.226-12.138 181.626-47.906-4.842 30.69-16.186 65.125-43.22 100.47 70.74-18.73 117.115-42.386 146.595-83.533 2.905 27.513-.94 45.098-11.095 80.595 78.006-66.3 150.857-164.775 182.78-270.97C513.44 108.94 452.066 22.89 373.69 22.063zM371.03 96.47c5.76 0 11.1 1.732 15.564 4.686-7.706.283-13.875 6.6-13.875 14.375 0 7.956 6.45 14.407 14.405 14.407 5.118 0 9.6-2.665 12.156-6.687.028.503.033 1.022.033 1.53 0 15.633-12.648 28.314-28.282 28.314-15.632 0-28.31-12.68-28.31-28.313 0-15.63 12.678-28.31 28.31-28.31zm67.376 34.874c4.462 0 8.683 1.035 12.438 2.875-5.734 1.9-9.875 7.284-9.875 13.655 0 7.955 6.45 14.406 14.405 14.406 4.54 0 8.547-2.093 11.188-5.374.086.902.156 1.826.156 2.75 0 15.632-12.68 28.313-28.314 28.313-15.633 0-28.312-12.682-28.312-28.314s12.68-28.312 28.312-28.312zm-111.5 32.47l4.906 45.155 29.782-25.032 4.625 42.53 31.31-26.343 4.314 39.75 30.312-25.47 5.97 55.032-43.938 36.938-4.313-39.75-30.313 25.47-4.625-42.533-31.312 26.344-4.906-45.156-29.783 25.03-5.968-55.03 43.936-36.938z","fillRule":"evenodd"}}]})(props);
};
function GiGiantSquid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M231.64 60.34c-12.222 25.912-25.13 60.62-35.005 94.2-9.876 33.577-16.674 66.33-17.137 87.16-.366 5.434-.428 16.186 3.441 19.769.354.044 2.042-.023 5.036-1.52C206.12 250.876 231 247 256 247c25 0 49.879 3.876 68.025 12.95 2.994 1.496 4.682 1.563 5.036 1.519 3.16-4.29 3.503-15.532 3.441-19.77-.463-20.83-7.26-53.582-17.137-87.16-9.876-33.578-22.783-68.287-35.006-94.2-3.156-7.181-14.372-37.082-24.359-36.929-11.033.17-20.534 28.866-24.36 36.93zm-19.35-1.01c-22.495 17.595-50.172 42.38-59.099 65.879 3.844 14.31 13.763 23.683 23.69 32.91 10.069-33.526 22.243-69.391 35.408-98.789zm87.458.084c14.486 34.704 26.414 66.864 35.371 98.705 8.94-9.37 22.031-19.506 23.69-32.91-14.587-30.414-35.718-47.832-59.061-65.795zM59.141 132.908c-1.58 16.937 1.915 40.013 22.1 65.059 7.353-2.053 13.734-5.085 18.849-8.805 4.686 7.938 11.747 16.622 13.142 26.002 2.483 20.992-16.236 50.36-32.93 78.406-8.346 14.023-16 27.735-18.952 41.672-2.952 13.937.299 29.29 12.925 39.701 10.218 8.425 23.768 7.778 35.793 3.82 12.025-3.956 23.95-11.202 34.889-19.029 7.06-5.05 13.69-10.38 19.453-15.293 2.153.612 4.427 1.26 6.518 1.852-16.292 19.786-28.73 40.123-41.442 56.566-15.118 19.557-29.787 33.155-51.869 37.018-14.315 2.504-38.035-6.199-59.617-17.904v20.634c20.471 10.629 42.631 18.514 62.719 15 27.966-4.891 46.849-22.837 63.008-43.74 15.094-19.525 28.567-42.016 46.302-62.271 1.846.498 3.654.98 5.422 1.445-1.64 8.025-3.884 18.264-6.758 29.475-6.4 24.973-16.2 54.243-26.617 68.955C152.87 464.473 134.68 480.039 115.7 494h29.633c12.473-10.292 23.685-21.183 31.436-32.129 13.547-19.132 22.75-49.092 29.36-74.887 2.87-11.197 5.128-21.447 6.808-29.619 4.463 1.019 8.713 1.911 12.763 2.655-1.643 24.417-5.836 78.135-12.521 106.425-1.844 7.804-4.818 17.395-8.285 27.555h19.058c2.725-8.389 5.086-16.396 6.744-23.414 7.277-30.79 11.324-83.063 12.938-108.104 4.323.371 8.553.564 12.777.551 1.95 43.763 2.743 87.742 5.139 130.967h18.027c-2.096-43.95-3.693-88.095-5.195-132.139 3.673-.452 7.44-1.024 11.38-1.738.38 5.529.842 11.73 1.497 18.799 1.818 19.612 4.637 42.788 9.638 59.08 5.076 16.534 13.858 36.316 23.649 55.998h20.203c-11.208-21.998-21.476-44.444-26.644-61.281-4.1-13.357-7.15-36.333-8.922-55.46a765.6 765.6 0 0 1-1.637-20.935 575.888 575.888 0 0 0 10.267-2.572c3.057 9.82 8.226 25.34 15.202 42.2 11.633 28.113 27.316 59.935 49.884 75.462 22.168 15.252 56.768 18.44 86.559 19.238 10.42.28 20.164.147 28.543-.132v-18.006c-8.18.281-17.8.42-28.06.144-28.52-.764-61.584-5.576-76.838-16.072-15.656-10.771-32.309-40.577-43.456-67.516-6.583-15.911-11.488-30.572-14.445-40.023 1.963-.545 4.33-1.225 6.36-1.793 4.641 9.226 11.72 22.387 20.34 35.209 7.687 11.437 16.456 22.577 26.468 30.44 10.012 7.861 23.045 12.843 35.332 7.3 6.99-3.153 12.479-8.084 15.666-14.094 3.187-6.01 4.078-12.672 3.756-19.267-.644-13.19-5.758-26.93-11.342-41.164-5.584-14.234-11.796-28.855-15.426-42.14-3.63-13.287-4.442-24.843-1.15-33.306 9.78-15.892 23.432-29.033 36.545-38.726 5.337 4.231 12.244 7.662 20.318 9.916 20.185-25.045 23.679-48.122 22.1-65.059-24.536 7.73-42.168 26.434-54.592 41.766-16.116 12.277-34.131 27.545-41.146 45.576-5.508 14.157-3.544 29.547.562 44.576 4.106 15.03 10.589 30.097 16.031 43.97 5.443 13.875 9.69 26.662 10.12 35.468.214 4.402-.43 7.604-1.678 9.957-6.948 10.457-17.25 6.263-23.979 1.07-7.397-5.808-15.532-15.74-22.646-26.324-14.228-21.168-24.639-44.565-24.639-44.565l-.273.122-8.707-17.413C333.255 319.258 323.253 325 312 325c-18.119 0-33-14.881-33-33 0-9.453 4.055-18.02 10.502-24.057C279.092 266.037 267.532 265 256 265c-9.084 0-18.178.652-26.72 1.857C236.43 272.928 241 281.965 241 292c0 18.119-14.881 33-33 33-14.421 0-26.782-9.43-31.23-22.414-8.236 18.35-29.464 33.224-42.288 42.51-10.107 7.231-20.993 13.59-30.04 16.568-9.049 2.977-14.835 2.594-18.717-.607-7.893-6.508-8.85-12.247-6.766-22.084 2.083-9.837 8.706-22.58 16.812-36.198 16.213-27.236 39.1-57.896 35.336-89.724-1.284-10.863-7.458-20.852-12.984-29.346-13.686-20.938-36.79-44.905-58.982-50.797zM208 277c-8.39 0-15 6.61-15 15s6.61 15 15 15 15-6.61 15-15-6.61-15-15-15zm104 0c-8.39 0-15 6.61-15 15s6.61 15 15 15 15-6.61 15-15-6.61-15-15-15z"}}]})(props);
};
function GiGiant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M357.796 17.533a64.331 64.331 0 0 0-2.058.003c-2.574.046-5.301.247-8.203.621-4.663 3.477-4.538 13.246-8.952 18.954-9.888-2.176-17.187 5.81-16.779 13.777l13.6 8.93c-13.526 22.345-33.82 39.466-39.022 63-16.566-2.885-38.03-4.903-54.232-3.256-.317.713-.632 1.426-.967 2.137-7.961 16.865-19.716 30.123-33.039 38.064-13.323 7.941-28.946 10.586-42.514 4.098-12.117-5.795-19.646-17.476-22.757-30.885-28.118-3.618-60.113 34.404-89.708 60.709-19.094 27.134 4.077 80.52-2.126 98.36-3.741 10.756 4.885 33.1 20.544 36.263 15.336 3.098 26.122-9.397 33.727-21.799 2.006-3.27-25.782-19.36-27.326-28.098-1.844-10.43-.717-41.722 2.525-60.271 18.983-1.913 35.11-17.272 44.768-25.108 8.071 36.793 14.738 80.07 29.758 117.065-8.645 51.14-18.984 98.52-16.819 150.85l-44.894 7.75c-4.62 7.753-6.843 16.91-.02 25.365 0 0 74.398.412 77.207.412 1.673-.32 2.503-20.515 1.455-30.611 2.354-31.588 22.146-69.96 38.055-102.399 27.546-37.452 63.778-46.092 93.254-86.709 29.25 22.461 46.953 45.293 59.545 77.008 28.265-35.233 33.557-36.365 63.638-55.832-1.861-8.516-2.47-17.504-14.537-22.193-20.54 7.464-11.65 1.68-39.459 18.836-14.72-21.902-29.08-50.748-57.85-62.114-3.86-.917-45.101 11.195-76.636 38.158 4.707-23.282 9.712-56.212 11.414-87.923 20.94-4.93 45.912-20.178 65.79-28.711 36.293-29.313 30.23-54.157 42.88-83.47l7.45-1.99c8.9-14.321 14.563-28.469 16.894-42.79-6.779-3.49-14.48-6.059-24.606-6.201zM209.613 50.449c-5.176-.044-10.926 1.668-16.985 5.279-9.693 5.778-19.438 16.398-26.007 30.314-6.57 13.916-8.595 28.229-6.922 39.442 1.672 11.213 6.592 18.74 13.615 22.1 7.023 3.358 15.93 2.441 25.623-3.337 9.693-5.778 19.439-16.398 26.008-30.314 6.569-13.916 8.594-28.229 6.922-39.442-1.673-11.213-6.595-18.739-13.618-22.097-2.633-1.26-5.531-1.92-8.636-1.945zm240.683 286.748c-3.779.138-7.868 1.97-11.93 5.83-4.022 3.899-7.021 9.026-9.044 15.04-2.023 6.015-3.23 12.023-1.899 17.495 3.899 16.016-2.949 1.262-3.861-5.362-.577-4.372-.545-9.899-1.203-17.808l-17.938 1.492c.386 4.632.489 8.563.73 12.451l-16.394 1.125c5.088 21.17 3.951 49.462 33.041 47.12-7.946 22.393-21.154 45.923-36.644 71.36l15.373 9.362c8.272-13.583 16.136-26.867 22.998-40.012 4.99 14.721 13.158 27.42 19.707 39.594l15.851-8.527c-8.94-16.62-18.234-31.036-21.162-47.25 5.111-16.052 10.005-32.737 11.55-49.875 7.515-3.86 12.499-12.384 14.83-19.149 2.022-6.014 2.736-11.925 1.898-17.494-2.602-9.75-8.688-15.657-15.903-15.392z"}}]})(props);
};
function GiGibbet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M82.063 22.97v55.468h10.624v-.157h85.907v.157h67.22L356.5 189.03v303.876h88.313V22.97H82.063zm225.125 55.468H356.5v49.28l-49.313-49.28zm-188.47 18.53v119.313c-6.382 11.06-15.59 27.544-23.374 45.032-7.905 17.757-14.563 36.232-14.563 52.782 0 15.672 4.607 30.03 12.657 40.906 8.05 10.876 20.057 18.438 33.688 18.438 13.63 0 25.637-7.562 33.688-18.438 8.05-10.876 12.687-25.234 12.687-40.906 0-16.68-6.99-35.573-15.03-53.563-7.144-15.975-15.21-30.695-21.032-40.905V96.97h-18.72zm8.126 143.188h.562c4.58 8.437 9.43 17.778 14 28 7.59 16.977 13.406 35.015 13.406 45.938 0 11.93-3.682 22.556-9.03 29.78-5.35 7.226-11.856 10.876-18.657 10.876-6.8 0-13.308-3.65-18.656-10.875-5.35-7.225-9-17.85-9-29.78 0-11.054 5.498-28.48 12.936-45.19 4.603-10.34 9.635-19.947 14.438-28.75z"}}]})(props);
};
function GiGiftOfKnowledge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M375.344 18.438c-1.137-.01-2.276.007-3.438.03-13.273.27-28.187 2.787-45.562 8.126-22.4 6.883-38.08 27.877-35.844 50.312 1.62 16.34 15.186 34.143 30.875 45.625 24.664 18.046 42.29 36.65 54.375 54.44l7.625 48.843 18.47-2.907-5.064-32.437c-1.34-23-7.98-45.714-22.342-69.095 14.54 8.79 27.36 18.46 38.03 28.156l28.22 55.72 16.656-8.438-26.53-52.406c-7.148-17.347-17.845-33.647-33.783-49.03 15.97 4.774 30.48 10.84 42.97 17.436l39.906 45.22 14-12.376-40.5-45.875-.094.095C441.37 85.048 426.1 72.19 406.063 61.687v-.093c-.278-.243-.558.187-.812.187-25.3-1.83-47.73-.167-62.28 3.69 13.373-10.633 34.805-18.547 64.592-21.25l47.375 18.31 6.75-17.436-41.375-16-.093-.032c-13.467-6.492-27.824-10.464-44.876-10.625zm-237.688.03c-16.838.232-31.037 4.164-44.375 10.595l-41.468 16.03 6.72 17.438 47.406-18.31c29.77 2.706 51.224 10.62 64.593 21.25-14.55-3.857-36.98-5.52-62.28-3.69-.254 0-.534-.43-.813-.186v.093C87.4 72.192 72.132 85.047 60.188 99.876l-.124-.094-40.5 45.876 14.03 12.375L73.5 112.813c12.49-6.596 27-12.662 42.97-17.437-15.94 15.384-26.668 31.684-33.814 49.03l-26.53 52.407 16.687 8.438L101 149.53c10.672-9.694 23.49-19.366 38.03-28.155-14.36 23.38-21 46.095-22.343 69.094l-5.03 32.436 18.468 2.906 7.594-48.78c12.084-17.806 29.684-36.437 54.374-54.5 15.69-11.483 29.254-29.286 30.875-45.626 2.234-22.435-13.414-43.43-35.814-50.312-19.113-5.873-35.252-8.32-49.5-8.125zM307.72 235.814c-11.41 0-24.272 4.91-40.22 22.718v130.814c19.24-13.898 38.485-19.628 56.563-19.844 22.987-.275 43.643 7.632 61.562 15.438 17.92 7.805 33.542 15.33 44.156 16.468 5.308.57 9.002-.088 12.564-2.312 3.187-1.99 6.62-5.816 10-12.53L431.688 256.81c-10.648 7.425-20.88 11.553-30.72 12.688-13.806 1.592-26.063-2.53-36.75-7.97-21.37-10.875-38.164-25.762-56.5-25.717zm-99.376 5c-18.118-.082-35.583 15.45-57.406 27.093-10.912 5.822-23.348 10.394-37.407 9.156-10.018-.88-20.423-4.782-31.186-12.156L62.906 393.47c13.616 13.096 25.344 15.566 38.594 13.842 14.267-1.855 30.332-9.854 47.406-18.093 17.074-8.24 35.31-16.776 55.438-17.22 14.575-.32 29.73 4.21 44.47 15.344V259.47c-16.255-18.45-24.774-18.62-40.47-18.658zM45.438 278.875l-24.782 158.22 194.906 13v19h83.563v-18.97l195.53-13.03-24.78-158.22-15.53 1.22 16.936 106.5.44 2.78-1.158 2.53c-4.76 10.555-10.745 18.306-18.312 23.033-3.66 2.285-7.59 3.727-11.594 4.53l.03.188-1.998.188c-.084.012-.167.02-.25.03-.958.136-1.915.217-2.875.282h-.125L258.563 437.28l-.782.064-.75-.063-158.467-10.967h-.094c-4.606.203-9.278-.1-13.97-.97-.03-.005-.063.006-.094 0-13.02-2.434-26.164-9.29-38.25-22.124l-3.125-3.314.69-4.5 17.405-115.312-15.688-1.22zM324.28 388.188c-18.502.22-37.827 6.678-59.436 27.625l-2.344 2.28 124.563-12.03c-2.944-1.34-5.893-2.688-8.907-4-17.257-7.518-35.372-14.096-53.875-13.875zm-119.53 2.5c-14.906.328-30.94 7.28-47.72 15.375-3.318 1.6-6.69 3.246-10.06 4.875L254 418.344l-2.72-3.125c-17.09-19.683-31.624-24.86-46.53-24.533z"}}]})(props);
};
function GiGiftTrap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M137 98.656c-16.695.23-30.792 4.135-44.03 10.47L51.155 125.31l6.72 17.407 47.374-18.314c29.788 2.705 51.25 10.618 64.625 21.25-14.55-3.855-36.98-5.487-62.28-3.656-.255 0-.535-.43-.814-.188v.063c-20.038 10.504-35.305 23.39-47.25 38.22l-.124-.126-40.468 45.874 14 12.375 39.968-45.25c12.475-6.585 26.963-12.64 42.906-17.407-16.033 15.476-26.79 31.88-33.937 49.343L55.47 277.03l16.686 8.44 28.188-55.72c10.678-9.705 23.508-19.39 38.062-28.188-14.368 23.392-21.037 46.116-22.375 69.125L111 303.125 129.47 306l7.593-48.78c12.085-17.806 29.716-36.438 54.406-54.5 15.688-11.484 29.222-29.287 30.843-45.626 2.235-22.436-13.413-43.398-35.813-50.28-19.113-5.874-35.252-8.353-49.5-8.158zm235.5 0c-13.583.133-28.894 2.65-46.813 8.156-22.4 6.884-38.078 27.846-35.843 50.282 1.62 16.34 15.186 34.142 30.875 45.625 24.662 18.042 42.29 36.65 54.374 54.436L382.72 306l18.467-2.875-5.03-32.25c-1.313-23.073-7.968-45.858-22.376-69.313 14.557 8.8 27.385 18.482 38.064 28.188l28.187 55.72 16.658-8.44-26.5-52.405c-7.147-17.362-17.863-33.667-33.813-49.063 15.943 4.768 30.43 10.823 42.906 17.407l39.97 45.25 14-12.376-40.5-45.875-.125.093c-11.94-14.814-27.195-27.692-47.22-38.188v-.063c-.277-.242-.557.188-.81.188-25.302-1.83-47.732-.2-62.283 3.656 13.38-10.636 34.82-18.548 64.625-21.25l47.344 18.313 6.75-17.407-41.81-16.188c-13.24-6.334-27.337-10.24-44.033-10.47-.89-.01-1.78-.008-2.687 0zM256.406 213.25l-29.875 16.063c17.367 18.545 21.357 38.456 20.845 55.906-7.2-4.745-14.84-9.365-22.03-12.5-42.413-18.495-76.576 29.284-76.25 78.092.324 48.81 26.526 95.435 68.936 103.907 10.856 2.167 32.447-3.007 38.814-20.626 8.826 17.087 29.49 22.085 40.312 19.687 42.293-9.345 64.763-56.715 69.906-105.25h.032c4.502-42.497-33.786-100.522-80.875-76.436-6.1 3.12-12.72 7.05-19.095 11.187 2.077-24.64-2.11-50.12-10.72-70.03z"}}]})(props);
};
function GiGingerbreadMan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25.08c-44.2 0-80 39.37-80 87.92.1 22.3 13.8 43.7 27.6 59.9l-43.7-6.1c1 3.8 1.3 8.1-.2 12.6-2 5.9-7.6 9.4-11.9 10.7-4.4 1.2-8.3 1.3-11.8 1.5-13.1-.4-6 3.5-.4 8.9 3 2.9 6.5 6.1 9.3 10.4 2.9 4.4 5.1 11 2.9 17.4-2.1 6.1-7.6 9.8-12.1 11.4-4.5 1.5-8.8 1.9-12.6 2.3-8.3 1.4-11.7-.3-8.6 7.9 1.3 3.2 3.6 7.1 6.2 10.7l65.3 18.7c-12.2 36.5-30 79.3-46 118.4 1.5-.6 3-1.1 4.6-1.5 6.1-1.8 13.1-1.6 18.5 1.3 5.4 3 7.9 9.1 8.3 13.6.5 4.5-.1 8.4-.6 11.9-2.4 12.8 2.2 6.7 8.7 2 3.5-2.4 7.3-5.3 12-7.3 4.8-2 11.7-3 17.6.4 5.6 3.1 8.2 9.1 9 13.9.1.7.2 1.4.2 2.1 8.8-18 22.4-39.1 37.7-39.1 15.3 0 28.9 21.1 37.7 39.1 0-.7.1-1.4.2-2.1.8-4.8 3.4-10.8 9-13.9 5.9-3.4 12.8-2.4 17.6-.4 4.7 2 8.5 4.9 12 7.3 9.6 6.2 10.1 9.5 8.7-2-.5-3.5-1.1-7.4-.6-11.9.4-4.5 2.9-10.6 8.3-13.6 3.1-1.7 6.3-2.4 9.5-2.5 3.1-.1 6.2.4 9 1.2 1.6.4 3.1.9 4.7 1.5-16-39-33.8-81.6-46-118l65-18.9c2.7-3.6 5.1-7.6 6.4-10.9 3.7-8.1-2.8-7.1-8.6-7.9-3.8-.4-8.1-.8-12.6-2.3-4.5-1.6-10-5.3-12.1-11.4-2.2-6.4 0-13 2.9-17.4 2.8-4.3 6.3-7.5 9.3-10.4 7.5-8.2 11.4-8.5-.4-8.9-3.5-.2-7.4-.3-11.8-1.5-4.3-1.3-9.9-4.8-11.9-10.7-1.5-4.4-1.2-8.7-.2-12.6l-44 6.3c14-16.2 27.8-37.7 27.9-60.1 0-48.55-35.8-87.92-80-87.92zm-32 65.95c8.8 0 16 7.15 16 15.97 0 8.8-7.2 16-16 16s-16-7.2-16-16c0-8.82 7.2-15.97 16-15.97zm64 0c8.8 0 16 7.15 16 15.97 0 8.8-7.2 16-16 16s-16-7.2-16-16c0-8.82 7.2-15.97 16-15.97zm-73.6 41.57c14.9 15 28.6 21.4 41.6 21.4s26.7-6.4 41.6-21.4l12.8 12.8C293.3 162.4 275 172 256 172s-37.3-9.6-54.4-26.6zM119 161c-80.01 0-80.01 74-32.01 90l9.82 2.8c-1.61-4.9-2.37-10.3-.42-15.9 2.1-6.1 7.61-9.8 12.11-11.4 4.5-1.5 8.8-1.9 12.6-2.3 14.2-1.3 9.4-3.8 1.9-10.8-3-3-6.5-6.2-9.3-10.6-2.8-4.3-4.9-11.1-2.5-17.5 2.2-5.8 7.8-9.1 12.2-10.3 6.6-1.9 12.6-.7 19.2-2.2-.4-3.5-2.2-6.2-4-9zm274 0l-19.6 2.8c-1.8 2.8-3.7 5.6-4 9 6.5 1.2 13.4.6 19.2 2.2 4.4 1.2 10 4.5 12.2 10.3 2.4 6.4.3 13.2-2.5 17.5-2.8 4.4-6.3 7.6-9.3 10.6-10.3 10.2-10.6 9.2 1.9 10.8 3.8.4 8.1.8 12.6 2.3 4.5 1.6 10 5.3 12.1 11.4 1.9 5.6 1.2 11-.4 16l9.8-2.9c48-16 48-90-32-90zm-185 30l32.9 19.2c2.2-6.5 8.3-10.8 15.1-10.8 6.8 0 12.9 4.3 15.1 10.8L304 191v48l-34.8-14.5c-3 4.3-7.9 6.9-13.2 6.9-5.3 0-10.2-2.6-13.2-6.9L208 239zm48 60c8.8 0 16 7.2 16 16s-7.2 16-16 16-16-7.2-16-16 7.2-16 16-16zm0 52c8.8 0 16 7.2 16 16s-7.2 16-16 16-16-7.2-16-16 7.2-16 16-16zM152.2 413.1c-.7 0-1.7.1-3 .5-3.3.8-7.5 2.7-11.4 4.9-4.3 2.5-8 4-9.8 8.5-30.62 61.2 41.3 78.5 75.6 37.9-1.9-2.8-2.9-5.8-3.3-8.5-.7-4.8-.4-9-.1-12.8-.1-3.2.7-6.7-.1-9.8-2.4.5-7.5 4.1-10.1 5.9-3.5 2.5-7.3 5.3-12.1 7.3-4.7 2-11.8 2.8-17.6-.7h-.1c-5.3-3.3-7.5-9.4-7.9-13.8-.4-4.5.2-8.4.7-11.8.4-3.4.6-6.2.5-7.6zm206.3 0c-.1 1.4.1 4.2.5 7.6.5 3.4 1.1 7.3.7 11.8-.4 4.4-2.6 10.5-7.9 13.8h-.1c-5.8 3.5-12.9 2.7-17.6.7-4.8-2-8.6-4.8-12.1-7.3-3.2-2.1-6.7-4.9-10.1-5.9-.5 3-.2 7.1-.1 9.8.3 3.8.6 8-.1 12.8-.4 2.7-1.4 5.7-3.3 8.5 34.3 40.6 106.2 23.3 75.6-37.9-1.3-4.5-6.5-6.6-9.8-8.5-3.9-2.2-8.1-4.1-11.4-4.9-1.4-.5-2.8-.5-4.3-.5z"}}]})(props);
};
function GiGinkgoLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M118.9 20.13l-16.4 7.56c21.9 47.21 55.3 102.71 90.7 152.61C127.8 322 18.79 349.2 29.06 377.1 80.7 517.8 239.3 503.5 314.3 467.7c27.5-13.1 5.1-61.3-6-94 20.6 25.8 61.5 67.9 77.1 58.6 95.9-57.3 119-164 80.5-267.8-20.2-54.4-116.3 31.7-257.6 5.8-35-49.2-68.2-104.28-89.4-150.17z"}}]})(props);
};
function GiGladius (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M124.812 388.907a60.718 60.718 0 0 0 16.564 11.588L107.28 435.07a48.756 48.756 0 0 0-28.35-28.006l34.16-34.576a61.093 61.093 0 0 0 11.722 16.42zm209.598-276.44c-32.754 33.14-57.813 79.127-103.008 124.853-9.13 9.245-40.292 37.355-58.303 53.555l49.223 48.64c15.98-18.24 43.727-49.744 52.858-58.978 45.154-45.726 90.828-71.39 123.57-104.477C452.683 121.485 481 28.492 481 28.492s-92.67 29.4-146.59 83.976zM83.656 430.594a30.92 30.92 0 1 0 .26 43.727 30.817 30.817 0 0 0-.26-43.727zm91.13-40.603c11.16 0 20.822-2.81 24.497-6.56l20.885-21.103-69.88-69.047-20.823 21.135c-7.964 8.068-11.233 43.06 7.85 61.905 10.12 10.026 24.79 13.66 37.47 13.66z"}}]})(props);
};
function GiGlaive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M488.7 24.74c-25.6 25.54-51.7 50.93-78 76.26-57-13.38-129.6 16.5-170.7 43 49.3-8 98.8-16.3 120.4 4.7-85.4 80.4-173.5 159.8-261.92 239l38.92 44.9c23.9-8.7 56.6-29.2 92-57.6 38-30.6 79.2-70.3 117.4-113.7 67.7-76.8 125.6-166.14 141.9-236.56zM94.96 409.3l-13.61 12.5 19.95 22.6 14-12.9-20.34-22.2zM68.06 434L18 480.1V494h29.39l40.65-37.4L68.06 434z"}}]})(props);
};
function GiGlassBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23C127.4 23 23 127.4 23 256s104.4 233 233 233 233-104.4 233-233S384.6 23 256 23zm0 18c118.8 0 215 96.2 215 215s-96.2 215-215 215S41 374.8 41 256 137.2 41 256 41zm-26.2 30.98c-31.1 8.77-64.1 25.12-91 48.92 7.6 4.3 15.1 9.1 22.4 14.4 25.1-23.5 57.6-42.36 98.3-51.26-11.1-6.71-22-10.88-29.7-12.06zm49.3 26.85c-44.2 6.27-78.1 24.37-103.7 47.87 10.3 9.1 19.8 19.4 28.1 30.8 21.2-18 52.5-31.9 99-39.5-3.1-15.4-12.3-28.7-23.4-39.17zM125.3 134.1c-20.8 22.4-36.08 50.3-41.05 83.4 2.11 12.3 5.86 22.7 10.71 31.6 6.74-26.9 19.74-57.2 40.54-85 4-5.4 8.3-10.6 12.9-15.7-7.5-5.5-15.3-10.2-23.1-14.3zm37.3 25.5c-4.6 4.9-8.8 10-12.7 15.3-23.1 30.9-35.9 65.9-40.6 93.5 14.7 14.7 33 22 48.5 24.8 2.5-37.7 8.2-74.2 32.8-102.9-8.1-11.4-17.6-21.7-28-30.7zM444 273.5c-32.6 72.6-111.1 153.4-219 156 8.1 9.1 49.8 18.1 76.5 9 93.4-31.8 129.1-119.3 142.5-165z"}}]})(props);
};
function GiGlassCelebration (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M243.695 17.3L230.82 120.304l-60.279-44.479 37.455 68.473-64.96-8.193 55.495 34.894-53.898-12.508-2.237 8.428-35.41 133.324-.03.137c-4.45 19.17.229 36.572 10.108 49.285 8.021 10.321 19.14 17.723 31.36 22.074l-20.965 90.332c-10.725-2.312-19.535-3.777-26.486-3.84-11.275-.102-17.749 3.446-19.938 12.88L182.69 494.7c3.539-15.248-9.791-21.619-37.697-28.56l20.963-90.333c12.886 1.474 26.13-.275 37.875-6.008 14.47-7.063 26.335-20.624 30.783-39.793l.032-.139 23.269-116.904 18.522 89.986.033.137c4.573 19.14 16.528 32.625 31.043 39.594 11.782 5.656 25.036 7.318 37.912 5.76l21.553 90.195c-27.86 7.122-41.148 13.58-37.51 28.804l101.498-24.253c-2.251-9.42-8.747-12.924-20.022-12.748-6.95.108-15.751 1.63-26.46 4.011l-21.553-90.193c12.19-4.43 23.26-11.905 31.213-22.277 9.796-12.778 14.362-30.21 9.789-49.35l-.034-.139-38.572-141.502-39.107 9.346 49.74-32.906-72.568 19.896 31.601-83.687-61.449 71.984zM352.55 152.548l15.435 56.629-94.435-9.526-5.537-26.904zm-194.996 27.418l84.666 19.648-2.375 11.928-93.373 10.15zm119.799 38.156l16.285 1.643c3.526 21.284 13.407 75.46 24.455 85.855 10.904 10.26 44.84 2.596 44.84 2.596-36.87 2.87-57.908-53.902-68.108-88.332l78.23 7.892 13.382 49.088c3.409 14.325.234 25.28-6.577 34.164-6.819 8.895-17.778 15.455-29.746 18.315-11.967 2.86-24.709 1.964-34.812-2.887-10.088-4.843-17.872-13.178-21.309-27.488zm-41.19 11.926l-19.098 95.947c-3.343 14.335-11.073 22.722-21.13 27.631-10.072 4.916-22.806 5.897-34.791 3.115-11.986-2.781-22.989-9.27-29.866-18.119-6.867-8.838-10.114-19.771-6.8-34.115l17.043-64.172 19.427-2.111c-7.946 22.99-22.686 68.977-18.386 82.308 4.595 14.25 38.013 23.924 38.013 23.924-35.245-20.62-26.243-72.809-18.168-106.39z"}}]})(props);
};
function GiGlassHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M371.28 18.906c-40.78.092-82.526 21.026-110.624 65.813-35.57-51.667-93.288-71.73-143.5-61.47-54.427 11.12-99.783 58.946-97.47 134.688 2.17 70.978 43.028 120.858 91.25 168.53 48.225 47.674 104.27 94.2 141.97 159.5L261 500l8.094-14.03c37.55-65.042 95.404-109.375 144.625-156.064 49.22-46.69 90.167-97.202 87.905-172.53C499.49 86.238 455.06 36.64 401.875 22.81c-9.972-2.593-20.252-3.93-30.594-3.906zm-.06 18.532c8.754.06 17.462 1.233 25.936 3.437 45.197 11.753 83.9 53.345 85.813 117.063 2.054 68.423-33.94 112.727-82.095 158.406-44.992 42.678-100.275 85.296-139.844 147-39.266-61.85-92.684-106.41-136.936-150.156-47.363-46.823-83.76-91.68-85.72-155.813C36.29 89.075 74.47 51.05 120.907 41.562c46.437-9.487 101.338 10.72 131.938 65.844l8.5 15.375 8-15.655C294.42 57.898 333.28 37.17 371.22 37.437zM358.81 58.343c-1.67-.023-3.264.033-4.78.156-6.066.49-10.737 2.085-13.782 4.156-3.045 2.07-4.678 4.384-5.5 8-1.644 7.233 2.136 19.413 12.188 32.03 10.05 12.62 25.672 25.346 43.937 34.44 18.265 9.092 35.618 12.667 47.75 11.686 6.066-.49 10.705-2.085 13.75-4.156 3.045-2.07 4.71-4.384 5.53-8 1.645-7.232-2.166-19.38-12.217-32-10.052-12.62-25.642-25.345-43.907-34.437-15.98-7.957-31.27-11.718-42.967-11.876zm-210 .03c-1.315-.017-2.565.03-3.75.126-4.736.38-8.26 1.594-10.437 3.063-2.176 1.468-3.208 2.934-3.78 5.437-1.148 5.006 1.59 14.41 9.593 24.375 8 9.964 20.55 20.132 35.218 27.375 14.667 7.243 28.56 10.04 38.03 9.28 4.738-.378 8.263-1.624 10.44-3.093 2.175-1.468 3.207-2.934 3.78-5.437 1.147-5.006-1.592-14.41-9.594-24.375-8-9.964-20.55-20.1-35.218-27.344-12.834-6.336-25.076-9.28-34.28-9.405zm114.313 130c-54.47 0-103.808 4.458-138.938 11.5-17.564 3.523-31.616 7.76-40.5 11.97-4.44 2.105-7.545 4.263-9.062 5.75-.73.715-1.024 1.135-1.156 1.344.13.215.424.658 1.155 1.375 1.517 1.486 4.62 3.613 9.063 5.718 8.883 4.212 22.935 8.448 40.5 11.97 35.13 7.043 84.466 11.53 138.937 11.53 54.47 0 103.808-4.487 138.938-11.53 17.564-3.522 31.616-7.758 40.5-11.97 4.44-2.104 7.545-4.23 9.062-5.718.73-.716 1.024-1.16 1.156-1.375-.13-.208-.425-.628-1.155-1.343-1.517-1.487-4.62-3.645-9.063-5.75-8.883-4.21-22.935-8.447-40.5-11.97-35.13-7.042-84.466-11.5-138.937-11.5zM452.78 218.94c.144.225.095.203.095 0 0-.204.048-.232-.094 0zm-379.31 0c-.143-.232-.095-.204-.095 0 0 .203-.05.225.094 0zm364.592 29c-9.2 3.16-20.002 5.93-32.343 8.406-36.928 7.403-87.112 11.875-142.595 11.875-55.483 0-105.7-4.473-142.625-11.876-11.487-2.303-21.663-4.86-30.438-7.75 43.797 57.35 119.452 106.2 170.688 184.937 28.976-43.9 66.72-77.32 101.78-108.374 29.198-25.858 56.307-50.194 75.533-77.22z"}}]})(props);
};
function GiGlassShot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.53 27.375c-48.39 0-92.187 5.807-124.655 15.53-16.234 4.863-29.648 10.643-39.688 17.75-10.04 7.11-17.5 16.403-17.5 27.75 0 1.172.097 2.312.25 3.44h-.187l1 10.25 32.875 339.592h.03c.536 9.302 7.122 16.108 15.064 21.22 8.123 5.228 18.688 9.385 31.436 12.937 25.497 7.103 59.68 11.406 97.438 11.406 37.76 0 71.92-4.304 97.437-11.406 12.76-3.55 23.357-7.718 31.5-12.938 7.934-5.085 14.494-11.798 15.158-21.03h.03l39.25-339.595.47-4.093c1.244-3.065 1.937-6.327 1.937-9.78 0-11.35-7.46-20.642-17.5-27.75-10.04-7.11-23.453-12.89-39.688-17.75-32.468-9.725-76.265-15.532-124.656-15.532zm0 18.688c46.88 0 89.348 5.775 119.314 14.75 14.983 4.487 26.83 9.84 34.25 15.093 7.42 5.254 9.594 9.582 9.594 12.5 0 2.918-2.175 7.216-9.594 12.47-7.42 5.252-19.267 10.605-34.25 15.093-29.966 8.973-72.434 14.75-119.313 14.75-46.878 0-89.314-5.777-119.28-14.75-14.983-4.49-26.83-9.842-34.25-15.095-7.42-5.253-9.625-9.55-9.625-12.47 0-2.917 2.206-7.245 9.625-12.5 7.42-5.252 19.267-10.605 34.25-15.093 29.966-8.974 72.402-14.75 119.28-14.75zM96.126 118.75c9.51 5.925 21.563 10.876 35.75 15.125 32.468 9.724 76.265 15.53 124.656 15.53 34.11 0 65.91-2.89 93.095-8l-4 76.25c-25.53-4.724-57.128-7.5-91.344-7.5-68.924 0-127.24 11.32-146.686 26.94L96.124 118.75zm319.03 1.094l-13.624 117.72c-4.28-3.6-10.63-6.96-18.686-10.033l9.187-97.186c8.758-3.123 16.52-6.593 23.126-10.5zm-16.405 141.72l-9.53 82.498c-3.96 9.04-10.745 16.984-19.658 23.813L378.72 271c8.322-2.87 15.116-6.047 20.03-9.438zm-288.78.092c21.506 14.704 78 25.22 144.31 25.22 32.79 0 63.15-2.597 88.095-6.97l-5.5 105.188c-73.98 27.105-197.158 14.24-219.094-42.625l-7.81-80.814z"}}]})(props);
};
function GiGlider (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247.989 307.923l.88.88-118.47 118.42c-22.74 22.79-76.09 54.47-76.09 54.47a17.21 17.21 0 0 1-22.18-26.16l181.72-181.71zm231.86-275.77a17.21 17.21 0 0 0-24.33 0l-181.72 181.72 34.1 34.1.88.88 118.42-118.43c22.74-22.74 54.47-76.09 54.47-76.09a17.21 17.21 0 0 0-1.82-22.18zm-52.44 319.24a32.78 32.78 0 0 0-23.25 9.62l-43.17 43.17a32.89 32.89 0 0 0 0 46.51l6 6 89.69-89.68-6-6a32.78 32.78 0 0 0-23.27-9.62zm-46.8 10.55l-18.69 18.69c-40.87-40.64-64.22-62-102.66-84l-39.27-39.32c-64-64-65.14-86.41-57.12-94.44 1.91-1.91 4.76-3.29 9-3.29 12.64 0 37.47 12.43 85.46 60.41l39.29 39.29c21.95 38.47 43.37 61.8 83.99 102.66zm-156.89-162.82c-34.3-29.84-49.85-33.11-53.79-29.17-2.7 2.7-1.91 8.38 2.33 16.9 4.91 9.84 13.88 22.21 26.79 36.94z"}}]})(props);
};
function GiGlobeRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 18.5c-35 0-61.747 17.777-79.027 39.377-14.67 18.338-23.127 39.13-25.354 56.623h18.348c2.349-13.123 9.296-30.672 21.06-45.377C205.747 50.723 227 36.5 256 36.5s50.253 14.223 64.973 32.623c11.764 14.705 18.711 32.254 21.06 45.377h18.348c-2.227-17.492-10.683-38.285-25.354-56.623C317.747 36.277 291 18.5 256 18.5zm13.893 35.03c14.406 12.58 31.53 37.293 18.646 60.97h34.84c-1.092-12.498-24.592-55.762-53.486-60.97zm-125.32 78.97c-.22.219-.77.852-1.348 2.154C141.978 137.46 141 142.5 141 147.5s.978 10.041 2.225 12.846c.579 1.302 1.129 1.935 1.347 2.154h222.856c.218-.219.768-.852 1.347-2.154C370.022 157.54 371 152.5 371 147.5s-.978-10.041-2.225-12.846c-.579-1.302-1.129-1.935-1.347-2.154zm3.984 48C107.479 212.564 81 262.518 81 318.5c0 96.437 78.563 175 175 175s175-78.563 175-175c0-55.982-26.479-105.936-67.557-138h-90.691C341.782 188.73 395 247.191 395 318.5c0 76.98-62.02 139-139 139-76.98 0-139-62.02-139-139 0-71.308 53.219-129.77 122.248-138z"}}]})(props);
};
function GiGlobe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M322.02 20.184l-17.13 42.273c7.053 2.776 13.857 6.04 20.372 9.758l8.62-13.274 15.675 10.18-8.637 13.296c.85.628 1.692 1.266 2.53 1.91l-19.745 22.735c4.994 3.747 9.706 7.85 14.1 12.268l19.754-22.746c.187.184.38.366.567.55l11.795-10.618 12.504 13.89-11.79 10.614c4.71 5.887 9.005 12.117 12.846 18.648l14.114-7.19 8.482 16.653-14.092 7.177c3.015 6.877 5.555 14.007 7.578 21.353l15.452-3.283 3.884 18.28-15.445 3.282c1.114 7.374 1.71 14.918 1.77 22.59l15.777.827-.98 18.664-15.74-.825c-.835 7.61-2.214 15.056-4.09 22.303l14.947 4.857-5.777 17.774-14.922-4.85c-2.767 7.09-6.03 13.934-9.75 20.486l13.142 8.537-10.18 15.674-13.13-8.528c-4.493 6.108-9.418 11.877-14.725 17.273l10.46 11.617-13.89 12.506-10.437-11.594c-5.9 4.734-12.14 9.062-18.69 12.924l7.05 13.838-16.65 8.484-7.033-13.803c-6.898 3.034-14.055 5.585-21.427 7.62l3.213 15.123-18.28 3.884-3.21-15.107c-7.405 1.125-14.978 1.735-22.682 1.797l-.808 15.41-18.662-.98.807-15.368c-7.645-.834-15.127-2.208-22.405-4.092l-4.738 14.58-17.773-5.777 4.73-14.55c-7.124-2.78-13.997-6.063-20.575-9.803l-8.328 12.822-15.672-10.18 8.33-12.824c-.93-.685-1.848-1.384-2.762-2.088l19.848-22.853c-4.997-3.743-9.71-7.842-14.108-12.257l-19.848 22.853c-.156-.152-.314-.302-.47-.455l-11.356 10.226-12.504-13.89 11.347-10.216c-4.563-5.7-8.737-11.725-12.49-18.03l-38.9 23.71c9.515 15.894 21.132 30.386 34.472 43.088l-20.575 23.69 14.112 12.255 20.575-23.693c34.76 27.522 78.7 43.96 126.482 43.96 1.365 0 2.726-.023 4.084-.05v19.473c-34.134 15.356-59.115 36.682-79.753 59.906h197.54c-19.674-24.32-44.835-43.993-80.784-59.712V409.41c92.908-19.004 162.8-101.184 162.8-199.68 0-58.094-24.315-110.51-63.323-147.636l20.58-23.698-14.11-12.253-20.584 23.7c-15.464-12.24-32.75-22.278-51.376-29.66zm-75.108 82.664c-59.132 0-106.838 47.692-106.838 106.8 0 59.11 47.706 106.8 106.838 106.8 59.132 0 106.838-47.69 106.838-106.8 0-9.375-1.203-18.462-3.46-27.12-10.244 25.087-23.08 45.15-45.905 66.95-16.887-1.487-29.712-8.08-40.643-19.966 6.048-8.86 13.09-17.22 27.096-22.102-12.564-28.283-18.19-56.568-21.393-84.85 12.464 4.59 20.16 11.93 29.235 24.954 7.712 1.697 16.863-6.856 23.27-13.975-19.274-18.99-45.752-30.692-75.038-30.692zm-32.48 65.03c17.62 12.56 32.407 31.486 38.03 52.517-11.065 9.256-16.907 21.124-19.92 34.406 16.957 8.23 30.048 21.297 41.65 36.22v.007c-34.438-3.405-68.245-9.135-98.696-27.164-12.172-20.824-19.107-41.65-19.92-62.474 16.6-7.525 33.2-4.936 49.8.895 9.222-11.47 9.186-20.922 9.056-34.408z"}}]})(props);
};
function GiGlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M55.505 435.172h91.88v-16.518h-91.88zm265.317-173.437v-49.326l16.518-.795v66.639H218.618c2.158-5.162 4.316-11.356 6.442-16.518zM466.385 76.828l14.949 9.405h-14.949zm-387.136.114h15.486v9.291H79.249zm179.982 138.45c.207 9.374 2.468 21.442 10.592 32.458-9.952-2.065-22.712-14.03-30.61-22.444 1.353-3.407 2.602-6.504 3.697-9.219zm-134.558-63.088v-49.553h16.518v49.553zm66.071 0v-49.553h16.518v49.553zm-120.786 0v-49.553h38.198v49.553zm87.75 0v-49.553h16.519v49.553zM96.49 217.488c.413-12.389-14.608-33.335-30.899-33.335-20.977 0-11.593-8.104-1.331-15.33H486V187.9l-254.312 12.285c-4.976 11.625-22.712 56.976-36.39 92.149l4.779 10.324-9.477 1.858c-3.49 9.033-11.5 29.69-14.856 38.414l3.645 9.797-8.26 2.953c-12.388 32.313-17.55 46.456-17.55 46.456H53.44S26 393.216 26 385.216c-.124-43.99 69.292-131.74 70.49-167.728zM223.78 102.75H486v49.553H223.78z"}}]})(props);
};
function GiGloop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M269.72 25.25c-20.685.89-19.476 33.216 3.624 39.406 19.492 5.224 36.934-30.34 3.5-38.594-2.61-.643-4.986-.904-7.125-.812zm199.874 28.22c-.622-.01-1.237.006-1.844.03-5.825.232-10.737 1.87-13.344 4.063-37.138 31.23 31.965 87.49 23.22 132.375-10.5 53.877-53.34 33.006-80.126 3.468-95.4-105.203-3.794.134-19.156 74.313-10.45 50.462-79.218 19.385-112.03 1.75-45.73-24.58-94.984-79.11-145.72-70.845-51.317 8.36-41.142 57.17-8.125 49.344 45.008-10.67 86.46-1.112 90.56 59.81 3.26 48.403-27.546 88.857-83.655 59.095-13.368-7.09-26.66-13.795-47.594 2.313-25.808 19.858-21.48 49.347-4.968 65.937 34.994 23.726 93.02 21.262 143.875 9.813-42.93 28.815-123.516 38.457-167.437 6.5-11.355 3.064-22.198 2.79-28.313 3.812v40.625H363.72c54.36-22.173 83.55-72.752 98.624-123.688 15.573 31.363-.37 83.37-35.5 123.688h68.78V69.75c-5.867-12.236-16.7-16.158-26.03-16.28zm-145.28 17.25c-5.316-.007-11.49 2.23-18.377 7.53-30.563 23.516 2.462 68.16 30.938 47.22 17.69-13.01 10.467-54.726-12.563-54.75zM446 239.187c33.445-.51 33.692 49.848 7.47 60.78-39.907 16.635-69.676-37.073-26.595-56.03 7.28-3.204 13.652-4.667 19.125-4.75zm-111.656 71.906c41.722-.37 83.516 15.24 82.78 54.97-1.046 56.614-87.026-1-112.405 34.217-38.934 54.023-88.553 10.63-68.314-36.592 23.35-44.777 104.963-28.658 145.97-5.438-15.22-21.573-40.67-38.884-69.126-45.594 6.892-.95 13.987-1.5 21.094-1.562z","fillRule":"evenodd"}}]})(props);
};
function GiGloves (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M322.516 37.237c-1.803.002-3.542.234-5.306.377l-51.752 85.42c61.384 5.321 91.779 33.505 102.81 61.26l-16.726 6.646c-7.707-19.39-26.96-40.824-72.317-48.174 19.162 13.713 33.542 29.578 40.928 48.9l-16.814 6.427c-7.863-20.571-27.13-38.098-55.735-53.84-10.062 4.12-61.61 25.173-79.455 31.217-37.145 12.579-57.377 38.092-95.982 82.9l-.131.15-.135.145c-6.262 6.652-8.894 12.653-9.498 17.03-.604 4.375.484 7.097 2.408 9.13 3.848 4.066 14.178 6.64 29.47-3.732l.075-.051 75.041-48.772 10.854 14.301-51.455 45.31-94.098 86.962c-11.929 11.024-11.736 21.742-8.95 25.441 1.394 1.85 3.499 3.27 8.583 3.041 5.084-.229 12.946-2.695 22.781-9.432 29.733-20.365 57.435-40.716 81.75-65.261l-.053-.223.367-.092c.172-.173.347-.342.518-.515l.35.293a107.655 107.655 0 0 0 10.084-3.188c6.013-2.246 12.442-6.342 13.205-7.377.324-.44 2.174-6.693 2.49-12.154.316-5.461.006-10.104.006-10.104l17.957-1.232s.397 5.64.008 12.375c-.39 6.734-.655 14.586-5.977 21.8-5.76 7.81-14.184 10.863-21.392 13.555a116.939 116.939 0 0 1-6.326 2.143c-24.372 32.684-55.333 57.576-83.96 83.508-9.904 8.972-14.003 16.689-14.915 21.431-.913 4.743.134 6.407 2.586 8.18 4.902 3.546 21.164 4.119 37.998-11.39 33.014-30.417 65.222-60.634 89.838-96.72l.812.483c1.444-.624 4.209-1.855 7.963-3.904 4.97-2.713 10.363-7.018 11.084-8.106.685-1.033 2.533-7.58 3.088-13.133.555-5.552.512-10.205.512-10.205l17.998-.193s.064 5.543-.6 12.19c-.665 6.646-1.366 14.304-5.996 21.289-4.666 7.038-11.527 10.72-17.463 13.959-1.81.988-3.477 1.826-5.023 2.578-16.473 29.911-40.153 55.83-65.37 82.955-5.39 5.798-6.381 10.204-6.062 13.312.32 3.108 2.042 5.768 5.422 7.867 6.76 4.2 19.635 4.864 31.433-7.312 13.606-14.042 25.93-28.72 36.664-44.297 9.298-16.962 18.75-34.088 27.762-51.195l.584.271c.878-.286 3.91-1.295 7.867-3.045 4.577-2.023 9.602-5.513 10.053-6.093.437-.563 2.57-6.262 3.397-11.168.826-4.907 1.06-9.057 1.06-9.057l17.975.99s-.274 5.05-1.285 11.057c-1.012 6.006-2.046 12.933-6.934 19.222-4.902 6.308-11.39 9.038-16.986 11.512-.859.38-1.641.691-2.45 1.024-7.137 16.201-15.774 31.408-25.623 45.804-3.572 6.519-7.224 13.13-10.648 19.502-3.152 5.866-3.348 10.106-2.637 12.965.712 2.86 2.318 4.716 4.73 5.94 4.825 2.448 13.382 2.178 21.13-8.612 57.44-79.992 126.521-160.277 157.107-264.986 2.243-7.679 7.14-11.461 12.994-16.895 5.854-5.433 12.982-11.267 19.97-17.056 6.99-5.79 13.841-11.54 18.83-16.39 3.311-3.22 5.419-6.373 6.458-7.813-2.444-9.527-6.436-19.066-11.633-28.252-11.087 7.119-23.137 13.666-32.795 18.957 6.175-14.902 9.925-30.611 12.399-46.746a155.243 155.243 0 0 0-16.739-15.631c-21.237-17.053-46.035-27.498-68.178-27.473zm-166.379 3.994a61.68 61.68 0 0 0-2.384.01c-12.954.302-28.804 5.21-44.079 13.473-8.182 4.426-16.129 9.83-23.459 15.855 2.418 19.238 6.328 37.979 13.625 55.59-12.265-6.72-28.379-15.468-41.486-24.84-5.205 8.198-8.804 16.525-10.203 24.451.6 2.778 3.535 8.694 8.945 15.264 5.898 7.162 14.06 15.165 22.448 22.916 8.387 7.752 16.99 15.27 24.013 21.895 1.998 1.884 3.852 3.573 5.573 5.209 15.831-14.625 32.157-25.492 53.246-32.633 14.01-4.745 56.236-21.829 72.2-28.319l-52.18-76.707c-5.932-8.301-14.54-11.984-26.259-12.164zM395.985 207.82c-4.581 14.599-9.854 28.711-15.686 42.397l29.274 16.236.076.045c15.98 9.278 26.106 5.987 29.66 1.662 1.777-2.163 2.672-4.952 1.764-9.275-.908-4.324-3.953-10.127-10.664-16.325l-.291-.271-.268-.295c-12.296-13.554-23.467-24.77-33.865-34.174zm-26.809 66.66c-12.18 24.887-26.055 48.39-40.76 70.897 26.935 33.764 60.806 61.355 95.481 89.084 17.877 14.295 34.057 12.587 38.7 8.707 2.32-1.94 3.251-3.673 2.01-8.34-1.243-4.667-5.87-12.08-16.378-20.338-31.775-24.973-66.027-48.625-93.252-81.777l12.916-12.457c26.194 23.147 55.562 41.715 86.998 60.16 10.282 6.033 18.295 7.943 23.383 7.816 5.088-.127 7.089-1.69 8.35-3.633 2.521-3.884 1.964-14.59-10.705-24.753l-99.944-80.174-6.799-5.192zm-51.771 87.373a1279.264 1279.264 0 0 1-16.785 23.952c5.713 8.955 11.47 17.89 17.183 26.777 11.799 14.79 25.119 28.572 39.674 41.63 12.62 11.323 25.417 9.758 31.867 5.096 3.226-2.33 4.759-5.103 4.86-8.226.101-3.123-1.196-7.448-6.979-12.856-26.478-24.761-51.405-48.475-69.82-76.373zm-29.057 40.832a4530.38 4530.38 0 0 1-18.058 24.438c7.546 8.835 15.018 17.636 22.326 26.441 8.482 10.222 17.036 9.89 21.678 7.112 2.32-1.39 3.794-3.352 4.304-6.254.51-2.902.017-7.119-3.537-12.75-3.863-6.123-7.972-12.466-11.994-18.723a297.326 297.326 0 0 1-14.719-20.264z"}}]})(props);
};
function GiGlowingHands (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M104.748 18.654l49.537 95.77c-2.842 2.11-5.612 4.31-8.322 6.578L96.35 93.346l27.603 49.515c-23.207 27.374-38.42 61.737-42.035 99.488l-53.672 15.25 53.29 15.142c2.714 38.4 17.42 73.486 40.384 101.55l-9.27 16.628-93.978 89.217v13.795h12.61l93.935-89.17 16.94-9.446c28.21 24.968 64.26 41.267 104 44.72l14.052 49.456 13.972-49.174c20.024-1.333 39.16-5.918 56.877-13.24l32.15 66.854h20.735l-36.006-74.87c11.583-6.262 22.403-13.756 32.29-22.298l44.143 24.607-24.654-44.227c24.54-28.775 40.23-65.33 42.833-105.455l49.588-14.09-49.947-14.192c-.628-6.983-1.64-13.856-3.037-20.588l54.793-20.605v-19.967l-59.577 22.404c-7.712-24.122-20.35-46.036-36.725-64.574l26.164-46.935-47.45 26.452c-4.984-4.07-10.19-7.883-15.598-11.412l61.673-89.526h-22.693l-55.18 80.1C323.59 87.98 300.23 81.204 275.492 79.38L260.21 25.597 244.84 79.678c-27.16 2.56-52.57 11.12-74.897 24.343L125.79 18.655h-21.042zm80.846 148.838l32.418 66.22c2.915 2.22 5.857 4.2 8.96 5.774l8.485-39.52 18.272 3.923-11.437 53.253c-.877 6.204-2.08 11.73-3.57 16.632l-.207.963-.088-.02c-10.842 34.21-36.004 37.086-61.21 26.79l-74.59-18.977 4.606-18.112 53.29 13.56c.475-2.618 1.07-5.195 1.798-7.718l-59.506-32.723 9.006-16.377 57.885 31.832c1.276-2.172 2.645-4.256 4.115-6.226l-46.256-45.905L140.73 187.6l46.487 46.13c2.515-1.71 5.16-3.137 7.898-4.283L168.81 175.71l16.784-8.218zm153.21 0l16.784 8.217-26.307 53.735c2.74 1.146 5.384 2.574 7.9 4.284l46.486-46.132 13.164 13.263-46.258 45.906c1.47 1.97 2.84 4.054 4.117 6.226l57.884-31.832 9.006 16.377-59.506 32.723c.727 2.523 1.323 5.1 1.797 7.717l53.288-13.56 4.61 18.114-74.584 18.976c-30.147 12.315-60.23 5.795-65.83-50.63L270.69 204l18.224-4.145 8.96 39.39c2.934-1.535 5.736-3.42 8.51-5.53l32.42-66.223z"}}]})(props);
};
function GiGluttonousSmile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M108.156 34.375c-27.67 0-50.25 23.22-50.25 52.53 0 29.313 22.58 52.564 50.25 52.564 27.672 0 50.25-23.252 50.25-52.564s-22.578-52.53-50.25-52.53zM421.22 47.438c-1.695-.01-3.407.078-5.126.25-6.14.61-11.648 2.435-16.75 5.093 27.534 22.946 44.814 53.08 55.594 86.282 11.516-10.587 18.16-26.445 16.406-44.062-2.72-27.316-24.72-47.412-50.125-47.563zM282.655 165.406c-.42 0-.847.015-1.28.03-11.443.446-27.712 7.003-49.313 24.408 3.852 7.27 6.62 15.613 8.53 24.687 2.33 11.068 3.43 23.334 3.282 36.19 23.447 22.623 38.49 54.107 46.063 86.343 19.412-35.968 30.116-91.95 24.28-129.813-3.462-22.468-11.877-36.76-23.75-40.656-2.272-.746-4.87-1.183-7.812-1.188zm83.875 8.53c-10.16.148-22.587 3.764-37.967 12.5 1.81 5.687 3.164 11.74 4.125 17.97 2.027 13.157 2.496 27.62 1.562 42.5 27.008 25.5 44.98 63.76 53.063 102.28 21.11-29.6 31.86-83.457 24.75-123.28-4.04-22.628-13.36-39.843-26.438-47.28-5.313-3.023-11.585-4.797-19.094-4.69zm-171.75 9.283c-10.523-.005-26.665 7.468-47.843 30.28 1.396 2.663 2.618 5.483 3.657 8.438 4.85 13.788 6.375 30.772 4.156 48.656.005.007-.005.024 0 .03 20.29 29.695 33.403 56.712 40.78 80.313 25.516-39.497 34.364-96.395 26.75-132.562-2.155-10.246-5.57-18.72-9.655-24.563-4.086-5.842-8.458-8.987-13.625-10.156-1.292-.292-2.69-.437-4.22-.437zm231.75 9.25c-1.692.008-3.404.142-5.155.374 4.212 9.048 7.168 19.17 9.063 29.78 1.913 10.714 2.828 22.07 2.78 33.626 26.028 31.95 37.214 78.36 35.907 121.125 24.203-32.054 28.19-77.965 18.28-116.438-5.933-23.04-16.852-43.023-30.03-55.062-9.472-8.653-19.55-13.467-30.844-13.406zM114.5 210.937c-7.918.4-21.825 7.95-38.78 29.625 22.127 29.55 34.963 56.85 40.843 80.406 20.408-31.727 24.01-71.195 16.406-92.814-2.2-6.255-5.194-10.882-8.282-13.594-3.09-2.71-6.038-3.834-10.188-3.625zm-69.594 37.406c-28.81.64-36.923 38.846-21.125 71.437 14.767-12.608 27.463-34.552 27.282-71.03-2.146-.317-4.2-.45-6.156-.406zm24 14.906c-2.85 30.697-14.558 52.92-29.53 67.344 10.64 27.8 23.558 43.408 33.593 49.312 5.353 3.15 9.6 3.735 13 3.094 3.398-.64 6.405-2.5 9.25-6.5 5.686-8.002 9.202-25.093 3.78-48.656-4.194-18.226-13.6-40.227-30.094-64.594zm262.563 8.25c-5.632 34.715-18.428 69.16-36.908 92.813 1.994 18.698 1.557 36.885-1.218 52.937-1.902 11-4.996 21.338-9.47 30.125 31.07 20.183 51.32 21.203 64.282 14.125 13.17-7.19 22.067-25.338 24.594-50.22 4.402-43.336-11.6-103.207-41.28-139.78zm-89.533 5.25c-4.72 34.618-18.057 70.647-40.656 98 3.4 20.416 1.988 37.567-4.093 50.594 12.106 13.154 22.842 21.475 31.657 25.937 9.418 4.77 16.263 5.222 21.72 3.626 10.91-3.192 20.378-17.73 24.374-40.844 6.888-39.846-4.113-99.3-33-137.312zm188.938 10.03c-5.11 33.988-18.502 66.466-39.813 86.533 1.413 13.79 1.527 27.27.25 39.843-1.764 17.37-6.273 33.478-14.406 46 18.41 9.376 31.363 7.765 42.188.47 12.215-8.235 22.194-26.186 27.28-49.188 8.365-37.82 3.207-87.827-15.5-123.657zm-281.78 9.408c-5.674 17.677-15.082 35.198-28.626 50.53.655 16.203-2.648 29.77-9.47 39.813 14.73 23.188 29.776 36.13 41.344 40.876 12.63 5.183 19.813 2.853 25.656-5.906 5.843-8.76 8.93-26.624 3.28-51.72-4.58-20.35-14.7-45.29-32.186-73.592z","fillRule":"evenodd"}}]})(props);
};
function GiGluttony (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257 18.47c-53.396 0-105.417 36.548-146.25 90.124C69.917 162.17 40.823 232.14 32.562 294.78c-7.835 59.417 30.29 108.143 86.407 143.25 56.115 35.11 129.43 54.94 184.843 54.94 55.596 0 92.91-17.248 117.562-49.47 21.724-28.396 33.66-69.565 36.188-122.313-9.7 10.265-21.406 18.867-34.47 25.688-28.145 14.696-62.67 21.5-98.78 20.125-72.224-2.75-151.406-38.52-196.688-113.656l-.156-.25-.157-.28c-4.687-9.138-10.08-22.02-10.844-35.533-.383-6.756.442-13.89 3.905-20.405 3.463-6.515 9.75-11.956 17.906-14.875 63.234-22.534 118.354-31.668 167.782-31.844 3.296-.01 6.568.027 9.813.094 41.23.845 78.467 7.92 113.22 18.47-6.096-14.093-13.064-27.765-20.75-40.75-7.927 6.703-18.15 10.75-29.283 10.75-25.014 0-45.5-20.47-45.5-45.47 0-14.39 6.782-27.255 17.313-35.594C322.4 33.214 290.277 18.47 257 18.47zm-30.47 29.218c25.014 0 45.5 20.467 45.5 45.468 0 25-20.484 45.438-45.5 45.438-25.013 0-45.5-20.437-45.5-45.438 0-25 20.488-45.47 45.5-45.47zm0 18.687c-14.923 0-26.81 11.89-26.81 26.78 0 14.893 11.888 26.75 26.81 26.75 14.925 0 26.814-11.857 26.814-26.75 0-14.89-11.888-26.78-26.813-26.78zm152.532.125c-14.924 0-26.812 11.858-26.812 26.75s11.89 26.78 26.813 26.78c14.923 0 26.78-11.888 26.78-26.78 0-14.892-11.856-26.75-26.78-26.75zm-71.437 102.094l63.063 79.22 24.406-69c-27.274-6.38-56.13-10.22-87.47-10.22zm-14.28.28c-30.34 1.115-63.008 5.835-98.783 15.22l55.282 68.062 43.5-83.28zm108.217 11.5l50.907 63.47c-3.408-17.608-8.288-35.338-14.5-52.688-11.876-4.022-23.982-7.667-36.408-10.78zM181 187.815c-10.21 2.95-20.68 6.272-31.406 10l19.062 31.717L181 187.813zm11.313 51.405l-31.407 29c12.806 15.688 27.42 28.98 43.188 39.936l-11.78-68.937zm226.468 22.374L399.44 337.03c5.223-1.993 10.246-4.236 15-6.717 17.763-9.276 31.938-21.72 41.25-37.188l-36.907-31.53zm-144.217 4.625l-54.844 51.81c23.976 13.818 49.92 22.772 75.718 27.19l-20.875-79zm77.593.56l-43.562 80.283c5.51.617 10.995 1.073 16.437 1.28 22.865.872 44.853-1.86 64.376-7.843l-37.25-73.72z"}}]})(props);
};
function GiGoat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M273 459l7.79-20 6.21 20 5.79-23.33-4.25-48c-7.76 7.94-17.54 17.85-29.74 30.27zm38.5-380.86a115.06 115.06 0 0 0-21.13-19.6c-17.315-11.88-35.418-18.913-55.08-22.14-18.751-3.067-37.99-2.743-56.33.12A203.86 203.86 0 0 0 133 49.42a184.2 184.2 0 0 0-29.62 15.36c-12.304 8.597-10.431 6.828.95 1.82a179.6 179.6 0 0 1 30.9-10c50.427-4.832 98.41-7.579 134.17 27.17a80 80 0 0 1 12.28 16c4.714 8.06 7.805 16.877 9.66 25.59l45.69 2.84c-5.032-17.752-15.256-37.574-25.53-50.06zm50.05 26.63c-8.531-13.217-18.495-25.428-29.66-34.88a78.24 78.24 0 0 0-15.79-10.38c2.67 2.68 5.22 5.45 7.61 8.32a138.13 138.13 0 0 1 9.13 12.11l.1.14.09.14c9.772 15.14 17.164 33.862 20.78 49.15l22.19 1.3a253.49 253.49 0 0 0-14.43-25.91zm29.89 43l70 179.4-11.82 28.37-65.77-37.94-8 13.86 67.56 39-4.327 5.754L394.12 372l-65.33-31.47a42.41 42.41 0 0 0-9.29-1.43c-5.71 0-9.52 2.06-12.71 6.62-2.53 3.61-78.5 80.52-147.64 150.28H16V243.73l92.85 3.85 96.61-33.26 10.13-11a214.71 214.71 0 0 1 38 24.27 18.57 18.57 0 0 0 11.61 3.93c13.792-1.574 22.025-9.12 32.83-17.83-3.267-21.244-6.724-43.71-9.56-62.1-6.463-2.155-12.926-4.308-19.39-6.46l4.39-4.78zm-37.25 65.02c-4.024-14.705-20.114-19.427-30.58-18.14-3.073.432-6.167 1.427-8.77 2.68.868 3.09 2.17 7.87 3.79 10.35 6.527 9.211 17.348 13.898 27.64 12.51 3.967-.672 8.94-3.676 7.92-7.4zm61.63 105.47l19 20 11.6-11-19-20zM475 172.99s-40.54-27.8-57-1.2l11.25 28.83zM294 382.05l13.4 22.28-.4-35.64c-3.29 3.45-7.53 7.82-12.95 13.36zm-30.6-167c5.858 1.872 17.61-6.048 17.33-8.01l-6.67-43.33-28-9.31c-17.65-2.861-58.224-4.989-67.27 9.28 39.596 39.732 39.526 16.87 84.61 51.37zm127.08 172.89c-15.313-7.704-30.838-14.996-46.28-22.44 5.153 29.387 10.895 58.672 15.75 88.11l25.26 37.33-2.6-34L400 469.61v-28.67l10.19-41.95 6.67-11.05z"}}]})(props);
};
function GiGoblinCamp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.35 51.451c-18.22 16.765-31.721 30.803-40.696 48.492a573.792 573.792 0 0 1 30.797 14.065c.876-.446 1.748-.898 2.627-1.338-.985-21.191 2.408-39.965 7.272-61.219zM39.643 77.291c21.648 9.825 43.38 20.02 64.914 30.695 1.554-7.954 3.772-14.668 8.289-20.63-25.904-5.73-50.637-9.046-73.203-10.065zm363.352 11.822c-48.633 2.463-96.585 15.058-140.09 35.496 13.816 7.717 25.764 14.693 37.52 22.332 21.9-14.496 70.579-39.08 101.78-51.373v39.338c6.034-1.671 12.532-1.336 17.998.666V88.961c-7.013-.32-11.8-.13-17.208.152zM133.504 92.38c-8.931 5.494-10.828 15.551-11.973 24.15 6.966 3.558 13.901 7.17 20.8 10.84 2.334-10.442 7.597-19.885 15.314-27.976a534.283 534.283 0 0 0-24.141-7.014zm43.598 13.584c-11.631 8.575-17.221 18.189-18.028 30.467a1085.447 1085.447 0 0 1 37.985 21.933c13.027-2.617 26.492-4.302 40.17-5.271.276-6.197 1.214-12.82 3.068-19.965a554.898 554.898 0 0 0-63.195-27.164zm79.47 35.726a74.438 74.438 0 0 0-1.623 10.553c6.958-.2 13.29-.237 19.723-.162a536.468 536.468 0 0 0-18.1-10.39zm153.639 10.079c-6.664 0-13.36 6.86-13.36 17.13s6.696 17.131 13.36 17.131 13.36-6.86 13.36-17.13-6.696-17.131-13.36-17.131zm-154.274 18.468c1.008 5.609 2.553 11.09 4.194 16.838l30.187-8.416 33.118 28.28-4.915 35.36 30.833-.43c-6.064-19.072-13.21-37.052-21.163-52.94a511.118 511.118 0 0 0-23.98-17.739c-17.368-.894-32.488-1.379-48.274-.953zm82.717.137c21.681 38.75 37.493 89.593 45.143 140.428 9.444 62.753 7.027 124.938-16.635 163.836.146 4.443 1.6 6.989 4.006 9.088 2.748 2.396 7.279 4.083 12.469 4.33 10.38.494 21.143-4.888 23.644-12.5l.06-.186.07-.183c10.524-27.887 15.45-101.52 2.103-170.106-6.674-34.293-17.747-67.575-33.994-94.031-10.245-16.682-22.422-30.568-36.866-40.676zm-100.482.732a338.97 338.97 0 0 0-17.945 1.749c7.748 4.485 12.656 9.913 20.783 12.12-1.116-4.43-2.132-9.015-2.838-13.869zm-52.942 1.172a427.562 427.562 0 0 0-73.568 72.914l51.172-.716c8.088-8.728 16.807-16.771 26.156-23.934l3.281-19.904 18.213-12.6c-8.548-5.49-17.068-10.836-25.254-15.76zm100.69 26.291l-31.344 8.74-28.951-7.86-16.836 11.648-5.139 31.18 30.045 6.726-.529 20.437c15.726-.278 30.633-.405 46.115-.529l-.459-20.166 21.416-5.621 4.014-28.898zm-4.184 15.323l9.547 17.175-24.931 9.163-4.547-17.567zm-59.215 1.404l24.245 7.346-1.836 18.289-26.338-8.809zm-43.318 38.533c-25.63 26.628-45.475 61.109-58.256 96.412-18.172 50.197-21.674 101.663-11.81 129.72 3.651 4.114 12.494 7.41 21.564 6.718 7.742-.591 14.242-3.561 17.752-8.02-21.654-37.214-20.589-83.507-8.299-129.74 8.582-32.283 22.713-64.79 39.05-95.09zm273.176 4.598l-36.002.504a361.986 361.986 0 0 1 6.969 25.093l35.611-.113zm-97.734 1.367l-49.668.695-7.838 2.057.498 21.883 62.988-.203a472.289 472.289 0 0 0-5.98-24.432zm-146.01 2.043l-13.442.187a538.434 538.434 0 0 0-11.617 22.77l31.192-.1.552-21.361zm-61.076.853l-84.936 1.188-13.344 21.348 83.06-.266a274.788 274.788 0 0 1 15.22-22.27zm132.13 24.215c-16.44.178-30.81.203-46.99.547l-.4 15.5 47.738-.724zm152.178 15.092l-4.617.016c5.835 30.117 8.565 60.477 8.787 88.17 7.006 5.918 13.681 12.026 20.111 18.263 5.487-8.133 11.222-15.978 17.2-23.142a428.526 428.526 0 0 0-41.48-83.307zm-67.71.217l-66.112.213.398 17.521-32.668.496c8.228 36.735 24.691 70.42 44.856 96.178 14.02 17.91 29.822 31.793 45.53 40.53 15.418-33.199 18.198-88.116 9.837-143.67a458.357 458.357 0 0 0-1.842-11.268zm-149.854.48l-38.916.125c-7.246 16.865-13.376 33.936-17.838 50.723-9.107 34.259-11.232 66.915-2.863 94.604 40.638-39.739 77.702-75.824 90.642-127.391l-31.506.478zm-92.198.297l-48.746.156c-11.877 21.835-21.652 44.664-28.976 68.168a287.284 287.284 0 0 1 18.012 17.354c10.144-8.627 21.359-16.503 34.511-22.674a351.243 351.243 0 0 1 7.117-21.88c5.028-13.89 11.06-27.728 18.082-41.124zM90.94 389.902c-5.764 3.732-11.189 7.886-16.408 12.348a297.288 297.288 0 0 1 12.026 15.354c.945-8.997 2.414-18.268 4.382-27.702zm-52.003.803a344.25 344.25 0 0 0-5.454 25.961c5.114-5.262 10.267-10.59 15.653-15.834a271.026 271.026 0 0 0-10.2-10.127zm441.34 14.922c-3.766 5.037-7.48 10.381-11.124 15.91 7.409 7.724 14.538 15.58 21.543 23.461a450.711 450.711 0 0 0-10.42-39.371zm-44.678 8.166c-.554 11.9-1.602 23.048-3.092 33.164 4.339-7.542 8.88-15.31 13.68-23.07a419.389 419.389 0 0 0-10.588-10.094zM29.842 445.744c-.983 11.546-2.93 26.6 7.535 32.596 5.018 2.794 12.75 3.938 20.75 3.049 8-.89 16.136-3.772 21.539-7.325 5.403-3.552 7.231-7.011 7.186-9.043-.406-5.728-1.175-11.65-1.405-16.835-7.327-11.919-14.361-24.404-26.154-32.1-12.289 9.437-18.357 19.266-29.451 29.658zm429.392-8.502c-8.303 13.622-16.025 27.32-23.107 39.617 9.047 9.572 23.629 12.14 36.78 9.534 7.233-1.434 13.674-4.482 17.59-7.854 1.27-1.095 2.233-2.133 2.976-3.146-11.34-12.924-22.547-25.775-34.239-38.15zm-105.421 37.115l-194.356.916-.861 13.782 194.355-.918z"}}]})(props);
};
function GiGoblinHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 33c-8.5 0-21.318 5.745-35.06 16.17-13.743 10.425-28.429 25.055-42.167 40.756-19.597 22.397-37.26 47.053-48.41 64.597l49.582 37.188 49.23 12.307 2.288-6.864 17.074 5.692-14.957 44.873 22.42 56.05 22.42-56.05-14.957-44.873 17.074-5.692 2.287 6.864 49.23-12.307 49.583-37.188c-11.15-17.544-28.813-42.2-48.41-64.597-13.738-15.7-28.424-30.33-42.166-40.756C277.318 38.745 264.5 33 256 33zm-91.49 95.213l76 44-9.02 15.574-76-44zm182.98 0l9.02 15.574-76 44-9.02-15.574zM17.21 146.625c31.804 32.973 63.213 73.408 76.3 111.857 1.59-2.708 3.38-5.333 5.292-7.882 5.009-6.68 11.036-12.972 17.14-19.153-8.95-12.884-11.752-29.088-12.605-42.886-29.308-24.142-53.916-37.693-86.127-41.936zm477.582 0c-32.21 4.243-56.819 17.794-86.127 41.936-.853 13.798-3.654 30.002-12.605 42.886 6.104 6.181 12.131 12.474 17.14 19.153 1.912 2.55 3.703 5.174 5.291 7.882 13.088-38.449 44.497-78.884 76.301-111.857zm-373.645 23.484c-.023.045-.054.1-.078.145.137 16.376 2.007 44.095 13.295 55.383l6.364 6.363-6.364 6.363c-8 8-15.74 15.805-21.164 23.037-4.688 6.251-7.327 11.823-7.965 16.452l81.118 30.418c4.7-6.847 9.904-13.253 15.285-18.633l16.029-16.03-.67 22.659c-.25 8.431-.383 16.131-.232 23.41l30.84 11.564L214.707 249h-50.98l-13.364 13.363-12.726-12.726 11.312-11.313-13.531-57.512zm269.708 0l-14.272 10.703-13.531 57.512 11.312 11.313-12.726 12.726L348.273 249h-50.98l-32.897 82.24 30.842-11.566c.15-7.278.018-14.978-.232-23.408l-.672-22.659 16.03 16.03c5.38 5.38 10.584 11.788 15.284 18.634l55.192-20.697 25.926-9.722c-.638-4.63-3.277-10.2-7.965-16.452-5.424-7.232-13.164-15.037-21.164-23.037L371.273 232l6.364-6.363c11.288-11.288 13.158-39.007 13.295-55.383-.024-.045-.055-.1-.078-.145zM157.867 197.65l7.848 33.35H183v-19.975l-10.945-2.736zm196.266 0l-14.188 10.64L329 211.024V231h17.285zM201 215.525V231h19.18l3.287-9.857zm110 0l-22.467 5.618L291.82 231H311zm-205.791 62.51a16.25 16.25 0 0 0-.117 1.256c7.79 37.424 34.985 88.461 66.066 129.256 15.682 20.582 32.34 38.649 47.582 51.271C233.983 472.441 248 479 256 479c8 0 22.017-6.559 37.26-19.182 15.242-12.622 31.9-30.689 47.582-51.271 31.081-40.795 58.277-91.832 66.066-129.256-.02-.41-.063-.83-.117-1.256l-48.027 72.043L256 435.715l-102.764-85.637zm45.756 36.188l15.799 23.699 2.968 2.474c1.753-5.409 4.259-10.906 7.176-16.445zm210.07 0l-25.943 9.728c2.917 5.539 5.423 11.036 7.176 16.445l2.968-2.474zm-162.129 7.73c-1.782 2.76-3.48 5.558-5.006 8.356-4.27 7.83-7.176 15.717-8.328 21.255l19.67 13.114c-4.116-14.232-5.864-28.048-6.336-42.725zm114.188 0c-.472 14.677-2.22 28.493-6.336 42.725l19.67-13.114c-1.152-5.538-4.057-13.425-8.328-21.255-1.527-2.798-3.224-5.596-5.006-8.356zm-19.227 17.457L265 350.236v54.55l7.793-6.495 7.158-14.316c8.04-16.081 12.051-29.95 13.916-44.565zm-75.734.002c1.864 14.614 5.876 28.483 13.916 44.563l7.158 14.316 7.793 6.494v-54.549z"}}]})(props);
};
function GiGoldBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M341.28 22.78L254 123.75l63.156-33.656 4.438-2.375 4.437 2.405 18.314 9.938-3.063-77.282zM129.814 46.563l24.375 130.407 88.718-47.282-113.094-83.125zM321.53 108.97L83.345 235.905 192.156 293.5l237.47-125.75-108.095-58.78zm42.75 44.686l25.595 13.03-197.313 103.94-66.875-35.688 25.344-13.407 41.532 22.19 171.72-90.064zm92.19 18.22l9.092 24.03 26.22-22.656-35.313-1.375zm-15.783 11.155L199.47 310.78l-5.782 83.376L465.75 249.344l-25.063-66.313zm-334.562 19.564L16.562 226.78l36.876 19.564 6.093-16.28 1.25-3.314 3.126-1.656 42.22-22.5zm-34.438 48.312l-28.812 77 131.844 70.156 6.155-89.375-109.188-57.78zm335.344 50.875l-174.25 92.75 54.907 103.44L325.5 358.093l142.47 26.625-60.94-82.94zm-300.717 81.064l-19.438 44.812L144 402.876l-37.688-20.032z"}}]})(props);
};
function GiGoldMine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.818 33.117l-369.554 15.4v46.012L426.97 79.425l-23.152-46.31zM385.334 99.04l-30.408 1.17 9.78 185.806 38.554-7.71L385.334 99.04zm-135.152 5.198l-18.39.71-2.694 15.61-26.578 18.75.13.866-.273-.047-3.063 17.738 6.188 1.07 4.617 30.395 31.532 5.445 14.543-27.088 6.186 1.07 3.063-17.74-.273-.046.416-.773-18.75-26.578 3.346-19.382zm-77.444 2.98l-22.82.878-39.47 54.775-1.692 33.138 63.982-88.79zm-77.625 2.985l-31.275 1.203-28.72 272.832 45.66 6.733 14.335-280.767zM236.928 128.1l14.457 20.49-34.947-6.035 20.49-14.455zm-20.516 32.718l28.87 4.985-7.012 13.064-19.63-3.39-2.228-14.66zM437.12 289.89l-76.434 15.288-44.99-14.998-28.706 28.703h169.457L437.12 289.89zm-260.05 2.268l-9.42 20.725h-16.386v18h8.205l-7.275 16h-22.93v18h14.75l-8.183 18h-26.568v18h18.386l-13.636 30h-24.75v18h16.568l-8.762 19.275 16.387 7.45 12.147-26.725h143.423l-6.75-18H133.785l13.637-30h103.605l-6.75-18h-88.673l8.18-18h73.74l-6.75-18h-58.807l7.273-16h45.535l-4.498-12h41.258l6-6h-80.113l6.035-13.276-16.387-7.45zm69.182 44.725l40.36 107.635c6.022-8.242 15.748-13.635 26.652-13.635 11.916 0 22.43 6.438 28.234 16h55.53c5.804-9.562 16.32-16 28.236-16 10.424 0 19.768 4.93 25.832 12.564l26.64-106.564H246.252zm67.012 112c-8.39 0-15 6.61-15 15s6.61 15 15 15 15-6.61 15-15-6.61-15-15-15zm112 0c-8.39 0-15 6.61-15 15s6.61 15 15 15 15-6.61 15-15-6.61-15-15-15z"}}]})(props);
};
function GiGoldNuggets (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M216.713 21.62c-1.964 23.35-1.963 23.349-21.82 35.787 23.349 1.964 23.348 1.965 35.787 21.822 1.963-23.349 1.965-23.35 21.822-35.789-23.35-1.963-23.35-1.963-35.79-21.82zm92.473 42.988l-127.713 56.493-42.409 55.45 82.366 22.35 66.023-47.068 24.94 22.033c-11.489 9.184-14.01 8.604-32.79 4.123 14.235 17.14 14.234 17.14 9.063 38.81 17.14-14.234 17.14-14.234 38.81-9.064-12.054-14.514-13.88-16.782-11.023-30.283l10.082 8.908 54.086-49.96zM91.46 98.093c13.446 28 13.446 28.001-.887 55.558 28-13.446 28.001-13.448 55.559.885-13.447-28-13.448-28 .885-55.557-28.001 13.447-28 13.446-55.557-.886zm345.848 43.115c-14.974 27.214-14.973 27.213-45.729 31.563 11.842 6.515 18.527 10.197 22.664 14.81l-53.531 61.838 6.307 23.775 88.501 8.678-20.834-82.504c6.759-8.54 13.547-9.513 34.186-12.431-27.214-14.974-27.215-14.973-31.564-45.729zM58.38 270.268c-7.876 39.058-7.875 39.056-43.846 56.19 39.057 7.876 39.056 7.877 56.19 43.848 7.875-39.057 7.876-39.058 43.847-56.192-39.057-7.875-39.058-7.874-56.191-43.845zm236.691 8.41c-17.139 14.235-17.14 14.236-38.81 9.065 11.502 13.85 13.705 16.519 11.4 28.465l-18.283-10.969-11.705-25.08-27.904 16.625-41.184-12.812-9.447 64.697 56.97 61.818 81.582-76.261-24.03-14.418c9.614-7.279 13.022-6.483 30.476-2.319-14.235-17.139-14.236-17.14-9.065-38.81zm170.83 37.628c-14.973 27.214-14.974 27.214-45.73 31.564 27.214 14.974 27.215 14.975 31.564 45.73 14.974-27.214 14.973-27.214 45.729-31.564-27.215-14.973-27.213-14.975-31.563-45.73zM148.03 362.749c-14.712 18.237-14.714 18.236-38.13 17.408 18.236 14.713 18.236 14.714 17.408 38.131 14.712-18.236 14.714-18.236 38.13-17.408-18.236-14.713-18.236-14.714-17.408-38.131zm215.34 11.57l-42.81 46.793c-13.168-15.872-13.145-16.527-8.106-37.644-17.14 14.234-17.138 14.233-38.808 9.062 14.234 17.14 14.233 17.14 9.062 38.81 16.642-13.82 17.29-14.174 37.143-9.452l-9.051 9.892 24.828 56.75 135.709 1.85-33.4-92.45zm-274.066 2.182L31.14 416.89l16.25 68.488 86.814-17.033-40.445-44.49z"}}]})(props);
};
function GiGoldScarab (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M211.375 16.85c-23.61 23.413-25.858 60.333-6.746 86.322 3.767-5.196 8.21-9.834 13.184-13.78-11.825-18.498-9.592-43.096 6.72-59.273l-13.16-13.27zm94.705 0l-13.158 13.27c16.353 16.215 18.555 40.89 6.633 59.403 4.947 3.986 9.356 8.665 13.08 13.907 19.317-26.003 17.134-63.09-6.555-86.58zm-47.365 76.822c-26.81.002-49.127 22.936-49.127 51.996 0 .572.277 2.22.488 4.746l.045.53c13.05 5.81 29.927 9.52 47.06 9.88 17.555.37 35.25-2.72 49.56-9.28l.096-1.136c.213-2.527.488-4.144.488-4.74 0-29.156-21.795-51.994-48.605-51.996h-.005zm-125.97 12.11C89.104 131.18 59.02 176.25 59.02 257.987v9.344h76.572c2.31-6.463 5.042-12.702 8.158-18.69H77.904c2.018-70.906 26.967-105.015 64.24-126.704l-9.398-16.153zm252.18 0l-9.4 16.154c37.274 21.69 62.224 55.798 64.243 126.705h-66.082c3.115 5.988 5.848 12.227 8.16 18.69h76.808v-9.344c0-81.736-30.085-126.807-73.728-152.203zm-190.302 58.35c-22.655 11.32-35.68 27.848-35.68 44.534 0 8.485 2.916 16.418 8.948 24.04l3.665 4.632c25.47 13.425 56.948 21.68 88.804 27.752 29.126-3.376 57.303-15.203 86-28.36l3.185-4.025c6.033-7.622 8.945-15.553 8.945-24.04 0-16.67-13.054-33.065-35.728-44.358-19.17 11.306-42.908 15.686-65.975 15.2-22.74-.477-44.964-5.612-62.164-15.374zm160.445 89.173c-27.678 12.757-56.164 25.115-87.045 29.67v161.83c57.948-5.264 104.043-59.22 104.043-125.618 0-24.385-6.208-46.76-16.998-65.882zm-192.843.252c-10.702 19.068-16.858 41.352-16.858 65.63 0 66.37 46.056 120.307 103.97 125.61V282.002c-30.427-6.124-60.91-14.45-87.112-28.445zM35.568 292.09v9.344c0 55.27 14.616 114.355 47.99 159.775l15.06-11.067c-28.5-38.785-42.464-90.177-44.046-139.366h72.352c.337-6.353 1.033-12.594 2.105-18.687H35.567zm352.836 0c1.073 6.093 1.77 12.334 2.106 18.687h71.33c-1.582 49.19-15.546 100.58-44.045 139.366l15.06 11.066c33.373-45.42 47.99-104.505 47.99-159.776v-9.344h-92.44zM87.03 337.988v9.344c0 34.454 16.72 67.14 40.255 92.555 23.536 25.414 54.022 43.91 84.088 49.18l3.225-18.41c-24.705-4.328-52.526-20.71-73.602-43.47-18.76-20.257-32.003-45.286-34.703-70.51h24.904c-1.495-6.09-2.638-12.327-3.398-18.69H87.03zm302.605 0c-.76 6.362-1.904 12.6-3.4 18.688h25.144c-2.7 25.225-15.946 50.254-34.706 70.512-21.076 22.758-48.897 39.14-73.602 43.47l3.227 18.408c30.065-5.268 60.55-23.765 84.087-49.18 23.536-25.414 40.254-58.1 40.254-92.554v-9.344h-41.005z"}}]})(props);
};
function GiGoldShell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.902 21.777c-57.656 0-110.49 20.826-151.41 55.34l-.02.018C89.573 88.44 76.664 102.23 66.358 117.883c-28.625 38.948-45.555 87.01-45.555 138.994 0 60.03 22.573 114.835 59.67 156.406l-.428.428c2.47 2.472 4.99 4.866 7.545 7.2 42.715 43.82 102.358 71.065 168.31 71.065 129.73 0 235.1-105.367 235.1-235.098 0-129.73-105.37-235.1-235.1-235.1zm18.557 19.485c110.923 9.397 197.856 102.235 197.856 215.615 0 93.92-59.656 173.746-143.185 203.725 21.783-10.06 42.125-23.996 59.99-41.86 83.66-83.66 81.477-221.553-4.095-308.117-27.37-34.46-66.12-59.47-110.566-69.363zm-70.942 21.244c50.418 0 94.77 25.548 120.845 64.426-23.568-22.81-55.268-36.417-87.088-37.588-1.74-.064-3.482-.09-5.222-.08-26.108.163-51.995 8.817-73.223 27.744-37.01 33-47.4 93.67-11.256 132.697 24.97 26.964 70.172 34.654 98.377 6.775 9.363-9.253 15.098-21.745 16.107-34.748 1.01-13.002-3.07-26.867-13.68-36.925l-.002-.002c-6.717-6.365-15.495-10.193-24.725-10.723-9.23-.53-19.322 2.714-26.187 10.797-4.127 4.858-6.432 10.902-6.52 17.382-.087 6.48 2.615 13.847 8.807 18.47l.01.008.008.006c3.53 2.623 7.546 3.958 12.13 3.813 4.585-.147 10.325-2.614 13.293-7.69v-.003c1.62-2.77 2.21-5.36 1.828-8.705-.383-3.344-2.986-8.217-7.56-9.988-2.477-.96-3.87-1.053-6.464-.467-.617.14-1.33.36-2.078.7.265-.494.487-1.06.797-1.427 2.8-3.297 6.35-4.495 10.865-4.236 4.515.26 9.583 2.45 12.94 5.63 6.232 5.91 8.547 13.58 7.9 21.913-.647 8.334-4.617 16.978-10.607 22.9-19.7 19.47-52.966 13.852-71.52-6.183-28.257-30.51-19.83-79.463 9.98-106.043 43.082-38.41 110.765-25.763 147.365 17.128 16.63 19.486 26.923 44.188 29.785 69.752l.168-.02c-5.076 75.787-67.978 135.512-145.07 135.512-80.42 0-145.414-64.99-145.414-145.412 0-29.5 8.753-56.917 23.796-79.818 9.884-13.34 21.267-25.497 33.9-36.23 24.37-18.436 54.745-29.366 87.718-29.366zm223.74 162.908c13.955 63.703-3.07 131.83-51.354 180.113-74.77 74.77-197.125 74.596-276.945.438-33.938-35.717-55.775-83.033-59.03-135.432C57.754 360.206 136.866 427.8 231.775 427.8c108.034 0 195.612-87.576 195.612-195.61 0-2.27-.053-4.526-.13-6.776z"}}]})(props);
};
function GiGoldStack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M313.824 61.625l-67.865 118.24L176 96l-4.08 129.77L56.162 105.264 112 272l-81.986-63.115 19.865 113.77L18 311.724V391h7.514l16-48h40l16-48h40l16-48h40l16-48h92.972l16 48h40l16 48h40l16 48h40l16 48H494V241.285l-77.783 39.547L480 144l-125.797 83.758L400 128l-74.926 66.87zM222.486 217l-10 30h87.028l-10-30zm-56 48l-10 30h87.028l-10-30zm86 0L256 275.54l3.514-10.54zm26 0l-10 30h87.028l-10-30zm-168 48l-10 30h87.028l-10-30zm86 0L200 323.54l3.514-10.54zm26 0l-10 30h87.028l-10-30zm86 0L312 323.54l3.514-10.54zm26 0l-10 30h87.028l-10-30zm-280 48l-10 30h87.028l-10-30zm86 0L144 371.54l3.514-10.54zm26 0l-10 30h87.028l-10-30zm86 0L256 371.54l3.514-10.54zm26 0l-10 30h87.028l-10-30zm86 0L368 371.54l3.514-10.54zm26 0l-10 30h87.028l-10-30zM18 409v30h57.514l-10-30zm66.486 0L88 419.54 91.514 409zm26 0l-10 30h87.028l-10-30zm86 0L200 419.54l3.514-10.54zm26 0l-10 30h87.028l-10-30zm86 0L312 419.54l3.514-10.54zm26 0l-10 30h87.028l-10-30zm86 0L424 419.54l3.514-10.54zm26 0l-10 30H494v-30zm-418 48L32 467.54 35.514 457zm26 0l-10 30h87.028l-10-30zm86 0L144 467.54l3.514-10.54zm26 0l-10 30h87.028l-10-30zm86 0L256 467.54l3.514-10.54zm26 0l-10 30h87.028l-10-30zm86 0l3.344 10.033.342-.01L371.514 457zm26 0l-10 30h87.028l-10-30zm86 0l2.287 6.863 2.477-.07 2.264-6.793z"}}]})(props);
};
function GiGolemHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M177.682 25.404L78.695 81.97l53.743 53.74 77.328 15.465-3.532 17.652-64.79-12.959 27.095 81.287-17.078 5.692-31.328-93.985-44.908-44.91 5.38 58.899-38.287 137.638 59.082 44.313-10.8 14.398-45.157-33.867 26.147 130.73 73.678 11.334L128.308 425H128v-.77l-8.355-20.888 16.71-6.684L140.492 407h18.766L256 390.875 352.742 407h17.479l4.953-24.766 17.652 3.532-14.375 71.873 62.096-16.936 30.086-120.344-30.283-90.847-58.668-44.002-92.202 15.367-2.96-17.754 90.654-15.11 14.287-42.859 17.078 5.692-13.95 41.847 46.405 34.803 13.285-106.293-89.097-44.549-88.104-14.683-29.027 58.054-16.102-8.05L258.5 38.873l-80.818-13.469zm236.634 221.754l3.368 17.684-35.952 6.847c4.658 3.159 8.472 7.518 10.64 13.006 3.624 9.18 1.752 19.208-3.19 27.246-4.943 8.039-12.91 14.59-22.827 18.504-9.915 3.915-20.212 4.574-29.312 2.08-6.576-1.802-12.68-5.465-16.934-10.818l-8.716 47.94-110.89-9.24-7.921-39.602c-4.267 5.846-10.686 9.819-17.625 11.72-9.1 2.494-19.397 1.835-29.312-2.08-9.916-3.915-17.884-10.465-22.827-18.504-4.942-8.038-6.814-18.067-3.19-27.248 2.042-5.17 5.54-9.344 9.833-12.45l-35.315-7.436 3.708-17.614 150.234 31.63 166.228-31.665zM151 283.553c-2.047.051-3.967.318-5.672.785-4.862 1.332-7.714 3.818-8.957 6.967-1.243 3.148-.86 6.914 1.781 11.209 2.469 4.014 6.947 8.05 12.848 10.664v-29.625zm210 .004v29.62c5.901-2.612 10.38-6.65 12.848-10.665 2.64-4.295 3.024-8.059 1.78-11.207-1.242-3.149-4.094-5.637-8.956-6.97-1.704-.466-3.626-.727-5.672-.778zm-52.633 2.107l-60.455 11.514-43.531-9.164 11.115 55.58 81.111 6.76 11.76-64.69zM169 288.762v26.674c.405-.086.817-.165 1.201-.27 4.862-1.332 7.712-3.82 8.955-6.969 1.243-3.148.861-6.912-1.78-11.207-1.795-2.92-4.677-5.84-8.376-8.228zm174 0c-3.699 2.387-6.581 5.307-8.377 8.228-2.64 4.295-3.022 8.059-1.78 11.207 1.244 3.149 4.094 5.637 8.956 6.969.384.105.796.184 1.201.27v-26.674zM147.691 425l18.23 45.574 105.558 16.24 89.095-24.3-1.4-.28L366.62 425h-13.879L256 441.125 159.258 425H147.69z"}}]})(props);
};
function GiGolfFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M193 33v443.55c5.33.678 10.708 1.133 16.123 1.307l-.076-278.337L383.727 136 209.014 72.467 209.002 33H193zm159 352c-17.227 0-31 13.773-31 31s13.773 31 31 31 31-13.773 31-31-13.773-31-31-31zm-104 48c-7.122 0-14.096.16-20.89.445l.013 45.112c6.79.286 13.76.443 20.877.443 34.738 0 66.208-3.574 88.326-9.104 6.035-1.508 11.344-3.186 15.805-4.9-.043 0-.086.004-.13.004-19.54 0-36.49-11.588-44.344-28.23C290.02 434.39 269.646 433 248 433zm-73 5.867c-5.484.983-10.628 2.062-15.326 3.237-11.06 2.764-19.795 6.09-25.035 9.187-4.377 2.588-5.365 4.426-5.576 4.71.21.284 1.2 2.122 5.575 4.71 5.24 3.097 13.975 6.422 25.034 9.186 4.698 1.175 9.842 2.254 15.326 3.237v-34.266zM129.064 456c-.04-.056-.064-.074-.064 0s.023.056.064 0z"}}]})(props);
};
function GiGolfTee (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25C163.7 25 89 99.66 89 192c0 92.3 74.7 167 167 167s167-74.7 167-167c0-92.34-74.7-167-167-167zm129.8 111.3a15.37 27.75 2.13 0 1 14.3 28.3 15.37 27.75 2.13 0 1-16.4 27.1 15.37 27.75 2.13 0 1-14.3-28.3 15.37 27.75 2.13 0 1 16.4-27.1zm-49.4 25.8a19.12 35.25 24.94 0 1 5.1 1.3 19.12 35.25 24.94 0 1 1.4 40.8 19.12 35.25 24.94 0 1-32.2 22.6 19.12 35.25 24.94 0 1-1.5-40.8 19.12 35.25 24.94 0 1 27.2-23.9zm38.9 55.1a15.37 27.75 22.37 0 1 1.2 0 15.37 27.75 22.37 0 1 3 .6 15.37 27.75 22.37 0 1 3.6 31.5 15.37 27.75 22.37 0 1-24.8 19.8 15.37 27.75 22.37 0 1-3.6-31.5 15.37 27.75 22.37 0 1 20.6-20.4zM288 247.1a19.12 35.25 54.78 0 1 12.6 5.8 19.12 35.25 54.78 0 1-19.1 36.1 19.12 35.25 54.78 0 1-39.2 3.6 19.12 35.25 54.78 0 1 19.1-36.1 19.12 35.25 54.78 0 1 26.6-9.4zm39.2 37.2a15.37 27.75 46.31 0 1 1.4 0 15.37 27.75 46.31 0 1 7.5 3 15.37 27.75 46.31 0 1-9.4 30.3 15.37 27.75 46.31 0 1-30.7 8 15.37 27.75 46.31 0 1 9.4-30.3 15.37 27.75 46.31 0 1 21.8-11zm-133.8 81.8C224 412.5 224 431 224 494h64c0-63 0-81.5 30.6-127.9C299.1 373.2 278 377 256 377s-43.1-3.8-62.6-10.9z"}}]})(props);
};
function GiGong (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 34.36v40.77l58 43.47h346l58-43.47V34.36l-67.8 54.27H92.84zm439 80.44l-29 21.8h-1v341h30zm-414 1.6v361.2h30v-341h-3zm84.7 20.2l26.4 66c4.6-4.2 9.6-8.1 14.8-11.6l-21.8-54.4zm223.2 0L336.1 191c5.2 3.5 10.2 7.4 14.8 11.6l26.4-66zm-101.9 48c-66.1 0-119 49.9-119 111s52.9 111 119 111c15.2 0 29.6-2.6 42.9-7.4l-66.1-87.4c-11.9-.5-23.4-6.1-31.1-16.2-13.6-17.9-10-43.8 8-57.4 18-13.6 43.8-10 57.4 8 7.7 10.1 9.9 22.8 7.1 34.3l68.8 90.9c19.9-19.9 32-46.6 32-75.8 0-61.1-52.9-111-119-111zm-21.7 63.2c-4.8.1-9.6 1.6-13.8 4.8-10.2 7.7-12.1 22-4.4 32.2 7.7 10.2 22 12.2 32.2 4.5 10.2-7.8 12.2-22.1 4.5-32.3-4.6-6.1-11.5-9.2-18.5-9.2zm30.8 50.3c-1.8 2-3.7 3.8-5.9 5.5-2.2 1.7-4.5 3-6.9 4.2l111 146.7 12.8-9.6z"}}]})(props);
};
function GiGooExplosion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M333.906 18.5c-14.948 0-26.875 11.925-26.875 26.875S318.96 72.25 333.907 72.25c14.947 0 26.875-11.928 26.875-26.875S348.854 18.5 333.907 18.5zm-231.937.22c29.583 37.7 52.166 72.266 66.468 100.936 8.118 16.275 13.732 30.693 16.687 43.188 2.955 12.495 3.61 23.21-.375 32.47-3.986 9.257-14.202 15.07-24.906 14.874-10.705-.196-22.65-4.38-37.22-12.157-26.083-13.923-60.59-40.088-104.686-81.155v87.22c17.217.47 33.334 1.874 48.28 4.093 6.49-6.09 15.193-9.844 24.72-9.844 16.02 0 29.742 10.606 34.468 25.125.34.135.694.267 1.03.405 29.738 12.147 50.185 28.877 55.095 50.28 2.456 10.703.282 22.157-6.093 32.283-6.374 10.125-16.616 19.196-30.687 27.437-26.885 15.746-68.287 28.618-126.813 36.906v120.97H40c30.353-48.064 58.883-82.285 83.97-105.094 25.865-23.52 47.85-35.416 66.436-37 9.794-.834 19.75 1.757 27.188 8.5 7.436 6.743 12.01 16.822 14.03 29.5 3.723 23.354-.613 56.84-15.25 104.094H246.5c-1.138-26.128 1.06-49.335 5.97-67.188 2.77-10.076 6.276-18.543 10.905-25.187 4.63-6.644 10.912-12.056 19.094-12.844 8.387-.806 15.275 3.7 21.186 9.5 5.912 5.804 11.454 13.664 17.094 23.408 10.504 18.145 21.15 43.102 31.375 72.312h37.53c-31.368-41.546-53.334-78.49-65.217-107.656-6.656-16.336-10.304-30.176-10.188-42.03.058-5.93 1.087-11.484 3.78-16.408 2.696-4.924 7.307-8.932 12.69-10.875 8.4-3.03 17.73-1.85 28.342 1.75 10.612 3.6 22.802 9.9 37.032 19.126C421.09 351.864 452.794 377.842 491 414v-94.313c-5.02-.2-9.91-.48-14.72-.78-9.716 12.95-25.184 21.374-42.53 21.374-23.575 0-43.66-15.557-50.563-36.905-3.77-1.22-7.396-2.503-10.843-3.844-30.306-11.79-49.777-29.047-51.563-51.374-1.784-22.326 14.164-43.95 43.47-64.28 28.192-19.56 70.115-38.664 126.75-56.282V18.72h-46.72c-25.482 53.29-51.333 94.012-75.124 121.968-24.602 28.91-46.417 45.424-67.47 45.75-10.524.163-20.573-5.326-26.467-14.407-5.895-9.08-8.614-21.047-9.095-36.03-.89-27.712 6.29-66.52 23.22-117.28h-34.94c2.344 37.833 1.71 68.807-1.81 91.53-1.92 12.386-4.58 22.43-8.47 30.375-3.89 7.944-9.516 14.6-17.875 16.5-8.36 1.9-16.53-1.977-23.188-8.063-6.657-6.085-12.917-14.847-19.437-26.687-12.414-22.543-25.64-56.773-39.438-103.656H101.97zm137.718 182c20.268.125 42.61 25.397 52.093 60.53 10.465 38.767 1.316 74.878-20.405 80.656-21.72 5.778-47.786-20.983-58.25-59.75-10.464-38.767-1.346-74.878 20.375-80.656 2.036-.542 4.09-.794 6.188-.78zm-148.75 16.31c-9.787 0-17.532 7.746-17.532 17.532 0 9.787 7.745 17.5 17.53 17.5 9.788 0 17.533-7.713 17.533-17.5 0-9.786-7.746-17.53-17.532-17.53zm342.812 35.626c-19.142 0-34.438 15.327-34.438 34.47 0 19.14 15.296 34.468 34.438 34.468 19.142 0 34.47-15.327 34.47-34.47 0-19.14-15.328-34.468-34.47-34.468zM40.72 269.594c-12.37 0-22.19 9.82-22.19 22.187 0 12.37 9.82 22.19 22.19 22.19 12.367 0 22.186-9.82 22.186-22.19 0-12.367-9.82-22.186-22.187-22.186zm362.655 153c-11.4 0-20.438 9.036-20.438 20.437 0 11.403 9.038 20.47 20.438 20.47 11.4 0 20.438-9.07 20.438-20.47 0-11.398-9.04-20.436-20.438-20.436z"}}]})(props);
};
function GiGooSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.313 20.313c-75.614 0-136.907 61.323-136.907 136.937 0 46.158 22.847 86.95 57.844 111.75-15.582 15.662-28.663 29.187-32.375 34.156-5.435 7.278-2.287 19.75 6.125 26.03 8.227 6.144 21.526 6.04 27.25-1.623 4.064-5.44 14.078-23.306 25.25-43.97 4.615 1.93 9.364 3.64 14.22 5.063-7.324 22.19-13.396 41.497-14.532 47.875-1.593 8.942 6.82 18.67 17.156 20.5 10.107 1.8 21.947-4.27 23.625-13.686 1.172-6.58 2.1-26.513 2.81-49.53 3.15.215 6.33.342 9.532.342 3.207 0 6.38-.127 9.532-.344.71 23.02 1.608 42.95 2.78 49.532 1.68 9.415 13.55 15.485 23.657 13.687 10.338-1.83 18.72-11.558 17.126-20.5-1.137-6.38-7.203-25.7-14.53-47.905 4.854-1.423 9.603-3.1 14.218-5.03 11.173 20.663 21.217 38.527 25.28 43.967 5.725 7.663 19.024 7.768 27.25 1.625 8.413-6.28 11.56-18.753 6.126-26.03-3.712-4.97-16.793-18.495-32.375-34.157 34.997-24.8 57.844-65.592 57.844-111.75 0-75.614-61.294-136.938-136.908-136.938zm-51.375 160.53c17.635 0 31.906 14.303 31.906 31.938 0 17.637-14.27 31.907-31.906 31.907S173 230.417 173 212.78c0-17.634 14.302-31.936 31.938-31.936zm102.78 0c17.636 0 31.907 14.303 31.907 31.938 0 17.637-14.27 31.907-31.906 31.907-17.637 0-31.94-14.27-31.94-31.906 0-17.634 14.303-31.936 31.94-31.936zm-51.624 28.876c2.947 32.89 20.875 30.354 20.875 49.405 0 9.56-10.61 17.594-20.876 17.594-10.498 0-20.47-8.108-20.47-17.19 0-18.29 18.117-16.972 20.47-49.81zM132.874 299c-37.946 14.59-57.852 15.18-73.093 12.563-8.57-1.458-17.046-3.85-25.468.28-15.173 7.446-21.568 26.105-14.124 41.282 7.443 15.177 25.89 21.1 41.062 13.656 7.588-3.723 11.408-10.67 15.344-17.436 7.84-13.49 20.302-29.372 56.28-50.344zm246.876 0c35.98 20.972 48.44 36.854 56.28 50.344 3.937 6.767 7.757 13.713 15.345 17.437 15.173 7.445 33.62 1.522 41.063-13.655 7.443-15.177 1.048-33.836-14.125-41.28-8.422-4.133-16.928-1.74-25.5-.283-15.24 2.617-35.116 2.028-73.063-12.562zm-194.72 47.875c-26.62 36.766-44.868 49.426-60.718 56.28-8.912 3.855-18.327 6.784-23.687 15.783-9.658 16.212-4.245 37.59 11.97 47.25 16.213 9.66 37.09 3.93 46.75-12.282 4.82-8.11 4.164-16.925 3.718-25.656-.886-17.405 1.086-39.823 21.968-81.375zm142.314 0c20.882 41.552 22.886 63.97 22 81.375-.447 8.73-1.103 17.547 3.72 25.656 9.66 16.213 30.503 21.942 46.717 12.28 16.215-9.66 21.628-31.036 11.97-47.248-5.36-9-14.775-11.928-23.688-15.782-15.85-6.855-34.098-19.515-60.718-56.28zm-72.5 7.344c-3.325 46.384-13.114 66.658-22.78 81.155-4.855 7.275-9.908 14.53-9.908 23.97 0 18.872 15 34.436 33.875 34.436 18.877 0 34.44-15.563 34.44-34.436 0-10.473-6.568-17.846-12.25-25.72-10.11-14-19.325-34.192-23.376-79.405z","fillRule":"evenodd"}}]})(props);
};
function GiGooSpurt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M164.22 19.97c-55.872.782-107.155 22.6-138.345 76.25 70.746-35.597 126.136-16.29 156.97 39-9.19-32.183-15.546-61.18 15.342-43.345 99.626 57.518 82.717 175.182 93.157 288.125 6.47 69.99 73.38 113.886 126.625 100.53 51.757-12.98 89.914-78.05 62.75-136.405-39.485-84.82-106.24-150.306-169.595-223.844-26.82-31.13 37.58-16.983 87.72 6.314C348.42 68.75 254.338 20.817 169.624 19.97c-1.81-.02-3.604-.027-5.406 0zm113.967 134.843c39.97 42.606 64.192 101.616 63.032 177.968-.426 27.78 12.714 60.507 31.405 77.19 29.71 26.514 65.718 27.143 92.78-4.75-20.674 36.025-59.665 68.922-112.593 35.936-23.882-14.883-41.382-51.668-40.125-83 1.71-42.56 9.185-146.958-34.5-203.344zm-77.718 13.03c-12.77.383-21.4 16.095-19.595 36.813 1.926 22.1 15.008 41.518 29.187 43.344 14.18 1.826 24.114-14.62 22.188-36.72-1.926-22.098-15.008-41.486-29.188-43.31-.886-.115-1.742-.152-2.593-.126z"}}]})(props);
};
function GiGooeyDaemon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M266.78 18.313c-68.048 0-127.277 27.268-162.092 65.343C80.53 76.33 63.895 56.038 59.438 23c-25.998 37.61-19.67 83.373 17.437 106.5-2.58 7.738-4.23 15.62-4.844 23.563-2.707 35.132-8.182 136.093 9.626 136.093 19.603 0 17.328-66.96 49.625-32.72 21.764 23.074 33.943 79.104 22.782 95.19-2.73 3.935-13.435 14.822-13.437 25.718 0 11.106 9.707 23.344 23.97 23.344 13.312 0 23.936-10.442 23.936-23.344 0-12.69-12.333-21.686-14.593-25.72-8.563-18.99-6.78-51.177 18.688-52.562 29.17-1.588 42.75 83.47 25.688 108.063-4.534 6.534-23.375 26.674-23.375 46.125 0 19.87 15.246 41.47 39.718 41.47 24.948 0 39.72-24.09 39.72-41.47 0-16.96-20.186-39.434-23.938-46.125-16.237-28.945-16.605-112.295 21.75-119.28 29.234-5.328.435 102.186 30.156 102.186 35.964 0-12.588-126.686 41.344-126.686 42.254 0-8.23 87.354 22.375 90.625 42.572 4.55-6.924-90.94 24.78-90.94 17.33 0 24.814 42.414 14.688 79.25h-.03c-2.467 8.98-15.156 24.6-15.156 43.22 0 21.245 14.657 31.563 29.187 31.563 14.532 0 29.783-13.116 29.783-31.563 0-17.436-13.363-34.452-16.344-43.22-14.397-42.347 8.27-102.557 21.28-140.155 11.683-33.76 11.757-62.707 3.375-87 21.43-24.834 21.923-61.223.563-92.125-3.173 23.514-12.518 40.563-26.344 51.094-36.776-37.514-100.65-55.78-165.063-55.78zM192.907 97c26.34-.544 68.91 27.705 81.188 64.344-43.674 5.63-105.783 5.352-102.656-43.844.893-14.063 9.496-20.253 21.468-20.5zm214.625.188l23.44 37.53c.202-.092.39-.187.592-.28-10.917 32.222-62.78 31.796-100.718 26.906 11.602-34.62 50.242-61.73 76.687-64.156zm9.408 84.968L430.5 195.03l-39.625 41.814-5.094 5.375-6.405-3.75-31.25-18.314-39.97 37.47-6.25 5.843-6.374-5.72-34.31-30.78-35.908 21.905L219 252.72l-5.188-5.25-49.375-49.72 13.25-13.156 44.188 44.5 35.53-21.72 5.94-3.624 5.155 4.656 33.125 29.72 38.813-36.376 5.093-4.78 6.033 3.53 30.875 18.094 34.5-36.438zM83.688 311.312c-12.09 0-21.876 9.787-21.876 21.875 0 12.09 9.787 21.875 21.876 21.875 12.088 0 21.874-9.786 21.874-21.875 0-12.088-9.786-21.875-21.874-21.875zm218.812 96.97c-9.583 0-17.344 7.76-17.344 17.343s7.76 17.344 17.344 17.344c9.583 0 17.344-7.762 17.344-17.345 0-9.583-7.76-17.344-17.344-17.344z"}}]})(props);
};
function GiGooeyEyedSun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M273.75 22.156c-17.335.085-32.11 13.28-33.813 30.907-1.01 10.464 2.8 20.284 9.625 27.25l10.313 25.874-3.72 38.72-6.53 10.155c-18.054.746-34.962 5.93-49.656 14.5l-10.282-4.78-35.5-45.595-3.5-18.593c1.68-7.84.025-16.34-5.282-23.156-5.653-7.263-14.174-10.978-22.72-10.813-5.845.113-11.717 2.038-16.686 5.906-12.23 9.523-14.428 27.177-4.906 39.407 5.307 6.818 13.143 10.522 21.156 10.813l17.22 7.97 35.405 45.5L177 187.5c-9.233 9.476-16.74 20.644-22 33l-11.03 2.406L88.25 208l-13.938-12.625c-3.39-7.27-9.836-13.05-18.187-15.28-2.808-.752-5.616-1.05-8.375-.94-11.955.484-22.747 8.647-26 20.814-4.003 14.973 4.9 30.37 19.875 34.374 8.453 2.26 17.028.392 23.625-4.344l18.156-3.938 55.72 14.875 8.25 7.5c-.614 4.652-.907 9.4-.907 14.22 0 14.202 2.753 27.74 7.75 40.156l-6.032 8.937-38.313 21.094-35.78 1c-4.75-1.87-9.86-2.84-15-2.813-6.47.037-13 1.632-19.064 4.97-19.405 10.682-26.493 35.094-15.81 54.5 10.68 19.406 35.092 26.463 54.5 15.78 10.816-5.953 17.784-16.17 20-27.405l19.81-29.438 38.626-21.28 11.28-.313c10.212 13.403 23.482 24.33 38.783 31.75l1.75 11.47-18.376 54.655-13.406 13.03c-7.494 2.914-13.678 9-16.438 17.22-4.935 14.692 2.963 30.595 17.656 35.53 14.694 4.935 30.627-2.994 35.563-17.688 2.788-8.303 1.446-16.993-2.876-23.875l-2.78-18.28 18.342-54.688 8.53-8.283c6.162 1.09 12.502 1.657 18.97 1.657 6.773 0 13.39-.647 19.813-1.844l8.717 8.47 25.594 76.217-1.75 11.563c-3.5 5.666-4.566 12.788-2.28 19.594 4.078 12.14 17.234 18.67 29.375 14.594 12.14-4.078 18.672-17.234 14.594-29.375-2.278-6.78-7.383-11.81-13.564-14.22l-8.812-8.593-25.47-75.72 1.845-12c12.603-6.298 23.81-15 33-25.5l12.467 1.376 45.282 30.03 14.25 25.502c1.122 9.742 6.376 18.942 15.186 24.78 15.845 10.502 37.187 6.158 47.688-9.687 10.5-15.844 6.188-37.216-9.656-47.717-5.942-3.938-12.684-5.778-19.313-5.72-3.266.03-6.506.534-9.625 1.47l-26.22-2.907-47.31-31.344-6.22-11.125c6.47-13.832 10.094-29.25 10.094-45.53 0-1.99-.05-3.973-.156-5.938l10.28-8.19 56.626-11.31 18.03 5.124c6.26 5.044 14.63 7.387 23.126 5.687 15.2-3.04 25.073-17.83 22.03-33.03-2.66-13.3-14.32-22.506-27.374-22.563-1.865-.008-3.756.152-5.656.532-8.525 1.705-15.384 7.12-19.22 14.218l-14.655 11.687-56.5 11.313-12.813-3.657c-3.345-9.405-7.913-18.224-13.593-26.218l4.124-12.406 41.22-40.25 17.748-5.437c8.06.885 16.434-1.738 22.688-7.845 11.09-10.83 11.297-28.597.47-39.688-5.754-5.89-13.467-8.71-21.095-8.437-6.73.24-13.395 2.893-18.594 7.97-6.237 6.09-9.017 14.377-8.342 22.436l-5.875 17.625-41.282 40.314-12 3.656c-12.1-9.6-26.326-16.648-41.842-20.344l-4.438-11.187 3.78-39.19 14.783-22.968c8.045-5.524 13.674-14.426 14.687-24.906 1.817-18.8-11.95-35.526-30.75-37.343-1.175-.114-2.344-.162-3.5-.157zM253.53 212.22c.92-.017 1.833-.017 2.75 0 29.392.494 57.826 16.55 81.25 44.78l4.97 6-4.97 5.97c-25.895 30.954-54.887 47.158-84.06 46.81-29.175-.346-56.753-17.266-79.814-47.092l-4.47-5.813 4.564-5.72c23.272-29.172 51.33-44.46 79.78-44.936zm13.095 19.75c13.107 4.84 22.47 17.46 22.47 32.25 0 13.52-7.83 25.205-19.19 30.81 15.592-4.102 31.748-14.45 47.876-32.06-16.222-17.543-33.73-27.82-51.155-31zm-24.156.124c-16.672 3.24-33.372 13.162-49.157 31 15.107 17.754 30.93 28.328 46.843 32.25-11.698-5.48-19.78-17.354-19.78-31.125 0-14.66 9.166-27.193 22.093-32.126z"}}]})(props);
};
function GiGooeyImpact (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M298.428 20.486c-21.447 48.03-44.188 75.236-77.115 79.91-28.136 3.99-64.568-29.074-105.614-75.998 23.366 46.372 31.96 83.573 16.204 92.762-18.627 10.866-55.943-1.943-111.203-25.144v10.615c38.017 24.128 73.04 47.683 66.5 56.442-5.742 7.687-31.92 6.356-66.5 1.682v27.383c50.014 25.265 77.116 51.172 77.116 75.437 0 20.872-41.68 63.48-77.115 97.233v16.207c31.98-10.475 71.2-14.545 84.382 8.94 13.445 23.952 4.417 57.878-12.853 107.292h29.618c31.378-42.384 61.21-76.374 77.113-74.88 11.266 1.066 6.004 35.664-1.675 74.88h8.942c27.94-77.643 62.367-125.236 113.437-123.498 44.812 1.533 87.334 46.643 134.113 78.793-24.452-29.92-69.5-72.534-59.793-80.466 10.208-8.352 53.968 6.926 99.47 23.47v-14.53c-29.854-20.367-57.317-39.94-50.294-46.94 6.313-6.296 25.576-7.315 50.293-5.588v-29.058c-53.67-21.397-85.278-41.364-94.998-73.203-7.98-26.144 16.097-60.923 61.47-102.82-47.4 25.978-82.294 43.625-96.116 18.997-12.413-22.108 1.488-63.554 23.467-117.908H371.63c-17.527 27.747-32.458 48.79-38 43.588-4.828-4.536-4.882-20.853-2.792-43.588h-32.412l.002-.008zm7.265 32.06c-5.53 42.43-16.73 95.59-9.834 102.063 5.165 4.85 26.22-34.356 42.462-59.31-18.34 46.248-35.978 81.03-27.082 96.878 7.03 12.525 24.87 3.69 48.985-9.524-23.083 21.316-35.483 38.987-31.424 52.285 8.057 26.395 45.79 36.738 113.22 60.353-34.623-4.49-82.283-13.5-90.288-5.518-5.37 5.358 28.182 25.277 47.38 39.08-29.005-10.13-65.573-25.36-72.41-19.77-4.938 4.04 17.957 25.693 30.396 40.92-23.8-16.357-45.59-39.233-68.39-40-33.52-1.14-52.724 39.145-69.282 100.686 4.352-29.214 17.456-74.98 8.045-75.858-13.35-1.256-45.605 46.34-69.728 81.836 16.846-51.048 32.15-80.128 21.9-98.387-9.252-16.482-43.968-6.46-59 2.3 17.71-16.713 55.245-50.34 55.245-64.498 0-20.606-37.184-43.794-105.752-63.314 41.22 6.498 94.365 18.422 100.57 10.115 4.85-6.494-35.124-29.052-59.45-45.055 42.82 18.364 69.956 30.773 82.087 23.697 8.015-4.675 3.556-23.55-8.332-47.144 20.882 23.872 39.604 40.68 53.918 38.647 30.2-4.283 43.242-44.233 66.765-120.482z"}}]})(props);
};
function GiGooeyMolecule (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M115.248 15.242c-6.71.062-13.772 2.19-21.44 5.856-16.522 7.9-22.95 30.435-5.84 54.898 27.473 39.282 51.255 33.15 86.434 73 7.825 8.864 13.88 34.267 5.84 42.05-10.477 10.145-33.53 10.34-74.754-16.353-25.01-16.193-22.335-44.923-43.802-58.984-13.122-8.598-36.792-8.48-44.385 5.253-7.592 13.734-1.066 39.194 13.434 48.475 19.786 12.66 37.92 2.57 64.243 19.27 65.212 41.377 71.546 91.154 9.343 147.175-26.21 23.603-48.852 11.47-75.338 30.37-16.913 12.066-16.822 33.317-9.343 43.8 7.313 10.252 23.652 23.224 41.465 10.513 27.766-19.81 29.837-46.434 57.233-67.164 15.618-11.818 35.334-7.048 45.555 5.256 12.872 15.5 6.642 70.79-22.78 134.908C172.84 448.53 203.8 404.843 230.47 384.94c29.958-22.36 55.635 18.38 71.833 56.376-4.353-44.678-14.81-87.855 25.113-73.896 8.857 3.097 20.136 11.22 30.953 19.855 38.628 30.837 26.928 63.923 56.066 94.612 15.505 16.332 44.323 20.74 56.648 8.76 12.325-11.976 12.08-35.586-4.672-51.393-27.728-26.168-66.728-37.086-92.275-64.242-49.604-52.724 55.685-50.42 119.138-44.967-85.866-25.572-130.043-45.688-140.746-70.082-6.116-13.934-.508-45.57 26.28-61.322 40.682-23.923 51.81-9.098 91.106-27.45 24.732-11.546 29.933-38.4 22.777-53.73-7-14.99-26.512-32.02-52.562-19.855-41.783 19.51-34.94 63.352-74.753 85.266-37.618 20.708-54.327-32.963-43.217-157.1-24.59 109.814-39.16 140.04-77.09 145.42-11.75 1.668-40.537-9.848-50.81-28.032-25.562-45.252-16.246-65.546-44.97-106.29-10.194-14.462-20.86-21.225-32.704-21.608v-.002c-.444-.015-.89-.02-1.338-.016zm129.318 173.996c8.76 0 17.52 3.34 24.202 10.024 4.848 4.848 7.93 10.79 9.257 17.03-3.76-.48-7.692.713-10.58 3.6-4.953 4.954-4.953 12.987 0 17.94 4.954 4.953 12.984 4.953 17.938 0 4.37-4.37 4.878-11.134 1.537-16.068 9.924-4.267 21.866-2.356 29.97 5.748 10.62 10.62 10.62 27.836 0 38.455-4.044 4.044-9.045 6.544-14.275 7.508 16.35 20.97 14.897 51.312-4.386 70.595-20.874 20.872-54.715 20.87-75.587-.002-12.096-12.095-17.166-28.544-15.243-44.302-9.945 5.362-22.618 3.848-31.017-4.55-10.253-10.254-10.253-26.877 0-37.13 10.253-10.253 26.876-10.253 37.13 0 3.61 3.612 5.945 8.015 7.012 12.65.682-.764 1.384-1.518 2.118-2.252 2.03-2.03 4.19-3.848 6.44-5.48.793 1.74 1.886 3.377 3.317 4.808 3.807 3.807 9.016 5.333 13.963 4.618-2.76 7.186-2.212 15.347 1.645 22.144-5.824-1.045-12.046.67-16.547 5.172-7.304 7.305-7.304 19.148 0 26.453 7.306 7.304 19.15 7.304 26.454 0 5.37-5.372 6.777-13.192 4.25-19.862 9.095 3.12 19.575 1.058 26.832-6.2 10.15-10.148 10.148-26.603-.002-36.753-7.753-7.753-19.183-9.577-28.674-5.485.49-4.744-1.077-9.66-4.713-13.295-6.408-6.408-16.798-6.408-23.207 0-2.47 2.47-3.976 5.53-4.543 8.727-2.683-1.5-5.208-3.388-7.49-5.67-13.365-13.365-13.365-35.035 0-48.4 6.683-6.683 15.44-10.024 24.2-10.024z"}}]})(props);
};
function GiGooeySword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M159.977 20.63c78.967 153.842 60.076 197.813-140.143 27.124v71.185C48.22 134 72.317 147.707 92.607 160.23c-23.095.797-27.865 26.2 6.827 50.518 34.105 23.908 59.087 13.718 54.964-6.256 75.656 67.92-15.78 85.644-134.564 105.58v62.512c125.702-58.524 142.942-36.168 37.998 123.324h58.27c100.945-258.564 155.41-177.483 125.953 0h33.115c8.185-107.59 37.76-129.26 60.62 0h45.493c-141.196-219.314-28.308-204.87 113.828-140.215V309.8c-239.157-11.635-236.9-101.798 0-133.443V85.813c-72.386 39.545-74.392 15.146-7.327-65.182h-30.396c-141.87 206.317-167.428 173.33-114.166 0H297.82c-26.108 98.248-72.014 80.678-90.902 0h-46.94zm-21.49 55.854c-12.85-.12-17.734 15.212-.45 35.832 27.02 32.236 54.07 12.942 27.088-19.246-9.712-11.586-19.428-16.518-26.637-16.586zM293.226 90.48c2.17.067 4.405.65 6.636 1.866 17.85 9.735-.25 40.7-18.1 30.963-15.646-8.534-3.72-33.294 11.465-32.83zm-52.766 12.207c9.52 0 17.24 7.72 17.24 17.24 0 5.46-2.544 10.315-6.5 13.473l5.82 41.4 49.345-6.94 6.96 49.476-18.51 2.6-4.354-30.967-20.23 2.844c14.463 68.143 18.467 141.156 9.012 201.95-25.853-55.827-42.906-127.008-47.84-196.49l-19.964 2.808 4.355 30.97-18.506 2.602-6.96-49.478 48.19-6.776-5.93-42.144c-5.558-2.86-9.368-8.644-9.368-15.328 0-9.523 7.718-17.24 17.24-17.24zm202.01 23.862c.564.007 1.116.028 1.655.057 8.632.48 13.786 3.577 15.94 6.46 2.156 2.882 2.776 5.828-.133 11.367-2.91 5.538-10.27 12.996-23.912 19.81-13.666 6.827-25.43 9.032-34.06 8.553-8.63-.48-13.785-3.578-15.94-6.46-2.156-2.884-2.775-5.834.134-11.372 2.91-5.538 10.27-12.995 23.91-19.807 12.81-6.4 23.952-8.736 32.407-8.61zM182.167 293.11c.517.002 1.022.02 1.518.05 4.754.292 8.485 1.81 10.763 3.774 3.038 2.62 4.42 5.677 3.496 10.87-.923 5.194-4.94 12.75-14.824 21.057-19.795 16.637-35.19 14.16-40.83 8.855-2.822-2.653-4.21-6.063-3.21-11.46 1-5.395 4.96-12.846 14.28-20.775 10.906-9.276 21.052-12.416 28.806-12.37zm186.98 47.52c-25.603.182-26.42 26.004 20.002 60.106 72.344 53.145 114.972 20.073 42.516-33.146-25.997-19.098-48.157-27.064-62.52-26.96z"}}]})(props);
};
function GiGoose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M370.019 18.023c-2.843-.035-5.859.197-9.075.73-81.664 13.54-38.657 142.295-36.095 217.397-84.163-16.327-168.007 121.048-289.118 152.787 58.086 52.473 206.05 89.6 331.739 11.85 39.804-24.622 45.26-92.014 34.343-165.049-6.703-44.845-71.755-133.176-10.269-141.266l.611-.504c12.884-10.608 16.606-23.842 22.522-37.699l1.699-3.976c-11.688-16.016-23.17-33.986-46.357-34.27zm5.08 19.625a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm52.703 34.172c-3.28 8.167-7.411 17.45-14.612 26.293 21.035 7.63 41.929 3.078 63.079-.863-15.515-9.272-32.003-18.195-48.467-25.43zm-89.608 181.053c19.109 25.924 21.374 53.965 11.637 78.183-9.737 24.219-30.345 44.797-55.67 60.49-50.65 31.389-121.288 44.45-170.553 17.11l8.735-15.738c40.364 22.4 106.342 11.833 152.338-16.67 22.997-14.252 40.72-32.684 48.449-51.906 7.729-19.223 6.596-39.053-9.426-60.79l14.49-10.68zM273.28 456.322a332.68 332.68 0 0 1-19.095 3.232l-3.508 16.426h-13.084l3.508-14.842a400.208 400.208 0 0 1-18.852 1.506l-7.408 31.336h95.79v-18h-41.548l4.197-19.658z"}}]})(props);
};
function GiGorilla (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M426.353 45.894c-8.969.095-19.91 4.567-31.41 9.43-25.134 10.628-30.824 23.015-37.95 37.133 8.482 4.036 15.74 10.27 21.727 17.762 8.672 10.848 15.098 24.363 20.451 39.345 9.563 26.764 15.67 58.434 21.848 88.18l28.812 3.615s38.02-28.257 40.22-47.99c.65-5.84-9.27-14.992-9.27-14.992s5.937-6.614 4.83-11.323c-1.252-5.326-10.38-14.755-10.38-14.755s2.699-6.325.099-10.178c-3.468-5.14-18.98-8.572-18.98-8.572-1.734-1.69-1.576-8.596-.006-10.287 0 0 14.776-12.887 10.903-17.684-7.036-8.714-18.633-19.625-18.633-19.625-.26-30.99-9.153-40.198-22.261-40.059zm-102.4 58.86c-47.7.281-69.23 71.742-94.848 86.466-43.488 23.83-109.511-11.463-145.203 22.045-36.712 34.467-47.593 68.766-32.047 135.63L32.918 405.23c-7.483 37.268-14.09 30.759-9.463 60.877 38.011-.97 75.93-1.63 113.888 0l2.664-16.361-26.021-16.215c2.142-13.369 6.033-31.024 20.459-51.959 14.426-20.934 21.727-36.387 21.836-48.713l17.998.158c-.155 17.545-8.409 34.347-18.783 50.23 47.235 15.354 119.223 7.67 173.01-47-9.46-29.17-21.687-58.052-37.315-79.72l14.598-10.53c35.673 51.447 55.01 132.403 65.963 186.274-6.292 2.041-11.578 3.946-17.47 6.602.338 9.09 1.043 18.16 1.65 27.234 31.173-2.124 62.215-.722 93.612 0 17.246-68.035-10.26-117.857-38.76-187.59-20.847-73.492-18.395-161.324-74.122-172.496-4.437-.89-8.667-1.291-12.71-1.267zm10.12 249.748c-5.42 5.297-12.046 10.358-19.609 15.297-5.077 3.315-10.599 6.528-16.472 9.584L284.37 442.32l-10.905 4.906-1.091 18.881h65.113l-1.73-38.625 14.767-6.658c-4.007-18.973-9.748-42.998-16.451-66.322zm-186.929 42.72l15.645 68.885h92.91l-1.543-18.615-24.672-5.783-4.56-38.51c-26.065 3.93-53.18 3.051-77.78-5.977z"}}]})(props);
};
function GiGothicCross (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.635 19.707L235.02 57.67h45.228l-22.613-37.963zm-105.03 56.658v23.703H362.67V76.365H152.604zm41.375 42.4c18.588 20.862 30.24 45.644 38.967 72.128 4.876-1.883 10.014-3.222 15.344-3.952v-50.57h18.69v50.567c5.24.716 10.297 2.02 15.1 3.85 8.63-26.39 20.246-51.114 39.008-72.023H193.98zM78.898 150.21V360.25h23.657V150.21H78.898zm333.823 0V360.25h23.657V150.21H412.72zm-18.695 41.31c-20.847 18.572-45.605 30.22-72.064 38.945 1.89 4.88 3.24 10.02 3.974 15.357h50.498v18.69h-50.48c-.713 5.252-2.014 10.318-3.847 15.13 26.352 8.627 51.038 20.234 71.92 38.967V191.52zm-272.775.01v127.075c20.888-18.737 45.58-30.343 71.938-38.97-1.832-4.81-3.132-9.874-3.844-15.123h-50.506v-18.69h50.523c.736-5.334 2.083-10.474 3.972-15.35-26.465-8.725-51.23-20.37-72.082-38.94zm136.408 13.532c-27.628 0-50.226 22.598-50.226 50.227 0 27.627 22.598 50.224 50.226 50.224s50.225-22.597 50.225-50.225c0-27.63-22.597-50.227-50.225-50.227zm0 18.69c17.528 0 31.535 14.01 31.535 31.537 0 17.526-14.007 31.534-31.535 31.534-17.527 0-31.537-14.008-31.537-31.535 0-17.53 14.01-31.538 31.538-31.538zm-197.455 8.762l-38.03 22.654 38.03 22.652v-45.306zm394.87.004v45.298l38.023-22.648-38.024-22.65zM232.907 319.56c-8.72 26.427-20.358 51.154-38.902 71.98h127.056c-18.717-20.87-30.32-45.54-38.943-71.872-4.815 1.84-9.883 3.148-15.138 3.865v50.43h-18.687V323.53c-5.346-.732-10.498-2.078-15.387-3.97zm-80.304 90.674v23.704h210.068v-23.704H152.604zm82.4 42.4l22.63 37.993 22.634-37.994h-45.264z"}}]})(props);
};
function GiGps (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 57v398h462V57H25zm30 30h306v338H55V87zm78.94 18l10.042 27.62L73 122.48v18.182l77.957 11.14 36.223 99.612 24.806-37.12L172.244 105H133.94zM278 105v18h64v-18h-64zm0 32v18h64v-18h-64zm106 39h82v48h-82v-48zm18 18v12h46v-12h-46zm-59 28.666l-115.803 22.107 7.26 16.936L343 240.99v-18.324zM384 240h82v48h-82v-48zm-174.178 9.928l-57.314 85.77 48.18-11.243 49.18 18.893-40.046-93.42zM402 258v12h46v-12h-46zm23.646 53c22.538 0 41 18.463 41 41s-18.462 41-41 41c-22.537 0-41-18.463-41-41s18.463-41 41-41zm0 18c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zm-226.25 14.24l-17.777 4.15L176.2 407h36.146l5.164-56.8-18.115-6.96z"}}]})(props);
};
function GiGrab (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M243.512 23.29c-27.105 18.337-53.533 32.92-82.274 45.337-2.843 17.364-3.948 34.497-4.05 51.584 28.913 15.41 56.096 32.85 83.33 49.634l7.045 4.344-3.432 7.482c-12.12 26.572-24.33 47.087-46.245 70.3l-5.184 5.512-6.46-3.904c-32.974-19.974-74.472-38.724-113.373-53.95l6.826-17.374c36.79 14.4 75.11 32.32 108.153 51.504 15.396-17.198 25.326-33.354 34.713-52.89-43.44-26.91-86.13-53.51-134.69-70.632-23.012 20.357-37.705 45.243-51.942 70.74 8.324 25.495 6.596 53.376-6.596 77.46 48.58-.593 97.994 2.23 150.666 10.26l5.658.837 1.787 5.44c8.85 26.46 11.79 54.41 8.325 83.588l-.987 8.432-8.466-.187c-40.508-.864-80.175-2.138-118.17.234 1.634 15.94-2.31 30.972-7.724 45.025 13.427 28.54 27.38 55.8 48.29 79.39 41.27-19.05 73.564-31.288 115.93-42.85-3.407-13.72-6.918-26.36-11.097-33.62-5.122-8.9-10.207-13.057-17.85-15.256-15.284-4.4-44.533 2.293-92.894 19.454l-6.243-17.594c48.907-17.354 79.702-26.894 104.283-19.82 9.133 2.628 16.884 8.004 23.066 15.46 14.487-7.627 28.415-16.79 42.053-26.996 12.34-45.92 37.29-81.42 66.626-112.107-7.226-13.52-13.208-27.204-20.563-40.613l-3.394-6.168 5-4.965c23.275-23.13 47.34-40.157 71.87-52.487l8.395 16.716c-20.952 10.53-41.503 25.913-61.795 45.152 12.41 23.91 22.263 45.5 39.457 64.826 37.488-27.124 74.943-51.39 116.84-74.938-13.96-30.473-31.345-58.357-56.286-79.462-32.2 13.38-62.527 17.39-92.61 12.29-14.223 13.25-30.094 22.23-48.756 23.337-29.017 1.722-60.74-15.74-99.174-57.672l6.858-6.295.017-.028.006.006 6.88-6.314c36.702 40.043 63.74 52.87 84.32 51.65 18.514-1.1 35.03-14.95 51.684-35.406-28.827-31.81-64.174-59.94-97.822-84.465zM39.324 277.884c-6.06.022-12.104.098-18.142.223 1.673 26.288 5.512 51.288 14.052 73.732 45.88-5.82 93.308-4.96 141.15-3.87 1.518-21.27-.253-41.69-6.058-61.212-45.528-6.565-88.59-9.03-131.002-8.873z"}}]})(props);
};
function GiGraduateCap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 89.61L22.486 177.18 256 293.937l111.22-55.61-104.337-31.9A16 16 0 0 1 256 208a16 16 0 0 1-16-16 16 16 0 0 1 16-16l-2.646 8.602 18.537 5.703a16 16 0 0 1 .008.056l27.354 8.365L455 246.645v12.146a16 16 0 0 0-7 13.21 16 16 0 0 0 7.293 13.406C448.01 312.932 448 375.383 448 400c16 10.395 16 10.775 32 0 0-24.614-.008-87.053-7.29-114.584A16 16 0 0 0 480 272a16 16 0 0 0-7-13.227v-25.42L413.676 215.1l75.838-37.92L256 89.61zM119.623 249L106.5 327.74c26.175 3.423 57.486 18.637 86.27 36.627 16.37 10.232 31.703 21.463 44.156 32.36 7.612 6.66 13.977 13.05 19.074 19.337 5.097-6.288 11.462-12.677 19.074-19.337 12.453-10.897 27.785-22.128 44.156-32.36 28.784-17.99 60.095-33.204 86.27-36.627L392.375 249h-6.25L256 314.063 125.873 249h-6.25z"}}]})(props);
};
function GiGrainBundle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.9 22.58c-8.4 13.15-16.5 26.36-20.5 39.25 3.9 3.1 7.5 6.32 10.5 9.49 1.3 1.34 2.4 2.6 3.5 3.9 1.6-1.09 3.3-2.07 5.1-3.11 3.6-2.02 7.8-3.92 12.1-5.65l.5-.36c-.6-14.54-5.6-28.64-11.2-43.52zm-48.8 42.57c-.6 5.7 0 12.96 2.2 19.83 6.5 3.02 12.8 7.29 18.8 11.79 2 1.55 4 3.23 5.9 4.83 2.6-3.18 4.1-7.26 2.4-13.32.3 1-1-1.86-3.6-4.64-2.7-2.79-6.4-6.09-10.4-9.2-5-3.74-10.6-7.01-15.3-9.29zM45.58 70.77c1.19 15.58 2.76 30.93 7.27 43.63 5.03.1 9.86.5 14.17 1.3 1.79.3 3.45.7 5.06 1 .6-1.8 1.38-3.6 2.23-5.6 1.64-3.7 3.76-7.7 6.21-11.68l.16-.6c-9.18-11.29-21.64-19.55-35.1-28.05zm305.02.55c-10.2 11.86-20 23.85-25.8 35.98 3.5 3.7 6.6 7.3 9.2 10.9 1 1.5 2 2.9 2.8 4.3 1.7-.8 3.5-1.5 5.5-2.3 3.8-1.5 8.2-2.8 12.7-3.9l.5-.3c1.5-14.5-1.4-29.17-4.9-44.68zm-53.3 6.53c-5.2.76-11.5 2.2-17.3 4.3-4.8 1.74-9.4 3.78-12.7 5.66-3.3 1.86-5.4 4.13-5 3.38-3.4 5.42-3 9.81-1.3 13.71 2.4-1.1 5-2.1 7.7-3.1 6.7-2.38 13.6-4.48 20.5-5.4 4.3-5.95 6.9-12.87 8.1-18.55zm-176 1.4c1.3 15.6 2.7 30.95 7.3 43.65 5 .2 9.9.5 14.1 1.3 1.8.3 3.5.6 5.2 1 .6-1.8 1.3-3.6 2.2-5.6 1.6-3.8 3.7-7.7 6.2-11.8l.2-.6c-9.2-11.2-21.7-19.46-35.2-27.95zm347.5 5.79c-13.2 8.43-26 17.06-35.1 27.06 2.3 4.5 4.2 8.9 5.6 13.1.6 1.7 1.1 3.3 1.5 4.9 1.9-.3 3.9-.5 6-.7 2.5-.2 5.3-.3 8.1-.2 1.7 0 3.5 0 5.2.1l.6-.1c5.6-13.4 7-28.3 8.1-44.16zM104.6 96.76c-2.4 2.86-4.86 6.14-7.06 9.44-2.8 4.3-5.2 8.7-6.73 12.1-1.52 3.5-1.78 6.7-1.88 5.6.18 2.4.69 4.3 1.42 5.9l1.5-.8c5.29-2.8 11.45-4.4 17.85-5.2-2.6-8.9-4.1-18-5.1-27.04zm79.9 4.04c-3.7 3.7-7.9 8.7-11.2 13.9-2.8 4.3-5.2 8.7-6.7 12.1-1.6 3.5-1.8 6.7-1.9 5.6.5 6.6 3.5 9.9 7.1 12 1.3-2.4 2.8-4.8 4.3-7.2 3.9-6 8.2-11.9 13.1-16.8-.2-7.2-2.2-14.4-4.7-19.6zm21.4 1c-.1 1.4-.2 3-.2 4.6.2 1 .3 2 .5 2.9l4.3 3.9c5.2 4.8 8.8 10.9 11.1 17.8 1.8 1.3 3.6 2.6 5.3 3.9 1.8 1.3 3.5 2.7 5.2 4.1 3-3.2 4.9-7.5 3.1-14.1.3 1-1-1.9-3.6-4.6-2.7-2.8-6.4-6.1-10.5-9.2-4.9-3.8-10.5-7-15.2-9.3zm200.7 1.6c-2.8 4.9-5.4 11.7-6.2 18.9 4.7 5.4 8.6 11.9 12.1 18.5 1.2 2.3 2.4 4.6 3.4 6.9 3.6-1.8 6.6-4.8 7.7-10.9-.1 0-.3-2.8-1.4-5.9-1.2-3.7-3.2-8.2-5.6-12.7-2.9-5.5-6.6-10.8-10-14.8zm-114.5 11.1c-5.2.7-11.5 2.2-17.3 4.3-4.8 1.7-9.4 3.7-12.7 5.6-3.3 1.9-5.4 4.1-4.9 3.4-3.7 5.7-3.1 10.4-1.3 14.4.1.2.2.5.4.7 2.3-1 4.7-2 7.2-2.9 6.3-2.2 12.8-4.2 19.2-5.3.3-.4.7-.9 1.1-1.4 4.4-6 7.1-13.1 8.3-18.8zm18.2 3.7c-1 5.2-3 10.3-5.5 15.3 2.7 2.4 5.4 4.9 8 7.4 1.8 1.9 3.6 3.8 5.2 5.7 3-2.8 5-6.7 4.3-12.8.1.9-.8-2-3-5.1-2.2-3.2-5.5-7-9-10.5zm56.8 14c-1.6.3-3.3.5-4.9.9-5 1-9.7 2.4-13.3 3.8-3.5 1.4-5.9 3.4-5.3 2.6-4.2 5-4.5 9.5-3.4 13.6 2.6-.8 5.3-1.5 8.1-2.1 2.7-.6 5.4-1 8.1-1.5 1.1-1 2.2-2.1 3.4-3l3.9-2.9c.8-3.9 1.9-7.8 3.4-11.4zm-317.03.2c-6.2 0-12.64.7-17.81 1.8 3 4.8 7.79 10.3 13.71 14.5 7.04-1.6 14.67-2 22.14-1.9 2.6 0 5.15.1 7.63.2.14-4-1.12-8.2-6.07-12 .79.6-1.99-.9-5.74-1.6-3.77-.6-8.72-1-13.86-1zm152.43.7c-3.7 3.7-7.9 8.7-11.3 13.9-2.8 4.3-5.2 8.7-6.7 12.2s-1.8 6.5-1.9 5.7c.6 6.7 3.8 10.1 7.7 12.2.2.1.5.2.7.3 1.3-2.2 2.6-4.4 4-6.6 3.6-5.6 7.6-11.1 12.1-15.8v-1.8c-.1-7.4-2.1-14.7-4.6-20.1zm184.1 1.4c-2.9 5.1-5.6 12.1-6.3 19.6 0 .4-.1.8-.1 1.3 4.5 5.3 8.3 11.6 11.7 18 1 2 2 4 2.9 5.9h.1c4.1-1.7 7.5-4.8 8.7-11.4-.1 0-.3-2.7-1.4-5.9-1.2-3.7-3.2-8.2-5.6-12.7-2.9-5.5-6.6-10.8-10-14.8zm-260.7 6.4c-6.2-.1-12.7.7-17.8 1.8 2.9 4.8 7.7 10.3 13.6 14.5 7.1-1.6 14.7-2 22.1-2 2.6 0 5.2.1 7.7.3.2-4.1-1.2-8.3-6.1-12.1.8.6-2-.9-5.7-1.5-3.8-.6-8.7-1-13.8-1zm328.8 6.3c-2.4 0-4.5 0-6.4.2-3.8.3-6.7 1.5-5.8 1h-.1c-5.4 3.5-6.9 7.7-7.1 11.9 2.7 0 5.6.2 8.4.4 7.1.7 14.2 1.7 20.8 3.6 6.4-3.6 11.8-8.8 15.2-13.4-5-1.5-11.4-2.8-17.6-3.4-2.5-.2-5-.3-7.4-.3zM287 152.6c-5.2.8-11.6 2.2-17.4 4.3-4.8 1.8-9.3 3.8-12.7 5.7-2.9 1.6-4.8 3.5-4.9 3.5-3.6 5.6-3 10.2-1.2 14.2 1.9 4 6.1 5.8 5.2 5.8 6.8.3 15.9-5.5 22.6-14.6 4.4-6 7.2-13.1 8.4-18.9zm17.6 6c-1.3 5.3-3.5 10.5-6.3 15.5 1.4 1.3 2.8 2.6 4.2 4 1.6 1.6 3.1 3.2 4.5 4.8 3.4-2.9 5.9-6.8 5.1-13.6.1.9-.8-2-3-5.1-1.2-1.7-2.8-3.6-4.5-5.6zm-236.49 6.2c-6.2-.1-12.65.7-17.82 1.8 3.1 5 8.08 10.7 14.27 14.9l.9.6c6.88-1.5 14.31-1.9 21.57-1.8 2.25 0 4.45.1 6.61.2.4-4.4-.59-9-6-13.2.82.6-1.93-.9-5.69-1.5-3.76-.6-8.7-1-13.84-1zm153.29 1.8c-3.7 3.8-7.9 8.8-11.3 14-2.8 4.3-5.1 8.6-6.7 12.1-1.5 3.5-1.7 6.7-1.8 5.6.5 6.9 3.8 10.2 7.7 12.3 3.6 2 7.8 1.1 7.6 1.4 5.5-3.8 9.3-14 9.2-25.3-.1-7.4-2.2-14.7-4.7-20.1zm-4.5 45.4l-.1.1c.1 0 .1-.1.1-.1zM366 167.1c-2.9 5.1-5.6 12.1-6.3 19.6-1.2 11.3 1.7 21.7 7 26-.8-.6 3.6.9 7.6-.9 4.1-1.7 7.5-4.7 8.7-11.3-.1 0-.3-2.8-1.4-5.9-1.2-3.6-3.2-8.2-5.6-12.7-2.9-5.5-6.6-10.8-10-14.8zm-21.5 3.4c-2.1.7-4.1 1.3-5.8 2-3.5 1.4-5.9 3.4-5.3 2.6-4.4 5.3-4.5 10-3.2 14.2.1.2.2.5.3.7 2.4-.7 4.9-1.3 7.5-1.9 1.2-.2 2.3-.5 3.5-.7.1-.8.1-1.7.2-2.5.5-4.9 1.4-9.7 2.8-14.4zm-200.7 2.7c-6.2 0-12.6.8-17.8 1.9 3.1 5 8.1 10.6 14.3 14.8.3.2.7.4 1 .7 6.9-1.5 14.3-1.9 21.5-1.8 2.3 0 4.5.1 6.7.2v-.1c.3-4.3-.7-9-6.1-13.2.8.7-2-.8-5.7-1.4-3.8-.7-8.7-1.1-13.9-1.1zm290.9 5.1c-2.4 0-4.6 0-6.5.2-3.8.3-6.6 1.6-5.7 1-5.8 3.7-7.2 8.2-7.2 12.6v.8c2.5 0 5.1.1 7.7.4 6.6.6 13.3 1.5 19.6 3.2.5-.3 1.1-.6 1.6-.9 6.5-3.6 12-8.9 15.5-13.6-5.1-1.5-11.4-2.8-17.6-3.3-2.5-.3-5.1-.4-7.4-.4zm-147.1 10.4c-3.7 4-7.8 7.5-12.4 10.2.1.3.1.7.2 1.1 2.1 11.2 8 20.4 14.2 23-1-.4 3.7-.2 7.1-3 3.4-2.9 5.9-6.8 5-13.6v-.1c.1 1.1-.8-1.9-3-5s-5.4-6.9-9-10.6c-.7-.7-1.4-1.3-2.1-2zm-200.57 9.6c-6.2-.1-12.65.7-17.82 1.8 3.1 5 8.08 10.7 14.28 14.9 9.45 6.3 19.91 8.7 26.31 6.1-1 .4 2.4-2.7 2.8-7.1.4-4.4-.7-9-6.1-13.2.8.6-2-.9-5.7-1.5-3.76-.6-8.64-1-13.77-1zm156.07 1.1c-.3 1.5-.6 2.9-1 4.4l1.1 137.1c6-.1 12-.2 18-.1l-1-127.9c-1-2.9-1.8-5.9-2.4-8.8H255c-4.7-.3-8.7-2-11.9-4.7zm99.7 6.2c-.4 0-.7.1-1.1.2-5 1-9.8 2.4-13.3 3.8-3.6 1.4-6 3.4-5.4 2.7-4.4 5.1-4.5 9.8-3.2 14 1.3 4.2 5.3 6.6 4.3 6.5 6.7 1.2 16.6-3.3 24.5-11.4.3-.3.6-.6.8-.9-3.2-4.4-5.3-9.6-6.6-14.9zm-180 1.2c-6.3-.1-12.7.7-17.9 1.8 3.1 5 8.1 10.7 14.3 14.9 9.4 6.3 20 8.7 26.3 6.1-.9.4 2.4-2.8 2.8-7.1.4-4.4-.6-9-6-13.2.8.6-2-.9-5.7-1.5-3.8-.6-8.7-1-13.8-1zm251.3 4.1c-2.4 0-4.5 0-6.4.2-3.8.3-6.7 1.5-5.8 1h-.1c-5.7 3.7-7.1 8.1-7.1 12.6 0 4.4 3.1 7.8 2.1 7.3 6.1 3.1 16.8 1.7 26.8-3.9 6.5-3.6 12-8.8 15.5-13.5-5-1.5-11.4-2.8-17.6-3.4-2.5-.2-5-.3-7.4-.3zm-284.2 8.7c-.6 3.5-1.7 6.8-3.5 9.7 20.3 36.9 37.7 77.7 51.6 117.6 5.8-1 11.9-1.8 18.2-2.6-11.8-34.7-26.4-70.1-43.3-103.5-1.3-.8-2.6-1.6-3.8-2.4-7.7-5.2-14.5-11.5-19.2-18.8zm75.7 9.1c-.8 4-2.3 7.8-4.7 10.9 8.5 33.8 15 68.2 19.5 102.4 6-.5 12-.8 18.1-1-4.8-36.8-11.9-74-21.3-110.5-3.9.4-7.8-.4-11.6-1.8zM377 230c-4.2 1.2-8.4 1.7-12.5 1-19.9 35.2-38 74.2-51 113.8 6.3 1 12.4 2.1 18.2 3.4 12.4-37.4 29.5-74.6 48.5-108.2-1.7-3-2.7-6.4-3.2-10zm-72.5 6.6c-3.8 2.5-8 4.2-12.2 4.5-8.3 32.2-15.6 66-21.3 100 6.1.2 12.2.5 18.1 1 5.5-33 12.7-66.1 20.7-97.5-2.2-2.2-3.9-5-5.3-8zM255 359.3c-30.7-.1-61.1 2.7-85.1 7.6-.4 11.7 4.7 24.4 16.5 36.2 48-9.1 97.8-10 145.1 3.2 12.5-10 17-21.1 17.8-34.6-23.6-8-55.6-11.8-88.2-12.3-2 0-4.1-.1-6.1-.1zm-.7 54.9c-9 0-18 .5-27 1.3 1.1 20.1 1.5 40 1.3 59.2-2.4-17.8-6.2-37.4-11.2-58.2-6 .7-12 1.5-18 2.5 5.6 22.5 9.7 43.6 12 62.1l17.2-2.1c-.1 2.8-.1 5.6-.2 8.4l18 .4c.2-7 .3-14.1.3-21.2l12.7-.2c-.1 7.8.1 15.5.4 23l18-.8c-1-23-.2-47.7 2-73.4-8.5-.7-17-1-25.5-1zm42.1 2.9c-3 21.6-3.9 42.9-2.1 63.3l18-1.6c-1.6-18.5-.8-38.2 2-58.4-5.9-1.3-11.9-2.4-17.9-3.3z"}}]})(props);
};
function GiGrain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M161.021 23.56c-33.581.017-61.171 3.348-88.61 8.921-17.004-6.939-33.71-11.495-41.27 1.18-7.755 13-.298 25.252 12.243 37.315C16.961 176.419 23.36 323.974 37.281 420.24c-10.227 10.317-16.86 20.99-10.172 31.194 8.874 13.538 24.589 11.055 42.342 3.994 47.522 8.267 100.352 10.029 154.365 7.802 12.925-47.395 36.719-95.082 59.352-130.25 16.112-22.799 31.442-44.715 50.035-61.974-11.969-76.414-29.46-148.738-56.082-207.172 7.74-9.542 11.027-19.274 4.947-29.467-6.655-11.157-20.402-8.94-35.195-3.523-29.143-5.066-58.17-7.3-85.852-7.285zm-16.355 70.546c16.406 18.518 26.656 36.925 30.427 52.338l-13.625 29.983-25.326-23.194c-2.09-15.382.74-35.81 8.524-59.127zm59.798 40.83c2.124 16.568 2.256 31.597.723 44.41l-27.605 37.801-5.936-29.343 18.168-39.98c4.441-4.312 9.32-8.62 14.65-12.887zm-84.045 24.209l37.924 33.368 5.786 28.601-39.69-23.646c-6.777-11.435-20.586-35.652-20.119-43.252 15.217 4.34 13.568 3.98 16.1 4.929zm104.73 31.74c1.362 22.872-1.842 40.924-7.91 53.684l-29.628 22.168-6.277-31.039 24.875-34.06c5.742-3.67 12.06-7.269 18.94-10.752zm-112.19 22.964c4.943.367 9.692.878 14.228 1.521l40.682 24.238 6.097 30.143-31.023-7.457c-11.134-9.151-21.831-25.208-29.984-48.445zm124.043 40.892c-6.873 38.457-22.52 60.066-38.758 64.557l-7.567-37.406 29.946-22.409a207.182 207.182 0 0 1 16.379-4.742zm101.445 36.297c3.464-1.324 7.972-2.059 12.65-2.062 10.422 0 18.87 3.557 18.871 7.945.002 4.389-8.447 7.947-18.87 7.947-9.797-.003-17.96-3.161-18.792-7.271-11.324 12.604-23.028 28.276-34.054 45.209-4.24 6.509-8.363 13.222-12.348 20.015 9.174.608 15.935 3.936 15.94 7.846-.001 4.388-8.451 7.946-18.874 7.945a43.256 43.256 0 0 1-5.765-.388c-15.36 28.273-27.56 56.712-33.207 77.927 15.825 3.992 32.039 7.123 48.447 9.479l-.002.02c0 4.388 8.45 7.945 18.871 7.945 3.762-.002 7.436-.478 10.55-1.366a3.435 3.435 0 0 0-.12.87c0 4.388 8.45 7.945 18.87 7.945 10.423 0 18.871-3.557 18.872-7.945-.007-.714-.242-1.423-.7-2.11a592.75 592.75 0 0 0 39.723-.498 3.538 3.538 0 0 0-.263 1.31c0 4.389 8.45 7.946 18.87 7.946 10.422 0 18.871-3.557 18.872-7.945-.006-1.388-.876-2.751-2.522-3.953a584.77 584.77 0 0 0 22.723-2.836c3.317 2.536 9.65 4.112 16.527 4.113 10.425 0 18.875-3.558 18.873-7.947-.006-1.389-.876-2.752-2.523-3.955.051-11.342-3.426-27.164-10.037-44.473-6.863-17.968-16.742-37.59-27.897-56.426a42.718 42.718 0 0 1-6.625.516c-10.423 0-18.872-3.559-18.87-7.947.01-3.928 6.836-7.263 16.06-7.848-13.387-20.802-27.843-39.76-40.547-53.287-6.722-7.158-12.984-12.79-17.996-16.28-5.012-3.49-8.798-4.221-16.454-1.677-7.656 2.544-19.344 12.102-28.253 21.236zm-197.436-14.84l36.01 8.655 7.469 36.923c-16.307.307-37.748-13.351-58.192-43.464 5.083-.92 9.987-1.614 14.713-2.114zm60.457 55.746c2.917 17.949 6.504 35.498 11.006 52.602l-13.437 3.816c-4.671-17.697-8.37-35.774-11.36-54.173zm131.37 72.213c10.423 0 18.872 3.559 18.87 7.948 0 4.388-8.449 7.945-18.87 7.945a44.295 44.295 0 0 1-3.36-.133c1.22 1.068 1.857 2.238 1.863 3.424 0 4.388-8.45 7.945-18.873 7.945-10.421 0-18.87-3.557-18.87-7.945s8.449-7.945 18.87-7.945c1.127.002 2.252.046 3.36.132-1.22-1.068-1.857-2.238-1.864-3.423-.002-4.39 8.45-7.948 18.874-7.948zm93.41 15.451c10.423 0 18.872 3.559 18.87 7.948 0 4.388-8.449 7.945-18.87 7.945-10.423 0-18.872-3.557-18.873-7.945-.002-4.39 8.448-7.948 18.873-7.948zm-208.795 54.483c-10.424 0-18.873 3.558-18.871 7.947 0 4.388 8.45 7.945 18.87 7.945a43.931 43.931 0 0 0 4.227-.21c1.488 3.843 9.37 6.666 18.618 6.667 10.424 0 18.874-3.558 18.873-7.947-.001-4.388-8.451-7.945-18.873-7.945-1.423.003-2.84.074-4.225.21-1.488-3.843-9.37-6.666-18.62-6.667z"}}]})(props);
};
function GiGranary (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M123 42.82L44.72 87H201.3zM63.12 105c-6.34 7.4-11.42 17.8-15.36 30H198.2c-3.9-12.2-9-22.6-15.3-30zm-20.09 48c-1.24 5.9-2.28 12-3.11 18.2-3.45 25.9-3.81 53.1-3.81 75.8H66v-39h18v39h30v-39h18v39h30v-39h18v39h29.9c-.1-22.7-.4-49.9-3.8-75.8-.8-6.2-1.9-12.3-3.1-18.2zM36 265v226.2h55V368c0-16 16-24 32-24s32 8 32 24v52l7.5-5.1c2.9 2.3 6 4.9 8.6 7 10.9-14.3 23.8-28.2 38.9-40.8V265zm246.6 26.2c-7.7 3.6-9.6 15.5-9.7 23 .7 5.3 1.6 24.7 9.7 23 8.3-1.7 9.6-15.5 9.7-23-.7-5.3-1.4-22.7-9.7-23zm49 2.8c-7.7 3.6-9.6 15.5-9.7 23 .7 5.3 1.6 24.7 9.7 23 8.3-1.7 9.6-15.5 9.7-23-.7-5.3-1.4-22.7-9.7-23zm37.7 2.4c-7.7 3.6-9.6 15.5-9.7 23 .7 5.3 1.6 24.7 9.7 23 8.3-1.7 9.6-15.5 9.7-23-.7-5.3-1.4-22.7-9.7-23zm56.8.6c-7.7 3.6-9.6 15.5-9.7 23 .7 5.3 1.6 24.7 9.7 23 8.3-1.7 9.6-15.5 9.7-23-.7-5.3-1.4-22.7-9.7-23zm40.2 2.1c-7.7 3.6-9.6 15.5-9.7 23 .7 5.3 1.6 24.7 9.7 23 8.3-1.7 9.6-15.5 9.7-23-.7-5.3-1.4-22.7-9.7-23zM294 351.7c-5.9 3.4-11.9 4.4-17.9 2.4.5 7.9.8 16 .9 24.2 6.3 5.5 12.3 11.2 17.9 17.1.3-14.8.1-29.5-.9-43.7zm25.1 2.1c-2.4 23.7-.5 49.1 1.9 73.2 7.9 11 14.9 22.1 21.4 33.1-2.9-33.5-8-71.1-5.5-102.8-6.1 1.6-13.3-.2-17.8-3.5zm37.2 2.1c-2 18.3-1.6 38.8-.6 59.2 1.6 29.2 4.7 55.3 5.5 76.1h18c-.7-22-4-48.2-5.5-77.1-1-19.1-1.1-38.2.4-54.3-6.2 1.5-13.3-.6-17.8-3.9zm82.4.8c-5.9 3.5-11.6 5.5-17.8 3.6 3.7 41.4-3.4 94.9-6 130.9h18c2.5-35.4 10.7-88.6 5.8-134.5zm16.3 3c-2.8 43.3 1.5 96.2 1.9 131.5h18c-.4-36.1-4.2-88.8-1.9-129.2-6.1 2-13.1.8-18-2.3zm-209.1 17.6c-25.3 15.9-45.5 35.7-61 56.5 21 18.8 30.7 34.9 42.1 57.4h110.9c-21.4-39.2-48.8-84.9-92-113.9zm-84.4 60.2c-26.4 18.7-35.4 36.1-44 53.7h87.1c-9.7-17.1-20-34.5-43.1-53.7z"}}]})(props);
};
function GiGrapes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M277.28 18.094c2.42 33.67-.094 66.692-8.967 99.187-.552-2.168-1.15-4.308-1.813-6.436-9.355-30.034-29.53-55.765-61.313-75.313-21.642-16.548-60.26-23.695-113.437-8.343 2.25 22.26 45.452 24.822 60.156 26.844C123.012 60.4 91.11 85.214 48.53 90.25c39.324 20.744 92.66 4.396 129.064-11.688-1.873 17.715-13.69 29.033-24.53 59.594 47.832-11.062 70.85-37.418 72.155-62.562 11.173 12.212 18.763 25.81 23.436 40.812 3.505 11.25 5.34 23.392 5.594 36.344 3.873 4.97 6.9 10.635 8.813 16.78 5.315-3.01 11.198-5.134 17.437-6.155 6.107-14.92 12.983-27.09 20.53-36.156 14.88-17.87 30.967-24.548 53.5-20.19l.033-.155c32.603 22.698 24.114 60.97 12.25 89.375 21.587-6.676 33.4-19.928 33.437-42.97 17.947 11.77 25.423 31.093 30.563 52.064 7.22-21.503 5.772-44.784-12.782-64.844l43.345 16.5c-27.924-33.363-54.318-68.923-105.28-68.688-26.457-4.45-49.91 4.967-67.376 24.563 7.41-31.25 9.436-62.938 7.28-94.78h-18.72zM212.53 150.97c-19.002 0-34.218 15.184-34.218 34.186 0 6.81 1.963 13.127 5.344 18.438 3.66-.807 7.452-1.25 11.344-1.25 13.056 0 25.03 4.807 34.28 12.72 10.44-5.836 17.44-17.008 17.44-29.908 0-19.002-15.186-34.187-34.19-34.187zm-58.405 18.686c-19.003 0-34.22 15.185-34.22 34.188 0 15.977 10.75 29.295 25.47 33.125 4.004-10.795 11.44-19.943 20.97-26.126-4.267-7.615-6.72-16.384-6.72-25.688 0-5.082.74-9.997 2.094-14.656-2.44-.544-4.984-.844-7.595-.844zm134.906 11.688c-19.002 0-34.217 15.185-34.217 34.187 0 3.495.51 6.866 1.468 10.032 4.125-1.04 8.44-1.593 12.876-1.593 16.203 0 30.745 7.38 40.47 18.936 8.274-6.225 13.593-16.133 13.593-27.375 0-19-15.186-34.186-34.19-34.186zM195 221.03c-19.003 0-34.22 15.218-34.22 34.22S176 289.47 195 289.47s34.22-15.218 34.22-34.22-15.217-34.22-34.22-34.22zm147.156 7.032c-.594 0-1.195.002-1.78.032-3.13 12.737-10.908 23.675-21.407 30.937 2.01 5.575 3.092 11.566 3.092 17.814 0 4.15-.523 8.182-1.437 12.062 5.863 4.74 13.34 7.563 21.53 7.563 19.004 0 34.22-15.218 34.22-34.22s-15.216-34.188-34.22-34.188zm-73 14.594c-8.17 0-15.644 2.82-21.5 7.53.16 1.673.25 3.352.25 5.064 0 12.203-4.18 23.462-11.187 32.438 4.49 13.63 17.23 23.375 32.436 23.375 19.003 0 34.22-15.217 34.22-34.22 0-19.002-15.217-34.187-34.22-34.187zm-144.25 11.094c-19.003 0-34.187 15.216-34.187 34.22 0 11.956 6.024 22.397 15.218 28.5 4.38-20.14 20.305-36.045 40.437-40.44-2.357-5.47-3.817-11.402-4.188-17.624-5.063-2.95-10.953-4.656-17.28-4.656zm32.72 39.72c-19.004 0-34.22 15.184-34.22 34.186 0 19.003 15.217 34.22 34.22 34.22 19 0 34.186-15.217 34.186-34.22 0-7.704-2.484-14.777-6.718-20.47-10.17-1.946-19.338-6.793-26.563-13.686-.3-.008-.603-.03-.905-.03zM222 300.686c-4.825 2.887-10.135 5.02-15.78 6.25 2.737 6.375 4.28 13.366 4.28 20.72 0 10.833-3.3 20.933-8.938 29.343 6.227 6.618 15.09 10.72 24.97 10.72 19.002 0 34.218-15.218 34.218-34.22 0-1.527-.122-3.028-.313-4.5-16.79-2.815-30.95-13.604-38.437-28.313zm91.03 5.657c-7.686 11.375-19.688 19.607-33.592 22.375 5.016 12.622 17.287 21.467 31.78 21.467 19.003 0 34.22-15.185 34.22-34.187 0-.313-.024-.627-.032-.938-1.075.066-2.16.094-3.25.094-10.745 0-20.76-3.25-29.125-8.812zm-38 48.125c-4.6 10.558-12.534 19.36-22.467 25.03 3.98 14.483 17.154 25 32.968 25 19.004 0 34.19-15.185 34.19-34.188 0-.71-.022-1.425-.064-2.125-2.75.445-5.567.688-8.437.688-13.967 0-26.708-5.495-36.19-14.406zm-86.31 15.936c-5.773 4.222-12.433 7.27-19.626 8.875-.816 2.942-1.28 6.036-1.28 9.25 0 19.004 15.184 34.19 34.186 34.19 19.002 0 34.22-15.186 34.22-34.19 0-1.006-.042-2.015-.126-3-3.103.575-6.3.876-9.563.876-14.775 0-28.19-6.147-37.81-16zm-61.282.625c-2.582 4.822-4.032 10.332-4.032 16.22 0 19.002 15.217 34.188 34.22 34.188.992 0 1.966-.044 2.936-.125-7.16-9.024-11.437-20.424-11.437-32.782 0-2.914.26-5.77.72-8.56-8.234-1.228-15.854-4.355-22.407-8.94zm122.968 38.72c-1.208 2.733-2.647 5.342-4.28 7.813 10.19 8.923 16.945 21.68 17.968 35.968 17.506-.66 31.472-14.26 32.75-31.592-3.65.802-7.43 1.25-11.313 1.25-13.452 0-25.763-5.1-35.124-13.438zm-17.094 21.313c-8.777 6.49-19.612 10.343-31.312 10.343-6.638 0-12.98-1.245-18.844-3.5-3.78 5.503-6 12.167-6 19.406 0 19.003 15.185 34.22 34.188 34.22 19.002 0 34.22-15.217 34.22-34.22 0-10.61-4.755-19.998-12.25-26.25z"}}]})(props);
};
function GiGrapple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M337.6 24.24l-86 87.96 61.3-21.32c2.2 27.22 4.6 54.42 6.8 81.82l-18.6 1.6c-8.5 8.3-17 16.9-25.5 25.4l25.8 25.8 25.2-25.1 2.4-17.6c29.2 3.8 57.9 7.9 87.1 11.5l-19.7 44.5 94.9-68c-38.3-8-76.6-15.6-114.9-23.3l3.7-18.3 22.9 4.6 16.2-57.25-53.3 19.56 3.3 28.09-18.6 2.2-3.8-32.96c-3-23.07-6.1-46.13-9.2-69.2zm-106 103.96L183.1 211l66-42.7 24.4 7 25.6-25.5-.3-3-67.2-18.6zm117.5 76.1l-19.2 19.2 4.5 11-49.3 73.6 90.3-55.2-17-47.4zM270 220.6c-2.7 43.5-37.2 77.4-79.1 77.3-54.3 0-98.09 45.8-98.08 101.6 0 43.5-31.73 78.7-72.07 82.5v13.1h25.9c37.86-14.2 64.85-51.8 64.85-95.6 0-46.1 35.6-82.9 79.4-82.9 46.9 0 85.9-34.2 95.7-79.5-5.5-5.5-11-11-16.6-16.5z"}}]})(props);
};
function GiGraspingClaws (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M233.156 36.156c-6.48-.048-13.395 1.184-20.47 3.625-16.957 5.854-33.577 18.887-43.467 36.157 77.39 68.916 107.53 126.832 108.06 219.25 43.458-77.778 36.565-167.55-17.217-248.218-6.928-7.206-16.306-10.736-26.907-10.814zm93.78 35.375c-6.478-.047-13.393 1.185-20.467 3.626-2.493.86-4.982 1.902-7.44 3.063 14.802 31.958 23.134 65.038 24.75 97.936 32.99 45.06 46.945 91.825 47.314 154.375 43.432-77.787 36.5-167.58-17.313-248.25-6.92-7.15-16.28-10.67-26.842-10.75zm70.783 49.564c-.51-.004-1.018.02-1.533.03 19.362 45.11 25.912 92.202 19.032 137.75 18.285 35.42 26.38 73.767 26.655 121.22 43.436-77.79 36.502-167.58-17.313-248.25-6.92-7.15-16.282-10.672-26.843-10.75zM86.905 235.064c-9.708.257-19.153 2.586-27.125 6.467-14.347 6.987-22.985 17.96-22.81 30.595 8.884 44.736 21.04 77.706 40.718 100.688 16.145 18.856 37.66 31.635 68.406 39.156-39.886-58.353-46.966-90.635-41.688-175.033-4.366-1.084-8.854-1.69-13.312-1.843-1.394-.05-2.8-.068-4.188-.03z","fillRule":"evenodd"}}]})(props);
};
function GiGraspingSlug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M143.9 47.4h-3.4c-36 .82-71.95 24.26-79.66 61.4-19.82 125-51.537 210-30.57 326.6l1.78-19.2c1.16-12.6 4.36-31.4 11.03-49.7 6.22-17.1 15.42-34 30.19-44.4 7.51-27 7.25-47 4.48-68.1-2.87-21.9-8.64-45.1-10.85-76.2l17.96-1.2c2.09 29.5 7.69 51.8 10.74 75 3.05 23.3 3.26 47.6-5.85 78.5l-.99 3.4-3 1.8c-10.87 6.6-19.83 21.1-25.76 37.4-2.8 7.7-4.91 15.6-6.51 23.1L93.97 364l.35 18c.37 19.3 4.67 37.8 10.18 56.3 5.5-17.8 10.8-34.6 8.1-55.9l-2.6-20.2 16.7 11.7c12.2 8.6 18.9 14.2 25 21 .3-5.9 0-11.5-1.2-16.8-2.4-11.2-8.3-22.1-21.3-34.3l-2-1.9-.6-2.7c-6.1-26.6-12.8-49.2-14.5-72.5-1.7-23.3 2.2-47.2 16.7-74.1l15.8 8.6c-13.1 24.2-16 43.6-14.5 64.2 1.4 20 7.5 41.4 13.5 67.4 13.6 13.4 21.5 27.3 24.5 41.5 3.3 14.9 1.6 29.7-1.6 44.7l-4.3 20.2-11.9-16.9c-8.3-11.8-12-16.6-19.2-22.6-1.2 25.2-10.4 44.9-15.2 64.8 3.2.1 6.4.1 9.7.1 50.7-.3 109.5-8.6 143.8-25.5l3-1.4 3.2.8c61.4 15.7 139.2 12.5 213 10.5-8.1-16.7-20.4-23.1-38-28.1-21.2-6-49.2-8.1-78.6-19.5l-6.9-2.7 1.2-7.2c.5-2.8-.4-6.5-3.4-11-3.1-4.4-8.2-9.1-14.3-13-12.2-7.7-28.4-11.6-39-8.5l-14.7 4.1 3.4-14.8c4-17.2 2.4-27.4-3.4-34.9-5.8-7.6-17.9-13.8-38.1-18.2l-5.8-1.3-5.9-31.3c-16.8-5.6-48.3-3.2-81 10.1 6.7-35.5 46-47.9 73.8-48.7l-7.5-39.6.9-2.4c8.9-23.5 3-39.8-10.8-56.6l-1.7-1.9-.3-2.6C214.8 93.67 204 75.48 190 63.85c-13.1-10.92-29.4-16.18-46.1-16.45zM378 122.6c-46.4 10.1-87 22.5-125 41.3-.2 7-1.4 14.3-4 21.8l1.3 6.7c33.2-16.9 67.2-34.7 109.5-42.4l7.5-1.3 2.6 7.2c4.3 12.3 17.1 27.5 32.1 41.4 3.3 3.1 6.8 6.1 10.3 9-6.6-12.6-12.6-25.7-15.9-39.9l-2.2-9.6 9.8-1.3c22.3-3.1 38.2 3.4 49.2 13 2 1.7 3.8 3.6 5.5 5.4-2-8.2-4.6-14.2-9-19.2-8.7-10-28.3-19.2-71.7-32.1zm-219.5.6c6.9-.1 13.3.8 17.9 3.4 12.8 7.5 19.4 40.1 19.4 40.1-21.5-15.2-48.4-25.9-75.4-36.5 0 0 20.6-6.7 38.1-7zM77.61 399.7l-47.1 37c.83 4.5 1.72 9.1 2.71 13.7.19 0 1.75 1.8 5.96 3.6 4.73 2 11.81 4 20.44 5.7 9.61 1.8 21.18 3.1 33.89 3.9-6.76-20.4-13.25-41.4-15.9-63.9z"}}]})(props);
};
function GiGrass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 494l36.35-330.4c6.728 107.62 4.086 231.82 35.556 295.67 11.205-84.926 15.707-168.18 10.562-249.01 15.225 71.69 35.543 141.68 39.468 217.14 7.395-55.935 12.667-111.52 31.798-169.41-.76 65.19-17.16 124.9 12.677 157.47 14.433-51.01 28.992-101.9 31.46-164.88 21.27 61.862 18.342 135.82 24.948 205.02 8.417-68.06 15.28-257.84 46.907-318.17-3.11 124.98-3.862 223.94 27.398 274.23 30.897-38.673 33.566-114.44 34.28-186.34 21.812 61.75 36.457 132.1 37.857 218.34 8.626-71.955 18.667-143.91 43.39-215.86-5.748 88.29-1.284 156.95 19.525 194.17 13.76-55.55 25.504-111.1 29.12-166.66 18.42 82.78 13 159.59 16.706 238.69z"}}]})(props);
};
function GiGraveFlowers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 41c-47 0-84.6 7.94-110.1 29.83C120.3 92.72 105 129.5 105 192v13.2l12.6 16.8 22.9-55.9 8.7 18.3s2.7 5.5 6.3 14.6H208v18h-45.8c3 8.9 6 19.1 8.6 30H240v18h-65.7c2.7 16.8 3.5 34.3.3 50.7-3.4 16.5-11.3 32.2-25.7 43 11 15.8 19.6 32 26 48.3h3.8c15.5-18.4 38-31.8 56.9-42.4l10-5.5 3.1 11c3.8 13.7 6.1 25.9 6.9 36.9h38.7c0-3.6.4-7.3 1.1-10.9 1.3-6.3 3.6-12.6 6.8-18.9-7.4-1.9-14.4-4.3-20.7-7.4-13.2-6.5-24.4-16.5-26.2-29.5-1.7-13 7-22.4 18.6-28.2 5.1-2.6 11-4.6 17.6-6-4.3-5.8-7.8-11.6-10.4-17.2-3-6.4-5-12.8-5.3-19-.2-6.2 1.3-12.7 5.7-17.7 4.5-4.9 10.9-7.1 17-7.5 6.2-.3 12.7 1 19.4 3.3 5.8 2 11.9 4.8 18 8.4.6-7.3 2.1-14 4.3-19.8 3.3-8.8 8.7-16.3 16.4-19.6H240v-18h128v16.3c12.4 1.2 22.8 11 30.4 22.9 3.3 5.3 6.2 11.2 8.6 17.6V192c0-62.5-15.3-99.28-40.9-121.17C340.6 48.94 303 41 256 41zM144 151h144v18H144v-18zm176 0h48v18h-48v-18zM82.29 204.9l10.96 71.4L39 229.7l29.42 56.6-52.19-8c7.77 11.2 19.04 26.1 32.84 40 12.82 12.9 27.49 24.5 41.9 30.4 14.43 5.9 27.83 6.7 41.73-1 14.1-7.8 21.1-19.9 24.2-35.5 3.1-15.6 1.8-34.4-1.7-52.3-3.6-18.3-9.3-35.5-14-48l-19 46.3-39.91-53.3zm286.41 30.2c-3.3 0-7.9 3.1-11.2 12-3.4 8.9-4.8 22.3-2.8 37.4.5 3.5 1.1 6.9 1.8 10.2 12.4-5.3 26.9-5.1 40.3.1-.1-2.9-.4-6-.8-9.1-2-15.1-7-28.7-12.8-37.9-5.7-9.1-11.2-12.6-14.5-12.7zm-69.2 27.6c-2.9.2-4 .9-4.6 1.6-.6.7-1.2 1.8-1.1 4.8.2 2.9 1.3 7.2 3.6 12.2 3.1 6.7 8.4 14.6 15.3 22.5 2-.1 4-.1 6 0 7.5.2 14.8 1.1 21.8 2.5.1-.2.3-.3.4-.5.3-.3.6-.6.8-.9-2.3-7.2-4.1-14.9-5.1-22.9-.2-1.3-.3-2.6-.5-3.9-8.5-6.1-16.9-10.6-24-13.1-4.6-1.6-8.5-2.2-11.4-2.3h-1.2zm140.9 4c-2.6 0-5.6.6-9 1.6-5.6 1.8-12 5.2-18.2 10.1.3 1.9.6 3.8.9 5.8 1 7.5 1.3 14.7 1 21.5.5.4 1 .9 1.5 1.3.4.4.8.8 1.3 1.2 6.1-.8 12.6-1.2 19.5-1 2.7.1 5.3.2 7.9.5 4.2-6.8 7-13.5 8.2-19.4 1.9-9.3.2-15.4-3.3-18.6-2.2-1.9-5.5-3.1-9.8-3zm-64.6 42.1c-8.5.1-16.2 3.2-21.5 9.1-11.3 12.5-9 34.7 7.7 49.7 16.6 15 39 15 50.2 2.5 11.3-12.5 9-34.8-7.6-49.8-8.8-8-19.3-11.7-28.8-11.5zm-57.5 12.9c-14 0-26.2 2.7-34.2 6.7-8.5 4.2-11.1 9.2-10.7 12.4.5 3.3 4.4 8.5 14.1 13.2 9.7 4.8 23.8 8.4 39 8.8 3.2.1 6.3 0 9.3-.2-6.5-12.8-8.3-27.2-4.4-40-3.3-.4-6.8-.7-10.3-.8-1 0-1.9 0-2.8-.1zm118.7 3.4c-2.1 0-4.2.1-6.3.2 6.6 12.8 8.3 27.3 4.3 40.1 3.4.4 6.8.7 10.3.8 15.2.5 28.4-2.3 36.9-6.6 8.5-4.2 11.2-9.2 10.7-12.5-.4-3.2-4.4-8.4-14.1-13.1-9.7-4.8-23.8-8.4-39-8.8-.9 0-1.9 0-2.8-.1zm-303.8 42.2c-9.4 3.5-18.9 4.4-28.2 3.4V407h50.7c-5.8-13.4-13.2-26.6-22.5-39.7zm215.4 12.5c-6.1.8-12.8 1.2-19.7 1-2.6-.1-5.2-.3-7.7-.5-4.2 6.8-6.9 13.5-8.2 19.4-1.9 9.2-.1 15.3 3.4 18.5 3.5 3.1 9.7 4.2 18.8 1.4 5.7-1.8 12-5.3 18.3-10.1-.5-2.5-1-5.1-1.3-7.7-.9-6.9-1.2-13.5-1-19.7-.4-.4-.9-.7-1.3-1.1-.4-.4-.9-.8-1.3-1.2zm77.3 1.9c-.1.2-.2.3-.3.4-.2.2-.4.4-.5.6 2.1 6.7 3.8 13.8 4.7 21.3.3 2 .5 4 .6 5.9 8.6 6.2 17 10.6 24 13 5.3 1.8 9.7 2.5 12.6 2.3 3-.1 4.1-.9 4.7-1.5.6-.7 1.2-1.9 1-4.8-.1-3-1.2-7.3-3.6-12.3-3.1-6.7-8.3-14.6-15.3-22.4-2 .1-4 .1-6.1 0-7.5-.2-14.8-1.1-21.8-2.5zm-191.7 4.6C216.3 397 197.9 410 188 424.5c-5.9 8.7-8.9 17.5-8.2 27.3.6 8.3 4.2 17.9 12.2 28.8 19.6-11.8 33.1-22.8 40-36.5 6.7-13.5 8.3-31 2.2-57.8zm135.3 6.8c.1 3 .4 6.1.8 9.2 2 15 7 28.7 12.8 37.9 5.7 9.1 11.2 12.5 14.5 12.6 3.3.1 8-3 11.3-11.9 3.4-8.9 4.8-22.4 2.8-37.4-.5-3.5-1.1-6.9-1.8-10.2-12.4 5.2-27 5-40.4-.2zM41 425v62h131.8c0-.8-.1-1.7-.1-2.5-6.6-10.8-10.1-21.2-10.9-31.4-.5-7.5.5-14.7 2.7-21.4-.6-2.2-1.3-4.5-2-6.7H41zm214.6 0c-1 10-3.4 19-7.5 27.1-7.1 14.1-18.3 25-32.6 34.9h108.7c-1.3-17.7 4.9-34.2 14.7-49.7-12.3 3.4-25.3 2.5-34.5-5.8-2.2-1.9-3.9-4.1-5.4-6.5h-43.4zm174.7 6.3c-.7 6.7-2.1 12.8-4.1 18.1-4.6 12.1-13.1 21.8-26.2 21.4-13.1-.4-24.2-10.6-32-23.1-2.3-3.6-4.4-7.6-6.3-11.7-13.5 17.6-21.2 34.4-19.4 51H471v-44.2c-1 .2-2 .3-3 .4-6.2.3-12.7-1-19.4-3.2-5.9-2-12.1-5-18.3-8.7z"}}]})(props);
};
function GiGraveyard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 73c-25.495 0-44.07 6.4-55.97 13.86C60.134 94.32 56 103.84 56 104.63v40.274c6.343 2.532 12.03 5.422 17.023 8.545C89.79 163.94 100 175.957 100 189.542v59.57c8.63-1.35 17.956-2.113 28-2.113s19.37.764 28 2.113v-59.57c0-13.585 10.21-25.604 26.977-36.094 4.992-3.124 10.68-6.014 17.023-8.546V104.63c0-.792-4.133-10.31-16.03-17.77C172.07 79.4 153.494 73 128 73zm256 0c-25.495 0-44.07 6.4-55.97 13.86C316.134 94.32 312 103.84 312 104.63v40.274c6.343 2.532 12.03 5.422 17.023 8.545C345.79 163.94 356 175.957 356 189.542v59.57c8.63-1.35 17.956-2.113 28-2.113s19.37.764 28 2.113v-59.57c0-13.585 10.21-25.604 26.977-36.094 4.992-3.124 10.68-6.014 17.023-8.546V104.63c0-.792-4.133-10.31-16.03-17.77C428.07 79.4 409.494 73 384 73zM119 91.086h18v31.63h45v18h-45v99.34h-18v-99.34H74v-18h45v-31.63zm256 0h18v31.63h45v18h-45v99.34h-18v-99.34h-45v-18h45v-31.63zM256 153c-28.832 0-49.91 7.222-63.477 15.71C178.958 177.195 174 187.946 174 189.542v63.494c12.076 3.43 22.355 8.07 30.77 13.33C222.37 277.367 233 290 233 304v58.715h46V304c0-14 10.63-26.632 28.23-37.633 8.415-5.26 18.694-9.9 30.77-13.33v-63.494c0-1.596-4.958-12.347-18.523-20.834C305.91 160.22 284.832 153 256 153zm-238 1.016v56.888h42.666v18H18v133.81h5V304c0-14 10.63-26.632 28.23-37.633 8.415-5.26 18.694-9.9 30.77-13.33v-63.494c0-1.596-4.958-12.347-18.523-20.834C52.917 162.1 37.78 156.28 18 154.015zm476 0c-19.78 2.263-34.916 8.086-45.477 14.693C434.958 177.195 430 187.946 430 189.542v63.494c12.076 3.43 22.355 8.07 30.77 13.33C478.37 277.367 489 290 489 304v58.715h5v-133.81h-42.666v-18H494v-56.89zM247 174.36h18v36.544h51.666v18H265v112.448h-18V228.904h-51.666v-18H247V174.36zM128 265c-30.5 0-52.83 7.633-67.23 16.633C46.37 290.633 41 302 41 304v183h174V304c0-2-5.37-13.368-19.77-22.367-14.4-9-36.73-16.633-67.23-16.633zm256 0c-30.5 0-52.83 7.633-67.23 16.633C302.37 290.633 297 302 297 304v183h174V304c0-2-5.37-13.368-19.77-22.367-14.4-9-36.73-16.633-67.23-16.633zm-265 23h18v39h55v18h-55v119h-18V345H64v-18h55v-39zm256 0h18v39h55v18h-55v119h-18V345h-55v-18h55v-39z"}}]})(props);
};
function GiGreaseTrap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.535 21.3l-9.03 33.848c-10.657 39.96-25.893 69.12-38.827 93.19-12.935 24.07-24.328 43.162-24.328 64.254 0 39.893 32.407 72.474 72.185 72.474 39.778 0 72.186-32.582 72.186-72.474 0-21.092-11.393-40.174-24.325-64.238-12.933-24.065-28.167-53.222-38.83-93.206l-9.03-33.85zm-.39 68.688c-5.008 47.814-20.54 90.294-16.987 109.873 3.727 20.527 23.308 34.156 43.738 30.447 12.198-2.215 21.937-10.11 27.014-20.48.077.936.12 1.86.12 2.765 0 29.838-23.864 53.787-53.495 53.787-29.63 0-53.498-23.95-53.498-53.788 0-13.773 9.087-31.185 22.104-55.408 9.702-18.053 21.152-39.86 31.006-67.196zM56.642 251.658L20.243 354.725 200.2 418.988c-.24-8.912 1.54-18.022 5.607-26.607 7.022-14.824 19.55-25.363 33.914-30.204l-24.445-53.87-19.11 54.108-32.997-72.717-19.11 54.11-32.997-72.717-19.956 56.514-34.463-75.946zm399.79 0l-34.463 75.946-19.957-56.514-32.998 72.717-19.11-54.11-32.998 72.717-19.11-54.11-31.97 70.458c-2.28-.526-4.582-.837-6.877-.924-14.764-.56-29.253 7.772-36.25 22.543-9.33 19.696-1.384 42.648 17.475 51.665 18.86 9.017 41.51.767 50.838-18.928 1.13-2.384 2-4.815 2.635-7.263l199.183-71.13L456.43 251.66zM256.406 398.906c9.678 0 17.52 7.846 17.52 17.522 0 9.676-7.844 17.52-17.52 17.52-9.676 0-17.52-7.842-17.52-17.52s7.842-17.522 17.52-17.522z"}}]})(props);
};
function GiGreatPyramid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 28.5a112 112 0 0 0-112 112 112 112 0 0 0 24.4 69.8L256 58.49l87.5 151.71a112 112 0 0 0 24.5-69.7 112 112 0 0 0-112-112zm0 66.01l-39.8 68.99h79.6zm-50.2 86.99l-26.5 46H247v-46zm59.2 0v46h67.7l-26.5-46zm-96.1 64l-26.5 46h227.2l-26.5-46zm-36.9 64l-26.5 46H247v-46zm133 0v46h141.5l-26.5-46zm-169.93 64l-26.55 46H443.5l-26.6-46zm-36.93 64l-26.55 46H247v-46zm206.86 0v46h215.4l-26.6-46z"}}]})(props);
};
function GiGreatWarTank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M232.197 104v80h96v-80h-96zm112 32v16h136v-16h-136zm-163.054 64l-37.504 75.008 224.767-58.635L362.56 200H181.143zm222.133 25.092c-3.69.026-6.933.46-9.2 1.117l-.103.031-297.46 77.598c-12.339 3.219-19.092 6.415-24.038 10.695-4.942 4.276-8.702 10.272-13.754 20.254L31.358 392.18c-2.754 6.371-5.853 27.068-.338 43.568 5.52 16.518 17.015 30.102 47.45 30.08h.003l273.697-.88 94.795-.348c16.262-4.548 26.11-14.702 31.715-25.704 5.701-11.19 6.156-23.595 4.558-28.35l-.068-.206-6.693-24.24-37.315-139.42c-3.892-10.64-11.61-16.252-20.588-19.272-4.514-1.519-9.343-2.194-13.691-2.303a50.494 50.494 0 0 0-1.607-.013zm-1.977 11.27c17.578 0 32 14.421 32 32 0 17.578-14.422 32-32 32s-32-14.422-32-32c0-17.579 14.422-32 32-32zm0 16c-8.931 0-16 7.068-16 16 0 8.93 7.069 16 16 16 8.931 0 16-7.07 16-16 0-8.932-7.069-16-16-16zm-58.27 21.53l4.028 15.485-191.738 49.865-4.026-15.484 191.736-49.865zm74.657 36.083l12.416 51.15-15.55 3.775-12.415-51.152 15.549-3.773zm-31.82 2.441l12.273 60.002-258.727 30.598 7.826-43.82 230.84-45.253 7.787-1.527zm-285.348 5.555c17.578 0 32 14.421 32 32 0 17.578-14.422 32-32 32-1.35 0-2.678-.095-3.985-.26 14.23 6.145 24.26 20.332 24.26 36.748 0 21.997-18.003 40-40 40s-40-18.003-40-40 18.003-40 40-40c2.116 0 4.194.17 6.223.49-10.893-5.123-18.498-16.216-18.498-28.978 0-17.579 14.421-32 32-32zm272.851 13.2L161.063 372.79l-2.108 11.803 220.02-26.02-5.606-27.4zm-272.851 2.8c-8.932 0-16 7.068-16 16 0 8.931 7.068 16 16 16 8.931 0 16-7.069 16-16 0-8.932-7.069-16-16-16zM432.198 376c21.996 0 40 18.003 40 40s-18.004 40-40 40c-21.997 0-40-18.003-40-40s18.003-40 40-40zm0 16c-13.35 0-24 10.65-24 24s10.65 24 24 24c13.349 0 24-10.65 24-24s-10.651-24-24-24zm-351.405 2.459c-13.35 0-24 10.65-24 24s10.65 24 24 24 24-10.65 24-24-10.65-24-24-24zM365.986 413.4l.252 15.998-223.341 3.512-.252-15.998 223.341-3.512z"}}]})(props);
};
function GiGreaves (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M144 37.28c-25.883 0-63.05 25.96-65.22 82.845l65.345 28.47 71.625-28.626C213.124 63.69 169.852 37.28 144 37.28zm224 0c-25.852 0-69.124 26.412-71.75 82.69l71.625 28.624 65.344-28.47c-2.17-56.883-39.337-82.843-65.22-82.843zM76.594 136.626c-10.887 40.29-12.11 90.026-9.844 141.03 46.136 10.675 93.357 7.68 141.406.44 8.464-50.25 12.923-99.296 3.625-139.314l-64.81 25.907-3.095 1.25-3.063-1.343-64.218-27.97zm358.812 0l-64.22 27.97-3.06 1.343-3.095-1.25-64.81-25.907c-9.3 40.02-4.84 89.064 3.624 139.314 48.05 7.242 95.27 10.236 141.406-.438 2.266-51.005 1.043-100.74-9.844-141.03zm-250.25 160.72c-31.678 3.654-63.5 4.865-95.25.75 12.238 12.217 23.424 24.845 35.47 36.217 2.198 2.077 4.425 4.107 6.686 6.094 18.086-12.095 35.813-26.27 53.094-43.062zm141.688 0c17.28 16.792 35.008 30.966 53.094 43.06 2.26-1.986 4.488-4.016 6.687-6.092 12.045-11.373 23.23-24 35.47-36.22-31.752 4.117-63.573 2.906-95.25-.75zm-258.97 1.842c1.515 24.774 3.633 49.29 5.69 73.188 15.054-6.598 29.912-14.187 44.53-23.03-1.24-1.13-2.477-2.264-3.688-3.408-16.52-15.597-30.655-32.307-46.53-46.75zm376.25 0c-15.875 14.443-30.01 31.153-46.53 46.75-1.21 1.144-2.448 2.278-3.688 3.407 14.618 8.844 29.476 16.433 44.53 23.03 2.057-23.897 4.175-48.413 5.69-73.187zm-240.093 1.844c-19.095 19.538-38.774 35.968-58.936 49.845 12.672 9.234 27 16.825 44.78 21.625 4.59-23.255 9.642-47.365 14.157-71.47zm103.94 0c4.514 24.105 9.566 48.215 14.155 71.47 17.78-4.8 32.11-12.39 44.78-21.625-20.16-13.877-39.84-30.307-58.936-49.844zM130.936 360.19c-15.606 9.753-31.47 18.076-47.5 25.28 11.79 18.345 27.05 33.88 44.282 47.97 18.94-13.89 36.69-28.745 51.124-47.532-18.94-6.09-34.415-15.227-47.906-25.72zm250.125 0c-13.49 10.49-28.966 19.628-47.906 25.718 14.435 18.787 32.183 33.642 51.125 47.53 17.234-14.087 32.494-29.623 44.283-47.967-16.03-7.206-31.894-15.53-47.5-25.283zM76.125 403.125c1.866 23.033 3.352 44.754 3.75 64.22 11.39-8.415 22.977-16.29 34.313-24.25-14.114-11.857-27.09-24.923-38.063-39.97zm359.75 0c-10.973 15.047-23.95 28.113-38.063 39.97 11.336 7.96 22.924 15.835 34.313 24.25.398-19.466 1.884-41.187 3.75-64.22zm-252.156 2.063c-12.975 14.874-27.61 27.23-42.75 38.53 11.24 8.348 23.104 16.282 35.218 24.126.75-19.013 3.624-40.192 7.53-62.656zm144.56 0c3.908 22.464 6.783 43.643 7.533 62.656 12.113-7.844 23.977-15.778 35.218-24.125-15.14-11.303-29.775-23.658-42.75-38.533zm-200.967 48.375c-13.318 9.394-26.726 18.344-39.47 27.812 26.524 12.555 53.04 11.06 79.563-.156-13.63-8.813-27.194-17.85-40.094-27.658zm257.375 0c-12.9 9.808-26.464 18.844-40.094 27.656 26.523 11.214 53.04 12.71 79.562.155-12.743-9.468-26.15-18.418-39.47-27.813z"}}]})(props);
};
function GiGreekSphinx (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M157.918 18.367c-8.917-.064-17.212 1.962-23.543 5.051-11.24 5.484-20.096 11.911-27.113 18.904 3.28 11.769 7.948 22.497 15.144 31.326-10.145-5.655-18.612-12.094-25.033-19.488-4.668 6.765-8.07 13.823-10.611 20.9 3.235 19.179 8.356 36.941 19.283 50.348-10.477-5.84-19.16-12.516-25.652-20.217-.925 10.6-.609 19.891-.532 26.448.043 3.638.266 7.166.657 10.6 13.981 18.246 29.227 33.875 48.068 42.052-13.02-.402-24.89-2.3-35.387-5.977 6.518 10.102 15.463 19.273 26.96 27.864 26.948 20.14 68.23 36.175 122.849 48.974 25.607 6.001 62.512 14.174 96.15 19.383 16.82 2.605 32.834 4.46 46.012 4.963 13.178.503 23.742-.74 27.96-2.508.214-.09 6.042-4.039 10.415-10.119 4.373-6.08 8.208-14.314 8.96-24.107 1.506-19.587-8.547-47.553-58.954-80.69-6.05-3.977-11.59-5.844-20.84-6.174-9.219 15.595-19.034 30.693-28.297 45.143l-5.432 8.473-41.582-33.73 5.791-7.003a479.224 479.224 0 0 0 5.575-6.877c-12.556 1.595-26.407 3.35-43.301 5.332-27.381 3.214-56.9-14.159-69.715-39.236-6.407-12.539-8.059-27.902-1.223-42.219 5.95-12.46 17.68-23.617 35.952-32.928-10.185-18.466-23.17-27.73-36.127-31.888-5.51-1.768-11.084-2.561-16.434-2.6zm234.78 27.121a53.41 53.41 0 0 0-1.981.057c-3.59.167-7.549.7-11.944 1.691-16.172 3.649-22.844 12.548-27.14 24.17-1.48 4.001-2.49 8.283-3.244 12.608l9.498-3.871c20.375-10.896 43.214-18.666 65.457-21.428-2.403-2.547-5.175-5.035-8.551-7.164-5.503-3.471-12.384-6.154-22.096-6.063zm41.318 30.371c-15.807 1.023-32.982 5.348-49.346 11.899-5.445 17.47-13.343 34.595-22.354 51.226 7.947 1.3 14.748 3.858 21.123 8.05a290.222 290.222 0 0 1 5.284 3.56l8.006-16.989 7.494 2.362c8.542 2.69 14.213 2.383 16.011 1.299 5.7-3.437 12.507-17.943 14.498-33.657.996-7.856 1.05-15.843.268-22.345a46.616 46.616 0 0 0-.984-5.405zm-72.233 22.133l-17.156 6.992c-11.334 25.387-24.555 46.229-41.961 68.118l11.998 9.732c17.575-27.43 35.58-56.2 47.12-84.842zM116.02 225.31c16.018 18.444 35.768 36.085 59.335 52.093 9.136-5.101 18.304-9.864 27.233-14.261-35.12-10.33-64.06-22.591-86.568-37.832zm113.646 45.138c-21.982 10.011-47.187 22.765-69.982 37.475 8.338 2.179 16.164 5.88 23.263 10.396 12.355 7.862 19.613 19.266 21.744 31.475 2.132 12.208-.286 24.851-4.832 37.305-2.42 6.633-5.485 13.26-8.947 19.79 51.623-25.596 99.141-54.305 145.688-83.656a1091.52 1091.52 0 0 1-3.516-31.437c-33.534-5.344-69.2-13.262-94.184-19.117a777.507 777.507 0 0 1-9.234-2.23zm121.838 24.032c6.847 68.199 19.675 133.82 36.01 200h71.193l-10.27-24.11c-.303-.574-8.443-7.54-30.308-5.943l-9.22.672-7.704-167.65c-5.145.312-10.711.266-16.72.036-10.056-.383-21.24-1.471-32.981-3.005zM143.2 323.73c-3.497.07-7.066.58-10.728 1.594-14.65 4.053-32.056 16.904-51.194 46.156-13.494 20.627-29.615 50.071-36.076 74.899-3.23 12.414-3.902 23.516-1.71 31.34 1.715 6.126 4.725 10.48 10.685 13.705 2.625-6.57 5.954-14.105 10.744-21.11C71.47 460.74 81.53 451.817 95.6 449.97c9.753-1.282 19.206-1.72 28.38-1.559 5.416.095 10.733.403 15.96.863a70.175 70.175 0 0 0 3.384-3.974c14.898-18.974 31.876-43.138 39.627-64.373 3.876-10.618 5.356-20.318 4.008-28.037-1.348-7.72-4.947-13.829-13.676-19.383-9.745-6.201-19.589-9.982-30.082-9.776zM120.54 466.395c-7.39-.016-14.91.41-22.594 1.42-8.01 1.052-13.33 5.588-18.166 12.66-2.458 3.595-4.575 7.753-6.478 12.015l165.947.297c-.742-1.223-1.707-2.334-3.389-3.562-4.65-3.398-16.413-7.698-39.644-12.264-23.574-4.633-47.304-10.058-72.516-10.533-1.05-.02-2.104-.031-3.16-.033z"}}]})(props);
};
function GiGreekTemple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 26.2L52 135h408L256 26.2zM73 153v14h366v-14H73zm16 32v206h30V185H89zm101.334 0v206h30V185h-30zm101.332 0v206h30V185h-30zM393 185v206h30V185h-30zM73 409v30h366v-30H73zm-32 48v30h430v-30H41z"}}]})(props);
};
function GiGreenPower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M209 32v55h18V32h-18zm76 0v55h18V32h-18zm-100 73v16h142v-16H185zm16 34v34.3l32 48V247h46v-25.7l32-48V139H201zm42.8 126c-1.3 5.8-2.9 11.5-4.6 17.1-2.8 9.4-5.9 18.3-7.3 27.1-5.3-.9-10.3-1.3-15-1.3-5.3 0-10.4.5-15.2 1.5.4.4.9.9 1.3 1.4 4 4.4 6.4 9.5 7.8 15 5.9-.6 12.5-.1 21 1.7 1.5 7.4 4.8 13.7 8.8 18.9 5.3 6.9 11.6 12 17.2 16.9 5.6 4.8 10.4 9.4 13.5 14.2 1.7 2.7 3 5.4 3.7 8.5 1.8-3.1 4.1-6 6.9-8.6 2.2-2.1 4.6-3.8 7.1-5.2-.8-1.5-1.6-3-2.5-4.4-4.9-7.5-11.1-13.1-16.9-18.1-5.8-5-11.1-9.6-14.7-14.3-3.7-4.6-5.7-9.1-5.9-15.6-.1-5.2 1.7-12.9 4.3-22.1 6-.8 14.5-1.6 24.1-1.6 5 0 10.1.3 15.1.9-.3-6.1.6-12.3 3.5-17.9-6.4-.8-12.7-1-18.6-1-6.8 0-13.2.4-18.6.9 1.3-4.5 2.4-9.2 3.4-14h-18.4zm91.7 11.9c-.7.1-1.4.1-2.1.1-1 .1-2 .2-2.9.3 19.2 10.6 32.6 23.5 42.8 37.4-18.9-8.2-29.5-19.9-62.8-20.9-.1 2 0 4.3.5 6.8 1.3 7 5 14.6 8.8 19.2v.1c10.9 13.1 40.7 24.2 67.6 30.1 14 3.1 26.6 5 35.9 6.2-2.6-6.2-5.9-13.7-10-21.9-9.5-18.8-23.3-39.1-34.3-45.4-9.9-5.7-24-10.6-36.6-11.7-2.4-.2-4.7-.3-6.9-.3zm-174.9 34.2H156c-2 0-4.1.1-6.2.3-16.9 1.5-35.3 8.1-48.6 15.7-15.23 8.8-33.09 35.8-45.47 60.6-6.46 13-11.45 24.7-14.95 33.4 12.01-1.4 29.12-3.7 51.4-8.7 35.12-7.8 74.12-22.1 89.02-40.4 5.4-6.5 10.4-16.9 12.1-26.6.5-2.7.8-5.3.8-7.8-48 3-64.5 20.7-93.2 33.3 15.9-21.9 36.6-42.3 66.3-59.1-1.7-.3-3.5-.5-5.3-.6-.4-.1-.9-.2-1.3-.1zm153.1 72.8c-7.9.1-14.5 2.1-19.6 6.7-.6.5-1.1 1.2-1.7 1.8 32 8.8 72.1 25.6 81.7 45.5-21.7-9.4-54.1-18.5-86.9-24.1.5 8.3 3.6 16.6 7.6 21 16.4 18.7 60.2 25.9 100 25.9 23.1 0 42-1.6 56-3.2-5.6-5.2-11.9-10.9-19.8-17.5-19.1-16.2-43.3-33.9-59.8-40.2-13.7-5.2-29.6-11.7-43.8-14.4-3.6-.7-7-1.2-10.2-1.4-1.2-.1-2.3-.1-3.5-.1zm-44.3 33.3c-2.4 5.8-5.3 11.9-8.3 18.6-7 15.6-14.1 34.6-14.1 60.2h18c0-22.4 5.9-38 12.6-52.8.1-.2.2-.5.3-.7-4.9-7.4-7.7-16.2-8.5-25.3z"}}]})(props);
};
function GiGreenhouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M173.015 22.936L23 188.546V489h466V188.844L356.326 23c-61.101-.336-122.211.492-183.31-.064zM196.207 41h71.467l113.601 142h-57.267zm94.52 0h56.947l113.601 142h-56.95zM176 45.455l135 149.998V471H41V195.453zm46.676 104.662c-28.028 1.213-50.09 13.314-66.613 29.309-19.1 18.49-30.514 42.355-33.84 59.283-7.239 36.843 9.808 61.862 31.07 70.447.02-.202.049-.176.002-.24-7.507-38.847 4.114-75.91 28.72-100.455-18.585 28.567-20.994 70.834-9.7 103.953a38.802 38.802 0 0 0 13.834-3.451c10.316-4.728 19.615-14.342 25.414-30.531 6.178-17.248.883-45.042-1.242-71.45-1.062-13.203-1.264-26.148 1.892-37.703 1.944-7.113 5.327-13.7 10.463-19.162zM329 201h62v110h-62zm80 0h62v110h-62zM78.174 243.512c-15.848 17.804-21.765 38.434-22.088 58.12-.38 23.193 7.323 44.995 15.678 57.44 18.033 26.86 43.723 31.7 61.941 24.3-28.494-19.45-44.12-49.495-44.082-79.847 6.147 29.067 30.586 56.61 57.916 70.24a33.509 33.509 0 0 0 6.424-10.67c3.408-9.175 3.24-20.71-3.149-34.238-6.745-14.28-27.202-28.267-44.939-43.365-8.869-7.55-17.058-15.495-22.326-24.726-3.013-5.281-4.947-11.098-5.375-17.254zm216.205 37.386c-3.45 5.122-8.026 9.207-13.28 12.276-9.176 5.36-20.237 8.138-31.69 10.24-22.91 4.206-47.61 6.085-60.589 15.076-12.295 8.52-18.226 18.434-19.861 28.084a33.488 33.488 0 0 0 .238 12.45c30.484 1.864 65.412-9.769 85.268-31.868-15.136 26.304-43.686 44.509-78.08 47.104 12.078 15.52 36.73 24.18 65.771 9.937 13.456-6.598 31.037-21.629 42.301-41.902 9.562-17.212 14.747-38.051 9.922-61.397zM329 329h62v142h-62zm80 0h62v142h-62zm-257.033 58.621c-3.298 23.051 5.13 45.02 5.135 61.172l18-.006c-.006-21.306-7.68-42.102-5.317-58.615-4.348-6.181-9.231-7.098-17.818-2.55z"}}]})(props);
};
function GiGrenade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.713 25.463l-4.16 15.523C147.833 33.02 69.483 164.754 40.46 273.08l11.374 57.45C105.83 169.524 184.77 82.474 254.436 83.35l136.16 36.486 14.424-53.828-151.307-40.543zm164.695 62.78l-4.836 18.05 24.246 6.498c-1.23 1.64-2.35 3.376-3.353 5.175-5.413 9.698-8.35 22.035-8.35 35.55 0 13.513 2.937 25.85 8.35 35.548s14.18 17.628 25.46 17.628c11.278 0 20.043-7.93 25.456-17.627 5.414-9.7 8.352-22.035 8.352-35.55 0-13.512-2.938-25.848-8.35-35.546-4.145-7.425-10.26-13.8-17.956-16.387l.05-.19L418.41 88.24zm-162.88 14.017c-16.805 5.265-33.33 14.11-48.827 26.033l43.484 11.652c8.062-12.484 16.437-23.367 24.978-32.424l-19.635-5.26zm40.638 10.888c-8.584 7.96-17.527 18.798-26.414 32.04l66.496 17.818c-1.075-15.91-3.4-29.77-6.855-40.953l-33.227-8.905zm163.758 5.877c2.23 0 5.697 1.883 9.14 8.05 3.44 6.166 5.98 15.744 5.98 26.44 0 10.694-2.54 20.274-5.98 26.44-3.443 6.166-6.91 8.05-9.14 8.05-2.23 0-5.7-1.884-9.14-8.05-3.442-6.166-5.98-15.746-5.98-26.44 0-10.697 2.538-20.277 5.98-26.443 3.44-6.166 6.91-8.047 9.14-8.047zm-109.528 8.655c2.87 12.113 4.678 25.725 5.418 40.568l48.528 13.004c-7.46-18.074-17.346-33.997-29.266-46.96l-24.68-6.612zm-160.75 15.392c-18.056 17.506-34.11 39.42-46.763 64.79l66.03 17.695c9.335-25.593 19.883-48.854 31.226-68.955l-50.495-13.53zm69.762 18.694c-11.404 19.538-22.43 42.79-32.164 68.703l103.178 27.643c4.528-27.308 6.605-52.958 6.498-75.58l-77.512-20.767zm96.778 25.93c-.228 23.08-2.723 48.5-7.436 75.33l71.076 19.044c1.728-28.298-1.217-55.304-8.1-79.492l-55.54-14.88zm-221.15 37.413c-4.475 10.84-8.35 22.21-11.522 34.048-2.768 10.33-4.893 20.618-6.416 30.797l68.04 18.23c2.17-10.04 4.624-20.227 7.385-30.533 3.164-11.807 6.598-23.282 10.254-34.392l-67.74-18.15zm85.93 23.023c-3.733 11.077-7.225 22.543-10.39 34.355-2.762 10.308-5.183 20.513-7.29 30.56l106.593 28.56c3.198-9.752 6.204-19.8 8.966-30.108 3.165-11.813 5.877-23.488 8.183-34.947l-106.065-28.42zm124.247 33.293c-2.39 11.45-5.15 23.103-8.315 34.91-2.76 10.305-5.73 20.357-8.87 30.137l73.085 19.582c3.77-9.577 7.072-19.547 9.84-29.877 3.173-11.84 5.5-23.623 7.043-35.25l-72.783-19.502zm-230.256 27.3c-2 25.508-.197 50.033 4.86 72.49L173.51 395.6c.822-21.46 3.467-44.693 7.943-69.057l-66.498-17.818zm84.8 22.723c-4.306 24.693-6.634 48.122-7.153 69.267l82.693 22.158c10.122-18.572 19.82-40.026 28.437-63.564l-103.976-27.86zm122.28 32.763c-8.305 23.338-17.63 44.783-27.646 63.78l58.74 15.737c15.605-16.92 29.43-37.258 40.45-60.347l-71.543-19.17zM125.65 402.125c7.774 23.043 19.257 43.167 33.743 58.918l19.636 5.262c-3.55-15.012-5.47-32.33-5.76-51.42l-47.62-12.76zm66.998 17.953c.63 20.52 3.166 38.184 7.387 51.856l33.217 8.9c10.492-9.73 21.52-23.758 32.326-41.215l-72.93-19.542zm92.31 24.733c-9.796 16.388-20.118 30.428-30.698 41.653l24.68 6.613c20.423-6.398 40.43-18.082 58.683-34.152l-52.666-14.113z"}}]})(props);
};
function GiGriffinShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M80 32c-64 256 48 416 176 464 128-48 240-208 176-464-112 32-240 32-352 0zm99.3 52.9c14.7 27.9 40.1 26.4 65 26.4l53.9 1.5 7.8 25 77.1 10.3 3.5 49.9c-27.9 7.4-83.7 5.9-83.8 17.7-.2 20.6 36.3 16.2 78.1 5.9L356.7 276l-61.4 4.4c3.8 46.4-1.2 77.6-35.6 110.7l-21.9-55.3c-12.6 22.6-30 38.8-57.3 41.4 10.6-26 19.1-46.7 9.7-76.3-13.5 13.3-35.1 18.7-64.8 16.7 31.6-49 48.3-101.9 62.1-151.9l-23.2-20.6c-6.6-23.5-1.3-44.1 15-60.2z"}}]})(props);
};
function GiGriffinSymbol (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M219.756 18.604c4.052 15.357 3.397 24.041 25.824 32.28-11.984 2.437-17.24 4.507-36.502-4.966 3.663 15.35 4.19 26.554 30.022 29.95-12.1 29.8-9.43 68.721 6.771 101.05C202.175 135.722 175.955 26.476 180.8 19.01c-16.578 15.218-29.301 30.44-38.373 51.594-17.433 59.912-22.848 130.145 11.465 186.052 18.791 24.069 46.468 35.866 82.117 25.237-19.815 21.2-61.112 22.051-60.274 51.793-23.867.12-62.388 50.074-80.752 28.255-17.04-20.245 42.624-48.484 36.143-74.14-4.908-19.427-42.686-26.202-70.23-49.643 7.915-29.149-15.428-39.194-40.99-45.695 12.544 14.59 14.274 38.384 8.67 52.271.993.497 13.347-1.809 17.945 2.08 19.335 16.358 78.757 33.365 61.193 52.356-21.627 23.384-54.648 50.988-38.718 75.239 18.849 28.694 75.356 19.427 105.27-3.641-.646 21.619-16.875 46.225-47.435 52.722-11.366 1.646-5.19 37.526-33.92 56.473 5.498 4.408 31.43 21.09 38.424 16.185 16.572-11.619 36.787-25.491 61.875 1.211-7.23-29.056-14.994-37.351-56.01-30.507 8.758-9.139 37.773-18.964 55.918-10.903 54.972-19.776 31.988-37.868 66.926-72.05 30.825 9.253 22.75 44.758 43.98 56.726 29.066-5.264 44.414-10.73 51.756-2.137 7.306 9.274 11.514 11.72 29.24 11.084 11.7 2.646 23.577 15.721 2.686 33.266 40.79-5.645 37.187-35.145 10.467-53.123 8.726-30.173 36.299-6.263 48.135 3.957-6.592-41.814-51.232-51.059-69.44-16.371-11.71-8.922-21.316-18.63-40.031-20.047 3.35-27.712-1.264-36.928-8.512-55.35 15.492-14.416 27.208-27.594 37.441-44.102 37.842 7.222 90.616 15.978 79.995 51.612 40.211-42.77-8.803-40.885-4.623-54.281 4.071-13.05 30.22-16.567 39.304 4.453 4-40.592-44.39-41.118-52.69-21.375-19.237-.065-27.955-9.57-43.263-19.854a159.814 159.814 0 0 0 6.06-26.912c16.883-4.655 34.953-7.128 49.891-20.533 25.367 9.855 42.736-4.934 42.174-27.07 0 0-32.033 35.189-33.7-1.795-.681-15.082 18.625-29.18 43.183-13.656-17.624-40.296-63.094-24.75-62.852 16.8-15.843 7.322-28.376 7.113-41.28 2.614-10.32-30.437-43.035-39.44-60.757-52.116-10.889-7.788 9.06-25.721 27.973-17.61 18.912 8.11 36.923-1.29 45.836-10.24-26.242 2.808-48.716-14.667-48.141-17.93.6-3.41 29.811-7.592 51.326 5.825-1.565-34.591-30.833-35.783-52.08-37.105-18.792-34.937-43.299-38.584-71.062-24.748-19.344-1.381-43.732-6.665-61.303-15.277zM85.154 25.355a2.007 2.007 0 0 0-.265.604c.09-.202.174-.402.265-.604zm-.265.604c-43.453 96.534-16.103 179.77 41.088 215.559-20.947-50.153-17.93-106.467-5.967-156.57-19.158-25.464-36.877-52.809-35.121-58.989zm221.45 17.627c1.756 0 29.795 15.652 29.795 15.652l-23.078 3.16z"}}]})(props);
};
function GiGrimReaper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.53 21.03c-62.334.34-123.514 15.678-165 39.44l-6.155 2.06c19.528 58.267 48.163 98.687 80.938 132.376l-1.72 67.47 64.5 30.437c-19 58.985-34.515 128.892-50.405 197.656h191.125c-10.308-47.13-20.516-94.494-32.157-138.72 23.774 28.113 46.51 61.63 67.063 104.313l16.842-8.094c-22.568-46.87-47.938-83.34-74.312-113.626l31.125-24.28-47.47-104.377 48.22-33.75c-18.963-35.457-37.446-71.306-72.28-92.656-32.51 19.993-52 56.712-72.22 92.5l-29.22 34.69c-28.89-25.67-54.975-53.34-76.093-90.532C192.195 60.42 315.858 47.172 419.656 72.56 373.43 35.602 309.392 20.69 246.53 21.032z"}}]})(props);
};
function GiGroundSprout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M166.83 19.52c-28.898.023-61.718 16.366-86.002 55.16 70.773-24.38 69.905 19.077 130.02 36.95 12.785 18.24 21.513 41.086 27.45 72.214 1.056 9.14 1.425 18.935 1.495 29.078.16 23.53-1.74 48.726-3.072 69.72v.008c-.405 6.982 2.976 17.98 9.282 29.364 2.745 4.956 6.048 9.978 9.584 14.9 2.945-59.286 1.044-113.128 11.27-161.432 7.12-19.412 16.723-35.71 28.833-49.156 67.6-14.804 59.14-58.506 140.966-33.137-32.607-39-72.186-55.092-104.357-54.516-43.914.786-74.014 32.628-53.743 79.654-11.398 13.628-20.738 29.502-27.87 47.6-5.473-19.157-12.575-35.512-21.55-49.703 14.37-51.287-19.7-86.736-62.307-86.704zm35.234 169.918l-75.488 1.767-69.416 94.99 72.125 67.22 89.992-8.677-89.04 36.268-57.38-54.893 37.702 84.155 110.41 28.816-99.382-4.197 5.566 12.425L294.17 494.85 422 423.97v-.01l-31.676-45.116-94.816 42.367 99.135-72.116 28.097 41.947 1.78-79.19-66.54-78.248-55.644-12.608-24.406 36.445 6.95 26.154-9.353 14.8c-.525 15.73-1.216 31.995-2.38 48.768l23.2 32.524-36.1 41.71 15.515 31.862-37.116-35.465 33.95-39.223-11.094-15.55-4.88-5.268c-10.016-10.814-19.717-23.594-26.968-36.682-4.9-8.843-8.81-17.798-10.6-26.716l-18.118-36.536L216.27 217.8l.554-.048-14.76-28.315z"}}]})(props);
};
function GiGroundbreaker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M267.785 16.48L203.56 67.027l75.544 159.854L359.057 34.18 267.785 16.48zm-126.988 1.965L95.7 27.595l157.327 213.89-112.23-223.04zm-96.57 9.842L17.865 65.135l207.877 180.478L44.227 28.287zm383.63 29.95L366.324 88.56l-56.822 144.817L453.72 98.367l-25.863-40.13zm54.235 44.972l-64.012 83.163 74.236-38.38-10.224-44.784zm-452.2 45.636l-11.35 58.642 195.21 58.627L112.5 184.158l-13.242 30.9-69.365-66.212zM493 188.518l-81.836 38.34 23.11 53.92-13.274 51.67 72 8.835V188.518zM19.863 234.83l.9 39.863 104.135-1.816L19.863 234.83zm25.45 63.164L28.81 342.65l171.92-41.332-155.416-3.324zm335.36 48.334l-42.708 46.11 33.232 35.515-97.865 2.7 12.658 62.208h207.008V360.114l-112.326-13.785zM133.85 356.783L19.697 410.266v82.595h107.51l45.453-87.233-38.81-48.844zm65.158 38.686l.015.007-50.744 97.384h118.64l-15.916-78.208-51.996-19.183z"}}]})(props);
};
function GiGroupedDrops (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M104.18 23.01c50.773 35.662 91.356 76.39 126.09 114.9 15.712 7.966 31.16 15.66 46.236 23.158 70.055 34.845 132.168 65.335 176.383 101.315 11.834-7.294 21.912-16.734 28.385-27.945h.002c21.716-37.61.99-95.137-34.04-115.36C377.433 78.776 241.073 77.803 104.18 23.01zM54.69 59.322c54.132 74.474 92.96 150.218 125.718 217.496 39.944 82.037 71.7 151.4 110.4 190.104 4.584 4.582 10.223 8.635 16.647 12.115 19.253 13.242 42.552 21.006 67.63 21.006 35.297 0 67.07-15.37 88.99-39.764.15-.146.302-.288.448-.434 8.423-8.423 14.915-18.703 19.547-30.088 6.85-15.06 10.67-31.78 10.67-49.373 0-21.644-5.777-41.964-15.87-59.5l-.007-.01c-5.087-10.377-11.434-19.62-18.847-27.033-40.63-40.636-110.23-75.453-191.832-116.04-66.27-32.963-140.4-70.142-213.493-118.48zm-32.493 51.916c65.29 140.548 59.79 276.762 98.48 343.778 19.21 33.254 83.92 50.075 122.38 27.873 8-4.62 14.782-10.983 20.316-18.47-35.87-43.368-64.494-106.976-99.768-179.42-8.823-18.12-18.076-36.82-27.878-55.867-37.73-33.986-77.67-72.304-113.53-117.895zm379.1 7.5c7.485-.1 15.752 1.51 24.002 4.86-6.418.384-11.73 2.948-14.42 7.61-5.412 9.372 1.8 23.665 16.102 31.923 14.304 8.26 30.285 7.357 35.696-2.015.135-.234.255-.473.375-.713 2.4 7.59 2.116 15.02-1.44 21.178-9.05 15.676-35.78 17.185-59.705 3.37-23.924-13.813-35.983-37.72-26.933-53.395 4.807-8.328 14.606-12.66 26.322-12.817zm-28.203 155.774c8.974-.12 18.76 1.522 28.638 4.97-9.448.138-17.347 3.635-21.226 10.354-7.312 12.665 2.43 31.978 21.762 43.14 19.33 11.16 40.928 9.94 48.24-2.726 2.553-4.423 3.022-9.656 1.734-15.07 14.86 17.575 23.807 40.32 23.807 65.205 0 55.87-45.093 100.967-100.964 100.967-38.8 0-72.395-21.75-89.307-53.752 17.13 15.03 39.58 24.146 64.16 24.146 47.412 0 86.9-33.9 95.562-78.783-17.104 10.354-45.526 8.41-71.56-6.62-33.183-19.16-49.908-52.316-37.356-74.058 6.668-11.55 20.257-17.554 36.508-17.773z"}}]})(props);
};
function GiGrowth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 33.78C205.2 119.6 154.2 177 103.7 228.7c101.3-39.2 203.3-39.2 304.6 0C357.8 177 306.8 119.6 256 33.78zm0 183.02c-10.4 0-20.8.5-31.3 1.4 6.5 104.2-48.4 216.9-158.29 268.8H445.6c-109.9-51.9-164.8-164.6-158.3-268.8-10.5-.9-20.9-1.4-31.3-1.4z"}}]})(props);
};
function GiGuardedTower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M71.604 21.99v111.12l61.156 75.814v188.654H93.408l-28.7 92.836h151.1l-6.103-92.613h.043l-1.17-119.35-18.687.185.848 86.545h-22.92c-13.43-71.44 4.462-150.097 60.967-158.86-9.133-11.458-15.006-27.38-15.006-45.02 0-34.844 22.177-62.962 49.413-62.962 1.703 0 3.466-.262 5.123 0h.002c24.873 3.23 44.29 30.293 44.29 62.96 0 18.09-6.196 34.244-15.74 45.755 51.727 9.73 76.564 84.763 61.333 158.127h-24.616l.85-86.545-18.688-.184-1.115 113.64-7.323 98.324h146.54l-28.702-92.836H385.79V208.924l61.155-75.813V21.99H382.52v52.414h-39.213V21.99h-65.123v52.414H239.67V21.99h-65.125v52.414h-38.512V21.99h-64.43zm180.652 326.62v142.245h18.69V348.61h-18.69z"}}]})(props);
};
function GiGuards (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M72.877 31.904c-.99-.014-1.958.006-2.988.098C43.67 35.408 22.545 61.005 18 93.775v26.15c2.296 16.266 8.804 30.665 17.848 41.565-6.58 1.237-12.504 3.53-17.848 6.717v23.813c22.983.386 43.265 14.03 57.31 34.318C89.56 246.92 98 274.598 98 305c0 30.402-8.44 58.08-22.69 78.662C61.266 403.95 40.984 417.592 18 417.98v8.577L23.03 494h7.67l108.204-161.824L140 304c.732-41.132 16.536-59.598 32-48 4.26 3.195 8.3 6.024 12.135 8.533l23.574-35.258c-21.607-17.4-59.103-43.23-90.68-68.658 10.89-13.647 17.894-32.612 17.894-53.627C134.924 65.494 108.478 32 76 32c-1.12-.036-2.133-.082-3.123-.096zm366.246 0c-.99.014-2.002.06-3.123.096-32.478 0-58.924 33.494-58.924 74.99 0 21.015 7.005 39.98 17.895 53.627-31.577 25.43-69.073 51.26-90.68 68.658l23.577 35.258A232.03 232.03 0 0 0 340 256c15.464-11.598 31.268 6.868 32 48l1.096 28.174L481.3 494h7.67l5.03-67.443v-8.578c-22.983-.388-43.265-14.03-57.31-34.318C422.44 363.08 414 335.402 414 305c0-30.402 8.44-58.08 22.69-78.662 14.045-20.288 34.327-33.932 57.31-34.318v-23.813c-5.344-3.187-11.27-5.48-17.848-6.717 9.044-10.9 15.552-25.3 17.848-41.566v-26.15c-4.546-32.77-25.67-58.366-51.89-61.772a28.52 28.52 0 0 0-2.987-.098zM148.758 46.758l40.068 110.215 47.34-31.653zm214.484 0l-87.408 78.562 47.34 31.653zM230.25 150.93l-16.625 11.117L435.588 494h24.057zm51.5 0l-14.922 22.316 12.03 17.99 19.517-29.19zM18 210.018v189.964c15.993-.38 30.943-9.855 42.512-26.566C72.322 356.356 80 332.036 80 305c0-27.035-7.678-51.357-19.488-68.416-11.57-16.71-26.52-26.186-42.512-26.566zm476 0c-15.993.38-30.943 9.855-42.512 26.566C439.678 253.644 432 277.964 432 305c0 27.035 7.678 51.357 19.488 68.416 11.57 16.71 26.52 26.186 42.512 26.566zM233.145 223.62L52.355 494h24.057l168.762-252.39zm-98.397 215.52L98.066 494h34.55zm242.504 0l2.13 54.86h34.552z"}}]})(props);
};
function GiGuillotine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M159.375 30.72v94.186l205.25-51.062V30.72h-205.25zm-45.125.06v448.47h27.78V30.78h-27.78zm266.53 0v448.47h27.783V30.78H380.78zm-16.155 61.25l-205.25 51.064v45.062l205.25-51.656V92.03zm-205.25 279.69v45.217h67.72c3.82-17.578 18.53-30.687 36.093-30.687 17.56 0 32.24 13.11 36.062 30.688h65.375v-44.22l-205.25-1zm0 62.874v43.875h205.25v-43.876h-65.25c-3.668 17.8-18.48 31.125-36.188 31.125-17.708 0-32.52-13.326-36.187-31.126h-67.625z"}}]})(props);
};
function GiGuitarBassHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M228.2 26.89c-15.2-.25-27.7 33.46-12.3 39.8l8.9 3.61 17.8-15.5-1.8-23.5-8.7-3.6c-1.1-.43-2.1-.68-3.2-.78h-.7zm134.4 7.92h-2.3c-7.4.3-15.3 2.12-23.3 5.75-21.2 9.67-43.6 32.67-59.7 75.74L174.4 394.7l-.1.2v.2c.9.5 3.6 1.9 8 4 9.8 4.8 24 15.7 26.1 38.8v.5l-1 55.6H304c-.1-17.6 1.4-34.5 8.1-51.5 11.7-29.4 39.3-54.9 97-77 0-.2 0 0 .1-.4.3-2 .4-6 0-11-1-10.1-4-24.9-8.6-42.2-9.2-34.7-24.8-80.2-42.4-124.9l-2.4-6.2 5.2-4.2c36.1-28.2 51.1-56.4 53.8-79.56 2.7-23.06-6.5-41.48-21.3-52.25-8.7-6.31-19.3-9.99-30.9-10.02zM260.5 52.44l.7 10.01-7.6 6.6 21.7 8.93c1.2-2.17 2.5-4.28 3.8-6.33l4-9.89zm69 18.56c8.8 0 16 7.16 16 16s-7.2 16-16 16-16-7.16-16-16 7.2-16 16-16zm-136.7 49.7c-15.2-.3-27.9 33.4-12.3 39.8l8.8 3.6 17.8-15.5-1.7-23.6-8.8-3.6c-1.1-.4-2.1-.6-3.1-.7zm32.2 25.5l.7 10-7.6 6.6 19.9 8.1 6.2-16.8zm71.6 19.8c8.8 0 16 7.2 16 16s-7.2 16-16 16-16-7.2-16-16 7.2-16 16-16zm-139.8 50.6c-15.3-.3-27.8 33.4-12.4 39.8l8.9 3.6 17.8-15.5-1.8-23.6-8.7-3.6c-1.1-.4-2.1-.6-3.1-.7zm32.2 25.5l.7 10-7.6 6.6 20.4 8.3 6.2-16.8zm67.2 19.3c8.8 0 16 7.2 16 16s-7.2 16-16 16-16-7.2-16-16 7.2-16 16-16zm-140.1 54.4c-15.2-.3-27.78 33.4-12.3 39.8l8.8 3.6 17.8-15.5-1.8-23.6-8.7-3.6c-1.1-.4-2.1-.6-3.1-.7zm32.2 25.5l.7 10-7.6 6.6 22.8 9.3 6.8-16.6zm69.3 18.5c8.8 0 16 7.2 16 16s-7.2 16-16 16-16-7.2-16-16 7.2-16 16-16z"}}]})(props);
};
function GiGuitarHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M152.6 26.32L137.2 441.9 256 486.4l118.8-44.5-15.4-415.58L256 41.09 152.6 26.32zM64 89c-36 0-36 78 0 78h9.51l13-39-13-39H64zm374.5 0l-13 39 13 39h9.5c36 0 36-78 0-78h-9.5zM192 112a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm128 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-217.6 7l2.1 6.2 1 2.8-3 9h28l.7-18h-28.8zm278.4 0l.7 18h28.1l-2.1-6.2-1-2.8 3-9h-28.7zM60 217c-36 0-36 78 0 78h9.51l13-39-13-39H60zm382.5 0l-13 39 13 39h9.5c36 0 36-78 0-78h-9.5zM192 240a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm128 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-221.56 7l2.06 6.2 1 2.8-3 9h27.3l.7-18H98.44zm287.06 0l.7 18h27.4l-2.1-6.2-1-2.8 3-9h-28zM56 345c-36 0-36 78 0 78h9.51l13-39-13-39H56zm390.5 0l-13 39 13 39h9.5c36 0 36-78 0-78h-9.5zM192 368a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm128 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-225.53 7l2.07 6.2.95 2.8-3 9h26.61l.6-18H94.47zm295.83 0l.6 18h26.7l-2.1-6.2-1-2.8 3-9h-27.2z"}}]})(props);
};
function GiGuitar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M491.938 18.813l-17.72 2.375-89.374 11.968-6.22.844-1.562 6.094-18.5 72.156-136.187 137.28c-2.094-4.4-4.324-8.708-6.875-12.843-7.317-11.86-18.338-22.357-34.844-25.687-6.457-1.303-12.664-1.702-18.53-1.28-17.602 1.26-32.182 9.775-41.69 22.5-10.95 14.654-15.87 34.054-15.31 54.405-36.16 4.516-66.336 31.382-80.657 64.313-15.608 35.885-11.856 80.956 24.655 111.156 43.28 35.8 88.28 31.622 119.875 11.22 28.593-18.467 47.778-48.14 50.813-74.752 18.615-2.81 38.424-9.03 56.375-17.968 20.474-10.195 38.536-23.433 48.406-40.063l7.625-12.874-14.908-1.22c-34.56-2.818-53.76-12.87-66.406-26.217l146-147.22 18.938 1.375 6.156.438 2.813-5.5 6.125-11.907 25.03 11.906L464 132.438l-24.53-11.656 7.655-14.874 25.844 12.28 8.03-16.874-25.313-12.03L464 73.155 491.03 86l8.033-16.875L472.53 56.53l11.22-21.81 8.188-15.907zm-124.532 111l13.22 13.093-200.22 201.875c-1.556-1.983-3.227-3.898-5.062-5.717-2.65-2.628-5.493-4.96-8.47-7l200.532-202.25zm-235.47 210.093c10.914-.046 21.837 4.094 30.25 12.438 16.834 16.69 16.938 43.576.25 60.406-16.685 16.83-43.573 16.94-60.405.25-16.83-16.69-16.936-43.576-.25-60.406 8.345-8.415 19.245-12.64 30.157-12.688z"}}]})(props);
};
function GiGunRose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M382.295 19.848l-51.34 54.99 27.06 85.992L419.644 176l16.406-49.58-45.104-23.934-8.447 23.213 15.62 9.598 2.673-11.535 14.617 7.539-5.763 27.047-49.16-27.498L384 78l43.107 24.766 17.795-57.682-62.607-25.236zM343.08 35.332c-2.256.45-43.49 8.084-53.945 9.863l-1.574 11.092-9.862 111.764 77.112 59.232 112.748-13.799 24.63-100.953-44.634-18.63-4.657 15.091 12.77 8.858-26.49 79.73-85.479-21.86-31.406-99.814 30.787-40.574zM234.521 59.408c-15.696 17.005-26.414 35.976-33.066 56.826 4.388.428 8.425.5 12.68.204 4.97-.346 10.51-1.257 17.322-2.725.01-.25.014-.444.023-.701.342-8.519.931-19.457 1.563-30.285.69-11.784.945-15.149 1.478-23.319zm31.301 61.22c-23.275 6.122-38.105 9.913-50.642 10.788-14.472 1.009-26.797-1.595-49.043-6.684-79.89 3.2-107.938 26.332-141.213 48.772-5.818 16.437-3.375 34.097 3.73 50.64 6.602 15.37 17.187 29.231 27.578 39.14 38.08-22.281 79.671-37.1 132.803-32.423l8.57.756-1.908 8.387c-5.176 22.752 1.912 43.235 15.256 59.676.173.213.36.417.535.629 1.956-6.117 6.192-10.892 11.207-14.15-6.2-11.15-5.858-35.113-2.652-49.89l-27.436-47.519 2.41-3.832c18.819-29.91 42.616-47.438 69.846-53.422l.96-10.867zm-2.345 26.587c-20.222 5.446-37.69 18.777-53.225 42.066l50.553 87.563c2.8-.216 5.62-.417 8.466-.623 4.176-.302 8.378-.609 12.524-.967l-39.01-67.57a7.506 7.506 0 0 1 2.746-10.254 7.508 7.508 0 0 1 10.256 2.748l42.264 73.203c5.233-.814 10.138-1.856 14.494-3.254l6.152-3.553-44.644-77.322a7.462 7.462 0 0 1-.955-4.56l-12.108-9.301 2.487-28.176zm-119.428 2.828c9.99-.24 19.844 4.832 25.158 14.035 7.73 13.388 3.084 30.726-10.303 38.455-13.387 7.73-30.725 3.083-38.455-10.304-7.729-13.387-3.083-30.726 10.305-38.456a27.858 27.858 0 0 1 13.295-3.73zm.453 14.941a13.244 13.244 0 0 0-6.24 1.791c-6.36 3.673-8.48 11.588-4.809 17.948 3.672 6.36 11.585 8.48 17.945 4.808 6.36-3.672 8.481-11.586 4.809-17.947-2.524-4.372-7.054-6.74-11.705-6.6zm156.736 41.325l30.532 52.88 15.615-8.949v-.002l-8.803-15.244-37.344-28.685zm-135.215 35.95c-6.768 44.82 6.932 72.251 15.245 104.313-17.695 43.045-35.085 81.537-71.348 107.38h-.006c-26.502 18.902-51.608 14.403-63.863.622-6.127-6.89-9.443-16.272-7.98-28.256 1.45-11.88 7.925-26.43 22.245-42.21 11.966-10.25 21.688-14.278 28.155-14.956 6.552-.687 9.856 1.215 12.338 4.328 4.963 6.227 5.047 20.812-7.48 31.327l12.013 14.316c19.1-16.03 22.676-41.487 10.082-57.291-6.297-7.9-17.037-12.509-28.9-11.266-11.866 1.245-24.787 7.552-38.885 19.76l-.41.356-.368.4c-16.57 18.11-25.296 36.22-27.34 52.973-2.045 16.753 2.877 32.043 12.567 42.94 19.38 21.79 56.223 25.322 88.68 2.175l.002-.002a160.698 160.698 0 0 0 16.992-13.967c29.887-7.727 58.964-10.74 92.3-37.435-21.192.977-40.373-1.703-53.542-15.131 13.248-24.99 23.122-52.169 34.386-78.918-9.727-9.81-17.748-20.652-23.406-32.656a94.12 94.12 0 0 1-8.234-28.065c-4.956-6.014-9.281-13.07-13.243-20.736zm188.87 20.983l-29.1 16.674 99.695 172.678 28.883-17.05-93.322-161.636.002-.002-6.158-10.664zm-50.715 25.293c-11.152 2.055-22.79 2.851-33.752 3.645-16.196 1.172-30.888 2.923-37.924 6.746-3.436 1.867-4.955 3.588-5.8 6.326-.847 2.738-.901 7.305 1.517 14.488 2.817 8.365 7.214 12.04 13.224 13.742 6.011 1.702 14.25.852 23.123-3.11 14.648-6.543 30.25-21.402 39.612-41.837zm14.008 8.23a108.398 108.398 0 0 1-8.811 15.329l28.938 50.123 13.244-7.647-33.371-57.804zm123.318 84.514l22.03 38.157 26.794-15.471c-13.261-12.692-28.152-21.575-48.824-22.686z"}}]})(props);
};
function GiGunStock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M418.2 18L375 65.56c-16.9 12.53-44.7 14.05-56.3 22.77L122.6 234.2c-9.6 6.9-3.7 23.8-5.8 36.9 6.9 27.7 28.6 44.9 59.7 41.8 32.7-3.4 98.5-47.4 120.2-63.6 6.9 6.1-77.4 77.3-118.3 81.5-34.3 3.5-62.3-14.6-74.7-42.7l-62.37 47.4c38.23 55.9 82.97 105.4 142.77 132.3l187.8-273 17 25.8c15.2 19.6 82.4-16 75.1-29.1l-26.9-55.3L494 61.68V18h-75.8zM26.96 346.4l-6.71 5.1C-5.009 373.7 155.9 512 166.5 493.3l7.2-10.5c-62.4-28.9-108.31-80.4-146.74-136.4z"}}]})(props);
};
function GiGunshot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M33.385 18.482l179.818 179.82c15.992-12.5 32.854-21.332 49.008-25.884 6.11-1.722 12.21-2.827 18.142-3.232L129.646 18.482h-96.26zM18.1 94.508v22.414l143.933 143.933c2.284-4.853 4.898-9.714 7.87-14.544L18.1 94.51zm0 48.844v21.718l133.513 133.514c.357-6.05 1.454-12.282 3.192-18.527L18.1 143.352zm267.76 44.308c-5.534-.06-11.76.824-18.58 2.746-18.187 5.125-39.366 17.645-58.06 36.338-18.693 18.693-31.214 39.874-36.34 58.06-5.124 18.187-2.865 32.154 4.983 40.003 7.848 7.848 21.816 10.107 40.002 4.982 2.79-.787 5.657-1.767 8.57-2.897-4.446 35.305 2.834 81.353 22.27 137.377 7.042-107.06 40.21-77.135 84.346 18.867-25.618-105.636 50.953-72.313 151.733 8.195-82.658-96.046-104.87-162.764 10.524-134.658-113.18-40.95-130.87-81.878-33.092-84.97-63.505-23.373-114.68-32.166-153.004-27.345 1.2-3.05 2.23-6.05 3.054-8.97 5.124-18.186 2.867-32.155-4.98-40.003-4.906-4.905-12.203-7.627-21.425-7.727zm-15.63 20.928c7.007.084 13.038 2.182 17.358 6.502 7.242 7.242 8.227 19.295 3.96 32.7-32.244 8.713-52.945 29.435-61.653 61.358-13.234 4.11-25.11 3.073-32.274-4.09-13.822-13.824-4.888-45.17 19.956-70.013 17.08-17.08 37.233-26.642 52.653-26.457z"}}]})(props);
};
function GiGymBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.7 29.45c-25.7.1-51.1 2.14-73.1 5.22l10.2 37.24c41.9-8.58 85.7-5.82 129.7.1l7.8-35.94c-23-4.82-48.9-6.71-74.6-6.62zm-88.4 16.28c-10.3 2.62-20.4 5.73-30 9.31-8.2 3.05-13.3 9.6-19.1 18.13-5.8 8.52-11.8 19.42-17.9 32.03-12.3 25.2-25.13 57.1-36.88 88.6-11.33 30.4-21.58 60.2-29.21 83 6.07-4.8 13.57-7.9 21.58-7.7 6.93-20.4 15.35-44.5 24.5-69 11.63-31.2 24.41-62.8 36.21-87 5.9-12.2 11.6-22.51 16.6-29.78 5-7.31 9.9-11.22 10.4-11.42 9.1-3.37 18.6-6.27 28.4-8.72zm178.2 5.23l-3.9 17.83c11.3 3.98 22 8.81 32 14.49 2.9 1.62 8.5 7.61 14.2 17.02 5.6 9.4 11.7 21.9 17.7 36.4 12.2 28.9 24.4 65.6 35.3 101.5 3.1 10.4 6.2 20.7 9.1 30.7 7.3 1 14.1 4.5 19.5 9.5.9.8 1.7 1.6 2.5 2.5-4.3-15.3-8.9-31.5-13.9-47.9-10.9-36.3-23.3-73.4-35.9-103.3-6.2-15-12.6-28.1-18.9-38.71-6.4-10.56-12.5-18.67-20.6-23.33-11.7-6.64-24.1-12.18-37.1-16.7zM318.3 206.6L192 207.7l-.5.1c-30.3 3.2-53.4 30.5-57.7 66 6.1.3 12.1.6 18 .8 3.8-27.8 21.4-46.7 41.5-48.9l123.3-1.1c15.6 2.6 32.3 18.6 36.6 48.9 5.9-.3 11.9-.5 18-.8-4.9-37.5-26.5-62-52.2-66zm131.9 80.1c-26.5 1.4-51.7 2.8-76 3.9 15.8 61 15.1 122.6 15 183.2 29.1-2.8 59-6.1 90-9.8.6-.1 2.2-.7 4.5-5.1 2.3-4.3 4.5-11.4 5.9-20.2 2.9-17.6 3.2-41.5.7-65.2-2.6-23.6-8.1-47-15.7-63.4-3.8-8.2-8.1-14.6-12.3-18.4-4.3-3.8-7.9-5.2-12.1-5zm-390.9.4c-3.41.1-6.38 1.5-9.92 4.8-4.05 3.7-8.29 10.1-11.99 18.3-7.39 16.5-12.67 40.2-15.3 64.2-2.63 24-2.67 48.4-.36 66.5 1.15 9 2.95 16.5 4.88 21 1.94 4.6 3.57 4.9 2.41 4.7 30.37 5.1 59.95 8.8 89.18 11.4-5.6-58.2-3.5-119.8 11.9-186.4-22.1-1-45.11-2.5-69.3-4.4-.51 0-1.01-.1-1.5-.1zm296.5 4.3c-70.4 3-134.8 4.1-207.5 1.1-15.9 67-17.9 128.3-11.9 187 77.8 5.6 153.6 3.1 234.8-4.1.1-62.6.8-124.4-15.4-184z"}}]})(props);
};
function GiH2O (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 57c-65.8 0-119 53.2-119 119s53.2 119 119 119 119-53.2 119-119S321.8 57 256 57zm-91.5 220.9l-46.9 59.6c5.2 3.1 10 6.9 14.2 11.2l46.9-59.7c-5-3.4-9.8-7.1-14.2-11.1zm183 0c-4.4 4-9.2 7.7-14.2 11.2l46.9 59.6c4.2-4.3 9-8.1 14.2-11.2zM80 345c-30.48 0-55 24.5-55 55s24.52 55 55 55c30.5 0 55-24.5 55-55s-24.5-55-55-55zm352 0c-30.5 0-55 24.5-55 55s24.5 55 55 55 55-24.5 55-55-24.5-55-55-55z"}}]})(props);
};
function GiHabitatDome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32.951l116.926 35.666 83.185 88.81 30.06 112.33-24.831 8.839-87.744-66.914-25.073 107.062-14.076 5.01H319.15L256 229.367l-63.15 94.387h-15.297l-14.076-5.01-25.073-107.062-87.744 66.914-24.832-8.838 30.06-112.33 83.186-88.81zm0 18.819l-71.54 21.822 24.51 3.738.157-.246.139.291L256 84.502l46.734-7.127.14-.291.155.246 24.51-3.738zm108.672 34.367L313.6 93.926l51.023 80.113 18.404-68.305zm-217.344 0l-18.355 19.597 18.404 68.305L198.4 93.926zm146.026 10.877L256 102.71l-37.354-5.697L256 175.217zm11.771 17.115l-42.479 88.933 90.342-13.779zm-98.25 0l-47.863 75.154 90.342 13.78zm190.629 7.06l-15.992 59.352 51.133-21.836zm-283.008 0l-35.14 37.516 51.132 21.838zm327.492 53.098l-56.248 24.02 78.75 60.054zm-371.976 0L47.51 258.361l78.75-60.054zM356.203 207l-84.851 12.941 60.607 90.588zm-200.406 0l24.244 103.53 60.607-90.589zM487 288.264v32.14L334.447 375H177.553L25 320.404v-32.14l149.447 53.49h163.106zM328.193 393l13.43 94H170.377l13.428-94z"}}]})(props);
};
function GiHairStrands (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M87.367 202.125c-3.915 37.715-7.82 75.606-11.521 111.53l55.562-49.268 66.319-241.5c-76.892 6.031-102.04 130.038-110.36 179.238zm-11.521 111.53l-.002.001.002.002v-.004zM52.859 27.584l-17.224 5.23c9.194 30.297 25.192 58.884 52.695 79.046a262.985 262.985 0 0 1 6.412-17.584C73.302 77.146 60.836 53.871 52.86 27.586zm-7.127 75.772l-13.796 11.561c14.94 18.495 24.928 35.097 44.25 46.103 1.17-6.204 2.434-12.432 3.845-18.673-14.49-10.271-24.582-27.282-34.299-38.99zm290.213 4.188l-68.357 60.771c-26.015-13.266-54.933-31.442-78.611-39.818-2.098 5.647-3.75 11.415-5.34 17.217 22.013 9.264 45.08 21.523 65.187 32.701 27.544 14.787 54.625 29.625 77.19 47.18 7.266 4.904 14.51 9.934 21.648 15.1 35.633 25.784 68.641 54.61 88.94 82.593 20.298 27.983 27.563 53.353 16.193 76.297l16.127 7.992c15.139-30.55 4.507-64.173-17.75-94.857-22.258-30.684-56.466-60.201-92.957-86.608-12.866-9.31-26.015-18.206-39.026-26.592 24.738-36.767 29.987-70.986 16.756-91.976zm-160.379 67.592l-4.783 17.44c37.4 16.243 77.063 36.291 110.488 58.843a427.135 427.135 0 0 1 12.41 8.828c22.704 16.796 42.978 35.574 56.028 54.668 13.05 19.094 18.797 37.844 14.566 56.443-5.483 24.106-2.258 42.453 7.215 54.926 9.473 12.474 23.891 18.022 37.705 20.309 11.487 1.901 40.355 4.95 55.268 38.617l16.459-7.29c-18.432-41.61-58.681-47.412-68.785-49.085-11.165-1.848-20.666-6.003-26.313-13.438-5.646-7.434-8.74-19.2-3.998-40.046 5.61-24.664-2.441-48.916-17.256-70.592-14.814-21.677-36.47-41.44-60.183-58.983a461.519 461.519 0 0 0-14.92-10.568 272.93 272.93 0 0 0 7.691-8.043c-17.57-11.549-37.503-22.425-58.076-33.508l-7.803 6.938c-22.342-11.667-42.245-20.393-55.713-25.46zm27.055 50.937c-43.146 38.429-86.357 76.775-129.59 115.104-.009.079-.017.086-.025.166l-5.613 4.97-19.817-21.785-.047.076c-7.457-8.261-18.015-13.087-29.529-14.79v18.93c8.223 1.713 14.326 5.657 17.912 11.376 4.663 7.434 4.814 17.46-.139 28.817-1.649 3.78-3.892 7.624-6.644 11.406L18 390.24v25.809c2.232-1.465 4.387-3 6.46-4.58l204.876-128.873c11.75-7.407 22.54-15.07 32.432-22.88-18.765-13.269-39.824-21.604-59.147-33.642zm72.631 75.604l-14.662 10.44c7.338 10.305 17.222 19.578 22.33 28.917 5.108 9.34 6.88 16.934-1.982 30.041-7.176 10.613-17.888 28.665-16.06 48.694.916 10.014 5.656 20.429 15.17 28.363 9.516 7.934 23.27 13.576 42.55 16.762l2.935-17.76c-17.226-2.846-27.852-7.735-33.957-12.826s-8.225-10.193-8.771-16.176c-1.093-11.966 6.864-27.834 13.045-36.975 12.011-17.765 9.987-35.73 2.86-48.76-7.125-13.029-17.913-22.932-23.458-30.72zm-41.633 30.261l-17.986.715c-.624 27.725 2.833 76.063-18.865 97.305l9.363 15.373c27.446-21.357 28.366-85.096 27.488-113.393zm-114.068 44.145c-16.48 3.924-37.906 21.363-53.322 31.055l-3.047 29.691c-.6 3.072-1.09 6.216-1.428 9.414-1.839 17.462.575 34.01 6.504 47.756h21.021a50.923 50.923 0 0 1-1.775-3.031c-5.458-10.155-8.51-24.25-7.45-39.594l8.95-32.578c2.167-4.138 4.622-7.854 7.283-11.006 18.213-18.833 36.386-16.595 48.28 4.865 5.83 10.856 8.934 26.161 7.187 42.735-1.638 15.541-7.198 29.165-14.47 38.609h22.12c5.682-10.64 9.51-23.121 10.936-36.658 2.104-19.989-1.36-38.78-9.293-53.54-11.54-15.582-24.714-27.804-41.496-27.718z"}}]})(props);
};
function GiHalberdShuriken (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M491.094 26.142L252.386 90.54c31.89 10.63 59.996 24.876 84.25 43.577-9.27 42.608-46.607 74.566-91.996 74.566-52.386 0-94.903-42.517-94.903-94.903 0-25.446 9.823-48.803 26.148-65.85-35.796 10.842-69.043 30.307-97.323 58.586-28.28 28.28-48.228 62.013-59.07 97.807 17.094-16.605 40.637-26.63 66.334-26.63 26.194 0 49.64 10.905 66.818 28.082 17.176 17.177 28.083 40.625 28.083 66.82 0 52.385-42.517 94.902-94.903 94.902-25.695 0-49.24-10.025-66.335-26.632 10.842 35.802 30.303 70.008 58.586 98.29 28.283 28.284 62.49 47.747 98.29 58.588-16.604-17.093-26.63-40.638-26.63-66.335 0-52.386 42.516-94.903 94.902-94.903 26.194 0 49.64 10.907 66.82 28.084 17.178 17.175 28.083 40.624 28.083 66.818 0 25.697-10.024 49.24-26.63 66.335 35.795-10.843 69.526-30.793 97.806-59.07 28.28-28.28 47.744-61.53 58.587-97.324-17.048 16.322-40.403 26.147-65.85 26.147-52.387 0-94.904-42.517-94.904-94.903 0-45.17 31.762-82.017 74.08-91.512 18.417 24.114 33.132 51.887 44.063 83.766L491.09 26.14z"}}]})(props);
};
function GiHalberd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M235.03 28.875l-56.718 24.72 104.75 104.75c20.144 20.136 20.144 53.105 0 73.25-20.142 20.142-53.11 20.14-73.25 0l-104.437-104.44-20.688 51.782C113.004 210 131.48 257.957 135 307.375c1.212 17.01.622 34.248-2.094 50.97 149.04-19.577 267.116-137.07 285.531-283.47-17.79 3.418-36.113 4.446-54.156 3.406-49.99-2.88-98.137-21.155-129.25-49.405zm258 12.344c-16.42 13.404-35.253 22.85-55.217 28.905-16.75 160.278-146.32 289.245-309.063 307.563 0 .002-.03-.003-.03 0-5.427 19.857-14.23 38.525-27 54.625 77.81-1.162 148.893-22.316 208.5-58.688l106.655 6.563L419 273.625c46.883-64.243 73.995-144.145 74.03-232.406zm-289.405 64.124l-46.875 46.75 44.406 44.406 46.875-46.75-44.405-44.406zM90.155 218.53L19.97 288.563v88.782l93.25-93.063c-4.38-23.864-12.445-46.66-23.064-65.75z"}}]})(props);
};
function GiHalfBodyCrawling (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M384.932 45.57c-3.286.244-7.88 2.403-15.094 14.546-5.056 15.957-.322 25.086 5.06 38.496l2.307 5.744-55.96 51.87c4.376 8.594 7.407 18.226 8.78 28.44l80.254-80.214c-4.114-10.653-8.672-18.525-12.147-27.168-3.263-8.116-4.76-17.495-2.795-28.32-4.347-2.066-8.086-3.564-10.406-3.393zm-119.604 91.15c-25.092.105-47.134 26.142-46.957 60.414.178 34.27 22.487 60.12 47.58 60.013 25.092-.105 47.133-26.14 46.956-60.412-.177-34.272-22.485-60.12-47.578-60.015zm190.053 84.296c-5.97-.085-11.825.86-16.946 2.87-10.125 15.2-8.244 19.567-11.067 36.418l-.71 4.25-3.758 2.11c-21.674 12.172-42.448 22.542-62.93 39.315l-3.632 2.974-4.516-1.275s-12.793-3.613-25.804-7.423c-6.506-1.905-13.063-3.858-18.168-5.455-2.553-.8-4.73-1.505-6.45-2.106-.86-.3-1.59-.567-2.318-.867-.363-.15-.72-.302-1.197-.544-.47-.238-.912-.218-2.463-1.732l-.096.1-12.922-17.024c-5.195 1.613-10.67 2.493-16.36 2.517-21.26.09-39.657-11.704-51.53-29.73-56.886 37.057-116.74 79.386-150.313 123.28l8.283 24.558 55.025-15.826 20.713 46.717c42.768-26.075 84.4-51.742 116.833-74.634-6.47-2-12.324-4.36-17.36-7.163l8.754-15.726c9.89 5.505 29.343 10.33 51.204 12.707 20.935 2.277 44.212 2.546 64.754.84 24.303-20.896 54.028-46.405 72.838-65.997 1.26-7.008 3.54-13.69 7.895-19.768l.44-.617.538-.533c3.732-3.7 8.657-6.304 13.737-6.272 5.08.032 9.018 2.307 11.968 4.506 2.687 2.002 4.914 4.12 6.993 6.09l8.677-13.134c-3.495-8.958-11.785-16.096-22.45-20.12-5.596-2.11-11.687-3.225-17.66-3.31zM36.79 381.1l-2.56 17.82c-.555-.08-.808-.126-1.085-.173.112.03.233.054.32.092.617.265 1.608.72 2.838 1.303 2.46 1.168 5.905 2.864 9.95 4.89 3.966 1.987 8.656 4.375 13.52 6.86L51.57 387.58c-2.886-1.436-5.518-2.733-7.546-3.696-1.338-.635-2.458-1.152-3.418-1.567-.96-.415-.327-.715-3.817-1.217zm68.374 21.485l-40.7 11.707.026.014-15.095 13.234c-4.943-2.555-9.69-4.996-13.698-7.024-3.356-1.698-6.226-3.125-8.427-4.18-1.1-.53-2.026-.962-2.84-1.318-.815-.356-.077-.615-3.537-1.125L18.27 431.7c-.503-.074-.715-.114-.996-.162.475.21 1.24.56 2.21 1.025 1.987.953 4.79 2.35 8.086 4.016 2.155 1.09 4.764 2.433 7.272 3.72L20.78 452.628l11.867 13.535 19.37-16.982c16.705 8.704 32.9 17.262 32.9 17.262l8.413-15.912s-12.692-6.693-26.802-14.07l15.158-13.29c18.2 9.415 34.89 18.137 34.89 18.137l8.352-15.947s-13.362-6.973-28.71-14.93zm-87.89 28.953l-.053-.025c-.395-.173-1.407-.226.054.025z"}}]})(props);
};
function GiHalfDead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M266.3 30.62V397.5c20.1-1.1 37.7-5.2 51.3-11.8 15.8-7.7 26.2-18.3 31-32l17.9 6.1c-6.6 19.1-21.3 33.7-40.6 42.9-16.8 8.3-37.2 12.8-59.6 13.7v64.9c43.9-3.1 83.8-26.9 113.7-64.9 31.9-40.7 52-97.5 52-160.4 0-62.9-20.1-119.7-52-160.44-29.9-38.03-69.8-61.92-113.7-64.94zm-19 .95C88.21 38.6 72.04 223.4 72.04 272.8c0 33.6 47.26 18.6 50.36 50.4l16.8 140.6c0 15.3 73.2 18.7 108.1 17.3v-40.4h-16.7v-24.1h-14.8v24.1h-18.9v-24.1h-14.6v24.1h-18.9v-24.1h-17.8v-18.9h17.8v-24.1h18.9v24.1h14.6v-24.1h18.9v24.1h14.8v-24.1h16.7v-31.3l-40.9 10.3 40.9-64.9zM173.2 226.7c25.8 0 52 4.1 54.2 12.5 8.6 32.4 4.4 57.8-16.8 67.2-63.4 27.8-88.2-16.8-88.2-67.2 0-8.4 25.2-12.5 50.8-12.5zm159.1 3c19.1 0 34.7 15.7 34.7 34.7 0 19-15.6 34.6-34.7 34.6-18.9 0-34.6-15.6-34.6-34.6s15.7-34.7 34.6-34.7zm0 19c-8.7 0-15.7 6.9-15.7 15.7 0 8.8 7 15.8 15.7 15.8 8.9 0 15.8-7 15.8-15.8s-6.9-15.7-15.8-15.7z"}}]})(props);
};
function GiHalfHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M367.844 23.563c-1.25-.007-2.497 0-3.75.03-39.558 1.014-80.216 21.152-108.656 61.938-35.39-50.06-91.964-68.935-140.938-58.905C61.602 37.46 17.574 83.133 19.844 154.188c2.375 74.366 56.072 131.622 109.844 179.968 26.885 24.173 54.033 46.28 75.468 67 21.435 20.72 36.758 40.126 41.313 57.125l9.03 33.69 9-33.69c3.988-14.88 19.58-34.12 41.594-55.03 22.014-20.91 49.996-43.803 77.47-68.78 54.944-49.96 109.165-108.878 106.905-180.876-2.19-69.696-45.2-115.576-96.75-127.125-8.46-1.896-17.126-2.865-25.876-2.907zm-227.97 19.125c39.622-.274 81.748 20.09 107.532 64.75l7.75 13.437V239.75c-1.484-.18-2.968-.28-4.5-.28-20.714 0-37.53 16.784-37.53 37.5 0 20.715 16.816 37.5 37.53 37.5 1.533 0 3.016-.104 4.5-.283v117.657c-8.78-15.032-21.796-29.428-37-44.125-1.05-1.015-2.117-2.047-3.187-3.064 13.682-2.09 24.186-13.89 24.186-28.156 0-15.744-12.788-28.5-28.53-28.5-15.304 0-27.784 12.052-28.47 27.188-13.032-11.32-26.6-22.92-39.97-34.938-52.87-47.538-101.56-101.075-103.655-166.656-2.022-63.343 34.622-99.42 79.72-108.656 7.047-1.444 14.288-2.2 21.625-2.25zm40.75 41.75c-20.713 0-37.5 16.785-37.5 37.5 0 4.616.85 9.04 2.376 13.124-.136-.002-.27 0-.406 0-12.153 0-22 9.848-22 22 0 12.154 9.847 22 22 22 12.152 0 22-9.846 22-22v-.125c4.197 1.624 8.76 2.5 13.53 2.5 20.715 0 37.5-16.783 37.5-37.5 0-20.716-16.785-37.5-37.5-37.5zm26.314 83.687c-10.834.55-19.438 9.53-19.438 20.5 0 11.325 9.176 20.5 20.5 20.5s20.5-9.175 20.5-20.5-9.176-20.5-20.5-20.5c-.354 0-.713-.018-1.063 0zm-33.844 52.438c-14.362 0-26 11.636-26 26 0 14.363 11.638 26.03 26 26.03s26.03-11.67 26.03-26.03c0-14.364-11.668-26-26.03-26z"}}]})(props);
};
function GiHalfLog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405 28.42c-1.1 0-2.2 0-3.3.1-1.1 0-2.3.11-3.4.2l-63.5 57.52 19.5-45.12c-19.6 9.56-37.3 23.94-48.8 41.1L93 399.5c9.7-4.8 19.7-8.1 29.6-9.9l31.5-44.7-12.1 43.2c2.7 0 5.4.1 8.1.4 17 1.7 33.4 7.5 48.7 16.8l82.8-118.1-56.8 138.4c14.9 14.5 28 32.8 38.3 53.8L475.7 88.03a100.7 100.7 0 0 0-4.3-15.14L350.6 224.7 459.3 51.46c-3.2-3.77-6.6-7.03-10.3-9.8-12.2-9.13-27.5-13.33-44-13.24zM337.1 117L192.6 344.2 243.1 222zM140.7 406h-3.5l-4.5 40.5-19.9-36.1c-26.68 8.9-53.28 31.6-76.49 73.2l48.97-.2 33.62-22.6-5.6 22.5 131.4-.4c-9.4-18-20.9-33.2-33.7-45.3l-36.6 20.9 16.3-36.9c-13.6-8.5-27.9-13.7-42.4-15.2-2.5-.2-5.1-.3-7.6-.4z"}}]})(props);
};
function GiHalfTornado (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M226.156 40.938c-46.454-.08-96.45 19.73-137.47 58.812C39.464 146.653 15.052 209.82 18.627 267c9.67-40.365 31.79-80.226 65.56-112.406C162.24 80.224 272.514 74.9 330.346 142.72c5.225 6.127 9.85 12.63 13.875 19.436-46.88-21.615-109.684-9.01-157.22 36.28-38.973 37.136-58.27 87.135-55.438 132.408 7.657-31.96 25.136-63.49 51.875-88.97C239.012 188.923 315.226 180.17 363.313 218c.042.304.085.602.125.906.042-.24.085-.478.125-.72 5.293 4.19 10.24 8.958 14.782 14.283 4.636 5.437 8.65 11.236 12.094 17.343-35.916-13.992-82.265-3.594-117.72 30.187-30.336 28.904-45.357 67.82-43.156 103.063 5.96-24.877 19.56-49.45 40.375-69.282 41.144-39.2 96.825-47.264 134.375-22.624.08.544.178 1.08.25 1.625.077-.438.147-.872.22-1.31 6.167 4.108 11.846 9.102 16.874 15 5.932 6.954 10.594 14.685 14.03 22.967-28.21-13.206-66.125-5.706-94.81 21.625-23.427 22.322-35.047 52.38-33.345 79.594 4.604-19.21 15.115-38.153 31.19-53.47 37.144-35.39 89.632-37.932 117.155-5.655 4.622 5.422 8.245 11.444 10.906 17.908-21.254-8.385-48.76-2.248-69.78 17.78-17.93 17.084-26.803 40.08-25.5 60.907 3.523-14.702 11.574-29.216 23.875-40.938 28.43-27.09 68.59-29.015 89.656-4.312 6.714 7.872 10.696 17.402 12.064 27.75 3.046-17.547-.535-34.938-11.406-47.688-3.694-4.33-7.977-7.816-12.688-10.5.04-17.47-5.24-34.025-16.25-46.937-3.854-4.52-8.207-8.355-12.938-11.5.146-22.794-6.676-44.415-21.03-61.25-4.852-5.69-10.323-10.493-16.25-14.5-1.593-25.722-10.332-49.84-26.75-69.094-4.257-4.99-8.856-9.486-13.782-13.47-1.945-32.638-12.992-63.268-33.813-87.686-26.816-31.447-65.042-46.992-106.03-47.063z"}}]})(props);
};
function GiHalt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M389.917 128.73v100.836h-22.802v-158.5a17.11 17.11 0 0 0-17.11-17.11h-11.863a17.11 17.11 0 0 0-17.11 17.11v158.5h-22.698V46.993a17.11 17.11 0 0 0-17.11-17.11h-11.863a17.11 17.11 0 0 0-17.11 17.11v182.573H229.5V77.33a17.11 17.11 0 0 0-17.108-17.11h-11.864a17.11 17.11 0 0 0-17.11 17.11v263.873l-63.858-51.14a23.385 23.385 0 0 0-30.743 1.32l-5.567 5.31a23.385 23.385 0 0 0-2.01 31.678l102.19 125.647a72.028 72.028 0 0 0 57.092 28.1h60.85A134.637 134.637 0 0 0 436 347.5V128.73a17.11 17.11 0 0 0-17.11-17.108h-11.864a17.11 17.11 0 0 0-17.11 17.11z"}}]})(props);
};
function GiHamShank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M475.346 189.398a27.276 27.276 0 0 1-38.433-19.066l-30.05 14.232a63.31 63.31 0 0 0-3.586-11.274 59.572 59.572 0 0 0-9.853-15.827l29.222-13.836a27.358 27.358 0 1 1 45.713-5.905 27.358 27.358 0 0 1 6.986 51.676zm-295.59 74.107c13.17 31.015 17.61 63.416 12.508 91.217-4.845 26.39-17.738 45.27-36.303 53.155-18.564 7.885-41.112 4.053-63.46-10.797-23.55-15.63-43.816-41.333-56.942-72.372-13.126-31.038-17.61-63.404-12.497-91.204 4.846-26.392 17.74-45.27 36.304-53.156a51.245 51.245 0 0 1 20.15-4.006c13.718 0 28.556 5.008 43.312 14.803 23.538 15.64 43.757 41.345 56.93 72.36zm-48.79 20.708c-8.29-19.53-25.446-30.922-38.328-25.46-12.88 5.463-16.596 25.728-8.304 45.26 8.293 19.53 25.448 30.92 38.33 25.46 12.88-5.464 16.596-25.73 8.303-45.248zm255.12-103.655c-7.174-16.9-23.21-25.297-40.646-25.297a58.105 58.105 0 0 0-16.736 2.517c-25.75 7.757-51.152 10.482-75.598 10.482-56.22 0-107.347-14.315-146.037-14.315-10.483 0-20.045 1.06-28.547 3.727 17.644-.233 36.337 5.824 54.587 17.948 26.555 17.633 49.196 46.26 63.777 80.594 14.582 34.335 19.508 70.532 13.685 101.885-4.332 23.618-14.29 42.568-28.697 55.204 66.572-20.312 96.748-133.028 185.18-177.762 19.917-10.04 27.732-34.474 19.032-54.96z"}}]})(props);
};
function GiHamburgerMenu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 96v64h448V96H32zm0 128v64h448v-64H32zm0 128v64h448v-64H32z"}}]})(props);
};
function GiHamburger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M250.97 29.357c-106.557-.21-211.806 52.74-203.48 164.053 138.91 11.4 276.71 8.893 414.174.662 10.58-107.69-100.753-164.498-210.693-164.715zm59.876 23.996c11.165 0 20.216 4.468 20.216 9.98 0 5.513-9.051 9.981-20.216 9.981-11.166 0-20.217-4.468-20.217-9.98 0-5.513 9.051-9.98 20.217-9.98zm-111.852 19.83c11.165 0 20.217 4.469 20.217 9.98 0 5.513-9.052 9.981-20.217 9.981s-20.216-4.468-20.217-9.98c0-5.512 9.052-9.98 20.217-9.98zm178.057 34.02c11.165 0 20.216 4.468 20.217 9.98 0 5.512-9.052 9.98-20.217 9.98s-20.217-4.468-20.217-9.98c0-5.512 9.052-9.98 20.217-9.98zm-273.59 21.535c11.165 0 20.216 4.468 20.217 9.98 0 5.513-9.052 9.98-20.217 9.98s-20.217-4.467-20.217-9.98c0-5.512 9.052-9.98 20.217-9.98zm313.77 30.043c11.165 0 20.216 4.468 20.216 9.98 0 5.512-9.051 9.98-20.217 9.98-11.165 0-20.216-4.468-20.216-9.98 0-5.512 9.051-9.98 20.216-9.98zm-137.91 8.045c11.166 0 20.218 4.47 20.216 9.982 0 5.512-9.051 9.98-20.217 9.98-11.165 0-20.216-4.468-20.216-9.98-.002-5.513 9.05-9.982 20.216-9.982zM57.618 212.339c-18.964.405-9.028 24.485 14.383 24.573 128.554 10.208 236.673 9.686 372.117-2.42 16.096-2.708 25.212-13.087 10.824-21.969-131.579 7.67-263.81 10.045-397.324-.184zm403.024 40.612c-131.224 13.6-277.594 10.525-390.065 1.904-46.983-6.226-47.875 46.785-17.014 52.309 146.18 14.663 271.826 10.735 415.137-.53 25.007-1.144 14.554-55.328-8.058-53.683zM20.986 366.679l15.332 9.434c6.342-8.416 17.876-32.05 33.319-32.192 19.122-.174 22.345 39.302 41.98 39.103 22.607-.228 37.828-31.548 52.447-30.882 22.09 1.008 26.333 35.9 43.557 35.928 24.089.04 31.439-36.39 46.805-35.334 21.458 1.475 33.246 28.274 50.879 29.178 19.004.974 30.654-33.027 43.265-32.748 16.61.366 28.31 32.46 54.24 33.193 15.345.434 29.694-37.411 37.005-36.815 14.417 1.174 26.549 20.548 36.085 34.835l15.114-9.776c-12.029-16.216-30.117-44.428-52.558-44.017-20.907.382-25.948 38.114-38.102 37.943-23.28-.328-33.756-32.164-52.598-33.346-19.356-1.214-30.475 33.636-43.353 32.768-18.954-1.277-27.303-29.16-49.475-29.917-19.62-.67-34.121 37.669-46.793 36.044-18.139-2.326-20.226-36.378-43.317-37.836-19.11-1.207-37.562 30.604-50.314 29.999-17.525-.833-25.243-40.224-45.41-39.986-21.826.258-39.145 30.34-48.108 44.424zm47.553 36.174c-8.342.686-18.198 4.251-21.85 12.424-2.452 6.662 19.173 8.558 21.114 8.695 128.615 8.104 254.354 8.26 389.8-1.345 9.225-.655 13.935-3.147 15.252-4.414 3.124-8.208-23.168-13.935-25.818-14.004-185.01-1.178-279.257 2.209-378.498-1.356zm395.555 37.192c-126.786 6.957-283.18 9.384-408.123.707l.521 38.67c135.917 4.617 275.647 3.99 406.658-.088z"}}]})(props);
};
function GiHammerBreak (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M215.9 63.71l-49.6 44.79 101.8 112.7 24.4-22.1c-8.6-9.6-15.6-18.3-19.6-28.9-4.3-11.8-3.6-25.2 1.8-41.4l-58.8-65.09zm225.9 16.22l-87.9 78.37-10.6-38.5-36 93s41.3-11.7 62-17.5v32.6l122.5-79.6-95.1 24.7 45.1-93.07zM187.2 158.5L24.17 305.7l22.09 24.5L209.2 182.8l-22-24.3zm65.4 96.5v36.6l53.5 56-6.6 23 57.3 57.2-12.8 12.8-12-12-48.2 27.3-8.8-15.6 43.8-24.8-25-25-6.6 23.3-17.4-5 16.1-56.2-33.3-34.9V493h238V255H348.5l18.8 44.3 54.8 6.2 38.9-34.9 12 13.4-17.2 15.5 12.8 38-17 5.8-10.4-30.8-13.1 11.8-52.7-6 18.4 43.3-23.2 30.8-14.4-10.8 17-22.6-29.7-69.7-24.4 15.1-9.4-15.2 26.6-16.5.5.9-7.9-18.6h-76.3z"}}]})(props);
};
function GiHammerDrop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.5 12.28c88.718 14.188 164.126 68.854 216.78 159.314C191.738 127.057 146.123 88.34 94.626 61.75c32.85 23.08 62.377 54.866 90.844 94.656C134.237 105.183 81.956 62.756 18.187 41.28v35.314c60.134 16.64 118.398 62.562 163.968 129.312l-.125.063 22.19 38.405 157.936-91.188-22.187-38.406-.064.032c-38.38-69.37-83.042-95.124-106.72-102.53H190.47c62.75 22.53 105.37 69.704 133.78 142.28-50.118-70.19-122.52-123.542-202.656-142.28H19.5zm153.97 40.47c52.194 21.552 97.93 66.563 110.843 121.594L173.47 52.75zM348.5 182.656l-111.97 64.656L321.25 394l111.97-64.656-84.72-146.688zm72.97 33.563l-24 13.843 19.78 34.28 24-13.874-19.78-34.25zm-168.345 97.186L83.47 411.344l19.81 34.312 169.626-97.97-19.78-34.28zM465.53 332.22l-157.936 91.186 22.22 38.47 157.936-91.188-22.22-38.47zM62.72 412.81l-35.94 20.75 28.907 50.063 35.938-20.75-28.906-50.063z"}}]})(props);
};
function GiHammerNails (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M170.375 18.594c-1.155 0-2.32.014-3.47.03-25.176.37-49.134 5.08-68.78 13.94 84.13 7.937 156.965 61.77 119.28 122.53-2.017 3.254-4.033 6.445-6.03 9.625l.47.186c-.933 2.4-.566 5.203 2.343 9.53 2.908 4.33 8.322 9.22 14.75 12.97 6.427 3.752 13.838 6.392 20.28 7.22 5.992.768 10.808-.054 14-1.94 1.7-2.696 3.416-5.415 5.157-8.155 21.695-8.632 57.903 11.51 65.22 29.22 1.34-14.225 6.522-29.91 15.342-45.188 6.697-11.598 14.627-21.517 23.157-29.25-20.304 7.277-30.037-6.764-38.563-34.187-8.197-26.38-36.394-47.365-58.155-59.844-31.287-17.92-69.206-26.65-105-26.686zm239.03 121.937c-4.01-.034-9.278 1.558-15.592 5.564-9.622 6.103-20.325 17.327-28.688 31.812-8.363 14.486-12.713 29.366-13.188 40.75-.474 11.385 2.692 17.85 6.688 20.156 3.996 2.307 11.222 1.823 20.844-4.28 9.62-6.104 20.323-17.297 28.686-31.782s12.713-29.365 13.188-40.75c.474-11.385-2.693-17.88-6.688-20.188-.998-.576-2.206-.973-3.594-1.156-.52-.068-1.083-.12-1.656-.125zm-210.81 44.282C80.93 367.197 4.35 418.813 21.937 462.875c8.065 20.204 31.467 36.36 55.218 28.78 49.34-15.74 59.974-94.006 173.094-278.124-1.138-.075-2.278-.198-3.406-.343-9.516-1.22-18.924-4.76-27.313-9.656-8.387-4.895-15.804-11.11-20.874-18.655-.016-.024-.046-.04-.062-.063zM492 256.97l-110.438 22.436 51.313 15.53 31.47 148.94 18.31-3.845-31.467-148.81L492 256.97zm-200.125 15.874l-80 79.375 51.438-15.19 68.093 67.564L308.28 489.5l18.064 4.906 20.312-74.656 24.72 24.5L384.53 431l-32.217-31.97 14-51.5 52.125-12.56-108.97-28.75 38.75 36.56-11.187 41.095-60.467-60 15.312-51.03z"}}]})(props);
};
function GiHammerSickle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.316 21.44C434.586 160.414 438.15 262.89 384.48 315.87l55.65 55.648c81.846-100.582 74.738-275.933-182.814-350.08zm-37.92 21.664c-16.713 4.847-34.67 7.066-50.61 6.75-13.684-.27-25.71-1.44-34.936-6.41L21.13 156.163l55.15 55.156L231.946 55.656l-12.55-12.552zm-41.29 91.85l-43.84 43.84L442 486.523c3.005 3.007 6.436 3.516 12.582 1.646 6.146-1.87 13.72-6.735 19.943-12.957 6.223-6.223 11.087-13.8 12.957-19.945 1.87-6.146 1.363-9.577-1.642-12.582L178.105 134.953zm-8.665 179.735l-40.75 37.124 50.814 50.346c59.746 49.805 126.245 53.237 182.033 29.36l-75.273-75.274c-43.74 2.716-88.647-10.463-116.823-41.557zm-58.936 45.873c-5.525 1.065-8.977 2.957-11.315 5.25-1.957 1.922-3.25 4.556-4.25 7.564l55.19 52.844c5.467-1.007 9.262-2.795 11.278-4.687 1.997-1.872 3.096-3.863 3.096-7.53l-54-53.44zm-24.72 30.314L30.16 441.562c-16.737 27 14.694 61.2 51.094 44.66l51.53-50.28-47-45.063v-.003z"}}]})(props);
};
function GiHandBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 37.369c-38.48 0-76.932 1.13-106.869 3.42-14.969 1.145-27.78 2.566-37.65 4.36-4.936.898-9.12 1.87-12.711 3.099-3.592 1.228-6.791 2.059-9.97 6.296-34.116 45.49-48.02 106.6-49.636 142.51-13.347 56.622-13.338 99.418-.422 141.89H119v-48h66v48h142v-48h66v48h80.258c12.893-42.395 12.925-85.114-.35-141.583-1.193-47.666-15.476-97.173-49.709-142.817-3.178-4.237-6.377-5.068-9.968-6.296-3.592-1.229-7.776-2.2-12.711-3.098-9.871-1.795-22.682-3.216-37.65-4.361-29.938-2.29-68.39-3.42-106.87-3.42zm0 18c38.126 0 76.28 1.132 105.494 3.367 14.607 1.117 27.009 2.526 35.805 4.125 4.398.8 7.909 1.667 10.105 2.418 1.097.375 1.814.882 2.075 1.053 30.786 41.465 43.833 85.631 45.365 128.847C359.7 188.403 307.219 184.921 256 184.921c-51.188 0-103.638 3.479-198.668 10.247 2.213-32.012 15.777-89.018 45.129-128.805-.12.062.095-.16.738-1.018-.25.334-.49.681-.738 1.018.156-.081.892-.66 2.135-1.084 2.196-.751 5.707-1.618 10.105-2.418 8.796-1.6 21.198-3.008 35.805-4.125C179.72 56.5 217.874 55.369 256 55.369zM137 308.945v62h30v-62h-30zm208 0v62h30v-62h-30zm-310.248 48c-1.317 35.053-.94 67.89 4.668 94.629 27.348 2.673 53.757 4.862 79.58 6.588v-21.217h-7c-11 0-20.948-5.22-28.361-12.627C76.225 416.91 71 406.974 71 395.988v-39.043H34.752zm54.248 0v39.043c0 4.97 2.775 11.013 7.361 15.596 4.587 4.582 10.64 7.36 15.64 7.36h7v-62H89zm96 0v62h7c5 0 11.103-2.8 15.705-7.303S215 401.256 215 396.982v-40.037h-30zm48 0v40.037c0 10.69-5.307 20.287-12.705 27.525-7.398 7.238-17.295 12.438-28.295 12.438h-7v24.633c47.71 1.722 94.288 1.72 142 0v-24.633h-7c-11 0-20.948-5.22-28.361-12.627-7.414-7.407-12.639-17.344-12.639-28.33v-39.043h-46zm64 0v39.043c0 4.97 2.775 11.013 7.361 15.596 4.587 4.582 10.64 7.36 15.64 7.36h7v-62h-30zm96 0v62h7c5 0 11.103-2.8 15.705-7.303S423 401.256 423 396.982v-40.037h-30zm48 0v40.037c0 10.69-5.307 20.287-12.705 27.525-7.398 7.238-17.295 12.438-28.295 12.438h-7v21.21c25.825-1.723 52.23-3.908 79.58-6.581 5.609-26.738 5.985-59.576 4.668-94.63H441zm-304 32v14h30v-14h-30zm208 0v14h30v-14h-30zm-208 32v49.63c10.897 5.396 20.048 5.362 30 .173v-49.803h-30zm208 0v49.63c10.897 5.396 20.048 5.362 30 .173v-49.803h-30z"}}]})(props);
};
function GiHandBandage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M238 20c-8.6 1.31-16.5 5.4-20.7 9.7l26.1 158.7-17.6 5.6-73-148c-5.9-.8-14.3.61-22.2 4.81-8.1 4.3-14.4 11-17.2 17.39l69.1 142.9-15.2 10.5-94.55-100.2c-5.8 1.2-13.1 5.5-19.1 12.1-6.2 7-10.2 15.8-11 22.8l96.05 103.6c69.9-31.4 140.4-54.2 210.9-76.1l10.4-47.2c-8.5.6-16.6-.6-24.1-3.2-7.2-2.5-13.9-6.2-20.2-10.8l-11.7 53-18.3-.5-24.2-151.39c-8.2-4.02-15.2-4.5-23.5-3.71zm94.4 11.13l-16.1 68.34c8.4 8.03 16.9 13.93 25.5 16.93 8.6 3 17.5 3.3 27.8 0l16.9-69.73v-.11c-3.7-14.58-42.4-21.77-54.1-15.43zM438.2 196.1c-5.7.1-12.1 1.4-19.1 3.9-19 6.6-41.6 21.3-64.6 35.5l-.5-.4c-59.7 34.3-118.1 69.2-169.8 110.4v2.1c21.6 2.9 51.6 11.2 80.3 20.6 23 7.6 44.6 15.6 59.9 22.6-2.3-22-2.6-42.5-1.6-60.9-8.7 4.2-17 7.6-25.3 9.9-18.1 5.1-36.5 4.7-52.7-5.1l9.7-16c11.2 6.8 23.1 7.3 38 3.1 14.9-4.2 32.3-13.5 51.4-25.6 35.9-22.7 77.7-54.9 125.5-78.2-5.9-11.3-12.3-17.2-19.1-19.9-3.6-1.4-7.7-2.1-12.1-2zm-93.1 7.9c-43.3 13.6-86.5 27.6-129.3 43.7 16.3 4.3 32.8 11 45.4 21.7 26.2-16.5 53.1-32.3 80.1-47.8 1.5-6 2.5-11.6 3.8-17.6zm-160.7 56c-11 4.5-21.9 9.1-32.8 13.9l15.7 16.9.2.1c8.1 8.4 12.8 19.6 15.1 33 20.1-15.5 41-30.1 62.5-44.1-16.1-10.7-41.3-17.2-60.7-19.8zm-53.2 51.1c-4.7-.1-12.6 2-21 5.7-9.1 4.1-18.98 10-28.03 16-4.74 3.1-9.18 6.3-13.25 9.2 12.94.6 26.58 1.7 40.38 4.9 19.1 4.5 37.9 13.4 51 29.9 8.5-17.2 8.2-29.5 1.2-41-9.5-12.9-22.7-24.2-29.4-24.7zm52.1 54.6c-1.1 13.4-3.4 27.9-5.6 39.5 61.2 9.5 110.1 34.1 160.2 55.3-4.7-16.7-8.2-32.8-10.6-48.3-11.6-6.2-39.4-17.3-68.4-26.9-27.4-9-56.6-16.8-75.6-19.6zm-21.2 29.7c-18 9.3-39.4 17.1-69.54 17.8-6.97 17.7-14.01 37.1-31.64 55.6 22.6.7 37.95-3.1 51.38-11 16.5-9.7 27.2-27 46.9-51.4zm11.9 27.4c-3.5 15.6-7.9 32.1-12.8 49.3 20.7-13.2 44.9-27.1 71.9-34.8-18.7-6.2-38.2-11.3-59.1-14.5zm92.1 26.7c-38.4 2.9-73.6 23.8-103.1 42.9h185.3c-1.2-3.2-2.3-6.4-3.4-9.6-26.9-10.8-52.5-22.7-78.8-33.3z"}}]})(props);
};
function GiHandGrip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 24.97c-34.037 0-62.75 23.497-70.766 55.1l-.234-.053-32 144 17.572 3.906 21.188-95.346c9.768 18.037 26.917 31.52 47.347 36.393h-37.236l-3.902 18h134.23l9.102 40.953 17.57-3.906-19.707-88.684c-3.55 7.233-8.086 14.218-13.717 21.25l2.752 12.387h-55.306c20.366-4.858 37.473-18.27 47.257-36.223l.11.49c6.44-10.535 9.595-21.02 10.767-34.52l-4.156-18.7-.111.025C318.734 48.453 290.027 24.97 256 24.97zm0 18c30.482 0 55 24.517 55 55 0 30.482-24.518 55-55 55s-55-24.518-55-55c0-30.483 24.518-55 55-55zM139.785 241.005c4.99 5.864 9.887 12.434 13.496 19.482 3.77 7.364 6.449 15.528 4.631 24.178-1.817 8.65-7.555 15.044-13.97 20.268-6.416 5.223-13.91 9.413-21.128 12.859-4.81 2.297-9.304 4.12-13.462 5.717 3.164 3.135 6.544 6.615 10.023 10.654 5.22 6.06 10.393 12.91 14.164 20.274 3.77 7.363 6.45 15.525 4.633 24.175-1.818 8.65-7.556 15.047-13.97 20.27-6.416 5.223-13.91 9.413-21.128 12.86-5.394 2.575-10.414 4.573-14.916 6.263 8.492 9.54 17.355 19.241 25.131 29.547 9.035 11.973 16.588 24.97 18.408 39.478a44.316 44.316 0 0 0 4.633-.718c3.908-.838 6.89-2.164 8.662-3.497 1.771-1.332 2.44-2.371 2.799-4.084l47.498-226.064-55.504-11.662zm232.43 0l-55.504 11.662 47.498 226.064c.36 1.713 1.028 2.752 2.799 4.084 1.771 1.333 4.754 2.659 8.662 3.497 1.437.307 2.99.546 4.633.718 1.82-14.509 9.373-27.505 18.408-39.478 7.776-10.306 16.64-20.007 25.13-29.547-4.501-1.69-9.521-3.688-14.915-6.264-7.218-3.446-14.712-7.636-21.127-12.86-6.415-5.222-12.153-11.617-13.97-20.267-1.818-8.65.861-16.814 4.632-24.177 3.77-7.364 8.944-14.214 14.164-20.274 3.48-4.039 6.86-7.52 10.023-10.654-4.158-1.597-8.653-3.42-13.462-5.717-7.218-3.446-14.712-7.636-21.127-12.86-6.416-5.223-12.154-11.617-13.971-20.267-1.818-8.65.86-16.814 4.63-24.178 3.61-7.048 8.506-13.618 13.497-19.482zM117.53 243.41l-13.187 62.766c3.358-1.324 7-2.856 10.715-4.63 6.412-3.06 12.838-6.764 17.517-10.573 4.68-3.81 7.212-7.588 7.72-10.01.51-2.422-.288-6.9-3.038-12.272-2.75-5.37-7.142-11.347-11.78-16.73-2.686-3.119-5.404-5.987-7.947-8.55zm276.938 0c-2.543 2.564-5.26 5.432-7.948 8.55-4.637 5.384-9.029 11.36-11.779 16.731-2.75 5.371-3.548 9.85-3.039 12.272.509 2.422 3.042 6.2 7.72 10.01 4.68 3.81 11.106 7.512 17.518 10.574 3.715 1.773 7.357 3.305 10.715 4.629L394.47 243.41zM97.79 337.361l-13.187 62.765c3.358-1.323 7-2.855 10.714-4.629 6.412-3.062 12.839-6.764 17.518-10.574 4.68-3.81 7.212-7.59 7.72-10.012.51-2.422-.288-6.899-3.038-12.27-2.75-5.37-7.142-11.346-11.78-16.73-2.686-3.119-5.405-5.987-7.947-8.55zm316.418 0c-2.542 2.563-5.26 5.431-7.947 8.55-4.638 5.384-9.03 11.36-11.78 16.73-2.75 5.371-3.548 9.848-3.039 12.27.51 2.422 3.042 6.202 7.721 10.012 4.68 3.81 11.106 7.512 17.518 10.574 3.714 1.774 7.356 3.306 10.714 4.629L414.21 337.36zM77.613 433.39l-6.156 29.301c-.36 1.713-.167 2.933.918 4.866 1.085 1.932 3.281 4.346 6.521 6.685 6.481 4.68 16.878 8.885 27.643 11.147 2.266.476 4.549.847 6.818 1.152-1.861-9.02-7.05-18.358-14.437-28.148-6.156-8.16-13.69-16.476-21.307-25.002zm356.774 0c-7.618 8.527-15.15 16.844-21.307 25.003-7.387 9.79-12.576 19.129-14.437 28.148a93.946 93.946 0 0 0 6.818-1.152c10.765-2.262 21.162-6.468 27.643-11.147 3.24-2.34 5.436-4.753 6.521-6.685 1.085-1.933 1.278-3.153.918-4.866l-6.156-29.3z"}}]})(props);
};
function GiHandOfGod (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M387.29 19.115c-.677 24.348-8.15 49.273-22.194 71.834-36.935 59.335-110.622 86.083-178.93 70.61 4.218-1.997 8.274-4.09 12.098-6.292 39.055-22.5 57.282-55.456 54.312-91.69-7.387 21.813-24.63 41.317-50.226 56.067-48.05 27.68-118.013 31.686-187.47 16.935v37.377c36.274 13.19 81.88 12.965 122.397 3.98 3.21 2.057 6.526 4.02 9.98 5.872 76.52 40.974 174.19 17.537 220.173-51.855 40.442 14.673 84.808 19.944 127.32 16.393v-39.13c-36.858 3.595-75.196.774-111.385-9.015 9.5-26.662 10.486-54.666 3.924-81.088zm30.265 159.975c-28.534 12.307-59.168 14.074-87.434 10.355-19.252 10.658-41.5 18.6-64.68 23.393-44.056 9.11-91.918 6.655-129.426-14.018l78.47 175.914c11.298 12.252 24.03 25.506 42.043 41.3l.168.15.162.154c1.618 1.562 2.678 1.823 5.122 1.555 2.442-.27 5.967-1.672 9.325-4.012 3.358-2.34 6.532-5.546 8.62-8.542 1.157-1.658 1.87-3.22 2.304-4.4l-39.67-38.292 12.98-13.445 45.558 43.978.002.002c.225.22.092.432 2.248.006 2.162-.428 5.725-2.03 9.26-4.557 6.005-4.294 11.807-11.445 14.244-16.282l-39.188-37.828 12.98-13.446 45.098 43.533c11.69-2.624 21.136-10.836 25.237-20.322l-50-48.264 12.98-13.446 105.813 102.143c5.053 4.877 9.384 6.113 13.122 5.99 3.737-.123 7.224-1.832 9.85-4.63 5.25-5.598 7.5-13.944-1.985-23.1l-146.72-141.63 12.98-13.445 23.177 22.373c25.815-2.733 47.54-9.893 60.996-18.345 7.11-4.466 11.78-9.26 13.92-13.186 2.14-3.923 2.322-6.51.795-10.078-1.122-2.613-3.768-5.992-8.353-9.576z"}}]})(props);
};
function GiHandOk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M364.533 37.726c-.698.73-1.004.925-1.885 1.975-4.074 4.85-9.78 12.778-16.317 22.556-13.073 19.557-29.667 46.661-46.088 74.03-15.021 25.035-29.607 49.766-41.654 69.84 34.334-32.271 68.45-68.096 105.83-99.983 10.713-23.873 14.004-39.038 13.489-48.033-.534-9.962-6.523-15.424-13.375-20.385zm83.826 30.713c-63.796 35.719-116.691 93.37-171.381 145.148 21.128-4.126 43.023-7.066 67.137-10.092 16.139-10.6 52.079-37.798 78.011-66.845 13.299-14.896 23.83-30.345 28.006-43.147 3.405-10.44 3.352-18.075-1.773-25.064zM274.66 69.863c-2.438 7.004-5.98 19.142-9.777 35.623-6.776 30.375-17.565 67.701-22.814 95.015 11.107-18.597 29.544-51.478 42.742-73.474a3848.208 3848.208 0 0 1 17.361-28.678c-2.494-15.087-14.936-25.767-27.512-28.486zm84.051 149.955c-52.27 6.487-91.705 11.502-134.303 26.441-60.07 55.736-119.863 118.881-164.89 183.307 25.85 36.877 57.355 47.066 92.512 44.273 42.615-7.079 82.37-24.668 114.38-43.586l92.202-10.72 68.814-39.204c-2.971-4.707-8.36-10.732-16.937-14.22-12.755-5.187-32.623-6.118-62.372 9.433-19.967 10.438-37.845 10.902-50.515 2.746-12.67-8.155-18.487-23.014-19.33-38.445-.843-15.43 3.132-32.152 11.996-46.525 8.863-14.374 23.004-26.417 41.834-30.721l.271-.062.278-.045c23.918-3.922 44.268 13.79 58.906 24.513 10.089 8.638 1.179 31.068 5.691 42.803 1.763 4.184 4.594 7.786 11.782 11.371 5.852 2.92 14.856 5.471 27.453 7.117l5.279-71.28c-19.347-21.605-53.843-44.292-83.05-57.196z"}}]})(props);
};
function GiHandSaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M430 34.438l-296.563 238.5 20 20.437 3.844 3.906-1.718 5.22-6.718 20.22 42.906 46.374 32.78-34.97 5.75-27.937 26.532-6.468 4.063-24.814 24.188-5.312 1.593-22.156 26.22-7.532 3.03-20.78 22.125-6.064 6.47-21.562 21.75-8.5 6.25-18.28 17.5-7.095 4.22-16.125 17.53-7.063 3.5-15.5 17.28-6.624 3.845-17.188 15.844-3.813 2.5-17.187 14.5-.97 16.874-18L430 34.438zM113.03 277.813L28.938 339c15.382 51.32 48.128 92.382 86.876 130.906l71.656-78.875L132 331.064l-3.594-3.907 1.656-5.062 6.688-20.063-23.72-24.217zm-17.78 32.093l5.25 5.688 63.78 69.375 5.657 6.124-5.718 6.094-37.814 40.53-13.187 14.094-2.314-19.156c-4.643-38.057-20.223-65.16-52.875-81.406l-13.81-6.875L57 335.72l31.844-21.5 6.406-4.314z"}}]})(props);
};
function GiHandWing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M442.5 24.47C378.5 120.5 186.2 308.5 42.23 340.5c-7.81 0-15.61 30.5-14.12 63.6 41.16-8.5 84.19-23.4 125.49-41.1-2.2-8.9-3.3-17.9-3.1-26.8l.2-5.8 53.7-23.5.7 13c.3 5.7 1.3 11.7 2.8 17.8 11.5-5.7 22.7-11.5 33.4-17.3-.2-1.2-.3-2.3-.4-3.4-.3-6.9.9-12.6 2.3-19 2.6-13.5 7.2-33.4 0-60.2 4.7-3.2 8.5-4.3 11.3-4.3 3 .2 5.3 1.6 7.6 4.9 4.5 5.9 7.3 17.6 8.7 30.7 7 5.4 7.2 4.2 7.3 3.9 11.3-23.7 26.1-48.4 41.2-69.8 3.2-.7 7.3.2 11 2.6 3.4 2 6.2 5.3 7.3 8.2-10.7 15.5-22.1 30.3-31 48.1 2.1 3.2 4.4 6.3 6.5 9.5 16.6-16.5 35.5-31.6 55.9-45.9 1.4.6 2.8 1.3 4 2 .4.2.9.4 1.2.7 5.1 3.4 7.6 8.5 8.9 15.8-20.9 12.7-40.5 27.8-58.7 44.9 1.5 2.6 2.9 5.4 4.4 8.1 21.1-12.3 43.6-20.8 67-26.9 2.4 1.4 4.7 4.5 6 8.6 1.3 4 1.3 8.5-.1 11.8-22.2 5.2-44.1 13.4-65.2 26.3.9 3.3 1.6 6.5 2.1 10 16.5-3.5 32-4.2 47.5-4.2 1.9 2 2.8 5.2 2.4 8.8-.2 3.6-1.7 7.3-4 10.3h-.1c-1.4 0-3.1 0-5.3.3-4.3.2-10.2.7-17.1 1.6-13.5 1.5-30.2 4-43 7.7-7.8 2.2-21.3 5.2-29.1 7.7-6 1.9-12.9.9-19.6-2.2-14.6 9.6-28.8 18.3-42.9 26.3 4.8 8.6 10.1 17 15.5 25l6.3 9.4-54.6 20.6-4.1-5.1c-5.6-7.1-11-14.7-15.9-22.6-43.6 20.1-86.53 34.7-132.76 48.1 7.23 12.5 17.69 22.1 32.39 25.8 69.37 8.6 138.77-1.2 200.27-25.6-22.7-6.8-43.6-16.9-59.3-28 58.3 3.2 100.3-.4 129.7-8.6 17.7-11.7 34.1-24.8 49.1-39.2-19.1-4.5-36.7-11.2-50.2-19 28.3-.4 53.3-3.1 74.8-7.4 24.4-29.3 43-62.6 54-99.1-25.8 4.7-52 4.9-71.8 1.6 32-10.3 58.4-22 79.4-33.9 3.6-20.9 4.7-42.8 3.2-65.3-22 18.1-49 31.7-70.1 37.2 30.9-28 51.9-54.4 64.7-76.2-2.9-13.8-6.7-27.9-11.7-42.16-15.5 17.43-33.7 31.96-49.4 40.46 17.5-25.65 29.8-49.11 38-69.39-3.8-8.43-7.9-16.91-12.4-25.44zM188.6 333.5l-19.8 8.7c1.3 23.6 14.9 51.5 32 74.6l21.1-8c-14.8-23-28.8-48.9-33.3-75.3z"}}]})(props);
};
function GiHand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M309.752 35.514c-3.784.046-7.807.454-12.004 1.082-27.198 61.067-49.85 122.007-65.45 182.775-9.293-4.313-18.634-8.57-27.962-12.845-3.95-53.137 1.876-103.13 5.33-153.757-6.696-5.06-17.54-8.82-28.596-8.98-11.573-.166-22.304 3.33-28.537 9.513-5.44 70.22-5.258 147.354 1.133 217.475 21.926 29.733 45.877 59.903 52.305 103.64l-18.49 2.716c-4.24-28.837-17.583-51.34-33.238-73.51l-7.582-10.55c-5.01-6.862-10.134-13.79-15.185-20.945-21.397-28.51-44.094-51.49-62.155-59.22-9.81-4.196-17.273-4.385-24.632-.442-6.486 3.474-13.52 11.49-20.043 25.387 53.41 51.674 70.576 104.044 82.718 138.664 5.79 16.507 11.08 31.523 21.274 47.025 15.614 23.746 49.446 42.91 84.066 49.51 34.62 6.598 68.69.712 86.87-19.833 14.36-16.227 41.232-41.87 56.195-57.787 24.524-26.085 59.485-54.964 88.597-77.248 14.556-11.142 27.62-20.598 37.197-27.178 4.79-3.29 8.68-5.848 11.612-7.625.197-.12.34-.182.527-.294 1.31-9.873-.448-20.663-4.804-29.375-4.358-8.718-10.787-14.658-17.763-17.015-35.707 21.283-70.62 44.438-103.877 75.438-5.745-7.274-11.933-14.06-18.5-20.424 30.747-58.815 69.992-107.75 114.28-150.41-1.56-9.55-7.76-19.814-16.114-27.32-8.4-7.55-18.526-11.7-25.852-11.623-45.615 46.382-85.864 96.907-117.5 154.463-6.918-4.36-14.023-8.513-21.27-12.51 18.893-64.715 42.99-126.426 73.5-184.392-12.757-15.245-25.477-23.335-42.347-24.324-1.205-.07-2.44-.096-3.7-.08z"}}]})(props);
};
function GiHandcuffed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20 18v209.947l9.924 30.64c34.506-22.263 65.675-34.64 101.433-30.433L94.293 18zm397.707 0l-37.064 210.154c35.758-4.206 66.927 8.17 101.433 30.434l9.924-30.64V18zM193.145 245.31c5.361 5.193 6.517 15.154 7.12 21.655l21.26 11.031c1.888 5.184-3.41 15.26-8.29 15.977l-12.995-6.743c-.973 6.645-1.787 12.547-4.783 17.797l9.486 4.924c6.546 3.397 14.294 2.037 19.485-1.197 3.128-1.949 5.71-4.43 7.863-7.223 7.377 1.392 15.502 1.969 23.709 1.969 8.207 0 16.332-.577 23.709-1.969 2.154 2.793 4.735 5.274 7.863 7.223 5.191 3.234 12.939 4.594 19.485 1.197l9.486-4.924c-2.996-5.25-3.81-11.152-4.783-17.797l-12.994 6.743c-4.88-.717-10.179-10.793-8.291-15.977l21.26-11.031c.603-6.5 1.759-16.462 7.12-21.654-2.663.092-5.482.912-8.27 1.97l-28.401 14.739c-6.546 3.397-9.895 10.514-10.239 16.62-.11 1.967.01 3.89.287 5.774-5.01.685-10.643 1.086-16.232 1.086-5.589 0-11.222-.4-16.232-1.086.276-1.883.397-3.807.287-5.773-.344-6.107-3.693-13.225-10.239-16.621l-28.402-14.739c-2.787-1.058-5.606-1.878-8.27-1.97zm-74.432.58c-37.724.526-74.546 20.941-96.358 44.897l7.249 19.81c31.68-38.692 77.26-50.786 120.38-39.818-.417-7.09-.23-13.694.319-20.293-10.395-3.33-21.028-4.742-31.59-4.595zm274.574 0c-10.562-.146-21.195 1.266-31.59 4.596.55 6.6.736 13.204.319 20.293 43.12-10.968 88.7 1.126 120.38 39.819l7.249-19.81c-21.812-23.957-58.634-44.372-96.358-44.897zm-225.191.292c-.81 10.885-.266 29.41 2.834 43.607l9.734 3.965c2.586-11.223 2.906-32.67.065-42.97-3.732-2.342-7.926-3.739-12.633-4.602zm175.808 0c-4.707.863-8.9 2.26-12.633 4.601-2.84 10.3-2.522 31.748.065 42.97l9.734-3.964c3.1-14.196 3.645-32.722 2.834-43.607zm-224.22 38.46c-27.276.344-53.959 12.954-71.176 31.323 1.704 5.264 3.41 10.527 5.113 15.79-6.285 37.74-8.29 77.163-2.838 108.579 1.055 8.222 4.829 15.139 11.516 14.898 10.581-.38 20.631-8.059 30.33-8.7 8.435-.45 14.473 2.946 21.142 5.087 6.67 2.141 13.051 3.436 18.21 2.36 10.989-4.862 15.247-20.824 25.505-24.791 10.459-5.374 23.473 2.55 33.567-.66 6.792-2.094 10.493-5.844 10.933-11.54-4.083-24.287-14.821-46.989-28.312-68.86 8.6-.557 18.822 5.084 27.074 11.04 4.113 7.971 7.819 16.16 10.924 24.613 5.29-5.878 14.188-14.14 10.51-21.804-5.364-10.173-10.077-19.009-16.282-28.32-2.506-3.763-41.568-31.013-61.416-31.075l-2.714-15.396c-6.42-1.613-12.942-2.43-19.446-2.538-.88-.014-1.76-.016-2.64-.006zm272.632 0c-.88-.01-1.76-.008-2.64.007-6.504.108-13.026.925-19.446 2.537l-2.714 15.396c-19.848.062-58.91 27.313-61.416 31.074-6.205 9.312-10.918 18.148-16.282 28.32-3.678 7.666 5.22 15.927 10.51 21.805 3.105-8.454 6.81-16.642 10.924-24.613 8.252-5.956 18.474-11.597 27.074-11.039-13.49 21.87-24.229 44.572-28.312 68.86.44 5.695 4.14 9.445 10.933 11.538 10.094 3.21 23.108-4.713 33.567.66 10.258 3.968 14.516 19.93 25.506 24.792 5.158 1.076 11.539-.219 18.209-2.36 6.67-2.14 12.707-5.537 21.142-5.088 9.699.642 19.75 8.321 30.33 8.702 6.687.24 10.46-6.676 11.516-14.899 5.452-31.415 3.447-70.839-2.838-108.578 1.703-5.264 3.41-10.527 5.113-15.791-17.217-18.369-43.9-30.979-71.176-31.322z"}}]})(props);
};
function GiHandcuffs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M147.406 20.03c-1.046-.002-2.094.05-3.156.157-4.238.433-8.576 1.774-12.656 4.125-.008.005-.023-.004-.03 0l-29.783 17.22c-7.858 4.534-12.662 12.15-13.874 19.78-1.212 7.63.62 15.126 4.22 21.47.11.197.227.397.343.593l-11.72 40.22c-1.79 1.224-3.467 2.613-5 4.124-5.196 5.117-9.01 11.83-9.844 19.56-.835 7.732 1.923 16.39 8.406 22.876L98.626 194.5c6.633 6.63 15.296 9.602 23.188 9.03 4.63-.333 8.935-1.755 12.78-3.905l7.095 6.688c-2.305 2.97-4.1 6.49-5.157 10.437l-1.624 6.03 18.063 4.845 1.624-6.063c1.06-3.953 2.712-5.37 5.125-6.437 1.205-.533 2.67-.867 4.28-.938 1.61-.07 3.366.126 5.063.594 3.393.938 6.375 2.963 7.968 5.157 1.594 2.195 2.284 4.266 1.282 8l-1.625 6.032 18.063 4.843 1.625-6.032c2.35-8.762.32-17.56-4.22-23.81-4.537-6.253-11.093-10.28-18.124-12.22-3.514-.97-7.204-1.417-10.905-1.25-1.67.075-3.34.28-5 .625l-10.344-9.75c2.06-3.75 3.42-7.944 3.75-12.438.586-7.917-2.42-16.574-9.093-23.25l-24.343-24.312c-4.677-4.68-10.516-7.357-16.313-8.156l6.157-21.095c.177.072.353.15.532.22 7.25 2.806 16.336 2.394 24.28-2.19l29.813-17.186c6.104-3.528 10.526-8.694 12.968-14.345l21.095 5.938c-.88 3.745-1.122 7.688-.5 11.687 1.194 7.683 6.06 15.35 14 19.938l29.813 17.218c3.8 2.195 7.813 3.47 11.78 3.97L255 140.78c-2.735 1.553-5.224 3.477-7.438 5.657-5.195 5.12-8.977 11.833-9.812 19.563-.835 7.73 1.89 16.39 8.375 22.875l4.22 4.22 13.218-13.22-4.22-4.22c-2.893-2.893-3.314-5.032-3.03-7.655.283-2.623 1.867-5.78 4.375-8.25 2.507-2.47 5.77-4.06 8.468-4.344.337-.035.68-.052 1-.062 2.252-.07 4.17.544 6.563 2.937v.032l4.217 4.188 13.188-13.188-4.188-4.218c-4.76-4.763-10.75-7.442-16.656-8.188l-3.25-18.28c4.92-2.895 8.87-7.066 11.658-11.845 3.74-6.412 5.516-14.137 4.03-21.936-1.484-7.8-6.637-15.374-14.812-20.094l-29.78-17.188c-3.93-2.27-8.145-3.506-12.282-3.812-4.137-.306-8.206.305-11.813 1.688-4.304 1.65-8.01 4.21-11.093 7.343l-29.093-8.186c-.762-3.026-1.937-5.915-3.47-8.594-3.684-6.445-9.47-11.856-16.968-14.47-2.81-.98-5.862-1.488-9-1.5zm-.187 18.564c1.063.03 2.05.252 3.03.593 2.614.912 5.225 3.153 6.906 6.094 1.682 2.942 2.312 6.365 1.78 9.126-.528 2.756-1.805 5.11-5.717 7.375-.01.006-.024-.004-.032 0l-29.782 17.19c-3.545 2.044-5.726 1.89-8.187.936-.648-.25-1.318-.603-1.97-1.03l.094-.345-.906-.25c-1.53-1.183-2.977-2.804-4.063-4.718-1.737-3.06-2.425-6.634-2-9.312.425-2.678 1.4-4.598 4.75-6.53v-.032l29.78-17.188h.032c2.02-1.166 3.688-1.72 5.188-1.875.375-.038.74-.04 1.094-.03zM226.5 62.22c.31-.02.618-.024.938 0 1.276.09 2.637.53 4.312 1.5v.03l29.813 17.188c4.04 2.332 5.294 4.686 5.812 7.406.518 2.72-.138 6.105-1.844 9.03-1.705 2.927-4.343 5.174-7 6.095-2.654.92-5.316 1.02-9.25-1.25L219.47 85c-3.544-2.048-4.47-3.985-4.876-6.594-.406-2.608.28-6.09 2.062-9.125 1.783-3.034 4.532-5.435 7.063-6.405.948-.364 1.85-.598 2.78-.656zM98.344 136.624c2.246-.065 4.14.575 6.53 2.97l24.345 24.31c3.296 3.3 3.89 5.896 3.686 8.657-.204 2.762-1.688 5.865-4.094 8.25-2.405 2.386-5.54 3.892-8.343 4.094-2.805.203-5.415-.415-8.626-3.625L87.53 156.97c-2.89-2.895-3.313-5.065-3.03-7.69.283-2.622 1.867-5.778 4.375-8.25 2.508-2.47 5.773-4.06 8.47-4.343.336-.035.678-.053 1-.062zM320 149.875l-62.094 62.094 48.844 48.843 26.938-26.938.343.344c.976-1.104 1.977-2.196 3.033-3.25 27.69-27.693 72.59-27.693 100.28 0 27.205 27.203 27.684 71.022 1.438 98.81-.004.014-.025.02-.03.033-1.03 2.514-1.372 4.965-1.28 7.343.18 4.757 2.415 9.505 5.936 13.063 3.52 3.556 8.17 5.75 12.875 5.936 3.614.144 7.41-.73 11.47-3.625 37.58-42.338 36.114-107.29-4.438-147.842-29.2-29.2-71.177-37.894-108.062-26.563l-5.375 1.656-3.97-3.968L320 149.875zm-11.75 40.688l18.313 18.312-13.22 13.22-18.312-18.314 13.22-13.218zm-186.53 48l-17.876 66.78 36.78 9.844-.124.47c1.445.292 2.9.612 4.344 1 37.828 10.135 60.26 49.015 50.125 86.843-9.962 37.175-47.675 59.485-84.876 50.625-2.695.375-4.986 1.326-7 2.594-4.03 2.533-7.024 6.796-8.344 11.624-1.32 4.828-.908 9.988 1.28 14.156 1.686 3.206 4.35 6.085 8.907 8.156 55.445 11.366 110.96-22.407 125.813-77.78.003-.01-.003-.022 0-.032 10.673-39.878-2.783-80.572-31.03-106.844l-4.126-3.844 1.437-5.437 9.5-35.44-84.81-22.717zm159.655 23.28c-6.083 33.48 3.736 69.08 29.72 95.063 36.204 36.205 91.507 41.554 133.06 15.625-5.342-2.01-10.13-5.214-14.06-9.186-5.135-5.186-8.89-11.79-10.47-19.156-26.67 13.713-60.22 9.406-82.563-12.938-14.735-14.735-21.633-34.33-20.687-53.625l-3 3-6.625 6.625-6.594-6.625-18.78-18.78zm-131.656 4.094l18.06 4.844-6.686 25.033-18.063-4.844 6.69-25.033zm-59.47 17.938c-32.02 11.48-57.93 37.8-67.438 73.28-13.252 49.46 9.77 100.012 53 123.033-.936-5.626-.568-11.36.907-16.75 1.923-7.036 5.783-13.63 11.374-18.688C62.872 428.512 49.82 397.34 58 366.812c5.395-20.134 18.935-35.924 36.125-44.75L90 320.97l-9.03-2.44 2.405-9.03 6.875-25.625z"}}]})(props);
};
function GiHandheldFan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M392.121 381.388l-32.913-33.36c23.148-24.21 41.168-51.51 54.043-80.538l55.004 22.431 6.352-15.575-55.005-22.433c10.655-28.528 16.532-58.432 17.624-88.483l56.15.378.113-16.82-56.15-.378c-.744-32.325-7.013-64.556-18.835-95.163l36.752-15.46-6.523-15.504L269.6 95.829a127.212 127.212 0 0 1 6.513 15.511 128.442 128.442 0 0 1 6.739 34.348c.057.989.092 1.979.126 2.968.015.44.037.881.048 1.322.023.982.026 1.965.027 2.947.001.442.008.885.004 1.327-.008.975-.035 1.95-.066 2.924-.014.457-.025.913-.044 1.37-.04.936-.094 1.873-.154 2.808-.704 11.001-2.807 21.925-6.328 32.478-.24.72-.5 1.436-.754 2.154-.221.625-.437 1.25-.668 1.872-.297.797-.61 1.59-.922 2.382-.21.532-.415 1.065-.632 1.595-.356.867-.73 1.73-1.106 2.59-.188.432-.373.863-.566 1.293-.402.893-.817 1.781-1.24 2.667a127.196 127.196 0 0 1-20.435 30.49c-.693.769-1.389 1.536-2.103 2.292a129.7 129.7 0 0 1-3.024 3.095 129.666 129.666 0 0 1-3.135 2.982c-.765.704-1.542 1.389-2.32 2.071a127.196 127.196 0 0 1-30.763 20.023c-.891.41-1.785.814-2.684 1.204-.432.187-.866.367-1.3.549-.865.364-1.732.726-2.605 1.07-.532.21-1.068.408-1.603.61-.796.303-1.593.605-2.394.89-.625.223-1.253.43-1.88.643-.722.245-1.44.494-2.165.725a128.514 128.514 0 0 1-32.56 5.89c-.936.047-1.873.09-2.81.117-.457.013-.913.017-1.37.025-.975.018-1.95.032-2.925.027-.442-.002-.885-.015-1.327-.022-.982-.015-1.964-.03-2.946-.068-.44-.016-.88-.044-1.321-.065-.99-.048-1.979-.096-2.967-.166a128.442 128.442 0 0 1-34.254-7.2 127.218 127.218 0 0 1-15.421-6.722L18.51 444.948l15.415 6.73 15.953-36.54c30.445 12.233 62.588 18.936 94.9 20.116l-.377 56.15 16.82.113.378-56.15c30.063-.687 60.043-6.16 88.713-16.43l21.69 55.303 15.659-6.142-21.689-55.302c29.2-12.482 56.74-30.133 81.26-52.953l32.913 33.36zM233.2 232.287a113.305 113.305 0 0 0 5.767-6.131l-49.109-49.775 64.787 26.421A110.492 110.492 0 0 0 261 187.23l-62.295-25.406 67.273.453c.46-5.595.498-11.219.113-16.82l-69.967-.471 64.498-27.13a110.462 110.462 0 0 0-6.531-15.502l-67.808 28.522c10.696 15.023 9.242 36.178-4.28 49.52-13.524 13.342-34.697 14.511-49.574 3.613l-29.433 67.418c4.995 2.655 10.149 4.9 15.413 6.74l27.996-64.128-.472 69.968c5.596.46 11.22.498 16.82.113l.454-67.272 24.564 62.631a110.494 110.494 0 0 0 15.658-6.145l-25.547-65.137 49.11 49.774a113.307 113.307 0 0 0 6.207-5.683zm-63.012-63.867c8.522-8.407 8.613-21.876.205-30.398-8.407-8.521-21.876-8.612-30.398-.205-8.521 8.408-8.612 21.877-.204 30.398 8.407 8.522 21.876 8.613 30.397.205z"}}]})(props);
};
function GiHangGlider (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M309.502 104.55c-109.47-.142-219.337 2.602-297.22 12.323 5.24 1.868 10.542 3.734 15.54 5.607 7.285 2.73 14.018 5.47 19.633 8.549 5.615 3.08 10.706 6.093 13.184 12.6 1.34 3.519 2.197 8.42 1.24 14.834 21.817-10.755 48.718-17.695 78.264-22.641 42.214-7.067 89.968-9.817 136.015-11.832l.7 15.984c-45.89 2.008-93.138 4.776-134.075 11.63-36.907 6.178-68.554 15.89-89.26 30.278 6.164 1.115 12.602 2.704 18.649 4.987 7.156 2.702 13.914 6.28 18.703 12.275.7.877 1.325 1.826 1.887 2.822 35.472-20.786 73.93-38.089 104.636-39.255a85.642 85.642 0 0 1 3.456-.063c1.14.003 2.268.029 3.384.08l-.732 15.983c-22.005-1.008-57.709 12.635-91.908 31.14 6.384.898 11.594 2.975 15.765 5.828 6.665 4.56 10.287 9.381 13.123 12.926 111.416-48.998 242.264-86.962 359.233-121.433-52.784-1.146-108.633-2.277-168.338-2.555-7.285-.034-14.581-.057-21.879-.067zm37.168 65.541a3579.804 3579.804 0 0 0-15.443 4.938c1.405 2.49 3.068 6.648 4.636 11.861 3.151 10.472 6.074 25.21 8.756 41.407 3.752 22.655 7.068 48.08 10.51 70.056l15.543-4.281c-3.275-21.198-6.56-45.998-10.268-68.389-2.73-16.485-5.673-31.617-9.218-43.402-1.375-4.567-2.82-8.622-4.516-12.19zm-88.678 29.602a2118.277 2118.277 0 0 0-16.207 5.8c-.284 8.254-.597 17.608-.916 27.577-.612 19.148-.838 35.63-1.01 41.307l15.73-3.59c1.77 16.026 9.72 34.995 19.776 48.37l13.43-3.921c7.915 9.17 15.773 20.882 30.004 26.443 24.52-1.285 44.975-11.4 66.838-18l-8.975-14.853c-18.92 5.373-33.43 10.087-55.03 10.103-5.979-12.37-12.47-26.794-20.534-38.285a26.66 34.884 38.724 0 0 23.746-14.787 26.66 34.884 38.724 0 0 1.023-43.894 26.66 34.884 38.724 0 0-42.62 10.539 26.66 34.884 38.724 0 0-8.442 32.035l-19.1 6.207c.204-6.703.56-18.514 1.156-37.164.373-11.672.758-23.388 1.07-32.26.024-.668.039-.992.061-1.627zm-18.129 74.703c-.01.327-16.247 6.008-31.246 11.194 9.075 3.258 15.571 9.066 19.508 15.869 5.771 9.973 7.394 20.985 9.148 28.824l21.834-6.377c-10.26-15.359-18.074-40.863-19.244-49.51zm-47.236 24.28c-1.89.027-3.955.15-6.217.376-51.093 5.117-83.628 32.6-111.281 68.819-5.717 7.488-10.686 19.262-11.815 27.984-.564 4.361-.08 7.833.606 9.356.685 1.522.531 1.607 2.719 1.851l.888.1.844.293c-.971-.337 5.64-.052 13.66-2.526 8.02-2.473 18.276-6.683 29.168-12.166 21.785-10.965 46.228-27.147 62.248-44.277l1.832-1.957 2.64-.461c14.456-2.515 23.545-4.16 30.169-6.281 5.056-1.62 9.005-3.815 13.4-6.86-2.085-8.623-3.7-17.39-7.21-23.455-3.758-6.492-8.42-10.988-21.651-10.797z"}}]})(props);
};
function GiHanger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.508 28c-5.222.018-14.484.378-23.54 4.976-10.348 5.255-19.542 17.498-19.542 36.025h18c0-13.472 4.287-17.23 9.693-19.974C244.525 46.282 251.937 46 256.486 46c10 0 15.38 3.006 18.743 6.891 3.362 3.885 4.899 9.373 4.414 15.385-.97 12.023-9.745 20.744-23.157 23.724h-9v33.827a30.751 30.751 0 0 1 9-1.354c3.22 0 6.203.504 9 1.354v-16.881c18.771-4.339 30.699-21.88 32.098-39.221.806-9.988-1.72-20.5-8.744-28.615C281.816 32.996 270.486 28 256.486 28c-.568 0-1.232-.004-1.978-.002zm1.978 114.474c-6.265 0-11.583 4.417-18.386 12.397-6.803 7.979-13.779 18.644-24.745 25.699-28.987 18.65-62.68 28.155-93.978 39.095-31.299 10.941-59.94 23.174-80.246 45.407-2.822 3.09-7.223 13.039-9.813 21.666-.096.322-.127.52-.22.838 5.8-2.233 12.63-5.031 20.767-8.487 17.698-7.515 40.062-17.32 64.102-27.023 48.079-19.405 102.272-38.735 142.67-38.063 44.692.744 104.792 20.664 154.664 40.139 32.956 12.87 56.173 23.383 71.601 30.582-2.63-8.098-6.458-16.803-9.06-19.652-20.306-22.233-48.947-34.466-80.246-45.407-31.3-10.94-64.992-20.445-93.979-39.095-10.965-7.055-17.94-17.72-24.744-25.7-6.803-7.979-12.121-12.396-18.387-12.396zm-87 121.527v220h158v-220zm-66.408 12c-15.547 6.491-29.735 12.64-42.303 18h90.711v-18zm242.408 0v18h114.418a1313.695 1313.695 0 0 0-42.357-18z"}}]})(props);
};
function GiHangingSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105 37v114h30V37h-30zm272 0v114h30V37h-30zM16 48v20.94c20.9 6.4 43.8 13.28 43.8 13.28l-43.8.51V112h71V48H16zm137 0v64h206V88.53l-26.9-9.7 26.9-4.54V48H153zm272 0v64h71V48h-71zM73 169v42.5l38.1 9.4-38.1 8.2v68.5l44.3-3.2-44.3 29v70c32.2 10 62.4 32.8 92.1 53.2 3.5 2.4 7 4.7 10.5 7l25-25-9.5 34.9c22.6 13.7 44.5 23.5 64.9 23.5 28.2 0 59.1-18.6 90.9-40.4 29.7-20.4 59.9-43.2 92.1-53.2v-13.9l-66.8-17.1 66.8-12.6V169H306.7L256 202.8 205.3 169H73z"}}]})(props);
};
function GiHangingSpider (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M245.625 14.656v141.53c-27.713 6.03-48.875 38.405-48.875 77.47 0 15.552 3.366 30.034 9.156 42.22-3.25-3.28-6.404-6.91-9.406-10.97-33.54-45.34-33.54-121.904 0-167.25l-15-11.125c-39.288 53.12-39.292 136.387 0 189.5 2.543 3.44 5.202 6.67 7.97 9.69-55.29-22.365-93.407-72.152-93.407-129.408H77.374c0 61.73 38.437 115.01 94.438 141.938-21.208 7.248-40.477 17.198-57 29.344-36.29 26.675-59.594 64.432-59.594 106.5h18.686c0-35.19 19.332-67.448 51.97-91.438 16.31-11.99 35.903-21.796 57.75-28.594-2.178 2.024-4.292 4.167-6.345 6.407-42.477 46.365-42.477 120.787 0 167.155L191.063 475c-32.263-35.218-35.342-90.954-9.25-130.094 4.213 13.518 16.883 23.438 31.72 23.438 3.25 0 6.396-.49 9.374-1.375.453 1.81 1.043 3.564 1.78 5.25-4.572 6.227-7.28 13.926-7.28 22.25 0 14.788 8.532 27.58 20.938 33.717-.826-4.1-1.28-8.56-1.28-13.25 0-19.7 8.013-35.687 17.905-35.687 9.89 0 17.905 15.987 17.905 35.688 0 4.69-.456 9.15-1.28 13.25 12.404-6.14 20.936-18.93 20.936-33.72 0-8.215-2.657-15.814-7.124-22 .776-1.73 1.402-3.54 1.875-5.406 2.88.824 5.904 1.282 9.033 1.282 14.87 0 27.566-9.965 31.75-23.53 26.16 39.143 23.102 94.94-9.188 130.186l13.78 12.625c42.48-46.368 42.48-120.79 0-167.156-2.05-2.24-4.166-4.384-6.342-6.408 21.845 6.798 41.438 16.604 57.75 28.594 32.637 23.99 51.968 56.25 51.968 91.438h18.69c0-42.068-23.305-79.825-59.595-106.5-16.524-12.146-35.792-22.096-57-29.344 56-26.93 94.438-80.208 94.438-141.938h-18.688c0 57.256-38.118 107.043-93.406 129.407 2.765-3.02 5.424-6.25 7.967-9.69 39.292-53.11 39.292-136.38 0-189.5l-15 11.126c33.542 45.345 33.54 121.913 0 167.25-2.987 4.04-6.14 7.64-9.375 10.906 5.77-12.18 9.125-26.627 9.125-42.156 0-39.065-21.162-71.44-48.875-77.47V14.657h-18.687zm9.47 281.5c8.137 0 14.53 6.398 14.53 14.53 0 8.135-6.393 14.533-14.53 14.533-8.14 0-14.5-6.398-14.5-14.533 0-8.133 6.366-14.53 14.5-14.53zm-41.564 24.438c8.14 0 14.532 6.398 14.532 14.53 0 8.134-6.393 14.532-14.53 14.532-8.14 0-14.532-6.396-14.532-14.53s6.398-14.532 14.53-14.532zm82.782 0c8.138 0 14.532 6.398 14.532 14.53 0 8.134-6.394 14.532-14.53 14.532-8.14 0-14.533-6.396-14.533-14.53s6.4-14.532 14.533-14.532zm-41.218 23.875c8.138 0 14.53 6.397 14.53 14.53s-6.392 14.53-14.53 14.53c-8.138 0-14.5-6.395-14.5-14.53 0-8.133 6.367-14.53 14.5-14.53z"}}]})(props);
};
function GiHappySkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.924 26.24l-27.717 43.752 27.717 93.643L286.64 69.99l-27.716-43.75zm-134.69 36.1l-2.13 51.748 70.828 67.24-22.82-94.955-45.878-24.033zm267.284 0l-45.883 24.033-22.817 94.955 70.827-67.24-2.127-51.748zM75.234 166.02l-51.75 2.126 24.032 45.88 94.957 22.82-67.24-70.826zm365.282 0l-67.24 70.826 94.958-22.82 24.032-45.88-51.75-2.126zM257.68 184.906c-44.552 0-73.683 19.55-93.12 48.89-18.467 27.874-27.254 65.027-28.097 101.13 26.087 13.015 41.985 26.69 49.12 41.693 6.084 12.788 4.095 26.367-2.94 37.03 5.2 4.41 11.51 8.304 18.59 11.582l8.21-18.51 17.086 7.573-7.7 17.363c8.863 2.48 18.362 4.098 28.06 4.756v-21.13h18.686v21.18c9.763-.62 19.366-2.233 28.4-4.84l-7.18-18.013 17.358-6.92 7.287 18.277c6.542-3.192 12.524-7.025 17.728-11.488-3.267-4.238-5.804-8.768-7.098-13.78-2.07-8.03-.64-16.824 3.782-24.55 8.258-14.428 25.677-26.786 53.043-40.146-.854-34.222-9.458-71.365-27.842-99.715-19.39-29.902-48.53-50.384-93.373-50.384zm-83.043 94.502h.002c37.05 3.798 58.884 24.694 63.356 49.32-27.388-17.367-49.047-14.653-65.633 2.395-18.615-15.848-12.507-33.47 2.274-51.715zm169.384 0h.003c14.78 18.244 20.888 35.867 2.272 51.715-16.586-17.048-38.245-19.762-65.633-2.396 4.472-24.625 26.308-45.52 63.36-49.32zm-89.07 59.703c9.183 16.556 16.467 33.107 20.083 49.66-9.877 7.357-27.558 8.426-40.166 0 4.887-16.553 10.766-33.104 20.084-49.66zm-77.315 94.42l-17.99 29.09c42.795 39.326 137.24 44.524 191.84-.485l-17.56-28.535c-4.854 3.413-10.036 6.395-15.466 8.968l6.208 15.577-17.36 6.92-6.312-15.83c-11.373 3.404-23.373 5.337-35.42 5.972v20.828H246.89v-20.88c-12.305-.692-24.432-2.694-35.802-6.038l-7.217 16.276-17.085-7.575 6.754-15.23c-5.655-2.614-10.99-5.628-15.905-9.06z"}}]})(props);
};
function GiHarborDock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17 17v104.2l86 23.7V17zm0 122.8c-1.4 99.4 1.35 296.5 1 296.7.12 0 .23-.1.35-.2C31.89 428 48.05 419 64 419c15.97 0 27.59 10 37.6 18 10 8 18.5 14 26.4 14 3 0 6.1-.9 9.3-2.4l90.9-250.5zm86 68.2h18v18l23 5.2-4 17.6-19-4.3v58.9c1.2-1.4 2.3-2.7 3.4-4.2 5.6-7.5 9.6-15.3 9.6-15.3l16 8.2s-4.5 8.9-11.2 17.9c-3.3 4.4-7.2 9-11.9 12.7-4.7 3.7-10.6 7-17.8 6.3-8.2-.9-14.33-5.9-19.04-11.5-4.7-5.5-8.35-12-11.36-18.3-6.02-12.7-9.37-24.8-9.37-24.8l17.34-4.8s3.08 10.9 8.28 21.8c2.38 5 5.25 9.9 8.05 13.5v-64.5l-24.98-5.6 3.96-17.6 21.02 4.7zm132.8 22l-8.6 23.7c10.2 17.5 23.3 29.8 38.1 37.8 18.8 10.1 40.1 13.2 61.7 13.5v-18c-19.8-.3-38-3.3-53.2-11.4-15.6-8.3-28.6-21.9-38-45.6zm84.2 17v18h25v46h30v-46h25v-18zm-55 82v46h46v-46zm64 0v46h110v-46h-46zm128 0v46h30v-46zm-227.4 5.3c-2 .1-3.9.5-5.5 1.3-3.1 1.5-5.6 3.9-7.9 6.6-4.5 5.6-8.3 13.3-10.9 22.6-2.6 9.2-3.7 18.2-3 26.4.3 4.1 1 8 2.6 11.8 1.7 3.8 4.6 7.9 9 10 4.3 2.1 8.5 1.6 11.7.1 3.2-1.4 5.6-3.9 7.9-6.6 4.6-5.6 8.3-13.3 11-22.6 2.6-9.2 3.6-18.2 3-26.4-.4-4-1-8-2.7-11.7-1.7-3.9-4.6-8-8.9-10.1-2.1-1.1-4.3-1.4-6.3-1.4zm.7 21.1c0 .6.2.7.2 1.3.4 4.7-.2 12-2.3 19.3-2.1 7.3-5.2 13.3-7.9 16.5-.3.5-.5.4-.8.8-.1-.6-.2-.7-.3-1.3-.4-4.7.3-12 2.4-19.3 2-7.3 5.2-13.3 7.8-16.5.4-.5.6-.4.9-.8zM265 393v46h110v-46zm128 0v46h94v-46zM64 437c-4.68 0-12.17 2.5-20.09 6.1-9.03 3.4-17.74 8.4-25.57 13.2-.12.1-.22.1-.34.2V478c2.94-2 6.22-4.1 9.77-6.3C40.26 464 56.1 457 64 457c7.9 0 16.34 6 26.37 14 10.03 8 21.63 18 37.63 18 16 0 27.6-10 37.6-18s18.5-14 26.4-14c7.9 0 23.8 7 36.2 14.7 8.3 5 15 9.9 18.8 12.7v-22c-2.8-2-6-4-9.3-6.1C224.1 448 208 439 192 439c-16 0-27.6 10-37.6 18s-18.5 14-26.4 14c-7.9 0-16.4-6-26.4-14-7.14-5.7-15.08-12.4-24.8-15.8-4.5-2.6-8.72-4.2-12.8-4.2zm201 20v30h46v-30zm64 0v30h110v-30zm128 0v30h30v-30z"}}]})(props);
};
function GiHarpoonChain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.094 18.156V31.75l6.78 6.813c-2.67 4.788-4.186 10.295-4.186 16.124C20.688 72.98 35.706 88 54 88c5.832 0 11.34-1.515 16.125-4.188l14.25 14.25c-2.672 4.786-4.188 10.294-4.188 16.126 0 18.293 15.02 33.312 33.313 33.312 5.83 0 11.336-1.517 16.125-4.188l13.78 13.75c-2.67 4.786-4.186 10.294-4.186 16.125 0 18.294 15.017 33.344 33.31 33.344 5.834 0 11.34-1.54 16.126-4.218l14.75 14.782c-2.67 4.79-4.187 10.295-4.187 16.125 0 18.292 15.017 33.31 33.31 33.31 5.83 0 11.337-1.516 16.126-4.186l14.906 14.906c-16.72 11.7-38.614 12.733-56.28 3.156 34.39 49.475 187.846 52.137 28.687 137.094l259.5 78.813-78.845-259.47c-84.275 157.888-87.562 8.106-135.906-27.874 8.852 17.46 7.534 38.734-3.94 55.06l-14.967-14.967c2.58-4.72 4.062-10.128 4.062-15.844 0-18.294-15.05-33.345-33.344-33.345-5.716 0-11.124 1.483-15.843 4.063l-14.875-14.907c2.575-4.722 4.032-10.126 4.032-15.843 0-18.293-15.02-33.312-33.313-33.312-5.716 0-11.124 1.456-15.843 4.03l-13.906-13.874c2.58-4.718 4.064-10.126 4.064-15.843 0-18.293-15.05-33.312-33.344-33.312-5.717 0-11.125 1.456-15.844 4.03L83.28 70.532c2.576-4.718 4.032-10.126 4.032-15.843 0-18.293-15.018-33.343-33.312-33.343-5.717 0-11.125 1.483-15.844 4.062l-7.25-7.25H18.094zM54 40.03c8.194 0 14.625 6.464 14.625 14.657 0 8.194-6.432 14.626-14.625 14.626-8.194 0-14.625-6.432-14.625-14.626 0-8.193 6.43-14.656 14.625-14.656zm59.5 59.532c8.194 0 14.656 6.432 14.656 14.626 0 8.193-6.463 14.624-14.656 14.624-8.194 0-14.625-6.43-14.625-14.625 0-8.193 6.43-14.624 14.625-14.624zm59.03 59c8.196 0 14.626 6.432 14.626 14.625 0 8.194-6.432 14.657-14.625 14.657s-14.624-6.463-14.624-14.656c0-8.194 6.43-14.625 14.625-14.625zm60 60c8.196 0 14.657 6.463 14.657 14.657 0 8.192-6.463 14.624-14.656 14.624-8.193 0-14.624-6.432-14.624-14.625 0-8.195 6.43-14.657 14.625-14.657zm174.22 80.657l37.344 122.686-95.03-95.03c29.376 7.006 50.25-4.847 57.686-27.657zm-81 50.78l95.313 95.313-122.938-37.47c22.854-7.453 34.712-28.386 27.625-57.843z"}}]})(props);
};
function GiHarpoonTrident (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M15.156 20.188v31.53l184.25 184.25c-41.923 39.194-88.97 72.054-140.78 98.97 36.513 36.514 75.78 66.42 115.06 88.937l-12.78 18.188c30.91 17.08 63.24 26.78 94.47 29.062l-6.75 18.438c45.523 11.287 89.863 6.127 124.093-13.407-62.906-12.69-145.827-62.325-221.283-137.78L218 271.812l51 38.875-15.53 15.53 78.655 41.282-11.875 11.875 110.438 57.97c.036-.038.088-.058.125-.095.036-.037.057-.088.093-.125l-57.97-110.438-12.436 12.438-41.313-78.656-14.937 14.936-38.844-50.97 66.563-66.56c75.934 75.934 125.71 159.42 138 222.468 21.26-34.686 27.21-80.535 15.53-127.656l-18.344 6.687c-2.28-31.238-11.977-63.578-29.062-94.5l-20.97 14.75c-22.483-39.11-52.267-78.206-88.624-114.563-27.512 52.326-60.066 98.53-97.344 138.938L47.876 20.187h-32.72z"}}]})(props);
};
function GiHarpy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M70.25 25.156c-9.534.026-19.4.69-29.594 2.063 37.04 18.14 77.455 39.872 103.656 77.093-42.086-18.35-90.85-15.685-124.187 6.812 38.56 4.19 82.368 10.888 113 45.313C89.588 159.524 49.492 182.046 29.78 215c37.55-12.856 81.306-25.936 124.626-5.844-34.405 19.978-56.927 56.212-57.47 90.97 23.575-27.027 44.39-42.424 87.94-51.188-13.29 32.114-14.62 66.87 1.343 95.53 4.972-25.352 11.62-53.844 32.78-74.218 15.704 34.76 17.93 62.692 9.906 93.406-.007.043-.024.083-.03.125-.998 6.035-2.967 11.853-5.69 17.345-.012.03-.016.063-.03.094-.126.252-.246.497-.375.75-10.12 21.077-38.94 45.172-62.686 37.342-30.43-10.034-10.885-61.85 34.5-30.78 5.253-5.17 9.495-11.027 12.344-17.063-38.38-32.647-85.48-12.166-91.125 18-14.53 77.672 99.637 84.122 143.656-5.94 19.15-39.18 27.615-72.167 29.53-112.686 20.68 20.33 27.264 48.52 32.188 73.625 15.963-28.662 14.6-63.418 1.312-95.533 43.55 8.765 64.364 24.162 87.938 51.188-.542-34.757-23.064-70.99-57.47-90.97 43.32-20.09 87.077-7.01 124.626 5.845-19.71-32.954-59.807-55.475-103.344-58.563 30.632-34.424 74.44-41.122 113-45.312-33.337-22.497-82.1-25.16-124.188-6.813C389.264 67.093 429.68 45.36 466.72 27.22c-10.196-1.375-20.06-2.038-29.595-2.064-66.735-.178-117.07 30.86-148.438 67.47-26.07 30.428-19.924 66.023 3.157 71.968C323.5 172.43 323.967 203.41 296.97 232c-.007.012-.027.02-.033.03-7.724 17.173-23.107 29.345-41.718 29.345-16.34 0-30.196-9.374-38.564-23.28-33.125-30.134-35.02-65.104-1.094-73.5 23.08-5.946 29.196-41.54 3.125-71.97-31.367-36.608-81.702-67.647-148.437-67.47zM255.22 170.75c-14.788 0-28.407 15.146-28.407 35.97 0 20.82 13.62 35.968 28.406 35.968 14.785 0 28.405-15.147 28.405-35.97 0-20.822-13.62-35.968-28.406-35.968zM368.5 339c-3.884.01-7.718.44-11.438 1.28l38.188 28.595c-18.614.916-38.706 9.088-55.438 25.03 26.763-6.42 67.554-9.593 85.97 23.25 1.065 3.78 1.57 7.564 1.624 11.283.19 13.188-5.824 26.105-14.344 34.625-11.354 11.355-34.622 13.454-63.468 4.656-28.268-8.623-60.507-27.193-87.875-52.314-3.757 4.937-7.836 9.736-12.126 14.25 29.224 26.708 63.134 46.362 94.53 55.938 32.224 9.828 63.248 9.598 82.157-9.313 11.968-11.965 20.086-29.24 19.814-48.092-.045-3.06-.343-6.15-.875-9.25.672-45.095-40.392-80.024-76.72-79.938z","fillRule":"evenodd"}}]})(props);
};
function GiHarryPotterSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.16 15.822c-74.685 0-124.825 36.292-157.865 90.487C66.36 158.692 51.637 228.053 50.68 294.954c44.44 12.795 73.834 28.683 90.46 50.123 15.804 20.383 18.445 45.188 12.157 71.963 23.635 7.218 62.826 11.32 100.986 10.905 38.28-.416 76.213-5.67 96.373-13.44-4.608-25.936-.182-50.215 16.983-70.07 17.928-20.738 48.197-36.53 93.4-49.488-.972-63.406-15.24-132.688-46.868-185.92-20.367-34.277-47.386-61.936-82.97-77.972-62.555 14.347-113.232 44.996-143.62 84.12 25.38 8.96 46.088 21.593 65.35 34.583l10.742 7.244-10.266 7.906c-26.884 20.705-46.28 43.707-65.26 67.48 28.468 22.27 47.56 52.2 29.02 65.186-33.572 23.518-170.713 1.396-119.002-78.754 6.006-9.31 15.307-13.314 26.2-13.496 14.635-.244 32.144 6.414 48.4 16.37 17.11-21.452 35.198-43.144 59.1-63.32-18.538-11.88-37.98-22.425-61.975-29.265l-12.29-3.503 7.066-10.65c28.184-42.48 75.737-75.727 134.613-94.523-13.362-3.012-27.71-4.612-43.118-4.612h-.002zm126.594 189.502c10.892.182 20.19 4.187 26.197 13.496 51.712 80.15-85.427 102.272-119 78.754-31.496-22.06 45.603-93.04 92.804-92.25zM252.2 309.057c13.922 0 38.53 68.05 30.277 79.51-6.48 8.996-54.935 8.617-60.555 0-7.197-11.034 16.31-79.51 30.277-79.51zM354.71 433.13c-10.557 3.91-23.223 6.832-37.17 8.952l5.94 48.89h53.416l-22.185-57.84zm-207.888 1.57l-18.5 56.273h47.092l5.914-48.684c-12.764-1.877-24.484-4.38-34.506-7.59zm152.17 9.667c-13.13 1.28-26.996 1.98-41.078 2.21v44.396h46.74l-5.662-46.606zm-99.107.14l-5.647 46.466h44.99V446.6c-13.444-.204-26.714-.894-39.343-2.094z"}}]})(props);
};
function GiHastyGrave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416.62 213.555l-282.14-28.67 6.78-66.7 282.14 28.67zM79.38 492.185h353.24s-72.39-55.05-177-55.05c-52.38 0-112.77 13.76-176.24 55.05zm205.27-69.68l20.16-204.23-66.66-6.77-20.92 212a313.48 313.48 0 0 1 38.35-2.36c9.99-.01 19.69.48 29.07 1.36zm39.1-396.11l-66.68-6.58-9.2 93.17 66.66 6.77z"}}]})(props);
};
function GiHatchet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M281 24.15L246.4 77.2l80 51.7 55.7 129.4c5.6-2.6 13.4-6.9 21.8-12.7 12.7-8.9 27.2-20.9 40.3-34.4 13.2-13.5 25.1-28.4 32.7-42.8 6.6-12.6 9.9-24.5 9-34.8L359.1 74.97zm-33.4 75.26C164.4 214.2 107.9 325.2 25.98 453.3c0 .1 0 0 .15.4.32 1.1 1.49 3.4 3.53 5.9 4.07 5.1 11.33 11.4 19.22 16.5 7.89 5.1 16.55 9.2 22.88 10.9 3.16.8 5.71.9 6.88.8.37-.1.37-.1.47-.1 21.99-33.8 31.99-49 48.09-110.3l.3-1.3.8-1.1c60.5-97.7 84.9-157 155-252.5z"}}]})(props);
};
function GiHatchets (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M210.344 37.688C143.984 44.13 79.87 60.181 25.406 82.28c34.89 96.964 53.863 196.424 58.625 298.283 11.597-16.34 22.7-32.904 33.282-49.75-11.147-47.785-18.01-95.617-22.75-147.282-.032-.205-.03-.387-.062-.593-2.006-13.367.3-24.896 5.938-33.406 5.722-8.64 14.723-13.84 24.093-14.874 16.566-1.828 33.768 9.877 39 30.625 11.84-.146 24.04.525 36.72 2.25 10.272-25.918 19.5-52.398 27.625-79.468-4.062-17.09-9.867-33.89-17.53-50.374zm33.062 63.25C211.936 202.874 165.2 296.67 104.812 383.406c20.268-6.85 40.233-14.247 59.907-22.25 20.403-47.25 44.55-91.493 73.093-137.687.103-.197.24-.34.343-.532 6.43-11.87 15.17-19.72 24.78-23.125 9.77-3.462 20.08-2.185 28.19 2.625 14.333 8.503 21.04 28.18 12.75 47.906 9.522 6.987 18.858 14.834 27.937 23.812 20.263-13.157 40.12-27.132 59.593-41.937l7.094-5.407 2.28 2.718c7.482-16.733 13.267-34.34 17.22-52.905-56.9-34.774-117.79-60.575-174.594-75.688zm152 151.593c-98.643 73.604-207.298 126.464-325 161.376 2.707 25.087 9.24 40.237 30.03 54.406 70.145-52.36 138.253-87.52 218.283-120.125.19-.078.37-.17.56-.25v.032c12.2-5.808 23.878-7.014 33.658-4.095 9.93 2.964 17.533 10.085 21.25 18.75 6.57 15.317.383 35.172-17.938 46.22 6.7 21.078 11.115 44.2 11.75 70.56 46.653-10.584 88.176-30.81 123.906-62.842-25.487-61.64-59.505-118.334-96.5-164.032z"}}]})(props);
};
function GiHaunting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M272.375 17.75c-3.073.063-6.2.27-9.344.594l-.467.062c-50.047 5.388-85.223 42.445-81.25 80.875 2.455 23.772 18.7 43.2 43.312 54.095l1.97.875 1.374 1.625 16.81 19.813 71.75-5.72 8.376-22.905 1-2.72 2.344-1.655c21.862-15.694 33.8-38.044 31.344-61.813-3.736-36.142-41.12-64.063-87.22-63.125zm46.5 48.656c13.252 0 24 10.717 24 23.97 0 13.25-10.748 24-24 24s-24-10.75-24-24c0-13.253 10.748-23.97 24-23.97zm-86.47 9.5c13.253 0 24 10.717 24 23.97 0 13.25-10.747 24-24 24-13.25 0-24-10.75-24-24 0-13.253 10.75-23.97 24-23.97zm41.407 35.438l23.907 38.875-41.5 3.06 17.592-41.936zm-164.468 7.22c-53.418-.164-65.813 17.017-89.844 27.342 7.457 62.138 33.86 128.37 17.5 232.438 19.145-14.237 59.438-96.563 59.438-96.563l-7.626 82.064 51.313-92 4.906 45.78 28.845-45.187c-1.093 24.925-4.462 51.423-21.25 74.782C114.293 400.553 99.5 477.06 99.5 477.06l46.72-50.5-20.44 66.844c37.762-30.703 55.564-65.578 66.907-102.187l6.5 101.03 26.594-60.156L261 491.656c-.13-24.413-3.5-47.555 5.75-70.094 8.515 29.13 55.87 51.816 80.406 42.657-40.048-39.82-69.453-161.727 9.906-204.408 2.53 22.436-3.683 44.846-18.843 67.282 26.68-11.406 44.907-27.785 54.78-50.688l-9.97 114.813c23.782-37.54 43.916-82.23 45.22-114.19 10.45 28.937 8.05 75.348 5.375 110.283 50.06-53.433 50.658-106.84 53.813-220.375-33.91-26.452-73.682-40.823-117.844-43.907-6.46 12.55-16.095 23.77-28 32.845l-9.563 26.156-.874 2.376 2.72 32.28-18.626 1.564-2.47-29.22-21.03 1.69 2.53 30.218-18.592 1.562-2.563-30.313-18.906 1.5 2.593 30.782-18.594 1.56-2.75-32.468-1.845-2.156-18.72-22.03c-20.886-9.807-37.6-25.673-46.218-45.5-24.256-3.692-43.582-5.266-59.343-5.314z","fillRule":"evenodd"}}]})(props);
};
function GiHawkEmblem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M43.66 18.375l77.942 83.28-103.56-52.25v20.933l110.624 55.814-110.623-18.687v18.955l104.29 17.615-104.29 12.373v18.82L126.19 162.4 18.042 204.95v20.083l113.16-44.525L19.496 256.43l-1.453-.793v21.217c65.806 34.34 132.51 46.543 179.203 32.154 3.824 12.527 9.197 23.717 15.95 33.09l-98.87 151.527h22.315l86.89-133.172-51.378 133.172h20.032l47.38-122.8-16.668 122.8h18.86l16.707-123.1 16.707 123.1h18.857l-16.666-122.8 47.38 122.8h20.033L293.527 360.8l86.666 132.825h22.313l-98.83-151.47c6.884-9.366 12.474-20.595 16.433-33.208 45.343 13.82 109.376 2.79 173.2-29.29v-24.466L383.425 180.51l109.887 43.236v-20.082l-104.87-41.264 104.87 12.442v-18.82l-101.013-11.985 101.014-17.062V108.02l-104.84 17.71 104.84-52.664V52.152L388.42 104.838l80.92-86.463h-25.596l-87.07 93.033 10.346 9.684 1.197 3.215c2.333 6.264 3.502 11.874 3.502 18.347 0 27.94-22.42 53.896-57.76 67.795-14.693-15.965-20.836-32.194-19.682-40.395.63-4.474 2.12-6.77 6.56-8.858 4.442-2.087 12.65-3.236 24.878-1.088l10.978 1.93-.014-11.147c-.03-20-4.383-35.828-14.752-46.682-10.37-10.852-25.516-15.307-43.395-15.79h-.005c-21.498-.587-47.89 4.298-80.78 12.54l-12.01 3.01 6.185 10.72c17.82 30.892 20.35 45.607 18.635 57.835-1.41 10.04-6.747 20.57-11.127 36.323-33.276-14.21-54.31-39.248-54.31-66.194 0-5.457 1.75-11.222 4.128-17.884l2.77-7.768c4.31-5.594 3.082-4.444 4.31-5.594l-87.07-93.033zm231.328 88.69c1.032-.002 2.043.01 3.03.037h.004c15.15.41 24.503 3.856 30.39 10.02 4.566 4.78 7.734 12.16 8.965 23.27-9.47-.514-17.64.672-24.49 3.89-7.2 3.385-12.52 9.362-15.278 16.282-8.773-10.16-11.91-19.657-13.213-30.957-30.474 13.652-38.452-12.414-13.153-20.542 8.877-1.28 16.82-1.978 23.744-2zm.412 64.958c-.395 14.73 6.987 30.445 19.77 45.592-27.713 8.296-55.653 9.176-78.88.162 3.84-15.15 9.727-25.68 12.27-39.562 12.53 3.915 33.24 3.23 46.84-6.192zm-131.336 22.34L77.098 281.68c-12.686-4.224-25.63-9.41-38.614-15.56zm226.5 0L477.04 266.73c-13.155 6.165-26.255 11.33-39.08 15.508zm-213.287 13.48l-29.925 85.85c-9.986-1.393-20.393-3.487-31.086-6.298zm200.077.005l61.345 79.988c-10.8 2.753-21.3 4.773-31.35 6.066zm-185.18 14.04l-1.494 73.176c-7.553.735-15.648.887-24.176.463zm170.28 0l25.67 73.637c-8.555.31-16.65.02-24.183-.857zm-151.665 3.776c3.903 1.71 7.927 3.273 12.052 4.678l5.54 1.887-1.448 53.043-7.024 2.942c-3.268 1.368-6.77 2.548-10.473 3.547zm133.07 1.133l1.312 64.123c-2.69-.806-5.263-1.713-7.71-2.723L307.288 284c-3.073-.493 1.872-51.797 1.872-51.797l5.438-1.87c3.153-1.083 6.238-2.27 9.26-3.536z"}}]})(props);
};
function GiHazardSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.97 34.75c-30.48-.167-59.02 22.12-79.532 62.156-.075.146-.176.26-.25.406L43.063 326.783l-.22.343C18.5 365.413 13.377 401.515 28.47 428.03c15.08 26.498 48.627 40.126 93.5 37.908H387.063c44.887 2.227 78.445-11.404 93.53-37.907 15.09-26.51 9.956-62.595-14.375-100.874l-.22-.375L335.28 98.064c-.06-.12-.124-.225-.186-.344-20.948-40.263-49.626-62.803-80.125-62.97zm.06 18.844c13.576.13 26.453 6.93 38.126 18.343 11.606 11.347 22.554 27.453 33.406 48.344.063.122.125.224.188.345l115.22 201.563c.033.053.058.102.092.156l.125.22c12.92 20.274 21.395 38.06 25.282 53.967 3.91 16.01 3.063 30.648-3.845 42.408-6.908 11.76-19.222 19.533-34.78 23.906-15.444 4.34-34.508 5.656-57.408 4.5H137.625c-24.845 1.258-44.73-.32-60.405-5.125-15.78-4.84-27.68-13.45-33.72-25.69-6.04-12.237-5.862-26.797-1.5-42.436 4.333-15.535 12.815-32.608 24.875-51.53l.22-.377L183.562 120c.08-.157.17-.28.25-.438C194.51 98.644 205.32 82.6 216.875 71.376c11.642-11.307 24.58-17.913 38.156-17.78zm47.657 62.093l-28.53 224.032h-41.844L204.438 120.5c-1.404 2.556-2.81 5.205-4.22 7.97l-.093.218-.125.218-116.938 202.97-.093.187-.126.187C71.28 350.346 63.598 366.226 60 379.125c-3.598 12.9-3.108 22.322.25 29.125 3.358 6.803 9.925 12.28 22.47 16.125 12.542 3.845 30.67 5.547 54.405 4.313l.25-.032h234.313l.25.03c21.85 1.138 39.308-.28 51.875-3.81 12.566-3.533 19.822-8.827 23.687-15.407 3.865-6.58 4.978-15.545 1.813-28.5-3.166-12.958-10.732-29.374-23.094-48.72l-.126-.188-.125-.218-115.658-202.28-.093-.158-.064-.187c-2.5-4.828-4.99-9.326-7.47-13.532zM231.28 361.875h43.907v43.906H231.28v-43.905z"}}]})(props);
};
function GiHazmatSuit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 45c-35.333 0-70.707 3.979-98.607 11.676-26.393 7.28-45.193 18.363-52.12 29.449l31.352 297.842c.901.593 3.648 2.66 9.256 4.601 6.885 2.383 16.619 4.618 28.043 6.45 22.848 3.662 52.539 5.814 82.17 6.12 29.63.307 59.297-1.236 82.039-4.732 11.37-1.747 21.026-4.017 27.777-6.54 5.909-2.21 8.64-4.599 9.408-5.374l31.409-298.367C399.8 75.039 381 63.956 354.607 56.675 326.707 48.98 291.333 45 256 45zm-.01 59.137c37.028-.094 74.071 6.24 114.76 19.293l6.855 2.199-20.869 233.723c-4.116 6.372-11.53 9.046-17.246 10.585-6.246 1.69-13.85 2.969-22.557 4C299.52 376.001 277.78 377 256 377c-21.78 0-43.52-.999-60.934-3.063-8.707-1.031-16.31-2.31-22.556-4-9.482-3.465-12.11-3.738-17.246-10.585L135.035 132.8l-.644-7.235 6.931-2.158c40.627-12.657 77.64-19.178 114.668-19.271zM256 132c-28.005.057-54.002 20.112-68.746 53.033 5.885-.227 12.083-.352 18.184-.16 7.3.23 14.433.904 20.63 2.367 8.487 2.004 14.262 7.006 19.086 10.494C249.978 201.222 253.373 203 256 203c2.627 0 6.022-1.778 10.846-5.266s10.599-8.49 19.086-10.494c11.391-2.689 25.927-2.706 38.869-2.205C310.047 152.09 284.025 132.031 256 132zm163.918.762l-2.17 20.607c7.773 6.04 14.416 13.272 17.897 21.973 5.96 14.901 4.597 36.162-19.118 69.097 1.775.94 3.485 1.911 5.11 2.924 3.523 2.196 6.772 4.686 9.568 7.45 25.766-36.133 29.768-64.61 21.15-86.155-6.63-16.577-19.586-27.807-32.437-35.896zm-225.123 70.111c-3.457.032-6.9.13-10.17.28-5.127.234-9.238.567-13.102.876l14.625 53.547c4.92-4.038 10.766-6.576 17.352-6.576 9.26 0 17.052 5.018 22.863 12.176 2.636-5.164 5.46-9.81 8.405-13.783C240.464 241.703 246 235 256 235s15.537 6.703 21.232 14.393c2.944 3.974 5.77 8.62 8.405 13.783C291.447 256.018 299.24 251 308.5 251c8.432 0 15.648 4.163 21.26 10.31l11.445-57.232c-3.974-.324-8.418-.678-13.83-.926-13.078-.597-28.938-.368-37.307 1.608-3.12.736-7.383 3.733-12.675 7.56C272.1 216.147 265.299 221 256 221c-9.299 0-16.1-4.853-21.393-8.68-5.292-3.827-9.555-6.824-12.675-7.56-4.185-.988-10.241-1.54-16.887-1.77a236.535 236.535 0 0 0-10.25-.117zM256 253.592c-.988.786-3.837 2.56-6.768 6.515-4.175 5.638-8.738 14.157-12.427 24.065C238.89 291.468 240 299.517 240 308c0 14.648-3.288 28.016-9.246 38.416-.581 1.014-1.205 2-1.852 2.967 9.34 5.148 17.63 9.499 27.098 9.617 11.958-.485 18.348-4.945 27.088-9.633a50.455 50.455 0 0 1-1.842-2.951C275.288 336.016 272 322.648 272 308c0-8.483 1.11-16.532 3.195-23.828-3.689-9.908-8.252-18.427-12.427-24.065-2.93-3.956-5.78-5.729-6.768-6.515zm-150.568 5.984c-2.028 1.006-3.887 2.027-5.545 3.06C91.622 267.79 89 272.126 89 276v77.41c7.838-2.207 16.466-4.295 25.65-6.265zm301.136 0l-9.218 87.569c9.184 1.97 17.812 4.058 25.65 6.265V276c0-3.875-2.622-8.211-10.887-13.363-1.658-1.034-3.517-2.055-5.545-3.06zM203.5 269c-3.349 0-7.642 2.56-11.637 9.533C187.868 285.506 185 296.138 185 308c0 11.862 2.868 22.494 6.863 29.467 3.995 6.973 8.288 9.533 11.637 9.533s7.642-2.56 11.637-9.533C219.132 330.494 222 319.862 222 308c0-11.862-2.868-22.494-6.863-29.467-3.995-6.973-8.288-9.533-11.637-9.533zm105 0c-3.349 0-7.642 2.56-11.637 9.533C292.868 285.506 290 296.138 290 308c0 11.862 2.868 22.494 6.863 29.467 3.995 6.973 8.288 9.533 11.637 9.533s7.642-2.56 11.637-9.533C324.132 330.494 327 319.862 327 308c0-11.862-2.868-22.494-6.863-29.467-3.995-6.973-8.288-9.533-11.637-9.533zm-191.943 96.26c-21.468 4.788-39.163 10.107-48.532 14.79-5.316 2.66-10.276 8.685-14.285 17.817s-6.92 20.982-8.845 33.502c-3.292 21.397-3.67 43.333-3.749 59.631h79.827l14.297-57.184 17.46 4.368L139.527 491h232.946l-13.203-52.816 17.46-4.368L391.027 491h79.827c-.08-16.298-.457-38.234-3.749-59.63-1.926-12.521-4.836-24.37-8.845-33.503-4.01-9.132-8.969-15.158-14.285-17.816-9.369-4.684-27.064-10.004-48.532-14.791l-2.664 25.304c-4.272 8.564-13.55 13.506-20.564 16.163-8.624 3.224-19.219 5.606-31.348 7.47-24.258 3.729-54.592 5.254-84.96 4.94-30.37-.314-60.679-2.474-84.83-6.346-12.077-1.936-22.593-4.273-31.083-7.21-10.34-4.82-15.85-6.412-20.738-14.686z"}}]})(props);
};
function GiHeadShot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-30.6 0-59.243 9.113-82.97 24.844l44.064 44.062c24.486-11.704 53.326-11.704 77.812 0l44.063-44.062C315.242 25.114 286.597 16 256 16zM130.844 83.03C115.114 106.758 106 135.402 106 166c0 30.6 9.113 59.245 24.844 82.97l44.062-44.064c-11.704-24.484-11.704-53.326 0-77.812L130.844 83.03zm250.312 0l-44.062 44.064c11.704 24.486 11.704 53.328 0 77.812l44.062 44.063C396.886 225.242 406 196.598 406 166c0-30.6-9.113-59.245-24.844-82.97zm-123.844 38a45 45 0 0 0-46.312 45 45 45 0 0 0 90 0 45 45 0 0 0-43.688-45zm-40.218 126.064l-44.063 44.062C196.758 306.886 225.402 316 256 316c30.6 0 59.243-9.113 82.97-24.844l-44.064-44.062c-24.486 11.704-53.326 11.704-77.812 0zM256 316H46c-15 0-30 15-30 30v60c0 30 45 30 60 90h360c15-60 60-60 60-90v-60c0-15-15-30-30-30H256z"}}]})(props);
};
function GiHeadbandKnot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32.179c-45.506 0-86.897 23.38-117.373 62.168a206.386 206.386 0 0 0-11.254 15.832h73.002c2.733-5.315 6.66-10.46 12.793-14.399 3.446-2.213 7.064-3.268 10.709-3.52 6.075-.417 12.223 1.404 17.777 3.852a53.126 53.126 0 0 1 14.975 9.926c9.205-7.041 20.11-9.561 29.404-11.642l4.535-1.016 3.455 3.111c4.806 4.328 8.823 8.925 12.112 13.688h78.492a206.386 206.386 0 0 0-11.254-15.832C342.897 55.559 301.506 32.179 256 32.179zm-30.688 78.394c-1.284.01-2.15.181-2.42.354-5.915 3.799-7.655 8.787-10.097 17.154-2.075 7.106-4.314 16.292-10.58 24.832 2.843 7.173 7.783 15.326 14.086 22.074 7.56 8.096 16.766 13.95 25.14 15.309 1.807.293 3.708.45 5.67.48-7.474-11.107-9.888-24.559-9.634-36.656.281-13.463 3.083-25.41 7.572-34.22-2.828-2.784-6.734-5.588-10.656-7.317-2.909-1.282-5.604-1.81-7.663-1.96-.514-.039-.99-.053-1.417-.05zm59.858 2.55c-9.444 2.297-16.878 4.945-21.998 11.5-2.201 3.026-7.422 16.636-7.7 29.874-.265 12.682 2.9 24.753 12.24 32.479 1.843-.69 3.66-1.46 5.429-2.325 10.331-5.046 18.845-12.887 22.683-21.232 7.277-15.822 6.017-33.366-10.654-50.297zm-178.926 15.056c-9.029 11.163-14.688 31.627-16.52 46h103.104l.03-.098c-4.29-6.65-7.555-13.612-9.508-20.418l-1.424-4.959 3.558-3.734c4.444-4.664 6.53-10.221 8.514-16.791zm208.715 0c4.511 14.611 3.244 29.655-2.783 42.76-.249.54-.52 1.067-.787 1.597.202.548.397 1.095.601 1.643h110.285c-1.831-14.373-7.49-34.837-16.52-46zm-16.416 60.937c-5.188 4.691-11.161 8.612-17.502 11.71-6.143 3-12.668 5.25-19.303 6.589 27.442 95.565 85.556 206.976 133.551 268.828 5.128-11.45 11.311-23.781 20.47-33.836 8.668-9.514 20.858-16.275 35.714-17.263-60.1-74.013-119.94-152.686-152.93-236.028zm-92.248 1.358C175.222 280.693 111.57 368.625 51.55 449.003c14.89-1.23 28.072 1.314 39.115 6.906 11.172 5.658 19.954 14.136 26.707 23.912 45.553-87.993 101.59-175.243 125.314-271.258a57.998 57.998 0 0 1-4.128-.501c-12.458-2.022-23.344-8.932-32.264-17.588zm-111.752 1.705c-3.608 17.544-5.543 35.976-5.543 55 0 34.046 6.184 66.201 17.105 94.742 32.908-49.097 62.087-99.504 80.573-149.742zm224.639 0c21.27 49.982 52.653 99.024 87.836 146.736C417.236 311.129 423 280.036 423 247.179c0-19.024-1.935-37.456-5.543-55zm-66.416 47.697c-20.539 66.554-54.291 128.19-87.139 188.06 26.177 21.789 57.177 34.243 90.373 34.243 31.565 0 61.147-11.259 86.482-31.096-34.201-55.569-67.763-125.04-89.716-191.207z"}}]})(props);
};
function GiHeadphones (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 51c-54.994 0-107.32 25.053-148.22 66.826l16.525 8.264C163.22 88.012 210.558 65 256 65c45.45 0 92.803 22.997 131.725 61.074l16.496-8.248C363.32 76.053 310.995 51 256 51zM95.178 131.652C54.13 180.022 27.215 246.514 25.195 321h14.022c2.225-70.647 30.325-133.29 69.992-178.906.695-.8 1.403-1.583 2.106-2.373l-16.138-8.068zm321.644 0l-16.107 8.055c.692.778 1.39 1.548 2.076 2.336C442.46 187.646 470.56 250.29 472.784 321h14.022c-2.02-74.486-28.935-140.978-69.983-189.348zM128.042 262.8c-3.485-.013-6.98 1.078-7.042 3.415V458c0 4 14 4 14 0V266c0-2.074-3.473-3.19-6.96-3.2zm255.917 0c-3.487.01-6.96 1.126-6.96 3.2v192c0 4 14 4 14 0V266.215c-.06-2.337-3.557-3.428-7.04-3.416zM103 275.73c-15.623 2.393-25.644 11.16-33.133 24.64C61.022 316.294 57 339 57 362s4.022 45.707 12.867 61.63c7.49 13.48 17.51 22.247 33.133 24.64V275.73zm306 0v172.54c15.623-2.393 25.644-11.16 33.133-24.64C450.978 407.706 455 385 455 362s-4.022-45.707-12.867-61.63c-7.49-13.48-17.51-22.247-33.133-24.64zM25 339v46h14v-46H25zm448 0v46h14v-46h-14z"}}]})(props);
};
function GiHeadshot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M324.55 177A69 69 0 0 1 264 238v-29a40.7 40.7 0 0 1-16 .05v29a69.25 69.25 0 0 1-60.84-61h29a40.59 40.59 0 0 1 .1-16h-29.1A69.67 69.67 0 0 1 248 100.58v29a40.7 40.7 0 0 1 16 .05v-29c32 3.68 56.87 29.42 60.55 60.42h-29.07a40.59 40.59 0 0 1 .1 16h29zm120.31 79c0 131.42-84.72 238.33-188.86 238.33-104.14 0-188.86-106.91-188.86-238.33 0-131.42 84.72-238.33 188.86-238.33 104.14 0 188.86 106.91 188.86 238.33zm-228.7 39.53c0-10.7-17.85-19.38-39.87-19.38-22.02 0-39.87 8.68-39.87 19.38s17.85 19.38 39.87 19.38c22.02 0 39.87-8.67 39.87-19.38zM264 254.06A85.59 85.59 0 0 0 340.64 177H364v-16h-23.36C336.84 121 304 88.29 264 84.49V64h-16v20.49A85.35 85.35 0 0 0 171.07 161H146v16h25.07A85 85 0 0 0 248 254.06V273h16v-18.94zm112.83 41.48c0-10.7-17.85-19.38-39.87-19.38-22.02 0-39.87 8.68-39.87 19.38s17.85 19.38 39.87 19.38c22.02 0 39.87-8.68 39.87-19.39z"}}]})(props);
};
function GiHealing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M250.9 18.9c-23.9 2.99-45.3 30.65-45.3 66.99 0 19.91 6.8 37.41 16.8 49.61l12.2 14.5-18.7 3.5c-13 2.5-22.6 9.5-30.7 20.8-8.5 11.5-14.8 26.9-19.1 45.2-8 32.7-9.9 72.7-9.9 108.2h43.6l11.7 160.5c30.4 7 63.1 6.5 92.3 0l10.7-160.5H356c0-35.7-.5-76.4-7.8-109.7-3.9-17.9-10-33.7-18.2-45.1-8.2-11.1-18.5-17.8-33.3-20.1l-18.9-3 11.9-14.9c9.9-12.1 16.4-29.6 16.4-49.01 0-38.54-24-66.99-50.3-66.99h-4.9zm145 3.59v41.85h-41.8v50.16h41.8v41.6h49.9v-41.6h41.9V64.34h-41.9V22.49h-49.9zM52.92 62.89v30.58H22.39v36.63h30.53v30.4h36.4v-30.4h30.58V93.47H89.32V62.89h-36.4zM92.63 199.7v21.8H70.75v26.3h21.88v21.9h26.27v-21.9h21.8v-26.3h-21.8v-21.8H92.63zm355.07 62.4v21.8h-21.9v26.3h21.9v21.9H474v-21.9h21.8v-26.3H474v-21.8h-26.3zm-307.5 99.4v15h-15v18h15v15h18.1v-15h15v-18h-15v-15h-18.1zm230 45.8v15h-15v18h15v15h18v-15h15v-18h-15v-15h-18zM49.32 431.8v15h-15v18h15v15h18.01v-15h15v-18h-15v-15H49.32z"}}]})(props);
};
function GiHealthCapsule (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M314 29.72l-11.4 11.35 32.5 32.54 11.4-11.39-32.5-32.5zm38.3 2.74c-3.5-.04-6.8.1-9.6.39 0 0-.1.01-.1.02l61.9 61.87 30.8-30.82c-19.8-17.03-43.2-26-63.5-29.57-5.6-.99-11-1.56-15.9-1.79-1.2-.05-2.4-.09-3.6-.1zm-51.1 32.69L65.15 301.3 108.9 345l4.9-4.9 6.4-6.3 58 58-11.3 11.3 43.8 43.8 236.2-236.1L301.2 65.15zm58.1 9.83l-11.4 11.39 77.7 77.73 11.4-11.4-77.7-77.72zm88.8 1.7l-30.8 30.82 61.9 62v-.2c.8-7.6.5-17.9-1.5-29.1-3.6-20.3-12.6-43.73-29.6-63.52zm1.7 88.82l-11.4 11.4 32.5 32.5 11.4-11.4-32.5-32.5zm-227.7 11.3l33.9 33.9 33.9-33.9 45.3 45.3-33.9 33.9 33.9 33.9-45.3 45.3-33.9-33.9-33.9 33.9-45.3-45.3 33.9-33.9-33.9-33.9 45.3-45.3zM40.94 302.6L29.7 314l55.14 55.1 11.31-11.3-55.21-55.2zm-8.08 40c0 .1-.01.1-.01.1-.78 7.6-.48 17.9 1.5 29.1 3.98 22.6 14.65 49.1 35.68 70.1 21.03 21.1 47.57 31.8 70.17 35.8 11.2 2 21.5 2.3 29.1 1.5h.2l-39.4-39.4-9.9 9.9-57.96-57.9 9.9-9.9-39.28-39.3zm87.34 16.6l-32.5 32.6 32.5 32.5 32.6-32.5-32.6-32.6zm34 56.6l-11.4 11.3 55.2 55.2 11.4-11.3-55.2-55.2z"}}]})(props);
};
function GiHealthDecrease (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196 16c-16.62 0-30 13.38-30 30v120H46c-16.62 0-30 13.38-30 30v120c0 16.62 13.38 30 30 30h120v120c0 16.62 13.38 30 30 30h120c16.62 0 30-13.38 30-30V346h120c16.62 0 30-13.38 30-30V196c0-16.62-13.38-30-30-30H346V46c0-16.62-13.38-30-30-30zm0 135h120l-60 60zm0 75h120l-60 60zm0 75h120l-60 60z"}}]})(props);
};
function GiHealthIncrease (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196 496c-16.62 0-30-13.38-30-30V346H46c-16.62 0-30-13.38-30-30V196c0-16.62 13.38-30 30-30h120V46c0-16.62 13.38-30 30-30h120c16.62 0 30 13.38 30 30v120h120c16.62 0 30 13.38 30 30v120c0 16.62-13.38 30-30 30H346v120c0 16.62-13.38 30-30 30zm0-135h120l-60-60zm0-75h120l-60-60zm0-75h120l-60-60z"}}]})(props);
};
function GiHealthNormal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196 16a30 30 0 0 0-30 30v120H46a30 30 0 0 0-30 30v120a30 30 0 0 0 30 30h120v120a30 30 0 0 0 30 30h120a30 30 0 0 0 30-30V346h120a30 30 0 0 0 30-30V196a30 30 0 0 0-30-30H346V46a30 30 0 0 0-30-30H196z"}}]})(props);
};
function GiHealthPotion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192 17.65l16 34h96l16-34zm-9 53v51.95h32v22.2c-19.3-9-42.6-8.2-55-8.2-50.5 0-82.1 21.9-99.5 48-17.4 26.1-21.5 55.5-21.5 73 0 52.5 38.6 94.4 83.3 131C167 425.1 219 457.3 249.6 488l6.4 6.3 6.4-6.3c30.6-30.7 82.6-62.9 127.3-99.4 44.7-36.6 83.3-78.5 83.3-131 0-17.5-4.1-46.9-21.5-73s-49-48-99.5-48c-12.4 0-35.7-.8-55 8.2v-22.2h32V70.65zm18 18h110v15.95H201zm32 33.95h46v60.7l15.4-15.3c11.7-11.8 41.6-13.4 57.6-13.4 45.5 0 69.9 18.1 84.5 40 14.6 21.9 18.5 48.5 18.5 63 0 43.5-33.4 81.7-76.7 117-40.7 33.4-89 63.5-122.3 94.7-33.3-31.2-81.6-61.3-122.3-94.7-43.3-35.3-76.7-73.5-76.7-117 0-14.5 3.9-41.1 18.5-63s39-40 84.5-40c16 0 45.9 1.6 57.6 13.4l15.4 15.3zm-41 71c-64 0-80 48-80 80 0 64 80 96 144 144 64-48 144-80 144-144 0-32-16-80-80-80-32 0-48 0-64 48-16-48-32-48-64-48zm125.7 14.6c3.6-.1 5.9.3 5.8.6-16.5 7.3-33.9 24.4-44.6 41.7 0 0-3.2-17.7 9.9-31.9 7.4-8.1 21.1-10.3 28.9-10.4zM192 209.6c-24 21.5-41.3 58.2-47.2 90.4 0 0-19.5-23.7-7.7-53.4 9.8-24.5 50.1-36.5 54.9-37z"}}]})(props);
};
function GiHearingDisabled (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M453.395 34.029l24.582 24.582L58.605 477.983 34.023 453.4zM212.917 243.597c-10.164-11.756-24.058-17.25-37.995-15.305q-.268 14.407-.642 28.451-.416 17.101-.748 32.951l42.335-42.335a46.754 46.754 0 0 0-2.929-3.762zM189.735 415.31c7.236 3.773 19.591-3.42 28.686-10.11l10.132 13.765c-13.167 9.694-24.507 14.514-34.276 14.514a26.517 26.517 0 0 1-12.44-3.003c-9.62-5.034-15.882-15.647-19.773-31.786l-48.33 48.299c25.864 71.523 159.463 42.816 159.463-70.647 0-65.581 98.82-69.343 122.365-155.06 6.296-22.915 8.423-43.906 6.958-63.059L176.59 384.154c3.41 21.418 8.753 28.878 13.146 31.155zM157.18 256.337c.609-25.116 1.24-51.088 1.304-77.872.064-26.207 5.43-47.903 15.946-64.48a74.58 74.58 0 0 1 39.641-31.24c40.005-13.777 91.393 3.302 110.61 27.788l-13.446 10.56c-15.038-19.153-59.243-33.304-91.595-22.167-20.991 7.214-34.768 23.887-40.71 48.8a101.16 101.16 0 0 1 21.525-15.294c22.07-11.393 44.056-10.549 63.593 2.448l-9.47 14.236c-12.387-8.24-25.843-9.694-39.983-4.275-22.22 8.454-37.408 29.563-39.01 34.415q0 16.117-.321 31.797c18.789-1.785 37.15 5.824 50.607 21.375.77.898 1.518 1.807 2.234 2.726L376.078 87.169c-14.011-18.79-32.95-34.607-55.577-47.668-54.465-31.55-211.043-12.665-211.043 108.856V353.79l46.77-46.813c.15-15.444.514-32.33.952-50.639z"}}]})(props);
};
function GiHeartArmor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M144.1 40.28c-24.1-.1-47.24 3.34-67.2 8.33-15.97 3.99-29.92 8.98-40.69 13.88-5.21 2.36-9.66 4.78-13.2 6.95 9.88 8.36 25.58 20.31 42.11 30.76 22.13 14.1 47.08 25.4 59.08 25.4 5.2 0 11.6-2.8 18.3-8.6 6.7-5.8 13.5-14.4 19.3-24.08 9.7-16.2 16.6-35.75 18.6-49.63-12.2-1.96-24.3-3.01-36.3-3.01zm223.8 0c-12 0-24.1 1.05-36.3 3.01 2 13.88 8.9 33.43 18.6 49.63 5.8 9.68 12.6 18.28 19.3 24.08 6.7 5.8 13.1 8.6 18.3 8.6 12 0 36.9-11.3 59.1-25.4 16.5-10.45 32.2-22.4 42.1-30.76-3.6-2.17-8-4.58-13.2-6.95C465 57.6 451 52.6 435.1 48.61c-20-4.99-43.1-8.43-67.2-8.33zm-169.3 3.78c-.6 5.65-1.9 11.62-3.6 17.74 19.1 5.18 40.1 7.68 61 7.68 21 0 41.9-2.5 61-7.69-1.7-6.11-3-12.08-3.6-17.73-17.6 4.86-37.5 7.42-57.4 7.42s-39.8-2.56-57.4-7.42zm130.5 47.92L233 139.7l14.4 86.2 71.1 14.2c11.7-13.7 26.8-28.5 38.3-45.4 11-16.2 18.5-33.6 17.2-53.8-5.8-2.3-11.3-6-16.3-10.3-8.7-7.6-16.4-17.5-22.9-28.4-2-3.27-3.9-6.75-5.7-10.22zm-11.3 24.82l30 30.3.5 2.7c3 15.8-2.6 29.6-9.7 40.1-7.2 10.6-15.9 18.8-20.5 24.7l-3.5 4.3-50.5-10.3-10-59.9 57.9-28.9zm-154.6 4.8c-2.8 3.3-5.8 6.3-8.9 9-3.2 2.8-6.6 5.2-10.1 7.2-3.2 44.7-8.5 90.5-15.8 133.9 6.2-2.6 12.9-6.1 19.9-10.4 7.2-45.8 12.2-93.6 14.9-139.7zm151 17.2l-40.1 20.1 5.8 34.5 27.8 5.7c5.4-6.2 11.3-12.4 16-19.2 5.2-7.7 8.1-15.4 7.1-24.4zm59.6 62.9c-.7 1-1.4 2.1-2.1 3.1-4.3 6.2-8.9 12.1-13.5 17.7 6.8 53.2 16.5 105.2 29.1 150.3h18.5c-14.3-49.9-25-110-32-171.1zm-146 16.8c-19.6 19.4-39.2 36.8-57.9 50-19.8 14-38.4 23.9-56.1 26.3L102 371.1c13.6-3.6 33.4-12.8 55.1-26.7 28.4-18.1 60.8-43.5 92-72 8.1-7.5 16.2-15.2 24-23l-41.5-8.3zm.8 139.4L216 383.2l14.6 88.5h50.8l14.6-88.5-12.6-25.3zm-125.9 32.9l12 47.9h92.2l-8-47.9zm210.4 0l-8 47.9h92.2l12-47.9z"}}]})(props);
};
function GiHeartBattery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M454.6 16.71c-12.1.21-23.6 6.62-29.1 17.97-6.5 12.86-3.2 27.92 6.5 37.82l-18-8.9-4.7 9.55-45.9-45.56-37.9 59.37-48-48.77L245.8 124l-29.4-94.07-37.1 60.45-18.6-55.15-58.4 36.98-4.29-8.65-18.1 8.96c9.68-9.93 12.96-24.97 6.59-37.83-5.62-11.35-17.12-17.76-29.2-17.97-5.49-.1-11.09 1.09-16.32 3.67-16.71 8.28-24.42 28.36-16.25 44.87 6.37 12.87 20.32 19.38 34.08 17.7l-18.12 8.97 7.98 16.17 20.61-10.2 6.19 12.5-20.58 10.2 7.99 16.2 20.6-10.2 6.18 12.5-20.59 10.2 7.99 16.2 20.61-10.2 6.23 12.5L83.27 178l7.98 16.2L111.9 184l6.9 13.9c-25.56 18.6-39.11 52-38.9 73.3 1.5 47.3 34.2 79.4 74.8 114.8 35.4 30.8 76.1 63.2 100.9 110 .1-.1.1-.2.2-.3.1.1.1.2.2.3 24.8-46.8 65.5-79.2 100.9-110 40.6-35.4 73.3-67.5 74.8-114.8.2-21.2-13.2-54.5-38.6-73.1l7-14.1 20.7 10.2 7.8-16.2-20.6-10.2 6.3-12.5 20.5 10.2 8-16.2-20.5-10.2 6.2-12.5 20.6 10.2 8-16.2-20.6-10.2 6.1-12.5 20.7 10.2 8-16.2-18.2-8.9c13.8 1.6 27.7-4.9 34.2-17.7 8.2-16.56.5-36.64-16.3-44.92-5.2-2.58-10.9-3.77-16.4-3.67zM148 63.86l20.6 69.94 46.7-45.01 23.9 89.81 54.6-86.26 35.6 56.16 31.9-79.86 46 8.41-1.3 2.65 20.5 10.2-6.2 12.5-20.5-10.2-8 16.2 20.5 10.2-6.2 12.5-20.5-10.2-8 16.2 20.6 10.2-6.2 12.5-20.6-10.2-8 16.2L384 176l-6.6 13.2c-7.6-3.1-15.9-4.9-25-5-38-.5-82.6 25.7-96.6 67.7-14-42-58.6-68.2-96.6-67.7-8.9.1-17.2 1.9-24.7 4.9L128 176l20.6-10.2-8-16.2-20.6 10.2-6.2-12.5 20.6-10.2-8-16.2-20.6 10.2-6.17-12.5 20.57-10.2-8-16.16-20.57 10.16-6.2-12.51L106 79.7l-2.2-4.37L148 63.86z"}}]})(props);
};
function GiHeartBeats (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M366.688 30.027c-1.01-.01-2.022-.01-3.034.004h.002c-41.495.563-83.634 22.155-110.844 69.282-41.912-117.77-236.49-76.29-232 64.5.64 20.068 5.132 38.987 12.454 56.917h76.45l21.22-74.126 26.375 90.134 18.46-64.312 17.238 48.303H328.1l21.222-74.126 26.375 90.13 18.46-64.308 17.238 48.303h72.517c7.097-18.183 10.927-37.136 10.307-56.917-2.61-83.04-63.874-133.082-127.533-133.786zM131.125 211.34l-7.842 27.39h-81.58c54.51 103.006 197.737 172.59 216.172 241.395 16.782-62.62 165.07-139.482 217.855-241.396h-77.023l-2.69-7.542-20.154 70.208-26.353-90.054-7.84 27.387H180.32l-2.69-7.54-20.15 70.206-26.355-90.056z"}}]})(props);
};
function GiHeartBottle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.875 24.25l-11.53 42.906 141.218 37.875 11.5-42.905L252.875 24.25zm.78 65.563l-6.843 25.468-18.375-4.936c-42.78-11.464-87.073 13.496-98.562 56.375L80 352.843c-11.49 42.88 14.12 87.232 57 98.72l143.438 38.436c42.88 11.49 86.63-14.376 98.093-57.156l49.876-186.156c11.462-42.78-13.752-86.44-56.53-97.907v-.03l-19.032-5.094 6.812-25.437-18.03-4.845-9.25 34.5-2.407 9 .124.03c-9.833 28.888 56.393 96.208 82.312 64.69.418 6.612-.198 13.437-2.03 20.28l-2.75 10.22h-45.72c9.88 13.787 13.913 32.493 7.656 53.155-9.313 30.756-36.22 45.28-62.687 58.125-26.467 12.846-53.43 24.8-70.28 47.97L222.687 430.5 219.78 407c-3.545-28.56-21.868-51.723-38.78-75.813-8.456-12.044-16.508-24.29-21.406-37.968-4.487-12.53-6.085-26.434-2.563-41.126h-30.686l21.594-80.563c8.87-33.105 42.48-52.054 75.687-43.155l27.406 7.344 9 2.436 2.44-9.03 9.25-34.47-18.064-4.844zM217.47 220.188c-17.402.35-34.707 10.976-41.44 33.25-3.707 12.27-2.716 22.65 1.157 33.468 3.874 10.817 10.928 21.855 19.125 33.53 13.337 18.998 29.728 39.8 37.782 65.69 19.37-18.71 43.527-29.34 64.594-39.563 25.93-12.587 46.112-23.974 53-46.72 7.507-24.79-2.893-40.962-19.344-49-16.45-8.037-39.098-6.47-56.156 10.5l-11.907 11.844-3.81-16.375c-5.908-25.504-23.357-36.304-41.314-36.625-.56-.01-1.126-.01-1.687 0z"}}]})(props);
};
function GiHeartDrop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M145.25 56.72c-61.374.112-120.404 46.204-122.844 121.093-4.38 134.45 178.216 168.506 234.72 302.718 53.49-134.2 231.247-176.35 235.437-302.717 4.18-126.053-147.904-156.787-221.438-70.657-7.116 15.426-7.685 30.843-5.406 39.344 21.644 80.778 64.56 103.038 64.56 167.375 0 36.398-35.61 62.72-73.092 62.72-36.658 0-74.563-28.165-74.563-66.5 0-67.058 43.713-80.063 66.188-163.94 2.656-9.91-1.38-32.71-14.563-50.968-.03-.032-.063-.06-.094-.093-25.38-26.418-57.45-38.433-88.906-38.375zm128.344 195.06c8.576 8.258 13.937 19.843 13.937 32.69 0 25.066-20.337 45.374-45.405 45.374-4.06 0-8.005-.533-11.75-1.53 5.736-4.15 9.594-11.757 9.594-20.44 0-13.13-8.817-23.75-19.657-23.75s-19.625 10.62-19.625 23.75c0 4.104.864 7.976 2.375 11.345 6.368 23.624 27.828 40.905 53.53 40.905 30.76 0 55.5-24.74 55.5-55.5 0-24.82-16.12-45.704-38.5-52.844z"}}]})(props);
};
function GiHeartEarrings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M143.3 24.25c-1.2-.01-2.5.02-3.7.1-9.8.61-19.9 3.54-29.3 7.02C91.57 38.34 75.43 47.9 75.43 47.9l9.14 15.5s15.16-8.89 32.03-15.15c8.4-3.13 17.3-5.51 24.1-5.94 6.9-.43 10.6.91 12.4 3.1 2.1 2.48 2.7 6.78.9 13.88-1.7 7.1-5.9 15.86-10.8 24.05-7.2 12.01-15.6 22.66-19.6 27.56-20.5 2.3-36.6 19.8-36.6 40.8 0 12.9 6.08 24.5 15.5 32-9.42 7.5-15.5 19.1-15.5 32 0 19.4 13.8 35.8 32 40V315c-12.9-16.8-34.09-26.8-52.75-26.5-32.93.3-50.94 35.9-50.76 55.5.94 30.3 21.88 50.8 47.83 73.4 22.59 19.7 48.58 40.4 64.38 70.3.1-.1.1-.1.2-.1s.1 0 .1.1c15.8-29.9 41.9-50.6 64.4-70.3 26.1-22.6 46.9-43.1 47.9-73.4.1-19.6-17.9-55.2-50.7-55.5-18.7-.3-39.7 9.5-52.6 26.3v-59.1c18.2-4.2 32-20.6 32-40 0-12.9-6.1-24.5-15.5-32 9.4-7.5 15.5-19.1 15.5-32 0-16.8-10.3-31.4-24.9-37.7 4.3-5.8 9.6-13.2 14.5-21.43 5.4-9.06 10.4-18.93 12.9-28.91s2.5-21.21-4.6-29.77c-6-7.23-14.9-9.58-23.6-9.64zm256 0c-1.2-.01-2.5.02-3.7.1-9.8.61-19.9 3.54-29.3 7.02-18.7 6.97-34.9 16.53-34.9 16.53l9.2 15.5s15.1-8.89 32-15.15c8.4-3.13 17.3-5.51 24.1-5.94 6.9-.43 10.6.91 12.4 3.1 2.1 2.48 2.7 6.78.9 13.88-1.7 7.1-5.9 15.86-10.8 24.05-7.2 12.01-15.6 22.66-19.6 27.56-20.5 2.3-36.6 19.8-36.6 40.8 0 12.9 6.1 24.5 15.5 32-9.4 7.5-15.5 19.1-15.5 32 0 19.4 13.8 35.8 32 40V315c-12.8-16.8-34-26.7-52.6-26.4-32.9.3-50.9 35.9-50.7 55.5.9 30.3 21.9 50.8 47.8 73.4 22.6 19.7 48.6 40.4 64.3 70.3.1-.1.1-.1.2-.1s.1 0 .1.1c15.8-29.9 41.9-50.6 64.4-70.3 26.1-22.6 46.9-43.1 47.9-73.4.1-19.6-17.9-55.2-50.7-55.5-18.7-.3-39.9 9.6-52.7 26.4v-59.3c18.2-4.2 32-20.6 32-40 0-12.9-6.1-24.5-15.5-32 9.4-7.5 15.5-19.1 15.5-32 0-16.8-10.3-31.4-24.9-37.7 4.3-5.8 9.6-13.2 14.5-21.43 5.4-9.06 10.4-18.93 12.9-28.91s2.5-21.21-4.6-29.77c-6-7.23-14.9-9.58-23.6-9.64zM128 128.7c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23 10.2-23 23-23zm256 0c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23 10.2-23 23-23zm-256 64c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23 10.2-23 23-23zm256 0c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23 10.2-23 23-23z"}}]})(props);
};
function GiHeartInside (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M303.25 20.813c-19.18.348-39.962 9.117-56.5 25.656-22.422 22.42-30.52 52.633-22.75 76.093-65.983-30.33-59.733-32.19-123.344-73-10.072-6.463-19.472-9.42-27.844-9.813-.872-.04-1.743-.045-2.593-.03-12.75.2-22.962 6.374-29.532 14.936C29.474 69.27 28.334 90.84 51.656 109.094c31.026 24.285 58.81 41.01 79 59.437 20.19 18.43 32.648 40.622 28.344 70.064-3.158 21.608-13.658 37.998-26.438 51.47-12.78 13.47-27.778 24.454-41.468 36.655-27.38 24.4-50.33 51.783-45.063 114.28 3.328 39.483 34.19 55.117 59.69 52.375 12.748-1.37 23.477-7.368 29.374-17.5 5.896-10.132 7.696-25.406-1.03-47.72-7.595-19.415 3.133-40.834 18.374-57.092 15.24-16.26 36.798-28.82 58.843-25 6.177 1.07 11.454 4.72 15.064 9.156 3.61 4.434 5.964 9.587 7.937 15.217 3.948 11.262 6.27 24.706 9.126 38.594 5.712 27.78 13.663 55.97 33.063 68.47 37.963 24.468 75.257 17.39 91.905.438 8.324-8.477 11.914-18.828 9.125-31.125-2.79-12.298-12.677-27.19-34.25-41.875-23.664-16.11-32.655-48.258-33.844-80.094-1.19-31.836 5.287-64.078 20.125-84.03 6.88-9.25 17.516-13.15 29.626-17.44 12.11-4.288 26.207-8.474 40.75-14.686 29.086-12.426 59.667-32.198 79.156-76.782 17.078-39.068 3.342-64.286-15.312-73.47-9.327-4.59-20.13-5.16-30.438-.655-10.307 4.507-20.43 14.22-27.437 31.782-13.14 32.934-39.188 51.677-70.406 56.407-8.096 1.225-16.526 1.577-25.22 1.155 7.504-4.07 14.71-9.367 21.25-15.906 29.4-29.402 34.242-72.228 10.844-95.626-10.237-10.237-24.176-15.053-39.094-14.782zm-87.688 129.343c15.512-.115 31.634 10.905 35.813 30.75 28.278-25.368 67.325-2.347 56.72 33.906-10.762 36.783-76.172 43.73-88.064 61.97 1.293-23.756-45.864-63.673-34.655-102.063 4.877-16.708 17.335-24.468 30.188-24.564z","fillRule":"evenodd"}}]})(props);
};
function GiHeartKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M190.4 39.83c-14.4.16-28.1 4.81-39.9 12.2-26.9 17.04-42.2 48.27-30.8 74.77l6.8 15.9-15.9-6.8c-21.54-9.3-46.22-.9-63.82 17-4.03 4.2-7.78 8.8-10.96 13.8-16.97 27-19.45 63.9 13.15 96.5C72.23 286.4 118 291.5 164 290.4c23.1-.6 45.9-2.5 65.9-3.7 5-.3 9.8-.6 14.4-.8l186.3 186.3 25.4-25.4-.1-.1 32.6-32.5-25.4-25.4-32.6 32.5-18.4-18.4 21.2-21.2-25.4-25.4-21.2 21.2-17-17 55.1-55.2-25.4-25.4-55.1 55.2-74.6-74.6c.2-4.6.5-9.4.8-14.4 1.2-20 3.1-42.8 3.7-65.9 1-45.9-4-91.75-27.2-115.02-18.3-18.34-38.1-25.55-56.6-25.35z"}}]})(props);
};
function GiHeartMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M372.48 31.215c-77.65 0-116.48 65.73-116.48 65.73s-38.83-65.72-116.48-65.72c-37.14 0-107.77 33.72-107.77 125.13 0 161.24 224.25 324.43 224.25 324.43s224.25-163.19 224.25-324.43c0-91.42-70.63-125.13-107.77-125.14zM146.924 225.65h220v60.7h-220z"}}]})(props);
};
function GiHeartNecklace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M73.09 23.21h1.2c6.9.31 12.8 4.74 17.2 9.89 5.4 6.35 9.41 14.82 11.71 24.59 2.4 9.77 2.7 19.13.8 27.22-.5 2.17-1.2 4.35-2.1 6.42 5.2.24 10.3 2.59 14.6 5.6 6.7 4.87 12.7 12.07 17.4 20.97 4.7 8.9 7.3 17.9 7.6 26.2.1 5.8-1 11.9-4.5 16.6 6.6-1.7 13.5.4 19.1 3.8 7.2 4.2 13.7 10.9 19.2 19.4 5.4 8.4 8.8 17.2 9.7 25.4.3 3 .3 6.1-.2 9.1 5-.8 10.3.3 15 2.1 7.6 3.1 15.1 8.7 21.8 16.3 6.6 7.5 11.3 15.6 13.4 23.7 1.1 4 1.6 8.4.9 12.6 5.6-3.2 12.5-4.8 20.1-4.8 7.7 0 14.5 1.6 20.2 4.8-.7-4.1-.3-8.5.8-12.6 2.2-8.1 6.8-16.2 13.5-23.8 6.6-7.6 14.1-13.1 21.9-16.3 4.6-1.9 9.9-2.9 14.9-2.1-.5-3-.5-6.1-.2-9 .9-8.3 4.2-17 9.7-25.5 5.5-8.5 12-15.1 19.2-19.4 5.6-3.3 12.4-5.5 18.8-3.8-3.3-4.7-4.4-10.8-4.3-16.6.2-8.3 2.8-17.3 7.5-26.1 4.7-9 10.7-16.1 17.5-20.94 4.2-3.09 9.3-5.46 14.6-5.7-.9-2.04-1.6-4.18-2.1-6.32-1.8-8.07-1.6-17.43.8-27.2 2.3-9.76 6.3-18.22 11.7-24.57 5.3-6.36 13.2-11.59 22.2-9.42s13.6 10.39 15.4 18.48c1.9 8.09 1.6 17.46-.7 27.23-2.4 9.77-6.4 18.24-11.7 24.56-4.5 5.29-10.5 9.78-17.6 9.98 1.2 3.5 1.7 7.4 1.5 11.1-.1 8.3-2.7 17.2-7.4 26.2-4.7 8.8-10.7 16-17.4 20.8-5.8 4.2-13 7-20.1 5.2 3.7 5.1 4.5 11.8 3.9 18.1-1 8.3-4.3 17-9.8 25.5-5.4 8.5-12 15.1-19.1 19.4-5.2 3-11.4 5.1-17.3 4.1.5 3.9 0 7.9-1 11.7-2.2 8-6.8 16.1-13.5 23.7-6.6 7.6-14.1 13.1-21.9 16.3-5 2-10.8 3.1-16.2 1.9 1.1 2.1 2 4.3 2.7 6.5.7 2.1 1.3 4.2 1.8 6.3-6.4.7-12.2 2.1-17.5 4.2-.4-1.7-.8-3.4-1.3-4.9-1.7-4.8-3.8-8.1-6.5-10.2-2.8-2.1-6.5-3.6-13-3.6s-10.2 1.5-13 3.6c-2.7 2.1-4.8 5.4-6.5 10.2-.5 1.5-.9 3.2-1.3 4.9-5.3-2.1-11.1-3.5-17.5-4.2.5-2.1 1.1-4.2 1.8-6.3.7-2.2 1.6-4.4 2.6-6.4-5.3 1.1-11.1 0-16.1-2-7.7-3.1-15.2-8.7-21.9-16.2-6.6-7.6-11.3-15.7-13.4-23.7-1-3.8-1.5-7.9-1-11.7-6 1-12.2-1.1-17.3-4.2-7.2-4.2-13.7-10.9-19.2-19.4-5.4-8.4-8.8-17.2-9.7-25.4-.7-6.3.1-13 3.8-18.2-7.1 1.9-14.3-1-20.1-5-6.8-4.9-12.71-12.1-17.51-21-4.7-8.9-7.3-17.8-7.5-26.2 0-3.7.4-7.6 1.7-11.2-7.1-.2-13.2-4.66-17.6-9.87-5.3-6.36-9.3-14.83-11.7-24.6-2.3-9.77-2.6-19.13-.8-27.22 2-8.11 6.5-16.32 15.5-18.49 1.3-.31 2.5-.47 3.8-.51zm-1.8 23.09c-.9 4.5-1 11.54.8 18.95 1.8 7.4 5 13.65 8 17.21 2.4 2.85 3.9 3.31 4.1 3.25.3-.1 1.4-1.17 2.3-4.79.9-4.51 1-11.54-.8-18.95s-5-13.65-7.9-17.22c-2.5-2.84-4-3.31-4.3-3.25-.2.1-1.3 1.17-2.2 4.8zm363.01-1.55c-3 3.55-6.2 9.8-8 17.21-1.8 7.41-1.8 14.44-.7 18.96.8 3.54 1.9 4.68 2.2 4.75.3.1 1.8-.45 4.1-3.23 3-3.54 6.2-9.8 8-17.2 1.8-7.41 1.8-14.44.7-18.96-.8-3.55-1.9-4.69-2.2-4.76-.3-.1-1.8.45-4.1 3.23zm-28.4 66.75c-3.8 2.7-8.4 8-12 14.7-3.5 6.7-5.3 13.5-5.4 18.2-.1 3.6.7 5 1 5.1.2.2 1.8 0 4.8-2.1 3.8-2.7 8.4-7.9 12-14.7 3.5-6.7 5.3-13.5 5.4-18.1.1-3.5-.7-5-.9-5.2-.3-.1-1.9 0-4.9 2.1zm-305.7 3.1c.2 4.6 1.9 11.5 5.4 18.2 3.6 6.7 8.3 12 12 14.7 3 2.2 4.6 2.3 5 2.3.1-.2.9-1.5.9-5.4-.2-4.6-1.9-11.4-5.5-18.2-3.5-6.7-8.2-11.9-12-14.7-3.1-2.2-4.6-2.2-4.9-2.1-.2.1-1 1.5-.9 5.2zm265 65.2c-4.1 2.4-9.1 7.2-13.3 13.6-4.1 6.4-6.4 13.1-6.9 17.7-.4 3.6.3 5 .6 5.2.2.2 1.8.2 4.9-1.7 4-2.3 9.1-7.2 13.2-13.6 4.1-6.4 6.4-13 6.9-17.7.5-3.6-.2-5-.4-5.2-.3-.2-1.9-.1-5 1.7zM141.8 178c-.2.4-.8 1.8-.4 5.4.6 4.6 2.8 11.3 7 17.7 4.1 6.4 9.2 11.2 13.1 13.6 3.4 2 5 1.8 5.2 1.7.1-.1.8-1.6.4-5.2-.6-4.6-2.8-11.3-7-17.7-4.1-6.4-9.2-11.2-13.2-13.6-3.4-2-4.9-1.8-5.1-1.9zm177.3 59.1c-4.4 1.7-10.1 5.7-15.1 11.4-5.1 5.7-8.3 11.9-9.6 16.4-.9 3.6-.5 5.1-.2 5.3.2.2 1.8.4 5.1-.9 4.4-1.8 10.1-5.8 15.1-11.5 5.1-5.7 8.3-11.9 9.6-16.4.9-3.5.5-5.1.3-5.3-.3-.2-1.9-.4-5.2 1zm-131 4.4c1.2 4.4 4.5 10.6 9.5 16.4 5.1 5.7 10.8 9.7 15.1 11.5 3.5 1.4 5 1.1 5.2.9.2-.2.7-1.6-.3-5.3-1.2-4.5-4.5-10.7-9.5-16.4-5-5.7-10.8-9.7-15.1-11.5-3.5-1.4-5-1.1-5.2-.9-.2.2-.6 1.8.3 5.3zM304 318.3c13 0 31.8 5.9 38.5 16 6.7 10.1 10.5 24.5 10.5 39 0 20-24.2 42.6-43.7 63.9-17.1 18.9-37.4 36.4-53.3 51.6-15.9-15.2-36.2-32.7-53.3-51.6-19.5-21.3-43.7-43.9-43.7-63.9 0-14.5 3.8-28.9 10.5-39 6.7-10.1 25.5-16 38.5-16 14.5 0 21.6 2.8 29.6 9.4 9.8 8 17.4 33.1 18.4 33.1s8.6-25.1 18.4-33.1c8-6.6 15.1-9.4 29.6-9.4z"}}]})(props);
};
function GiHeartOrgan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M289.188 22.72c-6.5.162-12.792 2.26-17.594 7.124-.483.488-.916.983-1.344 1.5l-.188-.188c-17.848 22.67-35.71 51.21-45.718 83.094-11.197 35.67-12.8 74.75 5.687 114.78l-16.968 7.845c-14.305-30.974-17.807-61.916-14.53-90.97-8.475 4.99-16.412 11.178-23.688 18.314-22.368-29.2-49.978-56.593-76.5-76-1.404-1.4-2.996-2.655-4.813-3.69-3.378-1.922-6.98-2.86-10.624-3.03-.38-.018-.745-.032-1.125-.03-.38 0-.774.016-1.155.03-5.33.203-10.67 1.93-15.438 4.563-8.72 4.816-16.545 12.77-22.5 22.937-5.954 10.168-9.036 20.86-8.906 30.78.132 9.922 3.896 20.06 12.907 25.19.368.208.753.375 1.126.56l-.126.25c27.298 16.83 63.364 39.376 86.626 67.626-6.582 22.99-7.837 46.735-2.625 67.406 15.303 60.707 62.425 115.8 113.03 150.657 25.304 17.427 51.403 29.785 74.22 35.5 22.816 5.713 41.874 4.546 53.906-2.658 27.152-16.25 45.328-45.636 56.312-80.53-6.824 4.01-14.074 7.32-21.625 9.874-35.777 12.102-78.105 8.732-113.624-10.062-35.52-18.794-64.105-53.724-70.53-103.22l18.53-2.405c5.673 43.69 29.907 72.772 60.75 89.092 30.844 16.32 68.41 19.18 98.875 8.875 30.465-10.304 53.67-32.64 59.033-68.906 4.434-29.985-3.865-70.527-33.844-121.374-19.14 2.18-38.67 6.368-56.626 11.563l-5.188-17.94c12.73-3.682 26.192-6.87 39.875-9.28 2.63.22 5.328.024 8.033-.72 1.02-.28 1.996-.63 2.937-1.03.032-.005.062-.027.094-.03-.005-.008.004-.025 0-.032 8.222-3.55 13.437-11.472 15.906-20.032 2.76-9.57 2.698-20.724-.28-32.125-2.98-11.4-8.362-21.14-15.47-28.06-5.33-5.193-12.214-9.005-19.53-9.44-2.236-.13-4.497.065-6.783.626l-.093-.406c-16.036 5.84-33.733 13.757-51 24.125-8.947 11.378-15.964 22.483-20.5 33.375-7.047 16.92-8.512 33.12-2.438 51.438l-17.72 5.906c-7.46-22.5-5.505-44.333 2.908-64.53 7.425-17.828 19.73-34.594 34.656-51.376l-.156-.157c.622-.507 1.232-1.036 1.812-1.624 7.286-7.377 8.24-18.11 5.844-27.78-2.395-9.67-8.032-19.274-16.313-27.657l-.062-.032c-8.27-8.358-17.777-14.095-27.375-16.532-2.404-.61-4.868-.992-7.344-1.125-.464-.024-.942-.055-1.406-.06-.435-.007-.88-.012-1.313 0zm.656 18.624c.36 0 .755 0 1.156.03 1.07.084 2.28.308 3.656.657 5.51 1.4 12.564 5.332 18.72 11.564 6.154 6.23 10.07 13.385 11.468 19.03 1.398 5.647.36 8.778-1 10.157-1.362 1.38-4.27 2.37-9.78.97-5.512-1.4-12.565-5.362-18.72-11.594-6.155-6.23-10.07-13.385-11.47-19.03-1.398-5.647-.36-8.747 1-10.126.895-.905 2.445-1.648 4.97-1.656zm-208.156 58.78c1.09.03 1.962.298 2.593.657 1.685.96 3.395 3.504 3.47 9.19.075 5.684-1.918 13.503-6.344 21.06-4.426 7.56-10.314 13.22-15.406 16.032-5.092 2.813-8.378 2.615-10.063 1.657-1.684-.96-3.393-3.504-3.468-9.19-.076-5.684 1.916-13.535 6.343-21.093 4.426-7.557 10.314-13.187 15.406-16 2.545-1.406 4.643-2.064 6.31-2.25.418-.046.794-.072 1.157-.062zm109.937 1.282c-13 .075-26.444 5.487-34 14.125 6.848 7.143 13.47 14.445 19.78 21.876 7.846-5.784 16.262-10.73 25.19-14.594 1.14-4.79 2.448-9.514 3.905-14.156.432-1.375.887-2.73 1.344-4.094-4.97-2.18-10.548-3.188-16.22-3.156zm203.125 15.78c.272-.02.57-.02.875 0 1.826.14 4.258 1.214 7.313 4.19 4.072 3.966 8.222 10.9 10.437 19.374 2.215 8.474 2.018 16.63.406 22.22-1.61 5.588-4.068 7.798-5.936 8.31-1.87.514-4.865-.095-8.938-4.06-4.072-3.968-8.223-10.902-10.437-19.376-2.216-8.474-2.02-16.63-.408-22.22 1.612-5.588 4.07-7.798 5.938-8.31.234-.066.478-.106.75-.126z","fillRule":"evenodd"}}]})(props);
};
function GiHeartPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M372.48 31.215c-77.65 0-116.48 65.73-116.48 65.73s-38.83-65.72-116.48-65.72c-37.14 0-107.77 33.72-107.77 125.13 0 161.24 224.25 324.43 224.25 324.43s224.25-163.19 224.25-324.43c0-91.42-70.63-125.13-107.77-125.14zm-145.492 115.02h60.698v79.415h79.238v60.7h-79.238v79.884h-60.698V286.35h-80.064v-60.7h80.064z"}}]})(props);
};
function GiHeartStake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M87.39 37.73c-2.41 0-4.77.05-7.08.13l.02-.07c-4.6.15-8.96.45-12.87.79-5.96.51-9.51.96-13.01 1.33C31.1 67.49 28.78 95.66 19.22 120.1c7.67 9 12.61 20.9 14.79 32.7 4.81-1.2 10.03-3.2 14.77-5.9 7.42-4.2 13.55-10.2 15.3-13.3 2.64-4.7 3.55-16.6 12.37-26.5 5.74-6.4 12.9-7.72 19.19-9.34 6.26-1.61 12.26-3.17 14.56-4.52h.1c2.4-1.35 10.3-10.59 16.5-20.67 4.7-7.69 8.7-15.18 12-21.34-9.9-8.73-27-12.64-44.12-13.37-2.45-.1-4.89-.14-7.29-.13zm92.91 29.29c-9.7.08-19.4 1.49-28.7 4.27L286.3 235.8l-.2 3.5c-.7 10.3-6 21.3-14.4 31.8-8.4 10.6-20.3 20.3-35.3 23.7l-3.9.9L77.19 188.3c-.14 12.8.88 26.7 3.28 41.8 3.64 74.6 99.93 172.7 118.83 248.3 34.2-33.7 93.2-59.6 148.6-91.2l.1.1c.7-.5 1.5-.9 2.2-1.4 51.9-29.7 100.3-64.6 121.9-115.7 56.5-139.9-101.8-174.46-185.7-105.3-4.3-62.8-55.5-98.32-106.1-97.88zM140 85.44c-6 9.57-12 18.46-20.8 23.46-.5.3-1 .5-1.5.8l30.3 50.8-59.33-39.6c-2.4 4.5-4.04 12.8-8.89 21.6-3.33 6-8.49 11-14.71 15.5L235.8 276c8.4-2.8 16.1-8.9 21.8-16.1 5.2-6.6 8.6-14 9.9-18.8L140 85.44zM403.7 372.7c-12.7 9.1-25.9 17.6-39.5 26l121 84.5-81.5-110.5z"}}]})(props);
};
function GiHeartTower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M67.813 23.03v111.126l61.156 75.813v188.655H89.624l-28.72 92.813h389.158l-28.72-92.813H382V209.97l61.156-75.814V23.03H378.72v52.407h-39.19V23.032h-65.124v52.407h-38.53V23.032H170.75v52.407h-38.5V23.032H67.812zm132.343 143.907c20.707-.04 41.94 10.97 55.156 35.782 32.476-55.953 118.296-42.723 116.094 26.218-2.067 64.67-89.716 86.23-116.094 154.906-27.862-68.683-117.91-86.106-115.75-154.906 1.203-38.326 30.33-61.943 60.594-62zm113.78 20.657c-5.106 0-9.948 1.022-14.373 2.844 12.334 1.777 25.138 10.802 33.28 24.906 7.318 12.674 9.206 26.573 6.157 37.656 7.633-6.842 12.406-16.793 12.406-27.938 0-20.81-16.657-37.468-37.47-37.468z"}}]})(props);
};
function GiHeartWings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M54.53 118.73c-15.623 74.884 20.42 123.6 64.126 150.56-33.063-7.81-65.052-19.483-98.25-36.845 25.5 77.488 81.165 95.816 129.906 90.75-26.933 14.252-55.392 25.302-83.937 32.782 69.446 43.143 120.11 16.458 148.27-21.317a586.15 586.15 0 0 0-6.217-5.498c-5.193-3.697-10.128-7.95-14.778-12.71-5.968-5.095-12.045-10.295-18.173-15.73-33.648-29.837-67.978-65.614-69.43-112.83-.002-.05 0-.1-.002-.15-19.147-22.057-36.472-45.304-51.514-69.013zm402.94 0c-15.04 23.705-32.368 46.943-51.515 68.993 0 .026.003.05.004.078 1.388 45.967-33.476 82.66-67.968 113.386-13.87 12.355-27.86 23.824-39.904 34.44 28.298 37.26 78.683 63.125 147.54 20.35-28.543-7.48-56.98-18.53-83.91-32.78 48.737 5.056 104.38-13.28 129.876-90.75-33.197 17.363-65.187 29.036-98.25 36.845 43.705-26.962 79.75-75.675 64.125-150.56zm-132.42 3.977c-22.146.17-45.395 11.85-61.025 38.36l-7.783 13.2-7.736-13.228c-19.473-33.286-54.394-43.623-82.15-35.75h-.01c-24.486 6.947-43.386 26.957-42.307 62.048 1.187 38.61 30.602 70.852 63.38 99.918 16.39 14.533 33.36 28.123 47.412 41.52 8.357 7.968 15.777 15.842 21.332 24.142 5.568-7.718 12.923-15.143 21.217-22.86 14.382-13.384 31.856-27.363 48.64-42.314 33.567-29.9 63.045-63.115 61.95-99.398-1.118-36.974-22.723-58.38-48.618-64.127a63.71 63.71 0 0 0-14.303-1.513z"}}]})(props);
};
function GiHeartburn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M265.53 18.063c-23.24.42-47.45 10.39-67.124 31.218 54.09-11.145 69.053 9.38 78.844 43.22 16.83 58.176-66.19 70.523-60.156-10.53-25.37 15.966-34.08 52.878 0 85.28 22.675 21.555 13.393 52.563-13.406 52.563-44.735.186-107.775-75.315-59.594-139.594-35.413 13.593-59.442 25.662-67.72 59.593-7.1-29.47 6.47-55.563 31.532-68.344-101.978 7.38-74.16 112.918-.594 134.31 65.69 19.1 4.9 108.815-49.062 29.782-5.833 112.267 64.145 131.99 136.094 181.063 31.776 21.673 46.344 34.713 46.344 55.25 0 35.486 52.656 35.953 52.656-3.156 0-21.18 18.167-34.655 53.406-56.783 57.705-36.23 102.22-91.155 102.22-130.218 0-69.113-42.904-90.754-107.158-118.658 53.15 59.41-40.205 83.995-57.718 42.282-15.19-36.18 6.475-59.857 33.656-61.406 69.004-3.936 92.73-81.274 43.03-116.844C371.78 48.09 366.377 70.98 347.94 87.22c-8.468-43.942-42.84-68.846-80.157-69.157-.746-.007-1.5-.014-2.25 0zm193.595 48.312c-69.183 65.477 18.182 64.61-2 159.625 84.92-109.75-14.143-112.042 2-159.625zm-140.53 177.063c1.255-.01 2.5.026 3.75.093 3.396.185 6.76.636 10.06 1.376 26.422 5.92 48.41 29.86 49.5 64.656 1.15 36.58-25.886 65.358-52.06 89.157-13.09 11.898-26.29 22.706-36.47 32.374-10.18 9.668-16.868 18.497-18.25 23.656l-9.03 33.688-9-33.688c-1.71-6.376-8.278-15.138-18.158-24.688-9.88-9.55-22.696-19.988-35.5-31.5-25.607-23.023-52.243-51-53.437-88.406-1.135-35.56 21.576-59.654 48.594-65.187 23.2-4.753 49.572 3.38 67.47 24.624 14.32-17.327 33.69-26.03 52.53-26.156zm-20.064 65.687c-11.997.282-24.43 6.9-32.5 20.875-19.384-33.576-68.84-24.852-67.56 15.28 1.333 41.796 61.125 66.135 67.56 90.158 5.894-21.984 68.665-50.103 67.408-90.157-.736-23.43-17.37-36.567-34.907-36.155z"}}]})(props);
};
function GiHearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480.25 156.355c0 161.24-224.25 324.43-224.25 324.43S31.75 317.595 31.75 156.355c0-91.41 70.63-125.13 107.77-125.13 77.65 0 116.48 65.72 116.48 65.72s38.83-65.73 116.48-65.73c37.14.01 107.77 33.72 107.77 125.14z"}}]})(props);
};
function GiHeatHaze (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M328.094 16.28c-418.547 189.59 58.108 230.146-86.313 473.533C566.646 247.035 59.723 256.837 328.095 16.28zm10.844 32.44C154.714 186.1 475.226 253.64 369.717 409.06 561.48 253.028 248.215 203.768 338.94 48.72zM141 102.25c-174.244 135.025 104.332 215.754 61.063 367C307.03 285.77 42.887 268.31 141 102.25z","fillRule":"evenodd"}}]})(props);
};
function GiHeavyArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M60.344 17.594l4.75 45.718-45.063-2.874 41.157 49.812-11.406 243.156c-.03.02-.06.043-.093.063-.03.02-.06.04-.093.06-37.928 26.657-38.036 71.926-19.844 103.44 24.263 42.024 72.83 42.51 87.25 4.75-24.33 12.43-43.486 1.97-55-17.97-11.764-20.378-8.908-43.704 26.438-56.063C134.162 371.7 225.256 440.334 311.75 428l-11.875-55.344c-83.384 34.902-166.713-51.397-223.063-32.53l-.468.155c-2.46.97-4.918 1.967-7.344 3.033L79.063 127.47l32.687-5.907 196.563 207.906 1.218 1.28 26.75 124.438 1.283 5.906 5.875 1.25 136.375 29.344 14.156 3.03-3.064-14.156-29.312-136.343-1.28-5.908-5.908-1.28-124.5-26.75-1.53-1.5-205.563-195.688L129 78.814l213.47-9.626c-.25.52-.51 1.036-.75 1.562-.04.085-.087.165-.126.25-.885 2.202-1.71 4.482-2.5 6.844-18.86 56.333 68.363 138.695 33 222.594l56.03 12c11.78-85.565-57.487-177.073-41.437-222.97 12.36-35.345 35.654-38.203 56.032-26.437 19.94 11.513 30.4 30.674 17.967 55 33.042-12.617 37.266-51.432 9.532-77.186-3.96-3.682-9.025-7.03-14.283-10.063-12.983-7.495-28.3-11.89-43.687-11.81-19.84.1-39.804 7.626-55.03 25.53-1.293 1.813-2.548 3.646-3.783 5.5L113.5 60.813l-53.156-43.22zM328.28 329.03l97.126 20.876-47.25 25.063-2.53 1.342-1.345 2.532-25.124 47.344-20.875-97.157zm117.626 31.158l23.72 110.187-110.22-23.688 30.03-56.53 56.47-29.97z","fillRule":"evenodd"}}]})(props);
};
function GiHeavyBullets (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96 36.61L41.21 173.6c.26.6.84 1.4 2.15 2.5 2.16 1.8 6.2 4 11.49 5.8 10.57 3.5 25.9 5.5 41.15 5.5 15.2 0 30.6-2 41.2-5.5 5.2-1.8 9.3-4 11.4-5.8 1.3-1.2 1.9-1.9 2.2-2.5zm160 0L201.2 173.6c.3.6.9 1.3 2.2 2.5 2.1 1.8 6.2 4 11.4 5.8 10.6 3.5 26 5.5 41.2 5.5 15.3 0 30.6-2 41.2-5.5 5.2-1.8 9.3-4 11.4-5.8 1.3-1.2 1.9-1.9 2.2-2.5zm160 0L361.2 173.6c.3.6.9 1.3 2.2 2.5 2.1 1.8 6.2 4 11.4 5.8 10.6 3.5 26 5.5 41.2 5.5 15.2 0 30.6-2 41.2-5.5 5.2-1.8 9.3-4 11.4-5.8 1.3-1.2 1.9-1.9 2.2-2.5zM41 195.7v17c0 1 .2 1.8 2.36 3.7 2.16 1.8 6.2 4 11.49 5.8 10.57 3.5 25.9 5.5 41.15 5.5 15.2 0 30.6-2 41.2-5.5 5.2-1.8 9.3-4 11.4-5.8 2.2-1.9 2.4-2.7 2.4-3.7v-17c-2.6 1.2-5.3 2.3-8.2 3.2-13.4 4.5-30 6.5-46.8 6.5-16.75 0-33.42-2-46.85-6.5-2.87-.9-5.59-2-8.15-3.2zm160 0v17c0 1 .2 1.8 2.4 3.7 2.1 1.8 6.2 4 11.4 5.8 10.6 3.5 26 5.5 41.2 5.5 15.3 0 30.6-2 41.2-5.5 5.2-1.8 9.3-4 11.4-5.8 2.2-1.9 2.4-2.7 2.4-3.7v-17c-2.6 1.2-5.3 2.3-8.2 3.2-13.4 4.5-30 6.5-46.8 6.5-16.8 0-33.4-2-46.8-6.5-2.9-.9-5.6-2-8.2-3.2zm160 0v17c0 1 .2 1.8 2.4 3.7 2.1 1.8 6.2 4 11.4 5.8 10.6 3.5 26 5.5 41.2 5.5 15.2 0 30.6-2 41.2-5.5 5.2-1.8 9.3-4 11.4-5.8 2.2-1.9 2.4-2.7 2.4-3.7v-17c-2.6 1.2-5.3 2.3-8.2 3.2-13.4 4.5-30 6.5-46.8 6.5-16.8 0-33.4-2-46.8-6.5-2.9-.9-5.6-2-8.2-3.2zM41 236v158.3l17.06 34.1-16.71 33.4c.3.6.87 1.3 2.01 2.3 2.16 1.8 6.2 4 11.49 5.8 10.57 3.5 25.9 5.5 41.15 5.5 15.2 0 30.6-2 41.2-5.5 5.2-1.8 9.3-4 11.4-5.8 1.2-1 1.7-1.7 2.1-2.3l-16.8-33.4 17.1-34.1V236c-2.6 1.2-5.3 2.3-8.2 3.2-13.4 4.5-30 6.5-46.8 6.5-16.75 0-33.42-2-46.85-6.5-2.87-.9-5.59-2-8.15-3.2zm160 0v158.3l17.1 34.1-16.8 33.4c.4.6.9 1.3 2.1 2.3 2.1 1.8 6.2 4 11.4 5.8 10.6 3.5 26 5.5 41.2 5.5 15.3 0 30.6-2 41.2-5.5 5.2-1.8 9.3-4 11.4-5.8 1.2-1 1.7-1.7 2.1-2.3l-16.8-33.4 17.1-34.1V236c-2.6 1.2-5.3 2.3-8.2 3.2-13.4 4.5-30 6.5-46.8 6.5-16.8 0-33.4-2-46.8-6.5-2.9-.9-5.6-2-8.2-3.2zm160 0v158.3l17.1 34.1-16.8 33.4c.4.6.9 1.3 2.1 2.3 2.1 1.8 6.2 4 11.4 5.8 10.6 3.5 26 5.5 41.2 5.5 15.2 0 30.6-2 41.2-5.5 5.2-1.8 9.3-4 11.4-5.8 1.2-1 1.7-1.7 2.1-2.3l-16.8-33.4 17.1-34.1V236c-2.6 1.2-5.3 2.3-8.2 3.2-13.4 4.5-30 6.5-46.8 6.5-16.8 0-33.4-2-46.8-6.5-2.9-.9-5.6-2-8.2-3.2z"}}]})(props);
};
function GiHeavyFall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.25 19.03v53.25c64.79 65.858 124.522 170.327 154.156 274.5l-49.78-65.655C97.592 216.785 60.5 158.113 21.25 114v28.906c27.632 34.17 53.875 75.99 75.813 121.47l29.156 125.25-83.064-44.72L90 436.5l-63.188-5.688 56.094 55.407H173.5l-28.625-41.814 49.094 12.938 1.718-64.594 40.468 46.5 40.47-80.97-.845 90.44 41.345-31-29.375 68.5h138.125l66.72-100.126-85.19 23.437 52.533-104.374-104.375 32.656 57.312-193.843-128.78 158.436C260.76 197.538 207.368 90.266 150.81 19.03h-24.218c41.91 49.386 83.752 122.4 112.75 199.97l-8.25 41.125c-35.752-93.2-90.41-180.8-139.938-241.094H21.25zm369.656 49.126l-60 56.03-2.125 78.533 49.345-74.25 12.78-60.314zm103.688 241.406l-34.438 56.657 34.438-16.94v-39.717z"}}]})(props);
};
function GiHeavyFighter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M215.076 20.037L100.752 135.693l52.135 79.313L41.662 378.65 21 491.963l112.848-20.742 162.974-111.69 79.42 52.784L491 297.09 215.076 20.037zm100.87 21.885l-21.083 21.176L311.73 80.03l21.086-21.17-16.87-16.938zm130.71 4.252l-84.32 84.668 16.86 16.937 84.33-84.667-16.87-16.94zm-75.892 8.463l-42.16 42.336 16.867 16.935 42.165-42.334-16.87-16.937zm67.46 67.746l-42.154 42.33 16.862 16.935 42.166-42.332-16.873-16.933zm12.66 55.035l-21.08 21.17 16.862 16.935 21.088-21.168-16.87-16.937zM244.36 244.285c6.307.15 11.87 2.173 15.923 6.242 11.793 11.843 6.347 36.51-12.162 55.098-18.51 18.585-43.077 24.058-54.87 12.22-11.793-11.845-6.347-36.515 12.166-55.1 12.146-12.198 26.902-18.746 38.943-18.46z"}}]})(props);
};
function GiHeavyHelm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M211.094 18.22l17.78 206.718c1.396 4.615 4.75 8.424 10.282 11.437 5.727 3.118 13.512 4.998 21.313 5.094 7.8.094 15.58-1.622 21.28-4.657 5.534-2.947 8.975-6.744 10.5-11.907L312.438 18.22H211.094zM85.25 63.062c-40.11 30.075-64.656 70.49-64.656 115.187 0 31.222 11.98 60.44 32.843 85.47L80.5 185.686C68.655 167.852 62 147.913 62 126.907c0-23.173 9.034-44.668 23.25-63.844zm341.625 0c14.216 19.176 23.25 40.67 23.25 63.843 0 19.982-6.033 39-16.813 56.156l27.438 79.063c20.204-24.675 31.813-53.31 31.813-83.875 0-44.694-25.58-85.112-65.688-115.188zm-224.906 67.25c-35.98 34.695-59.156 62.41-73.782 94.937-21.686 48.224-26.258 110.186-26.407 225.625 40.794 21.668 83.415 34.732 126.032 39.313L240.845 337c-30.494-1.353-61.36-6.13-93.78-14.813l-10.283-2.75 4.032-9.843 10.22-24.906 3.124-7.594 7.938 2.125c64.732 17.335 129.757 16.785 192.437 0l8.126-2.19 3 7.876 9.53 24.906 3.72 9.688-10.03 2.688c-30.79 8.245-60.544 13.044-90.313 14.625L292 490.655c44.065-4.092 87.078-17.352 126.906-39.625-.21-109.113-6.404-168.732-29.03-217.655-14.74-31.87-37.205-60.405-70.313-95.656l-8.813 90.06-.063.782-.218.75c-2.947 10.986-10.776 19.12-19.94 24-9.162 4.88-19.768 6.973-30.28 6.844-10.512-.128-21.015-2.466-30.03-7.375-9.017-4.908-16.738-12.812-19.595-23.468l-.22-.812-.06-.813-8.376-97.375zm-98.532 46.28L62.5 294.657l26.188 12.094c4.09-35.45 10.974-63.666 22.437-89.156 5.163-11.48 11.203-22.296 18.25-32.875l-25.938-8.126zm307.843 0l-27.655 8.657c9.077 13.12 16.76 26.313 23.22 40.28 10.882 23.532 18.13 48.933 22.842 79.532l22.563-10.406-40.97-118.062z"}}]})(props);
};
function GiHeavyLightning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.517 14.64v112.715l44.386 28.033-44.97 78.26 96.948 49.056-9.343 32.705 78.843 35.04-32.122 96.947 174.623 46.14-112.714-69.5 22.778-50.226 257.55 113.885-282.08-203.82 29.2-90.525 47.89 52.562 83.515-40.88-44.386 87.016 164.693 108.628-106.292-126.148 22.778-40.296 74.754 56.648-84.68-151.26-71.837 27.45L227.263 14.64H20.52zm77.09 161.19l42.633 26.865-14.6 50.81-52.56-34.458 24.528-43.217z"}}]})(props);
};
function GiHeavyRain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M50.656 22.125c24.862 31.888 280 358.568 341.063 411.72 76.902 66.936 132.718-3.814 73-73-52.197-60.47-369.484-308.088-408.814-338.72h-5.25zm188.656 0c45.33 61.388 132.53 178.237 165.25 206.72 53.745 46.78 93.142-3.023 51.407-51.376C429.4 146.69 326.902 69.273 263.25 22.124h-23.938zm131.375 0C385.11 38.203 397.84 51.793 404 57.155c41.042 35.724 71.142 1.755 46.125-35.03h-79.438zM17.375 132.5v54.313c42.702 54.933 87.407 110.516 108.03 128.468 53.748 46.783 93.143-2.456 51.407-50.81-21.41-24.807-95.776-83.243-159.437-131.97zm0 165.844V355c45.978 54.937 90.37 107.056 106.28 120.906 47.652 41.476 81.973-2.693 44.97-45.562-16.444-19.05-84.786-76.927-151.25-132z"}}]})(props);
};
function GiHeavyThornyTriskelion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M237.834 13.717l-40.846 29.52c-23.934-7.692-50.298-9.083-77.023-1.923-5.382 1.442-10.62 3.103-15.705 4.963L65.012 17.79l.308 49.112c-39.727 29.366-59.55 77.5-42.646 140.57 2.513 9.37 6.41 17.367 11.277 24.09l-13.128 52.764 52.282-26.793c36.802 9.035 77.35-11.2 67.5-49.672-.614-4.86-2.157-9.735-4.71-14.118-7.56-12.984-20.91-16.713-29.81-8.328-8.57 8.073-9.89 24.43-3.23 37.225-18.462-2.822-33.808-20.554-37.75-46.087-.98-6.36-1.378-12.445-1.278-18.26l46.028-12.03-35.25-28.41c13.075-22.536 36.64-36.615 63.04-40.87l18.493 38.75 19.867-38.085c12.308 2.39 24.46 6.903 35.767 13.663 7.216 4.314 13.948 9.286 20.185 14.81l-8.715 35.077 30.506-10.736c11.034 15.565 19.234 33.475 24.21 52.76-4.846.373-9.845 1.096-14.89 2.094-83.534-4.835-131.693 77.346-123.427 154.793l-44.816 27.498 52.705 7.532c6.627 18.74 17.08 36.274 31.745 51.086 8.308 8.39 18.798 15.997 30.83 22.62l-8.412 42.667 41.815-28.12c56.9 19.33 129.987 20.13 178.236-10.47l47.01 16.807-17.87-42.94c26.17-32.11 26.375-64.496 12.934-87.705l15.65-43.764-42.866 17.838c-7.22-3.753-15.16-6.234-23.475-7.17-49.566-5.578-96.453 39.226-57.68 86.63-6.475-35.262 24.55-61.392 46.998-45.497 21.584 15.283 20.68 52.725-9.707 69.507-14.853 8.203-32.247 13.43-50.603 15.83l-22.14-46.39-12.136 47.663c-32.19-1.678-64.39-11.253-88.893-27.992l24.217-49.978-50.202 25.457c-8.848-11.906-14.673-25.712-16.314-41.33-1.278-12.164-1.077-23.8.393-34.883l48.313 1.133-39.988-33.4c9.364-23.903 24.996-44.312 44.11-60.72 1.672 3.497 3.39 6.748 5.228 9.85 14.5 36.474 50.215 57.068 89.613 63.127l5.11 27.3 26.464-25.515c43.328-1.636 85.566-19.82 104.637-52.923 21.68-37.63 28.823-98.665 8.97-146.484l22.116-49.756-45.06 13.88c-.064-.066-.125-.135-.188-.202-27.5-28.858-70.672-17.828-98.254 10.703l-46.083-6.61 25.05 39.64c-3.6 9.712-5.463 20.1-5.074 30.78-.15 5.91.564 12.176 2.26 18.504 6.73 25.115 26.296 41.693 43.7 37.03 17.403-4.664 26.057-28.804 19.328-53.918-1.937-7.232-4.946-13.746-8.656-19.256-13.543 8.343-19.248 20.646-20.756 36.363-5.15-25.078-1.298-39.476 18.092-50.612l.02-.012c12.22-7.95 24.733-10.52 33.86-3.832 31.646 23.18 33.057 72.366 12.888 111.14l-38.9-2.99 12.69 36.247c-11.066 9.36-24.205 16.267-39.107 19.37-24.11 5.02-52.627 1.885-78.157-8.307 5.45-6.928 9.17-15.153 11.613-23.705 22.52-63.04-7.424-128.015-58.726-161.71l5.664-46.4z"}}]})(props);
};
function GiHeavyTimer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25.563 18.344C111.623 205.977 310.53 404.92 498.219 491 412.14 303.367 213.25 104.405 25.56 18.344zm233.218.312c-10.107 20.728-14.86 46.41-14.28 71.813-15.772 1.7-31.34 5.638-46.188 11.843 5.73 4.408 11.444 8.887 17.125 13.437 9.92-3.34 20.137-5.587 30.438-6.75 1.915 14.952 5.78 29.334 11.53 42.03.66.582 1.312 1.17 1.97 1.75 6.285-13.29 10.402-28.54 12.375-44.405 16.632 1.05 33.113 4.906 48.688 11.594-6.722 15.56-11.044 31.775-12.125 47.25 13.05-8.806 25.095-20.867 35.312-34.72 8.055 5.35 15.706 11.58 22.813 18.688 5.105 5.105 9.738 10.51 13.937 16.125-14.324 10.39-26.802 22.724-35.844 36.125 16.357-1.143 33.54-5.89 49.908-13.282 7.71 15.614 12.458 32.306 14.28 49.25-17.628 1.644-34.678 5.926-49.374 12.813.753.84 1.5 1.687 2.25 2.53 14.29 6.336 30.652 10.278 47.53 11.813-.937 12.132-3.4 24.164-7.343 35.812 4.543 5.688 9.04 11.39 13.44 17.125 7.026-16.736 11.175-34.384 12.467-52.22 23.276-.292 46.424-5.053 65.407-14.31-19.094-9.313-42.4-14.07-65.813-14.314-1.95-19.638-7.352-39.006-16.28-57.062 20.534-11.98 38.688-27.967 50.75-45.844-21.718 1.517-44.895 9.384-65.688 21.375-4.918-6.693-10.386-13.106-16.437-19.156-8.01-8.01-16.624-15.04-25.72-21.064C366.3 95.8 374.454 72.146 376 50c-18.6 12.55-35.16 31.694-47.28 53.25-17.77-7.727-36.628-12.197-55.658-13.406.488-25.2-4.255-50.63-14.28-71.188zM109.564 191.062c-6.392 15.302-10.39 31.39-12 47.657-1.793-.055-3.58-.095-5.376-.095-24.04 0-48.083 4.783-67.687 14.344 20.957 10.22 46.978 14.954 72.656 14.25 1.352 18.746 5.878 37.285 13.563 54.78-22.225 12.198-42.04 29.117-54.907 48.188 22.76-1.583 47.09-10.154 68.624-23.125 5.965 8.947 12.892 17.454 20.782 25.343 5.925 5.927 12.205 11.285 18.75 16.125-12.562 21.234-20.848 45.084-22.407 67.408 18.357-12.387 34.734-31.193 46.812-52.407 17.742 8.846 36.757 14.286 56.063 16.376.04 23.938 4.824 47.856 14.343 67.375 9.438-19.348 14.222-43.02 14.345-66.75 18.31-1.175 36.447-5.383 53.625-12.592-5.738-4.4-11.467-8.864-17.156-13.407-12.14 4.104-24.692 6.595-37.344 7.44-1.77-17.947-6.252-35.266-13.47-50.064-7.132 14.626-11.594 31.715-13.405 49.438-16.742-1.95-33.215-6.794-48.625-14.5 6.94-15.83 11.4-32.36 12.5-48.125-12.898 8.7-24.798 20.598-34.938 34.25-5.53-4.154-10.84-8.748-15.875-13.783-7.034-7.034-13.217-14.597-18.53-22.562 13.182-9.96 24.66-21.578 33.124-34.125-14.906 1.037-30.498 5.075-45.53 11.375-6.7-15.384-10.63-31.677-11.813-48.125 15.835-2.107 31.014-6.356 44.188-12.78-13.07-6.375-28.114-10.595-43.813-12.72 1.105-10.857 3.42-21.618 6.938-32.063-4.55-5.68-9.03-11.394-13.438-17.125z"}}]})(props);
};
function GiHedjetWhiteCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M279.154 488.21l30.902-35.47c-8.54-20.095-28.764-48.896-11.588-64.964 18.374-16.21 31.6 6.588 46.003 13.695 19.627-26.18 38.933-50.192 63.21-67.072-40.06-116.66-159.072-180.152-195.936-214.582-18.14-21.632-37.846-65.983-45.31-73.984-6.99-7.493-28.244-36.454-52.475-13.12-13.956 13.438-11.8 30.595.322 50.625 8.927 14.748 21.834 28.182 36.312 53.188 29.83 51.523 28.345 139.116 35.993 170.663 12.31 50.777 16.17 99.15 92.567 181.02z"}}]})(props);
};
function GiHelicoprion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23.672 38.095v393.337c19.723 12.366 44.667 19.71 65.098 25.516 37.209 10.502 84.938 20.237 132.515 24.484 47.577 4.247 95.06 2.888 131.348-7.99 31.852-9.548 54.397-25.36 63.91-51.34-95.929-12.539-187.991-40.59-269.611-85.238-13.081-8.47-28.839-15.39-36.909-27.951-2.162-3.426-3.893-8.089-2.478-13.133 10.438-37.202 45.347-64.854 88.793-87.318 43.446-22.465 96.326-39.833 145.785-54.38 49.459-14.545 95.63-26.301 124.453-36.74 14.301-5.178 24.386-10.693 27.06-13.372-136.213-68.43-342.71-90.536-469.964-65.875zm122.846 55.408c6.185 10.294 8.426 22.713 3.336 33.627-5.09 10.913-16.043 17.175-27.905 19.052-11.862 1.877-25.2-.183-38.023-6.164-12.823-5.98-22.971-14.875-29.156-25.17-6.186-10.294-11.384-24.664-3.336-33.623 28.707-31.956 74.948-20.268 95.084 12.278zm-78.774-4.67c-3.907 13.745 8.252 25.682 18.145 31.842-10.152-21.538 8.467-37.084 26.466-34.727-12.724-6.272-37.525-10.145-44.61 2.885zm125.902-1.516c4.314 29.11 1.56 62.003-21.468 81.518-23.03 19.514-62.698 21.801-124.893-3.32l6.74-16.69c59.405 23.995 90.86 19.546 106.516 6.28 15.655-13.267 19.147-39.196 15.3-65.15zm209.592 5.696l-7.222 16.486c-14.714-5.213-38.785-2.221-44.875 12.537l-16.805-6.443c13.272-25.867 45.912-32.04 68.902-22.58zm78.994 37.662c-11.432 4.496-24.11 8.633-34.578 11.853l34.145 35.283zm-43.798 14.632c-16.713 4.962-35.479 10.158-55.385 15.764l49.588 36.404zm-62.383 17.748c-19.833 5.607-39.154 11.244-57.442 16.96l48.008 37.126zm-63.297 18.811c-17.597 5.592-35.16 11.578-52.12 18.018l41.368 31.304zm-65.152 23.104c-18.515 7.789-34.978 14.95-50.815 23.65l42.71 20.127zm-66.932 33.177c-16.434 10.462-30.076 21.747-39.986 33.795l46.527 18.483zM75.69 245.604l16.014 8.213c-6.786 15.172-21.4 49.196-15.693 64.95 22.132 31.76 62.2 49.242 98.097 61.406l-5.562 17.117C131 381.265 76 362.95 59.375 325.634c-6.898-28.577 3.728-54.798 16.316-80.03zm270.797.746l-26.271 49.623c13.296.194 26.12 2.272 38.115 5.954zm-71.017 5.96l-8.848 53.697c13.92-5.721 29.246-9.198 45.33-9.914zm139.054 15.892l-48.091 36.502c13.21 5.013 25.235 12.02 35.543 20.613zm-203.134 13.36l3.941 64.142c10.777-15.01 25.734-27.446 43.373-36.129zm257.265 28.357l-60.42 21.015c10.428 10.074 18.679 21.924 24.067 35.012zM318.18 313.95c-37.342 0-69.525 16.703-87.63 41.43 60.99 19.098 127.59 50.629 190.835 48.623.021-.735.033-1.47.033-2.21 0-47.847-45.448-87.843-103.238-87.843zm118.162 64.01c3.627 15.158 4.165 26.817 1.387 41.533l51.289-25.645zm-2.582 55.924c-4.623 12.725-11.922 24.364-21.293 34.453l59.666 11.426z"}}]})(props);
};
function GiHelicopterTail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M41.918 27.688l5.035 18.48 59.123 10.2 46.766 153.976-56.938 15.496 2.748 10.09.967 3.55-1.794 3.208c-24.027 42.99-40.35 87.134-76.77 132.066 7.738 9.582 25.567 30.68 49.098 52.12 31.787 28.96 73.7 57.357 111.283 58.76 93.952 3.503 163.51-70.954 163.51-70.954l2.754-2.98 146.3 3.247v-72.783l-124.207-4.56-2.338-4.946c-45.31-95.853-150.475-223.65-223.66-287.746zm10.256 37.646l38.998 143.14 39.06-10.632L92.078 72.22zM192 236.524c63.776 0 115.477 51.7 115.477 115.476 0 63.776-51.7 115.477-115.477 115.477-63.776 0-115.477-51.7-115.477-115.477 0-63.776 51.7-115.477 115.477-115.477zm.785 18.47a96.87 96.87 0 0 0-21.89 2.33c-52.185 11.633-85.204 63.597-73.57 115.78 11.632 52.186 63.596 85.205 115.78 73.572 52.185-11.633 85.204-63.597 73.57-115.78-9.996-44.847-49.78-75.54-93.89-75.902zm-.904 17.985a78.604 78.604 0 0 1 33.35 7.305l-25.248 39.735a32.75 32.75 0 0 0-6.1-.946l-10.175-45.642a78.932 78.932 0 0 1 8.174-.453zm-25.743 4.368l10.175 45.642a32.725 32.725 0 0 0-4.21 2.73L133.244 296c8.866-10.27 19.363-13.997 32.893-18.654zm74.467 12.304a78.612 78.612 0 0 1 26.048 36.485l-45.642 10.176a32.877 32.877 0 0 0-5.408-7.31zm-118.57 25.578l39.22 24.922a32.924 32.924 0 0 0-2.18 9.967l-45.642 10.173c-1.72-15.995 1.516-31.58 8.603-45.063zm148.534 28.477a78.584 78.584 0 0 1-6.384 40.523l-39.94-25.378c.352-1.627.58-3.288.682-4.97zm-107.578 23.98a32.767 32.767 0 0 0 3.45 5.122l-25.25 39.733a78.573 78.573 0 0 1-23.842-34.68zm52.795 7.116l39.22 24.92c-9.197 12.142-21.93 21.693-37.142 26.93l-10.175-45.643a32.928 32.928 0 0 0 8.097-6.207zm-34.58 8.332a32.878 32.878 0 0 0 8.914 1.79l10.173 45.643a78.613 78.613 0 0 1-44.094-8.082z"}}]})(props);
};
function GiHelicopter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M279.27 114.408l-2.297 9.184H87v18h185.473l-7.5 30h46.054l-7.5-30H489v-18H299.027l-2.297-9.184h-17.46zM26.623 173.592l14.62 87.724-12.757 38.276H44.27l32.548-32.547L197.94 284.35l2.11 4.216c7.196 14.39 18.094 25.306 28.942 32.538C239.84 328.334 251 331.592 256 331.592h128c23 0 46.04-3.978 62.346-11.225 8.152-3.623 14.546-8.035 18.63-12.703 1.744-1.993 3.066-3.993 4.034-6.072H314.066l-48-112H259l-64 48H74.437l-32-64H26.623zm259.025 16l40.286 94h44.418l-40.286-94h-44.418zm64.2.47l40.086 93.53h79.138c-7.773-34.538-24.96-56.882-47.127-71.49-20.674-13.625-46.067-20.328-72.097-22.04zm46.525 159.186c-4.108.223-8.24.344-12.373.344h-6.488l10 30h-87.024l10-30h-18.976l-10 30H199v18h251.967l24.02-17.764 7.236-5.35-10.703-14.474-7.237 5.35-19.25 14.238h-38.545l-10.115-30.344z"}}]})(props);
};
function GiHellCrosses (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112 64c17.48 40.785 28.587 87.938 33.336 136.818C110.51 194.896 69.158 186.632 16 176v160c53.158-10.632 94.51-18.896 129.336-24.818C140.586 360.062 129.48 407.215 112 448h128c-18.493-43.15-29.852-93.428-34.096-145.338 34.994-3.54 65.198-3.54 100.192 0C301.852 354.572 290.493 404.85 272 448h128c-17.48-40.785-28.587-87.938-33.336-136.818C401.49 317.104 442.842 325.368 496 336V176c-53.158 10.632-94.51 18.896-129.336 24.818C371.414 151.938 382.52 104.785 400 64H272c18.493 43.15 29.852 93.428 34.096 145.338-34.994 3.54-65.198 3.54-100.192 0C210.148 157.428 221.507 107.15 240 64H112z"}}]})(props);
};
function GiHelmetHeadShot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M73.98 19.324l36.696 67.596L20.3 33.506v.058L122.427 139.94 20.298 93.67v.3l53.856 60.932-53.855-4.072v.014l196.608 95.675-68.502 34.29 76.547 18.104-42.896 55.227 72.892-11.634c5.323-8.462 9.98-16.897 13.958-25.48-18.586-11.336-30.994-31.8-30.994-55.165 0-35.66 28.91-64.57 64.572-64.57 22.323 0 41.986 11.335 53.58 28.556l36.55 2.15 35.013-37.644-59.405 9.334 23.363-78.582-63.15 59.25L306.935 67.96l-21.354 110.425-48.256-53.547 6.737 61.11L74.498 19.325h-.52zm231.106 222.244c-2.274 61.787-26.61 106.513-68.617 156.828l75.126 82.96 41.545-116.155c-6.507 2.467-13.803 3.007-20.984 1.083-18.23-4.885-29.204-23.86-24.32-42.086.206-.77.444-1.522.7-2.265l1.452-22.514 77.674-3.506h.004l65.41 41.467-11.62 24.1c-5.448 17.396-23.93 27.675-41.698 22.915-6.818-1.827-12.62-5.626-16.957-10.618l-22.757 119.707L464.55 459.52c-13.598-67.112-8.595-114.53 21.227-169.622l-83.105-42.59-97.586-5.74zm35.48 75.85c-6.786.15-12.81 4.683-14.668 11.62-2.265 8.455 2.62 16.913 11.098 19.185 8.48 2.272 16.937-2.61 19.203-11.067 2.265-8.456-2.62-16.913-11.098-19.185-1.06-.283-2.12-.455-3.168-.523-.46-.03-.915-.04-1.368-.03zm67.604 18.11c-6.786.15-12.81 4.682-14.67 11.618-2.266 8.456 2.618 16.914 11.098 19.186 8.48 2.272 16.937-2.61 19.203-11.066 2.267-8.456-2.617-16.914-11.097-19.186-1.06-.284-2.12-.456-3.166-.523-.458-.03-.915-.04-1.367-.03z"}}]})(props);
};
function GiHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 76C123.45 76 16 183.452 16 316c0 43.716 11.453 84.698 31.875 120H196l31.875-64.688C191.868 359.546 166 325.938 166 286c0-49.706 40.294-90 90-90s90 40.294 90 90v30h150c0-132.548-107.45-240-240-240zm-4.218 150A60 60 0 0 0 196 286a60 60 0 0 0 120 0 60 60 0 0 0-64.218-60z"}}]})(props);
};
function GiHelp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16C123.45 16 16 123.45 16 256s107.45 240 240 240 240-107.45 240-240S388.55 16 256 16zm0 60c99.41 0 180 80.59 180 180s-80.59 180-180 180S76 355.41 76 256 156.59 76 256 76zm0 30c-66.274 0-120 40.294-120 90 0 30 60 30 60 0 0-16.57 26.862-30 60-30 33.138 0 60 13.43 60 30s-30 15-60 30c-1.875.938-3.478 2.126-4.688 3.28C226.53 244.986 226 271.926 226 286v15c0 16.62 13.38 30 30 30 16.62 0 30-13.38 30-30v-15c0-45 90-40.294 90-90s-53.726-90-120-90zm0 240a30 30 0 0 0-30 30 30 30 0 0 0 30 30 30 30 0 0 0 30-30 30 30 0 0 0-30-30z"}}]})(props);
};
function GiHemp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-38.355 67.122-53.713 168.713-46.096 249.691C162.114 202.531 80 160 48 144c0 44.276 61.262 134.485 125.51 185.89C122.122 316.443 48 320 16 320c27.009 27.009 99.61 54.017 157.943 66.773C142.34 396.846 123.34 427.495 96 448c49.447 0 121.079-21.399 151-49.203V496h18v-97.203C294.921 426.6 366.553 448 416 448c-27.34-20.505-46.34-51.154-77.943-61.227C396.39 374.017 468.99 347.01 496 320c-32 0-106.122-3.558-157.51 9.89C402.738 278.486 464 188.277 464 144c-48 16-114.114 58.531-161.904 121.691C309.713 184.713 294.356 83.121 256 16z"}}]})(props);
};
function GiHeptagram (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 17.338L213.543 180.08 59.836 111.807l100.766 134.662-149.215 77.605 168.11 5.178-32.36 165.047L256 366.096l108.863 128.203-32.36-165.047 168.11-5.178-149.215-77.605 100.766-134.662-153.707 68.273zm0 76.096l22.96 100.597L256 205.09l-22.96-11.059zm-136.668 65.82l92.967 44.77-5.672 24.841-22.963 11.059zm273.336 0l-64.332 80.67-22.963-11.057-5.672-24.844zm-163.738 52.78l6.326 3.046-7.889 3.799zm54.14 0l1.563 6.845-7.889-3.799zM256 225.067l33.756 16.256 8.336 36.526-23.36 29.29h-37.464l-23.36-29.29 8.336-36.526zm-54.496 26.245l-1.95 8.537-4.378-5.49zm108.992 0l6.328 3.046-4.379 5.49zm-131.953 11.056l15.889 19.926-5.67 24.846H85.574zm154.914 0l92.969 44.772H323.238l-5.67-24.846zm-124.67 37.926l5.46 6.846h-7.024zm94.426 0l1.564 6.846h-7.023zM203.115 325.14h25.487l15.888 19.923-64.336 80.674zm48.506 0h8.758L256 330.63zm31.78 0h25.484l22.96 100.597-64.333-80.674z"}}]})(props);
};
function GiHerbsBundle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M478 23.74c-11.3.28-23.5 1.47-34.9 3.67-16 3.08-30.4 8.33-37.9 13.88-.7 2.21-.9 5.24-.8 7.29 0 2.1.3 4.38.7 6.68 13.3-9.91 29.6-15.59 46.1-20.96-14.3 10.07-26.6 20.65-38.2 31.49 8.1 3.57 17.7 3.62 23.9-.77h.1c13.4-9.64 31.3-25.76 41-41.25zm-297.9 3.59c-2.7 0-5.6.3-8.6.97-2 9.79-.8 18.7 2.9 25.79-9-3.54-19.8-2.95-30.8 6.26 6.7 22.83 26.9 33 47.7 22.69.6 9.44.9 18.96.9 28.46-6.5-7.1-17.2-13.55-28.3-13.25-7.8.3-15.9 3.85-23 12.85 11.2 21 33 26.8 51.2 12.6-.2 10.3-.7 20.6-1.5 31-6.1-8.4-17-16.4-29.1-16.3-5.4.1-11 1.8-16.6 5.8 16 4.5 30.6 10.9 43.7 19.5 4.9 3.1 7.4 7.9 8.8 12.6 1.3 4.7 1.6 9.6 1.5 14.6-.4 10.2-2.8 20.9-6.4 30l-1.3 3-2.9 1.5c-2 1.1-4.3 2.2-6.5 3.3-2.1 12.8-4.4 25.7-6.9 38.7-14.8-18-29.7-24.6-44.4-24.7-37.59-.4-74.36 41.2-108.68 41.9 46.47 3.3 118.78-44.1 143.98 11.6 18.7 13.9 37.9 25.2 57.5 33.8 1.6-9.4 4.2-19.3 7.8-28.1 2.3-5.6 4.9-10.8 8.2-15.2 3.3-4.4 7.3-8.4 13.4-9.9 1.7-.5 3.5-.9 5.2-1.3-5.4-10.5-4.7-24.6 1.7-36.4 6.5-12.1 18.3-20.5 30.4-21.4 12.4-18.9 25.4-37.3 39.1-55.4 10.6 22.5 34 26.6 53.3 10.9-4.9-18.1-18-23.8-30.5-23.5-5.6.1-11.1 1.5-15.8 3.5 19.7-25.5 40.8-50 63.4-73.76-8.2-3.62-8.8-6.35-10.9-14.61-23 23.99-44.5 48.97-64.6 74.67-.5 15.9-9.5 30.2-24.7 33.2h-.2C289.4 186.3 280 200 271 214c2.3-14.9 4.6-30.2 7.4-45.4-7-4.4-12.6-11.8-15.7-20.4-9.5 30.5-16.3 62.9-25.1 90.9-1.2-.2-2.5-.3-3.7-.3-15.8-.1-29.7 13.6-33.3 23.9 12.1 10.4 25.4 12.4 36.3 7.6-4.1 7.3-8.3 14.7-12.3 22.1-3.6-1.6-7.3-2.4-10.8-2.4-11.4-.1-21.8 7.1-28.1 14.9 6.9-32.8 13.1-65.6 17.6-98.3 18.4 9.3 37.5 1.1 46-19.6-7.2-7.5-14.8-10.5-22-10.6-7.9-.1-15.4 3.4-21.3 8.1 1.3-11.3 2.3-22.6 3-33.9 18.8 18.5 43.1 13.5 55.1-9.1-7.1-9-15.2-12.5-23-12.8-13.6-.4-26.4 9.3-31.9 18.1.6-10.7 1-21.3 1-31.9 20.5 9.6 40.2-.6 46.8-23.2-7.2-6.03-14.3-8.36-20.8-8.26-10.8.16-20.2 6.95-26.2 14.71-.2-7.05-.6-14.1-1.1-21.13 23.4 7.71 42.3-6.26 44.5-30.81-19.8-10.93-35-.74-42.9 11.84-1.8-14.09-11-30.7-30.4-30.72zm178 13.92c-36.8 5.82-59.7 28.28-75.7 58l2.4-.6c5.3-1 10.4-.5 15 1.2 12.2-23.81 30.2-44.39 58.3-58.6zM490.2 105c-47.4 67.9-110.8 96.8-173.1 128.2 5.3 10.5 4.6 24.3-1.7 36v.1c65.8-40.8 132.8-79.5 174.8-164.3zm-89.7 4.4c-15.8-.2-29.7 13.7-33.3 23.9 20.9 18 45.3 10.9 55.3-13.3-7.2-7.5-14.8-10.5-22-10.6zm-111 6.8c-.4.1-.8.1-1.2.2-6.3 1.2-12 10.1-9.7 21.9 2.3 11.8 11 18 17.2 16.7 6.3-1.2 12-10.1 9.7-21.9-2.2-11.1-9.8-17.2-16-16.9zM84.98 154.4c-1.49 0-3.08.1-4.59.1 9.39 25.3 19.49 46.9 40.81 59.9h.1c14.2 9 31.2 6.5 45.9.9l-42.4-35.1 52.9 28c1.5-8.9 6.7-20.8 1.3-29.3h-.1v-.1c-24.5-15.9-55.3-24.1-93.92-24.4zm206.92 81.3c-5.5.2-12.2 4-16.5 11.9-5.7 10.6-2.9 20.9 2.7 23.9 8.6 3.7 18.2-5 21.4-10.8 5.7-10.6 2.9-20.8-2.7-23.9-1.4-.8-3.1-1.1-4.9-1.1zm-3.1 54.3c-1.5 0-3.1 0-4.6.1-9.2.4-18.2 1.8-27 4.1h-.1c.1 0-1.5.7-3.4 3.3-1.9 2.6-4.1 6.5-5.9 11.2-2.7 6.5-4.8 14.3-6.2 21.6l64-10.1-51.9 20.6c5.4 8 6.9 11.3 8.2 17.2 8.3 5.3 17.1 7.7 28.2 5 27.6-6.5 49.3-29 72-55.5-26-11.9-50.2-17.7-73.3-17.5zm-137.2 17.9l-9 22.9c32.7 14.4 60.6 31.1 87.3 47.9l12.5-22.6c-31.9-9.8-62-26.3-90.8-48.2zm-12.6 41c-20.9 27.3-46.01 51-74.71 64.9l7.88 16.2c33.33-16.2 60.93-43.1 83.53-73.2-5.4-2.7-11-5.4-16.7-7.9zm20.3 9.7c-23.6 42.1-46.3 72.1-70.35 116.1l15.85 8.6c23.4-42.9 46-73 70.5-116.3-5.2-2.8-10.6-5.6-16-8.4zm26.2 14.2c-24.6 37.7-42.2 68.5-59.6 108.3l16.4 7.2c17.1-39 34.2-68.8 58.6-106.4-5.1-3.1-10.2-6.2-15.4-9.1zm23 13.7c-15.4 26-17.1 57-19.8 80.6l17.8 2.1c2.9-24.2 5.1-52.2 17.3-73.1z"}}]})(props);
};
function GiHexagonalNut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 31.365L29.44 123.697v179.9L256 395.926l226.56-92.33v-179.9L256 31.365zm0 73.93c38.765 0 74.22 10.93 100.89 29.756 26.72 18.864 45.11 46.74 45.11 78.596s-18.39 59.733-45.11 78.596C330.22 311.067 294.764 322 256 322s-74.22-10.933-100.89-29.758C128.39 273.38 110 245.502 110 213.646c0-31.855 18.39-59.732 45.11-78.595 26.67-18.824 62.125-29.755 100.89-29.755zm0 18c-35.36 0-67.328 10.1-90.51 26.463-21.357 15.076-35.23 35.528-37.23 58.207 7.18-14.2 18.19-26.816 31.83-37.047C185.01 152.228 218.83 141 256 141c37.17 0 70.99 11.227 95.91 29.918 13.64 10.23 24.65 22.846 31.83 37.047-2-22.68-15.873-43.13-37.23-58.207-23.182-16.364-55.15-26.463-90.51-26.463zM256 159c-33.522 0-63.704 10.264-85.11 26.318-16.03 12.024-27.058 27.025-31.585 43.573 5.897-7.35 12.9-14.06 20.785-19.972C185.01 190.228 218.83 179 256 179c37.17 0 70.99 11.227 95.91 29.918 7.884 5.913 14.888 12.622 20.785 19.973-4.527-16.547-15.554-31.548-31.586-43.572C319.703 169.264 289.52 159 256 159zm0 38c-33.522 0-63.704 10.264-85.11 26.318-12.542 9.407-22.014 20.638-27.714 33.004.83 1.093 1.7 2.168 2.59 3.233 4.355-4.525 9.147-8.754 14.324-12.637C185.01 228.228 218.83 217 256 217c37.17 0 70.99 11.227 95.91 29.918 5.177 3.883 9.97 8.112 14.324 12.637.89-1.065 1.76-2.14 2.59-3.233-5.7-12.366-15.172-23.597-27.715-33.004C319.703 207.264 289.52 197 256 197zM29.44 323.033v70.916L247 482.612v-70.916L29.44 323.033zm453.12 0L265 411.7v70.913l217.56-88.664v-70.917z"}}]})(props);
};
function GiHexes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v61.193l25.22-7.142L56.886 18zm56.643 0L59.91 76.28l53.06 51.58 71.16-20.15L202.27 36l-18.5-18zm133.845 0l5.782 5.62L234.123 18zm104.27 0l42.453 41.27 71.158-20.15L431.715 18zm136.701 0l-6.43 25.33L494 92.842V18zm-159.328 2l-71.16 20.18-18.16 71.74 53 51.57 71.25-20.16 18.138-71.71zm140.988 35.69l-71.228 20.15-18.131 71.71 53.05 51.58L465.98 179l18.14-71.74zM47.891 88.62L18 97.083v133.191l64.81-18.355 18.13-71.71zm140.99 35.65l-71.192 20.16-18.18 71.71 53.061 51.58 71.17-20.14 18.14-71.74zM494 138.408L482.68 183.2 494 194.203zM329.74 159.9L258.57 180l-18.14 71.74 53 51.57 71.19-20.16 18.19-71.67zm140.93 35.65l-71.19 20.15-18.13 71.71L434.41 339 494 322.125V218.227zM87.49 228.49L18 248.168v91.406l33.23 32.276 71.18-20.07 18.13-71.71zm140.95 35.65l-71.19 20.16-18.14 71.7 53.06 51.58 71.16-20.15 18.14-71.74zm140.9 35.62l-71.16 20.15-18.14 71.74 53 51.57 71.19-20.16 18.14-71.71zM494 340.018l-54.92 15.543-18.13 71.709 53.06 51.58 19.99-5.657zm-476 23.63v93.233l3.09-.881 18.14-71.71zm109.07 4.702L55.93 388.5l-18.12 71.74L72.515 494h81.154l8.332-2.36 18.13-71.71zM268.03 404l-71.22 20.15L179.185 494H311.36l9.72-38.44zm140.91 35.62l-71.13 20.15-8.677 34.23h132.162l.705-2.79zM25.81 472.59L18 474.8V494h29.824zM494 487.73l-15.92 4.5-.447 1.77H494z"}}]})(props);
};
function GiHidden (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16.375 17.22v94.28l20.47 14.25 6.374-32.063 50.468 33.22L71.844 37.03l29.53 14.032L91.22 17.22H16.374zm119.72 0l19.843 42.03-42.032 46.72H155l4.656 39.718L180.686 120l10.408 61.938 38.75-56.72 25.22 32.657 24.186-91.156 33.78 21.124.595-50.78 47.656 24.436-3.03 67.5 28.438-41.813 12.78 22.126 60.157-64.25 1.188 44.187 33.875-42.625V17.22H136.094zM85.468 186.03c-16.63.038-34.107 1.616-52.345 4.376l-7.906 1.188-.064 7.97c-.35 40.24 4.84 67.31 16.125 85.936 11.287 18.627 29.17 27.313 48.626 29.938 6.937.935 14.17 1.266 21.656 1.218v-92.47c-18.67 4.285-32.593 20.996-32.593 40.97 0 12.76 5.68 24.195 14.655 31.906-.407-.048-.817-.102-1.22-.156-16.03-2.162-26.822-7.34-35.155-21.094-7.72-12.74-12.852-34.287-13.313-67.968 14.533-1.918 28.44-3.073 41.47-3.094 25.72-.042 48.403 3.894 67.593 12.78 27.768 12.86 49.145 36.087 63.406 75.626-23.567-1.313-45.838.293-65.906 1.97 7.748-7.628 12.563-18.238 12.563-29.97 0-20.04-14.044-36.785-32.813-41v91.75c29.98-2.004 63.35-7.024 98.438-3.187l13.968 1.53-4-13.47c-15.143-51.256-42.066-83.663-77.812-100.217-22.342-10.347-47.66-14.594-75.375-14.532zm347.624 0c-27.716-.06-53.034 4.186-75.375 14.532-35.748 16.555-62.67 48.962-77.814 100.22l-3.97 13.468 13.94-1.53c35.57-3.89 69.386 1.335 99.687 3.28v-92.125c-19.397 3.735-34.063 20.795-34.063 41.28 0 11.726 4.822 22.344 12.563 29.97-20.063-1.682-42.327-3.31-65.875-2 14.26-39.522 35.645-62.737 63.406-75.594 19.19-8.886 41.87-12.822 67.594-12.78 13.038.022 26.924 1.173 41.468 3.094-.46 33.68-5.624 55.228-13.344 67.97-8.333 13.753-19.093 18.93-35.125 21.092-.41.056-.832.107-1.25.156 8.984-7.71 14.688-19.137 14.688-31.906 0-19.525-13.332-35.927-31.375-40.656v92.156c7.04.004 13.86-.335 20.406-1.22 19.458-2.623 37.37-11.31 48.656-29.936 11.287-18.627 16.443-45.695 16.094-85.938l-.062-7.968-7.875-1.188c-18.24-2.76-35.747-4.338-52.376-4.375zm37.937 139.19l-2.717 35.124-80.407-4.063 78.375 66.25-39.874 9.44 68.28 27.03.002-105.406-23.657-28.375zm-131.124 12.03L274.5 422.53l-12.28-42.06-29.19 96.936-50.218-67.72-14.593 85.845h257.53l-6.406-34.467-53.156 19.875-9.344-53.157-16.938 13.44V337.25zm-300.78 15.188l-22.75 19.843v123.25h130.06l-16.186-76.5-13.875 16.72-24.688-54.125-33.28 54.344-19.282-83.533z"}}]})(props);
};
function GiHieroglyphY (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M152.506 24.547l-15.324 7.662c29.403 42.845 44.929 106.006 49.513 178.545 4.912 77.703-3.03 166.28-22.285 252.137-1.945 8.672-.072 13.881 3.268 17.76 3.34 3.878 8.874 6.427 15.068 6.76 12.39.663 26.028-5.922 27.918-27.282 13.286-150.175 33.16-296.846-58.158-435.582zm248.867 0l-15.324 7.662c29.403 42.845 44.929 106.006 49.514 178.545 4.91 77.703-3.032 166.28-22.286 252.137-1.945 8.672-.072 13.881 3.268 17.76 3.34 3.878 8.874 6.427 15.068 6.76 12.39.663 26.029-5.922 27.918-27.282 13.286-150.175 33.16-296.846-58.158-435.582zM121.115 40.645a613.725 613.725 0 0 0-8.963 18.287l28.29 17.207c-5.651-13.31-12.097-25.216-19.327-35.494zm248.867 0a613.724 613.724 0 0 0-8.962 18.287l28.289 17.207c-5.651-13.31-12.097-25.216-19.327-35.494zM104.674 75.449a711.47 711.47 0 0 0-9.192 22.069l63.516 39.81c-2.495-11.965-5.403-23.383-8.73-34.15l-45.594-27.729zm248.867 0a711.463 711.463 0 0 0-9.191 22.069l63.515 39.81c-2.495-11.965-5.403-23.383-8.73-34.15L353.54 75.449zM88.916 114.646a823.4 823.4 0 0 0-9.545 27.313 957.03 957.03 0 0 0 9.135 5.523c11.292 6.743 26.088 15.378 40.775 23.883a9091.556 9091.556 0 0 0 37.979 21.87 543.287 543.287 0 0 0-3.938-31.954l-74.406-46.635zm248.867 0a823.4 823.4 0 0 0-9.545 27.313 957.036 957.036 0 0 0 9.135 5.523c11.292 6.743 26.088 15.378 40.775 23.883a9092.289 9092.289 0 0 0 37.979 21.87 543.287 543.287 0 0 0-3.938-31.954l-74.406-46.635zM73.748 159.61a924.93 924.93 0 0 0-7.695 26.52l103.998 61.506a704.434 704.434 0 0 0-1.145-32.719 9334.197 9334.197 0 0 1-48.646-27.975c-14.723-8.526-29.558-17.184-40.983-24.005a1149.394 1149.394 0 0 1-5.529-3.327zm248.867 0a924.93 924.93 0 0 0-7.695 26.52l103.998 61.506a704.434 704.434 0 0 0-1.145-32.719 9334.525 9334.525 0 0 1-48.646-27.975c-14.723-8.526-29.558-17.184-40.982-24.005a1149.4 1149.4 0 0 1-5.53-3.327zM61.277 204.22a993.155 993.155 0 0 0-5.402 22.383l113.07 73.388a836.729 836.729 0 0 0 1.067-31.463L61.277 204.22zm248.868 0a993.155 993.155 0 0 0-5.403 22.383l113.07 73.388a836.729 836.729 0 0 0 1.067-31.463L310.145 204.22zm-258.387 41.17a1020.314 1020.314 0 0 0-5.756 29.705l119.533 68.92c.797-7.846 1.49-15.66 2.08-23.43L51.758 245.389zm248.867 0a1020.31 1020.31 0 0 0-5.756 29.705l119.533 68.92c.797-7.846 1.49-15.66 2.08-23.43l-115.857-75.195zm-257.82 48.638c-.65 4.084-1.28 8.154-1.87 12.186-1.77 12.106 64.935 55.99 120.141 74.619a969.753 969.753 0 0 0 2.28-17.297L42.804 294.027zm248.867 0c-.65 4.084-1.28 8.154-1.87 12.186-1.77 12.106 64.936 55.99 120.141 74.619a969.753 969.753 0 0 0 2.28-17.297l-120.551-69.508z"}}]})(props);
};
function GiHighFive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M126.254 16.098l23.18 134.29-131.55-20.595 94.78 110.596L28.2 318.08l108.71 24.42-39.797 88.447 71.364-19.014c7.904-20.18 13.607-40.676 16.42-60.008l-.05-.03h-.003c-1.802-1.04-2.872-2.744-4.06-6.74-1.19-3.997-1.868-9.5-3.942-15.412-7.033-20.052-17.384-51.137-48.155-81.834 3.305-6.314 6.61-9.692 9.186-11.074 3.247-1.742 6.19-1.775 11.293.422 9.35 4.025 22.63 17.193 35.174 33.816 3.368 5.048 6.267 10.15 8.683 15.31l16.918-7.927c-3.936-8.406-8.884-16.523-14.74-24.376l9.32-23.635-.418-90.175c2.948-2.112 7.593-3.54 12.92-3.43 5.064.107 10.178 1.73 13.52 3.673l-.794 88.818c7.553 3.465 15.125 6.91 22.62 10.44l37.04-106.385c5.665.22 10.842.688 15.03 2.063 4.6 1.51 8.553 3.855 12.53 8.248L275.595 251.41c6.797 3.69 13.394 7.6 19.693 11.84l66.916-91.31c3.036.616 7.123 2.416 10.7 5.632 4.143 3.726 7.06 8.725 8.054 13.123l-64.625 89.3c5.508 5.266 10.58 11.007 15.107 17.357l55.83-41.67c6.377 2.98 12.275 10.69 12.25 18.377-9.137 6.16-54.367 37.145-81.29 65.783-8.748 9.303-24.697 24.49-33.496 34.43v.003h-.002c-2.977 3.366-7 6.718-11.402 9.39l-18.947 101.192 39.596-62 63.627 56.252 4.73-121.537 134.604 11.57-76.7-95.417 64.414-92.664-90.34-12.062L435.23 51.324l-122.185 69.744-31.375-103.822-53.75 96.108-101.668-97.256z"}}]})(props);
};
function GiHighGrass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M461.563 38.938C313.435 165.053 232.49 371.144 210.313 492.5h77.218c31.597-122.495 51.135-263.494 174.033-453.563zM78.375 91.374c52.397 62.796 102.31 132.45 142.094 199.28 7.298 12.263 14.236 24.417 20.81 36.408 7.833-19.184 16.525-38.697 26.095-58.282-51.817-71.23-113.464-135.005-189-177.405zm391.188 133.72c-51.588 46.498-78.856 114.453-90.594 190.655 13.775 25.835 26.704 51.295 38.936 75.875h39.375c-25.25-71.46-11.537-162.36 12.283-266.53zM67 240.437c72.962 73.26 120.794 188.6 80.094 250.78h45c4.494-25.12 11.34-53.633 20.687-84.25C194.338 322.68 131.42 242.927 67 240.44zm-32.875 87.937C87.145 409.31 95.83 453.34 75.063 490.97h67.5c-13.1-72.02-31.444-116.305-108.438-162.595zm300.938 45.594c-10.65 41.36-19.188 80.437-28.813 118.25h91.72c-19.144-38.286-39.92-78.392-62.908-118.25z"}}]})(props);
};
function GiHighHeel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M95.605 53.618C59.398 91.634-.277 129.436 23.022 165.38c29.725 42.452 55.624 70.193 100.27 95.33 33.935 20.864 52.875 61.208 67.35 93.078 8.437 19.378 14.978 35.68 22.847 47.905 3.68 5.72 16.17 10.824 33.27 14.64 19.66 4.387 45.662 6.826 73.856 8.027 55.43 2.362 119.31.07 163.98.313 10.655-18.24 6.73-26.878-2.402-30.22-46.818-17.135-97.9-23.76-133.024-68.236-17.576 7.758-51.442 6.62-72.373-5.514C183.724 266.746 153.233 145.19 95.605 53.618zM50.725 227.55c38.173 105.505 31.883 229.52 35.69 230.832h18.07c.865-9.313-7.227-140.064 9.887-182.422-25.577-14.43-45.698-30.095-63.647-48.41zM230.74 430.493c22.236 32 33.7 26.59 40.543 27.89h195.404l8.528-16.058c-43.404.074-102.725 1.926-155.352-.316-28.733-1.224-55.45-3.637-76.95-8.434-4.238-.946-8.304-1.96-12.173-3.082z"}}]})(props);
};
function GiHighKick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M117.842 26.268a15.25 15.25 0 0 0-4.418.76c-5.625 1.858-10.165 7.048-12.6 15.701-2.435 8.653-2.255 20.27 1.668 32.045 3.923 11.775 10.754 21.198 17.9 26.686 7.147 5.488 13.9 6.946 19.526 5.088 5.625-1.858 10.163-7.046 12.597-15.7 2.435-8.653 2.256-20.271-1.668-32.046-3.923-11.776-10.753-21.196-17.9-26.684-5.36-4.116-10.498-5.966-15.105-5.85zm183.933 12.373c-3.461.157-6.505 1.749-8.25 5.344L279.89 68.73l-26.733 32.309s-53.832-9.528-72.039-6.863a518.655 518.655 0 0 0-11.318 1.767c-3.614 12.656-11.809 23.592-24.192 27.682-11.513 3.803-23.674.702-33.761-6.178-4.565 3.511-8.787 7.581-12.557 12.33-18.674 14.66-26.385 24.747-42.1 34.92 3.083-14.864 10.683-29.677 19.026-41.879 1.37-2.003 11.495-10.555 12.888-12.406 7.48-14.706-8.464-41.216-23.476-15.86-1.425 1.979-7.346 18.877-8.817 21.096-14.574 28.867-23.676 47.817-15.474 76.325 2.756 9.578 30.91-4.905 55.23-22.159 26.469 37.34 59.364 48.604 78.373 63.078-23.266 83.384 10.267 147.263 29.276 207.721l-29.149 36.086c-8.868 10.627 48.711 13.113 52.412.75l7.71-33.84c-28.831-90.508-3.142-157.686 17.62-207.722 55.208-59.043 115.23-82.304 168.9-128.791l45.302-9.635c10.848-19.916 10.236-29.748-13.854-30.697l-44.924 17.595c-56.586 31.807-146.01 53.348-186.496 97.99-.897-14.045-17.4-47.3-20.902-58.437 19.373 2.573 45.668 4.223 60.642-2.682 16.005-7.38 33.63-40.796 33.63-40.796l19.663-14.551c17.065-10.058-.63-27.798-12.994-27.24z"}}]})(props);
};
function GiHighPunch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M221.6 28.53c-5.2.1-10.6 2.18-15.8 6.35-7.7 6.03-14.4 16.44-17.8 29.58-3.3 13.14-2.5 26.2 1.1 36.24 3.6 9.9 9.4 16.4 16.6 18.9 6 2.1 12.6 1.3 19-2.6 2.3-13.6 9.9-24.28 21.3-31.6.1-.19.1-.38.2-.58 3.3-13.15 2.5-26.2-1.1-36.2-3.6-9.95-9.4-16.46-16.6-18.97-2.3-.78-4.6-1.16-6.9-1.12zm212.5 49.31c-3.2.72-11 3.44-18.7 7.15-8.7 4.14-17.4 8.86-22.4 11.5l-.9.45-.9.25c-38.1 10.61-57.5 17.91-88.3 23.21-2.2 6.1-6 12.5-11.3 19h-.1v.1c-6.2 7.4-12.4 14.7-18.7 21.9 45.8-8.5 78.8-16.7 132.7-38l4.1-1.6 3.9 2.3c5.5 3.4 13.4 5.8 19.6 6.3 3.1.3 5.8 0 7.4-.4 1.4-.4 1.4-.7 1.4-.6 5.4-11.9 7.3-24.4 5.5-33.8-1.7-8.89-5.7-14.64-13.3-17.76zM272.2 96.08c-8.9-.1-20.1 4.32-27.6 15.62-5.9 29.5-26.7 50.1-57.2 62.6l-6.8-16.6c12.7-5.2 22.6-11.2 30.1-18.6-3.1-.2-6.3-.9-9.4-2-10.4-3.7-18.6-11.6-24.1-21.4-14.6 2.8-22.6 6.3-32.8 14.6-4.1 36.5 6.8 67.5 27.6 96.6 41.7-25.4 73.7-60.5 105.7-98.9 8.2-10.2 10-17.6 9.5-21.9-.6-4.2-2.7-6.73-7.2-8.58-2.2-.91-4.9-1.42-7.8-1.44zM131.5 185.5c-1.7 23.2-.7 48.5-1 75v3.8l-2.7 2.6C75.51 317.5 33.9 400.5 20.36 495.7h40.62c9.12-41.2 17.47-82.3 34.69-115.7 18.23-35.3 47.83-62 96.23-67.5l4.8-.6 3.1 3.7c38.2 45.7 75.3 103.9 85.9 180.1h39.6c-6.3-88.4-46.8-156.5-97.1-229-9.8-14.1-10.2-29.8-6.5-44.9.9-3.8 2.1-7.7 3.4-11.7-15.5 13.6-32.3 26-51 36.7l-6.9 3.9-4.7-6.2c-14-18.2-24.8-37.8-31-59z"}}]})(props);
};
function GiHighShot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M492.656 20.406l-118.594 56.22L413.875 86l-86.97 86.97-305.5 259.374.69.687 104.75-47.467-46.376 105.843.905.906 272.5-319.875 73.22-73.218 9.342 39.81 56.22-118.624zm-473.25.063c-1.347 23.43 5 39.947 16.563 52.218l24.093 302.28 17.562-14.874-21.72-272.438c57.975 31.954 169.096 25.165 216.907 106.72l66.625-56.564 1.22-1.218C292.74 38.666 86.01 99.716 19.406 20.47zm359.531 151.56l-1.156 1.157-57.25 67.188c82.006 47.945 75.587 159.267 107.283 218.03l-272.157-24.5-14.812 17.408 301.562 27.125c12.48 12.283 29.4 19.084 53.688 17.687-79.95-67.2-18.36-275.754-117.156-324.094z"}}]})(props);
};
function GiHighTide (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M40 24v464h80v-32H80v-16h40v-48H80v-16h40v-48H80v-16h40v-48H80v-16h40v-48H80v-16h40v-48H80v-16h40V72H80V56h40V24H40zm152 8c-15.503 0-31.65 8.898-45.133 17.184A256.9 256.9 0 0 0 136 56.268V75.96c3.741-2.82 10.696-7.891 19.244-13.145C167.8 55.102 183.652 48 192 48c8.348 0 16.977 6.256 27.014 14.256C229.05 70.256 240.497 80 256 80c15.503 0 26.95-9.744 36.986-17.744C303.023 54.256 311.652 48 320 48c8.348 0 16.977 6.256 27.014 14.256C357.05 70.256 368.497 80 384 80c15.503 0 26.95-9.744 36.986-17.744C431.023 54.256 439.652 48 448 48c8.348 0 24.201 7.102 36.756 14.816A243.821 243.821 0 0 1 496 70.186V50.992c-.95-.603-1.88-1.202-2.867-1.808C479.65 40.898 463.503 32 448 32c-15.503 0-26.95 9.744-36.986 17.744C400.977 57.744 392.348 64 384 64c-8.348 0-16.977-6.256-27.014-14.256C346.95 41.744 335.503 32 320 32c-15.503 0-26.95 9.744-36.986 17.744C272.977 57.744 264.348 64 256 64c-8.348 0-16.977-6.256-27.014-14.256C218.95 41.744 207.503 32 192 32zm0 48c-15.503 0-31.65 8.898-45.133 17.184A256.9 256.9 0 0 0 136 104.268v19.693c3.741-2.82 10.696-7.891 19.244-13.145C167.8 103.102 183.652 96 192 96c8.348 0 16.977 6.256 27.014 14.256C229.05 118.256 240.497 128 256 128c15.503 0 26.95-9.744 36.986-17.744C303.023 102.256 311.652 96 320 96c8.348 0 16.977 6.256 27.014 14.256C357.05 118.256 368.497 128 384 128c15.503 0 26.95-9.744 36.986-17.744C431.023 102.256 439.652 96 448 96c8.348 0 24.201 7.102 36.756 14.816a243.821 243.821 0 0 1 11.244 7.37V98.992c-.95-.603-1.88-1.202-2.867-1.808C479.65 88.898 463.503 80 448 80c-15.503 0-26.95 9.744-36.986 17.744C400.977 105.744 392.348 112 384 112c-8.348 0-16.977-6.256-27.014-14.256C346.95 89.744 335.503 80 320 80c-15.503 0-26.95 9.744-36.986 17.744C272.977 105.744 264.348 112 256 112c-8.348 0-16.977-6.256-27.014-14.256C218.95 89.744 207.503 80 192 80z"}}]})(props);
};
function GiHillConquest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 55v203.248c-3.565-.103-7.126-.164-10.68-.154-62.774.18-123.48 18.017-170.16 55.783-18.406 14.89-34.696 32.91-48.16 54.28V494h208.92c43.583-100.15 136.274-151 230.414-151 2.962 0 5.926.056 8.89.156-1.515-1.36-3.045-2.705-4.59-4.035-53.44-45.953-125.055-74.07-196.634-79.884v-99.66c27.09-2.53 46.44-15.576 71-15.576 27.195 0 48 16 80 16V80c-32 0-48-16-80-16-28.854 0-44.703 13.005-71 15.563V55zm210.334 306c-85.44 0-168.606 43.956-210.47 133H494V363.73c-12.176-1.816-24.436-2.73-36.666-2.73z"}}]})(props);
};
function GiHillFort (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M133.842 41.092v41.262h91.138V41.092h-17.318V55.05h-18V41.09h-20.164v13.96h-18V41.09h-17.656zm25.828 59.262v41.261h10.828v18H159.67V260.14h61.31V229.63h18v30.508h100.97V185h-21.657v14.123H201.154V179.37h-12.232v-18h12.232v-61.015H159.67zm169.53 39.412L318.987 167h20.424L329.2 139.766zm-59.563 80.865h19.828v18h-19.828v-18zm-111.594 57.508l-5.887 29.324c19.725-13.368 39.964-23.723 60.276-29.324h-54.389zm122.928 0c25.32 6.411 50.978 19.055 76.066 35.3l-14.174-35.3h-61.892zm-24.653 13.957c-3.82 5.105-10.723 14.754-17.113 26.025-9.407 16.592-15.751 36.437-12.736 44.975 2.876 8.144 8.599 13.288 17.574 17.716 8.975 4.43 20.9 7.524 33.516 10.55 12.616 3.024 25.91 6.002 38.046 11.144s23.464 12.776 30.178 25.137c10.055 18.51 7.03 43.647 3.188 65.037-.08.446-.167.878-.248 1.32H494v-32.738c-14.198-15.921-30.351-33.191-47.953-50.551-57.898-57.103-130.39-112.264-189.729-118.615zm-40.763 4.166c-50.359 15.487-106.827 66.43-151.858 118.12C46.516 434.107 31.08 453.593 18 470.997V494h227.406c6.68-4.756 12.807-9.822 17.518-14.9 7.244-7.81 10.646-15.074 10.185-21.036-.535-6.926-3.903-10.494-11.75-14.556-7.846-4.063-19.606-7.09-32.046-10.051-12.441-2.96-25.562-5.894-37.028-11.207-11.465-5.313-21.989-13.921-25.228-27.326-3.35-13.863.587-28.2 7.101-41.846 6.514-13.646 15.908-26.903 25.531-38.713 5.355-6.571 10.79-12.676 15.866-18.103zm1.195 25.734c-9.738 12.244-20.112 26.008-26.348 38.836-5.547 11.62-7.701 22.2-5.85 29.863 1.63 6.74 6.426 11.11 15.302 15.223 8.875 4.112 21.114 7.052 33.626 10.03 12.513 2.977 25.296 5.952 36.155 11.573 10.858 5.622 20.357 15.42 21.42 29.157 1.024 13.248-5.882 24.903-14.934 34.662a98.14 98.14 0 0 1-2.574 2.66H330.4c.292-1.478.58-2.975.854-4.502 3.586-19.966 4.125-43.301-1.287-53.264-4.167-7.671-11.37-12.912-21.383-17.154-10.012-4.242-22.484-7.16-35.223-10.215-12.738-3.054-25.756-6.222-37.283-11.91-11.527-5.688-21.867-14.513-26.582-27.865-5.428-15.372-.157-31.982 7.254-47.094z"}}]})(props);
};
function GiHills (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416.104 18A88 84.324 0 0 0 494 99.674V18h-77.896zM128 137c-42.657 0-79.727 10.965-110 25.322v128.002c30.184-5.45 59.138-8.394 86.82-9.08 50.9-1.26 97.525 5.05 139.744 17.12 42.768-27.11 86.74-52.815 134.387-73.048C304.435 169.018 211.563 137 128 137zm366 71.98c-85.695 15.81-157.66 53.443-226.953 96.485 22.08 7.666 42.85 16.937 62.283 27.537 73.712 40.21 128.137 99.163 162.81 160.998H494V208.98zm-373.03 90.008c-5.196-.034-10.44.016-15.738.15-27.682.703-56.767 3.78-87.232 9.5V494h453.242c-33.246-55.78-83.587-108.678-150.53-145.195-55.257-30.142-121.817-49.31-199.743-49.817z"}}]})(props);
};
function GiHistogram (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23 23v466h466v-18h-40.893V256h-48v215h-31.675V159.33h-48V471h-31.227V320.242h-48V471H207.2V80.418h-48V471H128V192H80v279H41V23H23z"}}]})(props);
};
function GiHiveMind (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M305.6 17.3c-7.1 0-14 1.8-19.2 5.5-5.1 3.9-9.2 9.7-12.3 17-9.6 27.6-7.9 53.9-8.1 82.9v.1h-18.7v-.1c-.3-26.6 1.2-60.3-8.1-82.9-3.1-7.3-7.2-13.1-12.3-17-11-6.8-33.9-8.6-44 2.4-3.6 4.3-5.5 10.1-.1 22.2 5.8 8.8 10.4 20.9 14.4 36.4L179 88.5c-6.7-26.3-15.1-36.9-20.8-39.4-14.6-4.9-39.3 17.7-39 30.4 3.9 14 15.3 21.4 28 27.4l-8 16.9c-5.1-2.5-9.6-5-13.7-7.6-14.7-8.1-25.5-11.6-31.3-11.1-13.93 1.5-21.03 32.8-16.2 41.3 2.4 3.9 8.5 8.1 22.9 9.5 4.8-.2 8.6.7 12.8.6l.2 18.7c-4.3 0-8.3-.1-12.1-.4-12.1-.1-19.3.9-22.3 2.4-6.45 5.8-8.37 18.5-5.5 26.3 1.1 2.5 2.6 4.4 6.3 6.4 7.4 4 24.4 6.5 52.6 4.1l1.6 18.6c-21.6 1.8-37.9 1.5-50.4-1.6-1.8 18.5 16 26.8 32.9 27.1h103.8c12.1 0 22.6-8.9 26.7-25.1l8-32 10 31.5c5.3 16.6 16.2 25.6 26.9 25.6h103.8c6.3 0 18.4-3.9 25.6-10.2 4.9-4.6 8.7-10.7 7.5-17.1-12.6 3.3-29.1 3.7-51.4 1.8l1.6-18.6c28.2 2.4 45.1-.1 52.5-4.1 8.1-7.1 10.9-27.8.8-32.7-2.9-1.5-10.2-2.5-22.2-2.4-3.8.3-7.8.4-12.1.4l.2-18.7c4.3-.2 8.8-.5 12.8-.6 14.4-1.4 20.5-5.6 22.8-9.5 5.2-12.8-4.8-40-16.1-41.3-5.8-.5-16.6 3-31.3 11.1-4.1 2.6-8.6 5.1-13.7 7.6l-8-16.9c5.1-2.2 8.7-4.8 13-7.3 11.5-7.66 14.8-14.7 15.1-20.2-1-13.8-25.8-36.2-39-30.3-2 .8-4.3 2.7-6.8 5.9-6.4 10.1-11.6 23.7-14.2 33.4l-18-4.6c4.4-17.3 9.6-30.4 16.3-39.4 3.9-10 2.1-15.3-1.2-19.2-6.2-5.1-15.6-7.9-24.8-7.9zM96.18 282c-17.2 0-32.49 18.4-32.49 42.5 0 12.4 4.09 23.4 10.29 31l6.2 7.8-9.9 1.5c-9.39 1.5-15.79 6-21.09 13.1-5.3 7.1-9.2 16.9-11.6 28.4-4.7 20.9-4.81 40.6-4.81 63h25.91l1.2 24.7h70.61l1.4-24.7h27.3c-.1-22.1-1.2-41.5-6.3-62.3-2.8-11.3-6.7-21.2-12-28.4-5.1-7.1-11.4-11.6-19.9-13.2l-9.7-1.8 6.4-7.5c6.4-7.8 10.8-18.9 10.8-31.6 0-22.7-13.7-40.4-29.12-42.5zm160.02 0c-17.2 0-32.5 18.4-32.5 42.5 0 12.4 4.1 23.4 10.3 31l6.2 7.8-9.9 1.5c-9.4 1.5-15.8 6-21.1 13.1-5.3 7.1-9.2 16.9-11.6 28.4-4.7 20.9-4.8 40.6-4.8 63h25.9l1.2 24.7h70.6l1.4-24.7h27.3c-.1-22.1-1.2-41.5-6.3-62.3-2.8-11.3-6.7-21.2-12-28.4-5.1-7.1-11.4-11.6-19.9-13.2l-9.7-1.8 6.4-7.5c6.4-7.8 10.8-18.9 10.8-31.6 0-22.7-13.7-40.4-29.1-42.5zm160 0c-17.1 0-32.4 18.4-32.4 42.5 0 12.4 4.1 23.4 10.3 31l6.2 7.8-9.9 1.5c-9.4 1.5-15.9 6-21.2 13.1-5.3 7.1-9.2 16.9-11.6 28.4-4.7 20.9-4.8 40.6-4.8 63h25.9l1.2 24.7h70.7l1.4-24.7h27.2c-.1-22.1-1.2-41.5-6.2-62.3-2.8-11.3-6.8-21.2-12.1-28.4-5.1-7.1-11.4-11.6-19.8-13.2l-9.7-1.8 6.3-7.5c6.4-7.8 10.8-18.9 10.8-31.6 0-22.7-13.7-40.4-29.1-42.5z"}}]})(props);
};
function GiHive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196 16s-60 20.07-60 45h-15c-33.24 0-60 20.07-60 45 0 11.496 5.61 22.062 15 30-33.24 0-60 30.915-60 60s26.76 45 60 45h30.47C111.154 160.246 153.625 93.326 211 69.906V16h-15zm105 0v53.906c57.372 23.42 99.844 90.34 104.53 171.094H436c33.24 0 60-15.915 60-45s-26.76-60-60-60c9.392-7.938 15-18.504 15-30 0-24.93-26.76-45-60-45h-15c0-24.93-60-45-60-45h-15zm-44.156 105a30 30 0 0 0-30.875 29.97 30 30 0 0 0 60 0A30 30 0 0 0 256.843 121zm.5 90.063a45 45 0 0 0-46.313 44.968 45 45 0 0 0 90 0 45 45 0 0 0-43.686-44.967zM151.844 226a30 30 0 0 0-30.875 29.97 30 30 0 0 0 60 0A30 30 0 0 0 151.843 226zm210 0a30 30 0 0 0-30.875 29.97 30 30 0 0 0 60 0A30 30 0 0 0 361.843 226zM76 271c-33.24 0-60 15.915-60 45s26.76 60 60 60c-9.39 7.938-15 18.504-15 30 0 24.93 26.76 45 60 45h15c0 24.93 60 45 60 45h15v-53.906c-57.372-23.42-99.844-90.34-104.53-171.094H76zm329.53 0c-4.685 80.754-47.156 147.674-104.53 171.094V496h15s60-20.07 60-45h15c33.24 0 60-20.07 60-45 0-11.496-5.608-22.062-15-30 33.24 0 60-30.915 60-60s-26.76-45-60-45h-30.47zm-148.686 60a30 30 0 0 0-30.875 29.97 30 30 0 0 0 60 0A30 30 0 0 0 256.843 331z"}}]})(props);
};
function GiHobbitDoor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23C127.4 23 23 127.4 23 256s104.4 233 233 233c103.1 0 190.6-67.1 221.3-160h-19C428.4 411.8 349.2 471 256 471c-118.8 0-215-96.2-215-215S137.2 41 256 41c93.2 0 172.4 59.2 202.3 142h19C446.6 90.12 359.1 23 256 23zm-9 50.22c-16 .77-31.4 3.58-46 8.17V359h46V73.22zm18 0V215h46V81.39c-14.6-4.59-30-7.4-46-8.17zm-82 14.89c-16.8 7.3-32.3 17.09-46 28.79v2.1h46V88.11zm146 0V311h46V116.9c-13.7-11.7-29.2-21.49-46-28.79zM119 134.6C90.37 166.9 73 209.4 73 256c0 46.6 17.37 89.1 46 121.4v-89c-9.7-7.5-16-19.3-16-32.4 0-13.1 6.3-24.9 16-32.4v-89zm274 0v242.8c12.7-14.3 23.1-30.6 30.9-48.4H411V183h12.9c-7.8-17.8-18.2-34.1-30.9-48.4zM137 137v78.6c2.3-.4 4.6-.6 7-.6 18.1 0 33.6 12 39 28.4V137h-46zm292 64v46h46v-46h-46zm-285 32c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm121 0v205.8c16-.8 31.4-3.6 46-8.2V233h-46zm164 32v46h46v-46h-46zm-246 3.6c-5.4 16.4-20.9 28.4-39 28.4-2.4 0-4.7-.2-7-.6v98.7c13.7 11.7 29.2 21.5 46 28.8V268.6zM329 329v94.9c16.8-7.3 32.3-17.1 46-28.8V329h-46zm-128 48v53.6c14.6 4.6 30 7.4 46 8.2V377h-46z"}}]})(props);
};
function GiHobbitDwelling (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M297 41v30h78V41h-78zM80 48c-12.56 22.13-19.5 54.6-22.07 77.2-.59.2-1.17.5-1.74.7-5.58-17.9-17.63-33.58-33.8-46.62 6.47 18.29 15.93 35.52 19.71 54.62-4.23 2.9-8.01 6-11.3 9.4-3.16 3.3-5.68 14.2-5.9 27.1-.17 12.9 1.1 27 .1 38.4v18.3c24.32-9.1 49.03-21.4 74.63-31.3 29.77-11.6 61.07-19.5 94.17-12.6h.1c25.2 5.3 41.1 10.6 62.8 29.4 37.2-26.3 84.7-42.1 129.8-29.3L487 212.1v-29.8c-5.8-2.2-11.7-4.3-17.5-6.4 4.6-25.7 12-44.4 24.2-71.2-21.1 17.4-40.5 31.6-50.4 51.9 2.4-20.1-7.9-28.1-25.5-45.7 5.2 21.2 3.8 30.9-2.2 46.8-74.1-23.5-146.1-39.7-208.1-45.9-18.3-1.8-35.7-2.8-51.9-2.8-2.3 0-4.6.1-6.9.1-16.4.2-31.7 1.4-45.6 3.5-2.8-11.8-.4-25.02 11.9-40.56C98.7 83.9 84.47 96.35 76.54 110.5 76.33 90.05 78.65 68.87 80 48zm233 41v22.1c15.1 3.4 30.5 7.1 46 11.3V89h-46zm41.6 107.9c-32.5-.4-66 13.7-93.2 34.3l-6 4.5-5.5-5.1c-19.2-18-29.3-22.8-47.8-27.2-2.9 9.7-9.2 19.9-14.6 30 .5-10.4 1.6-21-5.6-29.5-3 8.8-10.3 16.5-24 22.6 2.9-9.9 6.9-19 6.9-27.8-19.5.6-38.9 6.2-58.7 13.8-26.37 10.2-53.15 24.2-81.1 34V487h462V230.8l-105.5-30.1c-8.8-2.5-17.8-3.7-26.9-3.8zM384 215c40.2 0 73 32.8 73 73s-32.8 73-73 73-73-32.8-73-73 32.8-73 73-73zm-9 18.7c-23.3 3.8-41.5 22.1-45.3 45.3H375v-45.3zm18 0V279h45.3c-3.8-23.2-22-41.5-45.3-45.3zM160 247c57.9 0 105 47.1 105 105 0 27.4-10.5 52.3-27.7 71H249v50H71v-50h11.71C65.52 404.3 55 379.4 55 352c0-57.9 47.1-105 105-105zm0 18c-9 0-17.7 1.4-25.9 3.9l-8.5 44-3.6-39.2c-29.06 14-49 43.8-49 78.3 0 29.4 14.41 55.3 36.6 71h71.3l7.3-44.6 7.3 44.6h14.9c22.2-15.7 36.6-41.6 36.6-71 0-48.2-38.8-87-87-87zm169.7 32c3.8 23.2 22 41.5 45.3 45.3V297h-45.3zm63.3 0v45.3c23.3-3.8 41.5-22.1 45.3-45.3H393zm-175 45a9.999 9.999 0 0 1 10 10 9.999 9.999 0 0 1-10 10 9.999 9.999 0 0 1-10-10 9.999 9.999 0 0 1 10-10zm61 49h194v50h-16v32h-50v-32h-62v32h-50v-32h-16v-50zm18 18v14h158v-14H297zM89 441v14h142v-14H89zm224 0v14h14v-14h-14zm112 0v14h14v-14h-14z"}}]})(props);
};
function GiHockey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M404.4 18l-18.642 48.578 62.498 9.41L470.98 18zm-25.246 65.787l-48.8 127.158-5.004.89c-15.403 2.74-30.98 5.11-46.71 7.157l39.094 85.52c16.356-5.765 32.46-11.918 48.248-18.555l75.54-192.78zM259.89 221.27c-7.35.832-14.732 1.598-22.146 2.294l35.307 95.586c9.26-2.82 18.453-5.743 27.573-8.777zm-40.744 3.898c-8.13.642-16.292 1.215-24.49 1.71l33.377 105.138c9.296-2.495 18.54-5.066 27.727-7.725zm-43.058 2.71c-8.492.4-17.02.73-25.576.99l30.465 115.087c9.92-2.39 19.797-4.84 29.623-7.365zm-138.71.907c-3.157.074-5.14 1.152-7.48 3.582-2.672 2.778-5.33 7.782-7.164 14.528-3.668 13.49-4.03 33.372-1.15 53.046 2.88 19.676 8.982 39.287 16.787 52.623 3.904 6.667 8.216 11.694 12.234 14.576 3.974 2.85 7.286 3.764 11.17 3.22 8.434-1.778 16.847-3.575 25.265-5.368l17.26-135.365c-21.577.08-43.32-.193-65.22-.8l-.137-.005-.134-.008c-.505-.03-.98-.04-1.43-.03zm94.636.547c-3.175.06-6.364.093-9.547.137l-16.774 131.538c19.35-4.177 38.62-8.448 57.758-12.908zm270.412 144.063c-25.497 0-48.55 4.41-64.422 11.023-7.936 3.307-14.03 7.183-17.72 10.818-3.69 3.635-4.858 6.554-4.858 9.16 0 2.603 1.17 5.522 4.86 9.157 3.69 3.635 9.782 7.51 17.718 10.818 15.872 6.615 38.925 11.025 64.422 11.025 25.496 0 48.547-4.41 64.42-11.024 7.936-3.306 14.028-7.182 17.718-10.817 3.69-3.635 4.862-6.554 4.862-9.158 0-2.605-1.17-5.524-4.862-9.16-3.69-3.634-9.782-7.51-17.718-10.817-15.873-6.613-38.924-11.023-64.42-11.023zm-87 59.304v27.695c0 2.604 1.17 5.523 4.86 9.158 3.69 3.635 9.782 7.51 17.718 10.818 15.872 6.615 38.925 11.025 64.422 11.025 25.496 0 48.547-4.41 64.42-11.024 7.936-3.306 14.028-7.182 17.718-10.817 3.69-3.635 4.862-6.554 4.862-9.158V432.7c-4.59 3.128-9.84 5.863-15.656 8.286-18.873 7.864-43.82 12.41-71.344 12.41-27.523 0-52.47-4.546-71.344-12.41-5.816-2.423-11.068-5.158-15.656-8.287z"}}]})(props);
};
function GiHoleLadder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M88.125 31.344c-13.054.25-26.12 5.152-32.906 13.843L87.28 221.78c-19.708 13.59-35.83 29.68-47.25 47.657-12.288 19.35-18.983 40.904-18.968 62.688v.03c-.015 21.785 6.68 43.308 18.97 62.658 12.296 19.36 30.06 36.565 51.874 50.78 21.815 14.216 47.62 25.404 75.656 32.97 28.036 7.566 58.217 11.5 88.438 11.5 30.22 0 60.402-3.934 88.438-11.5 28.035-7.566 53.873-18.754 75.687-32.97 21.814-14.215 39.547-31.42 51.844-50.78 12.288-19.35 18.983-40.873 18.967-62.657v-.03c.016-21.758-6.676-43.263-18.937-62.595l-.03-.092c-11.426-17.99-27.557-34.094-47.283-47.688L456.72 45.187c-10.86-13.906-37.754-18.04-55.033-9.062l-10.25 66.656H120.5l-10.22-66.686c-6.478-3.367-14.323-4.9-22.155-4.75zm39.844 120.094h256l-6.94 45.125c-10.437-4.176-21.325-7.835-32.592-10.875-28.036-7.566-58.217-11.47-88.438-11.47-30.22 0-60.402 3.904-88.438 11.47-11.29 3.047-22.198 6.72-32.656 10.906l-6.937-45.156zM256 196.78c28.71 0 57.438 3.75 83.844 10.876 11.757 3.173 23.078 7.005 33.75 11.438l-7.906 51.406H146.25l-7.875-51.375c10.684-4.44 22.01-8.292 33.78-11.47 26.407-7.125 55.135-10.874 83.845-10.874zm164.406 48.595c15.023 11.292 27.036 24.022 35.438 37.25 10.226 16.1 15.236 32.92 15.22 49.5l-.002.03c.018 16.58-4.992 33.37-15.218 49.47-10.227 16.1-25.784 31.476-45.625 44.406-19.843 12.93-43.97 23.438-70.376 30.564C313.438 463.72 284.71 467.47 256 467.47c-28.71 0-57.438-3.75-83.844-10.876-26.405-7.126-50.502-17.633-70.344-30.563-19.84-12.93-35.43-28.304-45.656-44.405-10.226-16.1-15.236-32.89-15.218-49.47v-.03c-.018-16.58 4.992-33.4 15.218-49.5 8.395-13.218 20.4-25.934 35.407-37.22l30.812 169.69c13.39 10.178 31.056 16.062 49.344 21.342l-4.407-28.78h177.312l-4.406 28.78c18.287-5.28 35.984-11.164 49.374-21.343l30.812-169.72zM151.437 304.28H360.5l-12.188 79.533H163.656l-12.22-79.532z"}}]})(props);
};
function GiHole (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 151c-62.9 0-119.9 10.8-161.94 28.8-21.03 9.1-38.38 19.9-50.86 32.5C30.71 225 23 239.9 23 256s7.71 31 20.2 43.7c12.48 12.6 29.83 23.4 50.86 32.5C136.1 350.2 193.1 361 256 361c62.9 0 119.9-10.8 161.9-28.8 21.1-9.1 38.4-19.9 50.9-32.5C481.3 287 489 272.1 489 256s-7.7-31-20.2-43.7c-12.5-12.6-29.8-23.4-50.9-32.5-42-18-99-28.8-161.9-28.8zm0 43c82.7 0 165.5 21.2 215 63.6-.5 9.9-5.3 19.6-15 29.4-10.2 10.4-25.6 20.2-45.2 28.6-39 16.7-94 27.4-154.8 27.4-60.8 0-115.8-10.7-154.8-27.4-19.55-8.4-35.01-18.2-45.19-28.6-9.65-9.8-14.48-19.5-14.96-29.4C90.54 215.2 173.3 194 256 194z"}}]})(props);
};
function GiHollowCat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M198.313 56.688l-8.438 14.28-22.938 38.844c-18.317-4.358-35.37-5.354-55.375.126l-41.687-41.47-8.375-8.312-6.156 10.063C19.29 128.875 14.09 177.377 33.437 212.28c9.654 17.415 24.894 30.734 44.094 40.157-4.407 32.957.132 71.53 10.657 108.625l1.938 6.782h97.156c.022 13.4 3.196 26.253 8.72 37.875 18.2 38.29 59.696 64.798 98.625 67.624 42.657 3.095 79.943-12.74 110.156-36.438 30.215-23.696 53.762-55.214 70.533-84.937 27.083-48.002 23.293-97.405-.72-133.22-22.51-33.576-62.396-55.233-108.906-54.844-3.1.026-6.218.15-9.375.375-33.52 2.39-70.68 16.482-108.218 44.97-5.187-3.536-10.218-6.792-15.156-9.813 9.13-31.093 2.846-72.824-26.782-128.125l-7.844-14.624zM65.405 90.374l36.844 36.656 4.063 4.032 5.406-1.75c21.994-7.123 36.01-5.824 57.28.094l6.906 1.938 3.625-6.188 17.657-29.844c11.94 25.023 18.157 45.963 20.157 63.5-29.35-13.022-46.757 3.998-49.438 31.157 23.753 11.46 38.94 9.244 48.563-1.907-1.185 5.91-2.98 11.267-5.282 16.093-11.72 24.558-37.484 38.487-65.75 46.22-46.488-3.5-80.715-20.203-95.657-47.157-14.135-25.5-12.516-62.744 15.626-112.845zm26.875 63.97c-8.15-.045-17.81 2.947-28.874 9.81 7.008 29.103 23.402 43.218 59.47 25.814-2.045-20.708-12.664-35.53-30.595-35.626zm273.564 28.25c40.662-.374 74.304 18.35 93.22 46.56 20.174 30.093 24.05 70.946-.033 113.626-15.854 28.103-38.213 57.787-65.78 79.408-27.567 21.62-59.918 35.21-97.25 32.5-31.075-2.256-68.383-25.954-83.125-56.97-7.37-15.507-9.546-32.477-3.656-50.624 5.89-18.147 20.176-37.867 47.374-57.406 21.33-15.324 36.078-10.8 42.437-3.625 3.18 3.587 4.542 8.016 3.595 12.968-.947 4.953-4.324 10.816-12.625 16.283-25.07 16.512-36.64 35.432-35.5 53.312 1.14 17.88 15.07 31.54 32.53 37 34.927 10.922 86.795-8.394 110.314-77.75l-17.72-6c-3.582 10.567-7.777 19.537-12.343 27.313h-87.436c4.227-5.682 10.68-11.854 20.437-18.282 11.62-7.65 18.666-17.773 20.69-28.344 2.02-10.57-1.13-21.222-7.94-28.906-13.62-15.367-40.788-18.203-67.342.875-29.526 21.213-46.817 43.975-54.22 66.783-.85 2.62-1.538 5.236-2.124 7.843H104.5c-7.996-30.958-10.887-62.56-8.313-89.156 15.005 4.93 31.685 7.97 49.5 9.188l1.532.093 1.5-.374c30.016-7.953 60.795-22.987 76.936-52.062 5.58 3.466 11.348 7.264 17.344 11.5l5.72 4.03 5.5-4.343c37.01-29.482 72.603-42.928 103.405-45.124 2.77-.197 5.508-.287 8.22-.312zm-92.656 185.28h80.25c-20.555 21.655-44.696 24.956-60.844 19.906-11.815-3.693-18.643-11.213-19.406-19.905z"}}]})(props);
};
function GiHolosphere (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48c-29.077 0-56.755 5.975-81.887 16.75h163.774C312.755 53.975 285.077 48 256 48zM130.34 90.25c-10.07 7.646-19.424 16.18-27.938 25.5h307.196c-8.514-9.32-17.87-17.854-27.938-25.5H130.34zm-47.834 51c-5.38 8.12-10.21 16.635-14.428 25.5h375.844c-4.218-8.865-9.048-17.38-14.43-25.5H82.506zm-24.54 51c-2.665 8.286-4.826 16.797-6.443 25.5H460.48c-1.62-8.703-3.782-17.214-6.447-25.5H57.967zm-9.566 51c-.255 4.22-.4 8.467-.4 12.75 0 4.283.145 8.53.4 12.75h415.2c.255-4.22.4-8.467.4-12.75 0-4.283-.146-8.53-.4-12.75H48.4zm3.123 51c1.618 8.703 3.78 17.214 6.444 25.5h396.066c2.665-8.286 4.826-16.797 6.444-25.5H51.523zm16.555 51c4.218 8.864 9.05 17.38 14.43 25.5h346.986c5.382-8.12 10.212-16.636 14.43-25.5H68.078zm34.324 51c8.514 9.32 17.87 17.854 27.94 25.5H381.66c10.068-7.646 19.424-16.18 27.938-25.5H102.402zm71.71 51C199.246 458.025 226.923 464 256 464c29.076 0 56.755-5.975 81.887-16.75H174.113z"}}]})(props);
};
function GiHolyGrail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M54.125 102.188c-15.624 74.885 20.42 123.6 64.125 150.562-33.063-7.81-65.052-19.482-98.25-36.844 25.5 77.488 81.164 95.816 129.906 90.75-26.933 14.252-55.392 25.3-83.937 32.78 70.04 43.512 120.987 16.005 149-22.28-30.186-17.833-52.692-53.794-63.032-98.344-38-34.814-71.414-75.012-97.813-116.625zm402.938 0c-26.397 41.608-59.816 81.786-97.813 116.593-10.338 44.564-32.84 80.54-63.03 98.376 28.01 38.285 78.957 65.792 149 22.28-28.542-7.48-56.978-18.53-83.908-32.78 48.736 5.055 104.38-13.28 129.875-90.75-33.197 17.362-65.187 29.035-98.25 36.844 43.705-26.963 79.75-75.677 64.125-150.563zm-201.47 26.187c-23.56 0-44.93 3.576-61.218 9.844-8.145 3.133-15.045 6.906-20.438 11.81-5.392 4.907-9.5 11.53-9.5 19.157 0 .89.05 1.765.157 2.625 2.62 64.952 32.08 117.553 67.28 133.188l6.94 3.094-1.595 7.406c-8.645 40.282-20.575 63.61-40.94 77.03-11.193 7.378-14.184 13.215-14.374 15.126-.19 1.91.765 4.2 6.844 7.906 12.158 7.41 39.925 13.157 66.844 13.157 26.872 0 53.258-5.944 64.687-13.408 5.716-3.73 6.812-6.22 6.626-8.53-.186-2.312-2.937-7.934-13.094-15.22-19.326-13.862-31.327-36.107-39.843-76.062l-1.595-7.406 6.938-3.094c35.2-15.635 64.662-68.236 67.28-133.188h-.03c.106-.86.156-1.735.156-2.625 0-7.626-4.077-14.25-9.47-19.156-5.393-4.905-12.324-8.677-20.47-11.81-16.288-6.27-37.627-9.845-61.186-9.845zm0 18.688c21.617 0 41.154 3.47 54.47 8.593 6.657 2.562 11.708 5.563 14.593 8.188 2.886 2.625 3.375 4.28 3.375 5.344 0 1.063-.488 2.718-3.374 5.343-2.885 2.626-7.936 5.627-14.594 8.19-13.315 5.122-32.852 8.593-54.468 8.593-21.616 0-41.184-3.47-54.5-8.594-6.658-2.563-11.708-5.564-14.594-8.19-2.886-2.624-3.375-4.28-3.375-5.343 0-1.063.49-2.718 3.375-5.343 2.886-2.625 7.936-5.626 14.594-8.188 13.316-5.123 32.884-8.594 54.5-8.594z"}}]})(props);
};
function GiHolyHandGrenade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M233 17.44v56.12h-64v46h64v56.57c7.523-1.028 15.2-1.57 23-1.57 7.8 0 15.477.542 23 1.57v-56.57h64v-46h-64V17.44h-46zm23 54.89c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm0 18c-3.973 0-7 3.027-7 7s3.027 7 7 7 7-3.027 7-7-3.027-7-7-7zm-7.545 102.416c-5.226.256-10.383.778-15.455 1.55v12.536c2.85-6.65 8.516-11.855 15.455-14.086zm15.09 0c6.94 2.23 12.605 7.437 15.455 14.086v-12.535c-5.072-.773-10.23-1.295-15.455-1.55zM215 198.18c-56.035 15.73-98.793 62.918-108.1 121.38H215V198.18zm82 0v121.38h108.1C395.793 261.1 353.035 213.91 297 198.18zm-41 11.38c-3.973 0-7 3.028-7 7 0 3.973 3.027 7 7 7s7-3.027 7-7c0-3.972-3.027-7-7-7zm-23 16.73v28.542c2.934-6.843 8.85-12.156 16.066-14.27-7.217-2.117-13.132-7.43-16.066-14.273zm46 0c-2.934 6.842-8.85 12.155-16.066 14.27 7.217 2.116 13.132 7.43 16.066 14.272V226.29zm-23 31.27c-3.973 0-7 3.028-7 7 0 3.973 3.027 7 7 7s7-3.027 7-7c0-3.972-3.027-7-7-7zm-23 16.73v28.542c2.934-6.843 8.85-12.156 16.066-14.27-7.217-2.117-13.132-7.43-16.066-14.273zm46 0c-2.934 6.842-8.85 12.155-16.066 14.27 7.217 2.116 13.132 7.43 16.066 14.272V274.29zm-23 31.27c-3.973 0-7 3.028-7 7 0 3.973 3.027 7 7 7s7-3.027 7-7c0-3.972-3.027-7-7-7zm-23 16.73v15.27h-15.27c6.842 2.934 12.155 8.85 14.27 16.067 2.395-8.173 8.894-14.67 17.066-17.066-7.217-2.115-13.132-7.428-16.066-14.27zm46 0c-2.934 6.842-8.85 12.155-16.066 14.27 8.172 2.396 14.67 8.894 17.066 17.067 2.115-7.217 7.428-13.133 14.27-16.066H279v-15.27zm-157.27 15.27c6.842 2.934 12.155 8.85 14.27 16.067 2.115-7.217 7.428-13.133 14.27-16.066h-28.54zm48 0c6.842 2.934 12.155 8.85 14.27 16.067 2.115-7.217 7.428-13.133 14.27-16.066h-28.54zm144 0c6.842 2.934 12.155 8.85 14.27 16.067 2.115-7.217 7.428-13.133 14.27-16.066h-28.54zm48 0c6.842 2.934 12.155 8.85 14.27 16.067 2.115-7.217 7.428-13.133 14.27-16.066h-28.54zm-249.73 16c-2.882 0-5.26 1.597-6.352 3.99.23 2.498.52 4.978.868 7.44 1.264 1.583 3.22 2.57 5.484 2.57 3.973 0 7-3.027 7-7 0-3.972-3.027-7-7-7zm48 0c-3.973 0-7 3.028-7 7 0 3.973 3.027 7 7 7s7-3.027 7-7c0-3.972-3.027-7-7-7zm48 0c-3.973 0-7 3.028-7 7 0 3.973 3.027 7 7 7s7-3.027 7-7c0-3.972-3.027-7-7-7zm48 0c-3.973 0-7 3.028-7 7 0 3.973 3.027 7 7 7s7-3.027 7-7c0-3.972-3.027-7-7-7zm48 0c-3.973 0-7 3.028-7 7 0 3.973 3.027 7 7 7s7-3.027 7-7c0-3.972-3.027-7-7-7zm48 0c-3.973 0-7 3.028-7 7 0 3.973 3.027 7 7 7s7-3.027 7-7c0-3.972-3.027-7-7-7zm48 0c-3.973 0-7 3.028-7 7 0 3.973 3.027 7 7 7 2.265 0 4.22-.987 5.484-2.57.35-2.462.64-4.942.868-7.44-1.093-2.393-3.47-3.99-6.352-3.99zm-264 13.934c-2.115 7.217-7.428 13.133-14.27 16.067h28.54c-6.842-2.933-12.155-8.85-14.27-16.066zm48 0c-2.115 7.217-7.428 13.133-14.27 16.067h28.54c-6.842-2.933-12.155-8.85-14.27-16.066zm48 0c-2.115 7.217-7.428 13.133-14.27 16.067h28.54c-6.842-2.933-12.155-8.85-14.27-16.066zm48 0c-2.115 7.217-7.428 13.133-14.27 16.067h28.54c-6.842-2.933-12.155-8.85-14.27-16.066zm48 0c-2.115 7.217-7.428 13.133-14.27 16.067h28.54c-6.842-2.933-12.155-8.85-14.27-16.066zm48 0c-2.115 7.217-7.428 13.133-14.27 16.067h28.54c-6.842-2.933-12.155-8.85-14.27-16.066zM116.518 401.56c22.702 54.647 76.542 93 139.482 93s116.78-38.353 139.482-93H116.518z"}}]})(props);
};
function GiHolyOak (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M337.89 23.049c-1.447 0-2.916.04-4.405.125-13.522.765-28.81 5.12-45.807 14.37-14.248-9.434-30.203-13.02-45.844-12.74-10.91.196-21.667 2.264-31.578 5.518-8.03 2.637-15.612 5.91-22.5 9.68l.297-1.398c-15.734-3.344-30.156-4.862-43.314-4.872-91.41-.069-121.763 72.622-106.63 111.397-4.842 4.315-8.46 8.932-10.91 13.842-5.762 11.552-3.789 24.304 2.61 33.297 7.21 10.131 19.422 16.818 32.547 17.796-1.86 11.654 2.044 22.84 9.646 29.905 5.89 5.473 13.934 8.712 22.45 8.09 3.116-.228 6.238-1.001 9.267-2.286 8.315 6.24 16.012 10.021 23.424 11.625 9.25 2.002 17.991.13 24.553-3.978 6.73-4.213 11.389-10.08 14.734-16.102 29.31 42.194 26.042 91.983 23.527 98.682-19.298 51.407-15.086 47.182-32 64-23.146 23.016-88.07 37.148-87.833 43.303.367 9.532 57.123 8.392 99.205 1.527 0 0-30.556 47.147-25.264 50.117 5.292 2.97 60.773-42.722 80.725-41.281 4.722.341 45.077 52.643 62.39 41.604 4.3-2.743-32.135-36.82-30.705-39.086 1.652-2.618 107.222 33.016 114.99 25.39-10.073-19.09-54.035-35.533-77.7-50.568 49.481-7.228 157.867 26.291 155.34 12.797l-77.019-37.295c21.03 1.235 41.769 1.37 62.33-1.135 2.603-13.104-172.876-34.03-118.976-115.17l22.826-34.363c3.451 3.433 7.63 6.348 12.04 8.937 9.846 5.783 21.606 9.749 33.12 10.444 11.515.695 24.123-2.227 30.938-12.797 1.574-2.441 2.718-5.111 3.48-7.988 26.557-5.65 45.885-30.761 47.932-58.19 1.052-14.103-3.121-28.787-13.215-41.346 18.813-40.772 16.948-74.175.467-93.504-8.257-9.683-20.211-15.186-33.072-15.453-8.128-.168-16.575 1.646-24.985 5.375-7.376-8.493-17.106-17.184-29.883-22.74-8-3.478-17.074-5.524-27.199-5.53zm20.02 22.037c18.078 7.86 29.606 25.58 36.815 36.373l14.969-9.996c-1.009-1.51-2.179-3.297-3.485-5.244 12.21-4.138 25.434-1.893 33.122 6.857 9.518 11.163 13.513 34.768-.68 68.733-7.145-5.16-15.764-9.57-25.944-12.918-.126-4.086-.717-8.123-1.945-12.09-4.302-13.894-17.137-24.614-37.474-29.348l-4.082 17.531c16.663 3.88 22.045 9.661 24.36 17.141 2.317 7.48.65 18.985-3.816 32.344l17.073 5.707c1.455-4.354 2.764-8.707 3.783-13.04 30.396 10.817 38.569 29.704 37.22 47.77-1.349 18.083-14.316 35.407-29.896 40.848-1.036-5.31-2.844-11.053-5.43-17.248l-16.609 6.933c6.675 15.993 5.4 24.042 3.344 27.23-2.056 3.19-6.796 5.063-14.723 4.585-7.926-.478-17.7-3.657-25.092-7.998-5.19-3.048-8.763-6.754-10.568-9.352l6.57-9.89c12.305-18.524-25.896-38.066-33.756-31.342-5.589 4.781-11.096 9.735-16.503 14.54-7.772-4.822-15.141-12.949-17.108-20.782 6.823-2.372 13.738-6.333 20.531-12.086l-11.634-13.735c-19.858 14.453-31.238 13.054-48.356.698l8.026-38.18-15.883-20.012c-34.25 117.864-72.602 75.597-125.162 55.801-4.492-1.692-11.55 24.529-5.62 27.084 18.27 7.873 32.55 18.216 43.692 29.754-2.76 6.632-6.872 13.508-11.504 16.408-15.942 4.844-27.026-5.825-38.156-14.805-12.245 16.584-28.445-2.625-22.15-16.244a45.055 45.055 0 0 0 10.779-6.119l-10.928-14.3c-11.468 7.848-28.985 6.068-37.215-4.862-10.406-17.93 17.309-31.686 27.156-35.86l-6.88-16.632a125.588 125.588 0 0 0-11.067 5.2c-4.31-19.623 5.794-58.169 45.63-74.9-1.704 8.402-4.525 19.05-8.6 24.422C85.528 90.897 69.482 96.2 69.482 96.2s16.046 5.303 21.23 12.137c7.332 9.665 10.616 36.412 10.616 36.412s3.285-26.747 10.617-36.412c5.184-6.834 21.23-12.137 21.23-12.137s-16.046-5.302-21.23-12.137c-4.322-5.697-7.227-17.307-8.893-25.898 16.694-6.152 38.232-8.605 65.608-4.732-6.335 5.822-11.16 12.22-13.965 18.964l16.619 6.913c21.524-29.513 68.566-44.494 98.994-30.948a225.866 225.866 0 0 0-7.637 5.541L273.57 68.23c26.162-17.343 54.859-35.716 84.342-23.143zm-40.783 26.523s-4.436 25.408-14.343 34.59c-7.006 6.493-28.69 11.531-28.69 11.531s21.684 5.037 28.69 11.53c9.907 9.182 14.343 34.592 14.343 34.592s4.44-25.41 14.346-34.592c7.005-6.493 28.688-11.53 28.688-11.53s-21.683-5.038-28.688-11.53c-9.907-9.183-14.346-34.59-14.346-34.59zM204.713 180.412s3.936 27.906 12.723 37.99c6.213 7.131 25.445 12.664 25.445 12.664s-19.232 5.534-25.445 12.664c-8.787 10.085-12.723 37.993-12.723 37.993s-3.936-27.908-12.722-37.993c-6.213-7.13-25.446-12.664-25.446-12.664s19.233-5.533 25.446-12.664c8.786-10.084 12.722-37.99 12.722-37.99zm39.86 6.026c8.428 4.896 16.792 8.232 25.836 8.664 4.681 13.622 10.65 22.939 20.617 30.273-14.31 11.672-27.177 19.335-37.069 14.625-16.273-17.855-13.966-31.762-9.384-53.563zM77.416 261.27s-3.719 21.579-12.025 29.376c-5.873 5.514-24.055 9.791-24.055 9.791s18.182 4.28 24.055 9.793c8.306 7.798 12.025 29.377 12.025 29.377s3.721-21.579 12.028-29.377c5.873-5.513 24.055-9.792 24.055-9.792s-18.182-4.278-24.055-9.792c-8.307-7.797-12.028-29.376-12.028-29.376zm362.8 9.273s-4.95 31.7-16 43.156c-7.814 8.1-32 14.387-32 14.387s24.186 6.286 32 14.387c11.05 11.455 16 43.156 16 43.156s4.949-31.7 16-43.156c7.813-8.1 32-14.387 32-14.387s-24.187-6.286-32-14.387c-11.051-11.456-16-43.156-16-43.156zm-135.401 67.744s3.211 17.538 10.38 23.875c5.07 4.481 20.764 7.96 20.764 7.96s-15.693 3.475-20.763 7.956c-7.17 6.338-10.381 23.877-10.381 23.877s-3.211-17.54-10.381-23.877c-5.07-4.481-20.764-7.957-20.764-7.957s15.694-3.478 20.764-7.959c7.17-6.337 10.38-23.875 10.38-23.875zM188.66 382.828s2.495 14.802 8.064 20.15c3.938 3.783 16.127 6.717 16.127 6.717s-12.189 2.935-16.127 6.717c-5.57 5.349-8.064 20.15-8.064 20.15s-2.494-14.801-8.063-20.15c-3.938-3.782-16.129-6.717-16.129-6.717s12.191-2.934 16.13-6.716c5.568-5.35 8.062-20.15 8.062-20.15z"}}]})(props);
};
function GiHolySymbol (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.47 23.406c-66.354 0-120.158 53.415-120.158 119.313 0 18.87 4.427 36.7 12.282 52.56h-.094l1.938 3.564c.212.395.408.795.625 1.187l45.343 84.19-89.53-47.595v214.5l61.343-32.625 77.405-162.125c-17.123-32.793-48.563-96.2-48.563-119.938 0-32.592 26.59-59 59.407-59 32.816 0 59.436 26.41 59.436 59 0 30.663-51.987 126.665-58.22 138.063L196.97 403.78l.436-.25-2.906 5.376-39.875 83.563h210.813l-47.907-88.94 89.564 47.595v-214.5l-61.688 32.78-96.594 166.658h41.907v18.687h-74.346l8.126-14.03 122.72-211.626 15.874-29.5 2.344-4.313h-.094c7.85-15.86 12.25-33.694 12.25-52.56 0-65.896-53.772-119.314-120.125-119.314zm0 72.78c-22.19 0-39.908 17.658-39.908 39.595 0 21.94 17.717 39.564 39.907 39.564 22.19 0 39.936-17.625 39.936-39.563 0-21.936-17.747-39.593-39.937-39.593z"}}]})(props);
};
function GiHolyWater (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M300.56 39.29c-2.418.023-5.135 1.13-7.27 3.065-2.137 1.935-3.507 4.53-3.77 6.932-.26 2.402.174 4.782 3.033 7.94l6.037 6.67 40.35 44.56 6.042 6.672c2.86 3.156 5.184 3.824 7.6 3.802 2.416-.023 5.135-1.13 7.272-3.065 2.136-1.934 3.506-4.53 3.767-6.93.262-2.404-.17-4.783-3.03-7.94L308.16 43.09c-2.86-3.158-5.185-3.823-7.6-3.8zm-15.31 36.69l-38.604 34.952-6.04-6.672c-23.138-25.555-36.56-26.794-53.106-27.586L23.285 225.364 151.018 366.43 315.23 217.74c.85-16.544.946-30.02-22.193-55.576l-6.04-6.672 38.6-34.953-40.347-44.56zm-112.146 54.276l33.86 37.396 37.397-33.86 19.66 21.714-37.393 33.86 33.86 37.396-21.714 19.662-33.86-37.397-95.3 86.29-19.664-21.713 95.302-86.29-33.86-37.396 21.712-19.662zm197.378 4.363s-25.86 52.77-16 73.81c6.237 13.306 25.764 13.306 32 0 9.862-21.04-16-73.81-16-73.81zm2.196 103.02l-5.655 46.28c1.168-.316 2.47-.504 3.967-.504 2.408 0 4.445.504 6.23 1.307l-4.542-47.082zm-58.967 15l28.087 66.067c2.457-5.83 5.08-11.178 7.744-15.855l-35.83-50.213zm117.536 1.497l-37.244 49.48c2.66 4.666 5.212 9.943 7.568 15.662l29.676-65.143zM270.143 295.11l63.375 47.704c.57-2.11 1.164-4.208 1.8-6.275 1.07-3.48 2.227-6.874 3.446-10.17l-68.62-31.26zm203.572 2.595l-69.135 29.39c1.103 3.1 2.144 6.29 3.104 9.546.665 2.257 1.273 4.55 1.855 6.858l64.175-45.793zm-102.32 4.95c-1.514 1.696-3.56 4.516-5.706 8.193-4.528 7.762-9.47 18.968-13.167 30.984-3.697 12.016-6.155 24.906-6.185 35.992-.03 11.087 2.422 19.947 6.97 25.225 2.532 2.935 9.886 5.884 17.682 5.884 7.796 0 15.153-2.95 17.684-5.885 4.597-5.335 7.19-14.28 7.344-25.376.154-11.097-2.07-23.966-5.6-35.945-3.53-11.98-8.384-23.133-12.965-30.798-2.252-3.768-4.46-6.66-6.058-8.276zm-38.727 43.402l-79.022 7.62 75.75 9.26c.754-5.654 1.88-11.318 3.272-16.88zm77.754 1.045c1.273 5.56 2.263 11.213 2.88 16.845l75.413-7.275-78.293-9.57zm-81.756 22.716l-60.02 42.828 60.15-25.57c-.322-3.063-.467-6.175-.458-9.303.007-2.63.122-5.286.328-7.955zm85.225 1.516c.107 2.21.156 4.41.126 6.59-.05 3.527-.286 7.03-.752 10.46l58.957 26.856-58.33-43.906zm-79.935 34.746l-22.84 50.135 30-39.858c-.494-.498-.973-1.016-1.44-1.556-2.315-2.685-4.193-5.616-5.72-8.72zm73.358 1.434c-1.403 2.574-3.05 5.02-5.004 7.287-.782.907-1.615 1.737-2.474 2.526l28.816 40.385-21.34-50.196zm-42.073 19.144l4.444 46.05 5.613-45.92c-1.436.1-2.876.146-4.307.146-1.912 0-3.835-.094-5.75-.276z"}}]})(props);
};
function GiHomeGarage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 44.158L19.76 165.816 32 173.937l224-112 224 112 12.24-8.12L256 44.157zm0 37.904l-215 107.5V495h30V203h370v292h30V189.562l-215-107.5zM92 223v18h328v-18H92zm0 36v18h328v-18H92zm100 36c-8.5 0-14.393 5.524-18.95 11.6-4.556 6.075-8.276 13.701-11.478 22.24-4.27 11.389-7.54 24.334-9.248 36.887-8.722-2.235-22.048-4.431-24.324 2.273-2.354 6.934 7.344 13.583 16.668 18.217-.32 1.067-.63 2.17-.906 3.344C141.969 397.18 141 406.6 141 416c0 9.4.969 18.82 2.762 26.44 1.272 5.406 3.108 9.766 4.744 12.56h214.988c1.636-2.794 3.472-7.154 4.744-12.56C370.031 434.82 371 425.4 371 416c0-9.4-.969-18.82-2.762-26.44a56.768 56.768 0 0 0-.906-3.343c9.324-4.634 19.022-11.283 16.668-18.217-2.276-6.704-15.602-4.508-24.324-2.273-1.707-12.553-4.977-25.498-9.248-36.887-3.202-8.539-6.922-16.165-11.479-22.24C334.393 300.524 328.5 295 320 295H192zm0 18h128c-.5 0 1.607.476 4.55 4.4 2.944 3.925 6.224 10.299 9.022 17.76 3.673 9.795 6.488 21.437 8.028 32.414C318.195 361.125 292.18 361 256 361c-36.18 0-62.195.125-85.6 6.574 1.54-10.977 4.355-22.62 8.028-32.414 2.798-7.461 6.078-13.835 9.021-17.76 2.944-3.924 5.051-4.4 4.551-4.4zm-16 87a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm160 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-183 73v22h30v-22h-30zm176 0v22h30v-22h-30z"}}]})(props);
};
function GiHoneyJar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105 24v46h302V24zm14 62v55c-9.8 20.2-17.4 45.4-23.14 73h18.64c5.5-26.1 12.7-49.4 21.5-67l1-1.9V104h70.9c10.2 6.8 33.2 20.9 48.1 21 9.9.1 23.3-5.5 34.8-11.6 9.9 11.6 20.7 26.6 22 38.6.7 6.8-8.3 12.2-7.8 19 .7 10.4 5.6 26.8 16 26.9 11.6.1 18.2-17.9 18.5-29.5.2-5.6-7.8-9.1-8.2-14.8-1.2-14.7 10.7-38.5 16.7-49.6h27v41.1l1 1.9c8.8 17.6 16 40.9 21.5 67h18.7c-5.7-27.6-13.4-52.8-23.2-73V86zM89.02 232v158H423V232zm119.58 15.8c9.4-.2 19.2 3 27.9 9.2 6.5 4.7 11.5 10.6 14.8 17 .7-.4 1.3-.7 2-1.1 3.1-1.6 6.4-3 9.7-3.9.9-2.4 2.2-4.8 3.8-7 3.6-5 8.3-8.7 13.8-10.5 5.4-1.8 12.1-1.6 17.4 2.2 5.4 3.9 7.6 10.2 7.6 15.9 0 5.7-2 11.4-5.6 16.4-1.6 2.2-3.5 4.2-5.5 5.8.2 3.4 0 6.9-.6 10.4-.1.8-.3 1.5-.4 2.3 7.1 1 14.3 4 20.8 8.7 8.7 6.3 14.8 14.6 17.5 23.5 2.9 9.1 2.2 19.2-3.6 27.2-5.8 8.1-15.2 11.9-24.7 12.1-9.3.1-19.1-3-27.8-9.3-4.9-3.5-9-7.8-12.1-12.4l-.8 1.1-.5-.4c-4.2 3.5-8.5 6.5-12.9 8.8-10.1 5.4-22 7.5-31.4.8-9.3-6.8-11-18.7-9.1-30.1.7-4.8 2.2-9.9 4.2-14.9l-2.2-1.6.4-.5c-4.7-1.6-9.2-3.9-13.5-7-8.6-6.2-14.7-14.6-17.5-23.5-2.8-9.1-2.2-19.2 3.6-27.2 5.8-8.1 15.2-11.9 24.7-12zm.3 18c-5.1.1-8.4 1.8-10.4 4.5-2 2.8-2.5 6.4-1 11.4 1.5 4.7 5.2 10.1 10.9 14.2 4.7 3.4 9.9 5.3 14.4 5.8l1.8-2.7c3-4.1 6.2-7.9 9.6-11.4l2.2-3c-1.8-4.4-5.3-9.3-10.5-13-5.6-4.1-12-5.9-17-5.8zm57.3 21.6c-.9 0-1.8.2-2.7.6l-1.8.9c-1.4.7-2.9 1.6-4.5 2.7l17.7 12.7c.5-1.8.9-3.5 1.2-5 .1-.7.2-1.3.3-2 1.2-5.4-3.9-9.8-9.2-9.9h-1zm-16.9 20.9c-3.1-.3-7.9 6.4-9.5 8.3l17 12.2c2.8-3.1 6.5-10.4 4.4-12.1l-11.3-8.2c-.2-.1-.4-.1-.6-.2zm39 13.7l-2.7 3.6c-2.1 4.1-4.7 8.1-7.5 12.1-.6.9-1.2 1.7-1.9 2.5 1.9 4.1 5.2 8.5 10 11.9 5.7 4.1 12 6 17 5.9 5.1-.1 8.5-1.8 10.4-4.6 2-2.7 2.6-6.4 1.1-11.3-1.5-4.8-5.3-10.2-10.9-14.3-5.1-3.7-10.8-5.5-15.5-5.8zm-60 8.6c-.7 2.4-1.3 4.7-1.6 6.8-1.3 7.8.4 11.5 1.9 12.6 1.4 1 5.5 1.5 12.5-2.2 1.9-1 3.9-2.2 6-3.7zM86.28 408c1.48 12.5 3.47 24 6.01 34.2 3.15 12.6 7.05 23.1 12.51 31.3 5.4 8.2 13.5 14.5 23.2 14.5h256c9.7 0 17.8-6.3 23.2-14.5 5.5-8.2 9.4-18.7 12.5-31.3 2.5-10.2 4.5-21.7 6-34.2h-18.1c-1.4 11.1-3.1 21.1-5.3 29.8-2.9 11.4-6.5 20.4-10 25.7-3.6 5.3-6 6.5-8.3 6.5H128c-2.3 0-4.7-1.2-8.3-6.5-3.5-5.3-7.1-14.3-10-25.7-2.2-8.7-3.9-18.7-5.3-29.8z"}}]})(props);
};
function GiHoneycomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M451.47 49.25l-70.22.125-5.47-.03L373.064 54l-34.344 58.875-58.876.125-31.188-53.375-2.625-4.72-5.468-.06-70.218.124-5.5-.032-2.688 4.656-34 58.312-65.562.125-5.47-.03-2.718 4.656-35.093 60.188-2.688 4.656 2.78 4.688 31.126 53.28-33.75 57.938-2.718 4.656 2.782 4.688 35.125 60.094 2.593 4.75 5.5.03 67.812-.124 31.03 53.03 2.595 4.75 5.5.033 67.594-.125 31.187 53.375 2.626 4.718 5.47.064 70.218-.125 5.312.092 2.72-4.656 34.155-58.375 65.564-.124 5.312.094 2.688-4.656 35.28-60.25 2.688-4.656-2.78-4.688-35.126-60.094-2.594-4.72-5.5-.06-67.593.124-27.19-46.5 32.94-56.344 61.53-.125 5.313.095 2.687-4.656 35.25-60.25 2.72-4.657-2.783-4.688-35.125-60.094-2.593-4.718-5.5-.062zm-5.345 18.656l29.5 51.094-29.53 50.688-59.47.093L357 118.876l29.656-50.906 59.47-.064zM127.47 136.562l29.5 51.094-29.532 50.688-59.47.094-29.624-50.907L68 136.626l59.47-.063zm106.905 58l28.53 49.5-30.374 52.125-57.78.094-29.5-50.717 29.656-50.907 59.47-.094zm105.313 57.344l29.375 50.938-29.532 50.72-59.467.06-28.72-49.343L281.907 252l57.78-.094zm106.78 57.875l29.5 51.095-29.53 50.688-59.47.062-29.624-50.875L387 309.844l59.47-.063zm-214.53 5.19l29.406 50.967-29.53 50.688-59.47.063-29.625-50.907 29.56-50.717 59.657-.094z"}}]})(props);
};
function GiHoneypot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M364 17.813c-.432-.006-.873.014-1.313.03-13.198.513-29.286 10.91-39.312 39.344-11.644 33.027-28.367 90.578-42.22 139.938h48.97c21.46-44.054 44.146-93.113 55.28-125.22 5.54-15.966 4.97-28.47 1.658-37.155-3.314-8.686-9.204-13.82-16.22-15.906-1.753-.522-3.615-.852-5.562-.97-.425-.025-.848-.056-1.28-.06zm-231.656 198c-16.26 0-28.594 12.7-28.594 26.875 0 13.975 11.863 25.413 28.188 25.687l16.218.28-8.375 13.908c-18.02 29.867-29.624 81.602-29.624 113.718 0 38.314 14.436 60.732 38.78 75.5 7.684 4.662 16.452 8.46 26.126 11.47-3.293-19.43-5.733-38.928-6.906-58.5-13.36-45.998-10.5-92.002-11.094-138h83.657c-9.532 37.813-15.867 75.656-17.907 113.47.77 30.555 4.657 61.25 10.406 92.092 5.025.212 10.15.313 15.343.313 39.902 0 75.31-6.074 99.656-20.844 24.345-14.768 38.78-37.186 38.78-75.5 0-32.042-11.652-83.854-29.625-113.75l-8.344-13.905 16.19-.25c16.318-.263 28.186-11.71 28.186-25.688 0-14.173-12.365-26.875-28.625-26.875H232.376c-6.61 17.393-3.29 34.82 5 52.25H162.75c-19.19-18.17-19.75-35.388-5.594-52.25h-24.812zm67.562 112.78c-6.417 31.022-10.93 62.043-13.187 93.063 1.222 22.06 4.177 44.204 8.218 66.47 6.093 1.15 12.454 2.052 19 2.75-6.922-38.418-10.998-77.052-9.72-115.876-2.874-15.466-3.93-30.943-4.312-46.406z"}}]})(props);
};
function GiHood (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.375 32.03C139.957 87.197 42.343 247.886 17.5 367.75c71.742 0 124.22 22.845 162.094 63.03l10.47-11.436c-28.06-28.873-64.935-52.446-113.564-75.906 26.142-65.033 66.028-163.458 116.72-169.188 19.835-2.243 41.05 9.735 64.155 43.438 72.33-120.27 141.014 38.54 180.875 125.75-47.687 25.854-84.5 49.463-112.97 78.718l9.25 10.406c37.335-39.758 89.657-64.812 162.72-64.812C467.784 249.384 377.24 90.37 257.375 32.03zm-79.72 243.314c-15.3-.083-26.405 6.436-26.405 16.656 0 12.58 16.834 26.038 37.594 30.063 20.76 4.024 37.594-2.92 37.594-15.5s-16.835-26.038-37.594-30.063c-3.893-.755-7.657-1.137-11.188-1.156zm156.345 0c-3.53.02-7.295.4-11.188 1.156-20.76 4.025-37.593 17.483-37.593 30.063 0 12.58 16.833 19.524 37.592 15.5 20.76-4.025 37.594-17.484 37.594-30.063 0-10.22-11.105-16.74-26.406-16.656z"}}]})(props);
};
function GiHoodedAssassin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M332.031 66.13c-28.807-.01-55.439 14.149-67.88 40.65 20.79 1.744 16 55.07 16 55.07-11.814 16.687-24.73 33.186-36.589 50.146 0 0-99.046 132.283-178.378 168.025-28.049 22.593-33.305 36.532-44.137 52.649-4.877 9.54 9.257 14.324 11.701 13.2 22.726-10.461 25.176-20.866 47.07-35.675 12.805-5.026 23.839-15.9 31.854-11.049 34.962 20.86 107.556 44.28 118.271 38.706 17.857-9.263-5.78-43.585 16.174-89.057 31.97-3.352 58.916-.885 88.332-12.094 3.483 50.279 10.106 54.59 6.766 107.092l71.2 1.045.698-14.61-41.814-11.105c11.528-56.054 11.816-78.996 4.672-127.996-.956-6.622-53.746-8.275-81.012-3.79 24.449-24.202 40.274-45.24 47.506-68.44l.027.189c7.637 15.923 30.083 33.958 35.336 37.125 27.704 11.048 38.214 7.982 62.955 3.887 4.907-.784 27.47 24.537 44.807 9.597 2.642-20.238 16.522-20.369-4.938-32.71-4.847-2.73-27.063 7.462-31.418 6.898-20.21-2.481-30.954-5.211-58.45-12.703-10.23-13.187-32.676-56.136-55.43-59.744 6.535-14.15 28.226-53.108 73.664-66.237-20.943-26.54-49.925-39.057-76.987-39.068zm82.405 46.722c-46.658 19.516-58.266 50.4-58.266 50.4l9.916 7.644s9.646-4.765 48.35-58.044zm23.04 160.005l-4.658 11.418c5.233-.083 10.425.47 15.328 1.608-12.774 30.856-23.938 59.635-28.181 93.094l-.908 7.558 4.863-5.889c20.805-25.671 32.303-55.25 44.95-85.78 4.203 2.656 8.24 5.885 12.071 9.35l4.78-11.374-20.518-8.526-31.767 66.579 24.062-69.713-20.021-8.325z"}}]})(props);
};
function GiHoodedFigure (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M355.102 21.097c-33.682.164-64.173 18.585-74.615 50.5 21.357-.79 23.203 53.922 23.203 53.922l41.619 6.262c-13.41 12.963-50.025 5.967-50.025 5.967-17.14 19.182-33.124 40.966-47.758 57.578-15.952 18.127-35.2 38.103-57.018 60.086-6.79 6.823 41.594-9.821 34.342-2.604-24.567 12.751-42.297 16.097-61.764 32.069-31.312 25.674-62.853 60.71-81.146 79.431-7.711 7.91-44.362 37.674 20.469 34.74 2.404 7.52-1.621 9.456-7.493 15.293-4.327 4.303-18.082.283-22.263 2.828-22.172 35.055-17.246 37.975-27.43 58.047-4.252 11.635 41.68-14.404 64.305-34.18 13.974-7.58 25.147-21.652 35.002-17.202 43.11 18.984 129.826 35.53 141.328 27.619 18.368-12.646-10.321-46.343 3.832-97.912 23.47 5.817 43.825 13.657 66.767 11.459-1.581 49.307 3.56 55.306-3.888 104.777l59.129 21.127 1.91-13.809-33.815-22.478c14.568-50.659 16.809-72.578 15.227-121.719-.16-5.372-45.168-24.325-74.492-33.133l18.593-30.412c30.393-44.788 124.141-62.055 127.932-88.258-13.02-19.676 3.022-27.384-25.092-21.912-6.295 1.318-13.771 24.346-18.023 27.213-7.843 5.276-40.655 24.477-51.951 18.377-1.9-1.026 7.246-33.441 6.85-44.78-.116-3.205-1.19-6.625-2.866-10.001.185-.64 15.24-52.482 54.809-94.016-43.978 25.134-65.332 79.925-65.354 79.98-2.207-2.134-4.476-3.983-6.639-5.423-1.916-14.7-4.819-73.02 68.598-78.776-21.427-21.177-47.704-30.78-72.283-30.66z"}}]})(props);
};
function GiHoodie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-6.6 0-16.1 3.77-26.1 10.69-9.9 6.92-20.3 16.69-29.6 27.09-8.4 9.52-15.9 19.56-21.5 28.35 5-2.29 10-4.34 15.1-6.17l.9-.41c20.2-8.78 40.6-13.25 61.1-13.25 20.5-.02 41 4.37 61.3 13.26l.8.35c5.1 1.84 10.2 3.91 15.2 6.22-5.6-8.79-13.1-18.83-21.5-28.35-9.3-10.4-19.7-20.17-29.6-27.09C272.1 28.77 262.6 25 256 25zm0 67.23c-16.3 0-32.5 2.37-48.2 7.1 1 16.67 5.3 36.37 13 51.87 8.8 17.6 20.5 28.6 35.2 28.6 14.7 0 26.4-11 35.2-28.6 7.7-15.5 12-35.2 13-51.87-15.7-4.73-31.9-7.1-48.2-7.1zm-66 13.67c-7.1 3.1-14.1 6.7-20.8 10.9 1.3 19.1 10.4 34.5 24.8 45.7 5.7 4.5 12.3 8.2 19.5 11-3.3-4.4-6.2-9.3-8.7-14.3-8.4-16.6-13.2-35.7-14.8-53.3zm132 0c-1.6 17.6-6.4 36.7-14.8 53.3-2.5 5.1-5.5 10-8.8 14.5 7.4-2.9 14.1-6.6 19.9-11.2 14.2-11.2 23.2-26.6 24.5-45.7-6.7-4.2-13.7-7.8-20.8-10.9zm-131.4 76.2c-23.4 3.6-46.8 9.2-70.3 16.7L93.42 427l31.18 10.4 26.5-198.6 17.9 1.8L155.6 442c23.6 5.7 62.1 9 100.4 9 38.3 0 76.8-3.3 100.4-9L343 240.6l17.9-1.8 26.5 198.6 31.1-10.3-26.8-228.3c-23.4-7.4-46.7-13.1-70-16.7-4.1 2.6-8.4 4.8-12.9 6.8-3.3 11.9-2.9 26 0 39.1 3.7 16.7 11.7 31.8 17.6 37.6l-12.8 12.8c-10.1-10.2-18.1-27.1-22.4-46.4-2.6-11.7-3.8-24.4-2.2-36.7-10.4 2.3-21.5 3.2-33 2.5-11.5.7-22.6-.3-33-2.6 1.6 12.3.4 25-2.2 36.8-4.3 19.3-12.3 36.2-22.4 46.4l-12.8-12.8c5.9-5.8 13.9-20.9 17.6-37.6 2.9-13.2 3.3-27.3 0-39.3-4.4-1.9-8.6-4.1-12.6-6.6zm10.2 154.4h110.4l17.6 77.5-17.6 4-14.4-63.5h-81.6L200.8 418l-17.6-4 17.6-77.5zM91.28 445.2l-2.23 18.9c.05-.3.69 1.7 3.98 4.3 3.4 2.6 8.67 5.3 13.77 7.1 5.1 1.6 10.1 2.2 12.4 2l2.9-22-30.82-10.3zm329.42 0l-30.8 10.3 2.9 22c2.3.2 7.3-.4 12.4-2 5.1-1.8 10.4-4.5 13.8-7.1 3.3-2.6 3.9-4.6 3.9-4.3l-2.2-18.9zm-266.3 15l-1.3 19.2v.1c.5.5 2.1 1.7 4.5 2.9 4.8 2.4 13 4.8 23.1 6.8 20.1 3.8 47.7 5.8 75.3 5.8 27.6 0 55.2-2 75.3-5.8 10.1-2 18.3-4.4 23.1-6.8 2.4-1.2 4-2.4 4.5-2.9v-.1l-1.3-19.2c-26.5 6.1-63.9 8.8-101.6 8.8-37.7 0-75.1-2.7-101.6-8.8z"}}]})(props);
};
function GiHoof (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M142.813 19.97c.048 56.36-28.065 101.353-64.188 136.81l39.47 4.564 14.936 1.72-8.186 12.655-33.563 51.843c30.768 3.768 54.396-1.36 88.25-14.97l12.626-5.062.22 13.595.718 44.906c20.064-13.115 36.285-30.203 50.28-50.124l4.94-7.062 7.436 4.375 54.594 32.03 10.156-30.375 3.938-11.844 10.25 7.126c30.46 21.155 66.024 31.13 102.218 34.125l-51.937-57.56-14.408-15.97 21.532.375 31.437.563c-17.77-17.895-35.47-39.554-49.56-62.97-16.887-28.06-28.705-58.756-27.97-88.75H142.812zm191.656 212.06l-10.064 30.064-3.625 10.937-9.967-5.842-40.907-24c10.515 32.963 18.264 78.16 24.563 123.843 6.117 44.372 10.706 88.847 14.31 121.814 14.294-4.76 27.926-11.046 40.408-18.594-.672-36.365-8.715-72.732-19.282-109.094 18.077 30.067 32.476 61.168 40.563 94.063 13.43-11.014 24.69-23.64 32.874-37.345-2.963-22.86-13.432-52.61-25.47-73.656 14.353 12.85 27.138 31.72 36.47 48.81 2.426-8.295 3.72-16.823 3.72-25.5-.002-32.12-15.122-77.045-40.19-115.842-14.964-4.858-29.543-11.293-43.405-19.657zm-160.564 2.69c-13.698 4.926-26.492 8.458-39.25 10.5-27.508 40.184-44.25 88.358-44.25 122.31 0 29.434 14.637 57.26 37.97 79.69 6.713-23.524 18.778-45.87 34.06-67.533-8.636 28.1-14.79 56.182-13.624 84.282 16.037 11.214 34.474 20.235 54.157 26.342 3.555-33.222 8.24-78.5 14.624-124.187 5.93-42.437 13.105-84.325 22.47-116.156-14.5 16.064-31.413 30.002-51.75 40.56l-13.408 6.97-.25-15.094-.75-47.687zm82.125 27.874c-7.814 29.17-14.536 67.482-19.936 106.125-5.968 42.7-10.45 85.298-13.938 118.03 18.716-6.198 35.124-8.003 48.72-7.03 6.917.493 13.055 1.684 18.437 3.374-3.48-32.118-7.78-72.96-13.375-113.53-5.358-38.854-12.008-77.447-19.907-106.97z"}}]})(props);
};
function GiHook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M264 25c-34.9 0-63 28.1-63 63s28.1 63 63 63 63-28.1 63-63-28.1-63-63-63zm0 30c18.1 0 33 14.88 33 33 0 18.1-14.9 33-33 33s-33-14.9-33-33c0-18.12 14.9-33 33-33zm0 18c-8.4 0-15 6.61-15 15s6.6 15 15 15 15-6.61 15-15-6.6-15-15-15zm-45.3 82.1c-3.7 9.1-9.5 17.5-16.4 25.6-11.7 13.6-26.6 26.7-41.2 41.5-29 29.4-56.4 64.2-55.2 120 .6 32.9 21.2 67.6 51 93.9 29.8 26.3 68.4 43.8 101.8 44.2 28.9.4 62-7.4 87.1-25.1 25.2-17.7 42.7-44.5 42.6-85.6 0-16.8-10.5-43.4-15.1-67.4-2.3-12-3.3-23.9 1.1-34.8 3.8-9.7 12.7-17.2 25.1-20.7 3-7.3 2-11.1-.2-13.9-2.5-3.1-8.6-5.9-16.3-5.8-7.6.1-16.1 2.9-22.3 8.1-6.1 5.3-10.4 12.8-10.4 24.6.1 27.9-3.6 54.7-13 77-9.5 22.3-25.4 40.3-48.6 48-18.7 6.1-40 1.5-58.1-8.2-18.1-9.8-33.6-25.1-38.9-44.1-5.9-21.5-.4-43.2 10.1-63.4 10.5-20.2 26.1-39.4 42.3-57.3 15.1-16.7 30.6-32.4 42.9-46.1-7.3 2.2-15 3.4-23 3.4-16.8 0-32.4-5.1-45.3-13.9z"}}]})(props);
};
function GiHops (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M455.016 31.335c-7.352 27.563-11.672 51.534-29.666 70.475a132.12 132.12 0 0 1 10.89 14.457c21.859-21.479 31.27-55.32 36.444-81.483zm-365.77 86.553c26.53 23.311 75.437 43.214 128.588 50.441 8.93-54.446 25.763-101.262 78.663-111.742-87.441-32.988-169.736-14.856-207.25 61.3zm181.012-30.992c-23.32 17.537-33.49 55.18-35.172 93.896-1.561 35.96 3.991 71.655 9.075 90.1 18.466 5.08 54.205 10.628 90.213 9.068 38.762-1.68 76.457-11.845 94.011-35.137 26.195-44.685 11.365-102.657-21.504-136.447-35.854-30.649-96.195-50.896-136.623-21.48zM93.756 144.06c-21.448 19.766-37.77 47.077-44.715 84.466 29.077 14.704 53.089 19.928 81.481 23.61 19.863-23.625 28.623-48.967 39.228-75.043-29.084-7.861-55.342-19.184-75.994-33.033zm93.71 37.314c-13.41 45.213-43.135 138.013-19.993 166.121 20.996 20.505 122.712-2.301 166.324-19.967a359.482 359.482 0 0 1-5.027-29.386c-33.203-1.003-67.74-2.657-99.18-12.67-8.98-34.162-13.172-70.091-12.685-99.073a360.408 360.408 0 0 1-29.44-5.025zm271.243 37.24c-9.797 53.078-68.758 74.708-111.867 78.6 7.237 53.09 27.16 101.938 50.498 128.433 85.392-40.18 90.077-136.087 61.37-207.033zM59.217 254.495c-13.823 25.304-23.43 57.957-25.054 84.063 16.933 5.432 36.996 6.918 53.347 7.308 6.387-25.338 18.476-51.542 32.994-76.928-20.58-3.495-43.292-7.486-61.287-14.443zm88.59 3.938c-22.603 45.341-56.073 107.837-42.664 151.328 57.858 6.862 111.673-17.601 151.47-42.592-32.613 5.741-81.751 15.043-103.86-4.938-18.09-28.865-13.015-58.231-4.946-103.798zm190.277 86.802c-30.287 7.312-51.234 24.35-75.14 39.196 4.16 25.089 9.576 60.967 23.635 81.375 37.436-6.937 64.779-23.24 84.568-44.662-13.862-20.63-25.194-46.859-33.063-75.909zM46.331 360.267c-10.174 36.445-17.91 81.317-4.399 112.632 31.358 13.502 76.288 5.774 112.777-4.39-2.03-12.867-3.194-26.613-3.529-37.592-23.234 1.407-41.295.55-59.984-7.201-7.773-19.583-9.502-42.678-7.215-59.922-13.049-.685-25.974-1.445-37.65-3.527zm199.806 34.162c-25.42 14.508-51.66 26.588-77.03 32.968.398 20.603.666 38.958 7.315 53.268 31-3.247 58.572-10.692 84.17-25.025-7.523-22.172-11.492-40.957-14.455-61.211z"}}]})(props);
};
function GiHorizontalFlip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M387.02 278.627v67.883L477.53 256l-90.51-90.51v67.883H124.98V165.49L34.47 256l90.51 90.51v-67.883h262.04z"}}]})(props);
};
function GiHornInternal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.813 22.47c-8.663-.028-17.42.734-26.188 2.28-.03.005-.064-.005-.094 0-2.45.224-4.96.54-7.5.938C85.51 45.672 13.217 187.65 46.72 312.688 80.22 437.725 209.4 512.317 334.436 478.813c79.17-21.214 130.815-52.148 149.782-94.532-94.212 57.032-205.346 19.985-223.283-36.717-60.108-3.05-114.777-39.585-139.875-95.688 34.093 53.034 99.78 80.55 163.875 63.375 79.34-21.26 126.572-103.035 105.313-182.375-17.273-64.464-74.524-107.727-137.938-110.28-1.83-.075-3.66-.12-5.5-.126zm17.75 19.905c50.192 7.036 93.66 43.192 107.625 95.313 18.644 69.584-22.51 140.886-92.094 159.53-44.968 12.05-90.625-.88-122.344-30.312 26.946-4.947 53.78 2.713 73.75 19.22-19.866-27.787-54.214-42.64-89.125-36.25-9.786-12.992-17.307-28.052-21.78-44.75-.462-1.72-.863-3.438-1.25-5.157 18.06-5.557 37.843-6.52 57.28-1.314 33.74 9.04 58.603 34.25 69.938 64.688-4.076-41.848-32.763-79.42-75.75-90.938-18.48-4.952-37.42-4.297-54.688.5-.265-20.476 4.33-40.36 12.97-58.22 40.108-10.7 84.804-.724 116.06 30.533 28.44 28.437 39.13 67.968 32.907 104.843 20.027-44.072 12.45-97.646-23.78-133.875-27.967-27.967-66.544-39.424-102.907-33.938 7.713-8.227 16.546-15.5 26.344-21.563 64.076-13.72 128.855 24.893 146 88.876 10.784 40.253.07 81.35-24.626 111.218 40.804-29.172 61.648-81.278 47.906-132.56-11.38-42.47-43.437-73.673-82.438-85.845z"}}]})(props);
};
function GiHornedHelm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M69.313 18.75c-1.574 2.353-3.376 4.513-4.813 7C29.19 86.9 50.184 165.194 111.344 200.5c.822.475 1.64.92 2.47 1.375 6.942-20.223 16.297-38.746 27.592-54.844-46.972-27.407-73.09-77.42-72.094-128.28zm366.218 0c1 51.074-25.34 101.293-72.686 128.625-.06.035-.128.06-.188.094 11.25 16.126 20.54 34.673 27.438 54.905 1.143-.615 2.275-1.222 3.406-1.875 61.16-35.306 82.154-113.6 46.844-174.75-1.437-2.487-3.24-4.647-4.813-7zm-183.655 83.063c-49.747 0-94.34 38.94-117.188 97.687 34.868-8.738 76.5-12.77 118.282-12.78 40.775-.013 81.443 3.814 115.843 12.124-22.932-58.378-67.38-97.03-116.938-97.03zm1.094 103.593c-61.1.017-122.17 10.173-156.44 27.875v59.69c38.836-8.845 89.384-13.424 140.626-14.158L219.28 395h59.97l-17.875-116.22c55.228.506 109.26 5.38 148.25 14.158V233.28c-34.38-17.77-95.545-27.89-156.656-27.874zm-61.064 94.78c-11.582.002-20.094 8.333-20.094 18.002 0 9.668 8.512 18 20.094 18 11.583 0 20.125-8.332 20.125-18 0-9.67-8.54-18-20.124-18zm114.688.002c-11.583 0-20.094 8.33-20.094 18 0 9.668 8.51 18 20.094 18 11.582 0 20.125-8.332 20.125-18 0-9.67-8.544-18-20.126-18zm44.625 2.625L300.06 493.938l81.844-21.25V306.75c-9.6-1.504-19.885-2.81-30.687-3.938zm-203.25.593c-10.817 1.254-21.174 2.733-30.845 4.438v164.844l81.844 21.25-51-190.532z"}}]})(props);
};
function GiHornedReptile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.98 21.35C63.71 95.32 121.5 181.9 128.4 271.3l39.4 92 62.8 78.5c5.8 5.8 15.5 9.2 25.4 9.2 9.9 0 19.6-3.4 25.4-9.2l62.8-78.5 39.4-92c6.9-89.4 64.7-175.97 106.4-249.95-89.8 46.36-136.4 81.85-177.6 189.85l-16.8-6.4c13-34.1 26.9-61.5 42.5-84.6l-23-59.74C289.1 73.48 273 81 256 81s-33.1-7.52-59.1-20.54l-23 59.74c15.6 23.1 29.5 50.5 42.5 84.6l-16.8 6.4c-41.2-108-87.8-143.49-177.62-189.85zM136.9 228.2l21.5 21.4c16.2 16.3 26.4 28.5 36 38 9.5 9.6 18.4 16.8 33.6 24.3l5 2.5v.3c13 4 13.8 69.8 7 85.3-4.1-15.6-11.9-28.9-23.4-41.6-3.7-1.9-9.7-4.9-16.6-9-10.9-6.3-23.3-14.1-31-23.8-8.9-11.1-14.6-27.4-18.9-41.6-4.4-14.2-6.9-26.1-6.9-26.1l-6.3-29.7zm238.2 0l-6.3 29.7s-2.5 11.9-6.9 26.1c-4.3 14.2-10 30.5-18.9 41.6-7.7 9.7-20.1 17.5-31 23.8-6.9 4.1-12.9 7.2-16.6 9-11.5 12.7-19.3 26-23.4 41.6-6.8-15.5-6-81.3 7-85.3v-.3l5-2.5c15.2-7.5 24.1-14.7 33.6-24.3 9.6-9.5 19.8-21.7 36-38l21.5-21.4zM208 312a12 12 0 0 0-12 12 12 12 0 0 0 12 12 12 12 0 0 0 12-12 12 12 0 0 0-12-12zm96 0a12 12 0 0 0-12 12 12 12 0 0 0 12 12 12 12 0 0 0 12-12 12 12 0 0 0-12-12zm-151 61.7v23.1l29.5 36.9c.1-6.7.3-12.8.5-18l.2-4.3-30.2-37.7zm206 0l-30.2 37.7.2 4.3c.2 5.2.4 11.3.5 18l29.5-36.9v-23.1zm-158.4 62.7c-.2 12.2-.1 25.2.7 37.6.5 8.6 1.5 16.3 2.7 22.6 1.7-4.2 3.5-8.8 5.2-13.8 3.6-10.9 6.2-22.7 7.2-29.9l-5.1-6.4-10.7-10.1zm110.8 0l-10.7 10.1-5.1 6.4c1 7.2 3.6 19 7.2 29.9 1.7 5 3.5 9.6 5.2 13.8 1.2-6.3 2.2-14 2.7-22.6.8-12.4.9-25.4.7-37.6zm-78.5 28.1c-1.3 6.4-3.2 13.3-5.4 20.2 9.9 7.1 19.4 10.3 28.5 10.3 9.1 0 18.6-3.2 28.5-10.3-2.2-6.9-4.1-13.8-5.4-20.2-7.3 3.1-15.2 4.5-23.1 4.5-7.9 0-15.8-1.4-23.1-4.5z"}}]})(props);
};
function GiHornedSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M162.406 17.094l-2.5 5.468c-1.764 3.854-3.21 7.755-4.406 11.688-57.697 7.858-100.454 43.757-120.938 91.938-24.72 58.145-17.926 133.66 28.313 199.968l18.75 26.875-1.875-32.717c-2.258-39.849 6.348-76.108 24.813-105.125 1.163 4.493 3.05 8.937 5.5 13.125 6.947 11.873 18.43 22.89 33.124 31.375 10.822 6.247 21.975 10.296 32.594 12.03l-16.655 153.594-.625 5.72 4.813 3.124 88.187 57.25 5.063 3.28 5.093-3.28 88.78-57.22 4.845-3.123-.624-5.75-16.625-153.438c10.954-1.626 22.518-5.72 33.72-12.188 14.695-8.484 26.177-19.5 33.125-31.375 2.217-3.788 3.975-7.79 5.156-11.843 17.908 28.798 26.226 64.58 24 103.843l-1.842 32.718 18.75-26.874c46.238-66.307 53-141.823 28.28-199.97-20.405-47.997-62.914-83.802-120.28-91.842-1.454-4.184-3.2-8.282-5.282-12.25l-2.625-5H162.406zm12.28 18.687h164.75c12.584 29.53 5.358 68.857-19.28 104.47l-7.437 10.78 12.592 3.564c18.38 5.154 33.995 12.365 45.407 20.53-12.85.732-26.853 5.117-40.345 12.907-14.695 8.486-26.208 19.502-33.156 31.376-.412.702-.81 1.41-1.19 2.125l-.03-.03c-23.524 44.524-31.757 128.354-22.656 218.156l17.812-11.5c-5.25-63.274-1.185-123.153 9.188-164.156 5.136 4.396 11.757 6.967 18.875 8.063l16.217 149.562-2.718 1.75.092.125-71.093 45.844-5.095 3.28-5.063-3.28-70.625-45.844.094-.125-2.718-1.75L194.5 272.22c7.398-.96 14.313-3.467 19.688-7.908 10.354 41.11 14.392 101.066 9.093 164.375l17.782 11.563c8.678-84.91 1.864-164.532-18.718-210.75-1.156-3.452-2.728-6.85-4.625-10.094-6.95-11.874-18.43-22.89-33.126-31.375-13.383-7.725-27.268-12.09-40.03-12.874 11.265-7.91 26.54-14.9 44.5-20L200.186 152l-5.438-10.22c-21.613-40.676-31.158-75.677-20.063-106zm-22.905 17.626c-2.428 27.328 6.36 56.236 20.876 85.938-31.03 11.238-56.185 29.474-74.562 52.875l14.312-45-38.437 32.03 7.843-49.125-31.344 50.53-4.845-30.374c1.69-5.79 3.72-11.403 6.03-16.843 17.48-41.113 51.72-71.697 100.126-80.03zm211.657.282c47.646 8.687 81.383 39.045 98.688 79.75 3.03 7.128 5.544 14.595 7.5 22.312l-37.906-31.53 25.967 57.155-60.5-42 33.47 46.28-31.688-11.56c-3.664-3.396-7.514-6.615-11.533-9.69-.028-.022-.065-.038-.093-.06-6.315-5.24-13.66-9.945-21.844-14.126-.128-.067-.247-.155-.375-.22-.326-.175-.672-.326-1-.5-6.875-3.64-14.113-6.9-21.72-9.72 16.575-27.99 24.514-58.36 21.033-86.093zm-222.718 140c9.668.056 22.326 3.454 34.53 10.5 12.204 7.045 21.46 16.31 26.344 24.656 4.883 8.345 5.113 14.647 2.906 18.47-2.207 3.82-7.77 6.742-17.438 6.686-2.976-.017-6.245-.34-9.687-1 2.584-3.356 4.125-7.53 4.125-12.094 0-10.982-8.893-19.906-19.875-19.906-9.475 0-17.41 6.63-19.406 15.5-7.13-5.62-12.642-11.83-16.032-17.625-2.257-3.856-3.513-7.278-4-10.22h.093c0-3.024.52-6.028 1.532-9.03 2.49-3.437 7.905-5.99 16.907-5.938zm233.5 0c9.046-.053 14.496 2.505 16.967 5.968.005.007-.004.025 0 .03.99 2.987 1.47 5.978 1.47 8.97h.093c-.488 2.94-1.744 6.363-4 10.22-3.583 6.122-9.553 12.697-17.28 18.56-1.64-9.33-9.762-16.436-19.564-16.436-10.982 0-19.875 8.924-19.875 19.906 0 4.653 1.606 8.894 4.283 12.28-2.986.512-5.822.8-8.438.814-9.67.056-15.23-2.866-17.438-6.688-2.206-3.82-1.976-10.123 2.907-18.468 4.883-8.346 14.17-17.61 26.375-24.656 12.203-7.046 24.83-10.444 34.5-10.5z"}}]})(props);
};
function GiHorseHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M400 16c-21.335 9.73-58.244 17.34-73.086 48.232-22.36 1.948-72.753 10.673-122.22 40.25-58.098 34.74-116.017 97.417-131.776 213.702l-.48 3.537-2.774 2.25c-30.87 25.002-40.657 38.937-44.416 61.153-3.536 20.9-.72 51.46-.363 101.877H328.36c3.455-16.892 10.44-29.245 12.472-41.568 2.337-14.176.19-29.938-20.812-58.547-43.078-58.683-46.853-129.458-12.916-171.28-8.654-2.765-15.09-6.887-19.458-12.546-6.115-7.924-7.4-17.006-8.57-25.884l17.848-2.352c1.112 8.446 2.38 13.88 4.97 17.237 2.59 3.356 7.31 6.472 19.55 8.46l-.022.128.172-.17 5.998 9.424c19.957 31.358 42.84 51.292 73.332 54.44l6.51.672 1.367 6.4c2.74 12.828 8.626 19.095 15.116 22.238 6.49 3.143 14.225 2.944 20.47.205 9.316-4.086 14.518-11.35 16.7-22.712 2.122-11.05.546-25.834-5.137-42.106-33.538-38.248-44.475-87.277-63.903-128.772-6.055-9.947-12.448-18.518-20.385-24.856C376.808 55.126 386.456 34.852 400 16zM214.068 34.97C179.55 35.06 146.075 43.06 96 58.58c31.146 9.92 70.397 18.9 86.037 39.01 4.463-3.017 8.94-5.88 13.418-8.56 40.51-24.22 80.387-35.286 108.23-40.04-35.854-9.477-63.047-14.094-89.617-14.023zM157.16 96.712c-1.13-.01-2.265-.01-3.402.004-30.353.37-63.1 9.745-96.647 31.283 27.186 3.672 54.67 3.724 72.58 15.398 15.9-17.92 33.144-32.634 50.677-44.668-7.548-1.244-15.292-1.938-23.207-2.017zM368 128a13.214 13.215 0 0 1 13.213 13.215A13.214 13.215 0 0 1 368 154.432a13.214 13.215 0 0 1-13.213-13.217A13.214 13.215 0 0 1 368 128zm-238.906 16.068c-36.395 1.495-68.903 6.53-104.76 24.766 33.236 7.095 50.913 13.507 65.025 33.83 11.522-22.53 25.045-41.93 39.734-58.596zM74.518 201.46C53.53 201.65 36.614 213.14 16 224c27.854 0 46.067 3.862 58.71 12.055 4.33-11.652 9.16-22.615 14.41-32.924-5.12-1.19-9.963-1.71-14.602-1.67zm-.623 36.82c-17.933 5.845-35.452 7.15-54.23 22.284 17.62 4.638 34.79 9.596 41.398 22.034 3.496-15.77 7.814-30.523 12.832-44.32zm370.142 8.57c1.617-.035 3.222.044 4.783.187l-1.64 17.926c-3.928-.36-5.513.416-5.57.465-.058.048-1.035.656-.635 5.886l-17.95 1.372c-.638-8.35 1.297-16.207 6.955-20.997 4.245-3.593 9.206-4.735 14.057-4.84zM52.215 290.723c-10.352.13-23.76 5.646-34.656 12.334 12.173 6.83 12.357 23.472 8.938 37.668 7.3-9.105 16.855-18.323 29.158-28.48 1.016-7.043 2.19-13.9 3.506-20.585-2.082-.67-4.42-.97-6.947-.937z"}}]})(props);
};
function GiHorseshoe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M251.188 28.538c-202.97 2.955-190.282 230.2-126.782 409.47-14.678 9.41-17.29 6.385-15.75 17.062 1.105 7.65 12.483 23.233 17.563 25.844s9.372 2.85 17.03 2.343 60.337-8.77 49.22-22.625c-48-67.4-126.572-365.46 63.53-374.062 190.102 8.603 111.53 306.66 63.53 374.062-11.117 13.855 41.562 22.117 49.22 22.625s11.95.267 17.03-2.343 16.46-18.194 17.564-25.844c1.54-10.678-1.072-7.65-15.75-17.063 63.5-179.27 76.187-406.514-126.78-409.469-1.6-.023-3.19-.005-4.814 0-1.625-.004-3.214-.023-4.813 0zm-45.625 22.157c6.903 0 12.5 5.596 12.5 12.5s-5.597 12.5-12.5 12.5-12.5-5.597-12.5-12.5 5.596-12.5 12.5-12.5zm100.875 0c6.903 0 12.5 5.596 12.5 12.5s-5.597 12.5-12.5 12.5-12.5-5.597-12.5-12.5 5.596-12.5 12.5-12.5zM135.594 109.32c6.903 0 12.5 5.596 12.5 12.5s-5.597 12.5-12.5 12.5-12.5-5.597-12.5-12.5 5.596-12.5 12.5-12.5zm240.812 0c6.904 0 12.5 5.596 12.5 12.5s-5.596 12.5-12.5 12.5-12.5-5.597-12.5-12.5 5.597-12.5 12.5-12.5zm-266.844 96c6.904 0 12.5 5.596 12.5 12.5s-5.596 12.5-12.5 12.5-12.5-5.597-12.5-12.5 5.597-12.5 12.5-12.5zm292.875 0c6.904 0 12.5 5.596 12.5 12.5s-5.596 12.5-12.5 12.5-12.5-5.597-12.5-12.5 5.597-12.5 12.5-12.5zM118.22 307.82c6.902 0 12.5 5.596 12.5 12.5s-5.598 12.5-12.5 12.5-12.5-5.597-12.5-12.5 5.595-12.5 12.5-12.5zm275.56 0c6.905 0 12.5 5.596 12.5 12.5s-5.595 12.5-12.5 12.5-12.5-5.597-12.5-12.5 5.598-12.5 12.5-12.5zm-254.936 84.062c6.903 0 12.5 5.597 12.5 12.5s-5.597 12.5-12.5 12.5-12.5-5.596-12.5-12.5 5.596-12.5 12.5-12.5zm234.312 0c6.904 0 12.5 5.597 12.5 12.5s-5.596 12.5-12.5 12.5-12.5-5.596-12.5-12.5 5.597-12.5 12.5-12.5z"}}]})(props);
};
function GiHorus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M277.624 38.408c-7.81-.103-15.53.265-23.12 1.088C146.945 51.153 88.41 120.082 55.96 193.286c-32.45 73.206-37.25 151.473-35.46 172.5L29.64 472.96h83.052c2.987-20.775 8.425-44.826 14.432-66.658 6.773-24.616 13.672-45.437 19.188-56.08 3.55-6.85 9.925-11.152 17.18-14.154 7.253-3.002 15.78-4.843 25.404-6.012 19.247-2.338 42.932-1.864 67.83.342 41.348 3.664 85.415 12.046 116.613 21.74-3.103-9.512-6.747-18.227-15.826-27.18l-6.86-6.767 7.216-6.382c41.488-36.703 55.892-68.598 60.574-101.785a34.638 34.638 0 0 1-3.75 2.34c-5.243 2.81-12.72 4.038-19.382 1.064-3.91-1.744-6.676-5.02-8.305-8.437a418.06 418.06 0 0 0-1.982 4.213c-4.96 10.71-9.424 21.096-13.99 29.642-4.565 8.546-8.3 16.154-17.554 19.418l-5.99-16.974c-.75.264 3.682-3.465 7.667-10.925 3.986-7.46 8.454-17.75 13.536-28.725 7.072-15.275 15.12-32.093 26.317-45.343 8.35-15.976 21.708-32.293 40.418-43.366-46.955-50.933-104.408-73.816-157.8-74.522zm-1.973 16.767c34.993.315 59.796 11.808 87.982 22.827-41.173-4.475-50.934 10.716-56.666 27.875-5.742 17.188-8.66 56.935 56.238 73.34-66.237 32.508-78.25-41.584-102.46-36.774-65.627 13.04-22.852 87.197 52.146 150.477-85.838-22.04-135.18-59-143.645-127.668-11.355-92.11 33.67-102.256 81.276-108.485 7.69-1.006 14.896-1.508 21.713-1.588 1.15-.014 2.29-.015 3.418-.005zm80.455 34.262c18.118 0 33 14.88 33 33 0 18.12-14.882 33-33 33-18.12 0-33-14.88-33-33 0-18.12 14.88-33 33-33zM147.02 104.7c1.827 78.895-5.86 176.468 170.354 205.132-35.884 7.95-163.52-14.975-186.05 24.732-21 37.013-27.095 81.05-34.323 118.063H46.227c-5.9-31.87-6.893-67.81-5.057-102.018 5.815-108.383 49.044-195.796 105.85-245.91zm209.085 2.737c-8.39 0-15 6.61-15 15s6.61 15 15 15 15-6.61 15-15-6.61-15-15-15zm95.265 17.467c-20.89 9.8-35.54 28.292-42.982 45-3.784 8.495-5.637 16.516-5.793 21.834-.078 2.66.305 4.597.603 5.38.006.017-.002 0 .004.015.837.296 1.337.248 2.985-.635 2.018-1.082 4.982-3.68 7.98-6.908s6.048-6.978 9.416-10.348c3.368-3.37 7.016-7.4 14.176-7.596 4.878-.134 7.48 1.684 10.155 3.365 2.677 1.683 5.25 3.72 7.96 5.996 5.425 4.55 11.326 10.074 17.01 14.832 5.686 4.757 11.365 8.648 14.513 9.855 1.132.434 1.2.36 1.343.38 3.358-6.057 3.95-14.14 1.892-23.6-2.093-9.62-6.883-20.22-12.758-29.624-5.874-9.404-12.868-17.66-18.687-22.745-2.91-2.542-5.56-4.264-7.127-4.97-.51-.227-.543-.2-.69-.23zM209.872 346.636c-6.783.18-13.112.597-18.808 1.29-8.58 1.042-15.737 2.725-20.692 4.775-4.954 2.05-7.314 4.328-8.08 5.806a48.273 48.273 0 0 0-1.012 2.115c5.434 40.466 11.302 79.708 29.27 112.99h49.246c-17.794-39.21-30.354-80.875-29.924-126.974z"}}]})(props);
};
function GiHospitalCross (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M174.688 28.063v71.625h-80.75v81.374H22.313v160.094h71.625v80.72h80.75v71.655H334.75v-71.655h81.375v-80.72h71.656V181.063h-71.655V99.688H334.75V28.064H174.688zm18.687 18.687h122.688v153H469.093v122.72H316.062V474.843H193.375V322.47H41V199.75h152.375v-153z"}}]})(props);
};
function GiHospital (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c39.3 0 71 31.68 71 71 0 39.3-31.7 71-71 71s-71-31.7-71-71c0-39.32 31.7-71 71-71zm18 23h-36v30h-30v36h30v30h36v-30h30V78h-30zm101 89v350h-78v-80h-82v80h-78V137h40.1c2.5 5 5.6 9.6 9 14H151v50h50v-35.1c8.8 6.9 19 12.3 30 15.5V201h50v-19.6c11-3.2 21.2-8.6 30-15.5V201h50v-50h-35.1c3.4-4.4 6.5-9 9-14zm-32 32v14h-14v-14zm-160 0v14h-14v-14zm288 32v286h-78V201zm-352 0v286H41V201zm338 14h-50v82h50v-73zm-96 0h-50v82h50v-73zm-80 0h-50v82h50v-73zm-80 0h-50v82h50v-73zm-96 0H55v82h50v-73zm334 18v46h-14v-46zm-96 0v46h-14v-46zm-80 0v46h-14v-46zm-80 0v46h-14v-46zm-96 0v46H73v-46zm370 78h-50v82h50v-73zm-96 0h-50v82h50v-73zm-80 0h-50v82h50v-73zm-80 0h-50v82h50v-73zm-96 0H55v82h50v-73zm334 18v46h-14v-46zm-96 0v46h-14v-46zm-80 0v46h-14v-46zm-80 0v46h-14v-46zm-96 0v46H73v-46zm370 78h-50v50h50v-41zm-96 0h-50v50h50v-41zm-160 0h-50v50h50v-41zm-96 0H55v50h50v-41zm334 18v14h-14v-14zm-96 0v14h-14v-14zm-64 0v62h-46v-62zm-96 0v14h-14v-14zm-96 0v14H73v-14z"}}]})(props);
};
function GiHotMeal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M267.895 20.495s-12.96 6.614-25.907 16.354c-6.473 4.87-13.025 10.52-18.205 17.027-5.18 6.506-9.402 14.232-8.76 23.266.714 10.04 7.52 17.517 14.78 22 7.259 4.482 15.502 7.194 23.265 9.869 7.764 2.675 15.05 5.313 19.672 8.168 4.623 2.854 6.052 4.703 6.283 7.963.027.37-.418 2.346-2.613 5.103-2.195 2.757-5.726 5.93-9.42 8.71-7.388 5.557-15.095 9.54-15.095 9.54l8.21 16.016s8.826-4.494 17.706-11.174c4.44-3.34 8.976-7.227 12.681-11.88 3.705-4.655 6.993-10.44 6.485-17.593-.714-10.04-7.52-17.517-14.78-22-7.259-4.483-15.502-7.194-23.265-9.869-7.764-2.675-15.05-5.313-19.672-8.168-4.623-2.855-6.052-4.703-6.283-7.963-.16-2.252 1.217-6.168 4.886-10.777 3.67-4.61 9.218-9.549 14.946-13.858 11.454-8.617 23.296-14.718 23.296-14.718zm-128 48s-12.96 6.614-25.907 16.354c-6.473 4.87-13.025 10.52-18.205 17.027-5.18 6.506-9.402 14.232-8.76 23.266.714 10.04 7.52 17.517 14.78 22 7.259 4.482 15.502 7.194 23.265 9.869 7.764 2.675 15.05 5.313 19.672 8.168 4.623 2.854 6.052 4.703 6.283 7.963.027.37-.418 2.346-2.613 5.103-2.195 2.757-5.726 5.93-9.42 8.71-7.388 5.557-15.095 9.54-15.095 9.54l8.21 16.016s8.826-4.494 17.706-11.174c4.44-3.34 8.976-7.227 12.681-11.881 3.705-4.654 6.993-10.44 6.485-17.592-.714-10.04-7.52-17.517-14.78-22-7.259-4.483-15.502-7.194-23.265-9.869-7.764-2.675-15.05-5.313-19.672-8.168-4.623-2.855-6.052-4.703-6.283-7.963-.16-2.252 1.217-6.168 4.886-10.777 3.67-4.61 9.218-9.549 14.946-13.858 11.454-8.617 23.296-14.718 23.296-14.718zm256 0s-12.96 6.614-25.907 16.354c-6.473 4.87-13.025 10.52-18.205 17.027-5.18 6.506-9.402 14.232-8.76 23.266.714 10.04 7.52 17.517 14.78 22 7.259 4.482 15.502 7.194 23.265 9.869 7.764 2.675 15.05 5.313 19.672 8.168 4.623 2.854 6.052 4.703 6.283 7.963.027.37-.418 2.346-2.613 5.103-2.195 2.757-5.726 5.93-9.42 8.71-7.388 5.557-15.095 9.54-15.095 9.54l8.21 16.016s8.826-4.494 17.706-11.174c4.44-3.34 8.976-7.227 12.681-11.881 3.705-4.654 6.993-10.44 6.485-17.592-.714-10.04-7.52-17.517-14.78-22-7.259-4.483-15.502-7.194-23.265-9.869-7.764-2.675-15.05-5.313-19.672-8.168-4.623-2.855-6.052-4.703-6.283-7.963-.16-2.252 1.217-6.168 4.886-10.777 3.67-4.61 9.218-9.549 14.946-13.858 11.454-8.617 23.296-14.718 23.296-14.718zM256 187.501c-13 0-21.792 5.914-28.512 15.994-2.782 4.173-5.027 9.1-6.715 14.465 11.32-1.607 23.07-2.455 35.227-2.455 12.157 0 23.906.848 35.227 2.455-1.688-5.365-3.933-10.292-6.715-14.465-6.72-10.08-15.512-15.994-28.512-15.994zm0 46c-119.427 0-193.752 86.039-198.54 174.004h397.08C449.751 319.54 375.426 233.5 256 233.5zM22.363 412.14L9.637 424.866C27.757 442.987 48 443.501 64 443.501h384c16 0 36.242-.514 54.363-18.635l-12.726-12.726C475.757 426.019 464 425.505 448 425.505H64c-16 0-27.758.514-41.637-13.365zm90.451 49.361l20.002 30.004h246.368l20.002-30.004z"}}]})(props);
};
function GiHotSpices (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M207.375 13.78v.064c83.385 68.488-50.732 105.97-37.22 175.22-20.55-13.762-28.066-46.66-8.78-74.97-51.085 21.935-73.42 51.99-72.156 97.562.945 34.13 14.638 61.58 35.843 82.188-9.787-27.448-12.016-55.74-5.188-79.813 35.742 49.332 137.785-19.994 147.094-79.28-.044 63.674 63.996 118.35 112.717 52.375 8.932 36.97 6.638 75.307-3.218 105.688 19.407-20.337 31.706-47.33 32.374-81.157.93-47.127-21.048-90.8-62.72-112.75 18.15 38.878-.498 65.598-43.655 83.75 40.28-67.494 16.386-154.454-95.095-168.875zm42.938 226.314c-5.97-.086-12.564 2.295-20.657 8.375-38.238 28.725-88.54 77.01-99.156 108.718-18.667-4.37-43.156 2.323-43.156 20.53 0 2.01.32 3.89.875 5.626-9.91-.4-20.22 3.9-20.22 13.03 0 16.998 35.74 17.686 38.063 1.657 10.356 2.978 22.947 2.34 32.218-2.03-.75 1.842-1.155 3.867-1.155 6.094 0 22.752 42.915 25.947 54.25 9.094 9.533 6.947 29.795 4.92 32.844-6.25 15.97 1.403 32.385 1.755 48.436.968 8.543 5.77 24.793 4.8 30.625-3 12.788-1.938 25.004-4.72 36.158-8.406 1.9 16.216 38.093 15.92 38.093-1.344 0-.75-.047-1.47-.186-2.156 11.238 3.032 26.594-1 26.594-12.25 0-11.025-15.614-15.103-26.875-12.03.36-28.628-58.605-80.767-105.063-116.595-7.39-5.698-14.014-9.92-21.688-10.03zM440 352.5c-9.547-.042-19.094 4.28-19.094 13.063 0 17.567 38.188 17.727 38.188 0 0-8.617-9.547-13.02-19.094-13.063zm-403.344 10c-9.547-.042-19.093 4.28-19.093 13.063 0 17.567 38.187 17.727 38.187 0 0-8.616-9.547-13.02-19.094-13.063zm430.563 20.406c-9.548-.042-19.095 4.28-19.095 13.063 0 17.566 38.188 17.725 38.188 0 0-8.618-9.547-13.022-19.094-13.064zm-49.69 25.438c-10.747-.047-21.5 4.8-21.5 14.687 0 19.776 43 19.955 43 0 0-9.7-10.75-14.64-21.5-14.686zm-79.967 2.97c-9.548-.02-19.094 4.385-19.094 13.248 0 12.037 18.638 15.825 29.874 11.032 9.403 8.896 34.72 6.462 34.72-7.844-.002-12.274-18.61-16.01-29.845-11.125-3.628-3.506-9.637-5.3-15.658-5.313zm-87.22 1.623c-9.546-.04-19.093 4.248-19.093 13.032 0 17.566 38.188 17.725 38.188 0 0-8.618-9.547-12.99-19.094-13.033zm-129.124 14.72c-11.25-.024-22.5 5.12-22.5 15.562 0 12.422 16.83 17.38 29.905 14.624 8.686 9.834 35.5 7.69 35.5-7.03 0-9.57-11.34-13.963-21.656-13.127-3.226-6.658-12.237-10.012-21.25-10.03zM294.75 439c-8.405-.037-16.8 2.873-20.25 8.78-14.795-4.1-35.25 1.04-35.25 15.783 0 21.294 42.68 23.124 49.313 5 12.56 2.32 28.093-2.493 28.093-14.594 0-9.88-10.958-14.922-21.906-14.97zm-97 22.656c-10.748-.047-21.47 4.8-21.47 14.688 0 19.776 42.97 19.955 42.97 0 0-9.7-10.752-14.64-21.5-14.688zm228.125 1.406c-9.547-.04-19.094 4.28-19.094 13.063 0 17.567 38.19 17.726 38.19 0 0-8.616-9.548-13.02-19.095-13.063z","fillRule":"evenodd"}}]})(props);
};
function GiHotSurface (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M106 53.5c45 150-45 150 0 300h60c-45-150 45-150 0-300h-60zm120 0c45 150-45 150 0 300h60c-45-150 45-150 0-300h-60zm120 0c45 150-45 150 0 300h60c-45-150 45-150 0-300h-60zm-270 315c-15 0-30 30-30 30-30 0-30 0-30 30v30h480v-30c0-30 0-30-30-30 0 0-15-30-30-30-30 0-30 45-60 45s-30-45-60-45-30 45-60 45-30-45-60-45-30 45-60 45-30-45-60-45z"}}]})(props);
};
function GiHound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M137.75 17.28l-15.313 78.782 20.313 56.876h45.97L137.75 17.28zM74.5 19L20 378.156v116.156h208L210.125 386.5H113.28l-2.218-6.156-25.78-71.594 17.562-6.344 23.562 65.406h90.344l230.688-2.968 9.812-33.406H278.5V312.75h184.22l7.374-25.156L415.53 209.5H291.47l-20.345-37.594h-75.28l-.095-.28h-46.313L159.563 200l-17.593 6.28-26.532-74.25-.126.72L74.5 19zm133.375 178.22h56.094l21.405 38.874-26.094-.438-51.405-38.437zm230.47 12.28l38.53 55.094L493.03 209.5h-54.686zm-82.814 15.938c6.613 0 11.97 5.356 11.97 11.968 0 6.613-5.357 11.97-11.97 11.97-6.61 0-11.967-5.357-11.967-11.97 0-6.612 5.356-11.97 11.968-11.97zm44.595 0c6.612 0 12 5.356 12 11.968 0 6.613-5.388 11.97-12 11.97s-11.97-5.357-11.97-11.97c0-6.612 5.358-11.97 11.97-11.97zm-66.188 29.187c6.612 0 11.97 5.356 11.97 11.97 0 6.61-5.358 11.967-11.97 11.967-6.61 0-11.968-5.356-11.968-11.968 0-6.613 5.356-11.97 11.967-11.97zm43.125 0c6.612 0 12 5.356 12 11.97 0 6.61-5.388 11.967-12 11.967-6.61 0-11.968-5.356-11.968-11.968 0-6.613 5.357-11.97 11.97-11.97zm42.063 0c6.612 0 11.97 5.356 11.97 11.97 0 6.61-5.358 11.967-11.97 11.967-6.612 0-11.97-5.356-11.97-11.968 0-6.613 5.358-11.97 11.97-11.97z"}}]})(props);
};
function GiHourglass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M92.656 19.188v41.5h331.72v-41.5H92.655zM119.5 79.374V433.53h22.28V79.376H119.5zm46.594 0c3.212 43.324 13.312 82.022 27.78 110.906 17.685 35.304 40.845 54.75 64.064 54.75 23.218 0 46.346-19.446 64.03-54.75 14.47-28.883 24.57-67.58 27.782-110.905H166.094zm209.156 0V433.53h22.28V79.376h-22.28zm-117.313 185.22c-23.218 0-46.378 19.415-64.062 54.717-14.835 29.614-25.098 69.562-28.03 114.22H350c-2.933-44.658-13.197-84.606-28.03-114.22-17.686-35.302-40.814-54.718-64.033-54.718zM92.657 452.218v41.467h331.718V452.22H92.655z"}}]})(props);
};
function GiHouseKeys (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M261.1 24.8c-6.3 0-12.7.43-19.2 1.18-34.6 4.01-64.8 17.59-86.1 37.06-21.4 19.48-34.2 45.56-31 73.16 2.8 24.6 17.8 45.2 39.1 59.4 2.6-6.2 5.9-11.9 9.2-16.5-17.6-11.6-28.4-27.3-30.4-45-2.3-19.7 6.7-39.58 24.8-56.14 18.2-16.57 45.3-29.06 76.6-32.68 31.3-3.63 60.6 2.33 82.1 14.3 21.4 11.98 34.7 29.31 37 48.92 2.2 19.3-6.2 38.8-23.4 55a69.91 69.91 0 0 0-35.4-10.6h-2.2c-5.1.1-10.1.7-15.3 1.8-37.5 8.7-60.8 45.5-52.2 82.7 5.3 23 21.6 40.6 42.2 48.5l39.7 172.2 47 29.1 29.5-46.7-23.5-14.5 14.8-23.4-23.5-14.6 14.7-23.3-23.5-14.6 14.8-23.4-13.5-58.4c15.1-16.1 22-39.1 16.7-62.2-2.7-11.7-8.2-22-15.8-30.4 18.9-19 29.8-43.5 26.8-69.2-3.2-27.55-21.6-50.04-46.9-64.11-20.5-11.45-45.8-17.77-73.1-17.59zm-20.2 135.5c-25.9 1.1-49.9 16.8-60.4 42.2-9.1 21.9-6 45.7 6.2 64.2l-67.8 163 21.3 51 51.2-20.9-10.7-25.5 25.6-10.4-10.6-25.5 25.6-10.4-10.7-25.5 25.6-10.5 22.8-54.8c-20.5-11.5-36.2-31.2-41.9-55.8-6.9-30.3 3.1-60.6 23.8-81.1zm58 7.2c8.9-.1 17.3 3.5 23.4 9.4-5.5 3.5-11.6 6.6-18 9.4-1.6-.6-3.3-.8-5.1-.8-.6 0-1.1 0-1.6.1-7 .8-12.2 6.1-13.1 12.7-.2 1-.2 2-.2 2.9.1.3.1.7.1 1 1 8.4 8.3 14.2 16.7 13.2 6.8-.8 12-5.9 13-12.3 6.2-2.8 12-5.9 17.5-9.4.2 1 .4 2 .5 3 2.1 18-11 34.5-29 36.6-17.9 2.1-34.5-11-36.5-29-2.1-18 11-34.5 29-36.6 1.1-.1 2.2-.2 3.3-.2z"}}]})(props);
};
function GiHouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 19.27L25.637 249.638 19.27 256 32 268.73l6.363-6.367L256 44.727l217.637 217.636L480 268.73 492.73 256l-6.367-6.363zM96 48v107.273l64-64.002V48zm160 20.727l-192 192V486h64V320h96v166h224V260.727zM288 320h96v80h-96z"}}]})(props);
};
function GiHumanCannonball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M412.3 25.99c-.4 0-.8 0-1.2.1-11.5 1.08-24.9 8.11-35.1 18.24-6.8 6.64-11.9 14.49-14.9 22.28l21.1 2.76 10-20.02 4.1 22.01 22.1 3.3-19.6 10.7 3.7 22.07-16.3-15.44-19.8 10.31 9.6-20.19-15.1-14.85c-1.4 3.86-2.2 7.71-2.4 11.37-.4 9.86 4.5 22.07 12.8 31.97 8.2 9.8 19.5 16.9 29.3 18.4 6 .9 17.2.5 23.5-2 3.2-1.2 4.8-2.7 5.3-3.7.5-.9 1-2.2-.7-6.5-2.4-5.7-5.3-9.4-8.4-14-3.1-4.57-6.3-11.54-4.8-19.35 2.4-13.02 12.7-21.57 21.6-28.69 3.4-2.76 6.4-4.8 9.3-6.74-3.6-4.68-8.1-9.55-13.1-13.42-7.1-5.49-14.7-8.72-21-8.61zm37.8 41.46c-.6.45-1.1.88-1.7 1.35-7.7 6.17-14.7 14.92-15.3 17.95-.4 2.39-.1 2.63 2.2 6.15 2.3 3.51 6.7 8.9 10 17.1 2.6 6.1 3.1 12.4 1.6 17.9 5.4-3.1 9.6-8.9 11.8-17.2 2.3-8.8 1.9-19.92-2-30.72-1.7-4.71-4-8.92-6.6-12.53zM316.8 124.6L125.6 286.1l-.2.1c-36.85 28.7-52.19 59.5-54.28 87.2-2.09 27.7 9.16 52.8 27.86 70 18.72 17.3 44.62 26.4 72.02 22.1 4.8-.7 9.6-1.9 14.5-3.5L199 286.3v.7c0-18.2 7.2-33.1 18-42.7 10.9-9.7 25-14.3 39-14.3s28.1 4.6 39 14.3c10.8 9.6 18 24.5 18 42.7v-.7l2.4 31.6 83.9-117.3zm47.6 4.8c-2.4 2.6-5 5.1-7.6 7.6l33.7 31.1c4.3-6.8 9.1-13.7 15-20.6-2.7-.1-5.2-.4-7.5-.7-12.6-1.8-24.1-8.4-33.6-17.4zM256 248c-10 0-19.9 3.4-27 9.7-7.2 6.4-12 15.5-12 29.3v.3L201.7 486h108.6L295 287.3v-.3c0-13.8-4.8-22.9-12-29.3-7.1-6.3-17-9.7-27-9.7zm0 14c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm0 18c-4 0-7 3-7 7s3 7 7 7 7-3 7-7-3-7-7-7zM33.15 444.2l-12.04 13.4s6.53 5.9 15.08 11.5c8.54 5.6 18.74 12.4 31.13 10.3 10.69-1.9 19.81-8.1 27.76-15.9a84.43 84.43 0 0 1-8.31-6.9c-1.93-1.8-3.8-3.6-5.59-5.6-6.35 5.8-12.51 9.9-16.85 10.6-1.86.3-11-2.7-18.24-7.5-7.24-4.8-12.94-9.9-12.94-9.9z"}}]})(props);
};
function GiHumanEar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M273.063 47.188c-1.974.032-3.98.123-6 .25-60.62 3.805-100.33 35.933-123.563 83.78-22.862 47.083-28.442 109.71-17.125 172.47l1.75 1.75-1.406 5.718c-3.43 14.203-1.17 31.297 4.28 45.97 5.45 14.67 14.52 26.75 20.594 30.78l5.03 3.344-.374 6c-1.355 21.968 6.887 38.96 18.438 50.688 11.55 11.726 26.687 17.447 36.593 16.843 10.25-.623 15.605-3.796 21.25-10 5.648-6.202 10.894-16.054 17.064-28.28 12.34-24.452 28.935-57.856 68.094-87.094 63.353-47.305 82.793-122.987 70-185.656-6.397-31.334-20.867-59.136-41.407-78.313-17.97-16.78-40.38-27.204-67.374-28.187-1.928-.07-3.87-.095-5.844-.063zm-6.875 54.156c1.282-.03 2.564-.024 3.843 0 26.317.48 51.695 12.228 69.314 35.437A9 9 0 1 1 325 147.657c-25.65-33.79-69.065-37.748-104.344-12.437-18.275 13.11-34.26 34.452-43.312 64.343 12.93-13.697 27.912-27.055 44.5-35.532 9.905-5.06 20.616-8.356 31.656-8.405 3.68-.016 7.393.332 11.125 1.094 14.928 3.046 29.34 12.706 42.188 29.686a9.003 9.003 0 1 1-14.375 10.844c-10.987-14.52-21.443-20.872-31.407-22.906-9.962-2.034-20.222.21-31 5.72-21.54 11.006-43.38 35.2-59.5 54.686-1.83 18.726-1.345 39.794 2.126 63.25 12.828.502 23.317 3.768 30.97 9.72 9.264 7.204 13.86 17.8 14.53 28.25 1.343 20.897-10.62 42.6-30.625 51.06a9.01 9.01 0 0 1-7.03-16.592c11.446-4.842 20.493-20.77 19.688-33.313-.403-6.27-2.644-11.314-7.625-15.188-4.982-3.873-13.416-6.82-27.22-6.062a9 9 0 0 1-9.374-7.47c-16.06-93.725 12.22-157.702 54.186-187.81 17.214-12.35 36.787-18.802 56.03-19.25z"}}]})(props);
};
function GiHumanPyramid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 21.17c-2.8 0-5.6 1.38-8.1 4.71-2.6 3.32-4.5 8.47-4.5 14.34 0 5.87 1.9 11.02 4.5 14.34 2.5 3.33 5.3 4.71 8.1 4.71s5.6-1.38 8.1-4.71c2.6-3.32 4.5-8.47 4.5-14.34 0-5.87-1.9-11.02-4.5-14.34-2.5-3.33-5.3-4.71-8.1-4.71zm-80 23.25v16.1l58 28v45.98l-9.4 75.6h-23c-4.8 4.1-10.9 6.7-17.6 6.7-7 0-13.4-2.9-18.4-7.3L104 194.1v16.1l58 18v46l-9.1 72.4h-23c-4.9 4.3-11.1 7-17.9 7-7 0-13.3-2.9-18.2-7.3L32 338.6v16.2l58 10v46l-10 80h16l12-70h8l12 70h16l-10-80v-46l50-1.7 50 1.7v46l-10 80h16l12-70h8l12 70h16l-10-80v-46l50-1.7 50 1.7v46l-10 80h16l12-70h8l12 70h16l-10-80v-46l58-10v-16.2l-61.8 7.8c-5 4.4-11.3 7.2-18.2 7.2-6.8 0-13-2.7-17.9-7h-23l-9.1-72.5v-46l58-18V194l-61.5 15.4c-5 4.6-11.4 7.5-18.5 7.5-6.8 0-13-2.7-17.9-6.9h-22.7l-9.4-75.5V88.52l58-28v-16.1l-61 24.85c-5 4.81-11.7 8-19 8-7.5 0-14.2-3.31-19.3-8.27zm76 100.08h8l11.2 65.5H248v.1h-7.2zm-68 16.2c-2.8 0-5.6 1.4-8.1 4.8-2.6 3.3-4.5 8.4-4.5 14.3s1.9 11 4.5 14.3c2.5 3.4 5.3 4.7 8.1 4.7s5.6-1.3 8.1-4.7c2.6-3.3 4.5-8.4 4.5-14.3s-1.9-11-4.5-14.3c-2.5-3.4-5.3-4.8-8.1-4.8zm144 .1c-2.8 0-5.6 1.4-8.1 4.8-2.6 3.3-4.5 8.4-4.5 14.3s1.9 11 4.5 14.3c2.5 3.4 5.3 4.7 8.1 4.7s5.6-1.3 8.1-4.7c2.6-3.3 4.5-8.4 4.5-14.3s-1.9-11-4.5-14.3c-2.5-3.4-5.3-4.8-8.1-4.8zm-70.6 65.6l48.6 1.7v46l-9.1 72.6h-23.1c-4.9 4.2-11 6.9-17.8 6.9-6.8 0-12.9-2.7-17.8-6.9h-23.1l-9.1-72.5v-46zm66.6 57.7h8l10.7 62.5H320v.1h-6.7zm-144 .1h8l10.7 62.5H192v-.1h-22.7zm-68 13.2c-2.8 0-5.6 1.4-8.1 4.8-2.6 3.3-4.5 8.4-4.5 14.3s1.9 11 4.5 14.3c2.5 3.4 5.3 4.8 8.1 4.8s5.6-1.4 8.1-4.8c2.6-3.3 4.5-8.4 4.5-14.3s-1.9-11-4.5-14.3c-2.5-3.4-5.3-4.8-8.1-4.8zm288 0c-2.8 0-5.6 1.4-8.1 4.8-2.6 3.3-4.5 8.4-4.5 14.3s1.9 11 4.5 14.3c2.5 3.4 5.3 4.8 8.1 4.8s5.6-1.4 8.1-4.8c2.6-3.3 4.5-8.4 4.5-14.3s-1.9-11-4.5-14.3c-2.5-3.4-5.3-4.8-8.1-4.8zm-144 .1c-2.8 0-5.6 1.4-8.1 4.7-2.6 3.3-4.5 8.5-4.5 14.4 0 5.8 1.9 11 4.5 14.3 2.5 3.3 5.3 4.7 8.1 4.7s5.6-1.4 8.1-4.7c2.6-3.3 4.5-8.5 4.5-14.3 0-5.9-1.9-11.1-4.5-14.4-2.5-3.3-5.3-4.7-8.1-4.7z"}}]})(props);
};
function GiHumanTarget (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 24v15.2C134.4 43.81 43.81 134.4 39.2 247H24v18h15.2c4.61 112.6 95.2 203.2 207.8 207.8V488h18v-15.2c112.6-4.6 203.2-95.2 207.8-207.8H488v-18h-15.2C468.2 134.4 377.6 43.81 265 39.2V24h-18zm0 33.21V88h18V57.21C367.8 61.78 450.2 144.2 454.8 247H424v18h30.8c-4.6 102.8-87 185.2-189.8 189.8V424h-18v30.8c-102.8-4.6-185.22-87-189.79-189.8H88v-18H57.21C61.78 144.2 144.2 61.78 247 57.21zm9 52.79a64 64 0 0 0-64 64 64 64 0 0 0 38.1 58.5C172.6 280.9 161.9 349.6 176 406h160c14.1-56.4 3.3-125.2-54.1-173.6A64 64 0 0 0 320 174a64 64 0 0 0-64-64z"}}]})(props);
};
function GiHummingbird (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M139.7 23.52c-9.1 30.54-16.5 61.64-12.7 91.58 4.2 32.7 21 64.9 65.7 95.7-53.6 74.8-86.1 204.4-59.3 277.7 10.9-54 14.2-97.8 53.5-144.6 77.5-25.6 123.9-37.6 140.3-125.7 6.2-14.7 12.6-19.3 31.9-24.7 10.6-2.9 22.2-7.5 22.1-19.2-.2-49.3-28.3-68.4-57.6-67.9-29.4.5-60 20.6-65.4 49.8-6 1.8-11.9 4.5-17.7 8-62.9-43.7-82.1-85.86-100.8-140.68zM32.03 107c10.8 27.2 26.44 54.6 49.2 76.1 24.27 22.9 56.47 39.3 100.87 42.2-34.5-24.2-54.8-50.3-65.2-77.2-29.4-10.9-56.47-25-84.87-41.1zm300.07 26.3a12.24 12.24 0 0 1 12.2 12.2 12.24 12.24 0 0 1-12.2 12.2 12.24 12.24 0 0 1-12.2-12.2 12.24 12.24 0 0 1 12.2-12.2zm60 56.1c-3.5 5.1-7.1 10.2-16.1 13.2 33.9 25.3 79.1 76.5 104 105-11.2-33.2-55.8-88.6-87.9-118.2z"}}]})(props);
};
function GiHungary (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.99 284.7C64.73 325.3 79.94 391.5 158.3 401c65.1-24.1 131.3-47.5 223.9-51L468 182.4c90.6-51.1-102.4-91.48-136.1-52.5-26 30-70.5 37.1-115.9 42.7l-11.2 26.6c-91.6 8.4-82.5-17.3-102.8-33-39.26 20-70.5 77.8-81.01 118.5z"}}]})(props);
};
function GiHuntingBolas (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M250.3 20.23c-19.9.38-40.1 3.09-59.8 7.83C138 40.72 88.74 67.93 57.29 106.5c-19.57 24.1-24.14 54.9-22.49 85.7 1.08 20.1 4.77 40.4 9.01 59.6-4.04 33.4-.47 66.9 13.68 95.7 22.33 45.5 85.61 73 142.71 91.5 24.7 8 48.5 14.1 67.5 18.4-.1-1.5-.2-3-.2-4.6 0-4.7.6-9.2 1.6-13.5-18.1-4.2-40.3-9.9-63.3-17.4-55.6-18-114.82-47.1-132.15-82.4-3.69-7.5-6.57-15.5-8.7-23.9 10.53 17.5 24.86 31.5 41.75 42.2 26.5 16.8 59.1 25.9 94.1 30.2 59.7 7.4 126.7.7 182.2-8.1-1-4.2-1.5-8.6-1.5-13.1 0-1.7.1-3.3.2-4.9-55 8.7-121.2 15.3-178.7 8.2-33.2-4.1-63.3-12.7-86.6-27.5-23.39-14.8-40.22-35.4-48.11-65.2-2.06-8.5-4.19-17.4-6.21-26.5 1.08-8 2.63-16.1 4.64-24.1 9.93-39.5 30.79-77.4 56.88-103.2 12.7-12.5 28.9-22.9 46.8-30.7-3.4 17.2-6.2 35.5-7.2 53.9-2.5 43.6 4.6 88.1 37.7 112.5 31.7 23.5 78.1 26 120.6 15.1 42.5-10.8 82-35.2 98.8-70.9 13.7-29 7.4-63.8-8.1-94.1-15.5-30.42-40.4-57.08-68.2-70.44-26.3-12.72-56.5-18.61-87.5-18.77h-6.2zm6.1 18.02c28.7.18 56.3 5.6 79.8 16.92 22.9 11.05 46.1 35.26 59.9 62.33 13.9 27.2 18.3 56.5 8 78.4-13.4 28.4-48.4 51.2-87.1 61.1-38.7 9.9-80.2 6.5-105.5-12.1-25.5-18.8-32.6-56.1-30.3-97.1 1.2-21.1 4.8-42.7 9.3-62.28 9.3-2.86 19-5.05 28.6-6.47-1.9 8.81-3.8 18.28-5.3 28.05-3.2 20.7-5 42.7-2.8 62.7s8.3 38.5 22.7 50.3c20.4 16.6 50.9 19.5 78.9 13.8 28-5.8 54.7-20.5 64.9-45 9.9-23.7.7-49.6-14.7-71-15.4-21.25-37.6-39.01-59.1-48-18.9-7.86-39.8-11.41-61.1-11.3 3-10.75 5-17.11 6-20.23 2.6-.11 5.5-.12 7.8-.12zm-27 1.43c-1.6 5.19-3.5 11.94-5.6 20.03-9.5 1-18.9 2.7-28.2 5.04 2-7.38 4-14.29 5.9-20.56 9.3-1.98 18.6-3.5 27.9-4.51zm-48.2 9.67c-2 6.75-3.9 14.01-5.8 21.66-24.5 8.97-46.9 22.55-64.4 39.79-25.18 24.8-45.13 58.6-56.96 95.1-.56-4.9-1-9.8-1.26-14.6-1.53-28.5 2.8-54.2 18.47-73.4C96.83 86.49 137.2 62.42 181.2 49.35zm63.9 27.69c18.3 0 36 2.99 51.6 9.47 17.7 7.35 38.2 23.59 51.5 41.99 13.4 18.4 19.1 37.9 12.7 53.4-6.8 16.3-27.8 29.4-51.9 34.3-24.1 5-50 1.3-63.9-10.1-9-7.3-14.3-20.8-16.2-38.3-1.9-17.4-.4-38.2 2.7-57.9 1.8-11.68 4.1-22.53 6.4-32.62 2.4-.18 4.9-.24 7.1-.24zM448.2 329c12.9 23.3 16.5 47 12.6 69.8 10.1-7 16.7-18.7 16.7-32 0-18.3-12.4-33.5-29.3-37.8zm-20.9.4c-16.1 4.8-27.8 19.7-27.8 37.4 0 21.6 17.4 39 39 39 .8 0 1.6 0 2.3-.1 7.4-25.1 4.6-49.6-13.5-76.3zm-108.5 84.8c-18.9 2.8-33.3 18.9-33.3 38.6 0 13.4 6.7 25.2 17 32.2 13.2-23.5 22.9-45.4 16.3-70.8zm18.8 1.9c5.1 28.1-5.6 52.9-18.1 75.4 1.7.2 3.3.3 5 .3 21.6 0 39-17.4 39-39 0-17-10.8-31.4-25.9-36.7z"}}]})(props);
};
function GiHuntingHorn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M239.156 37.75c-10.482 0-18.78 8.3-18.78 18.78 0 10.483 8.298 18.75 18.78 18.75 10.482 0 18.78-8.267 18.78-18.75.002-10.48-8.298-18.78-18.78-18.78zm30.78 40.03c-3.68 5.29-8.692 9.602-14.53 12.44l68.875 128.155 11.44-18.188L269.936 77.78zm-61.342.282l-86.656 161.25 16.468 8.875 84.78-157.843c-5.847-2.782-10.873-7.042-14.592-12.28zM45.188 160.406l-24.97 3.313 3.563 45.186 29.845-3.25-8.438-45.25zm317.968 32.125l-35.03 52.814L442.75 364.75l54.875-32.156-134.47-140.063zM53.376 224.5l-17.22 1.875c2.953 19.654 8.28 38.592 15.657 56.47l31.593-29.72c-11.057-8.548-21.156-18.13-30.03-28.625zM109.78 254l-60.624 57 13.875 23.72 72.814-66.69L109.78 254zm215.845 14.625c-57.23 35.417-124.366 37.77-181.72 17.375l-58.843 53.844c41.063 52.304 103.08 86.312 172.938 86.312 65.384.002 123.118-19.914 161.875-59.406l-10.47-10.906c-15.392 12.397-35.67 22.09-54.75 25.375 11.426-8.788 24.36-20.352 35.064-31.876-32.882 22.27-73.838 35.722-101.283 32.344 31.562-8.1 70.43-32.47 90.407-57.657l-24.375-25.374c-18.687 9.08-42.456 13.885-63.033 12 15.763-6.55 34.606-16.258 49.25-26.344l-15.062-15.687z"}}]})(props);
};
function GiHut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M219.7 24.43l-17.8 2.06 6.8 59.37-36.1-50.35-14.6 10.5 31.9 44.45h37.4zm34.9.18l-6.3 65.85h18.2l6.1-64.15zm83.6 1.58l-37 64.27h20.7l31.9-55.29zm-50.9 6.33l-10.1 57.94h18.4l9.5-54.86zM195 108.5c-5.6 4-12.5 10.3-20.1 18h162.2c-7.6-7.7-14.5-14-20.1-18zm-36.9 36c-18.1 20.5-38.5 46.4-56.8 72.2-16.85 23.8-32.22 47.6-43.25 67.2-5.51 9.8-9.94 18.6-12.89 25.6-2.83 6.7-4.02 12-4.12 13.6.14 0 .58 1.6 2.29 3.3 2.32 2.4 6.32 5.2 11.79 7.4 10.93 4.4 27.71 6.6 50.08-.4 12.8-4 24.6 1.4 36.3 6.3 11.8 5 24.2 10.4 37.5 11.7 15.7 1.7 37.3-6.3 58.3-13.8 10.5-3.8 20.9-7.3 31-8.9 10.2-1.7 20.6-1.4 29.6 4.1 10.5 6.4 22.4 12.8 33.3 15.8 11 3.1 20.2 2.9 28.2-2.5 26.7-17.8 51.3-16.8 69.6-7.3 19.8 10.3 28.4 7.2 34 2.4 5.7-4.8 8.1-15 8-17.3v-.4c0-1.4-1.2-7-4.2-14s-7.4-15.8-12.9-25.6c-11-19.6-26.4-43.4-43.2-67.2-18.3-25.8-38.7-51.7-56.8-72.2zm121 201.3c-2.3 0-4.9.2-7.9.6-7.9 1.3-17.5 4.5-27.8 8.1-20.6 7.4-43.7 17.2-66.2 14.9-17-1.8-31.2-8.3-42.6-13.1-11.5-4.8-19.7-7.1-24-5.7-1.9.6-3.8 1.1-5.6 1.6v99.3c0 4.2 2.5 8.5 9.8 13.6 7.4 5 19.1 9.9 33.5 13.7 14.7 3.9 32.2 6.9 51 8.8 1.1-21.9 5-45.4 12.2-65.2 4.3-11.7 9.6-22.1 16.8-30.1 7.1-8.1 16.7-13.8 27.7-13.8s20.6 5.7 27.7 13.8c7.2 8 12.5 18.4 16.8 30.1 7.2 19.8 11.1 43.3 12.2 65.2 18.8-1.9 36.3-4.9 51-8.8 14.4-3.8 26.1-8.7 33.5-13.7 7.3-5.1 9.8-9.4 9.8-13.6V350c-10.3-1.6-22.3.9-37.6 11.1-13.4 8.9-29 8.7-43 4.9-13.9-3.8-26.9-11.1-37.9-17.8-2.4-1.5-5.5-2.3-9.4-2.4z"}}]})(props);
};
function GiHutsVillage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M351.7 32.07c-17.3 13.48-28.8 31.24-31.1 48.48 3.2.79 7.1 1.59 11.7 2.09 8.3 1 18.3 1.5 28.3 1.5s20.1-.5 28.3-1.5c4.4-.5 8.2-1.2 11.3-1.89-1.5-6.13-4.5-14.42-9.2-22.61-5.5-9.49-13.1-18.83-21.6-25.96-2 1.57-4.9 3.41-8.8 3.41-4 0-6.9-1.93-8.9-3.52zM64.37 49.06C47.03 62.54 35.62 80.3 33.32 97.54c3.13.8 7.01 1.6 11.63 2.1 8.29.96 18.3 1.46 28.3 1.46s20.07-.5 28.25-1.46c4.4-.5 8.2-1.2 11.3-1.9-1.5-6.13-4.5-14.42-9.2-22.61-5.48-9.49-13.04-18.83-21.57-25.96-1.97 1.57-4.82 3.41-8.75 3.41-4.02 0-6.95-1.93-8.91-3.52zM336.6 101.2V119c.6.5 2 1.3 4.2 2.1 2.1.7 4.9 1.3 7.9 1.8 1.3-8.6 5.3-19.4 11.9-19.4 6.6 0 10.6 10.8 11.9 19.3 3-.4 5.7-1 7.9-1.7 2.2-.8 3.6-1.6 4.2-2.1v-17.8c-7.6.6-15.8.9-24 .9s-16.4-.3-24-.9zm-287.32 17V136c.57.5 1.96 1.3 4.19 2.1 2.15.7 4.89 1.3 7.91 1.8 1.33-8.6 5.32-19.4 11.9-19.4s10.58 10.8 11.9 19.3c3.01-.4 5.72-1 7.85-1.7 2.19-.8 3.59-1.6 4.19-2.1v-17.8c-7.58.6-15.76.9-23.97.9-8.21 0-16.39-.3-23.97-.9zm113.22 18.2c-22.2 16.8-36.8 39.3-39.2 61.3 4 1 9.1 2.2 15.6 2.9 10 1.2 22.1 1.8 34.1 1.8s24-.6 34-1.8c6.4-.7 11.3-1.8 15.3-2.9-1.5-7.6-5.4-18.3-11.5-28.8-6.9-11.9-16.5-23.6-27.4-32.3-.3.2-.5.5-.8.7-2.2 1.8-5.3 3.8-9.6 3.8s-7.4-2-9.6-3.8zm-19.9 82.7v24c0 .1 0 0 .3.2.8.7 2.9 2 5.9 3 2.7.9 6 1.6 9.8 2.2 1.2-10.5 6.1-24.7 14.4-24.7s13.2 14.2 14.4 24.7c3.8-.6 7.1-1.3 9.8-2.2 3-1 5.1-2.3 5.9-3 .3-.2.3-.1.3-.2v-24c-9.5.9-19.9 1.3-30.4 1.3-10.4 0-20.9-.4-30.4-1.3zm249.6.7c-35.4 25.6-58.7 61.2-61.1 96.2 6.1 1.9 15.5 3.9 26.4 5.1 14.6 1.8 32.1 2.6 49.6 2.6s35-.8 49.6-2.6c10.6-1.2 19.8-3.1 26-5-1.6-11.8-7.5-29.1-17.6-46.5-10.7-18.4-25.7-36.7-43-49.8-1.2 1-2.5 2.4-3.6 3.4-2.9 2.3-6.6 4.6-11.4 4.6-4.8 0-8.5-2.3-11.4-4.6-1.1-.9-2.4-2.3-3.5-3.4zM99.22 286.2c-40.72 29.1-67.49 70.2-69.95 110.4 7.08 2.3 18.01 4.6 30.81 6.1 16.52 1.9 36.24 2.9 55.92 2.9 19.7 0 39.4-1 55.9-2.9 12.7-1.5 23.6-3.8 30.7-6.1-1.8-13.5-8.8-33.6-20.4-53.5-12.2-21-29.4-42-49.4-56.9-1.5 1.5-3.2 3.3-4.7 4.4-3.2 2.6-7.1 5-12.1 5s-8.9-2.4-12.1-5c-1.5-1.1-3.2-3-4.68-4.4zm259.98 53.2V379c0 .6 0 1 1.8 2.5 1.7 1.5 5.2 3.5 9.8 5 4.3 1.4 9.5 2.6 15.1 3.4 1-15 8.1-39.4 21.2-39.4s20.2 24.4 21.2 39.4c5.6-.8 10.8-2 15.1-3.4 4.6-1.5 8.1-3.5 9.8-5 1.8-1.5 1.8-1.9 1.8-2.5v-39.6c-14.7 1.6-31.2 2.3-47.9 2.3s-33.2-.7-47.9-2.3zM61.03 420.8v45.8c0 1 .19 1.8 2.36 3.7 2.15 1.8 6.19 4 11.48 5.8 4.88 1.6 10.8 2.9 17.25 3.8.8-16.6 8.68-45.3 23.88-45.3s23.1 28.7 23.9 45.3c6.5-.9 12.4-2.2 17.3-3.8 5.2-1.8 9.3-4 11.4-5.8 2.2-1.9 2.4-2.7 2.4-3.7v-45.8c-16.8 1.9-35.9 2.8-55 2.8-19.08 0-38.21-.9-54.97-2.8z"}}]})(props);
};
function GiHydraShot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25.438 20.063c-6.856-.07-11.186 7.654-3.063 15.78l315.53 346.688c-4.782 6.952-10.63 12.444-16.5 16.783l81.69 94.875c11.577-6.95 22.384-14.636 32.592-22.907-6.568.54-13.36-.86-19.5-4.405-16.038-9.26-21.54-29.743-12.28-45.78 6.076-10.526 16.99-16.53 28.312-16.783 5.93-.132 11.986 1.317 17.5 4.5 12.5 7.218 18.583 21.275 16.28 34.72 11.174-11.344 21.762-23.25 32.03-35.47l-189.874-160.28c18.826 26.837 29.97 49.297 35.688 68.124L34.063 24.156c-2.86-2.858-5.943-4.067-8.626-4.093zm60.843 1.312c-10.29.46-13.115 12.897.44 16.53l254.468 98.876c-.642 8.503-3 16.25-5.938 23l118.156 41.314c6.554-11.81 12.07-23.886 16.78-36.156-5.424 3.762-11.995 5.968-19.092 5.968-18.52 0-33.53-15.01-33.53-33.53-.002-18.52 15.01-33.532 33.53-33.532 14.444 0 26.773 9.132 31.5 21.937 4.012-15.413 7.215-31.028 10-46.75L248 35.157c30.608 14.242 51.855 28.52 66.25 42.344L90.97 21.937c-1.303-.348-2.508-.527-3.657-.562-.348-.01-.7-.015-1.032 0zM367.595 77.25l49.125 10.28L401.186 108l-33.593-30.75zm-344.75.094c-4.748.095-8.76 4.893-6.157 13.5l53.75 268.937c-8.64 5.273-17.805 7.86-26.25 9.095l27.22 122.22C84.91 490.43 98.08 488.76 111 486.28c-6.06-2.62-11.41-7.057-15.156-13.092-9.77-15.734-4.953-36.388 10.78-46.157 5.41-3.357 11.412-5.004 17.345-5.06 11.324-.11 22.432 5.517 28.843 15.842 7.63 12.293 6.337 27.606-2.094 38.375 15.226-4.732 30.186-10.284 45.03-16.218l-91.72-230.94c3.786 31.363 3.21 55.78-.28 74.782L32.5 86.063c-1.82-6.018-5.963-8.793-9.656-8.718zm360.312 263.969l37.406 33.5-23.656 9.937-13.75-43.438zm-259.625 6.875l15.657 47.718-24.218-2.156 8.56-45.563z"}}]})(props);
};
function GiHydra (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M345.594 20.28c-11.443.087-23.37 1.194-36.094 3.845 33.485 7.004 54.532 21.844 65.844 39.22-15.476-2.647-30.64-4.472-45.47-5.532L311 40.374l-19.28 16.438c-7.537.167-14.98.55-22.314 1.156L239.97 41.78l-14.907 22.814c-8.1 1.775-16.05 3.846-23.844 6.22l-29.47-14.97-11.313 30.75c-8.783 4.197-17.31 8.868-25.593 13.937l-32.688-5.31-.47 29.03c-6.313 5.248-12.44 10.808-18.374 16.656H48l3.563 36.656c-4.38 5.908-8.603 12.045-12.688 18.375L18.47 192.25v39.5c-.012.02-.022.042-.032.063V493.28h18.5c23.523-92.965 94.565-130.4 168.968-85.25 42.127 25.566 93.783 62.296 149.063 41.158-.9 7.955-3.276 15.623-6.908 22.562l95.344 19.188c2.99-7.75 5.584-15.712 7.625-23.563-3.557 2.29-10.352 4.79-19.78 3.313-41.302-6.47-33.15-54.034-.53-58.407 10.915-1.456 21.15 3.22 27.56 11.25l18.283-38.874c-68.1 6.078-129.61-30.834-197.47-16.687 35.468 7.415 56.983 23.64 67.75 42.342-7.332.564-14.425.598-21.28.157l-10.813-10.25-13.625 6.436c-5.98-1.52-11.737-3.448-17.313-5.75l-7.718-15.47-10.906 5.97c-7.152-4.38-13.924-9.414-20.344-15.062l-1.813-26.75-19.436 5.03c-7.508-7.63-15.15-13.68-22.875-18.343l-1.282-19.75-23.875 9.408c-11.712-2.7-23.455-2.622-35.063-.25 44.223-90.392 134.06-92.4 180.813-64.563-5.227 5.68-11.388 10.355-18.125 13.78l66.562 70.908c6.928-4.58 13.63-9.564 19.844-14.782-4.228-.204-14.15-5.01-17.47-8.06-34.53-31.74 7.1-63.854 32.876-48.626 9.484 5.603 15.366 14.898 15.938 25.156l34.75-23.875c-59.015-34.522-85.098-97.445-148.594-125.25 23.092 24.968 31.707 49.115 30.97 69.75-8.93-6.752-18.606-12.1-28.845-16.188l-13.845-21.25-18.188 12.75c-5.18-.755-10.455-1.246-15.78-1.5l-19.094-18.093-15.25 19.687c-7.918 1.068-15.884 2.592-23.844 4.564l-15.75-13-9.75 20.812c-6.988 2.552-13.936 5.42-20.782 8.594l-23.594-8.28-8.625 25.874c-12.263 7.768-23.966 16.49-34.876 26.062C124.307 122.443 296.518 88.99 384.938 108.562c-1.12 6.798-3.333 13.35-6.47 19.344l95.344 19.188c2.99-7.75 5.585-15.71 7.625-23.563-3.558 2.29-7.502 5.33-11.968 4.72-46.308-6.31-43.81-54.725-8.345-59.813 10.903-1.57 21.15 3.193 27.563 11.22 1-10.184 1.808-35.654 2.187-45.907-55.332 4.938-95.695-13.84-145.28-13.47z","fillRule":"evenodd"}}]})(props);
};
function GiHypersonicBolt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M13.03 14.156V60.47l119.782 144c10.884-12.14 22.31-24.247 34.282-36.22 11.13-11.13 22.32-21.773 33.53-31.938L54.065 14.156H13.03zm432.533 5.97c-2.307.043-4.7.183-7.188.405-19.907 1.777-44.893 9.52-72.656 22.782-45.372 21.676-98.133 57.952-150.564 105.126l-.03-.032c-.96.864-1.918 1.754-2.876 2.625-1.927 1.75-3.856 3.504-5.78 5.282-.034.03-.063.064-.095.094-2.795 2.583-5.585 5.17-8.375 7.813-.107.1-.205.21-.313.31-2.9 2.75-5.796 5.562-8.687 8.376-2.902 2.825-5.797 5.674-8.688 8.563-.078.077-.17.14-.25.218l-.812.812C116.164 245.746 68.015 312.14 41.5 367.53c-13.316 27.82-21.125 52.866-22.938 72.814-1.812 19.948 2.15 34.025 10.97 42.844 8.818 8.818 22.895 12.78 42.843 10.968 19.948-1.812 44.995-9.59 72.813-22.906 36.475-17.46 77.708-44.312 119.687-78.625l-13-15.625c-76.125 63.634-142.623 97.127-161.97 77.78-21.25-21.25 21.226-99.45 97.407-184.75l.344.408c12.673-14.077 26.176-28.306 40.438-42.563 12.84-12.838 25.715-25.043 38.47-36.594l-.408-.343c86.176-77.464 165.56-120.875 187-99.437 19.556 19.554-14.89 87.342-79.875 164.5l15.658 13.03c35.244-42.798 62.73-84.904 80.468-122.03 13.264-27.763 21.037-52.75 22.813-72.656 1.775-19.907-2.235-33.953-11.064-42.78-7.725-7.726-19.446-11.746-35.594-11.44zM281.03 203.343c-13.175 11.87-26.468 24.473-39.75 37.75-14.714 14.71-28.594 29.393-41.56 43.875l66.436 79.874c-.017.014-.045.016-.062.03l13.125 15.75.03-.03 46.03 55.344c-25.77 6.714-52.722 5.31-77.03-7.657 4.94 6.544 9.707 13.083 15.72 19.095 58.928 58.93 146.78 66.75 196.092 17.438 49.314-49.314 41.523-137.165-17.406-196.094-3.683-3.685-6.796-7.407-10.687-10.69-2.463-2.075-5.342-3.71-7.876-5.624 14.742 25.24 16.597 52.502 9.625 78.22L281.03 203.343z"}}]})(props);
};
function GiHypersonicMelon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M244.393 21.71c70.753 227.078 24.39 255.256-145.288 70.667 156.26 211.317 138.91 236.826-81.835 168.78 214.48 98.327 221.15 141.145 7.117 174.622 153.197-4.492 206.012 2.427 252.03 13.958-11.106-18.2-24.713-62.328-31.007-84.205-26.17-90.946 26.588-148.03 123.346-121.476 25.575 7.02 64.28 25.216 84.375 39.295-8.897-41.512-14.905-88.61-17.196-260.473-32.59 227.458-93.39 223.505-191.54-1.17zM359.535 287.83c-19.69.214-38.302 7.122-52.213 21.033-31.798 31.8-27.006 88.142 10.698 125.845 14.87 14.87 32.64 24.598 50.658 29.004-1.573.255-3.155.485-4.752.675-25.398 3.016-49.814-2.738-70.028-15.207 21.832 34.076 61.802 54.41 104.664 49.318 59.76-7.098 102.735-60.99 95.635-120.752-4.098-34.5-23.785-63.52-51.304-80.36 8.688 13.488 14.65 29.253 16.67 46.25.777 6.546.952 13.02.572 19.374-5.05-15.512-14.085-30.57-26.967-43.45-21.21-21.21-48.315-32.004-73.633-31.73z"}}]})(props);
};
function GiHypodermicTest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M429.125 19.313l-103.22 117.812-29.5-25.938-7-6.156-6.155 7-157.125 177.845c-1.513-12.86-7.577-25.217-18.03-34.375-11.208-9.816-25.404-14.166-39.25-13.25-13.85.916-27.342 7.106-37.157 18.313-19.632 22.413-17.35 56.773 5.062 76.406 20.25 17.736 50.262 17.596 70.344.874l18.28 16.062L63.19 424.5 27.28 393.094c-43.194 49.26 52.96 137.527 98.19 85.937l-35.72-31.25 62.094-70.624 15.656 13.75c-13.85 22.104-10.03 51.822 10.188 69.53 22.412 19.634 56.774 17.353 76.406-5.06 19.63-22.415 17.35-56.775-5.063-76.407-9.838-8.62-21.997-13.02-34.186-13.345l155.97-176.594 6.186-7.03-7.03-6.156-30-26.375L443.155 31.624l-14.03-12.313zM448 59.374c0 68.735-44.594 97.895-44.594 138.656 0 24.618 19.98 44.564 44.594 44.564 24.615 0 44.594-19.946 44.594-44.563 0-44-44.594-67.328-44.594-138.655zM196.656 238.28l59.594 52.19-14.28 16.155-59.595-52.188 14.28-16.156zM71.75 260.72c8.49-.152 17.087 2.76 24.03 8.842 14.816 12.978 16.29 35.216 3.314 50.032-12.977 14.816-35.216 16.29-50.03 3.312-14.817-12.977-16.29-35.215-3.314-50.03 6.49-7.41 15.277-11.497 24.313-12.095.564-.036 1.12-.05 1.687-.06zm99.97 5.78l17.31 15.188-1.968 2.218-49.312 55.97-17.375-15.25L171.72 266.5zm43.718 38.313l15.875 13.906-51.407 58.186-15.72-13.812 51.25-58.28zm-2.75 79.375c8.49-.155 17.086 2.73 24.03 8.812 14.816 12.977 16.29 35.246 3.313 50.063-12.976 14.816-35.215 16.29-50.03 3.312-12.956-11.35-15.692-29.794-7.5-44.156.005-.01-.005-.025 0-.033l5.25-5.906 4.594-5.186c5.547-4.108 12.037-6.406 18.656-6.844.565-.037 1.12-.052 1.688-.063z","fillRule":"evenodd"}}]})(props);
};
function GiIBeam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M39.557 19L323.44 273h149.003L188.56 19H39.558zM25 30.13v25.847L311 311.87V286.024L25 30.13zm64 107.263v34.584L375 427.87v-84.843l-64-13.002L89 137.393zM77.555 185.89l-42.9 10.723 287.79 257.498 42.9-10.723L77.556 185.89zM25 212.13v23.847L311 491.87v-23.847L25 212.13zM329 291v21.973l64 16v126.054l-64 16V493h158v-21.973l-64-16V328.973l64-16V291H329zm112 135.865v14.108l21.88 5.47L441 426.865z"}}]})(props);
};
function GiIBrick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208 26a9.5 9.5 0 0 0-9.5 9.5v96a9.5 9.5 0 0 0 9.5 9.5 9.5 9.5 0 0 0-9.5 9.5v96a9.5 9.5 0 0 0 9.5 9.5 9.5 9.5 0 0 0-9.5 9.5v96a9.5 9.5 0 0 0 9.5 9.5 9.5 9.5 0 0 0-9.5 9.5v96a9.5 9.5 0 0 0 9.5 9.5h96a9.5 9.5 0 0 0 9.5-9.5v-96a9.5 9.5 0 0 0-9.5-9.5 9.5 9.5 0 0 0 9.5-9.5v-96a9.5 9.5 0 0 0-9.5-9.5 9.5 9.5 0 0 0 9.5-9.5v-96a9.5 9.5 0 0 0-9.5-9.5 9.5 9.5 0 0 0 9.5-9.5v-96A9.5 9.5 0 0 0 304 26h-96zm9.5 19h77v77h-77V45zm0 115h77v77h-77v-77zm0 115h77v77h-77v-77zm0 115h77v77h-77v-77z"}}]})(props);
};
function GiIbis (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M338.5 30.72c-20.8-.19-31.3 17.85-29.7 43.43 1.3 20.21 18.9 45.45 26.4 70.35 3.7 12.3-8.1 20-18.2 18.9-98.7-10.7-140.9 35-194.9 70.7-81.68 23.9-110.5 141.6-14.3 72.3 36.6 10.7 64.6 3.1 96-.6 5.4 11.5 12.7 29.7 24.4 29.4 7.8.4 17.1-16.1 20.7-27.8 42.8-15.2 75.2-62.1 105.7-101.8 12.5-16.3 22.3-34.3 19.4-59.4-1.4-12-13.7-36.2-22.3-56.82-5.4-13 10.8-9.45 19.5-8.17l6.6-24.51c-5.3-16.62-18-23.64-35-25.69-1.5-.18-2.9-.27-4.3-.29zm52 33.88l-6 22.05c31.1 9.07 72.3 72.45 80.2 82.65-2.3-24.7-24.7-68.2-74.2-104.7zM194.7 325.2c-2.2.7-4.3 1.2-6.4 1.6-6.2 12.4-12.6 27-15 40.3-2.7 15.3-1.1 36.9.8 55.7 1.1 10.7 2.4 19.9 3.3 26.3-10.1 3.7-18.6 8.2-27.8 14l9.8 15.2c18.9-12.9 35.3-11.2 45.9 3 29.7-22.2 52.1-10.3 81.7 0l6-17c-18.4-5.2-36.5-13-55.6-13.8-1.1-4.8-2.3-10.3-3.6-16.5-3.4-16.6-6.8-36.4-6.9-46.5-.1-10.5 2-25 4.3-37-1.6.2-3.2.3-4.8.2-4.8-.3-9.1-1.8-12.9-4.1-2.4 12.5-4.7 28.2-4.6 41.1.2 13.5 3.8 33 7.3 49.9 1.2 5.8 2.4 11 3.4 15.7-3.5 1.2-6.7 2.5-9.7 4 0-.1-.1-.1-.2-.2-3.8-2.9-8.4-6.3-14.1-8.2-.9-5.8-2.4-15.9-3.6-27.9-1.8-18.2-2.9-40.1-.9-50.7 1.6-9 6.6-21.4 11.9-32.5-3.3-3.7-6.1-8.1-8.3-12.6z"}}]})(props);
};
function GiIcarus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M302.4 16l-86.31 19.338 154.303.508c-23.036 14.658-42.405 26.662-42.405 26.662l72.971-15.494-106.158 74.888 108.23-42.664c-26.617 38.024-66.965 98.803-66.965 98.803l93.135-93.73-37.039 129.697 72.49-101.764-8.84 42.97 24.393-35.946.51 144.587L496 194.525V16H302.4zm-48.64 42.293c-45.38 14.758-78.855 73.772-87.635 123.473-2.227 12.608-.143 25.4 3.879 37.95 6.236 4.847 11.868 10.48 15.832 17.346 14.103-8.238 27.262-16.72 37.768-26.447.21-10.789 1.005-22.01 2.275-33.388-5.121 6.429-9.29 13.13-14.697 19.478 1.67-16.455 5.557-27.424 13.084-38.539l-22.545 10.73c7.886-17.055 18.37-29.314 30.838-39.171-10.797 3.067-20.605 8.771-30.946 13.052 9.58-19.93 23.921-30.338 38.432-40.406 4.204-16.017 8.897-31.028 13.715-44.078zm35.66 126.334l-22.522.709-39.8 44.264-37.713 25.699.138.017a679.22 679.22 0 0 0-12.011.914c-1.793-9.724-8.403-19.86-17.908-27.464-17.01-13.597-38.213-15.324-47.358-3.858-9.146 11.466-2.77 31.783 14.24 45.381 10.738 8.566 23.695 12.746 34.203 11.031-30.645 33.666-26.294 65.218-29.359 109.518l21.49-.803c-3.118-33.882.277-53.678 14.743-81.672 5.324-5.143 10.863-9.893 16.644-14.156 51.185 19.768 47.438 26.427 71.063 78.158l-30.643 38.569-8.4 36.52 13.982 4.317 16.227-33.095c3.219-6.566 34.38-42.514 34.625-47.746-3.829-20.89-12.152-32.555-21.055-54.55l39.103 46.487c-4.567 19.966-5.499 42.743-9.773 56.881l8.135 31.547 19.716-5.38-8.787-30.32c12.776-21.065 15.275-40.373 15.36-63.714-28.884-39.892-55.997-88.098-96.14-93.781-.072-.313-.143-.627-.212-.942l26.13-21.785 35.882-50.746zM122.578 287.049c-7.988 2.306-15.02 5.596-20.08 10.213-50.032 45.65-56.446 152.635-44.68 198.21 6.204-11.83 12.511-25.025 19.075-38.888-2.228-18.17-2.482-36.92 2.24-57.135 1.136 11.92 2.746 23.641 9.021 33.444.233-.486.464-.97.698-1.455-2.113-17.38.353-38.04 9.316-56.711-1.75 11.64.502 21.612 3.107 31.437a718.174 718.174 0 0 1 13.028-24.52c-.081-16.2 1.957-36.697 7.113-57.306 2.703-10.802 6.242-21.646 10.895-31.826-3.438-1.649-6.688-3.522-9.733-5.463z"}}]})(props);
};
function GiIceBolt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.094 18.125v43.53l76.156 9.407-29.97-52.937H18.095zm117.437 0l57 34.125-13.186-34.125H135.53zm121.22.156l-19.938 7.314 60.344 61.468-19.844-52.218L256.75 18.28zM114.812 35.188l18.97 59.157 58.155 25.625.22 63.56 36.75-8.28-33.5-92.938-80.595-47.124zm94.47 7.126l48.843 138.656 3.625-61.626 29.53-3.78-82-73.25zm118.655 6.562l-8.406 23.344 60.345 61.468L350.5 51.906l-22.563-3.03zm-285.5 42.75l54.657 47.5 4.094-44.875-58.75-2.625zm353.97 2.938l9.937 67.187-27.97 54.625 31.626-30 18.563-46.28-32.157-45.532zM18.093 106.78v67.5l21.843 11.97 62.657.28-84.5-79.75zm314.656 18.19l-6.594 6.624-40.78 40.75 13.218 13.22 24.812-24.814v28.22l-12.625 12.624 12.626 52.97v2.217l-31.094 17.94-2-1.158-39.5-37.343-17.218 4.593-24.438-14.094 33.875-9.064-4.843-18.062L182.53 214.5l-9.03 2.438 2.406 9.03 14.938 55.657 18.03-4.844-9.093-33.874 24.44 14.125 4.624 17.22 52.125 15.53 1.842 1.064v36.062l-1.843 1.063-52.126 15.53-4.625 17.22-24.44 14.124 9.095-33.875-18.063-4.845-14.906 55.688-2.406 9 9.03 2.437 55.657 14.906 4.844-18.062-33.874-9.063 24.438-14.124 17.22 4.625 39.56-37.405 1.845-1.063 31.186 18v2.125l-12.625 52.97 12.626 12.624V457l-24.812-24.813-13.22 13.22 40.782 40.75 6.594 6.624 6.594-6.624 40.78-40.75-13.218-13.22-24.812 24.814v-28.22l12.625-12.624-12.626-52.97v-2.28l31.03-17.937 2 1.155 39.563 37.406 17.22-4.624 24.437 14.125-33.875 9.064 4.842 18.062L483 403.25l9-2.438-2.406-9-14.906-55.687-18.063 4.844 9.094 33.874-24.44-14.125-4.624-17.22-52.125-15.53-2.155-1.25v-35.69l2.156-1.25 52.126-15.53 4.625-17.22 24.44-14.124-9.095 33.875 18.063 4.845 14.906-55.656 2.406-9.032-9-2.438-55.688-14.906-4.843 18.062 33.874 9.063-24.438 14.093-17.22-4.594-39.498 37.343-2.157 1.25-30.936-17.875v-2.375l12.625-52.97-12.626-12.624v-28.22l24.812 24.813 13.22-13.22-40.782-40.75-6.594-6.624zm-203.47 1.124l-17.56 35.156 46.843 33.97 14.062-53.876-43.344-15.25zm-66.874 76.25l56.657 85.844 40.562 13.218-14.72-80.5-14.624-14.625-18.31 15.814-49.564-19.75zm-23.468 28.594l-7.688 27.5 35.094 18.625 1.344-27.875-28.75-18.25zm293.656 42.093l31.094 17.94v35.874l-31.094 17.97-31.094-17.97V290.97l31.094-17.94zM93.5 304.47l31.906 56.905 32.78 7.28 11.44-39.405L93.5 304.47zm-25.75 53.624l16.094 46.72 66.72-8.127-82.814-38.593zm78.375 66.97L117 453.717l95.844-20.533-66.72-8.125z"}}]})(props);
};
function GiIceBomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M102.594 25.25c-.672 0-1.33.013-2 .03-16.057.432-31.337 6.06-44.03 15.126-33.852 24.18-50.126 74.626-18.408 117.75C63.13 192.11 52.25 236.92 26.406 261.97l13 13.436c31.974-30.99 44.87-86.05 13.782-128.312-25.944-35.273-12.25-72.562 14.218-91.47C80.64 46.172 96.88 41.747 113.22 44.97c15.68 3.092 31.976 13.18 46.405 34.655l-59.22 34.28 24.126 41.907c-49.46 63.358-58.506 153.024-15.905 227.032 55.97 97.235 179.88 130.596 276.75 74.5 96.87-56.096 130.033-180.39 74.063-277.625-37.606-65.33-105.866-101.82-176-101.72-9.166.013-18.365.66-27.532 1.938l-24.22-42.063-55.842 32.344c-16.773-25.376-37.755-39.373-59-43.564-4.776-.942-9.55-1.403-14.25-1.406zM285.78 137.5l56.783 32.78-28.063 48.564c5.73 2.402 11.203 5.505 16.22 9.312l28.03-48.53 56.688 32.718v65.53h-55.97c.807 6.256.804 12.516.032 18.688h55.938v65.5l-56.72 32.75-27.874-48.312c-2.508 1.91-5.135 3.694-7.938 5.313-2.683 1.548-5.438 2.88-8.22 4.062l27.877 48.28-56.782 32.783-56.686-32.75L256.906 356c-5.728-2.398-11.172-5.51-16.187-9.313l-27.814 48.157-56.78-32.78V296.56h55.718c-.773-6.25-.707-12.525.094-18.687h-55.813v-65.53l56.75-32.75 28 48.436c2.408-1.812 4.948-3.516 7.625-5.06 2.805-1.62 5.683-3.003 8.594-4.22l-28-48.53 56.687-32.72z"}}]})(props);
};
function GiIceCreamCone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-27.517 0-50.167 19.982-54.314 46.293C203.77 71.113 205.87 71 208 71c18.356 0 35.153 6.846 48 18.1C268.85 77.848 285.645 71 304 71c2.13 0 4.23.113 6.314.293C306.167 44.983 283.517 25 256 25zm-48 64c-30.482 0-55 24.518-55 55 0 15.277 6.16 29.055 16.14 39h73.225C235.183 171.704 231 158.33 231 144c0-15.433 4.844-29.762 13.07-41.574C234.428 94.06 221.833 89 208 89zm96 0c-30.482 0-55 24.518-55 55 0 15.277 6.16 29.055 16.14 39h77.72c9.98-9.945 16.14-23.723 16.14-39 0-30.482-24.518-55-55-55zm-92.912 112L256 217.332 300.912 201h-89.824zm-37.315 5.586l10.995 36.648 44.894-16.324-55.89-20.324zm164.454 0l-55.89 20.322 44.895 16.326 10.995-36.648zM256 236.486l-55.96 20.35 55.96 24.87 55.96-24.87-55.96-20.35zm-62.055 37.338l9.387 31.29 30.508-13.56-39.895-17.73zm124.11 0l-39.895 17.73 30.508 13.56 9.387-31.29zM256 301.404l-42.916 19.075L256 341.936l42.916-21.458L256 301.403zm-41.863 39.727l5.67 18.903L235.873 352l-21.736-10.87zm83.726 0L276.127 352l16.066 8.033 5.67-18.902zM256 362.064l-30.943 15.472 4.564 15.213 26.38 13.19 26.38-13.19 4.563-15.213L256 362.062zm0 64l-14.248 7.123L256 480.678l14.248-47.492L256 426.063z"}}]})(props);
};
function GiIceCreamScoop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M78.7 38.33h-1.58c-2.8.11-5.57.5-8.32 1.12-10.98 2.52-21.36 9.11-28.68 17.26-7.32 8.14-11.31 17.67-11.17 24.98.14 7.31 2.92 13.01 13.47 17.77C149.1 147.6 219.6 233.1 279.7 310.8c6.5-14.2 14.7-27.2 24.8-37.8 1.2-1.3 2.4-2.5 3.7-3.7-57.2-84.6-119-165.5-205.4-223.34-8.14-5.42-16.2-7.65-24.1-7.63zM360.1 264.2c-10.1.4-19.5 3.6-28.1 9.1-9.4 54.4.7 95.7 24.4 123.5 23.6 27.7 61.6 42.7 111.4 41.7 6.5-8.3 11.5-18.2 14.3-29.7 2-8.4.8-11.3-2-14.4-2.8-3.2-9-6.4-17.4-9.4-16.8-5.9-41.6-10.9-60.4-28.6v-.1c-17-16-20.1-41.6-24.7-61.8-2.3-10-4.8-18.9-7.8-24-3-5.1-4.6-6.5-9.7-6.3zm-48.8 28.6c-9.3 12-16.8 27-22 43.2-12.5 39.3-9.8 84.4 9 106.3 19.1 22.3 61.1 35 100.2 30.5 18.3-2.1 35.6-7.5 49.8-16.8-44.6-2.9-81.3-19.1-105.6-47.5-24.1-28.3-35.3-67.9-31.4-115.7z"}}]})(props);
};
function GiIceCube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M238.406 26.844c-9.653.12-18.926 2.69-30.437 7.062l-157.282 57c-20.984 7.65-21.587 11.834-22.344 33.28L20.937 358.22c-1.207 27.514-.654 33.187 23.25 43.56L229.97 483.19c19.34 8.29 31.906 7.655 45.186 3.218l181.938-56.53c21.95-7.295 25.04-9.627 25.875-36.845l7.686-250.155c.662-17.37-5.667-24.695-18.78-29.625L271.062 34.375c-12.977-5.344-23.003-7.653-32.657-7.53zm.813 24.875c23.637-.053 45.564 8.434 87.874 24.874 95.545 37.123 131.71 53.8 69.687 77.937-74.002 28.802-128.175 45.115-172.28 25.814L113.47 131.75c-34.57-15.127-44.69-27.46 17.843-50.094 55.64-20.14 82.742-29.882 107.906-29.937zm44.718 43.75c-38.284.402-55.285 21.205-56.813 38.936-.873 10.132 2.95 19.6 12.406 26.25 9.456 6.65 25.355 10.56 48.97 5.938 35.817-7.01 61.536-15.056 77.5-22.844 7.982-3.894 13.464-7.737 16.5-10.844 3.036-3.107 3.453-4.942 3.438-6-.016-1.057-.44-2.675-3.313-5.406-2.873-2.73-8.03-6.04-15.22-9.156-14.378-6.233-36.757-11.877-65.717-15.72-6.355-.842-12.28-1.213-17.75-1.155zM59.25 134c10.372-.29 29.217 7.2 63.906 22.656 140.925 62.786 140.52 65.876 130.97 200.656-7.783 109.81-8.797 109.85-128.47 59.282-73.15-30.91-86.806-40.853-85.187-88.97l5.468-162.937c.674-20.034 1.557-30.358 13.312-30.687zm381.938 30.906c29.172-.384 29.1 28.075 26.75 105.25-4.118 135.132-9.05 140.184-120.375 173.72-70.42 21.21-81.49 25.614-78.97-12.032l11-164.156c3.217-48.034 7.588-51.508 94.813-83.907 31.323-11.633 52.534-18.686 66.78-18.874zm-20.438 40.688c-.332-.002-.674.015-1 .03-5.22.263-10.226 2.77-14.188 8.407-3.96 5.638-6.81 14.71-5.687 27.907 1.448 17.033-4.507 38.11-15.156 56.938-10.65 18.827-26.502 35.91-47.814 38.813-29.127 3.968-42.41 23.58-43.5 42.062-.545 9.24 2.108 18.03 7.688 24.594s14.088 11.335 27.187 12.03c41.146 2.185 71.336-10.766 91.595-39.155 20.26-28.39 30.396-73.76 25.875-136.595-1.876-26.076-14.708-34.977-25-35.03zm-246.25 8.844c-.644 0-1.218.063-1.72.187-2.003.494-3.685 1.53-5.655 4.813-1.913 3.186-3.688 8.618-4.406 16.343l-.064.657c-1.388 16.732-8.098 28.602-17.844 35.063-9.745 6.46-20.794 7.808-31.125 9.094-10.33 1.286-20.177 2.39-28.156 5.75-7.977 3.36-14.36 8.38-19.468 19.78-7.2 16.076-7.143 28.027-3.124 38.563 4.018 10.537 12.688 20.106 24.687 28.75 23.998 17.29 60.27 29.956 88.906 41.844 11.386 4.727 20.496 6.484 27.282 6.126 6.787-.358 11.278-2.423 15.375-6.562 8.195-8.28 14.057-27.692 15-57.344 2.024-63.623-18.84-110.284-38.656-130.875-8.668-9.008-16.52-12.193-21.03-12.188zm184.22 6.812c-.95-.003-1.927.035-2.97.094-35.464 1.99-48.477 12.867-52.5 24.062-4.023 11.196.826 27.07 10.844 39.78 11.488 14.58 20.59 15.736 30.437 12.283 9.848-3.455 20.542-14.108 27.376-26.908s9.512-27.397 7.188-36.28c-1.163-4.443-3.144-7.422-6.47-9.626-2.908-1.928-7.274-3.388-13.905-3.406z"}}]})(props);
};
function GiIceCubes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M90.01 41l46.09 452h239.8L422 41zM142 62.04l112.5 18.29-3.9 24.17 104.2-21.92 7.7 36.42H394l-33.9 354H151.9L119 128.9l-1-9.9h14.7l7.8-48.07zm14.8 20.66l-12.5 77 77.1 12.5 12.5-76.99zm184 21.2L264.6 120l16 76.2 76.3-16zM219.5 242.6l-36.7 68.6 68.8 36.8 36.7-68.6z"}}]})(props);
};
function GiIceGolem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64.086 26.254c-6.237 39.87-10.003 32.572-38.703 36.922 26.282 3.712 39.417 8.81 38.193 37.176 2.659-19.972.836-30.862 36.156-36.666-15.822-6.064-33.712 4.317-35.646-37.432zm171.064.41L204.6 74.125l20.066 14.436 35.813-1.82 22.677-15.118-25.306-43.582-22.7-1.377zm58.313 26.863l34.135 58.787-3.514 4.756c-8.857 11.988-15.901 23.926-26.307 34.877l26.118 38.395-4.485-31.547 42.602-93.592-68.55-11.676zm-102.906 9.159l-56.166 16.63 10.02 19.877-18.005 28.631 31.244-2.363 16.258 32.252 5.51 83.332 34.289 33 14.793-60.986 46.986 66.673 55.434-39.97-1.518-10.672-.629.428-44.134-64.881-7.352 74.902-80.46-78.674.273-.281a85.007 85.007 0 0 1-6.385-8.314c-10.292-15.21-16.606-32.339-23.592-43.815l-2.93-4.812 26.364-40.957zm182.916 20.789l-27.828 61.136 31.628 21.692 31.745 93.63c-14.946-3.888-30.64 2.536-32.446-36.415-6.236 39.87-10.003 32.57-38.703 36.92 26.282 3.712 39.42 8.81 38.195 37.175 2.589-19.446.944-30.28 33.457-36.195l7.372 21.74 7.736-70.28 46.723 27.222-24.922-83.52-31.106 7.588-4.265-17.488 58.337-14.227c-7.958-4.17-10.582-5.507-21.425-11.27-10.758-5.716-21.643-11.558-30.147-16.253-4.252-2.348-7.9-4.404-10.703-6.053-.857-.505-1.495-.91-2.2-1.344l-31.448-14.058zm-81.262 3.744l-23.477 15.65v10.342h-18v-7.953l-16.56.842.754 8.283L217 116.012l-1.049-11.547-21.107-15.184-9.56 14.854c7.03 12.719 12.763 26.851 20.34 38.049 8.34 12.328 17.659 20.674 34.343 21.978 21.412-5.759 33.462-13.368 42.847-22.656 8.386-8.3 15.088-18.692 23.342-30.272L292.211 87.22zm-171.633 4.687L72.611 106.41l-3.324 38.537 13.43 8.631c-48.664 60.418-1.867.866-47.516 60.793l75.274-56.168 9.484 15.299L63.822 208.3l-5.527 64.074 41.072-28.842 11.117 25.617 31.87-102.539 10.503-10.666-5.859-11.627-54.834 4.149 31.596-50.25-3.182-6.31zm123.963 30.412c1.995.03 3.956.157 5.863.368 13.566 1.499 24.743 5.851 31.79 13.085l-12.895 12.56c-1.294-1.33-11.018-6.666-20.871-7.755-9.853-1.089-19.496.729-26.295 8.057l-13.196-12.242c8.706-9.383 20.047-13.244 30.897-13.955a58.083 58.083 0 0 1 4.707-.118zm21.063 51.987c-6.368 2.817-13.521 5.33-21.64 7.478l19.075 18.65 2.565-26.128zM439.49 242.37l-8.05 73.15c.82-.779 1.713-1.807 2.726-3.195 4.278-5.86 9.527-17.238 18.947-30.896l3.041-4.409 5.325.569c7.072.756 12.796 2.553 17.478 4.494l-10-22.545-29.467-17.168zM238.46 258.437l-2.494.204-12.156 50.109-24.1-23.193 26.346 42.152 41.062-19.115 15.66 27.707 44.032-9.846 6.101-37.865-3.775-25.35-57.881 41.737-32.795-46.54zm-146.662 12.87l-.93.19-41.486 29.132-5.75 22.115 38.984-22.586 25.756 23.113.512-12.597-17.086-39.367zm82.078 6.879l-45.77 107.558 9.182 41.313 17.697-53.094 16.582 47.125 10.842-13.99 7.696-19.975c38.884 7.55 31.602 11.181 34.92 39.856 4.635-26.136 10.192-39.084 38.497-36.862-19.866-3.36-30.814-1.923-35.37-37.426-6.58 15.513 2.999 33.633-37.993 34.29l19.72-51.19-36.003-57.605zm176.457 15.433l-7.691 47.74-39.034 8.729 32.791 19.484 5.99 49.994 22.903-34.087 29.022 44.11 7.892-66.1-51.873-69.87zm99.283 12.774c-6.236 39.87-10.003 32.57-38.703 36.92 26.282 3.712 39.417 8.81 38.193 37.175 2.659-19.972.838-30.861 36.159-36.666-15.823-6.063-33.714 4.32-35.649-37.43zm-84.48 111.597l-24.555 36.547-2.822 33.858 127.039 1.876 19.959-44.076-35.29 19.82-11.573-21.216-14.118 12.605-14.498-1.318-2.931 24.545-41.211-62.64zm-173.678 6.819l-25.904 33.421-10.108-28.724-20.05 60.15h57.01c-2.998-20.407-2.653-42.363-.948-64.847zm-111.969 4.84l-12.275 60.007h65.545l-7.776-34.988-23.048 10.477-22.446-35.497z"}}]})(props);
};
function GiIceIris (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M62.81 26.88l-17.3 5 8.68 30.08-29.36-7.26-4.32 17.48 31.51 7.8-22.53 23.42 12.97 12.4 20.98-21.78 8.68 30.08 17.3-5-9.28-32.16 33.56 8.3 4.4-17.48-31.49-7.79 22.49-23.35-12.98-12.48L72.11 59.1l-9.3-32.22zM312.1 38.05l-2.7 14.31-10.5-9.02L287.1 57l11.6 9.92-14.4 5.06 6 16.98 13.2-4.64-2.7 14.33 17.6 3.25 2.9-15.59 12.6 10.79 11.8-13.66-11.6-9.92 14.4-5.06-6-16.98-15.7 5.54 2.9-15.67-17.6-3.3zm143.6 63.05l-6.3 20.5-14-15.1-13.2 12.2 15.2 16.4-21.8 5 4 17.6 20.2-4.6-6.3 20.5 17.2 5.2 6.8-22.2 16.4 17.7 13.2-12.2-15.3-16.4 21.8-5-4-17.6-23.5 5.4 6.8-22.2-17.2-5.2zM256 137c-45.5 0-83.6 18.9-123.1 44.5-35.3 23-71.35 51.2-113.68 74.5 42.33 23.3 78.38 51.5 113.68 74.5C172.4 356.1 210.5 375 256 375s83.6-18.9 123.1-44.5c35.3-23 71.4-51.2 113.7-74.5-42.3-23.3-78.4-51.5-113.7-74.5C339.6 155.9 301.5 137 256 137zm0 14c57.9 0 105 47.1 105 105s-47.1 105-105 105-105-47.1-105-105 47.1-105 105-105zm0 19.4l-29.3 16.9 17.1 29.6c3.9-1.2 8-1.9 12.2-1.9 4.2 0 8.3.7 12.2 1.9l17.1-29.6-29.3-16.9zm-44.9 25.9l-29.2 16.9V247H216c1.9-8.2 6.2-15.5 12.2-21.1l-17.1-29.6zm89.8 0l-17.1 29.6c6 5.6 10.3 12.9 12.2 21.1h34.1v-33.8l-29.2-16.9zM256 233c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm-74.1 32v33.8l29.2 16.9 17.1-29.6c-6-5.6-10.3-12.9-12.2-21.1h-34.1zm114.1 0c-1.9 8.2-6.2 15.5-12.2 21.1l17.1 29.6 29.2-16.9V265H296zm-52.2 30.1l-17.1 29.6 29.3 16.9 29.3-16.9-17.1-29.6c-3.9 1.2-8 1.9-12.2 1.9-4.2 0-8.3-.7-12.2-1.9zM75.68 339.4v21.4l-17.8-10.3-9 15.6 19.31 11.1-19.31 11.2 9 15.6 17.8-10.3v21.4h18V392l20.82 12 9-15.6-19.3-11.2 19.3-11.1-9-15.6-20.82 12v-23.1h-18zm344.62 35.5l-2.3 15.4-11.6-9.3-11.2 14 12.6 10.1-15.1 5.9 6.6 16.8 13.7-5.3-2.3 15.3 17.8 2.8 2.6-16.9 13.8 11.1 11.2-14-12.6-10.1 15.1-5.9L452 388l-16.4 6.4 2.5-16.7-17.8-2.8zm-201 27.7l-8.6 26.2-17.7-19.7-13.4 12 19.1 21.3-27.9 5.8 3.6 17.6 26-5.4-8.6 26.1 17.2 5.6 9.2-28 20.4 22.7 13.4-12-19.1-21.2 28-5.9-3.6-17.6-30 6.3 9.2-28.2-17.2-5.6z"}}]})(props);
};
function GiIcePop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16.5c-18.8 0-37.597 3.918-50.766 10.94C192.066 34.465 185 43.25 185 55.5v239.582c0 5.285 2.807 11.398 7.406 16.014 4.6 4.616 10.67 7.404 15.836 7.404h95.516c5.165 0 11.246-2.793 15.847-7.395 4.602-4.6 7.395-10.682 7.395-15.847V55.5c0-12.25-7.066-21.036-20.234-28.06C293.598 20.42 274.8 16.5 256 16.5zm-24 320v135c0 32 48 32 48 0v-135h-48z"}}]})(props);
};
function GiIceShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.303 23.195C191.17 23.188 122.745 33.57 54.896 54.732l-6.12 2.825-.303 6.52c0 95.313 9.696 178.568 40.297 249.96 30.6 71.392 82.32 130.185 165.277 174.62l4.672 2.337 4.087-2.336C343.87 445.236 396.29 386.753 427.5 315.205c31.21-71.547 41.465-155.484 41.465-251.13V57.07l-6.424-2.336c-67.16-21.138-135.104-31.53-203.237-31.537zm0 18.69c63.658.006 127.43 10.16 190.388 29.2-.554 91.083-10.827 170.314-39.71 236.528-29.03 66.545-76.342 120.412-151.26 161.772-77.04-42.382-124.524-95.885-153.015-162.356-28.282-65.985-37.458-145.078-37.96-235.944 63.81-19.192 127.7-29.208 191.558-29.2zm2.385 38.52l-55.875 32.44 30.125 52.218c-5.717 2.35-11.042 5.44-15.844 9.187l-30.125-52.188-55.782 32.376v63.812h60.53c-.418 3.04-.655 6.156-.655 9.313 0 3.177.232 6.305.656 9.375h-60.532V301.5l55.718 32.344 30.313-52.5c4.787 3.774 10.088 6.905 15.78 9.28l-30.25 52.438 55.938 32.47 55.906-32.376-30.344-52.53c5.696-2.38 10.99-5.534 15.78-9.313L333.44 334l55.25-32v-65.063H328.5c.424-3.07.656-6.197.656-9.375 0-3.156-.237-6.27-.656-9.312h60.188v-64.344l-55.313-32-30.22 52.375c-4.803-3.75-10.123-6.864-15.842-9.218l30.218-52.343-55.842-32.314zm-.094 97.97c27.22 0 49.22 21.964 49.22 49.188-.002 27.224-21.996 49.187-49.22 49.187s-49.188-21.966-49.188-49.188c0-27.22 21.967-49.187 49.188-49.187z","fillRule":"evenodd"}}]})(props);
};
function GiIceSkate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M228.324 68.363c-7.897-.008-18.625 1.148-30.383 3.026.947 13.753 3.72 31.677 8.79 50.963.071.272.151.55.224.824 9.284-8.051 20.64-23.922 29.13-38.297 2.275-3.85 4.372-7.598 6.233-11.074-.189-.565-.377-1.154-.566-1.713-.687-2.61-5.714-3.72-13.428-3.729zm-48.332 6.285c-33.842 6.831-68.944 17.554-68.875 23.43l-13.344 73.576c-14.505 24.84-27.42 49.036-34.414 78.83-1.033 4.4-1.626 8.425-1.865 12.145 144.022 47.582 296.814 96.714 413.375 62.23-.96-17.766-9.296-27.683-34.44-35.445-48.697 18.913-90.542 18.564-125.033 5.525-35.807-13.536-63.28-40.26-83.75-71.029s-34.109-65.721-42.326-96.982c-5.124-19.497-8.196-37.386-9.328-52.28zm69.711 22.518c-6.802 11.27-14.764 23.09-23.572 32.514 11.604 5.406 24.461 9.168 37.656 11.699-5.28-15.243-9.803-30.22-14.084-44.213zm-36.723 46.168c6.039 18.18 13.945 36.936 23.872 54.594l3.84-2.399c15.456-9.648 22.076-20.925 29.59-34.933-19.613-2.867-39.489-7.94-57.302-17.262zm66.47 37.37c-4.5 7.208-9.783 14.226-16.946 20.71 11.305 4.74 22.035 7.173 32.642 8.275-5.869-9.26-11.05-19.005-15.697-28.986zm-32.804 33.255c11.978 18 26.247 34.073 42.99 46.465l.034-.055c5.532-9.493 9.97-21.9 11.451-32.361-17.158-.932-35.294-4.436-54.475-14.049zm71.04 24.678c-1.51 6.518-3.758 12.955-6.456 19.029 10.143 1.139 20.57 1.534 31.065 1.397-9.099-5.942-17.256-12.824-24.61-20.426zm59.072 36.572c-19.175 1.933-39.22 2.813-58.973 1.303 1.315.549 2.636 1.084 3.975 1.59 23.69 8.955 51.352 11.366 84.12 3.435a715.936 715.936 0 0 0-8.913-1.555 153.635 153.635 0 0 1-20.21-4.773zm-314.916 6.5c-4.335 33.384-3.237 90.271 14.46 91.713 51.545 4.199 117.649 22.258 104.292-33.027 201.263 85.267 283.637 33.1 294.039 3.261-122.19 33.614-272.5-15.545-412.791-61.947zm413.375 88.574c-7.52 6.62-16.172 12.13-25.073 16.754.887 8.495-1.844 16.561-6.802 22.297-9.947 11.508-26.105 15.022-41.99 14.848-15.886-.175-32.119-4.203-43.4-13.942a34.782 34.782 0 0 1-5.66-6.199 543.52 543.52 0 0 1-12.202-1.459c-8.85-1.158-18.012-2.541-26.602-3.957-3.825 8.4-9.775 15.045-17.283 19.57-16.641 10.03-38.4 11.039-60.121 7.975-21.722-3.064-43.585-10.495-60.656-20.04-6.087-3.402-11.555-7.068-16.227-11.052-12.031 1.438-24.82 1.504-37.36.727a263.553 263.553 0 0 1-20.534-2.078c.024 5.694-1.398 11.668-5.475 16.445-5.187 6.077-12.915 9.36-23.35 11.678-10.434 2.318-24.06 3.649-42.478 4.341 2.355-.088-.328.288-2.445 2.483-2.117 2.195-4.266 5.487-5.227 8.115-.96 2.628-.579 3.833-.578 3.834 0 .001.588 1.261 6.119 1.611l430.674 1.403c17.948-.656 25.67-5.495 29.031-10.473 3.365-4.985 3.614-12.446.86-21.434l-.04-.13-.037-.133c-4.12-15.061-7.385-28.615-13.144-41.184z"}}]})(props);
};
function GiIceSpear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M22.063 20.72v44.03L96.22 98.03l-4.657 29.22 44.968 46.72-26.28 64.81 168.78 55.5v.564l-41.467 12.28 32.687 74.75-40.28-37.374-32.72-4.094-54.875-37.97 39.125 61.908 43.78-.563 52.564 47.876 33.312-7 186.28 94.594-42.623-87-29.188-127.906-38.563-37.375-9.343-48.47-34.44-32.72 12.25 74.19 56.064 63.06-11.094 39.126L386.344 301l-35.5-15.25-26.063 18.625 54.095 32.53-84.094-21.592 18.126-38.563-62.812-47.656-23.406-144.47-48.125-15.186 9.937 65.406 28.03 3.937-44.968 35.5-21.03-110.124-48.47-11.094-7.468-32.343h-72.53zm95.656 0l5.624 13.155 68.97 18.97-32.75-32.126h-41.845zm75.5 0l32.53 37.093-.813-37.094H193.22zm67.655 2.624l-15 38.5 6.72 33.562 23.25-33.562-14.97-38.5zm107.688 2.03L332.03 33.22l14.314 36.81 22.22-44.655zm-3.875 56.532l-7.47 36.188L388.126 112l-23.438-30.094zm-342.625 6.25v41.406L85 115.438l-62.938-27.28zm251.343 9.75l.125 33.813 56.94 54.593-23.22-83.22-33.844-5.187zm-202.03 38.438l-37.97 12.625 74.625 26.686-36.655-39.312zm197.5 19.344l9.53 68.062 56.406 40.656-5.156-53.437-60.78-55.282zm-245 7.75L89.75 235.28l12.344-40.686-78.22-31.156zm8.5 54.218l-11.688 39.72 41.374-14.126-29.687-25.594zM70.75 253.78l-17.094 28.25 32.063 13.94 69.686-25.19-84.656-17zm132.594 32.845l-52.438 1.25 51.125 36.344 24.032-2.47-22.718-35.125zM47.688 300.22l-19.626 28.374 37.22 1.812-17.594-30.187zm52.468 25.53l20.313 30.875 17.56-26.156-37.874-4.72z"}}]})(props);
};
function GiIceSpellCast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M377.305 19.355l-5.21 20.52-15.165-14.771-12.56 12.894 15.165 14.772-20.375 5.748 4.889 17.324 20.375-5.748-5.21 20.52 17.446 4.429 5.211-20.52 15.166 14.772L409.596 76.4l-15.168-14.773 20.377-5.748-4.887-17.322-20.375 5.748 5.209-20.52zm-171.918 56.41c-28.067-.116-49.927 56.533-57.727 90.608-11.26 49.19-14.529 83.515-.828 133.059l-17.348 4.798c-15.463-55.917-8.245-94.75 2.301-142.341 10.547-47.592 14.52-70.403-4.459-74.182C85.244 79.328 82.04 178.17 79.57 222.604c-1.396 25.808.71 57.017 6.54 77.552l-16.901 6.196c-14.43-53.35-6.657-97.957-1.693-150.77 2.493-15.582-1.787-25.677-19.102-25.166-15.833.467-27.015 143.362-13.275 179.041 8.713 53.061 31.247 130.572 10.955 152.766L18 494h205.973l19.986-28.592c23.08-5.008 28.42-19.86 37.023-33.787 25.291-40.946 82.384-83.166 129.114-99.226 21.142-7.51-21.912-48.546-53.836-32.782-55.005 27.162-81.646 56.298-117.772 38.295-55.855-27.834-47.245-100.648-35.861-162.83 6.141-33.544 40.41-89.602 7.156-98.824a21.158 21.158 0 0 0-4.396-.488zm90.718 24.835l-30.718 29.39 23.394 25.104c-4.628 3.41-8.617 7.736-11.758 12.75l-24.132-25.899-23.29 22.285 7.204 38.215 32.65-7.19c.093 6.211 1.284 12.244 3.336 17.636l-32.662 7.191 7.203 38.215 29.5 10.66 12.846-34.066c4.69 3.307 9.918 5.625 15.406 6.832l-12.426 32.953 38.91 14.058 30.72-29.392-23.395-25.104c4.628-3.41 8.617-7.735 11.757-12.748l24.133 25.897 23.291-22.283-7.203-38.215-32.652 7.19c-.094-6.211-1.283-12.244-3.334-17.636l32.66-7.193-7.203-38.215-29.5-10.66-12.846 34.068c-4.69-3.307-9.918-5.626-15.406-6.834l12.426-32.95zm147.538 49.86l-16.813 6.43 7.563 19.774-20.909-3.338-2.838 17.776 20.907 3.337-13.344 16.438 13.975 11.344 13.343-16.438 7.563 19.776 16.812-6.43-7.56-19.774 20.904 3.338 2.838-17.775-20.904-3.338 13.341-16.435-13.972-11.346-13.344 16.435zm-135.715 12.85l28.078 10.147 5.91 31.356-22.168 21.208-28.078-10.144-5.912-31.356z"}}]})(props);
};
function GiIceberg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304.28 29.19l-12.523 80.56 8.06 55.25h165.347l-8.61-97.642-35.503 19.42 5.786 51.58L411.94 83.1l-38.042-40.565zM121 43.144v84.408h28.246c-5.08-29.13-12.29-58.546-28.246-84.407zm135.28 58.695l-16 61.808-.243 1.354h53.313l-12.674-45.357zM61.362 145.55l8.7 21.45h85.648l17.4-21.45zM18 183v18h476v-18zm212.39 36l-6.11 34.19 7.308 39.683-39.31 64.613 16 71.705 32-16 14.656-22.713 3.584-13.707-7.264-53.698 24.447 49.52-3.528 51.95 16.107 36.65L336 489.68l19.69-31.145 4.47-41.22 13.32 54.576 37.813-9.452-6.934-167.79 14.988 99.475 28.93-28.932 23.507-144-.258-2.19h-73.912l1.44 6.71-23.49 101.577 7.693-96.355L372.252 219zm50.807 10.096l23.34 17.877 4.967 17.382-9.436 44.2-5.463-49.662z"}}]})(props);
};
function GiIcebergs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.406 17.656c-132.32 0-239.78 107.462-239.78 239.78 0 132.32 107.46 239.783 239.78 239.783 39.422 0 76.644-9.546 109.47-26.44 34.317-14.445 59.8-37.046 78.062-64 .03-.042.064-.08.093-.124 32.635-40.965 52.158-92.835 52.158-149.22 0-132.318-107.462-239.78-239.782-239.78zm0 17.875c79.25 0 148.696 41.435 187.938 103.845l-48.97 39.5-12.093-38.688-1.342-4.343-4.282-1.625-56.062-21.032-9.72-3.626-2.624 10.032-18.875 72.75-46.938-79.813-6-10.186-8.53 8.187-53.313 51.25-27.438-24.593-4.22-3.78-5.28 2-56.062 21-3.938 1.468-1.5 3.906-42.25 108.782c-.252-4.34-.406-8.72-.406-13.125 0-122.653 99.253-221.906 221.906-221.906zm-21.094 100.095l46.063 78.313-79.47 142.03 33.407-220.343zm130.97 14.28l.53.19 15.72 50.31 38.562 155.376-16.938 60.75-36.78-24.53 15.155-61.906-13.467-9.344L383.03 253l-18.31-3.78-12.345 60L337 298.56l29.28-148.656zm-224.594 6.564l27.875 25 3.03 2.718-13.718 44.28-30.97 9.345 16.94 36.812-12.25 39.125-25.72-57.25 34.813-100.03zm323.718 26.25c8.33 23.34 12.875 48.494 12.875 74.718 0 24.476-3.98 48.023-11.28 70.03l-24.875-75.624L454.375 232l-2.344-25.125 13.376-24.156zM56.812 354.593l136.813 12.156-20 42.594 121.97 36.844 54.342-39.125 42.688 25.593c-37.584 29.247-84.843 46.656-136.22 46.656-2.23 0-4.44-.028-6.655-.093l30.03-21.626-113.624 2.625c-47.723-21.237-86.527-58.794-109.344-105.626z"}}]})(props);
};
function GiIceland (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M152 238.5l19.7-60 19.3 21.6 7.4-72.4 50.8 51.4-18.6-43.5 65.5-11.9 22.7 23.8c21.4-17.4 32.1-31.6 40.1-59.39l39.5-6.82 4 30.61 91.1 84.8c-5.3 49.1-9.1 98.8-58.3 133.4L311.5 390 282 430.7c-59.5-1.5-97.8-25.2-128.9-56.6H71.68l-7.91-26 52.53-8.4-30.48-67.9H19.11l3.38-19.8 100.61-3.9-26.44-18.9c-.93-4.3 22.84-18.7 21.54-22.2-11-28.2-49.42-13.5-99.66-5.3 6.51-34.3 32.09-81 65.01-113.06 30.65 15.26 47.05 36.86 68.95 55.96-9.4 36-5 57.8-.5 93.9z"}}]})(props);
};
function GiIciclesAura (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M262.82 18.514c-1.538-.042-3.118.125-4.656.125-32.843 0-59.586 33.905-59.586 75.917 0 21.273 7.083 40.47 18.096 54.287-7.947 1.232-15.16 3.625-21.688 7.004l-.066-.465c-21.085 10.394-34.678 31.075-42.815 58.777-4.388 14.94-6.894 31.782-7.736 49.553-.034.657-.06 1.32-.087 1.978-.037.938-.092 1.866-.12 2.808l.013-.016c-.013.397-.022.795-.033 1.192l-.014-.004c-.01.333-.01.67-.017 1.004-.565 22.66 1.55 46.508 5.914 69.724h23.56L172.57 237.02l1.785-1.98 16.883-.165 1.248 126.938 8.74 132.626h46.895V318.847h18.69v175.59h44.32l11.475-154.04h.055l1.035-105.523 15.606.154 3.05 3.376-1 101.992h24.51c16.256-78.303.03-158.175-47.17-183.627l-.13-.073v.002c-6.087-3.265-12.68-5.636-19.79-6.973 11.508-13.88 18.98-33.36 18.98-55.17 0-39.388-23.415-72.02-53.406-75.918h-.002c-.5-.076-1.01-.112-1.522-.126zm-138.877.062l21.733 94.787 26.586 34.713c5.16-4.086 10.777-7.594 16.855-10.437-5.548-13.12-8.664-27.926-8.664-43.45 0-1.243.037-2.476.076-3.71l-56.587-71.904zm265.782 0l-53.29 67.72c.18 2.61.29 5.237.29 7.893 0 16.542-3.534 32.27-9.786 46.005 4.808 2.61 9.335 5.635 13.568 9.05l27.484-35.886 21.733-94.784zM64.037 81.902l46.19 76.31 37.8 18.202c3.21-5.437 6.79-10.53 10.748-15.215l-32.15-41.975-62.588-37.323zm385.594 0l-62.59 37.325-33.08 43.19c3.828 4.506 7.336 9.376 10.52 14.556l38.96-18.762 46.19-76.308zm-420.86 78.46l53.515 42.034 51.88 6.526.01-.027c1.59-5.413 3.44-10.67 5.54-15.74L93.58 170.936 28.77 160.36zm456.128 0l-64.814 10.577-46.938 22.603c2.152 4.86 4.08 9.896 5.776 15.074.04.12.076.243.115.363l52.346-6.584 53.515-42.035zM80.305 220.98l-59.866 11.48 76.238 27.143 28.87 4.44c.554-12.688 1.93-25.047 4.212-36.84l-49.455-6.223zm353.058 0l-49.36 6.21c2.63 11.738 4.363 24.043 5.257 36.677l27.734-4.266 76.236-27.143-59.867-11.478zm-339.418 57.11l-74.814 52.72 87.286-.964 20.588-18.703c-.95-9.458-1.526-18.897-1.693-28.23l-31.365-4.823zm325.778 0l-29.746 4.574c.063 10.024-.368 20.174-1.262 30.342l18.537 16.84 87.285.964-74.814-52.72zm-334.01 78.01l-51.61 58.302 75.004-20.424 22.9-37.56-46.294-.318zm341.746 0l-46.294.318 22.898 37.56 75.004 20.424-51.61-58.302zM159.49 400.455L121.346 419.7l-11.664 69.577 50.79-48.36-.98-40.462zm194.186 0l-.977 40.46 50.788 48.362-11.664-69.578-38.146-19.245z"}}]})(props);
};
function GiIciclesFence (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M310.395 18.275l.582 30.954 61.322 113.3-4.09-128.485-8.763-15.77h-49.052zm134.71 2.47l-40.814 171.74c-16.327 2.13-32.17 5.827-47.372 10.94L235.45 74.834l49.745 166.524c-14.27 10.795-27.37 23.062-39.056 36.585L77.19 227.48l126.46 119.456c-6.737 16.35-11.818 33.546-15 51.392l-169.625 40.31L202.3 482.196l183.095-43.513-153.565-36.495c2.488-12.733 6.122-25.05 10.8-36.837l152.005 45.406-113.684-107.39c8.694-9.737 18.285-18.652 28.648-26.618L418.664 392.21l-44.53-149.077c11.256-3.536 22.927-6.144 34.923-7.742l36.03 151.616 43.53-183.166-43.512-183.094zM66.043 66.913l67.238 109.156 109.19 67.258-67.238-109.158-109.19-67.256zm-47.658 234.62v47.882l19.27 10.512 128.486 3.506-112.714-60.74-35.04-1.16z"}}]})(props);
};
function GiIdCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M50 96c-9.972 0-18 8.028-18 18v300c0 9.972 8.028 18 18 18h412c9.972 0 18-8.028 18-18V114c0-9.972-8.028-18-18-18H50zm5 23h402v18H55v-18zm0 32h210v258H55V151zm18 18v222h7.03c.47-24.342 18.315-74.172 47.093-97.889C136.331 300.56 147.615 305 160 305c12.385 0 23.669-4.44 32.877-11.889C221.655 316.828 239.5 366.658 239.97 391H247V169H73zm222 14h146v18H295v-18zm-135 10c20.835 0 39 20.241 39 47s-18.165 47-39 47-39-20.241-39-47 18.165-47 39-47zm135 22h114v18H295v-18zm0 32h50v18h-50v-18zm80 0h66v18h-66v-18zm-16 96h98v18h-98v-18zm-32 32h130v18H327v-18z"}}]})(props);
};
function GiIdea (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.016 17.172c-103.018 0-188.532 105.858-188.532 238.812 0 55.877 15.122 106.973 40.282 147.438 96.796 34.218 203.558 38.207 295.187 2.062 25.932-40.785 41.563-92.667 41.563-149.5 0-132.953-85.483-238.81-188.498-238.812zm1.752 18.75c80.747 0 146.03 65.252 146.03 146s-65.283 146.03-146.03 146.03c-80.75 0-146-65.282-146-146.03s65.25-146 146-146zm.484 25.562c-42.402 0-76.92 28.05-76.92 70.264 0 23.897 8.254 35.09 17.447 49.672 6.13 9.725 12.446 20.9 15.988 36.953h86.46c3.524-16.437 9.903-27.82 16.086-37.64 9.207-14.622 17.448-25.615 17.448-48.983 0-42.242-34.107-70.264-76.51-70.264zm-40.87 176.555v30.368h81.33v-30.37zm11.18 48.976v18h58.97v-18zm-57.36 47.218c18.365 0 33.157 14.84 33.157 33.5s-14.793 33.532-33.157 33.532c-18.364 0-33.125-14.872-33.125-33.532 0-18.66 14.76-33.5 33.123-33.5zm165.292.307c18.26 0 33.06 14.803 33.06 33.062 0 18.26-14.8 33.062-33.06 33.062s-33.06-14.803-33.06-33.062c0-18.26 14.8-33.06 33.06-33.06zm-208.447 96.694c11.517 13.484 24.36 25.148 38.22 34.688l-7.095-26.375c-10.68-2.355-21.077-5.124-31.125-8.313zm254.594 1.532a361.784 361.784 0 0 1-27.406 7.062l-6.437 23.97c12.174-8.753 23.526-19.176 33.844-31.03zm-203.03 10.75l9.593 35.78c11.34 5.466 23.184 9.572 35.406 12.188l-5.063-43.125c-13.51-1.05-26.868-2.657-39.936-4.844zm155.22.216l-.002.002a450.38 450.38 0 0 1-30.935 3.97l-4.815 40.812c9.134-2.722 18.01-6.314 26.596-10.66zm-49.91 5.346c-16.24.828-31.392.948-46.467.375l5.313 44.846c4.052.332 8.135.528 12.25.528a149.5 149.5 0 0 0 23.718-1.904z"}}]})(props);
};
function GiIfrit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M251.25 19.28c-13.905 0-26.786 7.33-36.688 20.345-9.9 13.015-16.343 31.59-16.343 52.313 0 20.72 6.44 39.297 16.343 52.312 9.9 13.015 22.782 20.344 36.687 20.344 13.905 0 26.755-7.33 36.656-20.344 9.9-13.015 16.375-31.59 16.375-52.313 0-20.72-6.473-39.297-16.374-52.312-9.9-13.015-22.75-20.344-36.656-20.344zM458 62.688c-12.144.097-24.223 6.945-28.5 22.094l-22.844 58.876-84.812-28.625-1.72 2.564c-3.273 14.37-9.258 27.34-17.343 37.97-12.673 16.66-30.986 27.717-51.53 27.717s-38.888-11.057-51.563-27.718c-8.236-10.827-14.277-24.087-17.5-38.78l-1.156-1.75-84.843 28.624L73.344 84.78c-4.442-15.73-17.307-22.494-29.906-22.06-17.266.59-34.024 14.718-27.938 37.81l40.094 112.657 108.437-27.593c55.63 82.465 57.87 164.886 18.782 247.28-.897-59.192-32.693-109.31-12.093-143.562-56.293 56.476-5.773 107.04-66.75 171.282 2.864-26.386-1.006-52.772-9.907-79.156 3.018 38.405 4.197 76.575-64.97 106.312h121.72c-.03.043-.065.082-.094.125h204.25c-.025-.04-.04-.085-.064-.125h126.5c-78.297-44.57-24.935-76.987-71.062-113.813 14.31 18.935-6.456 46.304-8.563 78.657-57.428-47.286-55.368-102.286-51.342-157.53-16.372 52.345-22.614 104.683-14.97 157.03-43.72-88.616-51.953-177.227 6-265.844l105.813 26.938 40.095-112.657c6.25-23.716-11.626-37.983-29.375-37.843zM213.156 95H244v18.688h-30.844V95zm45.03 0h30.845v18.688H258.19V95zm145.72 214.78c-37.668 6.744-45.553 52.718-8.53 67.283-9.3-23.13-6.25-45.49 8.53-67.282z"}}]})(props);
};
function GiIgloo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M199 145.352c-33.778 2.616-65.61 19.78-92.652 45.648H199v-45.648zm18 0V191h92.652c-27.043-25.867-58.874-43.032-92.652-45.648zM89.45 209c-3.435 4.065-6.77 8.27-9.99 12.604C71.65 232.106 64.55 243.328 58.243 255h61.272c1.59-16.988 6.785-32.926 17.127-46H89.45zm73.26 0c-16.243 11.155-23.242 26.376-25.17 46h141.05c-2.07-23.905-11.88-35.922-25.516-46H162.71zm116.206 0c9.25 11.384 16.004 26.23 17.676 46h18.164c3.207-.653 6.575-1 10.086-1h32.363c-6.17-11.312-13.08-22.195-20.664-32.396-3.22-4.334-6.555-8.54-9.99-12.604h-47.634zm45.926 63c-9.818 0-15.875 3.1-21.098 8.705-5.222 5.606-9.274 14.27-12.015 24.76-1.12 4.285-2.01 8.835-2.73 13.535h56.86c.863-5.833 1.973-11.595 3.44-17.145 2.923-11.07 7.23-21.466 14.122-29.855h-38.58zM400 272c-9.82 0-15.926 4.105-21.186 9.715-5.26 5.61-9.346 14.262-12.113 24.738-1.05 3.976-1.903 8.19-2.602 12.547H414.7c.86-5.818 1.972-11.598 3.433-17.203 2.87-11.01 7.197-21.308 13.867-29.797h-32zm-350.69 1c-6.818 15.013-12.323 30.516-16.34 46H52.92c-1.98-15.856 1.467-31.648 7.224-46H49.31zm30.477 0c-7.02 14.97-11.066 31.184-8.65 46H199v-46H79.787zM217 273v46h53.766c.874-6.153 2.02-12.236 3.548-18.086 2.672-10.223 6.512-19.877 12.48-27.914H217zm247 0c-9.497 0-14.68 2.513-18.77 6.922C459.365 286.245 466.4 329.21 467.66 367h19.2c-.075-18.384-.448-40.858-3.73-59.893-1.898-10.998-4.83-20.522-8.35-26.382-3.517-5.86-6.23-7.725-10.782-7.725zM28.975 337c-1.868 10.144-3.07 20.194-3.528 30H119v-30H28.975zM137 337v30h130.922c.1-9.242.28-19.5 1-30H137zm150.06 0c-.704 9.832-.954 19.77-1.083 29h57.043c.042-9.034.21-18.912.92-29h-56.88zm75 0c-.732 9.824-.955 19.765-1.025 29h50.848c.034-8.864.192-18.78.908-29h-50.73z"}}]})(props);
};
function GiImbricatedArrows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M24.406 26.844l86.72 153.906 52.093-19 17.155-47.03-155.97-87.876zm194.656 36.25l-36.25 99.5 60.032 70.875 13.906-38.064-37.688-132.312zm84.375 59.062L260.25 240.312l65.375 77.157 18.72-51.314-40.908-144zm94.344 52.03L342.5 325.72l102.406 120.874-122.53-103.813-146.813 53.564 310.625 88.437L397.78 174.19zm-233.186 6.97l-100.03 36.5 132.25 37.688 38.655-14.125-70.876-60.064zm77.72 77.438L123.5 302.03l144.063 40.908L319.5 324l-77.188-65.406z"}}]})(props);
};
function GiImpLaugh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M61.5 20.313S35.274 174.364 44.187 218.5c11.368 56.304 43.725 84.982 71.657 86.78 28.856 61.26 81.21 126.335 141.562 186.69 63.627-63.63 114.57-127.272 142.5-186.72 27.856-2.006 60.022-30.67 71.344-86.75 8.913-44.135-17.313-198.188-17.313-198.188s-25.825 44.997-50.968 93.313c-59.33-121.507-231.224-122.252-290.533-.03C87.297 65.286 61.5 20.312 61.5 20.312zm93.125 116.406c27.414-.006 49.235 14.294 66.156 41.155-32.622 17.113-60.617-1.23-86.06-38.844 6.93-1.547 13.58-2.31 19.905-2.31zm205.125 0c6.326 0 12.944.763 19.875 2.31-25.445 37.616-53.408 55.958-86.03 38.845 16.92-26.86 38.74-41.16 66.155-41.156zm-158.125 74.5l31.094 84.593 26.624-84.594 27.094 85.874 30.25-82.438 25.468 84.72 30.97-77.876c20.487 43.275-12.03 117.294-41.595 154.125l-22.56-62.72-22.064 118.658-23.812-102.657-26.78 94.656-24.564-99.218-22.563 58.125c-40.972-55.047-53.096-112.023-32.625-160.97l21.657 66.47 23.405-76.75z"}}]})(props);
};
function GiImp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192 22.406c-1.116.01-2.227.032-3.344.063C110.036 24.667 31.22 78.444 22.78 166.72c36.28-57.542 111.226-39.602 97.532 32.374 34.528-48.998 108-6.56 91.126 36.875-6.546 6.625-11.585 14.91-14.375 24.436-1.938-.243-3.866-.38-5.75-.406-.56-.007-1.103-.012-1.657 0-8.31.174-16.004 2.5-22.47 6.78-9.193 6.09-15.415 16.174-16.78 27.814-.663 5.657-.217 11.64 1.344 17.78l-44 42.126 82.72-11.22-16.345-24.78c-.004-.008.004-.023 0-.03-4.59-8.555-5.833-15.946-5.156-21.72.773-6.605 3.817-11.285 8.53-14.406 4.195-2.78 10.137-4.337 17.25-3.5.706 19.904 11.67 38.224 29 48.22-1.963 8.995-5.146 15.323-9.03 20.123-5.837 7.212-13.817 11.578-24.032 15.125-20.43 7.096-49.176 9.42-73.094 28.938-16.534 13.492-23.706 30.644-22.75 46.625.955 15.98 9.375 30.28 21.312 40.156 11.938 9.877 27.78 15.568 44.188 13.376 12.81-1.71 25.544-8.47 36.187-20.625 8.264 5.754 16 13.057 23.25 21.845 5.466-33.608 4.89-68.43-4.624-105.063-15.498 26.303-36.19 49.6-66.344 67.5 10.966.254 21.27 2.46 30.97 6.5-7.102 7.112-14.607 10.37-21.907 11.344-10.573 1.413-21.425-2.31-29.813-9.25-8.387-6.94-13.963-16.862-14.562-26.875-.6-10.01 3.11-20.618 15.906-31.06 18.563-15.15 43.676-17.5 67.438-25.75 11.88-4.128 23.607-10.13 32.406-21 5.415-6.693 9.51-15.02 12.094-25.25 11.967 2.42 23.922.925 34.47-3.626 8.432 12.26 16.06 23.816 17.123 31.312.633 4.466.138 7.127-3.625 11.125-2.183 2.322-5.808 4.95-11.187 7.595l-.03-.22-43.94 14.47 54.876 54.22-7.842-49.283c9.445-3.92 16.556-8.45 21.75-13.968 7.212-7.663 9.788-17.69 8.53-26.563-2.07-14.607-11.246-27.07-19.78-38.81 5.926-5.317 10.807-11.9 14.187-19.47 30.866-38.44 82.993-1.49 63.25 55.438 50.463-53.127 91.272-7.716 78.844 43.218C506.964 296.638 515.542 149.092 417 86.72c5.394 96.634-39.326 133.366-86.813 130.56 8.533-4.576 15.234-12.534 17.938-22.624 1.302-4.857 1.563-9.752.906-14.437 6.56-6.188 11.527-14.246 14.033-23.595 4.568-17.04-.135-33.9-11.282-45.97 1.728 6.93 1.88 14.3-.217 22.126-2.748 10.25-8.54 18.718-15.75 24.157-3.824-3.078-8.328-5.43-13.375-6.78-9.164-2.455-18.458-1.168-26.25 2.905-7.454-9.137-10.465-23.08-6.75-36.937 2.004-7.478 5.384-13.74 10.03-18.78-15.03 5.186-27.51 17.173-31.937 33.686-4.38 16.344.032 33.082 10.283 45.157-2.08 8.068-1.267 16.22 1.78 23.344-7.003-4.675-13.64-10.19-19.687-16.468-37.63-39.066-31.36-98.562 29.188-129.656-28.218-21.218-62.49-31.3-97.094-31z"}}]})(props);
};
function GiImpactPoint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M97.594 11.22c48.787 64.184 76.194 134.662 96.812 220.093H117.03l12.47 15.25 28.438 34.78 94.437 118.25 23.313-29.437 101.03-123.594 12.47-15.25h-74.782C335.026 145.88 362.43 75.405 411.22 11.22h-79.5C289.51 81.954 276.86 157.277 266.03 250h83.75l-96.655 118.25L156.437 250h86.25c-10.64-92.823-25.208-168.993-66.875-238.78H97.594zm4.875 362.56c-6.58 1.665-12.87 3.424-18.814 5.283-21.64 6.766-38.845 14.815-50 23.062-11.154 8.247-15.562 15.873-15.562 22.47 0 6.595 4.408 14.22 15.562 22.467 11.155 8.247 28.36 16.296 50 23.063 43.278 13.533 104.154 22.125 171.375 22.125 67.223 0 128.098-8.592 171.376-22.125 21.64-6.767 38.846-14.816 50-23.063 11.155-8.246 15.563-15.872 15.563-22.468s-4.41-14.222-15.564-22.47c-11.154-8.246-28.36-16.295-50-23.062-5.944-1.858-12.233-3.617-18.812-5.28 18.853 9.14 29.844 20.06 29.844 31.812 0 32.066-81.665 58.062-182.407 58.062-100.74 0-182.405-25.996-182.405-58.062 0-11.75 10.99-22.673 29.844-31.813zm63.936 5.72c-4.875 1.173-9.513 2.437-13.812 3.78-12.82 4.01-22.933 8.807-29.156 13.408-6.224 4.6-7.907 8.205-7.907 10.593 0 2.39 1.684 5.994 7.907 10.595 6.224 4.6 16.336 9.397 29.157 13.406 25.642 8.02 62.127 13.19 102.437 13.19 40.31 0 76.828-5.17 102.47-13.19 12.82-4.008 22.902-8.804 29.125-13.405 6.223-4.6 7.906-8.205 7.906-10.594 0-2.387-1.682-5.992-7.905-10.592-6.223-4.6-16.304-9.398-29.125-13.407-4.308-1.346-8.956-2.605-13.844-3.78 8.692 4.787 13.688 10.355 13.688 16.28 0 17.987-45.808 32.564-102.313 32.564-56.504 0-102.31-14.577-102.31-32.563 0-5.923 5.002-11.494 13.686-16.28z"}}]})(props);
};
function GiImperialCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 38.55c-30.5 0-55 24.52-55 55 0 30.45 24.5 54.95 55 54.95s55-24.5 55-54.95c0-30.48-24.5-55-55-55zM191.3 164.4c-5.7 0-11.1.4-16 1.4-19.9 4-34.1 15.6-43.1 35.4-9.4 20.6-12.1 50.6-5.8 88l6 5.9c13.8 13.8 36.1 21.4 58.6 21.4 21.1 0 42.1-6.7 56-19V179.2c-21-9.8-39.8-14.5-55.7-14.8zm129.4 0c-15.9.3-34.7 5-55.7 14.8v118.3c13.9 12.3 34.9 19 56 19 22.5 0 44.8-7.6 58.6-21.4l6-5.9c6.3-37.4 3.6-67.4-5.8-88-9-19.8-23.2-31.4-43.1-35.4-4.9-1-10.3-1.4-16-1.4zm-209.1 14.4h-.2c-30 .7-55.2 12.1-70.2 32.1-13.3 17.8-19.5 42.9-13.6 76 .9 5.1 2.1 10.5 3.7 16 24.5 18.5 54.3 18.6 78.9.3-9.2-44.8-6.9-81.9 5.6-109.4 2.4-5.3 5.2-10.2 8.4-14.7-2.9-.2-5.8-.3-8.6-.3H111.7c-.1 0-.1-.1-.1 0zm288.8 0c0-.1 0 0-.1 0H396.4c-2.8 0-5.7.1-8.6.3 3.2 4.5 6 9.4 8.4 14.7 12.5 27.5 14.8 64.6 5.6 109.4 24.5 18.3 54.4 18.2 78.9-.3 1.5-5.5 2.8-10.9 3.7-16 5.9-33.1-.3-58.2-13.6-76-15-20-40.2-31.4-70.2-32.1h-.2zM132.8 318.4c6.9 26.1 17.7 54.9 32.9 86.1h58.6l22.7-56.7v-28c-16.4 10-36.3 14.7-56 14.7-20.7 0-41.5-5.2-58.2-16.1zm246.4 0c-16.7 10.9-37.5 16.1-58.2 16.1-19.7 0-39.6-4.7-56-14.7v28l22.7 56.7h58.6c15.2-31.2 26-60 32.9-86.1zm-264.6 3.4c-23 13.9-50.1 16.1-74.5 6.4 9.6 23 24.1 48.5 44.5 76.3h61c-14-29.6-24.2-57.2-31-82.7zm282.8 0c-6.8 25.5-17 53.1-31 82.7h61c20.4-27.8 34.9-53.3 44.5-76.3-24.3 9.7-51.5 7.5-74.5-6.4zM256 373.7l-22.1 55.4 22.1 44.3 22.1-44.3zM91.53 422.5l11.47 46h35.3l-23-23 23-23zm90.27 0l16.6 16.6 6.3 6.4-23 23h51.7l-19.3-38.6 3-7.4zm113.1 0l1.5 3.7 1.5 3.7-19.3 38.6h51.7l-23-23 23-23zm78.9 0l16.6 16.6 6.3 6.4-23 23H409l11.5-46zM160 426.2l-19.3 19.3 19.3 19.3 19.3-19.3zm192 0l-19.3 19.3 19.3 19.3 19.3-19.3z"}}]})(props);
};
function GiImplosion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M141.938 20.53l18.656 38.095c-10.876 9-17.813 22.59-17.813 37.813 0 27.092 21.94 49.062 49.032 49.062 3.677 0 7.242-.42 10.688-1.188l14.97 30.563c3.612-1.96 7.35-3.715 11.218-5.22l-8.813-32.968c12.695-8.868 21-23.59 21-40.25 0-25.664-19.704-46.724-44.813-48.874l-7.218-27.032h-46.906zm131.468 0L263.75 163h.47c4.14 0 8.21.25 12.217.75L315.25 20.53h-41.844zm143.78 0L327.97 153.126c-3.414-1.275-7.114-1.97-10.97-1.97-17.306 0-31.344 14.04-31.344 31.345 0 .71.047 1.426.094 2.125-6.846-1.905-14.065-2.938-21.53-2.938-44.14 0-79.72 35.58-79.72 79.72 0 44.138 35.58 79.718 79.72 79.718 44.138 0 79.717-35.58 79.717-79.72 0-18.592-6.33-35.65-16.937-49.186 12.403-4.175 21.344-15.91 21.344-29.72 0-6.46-1.93-12.48-5.28-17.47l66.186-66.218c4.046 13.82 16.808 23.907 31.938 23.907 18.384 0 33.312-14.898 33.312-33.282 0-15.13-10.11-27.892-23.938-31.938l36.97-36.97h-70.344zm-398.81 3.564v70.312l165 111c2.22-3.194 4.614-6.252 7.186-9.156L18.375 24.094zm474.218 119.312L350.124 213.5c2.486 4.435 4.655 9.084 6.438 13.906l136.032-36.156v-47.844zM88.47 169.436c-18.386 0-33.314 14.898-33.314 33.283 0 1.18.068 2.35.188 3.5l-36.97-9.97v41.875l148.282 10.28c.523-3.935 1.274-7.816 2.25-11.593l-53.594-14.437c4.032-5.51 6.438-12.308 6.438-19.656 0-18.386-14.897-33.282-33.28-33.282zm363.25 57.814c-15.483 0-28.033 12.55-28.033 28.03 0 6.234 2.028 12.003 5.47 16.657l-66.72-4.625c-.314 5.29-1.034 10.466-2.156 15.5l132.314 35.75v-42.218l-20.875-1.438c4.962-5.057 8.03-11.98 8.03-19.625 0-15.48-12.55-28.03-28.03-28.03zm-283.533 55.625l-149.812 39.75v46.313L171.47 294.25c-1.316-3.698-2.414-7.49-3.282-11.375zm174.72 37.563c-3.12 4.147-6.56 8.02-10.282 11.625l159.97 159.968v-70.905l-149.69-100.688zm-153.157 5.187l-45.188 45.063c-7.893-4.645-17.086-7.313-26.906-7.313-29.35 0-53.125 23.806-53.125 53.156 0 9.758 2.634 18.895 7.22 26.75l-51.594 51.47h71.438l17.28-25.844c2.858.475 5.79.75 8.782.75 25.063 0 46.083-17.343 51.688-40.687 5.664 3.56 12.378 5.624 19.562 5.624 8.667 0 16.62-3.013 22.906-8.03l-18.28 68.186h41.624l9.53-136.875c-4.607-.932-9.083-2.196-13.436-3.75l-8.094 30.188C217.783 370.66 204.47 361 188.906 361c-2.9 0-5.73.335-8.437.97l18.218-27.22c-3.173-2.838-6.155-5.903-8.938-9.125zm108.813 28c-4.685 1.752-9.512 3.162-14.5 4.188l36.156 136.937h47.217l-8.375-17.188c1.273.148 2.564.25 3.875.25 18.385 0 33.282-14.928 33.282-33.312 0-18.384-14.898-33.28-33.283-33.28-12.055 0-22.63 6.405-28.468 16l-35.908-73.595z"}}]})(props);
};
function GiImprisoned (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M81 17.656v15.22c-11.175 4.177-18.906 15.608-18.906 28.343 0 12.734 7.73 24.165 18.906 28.343v23.374c-11.175 4.178-18.906 15.61-18.906 28.344 0 12.736 7.73 24.167 18.906 28.345v24.47c-11.175 4.177-18.906 15.607-18.906 28.343 0 12.735 7.73 24.165 18.906 28.343v20.407l-15.875-4.03-43.063 120.906c-.01.034-.022.06-.03.093-2.42 9.276-.887 15.685 2.374 20.656 3.274 4.99 8.77 8.62 15.063 10.188 6.292 1.567 13.143.948 18.686-1.844 5.544-2.79 10.056-7.47 12.438-15.906l.125-.438.155-.406 26.28-67.75 3.064-7.875 8.155 2.25 54.875 15.19 5.656 1.56 1.063 5.72 26.624 143.625h15.5v.063h89.594v-.063h15.406L343.72 349.5l1.06-5.72 5.658-1.56 54.875-15.19 8.156-2.25 3.06 7.876 26.283 67.75.156.406.124.438c2.382 8.437 6.862 13.115 12.406 15.906 5.544 2.792 12.425 3.41 18.72 1.844 6.292-1.567 11.787-5.198 15.06-10.188 3.263-4.97 4.797-11.38 2.376-20.656l-.03-.094-43.063-120.906-14.563 3.72V250.78c11.184-4.177 18.938-15.607 18.938-28.343 0-12.735-7.754-24.165-18.938-28.343v-24.47c11.184-4.177 18.938-15.608 18.938-28.343 0-12.734-7.754-24.165-18.938-28.343V89.564c11.184-4.178 18.938-15.61 18.938-28.344 0-12.736-7.754-24.167-18.938-28.345v-15.22h-18.688v15.22c-11.175 4.178-18.906 15.61-18.906 28.344 0 12.734 7.73 24.165 18.906 28.343v23.374c-11.175 4.178-18.906 15.61-18.906 28.344 0 12.736 7.73 24.167 18.906 28.345v24.47c-11.175 4.177-18.906 15.607-18.906 28.343 0 12.735 7.73 24.165 18.906 28.343v24.845l-84.093 21.438c.79 4.353 1.217 8.83 1.217 13.406 0 41.343-33.718 75.06-75.062 75.06-41.344 0-75.063-33.717-75.063-75.06 0-4.49.426-8.88 1.188-13.158l-84.406-21.5h.594v-25.03c11.183-4.18 18.937-15.61 18.937-28.345s-7.754-24.165-18.938-28.343v-24.47c11.184-4.177 18.938-15.608 18.938-28.343 0-12.734-7.754-24.165-18.938-28.343V89.564c11.184-4.178 18.938-15.61 18.938-28.344 0-12.736-7.754-24.167-18.938-28.345v-15.22H81zm9.344 32.22c4.922 0 9.594 4.528 9.594 11.343 0 6.813-4.673 11.343-9.594 11.343-4.92 0-9.563-4.53-9.563-11.344 0-6.816 4.642-11.345 9.564-11.345zm334.312 0c4.922 0 9.594 4.528 9.594 11.343 0 6.813-4.673 11.343-9.594 11.343-4.92 0-9.562-4.53-9.562-11.344 0-6.816 4.64-11.345 9.562-11.345zm-334.312 80.06c4.922 0 9.594 4.53 9.594 11.345 0 6.816-4.673 11.345-9.594 11.345-4.92 0-9.563-4.53-9.563-11.344 0-6.813 4.642-11.343 9.564-11.343zm334.312 0c4.922 0 9.594 4.53 9.594 11.345 0 6.816-4.673 11.345-9.594 11.345-4.92 0-9.562-4.53-9.562-11.344 0-6.813 4.64-11.343 9.562-11.343zM90.344 211.096c4.922 0 9.594 4.53 9.594 11.344 0 6.814-4.673 11.343-9.594 11.343-4.92 0-9.563-4.528-9.563-11.343 0-6.814 4.642-11.343 9.564-11.343zm334.312 0c4.922 0 9.594 4.53 9.594 11.344 0 6.814-4.673 11.343-9.594 11.343-4.92 0-9.562-4.528-9.562-11.343 0-6.814 4.64-11.343 9.562-11.343zm-167.28 43c-31.245 0-56.376 25.13-56.376 56.375 0 19.348 9.646 36.356 24.406 46.5v-19.626h18.688v27.906c4.257 1.02 8.702 1.594 13.28 1.594 4.782 0 9.418-.61 13.845-1.72v-27.78h18.686v19.22c14.44-10.188 23.844-26.995 23.844-46.095 0-31.245-25.13-56.376-56.375-56.376z"}}]})(props);
};
function GiIncense (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M269.906 19.72c-22.584-.18-45.068 9.882-58.312 28.186-3.3 4.56-4.866 9.216-6.656 14.125 25.218-19.082 64.92-21.07 98.218-2.25 12.284 6.944 22.95 15.317 30.03 25.22 2.872-21.77-7.173-43.926-29.03-56.28-10.58-5.982-22.42-8.907-34.25-9zM114.312 45.437c-40.88 5.144-62.494 44.206-26.843 81.28C152.784 194.645 228 62.014 314.72 105.75c-54.142-84.613-115.572 4.63-184.19-3-24.45-2.717-40.31-32.677-16.218-57.313zM43.5 89.344c-34.748 69.57 57.006 143.258 132.72 81.5-52.88 9.79-134.675-13.864-132.72-81.5zM273.094 121c-5.932.124-11.34.998-17.063 1.813 45.095 13.808 81.135 51.81 85.845 95.624 1.736 16.162.317 31.597-6.03 44.344 29.547-9.814 48.652-32.612 45.56-61.374-4.35-40.505-50.376-76.533-102.186-80.25-2.12-.152-4.15-.197-6.126-.156zm-22.53 24.094C203.9 145.02 172.617 233.492 110 219.97c56.5 55.534 85.024-29.184 137.5-38.25 18.698-3.233 36.24 17.154 23.063 42.124 29.402-13.135 37.966-49.082 4.343-70.78-8.663-5.592-16.708-7.958-24.344-7.97zm65.31 58.625c-5.028 26.196-26.83 45.418-55.25 45.436-10.483.01-20.755-1.84-29.718-6.47 9.124 18.374 25.843 31.3 44.5 31.283 26.275-.027 45.844-25.345 43.625-56.22-.36-5.046-1.753-9.382-3.155-14.03zm82.688 29c-29.075 66.98-116.227 78.57-179.28 46.686 16.795 62.373 84.312 74.884 132.218 48-6.773 23.07-23.636 48.122-54.72 67.72 72.137-13.203 112.966-93.837 101.783-162.407zm-210 28.718c-1.34 3.298-2.475 6.55-3.468 9.78-41.677 61.148-27.868 144.897 32.156 189.25 61.47 45.42 148.236 32.407 193.656-29.062 33.926-45.914 35.248-105.948 8.125-152.312 3.956 47.482-42.914 125.878-99.03 137.344-53.372 10.904-109.618-17.097-128.563-73.532 23.022 40.5 77.285 56.485 114.032 21.47-64.08 21.732-110.737-49.515-116.908-102.938z"}}]})(props);
};
function GiIncisors (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M203.72 18.97c-28.924-.952-61.06 76.206-61.907 181.686 33.953-1.45 69.937-2.307 107.437-2.625-1.177-127.187-22.312-178.298-45.53-179.06zm109.374 0c-21.54.943-41.12 52.085-42.22 179.03 34.8-.056 68.26.51 99.876 1.594-.947-105.09-30.825-181.802-57.656-180.625zM77.156 48.28C50.104 47.703 20.683 117.8 18.594 208c.11.946.45 1.722.562 2.656 21.85-3.812 58.996-6.717 102.78-8.937-4.15-109.758-23.74-152.988-44.78-153.44zm360.938.064c-21.14.226-40.853 42.942-45.156 151.78 44.583 2.027 81.885 5.516 103.375 10.532.112-.945.45-1.703.562-2.656-2.084-89.998-31.6-159.947-58.78-159.656zM19.156 310.53c-.112.917-.452 1.633-.562 2.564 3.713 156.09 93.857 250.325 103.344 6.125-43.786-2.164-80.93-4.98-102.782-8.69zm477.156 0c-21.49 4.883-58.79 8.248-103.375 10.22 9.836 242.16 100.234 148.085 103.938-7.656-.112-.935-.45-1.65-.563-2.563zm-354.5 9.72c1.53 185.105 104.795 280.58 107.438 2.563-37.5-.318-73.484-1.145-107.438-2.563zm228.938 1.03c-31.615 1.048-65.077 1.607-99.875 1.533 2.467 277.488 98.167 182.874 99.875-1.532z"}}]})(props);
};
function GiIncomingRocket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.36 18.336V93.59l317.51 262.287-52.917.53 82.58 63.884-71.963.394 80.102 32.728-17.404 15.14c34.87 16.374 70.587 22.075 135.648 22.718l.008-.002c-.314-44.892-11.583-91.282-28.666-126.69l-12.5 25.762-43.65-104.975-8.303 72.656-53.752-70.182 5.8 55.584L85.86 18.336h-67.5zm148.736 0L336.303 271.23 232.88 18.336h-65.784zm123.34 0l50.753 183.898 2.468-183.898h-53.22zM18.363 160.074v82.963l241.853 99.272L18.36 160.073zm0 141.29v57.396l201.552-4.795-201.55-52.6zm357.154 77.212c41.388 7.493 81.473 39.554 93.138 89.248-30.75-5.512-52.902-16.592-67.86-31.74-14.722-14.907-22.987-34.03-25.278-57.508z"}}]})(props);
};
function GiIncubator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M233 41v30h46V41h-46zm-9 48c-29.8 0-77.4 11.7-116.3 29.2-19.46 8.8-36.82 19-48.81 29.4-7.86 6.8-12.84 13.4-15.52 19.4H468.6c-2.6-6-7.6-12.6-15.5-19.4-12-10.4-29.3-20.6-48.8-29.4C365.4 100.7 317.8 89 288 89h-64zM72.8 202.6l-48 64 14.4 10.8 48-64-14.4-10.8zm299.7 0l-14.4 10.8 48 64 14.4-10.8-48-64zm66.7 0l-14.4 10.8 48 64 14.4-10.8-48-64zM130.7 204l-32.05 64 16.15 8 32-64-16.1-8zm57.9 1.8l-16 64 17.4 4.4 16-64-17.4-4.4zm134.8 0l-17.4 4.4 16 64 17.4-4.4-16-64zM247 208v64h18v-64h-18zM96 320c-28 0-56 53.3-56 106.6 0 26.7 28 53.3 56 53.3s56-26.6 56-53.3c0-53.3-28-106.6-56-106.6zm320 0c-28 0-56 53.3-56 106.6 0 26.7 28 53.3 56 53.3s56-26.6 56-53.3c0-53.3-28-106.6-56-106.6zm-160 .1c-28 0-56 53.3-56 106.6 0 26.7 28 53.3 56 53.3s56-26.6 56-53.3c0-53.3-28-106.6-56-106.6z"}}]})(props);
};
function GiIndianPalace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 27.88c-8.97 10.574-20.842 21.506-33.637 33.347-16.767 15.515-34.995 32.31-49.45 49.656-14.453 17.345-24.872 35.13-27.25 51.994-2.265 16.054 1.912 31.8 18.275 49.244h184.125c16.362-17.444 20.54-33.19 18.275-49.243-2.38-16.865-12.798-34.65-27.252-51.994-14.454-17.345-32.682-34.14-49.45-49.656C276.843 49.387 264.97 38.454 256 27.88zM32 68.12c-16 16-16 32-16 48h7v71h-7v18h7v279h18v-279h7v-18h-7v-71h7c0-16 0-32-16-48zm448 0c-16 16-16 32-16 48h7v71h-7v18h7v279h18v-279h7v-18h-7v-71h7c0-16 0-32-16-48zm-368 137c-16 16-32 32-32 48v23h64v-23c0-16-16-32-32-48zm288 0c-16 16-32 32-32 48v23h64v-23c0-16-16-32-32-48zm-231 25v14h174v-14zm0 32v222h39v-135c0-16 32-48 48-64 16 16 48 48 48 64v135h39v-222zm-96 32v190h78v-190zm288 0v190h78v-190zm-249 7s16 8.234 16 16v32H96v-32c0-7.766 16-16 16-16zm288 5.464s16 8.233 16 16v32h-32v-32c0-7.767 16-16 16-16zM112 365.12s16 8.234 16 16v32H96v-32c0-7.766 16-16 16-16zm288 0s16 8.234 16 16v32h-32v-32c0-7.766 16-16 16-16zm-288 64s16 8.234 16 16v32H96v-32c0-7.766 16-16 16-16zm288 0s16 8.234 16 16v32h-32v-32c0-7.766 16-16 16-16z"}}]})(props);
};
function GiInfestedMass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M233.656 22.094c-13.884.19-28.38 2.95-42.97 8.843 30 .765 65.91 7.887 84.97 31.22 8.688 10.636 11.745 27.18 10 44.062 1.995 1.7 3.902 3.464 5.72 5.28 3.9 3.9 7.358 8.075 10.374 12.47 2.473-.76 5.003-1.38 7.563-1.845 4.732-.858 9.63-1.285 14.593-1.28 3.103 0 6.236.192 9.375.53 10.447-50.18-36.918-98.625-96.842-99.28-.92-.01-1.856-.014-2.782 0zM203.186 95c-15.846.105-29.938 4.536-39.31 13.906-10.155 10.152-13.038 23.736-10.75 39.188.014.05.015.105.03.156 3.632 12.436 9.568 22.548 18.563 29.47 9.19 7.07 21.93 11.32 40.81 10.31 24.243-1.287 44.017 5.027 58.157 16.157 7.786-4.726 16.25-8.435 25.157-10.906 6.824-23.556.928-49.983-17.688-68.593-13.622-13.617-36.4-24.738-58.656-28.374-5.564-.91-11.03-1.348-16.313-1.313zm-67.092 26.125c-36.665 3.137-65.013 16.806-77.188 58.313-7.66 26.115-8.875 48.963-37 42.312 13.805 21.97 35.546 21.773 51.938-.656 2.116-31.247 23.968-60.177 60.22-77-.498-7.816.06-15.584 2.03-22.97zm187.75 18.47c-3.887-.025-7.656.296-11.188.936-.622.114-1.24.247-1.844.376 5.944 14.818 7.712 30.933 5.313 46.53L318.47 190c1.865-.037 3.74-.044 5.592.03 14.12.574 27.756 4.417 39.907 10.97 6.124-8.08 14.654-13.623 24-16.188-4.018-16.57-14.876-28.428-28.75-36.062-10.943-6.02-23.716-9.085-35.376-9.156zm111.094 15.718c-10.65-.035-22.264 3.12-34.47 9.75 2.88 5.69 5.06 11.92 6.376 18.656 5.33.822 10.604 2.593 15.53 5.436.342.197.667.42 1 .625 31.248-10.763 50.928 7.43 70.126 41.282-3.826-47.476-26.85-75.648-58.563-75.75zm-296.407 7.562c-34.192 17.036-49.508 44.107-45.624 71.188 6.8 47.39 54.347 88.916 127.906 80.375 40.473-4.73 57.84-33.015 56.625-59.282-.606-13.133-6.022-25.582-16.312-34.625-10.29-9.04-25.668-15.007-47.594-13.843-22.24 1.19-40.093-4.082-53.186-14.156-10.115-7.78-17.108-18.17-21.813-29.655zm261.376 38.906c-.635 0-1.275.02-1.906.064-7.11.492-13.873 3.88-18.563 9.687 12.788 10.704 22.776 24.935 28.25 41.75 6.082-1.892 11.504-5.998 14.97-12 7.316-12.67 3.046-28.624-9.626-35.936-4.157-2.4-8.675-3.548-13.124-3.563zm-79.22 6.814c-6.33-.01-12.773.812-19.186 2.53-6.16 1.652-12.062 4.055-17.594 7.095 7.51 10.74 11.598 23.335 12.188 36.093.61 13.195-2.598 26.637-9.344 38.625 14.722 8.054 24.75 23.693 24.75 41.562 0 12.122-4.618 23.225-12.188 31.625 15.78 8.356 32.223 11.792 45.907 8.125 18.044-4.835 32.42-21.747 40.81-43.688 8.393-21.94 10.268-48.213 5.033-67.75-8.508-31.746-36.493-52.947-67.657-54.156-.9-.035-1.814-.06-2.72-.062zm105.377 56.062c-4.356 3.1-9.218 5.382-14.313 6.78 1.583 11.985 1.287 24.688-.688 37.252 25.354 13.418 30.89 27.678 22.657 54.937-16.6 54.96 19.597 83.604 54.56 65.125-32.506-9.75-28.104-27.133-20.56-58.188 12.61-51.91-4.718-81.086-41.658-105.906zM85 269.5c-5.774 1.98-11.213 5.275-15.844 9.906-16.14 16.137-16.142 42.08 0 58.22 2.552 2.55 5.35 4.694 8.313 6.437 9.93-14.787 20.88-29.138 34.874-40.657C100.827 293.713 91.594 282.19 85 269.5zm190.438 38.625c-9.886 10.296-23.166 18.38-39.657 22.53-.166 1.262-.28 2.536-.28 3.845-.002 15.91 12.732 28.657 28.656 28.656 15.925 0 28.656-12.743 28.656-28.656.002-11.91-7.12-22.03-17.375-26.375zm-138.563 11.313c-6.775 36.136 8.59 62.088 28.938 72.75 13.032 6.828 28.22 7.607 43 .28 8.532-4.23 17.05-11.36 24.656-22.03-10.166-8.704-16.66-21.6-16.657-35.938v-.875l-.032-.03c-30.54 2.5-57.68-3.067-79.905-14.158zm-19.313 4.437c-11.573 11.33-21.445 25.583-31.25 40.75-18.82 36.482-17.525 82.327 20.657 111.47 31.69 24.19 77.54 21.817 99.968 5.405 19.914-14.573 25.155-45.586 6.812-68.97 4.42 16.066-4.613 41.808-18.5 49.345-16.21 8.8-38.286 7.45-56.625-12.656-21.554-23.633-18.893-43.104-3.625-58.876-13.2-16.448-20.353-39.638-17.438-66.47zm169.032 56.656c-11.754 43.65 16.39 92.464 79.156 95.5-31.95-16.928-51.635-50.344-46.813-82.936-11.11-2.13-22.064-6.57-32.343-12.563z","fillRule":"evenodd"}}]})(props);
};
function GiInfinity (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M278.535 276.134c12.314 21.92 26.598 38.42 42.854 49.503 16.5 10.837 35.094 16.255 55.782 16.255 24.874 0 45.193-8.25 60.955-24.752 15.762-16.747 23.643-38.05 23.644-63.91 0-24.875-7.265-45.563-21.795-62.064-14.532-16.5-32.757-24.752-54.676-24.752-19.95 0-38.052 8.25-54.306 24.752-16.01 16.255-33.495 44.577-52.46 84.968m-45.07-39.53c-12.067-21.672-26.352-37.926-42.853-48.763-16.254-10.835-34.848-16.254-55.782-16.254-24.875 0-45.193 8.25-60.955 24.752C58.11 212.593 50.23 233.65 50.23 259.51c0 24.875 7.265 45.562 21.795 62.063 14.53 16.5 32.756 24.752 54.676 24.752 19.95 0 37.928-8.127 53.937-24.382 16.254-16.255 33.864-44.7 52.828-85.338m26.23 67.605c-17.487 33.495-35.835 58-55.045 73.516C185.686 393.242 164.505 401 141.108 401c-33.248 0-61.448-13.792-84.598-41.376-22.905-27.584-34.357-61.694-34.357-102.33 0-43.1 10.22-77.95 30.662-104.55 20.688-26.597 47.533-39.896 80.535-39.897 23.397 0 44.33 7.635 62.803 22.905 18.47 15.023 36.942 39.898 55.414 74.624 16.747-33.987 34.85-58.985 54.306-74.994C325.33 119.128 347.003 111 370.893 111c32.754 0 60.707 13.915 83.86 41.745 23.395 27.83 35.094 62.187 35.094 103.07 0 42.854-10.344 77.58-31.032 104.18-20.442 26.35-47.164 39.527-80.165 39.527-23.398 0-44.21-7.142-62.433-21.426-17.98-14.53-36.82-39.16-56.523-73.886"}}]})(props);
};
function GiInfo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 21C126.426 21 21 126.426 21 256s105.426 235 235 235 235-105.426 235-235S385.574 21 256 21zm0 36c110.118 0 199 88.882 199 199s-88.882 199-199 199S57 366.118 57 256 145.882 57 256 57zm-7.352 36.744c-8.227 0-15.317 2.976-21.27 8.928-5.776 5.952-8.665 12.955-8.665 21.008 0 8.227 2.89 15.23 8.666 21.006 5.95 5.776 13.04 8.666 21.268 8.666 8.228 0 15.23-2.89 21.006-8.666 5.777-5.777 8.666-12.78 8.666-21.006 0-8.053-2.976-15.056-8.927-21.008-5.777-5.952-12.692-8.928-20.745-8.928zm-62.757 82.453v28.096h46.215v186.13H185.89v27.833h140.22v-27.834h-45.69V176.197h-94.53z"}}]})(props);
};
function GiInjustice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.438 23.08s-70.897 56.757-118.08 70.513c-47.182 13.756-70.642-15.469-70.642-15.469s14.65 34.485-19.828 69.494c-34.482 35.01-118.112 70.531-118.112 70.531l-2.366 13.93 6.452 8.121L29.36 376.606c-.6 1.101-.593 2.104-.593 3.313 0 18.897 8.252 34.243 20.343 44 12.09 9.758 27.564 14.31 42.938 14.312 15.376.003 30.877-4.555 42.969-14.312 12.092-9.756 20.343-25.094 20.343-44 .198-1.352-.192-2.316-.687-3.531L99.735 241.76c.059-1.373.239-2.845 1.551-6.002 20.336-15.642 69.497-51.446 106.305-61.696 18.947-5.273 35.577.53 35.015 6.936L215.87 369.577l21.406 30.31c-17.75 7.75-32.593 24.84-37.562 51.344-56.076 6.195-95.469 20.742-95.469 37.69H416.12c0-16.947-39.392-31.495-95.467-37.69-4.91-26.6-19.57-44.112-37.187-51.906l21-29.75-30.737-194.596c4.17-19.161 18.107-42.676 28.875-57.654 16.23-22.415 108.224-65.652 109.659-64.096l-54.938 134.627c-.495 1.216-.885 2.18-.687 3.532 0 18.906 8.251 34.244 20.343 44 12.092 9.757 27.595 14.315 42.971 14.312 15.374-.003 30.846-4.554 42.936-14.312 12.09-9.757 20.345-25.103 20.345-44 0-1.21.004-2.212-.595-3.313L430.796 50.763c.97-4.868 3.99-8.561 7.094-12.034l-11.833-14.786zm18.264 56.526l40.936 108.375h-85.155zM90.296 268.138l44.22 108.375H49.36z"}}]})(props);
};
function GiInkSwirl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M262.97 19.438c-3.533.036-7.074.17-10.595.375 37.426 5.91 74.12 23.423 102.188 49.624-55.762-26.124-129.46-27.253-186.875-3.5 10.37-9.73 21.777-17.51 33.875-23.343C48.768 80.06-6.44 197.116 56.72 343.938c-16.45-26.78-29.106-55.588-35.626-84.688-5.23 74.055 32.02 134.952 102.47 197.406.06.063.124.126.186.188 12.107 12.125 24.238 22.045 32.875 27.03 64.588 37.292 121.345-63.365 57.78-100.062-11.465-6.62-33.518-14.218-56.56-18.875-76.657-36.295-93.91-155.886-20.282-240.687-6.654 16.82-11.594 34.836-14.844 53.375 76.21-134.99 312.3-129.124 324.124 72.063-10.722-61.622-53.708-113.837-121.03-135.344 56.69 23.942 96.28 79.752 96.28 145.25 0 94.252-72.826 148.403-154.594 165.625 42.582 2.34 94.684-13.826 125.438-36.314-23.357 39.58-72.146 67.082-123.25 81.594 72.736-2.804 136.515-41.146 175.406-97.375-10.316 11.652-22.718 22.04-36.78 30.97 46.54-55.267 70.795-137.97 61.31-210.25 8.428 16.284 13.583 33.51 15.782 51.374C485.26 97.63 372.46 18.3 262.97 19.437z"}}]})(props);
};
function GiInnerSelf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M263.28 18.47c-1.164.028-2.346.124-3.5.124-32.842 0-59.592 33.925-59.592 75.937 0 21.274 7.08 40.466 18.093 54.282-68.132 10.567-82.852 105.422-66.655 191.563h23.563l-1.032-105.344 18.688-.186 1.25 126.687 8.75 132.876h46.875V318.812h18.686v175.594h44.313l11.5-154.03h.03l1.063-105.532 18.687.187-1.063 105.345h24.532c18.362-88.46-4.724-178.95-67.095-190.688 11.507-13.88 18.97-33.344 18.97-55.156 0-39.387-23.416-72.038-53.408-75.936-.5-.075-.987-.11-1.5-.125-.384-.012-.767-.01-1.156 0zm-4.717 137.686c11.48 0 20.78 10.683 20.78 23.875 0 8.73-4.072 16.365-10.156 20.532h38.907v18.688h-40.22v23.344l24.563 49.437-16.75 8.314-17.156-34.53-17.155 34.53-16.75-8.313 24.563-49.436V219.25h-40.22v-18.688h38.97c-6.084-4.167-10.157-11.802-10.157-20.53 0-13.192 9.303-23.876 20.782-23.876z","fillRule":"evenodd"}}]})(props);
};
function GiInsectJaws (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M141.063 54.72c-5.572-.08-10.61 1.583-14.25 5.124-8.962 8.715-5.958 25.523 6.718 37.53 12.677 12.01 30.228 14.685 39.19 5.97 8.96-8.715 5.925-25.524-6.75-37.53-7.528-7.13-16.765-10.978-24.907-11.095zm231.156 0c-8.144.116-17.412 3.963-24.94 11.093-12.675 12.007-15.68 28.816-6.717 37.53 8.96 8.716 26.51 6.04 39.187-5.968 12.676-12.008 15.68-28.816 6.72-37.53-3.642-3.542-8.68-5.206-14.25-5.126zm-182.94 67.31c-8.27.095-15.847 2.3-20.81 6.626-9.93 8.654-5.566 22.475 9.75 30.844 15.314 8.37 35.79 8.123 45.718-.53 9.928-8.655 5.533-22.445-9.782-30.814-7.657-4.184-16.603-6.218-24.875-6.125zm134.69 0c-8.273-.092-17.22 1.942-24.876 6.126-15.315 8.37-19.68 22.16-9.75 30.813 9.93 8.653 30.403 8.9 45.72.53 15.314-8.37 19.677-22.19 9.748-30.844-4.964-4.327-12.57-6.53-20.843-6.625zm-183.064 53.407c-5.683 10.385-14.37 20.635-25.937 29.75-24.016 18.923-54.28 28.154-79.5 26.657-2.37 12.198-3.376 24.48-3.376 37.312 0 92.572 63.884 171.475 153.094 199.25-27.045-21.037-26.52-70.76-6.782-95.53-81.704-65.275-54.32-135.304 19.688-168.438-19.968-5.9-38.035-14.754-53.25-25.97-1.34-.988-2.64-2.004-3.938-3.03zm230.875.47c-1.103.864-2.206 1.724-3.342 2.562-13.708 10.102-29.73 18.318-47.375 24.155 71.14 31.96 85.985 108.537 12.968 170.25 25.12 24.56 14.598 73.843-6.78 95.53 89.21-27.774 153.938-106.677 153.938-199.25 0-12.83-1.85-25.113-4.22-37.31-25.22 1.496-55.484-7.735-79.5-26.657-11.393-8.978-20-19.06-25.687-29.282zm-62.967 30.312c-12.046 3.114-24.722 5.158-37.844 6.03 10.544 7.982 17.967 27.3 17.967 49.875 0 20.02-5.85 37.46-14.53 46.72 26.775-6.865 46.687-32.65 46.687-63.44 0-14.72-4.595-28.276-12.28-39.186zm-98.25 1.468c-7.088 10.652-11.313 23.643-11.313 37.718 0 30.754 19.887 56.54 46.625 63.438-8.672-9.264-14.5-26.71-14.5-46.72 0-22.244 7.23-41.34 17.53-49.53-13.255-.472-26.1-2.15-38.343-4.906z"}}]})(props);
};
function GiInspiration (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M51.34 23.63l-6.68 16.72 80.04 32.01 6.6-16.72-79.96-32.01zm409.36.01l-80 32 6.6 16.72 80-32-6.6-16.72zM256 25c-29 0-50 14.08-64.7 34.29C176.6 79.51 169 106 169 128c0 13 7 27.8 14.5 39s14.9 18.6 14.9 18.6l1.5 1.5 9.3 27.9H228L194.7 98.07 256 118.5l61.3-20.43L284 215h18.8l9.3-27.9 1.5-1.5s7.4-7.4 14.9-18.6c7.5-11.2 14.5-26 14.5-39 0-22-7.6-48.49-22.3-68.71C306 39.08 285 25 256 25zm128 94v18h96v-18h-96zm-352 .1v18h96v-18H32zm189.3 6.8l25.5 89.1h18.4l25.5-89.1-34.7 11.6-34.7-11.6zm166 57.7l-6.6 16.8 80 32 6.6-16.8-80-32zm-262.6.1l-80.04 32 6.68 16.8 79.96-32-6.6-16.8zM217 233v14h78v-14h-78zm0 32v14h78v-14h-78zm-46.9 2.6c-27.1.5-52.6 5-66.9 11.1L29.8 484.1c71.1-14.1 143.9-26 217.2-.9V297h-48v-28.3c-7.9-.7-16-1.1-23.9-1.1h-5zm166.8 0c-7.9 0-16 .4-23.9 1.1V297h-48v186.2c73.3-25.1 146.1-13.2 217.2.9l-73.4-205.4c-14.3-6.1-39.8-10.6-66.9-11.1h-5z"}}]})(props);
};
function GiInterceptorShip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23.2c-75.5 0-132.9 56.75-172.05 131.2-35.92 68.2-55.33 150.3-58.34 211.4 36.08-21.9 74.59-45.9 112.19-65.6 26.8-14 52.8-25.8 77.2-32.7v-33l41-41 41 41v33c24.4 6.9 50.4 18.7 77.2 32.7 37.6 19.7 76.1 43.7 112.2 65.6-3-61.1-22.4-143.2-58.4-211.4-39.1-74.45-96.5-131.2-172-131.2zm-201.01 23v42.42l18-9V46.2zm384.01 0v33.42l18 8.99V46.2zm-235.2 7h104.4l82.7 99.2-11.4 13.6c-72.5-41.8-176.6-39.8-247.1 0l-11.3-13.6zM86.99 92.76l-46 23.04v91.4c7.7-20.9 16.71-41.6 27.04-61.2 5.87-11.1 12.2-22 18.96-32.4zm338.01 0v20.84c6.8 10.4 13.1 21.3 19 32.4 10.3 19.6 19.3 40.2 27 61.1v-91.3zM256 218.9l-23 23v67.3h46v-67.3zm-41 67.6c-7.4 2.3-15.2 5.1-23.1 8.3l8.2 49.5 30.9 16.5v124.4h16v-103h18v103h16V360.8l30.9-16.5 8.2-49.5c-7.9-3.2-15.7-6-23.1-8.3v40.7h-82zm-84.9 38.4c-8.8 4.8-17.7 9.8-26.5 15l-9.96 148.9 25.56-76.6zm251.8 0l10.9 87.3 25.6 76.6-10-148.9c-8.8-5.1-17.7-10.2-26.5-15z"}}]})(props);
};
function GiInterdiction (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.22 24.594C174.977 24.444 95.923 66.54 52.374 141.97c-64.817 112.266-26.36 255.744 85.906 320.56 112.268 64.818 255.747 26.362 320.564-85.905 64.817-112.267 26.36-255.745-85.906-320.563-36.838-21.268-77.044-31.395-116.72-31.468zm-.126 45.562c31.98.056 64.38 8.237 94.062 25.375 82.963 47.9 115.894 149.142 80.5 235.376L184 84.25c22.816-9.31 47.322-14.137 72.094-14.094zm-117.125 40.22l265.53 265.53c-9.55 12.227-20.382 23.04-32.22 32.313L106.69 142.624c9.556-12.224 20.435-22.984 32.28-32.25zm-58.407 77.28L327.25 434.344c-52.287 21.37-113.55 19.208-166.25-11.22-82.987-47.912-115.88-149.212-80.438-235.468z"}}]})(props);
};
function GiInterlacedTentacles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M309.014 25.014c-23.568.1-44.934 5.207-60.383 15.144-14.905 9.588-25.017 23.102-27.68 42.838.827.05 1.65.112 2.474.176 25.06-19.447 60.447-23.536 92.1-18.772 20.404 3.072 39.644 9.75 54.843 19.106l.278-.416c23.215 15.532 37.425 30.063 43.492 45.81 6.067 15.748 2.28 31.98-7.215 45.56-18.992 27.157-58.648 49.897-103.516 77.784-2.518 1.565-5.102 3.196-7.65 4.79 10.143 4.06 20.443 8.352 30.762 12.966 9.08 4.06 18.176 8.382 27.193 12.984 33.81-20.84 66.768-39.722 89.993-60.554 24.847-22.287 38.456-45.19 33.977-77.64-4.544-32.923-23.75-60.02-50.557-80.352-26.806-20.334-61.115-33.512-93.945-37.852-8.208-1.085-16.31-1.606-24.164-1.572zm-95.89 76.455c-1.223-.017-2.45-.016-3.685 0-6.577.092-13.303.65-20.065 1.67-27.05 4.09-54.462 15.528-74.797 32.592-20.335 17.065-33.595 39.232-34.338 66.258-.73 26.587 12.66 45.837 35.547 64.514 22.886 18.677 54.888 35.46 87.39 54.426 32.5 18.965 65.604 40.2 90.624 69.19 16.576 19.203 29.33 42.048 35.682 69.275 3.974-26.167-1.076-47.67-11.445-66.975-14.675-27.324-41.03-50.18-69.455-71.3-28.424-21.118-58.69-40.352-80.686-62.352-21.995-22-35.936-48.92-27.003-80.432l.05.014c2.402-11.49 10.965-21.01 21.676-28.418 12.418-8.59 28.5-14.85 45.898-18.026 26.118-4.766 56-2.45 78.94 12.588-4.537-14.195-13.64-24.224-26.005-31.363-13.038-7.528-30.003-11.43-48.33-11.66zm184.802 38.03c-2.875 7.71-8.12 14.696-14.764 20.61-11.546 10.275-27.447 18.74-46.318 27.195-30.636 13.725-69.24 27.188-108.647 43.98 14.082 5.43 29.61 11.113 45.862 17.3 6.587-4.173 13.103-8.248 19.48-12.212 45.03-27.987 83.65-52.007 98.067-72.623 6.244-8.93 8.348-16.06 6.32-24.25zM161.51 219.652c4.17 8.77 10.877 17.174 19.603 25.903 19.714 19.717 49.5 38.93 78.616 60.564 29.114 21.632 57.785 45.835 74.77 77.458 16.173 30.112 20.78 67.03 4.98 111.215h143.217c-.466-56.115-19.36-97.476-48.385-129.98-30.6-34.266-72.642-58.623-115.423-77.752-42.782-19.13-86.084-32.968-119.335-47.164-14.927-6.372-27.85-12.76-38.045-20.244zm-42.846 72.395c-17.003 13.064-32.44 27.7-45.414 44.28-30.797 39.36-48.285 89.58-40.56 158.466h50.654c4.796-63.304 34.116-113.686 72.7-154.37 5.162-5.44 10.488-10.716 15.946-15.84-18.737-10.664-37.06-21.14-53.326-32.536zm70.334 42.28c-6.704 6.107-13.19 12.418-19.393 18.956-36.282 38.255-62.823 83.734-67.52 141.51H213.86c-4.61-50.868 9.03-91.18 32.585-123.242-16.34-12.562-34.394-23.805-52.687-34.48-1.585-.924-3.173-1.827-4.76-2.744z"}}]})(props);
};
function GiInterleavedArrows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M182.885 16.2l-1.73 57.015 51.257 47.226 8.063-23.036-57.59-81.205zm-68.537 65.073v.004l77.75 61.625 28.797-8.062-57.018-52.986-49.53-.58zM89.32 101.6l1.225 56.375 55.762 56.373 9.19-30.637L89.32 101.6zm159.496 33.992l-15.552 10.363c19.852 29.796 29.86 65.31 28.07 103.537l-.182.016-1.406 18.824c.02 0 .04-.003.06-.004-3.512 49.992 11.5 96.754 41.26 133.654l-30.218 16.368 62.177 19.548-38.877 19.432 153.995 32.77-98.457-122.86.132 55.44c-50.335-36.216-76.608-92.807-71.142-155.975l.078-.006.22-3.1c.025-.26.047-.517.075-.776 4.974-46.64-6.008-90.873-30.234-127.232zm-171.14 36.472l-57.6 2.454 87.012 61.275 23.898-9.19-53.31-54.54zm77.482 51.54l-10.05 15.757c28.25 18.023 61.034 28.177 95.874 29.265l1.395-18.648c-31.888-.83-61.58-10.016-87.22-26.372zm143.664 24.207l-1.312 18.602c52.536 1.886 99.042 26.41 130.82 68.754h-47.113L497.91 427.9l-31.62-145.66-19.546 39.588-18.7-59.478-15.747 29.07c-31.726-26.472-71.01-41.83-113.475-43.61z"}}]})(props);
};
function GiInterleavedClaws (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M60.113 18.73c33.985 13.337 68.53 30.25 96.555 51.81 21.406 16.47 39.11 35.722 49.24 58.485 7.67 17.234 10.745 36.477 7.817 57.092 28.568-7.727 58.908-10.21 88.316-6.37 25.235-66.077 3.016-128.26-32.253-161.017H196.67c44.027 40.57 53.718 85.142 40.033 138.98-8.817-62.917-32.8-110.574-79.9-138.98h-96.69zM20.76 58.28l.002 101.304c34.77 67.286 88.72 100.505 202.74 77.37-98.08 43.995-156.795 28.454-202.74-29.65v35.284c40.106 43.683 107.55 54.225 173.36 33.24 46.354-14.782 99.558-18.094 148.493-2.453 20.852 6.665 40.87 16.884 59.074 31.05 40.147 34.647 66.92 91.697 87.636 146.92 10.54-98.417-29.362-207.134-81.44-274.095 3.06 24.236 1.91 43.957-3.76 59.748-12.584-22.802-30.257-40.22-48.317-57.232 1.14 11.13 1.802 22.258-4.8 33.418-43.45-20.59-96.113-21.04-142.612-6.002-28.31 9.156-54.575 7.03-77.34-3.098-22.764-10.13-42.018-27.836-58.486-49.242-21.56-28.027-38.476-62.574-51.812-96.56zm251.502 223.554c-24.807.243-49.535 4.487-72.463 11.8-.03.008-.057.015-.085.024 1.79 16.373 5.68 32.39 11.842 47.457-11.416 12.546-23.812 12.986-36.264 12.787 18.202 16.29 36.797 32.14 61.137 41.55-10.027 14.25-23.763 18.616-37.74 22.353 20.99 10.185 42.16 20.005 65.175 26.004-14.65 9.27-32.843 16.01-53.595 20.92 78.16 32.975 193.5 43.38 285.835 7.727-30.718-2.99-61.58-7.668-90.123-15.762-106.234-25.83-181.07-88.907-157.263-158.675 6.55 34.33 22.78 59.386 45.704 80.666-6.714-12.456-11.762-25.485-15.223-38.815-4.94-19.033-6.754-38.616-5.884-58.036-.35.002-.703-.003-1.054 0z"}}]})(props);
};
function GiInternalInjury (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M263.47 19.03c-1.234.04-2.47.126-3.69.126-38.983 0-70.75 33.895-70.75 75.906 0 21.274 8.43 40.465 21.5 54.282-80.868 10.566-98.35 105.42-79.124 191.562h31.656l-1.03-105.344 18.687-.187 1.25 129.25 10.218 130.313h55.53V319.344h18.688v175.594h56.22l12.687-143.313 1.125-116.25 18.687.188-1.03 105.343h33.5c21.795-88.46-5.595-178.95-79.626-190.687 13.658-13.88 22.53-33.346 22.53-55.157 0-39.39-27.808-72.008-63.406-75.907-1.187-.15-2.393-.162-3.625-.125zM248.28 36.5l12.25 35.03 25.095-27-18.594 44.845 44.22-9.125-29.094 19.313 21.594 12.28-34.47 1.75 20.908 38.563-26.375-15.78-10.907 20.03 15.22 27.844 42.343-12.28-29.94 35.874 57-9.063-39.217 34.47 18.5 42.47-22.782-5.19 22.345 104.876-53.656-101.97-62.095 67.814 35.813-90.28-32.813 10 22.22-34.94-49.814-24 54.72.345-27.28-31.78 37.28 9.686.625-52.06-25.125 3.686L241.844 99 211 74.406l31.438 3.563 5.843-41.47z","fillRule":"evenodd"}}]})(props);
};
function GiInternalOrgan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M326.78 18.72c6.46 13.506 7.87 29.775 4.94 45.686-3.504 19.017-13.202 37.958-28.69 52.25l2.25 1.5c9.883 4.933 19.126 10.383 27.69 16.28 3.686-27.3 19.256-54.748 39.405-77.905 12.86-14.777 27.536-27.85 42.844-37.81h-88.44zM139.157 19c12.773 12.03 24.17 26.366 32.625 40.844 6.53 11.18 11.317 22.402 13.345 33.156.213 1.127.384 2.246.53 3.375 7.196-1.952 14.92-3.137 23.126-3.438.858-.03 1.728-.018 2.595-.03-2.124-2.135-4.023-4.486-5.688-6.97-5.29-7.89-8.625-17.228-10.593-26.874-2.79-13.674-3.13-27.843-.25-40.063h-55.688zm314.22 0c-14.606 36.104-43.01 79.36-75.032 111.75-16.91 17.103-34.727 31.146-52.72 39.063-17.99 7.916-37.322 9.495-53.343-.594l9.97-15.814c9.742 6.135 21.243 5.737 35.844-.687 1.63-.72 3.294-1.508 4.97-2.376-22.53-15.707-50.637-28.256-83.783-35.72-10.917-2.457-20.806-3.396-29.75-3.093-14.903.507-27.167 4.487-37.124 10.72-11.57 7.245-20.222 17.774-25.906 30.375 5.518 2.052 10.838 3.677 15.875 4.844 14.97 3.468 26.99 2.66 34.813-1.657l9.03 16.375c-13.683 7.55-30.446 7.55-48.062 3.468-17.615-4.082-36.5-12.42-55.437-23.562-30.115-17.72-60.192-42.528-83.814-69.47v88.564c24.622-4.884 58.445-2.227 90.78 5.656 19.126 4.662 37.468 11.29 52.408 20.156 14.94 8.867 27.01 20.166 31.25 35.156l-17.97 5.094c-2.287-8.088-10.18-16.69-22.81-24.188-3.913-2.32-8.223-4.503-12.845-6.562 4.08 28.99 19.643 58.363 47.28 77.47l-10.656 15.374c-20.736-14.335-35.69-33.434-45-54.28-41.857 52.08 3.743 170.083 101.312 150.56-6.696-6.154-14.234-12.452-22.78-19l11.374-14.843c55.814 42.757 74.897 81.865 79.188 132.25h125.968c-27.98-25.526-52.253-51.017-69-78.686-20.326-33.583-29.493-70.83-20.75-112.875l18.28 3.81c-2.135 10.277-3.1 20.096-2.998 29.564 1.583-1.585 3.127-3.172 4.593-4.78 23.425-25.727 32.506-54.315 30.033-82.627-1.45-16.6-7.06-33.208-16.47-48.937-.734 1.74-1.395 3.46-1.968 5.188-4.448 13.407-4.265 26.174 1.844 39.218l-16.94 7.906c-8.134-17.37-8.35-35.835-2.655-53 5.695-17.164 16.975-33.19 31.72-47.78 28.02-27.73 68.84-50.444 111.78-64V19h-40.5zm40.062 184.875c-30.608 19.412-64.055 25.41-92.282 20.688 2.004 7.327 3.345 14.75 4 22.25.283 3.24.42 6.5.438 9.75 27.857-8.366 58.94-7.692 87.844 6.656v-59.345zm-182.25 107.313c2.956 14.85 4.755 27.457 5.406 38.125 25.255 108.866 7.434 110.33-53.344 23.375-6.55-6.855-13.592-15.437-21.313-25.844l15-11.125c11.724 15.802 21.758 26.8 29.125 32.75 3.684 2.972 6.697 4.625 8.375 5.186.596.2.9.277 1.094.313.172-.22.52-.725.94-1.876.768-2.113 1.47-5.907 1.655-11.063.368-10.31-1.255-25.963-5.28-46.186l18.342-3.656zm-207.063 23.218c-28.22 7.457-56.7 11.148-85.438 8.688v78.687c30.875-26.967 62.133-50.02 93.938-68-3.35-6.25-6.192-12.733-8.5-19.374z"}}]})(props);
};
function GiInterstellarPath (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.625 18.406c-19.833 0-35.688 15.888-35.688 35.72 0 19.833 15.854 35.687 35.688 35.687 19.83 0 35.72-15.857 35.72-35.688 0-19.834-15.89-35.72-35.72-35.72zM93.97 65.25c-5.68 13.142-8.94 26.858-8.94 41.5 0 45.29 29.44 85.21 74.157 108.625L15.75 494.5h77.28l123.564-390.813-37.406 72.813c-50.628-20.564-85.22-61.99-85.22-109.75 0-.505-.007-.977 0-1.5zm315.405 0c.007.505 0 .977 0 1.5 0 46.98-33.468 87.856-82.75 108.75l-39.063-76 129.688 395h73.344L346.47 214.125c43.408-23.57 71.842-62.875 71.842-107.375 0-14.626-3.272-28.37-8.937-41.5zm-173.97 40.938L112.626 494.5h75.47l47.31-388.313zm36.032 4.156L318.25 494.5h79.313L271.438 110.344zm-18.28 4.5L206.906 494.5h92.5l-46.25-379.656z"}}]})(props);
};
function GiIntricateNecklace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405.3 64.85h2.4c17.6.2 35.8 8.5 52.2 25.5C583.4 224.7 304.2 294.7 318.6 447.2c-18.8-11.5-31.9-24.7-40.2-38.9l42-24.2v-74.4l-23.5-13.6c19.9-24.2 48.8-45.8 82.9-60.8C469.3 195.6 452 48.46 340 112.5c16.5-30.46 40.3-47.18 65.3-47.65zm-298.6 0c25 .47 48.8 17.19 65.3 47.65-112-64.04-129.3 83.1-39.8 122.8 34.1 15 63 36.6 82.9 60.8l-23.5 13.6v74.4l42 24.2c-8.3 14.2-21.4 27.4-40.2 38.9C207.8 294.7-71.4 224.7 52.1 90.36c16.4-17 34.6-25.3 52.2-25.5h2.4zm205.8 58.65l15 10c-17.5 26.3-44.5 40-71.5 40s-54-13.7-71.5-40l15-10c14.5 21.7 35.5 32 56.5 32s42-10.3 56.5-32zm124.9 160.2c-24.1 47.8-49.4 84.8-62.9 156.3-4.8-16.6-8.1-34.2-9.3-53 11.1-37 38.7-73.2 72.2-103.3zm-362.8 0c33.5 30.1 61.1 66.3 72.2 103.3-1.2 18.8-4.5 36.4-9.3 53-13.5-71.5-38.8-108.5-62.9-156.3zm181.4 9.6l46.4 26.8v53.6L256 400.5l-46.4-26.8v-53.6z"}}]})(props);
};
function GiInvertedDice1 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M302.87 255.5a47.37 47.37 0 1 1-47.37-47.37 47.37 47.37 0 0 1 47.37 47.37zM484.5 428.02a56.48 56.48 0 0 1-56.48 56.48h-344a56.48 56.48 0 0 1-56.52-56.48v-344A56.48 56.48 0 0 1 83.98 27.5h344a56.48 56.48 0 0 1 56.52 56.48zm-20-344a36.48 36.48 0 0 0-36.48-36.52h-344A36.48 36.48 0 0 0 47.5 83.98v344a36.48 36.48 0 0 0 36.48 36.52h344a36.48 36.48 0 0 0 36.52-36.48z"}}]})(props);
};
function GiInvertedDice2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M383 81.68A47.37 47.37 0 1 1 335.58 129 47.37 47.37 0 0 1 383 81.68zM81.67 383A47.37 47.37 0 1 0 129 335.59 47.37 47.37 0 0 0 81.67 383zM428 47.57H84A36.48 36.48 0 0 0 47.57 84v344A36.48 36.48 0 0 0 84 464.43h344A36.48 36.48 0 0 0 464.43 428V84A36.48 36.48 0 0 0 428 47.57m0-20A56.54 56.54 0 0 1 484.43 84v344A56.54 56.54 0 0 1 428 484.43H84A56.54 56.54 0 0 1 27.57 428V84A56.54 56.54 0 0 1 84 27.57z"}}]})(props);
};
function GiInvertedDice3 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M302.87 255.5a47.37 47.37 0 1 1-47.37-47.37 47.37 47.37 0 0 1 47.37 47.37zM382.5 81.18a47.37 47.37 0 1 0 47.32 47.32 47.37 47.37 0 0 0-47.32-47.32zm-254 253.91a47.37 47.37 0 1 0 47.41 47.41 47.37 47.37 0 0 0-47.41-47.41zm356 92.94a56.48 56.48 0 0 1-56.48 56.47h-344a56.48 56.48 0 0 1-56.52-56.48v-344A56.48 56.48 0 0 1 83.98 27.5h344a56.48 56.48 0 0 1 56.52 56.48zm-20-344a36.48 36.48 0 0 0-36.48-36.53h-344A36.48 36.48 0 0 0 47.5 83.98v344a36.48 36.48 0 0 0 36.48 36.52h344a36.48 36.48 0 0 0 36.52-36.48z"}}]})(props);
};
function GiInvertedDice4 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M175.91 128.5a47.37 47.37 0 1 1-47.41-47.32 47.37 47.37 0 0 1 47.41 47.32zM382.5 81.18a47.37 47.37 0 1 0 47.32 47.32 47.37 47.37 0 0 0-47.32-47.32zm-254 253.91a47.37 47.37 0 1 0 47.41 47.41 47.37 47.37 0 0 0-47.41-47.41zm253.91 0a47.37 47.37 0 1 0 47.41 47.41 47.37 47.37 0 0 0-47.32-47.41zm102 92.93a56.48 56.48 0 0 1-56.39 56.48h-344a56.48 56.48 0 0 1-56.52-56.48v-344A56.48 56.48 0 0 1 83.98 27.5h344a56.48 56.48 0 0 1 56.52 56.48zm-20-344a36.48 36.48 0 0 0-36.39-36.52h-344A36.48 36.48 0 0 0 47.5 83.98v344a36.48 36.48 0 0 0 36.48 36.52h344a36.48 36.48 0 0 0 36.52-36.48z"}}]})(props);
};
function GiInvertedDice5 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M302.87 255.5a47.37 47.37 0 1 1-47.37-47.37 47.37 47.37 0 0 1 47.37 47.37zM128.5 81.18a47.37 47.37 0 1 0 47.41 47.32 47.37 47.37 0 0 0-47.41-47.32zm253.91 0a47.37 47.37 0 1 0 47.41 47.32 47.37 47.37 0 0 0-47.32-47.32zM128.5 335.09a47.37 47.37 0 1 0 47.41 47.41 47.37 47.37 0 0 0-47.41-47.41zm253.91 0a47.37 47.37 0 1 0 47.41 47.41 47.37 47.37 0 0 0-47.32-47.41zm102 92.93a56.48 56.48 0 0 1-56.39 56.48h-344a56.48 56.48 0 0 1-56.52-56.48v-344A56.48 56.48 0 0 1 83.98 27.5h344a56.48 56.48 0 0 1 56.52 56.48zm-20-344a36.48 36.48 0 0 0-36.39-36.52h-344A36.48 36.48 0 0 0 47.5 83.98v344a36.48 36.48 0 0 0 36.48 36.52h344a36.48 36.48 0 0 0 36.52-36.48z"}}]})(props);
};
function GiInvertedDice6 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M175.91 128.5a47.37 47.37 0 1 1-47.41-47.32 47.37 47.37 0 0 1 47.41 47.32zM382.5 81.18a47.37 47.37 0 1 0 47.32 47.32 47.37 47.37 0 0 0-47.32-47.32zm-254 126.95a47.37 47.37 0 1 0 47.41 47.37 47.37 47.37 0 0 0-47.41-47.37zm253.91 0a47.37 47.37 0 1 0 47.41 47.37 47.37 47.37 0 0 0-47.32-47.37zM128.5 335.09a47.37 47.37 0 1 0 47.41 47.41 47.37 47.37 0 0 0-47.41-47.41zm253.91 0a47.37 47.37 0 1 0 47.41 47.41 47.37 47.37 0 0 0-47.32-47.41zm102 92.93a56.48 56.48 0 0 1-56.39 56.48h-344a56.48 56.48 0 0 1-56.52-56.48v-344A56.48 56.48 0 0 1 83.98 27.5h344a56.48 56.48 0 0 1 56.52 56.48zm-20-344a36.48 36.48 0 0 0-36.39-36.52h-344A36.48 36.48 0 0 0 47.5 83.98v344a36.48 36.48 0 0 0 36.48 36.52h344a36.48 36.48 0 0 0 36.52-36.48z"}}]})(props);
};
function GiInvisibleFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M251.47 19.188c-38.454 1.225-74.12 17.995-102.876 44.874h143.25L251.5 19.188h-.03zM277 20.625l106.156 118.03a9.007 9.007 0 0 1 .656.814h31.625C389.93 75.593 337.993 29.355 277 20.624zM131.594 82.063c-13.968 16.764-25.626 36.19-34.344 57.406h262.406L308.03 82.062H131.595zm290.125 75.124a9 9 0 0 1-2.314.282H92.594a9 9 0 0 1-1.844-.157c-2.44 7.667-4.496 15.526-6.156 23.53 10.116-3.31 20.786-4.79 30.562-4.78 28.234.03 58.968 1.987 82.875 12.5 8.163 3.59 15.634 8.29 21.626 14.437h72.688c5.992-6.146 13.463-10.848 21.625-14.438 23.906-10.512 54.64-12.47 82.874-12.5 9.866-.01 20.644 1.5 30.844 4.875-1.6-8.103-3.596-16.038-5.97-23.75zm-303.25 36.875c-7.975.024-14.797.522-19.157 1.594-12.054 36.836-.837 77.202 8.218 112.72.656.762 11.178 4.697 19.282 4.53-7.954-23.88 13.606-98.775 35.344-115.53-13.86-2.1-30.398-3.353-43.687-3.314zm271.436.063c-21.518.234-46.257 2.96-58.812 7.28-12.053 36.837-1.15 70.11 7.906 105.626.655.765 11.052 5.23 19.156 5.064-7.954-23.882 14.262-101.213 36-117.97-1.402-.006-2.814-.015-4.25 0zm-156.375 38.78c.71 6.47.392 13.46-1.03 20.907-2.746 14.383-7.356 26.488-13.344 36.5h73.688c-5.988-10.012-10.598-22.117-13.344-36.5-1.422-7.447-1.74-14.438-1.03-20.906h-44.94zm-28.81 75.407c-3.555 3.317-7.33 6.224-11.282 8.72-18.483 11.666-40 14.714-59.844 14.343-16.54-.31-30.828-4.272-42.78-10.72 3.945 15.8 8.843 30.875 14.624 45.064h301.125c5.777-14.182 10.68-29.272 14.625-45.064-11.954 6.447-26.243 10.41-42.782 10.72-19.844.37-41.36-2.678-59.844-14.345-3.952-2.494-7.727-5.4-11.28-8.717H204.718zm-91.282 75.407c5.733 11.796 12.095 22.846 19 33.03 6.078 8.966 12.546 17.27 19.375 24.813a9 9 0 0 1 2.718-.407h202.94a9 9 0 0 1 2.717.375c6.823-7.537 13.3-15.82 19.375-24.78 6.905-10.184 13.267-21.234 19-33.03H113.438zm94.718 18.842a9 9 0 0 1 .625 0h94.44a9 9 0 1 1 0 18h-94.44a9.005 9.005 0 0 1-.624-18zM170 459.156c25.64 21.635 54.99 33.72 86 33.72 31.01 0 60.36-12.085 86-33.72H170z"}}]})(props);
};
function GiInvisible (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M262.53 12.22l-2.936 18.468 2.72.437 2.155.5 2.124.625h.03l1.595.563.155.062.344.125 1.936.813.125.062 2.033 1 1.312.72 9.03-16.345-1.78-1-.22-.125-.217-.094-2.532-1.218-.22-.093-.248-.126-2.563-1.063-.25-.092-.25-.094-2.594-.906-.28-.094-.25-.063-2.656-.78-.28-.063-.252-.062-2.718-.594-.28-.06-.283-.064-2.75-.437zm-12.06.092l-2.376.22-.313.03-.28.032-2.938.5-.28.03-.282.063-2.906.657-.28.062-.283.094-2.81.844-.282.062-.282.094-2.78 1-.25.094-.25.125-2.75 1.155-.25.125-.22.125-1.344.656L237.688 35l.844-.438.064-.03 2.156-.938 2.78-1 2.282-.657 1.75-.406h.063l2.688-.436.156-.032 1.78-.156-1.78-18.593zm-38.564 18.75l-.812.813-.156.156-.157.19-2.124 2.343-.156.156-.156.155-2.03 2.5-.126.156-.125.157-1.97 2.594-.124.19-.126.155-1.844 2.72-.094.186-.125.157-1.75 2.844-.093.157-.093.188-.656 1.156 16.312 9.126.438-.812.218-.344 1.313-2.125.06-.094.157-.25 1.375-2.03.188-.25.063-.094 1.437-1.906 2-2.438.03-.03 1.532-1.688.313-.313.5-.5-13.22-13.218zm88.22 1.875l-14 12.376 1.312 1.468.28.314 1.376 1.718.03.063.22.25 1.562 2.156 1.28 1.907.22.313 1.438 2.344L295 57.937l.188.313.218.438 16.656-8.5-.406-.782-.094-.156-.093-.156-1.533-2.75-.093-.157-.094-.187-1.656-2.656-.094-.157-.125-.156-1.72-2.56-.092-.157-.125-.157-1.813-2.468-.125-.157-.125-.155-1.906-2.344-.126-.155-.125-.156-1.595-1.782zM191.187 67l-.22.688-.062.187-.062.188-.906 3.468-.063.19-.03.186-.782 3.53-.063.19-.03.186-.657 3.626-.032.187-.03.188-.5 3.656-.03.186-.032.188-.313 3.344 18.594 1.843.28-2.936.47-3.344.06-.344.595-3.25.625-2.812.063-.25.03-.125.72-2.75.218-.69L191.188 67zm128.28 2.25l-11.093 3.188-6.938 1.718.063.25.03.094.626 2.625.656 3 .032.22.03.124.438 2.75.063.343.375 2.78.03.313v.03l.25 2.814v.125l.033.25.062.906 18.656-1.06-.092-1.25v-.345l-.344-3.53v-.157l-.03-.188-.47-3.47v-.155l-.03-.188-.595-3.406-.033-.186-.03-.156-.688-3.376-.033-.156-.062-.187-.813-3.282-.03-.188-.063-.156v-.094zm-113.25 36.53l-18.562 1.94.094.968v.187l.03.188.564 3.75.03.187.032.188.688 3.656.03.187.032.19.844 3.593.03.187.064.188.97 3.5.03.187.062.188.875 2.75 17.814-5.688-.875-2.75-.782-2.78-.032-.19-.062-.186-.72-3.22-.56-2.906-.033-.188-.03-.187-.406-2.97-.063-.375-.06-.594zm97.282 1.72l-.375 2.53-.03.157-.033.22-.656 3.343-.687 2.906-.033.094-.062.28-.813 2.814-1.156 3.5-.125.344L317 130.31l.28-.75.064-.187.062-.188 1.156-3.468.063-.19.063-.186 1-3.594.062-.188.063-.187.875-3.656.03-.19.032-.218.72-3.718.06-.188.033-.22.437-2.905-18.5-2.78zm-86.844 29.438l-6.094 3.843-1.156.19-.187.03-.19.063-3.03.656-.22.03-.186.063-2.906.78.718 2.688-2.562 1.595 1.5 2.375.125.188.093.156 1.906 2.75.124.156.125.156.968 1.313 1.78 6.686 2.532-.687.28-.064.126-.03 2.25-.5.375-.064 2.72-.5 15.094-2.656-9.28-12.187-1.72-2.282-.125-.157-.126-.186-1.438-2.03-.187-.314-.032-.03-1.282-2.032zm75.47 1.625l-.688 1.093-.25.344-1.5 2.063-.25.343-1.813 2.28-9.375 11.845 14.78 3.095 2.47.53.375.095 2.03.5h.033l.343.094 2 .594.25.093.126.032 1.125.407 3.126-9.032 1.688-2.375.125-.157.124-.187.937-1.44-1.186-.78 1.28-3.688-1.5-.53-.155-.063-.22-.064-2.72-.812-.186-.063-.188-.03-2.812-.72-.188-.03-.187-.063-2.845-.593-.063.28-4.687-3.06zm-109.063 12.75l-1.625 1.03-.157.095-.155.125-2.375 1.656-.156.093-.156.125-2.282 1.75-.156.125-.156.125-2.22 1.843-.155.126-.126.125-2.156 1.94-.157.124-.124.125-2.062 2.03-.156.125-.125.125-1.594 1.688 13.56 12.875 1.345-1.438.156-.156.095-.095 1.563-1.53.28-.25 1.595-1.44.03-.03.25-.22 1.626-1.343.155-.125.156-.125 1.657-1.28.25-.188.063-.03 1.72-1.19.343-.218 1.28-.812-10.03-15.78zm143.78 2.75L315.97 169.25l1.467 1.03.25.19.032.03 1.655 1.313.28.218 1.626 1.345.22.188.063.062 1.593 1.438.25.25 1.563 1.53 1.78 1.845.22.218 1.31 1.47 13.908-12.47-1.5-1.687-.094-.126-.125-.094-2-2.094-.095-.125-.125-.124-2.063-1.97-.125-.124-.125-.125-2.093-1.906-.125-.124-.158-.094-2.156-1.812-.125-.125-.155-.125-2.22-1.72-.155-.093-.125-.125-1.78-1.25zM154.564 181.5l-1.5 2.594-.063.125-.063.124-1.5 2.75-.062.125-.063.124-1.406 2.844-.03.093-.064.126-1.343 2.906-.064.125-.03.094-1.282 3-.063.095-.03.125-1.094 2.72 17.344 6.968 1-2.532.094-.187v-.032l1.094-2.532.093-.22 1.126-2.436.125-.25 1.157-2.344.032-.03.093-.22 1.218-2.28.126-.25 1.375-2.345-16.218-9.28zm199.656 3.22l-16.25 9.218 1.374 2.437.125.22 1.25 2.343.092.218 1.22 2.406.093.22 1.156 2.5.095.218 1.125 2.563.094.187 1 2.406 17.28-7.062-1.062-2.625-.062-.095-.03-.094-1.314-3-.03-.093-.063-.093-1.344-2.938-.064-.094-.062-.093-1.406-2.845-.063-.125-.063-.094-1.468-2.78-.063-.126-.06-.094-1.5-2.687zM139.874 218.5l-.5 1.97-.03.06v.095l-.814 3.438v.093l-.03.094-.72 3.47-.03.093v.093l-.688 3.53v.064l-.03.094-.595 3.562-.03.094v.063l-.345 2.343 18.47 2.844.312-2.188.03-.156.564-3.25.03-.156.595-3.188.03-.187.72-3.313.687-3.062.063-.188.437-1.78-18.125-4.532zm229.22 2.97l-18.064 4.78.533 1.97.03.155.782 3.094h-.03l.75 3.28.03.188.656 3.187v.03l.033.126.593 3.25.03.157.345 2 18.44-3.093-.376-2.156v-.094l-.03-.063-.658-3.56v-.095l-.03-.094-.72-3.5-.03-.093v-.093l-.782-3.47-.03-.093-.002-.06-.843-3.44-.033-.093-.03-.093-.563-2.125zm-235.158 35.5l-.093 1.342v.126l-.22 3.843v.126l-.186 3.844v.125l-.094 3.875v.125l-.063 3.906v2.032l18.69.032v-1.907l.06-3.78H152l.125-3.594v-.157l.156-3.562v-.156l.22-3.532v-.156l.094-1.188-18.656-1.343zm241.625 2.967l-18.625 1.5.125 1.375h-.03l.25 3.657v.155l.187 3.563v.156l.124 3.594v.125l.062 3.625v.156l.03 1.53 18.69-.062-.032-1.687v-.125l-.063-3.906v-.157l-.124-3.875v-.093l-.03-.064-.188-3.844v-.157l-.25-3.812v-.157l-.125-1.5zM152.5 294.47l-18.656 1.06.187 3.158v.125l.032.125.625 8 .032.093v.126l.78 7.438 18.594-1.97-.75-7.218-.03-.22-.626-7.78-.188-2.937zm204.625 2.905l-.25 3.53h.03l-.342 3.783v.125l-.375 3.78-.032.157-.406 3.78-.03.126-.345 2.78 18.53 2.377.376-2.907v-.125l.47-4.06v-.064l.03-.094.376-4.03.03-.063.002-.095.343-4.03v-.124l.25-3.533-18.655-1.312zm-208.594 31.47v3.092l-10.28 1.813 1.063 6.063 1.375 7.718h20.343v-18.686h-12.5zm31.19 0v9.967h-.126l.125 1.907v6.81h.436l.063.75 18.655-1.25-.625-9.436-.563-8.75H179.72zm130.03 0l-.656 8.655-.75 10.25 18.625 1.406.75-10.25-.908-.062v-10H309.75zm35.75 0v18.686h23.156l1.5-7.5.625-3.124-9.78-1.97v-6.092h-15.5zm-145.375 36.842l-18.656 1.22 1.218 18.656 18.656-1.22-1.22-18.656zm106.813.72l-1.375 18.624 18.625 1.408 1.406-18.657-18.656-1.374zm-60.282 11.906V397h18.688v-18.688h-18.688zM202.562 403l-18.656 1.22 1.25 18.655 18.625-1.25L202.563 403zm101.594.688l-1.375 18.625 18.626 1.375 1.406-18.625-18.656-1.375zm-57.5 12v18.687h18.688v-18.688h-18.688zM205.03 440.28l-18.655 1.22 1.22 18.656 18.655-1.22-1.22-18.655zm96.345.658L300 459.594l18.625 1.375 1.406-18.626-18.655-1.406zm-54.72 12.125v18.687h18.69v-18.688h-18.69zm-39.186 24.53l-18.626 1.22.75 11.656.594 8.717h15.75v-9.812l2.312-.156-.78-11.626zm91.155.626l-.813 10.936 1.563.125v9.908h16.406l.658-8.657.812-10.936-18.625-1.375zm-74 2.28v18.688h18.688V480.5h-18.688zm37.375 0v18.688h18.688V480.5H262z"}}]})(props);
};
function GiIonCannonBlast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.01 18.54v34.09l262.992 262.99c7.32 7.32 14.19 9.506 20.45 9.302 6.262-.204 12.246-3.097 16.755-7.742 9.017-9.29 12.41-23.63-1.363-37.403L56.604 18.54H19.01zm406.86 199.636c-8.665-.085-17.745.958-27.01 3.008l9.28 17.21c6.013-1.06 11.738-1.59 17.108-1.564 15.373.074 27.91 4.55 36.51 13.15 13.76 13.76 16.965 37.6 8.467 67.002-.572 1.977-1.2 3.974-1.877 5.987l-22.125-52.392-9.045 67.264-33.51-46.225-1.564 58.94-37.875-18.31c11.532-14.72 19.73-30.216 24.026-45.077 5.89-20.378 4.493-40.825-8.75-54.068-8.277-8.278-19.37-11.928-31.498-12.063-7.278-.082-14.93 1.103-22.57 3.312-8.423 2.434-17.047 6.135-25.622 10.968l13.827 13.826c5.848-2.976 11.57-5.28 16.982-6.845 6.194-1.79 11.807-2.624 16.76-2.613 8.255.02 14.678 2.394 18.91 6.625 6.77 6.77 8.786 19.153 4.012 35.67-4.775 16.518-16.318 35.902-33.477 53.06-17.16 17.16-36.545 28.703-53.062 33.478-16.518 4.774-28.898 2.76-35.668-4.012-6.77-6.77-8.786-19.15-4.012-35.668 1.615-5.59 4.024-11.51 7.144-17.56l-13.812-13.81c-4.99 8.758-8.794 17.577-11.28 26.182-5.892 20.38-4.497 40.825 8.747 54.07 13.243 13.242 33.69 14.637 54.068 8.747 14.724-4.257 30.072-12.345 44.672-23.71l19.342 40.008-62.718 1.662 46.227 33.513-67.26 9.045 50.255 21.223c-.227.068-.456.14-.682.206-29.4 8.498-53.245 5.292-67.004-8.467-11.603-11.603-15.7-30.377-11.604-53.606l-17.198-9.272c-6.594 29.83-2.75 57.757 15.586 76.092 20.234 20.234 52.145 22.822 85.408 13.207 33.264-9.613 69.147-31.45 100.948-63.25 31.8-31.8 53.635-67.685 63.25-100.948 9.614-33.263 7.028-65.175-13.205-85.408-12.646-12.646-29.856-18.4-49.104-18.588z"}}]})(props);
};
function GiIonicColumn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M137 41v16.828c84.313 17.835 157.15 13.99 238 .348V41zm128 105.512c19.367-2.58 41.85-11.815 64.47-20.95 22.046-8.905 44.324-19.27 65.885-18.144 10.81.564 22.064 5.04 30.637 10.24 28.702 17.556 41.142 56.438 22.207 86.21-14.93 23.473-47.34 33.593-71.794 17.155-18.602-12.504-26.55-39.04-12.386-58.642 10.274-14.217 31.507-20.235 46.64-8.017 5.145 4.154 8.53 9.938 9.652 16.432 1.122 6.494-.45 14.17-5.81 19.734-3.35 3.476-7.535 5.53-12.44 6.01-4.904.478-11.24-1.43-14.904-6.47 4.576-2.843 16.11-12.02 15.426-16.203-.334-1.935-1.69-4.25-3.223-5.486-6.104-4.928-15.96-2.098-20.764 4.552-7.58 10.49-2.957 25.878 7.843 33.138 15.324 10.302 36.736 3.615 46.583-11.87 13.114-20.618 4.17-48.587-16.414-61.177-7.815-4.78-16.398-7.617-25.006-7.35-8.258.254-17.547 2.213-26.84 6.013-10.4 4.252-18.874 12.83-24.805 22.86-19.115 32.318-5.055 74.713 26.97 93.2 38.652 22.313 88.847 5.406 110.478-32.932 25.616-45.4 5.766-103.877-39.133-128.802-17.23-9.623-30.26-13.436-49.216-11.737-37.342 3.348-69.34 13.7-124.06 14.55l-18-.01c-54.814-.904-84.714-10.723-124.016-14.764-17.376-1.786-35.734 4.564-49.26 11.962-44.898 24.925-64.748 83.402-39.132 128.802 21.63 38.338 71.826 55.245 110.478 32.932 32.025-18.487 46.085-60.882 26.97-93.2-5.93-10.03-14.404-18.608-24.804-22.86-9.293-3.8-18.582-5.76-26.84-6.014-8.608-.266-17.19 2.572-25.005 7.35-20.583 12.59-29.527 40.56-16.413 61.18 9.847 15.483 31.26 22.17 46.584 11.868 10.8-7.26 15.425-22.647 7.844-33.138-4.804-6.65-14.66-9.48-20.765-4.55-1.533 1.235-2.89 3.55-3.224 5.485-.082 6.955 9.04 11.55 15.426 16.203-3.664 5.04-10 6.948-14.904 6.47-4.905-.48-9.09-2.534-12.44-6.01-5.36-5.564-6.932-13.24-5.81-19.735 1.12-6.494 4.507-12.278 9.652-16.432 15.133-12.218 36.366-6.2 46.64 8.018 14.164 19.602 6.216 46.14-12.386 58.643C111.14 237.46 78.73 227.34 63.8 203.867c-18.934-29.77-6.494-68.653 22.208-86.21 9.37-6.07 19.283-9.443 30.637-10.24 21.537-1.51 43.84 9.24 65.884 18.144 22.62 9.137 45.103 18.372 64.47 20.952zm-76.287.98c9.008 16.32 11.675 34.306 9.12 51.508h116.335c-2.556-17.202.11-35.19 9.12-51.508-19.145 7.748-38.797 15.19-58.288 17.217h-18c-19.49-2.03-39.144-9.47-58.287-17.218zM193.135 217c-3.398 9.055-8.266 17.59-14.416 25.193l13.05 40.493L211.84 217zm43.025 0L256 281.934 275.84 217zm64 0L320 281.934l12.45-40.752c-5.765-7.344-10.34-15.53-13.585-24.182zM224 238.8L201.94 311h44.12zm64 0L265.94 311h44.12zm58.826 16.934L329.94 311h37.007l-1.91-43.963c-2.393-1.12-4.762-2.34-7.098-3.687-3.927-2.267-7.635-4.82-11.114-7.616zm-182.45.635c-3.247 2.546-6.688 4.886-10.315 6.98-2.335 1.348-4.704 2.566-7.097 3.687L145.053 311h36.93zM144.27 329l-6.87 158h21.846l3.758-135.25 17.992.5L177.254 487h25.87L205 351.875l18 .25L221.127 487H247V352h18v135h25.873L289 352.125l18-.25L308.877 487h25.87l-3.743-134.75 17.992-.5L352.754 487H374.6l-6.87-158z"}}]})(props);
};
function GiIraq (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.03 246.5l25.73 60.7 265.44 143 82.2 6.9 38.1-47.1 66.5 4.1-33.5-52.1-5.2-38-116.5-107.9 39-53.8-72.3-100.65-95.4-6.77-69.5 49.82-16.4 97.2z"}}]})(props);
};
function GiIronCross (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M486 371.316V142.75a399.056 399.056 0 0 1-185.685 69.28 399.135 399.135 0 0 1 70.973-186.002H142.72A399.056 399.056 0 0 1 212 211.714 399.135 399.135 0 0 1 26 140.74V369.31a399.056 399.056 0 0 1 185.685-69.28 399.135 399.135 0 0 1-70.973 185.944H369.28A399.056 399.056 0 0 1 300 300.342a399.135 399.135 0 0 1 186 70.974z"}}]})(props);
};
function GiIronHulledWarship (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v43.955c11.559 5.319 27.318 5.595 44.574 4.076 0 0 3.927 24.224 12.912 30.791 12.076 8.827 44.698 3.973 44.698 3.973-1.816 10.184 29.045 45.1 42.709 47.676l53.138-5.463c1.83-18.6-7.144-36.133-27.314-52.145 0 0 8.032-15.952 4.47-22.845-6.835-13.231-40.724-18.375-40.724-18.375 5.378-12.257 5.668-22.905-.098-31.643H18zm309.023 66.148l-17.734 3.073 6.104 35.224c-9.499 2.385-19.3 5.678-29.543 10.295 13.168 8.572 13.65 23.973 9.697 41.764 9.221-2.981 18.438-5.955 27.398-8.467l3.653 21.074c-14.187 2.634-29.59 6.017-46.368 10.244 13.783 20.976 16.347 44.754 14.303 69.686 15.789-4.862 30.21-8.455 44.016-10.959l3.478 20.076-63.578 7.43-8.463-45.14-35.367 3.75-17.373-84.13-48.207 5.864 2.578 68.685c-2.121-3.785-5.9-7.895-12.187-12.787l-24.166 3.95-4.936-24.678-17.65 3.53 4.81 24.054-31.101 5.084c20.884 16.833 8.088 38.689 11.273 57.882 9.167-5.718 19.171-11.38 29.192-16.148l5.435 27.17-64.685 7.56 17.546 23.162c-17.592 2.546-36.165 6.39-55.62 11.95l4.945 17.308c53.871-15.392 99.903-17.334 136.69-14.496l.081.572c.862-.123 1.733-.242 2.598-.365 36.772 3.103 64.027 10.895 80.242 14.428 39.037 8.504 109.468 26.473 213.355-16.477l-6.878-16.632a416.14 416.14 0 0 1-18.334 7.086c-14.378-4.14-29.115-7.39-44.075-9.907l17.188-39.15 48.54-5.674-2.089-17.879-101.857 11.906-3.577-20.642c16.169-1.905 31.918-2.342 48.547-1.578-3.749-24.348 4.032-47.702-15.812-72.05-13.216.395-28.053 1.786-44.744 4.32l-3.871-22.337c10.486-2.056 20.307-2.913 28.949-1.648 4.066-14.839 6.658-31.369-6.03-43.85-9.95.393-20.007 1.1-30.345 2.653l-6.028-34.786zm-124.054 93.79l13.666 66.167-26.469 2.807-2.52-67.111 15.323-1.863zm52.388 80.164l5.172 27.582-6.722.785c-6.881-12.546-19.094-21.792-33.536-24.647l35.086-3.72zm-63.808 6.767c-13.583 5.858-24.04 17.693-28.002 32.15l-8.858 1.036.864-29.37 35.996-3.816zm19.26 14.024c17.227 0 31 13.772 31 31 0 3.817-.68 7.464-1.92 10.83a1023.56 1023.56 0 0 0-19.041 1.756c3.742-2.93 6.156-7.476 6.156-12.596 0-8.837-7.164-16-16-16-8.837 0-16 7.163-16 16 0 6.365 3.726 11.845 9.107 14.422-6.534.761-12.98 1.583-19.38 2.43-3.115-4.84-4.922-10.612-4.922-16.842 0-17.228 13.772-31 31-31zm183.81 9.242l-14.932 34.01c-23.864-3.034-48.164-4.34-72.412-4.352-16.247-.008-32.46.566-48.502 1.562.677-2.892 1.036-6.039 1.036-9.462 0-2.017-.138-4.003-.377-5.957l135.187-15.801zm-257.998 11.967l-.002.064-.765.09.767-.154zm25.496 15.209c.541 4.861 1.812 9.028 3.68 12.601a395.72 395.72 0 0 0-21.662-.68 398.577 398.577 0 0 0-38.27 1.704l-4.906-6.477 61.158-7.148zm145.149 20.584c34.407.022 68.69 2.653 101.248 9.205-70.368 17.744-118.162 5.173-150.598-1.893-3.89-.847-8.947-2.072-14.627-3.408.787-.45 1.554-.92 2.295-1.416 20.375-1.57 41.047-2.502 61.682-2.488zm-134.522 39.06c-.81.008-1.602.024-2.377.049-33.221 1.077-92.55 16.266-92.55 16.266l4.367 17.46s60.646-14.822 88.765-15.734c19.692-.638 64.457 7.18 64.457 7.18l3.229-17.71s-40.8-7.757-65.89-7.51zm140.15 32.018c-28.792-.034-65.085 7.954-95.09 15.923-30.972 8.227-55.077 16.602-55.077 16.602l5.906 17.004s23.507-8.164 53.79-16.207c30.285-8.043 67.512-15.798 92.878-15.297 32.976.652 63.925 9.707 93.023 18.904s56.252 18.717 82.518 18.717v-18c-21.734 0-47.76-8.61-77.094-17.88-29.333-9.272-62.066-19.025-98.092-19.737-.912-.018-1.833-.028-2.761-.03z"}}]})(props);
};
function GiIronMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.25 18.25c-31.81 0-61.71 14.253-86.906 39.438L191 246.905h35.125c19.944 0 19.7 37.852.688 38.75v64.156h59.218v-64.187c-20.043-1.644-19.334-38.72 1.376-38.72h34.75L343.78 58.313C318.455 32.74 288.323 18.25 256.25 18.25zM152.687 76.813c-2.375 3.118-4.68 6.353-6.937 9.687-29.025 42.865-47.375 102.888-47.375 169.375s18.35 126.542 47.375 169.406c26.88 39.698 62.346 64.383 101.156 67.814v-63.97H212.53c-21.46 0-21.18-38.78 0-38.78h88.5c20.185 0 19.697 38.78 0 38.78h-35.436v63.97c38.81-3.43 74.276-28.116 101.156-67.813 29.025-42.863 47.375-102.918 47.375-169.405S395.775 129.365 366.75 86.5c-2.077-3.067-4.198-6.053-6.375-8.938L340.97 246.906h34.936c20.184 0 19.696 38.78 0 38.78l-71.187.002V368.5h-96.596v-82.814l-70.5.002c-21.462 0-21.18-38.782 0-38.782h34.563l-19.5-170.094z"}}]})(props);
};
function GiIsland (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M80.87 28.32c-10.027.162-20.065 3.47-29.706 11.055C79.26 31.458 116.008 60.67 128.582 94.5c-33.088 2.865-77.492 21.193-92.373 60.79 45.182-35.396 77.437-49.508 97.192-28.644-20.36 20.232-37.693 49.855-34.722 77.06 8.497-19.502 30.642-47.206 53.763-56.956-.017.246-.03.493-.037.74 0 9.698 7.86 17.56 17.56 17.56 5.507-.01 10.692-2.603 14.003-7.005 43.084 62.306 46.703 103.963 46.99 171.13 1.22 3.765 3.31 13.657 8.712 13.323 2.138-.15 7.886-4.198 9.24-14.906-.658-72.08-6.662-120.87-59.648-192.89.088-.437.17-.88.244-1.335 12.77-25.514 63.138-12.534 85.207-7.342-19.952-24.276-63.064-33.383-91.26-30.154 6.987-23.99 41.58-35.786 79.522-39.88-35.283-14.532-83.623-2.6-108.498 18.582-18.92-23.63-46.22-46.692-73.61-46.252zM316.444 88.3c-14.417-.27-30.606 5.297-47.838 19.68 55.587-9.758 66.225 13.936 65.26 41.247-27.864-3.965-65.48 2.288-83.724 24.488 15.247-3.588 43.993-5.876 64.527 1.6-2.136 2.976-3.288 6.547-3.293 10.21 0 9.697 7.86 17.558 17.557 17.56 1.158-.007 2.312-.127 3.447-.36-29.184 40.13-43.586 77.41-49.65 109.765 5.913.638 11.845 1.472 17.78 2.49 6.267-33.1 22.157-72.1 56.822-115.246 3.327 3.807 8.134 5.994 13.19 6.002 8.54-.01 15.833-6.162 17.283-14.578 24.362 2.404 52.773 19.613 66.91 34.192-6.48-25.342-31.1-46.236-56.117-58.325 20.007-20.112 64.557-27.84 85.123-26.85-48.212-22.24-87.34-20.276-110.062-9.238-9.94-21.647-30.544-42.133-57.213-42.636zM18 327v18h100.234c14.542-6.786 29.8-12.894 45.434-18zm330.69 0c15.736 5.106 31.102 11.213 45.736 18H494v-18zm-81.858 2.29c-1.966 17.012-11.84 30.178-25.898 31.165-17.093-1.086-24.48-13.605-27.6-27.437-33.38 5.94-67.274 18.015-97.31 33.033-36.807 18.405-67.758 41.478-84.942 61.233 4.887 1.483 10.322 3.123 17 4.844 16.234 4.183 36.103 7.82 47.176 6.904 8.815-.73 18.05-5.583 28.39-11.27 10.34-5.687 21.82-12.22 35.834-13.026 19-1.092 36.012 5.71 51.84 12.04 15.828 6.332 30.557 12.207 44.69 12.226 8.875.012 18.36-3.293 28.83-7.22 10.47-3.925 21.902-8.468 34.943-8.778 30.896-.735 56.652 15.618 80.36 16 14.596.235 38.53-3.61 58.222-7.625 8.712-1.776 16.05-3.47 22.18-4.91-16.61-19.392-47.196-42.19-83.774-60.38-39.91-19.846-86.81-34.618-129.94-36.798zm-97.768 109.66c-17.693.86-35.45 8.61-51.22 16.005-9.012 4.226-17.343 8.447-24.168 11.486C86.85 469.48 81.11 471 80 471c-25.66 0-48.943-12.707-62-21.492v21.472C33.352 479.837 55.207 489 80 489c7.268 0 13.51-2.78 20.998-6.115 7.488-3.335 15.8-7.56 24.488-11.633 17.376-8.147 36.382-15.234 49.875-14.275 8.73.62 17.46 6.266 27.45 13.51 9.993 7.246 21.062 16.013 35.75 18.396 21.05 3.416 40.977-2.01 59.72-7.215 18.745-5.204 36.403-10.194 52.91-8.705 6 .54 11.362 3.603 18.867 7.564C377.562 484.487 387.252 489 400 489c14.94 0 38.64-4.13 59.537-8.164 15.083-2.91 28.2-5.772 34.463-7.166v-18.39l-.012-.05c0-.002-17.313 3.968-37.863 7.934C435.575 467.13 411.277 471 400 471c-8.694 0-14.606-2.73-21.54-6.39-6.936-3.66-14.852-8.6-25.65-9.573-21.053-1.898-40.784 4.134-59.343 9.287-18.56 5.153-35.852 9.418-52.026 6.793-8.856-1.437-17.89-7.824-28.063-15.2-10.174-7.378-21.676-15.823-36.738-16.894-2.6-.177-5.16-.19-7.576-.074z"}}]})(props);
};
function GiItalia (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M220.491 24.574L61.571 79.201c-28.927 37.65 13.728 85.182 29.301 94.36l51.152-23.838 89.891 111.244L362.03 332.48l20.362 52.145-16.885 34.268 18.375 11.918 32.775-68.534-22.227-16.243 11.301-38.386 52.643 32.778-1.49-29.301-93.178-49.84c4.616-.771 9.298-1.572 10.242-1.808 1.987-.497-1.49-12.416-1.49-12.416l-33.817 1.437-31.24-17.33-29.3-53.139-36.75-23.34-3.477-56.119 40.723-18.375-3.973-33.771zM129.837 287.16l-5.463 16.102-21.086.414 8.443 88.398 40.723-9.435 1.074-79.95-4.728-14.474zm233.185 128.256L257.74 426.342l-1.986 18.87 90.88 42.214 13.411-17.381-11.92-13.408z"}}]})(props);
};
function GiIvoryTusks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M58.31 24.814L44.187 90.339 27.05 50.894c-3.463 13.536-3.63 28.752-2.328 42.395 7.427 74.81 70.83 162.556 154.83 236.173 15.377-15.942 30.388-32.237 44.783-48.732 6.82-7.815 13.5-15.678 20.018-23.568-59.05-73.228-104.055-148.414-115.58-214.524-4.027-11.108-15.646-14.908-25.596-17.36l11.53 19.868-31.305-22.445c-8.441-.189-17.618.604-25.092 2.113zm370.083-2.107c-2.92 13.842-5.738 27.685-15.046 41.527-.164-13.921-2.092-26.96-7.856-38.082-8.462 2.643-20.526 7.494-22.291 16.486-13.393 76.824-71.978 165.906-145.301 249.926C172.826 367.13 95.984 437.277 27.608 489.355c80.91-12.026 184.614-63.92 272.556-133.086 27.835-21.892 54.063-45.515 77.6-70.025-6.727 1.124-13.617 1.631-20.291 1.77l58.447-45.325c39.982-50.437 66.671-102.466 71.33-149.4.915-9.209 1.368-22.729-.642-34.805-2.01-12.077-6.486-21.931-13.252-26.371-8.677-5.693-24.034-9.17-39.578-9.45a98.183 98.183 0 0 0-5.385.044zM331.34 354.146a859.987 859.987 0 0 1-20.049 16.271 870.556 870.556 0 0 1-39.12 29.034c22.924 14.884 46.287 28.409 69.511 40.25a13010.71 13010.71 0 0 1 57.932 7.04c-5.536 5.312-11.915 8.882-18.942 11.292 36.526 15.689 71.873 26.592 103.694 31.322-49.14-37.427-102.652-84.185-153.026-135.209z"}}]})(props);
};
function GiJBrick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M265.5 83.5A9.5 9.5 0 0 0 256 93v96a9.5 9.5 0 0 0 9.5 9.5 9.5 9.5 0 0 0-9.5 9.5v96a9.5 9.5 0 0 0 9.5 9.5 9.5 9.5 0 0 0-9.5 9.5 9.5 9.5 0 0 0-9.5-9.5h-96a9.5 9.5 0 0 0-9.5 9.5v96a9.5 9.5 0 0 0 9.5 9.5h96a9.5 9.5 0 0 0 9.5-9.5 9.5 9.5 0 0 0 9.5 9.5h96a9.5 9.5 0 0 0 9.5-9.5v-96a9.5 9.5 0 0 0-9.5-9.5 9.5 9.5 0 0 0 9.5-9.5v-96a9.5 9.5 0 0 0-9.5-9.5 9.5 9.5 0 0 0 9.5-9.5V93a9.5 9.5 0 0 0-9.5-9.5h-96zm9.5 19h77v77h-77v-77zm0 115h77v77h-77v-77zm-115 115h77v77h-77v-77zm115 0h77v77h-77v-77z"}}]})(props);
};
function GiJackPlug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M406.089 25l-7.504 22.51 14.764 14.763 22.51-7.503V25zm-29.113 26.354l-9.9 9.9 32.529 32.53 9.9-9.901zM354.349 73.98l-43.842 43.844 32.527 32.528 43.844-43.842zm-56.569 56.57l-32.529 32.528 32.53 32.53 32.527-32.53zm-56.568 33.94l-127.898 127.9-8.885 26.65 37.39 37.39 26.649-8.885 127.9-127.899zm172.22 140.47c-15.712-.182-32.101 3.876-48.947 10.47-38.503 15.071-79.972 43.684-120.955 71.744-40.982 28.06-81.503 55.562-115.634 68.5-17.066 6.469-32.346 9.213-45.063 7.424-12.717-1.79-23.226-7.591-32.74-20.45-2.186-2.954-2.233-6.994.928-14.197 3.16-7.203 9.496-15.948 16.576-23.982 9.554-10.843 20.15-20.342 26.11-25.446L80.932 366.25c-6.525 5.638-17.096 15.26-26.84 26.32C46.334 401.376 39 411.052 34.54 421.22c-4.46 10.166-6.082 22.447 1.084 32.133 11.935 16.13 27.625 25.165 44.701 27.568 17.077 2.403 35.185-1.305 53.95-8.418 37.53-14.226 78.436-42.415 119.423-70.479 40.988-28.063 82.028-56.008 117.348-69.834 17.66-6.912 33.746-10.223 47.43-8.962 13.683 1.26 25.137 6.61 35.58 18.666 10.647 12.29 11.662 30.245 5.558 52.644-6.103 22.4-19.359 47.936-34.41 71.668-6.132 9.67-12.54 19.006-18.865 27.797h22.037a567.751 567.751 0 0 0 12.027-18.156c15.598-24.593 29.667-51.22 36.577-76.576 6.91-25.358 6.628-50.753-9.319-69.163-13.168-15.201-29.804-23.17-47.535-24.802a83.568 83.568 0 0 0-6.693-.344zM94.135 334.198l-9.9 9.9 32.527 32.528 9.9-9.9z"}}]})(props);
};
function GiJamesBondAperture (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M146 18.094l-.313 2.125c64.282 9.015 122.25 41.02 164.344 87.686-9.73-1.683-19.447-2.82-29.124-3.437 45.892 39.742 64.438 103.857 45.97 162.374 26.065-18.722 45.427-46.68 52.905-79.875-29.19-77.723-91.352-139.304-168.31-168.876H146zm267.78 0c28.61 77.52 19.385 160.333-18.905 227.5-1.373-9.452-3.22-18.753-5.5-27.875-20.32 47.344-63.415 81.5-113.844 90.655-5.864 1.514-12.016 2.313-18.342 2.313-.555 0-1.105-.02-1.657-.032-2.6.123-5.215.168-7.843.156 25.274 19.373 57.267 29.974 91.032 28 94.646-74.5 135.222-202.835 94.842-320.718h-19.78zm-165.06 86.22c-97.237 5.22-186.08 62.143-230.845 150.03v49.687c21.42-69.797 70.205-124.258 131.344-154.624-4.47 8.54-8.434 17.232-11.94 26.03 25.29-16.378 54.372-24.586 83.47-24.592 30.712-.007 61.428 9.12 87.688 27.375-9.977-30.14-30.508-56.787-59.72-73.907zM216.47 169.5c-32.51 1.025-64.696 13.76-89.782 38.188-27.114 103.46 7.454 216.188 92.468 286.312h31.03c-66.612-45.443-105.777-116.463-112.81-191.22 6.657 7.13 13.634 13.815 20.874 20.095-12.595-57.668 9.992-117.64 58.22-153.375zm40.718 12.844c-30.39 0-54.813 24.448-54.813 54.844 0 30.39 24.423 54.812 54.813 54.812 30.39 0 54.843-24.417 54.843-54.813 0-30.395-24.453-54.843-54.842-54.843zm-75.688 63c-11.335 30.52-11.2 65.08 2.656 97.437 91.515 61.988 214.54 64.646 309.625.25v-23c-59.34 44.63-131.816 59.77-199.75 47.69 6.565-3.436 12.957-7.097 19.158-10.97-61.614-7.084-114.196-50.884-131.688-111.406zm63.063 267.344c.157.102.31.21.468.312l.19-.313h-.657z"}}]})(props);
};
function GiJapan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M336.375 22.123c.747 27.58 3.127 51.431-1.747 70.892h-20.54c-12.376 22.876-11.185 40.564-2.362 55.333l16.002-8.366c2.867-9.458-28.632-22.734 14.187-27.753 5.796 2.848 20.874 9.41 39.09 17.227 3.817-34.507 26.088-36.795 47.47-45.863l-14.343-29.667c-35.396 14.004-55.536-16.018-77.757-31.803zm4.879 127.87c-11.753 1.278-18.274 7.788-23.853 15.24-5.893 21.864-.11 43.726 1.325 65.59l-37.102 61.617c-21.8 17.135-20.912-.866-23.666-11.705-18.465 18.51-15.916 40.93-24.037 60.733l-68.241 5.963-54.99 45.715 32.795 13.25 6.294-13.913 48.365-19.875 19.215.661 1.986 21.202 14.576 17.227 33.127-29.815-8.613-17.889c16.54-9.194 16.06 3.64 23.19 6.626l16.998-6.808 7.994-14.583 6.718 12.634 13.5-23.52 13.34 13.01 15.654-25.787 13.13-123.6zM190.857 382.877l-11.263 12.258-14.576-1.325-15.405 20.208 14.742 20.868 33.127-18.55 15.9-20.54c-4.955-8.08-11.457-14.096-22.525-12.92zm-77.518 20.208c-10.171 4.3-20.488 7.123-29.813 19.877l24.514 20.538c-9.749 12.92-6.887 25.838-7.62 38.758l16.895 7.62 15.239-11.263c-2.385-18.249 3.108-35.186 11.263-51.68l-6.626-13.25z"}}]})(props);
};
function GiJapaneseBridge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 105c-8.4 0-15 6.6-15 15s6.6 15 15 15 15-6.6 15-15-6.6-15-15-15zm-96 23c-8.4 0-15 6.6-15 15s6.6 15 15 15 15-6.6 15-15-6.6-15-15-15zm192 0c-8.4 0-15 6.6-15 15s6.6 15 15 15 15-6.6 15-15-6.6-15-15-15zm-105 23.7V222h18v-70.3c-2.9.8-5.9 1.3-9 1.3-3.1 0-6.1-.5-9-1.3zm36 7.5v18.1c14 1.4 28 4 42 7.8v-18.6c-14-3.5-28-6-42-7.3zm-54 .3c-14 1.5-28 4-42 7.6v18.7c14-3.9 28-6.6 42-8.2v-18.1zm-78 15.2v68.5c5.9-2.4 11.9-4.6 18-6.6v-61.9c-2.9.8-5.9 1.3-9 1.3-3.1 0-6.1-.5-9-1.3zm192 0v61.9c6.1 2 12.1 4.2 18 6.6v-68.5c-2.9.8-5.9 1.3-9 1.3-3.1 0-6.1-.5-9-1.3zm36 10.9v19.8c14.3 7 28.6 15.2 43 24.6v-2.8c-4.4-5.6-7-12.6-7-20.2 0-.8 0-1.6.1-2.4-12-7.2-24-13.5-36.1-19zm-246 1c-12 5.5-24.1 11.8-36.04 18.8.02.5.04 1.1.04 1.6 0 7.6-2.62 14.6-7 20.2v3.6c14.3-9.3 28.7-17.4 43-24.4v-19.8zM64 192c-8.39 0-15 6.6-15 15s6.61 15 15 15 15-6.6 15-15-6.61-15-15-15zm384 0c-8.4 0-15 6.6-15 15s6.6 15 15 15 15-6.6 15-15-6.6-15-15-15zM54 238.4v69.4c5.43-6 11.47-11.8 18-17.4V239c-2.56.6-5.24 1-8 1-3.48 0-6.84-.6-10-1.6zm404 0c-3.2 1-6.5 1.6-10 1.6-2.8 0-5.4-.3-8-1v51.4c6.5 5.6 12.6 11.4 18 17.4v-69.4zM256 240c-53.9 0-108.4 19.4-149 46.5-36.17 24.1-60.24 54.3-65.06 79.5h46.01c2.26-11.6 8.62-22.4 17.35-32.2 10.9-12.3 25.6-23.3 42.3-32.6C180.9 282.4 221.8 270 256 270s75.1 12.4 108.4 31.2c16.7 9.3 31.4 20.3 42.3 32.6 8.7 9.8 15.1 20.6 17.3 32.2h46.1c-4.9-25.2-28.9-55.4-65.1-79.5-40.6-27.1-95.1-46.5-149-46.5zm220 7.8v19.8l9.9-11.4c-3.3-2.9-6.6-5.6-9.9-8.4zM36 248c-3.27 2.7-6.54 5.3-9.81 8.1L36 267.8V248zm211 117.1V487h18V365.1h-18zm-35.8.8c-6.2.3-12.4.5-18.5.9L168.6 487H187l24.2-121.1zm89.6 0L325 487h18.4l-24.1-120.2c-6.1-.4-12.3-.6-18.5-.9zm-153.5 4.4c-6.6.7-13.1 1.4-19.6 2.2L89.53 487h18.87l38.9-116.7zm217.4 0L403.6 487h18.8l-38.1-114.5c-6.5-.8-13-1.5-19.6-2.2z"}}]})(props);
};
function GiJasmine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.7 32.45c-14.6 15.09-28.7 29.9-39.2 44.31-12.1 16.49-19.3 32.24-19.3 46.14 0 24.3 2.1 48.4 7.2 67.7 17.1 12 31.4 26.4 42.3 43.7v-77h18V235c12.6-17.5 27.6-31.9 44.7-44 5.1-19.4 7.3-43.7 7.3-68.2 0-13.9-7.2-29.55-19.3-46.04-10.5-14.41-26.5-29.22-41.7-44.31zM109.6 172.4c-9.79.2-21.86 2.5-34.03 6.6-17 5.7-35.64 14.6-54.58 24 9.68 18.4 19.36 36.3 29.71 50.7 11.85 18.9 24.5 30.5 38.07 34.8 24.33 7.6 45.73 12.2 65.73 13.3 18-12.5 37.4-21.6 57.3-26.5l-74.7-26 5.6-17.2 75.4 23.8c3.1-5.1 7.1-9.6 11.9-13-20.6-32.6-55.4-52.9-104.1-68.2-5-1.7-10.4-2.4-16.3-2.3zm290.8.3c-5.1.1-9.8.8-14.1 2.2-49.5 15.3-83.3 35.4-104 67.9 4.9 3.5 9.1 8 12.1 13.2l72.5-23.6 6.7 17.2-73.5 26c.1 1.5.2 2.9.2 4.4 0 4.6-.8 9.1-2.2 13.3 35.7 14.2 76.1 10.7 124.3-4.7 13.3-4.1 25.6-15.8 37.2-34.8 10.2-14.3 21.7-32.3 31.4-50.6-20.9-9.4-39.1-18.3-55.7-24-11.9-4.1-22.9-6.5-32.7-6.6zm-145.4 80c-13.8 0-24.8 13.5-24.8 27.3s11 24.8 24.8 24.8c14.4 0 27.2-11 27.2-24.8s-12.8-27.3-27.2-27.3zM214.2 293c-38 9.6-69.5 35.6-98.6 78.1-8.2 11.2-11.3 27.8-11 48 .3 17.5 3.2 37.6 6.4 60.5 20.3-3.3 40.3-6.8 57.6-11.9 21.2-8.5 36-16.6 44.2-27.8 14.4-19.9 25.5-38.9 32.7-57.6-6.7-22.3-9.7-42.3-8.3-62.7l-44.6 63.9-15.3-10.7 45.8-64.5c-4-4.3-7-9.7-8.9-15.3zm76 16.6l44 63.1-14.6 10.6-46.1-64.2c-5.9 2.4-12.3 3.7-18.5 3.7h-.1c-2.4 38.7 13.6 77 44.6 116.9 8.1 11.3 22.9 19.4 42.2 27.8 16.7 5.2 38.8 8.6 59.5 11.9 3.2-22.9 6.2-43 6.4-60.5.3-20.1-2.8-36.7-11-47.9-14.4-22.2-31.2-38.5-46.6-51.1-20.9.4-40.8-2.8-59.8-10.3z"}}]})(props);
};
function GiJasonMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M215 28.084c-41.58 6.557-73.571 23.214-96.637 46.28C89.316 103.41 74.133 142.997 73.066 187H105v82H80.191c7.48 41.377 20.766 83.17 39.75 118.766C151.043 446.08 196.125 487 256 487s104.957-40.92 136.059-99.234c18.984-35.596 32.27-77.389 39.75-118.766H407v-82h31.934c-1.067-44.002-16.25-83.59-45.297-112.637C370.57 51.298 338.58 34.641 297 28.084V73h-82V28.084zM191 64a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm130 0a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zM187 96a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm138 0a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-142 39a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm48 0a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm50 0a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm48 0a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-137 29h128l-64 28-64-28zm-16 19c25.983 0 49 17.247 49 41s-23.017 41-49 41-49-17.247-49-41 23.017-41 49-41zm160 0c25.983 0 49 17.247 49 41s-23.017 41-49 41-49-17.247-49-41 23.017-41 49-41zM208 304l-48 48h-20l68-48zm16 0h64s-16.915 32-32 32-32-32-32-32zm80 0l68 48h-20l-48-48zm-80 64a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm64 0a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-96 16a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm128 0a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-96 16a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm64 0a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-119 7a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm174 0a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-119 25a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm64 0a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9z"}}]})(props);
};
function GiJawbone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M141.53 27.5c-14.402.24-28.773 4.045-40.905 11.47 8.326 73.258-10.335 120.874-81 185.593 85.145 69.732 181.182 175.762 224.47 258.593 47.95 5.71 96.32 3.736 125.468-23.03-5.976-1.694-11.99-5.062-17.625-10.095-8.674-7.743-14.29-14.773-15.313-23.03-8.506.522-17.522-1.747-25.844-7.25-9.755-6.45-15.376-15.956-15.75-25.344-2.813.698-5.658 1.168-8.53 1.375-9.563.69-19.818-1.6-27.063-9.124-7.212-7.49-9.103-17.77-8.187-27.344.06-.64.165-1.267.25-1.906-2.99.838-6.055 1.407-9.125 1.688-9.548.872-19.862-1.21-27.25-8.594-7.244-7.24-9.356-17.286-8.72-26.75-.567.193-1.144.39-1.718.563-9.18 2.76-19.693 2.792-28.406-2.97-8.673-5.734-12.74-15.362-13.936-24.906-.764-6.09-.422-12.364.937-18.437-41.346-51.493-38.973-107.49 51.376-170.688 6.717-53.757-33.305-80.477-73.125-79.812zm140.064 64.53c-2.196-.06-5.02.324-8.375 1.44-6.71 2.23-14.523 7.06-20.5 12.936-5.98 5.875-9.918 12.704-10.69 18-.77 5.296.138 9.312 7.032 14.563 7.08 5.39 11.66 5.345 16.875 3.28 5.216-2.065 10.985-7.466 15.313-14.563 4.328-7.096 7.163-15.705 7.72-22.53.554-6.827-1.18-10.71-2.75-11.907v-.03c-.85-.648-2.43-1.127-4.626-1.19zm49.5 24.25c-.523 0-1.09.034-1.688.095-2.396.244-5.368 1.01-8.72 2.563-6.7 3.106-14.132 8.858-19.498 15.312-5.367 6.454-8.43 13.528-8.532 18.438-.102 4.91 1.103 8.356 8.906 12.5 8.01 4.252 13.158 3.627 18.407.843 5.248-2.782 10.415-8.78 13.905-16.124 3.49-7.342 5.238-15.888 4.938-22.344-.3-6.455-2.302-9.592-4.188-10.593-.76-.405-1.964-.682-3.53-.69zm49.187 21.5c-.237.007-.49.01-.75.032-3.107.28-7.608 1.803-12.405 5.094-6.397 4.388-12.886 11.342-17.094 18.438-4.206 7.095-5.817 14.167-5.03 18.28.787 4.115 2.45 6.984 11.563 9.25 9.34 2.325 15.205.483 20.218-3.343 5.015-3.825 8.982-10.39 11.064-17.81 2.082-7.423 2.152-15.524.625-21.19-1.53-5.664-3.776-7.953-6.345-8.593-.51-.127-1.128-.173-1.844-.156zm37.783 21.407c-2.654.066-3.784.61-5.313 2.032-3.057 2.84-6.715 11.768-8.875 25.343-3.315 20.835-4.277 51.186-8.78 84.718 18.245-21.454 32.614-43.518 40.31-62.25 5.227-12.716 7.254-23.8 6.283-31.405-.972-7.606-3.66-11.774-10.875-15.03-5.824-2.63-10.097-3.473-12.75-3.407zM465 179.53c-.654.01-.64.14-.875.345-.63.545-2.953 5.552-3.375 13.97-.74 14.724 2.303 36.59 3.47 55.78 1.436-.566 3.107-1.515 5.28-3.28 5.153-4.188 10.808-11.842 14.438-20.407 3.63-8.566 5.238-17.936 4-25.47-1.24-7.532-4.517-13.262-12.72-17.593-4.49-2.372-7.7-3.21-9.312-3.313-.403-.025-.688-.034-.906-.03zm-267.03 84.282c-.453-.002-.894.02-1.314.063-1.12.116-2.15.4-3.094.75-3.773 1.4-7.424 5.167-9.906 10.813-2.48 5.645-3.515 12.83-2.78 18.687.733 5.858 3.044 9.858 5.718 11.625 2.797 1.85 7.215 2.31 12.72.656 5.502-1.654 11.483-5.457 15.56-10.03 4.08-4.575 6.087-9.547 5.845-13.72-.244-4.173-2.178-8.713-10.22-14.03-5.403-3.573-9.372-4.796-12.53-4.813zm47.78 34.375c-.812-.016-1.598.072-2.344.188-3.976.618-8.316 3.588-11.875 8.625-3.557 5.037-5.987 11.863-6.436 17.75-.45 5.887.983 10.265 3.25 12.53 2.372 2.372 6.62 3.712 12.344 3.19 5.722-.524 12.34-3.052 17.25-6.72 4.91-3.668 7.873-8.144 8.468-12.28.596-4.14-.4-8.998-7.22-15.814-5.234-5.233-9.263-7.076-12.623-7.406-.28-.028-.542-.057-.813-.063zm44.47 36.782c-.526.014-1.034.056-1.533.124-3.987.54-8.376 3.44-12.03 8.406-3.655 4.967-6.25 11.716-6.813 17.594-.563 5.878.808 10.284 3.03 12.594 2.327 2.415 6.55 3.85 12.282 3.437 5.732-.413 12.397-2.833 17.375-6.406 4.98-3.575 8.014-7.97 8.69-12.095.673-4.125-.22-8.992-6.908-15.938-5.134-5.332-9.115-7.26-12.468-7.656-.56-.065-1.1-.076-1.625-.06zm83.28 8.342c-15.947 8.505-34.427 19.674-46.563 30.782-7.694 7.043-12.323 14.02-13.156 18.22-.83 4.196-.528 6.71 7.283 11.873 7.89 5.218 13.697 5.385 19.875 3.063 6.177-2.322 12.78-8.142 18.312-16.438 8.636-12.948 14.052-31.514 14.25-47.5zm22.625 63.907c-14.205 5.428-29.29 9.312-36.625 13.467-2.15 1.218-3.486 2.372-4 3-.514.63-.376.427-.375.594 0 .337 1.343 4.753 9.25 11.814 7.362 6.574 12.22 7.246 16.156 6.406 3.937-.84 8.107-4.084 11.376-9.313 3.27-5.228 5.32-12.16 5.438-18.062.062-3.134-.426-5.76-1.22-7.906z","fillRule":"evenodd"}}]})(props);
};
function GiJawlessCyclop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-29 0-50 13.88-68.7 37.79-6.7 8.55-12.9 18.39-18.9 29.16 73.8 20.55 101.4 20.55 175.2 0-6-10.77-12.2-20.61-18.9-29.16C306 38.88 285 25 256 25zM129 99.14C158.8 125.4 198.6 151 256 151c57.4 0 97.2-25.6 127-51.86-113.6 33.36-140.4 33.36-254 0zm18.3 36.66c-3 7-6 14.3-9 21.6-28.4 70.1-54.79 151-108.76 195.4l52.12 52.1C192.8 344 319.2 344 430.3 404.9l52.2-52.1c-54-44.4-80.4-125.3-108.8-195.4-3-7.3-6-14.6-9-21.6-16.2 10.7-34.9 20-56.3 26.1 12.8 16.2 20.6 38.3 20.6 62.1 0 27.4-10.3 52.5-26.9 69 1.5 1.8 3 3.7 4.4 5.5 12.7 16.7 21.5 33.3 21.5 33.3l-16 8.4s-8.1-15.4-19.8-30.7c-5.9-7.7-12.6-15.2-19.1-20.5-6.6-5.3-12.7-8-17.1-8-4.4 0-10.5 2.7-17.1 8-6.5 5.3-13.2 12.8-19.1 20.5-11.7 15.3-19.8 30.7-19.8 30.7l-16-8.4s8.8-16.6 21.5-33.3c1.4-1.8 2.9-3.7 4.4-5.5-16.6-16.5-26.9-41.6-26.9-69 0-23.8 7.8-45.9 20.6-62.1-21.4-6.1-40.1-15.4-56.3-26.1zm76.7 30.6c-13.7 12.7-23 33.4-23 57.6 0 23.1 8.5 43 21.2 55.8 1.7-1.7 3.5-3.3 5.4-4.8 6-4.9 12.7-9 20-10.9-18.5-3.9-32.6-20.5-32.6-40.1 0-10.1 3.8-19.5 9.9-26.6A16 16 0 0 0 240 208a16 16 0 0 0 16-16 16 16 0 0 0-2.7-8.9c.9-.1 1.8-.1 2.7-.1 22.5 0 41 18.5 41 41 0 19.6-14.1 36.2-32.6 40.1 7.3 1.9 14 6 20 10.9 1.9 1.5 3.7 3.1 5.4 4.8C302.5 267 311 247.1 311 224c0-24.2-9.3-44.9-23-57.6-10.1 1.7-20.7 2.6-32 2.6s-21.9-.9-32-2.6zm9.6 147.2l12.8 12.8-16 16-12.8-12.8 16-16zm44.8 0l16 16-12.8 12.8-16-16 12.8-12.8zm-37.1 63.7c-11 .5-22 1.5-33 3.1l15.7 31.5 17.3-34.6zm29.4 0l17.3 34.6 15.7-31.5c-11-1.6-22-2.6-33-3.1zm-89.9 8.3c-10.6 2.5-21.2 5.5-31.6 9l25.1 29.1 6.5-38.1zm150.4 0l6.5 38.1 25.1-29.1c-10.4-3.5-21-6.5-31.6-9zm-199.8 15.5c-2.9 1.2-5.8 2.4-8.8 3.7l-27.41 13.7 27.31 27.2 8.9-44.6zm249.2 0l8.9 44.6 27.3-27.2-27.3-13.7c-3-1.2-5.9-2.5-8.9-3.7z"}}]})(props);
};
function GiJeep (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M155.605 114.634l-14.31 7.154 3.576 7.156 13.423 26.844-57.578 57.578h22.625l42.494-42.494 21.248 42.494h17.89l-45.788-91.578-3.58-7.154zm132.422 2.732v24c0 11.313 5.527 24.452 12.13 39.47 6.345 14.432 13.97 29.757 19.87 42.33v54.2h-93.765l-16-48H80.027v80h2.623c5.445-11.528 14.993-20.257 26.176-26.092 12.89-6.725 28.058-9.908 43.2-9.908 15.144 0 30.31 3.183 43.203 9.908 11.18 5.835 20.73 14.564 26.174 26.092h117.344c10.22-23.39 31.87-35.904 54.555-37.967 23.296-2.118 47.98 5.742 65.738 21.966h7.222l10.666-32h-28.9v-48H333.09c-5.778-12.2-12.63-26.108-18.285-38.97-6.367-14.482-10.778-28.342-10.778-33.03v-24h-16zm-256.054 72v80h32v-80h-32zm432.054 23.88v32h16v-32h-16zm-231.568 32.12l5.333 16h50.234v-16H232.46zm-184.433 40v24.303h16v-24.304h-16zm104 16a48 48 0 0 0-48 48 48 48 0 0 0 48 48 48 48 0 0 0 48-48 48 48 0 0 0-48-48zm253.557 0a48 48 0 0 0-48 48 48 48 0 0 0 48 48 48 48 0 0 0 48-48 48 48 0 0 0-48-48zm-173.557 24v16h96v-16h-96zm-80 8a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm253.557 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16z"}}]})(props);
};
function GiJellyfish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.25 19.594c-76.095.492-152.275 42.48-171.844 139.812-2.706 13.46.208 22.172 7.406 30.063 6.18 6.774 16.286 12.65 29.313 17.155 8.87-6.015 17.417-19.395 20.47-34.156 1.136 15.568 7.102 33.066 17.28 42.53 12.807 1.726 26.597 2.752 40.78 3.188C205.5 123.968 313.99 114.71 323.22 208.5c11.655-2.437 22.868-5.327 33.28-8.656 11.107-15.656 7.692-26.07 5.03-41 8.16 11.035 11.332 22.095 28.314 27.25 9.952-5.37 18.034-11.312 23.687-17.5 8.163-8.936 11.494-17.695 9.97-28.47-10.676-75.457-84.34-119.695-161.625-120.53-1.208-.013-2.417-.008-3.625 0zm-29.22 23.093c24.367 0 44.126 19.73 44.126 44.094 0 24.367-19.76 44.126-44.125 44.126-2.338 0-4.633-.18-6.874-.53-3.684 14.55-16.865 25.343-32.562 25.343-18.552 0-33.594-15.044-33.594-33.595 0-16.984 12.604-31.03 28.97-33.28-.032-.682-.032-1.375-.032-2.064 0-24.365 19.727-44.093 44.093-44.093zm95.345 55.97c10.8 0 19.563 8.764 19.563 19.562 0 10.797-8.764 19.53-19.563 19.53-10.8 0-19.53-8.733-19.53-19.53 0-10.8 8.73-19.564 19.53-19.564zm77.156 102.312c-5.32 3-11.025 5.787-17.03 8.374 12.71 15.545 19.88 34.71 22.75 54.25 4.855 33.055-4.353 66.41-16.813 78.97-24.31 24.5-30.547 57.464-23.125 88.248 5.573 23.115 18.495 45.298 36.938 63.407h29.03c-24.623-17.53-41.752-42.65-47.81-67.783-6.2-25.704-1.406-50.908 18.25-70.718 19.685-19.842 27.573-57.107 22.03-94.845-3.062-20.85-10.79-42.05-24.22-59.906zm-41.06 17.25c-5.997 1.886-12.2 3.595-18.533 5.186 8.91 16.314 14.04 30.545 15.625 43.063 2.682 21.173-3.548 38.124-20.187 56.592-23.118 25.66-24.01 54.512-27.563 82.625-3.5 27.702-9.055 55.82-38.812 88.532h24.344c23.8-31.292 29.794-60.816 33-86.19 3.687-29.18 4.24-51.718 22.906-72.436 19.127-21.23 28.188-45.065 24.844-71.47-1.838-14.506-7.098-29.6-15.625-45.905zm-39.75 9.905c-21.83 4.216-44.707 6.853-67.033 8.03-16.476.87-33.335 1.24-49.875.845-14.306 14.035-26.07 29.54-33.78 45.813-12.875 27.174-13.776 57.767 5.562 82.812.295.382.57.788.844 1.188-10.236 6.08-21.41 11.5-33.25 16.75-23.037 10.21-48.35 19.324-72.813 31.125 6.505-27.637 17.068-49.704 29.188-62.063 16.996-17.333 35.44-32.76 46-57.844 6.838-16.245 9.966-35.98 7.75-61.905-6.59-1.016-12.964-2.276-19.094-3.72 2.97 26.23.066 44.26-5.876 58.376-8.568 20.355-24.4 33.955-42.125 52.033-18.482 18.845-31.744 49.66-37.814 86.75-9.37 5.463-18.45 11.502-27.062 18.406v24.936c7.454-7.247 15.6-13.632 24.25-19.406-1.067 14.096-1.178 28.833-.22 43.97h18.75c-1.257-19.685-.448-38.66 1.94-56.158 26.77-14.288 56.505-24.9 84.717-37.406 10.524-4.664 20.864-9.69 30.72-15.375-.125 10.524-4.077 23.175-12.344 37.19-14.266 24.18-40.91 50.666-77.344 71.75h34.344c26.386-19.128 46.457-40.83 59.094-62.25 11.775-19.96 17.327-40.537 13.906-58.095 21.25-15.403 38.72-35.33 48.28-63.47 9.112 1.75 18.513.996 25.314-2.124.256-.116.5-.252.75-.374-7.986 68.863-42.73 137.217-112.313 186.313h30.72c69.553-58.027 100.686-136.855 102.03-213.033 18.65-7.55 31.337-26.797 26.782-53.062zM211.75 255.72c1.172 3.966 3.024 7.484 5.375 10.718l2.938 4.03-1.72 4.688c-3.335 9.118-1.49 15.308 3.5 21.375 2.123 2.58 4.95 4.976 8.25 7.064-7.543 23.296-20.897 39.753-38.124 52.844-.512-.75-1.034-1.492-1.595-2.22-14.877-19.267-14.336-40.467-3.47-63.406 5.618-11.855 14.223-23.8 24.845-35.093z"}}]})(props);
};
function GiJerrycan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M374.014 53.123c-.72-.008-1.435.002-2.15.033-1.758.076-3.503.267-5.235.57-13.857 2.41-27.79 12.364-38.913 30.905-13.823 23.04-37.3 32.308-61.654 35.438-23.677 3.043-49.05 1.085-72.016.97L105 165.564V487h302V67.955c-11.04-10.112-22.205-14.706-32.986-14.832zM201.514 55l-16.873 50.617 5.235-2.617H192c4.122 0 8.278.064 12.44.145L214.485 73h99.285c4.337-6.844 9.166-12.885 14.41-18H201.514zm173.884 22.354l17.204 5.292L329 289.352v109.625l60.123 41.623-10.246 14.8-90.133-62.4H176v-.775l-40.512 60.767-14.976-9.984L183 349.275V242.068l-60.21-42.728 10.42-14.68L221.052 247H323.2l52.198-169.646zM144.713 96.602l-41.576 19.68 12.836 27.116 41.576-19.68L144.712 96.6zM201 265v110h110V265H201z"}}]})(props);
};
function GiJerusalemCross (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 23v18h-78v197h197v-78h18v192h-18v-78H274v197h78v18H160v-18h78V274H41v78H23V160h18v78h197V41h-78V23zm41 41v55h55v18h-55v55h-18v-55h-55v-18h55V64zm-256 0v55h55v18h-55v55h-18v-55H64v-18h55V64zm256 256v55h55v18h-55v55h-18v-55h-55v-18h55v-55zm-256 0v55h55v18h-55v55h-18v-55H64v-18h55v-55z"}}]})(props);
};
function GiJesterHat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M281.49 19.312c-25.16.153-60.41 33.046-86.097 68.937 3.964 3.373 7.804 7.028 11.492 10.948 9.436 10.03 18.148 21.76 26.144 34.612 11.52-18.005 23.463-33.81 35.724-46.87 19.07-20.313 39.165-34.398 60.04-38.75-12.726-17.32-28.263-28.186-47.304-28.878zm62.834 45.406c-.83.004-1.664.017-2.506.04l-.062.003-.063.003c-18.105.263-38.738 12.047-59.816 34.498-21.08 22.452-42.23 55.034-61.672 94.063-28.845 57.905-53.972 129.98-71.225 204.586 5.495 10.445 12.004 20.354 20.075 29.96 4.482-18.25 14.135-38.246 32.02-51.773l11.165-8.445 3.05 13.664c1.618 7.257 7.71 21.177 15.42 34.185 5.756 9.713 12.564 19.186 18.634 25.864 13.73-16.182 20.832-43.925 28.193-62.412l4.42-11.097 9.45 7.308c10.392 8.04 19.526 19.733 26.765 31.813 3.71 6.193 6.887 12.395 9.336 18.402 12.077-14.887 20.38-32.92 27.04-51.215-5.102-12.048-10.1-24.147-14.43-36.09-6.996-19.307-12.32-38.26-13.337-56.4-1.015-18.14 2.522-35.792 13.533-50.525 7.97-10.666 18.658-17.79 30.794-17.98 12.137-.187 23.963 6.146 35.348 17.265 18.01 17.59 36.405 48.284 55.545 94.338 1.338-54.69-3.184-113.508-17.436-161.142-8.99-30.052-21.805-55.49-38.615-72.785-16.285-16.753-35.92-26.245-61.626-26.125zm-205.11 18.18c-4.463.04-8.997.646-13.614 1.85-47.61 12.428-68.494 50.477-77.536 97.667-4.09 21.355-5.4 44.255-5.253 66.65 1.557.036 3.092.16 4.602.368 1.754-6.153 3.62-12.048 5.688-17.498 4.876-12.862 10.612-23.867 19.453-31.336 8.84-7.47 21.574-9.996 34.144-5.492 26.76 9.59 40.14 35.794 45.24 66.176 2.492 14.844 3.214 31.024 2.723 47.744 14.29-44.75 31.076-86.877 49.434-123.73 5.95-11.945 12.066-23.322 18.32-34.076-8.792-15.234-18.415-28.824-28.64-39.692-15.944-16.95-32.47-27.154-50.124-28.486-1.47-.11-2.95-.16-4.437-.146zm232.173 148.27c-5.544.085-10.803 2.923-16.655 10.753-1.167 1.564-2.213 3.172-3.164 4.817 7.204 9.21 14.374 19.512 21.377 30.682 3.887-1.5 8.052-2.428 12.393-2.665-1.107-12.588-2.46-26.452-4.14-40.98-3.758-1.902-7.04-2.65-9.81-2.608zm-329.56 35.87c-12.81 0-23 10.19-23 23s10.19 23 23 23c12.808 0 23-10.19 23-23s-10.192-23-23-23zm345.75 25.652c-12.808 0-23 10.19-23 23s10.192 23 23 23c12.81 0 23-10.19 23-23s-10.19-23-23-23zm82.597 56.465c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zm-99.31 32.643c-8.713 23.945-20.526 48.82-41.428 67.93l-12.512 11.437-2.465-16.77c-.916-6.226-5.35-17.525-11.728-28.167-3.786-6.32-8.287-12.394-12.898-17.62-6.213 19.202-14.643 45.832-34.68 62.348l-5.763 4.75-5.73-4.787c-10.268-8.58-20.073-22.133-28.435-36.24-5.068-8.55-9.358-17.036-12.623-24.948-11.832 14.45-17.72 34.36-18.62 48.398l-1.246 19.457-14-13.568c-18.337-17.774-30.744-36.71-40.152-56.956l-11.453 48.67c-.337 5.734-.657 12.613-.34 18.48.332 6.097 2.332 10.952 1.98 10.55 4.148 4.767 20.086 11.37 42.304 14.553 22.218 3.185 50.507 4.065 80.176 2.844 59.338-2.44 124.766-13.612 159.164-29.15 4.968-2.245 13.87-15.99.5-35.91l-.014-.02z"}}]})(props);
};
function GiJetFighter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M467.355 31.004c-2.028.042-4.03.415-5.898.848-4.98 1.153-10.307 3.38-16.338 6.396-12.062 6.03-26.718 15.322-42.14 26.12-26.718 18.7-55.462 41.765-74.97 59.894l39.82 19.908 19.908 39.82c18.13-19.508 41.193-48.252 59.895-74.97 10.797-15.422 20.088-30.078 26.12-42.14 3.014-6.03 5.242-11.357 6.395-16.337 1.154-4.98 1.878-10.923-2.945-15.746-2.41-2.412-5.103-3.437-7.814-3.715-.68-.07-1.358-.092-2.035-.078zm-32.376 29.59c4.388.09 8.607 1.52 11.756 4.67 4.8 4.8 5.607 12.078 3.762 18.668-1.845 6.59-6.102 13.264-12.902 20.064l-42.217 42.22-29.595-29.595 42.22-42.218c6.8-6.8 13.474-11.055 20.063-12.9 1.648-.46 3.338-.756 5.022-.865.63-.04 1.26-.056 1.89-.043zM80 96l-48 64 48-64zm103.154 13.486L161.938 130.7l43.873 4.876 1.717-1.717v-24.374h-24.373zm129.965 25.22l-43.516 21.757-153.05 200.14 13.764 13.764 91.838-91.836 5.656-5.657 11.315 11.315-5.658 5.656-91.837 91.838 13.763 13.763 200.14-153.05 21.76-43.514-21.392-42.784-42.785-21.39zm-256.565.386l7.388 22.164 121 83.578 64.473-84.314-192.86-21.428zm38.14 62.85l-13.123 13.124 24.373 24.375 17.582-17.58-28.832-19.917zm260.785 64.642l-84.314 64.473 83.578 121 22.164 7.388-21.428-192.86zm-190.88 4.852L53.62 276.45 31 299.073l82.402 35.315 51.198-66.95zm212.086 41.125l4.61 41.502 17.13-17.128V308.56h-21.74zM244.564 347.4l-66.95 51.198L212.927 481l22.62-22.62 9.016-110.98zm-138.62 21.22l-13.057 13.06 37.433 37.433 13.06-13.058-37.435-37.434zm188.197 19.853l-17.58 17.582 24.374 24.373 13.123-13.123-19.916-28.832z"}}]})(props);
};
function GiJetPack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16C178.857 16 76 192.867 76 268.657c0 25.263 103.128 25.223 180 25.313 76.874.09 180-.046 180-25.313C436 192.867 333.144 16 256 16zm-90 303.282c-29.772 0-59.312 4.894-63.282 15C94.778 354.492 150.12 496 166 496c15.88 0 71.22-141.51 63.282-161.718-3.97-10.105-33.51-15-63.282-15zm180 0c-29.772 0-59.312 4.894-63.282 15C274.778 354.492 330.12 496 346 496c15.88 0 71.22-141.51 63.282-161.718-3.97-10.105-33.508-15-63.282-15z"}}]})(props);
};
function GiJetpack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M316.78 22.875c-39.934 7.73-68.166 23.587-85.06 45.594l56.686 32.718c7.082-3.366 14.852-5.288 22.97-5.407 4.6-.066 9.312.447 14.062 1.595 3.55-21.452.93-46.382-8.657-74.5zm-97.155 60.188l-86.97 150.562 93.126 53.813 21.876-37.875c-9.93-9.794-14.08-24.695-14.594-40.22-.63-18.986 3.98-40.098 12.563-59.187 6.37-14.167 14.91-27.294 25.72-37.22l-51.72-29.874zM426.095 86c-29.394 5.69-52.423 15.795-69.283 29.5 9.33 9.8 14.302 21.758 15.282 34.03l56.53 32.626c10.69-25.678 10.483-57.99-2.53-96.156zM64.968 94.063L27.03 159.78l102 42.75 60.814-105.31L64.97 94.062zm246.624 19.968c-6.535.105-12.59 2.26-18.563 5.845-11.942 7.17-22.876 21.332-30.342 37.938-7.467 16.605-11.48 35.512-10.97 50.906.51 15.377 5.323 26.064 12.813 30.405.008.004.026-.004.033 0 7.503 4.316 19.15 3.152 32.718-4.094 13.584-7.253 27.95-20.167 38.595-34.936 10.645-14.77 17.45-31.35 17.688-45.28.237-13.933-4.683-25.242-20.5-34.376-7.91-4.568-14.935-6.51-21.47-6.407zm58.812 56.126c-3.198 14.315-10.297 28.28-19.375 40.875-12.236 16.98-28.18 31.522-44.936 40.47-13.74 7.338-28.795 11.2-42.28 7.438l-21.845 37.812 93.124 53.78L422 199.94l-51.594-29.782zm54.22 62.625l-60.782 105.345 88.03 67 37.938-65.75-65.187-106.594zm-276.657 31.282c-22.477 9.84-39.73 23.148-51.814 39.344l87.5 50.53c8.04-18.58 11.052-40.098 8.5-64.342l-44.187-25.53zM87.874 320.22L18.22 440.78v37.345l85.843-148.563-16.188-9.343zm169.406 6.967c-22.48 9.84-39.725 23.143-51.81 39.344l87.5 50.533c8.042-18.59 11.056-40.12 8.5-64.375l-44.19-25.5zM122.19 340.031l-90 154.876H53.81l84.594-145.5-16.22-9.375zm34.437 19.876l-77.78 135h21.56l72.376-125.656-16.155-9.344zM197.47 383.5l-63.22 111.406h21.5l57.906-102.062-16.187-9.344zm34.436 19.906l-51.062 91.5h21.375l45.874-82.187-16.188-9.314zm34.438 19.875l-38.938 71.626h21.313l33.843-62.28-16.22-9.345z"}}]})(props);
};
function GiJewelCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 77.527c-28.554 59.928-54.586 129.729-55.912 171.23 8.106 8.904 15.512 20.237 21.314 31.84 6.48 12.959 11.159 25.504 11.159 36.714v7.162l-6.946 1.736c-66.268 16.567-117.525 16.69-168.181-.195l-6.272-2.092v-6.611c0-15.216-1.409-46.505 15.164-67.383a30.878 30.878 0 0 0-4.385-6.205c-4.186-4.627-10.398-9.935-17.129-14.743-6.73-4.807-14.012-9.164-20.302-12.193-1.295-.623-2.295-.892-3.51-1.38.946 26.658 4.726 70.82 11.693 112.624 2.773 16.637 6.043 32.722 9.715 46.89 151.612 14.462 275.572 14.462 427.184 0 3.672-14.168 6.942-30.253 9.715-46.89 6.967-41.803 10.747-85.966 11.693-112.625-1.215.489-2.215.758-3.51 1.381-6.29 3.029-13.572 7.386-20.303 12.193-6.73 4.808-12.942 10.116-17.128 14.743a31.68 31.68 0 0 0-4.32 6.088c17.421 20.991 15.099 52.656 15.099 67.5v6.61l-6.272 2.093c-50.656 16.885-101.913 16.762-168.181.195l-6.946-1.736v-7.162c0-11.21 4.68-23.755 11.159-36.713 5.802-11.604 13.208-22.937 21.314-31.84-1.326-41.502-27.358-111.303-55.912-171.23zm0 31.963l42.541 127.623L256 300.926l-42.541-63.813 34.002-102.008L256 109.49zm0 56.922l-22.682 68.043 7.621 11.43c5.09-24.4 12.37-47.622 22.932-55.86L256 166.412zM47.852 393.508c5.502 16.226 12.645 26.698 15.904 29.09 128.174 15.834 256.314 15.834 384.488 0 3.259-2.392 10.402-12.865 15.904-29.09-146.943 13.646-269.353 13.646-416.296 0z"}}]})(props);
};
function GiJeweledChalice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M261.938 16.28c-44.12 0-84.047 5.327-113.72 14.282-14.835 4.478-27.12 9.802-36.374 16.407-9.238 6.59-16.223 15.3-16.25 26l-.03.03c0 13.315 1.05 26.348 3.03 39 3.29-1.478 6.858-2.368 10.562-2.5 1.437-.05 2.874.004 4.344.188 11.763 1.47 21.494 9.193 28.688 19.187 7.193 9.994 12.08 22.69 13.437 36.375 1.357 13.686-1.013 26.1-7.063 35.594-2.544 3.994-5.964 7.404-9.937 9.937 30.266 41.24 74.044 67.345 123.313 67.345 48.71 0 92.033-25.536 122.25-65.97-4.95-2.59-9.168-6.572-12.188-11.31-6.05-9.495-8.42-21.91-7.063-35.595 1.357-13.686 6.276-26.38 13.47-36.375 7.193-9.994 16.893-17.718 28.656-19.188.735-.09 1.464-.157 2.187-.187.723-.03 1.438-.026 2.156 0 4.872.174 9.506 1.677 13.594 4.094 2.143-13.137 3.28-26.702 3.28-40.563V73c-.012-10.712-7.002-19.433-16.25-26.03-9.254-6.606-21.538-11.93-36.374-16.407-29.672-8.956-69.6-14.282-113.72-14.282zM152.78 48.72c-4.477 3.726-6.936 7.742-6.936 11.936 0 19.348 51.99 35.032 116.094 35.032C326.04 95.688 378 80 378 60.656c0-4.2-2.48-8.206-6.97-11.937 13.2 4.046 23.653 8.826 30.158 13.468 6.634 4.734 8.406 8.483 8.406 10.843 0 2.36-1.772 6.11-8.406 10.845-6.635 4.734-17.36 9.62-30.938 13.72-27.155 8.194-65.717 13.468-108.313 13.468-42.595 0-81.157-5.274-108.312-13.47-13.577-4.097-24.303-8.984-30.938-13.718-6.634-4.734-8.406-8.484-8.406-10.844 0-2.36 1.773-6.108 8.407-10.843 6.495-4.634 16.922-9.425 30.094-13.468zm-43.25 79.405c-.522-.007-1.012.024-1.5.094-2.917.418-5.155 2.195-7.5 5.874-3.124 4.904-5.242 13.385-4.218 23.72.818 8.25 3.468 16.2 7.094 22.686 1.035-8.94 8.625-15.875 17.844-15.875 6.984 0 13.026 3.994 16 9.813.1-2.316.036-4.772-.22-7.344-1.023-10.334-4.93-20.226-10.03-27.313-5.1-7.086-11.195-10.953-15.813-11.53-.577-.072-1.133-.118-1.656-.125zm301.5 0c-.522.007-1.078.053-1.655.125-4.618.577-10.71 4.444-15.813 11.53-5.1 7.088-9.006 16.98-10.03 27.314-.158 1.58-.234 3.105-.25 4.594 3.29-4.295 8.456-7.063 14.28-7.063 9.926 0 17.97 8.043 17.97 17.97 0 .23-.023.457-.032.686 4.477-6.908 7.81-15.998 8.75-25.468 1.024-10.333-1.094-18.814-4.22-23.718-2.342-3.68-4.58-5.456-7.5-5.875-.485-.07-.976-.102-1.5-.095zm-148.905 11.813c11.85 0 22.082 6.965 28.75 16.53 6.668 9.566 10.406 21.998 10.406 35.563 0 13.566-3.737 25.998-10.405 35.564-6.668 9.565-16.9 16.53-28.75 16.53-11.85 0-22.05-6.965-28.72-16.53C226.74 218.028 223 205.597 223 192.03c0-13.564 3.74-25.996 10.406-35.56 6.668-9.567 16.868-16.532 28.72-16.532zm0 18.687c-4.606 0-9.29 2.624-13.406 8.53-4.12 5.908-7.032 14.83-7.032 24.876 0 4.65.64 9.052 1.718 13.032 1.935-7.837 8.97-13.656 17.406-13.656 9.926 0 17.97 8.043 17.97 17.97 0 .62-.033 1.24-.094 1.843 2.38-5.356 3.906-11.975 3.906-19.19 0-10.044-2.945-18.967-7.063-24.874-4.116-5.907-8.8-8.53-13.405-8.53zm-39.22 128.72c-1.274 6.034-2.6 11.995-4 17.81.5.183 1.005.357 1.532.533 9.685 3.217 24.14 5.437 40.125 5.437 15.77 0 30.07-2.166 39.75-5.313-1.495-5.43-2.922-10.995-4.312-16.625-9.97 2.145-21.07 3.344-32.78 3.344-14.76 0-28.546-1.884-40.314-5.186zm-8.655 35.967c-11.726 42.656-26.91 77.18-44.656 95.375.498 1.15 1.65 2.71 4.125 4.72 3.802 3.088 10.298 6.512 18.718 9.406 16.838 5.787 41.21 9.625 68.125 9.625 26.913 0 51.317-3.838 68.156-9.625 8.418-2.894 14.914-6.318 18.717-9.407 3.163-2.568 4.162-4.385 4.407-5.562-17.226-18.314-33.287-52.22-46.28-94.094-12.233 3.898-27.832 6.063-45.002 6.063-17.664 0-33.65-2.294-46.03-6.407-.096-.03-.187-.062-.282-.094zm152.563 106.25c-2 3.152-4.644 5.948-7.594 8.344-6.39 5.19-14.64 9.226-24.44 12.594-19.6 6.737-45.566 10.625-74.217 10.625-28.652 0-54.588-3.888-74.188-10.625-9.8-3.368-18.05-7.405-24.438-12.594-2.89-2.348-5.484-5.082-7.468-8.156-.4.18-.788.398-1.19.563-11.745 4.817-21.073 11.418-23.468 21.53-4.48 18.93 58.848 38.31 131.875 38.313 73.028.002 132.407-17.273 132.407-38.312 0-8.636-11.4-13.37-27.28-22.28z"}}]})(props);
};
function GiJigsawBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M348.125 20.78l-141.75 20.345 23.188 39.094c25.64-1.58 46.48 9.678 55.625 25.5 4.95 8.564 6.226 19.507.937 28.5-3.466 5.89-9.315 10.183-16.75 13.093l17.406 29.28 47.564-7 6.062-.874 3.22 5.186c14.998 23.98 34.436 31.593 42.03 30.375 3.798-.608 4.902-1.42 5.75-5.436.848-4.018-.1-12.352-6.406-24.03l-6.344-11.72 13.22-1.938 35.655-5.25L348.126 20.78zm-160.03 22.97l-90.47 12.97 2.22 3.78 112.78 192.438 90.22-12.657-55.783-93.968-7.156-12.03 13.844-2c10.52-1.512 14.83-5.065 16.28-7.532 1.452-2.467 1.485-5.305-1.03-9.656-5.03-8.702-21.297-19.017-43.188-15.875l-6.187.905-3.188-5.375-29.78-50.156 1.437-.844zM95.25 89.656l-23.906 94.906L103 237.875l2.28 3.813-1.56 4.187c-8.138 22.007-2.404 47.465 6.374 60.938 4.388 6.736 9.347 9.5 10.75 9.625.7.062.827.15 1.906-.75 1.08-.9 2.866-3.158 4.53-7.407l6.907-17.592 9.782 16.156 40.343 66.47 94.593-13.908 25-100.406L209 272.313l-6.188.875-3.156-5.407L95.25 89.657zm342.5 83.625l-30.97 4.564c3.37 9.13 4.477 17.406 2.908 24.844-2.228 10.55-11.093 18.432-21.063 20.03-18.65 2.99-40.13-9.126-57.28-33.78L297.094 194l27.81 46.813 1.97 3.312-.938 3.72-27.03 108.624L334 351.31c7.904-30.733 26.995-47.928 46.75-48.625 10.58-.373 20.995 4.5 27.375 13.438 4.443 6.225 6.8 14.196 7.125 23.25l25.406-3.75 27.156-107.78L445.5 186.5l-7.75-13.22zM64.875 210.25L45.78 285.97 148.53 460.5l19.595-77.78-32.5-53.595c-.313.288-.58.634-.906.906-4.368 3.642-10.184 5.483-15.564 5-10.76-.963-18.567-8.588-24.72-18.03-11.66-17.898-17.97-45.82-9.592-73.094l-19.97-33.656zm316.53 111.125c-9.7.342-25.098 10.585-30.717 40.03l-1.25 6.533-6.563.968-157.813 23.156-23.968 95.063-1.03 4.03L410.5 455.22l25.188-99.97-29 4.28-12.625 1.845 2.03-12.594c1.738-10.7-.286-17.716-3.187-21.78-2.9-4.064-6.65-5.796-11.5-5.625z"}}]})(props);
};
function GiJigsawPiece (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M234.72 26.594c-.753-.008-1.514.01-2.282.03-5.09.147-10.548.97-16.375 2.532-62.162 16.66-38.924 89.862-13.97 94.72 4.963.964 15.1 29.773 5.407 47.968L102.25 200.03l28.063 104.75c-4.66 18.956-34.61 21.788-51.438 8-13.04-10.692-68.983 9.403-54.78 62.408 14.2 53.004 76.607 33.183 80.75 11.906 1.016-5.245 28.51-24.732 45.405-7.844l28.125 104.938 114.594-30.72c29.46-14.44 5.724-35.85-14.376-43.437-15.9-5.987-26.554-64.91 26.844-79.217 5.005-1.342 9.676-1.97 14-2.032 41.79-.61 51.995 53.516 37.062 66.5-4.135 3.595-13.396 43.19 15.844 36.876l5.312-1.5c-.927.323-1.822.6-2.687.844l118.186-31.656-30.344-113.313c-14.378-18.138-42.185-4.923-49.687 15-5.993 15.91-50.688 24.518-65-28.874-14.312-53.39 32.484-60.992 49.25-47 14.26 11.905 51.205 11.807 40.375-30.47l5.438 18.095-26.157-97.593-138.75 37.188c-19.11-8.485-25.912-31.455-10.405-44.438 27.632-23.133 14.2-81.373-33.156-81.843zm137.624 405.562l-3.844 1.094 6.28-1.688c-.837.233-1.653.425-2.436.594zm63.437-243.562c.775 2.288 1.436 4.482 1.97 6.562l-1.97-6.562z"}}]})(props);
};
function GiJoin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 23v18h215v110h-37.6l6.5 13 40.1 80.1 46.6-93.1H265V41h215V23zm224 244.9L209.4 361H247v110H32v18h448v-18H265V361h37.6z"}}]})(props);
};
function GiJoint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v50.31l45.38 45.38C136 190 126.54 263.74 155.51 287.91a50.35 50.35 0 0 0 32.35 11.6 51.48 51.48 0 0 0 51.47-47.26 14 14 0 0 1 12.92-12.92 51.27 51.27 0 0 0 33.93-16.74c16.99-18.71 18.25-47.94 1.73-67.07-28.8-33.36-83.82-15.7-174.22-92.13L68.3 18H18zm298.16 165.96c.1 1.91.13 3.82.07 5.75a68.72 68.72 0 0 1-17.73 44 67.89 67.89 0 0 1-42.8 21.99 68.11 68.11 0 0 1-67.83 60.44c-1.35 0-2.7-.06-4-.14.32.4.65.81 1 1.2 28.8 33.36 83.82 15.7 174.22 92.13L443.71 494H494v-50.314L409.33 359c-72.63-76.33-63.16-150-92.12-174.2-.34-.29-.7-.56-1.05-.84z"}}]})(props);
};
function GiJourney (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M424.188 85.594c.33.05-.86.094-3.313.094-18.512 0-35.78 20.06-35.78 47.5 0 13.83 4.712 26.208 11.624 34.78l10.217 12.626-16.062 2.47c-10.56 1.617-17.663 6.432-23.625 14.342s-10.344 19.18-13.25 32.344c-5.186 23.492-5.59 52.425-5.625 78.156h30.438l.593 8.72 7.094 106.593h65.813l8.03-106.69.657-8.624h32c-.24-25.383-1.62-53.933-7.344-77.25-3.213-13.086-7.783-24.354-13.687-32.375-5.905-8.02-12.7-12.85-22.064-14.593l-15.72-2.937 10.283-12.25c7.228-8.623 12.186-21.138 12.186-35.313 0-25.74-15.5-45.406-32.28-47.562l-.188-.03zm-244.75 3.375c-45.9.006-99.844 5.373-161.625 17.905V126c268.018-37.648 341.545 38.15 226.25 79.344-117.327 41.92-210.503 252.258 159.406 270.594 4.362.438 8.85.687 13.436.687 22.28 0 42.34-5.452 56.125-13.594 13.787-8.14 20.595-18.14 20.595-27.905s-6.808-19.764-20.594-27.906c-.23-.138-.482-.272-.717-.408l-2 26.47-.657 8.656H369l-.563-8.75-3.28-49.5c-128.194 2.8-163.256-100.51-80.094-130.47 20.385-7.344 37.086-15.836 50.187-25.03.17-.822.32-1.655.5-2.47 3.262-14.774 8.256-28.498 16.594-39.562 4.946-6.563 11.24-12.07 18.72-15.97-3.124-42.547-68.335-81.236-191.627-81.217z"}}]})(props);
};
function GiJoystick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M307.723 39.623c-25.627-.292-48.63 17.365-54.246 43.44-6.418 29.8 12.39 58.93 42.19 65.347 29.798 6.417 58.927-12.39 65.345-42.19 6.417-29.798-12.39-58.928-42.188-65.345-3.725-.802-7.44-1.21-11.1-1.252zm-37.543 117.88L237.123 311h47.055l30.97-143.81c-7.584.836-15.418.507-23.27-1.184-7.854-1.69-15.13-4.617-21.698-8.502zM198.486 329l-10 30h135.028l-10-30H198.486zM73 377v30h30v-30H73zm93.486 0l-10 30h199.028l-10-30H166.486zM409 377v30h30v-30h-30zM57 425v62h398v-62H57z"}}]})(props);
};
function GiJug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M188.087 55v18h110V55h-110zm18.916 36c13.267 48.186 13.05 107.504-20.51 156.113l-.232.336-.26.312c-38.645 46.375-45.757 87.258-41.964 123.297 3.5 33.254 16.698 61.922 25.33 85.94h147.44c8.632-24.018 21.83-52.686 25.33-85.94 3.793-36.04-3.317-76.923-41.963-123.298l-.308-.37-.266-.4C268.13 199.788 266.15 139.572 279.23 91h-72.23zm90.428.953c-1.627 5.645-3.022 11.488-4.163 17.48 20.632 4.508 34.043 12.905 42.808 23.31 10.8 12.822 15.037 29.498 14.78 48.196-.354 25.68-9.735 54.496-20.463 77.36 4.116 6.255 7.75 12.46 10.935 18.6 13.874-25.895 27.054-61.406 27.526-95.712.297-21.615-4.74-43.095-19.012-60.04-11.544-13.706-28.812-23.915-52.41-29.195z"}}]})(props);
};
function GiJuggler (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M282.063 20.938c-18.876 0-33.875 15.56-33.875 34.437 0 18.877 15 33.875 33.875 33.875s33.875-14.998 33.875-33.875c0-18.875-15-34.438-33.875-34.438zM129.905 82.094c-18.875 0-33.875 15.59-33.875 34.47 0 18.876 15 33.874 33.876 33.874 18.875 0 33.875-14.998 33.875-33.875 0-18.876-15-34.47-33.874-34.47zm284.281 22.656c-18.875 0-33.875 15.59-33.875 34.47 0 18.876 15 33.874 33.875 33.874 18.876 0 33.875-14.998 33.875-33.875 0-18.877-15-34.47-33.875-34.47zm-162.25 57.563c-3.24-.003-6.51.42-9.718 1.28-25.657 6.875-39.12 39.755-30.095 73.438 3.502 13.072 9.883 24.315 17.875 32.814-19.225 4.532-34.137 13.467-40.5 24.5l-.406-.094-41.594 64.438-50.688-21.938c-29.376-16.12-61.575 24-30.624 41.688l94.468 44.062 38.03-50.063c21.493 38.735 15.748 77.484-25.124 116.25H342.75c-39.82-38.2-42.438-76.424-23.28-114.625l36.81 48.438 94.47-44.063c11.635-6.65 14.334-16.47 11.625-25.28-8.184 5.26-17.915 8.343-28.344 8.343-14.224 0-27.118-5.72-36.592-14.938l-28 12.125-41.594-64.437h-.03c-5.48-9.417-17.226-17.278-32.533-22.188 11.58-14.222 15.924-36.9 9.75-59.937-7.896-29.473-30.4-49.798-53.092-49.813zm-164.125 61.03c-18.875 0-33.874 15.56-33.874 34.438 0 18.88 15 33.876 33.874 33.876 18.876 0 33.876-14.997 33.876-33.875 0-18.874-15-34.436-33.876-34.436zm346.22 51.126c-18.876 0-33.876 15.59-33.876 34.467 0 18.878 15 33.875 33.875 33.875 18.876 0 33.876-14.997 33.876-33.875 0-18.875-15-34.468-33.875-34.468z"}}]})(props);
};
function GiJugglingClubs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M122.1 22.71C97.35 54.03 85.24 70.03 79 94.06c-6.45 24.84-7.04 61.04-7.67 132.54 4.69 6.2 12.56 11.1 21.45 13.1 8.92 2.1 18.12 1.1 25.02-2.4 30.9-64.4 46.2-97.2 51.3-122.4 5-24.35 1.1-44.04-7.4-83.08zm108.1 4.03c-2.1.1-4.3.29-6.4.75-6.7 1.43-12.5 4.83-16.1 8.86l12 18.62 19.1-4.11 3.2-21.88c-3.3-1.5-7.4-2.34-11.8-2.24zm120.7 9.43l-38.6 12.54c-5.1 39.63-7.2 59.59-.2 83.39 7.3 24.7 25.5 55.9 61.8 117.4 7.2 3 16.5 3.1 25.2.3 8.7-2.8 16.1-8.4 20.2-15.1-6.8-71-10.5-107-19.1-131.2-8.3-23.39-21.8-38.29-49.3-67.33zM241.8 68.62l-17.6 3.78L257 224.9l17.6-3.7zm36.6 170.18l-17.6 3.7 3.1 14.4c2.8-1 5.7-1.9 8.6-2.5 2.9-.7 5.9-1.1 9-1.3zM80.12 254.6l-3.28 14.2 17.51 4.1 3.29-14.2c-3-.3-5.98-.7-8.89-1.4-2.93-.7-5.82-1.6-8.63-2.7zM413 263.5c-2.7 1.3-5.5 2.5-8.4 3.4-2.8.9-5.8 1.6-8.7 2.1l4.5 13.9 17.1-5.5zM283.6 271c-2.4.1-4.9.4-7.3 1-9 1.9-16.9 6.7-21.7 12.8-.5 71.4-.5 107.6 5.6 132.5 5.9 24.1 17.8 40.3 42.1 72l39.6-8.5c9.2-38.9 13.4-58.5 8.8-82.9-4.7-25.2-19.6-58.2-49.4-123.1-5-2.6-11.2-4-17.7-3.8zM72.77 286.4l-35.13 152 17.53 4 35.11-151.9zm350.33 8.2l-17.1 5.5 48.2 148.4 17.2-5.6zM32.82 455.8L20.6 474.1c3.47 4.1 9.26 7.6 15.89 9.1 6.61 1.6 13.34 1 18.26-1.1l-2.89-21.9zm444.78 4l-18.6 6-1 22.1c5.2 1.7 11.9 1.7 18.4-.4 6.5-2.1 11.9-6 15-10.4z"}}]})(props);
};
function GiJugglingSeal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M385.7 34.49c12.2 9.36 22.2 21.77 29.5 35.52 8.6 16.18 13.5 34.49 13 52.39 12.3-16.5 14.7-39.15 4.4-58.63-9.6-18.16-27.8-28.7-46.9-29.28zm-24.3 6.07c-3.8 17.71-.1 38.21 9.3 55.98 8.8 16.66 22.5 30.66 38 37.96 3.8-17.8 0-38.3-9.4-56.07-8.8-16.66-22.4-30.59-37.9-37.87zm-19.5 13.57c-14.1 16.62-17.4 40.63-6.5 61.07 10.8 20.5 32.5 31.3 54.1 29.1-14.5-9.7-26.4-23.7-34.7-39.3-8.3-15.74-13.1-33.43-12.9-50.87zm25.8 108.07c-6.1 0-18.9 3.4-30.8 10.8-13.6 8.5-26.6 21.4-32.5 35.3-.9 2.2-3.8 12.5-7.5 25-3.6 12.5-8.4 27.8-14.8 42.9-6.4 15.2-14.3 30.2-24.6 42.4-10.3 12.1-23.4 21.5-39.6 23.2-13.1 1.3-25.6-3.9-37.1-11.4-11.6-7.4-22.4-17.3-31.8-27.3-18.9-19.9-32.5-40.2-32.5-40.2l-4.4-6.6 6-5.2c21.7-18.7 23.5-42.8 22.8-62.9-18 9.5-34.6 21.7-40.3 32.7l-3.71 7-7.45-2.8c-10.37-3.9-21.14-4.6-32.43-5.7-7.65-.7-15.63-1.7-23.49-4.3-.33 8.4 3.9 14.8 11.24 21.4 9.87 8.8 25.78 15.9 40.15 20.2l6.14 1.8.29 6.4s1.32 28.3 7.77 59.9c6.49 31.5 19.29 65.4 35.69 75.9 27.8 18 65.6 25.5 103.4 23.1-2.4-2.2-4.7-4.4-6.8-6.6-8.4-8.5-14.7-16.3-18.1-23.6l16.4-7.6c1.6 3.5 7 11 14.5 18.5 7.4 7.6 17 15.7 27.1 22.3 10.1 6.6 20.8 11.8 30.2 13.9 8 1.8 14.6 1.4 20.3-1.2-.3-1.3-.5-2.5-1.5-4.8-2.5-6.1-7.2-14.6-12.4-22.9-10.2-16.6-22-32.4-22-32.4l14.4-10.8s11.1 15 21.6 31.6c11.6-6.4 22.1-13.9 30.9-22.6 15.3-15 21.5-53.6 21.7-88.3.1-34.6-4.4-64.8-4.4-64.8l-.4-2.3.9-2.2c2.6-6.8 5.1-23.1 4.6-36.6-.3-6.7-1.3-12.9-2.8-16.7-1.4-3.9-2.6-4.3-2.5-4.3-.6-.1-1.3-.2-2.2-.2zM336 190a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm37.9 190c-2.5 3.7-5.3 7.3-8.5 10.4-8 7.8-17 14.8-26.7 20.9 9.3 2.8 19.4 4.7 29.7 5.6 24 2.1 47.9-.7 61.8-4.2-.5-.9-1.1-2-2.2-3.5-3.7-4.6-10.4-10.4-18.7-15.4-10.2-6.2-22.8-11.3-35.4-13.8zm-241.4 61L98 487h316l-34.5-46h-39.2c0 3.9-1.3 9.2-5.8 12.2-11.2 7.2-24.5 7.9-37 5-12.5-2.8-24.8-8.9-36.1-16.4-.4-.3-.8-.5-1.2-.8H132.5z"}}]})(props);
};
function GiJumpAcross (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M295.883 20.338c-14.656-.098-30.21 16.152-37.057 29.625-8.19 16.117-14.16 43.37-5.826 58.734l-13.63 6.483c-5.76-3.823-46.376-13.28-63.386-10.748-27.583 6.662-52.99 20.944-78.793 33.84l12.165 26.667c23.13-10.42 42.92-28.464 69.89-30.424 21.533-1.566 34.608 11.535 50.786 18.552-1.066 68.896-16.84 101.175-54.03 160.44-26.528 16.792-61.213 17.727-94.11 22.693l12.62 28.323c40.826-5.42 80.217-10.064 108.947-26.65 58.103-41.767 85.666-62.308 148.543-92.38 30.3 9.43 41.237 39.108 55.03 61.048l24.163-22.63c-12.5-27.36-44.15-61.68-79.193-84.066-22.694 7.043-44.088 17.01-64.133 30.01 6.64-24.67 6.65-44.777-1.678-69.448 18.79 6.873 36.892 10.287 54.28 10.137 27.537-20.4 42.684-46.306 62.66-70.066L384 84.564c-16.46 18.927-25.97 37.853-49.404 56.78-16.322-1.3-32.255-8.444-48.114-16.69l-2.732-7.615c15.41-6.64 30.163-24.084 35.334-38.8 6.553-18.647 1.573-50.056-17.004-56.804-2.03-.738-4.103-1.084-6.197-1.098zM18 384v110h142V384H18zm334 0v110h142V384H352z"}}]})(props);
};
function GiJumpingDog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23c-12.6 0-23.5 7.91-32.1 19.29-8.6 11.38-15.7 26.82-21.7 45.55C190.2 125.3 183 176 183 232c1.4 52.3 4.5 97.6 19.2 144.2 6 18.7 13.1 34.1 21.7 45.5 6.5 8.6 14.3 15.2 23.1 17.9V477h-71v18h160v-18h-71v-37.4c8.8-2.7 16.6-9.3 23.1-17.9 8.6-11.4 15.7-26.8 21.7-45.5 4.2-13.2 7.8-28 10.8-44.1 16.9-6.7 32.1-15 32.1-15 21.1 2.8 48.3 7.7 55.1 19.2 3.9 6.8-1.7 18.1 3.3 22.2 13.1 10.7 23.6 1.1 25.8-6.1 2.2-13.4 2.7-25.7-2-36.6-2.2-5-35.1-23.9-58.6-31.1 27.3 4.6 70.9 9 72.4 14.9 2.6 9.8-.7 23.7 7.6 25.5 18.9 4.1 21.7.6 23.1-15 .9-9.4 1.5-17.8-4.7-25.6-6.6-8.3-57-21.6-77.9-25.6 24.9-16.3 27.5-19.5 36.3-28.5 33.3-4.5 43.7-18.3 49.8-39.7 10.8-5.9 4.5-19.7-.7-20-15.5-.7-36.8 1-51.3-5-5.4-7.4-14.9-12.3-25.4-16.8-3.3-7.6 5.2-25.5-1.3-32.6-9.7 3.9-21.9 23.3-26.3 30.9-1.8-9.8-8.6-18.6-13.9-26.5-23.3 28.4-21.6 48.1-35.8 79.6-2.2-43.3-8.7-82.2-18.4-112.46-6-18.73-13.1-34.17-21.7-45.55C279.5 30.91 268.6 23 256 23zm0 18c5 0 11 3.28 17.7 12.15 6.7 8.86 13.4 22.71 19 40.17 10 31.18 16.7 73.88 18 121.48-40.8 18.5-60.7 24.8-93.7 35.5 1.3 43.7 3.5 56.8 13.2 90.4 21.3 3.9 48.7 3.3 70.8-2.2-2.4 11.7-5.2 22.5-8.3 32.2-5.6 17.4-12.3 31.3-19 40.2C267 419.7 261 423 256 423s-11-3.3-17.7-12.1c-6.7-8.9-13.4-22.8-19-40.2-13-52.1-18.2-89.7-18.3-138.7 0-54.5 7.1-103.8 18.3-138.68 5.6-17.46 12.3-31.31 19-40.17C245 44.28 251 41 256 41zm149.6 121.5c3.5-.1 7 4.2 8.1 10 1.2 6.2-.9 11.8-4.6 12.5-3.7.7-7.6-3.8-8.8-10-1.1-6.2.9-11.7 4.6-12.4.2-.1.5-.1.7-.1zM70.16 233.4c6.19 28.4 9.73 57 57.54 62-10.1 32.4-42.5 51.8-88.02 79.7-13.18 8.1-18.91 26.4-9.46 36.2 25.24-9.2 59.87-30.9 81.88-46.7-9.3 11.2-26.55 28.7-35.47 39.4-13.34 15.8-7.9 23.7 1.29 29.7 27.68-19.8 58.38-52.1 76.08-77.1l22.2-8.6c-8.8-32.9-10.4-59.4-10.7-88.3-39.8-3-70.18-7.3-95.34-26.3z"}}]})(props);
};
function GiJumpingRope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 24c-67.8 0-111.5 43.46-132.4 97.8-20 52-20.8 114.2-6.1 163.5l14.2-16.1c-10.1-43.5-8.1-97.2 8.7-141C159.5 78.54 195.7 42 256 42c60.2 0 96.5 36.54 115.6 86.2 16.8 43.8 18.8 97.5 8.7 141l14.2 16.1c14.7-49.3 13.9-111.5-6.1-163.5C367.5 67.46 323.8 24 256 24zm0 92.8c-18.2 0-34.2 17.8-34.2 41.6s16 41.6 34.2 41.6c18.2 0 34.2-17.8 34.2-41.6s-16-41.6-34.2-41.6zM231.3 211c-17.3 3.8-31.3 10.2-33.9 11.4l-74.6 84 8.3 16.6 85.9-68.7V417h30v-64h18v135h30V254.3l85.9 68.7 8.3-16.6-74.6-84c-2.6-1.2-16.6-7.6-33.9-11.4-7.3 4.4-15.7 7-24.7 7s-17.4-2.6-24.7-7z"}}]})(props);
};
function GiJungle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149.2 18c9.9 3.02 19.6 7.05 29.3 11.88 1.6-3.95 3.3-7.92 5.1-11.88zm77 0c10.4 14.85 23.5 29.07 40.9 31.59 20.6 2.97 39.8-11.67 55.4-25.02 2.6-2.21 5-4.4 7.3-6.57h-28.1c-12.1 8.7-25 14.78-32 13.78-5.3-.77-12.6-6.2-19.8-13.78zm147.9 0c2.6 4.63 5.6 9.68 8.9 14.84 11.4 17.59 26 37.44 47 40.45 20.6 2.98 39.8-11.67 55.3-25.02 3.1-2.63 6-5.28 8.7-7.84V18h-3c-4.4 4.68-10.5 10.7-17.4 16.61-14.3 12.24-32.3 22.13-41.1 20.87-9.1-1.32-23.9-16.28-34.4-32.44-1.1-1.69-2.1-3.37-3.2-5.04zM109.5 29.79c-28.56.22-57.93 12.8-91.5 46.32v86.59c14.71 37.1 45.74 64.6 67.85 81.1 4.72-23.7 10.23-62.7-14.87-97.7l-11.26-15.7 19.26 1.5c48.02 3.6 75.42 13.9 111.92 39.6-4.7-14.2-10.9-27.7-21-38.8-16-17.6-41.8-30.9-89.72-33.23l-13.64-.65 5.98-12.28c6.71-13.76 23.04-22.34 47.58-27.52 17.4-3.66 39.6-5.25 66.4-4.24-25.8-14.98-50.1-24.43-73.9-24.97h-3.1zm53.6 42.7c-11.5.3-21.7 1.2-30.6 2.57-1.1 4.65-2.1 9.3-3.2 13.94 9.9 2.81 18.6 6.32 26.3 10.41 2.2-8.95 4.7-17.92 7.5-26.92zm126.7 1.58c-2 0-4.1.14-6.1.32-21.3 1.96-43.7 13.33-70.8 29.01 26.2.5 45.7 3.2 60.3 7.1 20.3 5.4 31.9 13.6 39.4 20.1l16.9 14.7-22.4 1.1c-23.9 1.1-40.4 5.4-51.5 11.2-11.2 5.8-17.3 12.9-21.3 21.6-4.9 10.6-6 24.3-6.4 38.9 11.5-14 22.1-22.8 34.5-27.6 18.2-7.1 37.6-4.8 65.7-1.5l13.8 1.6-7.1 11.9c-18.5 31.1-17 60.7-13 81.7 28.4-16 70.7-33.6 75.8-74.7l1.6-13 11.5 6.1c24.2 13 53.3 22.2 83.3 26.7v-44.1c-11.5-12.4-24.6-21.2-46-25.4l-15.8-3.1 10.9-11.8c14.9-16.2 27.9-23.5 44.3-25.8 2.1-.3 4.3-.5 6.6-.7v-15.7c-5.5-1-11.1-1.8-16.8-2.1-31.8-1.98-63.7 6.9-78.9 27.9l-6.4 8.8-7.4-7.9c-37.6-39.52-64.7-54-90-55.25-.9 0-1.8-.1-2.7-.1h-2zm-173 81.23c-10.3 65.3-14.5 129.3-14.8 190.5 10 .7 19.8 2.2 29.2 4.6 4-61.6 3.9-123.5 12.3-186.4-8.5-3.7-17.1-6.5-26.7-8.7zm296.1 68.4c-1.6 5.9-3.9 11.3-6.6 16.4 52.2 80.4 67.5 166.5 67.3 253.9H494V339.7c-12-34.8-26.4-69.1-46.3-102.5-12.1-3.8-23.8-8.3-34.8-13.5zM40.15 263.8c-6.87 0-14.44.7-22.15 2v17.7c9.33-1.6 18.09-2.6 24.4-2.3 10.47.5 28.01 5.5 42.8 10.9.26-6 .56-12 .91-18.1-14.16-4.9-29.83-9.5-42.87-10.1-1.01 0-2.04-.1-3.09-.1zm192.15 7.3c-18.5 14.7-30.9 19.7-45.2 21.4-9.7 1.2-20.7.5-34.5-.5-.3 6-.5 12-.8 18 13.8 1 25.6 1.7 37.4.4 17.5-2.1 34.2-9.2 54.3-25.2zm184.8 45.6c-7.7-.1-15.5.3-23.1 1-20.4 1.9-40.1 6.3-55.6 12.2-5.9 2.2-11 4.8-15.5 7.5 52.1 3 82.6 8 113.3 16.4l2.7.8c-3.5-12.7-7.7-25.2-12.6-37.7-3.1-.1-6.1-.2-9.2-.2zm-184.8 38.4c-19-.2-36.9 7.6-59.7 29.5l-6 5.8-6.2-5.5c-20.4-18.1-58.2-24.2-93.57-20.2-17.67 2-34.62 6.4-48.11 12.4-.25.1-.47.2-.72.3v7.2c14.54.4 26.81.7 36.57 1.6 16.8 1.6 30.15 5.6 45.93 15l18.2 10.7-20.37 5.7C56.66 429.1 31.63 457.7 30 494h4.33c14.88-8.5 27.26-17.1 40.11-24.1 17.34-9.5 36.46-15.5 61.76-11.4l6.6 1.1.8 6.7c1.3 10.2 4.8 19.4 9.7 27.7h70.3c-1.8-7.2-4.7-14.6-9.3-22.3l-8.5-14.1c22.8.1 47.1 3.2 64.7 9.4 14.3 5.1 33 13.7 57.7 25.3-2.3-16.7-7.4-30.9-18.6-42-14.5-14.5-40.7-25.3-89-27.6l-16.8-.8c16.1-24.8 37.1-31.2 60-34 15.1-1.7 34-2.3 56.4-2.2-25.6-12-47.2-22.6-65.9-27.4-7-1.8-13.7-3-20.2-3.2zm210.2 13.1l-4.6 2.3c-19.4 9.9-33 20.8-41.2 34.1-6.2 10.1-9.5 22-9.4 37 14.7-10.1 24-18.2 34.5-24 8.3-4.6 17.2-7.2 28.7-7.5-2-14.1-4.6-28.1-8-41.9z"}}]})(props);
};
function GiJupiter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.175 32A224 224 0 0 0 156.11 55.68h199.71A224 224 0 0 0 256.174 32zM104.247 91.68a224 224 0 0 0-30.668 34.84l355.482-12.694a224 224 0 0 0-21.065-22.146h-303.75zM54.093 160a224 224 0 0 0-6.987 16.303l420.797 7.41a224 224 0 0 0-9.59-23.713H54.093zm-13.037 34.2a224 224 0 0 0-6.168 28.894l441.386-8.024a224 224 0 0 0-2.976-13.257L41.056 194.2zm437.693 38.827L32.92 241.13a224 224 0 0 0-.745 14.87 224 224 0 0 0 1.43 23h251.5c-3.19 1.413-6.214 3.02-9.024 4.816-5.576 3.568-10.425 8.035-14.005 13.184H36.09a224 224 0 0 0 7.93 30H257.46c3.102 9.023 10.002 16.672 18.62 22.184 3.162 2.023 6.593 3.802 10.235 5.336l-225.2 11.058a224 224 0 0 0 11.017 17.67l359.785 11.244a224 224 0 0 0 29.268-48.56l-99.652 4.894c.93-.53 1.844-1.074 2.733-1.642 8.615-5.512 15.516-13.16 18.618-22.184h85.53a224 224 0 0 0 7.82-30h-97.964c-3.58-5.15-8.428-9.616-14.005-13.184-2.812-1.797-5.834-3.403-9.027-4.816H478.96a224 224 0 0 0 .865-15.945l-75.808-10.918s48.452-4.13 75.54-6.344a224 224 0 0 0-.808-12.766zM320.174 290c13.77 0 26.1 3.674 34.394 8.98 8.292 5.303 12.105 11.52 12.105 17.52s-3.813 12.217-12.106 17.52c-8.294 5.306-20.625 8.98-34.395 8.98-13.77 0-26.102-3.674-34.395-8.98-8.293-5.303-12.105-11.52-12.105-17.52s3.812-12.217 12.105-17.52c8.293-5.306 20.624-8.98 34.395-8.98zM96.493 413a224 224 0 0 0 18.897 17h281.693a224 224 0 0 0 18.59-17H96.493zm82.537 53a224 224 0 0 0 77.145 14 224 224 0 0 0 77.488-14H179.03z"}}]})(props);
};
function GiJusticeStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.438 25.78l-41.75 127.19 41.625 30 42.093-30.22-41.97-126.97zm-90.157 91.064c-16.33 0-29.374 13.043-29.374 29.375 0 16.33 13.044 29.374 29.375 29.374 16.333 0 29.345-13.044 29.345-29.375 0-16.333-13.012-29.376-29.344-29.376zm179.97.375c-16.332 0-29.375 13.042-29.375 29.374 0 16.33 13.043 29.344 29.375 29.344s29.375-13.013 29.375-29.344c0-16.332-13.043-29.375-29.375-29.375zM207.5 170.843c-5.795 9.65-14.895 17.124-25.688 20.844L197.595 241l2.062 6.438-5.47 3.968-49.06 35.813c5.772 7.404 9.438 16.525 10.06 26.436l59.658.28 6.75.033 2.094 6.405L243 379.188c4.37-1.32 8.996-2.032 13.78-2.032 4.652 0 9.145.69 13.408 1.938l19.5-58.97 2.093-6.405 6.75-.033 56.72-.156c.83-10.39 5.006-19.848 11.438-27.342l-48.032-35.22L313.22 247l2.092-6.406 15.625-48.5c-10.945-3.71-20.17-11.247-26-21.03l-43.187 31.03-5.47 3.906-5.467-3.906-43.313-31.25zm-44.375 23.78l-140.188.657 108.157 79 46.625-34-14.595-45.655zm186.53.25l-14.5 45.032 46.876 34.344c.24-.117.48-.23.72-.344l107.188-78.625-140.282-.405zm-242.405 92.44c-16.332-.002-29.375 13.042-29.375 29.373 0 16.332 13.043 29.375 29.375 29.375s29.375-13.043 29.375-29.375c0-16.33-13.043-29.375-29.375-29.375zm295.875.686c-16.332 0-29.375 13.043-29.375 29.375s13.043 29.375 29.375 29.375 29.375-13.043 29.375-29.375S419.457 288 403.125 288zm-46.594 44.22l-51.217.124-18.344 55.47 113.78 81.78-44.22-137.375zm-200.5.124l-43.905 137.25 113.906-82.188-18-54.812-52-.25zm100.75 63.5c-16.33 0-29.374 13.043-29.374 29.375 0 16.33 13.044 29.374 29.375 29.374 16.333 0 29.376-13.044 29.376-29.375 0-16.333-13.043-29.376-29.375-29.376z"}}]})(props);
};
function GiKaleidoscopePearls (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M198.47 23.563c-2.155.02-4.356.29-6.532.875-13.93 3.732-22.2 18.072-18.47 32 3.733 13.927 18.072 22.17 32 18.437 13.928-3.732 22.17-18.04 18.438-31.97-.69-2.574-1.75-4.945-3.094-7.093.148.816.22 1.643.22 2.5 0 7.455-5.817 13.548-13.157 14-.863-6.92-6.75-12.28-13.906-12.28-.296 0-.586.044-.876.062-.075-.586-.125-1.176-.125-1.782 0-7.133 5.328-13.014 12.218-13.906-2.168-.556-4.426-.866-6.72-.843zm99.78 48.124c-.444 0-.9.01-1.344.032-6.268.298-12.463 2.868-17.25 7.655-10.212 10.212-10.212 26.757 0 36.97 10.213 10.21 26.788 10.21 37 0 7.315-7.316 9.383-17.874 6.22-27.032-.622 6.858-6.184 12.288-13.095 12.718-.874-6.907-6.76-12.28-13.905-12.28-.295 0-.585.045-.875.063-.074-.586-.125-1.176-.125-1.782 0-7.738 6.265-14.013 14-14.03-3.37-1.52-6.996-2.3-10.625-2.313zm110.875 8.22c-6.682 0-13.37 2.526-18.47 7.624-10.194 10.197-10.195 26.743 0 36.94 10.197 10.194 26.743 10.194 36.94 0 8.31-8.313 9.833-20.848 4.592-30.72.033.392.063.787.063 1.188 0 7.465-5.833 13.562-13.188 14-.864-6.92-6.752-12.282-13.906-12.282-.29 0-.557.014-.844.03-.07-.574-.125-1.153-.125-1.75 0-7.208 5.44-13.144 12.438-13.936-2.444-.726-4.97-1.094-7.5-1.094zM220.062 90.75c-3.322.033-6.673.475-10.03 1.375-21.49 5.758-34.258 27.855-28.5 49.344 5.757 21.487 27.854 34.257 49.343 28.5 21.488-5.76 34.226-27.857 28.47-49.345-1.51-5.636-4.144-10.678-7.595-14.938.207 1.146.313 2.326.313 3.532 0 8.613-5.548 15.92-13.25 18.593.134-.93.187-1.878.187-2.844 0-10.877-8.812-19.69-19.688-19.69-2.272 0-4.437.387-6.468 1.095 1.016-6.995 5.742-12.78 12.094-15.375-1.608-.18-3.236-.266-4.875-.25zm-87.03 25.22c-2.158.02-4.352.32-6.532.905-13.95 3.738-22.238 18.082-18.5 32.03 3.738 13.95 18.082 22.24 32.03 18.5 13.952-3.737 22.24-18.08 18.5-32.03-.588-2.197-1.458-4.233-2.53-6.125.03.372.063.746.063 1.125 0 7.465-5.833 13.562-13.188 14-.865-6.92-6.752-12.28-13.906-12.28-.286 0-.565.045-.845.06-.074-.584-.125-1.174-.125-1.78 0-6.747 4.78-12.374 11.125-13.72-1.978-.456-4.018-.707-6.094-.686zm216.343 9.28c-10.31 0-20.603 3.947-28.47 11.813-15.73 15.73-15.73 41.237 0 56.968 15.732 15.732 41.24 15.732 56.97 0 13.43-13.427 15.374-33.985 5.875-49.5.16 1.01.25 2.042.25 3.095 0 8.614-5.548 15.922-13.25 18.594.134-.93.188-1.88.188-2.845 0-10.876-8.812-19.688-19.688-19.688-2.248 0-4.394.37-6.406 1.063 1.372-9.334 9.286-16.552 18.937-16.813-4.632-1.772-9.515-2.687-14.405-2.687zm-305.78 52.313c-11.122.442-21.125 8.027-24.157 19.343-3.733 13.93 4.54 28.268 18.468 32 13.928 3.732 28.237-4.54 31.97-18.47 1.638-6.116.954-12.32-1.5-17.655.008.21.03.416.03.626 0 7.455-5.816 13.547-13.156 14-.86-6.925-6.75-12.28-13.906-12.28-.295 0-.585.012-.875.03-.073-.575-.126-1.155-.126-1.75 0-7.686 6.182-13.93 13.843-14.03-.903-.355-1.822-.65-2.78-.907-2.612-.7-5.247-1.01-7.813-.907zm211.468 6.125c-33.887-.34-65.01 22.188-74.188 56.437-10.876 40.59 13.192 82.28 53.78 93.156 40.59 10.877 82.312-13.19 93.19-53.78 4.968-18.545 2.612-37.313-5.25-53.28.21 1.838.342 3.697.342 5.593 0 19.073-10.952 35.562-26.906 43.562 1.335-4.443 2.064-9.154 2.064-14.03 0-26.92-21.833-48.75-48.75-48.75-7.845 0-15.248 1.863-21.813 5.155 5.036-16.714 18.808-29.65 36-33.5-2.836-.352-5.66-.534-8.467-.563zm-128.532 1.53c-17.94-.178-34.422 11.744-39.28 29.876-5.758 21.49 6.98 43.586 28.47 49.344 21.487 5.757 43.584-7.01 49.343-28.5 3.633-13.56-.124-27.35-8.782-37.125.81 2.155 1.25 4.47 1.25 6.906 0 8.613-5.547 15.92-13.25 18.593.136-.93.19-1.878.19-2.844 0-10.877-8.813-19.69-19.69-19.69-2.25 0-4.39.4-6.405 1.095 1.248-8.543 7.946-15.35 16.47-16.656-2.786-.628-5.556-.974-8.314-1zm292.845 7.282c-11.646-.116-22.346 7.636-25.5 19.406-3.738 13.95 4.55 28.294 18.5 32.03 13.95 3.74 28.293-4.55 32.03-18.5 1.997-7.448.55-15-3.342-21 .038.423.062.85.062 1.283 0 7.464-5.833 13.56-13.188 14-.86-6.924-6.75-12.282-13.906-12.282-.293 0-.584.013-.874.03-.072-.575-.125-1.154-.125-1.75 0-5.93 3.697-11.01 8.908-13.062-.86-.095-1.713-.148-2.563-.156zm-35.438 61.844c-.497 0-1.005.01-1.5.03-17.158.684-32.603 12.385-37.28 29.845-5.76 21.488 6.98 43.585 28.468 49.342 21.488 5.758 43.586-7.01 49.344-28.5 3.378-12.61.367-25.404-7.033-35 .35 1.47.563 2.988.563 4.563 0 8.614-5.548 15.922-13.25 18.594.134-.93.188-1.88.188-2.845 0-10.876-8.812-19.688-19.688-19.688-2.262 0-4.414.423-6.438 1.125 1.184-8.208 7.426-14.798 15.47-16.468-2.964-.667-5.917-1.004-8.844-1zM89.22 280.97c-11.647-.117-22.347 7.634-25.5 19.405-3.74 13.95 4.55 28.293 18.5 32.03 13.948 3.74 28.292-4.55 32.03-18.5 1.76-6.562.87-13.22-2.03-18.81v.217c0 7.455-5.817 13.548-13.157 14-.865-6.92-6.753-12.28-13.907-12.28-.294 0-.585.013-.875.03-.07-.575-.124-1.154-.124-1.75 0-6.615 4.59-12.143 10.75-13.625-1.9-.444-3.81-.7-5.687-.718zm375.25 9.342c-11.147.42-21.214 8.008-24.25 19.344-3.733 13.93 4.54 28.237 18.467 31.97 13.928 3.73 28.237-4.54 31.97-18.47 2.246-8.384.13-16.886-4.938-23.156.115.727.186 1.46.186 2.22 0 7.454-5.816 13.546-13.156 14-.86-6.926-6.75-12.283-13.906-12.283-.295 0-.585.014-.875.032-.073-.577-.126-1.156-.126-1.75 0-5.03 2.65-9.43 6.625-11.908zm-303.876 23.72c-10.31 0-20.604 3.946-28.47 11.812-15.73 15.73-15.73 41.206 0 56.937 15.732 15.733 41.24 15.732 56.97 0 14.146-14.145 15.546-36.17 4.25-51.905.39 1.545.625 3.146.625 4.813 0 8.603-5.555 15.913-13.25 18.593.133-.928.186-1.876.186-2.842 0-10.876-8.81-19.688-19.687-19.688-2.264 0-4.415.392-6.44 1.094 1.332-9.168 8.97-16.292 18.376-16.813-4.074-1.333-8.32-2-12.562-2zm128.594 34.624c-3.323.033-6.674.476-10.032 1.375-21.49 5.76-34.257 27.857-28.5 49.345 5.758 21.488 27.855 34.227 49.344 28.47 21.49-5.76 34.226-27.825 28.47-49.314-.985-3.67-2.46-7.073-4.314-10.186.02.356.03.7.03 1.062.002 8.604-5.553 15.914-13.248 18.594.134-.93.187-1.878.187-2.844 0-10.876-8.812-19.687-19.688-19.687-2.255 0-4.42.395-6.437 1.092 1.187-8.165 7.385-14.703 15.375-16.406-3.596-1.006-7.36-1.538-11.188-1.5zm83.75 9.094c-1.578.127-3.17.39-4.75.813-13.95 3.738-22.238 18.08-18.5 32.03 3.737 13.95 18.08 22.24 32.03 18.5 13.95-3.737 22.24-18.08 18.5-32.03-1.194-4.46-3.465-8.34-6.468-11.438.38 1.275.594 2.633.594 4.03 0 7.467-5.833 13.564-13.188 14-.864-6.918-6.752-12.28-13.906-12.28-.284 0-.564.015-.844.03-.072-.574-.125-1.154-.125-1.75 0-5.037 2.67-9.43 6.658-11.905zm-271.875 30.188c-6.682 0-13.34 2.558-18.438 7.656-10.196 10.195-10.196 26.74 0 36.937s26.71 10.197 36.906 0c8.02-8.016 9.718-19.96 5.126-29.655-1.385 5.94-6.547 10.434-12.812 10.813-.865-6.92-6.72-12.282-13.875-12.282-.296 0-.586.014-.876.03-.072-.574-.125-1.153-.125-1.748 0-4.86 2.465-9.138 6.218-11.657-.71-.056-1.416-.093-2.126-.092zm108.624 13.906c-6.692 0-13.394 2.55-18.5 7.656-10.21 10.212-10.212 26.788 0 37 10.213 10.212 26.79 10.212 37 0 7.736-7.735 9.608-19.12 5.625-28.625-.24 7.25-5.96 13.102-13.156 13.53-.864-6.918-6.752-12.28-13.906-12.28-.284 0-.564.046-.844.063-.074-.586-.125-1.176-.125-1.782 0-7.36 5.67-13.38 12.876-13.97-2.892-1.05-5.93-1.592-8.97-1.592zm101.5 42.5c-2.153.02-4.355.292-6.53.875-13.93 3.73-22.17 18.04-18.438 31.967 3.73 13.928 18.04 22.2 31.967 18.47 13.93-3.733 22.17-18.042 18.438-31.97-.07-.266-.17-.52-.25-.78-1.377 5.96-6.528 10.472-12.813 10.843-.864-6.92-6.752-12.28-13.906-12.28-.284 0-.563.045-.844.06-.074-.584-.125-1.174-.125-1.78 0-6.935 5.046-12.678 11.657-13.813-2.896-1.056-5.983-1.625-9.156-1.593z"}}]})(props);
};
function GiKangaroo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M406.5 43.56c-2.8 0-5.3.53-7.2 1.56 2.7 19.56 4.6 24.05 20.1 34.39C398.5 118 412 129.5 305.1 116.2c-47.2-5.9-82.9 2.6-117.3 28.5-48.3 36.4-64.3 56.8-89.6 123.5-18.05 47.6.1 145.4-68.07 110.8-6.44-2.2-13.28-2.6-7.86 6.6 9.53 14.7 27.36 25.1 49.94 16 35.39-14.4 32.49-62.8 58.49-121.2 9-20.5 29.5-69.3 48.8-46.7 6.6 7.8 13.8 23.8 10.1 31.4-15.9 33.3-25.4 56.6-50.3 75.7 3.7 42.2 2.3 87.8-20.4 120.7l8.8 6.9c13.2-9.3 28.2-19 32.5-32.5 1-19.5 3.9-22 2.3-63.2 17.4-17.4 35.3-31.5 50.8-60.9 28.8-8.3 46.3-31.7 70.6-54.3 4.4-4.1 8.1-8.3 11.7-12.3 8-15.8 3.2-34.7-2.8-52.8 16 8.5 22.9 22.8 24.4 36.1 12.8-.6 23.5-1.9 34.6-5.3-3.5-18.7 2.9-31 18.3-43.9-9.1 24-12.2 30.4-4.8 39.3.1-.1.3-.2.4-.2 4.8 9.7 4.7 19.1 4.9 29.4-5.2 7.1-12.9 5.2-20 5.3l-15.4 19.5c13.3-1.7 51.6-9.4 51.8-15.4.8-16.6 4.4-34.4-1-49.8 10.3-7.6 19.7-18.6 27.5-29.4 11-15.4 14.4-28.3 26.7-49.9 2.6-4.6 32.5 7.5 38 5.8 8.7-2.7 14.3-6.4 13.4-15.8-.2-2.6-13.7-11.1-20.9-16.5 0 0 1.2-9.6-1.5-13.27-4.2-5.75-19.8-9.42-19.8-9.42-2.9-21.6-27.7-35.48-42.9-35.35zm52.4 47.7c2.9 0 5.2 2.26 5.2 5 0 2.78-2.3 4.94-5.2 4.94-2.9 0-5.2-2.16-5.2-4.94 0-2.74 2.3-4.98 5.2-5z"}}]})(props);
};
function GiKatana (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M482.403 42.826c-10.537-8.76-24.84-4.167-43.264 11.643-76.1 65.307-202.78 179.14-282.432 269.103l21.07 21.07c82.21-87.285 203.37-205.524 304.625-301.817zm-338.477 293.42l-17.17 17.028 22.302 22.303c5.313-5.817 10.787-11.75 16.41-17.79zm-56.796.03l-12.728 12.728 79.196 79.196 12.728-12.728zm2.942 54.185l-60.475 60.475c.372 11.49 10.708 22.336 22.628 22.627l60.474-60.474-8.137-8.136c2.657 4.264 2.84 8.705.457 11.097-3.124 3.123-9.554 1.758-14.363-3.05 4.808 4.808 6.174 11.24 3.05 14.363-3.125 3.124-9.555 1.76-14.364-3.05 4.81 4.81 6.174 11.24 3.05 14.363-3.124 3.125-9.555 1.76-14.363-3.05 4.808 4.81 6.173 11.24 3.05 14.364-3.125 3.124-9.556 1.76-14.364-3.05 4.808 4.81 6.174 11.24 3.05 14.364-3.125 3.124-9.555 1.76-14.364-3.05-4.808-4.808-6.173-11.24-3.05-14.363 3.125-3.123 9.556-1.758 14.364 3.05-4.808-4.808-6.173-11.238-3.05-14.362 3.125-3.125 9.555-1.76 14.364 3.05-4.81-4.81-6.174-11.24-3.05-14.364 3.125-3.124 9.555-1.76 14.363 3.05-4.808-4.81-6.173-11.24-3.05-14.364 3.125-3.124 9.556-1.76 14.364 3.05-4.808-4.81-6.173-11.24-3.05-14.364 2.39-2.383 6.828-2.202 11.09.45z"}}]})(props);
};
function GiKebabSpit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 22v32.46c2.4-.04 4.8-.08 7.2-.09 3.6-.02 7.2 0 10.8.04V22h-18zm7.3 50.37c-39.7.25-79.5 4.95-107.9 13.31-14.1 4.18-25.4 9.38-32.1 14.62-6.7 5.2-8.4 9-7.8 13.5 2.6 18.1 5.2 35.4 8 52.2 20.6 8.5 44.9 10.7 68.4 14.1-9.1 7.7-38.2 16.1-63.6 12.2 6 31.3 12.9 61 21.8 90.7 32.5 14.4 67.4 20.9 103.9 22.7-31.2 6.8-62.5 12.2-93.7 9 6.4 18.7 13.7 37.7 22 57.4 17.4 4.8 37.8 8.9 61.6 12.1-17.5 3.2-33.7 11.5-53.5 6.3 5.4 12.2 11.3 24.7 17.6 37.6 1.8 3.7 8.4 8.2 19.2 10.9 10.8 2.6 24.9 3.4 38.8 2.7 14-.7 27.8-3.1 38.3-6.3 10.4-3.2 16.5-8.6 16.5-8.6 21.8-48.3 39.5-89.3 53.5-129.4-19.7 3.2-41.3-2.1-55.1-7.6 20.7-.5 41.5-1 60-6.8 4.1-12.4 7.9-24.7 11.3-37.2-14.9-2.9-27.2-10.5-35.8-16.9 14-.2 28.9.8 40.7-2.4 5.9-24.8 10.6-50.5 14.1-78.6-49.6 5-105.6 1.2-149-11 56.4-.7 109.1-3.3 151.6-13 .3-2.3.5-4.6.7-7 .6-6.2-1.8-11-8.7-16.7-6.9-5.7-18.3-11.12-32.6-15.38-28.5-8.52-68.4-12.71-108.2-12.45zM452.4 232.8s-48.1 42.2-44.5 69.5c1.8 13.8 31.3 14.2 30.8 28.1-.7 19.8-43.9 17-46.7 36.6-2.3 16.2 30.1 23.5 28.6 39.8-2.6 29.1-63.1 60.9-63.1 60.9s84.7-25 90.2-60.9c1.9-12.1-22.8-16.5-22.8-28.7 0-24.5 46.2-33.3 45.6-57.8-.4-14.8-25.4-19.1-29.2-33.4-4.7-17.8 11.1-54.1 11.1-54.1zm-391.57 37s-41.34 68.8-21.59 94.3c4.71 6 17.54-4.8 23.02.6 14.57 14.2-11.61 46.6 2.73 61.1 5.87 6 17.32-1.7 25.04 1.5 17.97 7.5 43.37 39.5 43.37 39.5s-5.2-52.2-24.7-64.3c-5.8-3.6-15.11 6.4-20.25 2-17.23-14.9 13.95-53.2-3.19-68.2-4.79-4.3-14.22 5.7-19.08 1.5-17.32-14.7-5.35-68-5.35-68zM265 459.2c-2.3.2-4.7.4-7 .5-3.7.2-7.3.3-11 .3v32h18v-32.8z"}}]})(props);
};
function GiKenkuHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16C164.8 16-10.99 191.2 56.01 336c32.8 67.2 64.59 89.6 96.99 144h23c-23.7-72.7-108.09-117.2-98.99-190.1C87.41 207.4 176 128 256 112c80 16 168.6 95.4 179 177.9 9.1 72.9-75.3 117.4-99 190.1h23c32.4-54.4 64.2-76.8 97-144C523 191.2 347.2 16 256 16zm120 188.4l-81.1 60.8 70.9-10.1zm-239.8.1l10.1 50.6 70.8 10.1zM256 266.7c-39.2 26.1-49.5 30.7-98.6 43.1L256 493l98.6-183.2c-49.1-12.4-59.4-17-98.6-43.1zm-23.5 98.5l16 48-17 5.6-16-48zm47 0l17 5.6-16 48-17-5.6z"}}]})(props);
};
function GiKenya (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M410.7 119.7v182.1l27.4 25.9-105.9 154.6-73.9-41.8-5.4-39.7L74.66 296.4l36.64-29L62.47 253l50.33-78.4-.8-61.8-47.25-60.96 38.15-19.05 99-3.05S307.1 83.8 310.1 83.09c3.1-.81 91.5-36.58 91.5-36.58l47.9 23.61z"}}]})(props);
};
function GiKevlarVest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M350.29 21.113l-36.925 85.782 39.828 17.144 36.926-85.782-39.83-17.145zm-188.362.342l-40.115 16.46 35.453 86.4 40.115-16.46-35.452-86.4zm30.898 6.35l-8.133 3.402 28.77 70.133 6.6 16.094-16.08 6.556-40.112 16.46-16.093 6.6-6.6-16.09-28.564-69.59-11.1 4.644a112.952 112.952 0 0 1-18.093 154.4v36.47h93.51v78.048H83.42v14.265h93.51v78.158H83.42v38.338c16.8 16.8 94.695 25.194 172.592 25.194 77.896 0 155.792-8.394 172.592-25.194v-38.338h-93.512V349.21h93.512V334.93h-93.542v-78.147h93.508v-36.46a112.952 112.952 0 0 1-18.093-154.4l-11.34-4.75-30 69.686-6.883 15.986-15.984-6.883-39.774-17.06-15.984-6.883 6.883-15.985 29.683-68.97-7.892-3.26a72.275 72.275 0 0 1-126.36 0zM66 274.182v43.363h93.543v-43.363H66zm286.457 0v43.363H446v-43.363h-93.543zM66 366.605v43.364h93.543v-43.365H66zm286.457 0v43.364H446v-43.365h-93.543z"}}]})(props);
};
function GiKevlar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M436 439.525V298.348c-30-28.235-60-56.47-60-84.706 0-56.47 30-141.176 120-169.41 0 0-30-28.237-60-28.237h-90c0 56.47-60 84.706-90 84.706s-90-28.234-90-84.705H76c-30 0-60 28.236-60 28.236 90 28.236 120 112.942 120 169.412 0 28.236-30 56.47-60 84.706v141.177c60 28.235 120 56.47 180 56.47s120-28.235 180-56.47z"}}]})(props);
};
function GiKeyCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M328.9 17.89h-1.8c-8.2.27-18.6 2.98-31.8 8.59L59.61 126.4c-21.18 8.9-31.79 17.7-35.74 27.5-3.95 9.7-2.41 23.4 6.57 44.6l49.95 117.8c8.97 21.2 17.72 31.8 27.51 35.7 9.7 4 23.4 2.5 44.6-6.5l235.7-99.9c13.5-5.7 22.7-11.3 28.6-17.2 4.5 5.5 8.7 11.6 12.2 18.2 3.8 7 6.8 14.4 8.9 21.8-2.5-.3-5.1-.4-7.7-.4-14.1.3-28.1 5.7-39.2 16.2-20.6 19.6-24.2 50.4-10.1 73.8l-50.2 47.7-22-5.9.8 26.1-27.4-.8-2.6 29.4-23.7-4.4 4.6 22.5-17 21.5 62.8-10.9 104.9-100c20.2 7.5 43.7 3.4 60.5-12.6 23.7-22.5 24.9-59.9 2.5-83.9-4.9-5.2-10.4-9.3-16.4-12.3-2.1-12.5-6.7-24.9-12.8-36.3-5.4-10-11.9-19.3-19.2-27 1.1-9.1-1.4-21.1-8.4-37.6L367.4 55.67c-8.9-21.17-17.7-31.78-27.5-35.74-3.2-1.3-6.8-2-11-2.04zm-15.6 50.96l7 16.58-132.6 56.17-7-16.6zm14.9 38.25l7 16.6-73.7 31.2-7-16.6zm-189.7 18.4L208 289.4l-90.3 38.2L51.81 172l-3.51-8.3zm206 17l7 16.6-88.4 37.4-7-16.6zm-215.6 6.6l-57 24.2L127.3 304l57.1-24.2zm255.7 25c13.1 0 23.9 10.3 24.9 23.1-8.9-6-18.7-9.6-28.6-8.9-1.7.1-3.4.3-5.1.7l4 17.6c6-1.4 14.6 1.2 23.8 8.5 0 0 .1 0 .1.1-4.6 5.4-11.5 8.9-19.1 8.9-13.7 0-25-11.3-25-25s11.3-25 25-25zm53.7 120.1c.8 0 1.6 0 2.4.1-.9 8.9-4.1 16.5-10.1 22.5l12.6 12.8c7.7-7.7 12.3-17.1 14.4-27.2 9.7 10.5 9.2 27.1-1.1 36.9-10.4 9.9-26.9 9.4-36.6-1-9.8-10.5-9.2-27.2 1.1-37 4.9-4.6 11.1-6.9 17.3-7.1z"}}]})(props);
};
function GiKeyLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M288.7 30.45h-1.1c-.9.1-1.8.21-2.6.45-3.5.96-6.5 3.01-9 8.19L139.7 319.5c4.7 1.7 9.3 3.7 13.9 5.9 4.5 2.2 8.9 4.6 13.1 7.2L303 52.23c2.5-5.17 2.3-8.82.9-12.09-1.3-3.27-4.2-6.2-7.8-7.95-2.4-1.15-5-1.74-7.4-1.74zm19.6 52.13l-34.1 70.12 16.1 7.9 24-49.3 10.2-20.85zm39.4 1.36l-48.2 98.86 45 21.9 7.7-15.6-21.8-28.4 18.8-38.8 35.7-.4 7.7-15.7zm37.6 191.16c-57 0-103 46-103 103s46 103 103 103 103-46 103-103-46-103-103-103zm0 27a32 32 0 0 1 32 32 32 32 0 0 1-18.5 29l18.5 83h-64l18.5-83a32 32 0 0 1-18.5-29 32 32 0 0 1 32-32zM93.19 329.4c-6.31.1-12.42.7-18.2 1.9-21.01 4.3-37.52 15.6-45.78 32.6-8.26 17-6.97 37 2.6 56.2 9.61 19.4 27.7 37.5 51.81 49.2C107.8 481 133.2 484 154.4 479.6c21-4.3 37.5-15.6 45.7-32.6 8.3-17 7-37-2.6-56.2-9.6-19.4-27.7-37.5-51.8-49.2-16.6-8-33.8-12-49.8-12.2zm-3.31 28.2c6.42 0 13.02 1.5 19.22 4.5 7.9 3.9 14.3 9.8 18.5 16.7 1.8-.2 3.7-.3 5.5-.3 6.4.1 12.9 1.6 19.1 4.6 19.7 9.6 30.1 32.1 21 50.8-9.1 18.7-33.2 24.4-52.9 14.9-7.9-3.9-14.3-9.8-18.5-16.7-8.14.9-16.77-.4-24.69-4.3-19.7-9.6-30.01-32.1-20.92-50.8 6.25-12.9 19.57-19.6 33.69-19.4z"}}]})(props);
};
function GiKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M356.5 16.375l-174.906 255.22 1.53 1.06 31.97 22.314 175.062-255.5L356.5 16.374zm90.063 62.22c-20.16 29.418-44.122 23.1-68.25 8.905l-48.688 72.875c21.278 16.55 36.46 35.645 18.594 61.72l42.967 29.468 28.907-42.157-14.72-9.156c-3.167 1.844-6.85 2.906-10.78 2.906-11.85 0-21.47-9.62-21.47-21.47 0-11.847 9.62-21.436 21.47-21.436s21.437 9.59 21.437 21.438c0 .195-.025.4-.03.593l15.906 9.907 17.938-26.218-37.688-23.5 11.03-17.72 14.94 9.313 10.093-16.188 24.25 15.094 17.092-24.94-43-29.436zM141.22 268.624c-.31.01-.628.023-.94.063-.827.104-1.652.284-2.53.562-3.51 1.11-7.4 4.066-10.125 7.938-2.724 3.87-4.16 8.487-4 12.125.16 3.637 1.257 6.338 5.25 9.125l76.594 53.468c3.283 2.293 5.727 2.35 9.124 1.156 3.396-1.192 7.323-4.26 10.125-8.218 2.8-3.96 4.352-8.66 4.31-12.188-.04-3.53-.89-5.787-4.374-8.22L148.03 270.97c-2.546-1.78-4.657-2.42-6.81-2.345zM84.28 312.78c-24.354.41-45.504 9.52-57.655 27.25-16.95 24.737-11.868 59.753 9.625 90.283-1.838 4.72-2.875 9.84-2.875 15.187 0 23.243 19.07 42.313 42.313 42.313 8.635 0 16.692-2.625 23.406-7.125 43.208 18.488 88.07 12.714 108.28-16.782 18.695-27.28 10.884-66.912-16.374-99.312l-63.094-44.03c-14.016-5.107-28.07-7.7-41.25-7.783-.792-.004-1.59-.012-2.375 0zm-8.593 109.126c13.143 0 23.594 10.45 23.594 23.594 0 13.143-10.45 23.625-23.593 23.625-13.142 0-23.624-10.482-23.624-23.625s10.482-23.594 23.624-23.594z"}}]})(props);
};
function GiKeyboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 21.074c0 10.508 7.18 18.167 14.71 23.412 7.532 5.246 16.41 9.202 24.698 13.15 8.287 3.95 15.954 7.94 20.332 11.657 4.378 3.717 5.225 5.25 4.46 8.82-.497 2.315-1.215 3.316-2.612 4.46-1.397 1.146-3.766 2.287-7.15 3.107-6.77 1.64-17.084 1.778-27.94 1.722-10.856-.055-22.27-.272-32.76 1.975-10.49 2.246-21.296 8.173-25.252 19.7-2.59 7.548-.236 15.34 3.37 20.804 3.605 5.464 8.328 9.71 12.857 13.696 2.997 2.638 5.89 5.126 8.355 7.424h22.875c-1.575-3.354-3.862-6.223-6.168-8.754-4.138-4.544-8.918-8.44-13.17-12.182-4.25-3.74-7.917-7.357-9.726-10.1-1.81-2.74-1.9-3.496-1.368-5.044 1.518-4.425 4.565-6.35 11.996-7.94 7.43-1.593 18.006-1.633 28.898-1.578 10.892.056 22.087.24 32.27-2.228 5.09-1.234 10.058-3.184 14.322-6.678 4.264-3.494 7.53-8.68 8.8-14.61 2.275-10.606-3.357-20.327-10.41-26.314-7.052-5.987-15.765-10.15-24.238-14.185-8.472-4.037-16.733-7.896-22.152-11.67-5.42-3.775-6.998-6.34-6.998-8.643h-18zM41 169v174h430V169H41zm7 14h16v18H48v-18zm32 0h16v18H80v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm48 0h48v18h-48v-18zm96 0h32v18h-32v-18zM48 215h32v18H48v-18zm48 0h16v18H96v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h32v18h-32v-18zm48 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm-127.87 25h18v57h-25v-18h7v-39zM48 247h16v18H48v-18zm32 0h16v18H80v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm96 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm-96 16h16v18h-16v-18zM48 279h32v18H48v-18zm48 0h16v18H96v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm112 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zM48 311h16v18H48v-18zm32 0h16v18H80v-18zm32 0h144v18H112v-18zm160 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h16v18h-16v-18zm32 0h48v18h-48v-18zm64 0h16v18h-16v-18z"}}]})(props);
};
function GiKeyring (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M273.764 23.62c-66.823 0-121.229 54.116-121.229 120.689 0 29.28 10.528 56.147 28.004 77.064a86.539 86.539 0 0 0-1.723 4.336c-3.952 10.807-5.462 21.415-4.386 30.719.718 6.21 2.773 12.468 6.851 16.965L135.598 398.31l-47.672-18.782-6.598 16.748 48.084 18.942-6.656 18.203-35.404-13.35L81 436.916c17.473 6.585 34.944 13.174 52.416 19.762 21.79-59.28 44.967-122.985 64.79-177.157 6.027-.835 11.645-4.313 16.206-8.61 4.434-4.179 8.385-9.48 11.695-15.636a120.583 120.583 0 0 0 20.153 6.588c.63 9.197 2.754 17.572 6.236 24.502 2.81 5.592 6.893 10.773 12.268 13.61v95.947h-56.116v18h56.116v19.228h-37.41v18h37.41v19.23h-56.116v18h74.116V299.976c5.375-2.837 9.458-8.018 12.267-13.61 3.482-6.93 5.606-15.305 6.237-24.502a120.583 120.583 0 0 0 20.152-6.588c3.31 6.156 7.261 11.457 11.695 15.635 4.561 4.298 10.178 7.777 16.207 8.611l32.867 89.87-34.746 11.23 5.536 17.127c11.799-3.812 23.597-7.627 35.396-11.441l6.686 18.279-58.436 20.453 5.947 16.99c19.557-6.848 39.115-13.693 58.672-20.539l6.64 18.16-17.798 6.422 6.11 16.932c11.602-4.183 23.203-8.37 34.804-12.557-21.677-59.615-44.958-122.945-64.754-177.054 4.078-4.496 6.134-10.755 6.852-16.965 1.076-9.304-.435-19.912-4.387-30.719a86.539 86.539 0 0 0-1.723-4.336c17.476-20.917 28.004-47.785 28.004-77.064 0-66.573-54.405-120.69-121.228-120.69zm0 18c57.141 0 103.228 45.89 103.228 102.689 0 22.64-7.33 43.544-19.758 60.503a53.525 53.525 0 0 0-5.004-5.443c-6.833-6.439-16.033-11.076-25.443-7.668-9.41 3.409-13.465 12.849-14.54 22.153-.879 7.592-.032 16.053 2.456 24.783a102.855 102.855 0 0 1-14.166 4.884c-1.023-6.606-2.878-12.657-5.506-17.886-4.21-8.379-11.262-15.865-21.267-15.865-10.006 0-17.059 7.486-21.268 15.865-2.627 5.23-4.482 11.28-5.506 17.886a102.853 102.853 0 0 1-14.166-4.886c2.488-8.729 3.333-17.19 2.455-24.781-1.076-9.304-5.129-18.744-14.539-22.153-9.41-3.408-18.61 1.23-25.443 7.668a53.525 53.525 0 0 0-5.004 5.443c-12.428-16.959-19.758-37.862-19.758-60.503 0-56.798 46.087-102.69 103.229-102.69zm-59.527 167.02c.617.075 2.49 1.653 3.144 7.315.428 3.7.152 8.54-.947 13.82a103.29 103.29 0 0 1-13.961-11.12c1.716-2.506 3.485-4.63 5.177-6.225 3.64-3.43 5.97-3.866 6.587-3.79zm125.64 3.79c1.693 1.595 3.461 3.719 5.178 6.224a103.29 103.29 0 0 1-13.961 11.121c-1.1-5.28-1.375-10.12-.948-13.82.655-5.662 2.525-7.24 3.143-7.316.618-.075 2.949.362 6.588 3.79zm-66.113 15.34c.324 0 2.623.848 5.183 5.945 1.631 3.247 3.012 7.732 3.805 12.896-2.962.253-5.959.389-8.988.389-3.03 0-6.026-.136-8.989-.389.793-5.164 2.174-9.65 3.805-12.896 2.56-5.097 4.86-5.945 5.184-5.945zm-79.246 7.802a121.914 121.914 0 0 0 15.58 11.399c-2.527 4.608-5.38 8.37-8.04 10.877-4.154 3.914-6.604 3.931-6.907 3.822-.303-.109-2.169-1.689-2.823-7.346-.558-4.829.066-11.587 2.19-18.752zm158.492 0c2.123 7.165 2.746 13.923 2.187 18.752-.654 5.657-2.52 7.237-2.822 7.346-.302.11-2.754.092-6.908-3.822-2.66-2.506-5.51-6.27-8.037-10.877a121.915 121.915 0 0 0 15.58-11.399zm-88.33 29.09c3 .222 6.028.338 9.084.338 3.055 0 6.084-.116 9.084-.338-.771 5.467-2.195 10.227-3.9 13.623-2.561 5.097-4.86 5.945-5.184 5.945-.325 0-2.623-.848-5.184-5.945-1.706-3.396-3.13-8.156-3.9-13.623z"}}]})(props);
};
function GiKickScooter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M306.9 40v18h72.4l43.9 263.9L350.3 424h-203c-2.7-24-16.2-46.5-36.8-59.8-23.17-15-55.72-17.3-88.39 3.2l9.58 15.2c27.83-17.5 51.27-14.8 69.01-3.3 15.1 9.8 25.7 26.9 28.5 44.7h-24.3c-4.1-17.2-19.46-30-38-30-21.65 0-39 17.4-39 39s17.35 39 39 39c18.54 0 33.9-12.8 38-30h254.6l67.9-95.1 8.4 50.1c-14.1 5.9-23.9 19.8-23.9 36 0 21.6 17.4 39 39 39s39-17.4 39-39c0-20.7-16-37.5-36.3-38.9L397.5 58h21.4V40z"}}]})(props);
};
function GiKidneys (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M344.1 40.2c-10 4.77-17.3 11.14-20.6 18.48-3.3 7.34-3.5 16.4 3.3 29.82 4.8 9.28 14.3 20.4 23.7 32.7 9.4 12.2 18.8 25.9 22.4 42.2 4.7 21.5-2.9 44-8.9 63.8-3.1 10-5.8 19.3-7 26.9-1.2 7.6-.6 13.2 1.1 16.5 6.1 11.4 14.3 16.3 25 17.9 10.7 1.6 24.1-1 37.5-7.1 26.9-12 53.3-37.9 61.4-61.3 6.4-18.3 4.5-63-8.3-103.2-12.7-40.18-35.8-75.54-65.2-83.88-19.7-4.57-47.3-.68-64.4 7.18zm-240.6-7.16C74.09 41.39 51.04 76.75 38.25 117 25.46 157.1 23.63 201.8 30 220.1c8.14 23.4 34.53 49.3 61.39 61.3 13.41 6.1 26.81 8.7 37.51 7.1 10.7-1.6 18.9-6.5 25-17.9 1.7-3.3 2.3-8.9 1.1-16.5-1.2-7.6-3.9-16.9-7-26.9-6-19.8-13.6-42.3-8.9-63.8 3.6-16.3 13-30 22.4-42.2 9.4-12.3 18.9-23.42 23.7-32.7 6.8-13.42 6.6-22.48 3.3-29.82s-10.6-13.7-20.6-18.47c-21-7-42.9-13.15-64.4-7.17zm59.1 118.86c-3 5.9-5 11.6-6.3 17.2 12.6 6.3 23.8 13.8 28.3 20.4 25 36.3 33.8 107.5 35 168.9 1.1 61.4-4.5 121-4.5 121l17.8 2s5.8-60.6 4.6-123.4c-1.1-62.7-8.3-135.4-38.1-178.7-8.3-12-22.3-20.7-36.8-27.4zm186.8 0c-14.5 6.7-28.5 15.4-36.8 27.4-29.8 43.3-37 116-38.1 178.7-1.2 62.8 4.6 123.4 4.6 123.4l17.8-2s-5.6-59.6-4.5-121c1.2-61.4 10-132.6 35-168.9 4.5-6.6 15.7-14.1 28.3-20.4-1.3-6.1-3.8-12.4-6.3-17.2z"}}]})(props);
};
function GiKimono (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192 24l-9.617 9.617c.586.598 1.085 1.276 1.484 2.012l72.596 130.67L328.11 35.673c.128-.237.266-.467.415-.692L320 24c-32 23.71-96 21.265-128 0zm-22.62 22.62L160 56c-16 0-48 16-64 32L16 248l80 48 48-112-9.158 87h64.195l47.195-86.05zm171.155 3.827L228.342 255H297v16h80.158L368 184l48 112 80-48-80-160c-13.322-12.132-48-32-71.154-32zM129.578 321l-9.982 94.84L171.613 321zm62.565 0l-76.868 135.88C114.277 458.763 112 488 112 488h288l-17.578-167h-79.86l48 96h-52.125L256 332.127 213.562 417h-52.087c15.955-32.003 31.827-64.05 47.884-96z"}}]})(props);
};
function GiKindle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M90.22 76.188c-23.537-.395-40.56 23.822-39.407 45.656 11.606-13.064 35.7-24.125 61.968-20.656l.22.03c36.8 6.922 61.98 19.407 76.406 34.126-15.61-6.265-40.292-11.3-68.562-12.813-31.165 11.44-53.88 28.06-71.53 49-43.782 3.015-31.844 53.116-9.314 68.69-4.214-16.57-3.44-43.53 18.03-58.595 18.087-8.644 40.996-16.134 66.72-20.47-22.005 16.524-37.147 35.075-47.813 55.69l-.062-.032c-36.585 9.073-29.07 50.357-7.188 67.468-3.492-18.15 3.39-45.343 25.313-61.124l-.22-.062c14.31-10.58 31.762-20.9 51.5-29.72-18.05 22.572-28.31 45.462-33.31 69.22-28.173 23.664-.407 55.613 28.093 60.75-12.228-13.827-19.776-39.568-8.657-62.375 16.032-20.168 39.514-40.78 72.75-59.283 19.115-10.637 37.1-28.298 41.188-46.312 5.61-24.734-9.26-50.143-33.313-60.938-43.077-19.33-73.57-20.176-101.75-11.5-7.355-4.564-14.467-6.64-21.06-6.75zm339.374 0c-6.595.11-13.676 2.185-21.03 6.75-28.187-8.685-58.69-7.837-101.783 11.5-24.05 10.794-38.89 36.203-33.28 60.937 4.09 18.014 22.073 35.675 41.188 46.313 33.177 18.468 56.657 39.023 72.687 59.156 11.2 22.835 3.623 48.65-8.625 62.5 28.5-5.137 56.272-37.085 28.094-60.75-5-23.758-15.263-46.648-33.313-69.22 19.733 8.816 37.227 19.113 51.533 29.69l-.25.092c21.923 15.78 28.805 42.975 25.312 61.125 21.882-17.11 29.397-58.394-7.188-67.467l-.062.03c-10.665-20.613-25.808-39.164-47.813-55.687 25.764 4.34 48.714 11.84 66.813 20.5 21.417 15.07 22.18 42.01 17.97 58.563 22.53-15.574 34.435-65.675-9.345-68.69-17.653-20.94-40.366-37.56-71.53-49-28.27 1.515-52.953 6.55-68.564 12.814 14.455-14.748 39.705-27.244 76.625-34.156 26.28-3.482 50.39 7.587 62 20.656 1.155-21.834-15.9-46.05-39.436-45.656zM238.97 220.563c-9.667.19-19.72 2.667-29.44 7.906 40.376-2.36 68.23 37.102 43.69 72.624-9.175 8.128-16.278 19.344-21.19 33.5-3.67-22.555-22.21-34.716-45.31-34.125 36.892 35.423 26.34 71.935 8.75 105.874-10.338 19.94-1.565 48.268 18.405 67.312-1.74-7.476-2.688-16.54-2.688-27.562 0-28.81 23.348-52.156 52.157-52.156 28.808 0 52.187 23.345 52.187 52.156 0 14.74-1.634 25.985-4.56 34.562 21.63-14.884 31.375-41.32 12.624-75.656-30.154-55.22-31.554-113.868 18.28-112.156-17.665-5.79-33.534-8.273-47.468-7.563 8.117-37.158-21.176-65.39-55.437-64.717zm24.374 211.28c-17.528 0-31.53 14.005-31.53 31.532s14.003 31.53 31.53 31.53 31.53-14.003 31.53-31.53-14.003-31.53-31.53-31.53z"}}]})(props);
};
function GiKingJuMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 18.144c-49.306 0-84.844 8.981-110.263 24.112-25.418 15.133-41.264 36.376-51.248 63.36-19.357 52.316-14.616 126.42-5.953 206.1 18.769 3.884 116.162 23.57 167.464 23.57 51.302 0 148.696-19.688 167.465-23.57 8.661-79.68 13.404-153.784-5.954-206.102-9.984-26.982-25.83-48.226-51.248-63.358C340.845 27.125 305.305 18.144 256 18.144zm-83.59 44.813l27.015 18.65L179.93 99.19l20.914 26.218-29.335-18.623-14.217 12.824 47.423 31.44-57.971-21.925-38.232 34.483 25.056-39.468-15.941-6.028 9.677-18.385 15.317 10.156 9.7-15.282-17.29-10.977 16.65-19.845 11.253 14.105zm201.82 89.576l6.766 12.938c13.747-6.266 25.762-11.648 27.532-12.13l1.613 18.964-23.268 4.403 10.356 19.807-26.226-16.807-35.51 6.72s12.562-5.823 26.73-12.346l-22.292-14.285zm-253.28 56c2.133-.054 4.321.488 6.354 1.504 36.77 18.385 55.255 36.572 91.925 55.155 11.602 5.88-17.594 18.386-36.77 18.386-55.155 0-73.54-36.77-73.54-55.156-.269-14.19 5.633-19.724 12.03-19.889zm270.097 0c6.4.165 12.301 5.697 12.032 19.89 0 18.384-18.385 55.155-73.54 55.155-19.175 0-48.372-12.506-36.77-18.386 36.67-18.583 55.155-36.77 91.925-55.155 2.034-1.016 4.22-1.558 6.354-1.504zm15.136 127.838c-38.646 7.537-107.206 19.597-150.183 19.597-42.86 0-111.14-11.991-149.845-19.531 21.287 60.866 66.897 106.958 83.618 123.68 18.384 18.384 32.904 33.74 66.227 33.74 33.214 0 47.752-15.266 66.05-33.57 37.397-43.5 65.904-66.84 84.135-123.916zM182.46 375.503c55.155 18.385 91.925 18.385 147.08 0-18.385 18.385-36.77 36.77-73.54 36.77s-55.155-18.385-73.54-36.77z"}}]})(props);
};
function GiKing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.408 22.127l-23.082 62.035-31.017-57.707-11.542 59.15-44.002-55.543L154.26 110c27.263 27.263 178.638 27.663 206.3 0l5.772-79.936-44.002 55.543-11.54-59.15-31.02 56.986-22.36-61.313h-.002zm.45 129.094c-18.725 0-36.08 9.108-49.06 25.696-12.977 16.588-21.023 40.493-21.023 66.578 0 27.678 9.47 52.137 23.946 68.914l10.512 11.682-15.185 3.504c-40.28 9.177-59.512 28.283-70.666 57.818-10.383 27.496-12.014 65.42-12.263 110.38H393.35c-.047-45.15-.35-84.062-9.928-112.134-10.28-30.13-29.122-49.348-72.418-57.816l-15.186-2.92 9.928-12.266c13.574-16.684 22.193-40.46 22.193-67.162 0-26.085-8.048-49.99-21.026-66.578s-30.332-25.695-49.057-25.695z"}}]})(props);
};
function GiKitchenKnives (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M140.78 28.03L131.907 54c43.253 8.353 84.735 22.207 124.063 42.406l8.874-25.937L140.78 28.03zm141.282 49.782l-8.343 24.407c5.582 11.184 6.648 25.473-.25 45.624 72.357 24.773 140.607 52.916 223.75 47.03-58.85-46.902-124.914-82.347-215.158-117.06zM130.095 99.094L105.22 131.53c50.832 28.482 96.958 63.293 137.5 105.407l24.843-32.375-137.47-105.468zm-74.656 2.656l-26.813 15.625c29.6 37.582 53.774 78.455 71.594 123.03L127 224.813 55.437 101.75zM279.78 219.344l-18.686 24.375c3.42 16.74-.533 35.585-18.375 58.843 77.76 59.655 149.145 121.704 252.53 148.53-52.672-81.572-118.975-152.038-215.47-231.75zm-145.217 22.72l-23.407 13.592c-3.13 13.372-12.31 26.05-32.594 37.844 41.332 71.09 76.94 142.002 148.625 195.78-14.802-79.716-43.58-155.194-92.625-247.217z","fillRule":"evenodd"}}]})(props);
};
function GiKitchenScale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M50.73 121l49.57 62h311.4l49.6-62H50.73zM245 201v46h22v-46h-22zm-126 64L75.53 439H436.5L393 265H119zm137 14c40.2 0 73 32.8 73 73s-32.8 73-73 73-73-32.8-73-73 32.8-73 73-73zm0 18c-30.5 0-55 24.5-55 55s24.5 55 55 55 55-24.5 55-55-24.5-55-55-55zm16 12.5l-5.9 65.7-30.2-10.5 36.1-55.2zM41 457v30h430v-30H41z"}}]})(props);
};
function GiKite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M272.56 37.535c-2.73 9.522-7.43 19.245-13.263 29.092-10.537 17.786-25.074 35.97-40.424 52.674-15.35 16.705-31.498 31.88-45.318 43.393-1.636 1.363-3.232 2.664-4.797 3.92 73.788-1.87 129.856-10.404 172.217-21.527-16.666-35.65-38.964-71.863-68.414-107.55zm25.792 3.518c25.297 32.908 44.98 66.205 60.097 99.062 20.755-6.355 37.728-13.287 51.486-20.166 23.195-11.598 37.367-23.02 45.66-31.313.56-.56 1.02-1.055 1.523-1.578-24.93-3.32-85.136-14.01-158.768-46.007zm171.416 58.832c-.47.488-.944.98-1.444 1.478-9.707 9.707-25.535 22.285-50.34 34.688-14.265 7.133-31.51 14.208-52.26 20.673C385.457 204.35 399.3 267.8 402.54 315.27c3.912 62.24-4.2 114.432-13.243 149.023 6.263-8.047 12.805-17.732 19.22-28.805 15.812-27.3 31.415-62.77 43.772-102.18 22.904-73.052 34.377-159.596 17.478-233.423zm-121.395 61.86c-45.878 12.342-106.803 21.565-187.478 23.042 31.007 29.097 61.39 64.16 89.17 100.188-26.307 30.073-54.772 57.992-82.956 82.58-3.816 3.33-7.626 6.592-11.424 9.797l-8.08-17.502-22.487 2.498 2.497 22.488 15.117 3.24c-12.492 10.146-24.77 19.552-36.617 28.13l-4.922-16.608-22.613-.762-.762 22.615 13.672 5.075c-6.067 4.17-11.992 8.106-17.724 11.766-6.105 3.9-12 7.478-17.66 10.76l.238-15.46-21.354-7.483-7.482 21.354 13.086 10.132c-13.478 6.994-24.8 11.673-32.82 13.678l4.367 17.46c3.664-.916 7.605-2.17 11.78-3.718l-.146-.582c2.415-.604 5.167-1.5 8.19-2.647 5.216-2.243 10.77-4.91 16.607-7.945l-.258 16.88 21.354 7.48 7.484-21.352-14.133-10.942c6.522-3.762 13.337-7.91 20.433-12.44 2.273-1.452 4.58-2.956 6.902-4.484 4.84-3.31 9.815-6.832 14.893-10.527l5.352 18.06 22.615.762.762-22.615-15.776-5.853c12.51-9.533 25.545-20.078 38.827-31.473l8.07 17.488 22.49-2.498-2.5-22.488-15.634-3.352c4.477-3.976 8.97-8.032 13.473-12.183 63.37-58.424 128.223-133.68 166.674-209.6-.408-.986-.81-1.97-1.227-2.956zm9.815 25.288c-23.644 43.21-54.687 85.363-88.528 124.104 10.784 14.773 21.07 29.505 30.692 43.85 21.597 32.21 39.898 62.39 53.326 86.656 6.17 11.15 11.17 20.653 15.084 28.812 9.33-31.65 20.007-87.328 15.814-154.055-2.504-39.857-10.188-83.775-26.39-129.367z"}}]})(props);
};
function GiKiwiBird (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M251.615 74.23c-77.058.06-152.457 51.774-181.7 89.022C1.473 250.43-36.964 427.192 244.208 381.209c82.987-13.571 135.481-92.932 146.56-163.43 39.376 13.812 99.225-2.416 100.503-38.236 1.713-48.028-82.63-99.395-130.756-60.74-33.239-32.311-71.268-44.602-108.9-44.573zm189.384 101.54a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm27.278 56.154c-8.908 4.545-18.736 7.692-29.059 9.242 21.96 44.054 29.427 92.59 45.61 138.432 2.761-32.499 2.588-94.97-16.551-147.674zM238.494 401.426a239.162 239.162 0 0 1-18.141 3.78l21.887 45.798c-18.37-.055-38.017.352-58.946 1.387l-11.842-44.215c-6.45-.31-12.826-.9-19.105-1.764l12.598 47.041c-7.103.46-14.296.969-21.664 1.578l1.484 17.938c76.27-6.31 137.96-4.22 183.404-.008l1.66-17.922c-19.613-1.818-42.188-3.236-67.525-3.793z"}}]})(props);
};
function GiKiwiFruit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M344.1 34.19c-25.2 3.48-86.9 13.87-149.2 38.78-40.4 16.16-81.2 38.43-112.27 69.43-31.09 31.1-52.37 71.4-52.51 121.6-.15 53.8 21.43 95.2 53.29 125.5 31.89 30.3 73.69 50 115.19 63.1 57.8 18.2 115.2 23.6 144.8 25.2-14.5-3.8-27.5-11.4-38.8-21.5-28.7-3.4-64.7-9.6-100.6-20.9-39.8-12.5-79.2-31.4-108.19-58.9C66.86 349 47.99 313.2 48.12 264c.12-45.2 18.69-80.3 47.23-108.8 28.55-28.5 67.25-49.9 106.25-65.52 36.1-14.44 72.2-23.87 100.7-29.85 1.6-1.62 3.3-3.21 5-4.72 10.9-9.57 23.2-16.88 36.8-20.92zm23.8 14.49c-18.4 0-34.3 7.24-48.7 19.92-14.3 12.67-26.8 30.91-36.8 51.9-20.1 42.1-30.5 95.4-30.7 135.6-.2 39.7 9.3 92.7 28.7 134.6 9.7 21 21.8 39.2 35.8 51.9 14 12.6 29.6 19.8 47.7 19.9 18.9.1 35.2-7.2 49.8-20.2 14.7-13 27.4-31.7 37.6-53.3 20.5-43.2 30.8-97.8 30.6-138.9-.1-39.1-10.4-90.9-30.2-131.9-9.9-20.4-22.2-38.1-36.2-50.37-14.1-12.27-29.6-19.15-47.6-19.15zm17 55.32l17.6 3.6-4.9 23.9-17.6-3.6zm-52.1 15l8 12.4-15.2 9.8-8-12.4zm31.3 7.7l6 18.8-17.2 5.4-6-18.8zm57.7 14.4l15.4 9.2-10.9 18.4-15.4-9.2zm-96.9 13l12.4 15.9-14.2 11-12.4-15.9zm54 10c38.8.4 52.2 65.2 52 103.9-.1 40.7-14.7 109.2-55.4 108.8-40-.5-52.8-68.1-52-108.1.7-39.4 16-105.1 55.4-104.6zm57.9 10.8l14.2 11.2-10.5 13.4-14.2-11.2zm4.5 35.4l17 5.8-7.4 21.4-17-5.8zm-133.4 7.5l2.8 17.8-17.8 2.9-2.8-17.8zm-.5 43.3l4.8 17.4-16.3 4.5-4.8-17.4zm138.2 9l11.9 3-4.4 17.4-11.9-3zm-146.2 36.6l19.4 4.5-4 17.6-19.4-4.5zm144.2 9.8l10.9 10.4-12.4 13-10.9-10.4zm-13.8 37.7l11.4 19.9-15.6 9-11.4-19.9zm-108.6 14.7l16 8.4-7.9 14.9-16-8.4zm80.1 5.7l8.5 15.8-16.7 9-8.5-15.8zm-51.8 16.6l18 1.6-2 22.8-18-1.6zm41.2 18.7l2.5 17.5-17.8 2.6-2.5-17.5z"}}]})(props);
};
function GiKlingon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M235.346 22.574c-5.96 35.582-13.117 77.584-21.662 121.918-7.5 38.915-15.677 77.15-24.065 107.836-4.195 15.343-8.43 28.79-12.766 39.652-2.938 7.36-5.758 13.412-9.125 18.405 24.825 31.515 48.93 62.82 71.237 93.572 1.542-2.86 3.284-5.918 5.244-9.21 7.523-12.628 17.837-28.182 28.075-43.165s20.388-29.365 27.457-39.402c1.39-1.972 1.965-2.817 3.092-4.424-1.702-2.13-2.99-4.47-4.357-7.19-4.268-8.48-8.444-20.64-12.918-35.93-8.95-30.578-18.674-73.233-27.585-117.132-8.912-43.9-16.986-88.975-22.516-124.127-.052-.32-.064-.484-.114-.803zM285.54 190.54c1.596 7.14 3.195 14.058 4.792 20.81 49.34 20.072 84.05 68.448 84.05 125.076 0 9.046-.892 17.88-2.58 26.424 5.21 3.43 10.684 6.607 16.307 9.52 2.785-11.53 4.273-23.566 4.273-35.944 0-68.312-44.955-126.273-106.844-145.885zm-100.196 2.745c-57.786 21.875-98.96 77.766-98.96 143.14 0 9.073.795 17.962 2.315 26.604 5.18-3.613 10.8-7.414 16.523-11.507-.55-4.956-.84-9.992-.84-15.097 0-53.53 31.014-99.69 76.084-121.535 1.638-6.997 3.265-14.208 4.877-21.605zM321.418 337.44l-56.398 86.833c39.054 17.92 85.905 23.705 124.843 19.36 20.97-2.34 39.59-7.577 53.176-14.774 8.204-4.346 14.152-9.32 18.32-14.585-5.27-.66-11.096-1.665-17.778-3.132-14.25-3.13-31.137-8.177-48.12-15.426-28.752-12.274-58.282-30.866-74.044-58.278zm-174.322 1.187c-15.578 18.596-36.585 31.004-50.184 40.613-24.06 17-34.61 34.96-40.346 57.27-3.65 14.193-4.978 30.99-5.927 49.058 16.385-17.526 40.027-33.05 66.325-44.75 31.124-13.845 66.08-22.098 97.45-18.26-8.044-10.21-18.08-22.807-28.61-35.933-19.204-23.937-33.05-41.01-38.71-47.998zm12.152 106.508c-6.906 1.738-13.816 3.867-20.627 6.344 26.933 23.612 62.197 37.946 100.763 37.946 33.2 0 63.95-10.624 89.05-28.643-8.773-1.142-17.566-2.727-26.283-4.77-18.743 9.84-40.092 15.413-62.767 15.413-30.03 0-57.735-9.766-80.135-26.29z"}}]})(props);
};
function GiKnapsack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M230.125 18.156V247h49.313V18.156h-49.313zM78.812 21.438l-16 136.906c48.707 30.112 97.637 47.843 148.625 53.094V33.125c-44.244-1.822-88.46-5.89-132.625-11.688zm349.438.28c-43.398 6.814-86.784 10.647-130.125 11.97v175c46.732-7.458 95.816-24.375 148.438-50.844L428.25 21.72zm-1.938 166.532c-44.474 19.847-87.06 32.836-128.187 38.97V247h37.031v143.188h-37.031v8.718c0 34.41-20.516 56.084-43.25 56.28-22.734.2-43.438-21.34-43.438-56.28v-8.72l-27.656.002h-9.343V247h37.001v-17.188c-43.774-4.164-86.14-16.857-127.687-38.062 5.04 92.69 3.66 185.37-5.063 278.063 117.402 32.047 234.788 31.002 352.188 0-6.853-93.858-9.223-187.706-4.563-281.563zm-233.187 77.438V371.5H316.47V265.687H193.124zm20.47 18.156H296v67.5H213.594v-67.5zm18.686 18.687v30.126h45.032V302.53h-45.03zm-2.155 87.658v8.718c0 28.23 13.32 37.692 24.594 37.594 11.27-.098 24.718-10.018 24.718-37.594v-8.72l-49.313.002z"}}]})(props);
};
function GiKneeCap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M22.91 15.15v55.19C52.94 91.19 99.09 120.3 139.7 148.4c21.1 14.6 40.7 28.9 55.7 41.8 15.1 12.8 26.1 23 29.5 35.7l.3 1v1c.4 15.2 3.7 25.2 7.9 31.2s9.1 8.6 15.6 9.5c12.9 1.9 32.2-6 47.3-19.2 15-13.2 25-30.9 24.2-44.2-.4-6.6-2.9-12.4-9.4-18.1-6.4-5.7-17.3-11.1-33.9-14.6-12-2.5-27.8-11.4-49.3-24.3-21.5-12.8-47.5-29.5-74.5-47.2-47.4-31.24-96.84-64.79-130.19-85.85zM191.9 18c17.6 11.41 48.1 31.99 79.9 57.23C320.7 114 371.4 164.4 380.7 202.2v.1c2.4 10 3.5 36.8 2.8 69.2-.7 32.3-2.7 70.9-5.2 108-3 45.2-6.6 87.9-8.9 114.5h18.1c2.3-26.8 5.8-68.8 8.8-113.3 2.4-37.2 4.5-76 5.2-108.9.7-32.8.4-58.8-3.4-73.8v-.1C386.3 150 332.9 100.7 283 61.12 261.8 44.31 241.1 29.51 224.3 18zM18 142.7v24.5c48.95 44.6 118.5 101.7 163.9 134.3-10.6 58.8-8.6 132.7-7 192.5h18c-1.7-61.9-3.5-138.3 7.6-194.7l1.2-5.8-4.8-3.4C149.1 256.4 67.59 189 18 142.7zm317.3 33l8 79.6c8.5-4.9 13.8-10.8 17-17 4.3-8.6 4.8-18.4 2.4-28.2-3.9-15-15.2-28.6-27.4-34.4zm-18.5 87.5c-2.6 1.7-6.8 5.8-13.2 10.2-11.8 8.2-31.4 15.8-66.1 13.8-.8 8.1 2.6 15.2 10.2 22.5 9.4 9.2 25.4 17.2 44.2 21.4l3 .7 2 2.4c4.5 5.6 5.7 11.6 7.5 20.1 1.8 8.5 3.4 19.1 4.8 31.1 2.8 24.1 4.9 54 6.4 83.2.4 8.6.8 17.1 1.1 25.4h29c-1.2-53.3-.6-113.2 5.2-176.4.1-12.3-.5-24.3-4.4-33.7-3.9-9.4-10.4-16.4-25-21.5-1.9-.7-3.5 0-4.7.8zm-76.6 63.9c0 3.2.1 6.4.3 9.6.7 13.6 3.3 25.7 7.2 30.8l1.9 2.5-.4 124H267l2.1-127.3 2.3-2.5c5.7-6.2 8.2-11.5 10-17.3-15.9-4.3-30.2-10.9-41.2-19.8z"}}]})(props);
};
function GiKneePad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M341.972 50.815c-38.037-.098-80.816 6.11-130.793 20.204l-11.094 19.785 33.365 20.742C273.616 73.19 391.2 78.41 449.987 92.442a735.823 735.823 0 0 0-5.675-23.984c-31.01-11.138-64.304-17.544-102.34-17.643zm24.156 47.164c-23.575-.054-47.625 1.996-67.473 5.325-19.847 3.328-35.96 8.592-41.226 12.119-27.356 18.32-38.843 46.87-39.112 70.303l-1.798 157.107c-.25 21.74 16.014 46.419 39.787 57.502 23.718 11.058 75.663 16.94 121.511 14.121 22.925-1.41 44.526-4.876 60.477-10.154 15.95-5.279 24.917-12.572 26.537-17.754 29.401-94.05 34.105-180.233-1.598-261.694-3.3-7.532-14.716-15.03-32.54-19.824-17.825-4.793-40.99-6.996-64.565-7.05zm-221.738 6.165c-2.647-.004-5.305.015-7.965.056-21.281.329-42.767 2.109-61.113 5.584-18.347 3.476-33.584 8.008-43.428 17.416-3.53 3.374-6.292 7.924-7.31 12.918l9.88 2.024c2.56.524 5.115 1.03 7.666 1.515.029-.968.448-1.77 2.201-3.445 4.366-4.172 17.46-9.545 34.34-12.742 23.822-4.513 55.107-5.955 82.975-4.895l9.867-17.6a456.997 456.997 0 0 0-27.113-.832zm46.883 2.376l-7.793 13.9 29.027 18.456c2.503-4.695 5.41-9.29 8.742-13.72zm-16.61 29.627l-13.455 23.997-1.092 202.203 12.928 19.556 28.451-18.54c-2.008-6.754-3.055-13.725-2.974-20.735l1.796-157.108c.11-9.618 1.742-19.78 5.036-29.863zm-133.207 25.65l-.955 53.456c31.896 9.577 66.518 8.292 102.385 4.588l.297-55.047c-34.17 6.07-68.185 3.222-101.727-2.996zm100.81 87.891c-2.647-.004-5.304.016-7.964.057-21.281.329-42.767 2.106-61.113 5.582-18.347 3.476-33.584 8.008-43.428 17.416-2.64 2.523-4.845 5.704-6.22 9.234l8.24 1.688a551.94 551.94 0 0 0 10.488 2.031c4.427-4.163 17.47-9.5 34.27-12.683 19.097-3.618 42.999-5.268 66.087-5.235l.098-18.086c-.153 0-.304-.004-.457-.004zM38.783 303.32l-.955 53.455c32.462 9.747 67.747 8.248 104.295 4.393l.299-55.201c-34.811 6.524-69.471 3.688-103.639-2.647zm169.938 76.819l-25.75 16.78 7.617 11.526 26.195-16.611a86.294 86.294 0 0 1-8.062-11.695zm21.142 24.713l-29.347 18.61 10.197 15.429c99.055 28.132 174.827 31.355 225.016-.21a338.86 338.86 0 0 0 6.51-16.747c-17.965 5.706-40.05 9.059-63.317 10.49-48.012 2.952-100.197-1.778-130.22-15.776a91.059 91.059 0 0 1-18.839-11.796z"}}]})(props);
};
function GiKneeling (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M373.773 42.58c-15.476-.073-32.25 4.32-48.15 13.15-18.172 10.09-32.025 24.21-39.816 39.635-4.937 9.773-7.42 20.355-6.534 30.48-142.235 35.935-140.19 127.28-148.97 211.997-8.83 85.21 31.418 103.056 84.02 110.176-75.802-1.733-65.734-.497-113.788-.364 0 0-45.96 45.96-49.496 48.79 52.562-2.26 344.12 23.87 345.276-31.32.793-37.823-78.186-55.176-135.845-74.976-21.276-7.306-29.62-92.502-.2-169.12 20.044 61.258 65.636 140.037 87.248 143.894 24.542.216 82.012-121.896 113.443-166.68-28.153-15.767-62.88 16.397-77.355 40.235.612 13.085 1.608 31.266 5.567 35.2l-40.947 42.313c-26.15-43.612-43.326-105.71-50.62-158.75-.257.126-.498.256-.75.383.185-.22.38-.437.567-.658 7.89 5.473 17.617 8.64 27.898 9.56 17.213 1.542 36.523-2.75 54.696-12.84 18.172-10.09 32.026-24.214 39.818-39.64 7.79-15.426 9.48-32.862 1.437-47.348-8.042-14.485-23.737-22.27-40.95-23.812-2.15-.193-4.336-.295-6.547-.305z"}}]})(props);
};
function GiKnifeFork (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M39.906 27.188c-9.118 13.907-11.366 30.99-7.843 50.718 4.2 23.526 16.91 50.038 35.28 75 36.742 49.925 96.05 93.082 148.813 99.625l3.688.47 2.375 2.844L416.374 490.22c19.352 4.624 31.847 1.745 38.344-4.69 6.547-6.484 9.566-19.005 4.717-38.874L39.908 27.187zM414.97 29.5L306.47 138c-12 11.998-12.104 25.2-5.908 39.625l2.563 5.97-4.688 4.5L262 222.844l29.594 29.593 34.594-36.532 4.5-4.75 5.968 2.594c15.165 6.535 29.546 6.267 40.688-4.875l108.5-108.5L471.75 86.28l-70.563 70.532L388 143.595l70.53-70.53L443.5 58.03l-70.53 70.532-13.22-13.218 70.53-70.53-15.31-15.314zM210.936 271.563L25.53 448.469c-4.575 18.95-1.644 30.787 4.532 36.905 6.178 6.118 18.128 8.927 36.844 4.406l173.22-182.967-29.19-35.25z"}}]})(props);
};
function GiKnifeThrust (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M47.688 19.156c-.376-.003-.748.016-1.126.032-6.044.245-12.252 2.815-17.28 7.843-10.057 10.058-10.297 24.924-1.72 33.5 3.94 3.94 9.21 6.034 14.72 6.157l3.062-3.093L67.5 41.437l1.406-1.406c-.123-5.515-2.217-10.78-6.156-14.718-4.022-4.02-9.423-6.114-15.063-6.156zm28.28 40.25L63.063 72.313c13.653 33.245 37.167 56.274 67.438 73.718l18.75-18.75C130.385 97.324 105.988 74.1 75.97 59.407zm129.344 38.25L99.906 203.094l23.844 23.844c29.782-40.624 65.415-75.33 105.5-105.344l-23.938-23.938zm12.813 56.406c-22.467 18.703-43.183 39.077-61.875 61.438 34.053 43.905 76.278 82.775 122.406 112.375-20.858 1.702-40.402 1.278-58.562-1.28 34.15 24.845 71.227 45.65 110.25 61.155-28.237 2.647-54.58 2.25-78.97-1.188 72.535 52.773 155.472 91.19 243.064 107.47-20.59-94.733-58.107-178.44-109.844-249.094 3.565 24.952 4.537 52.326 2.47 82.312-16.075-41.127-36.744-78.823-61.564-112.72 2.653 18.574 3.49 38.852 2.22 60.94-29.64-47.287-66.485-88.237-109.595-121.408z"}}]})(props);
};
function GiKnightBanner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23.57l-16.1 48.86h32.2zM73 90.43v15.97h366V90.43zm48 33.97V479l135-105 135 105V124.4zm87 37h96l-32 80 80-32v96l-80-32 32 80h-96l32-80-80 32v-96l80 32zm48 235.4l-23 17.9v73.7h46v-73.7z"}}]})(props);
};
function GiKnockout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M358.5 283.23c-22.89 3.1-52 5.23-88.72 6.48-23.3.79-49.43 1.19-77.68 1.19-35.57 0-67.27-.63-86.89-1.09a208.69 208.69 0 0 0 8.9 58.51c22.42 74.88 81.29 125.55 139.88 125.55a99 99 0 0 0 28.48-4.16c65-19.46 98.09-101.96 76.03-186.48zm-162.38 87.28l-13.58-8.25-6 10.53-15.74-9 6.27-10.93-14-8.5 9.42-15.5 13.58 8.25 6-10.53 15.74 9-6.27 10.93 14 8.5zm98.3-25.82l-13.58-8.25-6 10.53-15.74-9 6.24-10.97-14-8.49 9.45-15.51 13.58 8.25 6-10.53 15.74 9-6.27 10.93 14 8.5zm121.79-227.27l22 18.33 24.32-15.08-10.64 26.57 21.86 18.47-28.55-1.91-10.84 26.5-7-27.75-28.54-2.1 24.17-15.23zm-.22-78.84l2.08 17.88 17.62 3.67-16.36 7.5 2 17.89-12.21-13.24-16.41 7.39L401.53 64l-12.1-13.33 17.65 3.55zm-353.07-.45L81.35 60l26.59-10.58-15.13 24.32 18.28 22-27.78-6.87-15.32 24.19-2-28.54-27.74-7.07 26.52-10.76zm353.07 205.31c-4.56 12.66-25.56 26.15-146.72 30.27-25.88.88-52.47 1.18-77.14 1.18-41.91 0-121.2-1.21-121.2-1.21v-16s79.47 1.21 121.21 1.21c24.14 0 50.12-.29 75.43-1.14 38.77-1.29 69.93-3.69 92.62-7.11 34.07-5.15 39.81-11.23 40.63-12.44-.24-.57-1.22-2.35-4.86-5.23-10.14-8-28.53-16-53.3-23.44a202.41 202.41 0 0 0-16.56-21.22c2 .51 4 1 5.88 1.53 35.17 9.36 60 19.64 73.88 30.56 6.51 5.18 13.58 13.36 10.13 23.04zm-304.81-1.51c1.5-7.33 8.84-26.5 12.41-31.92 56.35 3.86 150.85-15.72 176.38-25.16 15.21 13.25 32.71 35.84 40.61 52.19-57.31 6.52-159.43 6.65-229.43 4.9zm19.4-72.09c-10.08-.6-33.73-2.07-42.65 2 11.87 11.21 75 12.46 128.23 4.92 57.06-8.08 110-21.46 141.07-42.63 12.94-8.82 19.78-21.71 18.54-27.43-6.3-29.16-174.12-39.46-174.12-39.46s178.29 3.69 179.61 39.45c1.42 38.36-82.14 67.8-162.44 80.33-76.27 11.9-149.39 12.73-145.6-18.73 2.2-18.28 51.33-14.87 72.59-12.45-4.22 2.91-11.95 10.56-15.26 14.01zm75.88-19.13a106.28 106.28 0 0 1 42.58 4.6c-12.73 3.12-58.29 9.31-85.16 10 21.21-12.93 38.79-14.14 42.55-14.59z"}}]})(props);
};
function GiKnot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M477.117 18C457.6 44.38 439.65 68.27 415.21 88.928c-15.7 12.244-31.265 25.085-48.462 35.24-21.145 9.22-67.885 12.887-85.982 33.89-4.144 6.577-4.672 21.27-.426 39.497 2.19 9.402 5.452 19.627 9.336 30.076 31.868-8.462 63.62-15.685 91.463-28.536 40.892-24.654 80.908-51.5 112.86-84.45V18zM357.02 31.525c-33.65-.228-66.15 9.832-92.483 24.846-49.43 28.184-75.595 70.35-77.52 111.778 4.164 64.606 43.112 132.717 66.805 192.104 2.548 10.03 2.465 16.768 1.39 20.924-1.073 4.156-2.447 7.318-9.92 12.984-16.58 12.57-36.338 18.16-55.183 18.52-21.65 19.993-43.452 37.977-58.51 62.84 49.255 18.357 109.13 12.447 157.187-23.983 18.045-13.68 31.005-32.49 36.137-52.348 5.13-19.86 3.125-39.177-1.32-56.667-13.03-27.867-27.52-54.832-38.08-77.933-9.39-20.7-18.016-42.777-22.715-62.95-3.56-15.276-5.318-29.72-2.06-42.03l-.21.05c3.195-13.178 12.41-25.205 39.66-40.742 15.886-9.058 43.24-14.957 65.228-13.875.06.003.116.01.176.012 23.127-17.927 45.37-34.14 64.326-54.17-6.39-3.96-13.038-7.25-19.797-9.766-17.54-6.533-35.484-9.475-53.112-9.595zM484.175 148.38c-25.8 23.374-55.54 43.16-83.633 60.134-3.578 4.857-8.3 9.415-14.478 14.166-27.818 18.522-53.976 27.9-83.054 36.832 12.767 27.812 26.775 52.712 33.896 64.93 32.422-11.29 69.055-26.576 93.043-44.682 22.875-17.587 42.53-43.012 49.262-75.155 4.235-20.227 5.874-38.967 4.964-56.226zm-312.73 41.52c-32.027 15.216-62.486 36.246-86.33 66.942-29.395 37.845-42.88 76.856-39.73 113.07.992 11.428 3.69 22.285 7.747 32.408 21.966-26.726 50.782-57.527 73-76.775 3.784-7.474 8.94-15.644 15.847-24.535 12.386-15.947 29.847-28.568 50.11-39-7.828-21.52-15.18-45.72-20.642-72.11zm33.134 103.715c-6.355 3.1-12.55 6.447-18.512 10.13-47.793 29.588-91.84 76.045-126.595 119.403C43.818 444.238 30.096 465.65 18 486.45V494h80.285c14.91-22.624 30.235-46.843 47.63-64.71 23.51-23.777 51.976-48.112 77.98-64.284 3.057-1.888 6.71-3.755 10.794-5.615-10.847-25.174-21.61-45.587-30.112-65.775z"}}]})(props);
};
function GiKoala (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M419.3 22.75C394.9 95.5 364.6 168.1 331.9 240.5c8.5-3 17.6-6 26.8-7.4 10.2-1.5 21.2-.9 30.4 5.2 16.9-44.3 33.8-88 48.8-125.6 15.6-38.98 28.6-70.3 38.2-89.95zm-104.9 2.33c-17.7.19-28.3 6.53-35.4 15.67-1.5 1.88-2.8 3.9-3.9 6.04 4.4 1.62 8.7 3.46 12.8 5.54 8.3-6.69 16.6-10.28 24.7-10.75.7 0 1.3-.1 2-.1 9.7.1 18.3 5.01 23.6 11.91 10.5 13.45 11.8 34.23.7 50.41 3.9 8.8 6.6 18.5 7.7 28.9 0 .2 0 .5.1.7 9.2-2.4 14.6-8 18.4-16.4 4.5-10 5.4-23.99 2.5-38.09-2.2-10.74-6.6-21.41-12.7-30.3 7.5 1.22 12.5 3.8 18.1 6.04-11.7-14.24-22-18.89-37.8-24.5-6.2-3.34-13.1-5.16-20.8-5.07zM108.2 54.85c-.7 0-1.3 0-1.9.1-8.27.43-17.24 3.46-27.14 10.37a46.584 46.584 0 0 0-7.57 6.58c-12.68 10.83-23.36 24.41-35.72 35.6 7.25-2.2 13.74-6 21.12-8.22-4.64 16.42-4.48 34.32-7.53 51.22 4.03-5.7 6.62-12.2 10.84-17.9-.3 18.4 8.26 35.9 12.5 53.9 1.53-7.6.87-15.2 3.82-22.9 4.87 6.3 10.39 11.4 16.1 14.7 10.28 6 20.58 7.1 32.68.1l1.6-.8h.1c-2.5-5.9-4.4-12.4-5.4-19.4-6.2-3.5-10.4-9.6-14-16.1-5.2-9.1-8.87-20-9.47-30.7-.4-5.3 0-10.6 1.77-15.67 1.9-5.07 5.5-9.98 10.7-12.85 4-2.14 8.4-3.14 13.2-3.04 6 .11 12.7 1.89 20.2 5.1 1.9-2.48 3.8-4.89 5.9-7.25-7.7-9.58-18-17.69-29.4-20.99-4-1.16-8.1-1.83-12.4-1.8zm121.3 1.51c-3.2 0-6.5.1-9.7.27-19 1.31-40.2 14.38-56.1 32.51-15.8 18.16-25.8 40.96-25.1 58.66 1.3 30.6 17.8 46.5 39.6 56.1 21.8 9.6 48.9 11.1 65.7 9 16.7-2 40.3-9.9 58-23.2 17.7-13.4 29.4-30.9 26.9-55.1-2.7-25.6-16.7-45.57-36.8-59.22-17.6-11.94-39.9-18.7-62.5-19.02zm85.8 3.08h-1.6c-2.4.14-5.4.97-9 2.97 8.8 6.31 16.6 13.86 23.1 22.5 1.7-7.75 0-15.77-3.7-20.46-2.4-3.12-5.1-4.82-8.8-5.02zM279.5 94.4a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-156.6 3.49c-1.8 0-2.9.33-3.6.69-1.1.56-1.7 1.26-2.4 3.12-.7 2-1.1 5-.9 8.6.5 6.4 2.9 14.5 6.1 21 2.1-10.6 6.2-21.1 11.9-31.1-5-1.81-8.6-2.34-11.1-2.31zm83.8 15.31a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm44.9 13.5c8.9-.1 17.6 8.9 22.9 16.4 6.8 9.5 7.7 34.3 7.7 34.3 3 15-34.7 26.3-41.1 13 0 0-11.2-22.5-9.6-34.3 1.5-11.2 6.4-26.4 17.3-29 .9-.2 1.8-.3 2.8-.4zM168.1 219c-40.8 26.6-66.3 62.9-79.47 99.1-14.56 39.9-13.8 79.6-3.14 104.2 10.54 24.5 30.71 40.3 55.11 49.7 24.4 9.5 52.9 12.1 78 9.7 20.7-2 36.3-13.1 51.6-27.6 15.2-14.4 29.4-32 47.4-44.4l1.1-.7 1.2-.4c15.3-5.1 24.6-13.2 27.7-21.1 3.1-7.9 1.8-17.2-9.4-29.3 1.2 1.3 0-.1-3.3-.2-3.3-.2-8.1.2-13.3 1.2-9.4 1.8-20.5 5.7-28.1 10.3-7.8 21.5-24.4 43.8-51.6 63.5l-10.4-14.6c56-40.3 57.2-86.2 39.4-107.5-8.9-10.6-22.5-16.1-40.1-12.4-17.6 3.7-39.3 17.2-61.2 46.6l-14.4-10.8c23.7-31.7 48.7-48.5 72-53.3 5.8-1.2 11.5-1.7 16.9-1.4 16.4.9 30.8 8.2 40.5 19.9 2.2 2.6 4.2 5.5 5.9 8.5 31.2-.9 62.5-.6 78.6-10.4 12-7.3 18.2-15.8 19.7-22.9 1.6-7-.2-13.4-8-20.3-4.7-4-10.7-4.9-19.5-3.6-8.8 1.3-19.4 5.1-29.9 8.8l-3 1.1-3-1.1c-37.9-13.3-46.7-25.4-57-32.9l-1.8-.3c-7.2 2.1-14.1 3.5-20.5 4.3-19.9 2.4-49.1 1-75.1-10.4-1-.4-1.9-.9-2.9-1.3zm189.5 102.2c-17.9 4.5-38.2 4.3-58 4.5.1 5.9.3 11.9 0 17.8 0 1.1-.1 2.2-.1 3.4 6.1-2.4 12.6-4.1 18.7-5.3 6.3-1.2 12.2-1.8 17.7-1.5 4.5.3 9.1.7 13.2 3.8 2.8-7.5 5.6-14.9 8.5-22.7zm-42.8 113.9c-10.4 9.5-20.7 21.1-32.3 32-8.7 8.2-18.2 16.1-29.2 22.1 10.3.1 23.1.1 40.7-.2 1-2.4 2-4.9 3.6-9.1 4.1-10.3 10.1-25.9 17.2-44.8z"}}]})(props);
};
function GiKrakenTentacle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M170.2 40.98c-3.5 4.28-13.3 16.92-25.4 34.32.3.14.7.29 1.1.46 6.8 3.02 10.4 9.66 11.5 16.1 6.3-13.96 14.7-26.62 19-41.73 1-4.5-3-7.14-6.2-9.15zm-34.3 15.68c-8.4 8.9-18.6 20.04-29.7 33.15C78.14 122.9 48.8 164.9 42.43 195.1c-4.85 23 4 47.3 14.48 73.4 10.48 26.1 22.57 53.8 18.82 83.6-8.79 49.3-38 89.2-59.94 117.9v18.7s23.64-10.8 42.98-18.7c45.13-16.4 55.33-22.9 92.53-.3 12.8 7.8 27 16.8 44.5 17.3 19.4.5 35.8-8.9 50.7-17 15-8.2 28.5-15 41.5-14.3 9.1.5 26.8 6.2 39.2 15 40.6 28.6 68.2-.3 107.9-3.8 16-.8 37 .8 58.2 3.4v-78.1h-14.1V271.5l14.1 5.5v-17l-14.1-5.5v-81.9l14.1 5.1v-16.8l-14.1-5.1v-49.5h-15.9v43.8l-42.2-15.2-5.5 14.9 47.7 17.2v81.3L395 221.8l-5.8 14.8 74.1 28.8v126.8h-85.1l-6.6-7.8V281l37.2 13.4 5.3-14.9-42.5-15.3v-62.7h-15.9v57l-47.4-17.2-5.4 15 52.8 19v95.2h-42.1l-56.9-40.4-9.2 13 38.6 27.4c22.2 27.2 42.7 55.5 54.5 87.2-1.5-.9-3.1-1.8-4.7-2.7-14.2-7.9-31.2-16.4-46.9-17.3-19.5-1-36 8.3-51 16.4-15.1 8.2-28.7 15.3-41.8 14.9-9.5-.3-19.2-5-29.7-11.2 1.6-2.8 3.5-5.4 5.6-7.7 4.2-4.7 9.9-8.2 16.2-9.3.6-3.6 1.3-7.5 2-11.8 2.9-17.6 5.2-37.8 5.4-54.5-2.2 1.3-4.6 2.3-7.3 2.8-9 1.8-17.7-2.1-23.9-8.1-6.2-6.1-10.6-14.5-12.5-24.2-1.9-9.7-1.1-19.1 2.4-27.1 3.5-7.9 10-14.8 19-16.6.2 0 .4-.1.6-.1-4.9-8.8-10.3-17.6-15.8-26.6-3.1-5-6.1-10-9.1-15.2 2.6 9.4 2.6 21-.4 29.1-3 7.6-9 14.3-17.5 16.2-1.1.2-2.2.4-3.3.5 4.3 11.3 7.4 23.2 8 35.8.6 12.7-1.2 27.3-4.1 42.4 3.2-1 6.6-1.3 10-.8 9.1 1.3 16 7.9 19.9 15.6 3.8 7.7 5.1 17.1 3.7 26.9-2.9 18-33.4 20.1-24.5 12.5 3-3.2 5.8-8.6 6.7-15.1.9-6.4-.1-12.4-2.1-16.3-3.7-7.4-9.5-6.7-14-2-3 3.2-5.7 8.7-6.7 15.1-.9 6.4.1 12.4 2.1 16.3 2.7 3.6-16.4.8-28.28 2.9 1.38-4.6 2.88-9.4 4.38-14.4 8.2-27.7 15.9-61.6 14.9-82.3-1-22.8-13.4-45.5-26.02-69.4-12.62-23.9-25.52-49.2-23.05-78.1 2.9-34.1 25.55-74.8 47.07-108.19 7-10.85 13.9-20.85 20-29.45zm1.7 35.66c-3.8 1.27-6.8 5.55-8.2 8.48-1.1 3.7-3.1 9-.5 12.4 3.7-.7 7.4-5.2 9-8.7 1.1-3 3.3-12.48-.3-12.18zm-23.4 31.48c-14.2 25.6-25.76 52.4-27.43 72.1-1.45 16.9 4.15 33.6 12.33 50.9 3.3-6.1 8.7-11.2 15.9-12.9 10.9-.8 18.3 2.5 25 9.2-4.5-8.4-8.5-17.1-11.8-26.2-2.6.9-5.4 1.4-8.3 1.2-8.2-.5-14.6-5.9-18.3-12.3-3.62-6.4-5.23-14.3-4.6-22.7.63-8.4 3.4-16 8-22 4.6-5.8 11.8-10.3 20-9.8 1.1.1 2.3.2 3.3.5 3-7.3 6.7-15.1 10.6-23.1-5.3 2.6-11.7 3.5-17.5.9-3-1.4-5.3-3.4-7.2-5.8zm9.4 45.4c-5.7 1.8-8.2 9.8-8.6 15-.4 5.1.7 9.7 2.3 12.5 2.6 4.8 6.2 3.2 8.4.5 2-2.6 3.8-7 4.2-12-.1-4.3-.3-15.3-6.3-16zm-3.3 82.3c-8.5 2-8.1 14.4-6.6 20 1.5 5.5 6.1 17.1 13.5 15.8 6.7-3.8 6.7-13.9 5.3-20.1-1.9-5.5-5.3-15.6-12.2-15.7zm58.2 67.7c-10.1.6-10.1 15.4-8.9 22.3 1.8 6.5 6.8 19.6 15.3 18.1 8.3-3.4 8.6-15.6 7.3-22.5-1.9-6.8-5.7-18.4-13.7-17.9z"}}]})(props);
};
function GiKusarigama (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M35.379 53.525c-7.731 3.05-12.088 5.048-12.088 5.048l6.656 17.154 47.029-18.814c-.001 0 12.46 31.158 25.078 63.677 39.918-27.188 107.728-60.485 199.257-59.198-84.027-71.436-224.185-24.331-265.932-7.867zm-9.902 43.718L67.251 204.91l45.276-17.567L70.753 79.677zm45.956 118.445l8.727 22.493 45.276-17.567-8.727-22.493zm12.077 31.127l8.727 22.491 45.276-17.566-8.727-22.492zm231.87-60.245c-4.839 1.878-7.35 8.064-6.244 15.388l2.269 15.086c.364 2.434 1.086 4.68 2.104 6.604l-3.398 3.734-8.193-3.62c-4.5-1.988-9.046-2.367-12.475-1.037-2.262.878-4.014 2.506-4.932 4.584l-18.662 42.239c-1.438 3.248-.706 6.95 2.006 10.156 1.74 2.057 4.192 3.822 7.09 5.102l7.537 3.33-4.579 15.825-5.576-.233c-2.91-.12-5.69.298-8.045 1.211-4.14 1.607-6.703 4.772-6.855 8.462l-1.911 46.137c-.148 3.549 1.888 6.726 5.584 8.717 2.373 1.279 5.3 2.024 8.466 2.155l2.935.121-3.398 11.747c-4.164-2.084-8.422-2.59-11.684-1.325-1.793.695-3.254 1.894-4.223 3.463l-24.294 39.27c-1.68 2.716-1.668 6.035-.018 9.257l-6.175 2.395c-4.712-9.809-13.286-16.739-23.154-19.655l4.23-18.308-9.844-25.371-8.488 3.293-8.726-22.488-45.275 17.567 8.725 22.488-7.074 2.744 9.844 25.372 14.724 10.149c-6.344 9.755-8.084 22.316-3.563 33.968 7.464 19.237 29.186 28.813 48.423 21.35 16.491-6.399 25.873-23.275 23.516-40.082l12.276-4.763 10.467 6.477c5.94 3.03 13.939 4.84 17.73-1.12l24.295-39.273c3.132-5.066.224-11.95-6.915-16.364l-4.629-2.863 5.046-17.438.494.021c2.909.12 5.69-.3 8.043-1.213 4.141-1.607 6.705-4.77 6.858-8.46l1.91-46.14c.148-3.548-1.888-6.725-5.584-8.716-1.832-.986-3.996-1.652-6.345-1.965l3.52-12.163c2.993.641 5.835.526 8.163-.377 2.262-.878 4.013-2.505 4.932-4.584l18.666-42.24c1.83-4.145.046-8.846-4.288-12.354l2.682-2.946c.12-.013.238-.022.357-.04l45.668-6.864a8.302 8.302 0 0 0 1.766-.471c4.71-1.827 7.2-7.744 6.31-14.818l2.858.303c-.15 2.636.681 5.013 2.443 6.792l32.473 32.827c2.604 2.633 6.638 3.242 10.792 1.63 2.346-.91 4.677-2.469 6.741-4.51l1.386-1.372 1.443 2.36c-1.595.983-2.98 2.13-4.087 3.397-2.765 3.163-3.558 6.851-2.176 10.119l17.953 42.544a8.375 8.375 0 0 0 1.75 2.638l-1.353 4.682a23.852 23.852 0 0 0-11.699 1.432c-12.226 4.744-18.363 18.466-13.813 30.72l-27.856 22.544c-.832 1.196-.4 2.936.965 3.882l36.881 25.614c1.364.948 3.143.745 3.976-.452l12.071-35.989c.05-.073.08-.154.123-.231a23.958 23.958 0 0 0 5.016-1.34c12.337-4.786 18.48-18.718 13.693-31.055a23.856 23.856 0 0 0-8.602-10.962l1.824-6.302c6.382-1.693 12.947-4.958 18.426-7.27 7.733-3.263 11.666-9.616 9.352-15.107l-17.954-42.542c-2.32-5.503-9.501-7.16-17.347-3.842l-6.582 2.778-3.617-5.917 1.07-1.06c2.254-2.229 3.918-4.75 4.812-7.294 1.392-3.96.757-7.68-1.741-10.204l-32.476-32.826c-2.603-2.633-6.635-3.243-10.789-1.631-2.348.91-4.68 2.47-6.743 4.512l-10.605 10.494-10.355-1.1-.59-3.915c-.47-3.135-1.525-5.966-3.052-8.188-2.378-3.462-5.757-5.143-9.268-4.614l-45.662 6.866c-.604.09-1.2.247-1.77.468zM95.532 277.802l8.727 22.493 45.276-17.567-8.727-22.493zm225.946-79.624l40.747-6.125c.317.94.422 1.599.563 2.531l-3.001-.318c-2.19-.233-4.104.903-4.278 2.538l-.582 5.506c-.175 1.634 1.46 3.147 3.65 3.378l5.975.634c.264 1.506.492 3.115.505 4.58l-28.28 4.252.53-.582c1.48-1.628 1.697-3.845.483-4.951l-4.095-3.726c-1.216-1.108-3.403-.685-4.884.943l-5.334 5.859c-.423-4.81-1.953-9.756-2-14.519zm-26.46 36.493c2.112.58 4.047 1.59 6.158 2.524l-3.452 3.79c-1.482 1.629-1.7 3.846-.485 4.952l4.096 3.728c1.216 1.106 3.4.683 4.883-.946l5.95-6.535c.1.064.196.13.284.191l-14.756 33.4c-.094-1.409-.807-2.574-1.937-2.902l-5.318-1.538c-3.086.33-3.706 2.1-4.429 4.6-2.515-1.2-5.333-2.138-7.646-3.575zm-187.41 74.257l8.728 22.493 45.276-17.567-8.727-22.493zm299.407-114.63l23.825 24.083c-2.434-.052-4.44 1.889-6.532 3.167-1.402.858-1.606 3.076-.456 4.953l3.563 5.828c-1.626 1.565-3.198 3.35-4.972 4.665l-27.117-27.408 9.171.972c2.19.23 4.104-.905 4.279-2.54l.583-5.505c.174-1.635-1.46-3.148-3.65-3.378l-3.468-.369c1.555-1.506 3.073-3.209 4.774-4.469zm-287.642 144.95l8.728 22.494 45.275-17.567-8.727-22.493zm150.527-22.843c1.51-.196 2.798-.063 4.404.003l-.663 2.287c-.612 2.116.17 4.2 1.75 4.657l5.317 1.538c1.58.457 3.355-.886 3.967-3.001l1.443-4.993c.953 0 1.952.14 2.825.299l-1.64 39.603c-.335-.694-.862-1.221-1.557-1.422l-5.32-1.54c-1.579-.456-3.354.889-3.966 3.004l-.36 1.243c-2.61-.173-5.394-.047-7.906-.51zm189.564-67.18l16.02 37.963c-3.352 1.861-7.206 3.237-10.88 4.788l1.192-4.123c.612-2.114-.17-4.2-1.75-4.657l-5.317-1.538c-1.58-.457-3.356.888-3.968 3.004l-.419 1.452-12.438-29.478c.082-.056.172-.115.264-.172l5.77 9.436c1.148 1.879 3.215 2.707 4.617 1.85l4.723-2.888c1.404-.857 1.609-3.076.46-4.955l-4.934-8.066c2.195-.89 4.423-2.015 6.66-2.617zm-20.21 69.717a14.901 14.901 0 0 1 5.88-1.007l-3.207 11.084c-.612 2.116.17 4.2 1.75 4.657l5.32 1.54c1.578.457 3.352-.888 3.964-3.003l2.73-9.433a14.91 14.91 0 0 1 2.947 4.71c2.987 7.7-.848 16.394-8.548 19.382-7.7 2.988-16.395-.846-19.382-8.546-2.988-7.7.845-16.396 8.545-19.384zm-176.663 74.211c1.123.442 1.865.943 2.905 1.586-.774 2.744-3.802 9.89-.12 11.12l5.319 1.537c3.795-.376 4.033-3.236 4.942-6.383 1.11.63 2.233 1.394 3.164 2.168l-21.678 35.042c-1.52-.618-2.723-1.472-4.192-2.381 1.513-.927 2.3-2.488 1.793-3.793l-2.003-5.163c-.595-1.533-2.741-2.127-4.794-1.33l-6.95 2.696-.064-.057zm-93.343 45.957l21.471 14.8 5.662-24.494c5.491 1.836 10.267 5.69 13.153 11.036l-4.657 1.807c-2.053.796-3.236 2.683-2.641 4.215l2.002 5.162c.594 1.531 2.74 2.127 4.794 1.33l3.313-1.285c-.06 9.307-5.712 18.088-14.902 21.654-12.006 4.658-25.564-1.32-30.222-13.326-2.776-7.153-1.774-14.855 2.027-20.9z"}}]})(props);
};
function GiLBrick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M150.5 83.5A9.5 9.5 0 0 0 141 93v96a9.5 9.5 0 0 0 9.5 9.5 9.5 9.5 0 0 0-9.5 9.5v96a9.5 9.5 0 0 0 9.5 9.5 9.5 9.5 0 0 0-9.5 9.5v96a9.5 9.5 0 0 0 9.5 9.5h96a9.5 9.5 0 0 0 9.5-9.5 9.5 9.5 0 0 0 9.5 9.5h96a9.5 9.5 0 0 0 9.5-9.5v-96a9.5 9.5 0 0 0-9.5-9.5h-96a9.5 9.5 0 0 0-9.5 9.5 9.5 9.5 0 0 0-9.5-9.5 9.5 9.5 0 0 0 9.5-9.5v-96a9.5 9.5 0 0 0-9.5-9.5 9.5 9.5 0 0 0 9.5-9.5V93a9.5 9.5 0 0 0-9.5-9.5h-96zm9.5 19h77v77h-77v-77zm0 115h77v77h-77v-77zm0 115h77v77h-77v-77zm115 0h77v77h-77v-77z"}}]})(props);
};
function GiLabCoat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 34.91c-11.9 0-23.9 1.65-37 4.8 12.1 22.88 24.3 36.93 37 53.48 12.7-16.55 24.9-30.59 37-53.48-13.1-3.15-25.1-4.8-37-4.8zm-51.8 15.16L188.3 58c13.9 25.46 36.7 57.8 58.7 75.3v-22.1c-13.7-18.61-28.3-34.37-42.8-61.13zm103.6 0c-14.5 26.76-29.1 42.52-42.8 61.13v22.1c22-17.5 44.8-49.84 58.7-75.3zM171.1 64.41c-18.1 5.75-30.5 10.46-35.3 12.34L99.61 257.8l44.79 11.1c7.2-51.6 15.2-85.9 21.1-134.8l19.4-14.9c-8.9 78.9-15.8 142.9-22.2 213l59.1-14.8 11.2-2.8v75.5c0 4.9-2.1 9.7-5.2 12.9-3.1 3.3-6.8 5.3-10.6 6.7-7.8 2.9-16.7 3.7-25.6 3.3-8.8-.3-17.6-1.9-24.9-4.8-3.1-1.2-5.9-2.7-8.5-4.7l-4.6 73.6H247V155.5c-31.9-18.7-59.5-60.01-75.9-91.09zm169.8 0c-16.4 31.08-44 72.39-75.9 91.09v17.6h30v-23h18v23h16v57c0 4.2-1.8 8.3-4.3 11.2-2.5 2.8-5.4 4.6-8.5 6-6.2 2.8-13.2 3.8-20.2 3.8s-14-1-20.2-3.8c-3.1-1.4-6-3.2-8.5-6-.9-1-1.6-2.2-2.3-3.4v239.2h93.4l-4.5-72.3c-2.7 2.3-5.7 3.8-8.7 4.9-7.8 2.9-16.7 3.7-25.6 3.3-8.8-.3-17.6-1.9-24.9-4.8-3.7-1.5-7.1-3.3-10.1-6.1-2.9-2.7-5.6-7-5.6-12v-75.5l70.3 17.6c-5.6-70.4-14.2-147.6-22.2-213l17.8 14.9c7.1 53.3 14.2 83.6 22.7 134.8l44.8-11.1-36.2-181.05c-4.8-1.88-17.2-6.59-35.3-12.34zM281 191.1v38.4c6.9 6.2 22.2 6.1 30 0v-38.4zM96.11 275.4l-5.6 28L136.7 315l4.7-28.3zm319.79 0l-45.3 11.3 4.7 28.3 46.2-11.6zM215 337.6l-46 11.5V389c4.8 7.9 35.7 9.1 46 1.1zm82 0V389c5.4 8.8 35.7 9.1 46 1.1v-41z"}}]})(props);
};
function GiLabradorHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M339 46.81c7.1 8.93 18.2 27.12 27.4 45.44 5.3 10.55 10 21.15 13.3 29.95 3.4 8.8 5.1 16.5 5.1 17.8 0 67.6-16.9 126.5-41.9 170.3-10.2 17.9-21.7 33.2-33.9 45.5l1.9-19.3c6.5-12.4 10.8-24.1 13.4-35.1 9.8-4.4 17.9-10.7 24.2-17l-12.8-12.6c-7.5 7.5-19 15.1-31.4 16.9-12.5 1.7-26.2-1.2-41.8-16.9l-6.4-6.5-6.4 6.4c-15.6 15.8-29.4 18.7-41.9 17-12.4-1.8-23.9-9.4-31.4-16.9l-12.8 12.6c6.3 6.3 14.5 12.6 24.2 17 2.6 10.9 6.9 22.6 13.4 35.1l1.9 19.3c-12.2-12.3-23.7-27.6-33.9-45.5-25-43.8-41.9-102.7-41.9-170.3 0-1.3 1.7-9 5.1-17.8 3.3-8.8 8.1-19.4 13.4-29.94 9.1-18.32 20.2-36.5 27.3-45.44 51.1 15.51 114.9 15.5 165.9 0zm38.8 28.16C418.6 108.9 461.9 152 488 178.2c-.6 48.4-12.9 84.1-30.4 107.5-16 21.3-36 32.5-56.3 34.7L388.4 247c9.1-32.4 14.4-68.4 14.4-107 0-7.3-2.6-14.7-6.2-24.2-3.7-9.6-8.6-20.56-14.1-31.57-1.6-3.11-3.1-6.2-4.7-9.26zm-243.5 0c-1.6 3.05-3.1 6.13-4.7 9.24-5.4 11-10.4 21.99-14 31.59-3.7 9.5-6.3 16.9-6.3 24.2 0 38.6 5.3 74.6 14.4 107l-12.9 73.4c-20.27-2.2-40.27-13.4-56.27-34.7-17.5-23.4-29.8-59.1-30.4-107.5 26.1-26.2 69.5-69.3 110.17-103.21zm190.6 47.83a25.82 25.9 0 0 0-25.8 25.9 25.82 25.9 0 0 0 25.8 25.9 25.82 25.9 0 0 0 25.8-25.9 25.82 25.9 0 0 0-25.8-25.9zm-137.7 0a25.82 25.9 0 0 0-25.8 25.9 25.82 25.9 0 0 0 25.8 25.9 25.82 25.9 0 0 0 25.8-25.9 25.82 25.9 0 0 0-25.8-25.9zm68.9 69c-17.3 0-51.7 17.3-51.7 34.5 0 0 18.2 34.6 34.4 34.6 8.1 0 9.2-17.3 17.3-17.3 8 0 9.1 17.3 17.2 17.3 16.2 0 34.4-34.6 34.4-34.6 0-17.2-34.4-34.5-51.6-34.5zm9 104.9c10.3 6.5 20.7 9.7 30.6 10.2l-10.1 100.7c-.8.6-2.8 1.6-5.7 2.5-5.9 1.8-14.9 2.9-23.9 2.9-8.9 0-17.9-1.1-23.8-2.9-2.9-.9-4.9-1.9-5.7-2.5l-10.1-100.7c9.9-.5 20.4-3.7 30.7-10.2v67.8h18zm103.6 3.1c6.4 20.5 14 50 20.6 80.1 8.8 40.3 15.9 82.5 17.5 107.1H105.4c1.6-24.6 8.7-66.8 17.5-107.1 6.5-30 14.2-59.4 20.6-80 3.1 6.7 6.5 13.2 10 19.4 15 26.3 32.9 47.9 52.4 63.6l2.7 27v-.9c0 5.5 3.3 10.1 6.8 12.8 3.5 2.7 7.4 4.3 11.6 5.5 8.6 2.6 18.8 3.7 29 3.7 10.3 0 20.5-1.1 29.1-3.7 4.2-1.2 8.1-2.8 11.6-5.5s6.8-7.3 6.8-12.8v.9l2.7-27c19.5-15.6 37.4-37.3 52.4-63.6 3.5-6.2 6.9-12.7 10.1-19.5z"}}]})(props);
};
function GiLadder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M121 17v30h270V17H121zm16 48v46h30V65h-30zm208 0v46h30V65h-30zm-224 64v30h270v-30H121zm16 48v46h30v-46h-30zm208 0v46h30v-46h-30zm-224 64v30h270v-30H121zm16 48v46h30v-46h-30zm208 0v46h30v-46h-30zm-224 64v30h270v-30H121zm16 48v46h30v-46h-30zm208 0v46h30v-46h-30zm-224 64v30h270v-30H121z"}}]})(props);
};
function GiLaddersPlatform (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M375 16v199h18v-14h46v14h18V16h-18v39h-46V16h-18zm18 57h46v46h-46V73zm0 64h46v46h-46v-46zM25 233v46h462v-46H25zm30 64v199h18v-39h46v39h18V297h-18v14H73v-14H55zm18 32h46v46H73v-46zm0 64h46v46H73v-46z"}}]})(props);
};
function GiLadle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M52.67 60.6C162.7 84.64 167.3 323.4 228.7 401.4c21.9 27.7 44.6 53.5 69.1 70.2 20.3 13.8 48.5 22.3 79.5 22.5 30.8.3 58.5-8.1 79.3-21.2 20.8-13 35.9-45.2 36.1-66.3.1-21.2-15.1-37.6-35.7-48.9-20.7-11.2-48.5-17.7-79-17.9-30.5-.3-59.6 3.6-79.3 16.5-25.5 16.7-46.3 17.6-62.6-1.4-72.6-84.4-47.5-286.22-155.91-332.36C37.8 4.485-17.15 44.03 52.67 60.6zM277.5 422.4c50.2 57 167.9 42.9 196.3-.1-1.3 7.6-15.8 27.9-25.4 34-17.9 11.2-43 19.1-70.9 18.9-28.1-.2-53.9-8.7-71.7-20.1-9.1-5.9-29.1-25.4-28.3-32.7z"}}]})(props);
};
function GiLadybug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M327.2 20.15l17.6 3.7c-2.4 11.35-7.4 23.1-14.6 34.5a96 72.02 0 0 0-15.1-11.07c6.1-9.48 10.4-18.82 12.1-27.13zm-142.4 0c1.7 8.33 6 17.68 12.1 27.19a96 72.02 0 0 0-15.1 11.02c-7.2-11.4-12.2-23.16-14.6-34.51zM256 55c19 0 36.2 9 49 17.51 12.8 8.51 21.4 17.13 21.4 17.13l-12.8 12.76s-7.4-7.42-18.6-14.91C283.8 80 269 73 256 73s-27.8 7-39 14.49-18.6 14.91-18.6 14.91l-12.8-12.76s8.6-8.62 21.4-17.13C219.8 64 237 55 256 55zm217 40.83c.5 24.17-12.2 43.17-28.9 57.07-4.5 3.7-9.3 7.1-14.2 10.2-2.9-5.3-5.9-10.5-9.2-15.5 4.2-2.7 8.2-5.6 11.9-8.6 14.1-11.7 22.8-24.9 22.4-42.83zm-433.97 0l18 .34c-.3 17.93 8.3 31.13 22.5 42.83 3.6 3 7.6 5.9 11.8 8.6-3.2 5-6.3 10.2-9.2 15.5-4.9-3.1-9.6-6.5-14.1-10.2-16.8-13.9-29.5-32.9-29-57.07zm312.87 6.67C404.1 137.4 439 200.1 439 272c0 47.5-15.2 90.9-40.5 125a40 40 0 0 0-38.5-29 40 40 0 0 0-40 40 40 40 0 0 0 25.9 37.4c-11.1 6.8-22.9 12.4-35.3 16.6-23.4-29.3-35.8-68.3-45.6-106V175.7a96 72.02 0 0 0 87-71.7 96 72.02 0 0 0-.1-1.5zm-191.8 0a96 72.02 0 0 0-.1 1.5 96 72.02 0 0 0 87 71.6V356c-9.8 37.7-22.2 76.7-45.6 106-12.4-4.2-24.2-9.8-35.3-16.6A40 40 0 0 0 192 408a40 40 0 0 0-40-40 40 40 0 0 0-38.4 29.1C88.23 363 73.03 319.5 73.03 272c0-71.9 34.87-134.6 87.07-169.5zM320 180a16 16 0 0 0-16 16 16 16 0 0 0 16 16 16 16 0 0 0 16-16 16 16 0 0 0-16-16zm-128 0a16 16 0 0 0-16 16 16 16 0 0 0 16 16 16 16 0 0 0 16-16 16 16 0 0 0-16-16zm200 28a24 24 0 0 0-24 24 24 24 0 0 0 24 24 24 24 0 0 0 24-24 24 24 0 0 0-24-24zm-272 0a24 24 0 0 0-23.97 24A24 24 0 0 0 120 256a24 24 0 0 0 24-24 24 24 0 0 0-24-24zm365.6 39.3l4.9 17.4-33.5 9.6V272c0-5.5-.2-11-.5-16.4zm-459.07 0l29.1 8.3c-.4 5.4-.6 10.9-.6 16.4v2.3l-33.5-9.6zM312 272a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32zm-112 0a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32zm216.4 130.8c.6.7 1.1 1.4 1.7 2.1 16.5 19.1 35.8 31.6 62.8 34.1l-1.7 18c-31.5-3.1-55.5-18.4-74.1-39.6 4-4.7 7.7-9.6 11.3-14.6zm-320.67 0c3.5 5 7.17 9.9 11.17 14.6-18.57 21.2-42.57 36.5-73.97 39.6l-1.8-18c27-2.5 46.3-15 62.8-34.1z"}}]})(props);
};
function GiLamellar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M158.094 75.156c-20.642 13.654-46.023 22.503-69.438 26.03 6.792 48.935 26.14 84.133 45.97 97.845 10.523 7.28 20.357 9.012 30.405 5.564 8.93-3.064 18.63-10.97 27.75-25.594-26.933-30.227-31.606-71.05-34.686-103.844zM355 75.25c-3.08 32.79-7.787 73.58-34.72 103.78 9.117 14.61 18.857 22.5 27.783 25.564 10.047 3.448 19.85 1.715 30.375-5.563 19.8-13.693 39.12-48.822 45.937-97.655-24.495-3.17-47.802-11.35-69.375-26.125zm-98.5 12.97c-31.2 0-58.752 6.99-75.47 17.655.988 5.463 2.15 10.912 3.564 16.25 16.138-6.942 42.334-11.47 71.937-11.47 29.604 0 55.8 4.528 71.94 11.47 1.412-5.338 2.575-10.787 3.56-16.25C315.31 95.203 287.716 88.22 256.5 88.22zM75.406 132.374l-47.72 45.47c29.75 37.184 63.04 56.826 86.47 58.718 1.145.092 2.253.135 3.344.156 1.792-7.583 3.963-15.05 6.5-22.345-21.724-15.023-39.014-43.736-48.594-82zm362.25 0c-9.59 38.26-26.87 66.978-48.594 82-.03.022-.062.04-.093.063 2.54 7.276 4.728 14.72 6.53 22.28 1.11-.02 2.24-.06 3.406-.155 23.434-1.892 56.75-21.525 86.5-58.72l-47.75-45.468zm-245 12.47c4.54 9.7 10.45 18.604 18.25 26.155l5.125 4.97-3.436 6.218c-1.8 3.292-3.672 6.388-5.594 9.312 32.592 11.965 67.862 11.136 98.938-.188-1.88-2.868-3.707-5.902-5.47-9.125l-3.406-6.218 5.094-4.97c7.53-7.29 13.308-15.846 17.78-25.156-43.627 10.534-85.4 8.503-127.28-1zm125.5 61.81c-38.403 15.68-83.03 16.82-123.406.157-7.3 7.37-15.218 12.574-23.656 15.47-9.922 3.404-20.24 3.312-30.063.374-6.907 20.592-10.78 42.597-10.78 64.406 0 7.314.562 14.825 1.656 22.47l122.406-29.907 2.22-.563 2.218.563 122.75 29.97c.886-7.647 1.344-15.173 1.344-22.533 0-21.79-3.89-43.792-10.844-64.375-9.812 2.928-20.122 2.995-30.03-.406-8.5-2.915-16.472-8.172-23.814-15.624zm158.47 8.564c-25.404 24.168-52.068 38.018-76.22 39.968-.427.034-.855.036-1.28.062 1.214 8.075 1.99 16.228 2.28 24.406 22.806 3.78 54.723.098 90-14.344l-14.78-50.093zm-440.188.03l-14.75 50.063c35.268 14.433 67.17 18.12 89.968 14.343.29-8.18 1.076-16.33 2.28-24.406-.425-.026-.852-.028-1.28-.063-24.146-1.95-50.82-15.777-76.22-39.937zm220.093 83.063l-121.06 29.593c1.972 8.128 4.51 16.35 7.5 24.625 33.536-7.734 71.23-11.506 108.5-11.78 2.784-.02 5.564-.018 8.343 0 40.257.264 79.61 4.576 112.28 12.25 2.622-8.343 4.8-16.65 6.47-24.875L256.53 298.312zm-4.905 61.406c-35.09.24-70.5 3.556-101.625 10.405 3.586 8.164 7.618 16.326 12.03 24.438 28.365-2.455 59.055-3.677 89.47-3.782 2.763-.008 5.525-.007 8.28 0 33.542.107 66.446 1.56 95.22 4.158 4.04-8.015 7.635-16.103 10.813-24.188-32.65-7.392-73.185-11.312-114.188-11.03zm-.063 49.81c-26.842.09-53.864 1.036-79.125 2.94 5.517 8.88 11.473 17.652 17.813 26.217 4.832 1.102 13.818 2.332 25.344 3.032 13.2.8 29.062 1.137 44.812 1.06 15.75-.074 31.41-.565 44.22-1.405 10.923-.716 19.234-1.848 23.468-2.72 6.205-8.426 11.88-17.067 17.062-25.81-28.492-2.267-60.905-3.422-93.594-3.314z"}}]})(props);
};
function GiLampreyMouth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.25 17.72c-11.843 0-23.692 4.534-32.78 13.624-16.698 16.697-18.037 42.692-4.064 60.906 8.4-17.542 23.4-27.876 39.28-28 14.61-.114 28.57 8.52 37.345 23.72 10.76-17.833 8.43-41.198-7-56.626-9.088-9.09-20.937-13.625-32.78-13.625zm64.438 38.405c.792 6.464.635 13.016-.5 19.438 15.272 5.223 29.668 12.314 42.906 21.03l9.844-15.78c-16.023-10.52-33.58-18.862-52.25-24.688zm-129.094 1.53c-17.492 5.935-33.955 14.127-49.03 24.22l9.81 15.78c12.432-8.364 25.903-15.317 40.19-20.593-1.286-6.39-1.61-12.936-.97-19.406zM102.97 81.75c-.356.012-.72.04-1.064.063-6 .398-10.73 2.832-14.094 6.25-6.45 6.553-9.122 18.372-1.25 33.78l92.782 57.72-57.72-92.75c-6.617-3.396-12.524-4.97-17.593-5.063-.36-.007-.707-.012-1.06 0zm303.81 0c-5.07.095-10.96 1.685-17.592 5.094l-57.75 92.75 92.812-57.75c7.873-15.41 5.202-27.228-1.25-33.78-3.365-3.42-8.094-5.853-14.094-6.25-.69-.047-1.4-.078-2.125-.064zm-149.936 1.188c-9.205.072-19.457 6.563-24.78 23.062l24.78 106.406 24.78-106.47c-5.437-16.876-15.58-23.07-24.78-23zm42.875 27.812l-4.25 18.188c12.622 3.824 24.45 9.446 35.186 16.593l9.813-15.78c-12.435-8.23-26.14-14.674-40.75-19zm-89.783 1c-13.962 4.485-27.045 10.945-38.937 19.03l9.844 15.814c11.307-7.76 23.886-13.81 37.344-17.813l-2.907-12.593c-1.836-1.374-3.628-2.84-5.343-4.437zM430.5 139.97l-15.78 9.843c8.265 12.352 15.12 25.73 20.342 39.906 2.915-.393 5.846-.595 8.782-.595 3.714 0 7.423.34 11.094.97-5.915-17.898-14.18-34.73-24.438-50.126zm-348.594 1c-9.814 14.913-17.76 31.165-23.53 48.405 1.96-.176 3.937-.25 5.905-.25 4.508 0 9.014.483 13.44 1.406 5.125-14.102 11.862-27.43 20-39.75l-15.814-9.81zm299.97 29.28l-15.813 9.813c7.83 11.142 13.975 23.547 18.125 36.843l7.593-1.78c1.834-2.454 3.837-4.805 6.064-7.032.77-.77 1.544-1.527 2.344-2.25-4.544-12.728-10.735-24.674-18.313-35.594zm-251.345.97c-7.992 11.708-14.397 24.585-18.905 38.31 1.68 1.788 3.216 3.672 4.656 5.595l12.22 2.844c4.035-13.317 10.095-25.746 17.813-36.94l-15.782-9.81zm-66.25 36.468c-11.84 0-23.69 4.535-32.78 13.625-18.18 18.18-18.18 47.383 0 65.562 15.418 15.418 38.743 17.765 56.563 7.03-15.176-8.782-23.77-22.774-23.657-37.374.125-15.882 10.434-30.88 27.97-39.28-8.293-6.364-18.184-9.563-28.095-9.563zm379.564 0c-9.91 0-19.826 3.198-28.125 9.562 17.54 8.4 27.874 23.398 28 39.28.113 14.6-8.505 28.593-23.69 37.376 17.828 10.734 41.177 8.387 56.595-7.03 18.18-18.18 18.18-47.384 0-65.563-9.09-9.09-20.94-13.625-32.78-13.625zm-337.688 24.218c-16.5 5.325-22.99 15.577-23.062 24.78-.072 9.212 6.14 19.35 23.062 24.783l106.375-24.783-106.374-24.78zm295.813 0l-106.376 24.78L401.97 281.47c16.92-5.435 23.133-15.572 23.06-24.783-.07-9.204-6.562-19.456-23.06-24.78zm-145.126 63.5l-24.78 106.406c5.323 16.5 15.575 22.99 24.78 23.063 9.2.072 19.343-6.122 24.78-23l-24.78-106.47zm-128.47.063l-17.655 4.124c-.152.154-.286.316-.44.47 4.316 14.604 10.754 28.315 18.97 40.748L145.03 331c-7.2-10.836-12.845-22.777-16.655-35.53zm255.97 1.092c-3.92 12.73-9.662 24.653-16.97 35.438l15.782 9.813c7.857-11.69 14.128-24.522 18.53-38.188-1.314-1.12-2.6-2.29-3.842-3.53-.17-.17-.334-.33-.5-.5l-13-3.033zM76.688 317.906c-6.37 1.23-12.875 1.46-19.313.78 5.847 18.42 14.17 35.743 24.594 51.564l15.78-9.844c-8.672-13.12-15.76-27.37-21-42.5-.02.004-.043-.004-.063 0zm379.218.063c-6.546 1.22-13.242 1.41-19.844.624-5.347 15.258-12.564 29.618-21.406 42.812l15.78 9.844c10.873-16.298 19.492-34.2 25.47-53.28zm-276.469 13.655l-92.78 57.72c-8.1 15.787-5.28 27.354 1.28 33.81 6.554 6.452 18.372 9.094 33.782 1.22l57.718-92.75zm151.97 0l57.687 92.72c15.428 7.896 27.253 5.268 33.812-1.19 6.56-6.456 9.35-18.023 1.25-33.81l-92.75-57.72zm-151.72 34.938l-9.812 15.78c10.925 7.574 22.895 13.743 35.625 18.282.88-.994 1.8-1.956 2.75-2.906 2.23-2.23 4.574-4.26 7.03-6.095l1.595-6.875c-13.42-4.143-25.952-10.304-37.188-18.188zm152.125 1.093c-10.662 7.258-22.45 12.992-35.03 16.938l2.968 12.656c.158.155.312.312.47.47 1.337 1.337 2.583 2.732 3.78 4.155 13.46-4.418 26.1-10.66 37.625-18.438l-9.813-15.78zM150.47 413.53l-9.814 15.783c15.174 10.146 31.76 18.348 49.375 24.28-.994-6.537-.99-13.21 0-19.75-14.052-5.237-27.31-12.078-39.56-20.312zM361 414.595c-13.078 8.6-27.28 15.648-42.344 20.844.832 6.562.69 13.228-.47 19.75 18.827-5.82 36.515-14.228 52.658-24.813L361 414.595zm-143.594 1c-13.973 18.21-12.634 44.178 4.063 60.875 18.178 18.178 47.382 18.178 65.56 0 15.43-15.43 17.76-38.77 7-56.595-8.773 15.19-22.735 23.802-37.342 23.688-15.883-.125-30.883-10.434-39.282-27.97z"}}]})(props);
};
function GiLandMine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M223.688 25.72l21.218 166.78h30.75l21.22-166.78h-73.188zm19.468 184.093v34.25h34.25v-34.25h-34.25zm17.156 79.968c-1.442 0-2.884.04-4.312.064-1.226.02-2.44.057-3.656.094l-1.063.03c-1.3.045-2.587.093-3.874.157-1.203.06-2.403.11-3.594.188-.217.012-.438.017-.656.03-39.48 2.43-74.968 12.954-101.22 25.938-15 7.42-26.97 15.677-34.78 23.25-7.808 7.576-10.78 14.353-10.78 17.314 0 2.96 2.228 7.307 9.686 12.594 7.46 5.286 19.353 10.675 34.407 15.187 30.106 9.025 72.746 14.844 119.843 14.844 47.096 0 89.767-5.82 119.875-14.845 15.053-4.512 26.947-9.9 34.406-15.188 7.46-5.286 9.687-9.633 9.687-12.593 0-2.96-2.972-9.738-10.78-17.313-7.808-7.573-19.78-15.83-34.78-23.25-26.25-12.983-61.764-23.507-101.25-25.936-.22-.015-.437-.017-.658-.03-1.19-.078-2.39-.13-3.593-.19-1.288-.063-2.576-.11-3.876-.155-.136-.006-.27-.028-.406-.033-.23-.007-.458.007-.688 0-1.195-.035-2.388-.074-3.594-.093-1.438-.024-2.89-.063-4.344-.063zm0 18.69c26.39 0 50.255 4.41 66.688 11.03 8.216 3.31 14.52 7.202 18.313 10.813 3.79 3.61 4.906 6.395 4.906 8.78 0 2.386-1.116 5.172-4.908 8.782-1.58 1.506-3.62 3.053-6.03 4.594-4.953-15.806-38.422-28.033-79-28.033-40.555 0-73.986 12.21-78.97 28-2.396-1.533-4.426-3.064-6-4.562-3.79-3.61-4.906-6.396-4.906-8.78 0-2.387 1.115-5.172 4.906-8.783 3.792-3.61 10.097-7.502 18.313-10.812 16.433-6.62 40.297-11.03 66.688-11.03zM77.75 358.25c-22.095 13.71-34.938 30.062-34.938 47.625 0 48.377 97.367 87.594 217.47 87.594 120.1 0 217.468-39.218 217.468-87.595 0-17.54-12.807-33.864-34.844-47.563-.61 10.722-7.856 19.54-17.5 26.375-10.08 7.144-23.57 12.956-39.875 17.844-32.61 9.777-76.607 15.626-125.217 15.626s-92.607-5.85-125.22-15.625c-16.305-4.887-29.764-10.7-39.843-17.842-9.662-6.848-16.915-15.69-17.5-26.438z"}}]})(props);
};
function GiLanternFlame (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.53 19.094c-28.53 0-51.842 23.313-51.842 51.843 0 13.565 5.28 25.95 13.875 35.22l-110.532 78.53h296.814l-110.594-78.25c8.755-9.297 14.156-21.8 14.156-35.5 0-28.53-23.344-51.843-51.875-51.843zm0 18.687c18.432 0 33.19 14.727 33.19 33.157 0 9.792-4.177 18.538-10.845 24.594l-22.72-16.06-22.25 15.81c-6.497-6.044-10.53-14.687-10.53-24.343 0-18.43 14.726-33.156 33.156-33.156zM96.44 204l3.343 11.875 65.376 232.75 1.906 6.813h178.876l1.937-6.813 65.375-232.75L416.594 204H96.437zm24.656 18.688h270.812L331.78 436.75H181.25l-60.156-214.063zm146.187 16.687c29.012 47.73-76.807 70.517-60.155 133.75 11.2 25 29.146 41.394 50.22 42.03 48.84 0 73.57-53.528 60.75-99.842-4.847 24.07-24.934 34.845-34.876 22.375-24.115-30.248 36.436-56.768-15.94-98.313zM127.25 473.72v18.686h258.594V473.72H127.25z"}}]})(props);
};
function GiLantern (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.25 23.375c-41.54 0-75.438 33.896-75.438 75.438 0 17.043 5.714 32.786 15.313 45.437-34.426 29.59-75.093 52.47-118.094 72.844H435.44c-44.283-20.26-85.17-43.21-118.782-71.938 10.015-12.8 16-28.89 16-46.344 0-41.54-33.865-75.437-75.406-75.437zm0 18.72c31.44 0 56.72 25.276 56.72 56.718 0 12.707-4.13 24.41-11.126 33.843-18.043-17.45-33.484-36.936-45.594-59.094-13.017 21.97-28.66 41.102-46.28 58.126-6.585-9.263-10.47-20.59-10.47-32.875 0-31.442 25.31-56.72 56.75-56.72zm-104.03 193.53v203.813h208.03V235.625H153.22zm103.5 18c.953-.008 1.92.007 2.874.03 13.893.35 27.9 4.052 40.75 11.47 41.115 23.738 55.27 76.604 31.53 117.72-23.737 41.114-76.57 55.268-117.687 31.53-41.115-23.738-55.268-76.572-31.53-117.688 15.81-27.383 44.494-42.824 74.062-43.062zm9.31 19.188v36.718h51.626c-5.71-11.41-14.736-21.335-26.656-28.217-7.946-4.588-16.426-7.372-24.97-8.5zm-18.686.156c-19.64 2.913-37.79 14.456-48.53 33.06-.67 1.157-1.285 2.325-1.876 3.5h50.406v-36.56zm-56.625 55.25c-1.64 9.37-1.235 18.9 1.03 27.936h55.594V328.22H190.72zm75.31 0v27.936h56.69c2.342-9.27 2.677-18.784 1.092-27.937h-57.78zm-66.467 46.624c5.7 9.358 13.775 17.458 23.968 23.344 7.592 4.382 15.664 7.12 23.814 8.343v-31.686h-47.78zm66.468 0v31.844c19.585-2.564 37.804-13.686 48.845-31.844H266.03zm-144.5 83.28v38.563H392.94v-38.562H121.53z"}}]})(props);
};
function GiLaptop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M73 25v238h366V25H283v16h140v192H89V41h140V25H73zm174 0v16h18V25h-18zM107 59v156h298V59H107zM71.03 281l-43.5 174H484.5L441 281h-29.9l20 96h-99.6l16 64H163.8l20-64H80.93l19.97-96H71.03zm48.27 0l-2.9 14H147l2.3-14h-30zm48.4 0l-2.3 14h30.7l1.7-14h-30.1zm48.2 0l-1.7 14H247v-14h-31.1zm49.1 0v14h32.8l-1.7-14H265zm49.2 0l1.7 14h30.7l-2.3-14h-30.1zm48.5 0l2.3 14h30.6l-2.9-14h-30zm-250 32l-3 14h31.9l2.4-14h-31.3zm49.7 0l-2.4 14h32.1l1.7-14h-31.4zm49.5 0l-1.7 14H247v-14h-35.1zm53.1 0v14h36.8l-1.7-14H265zm53.2 0l1.7 14H352l-2.4-14h-31.4zm49.8 0l2.4 14h31.9l-3-14H368zm-262 32l-2.9 14h33.2l2.3-14H106zm51 0l-2.3 14h33.4l1.7-14H157zm50.9 0l-1.7 14H247v-14h-39.1zm57.1 0v14h40.8l-1.7-14H265zm57.2 0l1.7 14h33.4l-2.3-14h-32.8zm51.2 0l2.3 14h33.2l-2.9-14h-32.6zm-170.8 32l-14.4 46h136.3L313 377H202.6zM28 473v18h456v-18H28z"}}]})(props);
};
function GiLargeDress (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M189.4 43.36l-20.3 10.18c0 32.03.8 87.86 13.9 130.96 58.3 14.2 87.7 14.2 146 0 13.3-43 13.9-86.54 14-130.96l-20.4-10.18c-4.4 5.74-11.7 15.04-21.8 26.57-7.2 8.16-14.8 16.36-22.1 22.8-3.6 3.22-7.1 6-10.6 8.17-3.6 2.2-7.1 4.1-12.1 4.1s-8.5-1.9-12.1-4.1c-3.5-2.17-7-4.95-10.6-8.17-7.3-6.44-14.9-14.64-22.1-22.8-10.1-11.53-17.4-20.83-21.8-26.57zm-8.6 159.04L57.3 449.5c.28 1.1.8 2.3 2.16 3.8 2 2.3 5.58 5.1 10.61 7.7 10.08 5.4 25.72 10.3 44.73 14.2 38 7.8 89.7 11.8 141.2 11.8 51.5 0 103.2-4 141.2-11.8 19-3.9 34.7-8.8 44.7-14.2 5.1-2.6 8.6-5.4 10.6-7.7 1.4-1.5 1.9-2.7 2.2-3.8L331.2 202.4c-58 13.9-92.4 13.9-150.4 0z"}}]})(props);
};
function GiLargePaintBrush (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.02 20.02c-1.415 1.414-2.87 4.939-1.404 12.857 1.467 7.919 5.948 19.18 14.07 32.718l.075.124.07.126c36.072 64.774 100.54 100.053 156.894 156.407 3.535 3.535 4.692 8.141 4.86 12.202.168 4.06-.524 8.036-1.648 12.226-2.248 8.38-6.392 17.635-11.551 27.216-8.686 16.13-20.094 32.615-30.883 44.898l10.23 10.231 168.292-168.291-10.231-10.231c-12.283 10.789-28.768 22.197-44.899 30.883-9.58 5.159-18.835 9.303-27.215 11.551-4.19 1.124-8.166 1.816-12.226 1.648-4.06-.168-8.667-1.325-12.202-4.86-53.66-53.66-81.946-115.656-156.388-156.882l-.137-.076-.132-.08c-13.537-8.123-24.8-12.605-32.718-14.07-7.918-1.467-11.443-.012-12.858 1.402zm27.576 27.576A32 16 45 0 1 81.538 58.91 32 16 45 0 1 92.85 92.851a32 16 45 0 1-33.94-11.313 32 16 45 0 1-11.315-33.942zm125.865 294.157l9.9 9.9L351.652 183.36l-9.9-9.9zm22.628 22.627l9.9 9.9 168.29-168.292-9.899-9.9zm22.53 22.724c21.7 21.843 56.445 58.776 71.301 106.89l18.939-18.938c.264-11.26-.095-21.74-1.047-31.48 5.234 4.6 10.043 11.404 14.27 18.257l25.795-25.795c-4.578-9.167-10.801-17.054-16.325-25.486 8.741 5.196 17.668 10.207 25.477 16.334l40.646-40.646c-6.681-2.406-12.95-6.323-19.066-10.804 9.83 1.596 20.11.934 30.588-.718l25.66-25.66c-3.612-10.324-7.613-20.26-13.055-28.756 11.272 2.37 19.41 8.292 27.163 14.648l19.88-19.88c-3.56-2.767-6.356-6.46-9.117-14.082 6.663 3.66 13.225 3.978 19.931 3.268l14.336-14.336c-48.115-14.856-85.048-49.601-106.89-71.3z"}}]})(props);
};
function GiLargeWound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128.648 17.008c109.003 34.557 192.306 71.064 219.7 149.158-58.572-74.49-153.467-123.28-298.842-144.98 117.47 34.102 183.435 69.43 217.81 144.527C210.64 99.858 124.57 59.073 12.512 66.82 224.765 98.88 309.19 333.65 246.664 504.285c34.37-49.026 53.516-92.46 64.922-135.967 6.433 48.942 6.577 95.272-10.29 140.573 31.854-58.362 64.562-150.973 53.526-239.745 34.39 87.13 34.71 152.248-1.875 223.523 67.038-82.263 78.11-105.023 87.188-174.656 13.478 29.99 16.32 58.098 9.595 96.12 95.74-140.367 26.28-275.754-80.074-326.415 59.778 43.85 92.914 121.168 90.96 217.254-31.8-165.58-108.18-265.18-331.968-287.962zm-106.185 107.1c72.06 35.308 129.12 88.086 164.693 147.62-29.827-37.263-75.784-70.606-138.41-98.876 112.746 90.495 170.86 215.24 153.012 321.96 87.7-207.514 3.01-348.097-179.295-370.705zm193.834 32.91c64.25 34.715 95.31 113.943 72.336 195.584 2.308-71.497-33.978-148.48-72.336-195.584z"}}]})(props);
};
function GiLaserBlast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.5 18.625v37.78l64.313 64.314 33.437-33.44-68.656-68.655H19.5zm55.53 0l55.44 55.438 13.218-13.25L101.5 18.624H75.03zM176.438 54.5L52.876 178.063 89.53 214.72 213.126 91.124 176.437 54.5zM19.5 82.844v23.625l39.28 39.28 11.814-11.813L19.5 82.844zm187.28 41.062l-84.905 84.906 24.344 24.375 84.905-84.937-24.344-24.344zm125.345 27.406c-6.366 0-12.706 2.423-17.563 7.282-9.713 9.717-9.713 25.47 0 35.187 9.714 9.718 25.444 9.718 35.157 0 9.713-9.717 9.712-25.47 0-35.186-4.858-4.86-11.23-7.28-17.595-7.28zm-87.844 10.25l-16.78 16.782c.252-.004.498-.03.75-.03 13.752 0 27.486 5.262 38.03 15.81 21.093 21.1 21.096 55.055 0 76.157-21.09 21.1-55 21.1-76.092 0l-.5-.53c-10.39-10.67-15.5-24.498-15.313-38.28l-16.78 16.78c2.906 12.924 9.352 25.194 19.374 35.22.235.235.48.454.718.686.136.156.267.315.406.47-8.723 9.11-8.618 23.566.344 32.53 9.082 9.086 23.823 9.086 32.906 0 2.04-2.04 3.626-4.36 4.75-6.844 22.125 7.47 43.827 4.068 73.687 12.5l29.783 29.782c-3.636 6.71-2.64 15.265 3.03 20.937 5.67 5.673 14.23 6.67 20.938 3.033L462.94 495.969h32.03V467L323.157 295.187c-5.594-15.51-7.705-28.616-9.406-40.656 6.178 2.096 13.263.677 18.188-4.25 6.91-6.912 6.91-18.118 0-25.03-6.542-6.544-16.924-6.847-23.875-1-3.867-12.71-10.74-25.536-25.188-40.406-1.645-1.692-3.408-3.25-5.22-4.688-9.666-9.018-21.237-14.86-33.374-17.594zM357.063 262.22c-3.525 0-7.028 1.34-9.718 4.03-5.38 5.382-5.38 14.118 0 19.5s14.09 5.382 19.47 0c5.38-5.382 5.378-14.118-.002-19.5-2.69-2.69-6.224-4.03-9.75-4.03zM227.595 335.31c-3.526 0-7.06 1.34-9.75 4.032-5.38 5.38-5.38 14.087 0 19.47 5.38 5.38 14.12 5.38 19.5-.002 5.38-5.382 5.38-14.087 0-19.468-2.69-2.69-6.224-4.03-9.75-4.03z"}}]})(props);
};
function GiLaserBurst (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M291.17 299.252l109.093 150.173-21.76 15.786-109.07-150.16v72.135h-26.865V315.05l-109.07 150.16-21.74-15.795 109.07-150.163-68.6 22.287-8.307-25.555 68.602-22.287L36 216.348l8.307-25.565 176.533 57.362-42.404-58.36 21.686-15.776 42.446 58.36V46.79h26.864v185.58l42.446-58.36 21.74 15.795-42.404 58.36 176.48-57.382L476 216.337 299.467 273.71l68.602 22.286-8.308 25.554z"}}]})(props);
};
function GiLaserGun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M238 16a12 12 0 0 0-12 12v50.5C140.87 92.783 76 166.81 76 256s64.87 163.217 150 177.5V484a12 12 0 0 0 12 12h36a12 12 0 0 0 12-12v-50.5c85.13-14.283 150-88.31 150-177.5S371.13 92.783 286 78.5V28a12 12 0 0 0-12-12h-36zm-12 155.125V199a12 12 0 0 0 12 12h36a12 12 0 0 0 12-12v-27.875c34.955 12.356 60 45.69 60 84.875 0 39.186-25.045 72.52-60 84.875V313a12 12 0 0 0-12-12h-36a12 12 0 0 0-12 12v27.875c-34.955-12.356-60-45.69-60-84.875 0-39.186 25.045-72.52 60-84.875z"}}]})(props);
};
function GiLaserPrecision (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.127 52.803v58.986L250.46 245.153c26.367-28.823 70.087-36.533 105.313-16.195 35.29 20.374 50.465 62.207 38.567 99.503l101.648 58.855-64.728-74.65 35.638-37.352-57.27-7.687 84.72-86.92-125.71 33.186 12.995-120.208-66.578 96.363-27.448-80.593-16.353 88.77L20.127 52.803zm0 105.12l-.008.018.007.005v-.02zm0 .022l-.002 87.582 155.344 89.95-89.94 33.287h135.493l-63.658 99.87 116.22-70.083 15.77 85.852 38.543-80.01 63.66 87.018-5.853-87.047 90.54 17.268-102.4-59.198c-26.546 26.964-68.89 33.744-103.183 13.945-34.322-19.816-49.62-59.928-39.49-96.424L20.127 157.945zm316.6 119.442c-.938-.003-1.874.027-2.805.092-12.42.86-24.164 7.707-30.9 19.375-10.78 18.67-4.455 42.27 14.214 53.047 18.67 10.78 42.27 4.455 53.047-14.214 10.78-18.67 4.454-42.27-14.215-53.047-6.125-3.536-12.78-5.23-19.34-5.253z"}}]})(props);
};
function GiLaserSparks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M55.25 16.53l28.844 52.876 8.125 38.75-35.314-5.53-38.625-13.97v19.875l39.94 14.44 17.31 16.905-42.78 43.406 52-8.843 18.906 56.782-8.687 102.81-13.47 32.19-11.406-6.97-51.813-64.188v29.75l37.564 46.563L65.97 389.53 18 416.564l49.344 6.406-22 42.467 40.53-18.218 16.69 43.092 8.75-41.812 42.936 15.438-18.406-35.782 63.97 1.313-56-31.314L158 388.062l73.938-19.437 36.812-.156-46.03 72.75 77.25-41.5 33.124 91.874 22.812-83.813 56.22 54.19-13.22-82.564 53.375-2.562-45.936-37.906 81.406-53.594-86.813 4.562-14.187-89.5-39.844 80.25-44.594-64.844-22.062-98.468 84.625-18.72-15.938 26.095 38.188-13.032 10.188 45.75 24.78-36.407 39.438 18.44-14.405-36.532 38.594-10.47-43.564-19 20.406-33.874L422.22 51.47l-29.314-32.282-3.97 39.874-46.186-9.28 24.844 29.124-91.406 20.22-18.5-82.595H238.53l19.407 86.626-13.75 3.063-59.343 2 33-88.064-56.594 59.22L139.03 22l-11.905 65.97-23.47-21.69-27.124-49.75H55.25zM262 121.376l22.938 102.438-2.47 69.843-93.5-16.75 66.532 53.25-46.906 25.25-59.844 15.75-26.063-.25-9.187-34.156 9.813-116.125 15.5-32.875 39.343 33.438-5.062-45.25 58.625 16.812-42.94-41.656 56.126-25.938 17.094-3.78z"}}]})(props);
};
function GiLaserTurret (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M144.256 43.072c-15.311.066-29.953 3.498-42.8 11.117-.639.38-1.274.772-1.905 1.178l14.19 12.623c25.682-12.925 64.8-6.102 98.026 14.306 5.014 3.08 9.855 6.45 14.479 10.059l21.646-5.346c-8.236-7.511-17.256-14.247-26.705-20.05-24.036-14.764-51.414-23.998-76.931-23.887zm-68.547 15.18l-25.24 47.11 29.695 14.13 25.748-34.377zm186.62 43.732l-19.948 4.928c7.106 7.428 13.273 15.483 18.175 23.953l18.809-3.479c-4.589-8.99-10.366-17.497-17.035-25.402zm-85.507 2.02l-13.547 11.851 69.123 78.996 12.754-12.754zm302.164 20.503l-26.607 13.856 8.314 15.965 26.608-13.858zm-428.613.744c-12.944 30.79-22.136 66.493-24.819 99.18-2.73 33.266.59 63.796 17.1 83.004 8.255 9.604 20.29 15.696 34.463 16.215 13.842.506 29.56-3.78 47.78-13.074l-8.315-15.965c-16.368 8.323-29.294 11.399-38.807 11.05-9.768-.357-16.13-3.745-21.47-9.958-10.681-12.427-15.347-38.877-12.81-69.8 2.472-30.117 11.139-64.082 23.153-92.907zm379.576 9.01l-106.9 55.674v51.861l128.146-66.738zm-143.576 10.133l-17.983 3.326c1.986 5.646 3.364 11.402 4.082 17.21h18.123a99.489 99.489 0 0 0-4.222-20.536zm-16.596 38.535l-42.728 42.729v67.271h78v-21.117c-6.572 4.486-14.495 7.117-23 7.117-22.537 0-41-18.463-41-41s18.462-41 41-41c8.505 0 16.428 2.632 23 7.117V182.93zm12.272 32c-12.81 0-23 10.191-23 23 0 12.81 10.19 23 23 23 12.809 0 23-10.19 23-23 0-12.809-10.191-23-23-23zm-73 34.375l-75.334 39.235 21.246 40.796 54.088-28.168zm34 61.625v76h46v-76zm-113.182 9.192c-32.77 18.212-51.334 33.848-59.8 49.992-4.4 8.389-5.74 17.206-4.044 25.217 1.696 8.01 6.093 14.896 11.658 20.857 11.131 11.923 27.253 20.999 43.524 29.512 2.542 1.33 5.067 2.616 7.6 3.914l16.04-12.031c-5.092-2.591-10.238-5.187-15.294-7.832-15.808-8.272-30.58-17.138-38.711-25.848-4.066-4.355-6.394-8.458-7.207-12.3-.814-3.844-.45-7.744 2.375-13.128 5.408-10.312 21.15-25.012 52.177-42.38zm97.182 84.808v16h78v-16h-71zm-54 34l-40 30h266l-40-30z"}}]})(props);
};
function GiLaserWarning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.594 22.78c-30.506.17-59.178 22.692-80.125 62.97-.06.11-.13.2-.19.313L45.563 314.813l-.218.375C21.012 353.466 15.88 389.552 30.97 416.063c15.08 26.496 48.627 40.125 93.5 37.906h265.124c44.872 2.218 78.418-11.41 93.5-37.908 15.092-26.516 9.97-62.618-14.375-100.906l-.22-.344L336.375 85.345c-.075-.147-.175-.26-.25-.406-20.513-40.036-49.052-62.324-79.53-62.157zm-.28 18.845c13.573-.132 26.512 6.475 38.155 17.78 11.558 11.227 22.392 27.263 33.092 48.19L444.25 310.218l.22.342c12.067 18.934 20.57 36.022 24.905 51.563 4.362 15.64 4.54 30.2-1.5 42.438-6.04 12.238-17.97 20.85-33.75 25.687-15.675 4.806-35.56 6.383-60.406 5.125H139.905c-22.9 1.157-41.964-.16-57.406-4.5-15.56-4.373-27.874-12.147-34.78-23.906-6.91-11.76-7.756-26.4-3.845-42.408 3.886-15.904 12.366-33.698 25.28-53.968l115.47-201.938c.063-.12.125-.222.188-.344 10.85-20.89 21.77-36.997 33.375-48.343 11.673-11.413 24.55-18.213 38.125-18.345zm.186 18.688c-7.503.072-15.765 3.758-25.25 13.03-9.485 9.274-19.69 23.944-30.03 43.907l-.095.188-.094.156-70.718 123.687 61.625.19-31.25-18.032 9.344-16.188 51.064 29.5c1.282-1.427 2.68-2.77 4.125-4.03l-29.532-51.126 16.187-9.344 29.563 51.188c1.785-.586 3.63-1.04 5.5-1.407v-59.186h18.687v59.375c1.824.393 3.603.896 5.344 1.5l29.717-51.47 16.157 9.344-29.813 51.625c1.34 1.206 2.62 2.49 3.814 3.843l51.687-29.813 9.345 16.188-51.688 29.843c.566 1.702 1.04 3.44 1.407 5.22h59.656v18.688h-59.656c-.367 1.79-.84 3.538-1.406 5.25l51.687 29.812-9.344 16.156-51.624-29.78c-1.2 1.364-2.495 2.656-3.844 3.874l29.782 51.594-16.156 9.344L271 312.03c-1.75.608-3.54 1.105-5.375 1.5v59.283h-18.688v-59.094c-1.88-.375-3.74-.874-5.53-1.47l-29.532 51.188-16.188-9.344 29.563-51.188c-1.43-1.27-2.764-2.63-4.03-4.062l-51.19 29.562-9.343-16.156L191 294.75H99.75l-14.375 25.125-.125.22-.125.186C72.762 339.63 65.197 356.044 62.03 369c-3.164 12.957-2.05 21.92 1.814 28.5 3.865 6.58 11.153 11.875 23.718 15.406 12.567 3.532 30.025 4.95 51.876 3.813l.25-.033H373.968l.25.032c23.734 1.233 41.893-.468 54.436-4.314 12.544-3.845 19.08-9.322 22.438-16.125 3.358-6.802 3.88-16.225.28-29.124-3.597-12.898-11.31-28.78-22.874-46.875l-.094-.186-.125-.188-116.936-202.97-.094-.217-.125-.22c-10.195-20.01-20.283-34.584-29.656-43.688-9.375-9.103-17.467-12.572-24.97-12.5zm-.656 179.53c-10.807 0-20.39 6.403-25 15.376l-2.594 5.093-5.75-.032-102.438-.342-9.25 16.125H228.72l2.655 4.937c4.736 8.86 13.8 14.906 24.47 14.906 15.47 0 28.03-12.56 28.03-28.03 0-15.473-12.56-28.032-28.03-28.032z"}}]})(props);
};
function GiLaserburn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M320.688 18.03l92.593 338.345-22.436-22.594 25.72 71.97-42.69-43.03 21 54.374-36.5-16.844 43.75 45.656c-77.97-7.228-136.785-18.17-168.155-30.5-9.618-3.78-16.582-7.697-20.407-10.97-3.826-3.27-4.07-4.86-4-5.78.07-.92 1.1-3.673 6.187-7.656 5.088-3.983 13.66-8.692 25.625-13.47 31.35-12.515 60.262-30.467 79.72-51.592 19.455-21.126 29.838-47.338 18.936-72.032-10.9-24.694-40.154-44.755-92.592-59.97-51.09-14.82-125.125-25.017-229.438-27.874v91.657c90.296-11.75 156.852 1.175 186.844 18.874 7.668 4.525 12.82 9.298 15.562 13.375 2.742 4.075 3.253 7.026 2.594 10.124-1.32 6.195-10.632 16.233-33.97 24.156-23.177 7.87-40.604 16.242-53.155 25.406-12.55 9.165-20.63 19.486-22.656 31.188-2.027 11.702 2.723 23.243 11.124 32.656 8.4 9.413 20.49 17.577 35.687 25.03 53.414 26.203 146.467 43.786 252.97 42.876 8.33 2.395 18.37 3.78 29.188 3.78 25.304.002 46.376-7.634 51.093-17.78v-8.594c-2.69-5.796-10.705-10.79-21.81-14l20.31-46.843-31.967 17.874 6.312-55.625-19.97 38.217-4.5-68.968-8.124 30.06-93.436-341.5h-19.406z"}}]})(props);
};
function GiLasso (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M337.094 16.063c-21.228.17-43.46 2.637-65.906 7.093-34.297 6.81-69.222 18.232-101.97 33.657-9.218-6.683-20.773-10.25-32.593-10.25-13.02 0-25.738 4.318-35.344 12.374-9.605 8.057-15.47 19.56-15.468 31.688.002 5.604 1.268 11.065 3.563 16.125-24.207 19.952-44.59 42.7-59 67.813-15.064 26.25-15.215 53.9-3.72 74.875 11.498 20.973 34.517 34.804 62.47 34.75 28.542-.056 59.887-15.612 93.156-33.875 33.27-18.264 68.27-39.706 101-53.313 31.18-12.96 85.634-17.866 129.97-27.688 22.168-4.91 42-10.9 56.25-21.593 7.125-5.347 12.92-12.15 15.875-20.5 2.954-8.353 2.842-17.892-.188-27.876-11.704-38.574-42.262-63.046-80.78-74.594-19.26-5.774-40.597-8.54-63.094-8.688-1.407-.01-2.804-.01-4.22 0zm.125 18.03c1.328-.01 2.65-.008 3.967 0 21.097.142 40.78 2.735 58.032 7.907 34.502 10.345 58.912 30.144 68.75 62.563 2.173 7.164 1.974 12.31.436 16.656-1.537 4.345-4.607 8.28-9.687 12.093-10.16 7.623-28.176 13.74-49.376 18.437-36.21 8.022-81.14 12.245-116.063 22.688-31.145-26.54-68.817-50.18-108.124-70.875 1.473-4.14 2.28-8.49 2.28-12.938.003-6.907-1.9-13.614-5.31-19.594 29.874-13.7 61.542-24.053 92.593-30.218 21.448-4.258 42.56-6.563 62.5-6.718zm-200.595 30.47c4.395 0 8.808.79 12.875 2.187-6.233 3.344-12.376 6.832-18.375 10.47-5.086-2.306-10.163-4.542-15.22-6.75 5.713-3.65 13.265-5.907 20.72-5.907zm29.22 14.343c2.358 3.726 3.593 7.82 3.593 11.72 0 1.498-.204 3.036-.563 4.56-5.803-2.908-11.64-5.746-17.47-8.53 4.743-2.675 9.56-5.252 14.44-7.75zm-61.25 6.28c2.83 1.222 5.66 2.435 8.5 3.69-2.96 2.033-5.874 4.11-8.75 6.218-.346-1.495-.532-3-.532-4.47 0-1.784.274-3.623.78-5.436zm28.25 12.658c8.508 3.954 17.008 8.064 25.468 12.28-5.81 4.018-13.81 6.564-21.688 6.564-7.877 0-15.88-2.546-21.688-6.563 5.788-4.233 11.76-8.34 17.907-12.28zm42.75 21.094c35.565 18.672 69.578 39.638 98.06 62.593-33.822 14.413-68.17 35.512-100.03 53-32.705 17.955-62.993 31.616-84.563 31.657-22.158.043-38.318-10.252-46.624-25.406-8.307-15.153-8.875-35.608 3.562-57.28 12.935-22.54 31.727-43.46 54.313-62.063.324.29.634.595.968.876 9.606 8.053 22.326 12.374 35.345 12.374 13.02 0 25.74-4.32 35.344-12.375 1.27-1.064 2.49-2.196 3.624-3.374zm144.686 80.156a9 9 0 0 0-5.936 15.937c55.87 47.83 85.364 85.454 96.75 125.157 11.386 39.704 5.165 83.09-13.813 143.657a9.01 9.01 0 1 0 17.19 5.406c19.374-61.833 26.758-109.32 13.936-154.03-12.822-44.713-45.345-85.056-102.375-133.876a9 9 0 0 0-5.75-2.25z"}}]})(props);
};
function GiLatvia (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23.446 354.575c-8.66-40.146-4.72-98.13 46.128-175.924l53.147-21.388 60.923 88.145 57.035-23.333-3.889-79.72 62.267-28.864 71.247 65.16 29.177-13.022 63.856 34.828 28.815 122.077c-18.165 31.708-30.85 65.514-104.492 75.975l-113.926-84.4c-97.46 20.25-135.145 4.186-184.716-5.185z"}}]})(props);
};
function GiLaurelCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M134.594 73.375c-17.522 5.65-31.232 11.854-48.125 24.25-2.19 2.097-4.337 4.22-6.44 6.406.24.566.61 1.265 1.157 2.25 1.016 1.832 2.767 4.023 4.97 6.19-3.454 5.536-6.596 11.072-9.5 16.624-3.664-3.04-6.952-6.423-9.594-10.22-7.617 9.505-14.475 19.678-20.438 30.44.395 1.636 1.557 3.42 3.78 5.81 2.656 2.853 6.805 5.8 11.626 8.314-2.024 6.117-3.76 12.204-5.186 18.28-7.44-3.38-14.245-7.768-19.594-13.343-5.94 13.804-10.473 28.42-13.406 43.656 1.335 2.434 3.714 4.663 7.312 7.032 5.072 3.34 12.36 6.076 20.282 7.657-.045 6.437.25 12.822.812 19.124-11.407-1.673-22.405-5.248-31.375-11.156-.05-.034-.106-.06-.156-.094-1.31 15.59-.872 30.96 1.093 45.906 2.31 3.48 6.176 5.957 11.937 7.938 7.406 2.546 17.472 3.344 27.72 2.312 2 6.122 4.275 12.13 6.81 18-13.97 2.098-28.237 1.622-40.593-2.625-.337-.116-.665-.252-1-.375 3.978 15.49 9.66 30.37 16.844 44.406 3.553 2.804 8.35 4.216 14.72 4.656 9.3.644 21.144-1.73 32.438-6.343 3.712 5.257 7.63 10.34 11.75 15.25-14.57 6.715-30.36 10.675-45.063 9.75 9.952 14.602 21.638 27.964 34.844 39.75 4.26 1.446 9.3 1.465 15.374.28 9.6-1.873 20.855-7.404 31.03-15 .008.005.026-.005.032 0 5.154 3.978 10.476 7.75 15.906 11.25-11.976 9.91-25.625 17.696-39.53 21.22 11.654 7.88 24.148 14.67 37.343 20.186 4.937.423 10.29-.96 16.344-3.906 7.672-3.735 15.78-10.252 23.03-18.28 17.036 6.783 34.732 11.22 52.563 12.905l1.78-18.625c-14.268-1.35-28.584-4.77-42.562-9.938 6.883-11.108 11.61-23.173 12.94-33.437 1.178-9.114.083-16.157-3.782-21.438-8.08-1.58-15.89-3.94-23.375-7-.172 6.47-1.706 12.987-4.22 19.094-3.745 9.103-9.52 17.798-16.53 25.72-5.353-3.288-10.565-6.832-15.657-10.625 6.62-7.182 11.923-14.97 14.906-22.22 3.806-9.246 4.173-16.578.625-22.81-7.748-4.957-15.003-10.737-21.718-17.22-1.773 4.3-4.187 8.37-7.032 12.094-5.476 7.165-12.572 13.51-20.563 18.905-4.12-4.72-8.052-9.603-11.75-14.688 7.152-4.694 13.296-10.1 17.47-15.562 5.038-6.594 7.22-12.41 6.468-18.094-4.976-6.553-9.494-13.582-13.5-21-2.285 2.686-4.86 5.14-7.657 7.283-6.758 5.175-14.798 9.155-23.406 12.03-2.595-5.69-4.957-11.498-7-17.437 7.427-2.405 14.13-5.683 19.03-9.437 5.696-4.362 8.802-8.545 9.532-13.25-3.03-7.998-5.508-16.32-7.406-24.908-1.878 1.075-3.82 2.024-5.812 2.813-7.45 2.947-15.75 4.434-24.28 4.75-.662-6.16-1.027-12.403-1.033-18.72 6.957-.263 13.464-1.437 18.44-3.405 4.6-1.82 7.595-3.8 9.343-6.25-1.018-9.72-1.33-19.69-.813-29.813-.65.104-1.29.18-1.938.25-6.624.725-13.556.15-20.406-1.343 1.37-5.98 3.07-12.01 5.094-18.063 4.87.933 9.538 1.223 13.28.814 2.614-.286 4.532-.756 6-1.406 1.395-8.93 3.407-17.644 5.97-26.032-4.182-.736-8.284-2.092-12.25-3.875 2.834-5.457 5.926-10.928 9.344-16.405 2.414.963 4.716 1.665 6.687 1.97 1.107.17 2.023.265 2.782.28 1.946-4.64 4.022-9.17 6.282-13.563 5.898-11.802 12.415-24.25 17-37.937zm244.375 0c4.583 13.686 11.1 26.135 17 37.938 2.26 4.393 4.366 8.923 6.31 13.562.752-.016 1.66-.113 2.75-.28 1.98-.306 4.296-1 6.72-1.97 3.418 5.477 6.51 10.948 9.344 16.406-3.976 1.786-8.096 3.14-12.28 3.876 2.563 8.39 4.573 17.1 5.967 26.03 1.474.658 3.404 1.12 6.033 1.408 3.742.41 8.41.12 13.28-.813 2.026 6.063 3.692 12.104 5.063 18.095-6.837 1.487-13.762 2.036-20.375 1.313-.656-.072-1.308-.145-1.967-.25.517 10.124.236 20.092-.782 29.812 1.75 2.45 4.745 4.43 9.345 6.25 4.967 1.965 11.462 3.14 18.406 3.406-.006 6.316-.37 12.56-1.03 18.72-8.52-.32-16.808-1.808-24.25-4.75-1.994-.79-3.933-1.74-5.813-2.814-1.895 8.575-4.383 16.89-7.406 24.875.715 4.72 3.795 8.912 9.5 13.282 4.904 3.753 11.605 7.03 19.033 9.436-2.044 5.94-4.405 11.747-7 17.438-8.598-2.875-16.624-6.862-23.375-12.03-2.804-2.148-5.4-4.592-7.688-7.283-4.01 7.422-8.52 14.444-13.5 21-.76 5.682 1.43 11.502 6.47 18.095 4.168 5.457 10.313 10.87 17.467 15.563-3.697 5.085-7.63 9.966-11.75 14.687-7.99-5.396-15.086-11.74-20.562-18.906-2.838-3.715-5.234-7.778-7-12.064-6.71 6.478-13.976 12.236-21.72 17.188-3.547 6.233-3.18 13.565.626 22.812 2.985 7.25 8.288 15.037 14.908 22.22-5.095 3.795-10.333 7.334-15.688 10.624-7.003-7.922-12.754-16.617-16.5-25.72-2.513-6.106-4.047-12.623-4.22-19.092-7.497 3.064-15.313 5.418-23.405 7-3.873 5.28-4.96 12.324-3.78 21.437 1.327 10.264 6.08 22.33 12.967 33.438-13.974 5.168-28.293 8.587-42.562 9.937l1.75 18.625c17.84-1.687 35.546-6.116 52.594-12.906 7.25 8.028 15.358 14.545 23.03 18.28 6.056 2.947 11.408 4.33 16.345 3.906 13.2-5.517 25.684-12.302 37.342-20.187-13.896-3.52-27.562-11.293-39.53-21.19 5.442-3.504 10.74-7.293 15.906-11.28 10.18 7.604 21.456 13.126 31.062 15 6.056 1.182 11.09 1.185 15.344-.25 13.212-11.788 24.92-25.172 34.875-39.78-14.705.925-30.526-3.035-45.095-9.75 4.12-4.913 8.066-9.99 11.78-15.25 11.295 4.61 23.138 6.986 32.44 6.342 6.368-.44 11.166-1.852 14.717-4.656 7.183-14.036 12.867-28.917 16.844-44.406-.335.123-.663.26-1 .375-12.355 4.247-26.623 4.723-40.594 2.625 2.536-5.87 4.813-11.878 6.813-18 10.236 1.027 20.29.23 27.688-2.313 5.765-1.98 9.65-4.455 11.968-7.937 1.965-14.946 2.372-30.318 1.064-45.906-.043.028-.082.065-.125.094-8.97 5.908-19.97 9.483-31.376 11.156.563-6.302.856-12.687.812-19.125 7.92-1.582 15.21-4.317 20.28-7.657 3.593-2.366 5.946-4.604 7.283-7.032-2.934-15.234-7.47-29.852-13.408-43.655-5.347 5.57-12.133 9.96-19.562 13.344-1.427-6.078-3.162-12.165-5.188-18.282 4.805-2.513 8.942-5.464 11.594-8.313 2.212-2.376 3.402-4.15 3.813-5.78-5.97-10.774-12.814-20.955-20.44-30.47-2.642 3.796-5.93 7.18-9.592 10.22-2.905-5.553-6.047-11.09-9.5-16.626 2.208-2.166 3.953-4.36 4.968-6.19.538-.97.92-1.656 1.156-2.218-2.106-2.193-4.275-4.334-6.468-6.437-16.893-12.396-30.603-18.6-48.125-24.25zM152.81 134.313l24.094 129.718H341l22.906-124.5-57.937 63.5L261 135.845l-45 67.187-63.188-68.718zm27.563 148.406l3.563 19.217H334.03l3.533-19.218H180.375z"}}]})(props);
};
function GiLaurelsTrophy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M137.273 41c1.41 59.526 16.381 119.035 35.125 167.77 19.69 51.191 44.086 90.988 57.965 104.867l2.637 2.636V343h46v-26.727l2.637-2.636c13.879-13.88 38.275-53.676 57.965-104.867 18.744-48.735 33.715-108.244 35.125-167.77zm-50.605 68.295c-17.97 6.05-32.296 18.214-37.625 30.367-3.015 6.875-3.48 13.44-.988 20.129.285.766.62 1.54.996 2.318a119.032 119.032 0 0 1 8.504-4.812l6.277-3.215 4.621 5.326c5.137 5.92 9.61 12.37 13.422 19.125 2.573-3.06 5.207-7.864 7.05-14.037 4.491-15.034 4.322-36.95-2.257-55.201zm338.664 0c-6.58 18.25-6.748 40.167-2.258 55.201 1.844 6.173 4.478 10.977 7.051 14.037 3.813-6.756 8.285-13.205 13.422-19.125l4.621-5.326 6.277 3.215a119.033 119.033 0 0 1 8.504 4.812c.375-.779.71-1.552.996-2.318 2.492-6.689 2.027-13.254-.988-20.129-5.329-12.153-19.655-24.317-37.625-30.367zm-365.975 67.74c-20.251 12.486-34.121 31.475-36.746 47.973-1.447 9.1.09 17.224 5.323 24.545 1.66 2.324 3.743 4.594 6.304 6.76a116.606 116.606 0 0 1 11.44-14.977l4.72-5.24 6.217 3.33c7.91 4.236 15.262 9.424 21.94 15.252.973-3.633 1.619-7.892 1.773-12.616.636-19.438-6.762-45.536-20.97-65.027zm393.286 0c-14.21 19.49-21.607 45.59-20.971 65.027.154 4.724.8 8.983 1.773 12.616 6.678-5.828 14.03-11.016 21.94-15.252l6.217-3.33 4.72 5.24a116.606 116.606 0 0 1 11.44 14.976c2.56-2.165 4.643-4.435 6.304-6.76 5.233-7.32 6.77-15.444 5.323-24.544-2.625-16.498-16.495-35.487-36.746-47.973zM54.4 259.133c-14.394 18.806-20.496 41.413-17.004 57.748 1.928 9.014 6.298 16.078 13.844 21.078 4.944 3.276 11.48 5.7 19.94 6.645a120.631 120.631 0 0 1 7.101-17.852l3.125-6.338 6.9 1.535c4.095.911 8.133 2.046 12.094 3.377-.373-3.838-1.309-8.185-2.925-12.82-6.416-18.396-22.749-40.184-43.075-53.373zm403.2 0c-20.326 13.189-36.66 34.977-43.075 53.373-1.616 4.635-2.552 8.982-2.925 12.82a119.337 119.337 0 0 1 12.093-3.377l6.9-1.535 3.126 6.338a120.63 120.63 0 0 1 7.101 17.852c8.46-.944 14.996-3.37 19.94-6.645 7.546-5 11.916-12.065 13.844-21.078 3.492-16.335-2.61-38.942-17.004-57.748zM91.5 341.527c-9.285 23.14-9.027 47.85-.709 63.54 4.57 8.619 11.106 14.607 20.268 17.562 4.586 1.479 9.957 2.19 16.185 1.803-2.135-11.155-2.771-22.97-1.756-34.938l.602-7.074 7.02-1.065a129.43 129.43 0 0 1 13.458-1.312c.554-.025 1.107-.04 1.66-.059-12.419-15.776-33.883-31.43-56.728-38.457zm329 0c-22.845 7.027-44.31 22.68-56.729 38.457.554.019 1.107.034 1.66.059 4.5.206 8.995.637 13.46 1.312l7.02 1.065.6 7.074c1.016 11.967.38 23.783-1.755 34.938 6.228.386 11.6-.324 16.185-1.803 9.162-2.955 15.699-8.943 20.268-17.563 8.318-15.69 8.576-40.4-.709-63.539zM199.729 361c-1.943 7.383-6.045 14.043-11.366 19.363a46.544 46.544 0 0 1-3.484 3.125c14.804 3.295 28.659 8.692 40.404 15.46 2.384-5.36 5.376-10.345 9.408-14.534C239.96 378.942 247.51 375 256 375c8.491 0 16.041 3.942 21.309 9.414 4.032 4.19 7.024 9.175 9.408 14.533 11.815-6.808 25.766-12.23 40.67-15.52a48.107 48.107 0 0 1-3.739-3.413c-5.227-5.333-9.27-11.852-11.261-19.014zM256 393c-3.434 0-5.635 1.084-8.34 3.895-2.704 2.81-5.395 7.52-7.527 13.298-4.265 11.556-6.343 27-7.156 38.446-1.07 15.043 3 33.368 12.285 40.06 4.733 3.412 16.743 3.412 21.476 0 9.285-6.692 13.355-25.017 12.285-40.06-.813-11.446-2.891-26.89-7.156-38.446-2.132-5.777-4.823-10.488-7.527-13.298-2.705-2.81-4.906-3.895-8.34-3.895zm-103.521 4.979c-1.714-.008-3.424.022-5.127.09-1.405.055-2.77.281-4.164.39-.418 27.817 9.816 53.543 24.994 66.644 8.264 7.134 17.586 10.772 28.35 10.157 5.908-.338 12.394-2.03 19.374-5.52-1.27-7.665-1.377-15.42-.883-22.379.632-8.89 1.852-19.962 4.479-30.877-17.16-10.686-42.426-18.395-67.023-18.506zm207.042 0c-24.597.11-49.863 7.82-67.023 18.505 2.627 10.915 3.847 21.987 4.479 30.877.494 6.958.387 14.714-.883 22.38 6.98 3.49 13.466 5.181 19.375 5.519 10.763.615 20.085-3.023 28.35-10.156 15.177-13.102 25.411-38.828 24.993-66.645-1.393-.109-2.76-.335-4.164-.39a116.32 116.32 0 0 0-5.127-.09z"}}]})(props);
};
function GiLaurels (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M234.406 18.875c-20.994.204-38.772 2.513-61.97 10.156-4.12 1.99-8.196 4.088-12.217 6.282.082.7.2 1.448.374 2.344.675 3.48 2.508 7.86 5.094 12.282-4.92 4.2-9.624 8.466-14.125 12.812-3.64-5.5-6.54-11.35-8.282-17.375-14.227 9.153-27.643 19.636-40.03 31.438.254 2.066 1.026 4.412 2.344 7.25 2.462 5.3 7.06 11.322 12.812 16.812-3.75 5.197-7.253 10.436-10.53 15.75-8.153-7.21-14.987-15.575-19.22-24.688-.006-.012-.025-.018-.03-.03C74.93 107.198 62.838 124.26 52.78 143c1.038 3.078 2.934 6.267 5.69 9.72 5.394 6.76 14.15 13.456 24.124 18.686-1.957 6.096-3.668 12.202-5.125 18.344-13.226-6.337-25.218-14.88-33.595-25.375-.297-.373-.556-.776-.844-1.156-8.69 20.085-14.71 40.67-18.218 61.374 2.068 4.086 5.57 7.838 10.47 11.53 8.717 6.572 21.692 11.736 35.5 14.376.08 6.414.415 12.8.968 19.156-17.653-2.733-34.73-8.835-47.72-18.625-.74-.558-1.47-1.156-2.186-1.75-1.65 22.29-.487 44.524 3.343 66.19 3.41 3.562 8.08 6.44 14.032 8.842 11.875 4.797 28.28 6.51 44.624 4.938 1.954 6.09 4.12 12.106 6.47 18.03-.554.073-1.104.155-1.658.22-19.7 2.324-39.804.843-56.437-5.875-.41-.166-.814-.358-1.22-.53 6.614 23.667 16.443 46.355 29.22 67.405 4.236 2.202 9.33 3.61 15.31 4.344 13.334 1.636 30.26-1.005 46.345-6.875 3.713 5.318 7.583 10.51 11.625 15.53-.364.148-.728.292-1.094.438-18.537 7.39-38.396 11.308-56.437 9.687 12.35 16.255 26.648 31.175 42.718 44.406 4.92 1.056 10.465 1.085 16.687.22 11.763-1.636 25.218-6.96 37.938-14.688 16.692 13.528 34.88 24.752 54.125 33.094l7.437-17.156c-16.007-6.94-31.317-16.184-45.594-27.28 13.276-10.896 24.32-24.018 30.25-36.5 4.633-9.75 6.31-18.457 4.47-26.283-10.724-5.69-20.58-12.555-29.53-20.375-2.564 7.583-6.86 14.73-12.25 21.063-8.268 9.712-19.11 18.113-31.22 24.938-4.03-4.837-7.918-9.846-11.625-15C150.93 391.82 161.08 384.128 168 376c7.28-8.553 10.957-16.73 10.5-25-8.91-10.316-16.57-21.762-22.906-34.094-3.718 4.5-8.17 8.512-13.094 11.906-9.64 6.647-21.16 11.548-33.438 14.813-2.4-5.792-4.603-11.66-6.593-17.625 11.284-2.868 21.645-7.222 29.436-12.594 7.534-5.193 12.477-10.764 14.656-17.062-4.27-11.528-7.497-23.62-9.625-36.094-3.793 2.408-7.92 4.392-12.218 5.906-10.424 3.672-22.125 5.214-34.095 5.063-.638-6.208-1.028-12.46-1.188-18.72 10.71.24 20.952-1.11 29.063-3.97 7.268-2.56 12.544-5.873 15.844-10.28-.823-12.615-.558-25.505.844-38.5-2.74.603-5.538.982-8.344 1.156-10.34.64-21.314-1.062-32.063-4.375 1.35-6.054 2.964-12.082 4.845-18.093 9.264 2.875 18.492 4.282 26.063 3.813 5.284-.327 9.454-1.313 12.687-3.063 2.727-13.632 6.68-27.292 12-40.78-.93-.14-1.867-.28-2.78-.47-8.474-1.77-16.932-5.42-24.845-10.28 3.223-5.27 6.703-10.468 10.438-15.626 6.274 3.737 12.7 6.474 18.218 7.626 2.68.56 4.973.8 6.97.75 5.722-11.6 12.29-22.526 19.56-32.687-5.17-2.72-10-6.365-14.405-10.595 4.415-4.28 9.052-8.508 13.907-12.656 3.257 2.983 6.617 5.433 9.657 6.968.96.484 1.814.842 2.625 1.156 4.562-5.397 9.33-10.563 14.25-15.438 11.515-11.683 23.998-23.865 34.686-38.28-1.43-.005-2.85-.015-4.25 0zm38.375 0c10.69 14.416 23.204 26.598 34.72 38.28 4.914 4.87 9.66 10.047 14.22 15.44.81-.315 1.663-.673 2.624-1.157 3.037-1.534 6.393-3.99 9.656-6.97 4.856 4.15 9.492 8.378 13.906 12.657-4.4 4.238-9.225 7.908-14.406 10.625 7.27 10.16 13.873 21.06 19.594 32.656 1.984.046 4.272-.193 6.937-.75 5.52-1.152 11.945-3.89 18.22-7.625 3.735 5.16 7.215 10.358 10.438 15.626-7.904 4.86-16.34 8.512-24.813 10.28-.924.195-1.873.33-2.813.47 5.325 13.5 9.336 27.168 12.063 40.813 3.224 1.727 7.374 2.705 12.625 3.03 7.563.47 16.8-.944 26.063-3.813 1.88 6.01 3.494 12.04 4.843 18.094-10.75 3.314-21.722 5.017-32.062 4.376-2.807-.174-5.603-.553-8.344-1.156 1.402 12.995 1.666 25.885.844 38.5 3.3 4.407 8.576 7.72 15.844 10.28 8.103 2.856 18.353 4.205 29.062 3.97-.16 6.26-.55 12.512-1.188 18.72-11.97.15-23.67-1.392-34.093-5.064-4.29-1.51-8.402-3.505-12.19-5.906-2.128 12.484-5.347 24.59-9.624 36.125 2.195 6.285 7.136 11.847 14.656 17.03 7.785 5.368 18.133 9.727 29.407 12.595-1.99 5.962-4.197 11.835-6.595 17.625-12.277-3.265-23.804-8.17-33.438-14.813-4.924-3.394-9.375-7.406-13.093-11.906-6.342 12.343-13.987 23.802-22.906 34.125-.447 8.26 3.23 16.428 10.5 24.97 6.914 8.123 17.072 15.822 28.625 22.063-3.706 5.154-7.564 10.163-11.594 15-12.122-6.827-22.98-15.22-31.25-24.938-5.393-6.334-9.69-13.48-12.25-21.063-8.956 7.824-18.802 14.683-29.533 20.375-1.83 7.826-.13 16.532 4.5 26.282 5.93 12.482 16.976 25.604 30.25 36.5-14.274 11.096-29.586 20.34-45.593 27.28L284 494.656c19.25-8.345 37.43-19.592 54.125-33.125 12.718 7.736 26.167 13.083 37.938 14.72 6.247.87 11.816.85 16.75-.22 16.062-13.227 30.34-28.156 42.687-44.405-18.05 1.63-37.92-2.29-56.47-9.688-.364-.145-.728-.29-1.092-.437 4.042-5.02 7.912-10.212 11.625-15.53 16.09 5.876 33.003 8.51 46.343 6.874 5.98-.734 11.075-2.142 15.313-4.344 12.77-21.042 22.603-43.717 29.217-67.375-.393.168-.79.34-1.187.5-16.633 6.718-36.738 8.2-56.438 5.875-.563-.066-1.124-.146-1.687-.22 2.35-5.924 4.515-11.94 6.47-18.03 16.354 1.577 32.77-.138 44.655-4.938 5.937-2.397 10.6-5.26 14-8.812 3.836-21.685 5.028-43.94 3.375-66.25-.726.602-1.465 1.213-2.22 1.78-12.987 9.79-30.065 15.893-47.717 18.626.552-6.355.888-12.742.968-19.156 13.813-2.638 26.776-7.8 35.5-14.375 4.9-3.693 8.402-7.445 10.47-11.53-3.507-20.706-9.53-41.29-18.22-61.376-.288.38-.546.782-.844 1.155-8.376 10.496-20.368 19.038-33.593 25.375-1.456-6.132-3.173-12.226-5.126-18.313 9.98-5.233 18.723-11.95 24.125-18.718 2.754-3.453 4.65-6.642 5.686-9.72-10.056-18.736-22.152-35.772-35.844-51.063-4.232 9.113-11.09 17.477-19.25 24.688-3.278-5.314-6.78-10.553-10.53-15.75 5.752-5.49 10.35-11.51 12.812-16.813 1.318-2.838 2.115-5.183 2.375-7.25-12.388-11.8-25.836-22.284-40.064-31.437-1.743 6.025-4.64 11.874-8.28 17.375-4.493-4.336-9.188-8.59-14.095-12.78 2.584-4.428 4.387-8.827 5.064-12.314.174-.896.29-1.644.375-2.343-4.02-2.193-8.07-4.295-12.19-6.282-24.742-8.152-43.36-10.22-66.25-10.155z"}}]})(props);
};
function GiLava (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.188 45.875A44.867 44.867 0 0 0 211.28 91 44.867 44.867 0 1 0 301 91a44.867 44.867 0 0 0-43.813-45.125zM91.905 90.625A44.867 44.867 0 0 0 46 135.72a44.867 44.867 0 1 0 89.72 0 44.867 44.867 0 0 0-43.814-45.095zm330.281 0a44.867 44.867 0 0 0-45.906 45.094 44.867 44.867 0 1 0 89.72 0 44.867 44.867 0 0 0-43.813-45.095zM256.845 210.97A29.866 29.866 0 0 0 226.28 241a29.866 29.866 0 1 0 59.72 0 29.866 29.866 0 0 0-29.156-30.03zm-135 30A29.866 29.866 0 0 0 91.28 271a29.866 29.866 0 1 0 59.72 0 29.866 29.866 0 0 0-29.156-30.03zm270 0A29.866 29.866 0 0 0 361.28 271a29.866 29.866 0 1 0 59.72 0 29.866 29.866 0 0 0-29.156-30.03zm-135.5 89.81A15 15 0 0 0 241 345.876a15 15 0 1 0 30 0 15 15 0 0 0-14.656-15.094zm-120 15A15 15 0 0 0 121 360.876a15 15 0 1 0 30 0 15 15 0 0 0-14.656-15.094zm240 0A15 15 0 0 0 361 360.876a15 15 0 1 0 30 0 15 15 0 0 0-14.656-15.094zM76 375.876c-15 0-30 30-30 30-30 0-30 0-30 30v30h480v-30c0-30 0-30-30-30 0 0-15-30-30-30-30 0-30 45-60 45s-30-45-60-45-30 45-60 45-30-45-60-45-30 45-60 45-30-45-60-45z"}}]})(props);
};
function GiLawStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M308.53 22.844c-14.72-.147-28.23 9.623-32.217 24.5-3.06 11.418.25 23.036 7.75 31.093l-61.407 60.938-84.156-22.22c2.312-10.624-.677-22.176-8.938-30.436-12.907-12.91-33.842-12.91-46.75 0-12.907 12.906-12.907 33.84 0 46.75 8.48 8.477 20.43 11.377 31.282 8.718l22.062 83.687-61.812 62.313c-8.058-7.5-19.645-10.81-31.063-7.75-17.63 4.724-28.098 22.836-23.374 40.468 4.725 17.632 22.837 28.1 40.47 23.375 11.736-3.144 20.293-12.234 23.312-23.155l84.124 22.906 23 84.47c-10.784 3.093-19.728 11.592-22.843 23.22-4.726 17.63 5.71 35.743 23.343 40.467 17.63 4.725 35.775-5.71 40.5-23.343 3.096-11.556-.338-23.34-8.032-31.406l62.22-61.75 84.22 22.218c-2.797 10.937.063 23.033 8.624 31.594 12.907 12.907 33.842 12.907 46.75 0 12.907-12.907 12.907-33.843 0-46.75-8.342-8.342-20.04-11.284-30.75-8.844l-22.344-84.72 60.844-61.31c8.068 7.714 19.835 11.13 31.406 8.03 17.632-4.724 28.1-22.837 23.375-40.47-4.725-17.63-22.837-28.098-40.47-23.374-11.247 3.015-19.574 11.5-22.905 21.813l-83.906-22.844-22.78-83.593c10.447-3.265 19.05-11.643 22.092-23 4.725-17.63-5.743-35.744-23.375-40.468-2.754-.74-5.523-1.1-8.25-1.126zM234.814 152.78c-24.536 11.362-44.05 33.124-51.594 61.282-13.5 50.382 16.4 102.157 66.78 115.657 38.656 10.357 78.18-4.8 100.563-35.19-19.542 47.778-72.017 74.68-123.188 60.97-55.507-14.873-88.467-71.93-73.594-127.438 10.673-39.826 43.08-68.017 81.032-75.28z"}}]})(props);
};
function GiLayeredArmor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M129.656 21.188L37.936 79.78c3.54 26.805 8.915 53.547 16.127 80.126L240.72 39.594l-19.282-12.5c-31.28-.885-62.204-2.842-91.782-5.907zm253.47.625c-40.51 3.975-83.496 5.938-126.47 5.843l204.625 132.72c7.108-25.89 12.487-51.92 16.095-78.032l-94.25-60.53zM257.937 50.75L59.468 178.656c8.025 26.32 17.865 52.456 29.532 78.313l243.25-158-74.313-48.22zm91.468 59.344l-74.562 48.437 151.28 98.782c11.714-25.803 21.592-51.91 29.688-78.187l-106.406-69.03zm-91.687 59.562L97 274.062c12.202 25.17 26.14 50.064 41.844 74.563l196.094-128.53-77.22-50.44zM352 231.22l-77.53 50.843 101.405 67.187c15.822-24.6 29.895-49.584 42.22-74.875L352 231.22zm-94.53 61.968l-108.345 71.03c13.564 20.062 28.326 39.847 44.28 59.313l132.032-85.28-67.968-45.063zm84.967 56.312L274.5 393.406l47.03 30.375c15.845-19.342 30.513-38.993 44.033-58.936L342.438 349.5zm-84.968 54.875L205.5 437.97c16.233 18.933 33.614 37.54 52.156 55.78 18.385-18.152 35.637-36.678 51.78-55.53l-52.092-33.626.125-.22z"}}]})(props);
};
function GiLeadPipe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440.783 22.424c-2.382.04-4.63.42-6.646 1.178l-148.725 93.875-125.28 165.15c.972 7.275 1.65 13.713 1.65 13.713L145.435 302 52.56 424.432a38.188 26.876 37.184 0 1 30.288 9.912 38.188 26.876 37.184 0 1 18.03 28.566l219.278-289.056-1.943-31.5 12.213 23.632 140.47-88.664c7.383-9.426 8.96-18.574 7.038-26.62l-15.998 5.54L472.48 39.27c-2.533-3.414-5.665-6.433-9.13-8.93-7.054-5.082-15.42-8.035-22.567-7.916zM52.705 438.676a30.876 21.73 37.184 0 0-1.857.023 30.876 21.73 37.184 0 0-14.244 6.763 30.876 21.73 37.184 0 0 11.464 35.974 30.876 21.73 37.184 0 0 37.735 1.348 30.876 21.73 37.184 0 0-11.47-35.973 30.876 21.73 37.184 0 0-21.628-8.136zm1.762 15.146a14.803 10.418 37.184 0 1 .004 0 14.803 10.418 37.184 0 1 11.26 3.89 14.803 10.418 37.184 0 1 5.497 17.247 14.803 10.418 37.184 0 1-18.09-.647 14.803 10.418 37.184 0 1-5.498-17.247 14.803 10.418 37.184 0 1 6.827-3.244z"}}]})(props);
};
function GiLeafSkeleton (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M53.688 23.97c-37.59 15.43-40.433 37.366-28.032 62.5 25.773 4.386 51.188 11.535 76.156 21.343-10.142 21.927-18.285 44.526-25.28 67.468l-.97.064c.047.89.103 1.77.157 2.656-7.916 26.324-14.373 53.068-20.595 79.75L73.313 262c2.89-12.39 5.822-24.726 8.906-36.97 4.453 20.118 10.942 39.045 19.218 56.75-3.136 18.215-6.048 36.444-8.907 54.626l18.47 2.906c1.612-10.254 3.212-20.5 4.875-30.718 6.42 10.422 13.55 20.324 21.28 29.72-3.45 16.922-6.79 33.822-10.06 50.717l18.343 3.564c2.385-12.32 4.784-24.632 7.25-36.938 8.928 9.16 18.487 17.74 28.656 25.72-2.143 11.517-4.194 23.033-6.156 34.562l18.437 3.125c1.445-8.49 2.933-16.973 4.47-25.438 10.66 7.275 21.856 13.95 33.53 20.063-1.88 9.805-3.7 19.61-5.5 29.406l18.375 3.375c1.486-8.085 2.995-16.175 4.53-24.25 10.957 5.008 22.293 9.574 33.94 13.624-1.088 6.006-2.166 12.02-3.283 18l18.375 3.437c.978-5.233 1.925-10.463 2.875-15.686 10.815 3.22 21.88 6.072 33.157 8.5-.696 7.412-1.243 14.862-1.594 22.375l18.656.874c.308-6.588.787-13.157 1.375-19.688 9.484 1.65 19.08 3.05 28.814 4.156-.223 7.96-.224 15.95-.03 23.938l18.686-.438c-.176-7.31-.186-14.563 0-21.75 8.232.635 16.537 1.09 24.906 1.344 2.173 8.67 3.923 17.34 5.25 26l18.47-2.812c-1.57-10.244-3.702-20.484-6.376-30.72 5.348-11.266 10.022-22.69 13.938-34.218 5.188 5.993 9.63 12.537 13.093 19.53l16.75-8.28c-5.953-12.024-14.062-22.73-23.624-31.937 3.078-11.772 5.374-23.624 6.906-35.47 4.16 2.397 8.272 4.996 12.344 7.844l10.688-15.313c-6.972-4.874-14.058-9.078-21.188-12.78.713-13.41.407-26.78-.97-40.03 5.702 1.882 11.422 3.97 17.19 6.217l6.812-17.406c-9.05-3.527-18.038-6.593-27-9.28-2.54-13.382-6.2-26.6-11.032-39.53 4.745.416 9.502.888 14.25 1.436l2.125-18.562c-8.202-.948-16.415-1.716-24.624-2.28-1.745-3.662-3.585-7.304-5.53-10.908-3.654-6.767-7.676-13.404-12.032-19.937 10.805-.828 21.594-1.27 32.375-1.282V172.5c-15.084.016-30.15.835-45.19 2.344-7.082-8.91-14.882-17.548-23.405-25.875 13.413-1.578 26.972-2.55 40.72-2.75l-.283-18.69c-20.013.295-39.536 2.135-58.687 5.032-9.338-7.75-19.393-15.185-30.156-22.25 12.464-1.9 25.048-3.158 37.81-3.593l-.624-18.657c-21.006.717-41.422 3.476-61.406 7.624-8.818-4.88-18.055-9.504-27.688-13.937 11.513-2.03 23.036-3.72 34.563-5.094l-2.22-18.562c-21.036 2.504-42.11 6.034-63.186 10.78-12.616-4.747-25.834-9.15-39.658-13.155 7.034-1.47 14.04-2.595 21-3.314l-1.937-18.593c-18.886 1.95-37.535 6.48-56 12.468-.512-.113-1.018-.23-1.53-.343l-.22.938c-16.2 5.338-32.25 11.774-48.188 18.53-27.93-15.956-55.79-29.693-82.75-41.436zm133.875 41.75c14.853 3.45 29.035 7.32 42.53 11.56C214.07 81.89 198.03 87.278 182 93.5c-8.425-5.602-16.896-10.98-25.375-16.156 10.37-4.202 20.692-8.15 30.938-11.625zm74.062 22.624c.01.003.022-.004.03 0 11.267 4.387 21.996 9.055 32.19 14-23.21 6.29-45.89 14.11-68.314 22.437-8.172-6.34-16.437-12.444-24.75-18.343 20.28-7.33 40.55-13.317 60.845-18.093zm-142.563 26.72c7.12 3.175 14.216 6.57 21.25 10.186-14.62 40.292-24.633 81.18-32.625 122.22-6.923-20.8-11.385-43.227-13.093-67.282 6.837-22.36 14.748-44.17 24.47-65.125zm199.5.374c11.695 6.762 22.554 13.94 32.625 21.437-28.995 5.763-57.234 13.598-85.156 21.906-7.703-6.996-15.52-13.762-23.436-20.31 25.147-9.094 50.344-17.252 75.97-23.032zM156.938 134.25c9.297 5.287 18.503 10.975 27.625 17.03-17.695 54.5-30.927 108.908-42.437 163.157-8.016-11.01-15.162-22.676-21.313-35.062 8.632-49.215 19.214-97.813 36.126-145.125zm213.438 18.156c9.15 8.064 17.508 16.463 25.063 25.125-30.125 4.353-60.155 11.352-90.094 20.157-7.65-8.273-15.492-16.25-23.47-24 29.29-8.518 58.597-16.22 88.5-21.28zm-169.72 9.97c11.142 8.042 22.134 16.678 32.97 25.874-22.08 56.622-36.777 114.317-48.28 172.313C175.26 352.09 165.867 343 157.25 333.28c11.817-57.12 25.252-114.07 43.406-170.905zm208.407 32.218c6.334 8.695 11.96 17.613 16.875 26.72.18.332.353.664.532 1-5.79-.157-11.582-.236-17.376-.19-25.536.208-51.115 2.44-76.688 6.94-4.34-5.4-8.76-10.707-13.25-15.908 30.063-8.46 60.038-14.912 89.906-18.562zm-160.468 6.812c9.638 8.772 19.11 18.027 28.47 27.72-17.9 55.27-30.75 110.418-41.69 165.405-11.767-6.403-22.943-13.457-33.5-21.092 11.23-58.282 25.396-115.842 46.72-172.032zM411.47 240.78c8-.025 16.02.158 24.03.532 4.867 11.61 8.69 23.474 11.5 35.532-26.15-6.084-52.332-8.79-79.438-8.625-2.064.01-4.14.046-6.218.092-5.154-7.66-10.488-15.125-15.938-22.437 22.01-3.362 44.02-5.02 66.063-5.094zm-119.75 4c10.398 11.495 20.623 23.543 30.624 36.19-18.485 44.613-27.665 90.6-35.97 136.186-11.612-4.13-22.858-8.732-33.687-13.844 10.437-52.982 22.532-105.82 39.032-158.53zm81.592 42.157c26.524.234 51.896 3.38 77.438 10.063 1.707 12.324 2.383 24.8 2.094 37.344-20.57-8.23-41.475-12.975-62.063-17-5.547-10.423-11.383-20.543-17.467-30.406zm-37.718 11.344c7.404 9.927 14.69 20.182 21.844 30.75-8.883 33.454-16.7 67.386-21.25 102.314-10.867-2.388-21.495-5.138-31.875-8.28 7.776-42.615 16.013-84.614 31.28-124.783zm65.97 40.376c17.145 3.763 33.866 8.385 50.03 15.438-1.083 10.398-2.832 20.818-5.22 31.22-9.76-6.797-20.437-12.273-31.5-16.377-4.19-10.328-8.608-20.434-13.312-30.28zm-30.283 11.47c7.133 11.214 14.152 22.75 21 34.624-5.405 17.798-8.452 35.95-9.936 54.28-9.388-1.09-18.66-2.45-27.78-4.06 3.665-28.62 9.653-56.796 16.717-84.845zm53.033 43.687c5.906 3.208 11.56 6.874 16.812 11-2.052 6.67-4.393 13.317-6.97 19.937-3.02-10.528-6.305-20.85-9.842-30.938zm-18.72 14.812c1.664 3.074 3.325 6.167 4.97 9.28 3.348 8.024 6.316 16.05 8.906 24.064-6.206-.26-12.354-.65-18.47-1.126.89-10.92 2.386-21.668 4.594-32.22z","fillRule":"evenodd"}}]})(props);
};
function GiLeafSwirl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M72.125 18.688c-9.46 13.14-16.043 26.715-20.344 40.406-77.626 45.738-20.02 138.16 54.44 156.5C92.84 159.11 134.66 125.15 85.937 70.47c-8.967 20.638-14.905 43.45-12.72 59.03l-18.5 2.594c-4.168-29.71 10.02-65.347 25.657-91.97l.063.032c2.062-3.534 4.335-7.046 6.843-10.53l-15.155-10.94zM347.25 47.593c-2.45.03-4.947.108-7.5.28 60.054 73.07 59.996 109.712 27.875 136.595 27.75 8.257 52.752 7.666 73.188.78-4.254-15.946-14.26-34.174-27.938-42.813l9.97-15.78c21.69 13.696 33.306 38.822 37.467 59.812l-.093.03c4.044 13.375 5.324 26.87 2.686 40.313l18.344 3.593c4.417-22.507.312-44.035-8.438-64.344 23.963-23.15 31.486-59.877 13.5-97.75-36.238 43.52-63.132-21.646-139.062-20.718zm10.063 108.437c-107.724 16.108-77.38 85.577-148.813 51.657 8.637 24.32 19.064 44.07 31.344 59.125 15.183-13.762 20.977-25.165 29.062-42.718l16.97 7.812c-8.85 19.21-17.296 35.014-37.22 52.03-.086.075-.163.147-.25.22-15.116 14.143-33.605 24.908-53.22 27.72l2.658 18.5c27.763-3.98 51.817-19.937 70.03-39.188 31.32 18.082 70.952 15.045 119.22-9.97-32.857-24.236-69.882-45.273-29.78-125.187zm-226.188 39.564c-16.46 35.83 4.11 98.707 69.344 42.656-22.37-4.4-45.016-12.364-69.345-42.656zM34.97 198.78c-25.453 49.62-7.315 149.23 69.593 81.69-26.776-12.287-52.236-29.996-69.594-81.69zm445.217 62.72c-15.204 58.85-114.852 8.227-128.343 82.594 26.05-4.657 55.36-15.45 68.75-29.188l13.375 13.063c-20.942 21.483-57.817 32.097-88.44 36.03v-.094c-12.127 2.265-24.29 3.608-36.56 3.688l.124 18.687c16.406-.105 32.412-2.222 48.094-5.624 48.993 98.302 148.144-20.957 123-119.156zm-425.156 72l-16.843 8.156c8.867 18.3 26.883 37.096 49.626 51.28.83.52 1.687.996 2.53 1.502 17.297 105.905 167.944 75.538 183.22-21.5-42.678 38.96-130.002-78.15-176.407-19.344 14.625 15.48 44.454 29.52 69.5 36.03l-4.72 18.063c-26.692-6.94-57.662-19.817-76.842-39.562-14.042-11.11-24.918-24.006-30.063-34.625zm229.72 79.938c-56.055 51.053 20.728 137.41 75.47 31.156-43.082 14.07-68.174 1.94-75.47-31.156z","fillRule":"evenodd"}}]})(props);
};
function GiLeak (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M367 32s-37.8 51.9-32 80c3 14.8 16.9 32 32 32 15.1 0 29-17.2 32-32 5.8-28.1-32-80-32-80zM160.2 133.4s-37.8 51.9-32 80c3 14.8 16.9 32 32 32 15.1 0 29-17.2 32-32 5.8-28.1-32-80-32-80zm241.1 134.1a91.23 38.36 0 0 0-83.9 23.4 210 77.59 0 0 0-79.7-5.9 210 77.59 0 0 0-210 77.6 210 77.59 0 0 0 210 77.6 210 77.59 0 0 0 68.2-4.3 82.62 29.64 0 0 0-4.5 9.6 82.62 29.64 0 0 0 82.6 29.6 82.62 29.64 0 0 0 82.6-29.6 82.62 29.64 0 0 0-76.8-29.5 210 77.59 0 0 0 57.9-53.4 210 77.59 0 0 0-8.6-21.8 91.23 38.36 0 0 0 53.4-34.9 91.23 38.36 0 0 0-91.2-38.4zM107.8 457.6A43.89 17.43 0 0 0 63.91 475a43.89 17.43 0 0 0 43.89 17.4 43.89 17.43 0 0 0 43.9-17.4 43.89 17.43 0 0 0-43.9-17.4z"}}]})(props);
};
function GiLeakySkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.594 24.875c-73.387 0-122.254 46.017-120.594 98.375.417 13.16 3.075 26.14 8.313 38.03 16.764 23.135 48.402 34.675 73.843 37.064l-47.72 6.937-13.092 32.814c7.57 7.656 15.72 14.35 24.312 20.062l11.688-41.53 17.97 5.03-12.94 46.125c10.326 5.106 21.102 8.94 32.095 11.533l3.936-46.063 18.625 1.594-4.093 47.625c11.22 1.202 22.543 1.17 33.75-.158l-4.125-47.468 18.594-1.625 4 45.718c10.06-2.495 19.942-6.05 29.438-10.657L319.5 221.657l17.97-5.03 11.874 42.155c7.726-5.052 15.104-10.888 22.03-17.5l-15.968-36.436-44.72-6.5c24.866-2.334 55.656-13.404 72.69-35.5 6.22-13.203 8.7-27.83 7.874-43.53-2.973-56.486-59.27-94.44-132.656-94.44zm-74.156 82.75c17.97 24.493 35.356 31.6 63.062 34.75-34.05 58.587-110.778 10.01-63.063-34.75zm168.03 0c47.716 44.76-29.01 93.337-63.062 34.75 27.706-3.15 45.094-10.257 63.063-34.75zm-84.53 45.656l23.03 53.72c-11.685 7.06-33.11 7-44.406 1.938l21.375-55.657zm95.593 118.407c-55.816 38.673-129.347 40.137-186.5 4.375l.97 219.625h18.688v-.187c8.22-40.85 36.346-34.88 45.5.188h20.562V417.03c5.387-68.955 34.254-62.802 38.875-13.717v92.375h18.688v-74.032c4.78-29.54 24.89-62.024 33.343 5.594l9.875-155.563zm-52.874 44.875c7.31 0 14.594 7.55 14.594 18.782 0 11.23-7.283 18.78-14.594 18.78-7.31 0-14.625-7.55-14.625-18.78s7.316-18.78 14.626-18.78zm-82.094 8.657c4.173 0 9.164 3.062 13.688 10.81 4.524 7.75 7.72 19.454 7.72 32.533 0 13.078-3.196 24.813-7.72 32.562-4.524 7.75-9.515 10.813-13.688 10.813-4.172 0-9.163-3.064-13.687-10.813-4.524-7.75-7.75-19.484-7.75-32.563 0-13.078 3.226-24.78 7.75-32.53s9.515-10.813 13.688-10.813z"}}]})(props);
};
function GiLeapfrog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M312.1 21.13c-11.6 0-24.5 9.6-30 26.05-6.5 19.5 1.1 37.61 13.9 41.91 12.8 4.2 29.8-5.6 36.4-25.1 6.5-19.5-1.2-37.59-14-41.87-2-.67-4.1-.99-6.3-.99zM198.4 66.74c-29.5 22.35-47.8 40.16-66.1 63.26-8 11.5 12.3 32.2 26.5 19.2l44.6-43.7 37.7 7.1c-22.6 46.3-37.4 83.3-81.3 113.6-22.9.5-43.2-6.6-63.82-12.6-16.71-4.7-26.86 28.1-10.84 33.5 28.26 11.4 58.66 19.9 92.36 23.8 62.5-49.6 105-83.6 211.6.8 15.4 10 31.2-19.8 26-24.9l-78.2-61.9c-10.1-6.7-33.1-5.6-50.2-7.9 12.4-15.4 18.8-28.7 25.2-42.2 19.4 8.8 47.9 20 58.3 18.3 24.6-18.4 45.6-35.4 64.6-54.41 9.2-11.46-14.7-33.2-23.7-25.08L362 115.5c-10.6-6.3-21.8-11.6-33.6-16.41-11.1 8.21-24.8 11.51-38.1 7.01-12.5-4.2-21.2-14.11-25.5-26.31-21.5-4.99-43.8-9.07-66.4-13.05zm119 212.86c-2.4 0-4.9.1-7.4.5-20.4 2.9-33.1 17.9-31.2 31.2 1.9 13.4 18.3 24.2 38.7 21.3 20.4-2.9 33.1-17.8 31.2-31.2-1.7-11.7-14.4-21.5-31.3-21.8zm-185.5 115c-1.2 29.4 17.7 28.6 62.6 26.4l-44.4 42.1c-9 9.3 13.6 28.4 24.7 23.7l89.9-73c7.4 45.3 8.4 46.4 11.9 58.8 3.8 13.3 28.7 8.8 26.6-1.6-4.6-23.7-9.4-81.7-19.4-123.1-14.4-5.9-20.6-18.7-22.8-34-1-7.1-.1-13.9 2.5-20.2-47.3 4.1-123.2 59.1-131.6 100.9zM257.4 361l4.1 27.6-45-3.7z"}}]})(props);
};
function GiLeatherArmor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M339.8 33.47l14 2.81c-1.2 3.02-2.5 6.32-4 9.75-5.8 13.63-14.2 29.31-20 35.12-4.9 4.85-19.8 9.57-33.1 11.48-11.2 1.8-22.4 3.9-33.7 3.9v15.97h-14V96.53c-12 .1-24.2-2.6-33.7-3.9-13.3-1.9-28.2-6.62-33.1-11.45-5.8-5.81-14.2-21.49-20-35.11-1.5-3.44-2.8-6.75-4-9.79l14-2.81c8.4 11.37 38 47.06 83.8 47.06s75.4-35.69 83.8-47.06zm31.9 6.38l31.9 6.38-29.7 74.37 32.7 49-9.5 66.1c-1.8 1.4-3.8 2.8-6 4.3-11.3 7.5-26.1 14.5-39.1 14.5-4.3 0-12-3.5-20.2-10.4-8.3-6.9-17-16.5-24.8-26.2-14.2-17.9-24.3-34.2-26-37v-18.4h11v-18h-11v-14h11v-18s38.9-7.7 50.4-18.57c10.2-10.11 17.8-26.43 24-40.82 2-4.79 3.8-9.3 5.3-13.26zm-231.4 0c1.5 3.96 3.3 8.48 5.3 13.29 6.2 14.39 13.8 30.71 24 40.79C185 107.1 220 112.5 220 112.5v18h11v14h-11v18h11v18.4c-1.7 2.8-11.8 19.1-26 37-7.8 9.7-16.5 19.3-24.8 26.2-8.2 6.9-15.9 10.4-20.2 10.4-13 0-27.8-7-39.1-14.5-2.2-1.5-4.2-2.9-6-4.3l-9.5-66.1 32.7-49-29.7-74.38zM263 130.5v14h-14v-14zm0 32V186l1.3 2.1s12.2 20.4 28.7 41c8.2 10.3 17.5 20.7 27.2 28.8 9.8 8.1 20.1 14.6 31.8 14.6 15.6 0 30-6.1 41.7-13l-2.1 15-54.2 40.7-81.4-97.8-81.4 97.8-54.2-40.7-2.1-15c11.7 6.9 26.1 13 41.7 13 11.7 0 22-6.5 31.8-14.6 9.7-8.1 19-18.5 27.2-28.8 16.5-20.6 28.7-41 28.7-41l1.3-2.1v-23.5zm-7 83.1l78.6 94.2 33.1-24.8-7.4 37c-13.1 3.1-64.2 14.5-104.3 14.5-40.1 0-91.2-11.4-104.3-14.5l-7.4-37 33.1 24.8zm90.3 128l8.7 34.9c-5.9 2-12.5 4.2-19.6 6.4-4.2 1.3-8.6 2.6-13 3.8l-6.6-39.6c11.3-1.8 21.8-3.8 30.5-5.5zm-180.6 0c8.7 1.7 19.2 3.7 30.5 5.5l-6.6 39.6c-4.4-1.2-8.8-2.5-13-3.8-7.1-2.2-13.7-4.4-19.6-6.4zm132.2 8l6.9 41.7c-13.9 3.3-27.8 5.9-39.8 6.8v-45.8c10.8-.3 22-1.4 32.9-2.7zm-83.8 0c10.9 1.3 22.1 2.4 32.9 2.7v45.8c-12-.9-25.9-3.5-39.8-6.8zm163.6 37.9l11.2 44.7s-56.2 20.2-85.6 24.3c-31.2 4.3-63.4 4.3-94.6 0-29.4-4.1-85.6-24.3-85.6-24.3l11.2-44.7c8.1 3.1 20.1 7.4 37.1 12.6 26.3 8.1 58.6 16.4 84.6 16.4 26 0 58.3-8.3 84.6-16.4 17-5.2 29-9.5 37.1-12.6z"}}]})(props);
};
function GiLeatherBoot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M230.313 18.22c-38.374 0-65.98 2.768-85.032 8.5-19.05 5.73-29.247 13.7-35.874 25.468-12.14 21.562-10.572 61.474-8.375 120.593 19.884-8.89 47.444-11.333 78.19-10.905 35.384.493 74.694 5.72 109.31 14.375 18.682-46.793 28.3-91.058 38-135.344.553 43.798.98 87.61-9.655 131.406 26.36 9.144 45.587 23.717 56.53 39.438 11.877-31.154 20.094-58.353 23.626-81.094 4.292-27.623 1.972-48.605-6.874-64.406-8.846-15.8-24.57-27.567-50.656-35.75-26.087-8.183-62.19-12.28-109.188-12.28zM171.97 180.53c-9.123.087-17.842.61-25.94 1.47-9.856 77.77-11.774 156.56-4.468 254.563 26.544 23.08 66.735 31.19 105.47 40.906-32.55 1.308-65.25.195-98.5-9.595 8.33 17.868 23.528 25.03 44 25.03H450.5c37.102 0 22.515-40.208 3.094-66.936-22.223-30.585-65.654-34.498-101.22-58.533l.126.22c-38.968-15.458-77.94.41-116.906 31.562 20.12-29.928 48.293-56.017 80.187-56.47 3.742-.053 7.544.276 11.376.97-3.076-8.267-5.614-16.393-7.656-24.376-33.092-22.49-73.682-16.99-118 2.5 22.384-19.514 49.346-35.1 75.438-35.625 13.233-.267 26.238 3.352 38.312 12.28-5.426-35.452-1.14-68.74 9.438-102.47-4.554-2.32-9.476-4.46-14.782-6.31l-12.375-2.126-2.717 9.656c-35.354-9.928-78.42-16.166-115.875-16.688-2.34-.032-4.674-.052-6.97-.03z"}}]})(props);
};
function GiLeatherVest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.375 19.656c-38.78 0-73.995 3.935-100.5 12.407-13.253 4.235-24.39 9.556-32.813 16.78-8.42 7.226-14.124 17.087-14.124 28.094 0 4.472.917 8.784 2.53 12.876 3.433 52.216-35.145 118.26-77.28 151.406 9.894 50.565 32.645 102.465 66.53 149.81 39.964 32.405 91.668 49.857 144.282 52.314v-33.75c-16.175-.15-31.88-.668-44.5-1.594l1.375-18.625c11.96.878 27.288 1.356 43.125 1.5V350.97c-15.294.57-29.984 2.542-41.063 5.936l-5.5-17.875c13.523-4.142 29.83-6.512 46.563-7.155v-33.5c-4.892.263-9.767.762-14.594 1.438-28.855 1.45-53.472 5.125-75.906 10.593l-.22-.28c28.03-20.89 64.05-31.314 100.064-31.313 36.015 0 72.034 10.425 100.062 31.312l-.125.188c-22.516-5.463-47.247-9.113-76.25-10.532-4.746-.656-9.533-1.148-14.342-1.405v33.5c16.734.643 33.04 3.013 46.562 7.156l-5.47 17.876c-11.084-3.396-25.787-5.366-41.092-5.937v39.905c15.843-.144 31.16-.622 43.125-1.5L312.188 408c-12.627.927-28.317 1.445-44.5 1.594v34c54.5-1.12 108.566-18.29 150.187-51.47 35.375-47.383 58.567-98.53 68.5-148.405-43.943-32.66-85.096-102.138-80.344-156 1.132-3.463 1.75-7.065 1.75-10.782 0-11.008-5.67-20.87-14.092-28.094-8.422-7.225-19.59-12.546-32.844-16.782-26.506-8.47-61.687-12.406-100.47-12.406zm0 18.688c37.48 0 71.312 4.03 94.78 11.53 11.736 3.752 20.793 8.394 26.345 13.157 5.552 4.765 7.594 8.92 7.594 13.907 0 2.495-.582 5.05-1.875 7.688-36.805-16.793-82.838-25.218-128.876-25.22-44.633 0-89.28 7.903-125.5 23.69-.83-2.1-1.22-4.145-1.22-6.157 0-4.99 2.042-9.143 7.595-13.907 5.55-4.762 14.608-9.404 26.343-13.155 23.47-7.5 57.334-11.53 94.812-11.53zm-2.03 40.468c41.273 0 82.56 6.716 115.186 20.188-5.193 3.626-11.645 7.13-19.155 10.28-23.424 9.827-56.93 16.22-94 16.22s-70.607-6.393-94.03-16.22c-8.22-3.446-15.152-7.322-20.564-11.31C177.984 85.2 218.167 78.81 258.345 78.812zm-35.908 63.25c6.253.724 12.667 1.266 19.22 1.625.814 5.004 1.705 10.514 2.624 16.688 2.72 18.253 5.47 39.27 5.47 52.875 0 15.196-5.87 28.974-16.03 39.594-10.163 10.62-24.316 18.284-41.25 23.28-18.763 5.537-41.102 7.852-66.032 6.72-23.82-3.486-42.194-13.06-59.97-27.656 48.897 11.737 91.53 11.613 120.72 3 14.638-4.32 25.797-10.72 33.03-18.282 7.235-7.56 10.845-16.048 10.845-26.656 0-10.86-2.608-32.175-5.282-50.125-1.202-8.075-2.384-15.295-3.343-21.063zm71.688.47c-.946 5.705-2.108 12.72-3.28 20.593-2.675 17.95-5.283 39.265-5.283 50.125 0 10.608 3.61 19.096 10.844 26.656 7.234 7.56 18.393 13.962 33.03 18.28 29.11 8.59 71.588 8.735 120.314-2.905-17.762 14.562-36.125 24.13-59.938 27.595-24.778 1.092-46.988-1.242-65.656-6.75-16.935-4.997-31.088-12.66-41.25-23.28-10.162-10.62-16.03-24.4-16.03-39.595 0-13.606 2.78-34.622 5.5-52.875.905-6.08 1.788-11.517 2.593-16.47 6.518-.276 12.915-.738 19.155-1.374zm121.25 274.655c-88.88 60.702-217.204 60.827-306.25.375l-2.375 39.188c6.073 8.603 23.877 18.598 49.406 25.094 27.31 6.95 62.423 10.798 98.313 11.125 35.888.326 72.623-2.834 103.374-9.47 28.162-6.078 51.078-15.495 63.47-26.03l-5.94-40.283z"}}]})(props);
};
function GiLed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 20.5c-45.5 0-74.137 18.276-92.676 44.23C144.784 90.685 137 125 137 155.5v151h238v-151c0-30.5-7.785-64.815-26.324-90.77C330.136 38.776 301.5 20.5 256 20.5zm8.756 11.885c1.285 0 2.554.018 3.812.047A184 235.5 0 0 0 145.91 160.336c1.113-28.645 9.045-59.746 26.17-83.72 18.54-25.955 47.176-44.23 92.676-44.23zM105 324.5v46h302v-46H105zm78 64v39h-7v32h7v32h18v-32h7v-32h-7v-39h-18zm128 0v39h-7v32h7v32h18v-32h7v-32h-7v-39h-18z"}}]})(props);
};
function GiLeeEnfield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M465.659 42.63l-16.16 11.83 11.82 15.69-.272.181 6.32 8.559 22.551-17-8-10.68-6.26 4.71-10-13.29zm-29.09 21.48L269.108 183.86c0 .54-.06 1.03-.06 1.54l-2.16 22.78a16 16 0 0 1-6.52 11.46l-41.91 30.5a16 16 0 0 1-22.35-3.52l-4.95-6.8-29.79 21.48c-1.67 1.22-2.011 3.74-.811 6l2.09 3.951a4.9 4.9 0 0 1-.158 5.37l-48 58.71a1.77 1.77 0 0 1-.282.27l-90.699 70.42c-1.84 1.43-1.91 4.46-.15 6.76l40.82 54.179a5.69 5.69 0 0 0 4.41 2.41h.18a3.47 3.47 0 0 0 2.84-1.59l84.43-111.3a4.2 4.2 0 0 0 1.33-4.37s-3.04-16.07-2.32-17.07c0 0 28.7-38.39 28.95-38.58L454.788 88.7l-18.22-24.59zm-183.5 119.82l-54.14 39.39 10.118 13.91 41.91-30.5 2.112-22.8zm20.138 64.25l-38.629 29.6 7.49 15.37a5.14 5.14 0 0 0 4.73 2.87h.25a6 6 0 0 0 4.57-2.45l22.77-30.59a5.63 5.63 0 0 0 1-4.51l-2.18-10.29zm-59.44 45.6l-5.929 4.59a12.81 12.81 0 0 1-16.48 18.16l-2.26 3-2.26 3a20.27 20.27 0 0 0 30.08-14.81 20.1 20.1 0 0 0-3.15-13.94z"}}]})(props);
};
function GiLeechingWorm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M274.594 16.5c-2.147-.007-4.297-.006-6.438.03-15.81.278-31.407 1.78-46.53 4.47-40.333 7.173-77.33 22.934-104.876 47.656-27.545 24.723-45.385 58.75-46.53 100.25-1.453 52.56 27.335 87.403 51.06 117.344 11.864 14.97 22.504 28.927 28.532 43.188 6.03 14.26 7.908 28.588 2.313 46.937-10.285 33.726-36.38 49.367-64.844 52.97-26.328 3.33-53.875-5.06-68.78-19.47v83.875h240.875c91.64-44.99 89.13-179.822 10.156-252.47-25.676-10.105-55.58-12.25-85.686-12.25 48.363-22.474 115.757-16.348 142.97 21.5 5.27 9.6 12.273 17.978 20.998 24.626 19.64 14.966 44.538 17.114 67.282 8.813 22.743-8.302 43.76-26.614 58.656-52.564 29.79-51.9 25.625-117.1-13.656-147.03-.288-.22-.585-.412-.875-.626l.155-.188c-3.3-3.033-6.712-5.958-10.188-8.78-60.71-38.006-120.518 24.125-130.562 87.343-20.896-53.192 26.93-110.032 73.72-121.53-36.918-16.038-77.8-23.96-117.75-24.095zM417 89.344c8.427 23.52 7.12 45.02-.75 65.187 20.403-13.75 32.3-29.77 41.47-46.53 6.046 7.484 10.53 16.85 13.25 27.375-10.75 15.446-23.42 29.015-43.25 35.375 15.52 3.282 31.007 5.977 45.842.97-.972 10.445-3.355 21.135-7.25 31.624-15.414 1.304-30.94-2.482-46.53-8.72 6.592 16.14 17.788 27.9 31.5 37.25-9.654 13.64-21.19 23.85-33.094 30.25l-18.22-52.655c-2.674 19.456-11.002 39.586-20.906 59.874-7.05-1.372-13.75-4.35-19.937-9.063-4.595-3.5-8.605-7.846-12-12.874 13.926-14.232 25.73-30.607 33.094-51.625l-45.345 17.845c-1.42-10.01-1.43-20.735.125-31.656l44.094-11.25-35.75-19.064c2.007-4.827 4.328-9.594 7-14.25 3.587-6.25 7.566-11.914 11.812-17L392.78 148.5c1.72-18.385.54-35.324-4.217-50.5 3.528-1.974 7.1-3.608 10.656-4.906 6.022-2.2 11.98-3.458 17.78-3.75z"}}]})(props);
};
function GiLeek (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448.7 28.93c-10.8 0-20.9 1.22-34.4 9.61-16.9 35.27-36.9 63.56-58.7 93.96l-.7 2.5 30.8-13.1c24.5-31.63 45.4-62.58 63-92.97zm-90.3 3.23c-.8 0-1.5.1-2.2.16-5.3.67-10.7 2.74-19.1 12.34L314.6 123c-2.3 23.3-5.6 46.7-9.6 70.2 5.3-1.6 10.7-3.2 16-4.8l44.3-156c-1.6-.1-3.2-.23-4.6-.23h-2.3zm-63.9 7.37c-4 .15-10.9 2.81-19.3 12.39-10.2 52.28-8.6 91.78-32.5 169.48l-.6 2L101.5 376c11.9 2.3 20.2 7.2 25.6 13.8 4.4 5.4 6.8 11.2 8.7 16.5L275.5 250c15.1-68.8 25.1-136.9 25.1-203.84v-.83c.3-3.22-.9-5.14-4.6-5.72-.4-.1-.9-.1-1.5-.1zm160.3 72.27l-106.3 45.5-7.1 25.1c7.2-2 14.4-4 21.7-5.8l107-46.8c-1.5-3.6-3-6.9-4.6-9.5-2.4-3.9-5.1-6.6-10.7-8.5zm-.1 65.7c-54 5.7-103.4 20.4-153.2 35.5-1.9 9.6-3.8 19.3-5.8 28.9 57.6-16.3 115-32.7 182.3-51-1.3-1.4-2.5-2.8-3.7-4-4.3-3.8-9.4-7-19.6-9.4zM86.29 392.6L36.14 447c-8.98 20.3 12.14 42.9 32.69 34.1L122 421.6c-3.4-8.6-5.2-15.9-8.9-20.4-3.8-4.7-9.9-8.6-26.81-8.6z"}}]})(props);
};
function GiLegArmor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 22.781c-11.101 10.941-19.822 27.6-26.076 41.203 6.044 20.063 11.083 40.869 27.539 54.926 18.862-14.015 27.05-33.752 35.187-56.351C154.631 51.155 144.412 34.368 128 22.78zm256 0c-16.412 11.587-26.631 28.374-36.65 39.778 8.137 22.599 16.325 42.336 35.187 56.351 16.456-14.057 21.495-34.863 27.54-54.926C403.821 50.381 395.1 33.722 384 22.781zM222.23 46.104c-11.546 2.749-24.948 7.229-37.04 12.68-8.622 28.9-21.924 55.363-45.965 74.734l16.55 177.107-19.933-8.438-14.61-167.787c-16.163-16.006-28.001-43.023-38.39-71.285-3.545-2.304-7.083-4.15-10.621-5.424 6.237 82.926 25.341 186.732 47.006 274.592 2.544-1.159 5.746-2.4 8.724-3.459 29.464 7.318 56.995 29.357 81.848 53.067C192 272 256 160 222.23 46.104zm67.54 0C256 160 320 272 302.2 381.89c24.853-23.71 52.384-45.75 81.848-53.067 2.978 1.06 6.18 2.3 8.724 3.46 21.665-87.86 40.77-191.667 47.006-274.593-3.538 1.274-7.076 3.12-10.62 5.424-10.39 28.262-22.228 55.28-38.391 71.285l-14.61 167.787-19.933 8.438 16.55-177.107c-24.04-19.37-37.343-45.834-45.964-74.735-12.093-5.45-25.495-9.93-37.041-12.68zM129.004 347.83c-13.31 5.672-27.915 18.355-33.014 34.666 23.725 4.679 52.808 18.407 75.524 40.389l3.947 26.867 33.467-12.074-1.33-29.082c-19.75-28.701-51.073-52.92-78.594-60.766zm253.992 0c-27.52 7.846-58.843 32.065-78.594 60.766l-1.33 29.082 33.467 12.074 3.947-26.867c22.716-21.982 51.8-35.71 75.524-40.389-5.099-16.311-19.704-28.994-33.014-34.666zM90.69 399.703l-52.257 39.272c-10.312 15.251-12.923 32.609-8.657 47.158 52.559 9.293 88.252-3.287 129.043-25.838l-4.275-29.084c-14.703-15.135-33.665-26.354-63.854-31.508zm330.622 0c-30.189 5.154-49.151 16.373-63.854 31.508l-4.275 29.084c40.791 22.55 76.484 35.131 129.043 25.838 4.266-14.55 1.655-31.907-8.657-47.158l-52.257-39.272z"}}]})(props);
};
function GiLeg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.09 16.96V170.7C73.51 193.5 202.7 200 259.8 189.4c-18.1 105.6 34 177.3 31.1 226.5-2 33.3-22.9 39-13.5 69.3 4.9 15.6 193 5.1 201.1 4.9 7.7-.3 5.4-19.2-13.3-27.2-35.2-15.1-80.2-10.7-110.1-47-9.7-14.6 6.9-180.3 10-241.4.8-15.7 4.7-78.91-60-100.5C225 47.24 123 27.32 19.09 16.96z"}}]})(props);
};
function GiLemon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M372.155 22.74c-2.383.006-4.78.023-7.188.048-96.615 1.006-212.449 16.343-293.129 48.299 53.634 30.517 147.245 69.92 225.258 63.623 105.888-13.769 130.213-63.196 166.272-101.89-80.543 35.402-188.935 68.295-277.344 47.288l4.16-17.513c73.994 17.581 169.091-7.127 245.187-37.719-19.444-1.475-40.736-2.204-63.216-2.137zm116.047 10.769c-39.292 35.566-65.02 103.045-189.024 119.088l-.209.027-.213.018c-61.286 5.007-128.03-14.881-181.385-38.34C27.258 195.335-3.358 324.769 46.178 423.278c-7.19 15.133-14.1 55.714-5.344 61.455 9.907 6.497 56.377 9.562 100.434-16.152 266.975 22.149 381.075-197.096 334.31-373.64 8.996-17.539 16.994-48.322 12.623-61.432zm-48.096 205.65l17.713 3.207c-2.711 14.97-3.485 18.941-11.979 35.942l-16.103-8.045c8.295-16.605 7.624-15.945 10.369-31.104zm-35.526 1.266l17.248 5.146c-3.966 13.29-4.674 15.182-15.61 32.938l-15.327-9.44c10.918-17.725 9.683-15.218 13.69-28.644zm17.729 53.422l16.557 7.062c-8.988 21.07-21.13 37.16-39.688 52.98l-11.676-13.699c17.009-14.499 26.767-27.494 34.807-46.343zm-46.104 1.103l15.397 9.324c-2.623 4.33-8.042 11.385-14.457 19.522-6.415 8.136-13.293 16.513-17.988 21.48l-13.08-12.365c3.706-3.92 10.693-12.345 16.931-20.258 6.239-7.913 12.26-16.156 13.197-17.703zm-43.068 50.4l12.639 12.815c-9.895 9.759-20.094 15.268-35.375 24.004l-8.934-15.627c15.413-8.811 23.773-13.403 31.67-21.191zm35.586 17.608l11.492 13.854c-9.585 7.95-22.44 17.369-37.342 25.14l-8.324-15.96c13.363-6.97 25.313-15.684 34.174-23.034zm-88.23 15.025l5.69 17.077-17.878 5.96-5.691-17.078zm-41.774 14.329l5.309 17.199c-16.105 4.971-22.016 7.66-42.565 7.85l-.166-18c19.248-.178 20.64-1.87 37.422-7.05zm69.85 7.666l7.642 16.296c-15.603 7.318-36.356 15.454-56.24 19.31l-3.426-17.67c17.473-3.389 37.378-11.067 52.024-17.936zm-91.68 29.017l4.77 17.358c-11.888 3.267-22 2.141-35.957 1.748l.507-17.993c14.53.41 22.439 1.152 30.68-1.113z"}}]})(props);
};
function GiLeo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M168.817 305.907c12.462 0 22.567-10.1 22.567-22.566s-10.105-22.56-22.567-22.56-22.567 10.094-22.567 22.56c0 12.467 10.105 22.567 22.567 22.567zM59.85 283.487c0-59.368 47.824-107.56 107.046-108.155-1.167-8.847-1.714-18.013-1.443-27.63C170.835-40.66 463.57-1.64 419.316 179.118c-16.387 66.94-44.974 130.56-71.378 188.645-24.682 54.31 13.657 50.307 17.238 32.797l83.598 1.82c-3.044 139.3-258.61 110.427-176.962-69.216 26.777-58.917 48.966-116.556 66.282-173.938 19.813-65.64-130.754-90.223-76.484 49.75 7.782 20.08 14.543 44.747 14.427 69.036l.135 5.47c0 59.733-48.424 108.158-108.163 108.158-59.74 0-108.16-48.42-108.16-108.154z"}}]})(props);
};
function GiLetterBomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M287.72 18.813l-65.314 84.25-56.094-59.907-22.437 71.25-68.156-22.25 36.343 77.125-82.688 30.282 74.75 54.907-84.78 85.968 95.436 9.906-39.03 90.312 108.063-35.094 4.156 90.594 68.53-70.406 48.72 58.156 26.967-61.937 84.22 54.124-17.97-89.125 71.938 20.81-36.906-79.5 61.5-9.467-44.75-50.094 41.905-42.658L441.97 213.5 477 131.437l-96.53 27.438 23.655-91.78-95.594 62.468-20.81-110.75zm-119.94 146.5c105.715 3.01 184.245 43.667 252 101.843l-179.842 13.72-72.157-115.563zm-15.593 10.312l44.907 71.875-75.28 36 30.374-107.875zm54.875 87.844l20.032 32.092 3 4.813 5.625-.438 48.593-3.718 31.375 80.624c-47.482-31.943-113.61-65.86-190.313-74.344l81.688-39.03zm212.125 22.436l-82.093 94.5-33.344-85.656 115.438-8.844z"}}]})(props);
};
function GiLevelCrossing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M84.501 24v45.064l9.139 4.063 8.861-3.94V24h-18zM45.175 71.283l-22.676 7.559 29.14 12.951 19.842-8.818-26.306-11.692zm96.931 0L22.501 124.441 45.175 132l119.607-53.158-22.676-7.559zm-6.466 40.207l-19.84 8.819L142.106 132l22.674-7.559-29.14-12.95zm291.478 5.008l-16.695 9.629-10.998 40.975 19.527-11.262 9.8-36.508-1.634-2.834zM93.64 130.158l-9.139 4.06v55.264c4.818 4.332 8.368 10.05 10 16.502a33.108 33.108 0 0 1 8-14.54v-57.348l-8.861-3.938zm294.732 8.688l-19.53 11.263-10.997 40.975 19.529-11.264 10.998-40.974zm-41.58 23.982l-19.53 11.264-10.997 40.974 19.529-11.263 10.998-40.975zm-41.58 23.98l-19.53 11.264-10.997 40.977 19.529-11.264 10.998-40.976zM62.5 199c-8.39 0-15 6.61-15 15s6.61 15 15 15 15-6.61 15-15-6.61-15-15-15zm64 0c-8.39 0-15 6.61-15 15s6.61 15 15 15 15-6.61 15-15-6.61-15-15-15zm137.13 11.791l-19.528 11.264-10.999 40.974 19.53-11.263 10.998-40.975zm-169.13 11.225c-1.632 6.452-5.182 12.17-10 16.502v54.808l18-10.38v-46.39a33.108 33.108 0 0 1-8-14.54zm127.553 12.755l-19.53 11.264-11 40.977 19.53-11.264 11-40.977zm-41.58 23.983l-19.53 11.264-10.998 40.976 19.53-11.265 10.998-40.975zm-41.58 23.982l-32.948 19.002 14.024 26.545 7.926-4.572 10.998-40.975zm-48.551 28.002l-49.57 28.59 14.988 25.988 48.607-28.035-14.025-26.543zm42.158 31.096l-78 44.988V486h78V341.834zm339 2.166v144h18V344h-18z"}}]})(props);
};
function GiLevelFourAdvanced (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16 16c48 96 24 120 72 168 0 0 48 0 72-24s24-72 24-72c-48-48-72-24-168-72zm144 144c-24.57 24.57-39.75 58.51-39.75 96s15.18 71.43 39.75 96c24.57 24.57 58.51 39.75 96 39.75s71.43-15.18 96-39.75c24.57-24.57 39.78-58.51 39.78-96s-15.21-71.43-39.78-96c-24.57-24.57-58.51-39.75-96-39.75s-71.43 15.18-96 39.75zm192 0c24 24 72 24 72 24 48-48 24-72 72-168-96 48-120 24-168 72 0 0 0 48 24 72zm0 192c-24 24-24 72-24 72 48 48 72 24 168 72-48-96-24-120-72-168 0 0-48 0-72 24zm-192 0c-24-24-72-24-72-24-48 48-24 72-72 168 96-48 120-24 168-72 0 0 0-48-24-72zm62.063-197.813h67.875v67.875h67.875v67.875h-67.875v67.875h-67.875v-67.875h-67.875v-67.875h67.875v-67.875z"}}]})(props);
};
function GiLevelFour (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16 16c48 96 24 120 72 168 0 0 44.864 0 69.53-21.688A135.765 135.765 0 0 0 120.25 256a135.765 135.765 0 0 0 271.5 0 135.765 135.765 0 0 0-36.375-92.906C380.22 183.997 424 184 424 184c48-48 24-72 72-168-96 48-120 24-168 72 0 0 .004 44.6 21.5 69.313a135.765 135.765 0 0 0-186.72-.344C183.987 132.19 184 88 184 88c-48-48-72-24-168-72zm72 312c-48 48-24 72-72 168 96-48 120-24 168-72 0 0 0-48-24-72s-72-24-72-24zm336 0s-48 0-72 24-24 72-24 72c48 48 72 24 168 72-48-96-24-120-72-168z"}}]})(props);
};
function GiLevelThreeAdvanced (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 46c-27.713 84-55.438 84-55.438 140 0 0 27.725 28 55.438 28 27.712 0 55.438-28 55.438-28 0-56-27.726-56-55.438-140zm0 168c-61.22 0-110.844 50.143-110.844 112 0 20.287 5.353 39.307 14.688 55.72-13.986-24.05-51.563-34.22-51.563-34.22-48 28-34.137 52.25-92.28 118.5 85.856-17.75 99.72 6.5 147.72-21.5 0 0 10.076-38.055-3.626-62.313C179.287 415.56 215.047 438 256 438s76.713-22.44 95.906-55.813c-13.7 24.258-3.625 62.313-3.625 62.313 48 28 61.863 3.75 147.72 21.5-58.144-66.25-44.28-90.5-92.28-118.5 0 0-37.577 10.17-51.564 34.22 9.335-16.413 14.688-35.433 14.688-55.72 0-61.856-49.623-112-110.844-112zm-27.72 28h55.44v56h55.405v56H283.72v56h-55.44v-56h-55.405v-56h55.406v-56z"}}]})(props);
};
function GiLevelThree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 46c-27.713 84-55.438 84-55.438 140 0 0 27.725 28 55.438 28 27.712 0 55.438-28 55.438-28 0-56-27.726-56-55.438-140zm3.25 168.063A110.852 112 0 0 0 145.156 326a110.852 112 0 0 0 221.688 0A110.852 112 0 0 0 259.25 214.062zM108.28 347.5c-48 28-34.137 52.25-92.28 118.5 85.856-17.75 99.72 6.5 147.72-21.5 0 0 10.137-38.25-3.72-62.5-13.856-24.25-51.72-34.5-51.72-34.5zm295.44 0S365.856 357.75 352 382c-13.856 24.25-3.72 62.5-3.72 62.5 48 28 61.863 3.75 147.72 21.5-58.144-66.25-44.28-90.5-92.28-118.5z"}}]})(props);
};
function GiLevelTwoAdvanced (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-22.5 72-45 72-45 120 0 0 22.5 24 45 24s45-24 45-24c0-48-22.5-48-45-120zm0 144c-49.706 0-90 42.98-90 96s40.294 96 90 96c49.705 0 90-42.98 90-96s-40.295-96-90-96zm0 192c-22.5 0-45 24-45 24 0 48 22.5 48 45 120 22.5-72 45-72 45-120 0 0-22.5-24-45-24zm-22.5-168h45v48h45v48h-45v48h-45v-48h-45v-48h45v-48z"}}]})(props);
};
function GiLevelTwo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-22.5 72-45 72-45 120 0 0 22.5 24 45 24s45-24 45-24c0-48-22.5-48-45-120zm2.625 144.03A90 96 0 0 0 166 256a90 96 0 0 0 180 0 90 96 0 0 0-87.375-95.97zM256 352c-22.5 0-45 24-45 24 0 48 22.5 48 45 120 22.5-72 45-72 45-120 0 0-22.5-24-45-24z"}}]})(props);
};
function GiLever (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M235.344 31.188c-35.92.543-70.472 6.628-102.97 18l5.72 17.468c30.61-10.843 63.185-16.653 97.187-17.156l.064-18.313zm18.687.187l-.06 18.375c46.9 1.963 96.236 13.842 146.56 36.47l9.376-16.25C356.84 45.9 304.253 33.282 254.03 31.374zm-139.093 24.5c-20.133 8.42-39.376 18.953-57.562 31.5l8.813 16.53c17.207-12.117 35.41-22.284 54.468-30.436l-5.72-17.595zm312.97 20.25l-61.5 106.53 55.124 31.814 61.5-106.532-55.124-31.813zm-174.063 6.313l-.03 18.406c39.736 1.29 80.36 11.3 120.342 31.062l9.375-16.22c-42.846-21.33-86.708-32.012-129.686-33.25zm-18.688.062c-29.644 1.034-58.722 6.555-86.625 16.156l5.72 17.53c26.066-9.063 53.198-14.28 80.875-15.28l.03-18.406zM42.126 98.53c-8.205 6.396-16.177 13.24-23.876 20.5l9.97 16.345c7.376-7.136 15.013-13.842 22.874-20.125l-8.938-16.72h-.03zm88.905 6.72c-17.292 7.142-34.04 15.886-50.124 26.125l8.813 16.5c15.13-9.78 30.847-18.16 47.06-25l-5.75-17.625zm122.626 35.28l-.062 18.44c30.17 1.18 61.405 7.815 93.156 20.405l9.438-16.344c-34.7-14.046-69.15-21.353-102.532-22.5zm-18.687.032c-23.744.82-46.85 4.73-69 11.563l5.718 17.5c20.297-6.28 41.433-9.915 63.218-10.688l.063-18.375zm-169.626 1.375c-7.647 5.49-15.13 11.32-22.406 17.5l9.874 16.157c6.96-6.02 14.107-11.72 21.407-17.063l-8.876-16.593zm82.97 16.344c-14.515 5.62-28.545 12.503-42.033 20.595l8.782 16.406c12.534-7.633 25.55-14.124 39-19.436l-5.75-17.563zM90.53 189.03c-6.896 4.782-13.607 9.887-20.155 15.314l9.844 16.125c6.23-5.272 12.61-10.237 19.155-14.876L90.53 189.03zm279.19 17.126L292.28 340.25c11.3 3.162 22.027 7.753 31.94 13.563l75.31-130.47-29.81-17.187zm-114.033 147.78c-60.607.002-110.206 45.816-116.406 104.752h82.126c-2.206-4.67-3.437-9.87-3.437-15.344 0-19.872 16.315-36.156 36.186-36.156 19.872 0 36.188 16.284 36.188 36.156 0 5.475-1.23 10.674-3.438 15.344h85.188c-6.2-58.936-55.8-104.75-116.406-104.75zm-1.53 71.94c-9.773 0-17.5 7.696-17.5 17.468 0 6.678 3.626 12.39 9.03 15.344h16.938c5.404-2.955 9.03-8.666 9.03-15.344 0-9.772-7.727-17.47-17.5-17.47zm-153.47 51.5v15.687h303.344v-15.688H100.69z"}}]})(props);
};
function GiLiar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M197 41c-40.8 0-78.1 23.07-105.76 61.8-4.37 6.1-8.48 12.6-12.31 19.5 1.03 2 2.05 4 3.06 6.1 9.95 20.9 20.01 46 11.35 67-3.5 8.4-10.59 13.7-17.91 17-7.31 3.2-15.18 4.6-22.4 4.6-1.46 0-2.96-.1-4.46-.2-1.66 12.7-2.53 25.8-2.53 39.2 0 60.1 17.49 114.4 45.2 153.2C118.9 447.9 156.2 471 197 471c40.8 0 78.1-23.1 105.8-61.8 10.1-14.2 18.8-30.4 25.8-48.2H197v-18h272c20 0 20-46 0-46H197v-18h150.1c.6-7.5.9-15.2.9-23 0-60.1-17.5-114.4-45.2-153.2C275.1 64.07 237.8 41 197 41zM53.04 112.8c-3.76 6.2-8.38 14.3-12.71 23.4-9.25 19.3-15.17 42.2-10.97 52.4 1.08 2.6 4 5.3 8.56 7.3 4.56 2 10.41 3.1 15.12 3.1 4.71 0 10.56-1.1 15.12-3.1 4.57-2 7.48-4.7 8.57-7.3 4.19-10.2-1.73-33.1-10.97-52.4-4.34-9.1-8.96-17.2-12.72-23.4zM133 215c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm128 0c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm-64 168c10.7 0 20.5 3.2 28 8.8 7.6 5.7 13 14.3 13 24.2 0 9.9-5.4 18.5-13 24.2-7.5 5.6-17.3 8.8-28 8.8s-20.5-3.2-28-8.8c-7.6-5.7-13-14.3-13-24.2 0-9.9 5.4-18.5 13-24.2 7.5-5.6 17.3-8.8 28-8.8z"}}]})(props);
};
function GiLibertyWing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M487 37.1C396.4 53.23 292 95.28 207.5 140 163 163.6 124 187.8 95.39 209.2 81.08 220 69.36 230 60.93 238.6c-8.43 8.7-13.38 16.3-14.65 20.3-9.04 28.7-3.42 57.7 1.73 84.7 9.55 50.4-3.23 88.9-22.98 126.3 25.24-5.7 45.36-19.8 57-47 8.47-19.8 9.13-37 11.43-57.6 2.3-20.6 6.45-44.2 22.44-73.2l.2-.4.2-.4c8.8-12.6 26.2-22.2 50-33.4 23.7-11.2 53.6-23 86-35.1 63.8-23.8 137.2-48.7 190.1-71.3 20-30.1 34-74.24 44.6-114.4zm-55 138.2c-51.7 21-116.6 43.1-173.5 64.3-32.2 12-61.8 23.7-84.6 34.5-22.6 10.7-38.5 21.6-42.6 27.2-6.8 12.3-11.1 23.2-14 33.3 83.4-6.5 195.3-31.8 271.3-66.6 27.4-29.7 36.9-59.7 43.4-92.7zm-58 118.8c-79 32.2-182 53.3-260.8 58.6-.9 5-1.5 9.8-2 14.6-.4 3.5-.7 7.1-1.1 10.6 72.4 7.5 136.3 4 206.2-6.5 32.6-22.5 49.8-49.6 57.7-77.3zm-78.4 98.2c-62.3 8.1-121.6 10.2-187.6 3.4-.7 4.5-1.6 9-2.7 13.6 35.9 19.2 98.1 25.8 140.7 24.6 30.2-12.4 41.5-24.8 49.6-41.6zM99.78 426.7c-1.15 2.1-3.14 6.7-4.21 8.9 14.03 20.2 48.73 32.2 88.43 39.3 21.2-8 28.3-15.5 36.5-23-39.7-1.1-86.7-7.7-120.7-25.2z"}}]})(props);
};
function GiLibra (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M34.303 381.03h443.23v82.957H34.303V381.03zm258.44-66.852v-51.04c24.66-13.395 40.927-38.56 40.927-67.453 0-42.325-34.9-76.633-77.933-76.633-43.033 0-77.928 34.308-77.928 76.633 0 28.546 15.868 53.446 39.412 66.633v51.86l-.306 31.57H34.298v-82.95h66.225c-9.99-20.48-15.558-43.28-15.558-67.297 0-89.033 76.53-161.215 170.94-161.215s170.94 72.182 170.94 161.216c0 24.02-5.568 46.818-15.557 67.297h66.23v82.95H292.753l-.01-31.57z"}}]})(props);
};
function GiLibya (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M477.6 99.68l8.5 363.72L454 465 211.7 351.9l-48.1 28.2-137.68-94 14.52-133L98.59 46.98 199.4 77.54l13.1 25.96 97 39.7 34.4-13.8-19.1-45.75 82.5-22.92z"}}]})(props);
};
function GiLifeBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M159.4 26.23c-51.4.6-79.6 56.3-79.3 86.97 1.5 47.3 34.2 79.4 74.8 114.8 35.4 30.8 76.1 63.2 100.9 110 .1-.1.1-.2.2-.3.1.1.1.2.2.3 24.8-46.8 65.5-79.2 100.9-110 40.6-35.4 73.3-67.5 74.8-114.8.3-30.67-27.9-86.37-79.3-86.97-38-.5-82.6 25.7-96.6 67.7-14-42-58.6-68.2-96.6-67.7zM23 375v114h466V375H23zm18 18h430v78H334v-60H41v-18z"}}]})(props);
};
function GiLifeBuoy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M367.35 80.512a208 208 0 0 0-222.64.074l54.33 69.853a120 120 0 0 1 113.893.035l54.416-69.963zm64.064 64.197l-69.853 54.33a120 120 0 0 1-.035 113.893l69.963 54.416a208 208 0 0 0-.074-222.64zm-280.94 54.357L80.513 144.65a208 208 0 0 0 .074 222.64l69.853-54.33a120 120 0 0 1 .035-113.893zM312.962 361.56a120 120 0 0 1-113.893-.035l-54.416 69.963a208 208 0 0 0 222.64-.074l-54.33-69.853z"}}]})(props);
};
function GiLifeInTheBalance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.03 22.313L209.19 72.156H132.28l-22.5-22.5L78.626 80.78l31.156 31.157 21.064-21.093h79.78l32.5 32.5V332.75h-.218c0 56.654-22.68 110.59-46.687 128.063-26.692 7.45-47.682 19.485-58.94 33.906h243.532c-11.076-14.24-31.834-26.13-58.156-33.595-22.125-16.208-44.998-65.613-47.687-118.188V123.313l32.467-32.468h78.375l21.094 21.094L438.03 80.78l-31.124-31.124-22.53 22.5h-75.5L259.03 22.312zM138.72 141.906c-11.43.448-22.967 6.792-30.25 20.47-18.616-32.072-67.794-24.488-66.532 15.03 1.184 37.068 51.412 49.448 66.53 88.813 15.97-39.372 67.584-49.38 66.344-88.814-.707-22.547-18.265-36.198-36.093-35.5zm305.81 46.78c-12.498-.098-24.312 3.91-35.75 10.94-24.375 14.98-22.752 50.796-72.467 63.655 56.016 32.366 90.476-55.05 148.218-60.842-14.287-9.422-27.5-13.65-40-13.75zm-103.624 34.126c-30.63-.368-36.37 22.524-11.406 36.938-7.054-13.125-2.727-27.236 14.47-36.813-1.04-.06-2.076-.113-3.064-.125zM18.75 283.72c0 21.618 42.385 39.155 94.656 39.155 52.27 0 94.625-17.537 94.625-39.156H18.75zm283.438 0c0 21.618 42.385 39.155 94.656 39.155 52.27 0 94.625-17.537 94.625-39.156H302.186z"}}]})(props);
};
function GiLifeJacket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M141 35c-13 0-26.9.98-38.6 2.88-8.3 1.36-15.6 3.39-20.5 5.33 3.4 24.58 4.8 57.69 0 90.09-4.9 33.5-16.3 66.4-40.9 85.3V294h142v-25h64V139.2c-16-9.8-27.4-25.9-36.9-42.8-10.4-18.72-18.4-38.91-26.2-54.37l-.7-1.53c-1.4-.74-4.4-1.84-8.4-2.7-8.4-1.78-20.7-2.8-33.8-2.8zm230 0c-13.1 0-25.4 1.02-33.8 2.8-4 .86-7 1.96-8.4 2.7l-.7 1.53c-7.8 15.46-15.8 35.65-26.2 54.37-9.5 16.9-20.9 33-36.9 42.8V269h64v25h142v-75.4c-24.6-18.9-36-51.8-40.9-85.3-4.8-32.4-3.4-65.51 0-90.09-4.9-1.94-12.1-3.97-20.5-5.33C397.9 35.98 384 35 371 35zM201 287v62h110v-62zm23 14h64v18h-64zM41 344v62c0 1.3.3 3.8.8 7h204.6c.4-2.5.6-4.8.6-7v-39h-64v-23zm288 0v23h-64v39c0 2.2.2 4.5.6 7h204.6c.5-3.2.8-5.7.8-7v-62zM45.4 431c1.5 6 3.2 12.3 5.1 18.2 2.9 8.6 6.3 16.6 9.5 21.9 1.5 2.7 3.1 4.6 4.1 5.4.4.4.4.5.5.5H208c-.5 0 3.6-1.2 8-5.5 4.5-4.3 9.7-10.8 14.4-18.3 4.3-6.8 8.1-14.6 11-22.2zm225.2 0c2.9 7.6 6.7 15.4 11 22.2 4.7 7.5 9.9 14 14.4 18.3 4.4 4.3 8.5 5.5 8 5.5h143.4l.5-.5c1-.8 2.5-2.7 4.1-5.4 3.2-5.3 6.6-13.3 9.5-21.9 1.9-5.9 3.7-12.2 5.1-18.2z"}}]})(props);
};
function GiLifeSupport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M374.688 33.78c-40.753-.25-82.475 21.226-109.22 71.782l-7.906 14.938-8.468-14.656c-32.643-56.628-91.52-77.628-141.406-67.813C57.801 47.848 17.09 87.075 19.31 157.126c1.276 40.232 18.886 72.314 44.876 102.063 7.425-19.163 12.86-40.794 16.218-64.844l.03-.188.033-.22c3.27-17.58 16.133-28.45 29.405-29.31 1.896-.124 3.8-.046 5.688.25 14.87 2.323 27.108 17.422 24.718 36.593v.06l-.03.064c-5.195 37.19-15.408 71.8-30.72 102.125 3.552 3.154 7.14 6.32 10.782 9.5 2.316 2.018 4.72 4.062 7.063 6.092 10.018-2.448 20.884-6.123 32.313-10.812.433.697.875 1.395 1.343 2.094l9.626 14.375c-8.86 3.69-17.542 6.848-25.97 9.374 42.482 36.955 86.22 77.407 112.75 132.437 16.882-33.235 40.17-60.668 65.502-85.124-1.818-1.453-3.493-3.138-4.97-5.062-8.02-10.457-7.668-24.424-2.718-37s14.513-24.804 27.563-34.813c13.05-10.008 27.32-16.04 40.75-17.56 3.357-.38 6.713-.476 10-.22 9.74.76 18.796 4.505 24.812 12.156 19.22-17.21 36.378-34.68 49.406-53.625 17.402-25.3 27.682-52.99 26.595-87.843-1.426-45.725-22.027-80.43-50.906-101.312-1.27 10.676-4.632 21.77-9.626 33.156-.075-.05-.144-.105-.22-.155l-15.874-10.53c5.078-12.455 7.72-23.76 7.563-33.25-7.31-3.52-14.927-6.292-22.75-8.25-9.104-2.28-18.47-3.506-27.875-3.564zm13.656 53.126c3.786-.046 10.03 1.552 17.875 6.75l17.092 11.313c12.656 8.387 12.5 16.663 10.97 19.28-.766 1.308-1.8 2.333-5.126 2.5-3.325.167-9.003-1.103-16.344-5.97l-17.062-11.31c-7.25-4.806-11.08-9.825-12.625-13.532-1.545-3.708-1.003-5.742-.344-6.813.66-1.07 1.778-2.172 5.564-2.22zM113.313 124.47c21.762.174 42.915 11.463 54.562 31.5 16.498 28.38 8.087 64.472-18.313 83.03l6.375-38.844c3.358-11.243 2.193-23.783-4.218-34.812-7.748-13.327-21.324-21.163-35.657-22.156-1.076-.075-2.17-.098-3.25-.094-7.57.023-15.222 1.952-22.282 6-12.853 7.37-20.63 19.956-22.155 33.437l-8.22 39.97c-.745-1.114-1.472-2.232-2.155-3.406-17.49-30.085-7.028-68.875 23.22-86.22 9.45-5.42 19.773-8.12 30-8.374.702-.018 1.39-.037 2.093-.03zm275.937 3.155l13.25 8.75c.805.534 1.607 1.013 2.406 1.5-7.525 10.237-15.925 20.55-25.03 30.844l-13.845-12.564c8.468-9.582 16.27-19.135 23.22-28.53zm-55.563 32.188c.66-.03 1.438.025 2.375.156 3.75.522 9.684 3.023 16.657 9.343l2.686 2.437 12.5 11.344c11.25 10.196 9.845 18.36 7.938 20.72-.954 1.177-2.125 2.02-5.438 1.686-3.312-.335-8.724-2.43-15.25-8.344l-15.187-13.75c-6.445-5.84-9.47-11.383-10.44-15.28-.97-3.9-.125-5.822.69-6.782.61-.72 1.487-1.443 3.467-1.53zM110.78 183.188c-4.597.032-9.852 2.955-11.936 14.156-9.634 68.432-36.04 121.17-79.03 153.25l-.002 26.562C76.6 342.28 110.698 278.136 121.75 199c1.323-11.076-3.913-14.852-9.063-15.656-.62-.097-1.25-.16-1.906-.156zM326.595 196.5c.27.252.536.5.812.75l13.063 11.813c-7.305 6.834-14.808 13.584-22.5 20.187-3.396 2.914-6.833 5.797-10.283 8.656L295.47 223.78c3.48-2.862 6.933-5.76 10.342-8.686 7.095-6.09 14.036-12.303 20.782-18.594zm-64.563 27.063c.826-.033 1.88.104 3.25.468 3.66.972 9.278 4.17 15.44 11.282l13.405 15.47c9.94 11.476 7.583 19.42 5.406 21.53-1.087 1.055-2.376 1.764-5.624 1.032-3.248-.732-8.36-3.47-14.125-10.125l-13.436-15.47c-5.694-6.574-8.007-12.42-8.5-16.406-.494-3.987.577-5.833 1.5-6.688.46-.427 1.023-.825 1.937-1 .23-.043.476-.083.75-.094zm-11.624 34.218c.585.732 1.182 1.46 1.813 2.19l10.686 12.31c-13.854 9.792-27.824 18.895-41.687 27.064-.605-1.04-1.25-2.066-1.94-3.094l-8.81-13.125c13.187-7.64 26.598-16.143 39.936-25.344zM174.5 275.69c.928-.06 2.182.136 3.938.843 3.51 1.416 8.668 5.277 13.906 13.095l11.406 17.03c8.45 12.615 5.14 20.207 2.72 22.033-1.21.912-2.586 1.438-5.72.312s-7.88-4.465-12.78-11.78l-11.407-17c-4.84-7.227-6.408-13.328-6.407-17.345.002-4.017 1.26-5.703 2.28-6.438.512-.367 1.136-.688 2.064-.75zm214.47 29.843c-1.06.03-2.157.12-3.314.25-9.257 1.05-20.83 5.685-31.47 13.845-10.638 8.16-18.118 18.144-21.53 26.813-3.412 8.668-2.755 14.985.156 18.78 2.912 3.796 8.806 6.048 18.063 5 1.926-.217 3.964-.6 6.063-1.124-3.063-8.48-2.586-17.12 1.03-24 5.506-10.474 16.72-16.732 28.72-16.375 5.37.158 10.643 1.827 15.468 4.717.667-1.31 1.253-2.612 1.75-3.875 3.412-8.67 2.755-14.954-.156-18.75-2.183-2.845-6.042-4.846-11.75-5.218-.95-.062-1.972-.092-3.03-.063zm-3.783 41.876c-4.623.21-8.865 2.97-10.656 6.375-1.897 3.613-2.527 8.145 4.064 15.69 27.222 28.585 69.735 53.89 116.28 64.28v-25.5c-39.302-10.528-75.917-32.2-98.5-55.844-3.69-3.612-7.17-4.908-10.25-5-.31-.01-.628-.014-.937 0z"}}]})(props);
};
function GiLifeTap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M345.688 65.844c-35.618.5-72.53 18.186-98.813 55.594 10.073 20.198 14.32 42.84 11.063 66.156L239.405 185c6.576-47.067-22.98-91.607-72.97-112.28-69.356-23.26-149.8 17.77-146.842 110.5 4.334 135.738 198.593 214.873 219.5 292.905 7.42-27.684 42.628-58.402 82.687-93.188-2.85.51-5.782.782-8.78.782-33.258 0-58.156-32.542-58.156-70.19 0-37.646 24.9-70.155 58.156-70.155 15.437 0 29.067 7.034 39.25 18.313H380.312v-19.063H353.72v-18.688h71.905v18.688H399.03v19.063h34.439v3.843c15.718-25.613 25.388-52.978 24.467-82.31-2.326-74.106-53.54-116.433-108.812-117.376-1.146-.02-2.29-.016-3.438 0zM313 262.064c-20.678-.002-39.47 21.928-39.47 51.467 0 29.54 18.792 51.5 39.47 51.5 11.58 0 22.595-6.877 30.03-18.124h-16.217c-11.09 0-20.496-4.162-26.344-10.906-5.85-6.744-8.05-15.39-7.533-23.594.518-8.202 3.65-16.23 9.407-22.562 5.756-6.332 14.48-10.75 24.47-10.75h15.467c-7.414-10.596-18.078-17.03-29.28-17.03zm51.563 18.31v62.907h50.218v-62.905h-50.217zm-37.75 17.407c-4.823 0-8.008 1.747-10.625 4.626-2.618 2.88-4.337 7.11-4.594 11.188-.257 4.077.86 7.72 3 10.187 2.138 2.467 5.4 4.44 12.22 4.44h19.06v-30.44h-19.062zm106.656.158V328.5c10.466 1.267 15.374 7.182 15.374 18.75v34.25h30.437v-34.25c0-27.41-13.77-47.27-45.81-49.313zm29.967 103.218c-5.23 43.36-24.52 37.683-24.906 65-.167 12.38 11.43 22.625 25.814 22.625 14.382 0 26.25-10.24 26.25-22.624 0-27.455-21.384-21.81-27.156-65z"}}]})(props);
};
function GiLift (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.125 25.095L86.563 125.625H150v271H86.563l171.53 100.563 171.563-100.562H366.22v-271h63.467L258.125 25.096zm2.125 69.687c.684-.028 1.34-.018 2 .094 17.524 2.275 31.665 19.426 34.656 41.375h-29.47l.002 18.688h29.218c-1.692 10.3-5.91 19.407-11.687 26.375 41.13 7.74 60.86 67.412 48.75 125.75h-33.033l-7.562 101.563h-72.5l-6.688-101.563h-31.593c-10.68-56.805 3.537-119.376 48.47-126.343-5.488-6.883-9.463-15.787-11.095-25.782h29.03V136.25H219.5c3.226-23.553 19.343-41.374 38.688-41.374.677 0 1.378-.066 2.062-.094z"}}]})(props);
};
function GiLightBackpack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.23 29.742c-17.72 0-35.439 3.314-51.443 9.944-13.634 5.647-25.485 18.372-35.219 29.693A283.41 283.41 0 0 0 155.625 87h22.7c9.04-10.028 21.336-25.336 33.35-30.686 27.12-11.233 61.992-11.233 89.112 0 13.899 8.59 24.041 19.18 33.35 30.686h22.699a283.005 283.005 0 0 0-13.941-17.621c-9.734-11.32-21.585-24.046-35.22-29.693-16.003-6.63-33.725-9.944-51.445-9.944zM144.23 105c-16.23 2.136-38.662 23-39 39v.02c-.109 52.992 25.641 85.63 57.801 106.422 21.377 13.82 45.768 21.86 66.2 25.715V231h54v45.154c20.407-3.855 44.758-11.894 66.11-25.71C381.475 229.651 407.232 197 407.232 144c-.123-16-25.018-37.725-39-39zm-39.232 110.178L105.225 487h301.998l-.225-271.18c-12.145 21.258-29.246 37.681-47.877 49.737-25.077 16.226-52.67 25.127-75.89 29.017V329h-54v-34.424c-23.242-3.889-50.87-12.788-75.973-29.017-18.834-12.177-36.106-28.808-48.26-50.381zM247.23 249v62h18v-62zm-124 106h114v114h-114zm152 0h114v114h-114zm-134 18v20.203c14.631 21.212 27.883 29.797 39 29.797 11.118 0 24.37-8.585 39-29.795V373zm152 0v20.203c14.631 21.212 27.883 29.797 39 29.797 11.118 0 24.37-8.585 39-29.795V373zm-152 48.736V451h78v-29.264c-12.116 12.358-25.028 19.264-39 19.264-13.971 0-26.884-6.906-39-19.264zm152 0V451h78v-29.264c-12.116 12.358-25.028 19.264-39 19.264-13.971 0-26.884-6.906-39-19.264z"}}]})(props);
};
function GiLightBulb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 18.656c-80.965 0-146.875 65.02-146.875 145.625 0 45.63 15.758 67 33.313 94.845 11.706 18.57 23.767 39.91 30.53 70.563h165.095c6.728-31.387 18.91-53.12 30.718-71.875 17.58-27.92 33.314-48.912 33.314-93.532 0-80.66-65.127-145.624-146.094-145.624zm-99.78 127.906L170.437 167 210 201.813l31.188-34.125 6.78-7.438 6.907 7.344 30.75 32.72 39.97-33.47 22.686-19-7.655 28.594L304.75 310.28l-18.063-4.842 28.22-105.25-24.032 20.125-6.78 5.656-6.033-6.44-29.906-31.78-30.562 33.438-6.188 6.78-6.875-6.062-23.25-20.437 27.94 104.218-18.064 4.812-35.937-134.063-8-29.875zm22.593 201.813V389.5L315 348.375H169.812zm153.593 17.063l-153.594 43.53v29.438l153.594-43.5v-29.47zm0 48.875L203.97 448.156h119.436v-33.844zm-132.562 52.53v20.533h113.282v-20.53h-113.28z"}}]})(props);
};
function GiLightFighter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M215.078 20.037L100.754 135.693l52.133 79.313L21 491.963 296.824 359.53l79.42 52.784L491 297.088 215.078 20.038zm102.037 21.885l-21.082 21.174 16.865 16.933 21.088-21.17-16.87-16.938zm130.71 4.252l-84.32 84.666 16.862 16.94 84.328-84.667-16.87-16.94zm-75.893 8.463l-42.157 42.336 16.864 16.933 42.165-42.334-16.873-16.935zm67.463 67.744l-42.155 42.33 16.862 16.938 42.164-42.334-16.87-16.933zm12.658 55.038l-21.08 21.17 16.863 16.933 21.088-21.166-16.87-16.936zm-206.526 66.865c6.308.15 11.87 2.175 15.924 6.244 11.794 11.843 6.35 36.51-12.16 55.098-18.51 18.585-43.08 24.056-54.872 12.22-11.793-11.847-6.345-36.517 12.168-55.1 12.146-12.2 26.9-18.747 38.94-18.462z"}}]})(props);
};
function GiLightHelm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M233 25v158h46V25h-46zm-18 21.74c-25.1 7.53-44.9 22.05-60 40.88-20.7 25.88-32 60.28-33.7 95.38H215V46.74zm82 0V183h93.7c-1.7-35.1-13-69.5-33.7-95.38-15.1-18.83-34.9-33.35-60-40.88zM105 201v30h302v-30H105zm16.8 48c4 23.2 23.2 41.6 48.4 55.1 18.6 9.8 40 16.6 58.8 20.1v-15.3c-13.7-3.7-28.4-9.7-42.2-17-11.8-6.3-22.8-13.6-31.1-22.1-6.1-6.1-11-13.1-13.3-20.8h-20.6zm125.2 0v78h18v-78h-18zm122.6 0c-2.3 7.7-7.2 14.7-13.3 20.8-8.3 8.5-19.3 15.8-31.1 22.1-13.8 7.3-28.5 13.3-42.2 17v15.3c18.8-3.5 40.2-10.3 58.8-20.1 25.2-13.5 44.4-31.9 48.4-55.1h-20.6zm-252.8 33.3c-5.7 54.2-16.7 105.9-27.63 150.1.19.2 1.82 5.3 6.06 11 4.51 6.1 11.17 13.2 18.67 19.8 11.7 10.2 25.9 18.8 37.1 22.2V313.6c-13.5-8.5-25.6-18.9-34.2-31.3zm278.4 0c-8.6 12.4-20.7 22.8-34.2 31.3v171.8c11.2-3.4 25.4-12 37.1-22.2 7.5-6.6 14.2-13.7 18.7-19.8 4.2-5.7 5.8-10.8 6-11-11-44.2-21.9-95.9-27.6-150.1zM256 379c-20.3 0-40.6 1-58.1 3.1-10.9 1.3-20.7 2.8-28.9 5.1v18.9c7.1-2.4 18.2-4.6 31.1-6.2 16.5-1.9 36.2-2.9 55.9-2.9 19.7 0 39.4 1 55.9 2.9 12.9 1.6 24 3.8 31.1 6.2v-18.9c-8.2-2.3-18-3.8-28.9-5.1-17.5-2.1-37.8-3.1-58.1-3.1z"}}]})(props);
};
function GiLightProjector (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 17v18h38v78.3c-.75.7-1.47 1.5-2.16 2.3-6.52 7.5-9.72 14.5-10.08 19.8l47.46 84.5c1.03-1.9 2.15-3.9 3.39-5.6 8.29-12.2 21.49-23.8 37.89-33.2 16.5-9.1 33.3-14.3 48-15.1 2.2-.1 4.4-.1 6.6 0l-47.4-84.47c-3-1.54-7.1-2.5-12.3-2.53h-2.3c-2.3.11-4.9.4-7.5.88-10.7 1.91-23.15 6.66-34.61 13.1-3.08 1.73-6.09 3.59-8.99 5.53V35h45v26.5c1.8-.22 3.5-.39 5.3-.49 4.4-.25 8.6-.07 12.7.67V35h55V17H18zm165.4 166.9c-.6.1-1.3.1-2 .1-11.1.6-25.7 4.8-40.1 12.9-14.3 8.1-25.5 18.4-31.8 27.5-6.2 9.2-6.8 16-4.8 19.5 1.9 3.5 8 6.5 19.1 6 11.1-.5 25.7-4.8 40.1-12.9 14.3-8.1 25.6-18.3 31.8-27.5 6.2-9.2 6.8-16 4.9-19.5-1.9-3.3-7.4-6.1-17.2-6.1zm36.2 12.2c-.5 7.9-4 16.1-9 23.5-8.3 12.2-21.4 23.8-37.9 33.1s-33.3 14.4-48 15.2c-10.3.5-20.2-1.2-27.61-6.3L49.48 491.4H492.8V353.8L219.6 196.1z"}}]})(props);
};
function GiLightSabers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M478.89 21.842c-6.434-.113-15.047 3.628-24.242 12.822L328.912 160.4c0-.007.003-.015.004-.023l-60.228 60.228.01.01-12.727 12.727-.01-.01-22.657 22.658.01.01-12.44 12.44-.01-.01-30.884 30.884c0 .005.002.01.004.014l-55.656 55.656 22.627 22.627 320.32-320.32c18.827-18.825 14.79-35.217 1.616-35.448zm-445.84.06c-13.176.232-17.213 16.623 1.614 35.45l185.912 185.912 22.658-22.66-44.164-44.16c0 .02 0 .038-.002.058L57.29 34.725C48.098 25.53 39.484 21.79 33.05 21.902zm234.538 36.39c-9.308 42.14-12.624 79.314-27.922 121.454-21.636-16.89-30.623-41.47-43.836-63.414.586 10.88 1.66 22.256 2.42 33.838l57.71 57.71 78.485-78.485a2474.362 2474.362 0 0 1 4.078-21.237c-21.27 28.796-42.452 44.68-71.396 73.475-6.752-45.418.278-77.923.46-123.34zM87.873 170.623c-.052.003-.08.017-.082.044-.258 5.25 104.427 78.357 96.222 83.578-13.465 8.55-57.975 31.11-83.508 44.914 19.72-3.345 53.538-7.933 72.18-8.002l35.453-35.453-63.655-63.652c-27.027-10.216-54.915-21.568-56.61-21.43zm245.143 56.144l-29.086 29.086 56.174 56.17c10.848.735 21.692 1.416 32.5 1.218-24.518-15.9-71.99-43.734-71.64-50.568.353-6.887 63.447-21.216 95.518-31.606-27.787-2.137-55.973 3.846-83.466-4.3zm-41.813 41.812l-22.656 22.656 86.437 86.438 22.627-22.627-44.473-44.475h.06l-41.994-41.992zm-35.098 35.098l-57.703 57.703c.408 14.207.21 28.454-.52 40.38 11.322-26.84 17.846-51.86 45.827-74.473 14.444 11.985 24.816 40.267 37.224 60.4-.91-19.042-6.873-52.002-5.03-64.214l-19.8-19.797zM111.7 354.984L98.974 367.71l45.256 45.257 12.725-12.73-45.252-45.253h-.002zm288.538.06l-45.254 45.253v.002l12.727 12.727 45.257-45.256-12.73-12.725zM94.023 385.39l-9.9 9.9 32.527 32.526 9.9-9.9-32.527-32.527zm323.893.06l-32.527 32.527 9.9 9.9 32.526-32.527-9.9-9.9zm-346.52 22.568L21.9 457.512l32.528 32.527 10.603-10.604 10.73 10.726 17.847-17.848-10.728-10.726 21.042-21.043-9.9-9.9-38.89 38.89-12.728-12.728 38.89-38.89-9.9-9.9zm369.15.06l-9.9 9.9 38.89 38.89-12.73 12.728-38.89-38.89-9.898 9.9 49.494 49.494 32.527-32.528-10.604-10.603 10.726-10.73-17.848-17.847-10.726 10.728-21.043-21.042z"}}]})(props);
};
function GiLightThornyTriskelion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M182.3 27.76c-41.66 1.55-71.98 12.64-87.075 33.57-14.996 20.793-19.073 42.025-14.512 60.627l-28.9 37.893 44.15-9.817c9.06 9.9 21.452 17.84 36.494 22.88l.002.003c6.794 2.277 14.524 2.72 22.747 1.652l27.195 35.223 1.9-44.196c11.947-5.58 23.89-13.31 34.718-22.432 26.5-22.323 49.584-22.368 71.337 1.05 8.008 8.618 13.16 22.295 14.002 39.376l-41.3 5.558 38.694 24.616c-2.876 13.822-8.135 28.82-16.234 44.478-7.02 9.738-17.588 11.617-29.06 14.27v-.01c-26.697 5.474-44.733 17.682-56.735 34.3l-40.295-8.962 27.004 35.408c-5.565 16.46-7.995 35.085-8.66 54.656-.776 22.924-8.376 38.922-21.374 49.168l-23.673-30.664-1.823 42.39c-3.77.893-7.728 1.58-11.877 2.054-32.66 3.72-53.188-13.49-57.886-43.522l42.24-17.642-41.546-13.07c8.317-36.64 45.123-44.226 84.47-14.94-10.21-30.046-37.793-46.61-64.24-43.11l-34.695-30.7 6.337 43.107c-16.922 13.644-28.333 37.456-27.002 68.472l.002-.002c1.07 24.91 8.987 44.425 21.97 58.442l-5.603 43.533 28.908-26.523c14.04 6.71 30.718 9.905 49.143 9.525 28.805-.594 50.39-11.277 65.258-28.512l44.166 9.822-28.107-36.85c4.906-12.356 7.854-26.206 8.905-40.978 2.993-42.106 10.98-67 49.666-81.19 22.4-4.78 31.46 11.123 44 25.118 11.763 14.17 24.682 26.702 38.36 36.576l-5.956 46.278 33.45-30.694c28.676 11.837 59.32 10.656 88.874-11.508l41.772 17.157-21.6-41.423c15.304-31.94 7.437-78.643-23.68-116.072l18.168-34.85-36.265 14.898c-25.836-30.966-33.752-64.36-31.635-98.392l36.506-1.57-32.885-25.386c3.827-19.143 10.12-38.337 17.535-57.274-36.752 33.445-53.902 87.657-45.008 138.612l-27.043 20.877 32.71 1.405c6.93 20.493 18.49 39.818 35.142 56.267 10.972 10.84 18.435 21.89 23.017 32.54l-38.93 24.767 44.52 5.993c-1.05 13.187-6.81 24.267-15.57 31.41-36.14 29.463-71.665 4.02-99.827-24.9l-.004-.004c-11.303-14.4-29.244-23.823-19.684-45.554.5-1 .98-2 1.46-2.998.315-.593.63-1.187.984-1.8.703-1.215 1.193-2.397 1.508-3.542 22.616-50.238 21.588-97.116 2.597-128.728l20.597-39.502-40.066 16.46c-18.2-15.797-38.248-19.94-58.718-15.907l-28.97-33.874.32 44.435c-6.61 3.508-13.192 7.694-19.704 12.452-23.043 16.84-39.83 25.03-52.455 19.934-28.463-11.493-35.17-30.53-29.707-49.676l41.922 9.323-27.156-35.606c13.57-16.16 33.6-29.476 52.71-34.197z"}}]})(props);
};
function GiLighter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128.531 24.513L41.26 79.218c-4.237 2.655-7.888 8.224-9.338 14.545-1.45 6.32-.59 12.923 2.066 17.16l93.477 149.123c2.655 4.236 8.222 7.888 14.543 9.338 6.32 1.45 12.923.591 17.16-2.065l87.273-54.705-117.91-188.101zm306.969.19c32.33 85.822-99.89 67.288-83.393 116.667l24.788 8.483c39.2-6.48 60.512-25.838 27.744-39.096 35.64-7.755 50.043 25.379 25.478 48.38-2.638 2.471-5.253 4.53-7.834 6.245l15.924 5.45c65.99-10.819 47.478-101.744-2.707-146.13zm-92.781 132.48l-4.531 13.246 21.761 7.445-5.828 17.031-21.762-7.445-9.71 28.385 88.937 30.43 4.531-13.247-21.76-7.445 5.827-17.031 21.761 7.447 9.711-28.385-88.937-30.431zm-60.826 21.916a32 32 0 0 0-26.896 13.272l8.745 13.95 17.535-4.632 24.34 8.328 4.281-12.514a31.984 31.984 0 0 0-28.005-18.404zm161.265 30.508l-14.197 41.488a23.344 23.344 0 0 0 6.277 3.273c12.12 4.147 25.062-2.197 29.21-14.316 4.146-12.12-2.198-25.06-14.317-29.207a23.29 23.29 0 0 0-6.973-1.238zm-162.55 10.876l-24.401 6.448 201.102 68.81-15.336-20.045-161.366-55.213zm-34.702 21.95l-54.062 158.006c-1.619 4.73-.95 11.354 1.904 17.177 2.854 5.824 7.68 10.41 12.41 12.03l166.522 56.978c4.73 1.619 11.354.948 17.177-1.906 5.824-2.854 10.411-7.68 12.03-12.41l54.064-158.006-210.045-71.87z"}}]})(props);
};
function GiLighthouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M136 40.938l-88 44V184h176V84.937l-88-44zM480 48l-240 80v32l240 64V48zM64 96h31.406l.313 64H64V96zm47.406 0h48l.313 64h-48l-.314-64zm64 0H208v64h-32.28l-.314-64zM79.312 201L19.094 487h233.812l-.094-.438.125.094c7.327-10.582 26.22-22.905 46.032-28.22 10.19 18.728 29.766 30.564 53.03 30.564h4.125l2.688-3.125c11.347-13.123 19.005-24.272 35.843-27.906C404.94 477.692 426.263 489 448 489h5.25l2.594-4.563c8.78-15.503 11.158-17.993 28.844-28.75l-9.375-15.375c-16.44 10-24.038 17.37-32.063 30.344-15.508-1.633-29.613-11.073-34.75-25.656l-2.344-6.625-7 .656c-26.106 2.45-39.755 18.452-51.062 31.72-17.555-1.233-29.83-10.616-35.688-25.97l-2.656-6.967-7.375 1.343c-20.77 3.78-40.482 13.32-54.094 25.813L192.688 201H79.313zM87 256h18v48H87v-48zm80 128h18v48h-18v-48z"}}]})(props);
};
function GiLightningArc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192.063 20.375l-44.625 98.563-36.344-13.657 40.312 47.22 29.47-50.656 17.093 159.437 88.874-159.936 7.906 138.22 74.72-140.408 32.905 9.094-32.594-57.28-58.75 91.343L300.657 27.28 216.75 153.657l-24.688-133.28zM61.25 100.813c-22.213 0-40.03 17.785-40.03 40 0 22.214 17.817 40.03 40.03 40.03.558 0 1.104-.04 1.656-.062l19.5 72.814-27.812 7.437 4.843 18.064 27.813-7.47 6.656 24.876-27.812 7.438L70.938 322l27.812-7.438 7.156 26.782-27.78 7.437 4.81 18.033 27.814-7.438 6.906 25.813-27.78 7.437 4.843 18.063 27.78-7.438 7.188 26.75-27.813 7.47 4.844 18.06 27.81-7.467 12.25 45.78h19.345l-13.563-50.593 27.813-7.47-4.844-18.06-27.81 7.467-7.157-26.78 27.78-7.438-4.812-18.064-27.81 7.438-6.907-25.813 27.78-7.436-4.812-18.063-27.81 7.47-7.157-26.78 27.78-7.44-4.843-18.06-27.78 7.436-6.657-24.875 27.78-7.436-4.843-18.03-27.78 7.436-19.564-73.03c12.173-6.842 20.344-19.858 20.344-34.907 0-22.215-17.787-40-40-40zm391.188 0c-22.213 0-40.032 17.785-40.032 40 0 15.052 8.19 28.066 20.375 34.906l-19.56 73.03-27.814-7.438-4.844 18.032 27.813 7.47-6.656 24.842-27.814-7.437-4.844 18.06 27.813 7.44-7.156 26.78-27.814-7.47-4.844 18.064 27.813 7.437-6.906 25.814-27.814-7.438-4.844 18.063 27.813 7.436-7.156 26.78-27.845-7.467-4.813 18.06 27.813 7.47-13.563 50.594h19.313l12.25-45.78 27.813 7.467 4.843-18.06-27.81-7.47 7.186-26.75 27.813 7.438 4.842-18.063L396 385.187l6.906-25.812 27.813 7.438 4.842-18.032-27.812-7.467 7.156-26.75L442.72 322l4.842-18.063-27.812-7.437 6.656-24.875 27.813 7.47 4.842-18.064-27.812-7.436 19.5-72.813c.562.024 1.12.064 1.688.064 22.212 0 40-17.817 40-40.03 0-22.216-17.788-40-40-40z"}}]})(props);
};
function GiLightningBow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.97 17.375l47.436 75 8.47 13.688.03-.25L220.22 334l3.405-78.28 105.313 151.374 2.437-68.906 14.5 14.062 1.156 1.125 144.94 142.25-156.564-303.78-2.156 69.436-123.813-123.905-2.093 46.375L19.97 17.375zm446.5 1.53c-.523.005-1.063.03-1.595.064-6.066.372-12.796 2.708-19.906 7.75 6.678 2.253 13.083 5.75 18.842 9.936 10.075 7.32 18.823 17.062 23.594 28.282 10.19-16.118 6.488-29.96-1.75-38.157-4.738-4.713-11.36-7.923-19.187-7.874zM404.343 42.72L93.5 57.843l20.063 17.718L392.188 62c3.458-6.438 7.497-12.875 12.156-19.28zm23.78.093c-4.272 4.88-8.057 9.782-11.437 14.687 10.62 1.142 21.087 5.93 30 12.406 7.493 5.444 14.226 12.253 19.157 20 2.04-2.538 4.277-5.13 6.72-7.78-.48-9.738-8.59-22.29-19.72-30.376-8.186-5.947-17.27-9.09-24.72-8.938zm-16.28 33.25c-.486-.007-.965.01-1.438.03-1.798.08-3.505.395-5.062.876-16.464 34.053-16.13 67.398-17.25 95.03-.802 19.795-2.35 38.88-11.313 60.5l32 62.063c28.516-44.8 34.895-84.874 36.158-116 .877-21.643-.462-37.142 2.937-53.063 1.24-5.805 3.186-11.478 6.03-17.25-2.88-8.178-9.632-17.003-18.186-23.22-7.877-5.72-16.587-8.872-23.876-8.968zm-355 34.78L37.25 408.782c6.493-5.112 13.034-9.608 19.594-13.592L73.78 138.125l-16.936-27.28zm210.28 239.72c-31.528 18.55-59.427 23.91-88.437 28.28-28.43 4.283-59.555 7.39-90.875 21.094 7.244 4.844 13.495 11.588 18.407 19 6.118 9.236 10.55 19.92 11.843 30.75 3.73-1.565 7.482-2.922 11.28-4.093 18.75-5.782 38.11-7.495 62.22-11.125 31.644-4.766 68.924-12.73 109.375-36.314l-33.813-47.594zM66.25 411.219c-4.684 2.874-9.374 6.05-14.03 9.56 10.655 4.543 19.69 13.353 26.31 23.345 4.65 7.016 8.307 14.86 10.376 22.97 3.522-2.782 7.013-5.28 10.5-7.533.803-9.013-2.417-20.723-8.75-30.28-6.76-10.204-16.203-17.014-24.406-18.063zm-30.906 23.905c-1.157 1.104-2.316 2.222-3.47 3.375-18.448 18.448-14.666 35.774-4.186 46.156 10.098 10.005 26.772 13.74 44.218-2.25.107-8.647-3.138-19.216-8.937-27.97-7.648-11.54-18.73-18.76-27.564-18.186l-.062-1.125z"}}]})(props);
};
function GiLightningBranches (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M42.656 14.72C98.922 34.014 131.682 87.8 93.53 124.97c97.99 81.427 90.47 108.772 11.564 218.06C144.77 371 181.147 443.36 175.438 490.94H230.5c-32.26-22.573-43.393-49.275-48.563-74.72 29.67-3.367 57.124-.784 80.282 9.126 3.604 25.136 3.95 49.578 1.28 65.594h18.97c2.28-15.12 2.576-33.896.717-53.688 16.71 12.26 29.993 29.893 38.657 53.688h34.062c-30.534-30.354-48.743-63.438-64.562-97.063-5.033 1.243-9.97 2.304-14.813 3.22-3.77-15.606-8.914-30.76-15.56-44.19 14.544-19.12 21.514-36.89 20.874-54.53-.274-7.538-1.884-14.82-4.53-22.03 22.188-6.712 41.265-11.494 60.998-13.564 4.242 21.135 9.946 42.103 17.625 62.783l2.063 5.562 5.906.5c22.146 1.85 41.883 4.926 60.875 9.625 3.94 39.93-6.698 78.297-30.092 118.938 14.673 9.527 26.153 19.857 35.375 30.75h24.406c-40.497-24.248-32.673-75.68-8.22-102.375 21.968 11.687 36.194 23.99 47.844 41.5v-36.125c-26.635-3.933-42.61-21.916-51.22-47.657 16.828 5.22 33.48 11.873 51.157 20.283v-20.625c-19.077-8.64-37.455-15.373-56.31-20.532-4.706-27.01-3.845-59.278.03-91.875-28.84 7.984-57.094 11.11-83.906 10.157-4.173-24.797-6.5-49.993-7.75-75.5l-.656-13.156-12.22 4.97c-54.128 22.015-119.117 16.334-156.156-10.03C153.216 110.84 147.39 63.24 168 14.72H42.656zm285.531 167.03c1.283 20.255 3.302 40.46 6.47 60.53-52.267-5.78-97.91-27.234-130.063-58.186 37.293 11.99 82.246 11.504 123.594-2.344zm-121.53 50.094c13.693 7.486 27.002 14.627 38.374 24.47 11.47 16.32 17.658 29.84 18.126 42.748.49 13.534-4.895 27.892-20.437 46.875l-3.97 4.875 3 5.532c6.7 12.27 11.89 27.51 15.688 43.594-98.4 10.34-144.816-53.688-50.782-168.094zm152.78 29.812c12.68-.05 26.115 1.008 41.157 3.375 10.154 19.476 17.11 38.17 21.062 56.408-15.91-3.556-32.366-6.114-50.062-7.813-6.03-17.068-10.72-34.386-14.375-51.938.738-.01 1.474-.028 2.217-.03z"}}]})(props);
};
function GiLightningDissipation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M36.482 18.307l68.088 108.87-66.244 57.555 98.518 117.485-15.184 61.19 31.707 47.357c-7.105 4.968-13.8 10.476-20.04 16.463L68.268 346.8l30.278-15.138-80.19-122.713v78.92l25.94 34.96-17.662 31.54 33.834 33.485-24.6 37.483 60.45 54.406c-1.99 4.436-3.804 8.97-5.415 13.604h317.196c-1.926-5.546-4.137-10.952-6.604-16.213l64.03-65.492-51.272-58.762 2.412-9.872 17.65-35.838 38.887 29.164 20.445-24.053v-94.176l-37.71 64.083-35.904-31.76-35.458 145.218-38.77 15.212c-9.884-6.924-20.553-12.805-31.857-17.488l74.93-104.864-23.672-39.678 48.473-72.346-93.783 7.504 45.834-79.63 33.914 31.183 69.215-117.233h-21.7l-51.866 87.843-34.108-31.36-63.893 111.005-25.52 2.043 95.906-169.53h-134.18l-53.642 245.225 85.873-22.902-28.32 49.206-53.696 15.998 7.63 85.092c-7.638 2.81-15.008 6.158-22.07 10l-27.48-41.043 15.48-62.39-6.643-7.925-59.22-102.59 85.745-45.503-47.238-123.168H36.482zm283.875 207.755l-86 155.25c-8.45.748-16.718 2.11-24.752 4.057l-5.916-65.99 46.195-13.763 41.314-71.78 29.157-7.774zm33.332 39.946l12.873 21.576-71.024 99.395c-6.507-1.84-13.18-3.295-19.99-4.347l78.14-116.625zm55.14 109.084l31.264 35.83-47.92 49.014c-8.19-13.21-18.144-25.19-29.55-35.602l37.804-14.834 8.402-34.408zM74.018 401.268l43.662 43.212c-4.532 5.75-8.697 11.805-12.46 18.13l-44.927-40.43 13.725-20.912z"}}]})(props);
};
function GiLightningDome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 55c-68.5 0-126.7 50.7-167.63 116.2C47.44 236.7 23 317.7 23 384v3.7l2.64 2.7C76.47 441.2 166.4 465 256 465c89.6 0 179.5-23.8 230.4-74.6l2.6-2.7V384c0-66.2-24.4-147.3-65.4-212.8C382.7 105.7 324.5 55 256 55zm0 18c39.4 0 76.3 19.88 108.1 51.5l-15.2 92.1 26.7 12.3-37.2 116.6 74-120.1-29.4-24.2 16-34.6c3.2 4.6 6.4 9.3 9.4 14.2C446.6 242 470 319 470.9 380.1 425.1 423.7 340.7 447 256 447c-84.7 0-169.08-23.3-214.91-66.9.83-54 19.16-120.4 49.8-177.4l48.81 44.6-42.09 3.5L177 355.4l-40.1-92 38.7 15.5-57.9-119c29.5-40.4 65.5-70.94 105.1-82.19l-17 77.59 39.3-7.1-32.3 95.6 35.1-12.7.6 123L291.4 189l-38.6 15.5 30.2-97-34.4 4.2 5.4-38.68c.7-.01 1.3-.02 2-.02z"}}]})(props);
};
function GiLightningElectron (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M85.29 43.576C48.624 43.576 19.1 73.1 19.1 109.764c0 32.52 23.233 59.404 54.07 65.068l22.183 55.457-4.574 77.75 25.43-67.034 55.226-9.64-9.563 33.42-40.523 43.005 13.673 21.073-34.566 63.21 42.22 40.665-13.253-46.91 18.79-36.637 35.946 55.394-33.98-97.47 23.494-21.698 31.353 23.313c3.106-17.068 9.03-33.16 17.264-47.785l-23.878-5.95 7.818-29.7 52.002-9.076 16.733 14.202 28.564 25.223-12.37 14.01-31.537-27.846c-23.768 24.428-38.396 57.798-38.396 94.65 0 75.047 60.638 135.683 135.685 135.683 75.048 0 135.684-60.636 135.684-135.684 0-62.56-42.135-115.1-99.627-130.856l9.268 24.535 56.23 38.493-59.55 84.092-15.252-10.8 48.578-68.597-45.412-31.088-15.373-40.695c-.076-.008-.15-.018-.226-.025l-.55-2.03-5.584-14.78 43.95-11.47 24.723 30.344-5.058-55.688-67.59 16.438-5.533-20.354-106.79 4.165 3.104-14.223 37.72-40.457 47.858 3.623-49.888-30.36-50.307 48.028-67.222-1.027c-.297 6.424-1.317 12.665-2.974 18.645l65.802 1.004-7.5 34.38 116.063-4.526 10.23 37.64c-.008 0-.018.003-.028.003l16.553 48.63 40.404 28.473-36.286 50.028-15.13-10.973 25.163-34.69-29.887-21.066-19.857-58.34c-15.34 2.762-29.77 8.1-42.844 15.542l-26.13-22.18-52.185 9.108 6.605-25.094-39.216-8.52-47.223-14.714.024-.02-38.445-12.154 5.632-17.82 44.736 14.14c5.04-9.348 7.897-20.06 7.897-31.464 0-36.665-29.52-66.188-66.186-66.188zm26.454 126.887l26.526 8.264 44.187 14.123-5.31 18.548-64.704 11.293-18.906-47.266c6.403-.79 12.515-2.486 18.207-4.96z"}}]})(props);
};
function GiLightningFlame (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v84l53.61 85.3 47.99-47.8L155 281.3l108.8-120.9 8.8 93.6c-3.3 7.7-5.6 15.8-6.6 24 22 54.2 0 150.6-32 32-32 32-35.3 94.7-16 128 9.8 25.7 39.4 40.8 75.7 48.9-25.8-17.5-41.1-43.1-43.7-74.9 9.7 10 39.4 36.4 57.8 26 28.1-15.8 16.6-61.8 11.9-96 41.7 26.7 55.8 58.2 66 90.5 2.5-34.8 20.1-33.3 33.3-42.5-19.5 47.8 21.3 72.7 13.3 100.4 9.4-1.3 18.1-2.7 25.7-4.4 41-13.3 37.2-54.2 32-96-6.8 13.7-27.3 22.9-48 32 32.1-48.1 42.6-85.4 32-112-9.8-16.8-30.1-23.2-48-32 0 0 28.3 36.4 16 48-70.1 62.4-142.6-136.6-32-160-46.7.1-100.2 34.3-123.4 64l3.1-138.59L175.2 205.7 151.6 66.56 87.61 114.6 73.34 18z"}}]})(props);
};
function GiLightningFrequency (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M33.125 19.406L135.5 128.22l81-23.157 18.72-5.344-7.564 17.936-46.125 109.78 134.282-70 26.157-13.655L328.436 170 256.5 309.25l91.25-57.125 22.97-14.375-9.22 25.47-34.625 95.624 71-36.375 21.188-10.845L410.906 334l-33.937 93.063 45.124-6.688 4.53-.656 3.313 3.155 64.313 61.47-30.5-80.5 23.313-46.908-72.5 39.532 51.062-141.158-91.188 47.47 72.344-142.813-128.217 82.81L421.875 70.063 239.03 168.69l30.44-99.563-103.845 25.25-132.5-74.97zM18.155 30.78l77.876 108.25-31.124 75.532 94.125-46.78-98.905 166.812 190.25-99.656-101.03 185.406 140.25-79.063-46.94 102.22 106.5-53-45.655 92.28 86.5-14.467 93.47 31.562-63.158-60.344-56.125 8.314-15.53 2.312 5.374-14.75 31.158-85.437-70.907 36.31-21.124 10.814 8.094-22.313 33.47-92.436-97.22 60.875-28.938 18.092L224.22 331l74.06-143.344-131.06 68.313-22.97 12 10.03-23.908 48.626-115.687-67.75 19.375-5.5 1.563-3.875-4.157L18.157 30.78z"}}]})(props);
};
function GiLightningHelix (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.72 19.34v39.72L151.6 132.9l94.9-45.12L151 19.34H20.72zm196.98.1L313 76.78C226.5 118 135.1 161.4 57.53 198.3l161.57 86.1 59.6-39.2-39.4-34.9c82.3-40.6 168.3-83.5 241.8-119.93l-93.6-70.93H217.7zM361.9 170.5l-76.5 37.9 44.9 25.3c-54.2 35.6-111.8 73.6-160.6 105.7l325.2 154.8L307.5 347c57.6-32.3 117.5-65.9 168.8-94.6l-114.4-81.9zm13.2 160.1l-33.9 18.9 139.3 74.3c-35.1-31.1-70.3-62.2-105.4-93.2z"}}]})(props);
};
function GiLightningMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M296.143 24.635l27.94 159.8-49.653-16.142 25.6 107.592-126.403-159.588 70.084 17.467-52.423-84.344c-13.778 10.68-26.45 24.165-37.666 40.045-30.15 42.69-49.177 102.418-49.177 168.57 0 66.152 19.028 125.877 49.178 168.57 30.152 42.69 70.825 68.102 115.228 68.102 44.403 0 85.074-25.412 115.224-68.103 30.15-42.692 49.178-102.417 49.178-168.57 0-66.15-19.027-125.878-49.178-168.57-23.847-33.765-54.278-56.706-87.93-64.83zM173.3 272.37c25.405.304 52.936 13.05 63.348 36.84-18.842 24.168-94.967 22.145-104.984-21.202 8.96-10.222 23.545-15.32 39.184-15.63.814-.015 1.63-.02 2.45-.01zm191.23 0c.82-.01 1.636-.007 2.45.01 15.64.308 30.223 5.406 39.184 15.628-10.017 43.347-86.142 45.37-104.984 21.203 10.412-23.79 37.943-36.536 63.35-36.84zm-98.41 92.653c1.604.016 3.213.052 4.82.106 41.875 1.414 111.476 12.976 89.94 64.24-11.586-20.46-47.418-35.624-89.94-35.624-42.52 0-77.675 15.24-89.352 35.625-12.623-46.682 34.766-64.838 84.53-64.347z"}}]})(props);
};
function GiLightningSaber (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M53.588 9.594l-45.426.59v34.808l61.945 65.485L152.7 82.16l18.878 33.037 23.248 3.875-20.558 47.28-4.46 6.214 18.03 21.952-44.455 77.384 29.174 31.877c4.798-4.18 9.5-8.29 14.074-12.305l-20.235-22.112 34.125-59.406 32.732 39.848c4.746-4.332 9.35-8.565 13.775-12.674l-53.664-65.33 34.428-47.952 70.312-4.5 11.69 55.26c4.892-5.432 9.38-10.62 13.41-15.546.65-.795 1.274-1.575 1.903-2.357l-10.9-51.53-.068.013-.97-7.688-123.89-1.77-11.798-59.585-89.673 34.808L53.59 9.598l-.002-.004zm433.5 21.717c-20.47 15.934-40.295 27.685-60.545 35.95 3.96 47.51-25.01 99.124-70.658 150.81-46.21 52.324-110.372 104.935-179.426 152.067L165.923 354.7c68.15-46.514 131.32-98.462 175.953-149 42.22-47.81 67.048-94.156 66.297-131.932-9.832 2.976-19.833 5.214-30.12 6.773-.49 27.362-11.265 54.746-40.388 90.353-32.157 39.316-86.64 90.12-176.682 167.738l-7.617 6.565-34.094-45.963-19.234 16.348c19.28 15.33 29.75 29.138 46.84 47.766l6.452 7.03-7.164 6.304c-24.68 21.712-50.044 41.688-76.758 60.162-5.077-3.61-11.26-5.746-17.908-5.746-17.062 0-31.094 14.032-31.094 31.093 0 17.06 14.032 31.093 31.094 31.093s31.094-14.032 31.094-31.094c0-2.58-.326-5.09-.93-7.493 26.655-20.534 54.276-39.37 82.285-58.246l7.198-4.848 5.368 6.818c16.493 20.95 32.353 43.3 48.01 66.34l20.156-17.422-45.942-52.59 8.565-5.96c131.204-91.3 210.172-166.176 250.75-226.72 36.76-54.847 42.27-96.536 29.033-130.757zm-43.92 180.997c-8.493 9.98-17.84 20.227-28.086 30.757l-57.637 94.442 59.53 92.6-54.91 65.912 14.36 11.962 63.684-76.447-60.614-94.285 25.96-42.535 32.49 2.754-9.878 70.8 70.487 13.335 3.474-18.364-52.993-10.025 10.145-72.703-42.842-3.63 26.13-42.817 32.08 20.58 38.048-10.06-4.778-18.07-30.1 7.96-25.51-16.366.024-.043-.154-.04-8.912-5.717zm-171.63 153.216c-5.31 3.943-10.75 7.927-16.26 11.934L312 412.385l-1.447 88.363 18.685.307 1.62-99.004-59.323-36.527zm-99.09 58.33l-21.65 37.592 26.21 46.526 16.28-9.173-20.983-37.25 12.285-21.33c-4.025-5.53-8.07-10.986-12.143-16.363zM51.5 449.79c6.96 0 12.4 5.44 12.4 12.4s-5.44 12.402-12.4 12.402S39.1 469.15 39.1 462.19c0-6.96 5.44-12.4 12.402-12.4z"}}]})(props);
};
function GiLightningShadow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M54.03 18.307l78.24 70.582-59.465 63.23 47.46 32.337c-12.38 20.72-11.76 47.146 1.848 67.297-41.062 42.994-76.7 92.232-103.752 147.098v94.705h210.83l54.38-56.323-137.246-56.648 32.123-88.188-4.672 71.834 30.37 12.85 47.302-136.66-21.504-3.96c-3.048 7.756-7.685 15.022-13.935 21.272v.002c-21.728 21.727-55.685 24.084-80.098 7.12 4.4-4.59 8.858-9.117 13.383-13.563 16.895 10.054 38.918 7.807 53.5-6.773 3.475-3.476 6.236-7.38 8.312-11.532l-35.115-6.468c6.365-5.588 12.814-11.057 19.356-16.372l20.384 2.813c-.046-4.63-.845-9.25-2.357-13.685l19.854 2.588c.835 4.507 1.187 9.085 1.035 13.655l47.713 6.58-29.21 88.61 42.555-.16 114.817-3.378 22.093 87.492 61.4 14.402V256.568l-138.655-.603 71.486-67.25-14.372 42.08 81.54-22.33V54.56c-89.873 12.397-189.27 52.305-277.49 115.64-11.892-10.783-26.992-16.177-42.093-16.177-14.996 0-29.99 5.32-41.844 15.954l-30.798-20.987 57.553-61.197L81.93 18.307h-27.9zm120.015 154.29c9.39 0 18.772 3.02 26.64 9.038-8.005 6.092-15.902 12.386-23.68 18.87l-28.694-19.552c7.678-5.568 16.705-8.357 25.735-8.357zm-38.32 22.393l26.593 18.12c-9.11 8.048-18.04 16.353-26.744 24.943-7.49-13.372-7.44-29.73.15-43.063zm249.87 142.254l-94.335 22.953-5.52 2.442-45.588-13.68-10.433 31.65 102.098 41.197-10.045 71.75h18.87l5.736-40.965 66.087 40.965h35.472l-98.73-61.196 3.14-22.42-.063-.026 8.037-35.107 46.153 42.402-20.88-79.966zm8.88 99.127l93.53 57.187h5.624v-44.354l-99.155-12.832z"}}]})(props);
};
function GiLightningShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464.188 21.844l-10.97 1.937C322.7 46.84 193.83 49.9 62.376 25.188c-17.847-.33-4.407-.276-19.063-.28l.376 8.062c0 20.07.373 39.718 1.187 58.81l.313 7.5 7.406 1.282c23.815 4.14 41.906 24.693 41.906 49.782 0 21.526-12.815 39.36-31.5 46.812L55.875 200l1.406 7.53C79.423 327.95 134.21 423.74 249.25 490.157l4.688 2.72 4.656-2.72C371.38 425.04 426.936 328.466 450 207l1.406-7.406-6.937-2.938c-18.255-7.72-31.095-25.293-31.095-46.312 0-25.048 18.128-45.617 41.906-49.78l7.376-1.283.344-7.468c.888-19.207 1.188-38.74 1.188-58.843V21.843zm-18.782 22.062c-.08 13.617-.337 26.97-.844 40.063-28.778 8.433-49.875 34.948-49.875 66.374 0 25.886 14.477 48.117 35.532 59.937C407.48 323.113 356.802 410 253.905 471.126 148.812 408.765 98.946 322.767 77.062 211.03c21.635-11.7 36.126-34.465 36.126-60.686 0-31.43-21.077-57.958-49.876-66.375-.476-13-.747-26.278-.843-39.782C138.186 58.14 213.08 62.986 287.812 60.28L196.03 182.25h51.69l-91.876 159.97 93.72-96.064h39.436l-95.53 147.156 183.093-184.625h-90.47l60.25-61.75H290l75.938-92.187c26.47-2.762 52.955-6.384 79.468-10.844z","fillRule":"evenodd"}}]})(props);
};
function GiLightningShout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.094 20.313l1.718 345.656c15.676 8.518 35.93 6.658 49.75-1.626 7.5-4.496 12.794-10.568 14.97-17.03 2.175-6.465 1.855-13.604-3.626-22.69-58.988-97.785-45.843-189.42 5.688-240.843 51.53-51.42 140.25-61.102 224.687-1.655 13.64 9.602 20.336 9.61 24.564 7.656 4.227-1.952 8.902-8.514 12.594-18.686 3.69-10.172 6.408-22.99 9.312-34.813 1.32-5.375 2.57-10.487 4.156-15.28l-343.812-.688zm172.625 39.25c-5.728.072-11.355.485-16.845 1.218L276 135.657l18.97-42.687c-35.907-23.667-71.29-33.814-103.25-33.407zm-84.064 31.093c-2.36 2.033-4.667 4.14-6.875 6.344-12.168 12.143-22.05 26.945-28.874 43.906l144.25 76.125L208 298.626l-29.625 88.906-2.03 6.064 4.905 4.062 53.625 44.656-23.28 52.125h20.5l17.686-39.687 47.657 39.688h29.188l-128.5-107.063 24.094-72.28L319.124 347l39.188 147.438h135.75v-74.782l-117-114.28 70.906-25.25 46.092 29.624v-22.22l-39.875-25.592-3.875-2.5L446 261l-86.563 30.844-109.093-35.625-.313-46.47 111.407-4.47 4.75-.186 2.657-3.97 30.28-45.468 94.938-8.25v-18.78l-101 8.81-4.5.376-2.468 3.75-30.156 45.22-111.125 4.468-126.72-68.438-10.437-32.156zm-46 97.22c-1.952 34.125 6.586 73.24 29.313 115l33.468-21.688-62.782-93.313z"}}]})(props);
};
function GiLightningSlashes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M140.2 23.414c15.085 32.345 32.656 63.74 52.378 93.875l5.117 6.558-.023-34.914 71.494 120.16 12.21-30.672 62.49 111.574 10.792-23.053 46.98 65.72c28.694 19.943 58.638 37.808 89.563 53.27-9.573-53.755-22.974-106.946-46.167-158.7l-15.385 36.853-60.82-106.8-7.33 21.812-58.623-100.784-9.523 36.104-57.16-69.95-8.792 27.077-87.2-48.13zM32.905 30.65c.498 1.085 1.01 2.16 1.512 3.24l128.55 182.686-15.07 2.442 85.834 57.697-31.3 9.924 138.322 85.465-34.393 16.145 5.4 3.322c-.7-1.014-1.393-2.032-2.098-3.043 4.165 3.215 8.367 6.367 12.584 9.49l109.297 67.22c14.582 7.255 29.39 13.985 44.418 20.156-10.046-21.494-21.62-43.198-34.51-64.898l-83.413-116.693-12.685 27.093-61.118-109.127-11.734 29.474-56.094-94.275.014 21.255-48.426-62.06C123.39 81.91 77.68 52.7 32.904 30.65zM19.557 136.71l29.308 61.67-34.44-.745 81.34 67.69L60.59 275.1l123.84 95.517-44.7 3.76 148.02 83.487-32.973 12.033 117.977 27.077c-11.174-23.545-23.634-46.537-37.254-68.864l-68.41-42.074 34.47-16.183-143.597-88.726 33.185-10.52L98.2 208.132l30.69-4.97C94.145 177.7 57.52 155.358 19.556 136.71z"}}]})(props);
};
function GiLightningSpanner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.355 18.375V53.21L89.04 99.51l-42.593 57.71 81.03-27.392 7.023 30.498 56.066 5.256 9.926 43.22-35.623 16.934-40.298-29.785-70.082 62.49 72.418-23.945 22.778 44.387 44.96-14.373 32.2-55.918c-10.238-23.8-9.676-51.92 4.183-75.996 7.208-12.53 17.085-22.504 28.644-29.575 2.33-.675 8.71-5.517 11.648-5.802 11.515-4.78 23.982-7.087 36.537-6.534 5.638.248 11.288 1.053 16.863 2.433l12.088 2.99-40.34 69.5c-3.456 6.002-1.275 14.09 3.895 17.085l.002.002c5.144 2.976 12.367.775 16.014-5.56l.01-.014 40.35-69.518 8.592 8.97c25.457 26.57 31.995 67.74 12.697 101.26-13.936 24.205-38.08 38.312-63.676 41.24l-29.91 51.937 27.017 23.355-19.92 43.863 85.913 67.684-43.625-74.252 37.785-33.21 47.89 26.284-51.698-66.78-19.377 32.37-24.12-43.85 62.49-32.706 17.52 39.714 30.37-26.28 32.705 50.81-23.944-88.77-29.788 24.526-4.672-66.577 75.338-48.472-81.787-4.59 28.616-55.82 36.155 26.585 26.335-16.34v-70.18h-2.63L456.878 50.53 415.41 27.757l-45.1 61.627-34.57-16.162 16.656-52.488-78.304 53.594-24.198-55.95h-65.783l-5.226.63 51.976 33.29-12.847 61.32-50.81 8.76-72.327-104H18.354zM304.56 109.3c-12.4-.082-24.632 3.262-35.138 9.68l-.102.06c-8.906 5.473-16.434 13.043-22.093 22.878v.002c-11.596 20.143-11.392 43.746-1.618 63.08l2.277 4.504-86.692 150.553-5.068.27c-19.984 1.06-39.3 11.34-51.25 28.92-7.377 10.693-11.713 23.632-11.713 37.552 0 36.546 29.828 66.374 66.375 66.374 36.546 0 66.374-29.828 66.374-66.375 0-5.057-.59-9.977-1.67-14.714-.1-.457-.207-.91-.316-1.365-.05-.2-.095-.4-.147-.6-1.198-4.772-2.917-9.394-5.143-13.763l-2.3-4.513 86.698-150.57 5.07-.27c21.685-1.153 42.1-12.294 53.73-32.492h-.003c12.81-22.25 10.9-48.614-2.115-68.81l-27.14 46.76c-8.31 14.434-26.838 20.938-41.575 12.407H291c-14.713-8.522-19.23-27.812-10.73-42.583l.01-.016 27.206-46.868c-.15-.007-.298-.035-.447-.04-.828-.037-1.655-.058-2.48-.063zM159.54 379.1c26.45 0 47.696 21.244 47.696 47.697 0 26.45-21.244 47.696-47.697 47.696-26.454 0-47.696-21.245-47.696-47.697 0-26.454 21.243-47.698 47.695-47.698z"}}]})(props);
};
function GiLightningStorm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M386.97 17.688c-.678 24.347-8.144 49.282-22.19 71.843-37.465 60.192-112.748 86.84-181.874 69.907 5.208-2.31 10.233-4.83 15.03-7.593 39.057-22.5 57.284-55.454 54.314-91.688-7.388 21.814-24.62 41.314-50.22 56.063-48.047 27.68-118.01 31.687-187.468 16.936v37.375c41.04 8.176 82.086 9.6 118.563 3.47.365.25.726.503 1.094.75l.093-.03 3.28 2.124c32.687 21.385 79.955 25.336 123.75 16.28 43.797-9.054 83.514-31.274 101.126-57.343l4-5.905 6.75 2.28c39.1 13.354 75.938 17.096 119.06 14.94.718-.056 1.442-.098 2.158-.157v-39.125c-36.865 3.595-75.212.762-111.407-9.032 9.5-26.66 10.5-54.67 3.94-81.093zM323.75 191.28c-17.796 9.052-37.843 15.86-58.625 20.157-31.336 6.48-64.594 7.087-94.688-.53L251.28 305l-93.06 20.375L457.874 495.97 348.53 319.936l58.064-14.968-82.844-113.69z"}}]})(props);
};
function GiLightningTear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M261.094 16.03l-18.688.032.063 33.282c-15.95.64-31.854 3.145-47.595 7.53l-10.22-33.28-17.874 5.468 10.345 33.594c-12.496 4.636-24.867 10.44-37.03 17.438l-19.126-30.5-15.814 9.906 19.063 30.47c-10.68 7.15-21.16 15.22-31.44 24.218L66.907 90.124l-12.75 13.688 24.875 23.124c-2.465 2.406-4.937 4.83-7.374 7.344l-6.28 6.5 6.28 6.5c54.467 56.233 116.508 85.097 178.906 85.095 62.4-.002 124.43-28.87 178.907-85.094l6.28-6.5-6.28-6.5c-2.38-2.455-4.782-4.835-7.19-7.186l25-23.28-12.717-13.69-26.032 24.22c-9.15-8.024-18.462-15.315-27.936-21.875l19.312-30.782-15.812-9.938-19.188 30.594c-12.823-7.665-25.888-14.007-39.094-19.03l10.313-33.533-17.875-5.468-10.156 33.063c-15.513-4.467-31.21-7.082-46.938-7.906l-.062-33.44zM250.53 70.25c39.147 0 70.69 31.51 70.69 70.656s-31.543 70.688-70.69 70.688c-39.145 0-70.655-31.542-70.655-70.688 0-39.145 31.51-70.656 70.656-70.656zm64.69 9.063c32.377 11.564 64.16 31.955 94.28 61.468-30.015 29.402-61.683 49.757-93.938 61.345 15.08-16.01 24.344-37.562 24.344-61.22 0-23.838-9.4-45.545-24.687-61.593zm-129.408.03c-15.27 16.045-24.656 37.74-24.656 61.563 0 23.64 9.25 45.18 24.313 61.188-32.218-11.596-63.837-31.944-93.814-61.313 30.092-29.474 61.823-49.863 94.156-61.436zm64.75 10.813c-27.99 0-50.687 22.696-50.687 50.688 0 27.99 22.696 50.656 50.688 50.656 27.99 0 50.687-22.667 50.687-50.656 0-27.992-22.696-50.688-50.688-50.688zm78.875 146.406c-25.884 9.117-52.37 13.72-78.875 13.72-16.853 0-33.69-1.897-50.375-5.595l59.594 51.125-93.686 2.5L419.53 492.188l-85.81-144.375 71.53-.718-75.813-110.53z","fillRule":"evenodd"}}]})(props);
};
function GiLightningTree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.84 19.947v57.305l70.31 28.326-1.896.434c12.213 53.392-5.893 155.87-30.828 212.508l-1.865 4.236 95.038 171.86h21.355l-53.166-96.143 70.908 11.306 49.078 84.835h21.59l-58.945-101.89-94.11-15.006-30.974-56.015c14.24-33.763 26.116-78.726 31.613-122.402 36.702 52.688 87.49 91.51 150.307 117.468l-42.524 56.25 110.696-3.39-20.938 107.442 36.47 17.543h43.112l-58.478-28.13 6.715-34.452 93.666 24.994 30.886 37.588h36.646v-20.68l-47.094-56.037c-23.62 1.667-48.992-5.188-70.86-20.316-.09-10.192.878-20.03 2.753-29.568l68.13-2.086 47.07 43.76V384.17l-39.97-37.156-70.252 2.15c5.574-16.8 13.888-32.684 24.07-47.945-43.356-22.47-72.41-50.796-90.066-82.745 21.43-2.416 42.896-6.837 64.38-13.75l47.82 74.295 64.02 9.26V269.4l-52.913-7.654-51.078-79.355-6.946 2.41c-60.644 21.063-121.398 20.804-182.894 10.532-50.274-52.162-36.778-108.118 6.07-129.256l100.938 60.31 96.457-11.402 90.366 109.04V194.74L412.043 95.23 311.81 107.078l-145.833-87.13H19.84zm218.752 229.84c.978-.007 1.95-.005 2.912.008 55.755.72 85.412 33.977 90.57 90.85l-1.982 10.177-75.91 2.323 33.88-44.815-11.656-4.426c-32.562-12.363-61.618-27.98-87.12-47.056 18.2-4.643 34.633-6.954 49.306-7.06z"}}]})(props);
};
function GiLightningTrio (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M292.53 20.5l19 40.594L66.314 28.75 362.03 158.125l-18.967-40.594 149.218 15.282L292.53 20.5zm-252 23.375L318.314 413.97 312.906 348l184.97 146.5L294 186.656l5.406 65.97L40.53 43.875zM20.907 76.22l36.5 316.405L83.03 351.75l68.095 139.344-9.594-241.125-25.624 40.843-95-214.594z"}}]})(props);
};
function GiLilyPads (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M223.588 20.262c-94.51.16-180.05 33.605-205.775 82.295 63.673 11.945 127.836 21.112 192.79 25.808-35.365-20.726-55.412-44.447-57.513-70.908 9.606 23.1 38.422 48.424 67.744 60.867-4.996-1.485 32.824-53.85 50.416-64.902-29.405 39.648-37.708 67.187-36.1 67.928 22.607-1.23 127.53-22.233 127.53-22.233-7.847 7.87-76.286 35.126-119.205 35.522 22.56 16.765 45.517 29.576 70.28 40.155-28.376-5.275-66.343-11.28-89.616-34.283-18.81 14.785-68.393 43.842-93.882 53.728 22.513-12.795 64.63-48.47 84.418-63.535-.27-.15-.53-.305-.8-.457-64.003 14.72-129.707 23.77-196.356 29.67 27.37 52.198 125.31 84.884 229.158 76.478 103.846-8.405 181.566-55.31 181.843-109.748.28-54.436-76.97-99.61-180.743-105.7-8.107-.474-16.18-.7-24.19-.686zm248.51 173.773c-42.225.14-83.063 17.878-96.717 42.38-14.094 25.29 5.113 50.01 44.964 57.87 9.19-18.766 20.915-34.35 39.265-48.875l-.006-.004c-18.332 3.757-37.205 11.32-56.114 11.615 14.78-2.85 29.676-12.61 43.7-16.5-14.416-5.666-11.947-8.55-25.7-15.452 17.615 5.508 18.616 7.213 37.572 11.21 5.925-8.022 4.172-16.43 8.487-25.098-1.652 8.444 2.323 16.434-.062 24.603 8.918-1.574 17.728-3.677 26.512-5.922v-34.22c-5.642-.873-11.59-1.416-17.813-1.564-1.364-.032-2.727-.045-4.09-.04zM494 236.533c-7.603 2.384-15.546 4.048-22.955 6.182 7.93 4.105 15.246 10.675 22.955 16.43v-22.612zm-34.37 8.887c-8.755 32.378-10.157 35.155-4.308 51.39 13.108-1.736 26.395-5.143 38.678-9.732v-23.736c-12.286-5.11-23.734-12.168-34.37-17.922zm-239 16.51c-2.96-.01-5.92.02-8.884.09-94.81 2.256-161.748 45.352-156.707 100.894 5.04 55.542 80.51 106.446 176.683 119.17 12.704-35.26 13.5-72.006 15.984-108.543-32.932 17.818-75.572 23.768-115.857 32.597 31.362-11.65 62.422-23.65 91.064-38.473-34.348-9.89-67.103-26.543-100.377-41 35.958 9.036 71.627 19.507 108.104 25.947-5.18-17.742-7.297-36.632-10.882-54.973 9.37 18.825 16.314 38.62 29.18 56.05 41.175-8.686 77.906-22.37 116.166-34.332-29.87 14.993-59.066 31.237-90.38 43.547 30.463 8.445 62.82 14.284 94.92 20.477-41.068-.64-82.065-1.71-121.88-9.868l-.014.008c24.498 35.384 51.502 70.77 85.287 106.154 86.556-17.07 128.27-70.762 97.656-125.695-29.656-53.218-118.352-91.745-210.064-92.05z"}}]})(props);
};
function GiLindenLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464.932 21.29C274.485 132.043-106.076-.603 69.61 354.474c11.676-12.52 24.432-24.32 37.908-35.48C67.722 262.93 54.24 199.74 90.232 154.392c-8.058 41.812 10.656 93.947 47.094 141.673 6.008-4.318 12.087-8.544 18.23-12.662 10.623-7.123 21.434-13.967 32.294-20.576-39.13-48.68-51.65-106.296-7.61-146.414-13.92 45.353 3.117 91.37 36.944 129.17 17.7-10.1 35.226-19.632 51.978-28.648-34.28-38.035-47.893-86.045-9.226-120.44-16.994 38.647.948 78.153 32.75 107.777 8.61-4.647 16.946-9.188 24.85-13.595 11.313-7.012 22.352-14.307 32.98-22.016-27.643-27.05-38.643-67.445 2.504-88.78-19.482 26.625-7.21 56.638 15.572 74.905 31.87-25.927 58.968-56.626 77.308-95.932-7.773 45.32-28.388 79.65-55.957 108.272 28.69 11.048 62.472 4.036 75.99-39.15-9.714 74.018-57.36 78.104-94.42 56.668-16.333 14.264-34.34 27.185-53.087 39.593 47.863 30.855 109.968 41.123 142.123 8.13-29.384 68.29-110.973 51.34-167.126 7.144-15.316 10.506-31.402 21.544-47.444 33.152 55.11 43.938 133.57 69.352 202.166 55.34-65.948 54.125-165.335 22.79-230.382-34.147-7.38 5.78-14.64 11.68-21.68 17.713-8.618 7.387-16.886 14.97-24.684 22.725 59.03 57.24 143.643 100.245 234.204 96.922-85.83 40.44-190.386-1.646-259.903-68.238-9.28 11.84-17.164 24.022-23.136 36.52-1.49 3.123-2.867 6.262-4.126 9.418C584.836 697.405 502.94 124.374 464.932 21.288zm-227.2 234.314c-24.016 13.397-48.39 27.648-71.77 43.324C94.374 346.923 33.86 406.27 23.024 485.322c5.26 3.375 14.588 7.464 26.88 9.916 13.06 2.605 29.48 3.515 47.915 1.71-12.04-37.794-7.385-73.55 7.88-105.505 16.808-35.178 45.69-66.18 78.222-94.062 17.278-14.808 35.602-28.676 53.81-41.776z"}}]})(props);
};
function GiLinkedRings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M323.512 17.348c-43.22 0-86.442 16.5-119.446 49.504-19.077 19.08-32.607 41.55-40.642 65.48 9.52-1.467 19.127-2.213 28.738-2.213 6.67 0 13.34.362 19.98 1.07 3.87-5.473 8.244-10.696 13.135-15.586 23.276-23.276 53.87-34.913 84.463-34.913 30.594 0 61.187 11.638 84.463 34.914 46.55 46.55 46.55 122.376 0 168.927-46.55 46.553-122.374 46.553-168.926 0-22.203-22.202-33.853-51.087-34.884-80.235-11.51 1.79-22.767 5.577-33.22 11.37 5.787 33.007 21.39 64.575 46.893 90.077 66.007 66.006 172.885 66.007 238.89 0 66.007-66.006 66.007-172.884 0-238.89-33.002-33.004-76.223-49.504-119.444-49.504zM193.668 148.715c-14.89-.132-29.792 1.695-44.293 5.48-3.51.917-6.995 1.947-10.45 3.092-1.728.572-3.448 1.173-5.16 1.803 0 0-.002 0-.003.002h-.002c-3.425 1.26-6.817 2.636-10.17 4.125-1.636.726-3.262 1.48-4.88 2.262l-.2.094c-3.22 1.56-6.4 3.23-9.537 5.008-.185.104-.368.21-.55.316-1.356.775-2.7 1.57-4.038 2.385-.218.133-.437.265-.655.4-2.996 1.843-5.948 3.79-8.85 5.84-.25.178-.5.36-.75.54-1.214.866-2.42 1.75-3.615 2.654-.255.193-.512.385-.767.58-2.798 2.14-5.544 4.375-8.234 6.713-.297.258-.592.52-.887.78-1.067.94-2.124 1.9-3.172 2.87-.293.272-.587.54-.88.815-1.298 1.22-2.587 2.458-3.856 3.728C25.276 245.645 11.932 314.2 32.687 373.518v.002c.452 1.288.92 2.573 1.402 3.853l.002.002c3.384 8.963 7.557 17.696 12.52 26.094 7.092 11.998 15.793 23.308 26.107 33.622 66.005 66.006 172.883 66.006 238.89 0 19.07-19.072 32.625-41.558 40.675-65.482-16.14 2.485-32.543 2.866-48.765 1.142-3.863 5.473-8.23 10.695-13.123 15.588-46.552 46.55-122.377 46.55-168.928 0v-.002c-.728-.727-1.445-1.46-2.15-2.2v-.003c-.704-.74-1.398-1.488-2.08-2.242v-.002c-.68-.754-1.352-1.515-2.01-2.283v-.002c-.66-.767-1.31-1.54-1.945-2.322v-.002c-.636-.78-1.26-1.565-1.875-2.358v-.002c-.613-.793-1.216-1.592-1.806-2.397v-.002c-.59-.803-1.17-1.612-1.74-2.428v-.002c-.567-.816-1.125-1.638-1.67-2.465v-.002c-.546-.827-1.08-1.66-1.602-2.496v-.002c-.523-.838-1.035-1.68-1.535-2.528v-.002c-.5-.847-.988-1.7-1.465-2.556v-.003c-.477-.857-.944-1.718-1.398-2.584v-.002c-.455-.865-.9-1.736-1.33-2.61v-.003c-.432-.875-.853-1.753-1.262-2.636-.41-.884-.807-1.77-1.194-2.66v-.003c-.386-.89-.76-1.786-1.125-2.684v-.002c-.727-1.796-1.408-3.61-2.045-5.433v-.002c-.318-.91-.626-1.826-.92-2.744-.297-.92-.58-1.84-.853-2.763v-.002c-.273-.923-.533-1.848-.783-2.777v-.002c-.25-.928-.49-1.858-.717-2.79v-.003c-.227-.933-.444-1.87-.648-2.807v-.002c-.205-.937-.397-1.877-.58-2.818v-.002c-.18-.94-.35-1.884-.51-2.828v-.002c-.16-.944-.307-1.89-.444-2.838v-.002c-.136-.947-.26-1.896-.375-2.846v-.002c-.113-.95-.215-1.9-.306-2.85v-.003c-.09-.952-.172-1.906-.24-2.86v-.002c-.07-.952-.125-1.905-.17-2.86v-.002c-.046-.954-.08-1.91-.102-2.865v-.002c-.023-.954-.035-1.91-.035-2.864v-.002c0-.956.012-1.91.035-2.866v-.002c.023-.955.056-1.91.102-2.865.045-.955.1-1.91.17-2.862v-.002c.068-.954.15-1.908.24-2.86v-.002c.09-.95.193-1.9.306-2.85v-.003c.114-.95.24-1.897.375-2.845v-.002c.137-.947.285-1.893.444-2.838v-.002c.16-.944.33-1.887.51-2.828v-.002c.183-.94.375-1.88.58-2.818v-.002c.204-.937.42-1.874.648-2.807v-.002c.227-.933.467-1.862.717-2.79v-.003c.25-.927.51-1.853.783-2.776v-.002c.273-.923.556-1.844.852-2.762v-.002c.295-.918.603-1.832.92-2.744v-.002c.638-1.824 1.32-3.636 2.046-5.434v-.002c.364-.898.74-1.792 1.125-2.683v-.002c.387-.89.785-1.776 1.194-2.66.41-.885.83-1.763 1.26-2.638v-.002c.433-.875.877-1.745 1.332-2.61v-.003c.454-.867.92-1.727 1.398-2.584v-.002c.477-.856.965-1.71 1.465-2.556v-.002c.5-.848 1.012-1.69 1.535-2.527v-.002c.522-.838 1.056-1.67 1.602-2.496v-.002c.545-.827 1.103-1.65 1.67-2.465v-.002c.57-.816 1.15-1.625 1.74-2.43v-.002c.59-.805 1.193-1.604 1.806-2.397v-.003c.614-.792 1.24-1.578 1.875-2.36.636-.78 1.285-1.555 1.944-2.323v-.002c.658-.768 1.33-1.53 2.01-2.283v-.003c.682-.755 1.376-1.5 2.08-2.243v-.002c.705-.74 1.422-1.474 2.15-2.2v-.003c.025-.027.05-.05.077-.077l26.113-21.768c10.24-5.893 34.254-13.07 58.272-13.07 14.34 0 28.682 2.558 42.27 7.672v.002c.906.34 1.808.69 2.706 1.054l.002.002c.898.363 1.793.737 2.684 1.123h.002c13.372 5.797 25.89 14.15 36.8 25.06 22.208 22.21 33.815 51.078 34.833 80.253 11.538-1.79 22.83-5.587 33.31-11.402-5.8-32.976-21.438-64.566-46.93-90.06l-.002-.002-.008-.008c-.963-.962-1.936-1.907-2.916-2.84-.276-.264-.555-.522-.832-.783-.696-.654-1.394-1.304-2.098-1.945-.366-.333-.734-.66-1.102-.99-.638-.57-1.28-1.138-1.925-1.697-.373-.323-.745-.646-1.12-.965-.69-.59-1.386-1.17-2.084-1.746-.338-.28-.675-.562-1.015-.838-.913-.742-1.83-1.472-2.756-2.192-.098-.076-.193-.154-.29-.23-.222-.17-.446-.336-.667-.506-.8-.614-1.603-1.223-2.412-1.82-.437-.323-.877-.64-1.317-.957-.628-.455-1.26-.907-1.892-1.353-.467-.328-.935-.652-1.404-.974-.59-.406-1.18-.807-1.772-1.204-.505-.34-1.01-.676-1.518-1.008-.602-.395-1.208-.78-1.814-1.166-.478-.304-.955-.612-1.436-.91-.667-.415-1.34-.82-2.01-1.223-.914-.55-1.83-1.09-2.75-1.62-.543-.314-1.084-.63-1.628-.937-.598-.336-1.2-.662-1.803-.99-.516-.28-1.03-.562-1.548-.838-.602-.32-1.205-.636-1.81-.95-.485-.25-.97-.498-1.457-.743-.707-.357-1.415-.71-2.125-1.057-.28-.136-.56-.268-.84-.402-2.903-1.394-5.834-2.704-8.795-3.922-.882-.363-1.768-.714-2.654-1.06-.265-.105-.53-.21-.796-.313-.863-.332-1.73-.656-2.596-.974-.23-.085-.462-.168-.693-.252-.924-.334-1.848-.663-2.776-.98l-.075-.026c-.073-.025-.147-.047-.22-.072-4.17-1.417-8.38-2.668-12.626-3.75-.093-.023-.184-.05-.276-.072-1.032-.262-2.066-.513-3.102-.754l-.097-.024c-.037-.01-.075-.016-.112-.025-5.463-1.265-10.977-2.257-16.52-2.974-6.723-.87-13.487-1.334-20.255-1.394z"}}]})(props);
};
function GiLion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M123.885 20.447c-10.348.467-21.337 3.146-32.194 5.366l62.492 65.628-21.645.188c-29.376.187-75.695 6.154-103.555 22.303l31.756 51.576-40.625 21.098v56.577l46.54 26.32-46.54 40.076v32.268c28.217-1.233 60.63.636 89.135-8.907l31.902-10.658-21.828 25.586c-18.76 22-29.782 55.133-50.736 87.713 31.91-2.394 63.352-7.65 96.8-25.81l16.026-8.683-9.746 77.124c26.333-12.19 52.103-28.923 71.178-49.055 22.683-23.94 35.713-50.49 33.36-72.71l-.074-.75c-18.488-12.687-32.26-31.173-39.236-54.18-8.414-27.753-5.867-62.33 6.643-101.145-26.406-4.04-46.536-14.637-57.307-30.11-12.33-17.716-14.222-39.26-7.738-57.018 6.483-17.758 22.29-32.165 43.437-33.4 20.558-1.195 44.48 10.033 69.972 36.102 11.368 4.11 21.73 8.034 31.14 11.94 2.434-21.395-1.46-38.033-10.408-52.9-8.41-13.975-23.217-26.43-41.1-38.582l4.27 42.888-16.425-10.985C222.37 43.57 168.973 18.49 123.885 20.597l.002-.225zm100.387 77.997c-.436.008-.866 0-1.29 0h-.002c-13.54.785-22.545 9.105-26.937 21.135-4.393 12.03-3.243 27.353 5.51 39.93 8.755 12.576 25.128 23.158 53.548 24.784l12.595.69-4.344 11.827c-14.837 40.46-16.242 73.928-8.577 99.212 7.66 25.267 24.04 42.795 47.305 52.56h.037l108.59 38.474c5.65-11.9 11.672-23.813 17.988-35.71-4.997 2.188-10.513 3.41-16.32 3.41-22.52 0-40.78-18.262-40.78-40.782 0-22.518 18.26-40.78 40.78-40.78 20.66 0 37.697 15.373 40.373 35.3 10.666-18.062 21.885-36 33.48-53.683l-103.224-52.377-4.746-5.732c-3.93-13.556-11.515-23.32-26.39-33.324-14.876-10.002-37.034-19.57-67.784-30.623l-2.08-.767-1.53-1.607c-23.283-24.532-42.7-32.278-56.202-32.024zm119.04 89.93c8.272 0 14.657 6.387 14.657 14.657 0 8.274-6.387 14.688-14.658 14.688-8.27 0-14.687-6.414-14.687-14.687 0-8.27 6.416-14.655 14.687-14.655z"}}]})(props);
};
function GiLips (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M166.844 112.344c-42.01 38.554-97.815 75.023-147.53 86.03 39.097 14.38 89.036 18.718 134.717 9.157 53.264 31.33 128.095 32.185 184.876 0 44.99 15.297 96.346 13.18 149.688-9.31-59.564-9.606-125.004-51.588-155.25-85.876-55.502 39.62-111 32.146-166.5 0zm-133.72 114.03c17.33 29.572 48.467 79.248 89.75 131.064 27.24 34.188 76.606 31.093 129.97 31.093 49.298 0 102.29.706 127.625-31.092 37.724-47.35 68.59-92.143 88.217-122-124.874 84.53-316.773 93.18-435.562-9.063z","fillRule":"evenodd"}}]})(props);
};
function GiLipstick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M402.801 39.703c-5.813-.03-11.168.44-15.85 1.353-12.483 2.437-18.737 7.537-20.04 12.301-1.304 4.764 1.48 12.337 10.984 20.791 9.503 8.455 24.725 16.63 42.74 21.56 18.015 4.931 35.282 5.648 47.766 3.212 12.484-2.437 18.735-7.537 20.039-12.301 1.304-4.764-1.48-12.337-10.983-20.791-9.503-8.455-24.727-16.628-42.742-21.559-11.26-3.081-22.225-4.517-31.914-4.566zM350.74 67.088l-92.528 92.527c1.033 3.116 3.392 8.754 8.33 15.771 6.3 8.952 15.216 19.273 24.813 28.87 9.596 9.596 19.915 18.513 28.867 24.812 7.019 4.939 12.658 7.296 15.773 8.328L455.1 118.291c-12.165.237-25.514-1.47-39.217-5.221-20.339-5.567-37.73-14.597-49.953-25.473-6.807-6.056-12.314-13.046-15.191-20.51zm-111.52 88.892l-64.957 64.955c7.621 19.823 22.473 41.436 40.725 59.688a210.707 210.707 0 0 0 17.168 15.36l63.379-63.382a285.506 285.506 0 0 1-16.909-15.619c-10.202-10.202-19.669-21.096-26.804-31.236-7.136-10.14-12.602-18.71-12.602-28.867zm-83.469 66.498L23.258 354.97c4.777 23.238 21.872 50.631 44.365 72.967 9.457 9.39 19.82 17.82 30.368 24.834l134.154-134.154c-10.477-7.365-20.552-15.933-29.887-25.268-21.132-21.132-38.358-46.045-46.508-70.87zm154.078 21.285l-62.955 62.953c9.314 6.138 18.742 11.147 27.8 14.63l64.956-64.958h-.9c-10.157 0-18.727-5.464-28.867-12.6-.012-.007-.022-.017-.034-.025zm-62.082 84.71L113.991 462.227c9.188 4.738 18.246 8.213 26.697 10.07l132.441-132.44c-8.504-2.793-17.014-6.672-25.383-11.386z"}}]})(props);
};
function GiLitCandelabra (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.438 19.938c-12.487-.094-24.863 14.058-28.188 39.968-2.188 17.047 4.64 28.972 14.25 35.125-3.243-4.602-5.02-10.922-4.03-18.81 2.216-17.69 10.448-27.712 18.75-27.814 7.796-.096 15.655 8.56 18.655 27.813 1.305 8.378.14 14.725-2.438 19.218 8.516-5.808 13.958-17.446 11-35.532-4.45-27.22-16.27-39.88-28-39.968zm-115.625 8.03c-.406-.006-.814.01-1.22.032-11.437.61-22.756 12.442-27.155 37.75-2.942 16.92 2.337 27.784 10.718 33.25-1.762-4.28-2.41-9.893-1.312-16.938 2.903-18.63 10.36-27.357 17.906-27.812 8.55-.516 17.215 9.587 19.5 27.813.718 5.73-.048 10.632-1.75 14.656 8.2-6.214 13.617-16.725 11.625-30.97-3.35-23.948-15.755-37.58-28.313-37.78zM373.969 35.5c-.394-.008-.796.01-1.19.03-11.086.64-22.046 13.565-26.31 41.314-3.005 19.538 2.644 31.72 11.342 37.437-3.43-4.524-5.188-11.484-3.687-21.124 3-19.252 10.86-27.908 18.656-27.812 8.302.102 16.534 10.123 18.75 27.812 1.14 9.08-1.385 16.09-5.592 20.78 10.213-6.17 17.76-18.926 15.5-37.092-3.252-26.15-15.295-41.095-27.47-41.344zM256.843 83.97l-7.906 29c-4.147-.583-8.29-1.915-12.438-4.25v110.56h38.813V108.72c-3.604 1.357-7.21 2.523-10.813 3.343l-7.656-28.094zm-117.22 7.155l-8 29.313c-3.63-.79-7.272-1.978-10.905-3.532V219.28h38.81V116.907c-3.927 2.038-7.852 3.35-11.78 4.03l-8.125-29.81zM372.97 102.75l-7.783 28.5c-3.917-1.002-7.83-2.402-11.75-3.844v91.875h38.813v-91.874c-3.743 2.632-7.476 4.146-11.22 4.844l-8.06-29.5zM120.72 237.97v.03h-12.407c0 15.576 7.953 25.735 18.312 30.47v28.75c0 35.492 29.227 64.717 64.72 64.717h52.03v92.438c-22.13 3.525-41 15.434-41 35.688H312.72c0-20.314-18.847-32.19-40.97-35.688v-92.438h51.906c35.494 0 63.844-29.53 63.844-64.718v-28.5c10.6-4.616 18.813-14.846 18.813-30.72H392.25v-.03h-38.813v.03h-12.562c0 15.545 7.922 25.692 18.25 30.438v28.78c0 20.18-15.59 36.344-35.47 36.344H271.75v-64.968c10.464-4.672 18.53-14.86 18.53-30.594h-14.967v-.03H236.5v.03h-11.656c0 15.684 8.067 25.872 18.53 30.563v65h-52.03c-19.88 0-36.344-16.465-36.344-36.344v-28.533c10.57-4.627 18.75-14.845 18.75-30.687h-14.22v-.03h-38.81z","fillRule":"evenodd"}}]})(props);
};
function GiLiver (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M154.13 98.45c-74.523-.454-118.57 44.693-124.821 87.952-13.777 104.53-24.78 197.596 42.572 226.59 21.234 9.14 139.689-96.135 223.23-119.239 10.255-63.758 9.712-95.298 3.509-157.142 0 0-3.245-18.8-17.582-21.94-29.596-6.482-80.816-16.355-126.909-16.22zm267.935 10.313c-30.34-.091-65.864 3.56-95.367 9.5-6.687 1.347-10.656 15.303-9.916 19.024 5.8 59.214 6.503 87.53-2.395 149.486 165.98-69.253 180.409-116.413 178.531-136.756-2.967-32.153-33.145-41.14-70.853-41.254zM284.659 314.628c-39.357 14.62-79.953 40.882-113.676 64.54 20.086 5.945 56.674 6.638 74.525-3.397 18.28-15.838 34.462-37.393 39.15-61.143z"}}]})(props);
};
function GiLizardTongue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.438 22.813l2.656 324.406c18.762-2.59 45.968-7.837 64.937-12.626-64.105-101.55-51.24-197.13 2.345-249.656 53.66-52.602 146.458-59.904 233.188 7.343 4.837-9.855 10.408-22.83 16.78-36 5.467-11.292 11.663-22.63 18.907-32.75l-338.813-.718zM193.155 61.75c-2.916-.003-5.797.078-8.656.25l93.125 55.25 13.47-23.938c-33.99-21.88-67.484-31.535-97.94-31.562zm-48.125 8.688c-16.48 6.286-31.224 15.78-43.56 27.874-19.777 19.386-33.67 45.742-38.5 77 45.306 7.664 79.056 38.977 82.5 80.97 4.68 57.115 70.693 102.11 120.624 96.593 66.34-7.337 91.348 25.706 101.937 75.938 11.52 54.665 62.34 79.21 126.5 65.5-50.166-15.56-93.128-41.772-92.655-102.844.473-61.074-34.86-95.83-82.28-98.783-59.558-3.705-78.226-42.47-81.25-94.5-2.15-36.966-41.773-95.566-93.314-127.75zm-83.936 130c.064 32.407 9.32 68.854 30.656 107.5l22.313-13.25-52.97-94.25z"}}]})(props);
};
function GiLizardman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.5 19.438c-44.403 0-85.068 25.433-115.22 68.124-10.09 14.288-18.944 30.48-26.25 48.188-10.71-4.62-21.43-9-32.155-13.188L72.062 140c25.816 10.078 51.322 20.963 76.376 34.22 30.466 16.78 59.304 36.763 80.375 58.374-20.213.33-37.827 1.154-54.094 2.812.113-1.08.186-2.172.186-3.28 0-17.046-13.8-30.876-30.844-30.876s-30.875 13.83-30.875 30.875c0 5.228 1.298 10.156 3.594 14.47-9.395 2.82-18.86 6.195-28.686 10.186.125 65.892 19.137 125.358 49.187 167.908 30.152 42.69 70.817 68.093 115.22 68.093 44.403 0 85.068-25.4 115.22-68.092 29.778-42.166 48.693-100.945 49.155-166.125-11.774-4.744-23.037-8.627-34.313-11.782 1.728-3.95 2.688-8.317 2.688-12.905 0-17.812-14.438-32.25-32.25-32.25-17.812 0-32.25 14.438-32.25 32.25 0 .724.015 1.444.063 2.156-15.164-1.317-31.518-2.01-49.938-2.31 29.974-30.743 74.994-58.278 118.875-78.564 12.154-5.344 24.38-10.35 36.688-15.156l-6.813-17.438c-8.886 3.47-17.776 7.06-26.656 10.813-7.108-16.777-15.617-32.17-25.25-45.813-30.152-42.69-70.817-68.124-115.22-68.124zm-27.03 239.968l31.968 74.563 29.437-65.908 19.97 69.657 39.717-49.564-.375 66 28.47-22.906-2.438 51.344h.03l-26.594 49.437-.97-49.092-25.28 41.187-12.812-47.53-19.563 53.28-21.436-62.375-13.03 66.28-30.283-61.842-11.905 59.406-31.53-44.22-12.97 59.157-30.78-59.905-.97-46.188L158.375 351l12.28-72 36.44 60.906 18.374-80.5z"}}]})(props);
};
function GiLoad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 48c-8.726 0-16 7.274-16 16v384c0 8.726 7.274 16 16 16h236.25l-16-16H64V64h63.375v97.53c0 3.924 3.443 7.095 7.72 7.095h169.81c4.277 0 7.72-3.17 7.72-7.094V64h69.22c.428.318.8.548 1.467 1.094 2.05 1.675 4.962 4.264 8.375 7.406 6.827 6.283 15.65 14.837 24.313 23.5 8.663 8.663 17.217 17.486 23.5 24.313 3.142 3.413 5.73 6.324 7.406 8.374.546.668.776 1.04 1.094 1.47V366h16V128c0-2.68-.657-3.402-1.03-4.156-.375-.754-.725-1.294-1.095-1.844-.74-1.1-1.575-2.19-2.594-3.438-2.036-2.492-4.768-5.55-8.03-9.093-6.524-7.09-15.155-16-23.938-24.782-8.782-8.783-17.692-17.414-24.78-23.938-3.545-3.262-6.6-5.994-9.094-8.03-1.247-1.02-2.337-1.855-3.438-2.595-.55-.37-1.09-.72-1.844-1.094-.754-.373-1.477-1.03-4.156-1.03H64zm87.72 16h48.56c4.277 0 7.72 4.425 7.72 9.938v70.124c0 5.513-3.443 9.938-7.72 9.938h-48.56c-4.277 0-7.72-4.425-7.72-9.938V73.938c0-5.512 3.443-9.937 7.72-9.937zM114 212c-4.432 0-8 3.568-8 8v184c0 4.432 3.568 8 8 8h134.25l-30.625-30.625L202.28 366H279V238h127v-18c0-4.432-3.568-8-8-8H114zm183 44v128h-51.25L352 490.25 458.25 384H407V256H297zm167 147.75l-16 16V448h-28.25l-16 16H448c8.726 0 16-7.274 16-16v-44.25z"}}]})(props);
};
function GiLobArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M269.03 14.47c-110.473 1.825-290.752 92.88-243.5 450.5 0-210.674 118.628-315.626 181.814-315.626 41.72 0 70.595 34.945 73.812 102.75h-40.592l7.218 13.687 114.94 218.283 8.25 15.687 8.28-15.688 114.938-218.28 7.218-13.688H441.97C438.38 104.607 361.12 15.24 274.25 14.47c-1.717-.017-3.465-.03-5.22 0zm-4.592 44.593c85.555-1.117 146.173 75.667 148.687 211.718h57.313L371 459.657 271.53 270.78h65.595c-2.322-140.208-60.25-201.84-171.72-180.25 35.16-20.848 68.674-31.07 99.032-31.468z"}}]})(props);
};
function GiLockPicking (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M494 12.973L208.54 169.975 35.65 97.938a121.168 121.168 0 0 0-1.716 14.103l174.302 101.68L494 64.212zm-68.223 6.12S346.247 35.15 320 48c-45.024 22.044-98.655 84.697-98.655 84.697C288.43 88.467 344.922 48 425.777 19.092zm-319.953 6.063c-19.304 0-36.98 9.903-50.3 26.918-6.275 8.02-11.472 17.613-15.233 28.297l137.866 57.444c1.29-35.483-7.338-63.638-20.734-82.76-13.84-19.758-32.403-29.898-51.598-29.898zm-71.422 108c3.352 30.315 17.906 56.833 38.366 70.74l4.677 3.176L62.23 309.137l99.247 19.83-17.54-117.656a81.96 81.96 0 0 0 10.15-8.34zm300.895 57.03c-50.015 39.164-126.724 78.674-165.047 43.546 11.574 23.1 24.986 42.545 51.31 38.317 37.69-6.055 92.397-52.364 113.737-81.863zM59.572 326.962l-2.035 13.65L494 430.653v-16.888zm-4.7 31.513l-2.038 13.687L494 489.967v-17.55zm-4.71 31.605l-15.055 100.98H185.64l-10.06-67.49z"}}]})(props);
};
function GiLockSpy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23c-75.556 0-137 61.444-137 137v.008c.038 42.262 19.614 82.002 52.756 107.857L116.473 489h279.054l-55.35-221.402c33.076-25.838 52.76-65.38 52.823-107.584V160c0-75.556-61.444-137-137-137zm0 18c65.824 0 118.993 53.164 119 118.986-.06 38.516-18.74 74.6-50.154 96.88l-5.016 3.56L372.473 471H139.527l52.625-210.504-5.013-3.558C155.712 234.64 137.036 198.53 137 160v-.008C137.004 94.168 190.174 41 256 41zm14.508 44.69c-1.983-.01-3.966-.003-5.95.03-30.615.485-61.19 6.227-91.69 16.77-3.66 5.217-6.824 10.77-9.378 16.608-1.183 2.468-2.232 4.98-3.166 7.523 30.858-12.783 61.51-20.36 91.987-22.376-25.746 5.47-45.19 28.43-45.19 55.756 0 31.374 25.627 57 57 57 31.375 0 57-25.626 57-57 0-28.278-20.82-51.876-47.9-56.26 24.755.443 49.475 4.616 74.22 12.733-4.17-8.416-9.554-16.247-15.872-23.258-20.307-4.896-40.67-7.39-61.06-7.524zM264.12 121c21.647 0 39 17.354 39 39s-17.353 39-39 39c-21.645 0-39-17.354-39-39 0-4.494.76-8.8 2.14-12.807.83.772 1.705 1.465 2.597 2.037 4.008 2.572 8.673 3.77 13.676 3.77s9.67-1.198 13.676-3.77C261.215 146.66 265 142 265 136s-3.784-10.66-7.79-13.23c-.484-.31-.978-.597-1.48-.868 2.702-.585 5.507-.902 8.39-.902zm-102.915 72.994c3.308 9.103 7.833 17.772 13.428 25.645 36.963 15.02 72.75 24.08 107.156 25.694 10.122.475 20.12.278 29.972-.613 8.763-5.944 16.48-13.31 22.963-21.65-16.736 3.786-34.09 5.127-52.092 4.284-37.77-1.77-78.5-13.594-121.428-33.36z"}}]})(props);
};
function GiLockedBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M80.39 38.55c1.28 1.5 2.5 3.13 3.61 4.91l9.36 14.71c5.11 8.17 7.14 16.75 6.61 24.51 9.73 1.32 19.73 7.43 26.63 18.42l9.3 14.7c6 9.2 7.7 19.1 6.3 27.6 7.3 2.4 14.3 7.5 19.7 15.2h188.2c5.5-7.7 12.4-12.8 19.7-15.2-1.5-8.5.4-18.4 6.3-27.6l9.2-14.7c7-10.99 17-17.1 26.8-18.42-.6-7.87 1.5-16.39 6.6-24.58l9.3-14.73c1.2-1.74 2.3-3.34 3.4-4.82zM456 44.12c-3 .52-7 3.04-11.4 9.76l-9.3 14.71c-7.4 11.8-4 17.15-.5 19.22 3.4 2.2 9.7 3.07 16.9-8.52l4.3-6.66zm-399.97.11v28.4l4.15 6.66c7.33 11.59 13.66 10.72 17.05 8.52 3.39-2.07 6.89-7.42-.55-19.12l-9.29-14.72c-4.33-6.74-8.24-9.27-11.36-9.79zm41.34 57.47c-1.4 0-3.19.5-4.32 1.3-3.52 2.1-7 7.4.52 19.1l9.23 14.7c6.3 10 12 10.8 15.7 9.3.7-.5 1.6-1 2.3-1.5 2.9-2.4 5.2-7.9-1.5-18.4l-9.2-14.7c-5-7.6-9.4-9.8-12.73-9.8zm317.13 0c-3.3 0-7.6 2.2-12.5 9.8l-9.3 14.7c-6.6 10.5-4.5 16-1.6 18.4 1 .6 1.7 1 2.4 1.5 3.6 1.5 9.3.7 15.7-9.3l9.3-14.7c7.4-11.7 3.9-17 .5-19.1-1.4-.9-2.9-1.2-4.5-1.3zm-358.47 1v55.9h40.44c-3.72-2.9-7.37-6.6-10.31-11.2l-9.25-14.9c-5.14-8.1-7.22-16.7-6.67-24.4-4.81-.6-9.68-2.5-14.21-5.4zm399.97 0c-4.7 2.9-9.4 4.8-14.2 5.4.5 7.7-1.6 16.3-6.7 24.4l-9.3 14.9c-3 4.6-6.5 8.3-10.2 11.2H456zM90.99 178.3v271.8l12.01-9.5c8.1-6.6 17-9.4 25.3-9.4 1.1-8.8 6-18.1 15-25.2l13.8-10.7c7.8-6.3 16.4-9.1 24.2-9.3 4.5 0 8.6.8 12.5 2.3V283.9c-11.3.6-23.8-5.7-31.9-18.5l-9.4-14.9c-5.6-8.7-7.3-17.8-6.5-26-8.6-2.1-17.3-7.9-23.4-17.8l-9.3-14.7c-2.8-4.6-4.7-9.1-5.8-13.7zm37.11 0c.5 1 1.2 2.2 1.9 3.2l9.2 14.9c7.4 11.5 13.6 10.5 17 8.4 3.4-2.1 6.9-7.4-.6-19.1l-4.5-7.4zm46.1 0c4.1 7.8 5.4 15.8 4.7 23 8.6 2 17.2 8 23.4 17.6l9.2 14.9c6.5 10 8 20.8 5.9 29.8h77.3c-2.2-9-.6-19.8 5.8-29.8l9.2-14.9c6.2-9.6 14.8-15.6 23.4-17.6-.7-7.2.5-15.2 4.7-23zm186.7 0l-4.6 7.4c-7.4 11.7-3.9 17-.5 19.1 3.4 2.1 9.5 3.1 17-8.4l9.3-14.9c.6-1 1.4-2.2 1.9-3.2zm43.6 0c-1 4.6-2.9 9.1-5.8 13.7l-9.3 14.7c-6 9.9-14.7 15.7-23.3 17.8.9 8.2-1.1 17.3-6.6 26l-9.4 14.9c-8.2 12.8-20.6 19.1-31.8 18.5v104.4c3.7-1.5 7.9-2.3 12.5-2.3 7.9.2 16.5 3 24.3 9.3l13.6 10.7c9 7.1 13.9 16.4 15.1 25.2 8.3 0 17.1 2.8 25.2 9.4l12 9.5V178.3zm-231.3 41.3c-1.8 0-3.4.7-4.6 1.4-3.3 2-6.8 7.5.6 19.1l9.2 14.7c6.4 9.9 11.7 10.8 15.4 9.4l1.6-.8c3.4-2.1 7-7.5-.5-19.2l-9.2-14.7c-4.9-7.7-9.4-9.9-12.5-9.9zm165.8 0c-3.3 0-7.6 2.2-12.6 9.9l-9.3 14.7c-7.5 11.7-4 17.1-.6 19.2l1.8.8c3.5 1.4 9.1.5 15.2-9.4l9.5-14.7c7.3-11.6 3.9-17.1.5-19.1-1.7-.8-3-1.3-4.5-1.4zm-125.5 63.7V386h85.1V283.3zm42.7 16.3c9.7.2 17.2 7.9 17.2 17.5 0 5.2-2.2 10.3-6.4 13.7l6.4 38.7h-34.9l6.7-38.7c-4.2-3.3-6.7-8.3-6.7-13.7 0-9.7 8-17.6 17.7-17.5zm-74.3 105.2c-3.2 0-7.3 1.6-12.6 5.9l-13.8 10.8c-7 5.7-8.8 10.2-8.3 13.6.1 1.4.8 3.1 1.8 4.2 2.3 3.1 8.1 6.1 18.8-2.6l13.7-10.9c10.7-8.5 9.2-14.6 6.6-17.8-1.2-1.5-3.1-3.1-6.2-3.2zm148.2 0c-2.9.1-5.1 1.7-6.2 3.2-2.6 3.2-4.1 9.3 6.7 17.8l13.6 10.9c10.9 8.7 16.5 5.7 19 2.6 1-1.4 1.4-2.8 1.6-4.2.4-3.4-1.2-7.9-8.4-13.6l-13.5-10.8c-5.5-4.3-9.7-5.9-12.8-5.9zm-121.7.8c2.8 11.4-2 25.6-14.6 35.7L180 452c-8.1 6.6-17 9.5-25.2 9.5-.5 3.9-1.6 8-3.9 11.9h210.2c-2.1-3.9-3.4-8-3.9-11.9-8.2 0-17.1-2.9-25.2-9.5l-13.7-10.7c-12.7-10.1-17.5-24.3-14.6-35.7zm-80.6 44.6c-3 0-7.2 1.3-12.6 5.7l-13.7 10.8c-2.93 2.4-4.93 4.7-6.33 6.7h29.63l2.7-2.2c10.7-8.7 9.2-14.8 6.7-17.8-1.2-1.7-3.2-3.1-6.4-3.2zm256.4 0c-3.2.1-5.1 1.5-6.3 3.2-2.5 3-4.2 9.1 6.6 17.8l2.8 2.2h29.4c-1.2-2-3.2-4.3-6.2-6.7l-13.8-10.8c-5.3-4.4-9.4-5.7-12.5-5.7z"}}]})(props);
};
function GiLockedChest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M146.857 20.842c-12.535-.036-24.268 2.86-37.285 9.424h.004C61.356 54.6 19.966 120.734 17.982 175.91l41.848 14.236c4.33-61.89 47.057-128.37 101.527-155.86h.002c4.423-2.23 8.822-4.162 13.185-5.8l-22.26-7.45c-1.83-.123-3.637-.19-5.428-.194zm59.34 20.19c-10.478-.09-22.832 3.093-36.424 9.943l.004-.004c-48.23 24.34-89.625 90.513-91.548 145.436l156.485 53.24c3.865-62.22 46.797-129.372 101.613-157.035h.002l.002-.003c4.303-2.168 8.584-4.056 12.832-5.666l-134.54-45.036c-2.652-.542-5.458-.847-8.427-.873zm174.97 58.323c-10.476-.09-22.83 3.092-36.42 9.94l-.005.002c-48.577 24.518-90.225 91.473-91.586 146.623l46.205 15.72c3.914-62.188 46.825-129.274 101.607-156.92 4.522-2.283 9.04-4.258 13.53-5.91l-26.544-8.884c-2.164-.35-4.423-.55-6.785-.57zm63.554 22.014c-10.267.093-22.094 3.353-35.333 10.034-47.158 23.8-87.777 87.587-91.362 141.75l174.55-73.726c-.404-39.01-10.754-61.304-24.415-71.082-2.347-1.68-4.867-3.057-7.55-4.137l-.01.034-4.735-1.584c-3.48-.887-7.195-1.327-11.144-1.29zM17.9 195.622l-.035 187.484L59.46 397.58V209.764L17.9 195.624zM78.15 216.12v187.962l156.282 54.37V269.288l-29.053-9.886v119.43l-101.054-34.082V225.025L78.15 216.12zm414.22 3.683L318.433 293.27v189.236l173.935-73.504v-189.2zm-369.354 11.582v99.947l63.675 21.477v-99.763l-63.674-21.662zm31.306 28.797c9.705 0 17.573 7.867 17.573 17.572 0 6.34-3.37 11.88-8.407 14.97v28.53h-18.69v-28.746c-4.838-3.13-8.048-8.562-8.048-14.754 0-9.705 7.867-17.572 17.572-17.572zm98.797 15.464v189.307l46.626 16.22V291.51l-46.627-15.864z"}}]})(props);
};
function GiLockedDoor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105 41v398h302v-62H247V231h32v-55c0-38 36.5-57 73-57 20.5 0 41 6 55 18V41H105zm247 96c-27.5 0-55 13-55 39v55h110v-55c0-26-27.5-39-55-39zm-192 78c18.1 0 33 14.9 33 33s-14.9 33-33 33-33-14.9-33-33 14.9-33 33-33zm0 18c-8.4 0-15 6.6-15 15s6.6 15 15 15 15-6.6 15-15-6.6-15-15-15zm105 16v110h174V249H265zm87 23a16 16 0 0 1 16 16 16 16 0 0 1-10.9 15.2L368 336h-32l10.9-32.8A16 16 0 0 1 336 288a16 16 0 0 1 16-16zM73 457v30h366v-30H73z"}}]})(props);
};
function GiLockedFortress (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M102.78 20.625V113.5L149 165.22v183.03h-25.875L99.53 489.156h319.94L395.874 348.25H370.03V165.22l46.22-51.72V20.625h-53.938v43.97H329.47v-43.97h-53.94v43.97h-32.436v-43.97h-53.938v43.97H156.72v-43.97h-53.94zM263.813 157.72c30.17 0 54.625 24.455 54.625 54.624 0 20.84-11.65 38.946-28.812 48.156l27.625 140.25H210.375L238 260.5c-17.148-9.214-28.813-27.326-28.813-48.156 0-30.17 24.457-54.625 54.625-54.625z"}}]})(props);
};
function GiLockedHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 27.845c-21.563 0-48.67 1.224-69.041 9.357C166.589 45.336 153 58.047 153 86.845v51.847a125.34 125.34 0 0 1 19.988-1.732c3.353-.02 6.693.103 10.012.355v-38.47c0-16 11.186-28.155 24.975-35.05 13.788-6.893 30.9-9.95 48.025-9.95s34.237 3.057 48.025 9.95C317.815 70.69 329 82.846 329 98.846v38.478a124.58 124.58 0 0 1 30 1.377V86.845c0-28.798-13.589-41.51-33.959-49.643-20.37-8.133-47.478-9.357-69.041-9.357zm-83.12 127.093c-7.576.067-15.274.952-22.886 2.682C109.396 166.847 73 198.594 73 258.845c0 43 37.72 89.974 81.213 131.49 21.747 20.758 44.64 40.173 64.25 57.52 15.099 13.356 28.124 25.257 37.537 36.3 9.413-11.043 22.438-22.944 37.537-36.3 19.61-17.347 42.503-36.762 64.25-57.52C401.28 348.819 439 301.845 439 258.845c0-60.25-36.396-91.998-76.994-101.225-40.598-9.227-83.648 5.56-97.65 40.567L256 219.075l-8.355-20.888c-11.377-28.443-41.931-43.537-74.764-43.249zM256 234.845a44.488 44.488 0 0 1 44.488 44.488A44.488 44.488 0 0 1 284 313.876l16.488 98.922h-88.976l16.49-98.936a44.488 44.488 0 0 1-16.49-34.529A44.488 44.488 0 0 1 256 234.845z"}}]})(props);
};
function GiLockpicks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 22.98v18c8.4 0 12.5-.14 15.3 2.63 2.9 2.77 7.2 12.37 7.7 36.55V247h18V79.81c.8-17.14-3-38.58-13.1-49.07-6.7-6.52-14.8-7.62-21.6-7.76H256zM448 23c-13.7 0-25 11.3-25 25 0 6.78 2.8 12.96 7.2 17.49-.4.67-.9 1.36-1.3 2.06-3.9 6.7-5.9 14.96-5.9 23.97 0 8.98 2 17.28 5.9 23.98 2.4 4.1 5.8 7.9 10.1 10.2v118.4c3-.7 6-1.1 9-1.1s6 .4 9 1.1V125.7c4.3-2.3 7.7-6.1 10.1-10.2 3.9-6.7 5.9-15 5.9-23.98 0-9.01-2-17.27-5.9-23.97-.4-.7-.9-1.39-1.3-2.06 4.4-4.53 7.2-10.71 7.2-17.49 0-13.7-11.3-25-25-25zm-68 .95L331.9 48l32 16-27.1 13.54L359 99.73V215h18V92.27l-9.8-9.8L404.1 64l-32-16 15.9-7.95-8-16.1zM119 24v223h18V64l-18-40zm64 31v50h16v161.4l18-9V105h16V55h-50zM39 64v202.3l9 9 9-9V169h23v-18H57v-14h23v-18H57v-14h23V87H57V64H39zm306 169v247c0 20 46 20 46 0V233h-46zm103 28c-11.5 0-23 7-23 27v192c0 20 46 20 46 0V288c0-20-11.5-27-23-27zm-343 4v215c0 20 46 20 46 0V265h-46zm160 0v215c0 20 46 20 46 0V265h-46zm-34 5.6l-46 23V480c0 20 46 20 46 0V270.6zm-206 7.1V480c0 20 46 20 46 0V277.7l-23 23-23-23z"}}]})(props);
};
function GiLog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M391.69 15.94c-16.368.073-31 5.07-41.975 16.044L73.83 307.87c4.225-.493 8.42-.613 12.56-.372 3.104.18 6.177.564 9.21 1.14 13.84 2.63 26.617 8.977 37.984 17.714 27.167-24.11 141.885-119.71 141.885-119.71-40.545 46.737-88.255 89.892-120.536 140.76.593.734 1.195 1.46 1.775 2.205 15.83 20.355 26.67 45.27 29.923 69.563.955 7.135 1.235 14.277.74 21.23l181.06-181.06-7.742-4.647c-.48.215-.962.43-1.493.647l-45.254 22.627 45.254-45.254c0 .09.02.18.026.27l.072-.12 43.52 26.114c1.272-5.898 3.794-11.413 7.824-16.05 4.662-5.37 11.21-9.078 19-10.74l-26.124-43.542 15.435-9.262 11.04 18.4 42.762-42.762c21.036-21.035 26.396-41.327 23.27-60.39-1.63-9.942-5.823-19.683-11.913-28.747l-72.876 72.875 63.522-84.697c-3.586-3.89-7.52-7.585-11.752-11.03-8.926-7.268-19.102-13.37-29.695-17.936.182.177.37.35.55.527l-56.567 33.942 21.668-43.337c-1.333-.107-2.66-.187-3.974-.233-1.106-.04-2.205-.055-3.297-.05zm43.593 233.36c-5.373.6-8.696 2.71-11.058 5.43-2.093 2.41-3.55 5.79-4.127 9.872 4.65-.945 7.952-2.652 10.228-4.928 2.3-2.3 4.02-5.645 4.957-10.375zM81.69 325.282c-15.297-.065-31.403 6.298-48.342 23.08-14.82 15.01-19.83 34.54-17.672 55.385 2.17 20.985 12 42.9 26.424 59.945 2.267 2.68 4.655 5.22 7.125 7.633 3.784-12.452 22.964-33.344 33.912-49.724-7.955 21.334-13.49 43.014-12.62 65.61 7.806 4.22 16.034 7.09 24.415 8.25 19.47 2.693 40.22-3.064 61.29-23.92 11.398-11.606 15.307-29.53 12.57-49.983-2.76-20.61-12.425-43.073-26.292-60.902-13.867-17.83-31.744-30.818-50.262-34.338-3.472-.66-6.987-1.022-10.547-1.037zm-8.21 19.8a73.833 55.395 45 0 1 60.14 26.034 73.833 55.395 45 0 1 13.038 91.377 73.833 55.395 45 0 1-46.732 11.692 61.463 48 45 0 0 29.154-11.608 61.463 48 45 0 0-9.52-77.4 61.463 48 45 0 0-77.402-9.522 61.463 48 45 0 0-11.62 29.147A73.833 55.395 45 0 1 42.24 358.08a73.833 55.395 45 0 1 31.237-12.998z"}}]})(props);
};
function GiLogging (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 18.393v52.394l135.89 180.76c2.32 3.08 6.53 4.55 12.2 4.55 19.66 0 57-17.53 94.79-46 48.74-36.64 79.86-77.51 69.51-91.27L261.868 18.394zm259.55 205.324c-2.77 0-5.52 0-8.26.08l-2.73 2c3.87-.18 7.57-.27 11-.27 28.7 0 77.27 5.81 77.27 27.57s-48.57 27.57-77.27 27.57c-24 0-61.9-4.06-73.66-18.12a141 141 0 0 1-23.15 7.69c1.69.54 3.47 1.08 5.36 1.61 24.32 6.87 56.8 10.65 91.45 10.65 34.65 0 67.13-3.78 91.45-10.65 26.07-7.36 33-15.48 33-18.75 0-3.27-6.91-11.36-33.01-18.73-24.32-6.87-56.8-10.65-91.45-10.65zm0 17.83c-16.91 0-30.31 1.66-40.31 3.83-5.94 3.57-11.77 6.82-17.44 9.73h.03c7.72 4.07 27.01 9.58 57.72 9.58 36.13 0 56.46-7.57 60.75-11.57-4.29-3.99-24.62-11.57-60.75-11.57zm-.01 5.74c11.37 0 20.59 2.6 20.59 5.82s-9.22 5.82-20.59 5.82-20.59-2.61-20.59-5.82l.05.01c0-3.21 9.17-5.83 20.54-5.83zm125.17 27.99c-7.24 4.52-17.02 8.52-29.34 12-25.69 7.26-59.72 11.26-95.8 11.26s-70.1-4-95.8-11.26c-12.187-3.453-21.884-7.417-29.09-11.89-1.48 34.13-6.42 65.73-14.75 94.19-8.14 27.84-19.53 52.78-33.84 74.12a199.84 199.84 0 0 1-24.46 30l123.09-22.92 95.45 42.83 81.67-47.53L487 479.248a404.32 404.32 0 0 1-30.17-46.81c-19.68-35.75-42.77-90.72-47.12-157.16z"}}]})(props);
};
function GiLogicGateAnd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105 105v302h151c148 0 148-302 0-302H105zm-89 46v18h71v-18H16zm368.8 96c.2 6 .2 12 0 18H496v-18H384.8zM16 343v18h71v-18H16z"}}]})(props);
};
function GiLogicGateNand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105 105v302h151c148 0 148-302 0-302H105zm-89 46v18h71v-18H16zm400 82c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm40 14c.6 2.9 1 5.9 1 9 0 3.1-.4 6.1-1 9h40v-18h-40zM16 343v18h71v-18H16z"}}]})(props);
};
function GiLogicGateNor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M116.6 105c40 45.9 60.4 98.4 60.4 151 0 52.6-20.4 105.1-60.4 151H192c34.1 0 81.9-34 119.3-71.4 18.7-18.6 35.1-37.9 46.6-53.3 5.8-7.6 10.4-14.4 13.4-19.4 1.4-2.5 2.5-4.7 3.2-6.1.1-.4.2-.5.2-.8 0-.3-.1-.5-.2-.9-.6-1.4-1.7-3.5-3.2-6-3-5.1-7.5-11.8-13.2-19.5-11.3-15.4-27.5-34.6-46.1-53.2C274.8 139 227.1 105 192 105h-75.4zM16 151v18h122.2c-3-6.1-6.3-12.1-9.9-18H16zm400 82c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm40 14c.6 2.9 1 5.9 1 9 0 3.1-.4 6.1-1 9h40v-18h-40zM16 343v18h112.3c3.6-5.9 6.9-11.9 9.9-18H16z"}}]})(props);
};
function GiLogicGateNot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M 105,111.3 V 400.7 L 365.5,256 Z M 16,247 v 18 h 71 v -18 z m 400,-14 c -12.8,0 -23,10.2 -23,23 0,12.8 10.2,23 23,23 12.8,0 23,-10.2 23,-23 0,-12.8 -10.2,-23 -23,-23 z m 40,14 c 0.6,2.9 1,5.9 1,9 0,3.1 -0.4,6.1 -1,9 h 40 v -18 z"}}]})(props);
};
function GiLogicGateNxor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M53.86 89.17L42.14 102.8c17.99 15.4 32.89 31.6 44.81 48.2H16v18h82.58C114.9 197.3 123 226.7 123 256c0 29.3-8.1 58.7-24.42 87H16v18h70.95c-11.92 16.6-26.82 32.8-44.81 48.2l11.72 13.6c22.59-19.4 40.85-40.1 54.74-61.8h19.7c3.6-5.9 6.9-11.9 9.9-18H119c14.6-28.2 22-57.5 22-87s-7.4-58.8-22-87h19.2c-3-6.1-6.3-12.1-9.9-18h-19.7c-13.88-21.7-32.15-42.5-54.74-61.83zM116.6 105c40 45.9 60.4 98.4 60.4 151 0 52.6-20.4 105.1-60.4 151H192c34.1 0 81.9-34 119.3-71.4 18.7-18.6 35.1-37.9 46.6-53.3 5.8-7.6 10.4-14.4 13.4-19.4 1.4-2.5 2.5-4.7 3.2-6.1.1-.4.2-.5.2-.8 0-.3-.1-.5-.2-.9-.6-1.4-1.7-3.5-3.2-6-3-5.1-7.5-11.8-13.2-19.5-11.3-15.4-27.5-34.6-46.1-53.2C274.8 139 227.1 105 192 105h-75.4zM416 233c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm40 14c.6 2.9 1 5.9 1 9 0 3.1-.4 6.1-1 9h40v-18h-40z"}}]})(props);
};
function GiLogicGateOr (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M116.6 407c40-45.9 60.4-98.4 60.4-151 0-52.6-20.4-105.1-60.4-151H192c34.1 0 81.9 34 119.3 71.4 18.7 18.6 35.1 37.9 46.6 53.3 5.8 7.6 10.4 14.4 13.4 19.4 1.4 2.5 2.5 4.7 3.2 6.1.1.4.2.5.2.8 0 .3-.1.5-.2.9-.6 1.4-1.7 3.5-3.2 6-3 5.1-7.5 11.8-13.2 19.5-11.3 15.4-27.5 34.6-46.1 53.2C274.8 373 227.1 407 192 407zM16 361v-18h122.2c-3 6.1-6.3 12.1-9.9 18zm374.5-96c.2-.3.4-.7.5-1 1.1-2.4 2-4.4 2-8 0-3.6-1-5.6-2-8-.1-.3-.3-.7-.5-1H496v18zM16 169v-18h112.3c3.6 5.9 6.9 11.9 9.9 18z"}}]})(props);
};
function GiLogicGateXor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M53.86 89.17L42.14 102.8c17.99 15.4 32.89 31.6 44.81 48.2H16v18h82.58C114.9 197.3 123 226.7 123 256c0 29.3-8.1 58.7-24.42 87H16v18h70.95c-11.92 16.6-26.82 32.8-44.81 48.2l11.72 13.6c22.59-19.4 40.85-40.1 54.74-61.8h19.7c3.6-5.9 6.9-11.9 9.9-18H119c14.6-28.2 22-57.5 22-87s-7.4-58.8-22-87h19.2c-3-6.1-6.3-12.1-9.9-18h-19.7c-13.88-21.7-32.15-42.5-54.74-61.83zM116.6 105c40 45.9 60.4 98.4 60.4 151 0 52.6-20.4 105.1-60.4 151H192c34.1 0 81.9-34 119.3-71.4 18.7-18.6 35.1-37.9 46.6-53.3 5.8-7.6 10.4-14.4 13.4-19.4 1.4-2.5 2.5-4.7 3.2-6.1.1-.4.2-.5.2-.8 0-.3-.1-.5-.2-.9-.6-1.4-1.7-3.5-3.2-6-3-5.1-7.5-11.8-13.2-19.5-11.3-15.4-27.5-34.6-46.1-53.2C274.8 139 227.1 105 192 105h-75.4zm273.9 142c.2.3.4.7.5 1 1.1 2.4 2 4.4 2 8 0 3.6-1 5.6-2 8-.1.3-.3.7-.5 1H496v-18H390.5z"}}]})(props);
};
function GiLoincloth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M118.486 25l-26 78h29.028l26-78zM256 25c-10.926 0-25.17 4.748-36.14 12.404-10.97 7.656-18.208 17.732-18.883 27.235-.8 11.25 6.06 25.301 17.205 36.216C229.327 111.771 244.286 119 256 119c11.714 0 26.673-7.23 37.818-18.145s18.005-24.966 17.205-36.216c-.675-9.503-7.912-19.579-18.882-27.235C281.17 29.748 266.926 25 256 25zm108.486 0l26 78h29.028l-26-78zM48 41c.5 0-1.724.573-4.688 4.326-2.963 3.754-6.244 9.694-9.04 16.219-3.649 8.512-6.348 18.184-7.877 25.455h52.453l15.334-46zm113.152 0L145.82 87h41.239c-3.062-7.525-4.614-15.498-4.036-23.639.585-8.231 3.555-15.718 8.01-22.361zm159.815 0c4.455 6.643 7.425 14.13 8.01 22.361.578 8.141-.974 16.114-4.036 23.639h41.239l-15.332-46zm96.853 0l15.332 46h52.453c-1.53-7.271-4.228-16.943-7.876-25.455-2.797-6.525-6.078-12.465-9.041-16.219C465.724 41.573 463.5 41 464 41zM46.465 105C25.239 204.294 25.03 361.524 25.033 487h159.883a3096.51 3096.51 0 0 0 9.82-40.824c-15.585 2.554-31.613 6.054-48.425 10.521L135 459.703V448c0-117.577-13.686-235.189-40.635-327H67.514l5.334-16zm93.355 0l-5.334 16h-21.43c25.844 90.393 38.94 202.608 39.766 315.66 72.384-17.715 133.99-17.605 206.354.014C360 323.617 373.099 211.396 398.943 121h-21.43l-5.333-16h-57.928a92.688 92.688 0 0 1-7.84 8.715C292.565 127.276 274.456 137 256 137s-36.565-9.724-50.412-23.285a92.688 92.688 0 0 1-7.84-8.715zm299.332 0l5.334 16h-26.851C390.686 212.811 377 330.423 377 448v11.684l-11.297-2.983c-16.814-4.439-32.844-7.93-48.43-10.484 3.24 13.88 6.52 27.504 9.811 40.783h159.883c.003-125.476-.206-282.706-21.432-382z"}}]})(props);
};
function GiLongAntennaeBug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M175.58 22.85c-2.174.007-4.353.138-6.525.388-34.765 4.01-67.404 36.405-81.116 87.473-7.775 28.958-22.882 44.807-37.352 51.49-11.51 5.318-22.383 4.86-30.11.702v20.04c11.742 3.31 25.265 2.08 37.946-3.776 20.222-9.34 38.646-30.388 47.566-63.61 12.287-45.76 40.885-70.947 65.207-73.753 12.16-1.403 23.476 2.11 33.547 12.02 9.938 9.78 18.513 26.304 22.695 50.91 5.74-2.34 11.79-4.07 18.07-5.104-4.787-26.406-14.444-46.124-27.658-59.126C205.844 28.69 190.8 22.794 175.58 22.85zm164.857 0c-15.218-.055-30.263 5.84-42.27 17.654-13.15 12.94-22.78 32.528-27.59 58.74 6.3.84 12.384 2.374 18.173 4.526 4.242-24.07 12.717-40.296 22.523-49.946 10.07-9.91 21.386-13.424 33.547-12.02 24.322 2.805 52.92 27.99 65.207 73.753 8.92 33.22 27.343 54.268 47.565 63.61 12.757 5.892 26.368 7.098 38.162 3.71v-20.084c-7.74 4.262-18.71 4.773-30.324-.592-14.47-6.683-29.58-22.532-37.354-51.49-13.71-51.067-46.35-83.46-81.115-87.472-2.172-.25-4.348-.38-6.522-.388zm-81.11 94.332c-36.628 0-66.12 29.49-66.12 66.117 0 7.254 1.174 14.22 3.314 20.743l6.876 3.97c34.858 20.124 80.19 19.712 114.334 0l3.8-2.197c2.53-7.023 3.913-14.602 3.913-22.517 0-36.628-29.49-66.118-66.117-66.118zm-55.692 111.96c-28.358 74.212-10.03 151.08 56.904 221.358 66.006-69.856 84.616-147.21 56.888-221.332-13.99 6.558-29.088 10.553-44.45 11.96-.28 60.717-4.582 121.43-11.962 182.143-6.524-60.676-10.983-121.354-11.73-182.032-15.687-1.294-31.2-5.304-45.65-12.095zm-114.15 4.64L66.362 272.89l-43.94 1.253.534 18.68 54.244-1.548 21.482-36.328 75.123 16.555c.755-6.16 1.79-12.313 3.123-18.447l-87.444-19.272zm333.97 0l-79.898 17.61c1.347 6.127 2.418 12.273 3.195 18.432l67.506-14.877 21.48 36.328 54.244 1.55.534-18.682-43.938-1.254-23.123-39.107zm-325.44 67.515L77.89 343.72l-45.005 9.774 3.967 18.264 53.982-11.725 18.78-39.578 64.552 2.53c-.853-6.248-1.408-12.508-1.672-18.77l-74.478-2.918zm316.91 0l-66.78 2.617c-.273 6.262-.837 12.523-1.69 18.772l56.873-2.23 18.777 39.577 53.983 11.725 3.967-18.264-45.002-9.773-20.13-42.423zm-233.1 55.95l-68.317 11.737-16.406 45.202-45.32 19.347 7.34 17.188 52.78-22.533 15.47-42.623 60.86-10.457c-2.407-5.927-4.545-11.883-6.408-17.86zm156.532 1.243c-1.893 5.976-4.052 11.928-6.48 17.85l53.69 9.224 15.472 42.623 52.78 22.534 7.338-17.187-45.32-19.347-16.406-45.202-61.075-10.494zm-138.072 41.97c-1.914 29.147 4.493 60.784 17.197 87.61 11.43-7.24 21.753-15.01 30.81-23.166-19.876-20.682-35.897-42.284-48.007-64.445zm116.59 6.306c-11.704 20.247-26.642 39.966-44.766 58.857 8.48 7.573 18.01 14.778 28.56 21.553 8.677-27.852 14.833-55.58 16.205-80.41z"}}]})(props);
};
function GiLongLeggedSpider (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M290.995 288.765a20.65 20.65 0 1 1-20.65-20.65 20.65 20.65 0 0 1 20.65 20.65zm-25.8 47.43l11.93 17-20.51-14.53.61-15.67a36.44 36.44 0 0 0 12.83 2.43zm32.53-23.1l10.57 12.2-6.19 22.77-2.28-19-13.92-7.11a36.84 36.84 0 0 0 11.82-8.84zm-27.38-61a36.69 36.69 0 0 0-36.54 34 48.07 48.07 0 0 1 7.89-92.77V29.765h16v163.55a48.06 48.06 0 0 1 35.84 67.11 36.48 36.48 0 0 0-23.19-8.29zm19-61.71l71.87-60-4.73 24.79-55.89 46.68a64.61 64.61 0 0 0-11.27-11.43zm155.79-15l-70.64-29.3 3.06-16.05 73.68 30.56zm-16.64 27.54l48.17 70.11-13.19 9.06-41.93-61zm-21.3 10.84l-94.74 14.11a63.54 63.54 0 0 0-5.29-15.39l106.6-15.87zm-193.34 80a63.9 63.9 0 0 0 15.08 7.51l-54.42 55-15.74-6.84zm-39.15 80l34.89 103.35-15.16 5.12-39.52-117.04zm23.46-95l-64.5 17-9.56-14 66-17.46a64 64 0 0 0 8.06 14.46zm-87.82 11.25l9.65 14.16-87 126.8-13.19-9.05zm-37.61 25.34l-14.27-7.24 51.13-100.74 5.22 25.06zm114.44-88.59a64 64 0 0 0-1.55 13.94c0 .92 0 1.82.07 2.73l-57.07-23.17-3.93-18.87zm-117.18-22.53l-8.12-13.77 69.12-40.93 1.67 17.6zm79.13-33.47l-2.08-21.94 58.34 45.66a64.51 64.51 0 0 0-10.09 12.42zm163.07 84a64 64 0 0 0 1.57-14.06v-1.87l73.23 7.73-8 15.2zm180 127.29l-13.07 9.22-86-121.93 8.35-15.92zm-112.36-73.56l-72.64-39.55c-.94 1.9-2 3.73-3.11 5.52a36.4 36.4 0 0 1 2.91 12.57l62.25 33.89zm6.85 16.61l16.42 118.12-15.85 2.2-14.47-104.07 1-1.13z"}}]})(props);
};
function GiLookAt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208 151c-28 0-60.378 17.102-90.992 37.512-30.615 20.41-58.84 44.594-75.37 61.125L35.27 256l6.367 6.363c16.53 16.53 44.756 40.716 75.37 61.125C147.623 343.898 180 361 208 361h3.73l2.633-2.637c8.644-8.643 15.787-18.62 21.49-29.47-20.47-1.078-36.916-10.11-47.767-23.13C176.512 291.872 171 273.874 171 256c0-17.875 5.512-35.873 17.086-49.762 10.85-13.02 27.297-22.053 47.768-23.13-5.704-10.85-12.847-20.828-21.49-29.47L211.728 151H208zm32 50c-17.6 0-29.66 6.65-38.086 16.762C193.488 227.872 189 241.875 189 256s4.488 28.127 12.914 38.238C210.34 304.348 222.4 311 240 311h3.7c1.89-5.276 3.485-10.685 4.796-16.182-2.5 1.36-5.324 2.182-8.496 2.182-9.282 0-15.65-6.92-19.363-14.348-3.715-7.428-5.637-16.6-5.637-26.652 0-10.053 1.922-19.224 5.637-26.652C224.35 221.918 230.717 215 240 215c3.172 0 5.995.822 8.496 2.182-1.31-5.497-2.905-10.906-4.797-16.182H240zm176 7v32h-96v32h96v32l48-48-48-48zm-168 16a8 16 0 0 0-8 16 8 16 0 0 0 8 16 8 16 0 0 0 8-16 8 16 0 0 0-8-16z"}}]})(props);
};
function GiLorgnette (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M407 33.45c-8 0-16.2 1.09-24.3 3.4-25 7.13-44.5 24.4-55.2 46.07-14.7-4.21-28-6.54-40.5-6.62-8.7-.1-17.1 1-25.2 3.3-19.5 5.56-36.6 18.17-54 37.4-20.6-12.7-46.3-17.13-71.3-10-47.14 13.4-74.6 62.8-61.18 110 2.14 7.5 5.19 14.5 9 20.9L57.26 404.1c-7.3.5-14.04 4.2-19.07 9.4-6.22 6.4-10.36 15-11.7 24.9-1.34 9.9.36 19.3 4.68 27 4.31 7.7 11.73 13.9 20.96 15.1 9.22 1.2 18.05-2.9 24.26-9.3 6.21-6.4 10.3-15 11.64-24.9 1.34-9.9-.32-19.3-4.62-27-2.18-3.9-5.17-7.4-8.78-10.1l24.83-152.3c22.14 21 54.44 30.2 85.84 21.3 47.1-13.4 74.6-62.9 61.2-110-4.5-15.9-13.2-29.6-24.4-40.2 15.6-17.1 29.6-26.8 44.7-31.08 15-4.28 32-3.36 54.3 2.89-4 14.99-4.1 31.09.4 46.99 13.5 47.2 62.9 74.7 110 61.2 47.1-13.4 74.6-62.8 61.2-109.93-11.1-39.03-46.9-64.6-85.7-64.62zm-.7 17.98c.8-.01 1.7-.01 2.6.01 30.3.7 57.7 20.85 66.5 51.56 10.8 37.8-11 77-48.8 87.7-37.8 10.8-77-11-87.8-48.8-10.7-37.8 11.1-76.97 48.9-87.73 6.2-1.77 12.4-2.66 18.6-2.74zm.9 17.47c-36.8-.81-62.4 53.7-36.6 81.5-.5-36.3 16.1-64.97 48.3-79.38-4-1.36-7.9-2.03-11.7-2.12zm-247.1 52.7h2.6c30.3.6 57.7 20.8 66.5 51.5 10.8 37.8-11 77-48.8 87.8-37.8 10.7-77-11.1-87.77-48.9-10.76-37.8 10.97-76.9 48.87-87.7 6.2-1.7 12.4-2.7 18.6-2.7zm-4.8 20.4c-36.8-.8-62.45 53.8-36.6 81.6-.5-36.3 16.1-65.1 48.3-79.5-4-1.4-7.9-2-11.7-2.1zM59.22 422.1c.27-.1.53 0 .79 0 2.78.4 5.47 2.1 7.67 6.1 2.21 3.8 3.34 9.6 2.5 15.8-.85 6.2-3.48 11.6-6.63 14.7-3.16 3.2-6.22 4.2-9 3.9-2.78-.4-5.47-2.1-7.66-6.1-2.21-3.8-3.35-9.6-2.5-15.8.84-6.2 3.48-11.6 6.62-14.7 2.76-2.8 5.46-3.9 7.95-3.9h.26z"}}]})(props);
};
function GiLostLimb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M409.266 49.984a19.953 19.953 0 0 0-4.762.502c-6.472 1.5-12.095 6.414-14.35 15.485-6.242 25.111-13.66 49.402-22.441 72.63l40.506 20.899c16.382-15.957 33.864-30.707 52.226-44.045 30.577-22.209-5.691-59.249-32.146-22.639 13.409-25.165-3.444-42.628-19.033-42.832zm-91.065 86.38c-8.123 46.174-60.917 167.444-123.922 191.466L77.41 328.918c-41.172-29.506-80.488 13.017-32.65 36.852l68.517 33.345c46.874 3.97 91.175 13.12 117.971 57.383l19.4 9.451c34.905 17.391 66.062 13.273 73.28-44.898 10.156-81.832 59.3-173.032 115.87-224.51l-55.095-27.266c-1.498 4.01-3.443 8.428-5.78 12.985-7.762 15.141-16.815 26.019-20.208 24.28-3.393-1.74.153-15.441 7.916-30.583 2.303-4.492 4.72-8.605 7.068-12.129l-18.77-9.289a379.612 379.612 0 0 1-7.587 17.186c-12.928 27.444-26.458 48.288-30.2 46.525-3.741-1.763 3.713-25.468 16.641-52.912a379.15 379.15 0 0 1 8.545-17.033l-24.127-11.942z"}}]})(props);
};
function GiLotusFlower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M152.313 19.438C138.075 73.11 172.984 126.662 178.25 180.25c-28.744-16.01-71.286-25.18-88.656-43.656 9.36 29.558 51.055 44.096 77.094 66.312-57.236 1.556-101.637 65.75-148.125 79 54.52 31.628 111.427.296 167.437 23.875-27.654 34.76-47.284 67.888-57.97 107.283C148.787 384.2 174.07 351.39 198.72 326c-11.686 54.742 1.313 109.477 28.155 164.22 13.028-52.977 67.36-98.796 75.03-157.533 22.665 36.313 53.4 62.266 83.158 103.938-14.644-51.287-47.12-87.914-64.22-123.625 52.358 5.59 115.075 28.68 168.5 43.47-29.835-58.79-64.534-103.922-107.78-125.158 33.01.717 70.858 5.604 103.312 10.907-33.377-19.14-68.513-28.226-110-33.032 49.013-47.885 68.943-95.774 68.406-143.657-48.033 32.51-96.09 58.57-144.124 74.75 17.206-28.64 40.82-59.57 62-85.468-35.326 20.535-61.807 48.477-88.22 85.094-23.716-46.89-79.993-64.068-120.623-120.47zm35.625 72.937c8.325 26.55 49.006 61.23 63.718 91.625-7.935 2.196-15.188 5.65-21.437 10.063-9.67-33.43-46.513-71.114-42.282-101.688zm213.28 31.906c-20.144 34.656-47.403 60.806-83 86.72-2.394-7.408-7.083-13.755-13.124-18.563 31.454-17.384 66.972-44.313 96.125-68.156zm-129.812 75.814c6.66.108 12.638 1.57 17.375 3.97 7.22 3.653 11.376 8.906 12.345 15.436.97 6.53-1.55 13.663-7.53 20.188-5.983 6.524-15.326 12.01-26.283 14.218-10.956 2.208-21.094.686-28.312-2.97-7.218-3.653-11.374-8.906-12.344-15.436-.97-6.53 1.55-13.694 7.53-20.22 5.983-6.524 15.328-11.98 26.283-14.186 2.738-.552 5.424-.86 8.03-.97.977-.04 1.955-.046 2.906-.03zm-63.562 30.562c-.138 2.495-.034 5.02.344 7.563.983 6.622 3.748 12.55 7.718 17.56-36.236-7.654-91.958 24.29-125.062 10.157 34.23-.804 77.367-27.78 117-35.28zm107.5 10.25c43.444 16.685 78.393 35.883 108.406 65.72-39.556-17.844-87.918-37.4-126.563-45.47 3.768-2.62 7.204-5.558 10.188-8.812 3.177-3.465 5.884-7.328 7.97-11.438zM274.156 271.5l.22.03c-19.568 32.856-17.574 83.757-44.313 131.845 8.36-50.135 3.05-88.19 17.593-130.438 7.4 1.1 15.3.903 23.344-.718 1.07-.217 2.108-.46 3.156-.72z"}}]})(props);
};
function GiLotus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.963 40.213c-37.634 31.356-62.038 67.976-77.916 109.394 8.544 12.5 16.607 25.44 24.228 38.594 15.642-5.553 32.468-8.587 49.995-8.587 17.886 0 35.046 3.156 50.96 8.93 9.07-14.52 18.652-28.856 28.89-42.66-15.736-38.504-39.406-74.025-76.157-105.67zM434.593 72.5c-46.74 28.5-83.334 74.49-114.616 123.826 21.934 11.372 40.696 28.023 54.636 48.244 23.212-22.514 48.206-44.643 75.58-66.82-.882-31.955-5.798-67.033-15.6-105.25zm-353.03 1.094c-9.435 37.96-14.433 72.695-15.74 104.27 23.62 20.078 45.453 40.406 65.78 61.603 13.77-18.29 31.614-33.345 52.194-43.774-28.336-48.245-62.472-92.77-102.234-122.1zm-54.59 96.7C9.708 278.34 31.295 358.165 72.27 411.517c22.427 29.2 50.77 50.62 82.128 64.363-20.892-35.934-25.973-76.777-16.613-116.112 4.668-19.617 12.848-38.864 24.274-57.09-38.14-48.11-82.083-90.01-135.087-132.383zm462.588.464c-59.87 45.918-108.408 90.682-151.36 138.615 9.625 17.744 16.24 36.16 19.722 54.732 7.08 37.78 1.012 76.134-18.31 109.926 32.2-14.254 62.005-35.988 86.51-65.214 44.98-53.64 72.394-132.675 63.44-238.058zM251.27 198.3c-44.09 0-83.025 21.667-106.764 54.954 9.898 10.856 19.428 21.973 28.64 33.42 18.55-24.415 43.224-46.48 73.372-64.422l5.072-3.02 4.906 3.286c30.383 20.345 54.374 44.323 71.65 70.185 10.638-11.774 21.61-23.376 33.012-34.85-23.354-35.875-63.803-59.552-109.888-59.552zm-.268 43.182c-51.58 32.272-84.19 77.032-95.035 122.612-10.94 45.97-.302 92.658 35.986 130.607h108.904c34.806-36.38 47.222-81.652 38.696-127.15-8.466-45.177-37.988-90.634-88.55-126.068z","fillRule":"evenodd"}}]})(props);
};
function GiLouvrePyramid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 71.3L14.72 416H497.3zm0 31.4l21 30-21 30-21-30zm-32 45.7l21 30-21 30-21-30zm64 0l21 30-21 30-21-30zm-86.7 32.4l-9.3 13.4 21 30-21 29.9-21-30zM320 194.1l21 30-21 30-21-30zm-64 .1l21 29.9-21 30-21-30zm-88.6 35l-7.4 10.7 21 30-21 29.9-21-30zM352 239.8l21 30-21 30-21-30zm-128 .1l21 30-21 29.9-21-29.9zm64 0l21 30-21 29.9-21-29.9zm-154.3 37.6l-5.7 8.1 21 30-21 29.9-21-30zm245.9 1.8l25.4 36.2-21 30-21-29.9 21-30zM192 285.6l21 30-21 29.9-21-29.9zm64 0l21 30-21 29.9-21-29.9zm64 0l21 30-21 29.9-21-29.9zM98.51 327.7l-2.52 3.6 21.01 30L91.29 398h-42zm315.19.4l49 69.9h-42L395 361.3l21-30zM160 331.3l21 30-21 29.9-21-29.9zm64 0l21 30-21 29.9-21-29.9zm64 0l21 30-21 29.9-21-29.9zm64 0l21 30-21 29.9-21-29.9zm-224 45.8l14.6 20.9h-29.2zm64 0l14.6 20.9h-29.2zm64 0l14.6 20.9h-29.2zm64 0l14.6 20.9h-29.2zm64 0l14.6 20.9h-29.2z"}}]})(props);
};
function GiLoveHowl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M363.844 30.03C322.35 30.595 280.21 52.186 253 99.313c-41.913-117.77-236.493-76.29-232 64.5 1.226 38.39 16.562 72.577 38.875 103.657l106.47-35.5c-19.878-1.048-40.956-9.436-68.75-32.595 32.054-18.916 57.893-20.767 90.936-23.47 26.713-14.39 66.464-26.884 84.095-17.5 30.984-18.317 69.612-41.87 108.625-56.655 5.083 19.926 5.332 44.544 3.5 67.75l-10.5-14.03c-51.46 11.565-77.358 112.79-.594 70.686l10.53-16.937c1.766 15.882 3.392 30.556.002 43.78-34.038 24.007-68.83 43.753-103.375 59.594-17.754 15.61-52.626 65.57-62.844 108.937 19.995 20.072 34.94 39.36 40.093 58.595 20.665-77.113 240.783-175.82 236.375-316.313-2.648-84.358-65.862-134.66-130.594-133.78zm-104.03 147.532c-13.527.067-25.784 3.437-37.158 9.094 17.228 19.24 47.604 22.858 43.03-8.937-1.984-.13-3.94-.167-5.873-.157z"}}]})(props);
};
function GiLoveInjection (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M110.814 19.584C86.886 19.1 66.43 42.18 74.574 72.572 33.3 61.514 1.52 106.864 33.804 137.152c27.285 25.595 75.65 12.207 105.592 13.594l35.608 35.61-20.8 20.798c-5.792-2.507-11.9-3.718-17.956-3.72-1.102 0-2.2.038-3.297.117-14.61 1.05-28.493 9.07-36.325 22.636-12.533 21.7-5.02 49.73 16.682 62.26l9.343-16.186c-12.953-7.48-17.322-23.778-9.84-36.73 7.204-12.477 22.578-16.98 35.274-10.622l.79.79 165.18 165.185c22 22 51.77 20.233 71.514 6.043l89.446 89.447 13.215-13.213-89.543-89.545c5.476-7.808 8.98-17.067 9.432-27.056.633-13.987-5.028-29.007-17.884-41.863l-166.363-166.37.516-.298c-7.48-12.954-3.115-29.253 9.84-36.73 12.957-7.48 29.25-3.115 36.73 9.84l16.185-9.345c-7.83-13.564-21.715-21.583-36.325-22.63-1.095-.08-2.195-.12-3.297-.118-7.712.003-15.515 1.955-22.636 6.066-20.796 12.005-28.546 38.234-18.14 59.498l-18.528 18.53-34.986-34.986c-1.04-30.028 11.983-81.578-14.238-106.203-8.923-8.378-18.818-12.176-28.182-12.366zm107.64 149.752L375.837 326.73l-49.754 49.754-157.39-157.39 49.76-49.758zm.837 26.373l-13.214 13.214L336.584 339.43l13.215-13.215L219.29 195.71z"}}]})(props);
};
function GiLoveLetter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M216.058 50.312c-.86-.005-1.572.037-2.12.123-5.981.932-20.108 8.016-36.207 19.511-16.098 11.496-34.887 27.134-53.93 44.485C95.74 140 67.162 169.31 45.217 194.7a3640.34 3640.34 0 0 0 50.812-3.872c1.538-16.08 6.79-32.61 17.368-45.879 10.166-12.751 26.122-21.682 46.617-21.675 18.943.006 41.55 7.126 68.935 23.275 21.438-25.45 40.574-39.736 58.412-45.451 4.809-1.54 9.513-2.39 14.06-2.643 13.645-.757 25.888 3.872 35.364 11.428 12.635 10.075 21.142 24.598 26.899 38.805.992 2.45 1.896 4.884 2.724 7.293 23.722-4.31 47.353-8.98 70.862-14.045-37.748-21.248-80.89-42.643-120-59.428-24.529-10.527-47.336-19.235-65.735-24.926-16.098-4.98-29.455-7.241-35.476-7.271zM305.4 116.13c-3.799-.029-7.94.635-12.548 2.111-14.046 4.5-32.654 17.808-54.899 45.59l-5.01 6.26-6.795-4.258c-28.717-17.994-50.548-24.553-66.142-24.558-15.595-.005-25.28 5.793-32.537 14.896-14.515 18.206-15.809 52.865-10.364 69.465 18.603 56.713 44.738 83.02 82.76 99.79 40.195-.354 79.786-7.153 118.967-19.483 20.884-31.578 38.095-67.142 36.006-118.356-.289-7.076-2.844-19.814-7.838-32.139-4.994-12.324-12.465-24.333-21.44-31.49-5.609-4.473-11.496-7.346-18.552-7.773-.53-.032-1.065-.05-1.608-.055zm-3.562 12.434a32.378 32.378 0 0 1 1.945.008c12.646.438 23.185 11.183 29.035 24.455-30.127-21.403-61.454-.145-79.638 12.49 12.363-17.632 28.675-36.452 48.658-36.953zm-137.897 25.761c13.546.007 30.081 4.885 46.036 17.26-86.153-26.888-63.03 66.667-35.965 120.168-28.36-17.18-59.2-88.077-38.166-125.47 3.994-7.101 14.55-11.965 28.095-11.958zm273.852 5.817a2248.032 2248.032 0 0 1-66.674 13.187c.972 4.94 1.54 9.517 1.703 13.524 1.966 48.19-12.285 84.872-30.328 115.326 3.958-.999 8.002-2.008 11.836-2.985 35.11-44.441 56.905-91.65 83.463-139.052zm15.437 9.289c-24.388 43.716-45.437 88.85-78.228 132.535 42.408 26.96 76.17 59.279 109.562 91.057-4.48-75.07-16.635-149.384-31.334-223.592zm-357.435 39.4a3715.148 3715.148 0 0 1-68.361 5.033c42.3 39.285 77.699 79.787 131.166 113.1 2.476.118 4.947.205 7.414.275-28.645-19.655-50.737-49.423-66.012-95.994-2.143-6.533-3.63-14.2-4.207-22.414zm-66.64 31.49l35.439 208.356c15.896-32.83 45.198-74.957 77.945-110.531-46.16-29.99-78.98-64.656-113.385-97.825zm333.741 75.29l-1.09.277c-54.862 13.97-125.265 32.309-201.154 29.244-35.114 37.072-67.574 85.062-82.158 116.557 146.769-2.776 272.969-26.229 398.856-50.698-35.89-34.067-70.647-67.974-114.454-95.38z"}}]})(props);
};
function GiLoveMystery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M380.006 47.875c-48.564.002-92.971 35.889-110.682 68.068l-12.379 23.383-13.224-22.918c-31.673-54.89-88.472-74.886-136.377-65.469-47.904 9.415-86.637 46.01-84.475 114.075 1.69 53.225 32.985 91.889 75.262 131.015a128.242 128.242 0 0 1 16.015-14.56l-17.332-30.096 28.569-15.727.092.159.252-.139 16.865 29.357c.523-.217 1.055-.417 1.582-.628a124.819 124.819 0 0 1 31.197-8.36V222.08h32.85v33.918a125.361 125.361 0 0 1 31.986 8.58l16.588-28.912 22.014 12.383 5.656-7.93a54.25 54.25 0 0 1-9.479-19.396l-27.172-2.963 3.266-33.172 25.836 2.54a54.43 54.43 0 0 1 13.797-20.235l-10.166-22.682 30.193-13.51 10.031 22.395a53.606 53.606 0 0 1 5.944-.381c6.468-.04 12.754 1.105 18.633 3.228l14.216-19.912 26.924 19.664-14.715 20.58a53.782 53.782 0 0 1 8.868 21.862l26.123 2.865-3.27 33.174-27.803-3.057a54.966 54.966 0 0 1-12.593 16.49l11.867 26.524-30.192 13.512-11.923-26.64a53.21 53.21 0 0 1-20.64-1.835l-17.196 23.56-19.397-14.177-7.127 12.326a127.814 127.814 0 0 1 23.906 23.904l30.098-17.332 15.725 28.569-.158.091.138.252-29.357 16.866c.218.523.418 1.055.629 1.582a124.818 124.818 0 0 1 8.36 31.197h23.218c18.074-15.828 36.451-30.563 53.695-45.088 51.649-43.98 95.683-90.716 94.447-154.988-1.976-63.356-41.62-104.098-88.183-115.745a95.72 95.72 0 0 0-21.002-2.312zM327.46 182.219c-14.248-.147-26.259 10.901-27.137 25.281-.905 14.844 10.398 27.604 25.242 28.51 14.846.907 27.607-10.38 28.512-25.225.905-14.843-10.377-27.603-25.223-28.51a28.317 28.317 0 0 0-1.394-.056zM191.92 340.344c-11.525 0-21.96 4.647-29.553 12.162 20.37 18.135 40.624 37.446 58.713 59.17 8.192-9.124 12.587-17.835 12.69-29.73-.645-16.83-9.866-31.296-25.875-38.45a41.895 41.895 0 0 0-15.975-3.152z"}}]})(props);
};
function GiLoveSong (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M117.375 25.938l10.094 22.718c33.116 74.398 61.213 153.6 79.186 235.406-20.196-6.522-45.85 4.468-54.25 31.032-30.905-33.787-80.476-10.8-72.062 33.937 8.54 45.403 86.184 61.497 98.28 84.783 1.276-28.646 62.544-70.93 53.657-118.313-.327-1.75-.75-3.423-1.218-5.03-12.258-65.38-31.13-129.108-54.093-190.22l176.405 83.563 42.938 132.625c-19.32-3.615-41.855 7.648-49.625 32.218-30.906-33.785-80.477-10.8-72.063 33.938 8.54 45.402 86.184 61.466 98.28 84.75 1.273-28.583 62.278-70.746 53.72-118l-.03-.063c-.016-.082-.017-.166-.033-.25-.873-4.658-2.255-8.807-4.062-12.467l-70.906-218.97-1.25-3.874-3.72-1.72-206.687-95.625-22.562-10.438zm36.906 37.656l180.782 83.656 10.407 32.156-178.25-84.47c-4.2-10.534-8.526-20.98-12.94-31.342z"}}]})(props);
};
function GiLovers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M132.255 18.093c-32.842 0-59.592 33.923-59.592 75.935 0 21.274 7.079 40.468 18.092 54.284C22.623 158.879 7.903 253.733 24.1 339.874h23.563L46.63 234.53l18.688-.185 1.25 126.685 8.75 132.877h46.875v-172.29c-15.257-18.713-25.615-39.351-26.424-64.825l-.004-.1v-.1c-.154-15.988 6.478-35.643 19.219-52.566 12.741-16.922 32.481-30.98 57.783-31.29 17.252-.212 35.458 5.013 51.338 14.771-12.131-20.214-29.245-34.177-51.26-38.32 11.507-13.88 18.971-33.345 18.971-55.157.097-36.903-24.805-76.041-59.562-75.937zm247.841 0c-32.842 0-59.591 33.923-59.591 75.935 0 21.274 7.078 40.468 18.091 54.284-25.296 3.923-43.223 19.473-54.945 41.875 16.803-11.476 36.697-17.682 55.465-17.452 25.302.311 45.042 14.369 57.783 31.291 12.741 16.923 19.373 36.578 19.219 52.567v.1l-.004.1c-.826 26.007-11.608 46.974-27.393 65.997v171.113h44.315l11.5-154.029h.03l1.062-105.531 18.687.185-1.062 105.346h24.53c18.363-88.46-4.724-178.95-67.095-190.687 11.507-13.88 18.97-33.345 18.97-55.157.098-36.903-24.805-76.041-59.562-75.937zM172.99 190.733c-18.837.232-33.281 10.381-43.625 24.12-10.326 13.715-15.675 31.13-15.594 41.506 1.226 36.63 26.557 61.833 61.219 92.044 26.758 23.322 58.19 48.519 80.617 83.38l.357-.637.336.601c22.427-34.843 53.847-60.03 80.596-83.344 34.662-30.211 59.993-55.414 61.219-92.044.081-10.376-5.268-27.791-15.594-41.506-10.344-13.739-24.788-23.888-43.625-24.12-28.453-.349-63.84 20.288-74.414 52.022l-8.539 25.625-8.54-25.625c-10.573-31.734-45.96-52.37-74.413-52.021zm-32.11 150.989v152.181h44.315l7.893-105.714c-9.94-9.023-20.098-17.651-29.924-26.215-7.726-6.734-15.242-13.43-22.283-20.252zm229.157.93c-6.762 6.5-13.94 12.894-21.315 19.322-10.636 9.27-21.66 18.622-32.375 28.463l6.815 103.47h46.875z"}}]})(props);
};
function GiLowTide (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M40 24v464h80v-32H80v-16h40v-48H80v-16h40v-48H80v-16h40v-48H80v-16h40v-48H80v-16h40v-48H80v-16h40V72H80V56h40V24H40zm152 368c-15.503 0-31.65 8.898-45.133 17.184A256.9 256.9 0 0 0 136 416.268v19.693c3.741-2.82 10.696-7.891 19.244-13.145C167.8 415.102 183.652 408 192 408c8.348 0 16.977 6.256 27.014 14.256C229.05 430.256 240.497 440 256 440c15.503 0 26.95-9.744 36.986-17.744C303.023 414.256 311.652 408 320 408c8.348 0 16.977 6.256 27.014 14.256C357.05 430.256 368.497 440 384 440c15.503 0 26.95-9.744 36.986-17.744C431.023 414.256 439.652 408 448 408c8.348 0 24.201 7.102 36.756 14.816a243.821 243.821 0 0 1 11.244 7.37v-19.194c-.95-.603-1.88-1.202-2.867-1.808C479.65 400.898 463.503 392 448 392c-15.503 0-26.95 9.744-36.986 17.744C400.977 417.744 392.348 424 384 424c-8.348 0-16.977-6.256-27.014-14.256C346.95 401.744 335.503 392 320 392c-15.503 0-26.95 9.744-36.986 17.744C272.977 417.744 264.348 424 256 424c-8.348 0-16.977-6.256-27.014-14.256C218.95 401.744 207.503 392 192 392zm0 48c-15.503 0-31.65 8.898-45.133 17.184A256.9 256.9 0 0 0 136 464.268v19.693c3.741-2.82 10.696-7.891 19.244-13.145C167.8 463.102 183.652 456 192 456c8.348 0 16.977 6.256 27.014 14.256C229.05 478.256 240.497 488 256 488c15.503 0 26.95-9.744 36.986-17.744C303.023 462.256 311.652 456 320 456c8.348 0 16.977 6.256 27.014 14.256C357.05 478.256 368.497 488 384 488c15.503 0 26.95-9.744 36.986-17.744C431.023 462.256 439.652 456 448 456c8.348 0 24.201 7.102 36.756 14.816a243.821 243.821 0 0 1 11.244 7.37v-19.194c-.95-.603-1.88-1.202-2.867-1.808C479.65 448.898 463.503 440 448 440c-15.503 0-26.95 9.744-36.986 17.744C400.977 465.744 392.348 472 384 472c-8.348 0-16.977-6.256-27.014-14.256C346.95 449.744 335.503 440 320 440c-15.503 0-26.95 9.744-36.986 17.744C272.977 465.744 264.348 472 256 472c-8.348 0-16.977-6.256-27.014-14.256C218.95 449.744 207.503 440 192 440z"}}]})(props);
};
function GiLuchador (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 24c-67.94 0-109.512 28.038-135.855 71.016-5.116 8.345-9.612 17.29-13.547 26.714l9.11 6.41s27.29 18.618 39.538 23.202c11.417 4.272 25.115 5.133 39.65 6.28 14.536 1.15 30.026 2.604 44.45 10.046 6.602 3.406 11.727 8.845 16.12 13.61.3.325.232.292.518.61.292-.325.224-.292.528-.622 4.396-4.782 9.52-10.24 16.203-13.627 14.53-7.363 30.093-8.45 44.623-9.3 14.53-.85 28.143-1.487 39.385-5.74 6.07-2.297 16.45-8.49 24.705-13.996 8.255-5.507 14.638-10.3 14.638-10.3l9.2-6.91c-3.903-9.3-8.356-18.132-13.41-26.378C365.51 52.038 323.94 24 256 24zM115.38 149.62c-8.117 24.86-13.518 46.368-14.284 64.882-.88 21.285 3.656 38.784 16.646 56.2 3.226 4.326 17.322 10.325 30.574 13.048 13.253 2.724 25.084 3.432 25.084 3.432l8.473.498v32.674l-3.096 2.69s-9.965 8.677-19.87 20.16C149 354.685 140.31 369.596 140.31 376.5c0 19.28 17.468 42.31 36.698 52.256 8.275 4.28 22.1 2.26 35.428-.78 4.93-1.126 10.668-5.18 17.472-9.935 6.805-4.754 15.124-10.374 26.092-10.374 10.968 0 19.287 5.62 26.092 10.375 6.804 4.756 12.542 8.81 17.472 9.935 13.328 3.04 27.153 5.06 35.428.78 19.23-9.945 36.697-32.976 36.697-52.255 0-6.903-8.69-21.814-18.596-33.297-9.906-11.482-19.87-20.16-19.87-20.16l-3.097-2.69V287.68l8.473-.498s11.83-.71 25.084-3.432c13.252-2.724 27.348-8.722 30.574-13.047 12.99-17.417 17.527-34.916 16.646-56.2-.764-18.455-6.134-39.886-14.207-64.642-2.327 1.64-2.307 1.735-5.28 3.718-8.706 5.807-19.11 12.37-28.323 15.858-14.986 5.67-30.463 6.04-44.703 6.873-14.24.832-27.125 2.108-37.54 7.385-1.994 1.01-7.263 5.59-11.088 9.752-3.826 4.16-6.637 7.8-6.637 7.8l-7.102 9.204-7.13-9.18s-2.824-3.63-6.66-7.79c-3.837-4.16-9.1-8.763-11.14-9.816-10.494-5.414-23.4-6.975-37.613-8.098-14.213-1.122-29.62-1.782-44.542-7.367-11.97-4.48-24.632-12.566-33.557-18.58zm52.4 34.956c16.23.14 33.973 5.41 47.93 11.174 8.774 3.623 16.51 11.337 20.145 20.084 5.14 12.37 9.497 30.7 0 40.166-23.74 23.668-76.98 23.668-100.72 0-14.244-14.2-14.244-46.05 0-60.25 8.31-8.284 20.02-11.282 32.644-11.174zm176.44 0c12.626-.108 24.336 2.89 32.645 11.174 14.244 14.2 14.244 46.05 0 60.25-23.74 23.668-76.98 23.668-100.72 0-9.497-9.467-5.14-27.796 0-40.166 3.634-8.747 11.37-16.46 20.144-20.084 13.957-5.764 31.7-11.035 47.93-11.174zM84.134 235.22c-.287 6.905-.432 13.838-.432 20.78 0 38.662 9.978 97.927 36.652 146.277C147.025 450.627 188.912 488 256 488c67.087 0 108.975-37.373 135.648-85.723 26.674-48.35 36.65-107.615 36.65-146.277 0-6.942-.144-13.875-.43-20.78-2.338 16.362-8.42 31.813-19.182 46.245-9.583 12.85-26.66 16.89-41.38 19.916-7.29 1.5-14.12 2.433-19.18 3v7.944c3.384 3.062 10.21 9.398 18.597 19.12 10.876 12.61 22.966 27.822 22.966 45.056 0 28.995-21.616 55.41-46.428 68.244-16.156 8.356-34.062 3.893-47.7.78-10.146-2.313-17.445-8.3-23.78-12.727-6.336-4.427-11.26-7.13-15.782-7.13-4.52 0-9.446 2.703-15.78 7.13-6.337 4.427-13.636 10.414-23.78 12.728-13.64 3.112-31.547 7.575-47.702-.78-24.812-12.834-46.427-39.25-46.427-68.245 0-17.234 12.09-32.447 22.967-45.055 8.388-9.723 15.213-16.06 18.596-19.12v-7.946c-5.06-.567-11.89-1.5-19.18-3-14.718-3.024-31.796-7.066-41.38-19.915-10.762-14.432-16.843-29.883-19.18-46.244zM256 256l60.434 60.25c-60.433 10.613-60.435 10.606-120.868 0L256 256zm0 85.354c25.18 0 50.36 5.02 80.576 15.062 20.144 20.083 20.144 40.168 0 40.168-60.433-20.083-100.72-20.083-161.152 0-20.144 0-20.144-20.085 0-40.168 30.216-10.042 55.396-15.062 80.576-15.062z"}}]})(props);
};
function GiLuciferCannon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M376 76c30 60-120 30-210 75 150 0 270 15 270 105S316 361 166 361c90 45 240 15 210 75 90-15 120-120 120-180S466 91 376 76zm-95.625 105.938C216.005 182.577 127.562 203.5 16 256c255 120 390 75 390 0 0-42.188-42.865-74.886-125.625-74.063z"}}]})(props);
};
function GiLuckyFisherman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M187.4 22c-6.3 13.95-9.9 30.06-9.9 47.4 0 54.9 36.1 97.6 78.5 97.6s78.5-42.7 78.5-97.6c0-17.34-3.6-33.45-9.9-47.4H187.4zm20.6 90h96c-32 32-64 32-96 0zm89.2 62c-12.5 7.1-26.4 11-41.2 11-14.6 0-28.4-3.8-40.7-10.7-22.4 5.1-46.5 13.4-67.4 23.9-6.1 3-11.9 6.2-17.3 9.6l30.6-5.8c32-6.1 60.8-9.9 87.5-9.6 8.9.1 17.6.6 26 1.7 29.4 3.7 56.4 14.1 81.8 33.2 22.4 4 44.1 10.1 64.2 18.2-2.5-5.9-7-12.1-13.4-18.4-10.4-10.3-25.6-20.5-42.9-29.2-20.9-10.5-44.9-18.9-67.2-23.9zm-168.5 34.9c-9.4 5.9-17.6 12.1-24 18.3-10.32 10.2-15.52 20-15.65 28.5 1.71 10.6 3.24 20.5 4.65 30 28.2-24.9 63.8-42.2 102.6-52.5-9-4.2-20.5-8.7-36.2-13.9l-31.4-10.4zm119.8 1.5c-15.8-.2-32.8 1.3-51.1 3.9 9.9 4.4 17.7 8.7 24.3 13.2 11.1-2.1 22.3-3.6 33.6-4.6 8.4-.8 16.8-1.3 25.2-1.4 10.4-.2 20.7-.1 31 .5-12.4-5-25.3-8.3-39-10-7.7-1-15.7-1.5-24-1.6zm42.9 29c-3.5 0-7 0-10.5.1-8 .1-16 .6-24 1.3-63.7 5.7-124.1 28.6-162.42 69l-3.31 3.5-4.73-.8c-18.48-3.2-43.03 5.9-68.2 12.8 1.29 1.1 2.53 2.1 3.86 3.4 10.52 9.6 22.46 22.7 33.33 36.3 10.87 13.5 20.61 27.4 26.64 39.2 1.76 3.4 3.19 6.6 4.25 9.8 6.8-4.7 11.72-10.9 15.98-18.4l.3-.6c-.8-12.4.1-24.8 2.7-36.8 2-9.7 9-16.8 16.8-21 7.9-4.1 16.9-6 25.9-6.4 2.2-.2 4.4-.2 6.7-.1 6.7.1 13.2 1.1 19.1 2.7 7.9 2.2 15 5.2 19.7 11.9 5.6 7.9 9.8 17.2 12 26.8 27.7 5.6 59.7 10.1 92.7 12.7 2.1.2 4.2.3 6.3.5.8-14.3 5.8-28.5 14-40 4.7-6.7 11.8-9.7 19.7-11.9 5.9-1.6 12.4-2.6 19.1-2.7 2-.1 4-.1 5.9 0v-4.4c.3-21.2 3.4-43.9 16.9-58.4l13.2 12.4c-7.2 7.6-11.8 27.2-12.1 46.3-.1 2.4 0 4.7 0 7.1 3 .9 5.9 2.1 8.7 3.5 7.8 4.2 14.8 11.3 16.8 21 2 9.4 3 19.1 3 28.8 30.3-1.3 58.7-4.4 82.8-9.5.6-41.1-20.5-86.2-55.2-104.5-41-21.7-93.2-33.3-145.9-33.6zm-22.6 37.8h3c10.6.3 21.5 1.7 32.7 4.5l-4.4 17.4c-35.9-9-68.6-1.3-99.9 9.7 1.9 2.3 4.6 4.7 8.3 7 7.7 4.9 18.6 9.2 30.7 12.2 24.3 5.9 53.4 6 70-.6l6.6 16.8c-22.7 8.9-53.7 7.9-80.8 1.3-13.6-3.3-26.1-8.1-36.1-14.5-10.1-6.4-18.2-14.8-19.9-26.1l-1.1-7.2 6.9-2.5c25.4-9.5 53.5-18.2 84-18zm156.9 17.3a17.92 17.06 0 0 1 17.9 17.1 17.92 17.06 0 0 1-17.9 17.1 17.92 17.06 0 0 1-17.9-17.1 17.92 17.06 0 0 1 17.9-17.1zm-274.2 54.1c-.8 0-1.7.1-2.6.1-7 .4-13.8 2-18.4 4.4-4.6 2.5-6.8 5.1-7.6 8.9-4.6 21.8-3 45.4 5.3 66-.8-2 .2.1 4.7.9 4.6.8 11.4.9 18.3-.2 14-2 28.3-8.9 33-17.2 8.5-14.8 5.7-40.2-5.3-55.8-.5-.6-4.2-3.4-9.9-4.9-5-1.4-11.3-2.2-17.5-2.2zm209 0c-6.2 0-12.5.8-17.5 2.2-5.7 1.5-9.4 4.3-9.9 4.9-11 15.6-13.8 41-5.3 55.8 4.7 8.3 19 15.2 33 17.2 6.9 1.1 13.7 1 18.3.2 4.5-.8 5.5-2.9 4.7-.9 8.3-20.6 9.9-44.2 5.3-66-.8-3.8-3-6.4-7.6-8.9-4.6-2.4-11.4-4-18.4-4.4-.9 0-1.8-.1-2.6-.1zm-152.9 42.5c-.2 10.3-2.7 20.5-7.8 29.4-9.4 16.4-28.6 23.5-45.9 26.1-8.6 1.2-17 1.3-24.2 0-6.2-1.1-12.7-2.9-16.5-8.7 2 15 4.1 31 6.7 49.1H215v-94.5c-2.5-.4-5-.9-7.4-1.4zm25.4 4.3V487h46.6l-.4-85.9c-15.9-1.5-31.4-3.4-46.2-5.7zm64.2 7.3l.4 84.3h94.6c2.6-18.6 4.8-34.6 6.9-49.6-3.8 6.2-10.4 8.1-16.8 9.2-7.2 1.3-15.6 1.2-24.2 0-17.3-2.6-36.5-9.7-45.9-26.1-3.1-5.4-5.2-11.2-6.4-17.2-2.9-.2-5.7-.4-8.6-.6z"}}]})(props);
};
function GiLuger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M42.652 136.716v32.494a24.107 24.107 0 0 0 8.168 18.1h270.5v-50.406a7.302 7.302 0 0 0-7.146-5.978h-81.512a19.33 19.33 0 0 0-18.172-12.768h-58.948c6.208 25.003-12.71 49.193-38.472 49.193S72.39 143.16 78.6 118.16H61.136c-10.223.035-18.49 8.335-18.485 18.558zm409.04 1.554l2.65-3.38 7.896-11.474c3.297-4.768 8.94-4.768 12.236 0l7.615 14.802h8.835v29.344H338.01V138.27h113.703zM39.074 396.064c18.09 15.597 51.33 13.933 71.643 1.366 21.22-13.127 4.11-31.993 32.13-67.606 8.595-10.932 31.41-42.446 51.47-71.06 6.174-8.814 18.035-3.522 43.602 6.607 6.363 1.39 14.48 1.79 18.578 2.132 19.016 0 42.086-17.687 44.218-32.423 2.173-15.016-6.757-19.388 2.828-21.993 3.328-.905 9.26-5.045 9.67-9.067h-41.027c8.512 4.59 14.145 12.518 14.145 21.49 0 14.186-13.99 25.68-31.295 25.68-17.306 0-31.294-11.474-31.294-25.68 0-8.993 5.633-16.9 14.145-21.49H77.754c23.19 20.206 11.09 43.812 2.806 55.412l-52.158 73.24c-14.555 20.452-5.557 49.4 10.672 63.392zm21.14-38.28c0-11.868 14.347-17.81 22.74-9.418 8.39 8.39 2.448 22.74-9.42 22.74-7.357 0-13.32-5.964-13.32-13.32zm188.2-117.13c-9.727-7.012-7.78-25.204-5.018-36.613h12.8c-7.575 8.55-11.452 27.26-7.783 36.615zM140.008 127.64c0 20.447-24.72 30.684-39.177 16.227-14.456-14.456-4.22-39.176 16.227-39.176 12.674 0 22.95 10.276 22.95 22.95z"}}]})(props);
};
function GiLunarModule (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M144 23c-9.282 0-17 7.718-17 17 0 5.99 3.224 11.317 8 14.35v40.46l-15.156 7.38L91.68 228.93l76.5-12.75 15.238-91.434 48.268-77.014L153 86.047V54.35c4.776-3.033 8-8.36 8-14.35 0-9.282-7.718-17-17-17zm112 19.832L202.62 128h106.76L256 42.832zM416 45c-24.96 0-45 20.04-45 45s20.04 45 45 45 45-20.04 45-45-20.04-45-45-45zm-135.686 2.732l48.268 77.014 15.068 90.414 76.637 13.617-17.135-77.105C374.586 145.708 353 120.287 353 90c0-2.263.126-4.497.36-6.7l-73.046-35.568zM416 71c9.282 0 17 7.718 17 17s-7.718 17-17 17-17-7.718-17-17 7.718-17 17-17zm-288 48h32v18h-32v-18zm64 89l16 32h96l16-32H192zm149.88 25.13l-39.46 92.067 91.148-13.35 25.967-64.92-77.656-13.798zm-171.468.925L92.51 247.04l25.922 64.806 89.494 13.11-37.514-90.9zM198.942 256l29.71 71.992L256 331.998l25.527-3.74L312.494 256h-113.55zm-84.962 73.385L58.15 455H32v18h64v-18H77.85l6.543-14.72c.154-.06.285-.122.486-.18 1.41-.413 3.09-.958 5.097-1.637 4.014-1.358 9.296-3.25 15.464-5.514 12.34-4.53 28.187-10.538 43.86-16.546 18.96-7.267 34.964-13.486 46.782-18.093L247 436.5V471h-23v18h64v-18h-23v-34.5l50.918-38.19c11.818 4.608 27.82 10.827 46.78 18.094 15.675 6.008 31.523 12.017 43.86 16.545 6.17 2.263 11.45 4.155 15.465 5.513 2.007.68 3.687 1.224 5.098 1.637.202.058.333.12.487.18L434.15 455H416v18h64v-18h-26.15l-55.83-125.613-18.493 2.71 38.096 85.717c-1.6-.578-3.097-1.116-4.86-1.763-12.184-4.47-27.99-10.462-43.622-16.454-14.304-5.483-28.13-10.84-39.288-15.176l24.304-48.608-21.715 3.18L314.44 375H265v-26.13l-9 1.32-9-1.32V375h-49.438l-18.003-36.008-21.718-3.18 24.304 48.608c-11.156 4.337-24.983 9.693-39.287 15.176-15.633 5.992-31.44 11.983-43.622 16.455-1.764.648-3.26 1.186-4.86 1.764l38.095-85.72-18.493-2.71zM219 393h28v21l-28-21zm46 0h28l-28 21v-21z"}}]})(props);
};
function GiLunarWand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M373 20c-46.737 0-87.087 26.806-106.564 65.912L206 98l48.11 36.082c-.067 1.632-.11 3.27-.11 4.918 0 20.94 5.387 40.592 14.842 57.666l8.803-22.008 6.17-5.388 16.44-4.11C295.592 154.367 293 142.48 293 130c0-46.01 35.158-84.016 80-88.547L414 34zm105 94l-7.453 25c-4.53 44.842-42.538 80-88.547 80-12.48 0-24.367-2.59-35.16-7.256l-4.11 16.44-5.388 6.17-22.008 8.804C332.408 252.613 352.06 258 373 258c1.648 0 3.286-.043 4.918-.11L414 306l12.088-60.436C465.194 226.087 492 185.737 492 139zm-140.37 60.37l-44.984 11.245-22.492 56.23 56.23-22.49zm-84.984 30.048l-16.503 16.504 16.425 16.426 8.037-20.09c-2.877-4.122-5.54-8.406-7.96-12.84zm-44.054 14.41c-7.608.515-12.517 2.56-15.584 5.63-3.068 3.067-5.114 7.975-5.63 15.583l84.8 84.8c7.608-.515 12.516-2.563 15.584-5.63 3.067-3.07 5.114-7.977 5.63-15.585zm86.154 32.565l-20.094 8.04 16.645 16.643 16.568-16.568c-4.534-2.46-8.91-5.177-13.12-8.115zm-105.273 16.2l-21.213 21.212 55.154 55.154 21.213-21.214zm-45.254 22.626l-21.214 21.212 77.78 77.78L222 368zm-22.628 45.253L18 439.063V494h55.373l103.373-103.373z"}}]})(props);
};
function GiLungs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.875 29.406A9 9 0 0 0 247 38.53v118.314l-15.188 18.97C232.602 181.416 233 186.87 233 192v11.156l23-28.75 23 28.75V192c0-5.13.398-10.583 1.188-16.188L265 156.845V38.53a9 9 0 0 0-9.125-9.124zM176 121c-4.204 0-14.86 3.97-26.688 12.063-11.828 8.094-25.28 19.814-38.125 33.468-25.688 27.31-48.756 62.726-54.343 91.19-7.464 38.02-11.432 81.626-11.532 119.342-.1 37.717 4.43 70.268 10.75 82.907.458.913 2.002 2.488 6.47 3.717 4.466 1.23 11.21 1.775 19.187 1.313 15.95-.925 36.805-5.69 57.06-13.406 20.257-7.717 40-18.395 54.126-30.438C207.033 409.113 215 396.25 215 384V192c0-13.92-4.043-33.063-11.375-47.625C196.293 129.813 186.832 121 176 121zm160 0c-10.832 0-20.293 8.813-27.625 23.375C301.043 158.937 297 178.08 297 192v192c0 12.25 7.967 25.113 22.094 37.156 14.127 12.043 33.87 22.72 54.125 30.438 20.255 7.716 41.11 12.48 57.06 13.406 7.977.462 14.722-.084 19.19-1.313 4.466-1.228 6.01-2.804 6.467-3.718 6.32-12.64 10.85-45.19 10.75-82.908-.1-37.716-4.067-81.32-11.53-119.343-5.588-28.464-28.656-63.88-54.344-91.19-12.845-13.653-26.297-25.374-38.125-33.468C350.858 124.97 340.204 121 336 121z"}}]})(props);
};
function GiLynxHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M125.726 26c-16.287 0-25.427 39.444-23.978 58.852 1.317 17.655 6.607 38.365 13.272 53.654 3.822 13.796 8.49 26.93 13.775 37.282 4.028 7.888 8.492 13.96 12.585 17.735 5.46-7.754 11.74-15.612 19.065-23.035a143.73 143.73 0 0 1 8.827-8.223c-8.593-2.614-16.067-6.718-22.364-11.855-7.06-5.76-12.73-12.61-17.564-19.836-9.907-16.38-16.03-27.23-17.08-41.336-1.245-16.658-2.825-46.952 13.462-63.238zm260.578 0c16.286 16.286 14.706 46.58 13.463 63.238-1.053 14.106-7.175 24.955-17.08 41.336-4.837 7.226-10.506 14.077-17.566 19.836-6.31 5.148-13.8 9.258-22.416 11.87a144.383 144.383 0 0 1 8.958 8.347c7.286 7.39 13.535 15.205 18.972 22.91 4.097-3.775 8.567-9.85 12.6-17.75 5.287-10.352 9.953-23.485 13.776-37.28 6.664-15.29 11.954-36 13.272-53.655C411.73 65.444 402.59 26 386.304 26zM88.072 100.542c-8.82 42.72 3.21 85.19 31.705 128.973 3.27-5.985 6.925-12.78 11.495-20.405-7.722-6.027-13.627-14.868-18.795-24.988-6.558-12.843-11.777-28.11-15.96-43.795-3.59-13.463-6.4-27.14-8.445-39.785zm335.886 0c-2.045 12.645-4.855 26.322-8.446 39.785-4.182 15.685-9.402 30.952-15.96 43.795-5.168 10.122-11.074 18.965-18.8 24.992 4.592 7.648 8.244 14.44 11.5 20.4 28.497-43.782 40.525-86.253 31.706-128.972zm-167.943 48.622c-38.245 0-63.61 15.025-82.528 34.194-18.92 19.17-30.717 42.546-39.753 58.81-9.142 16.456-18.334 39.176-35.084 51.738-13.876 10.407-19.266 24.455-19.192 42.28.073 17.825 6.37 38.96 16.606 59.727C114.78 433.89 147.02 470.293 171.83 486c1.816-4.33 2.248-9.616 1.706-16.328-5.558-3.36-10.754-8.085-15.81-13.423-9.934-10.487-19.368-24.21-27.768-38.91-8.4-14.7-15.707-30.343-20.996-44.623-5.29-14.28-8.713-26.847-8.713-37.28 0 5.853 16.934 17.715 21.824 30.918 4.89 13.202 15.904 28.094 23.79 41.896 7.247 12.683 15.337 24.46 23.11 33.158-.62-3.813-1.16-7.678-1.483-11.565-1.12-13.43.756-28.464 12.364-39.077a42.21 42.21 0 0 1 1.947-1.666c-9.152-17.46-16.377-36.25-16.377-53.663 8.547-29.444 41.044-34.8 62.12-44.863l-4.524-20.1c-21.01 9.736-74.08.036-72.275-25.38.48-6.747 6.797-9.56 15.225-9.422 5.056.084 10.87 1.23 16.642 3.23 15.084 5.23 28.892 14.14 40.147 30.418l-7.365-32.713c-5.208-2.216-10.287-4.592-15.1-6.94-17.178-8.372-30.59-16.748-30.59-16.748l9.7-15.544s12.686 7.91 28.916 15.823c16.232 7.912 36.45 15.36 47.665 15.36 11.215 0 31.435-7.448 47.666-15.36 16.23-7.913 28.917-15.824 28.917-15.824l9.7 15.543s-13.412 8.375-30.59 16.748c-5.022 2.45-10.332 4.93-15.778 7.227l-7.176 33.202c11.352-16.78 25.367-25.882 40.694-31.194 5.77-2 11.585-3.147 16.642-3.23 8.427-.14 14.745 2.674 15.224 9.42 1.814 25.55-51.827 35.225-72.61 25.237l-4.357 20.16c21.446 7.972 60.697 23.412 62.29 44.947 0 17.412-7.225 36.204-16.378 53.663a42.21 42.21 0 0 1 1.945 1.666c11.608 10.613 13.483 25.646 12.364 39.077-.323 3.86-.86 7.7-1.472 11.485 7.75-8.69 15.815-20.434 23.04-33.077 7.886-13.8 18.9-28.693 23.79-41.895 4.89-13.203 21.823-25.065 21.823-30.918 0 10.433-3.42 23-8.71 37.28-5.29 14.28-12.597 29.924-20.996 44.624-8.4 14.7-17.834 28.423-27.767 38.91-5.04 5.317-10.214 10.028-15.75 13.386-.546 6.73-.117 12.026 1.702 16.364 24.72-15.67 56.953-52.07 75.688-90.05 10.25-20.774 16.566-41.924 16.654-59.758.088-17.833-5.29-31.88-19.163-42.286-16.872-12.653-25.803-35.032-35.084-51.737-8.937-16.088-20.73-39.46-39.68-58.678-18.948-19.218-44.37-34.328-82.6-34.328zm-20.207 94.697l8.867 39.388c3.79-1.137 7.446-1.76 11.34-1.76 3.824 0 7.417.602 11.135 1.7l8.467-39.186c-6.682 1.774-13.31 2.88-19.632 2.88-6.494 0-13.31-1.16-20.177-3.02zm-18.193 67.87c-.03.01-.062.013-.093.02-12.85 3.214-26.5 13.238-33.636 25.885.213 3.895.99 8.262 2.205 12.903 8.31 8.985 18.027 20.306 27.645 25.805 5.816 3.325 10.73 4.46 15.795 3.153 4.71-1.216 13.273-3.52 17.284-14.344 2.075-5.6 3.133-20.282-2.266-21.24-3.927-.786-8.18-2.954-11.296-6.07-5.545-5.544-9.2-13.11-15.636-26.11zm76.8 0c-6.438 13-10.093 20.568-15.637 26.112-3.115 3.116-7.37 5.284-11.296 6.07-4.87-.058-4.394 16.735-2.346 21.053 4.93 10.395 12.596 13.316 17.306 14.53 5.076 1.31 10 .172 15.82-3.154 9.65-5.51 19.39-16.87 27.69-25.86 1.206-4.62 1.98-8.966 2.19-12.845-7.134-12.647-20.784-22.67-33.635-25.884-.03-.007-.062-.01-.093-.02zm-38.438 71.22c-6.825 7.534-14.128 12.29-21.867 14.287-10.7 2.764-21.042-.172-29.47-4.99-.048-.028-.095-.06-.144-.087 9.026 15.1 19.2 28.293 25.424 34.517 5.983 5.983 15.916 9.53 26.095 9.53 10.18 0 20.11-3.547 26.095-9.53 6.227-6.228 16.41-19.437 25.44-34.55-.066.04-.13.084-.198.122-8.432 4.817-18.783 7.75-29.49 4.987-7.743-1.998-15.053-6.752-21.885-14.288z"}}]})(props);
};
function GiLyre (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M108.656 35.063c-15.053.138-33.413 5.378-46.97 15.812-10.75 8.276-18.777 19.27-21.186 34.438.21-.126.414-.252.625-.376-.843 2.816-1.313 5.786-1.313 8.876 0 17.087 13.85 30.937 30.938 30.937 14.293 0 26.324-9.705 29.875-22.875.028-.115.067-.23.094-.344.48-2.082.768-4.042.905-5.843.025-.327.017-.65.03-.968.005-.126.03-.25.032-.376.007-.182-.002-.353 0-.53 0-1.526-.098-3.036-.312-4.5-1.367-8.018-6.778-12.156-12.594-13.72-8.527-2.293-19.055.637-23.75 18.156l-.468-.125C62.04 74.12 72.213 63.885 83.94 60.78c2.476-.654 5.053-1.005 7.656-.968 9.072.13 18.445 4.88 24.562 17.126.087.173.165.355.25.53 5.208 15.233 2.11 43.32-3.344 57.626-7.288 18.753-22.376 40.504-47.687 65.5C6.99 258.252 4 329.824 39.97 388.814 75.936 447.8 152.13 493.56 254.437 493.56c102.306 0 178.47-45.76 214.437-104.75 35.882-58.848 32.982-130.225-25-187.812l-.406-.406h-.033c-25.31-24.996-40.367-46.747-47.656-65.5-5.23-16.453-9.09-42.988-2.655-57.625.058-.128.128-.25.188-.376.025-.05.037-.106.062-.156 6.117-12.246 15.49-16.996 24.563-17.126 2.602-.037 5.18.314 7.656.97 11.724 3.102 21.87 13.337 19.344 32.843l-.438.125c-4.694-17.52-15.222-20.45-23.75-18.156-4.41 1.185-8.603 3.85-10.97 8.562-.012.04-.017.085-.03.125-.975 3.007-1.5 6.203-1.5 9.532 0 17.088 13.85 30.938 30.938 30.938 17.087 0 30.937-13.85 30.937-30.938 0-4.355-.907-8.49-2.53-12.25-3.058-13.244-10.598-23.112-20.44-30.687-14.458-11.13-34.39-16.363-49.936-15.78-13.378.5-24.85 4.108-33.22 10.53-3.412 2.617-6.383 5.702-8.844 9.375-69.455 35.508-138.89 38.75-208.344-7.75-.642-.557-1.29-1.105-1.968-1.625-8.37-6.422-19.843-10.03-33.22-10.53-.97-.037-1.964-.042-2.968-.032zm52.78 53.124c6.338 2.648 12.666 4.987 19 7.032v313.06c-30.732-8.258-57.886-22.005-77.374-41.31-17.1-16.94-28.077-38.626-28.906-63.595-.828-24.97 8.274-52.702 28.97-82.625 41.323-59.752 57.163-103.6 58.31-132.563zm186.033 1.407c1.6 28.97 17.593 72.37 58.25 131.156 20.693 29.923 29.796 57.656 28.967 82.625-.828 24.97-11.807 46.654-28.906 63.594-19.023 18.846-45.374 32.4-75.217 40.717V94.844c5.636-1.606 11.27-3.35 16.906-5.25zm-35.595 10v312.53c-8.21 1.63-16.606 2.878-25.125 3.782V104.094c8.376-1.122 16.75-2.63 25.125-4.5zm-112.75.78c8.45 1.97 16.894 3.442 25.344 4.44v311.342c-8.59-.84-17.057-2.05-25.345-3.625V100.376zm68.938 5.564v311.375c-4.54.198-9.088.312-13.657.312-3.76 0-7.506-.053-11.25-.188V106.28c8.293.314 16.614.18 24.906-.343z"}}]})(props);
};
function GiM3GreaseGun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M163.042 247.9l-.31-12.46a47.42 47.42 0 0 0-10-.16c-.5 2.82-1.26 6.75-2.19 11.33zm24 1.86a18.33 18.33 0 0 0 5.1-6.26h8.52a27 27 0 0 1-8.53 12.46c-6.74 5.49-16.36 8.12-28.75 8.12a109.5 109.5 0 0 1-16.16-1.39c.56-2.68 1.12-5.21 1.64-7.75 21.97 3.23 32.87-.82 38.18-5.18zm132 142.74h-30v-130h30zM20.302 206.35a22.55 22.55 0 0 1 22.74-21.85h21s.09 15 .24 16h-21.24a6.62 6.62 0 0 0-6.77 6.39l-2.31 68.61a8 8 0 0 1-8 7.69h-.28a7.94 7.94 0 0 1-7.72-8.2zm346.74-54.56l13 14.07v11.92l-13 14.07zm127 14.71v12h-98v-12zm-399-47h6v9.14l13.36 6.86h-19.36zm230 127h-40v-32s-12.21-4.29-15.05-4.29a7.75 7.75 0 0 0-4.52 1.45l-20.29 14.4a7.86 7.86 0 0 1-4.55 1.46h-62.76c-3.6-5-12.35-8.71-20.81-8.71-9.42 0-18.49 3.74-19.73 11.75-1.91 12.38-15.64 74.54-15.64 74.54a13.86 13.86 0 0 1-17.53 10.36l-26.37-7.87a6.34 6.34 0 0 1-4.17-8.18c5.17-14.72 22.12-71.53 22.68-80.43.31-4.94-2.77-8.45-6.32-10.45h235.06v38zm-75-103h72v19h-72zm-16 8v27h104v-27h13v41h-271v-41z"}}]})(props);
};
function GiMac10 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M245 340.769h-54v127h54zM27.91 70.459c-.22-9.26 2.32-16.33 7.55-20.81 8-6.85 19.51-5.79 27.48-4.36 2.22.4 106.51 21.75 113.88 22.24a8 8 0 1 1-1.06 15.95c-7.8-.52-113.61-22.12-115.63-22.48-10-1.8-13.3-.1-14.25.71-1.84 1.58-2 6-2 8.38.23 9.61.17 50.69.1 81.69h-16c.1-30.01.15-72.01-.07-81.32zM330 221.609a28.34 28.34 0 0 1-28.2 28.16H266v-16h35.8a12.32 12.32 0 0 0 12.2-12.16v-18.84h16zm-15-160.84h24v16h-4v7h-16v-7h-4zm70 17.16l29-10.1v15.94h-29zm104 50.84v28h-55v-28zm-466 39v57h31.4l-.4-57zm5.15 42.56a7.76 7.76 0 1 1 7.76 7.76 7.76 7.76 0 0 1-7.76-7.76zm221.85-7.56v122h-58v-122zm-98.17 122s5.7-65.28 13.7-81.67c8.63-17.68 5.37-31.33-1.38-40.33H176v122zm21.8-176H418v-49H117.72zm3.1-14a5 5 0 0 1 5.05-5h194.51a5 5 0 1 1 0 10h-194.5a5 5 0 0 1-5.06-5zm0-20a5 5 0 0 1 5.05-5h194.51a5 5 0 1 1 0 10h-194.5a5 5 0 0 1-5.06-5zm-83.35-15l74.25 65H418v22H71v-87zm185.62 103h-11s4.25 13.69 14.12 20.75c-6.06-11.94-3.12-20.75-3.12-20.75z"}}]})(props);
};
function GiMaceHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M220.53 17l-17.06 78.28c16.922-5.973 35.088-9.273 54-9.436L220.53 17zm229.345 72.906L316.595 147c-3.795 39.747 34.37 73.846 69.06 72.875l64.22-129.97zM258.937 104.5c-32.528 0-62.575 10.45-87 28.156l25.407 4.375h5.25l2.437 5.595c23.25 53.012-17.348 112.788-68.374 118.438l-5 .562-3.22-3.875-17-20.438c-.525 5.093-.78 10.267-.78 15.5 0 82.018 66.28 148.313 148.28 148.313 4.25 0 8.47-.182 12.627-.53l-33.75-26.533-3.97-3.125.438-5c3.68-43.274 44.822-80.43 90.126-80.656 10.455-.05 21.14 1.866 31.625 6.126l4.69 1.875.967 4.97 10.094 50.844c22.1-25.897 35.44-59.5 35.44-96.28 0-9.856-.957-19.47-2.783-28.783l-4.468 9.032-2.22 4.5-5 .625c-50.94 6.367-104.295-42.347-94-99.312l1.906-4.97 3.594-1.968 24.03-10.28C307.597 110.71 284.007 104.5 258.94 104.5zm-212.28 25.625l92.687 111.5c33.964-7.128 63.11-49.168 50.187-86.938L46.657 130.125zm45.312 122.063L17.093 295.03l85.437 16.22c-6.812-18.196-10.56-37.885-10.56-58.438 0-.208-.002-.416 0-.625zm333.5 12.5c-1.457 20.667-6.685 40.294-15 58.218L496.593 315l-71.125-50.313zm-101.158 39.53c-33.81.786-65.258 28.287-70.656 58.532l120.625 94.813-29.874-150.344c-6.665-2.114-13.417-3.156-20.094-3zM179.188 399.5l8.594 93.156 52.25-73.937c-21.83-2.47-42.38-9.143-60.843-19.22z"}}]})(props);
};
function GiMachete (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M485.813 19.125l-85.594 28.563c5.54 36.314 1.39 77.714-19.095 122.937-25.507 56.312-75.953 118.53-163.53 186.22l-11.25-14.908c85.803-66.357 133.95-126.46 157.75-179 17.45-38.53 22.02-72.994 18.81-103.687L170.94 295.063l-22-29.125-14.907 11.25 23.095 30.562-.25.188 34.22 44.968c.022-.018.038-.044.06-.062l11.814 15.625.968 1.374 6.843 8.97-21 35.155 16.032 9.592L230.032 383l3.25-5.406-.126-.156c149.192-98.997 283.78-234.44 252.656-358.313zm-27.407 211.563c-3.195 44.583-12.58 64.095-21.875 78.03-4.663 6.994-9.53 13.964-9.53 23.032 0 18.143 14.388 33.094 32.53 33.094 18.144 0 33.126-14.95 33.126-33.094 0-10.064-6.316-17.154-11.78-24.72-9.717-13.458-18.577-32.888-22.47-76.342zm-85.03 83.156c-4.187 58.39-16.517 83.938-28.688 102.187-6.11 9.164-12.47 18.28-12.47 30.158 0 23.76 18.865 43.343 42.626 43.343 23.76 0 43.375-19.582 43.375-43.342 0-13.182-8.283-22.467-15.44-32.375-12.724-17.626-24.305-43.055-29.405-99.97zM142.03 319.28c-4.855 3.834-9.67 7.734-14.405 11.72 3.36 9.22 7.55 20.726 11.875 32.72 3.4 9.423 6.637 18.544 9.594 26.905 8.9-9.123 18.042-17.753 27.5-25.875l-34.563-45.47zm-29.53 24.876c-7.328 6.596-14.497 13.383-21.53 20.344l25 63.594c6.146-7.627 12.39-14.988 18.75-22.094-.052-.145-.075-.26-.126-.406-3.47-9.91-8.09-22.787-12.688-35.53-3.423-9.494-6.464-17.82-9.406-25.908zm-35.844 34.97c-8.362 8.813-16.52 17.888-24.47 27.218l32.19 64.28c6.026-8.72 12.082-17.21 18.25-25.405l-25.97-66.095zm-37.5 42.968c-6.48 8.057-12.824 16.29-19.03 24.687 2.195 26.79 25.804 46.102 46.093 51.064 2.042-3.18 4.103-6.317 6.155-9.438l-33.22-66.312z"}}]})(props);
};
function GiMachineGunMagazine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M146.8 41c-.2 10.26-.6 20.25-1.3 30h175.3c.3-9.83.4-19.82.2-30H146.8zM144 89C131.1 214.5 76.78 297.9 21.96 367.2L137.3 482.6C239.3 357.1 310.3 244.5 320 89h-29.2c-2.2 49-22 109.8-48.6 168.7-26.9 59.5-60.9 117-92.2 157.6l-12.8-12.8c29.7-39.1 62.7-94.9 88.6-152.2 25.9-57.4 44.7-116.6 47-161.3h-30c-2.2 49-22 109.8-48.6 168.7-21.2 46.9-46.8 92.6-72.1 129.7l-12.9-13c23.9-35.6 48.4-79.4 68.6-124.1 25.9-57.4 44.7-116.6 47-161.3h-30c-2.2 49-22 109.8-48.6 168.7-15.9 35.3-34.3 69.8-53.2 100.5l-13.1-13.1c17.6-29.2 35-61.7 49.9-94.8 25.9-57.4 44.7-116.6 47-161.3H144zm192 149c-1 2.4-2.1 5.2-3.2 8.7-3.5 11.3-7 27.1-10 43-4 21.3-6.9 41.8-8.5 53.3h43.4c-1.6-11.5-4.5-32-8.5-53.3-3-15.9-6.5-31.7-10-43-1.1-3.5-2.2-6.3-3.2-8.7zm64 0c-1 2.4-2.1 5.2-3.2 8.7-3.5 11.3-7 27.1-10 43-4 21.3-6.9 41.8-8.5 53.3h43.4c-1.6-11.5-4.5-32-8.5-53.3-3-15.9-6.5-31.7-10-43-1.1-3.5-2.2-6.3-3.2-8.7zm64 0c-1 2.4-2.1 5.2-3.2 8.7-3.5 11.3-7 27.1-10 43-4 21.3-6.9 41.8-8.5 53.3h43.4c-1.6-11.5-4.5-32-8.5-53.3-3-15.9-6.5-31.7-10-43-1.1-3.5-2.2-6.3-3.2-8.7zM313 361v126h46V361h-46zm64 0v126h46V361h-46zm64 0v126h46V361h-46z"}}]})(props);
};
function GiMachineGun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201.607 102.77c.08-3.119.01-6.214-.183-9.274l54.291 65.964a36.619 36.619 0 0 1 6.109 10.657 37.024 37.024 0 0 1 1.69 6.148 38.273 38.273 0 0 1-2.357 21.57 38.643 38.643 0 0 1-8.229 12.322 38.18 38.18 0 0 1-12.238 8.242 37.093 37.093 0 0 1-11.189 2.764q-1.775.153-3.6.136-.907-.015-1.794-.066-.887-.052-1.766-.15-.88-.099-1.74-.234-.858-.135-1.71-.305l-83.581-17.189.537-.232a109.821 109.821 0 0 0 33.429-23.781 116.196 116.196 0 0 0 23.158-34.754 111.765 111.765 0 0 0 9.173-41.818zm52.265 25.309l16.134 19.594a55.27 55.27 0 0 1 11.699 25.272 56.958 56.958 0 0 1-33.935 62.542 55.535 55.535 0 0 1-16.76 4.138 59.787 59.787 0 0 1-5.382.208 52.376 52.376 0 0 1-2.69-.094 47.843 47.843 0 0 1-2.656-.224c-.88-.098-1.76-.208-2.62-.343a62.808 62.808 0 0 1-2.583-.463l-55.717-11.46-1.254 23.334 128.059-.345 1.368-124.617zm87.127 54.31l-.035-.415a10.332 10.332 0 0 0-.296-1.136 9.348 9.348 0 0 0-.445-1.123c-.01-.115-.11-.21-.166-.31-.055-.1-.26-.466-.396-.686l-.212-.307a7.706 7.706 0 0 0-.48-.597l-.22-.249a7.243 7.243 0 0 0-.768-.7 7.08 7.08 0 0 0-1.69-1.016 8.238 8.238 0 0 0-3.808-.52l-.265.023-.472.041a12.565 12.565 0 0 0-3.981 1.376 16.198 16.198 0 0 0-2.437 1.639 17.852 17.852 0 0 0-1.563 1.4 18.442 18.442 0 0 0-3.124 4.183 16.776 16.776 0 0 0-1.232 2.95 14.96 14.96 0 0 0-.472 1.934 11.905 11.905 0 0 0 .079 4.697c.016.184.1.351.15.532a8.654 8.654 0 0 0 1.629 3.135 7.752 7.752 0 0 0 2.383 1.92 7.96 7.96 0 0 0 .93.408l.323.111q.394.129.796.21l.366.073a9.06 9.06 0 0 0 .938.105l.265-.023a9.87 9.87 0 0 0 1.159-.03l.173-.015a11.975 11.975 0 0 0 4.453-1.417 15.596 15.596 0 0 0 3.886-3.017 17.713 17.713 0 0 0 2.926-4.189 16.73 16.73 0 0 0 1.586-4.91c.075-.482.115-.961.144-1.428l-.04-.461c-.014-.162.004-.628-.01-.929-.015-.3-.028-.322-.041-.472-.013-.15.038-.503-.01-.789zm7.024 41.097l-.04-.462c-.026-.3-.132-.592-.203-.876-.071-.284-.022-.254-.102-.375a10.575 10.575 0 0 0-.422-1.125 9.788 9.788 0 0 0-.56-1.113l-.189-.297a9.022 9.022 0 0 0-.488-.678l-.258-.303c-.18-.205-.371-.398-.562-.59l-.24-.235a8.48 8.48 0 0 0-.885-.69 8.33 8.33 0 0 0-1.797-.914 9.152 9.152 0 0 0-3.932-.486l-.542.047a12.067 12.067 0 0 0-4.21 1.408 14.462 14.462 0 0 0-2.194 1.5 15.527 15.527 0 0 0-1.579 1.484 15.804 15.804 0 0 0-2.737 4.091 14.485 14.485 0 0 0-1.012 3.072 13.317 13.317 0 0 0-.26 1.706 11.477 11.477 0 0 0 .536 4.599c.093.27.196.529.31.774a9.383 9.383 0 0 0 1.856 2.802 8.967 8.967 0 0 0 2.646 1.874 9.117 9.117 0 0 0 .95.382l.346.099q.404.116.842.206l.39.07a9.719 9.719 0 0 0 .972.103l.265-.023a10.413 10.413 0 0 0 1.159-.03l.196-.017a11.06 11.06 0 0 0 1.145-.18 11.57 11.57 0 0 0 1.889-.592 12.38 12.38 0 0 0 1.373-.641c.21-.111.408-.244.607-.366a14.092 14.092 0 0 0 3.087-2.588l.2-.238a15.26 15.26 0 0 0 2.408-3.866 14.694 14.694 0 0 0 1.153-4.814 13.363 13.363 0 0 0 .007-1.394l-.04-.45c-.012-.15-.049-.576-.084-.851zm3.023-17.343c4.227 2.83 8.62 5.703 13.155 8.598a12.021 12.021 0 0 0 2.379-2.04 12.808 12.808 0 0 0 2.231-3.49 12.287 12.287 0 0 0 .982-4.102 10.922 10.922 0 0 0-.138-2.543 9.348 9.348 0 0 0-.682-2.264 8.284 8.284 0 0 0-1.173-1.884 7.509 7.509 0 0 0-1.587-1.443q-6.459-4.333-12.655-8.723l.017.196a29.387 29.387 0 0 1-2.737 8.667 30.36 30.36 0 0 1-4.529 6.614l.299.09a21.115 21.115 0 0 1 4.427 2.325zm4.978 54.15c-.027-.31-.054-.622-.185-.924-.13-.302-.025-.3-.12-.443-.093-.142-.177-.577-.282-.858-.105-.281-.091-.247-.137-.371a11.246 11.246 0 0 0-.514-1.117l-.006-.07a10.413 10.413 0 0 0-.645-1.024l-.248-.315c-.17-.218-.351-.434-.531-.64l-.293-.3c-.192-.204-.405-.383-.618-.562l-.288-.242a9.672 9.672 0 0 0-.927-.652 9.51 9.51 0 0 0-1.948-.912 9.985 9.985 0 0 0-4.035-.465l-.311.026a11.732 11.732 0 0 0-4.37 1.434 13.097 13.097 0 0 0-2.011 1.334 13.78 13.78 0 0 0-4.025 5.584 12.912 12.912 0 0 0-.798 3.274 12.46 12.46 0 0 0-.086 1.424 11.292 11.292 0 0 0 .922 4.507 10.494 10.494 0 0 0 .492.992 10.262 10.262 0 0 0 1.993 2.51 10.1 10.1 0 0 0 2.828 1.824 10.24 10.24 0 0 0 1.008.378l.357.097q.428.114.864.192l.4.07c.33.053.67.082 1.02.098l.253-.021a11.003 11.003 0 0 0 1.159-.03l.219-.02a11.269 11.269 0 0 0 1.963-.4 11.709 11.709 0 0 0 2.433-1.011 12.727 12.727 0 0 0 3.532-2.94 13.433 13.433 0 0 0 2.323-4.045 13.282 13.282 0 0 0 .755-4.71 12.727 12.727 0 0 0-.119-1.383c.018-.06-.016-.184-.04-.322zm1.37-18.605l.378.212c5.77 3.486 11.825 7.052 18.106 10.669.246-.242.491-.496.713-.759a11.292 11.292 0 0 0 2.026-3.437 11.176 11.176 0 0 0 .675-4.03 10.552 10.552 0 0 0-.343-2.502 9.591 9.591 0 0 0-.89-2.246 9.013 9.013 0 0 0-1.321-1.849 8.527 8.527 0 0 0-1.747-1.405q-7.167-4.342-14.117-8.725a27.374 27.374 0 0 1-2.097 8.426 27.987 27.987 0 0 1-2.715 4.879l.583.425c.273.07.514.177.735.309zm-32 8.412a21.855 21.855 0 0 1-5.996-4.361 22.087 22.087 0 0 1-5.085-8.341 24.077 24.077 0 0 1-1.18-9.665 26.703 26.703 0 0 1 2.385-9.112 28.37 28.37 0 0 1 4.367-6.729l-2.799-1.489a20.583 20.583 0 0 1-5.985-4.908 21.647 21.647 0 0 1-4.402-8.91 24.517 24.517 0 0 1-.233-9.712 28.716 28.716 0 0 1 3.054-8.775 31.065 31.065 0 0 1 5.197-7.067 29.515 29.515 0 0 1 7.033-5.309 24.956 24.956 0 0 1 9.041-2.892l.588-.05-7.081-10.76-9.12-13.939-9.112-13.836-1.369 125.953a18.512 18.512 0 0 1 6.723 1.337l2.503 1.016 8.482 3.427c.084-.24.154-.501.25-.742a26.368 26.368 0 0 1 2.725-5.158zm38.74 47.05c-.013-.138-.025-.276-.093-.398-.069-.122-.157-.602-.24-.896-.083-.295-.095-.294-.154-.44-.059-.146-.222-.562-.339-.83-.116-.269-.102-.247-.17-.369a11.57 11.57 0 0 0-.607-1.109 11.257 11.257 0 0 0-.738-1.016l-.257-.292c-.193-.215-.386-.43-.6-.633l-.317-.298c-.213-.19-.427-.381-.662-.547l-.311-.24a10.853 10.853 0 0 0-.983-.624 10.61 10.61 0 0 0-2.05-.892 10.714 10.714 0 0 0-4.126-.434l-.334.029a11.489 11.489 0 0 0-4.337 1.419 12.114 12.114 0 0 0-1.838 1.319 12.45 12.45 0 0 0-3.792 5.587 11.998 11.998 0 0 0-.601 3.536c.03.357-.007.72.023 1.078a11.42 11.42 0 0 0 1.241 4.433 11.13 11.13 0 0 0 5.758 5.241c.337.134.673.256 1.018.354l.368.096q.44.113.888.19l.4.07q.53.071 1.065.095l.23-.02q.543-.047 1.159-.042l.3-.026a11.836 11.836 0 0 0 4.25-1.341l.115-.01a11.697 11.697 0 0 0 3.396-2.906 12.137 12.137 0 0 0 2.107-3.99 12.357 12.357 0 0 0 .49-4.687 12.16 12.16 0 0 0-.273-1.428zm.695-18.883a1492.97 1492.97 0 0 0 19.875 10.853 9.939 9.939 0 0 0 2.285-2.055 10.135 10.135 0 0 0 1.8-3.383 10.413 10.413 0 0 0-.113-6.424 10.02 10.02 0 0 0-1.057-2.162 9.765 9.765 0 0 0-1.514-1.809 9.534 9.534 0 0 0-1.884-1.37q-7.758-4.326-15.322-8.69a25.604 25.604 0 0 1-5.098 14.56l.667.325zm13.443 52.26a12.01 12.01 0 0 0-.267-1.347c-.011-.127-.022-.254-.114-.373-.084-.307-.191-.611-.299-.915l-.164-.416a9.595 9.595 0 0 0-.397-.837l-.3-.392a11.015 11.015 0 0 0-1.494-2.1l-.28-.29a10.96 10.96 0 0 0-.634-.62l-.34-.295a15.95 15.95 0 0 0-.696-.544l-.323-.24a11.743 11.743 0 0 0-1.041-.63 11.57 11.57 0 0 0-2.082-.842 11.327 11.327 0 0 0-4.181-.418l-.358.03a11.338 11.338 0 0 0-7.631 4.293 11.385 11.385 0 0 0-2.335 8.492 11.64 11.64 0 0 0 1.48 4.379 11.79 11.79 0 0 0 .852 1.25 11.813 11.813 0 0 0 5.19 3.908c.348.132.707.252 1.076.36l.369.096q.45.112.922.188l.41.057c.354.051.716.078 1.076.082l.242-.021c.346-.03.704-.06 1.06-.092l.358-.03a11.188 11.188 0 0 0 4.35-1.397 11.038 11.038 0 0 0 3.306-2.886 11.292 11.292 0 0 0 1.982-3.956 11.57 11.57 0 0 0 .371-2.564 11.94 11.94 0 0 0-.124-1.975zm-3.35-14.622q7.066 3.7 14.585 7.535l4.349 2.227.29-.142a9.36 9.36 0 0 0 4.494-5.787 9.8 9.8 0 0 0 .22-3.92 10.262 10.262 0 0 0-.662-2.428 10.413 10.413 0 0 0-1.183-2.14 10.563 10.563 0 0 0-1.628-1.776 10.413 10.413 0 0 0-1.985-1.35q-8.208-4.287-16.258-8.622a24.644 24.644 0 0 1-5.123 15.213 17.875 17.875 0 0 1 2.914 1.2zm17.495 48.068a11.94 11.94 0 0 0-.324-1.33c-.01-.128-.08-.25-.126-.385-.107-.304-.215-.608-.345-.91l-.186-.403a13.76 13.76 0 0 0-.432-.833l-.205-.366a12.38 12.38 0 0 0-.722-1.1 12.368 12.368 0 0 0-.852-.994l-.292-.288a11.409 11.409 0 0 0-.669-.616l-.35-.284a10.826 10.826 0 0 0-.73-.53l-.346-.237a10.603 10.603 0 0 0-1.075-.615l-.475.958-2.356 4.732 2.368-4.733.475-.958a12.276 12.276 0 0 0-2.138-.826 11.813 11.813 0 0 0-4.24-.413l-.369.031a11.176 11.176 0 0 0-4.302 1.416 10.783 10.783 0 0 0-5.086 6.744 11.06 11.06 0 0 0-.234 3.898l.055.634a11.882 11.882 0 0 0 1.65 4.33 12.333 12.333 0 0 0 .974 1.332 12.438 12.438 0 0 0 5.272 3.773c.361.143.731.262 1.111.357l.266.117q.462.11.933.186l.4.059q.552.069 1.169.085l.207-.018c.392-.034.789-.01 1.158-.041l.253-.022a11.234 11.234 0 0 0 3.125-.803 10.841 10.841 0 0 0 1.204-.58 10.598 10.598 0 0 0 3.1-2.706l.137-.163a10.69 10.69 0 0 0 1.821-3.93 11.338 11.338 0 0 0 .114-4.61zm-1.015-20.281c6.698 3.348 13.72 6.82 21.214 10.494a8.943 8.943 0 0 0 1.118-2.79 9.487 9.487 0 0 0 .084-3.887 10.216 10.216 0 0 0-.754-2.408 10.667 10.667 0 0 0-1.285-2.119 11.05 11.05 0 0 0-3.75-3.091q-8.496-4.262-16.994-8.547a23.857 23.857 0 0 1-2.336 11.175 25.107 25.107 0 0 1 2.652 1.12zm17.98 52.09a11.905 11.905 0 0 0-.404-1.312c-.01-.127-.102-.247-.16-.381-.058-.134-.248-.583-.388-.86l-.222-.423a9.311 9.311 0 0 0-.486-.794l-.227-.34a11.732 11.732 0 0 0-1.739-1.988l-.314-.275c-.226-.2-.463-.39-.712-.577l-.371-.27c-.248-.176-.506-.34-.775-.502l-.355-.213c-.354-.202-.718-.38-1.092-.545l-.081.007-2.54 5.84 2.54-5.84a12.727 12.727 0 0 0-2.2-.728 12.125 12.125 0 0 0-4.28-.224l-.37.032a11.095 11.095 0 0 0-4.23 1.584 10.413 10.413 0 0 0-4.653 6.915 10.945 10.945 0 0 0 .045 4.026l.04.473a12.01 12.01 0 0 0 1.933 4.234 12.727 12.727 0 0 0 1.101 1.322 12.785 12.785 0 0 0 5.48 3.488c.37.12.74.227 1.118.31l.378.072q.472.087.953.15l.4.047c.373.026.746.04 1.164.04l.207-.018 1.153-.1.311-.026a11.454 11.454 0 0 0 1.662-.387 10.864 10.864 0 0 0 2.605-1.177 10.413 10.413 0 0 0 2.292-1.974l.138-.151a10.32 10.32 0 0 0 2.242-4.838 10.887 10.887 0 0 0 .106-2.82 11.466 11.466 0 0 0-.32-1.819zm-2.24-20.21a6463.82 6463.82 0 0 0 21.53 9.317l.054-.19a9.256 9.256 0 0 0 .003-3.868 10.286 10.286 0 0 0-.81-2.392 10.887 10.887 0 0 0-1.342-2.103 11.304 11.304 0 0 0-1.764-1.74 11.489 11.489 0 0 0-2.1-1.318q-8.75-4.251-17.444-8.52a22.55 22.55 0 0 1-1.492 9.64 25.535 25.535 0 0 1 3.387 1.172zm23.14 51.866a11.674 11.674 0 0 0-.357-1.316c-.012-.138-.092-.259-.15-.393-.058-.135-.225-.585-.366-.875l-.198-.412c-.14-.279-.303-.555-.465-.82l-.216-.341a12.727 12.727 0 0 0-.779-1.094 13.074 13.074 0 0 0-.897-.98l-.303-.276a17.435 17.435 0 0 0-.691-.614l-.361-.282a17.918 17.918 0 0 0-.767-.538l-.344-.226c-.355-.213-.721-.414-1.086-.603a12.97 12.97 0 0 0-2.256-.85 12.287 12.287 0 0 0-4.03-.408l-.623.053a11.038 11.038 0 0 0-4.28 1.414 10.413 10.413 0 0 0-1.519 1.095 10.066 10.066 0 0 0-3.35 5.607 10.934 10.934 0 0 0-.08 4.06l.038.437a12.195 12.195 0 0 0 1.776 4.307 12.808 12.808 0 0 0 1.06 1.372 12.843 12.843 0 0 0 5.478 3.743c.3.114.61.215.919.293l.38.095q.462.11.945.185l.411.058q.552.068 1.11.078l.22-.018 1.152-.1.311-.026a11.5 11.5 0 0 0 1.475-.267 10.876 10.876 0 0 0 2.854-1.116 10.297 10.297 0 0 0 4.955-6.78 11.003 11.003 0 0 0-.015-4.492zm-1.562-20.292l9.279 4.45 8.685 4.164a8.573 8.573 0 0 0 .202-.888 9.256 9.256 0 0 0-.182-3.863 10.286 10.286 0 0 0-.934-2.347 10.957 10.957 0 0 0-1.452-2.035 11.454 11.454 0 0 0-1.862-1.662 11.686 11.686 0 0 0-2.154-1.278l-18.085-7.733a22.897 22.897 0 0 1-.762 8.95 25.303 25.303 0 0 1 2.884.587 25.639 25.639 0 0 1 4.344 1.624zm29.852 67.105a23.14 23.14 0 0 1-3.483 3.784 2897.814 2897.814 0 0 1 18.215 7.21 10.633 10.633 0 0 0 1.194.386 10.413 10.413 0 0 0 1.183.258 10.216 10.216 0 0 0 2.33.078l.138-.012a9.603 9.603 0 0 0 3.733-1.158 9.175 9.175 0 0 0 2.81-2.425 9.013 9.013 0 0 0 1.605-3.343 9.325 9.325 0 0 0 .106-3.888 9.892 9.892 0 0 0-.753-2.409 10.413 10.413 0 0 0-1.342-2.102 10.899 10.899 0 0 0-1.742-1.755 11.234 11.234 0 0 0-2.089-1.33q-8.705-4.266-17.48-8.527a23.429 23.429 0 0 1-.51 6.605 23.047 23.047 0 0 1-3.95 8.62zm-8.35-16.06a11.709 11.709 0 0 0-.346-1.318c-.012-.138-.093-.27-.151-.405-.058-.134-.225-.585-.353-.864l-.2-.424c-.14-.278-.291-.556-.453-.82l-.216-.353a12.357 12.357 0 0 0-.768-1.095 12.97 12.97 0 0 0-.958-1.01l-.303-.275c-.227-.213-.454-.426-.703-.613l-.36-.283a11.217 11.217 0 0 0-.755-.527l-.357-.236a12.848 12.848 0 0 0-1.11-.613 12.877 12.877 0 0 0-2.183-.822 12.24 12.24 0 0 0-4.285-.398l-.38.033a11.05 11.05 0 0 0-4.28 1.414 10.286 10.286 0 0 0-4.892 6.703 11.038 11.038 0 0 0-.123 3.97l.046.531a12.24 12.24 0 0 0 1.773 4.272 12.727 12.727 0 0 0 1.01 1.353 13.062 13.062 0 0 0 2.113 2.001 12.889 12.889 0 0 0 3.516 1.857c.25.083.503.178.764.248l.38.095q.462.111.933.187l.4.058q.552.069 1.169.085l.196-.017 1.083-.093.346-.03a11.362 11.362 0 0 0 2.45-.547 10.841 10.841 0 0 0 1.89-.848 10.482 10.482 0 0 0 5.035-6.786 11.003 11.003 0 0 0 .013-4.437zm-1.47-20.3l18.346 8.87a9.325 9.325 0 0 0-.22-2.547 10.181 10.181 0 0 0-.81-2.392 10.772 10.772 0 0 0-1.342-2.103 11.362 11.362 0 0 0-1.776-1.74 11.697 11.697 0 0 0-2.122-1.315l-17.698-8.497a23.406 23.406 0 0 1-.452 6.484c-.081.401-.21.784-.315 1.188.673.128 1.335.268 2.001.455a25.581 25.581 0 0 1 4.33 1.59zm-164.17-146.86a1.874 1.874 0 0 0-1.496-.382 12.947 12.947 0 0 0-2.53.566 32.858 32.858 0 0 0-3.317 1.26 43.51 43.51 0 0 0-3.72 1.843 44.433 44.433 0 0 0-3.157 1.909 24.297 24.297 0 0 0-2.366 1.783 8.006 8.006 0 0 0-1.382 1.478 1.076 1.076 0 0 0-.25 1.008l82.13 165.108a3.471 3.471 0 0 0 .618-.239c.415-.175.995-.457 1.73-.81l2.63-1.296 3.339-1.68 3.7-1.945 3.129-1.686c.91-.497 1.662-.922 2.215-1.248a7.717 7.717 0 0 0 .98-.63c-16.708-33.26-65.547-131.791-82.253-165.04zm-45.423 6.141a32.095 32.095 0 0 0-2.85-2.077 45.252 45.252 0 0 0-3.563-2.143 39.262 39.262 0 0 0-3.322-1.619 23.8 23.8 0 0 0-2.793-1.013 7.902 7.902 0 0 0-2.005-.362l-.254.022a.902.902 0 0 0-.748.343l-97.637 163.044a1.84 1.84 0 0 0 .547.428c.37.247.923.595 1.621 1.022l2.523 1.513 3.204 1.873 3.662 2.076 3.122 1.729c.913.49 1.68.9 2.25 1.188a7.544 7.544 0 0 0 1.065.489c19.567-33.04 77.926-130.189 97.497-163.182a1.944 1.944 0 0 0-.555-1.323 12.727 12.727 0 0 0-1.765-2.02zm12.924 21.694l22.76 78.342.65-.149 1.85-.507 2.822-.801 3.568-1.039 4.02-1.194 3.395-1.035.253-.022-37.81-76.047zm-29.306-47.41c.646-.056 1.303-.112 1.945-.075a25.754 25.754 0 0 1 6.99 1.07 42.149 42.149 0 0 1 5.01 1.81 58.73 58.73 0 0 1 4.848 2.358 57.696 57.696 0 0 1 5.024 3.051 50.445 50.445 0 0 1 4.529 3.373 47.427 47.427 0 0 1 2.342 2.12l1.162.005c.397-.383.805-.766 1.237-1.14a42.635 42.635 0 0 1 4.187-3.171 45.785 45.785 0 0 1 4.562-2.716c1.623-.836 3.467-1.808 5.201-2.573a51.173 51.173 0 0 1 5.218-1.982 30.672 30.672 0 0 1 6.318-1.334l.15-.013a19.97 19.97 0 0 1 15.347 4.926c.39.35.77.723 1.125 1.065.383.408.772.874 1.111 1.309.34.435.737 1.005 1.06 1.523.324.518.63 1.107.892 1.584l1.397 2.736 9.713.058 9.295.058 25.086.163-24.964-10.079-8.579-3.465-8.59-3.464-9.287.034-9.288.022-128.871.345 48.305 9.125 3.541.67a19.252 19.252 0 0 1 13.973-7.393zM89.843 55.946a11.743 11.743 0 0 0-6.862-1.476 12.97 12.97 0 0 0-2.695.534 14.404 14.404 0 0 0-8.257 6.738 14.404 14.404 0 0 0-1.573 10.587 11.824 11.824 0 0 0 15.252 8.685 14.775 14.775 0 0 0 9.835-17.279 12.01 12.01 0 0 0-5.7-7.789zm93.296 46.37a93.716 93.716 0 0 1-7.737 34.89 98.344 98.344 0 0 1-19.489 29.235 91.91 91.91 0 0 1-27.801 19.813 80.075 80.075 0 0 1-26.436 7.085q-2.974.256-5.98.27a69.014 69.014 0 0 1-30.362-6.674 67.244 67.244 0 0 1-22.85-17.89 73.388 73.388 0 0 1-13.636-25.79 84.298 84.298 0 0 1-3.084-31.09 94.676 94.676 0 0 1 8.013-31.138 98.483 98.483 0 0 1 17.204-26.1 93.276 93.276 0 0 1 24.28-19.034 81.857 81.857 0 0 1 29.568-9.421l2.178-.188a70.657 70.657 0 0 1 27.845 3.072 66.897 66.897 0 0 1 25.112 14.756 70.993 70.993 0 0 1 17.252 25.038 81.764 81.764 0 0 1 5.876 33.17zm-72.23-46.512l-9.773-8.704-.277-.243-.125-.105a6.942 6.942 0 0 0-.672-.523 25.326 25.326 0 0 0-23.88-4.493 28.23 28.23 0 0 0-16.287 13.143 28.23 28.23 0 0 0-2.98 20.672 25.627 25.627 0 0 0 16.103 18.296l14.247 5.509a6.838 6.838 0 0 0 .693.23 23.406 23.406 0 0 0 9.648 1.19 25.13 25.13 0 0 0 19.556-12.809c6.351-11.068 3.557-25.041-6.254-32.163z"}}]})(props);
};
function GiMadScientist (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M311.406 34.53c38.542 34.197 66.87 98.28 74.875 174.72-11.743-12.09-28.16-19.625-46.342-19.625-31.736 0-58.082 22.898-63.532 53.063-8.41-4.385-17.872-6.64-27.344-6.72-8.31-.07-16.654 1.55-24.312 4.876-6.17-29.252-32.13-51.22-63.22-51.22-22.542 0-42.38 11.558-53.936 29.064C113.944 141.055 141.15 75.113 179 38.563c-19.415 11.684-37.058 28.147-52.156 48.5-31.764 42.817-51.75 102.623-51.75 168.875 0 66.25 19.986 126.057 51.75 168.875 18.93 25.516 41.84 44.93 67.25 56.468-45.36-32.216-78.958-104.326-86.375-191.28 11.57 17.39 31.35 28.844 53.81 28.844 33.153 0 60.45-24.968 64.157-57.125 15.126-10.57 37.57-8.8 50.657 3.81 5.34 30.3 31.764 53.314 63.594 53.314 18.094 0 34.454-7.425 46.187-19.406-9.26 85.518-43.967 155.398-89.906 184.875 28.267-10.987 53.744-31.607 74.436-59.5 31.764-42.818 51.78-102.624 51.78-168.875.002-66.252-20.016-126.058-51.78-168.875-16.92-22.81-37.022-40.748-59.25-52.532zM139.186 361.69c54.808 94.924 164.16 94.283 218.595 0-61.404 35.452-146.178 34.58-218.592 0z"}}]})(props);
};
function GiMaggot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.125 21.313c-21.555.258-42.353 12.478-51.75 40.062-31.275-32.385-97.713 10.676-87.97 53.094-53.072-25.932-95.368 64.237-60.06 98.155-45.317 10.395-40.488 81.212-3.814 94.22-32.227 43.025-7.694 78.033 31.47 77.53 4.022 19.097 11.888 31.042 21.125 37.594l.094.06c8.953 4.856 24.56 2.825 37.093-4.842 6.776-4.146 12.083-9.32 15.187-15.188 3.102-5.867 3.896-12.004 1.75-18.688l.28-.093c-3.663-9.363-12.124-19-27.25-27.626 6.36-16.708 3.205-38.016-10.25-55.813 22.183-16.804 22.08-38.52 10.72-60.592 21.896-10.4 31.902-24.247 32.594-50.625 3.057-3.222 6.862-4.167 9.78 2.937 21.42 52.122 39.85 45.656 33.907-7.375-1.574-14.063 31.85-10.588 30.064 5.188-6.937 61.29 11.886 76.603 30.25 6 5.39-20.734 32.76-3.333 27.78 7.968-25.11 57.02-12.883 64.416 25.345 18 15.174-18.424 30.523 5.896 21.5 16.47-37.808 44.3-35.244 56.726 12.905 29.03.78-.447 1.596-.86 2.438-1.25 1.196-5.386 2.855-10.744 4.906-15.967 7.79-19.84 21.046-38.1 37.374-50.782 16.327-12.682 35.897-20.147 55.5-15.78 5.836 1.3 11.25 3.598 16.22 6.656 2.937-36.742-21.102-65.87-58.158-56.5 11.587-32.65-7.79-61.53-34.312-73.75-20.627-9.505-45.55-9.277-62.188 7.282-9.412-28.555-36.517-45.688-62.53-45.376zm190.264 179c-10.646-.037-22.24 4.617-33.1 13.052-13.366 10.382-25.04 26.086-31.538 42.635-6.5 16.55-8.142 33.837-2.336 47.305 5.806 13.467 18.623 24.63 44.385 30.37 24.453 5.446 40.05.467 50.81-9.345 10.764-9.81 16.735-25.48 18.105-43.22 1.37-17.738-2.04-37.027-9.344-51.975-7.3-14.95-17.58-25.315-29.784-28.033-2.334-.52-4.74-.78-7.197-.788zm-84.984 107.343c-21.303 28.16-18.983 73.03 11.406 110.875-19.538-46.616-9.817-72.812 8.907-83.717-8.846-6.922-15.272-15.27-19.25-24.5-.382-.882-.727-1.766-1.064-2.657zm117.97 36.47c-7.383 4.792-16.037 8.025-25.845 9.437 10.56 18.267 6.302 45.215-31.592 76.093 48.096-16.604 64.47-51.016 57.437-85.53zm-307.532 70.968c-4.994 7.542-11.88 13.7-19.625 18.437-2.052 1.256-4.16 2.413-6.345 3.47 39.006 31.386 91.033 41.48 120.25-15.438-34.71 27.772-69.927 15.69-94.28-6.468z"}}]})(props);
};
function GiMagicAxe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M86.33 22.67C74.66 60.11 54.85 77.51 17.9 81.44c34.9 5.95 54.06 16.65 64.93 57.46 5.1-17.7-2.54-44.83 40.27-51.12C91.33 72.61 87.63 58.2 86.33 22.67zM399.8 37.35c-2.3 9.45-5 18.36-8.1 26.76 53 62.49 59 152.29 39.7 227.19-10.3 39.9-27.8 75.8-50.2 101.7-13.4 15.6-28.9 27.8-45.6 34.5 1.6 8.3 3.1 16.5 4.4 24.7 115.6-67.1 174.5-271 59.8-414.85zm-232.6 8.56l-4.1 62.59c33.9 10.4 70.3 26.4 95.4 45.2l23.1-71.26c-36.5-24.85-72.9-48.39-114.4-36.53zm216.6 37.03C358.6 135 316.2 164 265.4 177.7l-4.8 1.3-3.6-3.4c-23.6-21.8-75.9-44.1-117-54.8-9.6 33.1-19.2 77.6-17 108.8 77.7-2.1 129.8 29.1 162.7 74 22.9 31.1 36.9 68.5 45.9 106 12.6-5.6 24.7-15.2 36-28.3 20-23.2 36.7-56.9 46.4-94.5 17.4-67.7 12.4-147.4-30.2-203.86zM143.7 247.7L87.69 494.3h25.51l38.2-42.3-3.4-15-27.9 13.7-8-16.2 60.5-29.8 8 16.2-16 7.9c2.6 9.8 4.6 20.4 6.9 30-11.5 12.3-24.5 24.9-34.1 35.5h45.4l44.6-221.7c-22.2-14.1-49.5-23.1-83.7-24.9zm17.8 19.4l48.9 32.8-10 15-17.5-11.7-10.3 15.8 20.5 55.5-16.8 6.2-15.9-43-14.8 22.8-15-9.8 37.4-57.5-16.5-11.1zm-120.2.5c4.26 36.2 12.96 45.7-21.03 56.1 39.29 1.5 41.04 6.6 54.5 41.4-3.46-35.3-7.53-41.5 29.03-62.7-18.43-.2-36.47 11.8-62.5-34.8zm378.3 123.1c14.1 36.7 9.3 62.6-17.4 88.6 31.1-17 52.8-20.4 86.6 4.9-7-17-29.8-33.6 0-65-34.4 7.8-46.3-1.3-69.2-28.5z"}}]})(props);
};
function GiMagicGate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M43.72 13.844L18.155 64.97c27.97 13.658 58.89 24.446 91.53 32.436l-89.53 393.438H123.5l41.25-373.438 1.03-9.437 9.44 1.186c52.986 6.706 108.616 6.364 161.56-.594l9.44-1.218 1.06 9.47 41.25 374.03h103.314L402.156 96.75C433.81 88.828 463.8 78.25 491 64.97l-25.53-51.126c-112.422 54.9-309.332 54.9-421.75 0zm286 114.344c-14.14 1.644-28.428 2.836-42.783 3.562-21.804 10.4-32.54 26.267-35.312 54.406 27.25-30.575 55.034-36.127 81.188-29.906l-3.094-28.063zm-147.44.53l-10.03 90.97c8.553-37.432 27.04-73.21 54.875-87.625-15.038-.6-30.02-1.7-44.844-3.344zm64.97 13.313c-34.87 17.008-72.704 109.172-38.156 162.907-23.665 3.18-37.152-6.345-43.406-26l-4.313 39.125c9.257 32.188 30.822 44 56.844 44-12.7 21.47-47.05 23.77-62.94 11.188l-1.655 15.188c10.71 28.704 37.626 43.795 74.344 42.093-18.365 23.685-30.833 24.123-63.064 14 39.07 48.74 103.567 18.582 119.125-31.53 13.896 22.31-2.982 63.977-44.374 67.75 82.914 13.18 105.38-62.936 57.125-124.406 21.172 2.414 47.277 11.1 62.314 38.312l-10.813-98.22c-25.328-31.6-75.52-19.695-66.56-46.373 4.55-13.55 34.584-16.545 42.03 11.093 12.44-41.053-37.255-49.697-52.563-29.78 16.442-29.484 50.19-27.943 69.125-7.157l-5.03-45.5c-33.345-13.155-72.762 8.446-89.188 52.655-12.81-21.176-21.274-66.546 1.156-89.344zm92.03 255.22c9.187 42.963-7.44 81.635-44.81 93l75.217.25L363 429.875c-7.54-14.486-14.178-24.364-23.72-32.625zm-192.467 52.78l-4.5 40.845h67.843c-27.745-8.302-48.728-18.543-63.344-40.844z"}}]})(props);
};
function GiMagicHat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M167.549 17.846c-3.562-.026-7.259.705-10.854 2.134-4.878 1.94-9.373 5.046-12.656 9.532 6.996 2.376 13.264 6.947 18.467 12.582 8.439 9.138 15.107 21.278 20.994 34.76 11.774 26.963 20.186 59.569 26.89 82.855l-17.294 10.98c-6.823-23.696-15.204-61.701-26.09-86.632-5.443-12.466-11.573-23.093-17.723-29.752-3.773-4.086-7.169-6.584-10.59-7.766-.062 2.855.173 5.946.768 9.297l34.45 132.986 11.11-7.549c-15.51 20.854-22.763 48.394-17.09 76.33 4.77 1.78 12.532 3.724 22.05 5.254a24.617 24.617 0 0 1-.979-6.857c0-13.7 11.298-24.998 24.998-24.998 13.7 0 24.998 11.298 24.998 24.998 0 3.823-.881 7.457-2.447 10.713 5.974.184 12.04.289 18.129.289 6.945 0 13.898-.13 20.732-.37a24.65 24.65 0 0 1-2.41-10.632c0-13.7 11.298-24.998 24.998-24.998 13.7 0 24.998 11.298 24.998 24.998 0 2.276-.318 4.483-.9 6.586 9.232-1.493 16.887-3.333 21.996-5.149 5.657-28.281-2.24-56.193-18.543-77.134l12.539 8.52 34.45-132.987c.594-3.35.829-6.442.767-9.297-3.421 1.182-6.817 3.68-10.59 7.766-6.15 6.66-12.28 17.286-17.723 29.752-10.886 24.931-19.267 62.936-26.09 86.632l-17.295-10.98c6.705-23.286 15.117-55.892 26.891-82.855 5.887-13.482 12.555-25.622 20.994-34.76 5.203-5.635 11.471-10.206 18.467-12.582-3.283-4.486-7.778-7.591-12.656-9.532-11.504-4.575-24.05-1.999-29.881 9.663l-.291.582-.371.533c-6.573 9.448-13.422 29.492-19.54 51.847-6.116 22.356-11.916 47.202-18.656 68.15L278 148l.121.082a85.277 85.277 0 0 0-22.758-3.084c-6.244 0-12.31.69-18.156 1.97l-11.773 3.788c-6.74-20.949-12.54-45.795-18.657-68.15-6.117-22.356-12.966-42.4-19.539-51.848l-.37-.533-.292-.582c-4.008-8.018-11.191-11.74-19.027-11.797zm-11.494 173.812c-25.225 3.524-47.994 8.295-67.174 14.049-21.113 6.334-37.932 13.888-48.815 21.607-10.882 7.72-15.068 14.798-15.068 20.686s4.186 12.967 15.068 20.686c10.883 7.718 27.702 15.273 48.815 21.607C131.106 302.96 190.455 311.002 256 311.002s124.894-8.042 167.12-20.709c21.112-6.334 37.93-13.888 48.814-21.607 10.882-7.72 15.068-14.798 15.068-20.686s-4.186-12.967-15.068-20.686c-10.883-7.718-27.702-15.273-48.815-21.607-19.18-5.754-41.95-10.525-67.174-14.049l-.898 3.469a114.336 114.336 0 0 1 4.762 13.492c40.753 7.985 64.6 20.218 64.677 33.178-.066 16.233-37.3 31.018-95.76 38.025-4.76.796-9.805 1.495-15.185 2.117-17.736 2.054-38.345 3.06-58.861 3.06-20.517 0-40.905-1.006-58.225-3.063-6.741-.801-12.947-1.686-18.596-2.784-55.497-7.277-90.295-21.665-90.345-37.355.017-12.953 23.78-25.186 64.457-33.184a114.771 114.771 0 0 1 4.857-13.967zm-23.526 127.23l-2.172 30.42c80.14 19.168 162.952 22.654 251.286.005l-2.172-30.424c-36.348 6.451-78.462 10.11-123.471 10.11-45.01 0-87.123-3.659-123.47-10.11zm-3.47 48.6l-7.95 111.293c.94.75 3.18 2.056 6.47 3.309 6.764 2.577 17.598 5.06 30.74 7.008 26.282 3.893 62.014 5.904 97.681 5.904 35.667 0 71.399-2.01 97.682-5.904 13.141-1.947 23.975-4.431 30.74-7.008 3.29-1.253 5.528-2.559 6.469-3.309l-7.946-111.248c-89.153 22.279-173.317 18.837-253.886-.045z"}}]})(props);
};
function GiMagicLamp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M203.72 87.938c-2.082.017-4.18.31-6.282.874-13.45 3.608-21.412 17.53-17.782 31.094 1.384 5.172 4.235 9.52 8 12.75-31.85 15.446-53.498 45.172-59.28 78.72l-22.532 7.593c-11.235-2.877-21.416-4.2-30.53-4.095-14.696.167-26.65 4.02-35.908 10.97-18.518 13.896-23.316 38.02-19.53 60.655 3.784 22.636 15.81 45.127 34.343 59.344 18.532 14.216 44.715 18.96 71.03 4.875 4.43-2.373 8.776-4.81 12.813-6.97 2.993 10.772 14.018 17.16 24.75 14.28 10.253-2.75 16.547-12.963 14.656-23.31 16.984 10.05 34.495 15.674 52.186 17.405-14.094 20.893-32.316 39.57-53.97 54.78 27.754 27.726 224.764-24.853 229.626-61.592-26.89-2.484-52.525-9.935-75.562-21.563 67.995-43.983 128.655-133.27 160.656-234.563l-42.47 14.344c-44.11 67.313-122.214 103.81-167.155 28-16.198-7.454-34.36-10.948-53-9.593 1.656-4.69 1.95-9.913.564-15.093-3.063-11.443-13.392-18.998-24.625-18.906zM76.062 233.53c5.11-.027 10.865.51 17.312 1.75 18.656 36.728 39.31 63.938 61.188 82.845-.767.113-1.546.263-2.313.47-.146.038-.293.08-.438.124-2.846.324-5.588 1.044-8.218 1.936-9.64 3.27-18.73 9.084-27.156 13.594-20.655 11.056-36.95 7.41-50.844-3.25-13.895-10.66-24.256-29.5-27.28-47.594-3.027-18.094.948-34.097 12.31-42.625 5.683-4.263 13.943-7.186 25.438-7.25z"}}]})(props);
};
function GiMagicPalm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M245.813 23.188c-1.228-.006-2.455.027-3.657.093-10.103.56-19.646 3.682-30.156 11.25l20.72 196.782c-8.394 2.127-16.676 4.47-24.814 7.094L137.72 57.812c-7.032-1.706-17.442-.3-27.126 4.626-10.248 5.213-19.034 13.84-22.813 22.937L155.03 261.5c-7.414 4.345-14.59 9.137-21.5 14.47l-74.343-94.25c-16.34.698-34.965 14.455-37.562 32.655C28.89 222.693 93.978 297.77 126 357.405c10.3 19.184 29.543 50.725 39.188 70.064 5.83 11.693 16.004 24.238 27.843 32.342 11.84 8.104 24.7 11.82 37.907 8.282l112.907-30.22c5.493-1.47 9.196-5.39 13.22-11.937 4.02-6.545 7.535-15.137 12.905-23 20.61-30.185 50.432-76.085 115.186-112.062-2.696-15.053-7.405-24.57-12.72-29.563-6.03-5.667-13.198-7.372-23.686-5.843-18.062 2.63-43.498 17.063-69.594 36.874-1.68 1.39-3.318 2.802-4.937 4.22l-7-61.252 42.5-155.718c-4.478-7.355-13.806-13.258-24.845-15.97-10.874-2.67-22.506-1.698-30.28 1.595l-38.75 149.874c-9.365 1.58-18.732 3.17-28.064 4.812L273.69 27.5c-10.057-2.52-19.284-4.272-27.875-4.313zM234.343 255l30.157 56.625 54.406-33.906-33.78 54.186L341.562 362l-64.157-2.188 2.188 64.032-30.03-56.344-54.283 33.813 33.97-54.438-56.53-30.125 63.78 2.156L234.344 255z"}}]})(props);
};
function GiMagicPortal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M88.418 17.17l-66.12 475.242h18.866l66.12-475.242H88.42zm315.7 0l66.023 475.242h18.87L422.988 17.17h-18.87zm-56.26.24l-132.422.37c-59.343 41.506-78.325 97.982-61.596 168.03-22.324-31.34-32.747-63.248-33.59-98.234l-26.684 191.78c1.05-3.64 2.25-7.31 3.653-11.012l-3.843 12.385-4.934 35.454c.41 37.954 18.614 69.416 40.91 87.406-18.52-6.774-35.355-15.287-49.25-27.445l-9.207 66.152c43.032 20.635 88.614 24.346 120.56 17.78-33.542 18.813-71.344 29.428-125.382 16.886l-2.13 15.3h217.568c73.664-14.515 117.318-55.617 129.045-89.216 3.54 30.568-2.754 60.093-37.473 89.215h73.242l-41.553-299.11c-15.226-35.307-51.106-59.122-74.695-59.718 10.876-3.615 21.615-5.918 32.305-5.78 11.61.15 23.16 3.2 34.76 10.56l-4.207-30.278c-21.365-18.958-46.472-31.023-68.92-35.954 6.54-.477 13.043-.73 19.513-.685 15.23.104 30.273 1.868 45.18 6.21l-4.224-30.398C331.8 45.105 287.813 60.384 263.44 79.407c13.68-23.55 44.533-47.68 84.417-61.998zm-81.323 33.065c-68.785 37.085-71.87 82.26-36.1 122.146-7.626-69.52 80.94-110.016 118.96-59.032-40.867-20.17-77.79 7.84-76.21 47.723 23.234-23.997 98.678-13.267 79.795 36.19-11.3-33.297-56.74-30.094-63.648-13.77-14.75 34.866 64.34 14.582 98.117 66.284-18.85-10.875-47.74.482-39.22 14.59 32.28 53.45 84.53 113.185 13.3 147.025 23.57-38.677 10.786-65.734-21.85-81.43 25.644 66.744-5.1 163.717-103.81 133.19 62.83-11.442 78.355-62.576 57.263-83.425-23.617 60.37-122.14 97.174-181.444 38.453 58.693 22.535 99.285 7.31 120.644-26.39-35.89 21.435-95.375 6.933-113.994-42.977 28.694 29.187 67.102 37.963 91.195 20.356 13.217-9.658 8.303-25.06-8.55-29.402-24.53-6.32-61.988-12.852-76.563-36.588 21.722 6.003 43.444 10.698 65.166-3.375-33.985-22.07-81.546-50.75-50.348-100.278 1.008 35.15 17.23 56.557 53.197 48.254 9.285-2.142 16.8-15.472 8.55-23.373-61.138-58.54-47.58-160.406 65.548-174.168z"}}]})(props);
};
function GiMagicPotion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M409.248 29.684c3.828 12.413 9.872 22.882 19.256 31.27 10.446 9.34 25.473 16.427 47.517 19.835-8.642-26.622-29.204-43.506-66.772-51.106zm-14.38 13.21c-2.17 7.77-3.924 16.89-6.038 24.815 2.105 13.02 10.736 23.494 20.97 30.718 5.298 3.74 10.93 6.518 15.74 8.176 4.367 1.506 7.928 1.833 9.284 1.798 10.123-4.084 19.774-8.003 27.32-11.963-19.234-4.405-34.26-11.893-45.638-22.067-9.954-8.9-16.9-19.664-21.637-31.48zM359.087 66.98c1.425 19.454 7.056 35.45 18.18 47.17 12.518 13.19 32.85 22.053 65.656 23.135-.76-2.868-1.82-5.89-3.23-9.06-.303-.682-.633-1.37-.965-2.057l-.79.11c-5.922.82-11.746-.41-18.265-2.66-6.52-2.247-13.513-5.733-20.25-10.487-13.235-9.34-25.767-23.95-28.567-43.506-4.077-1.236-8.03-2.127-11.77-2.645zm-17.99.57c-5.79 1.495-10.09 4.375-12.754 8.302-4.722 6.955-4.81 17.894 1.217 31.45 6.024 13.554 18.04 28.607 34.45 40.827 16.41 12.22 33.933 19.162 48.136 20.67 14.204 1.51 24.04-2.167 28.762-9.122.896-1.32 1.622-2.784 2.174-4.38-36.37-1.108-62.263-11.254-78.873-28.755-14.836-15.63-21.543-36.268-23.114-58.99zm-112.367 40.42c-2.578.033-5.56.327-8.615.944-6.11 1.234-12.59 3.6-17.375 6.252-4.785 2.65-7.348 6.072-7.267 5.844l-.008.023-.01.026c-14.557 40.605-22.74 81.154-26.424 119.723.542-.242 1.075-.49 1.618-.73 15.643-6.942 32.042-13.412 48.895-18.987 4.993-36.947 12.116-72.98 17.67-110.75-.047-.224-.078-.57-.164-.668-.142-.156-.71-.64-2.142-1.06-1.433-.42-3.603-.648-6.18-.615zm27.684 11.63c-.792-.003-1.59.005-2.387.01-5.035 33.06-11.004 64.28-15.562 95.648 28.016-7.912 56.962-12.99 85.558-13.307 13.124-.146 26.172.726 39.024 2.766-.228-11.615-.755-23.75-1.584-36.415-2.54-1.658-5.067-3.41-7.568-5.274-14.78-11.005-26.613-23.993-34.71-37.487-18.547-2.153-37.928-5.467-59.02-5.897-1.244-.025-2.494-.04-3.75-.044zm-86.105 20.386c-16.768 8.332-34.632 19.79-53.812 35.375-48.44 39.358-67.29 89.586-68.45 136.283 7.318-5.54 16.118-11.827 26.325-18.603 20.598-13.675 46.584-29.165 75.834-43.457 2.675-35.187 8.91-72.17 20.102-109.598zm209.79 38.518c.546 10.29.91 20.28 1.056 29.924 4.237 1.074 8.445 2.28 12.62 3.648-1.557-10.684-2.98-20.677-3.868-29.697-3.254-1.11-6.53-2.41-9.808-3.874zm-50.864 41.637c-1.795-.017-3.594-.01-5.396.013-49.042.673-100.334 16.134-145.89 36.35-36.446 16.173-69.07 35.233-93.622 51.533-12.276 8.15-22.54 15.613-30.22 21.636-7.452 5.845-12.548 10.57-14.018 12.217-4.238 6.17-7.326 26.743-4.412 41.902 1.473 7.667 4.37 13.902 6.703 16.36 2.055 2.162 2.33 2.648 5.266 1.3 149.357-153.41 299.423-134.323 367.02-134.576.004-.17-.09-.05.006-.48.437-1.952.406-6.08-.447-10.51-.854-4.432-2.404-9.233-4.125-13.097-1.432-3.213-3.003-5.448-3.733-6.385-24.053-11.125-50.198-16.023-77.13-16.265zm29.772 64.052c-36.22.19-79.797 3.29-127.686 18.88.005 37.683 4.587 77.873 17.182 123.456 11.903-2.708 22.84-6.48 32.822-11.395-1.527-2.203-2.997-4.336-4.283-6.235-1.376-2.03-2.566-3.82-3.508-5.295-.942-1.475-1.398-1.8-2.38-4.257l16.712-6.686c-.315-.79-.302-.782-.11-.424.19.358.557 1.068.95 1.684.787 1.232 1.913 2.928 3.236 4.88 1.456 2.15 3.17 4.632 4.97 7.223 7.838-5.41 14.96-11.716 21.376-18.962 11.918-13.463 21.59-30.53 28.872-51.583l-11.77-2.277 3.42-17.672 13.555 2.624c2.72-10.468 4.934-21.78 6.64-33.96zm18.297.11c-1.76 13.298-4.115 25.725-7.073 37.308l12.125 2.346-3.42 17.67-13.806-2.67c-8.043 24.044-19.125 43.952-33.364 60.034-7.39 8.346-15.574 15.56-24.516 21.72 4.183 5.897 7.668 10.782 7.668 10.782l-14.63 10.488s-3.926-5.503-8.542-12.017c-11.684 5.995-24.44 10.53-38.203 13.738 2.102 6.75 4.38 13.617 6.84 20.61 35.275-9.565 69.29-27.967 97.933-53.252 36.618-32.324 44.638-79.417 43.202-126.274-7.524-.14-15.59-.348-24.213-.485zM213.52 309.398c-14.842 5.707-30.04 12.67-45.514 21.163.44 6.155.974 12.196 1.596 18.106 6.714 63.8 24.172 113.214 35.207 130.86.405.22.858.477 1.547.734 1.758.655 4.275 1.378 7.143 1.99 5.735 1.224 12.928 2.02 19.21 1.85 6.284-.17 11.603-1.674 13.202-2.766.8-.546.69-.58.715-.672.026-.09.234-.792-.525-2.85l-.004-.013-.006-.015c-23.465-64.19-31.912-118.596-32.572-168.387zm-62.77 31.225c-26.05 16.06-52.765 36.623-79.75 62.912 6.44 10.74 13.832 19.65 21.664 26.063l.154.125.15.132c25.377 22.736 55.29 35.62 86.716 40.108-2.678-6.23-5.332-13.262-7.9-21.026-8.723-.56-17.685-1.407-26.88-2.53l2.18-17.868c6.55.8 12.936 1.447 19.17 1.956-6.127-22.523-11.352-49.515-14.555-79.947-.345-3.27-.658-6.584-.95-9.927z"}}]})(props);
};
function GiMagicShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M57.78 23.135c-1.517 29.085-2.193 55.608-2.266 80.316 6.56-2.716 13.703-4.333 21.228-4.333 31.245 0 56.883 25.64 56.883 56.887 0 31.246-25.777 56.3-56.883 56.3-6.068 0-11.95-1.003-17.488-2.77C71.906 332.82 108.064 376.35 147.668 401.9c20.677 13.34 42.986 21.7 64.268 33.245 17.444 9.463 34.177 21.525 47.42 40.127 13.23-18.597 29.925-30.658 47.324-40.122 21.226-11.545 43.46-19.904 64.064-33.242 39.46-25.543 75.488-69.07 88.135-192.324-5.32 1.708-10.974 2.723-16.907 2.723-31.107 0-56.88-25.058-56.88-56.3 0-31.244 25.634-56.888 56.88-56.888 7.63 0 14.745 1.697 21.23 4.508-.07-24.757-.745-51.334-2.265-80.49-59.488 13-130.78 19.266-201.5 19.888h-.163c-70.718-.62-142.008-6.888-201.496-19.888zm304.124 39.32l-27.117 93.18-17.945-5.22 11.504-39.532-85.116 63.646-11.19-14.97 129.864-97.105zm-205.394 1.01l81.732 59.512-11 15.107-34.338-25.004 34.79 103.514-17.714 5.955-53.47-159.085zm140.486 99.652l129.383 97.95-98.25-.48.09-18.69 42.15.208-84.653-64.087 11.28-14.9zm-122.357 37.71l10.83 15.228-36.206 25.754 104.898-.17.03 18.69-163.577.262 84.024-59.766zm117.79 21l17.806 5.675-49.39 155.008-31.248-96.46 17.777-5.76 13.324 41.124 31.73-99.586z"}}]})(props);
};
function GiMagicSwirl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247.79 18.734C137.967 17.596 19.874 96.94 19.73 244.53l21.403-51.395c-9.485 72.28-7.75 147.236 38.79 202.502L38.2 377.355c39.24 69.774 126.333 90.976 200.855 92.51C124.11 429.9 67.87 342.277 63.912 246.492c-6.722-211.78 260.658-217.694 340.78-75.77-3.417-19.492-8.623-38.426-15.618-56.11 77.406 89.155 59.293 214.875-21.29 253.036-24.25 3.95-48.93 12.06-60.954 19-58.548 33.802-6.27 126.536 53.225 92.188 9.44-5.45 23.404-17.303 36.494-31.352 64.36-59.52 98.1-118.24 93.108-188.94-6.52 29.1-19.175 57.904-35.623 84.683 63.158-146.822 7.956-263.89-144.838-301.354 12.097 5.835 23.503 13.63 33.873 23.36-57.415-23.752-131.123-22.62-186.884 3.505 28.066-26.2 64.776-43.73 102.2-49.642-3.52-.205-7.054-.325-10.597-.362zm-19.74 160.202l-19.843 100.566c-2.958 3.81-5.64 6.852-9.033 9.94l-25.688-49.096-22.705 11.93 31.37 60.945c4.48 11.474 10.02 20.68 15.162 28.524 28.063 42.803 64.547 35.252 95.303 9.555l87.28-48.452-12.71-22.498-66.136 36.94c-1.517-3.154-3.266-6.552-5.056-9.51l67.818-64.96-17.54-18.695-66.47 63.762c-2.356-2.318-4.238-4.527-6.765-6.54l45.084-78.085-22.733-13.127-45.864 78.297c-3.79-1.31-7.72-2.2-11.595-2.745l15.656-81.896-25.533-4.854z"}}]})(props);
};
function GiMagicTrident (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M242.104 17.87l-102.96 205.92c15.477 17.84 29.092 50.475 36.428 112.638 62.163 7.336 94.8 20.95 112.64 36.427l205.92-102.96-159.827 31.966-77.022 25.675-12.137-60.68-60.68-12.138 25.673-77.022zm251.03.995l-244.52 189.63-18.5 36.997 30.33 6.065 6.064 30.326 36.998-18.498zM191.275 275.47l45.257 45.255-12.727 12.726-45.254-45.253zm-38.727 28.827L68.44 388.402l-17.87 60.3 107.535-107.536c-1.566-13.837-3.443-26.08-5.558-36.87zm18.287 49.598L63.297 461.43l60.3-17.87 84.106-84.107c-10.788-2.115-23.032-3.992-36.87-5.558zM41.76 415.085l-23.89 23.89v55.156h55.155l23.89-23.89-78.386 23.23z"}}]})(props);
};
function GiMagickTrick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M313.203 25.94l-.133 24.67-18.12 16.743 24.67.132 16.743 18.12.133-24.67 18.12-16.743-24.67-.132-16.743-18.12zm91.58 50.12L385.47 91.41l-24.4-3.638 15.35 19.313-3.637 24.4 19.313-15.35 24.4 3.637-15.35-19.312 3.637-24.4zM39.87 80.206l-7.116 16.268 7.637 3.34 256 112 8.247 3.607-.1.227.61.266 7.214-16.492-8.243-3.607-44.113-19.298a102.607 43.83 0 0 1 52.088-6.13A102.607 43.83 0 0 1 414.7 214.22a102.607 43.83 0 0 1-102.608 43.83 102.607 43.83 0 0 1-102.608-43.83 102.607 43.83 0 0 1 8.262-17.162l-32.814-14.358c-12.552 5.49-22.514 11.71-29.192 17.96-7.646 7.16-10.802 13.782-10.802 20.134s3.156 12.975 10.802 20.133c7.646 7.158 19.596 14.274 34.81 20.3 30.43 12.047 73.71 19.835 121.542 19.835 47.832 0 91.11-7.788 121.54-19.836 15.215-6.025 27.165-13.14 34.81-20.3 7.647-7.157 10.804-13.78 10.804-20.132 0-6.352-3.157-12.975-10.803-20.133-7.646-7.16-19.596-14.275-34.81-20.3-30.43-12.048-73.71-19.836-121.54-19.836-26.422 0-51.44 2.386-73.683 6.543L48.117 83.813l-8.246-3.607zm204.903 4.31l.077 16.708-12.16 11.46 16.708-.076 11.46 12.16-.075-16.708L272.94 96.6l-16.706.075-11.46-12.16zM215.94 286.592c-.147 15.018-.44 29.74-1.038 44.308 67.544 29.705 126.598 29.746 194.383.113-.6-14.603-.894-29.364-1.043-44.42-27.33 7.925-60.396 12.467-96.15 12.467-35.756 0-68.82-4.54-96.15-12.467zm-2.004 63.467c-.555 8.977-1.254 17.925-2.13 26.877l.555.25c69.454 31.175 129.756 31.177 199.486-.006l.535-.238c-.874-8.92-1.572-17.838-2.126-26.785-66.975 27.646-129.55 27.616-196.318-.097zm200.552 45.595c-70.003 30.062-135.025 30.067-204.793.002-2.287 17.913-5.385 35.95-9.603 54.403 0 48 224 48 224 0-4.218-18.455-7.316-36.49-9.604-54.405z"}}]})(props);
};
function GiMagnetBlast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M133.844 19.97c-28.18.03-55.19 11.19-77.875 33.624-26.88 26.58-37.526 56.483-36.095 85.875 1.43 29.39 15.237 58.516 39 82.28 9.592 9.593 44.044 33.04 74.78 52.563 1.14.723 2.104 1.293 3.22 2l44.344-44.344c-22.65-18.013-45.176-36.208-53.72-44.75h-.03c-24.88-24.882-22.98-56.233-5.626-73.032 17.354-16.8 48.748-18.29 73.25 5.937 8.61 8.51 26.702 30.837 44.656 53.313l38.438-38.407c-.71-1.12-1.305-2.073-2.032-3.218-19.468-30.66-42.827-64.955-52.47-74.656C195.738 33.16 165.59 20.706 136.564 20c-.91-.022-1.81-.032-2.718-.03zm190.312 77.25l-34.72 20.624c.836 1.31 1.673 2.633 2.502 3.937 19.683 31 36.406 59.032 36.406 59.032l3.75 6.25-5.156 5.157-46.313 46.31-7.47 7.47-6.5-8.344s-12.84-16.436-28.5-36.187l-28.843 28.843c19.79 15.62 36.22 28.437 36.22 28.437l8.374 6.47-7.5 7.5-52.344 52.374-5.156 5.156-6.25-3.75s-24.577-14.675-53.125-32.688l-19.78 48.22 36.375-14.344 15.156 81.718 28.126-55.28 60.406 63.25-15.718-86.126 51.875 6.28 2.624 1.345 4.03 47.344 77.595 11.092-12.095 52.375L403.47 492h86.624v-81.594l-50.375-29.22 10.092-41.31-96.718-3.032 14.094-44.313-42.157-29.967 2.345-21.094 52.344 17.06-31.126-69.75 42.72-22.53-65.44-20.063-1.718-48.968zm-35.78 54.03l-36.907 36.906c11.742 14.79 19.468 24.643 23.405 29.688l33.656-33.656c-3.222-5.365-10.39-17.252-20.155-32.938zm-92.407 92.406l-42.876 42.875c15.686 9.766 27.573 16.934 32.937 20.158l39.72-39.75c-5.06-3.934-14.962-11.59-29.78-23.282z"}}]})(props);
};
function GiMagnet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M146.063 25.656c-30.86.074-60.556 12.052-85.094 36.313C3.285 119 12.986 194.422 63.905 245.343c12.042 12.04 47.124 35.39 78.75 55.437l36.938-36.967c-23.064-18.33-46.265-37.235-54.375-45.344-38.193-38.193-42.604-75.96-13.44-105.126 29.167-29.166 66.482-24.61 105.126 14.03 8.09 8.09 26.932 31.048 45.22 53.907l37.03-37.03c-20.045-31.623-43.335-66.74-55.375-78.78-30.685-26.483-64.868-39.892-97.718-39.814zM309.375 160.47L273.845 196c13.103 16.54 24.525 31.2 29.5 37.656l31.53-31.53s-10.95-18.314-25.5-41.657zm54.125 33.124c-31.963 73.943-90.175 135.65-167.313 169.22 96.67-10.858 166.86-86.763 167.313-169.22zm58.438 0C378.812 293.36 300.23 376.616 196.155 421.906c130.426-14.648 225.167-117.06 225.78-228.312zm72.53 0C437.49 325.414 333.7 435.407 196.19 495.25c172.33-19.356 297.47-154.66 298.28-301.656zM194.345 275.5l-35.438 35.438c23.348 14.552 41.656 25.5 41.656 25.5l31.532-31.532c-6.443-4.963-21.143-16.33-37.75-29.406z"}}]})(props);
};
function GiMagnifyingGlass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M333.78 20.188c-39.97 0-79.96 15.212-110.405 45.656-58.667 58.667-60.796 152.72-6.406 213.97l-15.782 15.748 13.25 13.25 15.75-15.78c61.248 54.39 155.3 52.26 213.968-6.407 60.887-60.886 60.888-159.894 0-220.78C413.713 35.4 373.753 20.187 333.78 20.187zm0 18.562c35.15 0 70.285 13.44 97.158 40.313 53.745 53.745 53.744 140.6 0 194.343-51.526 51.526-133.46 53.643-187.5 6.375l.218-.217c-2.35-2.05-4.668-4.17-6.906-6.407-2.207-2.206-4.288-4.496-6.313-6.812l-.218.22c-47.27-54.04-45.152-135.976 6.374-187.502C263.467 52.19 298.63 38.75 333.78 38.75zm0 18.813c-30.31 0-60.63 11.6-83.81 34.78-46.362 46.362-46.362 121.234 0 167.594 10.14 10.142 21.632 18.077 33.905 23.782-24.91-19.087-40.97-49.133-40.97-82.94 0-15.323 3.292-29.888 9.22-43-4.165 20.485.44 40.88 14.47 54.907 24.583 24.585 68.744 20.318 98.624-9.562 29.88-29.88 34.146-74.04 9.56-98.625-2.375-2.376-4.943-4.473-7.655-6.313 45.13 8.648 79.954 46.345 84.25 92.876 4.44-35.07-6.82-71.726-33.813-98.72-23.18-23.18-53.47-34.78-83.78-34.78zM176.907 297.688L42.094 432.5l34.562 34.563L211.47 332.25l-34.564-34.563zM40 456.813L24 472.78 37.22 486l15.968-16L40 456.812z"}}]})(props);
};
function GiMailShirt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.018 21.47c-2.272-.005-4.546.015-6.82.06-36.368.74-72.766 7.872-105.448 20.613l.145.37c-38.557 13.652-71.722 33.97-94.426 69.07-27.634 42.722-39.162 105.694-29.997 202.04l.533 5.604 5.2 2.148c32.755 13.53 63.133 8.315 90.624-2.256l7.85-3.02-2.178-8.123c-7.86-29.316-7.11-59.575-.234-82.346 5.06-16.763 13.07-28.685 22.47-34.7.83 45.51-.165 98.438-5.76 150.86l-.412.778c.102.054.21.105.313.16-4.056 37.617-10.484 74.95-20.335 109.07l-2.05 7.095 6.433 3.632c71.865 40.593 186.79 35.656 259.605 2.108l7.31-3.367-2.245-7.73c-22.162-76.22-22.934-183.8-25.002-265.046 9.762 7.228 17.977 19.765 23.14 36.418 7.185 23.17 8.103 53.197.25 82.485l-2.17 8.095 7.815 3.035c29.822 11.578 60.122 11.905 89.725 3.178l6.06-1.786.6-6.29c9.165-96.35-2.403-159.354-29.974-202.09-24.33-37.712-60.728-58.286-102.7-71.882l.14-.357c-4.814-1.922-9.98-3.69-14.513-5.152-26.585-8.516-55.18-12.623-83.95-12.674zm-.07 18.846c21.927.032 43.68 2.533 64.208 7.64-12.15 13.886-30.527 22.83-50.57 26.112l-5.38.883-10.513 28.634-11.644-28.752-5.284-.785c-20.07-2.98-38.043-11.573-49.928-25.733 22.378-5.293 45.837-8.03 69.11-7.998zm82.786 14.067c37.39 10.9 68.45 25.843 91.172 52.037l-10.732 19.818 14.898 27.512 12.543-23.164c18.33 33.59 27.677 82.064 23.764 153.37l-9.552-17.64-14.9 27.512 7.775 14.356c-16.283 2.02-32.397.686-48.693-4.473 6.492-29.867 5.23-59.657-2.424-84.337-8.38-27.028-24.725-48.86-48.373-54.988l-12.053-3.123.37 12.445c1.34 45.107 1.617 101.145 5.76 156.678-18.66 6.12-49.793 10.57-82.124 11.61l6.127-11.315-14.9-27.512-14.897 27.512 6.246 11.535c-34.712-.246-69.467-4.502-90.836-11.444 3.393-36.233 4.697-72.2 4.838-105.547l8.37 15.453 14.898-27.512-14.9-27.512-8.47 15.643c-.095-8.21-.235-16.27-.44-24.012l-.278-10.627-10.502 1.64c-23.77 3.71-39.984 25.23-48.045 51.933-7.37 24.41-8.426 54.278-1.883 84.166-20.88 7.07-41.23 9.415-63.838 1.57-7.876-90.523 3.685-147.407 27.504-184.232 23.22-35.898 58.63-54.383 103.037-67.312 14.094 20.29 36.406 32.362 60.432 37.06l25.92 63.997 14.343-39.07 9.304 17.182 14.9-27.512-8.783-16.217c21.568-5.738 41.358-17.422 54.42-35.48zm-15.21 40.306l-14.9 27.51 14.9 27.51 14.898-27.51zM119.52 110.04l-14.897 27.51 14.898 27.512 14.9-27.51zm197.917 57.34l-14.898 27.513 14.897 27.51 14.9-27.51zM77.97 168.67l-14.898 27.512 14.9 27.51 14.897-27.51zm180.407 4.262l-14.9 27.51 14.9 27.51 14.898-27.51zM432.53 190.6l-14.9 27.51 14.9 27.513 14.898-27.512zm-145.886 48.963l-14.9 27.51 14.9 27.513 14.9-27.512zm-69.156 5.554l-14.9 27.512 14.9 27.51 14.9-27.51zm114.588 25.238l-14.898 27.512 14.898 27.512 14.9-27.513zm20.83 79.383c.627 6.774 1.322 13.517 2.092 20.215-21.064 7.54-59.77 12.824-98.217 13.01-38.48.186-77.818-4.65-100.44-12.733.94-6.74 1.792-13.502 2.568-20.27 26.296 8.143 62.176 11.137 98.186 10.966 35.813-.17 70.754-3.4 95.812-11.188zm4.53 39.366c3.016 21.5 6.925 42.273 12.064 61.57-52.01 21.488-127.94 27.74-188.018 13.318l8.5-15.697-14.898-27.51-14.898 27.51 6.248 11.54c-9.19-2.9-17.885-6.342-25.91-10.36 5.285-19.45 9.54-39.696 12.94-60.28 15.244 5.214 34.004 8.556 54.315 10.453l-7.21 13.313 14.9 27.513 14.897-27.512-6.564-12.12c10.836.607 21.945.864 33.07.81 37.896-.183 74.855-3.797 100.563-12.546z"}}]})(props);
};
function GiMailbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M375.4 17.744l-78 25.998V265.73l14-3.5V94.64l64-20zM433.3 126.31L329.4 152.282v124l-38.815 9.703-11.184 2.797v-124L207.29 182.81c5.175 3.946 9.705 8.82 13.513 14.323 10.15 14.657 16.29 33.678 20.427 54.357 7.38 36.9 8.056 78.79 8.125 110.252l238.012-59.504c-.043-31.71-.572-75.13-7.79-111.217-3.863-19.32-9.72-36.3-17.573-47.64-7.664-11.072-16.21-16.8-28.702-17.07zM176.4 190.255c-13.374 0-22.212 5.21-29.91 15.047-7.7 9.838-13.472 24.664-17.304 41.906-.835 3.755-1.572 7.622-2.236 11.558l93.107-18.622v-.002c-.45-1.635-.92-3.243-1.406-4.822-.48-1.562-.975-3.094-1.487-4.595l-.016-.05c-.013-.04-.028-.076-.04-.115-.478-1.393-.973-2.756-1.48-4.093l-.15-.402c-.522-1.366-1.055-2.705-1.607-4.008-.046-.108-.095-.212-.14-.32-.502-1.172-1.018-2.313-1.544-3.43l-.39-.826c-.17-.353-.34-.705-.514-1.052-.284-.57-.572-1.134-.863-1.688-.087-.162-.17-.33-.255-.49-.392-.734-.792-1.448-1.196-2.15-.12-.208-.24-.41-.36-.614-.305-.52-.614-1.032-.926-1.533-.128-.206-.257-.412-.386-.615-.427-.67-.858-1.328-1.297-1.963-7.852-11.344-16.6-17.124-29.6-17.124zm26.298 71.72l-87.723 17.544 43.862 14.933zm23.025 5.346l-63.758 47.21L89.4 289.827v68.332l141.607-24.414c-.562-21.47-1.945-44.85-5.284-66.422zm5.56 84.637l-37.273 6.427 37.338 4.668c-.01-3.564-.03-7.294-.064-11.096zm128.118.823l-30 7.5v133.973h30zm-226.378 16.12l-61.62 10.626v-6.612c-14.426 4.543-27.058 10.895-35.476 17.44-7.943 6.18-11.202 12.364-11.28 14.482-.04 1.06-.01 1.492 1.292 2.853 1.25 1.307 4.112 3.166 8.813 4.81 79.575 13.055 124.014-7.656 175.34-33.966z"}}]})(props);
};
function GiMailedFist (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M215.75 21.063c-1.306 0-2.582.045-3.813.125-1.964.127-3.778.385-5.5.718L171.47 82.5c4.257-1.103 8.72-1.688 13.31-1.688 21.424 0 39.93 12.778 48.407 31.094l39.188-67.844c-4.546-5.766-14.702-13.066-26.97-17.53-9.74-3.546-20.516-5.473-29.655-5.47zm85.72 17.53c-1.583-.03-3.07.047-4.47.188l-44.53 77.157c4.825-1.446 9.935-2.25 15.218-2.25 20.817 0 38.924 12.05 47.718 29.532l43.156-74.782c-4.125-6.924-13.916-15.663-25.78-21.532-10.44-5.163-22.204-8.138-31.313-8.312zm-162.5 29.344c-10.902.22-21.355 4.083-32.5 12.22C96.044 87.766 85.3 99.3 74.187 114.5L122 130.78l34.656-60.03c-5.398-1.782-10.563-2.693-15.5-2.813-.73-.017-1.46-.014-2.187 0zM370.312 85.5L325.5 163.156c5.325-1.817 11.015-2.844 16.938-2.844 20.334 0 38.045 11.61 46.906 28.532l36.97-64c-3.564-8.5-12.897-19.255-24.19-27.03C391.22 90.3 378.678 85.84 370.313 85.5zm-185.532 14c-19.27 0-34.718 15.448-34.718 34.75s15.45 34.75 34.72 34.75 34.687-15.445 34.687-34.75c0-19.302-15.418-34.75-34.69-34.75zM58.53 128.938C48.27 179.428 49.268 231.032 64.595 275c.186.536.372 1.06.562 1.594l.188-.22 7.125 10.22c.872 1.25 1.81 2.52 2.78 3.78-.837-41.212 10.51-89.245 37.438-143L58.53 128.94zm209.157 3.437c-19.27 0-34.687 15.416-34.687 34.72 0 19.3 15.417 34.75 34.688 34.75 19.27 0 34.718-15.446 34.718-34.75 0-19.304-15.448-34.72-34.72-34.72zm169.282 12.688l-41.783 72.375c-.048.614-.087 1.235-.156 1.843 4.283-1.206 8.784-1.874 13.44-1.874 21.296 0 39.572 13.55 46.717 32.438l36.532-63.25c-3.43-8.86-12.62-20.092-23.783-28.313-10.62-7.82-22.842-12.6-30.968-13.218zm-303.72 3.218C99.888 212.04 89.896 266.26 95.344 308.876c.133 1.044.286 2.063.437 3.094 20.05 17.924 47.18 35.918 76.25 51.717 40.17 21.83 84.096 39.88 118.064 50.125 42.028-15.246 84.304-46.497 119.156-96.468-.26.004-.52.03-.78.03-27.474 0-49.94-22.483-49.94-49.968 0-1.24.068-2.468.158-3.687-5.125 1.664-10.587 2.592-16.25 2.592-28.306 0-51.592-22.493-52.907-50.5-6.677 3.02-14.068 4.72-21.842 4.72-25.675 0-47.22-18.35-52.25-42.595-8.685 6.134-19.27 9.75-30.657 9.75-24.53 0-45.332-16.764-51.53-39.406zM342.438 179c-19.033 0-34.282 15.25-34.282 34.313 0 19.063 15.25 34.312 34.28 34.312 19.034 0 34.252-15.246 34.252-34.313 0-19.063-15.218-34.312-34.25-34.312zm66.03 57.125c-17.362 0-31.25 13.888-31.25 31.28 0 17.394 13.888 31.283 31.25 31.283 17.364 0 31.25-13.886 31.25-31.282 0-17.393-13.886-31.28-31.25-31.28zM64.907 307.25c-7.423 9.67-14.177 19.17-20.344 28.47 3.222 9.158 10.11 19.44 20.657 29.967 13.9 13.877 33.814 28.027 57.81 41.063 41.59 22.59 95.45 41.855 152.032 52.53 3.07-8.944 5.834-18.35 8.22-28.25-35.365-10.748-79.208-28.665-120.188-50.936-39.39-21.407-75.667-46.16-98.188-72.844zM32.72 354.563c-4.446 7.515-8.483 14.866-12.126 22.093 1.467 9.07 7.963 20.19 19.593 31.72 12.248 12.14 29.84 24.596 51.094 36.062 41.084 22.16 95.78 40.72 152.22 49.187h17.375c2.59-5.32 5.097-10.844 7.47-16.563-57.277-11.12-111.46-30.63-154.25-53.875-25.16-13.666-46.376-28.622-62.064-44.28-7.912-7.9-14.49-16.006-19.31-24.344zm-14.47 57.53v34.094c1.047 2.302 3.192 5.48 6.875 8.97 5.26 4.982 13.178 10.427 22.844 15.53 18.88 9.97 44.434 18.675 70.624 22.938H161c-28.807-9.095-55.546-20.318-78.594-32.75-22.413-12.09-41.336-25.303-55.375-39.22-3.173-3.145-6.107-6.326-8.78-9.56zm0 61.782v19.75h34.344c-4.66-2.048-9.133-4.183-13.344-6.406-7.93-4.19-15.012-8.627-21-13.345z"}}]})(props);
};
function GiMale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M292.563 65.656v40h85.156l-81.658 82.656-12.937 13.125c-9.054-6.765-18.936-12.412-29.406-16.75-16.478-6.825-34.23-10.343-52.064-10.343-17.835 0-35.553 3.52-52.03 10.344-16.48 6.824-31.514 16.858-44.126 29.468-12.613 12.612-22.643 27.647-29.47 44.125-6.825 16.48-10.373 34.228-10.374 52.064 0 17.836 3.52 35.553 10.344 52.03 6.825 16.48 16.888 31.514 29.5 44.126 12.612 12.612 27.647 22.643 44.125 29.47 16.478 6.824 34.195 10.374 52.03 10.374 17.837 0 35.586-3.55 52.064-10.375 16.477-6.827 31.512-16.857 44.124-29.47 12.61-12.612 22.644-27.647 29.47-44.125 6.823-16.478 10.343-34.196 10.342-52.03 0-17.836-3.518-35.587-10.344-52.064-4.183-10.098-9.583-19.646-16.03-28.436l13.218-13.406 81.844-82.875v85.875h40V65.656H292.562zm-90.907 148.688c12.533 0 25.17 2.516 36.75 7.312 11.58 4.797 22.263 11.95 31.125 20.813 8.863 8.86 16.017 19.545 20.814 31.124 4.796 11.58 7.312 24.217 7.312 36.75 0 12.533-2.517 25.14-7.312 36.72-4.796 11.577-11.92 22.292-20.78 31.155-8.864 8.862-19.578 16.014-31.158 20.81-11.58 4.798-24.216 7.313-36.75 7.314-12.533 0-25.14-2.516-36.72-7.313-11.578-4.795-22.292-11.95-31.155-20.81-8.86-8.864-16.015-19.578-20.81-31.158-4.798-11.58-7.314-24.185-7.314-36.718 0-12.534 2.516-25.17 7.313-36.75l.093-.22c4.796-11.494 11.91-22.13 20.718-30.937 8.808-8.805 19.444-15.892 30.94-20.687l.218-.094c11.58-4.795 24.185-7.313 36.718-7.312z"}}]})(props);
};
function GiMammoth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M337.2 56.85c2.6 4.01 5 10.08 9.6 14.39-6 14.4-22.9 25.94-42.7 25.66l16.1 15.6 25.9-14.9 20.3 17 19.4-9.5 19.6 7.5L419.6 98c-20.7-7-20.6-23.84-28.8-36.5-1.6-2.43-5.2-3.51-9.8-3.59-7.6-.14-18 2.48-26.1 6.27-7-2.17-10.1-5.32-17.7-7.33zM299.8 112c-23.3 14.8-47.7 29.3-74 28.8-16.4-7.3-39.8-12.2-66.8-15.9 3.5 5.1 4.6 10.5 4.4 16.2-1.3.1-2.6.1-3.9.2-11.5-3.3-27-4.9-50.4-2.9 6.3 1.9 11.8 4 15.4 6.8-34.78 6.1-72.74 15-87.27 47.8-4.11 9.3-6.83 18.8-8.6 28.4l-9.09 25.7 6.61-4.5c-.98 16.6 0 33.6.86 50.6l-6.43 35 7.44-11.9c.24 8.8.23 17.6-.33 26.3l21.74-56.2 11.13 71.5c1.66 11.9-3.98 22.2-7.88 33.2l7.69-.6-.1 10.5-10.02 30.7 9.86-4.7-.12 22.6c18.75 13.3 39.44 10.7 61.01.7l7.3-100.7c4.9-10.8 11.1-21.3 16.5-30.4 5.8-10 10.6-19.8 11.4-25.1l17.8 2.8c-3.4 13.9-9.6 24.8-16.1 35.5 23.5-1.2 44.8-5.7 64.1-13.9-.8-6.9-3.2-15.1-3.6-21l18-1.2c1.1 6.7 3.1 18.5 4.5 26 2.7 15.2 6.3 35.1 9.9 54.8 6.6 36.7 12.8 70.2 13.7 75.1 21 8.4 45.2 6.2 60.1 1.9l-2.9-55.5 7.2 3.6-7.9-15.9-.2-3.6 8.1 6-9.8-38.6-.2-3.9 9 2.2-10.7-35.7-1.1-20.5c12.9-4.1 25.1-8.3 37-12.8-2.3-2.5-4.6-5.1-6.8-7.9-9.3-11.3-14.4-26.5-12.3-40.6 1.1-7.1 4.1-15.4 11.5-18.5 9.1-3.8 24.1-7.4 30.4 1.7 22.6 31.9 40.5 45.2 51.4 47.8 5.5 1.3 9.3.6 13.3-1.7 14.3-10.4 14.5-15.1 14-32.2-7.2-18.7-12.9-37.7-18.6-56.7l14.3 2.9c-7.5-9-16.3-14.5-22-27.9-2.5-7.8-5.1-15.6-7.9-23.4l-6 12.5-27.8-10.7-22.8 11.3-19.7-16.5-31.5 18.2zm82.5 58.8l26.8 15.4c-3.4 3.8-6.6 7.9-15.3 6-9.3-2.1-12-13-11.5-21.4zm107.1 16c-3.4 24-9.8 51-21.7 70.3-4.8 7.8-10.6 14.4-18.2 18.7-7.5 4.4-16.9 5.9-26.3 3.6-18.4-4.3-37.1-20.6-59.8-52-6.5-1.5-10.8.9-11.6 6.2-1 6.9 2.6 19.4 8.4 26.5h.1c20.9 25.7 41.6 36.7 59.7 38.6 18.1 1.9 34.4-5.1 47.3-18.4 20-20.5 30.9-56 22.1-93.5zm-39.9 126c-9.8 3.5-20.4 4.9-31.4 3.8-2.5-.3-5.1-.7-7.6-1.2-1.5 17-5.5 33.2-14.4 42.3-11.1 11.4-47.3 6.7-47.3 6.7-10.9-2.5-11.4 52.2 12.5 43.3 0 0 51.2-14.6 66.3-33.5 3.8-4.8 7.2-10.7 10-17.3l3.2 10.3.7-20.6c.9-2.8 1.8-5.8 2.6-8.7l7 9.2zm-224.3 23.5l-6.6 1.8-1 113.4c9.8 5.5 19.1 3.6 28.2-.7-1.7-9.8-6.8-37.4-12.7-70.5-2.8-15.5-5.5-30.5-7.9-44zm-36.7 9.1c-13 .9-44.9 6.6-46.3 10.1l-1.8 95.3c18.2 10.1 35.7 5.3 53.2.2z"}}]})(props);
};
function GiManacles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M158.06 18.422c-36.695 0-69.95 6.1-94.865 16.498-12.458 5.2-22.882 11.456-30.625 19.096-7.742 7.64-12.924 17.156-12.924 27.62 0 .78.04 1.552.096 2.32h-.1v70.25c0 10.46 5.187 19.974 12.932 27.612 7.745 7.638 18.172 13.894 30.63 19.094 24.92 10.4 58.173 16.502 94.85 16.502 36.678 0 69.93-6.102 94.85-16.502 12.46-5.2 22.886-11.456 30.63-19.094 7.746-7.638 12.93-17.15 12.93-27.613v-20.703c9.27.424 17.71 1.55 25.307 3.23-.798 3.753-.985 7.68-.637 11.55.94 10.456 5.445 21.254 13.047 30.91 7.602 9.655 17.04 16.57 26.984 19.935 2.417.818 4.914 1.416 7.43 1.762-3.297 5.552-8.22 11.055-15.012 16.196-4.39-5.606-10.9-9.44-17.896-11.457-4.414-1.273-9.136-1.933-14.036-1.972-.7-.005-1.402.002-2.11.022-5.653.16-11.514 1.132-17.39 2.93-11.75 3.593-21.61 9.89-28.347 17.945-4.25 5.08-7.327 11.186-8.227 17.595-3.977.162-8.04.264-12.25.264-7.765 0-15.21.498-22.326 1.438-4.75-4.465-11.02-7.302-17.568-8.58-2.576-.503-5.235-.798-7.952-.885-1.018-.033-2.046-.036-3.08-.01-7.237.18-14.813 1.786-22.29 4.812-11.39 4.61-20.66 11.75-26.663 20.363-5.74 8.233-8.578 18.567-5.275 28.215-10.067 12.647-16.583 26.92-19.236 41.44-.624.295-1.245.608-1.854.96-9.362 5.405-13.828 15.76-14.393 26.244-.566 10.484 2.35 21.814 8.496 32.457 6.144 10.642 14.497 18.834 23.86 23.587 9.36 4.753 20.563 6.063 29.925.658.207-.12.397-.253.598-.377 11.812 4.73 25.68 7.51 41.473 7.867v12.76c0 10.462 5.187 19.975 12.933 27.614 7.745 7.637 18.17 13.892 30.63 19.092 24.92 10.4 58.173 16.504 94.85 16.504 36.677 0 69.93-6.104 94.848-16.504 12.46-5.2 22.888-11.455 30.634-19.093 7.745-7.64 12.93-17.153 12.93-27.615V361.11c0-.106.01-.21.01-.315 0-.105-.01-.21-.01-.315v-.396h-.012c-.23-10.182-5.338-19.442-12.905-26.908-7.743-7.64-18.167-13.897-30.625-19.096-24.916-10.4-58.168-16.498-94.863-16.498-36.696 0-69.95 6.1-94.866 16.498-12.458 5.2-22.882 11.456-30.625 19.096-7.744 7.64-12.927 17.156-12.927 27.62 0 .78.04 1.553.096 2.323h-.1v38.778c-11.41-.283-21.247-1.943-29.628-4.662 1.115-3.32 1.76-6.834 1.95-10.367.566-10.485-2.35-21.815-8.495-32.458-6.144-10.643-14.5-18.833-23.86-23.586-2.735-1.388-5.627-2.47-8.583-3.19 2.238-8.604 6.232-17.206 11.986-25.24 3.724 2.22 7.92 3.75 12.24 4.592 10.305 2.012 21.93.692 33.32-3.92 11.392-4.61 20.66-11.75 26.665-20.363 4.323-6.203 6.995-13.597 6.646-20.992 4.518-.398 9.198-.61 14.046-.61 5.697 0 11.203-.15 16.543-.425 4.364 6.35 11.35 10.637 18.898 12.812 10.088 2.908 21.785 2.614 33.537-.98 11.752-3.594 21.61-9.892 28.347-17.946 4.44-5.307 7.587-11.732 8.323-18.455 17.06-11.132 28.024-25.383 31.982-40.676 8.43-6.693 11.35-17.54 10.414-27.963-.938-10.456-5.444-21.254-13.046-30.91-7.602-9.655-17.04-16.57-26.984-19.935-3.73-1.262-7.645-2.008-11.53-2.096-1.297-.03-2.59.013-3.87.136-4.963.475-9.75 2.143-13.905 5.285-10.607-2.854-22.495-4.62-35.57-5.145V81.95c0-.106.01-.21.01-.315 0-.106-.01-.21-.01-.315v-.396h-.012c-.23-10.182-5.336-19.442-12.902-26.908-7.742-7.64-18.166-13.897-30.624-19.096-24.916-10.4-58.17-16.498-94.865-16.498zm0 18.69c34.588 0 65.87 5.96 87.667 15.056 10.898 4.55 19.377 9.9 24.697 15.15s7.36 9.904 7.36 14.317c0 4.412-2.04 9.065-7.36 14.314-2.635 2.6-6.05 5.224-10.145 7.765-25.566-12.5-61.797-19.834-102.223-19.834-40.424 0-76.645 7.32-102.217 19.833-4.094-2.54-7.508-5.164-10.143-7.764-5.32-5.25-7.36-9.903-7.36-14.315 0-4.413 2.04-9.067 7.36-14.317s13.797-10.6 24.696-15.15C92.19 43.07 123.473 37.11 158.06 37.11zm-.003 65.458c30.217 0 57.918 4.62 78.966 11.82-21.05 7.217-48.743 11.766-78.962 11.766-30.228 0-57.93-4.55-78.984-11.77 21.048-7.197 48.77-11.816 78.98-11.816zm191.517 30.582c1.67.07 3.59.435 5.774 1.174 5.826 1.972 12.726 6.725 18.293 13.795 5.568 7.072 8.568 14.894 9.118 21.02.55 6.127-1.038 9.786-3.442 11.678-2.403 1.893-6.333 2.578-12.16.606-5.826-1.972-12.726-6.723-18.293-13.793-5.567-7.07-8.567-14.894-9.117-21.02-.55-6.127 1.038-9.786 3.442-11.678 1.2-.947 2.785-1.59 4.796-1.752.503-.04 1.033-.05 1.59-.028zm-28.05 89.24c3.342.022 6.4.45 8.986 1.194 5.91 1.704 8.748 4.508 9.642 7.434.895 2.925.11 6.836-3.836 11.554-3.946 4.72-10.87 9.433-19.476 12.065-8.606 2.63-16.984 2.597-22.895.893-5.91-1.703-8.748-4.508-9.642-7.433-.895-2.926-.113-6.837 3.834-11.555 3.946-4.718 10.873-9.433 19.478-12.065 4.303-1.315 8.55-1.966 12.46-2.074.488-.013.97-.02 1.448-.015zm-116.596 30.702c1.762.047 3.414.225 4.924.52 6.037 1.178 9.11 3.722 10.257 6.558 1.147 2.836.71 6.8-2.807 11.848-3.518 5.046-10.003 10.35-18.344 13.726-8.343 3.377-16.692 4.077-22.73 2.9-6.037-1.18-9.107-3.724-10.255-6.56-1.148-2.836-.713-6.8 2.804-11.846s10.004-10.35 18.345-13.726c6.256-2.533 12.517-3.562 17.803-3.42zm150.53 63.177c34.59 0 65.87 5.96 87.667 15.058 10.9 4.55 19.376 9.9 24.695 15.15 5.32 5.25 7.364 9.905 7.364 14.317 0 4.412-2.044 9.065-7.364 14.314-2.636 2.6-6.052 5.226-10.148 7.767-25.56-12.48-61.792-19.834-102.217-19.834-40.052 0-76.002 7.23-101.517 19.488l.51 1.062c-4.625-2.763-8.467-5.636-11.352-8.483-5.32-5.25-7.364-9.903-7.364-14.315 0-4.412 2.044-9.067 7.364-14.316 5.32-5.25 13.796-10.603 24.695-15.152 21.8-9.097 53.08-15.057 87.67-15.057zm-214.036 29.033c2.013.127 4.382.795 7.125 2.187 5.485 2.785 11.635 8.472 16.135 16.266 4.5 7.793 6.35 15.965 6.02 22.107-.332 6.143-2.426 9.537-5.075 11.067-2.65 1.53-6.636 1.645-12.12-1.14-5.486-2.783-11.638-8.47-16.138-16.265-4.5-7.793-6.35-15.965-6.02-22.107.33-6.142 2.426-9.537 5.076-11.066 1.324-.765 2.982-1.177 4.996-1.05zm214.033 36.427c30.225 0 57.92 4.61 78.973 11.82-21.053 7.217-48.747 11.766-78.97 11.766-30.23 0-57.934-4.552-78.99-11.773 21.056-7.213 48.762-11.813 78.987-11.813z"}}]})(props);
};
function GiMandrillHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M302.951 28.648C354.504 92.302 434.576 174.338 439 256c-10.827 48.475-41.014 84.049-72.533 115.389-12.215-9.303-24.189-17.186-36.016-23.618 3.27-19.799 5.635-41.41 5.635-58.99 0-11.2-4.564-24.588-13.6-36.726 7.288-8.878 13.928-19.548 19.313-30.315 7.022-14.04 12.058-27.674 12.058-39.558 0-2.597-.285-5.235-.818-7.87a1074.97 1074.97 0 0 0 17.807-5.773l-5.692-17.078a1271.888 1271.888 0 0 1-19.199 6.24 50.908 50.908 0 0 0-8.963-10.01c-16.316-10.968-30.492-13.979-47.63-9.773-19.383 4.844-26.372 7.266-33.362 7.266-6.99 0-13.98-2.422-33.361-7.266-17.14-4.206-31.315-1.195-47.631 9.773a50.908 50.908 0 0 0-8.963 10.01 1271.888 1271.888 0 0 1-19.2-6.24l-5.69 17.078a1074.97 1074.97 0 0 0 17.806 5.774c-.533 2.634-.818 5.272-.818 7.869 0 11.884 5.036 25.518 12.058 39.558 5.385 10.767 12.025 21.437 19.313 30.315-9.036 12.138-13.6 25.526-13.6 36.726 0 17.58 2.365 39.191 5.635 58.99-11.827 6.432-23.8 14.315-36.016 23.618C114.013 340.049 83.827 304.475 73 256c4.424-81.662 84.496-163.698 136.049-227.352C224 16 288 16 302.95 28.648zm.451 126.202c9.426.074 17.925 2.2 23.936 8.482-27.794 7.978-49.566 11.967-71.338 11.967-21.772 0-43.544-3.99-71.338-11.967 6.011-6.283 14.51-8.408 23.936-8.482 3.142-.025 6.387.178 9.677.53 19.169 4.792 28.447 7.186 37.725 7.186 9.278 0 18.556-2.394 37.725-7.185 3.29-.353 6.535-.556 9.677-.531zm32.229 24.697c.103 12.155-5.565 25.276-9.93 34.142-4.496 8.99-10.167 18.015-15.889 25.313-7.056-4.723-13.6-8.61-20.517-12.39.742.062 1.49.103 2.248.103 14.677 0 26.771-12.088 26.771-26.766 0-5.406-1.646-10.458-4.453-14.687 6.947-1.635 14.173-3.54 21.77-5.715zm-159.262 0c7.597 2.175 14.823 4.08 21.77 5.715-2.807 4.23-4.453 9.28-4.453 14.687 0 14.678 12.094 26.766 26.771 26.766.758 0 1.506-.04 2.248-.104-6.917 3.781-13.461 7.668-20.518 12.39-5.72-7.297-11.392-16.321-15.888-25.312-4.365-8.866-10.033-21.987-9.93-34.142zm115.174 11.635c4.952 0 8.771 3.82 8.771 8.767 0 4.947-3.819 8.766-8.771 8.766-4.952 0-8.772-3.819-8.772-8.766s3.82-8.767 8.772-8.767zm-71.086 0c4.952 0 8.772 3.82 8.772 8.767 0 4.947-3.82 8.766-8.772 8.766s-8.771-3.819-8.771-8.766 3.819-8.767 8.771-8.767zm45.414 1.242a26.375 26.375 0 0 0-1.1 7.525c0 8.125 3.71 15.45 9.508 20.377-6.023-1.786-12.12-2.728-18.279-2.728-6.16 0-12.256.942-18.28 2.728 5.799-4.927 9.509-12.252 9.509-20.377 0-2.609-.39-5.133-1.1-7.525a207.959 207.959 0 0 0 19.742 0zM256 235.598c2.895 0 5.819.292 8.771.869v83.842a69.806 69.806 0 0 0-17.542 0v-83.842a45.634 45.634 0 0 1 8.771-.87zm26.771 9.896a38.752 38.752 0 0 1 11.49 4.541l-5.6 78.422a54.392 54.392 0 0 0-5.89-3.113zm-53.542 0v79.85a54.392 54.392 0 0 0-5.89 3.113l-5.6-78.422a38.752 38.752 0 0 1 11.49-4.54zm81.832 21.973c4.693 8.087 7.025 16.686 7.025 21.314-.923 21.33-2.874 42.433-6.211 60.9l-6.242-6.24zm-110.122 0l5.428 75.974-6.242 6.24c-3.337-18.467-5.288-39.57-6.21-60.9 0-4.628 2.33-13.227 7.024-21.314zM256 337.756c7.572 0 15.029 1.76 21.166 4.943L256 361.215l-21.166-18.516c6.137-3.182 13.594-4.943 21.166-4.943zm35.133 16.64l8.388 8.387c-8.12 12.426-29.27 23.26-43.521 23.598-14.25-.339-35.401-11.172-43.521-23.598l8.388-8.387L256 385.13zm35.91 12.084c7.275 4.228 14.696 9.088 22.305 14.61-20.898 42.104-53.074 86.889-93.348 110.596-40.274-23.707-72.45-68.492-93.348-110.596 7.61-5.522 15.03-10.382 22.305-14.61 3.965 19.353 8.713 45.104 25.658 60.53 10.806 8.102 26.114 12.904 45.385 12.904 19.271 0 34.579-4.802 45.385-12.904 16.945-15.426 21.693-41.177 25.658-60.53zm-30.346 23.793c6.049 9.614.525 17.224-6.111 22.336-6.966 5.223-18.314 9.305-34.586 9.305s-27.62-4.082-34.586-9.305c-6.636-5.112-12.16-12.722-6.111-22.336 11.373 7.37 25.073 12.343 40.697 14.108 15.624-1.765 29.324-6.738 40.697-14.108z"}}]})(props);
};
function GiMantaRay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.732 21.732C115.44 146.675 131.057 256.001 115.44 334.09c16.476 5.492 27.146 9.056 34.75 13.402-4.53 1.401-9.472 3.01-14.605 4.815-20.447 7.19-43.892 16.797-57.791 31.25-14.689 15.274-23.998 40.669-30.81 62.767-6.813 22.099-1.635 42.635-1.635 42.635s12.333-16.25 18.834-37.334c6.5-21.085 16.658-45.272 26.584-55.594 9.135-9.5 31.343-19.908 50.789-26.746 8.692-3.056 16.722-5.493 23.058-7.295 4.299 7.593 7.85 18.227 13.297 34.57 78.09-15.617 187.415 0 312.358 93.708C474.65 443.414 459.03 365.324 412.178 256c-9.776-29.327-13.43-52.534-10.969-69.623 15.121-2.598 24.97-12.368 31.266-22.035 6.821-10.474 11.285-20.903 17.302-26.92l-12.726-12.727c-9.6 9.6-14.16 21.383-19.658 29.825-1.928 2.959-3.753 5.487-5.8 7.578-46.029-15.344-46.347-15.662-61.69-61.692 2.09-2.046 4.618-3.871 7.577-5.799 8.442-5.498 20.224-10.057 29.825-19.658l-12.727-12.726c-6.017 6.017-16.446 10.48-26.92 17.302-9.667 6.297-19.437 16.145-22.035 31.266-17.09 2.462-40.296-1.193-69.623-10.969C146.676 52.97 68.586 37.35 21.732 21.732zM215.766 131.06h17.998c0 14.741 2.215 26.782 6.447 35.652 4.232 8.87 10.13 14.748 19.22 18.498l-6.863 16.639c-13.023-5.373-22.744-15.11-28.601-27.387-5.858-12.276-8.201-26.909-8.201-43.402zm-41.553 2.51l17.967 1.052c-.767 13.08 2.013 31.07 9.017 47.291 7.005 16.22 18.026 30.535 33.139 38.285l-8.211 16.016c-19.896-10.202-33.258-28.194-41.451-47.166-8.193-18.973-11.424-39.062-10.461-55.479zm152.578 119c3.75 9.09 9.628 14.988 18.498 19.22 8.87 4.232 20.91 6.447 35.652 6.447v17.998c-16.493 0-31.126-2.343-43.402-8.2-12.276-5.858-22.014-15.579-27.387-28.602l16.639-6.864zm-34.988 25.095c7.75 15.113 22.064 26.134 38.285 33.139 16.22 7.004 34.211 9.784 47.29 9.017l1.054 17.967c-16.417.963-36.506-2.268-55.479-10.46-18.972-8.194-36.964-21.556-47.166-41.452l16.016-8.21z"}}]})(props);
};
function GiMantrap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M60.406 156.688L24 259.75 203.938 324c-.238-8.905 1.562-18.017 5.625-26.594 7.02-14.822 19.54-25.345 33.906-30.187l-24.44-53.908-19.124 54.125-33-72.718-19.094 54.093-33-72.72-19.968 56.532-34.438-75.938zm399.781 0l-34.468 75.937-19.97-56.53-33 72.718-19.094-54.094-33 72.718-19.125-54.125-31.936 70.468c-2.292-.53-4.602-.85-6.906-.936-.462-.018-.915-.03-1.375-.03-14.28-.007-28.097 8.283-34.875 22.592-9.33 19.695-1.36 42.64 17.5 51.656 18.86 9.017 41.483.758 50.812-18.937 1.127-2.38 1.99-4.805 2.625-7.25l199.22-71.125-36.408-103.063zM199.78 178.03v18.69h120.595v-18.69H199.78zm50.126 35.345v52.906h18.688v-52.905h-18.688zm10.25 90.563c9.678 0 17.53 7.824 17.53 17.5.002 9.675-7.854 17.53-17.53 17.53-9.676 0-17.53-7.853-17.53-17.53 0-9.678 7.852-17.5 17.53-17.5zM99.53 336.967c-50.15 13.628-82.56 33.83-82.56 56.22 0 41.017 106.544 74.343 237.718 74.343 131.173 0 237.687-33.327 237.687-74.342 0-22.313-32.124-42.595-81.97-56.22 17.232 8.878 27.533 19.275 27.533 30.47 0 32.127-82.313 58.53-183.25 58.53-100.938 0-182.657-26.403-182.657-58.53 0-11.257 10.095-21.56 27.5-30.47z"}}]})(props);
};
function GiManualJuicer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-61 0-106.483 30.34-137.273 64.979-15.396 17.32-26.987 35.685-34.63 51.447-4.366 9.006-7.222 17.143-8.992 23.595 111.413-18.394 248.612-18.916 361.784-.021-1.77-6.45-4.625-14.578-8.987-23.574-7.642-15.762-19.233-34.128-34.629-51.447C362.483 55.339 317 25 256 25zm41.842 59.068l31.254 1.405-.809 17.982-31.254-1.404.809-17.983zM188.484 89.01l1.588 17.93-39.681 3.511-1.588-17.93 39.681-3.511zm56.842 26.304l59.697 1.407-.423 17.994-59.698-1.404.424-17.997zm111.865 5.385l25.635 4.215-2.92 17.762-25.635-4.215 2.92-17.762zm-197.902 1.676l1.686 17.922-41.086 3.863-1.686-17.922 41.086-3.863zM247 210.963c-17.508 16.406-35.214 41.12-49.047 67.248-15.24 28.787-25.845 59.462-28.369 80.789H247V210.963zm18 0V359h77.416c-2.524-21.327-13.129-52.002-28.37-80.79-13.832-26.127-31.538-50.841-49.046-67.247zm-43.445.115c-21.035 10.717-44.265 29.134-65.012 51.102-29.165 30.88-53.805 68.425-64.287 96.82h59.178c2.341-25.784 14.136-58.088 30.613-89.21 11.295-21.336 24.743-41.923 39.508-58.712zm68.89 0c14.765 16.789 28.213 37.376 39.508 58.711 16.477 31.123 28.272 63.427 30.613 89.211h59.178c-10.482-28.395-35.122-65.94-64.287-96.82-20.747-21.968-43.977-40.385-65.012-51.102zM13.486 377.062l9.96 29.875h358.173a104.33 104.33 0 0 0-6.05-22.203c-13.173 4.197-26.5 7.203-35.29 6.004-22.146-3.021-37.867-8.74-48.033-13.675H13.486zm402.946 0c-3.86 9.583-6.83 19.808-8.215 29.875h80.338l9.959-29.875h-82.082zM41.199 425c.145 12.594.633 24.65 3.455 34.527 3.35 11.721 9.076 20.655 21.674 27.473h379.344c12.598-6.818 18.325-15.752 21.674-27.473 2.822-9.877 3.31-21.933 3.455-34.527h-63.219c.529 6.554 1.98 12.792 4.572 18.45 7.75 16.911-.351 29.644-13.117 29.642-11.861-.003-24.832-6.477-18.726-30.26 1.454-5.664 2.263-11.666 2.457-17.832H41.199z"}}]})(props);
};
function GiManualMeatGrinder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201.9 25c2.2 13.46 8.5 32.11 16.3 49.28 9.7 21.4 22.3 41.52 28.2 47.32 14.9 15 28.6 21.4 41.6 21.4s26.7-6.4 41.6-21.4c5.9-5.8 18.5-25.92 28.2-47.32 7.8-17.17 14.1-35.82 16.3-49.28H201.9zM457 115v154h30V115h-30zm-18 12.4l-93.8 3.9c-.9 1.1-1.9 2.2-2.8 3.1-17.1 17-35.4 26.6-54.4 26.6-18.4 0-36.2-9.1-52.9-25.2l-18.1.8v110.8l222 9.2V201h-87v-18h87v-55.6zM185 169v62h14v-62h-14zm-52.1 16l-10.1 15.5 9.9 14.5H167v-30h-34.1zm10.1 48v168.2l18 4.5V233h-18zm90 33v166.1c0 4.9 2.8 11 7.4 15.5 4.5 4.6 10.6 7.4 15.6 7.4h87v-62h-30v32h-50V267.3l-30-1.3zm80 3.4v26.4h30v-25.2l-30-1.2zm0 91.6v14h30v-14h-30zm-209 49c-16.01 0-38.93.2-57.23 3.8-9.33 1.9-17.3 4.7-22.15 8.1C19.78 425.3 18 428 18 433s1.78 7.7 6.62 11.1c4.85 3.4 12.82 6.2 22.15 8.1 18.3 3.6 41.22 3.8 57.23 3.8l56-14v-18l-56-14zm213.7 63l-14 14h52.6l-14-14h-24.6z"}}]})(props);
};
function GiMapleLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M175.094 25.593c-37.263 98.702-18.844 171.333 29.812 231.78-55.864-32.94-102.02-39.746-176.562-29.5 36.104 103.52 114.96 147.68 199.53 147.72-11.347 26.98-13.91 56.395-4.374 88.938 36.643-23.08 58.91-47.936 68.906-78.468 35.98 50.032 94.496 84.814 134.625 96.844l14.595 4.687-2.344-15.187c-2.565-14.66-.2-24.85 5.845-35.063 6.046-10.21 15.88-20.01 28.03-30.937l21.032-18.688-28.03 2.344c-36.735 3.018-73.025-3.842-108.813-33.906 24.9-.342 49.864-6.29 84.843-16.157-18.744-22.37-40.422-35.795-64.468-42.594 51.884-67.147 81.588-166.79 52.936-233.063-82.263 37.32-123.16 89.803-138.75 152.406C280.17 141.16 244.118 77.825 175.094 25.592zm15.125 69.53c23.525 72.024 54.17 141.623 99.28 207.814C351.886 256.397 374.437 198.35 394.187 132c23.69 55.974-11.423 128.012-66.656 182.406 23.724 3.552 53.686 11.745 73.407 18.875-24.69 5.254-57.005 7.874-83.687 7.5 3.243 4.133 6.564 8.242 9.937 12.344l.563-.468c38.655 40.348 80.204 53.028 120.875 53.75-6.873 6.918-14.447 13.48-19.25 21.593-5.292 8.936-8.076 19.652-8.78 30.968-33.344-12.87-77.914-40.503-107.75-78.344l-.19.125c-9.727-12.486-18.972-24.776-27.718-36.938-5.692 29.708-28.95 66.377-48.406 88.625 9.978-28.618 19.846-65.56 23.376-98.72-69.03 10.948-128.245-7.166-162.562-64.28 55.824 29.773 106.504 51.892 161.906 36.594-42.415-66.643-67.75-132.218-69.03-210.906z"}}]})(props);
};
function GiMaracas (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M91.56 31.29c-5.95.08-12.02 1.34-18.35 4.04-12.65 5.39-20.44 14.03-25.61 25.25-5.17 11.21-7.36 25.08-7.39 39.42-.1 28.8 8.69 59.4 14.38 72.7 6.83 16 18.02 32.2 31.05 46.5l111.66-47.6c-1.3-19.4-5.2-38.6-12.1-54.7-5.6-13.3-21.7-40.8-42.4-60.63-10.4-9.91-21.9-17.92-33.6-21.95-5.8-2.02-11.69-3.13-17.64-3.03zM420.7 107c-11 .1-23 2.8-34.8 7.2-26.9 10.1-52.4 29.1-62.9 39.2-12.5 12-23.7 28.2-32.5 45.5l84 87.6c17.7-8.1 34.3-18.5 46.9-30.6 10.4-10.1 30.5-34.8 41.7-61.2 5.6-13.2 9-26.8 8.7-39.2-.4-12.3-4.2-23.3-13.7-33.3-9.5-9.9-20.3-14.1-32.7-15-1.5-.1-3.1-.2-4.7-.2zm-222.9 84l-98.52 42c3.92 3.6 7.82 7 11.82 10.2l85.9-36.7c.5-5.1.8-10.3.8-15.5zm84.7 25.5c-2 4.9-3.8 9.8-5.4 14.6l64.6 67.5c4.9-1.4 9.9-3 14.9-4.8zM194 227.4l-65.7 28c7.8 4.9 15.3 8.8 22 11.2 10.5 3.9 18.7 4.1 22.6 2.4 3.9-1.7 9.4-7.7 13.9-17.9 2.9-6.6 5.3-14.7 7.2-23.7zm77.7 24.1c-1.8 9-2.8 17.4-2.7 24.6.1 11.2 2.8 18.9 5.8 22 2.9 3 10.5 6.1 21.7 6.6 7.1.4 15.6-.2 24.6-1.6zm-75.6 20c-4.3 6.3-9.6 11.3-16.2 14.1-6.6 2.8-13.8 3.2-21.3 1.9 8.1 15.6 16.8 32.1 25.6 50.4 9.2-9.1 17.6-18 25.6-26.6-5-14-9.4-27.2-13.7-39.8zm56.3 19.7c-33.1 36.9-70.6 80.5-138.9 129.7-14.13 13.7-11.2 26.7-3.3 35 7.9 8.2 20.8 11.6 35.1-1.9 52-66.2 97.2-101.8 135.5-133.3-7.5-1.8-14-5-19-10.2-5-5.2-7.9-11.8-9.4-19.3zm-14.2 89.3c-8.4 7.6-16.9 15.7-25.7 24.5 6.3 17.6 12.5 36.8 18.2 58.2 7.9 18.1 21.2 20 31.7 15.5s18.2-15.3 10.6-33.5c-14.1-23.2-25.4-44.7-34.8-64.7z"}}]})(props);
};
function GiMarbles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M168.06 172.176c-67.24 0-121.943 54.7-121.943 121.94S100.82 416.058 168.06 416.058c30.25 0 57.962-11.08 79.3-29.386-2.293-6.27-4.08-12.784-5.32-19.485-18.83 19.065-44.995 30.87-73.98 30.87-22.815 0-43.88-7.312-61-19.716 27.834 4.814 73.39 10.32 98.645.48 11.155-4.346 23.33-14.317 34.578-25.62-.184-2.73-.285-5.485-.285-8.263 0-16.365 3.25-31.983 9.123-46.256-21.226 20.275-49.207 43.894-71.65 51.906-26.097 9.316-76.967 3.676-96.025 1.09-8.796-13.23-14.635-28.602-16.593-45.182 17.335-3.294 53.808-10.013 74.972-12.38 28.105-3.143 60.837 10.417 84.705-4.75 14.41-9.16 25.482-38.016 30.31-52.555 6.01 9.1 10.62 19.205 13.543 30.015 4.347-5.198 9.116-10.03 14.258-14.44-17.077-46.75-61.993-80.21-114.58-80.21v-.002zm0 18c23.778 0 45.656 7.943 63.147 21.318-4.465 16.817-14.462 46.984-30.303 54.39-24.788 11.588-53.316-25.293-79.904-18.825-23.882 5.807-40.093 27.904-56.88 46.827.122-57.405 46.505-103.71 103.94-103.71zM361.94 241c-7.227 0-14.278.736-21.085 2.13 1.372 8.875 3.195 21.44 4.88 35.89 3.145 26.965 5.8 59.057 3.076 82.04-1.855 15.656-8.527 35.703-14.693 52.483-4.735 12.888-9.166 23.55-10.996 27.873 11.99 4.814 25.09 7.467 38.82 7.467 6.415 0 12.69-.58 18.777-1.686 4.906-16.186 14.49-50.886 13.226-71.197-1.047-16.833-19.873-31.586-16-48 5.268-22.31 39.43-47.627 55.56-58.52-18.62-17.66-43.798-28.48-71.56-28.48h-.004zm-38.495 7.334c-5.635 2.24-11.025 4.96-16.123 8.11.75 17.962 2.2 61.956-.424 88.443-2.483 25.083-12.448 66.07-15.12 76.814 4.704 4.3 9.807 8.172 15.245 11.556 1.973-4.694 5.937-14.32 10.2-25.92 5.975-16.26 12.268-36.212 13.713-48.397 2.313-19.514.002-51.422-3.08-77.835-1.49-12.778-3.12-24.257-4.41-32.77zm-33.71 21.77C270.158 288.994 258 315.514 258 344.94c0 22.48 7.092 43.264 19.166 60.246 4.123-17.823 10.2-45.726 11.818-62.073 1.874-18.918 1.378-51.442.752-73.01h-.002zm162.052 22.462c-6.606 14.014-16.406 36.63-18.34 51.434-2.54 19.446 3.155 53.058 6.41 69.813 16.2-18.325 26.026-42.423 26.026-68.872 0-19.114-5.135-37.004-14.096-52.374z"}}]})(props);
};
function GiMarrowDrain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M415.03 38.906c-2.794.005-5.565.53-8.25 1.594-4.075 1.648-7.143 3.84-10.56 8.375-27.334 36.324-67.68 83.128-131.533 124.53l-12.28 18.75 18.312 5.595 11.03 3.344-5.563 10.094-9.125 16.562c2.385-1.362 5.07-3.048 8.25-5.188 15.275-10.276 38.768-18.713 62.75-25.812 15.215-4.503 30.475-8.303 43.563-11.156 31.948-9.55 60.308-14.5 83.625-17.156 52.326-5.95 22.144-83.66-32.094-55.594 37.618-27.9 8.9-73.98-18.125-73.938zm-346.655 45c-28.726.37-49.683 57.57-3.844 75.688-58.636-12.918-67.653 68.684-16.374 61.03 23.778-3.55 53.397-6.117 87.938-4.843 31.402-.33 63.477 2.57 92.47 11.22 6.33 1.89 11.21 3.374 15.155 4.344l10.53-19.094-19.22-5.844-11.936-3.625 6.844-10.436 11.562-17.688c-71.992-23.103-122.678-57.6-158.156-85.344-4.465-3.167-7.813-4.838-12.156-5.25-.94-.11-1.886-.168-2.813-.156zM354.22 211.594c-3.612.99-7.226 2.022-10.845 3.094-23.17 6.858-46.06 15.626-57.625 23.406-12.47 8.39-21.75 12.78-31.72 13.22-9.967.436-18.434-2.714-30.81-6.408-19.873-5.93-41.98-8.95-64.532-9.97l13.843 64.22 13.25-42.5 14.845 66.72 7.313 106.312 9.312 50.718 7.875-51.156 3.25-82.188 10.78-61.656 23.47 91.438 19.094-22.125 8.5 64.81 10.155 40.97 8.875-34.594L316.78 288l23.44 53.875 14-130.28z"}}]})(props);
};
function GiMarsCuriosity (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M114.512 23.132l-45.358 7.666 2.334 13.806 45.358-7.666zM406 26.868v46h16.844c-6.053-5.835-9.844-14.004-9.844-23s3.79-17.165 9.844-23zm61.156 0c6.053 5.835 9.844 14.004 9.844 23s-3.79 17.165-9.844 23H484v-46zM445 35.866c-7.84 0-14.002 6.163-14.002 14.002 0 7.84 6.162 14.002 14.002 14.002 7.84 0 14.002-6.162 14.002-14.002 0-7.84-6.162-14.002-14.002-14.002zm-144 7.002c-3.973 0-7 3.027-7 7s3.027 7 7 7 7-3.027 7-7-3.027-7-7-7zM129.982 52.972l-23.377 3.95 58.735 48.944c2.017-5.88 6.181-10.805 11.539-13.814zm146.305.652l-71.555 40.889c4.712 3.846 8.021 9.36 8.98 15.6l71.556-40.891c-4.711-3.847-8.021-9.358-8.98-15.598zm43.877 12.209c-3.9 4.662-9.45 7.903-15.709 8.787l61.25 110.248h20.59zm110.11 25.035v94h30.001v-94zM90.1 95.118l-29.73 56.795c3.613-.362 7.476-.824 11.564-1.527 7.002-1.205 14.192-3.023 19.73-5.418 5.539-2.395 9.002-5.344 10.15-7.537 1.148-2.193 1.598-6.719.41-12.635-1.187-5.916-3.79-12.862-6.79-19.303-1.752-3.76-3.572-7.199-5.334-10.375zm98.9 11.75c-3.973 0-7 3.027-7 7s3.027 7 7 7 7-3.027 7-7-3.027-7-7-7zM102 160a67.11 67.11 0 0 1-3.191 1.488c-4.741 2.05-9.776 3.597-14.809 4.801v18.58h18zm129.34 26.87v93.888c5.215-1.056 11.363-.857 16.002.35v-94.239zm-209.34 16v14h78v-14zm96 0v14h95.342v-14zm147.34 0v14h42.488v-14zm60.486 0v14H484v-14zM22 234.868v33.437l78 39v-72.438zm96 0v78h71.035l19.567-13.884a33.532 33.532 0 0 1 4.74-7.29v-56.827zm147.34 0v58.577a33.29 33.29 0 0 1 4.97 9.637l13.897 9.785h23.621v-78zm60.486 0v78H484v-78h-30v64h-98v-64zm-87.185 63.06c-8.538 0-15.264 6.728-15.264 15.265 0 8.538 6.726 15.266 15.264 15.266 8.537 0 15.265-6.728 15.265-15.266 0-8.537-6.728-15.265-15.265-15.265zm-31.944 24.476l-113.47 80.516a57.635 57.635 0 0 1 12.01 11.1l109.552-77.735a33.403 33.403 0 0 1-8.092-13.88zm63.114 2.34a33.552 33.552 0 0 1-9.041 13.203l66.4 46.762c1.838-5.158 5.135-9.645 9.389-12.957zm84.072 59.02c-5.819 0-10.342 4.523-10.342 10.341 0 5.819 4.523 10.342 10.342 10.342 5.818 0 10.342-4.523 10.342-10.342 0-5.818-4.524-10.341-10.342-10.341zm-28.06 14.254l-29.098 13.47a57.255 57.255 0 0 1 8.693 13.608l27.05-12.522c-3.492-4.037-5.871-9.052-6.646-14.556zm55.61 2.668c-1.304 5.4-4.172 10.214-8.091 13.935l26.002 11.23a57.292 57.292 0 0 1 8.908-13.583zm-127.927 8.855a38.865 38.865 0 0 0-39.002 39 38.867 38.867 0 0 0 39.002 39.002c21.646 0 39-17.356 39-39.002s-17.354-39-39-39zM61 410.868c-21.646 0-39 17.354-39 39s17.354 39 39 39 39-17.354 39-39-17.354-39-39-39zm390 0c-21.646 0-39 17.354-39 39s17.354 39 39 39 39-17.354 39-39-17.354-39-39-39z"}}]})(props);
};
function GiMarsPathfinder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304 25c-9.496 0-17.002 7.504-17.002 17S294.504 59.002 304 59.002c9.496 0 17.002-7.506 17.002-17.002 0-9.496-7.506-17-17.002-17zm-9 50.809V201h-95.377l-13.314 79.885L256 294.822l69.691-13.937L313 204.738V75.808A34.63 34.63 0 0 1 304 77a34.63 34.63 0 0 1-9-1.191zM228.2 137l-38.557 46H277v-46zM55 179.402v139.405l-14.621 13.209 22.738 23.492 164.969-5.906-3.014-29.946-15.199-15.705-35.639-7.127-8.543-1.709 4.266-25.597-42.064-16.569L73 302.543v-123.14zm128.07 11.438l-23.379 27.892 17.844 5.323zM329.123 192l5.342 32.055 17.844-5.323c-5.456-6.278-8.806-10.732-23.186-26.732zm54.984 60.95l-42.064 16.568 4.266 25.597-44.182 8.836-15.2 15.705-3.013 29.946 164.969 5.906 22.738-23.492zm-265.744 28.687l48 48-12.726 12.726-48-48zm275.274 0l12.726 12.726-48 48-12.726-12.726zm-240.453 88.119l-20.323.396-24.914 49.83L96 416l-32 32 48 16 32-32-18.805-6.268zm205.906.547l27.715 55.43L368 432l32 32 48-16-32-32-11.947 3.982-24.473-48.945z"}}]})(props);
};
function GiMarshmallows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M455.9 21.84h-.9c-2.8.15-5.9 1.19-9.6 3.3l-52.7 51.95c-1.2 1.76-1.5 3.26-1 5.77.6 2.62 2.4 5.99 5 8.84 2.6 2.85 5.9 5.12 8.8 6.14 2.3.85 3.8.76 4.9.4l62.1-61.43c-.5.51 0 .14-.6-1.95-.6-2.26-2.4-5.45-5-7.91-3-2.87-6.5-5.09-11-5.13zM352.2 48.36c-1.3 0-2.5 0-3.5.14-4.3.48-6.7 1.83-8.2 3.69-1.5 1.86-2.4 4.54-2.2 9.03.2 4.49 1.7 10.55 4.7 17.15 6.1 13.48 17.9 29.53 33.7 43.73 15.8 14.3 32.7 24.1 46.3 28.2 6.7 2.1 12.6 2.8 16.9 2.3 4.2-.5 6.6-1.8 8.1-3.7 1.5-1.9 2.4-4.5 2.2-9-.2-4.5-1.7-10.6-4.7-17.2-2.9-6.6-7.3-13.8-12.8-21.1-4.9 5.2-7.8 10-13.3 12.5-6.6 3.4-13.9 2.9-20.1.7-6.1-2.2-11.5-6.1-15.9-10.9-4.4-4.83-7.9-10.63-9.3-17.28-1.4-6.65-.3-14.5 4.5-20.71l.3-.48 6.1-5.99c-6.9-3.92-13.5-6.85-19.5-8.68-5-1.58-9.6-2.32-13.3-2.4zM320.8 63.4c-9.9 7.85-32 26.6-32.6 40.2 7.8 58.8 58.9 100.5 96.1 103 20.1-3.3 34.8-19.1 47.4-35.7-4.4-.5-8.9-1.5-13.5-2.9-16.8-5.2-35.4-16.2-52.9-31.9-17.5-15.8-30.7-33.3-38.1-49.96-3.6-7.7-5.8-15.37-6.4-22.74zm-30 109.3l-42.9 46.1c-1 1.2-1.3 2.1-.4 5.2.9 3.2 3.5 7.4 6.9 11 3.3 3.6 7.5 6.4 10.7 7.6 2.8 1.1 3.8.9 4.2.6l44.4-47.1c-8.8-6.5-16.9-14.1-22.9-23.4zm-93 16.5c-8.3.2-13.4 2.9-15.4 6.3-2.6 4.6-1.7 14.3 6.1 27.3 7.8 13.1 21.8 28.1 39.5 40.6s35.8 20.2 49.8 22.5c14 2.3 22.2-.9 24.8-5.5 2.7-4.6 1.7-14.2-6.1-27.3-1.4-2.3-3-4.7-4.7-7.1-4 3.7-7 8.6-11.5 11.6-6.7 5-15.1 4.4-21.6 1.8-6.6-2.5-12.4-6.8-17.4-12-5-5.3-9-11.4-11.1-18.3-2-7-1.5-15.7 4.1-22.1l.2-.2 5.4-5.7c-11.8-6.1-22.9-9.4-32.7-11.1a55 55 0 0 0-9.4-.8zM165 211.3c-9.8 13.3-18.8 28.2-24 44.2 7.5 31.2 22.2 51.6 41.1 66.1 18.8 14.5 42.1 22.9 66.7 28.4 18.8-6.8 31-25.6 41-44.5-4.5.1-9.2-.2-14-1-17.2-2.9-37.1-11.6-56.8-25.4-19.6-13.9-35.1-30.2-44.8-46.4-4.2-7-7.5-14.3-9.2-21.4zM364.1 247c-35.3 53.9 29.4 142.8-20.6 170.9-22.5 12.6-61.7-5.7-70.4-32.1 1.6 38.7 17 101.3 82.5 105.5h116.3c26.9-44.4 23.3-87.7 11.3-130.8-9.5 26.8-23.3 27.8-35.8 21.6-16.9-8.3-12.7-35.5-6.2-56.1-16 12-24 25.4-26.1 39.8-2.6-39-57.1-59.9-51-118.8zM64.98 284.7c-6.04 0-9.91 5.1-10.35 7 2.96 47.5-1.87 94.4-5.63 135.3l-22.56 31.2c1.17 6 5.16 13.6 11.35 19.6 6.14 5.9 13.84 9.8 21.38 10.6 38.56-46.6 81.23-94.7 125.73-143.2-4.8-2.8-9.4-5.9-13.8-9.3-6.5-5-12.7-10.7-18.3-17.2-22.4 24.7-43.6 49.1-63.14 73.1l-17.42 21.4c1.23-41 6.45-85.1 5.66-121.2-4.9-5.4-9.3-7.3-12.92-7.3z"}}]})(props);
};
function GiMartini (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M382.313 17.156L347 80.594H58.937l13.657 15.53 172.03 195.5v155.063l-118.343 35.438v13.22h255.376v-13.22l-118.344-35.438V291.595l172-195.47 13.657-15.53h-80.595l30.28-54.344-16.342-9.094zM100.25 99.28h236.344l-12.25 21.97c-5.352-2.042-11.14-3.188-17.188-3.188-17.4 0-32.74 9.283-41.344 23.126H137.125L100.25 99.28zm257.72 0h49.686l-36.875 41.907h-22.31c-2.3-3.7-5.08-7.073-8.25-10.03l17.75-31.876zm-50.814 37.47c16.652 0 29.938 13.33 29.938 30s-13.286 29.97-29.938 29.97-29.97-13.3-29.97-29.97c.002-1.01.062-2.017.158-3 2.26 3.716 6.303 6.22 10.97 6.22 7.112 0 12.905-5.79 12.905-12.907 0-7.118-5.794-12.875-12.908-12.875-.35 0-.688.035-1.03.062 5.276-4.67 12.213-7.5 19.874-7.5z"}}]})(props);
};
function GiMaskedSpider (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.9 18.98c-23.8 0-48.4 22.04-66.8 53.04-18.3 30.98-29.6 69.88-29.6 96.08 0 32 16 60.4 40.7 77.6 14.4-17.3 34-28.4 55.7-28.4 21.7 0 41.2 11.1 55.6 28.4 24.7-17.2 40.8-45.6 40.8-77.6 0-26.2-11.4-65.1-29.7-96.08-18.3-31-42.9-53.04-66.7-53.04zm237.6 14.14L419.8 207.1 324 264.4c2.8 5.4 5.3 11.2 7.4 17.3L434.6 220l58.9-139zm-475.24 0V81l58.92 139 103.22 61.5c2.1-6.1 4.6-11.9 7.5-17.3L92 207.1c-24.59-58-49.15-116.01-73.74-173.97zM255.9 236c-16.9 0-32.6 9.3-44.6 25.9-12 16.5-19.8 40-19.8 66.2 0 15.4 2.7 29.8 7.3 42.4 3.1-5.4 9-9.1 15.8-9.1 10.1 0 18.2 8.1 18.2 18.1 0 10-8.1 18.1-18.2 18.1-.3 0-.6-.1-.9-.1 11.7 14.6 26.4 22.7 42.2 22.7 15.7 0 30.5-8.1 42.1-22.7-.3 0-.6.1-.9.1-10 0-18.2-8.1-18.2-18.1 0-10 8.2-18.1 18.2-18.1 6.8 0 12.7 3.7 15.8 9.1 4.7-12.6 7.4-27 7.4-42.4 0-26.2-7.8-49.7-19.8-66.2-12.1-16.6-27.7-25.9-44.6-25.9zm-237.65 1.6v23.9l64.5 51.2 90.05 12.5c.1-6.4.7-12.6 1.5-18.7l-83.93-11.6-72.11-57.3zm475.25 0l-72.1 57.3-84 11.7c.9 6.1 1.4 12.3 1.5 18.7l90.1-12.6 64.5-51.2zm-263.6 81.1c10 0 18.2 8.1 18.2 18.1 0 10-8.2 18.1-18.2 18.1-10.1 0-18.2-8.1-18.2-18.1 0-10 8.1-18.1 18.2-18.1zm52 0c10 0 18.2 8.1 18.2 18.1 0 10-8.2 18.1-18.2 18.1-10.1 0-18.2-8.1-18.2-18.1 0-10 8.1-18.1 18.2-18.1zm55.3 32.3c-1 6.3-2.4 12.3-4.1 18.2l88 19.2 72.4 58.3v-24l-64.2-51.6zm-162.6.1l-92.18 20-64.16 51.6v24l72.44-58.3 88-19.1c-1.8-5.9-3.2-12-4.1-18.2zm149.9 39.7c-3.2 5.9-6.4 11.2-9.9 15.9l67.8 36 27.5 51h21.3l-35-64.9zm-137.2.1l-71.7 37.9-35.01 64.9h21.21l27.5-51 68-35.9c-3.6-5.1-7.4-10.8-10-15.9zm20.3 27.5c-5.4 8.7-8.6 18.9-8.6 29.8 0 15 5.9 28.6 15.4 38.7v-2.5c0-20.9 8.1-39.2 20.2-49.2-9.9-3.5-19.1-9.3-27-16.8zm96.6 0c-8 7.5-17.1 13.3-27 16.8 12.1 10 20.1 28.3 20.1 49.2v2.5c9.6-10.1 15.4-23.7 15.4-38.7 0-10.9-3.1-21.1-8.5-29.8z"}}]})(props);
};
function GiMassDriver (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M123.72 35.22c-30.363 19.964-56.875 46.728-76.282 80.343C28.03 149.178 18.108 185.502 16 221.78l149.72 8.782c.82-13.526 4.825-27.215 12.06-39.75 7.238-12.532 17.072-22.838 28.376-30.312L123.72 35.22zm264.56 0L305.845 160.5c11.304 7.474 21.138 17.778 28.375 30.313 7.235 12.532 11.24 26.222 12.06 39.75L496 221.78c-2.11-36.276-12.03-72.603-31.438-106.218-19.407-33.614-45.92-60.378-76.28-80.343zM256 175.75c-33.25 0-60.188 26.97-60.188 60.22 0 33.247 26.94 60.186 60.188 60.186 33.25 0 60.22-26.94 60.22-60.187 0-33.25-26.97-60.22-60.22-60.22zm-40.438 141.125l-67.28 134.03c32.47 16.315 68.904 25.876 107.718 25.876 38.814 0 75.248-9.562 107.72-25.874l-67.283-134.03c-12.124 6.05-25.964 9.405-40.437 9.405-14.473 0-28.313-3.353-40.438-9.405z"}}]})(props);
};
function GiMasterOfArms (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M89.045 14.615c6.77 31.628 8.796 63.257.937 94.885H27.695v25.783c14.904-4.855 30.023-7.95 45.23-9.543.047 127.8 1.575 243.702 30.27 365.713 30.09-118.464 27.335-237.957 27.258-365.027 15.218 1.827 30.365 4.857 45.315 8.857V109.5h-62.12c-6.642-31.628-5.722-63.257.768-94.885h-25.37zm334.61.004c-28.694 122.01-30.224 237.912-30.272 365.712-15.206-1.59-30.325-4.687-45.23-9.543v25.782h62.288c7.86 31.628 5.837 63.257-.934 94.885h25.37c-6.49-31.628-7.41-63.257-.77-94.885h62.12V370.79c-14.95 4-30.094 7.027-45.312 8.855.077-127.07 2.833-246.562-27.258-365.026zM255.34 23.36c-25.084 3.247-47.137 32.07-47.137 68.892 0 20.31 7.048 38.302 17.48 50.816l10.202 12.24-15.66 2.928c-13.684 2.56-23.8 9.845-32.27 21.42-8.47 11.576-14.848 27.52-19.31 45.8-8.22 33.672-9.91 74.718-10.137 110.554h43.994l11.88 158.584h96.356l10.508-158.584h41.87c-.013-36.225-.356-77.82-7.803-111.752-4.04-18.408-10.17-34.354-18.762-45.822-8.592-11.47-19.2-18.7-34.482-21.057l-15.98-2.466L296.2 142.3c9.983-12.452 16.68-30.23 16.68-50.048 0-39.264-24.734-68.813-52.34-68.813-2.905 0-4.742-.137-5.196-.08h-.004zM97.006 124.44c4.69-.02 9.383.093 14.074.328v181.015H92.383v-181.28c1.54-.034 3.082-.055 4.623-.062zm315.838 75.847h18.695v181.018c-6.233.31-12.467.404-18.696.26V200.288z"}}]})(props);
};
function GiMatchHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M316.594 18.375c40.733 49.672 27.644 86.682 5.344 122.688.783-42.897-37.23-58.073-83.282-44.032 71.457.144 63.504 53.747 47.25 101.095-8.392 16.15-14.28 33.228-14.28 52.094 0 30.375 13.866 52.983 36.78 67.155-9.875-13.69-13.797-31.204-9.344-51.97 10.182-47.473 52.14-72.297 70.688-112.124 9.593 17.684 24.242 30.335 38.53 30.376 19.437.056 30.155-22.576 25.126-50.812 41.403 59.58 28.32 151.878-11.687 193.875 65.79-30.04 89.29-136.86 44.842-216.783.594 13.805-1.266 27.485-6.187 40.72-10.366-39.618-30.658-94.73-90.78-120.626l-.19-.06c-15.86-5.534-33.44-9.5-52.81-11.595zM358.5 238.53c-23.074 0-41.625 18.543-41.625 41.72S335.425 322 358.5 322c23.074 0 41.594-18.573 41.594-41.75s-18.52-41.72-41.594-41.72zm-88.188 75.75L17.75 468.657v23.938h59.97l237.718-148c-16.89-5.172-32.555-15.733-45.125-30.313z"}}]})(props);
};
function GiMatchTip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M310.867 16.785L258.89 101.47l-51.976-58.402 2.188 102.407 19.962-46.123L251.2 171.03l23.19-28.46 3.16 60.08 80.108-64.298-48.486 91.705 47.433 21.08-38.93 15.894 69.548 110.654-80.776-52.3 5.45 36.505-44.467-49.445-30.987 73.61-12.482-85.963-41.273 26.937 1.053-46.378-83.27 6.323 82.218-40.055-88.542-29.512 43.772-19.898-117.313 11.42 89.94 43.8-79.426 55.48 95.778 4.675-34.46 57.232 57.82-26.863L131 453.262l77.66-93.657 18.69 129.067 33.287-100.45 93.285 84.055-23.957-83.273 136.207 68.642-78.377-138.935 81.11 9.827-75.325-68.94 80.225-31.98-94.026-21.025 43.8-50.225-61.32 16.936 43.803-112.13-98.7 85.85 3.504-130.238zM18.854 18.537v42.535c38.127 46.536 115.7 118.404 184.445 166.92-2.49 15.173 4.22 33.952 18.917 48.65 21.02 21.02 50.402 25.723 65.623 10.503 15.222-15.223 10.518-44.604-10.504-65.625-13.795-13.795-31.19-20.562-45.82-19.284-49.03-67.528-121.705-143.93-172.71-183.7H18.855z"}}]})(props);
};
function GiMatchbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M193.1 25.84L120.5 166.2l21.4 11 14.9-28.9a24 48 27.32 0 1 7.1-46.4 24 48 27.32 0 1 36.8-32.98 24 48 27.32 0 1 6.5 1.39 24 48 27.32 0 1-.7 53.69 24 48 27.32 0 1-33.7 32.6l-15 28.9 31.7 16.4 14.9-28.9a24 48 27.32 0 1 7.1-46.5 24 48 27.32 0 1 36.9-32.98 24 48 27.32 0 1 6.5 1.39 24 48 27.32 0 1-.7 53.69 24 48 27.32 0 1-33.8 32.6l-14.9 28.9 31.7 16.4 14.8-28.9a24 48 27.32 0 1 7.1-46.5 24 48 27.32 0 1 36.9-33 24 48 27.32 0 1 6.5 1.4 24 48 27.32 0 1-.7 53.7 24 48 27.32 0 1-33.8 32.6l-14.9 28.9 31.7 16.3 14.9-28.9a24 48 27.32 0 1 7.1-46.4 24 48 27.32 0 1 36.8-33 24 48 27.32 0 1 6.5 1.4 24 48 27.32 0 1-.7 53.7 24 48 27.32 0 1-33.7 32.6l-15 28.9 31.7 16.3 14.9-28.9a24 48 27.32 0 1 7.1-46.4 24 48 27.32 0 1 36.8-33 24 48 27.32 0 1 6.5 1.4 24 48 27.32 0 1-.7 53.7 24 48 27.32 0 1-33.7 32.6l-15 28.9 31.8 16.4 14.8-28.9a24 48 27.32 0 1 7.1-46.5 24 48 27.32 0 1 36.8-33 24 48 27.32 0 1 6.6 1.4 24 48 27.32 0 1-.8 53.7 24 48 27.32 0 1-33.6 32.6l-15 28.9 21.3 11 72.5-140.3L193.1 25.84zM112.3 182.2L18 364.7V494h145c-6.7-1.8-13.4-4.3-19.8-7.6-47.58-24.6-66.26-83.2-41.7-130.7 17.2-33.5 51.4-52.7 86.6-52.5 14.9 0 30 3.5 44.1 10.8 47.5 24.5 66.2 83.2 41.7 130.7-13.2 25.4-36.1 42.6-61.8 49.3h115.1l81.9-158.5-296.8-153.3zm73.8 138.9c-28.1.6-54.9 16.1-68.6 42.8-20.07 38.8-4.9 86.4 33.9 106.5 38.8 20 86.4 4.9 106.5-34 20-38.8 4.9-86.4-34-106.4-11.3-5.9-23.5-8.7-35.4-8.9h-2.4zm13.9 23c25.9 23.7 33.3 72.4 13.3 98.8-10.2 13.7-34.6 13.8-50.5 7.6-14.5-5.7-31.5-21.3-29.1-36.7 3.3-21.3 40.2-23.7 47.3-13 0 0-21.8 1.9-20.4 9.3 1.4 8.5 18.9 7.4 25.7 2.3 18.6-14 18-36.8 13.7-68.3z"}}]})(props);
};
function GiMaterialsScience (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.977 22.395c-16.8 0-32.49 7.65-45.864 20.177-13.372 12.53-24.82 29.98-34.363 51.117-2 4.428-3.91 9.03-5.736 13.777-5.035-.793-9.986-1.442-14.83-1.926-5.77-.575-11.4-.932-16.87-1.06-16.42-.39-31.427 1.275-44.58 5.262-17.536 5.317-32.006 15.083-40.406 29.63-8.4 14.55-9.62 31.964-5.457 49.81 4.165 17.845 13.552 36.484 27.087 55.318 2.84 3.95 5.874 7.912 9.076 11.873-3.198 3.957-6.228 7.913-9.064 11.86-13.536 18.833-22.923 37.472-27.087 55.318-4.164 17.846-2.943 35.26 5.457 49.807 8.4 14.55 22.87 24.315 40.406 29.63 17.537 5.318 38.373 6.507 61.45 4.202 4.838-.484 9.78-1.13 14.808-1.922 1.83 4.755 3.743 9.366 5.746 13.802 9.543 21.14 20.99 38.587 34.363 51.116 13.373 12.528 29.065 20.18 45.864 20.18 16.798 0 32.49-7.652 45.863-20.18 13.372-12.53 24.82-29.977 34.363-51.116 2.003-4.436 3.916-9.045 5.746-13.8 5.022.79 9.96 1.437 14.794 1.92 23.078 2.304 43.915 1.115 61.45-4.202 17.538-5.316 32.008-15.082 40.408-29.63 8.4-14.55 9.62-31.962 5.457-49.807-4.165-17.845-13.553-36.484-27.087-55.318-2.837-3.946-5.867-7.902-9.065-11.86 3.202-3.96 6.237-7.92 9.076-11.872 13.535-18.834 22.922-37.473 27.086-55.318 4.164-17.846 2.943-35.26-5.457-49.81-8.4-14.547-22.87-24.313-40.406-29.63-13.152-3.987-28.16-5.652-44.578-5.263-5.474.128-11.105.485-16.874 1.06-4.84.484-9.787 1.133-14.817 1.925-1.828-4.746-3.738-9.347-5.737-13.776-9.543-21.14-20.99-38.59-34.363-51.118-13.373-12.528-29.065-20.177-45.863-20.177zm0 18.687c11.205 0 22.192 4.923 33.086 15.13 10.893 10.205 21.297 25.653 30.107 45.167 1.404 3.11 2.765 6.334 4.086 9.643-21.417 4.762-44.1 12.068-67.285 21.83-23.18-9.76-45.86-17.064-67.273-21.826 1.322-3.31 2.68-6.536 4.086-9.648 8.81-19.515 19.214-34.963 30.108-45.17 10.894-10.205 21.88-15.128 33.087-15.128zm-123.59 82.057c1.804-.018 3.637-.006 5.498.036 4.96.11 10.117.43 15.443.963 3.406.34 6.887.775 10.424 1.288-6.586 20.927-11.6 44.222-14.742 69.18-20.048 15.2-37.718 31.194-52.55 47.363-2.212-2.805-4.33-5.6-6.327-8.378-12.495-17.386-20.67-34.12-24.063-48.658-3.392-14.538-2.16-26.513 3.442-36.217 5.602-9.704 15.36-16.757 29.644-21.088 9.375-2.843 20.6-4.375 33.23-4.49zm247.168 0c12.63.115 23.855 1.647 33.23 4.49 14.286 4.33 24.04 11.383 29.643 21.087 5.602 9.704 6.835 21.68 3.443 36.217-3.39 14.537-11.57 31.272-24.063 48.658-1.997 2.778-4.113 5.573-6.325 8.38-14.83-16.167-32.495-32.157-52.537-47.355-3.14-24.962-8.16-48.26-14.746-69.19 3.533-.513 7.01-.95 10.413-1.288 5.326-.533 10.483-.853 15.444-.964 1.86-.042 3.693-.054 5.498-.037zm-49.92 5.64c4.97 15.438 9.085 32.472 12.156 50.7-9.716-6.567-19.876-12.932-30.446-19.035-10.565-6.1-21.15-11.713-31.69-16.843 17.32-6.455 34.127-11.407 49.98-14.82zm-147.317.003c15.85 3.414 32.655 8.366 49.97 14.82-10.54 5.13-21.125 10.743-31.69 16.842-10.566 6.1-20.72 12.462-30.434 19.024 3.07-18.223 7.184-35.253 12.154-50.687zm73.653 24.46c15.207 6.708 30.643 14.504 46.03 23.388 15.393 8.888 29.87 18.36 43.285 28.18 1.796 16.527 2.762 33.798 2.762 51.57 0 17.762-.963 35.026-2.758 51.546-13.415 9.818-27.89 19.288-43.278 28.174-15.39 8.885-30.83 16.684-46.04 23.392-15.212-6.708-30.652-14.507-46.042-23.392-15.385-8.883-29.854-18.35-43.264-28.164-1.795-16.523-2.76-33.79-2.76-51.557 0-17.775.965-35.048 2.762-51.577 13.413-9.817 27.885-19.288 43.273-28.172 15.388-8.883 30.824-16.68 46.03-23.386zm1.264 28.116l-53.502 33.017 53.502 33.02 53.502-33.02-53.502-33.018zm-110.76 39.134c-.827 11.698-1.257 23.68-1.257 35.885 0 12.198.43 24.172 1.258 35.864-14.25-11.77-26.943-23.85-37.827-35.873 10.884-12.022 23.577-24.104 37.827-35.876zm219.005.01c14.243 11.77 26.933 23.847 37.813 35.867-10.88 12.02-23.57 24.097-37.813 35.864.826-11.688 1.256-23.66 1.256-35.855 0-12.204-.43-24.18-1.257-35.876zm-173.8 8.394v65.198l56.19 34.677v-65.195l-56.19-34.68zm131.058.034l-56.177 34.67v65.164l56.178-34.67v-65.164zm-226.28 41.84c14.834 16.17 32.502 32.16 52.548 47.36 3.14 24.955 8.156 48.248 14.74 69.175-3.53.51-7.006.947-10.406 1.287-21.304 2.127-39.887.84-54.172-3.49-14.286-4.33-24.04-11.386-29.643-21.09-5.602-9.705-6.835-21.68-3.443-36.217 3.392-14.537 11.568-31.272 24.063-48.658 1.993-2.775 4.107-5.566 6.314-8.367zm319.024.003c2.207 2.8 4.32 5.59 6.313 8.364 12.494 17.385 20.67 34.12 24.062 48.657 3.392 14.537 2.162 26.512-3.44 36.217-5.604 9.704-15.36 16.76-29.646 21.09-14.284 4.33-32.864 5.617-54.168 3.49-3.397-.34-6.868-.775-10.395-1.285 6.585-20.932 11.6-44.23 14.74-69.19 20.04-15.196 37.706-31.182 52.535-47.345zm-73.687 62.483c-3.07 18.226-7.184 35.26-12.154 50.697-15.854-3.413-32.663-8.368-49.984-14.822 10.542-5.132 21.13-10.746 31.7-16.848 10.567-6.1 20.724-12.464 30.44-19.027zm-171.635.01c9.71 6.56 19.862 12.92 30.424 19.017 10.57 6.102 21.16 11.716 31.7 16.848-17.316 6.453-34.12 11.407-49.973 14.82-4.97-15.434-9.08-32.464-12.15-50.685zm86.37.85l.68.42.677-.42h-1.356zm-.56 45.767c23.19 9.76 45.874 17.065 67.294 21.826-1.324 3.32-2.686 6.55-4.094 9.67-8.81 19.513-19.214 34.96-30.108 45.167-10.893 10.206-21.88 15.13-33.085 15.13-11.206 0-22.193-4.924-33.086-15.13-10.893-10.206-21.297-25.654-30.107-45.168-1.408-3.12-2.77-6.352-4.095-9.67 21.416-4.762 44.098-12.066 67.283-21.825z"}}]})(props);
};
function GiMatryoshkaDolls (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M106.11 114c-16.917 0-33.632 6.96-44.728 20.74-11.096 13.781-17.187 34.731-11.12 64.867 6.466 32.127-10.65 58.98-18.235 88.436 49.67 20.126 98.497 20.125 148.168-.002-7.587-29.455-24.703-56.308-18.237-88.434 6.067-30.136-.025-51.086-11.12-64.867C139.74 120.96 123.027 114 106.11 114zm0 28.451c25.227 0 45.75 20.876 45.75 46.246s-20.523 46.248-45.75 46.248c-25.226 0-45.75-20.878-45.75-46.248 0-25.37 20.524-46.246 45.75-46.246zm135.702 30.28c-12.97 0-25.741 5.368-34.236 16.02-8.495 10.654-13.295 26.955-8.53 50.86 2.685 13.466.457 25.709-3.162 37.551a225.344 225.344 0 0 1 2.01 7.424c2.255 9.012 3.805 18.648 4.08 28.957 32.189 7.421 64.15 5.874 96.434-4.658-6.3-22.416-18.94-43.637-13.829-69.274 4.766-23.905-.034-40.206-8.529-50.86-8.495-10.652-21.268-16.02-34.238-16.02zm0 23.355c19.262 0 34.943 15.992 34.943 35.322 0 19.33-15.68 35.32-34.943 35.32-19.262 0-34.942-15.99-34.942-35.32s15.68-35.322 34.942-35.322zm111.666 15.826c-10.443 0-20.69 4.32-27.508 12.889-6.817 8.568-10.78 21.75-6.853 41.49 2.608 13.112-.106 24.777-3.836 35.973a190.78 190.78 0 0 1 1.523 5.724c1.716 6.924 2.92 14.325 3.23 22.221 26.665 5.921 53.124 4.783 79.868-3.428-5.025-19.207-16.604-37.66-12.063-60.49 3.927-19.74-.034-32.922-6.851-41.49-6.818-8.568-17.067-12.889-27.51-12.889zm0 16.108c14.997 0 27.205 12.496 27.205 27.5 0 15.003-12.208 27.5-27.205 27.5-14.997 0-27.203-12.497-27.203-27.5 0-15.004 12.206-27.5 27.203-27.5zM445 247.03c-8.179 0-16.165 3.376-21.482 10.075-5.317 6.7-8.532 17.09-5.356 33.1 1.979 9.97.42 18.88-2.126 27.287a171.062 171.062 0 0 1 1.642 6.098c1.582 6.396 2.645 13.296 2.774 20.705 20.521 3.756 40.911 2.828 61.5-2.82-4.009-15.816-14.048-31.45-10.116-51.27 3.177-16.01-.039-26.4-5.355-33.1-5.317-6.699-13.302-10.076-21.48-10.076zm0 15.279c10.918 0 19.786 9.155 19.786 20 0 10.844-8.868 20-19.786 20-10.917 0-19.787-9.156-19.787-20 0-10.845 8.87-20 19.787-20zm-261.377 43.673c-51.428 19.8-103.599 19.8-155.027.002C25.7 330.867 30.911 359.371 59.083 398h94.053c28.174-38.63 33.386-67.134 30.488-92.018zm118.307 20.582c-33.483 10.417-67.25 12.098-100.824 5.051-1.519 12.403-5.062 25.698-11.447 39.973 3.688 8.107 8.769 16.853 15.613 26.412h73.08c21.52-30.059 25.67-52.093 23.578-71.436zm100.795 18.084c-27.762 8.009-55.763 9.218-83.598 3.637-1.246 8.91-3.765 18.375-7.965 28.416 2.976 6.535 7.033 13.578 12.502 21.299h59.627c15.662-22.11 19.957-38.763 19.434-53.352zm81.385 14.832c-21.662 5.496-43.488 6.393-65.205 2.729-1.263 6.67-3.351 13.68-6.508 21.043 2.23 4.566 5.109 9.45 8.81 14.748h47.584c10.984-15.718 14.876-27.87 15.319-38.52z"}}]})(props);
};
function GiMatterStates (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M288.3 13.4c-12.3-.01-23 6.49-27.3 15.31l-2.9 5.95-6.6-1.01c-5.5-.85-11.3-1.32-17.1-1.32-18.8 0-35.7 4.5-47.3 11.14-11.5 6.64-16.9 14.59-16.9 22 0 7.42 5.4 15.37 16.9 22 11.6 6.64 28.5 11.13 47.3 11.13 7.5-.02 14.9-.74 21.8-2.13l6.3-1.23 3.2 5.46c5.6 9.2 23.7 18.2 44.7 18.2 13.9 0 26.4-3.6 34.8-8.8 8.4-5.2 12.2-11.23 12.2-16.9 0-5.09-3-10.48-10-15.44-6.9-4.97-17.6-8.87-30-9.95l-18.3-1.59 12.5-13.49c4.1-4.41 6.1-9.6 6.1-14.87 0-12.88-12.4-24.46-29.4-24.46zM152.2 65.46C84.8 102.3 39 173.9 39 256c0 32.1 7 62.6 19.54 90 5.95-7.9 10.48-13.4 12.67-16C62.05 307.2 57 282.2 57 256c0-74 40.27-138.5 100.1-172.78-3.1-5.39-4.9-11.34-4.9-17.74v-.02zm210.7 1.75c7.5 6.93 12.5 15.9 12.5 25.99 0 1.14-.1 2.27-.2 3.38C423.7 132.9 455 190.7 455 256c0 23.7-4.2 46.5-11.8 67.6l18.3 2.2c7.4-21.9 11.5-45.4 11.5-69.8 0-80.8-44.4-151.5-110.1-188.79zm58.6 270.49c-11.1.2-23 1.1-35.9 3.1l-.5.1-.5.1c-25.8 7.3-37.1 15.2-46.4 24.7l-2.2 2.2-.3 3.1c-3.4 29.6-5.8 60 0 91.8l1.3 6.8 6.8.6c30.6 2.6 58.7 1.4 86.2 0l1-.1.9-.2c18.5-5.2 34.4-12.8 46.4-24.6l1.7-1.6.6-2.2c10-33.4 3.4-63.8.4-92.7l-.8-7.4-7.3-.7c-16.2-1.5-32.8-3.2-51.4-3zM79.62 348.2c-4.94 6.1-11.43 14.5-18.58 25.6-12.29 18.9-22.53 42.4-20.51 54.9 1.43 8.8 6.97 19.6 14.51 27.6 7.54 7.9 16.69 12.8 24.58 12.8 7.87 0 17.03-4.9 24.58-12.8 7.5-8 13.1-18.8 14.5-27.6 2-12.5-8.2-36-20.5-54.9-7.15-11-13.64-19.5-18.58-25.6zM427 355.7c1.7 0 3.3 0 5 .1 5.4.1 10.7.4 16 .8-5.9 3.4-12.1 6.8-19.5 9.9l-2.4.2c-19.5 1.4-37.7.3-55.4-2 4.7-2 10.5-4 18.3-6.2 13.8-2.2 26.3-2.9 38-2.8zm38 11.6c2.8 22.9 5 44.5-1 66.6-7 6.3-16 11.4-27 15.4 3-22.5 2-44.8-.5-66.6 11.3-5 20.2-10.2 28.5-15.4zm-112.2 13.1c20.7 3.2 42.3 5.4 65.8 4.5 2.5 23 3.5 45.6-.4 67.8-21.5 1-43.1 1.5-65.8-.1-3.5-24-2.2-47.9.4-72.2zm-216.4 34.7c.9 5.5 1 11 .1 16.4-.3 1.6-.6 3.3-1 4.9C170 459.5 211.4 473 256 473c21.6 0 42.5-3.2 62.3-9.1l-2-18.2c-19 6-39.3 9.3-60.3 9.3-44.9 0-86.3-14.8-119.6-39.9z"}}]})(props);
};
function GiMayanPyramid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M217 25v14h78V25h-78zm0 32v46h14V71h50v32h14V57h-78zm32 32v14h14V89h-14zm-64 32v46h30v-46h-30zm48 0v14h46v-14h-46zm64 0v46h30v-46h-30zm-64 32v14h46v-14h-46zm-80 32v46h62v-46h-62zm80 0v14h46v-14h-46zm64 0v46h62v-46h-62zm-64 32v14h46v-14h-46zm-112 32v46h94v-46h-94zm112 0v14h46v-14h-46zm64 0v46h94v-46h-94zm-64 32v14h46v-14h-46zM89 313v46h126v-46H89zm144 0v14h46v-14h-46zm64 0v46h126v-46H297zm-64 32v14h46v-14h-46zM57 377v46h158v-46H57zm176 0v14h46v-14h-46zm64 0v46h158v-46H297zm-64 32v14h46v-14h-46zM25 441v46h190v-46H25zm208 0v14h46v-14h-46zm64 0v46h190v-46H297zm-64 32v14h46v-14h-46z"}}]})(props);
};
function GiMazeCornea (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.063 20.514c-60.516 0-121.033 23.085-167.204 69.256-38.092 38.09-60.454 85.947-67.12 135.51h47.252l-.002 18.69H33.486l-.002 37.335-13.62-.002c2.38 23.163 8.178 46.037 17.382 67.816l45.617-26.34 26.598 46.07-16.183 9.343-17.254-29.882-30.796 17.784C56.107 387 70.31 406.626 87.86 424.176c37.834 37.834 85.302 60.154 134.507 66.986l-.002-44.988h53.196v18.69h-34.507l.002 28.14c65.096 3.84 131.476-19.092 181.213-68.828 17.646-17.647 31.908-37.394 42.81-58.43l-26.174-15.113-17.254 29.883-16.183-9.344 26.597-46.068 40.97 23.654c8.037-19.108 13.455-39.053 16.247-59.295h-47.667V236.27h18.69v34.505h30.804c3.78-65.028-19.158-131.32-68.84-181.004-18.245-18.242-38.734-32.866-60.572-43.9l-15.62 27.054 29.882 17.254-9.344 16.183-46.068-26.596 24.072-41.694c-19.263-7.87-39.353-13.088-59.715-15.664l.002 47.81H231.71v-18.69h34.505l-.002-30.75c-3.715-.173-7.433-.262-11.15-.262zM180.647 53.39l9.344 16.184-29.883 17.254 12.546 21.73c25.148-13.818 53.054-20.736 80.963-20.736 43.077 0 86.156 16.46 119.077 49.38 6.106 6.107 11.644 12.566 16.617 19.306l43.207-24.95 26.6 46.07-16.184 9.343-17.254-29.882-26.118 15.08c37.227 64.406 28.278 148.047-26.867 203.19-4.195 4.197-8.558 8.122-13.062 11.783l7.803 13.51-29.885 17.254 18.67 32.33-16.186 9.346-26.473-45.85c-45.283 17.244-96.464 14.22-139.68-9.062l-15.195 26.312 29.882 17.254-9.343 16.184-46.07-26.598 24.78-42.918c-8.228-5.7-16.067-12.21-23.4-19.543C87.165 327.98 73.88 259.57 94.683 200.395l-46.91-27.082 9.347-16.185 32.33 18.667 17.255-29.883 13.38 7.73c4.404-5.71 9.22-11.205 14.456-16.44 6.993-6.992 14.446-13.234 22.257-18.74L134.58 79.985l46.068-26.597zm72.504 57.018c-37.152.095-74.26 14.304-102.572 42.615v.002h-.002c-56.824 56.827-56.825 149.187 0 206.012h.002v.002c56.825 56.824 149.19 56.824 206.014-.003 41.23-41.23 52.65-100.932 33.99-152.46l-8.295-22.9-5.946 14.663c-2.25 9.23-6.96 17.972-14.137 25.148-20.905 20.905-55.083 20.905-75.988 0-6.89-6.887-11.492-15.22-13.84-24.04-.027-.097-.055-.195-.08-.294-.16-.614-.31-1.23-.446-1.85l-.12-.548c-.118-.56-.23-1.12-.332-1.682-.047-.262-.087-.524-.13-.787-.086-.522-.17-1.044-.24-1.568-.03-.23-.055-.46-.083-.69-1.92-15.857 3.16-32.42 15.27-44.528 7.507-7.508 16.73-12.305 26.434-14.42 19.705-7.247 16.066-6.905-12.795-14.603-20.152-5.61-37.377-8.034-46.708-8.072zm.09 18.668c7.882-.013 15.756.77 23.533 2.213-1.27 1.106-2.548 2.198-3.767 3.417v.002c-20.038 20.04-25.754 49.133-17.162 74.347-.25-.004-.497-.02-.748-.02-26.44 0-47.87 21.434-47.87 47.873 0 26.44 21.43 47.87 47.87 47.87 26.44 0 47.87-21.43 47.87-47.87 0-.8-.02-1.595-.06-2.385 24.655 7.47 52.58 1.506 72-17.914 1.232-1.23 2.337-2.52 3.455-3.805 7.455 39.732-4.12 82.156-34.984 113.02h-.003c-49.69 49.69-129.894 49.69-179.582 0h-.002c-49.69-49.69-49.687-129.894 0-179.585l.002-.002c24.754-24.75 57.083-37.106 89.447-37.162zm70.97 21.32c-8.947 0-17.897 3.44-24.778 10.32-13.763 13.764-13.763 35.795 0 49.557 13.762 13.763 35.793 13.763 49.556 0 13.763-13.762 13.763-35.793 0-49.556-6.88-6.882-15.83-10.322-24.777-10.322z"}}]})(props);
};
function GiMazeSaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196.256 21.322l-28.205 85.29c-22.57 13.108-41.614 30.854-56.2 51.63l-66.834-23.65 40.375 80.273c-6.504 24.305-7.92 50.25-3.372 76.29L18.166 321.63l85.09 28.14c13.108 22.692 30.9 41.838 51.748 56.492l-23.57 66.61 79.908-40.194c24.45 6.6 50.57 8.05 76.783 3.455l30.348 63.588 28.02-84.732c22.83-13.163 42.075-31.066 56.777-52.05l66.443 23.513-40.135-79.802c6.58-24.48 7.998-50.63 3.356-76.87l63.628-30.364-84.92-28.084c-13.162-22.71-31.02-41.86-51.937-56.494l23.59-66.664-80.166 40.322c-12.48-3.326-25.39-5.316-38.523-5.844-12.48-.5-25.16.323-37.86 2.56l-30.49-63.888zm61.78 79.842c1.972.004 3.938.044 5.898.12 17.16.675 33.88 4.133 49.593 10.034l-31.627 35.71 33.116 26.36-14.9 18.65c5.292 3.287 10.21 7.18 14.64 11.616l26.547-33.228-32.352-25.752 22.454-25.356c30.827 16.123 56.32 42.248 71.307 75.405l-47.745 2.898 4.777 42.056-23.547 2.633c1.45 6.208 2.123 12.43 2.104 18.567l42.124-4.71-4.668-41.085 33.918-2.06c.656 2.102 1.27 4.227 1.846 6.373 8.98 33.516 6.615 67.36-4.74 97.474l-35.925-31.81-26.36 33.112-18.475-14.76c-3.293 5.29-7.194 10.2-11.633 14.625l33.072 26.42 25.75-32.352 25.55 22.625c-16.174 30.833-42.366 56.303-75.59 71.247l-2.904-47.856-42.057 4.776-2.618-23.406c-6.213 1.435-12.437 2.09-18.574 2.055l4.7 42.035 41.087-4.666 2.062 33.982c-2.01.624-4.037 1.224-6.09 1.774-33.593 9-67.515 6.603-97.683-4.82l31.734-35.836-33.115-26.36 14.78-18.504c-5.28-3.307-10.177-7.224-14.59-11.677l-26.475 33.142 32.35 25.754-22.53 25.44c-30.75-16.183-56.15-42.34-71.06-75.5l47.576-2.888-4.778-42.057 23.6-2.638c-1.426-6.215-2.073-12.44-2.03-18.58l-42.253 4.726 4.668 41.088-33.7 2.048c-.623-2.008-1.22-4.03-1.77-6.078-8.983-33.523-6.614-67.374 4.748-97.494l35.625 31.548 26.36-33.113 18.683 14.927c3.304-5.283 7.218-10.184 11.668-14.602l-33.314-26.61-25.752 32.35-25.248-22.36c16.13-30.74 42.22-56.153 75.312-71.11l2.88 47.453 42.058-4.775 2.654 23.738c6.21-1.44 12.434-2.122 18.57-2.095l-4.732-42.324-41.088 4.667-2.04-33.62c2.098-.654 4.214-1.28 6.358-1.855 13.972-3.744 28.002-5.516 41.795-5.488zm7.796 94.92v27.672c16.05 3.987 28.07 18.578 28.07 35.803 0 17.224-12.02 31.815-28.07 35.8v29.863c2.81-.372 5.63-.91 8.443-1.664 34.82-9.332 55.364-44.915 46.034-79.736-7.052-26.314-29.1-44.465-54.478-47.74zm-18.687.31c-2.19.353-4.38.81-6.57 1.397-34.82 9.33-55.362 44.914-46.032 79.733 6.877 25.665 28.02 43.555 52.602 47.463v-29.908c-15.518-4.354-27.012-18.676-27.012-35.52 0-16.843 11.494-31.165 27.012-35.52v-27.645zm9.873 44.97c-10.16 0-18.196 8.035-18.196 18.195 0 10.158 8.036 18.194 18.196 18.194 10.16 0 18.195-8.036 18.195-18.195 0-10.16-8.036-18.197-18.195-18.197z"}}]})(props);
};
function GiMaze (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M212.125 20.156V59.72H39.53V188.56H69.846V293H39.623V483.03H204.687v-12.936H382v-45.5h95.281V264.53h-25.655V74.813H384.03V20.157H212.126zm18.688 18.688h134.53l-.03 35.968H297V153.938H378.28v46.625h18.69V135.25h-81.283V93.5h117.25v171.03H342V201.47H224.656v9.343l-.03 70.187v9.344h75.467v-18.688h-56.75v-51.5h79.97l-.002 126.78-185.937-.03V252.72h41.656v53.686h18.72V174.062h66.875v-18.687h-85.563v78.654h-60.375V293H88.53V188.562h57.44v-18.687H58.22v-91.47h153.905v30.94H111.437v18.686h119.375V38.845zM342 283.22h116.594v122.686H301.97v18.688h61.31v26.812H204.69v-48.812H110v18.687h76v43.064H58.312V311.72h60.376v53.874h9.343l114.782.03v65H261.5v-65H342v-31.529h66.75v33.844h18.688V315.406H342V283.22z"}}]})(props);
};
function GiMeal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M445.588 56l-.026 384.352c6.881 11.323 14 15.677 19.97 15.648 5.924-.028 12.967-4.434 19.714-15.418L466.82 244.27l-.215-2.391 1.475-1.906c21.174-27.169 28.573-74.108 22.533-113.81-3.02-19.852-9.342-37.82-18.195-50.522-7.424-10.652-16.28-17.447-26.828-19.641h-.002zm-372.375.004l-.016 67.127-12.56-.016V56.008H46.332l.002 67.11H33.756v-67.11h-14.57v103.228c-.001 11.417 6.23 17.748 16.04 21.662l4.06 1.622-.09 4.37c-2 84.57-3.977 169.139-5.962 253.708C40.074 451.79 47.1 456.028 52.95 456c5.85-.028 12.87-4.377 19.623-15.432-2.315-84.547-4.63-169.096-6.941-253.644l-.12-4.4 4.073-1.606c10.324-4.106 17.039-11.074 17.039-21.676V56.004h-13.41zM256 95A161 161 0 0 0 95 256a161 161 0 0 0 161 161 161 161 0 0 0 161-161A161 161 0 0 0 256 95z"}}]})(props);
};
function GiMeatCleaver (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M312.813 24.313L88.5 282.938l65.563 95.718c90.372-68.07 182.097-177.937 254.843-295.844l-96.094-58.5zm9.125 30.03c2.658.03 4.815.813 6.562 2 3.494 2.376 6.438 7.41 6.438 16.376 0 17.928-14.45 41.012-29.657 48.124-7.603 3.555-12.692 2.844-16.186.47-3.494-2.377-6.47-7.412-6.47-16.376 0-17.93 14.48-41.014 29.688-48.126 3.803-1.777 6.967-2.5 9.625-2.468zm102.937 38.188c-73.88 119.784-166.747 231.365-260.25 301.564l42.53 62.125c93.965-68.158 219.3-202.6 281.564-324.845L424.874 92.53zM73.5 294.126c-17.832 17.12-35.684 32.712-53.563 46.844V461.56c27.78-33.634 57.404-75.49 87.75-117.53L73.5 294.124z"}}]})(props);
};
function GiMeatHook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.125 18.656v6.032l54.438 53.906h.03v.03c2.217 2.217 3.63 2.42 6.063 2.032 2.434-.39 5.708-2.133 8.28-4.75 2.575-2.617 4.295-5.977 4.69-8.5.393-2.522.15-3.913-1.876-5.937L47.97 18.655H19.124zM82.47 26.72l21.5 21.53c4.92 4.92 7.263 11.428 7.405 17.594 6.714.273 13.716 3.122 19.22 8.625l17.468 17.468c.34-6.957-1.773-13.648-7.25-19.126l-36.782-36.78c-6.475-6.477-13.824-9.254-21.218-9.313-.113-.002-.23-.002-.343 0zm-42.907 44.5c.058 7.362 2.678 14.552 8.718 20.593l36.782 36.78c5.65 5.652 12.415 7.837 19.376 7.5l-17.72-17.718c-5.363-5.364-8.03-12.332-8.28-18.97-6.285-.08-12.954-2.5-18-7.53l-.032-.03-20.843-20.626zm70.968 13.25c-.31.01-.615.026-.936.06-2.572.284-5.678 1.858-8.125 4.407-2.45 2.55-4.063 5.91-4.345 8.688-.282 2.778.198 4.917 2.813 7.53l76.187 76.19c2.197 2.196 3.592 2.374 6.063 1.968 2.47-.407 5.784-2.178 8.406-4.844 2.62-2.667 4.4-6.098 4.812-8.657.412-2.56.16-3.933-1.844-5.938l-76.187-76.188c-2.667-2.666-4.665-3.29-6.844-3.218zm73.907 43.843l22.344 22.343c4.72 4.72 7.05 10.902 7.345 16.844 6.355.545 12.876 3.377 18.063 8.563l17.468 17.468c.34-6.953-1.772-13.646-7.25-19.124l-36.78-36.78c-6.46-6.46-13.816-9.24-21.19-9.314zm-43.28 44.468c.06 7.362 2.678 14.555 8.718 20.595l36.75 36.78c5.658 5.66 12.433 7.843 19.406 7.5l-17.718-17.718v-.03c-5.076-5.085-7.768-11.573-8.25-17.876-6.042-.275-12.34-2.682-17.156-7.5l-21.75-21.75zm70.937 13.282c-.312.01-.616.028-.938.063-2.572.283-5.677 1.857-8.125 4.406-2.446 2.55-4.03 5.88-4.31 8.657-.284 2.778.166 4.918 2.78 7.532l76.188 76.186c2.196 2.197 3.59 2.407 6.062 2 2.47-.407 5.816-2.177 8.438-4.844 2.62-2.666 4.37-6.097 4.78-8.656.412-2.56.193-3.933-1.812-5.937l-76.187-76.19c-2.668-2.666-4.692-3.29-6.876-3.218zm71.03 29.97c-3.313.05-6.626.415-9.905 1.062l35.124 35.156c6.147 6.147 8.275 14.778 7.094 22.125-1.182 7.347-4.958 13.717-9.938 18.78-4.98 5.066-11.316 8.97-18.72 10.19-7.4 1.218-16.1-1.008-22.31-7.22l-35.845-35.844c-4.095 17.737.565 36.847 14.094 50.376 11.374 11.376 26.703 16.47 41.843 15.375l.062.22c.365-.11.75-.205 1.125-.313 4.49-.42 8.953-1.393 13.28-2.906 30.926-4.998 78.05-2.65 108.783 13.25 37.49 19.398 53.545 58.738 35.843 87.845-17.13 28.168-59.12 36.55-96.25 12.53l26.688-12.155-68.938-31.156 9.125 22.03 23.095 69.407 111.53-5.31 7.97-28.314 27.875-7.97 5.75-111.53-154.313-50.937c3.607-17.396-1.155-35.938-14.375-49.158-10.587-10.587-24.592-15.75-38.687-15.53z"}}]})(props);
};
function GiMeat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440.156 98.063c-4.05-.11-8.044 1.117-11.656 4-1.542 1.23-3.1 2.884-4.47 4.75-22.9 31.22-48.278 57.33-75.186 81-8.76 14.692 10.695 44.406 25.594 44.406 34.144-12.928 69.617-22.516 106.75-26.314 42.628-4.358 17.688-68.134-26.25-45.47 30.3-22.666 7.094-61.79-14.782-62.374zM310.47 108.156c-6.167-.108-12.215 1.172-17.595 4.28-1.576.912-3.042 1.948-4.406 3.095-.038-.056-.09-.13-.126-.186-79.912 66.402-116.334 73.468-158.22 86.844-6.886 2.2-12.27 7.18-16.5 15.5s-6.892 19.843-7.343 33.125c-.9 26.563 6.935 59.927 23.72 89.03 16.72 28.99 43.37 53.946 67.656 67.126 12.143 6.59 23.682 10.167 32.375 10.436 8.694.27 13.915-1.95 17.782-7.375 30.986-43.45 89.343-69.052 156.157-92.25-.005-.006.003-.023 0-.03 2.012-.663 3.967-1.51 5.842-2.594 8.2-4.738 13.535-12.897 16.282-22.125 2.747-9.227 3.22-19.75 2.03-31.25-.953-9.233-3.033-19.127-6.155-29.374-5.916 1.366-11.628 3.157-17.908 5.47 2.835 9.25 4.69 17.978 5.5 25.81 1.007 9.74.403 18.06-1.375 24.033-1.777 5.972-4.412 9.338-7.718 11.25-3.308 1.91-7.543 2.505-13.595 1.06-6.052-1.443-13.55-5.07-21.47-10.81-15.838-11.482-33.334-31.223-47.624-56-14.29-24.78-22.61-49.838-24.624-69.314-1.006-9.738-.403-18.027 1.375-24 1.78-5.973 4.414-9.37 7.72-11.28 1.653-.957 3.52-1.58 5.75-1.782.557-.05 1.147-.067 1.75-.063 1.81.014 3.824.272 6.094.814 6.05 1.444 13.518 5.04 21.437 10.78 8.218 5.957 16.884 14.166 25.314 24.126 5.07-4.055 9.34-8.25 13.406-13.188-8.97-10.46-18.366-19.26-27.75-26.062-9.354-6.78-18.733-11.61-28.094-13.844-2.34-.558-4.674-.935-7.03-1.125-.885-.07-1.776-.108-2.657-.124zm7.967 34.188c-.438.024-.86.063-1.28.125-17.327 2.54-14.97 36.035 5.03 74.56 20 38.528 50.52 67.576 67.844 65.032 5.995-.88 9.263-5.687 10.658-12.875-1.67 2.187-3.847 3.484-6.72 3.907-15.316 2.248-42.316-23.093-60-57.156-17.682-34.064-19.254-63.91-3.937-66.157 3.638-.53 7.69.417 12.345 2.782-8.68-6.8-17.353-10.583-23.938-10.218zM102 325.124c-16.555 1.844-35.304 3.26-57.063 4.376-49.128 2.523-25.555 71.576 30.094 52.22-49.365 29.9 3.86 86.927 26.97 46.75 10.362-18.016 21.88-33.79 34.375-47.814-8.42-9.644-16.078-20.224-22.563-31.47-4.52-7.835-8.462-15.898-11.812-24.06z"}}]})(props);
};
function GiMechaHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.488 29.5l-13.244 39.725 14.381 86.275h16.75l14.38-86.275L265.515 29.5h-19.026zM195 61.5l-40 30h63.709l-3.953-23.725 2.092-6.275H195zm100.152 0l2.092 6.275-3.953 23.725H357l-40-30h-21.848zM69.42 90.727L41.639 257.41 71 286.773V162.375l20.863-41.725L69.42 90.727zm373.16 0l-22.443 29.923L441 162.375v124.398l29.361-29.363-27.78-166.683zM117.563 109.5L89 166.625V400l110 82.5v-87.906l-80-32V211.576l35.393-72.076h72.316l-5-30H117.562zm172.728 0l-5 30h72.272L393 210.375v152.219l-80 32V482.5L423 400V166.625L394.437 109.5H290.291zm-124.684 48L137 215.758v3.742h238v-4.875L346.437 157.5h-64.146l-2.666 16h-47.25l-2.666-16h-64.102zM137 237.5v46h30v-46h-30zm96 0v46h46v-46h-46zm112 0v46h30v-46h-30zm-208 64v48.906l46.678 18.67 27.029-67.576H137zm93.092 0l-29.705 74.262L217 382.406v51.067l39 9.75 39-9.75v-51.067l16.613-6.644-29.705-74.262h-51.816zm71.201 0l27.03 67.576L375 350.406V301.5h-73.707z"}}]})(props);
};
function GiMechaMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M229.096 33l-43.082 71.803 30.744 76.857 15.726 110.098L243.73 303h24.542l11.245-11.242 15.726-110.098 30.744-76.857L282.904 33H265v151h-18V33h-17.904zm-80.77 16l-46.242 57.799 71.719 15.937-7.817-19.539L198.504 49h-50.178zm165.17 0l32.518 54.197-7.815 19.54 71.715-15.938L363.674 49h-50.178zM60.262 115.943l11.353 45.41 131.576 52.631-3.949-27.644-17.346-43.365-121.634-27.032zm391.476 0l-121.634 27.032-17.346 43.365-3.95 27.644 131.577-52.63 11.353-45.41zM89 187.693v73.05l62 74.4v-57.268l16.055-32.111L112 232v-35.107l-23-9.2zm334 0l-23 9.2V232l-55.055 13.764L361 277.875v57.268l62-74.4v-73.05zm-227.986 42.405L169 282.125V390l52-39h70l52 39V282.125l-26.014-52.027-11.115 4.445-9.387 65.7L275.73 321H236.27l-20.755-20.758-9.387-65.699-11.115-4.445zM134.826 343.85l-13.072 91.507L167 462.504V435.5l70-52.5h38l70 52.5v27.004l45.246-27.147-13.074-91.505L361 363.258V426l-76-57h-58l-76 57v-62.742l-16.174-19.408zM243 401l-58 43.5v28.805l9.492 5.695H247v-23h18v23h52.508l9.492-5.695V444.5L269 401h-26z"}}]})(props);
};
function GiMechanicGarage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M426.24 30c-13.635.02-38.617 9.837-47.707 20H68.24c-32 0-32 64 0 64h310.301c9.088 10.16 34.067 19.978 47.7 20 17.123-.025 32.937-13.17 41.5-28h-39.5l-22-24 22-24h39.519c-8.565-14.835-24.39-27.982-41.52-28zm-342 36c8.837 0 16 7.163 16 16s-7.163 16-16 16c-8.836 0-16-7.163-16-16s7.164-16 16-16zm75.77 117c-8 0-13.83 4.038-20.166 8.813-6.336 4.774-12.98 10.944-20.041 17.67-13.752 13.096-29.103 28.29-43.608 38.218l45.407 1.135c11.17-20.948 18.277-40.386 38.408-47.836h71v50.572l18 .45V201h23c11.5 0 30.948 10.484 50.377 26.027 10.483 8.387 21.064 18.01 31.117 27.608l49.611 1.24 49.729-58.018-13.668-11.714-59.237 69.109c-13.952-13.825-29.952-29.196-46.306-42.28C313.06 196.517 292.51 183 272.01 183h-112zM47.986 265.004c-4.995.008-11.034 2.78-15.613 7.36C27.787 276.948 25.01 283 25.01 288c0 13 7.276 32.26 16.633 47.23 4.355 6.97 9.123 13.056 13.38 17.313-.001-.182-.013-.36-.013-.543 0-31.374 25.626-57 57-57 31.373 0 57 25.626 57 57 0 2.37-.163 4.704-.447 7h190.894a56.952 56.952 0 0 1-.447-7c0-31.374 25.626-57 57-57 31.373 0 57 25.626 57 57 0 2.37-.163 4.704-.447 7h9.392l5.035-45.326c-.106-12.823-6.276-21.985-14.603-28.647-8.4-6.72-19.377-10.027-24.377-10.027h-.114l-399.91-9.996zM112.01 313c-21.646 0-39 17.354-39 39s17.354 39 39 39c21.645 0 39-17.354 39-39s-17.355-39-39-39zm304 0c-21.646 0-39 17.354-39 39s17.354 39 39 39c21.645 0 39-17.354 39-39s-17.355-39-39-39zm-215 64v14h110v-14h-110zm48 32v46h14v-46h-14zm-35.438 64l-7 14h98.875l-7-14h-84.875z"}}]})(props);
};
function GiMechanicalArm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M324.563 39.156c-1.138.025-2.285.144-3.438.407-9.223 2.097-15.004 11.275-12.906 20.5.006.032.022.06.03.093l-22.813 28.188-3.25 4 1.688 4.906 13.906 40.563-142.655 24.03c12.343 10.045 19.98 25.555 19.28 42.595-.146 3.584-.664 7.08-1.5 10.437l130.532-53.438-.125-.968c5.93 7.795 15.912 12.005 26.375 10.124 14.91-2.68 24.684-16.683 22.063-31.5-2.294-12.967-13.248-22.02-25.938-22.28-1.812-.04-3.636.1-5.5.436-3.173.57-6.11 1.66-8.75 3.156l-8.343-24.344 18.592-22.968c2.22.41 4.566.407 6.907-.125 9.223-2.1 15.003-11.277 12.905-20.5-1.835-8.07-9.098-13.487-17.063-13.314zm115 29.032c-1.277.04-2.56.218-3.844.562-4.19 1.123-7.587 3.714-9.814 7.063l-38.687-6.126-3.97-.624-3.188 2.437-38.656 29.688c6.234 2.39 11.882 6.11 16.53 10.874l30.314-23.28 37.656 5.968c3.954 5.975 11.386 9.05 18.688 7.094 9.138-2.45 14.542-11.83 12.094-20.97-1.99-7.422-8.55-12.396-15.844-12.686-.42-.017-.856-.014-1.28 0zm-39.188 57.906l-1.875.125-30.375 2.093c.874 2.415 1.57 4.92 2.03 7.53.66 3.716.842 7.42.595 11.032L397.938 145l28.03 9.5c.094.592.186 1.19.344 1.78 2.45 9.14 11.863 14.575 21 12.126 9.138-2.448 14.543-11.862 12.094-21-2.448-9.136-11.832-14.54-20.97-12.094-1.712.46-3.293 1.163-4.717 2.063l-31.564-10.688-1.78-.593zm-34.563 38.5c-2.905 5.672-6.976 10.723-11.937 14.78l42.594 23.564c-.117 1.813.065 3.678.56 5.53 2.45 9.14 11.832 14.574 20.97 12.126 9.138-2.45 14.542-11.862 12.094-21-2.448-9.136-11.833-14.542-20.97-12.094-.408.11-.793.238-1.187.375l-42.125-23.28zm-244.125 4.187c-15.272.178-28.172 10.388-32.156 24.532l63.626-4.125c-4.89-11.59-16.144-19.853-29.72-20.375-.584-.022-1.17-.037-1.75-.03zm33.626 39l-65.688 4.282c3.957 13.412 16.086 23.334 31 23.907 17.34.664 31.975-11.602 34.688-28.19zm8.53 26c-10.032 13.228-26.167 21.558-43.937 20.876-1.114-.043-2.217-.107-3.312-.22l53.47 84.19c8.282-19.396 26.015-33.782 47.155-37.532l-53.376-67.313zm63.813 85.064c-23.575.275-42.9 18.79-43.875 42.5-.28 6.824.998 13.33 3.5 19.187l71.907-49.217c-7.55-7.335-17.78-11.998-29.25-12.438-.768-.03-1.52-.04-2.28-.03zm41.844 28.03l-71.375 48.876c7.424 6.734 17.208 10.987 28.125 11.406 24.605.945 45.182-17.993 46.188-42.47.258-6.297-.803-12.316-2.938-17.81zm-86.406 60.188l-7.47 43.438H280l-9.03-41.563c-11.892 11.045-27.98 17.576-45.408 16.907-16.657-.64-31.6-7.736-42.468-18.78zm-38.53 62.125v24.75h169.374v-24.75H144.563z"}}]})(props);
};
function GiMedalSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M248.563 20.844c-43.486.112-87.294 4.423-131.563 13.843v53.97c93.527-27.524 193.554-20.19 277.844.75V34.968c-45.613-8.42-91.43-13.623-137.594-14.095-2.896-.03-5.788-.04-8.688-.03zm-3.657 68.5c-12.22.072-24.497.58-36.75 1.562V289.47c14.508-5.86 30.758-9.126 47.78-9.126 16.62 0 32.512 3.09 46.75 8.687l.002-196.936c-17.3-1.715-34.878-2.678-52.563-2.75-1.744-.007-3.473-.01-5.22 0zm-55.437 3.47c-14.55 1.76-29.064 4.18-43.407 7.436v180.72l33.156 25.467c3.22-2.642 6.652-5.084 10.25-7.375V92.813zm131.905 1.436v204.156c3.657 2.274 7.125 4.74 10.406 7.375l31.033-24.75V101.126c-13.522-2.72-27.365-5.028-41.438-6.875zm-65.438 204.78c-50.672 0-89.812 32.778-89.812 70.75 0 24.138 15.838 46.124 40.375 58.97l-17.406 60.156 17.937 5.188 12.47-43.03 24.53-.002v44.813h18.69v-44.813h25.06l12.47 43.032 17.938-5.188-16.813-58.156c26.797-12.478 44.344-35.544 44.344-60.97 0-37.972-39.11-70.75-89.783-70.75zm-55.343 41.033l44 48.406-52.063-6.94 8.064-41.467zm109.72 0l8.06 41.468-52.062 6.94 44-48.408zm-55.69 61.687l15.064 29.47h-30.125l15.062-29.47z"}}]})(props);
};
function GiMedal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M140.5 19.156V192.28l21.813 28.532h15.53V19.156H140.5zm56.03 0v201.656h122.064V19.156H196.53zm140.75 0v201.656h12.345l22.094-28.53V19.155h-34.44zM173.94 239.5v18.125H338.03V239.5H173.94zm30.78 36.813l8.032 10.53c-25.262 12.014-45.128 33.46-55.094 59.813l65.03 47.47 5.47 3.968-2.094 6.437-17.312 53.69 45.656-33.064 5.5-3.97 5.47 3.97 62.468 45.22c24.872-19.957 40.78-50.6 40.78-85.063 0-6.494-.573-12.854-1.655-19.032l-58.845 42.94-11-15.095L361.688 347c-10.683-28.55-32.932-51.392-61.125-62.78l6.125-7.908h-38.813l-25.5 78-17.75-5.812 23.594-72.188h-43.5zm-52.374 89.625c-1.123 6.286-1.72 12.76-1.72 19.375 0 32.163 13.84 61.008 35.907 80.937l19.69-61.03-53.876-39.283zm107.562 78.343l-51.53 37.314c15.266 8.124 32.707 12.72 51.25 12.72 18.673-.002 36.218-4.676 51.562-12.908l-51.282-37.125z"}}]})(props);
};
function GiMedallist (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M75.371 28.377L27.027 52.549C42.623 99.323 61.451 155.606 80.44 206.875c19.925 53.796 40.201 101.86 55.05 124.133l1.243 1.865L152.145 487h91.267C226.978 481.65 215 466.15 215 448c0-4.871.865-9.551 2.445-13.896-1.628-3.134-3.22-6.442-4.812-9.913-7.642-16.655-14.483-37.267-20.32-58.84-10.19-37.656-17.3-77.733-18.946-104.525-9-14.793-17.445-31.369-25.547-49.025-26.904-58.636-49.91-129.09-72.449-183.424zm361.258 0c-22.54 54.335-45.545 124.788-72.45 183.424-8.1 17.656-16.546 34.232-25.546 49.025-1.645 26.792-8.756 66.87-18.945 104.526-5.838 21.572-12.679 42.184-20.32 58.84-1.593 3.47-3.185 6.778-4.813 9.912A40.593 40.593 0 0 1 297 448c0 18.15-11.978 33.65-28.412 39h91.267l15.413-154.127 1.244-1.865c14.848-22.272 35.124-70.337 55.049-124.133 18.988-51.269 37.816-107.552 53.412-154.326l-48.344-24.172zM256 105c-18.687 0-36.025 10.529-49.244 29.035C193.537 152.541 185 178.81 185 208c0 29.19 8.537 55.459 21.756 73.965S237.313 311 256 311s36.025-10.529 49.244-29.035C318.463 263.459 327 237.19 327 208c0-29.19-8.537-55.459-21.756-73.965S274.687 105 256 105zm-59.787 192.8c3.19 19.66 7.752 41.702 13.475 62.848 5.662 20.928 12.321 40.816 19.304 56.036.062.134.126.26.188.394a41.119 41.119 0 0 1 13.547-7.844c-6.666-14.749-12.609-33.366-17.422-51.416-4.294-16.1-7.53-30.494-9.094-41.494-7.36-4.977-14.082-11.254-19.998-18.523zm119.574 0c-5.916 7.27-12.639 13.547-19.998 18.524-1.565 11-4.8 25.393-9.094 41.494-4.813 18.05-10.756 36.667-17.422 51.416a41.12 41.12 0 0 1 13.547 7.844c.062-.134.126-.26.188-.394 6.983-15.22 13.642-35.108 19.305-56.036 5.722-21.146 10.284-43.189 13.474-62.847zm-79.375 28.259c1.624 8.15 3.737 17.575 6.283 27.123 3.799 14.245 8.528 29.19 13.305 41.347 4.777-12.157 9.506-27.102 13.305-41.347 2.546-9.548 4.66-18.972 6.283-27.123-6.28 1.91-12.833 2.941-19.588 2.941-6.755 0-13.307-1.031-19.588-2.941zM256 425c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23z"}}]})(props);
};
function GiMedicalPackAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M76 46c-33.24 0-60 26.76-60 60v300c0 33.24 26.76 60 60 60h360c33.24 0 60-26.76 60-60V106c0-33.24-26.76-60-60-60H76zm0 60h360v300H76V106zm150 60v60h-60v60h60v60h60v-60h60v-60h-60v-60h-60z"}}]})(props);
};
function GiMedicalPack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M76 46c-33.24 0-60 26.76-60 60v300c0 33.24 26.76 60 60 60h360c33.24 0 60-26.76 60-60V106c0-33.24-26.76-60-60-60zm120 60h120v90h90v120h-90v90H196v-90h-90V196h90z"}}]})(props);
};
function GiMedicalThermometer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M409.1 26.44c-14.5-.16-28.9 5.01-42.2 18.31l-16.3 16.29 27.6 27.55-12.8 12.71-27.6-27.49-32.4 32.49 27.5 27.5-12.8 12.8-27.5-27.5-32.5 32.4 27.6 27.6-12.8 12.8-27.6-27.6-32.4 32.5 27.5 27.5-12.8 12.8-27.5-27.5-32.5 32.4 27.6 27.6-12.8 12.8-27.6-27.6-16.2 16.3c-.7.7-2.9 4.5-4.5 9.9s-3 12.3-4.4 19.4c-1.4 7-2.8 14.3-4.8 20.9-1.9 6.6-4 12.6-8.9 17.6l-79.26 79.2c-9.72 9.7-12.79 19.6-12.23 29.2.56 9.5 5.16 18.9 12.23 26 7.08 7 16.45 11.6 26 12.2 9.54.5 19.46-2.5 29.2-12.3L173.1 394c5-4.9 11-7 17.6-8.9 6.6-2 13.9-3.4 20.9-4.8 7.1-1.4 14-2.8 19.4-4.4 5.4-1.6 9.2-3.8 9.9-4.5l226.3-226.3c15.2-15.2 19.8-31.8 18-48.46-1.9-16.66-10.7-33.37-23.6-46.24-12.9-12.86-29.6-21.72-46.2-23.58-2.1-.23-4.2-.38-6.3-.38zM422 77.28L434.8 90 113 411.8l11.3 11.3-29.01 29c-6.71 6.7-14.02 10.6-21.34 11.7-7.32 1-14.7-1.1-19.65-6.1-4.95-4.9-7.13-12.3-6.08-19.6 1.04-7.4 5.02-14.7 11.74-21.4l22.6-22.7 6.37-6.3L100.2 399 422 77.28z"}}]})(props);
};
function GiMedicinePills (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M211.1 33c-25.9 0-49.4 2.68-65.7 6.76-8.2 2.04-14.6 4.51-18.2 6.65-1.3.78-1.7 1.18-2.1 1.59.4.41.8.81 2.1 1.59 3.6 2.14 10 4.61 18.2 6.65 16.3 4.08 39.8 6.76 65.7 6.76 25.9 0 49.4-2.68 65.7-6.76 8.2-2.04 14.6-4.51 18.2-6.65 1.3-.78 1.7-1.18 2.1-1.59-.4-.41-.8-.81-2.1-1.59-3.6-2.14-10-4.61-18.2-6.65C260.5 35.68 237 33 211.1 33zm-87 35.13v40.07c6.5 3.3 15 6.6 21.3 8.2 16.3 4.1 39.8 6.8 65.7 6.8 25.9 0 49.4-2.7 65.7-6.8 12-2.9 13.4-3.2 21.3-8.2V68.13c-4.9 2.16-10.5 3.97-16.9 5.57-18.5 4.61-43 7.3-70.1 7.3-27.1 0-51.6-2.69-70.1-7.3-6.4-1.6-12-3.41-16.9-5.57zm8.6 63.47c-8.3 2.9-16.5 8.1-23.2 14.8C98.88 156.9 92.1 171 92.1 184v64c0 5 2.2 9.3 7.86 14.2 5.64 4.8 14.74 9.5 25.94 13.3 22.6 7.5 53.9 11.5 85.2 11.5 31.2 0 62.6-4 85.2-11.5 11.2-3.8 20.3-8.5 25.9-13.3 5.7-4.9 7.9-9.2 7.9-14.2v-64c0-13-6.8-27.1-17.4-37.6-6.7-6.7-14.8-11.9-23.2-14.8-2.6.8-5.4 1.6-8.3 2.3-18.5 4.6-43 7.3-70.1 7.3-27.1 0-51.6-2.7-70.1-7.3-2.9-.7-5.7-1.5-8.3-2.3zM92.1 278.9V344c0 5 2.2 9.3 7.86 14.2 5.64 4.8 14.74 9.5 25.94 13.3 22.6 7.5 53.9 11.5 85.2 11.5 31.2 0 62.6-4 85.2-11.5 11.2-3.8 20.3-8.5 25.9-13.3 5.7-4.9 7.9-9.2 7.9-14.2v-65.1c-7.8 5.6-17.3 10-28.2 13.6-25.4 8.5-58.1 12.5-90.8 12.5-32.8 0-65.4-4-90.8-12.5-10.9-3.6-20.45-8-28.2-13.6zm0 96V440c0 5 2.2 9.3 7.86 14.2 5.64 4.8 14.74 9.5 25.94 13.3 22.6 7.5 53.9 11.5 85.2 11.5 17.5 0 35.2-1.3 51.2-3.7-3.2-4.5-5.2-9.6-5.2-15.4 0-11.8 8.3-21.1 18.7-26.9 6.3-3.6 13.8-6.1 22-7.6 2.2-8.9 9.4-16 17.9-20.8 4.3-2.4 9.2-4.4 14.4-5.9v-23.8c-7.8 5.6-17.3 10-28.2 13.6-25.4 8.5-58.1 12.5-90.8 12.5-32.8 0-65.4-4-90.8-12.5-10.9-3.6-20.45-8-28.2-13.6zM354 413.6c-11.9 0-22.6 2.8-29.5 6.7-2.3 1.3-4 2.6-5.4 3.8 12.6.7 24.2 3.8 33.3 8.9 6.2 3.5 11.7 8.2 15 13.9 3-7.5 9.4-13.6 17-17.8 2-1.1 4.1-2.1 6.3-3.1-1.5-1.8-3.8-3.8-7.2-5.7-6.9-3.9-17.6-6.7-29.5-6.7zm68.7 24.5c-11.9 0-22.6 2.8-29.5 6.7-7 3.9-9.5 8.1-9.5 11.2 0 3.1 2.5 7.3 9.5 11.2 6.9 3.9 17.6 6.7 29.5 6.7 11.9 0 22.6-2.8 29.5-6.7 7-3.9 9.5-8.1 9.5-11.2 0-3.1-2.5-7.3-9.5-11.2-6.9-3.9-17.6-6.7-29.5-6.7zM314.1 442c-11.9 0-22.6 2.8-29.5 6.7-7 3.9-9.5 8.1-9.5 11.2 0 3.1 2.5 7.3 9.5 11.2 6.9 3.9 17.6 6.7 29.5 6.7 11.9 0 22.6-2.8 29.5-6.7 7-3.9 9.5-8.1 9.5-11.2 0-3.1-2.5-7.3-9.5-11.2-6.9-3.9-17.6-6.7-29.5-6.7z"}}]})(props);
};
function GiMedicines (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M217.4 27.43c-27.9.47-53.1 17.11-64.5 42.84l136.5 41.23c6-35.79-15.5-70.49-50.1-81.02-6.2-1.88-12.7-2.91-19.2-3.05h-2.7zm-69.7 60.08c-6.1 35.89 15.4 70.69 50.1 81.19 34.8 10.5 71.9-6.7 86.5-40zm265.5 44.29c-25.3.1-52.2 12.3-72.5 41L215.9 349.7c-33.5 47.4-18.9 97 14.1 120.4 33.1 23.5 84.6 20.8 118.1-26.6l124.7-176.8c33.5-47.5 18.9-97-14.1-120.5-12.4-8.8-27.3-13.9-43-14.4zm-1.8 17.3c1.3 0 2.6 0 3.8.1 12.1.5 23.5 4.8 33.1 11.7 25.7 18.2 38.6 54.5 9.7 95.4l-64.5 91.5c-35.8-9.6-81.8-42.3-102.7-73l64.7-91.6c16.9-23.9 37-33.7 55.9-34.1zM91.25 225.3c-9.62.1-19.11 2.1-27.93 6-33.11 14.5-50.34 51.5-40.24 86.3l130.72-57.1c-13.1-22.1-36.9-35.5-62.55-35.2zm69.65 51.6L30.2 334.1c18.45 31.4 57.3 44 90.6 29.5 33.2-14.6 50.4-51.8 40.1-86.7z"}}]})(props);
};
function GiMedievalBarracks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201.3 20.67l20.2 27.27 84.3 54.26 12.7-20.14-84.4-54.37-32.8-7.02zm109.3.12l-32.7 7-5.2 3.34 20.5 13.17 17.4-23.51zM217.5 66.7l-24 15.44 12.7 20.16 33.3-21.43-22-14.17zm127.3 7.41l-34.9 55.59 17.8 11.5 34.9-55.57-17.8-11.52zm-177.6.1l-17.8 11.52 34.9 55.57 17.8-11.5-34.9-55.59zm199.5 38.89L354 133.3l29.5 19 12.7-20.2-29.5-19zm-221.4.1l-29.5 19 12.7 20.2 29.5-19-12.7-20.2zM38.49 185l-10 30H179.5l-10-30H38.49zm304.01 0l-10 30h151l-10-30h-131zM41 233v30h126v-30H41zm304 0v30h126v-30H345zM25 281v206h175.1L215 367.6c.3-21.7 20.6-32.6 41-32.6s40.7 10.9 41 32.6L311.9 487H487V281H25zm272 86.6l-.1-.7.1 1.1v-.4zm-82 0v.4l.1-1.1-.1.7zm-103-61.4l6.8 7.9c9.9 11.6 19.4 17 26.3 19.7 6.8 2.6 10.2 2.5 10.2 2.5h9v9c0 13.8-5.7 35.1-14.2 55-4.3 10-9.3 19.3-15.1 26.8-5.9 7.4-13.1 13.9-23 13.9s-17.12-6.5-22.98-13.9c-5.87-7.5-10.82-16.8-15.08-26.8-8.52-19.9-14.24-41.2-14.24-55v-9h9s3.39.1 10.24-2.5c6.86-2.7 16.34-8.1 26.26-19.7l6.8-7.9zm288 0l6.8 7.9c9.9 11.6 19.4 17 26.3 19.7 6.8 2.6 10.2 2.5 10.2 2.5h9v9c0 13.8-5.7 35.1-14.2 55-4.3 10-9.3 19.3-15.1 26.8-5.9 7.4-13.1 13.9-23 13.9s-17.1-6.5-23-13.9c-5.8-7.5-10.8-16.8-15.1-26.8-8.5-19.9-14.2-41.2-14.2-55v-9h9s3.4.1 10.2-2.5c6.9-2.7 16.4-8.1 26.3-19.7l6.8-7.9zm-288 26.7c-9.6 9.2-18.95 14.7-26.52 17.6-2.51 1-4.84 1.7-6.96 2.2 1.67 10.4 5.99 26.6 11.96 40.5 3.86 9.1 8.37 17.3 12.62 22.7 4.3 5.5 8 7.1 8.9 7.1.9 0 4.6-1.6 8.9-7.1 4.2-5.4 8.8-13.6 12.6-22.7 6-13.9 10.3-30.1 12-40.5-2.1-.5-4.5-1.2-7-2.2-7.5-2.9-16.9-8.4-26.5-17.6zm288 0c-9.6 9.2-19 14.7-26.5 17.6-2.5 1-4.9 1.7-7 2.2 1.7 10.4 6 26.6 12 40.5 3.8 9.1 8.4 17.3 12.6 22.7 4.3 5.5 8 7.1 8.9 7.1.9 0 4.6-1.6 8.9-7.1 4.2-5.4 8.8-13.6 12.6-22.7 6-13.9 10.3-30.1 12-40.5-2.1-.5-4.5-1.2-7-2.2-7.5-2.9-16.9-8.4-26.5-17.6z"}}]})(props);
};
function GiMedievalGate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 22.604c-10.01 0-20.02 2.388-26.836 7.163-2.162 1.514-6.99 10.97-9.213 20.113-.69 2.84-1.016 5.075-1.446 7.516h74.992c-.43-2.44-.757-4.676-1.447-7.516-2.224-9.142-7.052-18.6-9.214-20.113-6.817-4.775-16.826-7.163-26.836-7.163zM80 26.626l-50.707 126.77h95.814l2.8-7zm352 0l-47.906 119.77 2.8 7h95.813zm-199 48.77v14h46v-14zm-19.438 32l-7 14h98.875l-7-14zm-63.468 32l-24.8 62h261.413l-24.8-62zM25 171.396v318h55v-39s4.074-32 16-32 16 32 16 32v39h80v-39c0-32 42.762-80 64-80 23.75 0 64 48 64 80v39h80v-39s4.074-32 16-32 16 32 16 32v39h55v-318h-92.906l19.2 48H393v183h-18v-135h-46v23h-18v-23h-46v23h-18v-23h-46v23h-18v-23h-46v135h-18v-183H98.707l19.2-48zm14 23h18v32H39zm416 0h18v32h-18zm-318 25v30h46v-7h18v7h46v-7h18v7h46v-7h18v7h46v-30zm-50 71h18v32H87zm320 0h18v32h-18zM256 312.91l2.846.946s24.722 8.202 49.69 22.766c12.483 7.282 25.14 16.154 35.077 26.918C353.55 374.304 361 387.396 361 402.396h-18c0-9-4.55-17.91-12.613-26.645-8.064-8.735-19.406-16.863-30.922-23.58-20.776-12.12-39.553-18.78-43.465-20.142-3.912 1.36-22.69 8.022-43.465 20.14-11.516 6.72-22.858 14.847-30.922 23.583C173.55 384.488 169 393.397 169 402.397h-18c0-15 7.45-28.092 17.387-38.856 9.936-10.764 22.594-19.636 35.078-26.918 24.967-14.564 49.69-22.766 49.69-22.766z"}}]})(props);
};
function GiMedievalPavilion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M238.15 27.912c-6.137-.1-11.52 1.41-13.684 6.233-14.05 31.318-79.7 23.9-79.7 23.9s69.36 30.762 80.006 7.746c3.323-7.183 12.94-3.388 21.86 2.32v14.083h18v-48h-.317v-.048s-14.45-6.044-26.166-6.233zM236.947 106c-11.675 10.48-24.022 20.88-36.828 31.14 7.543 1.584 15.372 2.845 23.365 3.778 4.96-11.815 9.51-23.587 13.463-34.918zm37.367 0c3.978 11.403 8.56 23.254 13.557 35.145 8.025-.903 15.902-2.166 23.516-3.81-12.893-10.323-25.324-20.788-37.073-31.335zm-18.683 1.307c-3.855 11.432-8.343 23.274-13.242 35.177 8.81.44 17.7.483 26.53.114-4.917-11.942-9.42-23.822-13.288-35.29zm-73.588 43.996c-46.038 35.3-96.618 68.54-143.285 97.12 1.217.248 2.053.476 3.333.723 11.547 2.236 25.905 4.6 40.728 6.577 27.893 3.718 58.116 5.65 72.39 3.785 14.247-15.19 33.37-45.538 50.37-79.537 3.562-7.122 7.01-14.403 10.337-21.736-11.72-1.634-23.104-3.952-33.873-6.93zm147.305.097c-10.862 3.144-22.245 5.487-33.89 7.082 3.293 7.25 6.702 14.447 10.223 21.49 17.19 34.378 36.56 65.054 50.855 80.065 12.622 3.79 43.378 2.474 71.686-2.014 16.737-2.653 32.776-6.15 45.017-9.15-46.827-28.652-97.645-62.024-143.89-97.473zm-94.566 8.844c-4.178 9.377-8.56 18.695-13.1 27.776-14.633 29.264-30.29 55.677-45 74.12 52.564 9.756 105.1 9.282 157.805-.113-14.684-18.437-30.307-44.803-44.91-74.007-4.512-9.026-8.87-18.287-13.024-27.606-13.897.935-27.96.852-41.772-.17zM45.14 268.016c1.51 3.31 3.41 6.715 5.756 9.92 6.94 9.49 16.894 17.332 30.103 19.36 12.877 1.98 31.776-2.842 46.542-10.376 5.164-2.635 9.784-5.57 13.52-8.43-17.68.154-39.405-2.097-60.62-4.926-12.575-1.676-24.687-3.616-35.302-5.548zm420.353 1.326c-10.35 2.248-22.076 4.497-34.453 6.46-19.848 3.145-40.16 5.757-57.58 5.046 3.05 2.086 6.51 4.158 10.262 6.072 14.766 7.534 33.665 12.355 46.543 10.377 13.21-2.03 23.16-9.87 30.103-19.36 2.034-2.78 3.725-5.707 5.125-8.595zm-141.68 12.787c-45.28 6.767-90.67 7.142-136.048.265 17.098 14.243 42.385 30.798 67.867 30.798 25.64 0 51.08-16.762 68.18-31.064zm-157.93 5.75l-26.17 183.202c2.46-2.586 5.07-5.418 7.88-8.648 12.418-14.272 27.746-34.338 42.54-56.64 16.338-24.63 31.832-52.305 42.44-77.603-28.778-7.38-52.738-26.782-66.69-40.31zm179.497 0c-13.95 13.528-37.91 32.93-66.69 40.31 10.61 25.3 26.103 52.974 42.442 77.605 14.793 22.3 30.12 42.367 42.54 56.64 2.81 3.23 5.42 6.06 7.88 8.647l-26.172-183.2zm-198.95 8.89c-3.338 2.178-6.917 4.25-10.708 6.185-17.234 8.794-38.335 15.072-57.457 12.135-2.14-.33-4.216-.772-6.233-1.307-.297 11.435-.76 22.815-1.502 34.088l1.15 2.292c4.487 8.96 12.6 14.342 24.655 16.565 11.153 2.055 25.404.882 40.648-3.834l9.446-66.123zm218.405 0l9.445 66.123c15.244 4.716 29.496 5.89 40.65 3.834 12.055-2.223 20.167-7.605 24.655-16.565l1.148-2.29c-.743-11.274-1.204-22.654-1.502-34.09-2.015.536-4.09.98-6.23 1.308-19.123 2.937-40.224-3.34-57.458-12.135-3.79-1.934-7.37-4.007-10.707-6.185zm-113.34 34.32c-11.326 28.27-28.61 57.89-46.363 84.654-7.84 11.82-15.797 22.984-23.465 33.11 49.686-10.67 98.99-11 147.875-.075-7.65-10.106-15.59-21.246-23.41-33.036-17.753-26.763-35.037-56.383-46.363-84.654-1.374.065-2.752.103-4.138.103-1.387 0-2.765-.038-4.137-.103zm-183.21 42.56c-3.772 34.142-10.874 66.95-24.282 97.034 18.45 6.217 51.83 15.22 75.713 13.09l14.49-101.436c-14.543 3.57-28.552 4.41-41.135 2.09-9.224-1.7-17.784-5.3-24.786-10.778zm374.694 0c-7.003 5.478-15.562 9.077-24.788 10.778-12.582 2.32-26.59 1.48-41.132-2.09l14.49 101.435c23.88 2.13 57.262-6.873 75.71-13.09-13.407-30.083-20.51-62.89-24.28-97.033z"}}]})(props);
};
function GiMeditation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M263.375 19.375c-11.768 0-22.676 6.137-31.156 17.22-7.267 9.494-12.397 22.54-13.72 37.25 11.14-4.926 22.473-7.91 33.813-9V83.25c-10.965 1.377-22.008 5.008-33.157 11.03 1.968 12.487 6.703 23.502 13.063 31.814 8.48 11.082 19.387 17.22 31.155 17.22s22.707-6.138 31.188-17.22c6.167-8.06 10.783-18.667 12.843-30.688-12.07-6.832-24.194-10.997-36.406-12.344V64.75c12.676 1.087 25.22 4.516 37.344 10.188-1.155-15.158-6.336-28.614-13.78-38.344-8.482-11.082-19.42-17.22-31.19-17.22zm-46.594 117.25c-10.442 4.8-18.39 11.182-22.593 18.47l-.375-.095-41.625 64.438-50.656-21.97c-29.375-16.118-61.574 24-30.624 41.688l94.47 44.063 38.03-50.064c18.7 33.703 16.77 67.43-10.97 101.156-8.344-.642-16.37-.958-23.967-.906-40.312.278-68.942 10.254-73.907 28.78l.03.002c-4.44 16.58 10.992 36.67 39.126 55.28 55.675 29.297 95.38 38.468 156.968 42.344h1.562l.438.125c.424.026.823.07 1.25.094l-.032.314 92.063 28.72-22.19-53.72L183.595 375.5l5.875-17.72 71.81 23.845 71.845-23.844L339 375.5l-48.094 15.97 94.438 31.374c33.494-20.046 52.528-42.468 47.656-60.656-5.95-22.21-45.925-32.107-99.25-27.782-26.392-33.215-26.196-66.41-9.53-99.625L361 283.22l94.47-44.064c30.95-17.687-1.25-57.806-30.626-41.687l-50.688 21.968L332.562 155h-.062c-4.217-7.246-12.135-13.596-22.53-18.375-.2.27-.392.547-.595.813-11.268 14.725-27.633 24.562-46 24.562s-34.732-9.837-46-24.563c-.203-.265-.394-.543-.594-.812zm-63.686 311l-16.72 40.5 69.876-21.78c-17.624-4.574-34.93-10.634-53.156-18.72z"}}]})(props);
};
function GiMedusaHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M345.922 16.967c-2.945-.022-5.77.279-8.338 1.013-7.587 2.17-17 13.01-21.113 18.131-22.457 9.431-55.087 27.244-58.729 48.803.394 24.83 22.189 35.14 39.953 44.87 32.078 20.146-37.65 54.81-59.11 67.853 5.133 4.488 10.265 8.869 16.05 13.037 23.731-11.939 74.082-27.939 85.847-51.022 1.935-5.5 1.887-11.441.088-16.453-1.798-5.011-4.99-9.014-8.607-12.426-12.665-12.97-61.183-29.337-56.33-43.894 7.136-21.406 32.22-28.468 51.832-35.676 18.628 3.595 43.842 4.083 47.691-3.994 2.16-4.53-25.97 2.068-28.619-7.42-1.168-4.182 42.489-8.82 33.012-13.615-5.88-2.975-20.867-9.112-33.627-9.207zm-153.62 1.463c-2.156.036-4.091.644-5.657 2.047-5.437 5.05-1.09 19.31 5.63 31.046l8.96-6.66-1.6 17.25c4.048 4.62 10.373 7.522 15.258 9.332 7.144 14.57-15.497 23.577-24.143 30.403-6.498-45.04-87.24-35.653-84.393 1.666C94.211 99.512 84.63 87.922 78.33 79.74c-.075-9.696-.993-29.066-6.95-36.865-4.447-5.653-45.385-31.567-50.32-21.281-3.597 7.499 21.843 36.574 32.442 53.777 16.404 23.325 28.135 43.933 54.64 47.604 2.082 16.782 41.596 86.588 66.434 84.287 14.03-2.811 37.2-15.343 47.883-22.31-41.108-11.878-76.999-19.443-94.207-58.507 16.152 1.757 38.07.685 50.687-7.232-7.627 35.882 47.746 53.73 62.356 53.129 17.414-.717 27.352-14.806 19.98-19.088-18.43-7.2-63.853-9.431-62.826-28.512 4.304-23.946 47.48-22.578 35.155-56.416-.522-7.337-1.81-18.054-5.03-25.787L211.76 38.23l9.037-6.029c-5.639-3.336-19.147-13.928-28.494-13.771zm149.327 4.627l15.629 5.447-19.254 3.824zM449.96 34.885c-8.267-.127-17.869 5.295-23.315 8.513l6.848 8.834-17.3-1.25c-3.273 2.883-5.628 7.14-7.104 10.534a337.355 337.355 0 0 0-13.047 9.289c-14.571 10.934-30.966 24.468-38.57 40.088-6.798 13.962-3.662 28.519-1.776 40.79 1.886 12.272 2.6 21.795-1.527 28.104-41.598 10.981-51.047 42.402-6.854 25.512 7.98-3.22 16.512-7.399 21.916-15.66 8.644-13.215 6.182-28.145 4.254-40.69-1.928-12.544-3.246-23.166.168-30.18 4.522-9.288 19.28-23.093 32.916-33.36 6.746-.435 20.503-1.79 29.803-5.888l3.967-16.9 6.213 8.914c8.957-10.66 16.641-28.583 11.025-34.387-2.255-1.562-4.862-2.221-7.617-2.263zM47.99 38.363l15.187 6.578-3.614 9.278zM148.892 87.6c11.892-.085 23.7 3.948 24.363 9.316-1.383 15.602-40.723 12.754-49.024 10.88-2.404-14.717 11.183-20.1 24.66-20.196zm309.66 8.197c-3.3-.016-6.625.538-9.946 1.45-6.902 1.92-13.465 5.271-19.435 8.853-6.048-.753-11.845-.806-15.824.683-17.917 6.707-40.443 36.616-34.953 41.992 23.826 9.676 75.718-38.747 83.166-34.388 25.456 34.856-50.678 37.998-58.805 46.15-14.596 12.147 2.496 52.662-9.201 57.938-31.143 14.045-77.075 6.924-106.78-2.961a187.402 187.402 0 0 1-12.982 6.552c31.862 11.918 55.431 17.583 86.184 19.797 15.81 1.087 34.52 1.651 47.275-9.69 17.289-13.975.876-48.301 10.355-56.57 15.627-13.63 44.955-6.588 56.96-23.08 5.202-7.877 9.517-16.41 9.398-26.378-.12-9.969-3.21-20.985-12.865-27.02-4.1-2.348-8.304-3.308-12.547-3.328zm-45.606 19.435l7.832 6.147-18.529 6.482zM73.857 120a20.14 20.14 0 0 0-2.336.12c-16.049 1.744-29.144 19.933-34.914 34.374-4.168 3.432-8.337 7.367-11.273 11.334l4.953 16.635-9.82-4.65c-2.478 13.7-.242 33.073 7.515 35.32 7.128 2.064 17.12-8.998 23.729-20.797l-10.32-4.26 15.615-7.5c2.336-8.02.447-17.507-1.402-24.646 3.195-5.065 7.622-18.901 14.908-17.842 20.844 3.03 19.535 55.045 24.29 72.445 3.366 11.516 12.706 29.426 24.854 32.99 42.178 12.376 78.88-12.88 114.998-25.699-4.722-3.85-8.433-7.083-12.658-10.795-28.525 7.158-65.186 30.003-92.543 16.27-5.359-3.38-14.622-8.395-17.375-17.815-6.468-22.11-5.037-46.233-13.879-65.963-4.312-9.344-12.858-19.43-24.342-19.521zm401.293 66.475c-.297 0-.686.122-1.176.379-6.702 4.567-24.26 18.901-27.446 32.787-1.6 6.978 2.303 18.628 4.91 25.289-2.504 11.617-12.835 46.004-22.19 46.554-20.892 1.23-31.1-41.082-51.59-44.125-22.223-3.3-25.882 9.389-21.67 22.922 2.628 8.442 16.242-6.331 19.303-5.08 21.607 8.836 21.448 31.273 37.83 41.809-14.835-1.976-28.117-2.762-41.3-.211-29.945-51.308-61.564-40.198-34.919 2.994 2.113 3.425 8.927 5.073 13.053 6.732-5.662 4.965-9.78 12.2-9.54 20.502 1.752 13.756 14.946 19.78 26.212 21.498 12.364 1.592 27.146-1.726 31.576-12.58 2.007-5.26 1.712-11.147-.215-15.902-1.018-2.513-2.417-4.731-4.021-6.78 11.344.416 22.845 2.55 29.79 5.594 18.187 15.095 26.115 35.115 32.893 57.467-2.415 5.33-7.192 10.766-9.423 15.846l8.646 15.06-10.625-2.27c.736 13.905 7.36 32.246 15.426 32.651 7.41.373 14.594-12.69 18.316-25.691l-11.021-1.775 13.476-10.887c.468-7.153-2.613-14.755-5.297-20.295-8.872-27.896-23.127-67.98-47.77-77.66 26.13-2.356 38.815-46.422 41.438-65.86l.232-.066c12.35-14.561 25.533-37.11 20.223-44.518-2.925-4.079-10.735 23.738-20.323 21.475-6.25-8.543 9.657-35.865 5.202-35.86zm-9.905 21.021l-5.95 18.707-6.366-7.652zM52.93 226.662c-4.043.001-7.96.752-11.518 2.438-13.257 6.723-17.751 22.368-16.277 37.673 1.474 15.306 9.066 31.845 23.76 43.663 39.993 27.061 95.958 16.622 121.667-15.323 4.767 33.08-29.298 68.178-57.644 67.38-29.214-.824-64.83-44.993-84.986-23.077C12.86 355.802 29.9 380.6 39.66 394.463c2.968 12.326 2.194 20.675 10.26 29.467 10.1 10.047 32.596 12.806 40.701 13.095 10.615.38-25.369-24.77-22.326-27.867 6.903-7.028 28.344 12.34 28.642 7.33.511-8.575-20.044-19.76-37.658-25.818-4.369-6.808-23.714-32.81-18.277-38.883 8.786-6.433 50.577 31.06 74.031 29.625 26.543-2.397 49.61-17.964 63.446-39.857 3.112-6.337 9.174-21.39 9.43-38.295.446-29.55.398-45.248-24.464-38.178-16.036 4.56-19.645 35.787-53.3 41.578-23.613 3.666-39.378-1.73-49.971-10.25-10.594-8.52-16.104-20.778-17.123-31.361-1.02-10.583 2.604-17.919 6.504-19.897 1.413-.717 3.193-1.157 5.86-.763 14.893 27.609 54.597 49.416 60.624 46.148 6.755-3.662-6.693-38.607-22.08-49.974-3.41-2.52-8.984-4.06-14.992-4.997-7.637-5.28-17.143-8.906-26.037-8.904zm199.674 3.865c-18.923 6.785-32.457 11.475-48.497 17.744 8.745 9.341 20.501 17.216 35.893 23.729-14.27-2.49-27.915 6.555-34.77-7.146 2.043 13.638 1.89 27.52.583 40.246-1.835 17.842-5.592 32.988-10.57 43.246 14.131 20.597 40.022 38.217 60.757 38.656 22.618.518 61.109-28.689 71.59-60.176-7.528-5.477-14.792-12.353-17.531-19.94-2.573-7.488-1.95-14.953-.479-21.716 2.429-11.168 6.86-21.482 8.54-30.863a293.588 293.588 0 0 1-7.882-1.639c-.954 5.92-2.872 13.433-6.656 16.5C295.371 275.823 272 272 272 272c13.648-5.775 24.431-12.624 32.799-20.613-22.826-5.62-39.204-12.938-52.195-20.86zM92.024 248.8l6.82 15.08-16.04-11.32zM240 288c16 4.47 16 4.55 32 0l-16 16zm-32 32s9.351 4.796 20.568 9.137L240 352v-18.92c5.778 1.72 11.418 2.92 16 2.92 4.582 0 10.222-1.2 16-2.92V352l11.432-22.863C294.649 324.796 304 320 304 320l-32 48c-16-7.83-16-7.788-32 0zm160.584 5.9c.317.001.618.04.9.118 5.331 1.467 16.452 9.631 11.903 13.513-5.898 5.034-17.745 1.438-22.979-3.183-2.669-2.357 5.427-10.469 10.176-10.448zm-34.711 28.993c-3.358 5.538-6.772 10.445-10.56 15.097 4.642 2.326 8.366 4.029 11.359 7.881-11.412 24.935-61.757 20.266-49.346 49.934 6.319 12.108 16.302 15.926 28.606 14.353 20.356-2.24 69.464-33.392 80.011-19.336 4.75 6.33-.26 16.706-2.78 24.58-18.205 5.738-41.337 17.764-40.796 26.854.298 5.01 21.737-14.356 28.64-7.328 3.043 3.097-32.94 28.246-22.325 27.867 8.105-.29 30.603-3.049 40.703-13.096 5.172-5.145 8.1-17.452 9.41-24.412 4.843-14.346 10.924-35.626-.08-47.144-9.072-9.138-22.03-9.728-33.496-7.346-21.18 1.212-53.863 27.054-68.479 21.146-10.43-5.673 29.958-21.229 37.06-25.933 6.637-4.766 13.029-12.668 11.995-22.5-3.113-10.074-11.909-16.986-19.922-20.617zm-148.277 11.146c-7.804 24.91-7.598 36.43-31.38 35.402-23.159-1-45.17 14.215-45.31 37.832 3.64 38.338 55.968 37.41 79.076 31.586 8.037-2.546 20.788 3.721 30.836 2.221 18.846-3.287 46.502-28.528 42.098-34.824-3.97-5.676-50.143-3.842-75.66 14.719-13.752 1.276-61.539 5.078-58.354-13.961 5.052-30.196 42.66-14.06 57.639-27.815 7.804-7.542 12.53-18.01 15.738-28.986-5.308-4.79-10.225-10.218-14.683-16.174zM58.21 414.053L73.223 426.7l-16.315-2.78zm175.402 40.36L220.77 464.85l-6.563-7.485zm155.479 17.407l1.304 9.87-16.316 2.78z"}}]})(props);
};
function GiMeepleGroup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 32c-12.442 0-21.39 6.583-26.559 14.852-4.622 7.394-6.544 15.974-6.92 23.486-14.104 6.974-29.73 14.006-42.31 21.195-6.6 3.771-12.353 7.562-16.684 11.639-4.33 4.075-7.527 8.665-7.527 14.08 0 2.304 1.125 4.183 2.393 5.56 1.269 1.378 2.79 2.449 4.521 3.448 3.463 1.998 7.83 3.663 12.633 5.103 7.135 2.141 15.124 3.734 22.072 4.414-6.91 11.908-16.106 22.845-24.168 33.325C36.135 181.213 28 192.827 28 205.73c0 1.844-.019 3.283.145 4.729.163 1.446.577 3.252 2.03 4.682 1.455 1.43 3.235 1.813 4.684 1.97 1.45.16 2.91.141 4.784.141h51.402c3.731 0 6.463.227 9.273-1.58 2.811-1.807 3.835-4.274 5.838-7.961l.041-.074.037-.076s4.48-9.11 9.827-18.15c2.672-4.52 5.575-9.022 8.1-12.212 1.262-1.594 2.443-2.86 3.294-3.574.26-.218.377-.257.545-.35.167.093.285.132.545.35.85.714 2.032 1.98 3.295 3.574 2.524 3.19 5.427 7.691 8.1 12.211 5.345 9.04 9.826 18.15 9.826 18.15l.037.077.04.072c2.004 3.687 3.019 6.14 5.811 7.951s5.519 1.59 9.198 1.59h51.627c1.843 0 3.28.021 4.72-.139s3.226-.557 4.664-1.996c1.438-1.438 1.835-3.225 1.994-4.664.16-1.439.143-2.877.143-4.72 0-12.904-8.135-24.52-17.451-36.631-8.061-10.48-17.257-21.416-24.168-33.325 6.948-.68 14.937-2.27 22.072-4.412 4.803-1.44 9.17-3.108 12.633-5.105 1.732-1 3.253-2.068 4.521-3.445 1.27-1.378 2.393-3.257 2.393-5.561 0-5.415-3.196-10.005-7.527-14.08-4.331-4.077-10.085-7.87-16.684-11.64-12.58-7.19-28.206-14.222-42.31-21.196-.376-7.512-2.299-16.09-6.92-23.484C149.39 38.582 140.442 32 128 32zm256 0c-12.442 0-21.39 6.583-26.559 14.852-4.622 7.394-6.544 15.974-6.92 23.486-14.104 6.974-29.73 14.006-42.31 21.195-6.6 3.771-12.353 7.562-16.684 11.639-4.33 4.075-7.527 8.665-7.527 14.08 0 2.304 1.125 4.183 2.393 5.56 1.269 1.378 2.79 2.449 4.521 3.448 3.463 1.998 7.83 3.663 12.633 5.103 7.135 2.141 15.124 3.734 22.072 4.414-6.91 11.908-16.106 22.845-24.168 33.325C292.135 181.213 284 192.827 284 205.73c0 1.844-.019 3.283.145 4.729.163 1.446.577 3.252 2.03 4.682 1.455 1.43 3.235 1.813 4.684 1.97 1.45.16 2.91.141 4.784.141h51.402c3.731 0 6.463.227 9.273-1.58 2.811-1.807 3.836-4.274 5.838-7.961l.041-.074.037-.076s4.48-9.11 9.827-18.15c2.672-4.52 5.575-9.022 8.1-12.212 1.262-1.594 2.443-2.86 3.294-3.574.26-.218.377-.257.545-.35.167.093.285.132.545.35.85.714 2.032 1.98 3.295 3.574 2.524 3.19 5.427 7.691 8.1 12.211 5.345 9.04 9.826 18.15 9.826 18.15l.037.077.04.072c2.003 3.687 3.019 6.14 5.811 7.951s5.519 1.59 9.198 1.59h51.627c1.843 0 3.28.021 4.72-.139s3.226-.557 4.664-1.996c1.438-1.438 1.835-3.225 1.994-4.664.16-1.439.143-2.877.143-4.72 0-12.904-8.135-24.52-17.451-36.631-8.061-10.48-17.257-21.416-24.168-33.325 6.948-.68 14.937-2.27 22.072-4.412 4.803-1.44 9.17-3.108 12.633-5.105 1.732-1 3.253-2.068 4.521-3.445 1.27-1.378 2.393-3.257 2.393-5.561 0-5.415-3.197-10.005-7.527-14.08-4.331-4.077-10.085-7.87-16.684-11.64-12.58-7.19-28.206-14.222-42.31-21.196-.376-7.512-2.299-16.09-6.92-23.484C405.39 38.582 396.442 32 384 32zM128 294c-12.442 0-21.39 6.583-26.559 14.852-4.622 7.394-6.544 15.974-6.92 23.486-14.104 6.974-29.73 14.006-42.31 21.195-6.6 3.771-12.353 7.562-16.684 11.639-4.33 4.075-7.527 8.665-7.527 14.08 0 2.304 1.125 4.183 2.393 5.56 1.269 1.378 2.79 2.449 4.521 3.448 3.463 1.998 7.83 3.663 12.633 5.103 7.135 2.141 15.124 3.734 22.072 4.414-6.91 11.908-16.106 22.845-24.168 33.325C36.135 443.213 28 454.827 28 467.73c0 1.844-.019 3.283.145 4.729.163 1.446.577 3.25 2.03 4.68 1.455 1.43 3.235 1.815 4.684 1.972 1.45.16 2.91.141 4.784.141h51.402c3.731 0 6.463.227 9.273-1.58 2.811-1.807 3.835-4.274 5.838-7.961l.041-.074.037-.076s4.48-9.11 9.827-18.15c2.672-4.52 5.575-9.022 8.1-12.212 1.262-1.594 2.443-2.86 3.294-3.574.26-.218.377-.257.545-.35.167.093.285.132.545.35.85.714 2.032 1.98 3.295 3.574 2.524 3.19 5.427 7.691 8.1 12.211 5.345 9.04 9.826 18.15 9.826 18.15l.037.077.04.072c2.004 3.687 3.019 6.14 5.811 7.951s5.519 1.59 9.198 1.59h51.627c1.843 0 3.28.021 4.72-.139s3.226-.559 4.664-1.998c1.438-1.438 1.835-3.223 1.994-4.662.16-1.439.143-2.877.143-4.72 0-12.904-8.135-24.52-17.451-36.631-8.061-10.48-17.257-21.416-24.168-33.325 6.948-.68 14.937-2.27 22.072-4.412 4.803-1.44 9.17-3.108 12.633-5.105 1.732-1 3.253-2.068 4.521-3.445 1.27-1.378 2.393-3.257 2.393-5.561 0-5.415-3.196-10.005-7.527-14.08-4.331-4.077-10.085-7.87-16.684-11.64-12.58-7.19-28.206-14.222-42.31-21.196-.376-7.512-2.299-16.09-6.92-23.484C149.39 300.582 140.442 294 128 294zm256 0c-12.442 0-21.39 6.583-26.559 14.852-4.622 7.394-6.544 15.974-6.92 23.486-14.104 6.974-29.73 14.004-42.31 21.193-6.6 3.771-12.353 7.564-16.684 11.64-4.33 4.076-7.527 8.666-7.527 14.081 0 2.304 1.125 4.183 2.393 5.56 1.269 1.378 2.79 2.449 4.521 3.448 3.463 1.998 7.83 3.663 12.633 5.103 7.135 2.141 15.124 3.734 22.072 4.414-6.91 11.908-16.106 22.845-24.168 33.325C292.135 443.213 284 454.827 284 467.73c0 1.844-.019 3.283.145 4.729.163 1.446.577 3.25 2.03 4.68 1.455 1.43 3.235 1.815 4.684 1.972 1.45.16 2.91.141 4.784.141h51.402c3.731 0 6.463.227 9.273-1.58 2.811-1.807 3.836-4.274 5.838-7.961l.041-.074.037-.076s4.48-9.11 9.827-18.15c2.672-4.52 5.575-9.022 8.1-12.212 1.262-1.594 2.443-2.86 3.294-3.574.26-.218.377-.257.545-.35.167.093.285.132.545.35.85.714 2.032 1.98 3.295 3.574 2.524 3.19 5.427 7.691 8.1 12.211 5.345 9.04 9.826 18.15 9.826 18.15l.037.077.04.072c2.003 3.687 3.019 6.14 5.811 7.951s5.519 1.59 9.198 1.59h51.627c1.843 0 3.28.021 4.72-.139s3.226-.559 4.664-1.998c1.438-1.438 1.835-3.223 1.994-4.662.16-1.439.143-2.877.143-4.72 0-12.904-8.135-24.52-17.451-36.631-8.061-10.48-17.257-21.416-24.168-33.325 6.948-.68 14.937-2.273 22.072-4.414 4.803-1.44 9.17-3.106 12.633-5.103 1.732-1 3.253-2.068 4.521-3.445 1.27-1.378 2.393-3.257 2.393-5.561 0-5.415-3.197-10.005-7.527-14.08-4.331-4.077-10.085-7.87-16.684-11.64-12.58-7.19-28.206-14.222-42.31-21.196-.376-7.512-2.299-16.09-6.92-23.484C405.39 300.582 396.442 294 384 294z"}}]})(props);
};
function GiMeepleKing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 28.727l-30.854 30.855-36.058-24.041L199.378 87h113.243l10.291-51.459-36.058 24.041L256 28.727zM189.822 105c-3.877 10.797-5.815 21.922-6.41 32.184 47.396 17.569 95.091 19.4 145.18.064-.591-10.279-2.529-21.428-6.414-32.248H189.822zm154.98 41.05L289.669 311.46l-16-31.998-17.668 53-17.668-53-16 31.998-54.871-164.613-.264-.791c-26.01 12.556-53.086 25.22-75.662 38.12-14.32 8.184-26.805 16.415-36.203 25.26C45.934 218.28 39 228.24 39 239.99c0 5 2.44 9.075 5.19 12.065 2.753 2.99 6.054 5.312 9.812 7.48 7.515 4.336 16.99 7.95 27.412 11.076 15.483 4.646 32.823 8.1 47.9 9.577-14.996 25.84-34.953 49.575-52.447 72.316C56.65 378.786 39 403.99 39 431.99c0 4-.043 7.123.31 10.26.356 3.137 1.257 7.053 4.41 10.156 3.156 3.104 7.017 3.938 10.163 4.28 3.146.345 6.316.304 10.38.304h111.542c8.097 0 14.026.493 20.125-3.43 6.1-3.92 8.324-9.275 12.67-17.275l.088-.16.08-.166s9.723-19.77 21.324-39.389c5.8-9.808 12.097-19.576 17.574-26.498 2.74-3.46 5.304-6.204 7.15-7.754.564-.472.82-.56 1.184-.76.363.2.62.288 1.184.76 1.846 1.55 4.41 4.294 7.15 7.754 5.477 6.922 11.774 16.69 17.574 26.498 11.6 19.618 21.324 39.389 21.324 39.389l.08.164.088.16c4.346 8 6.55 13.323 12.61 17.254 6.058 3.93 11.974 3.45 19.957 3.45H448c4 0 7.12.044 10.244-.303 3.123-.347 6.997-1.21 10.12-4.332 3.12-3.122 3.983-6.999 4.33-10.122.347-3.122.306-6.244.306-10.244 0-28-17.65-53.203-37.867-79.486-17.493-22.74-37.45-46.475-52.447-72.316 15.077-1.478 32.417-4.93 47.9-9.577 10.422-3.125 19.897-6.739 27.412-11.074 3.758-2.168 7.059-4.49 9.81-7.48 2.754-2.99 5.192-7.065 5.192-12.065 0-11.75-6.934-21.71-16.332-30.554-9.398-8.846-21.883-17.077-36.203-25.26-22.576-12.9-49.652-25.567-75.662-38.123zM190.3 158.433l35.369 106.107 16-31.998L256 275.537l14.332-42.996 16 31.998 35.277-105.828c-44.795 14.197-88.786 12.909-131.31-.28z"}}]})(props);
};
function GiMeeple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 54.99c-27 0-46.418 14.287-57.633 32.23-10.03 16.047-14.203 34.66-15.017 50.962-30.608 15.135-64.515 30.394-91.815 45.994-14.32 8.183-26.805 16.414-36.203 25.26C45.934 218.28 39 228.24 39 239.99c0 5 2.44 9.075 5.19 12.065 2.754 2.99 6.054 5.312 9.812 7.48 7.515 4.336 16.99 7.95 27.412 11.076 15.483 4.646 32.823 8.1 47.9 9.577-14.996 25.84-34.953 49.574-52.447 72.315C56.65 378.785 39 403.99 39 431.99c0 4-.044 7.123.31 10.26.355 3.137 1.256 7.053 4.41 10.156 3.155 3.104 7.017 3.938 10.163 4.28 3.146.345 6.315.304 10.38.304h111.542c8.097 0 14.026.492 20.125-3.43 6.1-3.92 8.324-9.275 12.67-17.275l.088-.16.08-.166s9.723-19.77 21.324-39.388c5.8-9.808 12.097-19.576 17.574-26.498 2.74-3.46 5.304-6.204 7.15-7.754.564-.472.82-.56 1.184-.76.363.2.62.288 1.184.76 1.846 1.55 4.41 4.294 7.15 7.754 5.477 6.922 11.774 16.69 17.574 26.498 11.6 19.618 21.324 39.387 21.324 39.387l.08.165.088.16c4.346 8 6.55 13.323 12.61 17.254 6.058 3.93 11.974 3.45 19.957 3.45H448c4 0 7.12.043 10.244-.304 3.123-.347 6.998-1.21 10.12-4.332 3.12-3.122 3.984-6.997 4.33-10.12.348-3.122.306-6.244.306-10.244 0-28-17.65-53.205-37.867-79.488-17.493-22.74-37.45-46.474-52.447-72.315 15.077-1.478 32.417-4.93 47.9-9.576 10.422-3.125 19.897-6.74 27.412-11.075 3.758-2.168 7.058-4.49 9.81-7.48 2.753-2.99 5.192-7.065 5.192-12.065 0-11.75-6.934-21.71-16.332-30.554-9.398-8.846-21.883-17.077-36.203-25.26-27.3-15.6-61.207-30.86-91.815-45.994-.814-16.3-4.988-34.915-15.017-50.96C302.418 69.276 283 54.99 256 54.99z"}}]})(props);
};
function GiMegabot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M231.732 22.063L256 62.508l24.268-40.446L256 34.313zm-10.783 17.01a108.982 108.982 0 0 0-7.02 7.67c-10.614 12.81-18.59 44.316-21.583 56.257h23.61c1.65-8.502 5.383-33.391 10.327-41.63a76.828 76.828 0 0 1 4.235-6.349zm70.102 0l-9.569 15.948a76.828 76.828 0 0 1 4.235 6.348c4.944 8.24 8.676 33.129 10.328 41.631h23.61c-2.993-11.94-10.97-43.447-21.585-56.258a108.982 108.982 0 0 0-7.02-7.67zM153.412 74.755l-40.096 9.254-21.486 29.752 6.522 23.474L151 124.7V103h9.475zm205.176 0L351.525 103H361v21.7l52.648 12.536 6.522-23.474-21.486-29.752zM240 80a8 8 0 1 0 0 16 8 8 0 0 0 0-16zm32 0a8 8 0 1 0 0 16 8 8 0 0 0 0-16zm-103 41v20.875L181.563 167h42.019c5.75-7.427 13.98-12.846 23.418-14.984v-20.287L236.271 121zm106.729 0L265 131.729v20.287c9.437 2.138 17.667 7.557 23.418 14.984h42.02L343 141.875V121zM151 144.664l-21.066 3.555-6.647 33.234a43.003 43.003 0 0 1 20.467 9.465l16.168-26.95zm210 0l-8.922 19.305 16.168 26.949a43.003 43.003 0 0 1 20.467-9.465l-6.647-33.234zM256 169c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zm-55 16v14h14.615a40.734 40.734 0 0 1-.615-7c0-2.386.218-4.722.615-7zm95.385 0c.397 2.278.615 4.614.615 7s-.218 4.722-.615 7H311v-14zm-180.457 13.88c-13.245.104-27.387 10.127-33.78 27.216-2.873 7.68-3.621 15.307-2.681 22.177 3.907-1.326 7.72-1.573 11.105-1.45 8.12.294 14.768 2.896 14.768 2.896s6.724 2.4 13.043 7.508c3.008 2.43 6.121 5.59 8.267 9.955 5.665-4.63 10.506-11.182 13.567-19.364 7.868-21.032-.145-41.693-15.37-47.388-2.854-1.068-5.863-1.573-8.92-1.55zm280.144 0c-3.056-.023-6.065.48-8.92 1.548-15.224 5.695-23.237 26.358-15.369 47.39 3.061 8.182 7.902 14.735 13.567 19.364 2.146-4.366 5.26-7.524 8.267-9.955 6.319-5.107 13.043-7.508 13.043-7.508s6.649-2.602 14.768-2.897c3.386-.122 7.199.125 11.107 1.451.94-6.87.192-14.499-2.681-22.18-6.394-17.088-20.537-27.11-33.782-27.212zM201 217v1.438l21.223 10.61 6.511-6.51a41.582 41.582 0 0 1-5.152-5.538zm87.418 0a41.582 41.582 0 0 1-5.152 5.537l6.511 6.512L311 218.437V217zm-44.69 16l-17.95 17.951-28.52-14.26-9.873 29.91L233 281.898v18.374L243.729 311h24.542L279 300.271v-18.374l45.584-15.295-9.416-30.122-28.945 14.471L268.27 233zM61.34 247.445c-1.4.108-2.595.366-3.336.703-1.076.49-1.442.674-2.055 2.313-6.14 16.414-3.47 34.046-.72 44.732a100.42 100.42 0 0 0 5.421-4.025c-.06-8.656 1.072-18.097 4.329-27.606-1.955-5.047-3.188-10.484-3.64-16.117zm389.32 0c-.45 5.633-1.684 11.07-3.639 16.118 3.257 9.508 4.39 18.95 4.329 27.605a100.54 100.54 0 0 0 5.421 4.025c2.75-10.686 5.42-28.318-.72-44.732-.613-1.64-.98-1.823-2.055-2.313-.74-.337-1.936-.595-3.336-.703zM89.92 264.811c-2.26-.082-4.258.265-5.334.755-1.076.49-1.442.674-2.055 2.313-6.14 16.414-3.47 34.045-.72 44.732 9.088-6.258 22.677-17.806 28.818-34.22.613-1.64.459-2.018-.031-3.094s-1.772-2.648-3.532-4.07c-3.518-2.845-8.033-4.649-8.033-4.649s-4.591-1.604-9.113-1.767zm332.16 0c-4.522.163-9.113 1.767-9.113 1.767s-4.514 1.804-8.033 4.649c-1.76 1.422-3.042 2.994-3.532 4.07-.49 1.076-.644 1.455-.03 3.094 6.14 16.414 19.73 27.962 28.818 34.22 2.749-10.687 5.42-28.318-.721-44.732-.613-1.64-.98-1.823-2.055-2.313-1.076-.49-3.073-.837-5.334-.755zm-280.867 13.431c-4.628 4.392-9.834 7.931-15.37 10.455-3.713 8.427-8.69 15.616-13.993 21.627a100.44 100.44 0 0 0 1.449 6.594c9.088-6.259 22.678-17.807 28.818-34.22.613-1.64.457-2.019-.033-3.094-.18-.394-.495-.867-.871-1.362zm229.576 0c-.376.496-.694.968-.873 1.362-.49 1.075-.646 1.454-.033 3.093 6.14 16.414 19.73 27.962 28.818 34.221a100.44 100.44 0 0 0 1.45-6.594c-5.305-6.012-10.283-13.2-13.997-21.629-5.534-2.524-10.738-6.062-15.365-10.453zm-51.785 7.014L297 299.129v8.6l-8.715 8.714 12.848 25.696 10.06-10.06c1.057-10.982 6.498-20.736 14.54-27.481zm-126.52 0l-6.216 19.342c8.04 6.745 13.482 16.5 14.539 27.48l10.06 10.06 12.848-25.695L215 307.73v-8.6c-7.25-4.82 0 .273-22.516-13.873zM160 313c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zm192 0c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zm-155.041 40.688c-3.93 8.143-10.484 14.806-18.537 18.894l6.308 25.234-17.46 4.368-6.303-25.207c-.323.008-.643.023-.967.023-8.03 0-15.536-2.354-21.88-6.39l-1.12 1.119v25.324L156.03 433l46.407-10L215 397.875v-26.146zm118.082 0L297 371.728v26.147L309.563 423l46.408 10L375 397.053v-25.324l-1.12-1.12C367.537 374.646 360.03 377 352 377c-.324 0-.644-.016-.967-.023l-6.303 25.207-17.46-4.368 6.308-25.234c-8.053-4.088-14.607-10.75-18.537-18.894zM176 441c-12.82 0-26.656 6.6-37.19 16.936 4.2 1.769 8.076 4.255 11.518 7.21C157.383 459.082 166.28 455 176 455c11 0 20.95 5.223 28.363 12.637 5.328 5.327 9.512 11.968 11.451 19.363h14.31c-4.391-23.86-25.658-46-54.124-46zm160 0c-28.466 0-49.733 22.14-54.123 46h14.309c1.94-7.395 6.123-14.036 11.45-19.363C315.052 460.223 325 455 336 455c9.72 0 18.617 4.082 25.672 10.146 3.442-2.955 7.318-5.441 11.517-7.21C362.656 447.6 348.821 441 336 441zm-211.336 32c-5 0-11.05 2.777-15.637 7.363-1.997 1.998-3.571 4.292-4.802 6.637h31.96a39.015 39.015 0 0 1 2.95-7.729c-4.414-3.928-9.883-6.271-14.47-6.271zM176 473c-5 0-11.05 2.777-15.637 7.363-1.997 1.998-3.571 4.292-4.802 6.637h40.878c-1.23-2.345-2.805-4.64-4.802-6.637C187.05 475.777 181 473 176 473zm160 0c-5 0-11.05 2.777-15.637 7.363-1.997 1.998-3.571 4.292-4.802 6.637h40.878c-1.23-2.345-2.805-4.64-4.802-6.637C347.05 475.777 341 473 336 473zm51.336 0c-5 0-9.051.777-13.637 5.363-1.997 1.998.629 3.56 1.197 8.637h32.88c-1.232-2.345-2.806-4.64-4.803-6.637-4.586-4.586-10.637-7.363-15.637-7.363z"}}]})(props);
};
function GiMegaphone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M383.46 123.668l-4.66 17.387C430.868 155.005 467 202.095 467 256c0 53.904-36.133 100.994-88.2 114.945l4.66 17.387C443.31 372.295 485 317.962 485 256c0-61.963-41.69-116.295-101.54-132.332zM307 147.102c-38.21 31.665-62.18 50.07-92.316 59.488-30.27 9.46-65.937 10.324-129.684 10.4v78.02c63.747.076 99.415.94 129.684 10.4 30.136 9.418 54.107 27.823 92.316 59.488V147.102zm64.035 22.93l-4.658 17.388C397.46 195.748 419 223.822 419 256s-21.54 60.252-52.623 68.58l4.658 17.387C409.902 331.552 437 296.237 437 256c0-40.238-27.098-75.552-65.965-85.967zm-12.424 46.364l-4.657 17.387C364.05 236.49 371 245.547 371 256s-6.95 19.51-17.047 22.217l4.658 17.387c17.885-4.792 30.392-21.09 30.392-39.604 0-18.513-12.507-34.812-30.39-39.604zM67 216.998L60 217c-1.75 0-2.906.44-4.574 1.898-1.668 1.46-3.578 4.104-5.2 7.756C46.977 233.96 45 245 45 256s1.978 22.04 5.225 29.346c1.623 3.652 3.533 6.296 5.2 7.756C57.096 294.562 58.25 295 60 295l7 .002v-78.004zm258 17.316v43.372c3.018-.413 5.432-.966 6.975-1.737 2.39-1.196 3.554-2.3 4.8-5.104C338.022 268.04 339 263.25 339 256s-.978-12.04-2.225-14.846c-1.246-2.804-2.41-3.908-4.8-5.103-1.543-.77-3.957-1.323-6.975-1.736zM87.533 313.027L115.027 423h62.252c-3.437-10.215-11.674-22.83-20.997-38.37-11.1-18.5-22.693-41.56-24.824-71.13-12.897-.304-27.38-.428-43.927-.473z"}}]})(props);
};
function GiMeltingIceCube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M147.7 47.51c-18.5 1.07-20 4.26-25.8 21.09l-61.08 184c-4.93 31.5-43.19 39.2-35.94 75.4 4.32 17.6 38.84 14 44.66 31.1 8.92 26.4-44.79 59.6-25.46 79.7 21.62 22.4 59.92-33.3 90.02-25.2 21.6 5.8 22.5 69.5 44.3 74.4 40.8 9.2 79.6-60.3 119.5-74.3 57.8-19.3 104.6 59.7 134.8 40.7 18.4-13.3-1-39.2-4.4-67.9 1.9-36.6 72.6-21.7 57.7-53.6-9.4-11.6-23.5-18.7-40.4-22.7l39-117.6c4.6-13.6 1.3-20.9-8-27.9L335.9 54.6c-9.1-7.26-16.5-11.45-24.2-13.65-51.4-5.4-110.3 3.4-164 6.56zM271 56.74c14.5 0 25.4 1.17 35.4 4.14 18.9 5.63 34.3 17.44 63.9 40.52 67 52 91.9 73.9 37 78.3-65.6 5.5-112.4 5.5-142.9-20.2l-76.6-64.67c-23.9-20.23-29-32.42 26-35.67 24.4-1.41 42.6-2.46 57.2-2.42zM140.9 83.23c15.7 2.9 41.7 27.67 48.7 33.67 97 83 96 85.3 56.6 190.1-2.9 7.6-5.5 14.5-7.9 20.7-6.4.5-12.8.5-19.2.1 5.6-9.4 9.4-20 11.2-25.4 16.5-49.9 11-92 .2-113-4.8-9.2-10.2-13.6-13.8-14.7-18.4 8.3-17.1 31.8-37 38.4-26.5 6.1-51-13.4-70.7 8.9-17.04 22-13.41 39.3 1.2 58.4 6.2 8.1 14.3 16 23 23.7-16.3-7-31.7-14.3-45.82-20.5-11.37-15.4-11.24-28.4-3.79-50.5L126.4 105c4.5-13.77 7.6-21.67 14.5-21.77zm172.4 19.97c-19.6-.3-31.7 9.7-36 20.5-3.1 7.8-2.3 16.2 3.7 23.8 5.9 7.4 17.7 14.3 37.4 16.2 30.1 2.9 52.4 2.6 66.9.1 24.2-4.2 24.9-10.5 8.6-24.5-9.9-8.3-26.5-18.1-48.4-28.1-10.4-4.4-21.5-7.7-32.2-8zm104 92.9c9.5.1 17 .7 22.7 2.3 23.4 6.6 16.5 29.2-3.6 89.8-2.3 6.8-4.4 13.2-6.4 19.2-5.9-.7-12-1.2-18.3-1.4 5.5-13.5 10.3-29 14.1-46.5 4.6-17.6-7.7-44.3-25.6-30.6-4.5 3.7-8.9 10.1-11.1 20.9-3 13.9-12.5 29.2-25.5 41.7-32.3 22.2-72.6 27.5-107.1 33.8l31-83.4c13.9-37.4 18.2-39.2 95.1-44.3 13.8-.9 25.2-1.5 34.7-1.5zm-105.7 33.6c-5.9 8-5.7 21.7-.8 34.2 5.7 14.3 12.6 17.3 21.2 16.8 8.6-.3 19.7-6.2 28.1-14.7 8.4-8.6 14-19.5 14.3-27.2.1-9.9-8-13.6-15.4-15.8-15-3.4-37.3-6.3-47.4 6.7zm-1.4 202.4c-2.9 0-5.6.6-7.9 2.1-9.2 5.9-1.9 25.4 6.7 32.2 9.1 7.2 31.4 10 34.9-1.1 4.4-13.9-17.9-33.1-33.7-33.2z"}}]})(props);
};
function GiMeltingMetal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M41 19v228h25.5c6.96 61.3 40.5 114.1 88.4 145.4l12.1 61.3-95.35-46.4a9.798 9.145 26.09 0 0-4.66-10.5 9.798 9.145 26.09 0 0-13.18 2.9 9.798 9.145 26.09 0 0 3.67 12.8 9.798 9.145 26.09 0 0 10.55-.1L144.5 496h216.6l33.4-22.3a8.636 11.2 54.07 0 0 .3 1.9 8.636 11.2 54.07 0 0 12.8 3.6 8.636 11.2 54.07 0 0 7.2-13 8.636 11.2 54.07 0 0-3.3-3.9l36.5-24.5-89.6 26.2 32.4-57.5-76.5 43.6 6.2-39.1c66.9-25.1 116.3-88.1 125-164H471V19h-30v155.4C420.1 88.03 345.3 23.87 256 23.87S91.93 87.95 71 174.2V19H41zm215 20.54c96.6 0 175.2 81.96 175.2 183.76 0 76.6-44.5 142-107.8 169.7l4.5-28.1L272 464c.1-47.1 1.5-159.3 34.6-204.7 40.7-16.6 68.4-52.4 68.4-93.3 0-56.3-52.6-103-119-103s-119 46.7-119 103c0 40.9 27.7 76.7 68.4 93.3 33.1 45.4 34.5 157.6 34.6 204.7l-51.8-128 .7 52.9-52.5-90 14.1 71.2c-42.3-33.6-69.66-86.7-69.66-146.8C80.84 121.5 159.4 39.54 256 39.54zM170.7 306.3a11.2 8.634 63.66 0 0-.9.1 11.2 8.634 63.66 0 0-5.7 11.9 11.2 8.634 63.66 0 0 11.6 9.4 11.2 8.634 63.66 0 0 5.8-12 11.2 8.634 63.66 0 0-10.8-9.4zm181 30.9a8.998 12.75 27.2 0 0-10.5 7.9 8.998 12.75 27.2 0 0 2.2 15.5 8.998 12.75 27.2 0 0 13.8-7.3 8.998 12.75 27.2 0 0-2.2-15.4 8.998 12.75 27.2 0 0-3.3-.7zM34.96 348.5a11.06 5.999 47.86 0 0-3.04 1 11.06 5.999 47.86 0 0 2.97 12.2 11.06 5.999 47.86 0 0 11.87 4.2 11.06 5.999 47.86 0 0-2.97-12.3 11.06 5.999 47.86 0 0-8.83-5.1zm363.14 26.3a6.561 14.62 40.07 0 0-12 7.8 6.561 14.62 40.07 0 0-4.4 15.4 6.561 14.62 40.07 0 0 14.5-7 6.561 14.62 40.07 0 0 4.4-15.4 6.561 14.62 40.07 0 0-2.5-.8zm81.2 59.7a7.525 16.82 50.66 0 0-15.5 7.8 7.525 16.82 50.66 0 0-5.7 15.7 7.525 16.82 50.66 0 0 18.7-7.1 7.525 16.82 50.66 0 0 5.7-15.7 7.525 16.82 50.66 0 0-3.2-.7zm-404.79 18a13.68 8.998 27.81 0 0-7.87 3.8 13.68 8.998 27.81 0 0 7.9 14.3 13.68 8.998 27.81 0 0 16.3-1.5 13.68 8.998 27.81 0 0-7.9-14.4 13.68 8.998 27.81 0 0-8.43-2.2z"}}]})(props);
};
function GiMenhir (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M226.502 17.773c-44.12.506-112.97 320.03-100.887 386.12 10.002 54.708 84.118 85.005 133.518 89.68 49.062 4.644 114.82-14.037 126.773-100.86l-7.035 4.04c-.863 1.036-4.473 5.37-9.29 11.084-4.864 5.77-9.245 11.08-12.188 14.186l-.01.01c-.295.312-.594.627-.86.892.433-.43.698-.71.853-.88-.13.162-.287.38-.412.656-.39.86-.95 2.25-1.555 3.895-1.213 3.292-2.647 7.642-3.988 11.91-2.684 8.538-5.018 16.766-5.018 16.766l-2.334 8.232-34.18-7.846-22.105 19.13-38.524-7.142 31.445-10.533 24.308-21.038 26.528 6.088c.954-3.25 1.25-4.41 2.71-9.05 1.39-4.423 2.874-8.952 4.27-12.737.697-1.893 1.362-3.59 2.058-5.12.696-1.533.725-2.56 3.22-5.054.074-.077 6.704-7.657 12.022-13.964 5.318-6.307 10.27-12.252 10.27-12.252l1.035-1.238 20.566-11.817c.035-1.1.074-2.198.093-3.317.154-9.013-6.625-36.675-17.723-72.682l-.414 3.11-36.853 7.065-2.662 11.654-17.548-4.01 5.283-23.11 35.654-6.838 3.114-23.37 2.053.275c-5.364-15.942-11.263-32.673-17.592-49.64l-1.83 5.323-17.023-5.85 7.726-22.474 2.678.92c-10.27-26.297-21.314-52.413-32.593-75.998l-3.32 6.482 15.683 23.94-52.146 19.85 26.675-25.882-11.006-16.797 14.15-27.624c-7.455-14.38-14.925-27.348-22.248-38.298l-13.034 8.812.305-25.86c-10.21-11.97-19.914-18.937-28.61-18.837zm82.244 208.148l22.543 18.314-16.194 3.414-12.586 17.08-36.42-.568.28-17.998 27.15.423zm40.95 94.757l15.833 1.582-1.792 17.907-4.035-.402-17.22 31.104-30.75-20.13-31.03 7.79 31.545-28.964 23.877 15.63zM255.6 389.12l25.033 19-22.643 1.122-26.937 18.248-10.096-14.903z"}}]})(props);
};
function GiMermaid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M193.469 28.412c-17.378 4.426-17.777 17.713-24.166 28.545 15.713 3.49 31.499 5.431 47.31 6.824-19.026 2.612-37.99 5.671-57.69 3.434-3.78 2.08-8.637 3.668-15.062 4.521-38.245 5.079-85.586-7.08-85.586-7.08C73 78.528 89.938 89.776 108.242 98.553c20.597 2.879 41.542 4.01 62.596 4.605-14.231 1.502-28.446 3.14-42.775 3.756 32.652 11.983 65.808 17.573 100.643 15.921-6.721 12.789-23.731 33.608-33.272 39.397-31.955-3.837-47.598-15.35-68.774-31.885l-11.078 14.184c25.514 18.283 58.257 33.97 83.658 36.12 12.047-5.934 21.5-16.053 29.97-26.266l-.044 1.138c19.632 8.81 23.686 9.035 41.809.64 12.495 8.096 28.717 9.24 32.097-6.782 17.973 16.734 25.381 23.735 43.123 32.507 28.711-11.692 55.616-30.207 76.448-46.279l-11.014-14.234c-21.06 15.793-43.916 32.285-64.316 40.746-17.586-9.322-21.863-16.197-34.504-28.453-4.613-9.585-14.124-13.605-22.29-14.487-6.373 5.265-14.388 8.419-22.765 7.182-10.082-1.488-17.546-8.862-21.58-17.723-4.034-8.86-5.23-19.638-3.299-30.898 1.932-11.26 6.675-21.16 13.475-28.422 6.8-7.261 16.363-12.121 26.445-10.633 10.082 1.489 17.55 8.862 21.584 17.723 1.473 3.235 2.563 6.728 3.266 10.404a87.625 87.625 0 0 0 2.601-6.926c7.034-29.675-21.68-38.714-54.35-39.08-20.574.29-43.074 2.777-62.427 7.604zm187.578 7.5c-8.284 0-15 6.716-15 15 0 8.284 6.716 15 15 15 8.284 0 15-6.716 15-15 0-8.284-6.716-15-15-15zM269.453 61.375c-3.875 4.138-7.39 10.945-8.771 18.996-1.382 8.05-.317 15.534 1.982 20.584 2.3 5.05 5.24 7.239 8.135 7.666 2.895.427 6.421-.807 10.297-4.945 3.875-4.139 7.392-10.944 8.773-18.995 1.381-8.05.317-15.535-1.982-20.585-2.3-5.05-5.24-7.237-8.135-7.665-4.243-.231-8.269 2.82-10.299 4.944zm80.23 22.79a9 9 0 1 0 0 18 9 9 0 0 0 0-18zm-79.222 91.854c-14.977 6.472-25.22 5.696-39.422.01 1.657 6.73 4.533 13.244 9.236 19.672-7.69 7.912-9.967 15.823-12.443 23.735 9.483-6.672 20.662-11.111 31.904-13.77 11.493-2.718 23.226-3.79 34.174-3.5 6.357.169 12.435.81 18.06 1.842-4.633-6.1-10.807-12.073-19.199-16.899a90.853 90.853 0 0 0 2.631-6.26c-8.403 1.84-18.083-1.48-24.941-4.83zm16.525 43.493c-19.483.122-39.377 5.801-53.25 17.898-10.861 9.47-16.423 26.89-13.629 41.027 11.581 58.596 119.687 76.114 116.93 135.78-1.093 23.664-27.954 44.51-51.144 49.345-24.584 5.126-70.604-26.283-70.604-26.283 28.785-55.458-.113-92.09-25.201-113.807-2.41 30.637-14.38 61.716-5.627 91.172-38.792-3.27-54.86 4.952-98.57-3.873 18.825 25.928 63.62 59.958 116.382 40.276 0 0 40.045 37.29 65.422 39.492 45.336 3.934 105.162-9.596 127.28-49.365 29.11-52.343-3.15-124.766-33.178-176.588-10.785-18.612-28.317-36.327-49.1-41.88-8.083-2.158-16.854-3.25-25.71-3.194zM72.008 237.058c-8.284 0-15 6.716-15 15 0 8.285 6.716 15 15 15 8.284 0 15-6.715 15-15 0-8.284-6.716-15-15-15zm-15.682 76.297a9 9 0 1 0 0 18 9 9 0 0 0 0-18zm36.381 39.02a9 9 0 1 0 0 18 9 9 0 0 0 0-18z"}}]})(props);
};
function GiMeshBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.625 21.406c-9.43.1-18.883.785-28.313 2.032 16.53 3.31 33.2 9.07 49.563 17.062 11.578 5.655 23.043 12.428 34.25 20.22 6.24-.527 12.432-.842 18.53-.94 7.205-.113 14.287.05 21.25.532 18.135 1.258 35.424 4.61 51.376 10-40.077-30.755-88.92-47.736-138.905-48.843-1.307-.03-2.63-.057-3.938-.064-1.267-.007-2.543-.013-3.812 0zm-58.53 17.407c-1.527-.017-3.05-.007-4.564.03-6.165.155-12.213.775-18.124 1.844 14.393 7.383 29.855 19.437 46.25 35.344 1.53 1.484 3.082 3.014 4.625 4.564 19.142-7.216 38.315-12.535 57.126-16-4.56-2.63-9.134-5.074-13.72-7.313-24.374-11.904-48.703-18.224-71.592-18.468zm-50.532 12.75c-2.23.037-4.117.454-5.657 1.156-.308.14-.593.305-.875.468-.28.162-.567.334-.843.53-4.138 2.95-7.55 9.8-8.406 22.344-.888 13.053 1.234 31.09 6.44 52.22 10.584-7.72 21.785-15.014 33.56-21.813 11.772-6.797 23.68-12.853 35.657-18.157-15.693-15.072-30.22-25.964-41.968-31.72-6.024-2.95-11.025-4.43-15.064-4.874-1.01-.113-1.95-.173-2.844-.157zM110.03 76.686c-19.126 22.58-30.267 53.734-32.78 89.97-.352 5.073-.527 10.253-.53 15.5 12.403-14.554 26.62-28.475 42.436-41.438-.572-2.116-1.135-4.213-1.656-6.282-5.58-22.154-8.272-41.594-7.47-57.75zm222.064 1.75c15.036 12.812 29.39 27.554 42.72 44 2.817-.813 5.595-1.59 8.342-2.312 20.855-5.47 39.537-8.29 55.438-7.438.04.003.083-.002.125 0-22.667-19.712-54.264-31.164-91.095-33.718-5.082-.354-10.27-.53-15.53-.532zM303.97 80.03c-21.562 2.388-44.026 7.507-66.626 15.407 15.99 17.66 32.468 38.536 48.78 61.907 23.995-11.56 47.5-21.334 69.438-28.813-16.066-18.928-33.518-35.214-51.593-48.5zm-85.44 22.626c-13.546 5.663-27.074 12.303-40.405 20-13.326 7.694-25.858 16.07-37.53 24.97 7.092 23.307 17.243 49.447 30.093 77.03 22.672-15.747 46.71-30.66 70.968-44.187 9.165-5.113 18.372-10.008 27.53-14.69-17.127-24.312-34.34-45.67-50.655-63.124zm-149.905 11.28c-38.138 49.677-55.05 112.848-46.875 174.94 3.31-16.508 9.055-33.17 17.03-49.5 5.66-11.587 12.454-23.04 20.25-34.25-1.143-13.604-1.297-26.926-.405-39.782 1.258-18.144 4.608-35.45 10-51.406zm363.97 17.283c-12.153.062-27.47 2.45-44.69 6.968-.277.072-.563.175-.842.25 7.324 10.145 14.27 20.837 20.75 32.062 6.796 11.772 12.82 23.68 18.125 35.656 15.07-15.695 25.963-30.252 31.718-42 5.74-11.714 5.977-19.404 3.594-23.97-3.757-4.786-11.175-8.172-23.656-8.842-1.604-.086-3.264-.134-5-.125zM368 144.093c-22.03 7.154-46.267 17.008-71.22 28.906 9.52 14.358 18.94 29.516 28.095 45.375 9.8 16.972 18.748 33.787 26.844 50.25 22.99-16.374 43.228-32.814 59.905-48.406-5.658-13.54-12.31-27.055-20-40.376-7.307-12.656-15.224-24.584-23.625-35.75zm-243.03 16.22c-18.154 15.63-33.836 32.51-46.69 50 2.655 23.956 8.683 49.022 18.157 74.155 3.003-2.868 6.07-5.736 9.22-8.595 15.034-13.65 31.77-27.124 49.562-40.156-12.562-26.61-22.744-52.088-30.25-75.407zm348.624 13.75c-7.38 14.41-19.445 29.892-35.375 46.31-1.48 1.524-3.02 3.057-4.564 4.595 7.218 19.14 12.566 38.31 16.03 57.124 2.622-4.55 5.05-9.116 7.283-13.688 15.947-32.65 21.904-65.212 16.624-94.344zm-193.72 7.28c-9.68 4.906-19.428 10.06-29.124 15.47-24.617 13.727-49.004 28.972-71.844 44.967 7.554 15.228 15.883 30.787 24.938 46.47 10.09 17.478 20.52 34.067 31.03 49.625 16.8-8.184 34.047-17.31 51.44-27.344l.217-.124c17.484-10.094 34.09-20.518 49.658-31.03-8.224-16.88-17.413-34.185-27.5-51.657-9.384-16.254-19.05-31.77-28.813-46.376zm210.938 45.78c-3.31 16.504-9.054 33.14-17.03 49.47-5.66 11.585-12.45 23.038-20.25 34.25 1.144 13.603 1.297 26.925.406 39.78-1.26 18.17-4.627 35.492-10.032 51.47 38.154-49.677 55.077-112.87 46.906-174.97zm-427.937 6.75c-2.63 4.562-5.073 9.136-7.313 13.72-18.296 37.46-23.392 74.825-13.5 107C50.5 336.134 64.4 317.474 82 298.906c-8.804-21.764-15.182-43.624-19.125-65.03zm355.97 5.157c-16.91 15.315-36.763 31.083-58.94 46.72 11.38 24.628 20.673 48.224 27.658 69.938 18.16-15.637 33.83-32.536 46.687-50.032-2.39-21.56-7.51-44.027-15.406-66.625zM163.53 252.813c-16.314 12.067-31.604 24.464-45.31 36.907-4.935 4.478-9.62 8.988-14.095 13.467 4.927 11.044 10.53 22.057 16.813 32.938 7.698 13.334 16.065 25.883 24.968 37.563 21.845-6.648 46.165-16.024 71.844-27.75-10.192-15.228-20.275-31.392-30.063-48.344-8.714-15.094-16.78-30.074-24.156-44.78zM344.25 296.5c-15.242 10.203-31.404 20.296-48.375 30.094-16.96 9.792-33.77 18.75-50.22 26.844 16.375 22.975 32.79 43.233 48.376 59.906 13.544-5.66 27.05-12.306 40.376-20 13.34-7.702 25.88-16.092 37.563-25-6.65-21.833-16-46.182-27.72-71.844zM90.28 317.844c-19.393 21.894-32.452 42.998-36.718 60.812 3.484 3.39 9.91 6.103 20.782 6.844 13.06.89 31.105-1.287 52.25-6.5-7.722-10.582-15.047-21.76-21.844-33.53-5.272-9.132-10.095-18.36-14.47-27.626zm345.564 15.937c-12.417 14.567-26.635 28.496-42.47 41.47.576 2.125 1.134 4.234 1.657 6.313 5.584 22.167 8.28 41.618 7.47 57.78 19.145-22.583 30.298-53.746 32.813-90 .353-5.093.528-10.293.53-15.562zM228.5 361.626c-24.63 11.385-48.22 20.67-69.938 27.656 15.632 18.16 32.54 33.833 50.032 46.69 21.572-2.386 44.043-7.503 66.656-15.408-15.316-16.91-31.11-36.76-46.75-58.937zm148.813 26.063c-10.587 7.72-21.787 15.013-33.563 21.812-11.782 6.802-23.7 12.846-35.688 18.156 15.702 15.08 30.28 25.96 42.032 31.72 11.292 5.53 18.938 6.013 23.562 3.905.31-.14.594-.305.875-.467.283-.163.57-.335.845-.532 4.138-2.95 7.55-9.798 8.406-22.342.89-13.06-1.256-31.106-6.467-52.25zm-238.282 7.406c-2.124.574-4.233 1.133-6.31 1.656-22.17 5.582-41.62 8.277-57.782 7.47 22.584 19.135 53.75 30.266 90 32.78 5.083.353 10.273.527 15.53.53-14.555-12.406-28.468-26.62-41.437-42.436zm150.25 40.25c-19.134 7.22-38.286 12.56-57.092 16.03 4.553 2.625 9.11 5.078 13.687 7.313 32.65 15.948 65.213 21.903 94.344 16.625-14.412-7.38-29.895-19.444-46.314-35.375-1.534-1.488-3.077-3.038-4.625-4.593zm-177.06 10.312c49.682 38.15 112.863 55.098 174.968 46.906-16.515-3.308-33.158-9.08-49.5-17.062-11.59-5.66-23.063-12.446-34.282-20.25-13.603 1.147-26.925 1.298-39.78.406-18.145-1.258-35.452-4.608-51.407-10z"}}]})(props);
};
function GiMeshNetwork (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M363.6 36.48c-22.2 0-40 17.8-40 40 0 22.23 17.8 40.02 40 40.02s40-17.79 40-40.02c0-22.2-17.8-40-40-40zm-56.7 51.97c-53.2 18.95-108.7 34.95-169 45.25 1.8 4.6 2.8 9.6 2.8 14.8 0 4.8-.8 9.4-2.4 13.6 96.2 12.9 182.8 36 257.8 71.9 1.6-5.9 4.5-11.3 8.3-15.9-71.2-34.3-152.4-57.2-241.5-70.7 53.2-10.6 102.8-25.4 150.4-42.2-3-5.2-5.2-10.79-6.4-16.75zm97.8 28.85c-4.3 4.3-9.2 8-14.6 10.8 15.3 24.8 26 50.6 31.8 77.8 4.3-1.5 9-2.4 13.8-2.4 1.4 0 2.8.1 4.1.2-6.3-30.3-18.2-59.1-35.1-86.4zm-305 8.2c-12.81 0-23 10.2-23 23s10.19 23 23 23c12.8 0 23-10.2 23-23s-10.2-23-23-23zm34.7 44.6c-3.2 5.2-7.5 9.6-12.6 12.9 32.1 32.6 66.1 65.9 120.6 80.4 0-.9-.1-1.9-.1-2.8 0-5.3 1.3-10.3 3.5-14.8-49.5-13.5-80-43.8-111.4-75.7zm-57 12.7c-21.76 67.8-27.12 137.2-32.29 206 2.13-.5 4.34-.7 6.6-.7 3.99 0 7.81.7 11.35 2.1 5.19-68.4 10.57-136 31.29-201.1-6.18-.8-11.94-3-16.95-6.3zm358.3 38.7c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm-41 22.2c-28.4 5.8-56.6 10.8-86 10.5.4 2.1.6 4.2.6 6.4 0 4-.7 7.9-2.1 11.5 32 .6 62-4.7 91.2-10.8-2.4-5.1-3.7-10.8-3.7-16.8zm-118.9 1.4c-8.7 0-15.5 6.8-15.5 15.5s6.8 15.5 15.5 15.5 15.5-6.8 15.5-15.5-6.8-15.5-15.5-15.5zM399 262.7c-55.6 45.9-106.6 94.4-143.1 150.7 5.9 1.8 11.2 5 15.6 9.1 34.9-53.5 84.2-100.8 138.8-145.9-4.7-3.7-8.6-8.5-11.3-13.9zm-152 15c-47.9 46.4-109.6 83.2-172.85 119.5 4.36 4.2 7.56 9.6 9.05 15.6C146.8 376.4 210 338.9 260 290.1c-5.4-2.9-9.9-7.2-13-12.4zm179.4 6.7c1.3 28.8 6 57.3 14.3 85.2 4.8-3.4 10.7-5.6 17-6-7.6-26-11.9-52.3-13.2-79.1-2.9.7-5.8 1-8.8 1-3.2 0-6.3-.4-9.3-1.1zm33.3 97.1c-8.4 0-15 6.6-15 15s6.6 15 15 15 15-6.6 15-15-6.6-15-15-15zM51.71 406.1c-8.07 0-14.42 6.4-14.42 14.4 0 8.1 6.35 14.5 14.42 14.5s14.42-6.4 14.42-14.5c0-8-6.35-14.4-14.42-14.4zm376.49.3c-44.7 24.5-93.8 32.6-144.9 35.6.9 3.4 1.4 6.9 1.4 10.5 0 2.6-.3 5.1-.7 7.5 53.1-3.1 105.8-11.6 154.3-38.5-4.7-4-8.2-9.2-10.1-15.1zM83.91 416.8c.14 1.2.22 2.4.22 3.7 0 5-1.15 9.7-3.19 14l121.86 20.3c-.1-.8-.1-1.5-.1-2.3 0-5.4 1.1-10.6 3-15.4zm159.79 12.7c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23z"}}]})(props);
};
function GiMetalBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M322.248 85.684L61.432 224.717l-41.145 109.94 7.233 3.85 153.673 81.8 308.495-164.215-37.752-99.903-129.688-70.506zm119.035 95.187l25.11 66.45-102.56 54.594L430.39 186.64l10.893-5.77zm-89.576 47.417L284.957 343.9l-41.67 22.182 72.195-118.62 36.225-19.175zM72.38 248.78l28.21 14.933-54.012 54.012L72.38 248.78zm210.827 15.767L211.19 382.87l.26.16-17.208 9.16 5.795-83.618 83.17-44.025zm-165.334 8.312l16.963 8.98-60.445 60.445-16.93-9.012 60.413-60.414zM181.42 306.9l-6.174 89.07-54.1-28.798 60.274-60.272z"}}]})(props);
};
function GiMetalDisc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M279.53 17.594c-25.88 0-50.532 7.233-72.874 20.375L440.75 249.155c.064 2.51.125 5.03.125 7.563 0 48.374-11.77 92.984-31.375 128.905L126.656 130.5c18.283-38.372 48.536-73.165 79.97-92.53l-4.75-3.907h-23c-26.634 21.17-51.19 50.724-67.657 85.374l2.968.032 12.343 11.124c-4.922 10.525-9.25 21.577-12.905 33.125l277.438 250.25c-7.94 10.24-16.614 19.337-25.875 27.155L103.78 205.345c2.375-14.753 6.394-29.394 9.782-41.72L109 159.5H95.406c-3.734 12.13-6.807 24.154-9.125 37.094h7.69l9.78 8.844c-1.135 7.016-2.067 14.14-2.72 21.375l249.626 225.156c-10.244 6.75-21.046 12.017-32.312 15.655l-218.156-196.75c3.004 59.868 22.88 113.578 53.062 152.97 32.824 42.835 77.36 68.624 126.28 68.624 6.896 0 13.707-.53 20.408-1.533.166-.022.333-.04.5-.062.335-.05.665-.102 1-.156 41.91-6.194 79.226-31.575 106.812-68.533 31.904-42.742 51.312-101.145 51.313-165.468 0-17.144-1.398-33.854-4.032-49.97-.132-.816-.265-1.625-.405-2.438-7.573-45.756-25.125-86.527-49.313-118.093-32.823-42.838-77.36-68.626-126.28-68.626zm-76.092.812c-17.844 1.912-34.983 7.274-51.032 15.625h26.72c7.77-5.878 15.89-11.115 24.31-15.624zm-132.72 101c-6.665 12.61-12.44 26.114-17.187 40.375h41.72c4.374-14.114 9.698-27.613 15.875-40.374H70.72zm-26.78 77.03c-1.885 9.768-3.286 19.787-4.22 30h42.594c.874-10.188 2.2-20.2 3.97-30H43.937zm38.5 30.19c-1.088 11.86-1.082 21.727-1.344 32.343H38.438c.8 64.638 21.266 122.89 53.437 164.874 29.497 38.495 68.465 63.195 111.563 67.812-24.67-13.206-46.746-32.573-65.032-56.437-34.936-45.595-56.473-107.688-57.28-176.19h5.624l13.313 11.69c-1.658-13.463-.116-30.614 1.093-43.5l-.656-.595H82.437z"}}]})(props);
};
function GiMetalHand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M283.688 18.813c-38.33 25.823-51.42 66.972-57.282 113.437l57.938 2.97c-2.787-42.22-3.627-85.758-.656-116.407zm-98.313 4.375c-35.286 31.43-43.448 76.698-44.75 126.53l54.813-6.187c-6.11-43.135-10.502-88.38-10.063-120.343zm200.594 24.25c-28.798 31.16-56.436 70.27-67.658 113.5l59.438 13.187c1.11-42.06 3.945-91.463 8.22-126.688zM90.155 65.06c-30.32 35.04-33.082 79.895-28.312 128.375L114.812 180c-11.28-41.052-21.046-83.966-24.656-114.938zM229.97 151.19c-5.35 38.24-6.93 79.505-4.5 116.593l43.905-4.31c3.854-.38 7.62-.625 11.28-.72-2.135-38.26-4.094-73.888-4.624-109.22l-46.06-2.343zm-38.095 11.53l-44.594 5.063c-.775 37.416 1.78 75.885 6.782 107.032l48.625-4.78-10.812-107.313zm130.688 18.313c-7.007 27.123-12.36 56.088-15.782 83.72 17.464 3.32 31.8 10.584 42.876 20.97 2.85 2.67 5.467 5.517 7.875 8.53L367.44 191l-44.875-9.97zM112.78 199.813l-40.81 10.313c3.534 26.614 9.47 53.31 16.405 76.563 5.11-3.96 11.43-6.54 18.344-7.22l25.405-2.5-19.344-77.156zM490.94 262.72c-10.24 26.004-30.77 42.114-61.532 63.092l32.75 47c31.33-30.658 40.613-67.443 28.78-110.093zm-208.47 18.655c-3.582.068-7.336.302-11.25.688l-162.656 16c-4.92.484-7.92 2.12-10.718 5.218-2.797 3.1-5.212 8.038-6.78 14.75-3.14 13.427-2.588 33.404 1.06 55.19 6.962 41.56 24.88 89.976 42.314 118.686h30.5L138.375 330.25l18.438-3.03 27.062 164.686h32.438l-10.032-169.78L224.938 321l10.125 170.906h31.563l9.344-172.156 18.686 1.03-9.28 171.126h39.843c23.722-35.09 40.288-91.7 35.686-136.594-2.382-23.244-10.14-42.914-24.03-55.937-12.155-11.395-29.33-18.476-54.407-18zm135.626 60.844c-12.445 5.68-25.504 10.022-38.5 12.655 1.982 21.14.153 43.672-4.625 65.594 25.43-8.55 49.294-22.796 68.717-41.47l-25.593-36.78z"}}]})(props);
};
function GiMetalPlate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M88 32v16H72V34.67L32 48v14.31l40-13.33v16.87L32 79.18V188l40-13.3V286h16V175.5l384 169v112l-384-169V346H72v-59.3L32 300v59.6l40-13.4v16.9l-40 13.3v15.2l40-13.4v16.9l-40 13.3V464l40 13.3V396h16v-17.2L282.7 464h-39.8L88 396.2V480h400V32h-16zm0 16.71L472 215.1v17.3L88 66.14V174H72V66h16zm0 298.09L351.6 464h-39.2L88 364.3V378H72v-14h16z"}}]})(props);
};
function GiMetalScales (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M38.676 18.352V122.57l129.047 129.045V18.352H79.727l.002 99.343H61.04V18.352H38.675zm147.734 0v244.793h141.496V18.352H186.41zm160.184 0v230.945L473.322 122.57V18.352h-19.818l.002 99.343h-18.69l-.002-99.343h-88.22zm83.152 174.224l-18.46 18.46.003 80.677H392.6l-.002-61.992-52.114 52.114h-13.632v122.47L429.746 301.41V192.576zm-347.492.002v108.834l104.408 104.406V281.834h-15.15l-51.627-51.625.002 61.503H101.2l-.003-80.192-18.943-18.942zm124.123 35.125h101.207v18.69H206.377v-18.69zm-1.027 54.13V413.91h102.816V281.834H205.35zm-83.55 85.558v126.346h80.026v-61.138H187.01l-28.08-28.08.002 65.443h-18.69l-.002-84.132-18.44-18.437zm268.343.055l-17.15 17.15v85.366h-18.688l-.002-66.677-29.315 29.315h-13.3v61.138h78.455v-126.29zm-164.106 9.52h64.953v18.687h-64.953v-18.687zm-5.52 55.633v61.138H293v-61.138h-72.484z"}}]})(props);
};
function GiMetalSkirt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M198.5 25l-29.4 88.1c.3 2.5 1.6 4.9 5 7.8 3.9 3.4 10.5 6.8 18.7 9.6 16.6 5.5 40 8.5 63.2 8.5 23.2 0 46.6-3 63.2-8.5 8.2-2.8 14.8-6.2 18.7-9.6 3.4-2.9 4.7-5.3 5-7.8L313.5 25h-115zM39.03 41l-11.5 46H158.8l15.4-46H39.03zm298.77 0l15.4 46h131.3L473 41H337.8zM215 55h82v52h-82V55zm18 18v16h46V73h-46zM69.91 105c-5.4 12.2-10.48 29.1-15.13 48.5 50.82 3.4 89.62 5.8 122.92 7.4l1.9-16.2c-6.6-2.7-12.4-6-17.2-10.1-6.6-5.7-11.4-13.6-11.4-22.6v-1.5l1.8-5.5H69.91zm289.29 0l1.8 5.5v1.5c0 9-4.8 16.9-11.4 22.6-4.8 4.1-10.6 7.3-17.1 10.1l1.9 16.2c33.2-1.6 72-4 122.8-7.4-4.6-19.4-9.7-36.3-15.1-48.5h-82.9zm-162.6 45.3l-27.2 230.8L256 482.2l86.6-101.1-27.2-230.8c-17.6 4.5-38.4 6.7-59.4 6.7s-41.8-2.2-59.4-6.7zM50.79 171.4c-3.01 14.3-5.78 29.6-8.3 45.3 53 3.5 93.41 6.2 127.71 7.9l5.4-45.7c-33.8-1.6-73.2-4.1-124.81-7.5zm410.41 0c-51.5 3.4-90.9 5.9-124.7 7.5l5.4 45.7c34.3-1.7 74.6-4.4 127.6-7.9-2.5-15.7-5.3-31-8.3-45.3zM39.76 234.6c-1 6.9-1.94 13.7-2.83 20.6-1.08 8.4-2.08 16.7-3.02 25 53.35 3.6 94.19 6.2 128.79 8l5.4-45.7c-34.6-1.7-75.25-4.4-128.34-7.9zm432.54 0c-53.1 3.5-93.7 6.2-128.3 7.9l5.3 45.7c34.6-1.8 75.5-4.4 128.8-8-.9-8.3-1.9-16.6-3-25-.9-6.9-1.8-13.7-2.8-20.6zM31.97 298.1c-1.68 16.2-3.04 31.7-4.11 45.6 52.58 3.5 92.94 6.2 127.34 8l5.4-45.6c-34.7-1.8-75.52-4.5-128.63-8zm448.03 0c-53.1 3.5-93.9 6.2-128.5 8l5.3 45.6c34.4-1.8 74.7-4.5 127.3-8-1-13.9-2.4-29.4-4.1-45.6zM26.6 361.7C25.54 378.2 25 391.6 25 400c0-.1.14 1.3 3.89 3.9 3.75 2.7 10.25 5.7 18.53 8.6 16.56 5.7 40.24 10.7 65.98 14.6 26.2 4 54.6 7 80.3 9l-42.6-49.6 2-16.8c-34.3-1.9-74.5-4.5-126.5-8zm458.8 0c-52 3.5-92.2 6.1-126.5 8l2 16.8-42.6 49.6c25.7-2 54.1-5 80.3-9 25.7-3.9 49.4-8.9 66-14.6 8.3-2.9 14.8-5.9 18.5-8.6 3.8-2.6 3.9-4 3.9-3.9 0-8.4-.5-21.8-1.6-38.3z"}}]})(props);
};
function GiMeteorImpact (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M63.813 18.156L166.72 231.75l.436-.22c19.154 38.026 58.547 64.19 103.938 64.19 64.132 0 116.344-52.204 116.344-116.345 0-13.892-2.45-27.23-6.938-39.594l.25-.093-1.875-4.125c-1.206-2.955-2.532-5.827-3.97-8.656-.072-.145-.143-.292-.217-.437L325.156 18.155h-20.53l28.812 63.032c-9.563-6.095-20.072-10.8-31.25-13.907l-22.47-49.124h-20.5l20.657 45.22c-2.9-.22-5.828-.345-8.78-.345-6.296 0-12.474.502-18.5 1.47l-21.22-46.344h-20.53l23.28 50.907c-7.435 2.5-14.537 5.745-21.22 9.624l-27.686-60.53h-20.532L197.313 89.5c-7.408 6.096-14.07 13.09-19.782 20.813l-42.155-92.157h-20.5l51.03 111.656c-5.242 11.087-8.81 23.124-10.31 35.782L84.562 18.156h-20.75zm428.937 228.75l-65.406 3.22 17.687 19.186 47.72 36.594v-59zM20.53 266.28v68.5l72.376-35.842 39.5-26.344L20.53 266.28zm387 6.47l33.97 64 51.22 61.75.03-69.063-57.5-44.093-27.72-12.594zm-39.5 25.656l29.595 103.5.125-.062 41.875 92.72 53.094-.002v-66.75l-62.25-75.062-62.44-54.344zm-232.467 2.938l-19.25 6.844-95.782 47.468v98.125l84.345-103.655.03.03 30.657-48.81zm177.218 3.53l-.28 112.376 10.156 77.313h96.47l-38.407-85.032.092-.03-68.03-104.625zm-54.342 8.876L224.5 416.594l-10.25 77.97 89.53-.002-11.03-84.062-34.313-96.75zm-94.657 1.625L93.47 393.75l-71.064 87.313-1.875-1.532v15.033h81.94l40.5-104.063 20.81-75.125zm36.126 4.875l-35.062 65.563-.063.156-42.25 108.592h72.845l10.03-76.187-5.5-98.125z"}}]})(props);
};
function GiMetroid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 20.5c-52.087 0-104.93 24.994-147.49 62.064s-75.085 86.41-85.332 137.155c-5.24 25.945.46 54.678 12.97 79.846 12.51 25.17 31.96 47.01 56.092 58.11 14.063 6.468 27.832.477 38.96-4.96 11.13-5.435 21.13-10.503 28.454-10.222 14.224.546 28.674 7.67 44.29 15.53 15.615 7.86 32.46 16.476 52.056 16.476 19.596 0 36.44-8.616 52.057-16.477 15.615-7.86 30.065-14.983 44.29-15.53 7.324-.28 17.323 4.788 28.452 10.224 11.128 5.436 24.897 11.427 38.96 4.96 24.133-11.1 43.58-32.942 56.092-58.11 12.51-25.17 18.21-53.902 12.97-79.848-10.247-50.746-42.77-100.085-85.332-137.156C360.93 45.494 308.087 20.5 256 20.5zm0 18c46.254 0 95.68 22.81 135.668 57.64s70.29 81.49 79.51 127.14c4.203 20.814-.43 46.114-11.444 68.273-11.015 22.16-28.288 40.938-47.494 49.77-5.916 2.722-13.158.292-23.54-4.78-10.384-5.072-22.397-12.6-37.046-12.037-19.482.748-36.166 9.626-51.69 17.44-15.527 7.817-29.83 14.554-43.964 14.554-14.135 0-28.437-6.737-43.963-14.553-15.525-7.815-32.21-16.693-51.69-17.44-14.65-.564-26.663 6.964-37.046 12.036-10.382 5.072-17.624 7.502-23.54 4.78-19.206-8.832-36.48-27.61-47.494-49.77-11.015-22.16-15.647-47.46-11.444-68.272 9.22-45.65 39.522-92.31 79.51-127.14C160.32 61.31 209.746 38.5 256 38.5zm-41.086 24.008c-30.41 10.608-82.5 24.41-150.65 152.054-10.288 19.27 20.285 34.36 24.23 24.23 24.537-62.98 76.895-147.606 126.42-176.284zM256 134.5c-30.482 0-55 24.518-55 55s24.518 55 55 55 55-24.518 55-55-24.518-55-55-55zm71.074 71.568c-6.293 26.936-27.556 48.203-54.49 54.502A48 48 0 0 0 320 301.5a48 48 0 0 0 48-48 48 48 0 0 0-40.926-47.432zm-142.144.016A48 48 0 0 0 144 253.5a48 48 0 0 0 48 48 48 48 0 0 0 47.432-40.926c-26.936-6.293-48.203-27.556-54.502-54.49zm259.295.05c-2.606 48.024-22.094 85.348-49.866 104.298 24.135-5.162 42.654-13.312 51.972-30.905 9.434-17.81 3.27-65.142-2.107-73.392zM161.717 358.167c-20.397.082-41.94 23.884-43.024 44.21-2.05 38.41 28.138 81.903 73.307 89.124-16-48-15.93-79.93 0-96 8.935-9.012-12.753-36.136-28.313-37.268a25.787 25.787 0 0 0-1.97-.066zm188.566 0c-.658-.003-1.316.02-1.97.066-15.56 1.132-37.248 28.256-28.313 37.268 15.93 16.07 16 48 0 96 45.17-7.22 75.357-50.713 73.307-89.125-1.085-20.325-22.627-44.127-43.024-44.21zM226.555 381.99c-11.75.047-24.163 13.762-24.787 25.47-1.18 22.13 16.21 47.187 42.232 51.347-9.218-27.654-9.178-46.05 0-55.307 5.148-5.192-7.346-20.82-16.31-21.47-.378-.028-.756-.04-1.135-.04zm58.89 0a14.55 14.55 0 0 0-1.134.04c-8.964.65-21.458 16.278-16.31 21.47 9.178 9.257 9.218 27.653 0 55.307 26.022-4.16 43.413-29.216 42.232-51.346-.624-11.708-13.036-25.423-24.787-25.47z"}}]})(props);
};
function GiMetronome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 81c-7.7 0-15.5.33-23 .95V119h46V81.95c-7.5-.62-15.3-.95-23-.95zm-41 3.07c-4.8.76-9.5 1.65-13.9 2.69-14.7 3.46-26.3 8.71-32.8 14.04l-22.4 140.3L215 341V137h-23v-18h23V84.07zm82 0V119h23v18h-23v238.4c30.6 2.8 54.5 19.5 73.7 40.5 11 12.2 20.6 25.8 29.6 39.4l-56.6-354.5c-6.5-5.33-18.1-10.58-32.8-14.04-4.4-1.04-9.1-1.93-13.9-2.69zM39.34 90.79L24.66 101.2l20.89 29.6 15.14-9.9-21.35-30.11zm54.81 29.71l-56.04 36.7L82.56 183l17.54-11.5-5.95-51zM233 137v46h46v-46h-46zm-124.8 50.8l-15.3 10 48.9 69.2-30.1 188.3c9-13.6 18.6-27.2 29.6-39.4 19.2-21 43.1-37.7 73.7-40.5v-2.8l-73.2-105.7 4.1-26-37.7-53.1zM233 201v46h46v-46h-46zm0 64v46h46v-46h-46zm0 64v38l5.5 8H279v-46h-46zm206 23v23h-33.2l2.9 18H439v23h18v-64h-18zm-215 41c-29 0-50.3 14.1-69.3 35.1-15.5 17-28.9 38.4-42.1 58.9h286.8c-13.2-20.5-26.6-41.9-42.1-58.9-19-21-40.3-35.1-69.3-35.1h-37l12.4 17.9-14.8 10.2-19.5-28.1H224z"}}]})(props);
};
function GiMexico (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.91 93.761c19.4 67.244 47.029 124.21 79.363 187.172l27.561-8.368c-34.337-52.44-62.494-96.45-72.16-152.817l24.231 6.32c12.377 75.413 79.95 133.444 109.213 168.56 4.905 16.388.589 32.776-4.916 46.354 51.616 25.103 104.672 57.56 163.292 69.531 22.014-17.212 44.264-27.73 68.126 7.726l9.833-28.094 23.177-.702L432.636 361c22.372 8.044 50.335-16.05 50.92-22.826 1.675-19.426.496-31.362 10.535-47.056l-55.836 7.725c-1.367 16.264 1.583 34.771-15.1 44.247-88.44 50.234-115.313-62.388-107.457-109.564-36.356-16.025-40.996-34.962-62.507-68.126l-22.475-2.81-15.451 13.345-40.033-51.27z"}}]})(props);
};
function GiMicrochip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169.5 38.97l-2.406 9-4.313 16.093-34.936-9.344-3.375 12.53-26.75-7.156-4.845 18.03 26.78 7.19-2.874 10.655 34.94 9.343-12.25 45.718-34.94-9.343-3.31 12.282-26.75-7.157-4.845 18.062 26.75 7.156-2.906 10.907 34.936 9.344-12.53 46.69-34.907-9.345L78 240.75l-26.78-7.188-4.845 18.032 26.78 7.187-3.25 12.095 34.907 9.344-12 44.75-34.906-9.345-2.875 10.75-26.78-7.188-4.813 18.032 26.75 7.155-3.343 12.53 34.906 9.345-4.47 16.688-2.405 9.03 9.03 2.407 254.845 68.28 9.03 2.408 2.408-9.032 4.468-16.655 34.813 9.313 3.342-12.5 27.032 7.25 4.844-18.032-27.032-7.25 2.875-10.75-34.81-9.312 12-44.75 34.81 9.312 3.25-12.094 27.033 7.25 4.812-18.03-27.03-7.25 3-11.157-34.814-9.313 12.5-46.656 34.814 9.313L439 263.843l27.03 7.25 4.845-18.063-27.03-7.25 3.28-12.31-34.78-9.314 12.25-45.72 34.78 9.314 2.844-10.625 27.06 7.25 4.845-18.063-27.063-7.25 3.375-12.593-34.78-9.314 4.312-16.062 2.436-9.03-9.03-2.44-254.845-68.25-9.03-2.405zm13.188 22.874L419.53 125.28 334.564 442.19 97.75 378.75l84.938-316.906zM375.28 132.78L305.5 393.22l-175.313-47-4.843 18.06L309.72 413.69l9 2.406 2.436-9.03 72.188-269.44-18.063-4.843z"}}]})(props);
};
function GiMicrophone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M388.938 29.47c-23.008 0-46.153 9.4-62.688 25.405 5.74 46.14 21.326 75.594 43.75 94.28 22.25 18.543 52.078 26.88 87.75 28.345 13.432-16.07 21.188-37.085 21.188-58 0-23.467-9.75-47.063-26.344-63.656C436 39.25 412.404 29.47 388.938 29.47zm-76.282 42.374c-8.808 14.244-13.75 30.986-13.75 47.656 0 23.467 9.782 47.063 26.375 63.656 16.595 16.594 40.19 26.375 63.658 26.375 18.678 0 37.44-6.196 52.687-17.093-31.55-3.2-59.626-12.46-81.875-31-23.277-19.397-39.553-48.64-47.094-89.593zm-27.78 67.72l-64.47 83.78c2.898 19.6 10.458 35.1 22.094 46.187 11.692 11.142 27.714 18.118 48.594 19.626l79.312-65.28c-21.2-3.826-41.14-14.11-56.437-29.407-14.927-14.927-25.057-34.286-29.095-54.907zM300 201.468a8 8 0 0 1 .03 0 8 8 0 0 1 .533 0 8 8 0 0 1 5.875 13.374l-34.313 38.78a8.004 8.004 0 1 1-12-10.593l34.313-38.78a8 8 0 0 1 5.562-2.78zM207.594 240L103 375.906c3.487 13.327 7.326 20.944 12.5 26.03 5.03 4.948 12.386 8.46 23.563 12.408l135.312-111.438c-17.067-3.61-31.595-11.003-42.906-21.78-11.346-10.81-19.323-24.827-23.876-41.126zM95.97 402.375c-9.12 5.382-17.37 14.08-23.126 24.406-9.656 17.317-11.52 37.236-2.25 50.47 6.665 4.337 10.566 4.81 13.844 4.344 1.794-.256 3.618-.954 5.624-1.875-3.18-9.575-6.3-20.93-2.5-33.314 3.03-9.87 10.323-19.044 23.47-27.5-2.406-1.65-4.644-3.49-6.75-5.562-3.217-3.163-5.94-6.78-8.313-10.97z"}}]})(props);
};
function GiMicroscopeLens (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M229.28 21.97v39.75c-30.905 1.29-61.546 9.284-89.53 23.905l21.406 37.063C184.2 110.92 210.32 104.28 238 104.28c93.408 0 168.938 75.53 168.938 168.94 0 26.766-6.234 52.056-17.282 74.53l-5.97-2.563-26.467-12.437c-21.125 44.53-66.495 75.313-119.064 75.313-8.49 0-16.8-.778-24.844-2.313l-7.375 33.375C127.89 424.178 69.03 355.665 69.03 273.22c0-26.843 6.267-52.2 17.376-74.72l-37.312-21.53c-40.207 78.3-28.27 175.748 33.937 242.093l-31.124 31.125 13.22 13.218L116.53 412c24.013 21.04 53.516 35.934 86.064 42.28l-6.938 31.44c1.515.333 3.016.636 4.53.936.01.002.023-.002.033 0 6.05 1.198 12.11 2.15 18.155 2.813.01 0 .02-.002.03 0 3.02.33 6.053.58 9.064.78 4.53.3 9.056.458 13.56.47 25.954.06 51.352-4.64 75.095-13.564 2.363-.888 4.734-1.81 7.063-2.78 9.477-3.953 18.656-8.6 27.468-13.876 2.518-1.508 5.014-3.076 7.47-4.688 1.227-.805 2.444-1.605 3.655-2.437 2.424-1.663 4.802-3.39 7.158-5.156 8.243-6.18 16.06-12.97 23.375-20.345 2.09-2.107 4.15-4.268 6.156-6.47 1.007-1.105 1.98-2.213 2.967-3.342.977-1.118 1.952-2.235 2.907-3.375.005-.007-.005-.026 0-.032.954-1.14 1.912-2.275 2.844-3.437.005-.008-.006-.026 0-.033.936-1.168 1.867-2.34 2.78-3.53 2.748-3.582 5.375-7.252 7.907-11.032.842-1.257 1.682-2.502 2.5-3.78 1.912-2.992 3.734-6.052 5.5-9.158l36.688 15.782 7.375-17.158-66.032-28.437c11.786-24.18 18.458-51.308 18.563-79.97h28.06c0-16.67-1.963-33.12-5.75-49.06L485.657 220l-2.187-18.563-43.876 5.188c-11.17-33.444-30.614-63.935-57-88.406-24.59-22.81-53.15-38.68-83.25-47.72L309.5 32.625l-18.03-4.844-10.22 38.126c-10.994-2.27-22.124-3.643-33.28-4.156V21.97h-18.69zM123.595 95c-10.347 6.634-20.245 14.223-29.53 22.813l30.28 30.312h.03c6.448-5.856 13.358-11.22 20.657-16.03L123.595 95zm-42.688 36.094c-8.512 9.367-15.998 19.302-22.53 29.656l37.187 21.47c4.692-7.334 9.95-14.283 15.687-20.782l-30.344-30.344zm83.688 61.062c-21.845 19.907-35.906 48.677-35.906 80.625 0 60.152 49.005 109.158 109.156 109.158 60.15 0 109.156-49.006 109.156-109.157h-18.688c0 50.038-40.43 90.47-90.468 90.47-50.037 0-90.47-40.432-90.47-90.47 0-26.47 11.628-50.238 29.814-66.81l-12.594-13.814zM239.25 215.5c-33.542 0-60.938 27.395-60.938 60.938 0 33.53 27.392 60.906 60.938 60.906 33.542 0 60.906-27.364 60.906-60.906 0-33.53-27.36-60.938-60.906-60.938zm0 18.688c23.443 0 42.22 18.82 42.22 42.25 0 5.505-1.05 10.754-2.94 15.562-3.377-10.958-13.59-18.906-25.655-18.906-14.82 0-26.844 12.023-26.844 26.844 0 7.082 2.736 13.516 7.22 18.312-20.575-2.883-36.25-20.418-36.25-41.813 0-23.446 18.803-42.25 42.25-42.25z"}}]})(props);
};
function GiMicroscope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M367.717 25.318L325.94 63.475l49.953 38.296 26.002-50.247-34.178-26.205zm-62.71 41.608l-38.562 49.242 70.936 55.66 38.604-49.12-70.978-55.782zm-50.495 64.28l-58.035 73.85 118.628 88.885s3.513 2.384 5.48 5.904c2.02 3.612 1.81 6.935 1.81 6.935v128.544H297.14v-24.56H89.255v24.56H61.51v59.358H432.963V338.184c-9.25 4.65-19.462 7.077-29.817 7.084-36.706 0-66.463-29.758-66.462-66.465.034-23.723 12.71-45.63 33.26-57.48L254.51 131.206zM185 220.175l-68.21 87.103 112.83 1.668 27.495-34.984L185 220.175zm218.146 11.285a47.344 47.344 0 0 0-47.34 47.343 47.344 47.344 0 0 0 47.34 47.343 47.344 47.344 0 0 0 47.344-47.343 47.344 47.344 0 0 0-47.344-47.344zm0 17.67a29.674 29.674 0 0 1 29.676 29.673 29.674 29.674 0 0 1-29.676 29.674 29.674 29.674 0 0 1-29.673-29.674 29.674 29.674 0 0 1 29.673-29.674z"}}]})(props);
};
function GiMiddleArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M77.637 20.836l-.598 56.236-55.913.28 67.1 50.492 19.673-6.393 53.3 53.302-9.3-35.73-30.578-30.58 6.813-20.504-50.498-67.102zm338.855.818l-116.535 107.96-45.37-99.557-19.972 111.193-71.658-41.87 26.834 103.077-134.104 4.162 91.375 63.427-98.93 70.617 103.343-7.61L82.06 457.9l116.268-66.023-1.838 82.47 63.98-81.036 41.163 54.12 14.08-63.637 53.14 25.486-67.777-67.776c-10.955 6.72-22.698 11.65-34.62 14.172l.026.135c-1.48.27-2.95.495-4.412.682-33.335 5.352-58.06-10.3-64.695-37.465-3.09-10.107-3.674-21.624-1.465-33.785 8.17-44.95 48.8-85.58 93.75-93.75 5.62-1.02 11.1-1.447 16.37-1.304 6.487.174 12.644 1.225 18.345 3.072 26.107 6.87 41.242 30.692 36.727 62.78-.215 1.987-.503 3.996-.872 6.022l-.18-.033c-3.006 14.26-9.466 28.265-18.314 40.976l31.776 31.775 94.43-7.585-74.294-50.908 91.8-52.576-86.134-12.692 72.557-97.62-94.765 38.963 39.387-130.706zM247.06 234.178c-4.628 4.188-8.946 8.75-12.847 13.584L411.36 424.91l-48.223 26.666 129.7 45.11-45.118-129.694-24.158 43.69-66.933-66.932-.114-.406L330.37 317.2c-.046.05-.095.1-.14.15l-83.17-83.172z"}}]})(props);
};
function GiMidnightClaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.09 18.86c-130.132 0-235.623 105.494-235.623 235.626 0 84.973 44.984 159.43 112.43 200.88 14.953-22.123 13.717-21.136 48.6-77.26 21.414-38.628 20.04-74.27-22.66-88.32-13.658-.257-27.487.71-41.448 2.927-22.745 5.586-50.66-6.618-51.222-36.61-.024-1.276.017-2.514.092-3.73-21.47-22.6-32.702-54.923 12.898-92.437-6.554 20.953 3.874 42.603 17.756 57.77 15.2-3.285 32.288 1.147 41.88 13.657 15.223 13.387 35.603 23.558 57.18 29.81 10.085-.365 13.446-4.833 12.272-12.07-17.327-20.6-35.87-40.278-60.72-57.124l.044-.02c-9.16-6.218-15.632-16.466-15.898-30.747-.132-7.072 1.296-13.21 3.85-18.404-14.227-31.065-10.31-69.364 50.074-82.162-12.275 19.684-18.508 42.767-13.102 61.122 19.572.108 38.916 12.51 39.39 37.94.045 2.343-.08 4.58-.35 6.714.955 20.638 6.118 44.463 19.796 63.658 15.14 9.386 26.987 3.992 29.195-19.287-2.648-14.616-8.253-29.283-15.043-40.856-4.338-5.84-7.065-13.325-7.236-22.473-.346-18.527 9.996-30.658 23.357-36.117 8.393-26.624 25.813-51.97 62.09-51.82 9.562.04 20.432 1.85 32.79 5.876-24.775 6.92-40.92 31.886-47.98 54.547 5.902 6.206 9.753 14.85 9.962 26.01.213 11.37-3.444 20.278-9.3 26.73-27.204 48.83-18.264 110.228-3.57 123.715 13.62 12.504 33.32 13.96 52.594 11.05 18.115-4.19 39.13 2.665 46.962 21.167 19.762-3.8 37.956-19.148 44-44.406 22.82 62.056-13.624 84.83-50.19 86.776-13.702 15.047-39.383 16.668-55.782 4.897l-.016.062c-.13-.12-.256-.23-.387-.348-1.862-1.374-3.594-2.93-5.175-4.656-16.557-14.848-31.98-27.53-47.752-38.182-28.103-.547-64.258 100.626-62.58 155.586 9.446 1.152 19.062 1.757 28.82 1.757 130.132 0 235.625-105.492 235.625-235.624S385.222 18.86 255.09 18.86z"}}]})(props);
};
function GiMightyBoosh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M267.156 36.313c-1.948-.013-3.908-.003-5.875.03C144.208 38.33 40.5 128.29 40.5 264.25c0 58.373 30.546 121.353 66.406 164.875 17.93 21.76 37.205 38.664 55.97 47.25 9.38 4.293 18.75 6.588 27.843 5.656 9.09-.93 17.84-5.443 24.468-13.342 4.834-5.763 6.082-13.302 5.78-20.563 32.327 3.188 62.82 4.282 92.376-11.938-.083 2.837-.08 5.606.062 8.282.48 8.97 2.35 17.882 8.656 24.124 6.002 5.94 14.113 8.044 21.813 7.156 7.7-.888 15.34-4.277 23.22-9.28 15.756-10.01 32.402-26.823 48.06-47.783 31.32-41.92 58.75-100.318 58.75-155.187a8.977 10.055 0 0 0-.06-1.03c-.22-67.034-21.418-124.35-58.72-164.376-36.325-38.978-87.584-61.39-147.97-61.78zm-.094 20.124c56.49.35 102.898 21.04 135.625 56.157 33.784 36.25 53.282 88.126 53.282 150.906 0 47.108-25.29 103.097-54.564 142.28-14.637 19.593-30.28 35.01-43.156 43.19-6.438 4.088-12.118 6.307-16.22 6.78-4.1.473-6.212-.357-8.092-2.22-.857-.846-2.284-3.85-2.625-10.25-.342-6.4.376-15.345 1.687-25.5 2.622-20.306 7.524-45.53 8.813-70.06 1.288-24.533-.828-49.328-14.875-67.314-14.048-17.986-38.615-26.05-75.813-20.78-37.107 5.254-59.41 19.057-70.094 39.218-10.684 20.16-8.677 43.836-3.374 65.906 5.303 22.07 14.155 43.6 19.844 60.844 2.844 8.62 4.873 16.186 5.438 21.47.564 5.28-.22 7.16-.844 7.905-3.747 4.465-7.715 6.457-13 7-5.286.54-11.952-.732-19.438-4.158-14.97-6.85-32.856-22.074-49.53-42.312-33.35-40.476-61.69-101.01-61.69-151.25.002-124.566 93.982-205.93 203.126-207.78 1.844-.032 3.678-.044 5.5-.032zm-88.53 101.844a50.5 50.5 0 0 0-51.97 50.47 50.5 50.5 0 0 0 101 0 50.5 50.5 0 0 0-49.03-50.47zm137.655 15.25A40.5 40.5 0 0 0 274.5 214a40.5 40.5 0 0 0 81 0 40.5 40.5 0 0 0-39.313-40.47zm-140.25 28.97a7.5 7 0 0 1 .032 0 7.5 7 0 0 1 .75 0 7.5 7 0 0 1 7.28 7 7.5 7 0 0 1-15 0 7.5 7 0 0 1 6.938-7zm138 6.5a7.5 7 0 0 1 .032 0 7.5 7 0 0 1 .75 0 7.5 7 0 0 1 7.28 7 7.5 7 0 0 1-15 0 7.5 7 0 0 1 6.938-7zm-11.5 121.875a8 8 0 0 1 7.907 6.625c1.052 5.487 1.68 11.097 1.97 16.813 3.916-1.73 7.73-3.662 11.436-5.782-.38 6.21-1.034 12.58-1.813 19-3.174 1.514-6.392 2.91-9.656 4.19-.33 7.15-1.005 14.406-1.842 21.686a8 8 0 1 1-15.875-1.812c.563-4.9 1.007-9.738 1.343-14.47-4.75 1.29-9.546 2.34-14.375 3.22.3 6.316.588 12.486 1.283 18.344a8 8 0 1 1-15.875 1.875c-.722-6.084-1.1-12.11-1.438-18-4.46.422-8.925.716-13.375.843.825 5.085 1.7 10.175 2.625 15.28a8.005 8.005 0 0 1-15.75 2.877c-1.1-6.075-2.155-12.172-3.125-18.313-4.632-.217-9.217-.57-13.75-1.063 1 5.755 2.098 11.5 3.22 17.282a8 8 0 1 1-15.69 3.06c-1.452-7.498-2.893-15.08-4.155-22.78-1.676-.308-3.32-.657-4.97-1-1.915-5.898-3.673-11.783-5.124-17.594 2.532.628 5.1 1.21 7.72 1.75-.836-7.236-1.428-14.62-1.626-22.187a8 8 0 0 1 7.656-8.314 8 8 0 0 1 8.344 7.875c.224 8.57 1.004 16.977 2.094 25.314 4.592.57 9.254 1.008 13.97 1.28-.916-7.417-1.643-14.89-2.064-22.437a8 8 0 0 1 8.22-8.562 8 8 0 0 1 7.78 7.688c.44 7.88 1.237 15.754 2.25 23.625 4.877-.1 9.782-.374 14.656-.844-.677-7.627-1.735-14.79-3.97-21.22a8 8 0 0 1 7.127-10.718 8 8 0 0 1 8 5.47c2.773 7.98 4.12 16.12 4.906 24.187 5.41-1.032 10.757-2.356 16-3.938-.1-6.915-.64-13.506-1.814-19.625a8 8 0 0 1 7.78-9.625z"}}]})(props);
};
function GiMightyForce (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 28l-32 128c-32-16-64-48-96-96 0 48 0 96 32 128-32 17-64 0-96-32 0 32 0 80 48 112-32 16-64 0-80-32 0 48 16 96 48 128-16 16-48 0-64-16 0 64 48 112 112 144h76.8l16.7-68.6-17.2-86.1-97.9 5s20.3-75.2 34.9-103.7c5-9.6 7.2-18 20-18.3 11.3 0 20.4 9.8 20.4 21.9 0 12-9.1 21.8-20.4 21.8-2.3 0-4.6-.5-6.6-1.3l-5.1 46.8c29.6-8.9 56.9-18.8 84-30.9 0-.1-.1-.2-.1-.3-6.2-8.8-10.4-21.5-10.4-35.7 0-14.1 4.1-26.8 10.4-35.7 6.1-8.9 14.1-13.7 22.5-13.7 8.5 0 16.5 4.8 22.6 13.7 6.2 8.9 10.2 21.6 10.2 35.7 0 14.2-4 26.9-10.2 35.7-.1.3-.5.7-.6.9 27.3 12.1 56.1 20.6 84.3 30.3l-5-46.8c-2.2.8-4.3 1.3-6.7 1.3-11.2 0-20.3-9.8-20.3-21.8 0-12.1 9.1-21.9 20.3-21.9 12.8.3 15.2 8.7 20 18.3 14.8 28.5 35 103.7 35 103.7l-97.9-5-17.2 86.1 16.7 68.6H384c64-32 112-80 112-144-16 16-48 32-64 16 32-32 48-80 48-128-16 32-48 48-80 32 48-32 48-80 48-112-32 32-64 48-96 32 32-32 32-80 32-128-32 48-64 80-96 96z"}}]})(props);
};
function GiMightySpanner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M270.953 17.215l-49.748 84.224-56.092-59.88 1.748 89.092-92.368-40.11 36.354 90.622-82.698 16.805 59.42 67.454-69.437 73.39 88.122 10.178 26.578-26.578c-.852-2.042-1.668-4.103-2.42-6.195l-22.756 6.385-5.05-17.992 22.757-6.386c-1.065-5.188-1.83-10.484-2.27-15.873l-23.643.28-.22-18.69 23.644-.278c.315-5.398.954-10.712 1.898-15.922l-22.905-5.848 4.623-18.107 22.905 5.847c1.7-5.1 3.698-10.067 5.98-14.875l-20.63-11.588 9.153-16.293 20.652 11.6c2.95-4.466 6.162-8.743 9.615-12.812l-16.96-16.563 13.06-13.37 16.96 16.562c3.986-3.548 8.187-6.86 12.58-9.914l-12.085-20.373 16.072-9.535 12.074 20.35c4.755-2.393 9.672-4.507 14.732-6.325l-6.39-22.766 17.99-5.05 6.39 22.765c5.187-1.067 10.482-1.833 15.87-2.274l-.278-23.65 18.687-.223.28 23.652c5.398.313 10.71.953 15.92 1.897l5.85-22.91 18.108 4.622-5.85 22.91c5.1 1.698 10.067 3.695 14.875 5.975l11.588-20.632 16.296 9.153-11.6 20.653c4.466 2.95 8.743 6.162 12.813 9.615l16.56-16.96 13.372 13.058-16.562 16.96c3.548 3.985 6.86 8.185 9.916 12.58l20.37-12.085 9.536 16.075-20.348 12.07c2.395 4.754 4.51 9.67 6.33 14.73l22.758-6.388 5.05 17.994-22.757 6.388c1.067 5.187 1.832 10.482 2.274 15.87l23.64-.278.22 18.688-23.64.28c-.31 5.398-.95 10.712-1.893 15.923l22.894 5.846-4.622 18.108-22.894-5.846c-1.698 5.103-3.696 10.07-5.977 14.88l20.617 11.58-9.152 16.294-20.637-11.592c-2.95 4.467-6.163 8.746-9.617 12.817l16.947 16.55-13.056 13.37-16.95-16.55c-3.986 3.55-8.19 6.863-12.584 9.92l12.078 20.358-16.075 9.535-12.065-20.338c-4.755 2.395-9.673 4.51-14.734 6.328l6.385 22.75-17.994 5.05-6.384-22.75c-5.187 1.068-10.483 1.834-15.873 2.275l.28 23.634-18.686.22-.28-23.635c-5.398-.313-10.712-.953-15.923-1.896l-5.846 22.89-18.107-4.622 5.847-22.894c-2.582-.86-5.128-1.798-7.637-2.81l-26.326 26.216 7.148 73.713 67.797-55.734 49.456 43.487 21.12-53.87 90.09 46.07-38.16-96.155 92.102 27.826-36.908-79.496 61.514-6.506-60.832-51.39 57.994-45.053-73.29-15.66 59.093-70.504-91.66 18L406.02 47.85 307.094 110.9l-36.14-93.685zM254.016 157.43c-63.085.747-113.42 52.287-112.672 115.37.145 12.3 2.23 24.108 5.947 35.153l16.784-16.783c-6.17-30.05 2.24-62.392 25.697-85.852 19.075-19.073 44.026-28.157 68.916-27.447l.003-.01c14.933.424 29.785 4.308 43.216 11.68l-60.154 60.153c-10.613 10.615-11.292 27.843-1.168 37.963 10.122 10.133 27.35 9.455 37.96-1.158l60.155-60.154c19.66 35.818 14.75 81.61-15.77 112.13-23.46 23.47-55.677 31.4-85.852 25.114l-16.557 16.488c11.394 3.64 23.562 5.544 36.195 5.395 63.084-.746 113.42-52.287 112.674-115.368-.748-63.084-52.293-113.42-115.374-112.672z"}}]})(props);
};
function GiMilitaryAmbulance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23.386 142.898V274.27h242.691V142.898zm258.959 1.397c-.156 48.746-.098 96.793-.098 145.914H179.556a53.33 53.33 0 0 1 21.62 30.86v29.736h196.352v-32.707c3.503-10.956 18.466-26.48 27.844-33.139h50.346v-41.148h-110.39v-28.295h-7.17v37.103h-52v-51.44c.078-1.439.036-3.089.036-4.597h60.092v-21.248h-24.45zm-186.73 11.72c26.848 0 48.806 21.958 48.806 48.807 0 26.85-21.958 48.807-48.807 48.807-26.849 0-48.804-21.958-48.804-48.807 0-26.849 21.955-48.806 48.804-48.806zm-8.268 13.854V195.355H61.858v17.198h25.489v25.488h17.195v-25.488h25.488v-17.198h-25.488V169.87zm-47.83 120.37c.156 14.386.105 4.07.507 32.359h57.944l4-11.819a53.36 53.36 0 0 1 17.728-20.54zm109.931 4.161c-21.985 0-40 18.016-40 40 0 21.985 18.015 40 40 40s40-18.015 40-40c0-21.984-18.015-40-40-40zm299.166.262c-21.985 0-40 18.015-40 40 0 10.15 3.846 19.448 10.143 26.524 7.343 8.25 18.022 13.476 29.857 13.476 21.985 0 40-18.015 40-40s-18.015-40-40-40zM149.448 312.4c12.257 0 22 9.744 22 22 0 12.257-9.743 22-22 22s-22-9.743-22-22c0-12.256 9.743-22 22-22zm299.166.262c12.257 0 22 9.743 22 22s-9.743 22-22 22-22-9.743-22-22 9.743-22 22-22zm-298.978 8.656c-11.449 0-17.182 13.84-9.088 21.936 8.094 8.095 21.936 2.365 21.937-9.084-.006-7.093-5.757-12.84-12.85-12.84zm298.406.014c-10.766-.003-17.007 13.839-8.912 21.934 8.095 8.094 21.936 2.363 21.935-9.086 0-7.093-3.747-12.845-13.023-12.848z"}}]})(props);
};
function GiMilitaryFort (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 21c-66.72 0-121 54.28-121 121s54.28 121 121 121 121-54.28 121-121S322.72 21 256 21zm0 18c56.992 0 103 46.008 103 103s-46.008 103-103 103-103-46.008-103-103S199.008 39 256 39zm0 11.75l-69.4 52.05 10.8 14.4L256 73.25l58.6 43.95 10.8-14.4L256 50.75zm0 48l-69.4 52.05 10.8 14.4 58.6-43.95 58.6 43.95 10.8-14.4L256 98.75zm0 48l-69.4 52.05 10.8 14.4 58.6-43.95 58.6 43.95 10.8-14.4-69.4-52.05zM53.562 185l-7 14h66.876l-7-14H53.562zm352 0l-7 14h66.875l-7-14h-52.875zM41 217v46h78v-46H41zm352 0v46h78v-46h-78zM64 231h32v18H64v-18zm352 0h32v18h-32v-18zM38.486 281l-10 30h455.028l-10-30H38.486zM25 329v158h199v-87h64v87h199V329H25zm55 14h32v18H80v-18zm80 0h32v18h-32v-18zm80 0h32v18h-32v-18zm80 0h32v18h-32v-18zm80 0h32v18h-32v-18z"}}]})(props);
};
function GiMilkCarton (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M302.958 20.019l-93.916 46.564v35.404c31.305-15.522 62.61-31.047 93.916-46.568zm6.53 52.252l-95.4 47.3 63.036 78.137 95.397-47.303zm-111.915 55.492l-33.732 16.724h47.224zm-22.119 34.722l71.615 26.633-21.484-26.633zm-41.021 3.948v276.752l131.22 48.796v-276.75zm243.134 1.56c-31.306 15.521-62.61 31.044-93.916 46.567v275.863l93.916-46.567zM176.501 272.466s-15.3 15.085-9.889 24.203c4.167 7.02 21.889 5.418 21.889 5.418l15.549 3.848s17.72 10.374 21.887 5.416c5.41-6.44-9.887-29.098-9.887-29.098s35.91 33.492 29.662 47.318c-3.143 6.955-24.719-2.117-24.719-2.117s5.495 7.21 4.944 10.549c-1.001 6.062-13.774 9.916-13.774 9.916s1.111 21.24-6 25.168c-5.147 2.843-14.628.497-19.775-4.895-7.111-7.448-6-28.136-6-28.136s-12.775-10.177-13.776-16.735c-.55-3.611 4.944-8.103 4.944-8.103s-21.575-1.607-24.717-10.117c-6.247-16.919 29.662-32.635 29.662-32.635z"}}]})(props);
};
function GiMilleniumKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M458.888 51.697c-16.687-16.687-36.67-26.1-56.998-26.912-20.327-.814-40.034 6.726-57.094 19.626-24.845 18.785-45.254 48.744-59.135 86.723 9.75 11.124 18.958 21.279 28.077 30.927 12.097-42.184 32.322-73.476 52.768-88.935 11.93-9.02 23.337-12.795 33.945-12.37 10.609.424 21.385 4.8 32.982 16.397 11.596 11.597 15.973 22.373 16.397 32.982.424 10.608-3.35 22.014-12.37 33.945-15.46 20.446-46.751 40.67-88.936 52.768 9.649 9.12 19.804 18.327 30.928 28.077 37.979-13.882 67.938-34.29 86.723-59.135 12.9-17.06 20.44-36.767 19.626-57.095-.813-20.327-10.225-40.31-26.913-56.998zM207.932 66.48l-42.56 42.56c114.63 93.989 142.185 121.544 236.174 236.173l42.56-42.559C329.475 208.664 301.92 181.109 207.931 66.48zM278.6 231.985a868.658 868.658 0 0 0-16.487-16.04L150.106 327.952c.976 7.424 4.937 15.284 11.09 21.437 6.154 6.154 14.014 10.115 21.437 11.09l112.008-112.007a868.658 868.658 0 0 0-16.04-16.487zm-137.23 121.673L26.14 468.89l15.556 15.557 115.233-115.232a63.201 63.201 0 0 1-8.46-7.098 63.201 63.201 0 0 1-7.097-8.459zm-31.793 88.362L77.05 474.547l12.728 12.728 32.527-32.527z"}}]})(props);
};
function GiMimicChest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M165.3 45.79c4.5 9.27 23.4 21.66 44.6 30.54 11.9 5.01 23.8 9 34.6 12.32-16.7-25.45-35.8-49.69-57.3-65.16-12.3-8.9-24.6 15.79-21.9 22.3zM444.7 25.6c-19.6 17.71-41.1 39.17-58.1 64.42 10.8-3.19 22.8-7.03 34.8-11.89 21.3-8.62 40.3-20.76 44.9-29.98 4.8-10.51-12.7-30.59-21.6-22.55zM263.5 84.68c6.6 11 11.5 21.12 17.5 32.92l-19.5-5.3c-4.9-1.3-11.5-3.2-19.1-5.5-.8 4.5-2.6 8.6-5.2 12.1 47.7-1.5 100.3-1.6 157.3 2.3-3.1-3.7-5.3-8.1-6.4-12.9-7.5 2.1-14 3.9-18.8 5.1l-19.6 5c5.6-10.7 11.7-22.65 17.6-32-36.4-2.41-68.7-2.78-103.8-1.72zm-73.7 4.06c-25.7 2-52.2 4.62-79.5 7.82C153 111 157.1 111.6 193.6 120.6c-4.4-5.1-7-11.7-7-18.8 0-4.65 1.2-9.11 3.2-13.06zm17.4 5.92c-1.6 1.85-2.6 4.39-2.6 7.14 0 6.1 4.6 10.6 10.1 10.6 6.9-1.7 10-6 10.1-11.3-5.8-1.95-11.7-4.07-17.6-6.44zm235.8 1.5c.5 1.99.7 4.04.7 6.24 0 8.8-4 16.8-10.3 22.1 15.6 1.6 31.6 3.5 47.9 5.8L459 99.65c-5.2-1.2-10.5-2.41-16-3.49zm-19 .28c-6.3 2.41-12.5 4.56-18.5 6.46.3 5.9 4.8 10.1 10.1 10.1 5.5 0 10.1-4.5 10.1-10.6 0-2.3-.6-4.25-1.7-5.96zM30.62 235.6c26.49-42 57.67-79.7 87.78-117.8C37.98 85.89-4.308 156.6 30.62 235.6zM136.7 124c-34.8 43.6-70.14 86-98.33 133.4 2.71 7.2 5.54 14.5 8.35 21.9 34.39-49.8 67.78-100.9 113.68-146.8-8.2-3-16.2-5.9-23.7-8.5zm150.1 11.9c7.1 18.9 14.6 37.7 28.5 54.9 6.1-18.8 13.1-37.4 24.8-54.4-19.2-.3-36-1-53.3-.5zm-7.1 0c-17.4.2-34.2.6-50.4 1.2 4 30 8.5 60 26.8 87.3 3-29.5 10-58.9 23.6-88.5zm71.5.9c11 16.2 15.7 34.2 20.2 52.3 15-16.7 20.8-33.3 24.2-50-15.1-1.1-29.9-1.8-44.4-2.3zm-128.2.5c-18.7.7-43.6 1.7-43.6 1.7-2.3 2.1-4.5 4.3-6.7 6.4 3.6 17.5 11.1 34.4 21.2 50.9 6.9-19.6 16.1-39.3 29.1-59zm181.2 2.4c10.2 21.2 12.1 64.5 14.2 84.4 19-15.2 25.4-57.2 29.8-80.2-14.9-1.7-29.6-3.1-44-4.2zm50.4 5c8.6 15.6 16.6 31.4 13.3 52.6 17.3-14.7 22.7-30.8 25.8-47.2-13.2-2.1-26.2-3.9-39.1-5.4zm-298.9 18.7c-8.1 8.8-15.8 17.9-23.2 27.2 11.4 15 30.8 17.9 48.4 19.4-14-14.3-21.7-29.9-25.2-46.6zm-28.5 33.9c-9.1 11.6-17.7 23.3-26.1 35.2 9.3 7.7 20.8 11.9 33.6 13.8-4.8-15.8-7.8-32-7.5-49zm283 46.1c-3 20.2-8.3 57.5-16.4 82.1 15.2-1 30.4-2.3 45.6-3.8-6.1-23.6-17.6-59.9-29.2-78.3zm-156.3.6c-13.2 19.5-30.2 57-33.8 80.6 17.4 1.4 34.7 2.4 52.1 3-8.9-24.7-13.4-62.9-18.3-83.6zM108 260.5c-17.86 10.2-25.35 23.9-33.41 37.4 11.97 3.5 24.21 6.9 36.71 10.1-4.5-15.9-6.3-31.7-3.3-47.5zm37.1 0c-12 16.2-25 32.3-29.7 48.5 14.5 4.1 24.6 5.7 38.2 7.8-8.9-18.8-7.9-37.5-8.5-56.3zm318.4 3.2c-3.3 19.5-7.6 38.7-16.1 57.2 12.5-1.3 25.1-2.7 37.6-4.3l1.8-.3c-3-19.4-13.1-36.1-23.3-52.6zm-265.7 3.9c-16.8 17-25.5 33.8-34 50.7 16 2.2 32 4.1 47.9 5.5-9.6-17.1-13.3-36.2-13.9-56.2zm161.3 3.3c-5.9 19.2-14 38.3-23.6 57.1 16.7-.4 33.4-1 50.1-2-7.4-18.7-16-37-26.5-55.1zm-55 .8c-9.7 18.7-17.2 37.4-23.7 56.1 15 .4 30 .5 45 .4-8.5-18.6-16-37.3-21.3-56.5zM51.96 309.8c-3.76 16.6-6.09 34.7-6.86 52.6 14.38 31.4 29.54 64 44.46 90l7.81 3.2 36.83-43.1c.6-26.5 3.2-53 8.1-78.9-32.1-6.9-61.94-14.9-90.34-23.8zm426.14 25.7c-36.3 4.4-72.5 7.6-108.8 9.3v109.3c-35.6 8-74.8 4.3-105.8-.1V345.2c-34.4-1.5-68.8-4.5-103.2-9.4-4.6 23.9-7.2 48.4-8 73.1l56.2 75.7c75.3 7.2 148.2 6.5 220 1.4l52-70.9c.8-26.7.6-53.3-2.4-79.6zm-126.8 10c-23.3.7-46.5.9-69.8.3v92.5c23.3 3.3 45.9 5.5 69.8 1.3zm-34.2 15.7c7.7 0 13.9 6.9 13.9 15.4 0 6.3-3.4 11.9-8.6 14.3L331 423h-27.7l8.6-32.1c-5.2-2.4-8.6-8-8.6-14.3 0-8.5 6.2-15.4 13.8-15.4zM46.78 407.9c.22 10.1-.82 19 2.15 28l14.29 5.8c-5.68-11-11.12-22.4-16.44-33.8zm105.42 31c.3 13.2 1.1 26.3 2.3 39.3 9.9 1.4 19.8 2.7 29.7 3.9zm-18 1.1l-19.4 22.7 21 8.5c-.8-10.3-1.4-20.7-1.6-31.2zm345 7.4l-27 36.8c8.5-.7 16.9-1.5 25.3-2.3.5-11.5 1.1-23 1.7-34.5z"}}]})(props);
};
function GiMineExplosion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M287.586 15.297l3.504 110.963 31.537-110.963h-35.04zm-95.78.238l-1.75 236.047-170.533-43.33L130.486 377.69l-88.77-5.174 114.432 112.357-44.466-75.867L186.896 417l-51.748-109.94 110.114 79.956-12.635-185.23.002.003 75.212 170.57 75.816-89.95-6.62 154.582 60.173-39.978-20.388 79.486 75.756-142.787-75.924 1.94L487.32 155.87l-131.402 73.08-12.264-139.69-65.41 140.336-86.435-214.06h-.003zM45.503 44.095L39.355 75.94 154.285 218h.002l-77.6-166.836-31.185-7.07zm422.27 24.776l-31.184 7.07-43.738 107.37 81.068-82.59-6.147-31.85zM279.208 403.61c-40.176 0-72.708 32.537-72.708 72.71 0 5.725.636 10.706 1.887 16.05 7.25-32.545 36.097-56.655 70.82-56.655 34.82 0 63.673 23.97 70.82 56.656 1.218-5.277 1.888-10.404 1.888-16.05 0-40.175-32.536-72.71-72.71-72.71z"}}]})(props);
};
function GiMineTruck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M102.5 70.4c-.8 0-1.7.1-2.5.22-30.99 5.31-62.08 74.08-72.4 98.98h226.8l11.9-23.9c-12.4-20-35.3-50.36-58.3-49.08-15.1.8-44 33.98-44 33.98s-35.4-60.51-61.5-60.2zm195.1 53.2l-32 64h-79.7l-40.7 95c22 3.3 41.4 14.7 55 31h87.6c4.8-5.8 10.3-10.9 16.4-15.3l28.6-128.7h48.9l16.3-46zM21 187.6v80l13.57 3.5 35.8-83.5zm68.91 0l-37.77 88.1 25.56 6.7 40.6-94.8zm47.99 0L95.28 287l3.7 1c8.42-3.4 17.52-5.6 27.02-6.2l40.3-94.2zm209.3 0l-22.1 99.5c9.6-3.5 20.1-5.5 30.9-5.5 40.3 0 74.6 27.1 85.4 64H491v-80.5l-46.5-15.5-15.5-62h-34.7zm17.8 14h46l12.5 50h-71l10.8-43.2zm-233 98c-39.32 0-71 31.7-71 71s31.68 71 71 71c39.3 0 71-31.7 71-71s-31.7-71-71-71zm224 0c-39.3 0-71 31.7-71 71s31.7 71 71 71 71-31.7 71-71-31.7-71-71-71zm-320.62 32l-12.4 62h23.05c-1.97-7.3-3.03-15.1-3.03-23 0-14 3.25-27.2 9.04-39zm176.62 0c5.7 11.8 9 25 9 39 0 7.9-1.1 15.7-3 23h52c-1.9-7.3-3-15.1-3-23 0-14 3.3-27.2 9-39zm-80 7a32 32 0 0 1 32 32 32 32 0 0 1-32 32 32 32 0 0 1-32-32 32 32 0 0 1 32-32zm224 0a32 32 0 0 1 32 32 32 32 0 0 1-32 32 32 32 0 0 1-32-32 32 32 0 0 1 32-32zm88.7 25c.2 2.3.3 4.6.3 7 0 10.7-1.9 20.9-5.4 30.5l51.4-20.6v-16.9z"}}]})(props);
};
function GiMineWagon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M365.906 60.844C347.218 62.03 327.732 73.3 307.72 87.5c-20.814 14.77-41.852 32.27-64.626 41.875a8 8 0 0 1-9.125-2.125c-15.01-17.31-38.15-30.55-73.22-27.28-19.124 1.78-32.252 10.625-43.688 23.655-5.264 6-9.998 12.975-14.53 20.375h322.624c-15.21-29.846-29.05-64.182-59.25-83.156zM40 160v44h416v-44H40zm18.375 60l49.344 186.563H118c3.087-6.592 7.31-12.684 12.563-17.938 11.916-11.916 28.63-18.906 45.843-18.906 17.214 0 33.897 6.99 45.813 18.905 5.252 5.254 9.467 11.346 12.56 17.938h42.97c3.104-6.47 7.282-12.44 12.406-17.563 11.927-11.926 28.384-18.75 45.25-18.75 16.867 0 33.324 6.824 45.25 18.75 5.124 5.124 9.303 11.092 12.406 17.563h6.032L438.156 220H58.376zM426.22 355l-6.064 29H456v-29h-29.78zm-249.814 31.563c-11.69 0-23.728 4.915-32.25 13.437-8.522 8.522-13.75 21.002-13.75 33.344 0 12.34 5.228 24.82 13.75 33.344 8.522 8.522 20.56 13.437 32.25 13.437 11.69 0 23.697-4.915 32.22-13.438 8.52-8.522 13.78-21.002 13.78-33.343 0-12.342-5.26-24.822-13.78-33.344-8.523-8.522-20.53-13.438-32.22-13.438zm159 1.28c-12.037 0-24.3 5.083-32.812 13.594C294.082 409.95 289 422.212 289 434.25c0 12.038 5.082 24.3 13.594 32.813 8.512 8.51 20.775 13.593 32.812 13.593 12.038 0 24.3-5.082 32.813-13.594 8.51-8.51 13.592-20.774 13.592-32.812 0-12.038-5.08-24.3-13.593-32.813-8.513-8.51-20.776-13.593-32.814-13.593z"}}]})(props);
};
function GiMinefield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M239 263h43v213h-43zM447 36v211H61V36zM299 197.33v-25.14l46-23.35-7.24-14.27L307.44 150A59.58 59.58 0 1 0 195 122.42a61.11 61.11 0 0 0 9.45 31.91l-32.75-14.9-6.63 14.57L210 174.43v25l-38.74 19.66 7.24 14.27L228.45 208h55.37l52.76 24 6.63-14.56zm-13.45-44l-2.55 2.31V192h-57v-36.36l-2.17-2.34a43.88 43.88 0 0 1 .17-61.76 43.59 43.59 0 1 1 61.54 61.75zm-46.76-1.23a11.12 11.12 0 1 0-11.12-11.12 11.12 11.12 0 0 0 11.12 11.08zm26 16.94l-9.93-17.15L245 169zm16.95-28.06a11.12 11.12 0 1 0-11.12 11.12 11.12 11.12 0 0 0 11.14-11.16zM155.18 384.75c-24.85 0-45 3.81-45 8.5 0 4.69 20.15 8.5 45 8.5s45-3.81 45-8.5c0-4.69-20.18-8.5-45-8.5zM446.55 332c-16.29 0-29.5 2.19-29.5 4.89 0 2.7 13.21 4.89 29.5 4.89s29.5-2.19 29.5-4.89c0-2.7-13.21-4.89-29.5-4.89zm-390.1-36.75c-11.32 0-20.5 1.34-20.5 3s9.18 3 20.5 3 20.5-1.34 20.5-3-9.18-3-20.5-3zm280.22-.42c-11.32 0-20.5 1.43-20.5 3.2 0 1.77 9.18 3.2 20.5 3.2s20.5-1.43 20.5-3.2c0-1.77-9.17-3.2-20.5-3.2zm62.69 122.41c-39.76 0-72 7.81-72 17.45s32.24 17.45 72 17.45 72-7.81 72-17.45-32.23-17.45-72-17.45z"}}]})(props);
};
function GiMiner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M185.6 29.02c-17.8.64-35.3 16.49-42.9 38.77-9.4 27.43-.7 55.21 19.4 62.11 20.1 6.8 44-9.9 53.3-37.3 9.4-27.42.7-55.21-19.4-62.08-3.3-1.12-6.8-1.63-10.4-1.5zm156 19.6c-10.3.1-22 .98-35.2 2.86 36.5 8.49 67.8 21.18 92.8 39.24L298.6 207.1c7.9 5.8 9.1 7.7 16.8 13.8l101.3-115.7c22.4 21.4 37.7 48.7 44.2 82.9 3.8-35.9-2.7-76-27.4-102.08 7.4-7.89 15.4-15.69 5.6-24.17-12.9-7.89-14.9-.32-23.1 9.25-17-12.63-37.4-22.75-74.4-22.48zM115.1 145.5C69.21 171.2 19.21 253.6 84.86 381c11.29 22-34.56 65.6-60.28 90.3l43.95 6.2c29.82-31.7 52.97-60.7 63.17-98.1 1.6-5.6-16.8-34.7-27.8-62.1 27.9 14.1 73.1 58.4 70.5 76.6-5.1 35.3-15.5 53.2-30.7 84.9l46.7 4.2c11.2-24.1 18.9-52.5 25.6-97.3 2-13.8-23.8-47-61.8-85.1-13.7-13.8-27.1-56.4 10.7-107.9 47.7 18.3 78.8 43.9 118.4 67.6l18.4-21.7c-38.5-30-79.5-65-129.8-88-17.9-8.2-39.9-14.6-56.8-5.1zm345.8 42.6c-16.6 2.1-92 37.8-125.1 56.3l69.3-6.1-86.7 100.2L421 264.2l-14.7 127.2 47.2-131.7 33.9 80.9c-7.2-84.5-11.2-109.1-26.5-152.5z"}}]})(props);
};
function GiMineralHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M182.344 19.906L28.78 173.47 255.626 487.5 481.938 174 328.375 20.47l-72.75 72.75-73.28-73.314zm-.938 27.75L188 54.28l67.625 67.626L323.25 54.28l6.625-6.624 6.594 6.625L452.56 170.376l5.625 5.625-4.656 6.438-190.31 263.78-7.595 10.5-7.563-10.5L57.72 182.44 53.062 176l5.624-5.625L174.78 54.28l6.626-6.624zm0 26.438L77.53 177.97l178.095 246.81L433.72 177.97 329.874 74.093l-61 60.97 66 66 6.594 6.592-6.595 6.625-78.25 78.25-6.625 6.626-6.594-6.625-78.25-78.25 13.188-13.218L250 272.72l65.063-65.033-59.407-59.406-.03.032-6.595-6.593-67.624-67.626zm1.406 24.78l109.032 109.032-13.22 13.22-109.03-109.032 13.22-13.22zm147.97 0l81.437 81.407L399 193.5l-81.406-81.406 13.187-13.22z"}}]})(props);
};
function GiMinerals (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M263.396 491.136l-21.303-131.13-13.116 127.847-44.258-24.593 49.024-168.947 41.122 67.33 19.665 91.792-31.134 37.7zm-153.69-3.88l-7.82-27.853-27.776-9.022 27.838-7.826 9.02-27.784 7.83 27.845 27.783 9.03-27.844 7.82-9.03 27.79zm60.94-55.476l-28.97-2.242-64.16-105.39-4.148-82.91 78.463 30.34 51.1 67.966-16.398 62.952-63.105-83.046 47.22 112.33zm145.663-28.756l-17.02-2.127-8.508-43.624-14.28-26.774 91.794-91.793 31.15 9.825-13.115 73.764-70.02 80.728zm18.348-41.894l27.27-32.52 9.98-40.923-25.183 32.52-12.067 40.923zM209.74 322.725l-38.527-51.62 22.13-109.025 77.046-95.052 63.105 85.227-6.55 105.735-59.012 60.64-37.7-57.373-20.493 61.468zm47.32-47.25l27.18-94.6 24.738-22.858-28.03 3.85-11.132-43.28-6.558 43.28-45.345 5.516 45.108 16.17-5.96 91.92zm-97.248-19.727l-27.876-44.267 9.84-93.413 31.143 62.286-13.108 75.395zm232.258-22.46l-9.87-35.175-35.077-11.393 35.153-9.887 11.393-35.076 9.886 35.16 35.076 11.402-35.153 9.87-11.41 35.1zm-213.9-97.943l-12.344-43.99-43.876-14.25 43.976-12.365 14.247-43.876L192.54 64.84l43.867 14.263-43.968 12.35-14.27 43.892z"}}]})(props);
};
function GiMiniSubmarine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M106.531 32.647a8 8 0 0 0-8 8 8 8 0 0 0 8 8 8 8 0 0 0 8-8 8 8 0 0 0-8-8zM127 54.11a16 16 0 0 0-16 16 16 16 0 0 0 16 16 16 16 0 0 0 16-16 16 16 0 0 0-16-16zm-40 32a8 8 0 0 0-8 8 8 8 0 0 0 8 8 8 8 0 0 0 8-8 8 8 0 0 0-8-8zm166.094 42.82L152 176.108v19.66l83.275-37.851 7.45 16.386L152 215.542v37.054l-66 22v-29.054l-19.275 8.761-7.45-16.386L86 225.768v-18.861L24 235.84v69.943l74.156 59.326H150v-80h113.973l29.06-116.24zM134 130.596l-30 10v109.026l30-10zm225 34.514c-17.293 0-33.797 3.427-48.88 9.625l-5.66 22.633c16.099-9.077 34.701-14.258 54.54-14.258 61.41 0 111 49.59 111 111 0 33.888-15.104 64.172-38.959 84.514a125.02 125.02 0 0 1 15.424 10.22C471.989 365.261 488 331.524 488 294.11c0-71.138-57.862-129-129-129zm-1.043 35.498c-17.968.19-36.383 5.944-51.336 17.76 80.719-7.96 130.37 44.148 138.711 112.021 17.152-52.744-8.539-94.772-43.545-117.64-12.47-8.147-27.976-12.309-43.83-12.14zM168 303.11v62h121.707l-24.8-62zm-95.695 80c.58 16.023 2.647 30.257 6.623 41.906l.064-.28c107.631 24.527 244.498 31.838 379.018 2.923a62.707 62.707 0 0 0-4.094-6.121c-14.869-19.664-45.53-38.428-70.916-38.428zm391.265 61.768c-132.013 28.693-265.575 23.175-373.658.642 5.962 7.311 13.655 12.625 23.934 16.051 21.94 7.313 74.574 15.426 136.246 17.34 61.671 1.913 133.028-2.11 194.724-17.533 13.919-3.48 17.604-8.493 18.588-14.479.104-.633.153-1.313.166-2.021z"}}]})(props);
};
function GiMinigun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M66.793 194.227v38.177h95.234v52.21h31.422c-1.602 52-10.98 87.324-23.327 109.21-6.947 12.313-14.558 20.39-22.42 25.315-21.22-11.84-39.07-38.882-39.07-71.007h-18.69c0 53.26 38.992 97.638 82.565 96.084 21.786-.777 43.438-14.208 58.672-41.21 14.588-25.856 24.16-64.12 25.75-118.392h23.34v-90.388H66.793zm347.11 3.918v17.96H298.958v45.202H413.9v17.957h18.69v-17.957h23.53v17.957h18.687v-17.957h19.426v-45.203H474.81v-17.96h-18.69v17.96h-23.528v-17.96h-18.69zm-395.22 52.95v83.874H143.34v-83.876H18.682zm193.467 33.52h26.08c-1.602 52-10.98 87.323-23.328 109.21-12.94 22.936-28.18 31.183-43.062 31.714-4.085.145-8.238-.4-12.365-1.526 8.788-2.515 17.46-8.28 25.584-18.694.45-.76.9-1.53 1.34-2.312 14.59-25.857 24.16-64.12 25.75-118.393zM45.164 348.133c0 53.26 38.99 97.638 82.563 96.084 2.977-.106 5.953-.458 8.91-1.04-23.16-4.283-43.785-21.112-56.307-44.448-9.903-13.495-16.476-31.11-16.476-50.597h-18.69z"}}]})(props);
};
function GiMiningHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M235.966 40.457c-7.926-.141-16.31 2.089-26.047 7.838 45.628 37.319 84.604 74.281 99.064 135.908 17.996-1.883 35.981-3.33 51.559-3.37-18.957-53.372-50.33-98.905-91.332-127.33-12.263-8.5-22.826-12.86-33.244-13.046zm-42.809 17.334c-30.096 3.739-56.135 11.538-77.076 24.576-30.268 18.845-50.78 48.345-59.037 95.776-6.361 36.54-1.923 80.413 1.447 119.486 10.813 8.693 23.377 16.695 34.438 23.164 17.888 10.39 39.477 20.978 56.675 26.336 4.947-17.031 10.328-31.971 16.252-47.483 26.32-1.116 51.671.46 75.756 4.854 8.359 18.34 14.133 38.85 16.951 56.15 27.107-.1 51.992-1.257 76.434-4.443-7.743-3.891-15.521-9.467-21.068-14.938-14.387.241-25.648-.097-38.795-.89-16.618-46.674-23.382-98.451-26.973-141.627 14.429-5.107 30.143-9.316 43.092-11.764-13.905-58.052-50.912-90.982-98.096-129.197zM316.12 70.578c28.121 30.098 49.649 68.246 63.733 110.42a693.55 693.55 0 0 1 31.884 1.549c-9.414-46.551-61.234-104.65-95.617-111.969zm32.977 128.6c-28.668.998-56.841 4.673-81.776 12.338 3.158 37.792 7.103 74.814 20.508 111.437 4.308.187 8.594.294 12.863.328-10.146-20.957-11.255-50.056-9.705-68.273 5.276-33.539 29.025-50.64 58.11-55.83zm-22.022 26.59c-24.67 19.41-23.483 57.1-12.787 84.136 15.54 33.049 50.055 39.288 79.805 42.656-14.238-15.658-22.975-38.403-22.975-63.107 0-30.457 13.273-57.94 33.777-72.82-24.306-2.555-57.116-3.381-77.82 9.135zm112.885-2.801c-26.915 0-50.842 28.652-50.842 66.486s23.927 66.488 50.842 66.488 50.844-28.654 50.844-66.488-23.93-66.486-50.844-66.486zM36.683 250.715c-16.19 21.251-24.367 57.995-.75 77.25 50.241 40.966 98.127 78.223 168.523 113.814 76.817 38.837 158.348 39.888 224.867 1.9 61.012-34.842 65.701-62.89 54.338-88.826-30.917 27.084-73.153 19.666-110.213 13.307-38.023 7.399-76.867 10.731-112.54 10.537.52 4.997.891 9.383 1.35 14.537-40.267 8.662-91.068 5.532-119.308-11.523.57-5.76 1.466-12.043 2.434-17.012-20.019-5.952-42.49-17.302-61.496-28.342-12.889-8.121-25.865-15.173-36.78-24.726-3.08-2.621-5.514-5.898-6.142-8.602-1.434-17.831-3.293-36.226-4.283-52.314zM178.558 317.1c-6.464 17.459-13.307 38.856-16.059 55.319 22.324 11.178 55.301 11.125 80.238 6.613-2.124-19.546-5.848-39.728-13.699-58.43-18.443-3.028-33.843-4.157-50.48-3.502z"}}]})(props);
};
function GiMining (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M113.844 17.72c-8.426.04-16.812.833-25.094 2.436C195.65 84.503 275.473 170.516 338.47 270c2.526-53.76-19.07-109.13-53.533-154.25-14.097 5.298-31.477.742-43.468-11.25-11.98-11.98-16.558-29.347-11.282-43.438C194.46 34.105 153.68 17.52 113.844 17.72zm380.562 20.405L423.47 115.75l30.06 125.563-55.092 8.78-19.407 80.626 73.5 39.124-41.25 55.937 29.658 44.033-88.782-27.625 16.5-43.844L291.97 364.5l13.124-84.563-111.375 58.125-4.22 78.25-112.22-27.656-33.25 104.156h450.376V38.125zM261.156 58.72c-.388.01-.776.028-1.156.06-3.644.325-6.882 1.696-9.188 4-6.147 6.15-5.746 18.88 3.875 28.5 9.622 9.623 22.353 10.024 28.5 3.876 6.148-6.148 5.747-18.878-3.875-28.5-5.637-5.637-12.335-8.096-18.156-7.937zM196.5 127.593L25.28 298.874c4.273 11.926 11.027 21.05 25.25 25.626L221.97 153c-7.796-8.89-16.308-17.333-25.47-25.406zm158.78 11.625l9.314 84.686 27.437-84.687h-36.75zm-132.03 74.968l-20.156 35.937 92.687 7.375-72.53-43.313z","fillRule":"evenodd"}}]})(props);
};
function GiMinions (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.885 21.08c-31.185 0-58.496 32.517-58.496 75.092 0 42.575 27.31 75.09 58.495 75.09 31.186 0 58.498-32.515 58.498-75.09S286.07 21.08 254.885 21.08zm-32.262 52.078h18.69v45.723h-18.69V73.16zm43.803 0h18.69v45.723h-18.69V73.16zm43.943 88.28c-13.86 17.468-33.346 28.51-55.485 28.51-21.33 0-40.192-10.257-53.938-26.626-11.126 4.16-20.024 11.688-27.67 22.285-9.668 13.403-16.88 31.75-21.923 52.71-4.735 19.677-7.546 41.513-9.202 63.61 7.876 4.015 14.466 9.84 19.61 16.782 6.746 9.102 11.316 19.966 14.56 31.75 3.395-11.403 7.95-21.896 14.324-30.75 5.08-7.054 11.502-13.04 19.155-17.183-4.61-9.605-7.21-20.688-7.21-32.29 0-34.46 22.86-64.393 53.572-64.393 30.713 0 53.572 29.934 53.572 64.392 0 10.913-2.3 21.368-6.408 30.565 8.922 4.012 16.312 10.29 21.96 17.91 6.942 9.368 11.577 20.603 14.837 32.784 3.426-11.803 8.064-22.662 14.633-31.785 4.46-6.194 9.956-11.564 16.41-15.587-1.083-23.328-3.275-46.454-7.752-67.144-4.568-21.113-11.505-39.48-21.326-52.777-8.29-11.223-18.313-18.974-31.72-22.764zM89.95 224.532c-16.32 0-31.497 15.67-34.386 37.99H79.81v18.687H56.083c3.874 20.57 18.353 34.73 33.867 34.73 15.513 0 29.992-14.16 33.866-34.73H98.5V262.52h25.834c-2.888-22.32-18.066-37.99-34.385-37.99zm166.212 0c-16.32 0-31.496 15.67-34.385 37.99h24.16v18.687h-23.642c2.92 15.51 11.873 27.37 22.75 32.27-6.347.482-12.23 1.242-17.117 2.2l-.028.007-.027.005c-9.335 1.772-16.13 6.7-22.06 14.937-5.93 8.236-10.528 19.833-13.745 33.25-5.746 23.972-7.066 53.275-7.297 79.29h23.503V392.12h18.69v103.025h61.906V392.12h18.687v51.048h21.91c-.044-26.343-.5-56.035-5.776-80.164-2.947-13.486-7.4-25.042-13.42-33.166-6.02-8.124-13.142-13.033-23.68-14.682l-.194-.03-.19-.038c-5.24-1.045-11.492-1.713-18.09-2.01 10.496-5.12 19.068-16.76 21.913-31.87h-25.403V262.52h25.92c-2.888-22.32-18.066-37.99-34.385-37.99zm165.992 0c-16.32 0-31.496 15.67-34.384 37.99h24.296v18.687h-23.78c3.875 20.57 18.354 34.73 33.868 34.73 15.514 0 29.993-14.16 33.867-34.73h-25.266V262.52h25.785c-2.89-22.32-18.066-37.99-34.386-37.99zm-294.564 91.6c-9.507 11.333-22.63 18.493-37.64 18.493-13.795 0-25.996-6.05-35.263-15.824-4.983 2.6-9.165 6.523-12.984 11.827-5.93 8.236-10.528 19.833-13.744 33.25-5.747 23.972-7.067 53.275-7.298 79.29h23.252V392.12h18.688v103.025h61.906V392.12h18.69v51.048h22.745c-.043-26.342-.5-56.035-5.775-80.164-2.948-13.486-7.4-25.042-13.422-33.166-5.115-6.902-11.032-11.474-19.156-13.707zm331.344 1.013c-9.432 10.746-22.22 17.48-36.78 17.48-14.395 0-27.065-6.574-36.465-17.11-6.246 2.505-11.26 6.852-15.768 13.114-5.93 8.236-10.528 19.833-13.744 33.25-5.747 23.972-7.066 53.275-7.297 79.29h22.927V392.12h18.69v103.025H452.4V392.12h18.688v51.048h22.498c-.018-26.37-.353-56.076-5.504-80.21-2.88-13.486-7.266-25.037-13.23-33.147-4.393-5.972-9.388-10.195-15.92-12.667z","fillRule":"evenodd"}}]})(props);
};
function GiMinotaur (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M110 18.906c-3.766 9.014-2.938 15.91-2.938 28.032 0 26.995 24.076 48.413 52.563 52.562 19.28 2.807 39.315 4.758 59.594 5.813-8.56 7.39-13.907 18.092-13.907 35.124 0 17.576 6.436 37.856 16.562 52.97 10.126 15.112 23.233 24.374 36.03 24.374 12.8 0 25.906-9.26 36.033-24.374 10.126-15.113 16.562-35.392 16.562-52.97 0-17.186-5.43-27.946-14.125-35.342 19.053-1.09 37.854-2.952 56-5.594 28.487-4.147 51.47-23.72 52.563-52.563.368-9.723-1.637-18.74-2.938-28.03-2.943 27.71-26.205 45.69-54.313 49.656-59.833 8.443-123.54 8.443-183.375 0-28.107-3.966-51.37-21.945-54.312-49.657zm79.78 99.313c-248.928 7.213-200.628 194.293-22.124 242.5 40.812-39.456-6.55-101.937-43.72-57.033-23.22-43.474-20.674-82.77 4.5-95.03 48.72 27.067 83.566 88.52 86.126 148.405-33.595 23.148-59.625 63.032-59.625 63.032l26.344 38.78-41.31 23.5h82.124c-40.513-40.52-11.77-86.093 36.22-86.093 48.645 0 74.12 48.22 36.248 86.095h81.282l-40.47-23.5 26.345-38.78s-26.458-40.502-60.44-63.564c2.744-59.716 37.52-120.887 86.095-147.874 25.176 12.262 27.722 51.557 4.5 95.03-37.168-44.903-84.53 17.578-43.72 57.033 178.5-48.206 226.788-235.28-22.124-242.5 2.054 6.73 3.158 14.17 3.158 22.218 0 21.95-7.423 45.024-19.72 63.375-12.295 18.35-30.17 32.656-51.562 32.656-21.392 0-39.266-14.306-51.562-32.657-12.296-18.352-19.72-41.426-19.72-63.375 0-8.048 1.105-15.488 3.157-22.22z"}}]})(props);
};
function GiMiracleMedecine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M175.246 21.422L107.7 60.462l13.984 24.25 24.837-14.357 43.263 75.016-15.336 8.864c-8.12-11.014-20.585-17.512-33.636-18.453-8.796-.633-17.854 1.252-26.013 5.968-21.757 12.575-29.29 40.725-16.733 62.498 12.557 21.773 40.702 29.325 62.46 16.75 8.14-4.705 14.287-11.59 18.138-19.504l91.973 159.48 20.86-12.056 33.67 58.385 11.755-6.794 55.09 95.523 16.19-9.34-55.098-95.538 11.203-6.474-33.67-58.383 20.86-12.057-89.382-154.986c9.45 1.12 19.314-.67 28.13-5.764 21.756-12.575 29.288-40.725 16.732-62.498-7.848-13.608-21.785-21.66-36.446-22.717-8.797-.633-17.855 1.25-26.014 5.967-18.31 10.583-26.544 32.196-21.21 51.756l-17.343 10.024L162.7 61.004l26.53-15.334-13.984-24.248zm166.79 65.197L315.19 211.13l51.998 90.18 98.197 12.633-84.182-53.832 85.135-7.583-48.7-38.593 74.635-70.862-84.156 28.23-4.273-63.06-52.858 75.756-8.95-97.38zm-74.684 3.038c.58-.003 1.16.015 1.738.055 7.698.526 14.96 4.785 19.164 12.074 6.725 11.662 2.815 26.265-8.824 32.992-11.64 6.727-26.2 2.823-32.926-8.84-6.726-11.66-2.815-26.263 8.826-32.99 3.82-2.208 7.953-3.272 12.022-3.292zm-36.168 53.37L325.977 307.4l-48.498 28.03-94.794-164.37 48.498-28.03zm-93.55 14.14c.58-.003 1.16.015 1.737.055 7.7.526 14.962 4.783 19.165 12.072 6.726 11.662 2.815 26.265-8.824 32.992-11.64 6.728-26.2 2.826-32.925-8.836-6.725-11.66-2.814-26.265 8.826-32.993 3.82-2.208 7.955-3.27 12.023-3.29zm-30.464 85.34l44.424 40.724-101.96 4.772 81.18 43.94-96.996 81.226 109.668-25.215-4.494 82.777 63.87-78.173 26.32 70.577 26.832-87.922L191.26 262.91l-84.09-20.402z"}}]})(props);
};
function GiMirrorMirror (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.688 20.375c-38.528 0-74.835 12.49-107.282 34.813h-54.25V460.5H150.063c32.555 22.454 69.036 35.063 107.625 35.063 38.588 0 75.044-12.61 107.593-35.063h53.908V55.188h-54.219c-32.447-22.323-68.754-34.812-107.283-34.812zM123.155 84.28H392.28V432.157H123.157V84.28zm18.688 18.69v108.718l126.844-108.72H141.844zm200.437 0L141.845 274.78v56.626l231.75-198.687v-29.75H342.28zm31.314 140.093L174.53 413.469h46.532l152.532-128.376v-42.03zm0 66.468l-123.5 103.94h123.5V309.53z"}}]})(props);
};
function GiMissileLauncher (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M490.74 21.411c-8.947.782-20.72 3.22-33.566 7.781-16.386 5.82-34.345 14.758-50.969 25.893l26.783 36.525c15.712-12.52 29.853-26.925 40.428-40.757 8.265-10.811 14.055-21.243 17.324-29.442zm-99.265 44.026L57.609 310.24l8.28 11.291 83.062-60.906 10.643 14.516-83.063 60.906 8.28 11.29 333.865-244.806zm-18.252 92.746L203.164 282.876l13.924 7.15L375.855 173.61zm-48.602 75.316l-35.775 26.234c3.899 3.046 8.821 4.856 14.213 4.856 12.809 0 23-10.191 23-23 0-2.855-.51-5.579-1.438-8.09zm-255.267 7.527L21.26 260.67l25.705 35.057 65.54-48.057zm226.705 40.948v30.615h14v-30.615a40.734 40.734 0 0 1-7 .615c-2.386 0-4.723-.219-7-.615zm-135.065 31.822l-65.54 48.058 25.706 35.06 33.194-39.964zm-117.9 7.09l-11.291 8.279 27.2 37.096 11.29-8.28zm236.965 9.703v78h46v-78zm-18 54.336l-61.426 71.664h23.709l37.717-44.004zm82 0v27.66l37.716 44.004h23.71zm-192 89.664v16h94v-16zm208 0v16h94v-16z"}}]})(props);
};
function GiMissileMech (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M110.35 18.398l-80.952 61.74v47.173h162.524c-15.238 16.172-24.608 38.184-24.608 62.538 0 49.97 39.442 90.097 88.11 90.097s88.107-40.126 88.107-90.097c0-24.353-9.368-46.366-24.604-62.537h163.396V80.138l-80.95-61.74h-88.6v102.978c-5.696-4.987-12.02-9.24-18.84-12.623V52.494h-75.778v55.66c-6.942 3.308-13.392 7.51-19.205 12.47V18.397h-88.6zm10.67 18.688c7.38 0 13.156 5.776 13.156 13.152 0 7.38-5.777 13.158-13.156 13.158-7.38 0-13.16-5.778-13.16-13.158s5.78-13.152 13.16-13.152zm45.662 0c7.38 0 13.156 5.776 13.156 13.152 0 7.38-5.777 13.158-13.156 13.158-7.38 0-13.16-5.778-13.16-13.158s5.78-13.152 13.16-13.152zm177.86 0c7.38 0 13.155 5.773 13.155 13.152 0 7.38-5.776 13.158-13.156 13.158-7.38 0-13.155-5.778-13.155-13.158 0-7.376 5.776-13.152 13.156-13.152zm46.16 0c7.38 0 13.155 5.773 13.155 13.152 0 7.38-5.776 13.158-13.156 13.158-7.378 0-13.155-5.778-13.155-13.158 0-7.376 5.777-13.152 13.156-13.152zM61.25 82.088c7.38 0 13.156 5.776 13.156 13.152 0 7.38-5.776 13.158-13.156 13.158-7.38 0-13.156-5.778-13.156-13.158S53.87 82.088 61.25 82.088zm45.705 0c7.38 0 13.156 5.776 13.156 13.152 0 7.38-5.775 13.158-13.155 13.158-7.38 0-13.156-5.778-13.156-13.158s5.774-13.152 13.155-13.152zm45.662 0c7.38 0 13.158 5.776 13.158 13.152 0 7.38-5.778 13.158-13.158 13.158S139.46 102.62 139.46 95.24s5.776-13.152 13.157-13.152zm205.738 0c7.38 0 13.157 5.773 13.157 13.152 0 7.38-5.777 13.158-13.157 13.158S345.2 102.62 345.2 95.24c0-7.376 5.776-13.152 13.155-13.152zm46.41 0c7.38 0 13.155 5.773 13.155 13.152 0 7.38-5.777 13.158-13.156 13.158-7.38 0-13.157-5.778-13.157-13.158 0-7.376 5.777-13.152 13.157-13.152zm45.704 0c7.38 0 13.157 5.773 13.157 13.152 0 7.38-5.78 13.158-13.158 13.158-7.38 0-13.158-5.778-13.158-13.158 0-7.376 5.777-13.152 13.157-13.152zm-195.046 39.2c9.8 0 19.12 2.093 27.57 5.843l2.045 32.16c-8.006-7.307-18.012-11.77-29.257-11.77-10.234 0-19.45 3.69-27.064 9.855l2-31.434c7.673-2.994 15.997-4.65 24.704-4.65zm-44.172 16.267l-3.867 60.785c-7.05-1.798-14.102-3.95-21.153-6.445 0-21.858 9.737-41.39 25.02-54.34zm91.303 2.666c13.567 12.89 22.062 31.266 22.062 51.675-6.127 2.41-12.255 4.46-18.383 6.177l-3.68-57.85zm-205.22 22.87v54.44h54.806c-2.288-8.845-3.513-18.123-3.513-27.682 0-9.226 1.14-18.19 3.277-26.758h-54.57zm261.608 0c2.137 8.567 3.278 17.532 3.278 26.758 0 9.56-1.224 18.837-3.513 27.683h54.084v-54.44h-53.847zm-103.16 3.12c13.253 0 25.927 12.614 29.205 31.124h-58.41c3.278-18.51 15.952-31.125 29.205-31.125zm-143.887 70.01v62.032c5.21-2.606 10.862-4.078 16.874-4.078 6.013 0 11.666 1.472 16.876 4.08V236.22h-33.75zm252.58 0v62.034c5.21-2.607 10.863-4.08 16.876-4.08 6.012 0 11.665 1.473 16.875 4.08V236.22h-33.75zM128.77 312.862c-8.27 0-17.002 5.945-24.237 18.412-7.235 12.467-12.123 30.715-12.123 50.996 0 20.283 4.888 38.53 12.123 50.998 7.235 12.467 15.966 18.414 24.237 18.414 8.27 0 17.003-5.946 24.238-18.412 7.235-12.467 12.123-30.716 12.123-51 0-20.28-4.887-38.528-12.122-50.995-7.235-12.467-15.968-18.412-24.238-18.412zm252.582 0c-8.27 0-17.002 5.945-24.237 18.412-7.235 12.467-12.125 30.715-12.125 50.996 0 20.283 4.89 38.53 12.125 50.998 7.235 12.467 15.966 18.414 24.237 18.414 8.27 0 17-5.946 24.236-18.412 7.235-12.467 12.123-30.716 12.123-51 0-20.28-4.887-38.528-12.122-50.995-7.235-12.467-15.966-18.412-24.236-18.412zM98.664 456.4L65.21 489.855h127.12L158.875 456.4c-8.298 8.535-18.537 13.97-30.105 13.97-11.568 0-21.81-5.435-30.106-13.97zm252.582 0l-33.455 33.455h127.122L411.457 456.4c-8.298 8.535-18.537 13.97-30.105 13.97-11.568 0-21.808-5.435-30.106-13.97z"}}]})(props);
};
function GiMissilePod (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.28 19.938v358.156c3.317-8.267 8.434-16.15 15.47-23.188l91.125-91.156 13.22 13.22-91.157 91.155c-12.13 12.13-15.988 25.728-14.376 39.938 1.613 14.21 9.25 29.032 21.344 41.125l-.187.187 11.436 11.28.03.033c12.058 12.053 26.915 19.562 41.22 21.062 13.724 1.44 26.93-2.196 38.698-13.21-7.038-4.285-14.04-8.858-20.987-13.728-.86.248-1.722.496-2.58.71-17.25 4.34-34.876 2.385-46.55-9.29-11.677-11.676-13.623-29.307-9.276-46.554 4.348-17.248 14.865-35.155 30.464-50.754 20.472-20.473 44.794-32.403 66.656-32.58 11.45-.093 22.59 3.393 30.62 11.424 11.675 11.674 13.63 29.302 9.292 46.55-.198.787-.428 1.577-.652 2.366 4.89 6.997 9.483 14.055 13.79 21.15l56.364-56.37c-7.15-4.354-14.26-9.005-21.316-13.96-.63.175-1.262.36-1.89.52-17.25 4.338-34.877 2.383-46.552-9.292-11.674-11.674-13.63-29.302-9.29-46.55 4.338-17.25 14.847-35.158 30.447-50.758 20.476-20.477 44.825-32.403 66.687-32.58 11.45-.093 22.59 3.393 30.62 11.424 11.675 11.674 13.63 29.302 9.292 46.55-.256 1.017-.546 2.036-.846 3.057 4.81 6.9 9.336 13.857 13.58 20.85l55.48-55.485c-7.43-4.563-14.82-9.454-22.144-14.668-17.174 4.27-34.7 2.285-46.326-9.34-11.672-11.672-13.63-29.293-9.29-46.535 4.338-17.24 14.848-35.143 30.447-50.742 20.472-20.473 44.815-32.434 66.687-32.61 11.45-.094 22.59 3.392 30.62 11.423 11.677 11.676 13.624 29.307 9.277 46.554-.378 1.5-.818 3.006-1.29 4.514 4.677 6.68 9.082 13.417 13.227 20.187l1.055-1.054c12.112-12.115 15.967-25.784 14.342-40.095-1.623-14.298-9.25-29.174-21.312-41.25l-.03-.03-14.033-13.845c-11.52-10.493-25.123-17.107-38.218-18.594-14.21-1.613-27.81 2.246-39.94 14.375l-92.374 92.376-13.187-13.22 92.342-92.342c4.136-4.136 8.563-7.574 13.188-10.407H17.28zM398.085 83.9c-11.34 4.323-23.678 12.192-34.678 23.192-12.36 12.36-20.732 26.38-24.592 38.8 47.35 45.713 100.12 75.737 149.436 88.866-13.436-49.684-44.003-103.422-90.166-150.858zM251.75 135.906l13.188 13.22L150.313 263.75l-13.188-13.188L251.75 135.906zm20.33 74.953c-11.736 4.178-24.657 12.215-36.142 23.702-11.832 11.834-20.044 25.214-24.114 37.233 47.23 45.46 99.815 75.336 148.97 88.42-13.293-49.162-43.36-102.29-88.714-149.356zM145.156 338.15c-11.888 4.12-25.046 12.24-36.72 23.913-11.653 11.654-19.766 24.79-23.89 36.664 47.274 45.557 99.93 75.487 149.147 88.59-13.278-49.096-43.286-102.147-88.537-149.167z"}}]})(props);
};
function GiMissileSwarm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.34 17.38v34.08C37.24 85.91 61.4 120.5 95.03 151c6.97 24.6 23.57 43.7 46.27 53.9-5.9-8.2-9.4-18.1-9.6-30.1 12 .1 21.9 3.7 30.1 9.6-10.1-22.5-28.7-39-52.9-46-40.28-36.2-66.64-78.82-89.03-121.02zm26.96 0C98.65 32.32 173.5 71.74 240.5 124.5l16.3-11.6C205.6 71.81 149.6 38.58 99.97 17.38zm110.1 0c28.4 8.14 52.8 19.57 75.3 32.83 13 21.96 34.1 36.14 58.6 40.15-7.8-6.38-13.7-15.05-17-26.58 11.7-2.98 22.1-2.09 31.5 1.46-15.5-19.08-37.8-30.23-63-30.76-10.3-6.07-21-11.82-32.3-17.1zm171.3 4.96L321 71.62c-6.1 10.46-12.1 20.92-18.2 31.38-14.6 11.2-26.3 18.7-40.6 29l39.6 22.8h.1l38.3-13.9c37.3 28.7 84.7 43.6 133.5 39.8-21.2-44.6-57.8-78.2-101.5-96.03l-7-39.5zM194.9 148.8l-17.2 46.4c-8.6 8.4-17.2 17.1-25.7 25.7-14.9 5.8-31.2 11.8-46.6 17.5l32.3 32.3 40.6-3.5c28.6 37.3 70.5 64 118.6 72.9-8.9-48.5-35.6-90.5-73.1-119l3.4-40zm123.3 20l-18.2 6.6c17.1 17.7 33.5 38.1 44.3 52.6 1.1 24.4 12.1 46.1 30.6 61.3-3.5-9.5-4.3-19.9-1.4-31.6 11.6 3.3 20.2 9.3 26.6 17.1-4.1-25.4-19-47-42.3-59.9-12-15.9-25.3-31.3-39.6-46.1zM17.34 247.2v49.7c14.05 24.6 33.51 44.5 56.99 61 12.88 23.6 34.67 38.8 60.27 43-7.8-6.4-13.8-15.1-17.1-26.6 11.7-3 22.2-2.1 31.6 1.5-15-18.5-36.3-29.5-60.47-30.7-35.62-23.9-60.18-54.2-71.29-97.9zM441.3 249l-28.7 40.4c-10.5 6-20.9 12.1-31.4 18.1-16.1 1.9-33.2 3.3-49.6 4.8l22.9 39.6 40.1 7.1c17.9 43.5 51.5 80.1 95.7 101.2 4-49.2-10.9-96.7-39.9-133.9l13.7-37.7zm-269.4 83.9l-4.6 49.3c-6.1 10.3-12.2 20.9-18.2 31.4-13 9.6-27 19.4-40.5 28.9l39.6 22.9 38.3-13.9c37.3 28.7 84.6 43.6 133.4 39.8-21.1-44.7-57.7-78.3-101.4-96.1l-7-39.5z"}}]})(props);
};
function GiMiteAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M370.06 77.686c-10.644.085-21.42 1.936-31.816 5.86-14.63 5.53-17.103 17.274-12.506 23.895 14.11 29.535 18.452 62.364 3.78 90.1-17.168-25.923-43.89-42.415-73.518-42.415-29.626 0-56.347 16.496-73.516 42.42-14.672-27.734-10.335-60.56 3.772-90.09 4.606-6.62 2.138-18.37-12.5-23.894-41.58-15.69-89.25 1.756-110.16 32.82 30.66-8.7 66.99-27.915 103.05-7.155.675.39 1.342.735 1.997 1.045-13.33 33.103-15.584 70.885 5.423 102.39-3.543 7.674-6.336 15.914-8.263 24.588-26.844-17.095-39.352-48.493-41.52-81.71l-.17.01c-.018-8.626-13.526-18.352-30.46-12.02C52.03 159.1 27.61 203.606 32.32 240.76c17.003-26.187 38.658-65.485 77.91-74.688 4.368 35.197 20.396 69.337 53.086 87.086-.373 4.018-.572 8.1-.572 12.246 0 2.983.097 5.85.283 8.614-25.055-5.735-46.175-23.645-61.806-46.41-.038-.06-.084-.12-.124-.18-.353-.516-.72-1.02-1.067-1.54l-.08.05c-5.773-6.48-18.946-7.902-28.93 4.216-28.26 34.29-25.08 73.666-13.86 107.116 1.65-31.567 8.098-64.37 38.725-91.67 17.705 22.113 41.41 39.493 69.43 44.134 2.336 9.984 6.2 18.202 11.322 25.02-21.07 2.364-43.31-3.103-63.85-13.248l-.03.064c-7.296-3.463-17.49.828-19.402 16.125-5.475 43.83 14.19 87.256 39.99 101.73-13.334-23.954-23.805-58.905-13.8-98.31.023-.09.035-.177.057-.267 22.498 8.685 47.02 12.214 70.2 6.79 4.84 3.53 10.313 6.46 16.288 8.858-9.288 2.466-18.875 12.258-19.66 26.29-1.815 32.91 28.185 46.034 51.105 39.704-18.345-8.55-27.09-37.8-13.695-52.14-.348-3.926-1.426-6.985-3.006-9.262C231.57 343.6 243.418 344.8 256 344.8c13.92 0 26.943-1.463 38.55-4.556-1.927 2.343-3.25 5.674-3.646 10.106 13.395 14.34 4.652 43.59-13.693 52.14 22.92 6.33 52.92-6.795 51.104-39.705-.827-14.944-11.646-25.085-21.457-26.68 5.61-2.327 10.77-5.13 15.358-8.474 23.173 5.414 47.688 1.882 70.18-6.802.023.097.035.19.06.287 9.99 39.405-.466 74.34-13.8 98.31 25.8-14.46 45.465-57.885 39.99-101.73-1.912-15.3-12.11-19.59-19.405-16.123l-.04-.082c-20.533 10.14-42.762 15.61-63.825 13.252 5.114-6.814 8.976-15.025 11.31-25.002 28.02-4.637 51.726-22.026 69.43-44.14 30.627 27.3 37.074 60.104 38.725 91.656 11.22-33.45 14.4-72.81-13.86-107.115-9.984-12.11-23.157-10.683-28.93-4.2l-.08-.053c-.347.52-.713 1.025-1.066 1.54-.04.062-.086.12-.125.182-15.633 22.765-36.754 40.682-61.81 46.413.188-2.765.286-5.634.286-8.62 0-4.146-.2-8.233-.572-12.253 32.683-17.75 48.722-51.882 53.08-87.09 39.246 9.22 60.9 48.513 77.9 74.684 4.71-37.155-19.71-81.658-61.334-97.228-16.928-6.326-30.434 3.41-30.447 12.035l-.182-.01c-2.153 33.22-14.666 64.602-41.503 81.698-1.926-8.672-4.72-16.91-8.26-24.582 21.006-31.508 18.75-69.293 5.417-102.398.656-.31 1.324-.656 2-1.047 36.06-20.76 72.405-1.53 103.05 7.155-15.682-23.3-46.416-38.936-78.345-38.68zM210.58 244.42c19.455 0 35.22 15.766 35.22 35.22 0 19.44-15.765 35.22-35.22 35.22-19.44 0-35.22-15.764-35.22-35.22 0-19.44 15.765-35.22 35.22-35.22zm90.84 0c19.44 0 35.22 15.766 35.22 35.22 0 19.44-15.765 35.22-35.22 35.22-19.44 0-35.22-15.764-35.22-35.22 0-19.44 15.765-35.22 35.22-35.22zm-97.006 8.97c-9.72 0-17.61 7.89-17.61 17.61 0 9.72 7.89 17.61 17.61 17.61 9.72 0 17.61-7.89 17.61-17.61 0-9.72-7.89-17.61-17.61-17.61zm90.842 0c-9.72 0-17.61 7.89-17.61 17.61 0 9.72 7.89 17.61 17.61 17.61 9.72 0 17.61-7.89 17.61-17.61 0-9.72-7.89-17.61-17.61-17.61zm-69.182 35.43c-4.86 0-8.804 3.945-8.804 8.805 0 4.86 3.944 8.805 8.804 8.805s8.807-3.945 8.807-8.805c0-4.86-3.946-8.805-8.806-8.805zm90.84 0c-4.86 0-8.805 3.945-8.805 8.805 0 4.86 3.944 8.805 8.804 8.805s8.807-3.945 8.807-8.805c0-4.86-3.946-8.805-8.806-8.805z"}}]})(props);
};
function GiMite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M148.938 62.313c-40.392.64-77.533 26.18-91.063 58.406 29.237-14.9 62.01-26.24 102.063-14.157-12.28 34.587-12.97 73.268 9.5 105.593l.062-.03c-3.206 7.243-5.79 14.955-7.656 23.03-27.112-17-40.46-47.814-43.688-81.187-.018-.904-.115-1.828-.25-2.75-.065-.824-.134-1.645-.187-2.47l-.314.03c-3.127-12.508-16.047-24.964-31.75-19.093-44.4 16.605-70.46 64.092-65.437 103.72 17.878-27.532 40.594-53.727 81.343-63.282 6.42 34.787 24.056 67.457 57.218 84.78-.29 3.658-.436 7.37-.436 11.126 0 2.775.098 5.443.25 8.033-25.757-5.683-47.636-23.653-64.125-46.813-.43-.692-.92-1.372-1.44-2.03-.478-.697-.966-1.39-1.436-2.095l-.25.156c-8.968-9.26-26.375-13.552-37.03-.624-30.152 36.58-29.008 90.75-4.814 122.53 1.717-32.775 8.262-66.844 38.78-95.498 19.006 22.293 43.946 39.482 73.19 43.843 2.405 9.377 6.14 17.173 10.968 23.75-20.756 2.423-42.643-2.44-63.22-11.842-.75-.403-1.527-.772-2.343-1.094-.728-.347-1.463-.674-2.188-1.03l-.124.28c-12.4-3.55-29.64 1.43-32.407 17.97-7.82 46.748 20.25 93.07 57.094 108.498-14.903-29.244-26.225-61.995-14.125-102.062 23.854 8.464 49.654 11.385 73.97 5.03 6.886 4.576 14.892 8.144 23.75 10.75-10.733 9.146-17.345 21.658-17.345 35.47 0 9.626 3.232 18.615 8.813 26.28-10.362 1.9-21.63 12.622-22.5 28.376-1.944 35.11 30.045 49.124 54.5 42.375-19.484-9.088-28.823-40.074-14.782-55.436 9.844 5.736 21.805 9.125 34.72 9.125 13.986 0 26.857-3.965 37.125-10.595-.054.41-.118.852-.156 1.28 14.282 15.3 4.966 46.5-14.595 55.626 24.454 6.75 56.444-7.264 54.5-42.374-.935-16.886-13.816-28.01-24.72-28.656 5.453-7.603 8.595-16.494 8.595-26 0-13.772-6.607-26.237-17.28-35.375 8.89-2.584 16.95-6.102 23.874-10.656 24.12 6.127 49.674 3.168 73.312-5.22 12.1 40.067.778 72.818-14.125 102.063 36.846-15.428 64.916-61.75 57.095-108.5-2.765-16.538-20.008-21.52-32.406-17.97l-.126-.28c-.758.374-1.52.73-2.28 1.093-.774.31-1.538.65-2.252 1.03-20.298 9.278-41.87 14.135-62.375 11.94 4.882-6.628 8.647-14.494 11.063-23.97 28.83-4.583 53.447-21.648 72.25-43.687 30.505 28.65 37.065 62.696 38.78 95.468 24.195-31.782 25.37-85.953-4.78-122.532-10.66-12.93-28.097-8.64-37.063.625l-.25-.155c-.51.767-1.04 1.525-1.562 2.28-.477.62-.945 1.26-1.344 1.907-16.287 22.86-37.82 40.637-63.155 46.532.143-2.522.22-5.117.22-7.813 0-3.916-.154-7.784-.47-11.592 32.593-17.44 49.98-49.836 56.344-84.313 40.75 9.555 63.463 35.75 81.342 63.28 5.024-39.626-21.005-87.113-65.406-103.718-15.704-5.872-28.655 6.584-31.78 19.094l-.282-.03c-.052.794-.125 1.584-.188 2.375-.143.954-.23 1.91-.25 2.844-3.196 33.04-16.328 63.586-42.906 80.686-1.922-8.17-4.582-15.97-7.875-23.28 21.922-32.167 21.173-70.504 9-104.814 40.05-12.08 72.794-.74 102.03 14.157-15.462-36.83-61.747-64.916-108.5-57.095-16.534 2.77-21.515 20.01-17.967 32.406l-.282.126c.368.745.707 1.5 1.063 2.25.324.817.687 1.594 1.092 2.344 13.876 30.404 17.78 63.67 3.032 91.906-18.117-26.304-45.696-42.906-76.125-42.906-30.717 0-58.52 16.92-76.626 43.656-15.216-28.396-11.375-61.98 2.625-92.656.414-.77.793-1.568 1.124-2.406.346-.728.673-1.464 1.03-2.188l-.28-.125c3.55-12.396-1.432-29.635-17.97-32.405-5.843-.978-11.666-1.404-17.436-1.313z"}}]})(props);
};
function GiMoai (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M158.3 20.57c-8.7.16-16.5 1.99-21.4 5.02-5.1 3.04-7.8 6.53-8.4 13.55-5.6 53.23-5.8 112.96.1 165.46 1.4 12.8 3.3 25.2 5.5 36.9 3.6 6.4 10.6 11.1 17.4 12.3 4.7.9 8.4.1 10.3-1.2 1.8-1.4 3.4-3.2 2.8-9.6-2.7-38.2-7.4-67.8-10.4-151.14l18.6-.62c3 82.76 7.4 111.56 10.4 150.26.9 11.1-3.3 20.9-10.6 26.1-7.2 5.3-16.3 6-24.6 4.5-2.6-.5-5-1.3-7.6-2.2 6.4 23.8 14.4 43.3 24 56.2 31.4 42.2 78.1 71 121.9 83.2 40.9 11.3 78.3 7.7 98.5-9-6.4-18.1-15.4-29-41.1-45.6l-6.1-3.9 9.6-28.6-47.1-1.8 33.4-32.9-39.5-22.9 20.7-6c30.4-9 56.3-17.3 73-28-49.9-21.6-79.3-37.3-116-78.3l-7.6-8.5 9.7-5.8c11.8-6.9 15-13.9 16.6-22.9.9-5.6.8-12 .8-18.57-9.8 2.7-21.1 6.87-31.7 11.87-21.6 10-42.4 23.9-47.1 29.3l-13.9-12.4c9.8-11 30.1-23 53-33.73 8.7-4.03 17.5-7.85 26.1-10.87-16.7-11.21-47.9-32.25-70-47.19-10-6.71-31.6-13.27-49.3-12.94zm3.9 332.33c-14.2 55.3-29.6 98.6-34.5 112.1 14.8 9.2 46.7 17.9 83.7 22.4 38.4 4.4 82.2 5.1 120.7 2.5-3-19.3-.7-36.4 4.7-55.3-17.5.5-36.4-2.2-55.5-7.4-42.2-11.8-86-37-119.1-74.3z"}}]})(props);
};
function GiModernCity (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M217 25v30h30V25h-30zm48 0v30h30V25h-30zm48 0v30h30V25h-30zm-96 48v46h30V73h-30zm48 0v46h30V73h-30zm48 0v46h30V73h-30zm-96 64v46h30v-46h-30zm48 0v46h30v-46h-30zm48 0v46h30v-46h-30zm174 6.508l-94 53.715V215h94v-71.492zM217 201v46h30v-46h-30zm48 0v46h30v-46h-30zm48 0v46h30v-46h-30zm80 32v110h94V233h-94zM39 256v23h18v-23H39zm178 9v46h30v-46h-30zm48 0v46h30v-46h-30zm48 0v46h30v-46h-30zM37.562 297l-7 14h146.875l-7-14H37.563zM25 329v158h23v-23h32v23h48v-23h32v23h23V329H25zm192 0v46h30v-46h-30zm48 0v46h30v-46h-30zm48 0v46h30v-46h-30zM48 352h32v16H48v-16zm80 0h32v16h-32v-16zm265 9v126h31v-23h32v23h31V361h-94zM48 384h32v16H48v-16zm80 0h32v16h-32v-16zm89 9v46h30v-46h-30zm48 0v46h30v-46h-30zm48 0v46h30v-46h-30zM48 416h32v16H48v-16zm80 0h32v16h-32v-16zm89 41v30h30v-30h-30zm48 0v30h30v-30h-30zm48 0v30h30v-30h-30z"}}]})(props);
};
function GiMoebiusStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M138.656 49.53l-.03 114.814 37.03-21.406-.03-11.844-.064-16.22 14.063 8.095 128.22 73.936-.033-50.53-.906.53-4.687 2.72-4.658-2.72-50.78-29.312-.094.062L138.656 49.53zm236.094 0l-99.313 57.314 36.75 21.187 10.282-5.968 14.03-8.124v16.218l.063 147.375 43.03-24.874-.5-.312-4.28-2.75v-5.125l-.032-58.626v-60.72l-.03-45.78V49.53zm-180.406 97.72V153.72l-4.688 2.718-142.97 82.593-.03-.06L20.594 254 120 311.406l.125-43.344-10.688-5.937-14.437-8 14.28-8.25 127.907-73.906-42.843-24.72zm61.53 35.5l-52.124 30.125 50.938 31.406 52.125-32.155-50.938-29.375zm137.595 13.906l.03 42.72 9.094 5.843 12.875 8.28-13.25 7.688L273 335.813l44.813 25.843v-6.468l4.687-2.688 52.28-30.188v-.156L492.814 254l-99.344-57.344zm-75.626 30.625L272.5 255.25l45.375 27.97-.03-55.94zm-141.375 1.345l-43.5 25.156 1.06.595 4.845 2.688-.03 5.53-.22 71.344.03 124.532 99.095-57.19-36.938-21.31-10.25 5.936-14.03 8.156v-16.218l-.063-149.22zm18.686.875l.03 51.47 41.72-25.72-41.75-25.75zm59.53 36.72l-49.436 30.5 49.094 28.31 49.437-28.53-49.092-30.28zm-59.5 46.28l.033 49.094.905-.53 4.656-2.69 4.69 2.688 50.968 29.407.25-.126L374.75 458.47l.03-114.595L336.5 366l.03 11.844.064 16.22-14.063-8.127L195.19 312.5z"}}]})(props);
};
function GiMoebiusTrefoil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M234.615 16.943c-38.106.26-75.86 12.47-109.418 37.246 108.164-5.378 163.065 47.928 199.688 94.078l2.226 2.804-.538 3.543c-2.153 14.16.21 28.97 7.914 42.31 18.043 31.252 57.83 41.913 89.084 23.87 31.254-18.043 41.913-57.83 23.87-89.08-9.636-16.69-25.98-27.246-43.682-30.916l-2.74-.57-1.825-2.12c-46.1-53.607-105.733-81.565-164.578-81.167zm-92.322 53.08c-10.028-.016-20.632.522-31.844 1.663-11.678 8.884-22.494 18.84-32.298 29.728 6.523-1.695 13.252-2.6 20.03-2.654.904-.008 1.81 0 2.714.023 13.168.33 26.43 3.852 38.606 10.88 8.91 5.144 16.464 11.743 22.578 19.31 23.693-18.095 52.583-29.727 84.045-32.26-26.31-15.876-59.523-26.618-103.832-26.69zm-44.057 45.11c-22.362.15-44.022 11.83-56.04 32.644-9.636 16.69-10.608 36.12-4.936 53.287l.88 2.66-.927 2.64C-1.302 316.3 38.897 423.187 136.18 465.603 77.436 374.62 96.15 300.422 117.81 245.63l1.315-3.33 3.336-1.304c13.34-5.216 24.987-14.668 32.688-28.008 18.044-31.25 7.385-71.037-23.87-89.08-9.765-5.638-20.366-8.474-30.876-8.754-.722-.02-1.444-.026-2.166-.02zm293.213 5.533c24.48 0 44.124 19.645 44.124 44.123 0 24.477-19.645 44.122-44.125 44.122s-44.126-19.645-44.126-44.123c0-24.48 19.646-44.124 44.125-44.124zM98.104 137.064c24.48 0 44.125 19.645 44.125 44.124 0 24.478-19.645 44.123-44.125 44.123S53.98 205.667 53.98 181.188c0-24.478 19.646-44.123 44.125-44.123zM471.24 178.86c-4.15 22.802-17.875 43.723-39.447 56.177-4.307 2.487-8.75 4.534-13.277 6.156.463 4.96.71 9.982.71 15.063 0 30.15-8.34 58.35-22.835 82.43 32.152-17.625 62.903-47.413 87.657-100.23-1.67-20.753-6.06-40.734-12.807-59.597zm-212.094 28.326c-27.204 0-49.056 21.852-49.056 49.056 0 27.205 21.852 49.06 49.056 49.06 27.205 0 49.06-21.855 49.06-49.06 0-27.204-21.855-49.056-49.06-49.056zm234.97 47.796c-49.426 96.358-123.04 117.25-181.32 125.89l-3.544.526-2.797-2.236c-11.187-8.944-25.197-14.305-40.6-14.305-36.09 0-65.216 29.125-65.216 65.21 0 36.088 29.125 65.212 65.214 65.212 19.27 0 36.586-8.877 48.617-22.372l1.864-2.09 2.75-.517c114.467-21.613 186.935-109.867 175.03-215.318zM113.622 323.02c-4.68 42.24 4.264 91.172 47.035 149.293 14.683 6.217 30.14 10.958 46.18 14.072-14.007-14.67-22.645-34.508-22.645-56.317 0-10.406 1.985-20.356 5.56-29.52-33.534-16.157-60.566-43.662-76.13-77.528zm152.107 63.652c24.48 0 44.125 19.645 44.125 44.123 0 24.478-19.645 44.123-44.125 44.123s-44.125-19.645-44.125-44.123c0-24.478 19.646-44.123 44.125-44.123z"}}]})(props);
};
function GiMoebiusTriangle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M209.094 19.53L150.53 35.22l234.19 234.186 11.436 11.47-15.625 4.187-182.25 48.78L184 387.032l307.78-82.467.408-1.5L209.094 19.53zm-77.75 22.94L25.78 436.31l45.376 45.375 87.375-326.062 4.19-15.656 11.436 11.468 133.688 133.718 52.22-13.97L131.343 42.47zm41.062 133.655L87.53 492.845l381.126-102.126 17.53-65.314L173.22 409.28l-15.657 4.19 4.218-15.658 49.126-183.156-38.5-38.53z"}}]})(props);
};
function GiMokaPot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M238.6 25l7 14h20.8l7-14h-34.8zm-74.9 32l-14 14h271.4l-70-14H163.7zm-24.6 32l44.2 206h30.3L184.2 89h-45.1zm63.3 0l29.4 206h48.4l29.4-206H202.4zm125.4 0l-29.4 206h30.3l44.2-206h-45.1zm63.4 0l-15.9 74.6L416.7 89h-25.5zM92.27 103l-54.73 54.7 50.03 133.5 16.83-6.4-45.94-122.5L99.73 121h27.87l-3.8-18H92.27zM201 313v14h110v-14H201zm-18.3 32l-42.6 142h44.5L213 345h-30.3zm48.7 0L203 487h106l-28.4-142h-49.2zm67.6 0l28.4 142h44.5l-42.6-142H299z"}}]})(props);
};
function GiMoldova (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M60.55 44.17L181.3 16.43 341 94.41l3 89.99 36.8 10.5 5.2 69.7 33.8 9s34.5 81 31.5 81-123.8-27-123.8-27l-64.4 168-43.5-3.7 19.5-179.3-55.5-110.2z"}}]})(props);
};
function GiMolecule (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M132.172 157.504a155.154 155.154 0 0 0-18.296 21.698 99.274 99.274 0 1 1 186.291-53.827 153.447 153.447 0 0 0-58.134-12.138h-1.982a152.767 152.767 0 0 0-107.879 44.267zm105.97 263.021A153.877 153.877 0 0 1 93.014 311.583a99.286 99.286 0 1 0 162.84 108.154 155.965 155.965 0 0 1-15.719.8h-1.981zm125.101-231.262h-1.098a84.642 84.642 0 0 0-1.05 169.272h1.098a84.642 84.642 0 0 0 1.05-169.272zm-104.8 83.317a103.834 103.834 0 0 1 78.317-99.286 134.136 134.136 0 0 0-94.942-40.96h-1.743a134.566 134.566 0 0 0-1.67 269.107h1.742a133.993 133.993 0 0 0 85.31-30.53 103.917 103.917 0 0 1-67.014-98.33z"}}]})(props);
};
function GiMolotov (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M274.416 16.05c-13.347 2.888-35.426 19.905-27.508 51.26 9.262 36.67-75.52 36.213-41.63-24.058C183.646 58.92 167.17 55.08 161.8 23.148c-22.233 27.904-22.512 73.433-9.892 101.918 16.77 37.852-29.304 44.6-49.738 8.97 22.28 116.072-46.865 107.22-30.28 71.462 17.254-37.196 27.745-77.21-42.12-94.23 38.313 20.83 32.962 105.25.93 70.77-19.66 36.393 28.903 46.923 30.32 73.558 1.145 21.548-18.805 21.214-33.916 7.468 1.39 33.63 26.576 36.938 39.054 54.836 27.306 39.166-14.327 68.647-39.308 46.163 4.337 38.776 26.144 64.053 54.576 84.212C92.46 304.957 131.467 205.87 178.576 150.22c25.333-29.928 53.268-47.503 80.98-51.273 3.463-.47 6.913-.712 10.34-.726 21.053-.087 41.165 8.386 57.596 24.544 36.358-6.065 45.915-44.68 13.487-70.46 1.828 64.344-67.158 21.956-66.564-36.255zm104.12 3.993c-6.333.11-13.55 2.39-21.448 7.477 35.57 10.134 37.05 44.868 14.775 81.2 49.277-26.507 40.868-89.265 6.672-88.677zm-272.333 3.12C69.545 22.65 54.15 79.77 92.807 103.84c-11.116-31.483 5.797-61.904 27.802-77.71-5.083-1.97-9.905-2.9-14.407-2.964zm163.87 93.696c-2.633.034-5.3.237-8 .605-21.6 2.94-45.96 17.336-69.233 44.828-44.866 53.002-84.617 154.055-93.772 303.228 8.6-2.924 16.847-2.806 23.96-.305 5.363 1.885 10.034 4.62 14.37 7.623 5.066-72.095 13.248-143.837 30.592-214.016l.473.117-6.81 147.94.25.01c-2.782 26.187-4.914 52.54-6.655 79.008 7.317 4.79 14.645 8.118 23.81 8.262 9.88.156 22.915-3.568 40.856-15.93-16.913-92.954-21.596-183.95 3.97-268.86-.17-3.325.088-6.7.848-10.056 2.023-8.927 7.973-17.458 17.41-22.906l.003-.002 52.53-30.29 17.848-11.81c-12.794-12.023-27.02-17.653-42.45-17.447zm68.37 27.91c-3.02.173-4.934.53-6.95 1.69h-.007l-80.004 46.136c-5.395 3.116-7.58 6.683-8.523 10.847-.945 4.166-.275 9.192 1.894 13.848 4.337 9.313 13.166 15.533 22.32 13.08l6.924-1.852 57.933 100.294.036.063c8.55 15.338 10.57 28.975 8.63 40.664-1.936 11.688-7.168 20.96-11.337 29.63-4.17 8.67-7.43 16.607-7.702 26.346-.27 9.734 2.376 21.82 12.088 38.724l.01.02 17.71 30.353H493.27V326.61c-12.267-6.23-24.566-5.693-39.182-7.292-16.313-1.783-35.21-8.355-49.412-31.873l-.04-.066-49.236-84.71-53.31 30.78-9.346-16.186 53.264-30.752-.1-.172 7.2-4.895c3.907-2.655 5.554-5.617 6.26-9.334.704-3.715.116-8.287-1.74-12.64-3.708-8.707-11.835-15.106-19.18-14.7h-.005z"}}]})(props);
};
function GiMonaLisa (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M89 25v462h334V25H89zm30 30h274v402H119V55zm18 18v94h49.8c1-10.8 2.3-22 4.4-34 6.4-21 24.8-43.28 45-47.7 3.9-.95 8.4 1.48 12.6 1.4 2.7 0 13.4-2.68 15.3-2.8 30.8.81 55.3 33.7 59.3 60.3.6 4.5 2 12.7 3.6 22.8h48V73H137zm112.9 31.3c-9.9 0-19.3 5.7-26.9 16.6-7.5 10.9-12.6 26.7-12.6 44.3 0 17.6 5.1 33.4 12.6 44.3 7.6 10.9 17 16.6 26.9 16.6 9.9 0 19.3-5.7 26.9-16.6 7.5-10.9 12.6-26.7 12.6-44.3 0-17.6-5.1-33.4-12.6-44.3-7.6-10.9-17-16.6-26.9-16.6zM137 185v132.8c7.6-16.4 30-32.3 35.4-46 10.6-26.8 11-54.5 13.1-86.8H137zm193 0c3.5 22.9 7.9 46.9 9.9 69.3 14.7 9.4 27.1 21.6 35.1 35.5V185h-45zm-52.7 49.7c-8 5.9-17.3 9.4-27.4 9.4-3.6 0-7.1-.5-10.5-1.3-4.1 6.7-7.8 13.9-10.9 22.1-5 12.9-17.2 19.1-27.7 26.3-7.7 7.4-25.4 14.3-18.4 27.4 9.7 12.9 37.8 14.2 50.8 14.1 19.3-2.3 44.6-1.5 59-14.1l-14.9-83.9zm-60.1 124l-5.7 17.8 59.2 32.2 9.9-28.1c-12.6-12.3-36.5-17.9-63.4-21.9zm-15.6 44c-4.7 1.3-9.6 2.9-13.7 4.3-2.9 8.5-.5 18 1.7 29.8 22.3 3 37.9-8.3 54.6-18.5l-42.6-15.6z"}}]})(props);
};
function GiMonclerJacket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 24c21.2 0 40.4 3.53 53.6 8.8 6.6 2.64 11.6 5.73 14.6 8.56S328 46.28 328 48c0 1.72-.8 3.81-3.8 6.64-3 2.83-8 5.92-14.6 8.56-13.2 5.27-32.4 8.8-53.6 8.8-21.2 0-40.4-3.53-53.6-8.8-6.6-2.64-11.6-5.73-14.6-8.56S184 49.72 184 48c0-1.72.8-3.81 3.8-6.64 3-2.83 8-5.92 14.6-8.56 13.2-5.27 32.4-8.8 53.6-8.8zm72 47.79V96c0 3.78-1.3 6.8-4.6 10.2-3.3 3.3-8.6 6.7-15.4 9.4-11.6 4.6-27.5 7.5-44 8.2V87.85c19.8-.74 37.6-4.22 51.5-9.8 4.6-1.84 8.8-3.9 12.5-6.26zm-144 0c3.7 2.36 7.9 4.42 12.5 6.26 13.9 5.58 31.7 9.06 51.5 9.8v35.95c-16.5-.7-32.4-3.6-44-8.2-6.8-2.7-12.1-6.1-15.4-9.4-3.3-3.4-4.6-6.42-4.6-10.2zm160 8.77c7.5 1.5 14.9 3.21 21.9 5.15 17.4 4.85 32.7 11.18 42.9 18.49 8.1 5.9 12.8 11.8 14.4 18.5-78.3 28.4-120.4 43.3-159.2 45.1v-28c18-.6 35.6-3.6 50-9.4 8.2-3.3 15.4-7.4 20.9-13.1 5.4-5.6 9.1-13.1 9.1-21.3zm-176 0V96c0 8.2 3.7 15.7 9.1 21.3 5.5 5.7 12.7 9.8 20.9 13.1 14.4 5.8 32 8.8 50 9.4v28c-38.8-1.8-80.9-16.7-159.33-45.1 1.6-6.6 6.4-12.6 14.53-18.5 10.2-7.31 25.5-13.64 42.9-18.49 7-1.94 14.4-3.65 21.9-5.15zM427.8 138c10.2 21.8 11.8 34.4 12 46.3-28.5 1.7-46.3 12-75.4 26.5l-6.2 3.1v.1c-45.2 9.9-70.9 15.3-94.2 16.2v-46.4c42-1.7 85.9-17.4 163.8-45.8zm-343.73 0C162.1 166.4 206 182.1 248 183.8v46.3c-23.3-1.1-49-6.6-94.2-16.2l-6.2-3.1c-29.1-14.5-46.9-24.8-75.53-26.5.3-11.9 1.9-24.5 12-46.3zm358.53 62.1c3.9 9.5 7.4 16.7 8.2 38.7-6.7 3.4-15.9 7-26.7 10.5-11.3 3.6-24.5 7.1-38.8 10.5-2.1-14.4-4.7-27.2-7.7-37.7 25.9-13.1 40.2-21 65-22zm-373.23 0c24.7 1 39.13 8.9 65.03 22-3 10.5-5.6 23.3-7.7 37.7-14.3-3.4-27.53-6.9-38.93-10.5-10.8-3.5-19.9-7.1-26.6-10.6.7-21.9 4.2-29.1 8.2-38.6zM149 229.2c46.5 9.8 73.8 15.4 99 16.5v54.4c-30.2-1.1-61.6-8-107.3-20.8 2.1-19.9 4.9-37 8.3-50.1zm214 .1c3.4 13 6.2 30.2 8.3 50-45.7 12.8-77.1 19.7-107.3 20.8v-54.3c25.2-.9 52.5-6.3 99-16.5zm91.8 25.4c4.9 14.6 10 26.2 11.4 49.2-19.7 11.8-46.4 16.8-75.3 20.1-.6-17.1-1.9-33.3-3.5-48.3 15.1-3.6 29.2-7.3 41.6-11.2 9.8-3.1 18.5-6.3 25.8-9.8zm-397.73 0c7.4 3.5 16.1 6.7 25.9 9.8 12.4 3.9 26.53 7.6 41.63 11.2-1.6 15-2.9 31.2-3.5 48.3-28.93-3.3-55.73-8.3-75.43-20.1 1.4-23 6.5-34.6 11.4-49.2zm315.73 40.8c1.2 15.1 2 31.5 2.2 48.5-53.8 13.4-83.6 20.8-111 22v-50.4c31.4-.9 63.8-7.7 108.8-20.1zm-233.6 0c45 12.4 77.4 19.2 108.8 20.1V366c-27.4-1.2-57.2-8.6-111-22 .2-17 1-33.4 2.2-48.5zm-98.13 24.2c22.8 12.8 50.8 17.6 79.53 20.6-.1 5.9-.2 11.9-.2 18-2.5 7.5-6.1 13.3-13.1 17.7l-.4.3c-15.63.6-32.73-2.9-47.93-8.5-9.5-3.5-18.3-7.9-25.3-12.3-1.8-11.3 2.3-23 7.4-35.8zm429.73.1c5.2 12.7 9.2 24.4 7.5 35.7-7 4.3-15.8 8.8-25.4 12.3-15.1 5.6-32.3 9.1-47.8 8.5l-.4-.3c-7-4.4-10.6-10.2-13.1-17.7 0-6.1-.1-12.1-.2-18 28.6-3 56.6-7.8 79.4-20.5zm-95.7 40.7c0 14.2-.4 28.7-1.2 43.3-11.1-4.1-21.6-8.4-29.5-13.3-9.4-5.8-14.8-11.3-16.1-18.7 13.5-3.1 29.1-6.9 46.8-11.3zm-238.2 0c17.7 4.4 33.3 8.2 46.8 11.3-1.3 7.4-6.7 12.9-16.1 18.7-7.9 4.9-18.4 9.2-29.5 13.3-.8-14.6-1.2-29.1-1.2-43.3zm344.4 11.9l5.4 23.1c-18 8.4-33.1 16.5-65.4 16.8l-8.3-20c15.6-.6 31.3-4.3 45.5-9.5 8.3-3.1 16-6.6 22.8-10.4zm-450.63 0c6.8 3.8 14.5 7.3 22.8 10.4 14.1 5.2 29.9 8.9 45.5 9.5l-8.3 20c-32.4-.3-47.4-8.4-65.4-16.8zm282.13 2.7c2.6 12.6 12.1 22.2 23.2 29 6.9 4.3 14.7 7.8 22.8 11-24.9 6.9-65.1 17-94.8 18.7v-52.2c14.8-.6 30.2-2.7 48.8-6.5zm-113.6 0c18.6 3.8 34 5.9 48.8 6.5v52.2c-29.7-1.7-69.9-11.8-94.8-18.7 8.1-3.2 15.9-6.7 22.8-11 11.1-6.8 20.6-16.4 23.2-29zM372.3 428c-1.4 15.6-3.2 31-5.5 45.9-41.4 13.6-72.5 20.9-102.8 22v-46.1c36.9-1.8 84.8-14.8 108.3-21.8zm-232.6 0c23.5 7 71.4 20 108.3 21.8v46.1c-30.3-1.1-61.4-8.4-102.8-22-2.3-14.9-4.1-30.3-5.5-45.9zm122.8 68c-4.3.1-8.7.1-13 0z"}}]})(props);
};
function GiMoneyStack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M327.027 65.816L229.79 128.23l9.856 5.397 86.51-55.53 146.735 83.116-84.165 54.023 4.1 2.244v6.848l65.923-42.316 13.836 7.838-79.76 51.195v11.723l64.633-41.487 15.127 8.57-79.76 51.195v11.723l64.633-41.487 15.127 8.57-79.76 51.195v11.723l100.033-64.21-24.828-14.062 24.827-15.937-24.828-14.064 24.827-15.937-23.537-13.333 23.842-15.305-166.135-94.106zm31.067 44.74c-21.038 10.556-49.06 12.342-68.79 4.383l-38.57 24.757 126.903 69.47 36.582-23.48c-14.41-11.376-13.21-28.35 2.942-41.67l-59.068-33.46zM227.504 147.5l-70.688 46.094 135.61 78.066 1.33-.85c2.5-1.61 6.03-3.89 10.242-6.613 8.42-5.443 19.563-12.66 30.674-19.86 16.002-10.37 24.248-15.72 31.916-20.694L227.504 147.5zm115.467 1.17a8.583 14.437 82.068 0 1 .003 0 8.583 14.437 82.068 0 1 8.32 1.945 8.583 14.437 82.068 0 1-.87 12.282 8.583 14.437 82.068 0 1-20.273 1.29 8.583 14.437 82.068 0 1 .87-12.28 8.583 14.437 82.068 0 1 11.95-3.237zm-218.423 47.115L19.143 263.44l23.537 13.333-23.842 15.305 24.828 14.063-24.828 15.938 24.828 14.063-24.828 15.938 166.135 94.106L285.277 381.8V370.08l-99.433 63.824L39.11 350.787l14.255-9.15 131.608 74.547L285.277 351.8V340.08l-99.433 63.824L39.11 320.787l14.255-9.15 131.608 74.547L285.277 321.8V310.08l-99.433 63.824L39.11 290.787l13.27-8.52 132.9 75.28 99.997-64.188v-5.05l-5.48-3.154-93.65 60.11-146.73-83.116 94.76-60.824-9.63-5.543zm20.46 11.78l-46.92 30.115c14.41 11.374 13.21 28.348-2.942 41.67l59.068 33.46c21.037-10.557 49.057-12.342 68.787-4.384l45.965-29.504-123.96-71.358zm229.817 32.19c-8.044 5.217-15.138 9.822-30.363 19.688-11.112 7.203-22.258 14.42-30.69 19.873-4.217 2.725-7.755 5.01-10.278 6.632-.09.06-.127.08-.215.137v85.924l71.547-48.088v-84.166zm-200.99 17.48a8.583 14.437 82.068 0 1 8.32 1.947 8.583 14.437 82.068 0 1-.87 12.28 8.583 14.437 82.068 0 1-20.27 1.29 8.583 14.437 82.068 0 1 .87-12.28 8.583 14.437 82.068 0 1 11.95-3.236z"}}]})(props);
};
function GiMonkFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 41c-29.03 0-56.162 11.49-78.38 31.12 1.61 1.512 3.192 3.022 4.714 4.49 9.823 9.47 18.386 17.234 26.963 18.484 5.004.73 11.068-1.446 18.715-4.95 7.647-3.503 16.566-8.274 27.62-8.294 11.163-.02 20.207 4.76 27.975 8.28 7.77 3.522 13.955 5.722 19.08 4.966 8.583-1.267 17.153-9.04 26.98-18.506 1.52-1.464 3.095-2.97 4.704-4.48C312.156 52.488 285.027 41 256 41zM143.572 72.99c-1.595-.076-5.878 2.043-9.21 5.373-4.138 4.14-8.75 9.024-11.485 13.395-2.736 4.37-3.203 7.102-2.465 9.043 3.604 9.48 12.928 14.148 27.156 17.555 14.228 3.408 31.67 4.636 46.905 8.99 20.49 5.857 41.04 10.94 61.052 10.968 20.34.026 41.222-5.056 62.012-10.97 15.233-4.332 32.672-5.563 46.897-8.974 14.224-3.412 23.55-8.088 27.154-17.57.738-1.94.27-4.672-2.465-9.042-2.736-4.37-7.347-9.256-11.486-13.395-3.33-3.33-7.614-5.45-9.21-5.373-8.463.402-16.603 7.244-26.273 16.56-9.67 9.317-20.536 20.948-36.84 23.354-11.4 1.683-21.038-2.707-29.138-6.38-8.1-3.67-14.97-6.685-20.51-6.674-5.422.01-12.174 3.002-20.156 6.66-7.983 3.657-17.506 8.043-28.807 6.396-16.317-2.377-27.19-14.016-36.86-23.34-9.672-9.323-17.813-16.174-26.27-16.576zm-8.437 60.555C126.11 155.883 121 181.13 121 208c0 67.545 32.248 124.872 78 151.332v-5.795h18v9s-.073 4.904 4.2 10.6c4.27 5.696 12.8 12.4 34.8 12.4 22 0 30.53-6.704 34.8-12.4 4.273-5.696 4.2-10.6 4.2-10.6v-9h18v5.795c45.752-26.46 78-83.787 78-151.332 0-26.865-5.11-52.11-14.13-74.443-2.73.888-5.49 1.657-8.24 2.316-16.316 3.913-33.775 5.26-46.167 8.783-21.193 6.028-43.652 11.687-66.96 11.656-22.997-.03-45.113-5.695-65.976-11.658-12.38-3.538-29.835-4.887-46.152-8.795-2.75-.66-5.51-1.428-8.24-2.315zm-29.02 37.197c-6.307 1.07-11.955 2.64-16.623 4.72-9.613 4.29-14.883 9.754-16.68 18.376-1.835 8.79 4.34 18.974 15.292 29.193 5.215 4.868 10.972 9.264 16.693 13.33-1.18-9.257-1.797-18.73-1.797-28.36 0-12.74 1.073-25.202 3.115-37.258zm299.77 0C407.927 182.798 409 195.262 409 208c0 9.63-.616 19.103-1.797 28.36 5.72-4.066 11.478-8.462 16.693-13.33 10.953-10.218 17.127-20.4 15.293-29.192-1.8-8.622-7.07-14.087-16.682-18.375-4.668-2.082-10.315-3.652-16.623-4.72zM151 179.428h82v18h-17.893C216.335 200.745 217 204.332 217 208c0 14.537-10.435 27.842-25 27.842S167 222.537 167 208c0-3.668.665-7.255 1.893-10.572H151v-18zm128 0h82v18h-17.893C344.335 200.745 345 204.332 345 208c0 14.537-10.435 27.842-25 27.842S295 222.537 295 208c0-3.668.665-7.255 1.893-10.572H279v-18zm-87 18.73c-3.11 0-7 3.566-7 9.842 0 6.276 3.89 9.842 7 9.842s7-3.566 7-9.842c0-6.276-3.89-9.842-7-9.842zm128 0c-3.11 0-7 3.566-7 9.842 0 6.276 3.89 9.842 7 9.842s7-3.566 7-9.842c0-6.276-3.89-9.842-7-9.842zm-96.615 29.13l6.664 6.048c10.193 9.253 18.694 12.328 26.63 12.053 7.936-.277 16.305-4.164 25.375-12.146l6.756-5.945 11.89 13.51-6.755 5.946c-11.043 9.72-23.294 16.16-36.64 16.623-13.347.462-26.79-5.312-39.354-16.716l-6.663-6.05 12.098-13.327zm-40.37 28.173l17.97 1.08c-.528 8.798-2.63 16.397-5.788 23.036 46.533 15.463 75.073 15.463 121.606 0-3.158-6.64-5.26-14.238-5.787-23.037l17.968-1.08c1.277 21.287 12.412 30.7 27.993 41.042l-9.954 14.996c-6.863-4.555-13.805-9.87-19.744-16.437l-4.434 1.48c-49.14 16.38-84.553 16.38-133.692 0l-4.433-1.48c-5.938 6.567-12.88 11.883-19.743 16.438l-9.954-14.996c15.58-10.34 26.716-19.755 27.993-41.04zm-53.247 57.112c-11.485 7.137-19.815 15.392-24.174 24.328 15.652 60.648 38.172 93.902 64.263 116.266 22.97 19.69 49.378 31.227 77.143 44.504V441h-32v-18h32v-19.86c-20.637-1.876-33.41-10.15-40.2-19.202-.244-.327-.46-.655-.69-.983-31.41-13.046-58.028-38.055-76.342-70.383zm252.464 0c-18.314 32.328-44.93 57.337-76.34 70.383-.23.328-.448.656-.693.983-6.79 9.053-19.563 17.326-40.2 19.2V423h32v18h-32v56.67c27.765-13.277 54.172-24.815 77.143-44.504 26.09-22.364 48.61-55.618 64.263-116.266-4.36-8.936-12.69-17.19-24.174-24.328zM231 327h50v18h-50v-18zM89.107 345.256c-19.795 1.35-39.674 8.244-54.736 16.61-6.51 3.618-12.106 7.51-16.37 11.148V494h37v-39h18v39h125.602c-13.88-7.477-27.505-16.063-40.46-27.166-28.365-24.313-52.697-60.595-69.035-121.578zm333.786 0c-16.338 60.983-40.67 97.265-69.036 121.578-12.954 11.103-26.58 19.69-40.46 27.166H439v-39h18v39h37V373.014c-4.264-3.637-9.86-7.53-16.37-11.147-15.063-8.367-34.942-15.262-54.737-16.61z"}}]})(props);
};
function GiMonkeyWrench (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M417.972 37.51c-1.67-.02-3.093.17-4.218.544l-20.127 6.71 63.95 63.948-22.628 22.627 21.212 21.212 27.576-27.578c6.01-6.01 7.04-13.12 4.383-23.152-2.655-10.033-9.698-21.883-18.933-32.438-9.235-10.554-20.62-19.874-31.123-25.603-7.878-4.297-15.083-6.214-20.092-6.27zM354.338 98.81l-45.952 45.95c5.99 1.255 12.28 2.304 18.506 2.534 12.166.45 23.204-1.815 32.397-11.008l6.362-6.363 17.64 17.64.073.073 4.914 4.914 9.9-9.9-43.842-43.84zm67.884 45.254l-21.214 21.215 21.212 21.213 21.213-21.214-21.21-21.214zm-56.57 14.156c-1.773 0-3.545.703-4.95 2.107-2.808 2.808-2.808 7.09 0 9.9 2.81 2.81 7.09 2.81 9.9 0 2.808-2.81 2.808-7.092 0-9.9-1.405-1.405-3.177-2.108-4.95-2.108zm-72.32 1.596l-28.09 28.09 93.516 93.513c1.927-.694 5.33-2.472 9.257-5.14 4.036-2.746 8.643-6.35 13.44-10.464-7.204 2.642-15.128 1.97-21.463-4.366l-33.942-33.94c-16.086-16.088 4.237-42.443 23.043-41.142 1.67.116 3.328.455 4.948 1.034-2.19-1.138-4.24-2.62-6.066-4.446-5.053-5.053-7.464-11.816-7.246-18.507-4.92.785-9.81 1.008-14.502.834-12.924-.478-24.25-3.404-32.894-5.466zm94.226 17.47c-1.107 2.04-2.513 3.953-4.228 5.668-7.18 7.18-17.813 9.033-26.78 5.573 1.688.903 3.32 2.09 4.856 3.624l33.94 33.94c6.817 6.816 7.093 15.475 3.722 23.093 8.43-8.698 16.1-17.75 21.014-24.975 2.67-3.925 4.45-7.328 5.144-9.256l-37.668-37.668zM254.3 202.42l-26.195 43.66 4.04 19.296 17.374 3.31 35.523-35.523L254.3 202.42zm93.024 1.96c-3.75.04-11.022 7.926-8.547 10.4l33.94 33.942c2.83 2.828 12.73-7.07 9.902-9.898l-33.943-33.942c-.353-.353-.817-.508-1.353-.502zm-38.24 52.824l-4.95 4.95c-7.424 7.424-10.522 14.256-11.244 19.304-.72 5.05.637 8.274 2.758 10.395 2.12 2.12 5.346 3.48 10.395 2.758 5.048-.72 11.88-3.82 19.304-11.244l4.95-4.95-21.213-21.212zm-95.91 5.4L47.7 428.076c4.836 1.544 9.377 4.213 13.188 8.024 3.812 3.813 6.48 8.357 8.024 13.192l165.215-165.215-17.143-3.265-3.81-18.21zM37.554 444.377c-3.82 0-7.638 1.485-10.605 4.45-5.934 5.935-5.934 15.28 0 21.214 5.932 5.934 15.28 5.934 21.212 0 5.933-5.933 5.933-15.28 0-21.213-2.967-2.967-6.788-4.452-10.608-4.452z"}}]})(props);
};
function GiMonkey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M199.53 19.03l-15.81 43.595-47.94-16.906 37.845 43.843c-21.482 15.605-38.455 37.07-48.563 62.062-8.8-3.472-18.373-5.406-28.406-5.406-.67 0-1.334-.018-2 0C52.702 147.284 19 181.725 19 224.062c0 43.008 34.775 77.875 77.656 77.875 19.056 0 36.493-6.887 50-18.313 7.23 6.66 15.522 12.337 24.656 17.063-12.712 16.714-20.686 37.255-21.875 59.593 5.168 5.635 12.93 11.145 23.344 16.033 20.91 9.81 50.94 16.25 84.157 16.25s63.25-6.44 84.157-16.25c10.434-4.897 18.2-10.418 23.375-16.063-1.196-22.333-9.156-42.884-21.876-59.594 9.118-4.72 17.405-10.38 24.625-17.03 13.513 11.425 30.974 18.312 50.03 18.312 42.88 0 77.625-34.867 77.625-77.875 0-43.01-34.744-77.844-77.625-77.844-.67 0-1.334-.018-2 0-9.32.236-18.242 2.122-26.47 5.374-6.306-15.583-15.302-29.785-26.374-42.063l30.563-6.56-63.25-20.75 19.655-28.314-66.438 10.97c-8.427-1.565-17.122-2.376-26-2.376-13.512 0-26.58 1.9-38.968 5.438L199.53 19.03zM95.75 166.75c7.83 0 15.652 1.623 22.938 4.813-1.315 5.45-2.33 11.013-3 16.687-15.55-8.79-35.502-6.516-48.782 6.813-15.997 16.057-15.997 41.915 0 57.968 15.946 16.003 41.523 16.055 57.53.157 2.378 5.172 5.193 10 8.345 14.532-22.403 19.146-56.314 18.1-77.468-3.126-22.243-22.322-22.242-58.768 0-81.094 11.122-11.162 25.784-16.75 40.438-16.75zm322.406 0c14.654 0 29.317 5.588 40.438 16.75 22.243 22.326 22.244 58.772 0 81.094-21.148 21.222-55.062 22.256-77.47 3.125 3.158-4.54 5.935-9.383 8.313-14.564 16.007 15.93 41.607 15.888 57.563-.125 15.997-16.052 15.998-41.91 0-57.968-13.28-13.328-33.232-15.602-48.78-6.812-.67-5.674-1.687-11.237-3-16.688 7.292-3.19 15.106-4.813 22.936-4.812zm-223.22 16.406c20.812 0 37.69 16.908 37.69 37.78 0 20.873-16.878 37.814-37.69 37.814-20.81 0-37.686-16.94-37.686-37.813 0-20.87 16.877-37.78 37.688-37.78zm125.533 3.125c19.97 0 36.155 16.25 36.155 36.282 0 20.032-16.184 36.282-36.156 36.282-19.974 0-36.19-16.25-36.19-36.28 0-20.033 16.216-36.283 36.19-36.283zm-91.158 79.314l18 4.97-9.78 35.498-18-4.968 9.78-35.5zm55.25 0l9.782 35.5-18 4.97-9.78-35.502 17.998-4.968zm78.094 120.156c-4.226 2.705-8.79 5.2-13.625 7.47-24.213 11.362-56.503 18.03-92.092 18.03-35.59 0-67.88-6.668-92.094-18.03-4.822-2.264-9.38-4.743-13.594-7.44 9.62 44.998 53.293 62.564 105.688 62.564 52.407 0 96.112-17.573 105.718-62.594z"}}]})(props);
};
function GiMonoWheelRobot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 21c-10.615 0-20.6 3.914-29.547 14.039.512-.027 1.029-.04 1.547-.04 12.701 0 23.655 8.064 28 19.307C260.345 43.063 271.299 35 284 35c.796 0 1.582.041 2.363.103C277.086 25.006 266.584 21 256 21zm-28 32c-6.734 0-12 5.266-12 12s5.266 12 12 12 12-5.266 12-12-5.266-12-12-12zm56 0c-6.734 0-12 5.266-12 12s5.266 12 12 12 12-5.266 12-12-5.266-12-12-12zm-28 22.693C251.655 86.936 240.701 95 228 95c-9.023 0-17.161-4.073-22.68-10.46-1.763 9.055-3.075 19.175-3.8 30.46h109.25c-.393-11.71-1.544-22.155-3.268-31.454C301.988 90.502 293.482 95 284 95c-12.701 0-23.655-8.064-28-19.307zM154.844 133l2.953 15.748c-13.556 2.706-24.952 8.46-34.026 16.525-12.882 11.451-21.042 27.024-26.36 44.043-9.885 31.629-10.383 68.875-10.405 99.676-4.34 1.98-7.964 5.204-10.918 8.611-4.8 5.537-8.448 12.145-11.455 18.592-6.014 12.894-9.33 25.49-9.33 25.49l17.394 4.629s3.07-11.404 8.248-22.51c2.59-5.552 5.74-10.945 8.742-14.408C92.69 325.933 94.937 325 96 325c1.063 0 3.31.933 6.313 4.396 3.002 3.463 6.152 8.856 8.742 14.408 5.179 11.106 8.248 22.51 8.248 22.51l17.394-4.629s-3.316-12.596-9.33-25.49c-3.007-6.447-6.655-13.055-11.455-18.592-2.949-3.402-6.565-6.62-10.896-8.602.071-30.618.876-66.485 9.574-94.318 4.681-14.98 11.521-27.408 21.139-35.957 6.73-5.983 14.86-10.308 25.369-12.369L199.468 371H215v-23c0-22 20.5-33 41-33s41 11 41 33v23h15.531l38.371-204.643c10.509 2.061 18.638 6.386 25.37 12.37 9.617 8.548 16.457 20.975 21.138 35.956 8.698 27.833 9.503 63.7 9.574 94.318-4.33 1.981-7.947 5.2-10.896 8.602-4.8 5.537-8.448 12.145-11.455 18.592-6.014 12.894-9.33 25.49-9.33 25.49l17.394 4.629s3.07-11.404 8.248-22.51c2.59-5.552 5.74-10.945 8.743-14.408C412.69 325.933 414.937 325 416 325c1.063 0 3.31.933 6.313 4.396 3.002 3.463 6.152 8.856 8.742 14.408 5.179 11.106 8.248 22.51 8.248 22.51l17.394-4.629s-3.316-12.596-9.33-25.49c-3.007-6.447-6.655-13.055-11.455-18.592-2.954-3.407-6.577-6.631-10.918-8.611-.022-30.801-.52-68.047-10.404-99.676-5.319-17.02-13.479-32.592-26.361-44.043-9.074-8.065-20.47-13.819-34.026-16.525L357.156 133zm24.761 34h152.79l-39.454 62H219.06zM224 243h64v18h-64zm16 32h32v18h-32zm16 58c-11.5 0-23 4.999-23 15v7h46v-7c0-10.001-11.5-15-23-15zm-23 40v30h46v-30zm-33 21v36h15v-36zm97 0v36h15v-36zm-64 27v30h46v-30zm0 48v7c0 20 46 20 46 0v-7z"}}]})(props);
};
function GiMonsterGrasp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M108.777 256.058c.286 56.565 13.983 101.827 24.942 133.585C85.56 317.753 30.9 187.787 120.5 112.147c-42.56-4.31-92.374 25.796-95.78 71.213h-.19c-1.068 14.052 2.58 29.756 11.746 46.133C16.312 284.78 15.33 345.708 49.6 433.393c19.18 49.048 70.854 62.702 120.752 53.94 36.346-6.4 70.19-22.667 93.294-59.754 40.158-64.48 59.99-105.418 101.79-135.42 46.526-19.777 97.54-3.25 123.88 22.454-7.476-57.55-70.396-111.51-120.465-56.763-41.325 7.66-69.025 17.52-115.722 51.235 19.65-38.758 56.327-84.913 79.13-112.415 33.693-41.608 102.853-56.82 138.524-48.106-31.99-45.34-127.917-59.59-149.615 12.53-42.008 19.263-94.897 60.85-129.908 102.997 11.58-52.748 33.18-117.786 54.347-155.208 33.825-36.553 83.77-35.932 114.623-26.564-28.904-46.596-121.244-70.12-138.495 12.993-43.11 33.08-87.248 100.11-112.956 160.748z"}}]})(props);
};
function GiMonsteraLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M332.9 17.37c-11.7-.1-24.2 1.23-37.5 4.13-33.1 7.21-48.6 28.49-56.2 54.09 11.2 22.86 20.1 46.01 25 71.91-9.6-6.9-19.7-1.7-22.6 5-4.3-22.4-10-42.9-17.8-62.93-48.8-34.88-83-20.9-89.6-18.76C49.64 98.12 25.54 165.7 39.84 239.1c19.32-43.4 86.56-68.7 113.56-68.6 6.9.1 47 9.5 13.6 20-54.8 17.3-98.29 48.7-116.81 86 8.78 24.5 21.34 49.1 36.89 72.4 14.42-42 40.22-89 96.72-125.1 14.5-9.3 23.8.7 12.2 13.2-53.5 57.4-75.1 104.2-81 148.6 17.4 20.3 37.2 38.9 58.5 54.7 1.6-54.4 20.3-117.7 56.3-164.6 3.7-6.6 22-2.7 15.6 9-27.9 50.9-43.2 119.9-44.5 174 25.6 15.2 52.9 26.3 80.9 31.9-15.1-35.2-18.5-80.5-6.9-120.8 5.1-17.8 20.8-8.1 17.6 4.2-10 38.8 8.6 87.5 28.1 120.6 20.7.1 41.6-3.1 62.3-10.2 11.8-4 22.7-12.3 32.7-23.8-11.3-22.8-27-44.1-46.6-57.2-7.4-5-3.2-23.6 10.2-14.8 19.1 12.6 37.6 29.7 52.8 48.7 9.8-16.8 18.2-37 25-59.4-29.7-34.7-83.3-82-128.8-101.7-9.6-4.1-8.7-21.5 7.6-16.4 47.8 14.8 98 46.2 131.1 78 3.9-19.9 6.7-40.8 8.1-61.9-39-27.6-95.5-67.2-147.1-74.8-9.5-1.4-13.6-18.6 3-17.8 58.3 2.7 109.8 23.5 145.1 50.5-.5-28.6-3.6-56.7-9.7-82.9-41.7-13.6-113.5-18.5-141.5-6.1-11.1 4.9-29.9-4.8-6.8-16.6 37.6-22.1 94.5-22.8 138.3-11-21.3-57.97-60.7-99.32-123.4-99.83z"}}]})(props);
};
function GiMonumentValley (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M441.9 43a29 29 0 0 0-29 29 29 29 0 0 0 29 29 29 29 0 0 0 29-29 29 29 0 0 0-29-29zm-304.3 82.6l-19.8 13.6-3.8 94.7-6.9-86.4c-21.72 53-10.81 109.5-11.11 164.1 14.11.8 28.21 1.3 42.21 1.7l-.8-50.4 7.4 11 4.9 39.7c58.5 1.4 115.9.2 173.5-.8l-15.4-134.7-14.3 2.6-4 68.1 6.8 38.6-13.2-46.2h.1l-4.7-9.3-16.5-3.7-2.6-69.6-18.7-10.5 1 79.3 9.9 25.2 1 48.6-7.9-6.4c-2-21-8.5-49.1-9.6-66.1-2.1-27.7-4.3-58.7-6.4-87.4l-.1-.1-47.6.2-7.6 55.4 24.9 24.4-1.2 69-5.2-52.7-17.5-27.5-4.3 10.9-3.4-79.8-29.1-15.5zm-42.09 204c-23.4 17-49.35 37.2-77.92 57.3v108.9H494.4v-24.2c-70.6-39.3-123.1-97.2-171.5-140.8-28.5.5-57 1-85.7 1.3l55.7 36.7 4.3 46.4-26-36.9-52-46.1c-30.9.2-62.1-.1-93.7-1.3l68.1 91.5 17.9 44.8-28.2-47.8-75.4-89.2c-4.1-.2-8.25-.4-12.39-.6zm212.89 30l73.4 78.7-47.7-32.5-25.7-46.2zm86.6 13.9c29.5 27.3 61.3 54.5 97.7 76.4v-76.4H395zm-177.4.4l60 71.1-58.8-52.2-1.2-18.9z"}}]})(props);
};
function GiMoonBats (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M305.4 18.09A192 192 0 0 0 144.9 98c25.7-9.6 54.2-13.42 83.4-9.81 96.3 11.91 164.9 99.91 153 196.31-5.9 48-30.8 89.1-66.1 116.9a192 192 0 0 0 176.2-167.8A192 192 0 0 0 324.5 19.5a192 192 0 0 0-19.1-1.41zM58.76 91.4c4 10.7 2 36.7-.99 44.2 21.09 9.4 19.19 35.2 15.99 42.9 31.14 5 35.14 15.7 36.04 33.9 13.3-11.9 23.2-16.3 48.4 3.8 3-7.5 19.2-27.3 40.2-17.7 3.1-7.5 19.3-27.2 29.4-31.8-18.1-17-42.3-18.9-59.5-17.5-6 15.2-16.5 28.5-30.5 22.1l6.3-23.8-10.1 4.3-3.8-10.6-11.8 21.6c-14.1-6.3-12.3-23.7-6.4-38.6-10.9-14-29.14-31-53.24-32.8zM317.1 301.3c-40.3.8-72.9 24.8-93.6 45.1 7.9 25.8 7.9 54-17.4 62l-16.7-37.2-8.7 16.9-16.7-8.8 7.2 40.2c-25.5 7.9-41.3-15.3-49.2-41-29.43-5-71.41-5.8-105.49 19.2 16.67 8.8 41.14 43.5 45.15 56.3 37.99-11.9 62.84 22.6 66.54 35.6 46.9-29 63.5-20.2 84.1 1.6 4.8-29.7 13.5-46.6 68.1-49.9-3.9-12.8-3.1-55.4 35-67.5-4-12.9-3.2-55.6 5.6-72.5h-3.9z"}}]})(props);
};
function GiMoonClaws (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.893 25.73c-129.963 0-235.13 105.166-235.13 235.13 0 52.99 17.487 101.856 47.007 141.154 18.687-22.89 36.79-51.545 40.99-78.98l-60.55-123.81 102.927-67.675c-32.11 41.175-42.93 80.322-36.914 113.11 6.575 35.84 33.437 62.59 69.39 74.065l5.682-17.807c-30.667-9.787-51.42-30.922-56.688-59.63-.662-3.61-1.076-7.368-1.22-11.26 20.214 13.75 81.03-26.946 139.773-113.604l101.445 20.11c-87.707 2.83-148.702 57.44-137.615 108.94l109.625-63.956 92.942 26.306c-86.43.5-159.89 25.05-162.032 83.56l106.065-37.67 85.447 68.612c-128.788-47.823-210.17 2.972-273.937 56.713-14.598 27.523-21.196 63.61-24.002 100.435 26.848 10.654 56.13 16.515 86.795 16.515 129.962 0 235.13-105.168 235.13-235.13 0-129.964-105.168-235.13-235.13-235.13z"}}]})(props);
};
function GiMoonOrbit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.6 62.21c-25.1 0-50.7 5.02-75.3 15.48C81.74 119.5 35.86 233.1 77.69 331.7c4.76 11.1 10.45 21.7 16.93 31.5-12.6.3-23.45-.5-31.98-2.4-13.22-2.9-19.93-7.8-22.27-13.3-2.33-5.6-1.25-13.8 5.87-25.4 1.65-2.6 3.62-5.4 5.86-8.4-2.1-7.4-3.76-14.7-5.05-22.2-6.62 7.1-12.1 14.2-16.37 21.1-8.74 14.1-12.66 28.9-7.11 42 5.54 13.1 18.9 20.5 35.17 24 13.66 3 30.13 3.6 48.96 2.2 53.2 63.4 143.6 87.6 223.9 53.4 80.3-34.1 125.6-115.7 117.1-198.1 14.1-12.6 25.2-24.9 32.5-36.8 8.9-14.2 12.7-29 7.2-42-5.6-13.1-18.9-20.5-35.2-24.1-7.9-1.7-16.9-2.7-26.5-2.8 4.5 6.1 8.6 12.4 12.4 19.1 3.7.4 7.1.9 10.1 1.6 13.3 2.8 20 7.8 22.3 13.3 2.4 5.5 1.3 13.8-5.9 25.3-4.5 7.4-11.4 15.8-20.4 24.7 1.5 7.3 2.7 14.5 3.4 21.7-2.6 2.3-5.5 4.7-8.2 7.1-4.7 3.8-9.5 7.7-14.7 11.5 11.2 32-4.4 67.8-35.9 81.2-26.3 11.2-56 3.6-74-16.8-9.1 4.3-18.3 8.4-27.8 12.5-62.5 26.4-122.4 43-169.2 48.1-3.8.4-7.5.7-11 1.1-4.7-5.6-8.95-11.4-13.12-17.6 6.82-.2 14.22-.7 22.02-1.6 44.4-4.9 103-20.9 164.2-46.9 8.4-3.5 16.7-7.3 24.8-11-.4-.7-.7-1.4-1-2.1-14-32.9 1.5-71.2 34.4-85.1 28.3-12.1 60.7-2.1 78 21.8 4-3.1 7.9-6.1 11.5-9.1 6.1-5 11.6-10 16.6-14.8-2.6-11.5-6.2-22.9-11-34.1-31.4-73.9-103.1-118.22-178.6-118.09zM364.3 229.6c-5.9 0-12.1 1.2-18.1 3.7-23.7 10.1-34.8 37.3-24.6 61.2 10 23.8 37.3 34.7 61.1 24.6 23.7-10 34.8-37.3 24.6-61.1-7.5-17.9-24.7-28.5-43-28.4z"}}]})(props);
};
function GiMoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.125 18.563c-131.53 0-238.375 106.813-238.375 238.343 0 131.53 106.846 238.344 238.375 238.344 131.53 0 238.344-106.815 238.344-238.344 0-131.528-106.816-238.344-238.345-238.344zm-23.938 52.093c40.517 0 77.988 12.904 108.532 34.813-5.597-.624-11.302-.97-17.064-.97-84.157 0-152.375 68.25-152.375 152.406 0 84.157 68.22 152.375 152.376 152.375 5.762 0 11.467-.313 17.063-.936-30.545 21.91-68.016 34.812-108.533 34.812-102.98 0-186.28-83.272-186.28-186.25 0-102.977 83.3-186.25 186.28-186.25z"}}]})(props);
};
function GiMooringBollard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192 41c-13 0-27.2 6.75-39.5 17.73-12.4 10.97-22.6 25.97-28.1 40.43-5.4 14.44-5.7 27.84-1 36.54S138 151 160 151h192c22 0 31.9-6.6 36.6-15.3 4.7-8.7 4.4-22.1-1-36.54-5.5-14.46-15.7-29.46-28.1-40.43C347.2 47.75 333 41 320 41H192zm-23 128v270h174V169H169zM32 254v36h119v-36H32zm329 0v36h119v-36H361zM87 432v25H73v30h366v-30h-14v-25h-18v25H105v-25H87z"}}]})(props);
};
function GiMorbidHumour (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.95 17.338c-61.708 0-102.232 20.943-128.57 55.848-25.517 33.818-37.445 81.93-38.17 137.86 33.63 19.018 56.805 39.508 70.78 61.804 7.797 12.44 12.592 25.422 14.803 38.656l16.494 2.492-4.635 30.69c4.333 1.272 9.355 2.47 14.83 3.402.99.168 2.03.317 3.047.474l3.646-24.134 18.478 2.79-3.552 23.514c7.145.598 14.607.988 22.185 1.145v-20.5h18.688v20.417c7.532-.217 14.968-.652 22.09-1.318l-3.516-23.26 18.477-2.79 3.577 23.66c.388-.066.798-.124 1.183-.192 6.83-1.2 12.908-2.776 17.99-4.466l-4.445-29.434 17.785-2.685c8.21-38.67 34.413-73.048 85.563-100.422-.764-52.846-12.427-100.878-37.823-135.42C362.577 39.727 322.07 17.34 259.95 17.34zm-73.663 116.344c24.028-.286 46.155 15.473 52.942 39.556-3.906.72-7.97 1.394-11.933 2.453-37.542 10.045-65.257 32.45-72.463 55.626-9.722-7.055-17.098-16.803-20.45-29.287-7.768-28.947 9.456-58.735 38.444-66.49 4.495-1.203 9.01-1.805 13.46-1.858zm141.783 0c4.45.053 8.965.655 13.46 1.857 28.99 7.755 46.213 37.543 38.445 66.49-3.35 12.483-10.728 22.23-20.45 29.286-7.206-23.175-34.92-45.58-72.462-55.625-3.962-1.058-8.028-1.732-11.934-2.452 6.786-24.083 28.913-39.842 52.94-39.556zm-70.828 84.963c13.88 29.26 24.89 58.52 30.358 87.78-20.238-6.68-40.475-7.568-60.713 0 7.39-29.26 16.27-58.52 30.355-87.78zM166.44 362.84c-5.255 17.464-13.684 35.014-24.208 52.68 27.1 53.567 74.66 77.275 120.766 76.037 46.057-1.238 90.19-27.462 110.525-76.305-10.655-17.354-19.13-33.665-23.72-51.45-4.847 5.995-10.002 11.43-15.4 16.31l10.788 20.325-16.506 8.762-9.237-17.405c-4.638 3.094-9.402 5.822-14.267 8.172l6.025 19.41-17.85 5.54-5.662-18.243c-6.32 1.825-12.745 3.05-19.216 3.666v21.002h-18.69v-20.928c-7.14-.623-14.243-1.988-21.23-4.088l-5.77 18.59-17.85-5.54 6.192-19.944c-4.808-2.374-9.523-5.116-14.122-8.22l-9.55 17.987-16.507-8.762 11.13-20.967c-5.47-4.968-10.703-10.512-15.64-16.63z"}}]})(props);
};
function GiMorgueFeet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M147.078 67.273a15.34 15.34 0 0 0-4.986.867c-5.107 1.795-9.07 6.194-11.252 13.114-2.183 6.919-2.178 16.064 1.043 25.23s8.939 16.303 14.97 20.336c6.032 4.033 11.874 4.986 16.981 3.191 5.107-1.794 9.069-6.191 11.252-13.111 2.183-6.92 2.178-16.064-1.043-25.23-3.221-9.167-8.939-16.305-14.97-20.338-4.148-2.773-8.204-4.09-11.995-4.059zm217.844 0c-3.79-.031-7.85 1.286-11.996 4.059-6.032 4.033-11.75 11.17-14.97 20.336-3.222 9.166-3.227 18.313-1.044 25.232 2.183 6.92 6.145 11.315 11.252 13.11 5.107 1.794 10.953.845 16.984-3.188 6.032-4.033 11.748-11.172 14.97-20.338 3.22-9.166 3.227-18.313 1.044-25.232-2.183-6.92-6.147-11.315-11.254-13.11a15.349 15.349 0 0 0-4.986-.869zM104.129 95.455c-1.63-.007-3.17.3-4.606.894-3.827 1.585-6.76 5.14-8.238 10.885-1.477 5.744-1.098 13.35 1.965 20.854 3.063 7.503 8.106 13.178 13.168 16.214 5.062 3.037 9.631 3.482 13.459 1.897 3.828-1.585 6.761-5.139 8.238-10.883.063-.243.118-.493.174-.742-5.725-5.967-10.355-13.491-13.389-22.123a63.746 63.746 0 0 1-3.33-14.98c-2.638-1.357-5.132-2.007-7.441-2.016zm303.74 0c-2.31.01-4.802.659-7.44 2.015a63.748 63.748 0 0 1-3.331 14.98c-3.034 8.633-7.662 16.157-13.387 22.124.056.25.111.5.174.742 1.477 5.744 4.41 9.3 8.238 10.885 3.828 1.585 8.395 1.136 13.457-1.9 5.062-3.037 10.107-8.71 13.17-16.213 3.063-7.504 3.44-15.108 1.963-20.852-1.477-5.744-4.409-9.3-8.236-10.885a11.822 11.822 0 0 0-4.608-.896zM67.332 124.609c-2.697-.015-4.96.735-6.793 2.092-2.932 2.17-4.721 5.86-4.754 11.285-.032 5.424 2 12.162 6.424 18.217 4.425 6.054 10.209 10.011 15.363 11.595 5.155 1.585 9.187.966 12.12-1.205 2.439-1.806 4.068-4.68 4.572-8.713-7.512-5.353-13.706-13.257-17.645-22.906a57.331 57.331 0 0 1-2.853-9.08c-.37-.135-.744-.286-1.108-.398-1.933-.594-3.707-.878-5.326-.887zm377.336 0c-1.618.009-3.393.29-5.326.885-.364.112-.738.263-1.108.398a57.327 57.327 0 0 1-2.853 9.082c-3.94 9.65-10.134 17.555-17.647 22.908.505 4.03 2.136 6.904 4.575 8.71 2.932 2.17 6.964 2.792 12.119 1.208 5.154-1.584 10.938-5.545 15.363-11.6 4.425-6.054 6.457-12.79 6.424-18.214-.033-5.424-1.824-9.112-4.756-11.283-1.833-1.357-4.094-2.108-6.791-2.094zm-259.785 11.578c-3.917 4.83-8.976 8.662-15.08 10.807-.267.093-.535.171-.803.258v18.478h10.729l23.367 23.367c-.25-5.72-.771-11.394-1.684-17.078-2.984-18.588-8.164-28.669-16.53-35.832zm142.236 0c-8.366 7.163-13.547 17.243-16.531 35.832-6.132 38.203 5.083 75.873 1.486 130.928-1.151 17.628-8.668 36.315-16.627 54.756-7.959 18.44-16.513 36.61-20.5 50.914-2.481 8.903-.61 15.277 4.098 21.127 4.709 5.85 12.863 10.731 22.494 13.18 19.262 4.896 42.665.114 54.623-17.917 37.654-56.772 85.318-134.982 99.475-177.388.629-1.884.838-4.213.646-6.883-.484-.357-.961-.73-1.424-1.133-6.293-5.487-8.703-13.834-8.142-21.65.056-.784.148-1.568.258-2.35-.254-.427-.497-.85-.762-1.281-.04-.064-.082-.128-.121-.192-2.992-.672-5.893-1.88-8.557-3.728-7.382-5.122-10.995-13.728-11.355-22.262-.545-.605-1.111-1.207-1.664-1.81-4.547-.667-8.947-2.332-12.828-5.205-5.546-4.106-9.08-9.953-10.81-16.348-5.176.7-10.499.183-15.558-1.912-7.93-3.284-13.627-9.772-16.89-17.397-8.24 3.636-17.483 4.598-26.233 1.524-6.103-2.145-11.16-5.977-15.078-10.805zm-183.553 9.283c-3.263 7.623-8.957 14.11-16.886 17.393-5.059 2.095-10.38 2.612-15.557 1.912-1.73 6.396-5.264 12.244-10.81 16.35-3.882 2.873-8.282 4.539-12.829 5.205-.553.603-1.12 1.205-1.664 1.81-.36 8.535-3.972 17.14-11.355 22.262-2.664 1.848-5.565 3.058-8.557 3.73-.039.063-.082.127-.12.19-.266.43-.509.854-.763 1.281.11.782.202 1.566.258 2.35.561 7.816-1.849 16.163-8.142 21.65-.463.403-.94.776-1.424 1.133-.192 2.67.017 5 .646 6.883 7.798 23.357 25.78 57.586 46.637 93.103v-137.72l37.272-37.272H151v-17.8a40.456 40.456 0 0 1-7.434-2.46zm-98.673 17.12c-.688.216-1.311.52-1.868.906-1.988 1.38-3.38 3.864-3.537 8.049-.157 4.184 1.248 9.633 4.594 14.625 3.346 4.991 7.816 8.31 11.703 9.689 3.887 1.379 6.668.97 8.656-.41 1.989-1.38 3.378-3.862 3.536-8.047.047-1.257-.066-2.637-.31-4.076-7.547-3.33-14.467-8.944-19.925-16.412a55.377 55.377 0 0 1-2.85-4.325zm422.214 0a55.388 55.388 0 0 1-2.85 4.322c-5.457 7.469-12.378 13.085-19.925 16.416-.244 1.437-.356 2.816-.309 4.072.158 4.185 1.546 6.671 3.534 8.05 1.988 1.38 4.771 1.788 8.658.409 3.887-1.379 8.357-4.698 11.703-9.69 3.346-4.991 4.751-10.438 4.594-14.622-.158-4.185-1.547-6.672-3.535-8.051a6.854 6.854 0 0 0-1.87-.907zM147.73 183.73L121 210.457V373.73h78V210.46l-26.728-26.729zM29.31 200.15a8.083 8.083 0 0 0-.7.006c-1.491.08-2.567.572-3.369 1.272-1.283 1.118-2.161 3.024-1.916 6.445.246 3.42 1.896 7.876 5.158 11.781 3.263 3.905 7.312 6.272 10.58 7.057 3.27.785 5.25.197 6.534-.922 1.283-1.119 2.165-3.027 1.92-6.447-.184-2.553-1.154-5.68-2.989-8.725-4.42-2.404-8.494-5.745-12.002-9.89-.25-.077-.506-.163-.75-.221a12.23 12.23 0 0 0-2.466-.356zm453.377 0c-.729.022-1.546.135-2.465.355-.244.059-.499.145-.75.221-3.508 4.146-7.582 7.487-12.002 9.89-1.835 3.047-2.803 6.173-2.987 8.725-.245 3.421.635 5.329 1.918 6.448 1.284 1.118 3.265 1.707 6.534.922 3.268-.786 7.315-3.152 10.578-7.057 3.263-3.905 4.914-8.359 5.16-11.78.245-3.42-.635-5.326-1.918-6.445-.802-.699-1.878-1.192-3.37-1.271a8.438 8.438 0 0 0-.698-.008zM135 238.73h18v96h-18zm32 32h18v48h-18zm50 87.996v33.004h-82.766a2041.756 2041.756 0 0 0 21.604 33.277c11.958 18.031 35.361 22.813 54.623 17.916 9.63-2.448 17.786-7.33 22.494-13.18 4.709-5.85 6.58-12.223 4.098-21.126-3.913-14.038-12.222-31.805-20.053-49.89z"}}]})(props);
};
function GiMorphBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M219.758 27.83C109.325 45.195 25 140.648 25 256c0 13.988 1.241 27.683 3.617 40.982 43.722 13.41 79.408 22.373 110.326 18.803 19.005-2.194 36.72-8.817 54.371-22.465A72.473 72.473 0 0 1 183 256c0-18.063 6.632-34.616 17.566-47.385-15.788-40.1-21.575-75.32-17.87-105.988 3.598-29.793 16.537-54.897 37.062-74.797zm27.178 1.69c-26.69 18.811-42.236 43.485-46.141 75.816-3.03 25.082 1.346 55.166 14.32 90.244a72.71 72.71 0 0 1 22.38-10.191c-3.43-25.147-.258-47.234 8.53-67.53 12.368-28.56 34.598-53.137 62.4-79.638-8.255 1.92-16.586 3.542-24.435 4.217-10.869.934-20.771.943-29.24-4.149-3.212-1.93-6.112-5.042-7.814-8.77zm86.955 8.931c-33.434 31.126-59.007 57.533-71.364 86.07-7.623 17.606-10.74 36.315-7.703 58.508.393-.006.782-.029 1.176-.029 31.623 0 58.646 20.287 68.75 48.508 42.515 6.387 75.838 18.972 100.502 37.482 24.166 18.137 39.476 42.096 46.38 70.065C481.552 313.285 487 285.287 487 256c0-100.343-63.813-185.622-153.11-217.549zM256 201c-30.483 0-55 24.517-55 55s24.517 55 55 55 55-24.517 55-55-24.517-55-55-55zm0 14c22.537 0 41 18.463 41 41s-18.463 41-41 41-41-18.463-41-41 18.463-41 41-41zm0 18c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zm72.766 17.436c.14 1.839.234 3.69.234 5.564 0 6.58-.894 12.957-2.54 19.03 23.252 9.594 40.641 23.319 53.733 40.956 18.55 24.99 28.719 56.534 37.768 93.862 2.465-8.11 5.226-16.136 8.566-23.27 4.626-9.88 9.57-18.46 18.213-23.248 3.278-1.816 7.423-2.776 11.502-2.387-2.947-32.518-16.541-58.314-42.588-77.861-20.128-15.106-48.232-26.33-84.888-32.646zm-8.95 40.921C307.332 313.773 283.394 329 256 329c-4.616 0-9.128-.451-13.51-1.277-26.751 33.541-54.272 56.058-82.592 68.144-27.749 11.843-56.111 13.137-83.748 5.172C118.477 453.48 183.28 487 256 487c56.954 0 109.05-20.568 149.3-54.674-10.263-44.664-20.346-80.118-38.925-105.146-11.388-15.342-25.956-27.36-46.559-35.823zM203.9 307.031c-19.947 15.357-40.54 23.565-62.375 26.086-30.917 3.57-63.315-3.394-100.166-14.22 5.79 6.188 11.36 12.591 15.868 19.05 6.243 8.946 11.2 17.517 11.025 27.397-.066 3.746-1.308 7.817-3.684 11.154 29.636 13.707 58.775 14.834 88.727 2.05 23.103-9.86 46.827-28.538 70.58-57.034A73.467 73.467 0 0 1 203.9 307.03z"}}]})(props);
};
function GiMortar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M336.313 25.057l-42.536 73.45-1.718 28.036 45.754 26.498 23.463-15.446 42.535-73.448zm-50.3 118.785l-31.07 53.654 30.307 17.55c.91-.06 1.825-.103 2.75-.103 3.218 0 6.35.39 9.36 1.1l28.46-49.148zm-61.238 20.455l-4.63 7.72-33.665 56.106-11.09-7.19-7.55-4.9-9.795 15.102 7.55 4.896 11.618 7.538-5.068 8.448-4.63 7.716 15.434 9.262 4.63-7.72 48-80 4.63-7.715zm14.22 44.766l-31.07 53.652 53.655 31.072 2.623-4.53c-10.39-7.46-17.203-19.63-17.203-33.314 0-13.334 6.466-25.24 16.412-32.742zM288 232.942c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zM205.83 282.3l-78.078 134.827c5.496 5.717 8.967 13.386 9.223 21.816h31.298l77.364-133.59zm109.432 4.184c-3.484 3.116-7.498 5.644-11.885 7.436l89.393 161.023h16.01zM104 424.944c-8.39 0-15 6.608-15 15 0 8.39 6.61 15 15 15s15-6.61 15-15c0-8.392-6.61-15-15-15zm-63 32v30h35.498c5.765-4.327 12.842-6.912 20.772-8.764 9.43-2.204 20.05-3.237 30.675-3.237 10.626 0 21.22 1.03 30.608 3.24 7.86 1.847 14.873 4.418 20.568 8.76H215v-30h-82.766c-5.803 9.562-16.317 16-28.234 16-11.917 0-22.43-6.438-28.234-16zm336 16v14h94v-14z"}}]})(props);
};
function GiMountainCave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M195.344 71.438c-3.83.12-7.66 1.205-10.938 3.062-9.987 5.66-16.774 16.198-25.062 31.72-8.288 15.52-17.55 36.4-29.03 63.218C107.35 223.07 75.606 300.42 26.843 403.875a9.5 9.5 0 1 0 17.187 8.094c48.966-103.882 80.897-181.682 103.75-235.064 11.428-26.69 20.6-47.274 28.314-61.72 7.713-14.443 14.5-22.366 17.656-24.155 1.578-.893 1.773-.822 2.78-.56 1.01.26 3.136 1.348 6 4.155 5.732 5.614 13.667 17.43 23.314 34.438 19.077 33.636 45.742 87.6 87.28 159.03-4.364 10.616-9.077 21.89-14.25 33.876a9.5 9.5 0 1 0 17.438 7.53c20.076-46.524 33.676-83.107 44.188-106.47 5.256-11.68 9.878-20.06 13.22-24.093 1.445-1.745 2.452-2.466 2.874-2.718.654.36 4.928 3.886 9.937 12.468 5.162 8.84 11.398 22.197 18.845 40 14.893 35.605 34.786 89.108 63.313 162.656a9.503 9.503 0 1 0 17.718-6.875c-28.48-73.43-48.32-126.835-63.5-163.126-7.59-18.146-13.993-31.983-19.97-42.22-5.974-10.235-11.09-17.537-19.78-20.843-2.172-.825-4.596-1.186-7-1.124-2.403.062-4.778.553-6.875 1.47-4.192 1.83-7.355 4.77-10.186 8.186-5.664 6.836-10.42 16.147-15.938 28.407-6.044 13.432-12.834 30.485-20.97 50.624-37.043-64.58-61.375-113.65-79.81-146.156-9.925-17.5-17.96-30.198-26.564-38.626-4.3-4.213-8.923-7.548-14.53-9-1.403-.362-2.857-.563-4.313-.624-.547-.024-1.08-.018-1.626 0zm5.03 258.78c-39.944 0-72.31 39.03-72.31 87.188h144.624c0-48.16-32.368-87.187-72.313-87.187z"}}]})(props);
};
function GiMountainRoad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149 24.32L123 124.4l27.8 44.8 15.9-29.4 37.5 30.9 17.5-55.5zm169.7 43.7l-32.2 48.38 10.7 25.5 21.9-21.7 18.1 42.8 10.3-21.7zm-83.4 64.18l-21.9 69.3-41.3-33.9L152 205l-35.2-56.7-88.38 339.4H154.9c45.6-17 135.3-56.7 137.2-106.3 1.7-47.8-108.9-43.4-110.8-91.2-1.5-39.1 84.5-81.5 84.5-81.5s-54.1 43.3-47.4 71c12.9 53 125.6 27.6 143.2 79.3 13 38.2-33.5 104.3-52.2 128.7h174.2L356.5 164.3 336.4 207l-23.5-55.4-22.1 21.9-16.3-39.1-17 25.5z"}}]})(props);
};
function GiMountains (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.22 18.375c-132.32 0-239.783 107.43-239.783 239.75S123.9 497.905 256.22 497.905 496 390.446 496 258.126 388.54 18.375 256.22 18.375zm0 17.875c102.773 0 189.092 69.664 214.374 164.406l-79.313-81.47-6.967-7.155-6.688 7.47-77.22 86.438c-11.493-10.268-22.98-20.284-34.467-30.063l-6.563-5.625-6.125 6.156c-18.41 18.527-36.937 37.61-55.438 57.094l-76.437-83.375-6.875-7.5-6.875 7.5-71.188 77.313C51.364 119.34 143.983 36.25 256.22 36.25zm102.25 147.28l-3.845 35.376 21.563-32 10.75 16.688 9.968-8.47 27.188 26.814L417 187.344l19.5 5.062 39.188 40.25.843-.812c1.016 8.618 1.564 17.388 1.564 26.28 0 37.033-9.06 71.917-25.063 102.595-46.25-53.48-92.512-100.116-138.75-142.283l11-12.312 33.19-22.594zM138.31 206.28l26.438 18.782 20.22 22.032c-39.47 42.024-78.63 85.836-115.94 130.344-21.98-34.443-34.718-75.38-34.718-119.313v-.78l16.25-17.658 37.25-20.187-17.187 54.063 41.813-51.22 27.312 32.72-1.438-48.782zm141.375 61.657l53.157 60.938-7.688-54.563L386.312 315c18.918 19.863 37.83 40.733 56.75 62.78l.188-.186C403.853 439.216 334.868 480.03 256.22 480.03c-71.76 0-135.483-33.992-176.033-86.75 19.135-22.91 38.775-45.645 58.72-68.06l56.155-33.814-29.312 76.75 61.53-73.375 6.25 32.19 19.532-36.783 47.844 69.5-21.22-91.75z"}}]})(props);
};
function GiMountaintop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.813 14.47c-132.537 0-240.188 107.65-240.188 240.186 0 132.537 107.65 240.156 240.188 240.156C386.349 494.813 494 387.192 494 254.656S386.35 14.47 253.812 14.47zm0 18.686c122.436 0 221.5 99.064 221.5 221.5 0 17.96-2.133 35.412-6.157 52.125l-44.906-8.686-20.53-71.594-1.376-4.844-4.844-1.5-58.063-17.937-66.906-128.626-4.75-9.156-8.655 5.624-91.094 59.25-2.936 1.907-.97 3.374L116.19 301.97l-70.22 29.436c-8.82-23.91-13.656-49.753-13.656-76.75 0-122.436 99.064-221.5 221.5-221.5zm.812 62.125l-52.53 104.595 16.218 134.438 90.125-61.938v62.97l-23.563 6.25L305.72 470.03c-16.646 3.988-34.03 6.095-51.908 6.095-88.813 0-165.33-52.117-200.656-127.47l74.406-31.217 4.126-1.72 1.25-4.312 48.187-168.28 73.5-47.845z"}}]})(props);
};
function GiMountedKnight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M222.776 64.76a16.1 16.1 0 0 1 4.22.56c8.45 2.29 13.88 11.15 14.57 22l-25.78 6 21.89 13.86c-4.93 10.47-13.67 17.3-22.34 17.3a16.1 16.1 0 0 1-4.22-.56c-11.68-3.16-17.59-18.85-13.2-35 3.87-14.26 14.43-24.16 24.86-24.16zm-20.29-9.44a38.78 38.78 0 0 1 9.18-4.65c-5.47-4.23-12.06-8.82-15.9-9.73-27.8-6.55-28.34 34.41-49.08 15.35 16.77 30.56 35.36-12.18 55.8-.96zm54 115.56c-6.437-14.24-23.208-20.557-37.44-14.1l23.34 51.55c14.246-6.438 20.57-23.21 14.12-37.45zm-69.52 35l-21.72-6.66-60.94 31 7.16 14.07zm29.88-65.41h-1.53c-2.836.002-5.66-.37-8.4-1.11a32.64 32.64 0 0 1-14.27-8.23l-19.49 53.78 47.69 14.63-10.68-23.59-14-2.64 9.69-7-8.01-17.51s17.52-7.83 19-8.33zm-132.65 143c-64.72-46.18 42-97.32-47.05-105.87 59.27 26.57-49.43 44.81-10.25 97.71 7.49 10.11 34.76 24.95 49.64 32.56a78.51 78.51 0 0 1 7.7-24.38zm132.79-63.26l2.31-4.42-10.29-3.15-49.91 25.39 68.65 26.47-48.34 40.09 40.63 26.55-6.5-23.93 45.41-49zm13.73-82c4.898.003 9.76.82 14.39 2.42l41.79-21.22a184.67 184.67 0 0 0-35.66-3.51c-5.68 11-14.35 19-24.17 22.51 1.21-.09 2.43-.16 3.65-.16zm182 124.37h-4.15c-5.37 0-11.36-.21-17.77-.63l12.66 18 25-7.33s-1.13-4.55-2.74-11.23a82.78 82.78 0 0 1-13.04 1.23zm-138.97-46.37c13.84-22.89 46.76-66.73 96-66.73 16.79 0 35.49 5.1 56 17.86l-11 19.83.21 21.93c-.43 3.25 3.4 21 7.08 36.9-6.65 1.15-23 1-43.18-1l-5.68-8.1c-16.16-9.55-28.75-15.76-28.75-15.76s.91 7.77 1.22 19.23c-23.06-4.18-46.85-10.67-64.84-20.13a81.992 81.992 0 0 1-7.06-4.03zm120.1-18.38c0 4.678 5.655 7.02 8.963 3.712 3.306-3.307.964-8.962-3.714-8.962a5.25 5.25 0 0 0-5.25 5.25zm-132.64-47.42a44.15 44.15 0 0 1 9.43 12.91l223.21-123.4v-9.4zm76.17 154.12c5.64-14.72 7.68-32.58 8.2-48a325.89 325.89 0 0 1-49-12.25 151.31 151.31 0 0 1-30.12-13.81l13.78 96.66-129 17.14-10.39-87.05c-4.26 1.77-8.45 3.64-12.54 5.64-58.81 28.68-29.46 96.18-29.46 96.18l-25 49.21 30.11 54.35v18.81h33.9l-15.74-22.83-14.48-52.57 48.87-46.4c27.89 1.26 102.44-11.49 134.52-17l83 4.55 22.88 29.29-16.85 12.55 29.55 13.9 9.37-18.45-19.23-49.28zm-51.22-131.12l-11.31 5.72a44.08 44.08 0 0 1-.07 7.38c3.46-4.32 7.23-8.75 11.38-13.1zm31.69 231.92l-5-45.44-20.89-1.14c-6.2 1.06-13.11 2.22-20.44 3.43l21.46 47.74 17.68 54.56-.63 17h31.67l-9.65-17.83zm-140.38 19.45l36.79-53.82c-21.33 2.95-51.31 5.07-51.47 5.07l2.93 7.61-19.1 41.87 47 44.07v11.75h28.65l-11.35-12.92z"}}]})(props);
};
function GiMouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M367.564 19.436c-.018.033-.015.195-.015.51h-18c0 5.257 2.202 8.783 4.5 12.118 2.3 3.336 5.115 6.504 8.214 9.8 6.197 6.596 13.576 13.655 19.494 20.603 5.917 6.947 9.994 13.834 10.732 18.238.738 4.404.487 6.836-6.912 11.736-6.315 4.185-16.528 4.893-29.828 2.283s-28.95-8.294-44.646-14.235c-15.696-5.94-31.42-12.13-45.887-15.574-14.467-3.443-28.64-4.74-39.89 3.272-17.738 12.634-25.74 33.146-19.725 52.18 1.684 5.334 4.36 10.444 7.992 15.228 5.627-.432 11.297-.65 16.955-.65 2.837 0 5.68.058 8.518.165-9.033-6.295-14.187-13.464-16.304-20.165-3.646-11.54.27-23.027 13.006-32.097 3.987-2.84 12.747-3.405 25.28-.422 12.53 2.983 27.872 8.913 43.68 14.896 15.81 5.984 32.1 12.03 47.553 15.063 15.453 3.033 30.805 3.3 43.237-4.936 11.348-7.518 16.47-19.295 14.722-29.72-1.747-10.424-8.012-18.987-14.78-26.935-6.77-7.948-14.42-15.232-20.08-21.256-2.832-3.013-5.156-5.725-6.51-7.69-1.017-1.475-1.253-2.516-1.308-2.414zM221.55 153.186c-34.674 1.783-67.09 13.716-79.216 31.36-7.8 15.734-13.61 33.224-17.422 52.225 34.624 13.572 65.79 20.958 96.637 22.162v-13.987h-16v-82h16v-9.76zm18 0v9.76h16v82h-16v13.986c30.778-1.2 61.874-8.557 96.407-22.07-3.79-19.22-9.532-36.844-17.203-52.327-12.133-17.638-44.54-29.566-79.205-31.35zm-16 27.76v46h14v-46h-14zm-101.61 73.978c-6.55 51.112.248 111.787 21.193 178.318l.076.242.06.246c3.122 12.287 13.545 22.349 29.5 29.6 15.958 7.252 36.887 11.18 57.804 11.24 20.918.06 41.833-3.753 57.764-10.965 15.93-7.21 26.338-17.273 29.48-29.843l.082-.334.11-.328c20.903-62.71 27.633-125.29 20.87-178.067-76.195 29-140.716 28.96-216.94-.11z"}}]})(props);
};
function GiMouthWatering (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M87.75 30.72c-5.104.03-10.333.31-15.72.874 5.062 68.606 43.873 95.378 127.75 66.25-26.35-43.13-62.692-67.418-112.03-67.125zm343.906 0c-49.338-.294-85.65 23.993-112 67.124 83.878 29.128 122.69 2.356 127.75-66.25-5.386-.563-10.646-.845-15.75-.875zM13.844 146.437c-.826 4.546-1.156 9.206-1.156 13.875 0 46.09 41.19 86.706 104.124 111.062 23.478 13.02 30.98 83.94 19.688 117.156-2.47 7.262-12.906 26.75-12.906 35.626 0 12.032 9.75 21.97 21.78 21.97 12.033 0 21.75-9.938 21.75-21.97 0-8.93-11.05-28.19-13.093-35.625-8.77-31.912-10.39-102.854 18.157-101.186 25.43 5.13 52.85 7.945 81.438 8h.094c19.003 1.767 24.585 30.437 15.843 56.156-1.87 5.496-9.405 20.092-9.407 26.813 0 9.108 7.36 16.468 16.47 16.468 9.108 0 16.468-7.36 16.468-16.467 0-6.762-8.328-21.184-9.875-26.813-5.86-26.52-4.616-39.726 12.81-41.656 19.96-2.21 28.955 77.376 17.283 111.72-3.103 9.124-16 34-16 45.155 0 15.12 12.162 27.282 27.28 27.28 15.12-.002 27.28-12.16 27.282-27.28 0-11.226-13.9-35.817-16.47-45.158-11.062-40.25-6.928-130.344 18.533-138.093.02-.008.04-.026.062-.033.387-.097.77-.182 1.156-.28.013-.01.02-.023.03-.032 2.284-.584 4.54-1.19 6.783-1.813 52.234-11.767 35.948 18 56.06 18 16.277 0 5.717-34.745 31.314-59.03 29.47-22.375 46.906-50.01 46.906-79.97 0-4.668-.36-9.328-1.188-13.875-13.076 54.687-115.864 96.438-240.593 96.438-124.73 0-227.55-41.75-240.626-96.438zM418 341.938c-12.01 0-21.75 9.74-21.75 21.75s9.74 21.718 21.75 21.718 21.72-9.71 21.72-21.72c0-12.008-9.71-21.748-21.72-21.748z"}}]})(props);
};
function GiMove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 34.47l-90.51 90.51h67.883v108.393H124.98V165.49L34.47 256l90.51 90.51v-67.883h108.393V387.02H165.49L256 477.53l90.51-90.51h-67.883V278.627H387.02v67.883L477.53 256l-90.51-90.51v67.883H278.627V124.98h67.883L256 34.47z"}}]})(props);
};
function GiMovementSensor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.75 18.03C176.355 17.888 96.154 60.586 52 137.063 7.275 214.53 11.082 306.688 53.938 378.375 27.51 311.467 33.587 226.695 77 151.5 120.44 76.26 190.892 28.59 262.094 18.062c-1.115-.017-2.23-.03-3.344-.03zm-.156 53.44c-63.895-.113-126.072 33.005-160.313 92.31-34.678 60.068-31.754 131.505 1.47 187.095-20.477-51.88-15.75-117.61 17.906-175.906 33.676-58.33 88.272-95.29 143.47-103.47-.843-.013-1.69-.03-2.532-.03zm-1.313 43.468c-48.386.374-95.35 25.61-121.25 70.468-38.886 67.355-15.73 153.738 51.626 192.625 67.355 38.89 153.738 15.762 192.625-51.592 38.89-67.356 15.73-153.77-51.624-192.657-21.048-12.15-43.95-18.232-66.687-18.81-1.564-.04-3.128-.045-4.69-.032zm-.436 18.593l-.625 29.44c-15.292.162-30.354 4.083-43.75 11.436l-14.97-24.78c18.08-10.315 38.536-15.868 59.344-16.095zm205.437.126c26.47 66.922 20.403 151.74-23.03 226.97-43.388 75.15-113.728 122.802-184.844 133.405 83.465 1.224 165.112-41.574 209.813-119 44.736-77.486 40.95-169.677-1.94-241.374zm-170.936 4.5c9.56 2.71 18.96 6.612 27.97 11.813 9.376 5.413 17.753 11.882 25.092 19.155l-21.812 20.906c-5.592-5.576-11.993-10.52-19.156-14.655-6.183-3.57-12.61-6.36-19.157-8.375l7.064-28.844zm125.062 22.97c20.533 51.897 15.84 117.688-17.844 176.03-33.63 58.248-88.13 95.19-143.25 103.438 64.702.924 127.973-32.262 162.625-92.28 34.698-60.1 31.742-131.587-1.53-187.19zm-246.344 9.843L190 191.75c-4.933 5.196-9.353 11.053-13.094 17.53-4.047 7.01-7.04 14.326-9.094 21.782l-27.843-6.843c2.72-10.083 6.774-19.988 12.25-29.47 5.087-8.814 11.1-16.765 17.843-23.78zm195.25 25.843c9.967 18.082 15.25 38.456 15.25 59.125l-30.812-.657c-.06-14.86-3.695-29.505-10.563-42.655l26.125-15.813zM135.782 258.5l28.78.625c.59 15.018 4.828 29.734 12.344 42.78l-24.844 15.033c-10.23-17.795-15.84-37.938-16.28-58.438zm209.937 24.22l29.936 7.342c-2.7 9.24-6.53 18.317-11.562 27.032-5.41 9.37-11.86 17.76-19.125 25.094L323.686 320c5.165-5.343 9.773-11.398 13.657-18.125 3.574-6.19 6.36-12.6 8.375-19.156zm-151.376 41c4.927 4.53 10.43 8.575 16.47 12.06 7.007 4.048 14.325 7.074 21.78 9.126l-7.094 28.906c-9.744-2.717-19.324-6.67-28.5-11.968-8.816-5.09-16.764-11.1-23.78-17.844l21.124-20.28zm107.437 13.03l15.814 26.156c-17.787 9.875-37.806 15.163-58.156 15.375l.625-30.124c14.59-.475 28.914-4.378 41.718-11.406z"}}]})(props);
};
function GiMp40 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M341.552 242.585l-21.197 21.197 89.386 89.386 21.197-21.197-89.386-89.386zm-13.619-101.81l-12.612-12.613a7.649 7.649 0 0 0-9.1 1.296L84.337 351.342c-7.625 7.625-3.489 47.897 9.693 61.079l4.066 4.066a13.245 13.245 0 0 0 16.928 1.46c1.967-1.687 13.182-4.957 15.414 8.717l7.875 53.438a12.76 12.76 0 0 0 14.478 10.762l21.236-8.42a12.318 12.318 0 0 0 4.253-2.693c2.834-2.833 3.81-6.93 3.083-11.34-.96-5.784-8.358-6.018-9.1-12.893l-7.445-49.856 26.902-26.903a16.037 16.037 0 0 0 0-22.68l-7.297-7.297 78.194-78.194a15.596 15.596 0 0 0 0-22.056l-10.107-10.107c1.818-1.818 3.262-1.701 4.199-1.202l1.397 1.397a11.126 11.126 0 0 0 15.734 0l7.297-7.297 23.351 23.351 27.933-27.932-41.294-41.294 35.542-35.542a7.66 7.66 0 0 0 1.272-9.124zM158.215 372.928l14.048-14.048a10.353 10.353 0 0 1 14.642 0l2.068 2.068a10.353 10.353 0 0 1 0 14.642l-14.049 14.048a10.353 10.353 0 0 1-14.64 0l-2.07-2.068a10.353 10.353 0 0 1 .024-14.618zM221.9 234.242a8.83 8.83 0 0 1 0 12.487l-87.934 87.934a8.83 8.83 0 1 1-12.487-12.487l87.934-87.934a8.83 8.83 0 0 1 12.487 0zM399.798 40.173l-8-12.292a4.415 4.415 0 0 1 5.604-6.431l15.898 8.905 5.752-5.752 12.417 12.417-30.828 30.828a25.022 25.022 0 0 0-1.499 23.227 3.311 3.311 0 0 1-.632 3.754 3.311 3.311 0 0 1-4.682 0L383.76 84.76l-43.433 43.432-12.433-12.433 71.568-71.568z"}}]})(props);
};
function GiMp5 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M421.938 24.406c-5.65.336-10.627 1.725-11.875 8.907l15.593 18.562-237.03 193.28c-.01 0-.022.004-.032 0-11.304-.278-16.79 7.678-18.563 11.5-9.31 20.08-15.027 41.64-26.905 61.97-36.13 33.16-81.964 64.002-110.75 98.313 17.28 23.824 40.84 44.52 61.25 66.78 8.26-.503 12.864-9.733 18.906-15.562 26.738-50.49 46.192-96.418 77.532-143.22 11.856-7.617 26.222-15.02 32.782-23.092a9.5 9.5 0 0 0 2.28.594c5.565.765 9.94 2.26 13.126 4.468 2.783 1.93 4.912 4.473 6.594 8.72-4.9 28.004 3.67 42.852 7.25 56.593a9.5 9.5 0 0 0 11.375 6.874l44.5-10.406a9.5 9.5 0 0 0 6-14.094c-7.66-12.86-11.664-31-15.095-50.625 17.508-5.41 28.902-18.48 39.125-28.908a4 4 0 0 0 .938-4l-8-25.156 16.187-13.47a9.5 9.5 0 0 0 1.97-2.28c33.177 23.91 67.84 45.264 107.717 57.688l9.282-24.5c-37.892-12.75-83.78-38.932-111.844-65.72l5.688-5.936 98.187-102.844 5.844-6.125-5.408-6.5-.625-.782L482.781 50l-8.53-8.53-18.53 15.968-33.783-33.032zM325.563 162.47l6.03 8.624-27 23a9.5 9.5 0 0 0-.03.03l-76.282 64.782-7.78-8.594 105.063-87.843zm-1.25 88.936l6.28 19.78c-9.665 9.944-19.265 20.217-33.093 24.814-1.076-6.458-2.143-13.02-3.28-19.563l30.092-25.03z"}}]})(props);
};
function GiMp5K (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M427.978 239.957h-42c5.15 7 3.39 21.62-2.55 28.07-12.11 13.16 0 91.93 0 91.93h47s13.3-78.6 0-91.93c-6.19-6.2-7.93-21.07-2.45-28.07zm-360.84-136.95l52.92 23.6-52.92.43v-24zm288.65 271.95l-40.8 32.67a290.85 290.85 0 0 1-52-99.85l50.3-14.21a238.59 238.59 0 0 0 42.5 81.39zm-165.06-42a12.31 12.31 0 0 0 11.7-8.13l5.6-15.71 8.4.27-6.46 18.1a20.34 20.34 0 0 1-19.24 13.47h-56.13l3-8h53.1zm285.41-192.35v-15.65h-15v-28h27v91h-12zm-305.36 183l-.72 2.45-9.41-3.12-10.87-14.47 1.13-.9 9.35.26 1.12 11.49zm289.36-182.65v63h28v55h-18v-17.44a17.55 17.55 0 0 0-17.26-17.56h-90.74v-83zm-423.47 258.08l25.47 13.3a23.71 23.71 0 0 0 33.18-12.62l41.15-108.56 115.12 3.2 58.71-16.63-3.44-12.19a32.66 32.66 0 0 1 31.28-41.58h8v-82h-319v110.54s17.9.55 23.93 3.22c7.23 3.2 29.44 9.85 19 32.23-2.84 6.11-26.88 50.8-42.94 78a23.74 23.74 0 0 0 9.54 33.09zm274.69-233.08a23.92 23.92 0 0 1-23.9 23.89 23.25 23.25 0 0 1-21.16-12.89h-81a11 11 0 1 1 0-22h81a23.23 23.23 0 0 1 21.16-12.84 23.85 23.85 0 0 1 23.9 23.84zm-183.22 92.18a10.77 10.77 0 1 1 10.77 10.77 10.77 10.77 0 0 1-10.77-10.77zm-68.64-48.18a8 8 0 0 1 0-16h256.21a8 8 0 0 1 0 16zm220.06-44a7.9 7.9 0 1 1 7.9 7.9 7.9 7.9 0 0 1-7.9-7.9z"}}]})(props);
};
function GiMucousPillar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M134.03 19.938c-1.902 9.598-3.692 19.185-5.374 28.78-17.01 60.474-23.59 125.95-18.594 185.844-.226 10.01-.312 20.024-.28 30.032C103.523 335 111.15 412.7 131.405 482.47c.817 4.12 1.668 8.252 2.53 12.374h51.47c-8.876-20.718-12.494-54.164-5.75-92.406 19.663 14.656 36.074 57.923 35.313 92.406h62.968c-5.56-16.518-9.622-44.473-11.657-77.75l-17.53 56.656c-13.64-27.468-22.648-100.036-24.5-183.406-4.885 34.097-13.57 67.383-26.28 97.53-49.444-53.084-39.555-175.16 11.093-285.562l16.937 80s12.138-103.81 22.78-148.687c-.005-.022-.024-.04-.03-.063h.03c-.003.02.006.044 0 .063 16.58 60.65 25.145 127.882 27.44 202.438 3.847-20.063 8.51-39.06 14.592-54.907 35.655 48.09 50.52 247.99 14.563 313.688h71.406c9.802-45.45 17.053-90.884 21.564-136.28 15.02-68.99 12.157-138.86.53-207.283-4.32-43.783-11.546-87.567-21.937-131.343h-38.062c4.322 39.652 4.63 113.673-10.5 166.032-30.267-41.15-47.72-111.623-48.656-166.032H134.03zm26.532 22.593c20.65 69.454 10.268 138.823-26.5 208.282-1.57-2.767-3.062-5.52-4.5-8.28-6.134-57.806-.59-122.652 15.375-182.47 4.745-5.884 9.943-11.737 15.625-17.53zm212.563 90.907c1.825 3.09 3.59 6.188 5.28 9.313 13.14 71.08 16.93 142.932 1.408 213.125-6.022 8.736-12.98 16.996-20.938 24.688-28.872-74.96-23.262-172.173 14.25-247.125zM126.97 287.781c29.516 56.466 37.825 128.855 21.218 185.19-16.653-59.234-24.03-124.576-21.22-185.19z"}}]})(props);
};
function GiMugShot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 28.5v34h177.162c13.44-11.255 29.48-18 46.838-18H80v-16zm224 16c17.358 0 33.399 6.745 46.838 18H432v16h48v-34zm0 18c-18.687 0-36.025 10.529-49.244 29.035C193.537 110.041 185 136.31 185 165.5c0 29.19 8.537 55.459 21.756 73.965S237.313 268.5 256 268.5s36.025-10.529 49.244-29.035C318.463 220.959 327 194.69 327 165.5c0-29.19-8.537-55.459-21.756-73.965S274.687 62.5 256 62.5zm-224 30v34h139.68a145.593 145.593 0 0 1 5.709-18H80v-16zm302.611 16a145.593 145.593 0 0 1 5.71 18H432v16h48v-34zM32 156.5v34h136.885a164.02 164.02 0 0 1-1.735-18H80v-16zm312.85 16a164.02 164.02 0 0 1-1.735 18H432v16h48v-34zM32 220.5v34h149.613c3.233-1.86 6.6-3.575 10.078-5.168a120.698 120.698 0 0 1-7.877-12.832H80v-16zm296.186 16a120.698 120.698 0 0 1-7.877 12.832 122.386 122.386 0 0 1 10.078 5.168H432v16h48v-34zM203.37 263.223c-28.513 11.107-46.58 32.34-59.133 60.898-7.258 16.512-12.351 35.582-15.879 56.393 8.432.088 16.157 3.27 22.641 8.398V348.5h210v40.412c6.484-5.128 14.209-8.31 22.64-8.398-3.527-20.811-8.62-39.881-15.878-56.393-12.553-28.558-30.62-49.79-59.133-60.898C294.119 277.619 275.925 286.5 256 286.5c-19.925 0-38.12-8.881-52.629-23.277zM32 284.5v34h95.074c2.72-6.244 6.026-12.839 9.033-18H80v-16zm343.893 16c3.523 6.334 6.58 12.16 9.033 18H432v16h48v-34zM32 348.5v34h77.643a354.614 354.614 0 0 1 3.298-18H80v-16zm144 16v18h48v-18zm80 0v18h90.146v-18zm143.059 0a354.614 354.614 0 0 1 3.298 18H432v16h48v-34zM176 396.5v18h80v-18zm-48 2c-6.462 0-12.797 3.682-18.08 11.24-5.283 7.558-8.92 18.739-8.92 31.26s3.637 23.702 8.92 31.26c5.283 7.558 11.618 11.24 18.08 11.24 6.462 0 12.797-3.682 18.08-11.24 5.283-7.558 8.92-18.739 8.92-31.26s-3.637-23.702-8.92-31.26c-5.283-7.558-11.618-11.24-18.08-11.24zm256 0c-6.462 0-12.797 3.682-18.08 11.24-5.283 7.558-8.92 18.739-8.92 31.26s3.637 23.702 8.92 31.26c5.283 7.558 11.618 11.24 18.08 11.24 6.462 0 12.797-3.682 18.08-11.24 5.283-7.558 8.92-18.739 8.92-31.26s-3.637-23.702-8.92-31.26c-5.283-7.558-11.618-11.24-18.08-11.24zm-352 14v34h51.184C80 432.622 80 417.647 80 412.5zm192 16v18h112v-18zm204.053 0c.617 4.043.947 8.22.947 12.5.376 12.5.578 15.482 1 21.5h50v-34zm-257.93 34c-2.067 7.416-5.193 14.188-9.242 20h190.238c-4.05-5.812-7.175-12.584-9.242-20z"}}]})(props);
};
function GiMultipleTargets (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M113.986 32.107v24.016C98.637 59.601 86.48 71.758 83.002 87.107H58.986v18h24.016c3.478 15.35 15.635 27.506 30.984 30.985v24.015h18v-24.015c15.35-3.479 27.506-15.635 30.985-30.985h24.015v-18h-24.015c-3.479-15.349-15.636-27.506-30.985-30.984V32.107h-18zM340 45.143v39.39c-50.72 4.33-91.28 44.89-95.61 95.61H205v18h39.39c4.33 50.72 44.89 91.28 95.61 95.609v39.39h18v-39.39c50.72-4.33 91.28-44.89 95.61-95.61H493v-18h-39.39c-4.33-50.72-44.89-91.279-95.61-95.609v-39.39h-18zM122.986 73.107c12.81 0 23 10.191 23 23 0 12.81-10.19 23-23 23-12.809 0-23-10.19-23-23 0-12.809 10.191-23 23-23zM340 102.6v22.543h18V102.6c40.946 4.182 73.36 36.597 77.543 77.543H413v18h22.543c-4.182 40.945-36.597 73.36-77.543 77.543v-22.543h-18v22.543c-40.946-4.183-73.36-36.598-77.543-77.543H285v-18h-22.543c4.182-40.946 36.597-73.361 77.543-77.543zM42.477 286.994v41h18v-23h23v-18h-41zm153 0v18h23v23h18v-41h-41zm-56 16c-44.629 0-81 36.372-81 81 0 44.629 36.371 81 81 81 44.628 0 81-36.371 81-81 0-44.628-36.372-81-81-81zm0 18c34.9 0 63 28.1 63 63s-28.1 63-63 63c-34.901 0-63-28.1-63-63s28.099-63 63-63zm229.591 56.1v16h18v-16h-18zm0 32v32h18v-32h-18zm-83 7v18h64v-18h-64zm120 0v18h64v-18h-64zm-363.591 23.9v41h41v-18h-23v-23h-18zm176 0v23h-23v18h41v-41h-18zm150.591 17.1v16h18v-16h-18z"}}]})(props);
};
function GiMummyHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-14.2 0-29.2 2.8-44.1 7.98 52.5 25.75 110.4 48.59 178.2 66.36-6.7-8.87-14.2-17.17-22.3-24.79C335.3 43.93 293 25 256 25zm-69.9 15.14c-24.2 8.01-44.4 22.9-58.3 37.39 11.1 4.1 22 7.57 31.2 10.35 25.7 7.75 60.5 17.12 95.5 26.12 33.9 8.7 67.9 17 94.2 23 20-.4 40-.5 60-.5 2.3-4.4 3.8-9.1 2.2-13.5-88.1-20.7-160.5-49.79-224.8-82.86zm-67.3 53.05C115.4 102 112 111 108.5 119.9c-5.8 10.5-10.44 21.5-13.76 32.9 61.66-7.1 123.26-11.5 184.76-13.9-9.6-2.4-19.4-4.8-29.4-7.4-35.2-9.1-70.1-18.5-96.3-26.4-11.9-3.6-24.3-7.5-35-11.91zm299 61.31c-112.8-.3-225.6 4.4-338.26 18.2-3.13 10.1-1.66 19.6 3.04 29.7C200 186.6 314.1 192.3 425.3 197.3c.3-6.6.5-13.7-.2-20.7-.8-9-3.2-16.8-7.3-22.1zm-278.7 55.1s19.3 39.9 37.2 49.2C191 266.4 217.9 248 228 236c-30.6 3.4-61.6-9-88.9-26.4zm233.8 0C345.6 227 314.6 239.4 284 236c10.1 12 37 30.4 51.7 22.8 17.9-9.3 37.2-49.2 37.2-49.2zm32.9 4.9c-2.9 16.7-6.2 33.8-11.6 51.3 5.6-.1 11.1-.3 16.7-.6 1.4-17 4.7-33.7 9.1-50.1-4.7-.2-9.4-.4-14.2-.6zM103 217.9l-18.79 2.4 5.69 20.9.6.1c6 1.4 12 2.7 18 3.9-2.6-8.8-4.7-17.9-5.5-27.3zM71.74 243c-8.76 23-19.95 45.5-33.95 65.9 10.99 2.8 21.87 7 30 14.4 6.05-7.1 11.84-15.7 17.39-25.2-1.38-5.7-2.32-11.4-3.01-16.9zm26.71 18.3c1.41 18 2.95 34.7 10.85 51 92.3 19.3 191.1 22.2 291.1 22.8 5.3-18.5 7.9-35.8 7.8-51.8-102.1 3.9-206.9.2-309.75-22zm17.85 70.8c8 18.5 14.9 37.4 19.2 57.5 114.2-25.5 211.9-19.8 254.3-18.2l4.7-18.3c-94.7-.6-188.9-3.5-278.2-21zm177 56.1c-7.5.3-15.3.6-23.2 1.1l8.6 19.1zm67.5.2c-5.6 12-11.6 24.4-18.8 37.3 5.7-.8 11.4-1.6 17.1-2.5 4.7-11.3 9.4-22.7 14.2-34.4-3.9-.1-8.1-.3-12.5-.4zm31.6 1.7c-5.8 14.2-11.6 28.1-17.3 41.6 7.1 18.1 16.2 34.3 29.6 47.1 7-14.7 16-27.7 29.1-35.6-17-12.3-29.5-28.8-38.6-47.2-1-2-1.9-3.9-2.8-5.9zm-149.5 1.1c-7.2.7-14.6 1.4-22.1 2.3 4.9 8.5 9.8 17 14.7 25.4 2.5-9.2 4.9-18.5 7.4-27.7zm-82.6 11.6c-4.9 1-9.7 2-14.6 3 2.1 5.2 4.3 10.3 6.4 15.4 5.2 1.2 10.3 2.3 15.5 3.2-3-7.2-5.3-14.5-7.3-21.6zm44.3 4.4c-2.2 7.2-4.4 14.5-6.6 21.7 6.5.8 13 1.4 19.5 1.8-4.3-7.8-8.6-15.7-12.9-23.5zm54.8 4.1c-2.2 6.9-4.5 13.8-6.7 20.7 5.9 0 11.7-.1 17.6-.2-3.6-6.8-7.3-13.7-10.9-20.5zm41.7 1.2c-2.2 6.1-4.6 12.1-6.9 18.1 4.6-.3 9.3-.7 13.9-1.1-2.3-5.7-4.7-11.3-7-17zm-140.6 28.9c2.5 6.1 5 12.2 7.4 18.1 9 13 29 22.8 52.6 27.8 20.9-12.4 42-23.9 58.6-37.8-39.6 1.6-79.7-.5-118.6-8.1zm190.5 1.2c-14.7 2.2-29.5 3.9-44.5 5.1-15.4 18.2-35.8 31.2-56.2 43.2 1.9.1 3.8.1 5.7.1 37.8 0 74.8-12.4 88.1-31.5 2.2-5.6 4.5-11.2 6.9-16.9z"}}]})(props);
};
function GiMuscleFat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M164.188 40.375c-168.48 35.59-220.94 167.97-17 187.47-13.147 35.014-21.172 74.948-22.22 114.218-35.694 33.01-59.593 66.343-59.593 66.343l47.72 47.72-39.345 26.218h113.28c-73.368-73.383-21.278-104.5 65.626-104.5 88.096 0 134.175 35.905 65.594 104.5h114.5l-40.563-26.22 47.72-47.718s-22.25-31.027-55.844-62.844c-.65-40.39-8.807-81.663-22.344-117.718 203.953-19.496 151.482-151.878-17-187.47-40.813 30.863 6.55 79.75 43.717 44.626 36.908 54.048 8.752 99.845-71.937 65.594-.02-.022-.042-.04-.063-.063-9.66 28.054-33.333 48.47-61.968 48.47-28.637 0-52.332-20.416-62-48.47l-.064.064C111.736 184.826 83.596 139.042 120.5 85c37.168 35.125 84.5-13.763 43.688-44.625zm90.28 24.063c-25.736 0-48 25.088-48 57.937 0 32.85 22.264 57.938 48 57.938 25.738 0 47.97-25.086 47.97-57.938 0-32.852-22.232-57.938-47.97-57.938z"}}]})(props);
};
function GiMuscleUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M165.906 18.688C15.593 59.28-42.187 198.55 92.72 245.375h-1.095c.635.086 1.274.186 1.906.28 8.985 3.077 18.83 5.733 29.532 7.94C173.36 273.35 209.74 321.22 212.69 368c-33.514 23.096-59.47 62.844-59.47 62.844L179.5 469.53 138.28 493h81.97c-40.425-40.435-11.76-85.906 36.125-85.906 48.54 0 73.945 48.112 36.156 85.906h81.126l-40.375-23.47 26.283-38.686s-26.376-40.4-60.282-63.406c3.204-46.602 39.5-94.167 89.595-113.844 10.706-2.207 20.546-4.86 29.53-7.938.633-.095 1.273-.195 1.908-.28h-1.125c134.927-46.82 77.163-186.094-73.157-226.69-40.722 39.37 6.54 101.683 43.626 56.877 36.9 69.08 8.603 127.587-72.28 83.406-11.88 24.492-34.213 41.374-60.688 41.374-26.703 0-49.168-17.167-60.97-42-81.774 45.38-110.512-13.372-73.437-82.78 37.09 44.805 84.35-17.508 43.626-56.876zm90.79 35.92c-27.388 0-51.33 27.556-51.33 63.61 0 36.056 23.942 62.995 51.33 62.995 27.387 0 51.327-26.94 51.327-62.994 0-36.058-23.94-63.61-51.328-63.61z"}}]})(props);
};
function GiMuscularTorso (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196.629 18c5.912 17.013 14.242 32.992 22.43 38.557 9.701 6.593 23.321 9.89 36.941 9.89 13.62 0 27.24-3.297 36.941-9.89 8.188-5.565 16.518-21.544 22.43-38.557H196.63zm-16.424 8.264c-12.18 19.569-25.92 40.841-54.713 56.945 12.332 18.881 15.63 38.117 11.809 55.26 29.675-.906 58.603 2.266 90.732 13.486l.115.057.114.06c8.228 4.423 19.276 11.506 27.738 22.31 8.462-10.804 19.51-17.887 27.738-22.31l.114-.06.115-.057c32.13-11.22 61.057-14.392 90.732-13.486-3.821-17.143-.523-36.379 11.809-55.26-28.794-16.104-42.533-37.376-54.713-56.945-5.946 17.839-14.404 35.438-28.736 45.18-6.636 4.51-14.087 7.903-21.948 10.189 2.346 16.9 19.092 31.4 33.03 46.367-13.482 0-25.88.216-34.108-8.078-9.017-9.09-11.305-21.722-11.695-35.592a91.605 91.605 0 0 1-28.39-.586c-.343 14.102-2.57 26.96-11.716 36.178-8.228 8.294-20.625 8.078-34.107 8.078 14.251-15.304 31.434-30.12 33.16-47.512-6.533-2.223-12.731-5.23-18.344-9.045-14.332-9.741-22.79-27.34-28.736-45.18zM99.143 87.775c-17.69.11-39.135 7.635-56.498 19.15-10.28 6.819-18.751 14.923-24.645 22.913v67.908c24.558 3.093 70.735-25.185 97.006-65.355 3.765-11.413 6.445-25.011-7.963-43.977-2.466-.35-5.193-.745-7.9-.639zm313.714 0c-2.707-.106-5.434.29-7.9.64-14.408 18.965-11.728 32.563-7.963 43.976 26.27 40.17 72.448 68.448 97.006 65.355v-67.908c-5.894-7.99-14.365-16.094-24.645-22.912-17.363-11.516-38.807-19.04-56.498-19.15zm-262.36 67.57c-63.148.5-88.27 46.696-99.104 129.22 4.602 3.195 12.321 6.723 22.263 9.404 47.449 12.526 97.552 8.55 148.375 1.25 11.224-2.647 23.381-10.45 24.969-23.219v-77.945c-5.536-12.054-17.133-22.852-27.14-26.053-27.14-8.68-50.033-12.81-69.364-12.656zm211.007 0c-19.33-.152-42.224 3.977-69.363 12.657-10.008 3.2-21.605 13.999-27.141 26.053V272c1.588 12.77 13.745 20.572 24.969 23.219 50.823 7.3 100.926 11.276 148.375-1.25 9.942-2.681 17.661-6.21 22.263-9.405-10.834-82.523-35.956-128.718-99.103-129.218zM18 205.874v118.719c21.138-37.657 24.415-68.827 30.182-115.512-9.019 1.421-19.768-1.08-30.182-3.207zm476 0c-10.414 2.127-21.163 4.628-30.182 3.207 5.768 46.685 9.044 77.855 30.182 115.512V205.873zm-390.72 52.342c8.776 0 15.89 4.45 15.89 9.937 0 5.488-7.114 9.937-15.89 9.938-8.778 0-15.893-4.45-15.893-9.938s7.115-9.937 15.892-9.937zm305.44 0c8.778 0 15.893 4.449 15.893 9.937 0 5.489-7.115 9.938-15.892 9.938s-15.89-4.45-15.89-9.938 7.113-9.937 15.89-9.937zM256 295.055a46.933 46.933 0 0 1-4.1 4.271c-7.385 6.78-16.593 11.361-25.931 13.455-47.557 10.258-106.701 5.934-156.797-1.383-17.011-2.484-24.294-5.647-27.34 11.497-4.35 24.484 21.499 47.728 44.53 70.738 1.938 1.937 2.8 2.776 2.613 5.69 2.414 31.955 5.053 63.473 11.957 94.677h45.07c-.677-8.915 1.187-17.507 5.129-27.975-6.171-15.747-10.355-34.688-.363-52.18-1.848-21.207-.755-42.269 13.548-60.665 18.601-22.962 61.04-32.342 91.684-21.135 30.645-11.207 73.083-1.827 91.684 21.135 14.303 18.396 15.396 39.458 13.548 60.666 9.992 17.49 5.808 36.432-.363 52.18 3.942 10.467 5.806 19.06 5.129 27.974h45.07c6.904-31.204 9.543-62.722 11.957-94.678-.187-2.913.675-3.752 2.614-5.69 23.03-23.009 48.879-46.253 44.529-70.737-3.046-17.144-10.329-13.981-27.34-11.497-50.096 7.317-109.24 11.641-156.797 1.383-9.338-2.094-18.546-6.675-25.931-13.455a46.933 46.933 0 0 1-4.1-4.271zm-28.729 50.449c-17.232-.256-34.73 5.441-47.863 18.842-7.088 9.117-9.738 18.924-10.201 30.265 21.7-15.263 49.534-23.781 77.895-22.039v-24.138a76.774 76.774 0 0 0-19.83-2.93zm57.458 0a76.774 76.774 0 0 0-19.83 2.93v24.138c28.36-1.742 56.194 6.776 77.894 22.04-.463-11.342-3.113-21.15-10.201-30.266-13.133-13.401-30.63-19.098-47.863-18.842zm-47.471 44.642c-23.725.118-53.462 12.998-69.776 30.854-5.787 8.661-5.82 17.585-3.158 27.512 20.858-17.294 51.703-23.635 82.676-25.114V390.9c-3.087-.526-6.353-.77-9.742-.754zm37.484 0c-3.39-.016-6.655.228-9.742.754v32.498c30.973 1.479 61.818 7.82 82.676 25.114 2.661-9.927 2.63-18.851-3.158-27.512-16.314-17.856-46.051-30.736-69.776-30.854zm-35.06 51.077c-21.798.181-60.852 12.549-71.287 30.023-4.336 11.21-5.895 16.256-4.71 22.754h82.157v-52.436c-1.835-.25-3.905-.36-6.16-.341zm32.636 0c-2.255-.02-4.325.092-6.16.341V494h82.156c1.186-6.498-.373-11.544-4.709-22.754-10.435-17.474-49.489-29.841-71.287-30.023z"}}]})(props);
};
function GiMushroomCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M279.775 17.137c-18.823-.262-38.412 6.822-51.54 20.02l-5.858 5.89-6.535-5.127c-35.796-28.083-78.147-22.538-98.727 10.39l-3.465 5.547-6.398-1.357c-27.027-5.737-53.6 4.882-69.373 23.047-15.776 18.165-21.16 42.634-5.937 68.43l3.68 6.234-5.12 5.122c-7.12 7.122-9.71 16.235-8.956 26.824.753 10.59 5.242 22.277 12.04 31.98 6.8 9.705 15.853 17.3 24.67 20.634 8.82 3.333 16.93 3.112 25.68-2.877l6.626-4.538 5.48 5.868c18.752 20.07 63.427 19.456 81.504-9.315l4.967-7.906 7.91 4.96c9.652 6.05 21.095 6.628 32.078 3.243 10.983-3.384 21.017-10.924 26.445-19.56l8.34-13.272 7.707 13.648c5.984 10.6 21.754 20.7 39.238 24.517 17.485 3.818 35.716 1.47 46.955-7.793l7.116-5.863 5.96 7.036c13.405 15.834 34.384 19.713 51.292 15.234 8.453-2.24 15.61-6.562 20.1-11.894 4.49-5.332 6.64-11.394 5.548-19.36l-1.412-10.292 10.386-.317c14.28-.435 23.67-5.757 30.195-13.635 6.527-7.877 9.99-18.775 9.966-30.103-.05-22.658-12.994-45.11-39.104-48.66l-9.843-1.34 1.936-9.743c1.49-7.49-1.057-16.514-7.54-25.764-6.485-9.25-16.708-18.272-28.37-24.904-11.662-6.634-24.726-10.866-36.596-11.388-11.87-.522-22.266 2.385-30.62 9.863l-7.743 6.934-6.072-8.437c-10.336-14.36-27.786-21.715-46.61-21.976zm-23.13 207.613c-7.79 7.932-17.737 13.957-28.64 17.316-12.57 3.874-26.675 4.027-39.61-1.3-13.607 16.66-33.646 25.044-53.58 25.658.803 2.694 2.022 5.36 3.65 7.885 4.48 6.947 11.786 12.436 20.377 14.188 8.59 1.752 18.766.2 30.504-8.578l9.133-6.828 4.9 10.295c1.805 3.793 10.955 9.652 22.417 10.94 11.462 1.286 23.836-1.518 30.982-8.206l7.2-6.737 6.34 7.55c7.687 9.153 18.164 11.31 28.223 9.768 10.06-1.54 18.25-8.15 19.394-10.936l4.225-10.297 9.41 5.943c9.343 5.9 17.365 6.48 24.47 4.494 7.103-1.987 13.382-6.983 17.39-13.273 3.672-5.763 5.297-12.387 4.51-18.327-7.83-2.86-15.302-7.21-21.903-13.22-16.45 9.763-37.038 10.807-55.794 6.712-16.836-3.676-32.71-11.465-43.6-23.045zm5.767 80.373c-7.74 4.837-16.592 7.306-25.443 8.002v41.938c-39.484 1.013-74.942 4.618-102.22 10.093-16.214 3.255-29.515 7.07-39.53 11.844-5.01 2.387-9.234 4.994-12.69 8.406-3.454 3.412-6.343 8.197-6.343 13.75 0 5.553 2.866 10.328 6.313 13.75 3.447 3.422 7.682 6.03 12.688 8.438 10.01 4.818 23.314 8.72 39.53 12.03 20.218 4.13 44.93 7.244 72.438 9-15.85 21.005-36.292 38.707-56.937 50.438H364.5c-20.393-12.03-39.75-29.664-54.72-50.312 28.51-1.726 54.114-4.872 74.94-9.125 16.215-3.312 29.52-7.213 39.53-12.03 5.006-2.41 9.24-5.016 12.688-8.44 3.446-3.42 6.28-8.196 6.28-13.75 0-5.55-2.857-10.337-6.312-13.75-3.455-3.41-7.68-6.018-12.687-8.405-10.017-4.773-23.32-8.59-39.533-11.844-27.645-5.55-63.688-9.17-103.812-10.125v-40.776c-6.473-1.61-12.817-4.55-18.463-9.13zm19.12 68.596c38.834.986 73.608 4.558 99.468 9.75 15.31 3.072 27.538 6.774 35.156 10.405 3.81 1.815 6.438 3.64 7.625 4.813.298.293.28.317.408.468-.13.156-.123.188-.438.5-1.196 1.187-3.814 3.04-7.625 4.875-7.622 3.67-19.85 7.406-35.156 10.533-22.08 4.51-50.67 7.833-82.72 9.343-8.816-16.007-14.824-33.213-16.72-50.687zm-45.157.06c-1.88 17.484-8.158 34.644-17.28 50.533-31.217-1.555-59.056-4.838-80.657-9.25-15.308-3.127-27.534-6.863-35.157-10.532-3.81-1.833-6.428-3.686-7.624-4.874-.32-.318-.31-.344-.437-.5.126-.15.134-.17.436-.47 1.188-1.17 3.785-2.996 7.594-4.81 7.62-3.632 19.846-7.334 35.156-10.407 25.525-5.125 59.738-8.648 97.97-9.69z"}}]})(props);
};
function GiMushroomGills (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.502 23.338c-5.264-.017-10.602.064-16.01.248-43.932 1.49-108.495 9.014-156.07 34.525C60.634 70.868 41.228 87.856 29.7 110.58c-9.905 19.523-14.218 43.612-9.827 74.12 79.586-64.2 182.69-74.987 273.576-62.077 47.868 6.8 92.504 20.13 129.124 35.908 28.17 12.14 51.478 25.535 68.19 39.144 4.646-44.342-14.038-85.896-52.41-117.906-40.398-33.704-102.896-56.172-181.852-56.43zm-27.35 113.168c-72.544-.373-146.55 17.994-205.015 68.86 15.44 23.347 72.354 38.202 141.166 45.177 4.5-11.288 9.557-22.123 15.115-32.36-15.682 5.088-33.815 6.356-51.043 5.223-13.068-.86-25.607-3.256-36.28-7.28-10.675-4.026-19.932-9.497-25.032-18.657l16.343-9.095c1.584 2.844 6.904 7.122 15.28 10.28 8.38 3.16 19.37 5.336 30.908 6.095 21.135 1.39 44.096-2.553 57.01-10.303-9.4-5.153-17.12-11.833-21.542-20.76l16.75-8.28c2.68 5.406 9.784 11.377 20.47 15.905 3.946 1.673 8.327 3.147 13.01 4.397l57.778 3.286c18.18-2.502 34.71-8.302 44.836-17.06l12.22 14.126c-7.633 6.6-16.785 11.604-26.82 15.237 2.192 1.31 4.8 2.593 7.82 3.73 8.377 3.16 19.367 5.336 30.905 6.095 23.078 1.518 48.34-3.32 60.314-12.53l11.406 14.81c-18.577 14.295-46.802 18.095-72.938 16.376-13.067-.858-25.607-3.255-36.28-7.28-2.15-.81-4.23-1.69-6.243-2.64-.47 11.334-.645 22.946-.528 34.744 86.96-3 164.896-16.872 182.375-40.6-14.69-12.323-37.7-26.132-65.96-38.31-35.058-15.105-78.26-28.02-124.357-34.57-20.167-2.864-40.858-4.51-61.668-4.618zm-18.006 67.63c-45.666 65.347-67.017 176.985-37.548 259.09 4.526 12.61 15.112 21.154 29.945 26.465 14.833 5.313 33.477 6.814 50.97 4.92 17.49-1.895 33.836-7.28 43.893-14.122 5.03-3.42 8.39-7.112 10.073-10.467 1.68-3.353 2.067-6.28.87-10.338-22.968-77.82-32.768-171.644-28.024-251.555l-70.18-3.992z","fillRule":"evenodd"}}]})(props);
};
function GiMushroomHouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M278.184 23.85c-7.308-.07-14.842 1.623-22.54 4.87-.622 8.336.112 17.717 2.513 26.449 3.557 12.938 10.511 24.183 20.761 30.386 9.331 5.647 21.937 7.9 40.162 2.512-3.313-7.037-6.408-13.858-9.328-20.219-6.409-13.962-12.187-25.902-17.685-33.611-5.498-7.71-9.568-10.346-13.883-10.387zm-40.717 15.153c-8.23 5.77-16.587 13.054-25.008 21.658-10.353 10.577-20.708 22.998-30.988 36.525 16.667 7.99 28.338 23.429 28.338 41.867 0 27.1-25.197 47.739-54.44 47.739-12.098 0-23.497-3.54-32.712-9.602-16.768 18.15-36.758 36.094-54.217 53.512-13.134 13.102-24.787 25.84-32.36 37.318-7.572 11.478-10.653 21.173-9.338 28.652 1.55 8.815 8.246 17.272 21.018 25.211 12.772 7.94 31.127 14.821 53.03 20.15 4.862 1.184 9.924 2.281 15.115 3.317a556.512 556.512 0 0 1 4.689-11.717c-12.85-3.626-23.03-9.762-29.27-18.644-4.816-6.856-6.363-15.362-4.677-23.826-43.658-38.757 37.63-90.032 56.652-49.82 9.162-3.47 18.94-6.288 29.113-8.583 24.4-5.502 51.298-7.937 78.17-8.312a566.841 566.841 0 0 1 26.77.273c35.431 1.182 69.269 5.454 95.445 10.748 13.088 2.648 24.24 5.537 32.916 8.54 4.338 1.5 8.053 3.018 11.23 4.693 3.179 1.674 5.908 3.215 8.356 6.615 21.523 29.898 4.995 67.307-23.06 75.918a228.827 228.827 0 0 1 3.4 9.521c18.19-4.32 37.743-9.87 53.717-17.548-7.212-8.34-11.586-19.363-11.586-31.303 0-15.037 6.94-28.617 17.748-37.217-5.637-6.602-12.25-13.356-19.64-20.24-14.225-13.25-30.732-26.752-46.743-40.766-22.075 26.075-61.685 27.981-79.691 13.694-22.675-19.321-22.258-55.489-1.528-80.436a67.633 67.633 0 0 1 14.264-12.89 380.021 380.021 0 0 1-5.086-9.618c-23.298 7.491-42.938 5.332-57.496-3.478-15.3-9.26-24.362-24.882-28.797-41.012a96.792 96.792 0 0 1-3.334-20.94zM170.541 112c-13.552 18.032-23.067 35.542-35.95 51.492 5.8 3.312 12.902 5.299 20.778 5.299 20.95 0 36.44-14.05 36.44-29.739 0-11.573-8.435-22.245-21.268-27.052zm170.791 17.59c-23.324 15.8-27.303 52.993-10.384 63.94 20.414 13.21 44.116 1.848 54.773-11.886-17.284-15.544-32.832-33.808-44.389-52.055zM94.392 274.71c8.271-10.582 19.145-18.998 31.813-25.7-9.8-22.51-49.318 12.963-31.812 25.7zm161.12-32.291c-8.38.042-17.535.34-25.025.763l3.232 25.254c7.108-.796 14.01-1.646 20.168-2.119zm16.5 22.65c5.992-.305 11.94-.5 17.793-.568l5.38-20.881c-7.841-.486-18.388-.799-21.88-.894zm-59.492-20.475c-7.897.803-15.634 1.843-23.121 3.141l9.22 26.344c5.561-1.121 11.354-2.15 17.278-3.1zm100.88.473l-5.066 19.656c7.178.273 14.089.779 20.635 1.53l11.662-17.989a598.712 598.712 0 0 0-27.23-3.197zm46.67 6.3l-11.767 18.151c5.595 1.428 10.53 2.875 15.324 4.953l19.69-18.209c-8.179-1.988-15.6-3.515-23.246-4.894zm-188.44.079a195.38 195.38 0 0 0-16.366 4.81l12.025 25.77a253.462 253.462 0 0 1 13.67-3.922zM403.3 262.3l-24.56 22.711c1.602 1.897 2.717 3.857 3.868 5.83l34.478-10.002c-1.94-10.183-5.378-15.24-13.787-18.539zm-264.722.768c-6.196 3.002-11.823 6.348-16.785 10.043l20.645 20.012c2.42-1.656 5.142-3.081 8.062-4.508zm337.692 5.96c-6.356 5.19-10.5 13.394-10.5 22.876 0 8.835 3.6 16.56 9.232 21.771 6.923-5.51 10.087-10.786 10.453-15.406.73-9.19-2.688-18.982-9.185-29.24zm-325.932 41.26c-30.59 68.297-41.478 96.049-28.799 155.995 3.377 15.964 100.92 23.155 152.487 21.68-1.331-11.917-2.927-31.423-2.045-51.286.708-15.96 2.876-32.22 8.812-45.73 5.937-13.51 17.363-24.953 33.442-25.662 16.577-.731 29.82 8.628 38.187 20.945 8.368 12.317 13.195 27.723 16.38 42.914 3.884 18.54 5.155 36.888 5.565 48.442 5.53-1.792 12.394-3.46 16.22-7.112 14.538-62.25 11.72-111.89-24.772-172.691-11.928-21.932-204.143-16.48-215.477 12.506zm-41.57-24.734c-4.67 7.298-6.647 13.299-2.715 19.086 3.169 4.51 10.563 9.343 21.705 12.197a1541.54 1541.54 0 0 1 3.983-9.013zm304.664 15.09l-21.95 6.367c1.271 2.506 2.474 5 3.64 7.489 7.459-1.639 14.22-6.793 18.31-13.856zM246.25 317.061c-6.284 29.944-9.3 55.793-7.916 83.795-30.594 3.96-65.724 3.13-90.535-2.533 3.118-27.371 8.504-58.314 18.649-78.861 29.318-5.2 52.538-8.855 79.802-2.4zm-37.008 13.844a360.228 360.228 0 0 0-3.439 17.506l15.984.289c.719-5.88 1.618-11.723 2.754-17.42-5.13-.515-10.369-.508-15.299-.375zm-18.716 1.48c-4.111.557-8.72-.246-12.028.583-1.742 4.044-2.443 10.062-3.691 14.882l12.799.23a368.846 368.846 0 0 1 2.92-15.695zm-19.416 33.4c-1.042 6.164-1.953 12.435-2.858 18.534 4.913.794 10.118 1.347 15.44 1.685.281-6.663.771-13.318 1.486-19.964zm32.142.583a291.763 291.763 0 0 0-1.556 19.976c6.24-.14 12.382-.53 18.138-1.162-.094-6.014.036-12.228.373-18.508zm111.776 16.902c-22.102 4.045-24.23 37.056-25.065 54.207-.865 19.481.862 38.912 2.145 50.002 22.329-1.37 44.217-2.54 64.351-6.006-.26-10.359-1.283-29.588-5.275-48.635-4.537-19.923-14.8-49.702-36.156-49.568zm24.377 45.631l2.103 17.877-17.902 2.105-2.104-17.875z"}}]})(props);
};
function GiMushroom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M243.156 33.438c-20.942-.063-42.734 2.257-65.187 7.437C126.963 52.643 68.322 107.47 42.53 162.72 29.636 190.342 25 217.58 31.25 238.937c5.222 17.848 17.492 32.643 41.625 42.28-6.435-11.346-11.127-23.515-13.594-35.437L77.595 242c3.298 15.935 12.104 33.888 23.75 47.375 16.41 3.68 34.136 6.598 52.625 8.875-6.342-14.927-6.5-28.125-6.282-39.344l18.687.375c-.273 13.994-.577 24.996 9.97 41.408 18.157 1.672 36.814 2.74 55.53 3.28-.398-14.217.6-27.983 1.875-41.5l18.594 1.75c-1.275 13.525-2.18 26.798-1.75 40.126 20.394.203 40.653-.242 60.187-1.22 2.538-14.65 4.195-27.985 5.876-41.53l18.563 2.312c-1.52 12.23-3.06 24.62-5.283 38.094 19.033-1.342 37.103-3.212 53.657-5.563 5.58-14.386 9.82-28.63 12.187-42.687l18.408 3.094C412.14 269 408.86 281.046 404.717 293c9.45-1.73 18.225-3.626 26.094-5.688 9.286-15.084 16.266-29.915 20.032-44.343l18.094 4.718c-2.556 9.79-6.28 19.428-10.907 28.968 19.744-11.594 28.6-28.806 30.064-49.687 1.953-27.843-11.252-62.942-37.25-95.376-42.248-52.705-116.938-97.886-207.688-98.156zm-57 287.156c-1.656 7.76-3.142 15.664-4.406 23.594-4.52 28.362-6.266 57.097-3.938 80.406 2.33 23.308 9.175 40.414 18.157 47.25 15.977 12.16 37.085 17.318 57.374 16.687 20.288-.63 39.502-7.255 50.844-16.5 9.073-7.394 16.467-30.6 17.187-60.655.647-27.003-3.187-59.006-10.5-89.094-40.29 2.05-83.374 1.668-124.72-1.686z","fillRule":"evenodd"}}]})(props);
};
function GiMushroomsCluster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405.8 26.71c-.6 0-1.2.04-1.9.14v-.02c-4.3.57-11.5 2.96-19.8 8.14-11 6.9-23.9 17.74-36.1 30.46-17.9 18.53-34.5 41.27-44.2 61.27 8.8 7.4 17.9 16.4 27 26.6 8-11.2 16.5-21.1 25.2-28.6s17.3-13.3 27.7-12.8c8.8.5 16.4 5 25.4 11.5s18.7 15.3 27.9 25.7c9.5 10.7 18.5 23.1 25.4 36.5 6.4-1.6 12.8-3.7 19-6.3 1.4-31.3-11-67.8-27.4-97.29-8.6-15.55-18.3-29.15-27.1-38.99-8.7-9.84-17.4-15.57-19.7-16.17h-.1c-.4-.09-.8-.14-1.3-.14zm-236.5 24.4c-1.7-.1-8.9 2.75-16.9 10.16-8 7.4-17 18.37-25.3 30.81-7.3 11.02-14 23.32-19.3 35.32 2.4 1 4.9 2.2 7.4 3.5 10.9 5.5 23 13.4 34.8 23.2 10 8.3 19.9 17.9 28.5 28.5 2.4-4 4.8-7.9 7.3-11.7 12-18.4 24.9-34.8 37.7-46.9 3.5-3.3 6.9-6.3 10.3-8.9-5.6-9.6-12-18.69-18.8-26.85-9.4-11.3-19.3-20.84-27.8-27.41-8.6-6.56-16.5-9.63-17.9-9.73zm91.9 70.99c-3.9-.2-14.2 4.4-25.4 15s-23.5 26.1-34.9 43.6c-22 34.1-40.1 76.4-42.3 104.8 1 1.6 3.3 4.1 8.3 6.6 5.9 3 14.6 5.9 24.9 8.1 20.6 4.5 47.8 6.7 75 6.5 27.2-.1 54.5-2.7 75.4-7.3 10.4-2.3 19.3-5.2 25.5-8.3 5-2.5 7.5-4.9 8.7-6.6-3.8-37.8-25.8-78.4-50.9-109.5-12.9-15.9-26.5-29.4-38.3-38.7-11.9-9.3-22.8-14-26-14.2zm121.5 7.8c-1.4-.1-7.8 2.2-15 8.4-7.1 6.2-15.2 15.4-22.6 25.9-.8 1.1-1.6 2.3-2.4 3.5 15.8 20.3 30.5 43.9 40.3 68.9 25.8 2.1 51.4-1.5 72.9-14.6-3.4-20.8-16.9-43.4-32.4-60.9-8.4-9.5-17.3-17.6-24.9-23.1-7.7-5.5-14.8-8.1-15.9-8.1zM87.83 140.7c-1.97.2-8.68 4-15.51 12.1s-14.08 19.7-20.41 32.5c-11.24 22.7-19.25 49.8-19.64 67.9 36.77 8.2 79.03 10.5 114.73-1.8 5.1-16.9 12.7-34.5 21.8-51.6-8.6-11.7-19.2-22.7-30.3-31.8-10.8-9-22-16.3-31.4-21.1-9.41-4.7-17.66-6.4-19.25-6.2h-.02zM413.7 254.6c-6 .6-12.1.9-18.1.9.5 73.3-9 141.5-27.8 193.4 6 1.9 11.6 4.3 16.7 7.2 20.4-55.2 30-125.9 29.2-201.5zm-294.8 22c-6 .8-12 1.3-18.1 1.5 13.7 62.4 27.6 124.8 44.4 170.4 4.2-1.2 8.5-2.3 12.9-3.3 1.6-.4 3.3-.7 5-1-15.8-42.8-30.3-105.2-44.2-167.6zm252.2 32.7c-6 2.6-12.8 4.7-20.3 6.6-10.5 42.5-23.9 86-38.7 124.2 6.3.3 12.6.8 18.8 1.5 15.7-41.1 29.7-87.4 40.2-132.3zm-178 9.5c6.2 44.7 12 86.5 16.7 120.8 6-.2 12-.4 18.1-.5-4.5-32.7-10.2-74.3-16.2-117.4-6.5-.8-12.7-1.7-18.6-2.9zm86.6 5.7c-4.2.2-8.5.3-12.8.3h-5.1c.2 35.8-2 77.3-5 114.2h18.1c3-36.9 5.2-78.1 4.8-114.5zM256 457c-32 0-67.7.1-94.1 5.8-13.2 2.8-24 7.1-30.8 12.5-4.3 3.4-7.1 11.1-8.6 15.7h267c-1.5-4.6-4.3-12.3-8.6-15.7-6.8-5.4-17.6-9.7-30.8-12.5-26.4-5.7-62.1-5.8-94.1-5.8z"}}]})(props);
};
function GiMushrooms (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M171.9 27.96c-3.5 0-7 .32-10.6 1.05-26.1 5.26-42.2 25.9-53.7 54.08-11.61 28.21-17.63 62.81-23.09 91.51-3.97 20.8-8.73 46.2-8.26 68.3.47 22.1 5.79 39.4 20.17 48.6C131.8 314 183.3 313.6 231.7 297c48.3-16.5 92.9-49 114.1-86.2 3.5-6.2 4.7-16.8 2.6-26.5-2.2-9.8-7.4-18.2-13.2-21.7-37-22.2-65.4-60-92.8-89.72-13.8-14.84-27.2-27.6-40.5-35.54-10-5.96-19.7-9.28-30-9.38zM432.1 289.9c-3.5 0-8 .3-12.8 1-9.6 1.4-21 4.3-32.3 8.5-22.6 8.3-44.5 22.3-52.8 37.3-4.2 7.8-1.3 24 5.4 31.9 30.2 35.7 90.8 56.8 135.5 44.7 7.5-2 16.4-12.1 17.3-19.4 2.3-18.5-3.3-42.9-13.6-63.2-10.3-20.2-25.5-35.9-38.9-40-1.5-.4-4.2-.7-7.8-.8zm-168.7 13.8c-8.5 3.9-17.1 7.4-25.9 10.4-16.5 5.6-33.5 9.6-50.4 11.6-.1 1.7-.3 3.3-.4 5-1.3 16.5-2.6 33.4-1.6 47.5 1 14.1 4.4 24.7 10.2 30.3 9.8 9.3 27.4 15.2 44.8 15.4 17.4.2 34.2-5.4 43.1-15 8.8-9.5 10.2-18.8 8-31.6-2.2-12.8-8.9-28.2-16.2-45.1-3.9-9-8-18.6-11.6-28.5zM62.04 345.1c-.7 0-1.39.1-2.07.1-3.62.2-6.92.9-9.73 2.2C37.8 353 25.43 374 21.05 395.8c-2.2 10.9-2.55 21.7-1.02 30.2 1.54 8.5 4.8 13.9 8.54 16.3 1.69 1.1 2.92 1.3 5.55.8 2.64-.4 6.37-2 10.56-4.4 8.39-4.8 18.36-12.8 29.14-18.9 13.54-7.5 28.98-11.6 39.68-16.3 5.4-2.4 9.4-4.8 11.4-6.9 2-2 2.4-2.9 2.1-5.8-1.3-9.9-13.7-25.3-30.14-35.1-11.53-6.8-24.35-10.7-34.85-10.6zm311.06 71.8c-3.9 9-7.1 18.6-8.5 27-1.5 8.5-.8 15.4 1.5 19.3 5 8.4 17 16.1 30.1 19.2 13.2 3.2 26.7 1.7 34.3-3.9 2.7-2 5.3-6.8 6.7-14 1.4-7.2 1.6-16.2 1.1-25-.1-1.6-.2-3.2-.4-4.7-22.2-1.3-44.6-7.6-64.8-17.9zM98.33 428.6c-5.65 2.2-11.06 4.4-15.7 7-5.52 3.1-11.42 7.3-17.56 11.4-1.48 5.5-2.26 12.1-1.71 17.8.7 7.1 3.18 11.8 6.46 13.6 4.62 2.6 13.46 2.3 21.81-1.4 8.34-3.7 15.37-10.5 17.27-16 1.9-5.4.7-14.9-3.5-22.9-1.9-3.7-4.4-7-7.07-9.5z"}}]})(props);
};
function GiMusicSpell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M227.346 21.72C166.6 21.42 106.33 48.002 65.633 99.272c-70.398 88.68-55.576 217.634 33.103 288.032 6.407 5.09 13.482 9.924 20.276 14.13C46.694 328.73 38.35 211.73 103.664 129.462c65.31-82.275 181.147-100.695 268.36-46.756-5.63-5.66-11.952-11.454-18.358-16.54-37.412-29.7-81.993-44.23-126.32-44.448zm40.79 68.012c-17.173-.17-34.464 4.025-50.984 13.588l.13.237-3.91 1.95c32.484 65.062 44.2 140.54 37.956 217.565-16.43-21.657-45.042-39.13-74.498-43.38-40.71-5.87-67.6 15.738-60.06 48.265 7.542 32.527 46.656 63.654 87.365 69.525 33.316 4.805 57.36-8.8 60.87-31.726h.005c8.48-53.158 9.01-106.548.57-157.475 59.49-1.135 110.173 84.413 71.965 171.062 80.733-78.593 6.76-226.6-81.28-213.508-1.872-6.79-3.92-13.516-6.144-20.176 76.357-22.337 165.25 73.996 134.405 190.856C461.34 235.536 366.66 90.718 268.137 89.732zm119.83 14.264c74.538 70.422 86.508 187.106 23.778 271.363-62.724 84.26-177.937 106.267-266.78 55.062 5.804 5.48 12.3 11.076 18.862 15.96 90.823 67.61 219.258 48.798 286.867-42.028 67.612-90.823 48.798-219.256-42.025-286.868-6.56-4.887-13.783-9.498-20.703-13.49z"}}]})(props);
};
function GiMusicalKeyboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M369.1 19.82L19.81 369.1 142.9 492.2l69.3-69.3-79.2-79.2L412.9 63.66zM374 57.3l12.8 12.72-56.5 56.58-12.8-12.8zm51.7 19.1L413 89.12l66.5 66.48 12.7-12.7zm-25.5 25.5l-12.6 12.7 66.5 66.5 12.6-12.7zm-25.4 25.5L362.1 140l66.5 66.5 12.6-12.7zm-25.5 25.4l-12.6 12.7 66.5 66.4 12.6-12.6zm-74.3 3.5l12.8 12.8-11.3 11.3-12.8-12.8zm48.9 22L311.2 191l66.5 66.4 12.6-12.6zm-74.3 3.4l12.8 12.8-11.3 11.3-12.8-12.8zm48.8 22.1l-12.6 12.6 66.4 66.4 12.7-12.6zm-82.8 11.9l12.8 12.8-33.9 33.9-12.8-12.8zm57.4 13.5l-12.7 12.7 66.5 66.4 12.6-12.6zm-25.6 25.5l-12.6 12.6 66.5 66.5 12.6-12.6zm-88.3 17.5l12.8 12.8-34 34-12.8-12.8zm62.9 7.9l-12.6 12.7 66.4 66.4 12.7-12.6zm-25.4 25.5l-12.7 12.6 66.5 66.5 12.7-12.6zM86.27 322.5l35.33 35.3-46.64 46.7-29-29-6.35-6.4zm84.83 8.5l-12.7 12.7 66.5 66.5 12.7-12.7zm-84.83 16.9l-21.22 21.2 9.91 10 21.21-21.3zm38.83 26.2l12.8 12.8-33.9 33.9L91.23 408zm22.7 22.6l12.8 12.8-34 33.9-12.8-12.8zm22.6 22.6l12.8 12.8-33.9 34-12.8-12.8z"}}]})(props);
};
function GiMusicalNotes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M98.05 18.54c-11.46-.08-23.59 1.28-36.08 3.99L130.1 261.1c-14.2-5.1-31.18-6.2-48.09-3.2-39.17 6.9-67.15 33.8-62.52 59.8 4.64 26.1 40.14 41.7 79.33 34.7 39.08-6.9 67.08-33.7 62.38-59.8-22.1-80.8-44.4-163-66.39-244.21 50.69 3.59 72.59 31.58 90.59 60.31-.5-62.33-37.7-89.81-87.35-90.16zm310.65 30.7c-13.9.1-28.8 2.59-44.1 7.22l87.1 232.44c-14.6-3.9-31.6-3.7-48.3.7-38.4 10-64.2 39-57.5 64.6 6.7 25.7 43.4 38.3 81.8 28.2 38.5-10 64.2-39 57.5-64.6-28.6-78.8-57.3-158.9-85.8-238.2 50.8-.5 74.9 25.7 95.2 52.9-5.2-58.55-40.4-83.61-85.9-83.26zM258.4 163.5l1.8 248.1c-12.3-8.6-28.4-14.3-45.6-15.9-39.4-3.8-73.7 14.5-76.2 41-2.5 26.3 27.7 50.8 67.1 54.5 39.7 3.9 73.7-14.5 76.3-40.9.2-83.8.8-168.9 1.3-253.1 47.9 17 61.6 49.8 71.2 82.4 19.9-74.1-27.9-112.3-95.9-116.1z"}}]})(props);
};
function GiMusicalScore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M138.2 22.71c-25.5-.14-45.82 38.57-50.14 80.29H32v18h55.23c.07 6.1.49 12.1 1.33 18l17.34-18h25.5c-3.8 3.9-7.9 7.7-12.1 11.8l-31.24 32.5v-.1c-.53.6-1.1 1.2-1.64 1.8H32v18h38.17c-12.95 14.6-25.91 30.2-35.67 46H34v.8c-8.09 13.3-13.89 26.8-15.44 39.9-3.5 33.5 9.52 67.3 33.39 87.3H32v18h65.54c2.56.1 5.16.1 7.86 0h20.1c3.7 20.7 7 41.2 8.9 60 .4 3.6-6.6 10.6-10 11.4 0-22-17.8-39.9-39.84-39.9-21.9 0-39.8 17.9-39.8 39.9.1 20.1 15.2 35.8 35 39.5 41.84 7.7 78.34-17.9 72.44-53-2.9-19.1-6.2-38.5-9.7-57.9H480v-18H139.3c-2.9-15.5-5.8-30.9-8.5-46h37.3c-2.6 7.8-8.1 15.9-15.4 23l3.7 20.8c15.5-11.3 31.3-26.6 35.7-43.8H480v-18H192.9c-1.6-14.5-7.8-30.8-17.8-39.9-2.5-2.3-5.1-4.3-7.8-6.1H480v-18H116.8c-1.2-7.7-1.9-11.8-2.7-16.4l-15.54 15.1c.08.4.17.9.25 1.3H72.63c12.31-16.2 26.52-30.9 41.17-46H480v-18H130.9c10.5-11.3 20.9-23.2 30.7-36.4 2-2.8 3.8-6 5.3-9.6H480v-18H172.1c2.5-12.89 2.7-26.36 1.2-35.24-2.7-16.12-14.2-42.89-31.9-44.83-1.1-.14-2.1-.22-3.2-.22zm-5.5 37c6.9.1 14.4 5.8 15.6 15.95 1.3 11.18-.3 19.87-3.8 27.34h-36c3.4-20 11.2-42.23 24.2-43.29zM60.23 249h31.24c-13.45 12.5-19.59 29.6-18.93 46H42.79c.04-5.6.98-11.3 2.97-17 4.02-10.4 8.93-20 14.47-29zm63.57 11.3c11.8-.3 26.9 5.8 34 12.9 5.7 6.2 9.6 14.1 11.2 21.8h-41.5c-2.1-11.8-4.2-23.4-6-34.6.7-.1 1.5-.1 2.3-.1zm-19.4 6.5c1.5 8.9 3.3 18.4 5.2 28.2H90.63c.1-11 4.22-21.2 13.77-28.2zM45.75 313h30.39c2.69 7.2 6.83 13.9 12.42 19.4 5.1 5.2 15.14-2.7 10-8.6-1.93-3.5-3.54-7.1-4.81-10.8h19.35c3 15 6.1 30.5 9.1 46h-20v-.1c-25.44-3.3-48.49-22.3-56.45-45.9z"}}]})(props);
};
function GiMusket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M424.045 26.605l2.54 11.19 16.15-13.06zm-205.53 312.32a24.07 24.07 0 0 0 1.54-36l6.15-5.17c.72.73 1.41 1.5 2.07 2.31a32.09 32.09 0 0 1-45.62 44.74q2.13-3.69 4.14-7a24.12 24.12 0 0 0 31.72 1.12zm-18.1-19.47l10.32 7.66-15.53-2.3c.58-.81 1.14-1.58 1.69-2.29zm76.89-80.34l-31.33-38.65 15.26-12.34 31.33 38.65zm137.88-111.75l-31.33-38.65 15.27-12.37 31.33 38.64zm-41.83-26.18l25.91 32c-26.82 22.18-62.15 51.42-96.92 80.29l-26.75-33zm-252.76 239.74l10 1.16 32.83-65.86a28.13 28.13 0 0 0 41-38.11l4.52-3.67 26.53-21.52 27.14 33.48c-32.82 27.33-61.6 51.43-77.37 65-26.12 32.63-84.5 163.79-95.81 175.86-13.73-4.68-26.77-40.12-54-55.2 9.14-18.66 85.16-91.14 85.16-91.14zm33.05-113.81c1.5 2.11 5.69 5.81 8.38 5.81h.06c.35 0 1.29.17 2.48-1.65 7.15-11 18-16.41 25.26-12.77l-3.59 7.2c-1.77-.89-5.5.3-9.38 3.63l14.75 18.2a12.13 12.13 0 1 1-18.91.1l-6-7.44a10 10 0 0 1-4.4 1.12h-.23c-8.12 0-14.83-9.36-14.89-9.45zm259.84-158.46l46.5-37.73 11.06 13.68-46.49 37.69zm63.08 1.27l-37.46 30.31-5.73-7.07 37.42-30.34z"}}]})(props);
};
function GiMussel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M219.6 71.39c-75.2.43-152.43 30.31-193.89 79.51 0 0 .1-.1.15-.1 12.91-7.7 30-13.9 49.66-19.1C114.7 106 168 89.88 219.7 89.42c5.1 0 10.2.1 15.3.33 39.9 2.09 100.9 17.45 151 39.45 21.4 9.5 40.9 20.1 55.9 31.1 6.2 2.9 12.1 5.9 17.4 9.2 15.3 9.3 27.1 20.4 32.4 34.3v-1.4c-.5-18.9-13.1-35.5-30.9-50.2-17.8-14.7-41.4-28-67.5-39.4-52.2-22.94-114-38.74-157.3-41.03-5.5-.28-10.9-.41-16.4-.38zm-21.7 63.21c-38.7.1-80.4 5.2-113.84 13.5-20.39 5.1-37.73 11.5-49.05 18.2-5.66 3.3-9.76 6.7-12.05 9.6-2.29 2.9-2.79 4.7-2.65 6.5v.1c.98 13.5 9.8 25.1 26.73 35.5 16.93 10.3 41.43 18.6 69.86 24.2 23.4 4.6 49.6 7.4 76.6 8.5 3.1-1.9 6.2-3.7 9.4-5.4 28.6-15.6 62.6-27.9 91.6-36.9 19.1-5.9 42.1-9.1 64.6-8.6 7.5.2 14.9.7 22.1 1.8 14.5 2 28 5.8 39.4 12.1 4.8 2.7 9.2 5.9 13.1 9.6 6.6.6 13.1 1.5 19.1 2.8 4.8-1.3 9.1-2.7 12.6-4.2 5-2.2 8.4-4.5 9.7-6 1.3-1.5 1.2-1.2.9-2.5-2.4-9.5-11.1-19.4-26.1-28.6-15-9.1-35.8-17.3-60-24.1-48.3-13.6-110-21.8-167.1-25.3-5.7-.4-11.4-.6-17.2-.7-2.6 0-5.1-.1-7.7-.1zm156.9 83.2c-19.3 0-39.1 2.9-54.9 7.8-28.5 8.9-61.5 20.9-88.4 35.5-26.9 14.7-46.7 32.2-51.4 48.8-1.3 4.6-.9 7.2.2 9.4s3.3 4.5 7.3 6.7c8 4.4 22.7 7.4 39.8 8.4 34.3 1.9 78.2-3.3 105.4-7.9 42.7-7.1 76.2-19 96-33.2 9.9-7.1 16.4-14.6 19.5-22 3.2-7.4 3.5-14.8.4-23.7-2.6-7.4-8.2-13.3-16.8-18.1-8.7-4.9-20.3-8.3-33.2-10.1-6.4-.9-13.1-1.4-20-1.6h-3.9zm91.6 25.9c3.6 11.9 3 24-1.5 34.7-4.9 11.4-13.8 21.2-25.6 29.6-23.7 16.8-59.2 28.8-103.5 36.3-28.1 4.7-72.5 10.1-109.4 8.1-18.4-1.1-34.9-3.7-47.5-10.6-6.3-3.4-11.7-8.2-14.8-14.7-3.2-6.5-3.5-14.3-1.4-22 1.8-6.6 4.9-12.8 8.8-18.5-21.4 8-39.8 16.8-55.06 25.7-21.5 12.5-36.73 25.6-45.49 37.4-8.81 11.8-10.98 21.7-8.81 29.9 6.15 23.2 21.57 37.9 43.87 47.5 22.29 9.7 51.29 13.6 81.49 13.5 60.5-.4 126.3-17.2 153.1-29.3 51.9-23.6 96.7-57.3 125.3-88 14.3-15.4 24.5-30.1 29.6-41.7 5.1-11.7 4.7-18.8 2.1-22.2-5.5-7.3-16.5-12.6-31.2-15.7zm-330.6 77.1l13.6 11.8c-8.9 10.4-14.8 20-17.1 27.5-2.3 7.4-1.6 11.7 1.8 16 3.4 4.3 11.3 8.9 25.4 11.8 14.2 3 34.2 4.1 60.6 2.8l1 18c-27.4 1.4-48.7.3-65.2-3.1s-28.5-9.1-35.8-18.2c-7.34-9.2-8.39-21.4-4.94-32.6 3.49-11.2 10.64-22.4 20.64-34z"}}]})(props);
};
function GiMustache (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-71 0-111.7 11.79-135.2 38.89C100.2 87.64 91.37 125.9 89.49 183H16v18h480v-18h-73.5c-1.9-57.1-10.7-95.36-31.3-119.11C367.7 36.79 327 25 256 25zM108.4 217c-2.2 15.1-3.4 30.9-3.4 47 0 25.5 2.9 50 8.3 72.8 1.5-2.2 3-4.3 4.6-6.5 8.5-12 17.5-24.5 29.3-34.4 11.7-9.8 26.6-16.9 44.8-16.9 17.5 0 35.1 4.2 49 13.5 5.9 3.9 11 8.9 15 14.8 4-5.9 9.1-10.9 15-14.8 13.9-9.3 31.5-13.5 49-13.5 18.2 0 33.1 7.1 44.8 16.9 11.8 9.9 20.8 22.4 29.3 34.4 1.6 2.2 3.1 4.3 4.6 6.5 5.4-22.8 8.3-47.3 8.3-72.8 0-16.1-1.2-31.9-3.4-47zm83.6 80c-13.8 0-23.8 4.8-33.2 12.7-9.4 7.9-17.8 19.2-26.2 31.1-8.4 11.8-16.8 24.2-27.5 34.3-10.7 10-24.23 17.5-40.9 17.9-20.06.5-39.32-11.3-55.147-23.2 2.077 4.1 4.077 8.2 6.467 12.5 14.17 25.5 34.55 51.7 51.26 57.1 18.97 6.2 54.32-4.1 90.02-17.9C192.5 407.6 228 391 256 391s63.5 16.6 99.2 30.5c35.7 13.8 71.1 24.1 90 17.9 16.7-5.4 37.1-31.6 51.3-57.1 2.4-4.3 4.4-8.4 6.4-12.5-15.8 11.9-35 23.7-55.1 23.2-16.7-.4-30.2-7.9-40.9-17.9-10.7-10.1-19.1-22.5-27.5-34.3-8.4-11.9-16.8-23.2-26.2-31.1-9.4-7.9-19.4-12.7-33.2-12.7-14.5 0-28.9 3.8-39 10.5-10.1 6.7-16 15.5-25 15.5s-14.9-8.8-25-15.5c-10.1-6.7-24.5-10.5-39-10.5zm64 112c-20 0-56.5 15.2-92.7 29.2-.3.1-.7.3-1 .4 26 30.7 58.6 48.4 93.7 48.4s67.7-17.7 93.7-48.4c-.3-.1-.7-.3-1-.4-36.2-14-72.7-29.2-92.7-29.2z"}}]})(props);
};
function GiMute (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25.78 18v140.684c15.804 55.05 35.45 105.15 69.534 141.127 29.986 31.652 71.13 53.17 133.186 58.106-1.465-21.612-2.782-44.32-3.77-68.687-8.28 1.9-18.098 4.388-30.546 7.5l-4.368-17.46c13.796-3.45 24.812-6.15 34.26-8.112-.565-17.64-.957-36.102-1.068-55.773-24.658-2.122-51.63-6.376-86.008-12.608V208h-18v-32h18v5.81c39.205-4.887 66.136-8.12 89.102-9.67 3.264-9.885 9.035-18.425 17.01-24.765 11.33-9.01 26.565-13.45 44.077-12.875 2.5.082 5.05.267 7.64.555l7.383.822.594 7.402c.802 9.988 1.367 20.126 1.843 30.402 18.964 1.793 41.274 4.504 70.35 8.13V176h18v32h-18v-5.066c-26.533 5.123-48.64 8.784-68.684 11.082.872 20.248 2.045 41.043 4.444 62.418 3.592.882 7.386 1.826 11.424 2.836l-4.368 17.46c-1.735-.433-2.93-.728-4.568-1.138 2.71 18.324 6.478 37.062 11.902 56.242 40.524-9.445 70.1-27.748 93.098-52.023 34.084-35.977 53.73-86.076 69.533-141.126V18H325.4c2.027 10.094 3.343 20.117 3.596 29.764l-17.992.472c-.247-9.402-1.785-19.666-4.14-30.236H204.995C202.512 29.056 201 39.368 201 48h-18c0-9.32 1.253-19.484 3.355-30zm162.08 49.887c3.933-.04 7.64.68 10.935 2.092 7.532 3.227 12.568 8.657 17.568 13.657C226.363 93.637 235 103 256 103s29.637-9.363 39.637-19.363c5-5 10.036-10.43 17.568-13.658 7.532-3.23 17.21-2.836 26.82 1.97l-.004.007c5.888 2.693 10.056 8.65 10.056 15.467 0 9.282-7.718 17-17 17-8.693 0-16.01-6.77-16.906-15.252-2.246 1.778-4.84 4.224-7.807 7.19C298.363 106.363 283 121 256 121s-42.363-14.637-52.363-24.637c-2.968-2.967-5.56-5.413-7.807-7.19-.895 8.482-8.214 15.25-16.906 15.25-9.282 0-17-7.717-17-17 0-6.815 4.168-12.773 10.055-15.466l-.005-.008c4.805-2.403 9.627-3.703 14.19-4 .57-.036 1.135-.057 1.696-.063zm84.93 85.547c.27 22.19-.193 39.466 2.6 48.912 1.55 5.247 3.35 7.76 6.753 9.734 1.467.852 3.46 1.59 6.01 2.13-.92-21.412-1.5-41.967-2.825-61.53-4.22-.41-8.644.04-12.537.754zm-18.022 7.685c-.15.115-.307.227-.455.345C245.813 168.223 241 178.245 241 192v.045c-.466 92.33 4.96 159.972 9.81 223.818 20.016 4.087 36.912 7.04 51.19 9.352 13.76 2.227 24.982 3.81 34.55 5.326-35.895-71.67-44.2-138.057-47.505-197.91-6.045-.726-11.33-2.307-15.94-4.984-7.74-4.493-12.573-12.06-14.978-20.2-3.815-12.905-3.428-28.14-3.36-46.327zm-117.49 258.24c-6.108 7.06-11.408 19.73-15.366 34.786-3.253 12.375-5.668 26.162-7.873 39.854h33.308c-.47-20.78 5.12-37.688 24.004-39 71.475 12.15 148.648 12.283 207.306 30.576-.96-4.436-1.874-8.294-2.773-11.465-2.262-9.82-7.972-17.038-15.862-19.99-10.02-3.684-29.098-5.988-60.898-11.136-31.8-5.147-76.5-13.428-139.68-30.298-8.803-2.765-17.193 1.01-22.166 6.673zm-33.423 32.806c-4.966 1.588-10.514 4.09-15.714 7.324-12.333 7.672-21.705 18.87-22.072 30.05l.99 4.46h28.637c2.237-13.862 4.762-28.343 8.16-41.834zM162.328 494h190.93c-29.295-9.362-83.06-14.25-177.9-21.023-10.978.135-13.992 15.12-13.03 21.023z"}}]})(props);
};
function GiNachos (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105 19.77C67.06 63.14 42.58 110 27.98 159.7c31.27 16.9 65.8 24.3 101.82 26.5-4.2-21.6-5.5-43.6-2.8-66.3l.9-7.6 7.7-.3c3.2-.1 6.3-.2 9.5-.2C129.5 80.82 117 50.15 105 19.77zM339.1 53.7c-.1 30.53-2.8 60.3-7 89.7 12.5 4 25 8.2 37.5 12.7l15.1 5.4-12.4 10.1c-18.8 15.2-36.6 30.8-53.6 46.8-1.3 6.3-2.6 12.6-4 18.9 15.4-3.8 30.6-8 45.3-12.7l3.2-34 18 1.6-2.4 25.9c35.7-13.4 68.4-31.2 95.8-57.7-34.4-20.9-64.9-45-94-70l-3 9.8-17.2-5.25 5.3-17.49c-8.9-7.89-17.8-15.83-26.6-23.76zM107.4 68.25l17.5 19.61-13.4 11.98L94 80.23zM92.06 117.5l7.76 16.2-36.59 17.5-7.76-16.2zm66.74 12.3c-4.8 0-9.7.1-14.6.2-3.2 43.8 9.9 86.3 29.2 128.7 4.6-.4 9.3-.6 14-.6 10.5-.1 21.4.6 32.8 2.1l11.5 1.5-4.4 10.8c-3.7 9-7.5 17.9-11.3 26.7 40.3-45.1 82.8-89.6 132.6-131.3-63.2-21.6-125.2-36.1-184.9-38-1.6-.1-3.2-.1-4.9-.1zm241.8 11.1l27.6 8-5 17.2-27.6-8zM188 151.5l15.9 21.2-14.4 10.8-15.9-21.2zm80.3 21.8l8.4 16-36.6 19.1-8.4-16zM184.1 213l36.1 17.5-7.8 16.2-36.1-17.5zM484 233.2c-72.5 11.8-130.1 36.4-180 68.4 12.1 14.6 23.6 29.4 35.4 43.7 20.5.2 41.4-.7 62.8-2.3l20.2-1.5-11.3 14.6 22 10-7.4 16.4-25.9-11.8c-5.4 7-10.9 14.1-16.5 21.2 18.1 15.8 38.5 29 63.1 37.6 21-64 28.6-129.8 37.6-196.3zm-68.4 38.5l28.7 12.8-7.4 16.4-28.7-12.8zm-228.2 4.4c-65.1.4-113.12 30.8-155.78 59.6 22.18 48.4 60.5 87.1 115.48 116.6 1.4-13.6 3.8-26.7 6.8-39.5l-22-7.1 5.4-17.2 21.3 6.8c12.2-41.4 30.9-79.9 47.3-118.4-6.3-.5-12.5-.8-18.5-.8zm171 5.1l18 1.8-3.7 36-18-1.8zm-217.2 14.3l16.6 7-12.2 29.2-16.6-7zm-58.14 43.1l20.64 19.7-12.38 13-20.68-19.7zm129.74 5.2c2.1 50.5 13.1 99.9 33 148.4 62.9-36.1 100.7-82.2 137.7-130-35.1 1.9-69.3 1.5-102.1-2.7l-2 19.4-18-1.8 2.1-20.3c-17.4-3-34.3-7.3-50.7-13zM321.1 398l4.6 17.4-41.9 11.1-4.6-17.4zm-61.8 27.2l11.2 36-17.2 5.4-11.2-36z"}}]})(props);
};
function GiNailedFoot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M296.863 16.45c17.48 71.11 24.22 245.104-34.8 319.093l11.26 19.447.134.276c1.7 3.442 2.233 7.003 1.975 10.472l.148-.08-15.764 95.8-19.425-52.462v81.33h7.067c55.25-17.22 98.094-24.153 174.5-3.68 55.486 14.867 95.82-25.906 67.127-107.337-39.195-111.238-35.708-258.27 1.853-362.86H296.863zm-128.21 146.946c-13.198.006-30.01 4.504-46.2 13.805-16.19 9.302-28.502 21.534-35.094 32.882-6.592 11.348-7.234 20.674-3.626 26.893 3.61 6.22 12.106 10.362 25.303 10.357 13.197-.005 30.006-4.504 46.197-13.805 16.19-9.3 28.503-21.532 35.094-32.88 6.59-11.35 7.236-20.674 3.627-26.893-3.61-6.22-12.106-10.363-25.303-10.358zm14.626 73.37c-5.64 4.68-11.91 9.044-18.737 12.966-5.56 3.195-11.19 5.917-16.813 8.182l73.598 126.654.125.248c.69 1.37.927 1.63 4.81 1.397 3.88-.233 9.92-2.238 15.385-5.453 5.467-3.215 10.42-7.624 12.99-11.31 2.536-3.644 2.417-5.126 2.067-5.862L183.28 236.766zm12.197 140.51c-5.563 3.395-11.23 6.89-16.995 10.525-33.785 21.3-68.207 38.483-93.943 45.15-64.52-14.67-91.224 57.353-28.68 57.353l.005.023h165.838v-84.834l-14.1 35.766-4.728-51.25-7.398-12.73z"}}]})(props);
};
function GiNailedHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M206.28 20.75l40.75 18.406v95.625l11 17.907 12.75-17.906V39.157l40.75-18.406H206.28zm-81.874 32.28L49.97 127.438l41.843-15.78 67.624 67.624 21.657 3.657-4.875-20.468-67.626-67.595 15.812-41.844zm264.281 0l15.782 41.845-67.626 67.594-4.875 20.468 21.686-3.657 67.594-67.624 41.844 15.78-74.406-74.405zM258.281 167.47c-18.774 0-35.987 9.647-49 26.28-13.01 16.633-21.374 40.158-21.374 66.313 0 27.096 9.278 51.387 23.188 68.156l10.125 12.217-15.595 2.938c-39.857 7.504-58.408 22.664-69.28 48.25-10.143 23.866-12.33 58.635-12.595 103.094h270.406c-.04-44.852-.605-80.457-9.812-104.626-9.865-25.894-27.82-41.064-71.28-47.906l-15.845-2.5 10-12.563c13.226-16.583 21.436-40.478 21.436-67.063 0-26.153-8.363-49.68-21.375-66.312-13.01-16.633-30.224-26.28-49-26.28zM35.407 206.78V312l18.438-40.75h95.594l17.906-12.72-17.906-11H53.844l-18.438-40.75zm446.97 0l-18.407 40.75h-95.626l-17.906 11 17.906 12.72h95.625L482.374 312V206.78z","fillRule":"evenodd"}}]})(props);
};
function GiNails (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M131.656 49.656L22.312 159l12.344 12.344 46.813-28.906 32.686-32.688-.062-.063L144 62l-12.344-12.344zm247.688 0L367 62l26.906 43.563 37.688 37.687 44.75 28.094L488.688 159 379.344 49.656zm4.906 72.688L371.094 135.5l20.687 20.688-32.81-8.594-10.97 11 21.03 21.03-33.342-8.75-10.782 10.814 21.375 21.375-33.874-8.907L87.97 418.626 66.405 472.03l53.313-21.655L416 154.095l-31.75-31.75zm-256.875.625l-31.75 31.75 10.656 10.655 21-21-8.718 33.28 10.813 10.814 21.344-21.345-8.876 33.813 10.625 10.625 21.686-21.688-9.03 34.344 45.56 45.56 31.75-31.75-115.06-115.06zm172.938 172.905l-31.75 31.75 122.75 122.75 53.375 21.563-21.657-53.313-122.717-122.75z"}}]})(props);
};
function GiNanoBot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M144 26.43L76.99 65.1v77.4l20.09 11.6 39.32-62.87 15.2 9.57-38.9 62.3 31.3 18.1 67-38.7V131h90v11.5l67 38.7 31.3-18.1-38.9-62.3 15.2-9.57 39.3 62.87 20.1-11.6V65.13l-67-38.7-67 38.67V77h-90V65.13zM211 95h90v18h-90zm22 90v68.3l14 21V480h18V274.3l14-21V185zm-17.6 74.2L118 332.3 151.2 482l17.6-4L138 339.7l87.3-65.5zm81.2 0l-9.9 15 87.3 65.5L343.2 478l17.6 4L394 332.3z"}}]})(props);
};
function GiNautilusShell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M141.49 361.44c10.6 2.434 16.243 2.523 27.81 1.153-8.665 41.136 46.103 47.286-16.42 118.757 21.354-80.17-25.916-60.54-11.39-119.91zm-40.532-20.274l25.917 13.68c-16.114 18.798-4.805 80.966-38.226 112.614-1.29-49.98-4.846-91.22 12.308-126.294zm264.044 115.452l1.547-33.994c-12.31-35.97-29.496-68.375-48.6-99.386 11.67-4.796 21.683-11.94 28.495-23.506 32.502 10.19 65.77 18.718 103.352 17.21 8.706 62.95-27.626 109.003-84.795 139.676zm-177.17-75.106l21.3-6.7c26.714-18.29 48.23-36.024 64.4-58.176 8.125 4.756 16.735 9.238 26.6 12.712 18.042 34.365 32.07 67.214 40.21 102.514-41.305 30.874-118.877 26.916-152.51-50.35zM68.98 315.588l21.233 23.216c-9.738 13.462-20.274 38.548-30.584 80.837-14.157-39.136-10.908-74.073 9.35-104.052zm-28.392-26.61l16.34 20.782c-8.996 10.657-19.41 30.97-30.697 65.73-9.398-33.655-4.456-62.724 14.358-86.512zm213.58-57.984c-2.62 9.73-3.756 19.307-1.724 28.343l9.61 41.426c-16.85 20.87-37.88 39.935-66.4 56.695-15.35-54.703 15.63-97.823 58.515-126.464zM68.82 296.95c-29.31-26.585-31.01-42.933-15.51-52.8.492-66.255 29.545-109.35 73.365-139.152l-4.28 43.345c3.748 43.708 23.925 80.24 57.62 133.243-9.31 21.354-14.227 45.24-8.23 66.988-38.17-10.616-81.022-29.278-102.965-51.624zm236.99 4.136l11.472-47.02c33.01 14.856 17.823 38.483-11.472 47.02zm183.787-.234l-33.188-11.6c-36.356 2.137-70.495-2.676-103.787-10.407 1.733-14.494-1.58-29.205-7.2-42.506 15.02-26.33 50.117-64.756 78.855-87.916 49.447 49.27 70.69 100.152 65.32 152.428zm-199.312-1.144l-8.85-4.257c-5.7-16.177-10.094-33.315-12.44-51.96 12.358-5.894 23.28-7.167 32.55-3.177l-11.26 59.395zM143.44 134.656c34.454-64.264 82.805-93.792 135.34-104.006l-20.323 42.547c-5.788 41.636-8.472 85.255 1.363 136.798-22.58 10.1-47.158 22.37-67.964 53.768-25.7-38.178-46.247-81.12-48.415-129.107zm136.96 75.96c-9.254-41.2-6.32-83.707-.63-135.815 67.086-10.962 125.078 3.436 167.4 43.137-13.842 3.007-26.305 7.892-38.163 13.64-30.52 28.012-55.25 60.264-77.217 94.468-15.26-8.682-32.672-13.333-51.39-15.43z"}}]})(props);
};
function GiNeckBite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v269.635c12.326-4.654 24.576-9.755 36.59-15.332 20.283-16.343 31.497-28.505 37.603-43.502 6.494-15.947 7.643-36.665 5.246-70.93l17.955-1.26c2.457 35.128 1.698 58.774-6.532 78.982-1.432 3.518-3.09 6.877-4.96 10.137.01-.006.02-.01.027-.017-6.666 16.806-47.957 57.937-85.932 84.416V494H494v-24.465c-57.7-4.972-120.788-12.223-178.53-37.746-71.53-31.618-133.716-92.173-162.952-207.93-1.824-7.22-.89-14.784.8-24.182 1.69-9.398 4.476-20.38 7.883-32.582 6.815-24.404 16.128-53.64 24.136-82.99 6.222-22.803 11.618-45.683 14.496-66.106H18zm253.326 43.703c-5.677.675-14.48 24.16-8.38 30.938 17.84 19.823 73.65 32.397 76.005 24.965 2.244-7.074-44.703-36.343-66.014-55.367-.168-.15-.344-.264-.522-.35-.345-.17-.71-.23-1.088-.185zm214.418 70.44c-28.44 2.68-83.598-1.59-85.988 5.435-2.51 7.38 49.885 30.35 76.004 24.967 9.524-1.963 16.673-29.287 10.615-30.38-.194-.035-.406-.043-.63-.022zm-207.848 69.11c-12.725 12.637-22.49 43.11-20.156 60.743l30.303-40.517 5.107 35.407 20.225-10.147 10.146 20.227 20.226-10.15 10.15 20.228 25.262-25.332.07 50.596c11.704-12.976 23.372-42.82 20.157-60.744-43.176-3.936-83.91-16.537-121.49-40.314zm-22.308 67.296c-12.334 12.812-16.927 26.04-14.172 43.76 32.817 31.52 75.394 45.256 121.73 39.577 13.217-12.527 15.9-26.378 14.168-43.766l-24.437 23.605-10.316-20.178-20.164 10.27-10.27-20.167-20.16 10.27-10.27-20.162-20.116 10.285-5.99-33.494h-.002zM128 272c4.836-.035 10.04 1.717 14.506 4.88 9.482 6.715 13.138 17.85 8.166 24.868-.158.21-.324.41-.496.61-4.204 30.237-4.278 40.477.77 70.716 2.155 20.262-6.275 19.11-6.946 19.842 0 0-14.647-.792-11.053-19.842 4.267-29.007 4.585-37.817 1.24-66.443-3.362-.732-6.7-2.225-9.685-4.33-9.482-6.715-13.138-17.848-8.166-24.868 2.433-3.435 6.64-5.394 11.664-5.43V272zm66.66 87.72c4.836-.033 10.04 1.716 14.506 4.88 9.482 6.715 13.138 17.85 8.166 24.87-.158.208-.324.41-.496.608-4.204 30.24-4.278 38.478.77 68.717 2.786 20.262-1.643 26.247-8.67 26.162-7.028-.084-12.924-7.112-9.33-26.162 4.267-29.007 4.586-35.817 1.242-64.443-3.363-.734-6.7-2.227-9.686-4.332-9.482-6.716-13.138-17.85-8.166-24.87 2.433-3.435 6.64-5.392 11.664-5.43z"}}]})(props);
};
function GiNecklaceDisplay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M145.5 19c-1 8.59-1.5 17.29-1.5 26 0 51.76 17.6 100.3 47.1 130.3-6.1 29.3-22.4 51.1-44 68.4 48.5 101.8 166 103 216.1 3.6-22.4-17.7-38.1-40.2-43.3-71.1C350 146.3 368 97.3 368 45c0-8.71-.6-17.41-1.6-26zM96.96 273.9C75.79 283.9 53.33 292.5 32 301c0 80 96 192 224 192s224-112 224-192c-23.2-7.7-45.4-15.5-65.6-24.3-9 39.7-29.6 69.9-56.4 90.5 1.9 4.2 3 8.9 3 13.8 0 18.1-14.9 33-33 33-5.5 0-10.6-1.4-15.2-3.8C310.5 443 286.6 470 256 470c-30.6 0-54.5-27-56.8-59.8-4.6 2.4-9.7 3.8-15.2 3.8-18.1 0-33-14.9-33-33 0-4.9 1.1-9.6 3.1-13.8-27.5-21.1-48.6-52.2-57.14-93.3zM256 358c-20.8 0-39 20.2-39 47s18.2 47 39 47 39-20.2 39-47-18.2-47-39-47zm-72 8c-8.4 0-15 6.6-15 15s6.6 15 15 15 15-6.6 15-15-6.6-15-15-15zm144 0c-8.4 0-15 6.6-15 15s6.6 15 15 15 15-6.6 15-15-6.6-15-15-15z"}}]})(props);
};
function GiNecklace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 17.12c-80.055 0-146.96 11.46-146.96 86.294 3.176 46.31 27.865 48.73 47.546 87.525 33.323 65.317 26.562 70.923 43.5 108.67 1.202 2.678 2.27 5.576 3.26 8.61 9.382 2.25 18.562 3.807 26.664 3.973l2.008-4.035-41.237-90.95c-23.33-59.194-65.534-81.684-65.303-112.478.303-40.477 28.157-69.41 129.843-68.84 105.162.587 130.883 27.404 132.082 68.973.612 21.207-44.356 58.01-64.32 115.63l-47.756 91.66c10.88-.37 23.584-3.116 36.098-6.678.71-1.71 1.687-3.282 2.213-4.96 12.574-40.15 12.044-45.83 43.636-107.757 21.512-38.208 40.718-48.8 45.686-89.344 0-74.833-66.905-86.295-146.96-86.295zm-3.834 277.737L237.834 324.6c-23.02-.476-55.97-13.1-74.252-19.473 1.806 12.728 15.387 42.465 16.162 58.176l-27.592 5.732 28.225 30.58c-.227 25.06-17.045 57.838-23.74 75.438 5.747-.733 31.057-9.59 37.44-10.155L191.3 494.88l49.374-27.892c-.48-1.364-.76-2.83-.76-4.36 0-6.958 5.38-12.63 12.25-13.14 6.87.51 12.248 6.182 12.248 13.14 0 1.532-.282 2.996-.758 4.36l49.375 27.893-2.776-29.982c6.384.567 31.694 9.422 37.44 10.155-6.694-17.6-23.5-50.38-23.74-75.438l28.224-30.58-27.592-5.732c.776-15.71 14.36-45.448 16.164-58.176-18.283 6.375-51.23 19-74.252 19.473l-14.332-29.743zm-75.957 24.247c15.53 6.215 39.34 14.43 56.194 14.992l-4.925 8.54c4.984 1.897 8.522 6.618 8.522 12.245 0 7.295-5.98 13.2-13.322 13.2-6.6 0-12.032-4.79-13.07-11.05l-19.952 4.18c-.7-11.076-8.67-30.437-13.45-42.106zm151.913 0c-4.78 11.67-12.75 31.03-13.45 42.107l-19.95-4.18c-1.04 6.26-6.472 11.05-13.07 11.05-7.343 0-13.323-5.905-13.323-13.2 0-5.626 3.538-10.345 8.524-12.243l-4.924-8.54c16.854-.562 40.66-8.778 56.193-14.993zm-75.955 35.242l10.922 18.93c-2.318.885-3.916 3.058-3.916 5.675 0 3.394 2.773 6.152 6.19 6.152 3.07 0 5.577-2.166 6.06-5.077l26.71 5.555-18.187 19.71c-1.13-1.54-2.988-2.448-5.05-2.448-3.416 0-6.188 2.7-6.188 6.092 0 3.392 2.772 6.152 6.186 6.152.7 0 1.332-.142 1.958-.36l3.093 26.758-22.92-10.392c.227-.634.254-1.26.254-1.973 0-3.045-2.194-5.5-5.112-5.974-2.916.476-5.115 2.93-5.115 5.973 0 .713.02 1.335.254 1.972l-22.918 10.392 3.092-26.757c.626.198 1.26.36 1.956.36 3.415 0 6.187-2.76 6.187-6.153s-2.77-6.092-6.188-6.092c-2.063 0-3.92.912-5.05 2.45l-18.184-19.712 26.707-5.555c.48 2.912 2.993 5.077 6.063 5.077 3.415 0 6.187-2.76 6.187-6.15 0-2.62-1.596-4.792-3.914-5.675l10.922-18.93zm50.93 51.252l-.04.05c4.358 0 8.262 1.917 10.796 4.9l.085-.087c.02.086.055.144.083.257 1.818 2.213 2.905 4.983 2.905 8.002 0 .616-.057 1.2-.114 1.792 4.52 14.428 8.95 30.55 12.565 39.3-2.733-.348-17.238-3.936-20.142-4.242l-2.78-23.89c-1.344.453-2.793.718-4.292.718-7.343 0-13.26-5.904-13.26-13.2 0-4.79 2.542-8.975 6.377-11.288.022-.022.113-.02.113-.084.114-.113.298-.142.442-.256.37-.226.744-.412 1.135-.6 1.854-.87 3.912-1.372 6.125-1.372zm-101.823.05c2.214 0 4.27.5 6.125 1.375.394.17.767.38 1.135.598.142.114.303.144.442.257.022.022.113.02.113.084 3.834 2.314 6.377 6.498 6.377 11.29 0 7.295-5.916 13.2-13.258 13.2-1.5 0-2.95-.254-4.296-.716l-2.78 23.89c-2.903.304-17.41 3.893-20.14 4.24 3.615-8.75 8.046-24.87 12.565-39.3-.115-.59-.115-1.173-.115-1.79 0-3.02 1.09-5.79 2.905-8.004.02-.085.055-.143.084-.256l.086.086c2.533-2.982 6.438-4.9 10.796-4.9l-.04-.052z"}}]})(props);
};
function GiNeedleDrill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.97 19.03v145.69l19 13.155 74.28-17.563c-4.117-3.716-7.11-6.512-8.47-7.968-19.19-20.57-18.095-52.807 2.47-72 20.565-19.193 52.81-18.063 72 2.5 19.197 20.572 260.906 354.219 260.906 354.219s-17.017-14.22-27.437-22.938l.03.094-24.28 5.75L494.936 493l-67.53-97.5 5.312-15.47-12.345-20.75-.28-.092-5.908 17.218-11.312-16.344 6.75-18.906-12.406-20.875-7.44 20.876-13.405-19.344 8.344-22.593-12.314-20.72-9.03 24.53-15.626-22.53 9.625-27.28-12.406-20.94-10.345 29.282-19.75-28.53 11.563-31.938-12.344-20.78-12.28 33.874-23.095-33.375 13.436-37.438-12.375-20.844-14.124 39.407-37.22-53.687 17.376-42.906-12-20.188-18.093 44.72-49.064-70.845H20.97zm124.155 68.564c-13.444 0-24.344 10.9-24.344 24.344 0 13.443 10.9 24.343 24.345 24.343 13.444 0 24.344-10.9 24.344-24.343 0-13.445-10.9-24.343-24.345-24.343zm41.47 54c-4.218.177-8.317 1.77-11.532 4.812-7.35 6.956-7.29 18.925.125 26.688 7.413 7.763 128.468 107.937 128.468 107.937s-94.344-125.3-101.844-133.186c-4.17-4.367-9.797-6.478-15.218-6.25zm-55.19 33.875l-70.78 16.718 62.313 43.156 61.343-14.5c-20.956-17.847-39.128-33.397-52.874-45.375zm70.532 60.405l-58.312 13.78 39.563 27.407 52.687-12.437c-11.68-9.874-23.005-19.47-33.938-28.75zm51.688 43.75l-49.78 11.75L238 315.03l45-10.624c-9.817-8.27-19.6-16.53-29.375-24.78zm47.22 39.78l-42.158 9.97 27.282 18.875 38.405-9.063c-7.717-6.484-15.565-13.08-23.53-19.78zm41.374 34.783l-35.595 8.406 23.656 16.344 32.345-7.625c-6.937-5.82-12.952-10.867-20.406-17.125zm38.28 32.093l-29.563 7 17.875 12.345 27.125-6.406c-5.52-4.624-9.134-7.656-15.437-12.94z"}}]})(props);
};
function GiNeedleJaws (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M30.168 102.43C-34.42 255.564 225.603 466 326.388 482.01c36.74 5.836 109.387-93.303 130.944-124.62-32.686 37.326-108.077 104.35-121.946 95.068-14.908-9.98 46.04-88.917 72.323-137.386-35.216 42.393-122.76 115.38-136.622 107.56-12.225-6.897 37.388-82.313 58.55-121.462-29.417 33.236-98.877 93.256-110.383 86.967-11.204-6.122 28.88-73.8 49.054-110.033-24.97 26.415-82.02 78.025-91.383 70.56-8.37-6.67 28.014-63.215 42.05-90.63-21.85 25.083-71.967 65.835-81.57 56.175-8.51-8.564 25.162-62.032 36.928-88.987-19.023 19.976-67.458 56.563-75.562 45.07-7.567-10.735 20.135-58.707 32.126-83.854-17.518 20.437-61.795 50.78-69.34 36.288-5.557-10.677 14.54-47.267 22.69-65.4-12.726 11.458-39.503 25.235-44.53 12.902 2.505-34.28 20.022-75.272 50.244-86.8 5.65 3.223 6.79 33.026 3.874 50.74 6.19-18.967 31.434-61.29 43.58-51.016 7.92 6.698 2.302 53.597 1.682 71.46 6.64-26.364 36.297-88.395 49.777-79.137 8.686 5.964 3.02 77.425-4.936 101.378 12.532-21.33 40.73-102.7 52.875-96.422 11.26 5.824 6.45 80.195 1.366 112.52 10.057-34.37 41.118-113.07 54.18-107.677 9.263 3.823 6.265 77.094-3.595 115.908 10.948-29.238 47.873-112.855 59.338-109.81 11.466 3.044 2.763 86.558-2.934 123.952 12.11-35.486 45.12-121.676 59.057-117.82 12.738 3.526 4.384 99.27-2.134 140.53 15.418-36.996 50.685-135.855 65.91-128.55 15.522 7.444-5.206 126.565-8.118 149.87 17.282-34.38 46.654-148.113 29.962-176.66-117.27-25.592-424.52-63.63-459.68 19.726z","fillRule":"evenodd"}}]})(props);
};
function GiNefertiti (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M45.422 120.441L104 185.901c92.422-39.666 172.605-74.711 258.244-102.596-11.432-22.715-25.256-44.436-42.457-64.782C225.084 32.656 125.54 70.891 45.422 120.441zm324.623-20.707c-84.952 32.194-180.738 63.843-253.66 100.004l16.275 18.188c81.717-33.837 164.505-64.203 247.596-93.4a460.62 460.62 0 0 0-10.21-24.792zm16.3 41.73c-80.596 28.322-160.764 57.691-239.802 90.204 53.56-2.135 111.354-7.387 159.875-10.107 3.751 14.72 8.265 30.997 5.074 45.04 7.592-3.359 27.857-11.166 30.104-18.288-.634-11.477-10.749-19.435-11.416-29.442.574-4.677 2.278-8.948 5.369-11.46l59.875-37.343a694.697 694.697 0 0 0-9.078-28.603zm18.864 43.714L349.217 220.1c3.668 6.901 7.454 12.458 9.441 19.455 19.621-10.056 39.743-20.17 56.237-28.668-3.165-8.318-6.405-16.799-9.686-25.71zm16.07 42.67c-30.396 11.548-53.997 30.902-79.44 43.504l-.003.002c-5.568 2.912-18.061 8.935-33.435 17.273-1.67 2.832-2.687 6.234-3.143 9.9-.72 8.957 4.132 36.207 15.662 36.74 1.531.002 4.647-.844 8.957-10.005l16.287 7.664c-5.867 12.47-14.906 20.349-25.258 20.342-16.175-2.247-24.982-14.225-30.17-27.202l-23.75 45.045c2.253 7.684 1.628 16.235-3.459 26.02-18.92 36.4-44.875 64.715-68.039 96.346h139.553c14.647-29.632 22.728-69.27 51.152-88.897 21.192-14.633 56.217 5.461 63.319-11.67 3.665-8.84-1.23-17.344-6.733-26.1 0 0 10.246-3.328 10.754-7.708.366-3.15-6.256-7.163-6.256-7.163l7.393-6.427-8.299-13.817c8.113-3.701 22.274-8.624 19.953-13.584-7.797-16.662-20.642-31.746-30.965-47.619-.999-3.583-2.037-7.104-3.107-10.584-8.132-5.595-23.288-3.372-43.502 6.512 11.29-9.705 25.082-21.752 38.742-21.145a742.827 742.827 0 0 0-6.213-17.427zm-128.613 12.59c-49.301 3.194-87.67 6.292-132.15 8.613l11.664 13.035c49.068 4.95 81.505 2.18 121.469 1.387 1.727-7.805.28-16.884-.983-23.036zm129.774 29.427v24.719l-30.815-11.834zm-232.803 11.729l36.416 40.693c16.964-15.445 38.392-29.288 57.91-40.6-30.15.826-58.05 2.364-94.326-.093zm92.545 22.107c-16.258 9.98-32.767 21.474-45.389 33.184 6.957 5.18 13.75 10.564 19.233 16.424z"}}]})(props);
};
function GiNestBirds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M316.8 35.56l-47.6 44.09c11 2.51 21.2 8.69 29.5 16.59 6.4 6.16 11.9 13.46 15.6 21.46l32.1-35.43-47.3 14.29zm-58.2 60.86c-8 0-17 3.78-25 9.98-8.6 6.6-15.6 16-19 24.8-4.8 12.4-.8 38.3 6 60 5 16.3 9.9 27.6 12.5 33.5l31.9-4.6 11.6 1.4-5.4-35.1 3-3.2s7.8-8.3 15.1-19c7.4-10.6 12.8-24 11.9-28.9-1.4-8.7-7.1-18.5-15-26-7.8-7.5-17.6-12.35-26-12.84h-1.6zm127.6 23.38c-10.4.4-21.6 5-31.7 12.5-11.6 8.7-21.3 21-26.3 32.6v.1c-3.8 8.6-2 28.8 2.3 45.8 1.8 7.2 3.5 12.9 5.1 17.6l40.8 4.8-61.9 10.9-49.3-5.8-168.44 24 83.54 30 109.2-18.6-106 54.1-115.68-61.3-28.93 4.1L47.3 302l-29.27-11.9 37.91 44.2 4.73 17.7 43.83 20.9 63.1-16.5-56.8 41.9-42.17-16.5 10.86 40.6 24.01 7-41.99 17.2 97.39.4-52.8 21.9 107.1-7.6c73.4 25.8 90.3 22.4 173.3 30.1l-68.2-25.5 24.3-12.6-57.9-39.6c77.9 24.1 107.9 16.5 183.6 2.3l-42.2-6.2 51.8-27 .4-12.7 27.5-57.6-26.3 18.6 1-29.4-63.2 51.5-113-34.4 116.2 7.9 60.1-28.9.5-14.1 16.1-40.9-30.6 19.1-37.1-4.3-77.4 8.7s22.1-6.9 42.9-13.2l44-30.9-51.8 9.1-2.8-28.6 7.6-1.8s13.2-3.1 26.5-8.8c6.7-2.8 13.2-6.4 17.8-10 4.6-3.6 6.7-7 7-9.1 1.3-10.5-4.8-23.3-15.5-33.8-10.7-10.5-25.6-18.1-37.3-19.2-1.4-.2-2.8-.2-4.3-.2zM249 121.4c8.1 0 14.7 5.9 14.7 13.1 0 7.2-6.6 13.1-14.7 13.1s-14.7-5.9-14.7-13.1c0-7.2 6.6-13.1 14.7-13.1zm137.6 16.8c8.8 0 16 7.2 16 16s-7.2 16-16 16-16-7.2-16-16 7.2-16 16-16zm-259.2 1.5c-1.4 0-2.9 0-4.3.2-11.7 1.1-26.59 8.7-37.29 19.2-10.71 10.5-16.82 23.3-15.48 33.8.28 2.1 2.35 5.5 6.94 9.1 4.59 3.6 11.17 7.2 17.82 10 13.31 5.7 26.51 8.8 26.51 8.8l7.6 1.8-1.6 17.1 55.2-7.9c.1-.4.2-.7.3-1.1 4.3-17 6.1-37.2 2.3-45.8v-.1c-5-11.6-14.8-24-26.3-32.6-10.1-7.6-21.3-12.2-31.7-12.5zm332 16.4c1.9 6.1 2.6 12.6 1.7 19.1-.2 1.5-.5 2.9-.9 4.2l34.9-10.9zm-317.6.4c8.8 0 16 7.2 16 16s-7.2 16-16 16-16-7.2-16-16 7.2-16 16-16zm-79.07 2.1l-40.13 6.8 30.37 15.5c1.53-7.9 5.05-15.4 9.76-22.3zM207.8 365.4l73.2 13.8 78-9-79.6 30.8z"}}]})(props);
};
function GiNestEggs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M263.4 75.12c-13 0-24.4 6.3-34.8 17.96-10.3 11.62-18.9 28.52-24.6 47.62-8.6 28.5-10.4 61.8-4.8 88.8l65.8-9.4 62.9 7.4c5.2-26.6 3.3-59-5.1-86.8-5.7-19.1-14.3-36-24.6-47.62-10.4-11.66-21.8-17.96-34.8-17.96zm144 35.08c-11.6 0-21.9 5.7-31.3 16.5-9.3 10.8-17.2 26.6-22.4 44.4-1.9 6.6-3.5 13.4-4.7 20.3.4 12.5-.5 24.8-2.6 36.4 0 .6 0 1.2.1 1.9l29.9 3.5-61.9 10.9-49.3-5.8-168.44 24 83.54 30 109.2-18.6-106 54.1-115.68-61.3-28.93 4.1L47.3 302l-29.27-11.9 37.91 44.2 4.73 17.7 43.83 20.9 63.1-16.5-56.8 41.9-42.17-16.5 10.86 40.6 24.01 7-41.99 17.2 97.39.4-52.8 21.9 107.1-7.6c73.4 25.8 90.3 22.4 173.3 30.1l-68.2-25.5 24.3-12.6-57.9-39.6c77.9 24.1 107.9 16.5 183.6 2.3l-42.2-6.2 51.8-27 .4-12.7 27.5-57.6-26.3 18.6 1-29.4-63.2 51.5-113-34.4 116.2 7.9 60.1-28.9.5-14.1 16.1-40.9-30.6 19.1-37.1-4.3-77.4 8.7s22.1-6.9 42.9-13.2l21.6-15.2 50.5 5.9c3-23 .8-49.6-6-72.7-5.2-17.8-13.1-33.6-22.4-44.4-9.4-10.8-19.7-16.5-31.3-16.5zM139.6 121c-12.1 0-22.6 5.5-32.1 15.4-9.48 10-17.39 24.6-22.65 41-7.12 22.1-9.18 47.5-5.73 69.2l102.08-14.5c-5.3-25.4-4.3-54.1 1.5-80.9-3.3-5.6-7-10.6-11-14.8-9.5-9.9-20-15.4-32.1-15.4zm68.2 244.4l73.2 13.8 78-9-79.6 30.8z"}}]})(props);
};
function GiNestedEclipses (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.225 46.588c-26.494 0-47.772 21.275-47.772 47.77 0 26.495 21.278 47.775 47.772 47.775 26.493 0 47.77-21.28 47.77-47.774 0-26.497-21.276-47.772-47.77-47.772zm-69.67 5.285c-32.036 21.7-53.203 57.98-53.203 99.02 0 66.417 54.854 120.078 122.668 120.078 67.813 0 123.035-53.66 123.035-120.077 0-41.04-21.17-77.32-53.205-99.02 17.492 17.676 28.082 41.888 28.082 68.72 0 54.042-43.87 97.915-97.91 97.915-54.042 0-97.913-43.873-97.913-97.916 0-26.83 10.958-51.043 28.45-68.72h-.005zm-63.36 4.666C61.015 97.982 20.59 167.265 20.59 245.64c0 126.838 104.755 229.32 234.26 229.32 129.504 0 234.964-102.482 234.964-229.32 0-78.374-40.426-147.657-101.605-189.1 33.403 33.756 53.624 79.993 53.624 131.237 0 103.206-83.78 186.987-186.984 186.987-103.204 0-186.987-83.78-186.987-186.987 0-51.244 20.928-97.48 54.332-131.238z"}}]})(props);
};
function GiNestedHearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M147.887 25.734c-10.106-.02-20.148 1.213-29.89 3.647C66.04 42.366 22.312 89.155 20.212 156.36c-1.12 35.803 9.934 65.568 27.54 91.12 17.61 25.552 41.552 47.158 66.85 68.442 50.596 42.573 106.39 83.87 132.397 148.293l8.904 22.05 8.49-22.212c24.65-64.483 78.63-107.776 128.604-151.27 49.974-43.493 96.634-88.203 98.783-155.834 2.276-71.537-42.363-116.7-95.522-127.137-49-9.622-105.34 9.122-140.23 57.744-27.547-42.14-68.33-61.74-108.14-61.823zm2.168 17.975c38.356.402 73.808 24.73 93.14 56.956 3.06 4.91 12 18.78 12 18.78l7.334-10.35c16.673-26.633 42.103-48.728 72.284-58.325 40.247-13.228 90.467-2.59 117.055 32.314 24.617 32.027 27.77 76.852 14.025 113.666-17.43 43.71-53.837 75.718-88.553 105.793-46.72 39.376-94.345 81.183-121.916 136.86-5.064-9.63-10.672-18.98-16.9-27.9-40.44-59.624-104.682-96.256-153.725-147.608-33.198-30.908-52.584-77.653-45.26-123.08 5.82-52.31 53.85-97.206 106.794-97.07 1.243-.036 2.483-.05 3.72-.036zm64.457 123.925c-3.878-.008-7.732.466-11.47 1.4-19.938 4.983-36.72 22.938-37.524 48.73-.43 13.738 3.81 25.16 10.568 34.965 6.758 9.806 15.945 18.096 25.652 26.264 19.417 16.338 40.828 32.186 50.81 56.908l3.415 8.463 3.258-8.525c9.46-24.746 30.175-41.358 49.352-58.05 19.178-16.69 37.084-33.846 37.908-59.8.873-27.452-16.256-44.784-36.656-48.79-18.804-3.69-40.425 3.5-53.814 22.16-10.57-16.172-26.22-23.694-41.498-23.725z"}}]})(props);
};
function GiNestedHexagons (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 21.52l-4.5 2.597L52.934 138.76v234.48L256 490.48l203.066-117.24V138.76L256 21.52zm0 20.783l185.066 106.85v213.695L256 469.698 70.934 362.847V149.152L256 42.302zm0 30.93l-4.5 2.597-153.78 88.785v182.77L256 438.768l158.28-91.383v-182.77L256 73.232zm0 20.783l140.28 80.992v161.984L256 417.984l-140.28-80.992V175.008L256 94.016zm0 30.93l-4.5 2.597-108.998 62.93v131.054L256 387.055l113.498-65.528V190.473L256 124.945zm0 20.783l95.498 55.135v110.27L256 366.27l-95.498-55.135v-110.27L256 145.73zm0 30.928l-4.5 2.598-64.213 37.072v79.344L256 335.342l68.713-39.67v-79.344L256 176.658zm0 20.783l50.713 29.28v58.56L256 314.56l-50.713-29.28v-58.56L256 197.44zm0 30.93l-4.5 2.6-19.428 11.216v27.628L256 283.63l23.928-13.816v-27.628L256 228.37z"}}]})(props);
};
function GiNetworkBars (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M428.4 27.8v456.4h60.9V27.8h-60.9zM327 168.2v316h60.8v-316H327zM225.4 273.6v210.6h61V273.6h-61zM124 343.8v140.4h60.9V343.8H124zM22.67 394.9v89.3h60.84v-89.3H22.67z"}}]})(props);
};
function GiNewBorn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 41c-20.794 0-44.2 5.78-63.58 17.39l.02-.097c-.22.156-.446.327-.667.484-6.127 3.73-11.838 8.045-16.923 12.955-23.71 19.373-47.905 44.71-60.37 72.948 8.37-4.155 16.365-9.44 24.41-14.576-7.315 12.505-12.044 25.924-11.728 40.148 5.928-5.75 14.24-14.91 23.656-23.375 1.76 12.773 5.742 26.938 12.49 42.68l1.772 4.138-14.135 24.522L176 243.273l17.398-17.4 24.973 37.46 7.51-53.526 92.542 51.045 59.848-59.848c6.983-28.36 2.508-55.906-8.856-80.26C347.812 74.447 299.554 41 256 41zm178.535 22.518l-67.35 19.24c7.213 9.367 13.49 19.55 18.54 30.375 4.977 10.666 8.705 21.998 10.947 33.763l58.512-43.18-57.584 2.608 36.935-42.806zM295.12 94.525l17.76 2.95s-1.25 7.662-4.126 16.035c-1.438 4.186-3.263 8.626-5.897 12.746-2.633 4.12-6.164 8.334-12.01 10.283-5.848 1.948-11.2.694-15.78-1.022-4.577-1.716-8.704-4.172-12.366-6.66-7.323-4.972-12.92-10.352-12.92-10.352l12.44-13.012s4.745 4.505 10.592 8.475c2.924 1.984 6.092 3.764 8.575 4.694 2.482.93 3.958.734 3.767.797-.19.064 1.108-.664 2.535-2.897 1.427-2.234 2.893-5.56 4.04-8.9 2.296-6.685 3.39-13.138 3.39-13.138zM384 220.727l-62.422 62.42-81.504-44.954-10.445 74.475-39.028-58.54-14.602 14.6-33.777-33.777-52.444 26.224c7.958 61.16 20 117.686 43.968 158.248C158.542 461.382 194.625 487 256 487c61.375 0 97.458-25.62 122.252-67.578 24.226-40.998 36.277-98.293 44.232-160.21L384 220.726z"}}]})(props);
};
function GiNewShoot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M443.8 18.18C374.1 34.78 283.7 95.63 288 174.5l-.6.3c-12.3-33.5-29.6-48.4-62.2-63.2-43-18.66-89.7 0-157.01-37.35C113 130.3 113 205.1 178.4 223.8c44.5 14.8 91.3 6.1 109.7-7.5 21.3 72.8 18.2 144.9-14.6 217.5-1.3-35-11.2-77.8-24.9-108.2-5.6 37.4-1.9 93.4-39.3 130.8 1.9-18.7-13.1-56-28-74.7 0 37.3 3.7 74.7-20.6 112.1h241.1c5.2-17.5 7.2-35 9-37.2-7.5 4.7-14.7 11.1-28.1 13.6 3.7 0 2.3-32.5.4-51.2-14.9 37.4-37.3 56.1-61.6 56.1 26.1-37.4 22.4-56.1 18.7-93.4-13 32.4-24.6 50.8-53.2 67.3 37.7-78.8 41.9-158.4 19.3-237.2 25.1 11.4 53.4 7.2 85.2-25.4 37-37.9 9.4-112.15 52.3-168.22zm-33 438.42c.2 0 .3-.1.4-.2-.1 0-.2.1-.4.2z"}}]})(props);
};
function GiNewspaper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M41 66.91V415.8c86.5 1 147.5 14.8 206 29.3V141.4c-45.3-30.1-90.4-58.75-206-74.49zm430 0C355.4 82.65 310.3 111.3 265 141.4v303.7c58.5-14.5 119.5-28.3 206-29.3zm-20.9 26.6l.8 66.99c-59.4 17.6-114.5 37.9-168.9 56-.4-20.9-.7-41.7-1.1-62.6 52.8-29.2 111.2-48.1 169.2-60.39zM69.01 105.3C129.8 119.4 184.1 136 226.1 150.1l.2 19c-41.6-13.9-101.3-32.3-161.35-46.3zm.12 46.6l35.97 6.5-3.2 17.8-35.97-6.5zm54.17 11.3l32.5 6.2-3.4 17.6-32.5-6.2zm53.2 10.5l49.6 9.6-3.4 17.6-49.6-9.6zm263.1 19.9l5.2 17.2-56 16.9-5.2-17.2zm-377.68 4.7C119.2 205 176 212.2 223.8 225l-4.6 17.4c-46-12.4-102.2-19.6-159.38-26.3zM357.1 216l4.8 17.4-71.7 19.8-4.8-17.4zm86.4 21l4.8 17.4-32.8 9.1-4.8-17.4zm-378.3 1.6l49.9 5.2-2 18-49.8-5.4zm76.9 9.8l82.1 12.3-2.6 17.8-82.1-12.3zm248.5 3.7l4.8 17.4L288.5 299l-4.8-17.4zm55.8 22.9l4.6 17.4L348.5 319l-4.6-17.4zm-388.06 6.4c29.84 3.1 61.96 7.5 84.46 13v111L59.2 398c-.33-38.9-.48-77.7-.86-116.6zm104.56 14.7l61.5 7.5-2.2 17.8-61.5-7.5zm161.5 11.8l4.2 17.5-37.8 9.1-4.2-17.5zm129.1 4.1l.4 82.2-78.5 10.2c-.3-23.8-.4-47.7-.7-71.5zM164 334.4l59.8 9.8-3 17.8-59.8-9.8zm271.7 1l-42.8 11.3.3 37.3 42.7-5.6zm-81.4 9.8l3.4 17.6-68.9 13.1-3.4-17.6zm-191.1 29.1l62.6 12.4-3.4 17.6-62.6-12.4zm186.6 6.8l4 17.6-62.5 13.9-4-17.6z"}}]})(props);
};
function GiNextButton (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M84.41 106c-15.63.1-27.67 13.8-25.69 29.3 16 124 16 117.4 0 241.4-2.54 19.8 17.33 35 35.79 27.3L361.5 292.9v98.8c0 7.9 8.9 14.2 20 14.3h52c11.1-.1 20-6.4 20-14.3V120.2c-.1-7.8-9-14.1-20-14.2h-52c-11 .1-19.9 6.4-20 14.2v98.9L94.51 108c-3.2-1.3-6.63-2-10.1-2z"}}]})(props);
};
function GiNightSky (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.813 15.625c-132.32 0-239.782 107.46-239.782 239.78s107.463 239.782 239.782 239.782c132.32 0 239.782-107.46 239.782-239.78S386.132 15.624 253.814 15.624zm0 17.906c122.653 0 221.906 99.223 221.906 221.876 0 30.738-6.26 59.99-17.533 86.594l-42.343-34.72c-49.613 13.98-110.337 9.033-138.906-60.874l-41.97 152.938c-8.837-45.53-23.35-81.28-47.905-115.22-19.71 13.855-32.352 32.63-39.72 50.97L88.94 237.03c-17.85 27.32-33.77 56.565-45.032 90.47-7.744-22.6-11.968-46.852-11.968-72.094 0-26.013 4.484-50.973 12.687-74.156 2.752 6.608 9.27 11.25 16.875 11.25 10.093 0 18.28-8.157 18.28-18.25s-8.187-18.28-18.28-18.28c-2.385 0-4.66.48-6.75 1.31 27.537-55.83 77.83-98.368 138.844-115.5-.558 1.938-.844 3.98-.844 6.095 0 12.146 9.823 22 21.97 22 12.144 0 22-9.854 22-22 0-4.99-1.67-9.59-4.47-13.28 7.092-.683 14.29-1.064 21.563-1.064zm18.75 27.657c-6.444 0-11.657 5.213-11.657 11.657 0 6.443 5.213 11.687 11.656 11.687 6.444 0 11.688-5.243 11.688-11.686 0-6.444-5.244-11.656-11.688-11.656zM198.03 90.22c-6.02.06-12.132.868-18.218 2.5-38.945 10.434-62.06 50.46-51.625 89.405 10.436 38.946 50.463 62.06 89.407 51.625 21.712-5.818 38.48-20.85 47.28-39.75-6.835 7.36-15.737 12.958-26.155 15.75-29.504 7.905-59.846-9.59-67.75-39.094-7.907-29.504 9.62-59.813 39.124-67.72 10.41-2.788 20.906-2.417 30.5.533-12.28-8.598-27.116-13.405-42.563-13.25zm155.282.81c-9.408 0-17.03 7.624-17.03 17.032 0 9.41 7.622 17.032 17.03 17.032 9.41 0 17.032-7.623 17.032-17.03 0-9.41-7.623-17.033-17.03-17.033zm-248.937 27.376c-6.443 0-11.656 5.244-11.656 11.688 0 6.443 5.212 11.656 11.655 11.656s11.656-5.213 11.656-11.656c0-6.444-5.212-11.688-11.655-11.688zm275.688 40.813l-.625 29.843-28.22 9.812 28.22 9.813.625 29.843 18.03-23.78 28.563 8.625-17.03-24.5 17.03-24.53L398.094 183l-18.03-23.78zm-72.094 11.593c-6.445 0-11.658 5.212-11.658 11.656 0 6.442 5.213 11.686 11.657 11.686 6.442 0 11.686-5.244 11.686-11.687 0-6.445-5.244-11.657-11.687-11.657zm139 74.75c-6.445 0-11.658 5.244-11.658 11.687s5.213 11.656 11.657 11.656c6.442 0 11.686-5.213 11.686-11.656 0-6.443-5.244-11.688-11.687-11.688zm-127.314 3.5c-6.443 0-11.656 5.244-11.656 11.687s5.213 11.656 11.656 11.656c6.444 0 11.656-5.213 11.656-11.656 0-6.443-5.212-11.688-11.656-11.688z"}}]})(props);
};
function GiNightSleep (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M294.8 26.57L238 60.37l7.8 13.17L281 52.59 270.8 118l6.3 10.6L336 93.53l-7.8-13.17-37.3 22.14L301 37.12l-6.2-10.55zM147.1 60.55A224 224 0 0 0 32 256a224 224 0 0 0 224 224 224 224 0 0 0 214.9-161.2A208 208 0 0 1 320 384a208 208 0 0 1-208-208 208 208 0 0 1 35.1-115.45zm244.5 52.05l-6.9 16.5 44.1 18.4-68.3 35.9-5.5 13.2 73.7 30.8 6.9-16.5-46.7-19.5 68.3-35.9 5.5-13.2-71.1-29.7zm-115 64l-97.8 35 8.1 22.7 60.6-21.7-35.4 97.9 6.5 18.1L320 292.4l-8.1-22.7-64.2 23 35.4-97.9-6.5-18.2z"}}]})(props);
};
function GiNightVision (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32a120 125 0 0 0-94.666 48.426A160 160 0 0 1 312.8 240a160 160 0 0 1-2.7 28.555A120 125 0 0 0 376 157 120 125 0 0 0 256 32zM82.77 325.59c-20.904.844-42.686 5.52-64.06 14.258C41.442 400.102 102.352 459.58 208 400c-11.572-32.98-37.17-55.623-69.445-66.71a11.164 13.258 0 0 0-3.733-.778 11.164 13.258 0 0 0-11.162 13.258 11.164 13.258 0 0 0 11.162 13.257 11.164 13.258 0 0 0 .317-.013c-3.8 27.26-9.967 50.298-15.478 50.662-12.182.507-29.582-40.02-36.892-84.086zm346.46 0c-7.31 44.066-24.71 84.593-36.892 84.086-5.727-.378-12.157-25.236-15.908-53.873a13.258 21.127 82.128 0 0 11.097.418 13.258 21.127 82.128 0 0 19.112-16.027 13.258 21.127 82.128 0 0-22.745-10.238 13.258 21.127 82.128 0 0-10.4 3.318c-32.3 11.08-57.916 33.73-69.495 66.727 105.647 59.58 166.557.102 189.29-60.152-21.374-8.74-43.156-13.414-64.06-14.258z"}}]})(props);
};
function GiNinjaArmor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M325.41 32.18L222.562 237.879h13.711l13.364-13.363 6.363-6.364 19.727 19.727H346l74.947-179.873c-8.11-4.986-23.97-11.715-41.314-16.445-19.05-5.196-39.628-8.654-54.223-9.381zm-139.205.021c-14.576.771-34.953 4.21-53.838 9.36-17.344 4.73-33.204 11.46-41.314 16.445L166 237.879h36.44l38.722-77.445zm29.25 22.563l36.25 84.584 41.984-83.971c-26.948 5.752-51.079 5.561-78.234-.613zM88.416 98.478l-43.691 65.54 65.88 39.529 15.24-15.24zm335.168 0l-37.43 89.829 15.24 15.24 65.881-39.53zM256 243.605l-20.42 20.42 20.42 30.63 20.42-30.63zM153 255.88v30h75.518l-16.098-24.147 5.853-5.853zm140.727 0l5.853 5.853-16.098 24.147H359v-30zm-129.125 48l-26.045 165.24c114.22 14.268 120.666 14.268 234.886 0l-26.045-165.24h-75.916L256 327.102l-15.482-23.223z"}}]})(props);
};
function GiNinjaHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M280.054 19.867c-64.315 0-121.76 28.793-159.643 73.934 27.387.07 87.928 3.05 96.12 25.726-38.414-12.105-79.753-11.26-108.534-9.302a201.013 201.013 0 0 0-13.656 23.314c31.507-8.307 147.998-3.37 154.8 21.268-75.985-18.624-140.59-8.65-162.058-4.895-8.768 22.446-13.584 46.805-13.584 72.272 0 111.736 96.248 269.949 210.324 269.949 57.808 0 109.1-40.63 145.637-95.248-31.403 23.812-98.04 57.308-139.002 34.648 81.592-8.994 139.965-50.978 156.19-63.353 25.207-47.142 39.959-100.432 39.959-145.996 0-111.737-92.477-202.317-206.553-202.317zm-.002 151.692c105.084 0 190.273 27.727 190.273 61.931 0 22.047-4.495 33.48-57.797 44.453-29.39 6.052-95.127-31.181-132.476-31.181-34.864 0-87.12 41.345-115.219 36.017-56.597-10.732-75.053-26.433-75.053-49.289 0-34.204 85.188-61.931 190.272-61.931zm83.885 39.894c-20.14-.12-41.571 3.295-41.475 9.91.182 12.453 17.364 22.298 38.377 21.99 21.013-.306 18.555-16.216 37.717-23.101-.085-5.837-16.85-8.693-34.62-8.799zm-172.682 2.883c-17.77.105-34.534 2.964-34.62 8.8 19.162 6.885 16.704 22.796 37.718 23.102 21.013.307 38.195-9.54 38.377-21.992.096-6.615-21.336-10.03-41.475-9.91zm92.57 82.441c31.032 0 56.188 25.235 56.188 25.235s-28.184-11.104-59.217-11.104c-31.032 0-53.16 11.104-53.16 11.104s25.156-25.235 56.19-25.235zM31.25 411.39c4.344 2.046 7.783-40.336 52.246-61.265-8.111-8.465-12.438-24.638-14.24-35.502-32.733 4.158-55.012 84.887-38.006 96.767zm56.31-41.694c-7.511-.052-17.26-.228-17.445 16.937-.498 46.31-42.805 96.953-40.128 98.215 7.138 3.364 49.598-32.077 61.906-59.44 4.159-9.244 11.516-55.603-4.333-55.712z"}}]})(props);
};
function GiNinjaHeroicStance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M458.949 16.902c-21.23 45.511-62.196 13.713-94.89 12.604-92.464-.8-95.254 47.352-141.296 77.017-9.189-10.02-23.774-16.38-46.738-15.117-15.928.876-30.343 6.34-40.974 15.895-12.34 10.738-21.335 25.549-21.942 39.84 21.03-5.316 41.304-4.385 45.871 5.46 11.508 24.813-21.37 15.961-44.745 23.397-1.248.396-2.472.81-3.684 1.225-2.757 7.733-6.024 15.131-6.024 20.482 0 16.945 13.686 6.16 19.648 20.88.85 2.099 3.778 8.625 12.238 16.833 1.367 1.328 46-35.114 47.487-33.9-14.835 31.6-38.787 42.74-41.127 43.975-21.237 11.202-46.726 20.42-55.691 38.13l-.522-.168s-27.58 65.425-33.509 97.908c.575 16.747 25.672 12.545 25.672 12.545l39.527-11.785 4.686 16.94 119.482-150.627c-26.122-15.67-18.045-38.588-21.927-58.778 13.787-22.475 21.9-34.062 14.597-56.68 7.122-7.318 16.216-14.785 26.61-16.779 21.267-4.08 60.016 16.198 80.997 16.47 27.78.362 42.716-14.296 54.352-31.905-10.666 3.502-14.712 3.5-8.703-15.065-14.177 5.175-23.315 22.6-48.998 18.526-23.87-3.787-60.077-11.021-80.065-4.354 33.926-17.423 60.548-35.253 96.777-39.463 42.453 3.026 80.56 32.916 102.89-17.031zM340.169 153.78l-39.003 49.065 16.54 11.713 39.008-49.067zm-205.509 1.657c-5.303 0-10.607 1.195-10.607 3.584 2.163 2.943 9.788 5.337 13.459 5.42 5.858 0 7.755-.644 7.755-5.42 0-2.389-5.304-3.584-10.607-3.584zm140.864 47.156l-11.702 14.172L312.9 250.85l11.701-14.172zm-4.423 35.984L100.574 453.551s-10.247 8.425-.05 16.773c10.47 8.57 18.622-3.654 18.622-3.654L289.67 251.695zm18.932 41.914s-20.687 26.845-31.22 40.12c-42.147 53.119-125.718 156.698-127.942 158.156l.068 16.332H240.24l15.365-115.264 44.661 9.677s17.915 1.914 17.186-13.823c-4.626-21.768-19.228-74.864-27.42-95.198zm-22.714 48.874l8.746 21.61-14.493-3.73z"}}]})(props);
};
function GiNinjaMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.063 21c-46.697 0-88.406 27.674-117.844 70.656-29.44 42.982-47.25 101.566-47.25 166.094 0 64.527 17.81 123.112 47.25 166.094 29.437 42.982 71.146 70.656 117.843 70.656 46.696 0 88.405-27.674 117.843-70.656 29.44-42.982 47.25-101.567 47.25-166.094 0-64.528-17.81-123.112-47.25-166.094C343.468 48.674 301.76 21 255.062 21zM396.28 200.344c3.365 18.28 5.19 37.527 5.19 57.406 0 18.535-1.594 36.522-4.533 53.688-37.91 12.904-87.436 20.812-141.656 20.812-54.45 0-104.125-8.235-142.186-21.313-2.884-17.014-4.438-34.833-4.438-53.187 0-19.868 1.827-39.103 5.188-57.375 37.903 14.565 87.35 23.25 141.47 23.25 54.136 0 103.183-8.707 140.967-23.28zM177.157 241c-15.137-.162-30.97 3.458-47.375 10.313 14.562 51.423 87.08 42.483 102.157 10.156-17.004-13.822-35.318-20.262-54.78-20.47zm155.75 0c-19.462.208-37.808 6.648-54.812 20.47 15.078 32.326 87.596 41.266 102.156-10.158-16.405-6.854-32.206-10.474-47.344-10.312z"}}]})(props);
};
function GiNinjaStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M277.95 333.754c-18.707 5.27-39.12 3.777-57.213-5.024-8.2 15.105-12.253 34.398-14.837 55.104L24.977 477.958c41.176-120.353 94.123-176.934 153.265-200.01-5.278-18.693-3.76-39.107 5.024-57.207-15.113-8.19-34.397-12.236-55.12-14.843L34.038 24.973c120.345 41.192 176.92 94.13 199.987 153.273 18.7-5.27 39.115-3.753 57.214 5.008 8.215-15.09 12.253-34.374 14.844-55.112l180.94-94.116c-41.193 120.37-94.148 176.95-153.29 200.02 5.27 18.7 3.777 39.113-5.016 57.213 15.113 8.215 34.398 12.236 55.112 14.828l94.14 180.94c-120.392-41.208-176.95-94.132-200.02-153.274zm-16.66-36.538c22.752-2.916 38.837-23.756 35.922-46.51-2.924-22.768-23.74-38.83-46.517-35.922-22.745 2.916-38.83 23.733-35.907 46.493 2.908 22.76 23.733 38.846 46.5 35.94z"}}]})(props);
};
function GiNinjaVelociraptor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M104.908 46.95c33.344 11.834 52.447 14.518 68.01 14.706 16.325.197 29.99-2.656 51.514-1.037 21.658 1.629 32.505 10.43 45.168 15.578 11.888 4.833 27.4 8.255 61.707 3.26-66.772-40.076-152.599-89.964-226.399-32.508zM191.2 87.386c4.057 13.656 10.663 21.204 18.088 24.488-.773-12.454-.509-24.688 7.47-35.299-9.732-1.057-20.628 6.2-25.558 10.81zm32.328-8.498c1.568 14.024-4.11 24.182-9.447 34.523 9.265 1.876 19.195-1.893 26.783-8.146-1.17-8.375-7.344-21.013-17.336-26.377zM67.885 80.457C50.997 96.998 34.105 114.579 18 129.854v228.408c31.808-16.728 59.288-33.89 104.908-49.237 61.672 59.818 112.321 127.51 190.582 175.479 6.51 2.88 55.376 5.528 57.2-8.268 1.858-6.51 1.546-14.804 1.546-14.804-.287-4.444-94.872-136.49-119.38-201.871a1028.956 1028.956 0 0 1-22.077-8.76c21.68 69.956 69.711 142.449 118.282 211.191l-19.375.469C214.826 383.37 147.297 271.74 82.946 172.156 224 224 359.6 296.106 483.73 272.113c1.521-23.39 2.866-56.89-20.894-81.078-27.544-28.04-58.994-48.217-86.895-74.004l-13.386-.48c-52.767-1.892-100.729 25.01-155.059 18.314-26.521-3.268-42.012-16.985-59.031-28.7-32.108-17.511-51.508-23.719-80.58-25.708zm333.982 112.182c18.978 8.82 38.855 23.802 40.112 44.004l-17.983.789c-2.628-14.809-17.65-23.054-29.418-28.336zm-261.22 22.273c46.154 67.645 95.56 165.463 141.81 186.07l-87.291-161.377c-18.32-8.08-36.485-16.415-54.52-24.693zm112.968 44.943l28.567 43.41 25.375-25.042c-18.077-5.31-36.063-11.537-53.942-18.368zm57.99 19.545l21.18 37.452 32.963-25.155c-18.126-2.965-36.179-7.163-54.143-12.297zm167.823 11.971c-15.845 3.029-31.658 4.663-47.43 5.09l34.727 33.926zm-108.381 1.164l29.04 38.895 27.976-34.885c-19.073.277-38.084-1.17-57.016-4.01z"}}]})(props);
};
function GiNodular (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16a90 90 0 0 0-15 178.593v48.75a60 60 0 0 0 0 115.782v49.688A45 45 0 0 0 256 496a45 45 0 0 0 15-87.188v-50.157a60 60 0 0 0 0-115.78V194.59a90 90 0 0 0-15-178.594zm-2.813 30A60 60 0 0 1 256 46a60 60 0 0 1 0 120 60.017 60.017 0 0 1-2.813-120z"}}]})(props);
};
function GiNoodleBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304.04 95.943c-79.228 0-143.253 64.03-143.253 143.252 0 9.654.96 19.078 2.772 28.192-22.445 23.575-46.822 37.388-73.132 42.35-1.933-10.607-2.27-19.24-1.414-25.98 1.144-8.995 4.098-14.5 8.43-18.54 8.072-7.523 23.912-10.467 45.583-8.592-.615-5.728-.94-11.54-.94-17.43 0-.47.014-.938.018-1.408-3.816-.298-7.567-.49-11.216-.52-18.457-.16-34.558 3.44-46.187 14.28-7.753 7.226-12.66 17.52-14.228 29.853-1.132 8.898-.682 18.93 1.322 30.373-16.354.544-33.408-2.04-51.16-7.54v19.412c18.878 5.15 37.466 7.192 55.474 5.986 8.494 26.69-.19 41.56-14.157 51.196-11.892 8.205-28.824 10.96-41.316 8.95v19.1c17.094 2.303 36.343-1.914 51.93-12.667 18.842-13 30.736-37.682 22.26-69.046 26.722-5.317 51.87-18.246 74.444-39.228 2.447 6.778 5.384 13.32 8.78 19.576-30.85 25.655-43.58 56.202-43.204 85.517-9.9 3.555-20.404 6.9-31.147 10.747-29.692 10.635-61.255 26.32-83.063 62.43v27.207h7.082C46.43 447.77 76.77 433.274 110 421.374c8.885-3.183 17.95-6.072 26.947-9.208.882 4.257 2.017 8.46 3.42 12.58 4.645 13.653 11.786 26.503 20.722 38.1-22.457 6.016-45.297 14.744-64.725 30.568h35.256c13.68-6.47 28.634-10.904 43.734-14.576 5.403 5.27 11.19 10.146 17.268 14.576h37.518c-11.303-4.82-22.265-11.566-32.198-19.693 8.438-1.83 16.776-3.636 24.73-5.638 7.32-1.842 14.407-3.86 21.05-6.37 5.908 5.28 12.54 9.822 19.646 13.546 36.47 19.108 86.82 17.54 120.886-15.737 2.85.773 5.727 1.45 8.633 2.027 12.053 2.387 24.517 3.173 37.235 2.586 4.218 9.506 7.59 19.355 10.018 29.28h19.175c-2.296-10.575-5.534-21.05-9.658-31.212 15.25-2.28 30.752-6.333 46.254-11.81V430.48c-18.596 7.04-36.965 11.834-54.527 13.926-4.735-8.945-10.17-17.518-16.248-25.55 7.778-6.334 15.64-11.77 23.362-15.774 17.26-8.95 32.38-11.436 47.412-3.11v-20.126c-18.558-6.217-38.35-2.512-56.014 6.646-9.272 4.808-18.247 10.998-26.863 18.018-14.04-14.935-30.767-27.17-49.465-34.955 30.785-14.052 55.687-38.678 70.1-69.258 20.06 10.944 41.627 11.273 62.242 4.268v-19.943c-19.617 8.81-37.257 9.607-55.383-1.78 4.386-13.758 6.76-28.42 6.76-43.65 0-79.227-64.024-143.252-143.25-143.252zm191.874 225.63c-18.32 16.822-37.05 23.787-54.63 23.413-4.47-.095-8.896-.67-13.25-1.713-4.47 5.317-9.273 10.345-14.38 15.047 8.737 3.314 17.885 5.153 27.235 5.352 18.42.39 37.312-5.617 55.024-18.11v-23.988zm-307.805 1.86c10.72 14.74 24.183 27.35 39.65 37.08-12.352 24.623-13.65 48.263-6.67 68.03 2.277 6.45 5.386 12.45 9.174 17.96-3.806 1.23-7.86 2.375-12.15 3.454-11.104 2.795-23.568 5.155-36.573 7.99-10.448-11.807-18.713-25.218-23.477-39.22-1.487-4.37-2.662-8.788-3.502-13.24 3.416-1.437 6.795-2.965 10.124-4.62 15.186-7.55 29.37-18.018 39.957-33.887-4.973-3.876-9.714-8.037-14.2-12.457-8.587 13.99-20.055 22.64-34.075 29.61-1.027.51-2.07 1.01-3.123 1.5 1.272-21 11.417-42.236 34.867-62.2zm56.1 45.985c18.2 8.358 38.46 13.023 59.83 13.023 9.266 0 18.322-.885 27.095-2.56 25.992 3.503 49.128 17.207 67.89 37.016-7.132 6.784-13.942 13.978-20.42 21.24-18.798-7.092-35.432-19.51-49.26-38.974-6.888 1.085-13.918 1.74-21.064 1.926 15.024 24.198 34.243 40.98 55.94 51.115-27.487 21.187-64.714 20.888-92.175 6.5-3.558-1.864-6.92-3.964-10.074-6.262 3.602-2.48 6.925-5.302 9.903-8.563 9.614-10.527 14.227-25.235 12.77-43.898-6.5-.78-12.88-1.945-19.12-3.472 2.726 17.596-.733 27.412-7.45 34.765-2.627 2.88-6.04 5.44-10.106 7.756-3.976-5.084-7.128-10.68-9.256-16.708-5.19-14.705-4.758-32.27 5.5-52.904zm166.876 61.89c3.382 4.568 6.534 9.348 9.463 14.28-7.44-.07-14.675-.7-21.657-1.936 3.98-4.235 8.048-8.383 12.193-12.343z"}}]})(props);
};
function GiNoodles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.35 26.1l-2.68 15.78L382.7 103.9l2.6-15.79L21.35 26.1zm-.55 57.94l-1.58 15.92L383.2 136l1.6-16-364-35.96zm202.6 52.16c-1.8 7.8-7.7 19.5-14.3 31C201.1 181 192 194 192 208c0 18.7 9.8 31.1 18 40.3 8.2 9.3 14 15.3 14 23.7 0 5.7-3.3 14.8-7.8 24h18c3.4-7.9 5.8-16 5.8-24 0-15.5-10.2-25.5-18-34.3-7.8-8.8-14-16.4-14-29.7 0-4.9 6.9-18.8 14.9-32.8 7-12.1 14.8-24.6 16.7-37.4l-16.2-1.6zm40 4c-1.7 7.5-7.5 18.2-14.2 28.8-8 12.8-17.2 25-17.2 39 0 18.7 9.8 31.1 18 40.3 8.2 9.3 14 15.3 14 23.7 0 5.7-3.3 14.8-7.8 24h18c3.4-7.9 5.8-16 5.8-24 0-15.5-10.2-25.5-18-34.3-7.8-8.8-14-16.4-14-29.7 0-4.9 6.8-17.6 14.8-30.5 7-11.3 14.8-23.1 16.8-35.8l-16.2-1.5zm40 3.9c-1.7 7.2-7.4 16.9-14 26.7-8 11.8-17.4 23.2-17.4 37.2 0 18.7 9.8 31.1 18 40.3 8.2 9.3 14 15.3 14 23.7 0 5.7-3.3 14.8-7.8 24h18c3.4-7.9 5.8-16 5.8-24 0-15.5-10.2-25.5-18-34.3-7.8-8.8-14-16.4-14-29.7 0-4.9 6.6-16.4 14.6-28.3 7-10.4 15-21.5 16.9-34l-16.1-1.6zM40.33 312c1.68 42.5 16.6 76.8 48.58 101.7C122.9 440.1 177.1 456 256 456s133.1-15.9 167.1-42.3c32-24.9 46.9-59.2 48.6-101.7H40.33zM192 472v16h128v-16H192z"}}]})(props);
};
function GiNorthStarShuriken (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M346.864 367.468l-25.053-34.472c11.758-14.539 18.833-33.005 18.833-53.113 0-1.446-.146-2.85-.214-4.28l40.568-13.182-17.865 46.392L493.89 202.594l-168.224-9.086 41.72 27.032-40.537 13.173c-11.231-17.177-28.527-29.978-48.828-35.468v-42.628l38.597 31.328L256 29.753l-60.62 157.191 38.598-31.328v42.629c-20.3 5.49-37.596 18.29-48.826 35.467l-40.527-13.172 41.715-27.021-168.23 9.075L148.878 308.82l-17.866-46.387 40.558 13.178c-.07 1.423-.214 2.832-.214 4.273 0 20.113 7.078 38.58 18.835 53.124l-25.045 34.471-12.812-48.025-43.354 162.794 141.434-91.537-49.637 2.656 25.06-34.495c9.384 3.602 19.526 5.656 30.163 5.656s20.781-2.059 30.172-5.656l25.059 34.488-49.634-2.649 141.428 91.537-43.349-162.799zm-131.466-87.585c0-22.386 18.215-40.6 40.602-40.6 22.386 0 40.601 18.214 40.601 40.6 0 22.387-18.215 40.602-40.601 40.602-22.387 0-40.602-18.215-40.602-40.602z"}}]})(props);
};
function GiNoseFront (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M177.664 38c-6.95 103.71-7.898 212.628-46.676 270.396-25.073 37.353-38.137 65.895-42.94 88.59-4.8 22.695-.85 40.19 8.563 51.965 18.828 23.553 52.752 22.828 66.824 22.532a9 9 0 0 0 3.168-17.416 34.564 18.29 0 0 0 8.384-4.152c3.072 2.195 6.165 4.695 9.34 7.418 16.668 14.295 35.994 34.946 67.877 34.668 31.853-.277 55.89-20.32 76.385-34.81 3.45-2.44 6.8-4.708 10.055-6.764a34.564 17.756 0 0 0 7.925 3.29 9 9 0 0 0 1.998 17.766c14.072.296 47.996 1.02 66.823-22.53 9.412-11.776 13.363-29.27 8.56-51.966-4.8-22.695-17.865-51.237-42.938-88.59C342.234 250.628 341.286 141.71 334.336 38h-18.03c6.85 103.14 5.31 214.207 49.76 280.428 24.305 36.207 36.224 63.147 40.274 82.285 4.05 19.138.72 29.826-5.014 37-.917 1.147-1.948 2.204-3.058 3.195a34.564 17.756 0 0 0 .378-2.476 34.564 17.756 0 0 0-34.564-17.756 34.564 17.756 0 0 0-33.512 13.496c-4.18 2.597-8.28 5.428-12.373 8.32-21.223 15.004-42 31.298-66.15 31.508-24.12.21-38.228-15.087-56.004-30.332-5.378-4.613-11.062-9.184-17.445-12.902a34.564 18.29 0 0 0-31.02-10.246 34.564 18.29 0 0 0-34.562 18.29 34.564 18.29 0 0 0 .156 1.594c-.898-.844-1.736-1.738-2.498-2.69-5.735-7.175-9.063-17.863-5.014-37 4.05-19.14 15.97-46.08 40.274-82.286 44.45-66.22 42.91-177.288 49.76-280.428h-18.03z"}}]})(props);
};
function GiNoseSide (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.307 21.307v469.386h202.83c-4.174-21.84-1.993-42.658 6.646-60.482 14.007-28.898 44.732-48.323 86.37-51.22l.19-.013.194-.004c13.59-.456 44.624-11.956 61.684-31.192 8.53-9.617 13.925-20.642 14.282-33.626.357-12.984-4.327-28.633-18.682-47.488-53.87-70.76-118.502-154.877-153.504-245.36zm112.767 248.937l16.998 5.926c-7.097 20.357-10.2 36.084-10.066 48.324.132 12.24 3.172 20.972 9.11 29.108 11.874 16.27 37.717 29.868 75.25 49.265l-8.264 15.992c-37.432-19.346-65.516-32.708-81.528-54.647-8.006-10.97-12.4-24.158-12.566-39.526-.167-15.367 3.568-32.934 11.066-54.443zM288.44 330.13c19.56-.24 33.37 5.704 36.013 15.497 1.73 6.472-1.583 14.065-9.324 21.38-5.33-15.247-27.126-21.834-49.005-14.812-20.975 6.755-34.747 23.72-31.6 38.928-13.273-1.856-22.015-7.213-24.076-14.754-3.99-14.79 18.3-33.662 49.78-42.15 9.55-2.576 19.25-3.982 28.21-4.09z"}}]})(props);
};
function GiNothingToSay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.156 56.938c-64.144 0-122.393 19.17-165.03 50.718-42.64 31.547-69.845 76.01-69.845 125.5 0 49.492 27.207 93.952 69.845 125.5 6.388 4.727 13.13 9.164 20.188 13.313l-12.657 95.905 90.594-65.75c21.226 4.708 43.67 7.25 66.906 7.25 64.144 0 122.362-19.17 165-50.72C461.794 327.11 489 282.65 489 233.156c0-49.49-27.206-93.95-69.844-125.5-42.638-31.546-100.856-50.718-165-50.718zM157 274.438c12.69 0 23 10.276 23 22.968 0 12.69-10.31 23-23 23s-22.97-10.31-22.97-23 10.28-22.97 22.97-22.97zm96.844 0c12.69 0 22.97 10.276 22.97 22.968-.002 12.69-10.28 23-22.97 23s-23-10.31-23-23 10.31-22.97 23-22.97zm99.844 0c12.69 0 22.968 10.276 22.968 22.968 0 12.69-10.278 23-22.97 23-12.69 0-22.998-10.31-22.998-23s10.31-22.97 23-22.97z"}}]})(props);
};
function GiNuclearBomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M177.746 465.133a111.134 111.134 0 0 0 24.98 10.73 123.6 123.6 0 0 1-165.845-169.69c2.617 9.252 7.46 19.842 14.427 31.56 13.57 22.786 35.29 49.784 59.59 74.084 23.174 23.175 46.923 42.115 66.85 53.316zM317.31 21.616l-66.85 66.85 173.69 173.69 66.85-66.85zM259.29 162.62l89.473 89.474 44.895 5.958L254.095 118.49zm81.522 107.348c-15.575 34.527-65.865 141.216-108.848 184.222-37.728 37.73-206.412-143.08-174.746-174.746 42.772-42.772 149.977-91.478 185.478-106.866l97.342 97.343zM203.008 355.1a33.014 33.014 0 0 1-31.794-8.55l-24.77 24.77a68.022 68.022 0 0 0 65.56 17.663zm-40.24-40.472a33.014 33.014 0 0 1 23.457-23.34l-8.983-33.893a68.022 68.022 0 0 0-48.284 48.167zm41.86-1.43a14.238 14.238 0 1 0 0 20.136 14.238 14.238 0 0 0 0-20.196zm38.044-38.047l-24.77 24.77a33.014 33.014 0 0 1 8.503 31.96l33.847 9.16a68.022 68.022 0 0 0-17.592-65.947z"}}]})(props);
};
function GiNuclearPlant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M13.447 18l4.826 20.656c17.47 32.683 68.819 20.747 94.545-1.635-14.136 38.399-65.72 49.25-95.964 26.354-.794 11.045 1.01 18.688 4.326 23.547 4.729 6.93 13.658 10.949 30.021 11.203l12.475.193-4.12 11.778c-5.347 15.288-4.928 23.375-1.91 28.478 1.975 3.337 6.034 6.533 12.678 9.545 40.193-8.27 83.572-9.067 121.676-9.119 28.214 0 56.41 1.001 79.78 3.033 23.37 2.032 41.025 4.306 52.245 9.916 10.816 5.781 25.574 5.525 36.207 3.994 9.222-1.415 16.325-4.613 21.387-10.853 3.954-4.874 7.015-12.152 7.9-23.31-33.606 4.231-67.935-8.9-76.294-47.872 40.54 37.963 82.92 42.849 131.005 16.412 11.444-6.49 18.25-14.805 20.485-27.605l1.392-7.975 8.079.543c7.79.524 14.336.366 19.814-.267V18h-21.979c-20.534 43.036-74.988 67.68-115.3 21.922 29.23 13.223 71.841 14.87 94.744-21.922H13.447zm270.645 29.957c-7.744 21.146-22.92 44.73-47.414 51.688-26.23 34.754-92.726 38.651-119.86-17.305 20.443 24.144 61.662 34.958 91.328 17.668-27.204-8.009-48.057-46.875-46.736-47.535 0 2.077 41.737 29.713 57.897 29.654 25.989.029 43.257-14.207 64.785-34.17zM494 72.945c-4.196.368-8.676.507-13.467.412-4.623 14.341-14.644 25.372-27.422 32.62-12.914 7.325-28.605 11.249-45.64 13.244-.675 15.828-4.645 28.298-11.873 37.209-8.483 10.457-20.558 15.453-32.637 17.306-12.578 1.93-25.722.924-37.504-.76a236.7 236.7 0 0 0-4.86 21.258C338.19 192.74 359.193 192 380.23 192c21.401 0 42.782.76 60.555 2.309 16.293 1.419 28.797 2.843 37.914 6.648 5.832-1.888 11.047-3.878 15.301-6.03v-22.613c-24.68 10.243-52.42 3.068-67.861-28.8 16.333 12.485 44.326 23.76 67.861 8.746V72.945zM192 157c-40.75 1.88-77.826-.767-116.965 8.832 28.05 96.266-1.687 216.838-32.195 309.791 11.247 5.175 30.635 10.198 53.91 13.465C124.683 493.008 158.353 495 192 495s67.317-1.992 95.25-5.912c23.275-3.267 42.663-8.29 53.91-13.465-30.508-92.953-60.246-213.525-32.195-309.791-8.367-2.095-22.342-4.439-38.744-5.865C247.59 157.999 219.786 157 192 157zm188.23 53c-20.97 0-41.962.757-58.994 2.24-1.125.098-2.22.207-3.308.317-8.896 79.06 12.998 172.267 37.445 248.76 8.189.323 16.517.501 24.857.501 25.373 0 50.765-1.507 71.762-4.459 16.35-2.298 30.045-5.83 38.403-9.298-22.686-69.604-44.617-159.096-24.422-231.875-6.263-1.396-15.673-2.981-26.748-3.946-17.032-1.483-38.023-2.24-58.995-2.24zm-141.335 28.21c29.289 17.126 45.21 48.33 44.464 80.056l-61.252-6c-.43-7.908-4.625-15.474-11.837-19.84l28.625-54.215zm-92.956 1.12l27.79 52.514a24.504 24.504 0 0 0-9.616 9.347 24.489 24.489 0 0 0-3.258 11.075l-57.384 6c-.42-16.048 3.166-32.448 11.78-47.37 7.723-13.372 18.408-23.987 30.688-31.566zm45.895 64.092c3.515.034 5.522.778 7.762 2.07a16.161 16.161 0 0 1 5.933 22.162 16.144 16.144 0 0 1-22.146 5.934 16.165 16.165 0 0 1-5.947-22.162c2.815-4.876 8.244-7.778 12.794-7.975a30.402 30.402 0 0 1 1.604-.03zm12.478 43.203l31.467 48.578c-13.778 7.362-29.255 11.298-44.92 10.89-14.368-.372-28.682-4.176-42.029-11.782l30.828-47.12c7.95 4.349 17.346 3.852 24.655-.566z"}}]})(props);
};
function GiNuclearWaste (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M140 29.92c-31.4 0-59.89 3.25-79.89 8.25-9.9 2.5-17.8 5.51-22.4 8.25-3.2 1.87-4.1 3.15-4.5 3.58.4.43 1.3 1.71 4.5 3.58 4.6 2.74 12.5 5.75 22.4 8.25 20 5 48.49 8.25 79.89 8.25h5.7c5.3-2 11.1-3.78 17.6-5.4 20.3-5.08 46.5-8.42 75.8-9.36 1.2-.57 2.3-1.14 3.2-1.7 3.1-1.87 4.1-3.15 4.5-3.58-.4-.43-1.4-1.71-4.5-3.58-4.6-2.74-12.5-5.75-22.5-8.25-19.9-5-48.4-8.25-79.8-8.25zm232 0c-31.4 0-59.9 3.25-79.8 8.25-10 2.5-17.9 5.51-22.5 8.25-3.1 1.87-4.1 3.15-4.5 3.58.4.43 1.4 1.71 4.5 3.58.9.56 2 1.13 3.2 1.7 29.3.94 55.5 4.28 75.8 9.36 6.5 1.62 12.3 3.4 17.6 5.4h5.7c31.4 0 59.9-3.25 79.8-8.25 10-2.5 17.9-5.51 22.5-8.25 3.1-1.87 4.1-3.15 4.5-3.58-.4-.43-1.4-1.71-4.5-3.58-4.6-2.74-12.5-5.75-22.5-8.25-19.9-5-48.4-8.25-79.8-8.25zM33.01 71.44V369.9c0 4.3 1.8 8 6.8 12.3 5 4.3 13.1 8.5 23.3 11.9 15.3 5.1 35 8.5 55.89 9.8V278.3l-16.5 28.6-7.79-4.5c-27.4-15.9-44.3-45.3-44.4-77v-9h52.59c-.6 2.6-.9 5.3-.9 8.1 0 13.1 6.8 24.8 17 31.7v-63.4c-1.9 1.3-3.6 2.7-5.2 4.2l-25.99-45.1 7.8-4.5c7.49-4.2 15.29-7.3 23.39-9.3V87.61c-24.19-1.08-45.99-4.01-63.19-8.32-8.9-2.21-16.5-4.76-22.8-7.85zm445.99 0c-6.3 3.09-14 5.63-22.8 7.84-17.2 4.31-39 7.24-63.2 8.32v50.6c8.1 2 16 5.1 23.4 9.3l7.7 4.5-4.4 7.8-21.5 37.2c-1.6-1.5-3.3-2.9-5.2-4.2v63.4c10.2-6.9 17-18.6 17-31.7 0-2.8-.3-5.5-.9-8.1h50.8v9c0 31.8-17 61.1-44.4 77l-7.8 4.5-14.7-25.5v122.5c20.9-1.3 40.7-4.7 55.9-9.8 10.2-3.4 18.3-7.6 23.3-11.9 5-4.3 6.8-8 6.8-12.3zM256 73c-34.7 0-66.2 3.57-88.3 9.1-11.1 2.77-19.8 6.09-25.1 9.19-4.3 2.58-5.3 4.42-5.5 4.71.2.29 1.2 2.12 5.5 4.7 5.3 3.1 14 6.4 25.1 9.2 22.1 5.5 53.6 9.1 88.3 9.1 34.7 0 66.2-3.6 88.3-9.1 11.1-2.8 19.8-6.1 25.1-9.2 4.3-2.58 5.3-4.41 5.5-4.7-.2-.29-1.2-2.13-5.5-4.71-5.3-3.1-14-6.42-25.1-9.19-22.1-5.53-53.6-9.1-88.3-9.1zm118.9 23c.1.1.1.1.1 0s0-.1-.1 0zm-237.8 0c-.1-.1-.1-.1-.1 0s0 .1.1 0zm-.1 22.1V448c0 5 2.2 9.3 7.9 14.2 5.6 4.8 14.7 9.5 25.9 13.3 22.6 7.5 54 11.5 85.2 11.5 31.2 0 62.6-4 85.2-11.5 11.2-3.8 20.3-8.5 25.9-13.3 5.7-4.9 7.9-9.2 7.9-14.2V118.1c-7.2 3.7-16 6.6-26.3 9.3-24.2 6-56.7 9.6-92.7 9.6s-68.5-3.6-92.7-9.6c-10.3-2.7-19.1-5.6-26.3-9.3zM256 191c16.8 0 33.5 4.4 48.5 13l7.8 4.5-4.5 7.8-24.1 41.6c-7.3-6.7-17-10.9-27.7-10.9s-20.4 4.2-27.7 10.9l-28.6-49.4 7.8-4.5c15-8.7 31.7-13 48.5-13zm0 74c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23 10.2-23 23-23zm-98 15h57.8c-.5 2.6-.8 5.3-.8 8 0 18.1 12 33.7 28.5 39l-29.2 50.5-7.8-4.5c-30-17.3-48.5-49.4-48.5-84zm138.2 0H352v9c0 34.6-18.5 66.7-48.5 84l-7.8 4.5-28.8-50c17.3-4.8 30.1-20.8 30.1-39.5 0-2.7-.3-5.4-.8-8z"}}]})(props);
};
function GiNuclear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 31c-26.498 0-79.5 26.92-79.5 53.844S203.003 165.62 256 219.47c52.997-53.85 79.5-107.702 79.5-134.626C335.5 57.92 282.498 31 256 31zm1.53 215.406A52.997 53.847 0 0 0 203 300.25a52.997 53.847 0 0 0 106 0 52.997 53.847 0 0 0-51.47-53.844zm-166.155 80.47c-26.704.12-47.245 4.393-58.72 11.124-22.947 13.462-19.373 73.558-6.124 96.875 13.25 23.317 62.678 56.493 85.626 43.03 22.95-13.46 55.602-63.722 75-137.28-36.197-9.855-69.077-13.87-95.78-13.75zm329.25 0c-26.704-.122-59.584 3.894-95.78 13.75 19.397 73.557 52.05 123.818 75 137.28 22.947 13.462 72.375-19.714 85.624-43.03 13.248-23.318 16.822-83.414-6.126-96.876-11.474-6.73-32.015-11.004-58.72-11.125z"}}]})(props);
};
function GiNunFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M203 26.06L56.47 52.7 158 116.1l55.4-69.22L203 26.06zm106 0l-10.4 20.82L354 116.1l101.5-63.41L309 26.06zm-53.7 4.44a275.263 275.263 0 0 0-29.1 1.73l8.4 16.89L217.1 71h77.8l-17.5-21.88 8.5-16.99c-10.6-1.14-20.8-1.67-30.6-1.63zM40.83 64.14c-.13 10.66-.53 21.21-1.95 31.15-1.59 11.11-4.38 21.71-9.87 30.61l39.93 26.6h.02l48.04 32-10 15-37.76-25.2-25.31 88.6c13.02-.3 26.96-1.4 39.21-5.4 16.11-5.4 29.16-14.9 36.36-36.3l29.7-89.3L40.83 64.14zm430.37.02L362.8 131.9l29.7 89.3c7.2 21.4 20.2 30.9 36.3 36.3 12.3 4 26.2 5.1 39.2 5.4l-25.3-88.5-37.7 25.1-10-15 48-32 40-26.6c-5.5-8.9-8.3-19.5-9.9-30.63-1.4-9.93-1.8-20.47-1.9-31.11zM202.7 89L168 132.4l-4.9 14.7C230 133.6 279 112.1 310 89.82l-.7-.82H202.7zm119.2 15.8l-2.1.5c-6.3 4.5-13.2 8.9-20.7 13.2l46 17.3-1.1-3.4-22.1-27.6zM277.3 130c-32 15.1-72.3 28.1-120.8 37l-20 59.8c-2.8 8.5-6.7 15.8-11.3 22 15 72.4 68.5 125 130.8 125 62.3 0 115.8-52.6 130.8-125-4.6-6.2-8.5-13.5-11.3-22l-23-68.9-75.2-27.9zM160 193h64v18h-8.4c.9 2.8 1.4 5.8 1.4 8.8 0 14.2-10.8 26.8-25 26.8s-25-12.6-25-26.8c0-3 .5-6 1.4-8.8H160v-18zm128 0h64v18h-8.4c.9 2.8 1.4 5.8 1.4 8.8 0 14.2-10.8 26.8-25 26.8s-25-12.6-25-26.8c0-3 .5-6 1.4-8.8H288v-18zm-96 18c-3.4 0-7 3.4-7 8.8s3.6 8.8 7 8.8 7-3.4 7-8.8-3.6-8.8-7-8.8zm128 0c-3.4 0-7 3.4-7 8.8s3.6 8.8 7 8.8 7-3.4 7-8.8-3.6-8.8-7-8.8zm-38.3 32.5l12.6 13c-11.2 10.7-23.6 18-37.2 18.5-13.7.5-27.2-6.1-39.5-18.7l12.8-12.6c10.1 10.3 18.4 13.6 26 13.3 7.7-.3 16.1-4.5 25.3-13.5zM256 295c8.4 0 16 1.5 22.4 4.7 2.1 1 4.1 2.3 6 3.9 7.7-1.9 15.8-4.6 24.3-8l6.6 16.8c-8.5 3.4-16.7 6.1-24.7 8.1-1.5 6.4-6.9 10.8-12.2 13.4-6.4 3.2-14 4.7-22.4 4.7-8.4 0-16-1.5-22.4-4.7-5.3-2.6-10.7-7-12.2-13.4-8-2-16.2-4.7-24.7-8.1l6.6-16.8c8.5 3.4 16.6 6.1 24.3 8 1.9-1.6 3.9-2.9 6-3.9 6.4-3.2 14-4.7 22.4-4.7zm-121.9 23.9l-74.73 36.8 40.6 94.8 46.53-31 5 7.5c27.2 40.8 66.7 56.8 95.5 59.6V441h-39v-18h29.3l-33.8-42.3c-27.9-12.2-51.9-33.9-69.4-61.8zm243.8 0c-17.5 27.8-41.5 49.6-69.4 61.8L274.7 423H304v18h-39v45.6c28.8-2.8 68.3-18.8 95.5-59.6l5-7.5 46.5 31 40.6-94.8-74.7-36.8zM43.17 363.6l-20.2 10V491h32v-27h18v27H198c-19.9-9.6-39.7-24.6-56.2-46.7l-49.83 33.2-48.8-113.9zm425.63.1L420 477.5l-49.8-33.2c-16.5 22.1-36.3 37.1-56.2 46.7h125v-27h18v27h32V373.6l-20.2-9.9zm-235 26.2l22.2 27.7 22.2-27.7c-7.2 1.2-14.7 1.9-22.2 1.9s-15-.7-22.2-1.9z"}}]})(props);
};
function GiNunchaku (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M317.096 24.062c-5.96-.065-11.61 1.097-16.576 3.46-2.844 1.352-5.54 3.216-7.788 5.53-.403-.21-.812-.41-1.222-.597-6.663-3.06-14.516-3.974-22.662-2.682-8.147 1.293-15.333 4.59-20.72 9.565-2.037 1.88-3.847 4.1-5.247 6.564-6.555-1.378-13.72-.858-20.835 1.502-7.83 2.598-14.383 7.017-18.893 12.8-4.183 5.363-6.702 12.536-5.017 19.657-5.716 2.527-10.943 6.68-15.26 12.136-3.33 4.207-5.778 8.764-7.252 13.445.43-.01.86-.034 1.29-.036 5.77-.025 11.553.883 17.1 2.524.763-1.585 1.745-3.205 2.977-4.762v-.002c3.106-3.925 6.97-6.464 9.924-7.422 1.108-.36 1.986-.517 2.682-.547 1.16-.05 1.814.252 2.19.55.605.48 1.38 1.646 1.128 4.743-.252 3.097-1.84 7.438-4.945 11.363-.387.49-.785.955-1.19 1.4 5.297 2.93 10.147 6.647 14.202 11.11.374-.437.743-.882 1.104-1.34 5.118-6.467 8.172-13.76 8.768-21.07.143-1.763.12-3.568-.077-5.362 2.33-.377 4.674-.952 7.014-1.73 7.83-2.597 14.386-7.016 18.896-12.798.905-1.16 1.727-2.407 2.45-3.718 5.426 1.51 11.403 1.79 17.548.814 8.146-1.293 15.332-4.59 20.72-9.562.604-.558 1.184-1.15 1.744-1.764 4.798 3.164 10.53 5.28 16.825 6.19 5.96.865 11.75.552 17.017-.905 2.08 6.164 5.987 11.935 11.37 16.81 3.32 3.005 6.922 5.413 10.68 7.165-.11.8-.19 1.6-.23 2.396-.383 7.323 1.673 14.957 5.885 22.05l.06.1c4.868-3.6 10.38-6.292 16.173-8.12-.257-.382-.515-.766-.756-1.172-2.557-4.305-3.55-8.82-3.387-11.922.006-.116.02-.21.027-.32 2.807-.41 5.552-1.292 8.045-2.735 2.478 1.582 5.233 4.258 7.352 7.826 1.12 1.886 1.923 3.805 2.477 5.635 2.363-.2 4.74-.28 7.112-.21 3.896.113 7.777.604 11.555 1.503-.662-5.44-2.587-10.924-5.672-16.118-3.44-5.793-7.886-10.495-13.003-13.75.444-3.374.175-6.83-.637-10.053-1.792-7.11-6.005-13.8-12.12-19.337-6.114-5.537-13.186-9.068-20.44-10.148-2.282-.34-4.653-.41-7-.162-1.52-3.352-3.822-6.33-6.493-8.73-5.455-4.9-12.682-8.1-20.846-9.284-2.04-.297-4.062-.456-6.048-.478zm-.153 18.022c1.167.004 2.38.09 3.62.27 4.954.717 9.087 2.782 11.398 4.86 2.312 2.075 2.555 3.455 2.444 4.217-.11.764-.733 2.02-3.54 3.355-2.804 1.335-7.355 2.14-12.31 1.422-4.954-.718-9.087-2.78-11.398-4.858-.85-.764-1.417-1.433-1.793-2.012l-.006-.045c-.135-.854-.334-1.677-.572-2.48.234-.77 1.02-1.87 3.467-3.036 2.104-1 5.19-1.706 8.69-1.693zm-41.66 5.15c3.5-.06 6.596.604 8.713 1.576 1.662.764 2.555 1.507 3.043 2.147.13.703.288 1.398.487 2.08-.184.796-.773 1.89-2.332 3.33-2.283 2.107-6.39 4.227-11.334 5.012-4.943.783-9.502.038-12.325-1.26-.24-.11-.442-.216-.65-.325-.668-1.71-1.55-3.27-2.604-4.674.336-.69.952-1.537 2.056-2.556 2.283-2.107 6.388-4.23 11.332-5.013 1.236-.195 2.448-.296 3.615-.316zm77.574 13.137c.555-.01 1.207.033 1.975.147 3.073.458 7.3 2.328 11.01 5.688s5.988 7.382 6.748 10.394c.112.443.187.84.246 1.21-2.575.352-5.115 1.17-7.498 2.586-.475.282-.927.583-1.367.897-2.415-.942-5.08-2.494-7.527-4.71-3.71-3.36-5.986-7.38-6.746-10.394-.76-3.013-.19-4.293.328-4.864.388-.428 1.17-.926 2.832-.955zm-116.752 2.82c1.502.038 2.853.23 3.977.538.545.15.997.31 1.408.477.656 1.55 1.496 2.988 2.48 4.312-.257.672-.706 1.484-1.478 2.473-1.91 2.45-5.618 5.21-10.37 6.785-4.75 1.577-9.372 1.582-12.368.76-2.996-.822-3.83-1.95-4.072-2.68-.243-.73-.25-2.132 1.662-4.582 1.91-2.45 5.62-5.208 10.37-6.785 2.97-.985 5.89-1.357 8.39-1.297zm-59.017 60.292c-3.486.012-6.73.665-9.764 1.637l-14.98 41.716c14.94-.53 30.592 4.598 43.185 15.844l15.087-42.016c-4.048-6.298-10.983-11.72-19.174-14.66-4.705-1.69-9.648-2.538-14.355-2.522zm218.244 5.137c-1.85.013-3.715.147-5.572.403-8.62 1.19-16.524 5.063-21.783 10.39l6.056 43.91c12.994-7.39 29.24-10.098 45.612-5.968l-6.1-44.224c-4.637-2.64-10.297-4.275-16.37-4.486-.61-.02-1.226-.03-1.843-.025zm-241.19 56.052c-2.94.025-5.81.362-8.552.974L94.25 328.62c15.76.55 31.143 6.467 43.572 14.772l51.006-142.04c-9.503-11.752-22.635-16.785-34.687-16.68zm249.655 8.53c-10.492.133-20.068 4.036-27.033 9.923l20.38 147.762c9.636-4.558 20.245-6.874 30.696-7.38 1.122-.054 2.244-.088 3.36-.1 3.868-.046 7.694.154 11.425.57l-20.27-146.973c-6.27-2.718-12.563-3.876-18.558-3.8zM97.385 347.1l4.88 25.26 21.296-16.432c-7.988-4.428-17.244-7.707-26.175-8.828zm335.185 14.537c-8.24.1-16.79 1.497-24.318 4.29l15.994 20.153 11.3-24.412c-.987-.026-1.978-.044-2.976-.03zm-350.523.966L69.453 397.68 86.31 384.67l-4.263-22.07zm43.723 14.357l-19.686 15.19 4.977 25.77 14.71-40.96zm321.664 1.88l-10.66 23.028 16.746 21.102-6.086-44.13zm-45.284 8.354l4.953 35.917 8.676-18.742-13.63-17.174zM90.13 404.46L71.75 418.64c4.486.312 9.058 1.267 13.574 2.89 3.167 1.136 6.146 2.543 8.906 4.183L90.13 404.46zm338.18 15.694l-11.498 24.832c4.772-2.43 10.122-4.116 15.85-4.906 3.81-.526 7.568-.622 11.203-.322l-15.556-19.604zm-358.726 16.42c-3.068-.114-5.913.254-8.322.996-4.818 1.484-7.593 4.06-8.737 7.244-1.144 3.186-.64 6.937 2.133 11.147 2.774 4.21 7.846 8.375 14.445 10.745 6.6 2.37 13.165 2.384 17.983.9 4.818-1.483 7.59-4.06 8.734-7.246 1.144-3.186.643-6.936-2.13-11.145-2.774-4.21-7.848-8.376-14.448-10.746-3.3-1.186-6.59-1.782-9.658-1.896zm370.627 21.03c-1.647-.03-3.35.066-5.087.306-6.947.958-12.77 3.986-16.352 7.533-3.58 3.548-4.846 7.116-4.383 10.47.462 3.352 2.646 6.444 7.054 8.89 4.41 2.445 10.834 3.784 17.78 2.826 6.947-.96 12.77-3.99 16.352-7.536 3.582-3.548 4.846-7.114 4.383-10.467-.462-3.353-2.644-6.445-7.053-8.89-3.306-1.835-7.747-3.047-12.69-3.134z"}}]})(props);
};
function GiNurseFemale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 20.86c-44.7 0-89.4 10.95-134.5 32.63.4 3.87 1 8.76 2.1 14.96 1.7 9.77 4.2 21.59 7.1 33.35 3 11.8 6.4 23.5 10 33 2.8 7.6 5.8 13 8 16.2h214.6c2.2-3.2 5.2-8.6 8-16.2 3.6-9.5 7-21.2 10-33 2.9-11.76 5.4-23.58 7.1-33.35 1.1-6.2 1.7-11.09 2.1-14.96-45.1-21.68-89.8-32.63-134.5-32.63zM238 40h36v30h30v36h-30v30h-36v-30h-30V70h30V40zm-89.4 129c-4.6 14.3-7.6 29.6-8.9 45.7 34.4-1.3 66.3-8.5 91.8-17.2 28.4-9.7 49.5-22.3 55-27.9l.6-.6H148.6zm150.2 0l1 1.2c13.7 16.1 27.8 33.8 41.5 44.8 6.8 5.5 13.4 9.2 19.3 10.8 4.3 1.1 8.2 1.2 12.3.1-.6-20.2-3.9-39.4-9.5-56.9h-64.6zm-7 19.6c-11.8 8.6-30.3 17.6-54.4 25.9-5.9 2-12.1 4-18.6 5.8 5.1 5 8.2 12 8.2 19.7 0 15.4-12.6 28-28 28s-28-12.6-28-28c0-3.6.7-7 1.9-10.2-10.9 1.6-22.3 2.6-33.9 3 .2 44.3 13.7 84.2 35.1 112.6C195.6 374 224.4 391 256 391c31.6 0 60.4-17 81.9-45.6 19.5-26 32.5-61.5 34.8-101.2-5.7.8-11.3.4-16.6-1-5.4-1.4-10.5-3.7-15.3-6.6.1 1.1.2 2.3.2 3.4 0 15.4-12.6 28-28 28s-28-12.6-28-28c0-15.1 12.1-27.5 27.1-28-7-7.5-13.8-15.6-20.3-23.4zm-170.5 31.9c-1.7 1.1-3.4 2.4-4.9 3.9-4.6 4.5-7.4 10.6-7.4 15.6 0 13.5 4.9 20.7 12.6 26.7.7.6 1.5 1.1 2.2 1.6-1.8-11.7-2.8-23.9-2.8-36.3 0-3.9.1-7.7.3-11.5zm269.4 0c.2 3.8.3 7.6.3 11.5 0 12.4-1 24.6-2.8 36.3.7-.5 1.5-1 2.2-1.6 7.7-6 12.6-13.2 12.6-26.7 0-5-2.8-11.1-7.4-15.6-1.5-1.5-3.2-2.8-4.9-3.9zM199 230c-5.6 0-10 4.4-10 10s4.4 10 10 10 10-4.4 10-10-4.4-10-10-10zm114 0c-5.6 0-10 4.4-10 10s4.4 10 10 10 10-4.4 10-10-4.4-10-10-10zm-79.6 50.8s3.5 2.6 8.4 5.3c5 2.7 11.3 4.9 14.2 4.9 2.9 0 9.2-2.2 14.2-4.9 4.9-2.7 8.4-5.3 8.4-5.3l10.8 14.4s-4.5 3.4-10.6 6.7c-6.1 3.3-13.8 7.1-22.8 7.1s-16.7-3.8-22.8-7.1c-6.1-3.3-10.6-6.7-10.6-6.7l10.8-14.4zm-110 8c-.4.9-.7 1.8-1.1 2.7-8.8 21-22.1 42.3-41.34 58.8 12.08 6 24.14 11.9 36.14 17.5 12.9-5.8 26.2-11.3 39.2-16.3-12.1-17.4-21.5-37.9-27.6-60.4-1.8-.7-3.5-1.5-5.3-2.3zm265.2 0c-1.8.8-3.5 1.6-5.3 2.3-6.1 22.5-15.5 43-27.6 60.4 13 5 26.3 10.5 39.2 16.3 12-5.6 24-11.5 36.1-17.5-19.2-16.5-32.5-37.8-41.3-58.8-.4-.9-.7-1.8-1.1-2.7zm-190.2 24.8c7 7 16 12.4 26.1 16 1.9-1 3.8-1.8 5.9-2.5 7.2-2.4 15.9-3.7 25.6-3.7 9.7 0 18.4 1.3 25.6 3.7 2.1.7 4 1.5 5.9 2.5 10.1-3.6 19.1-9 26.1-16l12.8 12.8c-8.4 8.4-18.5 14.7-29.6 19.1-.6 4-3.2 7.1-5.6 9.2-2.9 2.3-6.1 3.8-9.6 5-7.2 2.4-15.9 3.7-25.6 3.7-9.7 0-18.4-1.3-25.6-3.7-3.5-1.2-6.7-2.7-9.6-5-2.4-2.1-5-5.2-5.6-9.2-11.1-4.4-21.2-10.7-29.6-19.1l12.8-12.8zm-41.5 57.3c-13.8 5.3-27.8 11.1-41.1 17.3-25.7 11.8-49.38 24.7-66.21 36.2-8.42 5.8-15.12 11.3-19.35 15.8-4.22 4.5-5.24 7.9-5.24 7.8v39h205.8c-43.5-38.7-60.7-78.2-73.9-116.1zm198.2 0c-13.2 37.9-30.4 77.4-73.9 116.1H359v-39h18v39h14v-39h18v39h78v-39c0 .1-1-3.3-5.2-7.8-4.3-4.5-11-10-19.4-15.8-16.8-11.5-40.5-24.4-66.2-36.2-13.3-6.2-27.3-12-41.1-17.3zm-177.2 5.6c13.5 36.6 31.9 71.8 78.1 108.1 46.2-36.3 64.6-71.5 78.1-108.1-21.9 20.3-48.9 32.5-78.1 32.5-29.2 0-56.2-12.2-78.1-32.5z"}}]})(props);
};
function GiNurseMale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 20.86c-44.7 0-89.4 10.95-134.5 32.63.4 3.87 1 8.76 2.1 14.96 1.7 9.77 4.2 21.59 7.1 33.35 3 11.8 6.4 23.5 10 33 2.8 7.6 5.8 13 8 16.2h214.6c2.2-3.2 5.2-8.6 8-16.2 3.6-9.5 7-21.2 10-33 2.9-11.76 5.4-23.58 7.1-33.35 1.1-6.2 1.7-11.09 2.1-14.96-45.1-21.68-89.8-32.63-134.5-32.63zM238 40h36v30h30v36h-30v30h-36v-30h-30V70h30V40zm-95.1 129c-3.5 10.4-6.2 21.4-7.9 32.9 30.6 1.8 60.7-4.9 85.8-14.3 15.1-5.6 28.5-12.4 38.9-18.6H142.9zm168.3 0c11.6 9.8 24.4 18.7 36.8 24.9 10.4 5.2 20.3 8.4 29.2 9.1-1.7-11.9-4.4-23.3-8-34h-58zm-23.5 3.1c-12.2 9.7-33.2 22.1-60.5 32.3-8.2 3.1-17 5.9-26.1 8.3 12.5 2.8 21.9 14 21.9 27.3 0 15.4-12.6 28-28 28s-28-12.6-28-28c0-9.2 4.5-17.4 11.4-22.5-14.5 2.3-29.7 3.3-45.2 2.3-.3 4-.4 8.1-.4 12.2 0 89 56.4 159 123.2 159 66.8 0 123.2-70 123.2-159 0-3.6-.1-7.2-.3-10.7-12.9-.5-26.2-4.9-38.9-11.2-18.8-9.5-36.9-23.5-52.3-38zM317 212c15.4 0 28 12.6 28 28s-12.6 28-28 28-28-12.6-28-28 12.6-28 28-28zm-202 10.1c-.9.7-1.8 1.4-2.6 2.3-4.6 4.5-7.4 10.6-7.4 15.6 0 13.4 4.9 20.6 12.5 26.6-1.8-11.2-2.7-22.8-2.7-34.6 0-3.3.1-6.6.2-9.9zm282 0c.1 3.3.2 6.6.2 9.9 0 11.8-.9 23.4-2.7 34.6 7.6-6 12.5-13.2 12.5-26.6 0-5-2.8-11.1-7.4-15.6-.8-.9-1.7-1.6-2.6-2.3zM195 230c-5.6 0-10 4.4-10 10s4.4 10 10 10 10-4.4 10-10-4.4-10-10-10zm122 0c-5.6 0-10 4.4-10 10s4.4 10 10 10 10-4.4 10-10-4.4-10-10-10zm-87.4 51s4.7 3.6 10.6 7.3c6 3.7 13.9 6.7 15.8 6.7 1.9 0 9.8-3 15.8-6.7 5.9-3.7 10.6-7.3 10.6-7.3l11.2 14s-5.4 4.4-12.4 8.7C274.1 308 266 313 256 313s-18.1-5-25.2-9.3c-7-4.3-12.4-8.7-12.4-8.7l11.2-14zm-31.2 32.6C212.2 327.5 234 335 256 335s43.8-7.5 57.6-21.4l12.8 12.8C308.2 344.5 282 353 256 353c-26 0-52.2-8.5-70.4-26.6l12.8-12.8zm-44.6 48.1c-13.2 3.3-26.5 7-39.2 10.9-25.63 7.9-49.29 16.8-65.98 25.4-8.35 4.3-14.95 8.6-18.96 12.1-4.02 3.6-4.66 6-4.66 5.9v71h205.8c-47-41.8-63.3-84.6-77-125.3zm204.4 0c-13.7 40.7-30 83.5-77 125.3H359v-39h18v39h14v-39h18v39h78v-71c0 .1-.6-2.3-4.7-5.9-4-3.5-10.6-7.8-18.9-12.1-16.7-8.6-40.4-17.5-66-25.4-12.7-3.9-26-7.6-39.2-10.9zm-178.5 19.4c13.4 34.9 32 68.7 76.3 103.5 44.3-34.8 62.9-68.6 76.3-103.5-21.8 17.6-48 27.9-76.3 27.9-28.3 0-54.5-10.3-76.3-27.9z"}}]})(props);
};
function GiOBrick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M150.5 141a9.5 9.5 0 0 0-9.5 9.5v96a9.5 9.5 0 0 0 9.5 9.5 9.5 9.5 0 0 0-9.5 9.5v96a9.5 9.5 0 0 0 9.5 9.5h96a9.5 9.5 0 0 0 9.5-9.5 9.5 9.5 0 0 0 9.5 9.5h96a9.5 9.5 0 0 0 9.5-9.5v-96a9.5 9.5 0 0 0-9.5-9.5 9.5 9.5 0 0 0 9.5-9.5v-96a9.5 9.5 0 0 0-9.5-9.5h-96a9.5 9.5 0 0 0-9.5 9.5 9.5 9.5 0 0 0-9.5-9.5h-96zm9.5 19h77v77h-77v-77zm115 0h77v77h-77v-77zm-19 86.5a9.5 9.5 0 0 0 9.5 9.5 9.5 9.5 0 0 0-9.5 9.5 9.5 9.5 0 0 0-9.5-9.5 9.5 9.5 0 0 0 9.5-9.5zM160 275h77v77h-77v-77zm115 0h77v77h-77v-77z"}}]})(props);
};
function GiOakLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M92.239 26.432c-4.705.09-9.496.87-14.37 2.473-19.773 6.506-41.557 59.364-7.411 112.912 9.221 14.46-41 39.289-31.803 67.056 12.387 37.399 99.437 19.933 112.104 42.211 6.44 11.328-79.773 49.284-49.663 81.625 37.951 40.763 76.062 14.109 138.553 23.864 24.685 3.853-26.357 63.343 11.031 86.498 39.948 24.739 118.742 1.986 160.846-20.254a20577.214 20577.214 0 0 0-30.19-36.098c-33.45 10.371-71.807 15.824-106.036 13.664 36.092-6.615 65.118-14.246 94.8-27.025-21.566-25.637-43.299-51.22-65.357-76.479-36.846 7.379-103.783 18.406-166.793 13.88 8.83-1.316 110.772-14.937 154.935-27.38a3177.953 3177.953 0 0 0-24.357-27.318 6823.337 6823.337 0 0 0-27.935-35.486 6485.7 6485.7 0 0 0-15.413-19.34l-.115.658c-31.187 1.8-90.154 3.052-142.9-10.709 7.477.02 92.983 1.716 132.031-3.637-16.65-20.699-32.746-40.434-46.473-56.795-7.035-8.385-13.392-15.81-19.011-22.209l.05-.056c25.401 23.275 50.132 47.542 74.329 72.506 15.57-24.254 32.931-56.653 41.664-80.655 1.469 29.363-15.963 66.66-27.586 95.325 22.456 23.61 44.458 47.79 66.125 72.287 20.118-23.976 44.105-60.316 54.869-83.707-3.957 26.047-31.834 67.188-44.936 94.982 25.142 28.669 49.84 57.727 74.266 86.8 13.506-17.48 28.29-40.286 35.822-57.296 1.32 21.671-14.607 49.312-24.892 70.281l-.05-.014c9.624 11.49 19.211 22.974 28.766 34.428 3.016-2.12 5.604-4.173 7.582-6.095 31.459-30.573 36.26-79.699 17.842-116.51-12.519-25.021-70.096-8.654-77.265-23.846-9.068-19.214 51.563-76.204 28.146-104.902-16.456-20.168-75.04 1.983-85.264-16.182-16.343-29.04 28.13-74.832-21.763-99.244-26.468-12.95-46.397 5.349-88.338 44.103-21.236 19.623-62.13-63.165-113.828-64.312a48.694 48.694 0 0 0-2.012-.004zm345.39 402.365l-13.982 11.336 36.848 45.444 13.98-11.336-36.845-45.444z"}}]})(props);
};
function GiOak (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M348.92 15.633c-1.387-.018-2.776.02-4.168.113l-.002.006c-13.368.9-26.782 7.143-39.715 19.27-20.056-5.876-37.08-10.614-57.232-.58-37.81-11.887-75.686-13.068-104.54 19.27-42.477-10.09-87.2 9.883-76.51 58.985-47.074 14.955-56.408 78.2-.58 73.586 7.938 46.78 41.118 55.937 83.514 40.883 19.41 24.008 46.462 39.182 77.282 46.443.28 5.105.085 10.33-.566 15.68-5.807 47.77-50.79 105.31-121.367 154.696L81.12 460.723l29.16-1.354c29.003-1.347 48.05-2.39 58.935-1.55-5.818 6.555-11.317 12.37-16.28 17.297L134.04 493.88l26.26-4.417c23.887-4.017 44.442-7.94 59.927-8.363 15.484-.423 24.434 2.174 29.916 9.552l7.33 9.864 6.597-10.368c6.53-10.26 13.576-12.87 27.227-12.257 13.65.613 32.84 6.013 57.043 13.3l29.69 8.94-21.036-22.782c-8.04-8.707-15.965-18.118-23.357-27.786 2.535.115 5.228.297 8.015.596 12.14 1.3 26.887 3.978 40.67 8.067l26.127 7.75-17.145-21.184c-32.25-39.843-64.6-69.885-69.768-104.74-2.584-17.43.916-36.76 15.28-61.374 1.952-3.342 4.124-6.783 6.49-10.31 7.932-2.277 15.826-4.915 23.634-7.913 27.094 24.058 78.02 4.07 50.812-27.45 58.72-14.457 105.89-59.625 26.865-95.196 46.613-36.08 17.39-90.36-40.297-88.188-14.636-21.026-34.603-33.72-55.4-33.987zm11.277 65.488c-42.59 32.678-48.978 37.184-53.506 65.825.317 3.472.597 7.013 1.103 10.11 3.153 19.296 10.22 32.648 21.43 39.89 11.21 7.243 24.752 7.554 38.814 5.344 3.876-.61 7.86-1.446 11.91-2.397-26.82 26.337-45.555 49.373-57.742 70.253-15.75 26.986-20.6 50.827-17.404 72.385 5.283 35.632 30.606 63.305 56.864 93.556-6.317-1.147-12.557-2.146-18.21-2.752-8.907-.955-16.085-1.496-22.225-1.018-15.78-23.394-27.137-46.75-28.396-64.013l-16.875 1.23c2.246 30.812 24.037 66.155 49.786 97.565-12.35-3.28-23.554-5.657-33.69-6.112-13.696-.614-26.363 3.152-35.763 12.244-9.7-7.222-22.628-9.424-36.527-9.044-11.164.304-23.902 2.172-37.366 4.402 44.064-49.242 105.015-137.42 104.04-226.442l-16.92.186c.81 73.714-47.797 152.037-88.25 201.336-11.867-3.388-25.73-3.414-44.05-2.566 60.184-46.96 99.88-99.595 105.98-149.77 3.418-28.11-4.46-55.45-25.085-78.033-16.147-17.684-39.853-32.51-71.576-44.105 7.55-1.88 14.953-4.365 21.462-9.18 6.738-4.988 11.306-13.447 12.117-23.892 4.84 5.99 9.412 10.25 15.808 12.004 3.987 1.093 8.89.41 12.398-1.818 1.18-.75 2.055-1.72 2.987-2.65 1.008 13.36 2.204 26.116 4.996 35.543 1.305 4.41 2.77 8.54 6.917 11.938 4.147 3.4 11.522 3.424 16.02.846 2.954-1.693 5.624-4.19 8.255-7.105.53 5.72 1.776 10.502 4.068 14.624 1.406 2.527 3.53 5.005 6.594 6.473 3.065 1.467 6.72 1.527 9.586.712 5.732-1.63 9.41-5.37 13.29-10.104 8.362-10.204 17.167-27.234 25.41-49.5-1.647-26.645-3.49-39.06-35.522-58.758 25.123 13.013 47.678 20.495 89.27-7.207z"}}]})(props);
};
function GiOasis (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M307.4 20.97c-21.7-.15-43.9 3.68-64.9 9.72C296.7 39.1 344.7 55 364.3 80.71c-39.8-9.4-74.5 34.19-75.7 69.09 23.4-24.2 47.8-41.4 87.4-43.7 27.9 56.7 5.1 141.1 7.6 199.7.6 15.3 47.8 24.6 47.2 10.1-.2-51.5-4-145-25.8-208.1 38.8 7.3 74.1 33 74.1 33-1.1-23-26.9-48.99-58.6-53.59 7.7-9.6 27-24.9 71.1-26.71-23.4-18.4-59.9-17.7-88.3 2.31-25.1-30.36-59.8-41.61-95.9-41.84zm-153 35.84c-18.3.1-36.9 6.89-56.35 21.82-25.99-18.58-56.2-25.59-77.61-8.5 40.35 1.68 49.53 21.74 56.57 30.57-29 4.3-50.49 25.9-51.49 47.1 0 0 34.94-13.1 70.44-19.9-19.94 58.5-20.49 91.1-20.68 139 .57 11.5 41.52 17.8 42.22 1.5 2.3-54.5-13.6-79.4 2.4-134.1 11.5-5.9 52.2.5 73.6 23-1.1-32.3-19-64.41-55.4-55.7 9.4-18.03 26.8-21.13 78-20.99-20.7-15.28-41-23.87-61.7-23.8zm50.4 227.69c-22.3-.1-44.3 3.4-65.2 12.2-57.09 24.2-85.37 48.5-90.55 75.7-2.58 13.6 1.58 26.9 9.74 38.2 8.16 11.3 20.17 21.1 34.67 29.9 58.04 35.1 156.94 55.3 222.24 49.6 26.6-2.3 62.7-7 93.7-18.4 15.4-5.8 29.7-13.2 40.8-23.4 11-10.3 18.8-23.7 20-39.7v-.1c1-14.1-4.2-26.7-12.6-36.5-8.4-9.8-19.8-17.4-32.3-23.8-25.1-12.9-55.1-21.3-76.5-29.3-44-16.5-94.8-34.2-144-34.4zm11.2 18.7c12.3.8 24.9 2.6 37.4 5.2-70.8 23.9-127.7 59.7-171.65 101-4.55-4.4-8.4-8.9-11.35-14 39-36.4 87.3-68.4 145.6-92.2zm58.3 10.1c17.4 4.6 34.7 10.3 51.4 16.3-71.7 31.2-138.6 65.8-192.3 110.7-12.8-5.3-24-11.3-34.64-17.7 50.54-45 111.14-79.4 175.54-109.3z"}}]})(props);
};
function GiOat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.787 24.672c-19.46.194-39.213 2.816-58.88 8.086C69.032 66.486-5.664 195.868 28.063 321.74 54.3 419.652 138.414 486.586 233.73 495.623c-2.958-41.58-1.013-83.51 3.913-125.894l18.564 2.155c-4.923 42.36-6.768 83.89-3.67 124.77 21.273.298 42.942-2.294 64.508-8.073 125.873-33.728 200.57-163.107 166.842-288.98-28.458-106.206-125.012-175.98-230.1-174.93zm16.275 20.44c14.34 29.823 20.8 57.25 20.018 78.46l-28.49 33.598-24.106-39.1c2.935-20.556 14.04-45.806 32.578-72.96zm-70.878 64.343c6.723 4.115 12.998 8.327 18.853 12.602l-.035.02 33.687 54.646-3.012 38.916-42.422-44.933c-4.54-17.19-7.108-37.92-7.072-61.252zm132.892 10.047c-3.324 22.093-8.647 41.478-15.303 57.404l-49.336 38.545 3.088-39.923 37.993-44.8c7.29-3.923 15.14-7.683 23.558-11.225zm-146.58 68.082c6.227 2.28 12.15 4.674 17.752 7.16L246.73 240.8l-3.173 41.01-37.19-20.933c-10.98-15.844-18.874-40.415-20.87-73.293zm152.74 11.465c-6.607 29.925-17.328 51.98-29.798 66.18l-46.223 17.692 3.27-42.23 44.452-34.73c8.73-2.622 18.176-4.946 28.3-6.913zM179.096 275.4c6.876.675 13.44 1.575 19.703 2.66l43.167 24.297-3.887 50.236c-21.094-5.566-43.688-30.975-58.984-77.194zm139.238 9.957c3.844-.022 7.784.04 11.812.185-22.9 46.967-50.93 69.05-73.464 68.892l3.937-50.894 46.718-17.883c3.573-.178 7.237-.28 10.996-.3z"}}]})(props);
};
function GiObelisk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 22.127L238.562 57h34.875L256 22.127zM233 75v268h46V75h-46zm-16 286v14h78v-14h-78zm-17.193 32l-13.43 94h139.246l-13.428-94H199.807z"}}]})(props);
};
function GiObservatory (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M220.324 73.05c-5.148.102-10.244.408-15.28.925 38.583 92.843 40.53 149.816 41.948 194.722 13.665-.22 27.327-.79 40.985-1.726-.867-86.935-37.327-165.248-67.653-193.92zm40.545 3.663c27.632 13.237 52.446 35.57 72.437 60.955l18.207-12.98c-24.553-23.846-55.78-40.86-90.645-47.975zm-74.163.09C105.784 93.517 44.517 163.548 41.16 248.64c62.735 12.36 125.33 19.76 187.834 20.13-1.395-45.53-3.087-99.25-42.287-191.967zm244.068 14.543c-1.904-.045-3.733.247-5.462.853-5.536 1.94-10 7.087-12.463 15.51-2.464 8.425-2.434 19.664 1.22 30.987 3.655 11.323 10.147 20.295 16.994 25.455 6.848 5.16 13.388 6.453 18.924 4.512 5.536-1.94 9.998-7.087 12.46-15.512 2.464-8.424 2.437-19.663-1.218-30.986-1.744-5.406-4.14-10.268-6.91-14.443a15.318 9.72 76.94 0 0-6.146-7.575c-1.288-1.282-2.607-2.435-3.94-3.44-4.707-3.547-9.268-5.265-13.46-5.362zm5.805 8.857a28.954 18.568 76.585 0 1 3.45.305 15.318 9.72 76.94 0 0-2.934 17.04 15.318 9.72 76.94 0 0 13.416 11.14 15.318 9.72 76.94 0 0 5.744-12.774 28.954 18.568 76.585 0 1 2.34 6.106 28.954 18.568 76.585 0 1-9.225 34.36 28.954 18.568 76.585 0 1-25.64-21.05 28.954 18.568 76.585 0 1 9.223-34.357 28.954 18.568 76.585 0 1 3.627-.77zm-43.223 16.762l-13.67 9.744c-.292 19.73 3.38 31.84 8.604 41.048 5.153 9.08 12.31 15.71 20.147 23.537l16.1-9.61c-1.477-.884-2.917-1.846-4.305-2.892-10.227-7.708-18.465-19.618-23.152-34.14-3.023-9.367-4.227-18.796-3.723-27.688zm-31.265 22.29l-64.63 46.073c5.126 19.47 9.352 43.4 10.077 66.193l84.907-50.68c-6.756-6.63-14-13.953-19.812-24.2-5.47-9.64-9.332-21.66-10.543-37.386zm40.457 76.516l-22.27 13.292c2.23 8.957 3.495 17.38 3.683 24.963 7.63-1.557 15.26-3.232 22.89-5.056-.43-11.366-1.9-22.46-4.304-33.2zM41 266.794v30.127c122.077 29.426 243.923 29.426 366 0v-29.6c-122.274 28.494-244.39 23.097-366-.527zm0 48.646v157.04c17.678 3.434 35.344 6.476 53 9.106V426c4.292-6.5 12.224-9.7 20.72-9.865 12.42-.244 26.045 5.99 31.28 17.865v54.055c87.183 8.608 174.138 5.576 261-15.207v-157.41c-121.928 28.724-244.072 28.724-366 0zm329.984 87.73c6.89.014 13.016 3.185 13.016 10.185v32l-32 4v-32c0-9 10.125-14.203 18.984-14.185zm-81.486 11.783C296.968 414.955 304 418.5 304 426v32l-32 2v-32c0-8.5 9.03-13.05 17.498-13.047zM208 420c8 0 16 4 16 12v32h-32v-32c0-8 8-12 16-12z"}}]})(props);
};
function GiOcarina (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M439.088 50.27C295.73 49.974-39.922 265.802 61.39 388.523c51.407 62.274 112.452 65.694 170.964 36.868l-29.897-31.613a9.5 9.5 0 0 1-2.414-8.38c7.617-38.315 39.88-59.08 76.672-62.917a9.5 9.5 0 0 1 .834-.048 9.5 9.5 0 0 1 8.548 5.054l22.29 42.125C402.254 278.2 471.797 124.89 452.34 50.983c-4.203-.47-8.628-.703-13.252-.712zm-51.818 52.728a16.56 22.098 61.413 0 1 14.447 9.557 16.56 22.098 61.413 0 1-40.668 16.797 16.56 22.098 61.413 0 1 26.22-26.354zm-52.122 2.5a16.56 22.098 61.413 0 1 .002 0 16.56 22.098 61.413 0 1 14.446 9.557 16.56 22.098 61.413 0 1-40.668 16.797 16.56 22.098 61.413 0 1 26.22-26.354zm41.54 44.1a16.56 22.098 61.413 0 1 14.45 9.556 16.56 22.098 61.413 0 1-40.67 16.797 16.56 22.098 61.413 0 1 26.22-26.352zm-53.75 3.33a16.56 22.098 61.413 0 1 14.45 9.556 16.56 22.098 61.413 0 1-40.67 16.797 16.56 22.098 61.413 0 1 26.22-26.352zm-117.8 70.36a25.768 29.553 70.787 0 1 26.876 24.175 25.768 29.553 70.787 0 1-58.33 4.057 25.768 29.553 70.787 0 1 30.242-28.202 25.768 29.553 70.787 0 1 1.21-.03zm-60.05 39.82a25.767 29.553 46.864 0 1 21.766 13.92 25.768 29.553 46.864 1 1-51.676 27.363 25.767 29.553 46.864 0 1 29.91-41.283zm-21.39 66.933a25.767 29.553.983 0 1 7.59 1.476 25.767 29.553.983 0 1-16.33 56.144 25.767 29.553.983 0 1 7.67-57.615 25.767 29.553.983 0 1 1.07-.004zm148.765 12.306c-26.483 4.247-45.74 17.43-52.508 42.28l67.082 70.933c2.007-6.71 5.41-12.678 10.46-17.36 5.598-5.19 13.037-7.99 21.358-8.18l-46.392-87.674zm47.49 106.2c-4.262-.128-7.16 1.382-9.54 3.59-3.108 2.88-5.637 8.42-6.382 15.753 6.18-.332 10.884-1.732 14.124-4.09 3.598-2.617 6.407-6.84 8.022-14.13-2.36-.713-4.418-1.07-6.223-1.125z"}}]})(props);
};
function GiOccupy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M195.688 21.72v20h-81v48h81v38h-55v178h-16l-16-64-16 64h-16v87h-44v18h76.503l-42.337 27.615 5.822 16.492 98.295-9.937 30.931 44.609 72.688-39.734 78.851 40.515 16.977-43.445 108.895 17.941-54.143-54.056h47.517v-18h-28v-87h-32v-128h-32l-64-96v192h-64v-64l-32-.75v-81.25h-7v-106zm179.73 266.338l6.346 16.843-77.668 29.258 68.982 19.576-23.34 23.487c4.33 3.173 7.95 7.556 7.95 13.865 0 7.958-5.755 12.86-11.436 16.121-2.256 1.295-4.74 2.453-7.434 3.512h60.875l27.225 27.181-67.961-11.195-15.023 38.451-69.604-35.763-66.857 36.546-27.756-40.027-72.04 7.283 34.46-22.476h40.42c-2.694-1.059-5.178-2.217-7.434-3.512-5.68-3.261-11.435-8.163-11.435-16.121 0-7.958 5.754-12.862 11.435-16.123a51.193 51.193 0 0 1 4.084-2.086l-8.701-12.83 52.642-21.604 4.47-29.3h57.857l2.273 11.937zm-114.73 90.662c-23.71 0-45.197 2.385-60.102 6.004-23.655 5.145-17.735 8.348 0 12.724 14.905 3.62 36.391 6.004 60.101 6.004s45.197-2.385 60.102-6.004c23.655-5.144 17.735-8.349 0-12.724-14.905-3.62-36.391-6.004-60.101-6.004z"}}]})(props);
};
function GiOctogonalEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.018 22.963l-61.72 61.723c19.433-6.937 40.36-10.725 62.175-10.725 21.288 0 41.733 3.61 60.767 10.23l-61.222-61.227zM89.47 92.363v86.996c18.093-37.91 48.707-68.695 86.495-86.997H89.47zm247.51 0c37.723 18.27 68.3 48.98 86.403 86.8v-86.8H336.98zm-80.537 4.11C166.855 96.473 94 169.333 94 258.928c0 89.593 72.855 162.453 162.443 162.453 89.59 0 162.444-72.86 162.444-162.452 0-89.594-72.855-162.455-162.444-162.455zm0 21.062c56.318 0 104.84 32.766 127.588 80.315-26.38-29.476-71.3-49.262-122.634-50.473 4.36 7.187 8.307 14.898 11.797 23.047-11.635 7.206-19.388 20.083-19.388 34.775 0 21.123 16.023 38.503 36.578 40.654.245 4.43.377 8.905.377 13.42 0 42.575-11.1 81.19-29.35 111.185 51.34-1.216 96.266-21.01 122.64-50.497-22.74 47.57-71.272 80.357-127.607 80.357-56.247 0-104.718-32.683-127.504-80.134 26.407 29.37 71.254 49.07 122.482 50.273-18.323-29.996-29.33-68.48-29.33-111.187 0-42.716 11.012-81.802 29.342-111.896-51.22 1.2-96.063 20.89-122.475 50.252 22.793-47.43 71.253-80.095 127.483-80.095zM82.246 196.748l-62.17 62.172 62.166 62.172c-6.933-19.43-10.72-40.356-10.72-62.168 0-21.815 3.79-42.743 10.724-62.176zm348.502.14c6.903 19.394 10.674 40.273 10.674 62.036 0 21.76-3.77 42.636-10.67 62.027l62.025-62.03-62.03-62.03zM89.47 338.49v86.99h86.483c-37.782-18.302-68.392-49.084-86.482-86.99zm333.913.198c-18.102 37.815-48.674 68.52-86.39 86.793h86.39v-86.794zM194.31 433.164l61.708 61.715 61.212-61.22c-19.03 6.618-39.472 10.227-60.757 10.227-21.81 0-42.735-3.79-62.164-10.723z"}}]})(props);
};
function GiOctoman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.125 22.164c-19.76 0-36.66 9.458-47.84 23.828-11.178 14.37-17.096 33.448-17.096 53.9 0 17.73 4.482 35.445 12.488 49.72-3.192 1.283-6.23 2.788-9.115 4.486-17.876-10.823-33.51-26.418-50.706-40.973h-.003C122.26 94 100.67 83.36 75.732 83.428c-13.062.035-27.043 3.008-42.566 9.24 36.493 15.534 69.46 10.937 96.904 37.613 11.318 11 24.844 22.234 39.174 33.06-11.344-4.63-22.67-10.02-34.533-15.076-39.125-16.676-76.61-14.16-112.138 16.53 41.252 1.888 68.83-13.35 102.926 4.278 12.05 6.23 25.918 12.432 40.783 17.625-.465.917-.92 1.843-1.364 2.78-11.957-.545-24.013-2.01-36.812-2.967-43.405-3.243-77.64 13.206-103.534 52.312 39.69-6.815 61.67-36.732 101.287-30.353 9.535 1.542 19.95 2.578 30.934 3.114-.108.386-.222.77-.33 1.156-.424 1.543-.827 3.104-1.218 4.674-7.54 1.918-15.208 3.732-23.152 5.824-33.31 8.775-67.55 26.357-88.04 84.117 41.048-17.868 34.77-48.096 93.81-62.193 4.084-.975 8.317-1.913 12.654-2.887-3.565 25.276-4.108 52.236-4.108 77.26v9.346h41.727l1.974 30.724-.01 1.246h.09l8.377 130.296h117.122l8.367-130.115.107.003.02-1.99 1.94-30.162h41.726v-9.345c0-24.938-.54-51.8-4.073-77 3.937.882 7.784 1.738 11.506 2.627 59.04 14.097 52.76 44.325 93.808 62.193-20.488-57.76-54.73-75.342-88.04-84.117-7.526-1.982-14.807-3.71-21.966-5.52-.413-1.672-.84-3.335-1.293-4.978-.112-.404-.23-.803-.345-1.205 10.584-.55 20.62-1.575 29.838-3.066 39.616-6.38 61.595 23.537 101.285 30.352-25.895-39.106-60.13-55.555-103.533-52.312-12.41.927-24.12 2.344-35.72 2.926-.49-1.037-1-2.058-1.518-3.07 14.51-5.126 28.048-11.195 39.844-17.294 34.096-17.63 61.675-2.39 102.926-4.277-35.528-30.692-73.012-33.207-112.138-16.53-11.864 5.054-23.19 10.444-34.533 15.075 14.33-10.826 27.858-22.06 39.175-33.06 27.444-26.675 60.41-22.078 96.905-37.612-15.523-6.232-29.504-9.205-42.567-9.24-24.938-.067-46.53 10.573-69.123 29.697h-.004c-17.018 14.407-32.51 29.834-50.157 40.643-2.717-1.563-5.565-2.957-8.55-4.155 8.007-14.276 12.49-31.992 12.49-49.72 0-20.453-5.918-39.53-17.096-53.9-11.18-14.372-28.08-23.83-47.842-23.83zm0 18.69c14.022 0 24.918 6.105 33.09 16.61 2.003 2.576 3.812 5.432 5.406 8.518-9.41 3.848-19.595 6.276-30.052 7.12v18.806c12.532-.865 24.78-3.672 36.18-8.238 1.054 5.146 1.627 10.586 1.627 16.223 0 6.573-.873 13.297-2.385 19.728-11.185-4.388-23.167-7.1-35.422-7.948v18.808c10.167.825 20.075 3.154 29.266 6.82-2.157 4.49-4.615 8.48-7.272 11.68l-10.14 12.22 15.605 2.933c12.698 2.387 21.87 8.305 29.432 17.38 7.56 9.076 13.27 21.523 17.313 36.192 7.372 26.745 9.02 60.435 9.268 92.486h-24.38l.57-58.073-18.687-.183-1.045 106.39-7.338 114.135h-32.514V333.886H246.96V472.46h-30.87l-7.287-113.362 1.05-106.98-18.687-.184-.572 58.257H165.21c.25-32.05 1.897-65.74 9.27-92.485 4.042-14.67 9.75-27.116 17.313-36.19 7.562-9.077 16.734-14.995 29.432-17.382l15.605-2.934-10.143-12.22c-2.614-3.15-5.035-7.07-7.167-11.474 8.878-3.636 18.11-5.872 27.36-6.824v-18.846c-11.32.99-22.644 3.604-33.57 7.996-1.542-6.495-2.433-13.295-2.433-19.94 0-5.72.59-11.236 1.676-16.45 11.16 4.58 22.745 7.294 34.326 8.304V72.898c-9.518-.978-19.016-3.31-28.13-7.136 1.566-3 3.333-5.782 5.287-8.295 8.173-10.506 19.067-16.613 33.088-16.613z"}}]})(props);
};
function GiOctopus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M150.25 19.97c-114.48-.574-139.972 184.95 20.563 212.124-29.5.534-55.382 8.11-91.75 25.97C-19.2 306.313.665 462.966 100.874 446c34.48-5.838 51.21-50.325.875-65.375 16.515 29.61-27.968 47.1-41.906 1.938-11.262-36.49 21.145-74.914 52.468-85 30.5-9.82 55.244-10.86 82.47-5.844-36.585 34.247-56.547 80.465-42.376 123.624 44.522 135.595 192.146 82.52 162.844-6.72-10.346-31.506-41.408-46.505-68-10.155 35.164-8.854 50.45 38.75 18.188 49.342-26.355 8.655-60.212-13.527-66.032-41.343-7.82-37.39 19.77-77.195 54.78-95.25 22.176 35.37 38.812 48.68 83.22 72.186 85.843 45.436 212.957-36.54 143.906-110.53-22.626-24.244-54.574-30.02-67.5 13.124 30.188-20.09 60.748 26.8 33.875 47.563-21.95 16.96-61.503 19.135-86.437 5.5-30.797-16.842-53.79-37.798-70.188-66.532 57.07 13.69 119.584-1.065 143-45.342 45.72-86.45-7.046-152.467-59.125-153.375-20.378-.356-40.654 9.237-54.875 31.5-17.85 27.946-9.815 61.533 35.157 59.124-29.11-21.628-1.9-63.623 26.717-45.343 23.378 14.932 22.494 51.88 9.75 77.28-15.165 30.23-60.573 50.738-95.062 24.657-3.008-5.71-5.563-11.683-7.78-17.843 8.99-6.49 14.874-17.028 14.874-28.875 0-17.772-13.252-32.64-30.345-35.218-9.763-47.134-23.34-92.648-84.844-112.594-13.64-4.424-26.437-6.472-38.28-6.53zm117.844 137.405c9.463 0 16.937 7.474 16.937 16.938 0 9.463-7.473 16.937-16.936 16.937-9.463 0-16.906-7.474-16.906-16.938 0-9.463 7.443-16.937 16.906-16.937zm-65.406 10.5c9.463 0 16.937 7.474 16.937 16.938 0 9.463-7.474 16.937-16.938 16.937-9.463 0-16.937-7.474-16.937-16.938 0-9.463 7.474-16.937 16.938-16.937z","fillRule":"evenodd"}}]})(props);
};
function GiOden (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480.2 31.81L351.5 50.26 461.7 160.5zm-92.7 79.99l-13.1 13.1c2.3 1.8 4.6 3.8 6.7 5.9 2.2 2.2 4.2 4.5 6 6.9l13.2-13.2zm-58.1 15.5c-14 0-28.1 5.4-38.9 16.2-21.5 21.5-21.5 56.2 0 77.8 21.6 21.5 56.3 21.5 77.8 0 21.6-21.6 21.6-56.3 0-77.8-10.8-10.8-24.8-16.2-38.9-16.2zm-127.1 82l-32.6 32.5 100.5 100.5 32.5-32.6zm69.6 18l-13.1 13.1 12.8 12.8 13.1-13.1c-2.4-1.9-4.7-3.9-6.9-6.1-2.1-2.1-4.1-4.4-5.9-6.7zm-71 71.1l-169.09 169 12.72 12.8L213.6 311.1z"}}]})(props);
};
function GiOfficeChair (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 29c-17.3 0-34.7 1.98-48.1 5.68-13.4 3.69-22 9.64-23.8 13.35-29 57.97-30.9 130.57-31 178.97h205.8c-.1-48.4-2-121-31-178.97-1.8-3.71-10.4-9.66-23.8-13.35C290.7 30.98 273.3 29 256 29zM48 167v18h48v-18zm368 0v18h48v-18zM71 204v68.8l31.2 20.8c1.6-6 4.2-11.6 7.3-16.7L89 263.2V204zm352 0v59.2l-20.5 13.7c3.1 5.1 5.7 10.7 7.3 16.7l31.2-20.8V204zm-190 41v14h46v-14zm-100.9 32c-6.2 6.9-11.9 16.4-13.2 24.5-1.5 8.7-.2 15.1 11.4 21.5h251.4c11.6-6.4 12.9-12.8 11.4-21.5-1.3-8.1-7-17.6-13.2-24.5zM247 341v32l-121.2 30.3 4.4 17.4L247 391.5V420c2.9-.6 5.9-1 9-1 3.1 0 6.1.4 9 1v-28.5l116.8 29.2 4.4-17.4L265 373v-32zm-119 96c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm128 0c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm128 0c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23z"}}]})(props);
};
function GiOffshorePlatform (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M180.102 32v23H148.82l-10.666 128h18.063l4.056-48.686 39.237 25.112L156.783 183h9.319v22.742l33.365 17.219-33.365 13.346V247h21.732l38.213-15.285L227.32 247h18.063l-16-192h-31.281V32h-18zm-13.895 41h46.613l.993 11.9L166.207 73zm205.895 14v64h16.459l79.54-26.514V368h18V87h-114zm-208.217 3.973l37.277 9.32-39.764 20.523 2.487-29.843zM326.102 105v46h30v-46h-30zm84.724 0h57.276v.514l-37.67 12.556L410.826 105zm-20.724 7.816l18.695 12.463-18.695 6.233v-18.696zm-173.963.002l3.158 37.9-34.193-21.882 31.035-16.018zm4.619 55.444l3.957 47.474-46.502-24 42.545-23.474zm89.344.738v46h110v-46h-110zm-240 32v46h78v-46h-78zm15 14h32v18h-32v-18zm257 18v14h46v-14h-46zm-304 32v46h398v-46h-398zm2.5 64l43.5 58v-30l-21-28h-22.5zm61.5 0v126.576c-3.1-.362-6.122-.576-9-.576-13.178 0-29.267 4.285-42.848 8.385s-24.356 8.205-24.356 8.205l6.407 16.82s10.23-3.894 23.152-7.795c12.922-3.9 28.832-7.615 37.645-7.615 8.812 0 24.722 3.715 37.644 7.615 12.922 3.9 23.152 7.795 23.152 7.795l3.204 1.22 3.203-1.22s10.23-3.894 23.152-7.795c12.922-3.9 28.832-7.615 37.645-7.615 8.812 0 24.722 3.715 37.644 7.615 12.922 3.9 23.152 7.795 23.152 7.795l3.204 1.22 3.203-1.22s10.23-3.894 23.152-7.795c12.922-3.9 28.832-7.615 37.645-7.615 8.812 0 24.722 3.715 37.644 7.615 12.922 3.9 23.152 7.795 23.152 7.795l2.643 1.008 66.744-16.688-4.367-17.46-61.336 15.334c-3.107-1.152-10.661-3.907-21.633-7.22-11.256-3.397-24.23-6.915-35.847-8.023V329h-30v129.053c-6.795 1.53-13.588 3.442-19.848 5.332-10.511 3.173-17.698 5.77-21.152 7.045-3.455-1.274-10.641-3.872-21.153-7.045-13.58-4.1-29.67-8.385-42.847-8.385-7.104 0-15.054 1.263-23 3.053V329h-18v133.838c-.613.182-1.245.365-1.848.547-10.511 3.173-17.698 5.77-21.152 7.045-3.455-1.274-10.641-3.872-21.153-7.045-1.256-.38-2.553-.758-3.847-1.137V329h-30zm162.5 0l43.5 58v-30l-21-28h-22.5zm130.5 0l-21 28v30l43.5-58h-22.5z"}}]})(props);
};
function GiOgre (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-28.625 0-56.434 16.22-82.44 43.912-26.005 27.692-49.672 66.468-69.4 108.883C64.705 262.625 41 362.57 41 416c0 7 6.83 16.013 21.684 25.064 14.854 9.052 36.296 17.43 59.836 24.295C169.598 479.091 225.5 487 256 487c30.5 0 86.402-7.91 133.48-21.64 23.54-6.866 44.982-15.244 59.836-24.296C464.171 432.013 471 423 471 416c0-53.429-23.705-153.376-63.16-238.205-19.728-42.415-43.395-81.191-69.4-108.883C312.433 41.221 284.624 25 256 25zm-77.154 142.46S227 183 256 183c29 0 77.154-15.54 77.154-15.54l5.692 17.08S291 201 256 201c-35 0-82.846-16.46-82.846-16.46l5.692-17.08zM133.4 184.8l63.32 47.491C228.18 248.012 243.108 255 256 255s27.821-6.988 59.28-22.709l63.32-47.49 10.8 14.398-45.875 34.406c-5.22 22.311-12.93 40.726-21.722 54.29-5.809 8.961-12.03 16.3-19.078 20.683l12.673 31.684-7.285 3.742s-8.11 4.173-18.414 8.34C279.395 356.51 267.28 361 256 361c-11.279 0-23.395-4.49-33.7-8.656-10.303-4.167-18.413-8.34-18.413-8.34l-7.285-3.742 12.673-31.684c-7.049-4.383-13.27-11.722-19.078-20.683-8.791-13.564-16.502-31.979-21.722-54.29L122.6 199.2l10.8-14.398zm-86.455 9.798c-2.155.07-4.096.84-5.916 1.927.008 23.442.097 52.783 1.944 76.786.407 5.3.947 10.084 1.56 14.496a807.744 807.744 0 0 1 24.86-74.29c-2.305-7.398-6.916-12.736-12.024-15.8-3.638-2.183-7.184-3.224-10.424-3.12zm418.11 0c-3.24-.105-6.786.936-10.424 3.119-5.108 3.064-9.72 8.402-12.024 15.8a807.747 807.747 0 0 1 24.86 74.29 236.266 236.266 0 0 0 1.56-14.496c1.847-24.003 1.936-53.344 1.944-76.786-1.82-1.088-3.761-1.857-5.916-1.927zm-273.07 55.459c3.988 11.3 8.61 20.784 13.318 28.048 3.836 5.919 7.759 10.042 11.066 12.74l9.838-24.591c-9.536-3.85-20.536-9.347-34.223-16.197zm128.03 0c-13.686 6.85-24.686 12.348-34.222 16.197l9.838 24.592c3.307-2.699 7.23-6.822 11.066-12.74 4.709-7.265 9.33-16.75 13.319-28.05zM138.34 269.313c12.116.012 25.91 3.348 41.433 10.517l-7.546 16.34c-19.592-9.048-33.85-10.228-43.932-7.682-10.083 2.546-16.82 8.716-21.684 17.455-9.728 17.48-8.685 45.782-2.56 58.032l-16.102 8.05c-9.875-19.75-10.503-50.693 2.934-74.836 6.718-12.071 17.773-22.306 33.004-26.152 3.807-.961 7.824-1.531 12.052-1.683a64.8 64.8 0 0 1 2.4-.041zm235.32 0a64.8 64.8 0 0 1 2.4.04c4.229.153 8.246.723 12.053 1.684 15.23 3.846 26.286 14.081 33.004 26.152 13.437 24.143 12.809 55.086 2.934 74.836l-16.102-8.05c6.125-12.25 7.168-40.552-2.56-58.032-4.864-8.74-11.601-14.909-21.684-17.455-10.083-2.546-24.34-1.366-43.932 7.682l-7.546-16.34c15.524-7.17 29.317-10.505 41.433-10.517zm-130.236 2.355l-23.922 59.805c2.786 1.28 5.783 2.661 9.547 4.183C238.529 339.49 250.413 343 256 343s17.471-3.51 26.951-7.344c3.764-1.522 6.761-2.902 9.547-4.183l-23.922-59.805c-4.217.864-8.35 1.332-12.576 1.332-4.226 0-8.36-.468-12.576-1.332zm-107.549 60.207l94.418 47.21C238.301 376.514 246.871 375 256 375c9.13 0 17.699 1.513 25.707 4.086l94.418-47.211-41.537 83.076c10.698 11.12 18.648 21.558 23.775 26.686l-12.726 12.726C327.515 436.242 298 393 256 393s-71.515 43.242-89.637 61.363l-12.726-12.726c5.128-5.128 13.078-15.567 23.777-26.688l-41.539-83.074zm40.252 40.252l14.34 28.68 14.34-14.34-28.68-14.34zm159.746 0l-28.68 14.34 14.34 14.34 14.34-28.68z"}}]})(props);
};
function GiOilDrum (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M401.642 85.436v-15.08a21.548 21.548 0 0 1 5.696 8.903 31.363 31.363 0 0 1-5.696 6.176zM411 68.31v.725c0 25.923-53.59 46.933-155 46.933-106.453 0-155-21.057-155-46.933v-.725-.527c0-15.008 16.728-26.905 49.705-35.246 28.24-7.183 65.627-11.137 105.283-11.137 39.657 0 77.056 3.954 105.283 11.137 32.99 8.387 49.707 20.238 49.707 35.246.023.187 0 .35-.012.527zm-177.004-.527c0-4.13-13.184-7.487-29.444-7.487-16.26 0-29.444 3.346-29.444 7.487 0 4.14 13.183 7.487 29.444 7.487 16.26 0 29.42-3.346 29.42-7.475zm167.646 97.89V105.51q-12.997 9.92-39.634 16.705c-28.473 7.24-66.117 11.218-106.008 11.218-39.89 0-77.535-3.99-106.008-11.218q-26.614-6.762-39.634-16.705v60.163C104.135 170.96 101 176.856 101 183.35v1.122c0 25.91 48.547 46.968 155 46.968 101.41 0 155-21.057 155-46.933v-.655-.468c0-6.528-3.135-12.423-9.358-17.71zm0 128.89v-73.488q-12.997 9.92-39.634 16.705c-28.473 7.24-66.117 11.207-106.008 11.207-39.89 0-77.535-3.99-106.008-11.22q-26.614-6.76-39.634-16.703v73.546c-6.223 5.287-9.358 11.183-9.358 17.675v.89c0 25.887 48.547 46.944 155 46.944 101.41 0 155-21.058 155-46.934v-.514-.375c0-6.55-3.135-12.447-9.358-17.687zm8.878 145.396q-1.626-7.254-8.878-13.42v-76.587q-12.997 9.92-39.634 16.705c-28.46 7.24-66.117 11.22-106.008 11.22-39.89 0-77.547-3.99-106.008-11.22q-26.614-6.76-39.634-16.705v76.588q-7.24 6.154-8.878 13.42a14.786 14.786 0 0 0-.48 3.707v.56q0 8.448 7.02 15.537C124.98 477.754 172.79 490.6 256 490.6c60.245 0 103.598-7.417 128.89-18.87 17.336-7.498 26.11-16.646 26.11-27.513v-.293-.27a14.786 14.786 0 0 0-.48-3.695z"}}]})(props);
};
function GiOilPump (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M325.9 23.981L311.94 45.25c38.182 24.845 67.675 59.024 96.878 123.178l16.828-24.807c-5.155-17.403-10.801-35.86-16-51.351-5.597-16.682-11.538-30.866-13.105-33.194-1.32-1.96-10.748-9.452-24.53-16.34-12.285-6.14-28.272-12.655-46.11-18.754zm8.33 61.53l-54.46 42.994c10.761 6.175 18.5 17.082 20.314 29.828l57.5-45.396c-7.522-10.489-15.238-19.485-23.354-27.426zm-74.73 55.578c-12.81 0-23 10.19-23 23 0 12.809 10.19 23 23 23s23-10.191 23-23c0-12.81-10.19-23-23-23zm-39.342 34.476L87.49 280.304c11.838 4.67 20.406 16.013 20.975 29.306L244.5 202.214c-11.676-4.635-20.766-14.492-24.342-26.649zm174.342 4.448v210.006h18V195.063l-7.082 10.44-6.453-15.219a682.592 682.592 0 0 0-4.465-10.271zm-92.637.543L286.047 192.8l3.793 18.015-14.526-9.707-15.01 11.621 28.796 19.243-71.305 32.832 4.82-22.897-21.976 17.014-24.354 115.678-.44.195.272.61-19.92 94.615H140.5v18h222V468.58zm-4.226 67.3l12.02 57.088-79.057-26.218zm-85.477 43.717l86.432 28.666-102.012 45.338zM75.5 296.02c-8.39 0-15 6.609-15 15 0 8.39 6.61 15 15 15s15-6.61 15-15c0-8.391-6.61-15-15-15zm239.945 36.427l14.953 71.028-111.953-27.916zm-218.824 3.852c-4.595 3.851-10.24 6.481-16.42 7.377l21.266 46.344h19.804zm-42.232.008l-24.66 53.713h19.808l21.276-46.342c-6.181-.893-11.828-3.521-16.424-7.371zm137.574 51.2l116.781 29.118-133.101 48.403zM28.5 408.018v62h94v-62zm352 0v16h46v-16zm-45.324 18.15l9.232 43.85h-129.82zm45.324 15.85v28h46v-28zm64 28v18h39v-18z"}}]})(props);
};
function GiOilRig (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M291.17 16.975c-5.923.122-11.645 2.246-16.06 7.398-17.652 20.61-13.472 36.05-10.667 42.856 16.607-51.264 33.81-5.23 55.442-25.076 8.615-7.904-10.947-25.546-28.715-25.18zM208 67.107c-19.994.235-33.533 26.42-25.31 33.495 22.252 19.138 32.473-26.055 58.884-4.803-6.212-13.538-13.58-28.927-33.574-28.693zm93.832 8.967c-12.564.318-21.72 9.49-29.832 17.832 32-11.19 26.51 34.82 53.883 24.23 10.118-3.914 6.12-33.12-12.643-40.032-4.104-1.512-7.89-2.12-11.408-2.03zM247 106.107v32h-30.38l-6.4 32H199v18h7.62l-15.417 77.09-1.594.91H176v18h11.422l-34.8 174H128v18h256v-18h-24.62l-34.802-174H336v-18h-13.61l-1.593-.91-15.418-77.09H313v-18h-11.22l-6.4-32H265v-32h-18zm-15.62 50H247v14h-18.42l2.8-14zm33.62 0h15.62l2.8 14H265v-14zm-40.02 32H247v34.92l-26.03-14.875 4.01-20.045zm40.02 0h22.02l4.01 20.045L265 223.027v-34.92zm-47.752 38.65l20.61 11.778-25.928 14.82 5.318-26.597zm77.504 0l5.318 26.597-25.93-14.82 20.612-11.776zM247 254.046v12.062h-21.11L247 254.045zm18 0l21.11 12.062H265v-12.062zm-59.22 30.062H247v47.846l-47.615-15.87 6.394-31.976zm59.22 0h41.22l6.407 32.028L265 332.61v-48.503zm-69.172 49.762l33.38 11.126-38.253 13.234 4.873-24.36zm120.36.08l4.515 22.57-35.525-11.84 31.01-10.73zM265 356.925l48.54 16.18L265 399.58v-42.656zm-18 .963v41.692l-46.77-25.512L247 357.89zm-61.688 28.55l51.893 28.302-64.6 35.237 12.708-63.54zm141.375 0l12.708 63.54-64.598-35.238 51.89-28.303zM247 429.903v28.203h-51.705L247 429.904zm18 0l51.705 28.203H265v-28.203z"}}]})(props);
};
function GiOilySpiral (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M230.357 17.62c-5.547.092-11.576 1.096-18.023 3.204-23.305 7.618-73.14 45.618-83.234 99.074 45.49-22.467 84.27-17.018 107.437-25.052 52.28-18.113 38.996-77.965-6.18-77.225zm120.215 54.4c-12.926.01-26.166 1.873-39.002 6.37 42.205 28.16 56.877 64.468 75.414 80.518 46.965 40.667 98.17-16.56 52.004-57.972-13.688-12.28-49.637-28.94-88.416-28.915zm-70.3 38.177c-19.064-.228-41 3.8-59.237 16.246 36.71 12.436 54.713 36.326 71.565 44.502h.002c42.693 20.722 69.162-31.628 26.91-53.056-7.83-3.974-22.416-7.49-39.24-7.693zm-90.295 15.278c-6.9-.114-14.648 2.048-22.71 7.304-15.69 10.228-44.953 48.12-41.83 89.562 29.127-25.574 58.818-29.222 74.327-39.727 31.31-21.207 17.284-56.694-9.787-57.14zM69.723 138.68c-16.972-.096-34.502 11.827-40.094 38.377-5.056 23.994 2.93 86.155 44.183 121.62 3.285-50.63 27.397-81.49 32.02-105.568 6.603-34.317-14.29-54.307-36.11-54.43zm282.162 22.603c7.584 38.012-4.102 65.546-2.758 84.23 3.4 47.335 61.976 44.085 59.406-3.224-1.01-18.703-19.197-62.992-56.648-81.007zm-95.64 27.38c-37.658 0-68.384 30.728-68.384 68.382 0 37.655 30.73 68.38 68.384 68.38 37.657 0 68.38-30.726 68.38-68.38 0-37.655-30.725-68.383-68.38-68.383zm0 18.68c27.558 0 49.702 22.143 49.702 49.702 0 27.56-22.14 49.7-49.703 49.7-27.56 0-49.703-22.14-49.703-49.7 0-27.56 22.143-49.703 49.704-49.703zm182.507 8.317c-3.286 50.63-27.396 81.49-32.02 105.57-11.738 61.004 63.423 76.735 76.205 16.05 5.054-23.995-2.932-86.156-44.185-121.62zm-305.86 19.27c-15.24.07-30.174 12.75-28.85 37.144 1.013 18.702 19.198 62.99 56.65 81.006-7.585-38.01 4.1-65.548 2.757-84.232-1.648-22.928-16.24-33.986-30.557-33.918zm254.247 57.09c-29.128 25.575-58.82 29.223-74.327 39.728-39.293 26.613-7.19 75.712 32.496 49.834 15.69-10.228 44.952-48.117 41.83-89.56zm-185.79 46.64c-30.664-.36-43.938 39.734-8.287 57.815 16.704 8.476 64.15 14.87 98.476-8.555-36.71-12.436-54.714-36.326-71.565-44.502h-.002c-6.67-3.238-12.945-4.69-18.623-4.758zm-108.18 2.844c-33.205-.786-54.937 40.19-19.592 71.896 18.25 16.375 76.075 40.54 127.416 22.545-42.204-28.16-56.877-64.467-75.414-80.515-11.007-9.532-22.245-13.686-32.41-13.926zm290.295 52.935c-45.488 22.465-84.27 17.016-107.436 25.05h-.003c-58.7 20.337-34.744 93.295 24.203 74.022 23.305-7.616 73.14-45.618 83.235-99.073z"}}]})(props);
};
function GiOldKing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 40c-4.816 0-7.552 2.503-9.672 4.602-2.12 2.098-3.886 4.472-5.77 7.156-3.766 5.368-7.85 11.992-12.667 18.59-9.633 13.196-21.667 25.393-36.848 27.222.707-.085-2.46-.835-6.6-5.025s-9-10.562-13.82-17.164c-4.82-6.602-9.619-13.429-14.33-18.98-2.356-2.776-4.669-5.244-7.254-7.303-2.585-2.06-5.536-4.047-9.914-4.221-4.746-.189-7.625 1.922-10.223 4.025-2.597 2.104-4.965 4.722-7.377 7.844-4.823 6.243-9.719 14.527-14.138 24.047-8.467 18.237-15.3 40.793-13.545 61.465-5.777 9.401-14.982 14.881-24.012 23.185-9.653 8.878-17.617 22.794-13.697 44.01l.994 5.373 5.365 1.031c7.942 1.524 14.352.26 17.942.942 2.6.494 4.197.795 5.884 4.181-5.31 4.328-8.89 9.487-10.931 14.756-2.701 6.975-3.05 13.8-3.375 19.834l-.375 6.95 6.832 1.332c8.246 1.608 13.233 5.192 17.414 10.714 4.18 5.523 7.239 13.261 9.627 22.247 4.664 17.548 6.458 39.27 14.685 57.33 1.222 18.772 4.078 36.63 10.35 52.757 7.529 19.36 20.43 36.175 40.797 47.58C191.709 465.886 219.112 472 256 472c36.889 0 64.291-6.114 84.658-17.52 20.367-11.405 33.268-28.22 40.797-47.58 6.272-16.127 9.128-33.985 10.35-52.757 8.227-18.06 10.021-39.782 14.685-57.33 2.388-8.986 5.447-16.724 9.627-22.247 4.18-5.522 9.168-9.106 17.414-10.714l6.832-1.332-.375-6.95c-.325-6.034-.673-12.86-3.375-19.834-2.04-5.269-5.62-10.428-10.931-14.756 1.687-3.386 3.284-3.687 5.884-4.181 3.59-.682 10 .582 17.942-.942l5.365-1.03.994-5.374c3.92-21.216-4.044-35.132-13.697-44.01-9.03-8.304-18.235-13.784-24.012-23.185 1.755-20.672-5.078-43.228-13.545-61.465-4.42-9.52-9.315-17.804-14.138-24.047-2.412-3.122-4.78-5.74-7.377-7.844-2.598-2.103-5.477-4.214-10.223-4.025-4.378.174-7.329 2.162-9.914 4.22-2.585 2.06-4.898 4.528-7.254 7.303-4.711 5.552-9.51 12.379-14.33 18.98-4.82 6.603-9.68 12.975-13.82 17.165-4.14 4.19-7.307 4.94-6.6 5.025-15.181-1.83-27.215-14.026-36.848-27.222-4.816-6.598-8.901-13.222-12.668-18.59-1.883-2.684-3.65-5.058-5.77-7.156C263.553 42.503 260.817 40 256 40zm0 17.799a64.945 64.945 0 0 1 2.342 3.146c3.304 4.71 7.578 11.62 12.846 18.836 10.535 14.432 25.57 30.99 47.855 33.676 8.656 1.043 14.54-4.246 19.896-9.668 5.357-5.422 10.442-12.237 15.36-18.973 4.917-6.735 9.648-13.397 13.607-18.062 1.98-2.333 3.786-4.155 5.024-5.14.114-.092.122-.07.224-.141 1.127.932 2.806 2.657 4.659 5.054 3.803 4.923 8.29 12.393 12.289 21.004 6.894 14.85 12.222 33.266 12.28 48.469H296l-40-40-40 40H109.617c.059-15.203 5.387-33.618 12.281-48.469 3.998-8.611 8.486-16.08 12.29-21.004 1.852-2.397 3.531-4.122 4.658-5.054.102.072.11.05.224.14 1.238.986 3.044 2.808 5.024 5.14 3.959 4.666 8.69 11.328 13.607 18.063 4.918 6.736 10.003 13.55 15.36 18.973 5.357 5.422 11.24 10.711 19.896 9.668 22.285-2.685 37.32-19.244 47.856-33.676 5.267-7.216 9.541-14.126 12.845-18.836A64.945 64.945 0 0 1 256 57.8zm-56.39 97.265c19.127.247 41.173 4.772 56.39 20.936 32.463-34.483 96-16 96-16 2.875 5.333 0 12.774-6 16-18.05 4.686-57.49 1.354-44 16 5.265 7.76 41.974 3.742 43.135 8.37 4.246 16.922-2.557 34.444-12.635 41.946-6.695 1.044-23.814-.206-32.174-4.68-1.593-6.56-.075-18.049-18.264-16.657C272 224 277.233 235.983 274.373 240c-5.514 7.738-12.49 8.067-18.372 9.285-5.883-1.218-12.858-1.547-18.371-9.285-2.862-4.017 2.372-16-7.691-19.021-18.19-1.392-16.67 10.097-18.264 16.658-8.36 4.473-25.479 5.723-32.174 4.68-10.078-7.503-16.881-25.025-12.635-41.948 1.161-4.627 37.87-.609 43.135-8.369 13.49-14.646-25.95-11.314-44-16-6-3.226-8.875-10.667-6-16 0 0 17.931-5.215 39.61-4.936zm5.066 104.319c5.21.02 10.967.774 17.385 2.379l.185.045.188.039c22.114 4.417 44.557 4.41 67.1.006l.204-.04.201-.05c29.337-7.334 44.848 3.107 57.682 20.066 9.364 12.373 16.085 28.358 22.342 42.715-7.94-5.852-17.558-11.872-28.17-17.586C315.061 292.563 282.667 280 256 280c-26.667 0-59.06 12.563-85.793 26.957-10.612 5.714-20.23 11.734-28.17 17.586 6.257-14.357 12.978-30.342 22.342-42.715 10.026-13.25 21.686-22.52 40.297-22.445zM256 296c21.333 0 52.94 11.437 78.207 25.043 12.634 6.803 23.799 14.117 31.477 20.398 3.839 3.141 6.803 6.05 8.545 8.221.79.987 1.2 1.79 1.443 2.297-1.092 18.26-3.62 34.98-9.127 49.14-6.471 16.641-16.57 29.826-33.703 39.42-12.926 7.24-30.109 12.362-52.842 14.444V432h-16v23.88c-2.611.071-5.262.12-8 .12-8.621 0-16.601-.36-24-1.037V400h-16v52.852c-12.7-2.246-23.282-5.629-32.113-9.895l-2.174-94.053-15.996.371 1.928 83.432c-10.41-8.546-17.326-19.1-22.19-31.607-5.507-14.162-8.035-30.88-9.127-49.141.242-.507.652-1.31 1.443-2.297 1.742-2.171 4.706-5.08 8.545-8.22 7.678-6.282 18.843-13.596 31.477-20.399C203.061 307.437 234.667 296 256 296z"}}]})(props);
};
function GiOldLantern (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 24c-10.1 0-19.2 1.92-26.7 5.64C221.9 33.35 215 39.72 215 49s6.9 15.65 14.3 19.36c5.2 2.58 11.2 4.27 17.7 5.08v11.28h18V73.44c6.5-.81 12.5-2.5 17.7-5.08C290.1 64.65 297 58.28 297 49s-6.9-15.65-14.3-19.36C275.2 25.92 266.1 24 256 24zm0 18c7.6 0 14.4 1.66 18.6 3.74 3.3 1.63 4.1 2.97 4.3 3.26.1-.1.1-.1.1 0s0 .1-.1 0c-.2.29-1 1.63-4.3 3.26-4.2 2.08-11 3.74-18.6 3.74-7.6 0-14.4-1.66-18.6-3.74-3.3-1.63-4.1-2.97-4.3-3.26-.1.1-.1.1-.1 0s0-.1.1 0c.2-.29 1-1.63 4.3-3.26 4.2-2.08 11-3.74 18.6-3.74zm-40.9 60.7L203.4 152h105.2l-11.7-49.3zm-18.9 1.7c-6.7.3-13.2.8-19.5 1.7-14.9 2.1-28.9 6.4-39.1 16.5-3.1 3.2-3.9 5.8-5.2 9.3-1.3 3.5-2.5 7.7-3.8 12.6-2.4 9.8-4.9 22.6-7.5 37.5-5 29.8-10 67.9-14.1 106.1-4 38.1-7 76.2-7.99 106.1-.51 14.9-.53 27.7.13 37.7.33 5 .82 9.2 1.56 12.9.8 3.7 1.3 6.9 4.9 10.6 7.1 7 15.4 11 24 13.3l6.8-16.9c-6.9-1.5-12.5-4-17.3-8.5-.1-.4-.5-1.1-.8-2.2-.4-2.3-.9-5.9-1.2-10.4-.6-8.9-.6-21.3-.1-35.9 1-29.1 4-67 8-104.9 3.9-37.8 8.9-75.7 13.9-104.9 2.4-14.6 4.9-27.1 7.2-36.1 1.1-4.5 2.2-8.2 3.2-10.7.6-1.8 1.4-3 1.5-3.1 5.9-5.7 15.7-9.4 28.5-11.2 3.9-.6 8.2-1 12.5-1.2zm119.6 0l4.3 18.3c4.4.2 8.6.6 12.6 1.2 12.8 1.8 22.6 5.5 28.5 11.2.1.1.9 1.3 1.5 3.1 1 2.5 2.1 6.2 3.2 10.7 2.3 9 4.8 21.5 7.2 36.1 5 29.2 10 67.1 13.9 104.9 4 37.9 7 75.8 8 104.9.5 14.6.5 27-.1 35.9-.3 4.5-.8 8.1-1.2 10.4-.3 1.1-.7 1.8-.8 2.2-4.8 4.5-10.4 7-17.3 8.5l6.8 16.9c8.6-2.3 16.9-6.3 24-13.3 3.6-3.7 4.1-6.9 4.9-10.6.7-3.7 1.2-7.9 1.6-12.9.6-10 .6-22.8.1-37.7-1-29.9-4-68-8-106.1-4.1-38.2-9.1-76.3-14.1-106.1-2.6-14.9-5.1-27.7-7.5-37.5-1.3-4.9-2.5-9.1-3.8-12.6-1.3-3.5-2.1-6.1-5.2-9.3-10.2-10.1-24.2-14.4-39.1-16.5-6.3-.9-12.9-1.4-19.5-1.7zM213.2 170c-2.9 4.9-11.6 19.8-21.6 41.1 21.9 10.3 43.8 25.6 64.4 42.7 20.7-17.1 42.5-32.4 64.4-42.7-10-21.3-18.7-36.2-21.6-41.1zm-28.8 57.7c-10 24.5-17.6 51.3-15.5 68.2 1 7.7 7.3 19.6 15.1 31 15.6-19.6 35.7-41.2 58.1-61.2-18.9-15.4-38.9-28.9-57.7-38zm143.2 0c-18.8 9.2-38.8 22.6-57.7 38 22.4 20.1 42.5 41.7 58.1 61.2 7.8-11.4 14.1-23.3 15.1-31 2.1-16.9-5.5-43.7-15.5-68.2zM256 277.5c-23.7 21-45.2 44.2-60.7 64.2 7.8 9.4 13.9 15.6 16.5 18.3h88.4c2.6-2.7 8.7-8.9 16.5-18.3-15.5-19.9-37-43.3-60.7-64.2zM225.4 378c2.3 4.8 3.6 9.8 3.6 15 0 5.2-1.3 10.2-3.6 15h61.2c-2.3-4.8-3.6-9.8-3.6-15 0-5.2 1.3-10.2 3.6-15zm-59.3 48l-24.8 62h229.4l-24.8-62z"}}]})(props);
};
function GiOldMicrophone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 27.998c-33.784 0-67.564 12.67-80.97 38.004H240v17.996h-70.574c-.563 4.866-.428 8.98-.428 14.004H240v17.996h-71.002v14.004H240v17.996h-71.002v14.004h174.004v-14.004H272v-17.996h71.002v-14.004H272V98.002h71.002c.022-4.63.077-9.796-.428-14.004H272V66.002h64.97C323.565 40.668 289.785 27.998 256 27.998zM80 162.002v17.996h22.678c-.148 4.753-.266 9.44-.326 14.004h18.002c.06-4.551.18-9.241.332-14.004h30.316v-17.996zm280.998 0v17.996h29.94a860.86 860.86 0 0 1-.254 14.004h18.013c.12-4.563.192-9.25.24-14.004H432v-17.996zm-192 17.996v18.004h174.004v-18.004zm-66.654 32c1.175 86.626 19.908 134.76 47.8 161.498 24.806 23.779 55.434 29.003 82.854 30.158v46.348h46.004v-46.377c26.698-1.218 55.672-6.572 79.361-30.262 26.772-26.771 45.324-74.691 49.658-161.365h-18.046c-4.382 83.532-22.405 126.705-44.338 148.639C320.364 385.91 288 386.002 256 386.002s-67.037-.226-93.4-25.498c-22.91-21.962-41.029-64.919-42.245-148.506zm66.654 4V283c0 39.1 37.7 59.99 78.004 62.691V215.998zm96 0v129.693c40.303-2.7 78.004-23.591 78.004-62.691v-67.002zm-144 252v16.004h270.004v-16.004z"}}]})(props);
};
function GiOldWagon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M425.208 118.428c-9.115.04-17.29 2.663-25.45 5.927-9.33 3.732-18.268 8.75-27.847 12.13-6.67 2.356-14.156 3.768-21.694 2.615-22.832 71.052-27.844 149.083-28.654 219.9h68.322c-1.45-5.723-1.952-12.17-1.916-19.543.09-18.73 3.936-43.15 10.523-69.63 12.235-49.176 33.65-104.615 60.876-139.776-11.49-7.335-21.364-10.784-30.19-11.476-1.345-.105-2.666-.152-3.968-.146zM330.95 140.39c-12.268 3.536-23.886 8.28-38.29 10.81-17.517 3.073-38.528 1.747-67.245-9.64V359h78.14c.756-69.366 5.42-146.51 27.395-218.61zm-123.535 4.823c-17.95 11.885-33.58 18.606-50.568 18.578-16.442-.026-33.08-6.19-53.598-17.17 18.834 69.4 24.842 144.742 25.946 212.38h78.22V145.213zM84.7 147.055c-11.136 11.845-23.253 18.937-35.195 22.353-9.05 2.59-17.778 3.007-25.92 2.363 12.242 29.09 21.534 63.203 25.182 96.45 3.63 33.078 1.834 65.296-9.413 90.78h71.834c-1.15-68.14-7.4-143.78-26.488-211.945zM408.823 309c-.05.322-.105.65-.154.97l-2.667 27.608c-.014.66-.032 1.328-.035 1.965-.04 8.135.928 14.47 2.107 17.578.41 1.086.744 1.595.953 1.88h40.387v16h18v-34h-44v-32h-14.592zM33.415 377v46H47.99c2.265-18.264 11.31-34.465 24.538-46H33.415zm134.887 0c13.227 11.535 22.273 27.736 24.537 46h47.15c2.265-18.264 11.31-34.465 24.538-46h-96.226zm192 0c13.227 11.535 22.273 27.736 24.537 46h46.575v-14h57v-18h-57v-14h-71.113zm-248.887.738c-8.502 1.388-16.332 4.71-23.033 9.502l23.033 23.033v-32.535zm18 0v32.535l23.033-23.033c-6.7-4.793-14.53-8.114-23.033-9.502zm174 0c-8.502 1.388-16.332 4.71-23.033 9.502l23.033 23.033v-32.535zm18 0v32.535l23.033-23.033c-6.7-4.793-14.53-8.114-23.033-9.502zm-245.76 22.23c-4.793 6.7-8.114 14.53-9.502 23.032h32.535l-23.033-23.033zm89.52 0L142.142 423h32.535c-1.388-8.502-4.71-16.332-9.502-23.033zm102.48 0c-4.793 6.7-8.114 14.53-9.502 23.032h32.535l-23.033-23.033zm89.52 0L334.142 423h32.535c-1.388-8.502-4.71-16.332-9.502-23.033zM66.153 441c1.388 8.502 4.71 16.332 9.502 23.033L98.688 441H66.153zm75.99 0l23.032 23.033c4.793-6.7 8.114-14.53 9.502-23.033h-32.535zm116.01 0c1.388 8.502 4.71 16.332 9.502 23.033L290.688 441h-32.535zm75.99 0l23.032 23.033c4.793-6.7 8.114-14.53 9.502-23.033h-32.535zm-222.728 12.727L88.382 476.76c6.7 4.793 14.53 8.114 23.033 9.502v-32.535zm18 0v32.535c8.502-1.388 16.332-4.71 23.033-9.502l-23.033-23.033zm174 0l-23.033 23.033c6.7 4.793 14.53 8.114 23.033 9.502v-32.535zm18 0v32.535c8.502-1.388 16.332-4.71 23.033-9.502l-23.033-23.033z"}}]})(props);
};
function GiOlive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M277.854 21.719c-42.24 50.44-30.12 165.073-10.278 229.41-8.823-8.305-17.446-16.118-25.812-23.387-5.581-55.64-117.363-188.328-202.098-190.19 2.771 78.685 124.137 172.463 180.691 195.653 14.428 12.115 29.969 26.308 46.149 42.027-59.03-33.653-178.97-59.817-234.844-23.816 59.766 44.872 233.049 63.704 265.484 54.621a1693.737 1693.737 0 0 1 36.25 38.797c-55.853-23.885-157.472-36.098-202.011-1.172 54.464 40.555 188.82 44.708 229.54 32.21 3.934 4.535 7.853 9.094 11.753 13.675 2.996.302 6.094.98 9.295 2.123 12.626 4.507 20.422 15.172 22.92 26.547.833 3.796 1.186 7.685 1.152 11.605 14.986 18.605 29.373 37.188 42.752 55.297l14.476-10.697c-16.839-22.792-35.148-46.257-54.228-69.565 31.873-41.549 67.814-172.887 55.117-219.543-52.034 31.759-73.942 139.617-73.437 197.495a1941.033 1941.033 0 0 0-27.368-31.727c31.31-41.627 43.085-205.433 6.63-265.377-50.245 49.897-44.597 179.608-27.876 241.664-14.942-16.378-29.879-32.145-44.525-46.933 22.143-51.978 26.677-206.07-19.732-258.717zm61.59 376.996c-12.783 1.613-26.198 3.251-39.692 4.355-12.109 18.294-16.618 46.407-3.14 50.87 3.905 1.292 9.837.202 16.66-4.172 3.934-2.523 7.937-6.049 11.605-10.125 2.34-13.053 7.71-25.83 15.504-35.243-.079-2.09-.362-3.974-.938-5.685zm-77.397 5.52c-29.695 7.102-56.292 19.962-70.83 39.75 21.218 1.826 49.561 2.081 78.683.898-1.865-12.53 1.392-27.381 7.995-40.604-5.354.134-10.655.142-15.848-.045zm107.88 3.185c-28.637-1.056-37.024 69.093-14.624 71.232 4.095.391 9.635-1.993 15.312-7.777 5.678-5.784 10.93-14.503 14.076-23.566 3.146-9.063 4.114-18.425 2.62-25.233-1.495-6.807-4.378-10.953-11.39-13.455-2.085-.744-4.084-1.13-5.993-1.201z"}}]})(props);
};
function GiOmega (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.05 73.105C155.53 73.105 71.2 163.14 71.2 274.65c0 42.674 12.272 82.822 33.265 115.45-24.44-13.235-48.45-29.26-72.4-48.92v95.108H206.87c-48-33.257-81.532-82.232-81.532-138.158 0-74.567 59.88-135.015 133.71-135.015 73.832 0 133.712 60.448 133.712 135.015 0 55.926-33.53 104.9-81.53 138.158h174.803V341.18c-24.02 19.865-48.295 36.2-73.052 49.57 21.297-32.77 33.92-73.09 33.92-116.1 0-111.51-84.33-201.545-187.85-201.545z"}}]})(props);
};
function GiOnSight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.074 22.736v.018c-27.076 0-51.88 13.913-70.523 37.744-18.626 23.831-30.596 57.49-30.596 94.814 0 38.717 13.254 73.419 33.217 97.452l12.924 15.638-19.946 3.758c-56.755 10.705-83.593 32.54-99.175 69.149-14.592 34.39-17.652 84.233-17.963 147.955h63.101v-64.95H146v64.95h220.373v-64.95h19.979v64.95h62.636c-.018-64.235-.695-115.234-13.986-150.102-14.133-37.048-40.165-58.973-102.053-68.726l-20.295-3.19 12.832-16.039c18.937-23.776 30.653-57.948 30.653-95.894 0-37.324-11.916-70.984-30.596-94.815-18.644-23.83-43.411-37.762-70.469-37.762zm-24.142 77.252s-1.358 9.218-4.309 12.6c-1.558 1.567-3.317 3.473-5.572 4.922-2.365 1.32-5.077 2.384-7.717 3.576-10.34 5.133-21.12 9.541-21.12 9.541l-.513-.787s8.58-13.911 17.6-21.098c2.2-1.888 4.325-3.903 6.488-5.47 2.273-1.44 4.767-2.228 6.838-2.971 2.667-.623 7.155-1.783 8.305-.313zm58.441.313c2.072.742 4.565 1.531 6.838 2.97 2.163 1.568 4.29 3.583 6.49 5.471 9.02 7.186 17.598 21.098 17.598 21.098l-.512.787s-10.78-4.409-21.119-9.541c-2.64-1.192-5.353-2.255-7.717-3.574-2.255-1.449-4.016-3.355-5.574-4.922-2.951-3.382-4.307-12.6-4.307-12.6 1.552-1.335 6.574-.146 8.303.31zm-68.67 29.931c10.688 0 19.358 8.672 19.358 19.36 0 10.687-8.67 19.357-19.358 19.357-10.687 0-19.36-8.67-19.36-19.357 0-10.688 8.673-19.36 19.36-19.36zm70.596 0c10.687 0 19.357 8.672 19.357 19.36 0 10.687-8.67 19.36-19.357 19.36-10.688 0-19.36-8.673-19.36-19.36 0-10.688 8.672-19.36 19.36-19.36zm-42.52 141.438h14.422v22.926c36.503 3.457 65.373 32.325 68.83 68.827h22.923v14.372h-22.923c-3.482 36.502-32.327 65.373-68.83 68.83v22.95H248.78v-22.95c-36.502-3.457-65.345-32.328-68.827-68.83h-22.926v-14.372h22.926c3.457-36.502 32.325-65.37 68.827-68.827zm0 38.565c-27.873 3.332-49.854 25.289-53.186 53.188h20.116v14.372h-20.116c3.332 27.899 25.313 49.856 53.186 53.188v-20.092h14.422v20.092c27.875-3.332 49.857-25.29 53.189-53.188h-20.116v-14.372h20.116c-3.332-27.9-25.314-49.856-53.189-53.188v20.118H248.78zm0 28.72h14.422v24.468h22.132v14.372H263.2v19.842H248.78v-19.842H226.65v-14.372h22.13z"}}]})(props);
};
function GiOnTarget (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M107.563 21.406c122.47 187.613 107.72 216.17-74.97 55.813 83.344 103.73 183.05 185.66 287.876 260.75-47.685 54.762-65.51 116.2-39.283 141.374 27.95 26.827 95.317 2.292 150.25-54.938 54.934-57.23 76.668-125.547 48.72-152.375-26.4-25.338-87.652-4.57-140.657 46.033C267.523 213.846 194.602 110.56 107.562 21.406zm324.906 266.781c9.865-.14 18.234 2.508 24.25 8.282 21.386 20.528 4.908 72.768-37.126 116.56-42.035 43.794-93.957 62.81-115.344 42.283-19.952-19.15-6.325-65.992 29.72-107.75 3.706 2.625 7.405 5.264 11.124 7.875-26.5 31.075-36.24 65.542-21.406 79.78 16.03 15.39 54.65 1.294 86.156-31.53 31.507-32.825 44-71.99 27.97-87.375-15.205-14.592-50.578-2.533-81.064 26.75-2.594-3.763-5.187-7.52-7.78-11.282 28.526-27.297 60.18-43.263 83.5-43.592zm-22.033 37.375c5.66-.08 10.457 1.44 13.907 4.75 12.267 11.774 2.827 41.758-21.28 66.875-24.11 25.118-53.89 36.024-66.158 24.25-11.245-10.793-3.876-36.93 16-60.562 5.976 4.173 11.97 8.327 17.97 12.47-9.746 11-14.027 22.66-9.563 27.124 4.904 4.903 18.483-.735 30.343-12.595 11.86-11.86 17.498-25.47 12.594-30.375-4.778-4.778-17.8.476-29.438 11.72-4.21-6.092-8.42-12.186-12.625-18.283 16.46-15.875 34.774-25.184 48.25-25.375z"}}]})(props);
};
function GiOneEyed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.97 22.75c-44.405 0-85.1 25.434-115.25 68.125-30.152 42.69-49.157 102.41-49.157 168.563 0 66.152 19.005 125.87 49.156 168.562 30.15 42.69 70.845 68.125 115.25 68.125 44.402 0 85.067-25.434 115.218-68.125 30.15-42.69 49.187-102.41 49.187-168.563 0-66.152-19.037-125.87-49.188-168.562-30.15-42.69-70.815-68.125-115.218-68.125zm77.468 116.313c10.96 39.393 15.825 78.762 16.843 118.156 16.952-3.024 33.782-6.753 50.376-11.44-5.884 14.73-26.045 26.294-50.187 32.032-.282 44.07-4.86 88.15-10.595 132.22-7.335-42.81-13.62-85.628-16.094-128.438-22 1.092-44.25-2.78-60.31-13.313 19.79-1.902 39.66-3.972 59.467-6.75-1.156-40.83 1.515-81.637 10.5-122.467zm-176.22 95.5c1.883-.025 3.75-.008 5.626.062-6.855 5.274-11.28 13.558-11.28 22.875 0 15.93 12.91 28.844 28.842 28.844 15.932 0 28.844-12.913 28.844-28.844 0-4.615-1.073-8.976-3-12.844 13.33 5.66 26.475 13.614 39.438 23.625-37.067 62.158-128.797 25.067-137.188-22.5 16.552-7.404 32.767-11.01 48.72-11.218z"}}]})(props);
};
function GiOni (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M483.1 32.5c-18.8 26.84-35 48.42-53.5 65.9-24.3 23.1-52.8 38.7-94.5 49.3-9.3 2.4-13.3 6.8-15 11.6-1.8 4.9-1.3 10.9 1.7 16.1 3 5.2 7.8 9.4 14.5 10.8 6.8 1.4 15.5.2 26.7-7.1 35.3-23.3 66.8-48.4 88.8-77.3 15.8-20.75 26.8-43.41 31.3-69.3zm-454.15.1c4.51 25.85 15.43 48.49 31.22 69.2 21.96 28.9 53.33 54 88.83 77.3 11 7.3 19.9 8.5 26.5 7.1 6.8-1.4 11.6-5.6 14.6-10.8 2.9-5.2 3.5-11.2 1.8-16.1-1.9-4.8-5.8-9.2-15.1-11.6-41.7-10.6-70.2-26.2-94.45-49.3-18.48-17.48-34.65-39.03-53.4-65.84zm227.05 99c-24 0-43.4 2.1-59 6.2 5.5 4.1 9.5 9.4 11.8 15.2 3.8 10.4 2.3 21.9-2.9 31.2-5.4 9.4-14.6 17.1-26.6 19.6-11.4 2.4-24.9-.1-38.8-8.7-2.4 11.2-3.5 24.3-3.5 39.5 0 47.2 6.1 69.5 12.5 86.9 5.1 14.6 11.1 26.9 12.9 45.6l45.2 7.9c-2.1-2-4.1-4-6.1-6l-2.5-2.7v-3.7c0-5.5 1.5-10.8 4.5-14.8 3.3-4 7.5-6.4 11.6-7.7 5.3-1.8 10.5-2.2 15.9-2.4v-16.3c-1.7 1.8-3.6 3.6-5.6 5.2-4.8 3.8-10.4 7-17.4 7-19.5 0-31.5-12.9-36.4-24.3-3.2-7.9-4.2-15.4-4.6-19.4-3.7-1.7-7.5-3.4-11-5.2l8-16.2c15.5 7.8 34.9 15.4 51 17.2 8 .8 15.1.3 20.5-1.8 5.5-2 9.4-5.2 12.4-11.3l8.1-16.1 8.1 16.1c3 6.1 6.9 9.3 12.2 11.3 5.5 2.1 12.7 2.6 20.7 1.8 16.1-1.8 35.5-9.4 51-17.2l8 16.2c-3.5 1.8-7.4 3.5-11.2 5.2-.2 4-1.2 11.5-4.5 19.4-5 11.4-16.8 24.3-36.3 24.3-7 0-12.7-3.2-17.4-7-2-1.6-4-3.4-5.6-5.2v16.3c5.3.2 10.6.6 15.8 2.4 4.2 1.3 8.3 3.7 11.5 7.7 3.2 4 4.7 9.3 4.7 14.8v3.7l-2.7 2.7-6 6 45.3-7.9c1.7-18.7 7.7-31 12.9-45.6 6.3-17.4 12.5-39.7 12.5-86.9 0-15.2-1.2-28.3-3.7-39.5-13.7 8.6-27.2 11.1-38.7 8.7-12-2.5-21.3-10.2-26.5-19.6-5.3-9.3-6.8-20.8-3-31.2 2.2-5.8 6.2-11.1 11.7-15.2-15.5-4.1-35-6.2-58.8-6.2zm-25 21.7l17.9 2.6c-4.6 30.1-16.6 52.9-34.4 66.5-18 13.5-41 17.2-64.9 10.9l4.7-17.4c19.5 5.1 36.1 2.2 49.2-7.8 13.3-10.1 23.5-28 27.5-54.8zm49.8 0c4 26.8 14.3 44.7 27.5 54.8 13.3 10 29.8 12.9 49.3 7.8l4.7 17.4c-23.8 6.3-47 2.6-64.8-10.9-17.9-13.6-29.9-36.4-34.4-66.5zM88.86 212.7c-.14 12.3-.33 23.9.82 33.6 1.47 12.5 4.79 22.1 12.62 29.9 6.1 6.2 9 14.2 11.7 23 2.7 8.8 4.7 18.5 6.7 27.4 2 9 4 17.2 6.1 22.4.9 2.4 1.8 3.8 2.3 4.4 3.8-.3 7.8-1.8 11.3-4.5-2.1-6.6-4.9-13-7.9-21.2-6.6-18.1-13.2-43.1-13.6-89.6-3.2-3.8-6.3-7.6-9.4-11-6.6-7-12.59-12.2-20.64-14.4zm334.24 0c-8.1 2.2-14.1 7.4-20.8 14.4-3 3.4-6.2 7.2-9.3 11-.4 46.5-7 71.5-13.5 89.6-3 8.2-5.9 14.6-7.9 21.2 3.5 2.7 7.5 4.2 11.2 4.5.5-.6 1.3-2 2.3-4.4 2-5.2 4-13.4 6-22.4 2-8.9 4-18.5 6.7-27.4 2.8-8.8 5.7-16.8 11.8-23 7.9-7.8 11.2-17.4 12.7-29.9 1-9.7.8-21.3.8-33.6zM256 291.5c-2.2 2.2-4.5 4.1-7 5.7v58.4h-9c-8 0-15.5.3-19.2 1.5-1.8.7-2.7 1.3-2.9 1.8-.1.1-.3.3-.4.5 6.9 6.8 13.6 13.3 19.9 18 7.1 5.4 13.6 8.2 18.6 8.2 5 0 11.3-2.8 18.6-8.2 6.2-4.7 13-11.2 19.7-18 0-.2-.2-.4-.2-.5-.3-.5-1.1-1.1-3-1.8-3.8-1.2-11.1-1.5-19.1-1.5h-9v-58.4c-2.5-1.6-4.9-3.5-7-5.7zm-62 8.2c.3 8.3 3.8 14.9 8 14.9 3.5 0 6.6-4.9 7.6-11.5-5.1-.8-10.5-1.9-15.6-3.4zm124 0c-5.2 1.5-10.5 2.6-15.7 3.4 1 6.6 4 11.5 7.7 11.5 4.1 0 7.6-6.6 8-14.9zm-155 76.4v2.5c0 5.9 1.9 12.6 5 19.7 1.9-3.3 3.3-6.5 4.1-9.7l-3.3-4.6zm186 0l-9.2 12.5c.8 3.2 2.3 6.4 4.2 9.7 3.1-7.1 5-13.8 5-19.7zm-151.7 16.5c-2.7.1-5.3.6-7.9 1.4-4.5 15.3-15.4 28.5-27.9 40-.1.1-.4.3-.5.4 3.1-1.7 6.4-3.3 9.4-5.2 15.6-9.8 29.1-21.9 37.7-32.5-3.6-3.2-6.6-3.9-9.7-4.1zm116.3 0c-3.1.2-6.3.9-9.8 4.1 8.7 10.6 22 22.7 37.8 32.5 3 1.9 6.2 3.5 9.2 5.2 0-.1-.2-.3-.5-.4-12.5-11.5-23.2-24.7-27.7-40-2.8-.8-5.3-1.3-8-1.4zm-83.2 4.6l-3 4.3c-2.4 3.3-5 6.7-8 10.1h73.2c-3-3.4-5.8-6.8-8-10.1l-3-4.3-6.3 1.1c-6 3.2-12.3 5.3-19.3 5.3s-13.5-2.1-19.5-5.3zm-28.5 31.4c-2.9 2.4-6 4.9-9.3 7.2 8.4 10.4 16.8 20.3 22.8 29.1l.1.1v.1c5 7.7 22.4 14.4 40.5 14.4s35.5-6.6 40.5-14.1c6.1-9.1 14.5-19.1 22.8-29.6-3.2-2.3-6.3-4.8-9.2-7.2l-22.3 30-5.7-1.2s-17-3.3-26.1-3.3c-9.2 0-26.2 3.3-26.2 3.3l-5.7 1.2zm23.1 1l6.9 9.1c5.6-1 14.7-2.6 24.1-2.6 9.3 0 18.5 1.6 24.1 2.6l6.7-9.1z"}}]})(props);
};
function GiOpenBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149.688 85.625c-1.234.005-2.465.033-3.72.063-33.913.806-75.48 10.704-127.25 33.718V362.78c60.77-28.82 106.718-37.067 144.22-33.092 33.502 3.55 59.685 16.66 83.562 31.187v-242.97c-23.217-17.744-50.195-30.04-85.97-32-3.52-.192-7.142-.296-10.843-.28zm211.968 0c-3.7-.016-7.322.088-10.844.28-35.773 1.96-62.75 14.256-85.968 32v242.97c23.876-14.527 50.06-27.637 83.562-31.188 37.502-3.974 83.45 4.272 144.22 33.094V119.407c-51.77-23.014-93.337-32.912-127.25-33.72-1.255-.028-2.486-.056-3.72-.06zm5.72 261.78c-1.038-.002-2.074.017-3.095.033-4.808.075-9.43.37-13.905.843-33.932 3.597-59.603 17.976-85.53 34.44v.28c-6.554-1.99-13.02-2.37-19.408-.97-25.566-16.177-51.003-30.202-84.468-33.75-5.595-.592-11.44-.883-17.564-.842-32.04.213-71.833 9.778-124.687 35.937v42.53c60.77-28.823 106.714-37.067 144.218-33.092 18.545 1.965 34.837 6.845 49.75 13.28-4.682 6.064-9.308 13.268-13.875 21.688h117.156c-5.93-8.22-11.798-15.414-17.626-21.56 14.996-6.503 31.39-11.43 50.062-13.408 37.503-3.974 83.448 4.27 144.22 33.094v-42.53c-53.16-26.31-93.115-35.863-125.25-35.97z"}}]})(props);
};
function GiOpenChest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M457.03 213.037L416.514 100.24C425 77.232 433.27 68.075 437.527 64.633c3.162-2.563 5.922-3.534 8.185-2.904 4.134 1.168 8.775 7.7 12.278 17.456 11.266 31.347 10.377 87.094-.96 133.85zm-324.287-17.9l312.804 34.84-43.82-122.1L145.558 79.34c2.593 36.102-1.913 79.913-12.817 115.796zM128.98 77.5l-45.06-5.02 37.03 103.123c7.773-32.06 10.625-68.357 8.03-98.102zM101.46 27.19c-3.793 3.1-10.77 10.666-18.25 28.566L402.23 91.3c5.333-13.695 11.37-24.702 17.88-32.495L108.796 24.13c-2.573-.29-5.415 1.51-7.338 3.06zm280.63 283.338l.61 169.352 66.352-53.63-.61-169.35zM366.163 487.9L46.62 452.306 46 278.396l319.553 35.594zM216.726 337.648a9.777 9.777 0 0 0 5.168-9.405c-.248-6.367-5.364-12.092-11.43-12.857h-.125c-6.14-.693-10.904 3.927-10.646 10.335a13.973 13.973 0 0 0 5.767 10.543l-2.17 25.073 17.57 2.005zm219.28-91.983l-307.46-34.25v59.54l242.712 27.037zM58.31 263.13l54.34 6.058v-49.98z"}}]})(props);
};
function GiOpenFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M41 73v304.563L88.697 151H423v-30H185.514l-16-48H41zm62.303 96L43.092 455h381.605l60.211-286H103.303z"}}]})(props);
};
function GiOpenGate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192 64c-15.4 3.77-35.7 16.04-53 33.17-19.2 19.13-34.9 43.63-39.58 64.63l-.58 135.3.37 157.4 93.99-40.3L192 64zm128 0l-1.2 350.2 94 40.3.4-156.8-.6-135.9c-4.7-21-20.3-45.5-39.6-64.63-17.3-17.13-37.6-29.4-53-33.17zM57.24 94.67c-8.39 0-15 6.63-15 15.03 0 8.4 6.61 15 15 15s15-6.6 15-15-6.61-15.03-15-15.03zm397.56 0c-8.4 0-15 6.63-15 15.03 0 8.4 6.6 15 15 15s15-6.6 15-15-6.6-15.03-15-15.03zM35.5 142.7l-1.42 334h46l1.42-334h-46zm395 0l1.5 334h46l-1.5-334h-46zM159.2 231h18v48h-18v-48zm175.6 0h18v48h-18v-48z"}}]})(props);
};
function GiOpenPalm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M461.512 194.104L494 222.457S391.01 310.462 305.379 342.57c-8.514 3.191-45.39 8.99-69.714 8.99-9.03 0-16.327-.798-19.8-2.831-64.013-37.392-129.62-43.784-166.905-43.784-19.284.01-30.96 1.712-30.96 1.712V199.261s1.314.068 3.94.068c12.503 0 54.662-1.43 126.128-17.942a40.33 40.33 0 0 1 9.058-.973c24.324 0 57.707 16.804 73.1 18.818 29.49 3.892 112.272 6.207 112.272 6.207l22.621 33.996c-38.48 30.162-158.38 27.146-158.38 27.146s73.77 27.915 164.822-16.667c10.128-4.923 89.951-55.81 89.951-55.81zm-102.162-29.19l-16.074-4.378-57.406 27.185c5.556.273 18.487.516 23.741.74zm38.413-4.475l-61.794 29.277c4.262.136 14.75.438 14.75.438l6.617 8.757 54.652-28.557zm-17.815 66.98l74.423-44.621-18.487-11.462-70.531 37.382z"}}]})(props);
};
function GiOpenTreasureChest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M410.365 101.005c8.21-22.26 16.21-31.12 20.33-34.45 3.06-2.48 5.73-3.42 7.92-2.81 4 1.13 8.49 7.45 11.88 16.89 10.89 30.34 10 84.28-.93 129.51zm-286 72.92c7.52-31 10.28-66.13 7.77-94.92l-43.6-4.86zm289.46-113l-301.2-33.53c-2.5-.28-5.24 1.46-7.11 3-3.67 3-10.42 10.32-17.66 27.64l308.68 34.34c5.16-13.25 11.02-23.89 17.31-31.43zm-228.78 298.71v-70.72l10.76 1.19 42.24 5.18v70.51zm16-40.34a13 13 0 0 0 5.34 10.29l-2.34 24.42 17 1.74-4-25a9.54 9.54 0 0 0 5-9.15 13.64 13.64 0 0 0-11.06-12.59s.17.1.13.1c-5.95-.68-11.07 3.9-10.07 10.1zm53 64.45l-85-9.84v-86.72l-1.05-.09a8.14 8.14 0 0 1-7.27 6.71 8 8 0 0 1 5.23 8.9 8 8 0 0 1-8 6.66c8.453 4.004 4.341 16.778-4.86 15.1a8 8 0 0 1-8 13.8 8.01 8.01 0 0 1-12.28 10.29v.09a8 8 0 0 1-3.86 8.37l9.13 5.35v14.25l-12 7.13-12-7.12v-14.26l8.15-4.82a8.21 8.21 0 0 1-5.07-5.92.418.418 0 0 1 0-.1 8 8 0 0 1-15.18-5c-6.851 7.214-18.094-2.065-12.31-10.16-8.346 4.519-16.217-6.676-9.14-13-9.17 2.661-14.453-10.083-6.09-14.69a8 8 0 0 1-3.21-15.67c-9.294-1.047-9.548-14.463-.3-15.86-.669-.164-1.264-.473-1.83-.76l-17.24-1.86.6 167.11 309.18 34.49-.6-165.83-107-13.05zm140.06-164l4.72 1.91.91.58 38.72 4.31-23.26-64.77-12.82 37c-.16.46-3.41 9.8-8.27 20.99zm-208.54-39.74l5 5.49 12.75-11.15 21.45-2.28 16.61 15.35 10.51 8.73 18.54-9.29 3.44.5c.12-.67.25-1.34.38-2 3.08-16.1 7.35-30.16 7.53-30.75l13.39-43.91 16.88 42.71 8.42 21.42 10.66-12.39 22.14-25.73 5.78 33.45 3.29 19.1 17.1-9.64 35.09-19.79-18.48-51.4-247.86-27.61c2.51 34.94-1.85 77.32-12.39 112h2.32l7-12.86h40.46zm-111.29 97.39c7.6 2.1 7.9 12.766.43 15.29 7.737.867 9.802 11.153 3 14.94 7.653-.548 11.614 8.947 5.84 14 7.313-2.115 13.168 6.216 8.7 12.38 6.288-3.518 13.657 2.417 11.56 9.31 4.53-4.723 12.506-2.304 13.65 4.14 2.057-5.713 9.48-7.141 13.51-2.6-1.285-6.404 5.23-11.566 11.17-8.85-4.564-5.77.425-14.123 7.67-12.84-6.419-4.541-3.122-14.648 4.74-14.53-7.316-3.503-5.375-14.415 2.7-15.18a8 8 0 0 1-5.38-8l-76.43-8.26c-.41.19-.746.15-1.16.2zm367.54 139.08l-.59-163.86-8.67 7-55.51 46.79.58 162zm-26.23-165.2l-24.11-15.27-4.18-1.69c-5.91 11.52-13.39 23-22.66 27.88-5.44 2.88-12.22 4.34-20.16 4.34-11.13 0-24.75-2.91-37.35-8-10-4-23.3-11-30.26-21.34-4.9-7.29-6.64-17.77-5.31-32.92l-21.78 10.93-19-15.8-11.42-10.53-9.16 1-20.45 17.83-11-11.7h-24.21l-17.61 32-5.7-7.2-4.42 4.85-10.76 16.35-12.29 4.91L97.611 256h-12.2l-2.776 6.005 76.9 8.21a8.15 8.15 0 0 1 2-2.9 8 8 0 0 1 10.31-.46 1.657 1.657 0 0 1-.14-.24c-4.955-8.368 6.459-16.62 12.87-9.375 6.412 7.245-3.167 17.571-10.87 11.635a8 8 0 0 1 1.12 2.89l22.62 2.44 168.54 20.57 51.49-43.38zm-28.34-57.73l-36.88 20.79-7.14-41.47-28 32.51-18.13-46.11s-16.65 54.58-7 69c7.69 11.45 35.42 22.25 54.33 22.25 5 0 9.43-.76 12.67-2.48 13.8-7.31 30.15-54.49 30.15-54.49zm-317.08 270.8v-.2c0-3.77-8.21-6.83-18.33-6.83-10.12 0-18.33 3.06-18.33 6.83 0 3.21 6 5.9 14 6.63v.2c0 3.77 8.21 6.83 18.33 6.83 10.12 0 18.33-3.06 18.33-6.83-.01-3.21-5.98-5.9-14-6.63zm350 6.63c-10.13 0-18.33 3.06-18.33 6.83s8.21 6.83 18.33 6.83c10.12 0 18.33-3.06 18.33-6.83s-8.25-6.8-18.38-6.8zm40-16.28c-10.13 0-18.33 3.06-18.33 6.83s8.21 6.83 18.33 6.83c10.12 0 18.33-3.06 18.33-6.83s-8.22-6.83-18.34-6.83z"}}]})(props);
};
function GiOpenWound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25.78 23.28c61.782 111.395 55.21 154.466 51.032 223.5 70.268 1.46 114.547 29.972 118.094 97.376 38.46-33.043 96.49-11.086 109.094 38.5 31.264-29.574 93.164 19.897 45.688 56.594 54.568-1.55 93.348 14.294 141.53 52.344-11.326-44.81-11.612-95.993-.937-140.094-55.272-18.36-136.94-101.47-36.905-98.875-46.755-23.27-77.81-59.41-96.97-109.188-2.615 71.367-76.123 30.815-33.56.532-33.97-2.67-84.39-30.28-101.908-83.126C164.93 80.924 88.565 64.092 25.78 23.28zm52.345 63.126c63.466 8.197 119.972 22.837 173.75 67.906l-26.28 20.438c47.834 11.862 113.498 41.676 149.655 78.844l-46.72 4.375c76.467 49.034 112.748 92.225 142.345 197.092-38.338-63.113-105.822-116.04-172.53-128.437 23.604-15.956-23.102-56.196-93.126-47.25l55.405-31.625c-42.457-36.895-86.29-43.73-130.688-37.97 28.914-32.388 7.954-78.117-51.812-123.374zm275.813 4.97c-9.603 0-17.375 7.774-17.375 17.374 0 9.6 7.772 17.406 17.375 17.406 9.602 0 17.375-7.806 17.375-17.406 0-9.6-7.773-17.375-17.375-17.375z","fillRule":"evenodd"}}]})(props);
};
function GiOpenedFoodCan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M373.344 38.504c-.43.009-18.834 14.371-18.834 14.371l-28.965-5.792c-.212.06-24.143 22.862-24.143 22.862l-25.648-1.539-15.46 16.824-28.073-.722-18.516 20.615-25.371 2.928-17.123 18.37-27.215 8.95-16.062 22.598-23.72 6.224L91.21 184.67l-21.152 11.289-7.401 21.78-23.668 13.95-3.076 23.899c14.712-5.336 28.468.705 38.951 8.4l25.725-15.97 34.922-5.55 30.017-27.085 45.21-5.291 32.97-29.707 32.682-8.178 20.254-26.588c10.445-5.84 25.525-9.99 38.857-15.558l9.799-24.895 28.314-10.77c.154-.168.32-.341.473-.51l3.082-18.761 20.486-15.564c.047-.123.094-.246.139-.368l-15.924-5.943zM256 207.496c-.236 0-.469.004-.705.004a863.75 863.75 0 0 1-8.63 5.045 851.824 851.824 0 0 1-24.214 13.402c10.941-.297 22.144-.45 33.549-.45 61.422 0 117.054 4.476 156.81 11.575 19.879 3.55 35.834 7.816 46.086 12.145 5.127 2.164 8.794 4.391 10.635 5.998.795.693 1.053 1.042 1.23 1.281-.177.24-.435.588-1.23 1.281-1.84 1.607-5.508 3.834-10.635 5.998-10.252 4.329-26.207 8.595-46.085 12.145-39.757 7.1-95.39 11.576-156.811 11.576-60.185 0-114.771-4.304-154.35-11.156-1.062.294-2.148.61-3.197.89-14.957 3.99-28.503 6.543-40.469 7.438 10.618 3.378 23.344 6.348 38.041 8.973 41.316 7.377 97.685 11.855 159.975 11.855 62.29 0 118.659-4.478 159.975-11.855 20.658-3.69 37.506-8.041 49.923-13.284 6.21-2.62 11.343-5.418 15.47-9.02 4.126-3.6 7.632-8.675 7.632-14.84 0-6.167-3.506-11.242-7.633-14.843-4.126-3.6-9.26-6.398-15.469-9.02-12.417-5.242-29.265-9.594-49.923-13.282-41.316-7.378-97.685-11.856-159.975-11.856zm224 80.926c-17.886 9.361-42.297 15.703-70.854 21.017-44.267 8.238-98.66 12.433-153.084 12.815-54.423.382-108.8-3.051-153.021-10.316-22.11-3.633-41.675-8.208-57.629-13.9-4.795-1.712-9.272-3.5-13.412-5.42v112.495c54.727 19.858 139.481 30.383 224 30.383s169.273-10.525 224-30.383zM23.354 421.135a16.182 16.182 0 0 0-.354 3.361c0 6.166 3.506 11.24 7.633 14.842 4.126 3.601 9.26 6.398 15.469 9.02 12.417 5.242 29.265 9.594 49.923 13.283 41.316 7.377 97.685 11.855 159.975 11.855 62.29 0 118.659-4.478 159.975-11.855 20.658-3.69 37.506-8.041 49.923-13.284 6.21-2.62 11.343-5.418 15.47-9.02 4.126-3.6 7.632-8.675 7.632-14.84 0-1.16-.125-2.282-.354-3.362-58.527 21.982-145.45 32.361-232.646 32.361s-174.119-10.38-232.646-32.361z"}}]})(props);
};
function GiOpeningShell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M197.242 24.102c-40.986 10.368-78.605 33.52-106.36 69.652C53.07 142.972 33.22 216.81 49.6 317.006c79.374-42.55 132.106-95.527 166.947-168.307-4.973-41.636-11.247-83.365-19.308-124.598zm112.174 2.505c-7.667 42.868-13.397 87.133-17.94 132.58 38.35 68.048 90.915 120.903 182.096 158.698 9-98.344-16.265-171.888-57.968-221.614-29.16-34.768-66.487-57.994-106.188-69.663zm-57.654 39.608c-9.532.208-18.632 4.682-23.17 13.93 13.216 110.324 20.094 219.74 25.388 331.048 6.708-109.96 12.553-220.024 25.836-329.984-5.896-9.987-17.252-15.23-28.054-14.995zM220.21 181.518C188.277 237.364 144.217 281.93 84.83 318.432c-.4 34.104 4.104 72.597 14.824 115.63 59.937-35.375 100.948-104.268 127.596-172.07-1.93-26.61-4.24-53.49-7.043-80.474zm68.368 8.546c-2.33 26.464-4.324 53.303-6.123 80.477 29.86 65.904 70.47 133.18 140.707 164.692 10.74-41.73 15.13-79.366 14.51-112.96-68.55-33.934-114.492-78.57-149.094-132.208zm-58.603 113.184c-20.432 44.143-47.37 86.888-82.963 119.12 2.542 3.706 5.108 7.27 7.7 10.667 26.638 34.942 55.1 53.575 83.41 58.05-2.15-58.782-4.2-122.097-8.147-187.837zm50.054 5.75c-3.548 59.092-6.53 119.665-10.34 181.264 28.108-5.885 56.63-25.624 83.324-60.54 2.805-3.67 5.585-7.51 8.336-11.51-35.357-30.064-60.998-69.267-81.32-109.214z"}}]})(props);
};
function GiOphiuchus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M88.156 27.25s-4.01 66.82.22 148.875c-35.462 25.506-59.087 71.472-58.94 126.47l72.595-.19c6.342 35.16 15.387 69.205 28.94 99.47 10.45 23.343 23.684 44.876 42.905 62 19.22 17.124 45.834 28.813 74.063 28.813 28.23 0 54.81-11.69 74.03-28.813 19.222-17.124 32.455-38.657 42.907-62 7.628-17.035 13.81-35.266 18.906-54.22 28.346-5.545 55.596-23.202 72.782-49.655 17.925-27.59 26.084-62.656 26-104.562l-76.125.125c5.828-89.823 1.25-166.313 1.25-166.313l-84.843 4.97s5.772 102.672-5.313 203.093c-.418 3.8-.87 7.59-1.343 11.375-9.33-6.544-18.675-14.97-27.156-25.438-31.456-38.824-73.616-62.668-116.468-66.72-2.58-68.13.438-122.31.438-122.31l-84.844-4.97zm91 215.375c14.277 4.834 29.857 14.9 43.813 32.125 21.47 26.5 47.323 47.977 75.593 61.094-3.414 11.558-7.157 22.14-11.25 31.28-7.198 16.076-15.318 27.412-21.907 33.282-6.59 5.87-10.235 7.28-17.47 7.28-7.232 0-10.91-1.41-17.5-7.28-6.588-5.87-14.707-17.206-21.905-33.28-13.695-30.59-23.664-76.837-29.374-124.5z"}}]})(props);
};
function GiOppidum (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M223 56c0 10.379 4.445 19.204 10.842 24.783 3.926 3.425 8.45 5.736 13.158 7.014V135h-14v-23h-18v39h-20v-21h-18v62.72c-19.19 7.082-37.964 17.092-56 30.208v-58.934h-18v73.291a282.668 282.668 0 0 0-10.457 9.586h-33.4l-38.565 34.414 11.985 13.43 26.902-24.008C114.487 355.396 241.709 480.047 313.02 482l173.49-2.098c-151.243-45.507-340.499-153.37-382.876-218.722 43.018-42.118 90.85-61.809 139.324-63.746 31.842 54.994 110.736 79.49 203.701 94.867 11.746 12.426 22.889 25.889 33.277 40.303l14.602-10.526c-28.985-40.215-63.67-73.656-101.539-98.053v-36.152h-18v25.367c-13.79-7.642-27.936-14.081-42.32-19.24H335v-64h-18v21h-20v-39h-18v23h-14V87.797c4.707-1.278 9.232-3.59 13.158-7.014C284.555 75.203 289 66.38 289 56h-18c0 5.621-1.899 8.796-4.674 11.217C263.551 69.637 259.536 71 256 71c-3.536 0-7.551-1.363-10.326-3.783C242.899 64.797 241 61.62 241 56zm10 97h46v28.068a224.497 224.497 0 0 0-30.518-1.648c-5.163.076-10.326.335-15.482.78zm-38 16h20v13.533a214.155 214.155 0 0 0-20 4.438zm102 0h20v19.902a253.061 253.061 0 0 0-13.809-3.588c-2.06-.472-4.124-.914-6.191-1.332zm-16.12 30.45c6.106.88 12.205 2.014 18.288 3.41 38.124 8.743 75.622 27.692 109.83 54.824-42.055-4.773-85.428-20.978-128.117-58.235z"}}]})(props);
};
function GiOppositeHearts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M238 22c-26.2 0-49.9 13.17-64 34.23-3.5 3.51-6.1 7.9-8.8 12.28C123.1-10.46 18.67 18.49 16.07 101.8c-2.6 88.7 113.23 111.6 149.13 199.3 27.2-70.2 103.6-101.8 135.2-153.6 10.5-13.1 18.2-30 15.7-47.4-6.7-46.43-34.6-77.8-78.1-78.1zm108.7 188.9c-27.2 70.2-103.6 101.8-135.2 153.6-10.5 13.1-18.2 30-15.7 47.4 6.7 46.4 34.6 77.8 78.1 78.1 26.2 0 49.9-13.2 64-34.2 3.5-3.5 6.1-7.9 8.8-12.3 42.1 79 146.5 50 149.2-33.3 2.6-88.7-113.3-111.6-149.2-199.3z"}}]})(props);
};
function GiOppression (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.188 16.406V123.28l153.593 81.75-70.655-188.624H19.187zm109.812 0L248.125 161.22l5.25-144.814H129zm165.25 0l40.906 133.156 60.72-133.156H294.25zm140.188 0l-14.594 155.938 74.75-69.5V16.406h-60.156zM19.188 167.062v97.532l99.874 9.937L19.19 167.064zm409.406 40.313c-17.884-.094-38.853 9.07-55.938 26.156-5.305 5.307-9.826 10.998-13.562 16.845-93.737-56.476-329.936 76.333-179 189.78H60.78l-26.468 47.72H291.5L203 384.625c24.27-26.708 67.458-43.704 97-45.063 13.793 45.098 36.265 113.497 71.75 148.313h60.844c-43.07-46.547-76.538-109.09-81.938-179.844 1.616 3.237 3.72 6.19 6.313 8.783 18.662 18.663 55.944 11.648 83.28-15.688s34.35-64.618 15.688-83.28c-7-7-16.614-10.413-27.344-10.47zM19.188 323v59.563l77.687-23.938L19.187 323z"}}]})(props);
};
function GiOrangeSlice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M471.5 65.72c-10.5 4.91-21.1 9.87-31.6 14.89C481.8 196.7 438.8 314.5 358 373.4c-41.8 30.5-93.9 45.2-148.9 35.5-53.8-9.6-110.07-42.6-162.13-105.3-8.53 5.8-17.06 11.6-25.58 17.5 11.95 16.1 45.31 57.4 96.01 88.6 63.7 39.3 151.2 61.2 256.3-9.8 93.5-63.2 116.5-148.2 116.9-218.6.3-53-12.6-97.01-19.1-115.58zm-47.9 22.72c-62.3 20.36-103.9 43.76-147.3 71.06-2.4 2 .2 8.4 5.9 8.1l155.9 6.2c.2-27.7-4.4-56.5-14.5-85.36zm-39 44.36l3.4 17.6-40.3 7.9-3.4-17.6zm-98.8 53c-7.4.1-11.1 7-4.8 15.3l119.5 101c20.4-31.7 33.6-69.6 36.8-110.3zm37.8 12.6l37.1 13.8-6.2 16.8-37.1-13.8zm-115.4 4.9c-.9 0-1.9.3-3 .9-47.8 27.9-100.4 56-143.18 89.3 30.54 36.6 61.98 61.8 93.08 77.9l58.7-156.2c3-4.6-.4-12-5.6-11.9zm56.2 9.4c-5.3 0-8.7 6.7-8 8.6l44.8 162.3c16.4-6 31.9-14.4 46.2-24.8 15.9-11.6 30.3-25.8 42.6-41.9L269.1 214.5c-1.7-1.3-3.3-1.8-4.7-1.8zm-30.7 7c-1.2.1-2.5 1-3.6 3.5L171.4 379c13.8 5.7 27.5 9.7 40.9 12.1 24.9 4.4 49 3.4 71.7-2.2l-45.4-164.6c-.8-2.2-2.8-4.6-4.9-4.6zm-64.9 24.8l13.8 11.6-32.9 38.7-13.8-11.6zm130.6 17.3l21.2 26.5-14 11.2-21.2-26.5zM220.8 286l18 .6-1.6 42.5-18-.6z"}}]})(props);
};
function GiOrange (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.355 15.997c-93.512.726-182.057 56.405-220.066 148.166-50.68 122.35 7.525 262.87 129.874 313.547 122.35 50.68 262.868-7.526 313.547-129.875 50.68-122.35-7.525-262.868-129.874-313.547-30.587-12.67-62.31-18.532-93.48-18.29zm1.325 24.342c33.248 0 66.497 14.247 56.998 42.745L270.822 218.74 338.23 93.165c13.433-26.868 47.018-13.433 70.528 10.077 23.51 23.51 36.946 57.095 10.078 70.53l-126.7 66.57L428.91 199.43c3.562-1.188 6.903-1.71 10.02-1.644 21.82.455 32.728 29.547 32.728 58.64 0 33.247-14.25 66.497-42.748 56.997l-135.385-42.267 125.233 67.072c3.358 1.68 6.088 3.674 8.246 5.924 15.107 15.75 2.25 44.034-18.322 64.605-23.51 23.51-57.095 36.947-70.53 10.078l-67.59-127.218c9.505-3.882 17.067-11.4 21.002-20.885 8.137-19.643-1.19-42.163-20.834-50.3-19.642-8.136-42.162 1.192-50.298 20.835-8.137 19.643 1.19 42.162 20.834 50.3 9.317 3.854 19.776 3.9 29.127.126L311.93 428.91c19 56.998-132.993 56.998-113.994 0l43.605-137.63-67.77 126.5c-26.867 53.736-134.343-53.74-80.606-80.61l124.156-66.243-134.232 41.748c-53.435 17.812-56.775-114.662-10.02-115.637 3.117-.065 6.458.456 10.02 1.643l135.914 41.188L94.146 173.77C43.768 148.583 135.08 52.548 168.83 84.92c2.25 2.157 4.245 4.887 5.924 8.245L239.54 217.95 198.683 83.085c-9.5-28.498 23.75-42.746 56.998-42.746z"}}]})(props);
};
function GiOrbDirection (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.78 21C128.098 21 23.47 125.628 23.47 253.313c0 127.685 104.627 230.78 232.31 230.78 127.685 0 230.782-103.095 230.782-230.78S383.466 21 255.782 21zm-1.06 82l117.374 117.97-23.938 25.093-65.406-37.938v172.47c79.295-13.13 139.78-81.987 139.78-165 0-39.265-13.54-75.368-36.186-103.907 37.702 35.365 61.22 85.81 61.22 141.625-.002 106.395-85.385 191.78-191.783 191.78-106.398 0-193.31-85.385-193.31-191.78 0-55.123 23.342-105.018 60.624-140.313-22.028 28.33-35.156 63.928-35.156 102.594 0 82.46 59.645 150.973 138.156 164.75v-168.72l-62.5 35.626-25.094-26.28L254.72 103z"}}]})(props);
};
function GiOrbWand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M339.72 55.875c-61.792 0-111.876 50.08-111.876 111.875 0 61.79 50.08 111.875 111.875 111.875 61.79 0 111.905-50.08 111.905-111.875 0-61.79-50.112-111.875-111.906-111.875zm0 18.875c51.36 0 93 41.642 93 93 0 51.362-41.643 93-93 93-51.363 0-92.97-41.642-92.97-93 0-33.034 17.208-62.033 43.156-78.53-4.767 5.728-7.656 13.088-7.656 21.124 0 18.257 14.806 33.062 33.063 33.062 18.256 0 33.062-14.805 33.062-33.062 0-17.464-13.562-31.73-30.72-32.938 7.073-1.72 14.46-2.656 22.064-2.656zm-62.533 65.03c-8.418 0-15.28 6.825-15.28 15.25 0 8.42 6.854 15.25 15.28 15.25 8.42 0 15.25-6.822 15.25-15.25 0-8.418-6.823-15.25-15.25-15.25zm-76.312 72.97c-.846 7.796-2.342 14.92-4.5 21.406l78.5 78.5c6.444-2.173 13.523-3.733 21.25-4.625l-95.25-95.28zm-13.125 39.22c-4.91 7.335-11.078 13.393-18.5 18.218l69.594 69.625c4.842-7.41 10.92-13.58 18.25-18.5L187.75 251.97zm-36.438 26.718c-6.406 2.136-13.398 3.716-20.968 4.687 32.544 31.712 62.545 62.546 95.187 95.188 1.003-7.534 2.595-14.498 4.75-20.875l-78.968-79zm-15.687 36.406L17.187 433.188v21.937l129.25-129.22-10.812-10.81zm24 24L17.187 481.53v13.595h53.72L193.28 372.75l-33.655-33.656z"}}]})(props);
};
function GiOrbit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M249.284 26.032a230.014 230.014 0 0 0-155.95 67.28 230.107 230.107 0 0 0 262.634 369.956 30.059 30.059 0 0 0 49.717-32.61c4.441-3.82 8.76-7.823 12.952-12.008A228.511 228.511 0 0 0 486 255.964 230.014 230.014 0 0 0 249.284 26.032zm8.002 14.89a214.839 214.839 0 0 1 150.299 366.596 236.298 236.298 0 0 1-11.997 11.087 30.059 30.059 0 0 0-46.585 30.582 214.839 214.839 0 1 1-91.717-408.265zm-7.952 62.712a152.485 152.485 0 0 0-103.836 47.257v6.708h24.853l7.85 16.304 20.274-4.576 25.506-1.957 26.786 13.08 13.744 13.789-8.526 11.74-26.786 5.229 13.695 19.262 4.659 7.267-12.472 18.227-18.962-5.334-16.304 6.662-5.88 12.124h-25.506l-10.366-12.974v-23.539L139 230.458l-9.806 20.16-3.273 25.984 8.5 20.963 16.305 18.307 7.293 22.885-6.64 7.85-22.965-7.07A152.566 152.566 0 0 0 402.31 212.873l-11.578 33.867-55.552 50.789-11.157-14.779 24.34-44.99-.757-27.216-23.583 15.651-7.186-27.298 30.78-63.729h1.422a152.485 152.485 0 0 0-99.705-31.534zm32.086 171.091l18.634 4.416 5.951 29.115-29.72 27.858-4.577 49.881-19.426 11.517-13.113-30.151-29.314-16.737-13.266-37.081 12.625-27.836 72.206-10.982z"}}]})(props);
};
function GiOrbitalRays (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M312.598 17.617c-11.352.495-22.753 1.162-34.504 3.447-7.382 1.438-14.92 3.48-22.397 5.63h-.002l.582 102.386c-4.14 1.2-8.277 2.578-12.398 4.123 14.078 1.1 27.395 4.973 39.405 11.068 2.518-.268 5.01-.452 7.47-.54.864-.033 1.724-.053 2.58-.062 12.852-.14 24.76 2.234 34.995 7.217 21.838 10.63 33.073 30.607 34.164 56.81 1.09 26.204-8.932 58.226-31.22 88.748-22.29 30.523-52.376 53.464-82.374 65.647-29.997 12.182-59.435 13.43-81.273 2.8-21.838-10.63-33.07-30.608-34.162-56.812-.404-9.69.718-20.176 3.412-31.088-4.622-11.87-7.164-24.77-7.164-38.248 0-.232.008-.463.01-.695-5.353 10.91-9.423 21.863-12.19 32.66l-93.67-3.203c-3.03 11.91-5.398 23.594-6.728 35.37-.858 7.613-1.447 15.52-1.567 23.003l97.918-30.83c-.345 4.694-.433 9.327-.244 13.875.448 10.748 2.51 21.08 6.133 30.592l-95.55 46.945h-.003c2.456 8.035 5.49 16.144 9.094 23.692 3.755 7.87 7.882 15.017 12.637 21.844l83.783-73.775c6.932 9.733 16.053 17.892 27.305 23.784L84.57 470.47c13.744 9.173 29.25 15.45 45.707 20.024l45.454-101.21c13.947 3.576 28.93 3.992 44.2 1.74l-29.576 106.328c18.565-.79 37.977-3.862 57.455-9.463l-6.248-101.753c5-1.514 9.993-3.28 14.954-5.293 10.273-4.172 20.45-9.406 30.332-15.606l25.332 95.213c9.426-5.314 18.51-11.05 27.785-17.528 9.086-6.347 18.08-13.29 26.44-20.348l-60.594-70.726c13.438-10.623 26-23.116 37.09-37.24l75.883 53.853c13.686-17.525 25.127-36.118 34.947-55.083l-97.558-17.61c9.69-15.447 16.76-31.22 21.176-46.722l101.742-1.578c3.09-12.056 5.713-24.31 7.058-36.23.858-7.61 1.67-15.05 1.79-22.532l-106.094 38.4c.848-6.886 1.147-13.656.873-20.25-.345-8.29-1.656-16.326-3.895-23.935l101.086-54.33c-2.51-8.397-5.562-16.293-9.316-24.162-3.603-7.55-7.888-14.786-12.412-21.375h-.002l-86.9 81.843c-7.2-12.837-17.724-23.557-31.462-30.873l79.122-89.908c-5.416-3.616-11.37-6.953-17.247-9.86-9.134-4.516-19.145-7.464-29.235-10.247l-50.832 102.857c-10.007-2.73-20.56-3.822-31.39-3.437-4.118.146-8.275.507-12.458 1.068l34.823-106.88zm-121.827 36.9c-9.23 5.23-18.697 11.185-27.784 17.532-9.086 6.347-17.527 12.9-25.886 19.96l42.332 57.045c8.634-5.428 18.102-9.644 28.162-12.41L190.77 54.52zM84.72 146.126c-5.277 6.76-10.507 13.635-15.226 20.652l-.553.387c-7.44 11.105-13.74 22.86-19.72 34.432l81.932 19.754c1.723-10.357 4.954-20.212 9.463-29.33L84.72 146.125zm150.856 9.193c-46.207 0-83.424 37.217-83.424 83.424 0 46.207 37.217 83.424 83.424 83.424 46.207 0 83.424-37.217 83.424-83.424 0-46.207-37.217-83.424-83.424-83.424z"}}]})(props);
};
function GiOrbital (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.25 20.656c-32.78 0-64.03 6.79-92.438 19-8.182-10.618-20.994-17.468-35.437-17.468-24.716 0-44.78 20.033-44.78 44.75 0 8.356 2.324 16.18 6.31 22.874-42.638 42.655-69.093 101.49-69.093 166.282 0 129.617 105.823 234.72 235.438 234.72 129.615-.002 234.72-105.103 234.72-234.72 0-129.618-105.105-235.438-234.72-235.438zm0 19.313c119.515 0 216.094 96.607 216.094 216.124s-96.58 216.094-216.094 216.094c-119.515 0-216.813-96.577-216.813-216.094 0-59.568 24.176-113.438 63.22-152.5 7.273 5.113 16.15 8.094 25.718 8.094 24.716 0 44.75-20.034 44.75-44.75 0-3.453-.385-6.804-1.125-10.032C197.91 46 226.396 39.97 256.25 39.97zm-.125 51.81c-91.3 0-165.875 74.575-165.875 165.876 0 91.3 74.576 165.406 165.875 165.406 35.12 0 67.708-10.965 94.5-29.656 7.13 4.23 15.45 6.656 24.344 6.656 26.396 0 47.81-21.384 47.81-47.78 0-12.763-5.005-24.366-13.155-32.938 7.677-19.067 11.906-39.884 11.906-61.688 0-91.3-74.106-165.875-165.405-165.875zm0 19.126c81.2 0 146.78 65.55 146.78 146.75 0 17.833-3.172 34.924-8.967 50.72-5.81-2.513-12.237-3.907-18.97-3.907-26.396 0-47.78 21.414-47.78 47.81 0 10.59 3.454 20.362 9.28 28.283-23.065 15.084-50.66 23.843-80.343 23.843-81.2 0-147.22-65.55-147.22-146.75s66.02-146.75 147.22-146.75zm-1.063 19.625c-7.462 31.99-21.767 62.112-42.906 83.25-21.14 21.14-48.73 32.913-80.72 40.376 31.99 7.462 62.112 21.736 83.25 42.875 21.14 21.14 32.914 48.764 40.376 80.75 7.463-31.986 19.204-59.61 40.344-80.75 21.14-21.138 51.262-35.412 83.25-42.874-32.236-7.428-59.455-19.11-80.72-40.375-21.262-21.263-35.446-51.013-42.873-83.25zm.094 86.564c20.498 0 37.125 16.627 37.125 37.125 0 20.496-16.626 37.124-37.124 37.124-20.497 0-37.125-16.628-37.125-37.125 0-20.5 16.63-37.126 37.126-37.126z"}}]})(props);
};
function GiOrcHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 51c-1.216 1.157-3.235 3.694-5.595 7.47-4.552 7.283-10.594 19.233-18.383 34.8v9.94c6.19 4.752 14.906 7.626 23.978 7.626 9.072 0 17.787-2.874 23.978-7.627v-9.94c-7.79-15.567-13.83-27.517-18.383-34.8-2.36-3.776-4.38-6.313-5.595-7.47zm-42.743 54.286c-28.17 6.895-55.87 20.62-82.175 41.132-16.04 80.706-31.2 175.83-16.89 254.565 6.188 2.322 12.687 4.44 19.403 6.398l-3.062-12.257-4.305-6.455 7.807-5.204c6.304-4.203 13.54-7.85 21.487-10.99-5.028-6.777-8.326-15.44-11.545-24.286-5.46-15.013-9.66-31.84-13.654-44.028l-9.792-29.87 24.565 19.616c24.47 19.543 49.132 32.704 82.918 56.314l10.07 7.037c5.944-.26 11.928-.39 17.917-.39 5.99 0 11.973.13 17.916.39l10.07-7.037c33.787-23.61 58.45-36.77 82.92-56.314l24.563-19.616-9.793 29.87c-3.995 12.19-8.193 29.015-13.654 44.028-3.22 8.847-6.517 17.51-11.545 24.287 7.948 3.138 15.183 6.786 21.487 10.99l7.807 5.203-4.305 6.455-3.062 12.258c6.716-1.956 13.215-4.075 19.402-6.397 14.31-78.736-.85-173.86-16.89-254.565-26.305-20.51-54.004-34.237-82.174-41.132v6.31l-2.75 2.746c-10.55 10.552-25.398 15.26-39.993 15.26-14.595 0-29.442-4.708-39.994-15.26l-2.75-2.746v-6.31zm75.98 55.876l13.39 13.145-6.572 6.695c-12.91 13.147-27.168 19.604-41.277 18.865-14.108-.74-26.793-8.077-38.39-18.442l-6.995-6.253 12.504-13.99 6.996 6.25c9.774 8.735 18.788 13.273 26.867 13.696 8.08.423 16.495-2.67 26.905-13.272l6.573-6.694zm-149.998 3.885c19.807 0 41.364 9.12 60.852 19.946 19.487 10.826 36.416 23.397 45.862 32.843l-13.268 13.267c-7.234-7.234-23.665-19.683-41.708-29.707-18.043-10.024-38.186-17.584-51.74-17.584v-18.765zm233.52 0v18.765c-13.552 0-33.695 7.56-51.738 17.584-18.043 10.024-34.474 22.473-41.708 29.707l-13.268-13.267c9.446-9.446 26.375-22.017 45.862-32.843 19.488-10.827 41.045-19.946 60.853-19.946zm-226.887 36.11c16.68 16.68 47.577 47.29 93.447 47.29v.316l16.757-24.214 16.603 24.475v-.578c45.87 0 76.767-30.61 93.447-47.29l13.268 13.266c-8.234 8.233-21.14 21.197-38.61 32.218 4.916 4.755 7.998 11.397 7.998 18.697 0 14.283-11.78 26.063-26.063 26.063-14.282 0-26.062-11.78-26.062-26.063 0-.183.01-.364.014-.546-3.9.798-7.922 1.415-12.06 1.828l28.074 41.386-3.79 5.315c-7.152 10.026-16.657 15.68-26.033 18.204-9.376 2.525-18.523 2.41-26.863 2.41s-17.496.107-26.944-2.4-19.065-8.05-26.67-17.95l-4.17-5.425 28.773-41.58c-4-.41-7.887-1.017-11.662-1.79.004.183.014.364.014.547 0 14.283-11.78 26.063-26.062 26.063-14.283 0-26.063-11.78-26.063-26.063 0-7.3 3.082-13.942 7.998-18.696-17.47-11.02-30.376-23.984-38.61-32.217l13.268-13.267zm-128.076 16.11c2.95 6.932 8.367 15.73 16.54 27.413 12.455 17.8 29.556 41.635 46.575 75.674 1.848 3.697 4.587 6.08 8.64 7.774.07-13.807.677-27.726 1.7-41.656l-24.876-21.55 12.286-14.184 14.638 12.68c.938-9.016 2.026-18.007 3.23-26.948-7.94-6.23-17.723-10.416-28.564-13.373-16.628-4.535-34.943-5.58-50.17-5.83zm476.406 0c-15.226.25-33.54 1.295-50.17 5.83-10.84 2.957-20.623 7.142-28.562 13.373 1.204 8.94 2.292 17.932 3.23 26.947l14.638-12.68 12.286 14.185-24.875 21.55c1.02 13.93 1.628 27.848 1.7 41.656 4.05-1.694 6.79-4.077 8.638-7.774 17.02-34.04 34.12-57.873 46.575-75.674 8.173-11.682 13.59-20.48 16.54-27.412zm-238.28 40.48L221.81 307.04c3.74 3.347 7.608 5.175 12.06 6.356 6.265 1.663 13.79 1.772 22.13 1.772s15.874-.117 21.982-1.762c4.345-1.17 8.01-2.94 11.476-6.216l-33.535-49.442zm-66.643.292c-4.142 0-7.298 3.155-7.298 7.297 0 4.14 3.156 7.297 7.298 7.297 4.14 0 7.297-3.156 7.297-7.297 0-4.142-3.156-7.298-7.297-7.298zm133.44 0c-4.14 0-7.297 3.155-7.297 7.297 0 4.14 3.156 7.297 7.297 7.297 4.142 0 7.298-3.156 7.298-7.297 0-4.142-3.156-7.298-7.298-7.298zm-166.322 67.34c1.684 5.604 3.355 11.28 5.214 16.392 4.053 11.14 9.25 19.18 12.498 22.424l27.458-9.153c-16.38-10.857-31.114-20.08-45.17-29.662zm199.204 0c-14.056 9.583-28.79 18.806-45.17 29.663l27.458 9.153c3.247-3.245 8.445-11.283 12.498-22.424 1.86-5.112 3.53-10.788 5.214-16.39zM256 375.634c-41.212 0-82.64 7.558-105.97 20.12l13.58 54.32c61.668 14.57 123.112 14.57 184.78 0l13.58-54.32c-23.33-12.562-64.758-20.12-105.97-20.12zm-.018 10.543c23.4-.08 46.826 4.167 70.074 13.005l8.77 3.334-6.67 17.542-8.77-3.336c-42.466-16.144-84.223-15.572-126.88.04l-8.814 3.226-6.448-17.623 8.81-3.223c23.152-8.473 46.527-12.883 69.928-12.964z"}}]})(props);
};
function GiOre (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M344.578 493.54l-117.214-2.024L118.9 338.536l14.355-51.353 35.264 9.38 40.145 42.033-17.467-59.874 23.836-35.358-42.748-104.034 43.165-79.45 72.434 22.468 46.26 80.46-29.474 5-38.478-35.017 22.568 48.064-.672 37.364-26.09 18.224 34.95 1.284 47.145 23.835 28.75-27.874 38.488 19.057 10.647 37.578-18.97-13.784-78.166 39.967-44.983-15.39 5.86-27.153-42.766 3.274 23.573 11.913-9.49 22.943 58.037 31.285 20.34 79.423-15.45 34.73 29.397-20.36 66.83-9.438-71.61 65.81zm-158.524-3.538l-53.48-2.296 27.663-64.006 34.38 49.695-8.563 16.607zm-86.78-37.04l-11.08-34.875-35.503-10.204 34.858-11.09 10.212-35.5 11.09 34.855 35.502 10.22-34.857 11.082-10.22 35.51zm252.983-33.208l-21.565-84.228 72.042-38.99 53.683 59.322-18.665 52.23-85.495 11.666zM169.47 280.677l-59.133-15.612-20.298-69.16 66.064-37.45 36.94 84.126-23.573 38.097zm172.106-38.972l-38.385-19.66 1.574-38.86 43.607-9.917 26.753 39.296-33.547 29.14zm58.845-47.23l-14.234-45.425-46.14-13.46 45.41-14.262 13.46-46.132 14.252 45.41 46.14 13.478-45.41 14.235-13.477 46.156zM327.01 124.9l-28.666-56.762-28.972-7.96 22.645-41.718 29.312 14.278 17.84 59.542-12.16 32.62z"}}]})(props);
};
function GiOrganigram (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 26.3c-19.924 0-36.076 18.7-36.076 41.768.014 17.119 9.05 32.494 22.797 38.795C223.827 117.95 206 149.828 206 172.488h100c0-22.65-17.813-54.508-36.695-65.61 13.741-6.312 22.766-21.693 22.771-38.81 0-23.067-16.152-41.767-36.076-41.767zm-9 165.212v41H61v83h18v-65h168v65h18v-65h168v65h18v-83H265v-41zm-177 148c-19.924 0-36.076 18.7-36.076 41.767.014 17.119 9.05 32.494 22.797 38.795C37.827 431.161 20 463.04 20 485.7h100c0-22.65-17.813-54.51-36.695-65.611 13.741-6.313 22.766-21.692 22.771-38.809 0-23.067-16.152-41.768-36.076-41.767zm186 0c-19.924 0-36.076 18.7-36.076 41.767.014 17.119 9.05 32.494 22.797 38.795C223.827 431.161 206 463.04 206 485.7h100c0-22.65-17.813-54.51-36.695-65.611 13.741-6.313 22.766-21.692 22.771-38.809 0-23.067-16.152-41.768-36.076-41.767zm186 0c-19.924 0-36.076 18.7-36.076 41.767.014 17.119 9.05 32.494 22.797 38.795C409.827 431.161 392 463.04 392 485.7h100c0-22.65-17.813-54.51-36.695-65.611 13.741-6.313 22.766-21.692 22.771-38.809 0-23.067-16.152-41.768-36.076-41.767z"}}]})(props);
};
function GiOstrich (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M412.5 22.17c-.6 0-1.2.1-1.7.1-9 .72-15.4 5.89-16.2 8.96-2.1 7.02-3.6 16.36-2.2 22.82 1.4 6.46 3.4 10.34 14.2 12.22 16.6 2.88 35.4-.64 51.8-6.43 13-4.61 24.2-10.62 31.3-15.14-.4-.67-.8-1.27-1.4-1.78-1.5-1.26-4.3-2.53-8.6-3.31-8.7-1.57-22.2-.88-36-1.57l-4.3-.22-2.5-3.5c-6.2-8.57-14.6-11.93-22.7-12.14h-1.7zm-14 60.61c-3.9 10.17-4.5 20.22-2.8 29.52 2.2 12.2 9.5 22.1 13.6 32.9 14 36.6.8 45.4-20.8 51.1 22.3 20 33.3 44.4 35 68.3 30-45.7 35.3-86.2 1.3-128.6-6.7-8.3-9.9-18.2-11.4-26.8-1.5-7.9-.8-15.35 3.7-23.91-4.5-.11-9-.51-13.5-1.29-1.8-.31-3.4-.72-5.1-1.22zM108.4 126.9c-29.04-.2-53.3 25.3-56.66 60 10.56-10.7 25.02-17.7 46.11-17.2-20.2 13.7-33.69 29.2-44.34 45.3 1.77 8.2 4.64 16.5 8.8 24.9 38.09-52.5 60.99-29.6 72.69.1 10.8-20 27.4-36 47-48.1-21.4-46.4-49.2-64.8-73.6-65zm180.2 55c-3.4 0-6.9 0-10.4.2-12.4.5-25 2.2-37.3 5.1-46.3 11-86.3 38-97.9 81.1 22.2 7.6 40.7 16.4 56.7 25.4 31.6 4.7 63.8 3.2 91.4-2.5 38.5-8 67-25.4 73.3-39.7l16.4 7.2c-11 25.4-44.7 41.6-86 50.1-19 4-39.9 6-61.3 5.7 4.3 2.8 8.4 5.5 12.4 8.1 27.1 17.6 48.4 29.7 82.6 28 35.6-2.9 62.6-25.9 72.9-54.6 10.2-28.7 4.4-62.5-28.7-89.5-19.2-15.8-50.6-24.4-84.1-24.6zm-92.5 130.4c-4.4 8.8-8.1 18-10.6 26.2-18.6 8.8-25 12.1-34.8 33.2-35.5 15.3-50.4 38.2-61.34 71.5-22.48 6.1-40.85 5-63.06-9.9-12.14 16.1 6.05 30.4 22.64 36.9 21.16 8.3 50.31 2.8 55.46-7.2 16.5-32.5 31.1-54.7 61.7-77 13.1-1.4 22.4-2.4 34.3-18 21.6 2.2 39.3-8 55-18.1 7.8 17.9 23.5 41.8 20.7 58.9-11.8 9.5-8 21.3-8.3 24.1 6 17.9 66.2-5.8 108 18 22.4 12.8 27.9 44.9 69.4 37.9 6.8-1.1 5.3-7.2.6-8.9-37.4-13.7-27.6-21-44.8-48.1-32-.8-59.3-5.2-95.4-16.1-10.4-3 3.2-24.8 13.3-47-33.4-.9-57.8-14.7-82.9-31-12.4-8.1-25.2-16.8-39.9-25.4z"}}]})(props);
};
function GiOuroboros (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M361.066 19.732c-10.544.158-22.568 2.455-36.455 7.622-51.68-7.935-149.35 1.07-219.3 67.445-18.193 15.515-33.99 34.47-46.415 56.622C.422 255.664 39.01 391.614 145.668 454.862c106.657 63.247 239.682 29.71 298.156-74.534 48.044-85.65 30.543-192.683-36.38-263.228-4.687-2.128-8.99-3.64-12.84-4.567-4.584-1.104-8.377-1.48-11.557-1.312l2.148 1.858.076.067.078.068 2.322 2.1-12.53 13.865-2.247-2.032-3.72-3.218-1.288-1.065c-1.283 4.36-1.58 10.16-.23 17.346 42.46 51.85 55.07 135.21 23.86 191.16-38.675 69.334-128.217 93.756-197.552 52.372-69.335-41.384-85.586-127.136-46.91-196.47 23.7-42.486 68.22-66.402 112.18-66.188 10.397.05 20.762 1.456 30.812 4.283-3.377-10.83-5.62-21.137-7.033-30.027l-1.078-6.78 6.148-3.054c9.405-4.673 17.726-11.592 25.22-20.53l-5.632-.73 2.408-18.533 5.895.766.1.012.1.016 6.098.928-1.05 6.906c.122-.182.245-.358.366-.54l15.61 10.274c-9.408 14.29-20.69 26.305-34.432 34.647 2.702 13.958 7.508 30.712 15.408 46.554 14.18 26.138 32.952 50.527 59.078 53.91-13.96-17.62-22.724-34.61-26.727-49.976-4.515-17.336-3.088-33.33 6.057-44.384 6.86-8.29 17.515-12.383 29.738-12.146 4.075.08 8.322.64 12.662 1.685 16.536 3.985 35.473 14.414 56.78 32.487 8.212-10.56 9.83-23.052 7.668-37.082-31.578-9.323-45.42-70.888-102.362-70.038zm2.97 16.33c4.357.122 9.314 1.2 14.323 3.297 13.085 5.48 21.578 15.845 18.97 23.154-2.607 7.307-15.328 8.79-28.414 3.31-13.086-5.48-21.58-15.848-18.973-23.156 1.467-4.11 6.134-6.378 12.266-6.6.595-.02 1.205-.023 1.827-.005zm-84.733 7.69h.107l.106.002 5.76.103.107.002.105.003 5.147.21-.758 18.673-5.055-.205-5.51-.1-5.54.03-1.942.05-.516-18.68 2.073-.057.105-.004h.108l5.703-.028zm-27.282 1.303l1.81 18.6-1.387.134-5.13.62-5.233.756-5.01.844-.87.168-3.538-18.35.977-.19.106-.02.11-.018 5.275-.89.108-.017.11-.015 5.34-.774.107-.015.11-.013 5.4-.652.11-.014.106-.01 1.5-.145zm-38.213 7.088l4.826 18.054-1.2.323-4.704 1.376-4.69 1.495-4.597 1.587-1.76.654-6.507-17.52 1.867-.692.102-.04.105-.034 4.816-1.66.104-.038.105-.033 4.883-1.556.106-.034.105-.03 4.95-1.45.106-.03.107-.03 1.274-.34zm-36.672 13.525l8.12 16.83-3.857 1.86-4.173 2.138-4.14 2.242-3.782 2.162-9.278-16.222 3.877-2.217.094-.054.096-.05 4.322-2.342.096-.05.095-.05 4.395-2.25.098-.05.1-.048 3.937-1.898zm-33.528 19.61l10.733 15.3-.885.62-.045.032-3.582 2.64-3.652 2.816-3.574 2.888-2.325 1.97L128.2 97.282l2.423-2.05.08-.066.082-.066 3.717-3.006.082-.067.084-.064 3.795-2.927.084-.066.086-.063 3.87-2.85.087-.064.088-.06.93-.653zm-29.683 25.31l13.3 13.13-1.244 1.26-3.08 3.262-3 3.322-2.925 3.385-1.692 2.047-14.406-11.906 1.74-2.106.065-.078.068-.078 3.066-3.55.07-.08.067-.075 3.15-3.487.07-.076.07-.077 3.236-3.423.07-.077.07-.074 1.304-1.318zm287.633 18.435l1.978 2.14.072.08.07.077 3.173 3.588.07.08.07.08 3.057 3.62.068.083.07.085 2.942 3.655.068.084.065.086.947 1.234-14.82 11.383-.864-1.123-2.824-3.506-2.932-3.475-3.045-3.44-1.883-2.034 13.717-12.697zM89.152 140.666l15.39 10.605-1.03 1.492-2.438 3.707-2.355 3.755-2.273 3.804-1.367 2.404-16.248-9.233 1.412-2.485.05-.088.052-.086 2.375-3.976.053-.085.053-.087 2.465-3.93.054-.086.056-.084 2.55-3.88.058-.087.056-.082 1.088-1.578zm336.278 19.262l1.382 2.2.06.09.056.096 2.283 3.83.058.092.054.096 2.176 3.854.055.095.05.1 2.073 3.874.05.098.05.097 1.27 2.513-16.69 8.414-1.22-2.418-1.95-3.65-2.026-3.593-.025-.04-2.21-3.706-1.316-2.093 15.82-9.95zM69.994 174.57l16.985 7.797-.552 1.196-.008.02-1.79 4.13-1.655 4.06-1.555 4.063-1.113 3.11-17.596-6.296 1.145-3.2.036-.096.038-.094 1.638-4.283.036-.094.04-.094 1.73-4.253.038-.094.04-.09 1.827-4.22.04-.092.042-.09.634-1.38zm372.912 20.303l.024.06.04.102.038.102 1.453 3.988.038.102.035.103 1.354 4.002.035.104.03.103 1.257 4.013.03.103.03.104 1.158 4.027.03.104.026.104.448 1.703-18.077 4.746-.418-1.588-1.103-3.845-1.2-3.832-1.263-3.74-1.368-3.756-.053-.145 6.163-2.246 11.293-4.417zm-385.85 16.44l18.08 4.736-.185.702-.01.04-.99 4.16-.91 4.237-.817 4.246-.692 4.097-18.426-3.115.71-4.197.016-.103.02-.1.86-4.47.02-.104.02-.1.96-4.452.02-.1.024-.102 1.06-4.434.022-.1.027-.1.194-.742zm395.905 21.494l.048.275.017.104.014.103.587 4.067.016.104.01.102.497 4.073.014.1.01.105.404 4.072.012.102.008.1.314 4.073.008.102.006.1.11 2.016-18.66 1.037-.106-1.93-.295-3.83-.39-3.923-.47-3.834-.562-3.893-.024-.142 18.43-3.083zm-402.048 17.23l18.662 1.01-.224 4.17-.135 4.355-.035 4.352.068 4.27.025.66-18.673.734-.03-.77-.006-.11-.002-.108-.07-4.538-.002-.11.002-.108.035-4.537v-.108l.004-.11.142-4.535.002-.108.006-.107.232-4.303zm385.59 21.094l18.664.95-.186 3.662-.003.098-.008.096-.29 4.035-.008.098-.008.096-.373 4.025-.007.093-.012.096-.452 4.013-.01.093-.013.094-.385 2.87-18.523-2.477.37-2.762.434-3.845.357-3.83.275-3.844.18-3.56zM70.697 286.587l.422 3.12.665 4.16.008.046.807 4.342.892 4.23.375 1.582-18.185 4.31-.4-1.692-.028-.114-.024-.113-.943-4.47-.025-.112-.02-.113-.832-4.485-.02-.113-.02-.113-.722-4.497-.017-.112-.015-.11-.437-3.232 18.52-2.512zm360.948 19.842l18.185 4.302-.598 2.53-.02.088-.023.088-1.004 3.896-.022.088-.025.086-1.077 3.875-.024.087-.028.088-1.15 3.85-.026.085-.027.086-1.224 3.826-.027.084-.03.084-.003.01-9.35-3.187-8.392-2.684.055-.17 1.14-3.565 1.077-3.6.01-.03 1.038-3.74.94-3.648.01-.04.59-2.49zM78.78 321.113l.796 2.303 1.537 4.1 1.655 4.095 1.79 4.124.846 1.82-16.945 7.882-.917-1.967-.05-.11-.048-.11-1.86-4.283-.048-.112-.045-.11-1.742-4.313-.045-.112-.04-.11-1.628-4.343-.043-.11-.04-.112-.835-2.42 17.66-6.112zm341.665 19.24l17.184 7.344-.536 1.252-.033.08-.037.077-1.642 3.653-.034.08-.037.078-1.712 3.62-.037.077-.037.078-1.775 3.584-.04.078-.04.08-1.84 3.545-.04.077-.04.076-.633 1.166-16.428-8.913.55-1.012.017-.03 1.81-3.488.016-.03 1.62-3.272.027-.053 1.66-3.518.023-.048 1.533-3.415.502-1.168zM93.668 353.22l1.377 2.305 2.46 3.883 2.518 3.76 2.723 3.84.723.965-14.962 11.2-.803-1.07-.072-.1-.07-.097-2.82-3.978-.07-.1-.068-.1-2.697-4.023-.068-.1-.065-.103-2.576-4.066-.065-.102-.063-.105-1.445-2.42 16.04-9.59zM403.58 371.7l15.53 10.392-2.167 3.24-.048.072-.05.07-2.27 3.26-.05.07-.05.07-2.33 3.214-.05.07-.052.07-2.385 3.165-.053.07-.054.07-1.78 2.276-14.713-11.527 1.675-2.137.032-.04 2.312-3.07.04-.054 2.167-2.992 2.203-3.164.024-.033 2.07-3.094zm-288.91 10l3.246 3.513 3.387 3.486 3.588 3.507 2.43 2.256-12.722 13.69-2.55-2.37-.087-.08-.083-.082-3.695-3.612-.084-.084-.084-.084-3.57-3.67-.083-.086-.08-.088-3.34-3.615 13.73-12.68zm266.736 18.034l13.553 12.868-1.44 1.517-.063.064-.062.064-2.758 2.795-.065.064-.064.065-2.81 2.736-.063.063-.067.063-2.857 2.678-.065.065-.07.06-2.903 2.618-.07.063-.07.06-.7.606-12.23-14.13.644-.56 2.783-2.508.036-.033 2.655-2.49 2.614-2.544.035-.035 2.698-2.735.024-.024 1.314-1.386zm-240.517 6.174l3.48 2.643 4.284 3.093 4.4 3.015 2.536 1.65-10.194 15.665-2.597-1.692-.095-.06-.092-.062-4.605-3.156-.092-.063-.092-.067-4.472-3.227-.092-.066-.092-.068-3.578-2.717 11.3-14.887zm213.827 17.17l10.732 15.3-3.052 2.14-.08.054-.08.055-3.215 2.156-.082.057-.083.053-3.255 2.086-.084.05-.084.054-3.297 2.014-.086.052-.085.05-2.906 1.69-9.4-16.154 2.79-1.62 3.17-1.938 2.99-1.914.04-.026 3.016-2.02.023-.017 3.027-2.122zm-183.643 2.463l1.006.56 5.104 2.683 5.248 2.61 4.78 2.246-7.95 16.913-4.905-2.307-.093-.043-.094-.047-5.41-2.69-.094-.048-.094-.05-5.273-2.77-.095-.05-.094-.052-1.106-.615 9.07-16.34zm152.815 15.103l7.55 17.095-.963.426-.098.043-.1.04-3.55 1.474-.1.042-.1.04-3.585 1.387-.1.04-.103.036-3.615 1.306-.104.037-.103.035-3.647 1.22-.105.035-.107.034-2.158.666-5.51-17.858 2.073-.64 3.398-1.137 3.432-1.24 3.383-1.31 3.326-1.382.885-.39zm-120.013.007l.783.307 5.844 2.16.03.01 6.01 2.082.05.015 3.933 1.263.196.057-5.254 17.935-.277-.08-.113-.033-.113-.037-4.13-1.324-.103-.033-.1-.036-6.24-2.158-.09-.032-.09-.033-6.103-2.254-.09-.032-.092-.035-.89-.35 6.84-17.393zm34.06 10.098l1.954.36 3.807.6 3.885.51 3.773.395 3.75.293.16.008-.978 18.664-.275-.015-.12-.006-.122-.01-4.02-.315-.12-.01-.122-.013-4.037-.423-.12-.012-.12-.015-4.05-.53-.12-.017-.12-.02-4.067-.64-.12-.018-.118-.023-2.086-.383 3.386-18.382zm52.413.137l3.296 18.394-2.17.388-.115.02-.114.02-3.838.59-.117.016-.114.014-3.863.494-.118.016-.117.012-3.885.396-.117.014-.12.008-3.907.298-.12.01-.12.006-.882.045-.95-18.664.782-.04 3.59-.275 3.726-.38 3.63-.465 3.616-.555 2.028-.363z"}}]})(props);
};
function GiOutbackHat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M220.1 89.57c-3.8 0-7.5.12-10.9.29-9.2.46-17 1.53-22.3 2.96-1.8.49-3.1 1.05-4.2 1.58 1.4 1.39 3.3 3.05 6.1 4.99 8 5.61 20.9 12.41 36.3 18.91 30.9 13 71.9 24.9 106.1 27.4 12.4.9 20.9-3 26.4-7.8 5.5-4.9 7.3-11.3 7.2-12.8-.1-1.1-1.3-3.6-5.6-6.9-4.3-3.2-11.2-6.7-19.7-9.9-17-6.4-40.4-11.59-64.1-14.82-17.8-2.42-35.7-3.77-51.4-3.9h-3.9zm-46.6 20.73c-9.1 20-18.9 42.3-26.7 61.5 7.5 5.6 15.6 11.3 24 16.8 8.9-7.9 23.4-14 23.4-14s-7.1 11.2-12 21.3c11.6 7.2 23.7 14.1 36 20.4 8.5-11 28.4-20.8 28.4-20.8s-6.4 16.5-10.5 29.5c11.8 5.5 23.8 10.3 35.5 14.2 3.8 1.3 7.6 2.5 11.4 3.6 6-15.6 20.6-35 20.6-35s2.8 23 2.1 40.4c15 2.7 29.3 3.6 42.2 2.2 7.1-17.5 9.1-38.5 7.5-53.3 12.7 11.3 16.9 29.3 18.9 46.2 1.7-.8 3.4-1.6 5.1-2.6-3.2-24.4-7.3-60.1-9-90.3-.4.3-.7.6-1 .9-9 8-22.6 13.5-39.6 12.2-37.1-2.7-79.2-15-111.6-28.7-16.2-6.8-30-13.9-39.7-20.8-1.8-1.2-3.5-2.5-5-3.7zm-58.1 72.4c-39.55-.4-74.74 6.1-94.88 30.8C3.118 234.8 127.1 343 245.8 390.6c88.6 35.5 176.1 53 229.7-11.1 51.8-62-20.8-139.6-82.7-177.7 3.9 35.1 8.4 65.7 8.4 65.7v1.1c.3 9.5-3.8 18.4-10.4 24.5-6.7 6.1-15.5 9.8-25.7 12.2-20.3 4.6-46.6 3.6-75.7-2-58.1-11.2-126.8-41.1-171.6-89.1l-3.3-3.5 1.1-4.7c1.5-6.3 4.1-14.2 7.4-23.1-2.5-.1-5.1-.2-7.6-.2zm24.7 6.4c-2.4 6.3-4.3 11.9-5.7 16.5 10 10.1 21.2 19.4 33.3 27.8-2.6-8.7-5.1-19.6-4.7-28.5-7.9-5.2-15.6-10.5-22.9-15.8zm36.4 24.4c-1.4 7.8-2.3 16.9-2.9 23.9 15.3 10 31.7 18.8 48.5 26.1-3.4-8.4-7.1-19.5-8-29.2-12.9-6.4-25.5-13.5-37.6-20.8zm55.4 29.3c-1.3 7.8-2.4 16.8-3.1 23.5 18.9 7.8 38.1 13.8 56.2 17.8-1.8-6.9-3.7-15.7-4.3-23.4-5-1.4-9.9-2.9-14.8-4.6-11.3-3.8-22.7-8.3-34-13.3zm150 16.8c-2.2 1-4.4 2-6.7 2.8-.4 7.4-1.6 14.8-3.3 21.8 2.9-1.3 5.1-2.8 6.8-4.3 3.3-3.1 4.7-5.9 4.6-10.6-.1-.4-.7-5-1.4-9.7zm-79.4 6.2c-2.3 6.7-5.7 14.2-8.6 20.1 27 5.1 51.1 5.5 67.3 1.9h.1c-2.2-6.7-4.7-13.6-8.4-19.8-15.8 2.1-32.8 1.1-50.4-2.2z"}}]})(props);
};
function GiOverInfinity (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.938 21.938c-8.8 0-17.504 5.467-24.625 16.406-7.122 10.938-11.938 26.954-11.938 44.78 0 17.828 4.816 33.813 11.938 44.75 7.12 10.94 15.825 16.407 24.625 16.407s17.503-5.467 24.625-16.405c7.12-10.938 11.937-26.923 11.937-44.75s-4.816-33.843-11.938-44.78c-7.12-10.94-15.825-16.407-24.625-16.407zm-92.907 53L24.845 263.313 164.03 451.719l93.282-126.283.063.063 89.063-120.563 7.53-10.187 7.5 10.188 46.407 62.78-15.03 11.126-38.876-52.625-85 115.03 81.624 110.47L489.78 263.31 350.595 74.938l-93.28 126.25-.127-.156-90.812 122.94-7.5 10.186-7.53-10.187-46.407-62.783 15.03-11.125 38.876 52.625 86.75-117.375L164.03 74.938z"}}]})(props);
};
function GiOverdose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M321.28 25.25c-5.283-.02-10.664.664-16 2.094-32.517 8.713-52.123 42.41-43.25 74.937 25.442 93.258 17.27 64.235 41.783 155.97 8.69 32.53 42.42 51.963 74.937 43.25 32.52-8.713 52.114-42.44 43.22-74.97-23.16-84.706-19.757-73.42-38.658-144.186h.032l-3.156-11.75c-7.08-26.42-30.626-44.21-56.657-45.28-.75-.032-1.494-.06-2.25-.064zm-.81 18.688c18.96-.337 36.327 12.095 41.592 31.218l.063.28c15.085 56.296 18.418 69.392 23.906 90-16.61 17.467-61.828 30.824-82 20.783-5.28-20-8.876-33.524-23.967-88.845-6.186-22.672 7.31-45.904 30.062-52 2.844-.762 5.677-1.202 8.5-1.375.615-.038 1.232-.052 1.844-.063zm-141.25 91.03c-13.855 0-27.704 5.274-38.22 15.782h-.03c-3.675 3.674-3.08 3.075-6.19 6.188l-9.75 9.75h.064c-31.984 32.104-33.768 34.17-82.656 82.562-21.185 20.97-21.068 55.495-.032 76.53 21.036 21.037 55.474 21.057 76.5 0 57.914-57.996 39.236-39.802 98.5-98.53 21.167-20.977 21.067-55.495.03-76.53-10.516-10.52-24.356-15.75-38.217-15.75zm0 18.563c9.04 0 18.087 3.465 25.03 10.407 13.886 13.886 13.943 36.244.03 50.032-35.797 35.473-44.024 43.716-57.03 56.81-18.86-2.615-44.693-29.792-50.313-49.374 13.315-13.35 21.23-21.447 57.25-57.47 6.943-6.942 15.99-10.405 25.032-10.405zM427.905 319c-5.457-.02-10.986.675-16.5 2.156-95.318 25.614-64.922 17.872-162.094 43.438-33.698 8.866-53.754 43.83-44.75 77.437 9.005 33.61 43.8 53.724 77.407 44.72 97.095-26.02 66.704-18.39 162.124-43.438 33.71-8.848 53.754-43.828 44.75-77.437-7.316-27.308-31.69-45.715-58.594-46.813-.776-.03-1.564-.06-2.344-.062zm-95.094 42.78c-12.75 21.474-1.198 70.14 19.657 86.533-15.047 4.102-32.154 8.81-75.314 20.375-23.84 6.387-48.144-7.63-54.53-31.47-6.39-23.84 7.615-48.263 31.436-54.53 46.026-12.11 63.028-16.65 78.75-20.907z"}}]})(props);
};
function GiOverdrive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M284.12 20.73c30.422 18.874 55.654 45.028 75.34 74.752-73.148-65.998-206.043-81.91-299.02-8.173 44.155-19.618 91.96-19.767 138.013-8.804C114.99 82.516 33.898 136.31 18.56 229.29c28.362-45.715 72.144-79.85 120.89-99.282C47.783 181.433-.934 307.458 68.2 403.91c-11.83-50.502-5.58-103.153 13.435-150.09-18.02 100.152 41.172 205.05 144.836 238.28-98.068-80.374-125.746-175.25-112.058-249.614 5.654-71.675 65.768-128.25 138.873-128.25 76.828 0 139.31 62.483 139.31 139.31 0 76.83-62.482 139.31-139.31 139.31-33.366 0-64.022-11.79-88.033-31.417 11.26 17.618 24.974 31.902 40.346 43.035C248.6 446.93 327.288 484.91 389.92 472.61c-25.058-9.186-46.515-19.935-62.965-34.66 51.524 2.73 109.75-8.742 145.904-40.294-20.596 3.584-39.757 5.23-57.48 3.602 38.675-26.044 68.16-66.24 76.653-117.72-28.363 45.713-72.145 79.848-120.892 99.28 91.67-51.423 140.387-177.448 71.25-273.902 11.83 50.502 5.583 103.155-13.433 150.092C454.1 158.858 399.182 39.712 284.12 20.728zm-30.835 112.196c-1.9 0-3.79.048-5.67.135l-1.404 18.954c-7.516.58-15.044 2.012-22.452 4.336l-8.38-17.364c-9.596 3.164-18.656 7.49-27.01 12.825l8.47 17.547c-6.47 4.394-12.31 9.447-17.463 15.026l-16.24-11.053c-6.62 7.437-12.33 15.7-16.96 24.62l16.376 11.146c-3.38 6.99-5.953 14.35-7.67 21.924l-19.837-1.47c-1.56 7.754-2.38 15.778-2.38 23.997 0 1.95.05 3.89.142 5.816l19.818 1.47c.552 7.587 1.97 15.19 4.297 22.67l-17.963 8.67c3.223 9.573 7.615 18.6 13.002 26.923l17.907-8.643c4.362 6.457 9.378 12.286 14.918 17.438l-11.117 16.34c7.48 6.568 15.78 12.228 24.732 16.8l11.043-16.227c6.985 3.405 14.342 6 21.914 7.74l-1.435 19.365c7.557 1.477 15.367 2.258 23.363 2.258 2.17 0 4.323-.06 6.463-.172l1.416-19.105c7.737-.54 15.49-1.976 23.117-4.36l8.265 17.122c9.552-3.275 18.558-7.716 26.85-13.15l-8.18-16.953c6.567-4.45 12.483-9.577 17.695-15.243l15.395 10.474c6.536-7.505 12.154-15.832 16.687-24.805l-15.31-10.418c3.354-6.974 5.907-14.31 7.607-21.86l18.327 1.358c1.496-7.602 2.287-15.46 2.287-23.508 0-2.118-.055-4.223-.162-6.315l-18.236-1.35c-.568-7.667-2.024-15.348-4.404-22.902l16.535-7.982c-3.216-9.575-7.602-18.606-12.983-26.932l-16.595 8.01c-4.482-6.58-9.648-12.5-15.353-17.713l10.414-15.302c-7.463-6.588-15.75-12.268-24.69-16.86l-10.53 15.47c-6.98-3.328-14.317-5.862-21.867-7.537l1.393-18.8c-7.798-1.578-15.87-2.407-24.14-2.407zm.746 41.803c16.696.232 32.51 5.838 45.427 15.413l-33.58 28.947c-2.867-1-5.846-1.623-8.857-1.846-8.768-.65-17.783 2.02-24.91 8.164-9.576 8.255-13.438 20.8-11.223 32.467l-37.08 31.97c-3.63-6.806-6.308-14.266-7.825-22.24-8.07-42.458 19.803-83.42 62.26-91.492 5.307-1.01 10.59-1.457 15.79-1.384zm68.734 43.084c3.19 6.35 5.576 13.232 6.968 20.56 8.072 42.456-19.802 83.418-62.26 91.49-21.682 4.12-42.962-1.148-59.683-12.93l37.733-32.532c10.626 2.85 22.457.597 31.35-7.07s12.865-19.036 11.61-29.965l34.28-29.553zm-68.606 17.915c.497-.013.994 0 1.488.036 3.96.293 7.806 2.123 10.653 5.425 5.693 6.606 4.974 16.294-1.63 21.988-6.605 5.693-16.292 4.974-21.986-1.63-5.694-6.606-4.976-16.292 1.63-21.986 2.888-2.49 6.367-3.753 9.844-3.833z"}}]})(props);
};
function GiOverhead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M37.368 144.56c97.187 0 101.127 1.314 101.127 1.314C263.844-57.842 363.082 219.342 375.947 319.62l-36.72.16 71.834 125.393 68.982-125.01-35.724-1.472c-82.41-287.54-303.28-300.208-406.95-174.13z"}}]})(props);
};
function GiOverkill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16C123.45 16 16 123.45 16 256s107.45 240 240 240 240-107.45 240-240S388.55 16 256 16zm0 60c99.41 0 180 80.59 180 180s-80.59 180-180 180S76 355.41 76 256 156.59 76 256 76zM121.937 182.375A67.5 62.31 0 0 0 106 222.688a67.5 62.309 0 0 0 131.72 20.156 135 69.23 0 0 1-115.782-60.47zm268.125 0a135 69.23 0 0 1-115.78 60.47A67.5 62.31 0 0 0 406 222.687a67.5 62.309 0 0 0-15.938-40.313z"}}]})(props);
};
function GiOverlordHelm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M183.188 20.107c-19.58 65.304-41.643 129.72-30.362 186.127l.352 1.766-16.03 80.148 15.366 92.19L234.17 488.36l12.03-83.46L224 416c-16-32-16-64 0-80l-48-16v-64c10.394 10.394 34.29 27.534 54.146 38.273l-15.564-54.478.69-2.072-31.51-9.002-.575-208.613zM329 22.81v205.694l-32.27 9.22.688 2.07-15.564 54.48C301.71 283.533 325.606 266.393 336 256v64l-48 16c16 16 16 48 0 80l-22.21-11.104 12.048 84.32 81.644-108.86 15.37-92.208L358.822 208l.352-1.766C370.278 150.712 348.196 87.226 329 22.81zm-73 49.75l-7 56v64.9l-15.582 46.745L256 319.238l22.582-79.033L263 193.46v-64.9l-7-56zm25 110.89v7.09l10.03 30.09 19.97-5.704v-17.322c-12.287-6.115-21.97-10.802-30-14.153zm-50 .005c-7.888 3.29-17.36 7.866-29.324 13.815l.05 17.863 19.243 5.498L231 190.54v-7.085zM192 288v16l32 16-32-32zm128 0l-32 32 32-16v-16zM25.97 372.31c-4.88 23.452-7.363 47.226-4 72.872 10.904-5.418 22.286-8.96 33.968-10.907-12.438-17.27-22.396-38.742-29.97-61.966zm460.01 0c-7.575 23.223-17.532 44.695-29.97 61.965 11.68 1.947 23.063 5.49 33.97 10.907 3.36-25.646.877-49.42-4-72.873zm-396.01 9.833c-3.055 14.682-5.173 29.488-5.51 44.8 5.497-4.264 11.312-8.804 18.14-12.713-4.768-10.11-8.98-20.89-12.63-32.087zm332.01 0c-3.653 11.196-7.865 21.977-12.632 32.087 6.828 3.91 12.642 8.45 18.138 12.713-.336-15.312-2.453-30.118-5.507-44.8zm-290.37 41.654c-7.614.14-13.588 2.403-19.616 5.793-5.165 2.904-10.355 6.87-15.77 11.033l106.108 63.19-63.082-79.325c-2.088-.296-4.228-.656-6.094-.69-.523-.01-1.037-.01-1.545 0zm247.183 0c-1.866.035-4.007.394-6.096.69l-63.084 79.33 106.112-63.194c-5.415-4.163-10.607-8.13-15.772-11.033-6.43-3.616-12.796-5.95-21.16-5.793zm-301.2 26.69c-21.304.15-40.785 5.3-58.886 17.447l4.56 19.586 132.567 9.953-60.994-36.627.115-.03-8.922-5.312.008.058-8.448-5.074zm356.764 0l-8.45 5.077.007-.06-8.922 5.312.117.03-60.997 36.63 132.57-9.956 4.557-19.586c-18.1-12.148-37.58-17.298-58.883-17.446z"}}]})(props);
};
function GiOvermind (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25.063c-61.584 61.583-76.97 107.77-76.97 138.562 0 30.792 46.18 46.188 76.97 46.188 30.792 0 76.97-15.396 76.97-46.188S317.583 86.647 256 25.062zM132.72 204.125c-9.21-.108-20.947 1.46-36.72 5.688 11.27 42.062 24.604 49.77 37.938 57.468C147.27 274.98 168.3 269.335 176 256c7.698-13.333 2.053-34.365-11.28-42.063-8.334-4.81-16.654-9.632-32-9.812zm246.56 0c-15.346.18-23.666 5-32 9.813-13.332 7.697-18.978 28.73-11.28 42.062 7.698 13.333 28.73 18.98 42.063 11.28 13.333-7.697 26.667-15.405 37.937-57.467-15.774-4.227-27.51-5.796-36.72-5.688zM256 240.595c-34.01 0-61.594 27.58-61.594 61.593 0 34.01 27.583 61.593 61.594 61.593 34.01 0 61.594-27.58 61.594-61.592S290.01 240.594 256 240.594zm-144.03 60.218c-5.005.098-9.887 1.353-14.47 4C70.833 320.21 38.542 356.625 16 440.75c84.125 22.54 131.833 12.77 158.5-2.625 26.667-15.396 16.896-63.083 1.5-89.75-12.75-22.084-39.923-48.04-64.03-47.563zm286.686 0c-23.76.5-50.147 25.895-62.656 47.562-15.396 26.667-25.167 74.354 1.5 89.75s74.375 25.166 158.5 2.625c-22.54-84.126-54.833-120.54-81.5-135.938-5-2.886-10.36-4.115-15.844-4zM256 394.563c-15.396 0-30.78 15.385-30.78 30.78 0 15.397-.012 30.803 30.78 61.594 30.792-30.792 30.78-46.198 30.78-61.593 0-15.396-15.384-30.78-30.78-30.78z"}}]})(props);
};
function GiOwl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M70.574 17.27l-4.87 18.044c24.228 6.543 46.02 15.573 65.478 26.704-21.276 15.76-35.307 42.705-35.307 73.314 0 13.593 2.77 26.463 7.707 37.955-21.82 20.365-35.004 49.398-35.004 87.504 0 70.68 42.857 131.724 104.85 161.005l-30.71 70.36h20.376l27.594-63.216c3.01 1.077 6.05 2.09 9.13 3.02 3.56 2.76 7.186 5.25 10.868 7.487l-13.03 52.71h19.28l10.945-44.32c6.856 2.546 13.842 4.224 20.9 5.007v39.312h18.69V452.8c7.872-.906 15.65-2.936 23.255-6.056l11.212 45.412h19.25l-13.44-54.418c3.4-2.222 6.75-4.66 10.036-7.343 3.22-1.07 6.398-2.226 9.537-3.456l28.46 65.216h20.376l-31.8-72.863c59.226-30.165 99.74-89.782 99.74-158.502 0-37.114-12.51-65.62-33.32-85.897 5.383-11.896 8.435-25.327 8.435-39.56 0-30.5-13.928-57.36-35.073-73.144 19.638-11.334 41.452-20.41 65.396-26.876l-4.87-18.043c-26.26 7.092-50.213 17.245-71.75 30-34.084-18.84-77.19-28.164-120.214-28.114-40.908.048-81.73 8.575-114.655 25.448-20.227-11.394-42.7-20.644-67.47-27.333zM252.707 38.67c36.446-.044 72.955 6.705 102.084 20.348-45.112 31.892-77.918 76.2-97.15 127.79C238.314 134.672 205 88.95 157.073 56.388c27.807-11.744 61.69-17.68 95.635-17.722zm-83.605 68.373c19.4 0 35.33 15.923 35.33 35.32 0 19.4-15.93 35.324-35.33 35.324S133.77 161.76 133.77 142.36c0-19.398 15.932-35.32 35.332-35.32zm179.44 0c19.4 0 35.33 15.923 35.33 35.32 0 19.4-15.93 35.324-35.33 35.324-19.402 0-35.333-15.923-35.333-35.323 0-19.398 15.93-35.32 35.33-35.32zm-110.378 80.69c4.052 10.347 7.523 21 10.424 31.913l9.03 33.964 9.03-33.964c2.895-10.888 6.368-21.472 10.405-31.72 14.39 21.47 37.346 35.386 63.236 35.386 14.44 0 27.964-4.346 39.608-11.896-4.003 70.85-18.94 124.726-39.34 161.416-23.964 43.104-54.35 62.274-83.537 61.836-29.184-.438-59.806-20.672-83.803-64.074-20.432-36.954-35.36-90.513-39.354-160.03C145.8 218.65 159.81 223.31 174.8 223.31c25.967 0 48.984-14 63.364-35.58zm-125.266 2.147c.433.61.864 1.22 1.31 1.816 2.165 81.335 18.39 144.056 42.653 187.942 3.655 6.61 7.513 12.784 11.538 18.55-48.72-28.262-81.132-79.294-81.132-137.394 0-32.026 9.226-54.484 25.632-70.913zm288.282 1.428c15.53 16.296 24.226 38.38 24.226 69.486 0 56.37-30.516 106.083-76.828 134.804 2.87-4.334 5.65-8.887 8.315-13.682 24.163-43.46 40.328-106.15 42.628-188.473.56-.707 1.122-1.41 1.66-2.135zm-237.496 59.052c-3.753 6.263-6.096 14.53-6.096 23.24 0 20.065 12.095 35.915 26.82 35.915 12.53 0 23.354-11.585 26.21-27.465-4.692 4.098-10.472 6.34-16.456 6.34-15.98 0-29.423-16.616-30.478-38.03zm185.912 2.477c-1.056 21.413-14.496 38.03-30.477 38.03-5.985 0-11.763-2.242-16.458-6.34 2.858 15.88 13.68 27.466 26.21 27.466 14.726 0 26.21-15.85 26.21-35.916 0-8.71-1.732-16.977-5.484-23.24h-.002zm-68.73 28.97c-3.51 13.094-14.307 23.18-24.53 23.18-9.984 0-20.61-10.057-23.943-22.507-.813 3.397-1.752 7.03-1.752 10.796 0 19.225 11.59 34.41 25.698 34.41s25.697-15.185 25.697-34.41c0-3.986-.26-7.9-1.168-11.47h-.002zm35.04 66.706c-3.435 16.552-14.208 29.013-27.45 29.013-8.24 0-15.752-4.6-21.024-12.146.738 18.326 12.065 33.062 25.697 33.062 14.107 0 25.696-15.862 25.696-35.086 0-5.407-1.303-10.277-2.92-14.844zm-115.636 1.347c-1.294 4.168-1.752 8.69-1.752 13.497 0 19.224 11.59 35.085 25.697 35.085 13.633 0 24.375-14.737 25.113-33.063-5.272 7.545-12.784 12.146-21.025 12.146-12.916 0-24.314-11.735-28.032-27.666z"}}]})(props);
};
function GiOysterPearl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 31.627c-14.76 0-34.807 3.467-51.89 10.71-17.08 7.245-30.695 18.046-35.674 31.43-.776 2.084-1.43 4.142-1.995 6.18-8.754 22.627 7.52 79.885 25.996 117.248-7.3-10.69-14.537-21.067-21.094-31.367-16.38-25.727-28.646-52.362-24.174-81.545-5.41-3.06-11.58-4.656-19.168-4.656-13 0-27.05 6.777-37.637 17.363C79.777 107.576 73 121.627 73 134.627c0 6.942 2.437 14.127 6.793 21.46 9.537 21.677 37.573 54.524 68.11 83.972-14.153-10.152-28.97-20.59-42.516-31.394-26.862-21.423-50.256-44.75-50.38-73.807-3.858 3.766-7.26 8.668-10.146 14.667-5.568 11.584-8.936 26.593-9.878 41.66-.94 15.068.532 30.22 3.914 41.946 3.383 11.724 8.886 19.32 13.13 21.443a9 9 0 0 1 .966.563c36.323 24.214 84.286 29.334 135.572 35.38-3.577-8.602-5.564-18.02-5.564-27.893 0-40.21 32.79-73 73-73s73 32.79 73 73c0 9.872-1.987 19.29-5.564 27.893 51.286-6.046 99.25-11.166 135.572-35.38a9 9 0 0 1 .967-.564c4.243-2.122 9.746-9.72 13.13-21.443 3.38-11.725 4.854-26.878 3.913-41.946-.942-15.067-4.31-30.076-9.88-41.66-2.884-6-6.287-10.9-10.144-14.668-.125 29.057-23.52 52.383-50.38 73.806-13.547 10.803-28.364 21.242-42.518 31.393 30.538-29.45 58.574-62.296 68.11-83.974 4.357-7.332 6.794-14.517 6.794-21.46 0-13-6.777-27.05-17.363-37.636C411.05 86.404 397 79.627 384 79.627c-7.588 0-13.757 1.595-19.168 4.656 4.472 29.183-7.794 55.818-24.174 81.545-6.557 10.3-13.793 20.678-21.094 31.367 18.477-37.363 34.75-94.62 25.995-117.248-.565-2.038-1.22-4.096-1.996-6.18-4.973-13.37-18.638-24.18-35.752-31.427C290.7 35.093 270.644 31.627 256 31.627zm1.07 177.3a55.75 55.75 0 0 0-55.752 55.75 55.75 55.75 0 0 0 26.368 47.3A62.673 62.986 0 0 1 224 290.893a62.673 62.986 0 0 1 62.674-62.985 62.673 62.986 0 0 1 13.562 1.54 55.75 55.75 0 0 0-43.166-20.522zm-62.174 93.536c-53.804 4.54-104.937 7.798-143.066 25.732a9 9 0 0 1-.836.342c-4.893 1.726-9.325 6.413-12.414 13.97-.016.038-.03.08-.047.12H39c0 4.625 3.054 11.025 8.984 18.324 5.458 6.718 12.94 13.94 20.438 21.386.994-1.02 2.02-2.023 3.08-3.006 9.385-8.71 21.622-16.514 35.082-24.088 18.298-10.296 38.886-20.127 57.06-29.62-35.542 22.593-71.37 50.668-83.212 68.618 6.93 5.644 16.974 12.653 27.804 18.453 12.78 6.844 27.035 12.523 38.885 15.227.523-2.765 1.268-5.477 2.24-8.106 4.566-12.322 13.075-23.213 22.892-34.09 8.025-8.894 16.996-17.84 25.826-27.097h.06c-15.392 19.018-30.88 50.23-33.695 72.135 29.607 13.775 75.866 14.865 91.557 14.865 15.924 0 62.742-.66 91.56-14.854-2.81-21.905-18.303-53.125-33.697-72.146h.06c8.83 9.256 17.8 18.203 25.825 27.096 9.817 10.878 18.326 21.77 22.89 34.09.968 2.612 1.71 5.306 2.23 8.052 11.302-2.71 24.53-8.31 36.76-15.105 11.067-6.148 21.47-13.233 29.37-19.367-12.39-17.978-47.654-45.53-82.643-67.772 18.175 9.495 38.763 19.326 57.06 29.622 13.46 7.574 25.698 15.378 35.083 24.088 1.06.983 2.086 1.985 3.08 3.006 7.497-7.446 14.98-14.668 20.438-21.385 5.93-7.298 8.984-13.698 8.984-18.323h.467c-.016-.04-.03-.082-.047-.12-3.09-7.557-7.52-12.244-12.414-13.97a9 9 0 0 1-.836-.342c-38.13-17.934-89.262-21.193-143.067-25.732-3.268 4.993-7.138 9.556-11.494 13.603 14.566 4.272 27.39 10.834 36.753 20.198l-12.726 12.726C316.82 336.172 286.5 327.627 256 327.627s-60.82 8.545-73.637 21.363l-12.726-12.726c9.36-9.362 22.182-15.924 36.744-20.196-4.353-4.046-8.216-8.614-11.484-13.605zm281.663 71.535c-6.796 8.062-14.844 15.64-22.197 22.992-.078.08-.166.162-.246.24 1.524 3.438 2.52 7.052 2.8 10.868 11.18-7.078 17.57-19.915 19.642-34.1zM35.44 374c2.072 14.185 8.464 27.02 19.642 34.098.277-3.77 1.252-7.343 2.744-10.743-.174-.234-.364-.468-.53-.703C50.032 389.405 42.13 381.94 35.44 374zm403.542 36.033c-8.17 6.124-17.99 12.56-28.61 18.46-12.728 7.072-26.367 13.33-39.774 16.616 3.988.905 8.403 1.4 13.402 1.4 13.883 0 28.352-5.085 38.812-12.465 10.46-7.38 16.188-16.654 16.188-23.69 0-.105-.015-.216-.018-.322zm-365.87 1.973c.8 6.792 6.413 15.222 16.075 22.04 10.46 7.38 24.93 12.464 38.813 12.464 4.914 0 9.264-.48 13.2-1.356-13.832-3.255-28.2-9.49-41.462-16.593-9.994-5.352-19.092-10.883-26.627-16.554zm95.005 39.564c4.277 7.724 17.898 15.987 35.06 21.12 17.356 5.194 37.666 7.683 52.823 7.683 15.043 0 35.36-2.49 52.746-7.684 17.012-5.083 30.57-13.24 34.99-20.876-33.462 12.25-73.52 11.813-87.736 11.813-14.454 0-54.23-.08-87.883-12.057z"}}]})(props);
};
function GiP90 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M427.425 75.53l18.1-18.1-13.7-13.7-18.1 18.1zm-182.451 57.603l16.295-16.294-8.938-19.092 61.44-61.44 19.092 8.937L352.107 26l23.153 23.153-118.174 118.174zM227.92 396.946l-85.342 85.342c-4.95 4.95-12.974 4.95-17.923 0l-39.1-39.101 94.287-94.288 48.062 48.063zm-155.244 33.33l-17.415-17.414c-4.95-4.95-4.95-12.974 0-17.923L388.154 62.047l26.377 26.376-341.87 341.87zM427.433 101.31L192.76 335.981l49.755 49.755 54.276-29.117a25.814 25.814 0 0 0 6.076-4.464l35.757-35.757c10.476-10.476 16.996-29.632 19.067-49.19.508-4.74.752-9.506.733-14.273-.04-7.938 2.716-13.676 6.56-17.52 7.785-7.784 20.002-7.8 22.371-2.53.258.58 4.038 9.276 6.995 16.085 1.705 3.908 6.808 4.875 9.824 1.862l25.708-25.708c10.009-10.009 9.55-23.588 5.745-35.87-4.085-13.191-12-24.893-15.879-30.34-3.88-5.448-3.233-12.419 1.204-16.86l5.408-5.407c5.096-5.096 13.358-5.096 18.454 0l5.295 5.295a4.844 4.844 0 0 0 6.802-.049l2.12-2.12a4.844 4.844 0 0 0 0-6.85l-31.607-31.606zM303.27 302.16c-12.821 16.19-32.396 22.129-43.662 13.2-11.267-8.93-9.977-29.318 2.844-45.508 12.822-16.19 32.397-22.13 43.663-13.2 11.266 8.928 9.993 29.301-2.853 45.515zm91.902-127.99c8.784 8.784 8.236 23.58-1.225 33.04-9.46 9.462-24.257 10.01-33.04 1.226-8.785-8.784-8.237-23.58 1.224-33.041 9.461-9.461 24.257-10.01 33.041-1.225z"}}]})(props);
};
function GiPackedPlanks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M73 25v62h78V25H73zm96 0v62h78V25h-78zm96 0v62h78V25h-34.8L297 58.6 278 25h-13zm96 0v62h78V25h-78zM41 105v24.4L53.21 151H471v-46H41zm32 64v174h78V169H73zm96 0v174h78V169h-78zm96 0v174h78V169h-78zm96 0v151.9l12.5 22.1H439V169h-78zM41 361v46h430v-46H41zm32 64v62h68l10-30.2V425H73zm96 0v62h78v-62h-78zm96 0v62h78v-62h-78zm96 0v62h78v-62h-78z"}}]})(props);
};
function GiPaddles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M55.984 10.73L10.73 55.984l12.73 12.73 45.253-45.255-12.73-12.73zm400.032 0l-12.73 12.73 45.255 45.253 12.73-12.73-45.254-45.253zM62.348 52.45l-9.9 9.898 265.167 265.166c13.718 13.718 25.277 22.427 33.258 26.724 2.435 1.31 4.362 2.074 5.973 2.608-.534-1.61-1.297-3.538-2.608-5.973-4.297-7.98-13.006-19.54-26.724-33.258L62.348 52.45zm387.304 0L268.73 233.372l9.897 9.898L459.55 62.35l-9.898-9.9zm-216.28 216.28l-48.886 48.885c-13.718 13.718-22.427 25.277-26.724 33.258-1.31 2.435-2.074 4.362-2.608 5.973 1.61-.534 3.538-1.297 5.973-2.608 7.98-4.297 19.54-13.006 33.258-26.724l48.886-48.887-9.897-9.898zm-55.25 9.094c-6.472 0-12.96.676-18.09 1.883-5.13 1.207-8.78 3.26-9.487 3.967L28.95 405.27c1.11 18.56 10.795 37.717 25.43 52.35 14.633 14.635 33.79 24.32 52.35 25.43l121.596-121.595c.707-.707 2.76-4.357 3.967-9.486 1.207-5.13 1.883-11.62 1.883-18.09 0-6.472-.676-12.963-1.883-18.093-.047-.2-.1-.38-.15-.574l-25.03 25.03c-14.566 14.566-27.05 24.24-37.453 29.843-5.202 2.8-9.863 4.644-14.572 5.316-4.71.673-10.378.02-14.443-4.047-4.066-4.065-4.72-9.734-4.047-14.443.672-4.71 2.515-9.37 5.316-14.572 5.602-10.404 15.277-22.887 29.844-37.453l25.03-25.03c-.195-.05-.376-.103-.575-.15-5.13-1.207-11.62-1.883-18.092-1.883zm155.757 0c-6.472 0-12.963.676-18.093 1.883-.2.047-.38.1-.574.15l25.03 25.03c14.566 14.566 24.24 27.05 29.843 37.453 2.8 5.202 4.644 9.863 5.316 14.572.673 4.71.02 10.378-4.047 14.443-4.065 4.066-9.734 4.72-14.443 4.047-4.71-.672-9.37-2.515-14.572-5.316-10.404-5.602-22.887-15.277-37.453-29.844l-25.03-25.03c-.05.195-.103.376-.15.575-1.207 5.13-1.883 11.62-1.883 18.092 0 6.47.676 12.96 1.883 18.09 1.207 5.128 3.26 8.778 3.967 9.485L405.27 483.05c18.56-1.11 37.717-10.795 52.35-25.43 14.635-14.633 24.32-33.79 25.43-52.35L361.456 283.674c-.707-.707-4.357-2.76-9.486-3.967-5.13-1.207-11.62-1.883-18.09-1.883z"}}]})(props);
};
function GiPadlockOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M402.6 164.6c0-78.92-65.7-146.47-146.6-146.47-81.1 0-146.6 65.49-146.6 146.47v72.3H159v-69.1c0-53.7 43.4-97.26 97-97.26 53.5 0 97 41.66 97 94.06zm-315.7 91C72.2 278.4 64 304.7 64 332.4c0 88.3 85 161.5 192 161.5s192-73.2 192-161.5c0-27.7-8.3-54-22.9-76.8zm168.8 23.9c22.3 0 40.9 18 40.9 40.3 0 16.8-10.6 31.2-25.1 37.3l32.7 98.2h-96.4l32.1-98.2c-14.5-6.1-24.5-20.6-24.5-37.3 0-22.3 18-40.3 40.3-40.3z"}}]})(props);
};
function GiPadlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.28 17.313c-81.048 0-146.624 65.484-146.624 146.406V236h49.594v-69.094c0-53.658 43.47-97.187 97.03-97.187 53.563 0 97.032 44.744 97.032 97.186V236h49.594v-72.28c0-78.856-65.717-146.407-146.625-146.407zM85.157 254.688c-14.61 22.827-22.844 49.148-22.844 76.78 0 88.358 84.97 161.5 191.97 161.5 106.998 0 191.968-73.142 191.968-161.5 0-27.635-8.26-53.95-22.875-76.78H85.155zM254 278.625c22.34 0 40.875 17.94 40.875 40.28 0 16.756-10.6 31.23-25.125 37.376l32.72 98.126h-96.376l32.125-98.125c-14.526-6.145-24.532-20.62-24.532-37.374 0-22.338 17.972-40.28 40.312-40.28z"}}]})(props);
};
function GiPagoda (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.967 23.386c19.704 15.157 49.792 21.65 82.52 27.105 21.419 3.57 43.864 6.501 65.163 9.832-7.28 1.686-14.641 3.4-21.609 4.97-21.25 4.789-41 8.38-45.967 8.321H175.8l-.168.006c-4.61.172-24.44-3.34-45.662-8.181-7.035-1.605-14.48-3.364-21.842-5.09 21.346-3.342 43.848-6.279 65.32-9.858 32.727-5.454 62.815-11.948 82.52-27.105zm55 67.228v16h-110v-16zm3.394 34a24.977 24.977 0 0 0 4.563 4.28c3.799 2.763 8.317 4.922 13.701 7.076 10.768 4.307 24.987 8.332 41.158 12.375 18.612 4.653 39.434 9.269 60.069 13.865l-50.182 8.404H128.71l-50.54-8.424c20.606-4.59 41.396-9.2 59.98-13.845 16.172-4.043 30.39-8.068 41.159-12.375 5.384-2.154 9.902-4.313 13.7-7.076a24.977 24.977 0 0 0 4.563-4.28zm28.606 62v30h-46v-30zm-64 0v30h-46v-30zm-64 0v30h-46v-30zm131.123 48c1.246 1.65 2.68 3.113 4.156 4.422 3.592 3.184 8.04 6.026 13.383 8.965 10.686 5.877 24.947 11.954 41.178 18.041 20.082 7.531 43.024 14.894 65.33 21.42l-54.914 9.152H96.263l-54.533-9.133c22.327-6.53 45.294-13.9 65.397-21.439 16.23-6.087 30.492-12.164 41.178-18.041 5.343-2.939 9.79-5.781 13.382-8.965 1.477-1.309 2.91-2.772 4.157-4.422zm28.877 80v30h-238v-30zm3.123 48c1.246 1.65 2.68 3.113 4.156 4.422 3.592 3.184 8.04 6.026 13.383 8.965 10.686 5.877 24.947 11.954 41.178 18.041 20.102 7.539 43.07 14.909 65.396 21.44l-54.533 9.132H64.71l-54.913-9.152c22.305-6.526 45.247-13.889 65.33-21.42 16.23-6.087 30.492-12.164 41.178-18.041 5.343-2.939 9.79-5.781 13.382-8.965 1.477-1.309 2.91-2.772 4.157-4.422zm60.877 80v46h-142v-46zm-160 0v46h-46v-46zm-64 0v46h-142v-46z"}}]})(props);
};
function GiPaintBrush (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M54.438 29.794a23.808 23.808 0 0 0-1.204.01c-4.688.157-7.914 1.736-10.113 3.935-2.932 2.932-4.761 7.689-3.588 15.305 1.174 7.616 5.683 17.754 15.272 28.941 67.894 79.21 132.935 155.56 183.703 211.969 12.273 13.637 23.693 26.08 34.125 37.135 12.095-31.902 34.57-54.144 62.902-64.715-10.825-10.199-22.936-21.313-36.197-33.248C242.93 178.358 166.578 113.314 87.369 45.42c-11.186-9.589-21.325-14.098-28.941-15.272a29.555 29.555 0 0 0-3.99-.355zm295.783 246.64c-30.461 7.627-53.241 29.185-63.608 65.219 5.652 5.785 10.956 11.085 15.78 15.707 7.58 7.264 14.095 13.007 19.21 16.957 1.776-17.225 10.045-33.062 21.645-44.691 10.601-10.628 24.496-18.006 39.125-19.092-3.871-4.836-9.14-10.751-15.63-17.524-4.838-5.047-10.415-10.623-16.522-16.576zm35.351 51.95c-10.397.137-20.929 5.28-29.582 13.955-11.537 11.565-18.674 28.85-16.267 45.7 5.334 37.342 23.749 65.81 49.46 81.237 22.727 13.636 51.452 17.35 83.643 6.983-24.222-4.01-46.475-30.706-48.197-50.65 10.63 12.814 23.94 24.547 38.426 31.75-9.881-22.578-9.201-45.452-11.088-64.321-1.352-13.522-3.891-24.982-11.377-35.162-7.486-10.18-20.423-19.8-44.74-27.907a31.062 31.062 0 0 0-10.278-1.585z"}}]})(props);
};
function GiPaintBucket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M274.639 24.324c-1.305-.008-2.609 0-3.914.027-51.867 1.055-104.298 29.226-135.069 81.643 7.894-1.849 16.23-3.578 24.918-5.245 40.784-55.165 109.828-71.82 163.772-47.845 33.498 14.888 61.522 45.309 73.933 93.998 6.188 24.276 8.4 53.16 5.149 86.777a215.415 215.415 0 0 1-11.662 4.254C357.004 249.52 309.028 256.679 256 256.679c-53.028 0-101.004-7.159-135.766-18.746-17.398-5.8-31.388-12.652-41.146-20.342-.29-.229-.565-.46-.848-.691A192 64 0 0 1 256 176.68a192 64 0 0 1 131.156 17.485c-.127-7.895-.948-17.402-2.709-26.877-3.03-16.298-8.33-33.269-13.87-44.482-32.923-7.762-72.188-12.127-114.577-12.127-54.632 0-104.122 7.223-141.457 19.668-18.65 6.217-34.418 13.686-46.596 23.283C55.68 163.298 46 176.566 46 192.68c0 16.112 9.68 29.38 21.947 39.048A98.426 98.426 0 0 0 73 235.443v197.236c0 5.189 3.194 11.174 11.658 17.844 8.464 6.67 21.703 13.3 38.424 18.873 33.442 11.147 80.71 18.283 132.918 18.283 52.209 0 99.476-7.136 132.918-18.283 16.721-5.574 29.96-12.203 38.424-18.873 8.464-6.67 11.658-12.655 11.658-17.844V253.095c-5.532 53.188-19.494 85.11-34.598 116.803.002.186.01.371.01.558 0 9.347-2.862 17.978-7.998 24.624-5.135 6.645-12.98 11.417-21.896 11.417-8.917 0-16.76-4.772-21.895-11.417-5.135-6.646-7.998-15.277-7.998-24.624 0-9.346 2.863-17.977 7.998-24.623 5.136-6.645 12.978-11.416 21.895-11.416 8.738 0 16.438 4.587 21.576 11.024.185-.537.375-1.078.559-1.613 11.708-26.34 21.133-54.236 25.013-98.461 8.404-4.033 15.908-8.533 22.387-13.639C456.32 222.06 466 208.792 466 192.679s-9.68-29.381-21.947-39.049c-8.362-6.59-18.416-12.174-29.934-17.04-14.385-50.057-45.396-83.66-82.465-100.135-18.047-8.022-37.451-12.014-57.015-12.131zM69.139 207.43zm373.722 0zm-19.972 1.99a192 64 0 0 1 10.933 7.428c-.303.248-.598.496-.91.742-3.132 2.469-6.706 4.85-10.683 7.139.342-5.201.567-10.31.66-15.309zM91.252 245.806c7.143 3.372 14.924 6.416 23.291 9.205C151.878 267.456 201.368 274.68 256 274.68c40.082 0 77.375-3.9 109.152-10.887-1.347 22.319-5.683 62.65-19.502 62.157-34.923-1.246-22.114-45.128-43.703-36.75-15.494 6.013-13.837 34.672-28.804 35.26-18.017.706-35.747-27.532-57.608-29.301-16.208-1.312-16.45 63.536-36.75 64.81-19.16 1.203-20.674-55.664-29.799-57.361-36.095-6.713 18.027 104.509-38.238 111.244-23.923 2.864-16.886-102.419-19.496-168.045zm283.266 106.611c-2.623 0-5.226 1.282-7.653 4.422-2.427 3.14-4.24 8.03-4.24 13.617 0 5.588 1.813 10.477 4.24 13.618 2.427 3.14 5.03 4.423 7.653 4.423 2.622 0 5.227-1.283 7.654-4.423 2.427-3.141 4.24-8.03 4.24-13.618 0-5.587-1.813-10.476-4.24-13.617-2.427-3.14-5.032-4.422-7.654-4.422z"}}]})(props);
};
function GiPaintRoller (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M87 20v130h8.596c-.196 2.517-.095 4.886.404 7 1.733 7.34 8.458 16 16 16s14.267-8.66 16-16c.5-2.114.6-4.483.404-7h101.27c-2.738 5.914-6.99 16.49-5.674 23 .846 4.188 4.13 9.127 7.814 9.127s6.967-4.94 7.813-9.127c1.315-6.51-2.936-17.086-5.674-23h102.14c1.85 7.268 8.477 15.67 15.907 15.67s14.056-8.402 15.908-15.67H425V94h14v85.99s.417 10.562-9.986 15.13c-.868.223-33.657 8.69-69.08 18.153-17.945 4.794-36.337 9.78-51.182 13.975-14.845 4.194-25.117 7.082-30.656 9.51-6.74 2.954-14.238 6.833-20.422 13.25C251.49 256.425 247 265.748 247 277v103h18V277c0-6.897 2.1-10.83 5.637-14.502 3.538-3.672 8.894-6.717 14.685-9.256 1.548-.678 13.63-4.52 28.324-8.672 14.696-4.15 33.033-9.127 50.932-13.908 35.798-9.562 69.844-18.35 69.844-18.35l.62-.162.59-.248C456.533 203.194 457 179.99 457 179.99V76h-32V20zm18 18h302v47.373c-7.212 4.035-14.646 14.71-23 15.627-21.86 2.4-42.026-16.844-64-16-16.853.647-32.418 22.454-48 16-11.018-4.564-4.686-28.23-16-32-22.627-7.542-40.21 30.31-64 32-16.823 1.196-31.135-16-48-16-12.762 0-28.045 1.332-39 7.906zm39 159s-19.875 31.586-16 48c1.733 7.34 8.458 16 16 16s14.267-8.66 16-16c3.875-16.414-16-48-16-48zm89 201v94h46v-94z"}}]})(props);
};
function GiPaintedPottery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M240 24c-16 0-48 16-64 32 0 13 0 26 8.582 39h142.836C336 82 336 69 336 56c-16-16-48-32-64-32zm-44.072 89c10.008 26.313 10.699 59.404 2.084 78h115.976c-8.615-18.596-7.924-51.687 2.084-78zm-16.471 96c-36.902 28.393-62.07 65.607-66.684 94h286.454c-4.614-28.393-29.782-65.607-66.684-94zm-66.908 112c5.395 44.88 49.453 88 79.451 103 8.465 8.465 12.43 16.904 14.307 23h99.386c1.878-6.096 5.842-14.535 14.307-23 29.998-15 74.056-58.12 79.451-103zm84.105 144c-11.436 6.993-20.654 7-20.654 7-16 0-16 16 0 16h160c16 0 16-16 0-16 0 0-9.218-.007-20.654-7z"}}]})(props);
};
function GiPalette (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M274.174 41.604c-2.798-.01-5.576.056-8.332.195-96.67 4.85-177.38 86.93-217.842 192-40.462 105.06.914 239.97 90.336 237.48 89.42-2.5 18.09-99.6 65.486-146.12 24.345-23.9 58.852-15.48 94.207-5.64l-17.6-22.98-4.2-5.48c-1.38.06-2.79.102-4.26.09-8.24-.064-17.82-.54-25.25-7.347-13.89-12.73-14.4-31.304-14.08-47.908.32-16.605 1.12-32.375-4.05-42.587l-5.7-11.24 12.595-.37c1.046-.03 2.097-.05 3.15-.053 15.8-.073 32.304 2.776 46.914 9.03 15.584 6.67 29.254 17.44 36.154 33.053 4.18 9.46 3.665 20.116.623 29.768-.636 2.003-1.386 3.972-2.24 5.89l54.9 71.68c6.21-1.05 12.184-2.936 17.844-5.92 46.09-24.313 97.313-77.71 88.27-129.03-14.84-84.23-120.2-154.26-206.94-154.52zm60.79 39.888a34.152 39.804 15.878 0 1 17.913 7.06 34.152 39.804 15.878 0 1 4.666 54.87 34.152 39.804 15.878 0 1-48.72 9.77 34.152 39.804 15.878 0 1-4.665-54.87 34.152 39.804 15.878 0 1 30.805-16.83zm-119.85 4.467a39.307 30.27 71.565 0 1 34.603 35.56 39.307 30.27 71.565 0 1-23.213 41.31 39.307 30.27 71.565 0 1-37.678-35.47 39.307 30.27 71.565 0 1 23.213-41.31 39.307 30.27 71.565 0 1 3.07-.1zm-88.33 79.58a35.75 31.637 35.137 0 1 38.16 33.05 35.75 31.637 35.137 0 1-30.266 33.05 35.75 31.637 35.137 0 1-38.164-33.05 35.75 31.637 35.137 0 1 30.27-33.06zM421.256 170a34.25 40.436 25.644 0 1 20.41 9.578 34.25 40.436 25.644 0 1-2.914 55.51 34.25 40.436 25.644 0 1-50.107 3.966 34.25 40.436 25.644 0 1 2.916-55.51A34.25 40.436 25.644 0 1 421.26 170zm-174.152 27.95c2.982 12.774 1.784 26.197 1.548 38.275-.31 15.893.734 28.32 8.89 35.797 1.19 1.09 8.018 3.092 14.556 3.143 3.268.026 6.44-.22 8.718-.535 1.063-.146 1.874-.306 2.383-.425l13.02-9.362.02-.014c4.46-3.17 8.72-9.37 10.85-16.13 2.13-6.76 2.07-13.81 0-18.49-4.83-10.93-14.84-19.26-27.82-24.81-9.73-4.17-21-6.65-32.17-7.45zm67.455 83.808l-14.37 11L438.97 473.97l14.36-10.998-138.773-181.21zm-200.35 60.16a48.74 40.895 69.57 0 1 46.46 47.85 48.74 40.895 69.57 0 1-36.85 47.852 48.74 40.895 69.57 0 1-46.46-47.852 48.74 40.895 69.57 0 1 36.85-47.85z"}}]})(props);
};
function GiPalisade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112 144.836l-9 48V279h18v-86.164l-9-48zm36 0l-9 48V279h18v-86.164l-9-48zm216 0l-9 48V279h18v-86.164l-9-48zm36 0l-9 48V279h18v-86.164l-9-48zm-360 64l-9 48V279h18v-22.164l-9-48zm36 0l-9 48V279h18v-22.164l-9-48zm108 0l-9 48V279h18v-22.164l-9-48zm36 0l-9 48V279h18v-22.164l-9-48zm36 0l-9 48V279h18v-22.164l-9-48zm36 0l-9 48V279h18v-22.164l-9-48zm36 0l-9 48V279h18v-22.164l-9-48zm108 0l-9 48V279h18v-22.164l-9-48zm36 0l-9 48V279h18v-22.164l-9-48zM18 297v16h138.96v-16H18zm156.96 0v16h162.005v-16H174.96zm180.005 0v16H494v-16H354.965zM31 331v156h18V331H31zm36 0v156h18V331H67zm36 0v156h18V331h-18zm36 0v156h18V331h-18zm36 0v156h18V331h-18zm36 0v156h18V331h-18zm36 0v156h18V331h-18zm36 0v156h18V331h-18zm36 0v156h18V331h-18zm36 0v156h18V331h-18zm36 0v156h18V331h-18zm36 0v156h18V331h-18zm36 0v156h18V331h-18z"}}]})(props);
};
function GiPalmTree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M179.125 20.625c-28.052.12-54.046 5.813-66.72 9.78 0 0 114.968 19.51 124.532 98.876C149.573 3.32 54.28 155.657 54.28 155.657c19.868-5.212 76.76-20.682 114.75-14.156 25.992 4.465 51.33 28.03 50.236 27.733-61.943 15.24-160.35 290.92-143.64 313.308 14.9 17.12 29.816 11.28 44.718 2.595 7.376-58.425 64.938-314.765 135.375-294.072.01.003.02-.003.03 0 5.93 2.03 11.54 5.59 11.844 11.03.58 10.363-6.11 27.3-4.53 39.063 3.662 27.296 9.007 36.79 16.78 46.313 18.564-10.435 36.326-48.057 40-67.564 16.634 7.284 43.373 24.155 65.187 86.813 11.404-58.716-5.042-105.03-59.03-125.595 23.38-10.105 125.142 41.03 137.563 69.53C475.648 199.264 390.167 136.378 319 139.72c13.644-3.56 28.638.6 42.906-9.907 19.146-14.098 41.474-26.24 62.28-39.282-69.972-30.435-134.545-15.407-139.092 16.095-3.573-69.916-57.83-86.204-105.97-86z"}}]})(props);
};
function GiPalm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M251.22 18.906c-1.887.027-3.794.16-5.69.438-8.594 1.26-16.57 5.35-20.874 9.656l26.125 158.688-17.593 5.656-73.03-148c-5.852-.847-14.302.584-22.063 4.75-8.054 4.322-14.445 11.026-17.22 17.375L190 210.374l-15.22 10.5L80.188 120.75c-5.81 1.17-13.124 5.42-19.062 12.094-6.188 6.955-10.208 15.767-11.063 22.72l124.688 134.53.125.125c16.778 17.487 19.067 46.66 15.03 83.06-3.703 33.413-13.688 73.89-27.405 118.376h193.22c-22.947-62.09-27.75-117.916-25.564-162.5-8.533 4.21-16.923 7.637-25.22 9.97-18.127 5.096-36.56 4.635-52.748-5.157l9.687-16c11.263 6.812 23.092 7.355 38.03 3.155 14.94-4.2 32.307-13.533 51.345-25.594 35.937-22.766 77.844-54.91 125.53-78.186-5.838-11.33-12.282-17.258-19.092-19.938-8.276-3.257-18.583-2.462-31.063 1.875-19.073 6.63-41.65 21.357-64.594 35.564l-14.25-9.28 1.033-4.626 2.312-10.125c-.033.005-.06.025-.094.03L387.19 46.25c-4.21-5.552-12.187-11.18-21.157-14.094-8.56-2.783-17.125-2.776-22.78-.906l-31.72 143.688-18.342-.563L269.03 23.062c-4.185-2.424-9.777-3.982-15.936-4.156-.623-.017-1.247-.01-1.875 0z"}}]})(props);
};
function GiPanFlute (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 49v38h30V49H25zm48 0v38h30V49H73zm48 0v38h30V49h-30zm48 0v38h30V49h-30zm48 0v38h30V49h-30zm48 0v38h30V49h-30zm48 0v38h30V49h-30zm48 0v38h30V49h-30zm48 0v38h30V49h-30zm48 0v38h30V49h-30zM25 105v30h462v-30H25zm0 48v264.824c7.76-8.745 17.86-18.918 30-30.197V153H25zm48 0v218.402c9.233-8.09 19.286-16.572 30-25.295V153H73zm48 0v178.73c9.595-7.523 19.615-15.16 30-22.843V153h-30zm48 0v142.795c5.223-3.735 10.506-7.468 15.87-11.19 4.66-3.233 9.38-6.454 14.13-9.666V153h-30zm48 0v109.975c9.866-6.444 19.878-12.792 30-18.998V153h-30zm48 0v80.164c9.938-5.843 19.95-11.515 30-16.97V153h-30zm48 0v53.67c10.002-5.138 20.014-10.032 30-14.63V153h-30zm48 0v31.078c10.065-4.28 20.08-8.24 30-11.805V153h-30zm48 0v13.2c10.142-3.19 20.155-5.935 30-8.18V153h-30zm78 16.24c-9.602.487-19.63 1.73-30 3.65V191h30v-21.76zm-48 7.56c-9.776 2.42-19.793 5.358-30 8.762V207h30v-30.2zm-48 15.167c-9.883 3.725-19.9 7.835-30 12.277V223h30v-31.033zm-48 20.51c-9.97 4.718-19.984 9.72-30 14.966V255h30v-42.523zm-48 24.656c-10.05 5.545-20.064 11.298-30 17.22V287h30v-49.867zm-48 28.176c-10.14 6.298-20.155 12.735-30 19.262V319h30v-53.69zm-48 31.424c-1.29.887-2.588 1.772-3.87 2.66-8.907 6.18-17.628 12.397-26.13 18.6V351h30v-54.266zm-48 34.62c-10.453 7.895-20.473 15.708-30 23.353V383h30v-51.646zm-48 38.087c-10.922 9.127-20.983 17.888-30 26.09V431h30v-61.56zm-48 43.08c-7.535 7.413-13.883 14.104-18.77 19.787-4.14 4.81-7.254 8.933-9.14 11.953-1.887 3.02-2.09 5.303-2.09 3.74v15h30v-50.48z"}}]})(props);
};
function GiPanda (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M104.75 16.813c-24.29.552-47.924 8.42-62.844 26.03C29.71 57.24 27.212 75.418 31.126 93.438c3.912 18.02 13.678 36.518 26.25 55.063l.124.156C41.142 180.15 32 216.558 32 256c0 64 32 128 96 128 32 48 32 96 128 96s96-48 128-96c64 0 96-48 96-128 0-39.442-9.142-75.85-25.5-107.344l.125-.156c12.57-18.545 22.337-37.042 26.25-55.063 3.913-18.02 1.414-36.197-10.78-50.593-15.915-18.785-41.757-26.468-67.72-26.032-25.963.437-52.602 8.894-71.563 25.094l-1.593 1.344C306.473 35.923 281.892 32 256 32s-50.474 3.923-73.22 11.25l-1.593-1.344c-18.96-16.2-45.6-24.657-71.562-25.093-1.623-.028-3.256-.037-4.875 0zm.375 16c1.397-.034 2.808-.024 4.22 0 19.96.335 40.684 6.498 55.81 16.968C123.906 67.025 89.78 96 66.406 133.095c-9.75-15.32-16.81-30.108-19.624-43.063-3.203-14.755-1.46-26.517 7.314-36.874 10.937-12.91 30.08-19.842 51.03-20.343zm297.53 0c22.574-.38 43.585 6.572 55.25 20.343 8.775 10.357 10.518 22.12 7.314 36.875-2.814 12.956-9.874 27.743-19.626 43.064-23.372-37.096-57.5-66.07-98.75-83.313 15.127-10.47 35.85-16.632 55.812-16.968zM176 144c16 0 48 16 48 64 0 64-48 96-80 96s-48-64-48-96 64-64 80-64zm160 0c16 0 80 32 80 64s-16 96-48 96-80-32-80-96c0-48 32-64 48-64zm-143.53 80A16 16 0 0 0 176 240a16 16 0 0 0 32 0 16 16 0 0 0-15.53-16zm128 0A16 16 0 0 0 304 240a16 16 0 0 0 32 0 16 16 0 0 0-15.53-16zM256 340c12 0 24 4 48 12l-48 48-48-48c24-8 36-12 48-12zm-59.563 69.344C219.756 424.89 238.133 432 256 432c17.867 0 36.245-7.11 59.563-22.656l8.875 13.312C299.755 439.11 278.132 448 256 448c-22.133 0-43.755-8.89-68.438-25.344l8.875-13.312z"}}]})(props);
};
function GiPanzerfaust (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M227.752 139.172l51.998 54.29 13-12.45-52-54.29-12.998 12.45zM187.74 256.424l9.683 10.11 56.33-53.952-9.684-10.11-56.33 53.952zM385.14 72.18l-38.345 72.733 24.227 25.294 74.315-35.176-60.198-62.85zm15.994-9.322l54.207 56.595 7.832-35.195-26.54-27.708-35.498 6.308zM48.828 433.784l20.75 21.666 9.39-8.992-20.752-21.666-9.388 8.992zm22.388-21.442l20.75 21.665 264.318-253.164-20.75-21.666L71.215 412.342z"}}]})(props);
};
function GiPaperArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32.773 20.22l157.23 216.14c34.636 24.228 67.18 52.126 97.608 84.167-55.124-32.744-111.903-62.108-173.862-80.89l-26.373-7.252c-19.323-4.77-39.164-8.476-59.64-10.89l147.478 106.376c48.008 6.057 95.976 17.203 144.207 34.02-92.163-7.09-183.867-6.92-273.713 22.448 153.47 8.53 305.213 31.958 450.104 114.453L277.505 78.07c5.71 102.37 42.343 193.67 86.375 282.31-43.76-50.662-78.767-104.638-106.398-162.067L32.772 20.22z"}}]})(props);
};
function GiPaperBoat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 40l-74.6 161.6 74.6 24.9V40zm18 0v186.5l74.6-24.9L265 40zm-86.7 105.8l-136.02 17 112.02 35 24-52zm155.4 0l24 52 112.1-35-136.1-17zM25.48 176.4L130 307.1l104.6-65.4-209.12-65.3zm461.02 0l-209.1 65.3L382 307.1l104.5-130.7zM256 249.6L159.4 310h193.2L256 249.6zM128 358c-16 0-32.14 9-45.68 17.3-13.53 8.4-23.93 16.7-23.93 16.7l11.22 14s9.65-7.7 22.14-15.3C104.2 383 120.1 376 128 376c7.9 0 16.4 6 26.4 14s21.6 18 37.6 18 27.6-10 37.6-18 18.5-14 26.4-14c7.9 0 16.4 6 26.4 14s21.6 18 37.6 18 27.6-10 37.6-18 18.5-14 26.4-14c7.9 0 23.8 7 36.2 14.7 12.5 7.6 22.2 15.3 22.2 15.3l11.2-14s-10.4-8.3-23.9-16.7C416.1 367 400 358 384 358c-16 0-27.6 10-37.6 18s-18.5 14-26.4 14c-7.9 0-16.4-6-26.4-14S272 358 256 358s-27.6 10-37.6 18-18.5 14-26.4 14c-7.9 0-16.4-6-26.4-14S144 358 128 358zm0 64c-16 0-32.14 9-45.68 17.3-13.53 8.4-23.93 16.7-23.93 16.7l11.22 14s9.65-7.7 22.14-15.3C104.2 447 120.1 440 128 440c7.9 0 16.4 6 26.4 14s21.6 18 37.6 18 27.6-10 37.6-18 18.5-14 26.4-14c7.9 0 16.4 6 26.4 14s21.6 18 37.6 18 27.6-10 37.6-18 18.5-14 26.4-14c7.9 0 23.8 7 36.2 14.7 12.5 7.6 22.2 15.3 22.2 15.3l11.2-14s-10.4-8.3-23.9-16.7C416.1 431 400 422 384 422c-16 0-27.6 10-37.6 18s-18.5 14-26.4 14c-7.9 0-16.4-6-26.4-14S272 422 256 422s-27.6 10-37.6 18-18.5 14-26.4 14c-7.9 0-16.4-6-26.4-14S144 422 128 422z"}}]})(props);
};
function GiPaperBomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M125.572 15.45l-9.027 101.943-97.856-7.377 71.85 47.168-50.372 61.802 114.045-25.115-52.602-2.386 38.937-22.076-45.682-33.506 57.442 1.31-9.475-40.6 48.096 25.644L125.572 15.45zm43.168 134.443c-2.204-.014-4.422.065-6.648.242l1.752 18.687c18.025-1.43 35.682 5.91 49.64 17.52 4.52 3.76 8.582 7.946 12.073 12.385 4.943-4.04 10.08-7.792 15.388-11.24-4.41-5.73-9.527-11.03-15.195-15.745-15.57-12.95-35.7-21.722-57.01-21.85zm176.41 28.025c-.363 11.237 3.172 22.06 9.68 32.06 8.185 12.574 21.2 23.484 36.28 30.45 17.025-8.71 31.17-19.247 40.257-30.783-5.182-3.923-10.663-7.57-16.44-10.905-22.09-12.754-45.97-19.526-69.777-20.822zm-18.648.11c-44.34 2.887-86.685 24.588-114.772 61.81-3.842 10.378-2.588 21.484 3.165 33.976 6.852 14.88 20.466 30.877 38.46 45.342 33.628 27.032 82.323 48.626 127.647 53.16-5.187-33.235-17.857-67.864-41.178-100.185l-8.015-11.11 13.268-3.407c8.406-2.16 16.622-4.754 24.5-7.717-12.242-7.847-22.758-17.967-30.412-29.726-8.12-12.475-12.93-27.012-12.664-42.14zm119.133 43.837c-18.292 23.282-49.283 39.826-83.373 50.24 46.602 72.054 47.346 152.27 29.705 208.875 32.668-12.325 61.44-35.615 80.293-68.27 36.727-63.612 23.873-142.056-26.625-190.845zm-251.944 48.38c-28.1 62.35-12.124 135.174 37.652 180.185-1.068-37.06 8.803-75.31 31.717-101.32-7.553-4.867-14.73-10.014-21.414-15.387-19.6-15.756-35.126-33.415-43.726-52.092-1.72-3.73-3.13-7.54-4.23-11.384zm85.816 88.67c-22.994 24.486-32.67 68.06-28.186 106.864 2.274 1.472 4.596 2.895 6.97 4.265 35.18 20.312 74.9 25.46 111.63 17.46 10.085-25.972 15.988-59.78 13.267-96.232-35.616-2.798-72.1-14.98-103.68-32.357z","fillRule":"evenodd"}}]})(props);
};
function GiPaperClip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M359.486 53.883c-18.533.924-36.916 8.152-52.168 23.404L50.463 334.143c-15.528 15.527-21.196 34.746-19.207 52.65 1.99 17.904 11.053 34.485 23.793 47.225 12.738 12.74 29.32 21.803 47.223 23.793 17.905 1.99 37.123-3.68 52.65-19.206l220.163-220.16c20.998-21 19.447-48.32 4.586-63.182-14.86-14.86-42.183-16.413-63.182 4.586L169.717 306.62l12.728 12.73L329.22 172.576c15.694-15.695 29.653-12.66 37.725-4.588 8.073 8.073 11.108 22.032-4.588 37.727l-220.16 220.16c-11.992 11.992-24.88 15.498-37.935 14.047-13.056-1.45-26.29-8.44-36.485-18.633-10.194-10.195-17.182-23.43-18.632-36.485-1.45-13.056 2.054-25.944 14.046-37.936L320.046 90.015c16.358-16.358 35.173-20.603 54.918-17.27 19.745 3.334 40.126 14.96 56.195 31.03 16.07 16.068 27.696 36.45 31.03 56.195 3.333 19.746-.912 38.56-17.27 54.92l-220.16 220.16 12.726 12.727 220.162-220.162c20.336-20.335 26.41-46.24 22.29-70.642-4.118-24.402-17.718-47.595-36.05-65.926-18.33-18.332-41.523-31.93-65.925-36.05-6.1-1.03-12.296-1.422-18.474-1.114z"}}]})(props);
};
function GiPaperLantern (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48.32 20.4v24.47h99.88V20.4zM372 24.68c-30.3.91-53 48.3-54.3 75.09 0 21.53 7.4 40.83 18.7 54.53-61.6 11.6-66.3 115.4-66.3 188.3h30.3l-10.1-11.4c-.4-51.8 1.8-95.2 24-135.5-6.1 99.9 3.2 208.7 9.9 299.1h85.2l-65-11.8c-11.9-104.4-18.9-205.7-4.5-308.5 0 0 9.5-6.1 24.3-13.4-14.2-12.1-23.6-33.3-23.6-57.4 0-37.59 22.8-68.04 50.9-68.04 8.9 0 17.2 3.04 24.5 8.39-10.4-11.98-24.3-19.26-39.4-19.26-1.6 0-3.2-.14-4.6-.11zM43.24 63.56C29.11 81.97 20.35 107.5 20.35 135.8c0 29.9 9.79 56.8 25.36 75.4H149.1c15.6-18.6 25.3-45.5 25.3-75.4 0-28.3-8.7-53.83-22.8-72.24zM441.2 196l1.7 147.2 22.3-.3c-4.9-51.7-3.2-107.2-24-146.9zM48.32 229.8v24.5h99.88v-24.5z"}}]})(props);
};
function GiPaperPlane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 40L32 296l112.148 37.383L448 72 209.404 355.135 320 392 480 40zM208 376l-16 96 49.932-83.863L208 376z"}}]})(props);
};
function GiPaperTray (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M87.902 40.998L42.25 391.002h138.566l32 48h86.368l32-48h138.568L424.098 40.998h-98.536l-16 32H202.587l-16.967-32H87.902zm-46.904 368v78.004h430.004v-78.004H340.816l-32 48H203.184l-32-48H40.998z"}}]})(props);
};
function GiPaperWindmill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M456.94 42.332c-62.326 8.638-108.47 14.454-139.52 21.62-35.254 8.135-55.44 18.14-76.61 38.98-8.608 18.737-4.073 43.725 6.444 67.388 8.828 19.863 21.663 38.372 31.652 50.047L456.94 42.332zM42.33 55.062c8.638 62.324 14.454 108.468 21.62 139.518 8.135 35.254 18.14 55.44 38.98 76.61 18.737 8.608 43.725 4.073 67.388-6.444 19.863-8.828 38.372-21.663 50.047-31.652L42.332 55.06zm175.84 70.475l-35.004 35.004c-4.363 4.364-3.523 4.776-3.395 5.28.128.5 1.615 2.58 4.125 5.352l50.192 50.19c5.57-3.51 11.813-5.558 18.174-6.132-7.634-10.833-15.25-23.628-21.46-37.6-7.305-16.436-12.647-34.487-12.632-52.093zm129.14 53.61c-.086-.008-.16-.003-.226.007-.178.03-.298.105-.424.137-.498.128-2.58 1.62-5.346 4.122l-50.68 50.68c3.486 5.527 5.535 11.72 6.126 18.03 10.935-7.746 23.91-15.496 38.088-21.798 16.437-7.305 34.49-12.648 52.095-12.633L351.94 182.69c-2.862-2.864-4.025-3.488-4.627-3.542zM256 232.942c-5.867 0-11.735 2.265-16.264 6.793-9.057 9.058-9.057 23.47 0 32.528 9.058 9.057 23.47 9.057 32.528 0 9.057-9.058 9.057-23.47 0-32.528-4.53-4.528-10.397-6.793-16.264-6.793zm131.205 2.86c-14.236-.038-29.912 4.245-45.045 10.97-19.862 8.828-38.372 21.662-50.047 31.65L470.148 456.46c-8.637-62.326-14.453-108.47-21.62-139.52-8.134-35.253-18.138-55.44-38.975-76.61-6.756-3.104-14.32-4.506-22.348-4.527zM215.23 259.736c-10.833 7.634-23.628 15.25-37.6 21.46-16.436 7.305-34.487 12.647-52.093 12.632l35.004 35.004c4.364 4.363 4.776 3.523 5.28 3.395.5-.128 2.58-1.615 5.352-4.125l50.19-50.192c-3.51-5.57-5.558-11.813-6.132-18.174zm62.68 30.9c-5.57 3.512-11.813 5.562-18.174 6.135 7.634 10.835 15.25 23.628 21.46 37.6 7.305 16.436 12.647 34.487 12.632 52.093l35.004-35.004c4.363-4.364 3.523-4.776 3.395-5.28-.128-.5-1.615-2.58-4.125-5.352l-50.192-50.19zm-44.816.997L55.06 469.668c62.326-8.638 108.47-14.454 139.52-21.62 35.254-8.135 55.44-18.14 76.61-38.98 8.608-18.737 4.073-43.725-6.444-67.388-8.828-19.863-21.663-38.372-31.652-50.047zM265 437.838c-5.73 4.104-11.683 7.74-18 10.986V496h18v-58.162z"}}]})(props);
};
function GiPaper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M281.293 94.283a9 9 0 0 1-.23.203c-.027.023-.048.046-.073.07.113-.103.143-.126.303-.273zm.754.62c-.922-.026-1.59.26-1.79.333-18.276 16.014-26.02 33.42-43.35 51.993-17.25 18.485-43.688 36.204-96.677 51.225l-31.087 42.13a9 9 0 0 1-7.163 3.657l-50.75.45-14.69-8.344-2.622 119.744 14.603-8.426h57.28a9 9 0 0 1 6.934 3.264c13.526 16.35 20.025 32.04 37.946 39.838l200.556 61.878c12.478-.538 22.443-2.015 28.625-5.568 5.266-3.025 8.892-7.468 10.952-16.584-5.457-2.305-23.53-9.945-47.185-19.853-13.495-5.652-27.03-11.294-37.236-15.494-5.103-2.1-9.382-3.842-12.37-5.027-1.492-.593-2.672-1.05-3.397-1.317-.208-.077-.253-.09-.367-.13-.157.023-.3.105-1.897-.677-.994-.486-4.692-10.586-4.692-10.588 0 0 5.642-6.027 6.47-6.234 2.54-.635 2.98-.25 3.483-.18.2.028.253.05.388.074.13.016.294.036.637.073.89.095 2.327.236 4.183.41 3.713.345 9.13.827 15.67 1.397 13.082 1.14 30.68 2.633 48.37 4.112 17.69 1.477 35.475 2.942 48.945 4.03 6.734.544 12.392.992 16.406 1.3 2.006.155 3.606.275 4.702.352.445.03.74.05 1 .065 7.954-.59 12.096-2.93 14.38-5.373 2.315-2.48 3.274-5.563 3.075-9.477-.392-7.7-6.855-16.7-13.162-18.697l-125.047-16.39a9 9 0 0 1 .357-17.886s34.4-3.114 69.246-6.35c17.425-1.62 34.963-3.27 48.35-4.575 6.695-.654 12.355-1.22 16.42-1.652 2.03-.215 3.67-.397 4.798-.533.516-.062 1.142-.195 1.516-.27 10.906-3.095 16.196-7.17 18.164-10.054 2.01-2.944 1.993-5.088.517-8.644-2.946-7.1-15.285-15.783-23.27-16.322l-140.36-3.662a9 9 0 0 1-1.555-17.817s30.514-6.195 61.904-12.542c15.695-3.174 31.608-6.386 44.04-8.88 12.434-2.496 20.85-4.184 23.35-4.617 9.49-1.643 13.86-5.275 16.143-9.164 2.282-3.888 2.655-8.88.996-14.175-2.902-9.267-11.46-17.814-23.172-18.067-1.672-.036-3.41.098-5.204.422a9 9 0 0 1-.19.03l-148.954 23.665c-7.51 10.38-14.5 15.897-23.953 22.977-2.022 57.078-12.448 85.543-27.33 100.578-15.283 15.436-34.4 14.424-40.335 15.908l-4.368-17.46c12.134-3.035 21.968-1.066 31.91-11.11 9.943-10.044 20.786-34.636 22.338-92.803a9 9 0 0 1 3.606-6.965c12.425-9.295 17.212-12.277 25.073-23.886l35.527-78.43c-1.064-7.994-5.013-11.687-9.64-13.893-2.5-1.192-5.197-1.74-7.043-1.79z"}}]})(props);
};
function GiPapers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.906 18.06v369.23C112.4 252.618 269.43 157.82 430.37 133.76L228.42 18.06H18.906zM325.72 179.327C200.38 223.948 86.405 311.052 18.157 422.568v33.602c113.074-111.488 277-176.38 434.373-175.25L325.72 179.326zm25.56 128.682c-125.218 21.642-246.974 83.6-333.124 174.812v10.297h58.916c113.9-65.58 251.166-95.325 379.492-80.814L351.28 308.008zm-2.253 120.96c-80.122 5.884-160.432 27.957-232.61 64.15h266.42l-33.81-64.15z"}}]})(props);
};
function GiPapyrus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M435.81 30.275C388.838 40.961 334.08 61.244 287.38 91.85c-13.3-17.911-43.633-31.767-65.365-47.67 14.824 17.007 33.197 32.832 44.923 50.873-30.61-2.727-105.185 1.463-107.044 5.367 25.135.906 65.16 1.522 92.511 4.582-23.869 8.135-43.06 19.42-59.443 30.06l79.082-16.076L256.113 494h18.014l15.937-375.113c41.485 14.063 76.712 35.74 111.977 58.388-23.826-30.197-45.612-56.79-90.092-73.029 29.257-29.168 81.371-49.765 123.862-73.97zm-302.939 89.393c-1.314 18.979-5.194 37.6-9.3 55.902-26.657-21.312-65.582-20.787-95.489-26.105 31.447 11.587 62.99 23.048 88.395 42.404-34.894 38.905-49.344 78.384-63.795 119.498 24.794-32.845 45.483-66.863 75.922-98.096L179.338 494h18.29l-52.116-288.385c38.12 6.632 68.002 21.504 98.937 35.32-25.786-17.036-51.694-35.034-86.94-48.378 26.469-11.813 55.016-23.104 84.618-28.69-31.193-5.296-76.743-3.807-98.523 9.928.637-18.66-1.947-34.846-10.733-54.127zm174.836 149.781c20.367 8.667 40.404 18.357 58.582 28.738-26.913 11.338-58.842 41.589-57.117 44.463 20.586-10.82 42.02-20.368 66.271-25.69L350.637 494h18.176l24.648-175.896c31.778 15.48 61.363 33.882 86.053 58.814-17.609-23.227-30.058-43.027-52.3-59.979 19.11-1.195 36.87.293 56.704 3.159-26.561-6.52-45.137-17.429-77.51-16.461a2.274 2.274 0 0 0-.043-.024c.273-.082 69.754-20.935 70.914-22.543 1.103-1.527-72.323 1.302-96.18 7.123-28.946-13.617-53.64-16.558-73.392-18.744z"}}]})(props);
};
function GiParachute (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.406 18.438c-.594.005-1.188.016-1.78.03-4.582.54-10.147 4.075-16.407 12.626-6.845 9.348-13.726 24.012-19.595 42.562-11.095 35.068-18.797 84.06-20.875 139.156h115.97c-2.074-55.1-9.715-104.116-20.75-139.187-5.84-18.552-12.682-33.186-19.5-42.53-6.38-8.744-12.024-12.244-16.658-12.657h-.03c-.13-.012-.25.006-.376 0zm34.47 4.937c7.703 11.57 14.235 26.638 19.905 44.656 11.827 37.58 19.622 88.07 21.69 144.782h82.186c-5.11-53.913-23.635-101.762-50.53-136.25-20.543-26.34-45.61-44.862-73.25-53.187zm-70.938 1.313c-26.084 8.878-49.815 26.88-69.438 51.906-27.044 34.492-45.688 82.318-50.813 136.22H181c2.07-56.723 9.923-107.235 21.813-144.814 5.487-17.345 11.767-31.93 19.125-43.313zm-55.22 10.437C89.632 65.053 33.103 132.255 21.814 212.813H82.72c5.16-57.906 25.177-109.596 55.093-147.75 8.792-11.214 18.473-21.27 28.906-29.938zM357 39.405c8.533 7.657 16.522 16.26 23.875 25.69 29.76 38.16 49.604 89.83 54.75 147.718h55.188C480.065 135.882 428.495 71.15 357 39.405zM28.844 231.5L195.47 414.094c-1.38 5.163-2.126 10.57-2.126 16.156 0 34.666 28.303 62.97 62.97 62.97 34.664 0 62.967-28.304 62.967-62.97 0-5.585-.746-10.993-2.124-16.156L483.75 231.5h-25.28L308.78 395.53c-1.59-2.394-3.353-4.66-5.25-6.81l95.345-157.22H377.03l-87.967 145.03c-3.245-1.987-6.688-3.68-10.282-5.06L315.5 231.5h-19.313l-35.656 135.938c-1.4-.094-2.794-.157-4.217-.157-1.424 0-2.82.064-4.22.158L216.44 231.5h-19.344l36.75 139.97c-3.594 1.38-7.037 3.073-10.28 5.06l-87.97-145.03H113.72l95.374 157.22c-1.896 2.15-3.658 4.416-5.25 6.81L54.156 231.5H28.844zm218.812 155.313v33.5h-34.5c3.852-16.97 17.342-30.143 34.5-33.5zm18.688.312c16.494 3.782 29.378 16.678 33.125 33.188h-33.126v-33.188zM212.906 439h34.75v34.688c-17.56-3.437-31.276-17.14-34.75-34.688zm53.438 0h33.375c-3.383 17.08-16.484 30.5-33.376 34.375V439z"}}]})(props);
};
function GiParaguay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M30.6 191.3L74.85 34.64C143.1 9.374 223.8 16.21 284.1 36.89l3 143.21 114 11.2 25.5 100.5 54.8-5.2-27 154.5-81.8 56.2-125.2-18 57.7-110.2C192.5 316.9 84.23 263.2 30.6 191.3z"}}]})(props);
};
function GiParanoia (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.5 18.16c-84.3 0-168.65 24.64-236.6 73.91v23.43c50.19-39.57 111.4-64.12 175.2-73.66-51.6 23.51-87.5 75.56-87.5 135.96 0 40.7 16.3 77.7 42.8 104.6-47.5-11.6-92.2-31.3-130.5-58.9v22.8c44.69 29.8 96.4 49.8 150.5 60 2-3.6 4.2-7.1 6.7-10.3 6.3-8.3 14.4-15.2 24.1-19.7-5.3-12-8.3-25.7-8.3-40.3 0-3 .1-6 .4-9-9-12.7-14.4-28.2-14.4-45 0-43.1 35-78 78.1-78 3 0 6 .2 8.9.5-9.2 8.1-15 19.9-15 33.2 0 6 1.2 11.7 3.4 16.9 3.2-.2 6.3-.1 9.5.2 16.6 2.2 30.8 11.8 40.8 25.8 11.6-2.6 21.4-9.7 27.6-19.4 1.8 6.6 2.8 13.6 2.8 20.8 0 16.8-5.3 32.3-14.3 45 .2 3 .4 6 .4 9 0 15.1-3.2 29.2-8.9 41.4 9 4.7 16.5 11.5 22.5 19.7 2.3 3 4.3 6.3 6.2 9.7 55.5-10.3 108.6-30.7 154.3-61.5v-22.8c-38.5 28.1-83.7 48-131.6 59.8 26.4-26.9 42.7-63.8 42.7-104.5 0-60.2-35.7-112.13-87-135.74 64.2 9.82 125.7 34.86 175.9 75.14V93.59C427.3 43.96 330.3 19 255.5 18.16zm.5 155.04c-11.8 0-22.8 6.2-31.3 17.4-8.5 11.3-14.1 27.4-14.1 45.4s5.6 34.1 14.1 45.4c8.5 11.2 19.5 17.4 31.3 17.4s22.7-6.2 31.3-17.4c8.5-11.3 14.1-27.4 14.1-45.4s-5.6-34.1-14.1-45.4c-8.6-11.2-19.5-17.4-31.3-17.4zm-18.3 40.4c5.7 0 10.2 10.5 10.2 23.4 0 12.9-4.5 23.4-10.2 23.4-5.6 0-10.2-10.5-10.2-23.4 0-12.9 4.6-23.4 10.2-23.4zm37.2 0c5.6 0 10.2 10.5 10.2 23.4 0 12.9-4.6 23.4-10.2 23.4s-10.2-10.5-10.2-23.4c0-12.9 4.6-23.4 10.2-23.4zm-65.3 78.8c-7.5 3.1-13.5 8.1-18.6 14.9-7.3 9.7-12.6 23.3-16.1 39-7 31.6-6.8 71.4-6.8 104.5v42.3h22v-99.3h18.7v99.3h93.6v-99.3h18.7v99.3h22.8v-42.3c0-32.7-1.1-72.1-8.8-103.5-3.8-15.7-9.2-29.4-16.5-39.2-4.8-6.7-10.3-11.6-17-14.8-11.3 14.5-27.5 24.2-45.6 24.2-18-.1-37.4-11.9-46.4-25.1z"}}]})(props);
};
function GiParasaurolophus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M419.322 19.922c-28.844.072-58.162 15.058-72.72 37.717-27.606 5.912-40.208 25.251-56.188 48.81-7.693 11.342 5.49 20.645 10.535 22.125 9.49 2.785 22.884 3.14 31.551-3.91 14.961-12.17 43.699-20.43 53.244-3.32 6.108 10.947-1.182 57.18-14.111 52.72C139.36 93.94-7.257 356.17 22.689 397.46c21.203-84.39 82.134-126.719 204.534-125.049-5.45-21.798-6.183-42.729-4.428-47.49 15.72 36.958 23.484 68.636 45.144 87.617-13.896 3.452-18.595 20.153-19.314 34.766-2.158 43.852 5.17 89.728 12.643 132.74 1.397 10.727 48.105 1.598 55.005 1.863 9.474 5.422 54.196 4.677 61.043-9.94-5.268-8.295-11.667-19.001-27.039-23.527-6.069-28.11-14.848-56.672-15.802-83.93 18.314-10.734 38.48-22.039 39.638-37.122-9.522 2.466-22.846 3.919-42.203 2.968-6.805 16.042-19.448 31.429-29.35 41.11 1.433 31.518 7.005 64.421 12.33 94.912-5.691-6.737-10.5-14.043-20.613-17.938-6.069-28.11-14.848-56.672-15.802-83.93 44.57-25.01 47.95-68.953 36.662-111 8.87 5.59 22.373 48.206 21.484 59.02 11.75-.21 24.306.087 35.274-3.216-4.472-22.55-13.927-43.742-10.903-66.893 1.503 40.659 24.247 60.699 46.569 87.994-5.347 10.43-10.39 20.682-8.256 31.111 2.593 3.543 12.68 9.126 19.959 4.39 4.55-13.1 10.107-25.294 10.207-42.4.444-9.237-4.149-21.972-15.371-28.986 22.364-7.872 34.655-16.118 46.63-29.047 7.474-8.068 23.71-52.273-1.117-81-11.649-41.381-15.057-92.497-58.29-113.046 19.098-27.3 59.417-15.092 72.837 8.29 3.726 7.032 16.819-2.833 15.04-8.042-12.664-36.994-41.034-51.835-69.878-51.762zM350.34 73.059c2.678.004 5.16.775 6.455 2.486 2.813 3.716-1.57 11.651-6.14 12.56-4.688.933-12.03-4.886-10.747-9.49.96-3.444 5.968-5.564 10.432-5.556zm-38.91 29.468c3.325.501-.318 10.057-5.13 10.899-5.262.92-7.821-1.533-7.714-3.106.293-4.296 8.219-7.655 12.844-7.793zm148.617 185.385c-4.807 3.458-13.626 10.172-18.983 13.133.454 5.751 6.213 9.734 10.606 14.172-7.447 14.54-9.614 24.865-8.455 34.137l17.473 4.328c6.703-12.544 13.38-28.493 12.492-43.162-.506-8.348-5.284-18.008-13.133-22.608z"}}]})(props);
};
function GiParkBench (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M289.4 18c-1.2 1.9-1.9 3.91-2.3 5.99-1.4 8.93 4.9 18.7 17.5 26.87-40.4 19.75-61.8 52.14-52.5 79.74 7.7 22.9 35.3 38.4 71.8 40.3-3.1 28.7 14.9 50.2 41 48.8 9.2-.5 18.6-3.9 27.2-9.7 11.7 13.7 25.5 21 39.9 21 15.9 0 31.3-9.1 43.8-25.8 5.9 1.4 12 2.1 18.2 1.9V18H289.4zm132.7 230.2L409.5 493h45l-12.6-244.8c-3.2.5-6.5.8-9.9.8-3.4 0-6.7-.3-9.9-.8zM41 283v62h302v-62H41zm60 80v18h18v-18h-18zm164 0v18h18v-18h-18zM25 399v30h334v-30H25zm32 48v46h30v-46H57zm240 0v46h30v-46h-30z"}}]})(props);
};
function GiParmecia (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M305.105 21.24l-4.4.137-.156.006-.157.01-5.454.35-.155.01-.154.017-5.413.53-.153.014-.152.022-3.353.44 2.33 17.75c-5.88.717-11.674 1.738-17.34 3.042l-4.51-17.04-4.593 1.218-.142.037-.143.043-5.057 1.512-.14.04-.14.048-4.975 1.662-.14.047-.14.05-3.205 1.186 5.975 16.17c-5.655 1.98-11.12 4.246-16.334 6.786l-7.819-14.898-3.12 1.638-.137.073-.135.075-4.342 2.467-.137.076-.134.084-4.213 2.586-.14.084-.133.088-4.08 2.7-.137.093-.134.095-.274.196 9.56 13.386c-1.06.7-2.11 1.408-3.14 2.133-3.825 2.694-7.442 5.586-10.804 8.656l-11.266-11.59-3.305 3.21-.137.133-.13.14-3.135 3.306-.137.14-.13.15-2.954 3.392-.135.154-.128.16-2.767 3.473-.1.124-.094.127-.348.47 12.943 9.613c-3.468 4.682-6.368 9.65-8.592 14.866l-3.86-1.695-11.034-5.2-.034.07-.055.115-.05.115-.84 1.918-.052.117-.05.12-.782 1.93-.05.122-.046.123-.73 1.945-.044.125-.042.127-.67 1.96-.045.126-.04.13-.612 1.972-.04.13-.038.133-.55 1.985-.038.132-.033.137-.49 1.994-.034.14-.032.14-.427 2.005-.032.14-.025.14-.367 2.018-.026.143-.02.143-.003.004 9.37 1.407 7.32 1.333c-.182 1.355-.32 2.722-.41 4.1-.26 3.98-.103 8.003.454 12.05l-17.11 2.436.288 2.01.022.15.025.15.37 2.1.026.15.03.15.442 2.1.03.15.037.148.512 2.105.035.147.04.144.59 2.112.038.142.045.145.662 2.11.043.144.05.138.735 2.116.05.14.052.136.813 2.117.05.135.057.133.504 1.198 15.906-6.678c2.016 4.97 4.667 9.942 7.957 14.885l-13.622 9.9 1.172 1.61.072.1.074.097 1.618 2.106.072.095.076.094 1.7 2.1.075.092.077.088 1.787 2.096.075.088.076.086 1.874 2.09.076.084.076.082 1.96 2.084.076.08.078.078 2.047 2.08 6.683-6.586-6.56 6.707 1.19 1.164 11.26-11.51c3.796 3.988 8.03 7.935 12.73 11.82.316.26.645.54.962.803L209.36 205.52l2.626 2.52.024.023.023.02 10.936 10.34 12.012-12.704c4.512 3.977 9.152 8.175 13.868 12.528l-12.297 13.014 4.898 4.63.027.022 8.607 8.19 12.393-13.024c4.525 4.353 9.006 8.765 13.425 13.2l-12.484 12.7 7.65 7.52.057.057.008.007 4.572 4.584.053.053.808.825 12.483-12.252c.584.618 1.18 1.24 1.76 1.854 3.862 4.106 7.563 8.152 11.067 12.096l-12.582 11.566 3.314 3.603.052.06.04.04 3.69 4.134.03.035 3.348 3.883.037.045 1.527 1.846 12.89-10.666c1.753 2.182 3.42 4.31 4.94 6.337 2.577 3.438 4.74 6.727 6.492 9.633l-13.963 8.705.854 1.37.742 1.304.677 1.284.55 1.137.463 1.077.366.96.244.777.162.644.125.738.51 3.65.013.093.016.094.13.822 15.974-2.56c1.218 6.126 2.603 11.95 4.164 17.435l-16.104 4.384.63 2.307.026.103.03.1.986 3.327.03.104.034.103 1.047 3.252.033.105.036.103 1.105 3.176.037.107.04.107 1.163 3.098.04.107.044.107 1.03 2.54 15.567-6.29c.872 2.125 1.774 4.186 2.717 6.163 1.586 3.33 3.277 6.47 5.088 9.395l-1.06.695-13.106 8.033.1.163.075.124.08.12 1.576 2.397.082.128.088.123 1.62 2.302.09.13.094.124 1.664 2.203.098.13.104.127 1.707 2.1.107.134.113.13 1.748 1.998.12.135.12.13 1.79 1.893.126.135.133.13 1.49 1.46 11.7-11.954c3.04 2.732 6.347 4.986 9.978 6.664 1.13.522 2.287.952 3.46 1.33l-6.692 16.184.717.296.242.1.246.086 2.12.74.252.088.258.074 2.145.614.263.076.268.058 2.168.487.27.06.277.045 2.192.354.28.045.28.03 2.212.222.283.026.285.012 2.232.088.285.01.283-.007 2.252-.05.285-.005.28-.024 2.27-.186.282-.024.277-.04h.007l-1.344-9.378-.724-8.752c4.692-.622 9.423-2.18 13.975-4.626l8.97 15.51 1.104-.637.19-.11.184-.12 2.37-1.522.177-.114.173-.122 2.373-1.68.164-.117.158-.122 2.377-1.843.153-.118.146-.123 2.38-2.004.138-.117.135-.123 2.378-2.17.13-.117.122-.12 1.676-1.646-12.256-12.482c3.87-3.678 7.698-8.023 11.514-13.04l13.763 10.13.496-.674.075-.1.074-.106 2.345-3.377.07-.1.067-.103 2.336-3.557.064-.097.06-.1 2.325-3.74.058-.094.057-.096 2.313-3.923.052-.09.05-.09.257-.46-14.492-8.11c1.246-2.032 2.496-4.127 3.748-6.31v-.003c1.855-3.236 3.607-6.462 5.303-9.682l14.457 7.264 1.486-2.957.047-.095.045-.095 3.115-6.567.047-.096.043-.1 2.916-6.53.044-.1.043-.1.37-.884-14.622-6.125c2.56-5.707 4.883-11.382 6.963-17.016l14.638 5.328.397-1.09.04-.105.034-.108 2.148-6.38.038-.108.033-.11 1.965-6.338.034-.11.03-.113 1.134-4.003-14.79-4.185c1.718-5.954 3.176-11.854 4.386-17.698l14.937 3.032.56-2.75.023-.117.022-.12 1.078-6.112.02-.117.02-.118.907-6.065.017-.12.016-.12.436-3.518-15.072-1.864c.757-6.133 1.24-12.19 1.465-18.164l15.162.674.07-1.6.006-.123.003-.123.106-5.8v-.245l-.048-5.742-.002-.123-.004-.123-.193-5.545-15.2.53c-.31-6.098-.902-12.09-1.736-17.973l15.123-2.148-.52-3.658-.017-.123-.02-.122-.91-5.37-.02-.122-.024-.12-1.044-5.306-.024-.12-.027-.122-.906-4.04-14.984 3.36c-1.408-5.92-3.086-11.7-4.996-17.34l14.658-4.95-1.168-3.456-.04-.115-.04-.115-1.79-4.877-.044-.116-.045-.114-1.903-4.8-.045-.114-.047-.11-1.838-4.302-14.34 6.125c-2.484-5.54-5.198-10.912-8.138-16.096l13.733-7.614-1.002-1.805-.055-.102-.06-.102-2.54-4.32-.06-.102-.063-.1-2.637-4.236-.062-.1-.065-.1-2.73-4.147-.065-.097-.066-.096-.947-1.363-13.016 9.043c-3.48-4.964-7.168-9.715-11.043-14.244l12.18-10.406-2.706-3.168-.074-.09-.08-.085-3.235-3.604-.076-.085-.08-.084-3.312-3.504-.08-.084-.082-.084-3.383-3.41-.082-.08-.08-.08-.04-.038-7.994 8.334-3.322 3.295c-4.382-4.2-8.937-8.146-13.64-11.817l10.487-12.705-.21-.174-.09-.074-.093-.073-3.703-2.904-.092-.072-.094-.07-3.758-2.798-.095-.07-.096-.067-3.813-2.694-.096-.067-.097-.064-3.617-2.423-9.34 13.957c-3.88-2.42-7.827-4.674-11.84-6.736-1.223-.63-2.456-1.23-3.69-1.82l3.388-6.766 4.517-8.522-.005-.004-.095-.05-.098-.05-2.637-1.32-.086-.04-.087-.042-2.65-1.26-.086-.043-.086-.036-2.663-1.203-.086-.036-.087-.037-2.676-1.143-.086-.037-.086-.035-2.69-1.086-.086-.033-.088-.033-2.7-1.028-.085-.033-.088-.032-1.105-.396-5.955 16.642c-5.613-1.88-11.3-3.416-17.024-4.61l.67-3.155 3.332-14.384-.1-.024-.083-.02-.088-.017-2.758-.586-.086-.018-.086-.018-2.764-.53-.084-.017-.086-.015-2.765-.48-.084-.015-.085-.013-2.768-.428-.084-.014-.084-.01-2.77-.376-.084-.012-.084-.01-2.77-.326-.084-.01-.082-.008-1.752-.173-1.793 18.035c-5.854-.55-11.707-.765-17.522-.682l-.563-18.09zm3.127 37.12c20.786-.04 42.003 4.204 60.96 13.95 72.236 37.13 126.302 141.437 55.855 264.31-10.51 18.338-20.474 29.698-28.426 35.14-7.95 5.442-12.73 5.576-17.882 3.195-5.15-2.38-11.336-8.984-16.693-20.223-5.357-11.238-9.857-26.714-12.852-45.226-1.517-9.38-7.22-17.63-15.076-28.11-7.855-10.478-18.175-22.33-29.7-34.576-23.046-24.49-50.83-50.433-72.65-68.466-24.105-19.92-31.777-38.28-30.753-54.07 1.024-15.79 11.206-30.808 28.238-42.802 19.16-13.493 46.42-22.226 74.83-23.056 1.38-.04 2.765-.062 4.15-.065zM85.574 60.42l-.377.01-2.222.062-.4.012-.393.045-2.205.25-.307.034-.305.055-1.094.196-.206.04-.207.046-.61.14 3.83 16.766c-2.53.566-5.034 1.513-7.393 2.883-2.264 1.316-4.396 2.754-6.422 4.278l-9.9-14.037-1.17.823-.108.08-.107.08-1.622 1.212-.107.08-.105.084-1.563 1.24-.105.085-.106.088-1.505 1.27-.103.087-.102.09-1.447 1.295-.102.092-.1.095-1.39 1.32-.1.094-.096.098-1.334 1.342-.098.098-.094.1-1.277 1.366-.095.102-.09.103-1.222 1.387-.092.106-.09.107-1.15 1.39L55.42 96.75c-3.406 4.264-6.205 8.834-8.4 13.525l-15.94-5.85-.69 1.88-.093.254-.08.256-.947 3.133-.078.255-.062.26-.76 3.146-.062.257-.046.26-.576 3.152-.047.255-.03.258-.395 3.146-.033.255-.018.258-.22 3.133-.016.256-.004.256-.01.658 15.023.223c-1.12 5.943-1.325 11.885-.353 17.434l-11.707 3.775.553 1.716.08.25.094.244 1.042 2.704.096.248.11.244 1.18 2.607.113.25.126.24 1.316 2.506.13.247.145.24 1.447 2.395.148.246.164.238 1.57 2.274.17.246.185.232 1.693 2.145 8.912-7.04c.28.308.57.613.866.913 3.355 3.39 7.352 5.807 11.505 7.164l-7.952 11.424.502.35.198.138.205.127 1.62 1.007.218.137.227.123 1.602.88.237.13.246.117 1.584.752.26.123.265.106 1.567.627.278.113.285.094 1.55.508.296.097.302.08 1.53.39.312.08.318.058 1.51.277.326.06.328.036 1.492.164.332.037.334.014 1.473.057.336.014.334-.01 1.455-.048.332-.01.33-.034 1.437-.15.326-.034.32-.057.28-.048-2.317-13.216-.427-4.082c4.464-1.2 8.353-3.434 11.848-6.192l11.885 11.756.686-.693.108-.11.104-.11 1.166-1.26.096-.102.093-.107 1.145-1.314.086-.1.084-.102 1.127-1.368.114-.138.11-.145 2.19-2.883.13-.17.123-.177 2.11-3.06.107-.155.1-.158 2.028-3.21.09-.142.084-.144.68-1.166-12.64-7.37c3.72-4.93 6.93-10.24 9.603-15.443l11.95 5.056 1.37-3.233.032-.08.034-.08 1.44-3.592.03-.073.03-.072 1.355-3.55.026-.065.026-.07 1.267-3.48.023-.062.02-.062 1.183-3.39.03-.083.027-.084.066-.202-11.917-3.906c1.33-5.458.955-10.916-.643-15.99l15.42-3.045-.21-1.07-.07-.358-.1-.353-.602-2.146-.094-.33-.117-.327-.766-2.116-.11-.308-.133-.3-.922-2.08-.125-.283-.144-.276-1.07-2.032-.137-.262-.155-.254-1.207-1.98-.147-.242-.16-.233-1.337-1.92-.156-.226-.168-.214-1.458-1.853-.164-.21-.176-.2-1.014-1.145-12.103 10.68c-.092-.106-.18-.218-.272-.323-3.286-3.696-7.43-6.82-12.388-8.576l6.332-15.024-1.045-.442-.27-.113-.275-.095-2.188-.765-.29-.1-.293-.082-2.213-.615-.308-.086-.317-.065-2.227-.457-.332-.066-.337-.046-2.235-.29-.355-.048-.357-.017-2.233-.12-.38-.02zM256.06 94.205c-11.702.262-22.988 6.446-29.267 17.322-9.568 16.573-3.89 37.766 12.684 47.334 16.573 9.57 37.763 3.89 47.332-12.682 9.567-16.573 3.89-37.766-12.683-47.334-5.697-3.29-11.94-4.776-18.068-4.64zM86.31 96.043c.56-.005 1.1.09 1.694.244 1.583.408 3.56 1.608 5.31 3.576 3.5 3.938 4.988 10.4 3.873 13.54-3.142 8.85-10.42 22.592-17.844 30.284-3.712 3.847-7.315 5.93-9.444 6.348-2.13.42-3.296.496-6.603-2.846-2.97-3-4.967-11.83-1.933-22.21C64.4 114.602 71.78 103.678 83.07 97.12c1.07-.62 1.907-.932 2.676-1.036.192-.026.38-.04.567-.04zm259.86 16.828c-7.924 0-14.348 6.425-14.348 14.35 0 7.922 6.424 14.346 14.348 14.346s14.348-6.424 14.348-14.347c0-7.925-6.424-14.35-14.348-14.35zm38.062 60.85c-17.126.384-33.645 9.437-42.836 25.356-14.005 24.258-5.693 55.276 18.565 69.28 24.257 14.006 55.272 5.692 69.277-18.565 14.005-24.256 5.697-55.273-18.56-69.278-8.34-4.815-17.475-6.992-26.446-6.79zm-291.9 77.243l-1.898 17.396c-1.002-.17-2.018-.31-3.06-.405-1.41-.126-2.812-.144-4.2-.062-2.617.153-5.183.673-7.666 1.5l-5.885-15.534-1.66.628-.2.076-.2.086-1.885.817-.198.084-.193.096-1.864.91-.194.092-.187.104-1.834 1.002-.19.103-.182.112-1.803 1.094-.183.112-.178.12-1.766 1.186-.18.122-.17.128-1.73 1.28-.172.13-.168.135-1.683 1.373-.166.135-.163.145-1.588 1.424 11.114 12.414c-1.432 1.387-2.78 2.892-4.027 4.507-1.92 2.487-3.63 5.24-5.118 8.223l-4.647-2.125-10.375-5.318-.047.093-.095.186-.086.19-1.05 2.298-.087.188-.078.19-.967 2.392-.076.19-.07.193-.88 2.48-.066.19-.06.193-.788 2.574-.058.19-.05.193-.696 2.664-.05.188-.04.192-.596 2.756-.04.19-.034.187-.442 2.547 16.137 2.8c-.88 4.59-1.354 9.492-1.354 14.676v.025c.002.843.023 1.672.035 2.507l-15.792.563.164 4.63.004.104.006.104.3 5.19.006.107.008.105.412 5.1.01.107.01.108.386 3.72 15.528-1.615c.63 6.17 1.534 12.132 2.687 17.89l-15.21 3.06.395 1.96.02.113.027.112 1.035 4.556.025.113.028.113 1.13 4.467.03.11.03.114 1.226 4.377.03.114.036.11.842 2.74 14.81-4.55c1.836 5.89 3.944 11.53 6.31 16.91L46.5 400.11l.12.286.048.114.05.11 1.745 3.84.05.11.055.11 1.825 3.752.054.11.054.108 1.902 3.663.06.11.057.106 1.98 3.572.058.107.063.106.904 1.534 13.41-7.89c3.08 5.233 6.417 10.168 9.975 14.8l-12.262 9.61 1.998 2.55.077.098.078.095 2.445 2.955.078.094.082.094 2.504 2.867.08.094.084.09 2.56 2.78.085.09.087.09 2.613 2.692.086.087.088.086.197.193 10.87-11.12c4.27 4.298 8.746 8.245 13.387 11.84l-9.277 12.37 2.447 1.836.097.072.098.07 2.934 2.085.097.07.1.065 2.97 1.998.1.067.1.064 3.006 1.912.1.065.102.06 3.04 1.827.1.06.104.06 1.166.662 7.56-13.333c5.243 3.05 10.618 5.7 16.07 7.947l-5.773 14.047.84.345.107.044.11.04 3.21 1.23.107.04.112.04 3.226 1.142.11.037.11.036 3.24 1.057.11.037.112.033 3.254.97.11.034.113.03 3.262.89.114.03.11.026.714.176 3.603-14.67c5.892 1.507 11.806 2.554 17.678 3.144l-1.76 15.048.577.07.118.013.115.01 3.273.3.117.01.118.008 3.265.216.12.007.117.006 3.257.133.12.006.12.002 3.243.05h.24l3.232-.035h.12l.12-.006 1.81-.067-.555-15.408c5.897-.41 11.48-1.615 16.718-3.456l4.5 15.61.573-.165.123-.036.122-.04 1.812-.575.123-.04.12-.043 1.785-.62.12-.044.12-.045 1.754-.666.12-.045.118-.05 1.727-.71.118-.047.115-.05 1.697-.755.172-.076.17-.083 3.31-1.63.22-.11.218-.12 3.195-1.79.213-.12.207-.13 1.14-.72-9.042-14.335c4.726-3.124 9.035-6.76 12.867-10.744l12.37 11.852 1.136-1.186.147-.152.138-.158 2.37-2.71.137-.154.127-.16 2.25-2.812.125-.155.118-.162 2.13-2.907.114-.156.108-.162 2.008-2.996.107-.16.098-.162 1.38-2.248-14.365-8.8c3.165-4.96 5.774-10.148 7.81-15.41l15.304 5.74.123-.323.058-.158.055-.163 1.142-3.418.053-.16.05-.16 1.017-3.453.046-.16.04-.162.892-3.474.04-.16.038-.164.764-3.492.035-.162.03-.164.636-3.504.03-.164.024-.166.06-.412-16.005-2.318c.356-2.424.6-4.832.688-7.206.13-3.472.237-6.857.246-10.152l16.277-.676-.073-1.802-.008-.184-.016-.184-.274-3.377-.015-.187-.022-.188-.406-3.332-.023-.193-.032-.19-.54-3.28-.032-.198-.04-.197-.673-3.217-.043-.202-.05-.203-.807-3.15-.053-.208-.064-.207-.082-.27-14.506 4.438c-1.217-5.525-3.338-10.63-6.957-15.217l12.445-8.846-1.662-2.336-.166-.234-.18-.223-1.898-2.35-.186-.23-.2-.22-2.038-2.22-.154-.17-.165-.16-1.07-1.057-.11-.11-.113-.103-1.106-1.024-.114-.107-.12-.103-1.14-.986-.12-.103-.124-.1-1.176-.948-.125-.103-.128-.096-1.21-.91-.13-.096-.132-.092-1.246-.87-.133-.095-.136-.088-.6-.39-9.293 14.336c-4.15-2.082-8.96-3.663-14.467-4.86l2.894-17.575-1.558-.257-.15-.023-.15-.02-1.748-.23-.147-.02-.148-.016-1.785-.177-.145-.014-.144-.01-1.823-.125-.142-.01-.14-.005-1.86-.07-.14-.005-.14-.002-1.894-.015h-.137l-.135.003-1.93.04-.136.005-.133.006-1.97.097-.127.007-.13.012-2.005.153-.126.01-.125.013-2.044.215.918 8.755-.934-8.752-4.482.48-.194.018.862 8.074.558 6.755c-2.038-.12-4.117-.225-6.285-.3h-.003c-3.856-.137-8.278-.487-12.93-.995l.36-12.866-2.307-.065-3.486-.21-3.27-.31-3.185-.418-2.962-.504-1.656-.353-2.533 11.914c-7.163-1.337-13.957-2.947-19.416-4.705l3.342-5.956 4.22-6.567-1.94-1.246-1.59-1.17-1.422-1.194-1.305-1.254-1.208-1.328-1.082-1.37-.973-1.423-.505-.862-13.543 7.94c-1.607-4.72-2.758-10.69-4.2-17.005-.263-1.16-.546-2.34-.84-3.525l14.695-1.3-.22-2.505-.02-.213-.028-.212-.345-2.565-.03-.22-.04-.216-.454-2.47-.04-.223-.052-.223-.556-2.374-.053-.226-.065-.225-.656-2.28-.066-.23-.076-.228-.752-2.186-.08-.23-.092-.228-.844-2.09-.094-.232-.105-.226-.717-1.534-15.217 7.106c-.58-.962-1.204-1.914-1.89-2.85-2.073-2.823-4.76-5.348-7.95-7.423l3.688-5.663 6.515-8.88-.075-.055-.21-.152-.213-.143-1.618-1.053-.215-.14-.22-.127-1.667-.96-.22-.126-.225-.116-1.71-.865-.224-.113-.23-.1-1.75-.77-.226-.1-.23-.09-1.79-.676-.226-.086-.233-.075-1.822-.585-.228-.073-.233-.062-1.85-.49-.23-.06-.232-.05-1.88-.396-.228-.05-.23-.034-1.903-.305-.227-.035-.23-.026-1.32-.144zm-7.37 35.568c.25.006.5.018.745.04 6.672.598 8.936 2.396 11.198 5.477 2.262 3.08 4.006 8.334 5.483 14.805 1.477 6.47 2.717 13.97 5.655 21.42 2.938 7.452 8.144 15.186 16.898 19.617 17.77 8.99 46.593 12.724 66.6 13.426h.002c25.25.884 36.064 5.308 40.318 10.248 4.255 4.94 5.246 14.31 4.63 30.63-.41 10.887-5.686 25.306-14.796 36.486-9.11 11.18-21.474 19.12-36.592 19.865-52.21 2.57-119.89-40.345-120.15-137.56.002-12.446 3.49-21.685 7.816-27.292 4.06-5.258 8.424-7.226 12.193-7.162zm29.515 82.402c-7.925 0-14.35 6.424-14.35 14.347 0 7.923 6.425 14.347 14.35 14.347 7.922 0 14.346-6.424 14.346-14.348s-6.424-14.348-14.347-14.348zm63.73 17.6c-13.473 0-24.394 10.924-24.394 24.398s10.92 24.398 24.395 24.398 24.4-10.924 24.4-24.398-10.925-24.397-24.4-24.397z"}}]})(props);
};
function GiParrotHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246 18.844c-2.157.02-4.292.068-6.406.156-73.28 3.064-120.385 46.286-139.406 94.094-11.706 29.42-12.328 60.463-1.813 84.78 10.515 24.32 31.522 42.552 66.906 47.845 18.85 2.818 37.402 5.89 55.314 9.5 59.88-25.15 71.217-72.16 86.625-115.19 7.735-21.602 16.277-42.437 33.874-56.655 12.758-10.31 29.792-16.212 52.47-16.563-28.51-20.475-62.022-35.544-99.095-43.093-17.22-3.507-33.372-5.024-48.47-4.876zm147.47 66.53c-19.04.243-31.413 5.12-40.626 12.564-12.818 10.356-20.528 27.42-28.03 48.374-13.216 36.904-26.567 85.154-75.752 115.282 42.035 10.47 78.926 24.997 105.188 47.5 21.364 18.306 35.342 42.586 37.406 72.75 1.54 22.492-3.3 47.973-15.25 77.187C477.462 385.23 506.27 291.847 488.844 209.75c-9.833-46.322-34.647-89.155-70.344-122.5-9.447-1.382-17.738-1.968-25.03-1.875zm-308.376 15.44c-20.48 6.425-42.002 17.384-64.28 33.655l-.002 359.155h230.875c11.166-23.298 19.82-46.743 26.188-69.97-34.545-1.148-67.374-12.59-94.563-31.06-48.912-33.232-80.487-89.767-72.25-149.22-13.442-10.208-23.455-23.32-29.843-38.094-12.89-29.806-11.65-65.73 1.624-99.093.717-1.802 1.46-3.587 2.25-5.374zm144.656 27.124c23.412 0 42.406 18.968 42.406 42.374 0 23.407-18.994 42.375-42.406 42.375s-42.375-18.968-42.375-42.375c0-23.406 18.963-42.375 42.375-42.375zM128.78 254.125c-3.5 48.926 23.382 94.734 65.032 123.03 44.693 30.365 105.29 39.94 162.657 9.658-6.057-.988-11.844-2.296-17.376-3.907-13.214-17.616-20.057-42.566-18.688-63.187.245-3.687.764-7.21 1.5-10.533-5.35-3.108-11.05-6.05-17.094-8.812-1.66 5.77-2.648 11.858-3.062 18.094-1.14 17.168 2.01 35.7 9.188 52.592-35.888-20.445-55.414-55.432-58.22-88.875-27.608-7.465-58.322-13.202-90.187-17.968-12.5-1.87-23.76-5.332-33.75-10.095z","fillRule":"evenodd"}}]})(props);
};
function GiPartyFlags (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M461.963 22C342.73 99.984 194.385 135.387 18 130.719v18.004C207.74 153.643 367.48 112.724 493.783 22h-31.82zm25.865 35.443L403.7 103.686l88.307 61.007-4.178-107.25zm-109.508 57.48l-92.037 27.298 73.315 78.388 18.722-105.685zm-128.498 35.491l-94.967 14.057 61.54 87.937 33.427-101.994zM116.48 166.78l-95.956 2.918 50.895 94.496 45.06-97.414zM18 279.461v18.662c231.522 63.276 368.876 81.316 476 84.926V365.05c-106.436-3.598-242.956-21.615-476-85.59zm43.379 51.244l24.053 104.602 69.25-82.002-93.303-22.6zm151.05 37.49l29.944 103.069 64.488-85.797-94.431-17.272zm153.087 24.446l40.615 99.351 55.111-92.101-95.726-7.25z"}}]})(props);
};
function GiPartyHat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M233 25.93L153.2 220.3l25.3 4.6 25.2-23.9 4.6 34.5 30.5 16.6-31.3 15-6.3 34.1-24-25.1-34.4 4.5 16.5-30.6-9.8-20.6-62.33 151.7c-2.47 12.6.28 22 7.44 30.9 7.29 9 19.69 17 35.89 23.2 7.2 2.8 15 5.2 23.4 7.2l3.1-9.9-24.4-32.6 40.7-.6 23.5-33.2 13.2 38.5 38.9 12.1-32.7 24.4.1 10.1c13.2.8 26.7 1 40.2.6 46.6-1.3 93.1-9.2 124.6-21.6 15.8-6.2 27.7-13.6 33.9-20.7 6.2-7.1 7.6-12.5 4.5-20.5L301.3 158.8l-4.5-.2-21.8 27-9.1-33.5-32.5-12.4 29.1-19 1.7-34.09L233 25.93zm74.7 247.97l25.5 31.8 40.7-1.8-22.4 34 14.3 38.1-39.3-10.7-31.8 25.4-1.9-40.7-34-22.4 38.1-14.4 10.8-39.3zm129 133.6c-1.8 5-4.5 9.7-8.1 13.8-1.9 2.2-4.1 4.3-6.5 6.3.3 4.5-.1 8.5-1.1 12-2.7 10.2-9.7 17.5-21.8 23.1-24.2 11.2-67.6 12.5-114 5.9-.5-.1-1-.2-1.5-.2-8.8.7-17.8 1.1-26.7 1.4-19.5.5-39.1 0-57.9-1.8 27 8 55.7 14.4 83.6 18.4 48.1 6.8 93.4 6.9 124.1-7.4 15.4-7.1 27.3-18.7 31.6-34.7 2.9-10.9 2.3-23.1-1.7-36.8z"}}]})(props);
};
function GiPartyPopper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M122.7 23.32l1.7 21.87-16.7 14.25 21.4 5.17 8.4 20.25L149 66.18l21.8-1.75-14.2-16.71 5.1-21.32-20.3 8.35-18.7-11.43zM464 32a16 16 0 0 0-16 16 16 16 0 0 0 16 16 16 16 0 0 0 16-16 16 16 0 0 0-16-16zM239.8 42.5a16 16 0 0 0-16 16 16 16 0 0 0 16 16 16 16 0 0 0 16-16 16 16 0 0 0-16-16zm183.9 6.84c-9.2 1.74-17.7 7.18-25.9 14.28-7.6 6.53-14.7 14.66-20.7 23.45-18.8 3.01-37.6 10.67-50.2 21.13-16.1 13.2-30.4 35.8-38.2 59.1-7.4 3.1-14.4 6.8-20.1 10.8-15.5 10.9-23.5 31.8-29.4 50-5.9 18.3-8.8 34.3-8.8 34.3l17.8 3.2s2.7-15 8.1-31.9c5.5-16.9 14.8-35.3 22.7-40.8 1.3-.9 3-1.9 4.5-2.8-.6 5.7-.6 11.4.3 16.8 1.8 11.4 8 22.3 19 28.2 7.8 4.2 16.6 3.2 24 .2 7.4-3.1 14-8.2 19.7-14.2 5.7-6 10.4-13.1 13.2-20.6 2.8-7.5 3.8-16 .2-23.9h-.1c-3.9-8.4-11.4-13.8-19.4-16.1-8-2.3-16.6-2.2-25.2-.9-1.5.2-2.9.7-4.4 1 7.4-15.8 18-30.7 27.5-38.6 6.2-5.1 16.6-10 27.7-13.6-1.4 3.8-2.5 7.6-3 11.5-1.6 10.5.7 21.9 9.1 29.7 6.1 5.6 14.3 6.5 21.5 5.3 7.1-1.2 14-4.4 20.2-8.5 6.2-4.2 11.7-9.4 15.6-15.5 3.9-6.1 6.5-13.9 4-21.7v-.1c-3.3-10.07-11.5-16.99-20.6-20.27-3.9-1.4-8-2.19-12.2-2.66 2.9-3.26 5.9-6.31 8.9-8.92 6.8-5.84 13.7-9.5 17.6-10.23l-3.4-17.68zM174.8 84.39l-15.2 9.56 34.5 55.25-56.4 2.9 26.5 57.8 16.4-7.6-15.5-33.6 60.6-3.1-50.9-81.21zm216.4 19.31c6.1-.1 11.5.6 15.5 2.1 5.4 1.9 8.1 4.3 9.5 8.8.4 1.1.2 3.3-1.9 6.6-2.2 3.4-6.1 7.2-10.5 10.2-4.5 3-9.5 5.1-13.2 5.7-3.8.7-5.5 0-6.3-.7-3.5-3.2-4.5-7.2-3.5-13.9.8-5.4 3.3-11.9 7-18.6 1.2 0 2.3-.2 3.4-.2zM94.99 123a16 16 0 0 0-16 16 16 16 0 0 0 16 16A16 16 0 0 0 111 139a16 16 0 0 0-16.01-16zm356.11 37.2l-14.4 16.6-21.8-1.8 11.4 18.8-8.5 20.2 21.4-5 16.6 14.3 1.9-21.9 18.7-11.4-20.2-8.5-5.1-21.3zm-123.5 16.5c2.9.1 5.6.5 7.7 1.1 4.3 1.2 6.6 3 8.2 6.4.9 1.9 1 5.4-.7 10-1.7 4.7-5.2 10.1-9.4 14.6s-9.3 8.1-13.5 9.8c-4.2 1.7-6.8 1.6-8.5.7h-.1c-5.8-3.2-8.6-7.8-9.7-15.2-1-6.3-.3-14.3 1.8-22.9 4.9-1.7 9.8-3.1 14.5-3.8 3.5-.5 6.7-.7 9.7-.7zm-202.4 51.9c-7.2-.2-11.7 1.5-14.5 4.3-2.8 2.8-4.5 7.3-4.3 14.5.2 7.3 2.6 16.9 7.2 27.6 9.2 21.5 27.3 47.4 51.6 71.8 24.3 24.3 50.3 42.3 71.8 51.5 10.6 4.6 20.2 7 27.5 7.2 7.3.3 11.7-1.5 14.5-4.3 2.8-2.8 4.6-7.2 4.3-14.5-.2-7.3-2.6-16.9-7.2-27.6-9.2-21.4-27.2-47.4-51.5-71.7-24.3-24.4-50.3-42.4-71.8-51.6-10.7-4.6-20.3-7-27.6-7.2zm232 31.3l-33 54-29.1-27.9-12.4 13 45.1 43.3 33.8-55.2 38.7 32.3 89.3-38.2-7-16.6-79.3 34-46.1-38.7zM93.43 272.6l-17.64 57.9c41.41 49.1 89.71 76.7 142.11 94.7l21.6-6.6c-3.1-1.1-6.4-2.4-9.7-3.8-24.4-10.4-51.7-29.6-77.3-55.3-25.7-25.7-44.9-53-55.34-77.4-1.41-3.2-2.65-6.4-3.73-9.5zm-23.82 78.2l-14.01 46c28.89 27 59 39.2 90.6 50.2l43.4-13.2c-43.2-17.6-84-43.3-119.99-83zM368 352a16 16 0 0 0-16 16 16 16 0 0 0 16 16 16 16 0 0 0 16-16 16 16 0 0 0-16-16zM49.81 415.9l-20.29 66.6 88.28-26.9c-22.77-9.1-45.78-20.7-67.99-39.7z"}}]})(props);
};
function GiPassport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M139.2 17.98L100.9 251.1l65.7-227.83.2-.75zm96.7 15.9l166.5 47.94 3.3-20.02zm-54.5 3.02L71.17 419.2 330.6 494l110.2-382.4zm9.4 50.55L406 149.5l-5 17.2-215.2-62zm23.9 90.15l123 35.4-5 17.2-123-35.4zm19.5 59.8c9.5 0 19.1 1.3 28.7 4.1 55.6 16 87.9 74.3 71.8 129.9-16 55.7-74.3 87.9-129.9 71.8-55.7-16-87.9-74.3-71.9-129.9 13.3-46.1 55.6-76.1 101.3-75.9zm-.1 17.9c-23.8-.1-46.4 9.6-62.7 26.3l35.4 10.2c8-13.8 18.2-26.3 30.1-36.5h-2.8zm22.6 7.7c-12.5 8.6-23.3 20.4-31.9 34l40.8 11.8c-.1-16.1-2.9-31.9-8.9-45.8zm20.8 4c4.7 15 6.6 31 6.1 47l35.4 10.2c-5.1-23.8-20-44.7-41.5-57.2zm-117.9 29.9c-4 6.5-7.2 13.7-9.4 21.4-2.2 7.6-3.3 15.3-3.4 22.8l38.9 11.2c1.1-7.6 2.8-15.1 4.9-22.5 2.1-7.4 4.8-14.7 7.9-21.7zm56.4 16.2c-3.3 7-6 14.3-8.1 21.7-2.1 7.4-3.7 15-4.6 22.6l48.4 14c3.2-7 6-14.2 8.1-21.7 2.1-7.4 3.7-15 4.6-22.6zm66 19c-1.1 7.6-2.8 15.2-4.9 22.6-2.1 7.4-4.8 14.7-7.9 21.8l38.9 11.2c3.9-6.5 7.1-13.6 9.3-21.3 2.2-7.7 3.3-15.4 3.5-23.1zm-133.4 28.2c5 23.9 20 45 41.8 57.5-4.8-15.1-6.8-31.1-6.3-47.3zm53.5 15.4c.1 16.2 2.9 31.9 8.9 45.9 12.5-8.7 23.3-20.5 32-34.1zm58.8 17c-8.1 13.9-18.3 26.4-30.3 36.6 25 1 48.8-8.9 65.8-26.4z"}}]})(props);
};
function GiPathDistance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M92.58 21.05c-32 0-64 24-64 72l64 127.95L156.6 93.05c0-48-32-72-64.02-72zM374.9 60.06l-.3.21H374.3l-3 .24h-.2l-3 .32H367.8l-3 .41h-.2l-3.1.5h-.2l-3.1.59h-.2l-2.3.49 3.8 17.6 2.1-.46 3-.57 2.8-.45 2.8-.39 2.7-.29 2.7-.22h.2zm-282.32.99a32 32 0 0 1 32.02 32A32 32 0 0 1 92.58 125a32 32 0 0 1-32-31.95 32 32 0 0 1 32-32zm302.22.16l-3 17.77.9.15 2.2.47 2.1.56 2.1.65 2 .73 2 .83 1.8.9 1 .55 8.7-15.79-1.2-.66-.2-.11-.2-.1-2.3-1.11-.2-.1-.2-.1-2.4-1-.2-.1-.2-.1-2.4-.88-.2-.1-.2-.1-2.5-.77-.2-.1h-.2l-2.5-.66-.2-.1h-.2l-2.6-.55h-.4zm-57.5 6.73l-3 1.25h-.2l-3.3 1.21h-.2l-3.3 1.28h-.2l-3.4 1.34h-.1l-3.4 1.41h-.1l-.2.1 7.1 16.55.2-.1 3.2-1.32 3.3-1.32h.1l3.2-1.21 3.1-1.11 3.1-1.05zM431 81.36l-13.7 11.71 1 1.1 1.4 1.88 1.4 2L423 101l1.7 3 1.2 2.3 16.1-8.05-1.3-2.46-.1-.21-.1-.2-1.9-3.37-.1-.19-.1-.19-2.2-3.4-.1-.18-.1-.17-1.7-2.35-.1-.17-.1-.18-1.8-2.21-.1-.18-.1-.17zm-127.8.91l-.9.56h-.1l-7.1 3.59h-.1l-.1.1-7.1 3.79h-.1l-1 .53 8.8 15.76.8-.5h.1l6.9-3.8 6.8-3.45h.1l.8-.4zm-32.3 17.83l-5 2.9v.1h-.1l-7.2 4.5h-.1l-3.2 2.1 9.8 15.1 3-1.9.1-.1 7.1-4.4 4.8-2.9zM448.2 118l-9.3 1.4-8.5 1 .1 1.4.1 1.3.1 1.3v2.4l-.1 1.3-.1 1.3-.1 1.2-.2 1.2-.2 1.2-.5 2.1 17.5 4.1.6-2.3v-.2l.1-.3.2-1.5.1-.1v-.2l.2-1.5v-.1l.1-.2.1-1.5.1-.2v-.1l.1-1.5V129.2l.1-1.6V123.7l-.1-1.6V121.8l-.2-1.5V120l-.2-1.6v-.2zm-208.1 1.7l-3.3 2.2v.1l-7.1 4.9h-.1v.1l-4.4 3.1 10.4 14.7 4.3-3.1 7-4.9h.1l3.2-2.2zm-29.6 21.1l-2 1.4v.1l-6.9 5.1-5.6 4.3 10.9 14.3 5.6-4.1v-.1l6.7-5 .1-.1 1.9-1.4zm213 8l-1 1.6-1.8 2.6-1.9 2.5-2.1 2.6-2.2 2.5-1 1 13.1 12.4 1-1.2.1-.1.1-.1 2.5-2.8.1-.1.1-.1 2.3-2.8.1-.1.1-.2 2.2-2.8.1-.2h.1l2-3h.1l.1-.2 1.1-1.8zm-241.8 14.1l-.1.1h-.1l-6.4 5.1v.1l-6.3 5.1-1.2 1 11.4 13.9 1.2-1 6.2-5v-.1l6.3-5h.1l.1-.1zm219.4 10.2l-.3.2-3.1 2.5-3.3 2.6-3.4 2.4-.1.1-3.6 2.5 10.3 14.8 3.7-2.6.1-.1h.1l3.6-2.7.1-.1 3.5-2.6.1-.1 3.4-2.6.1-.1.3-.3zm-247.4 12.8l-2.8 2.3-.1.1-10.9 9.3 11.7 13.7 10.9-9.4 2.7-2.2zm218.9 7l-.8.5h-.1l-4.1 2.4v.1h-.1l-4.2 2.4v.1l-4.4 2.4-1.5.8 8.6 15.9 1.6-.9.1-.1 4.4-2.5h.1l4.4-2.5h.1l4.3-2.6h.1l.9-.6zm-246.4 16.7l-6.1 5.5h-.1l-7.2 6.6 12.1 13.3 7.2-6.5 6.1-5.4zm215.5.3l-1.4.7-9.7 4.9h-.1l-4.7 2.3 7.7 16.2 4.9-2.4h.1l9.9-4.9h.1l.1-.1 1.3-.7zm-32 15.4l-10.1 4.5v.1l-6.3 2.7 7.3 16.5 6.3-2.8h.1l10.1-4.6zM99.58 234l-1.5 1.3h-.1v.1l-8.59 8.1v.1l-3.02 2.9 12.61 13 2.92-2.9 8.6-8.1 1.4-1.2zm177.32 5.8l-10.1 4.3-6.4 2.7 7 16.7 6.4-2.7 10.2-4.4zm-33.1 14l-10.9 4.7-5.7 2.3 7 16.7 5.7-2.4 10.9-4.6zm184.8 7.2c-32 0-64 24-64 72l64 128 64-128c0-48-32-72-64-72zm-218 6.8l-.3.2h-.1l-11.2 4.8h-.1l-4.9 2.1 7.1 16.6 4.9-2.1 11.2-4.8h.1l.3-.2zM177.4 282l-.8.3v.2l-11 4.8v.1l-4.7 2.1 7.4 16.4 4.6-2.1.1-.2 10.8-4.6.1-.2.7-.3zm-33 15l-.2.1h-.1l-10.3 5h-.1L128 305l8.1 16.1 5.5-2.8 10.2-4.8.1-.2h.1zm284.2 4a32 32 0 0 1 32 32 32 32 0 0 1-32 32 32 32 0 0 1-32-32 32 32 0 0 1 32-32zm-316.8 12.3l-2.9 1.5v.2l-4.7 2.5v.1h-.1l-4.62 2.5v.1l-3.68 2.1 9 15.6 3.6-2.1h.1l4.4-2.5 4.5-2.5h.1l2.8-1.5zM80.09 332l-2.43 1.5-.1.1h-.1l-3.95 2.7h-.1l-.1.1-3.84 2.7h-.2l-3.71 2.8h-.1l-.1.1-.89.6L75.35 357l.83-.7h.1l3.52-2.6 3.98-2.6 3.78-2.5.1-.1 2.26-1.4zM50.2 354.6l-1.81 1.7-.1.1-.1.1-2.9 2.8-.1.1-.1.1-2.76 2.8-.1.2-.1.1-2.61 2.8-.1.1-.1.2-2.33 2.7 13.73 11.7 2.25-2.7 2.38-2.6 2.58-2.7 2.75-2.7 1.71-1.5zm223.9.9l-2.1.1h-.2l-2.1.1H269.4l-1.4.2 1.6 17.9 1.3-.2 1.9-.1 1.7-.1h1.8l1.8.1 1.8.1 1.7.2 1.7.2 1.9.3 3.1-17.7-2.2-.4h-.4l-2-.3H283.4l-2.1-.2h-.2l-2.1-.1H278.7l-2-.1h-2.5zm-25.4 4l-.1.1h-.2l-4.3 1.3-.2.1h-.1l-4.4 1.5-.1.1h-.2l-4.4 1.7-.1.1h-.1l-3.7 1.5 6.8 16.7 3.7-1.5 4.1-1.6 4-1.4 4.3-1.3-1.8-5.7-3-11.6zm59.6 5.5l-10.2 14.8 1.5 1.1 1.9 1.4 1.9 1.6 1.8 1.7 1.9 1.9 1.8 1.8.8 1 13.6-11.8-.9-1-.1-.2-.1-.1-2-2.2-.1-.1-.2-.1-2-2.1-.2-.1-.1-.1-2.1-2-.2-.1-.1-.2-2.2-1.8-.2-.2-.1-.1-2.3-1.7-.1-.2-.2-.1zm-94.5 9l-2.3 1.1-.1.2-4.5 2.5h-.1l-4.5 2.6h-.1v.1l-4.5 2.6 9.1 15.5 4.5-2.6 4.3-2.5h.1l4.2-2.3v-.2l2.3-1.1zM26.03 385l-.11.1-.1.2-1.44 3-.1.2-.1.3-1.26 3-.1.3-.1.2-1.07 3.2-.1.1-.1.4-.89 3.1-.1.3-.1.3-.69 3.1v.4l-.25 1.5 17.74 3.1.23-1.4.58-2.6.74-2.7.9-2.6 1.07-2.6 1.35-2.8-8.05-3.8zm156.07 7.8l-7.2 4.7-.1.1-7.8 5.2 10 15 7.8-5.2v-.1l7.1-4.7zm152.7 1.2l-15.1 9.8 1.4 2.2h.1l3.4 5.5 3.4 5.6.9 1.6 15.6-9-1-1.6v-.1l-3.5-5.9-.1-.1-3.5-5.7-.1-.1zm-182.7 19l-12.5 8.3-2.4 1.7 10 15 2.5-1.7v-.1h.1l12.4-8.4zm-114.8 9.5l-2.81.6-14.62 2.7v.4l.35 1.7v.2l.42 1.7V430.1l.46 1.7V432.1l.53 1.7v.2l.59 1.7V436l.64 1.7.1.1v.1l.7 1.8.1.1.1.1.75 1.7.1.2.1.1 1.46 3.1 16.22-7.8-1.38-2.9-.64-1.5-.63-1.5-.52-1.4-.53-1.6-.44-1.4-.39-1.4-.36-1.5-.3-1.4zm316.1 2.8l-15.6 9 .3.5v.1h.1l3.4 5.9.1.1 3.5 5.7v.1l.1.1 2.1 3.3 15.1-9.7-2-3.2-3.4-5.5v-.1l-3.4-5.7v-.1zm-231 7.5l-3.4 2.1h-.1l-3.9 2.4v.1h-.1l-3.9 2.3-3.7 2.1 8.9 15.7 3.8-2.2.1-.1h.1l4-2.4.1-.1 4.1-2.5h.1l3.4-2.2zm-71.27 16.3l-12.28 13.2.81.7.15.1.16.2 1.24 1.1.16.1.17.1 1.26 1 .17.1.18.2 1.29.9.18.1.18.1 1.31.8.19.2.2.1 1.33.7.2.1.19.1 1.36.7.2.1.21.1 1.38.6.2.1.21.1 1.4.5.21.1h.21l1.42.5.21.1h.21l1.44.4.21.1h.2l1.47.3 3.92-17.5-1.28-.3-1.02-.3-1.01-.3-1.01-.4-.98-.4-.95-.5-.93-.5-.96-.6-.93-.7-.9-.7-.95-.8zm41.01.3l-3.05 1.3-3.35 1.3-3.22 1.1-3.09.9-2.92.6 4.15 17.6 3.12-.8H84l.21-.1 3.51-1 .19-.1h.18l3.58-1.2.17-.1H92l3.64-1.4.15-.1.14-.1 3.15-1.3zm280.26 4.8l-13.9 11.3.4.5v.1l.1.1 2 2.3.1.1.1.1 2.1 2.3.1.1.1.1 2.1 2.1.1.1.1.1 2.2 2.1.1.1.2.1 2.2 1.9.1.1.2.2 1.9 1.5 11.1-14.2-1.8-1.4-1.9-1.6-1.9-1.8-1.8-1.8-1.8-2-1.9-2.2zm24.1 17.5l-4.5 17.5 2 .5h.3l.2.1 2.9.5.3.1h.3l2.9.4h.4l1.5.1H403.1l1.5.1h2.1l1.6-.1H408.6l1.6-.1h.2l1.6-.2H412.3l.9-.1-2.2-17.9-.8.1-1.3.2h-1.3l-1.2.1h-1.3l-1.2-.1h-1.1l-2.4-.3-2.3-.5z"}}]})(props);
};
function GiPathTile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M411.748 32.71v18h17.38v-18h-17.38zM318.422 43.39l-.236 17.998 37.9.496.236-17.998-37.9-.496zM90.426 56.057c-11.4 0-29.341 1.019-36.014 4.861-6.673 3.842-9.066 7.926-9.066 11.072 0 3.146 8.188 13.902 14.861 17.744 6.529 3.76 16.45 6.487 27.553 6.604 2.346-3.682 5.705-6.728 9.398-8.98 9.823-4.72 18.875-6.877 28.274-6.368.28-.816.416-1.598.416-2.328 0-3.146-2.394-7.23-9.067-11.072-6.673-3.842-14.955-11.533-26.355-11.533zm138.248 15.142l-.362 18 24.833.496.359-17.998-24.83-.498zM122.205 98.9c-6.469 0-12.202 1.71-15.676 3.828-3.473 2.118-4.119 3.87-4.119 4.73 0 .86.646 2.614 4.12 4.732 3.473 2.119 9.206 3.827 15.675 3.827 6.469 0 12.204-1.708 15.678-3.827 3.473-2.118 4.119-3.872 4.119-4.732 0-.86-.646-2.612-4.12-4.73-3.473-2.119-9.208-3.829-15.677-3.829zm152.31 20.728l-.665 17.988 13.408.496.666-17.99-13.408-.494zm145.854 19.115l-.36 17.998 24.833.496.36-17.996-24.833-.498zm-222.283 21.852l-.217 17.996 41.166.498.219-17.998-41.168-.496zm157.723 29.799l-.36 17.996 24.832.496.36-17.996-24.832-.496zm-284.098.75l-25.824.992.691 17.986 25.824-.992-.691-17.986zm71.543 7.195l-.36 17.996 24.83.496.362-17.996-24.832-.496zm278.414 40.72l-.229 18 38.989.497.23-17.998-38.99-.498zm-250.604.997l-.359 17.996 24.832.496.36-17.996-24.833-.496zm193.008 16.634v18h19.367v-18h-19.367zm-86.73 7.204l-.346 17.322-26.154-.219V265.63h-14.899v15.246l-11.888-.1-.149 18 59.682.496.142-17.248 18.084.362.36-17.996-24.832-.496zm-168.68 44.447l-.285 17.998 31.365.496.285-18-31.365-.494zm-2.006 51.896l-.21 17.998 42.255.496.211-17.998-42.256-.496zm331.95 3.973l-.237 17.998 37.9.498.237-18-37.9-.496zm-388.717 5.96l-.36 17.997 24.83.496.362-17.996-24.832-.496zm175.804 5.96l-.359 17.996 24.83.496.361-17.996-24.832-.496zm177.72 18.43c-9.345.074-26.338 6.446-35.243 8.128-12.398 2.482-31.904 11.792-31.258 28.196 2.831 13.349 32.7 22.318 45.01 21.869 25.967-5.83 57.524-34.77 25.795-57.516-1.106-.487-2.575-.691-4.305-.677zm-195.599 11.367l-.359 17.998 24.832.496.36-17.996-24.833-.498zm236.454 36.008l-.528 17.992 33.819.994.527-17.992-33.818-.994zm-409.555 18.38l-.799 17.983 22.348.992.799-17.982-22.348-.993z"}}]})(props);
};
function GiPauldrons (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M63.663 286.92a98.33 98.33 0 0 0 9.77 4.22c-12.28 14.08-26.31 27-36.45 27a10.07 10.07 0 0 1-4.11-.83c-12.34-5.44-11.64-33.63-8.24-59 4.29 4.33 8.3 7.85 11.16 10.23a146.19 146.19 0 0 0 27.87 18.38zm412.56-18.41a146.18 146.18 0 0 1-27.87 18.41 98.33 98.33 0 0 1-9.77 4.22c12.28 14.08 26.31 27 36.45 27a10.07 10.07 0 0 0 4.11-.83c12.34-5.44 11.64-33.63 8.24-59-4.28 4.3-8.29 7.82-11.16 10.2zM39.013 155.09c-11.92 33.89 56 102.76 90.88 111.14a70.65 70.65 0 0 0 15.37 1.45c13.49 0 29.49-2.7 34-10.09 16.72-27.66 3.12-108.64-23.37-127.16-7.4-5.18-20.11-7.54-34.51-7.54-33.24 0-75.44 12.56-82.37 32.2zm351.68-32.11c-14.4 0-27.1 2.35-34.53 7.48-26.59 18.38-41.83 100.62-23.37 127.16 5 7.16 21.21 10.57 34.6 10.57 5.84 0 11.15-.65 14.73-1.93 33.82-12 102.8-77.29 90.88-111.14-6.92-19.67-49.1-32.14-82.31-32.14zm-111 67.1l34.5-13a178.84 178.84 0 0 1 5.82-19.32l-63.17 23.79-65.36-24.28a182 182 0 0 1 5.65 19.17l36.88 13.7-32.47 12.24c.59 5.7.93 11.3 1 16.72l54.35-20.47 51.81 19.25c.14-6 .6-11.63 1.18-16.63zm-247.53 9c-1.2-2.21-2.29-4.38-3.29-6.53-7.41 8.19-13.12 16.61-12.45 22.63 2.67 24 50.41 64 77.5 64a21.54 21.54 0 0 0 6.45-.91 15.78 15.78 0 0 0 6.28-4.44c-12.87-7.03-24.64-16.63-31.81-23.02-17.83-15.89-33.42-34.75-42.67-51.75zm450.71-6.82c-5.74 11.85-14.58 24.41-26.31 37.35-15.94 17.59-35.15 33.47-52 43.42 2.35 2.65 4.73 4.55 7.06 5.29a21.54 21.54 0 0 0 6.45.91c27.09 0 74.84-40 77.5-64 .7-6.16-5.16-14.71-12.69-22.99zm-304.66 85.72c.4.9.8 1.81 1.2 2.74 8 18.89 10.85 66.07 7.41 107.29l15.94 1.33c3.83-45.94-.11-97.36-11.38-121.21a32.91 32.91 0 0 1-13.17 9.85zm143-9.27c-1.61 6.73-3.2 14.74-4.72 24.29a538 538 0 0 0-6.08 96.11l16-.53a522.15 522.15 0 0 1 5.75-92.17c1.06-6.78 2.16-12.71 3.26-17.89a36.42 36.42 0 0 1-14.26-9.85z"}}]})(props);
};
function GiPauseButton (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M120.16 45A20.162 20.162 0 0 0 100 65.16v381.68A20.162 20.162 0 0 0 120.16 467h65.68A20.162 20.162 0 0 0 206 446.84V65.16A20.162 20.162 0 0 0 185.84 45h-65.68zm206 0A20.162 20.162 0 0 0 306 65.16v381.68A20.162 20.162 0 0 0 326.16 467h65.68A20.162 20.162 0 0 0 412 446.84V65.16A20.162 20.162 0 0 0 391.84 45h-65.68z"}}]})(props);
};
function GiPawFront (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M241.094 26.625c-44.872 55.384-74.013 114.344-88.72 175-23.926-25.615-51.124-49.31-82.186-71.656-38.503 92.774-41.77 146.618-14.782 233.468 0 0 15.473-89.68 29.594-121.844 28.562 20.538 53.595 42.603 75.594 66.156 13.52-55.77 40.9-110.32 82.156-161.25 39.88 48.886 66.254 99.835 80.5 152.97 27.562-35.956 63.647-67.962 105.188-97.845C450.598 255.02 459.733 309.138 458 361.5c27.887-87.562 24.102-181.93-14.78-275.625-45.18 32.507-83.404 68.392-113.376 107.5-15.497-57.796-45.38-113.585-88.75-166.75zm2.125 163.688l-7.314 10.468c-59.163 84.862-58.717 188.233-.03 273.19l7.53 10.905 7.75-10.75c62.427-86.477 63.05-190.986-.156-273.656l-7.78-10.157zm.718 32.5c48.04 70.85 47.702 154.59-.188 228.843-44.7-72.84-44.905-156.184.188-228.844zm171.125 27.812l-9.688 7.094c-76.928 56.176-104.23 140.8-71.813 222.03l4.5 11.28 9.75-7.25c75.863-56.237 104.185-141.11 71.75-222l-4.5-11.155zm-8.625 29.97c21.208 65.843-.57 131.465-59.782 180.28-21.368-66.28-.27-131.54 59.78-180.28zm-310.032 1.03l-4.47 11.5c-26.705 68.612-3.334 140.714 59.126 188.406l9.875 7.533 4.5-11.594c26.69-68.88 4.15-140.792-59.187-188.44l-9.844-7.405zm8.813 30.53c46.374 39.877 62.857 92.506 47 146.19-45.747-39.944-62.724-92.844-47-146.19z"}}]})(props);
};
function GiPawHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M363.656 30.03c-41.495.564-83.634 22.155-110.844 69.282-41.912-117.77-236.492-76.29-232 64.5 4.682 146.597 214.483 232.04 237.063 316.313 20.666-77.113 240.752-175.82 236.344-316.313-2.65-84.358-65.832-134.66-130.564-133.78zm-154.03 58.657c15.38 22.305 27.868 49.554 4.093 51.438-23.2 1.84-14.18-28.684-4.095-51.438zm97.186 0c10.087 22.754 19.136 53.28-4.062 51.438-23.776-1.884-11.318-29.133 4.063-51.438zm79.282 56.938c3.65 24.62 4.21 56.43-17.656 48.47-22.412-8.164-3.117-31.078 17.656-48.47zm-264.031 5.594c22.394 15.26 43.843 36.17 22.343 46.5-20.976 10.074-23.553-21.644-22.344-46.5zm99.28.624c12.818.15 24.67 14.076 27.157 32.625 2.652 19.784-6.356 37.34-20.125 39.186-13.77 1.846-27.098-12.715-29.75-32.5-2.652-19.785 6.388-37.31 20.156-39.156.862-.115 1.71-.166 2.564-.156zm73.782 0c.854-.01 1.702.04 2.563.156 13.768 1.846 22.776 19.37 20.125 39.156-2.652 19.785-15.95 34.346-29.72 32.5-13.768-1.845-22.776-19.402-20.124-39.187 2.485-18.55 14.338-32.477 27.155-32.626zM161.5 206.72c12.172-.038 25.272 10.956 31.47 27.56 7.343 19.68 2.194 39.797-11.5 44.907-13.697 5.11-30.75-6.695-38.095-26.375-7.344-19.68-2.195-39.795 11.5-44.906 2.14-.798 4.37-1.18 6.625-1.187zm191.406.53c1.796-.05 3.577.158 5.344.625 14.132 3.737 21.246 23.224 15.875 43.53-5.37 20.31-21.18 33.74-35.313 30-14.132-3.736-21.245-23.223-15.875-43.53 4.7-17.77 17.402-30.28 29.97-30.625zm-94.75 28.344c18.32 0 33.624 19.908 37.563 46.594.605.163 1.204.323 1.81.5 34.163 9.926 57.242 36.7 51.533 59.812-5.71 23.11-38.027 33.802-72.188 23.875-6.65-1.933-12.884-4.504-18.563-7.563-5.673 3.055-11.888 5.633-18.53 7.563-34.162 9.927-66.478-.764-72.188-23.875-5.71-23.11 17.338-49.886 51.5-59.813.482-.14.956-.274 1.437-.406 3.917-26.732 19.285-46.686 37.626-46.686z"}}]})(props);
};
function GiPawPrint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.53 16.727l-7.553 10.367s-14.79 20.28-29.64 44.75c-7.424 12.236-14.9 25.517-20.622 38.108-5.722 12.588-9.965 24.188-9.965 35.076 0 37.323 30.458 67.783 67.78 67.783 37.327 0 67.784-30.46 67.784-67.782 0-10.888-4.242-22.488-9.964-35.076-5.723-12.59-13.162-25.872-20.586-38.108-14.85-24.47-29.676-44.75-29.676-44.75l-7.557-10.367zm0 32.778c4.848 6.853 10.65 14.592 21.245 32.05 7.185 11.838 14.33 24.617 19.565 36.133 5.235 11.518 8.285 22.092 8.285 27.34 0 14.03-5.816 26.627-15.172 35.553 1.712-4.232 2.662-8.853 2.662-13.698 0-20.197-36.57-70.364-36.57-70.364s-36.572 50.167-36.572 70.364c0 4.86.955 9.492 2.675 13.734-9.377-8.928-15.21-21.54-15.21-35.588 0-5.248 3.087-15.822 8.322-27.34 5.234-11.516 12.38-24.295 19.564-36.133 10.594-17.457 16.36-25.195 21.207-32.05zM60.66 79.365l-3.285 12.374s-6.49 24.27-11.496 52.45c-2.503 14.09-4.652 29.19-5.44 42.998-.786 13.807-.538 26.13 3.395 36.28 13.484 34.803 52.873 52.214 87.676 38.73 34.803-13.486 52.21-52.913 38.728-87.713-3.933-10.153-12.09-19.383-21.974-29.055-9.884-9.67-21.653-19.38-32.996-28.105C92.578 99.875 71.463 86.3 71.463 86.3l-10.805-6.936zm394.725 0L444.578 86.3s-21.114 13.574-43.8 31.025c-11.344 8.726-23.114 18.434-33 28.105-9.883 9.672-18.002 18.902-21.936 29.055-13.483 34.8 3.888 74.227 38.69 87.713 34.804 13.484 74.23-3.927 87.714-38.73 3.934-10.15 4.145-22.473 3.358-36.28-.787-13.807-2.935-28.907-5.438-42.998-5.006-28.18-11.498-52.45-11.498-52.45l-3.285-12.376zm-11.826 30.55c2.042 8.137 4.64 17.446 8.213 37.56 2.42 13.636 4.46 28.142 5.18 40.772.72 12.63-.255 23.576-2.15 28.47-5.067 13.076-15.038 22.716-26.98 27.66 3.116-3.325 5.666-7.28 7.412-11.788 7.298-18.834-8.68-78.824-8.68-78.824s-52.227 33.564-59.523 52.395c-1.75 4.516-2.533 9.164-2.467 13.725-5.504-11.706-6.38-25.56-1.31-38.648 1.897-4.893 8.553-13.598 17.595-22.445 9.042-8.85 20.34-18.203 31.316-26.647 16.206-12.465 24.41-17.6 31.393-22.23zm-371.035.037c6.997 4.64 15.17 9.745 31.355 22.193 10.977 8.444 22.276 17.798 31.318 26.647 9.042 8.847 15.696 17.552 17.592 22.445 5.068 13.082 4.197 26.932-1.3 38.635.063-4.557-.722-9.2-2.47-13.71-7.295-18.832-59.523-52.396-59.523-52.396s-15.975 59.99-8.678 78.823c1.748 4.508 4.298 8.466 7.415 11.79-11.945-4.942-21.92-14.583-26.988-27.663-1.896-4.894-2.872-15.84-2.152-28.47.72-12.63 2.797-27.137 5.22-40.772 3.568-20.096 6.167-29.375 8.212-37.523zm184.294 122.39c-43.658 0-79.31 28.473-87.347 66.686-22.89 8.593-43.324 19.73-57.71 34.275-15.516 15.688-25.112 34.84-25.112 55.518 0 30.856 20.97 57.578 52.124 75.997 31.154 18.418 73.17 29.38 119.322 29.38s87.99-10.95 118.994-29.38c31.004-18.43 51.832-45.18 51.832-75.996 0-20.867-9.736-40.188-25.48-55.99-14.613-14.672-35.395-25.875-58.692-34.423-8.38-37.994-44.513-66.066-87.932-66.066zm0 18.686c37.094 0 66.64 24.44 71.178 54.936l.838 5.656 5.44 1.832c23.44 7.892 42.783 19.37 55.92 32.557 13.136 13.187 20.04 27.7 20.04 42.817 0 14.93-6.83 29.376-19.52 42.178 3.65-7.606 5.618-15.66 5.618-24.004 0-25.25-31.607-64.705-89.514-79.745.172-1.57.26-3.162.26-4.774 0-25.574-22.076-46.31-49.308-46.31-27.233 0-49.31 20.736-49.31 46.31 0 1.543.085 3.065.24 4.568-58.223 14.926-89.483 54.81-89.483 79.953h-.002c0 8.25 1.937 16.215 5.533 23.743-12.622-12.743-19.41-27.096-19.41-41.916 0-14.955 6.777-29.303 19.71-42.38C137.982 333.37 157.032 321.95 180.09 314l5.402-1.868.805-5.694c4.324-30.847 33.236-55.41 70.52-55.41z"}}]})(props);
};
function GiPaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M163.188 21.97c-7.297 26.986-10.203 53.018-7.938 78.436-14.85 7.285-25.906 20.114-25.813 37.438.283 52.65 14.304 78.17 27.75 103.28 13.548 25.303-13.83 40.578-25.812 11.626-9.234-22.314-15.026-41.954-32.938-67.78-9.084-13.102-22.705-17.43-36.124-15.75-11.94-18.19-21.904-36.186-30.188-56.282-7.62 29.437-8.15 53.222-.875 72.156-10.35 10.828-15.61 25.955-9.625 41.844 12.662 33.607 39.78 62.612 56.156 76.812 31.5 27.312 48.92 57.614 59.69 93.78L122.187 444l23.124-12.375-15.687 47.063 17.406-10.438c-1.464 10.67-4.858 19.785-9.843 29.156h220.094c-6.797-11.38-13.59-21.46-17.405-32.344l18.594 13.625-12.783-58.218 15.282 16.936.592-48.156c17.473-24.295 40.45-46.337 58.97-61.625 4.012-3.313 8.287-6.348 12.28-9.688 16.656-13.928 34.265-34.822 50.344-65.187 7.97-15.047 4.18-29.898-5.437-41.28 6.854-20.713 10.25-40.728 10.186-61.376l-39.03 43.03c-16.944-4.927-35.66-2.328-47.688 12.5-15.665 19.312-20.914 36.51-32.938 52.282-14.377 18.857-30.835 6.79-21.938-9.687 14.045-26.01 29.088-57.898 31.625-109.095 1.034-20.86-12.418-35.303-30.406-42.5 1.58-23.15-7.402-49.838-16.217-74.313-5.48 21.334-13.383 46.38-21.407 69.72-19.64 2.562-37.13 12.946-42.344 32.906-11.923 45.646-6.575 79.856-5.812 103.28.998 30.646-32.694 23.28-30.97 0 2.43-32.78 9.427-56.95-.655-103.937-3.872-18.04-18.63-27.624-35.688-30.093-6.52-25.415-18.27-48.343-31.25-72.218zm157.25 92.468c23.62.08 46.055 24.707 29.656 68.624-20.786 55.666-73.04 38.98-69.156-21.78 2.052-32.11 21.128-46.908 39.5-46.845zm-142.72 3.75c17.888-.42 38.083 16.814 40.188 49.156 3.6 55.282-52.667 63.817-64.78 15.28-10.868-43.537 5.55-63.99 24.593-64.436zM65.25 191.344c9.805-.166 20.597 5.605 27.594 18.28 30.027 54.392-16.39 80.447-39.625 41-21.794-36.994-6.688-58.965 12.03-59.28zm370.625 22.406c21.77-.634 42.792 24.326 19.844 51.125-35.94 41.97-80.713 30.29-44.564-34.844 6.206-11.18 15.527-16.012 24.72-16.28zM253.47 266.438c97.645 0 155.217 95.69 61.468 113.093-28.966 5.38-41.64-10.665-61.875-10.75-17.822 0-38.463 16.566-59.844 12.845-98.955-17.233-51.51-115.188 60.25-115.188z","fillRule":"evenodd"}}]})(props);
};
function GiPawn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.875 19.47c-33.142 0-59.844 26.822-59.844 60.186 0 33.364 26.703 60.156 59.845 60.156 33.142 0 59.875-26.792 59.875-60.156S289.017 19.47 255.875 19.47zm-50.688 120.343c-2.908 1.23-5.658 2.53-8.187 3.937-14.467 8.046-21.47 17.86-21.47 27.094 0 9.234 7.003 19.08 21.47 27.125 14.467 8.044 35.51 13.436 58.875 13.436 23.365 0 44.408-5.392 58.875-13.437 14.467-8.047 21.47-17.892 21.47-27.126 0-9.234-7.003-19.048-21.47-27.094-2.53-1.406-5.28-2.708-8.188-3.938-13.696 11.647-31.392 18.688-50.687 18.688-19.3 0-36.996-7.034-50.688-18.688zm78.875 87.906c-8.948 1.54-18.394 2.374-28.187 2.374-9.315 0-18.316-.758-26.875-2.156 2.69 6.923 4.36 14.186 4.906 21.656 2.456 33.554-17.04 69.573-58.47 93.594l-.155.093-.155.095c-20.062 10.653-30.28 24.056-30.28 36.97 0 12.9 10.28 26.46 30.343 37.217 20.062 10.76 48.86 17.844 80.75 17.844s60.687-7.085 80.75-17.844c20.062-10.758 30.343-24.318 30.343-37.218 0-13.127-10.773-26.656-31.655-37.406l-.22-.125-.186-.094c-40.344-23.394-58.705-59.676-55.908-93.22.626-7.497 2.31-14.813 5-21.78zM128.845 395.655c-5.592 3.72-10.256 7.61-13.875 11.53-6.9 7.48-9.94 14.64-9.94 21.845 0 7.206 3.04 14.397 9.94 21.876 6.898 7.48 17.6 14.852 31.28 21.125 27.36 12.547 66.42 20.69 109.625 20.69 43.206 0 82.295-8.143 109.656-20.69 13.682-6.27 24.352-13.644 31.25-21.124 6.9-7.48 9.97-14.67 9.97-21.875 0-7.204-3.07-14.363-9.97-21.842-3.597-3.902-8.238-7.767-13.78-11.47-5.638 15.6-19.584 28.706-37.5 38.313-23.533 12.62-54.947 20.095-89.563 20.095-34.615 0-66.06-7.474-89.593-20.094-17.94-9.62-31.887-22.747-37.5-38.374z"}}]})(props);
};
function GiPayMoney (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M298.9 24.31c-14.9.3-25.6 3.2-32.7 8.4l-97.3 52.1-54.1 73.59c-11.4 17.6-3.3 51.6 32.3 29.8l39-51.4c49.5-42.69 150.5-23.1 102.6 62.6-23.5 49.6-12.5 73.8 17.8 84l13.8-46.4c23.9-53.8 68.5-63.5 66.7-106.9l107.2 7.7-1-112.09-194.3-1.4zM244.8 127.7c-17.4-.3-34.5 6.9-46.9 17.3l-39.1 51.4c10.7 8.5 21.5 3.9 32.2-6.4 12.6 6.4 22.4-3.5 30.4-23.3 3.3-13.5 8.2-23 23.4-39zm-79.6 96c-.4 0-.9 0-1.3.1-3.3.7-7.2 4.2-9.8 12.2-2.7 8-3.3 19.4-.9 31.6 2.4 12.1 7.4 22.4 13 28.8 5.4 6.3 10.4 8.1 13.7 7.4 3.4-.6 7.2-4.2 9.8-12.1 2.7-8 3.4-19.5 1-31.6-2.5-12.2-7.5-22.5-13-28.8-4.8-5.6-9.2-7.6-12.5-7.6zm82.6 106.8c-7.9.1-17.8 2.6-27.5 7.3-11.1 5.5-19.8 13.1-24.5 20.1-4.7 6.9-5.1 12.1-3.6 15.2 1.5 3 5.9 5.9 14.3 6.3 8.4.5 19.7-1.8 30.8-7.3 11.1-5.5 19.8-13 24.5-20 4.7-6.9 5.1-12.2 3.6-15.2-1.5-3.1-5.9-5.9-14.3-6.3-1.1-.1-2.1-.1-3.3-.1zm-97.6 95.6c-4.7.1-9 .8-12.8 1.9-8.5 2.5-13.4 7-15 12.3-1.7 5.4 0 11.8 5.7 18.7 5.8 6.8 15.5 13.3 27.5 16.9 11.9 3.6 23.5 3.5 32.1.9 8.6-2.5 13.5-7 15.1-12.3 1.6-5.4 0-11.8-5.8-18.7-5.7-6.8-15.4-13.3-27.4-16.9-6.8-2-13.4-2.9-19.4-2.8z"}}]})(props);
};
function GiPc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M29.65 117.89v276.22h124.62V117.89H29.65zm90.55 253.16a11 11 0 1 1 11-11 11 11 0 0 1-11 11zm18-189.16H45.56v-16h92.63v16zm0-32H45.56v-16h92.63v16zm153 188.51h73.1v39.71h41.74v16H249.48v-16h41.74V338.4zm-118-220.51V322.4h309.15V117.89H173.19zM466.35 306.4H189.19V133.89h277.16V306.4z"}}]})(props);
};
function GiPeaceDove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M372 22.41c-6.4 33.89 6.8 54.39 32.6 66.3 4.6 8.17 8.4 16.29 11.4 24.39-15.3-17.02-33.3-25.31-58-13.12 14.1 27.62 35.6 32.42 61.5 23.42 6.2 21 7.7 41.6 6.3 62.4 0 .2 0 .4-.1.6 1 .6 2 1.1 2.9 1.7 4.9 2.9 9.7 5.9 14.3 8.9.4-3.3.7-6.7.9-10 1.2-17.6.4-35.4-3.3-53.5 26.8 5.1 43-8.6 52.8-33.62-24.2-2.6-44.9 1.22-55.3 22.92-2.6-9.4-6-18.9-10.3-28.46 23.7-15.85 37.7-36.07 26-67.62-22.5 8.53-33.5 22.13-36.3 39.47C412.8 44.33 400.3 28 372 22.41zM190.7 62.63C183.4 82.89 176.4 110 172 136.8c-3.2 19.9-5.3 39.7-5.7 56.9 30.4 25.9 63.3 44.6 99.8 46.3-33.2-52.5-63-120-75.4-177.37zM56.82 102.2c3.08 75.4 32.03 178.7 110.68 233.2l5.5 3.8-2 6.3c-3.2 10.1-7.8 19-15 25.8-7.3 6.8-16.9 11.2-28.7 13.3-22.5 4-54.14.8-101.89-7.7-9.6 24.1-8.29 50.6.43 72.1 8.72 21.3 24.29 36.6 42.1 40.6 24.85-31.8 62.26-70.4 113.56-68.1 52 2.3 111.5-12.1 146.9-47.6 12.5-12.4 23.2-42.3 29.4-68.6 6.2-26.3 8.7-49 8.7-49l.6-6.1 6-1.6c21.6-5.6 47.6-10.7 76.7-25.4-8.6-5.8-18.7-12.6-30.4-19.6-17.9-10.6-37.6-19.8-47.3-20.9-16.6-1.7-26 1.3-32.5 6.1-6.4 4.8-10.6 12.2-14.3 21.1-3.6 8.9-6.4 19-11.4 28.1-5.1 9.2-14 17.8-26.8 19.2-56 6.5-103.8-22.9-143.9-60.1-33-30.6-61.58-66.8-86.38-94.9zm376.08 148c-7.1 2.6-13.9 4.9-20.4 6.8-1.8 6.9-3.7 13.8-5.6 20.7l17.4 4.8c3-10.7 5.9-21.5 8.6-32.3z"}}]})(props);
};
function GiPeach (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M233.4 25.55c-2.2 0-4.6.29-6.7.93-4.4 1.26-7.7 3.67-9.2 6.41-1.6 2.74-2.4 6.36.7 13.43v.12l23.9 60.66c5-1.3 10-2.3 15.2-3l-14.1-74.36v-.2c-.2-1.33-.8-2.13-3.9-3.17-1.6-.53-3.7-.82-5.9-.82zm-34.7 93.25c-30.1-.1-62.8 15.8-88.9 39.8-26.88 24.9-46.31 58.2-49.77 88.4-5.47 48 3.42 109.8 30.06 157.9 26.61 48.1 69.51 82.5 135.61 80.3 38.5-1.4 74.7-29 100.7-67.2s41.1-86.6 38.7-125c-2.4-38.5-23.2-81.9-53.8-115.5-30.6-33.6-70.5-57.1-109.6-58.6h-.1c-1 0-1.9-.1-2.9-.1zm74.6 2.2c-1.2 0-2.3.1-3.5.1 20.1 11.3 38.7 26.6 54.8 44.3 33 36.2 55.8 82.4 58.5 126.4 2.8 44-13.7 95-41.8 136.3-16.2 23.9-36.6 44.7-59.8 58.3 5.4.2 10.8.1 16.3-.5 53.2-5.4 92.3-27.6 118.3-60.9 25.9-33.3 38.8-78.1 37.3-129.3-1.6-53.3-32-102.5-73.4-135-31-24.4-67.9-39-102.4-39.7z"}}]})(props);
};
function GiPeaks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M245.795 19.12l-52.363 153.513 26.67 61.937 38.884-52.37 53.217 67.493 11.682-40.486-78.09-190.086zM101.172 193.69l-29.06 80.222 24.54-12.715 24.803 14.33 11.64-48.013-31.923-33.825zm83.267 5.308l-20.776 60.904-15.27-16.177-14.662 60.48-37.568-21.707-33.44 17.324L19.04 420.42l84.884 30.937 73.418-22.437 73.935 19.47 71.66-21.536 91.973 25.226 77.28-31.66-48.44-89.006-39.045 26.664-38.892-27.576-27.153 42.79-15.78-10.013 39.032-61.51-26.6-64.752-15.246 52.83-60.634-76.9-43.664 58.81-31.33-72.76zm223.06 65.81L375.84 314.7l29.066 20.61 29.865-20.394-27.27-50.11z"}}]})(props);
};
function GiPeanut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M397.055 27.89c-4.202-.02-8.48.12-12.818.413-7.642.515-15.42 1.533-23.195 2.927 11.636 5.802 22.382 12.255 32.28 19.31a756.42 756.42 0 0 1 32.343-19.6c-8.933-2.028-18.55-3-28.61-3.05zm-64.793 10.243c-17.342 5.205-33.775 11.99-47.636 19.408-6.854 3.668-12.778 8.478-18.053 14.18 5.96 21.723 12.947 42.6 21.549 62.299 27.024-26.766 56.88-50.991 89.22-72.952-13.327-8.725-28.306-16.388-45.08-22.935zm115.698.955a758.598 758.598 0 0 0-39.588 23.19c17.336 14.792 31.593 31.742 43.057 50.536 9.529-11.524 18.978-23.226 28.49-35.056-2.843-8.465-6.826-16.08-12.057-22.467-5.507-6.724-12.23-12.075-19.902-16.203zm-55.098 33.207c-35.44 23.564-67.759 49.777-96.596 78.996 12.984 25.654 29.184 49.021 49.998 69.326 34.927-28.111 64.704-59.874 93.21-93.512-11.754-20.872-27.082-39.216-46.612-54.81zM253.126 90.08c-5.255 8.763-9.94 18.496-14.551 28.768-6.98 15.547-13.697 32.121-22.533 47.457l.328.07c-3.855 18.211-.202 31.879 6.603 45.13 15.684-22.647 32.972-43.871 51.747-63.765-8.528-18.444-15.59-37.769-21.594-57.66zm231.568 10.426c-7.926 9.816-15.881 19.57-23.937 29.228 6.284 12.657 11.462 26.027 15.607 40.032a196.273 196.273 0 0 0 4.037-14.38c4.468-18.665 6.079-37.652 4.293-54.88zm-36.47 44.06c-26.879 31.317-55.377 61.275-88.493 88.217 11.584 9.672 24.448 18.504 38.742 26.416 10.825-4.002 21.179-8.816 30.672-15.435 12.93-9.016 25.661-25.644 35.71-45.744-3.844-19.113-9.303-36.96-16.632-53.454zM283.246 164.95c-19.559 21.24-37.38 43.983-53.313 68.377l-1.588 2.43-2.707 1.045c-21.884 8.446-41.463 19.15-59.363 31.549 12.701 11.166 26.033 23.81 38.916 36.752a898.106 898.106 0 0 1 28.069 29.484c13.514-22.649 23.609-42.929 27.914-56.43l1.142-3.584 3.356-1.705c24.289-12.342 46.17-26.179 66.322-41.199-19.906-19.889-35.811-42.394-48.748-66.719zm-85.451 26.608a105.962 105.962 0 0 1-4.72 4.771c-19.007 17.984-42.793 30.61-65.497 41.82 5.124 3.26 10.613 7.21 16.457 11.73a385.202 385.202 0 0 1 8.1 6.466c17.336-12.372 36.255-23.295 57.248-32.264-5.304-9.736-9.769-20.443-11.588-32.523zm147.537 52.515c-18.626 14.072-38.719 27.2-60.756 39.121 7.108 4.023 16.176 6.553 26.107 10.354 16.559-12.208 35.764-18.305 54.584-23.873 3.49-1.032 6.963-2.054 10.424-3.082-10.947-6.956-21.053-14.474-30.36-22.52zm-237.461 3.764c-10.859 5.398-21.027 10.733-29.701 16.502-16.73 11.126-29.445 27.514-38.073 46.496 2.303 6.03 8.387 18.297 17.168 31.74.973 1.489 2.012 3.028 3.043 4.563 23.041-28.694 47.785-56.194 77.045-79.608a339.292 339.292 0 0 0-4.33-3.414c-8.767-6.781-16.585-12.026-22.289-14.947a42.945 42.945 0 0 0-2.863-1.332zm43.55 31.47c-30.433 23.855-56.028 52.661-80.331 83.235 8.343 11.462 17.786 23.533 27.693 35.264 15.915 18.843 33.068 36.833 48.613 50.037.111.094.221.181.332.275 16.169-16.717 32.877-36.758 48.182-57.486a710.167 710.167 0 0 0 27.502-40.078c-9.473-10.578-20.037-21.768-30.975-32.754-13.656-13.717-27.842-27.065-41.015-38.492zm121.602 18.157c-6.282 14.907-15.7 32.574-27.18 51.355 4.785 5.57 9.239 10.936 13.159 15.93 2.968 3.781 5.634 7.335 8.006 10.69 6.034-23.643 12.319-48.771 28.668-68.006-7.347-2.412-15.333-5.148-22.653-9.97zM31.548 335.352a162.107 162.107 0 0 0-4.412 26.566 164.12 164.12 0 0 0 .113 28.02c7.065-9.345 14.154-18.69 21.377-27.987a460.846 460.846 0 0 1-6.428-9.535c-4.04-6.185-7.612-11.82-10.65-17.064zm204.226 29.41a761.283 761.283 0 0 1-25.385 36.56c-15.268 20.678-31.568 40.725-47.933 57.897 9.379 6.213 17.318 9.77 21.781 10.084l-.094 1.34c17.761-6.81 34.406-15.544 47.893-24.89 14.435-10 22.256-26.564 28.344-46.171a27.87 27.87 0 0 0-1.664-3.686c-2.517-4.694-7.417-11.812-13.871-20.035-2.74-3.49-5.815-7.232-9.07-11.1zM59.575 377.248c-9.43 12.213-18.767 24.626-28.187 37.037 5.026 19.664 13.901 37.128 26.189 49.559 12.098 12.239 28.747 18.57 47.72 20.267 8.992-5.412 19.042-13.442 29.577-23.302-16.442-14.088-33.747-32.337-49.84-51.391a649.378 649.378 0 0 1-25.459-32.17zm89.734 95.104c-3.995 3.783-7.979 7.366-11.937 10.699.88-.123 1.76-.248 2.642-.385 6.262-.969 12.583-2.293 18.883-3.916-3.162-1.882-6.354-4.038-9.588-6.398z"}}]})(props);
};
function GiPear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M266.95 18.338c-3.947.023-10.478 1.91-20.565 8.836-7.298 40.94-.857 56.588 5.886 70.13 1.237.033 2.48.057 3.732.057 1.668 0 3.32-.038 4.957-.098-.676-9.13-3.08-16.483-2.7-27.447.404-11.67 4.89-25.824 17.053-47.036-1.846-2.035-3.736-3.653-6.034-4.2-.648-.154-1.42-.247-2.33-.242zm9.292 54.004c.127 6.694 2.01 13.31 2.666 22.947 6.93-1.344 12.858-3.294 17.082-5.714-.22 8.77-18.057 20.754-39.99 20.758-21.933-.003-39.768-11.985-39.99-20.756 3.93 2.252 9.348 4.09 15.664 5.416-2.054-5.518-3.862-11.984-5.004-19.734-31.958 12.787-54.188 51.445-66.67 138.82-144 160 0 280.84 96 279.572 96 .682 240-119.572 96-279.572-13.634-95.436-38.89-132.78-75.758-141.738zm-66.846 51.83c-9.33 19.17-8.802 83.413 2.82 89.557-21.74 23.22-92.49 128.855-52.216 224.35-32-32-68.22-128 27.78-224-2.346-36.07 11.173-83.697 21.616-89.908z"}}]})(props);
};
function GiPearlEarring (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M293.5 28.29h-5c-34.3.53-69.7 10.73-97.5 27.01-40.3 23.61-68.1 72.3-75 118.5-9 60.5 36.6 117 48.7 176.9 4.5 25.4 17.9 49.6 35.1 62.9 5.6-25.6 28.5-44.9 55.7-44.9 9.2 0 17.9 2.2 25.7 6.1 37.1-65.5 127.1-134.4 131.7-219 2.2-40.1-15.9-88.7-50.2-109.49-20.1-12.17-44.3-17.71-69.2-18.02zm-4.6 47.59c30.9.1 61.8 12.17 84.7 42.12l-14.2 11c-26.4-34.43-61.7-40.41-97-31.93-35.3 8.43-69.5 32.73-87.4 57.93-7.8 11.1-10.3 28.2-8.4 48.2 1.9 20 8.1 42.5 15.6 63.4 2.2 6.3 4.6 12.4 7 18.3 11.6-8.7 25.2-15.1 41.1-15.1 18.7 0 39.4 8.7 63.4 28.9l-11.6 13.8c-22.1-18.5-38.7-24.7-51.8-24.7-12.6 0-23 5.4-33.9 14.3 10.9 24.5 20.4 41.6 20.4 41.6l-15.6 8.8s-20.5-36.3-36-79.9c-7.7-21.7-14.3-45.4-16.5-67.7-2.1-22.3 0-43.8 11.7-60.3 20.8-29.4 57.6-55.39 97.8-65.03 10-2.41 20.3-3.69 30.7-3.69zM354 337.7c-6.3 31.3-25.2 43.8-56.5 37.5 31.3 6.3 43.8 25.2 37.5 56.5 6.3-31.3 25.2-43.8 56.5-37.5-31.3-6.3-43.8-25.2-37.5-56.5zm-98.5 49c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm-111.3 28.4c11 22.9 5.1 39.8-17.8 50.8 22.9-11 39.8-5.1 50.8 17.8-11-22.9-5.1-39.8 17.8-50.8-22.9 11-39.8 5.1-50.8-17.8z"}}]})(props);
};
function GiPearlNecklace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M70.184 23.738C55.614 23.738 44 35.35 44 49.91s11.614 26.174 26.184 26.174c14.569 0 26.183-11.614 26.183-26.174 0-14.56-11.614-26.172-26.183-26.172zm371.632 0c-14.569 0-26.183 11.612-26.183 26.172s11.614 26.174 26.183 26.174C456.386 76.084 468 64.47 468 49.91c0-14.56-11.614-26.172-26.184-26.172zM70.184 94.084C55.614 94.084 44 105.696 44 120.256s11.614 26.172 26.184 26.172c14.569 0 26.183-11.612 26.183-26.172S84.753 94.084 70.184 94.084zm371.632 0c-14.569 0-26.183 11.612-26.183 26.172s11.614 26.172 26.183 26.172c14.57 0 26.184-11.612 26.184-26.172s-11.614-26.172-26.184-26.172zm-354.04 70.344c-14.57 0-26.184 11.614-26.184 26.174 0 14.56 11.614 26.171 26.183 26.171 14.57 0 26.186-11.612 26.186-26.171 0-14.56-11.616-26.174-26.186-26.174zm336.449 0c-14.57 0-26.186 11.614-26.186 26.174 0 14.56 11.616 26.171 26.186 26.171 14.569 0 26.183-11.612 26.183-26.171 0-14.56-11.614-26.174-26.183-26.174zM122.96 234.773c-14.57 0-26.186 11.613-26.186 26.172 0 14.56 11.617 26.174 26.186 26.174 14.57 0 26.184-11.614 26.184-26.174 0-14.56-11.615-26.172-26.184-26.172zm266.078 0c-14.57 0-26.184 11.613-26.184 26.172 0 14.56 11.615 26.174 26.184 26.174 14.57 0 26.186-11.614 26.186-26.174 0-14.56-11.617-26.172-26.186-26.172zm-203.406 42.868c-14.57 0-26.186 11.612-26.186 26.171 0 14.56 11.617 26.172 26.186 26.172 14.57 0 26.183-11.612 26.183-26.171 0-14.56-11.614-26.172-26.183-26.172zm140.734 0c-14.57 0-26.183 11.612-26.183 26.171 0 14.56 11.614 26.172 26.183 26.172 14.57 0 26.186-11.612 26.186-26.171 0-14.56-11.617-26.172-26.186-26.172zM256 295.227c-14.57 0-26.184 11.612-26.184 26.171 0 14.56 11.615 26.174 26.184 26.174 14.57 0 26.184-11.614 26.184-26.174 0-14.56-11.615-26.171-26.184-26.171zm0 70.345c-34 0-61.367 27.359-61.367 61.344s27.366 61.346 61.367 61.346c34 0 61.37-27.361 61.37-61.346S290 365.572 256 365.572z"}}]})(props);
};
function GiPeas (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M402.1 29.21c-5 0-9.5.31-13.3.87-19 2.84-29.5 10.17-38.9 19.66-5.5 5.57-10.5 12.05-16.2 18.59 19.9 2.13 35.5 2.41 58.9-5.1l12.1-3.85-.3 12.61c-.1 2.9-.3 8.5 0 13.43.1 1.86.3 3.12.6 4.26 22.3 5.31 49.3 3.09 71.1-9.14 2.1-10.57.5-18.32-3.5-24.75-4.4-7.15-12.1-13.04-21.9-17.4-14.7-6.53-33.7-9.18-48.6-9.18zm-15.7 54.48c-11.4 2.74-21.6 3.77-31.5 3.83-11.3 17.88-22.8 35.28-34.9 52.28 7.1-4.7 15.7-7.5 24.8-7.5 10.3 0 19.8 3.5 27.4 9.4 6.5-13.4 12.4-27 17.6-41-.9-1.52-1.4-3.12-1.8-4.39-1-3.3-1.4-6.52-1.6-9.74-.1-1.01 0-1.88 0-2.88zm19.5 24.71c-41.8 111.1-123.6 200.9-249.1 293.4l-.2.2-.3.2c-35.8 22.7-52.1 38.4-59.51 50.9-5.96 9.9-7.02 18.4-7.81 29.3 23.02 1.8 53.62-2.5 82.92-11 32.8-9.6 64.4-24.3 82.9-39.4 112.9-95.8 154.9-197.1 194.9-323.2-14.8 2.6-29.8 2.3-43.8-.4zm-61.1 41.9c-15 0-26.9 11.9-26.9 26.9 0 12 7.6 22 18.4 25.6 10.1-14.6 19.2-29.5 27.5-44.8-4.9-4.8-11.6-7.7-19-7.7zm-43.1 14.4c-10.7 14-22 27.8-33.9 41.3 7.1-4.4 15.4-6.9 24.2-6.9 5.3 0 10.5.9 15.2 2.6-4.6-7.1-7.3-15.5-7.3-24.5 0-4.3.6-8.5 1.8-12.5zm-9.7 52.4c-15.8 0-28.4 12.6-28.4 28.4 0 11.6 6.8 21.5 16.7 25.9 12.8-13.6 24.7-27.3 35.7-41.2-5-7.9-13.9-13.1-24-13.1zm-41.5 7.7c-13.7 14.4-28.4 28.5-44.3 42.4 6.3-2.9 13.3-4.6 20.7-4.6 9.4 0 18.2 2.7 25.7 7.3-4.4-7.1-7-15.5-7-24.4 0-7.4 1.8-14.4 4.9-20.7zm-23.6 55.8c-17.2 0-31 13.8-31 31 0 10.8 5.5 20.3 13.8 25.8 15.9-13.3 30.8-26.6 44.8-40-5.2-10-15.5-16.8-27.6-16.8zm-40.2 3.1c-15.7 12.7-32.5 25.3-50.6 37.7 6.1-2.8 12.8-4.3 19.9-4.3 8.4 0 16.3 2.1 23.3 5.9-.9-3.7-1.4-7.5-1.4-11.4 0-10.4 3.2-20 8.8-27.9zm-64.3 46.8c-9.2 6-18.7 12-28.6 18l-.1.1h-.1c-11.79 6.7-21.86 18-30.18 31.3 7.47-6.2 17.03-9.9 27.42-9.9 5.92 0 11.56 1.2 16.66 3.4-.3-2.4-.5-4.8-.5-7.3 0-14 5.9-26.6 15.4-35.6zm33.6 4.6c-17.2 0-31 13.8-31 31 0 10.9 5.5 20.4 13.9 25.9 2.4-1.5 4.8-3.1 7.3-4.7 13.7-10.1 26.9-20.2 39.5-30.2-3.9-12.8-15.6-22-29.7-22zm-65.16 53c-14 0-25.15 11.1-25.15 25.1 0 12.1 8.38 22.1 19.72 24.5 6.61-9 16.19-18.5 30.19-29.2-2.2-11.7-12.4-20.4-24.76-20.4zm-43.13 24.1c-6.21 16.3-10.26 32.4-12.76 44.8 11.69 1.7 25.59 1.4 40.43-.4.32-.9.66-1.8 1.02-2.7-16.69-6-28.71-22.1-28.71-40.7v-1z"}}]})(props);
};
function GiPegasus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M329.2 317.16c-3 82.09-78.09 146-78.09 146L192 439.73c-27.57-11-37.86-28.56-50.31-55.49l-.06-.12 94.49 27.2-57.73-27.64c-41.53-19.88-58.87-47.12-76.76-89.55l134.47 52-126.2-76.23c-28.67-17.32-37.15-36.68-51.25-67.06l161.16 68.74-79-51.51C55.6 166.5 47.95 135.26 18.88 72.57l181 113.86c51.5 32.38 131.55 69.93 129.32 130.73zM493.12 216.5c0 6.87-17.51 20.85-20.35 20.62-3.7-.31-46.27-27.85-61.93-35.68-15-7.49-59.39 1.27-64.19-42.81-11 28 10.77 90.21 27.84 120.18 35.42 62.17-25.71 146.59-101.8 186A304.54 304.54 0 0 0 302 430.4a252.08 252.08 0 0 0 28.5-49.52c9-21.2 14-42.44 14.73-63.13a85.52 85.52 0 0 0-10.78-44.35c-6.49-12-15.74-23.4-28.28-34.93-21.84-20.09-50-36.91-74.92-51.74l-1.16-.69c-5.83-11-8.63-21.26-4.81-29.76 26.71-59.41 100.93-93.52 166.18-86.86 21.2-25.48 41.89-22.08 41.89-22.08l-11.9 25.33s20-11.19 23.11-7.29l-16.48 30.7L442 114.61s51.12 95.57 51.12 101.89zm-73.8-99.92a9.47 9.47 0 1 0-9.47 9.47 9.47 9.47 0 0 0 9.48-9.48z"}}]})(props);
};
function GiPelvisBone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M238 30v19h-20v18h20v20h-20v18h20v21h36v-21h20V87h-20V67h20V49h-20V30h-36zM93.307 79.396c-10.17-.015-21.323.91-30.235 2.584-24.88 3.689-37.484 27.382-39.467 48-2.71 28.187 16.457 65.576 40.461 74.696 8.794 18.394 20.548 29.256 20.577 59.603-12.862 8.189 9.434 53.38 23.886 72.791 3.429-2.41 7.356-4.378 11.676-5.873 6.61-1.93 12.516-2.99 18.492-3.033 35.425.921 81.327 17.062 117.303 27.992 42.217-13.164 74.84-24.29 117.303-27.992 5.976.043 11.881 1.104 18.492 3.033 4.32 1.495 8.247 3.463 11.676 5.873 14.452-19.41 36.748-64.602 23.886-72.79.029-30.348 11.783-41.21 20.577-59.604 24.004-9.12 43.17-46.509 40.46-74.696-1.982-20.618-14.585-44.311-39.466-48-8.912-1.674-20.065-2.599-30.235-2.584-41.472.54-83.145 17.235-91.1 48.833 19.617 22.513 28.433 47.644 29.553 69.59.492 9.62-.362 18.806-2.568 26.956 42.439 13.016-.5 66.772-17.982 70.51L256 341.412l-80.596-46.127c-17.482-3.738-60.42-57.494-17.982-70.51-2.206-8.15-3.06-17.337-2.568-26.957 1.12-21.945 9.936-47.076 29.552-69.59-7.954-31.597-49.627-48.291-91.1-48.832zm107.625 57.375c-19.197 20.432-27.138 43.096-28.102 61.965-.314 6.155.21 11.777 1.262 16.748C200.384 210.261 208.447 241.261 224 256c6.609 6.263 16.058 16.86 23 24.85V304h18v-23.15c6.942-7.99 16.391-18.587 23-24.85 15.553-14.74 23.616-45.74 49.908-40.516 1.053-4.971 1.576-10.593 1.262-16.748-.964-18.869-8.905-41.533-28.102-61.965a918.161 918.161 0 0 0-14.722 6.356c.42 1.498.654 3.09.654 4.78 0 9.281-6.919 15.65-14.348 19.364-5.043 2.522-10.901 4.195-17.28 5.024l-.372 51.77-18-.13.371-51.546c-6.669-.791-12.785-2.498-18.023-5.118-7.429-3.714-14.348-10.083-14.348-19.365 0-1.797.266-3.482.738-5.062a816.52 816.52 0 0 1-14.806-6.073zM256 140.906c-7.62 0-14.449 1.66-18.602 3.737-3.262 1.63-4.103 2.972-4.318 3.263.215.292 1.056 1.635 4.318 3.266 4.153 2.076 10.981 3.734 18.602 3.734 7.62 0 14.449-1.658 18.602-3.734 3.262-1.631 4.103-2.974 4.318-3.266-.215-.29-1.056-1.632-4.318-3.263-4.153-2.077-10.981-3.737-18.602-3.737zm22.92 7c.059.08.08.096.08 0 0-.095-.021-.08-.08 0zm-45.84 0c-.059-.08-.08-.095-.08 0 0 .096.021.08.08 0zm-93.64 198.49c-7.309-.083-14.556 1.631-19.958 5.026.695 20.369-12.049 43.914 23.803 58.79 13.483 28.43 30.516 38.456 53.707 16.577 12.724-18.051 14.887-25.915 59.008-36.72 44.121 10.805 46.284 18.669 59.008 36.72 23.19 21.879 40.224 11.852 53.707-16.576 35.852-14.877 23.108-38.422 23.803-58.791-9.002-5.481-22.087-6.193-32.791-2.908.864 31.423-12.923 61.112-27.426 55.574-4.929-1.882-25.462-34.963-24.492-42.377L256 375.135l-51.809-13.424c.97 7.414-19.563 40.495-24.492 42.377-14.503 5.538-28.29-24.151-27.426-55.574-4.042-1.37-8.449-2.067-12.834-2.118z"}}]})(props);
};
function GiPencilBrush (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M54.438 29.793a23.808 23.808 0 0 0-1.204.012c-4.688.157-7.914 1.734-10.113 3.933-2.932 2.932-4.76 7.689-3.588 15.305 1.174 7.616 5.683 17.754 15.272 28.941 67.894 79.21 132.935 155.56 183.703 211.97 12.273 13.636 23.693 26.079 34.125 37.134 12.095-31.902 34.57-54.144 62.902-64.715-10.825-10.199-22.936-21.313-36.197-33.248C242.93 178.357 166.578 113.314 87.369 45.42c-11.186-9.59-21.325-14.098-28.941-15.272a29.555 29.555 0 0 0-3.99-.355zm375.109 1.043c-.307-.003-.6.004-.875.023-2.212.147-3.34.654-4.576 1.891l-27.58 27.58 55.156 55.154 27.578-27.58c1.238-1.236 1.745-2.362 1.89-4.574.15-2.21-.37-5.434-1.804-9.164-2.87-7.46-9.277-16.667-17.055-24.445-7.778-7.778-16.985-14.185-24.445-17.055-3.264-1.255-6.138-1.81-8.287-1.83h-.002zm-45.758 42.22l-9.9 9.901 9.9 9.898 12.727 12.729 9.9 9.898 12.729 12.729 9.898 9.9 9.9-9.9-55.154-55.154zm-22.627 22.628l-87.389 87.39 10.467 9.332 86.822-86.822-9.9-9.9zm22.627 22.629l-86.092 86.09 10.469 9.331 85.523-85.523-9.9-9.899zm22.629 22.624l-84.795 84.795 10.469 9.332 84.226-84.226-9.898-9.9h-.002zm-213.857 123.35L72.664 384.186l9.898 9.898 119.342-119.342-9.343-10.455zm157.66 12.147c-30.461 7.627-53.24 29.184-63.608 65.218 5.652 5.785 10.956 11.085 15.78 15.707 7.58 7.264 14.096 13.007 19.21 16.957 1.777-17.225 10.045-33.062 21.645-44.691 10.601-10.628 24.496-18.006 39.125-19.092-3.87-4.836-9.139-10.75-15.629-17.523-4.838-5.047-10.416-10.623-16.523-16.576zm-136.303 11.748L95.289 406.809l9.9 9.902 118.075-118.074-9.346-10.455zm21.361 23.894L117.918 429.437l9.896 9.9 116.81-116.806-9.345-10.455zm150.293 16.307c-10.397.137-20.929 5.28-29.582 13.955-11.537 11.565-18.674 28.851-16.267 45.701 5.334 37.342 23.75 65.81 49.46 81.236 22.728 13.636 51.452 17.35 83.643 6.983-24.222-4.01-46.475-30.705-48.197-50.649 10.63 12.814 23.94 24.547 38.426 31.75-9.881-22.578-9.201-45.453-11.088-64.322-1.352-13.522-3.891-24.982-11.377-35.162-7.486-10.18-20.423-19.8-44.74-27.906a31.062 31.062 0 0 0-10.278-1.586zm-322.35 71.816l-.003.002.002.002.002-.004zm-.001.004l-12.117 30.3 30.392 30.395 30.305-12.12-6.61-6.612-12.732-12.727-9.898-9.898-12.73-12.728-6.61-6.61zm-19.395 48.485l-12.992 32.476 32.478-12.992-19.486-19.485z"}}]})(props);
};
function GiPencilRuler (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M429.5 30.83h-.8c-2.2.15-3.4.65-4.6 1.89L396.5 60.3l55.2 55.2 27.5-27.63c1.3-1.23 1.8-2.36 1.9-4.57.2-2.21-.3-5.43-1.8-9.16-2.8-7.46-9.2-16.67-17-24.45-7.8-7.78-17-14.18-24.5-17.05-3.2-1.26-6.1-1.81-8.3-1.83zm-320.6.32L31.15 108.9l9.91 9.9 27.56-27.55L81.36 104l-27.53 27.6 21.16 21.1 27.51-27.5 12.8 12.8-27.55 27.5 21.15 21.1 50.2-50.1 12.8 12.8-50.2 50.1 21.2 21.2 27.5-27.6 12.8 12.8-27.5 27.6 21.1 21.1 27.5-27.5 12.8 12.8-27.5 27.5 21.1 21.2 50.2-50.2 12.8 12.8-50.2 50.2 21.2 21.1 27.5-27.5 12.8 12.8-27.5 27.5 21.1 21.2 27.6-27.6 12.8 12.8-27.6 27.6 21.1 21.1 50.2-50.2 12.8 12.8-50.2 50.2 21.2 21.1 27.5-27.5 12.8 12.8-27.5 27.5 21.1 21.2 27.6-27.6 12.8 12.8-27.6 27.6 9.9 9.9 77.8-77.8zm274.9 41.89l-9.9 9.91 9.9 9.9 12.7 12.75 9.9 9.9 12.7 12.7 9.9 9.9 9.9-9.9zm-22.6 22.63L280 176.8l9.9 9.9 81.2-81.1zm22.6 22.63l-81.1 81.2 9.9 9.8 81.1-81.1zm22.6 22.6l-81.1 81.2 9.9 9.9 81.1-81.2zM176.8 280L72.68 384.2l9.9 9.9L186.7 289.9zm22.6 22.7L95.31 406.8l9.89 9.9 104.1-104.1zm22.7 22.6L117.9 429.4l9.9 9.9L232 335.2zM63.24 400.2l-12.12 30.3 30.4 30.4 30.28-12.1-6.6-6.6-12.72-12.8-9.9-9.9-12.73-12.7zm-19.39 48.5l-13 32.5 32.48-13z"}}]})(props);
};
function GiPencil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M429.548 30.836c-.307-.003-.6.005-.875.024-2.212.147-3.34.653-4.576 1.89l-27.58 27.58 55.156 55.154 27.578-27.58c1.238-1.236 1.744-2.363 1.89-4.575.15-2.21-.37-5.433-1.805-9.163-2.87-7.46-9.277-16.667-17.055-24.445-7.778-7.778-16.985-14.185-24.445-17.055-3.264-1.255-6.138-1.81-8.287-1.83zm-45.758 42.22l-9.9 9.9 9.9 9.9 12.727 12.727 9.9 9.9 12.727 12.728 9.9 9.9 9.9-9.9-55.155-55.155zm-22.627 22.626L72.665 384.186l9.898 9.897 288.5-288.5-9.9-9.9zm22.627 22.63L95.29 406.808l9.9 9.902 288.5-288.5-9.9-9.9zm22.63 22.626l-288.502 288.5 9.897 9.9 288.503-288.5-9.9-9.9zM63.223 400.198l-12.12 30.306 30.393 30.394 30.305-12.12-6.61-6.612L92.46 429.44l-9.9-9.9-12.73-12.728-6.61-6.612zm-19.395 48.488l-12.993 32.478 32.478-12.992-19.486-19.485z"}}]})(props);
};
function GiPendantKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M71 32c0 51.5 29.1 108.6 66 153.7 9.8 11.9 20.1 23 30.6 32.8-.4 1.8-.6 3.6-.6 5.5 0 13.7 11.3 25 25 25 4 0 7.8-1 11.1-2.7 14.9 9.5 29.7 16 43.9 18V280c-18.2 4.2-32 20.6-32 40s13.8 35.8 32 40v120h18v-14h39v-18h-39v-18h23v-18h-23v-52c18.2-4.2 32-20.6 32-40s-13.8-35.8-32-40v-15.7c14.2-2 29-8.5 43.9-18 3.3 1.7 7.1 2.7 11.1 2.7 13.7 0 25-11.3 25-25 0-1.9-.2-3.7-.6-5.5 10.5-9.8 20.8-20.9 30.6-32.8 36.9-45.1 66-102.2 66-153.7h-18c0 44.5-26.9 99.4-62 142.3-8.6 10.5-17.7 20.3-26.9 29.1-4-2.8-8.9-4.4-14.1-4.4-13.7 0-25 11.3-25 25 0 3.1.6 6 1.6 8.8C281.3 242 266.9 247 256 247c-10.9 0-25.3-5-40.6-14.2 1-2.8 1.6-5.7 1.6-8.8 0-13.7-11.3-25-25-25-5.2 0-10.1 1.6-14.1 4.4-9.2-8.8-18.3-18.6-26.9-29.1C115.9 131.4 89 76.5 89 32H71zm176 266.8V314h18v-15.2c8.3 3.5 14 11.6 14 21.2 0 12.8-10.2 23-23 23s-23-10.2-23-23c0-9.6 5.7-17.7 14-21.2z"}}]})(props);
};
function GiPendulumSwing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160.113 18l-20.398 253.85a57.09 57.09 0 0 1 5.27-.254c4.362 0 8.606.51 12.69 1.447L178.17 18h-18.057zM254 18v261.723a56.894 56.894 0 0 1 9-.723c3.06 0 6.067.247 9 .717V18h-18zm96 0v261.717a56.86 56.86 0 0 1 18 0V18h-18zm96 0v261.717a56.86 56.86 0 0 1 9-.717c3.062 0 6.066.253 9 .723V18h-18zM46.727 225.266c4.836 26.24 14.8 45.795 33.556 68.322-17.71-3.873-38.847-20.713-53.068-37.97 6.053 23.69 30.466 50.84 48.613 68.017-14.17-1.282-41.672-13.72-56.185-23.375 6.067 14.415 37.752 46.36 56.537 51.074-23.762 3.01-44.836-8.756-51.973-11.7 6.418 13.096 22.893 28.957 88.756 36.055-15.053-10.283-24.977-27.574-24.977-47.094 0-21.774 12.348-40.77 30.39-50.364-26.667-9.646-51.795-25.765-71.65-52.966zm98.26 64.33c-21.646 0-39 17.354-39 39 0 21.645 17.354 39 39 39 21.645 0 39-17.355 39-39 0-21.646-17.355-39-39-39zM263 297c-21.646 0-39 17.354-39 39s17.354 39 39 39 39-17.354 39-39-17.354-39-39-39zm96 0c-21.646 0-39 17.354-39 39s17.354 39 39 39 39-17.354 39-39-17.354-39-39-39zm96 0c-21.646 0-39 17.354-39 39s17.354 39 39 39 39-17.354 39-39-17.354-39-39-39z"}}]})(props);
};
function GiPenguin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M299.538 26.987c-27.712 4.261-39.38 15.192-49.267 22.648l-.053.041-.053.041c-73.941 57.51-101.795 128.454-108.16 196.262-6.068 64.64 6.728 126.235 16.002 173.3-34.558 15.572-55.01 34.272-73.676 63.16 49.896.875 114.104 3.897 154.125-14.92 33.248 24.616 108.192 18.58 125.744 12.72-15.002-12.068-30.944-22.905-53.937-24.522-1.684-10.036-2.83-21.368-2.192-30.248 25.491-100.31 58.396-193.682 30.438-315.685 27.736-8.906 78.544-25.196 89.16-35.451-20.08-15.046-90.089-52.22-128.13-47.346zm60.707 36.559l.867 13.955c-23.91 13.53-34.384 18.079-59.607 24.576-9.107-16.065-22.116-30.075-33.367-43.555 34.533-19.437 53.308-15.992 92.107 5.024zm-72.43 51.62c-.99 18.622-6.979 37.33-10.996 53.891-7.99-11.08-20.678-17.038-33.222-16.574-4.64.171-9.26 1.22-13.61 3.207-8.7 3.976-16.028 11.913-19.63 22.748-3.603 10.835-3.732 24.346.396 40.598 6.371 25.08 6.294 69.204 7.719 106.699.712 18.747 1.8 35.878 4.814 49.297 1.507 6.709 3.403 12.55 6.776 17.539 3.372 4.988 9.425 9.27 16.175 9.25l.336-.002.334-.026a43.534 43.534 0 0 0 3.383-.398c-2.61 21.604 12.917 42.21 12.26 60.81-9.846-5.039-14.043-9.963-22.057-16.117-37.715 21.695-84.065 18.818-120.26 17.752 20.485-17.142 36.638-25.124 58.305-33.273-14.806-66.279-23.097-128.644-18.613-182.904 5.814-61.937 28.745-124.924 93.33-178.202 20.062 5.353 34.83 40.62 34.56 45.705zm-24.19 66.569c18.134 32.064 26.544 83.772 22.802 126.738-1.871 21.483-6.771 40.786-14.04 54.17-4.19 6.172-22.242 27.486-27.411 19.846-1.247-1.844-2.888-5.893-4.125-11.4-2.474-11.016-3.693-27.621-4.393-46.038-1.4-36.833-.715-80.751-8.258-110.445-3.515-13.837-2.97-23.85-.761-30.49 6.1-18.223 28.237-14.862 36.185-2.381z"}}]})(props);
};
function GiPentacle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M486 203.652H310.111L256 37.113l-54.111 166.539H26l142.22 103.623-54.462 167.612L256 371.24l142.242 103.646-54.473-167.612zm-85.995 28.008l-65.335 47.596-15.46-47.596h80.795zM256 127.708l24.658 75.91H231.33zM111.995 231.66h80.795l-15.45 47.596zm55.097 169.713l24.932-76.743 40.194 29.29zm34.041-104.762l21.1-64.951h67.524l21.099 64.95-54.867 39.977zm143.731 104.762l-65.082-47.454 40.194-29.29zm-37.983-264.359l-10.424-32.092a183.269 183.269 0 0 1 114.322 81.21H376.43a155.293 155.293 0 0 0-69.55-49.118zM129 371.328l-10.413 32.049a182.425 182.425 0 0 1-43.918-142.581l26.684 19.435v2.847A153.804 153.804 0 0 0 129 371.284zm177.104 58.108l26.64 19.413a182.447 182.447 0 0 1-153.51 0l26.64-19.413a154.79 154.79 0 0 0 100.23 0zM135.569 186.133h-34.348a183.269 183.269 0 0 1 114.322-81.21l-10.424 32.091a155.293 155.293 0 0 0-69.55 49.119zm303.12 96.955a181.922 181.922 0 0 1-45.276 120.245L383 371.285a153.804 153.804 0 0 0 27.68-88.197v-2.846l26.683-19.446a183.685 183.685 0 0 1 1.325 22.292z"}}]})(props);
};
function GiPentagramRose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.6 27.6c-40.4 0-78.1 11.68-109.8 31.84l-35.3-25.72 13.6 41.51C77.93 112.9 49.13 169.7 49.13 233.1c0 18.1 2.37 35.7 6.79 52.5l-36.85 26.6 45.86-.1c29.36 70.3 96.57 120.8 176.07 126l14.9 46.3 15-46.5c78.3-6.2 144.3-56.4 173.3-125.8l48.7.1-39.2-28.3c4.1-16.3 6.3-33.3 6.3-50.8 0-62.4-27.9-118.3-71.8-156.03l14.2-43.35-36.6 26.66c-32-20.73-70.3-32.78-111.2-32.78zm8.6 18.87c31.5 1.43 60.9 10.63 86.4 25.73l-17.4 12.73c-20.8-11-44.2-17.72-69-19zm-18.7.1v19.49c-23.6 1.42-46 7.79-65.9 18.08L161 71.29c25.7-15.07 57.1-23.12 83.5-24.76zm121.9 36.97L330.8 192.2c-5.5-9.6-12.7-18.1-21.3-24.9 19-27.9 37.9-55.9 56.9-83.76zm-220.3 0l90.7 66.16c-11.3 2.4-21.8 6.9-31.1 13.1-19.9-26.4-39.7-52.9-59.6-79.26zm117.1 1.11c18.4 1.05 36 5.49 52 12.66l-52 37.99zm-18.7.1v47.45l-48.8-35.59c15.1-6.57 31.5-10.7 48.8-11.86zm-115.1 9.56l6.8 20.89c-16.8 17-30 37.6-38.27 60.5l-19.1-6.1C92.24 140 109.1 113 129.4 94.31zm252.5 2c21.2 19.69 37.7 44.29 47.9 71.99l-19 6.1c-8-21.4-20.3-40.8-35.8-57.1zM142.8 135.4l20 61.2-47.1-15.2c6.2-17 15.5-32.6 27.1-46zm225.5 2.3c10.5 12.6 18.9 26.9 24.7 42.4L349.9 194zm-113.7 28.9c38.3 0 69.2 30.9 69.2 69.3 0 38.3-30.9 69.2-69.2 69.2-38.4 0-69.3-30.9-69.3-69.2 0-38.4 30.9-69.3 69.3-69.3zm180.8 19.5c3.9 15 6 30.7 6 47 0 13.3-1.5 26.4-4.1 38.9L419 258.8c1.4-8.6 2.1-17.5 2.1-26.6 0-13.7-1.7-27.1-4.8-39.9 6.4-2.1 12.8-4.1 19.1-6.2zm-362.01 1.4l19.21 6.1c-2.95 12.4-4.52 25.4-4.52 38.6 0 9.7.82 19.2 2.41 28.4l-18.25 13.2a188.07 188.07 0 0 1-4.46-40.7c.64-16 2.33-32.3 5.61-45.6zM398.5 198c2.6 11 3.9 22.5 3.9 34.2 0 4.8-.2 9.5-.6 14.1l-47.3-34.1c14.7-4.7 29.3-9.5 44-14.2zm-288.1 1.4l44.8 14.4-47.6 34.4c-.6-5.3-.9-10.6-.9-16 .4-11.5 1.5-23.2 3.7-32.8zM342 226.2l92 66.5-95-32.4c3.2-12.1 4.1-22.7 3-34.1zm-170.4 38.7c3.6 10.4 9.2 20 16.3 28.3l-109.7.2c31.1-9.5 62.2-19 93.4-28.5zm16.8 47l-27.7 34.6c-12-9.8-22.3-21.5-30.7-34.5 19.5 0 39-.1 58.4-.1zm135.9 0l54.9.1c-7.9 12.3-17.6 23.3-28.6 32.8-8.8-11-17.6-22-26.3-32.9zm76.4.1l23.2.1c-11.5 24.6-28.1 46.2-48.6 63.5l-13.1-16.3c15.6-13.2 28.7-29.3 38.5-47.3zm-292.3 0c10.3 18.9 24.2 35.5 40.7 49l-13.2 16.4c-21.4-17.6-38.78-39.9-50.65-65.3zm182.2 4.1L256 423.3v-99.5c12.4-1 24.9-3.4 34.6-7.7zm17.7 5.8l27.3 34.1c-13.5 8.8-28.5 15.5-44.6 19.6 5.8-17.9 11.6-35.8 17.3-53.7zm-104.5.7l17.3 53.7c-16.3-3.8-31.5-10.2-45.2-18.8 9.3-11.7 18.6-23.3 27.9-34.9zm143.5 47.9l13.2 16.5c-24.3 16.7-52.6 27.8-83.3 31.5l7.2-22.4c23.4-5.9 45.7-14.2 62.9-25.6zm-183.1 1.6c18.8 12.2 40.4 20.7 63.4 24.5l7.2 22.2c-30.8-3.2-59.4-13.9-83.8-30.2z"}}]})(props);
};
function GiPentarrowsTornado (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M274.988 19.434l-23.2 108.6 33.9-7.214 16.814 83.756c-11.957-9.916-26.682-16.604-42.818-18.7l.013-.15-138.765-12.802 3.552-35.438L19.072 172.48l96.37 55.186 3.622-36.137 83.233 7.677c-15.232 10.115-27.014 25.034-33.143 42.578l-56.93 129.186-29.867-14.638L78.44 467.33l85.3-71.11-34.715-17.015 38.477-87.314c4.95 17.906 15.685 33.437 30.047 44.47l98.95 88.745-23.754 25.915 105.373 35.097-44.134-101.908-24.853 27.112-64.246-57.62c1.29.058 2.587.093 3.892.093 20.67 0 39.627-7.51 54.316-19.922l107.713-61.555 17.883 30.57 64.625-90.33-110.392 12.104 18.44 31.52-73.268 41.87c3.23-8.927 4.996-18.548 4.996-28.57 0-7.546-1.006-14.863-2.88-21.83l-26.24-130.724 36.462-7.762zm-27.326 184.453c24.706 2.07 40.725 20.068 40.088 43.728-.217 8.056-5.445 16.797-13.086 22.893.672-6.495-1.987-13.894-7.707-19.613-9.01-9.01-22.183-10.438-29.43-3.192-6.963 6.963-5.894 19.39 2.192 28.346 22.283 27.566 61.67 16.448 74.514-11.08.1 1.492.172 2.993.172 4.512 0 19.38-8.32 36.742-21.592 48.735-2.665 2.024-20.406 12.52-20.406 12.52-7.327 2.815-15.288 4.372-23.63 4.372-14.37 0-27.626-4.59-38.413-12.368l-7.236-6.49-.212.234c-12.2-11.903-19.764-28.534-19.764-47.004 0-7.174 1.156-14.067 3.266-20.52l1.914-4.343-.277-.124c9.658-23.564 32.594-40.16 59.605-40.61z"}}]})(props);
};
function GiPerfumeBottle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.125 18.53c-43.358 0-78.25 34.79-78.25 77.907 0 43.118 34.892 77.907 78.25 77.907s78.28-34.79 78.28-77.906c0-43.118-34.922-77.907-78.28-77.907zm-88.5 117.314c-6.644 8.198-10.156 17.204-10.156 26.47 0 15.315 9.554 29.91 27.093 41.31 17.538 11.4 42.63 18.876 70.53 18.876s53.025-7.475 70.563-18.875c17.54-11.4 27.094-25.996 27.094-41.313 0-8.654-3.057-17.087-8.875-24.843-15.528 32.8-49.04 55.56-87.75 55.56-39.35 0-73.333-23.508-88.5-57.186zm-27.22 39.72c-44.97 28.067-73.686 72.15-73.686 121.03 0 83.262 83.312 152.594 188.374 152.594 105.06 0 188.375-69.332 188.375-152.594 0-48.867-28.708-92.93-73.658-121-4.323 17.498-16.962 32.665-33.968 43.72-21.18 13.765-49.568 21.874-80.75 21.874-31.183 0-59.54-8.11-80.72-21.875-17.015-11.06-29.65-26.24-33.968-43.75zM93.063 286.154h.032c14.633 56.066 82.046 98.406 163.125 98.406 81.077 0 147.834-42.338 162.467-98.406 2.013 7.54 3.938 15.033 3.938 23 0 66.954-74.647 121.344-166.406 121.344-91.76 0-166.44-54.39-166.44-121.344 0-7.967 1.27-15.46 3.282-23zM415.47 406.03c-38.153 37.933-95.66 61.845-159.376 61.845-63.68 0-121.16-23.885-159.313-61.78 5.558 20.953 20.806 40.113 43.595 55.374 29.125 19.503 70.212 31.967 115.75 31.967s86.594-12.464 115.72-31.968c22.81-15.277 38.07-34.46 43.624-55.44z"}}]})(props);
};
function GiPeriscope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M340 49.5c-13.417 0-26.838 9.714-37.441 28.27C291.955 96.325 285 122.962 285 152.5c0 29.538 6.955 56.175 17.559 74.73 10.603 18.556 24.024 28.27 37.441 28.27h25.3c-5.383-5.51-10.208-12.057-14.368-19.338C338.372 214.182 331 184.818 331 152.5c0-32.318 7.372-61.682 19.932-83.662 4.16-7.28 8.985-13.828 14.369-19.338zm64 0c-13.417 0-26.838 9.714-37.441 28.27C355.955 96.325 349 122.962 349 152.5c0 29.538 6.955 56.175 17.559 74.73 10.603 18.556 24.024 28.27 37.441 28.27 13.417 0 26.838-9.714 37.441-28.27C452.045 208.675 459 182.038 459 152.5c0-29.538-6.955-56.175-17.559-74.73C430.838 59.214 417.417 49.5 404 49.5zm-264 16s-22.121.124-43.975 11.05C74.172 87.478 53 107.5 53 152.5v147.611c47.27 12.252 96.213 15.314 150 .475V280.5c0-19.131 11.354-31.107 21.813-36.117 10.458-5.01 20.59-4.883 20.59-4.883h43.523a110.13 110.13 0 0 1-1.994-3.338C274.372 214.182 267 184.818 267 152.5c0-32.318 7.372-61.682 19.932-83.662a110.128 110.128 0 0 1 1.994-3.338zm264 6c7.154 0 13.646 3.366 18.66 8.139 5.015 4.772 8.951 11.004 12.192 18.295C441.332 112.516 445 131.537 445 152.5s-3.668 39.984-10.148 54.566c-3.24 7.291-7.177 13.523-12.192 18.295-5.014 4.773-11.506 8.139-18.66 8.139s-13.646-3.366-18.66-8.139c-5.015-4.772-8.951-11.004-12.192-18.295C366.668 192.484 363 173.463 363 152.5s3.668-39.984 10.148-54.566c3.24-7.291 7.177-13.523 12.192-18.295 5.014-4.773 11.506-8.139 18.66-8.139zm23.791 65c-3.009 25.403-16.681 46.548-39.33 65.404 5.38 4.034 18.735 25.963 32.242-2.808 10.666-22.719 10.624-44.987 7.088-62.596zM53 318.664v56.842c3.709-.647 7.385-1.006 11-1.006 21.913 0 38.554 13.963 53.61 25.963 15.055 12 28.526 22.037 42.39 22.037s27.335-10.037 42.39-22.037c.2-.16.41-.324.61-.484v-80.786c-53.528 13.78-103.133 10.964-150-.529zM64 396.5c-14.96 0-30.967 6.068-46 13.836v20.623c16.602-9.085 34.645-16.459 46-16.459 13.864 0 27.335 10.037 42.39 22.037 15.056 12 31.697 25.963 53.61 25.963s38.554-13.963 53.61-25.963c15.055-12 28.526-22.037 42.39-22.037s27.335 10.037 42.39 22.037c15.056 12 31.697 25.963 53.61 25.963s38.554-13.963 53.61-25.963c15.055-12 28.526-22.037 42.39-22.037 11.355 0 29.398 7.374 46 16.459v-20.623c-15.033-7.768-31.04-13.836-46-13.836-21.913 0-38.554 13.963-53.61 25.963-15.055 12-28.526 22.037-42.39 22.037s-27.335-10.037-42.39-22.037c-15.056-12-31.697-25.963-53.61-25.963s-38.554 13.963-53.61 25.963c-15.055 12-28.526 22.037-42.39 22.037s-27.335-10.037-42.39-22.037c-15.056-12-31.697-25.963-53.61-25.963z"}}]})(props);
};
function GiPerpendicularRings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M331.924 20.385c-36.708.887-82.53 60.972-116.063 147.972h.003c30.564-65.57 71.17-106.39 97.348-99.378 28.058 7.516 37.11 69.42 24.847 148.405-.895-.32-1.773-.642-2.672-.96.893.367 1.765.738 2.65 1.106-2.988 19.215-7.22 39.424-12.767 60.12-2.77 10.332-5.763 20.39-8.936 30.14-24.996-3.82-52.374-9.537-80.82-17.16-105.856-28.36-186.115-72.12-179.307-97.53 4.257-15.884 42.167-23.775 95.908-20.29-74.427-8.7-128.912-2.044-135.035 20.803-9.038 33.73 89.168 89.372 219.147 124.2 24.436 6.55 48.267 11.897 70.918 16.042-28.965 75.878-68.293 126.078-96.653 118.48-21.817-5.85-35.995-45.443-36.316-100.206-4.79 75.476 9.278 131.945 40.66 140.356 38.836 10.407 91.394-54.998 127.896-152.98 80.12 10.74 138.958 4.278 145.38-19.682 6.384-23.82-41.025-58.44-115.102-89.03 20.713-109.022 8.483-198.5-31.96-209.34-2.968-.796-6.013-1.144-9.124-1.07zm40.568 213.086c44.65 22.992 71.146 47.135 67.07 62.348-4.055 15.13-38.104 20.457-87.333 16.303 3.415-10.604 6.64-21.502 9.63-32.663 4.176-15.588 7.713-30.965 10.632-45.986z"}}]})(props);
};
function GiPersonInBed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 169v286h30V169H25zm94.1 52.2c-2.9 0-5.8.5-8.3 1.2-6.7 1.9-11.03 5.6-12.96 10.5-1.94 4.9-1.25 10.6 2.36 16.5 3.6 5.9 10 11.6 18.6 14.9 8.6 3.4 17.2 3.6 23.8 1.7 6.7-1.9 11-5.5 13-10.5 1.9-4.9 1.2-10.6-2.4-16.5-3.6-5.9-10.1-11.5-18.6-14.9-4.8-1.9-9.7-2.8-14.2-2.9h-1.3zM73 253.4V295h61.8c1.7-3.4 3.5-6.8 5.5-10.2-9 1.1-18.7-.1-28.1-3.7-12-4.7-21.58-12.8-27.39-22.4-.11-.2-.21-.4-.32-.6L73 253.4zm108.5 4.5c-17.6 19.3-32.4 46-40.5 67.9-4.2 11.5-6.5 21.9-6.7 28.2 0 2.5.2 4 .5 4.8 57.4 7.3 98.1.3 150.6-15.4l2-.6 2 .3c56.3 8.6 111.6 10 161.6 1.6v-35.6c-67.7-29-178.4-46.5-269.5-51.2zM469 281v174h18V281h-18zM73 313v30h44.5c1.3-7.2 3.6-15 6.6-23.4.8-2.2 1.7-4.4 2.6-6.6H73zm0 48v30h378v-27.9c-51 8.1-106.5 6.4-162.3-1.9-53.2 15.7-97.7 23.2-157.8 15.3-5.3-.7-10.2-4.9-12.3-9.3-.9-2-1.5-4.1-1.9-6.2H73z"}}]})(props);
};
function GiPerson (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M250.882 22.802c-23.366 3.035-44.553 30.444-44.553 65.935 0 19.558 6.771 36.856 16.695 48.815l11.84 14.263-18.217 3.424c-12.9 2.425-22.358 9.24-30.443 20.336-8.085 11.097-14.266 26.558-18.598 44.375-7.843 32.28-9.568 71.693-9.842 106.436h42.868l11.771 157.836c29.894 6.748 61.811 6.51 90.602.025l10.414-157.86h40.816c-.027-35.169-.477-75.126-7.584-107.65-3.918-17.934-9.858-33.372-18.04-44.343-8.185-10.97-18.08-17.745-32.563-19.989l-18.592-2.88 11.736-14.704c9.495-11.897 15.932-28.997 15.932-48.082 0-37.838-23.655-65.844-49.399-65.844z"}}]})(props);
};
function GiPerspectiveDiceFive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.703 44.764c-6.176 0-12.353 1.384-17.137 4.152l-152.752 88.36c-9.57 5.535-9.57 14.29 0 19.826l152.752 88.359c9.57 5.536 24.703 5.536 34.272 0l152.754-88.36c9.57-5.534 9.57-14.289 0-19.824L272.838 48.916c-4.785-2.77-10.96-4.152-17.135-4.152zm-23.39 39.847l23.8 14.875-46.263 27.76 19.427 12.14a38.645 38.645 0 0 1 4.75-4.702c1.743-1.527 3.752-2.974 6.03-4.34 12.953-7.772 26.878-11.423 41.771-10.95 14.838.439 29.095 4.933 42.776 13.483 13.568 8.48 20.256 17.485 20.06 27.012-.148 9.498-7.198 18.43-21.148 26.8-6.026 3.616-12.705 6.767-20.037 9.45-7.23 2.689-15.166 4.908-23.805 6.658l-25.483-15.928c9.714-1.02 18.138-2.469 25.272-4.346 7.182-1.905 13.075-4.238 17.678-7 6.643-3.985 9.956-8.308 9.94-12.968-.026-4.724-3.318-9.137-9.878-13.237-6.616-4.135-13.752-6.24-21.408-6.316-7.609-.105-14.734 1.834-21.377 5.82-3.938 2.363-7.521 5.268-10.748 8.715-3.283 3.412-6.225 7.444-8.826 12.096l-70.645-44.153 68.113-40.869zm203.554 89.203c-1.938.074-4.218.858-6.955 2.413l-146.935 84.847c-9.57 5.527-17.14 18.638-17.14 29.69v157.699c0 11.05 7.57 15.419 17.14 9.89l146.937-84.843c9.57-5.527 17.137-18.636 17.137-29.688v-157.7c-2.497-8.048-5.23-12.495-10.184-12.308zm-359.763.48c-6.227 0-10.033 5.325-10.155 11.825v157.697c0 11.052 7.57 24.163 17.14 29.69l146.93 84.848c9.57 5.526 17.141 1.156 17.141-9.895v-157.7c0-11.051-7.57-24.159-17.14-29.687L83.09 176.225c-2.567-1.338-4.911-1.93-6.986-1.93zM393.4 233.587v24.264c-4.264-.079-8.281.397-12.052 1.43-3.771.973-7.454 2.538-11.045 4.693-7.722 4.633-13.737 11.055-18.047 19.267-4.31 8.154-6.825 17.955-7.543 29.405 2.963-4.65 6.174-8.715 9.63-12.196 3.458-3.54 7.228-6.535 11.313-8.986 10.28-6.168 18.565-7.211 24.85-3.129 6.33 4.055 9.494 12.442 9.494 25.16 0 14.066-3.524 27.462-10.572 40.19-7.049 12.668-16.498 22.558-28.35 29.67-13.064 7.838-23.188 8.17-30.371.992-7.138-7.263-10.707-21.474-10.707-42.631 0-21.685 4.175-41.216 12.525-58.592 8.395-17.462 19.889-30.57 34.479-39.324 4.624-2.775 9.112-5 13.467-6.676 4.354-1.675 8.665-2.854 12.93-3.537zm-242.789 13.582l27.635 16.58v85.809L192 357.809v25.414l-13.754-8.252v24.777l-23.502-14.102V360.87L112 335.223v-30.06l38.611-57.995zm4.133 31.355l-27.248 40.582 27.248 16.35v-56.932zm212.596 35.182c-1.706.057-3.703.773-5.992 2.147-4.535 2.72-7.947 6.701-10.237 11.943-2.244 5.156-3.367 11.572-3.367 19.25 0 7.678 1.123 12.777 3.367 15.299 2.29 2.436 5.702 2.295 10.237-.426 4.579-2.748 7.99-6.701 10.234-11.857 2.29-5.242 3.436-11.702 3.436-19.38 0-7.677-1.146-12.733-3.436-15.17-1.122-1.26-2.536-1.862-4.242-1.806z"}}]})(props);
};
function GiPerspectiveDiceFour (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.703 44.764c-6.176 0-12.353 1.384-17.137 4.152l-152.752 88.36c-9.57 5.535-9.57 14.29 0 19.826l152.752 88.359c9.57 5.536 24.703 5.536 34.272 0l152.754-88.36c9.57-5.534 9.57-14.289 0-19.824L272.838 48.916c-4.785-2.77-10.96-4.152-17.135-4.152zm-29.457 43.488l80.762 50.475 13.754-8.252 23.918 14.95-13.752 8.253 23.318 14.574-23.502 14.102-23.32-14.575-42.744 25.647-28.291-17.684-37.778-70.91 27.635-16.58zm3.676 31.088l26.336 49.838 27.248-16.35-53.584-33.488zm205.945 54.474c-1.938.074-4.218.858-6.955 2.413l-146.935 84.847c-9.57 5.527-17.14 18.638-17.14 29.69v157.699c0 11.05 7.57 15.419 17.14 9.89l146.937-84.843c9.57-5.527 17.137-18.636 17.137-29.688v-157.7c-2.497-8.048-5.23-12.495-10.184-12.308zm-359.763.48c-6.227 0-10.033 5.325-10.155 11.825v157.697c0 11.052 7.57 24.163 17.14 29.69l146.93 84.848c9.57 5.526 17.141 1.156 17.141-9.895v-157.7c0-11.051-7.57-24.159-17.14-29.687L83.09 176.225c-2.567-1.338-4.911-1.93-6.986-1.93zm316.209 54.317v25.29l-46.262 27.757v20.64a83.52 83.52 0 0 1 6.262-5.364 61.303 61.303 0 0 1 6.619-4.598c12.953-7.772 23.037-9.742 30.25-5.908 7.212 3.774 10.818 12.93 10.818 27.465 0 14.416-3.938 28.067-11.814 40.955-7.83 12.858-18.72 23.471-32.67 31.841-6.026 3.616-12.005 6.46-17.936 8.53-5.884 2.1-11.744 3.412-17.58 3.935v-27.076c5.789.697 11.27.536 16.441-.482a46.02 46.02 0 0 0 14.733-5.711c6.643-3.986 11.862-9.144 15.658-15.473 3.843-6.416 5.766-13.108 5.766-20.078 0-7.03-1.923-11.417-5.766-13.162-3.796-1.773-9.015-.668-15.658 3.318-3.938 2.363-8.138 5.539-12.598 9.526-4.46 3.927-9.252 8.768-14.377 14.523V269.48l68.113-40.869zm-253.807 16.475c5.971.127 12.804 2.499 20.498 7.115 4.624 2.775 9.112 5.938 13.467 9.488 4.354 3.551 8.665 7.543 12.93 11.977v24.264c-4.265-5.197-8.282-9.54-12.053-13.034-3.771-3.552-7.454-6.405-11.045-8.56-7.722-4.633-13.737-5.43-18.047-2.389-4.31 2.982-6.825 9.766-7.543 20.354 2.963-1.094 6.174-1.308 9.63-.64 3.458.608 7.228 2.14 11.313 4.591 10.28 6.168 18.565 15.063 24.85 26.687 6.33 11.652 9.494 23.837 9.494 36.555 0 14.066-3.524 23.235-10.572 27.504-7.049 4.21-16.498 2.76-28.35-4.352-13.064-7.838-23.188-19.656-30.371-35.453-7.138-15.828-10.707-34.32-10.707-55.478 0-21.685 4.175-36.206 12.525-43.563 3.673-3.232 7.939-4.92 12.797-5.062.39-.012.786-.013 1.184-.004zm8.88 70.256c-1.705-.057-3.13.54-4.275 1.787-2.244 2.463-3.367 7.531-3.367 15.209s1.123 14.125 3.367 19.34c2.29 5.183 5.702 9.135 10.237 11.855 4.579 2.748 7.99 2.89 10.234.428 2.29-2.494 3.436-7.58 3.436-15.258 0-7.678-1.146-14.11-3.436-19.293-2.245-5.215-5.655-9.196-10.234-11.943-2.267-1.36-4.255-2.069-5.961-2.125z"}}]})(props);
};
function GiPerspectiveDiceOne (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.703 44.764c-6.176 0-12.353 1.384-17.137 4.152l-152.752 88.36c-9.57 5.535-9.57 14.29 0 19.826l152.752 88.359c9.57 5.536 24.703 5.536 34.272 0l152.754-88.36c9.57-5.534 9.57-14.289 0-19.824L272.838 48.916c-4.785-2.77-10.96-4.152-17.135-4.152zM214.17 95.498l105.193 65.748 25.832-15.5L368 160l-79.316 47.59-22.805-14.254 25.83-15.498-82.732-51.707-20.342 19.765-22.463-14.039 20.191-19.675 27.807-16.684zm221.697 78.316c-1.938.074-4.218.858-6.955 2.413l-146.935 84.847c-9.57 5.527-17.14 18.638-17.14 29.69v157.699c0 11.05 7.57 15.419 17.14 9.89l146.937-84.843c9.57-5.527 17.137-18.636 17.137-29.688v-157.7c-2.497-8.048-5.23-12.495-10.184-12.308zm-359.763.48c-6.227 0-10.033 5.325-10.155 11.825v157.697c0 11.052 7.57 24.163 17.14 29.69l146.93 84.848c9.57 5.526 17.141 1.156 17.141-9.895v-157.7c0-11.051-7.57-24.159-17.14-29.687L83.09 176.225c-2.567-1.338-4.911-1.93-6.986-1.93zm40.447 58.056a111.214 111.214 0 0 1 16.072 5.427c5.31 2.25 10.525 4.91 15.645 7.983 13.795 8.277 24.105 17.273 30.931 26.988 6.874 9.685 10.313 20.147 10.313 31.385 0 7.668-1.637 12.98-4.908 15.933-3.272 2.896-8.106 3.419-14.506 1.569 7.158 6.578 12.587 13.814 16.285 21.71 3.745 7.867 5.617 16.16 5.617 24.882 0 12.994-4.03 20.47-12.09 22.423-8.06 1.896-19.815-1.793-35.27-11.066-5.451-3.271-10.928-7.112-16.427-11.523-5.452-4.325-10.856-9.18-16.213-14.559v-26.076c5.12 6.233 10.194 11.678 15.219 16.332 5.072 4.624 10.048 8.4 14.931 11.33 7.254 4.352 12.801 6.128 16.641 5.33 3.887-.77 5.832-4.051 5.832-9.846 0-5.97-1.992-11.672-5.975-17.105-3.934-5.463-9.764-10.514-17.492-15.15l-10.95-6.57v-21.774l11.519 6.912c6.874 4.124 11.993 5.88 15.359 5.265 3.366-.673 5.049-3.732 5.049-9.175 0-5.034-1.635-9.908-4.906-14.621-3.272-4.714-7.894-8.864-13.868-12.448-4.409-2.645-8.865-4.704-13.369-6.177-4.503-1.474-8.983-2.346-13.44-2.62v-24.76zm265.717 8.228c2.187.007 4.19.345 6.01 1.014 7.323 2.644 10.984 10.26 10.984 22.845 0 7.278-1.548 15.007-4.645 23.188-3.097 8.121-9.61 20.44-19.539 36.955l-23.521 39.164L400 334.68V360l-80 48v-25.32l40.184-67.149c3.588-6.09 6.244-11.53 7.964-16.32 1.72-4.79 2.58-9.213 2.58-13.27 0-6.263-1.746-10.255-5.236-11.978-3.44-1.753-8.036-.906-13.787 2.545-4.424 2.654-9.266 6.723-14.525 12.205-5.26 5.422-10.888 12.2-16.885 20.332v-29.348c6.39-6.399 12.706-12.127 18.95-17.185 6.242-5.118 12.362-9.476 18.359-13.075 9.88-5.928 18.101-8.88 24.664-8.859z"}}]})(props);
};
function GiPerspectiveDiceSixFacesFive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.76 44.764c-6.176 0-12.353 1.384-17.137 4.152L85.87 137.276c-9.57 5.536-9.57 14.29 0 19.826l152.753 88.36c9.57 5.536 24.703 5.536 34.272 0l152.753-88.36c9.57-5.535 9.57-14.29 0-19.825l-152.753-88.36c-4.785-2.77-10.96-4.153-17.135-4.153zm1.86 12.423a31.953 18.96 0 0 1 21.194 5.536 31.953 18.96 0 0 1-45.187 26.812 31.953 18.96 0 0 1 23.992-32.347zm-119.173 70.188a31.953 18.96 0 0 1 .002 0 31.953 18.96 0 0 1 21.195 5.535 31.953 18.96 0 0 1-45.19 26.813 31.953 18.96 0 0 1 23.992-32.348zm118.24.244a31.953 18.96 0 0 1 22.125 32.362 31.953 18.96 0 1 1-45.187-26.812 31.953 18.96 0 0 1 23.06-5.55zm119.663.015a31.953 18.96 0 0 1 .002 0 31.953 18.96 0 0 1 21.195 5.535 31.953 18.96 0 0 1-45.19 26.812 31.953 18.96 0 0 1 23.993-32.347zM75.67 173.84c-5.753-.155-9.664 4.336-9.664 12.28v157.696c0 11.052 7.57 24.163 17.14 29.69l146.93 84.848c9.57 5.526 17.14 1.156 17.14-9.895V290.76c0-11.052-7.57-24.16-17.14-29.688l-146.93-84.847c-2.69-1.555-5.225-2.327-7.476-2.387zm360.773.002c-2.25.06-4.783.83-7.474 2.385l-146.935 84.847c-9.57 5.527-17.14 18.638-17.14 29.69v157.7c0 11.05 7.57 15.418 17.14 9.89L428.97 373.51c9.57-5.527 17.137-18.636 17.137-29.688v-157.7c0-7.942-3.91-12.432-9.664-12.278zM89.297 195.77a31.236 18.008 58.094 0 1 33.818 41.183 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203zm333.52 0A18.008 31.236 31.906 0 1 434 210.973a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.183zm-165.198 2.314a31.953 18.96 0 0 1 21.194 5.535 31.953 18.96 0 0 1-45.187 26.812 31.953 18.96 0 0 1 23.992-32.348zm109.198 30.018A18.008 31.236 31.906 0 1 378 243.305a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.183zm-165.52 32.332a31.236 18.008 58.094 0 1 33.817 41.183 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203zm109.52 0A18.008 31.236 31.906 0 1 322 275.637a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.183zM89.298 318.48a31.236 18.008 58.094 0 1 33.817 41.184 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.204zm333.52 0A18.008 31.236 31.906 0 1 434 333.684a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.184zm-56 32.332A18.008 31.236 31.906 0 1 378 366.017a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.183zm-165.52 32.33a31.236 18.008 58.094 0 1 33.817 41.184 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203zm109.52 0A18.008 31.236 31.906 0 1 322 398.347a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.183z"}}]})(props);
};
function GiPerspectiveDiceSixFacesFour (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.76 44.764c-6.176 0-12.353 1.384-17.137 4.152L85.87 137.276c-9.57 5.536-9.57 14.29 0 19.826l152.753 88.36c9.57 5.536 24.703 5.536 34.272 0l152.753-88.36c9.57-5.535 9.57-14.29 0-19.825l-152.753-88.36c-4.785-2.77-10.96-4.153-17.135-4.153zm1.86 12.423a31.953 18.96 0 0 1 21.194 5.536 31.953 18.96 0 0 1-45.187 26.812 31.953 18.96 0 0 1 23.992-32.347zm-119.173 70.188a31.953 18.96 0 0 1 .002 0 31.953 18.96 0 0 1 21.195 5.535 31.953 18.96 0 0 1-45.19 26.813 31.953 18.96 0 0 1 23.992-32.348zm237.903.26a31.953 18.96 0 0 1 .002 0 31.953 18.96 0 0 1 21.195 5.535 31.953 18.96 0 0 1-45.19 26.812 31.953 18.96 0 0 1 23.993-32.347zM75.67 173.84c-5.753-.155-9.664 4.336-9.664 12.28v157.696c0 11.052 7.57 24.163 17.14 29.69l146.93 84.848c9.57 5.526 17.14 1.156 17.14-9.895V290.76c0-11.052-7.57-24.16-17.14-29.688l-146.93-84.847c-2.69-1.555-5.225-2.327-7.476-2.387zm360.773.002c-2.25.06-4.783.83-7.474 2.385l-146.935 84.847c-9.57 5.527-17.14 18.638-17.14 29.69v157.7c0 11.05 7.57 15.418 17.14 9.89L428.97 373.51c9.57-5.527 17.137-18.636 17.137-29.688v-157.7c0-7.942-3.91-12.432-9.664-12.278zM89.297 195.77a31.236 18.008 58.094 0 1 33.818 41.183 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203zm333.52 0A18.008 31.236 31.906 0 1 434 210.973a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.183zm-165.198 2.314a31.953 18.96 0 0 1 21.194 5.535 31.953 18.96 0 0 1-45.187 26.812 31.953 18.96 0 0 1 23.992-32.348zM89.296 256.77a31.236 18.008 58.094 0 1 33.818 41.183 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.202zm112 3.664a31.236 18.008 58.094 0 1 33.818 41.183 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203zm109.52 0A18.008 31.236 31.906 0 1 322 275.637a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.183zM366.82 289.1a18.008 31.236 31.906 0 1 .002 0 18.008 31.236 31.906 0 1 11.18 15.203 18.008 31.236 31.906 0 1-45 25.98A18.008 31.236 31.906 0 1 366.82 289.1zM89.297 318.48a31.236 18.008 58.094 0 1 33.818 41.184 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.204zm333.52 0A18.008 31.236 31.906 0 1 434 333.684a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.184zm-221.52 2.954a31.236 18.008 58.094 0 1 33.818 41.183 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203zm0 61.71a31.236 18.008 58.094 0 1 33.818 41.182 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203zm109.52 0A18.008 31.236 31.906 0 1 322 398.345a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.183z"}}]})(props);
};
function GiPerspectiveDiceSixFacesOne (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.76 44.764c-6.176 0-12.353 1.384-17.137 4.152L85.87 137.276c-9.57 5.536-9.57 14.29 0 19.826l152.753 88.36c9.57 5.536 24.703 5.536 34.272 0l152.753-88.36c9.57-5.535 9.57-14.29 0-19.825l-152.753-88.36c-4.785-2.77-10.96-4.153-17.135-4.153zm.926 82.855a31.953 18.96 0 0 1 22.127 32.362 31.953 18.96 0 1 1-45.188-26.812 31.953 18.96 0 0 1 23.06-5.55zM75.67 173.84c-5.753-.155-9.664 4.336-9.664 12.28v157.696c0 11.052 7.57 24.163 17.14 29.69l146.93 84.848c9.57 5.526 17.14 1.156 17.14-9.895V290.76c0-11.052-7.57-24.16-17.14-29.688l-146.93-84.847c-2.69-1.555-5.225-2.327-7.476-2.387zm360.773.002c-2.25.06-4.783.83-7.474 2.385l-146.935 84.847c-9.57 5.527-17.14 18.638-17.14 29.69v157.7c0 11.05 7.57 15.418 17.14 9.89L428.97 373.51c9.57-5.527 17.137-18.636 17.137-29.688v-157.7c0-7.942-3.91-12.432-9.664-12.278zM89.297 195.77a31.236 18.008 58.094 0 1 33.818 41.183 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203zm221.52 64.664A18.008 31.236 31.906 0 1 322 275.637a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.183zM145.296 289.1a31.236 18.008 58.094 0 1 33.818 41.183 31.236 18.008 58.094 0 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203zm277.523 29.38A18.008 31.236 31.906 0 1 434 333.684a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.184zm-221.52 64.663a31.236 18.008 58.094 0 1 33.817 41.183 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203z"}}]})(props);
};
function GiPerspectiveDiceSixFacesRandom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.76 44.764c-6.176 0-12.353 1.384-17.137 4.152L85.87 137.276c-9.57 5.536-9.57 14.29 0 19.826l152.753 88.36c9.57 5.536 24.703 5.536 34.272 0l152.753-88.36c9.57-5.535 9.57-14.29 0-19.825l-152.753-88.36c-4.785-2.77-10.96-4.153-17.135-4.153zm-.824 53.11c9.013.097 17.117 2.162 24.31 6.192 4.92 2.758 8.143 5.903 9.666 9.438 1.473 3.507 1.56 8.13.26 13.865l-1.6 5.706c-1.06 4.083-1.28 7.02-.66 8.81.57 1.764 1.983 3.278 4.242 4.544l3.39 1.898-33.235 18.62-3.693-2.067c-4.118-2.306-6.744-4.912-7.883-7.82-1.188-2.935-.99-7.603.594-14.005l1.524-5.748c.887-3.423.973-6.23.26-8.418-.653-2.224-2.134-3.983-4.444-5.277-3.515-1.97-7.726-2.676-12.63-2.123-4.956.526-10.072 2.268-15.35 5.225-4.972 2.785-9.487 6.272-13.55 10.46-4.112 4.162-7.64 8.924-10.587 14.288L171.9 138.21c5.318-5.34 10.543-10.01 15.676-14.013 5.134-4 10.554-7.6 16.262-10.8 14.976-8.39 28.903-13.38 41.78-14.967 3.208-.404 6.315-.59 9.32-.557zm50.757 56.7l26.815 15.024-33.235 18.62-26.816-15.023 33.236-18.62zM75.67 173.84c-5.753-.155-9.664 4.336-9.664 12.28v157.696c0 11.052 7.57 24.163 17.14 29.69l146.93 84.848c9.57 5.526 17.14 1.156 17.14-9.895V290.76c0-11.052-7.57-24.16-17.14-29.688l-146.93-84.847c-2.69-1.555-5.225-2.327-7.476-2.387zm360.773.002c-2.25.06-4.783.83-7.474 2.385l-146.935 84.847c-9.57 5.527-17.14 18.638-17.14 29.69v157.7c0 11.05 7.57 15.418 17.14 9.89L428.97 373.51c9.57-5.527 17.137-18.636 17.137-29.688v-157.7c0-7.942-3.91-12.432-9.664-12.278zm-321.545 63.752c6.553 1.366 12.538 3.038 17.954 5.013 5.415 1.976 10.643 4.417 15.68 7.325 13.213 7.63 23.286 16.324 30.218 26.082 6.932 9.7 10.398 20.046 10.398 31.04 0 5.64-1.055 10.094-3.168 13.364-2.112 3.212-5.714 5.91-10.804 8.094l-5.2 1.92c-3.682 1.442-6.093 2.928-7.23 4.46-1.137 1.472-1.705 3.502-1.705 6.092v3.885l-29.325-16.933v-4.23c0-4.72.892-8.376 2.68-10.97 1.787-2.652 5.552-5.14 11.292-7.467l5.2-2.006c3.087-1.21 5.334-2.732 6.742-4.567 1.46-1.803 2.192-4.028 2.192-6.676 0-4.027-1.3-7.915-3.9-11.66-2.6-3.804-6.227-7.05-10.885-9.74-4.387-2.532-9.126-4.29-14.217-5.272-5.09-1.04-10.398-1.254-15.922-.645v-27.11zm269.54 8.607c1.522 0 2.932.165 4.232.493 6.932 1.696 10.398 8.04 10.398 19.034 0 5.64-1.056 11.314-3.168 17.023-2.112 5.65-5.714 12.507-10.804 20.568l-5.2 7.924c-3.682 5.695-6.093 9.963-7.23 12.807-1.137 2.785-1.705 5.473-1.705 8.063v3.885l-29.325 16.932v-4.23c0-4.72.894-9.41 2.68-14.067 1.79-4.715 5.552-11.55 11.292-20.504l5.2-8.01c3.087-4.776 5.334-8.894 6.742-12.354 1.46-3.492 2.192-6.562 2.192-9.21 0-4.028-1.3-6.414-3.898-7.158-2.6-.8-6.23.142-10.887 2.83-4.387 2.533-9.124 6.25-14.215 11.145-5.09 4.84-10.398 10.752-15.922 17.74v-27.11c6.553-6.2 12.536-11.44 17.95-15.718 5.417-4.278 10.645-7.87 15.68-10.777 10.738-6.2 19.4-9.302 25.99-9.307zm-252.723 94.515l29.326 16.93v30.736l-29.325-16.93v-30.735zm239.246 8.06v30.735l-29.325 16.93v-30.733l29.326-16.932z"}}]})(props);
};
function GiPerspectiveDiceSixFacesSix (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.76 44.764c-6.176 0-12.353 1.384-17.137 4.152L85.87 137.276c-9.57 5.536-9.57 14.29 0 19.826l152.753 88.36c9.57 5.536 24.703 5.536 34.272 0l152.753-88.36c9.57-5.535 9.57-14.29 0-19.825l-152.753-88.36c-4.785-2.77-10.96-4.153-17.135-4.153zm1.86 12.423a31.953 18.96 0 0 1 21.194 5.536 31.953 18.96 0 0 1-45.187 26.812 31.953 18.96 0 0 1 23.992-32.347zm58.43 35.208a31.953 18.96 0 0 1 22.13 32.363 31.953 18.96 0 0 1-45.19-26.813 31.953 18.96 0 0 1 23.06-5.55zm-177.603 34.98a31.953 18.96 0 0 1 .002 0 31.953 18.96 0 0 1 21.195 5.535 31.953 18.96 0 0 1-45.19 26.813 31.953 18.96 0 0 1 23.992-32.348zm237.903.26a31.953 18.96 0 0 1 .002 0 31.953 18.96 0 0 1 21.195 5.535 31.953 18.96 0 0 1-45.19 26.812 31.953 18.96 0 0 1 23.993-32.347zm-179.03 35.21a31.953 18.96 0 0 1 22.127 32.362 31.953 18.96 0 1 1-45.187-26.812 31.953 18.96 0 0 1 23.06-5.55zM75.67 173.84c-5.753-.155-9.664 4.336-9.664 12.28v157.696c0 11.052 7.57 24.163 17.14 29.69l146.93 84.848c9.57 5.526 17.14 1.156 17.14-9.895V290.76c0-11.052-7.57-24.16-17.14-29.688l-146.93-84.847c-2.69-1.555-5.225-2.327-7.476-2.387zm360.773.002c-2.25.06-4.783.83-7.474 2.385l-146.935 84.847c-9.57 5.527-17.14 18.638-17.14 29.69v157.7c0 11.05 7.57 15.418 17.14 9.89L428.97 373.51c9.57-5.527 17.137-18.636 17.137-29.688v-157.7c0-7.942-3.91-12.432-9.664-12.278zM89.297 195.77a31.236 18.008 58.094 0 1 33.818 41.183 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203zm333.52 0A18.008 31.236 31.906 0 1 434 210.973a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.183zm-165.198 2.314a31.953 18.96 0 0 1 21.194 5.535 31.953 18.96 0 0 1-45.187 26.812 31.953 18.96 0 0 1 23.992-32.348zm-56.323 62.35a31.236 18.008 58.094 0 1 33.818 41.183 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203zm109.52 0A18.008 31.236 31.906 0 1 322 275.637a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.183zM145.296 289.1a31.236 18.008 58.094 0 1 33.818 41.183 31.236 18.008 58.094 0 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203zm-55.998 29.38a31.236 18.008 58.094 0 1 33.818 41.184 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.204zm333.52 0A18.008 31.236 31.906 0 1 434 333.684a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.184zm-221.52 64.663a31.236 18.008 58.094 0 1 33.818 41.183 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203zm109.52 0A18.008 31.236 31.906 0 1 322 398.346a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.183z"}}]})(props);
};
function GiPerspectiveDiceSixFacesThree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.76 44.764c-6.176 0-12.353 1.384-17.137 4.152L85.87 137.276c-9.57 5.536-9.57 14.29 0 19.826l152.753 88.36c9.57 5.536 24.703 5.536 34.272 0l152.753-88.36c9.57-5.535 9.57-14.29 0-19.825l-152.753-88.36c-4.785-2.77-10.96-4.153-17.135-4.153zm-117.313 82.61a31.953 18.96 0 0 1 .002 0 31.953 18.96 0 0 1 21.195 5.536 31.953 18.96 0 0 1-45.19 26.813 31.953 18.96 0 0 1 23.992-32.348zm118.24.245a31.953 18.96 0 0 1 22.125 32.362 31.953 18.96 0 1 1-45.187-26.812 31.953 18.96 0 0 1 23.06-5.55zm119.663.015a31.953 18.96 0 0 1 .002 0 31.953 18.96 0 0 1 21.195 5.535 31.953 18.96 0 0 1-45.19 26.812 31.953 18.96 0 0 1 23.993-32.347zM75.67 173.84c-5.753-.155-9.664 4.336-9.664 12.28v157.696c0 11.052 7.57 24.163 17.14 29.69l146.93 84.848c9.57 5.526 17.14 1.156 17.14-9.895V290.76c0-11.052-7.57-24.16-17.14-29.688l-146.93-84.847c-2.69-1.555-5.225-2.327-7.476-2.387zm360.773.002c-2.25.06-4.783.83-7.474 2.385l-146.935 84.847c-9.57 5.527-17.14 18.638-17.14 29.69v157.7c0 11.05 7.57 15.418 17.14 9.89L428.97 373.51c9.57-5.527 17.137-18.636 17.137-29.688v-157.7c0-7.942-3.91-12.432-9.664-12.278zm-235.146 86.592a31.236 18.008 58.094 0 1 33.818 41.183 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203zM366.82 289.1a18.008 31.236 31.906 0 1 .002 0 18.008 31.236 31.906 0 1 11.18 15.203 18.008 31.236 31.906 0 1-45 25.98A18.008 31.236 31.906 0 1 366.82 289.1zM89.297 318.48a31.236 18.008 58.094 0 1 33.818 41.184 31.236 18.008 58.094 1 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.204z"}}]})(props);
};
function GiPerspectiveDiceSixFacesTwo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.75 44.813c-6.187 0-12.75 1.563-17.125 4.093L85.875 137.28c-4.375 2.532-7.094 6.33-7.094 9.907 0 3.58 2.69 7.376 7.064 9.907l152.78 88.375c4.376 2.53 10.94 4.093 17.126 4.093 6.187 0 12.782-1.564 17.156-4.094l152.75-88.376c4.375-2.53 7.094-6.328 7.094-9.906 0-3.58-2.75-7.376-7.125-9.907l-152.75-88.374c-4.375-2.53-10.938-4.094-17.125-4.093zm0 12.343a31.953 18.96 0 0 1 23.063 5.563 31.953 18.96 0 0 1-45.188 26.81 31.953 18.96 0 0 1 20.813-32.343 31.953 18.96 0 0 1 1.312-.03zM75.07 173.95c-1.497.048-2.873.402-4.033 1.07-3.094 1.787-5.033 6.043-5.033 11.095v157.688c0 5.052 1.94 11.547 5.033 16.906 3.094 5.358 7.723 10.27 12.098 12.796l146.945 84.857c4.375 2.527 9.03 2.974 12.123 1.188 3.094-1.785 5.008-6.056 5.008-11.11V290.755c0-5.052-1.913-11.532-5.007-16.89-3.094-5.36-7.748-10.255-12.123-12.782L83.135 176.225c-2.735-1.58-5.57-2.352-8.065-2.274zm361.97.017c-2.504-.083-5.348.684-8.083 2.263L282.04 261.07c-4.376 2.527-9.03 7.456-12.124 12.815l-.082.14c-3.047 5.332-4.926 11.71-4.926 16.72v157.718c0 5.052 1.914 9.323 5.008 11.11 3.094 1.785 7.748 1.305 12.123-1.22l146.917-84.84c4.375-2.528 9.03-7.423 12.125-12.783 3.094-5.36 5.033-11.853 5.033-16.906v-157.72c0-5.05-1.94-9.275-5.033-11.06-1.16-.67-2.54-1.028-4.043-1.077zm-14.222 21.803A18.008 31.236 31.906 0 1 434 210.973a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.183zm-167.068 2.292a31.953 18.96 0 0 1 23.063 5.563 31.953 18.96 0 0 1-45.188 26.813 31.953 18.96 0 0 1 20.813-32.344 31.953 18.96 0 0 1 1.312-.03zM145.295 289.1a31.236 18.008 58.094 0 1 33.818 41.183 31.236 18.008 58.094 0 1-45-25.98 31.236 18.008 58.094 0 1 11.182-15.203zm221.525 0a18.008 31.236 31.906 0 1 .002 0 18.008 31.236 31.906 0 1 11.18 15.203 18.008 31.236 31.906 0 1-45 25.98A18.008 31.236 31.906 0 1 366.82 289.1zm-56.002 94.043A18.008 31.236 31.906 0 1 322 398.346a18.008 31.236 31.906 0 1-45 25.98 18.008 31.236 31.906 0 1 33.818-41.183z"}}]})(props);
};
function GiPerspectiveDiceSix (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.703 44.764c-6.176 0-12.353 1.384-17.137 4.152l-152.752 88.36c-9.57 5.535-9.57 14.29 0 19.826l152.752 88.359c9.57 5.536 24.703 5.536 34.272 0l152.754-88.36c9.57-5.534 9.57-14.289 0-19.824L272.838 48.916c-4.785-2.77-10.96-4.152-17.135-4.152zM238.695 87.27l22.838 14.273c-6.747 1.007-12.586 2.28-17.515 3.818-4.985 1.504-9.272 3.334-12.864 5.489-7.721 4.633-11.09 9.897-10.105 15.793.93 5.86 6.223 12.247 15.875 19.16.26-3.467 1.457-6.652 3.59-9.553 2.077-2.936 5.159-5.629 9.244-8.08 10.28-6.168 22.259-8.83 35.935-7.98 13.722.821 26.568 4.973 38.537 12.455 13.239 8.274 20.334 17.024 21.284 26.251.894 9.194-4.584 17.346-16.436 24.458-13.064 7.838-28.593 10.533-46.588 8.085-18.004-2.508-36.964-9.986-56.877-22.431-20.41-12.756-32.258-25.276-35.547-37.56-3.299-12.347 2.348-22.895 16.938-31.65 4.624-2.774 9.554-5.192 14.79-7.253 5.238-2.061 10.871-3.82 16.901-5.275zm38.678 53.23c-4.169-.007-7.972 1.02-11.406 3.08-4.534 2.72-6.125 5.906-4.774 9.555 1.341 3.587 5.624 7.64 12.85 12.156 7.226 4.516 13.78 7.237 19.666 8.166 5.875.867 11.081-.059 15.615-2.78 4.58-2.747 6.198-5.915 4.858-9.503-1.351-3.65-5.64-7.732-12.866-12.248-7.226-4.516-13.777-7.207-19.652-8.074a27.826 27.826 0 0 0-4.291-.352zm158.494 33.314c-1.938.074-4.218.858-6.955 2.413l-146.935 84.847c-9.57 5.527-17.14 18.638-17.14 29.69v157.699c0 11.05 7.57 15.419 17.14 9.89l146.937-84.843c9.57-5.527 17.137-18.636 17.137-29.688v-157.7c-2.497-8.048-5.23-12.495-10.184-12.308zm-359.763.48c-6.227 0-10.033 5.325-10.155 11.825v157.697c0 11.052 7.57 24.163 17.14 29.69l146.93 84.848c9.57 5.526 17.141 1.156 17.141-9.895v-157.7c0-11.051-7.57-24.159-17.14-29.687L83.09 176.225c-2.567-1.338-4.911-1.93-6.986-1.93zm40.095 52.226l68.114 40.869v25.287l-46.262-27.758v20.64a43.279 43.279 0 0 1 6.262 2.151c2.135.864 4.341 1.98 6.619 3.346 12.953 7.772 23.037 17.902 30.25 30.39 7.212 12.43 10.818 25.912 10.818 40.448 0 14.416-3.938 23.342-11.814 26.777-7.83 3.464-18.72 1.01-32.67-7.36-6.026-3.615-12.005-7.948-17.936-12.996-5.884-4.96-11.744-10.68-17.58-17.16v-27.076c5.789 7.643 11.27 14.06 16.441 19.248 5.22 5.217 10.13 9.205 14.733 11.967 6.643 3.986 11.862 5.092 15.658 3.318 3.843-1.804 5.766-6.19 5.766-13.16 0-7.03-1.923-13.723-5.766-20.08-3.796-6.328-9.015-11.485-15.658-15.47a56.585 56.585 0 0 0-12.598-5.594c-4.46-1.426-9.252-2.335-14.377-2.729V226.52zm270.047 5.732v85.809L400 309.809v25.414l-13.754 8.252v24.777l-23.502 14.102v-24.778L320 383.223v-30.06l38.611-104.331 27.635-16.58zm-23.502 42.978l-27.248 73.28 27.248-16.348V275.23z"}}]})(props);
};
function GiPerspectiveDiceThree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.703 44.764c-6.176 0-12.353 1.384-17.137 4.152l-152.752 88.36c-9.57 5.535-9.57 14.29 0 19.826l152.752 88.359c9.57 5.536 24.703 5.536 34.272 0l152.754-88.36c9.57-5.534 9.57-14.289 0-19.824L272.838 48.916c-4.785-2.77-10.96-4.152-17.135-4.152zm-16.066 47.728c10.426.07 20.268 2.997 29.523 8.781 7.217 4.51 11.503 9.194 12.86 14.05 1.3 4.82-.311 9.735-4.838 14.745 9.307-2.952 18.48-3.867 27.521-2.746 9.034 1.059 17.655 4.151 25.863 9.282 12.23 7.643 17.511 15.88 15.842 24.71-1.724 8.796-10.313 17.83-25.767 27.102-5.452 3.271-11.452 6.23-17.998 8.875-6.444 2.651-13.363 4.946-20.758 6.887l-24.541-15.338c8.095-1.213 15.424-2.846 21.992-4.897 6.56-2.114 12.283-4.634 17.166-7.564 7.253-4.352 11.34-8.594 12.26-12.723.967-4.157-1.277-7.939-6.73-11.347-5.62-3.512-11.851-4.97-18.698-4.371-6.855.536-14.146 3.123-21.873 7.76l-10.951 6.57-20.494-12.809 11.52-6.912c6.873-4.125 10.755-7.97 11.642-11.54.832-3.603-1.314-7.006-6.438-10.208-4.737-2.961-10.036-4.268-15.896-3.924-5.86.344-11.779 2.309-17.752 5.893-4.41 2.645-8.286 5.68-11.633 9.105-3.347 3.425-6.119 7.18-8.316 11.266l-23.303-14.565a99.387 99.387 0 0 1 12.105-12.12 109.57 109.57 0 0 1 14.323-10.214c13.795-8.277 26.75-12.81 38.865-13.601a58.478 58.478 0 0 1 4.504-.147zm196.23 81.322c-1.938.074-4.218.858-6.955 2.413l-146.935 84.847c-9.57 5.527-17.14 18.638-17.14 29.69v157.699c0 11.05 7.57 15.419 17.14 9.89l146.937-84.843c9.57-5.527 17.137-18.636 17.137-29.688v-157.7c-2.497-8.048-5.23-12.495-10.184-12.308zm-359.763.48c-6.227 0-10.033 5.325-10.155 11.825v157.697c0 11.052 7.57 24.163 17.14 29.69l146.93 84.848c9.57 5.526 17.141 1.156 17.141-9.895v-157.7c0-11.051-7.57-24.159-17.14-29.687L83.09 176.225c-2.567-1.338-4.911-1.93-6.986-1.93zm36.19 57.757c6.391 1.269 12.707 3.12 18.95 5.553 6.243 2.373 12.363 5.36 18.36 8.958 13.173 7.905 23.398 17.558 30.673 28.961 7.324 11.433 10.985 23.444 10.985 36.03 0 7.277-1.548 13.148-4.645 17.613-3.097 4.405-9.61 8.908-19.539 13.508l-23.521 10.94L192 382.68V408l-80-48v-25.32l40.184-18.928c3.588-1.784 6.244-4.038 7.964-6.764 1.72-2.725 2.58-6.115 2.58-10.172 0-6.263-1.746-12.35-5.236-18.261-3.44-5.882-8.036-10.55-13.787-14-4.424-2.655-9.266-4.397-14.525-5.227-5.26-.889-10.888-.865-16.885.07v-29.347zm261.876 7.447v111.77L400 335.77V360l-79.316 47.59v-24.23l25.832-15.499v-87.904L320 302.424v-23.865l26.363-22.377 27.807-16.684z"}}]})(props);
};
function GiPerspectiveDiceTwo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.703 44.764c-6.176 0-12.353 1.384-17.137 4.152l-152.752 88.36c-9.57 5.535-9.57 14.29 0 19.826l152.752 88.359c9.57 5.536 24.703 5.536 34.272 0l152.754-88.36c9.57-5.534 9.57-14.289 0-19.824L272.838 48.916c-4.785-2.77-10.96-4.152-17.135-4.152zm-14.887 48.478c12.954.21 24.983 3.786 36.088 10.727 6.85 4.28 11.7 9.21 14.555 14.787 2.798 5.542 4.201 14.398 4.209 26.566l.059 28.848 48.441-29.065L368 160l-80 48-23.832-14.895-.32-49.425c-.117-4.47-1.084-8.326-2.9-11.569-1.817-3.242-4.634-6.057-8.452-8.443-5.895-3.684-12.384-5.602-19.467-5.754-7.034-.181-13.426 1.454-19.177 4.904-4.424 2.655-8.17 6.244-11.24 10.768-3.127 4.489-5.556 9.868-7.286 16.133l-27.62-17.264a101.484 101.484 0 0 1 13.476-14.79c4.951-4.554 10.425-8.63 16.422-12.228 13.173-7.904 26.71-11.968 40.609-12.193a75.55 75.55 0 0 1 2.603-.002zm195.051 80.572c-1.938.074-4.218.858-6.955 2.413l-146.935 84.847c-9.57 5.527-17.14 18.638-17.14 29.69v157.699c0 11.05 7.57 15.419 17.14 9.89l146.937-84.843c9.57-5.527 17.137-18.636 17.137-29.688v-157.7c-2.497-8.048-5.23-12.495-10.184-12.308zm-359.763.48c-6.227 0-10.033 5.325-10.155 11.825v157.697c0 11.052 7.57 24.163 17.14 29.69l146.93 84.848c9.57 5.526 17.141 1.156 17.141-9.895v-157.7c0-11.051-7.57-24.159-17.14-29.687L83.09 176.225c-2.567-1.338-4.911-1.93-6.986-1.93zM112 230.56l26.363 9.26 27.807 16.683v111.77L192 383.77V408l-79.316-47.59v-24.23l25.832 15.498v-87.903L112 254.424v-23.865zm271.182 9.203c.441-.013.874-.01 1.295.006.962.037 1.869.151 2.722.341 6.874 1.437 10.313 7.774 10.313 19.012 0 7.668-1.637 14.941-4.908 21.82-3.272 6.821-8.106 13.147-14.506 18.977 7.158-2.012 12.587-1.29 16.285 2.17 3.745 3.372 5.617 9.417 5.617 18.139 0 12.994-4.03 25.304-12.09 36.93-8.06 11.566-19.815 21.986-35.27 31.259-5.451 3.271-10.928 6-16.427 8.188-5.452 2.217-10.856 3.85-16.213 4.898v-26.076a53.81 53.81 0 0 0 15.219-1.93c5.072-1.463 10.048-3.66 14.931-6.59 7.254-4.352 12.801-9.23 16.641-14.636 3.887-5.435 5.832-11.051 5.832-16.846 0-5.97-1.992-9.281-5.975-9.936-3.934-.741-9.764 1.206-17.492 5.842l-10.95 6.57v-21.773l11.519-6.912c6.874-4.125 11.993-8.513 15.359-13.166 3.366-4.712 5.049-9.791 5.049-15.235 0-5.033-1.635-7.944-4.906-8.732-3.272-.788-7.894.61-13.868 4.193-4.409 2.646-8.865 5.934-13.369 9.866-4.503 3.931-8.983 8.434-13.44 13.507v-24.76c5.405-5.115 10.763-9.734 16.073-13.857 5.31-4.122 10.525-7.719 15.645-10.79 11.316-6.79 20.287-10.284 26.914-10.48z"}}]})(props);
};
function GiPeru (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M110.3 191.6c78.1 150.9 158.3 243 262 301.8l38.2-50.9c-6.7-36.9-10.5-61.8-5.7-115.7-35.8-22.4-96.9-56.4-120-105.7 21.8-50 69.6-74.6 106.8-115.4-55-22.45-105.4-40.4-142.8-78.85C238 74.16 192.5 130 155.5 154.1c-25.3-9.8-27.3-17.6-33.2-42.2-24.87 13.7-25.55 53.4-12 79.7z"}}]})(props);
};
function GiPestleMortar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M454.26 312.874C454.26 402.782 365.33 476 256 476c-109.33 0-198.26-73.17-198.26-163.126a136.787 136.787 0 0 1 11.16-53.956c7.295 20.99 25.277 40.055 52.422 55.05 34.442 19.043 80.042 29.533 128.384 29.533 48.343 0 93.943-10.49 128.385-29.53 34.442-19.043 54.29-44.805 55.963-72.71a139.07 139.07 0 0 1 20.206 71.614zM416.842 64.578c-12.99-11.33-27.49-20.506-39.813-25.174-11.215-4.265-19.826-4.53-23.606-.75l-.554.508-5.21 4.426a8.253 8.253 0 0 0-1.026 11.527 26.57 26.57 0 0 1-.495 34.487L177.18 283.135a58.106 58.106 0 0 0-13.693 28.92c26.027 8.53 55.674 13.015 86.254 13.015 9.637 0 19.33-.46 28.887-1.36l110.575-189.557a26.66 26.66 0 0 1 37.312-9.083l.68.427a8.242 8.242 0 0 0 11.043-2.087l7.988-10.916c4.876-6.478-4.957-26.638-29.382-47.916zm-148.164 85.76a309.78 309.78 0 0 0-18.893-.59c-45.277 0-87.706 9.672-119.462 27.227-30.027 16.598-46.568 38.038-46.568 60.434 0 22.395 16.54 43.8 46.568 60.434 4.968 2.743 10.224 5.28 15.687 7.63a76.4 76.4 0 0 1 17.29-34.476zm100.57 147.54c30.027-16.598 46.568-38.038 46.568-60.434 0-19.17-12.16-37.67-34.58-53.023l-79.454 136.13c25.21-4.425 48.262-12.125 67.408-22.706z"}}]})(props);
};
function GiPharoah (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.515 24.295c-9.043.774-19.553 3.007-30.732 6.514l10.043 43.24c6.404-2.392 13.105-4.154 20.11-5.038l.58-44.717zm18.69.018l-.58 44.527c7.186.777 14.055 2.486 20.615 4.863l10.015-43.13c-10.946-3.37-21.215-5.51-30.05-6.26zm47.77 12.574l-10.204 43.94c3.492.978 6.903 2.132 10.194 3.456l33.313-30.94c-10.877-6.45-22.21-11.984-33.3-16.456zm-114.892.33c-11.06 4.526-22.338 10.102-33.152 16.582l33.195 30.827c3.268-1.37 6.667-2.544 10.146-3.543l-10.187-43.867zM362.41 63.865l-32.453 30.14c1.542 1.29 2.987 2.677 4.318 4.17l41.937-.325c-4.223-11.007-8.47-22.022-12.656-33.168-.38-.276-.765-.544-1.146-.817zm-213.547.514c-.138.1-.28.196-.416.296-4.22 11.237-8.502 22.342-12.76 33.437l41.826.367c1.21-1.374 2.513-2.662 3.9-3.867l-32.55-30.234zm97.006 30.628c-1.08-.014-2.177-.013-3.29.004-15.543.238-33.837 4.058-44.36 10.428-5.26 3.185-8.326 6.674-9.54 10.084-.823 2.308-1.11 4.925-.124 8.47 6.752-10.526 17.003-16.32 27.36-17.094 1.465-.11 2.925-.145 4.38-.115 10.185.21 20.108 3.645 29.89 7.563l-6.948 17.347c-10.284-4.118-19.614-6.63-25.932-6.158-6.318.472-10.116 2.216-14.46 11.094l-11.39-5.573a9.345 9.345 0 0 1-13.728 10.976c-3.358-2.066-5.31-1.69-5.404-1.715.015.274.078.86.363 2.395 2.545 13.71 3.765 24.454 9.113 35.607.06-.37.27-.846.264-1.152a9.345 9.345 0 0 1 18.404-2.467c3.085 12.266 8.35 27.187 14.824 37.968 3.237 5.39 6.782 9.69 9.983 12.2 3.2 2.513 5.602 3.277 8.24 3.052 2.436-.208 4.967.714 6.443 1.76 1.477 1.046 2.203 2.064 2.71 2.86 1.02 1.595 1.267 2.587 1.537 3.532.54 1.892.772 3.565 1.013 5.608.482 4.085.795 9.366 1.05 15.722.513 12.714.75 29.55 1.04 46.725.29 17.174.633 34.678 1.328 48.406.348 6.864.79 12.8 1.32 17.106.375 3.06 1.284 5.63 1.313 6.128.228.29.043.036.45.46.84.87 1.977 1.947 3.03 2.82.594.49.822.603 1.25.89.427-.287.655-.4 1.248-.89 1.054-.873 2.19-1.95 3.03-2.82.408-.424.223-.17.452-.46.03-.498.94-3.07 1.316-6.13.53-4.307.973-10.243 1.323-17.107.697-13.727 1.043-31.23 1.337-48.405.293-17.174.535-34.01 1.05-46.725.258-6.356.57-11.637 1.053-15.722.242-2.043.476-3.717 1.016-5.608.27-.945.52-1.937 1.537-3.53.51-.798 1.232-1.815 2.71-2.86 1.475-1.046 4.006-1.968 6.442-1.76 2.638.226 5.037-.538 8.235-3.05 3.197-2.51 6.737-6.81 9.97-12.2 6.467-10.78 11.725-25.7 14.81-37.97a9.345 9.345 0 0 1 18.405 2.468c-.006.308.204.786.264 1.158 5.36-11.16 6.6-21.908 9.143-35.613.285-1.535.348-2.12.364-2.395-.095.026-2.047-.35-5.405 1.715a9.345 9.345 0 0 1-13.767-10.857l-11.145 5.455c-4.345-8.877-8.142-10.62-14.46-11.093-6.32-.47-15.65 2.04-25.932 6.158l-6.95-17.347c9.783-3.918 19.706-7.352 29.89-7.563 1.456-.03 2.916.006 4.382.115 10.295.768 20.49 6.495 27.242 16.903 1.157-4.157.537-7.015-.838-9.73-1.948-3.845-6.715-7.964-13.877-11.237-14.323-6.546-36.892-8.966-51.803-7.29a9.345 9.345 0 0 1-2.09 0c-2.786-.313-5.85-.495-9.085-.538zm93.837 45.31c.007-.002.09.007.072-.002-.04-.02-.055-.062-.064-.11 0 .02-.008.086-.01.112zm-167.383 0c0-.026-.01-.092-.01-.11-.01.046-.025.09-.063.108-.016.01.066 0 .074.002zm-43.56-24.045c-2.29 6.08-4.55 12.18-6.77 18.305l33.045-.086c1.51-4.684 4.505-8.696 8.784-10.857 1.863-.942 3.79-1.538 5.744-1.85-.107-1.58-.118-3.145-.027-4.683l-40.78-.36.005-.47zm254.55.21l-40.895.32c.124 1.63.145 3.292.037 4.98 1.956.312 3.884.91 5.75 1.852 4.183 2.113 7.132 6 8.673 10.55l33.014.083c-2.16-5.952-4.354-11.876-6.58-17.784zM223.166 133.75c10.037-.22 18.92 8.16 19.4 15.402-10.74 5.74-28 2.03-34.354-.367l-9.318.733 8.588-6.946c4.85-6.233 10.426-8.707 15.684-8.822zm65.046 0c5.258.115 10.833 2.59 15.684 8.822l8.588 6.946-9.318-.733c-6.355 2.396-23.615 6.106-34.354.367.48-7.242 9.363-15.622 19.4-15.402zm68.31 19.12c-.965 5.556-1.963 11.17-3.464 16.935l48.988.1c-1.795-5.694-3.656-11.333-5.564-16.932l-39.96-.102zm-200.96.31l-40.154.103c-1.906 5.6-3.762 11.237-5.555 16.932l49.184-.1c-1.51-5.757-2.515-11.39-3.475-16.935zM256 172.074c4.22 3.656 9.21 3.53 14.093 3.875-3.58 4.924-7.777 9.088-14.093 10.593-6.317-1.505-10.514-5.67-14.094-10.594 4.884-.346 9.872-.22 14.094-3.876zm90.048 16.405c-1.518 2.962-3.255 5.957-5.314 8.995-2.754 4.062-9.806 6.16-13.95 4.88-1.48-.46-2.676-1.087-3.767-1.775-.21.56-.432 1.12-.65 1.682l-1.067 4.888 91.078-.607c-1.496-6.058-3.078-12.034-4.744-17.936l-61.586-.128zm-179.935.307l-61.834.13c-1.66 5.886-3.236 11.85-4.726 17.892l91.235.657-1.12-5.125c-.23-.59-.462-1.177-.684-1.766-1.093.69-2.288 1.318-3.772 1.778-4.143 1.282-11.195-.817-13.95-4.88-1.987-2.93-3.67-5.824-5.15-8.687zm82.248 5.838c2.965.038 6.15 1.136 7.64 2.793 2.918-4.328 12.308-2.212 13.28-.72 3.108 4.772 6.417 6.15 8.938 7.564-8.256 15.075-14.46 12.647-22.218 13.625-7.76-.978-13.963 1.45-22.22-13.625 2.522-1.415 5.863-2.792 8.97-7.563 1.135-1.492 3.306-2.104 5.61-2.075zm168.266 30.58l-99.412.662-3.818 17.498H420.05c-1.04-6.152-2.184-12.2-3.424-18.16zm-321.308.262c-1.24 5.975-2.386 12.04-3.424 18.21H198.7l-3.822-17.493-99.56-.717zm106.068 36.513v.385h-94.892c.656.71 1.315 1.406 1.976 2.086 6.65 6.843 13.19 11.907 22.233 13.71l6.12 1.22.014.067 66.065-.168c-.454-5.694-.95-11.45-1.516-17.3zm109.25.075c-.552 5.718-1.04 11.346-1.486 16.914l66.68.17v.116l5.498-1.096c9.042-1.803 15.57-6.864 22.213-13.705.758-.78 1.51-1.584 2.26-2.4h-95.164zm-82.91.1c-2.5.4-4.98.845-7.422 1.35 4.648 49.663 5.368 93.934 2.59 133.49 10.288 2.474 21.297 3.843 32.762 3.843 11.72 0 22.96-1.433 33.443-4.012-2.755-39.478-2.02-83.645 2.612-133.178-2.44-.514-4.92-.967-7.42-1.38-.402 11.81-.634 26.74-.898 42.175-.294 17.207-.638 34.822-1.36 49.037-.363 7.108-.813 13.35-1.44 18.438-.625 5.09-.38 8.172-3.493 13.2-1.352 2.186-2.078 2.746-3.37 4.085-1.292 1.34-2.838 2.813-4.57 4.246-1.733 1.432-3.547 2.823-6.008 4.01-1.23.595-2.636 1.186-4.69 1.436-.683.084-1.596-.03-2.462-.1-.867.07-1.78.184-2.463.1-2.054-.25-3.46-.84-4.69-1.435-2.46-1.187-4.275-2.578-6.008-4.01-1.733-1.434-3.28-2.907-4.57-4.247-1.293-1.34-2.02-1.9-3.372-4.084-3.115-5.032-2.87-8.115-3.494-13.204-.625-5.09-1.074-11.33-1.434-18.438-.72-14.215-1.06-31.83-1.35-49.037-.26-15.483-.492-30.46-.894-42.286zM99.28 281.544c-.72 1.317-1.373 2.64-1.937 3.967-50.147 118.058 18.382 202.193 158.66 202.193 140.28 0 208.8-84.135 158.653-202.193-.563-1.325-1.214-2.642-1.932-3.953-5.785 5.29-12.737 10.232-21.365 13.17-.64 3.412-1.235 6.815-1.816 10.213 9.45 14.837 14.872 31.597 14.872 49.397 0 32.043-17.544 60.723-44.6 80.857-27.056 20.135-63.782 32.237-104.16 32.237s-77.107-12.102-104.162-32.237c-27.056-20.134-44.6-48.814-44.6-80.857 0-18.156 5.636-35.23 15.44-50.283-.534-3.105-1.08-6.213-1.663-9.33-8.637-2.94-15.598-7.886-21.39-13.182zm208.54 16.11c-.362 5.946-.652 11.786-.89 17.556l61.794.16c.933-5.773 1.91-11.623 2.965-17.552l-63.87-.164zm-103.594.308l-63.83.164c1.053 5.93 2.026 11.78 2.957 17.553l61.75-.16c-.235-5.77-.518-11.61-.877-17.557zM306.353 333.9c-.115 6.07-.156 12.03-.13 17.897h56.405c1.092-5.836 2.106-11.747 3.086-17.746l-59.36-.15zm-100.686.307l-59.312.154c.98 6.002 1.997 11.91 3.09 17.747h56.346c.03-5.866-.01-11.83-.123-17.9zm-77.955 3.09c-1.398 5.542-2.13 11.237-2.13 17.043 0 16.922 6.143 32.915 17.23 46.867-7.565-21.032-11.59-42.33-15.1-63.91zm256.31 1.773c-3.36 20.423-7.27 40.59-14.27 60.52 10.295-13.566 15.974-28.978 15.974-45.25 0-5.188-.582-10.288-1.703-15.27zm-77.472 31.416c.186 6.065.45 12.015.79 17.856h46.43c1.87-5.867 3.478-11.822 4.92-17.856h-52.14zm-153.16.31c1.446 6.036 3.063 11.99 4.942 17.858h46.31c.345-5.84.616-11.792.807-17.857h-52.06zm155.332 36.235c.455 5.056.955 10.045 1.53 14.925 8.987 5.277 15.403 4.635 21.304 1.768 6.642-3.228 12.41-10.45 14.637-15.412.19-.425.37-.853.557-1.28h-38.028zm-143.338.312c.143.322.278.646.422.97 2.227 4.96 7.996 12.183 14.637 15.41 5.9 2.868 12.317 3.51 21.305-1.767.563-4.78 1.053-9.666 1.502-14.613h-37.866zm125.334 8.347c-11.13 2.5-22.896 3.837-35.062 3.837-11.92 0-23.457-1.284-34.39-3.69-.447 4.378-.925 8.717-1.464 12.974l-.513 4.06-3.333 2.374c-3.628 2.587-7.31 4.56-10.977 6.002 15.542 4.805 32.667 7.5 50.676 7.5 18.158 0 35.418-2.738 51.062-7.62-3.567-1.43-7.147-3.366-10.676-5.882l-3.332-2.375-.513-4.06c-.545-4.304-1.027-8.693-1.48-13.12z"}}]})(props);
};
function GiPhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M170.738 311.468c8.07-42.15 99.697-131.543 138.247-138.247 11.314 11.314 33.94 33.942 56.57 33.942l79.195-79.196c0-22.628-35.103-49.413-56.57-56.57C272.583 32.865 32.865 272.583 71.398 388.182c7.156 21.467 33.94 56.57 56.57 56.57l79.195-79.196c0-22.628-25.11-42.772-36.424-54.086z"}}]})(props);
};
function GiPhotoCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M41 122.496v14h62v-14zm154.73 0l-32 32H137v46h30.682C192.4 159.898 237.08 132.738 288 132.738c50.92 0 95.6 27.16 120.318 67.758H487v-46h-74.73l-32-32c-92.27-9-92.27-9-184.54 0zM288 150.738c-67.903 0-122.758 54.855-122.758 122.758 0 67.903 54.855 122.758 122.758 122.758 67.903 0 122.758-54.855 122.758-122.758 0-67.903-54.855-122.758-122.758-122.758zm-263 3.758v46h94v-46zm263 14.713c57.49 0 104.287 46.796 104.287 104.286S345.49 377.783 288 377.783c-57.49 0-104.287-46.797-104.287-104.287 0-57.49 46.797-104.287 104.287-104.287zm-21.787 22.042c-12.173.42-25.717 6.526-36.78 16.578-20.025 18.19-26.342 43.853-14.11 57.318 12.232 13.465 38.38 9.634 58.406-8.558 20.023-18.192 26.34-43.855 14.108-57.32-5-5.504-12.62-8.33-21.625-8.018zM25 218.496v142h94v-142zm112 0v142h40.412c-18.888-23.96-30.17-54.183-30.17-87 0-19.507 3.988-38.096 11.188-55zm280.57 0c7.2 16.904 11.188 35.493 11.188 55 0 32.817-11.282 63.04-30.17 87H487v-142zM25 378.496v14h94v-14zm112 0v14h75.89c-6.567-4.158-12.763-8.846-18.536-14zm244.646 0c-5.773 5.154-11.97 9.842-18.535 14H487v-14z"}}]})(props);
};
function GiPhrygianCap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M199.45 32.44c-63.218 0-97.076 8.656-114.048 20.824C68.43 65.43 65.354 81.3 64.442 103.804c-.812 20.078 8.487 32.24 24.682 41.27 16.196 9.032 39.41 13.367 62.327 13.367h27.754l-22.472 16.288c-2.394 1.735-11.645 10.576-21 21.288-9.356 10.712-19.584 23.787-26.778 35.492-3.597 5.852-6.422 11.378-8.02 15.8-1.6 4.423-1.673 7.632-1.497 8.338.175.706-.933.092 1.363.623 2.296.53 7.947.523 16.512-1.57l.27-.067.27-.05c83.994-15.137 126.637-7.487 149.456 8.866 22.82 16.352 21.69 41.345 21.115 48.693l-.05.64-.14.625c-12.597 56.263-24.612 98.315-29.312 126.227-2.348 13.956-2.662 24.34-1.245 30.242 1.417 5.903 2.746 7.397 8.162 8.887 6.885 1.893 12.493.396 19.32-4.405 6.824-4.8 14.048-13.155 20.93-23.227 13.646-19.97 25.85-46.075 38.04-64.22 1.832-4.053 5.175-7.714 9.247-9.214 4.652-1.714 8.946-1.15 12.778-.212 7.663 1.874 14.887 5.817 22.117 9.145 7.23 3.327 14.292 5.888 18.702 6.08 4.41.19 5.694.17 8.428-5.297 35.18-70.647 33.552-110.196 31.056-171.61-.086-2.124-.39-4.445-.88-6.913.164 2.162.248 4.346.248 6.548 0 47.872-39.13 87-87 87-47.872 0-87-39.128-87-87 0-47.87 39.128-87 87-87 19.53 0 37.6 6.517 52.156 17.478-11.785-14.373-26.098-28.97-42.278-42.65-46.514-39.325-108.31-70.827-169.25-70.827zm159.374 126c-31.658 0-57 25.343-57 57 0 31.66 25.342 57 57 57 31.657 0 57-25.34 57-57 0-31.657-25.343-57-57-57zm.627 25a32 32 0 0 1 32 32 32 32 0 0 1-32 32 32 32 0 0 1-32-32 32 32 0 0 1 32-32zm-188.697 82.214c-14.436 1.135-30.9 3.255-49.707 6.645-4.754 1.14-9.01 1.894-12.92 2.194 20.238 3.297 46.28 5.702 67.19 10.518 12.69 2.922 23.3 6.953 28.476 10.99 2.588 2.018 3.725 3.746 4.19 5.28.464 1.532.552 3.346-.844 6.708-11.368 27.287-21.213 45.022-29.477 61.402-8.263 16.383-14.97 31.61-19.042 52.313-2.154 10.95-1.99 20.398.752 28.338 2.742 7.94 8.684 14.38 16.272 16.832 15.176 4.905 31.928-4.025 46.705-21.652 7.955-9.49 15.508-18.52 22.64-27.965 3.66-16.793 8.668-36.578 14.25-59.37-13.51 31.78-29.954 51.042-50.685 75.772-12.24 14.6-23.366 17.382-27.375 16.086-2.004-.648-3.48-1.786-4.79-5.578-1.31-3.792-1.83-10.228-.106-18.988 3.684-18.72 9.43-31.778 17.454-47.68 8.022-15.903 18.298-34.453 30.023-62.598l.002-.004v-.006c2.605-6.27 3.24-12.908 1.448-18.828-1.792-5.92-5.716-10.645-10.345-14.256-9.258-7.22-21.703-11.16-35.506-14.338-2.813-.647-5.692-1.247-8.604-1.816z"}}]})(props);
};
function GiPianoKeys (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M24 80v352h64V288H72V80H24zm96 0v208h-16v144h64V288h-16V80h-32zm80 0v208h-16v144h64V288h-16V80h-32zm80 0v208h-16v144h64V80h-48zm64 0v352h64V288h-16V80h-48zm96 0v208h-16v144h64V80h-48z"}}]})(props);
};
function GiPickOfDestiny (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M122.8 17.01C20.21 16.79-22.04 166 76.59 206.7c10.67-6.3 25.11-15.4 39.41-26.1 13.8-10.5 27.4-22.5 37-34.5 9.6-12 14.7-23.7 14-33.5-.7-9.5-7.9-19.54-18.9-27.2-25.3-15.85-49.4-15.59-72.48 0-20.05 14.25-22.96 34.8-6.26 49.5 13.63 9.9 27.9 16.9 41.94 7 14.2-14.3-1.7-23-13.72-30.1l8.82-15.65C116 102.4 125 108 131.6 116.9c10.3 15.1 3.2 30.1-9.8 39.7-22.53 14.5-46.34 7.1-64.22-8.1-27.83-25-18.57-59.16 7.78-77.89 32.38-19.94 63.74-20.03 93.14 0 13.8 9.69 25.3 23.62 26.5 40.79 1.1 16.5-6.8 32-17.9 45.9-11.1 14-25.7 26.7-40.3 37.7-17.5 13.1-34.88 23.7-46.18 30.1.6 8.9 1.7 18.6 3.39 28.6 45.19-20.8 82.89-47.9 105.69-80.5 25.1-35.7 33.1-77.51 13.8-128.27-29.5-19.65-56.8-27.86-80.7-27.92zm266.4 0c-23.9.1-51.2 8.27-80.7 27.92-19.3 50.76-11.3 92.57 13.8 128.27 22.8 32.6 60.5 59.7 105.7 80.5 1.7-10.1 2.8-19.9 3.4-28.9-39.9-26.5-99.7-67.2-104.4-112.4-.8-17.44 6.7-35.21 18.2-49.47 11.4-14.26 27.3-25.4 45.2-26.67 41.2 1.71 81.8 38.65 82.6 75.74 0 14.5-8.3 27.1-18.9 36.5-21.3 15.7-42.2 23-63.9 8.1-7.6-5.5-14.2-13.5-15.2-23.8.6-17.4 16.8-28.5 30.6-36.66l8.8 15.66c-7.2 5.8-18.2 9.6-21.4 19.4.2 3 3 7.4 7.7 10.7 14.4 9.8 30.9 2.2 41.5-6.9 7.9-7 12.8-15.8 12.8-23-3.5-29.64-35.6-59.07-63.4-57.78-10.9.77-23.2 8.59-32.4 19.99C350 85.62 342 100.6 345 111.6c12.6 45.6 53.5 71.8 90.9 94.8 98-41 55.7-189.61-46.7-189.39zM223.7 48c16.4 51.75 7.1 98-19.2 135.6-8.1 11.5-17.6 22.2-28.4 32.2 18.5 7.8 38.1 12.7 55.9 13.2 1.8-11.4 5.7-21.4 9.4-30.7 4.7-12.1 9.1-23 9.9-35.7 1.4-20.2-2.6-53.2-7.1-80.54-2.1-13.29-4.4-25.24-6.1-34.06zm32.7 0c1.6 8.56 3.6 19.28 5.6 31.15 4.6 27.85 8.9 60.95 7.3 84.65-1.1 16-6.5 29.1-11.2 41.1-9 26.1-13.9 32.8-1.9 54.9 3.3 6.1 7.3 13.2 8.5 21.6l99.8-42.8c-3.3-2.3-6.5-4.6-9.6-7-19.1 8.1-48.2 15.5-64.6 3.7-18.5-18.6-4-59.4-.2-84.1-12-30.6-13.8-65.45-1.8-103.2zm47.7 130.6c-2.2 8.4-10 37-3.1 42.2 11.8 5.6 26.6 1.7 38-2.2-13.8-13.3-25.7-25.8-34.9-40zm-143.3 50.2c-4.6 3.6-9.3 7.1-14.2 10.4 33 14.2 66.5 27.1 99.4 41.6-4.1-11.7-12.3-22.6-14.4-33.7-23.6-.7-48.3-7.8-70.8-18.3zM383 250.5L308.8 328c-1.2 13-1.2 23.1-.4 30.6 4 28.7 17.4 24 37.8 29.4 1.7-5.8 3.1-11.6 4.1-17.4-5.1-14.9-10-30.4-10.7-46.7l18-.8c.4 8.9 2.5 18.3 5.3 27.9 33.9-6.3 52.2-42.1 61.4-79.2-14.5-6.5-28.3-13.6-41.3-21.3zm-255.4.9c-12.6 7.4-26 14.2-39.87 20.4 8.54 34.9 25.27 68.6 55.37 77.8 13.8-6.6 25-13.5 30.7-20.4l13.8 11.4c-6.8 8.3-16.3 15-27.2 20.8 3.4 37.5 26.5 78.8 50.9 105.6-2.9-25.6 0-63.4 17.5-73.2-2.5-12.9-5.6-27.3-4.8-39.3 2-22.5 16.3-39.5 21.7-59.4L208 332.8zm136.9 41.9c-2.9 15.7-10.3 28.1-16.2 41.3l41.9-.2c.2-4.4.6-9.1 1.2-14.2zm25.3 48.5l-25 40.6-21.3-34.8c-3.4 14.5.3 31.7 3.4 44.3 13.7 4.3 20 18.5 23.3 30.4 20.3-23.8 43-15.1 63.2-2.9 2.4-4.7 4.6-9.5 6.6-14.3-12.2-2.7-26.3-4.9-34.7-11.8-7.8-6.5-13-17.2-14.8-32.7-.6-5.5-.8-11.7-.7-18.8zM240.4 409c-21.9 10.2-11.1 61.4-6.3 78.3v.2c6.9 4.5 16 9.3 24.3 8.3-1-21 .6-80.8-18-86.8zm63.7 15.9c3.1 8.4 6.2 17.9 8.7 27.5 4.1-5.4 8-11.2 11.7-17.2-6.8-4.2-13.1-7.9-20.4-10.3zm-17.4 5.2c-10.1 17.3-9.4 40.8-9.4 57.7 6.7-4.4 13.8-10.6 20.8-17.9-2.8-13.2-7.2-28.2-11.4-39.8z"}}]})(props);
};
function GiPickelhaube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M460.283 403.386c0 9.601-14.032 27.556-26.827 32.24a32.948 32.948 0 0 1-10.44 1.37c-9.536 0-21.657-2.518-26.519-9.324-6.717-9.514-25.191-39.059-52.14-46.804-19.8-5.69-49.72-6.773-71.189-6.773-3.392 0-6.629 0-9.48.066q-7.436.1-15.048.1c-74.194 0-158.399-7.226-162.244-16.574 4.906 1.039 9.867 1.834 14.64 2.508a414.758 414.758 0 0 0 55.4 3.492h.121c20.165 0 52.859-1.315 85.597-8.155a53.035 53.035 0 1 0-18.695-61.565c-16.485 3.105-37.832 5.525-64.725 5.635h-2.21c-34.252 0-56.228-4.066-61.72-5.844a31.943 31.943 0 0 0-4.32-2.21c5.989-32.926 19.966-69.852 52.25-91.442 26.065-17.435 63.102-21.081 91.045-21.081 13.59 0 25.026.861 32.042 1.425 21.324 1.701 89.165 5.734 123.616 25.313 30.816 17.524 37.567 82.227 39.39 131.958.64 16.806 31.456 56.605 31.456 65.665zM97.18 381.089a75.41 75.41 0 0 1-14.242-4.364 28.948 28.948 0 0 1-7.458-4.696c-8.652 11.049-25.17 34.694-23.667 52.626.497 5.933 10.43 9.116 25.821 9.116 30.937 0 84.072-12.928 126.688-42.429l.254-.187c-24.01-.84-47.51-2.31-67.288-4.276-16.85-1.68-30.352-3.625-40.108-5.79zm170.01-218.251l4.564.353c7.845.597 18.783 1.437 31.147 2.807 5.403-18.938 15.469-18.982 15.734-22.772l.11-1.448a5.9 5.9 0 0 0-1.966-4.927c-18.65-15.922-30.286-52.074-28.43-93.762a5.68 5.68 0 0 0-5.104-6.077h-.387a5.712 5.712 0 0 0-5.524 5.281c-4.232 41.522-20.993 75.586-41.787 88.624a5.9 5.9 0 0 0-2.663 4.586l-.11 1.447c-.277 3.834 9.546 5.436 12.153 24.606 9.9.31 17.844.928 22.264 1.282zM69.194 332.462c3.79 2.873 11.48 7.072 34.34 10.287a396.66 396.66 0 0 0 52.947 3.315h.077a431.652 431.652 0 0 0 71.498-5.757 52.737 52.737 0 0 1-7.844-27.744 389.29 389.29 0 0 1-61.378 4.817h-2.276c-39.356 0-65.31-5.17-70.183-7.922a14.364 14.364 0 0 0-17.181 23.004zm204.009 15.469a35.357 35.357 0 1 0-35.357-35.357 35.357 35.357 0 0 0 35.368 35.302z"}}]})(props);
};
function GiPieChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M290.352 13.213l-11.475 218.984 204.68-78.584a219.242 219.284 0 0 0-193.205-140.4zm-51.39 47.566A219.242 219.284 0 0 0 38.59 206.24a219.242 219.284 0 0 0 77.3 250.918 219.242 219.284 0 0 0 262.49-3.092 219.242 219.284 0 0 0 71.366-252.67l-204.682 78.583 12.24-218.943a219.242 219.284 0 0 0-18.34-.258z"}}]})(props);
};
function GiPieSlice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.03 76.47c-12.332-.298-23.413 6.18-23.06 22.468L18.655 273l.282 6.938v178.998l11.468-2.686 155.906-36.563 5.438 17.688 29.72-3.344-3.407-21.81 69.312-16.25 8.844 10.25 21.842 1.624-.937-18.844 121.938-28.625v.03c1.36-.2 2.667-.52 3.937-.936.022-.01.04-.025.063-.033l20.812-4.875 7.22-1.687v-7.188l18.53-147.406c8.89-17.113-6.495-46.453-38.72-40.124 4.752-19.91-38.983-28.136-52.03-17.25 3.263-18.202-37.385-41.715-51.906-21.187 4.632-22.758-46.006-40.867-58.845-20.345-2.41-13.453-18.07-22.568-32.094-22.906zm-10.28 39.655c2.336 2.81 7.442 5.542 13.406 6.844 5.964 1.3 12.622 1.13 16.375.155l8.94-2.313 2.436 8.938c2.21 8.203 6.852 11.33 14.438 12.97 7.586 1.64 17.768.34 25.844-2.876l10.375-4.156 2.25 10.937c1 4.886 7.39 11.092 16.343 14.313 8.954 3.22 19.15 2.73 23.53 0l11.283-7.032 2.78 13c1.227 5.752 4.534 9.73 9.656 12.594 5.123 2.864 12.08 4.212 19.063 3.375l2.25 18.563c-10.635 1.274-21.384-.563-30.44-5.625-6.057-3.388-11.185-8.528-14.75-14.844-9.637 2.4-20.165.986-29.686-2.44-9.78-3.517-19.263-9.534-24.594-18.468-8.934 2.288-18.56 2.914-27.844.907-10.046-2.173-19.796-8.438-25.312-18.532-5.44.405-11.155.037-16.906-1.22-8.71-1.9-17.57-5.648-23.813-13.155l14.375-11.938zM434.78 232.28l.095.345c1.64-.385 1.946-.3 3.656 1.094 1.712 1.39 4.14 4.616 6.22 9.343 4.058 9.22 6.91 23.626 7.656 38.5v16c-.504 10.182-1.96 19.874-4.312 27.53-1.743 5.672-3.982 10.19-6.156 12.938-1.516 1.917-2.777 2.92-4 3.44L37.625 435.374V307.312c132.618-34.5 265.01-62.72 397.156-75.03zm-72.25 177.095l-26.436 3.063 14.562 21.312 24.97-4.438-13.095-19.937zm-62.78 25.03l-32 5.22 11.156 12.938 21.875 1.625-1.03-19.782zm-157.25 29.5l-1.625 14.908 22.47 2.937 8.436-15.313-29.28-2.53zm107.406 4.72l-24.312 3.156 1.75 16.158 31.687-2.75-9.124-16.563z"}}]})(props);
};
function GiPieceSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.555 24.28c-85.44 0-154.703 57.376-154.703 128.154 0 26.275 9.552 50.7 25.927 71.03L95.665 257.58l52.828 52.826 30.447-30.447v93.46h40.177V315.51h18.694v57.906h41.49V315.51h18.69v57.906h40.178V279.79l30.627 30.626 52.826-52.826-34.218-34.22c16.33-20.312 25.854-44.7 25.854-70.936 0-70.778-69.26-128.153-154.7-128.153zm-78.125 98.4c25.714 0 46.56 20.846 46.56 46.558 0 25.715-20.846 46.56-46.56 46.56-25.715 0-46.56-20.845-46.56-46.56 0-25.712 20.845-46.558 46.56-46.558zm156.2 0c25.715 0 46.56 20.846 46.56 46.558 0 25.715-20.845 46.56-46.56 46.56-25.714 0-46.56-20.845-46.56-46.56 0-25.712 20.846-46.558 46.56-46.558zm-78.075 72.275l30.845 82.17h-61.693l30.848-82.17zm-79.614 197.15v104.194H338.17V392.103H297.99v66.134H279.3v-66.134h-41.49v66.134h-18.693v-66.134H178.94z"}}]})(props);
};
function GiPiercedBody (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M242.5 21.5c-25.192 3.245-47.28 32.016-47.28 68.78 0 20.28 7.038 38.25 17.5 50.75l10.25 12.25-15.69 2.94c-6.058 1.128-11.42 3.163-16.25 6.093l50.907 29.343.22.125c10.092 5.547 17.387 12.847 21.687 20.72 4.332 7.932 5.865 16.78 2.562 24.75-3.302 7.97-12.133 13.29-21.687 13.344-9.457.054-20.02-3.703-32.345-11.5-.13-.082-.245-.136-.375-.22l-52.313-30.06c-1.536 4.65-2.918 9.51-4.156 14.56-8.238 33.626-9.925 74.615-10.155 110.407H189.5l.625 8.626 11.28 149.78 96.69.002L308.03 342.5l.564-8.72h42c-.013-36.18-.378-77.737-7.844-111.624-4.05-18.384-10.197-34.295-18.813-45.75-8.615-11.454-19.257-18.706-34.593-21.062l-16-2.438L283.5 140.25c10.008-12.437 16.72-30.183 16.72-49.97-.002-39.2-24.78-68.718-52.5-68.718-2.913 0-4.762-.12-5.22-.062zM20.812 85.78v21.626l200.875 115.5.188.094.188.125c10.573 6.74 18.416 8.805 22.53 8.78 4.115-.022 4.113-.724 4.563-1.81.45-1.09.63-4.324-1.72-8.626-2.348-4.304-7.01-9.363-14.436-13.407l-.094-.032-.094-.06-212-122.19zm396.97 187.626l-15.626 28.22-33.656-19.063c.355 8.144.576 16.234.688 24.187l22.906 13.03-15.47 27.94 114.97 15.124-73.813-89.438z"}}]})(props);
};
function GiPiercedHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M492.063 21.47L353.375 43.312l43.188 19.406L360.5 85.03c5.877 6.705 10.767 14.518 14.344 23.282l37.844-23.406-2.094 50.906 81.47-114.343zM301.125 76.437c-1.608-.015-3.204.04-4.813.156-19.3 1.397-38.492 12.485-51.468 36.97l-7.906 14.936-8.438-14.625c-17.056-29.533-47.546-40.198-73.22-35.156-25.67 5.04-46.32 24.368-45.155 61.03.747 23.506 12.27 41.744 29.125 59.313l15.938-9.875c7.068-4.376 14.39-6.487 21.187-6.313 2.266.058 4.472.378 6.594.938 8.486 2.237 15.004 8.183 18.686 15.312 7.364 14.257 3.867 34.654-13.25 45.25l-15.187 9.406c15.353 65.592-25.282 99.922-25.282 135.657 0 20.192 17.73 35.032 34.875 35.032 17.528 0 34.187-13.858 34.187-33.033 0-37.474-43.044-81-17.063-137.187 13.904 13.542 26.968 28.61 36.875 46.594 6.853-11.823 15.104-22.28 24.032-31.813 26.65 31.85-6.063 66.597-6.063 93 0 13.414 11.642 23.126 23.907 23.126 11.997 0 24.407-10.37 24.407-24.5 0-27.533-40.804-63.71-1.688-128.28 2.408-1.993 4.773-3.945 7.125-5.907 15.045 21.743-6.28 45.09-6.28 63 0 9.463 8.22 16.31 16.875 16.31 8.464 0 17.22-7.31 17.22-17.28 0-19.657-29.467-40.713-.19-87.188 4.754-5 9.035-10.085 12.658-15.343 9.17-13.313 14.443-27.468 13.875-45.657-1.066-34.09-22.314-55.8-47.25-62.032-4.676-1.167-9.49-1.8-14.313-1.843zM174.75 201.53c-2.53.125-5.71 1.05-9.72 3.532L19.938 295v31.75l158.625-98.25c9.33-5.775 9.66-14.662 6.5-20.78-1.58-3.06-3.905-5.07-6.843-5.845-.736-.194-1.543-.31-2.44-.344-.335-.01-.67-.016-1.03 0zm147.375 166.94c-2.102 29.32-18.28 38.26-18.28 54.592 0 8.108 8.908 15.313 18.28 15.313 9.167 0 18.625-7.182 18.625-15.72 0-17.01-15.994-24.82-18.625-54.186zM240.75 386.31c-4.03 44.97-28.53 56.92-28.53 82.97 0 13.072 14.493 24.062 28.53 24.062 14.35 0 28-11.054 28-23.47 0-25.006-24.782-38.666-28-83.562z"}}]})(props);
};
function GiPiercingSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M40.598 20.316c-11.602 0-21.008 9.406-21.008 21.008 0 11.602 9.406 21.006 21.008 21.006 1.788 0 3.524-.226 5.18-.646l54.972 54.97-46.223 46.223 46.924 65.783 15.216-10.85-28.316-39.7 18.29-18.29 186.083 272.387 2.203 1.084c53.664 26.42 111.6 49.15 183.537 58.05l11.496 1.424-1.044-11.54c-6.375-70.503-30.856-128.572-58.082-183.845l-1.088-2.21L157.08 109.38l18.432-18.433 39.586 28.395 10.892-15.186-65.652-47.09-46.373 46.373-53.992-53.993c1.05-2.5 1.63-5.242 1.63-8.123 0-11.602-9.404-21.008-21.005-21.008zM143.63 122.828l271.49 184.988c.395.807.78 1.617 1.175 2.424l-9.844 28.38-259.538-191.436L338.066 406.8l-33.15 10.13-184.83-270.557 23.545-23.545zm127.327 147.45L418.13 379.3l11.85-49.017 37.204 135.32-135.317-37.205 49.014-11.856-109.923-146.26z"}}]})(props);
};
function GiPigFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M249.22 20.688c-42.737 0-83.466 33.6-113.69 85.593-30.22 51.995-49.186 121.333-49.186 187.626 0 66.294 18.728 116.544 48.156 150.188 29.428 33.644 69.626 51.094 114.72 51.094 45.09 0 85.32-17.45 114.75-51.094 29.426-33.644 48.155-83.894 48.155-150.188 0-66.294-18.996-135.63-49.22-187.625-30.22-51.993-70.95-85.593-113.686-85.593zm.624 138.843c47.212-.188 94.522 14.425 122.187 44.407-73.1-38.23-167.19-37.75-243.75 0 27.234-29.23 74.352-44.217 121.564-44.406zm-4.25 60.814c4.714-.017 9.42.03 14.094.156 49.863 1.33 96.673 10.52 125.437 28.063l-9.72 15.968c-12.062-7.355-30.064-13.554-51.25-18-9.755 39.85-42.47 33.866-41.405-6-7.727-.67-15.606-1.13-23.563-1.343-14.584-.388-29.44 0-44.03 1.188 1.156 40.128-31.814 46.093-41.47 5.78-17.625 3.593-33.968 8.563-47.843 14.97L118 244.155c34.337-15.855 78.872-23.11 122.875-23.78 1.572-.024 3.147-.025 4.72-.03zm4.156 51.344c.533-.022 1.08-.027 1.625 0 8.74.425 15.003 6.474 19.875 13.875 4.872 7.4 8.99 17.176 12.844 29.562l-17.844 5.563c-3.54-11.373-7.338-19.85-10.625-24.844-2.876-4.37-4.886-5.285-5.156-5.438-.232.077-1.725.596-4.47 4.625-3.25 4.77-7.132 13.392-10.813 25.564l-17.906-5.406c4.003-13.235 8.228-23.238 13.282-30.657 4.74-6.954 11.197-12.523 19.188-12.842zm52.156 31.937c36.06 16.695 61.968 53.982 52.03 105.375 2.384 1.498 4.685 3.06 6.908 4.688l-11.03 15.062c-23.702-17.36-63.367-27.507-102.408-28-39.04-.493-77.314 8.803-98.375 25.78l-11.75-14.56c2.278-1.837 4.674-3.566 7.157-5.22-6.94-49.057 15.778-84.185 48.22-101.156l8.687 16.53c-25.165 13.166-42.41 36.606-39.188 75 24.58-10.84 54.94-15.448 85.5-15.062 31.358.397 63.007 6.13 88.97 17.75 5.932-40.864-13.804-65.904-42.563-79.218l7.843-16.97z"}}]})(props);
};
function GiPig (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M213.705 344.935l2.7 53.87h-26.24l-19.46-55.41zm150.56.33l-.34 4.38 18.15 49.16h24.44l-5.66-56.51a326.16 326.16 0 0 1-36.57 2.97zm32.79-164.08a90.06 90.06 0 0 0 13.05-1.12c51.2-7.62 36.49-49.56 36.49-49.56s-40.36 9-52.83 23.42c.02 0-28.12 27.26 3.31 27.26zm81.85-25.33s-6.81 0-15.92.82a47 47 0 0 1-13.28 22.9 116.55 116.55 0 0 1 7.44 14.09c25.25-9.43 21.79-37.81 21.79-37.81zm11.8 100.18v41.49s-53.15 31.9-134.5 31.9c-2.19 0-4.44-.15-6.67-.2l-5.48 69.58h-19l-24.45-66.86-162.59-5.87-9.4 72.73h-22.63s-48.15-101.58-23.18-182.06c-5.55-3.84-11.38-8.17-16.73-12.7-5.13 2.65-10.26 4.11-15 3.85-15.76-.85-28.37-12.73-29.78-14.09l11.16-11.46c2.6 2.5 11.21 9.13 19.48 9.57a7.93 7.93 0 0 0 1.7-.11 46.36 46.36 0 0 1-4.59-6.47c-5.65-9.83-7-20.32-3.84-28.79a25.1 25.1 0 0 1 15.94-14.87c11.29-3.81 26.85-3.35 34.75 4.9 2.94 3.07 7.24 9.84 3 20.7-3.59 9.29-10.85 19.34-19.36 27.12 2.87 2.3 5.94 4.61 9.09 6.87 9.46-20.85 24.84-39.58 48.52-53.76a238.9 238.9 0 0 1 124-34.31 259.14 259.14 0 0 1 120.54 30.12 80.94 80.94 0 0 0-7.77 9.25c-7.6 10.67-9.67 20.49-6.15 29.19 2.85 7 10.23 15.42 29.24 15.42a105 105 0 0 0 15.41-1.3 80.49 80.49 0 0 0 24-7.18c15.75 25.72 17.22 58.67 28 61 12.79 2.72 26.29 6.34 26.29 6.34zm-406.69-94.52c.43-1.12 1.05-3.11.32-3.87-1.32-1.38-4.81-2.26-8.92-2.26a29.18 29.18 0 0 0-9.16 1.42c-3.13 1.05-5.12 2.81-6.09 5.38-1.46 3.95-.46 9.62 2.75 15.19a36.3 36.3 0 0 0 4.79 6.25c6.66-5.82 13.19-14.04 16.31-22.11zm331.14 81.55a9.05 9.05 0 1 0-9.05 9.05 9.05 9.05 0 0 0 9.05-9.05z"}}]})(props);
};
function GiPiggyBank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.55 22.36c-30.93 0-56 25.07-56 56 0 30.927 25.07 56 56 56 30.927 0 56-25.073 56-56 0-30.93-25.073-56-56-56zM105.067 144.47c-3.047.028-6.012.55-8.748 1.536-7.296 2.627-12.95 7.77-17.562 13.617-3.63 4.602-6.523 9.754-9.012 14.992-6.79-6.374-14.215-15.785-21.8-30.117l-15.91 8.418c10.115 19.112 20.597 31.962 31.292 40.066-.405 1.802-.907 3.66-1.164 5.364-2.005 13.302 2.913 24.966 9.637 34.736 5.34 7.757 11.825 14.87 18.132 22.367-7.497 15.76-11.35 32.49-11.368 49.366.07 28.777 11.283 56.823 32.082 80.243l3.655-13.117 17.34 4.832-25.13 90.18c20.857 6.423 41.04 6.52 61.62-1.072l18.727-66.73 17.33 4.865-8.892 31.69c17.887 4.99 36.674 7.578 55.607 7.657 12.386-.065 24.727-1.204 36.81-3.396l-8.942-39.63 17.558-3.963 14.996 66.473c24.936 11.267 48.496 10.575 72.764 1.222l-25.115-78.986 17.152-5.455 4.97 15.636c21.796-38.09 68.757-29.083 91.825-40.08 11.686-3.894 5.42-69.874 4.916-73.04-.38-2.39-29.734-3.818-40.16-2.248-5.975.9-16.344-12.078-27.39-27.597-5.387-10.488-12.357-20.405-20.753-29.527-3.988-5.276-2.735-3.092-6.533-6.474.715 6.697 2.12 12.306 4.152 16.23l-15.986 8.277c-7.378-14.252-7.98-32.853-5.662-52.858 1.583-13.67 4.81-27.957 9.03-41.733-11.81 6.755-22.626 17.48-32.02 30.586-13.665 19.064-24.126 42.55-30.647 62.644l-17.12-5.556c2.777-8.56 6.2-17.655 10.255-26.835-14.467-6.574-35.467-9.76-57.426-8.826-23.852 1.01-48.83 6.716-68.043 16.2l-7.97-16.143c22.13-10.923 49.122-16.934 75.25-18.043 3.267-.138 6.52-.203 9.747-.19 20.69.086 40.372 3.378 56.274 10.78 2.234-4.232 4.608-8.425 7.125-12.537-21.74-7.8-45.253-11.897-69.058-12.03-63.206.056-121.303 27.923-151.383 72.614-4.954-5.81-9.525-11.11-12.89-16-5.26-7.64-7.608-13.682-6.695-21.126 10.458 3.152 20.632 2.07 28.694-1.87 10.316-5.044 17.423-13.85 20.473-23.39 1.526-4.77 2.056-9.862.813-14.928-1.243-5.065-4.63-10.034-9.598-12.953-4.862-2.856-10.17-4.187-15.25-4.142zm.328 17.805c.328-.014.66-.005 1 .03 1.362.138 2.86.687 4.803 1.828.864.508.986.713 1.234 1.722.247 1.01.248 2.895-.475 5.157-1.447 4.523-5.713 10-11.235 12.7-4.346 2.125-9.372 2.917-15.66.847 2.174-5.033 4.823-9.984 7.824-13.787 3.257-4.13 6.74-6.828 9.528-7.832 1.045-.375 1.995-.623 2.978-.665zm278.153 98.647c8.835 0 16 7.163 16 16 0 8.836-7.165 16-16 16-8.838 0-16-7.164-16-16 0-8.837 7.162-16 16-16z"}}]})(props);
};
function GiPikeman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M406 27.594l-23.625 76.187-5.844 28.97-52.25 47.844-51.5-43.125-23.405-4.095c8.217-14.33 14.685-32.77 16.406-49.594 10.02-2.28 20.516-5.426 31.69-9.81l-36.283-16.564c-1.964-7.07-16.546-28.484-31.406-27.28h-.03c-18.2 4.6-25.82 25.298-28.72 40.718L176.5 90.53c7.87-.307 15.58-.415 23.344-.53.66 14.1 4.4 27.847 9.97 36.375l-35.158-6.125L106 195.906l77.344 55.875 1.625 16.845-34.19 215.75h38.376l38.313-169.25 47.874 169.25h37.47l-3.564-16.406 17.094 16.405 63.062-322.53c5.01-4.54 9.265-8.483 12.094-11.314.177-10.537-2.537-18.942-5.094-24.5l1.125-5.686 8.47-92.75zm-223.156 125.78l.344 64.095-31.5-23.75 31.156-40.345zm88.03 21.25l50.876 45.94s22.993-19.458 44.875-38.533l-57.438 285.564-42.812-197.53 4.5-95.44z"}}]})(props);
};
function GiPilgrimHat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 63.43c-17.6 0-33.4 1.83-44.3 4.54-3.3.83-6 1.76-8.1 2.65 2.1.9 4.8 1.82 8.1 2.65 10.9 2.69 26.7 4.54 44.3 4.54 17.5 0 33.3-1.85 44.2-4.54 3.3-.83 6-1.75 8.1-2.65-2.1-.89-4.8-1.82-8.1-2.65-10.9-2.71-26.7-4.54-44.2-4.54zm-60.1 24.13L155 271.9c11.3 4 26.1 7.2 42.4 9.6V260.7h117.1V282c16.4-2.3 31.2-5.6 42.4-9.8L316 87.56c-3.4 1.4-7.2 2.6-11.4 3.6-12.9 3.3-29.9 5.1-48.6 5.1-18.8 0-35.8-1.8-48.7-5.1-4.2-1-8-2.2-11.4-3.6zm20 191.54v66.6l80.1.5v-67.1zm-64.9 11l-6 26.8c13.6 5.1 32 9.1 52.4 11.8v-28.4c-17.2-2.3-33.1-5.6-46.4-10.2zm210 .3c-13.3 4.9-29.3 8.3-46.5 10.5v27.8c20.4-2.7 38.8-6.7 52.4-11.8zm-127.6 6.2h45.1v32.9h-45.1zm-103 1a230 82.16 0 0 0-104.44 68.8A230 82.16 0 0 0 256 448.6a230 82.16 0 0 0 230-82.2 230 82.16 0 0 0-104.4-68.7l15.1 67.7v1c0 5.2-2.8 9.7-5.9 12.6-3.2 2.9-6.9 4.9-11.1 6.7-8.3 3.6-19.1 6.2-31.8 8.4-25.5 4.2-58.7 6.2-91.9 6.2-33.3 0-66.5-2-92-6.2-12.7-2.2-23.5-4.8-31.8-8.4-4.2-1.8-7.9-3.8-11.1-6.7-3.1-2.9-5.8-7.4-5.8-12.6v-1zm10.4 37.8l-6.6 30.3c.8.7 2.5 1.9 5.2 3 6 2.6 15.8 5.1 27.7 7.1 23.8 4 56.4 6 88.9 6 32.4 0 65-2 88.8-6 11.9-2 21.7-4.5 27.7-7.1 2.7-1.1 4.4-2.3 5.3-3l-6.7-30.3c-16 6-35.4 10-56.6 12.4v16.9l-117.1-.5v-16.4c-21.1-2.4-40.6-6.4-56.6-12.4z"}}]})(props);
};
function GiPillDrop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M106.033 21.55C77.2 21.787 49.185 36.83 33.775 63.52c-23.137 40.074-9.433 91.807 30.79 114.787l108.824 62.488c.05.03.096.062.147.092 13.688 7.902 30.426 4.335 45.188-4.71 10.51-6.44 20.65-15.867 29.576-27.607 1.62 3.38 3.39 6.757 5.33 10.114 10.956 18.977 24.995 33.888 39.757 42.93 11.663 7.147 24.56 10.868 30.73 10.167l14.31-5.376c.048-.028.098-.053.147-.082.027-.015.05-.033.076-.048l108.913-62.542c40.21-22.984 53.904-74.707 30.77-114.775-15.408-26.69-43.422-41.733-72.255-41.97-.93-.006-1.86 0-2.793.025-13.548.34-27.19 3.96-39.715 11.19-51.58 29.78-74.06 42.965-92.297 53.58-2.996-6.65-7.57-12.215-14.003-15.928-.842-.486-1.698-.915-2.56-1.315l.06-.106c-22.24-12.84-41.192-24.12-106.23-61.67-12.522-7.23-26.166-10.85-39.714-11.19-.93-.023-1.863-.03-2.793-.023zm-.922 18.618c11.55-.25 23.322 2.566 34.087 8.78 42.294 24.42 64.396 37.32 81.3 47.18-2.852 1.264-5.668 2.753-8.415 4.436-14.762 9.045-28.803 23.956-39.76 42.934-10.956 18.978-16.85 38.592-17.3 55.898-.084 3.22.033 6.406.363 9.508l-81.54-46.822-.01-.006C42.482 144.164 31.88 104.18 49.962 72.863c11.867-20.552 33.103-32.215 55.15-32.695zm134.704 70.02c1.147-.03 2.234.038 3.258.195 1.822.278 3.445.84 4.854 1.654 2.94 1.698 5.397 4.767 7.033 9.193-.04.02-.08.04-.118.063-.257.148-.504.305-.754.46l-9.473 7.31c-4.792 4.607-8.68 18.78-8.29 33.72.205 7.805 1.525 16.08 3.907 24.555-9.26 14.926-20.706 26.43-31.27 32.902-11.36 6.96-20.44 7.713-26.077 4.46l.002-.003-.08-.047c-5.595-3.284-9.45-11.507-9.104-24.767.347-13.32 5.22-30.44 14.805-47.04 9.585-16.604 21.975-29.38 33.338-36.343 6.924-4.242 13.002-6.18 17.968-6.31zm8.94 143.134l.002.008v-.008zm.002.008c-14.145 117.223-66.34 101.897-67.387 175.754-.455 33.477 30.9 61.123 69.79 61.123 38.89 0 70.996-27.635 70.996-61.123 0-74.23-57.792-58.98-73.4-175.754zm-19.39 128.237c-4.727 7.142-7.487 15.702-7.487 24.91 0 24.95 20.218 45.176 45.16 45.176 5.416 0 10.608-.958 15.42-2.708-8.066 10.892-21.012 17.918-35.688 17.918-24.622 0-44.383-19.766-44.383-44.402 0-18.444 11.077-34.16 26.977-40.893z"}}]})(props);
};
function GiPill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M383.72 70.188c-1.145-.01-2.293 0-3.44.03-16.662.428-33.436 4.925-48.81 13.907-148.594 86.803-101.707 58.72-253.533 146.375l-4.656 2.688v.312c-45.61 29.694-60.683 90.445-33.155 138.125 28.464 49.3 91.974 66.493 141.188 37.78 151.39-88.32 104.363-60.41 253.5-146.374 49.327-28.43 66.307-91.824 37.843-141.124-18.957-32.834-53.47-51.442-88.937-51.72zm1.342 16.468c25.255.406 49.682 13.512 63.094 36.844 1.82 3.164 2.786 6.918 4.094 10.22-22.875-25.86-61.86-33.04-92.97-15-64.527 37.42-83.64 48.864-105.686 61.874 22.46 19.385 44.32 52.128 54.25 82.03-56.72 32.796-51.65 30.67-148.844 87.032-31.11 18.04-70.094 10.858-92.97-15 1.31 3.3 2.277 7.055 4.095 10.22 20.438 35.552 66.447 47.306 102 26.687 93.043-53.956 91.828-53.805 141.188-82.313.507 9.606-1.02 18.18-5.094 24.938-28.792 16.492-53.304 30.647-136.345 79.093-40.39 23.566-92.154 9.545-115.563-31-23.408-40.542-9.574-92.186 30.97-115.592l4.687-2.72c73.185-42.234 98.623-56.668 125.81-72.25 37.072-21.5 44.154-26.065 128.376-74.905 12.222-7.088 25.678-10.37 38.906-10.157z"}}]})(props);
};
function GiPillow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M433.79 59.602c-8.94.047-20.654 3.077-34.966 9.876C295.2 62.252 170.14 77.352 86.788 103.535c-60.407-27.913-70.404-.426-42.95 36.186C10.242 239.454 24.97 340.803 60.7 413.31c-11.01 47.633 16.965 45.498 41.172 26.452 170.77 9.1 281.83-16.52 349.88-68.666 24.01 19.23 41.66-6.006 31.868-36.856 11.922-71.81-9.07-167.31-36.093-233.78 13.362-23.473 8.022-40.975-13.737-40.858zm-357.386 77.96c52.65 61.045 53.612 200.38 21.748 283.403 7.046-90.91 2.505-223.673-21.748-283.404z"}}]})(props);
};
function GiPimiento (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M493.7 21.59C426.6 127.6 339.2 100.6 373.6 32.06c-35.2 10.26-57.7 31.88-60.5 65.67-9.7-2.3-29.4-25.97-18.4-69.83-26.7 39.32-50.8 91.8-42.6 127.1-24 .2-64-39.7-54.5-87.89-46.5 81.29-34 172.89-25 193.79-24.9 0-63.4-70.9-64-118.9-36.72 82.1-48.45 147.1-18.33 194.3-33.05-3.8-53.82-28.3-66.86-69.6C-9.266 485.7 110.2 515 312.6 475.5c55.9-10.9 125.3-40.5 158.7-99.5-69.8 40-121.4 7.4-140.5-6.3 45.8-10.4 112.2-31.6 133.6-92-42 35.7-74.1 13.8-85.6 6.2 54.4-9.1 97.3-71.6 111-127.5-37.5 31.1-69.9 31.9-83.8 22.4 34.5-11.2 92.1-68.8 87.7-157.21zM331.5 113.8c8.7-.2 17.6 2.1 26.1 6.4 2.3 1 4.6 2.3 6.9 3.9 6.9 4.8 12.7 11 15.6 19.3l3.5 10-10 3c-18.8 5.6-29.1 16.9-37.9 32.5l-17.1-10c8.3-14.6 19.9-28.1 36.8-36.5-1.9-1.6-4.2-3.2-6.6-4.5-6.6-3.1-14.4-4.6-18.8-4.1l-2.2-19.8c1.2-.1 2.5-.2 3.7-.2zM294 186.1c9.4 0 19.8 3.5 28.8 9.1 16.8 10.7 28.5 28.9 19.7 45.3C285 379.8 197.1 433.7 91.64 443.8c99.46-49 139.16-153.9 177.46-241.5 4.8-11.4 14.2-16.1 24.9-16.2z"}}]})(props);
};
function GiPin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M326.953 22.87L306.68 83.685l20.273 20.273-115.428 115.427c-16.39-8-34.277-14.452-51.84-18.502-14.247-3.285-28.136-4.902-40.802-4.772-16.84.173-31.505 3.44-41.975 9.973l229.006 229.006c11.447-18.345 12.853-49.592 5.2-82.776-4.05-17.564-10.502-35.45-18.5-51.84l115.427-115.43 20.274 20.274 60.817-20.273L326.954 22.87zM159.207 313.84L22.87 489.13l175.29-136.337-38.953-38.953z"}}]})(props);
};
function GiPinata (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M194.5 17.91V188.7c5.8 0 11.8.1 18 .3V17.91zm164.7 7.38c-3.9.65-11.3 4.88-17 10.34-5.6 5.45-9.4 12.67-9.6 13.9-6.7 46.16-22 83.17-37.6 111.47l15.9 34.6 45-17.3 7.8 36.7 42.6-9.3c.3-.4.5-.8.7-1.2l.2-.4.4-.4c12.7-17.3 32.6-19.4 47.5-19.9 7.5-.2 14.1-.3 18.5-1 4.3-.8 5.2-1.5 6-3 2.7-5.3 4.7-10.1 6-14.8-8.3 3-16.8 4.2-25.3 3.1-12.4-1.7-24.2-8.8-32.9-20.8l14.6-10.6c6.3 8.8 13.1 12.5 20.7 13.5 7.3 1 15.9-.9 24.6-5.6-.9-8.2-3.7-16.2-7.4-24.8-.7-1.8-3.9-5.2-10.3-8.4s-15.4-6.3-26-8.9c-21.3-5.24-49-8.83-76.4-11.11l-10.8-.89 2.8-10.39c7-26.51 7.5-42.72 5.7-49.77-.8-3.63-2.3-5.46-5.7-5.05zm29 80.51c4.7 0 9.8 1.6 13.8 4.7 5.5 4.1 9.8 10.2 14.1 18.6l-16 8.2c-3.6-7-6.9-10.9-8.9-12.4-2-1.6-2.2-1.4-3.4-1.1-2.5.6-9.4 6.6-16 15.5l-14.4-10.8c7.2-9.5 14.2-19.3 26.1-22.2 1.5-.3 3.1-.5 4.7-.5zm-104.4 74c-6.2 9.9-12.1 18.3-17.2 25.3l-2.9 3.9-4.8-.2c-60.8-2.9-107.8-3.7-141.1 3.7-4.1.9-8 1.9-11.7 3l39.2 45.9 58.5-34.1 36.7 43.3 48.6-24.7 43.9 37.4 50.5-19.7c2.9-12.4 7-24.8 12.5-37.2l-46.1 10-7.2-33.7-41.2 15.7zM88.54 222.6c-15.88 8.4-26.48 20.9-33.46 40.1-1.26 3.5-2.51 7.1-3.75 10.9l17.71 32.1L113.3 295l24.4 35.3 57.9-30.8 41.6 39.7 44.6-33.7 50.6 38.6 44.5-24.7c.1-11.7.9-23.3 2.6-34.9l-49.9 19.4-43.1-36.6-50.6 25.7-36.1-42.5-58.5 34.1zm-44.45 75.1c-11.37 41.5-19.72 90-19.41 122.2l29.64-8.9c2.66-15.5 6.5-30.3 10.55-47.5l4.99-22.8 17.62 3.6V344.6c-1.7 8.6-3.4 16.1-5.07 23.2L81 374.2l14.96 39 25.44-33.4 25.6 37.7c1.9-11.2 3.7-22.3 6-32.1l2.3-9.2 9.1 2.7c39.9 11.9 68.3 8 127.5-12.8l8.7-3.1 2.9 8.8c4.1 12.7 7.9 27.1 11.9 41.5l18.1 10.9 14.9-34.2 37.4 20.7c-3.8-24.4-7.2-47.9-8.4-70.9l-46.6 25.7-49-37.4-46 34.7-43.2-41.3-60.5 32.2-26.6-38.3-45.6 11.1zM74 406.2l-2.67 12.2c-2.33 15.2-3.29 31.6-1.65 53.4.17 2.1 1 3.9 3.32 6.1 2.32 2.1 6.17 4.3 11.12 5.9 9.92 3.2 23.98 4 37.58 1.3 3.4-.7 6.6-3.3 10.1-9.3 3.4-6.1 6.4-15.1 8.8-25.3.6-2.5 1.2-5.1 1.8-7.7l-21.8-32.2-29.9 39.2zm283 9.2l-15.1 34.8-18.9-11.4c5.5 17 11.8 32.5 19.7 43.3.5.8 3.3 2.4 8.8 2.6 5.6.2 13.1-1 20.2-3.1s14-5.1 18.5-8c3.2-2.1 4.5-4.1 4.9-4.4-1.8-12.2-3.7-24.2-5.6-35.9z"}}]})(props);
};
function GiPinballFlipper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M99.162 35.82a78.03 78.03 0 0 0-78.03 78.03 78.03 78.03 0 0 0 78.03 78.03 78.03 78.03 0 0 0 78.03-78.03 78.03 78.03 0 0 0-78.03-78.03zM95.26 47.525a62.423 62.423 0 0 1 30.79 8.172 78.03 78.03 0 0 0-7.38-.37 78.03 78.03 0 0 0-78.03 78.028 78.03 78.03 0 0 0 .422 7.413 62.423 62.423 0 0 1-8.224-30.82A62.423 62.423 0 0 1 95.26 47.524zm52.05 228.46c-20.196-.23-31.676 32.785-12.646 43.386 87.042 50.526 175.913 102.776 261.92 152.034 35.522 13.912 75.596-3.603 89.508-39.125 13.912-35.523-3.607-75.598-39.13-89.51-103.56-22.994-199.013-43.756-295.503-66.28-1.418-.327-2.805-.49-4.15-.506zm273.49 107.94a24.02 22.947 21.388 0 1 9.37 1.72 24.02 22.947 21.388 0 1 13.996 30.128 24.02 22.947 21.388 0 1-30.732 12.61 24.02 22.947 21.388 0 1-13.997-30.127 24.02 22.947 21.388 0 1 21.364-14.332z"}}]})(props);
};
function GiPincers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M329.78 20.344c-.842.003-1.687.005-2.53.03-25.534.782-51.27 11.864-71.53 32.064-40.637 40.512-45.503 99.74-12.75 162.156 7.468-7.77 17.948-12.625 29.5-12.625 1.63 0 3.228.123 4.81.31-7.385-12.674-12.023-25.99-13.467-39.686-2.692-25.526 5.91-51.74 25.906-75.594 17.222-20.545 42.123-29.6 66.967-32.313 15.924-1.738 31.875-.833 46.72 1.25-21.29-24.748-47.497-35.683-73.626-35.593zm127.94 89.75c2.057 14.84 2.9 30.782 1.06 46.687-2.86 24.738-12.102 49.482-32.686 66.626-23.92 19.92-50.076 28.506-75.563 25.813-12.917-1.366-25.496-5.572-37.53-12.25.288 1.948.438 3.942.438 5.968 0 11.155-4.536 21.308-11.844 28.718C363.07 302.49 421.276 296.65 461.28 256.78c23.21-23.127 34.594-52.96 31.97-81.81-2.11-23.183-13.242-45.94-35.53-64.876zM272.47 220.656c-12.417 0-22.283 9.866-22.283 22.28 0 12.417 9.866 22.283 22.282 22.283 12.414 0 22.28-9.867 22.28-22.283 0-12.415-9.866-22.28-22.28-22.28zm-39.72 12.25C161.344 259.196 83.694 294.76 19.094 348.03v82.376c67.566-58.922 143.974-114.322 208.72-145.25-31.175 64.465-87.04 140.404-146.158 207.688h78.72c52.763-63.457 90.673-139.32 118-209.375-1.93.28-3.903.436-5.907.436-22.517 0-40.97-18.452-40.97-40.97 0-3.46.43-6.812 1.25-10.03z"}}]})(props);
};
function GiPineTree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M249.28 19.188v.25c-18.114 38.634-45.065 72.36-77.686 102.937l37.72-3.938-51.345 65.032 24.81-7.907-33.624 54.875 16.53 9.843-65.25 92.157 36.095.188-51.686 83.594 63.562-8.126 12 32.094 66.438-25.282L215.5 493.28h52.938l-6.532-68.217 38.188 16.406 10.187-24.783 44.283 20.97 56.406-20.75-37.064-64.094-12.437-2.282 6.78 17.19 7.844 19.905-19.938-7.78-50.906-19.908V395.688l-14.156-8.594-69.375-42-21.595 21.25-18.03 17.75 2.155-25.22 2.125-24.655 18.188 1.56 9.218-9.092 5.19-5.094 6.218 3.75 61.375 37.156v-29.906l12.75 4.97 43.718 17.092-5.092-12.906-6.157-15.656 16.533 3.03 45.468 8.345-34.53-38.94-23.625 14.033-6.688 3.968-5.125-5.874-14.28-16.437.218 1.217-18.406 3.22-5.97-34.313-5.75-33.063 22 25.345 31.188 35.875 43.907-26.03c-24.67-19.543-39.507-33.87-49.658-48.814l.813 12.656 1.97 31-18.75-24.75-34.47-45.437-22.25 46.813-13.844 29.125-3.843-32.032-3.5-28.843 16.532-1.968 16.624-34.97 6.594-13.875 9.28 12.22 25 32.936-.75-11.53-.906-14.28 13.47 4.936L341.81 188l-26.125-35.156-55.843-28.875-8.938 20.218-9.656 21.937-7.72-22.688-7.468-21.875 16.97-5.78 3.718-8.438 4-9.125 8.844 4.593 49.375 25.53 16.467-5.562c-43.42-34.31-64.63-68.886-76.156-103.593z"}}]})(props);
};
function GiPineapple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M397.777 20.81c-28.326 32.545-45.686 49.052-79.73 75.385.98 3.462 1.904 6.923 2.767 10.373a838.71 838.71 0 0 1 71.06-15.156c2.614-5.158 4.803-10.06 6.483-14.78 6.053-17.005 6.845-32.884-.58-55.823zm-116.646 31c-1.6 24.42-1.437 48.997-.728 73.72 11.823 16.072 20.343 35.874 23.293 59.55l4.282-15.91c3.56-13.232-.114-44.212-8.596-72.72-4.965-16.69-11.733-32.465-18.25-44.64zm-66.286 45.913c15.833 30.734 31.377 68.437 40.18 102.69 10.035 2.098 18.686 5.78 25.404 11.75 6.176 5.49 10.61 12.84 13.822 21.54 34.542 1.322 74.627 6.23 108.107 15.88-22.727-29.94-53.25-48.74-106.12-45.626l-8.985.53-.53-8.985c-3.143-53.38-36.79-84.435-71.878-97.78zM473.7 100.15c-37.875 2.156-91.904 9.273-149.04 24.123 2.246 12.387 3.374 24.24 2.81 34.774 16.516-3.57 37.316-4.425 58.604-3.342L473.7 100.15zm-101.26 73.278c-22.01-.027-42.3 2.385-52.43 6.437l-14.727 5.895c20.458-.12 38.216 3.195 53.735 9.144l78.19-13.728c-.43-.118-.798-.257-1.235-.37-11.935-3.122-26.448-5.348-41.262-6.51-7.406-.58-14.934-.86-22.27-.868zm-143.16 42.63c-1.946-.01-3.948.027-5.98.09l21.667 7.813-2.512-7.122c-4.072-.48-8.482-.755-13.174-.78zm-45.462 4.99c-2.788.567-5.6 1.19-8.423 1.85a1857.95 1857.95 0 0 1 8.96 32.416 1531.66 1531.66 0 0 1 30.608 4.842 1158.087 1158.087 0 0 0-9.54-31.318l-21.605-7.79zm79.684 1.35l3.332 9.448 7.992 2.88c-1.982-4.052-4.154-7.152-6.355-9.11-1.28-1.138-2.964-2.216-4.968-3.218zM158 227.512a308.24 308.24 0 0 0-32.396 11.646c.903 3.08 1.786 6.137 2.673 9.2a1119.28 1119.28 0 0 1 36.713 4.238c-2.268-8.373-4.6-16.734-6.99-25.084zm68.695 8.994a1255.104 1255.104 0 0 1 7.967 27.064 2700.72 2700.72 0 0 1 25.96 4.784l-7.925-22.47-26.002-9.378zm47.87 17.262l6.53 18.51c.78.153 1.558.305 2.34.456a169.9 169.9 0 0 0-.873-9.322c-.306-2.477-.675-4.86-1.095-7.156l-6.903-2.488zM83.89 263.006l7.672 33.676c10.445.647 21.214 1.323 32.143 2.043a2472.975 2472.975 0 0 0-9.328-33.57 933.866 933.866 0 0 0-30.486-2.15zm49.73 4a2415.755 2415.755 0 0 1 9.058 33.014c11.506.832 23.24 1.76 35.2 2.853-2.54-10.49-5.16-20.966-7.876-31.424a1139.84 1139.84 0 0 0-36.383-4.444zm-65.83 6.36c-7.67 6.476-14.238 13.314-19.31 20.42 7.942.605 16.05 1.166 24.35 1.706l-5.04-22.125zm121.505.882c2.593 10.15 5.108 20.31 7.54 30.482a1205.51 1205.51 0 0 1 31.16 3.66c-2.46-9.708-5.004-19.393-7.645-29.052a1628.07 1628.07 0 0 0-31.055-5.09zm50.664 8.58c2.515 9.41 4.94 18.833 7.29 28.264a961.73 961.73 0 0 1 30.21 5.012L267.55 288c-9.176-1.76-18.37-3.488-27.59-5.172zM53.243 312.193c3.25 9.827 6.13 19.728 8.744 29.674 7.282.42 14.533.89 21.737 1.45l-6.72-29.497a2728.25 2728.25 0 0 1-23.76-1.627zm42.492 2.815l6.823 29.95a1129.016 1129.016 0 0 1 33.993 3.73 2046.15 2046.15 0 0 0-7.975-31.56 6373.735 6373.735 0 0 0-32.842-2.12zm-59.806 2.197c-2.93 7.325-5.316 15.14-7.102 23.244 4.76.126 9.5.287 14.22.476-2.172-7.978-4.524-15.89-7.118-23.72zm111.584 1.256a2034.99 2034.99 0 0 1 8.173 32.794 1233.727 1233.727 0 0 1 34.48 5.43 2222.516 2222.516 0 0 0-7.89-35.295c-11.79-1.123-23.375-2.076-34.763-2.93zm53.672 4.864a2291.712 2291.712 0 0 1 8.117 36.778c10.88 2.027 21.74 4.172 32.593 6.453-2.996-13.145-6.04-26.27-9.22-39.354a1144.54 1144.54 0 0 0-31.49-3.876zm50.687 6.703c3.254 13.577 6.376 27.165 9.445 40.752 3.113.694 6.226 1.382 9.34 2.095a307.567 307.567 0 0 0 9.028-38.037 920.074 920.074 0 0 0-27.813-4.81zM25.898 358.375a166.825 166.825 0 0 0-.855 24.473c.05 1.287.122 2.57.203 3.85 9.547.376 19.1.758 28.643 1.17-1.907-9.643-3.956-19.23-6.212-28.737-7.216-.324-14.473-.577-21.78-.755zm40.596 1.787c2.19 9.497 4.168 19.022 6.018 28.555 7.288.354 14.56.747 21.822 1.17l-6.416-28.164a1071.11 1071.11 0 0 0-21.424-1.56zm40.28 3.293l6.29 27.62c11.363.785 22.678 1.68 33.91 2.76a1853.432 1853.432 0 0 0-5.954-26.425 1122.774 1122.774 0 0 0-34.247-3.955zm53.33 6.63a1859.694 1859.694 0 0 1 5.705 25.735 804.905 804.905 0 0 1 33.344 4.534c-1.62-8.244-3.28-16.48-4.982-24.708a1240.398 1240.398 0 0 0-34.067-5.562zm53.162 9.07a2610.58 2610.58 0 0 1 4.857 24.468c11.395 2.14 22.647 4.582 33.73 7.375-1.852-8.374-3.716-16.74-5.585-25.102a1473.226 1473.226 0 0 0-33.002-6.742zm-185.79 25.663c1.864 10.084 4.742 19.708 8.626 28.49 8.62.448 17.394.87 26.203 1.3-1.617-9.538-3.257-19.055-4.98-28.536-9.926-.444-19.88-.855-29.85-1.254zm48.434 2.14c1.708 9.546 3.32 19.07 4.918 28.58 8.123.43 16.218.903 24.233 1.44l-6.546-28.748c-7.51-.46-15.04-.887-22.604-1.27zm41.35 2.526l6.584 28.903c11.37.965 22.41 2.09 32.94 3.543-1.88-9.922-3.846-19.755-5.872-29.547-11.112-1.128-22.344-2.07-33.652-2.9zm52.45 4.993a1806.56 1806.56 0 0 1 5.966 30.564c12.337 2.424 23.668 5.542 33.62 9.696a2964.462 2964.462 0 0 0-6.5-35.498 755.42 755.42 0 0 0-33.087-4.76zm52.046 8.226c1.803 9.652 3.57 19.308 5.277 28.973 6.903-6.364 13.305-14.36 19.13-23.547-8.02-1.995-16.168-3.786-24.407-5.427zM46.816 451.89c3.138 4.21 6.606 8.045 10.405 11.42 3.476 3.09 7.304 5.85 11.415 8.307a2876.172 2876.172 0 0 1-3.248-18.828c-6.2-.304-12.4-.598-18.57-.9zm37.086 1.846a2058.225 2058.225 0 0 0 4.682 26.735c8.652 2.747 17.958 4.51 27.598 5.317l-6.946-30.482a1503.798 1503.798 0 0 0-25.334-1.57zm44.15 3.118l6.68 29.326c2.053-.08 4.11-.2 6.172-.362a166.66 166.66 0 0 0 23.047-3.464 1840.907 1840.907 0 0 0-3.677-21.442c-10.095-1.65-20.94-2.984-32.222-4.058zm51.143 7.74c.746 4.277 1.48 8.572 2.2 12.886 6.1-2.068 11.996-4.47 17.59-7.18-5.887-2.132-12.53-4.03-19.79-5.706z"}}]})(props);
};
function GiPingPongBat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M323.438 21.28c-1.136-.002-2.276.004-3.407.032-5.167.13-10.286.566-15.342 1.313-40.45 5.973-78.013 31.68-108.5 65.5-30.488 33.82-53.72 75.57-65.688 111.563-5.985 17.996-9.117 34.56-9.22 47.593-.1 13.034 2.973 21.942 7.282 26.25L238.438 383.44c4.31 4.31 13.25 7.383 26.282 7.28 11.386-.088 25.464-2.49 40.842-7.093 1.27-18.692 9.452-36.646 22.875-49.906 14.647-14.47 34.892-22.75 55.563-22.75 12.415 0 24.67 3.01 35.656 8.53 1.406-1.22 2.808-2.443 4.188-3.688 33.82-30.487 59.558-68.05 65.53-108.5 5.974-40.45-6.884-84.572-53.5-131.187C396.362 36.61 358.65 21.37 323.438 21.28zM135.375 305.814c.336 28.81-13.204 52.198-32.063 71.75-23.56 24.425-54.908 45.003-80.78 69.843 5.21 17.185 8.287 25.638 12.374 29.78 4.09 4.146 12.346 7.215 29.594 12.283 24.656-25.833 44.44-57.94 68.5-82 12.625-12.627 26.7-23.098 43.594-28.408 8.804-2.766 18.313-3.977 28.5-3.53l-69.72-69.72zM384 328.969c-15.79 0-31.774 6.565-42.906 17.56-11.132 10.998-17.724 26.717-17.72 42.22.006 15.497 6.59 31.23 17.72 42.22 11.13 10.988 27.12 17.53 42.906 17.53 15.785 0 31.775-6.542 42.906-17.53 11.13-10.99 17.714-26.723 17.72-42.22.004-15.503-6.588-31.222-17.72-42.22-11.132-10.995-27.115-17.56-42.906-17.56z"}}]})(props);
};
function GiPipes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M121 18v143.537c0 3.913 2.64 9.707 7.28 14.166 4.638 4.46 10.825 7.297 16.05 7.297H279v-46H167V18zm112 0v23h-48v46h71c5 0 11.05-2.777 15.637-7.363C276.223 75.05 279 69 279 64V18zm96 0v37h46V18zM80 41c-5 0-11.05 2.777-15.637 7.363C59.777 52.95 57 59 57 64v183h46V41zm249 32v46h46V73zm-32 64v46h197v-46zm32 64v46h46v-46zM18 265v46h135v82h-32v46h54.934c5.045 0 11.15-2.802 15.754-7.32 4.604-4.518 7.312-10.428 7.312-14.846V311h102.174A88.47 88.47 0 0 1 343 295.47v18.114c-19.383 2.436-36.29 12.62-47.53 27.385l-22.11-12.765-9 15.59 22.11 12.764C282.95 364.994 281 374.26 281 384s1.95 19.005 5.47 27.44l-22.11 12.765 9 15.59 22.11-12.764c11.24 14.767 28.147 24.95 47.53 27.386v18.127a88.535 88.535 0 0 1-14-2.566V494h46v-24.023a88.535 88.535 0 0 1-14 2.566v-18.127c19.383-2.436 36.29-12.62 47.53-27.385l22.11 12.765 9-15.59-22.11-12.764c3.52-8.435 5.47-17.702 5.47-27.44s-1.95-19.005-5.47-27.44l22.11-12.765-9-15.59-22.11 12.764c-11.24-14.767-28.147-24.95-47.53-27.386V295.47A88.47 88.47 0 0 1 402.826 311H494v-46zm325 62.723v40.687l-35.19-20.316c8.668-10.64 21.08-18.113 35.19-20.37zm18 0c14.11 2.258 26.522 9.732 35.19 20.37L361 368.41zM57 329v165h46V329zm380.977 32A88.703 88.703 0 0 1 441 384c0 7.95-1.055 15.66-3.023 23H494v-46zm-139.198 2.666L333.997 384l-35.22 20.334A56.53 56.53 0 0 1 295 384a56.53 56.53 0 0 1 3.78-20.334zm106.44 0A56.53 56.53 0 0 1 409 384a56.53 56.53 0 0 1-3.78 20.334L370.003 384zM18 393v46h21v-46zm325 6.59v40.687c-14.11-2.258-26.522-9.732-35.19-20.37zm18 0l35.19 20.316c-8.668 10.64-21.08 18.113-35.19 20.37z"}}]})(props);
};
function GiPiranha (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M194.823 48.16c-2.31-.022-4.594-.015-6.845.015-21.117.28-38.938 2.607-51.397 4.746 20.17 21.05 30.97 52.172 33.347 82.036 14.267-16.246 28.596-28.987 43.162-38.78C238.76 78.91 265.06 71.08 291.89 69.043c-31.63-15.736-66.762-20.61-97.07-20.885zM303.7 86.463c-28.065.367-54.176 6.902-80.568 24.648-32.173 21.634-64.98 60.62-99.645 127.073l-1.166 2.234-23.214 14.04c-8.086 8.862-11.147 20.87-10.853 31.055.15 5.23 1.22 9.898 2.498 12.863.53 1.225 1.03 1.815 1.43 2.31l28.5-3.46 46.995 51.353c2.34-1.07 5.027-2.282 7.195-3.28 12.824-5.904 23.297-11.042 24.21-11.59l9.26 15.434c-4.356 2.613-13.022 6.56-25.943 12.508-12.92 5.948-29.112 13.263-44.972 20.38-15.257 6.847-18.467 8.24-29.875 13.31 20.033 4.416 38.585 13.247 54.342 24.73 16.656 12.137 30.236 27.242 39.257 43.624l28.357-93.966 17.232 5.2-13.102 43.415c13.375 8.165 51.94 30.073 96.256 40.26 27.508 6.323 56.688 7.886 82.728-.684 21.627-7.116 41.37-21.12 57.377-46.253l-65.315 13.38-2.12-.608c-58.487-16.72-83.792-52.154-112.677-81.28l-5.692-5.74 5.098-6.272c44.69-54.995 106.57-89.817 166.48-125.116l-35.89-16.205-1.196-3.877s-7.41-23.88-23.505-48.33-40.02-48.203-72.735-50.562c-4.423-.32-8.79-.52-13.107-.586-1.888-.03-3.77-.032-5.64-.008zM28.708 149.452a24.23 24.23 0 0 0-1.094.02c-.64.026-1.295.144-1.943.222 6.486 14.903 10.55 34.073 13.407 55.975 3.554 27.246 4.955 58.47 4.922 89.237-.034 30.767-1.507 61.048-3.784 86.315-1.317 14.607-2.862 27.114-4.62 37.58 24.79-15.11 44.392-39.935 56.534-62.863 7.335-13.854 11.973-26.97 13.65-35.76.218-1.14.355-2.143.457-3.068l-17.384 2.114-1.827-.56c-6.897-2.11-10.375-7.527-12.804-13.163-2.43-5.636-3.753-12.25-3.96-19.47-.417-14.437 3.803-31.596 16.5-44.788l.815-.85 11.154-6.745a34.27 34.27 0 0 0-.317-.975c-1.238-3.558-3.107-8.298-5.506-13.658-4.797-10.72-11.74-23.962-20.06-35.92-8.32-11.96-18.11-22.55-27.764-28.32-5.656-3.38-10.924-5.293-16.375-5.325zm299.928 7.426c32.47.6 50.21 18.606 70.41 33.705l-65.098 13.373-36.43-43.04c11.78-3.01 22.026-4.206 31.118-4.038zm-99.844 9.832l15.785 8.65-36.898 67.33 9.612 70.15-17.832 2.446-10.422-76.04zm240.906 52.21c-14.41 8.635-15.675 9.068-28.138 16.462l42.392 61.85s-14.18-78.523-14.254-78.313zm-31.96 18.737c-11.527 6.866-22.95 13.782-34.128 20.893l40.455 59.838zm-36.38 22.334c-8.49 5.44-16.845 10.99-24.994 16.722l35.043 43.08zm-26.78 17.994c-8.277 5.87-16.347 11.92-24.14 18.23l37.79 31.303zm-26.888 20.492c-7.113 5.865-13.99 11.95-20.586 18.308l25.307 10.383zm-38.625 38.726c10.136 10.6 19.587 21.1 30.04 30.83l9.195-27.453zm177.264 2.17l-45.524 59.903 33.918-6.948zm-105.124 6.055l-37.986 26.35c7.31 6.477 15.198 12.557 24.197 18.03zm64.23.64l-44.312 59.07c1.44.467 2.903.922 4.393 1.366l30.095-6.164zm-38.595 3.924l-36.343 41.64c8.225 4.738 17.39 8.97 27.85 12.563zM69.62 399.697l-.055.024c.02 0 .04-.003.06-.004l-.005-.02z"}}]})(props);
};
function GiPirateCannon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M406.4 67.25c-2.1 0-4 .8-5.7 1.9-4.3 2.9-7.6 8.4-.8 18.6l53.4 79.85c6.8 10.2 13.2 9.3 17.5 6.4 4.4-2.9 7.7-8.4.9-18.6l-53.5-79.85c-4.2-6.4-8.3-8.4-11.8-8.3zM392 108.4l-141.2 88.5c4.6 12.4 12.1 26.2 21.1 38.8l1.8 2.4a24 24 0 0 1 3.6-.3 24 24 0 0 1 22.2 15h21.6l109.2-87.2zm-156.8 98.3l-99.1 62.2c4.1 17.3 11.5 33.6 21.7 47.9h54.5v-64h42.8a24 24 0 0 1 3-5.4c-.3-.4-.6-.9-.9-1.3-9-12.6-16.7-26.1-22-39.4zm-4.9 64.1v64h-64v64h-64v46h209.1c-6.9-8.5-11.1-19.3-11.1-31 0-23.9 17.3-43.9 40-48.2v-94.8zm-110.2 8.1l-34.2 21.5c-25.6 18.3-12.3 58.4 11.54 80.4h50.86v-46.6c-12.9-16.3-22.6-35.1-28.2-55.3zm309.2 39.9c-17.2 0-31 13.8-31 31 0 5.6 1.4 10.8 4 15.3 10.7 1 20.4 5.6 28 12.5 7-6.4 16-10.8 25.9-12.3 2.6-4.5 4.1-9.8 4.1-15.5 0-17.2-13.8-31-31-31zM66.66 370.9c-3.61 4-8.24 7.8-13.57 11-11.26 6.8-25.19 11.1-35.41 11.4l.58 18c14.31-.5 30.29-5.6 44.18-14 5.38-3.3 10.5-7.1 14.96-11.5-4-4.6-7.61-9.6-10.74-14.9zm282.64 11.9c-17.2 0-31 13.8-31 31s13.8 31 31 31c3.2 0 6.2-.5 9-1.3-6.2-8.3-10-18.6-10-29.7 0-11.1 3.8-21.4 10-29.7-2.8-.8-5.8-1.3-9-1.3zm48 0c-17.2 0-31 13.8-31 31s13.8 31 31 31 31-13.8 31-31-13.8-31-31-31zm66 0c-8.7 0-16.5 3.5-22.1 9.2 3.2 6.6 5.1 14 5.1 21.8 0 7.8-1.9 15.2-5.1 21.8 5.6 5.7 13.4 9.2 22.1 9.2 17.2 0 31-13.8 31-31s-13.8-31-31-31z"}}]})(props);
};
function GiPirateCaptain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M204.813 26.47c-47.833 30.147-65.559 69.524-84.504 114.994-19.315 46.354-39.628 98.61-93.305 146.756 6.085 10.885 19.806 21.43 39.465 30.394 10.776-9.337 21.588-19.802 31.865-30.299l-32.568 6.514-3.532-17.652c22.594-5.308 46.576-9.316 67.391-13.479 1.5-12.248 3.734-22.238 7.338-33.045 39.53-9.031 83.046-24.929 119.037-25.304 49.418 4.492 82.3 14.81 119.47 25.427 2.837 11.075 5.085 23.007 6.268 32.795 21.488 2.892 44.897 8.98 68.028 13.606l-3.532 17.652-32.568-6.514c10.277 10.497 21.089 20.962 31.865 30.3 19.659-8.965 33.38-19.51 39.465-30.395-53.677-48.145-73.99-100.402-93.305-146.756-18.945-45.47-36.67-84.847-84.503-114.994C296.238 44.055 277.03 70.62 256 71.003c-24.332-2.907-39.507-25.418-51.188-44.533zM171 74.003h18v16.84l29.234 15.945c8.62-13.111 22.037-21.785 37.766-21.785s29.146 8.674 37.766 21.785L323 90.843v-16.84h18v15h15v18h-25.04l-29.657 16.178c2.726 10.398 3.39 20.056 1.783 29.89l51.209 27.932H376v18h-15v15h-18v-18.658l-45.451-24.791c-8.134 16.76-23.286 28.449-41.549 28.449-18.263 0-33.415-11.689-41.549-28.45L169 195.346v18.658h-18v-15h-15v-18h21.705l51.21-27.932c-1.62-10.023-.816-20.876 1.782-29.89l-29.658-16.178H156v-18h15zm85 29c-15.553 0-30 16.442-30 39s14.447 39 30 39 30-16.442 30-39-14.447-39-30-39zm-25 23h18v16h-18zm32 0h18v16h-18zm-23 23h32v18h-32zm-88.672 96.275c-1.23 4.528-2.197 9.576-2.945 15.01 77.777-16.486 135.335-16.85 214.637-.086-.721-5.099-1.596-10.115-2.674-15.015-81.523-28.826-127.387-28.658-209.018.091zm-4.562 33.422c-.424 9.46-.335 19.679.177 30.32 4.753.039 9.345.031 13.827-.01 6.59-12.958 53.8-23.891 75.593-6.394 31.024-6.023 53.738-16.34 76.233-31.225-56.816-10.167-121.565.987-165.83 7.31zm96.879 40.393c-2.76 28.11-22.07 46.91-51.645 46.91-17.41 0-28.047-15.338-31.088-39.02-4.157.046-8.378.07-12.738.043 3.258 31.757 9.031 65.783 15.209 93.81 12.83-1.074 30.377-7.884 46.246-16.7 15.178-8.432 29.164-18.651 37.057-25.719-7.13-.615-14.143-1.883-21.012-3.72l4.652-17.387c16.713 4.472 33.443 5.046 51.233.03l4.882 17.325a110.67 110.67 0 0 1-21.082 3.791c7.901 7.066 21.864 17.264 37.012 25.68 15.924 8.846 33.54 15.676 46.38 16.715 10.49-45.632 19.036-96.549 16.136-142.2l-21.912-3.13c-18.234 9.981-60.434 35.275-99.33 43.572zm139.638-36.854c.445 8.808.533 17.712.256 26.678 7.592 9.002 16.344 17.933 26.244 26.812-3.032-1.696-6.46-2.726-10.172-2.726-17.814 2.059-25.24 18.28-25.388 33 .571 15.995 9.892 32.652 25.388 33 1.72 0 3.375-.23 4.963-.635 5.28 21.08 13.551 36.341 30.328 49.365-21.42 15.611-63.538 17.105-86.025 14.53a390.133 390.133 0 0 1-16.275 15.382c46.768 5.84 110.236 6.113 127.08-34.878-19.729-11.428-33.27-30.424-37.319-46.85 27.314 6.033 50.22-9.868 50.637-34.73-34.067-11.184-73-63.891-89.717-78.948zm-254.85.057C98.9 314.222 68.38 341.6 33.874 364.604c20.184 21.992 53.465 24.298 75.195 18.358-26.457 40.808-46.046 58.21-81.37 81.76 49.243 14.027 108.243 23.808 151.991 13.185a386.57 386.57 0 0 1-15.96-15.049c-31.675 3.96-65.776 1.813-95.264-4.603 37.443-29.197 53.024-59.135 67.088-87.24a730.285 730.285 0 0 1-2.54-17.582l-9.038 4.52c-23.393 11.696-45.525 13.212-59.72 7.708 26.777-18.845 48.316-37.823 64.526-57.127-.457-9.033-.575-17.797-.347-26.238zm207.204 19.707l12.726 12.728c-6.403 6.404-14.195 10.616-22.363 13.39v16.882h-32v-11.746c-6.205.212-11.752.11-16 .11v-18c16 0 45.88-1.607 57.637-13.364zm81.883 40.447c10.919 9.226 23.07 18.404 36.472 27.553-6.27 11.21-21.687 10.315-30.56 7.648 3.037-11.635.5-26.466-5.912-35.2zm-17.909 8.553c5.604 1.912 7.333 9.947 7.389 15-.435 4.06-1.547 14.87-7.389 15-5.603-1.912-7.333-9.948-7.388-15 .435-4.06 1.547-14.87 7.388-15zM256 399.114c-6.269 8.582-14.137 16.636-22.88 23.873 8.955-3.216 15.62-5.04 22.903-5.021 7.311.02 13.967 1.881 22.948 5.097-8.78-7.256-16.68-15.337-22.971-23.949zm33.77 32.158l-4.922 13.16c-12.197-4.56-19.227-7.07-24.424-8.017l32.744 49.115c14.797-9.823 27.718-20.992 40.074-33.097-16.68-5.461-30.996-12.44-43.472-21.16zm-67.56.014c-13.64 8.811-29.479 17.396-43.45 21.147 13.108 12.633 25.708 23.663 40.072 33.097l32.768-49.152c-5.186.912-12.183 3.405-24.409 8.04z"}}]})(props);
};
function GiPirateCoat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192 32c0 16 0 32-16 48l-64 32-37.646 163.139c20.315 9.254 41.137 16.022 62.947 19.007L160 192c0 64 0 192-32 304 16.315-4.079 36.8-7.112 59.313-9.111 9.09-14.67 17.425-42.087 23.058-76.11.097-.585.188-1.19.283-1.779H192v-18h21.293c1.271-9.625 2.386-19.655 3.35-30H192v-18h26.148c.727-9.803 1.322-19.829 1.795-30H192v-18h28.646c.14-4.382.262-8.777.356-13.191.119-5.583.2-11.19.246-16.809H192v-18h29.275c-.051-10.022-.22-20.04-.49-30H192v-18h28.176c-.41-10.127-.928-20.153-1.557-30H192v-18h25.334a1048.454 1048.454 0 0 0-2.797-30H192v-18h20.404c-3.451-26.732-7.839-50.259-13.058-68.527l.199-.057A345.758 345.758 0 0 1 192 32zm128 0c-2.562.854-5.07 1.653-7.545 2.416l.2.057c-5.22 18.268-9.608 41.795-13.06 68.527H320v18h-22.537a1048.454 1048.454 0 0 0-2.797 30H320v18h-26.62c-.628 9.847-1.145 19.873-1.556 30H320v18h-28.785c-.27 9.96-.439 19.978-.49 30H320v18h-29.248c.046 5.619.127 11.226.246 16.809.094 4.414.217 8.809.356 13.191H320v18h-27.943a1096.285 1096.285 0 0 0 1.795 30H320v18h-24.643c.964 10.345 2.079 20.375 3.35 30H320v18h-18.654c.095.59.186 1.194.283 1.78 5.633 34.022 13.967 61.439 23.058 76.109C347.2 488.888 367.685 491.92 384 496c-32-112-32-240-32-304l22.7 102.146c21.809-2.985 42.63-9.753 62.946-19.007L400 112l-64-32c-16-16-16-32-16-48zm-100.639 7.72c14.695 59.028 21.537 153.15 19.637 242.471-1.007 47.323-4.517 93.164-10.87 131.53-4.77 28.82-10.831 53.327-19.462 71.619 30.778-1.773 63.89-1.773 94.668 0-8.631-18.292-14.691-42.798-19.463-71.62-6.352-38.365-9.862-84.206-10.869-131.529-1.9-89.32 4.942-183.443 19.637-242.47-25.553 5.69-47.725 5.69-73.278 0zM54.671 285.396c-1.49 7.72-2.976 15.435-3.648 22.43-1.022 10.64.299 18.44 3.645 22.13 17.186 18.957 41.688 25.915 67.963 28.494 7.592-15.13 12.333-30.41 12.566-46.512-28.605-3.87-55.172-13.757-80.525-26.542zm402.657 0c-25.353 12.785-51.92 22.672-80.525 26.543.233 16.102 4.974 31.382 12.566 46.511 26.275-2.579 50.777-9.537 67.963-28.494 3.346-3.69 4.667-11.49 3.645-22.13-.672-6.995-2.159-14.71-3.649-22.43z"}}]})(props);
};
function GiPirateFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 31.203c-96 .797-117.377 76.692-79.434 135.133-6.397 6.534-10.344 15.886-.566 25.664 16 16 32 16 39.852 32.42h80.296C304 208 320 208 336 192c9.778-9.778 5.831-19.13-.566-25.664C373.377 107.896 352 32 256 31.203zm-42.146 101.049c.426-.003.862.007 1.306.03 28.404 1.442 40.84 59.718-10.83 51.095-10.412-1.738-17.355-50.963 9.524-51.125zm84.292 0c26.88.162 19.936 49.387 9.524 51.125C256 192 268.436 133.724 296.84 132.28c.444-.022.88-.032 1.306-.03zM32 144c7.406 88.586 64.475 175.544 156.623 236.797 17.959-7.251 35.767-15.322 50.424-23.877C180.254 319.737 104.939 255.465 32 144zm448 0C359.2 328.605 231.863 383.797 183.908 400.797c3.177 5.374 5.997 10.98 8.711 16.432 3.878 7.789 7.581 15.251 11.184 20.986A517.457 517.457 0 0 0 256 417.973l.168.076a884.617 884.617 0 0 0 9.652-4.65C391.488 353.263 471.156 249.79 480 144zm-224 27.725l20.074 40.15L256 199.328l-20.074 12.547L256 171.725zm-65.604 57.11l15.76 51.042s31.268 24.92 49.844 24.92 49.844-24.92 49.844-24.92l15.76-51.041-27.086 19.236-8.063 16.248S267.35 279.547 256 279.547c-11.35 0-30.455-15.227-30.455-15.227l-8.063-16.248-27.086-19.236zm-59.984 152.976c-.783-.02-1.574-.011-2.375.027l.856 17.978c6.36-.302 10.814 2.416 16.11 8.64 5.298 6.222 10.32 15.707 15.24 25.589 4.918 9.882 9.707 20.12 16.122 28.45 6.415 8.327 16.202 15.446 27.969 13.89l-2.36-17.844c-4.094.541-6.78-1.099-11.349-7.031-4.57-5.933-9.275-15.46-14.268-25.489-4.992-10.029-10.297-20.604-17.644-29.234-6.888-8.09-16.556-14.686-28.3-14.976zm251.176 0c-11.745.29-21.413 6.885-28.3 14.976-7.348 8.63-12.653 19.205-17.645 29.234-4.993 10.03-9.698 19.556-14.268 25.489-4.57 5.932-7.255 7.572-11.35 7.031l-2.359 17.844c11.767 1.556 21.554-5.563 27.969-13.89 6.415-8.33 11.204-18.568 16.123-28.45 4.919-9.882 9.94-19.367 15.238-25.59 5.297-6.223 9.75-8.941 16.111-8.639l.856-17.978a32.853 32.853 0 0 0-2.375-.027zm-55.928 18.107c-13.97 10.003-30.13 18.92-47.424 27.478a524.868 524.868 0 0 0 29.961 10.819c3.603-5.735 7.306-13.197 11.184-20.986 2.714-5.453 5.534-11.058 8.71-16.432-.77-.273-1.62-.586-2.43-.879zm-191.808 23.371l-27.67 10.352 7.904 31.771 36.424-11.707c-1.418-2.814-2.81-5.649-4.207-8.457-4.048-8.131-8.169-15.961-12.451-21.959zm244.296 0c-4.282 5.998-8.403 13.828-12.45 21.959-1.399 2.808-2.79 5.643-4.208 8.457l36.424 11.707 7.904-31.771-27.67-10.352zM78.271 435.438a9.632 9.632 0 0 0-1.32.12 6.824 6.824 0 0 0-1.217.313c-11.544 4.201-25.105 18.04-21.648 29.828 3.07 10.472 19.675 13.359 30.492 11.916 3.828-.51 8.415-3.761 12.234-7.086l-8.124-32.648c-3.238-1.285-7.214-2.528-10.417-2.443zm355.458 0c-3.203-.085-7.179 1.158-10.416 2.443l-8.125 32.648c3.819 3.325 8.406 6.576 12.234 7.086 10.817 1.443 27.422-1.444 30.492-11.916 3.457-11.788-10.104-25.627-21.648-29.828a6.824 6.824 0 0 0-1.217-.312 9.632 9.632 0 0 0-1.32-.122z"}}]})(props);
};
function GiPirateGrave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M267.313 18c-59.77.48-121.55 26.74-150.657 82.125L76.72 489.905H369.56v-.06h64.874l.783-8.5 30-331.408.405-4.218-2.938-3.095-68.75-72.094c-26.61-34.736-75.88-52.937-126.625-52.53zm-8.532 34.313c49.237.1 91.104 27.793 95.72 64.874 3.886 31.22-19.827 59.727-56.25 72.282l9.688 50.31-39.438-17.843-27.313 30.344-22.75-38.405-45.5 17.563 20.47-53c-17.87-11.625-30.013-28.117-32.376-47.094-4.922-39.55 34.388-74.78 87.814-78.688 3.34-.244 6.655-.35 9.937-.343zm41.5 49.5c-14.57 0-26.374 11.804-26.374 26.374 0 14.57 11.805 26.375 26.375 26.375s26.376-11.804 26.376-26.375c0-14.572-11.805-26.375-26.375-26.375zm-94.436 2.156c-11.424 0-20.688 9.262-20.688 20.686s9.264 20.688 20.688 20.688 20.687-9.264 20.687-20.688c0-11.426-9.262-20.687-20.686-20.687zm202.375 8.593l38.03 39.906-28.875 318.686H371.47l26.686-260.469 28.375-13.28-42.31-15.75v.093L363.186 173l39.782-9.28 5.25-51.157zm-160.095 39.062l-21.938 31.156 36.594 4.22-14.655-35.375zm-108.53 79.188c54.585 58.484 149.392 118.814 222.28 142.25-1.684 17.42-10.09 33.018-20.188 40.968-58.604-52.71-153.878-115.29-222.375-131.874-.718-21.207 7.723-40.255 20.282-51.344zm209.655 6.312c14.336 11.4 23.118 25.974 20.813 46.78-24.526 7.466-54.398 19.293-85.688 33.376-8.742-4.956-17.495-10.208-26.156-15.655 35.11-21.406 67.09-44.536 91.03-64.5zm-152.22 98.03c7.634 4.202 15.317 8.63 23 13.25-34.043 17.586-66.647 36.193-92.78 53.22-10.527-7.495-15.798-18.125-15.813-35.125 27.22-6.096 56.537-17.335 85.594-31.344z"}}]})(props);
};
function GiPirateHat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M94.32 70.473c-12.257.27-25.32 12.332-36.568 29.64a145.732 145.732 0 0 1 19.855-12.115c-31.622 23.364-46.658 83.72-47.166 122.336C43.54 191.32 70.73 160.196 96 174.964c-28.952-6.018-47.296 38.325-56.428 58.606 22.808-9.36 39.494-24.152 72.428-24.523-32.47 21.4-43.966 44.83-56.428 68.168 23.376-14.505 40.286-22.99 55.528-26.227 13.683-16.43 28.01-33.093 43.728-46.746 11.79-10.24 24.533-18.877 38.37-24.043-16.805-46.114-42.764-88.828-89.626-107.49-3-1.6-6.1-2.307-9.252-2.237zM207.578 194.64c-14.066 3.29-27.57 11.573-40.947 23.192-17.53 15.227-34.353 35.82-50.868 55.703-16.515 19.884-32.62 39.088-50.287 51.707-13.545 9.674-29.157 15.164-45.014 12.565 2.883 14.468 9.866 33.213 19.38 50.42 12.655 22.886 30.036 43.342 44.482 50.59 6.637 3.328 12.566 3.416 21.23 1.243 8.662-2.173 19.453-6.957 32.762-12.52C164.934 416.41 201.78 402.6 256 402.6c54.22 0 91.066 13.81 117.686 24.94 13.31 5.563 24.1 10.347 32.763 12.52 8.662 2.173 14.59 2.085 21.228-1.244 14.446-7.247 31.827-27.703 44.482-50.59 9.514-17.206 16.497-35.95 19.38-50.42-15.858 2.6-31.47-2.89-45.015-12.564-17.667-12.62-33.772-31.823-50.287-51.707s-33.337-40.476-50.87-55.703c-13.376-11.62-26.88-19.902-40.946-23.193 3.024 13.966-.075 26.363-7.594 34.985-10.06 11.535-25.643 16.307-40.828 16.307-15.185 0-30.77-4.772-40.828-16.307-7.52-8.622-10.618-21.02-7.594-34.986zm113.04 35.702c8.495-.304 17.71 10.54 7.925 22.465 16.326-15.08 30.872 6.004 13.81 13.808-13.26 6.065-25.986 13.423-37.937 21.86a32.33 32.33 0 0 1 1.584 9.958c0 10.202-2.76 19.5-10.88 26.696l-1.18 1.055-.047 1.582-.11 4.397c13.784 10.594 29.233 19.1 46.635 25.016 20.08 6.825 5.405 31.39-15.922 15.912 18.035 18.658-6.53 32.908-14.275 14.275-4.626-11.13-10.36-21.786-17.02-31.887l-.007.233c-1.505.906-4.646 2.64-9.295 4.308V340.6h-9.343v21.583c-3.997.946-6.635 1.68-11.875 1.94v-20.516h-11.344v20.565c-5-.19-7.527-.81-11.518-1.645V340.6h-9.344v20c-5.884-1.864-9.905-3.948-11.69-4.96l-.01-.298c-6.652 10.092-12.38 20.738-17.003 31.855-7.746 18.632-32.31 4.384-14.274-14.275-21.327 15.48-36.005-9.097-15.924-15.922 17.313-5.885 32.705-14.322 46.435-24.84l-.156-4.687-.05-1.547-1.152-1.032C208.72 317.74 206 308.48 206 298.396c0-3.362.53-6.647 1.533-9.798-11.935-8.415-24.646-15.747-37.883-21.8-17.063-7.806-2.527-28.89 13.8-13.812-9.574-11.666-.968-22.302 7.364-22.474 3.52-.073 6.99 1.722 9.024 6.086 5.733 12.305 12.05 24.032 19.04 35.013 8.91-7.97 21.735-13.142 36.214-13.352H256c14.805 0 27.942 5.186 37.03 13.28 7.024-11.008 13.372-22.763 19.124-35.11 1.926-4.134 5.14-5.967 8.463-6.086zM224.7 293.228c-4.483.056-7.877 1.904-8.042 7.28 0 8.555 6.923 15.498 15.485 15.498 8.555 0 15.496-6.943 15.496-15.498 0 0-13.757-7.395-22.94-7.28zm62.624 0c-9.18-.116-22.937 7.28-22.937 7.28 0 8.555 6.94 15.498 15.496 15.498 8.555 0 15.484-6.943 15.484-15.498-.164-5.376-3.56-7.224-8.043-7.28zm-31.336 18.96l-7.994 17.84h15.988l-7.994-17.84z"}}]})(props);
};
function GiPirateHook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M378.095 20.322c34.035-.38 61.06 18.682 75.365 44.432 15.26 27.467 18.663 54.957 5.458 85.535-.823 1.904-3.993 14.39-3.395 21.108.48 5.396 3.53 27.773.846 29.18-1.433 1.14-11.05-18.545-14.056-23.332-5.136-8.18-12.894-18.784-8.16-29.746 9.785-22.657 7.77-49.972-3.422-70.12-11.193-20.146-29.84-33.194-57.29-30.815-29.632 2.567-46.207 11.872-57.257 24.796-11.05 12.926-16.824 30.83-20.016 51.652-6.383 41.642.04 92.605-22.4 128.912-.26.42-.543.825-.85 1.213l-34.538 43.814c-3.714.45-6.83.52-9.275.267-4.443-.46-6.53-1.636-8.043-3.213-1.874-1.953-3.33-6.086-3.67-12.584.032.013.066.022.098.035l34.39-43.627c14.326-23.78 11.526-72.68 18.588-118.756 3.55-23.167 10.218-46.2 25.953-64.605 15.736-18.405 40.29-30.82 74.774-33.807 2.33-.202 4.63-.312 6.898-.338zM199.078 278.008c.035 0 .07.003.105.004-.242 11.4 1.905 21.17 8.895 28.455 4.834 5.038 11.675 7.875 19.172 8.652 5.648.585 11.8.17 18.693-1.094 1.59 4.98 2.696 10.352 3.36 16.1 2.022 17.458-.235 37.965-4.944 58.556-5.345 23.368-13.753 46.676-21.968 66.2-59.667-12.71-112.163-55.15-150.262-115.952 16.522-13.195 37.502-28.216 59.393-40.012 18.782-10.12 38.147-17.76 55.256-20.11 4.276-.586 8.375-.865 12.298-.8zm-140.91 72.504c39.234 61.705 93.608 106.474 156.816 121.162-3.164 6.837-6.137 12.883-8.688 17.824-2.686 1.485-6.664 2.413-12.337 2.137-6.73-.327-15.344-2.327-24.822-5.842-18.955-7.03-41.36-19.988-61.728-35.492-20.368-15.503-38.77-33.628-50.168-50.366-10.84-15.92-14.417-29.478-11.256-38.434 3.198-3.048 7.347-6.81 12.183-10.988z"}}]})(props);
};
function GiPirateSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.95 19.2c-58.685 0-101.737 17.664-132.97 45.68 48.263 68.21 113.714 107.422 171.94 118.15 32.58 6 62.737 3.08 86.443-8.014 23.35-10.928 40.7-29.45 49.282-56.862-5.45-10.763-11.76-20.916-18.997-30.29-31.994-41.443-81.43-68.663-155.7-68.663zM109.587 78.298c-3.422 3.823-6.677 7.784-9.764 11.875-30.746 40.752-44.657 94.833-45.63 147.937 58.72 26.42 90.817 62.647 101.806 101.417 30.31 19.97 69.622 29.4 108.22 27.975 33.805-1.247 66.84-10.815 92.688-27.922 10.205-38.25 42.34-73.28 100.81-101.193-.54-33.675-5.868-66.638-16.704-96.28-10.685 20.984-27.018 36.954-46.848 47.395 5.5 17.523 2.04 35.76-6.05 50.85-8.78 16.38-22.906 29.666-39.145 36.173-16.24 6.508-35.77 5.343-50.11-8.22-13.924-13.172-22.515-35.957-24.258-70.71-58.037-15.36-118.86-55.217-165.014-119.298zm41.916 97.803c5.71 20.964 31.71 36.888 63.072 36.888 6.97 0 13.348-.932 19.635-2.38.038.598 0 1.183 0 1.785 0 24.497-23.654 44.62-52.956 44.62-29.302 0-52.96-20.125-52.96-44.62 0-15.31 9.09-28.315 23.208-36.29l.002-.003zm108.422 74.107c14.6 29.094 23.808 58.187 31.467 87.28-20.978-7.523-41.956-6.637-62.936 0 5.666-29.093 17.082-58.186 31.47-87.28zm93.416 113.254c-9.875 5.25-20.36 9.583-31.248 13.017v44.47c13.1-4.626 25.368-10.682 36.3-18.12-3.742-13.045-5.556-26.223-5.052-39.366zm-193.162.224c.912 13.586-.507 27.122-3.846 40.312 10.74 7.033 22.603 12.742 35.156 17.123v-44.5c-10.862-3.4-21.366-7.702-31.31-12.936zm143.226 17.71c-12.18 2.616-24.69 4.192-37.27 4.723v45.545c12.66-.585 25.197-2.337 37.27-5.217v-45.052zM364.852 421c-28.772 18.386-64.12 28.102-99.942 29.424-40.16 1.482-81.158-7.587-114.527-28.06-4.88 12.362-11.358 24.27-19.074 35.445 22.273 21.468 70.715 35.49 121.31 36.042 50.88.553 103.302-12.087 132.718-36.016-8.24-11.97-15.18-24.302-20.486-36.836z"}}]})(props);
};
function GiPisaTower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M264.934 22.004l-5.92 29.412 29.412 5.92 1.383-6.863a9 9 0 0 1 8.699-7.35 9 9 0 0 1 8.943 10.9l-1.38 6.864 29.411 5.918 5.92-29.412-76.468-15.39zm-25.155 43.9L230.703 111l13.725 2.764 4.539-22.55a9 9 0 0 1 8.699-7.347c5.796-.095 10.169 5.233 8.945 10.899l-4.539 22.548 13.727 2.762 4.539-22.549a9 9 0 0 1 8.7-7.347c5.796-.096 10.17 5.234 8.944 10.9l-4.539 22.547 13.727 2.762 4.539-22.547a9 9 0 0 1 8.7-7.348c5.794-.094 10.166 5.234 8.943 10.899l-4.538 22.548 13.727 2.762 9.076-45.096L239.78 65.904zm-12.627 62.742l-9.076 45.096 13.725 2.764 4.539-22.549a9 9 0 0 1 8.7-7.348c5.794-.094 10.166 5.234 8.942 10.899l-4.537 22.549 13.727 2.761 4.537-22.548a9 9 0 0 1 8.7-7.348c5.795-.096 10.168 5.233 8.945 10.898l-4.538 22.55 13.727 2.76 4.537-22.546a9 9 0 0 1 8.7-7.348c5.795-.095 10.168 5.233 8.945 10.899l-4.538 22.549 13.727 2.761 9.076-45.095c-42.153-8.353-68.636-13.815-107.838-21.704zm-12.629 62.743l-9.076 45.095 13.727 2.762 4.537-22.547a9 9 0 0 1 8.7-7.35c5.796-.095 10.17 5.234 8.944 10.901l-4.537 22.549 13.727 2.762 4.537-22.55a9 9 0 0 1 8.7-7.347c5.795-.095 10.168 5.233 8.945 10.899l-4.538 22.548 13.727 2.762 4.537-22.547a9 9 0 0 1 8.7-7.347c5.795-.096 10.168 5.232 8.945 10.898l-4.537 22.549 13.724 2.762 9.076-45.096c-36.53-7.244-72.7-14.626-107.838-21.703zm-12.627 62.74l-9.076 45.096 13.727 2.763 4.537-22.549a9 9 0 0 1 8.7-7.347c5.796-.096 10.17 5.234 8.945 10.9l-4.54 22.547 13.727 2.764 4.54-22.55a9 9 0 0 1 8.698-7.347c5.796-.095 10.17 5.233 8.946 10.899l-4.54 22.549 13.727 2.761 4.54-22.547a9 9 0 0 1 8.698-7.35c5.797-.095 10.17 5.235 8.946 10.901l-4.54 22.549 13.727 2.762 9.076-45.096c-36.344-7.205-74.38-14.962-107.838-21.705zM189.27 316.87l-9.077 45.096 13.725 2.763 4.539-22.548a9 9 0 0 1 8.7-7.348c5.795-.095 10.168 5.233 8.945 10.898l-4.54 22.55 13.727 2.763 4.54-22.549a9 9 0 0 1 8.698-7.348c5.796-.095 10.17 5.233 8.946 10.899l-4.54 22.549 13.727 2.761 4.54-22.548a9 9 0 0 1 8.698-7.348c5.797-.096 10.17 5.234 8.946 10.9l-4.54 22.55 13.725 2.76 9.076-45.095c-36.669-7.268-75.812-15.256-107.835-21.705zm-12.63 62.742l-9.076 45.096 13.727 2.764 4.54-22.55a9 9 0 0 1 8.698-7.347c5.796-.095 10.17 5.233 8.946 10.899l-4.54 22.548 13.727 2.764 4.54-22.549a9 9 0 0 1 8.698-7.347c5.796-.096 10.17 5.232 8.946 10.898l-4.54 22.549 13.727 2.762 4.54-22.55a9 9 0 0 1 8.698-7.347c5.797-.096 10.17 5.234 8.946 10.9l-4.54 22.55 13.725 2.761 9.077-45.096c-36.342-7.209-70.194-14.127-107.838-21.705zm-12.626 62.742L157.444 475H22v18h178.28l.251.05.012-.05H490v-18H269.37l2.482-10.941c-36.672-7.27-75.822-15.258-107.838-21.704zm17.888 17.963c5.795-.094 10.167 5.234 8.944 10.899l-.801 3.783h-18.318l1.476-7.334a9 9 0 0 1 8.7-7.348zm31.37 6.313c4.918-.081 8.798 3.746 9.117 8.369h-18.032l.217-1.02a9 9 0 0 1 8.697-7.35z"}}]})(props);
};
function GiPisces (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M281.02 221.26c6.9-79.494 40.052-148.655 87.93-192.533h87.745c-47.877 43.878-75.456 113.04-81.08 192.532h70.68v79.45h-69.05c8.383 73.184 36.106 136.262 81.49 176.83H370.99c-45.39-40.568-77.906-103.65-87.997-176.83h-57.89c-10.092 73.184-42.61 136.262-87.998 176.83h-87.74c45.383-40.568 73.097-103.65 81.49-176.83H56.066v-79.45h76.42C126.85 141.765 99.28 72.604 51.403 28.726h87.75c47.87 43.878 81.025 113.04 87.92 192.532h53.946z"}}]})(props);
};
function GiPistolGun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M79.238 115.768l-28.51 67.863h406.15l-.273-67.862h-263.83v55.605h-15v-55.605h-16.68v55.605H146.1v-55.605h-17.434v55.605h-15v-55.605H79.238zm387.834 15.96v40.66h18.688v-40.66h-18.688zM56.768 198.63l20.566 32.015L28.894 406.5l101.68 7.174 21.54-97.996h115.74l14.664-80.252 174.55-3.873-.13-32.922H56.767zM263.44 235.85l-11.17 61.142h-96.05l12.98-59.05 12.53-.278-2.224 35.5 14.262 13.576 1.003-33.65 24.69-16.264 43.98-.976z"}}]})(props);
};
function GiPitchfork (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105.9 19l25.7 58.8c.7.1 1.9.26 3.9 0 4.7-.57 11.8-2.8 18.5-5.87 6.6-3.07 13-7.02 16.8-10.3 1.5-1.33 2.2-2.27 2.7-2.96L156.2 19h-50.3zm75.3 57.39c-5.6 4.5-12.4 8.53-19.7 11.88-7.4 3.39-15 6.05-22.2 7.16l16.3 37.47 25.8 1.3 16.4-19.7-16.6-38.11zm110.1 18.32c-19.5-.35-46.8 5.79-75.6 15.59l3.1 7.2-26.5 31.7-2.9 3.4-45.8-2.3-3.3-7.5c-44.48 23.5-78.61 50.6-74.43 69C102.8 337 168.3 448.5 226 496.7l11.5-13.8c-51-42.7-115.5-149.4-152.01-268.6L127.5 196c37.4 121.2 101 228.2 157.2 275.1l11.5-13.8C245.1 414.6 180.6 308 144 188.8l42.1-18.4c37.4 121.2 101 228.2 157.3 275.1l11.4-13.8c-51-42.7-115.6-149.3-152.1-268.5l42.1-18.4C282.2 266 345.8 373 402 419.9l11.5-13.8c-51-42.7-115.6-149.3-152.1-268.5l42.1-18.4c37.4 121.1 101 228.3 157.2 275.1l11.4-13.8C420 336.9 353.8 226.6 317.7 104.4c-4.3-6.49-13.7-9.47-26.4-9.69z"}}]})(props);
};
function GiPizzaCutter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.75 45.53v99.44l87.594 43.53 39.594-80.156L18.75 45.53zm254.594 71.22l.937 29.28c-15.953 2.838-31.072 8.025-45.03 15.19 25.204 19.133 48.265 40.868 68.406 64.75 32.97-2.95 64.406 14.304 78.594 44.124 2.312 4.858 4.298 10.327 5.625 15.72l1.78 7.248-.342.188c5.876 40.095-20.21 78.91-60.344 88.78-42.624 10.484-85.715-15.604-96.19-58.124-3.867-15.707-2.168-31.376 2.876-45.406-19.822-22.79-41.185-42.17-64.22-58.344-.197.322-.396.646-.592.97-.005.007.004.023 0 .03l-38.625 14.72 25.03 13.624c-5.953 16.32-9.346 33.89-9.688 52.188l-25.937 31.968L143.97 333c3.185 18.025 9.385 35.013 18.03 50.438l-6.5 39.625 23.75-14.688c11.736 13.965 25.802 25.92 41.594 35.25l14.062 36.75L248 456.405c16.868 6.087 35.053 9.45 54 9.533l30.875 24.937L332 463.25c18.2-3.34 35.333-9.69 50.844-18.594l39.656 6.375-14.844-23.967c13.472-11.57 25.007-25.325 34.063-40.72L480 371.75l-25.156-13.688c5.622-16.04 8.792-33.22 9.03-51.125L490.595 274l-29.5.688c-3.22-17.073-9.135-33.194-17.28-47.907l6.905-42.186-25.314 15.625c-11.09-13.006-24.214-24.213-38.875-33.157l-15.217-39.782-14.063 25.75c-15.873-5.706-32.888-8.983-50.625-9.405l-33.28-26.875zm-120.03 18.875l-6.876 13.875C208.536 181.288 251.48 218.91 287 267.906c1.16-.556 2.36-1.082 3.594-1.53 4.504-1.64 9.137-2.42 13.687-2.407.65 0 1.292.027 1.94.06 15.514.814 29.87 10.697 35.5 26.126 7.503 20.573-3.256 43.57-23.845 51.063-20.59 7.49-43.62-3.21-51.125-23.783-4.79-13.134-2.122-27.242 5.78-37.687-34.074-47.307-74.226-82.698-134.374-113.47l-6.094 12.314c43.22 21.705 81.69 52.072 115.344 91.812l3.813 4.47-2.376 5.343c-5.353 12.042-7.224 25.748-3.906 39.217 8.07 32.758 40.718 52.524 73.593 44.438 32.89-8.09 53.232-40.94 45.19-73.594-.99-4.02-2.646-8.585-4.345-12.155-11.388-23.935-37.086-37.296-64.156-33.094l-5.283.814-3.375-4.094c-35.76-43.51-81.952-79.968-133.25-106.125zm151 147c-2.428.004-4.914.428-7.345 1.313-11.115 4.044-16.694 16.058-12.658 27.125 4.037 11.066 16.074 16.638 27.188 12.593 11.114-4.044 16.693-16.027 12.656-27.094-3.027-8.3-10.552-13.52-18.812-13.906-.344-.016-.685-.032-1.03-.03z"}}]})(props);
};
function GiPizzaSlice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M239.643 90.924c-.86 1.458-.836 7.676-.643 15.758l207.96 77.752c-.75-5.11-1.026-10.22-.07-15.504 1.096-6.05 4.167-11.833 9.258-16.95-4.287-2.323-9.127-4.66-14.44-6.93-16.102-6.884-36.296-13.547-57.772-19.986-42.423-12.718-89.605-24.523-122.35-36.86-5.586-1.577-18.39-3.26-21.943 2.72zm-13.24 28.13l-13.977 22.575c2.48 1.246 4.814 2.69 6.963 4.327 8.1 6.17 13.75 15.402 13.75 25.844 0 10.442-5.65 19.673-13.75 25.845-8.103 6.17-18.78 9.687-30.408 9.687-5.542 0-10.863-.808-15.796-2.312l-54.684 88.334c4.02 1.602 8.016 3.954 11.836 7.193 8.423 6.012 14.26 12.96 16.83 20.02 2.57 7.06 1.765 14.98-5.385 20.472-7.15 5.49-17.81 6.38-27.43 4.737-7.88-1.345-15.738-4.314-22.95-8.646L45.14 411.86l217.22-112.354c-3.304-.727-6.65-1.74-10.005-3.065-11.6-4.575-21.265-11.935-27.802-20.903-6.538-8.967-10.216-20.45-7.016-31.433 3.2-10.985 12.122-17.495 21.998-19.987 9.876-2.492 21.397-1.492 32.996 3.084 11.6 4.578 21.267 11.938 27.804 20.905 5.802 7.96 9.34 17.896 7.828 27.71l141.613-73.25-221.478-82.803zm-27.303 34.62c-16 14.192-32.002 38.596-10.118 37.658 8.336 0 15.738-2.643 20.72-6.437 4.98-3.795 7.437-8.075 7.437-13.094 0-5.02-3.762-9.676-7.44-13.093-2.864-2.663-3.573-4.044-10.6-5.033zm270.838 7.252c-5.064 3.71-6.593 6.936-7.303 10.855-.59 8.193 1.635 18.62 2.694 23.34.418 1.868 3.832 11.275 2.057 12.204C326.357 281.18 185.33 355.034 44.3 428.894l.262 16.5c141.03-73.855 289.22-150.04 430.25-223.896l7.084-3.71c-.262-6.386-.518-8.266-1.013-12.378.097-4.352-.216-10.013-.865-15.71-.65-5.698-1.636-11.473-2.782-16.114-1.124-4.555-2.798-8.16-2.974-8.45-1.077-1.325-2.54-2.74-4.324-4.21zm-218.87 79.164c-3.07-.047-5.906.268-8.39.894-6.624 1.672-10.038 5.04-11.094 8.662-1.056 3.623-.105 8.71 4.28 14.725 4.383 6.015 11.93 12.048 21.253 15.726 9.322 3.678 18.47 4.23 25.092 2.56 6.622-1.67 10.035-5.037 11.09-8.66 1.056-3.623.108-8.713-4.277-14.726-4.384-6.014-11.933-12.047-21.255-15.725-5.827-2.3-11.584-3.378-16.7-3.455zm-139.045 68.363c-5.864-.092-9.69 7.346-12.42 15.705 6.25 4.463 13.366 7.25 18.922 8.2 5.557.948 8.55.168 9.89-.86 1.337-1.028 2.28-3.272.796-7.35-1.484-4.077-5.506-9.238-11.76-13.7-1.982-1.352-3.784-1.97-5.427-1.995z"}}]})(props);
};
function GiPlagueDoctorProfile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.646 33.586c-44.698 10.116-96.576 26.075-141.98 42.926-42.563 15.796-79.721 32.796-97.816 44.22l28.634 40.006C85.45 141.836 163.58 106.833 258.87 78.725c.115-12.307.426-26.651.777-45.14zm-.755 63.922c-89.553 26.838-163.813 59.876-199.809 78.035l11.363 15.877c64.955-26.867 129.99-52.813 189.244-73.865-.436-6.558-.686-13.057-.798-20.047zm10.861 35.584c-63.467 22.407-134.187 50.745-204.494 79.949l-.063-.148c-22.345 11.147-36.325 23.22-47.084 35.552 3.174.194 6.684.262 10.803-.04 11.524-.847 26.29-3.532 42.982-7.69 33.387-8.316 74.56-22.461 115.413-38.873 40.852-16.412 81.444-35.104 113.841-52.438 20.416-10.922 37.096-21.52 48.778-30.168-27.24-.104-57.425 6.306-80.176 13.856zm18.371 43.3a1084.226 1084.226 0 0 1-16.488 8.057c6.635 4.076 11.482 10.968 14.367 18.592 3.944 10.42 4.892 22.894 2.566 35.8-2.325 12.907-7.527 24.049-14.789 32.046s-17.434 13.233-28.275 10.888c-10.842-2.344-18.433-11.423-22.377-21.843-3.944-10.42-4.894-22.894-2.568-35.801 1.264-7.02 3.387-13.512 6.222-19.266a1358.468 1358.468 0 0 1-32.761 13.678 1248.826 1248.826 0 0 1-43.65 16.613c11.354 20.924 27.32 38.077 51.366 50.307l9.17 4.664-5.842 8.469c-8.506 12.333-6.783 30.624 1.875 43.974 8.659 13.35 21.871 20.897 38.64 14.395 59.434-23.047 104.228-28.81 145.775-21.113 34.839 6.454 67.127 22.398 103.834 43.81-12.425-28.256-33.968-57.384-60.729-82.209-33.985-31.525-76.04-56.09-116.33-64.65l-5.635-1.198-1.271-5.617c-.802-3.538-8.001-29.713-23.1-49.595zm-29.527 22.372c-2.798.11-6.202 1.744-9.908 5.826-4.563 5.024-8.733 13.374-10.53 23.348-1.796 9.973-.835 19.436 1.643 25.982 2.477 6.546 5.817 9.469 8.896 10.135 3.08.666 7.182-.646 11.744-5.67 4.563-5.024 8.735-13.377 10.532-23.35 1.796-9.973.833-19.436-1.645-25.982-2.478-6.547-5.817-9.469-8.896-10.135a7.293 7.293 0 0 0-1.836-.154zm-125.414 42.4c-18.266 6.199-35.82 11.553-51.98 15.748-4.18 24.009 9.737 55.444 19.53 71.184 36.172 26.058 68.19 52.072 126.23 70.021l-4.89-22.824c-12.567-3.576-23.285-12.214-30.234-22.93-10.383-16.01-14.055-37.249-6.25-55.41-23.92-14.166-40.703-33.554-52.406-55.789zm-56.55 92.08c-9.031 13.247-23.97 18.894-37.823 21.772 15.285 25.397 49.541 49.906 93.216 72.103 41.305 20.993 90.376 40.17 138.215 58.6-11.892-19.381-20.046-40.812-22.304-63.33-86.163-20.547-125.096-57.285-171.303-89.145zm-27.696 61.57C36.052 424.224 26.8 455.703 25.279 487h198.588c-34.824-13.775-69.286-28.225-99.998-43.834-29.2-14.84-55.252-30.589-74.933-48.352z"}}]})(props);
};
function GiPlainArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M130.81 21.785v245.95H43.84L256 489.382l212.158-221.644H381.19V21.786H130.81z"}}]})(props);
};
function GiPlainCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23.05C127.5 23.05 23.05 127.5 23.05 256S127.5 488.9 256 488.9 488.9 384.5 488.9 256 384.5 23.05 256 23.05z"}}]})(props);
};
function GiPlainDagger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M43.53 15.75c-15.73 0-28.31 12.583-28.31 28.313 0 14.086 10.092 25.644 23.5 27.906L42.687 68 68.81 41.906l2.626-2.625C69.188 25.86 57.63 15.75 43.53 15.75zm33.72 44.125l-17 17c15.885 39.37 43.45 66.684 78.75 87.406 8.167-8.585 16.65-16.898 25.438-24.936-22.488-35.103-51.535-62.294-87.188-79.47zM322.594 79.03l-51.25 4.314c-79.356 48.134-143.878 108.1-186.72 186.53l-4.31 51.47 44.155-18.656-2.94-34.094-.25-3.063 1.626-2.624c35.94-58.47 79.93-109.41 141.5-141.25l2.406-1.25 2.688.25 34.125 2.906 18.97-44.53zm-62.438 66.376c-10.008 5.886-19.5 12.338-28.562 19.313 46.688 47.93 87.208 108.588 114.72 166.5l11.248 23.717-23.718-11.28c-57.995-27.554-117.918-67.57-165.688-113.907-7.155 9.404-14.028 19.174-20.625 29.28 101.918 94.91 227.05 177.304 347.845 234.69-57.063-120.125-140.038-246.18-235.22-348.314zm-43.03 31.22c-13.37 11.703-25.72 24.58-37.282 38.436 39.36 38.452 88.085 72.83 136.687 98.844-26.054-48.633-60.754-97.847-99.405-137.28z"}}]})(props);
};
function GiPlainSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23.05 23.05V488.9H488.9V23.05H23.05z"}}]})(props);
};
function GiPlanePilot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-37.6 0-64.7 14.54-86.1 38.28-4.9 5.49-9.6 11.5-13.9 17.93 7.3-1.69 14.7-3.11 22.1-4.1 8.8-1.18 17.4-1.85 25.6-1.65 8.2.19 15.9 1.26 22.8 3.56 7 2.3 13.4 6.03 17.7 12.05 2.5 3.43 4.1 7.52 4.7 11.93h14.2c.6-4.41 2.2-8.5 4.7-11.93 4.3-6.02 10.7-9.75 17.7-12.05 6.9-2.3 14.6-3.37 22.8-3.56 8.2-.2 16.8.47 25.6 1.65 7.4.99 14.8 2.4 22 4.09-4.3-6.43-8.9-12.44-13.8-17.93C320.7 39.54 293.6 25 256 25zm-55.3 68.55c-6.3-.02-13.2.45-20.2 1.4-16 2.15-32.9 6.55-46.1 11.45-6.6 2.4-12.3 5-16.3 7.4-4.1 2.3-6.4 4.9-6.2 4.6-1 1.6-3.4 8.5-4.7 16.6-1.4 8.1-2.2 17.7-1.9 26.7.2 9 1.6 17.4 3.8 22.5 2.2 5.2 3.5 6.1 6 6.2 40.3 1.5 67.1-5.8 84.7-19.1 17.6-13.4 27.2-33.3 31.3-60.6v-.1c.7-4.7-.1-7-1.5-9-1.4-2.01-4.2-3.99-8.7-5.49-4.6-1.5-10.6-2.33-17.6-2.52-.9-.02-1.7-.03-2.6-.04zm110.6 0c-.9.01-1.7.02-2.6.04-7 .19-13 1.02-17.6 2.52-4.5 1.5-7.3 3.48-8.7 5.49-1.4 2-2.2 4.3-1.5 9v.1c4.1 27.3 13.7 47.2 31.3 60.6 17.6 13.3 44.4 20.6 84.7 19.1 2.5-.1 3.8-1 6-6.2 2.2-5.1 3.6-13.5 3.8-22.5.3-9-.5-18.6-1.9-26.7-1.3-8.1-3.7-15-4.7-16.6.2.3-2.1-2.3-6.2-4.6-4-2.4-9.7-5-16.3-7.4-13.2-4.9-30.1-9.3-46.1-11.45-7-.95-13.9-1.42-20.2-1.4zM186.6 106.2c2.1 0 4.2.1 6.2.3 4.1.5 8.2 1.5 11.9 4.5 3.8 2.9 6.2 8.7 5.8 13.6-1.2 13.2-7.5 25.6-19.4 34-11.9 8.3-28.6 13-51.5 15-6.3.5-12.6-2.8-15.9-7.1-3.3-4.3-4.6-9-5.3-13.6-.7-4.7-.7-9.2-.2-13.4.5-4.2 1-7.7 3.5-11.6v-.1c2.6-4 5-4.9 7.9-6.5 3-1.7 6.4-3.2 10.2-4.7 7.7-3 17.1-5.9 26.4-7.8 7-1.5 13.9-2.6 20.4-2.6zm138.8 0c6.5 0 13.4 1.1 20.4 2.6 9.3 1.9 18.7 4.8 26.4 7.8 3.8 1.5 7.2 3 10.2 4.7 2.9 1.6 5.3 2.5 7.9 6.5v.1c2.5 3.9 3 7.4 3.5 11.6.5 4.2.5 8.7-.2 13.4-.7 4.6-2 9.3-5.3 13.6-3.3 4.3-9.6 7.6-15.9 7.1-22.9-2-39.6-6.7-51.5-15-11.9-8.4-18.2-20.8-19.4-34-.4-4.9 2-10.7 5.8-13.6 3.7-3 7.8-4 11.9-4.5 2-.2 4.1-.3 6.2-.3zM247.5 121c-.9 4.8-2 9.5-3.4 14h23.8c-1.4-4.5-2.5-9.2-3.4-14h-17zm-60.7 3.2c-4.6.1-10.7.9-16.8 2.2-8.3 1.7-17 4.4-23.6 7-3.4 1.3-6.2 2.6-8 3.6-.8.4-1.2.8-1.6 1.1-.2.8-.6 2-.7 3.5-.3 2.6-.3 5.8.1 8.5.4 2.8 1.4 4.9 1.8 5.5 21.2-1.8 34.9-6.3 42.8-11.8 7.3-5.1 10.4-10.9 11.4-19-.4-.2-.3-.2-1.5-.4-1.1-.1-2.4-.2-3.9-.2zm138.4 0c-1.5 0-2.8.1-3.9.2-1.2.2-1.1.2-1.5.4 1 8.1 4.1 13.9 11.4 19 7.9 5.5 21.6 10 42.8 11.8.4-.6 1.4-2.7 1.8-5.5.4-2.7.4-5.9.1-8.5-.1-1.5-.5-2.7-.7-3.5-.4-.3-.8-.7-1.6-1.1-1.8-1-4.6-2.3-8-3.6-6.6-2.6-15.3-5.3-23.6-7-6.1-1.3-12.2-2.1-16.8-2.2zM237.1 153c-6.3 12.8-14.9 23.9-26.4 32.6-21.4 16.2-51.5 23.9-92.2 22.9l-18.2 115c-.88 5.3-4.44 9.1-8.43 11.4-.67 4.5-1.34 8.8-2.04 12.8l32.07 21.4c5.1-29.1 6.8-67.1 19.7-100.4 7.5-19.1 19-36.9 37.6-49.6 18.5-12.7 43.5-20.1 76.8-20.1s58.3 7.4 76.8 20.1c18.6 12.7 30.1 30.5 37.6 49.6C383.3 302 385 340 390.1 369.1l32.1-21.4c-.7-4-1.4-8.3-2-12.8-4-2.3-7.7-6.1-8.5-11.4l-18.2-115c-40.7 1-70.8-6.7-92.2-22.9-11.5-8.7-20.1-19.8-26.4-32.6h-37.8zM87.41 187.6c-1.71 0-3.21.2-4.22.5-.67.2-.67.1-.77.1l-20.32 128c.1 0 .12 0 .76.4 1.77 1.2 5.47 2.6 9.26 3.2 3.78.6 7.73.5 9.76-.1.67-.1.67-.1.77-.1l18.55-116.5c-3.84-3.2-6.76-7.4-8.63-11.8-.49-1.1-.93-2.3-1.34-3.5-1.32-.1-2.62-.2-3.82-.2zm337.19 0c-1.2 0-2.5.1-3.8.2-.5 1.2-.9 2.4-1.4 3.5-1.8 4.4-4.8 8.6-8.6 11.8l18.5 116.5c.1 0 .1-.1.8.1 2 .6 6 .7 9.8.1 3.7-.6 7.4-2 9.2-3.2.6-.4.7-.4.8-.4l-20.3-128c-.1 0-.1.1-.8-.1-1-.3-2.5-.5-4.2-.5zM256 217c-30.7 0-51.7 6.6-66.7 16.9-14.9 10.3-24.4 24.5-30.9 41.4-11.3 29-12.9 65.2-18.6 96.3l12.2 54.8c3.8 2.4 17.8 11.4 37.6 21.6 18.8 9.8 41.3 19.2 57.4 22.1V432h18v38.1c16.1-2.9 38.6-12.3 57.4-22.1 19.8-10.2 33.8-19.2 37.6-21.6l12.2-54.8c-5.7-31.1-7.3-67.3-18.6-96.3-6.5-16.9-16-31.1-30.9-41.4-15-10.3-36-16.9-66.7-16.9zm196.8 3.1l9.3 58.3c.4-.7.9-1.5 1.2-2.1 3.4-6.4 4.6-11.7 4-15.3l-4.1-26.1v-.1c-.5-3.3-3.2-7.9-8.4-12.9-.5-.6-1.3-1.2-2-1.8zm-393.69.1c-.61.5-1.41 1.1-1.98 1.7-5.18 5-7.89 9.6-8.32 12.9v.1L44.65 261c-.57 3.6.68 8.8 4 15.3.33.6.86 1.4 1.23 2l9.24-58.1h-.01zm123.99 25.7c7.1 9.1 12.9 12.7 21.3 14.8 8.3 2.2 19.7 2.3 35.6 2.3v18c-5.7 0-11 .1-16 0v23h-32v-28.5c-8.6-3.7-16.2-9.7-23.1-18.6l14.2-11zm145.8.1l14.2 11c-6.9 8.8-14.5 14.8-23.1 18.5V304h-32v-23c-5 .1-10.3 0-16.1 0l.2-18c15.8.1 27.2 0 35.5-2.2 8.4-2.2 14.2-5.7 21.3-14.8zM230 334h52v18h-52v-18zm26 24.5l98.8 33-4.3 17.4-94.5-15.8-94.5 15.8-4.3-17.4 96-32 2.8-1zM88.98 368.8c-11.62 32.7-26.27 60.8-51.92 93.3-3.7 4.7-3.76 7.6-2.78 10.8.99 3.2 3.95 7 8.12 9.7 4.18 2.6 9.36 4.2 13.35 4 4-.1 6.42-1.2 8.35-4.1 24.62-36.8 36.4-65 48.4-98l-23.52-15.7zm334.02 0l-23.5 15.7c12 33 23.8 61.2 48.4 98 1.9 2.9 4.3 4 8.3 4.1 4 .2 9.2-1.4 13.4-4 4.2-2.7 7.1-6.5 8.1-9.7 1-3.2.9-6.1-2.8-10.8-25.7-32.5-40.3-60.5-51.9-93.3zm-275.6 76L139 487h99.8c-19-4.1-39.5-13.7-57.5-23-14.1-7.3-26.2-14.5-33.9-19.2zm217.2 0c-7.7 4.7-19.8 11.9-33.9 19.2-18 9.3-38.5 18.9-57.5 23H373l-8.4-42.2z"}}]})(props);
};
function GiPlaneWing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M384 50c-14.688 0-29.365 6.747-31.676 20.23 10.285-3.726 21.404-5.66 32.533-5.693 10.456-.03 20.915 1.62 30.696 5.01C412.873 56.517 398.44 50 384 50zm.89 32.697c-10.248.03-20.532 1.925-29.447 5.617-6.347 2.63-13.647 6.577-18.795 11.012C331.5 103.762 329 108.05 329 112v52.236l110-43.334V112c0-3.913-2.39-8.276-7.207-12.72-4.818-4.44-11.67-8.425-17.688-11.012-8.762-3.768-18.97-5.6-29.216-5.57zM494 118.582L83.895 280.14c-5.35 2.733-13.294 10.738-20.874 21.96-7.634 11.304-15.202 25.66-21.79 40.543-10.3 23.274-18.013 48.48-20.917 64.373 22.138-3.977 44.664-8.047 67.347-12.112l5.723-37.95c30.852-8.914 111.01-29.017 154.287-40.42l.28-.56.634.317C345.567 290.76 409.75 278.177 494 268.315V118.582zm0 167.834c-25.687 3.027-49.473 6.31-72.91 10.152l-35.108 52.364c38.81-4.09 75.245-6.675 108.018-7.112v-55.404zm-97.424 14.397c-41.764 7.628-84.273 17.402-136.435 31.033l-18.333 36.67c41.485-6.58 82.124-12.432 120.756-16.973l34.013-50.73zM236.94 337.99c-36.766 9.856-78.698 21.625-127.913 35.66l-2.672 17.922c37.804-6.734 75.923-13.384 113.56-19.53l17.026-34.052zm65.583 39.733a3495.754 3495.754 0 0 0-24.73 3.623L281 418h18l3.523-40.277zm-95.9 14.882a6526.23 6526.23 0 0 0-24.88 4.184L185 434h18l3.623-41.395zm-96.05 16.54c-8.267 1.467-16.535 2.932-24.762 4.402L89 450h18l3.574-40.854z"}}]})(props);
};
function GiPlanetConquest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M215 32v140c5.9-1.4 11.9-2.6 18-3.4v-42.9c45-8 90 32.3 135 2.3V48c-45 30-90-10.31-135-2.29V32h-18zm41 153c-83.5 0-151 67.5-151 151s67.5 151 151 151 151-67.5 151-151-67.5-151-151-151zm-20.6 25.8l77.4 119.3-83.7 27.6-22.8-54.1-24.4 21.2-57.9-12.5 48.3-50 41.4 7.9 21.7-59.4zm103.2 6.1l-10.2 34.9 38.3-.7-36.4 31.1-31.1-24.8 12.7-23.6 26.7-16.9zm33.6 148.4l-26.5 42.9-21.2-36.1 47.7-6.8zM316 398l15.9 46.7c-35.1 28.4-87.1 35.9-115.6 16.9l38.2-60.9 29.2 30.7L316 398z"}}]})(props);
};
function GiPlanetCore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16A240 240 0 0 0 16 256a240 240 0 0 0 240 240 240 240 0 0 0 240-240A240 240 0 0 0 256 16zm-9 14.73v86.342c-35.304 2.47-124.423 31.35-127.033 129.928H37.605C39.993 81.83 189.513 34.292 247 30.73zm18 .874c.596.158 1.148.33 1.62.52 78.82 31.677 84.33 217.118 77.042 268.052l-36.498-22.813c3.486-34.36-.902-132.647-42.164-156.877V31.604zM41.258 265h85.996c19.485 15.47 77.33 34.583 166.902 25.46l37.7 23.563C163.39 333.03 61.252 291.425 41.26 265z"}}]})(props);
};
function GiPlanks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M360.602 74.52L63.272 349.44h54.5l42.94-37.573 2.683 37.572h13.468l113.14-123.354c.983-12.407 6.178-21.43 13.087-26.443 6.91-5.017 13.84-6.686 19.08-8.633l62.687-68.35 13.266 12.168-65.516 71.434-1.826.76c-7.4 3.094-13.675 4.69-17.116 7.19-3.44 2.497-5.765 5.124-5.875 15.702l-.036 3.447-106.467 116.08h33.736L471.098 74.52h-72.37l.637.644-193.668 191.188c-1.248 8.702-6.653 15.696-12.613 20.435-6.888 5.477-14.79 9.182-21.656 12.89l-8.555-15.835c7.352-3.972 14.477-7.54 19.008-11.143 4.532-3.603 6.167-6.01 6.102-10.253l-.058-3.843L374.394 74.52h-13.792zm99.843 40.25L243.357 367.58H225.13l-47.71 49.975-13.02-12.43 35.846-37.545h-53.742l-1.287-18.05-20.63 18.05h-18.04l-73.12 69.89h29.778c12.26-14.002 18.418-24.828 27.223-34.67 9.07-10.14 21.11-18.166 41.988-23.89l4.76 17.36c-18.702 5.126-26.09 10.433-33.332 18.53-5.058 5.653-10.032 13.24-17.342 22.67H210.28l271.43-322.7h-21.265zM129.97 403.682a9 9 0 0 1 8.202 13.287c-1.728 3.296-3.94 7.49-8.033 11.182-4.094 3.692-10.005 6.357-17.07 7.06a9 9 0 1 1-1.78-17.913c4.02-.4 5.47-1.32 6.792-2.513 1.32-1.192 2.576-3.18 4.147-6.176a9 9 0 0 1 7.74-4.928z"}}]})(props);
};
function GiPlantRoots (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M216.4 18.66c-3 35.94 12.6 64.01 28.1 88.94 15.5 24.9 30.6 47 32.2 72.3 1.2 17.3-4.6 34.5-11.5 53-6.9 18.6-14.8 38.4-15.5 60.9l18 .6c.5-18.5 7.4-36.4 14.4-55.2 6.9-18.8 14-38.5 12.6-60.5-2-31.5-19.8-56.3-35-80.65-15.1-24.34-27.9-47.81-25.3-77.87l-18-1.52zm134.2 9.52c-18.7 10.56-39.1 23.47-52.1 37.64-7.9 8.63-12.8 17.38-13.9 25.86-1 7.53.8 15.42 7.3 24.72 20.2-.7 35.3-13.8 45.7-33.24 8.9-16.54 13.3-37.15 13-54.98zM141.7 97.64c-1.1.01-2.2.04-3.2.07-5.7.18-11 .73-15.9 1.49 10.5 16.8 30.5 35.8 52.2 46.8 13.1 6.6 26.6 10.4 38.8 10.1 10.8-.2 20.4-3.5 29-10.9-1.6-8.6-6.2-15.9-13.9-22.5-8.8-7.5-21.4-13.7-35.5-18-15.4-4.7-32.6-6.92-48.2-7.06-1.1-.01-2.2-.01-3.3 0zM347.5 208.2c-2.1.1-4.1.3-6.1.5-14.2 1.8-26.1 8-34.8 22.2 3.8 3.9 8.1 6 13.1 7 6.6 1.3 14.7.4 23.2-2.5 12.7-4.2 26.3-12.8 36.8-22-10-3.3-20.5-5.2-30.3-5.2h-1.9zM32 311v18h204.3c-1.1 7.3-2.8 17.7-5.5 28.8-5 21-14.4 44.1-24.2 51.7-12.5 9.6-29.8 10.2-49.6 7.9-3.8-2.4-14.6-9.6-25.1-18.9-6.4-5.6-12.4-12-16-17.6-3.6-5.7-4.3-9.8-3.5-12.4-.1.6-.1 0 2.2-.9 2.4-.9 6.2-1.7 10.1-2 7.8-.7 15.5 0 15.5 0l1.6-18s-2.2-.2-5.6-.3c-3.5-.1-8.1-.1-13 .3-4.9.5-10.1 1.3-15.1 3.2-4.9 1.9-10.55 5.4-12.74 12.1-3.25 9.8.24 19.5 5.34 27.6 4.9 7.9 11.9 15 19 21.2-13.6-1.9-27.53-3.1-40.68-1-3.49-6.9-7.94-14.2-15.19-20.1-8.92-7.3-21.63-11.8-39.25-12.2l-.38 18c14.84.3 22.78 3.7 28.25 8.2 3.71 3 6.49 6.9 9.04 11.4-3.48 1.7-6.87 3.7-10.13 6.1-10.6 7.9-14.53 20.9-17.66 32.2-3.13 11.2-4.44 21-4.44 21l17.84 2.4s1.18-8.7 3.94-18.6c2.74-9.8 8.09-20.4 11.06-22.6 16.99-12.6 42.6-9.1 71.1-4.4 28.4 4.7 60 10.4 84.4-8.4 8-6.2 13.9-14.9 18.6-24.6 4.8 10.5 11.7 19.6 20 27.5-10.7 2.7-20 7.5-28.1 13.3-13.4 9.7-24 21.7-34.8 31.5l12 13.4c8-7.3 15.3-14.8 22.6-21.4 4.1 7.3 9.9 13.1 16.4 17.3 10.4 6.8 22.2 10.3 33 12.9l4.2-17.4c-10-2.5-20-5.7-27.3-10.5-5.5-3.6-9.6-7.7-12-13.6 10.1-6.5 20.8-10.4 35.4-9.6 6.5 3.7 13.3 7 20.3 9.8 26.6 10.5 56.4 14.4 82.5 12 16.4-1.6 32.8-11 47.4-22 6.6 5.3 12 11.7 15.7 18 5.3 9 6.5 17.7 5.3 21.6l17 5.6c4-11.7.2-24.5-6.8-36.4-4.3-7.2-9.9-14.1-16.8-20.3.1 0 .1-.1.2-.1 18-15.1 31.3-29.8 31.3-29.8l-13.2-12.2s-12.8 13.9-29.7 28.2c-17 14.3-38.8 28.2-52 29.4-23 2.2-50.6-1.4-74.3-10.8-23.6-9.3-43-24.2-51.9-43.8-2.6-5.7.7-22 7.1-36 3-6.6 6.2-12.5 8.8-17 3.8 2 8.1 4.4 12.9 7.2 13 7.6 27.9 18 34.1 25.5 4.6 5.5 10.6 18.6 14.7 29.7 4.1 11.2 6.7 20.5 6.7 20.5l17.4-4.8s-2.8-10-7.2-21.9c-2.8-7.9-6.2-16.5-10.5-24.2 4.1-.6 9.5-.6 15.7.6 12.2 2.4 26.8 8.5 39 17.5l10.6-14.6c-14.5-10.5-31-17.6-46.2-20.5-5.7-1.1-11.3-1.8-16.7-1.6-5.1.1-9.9 1-14.2 2.8-9.5-9.3-22.6-17.6-34.2-24.5-.8-.5-1.6-.9-2.4-1.4H480v-18H32z"}}]})(props);
};
function GiPlantWatering (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M167.6 26.93s-6.1 50.65 6.7 70.42c7 10.75 21.2 22.55 33.5 18.85 9.4-2.9 14.4-16.56 13.2-26.29-3.3-27.33-53.4-62.98-53.4-62.98zm150.1.32s10.7 69.41 33.7 93.05c8.7 8.9 23.9 19.4 34.8 13.5 8.4-4.6 8.5-19 5.9-28.2-9.8-34.67-74.4-78.35-74.4-78.35zM24.56 42.28S35.02 115 57.61 141.6c7.76 9.1 23.6 20.5 31.84 16.7 6.65-3 8.15-18.9 5.85-28.2-8.75-36.62-70.74-87.82-70.74-87.82zM261.7 110.1s-1.2 61.1 17.1 82.2c7.7 8.7 22.4 16.8 32.9 11.8 9-4.4 11.7-18.9 9.6-28.8-6.2-28.8-59.6-65.2-59.6-65.2zm-115.4 26.6s-7.1 48.7 6.6 66.1c7.4 9.4 22.8 16.5 33.9 11.9 8.8-3.6 14.1-16.4 12.5-25.8-4.2-24.5-53-52.2-53-52.2zm292 84.9c-45.7 18-119.3-5.9-142.4 35.9-8 11.3 2.9 24 7.8 33.5-13 11.1-26.2 23.7-36.9 36.9-19.2-3.3-31.4-7-39.6-12.6l.1-.1c2.9-81.3-95.3-29-147.99-57 6.99 51.9 74.29 49.2 86.49 65 10.7 11.1 30.3 10.2 46 2.9 1.2 1.1 2.5 2.2 3.9 3.2 10.3 7.4 22.9 11.6 39.8 14.8-2.6 4.5-4.8 9-6.5 13.6-3.3 9.2-5 19.7-5.6 30.8-16.7-11.7-50.2-6.4-76.3-21.9 2.7 18.4 39.1 77.6 77.7 57 1.1 9.7 2.6 19.4 4.2 28.6 2.9 16.6 6.4 31.4 9.1 41.8h18.5c-2.6-9.8-6.6-26.3-9.9-44.9-.2-1-.3-2.1-.5-3.1 26.1-5.7 53.9-15.9 71.6-38.6 4.5 1.5 10.3 1.9 17.1.8 29.9-14.7 51.7-37.3 109-25.5-29.5-14.2-66.5-28.1-95-28.4h-2.1c-21 .2-37.1 8.4-41.3 30.3-.6 3.3-.6 6.3-.1 9.1-13.6 19.5-37.2 28.9-61.8 34.4-2.8-24.5-3.1-49.3 2.4-64.2 6.8-18.8 31.4-44.2 54.5-63.5 1.7-1.4 3.3-2.8 5-4.1 6.8 2.8 12.6 6.9 21.6 5.8 42.1-7.1 70.4-49.9 91.2-80.5z"}}]})(props);
};
function GiPlantsAndAnimals (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M245.003 21.882c-166.998.752-303.014 211.052-130.59 381.17 8.035 25.41 42.784 41.465 94.91 57.862 37.832 11.993 50.783-4.965 42.102-27.322-37.478-96.526-122.616-93.237-128.593-102.07C19.647 179.044 185.37 34.12 321.578 99.659c154.92 74.51 93.159 218.387 5.099 279.26-33.979 23.392-54.793 53.902-43.615 84.13 5.99 16.174 34.958 29.057 45.928 26.818 8.658-1.764-36.293-26.3-8.303-55.948 22.237-23.66 89.603-37.464 125.124-103.51 67.453-125.152 28.701-238.4-130.697-296.26-12.156-4.374-24.254-7.519-36.38-9.55a199.684 199.684 0 0 0-33.73-2.716zm11.434 80.2s-28.375 30.73-27.871 62.145c.03 6.434 1.304 12.957 3.231 19.139 10.2 12.01 18.472 25.93 25.648 41.036 7.086-18.501 16.129-34.364 27.367-47.29.711-3.9 1.096-7.74 1.096-11.625-.415-31.398-29.471-63.405-29.471-63.405zm114.657 53.941c-53.459 3.158-88.03 51.295-108.637 93.234-.89 1.912-7.449 2.436-8.6.46-15.21-27.53-24.758-48.212-43.555-63.807-17.79-14.795-40.236-23.601-70.45-23.764 1.305 11.993 7 44.86 30.808 63.08 8.125 6.24 19.924 9.474 31.904 12.245 11.92 2.684 24.163 4.803 33.503 10.348 7.531 4.477 12.334 11.475 14.618 19.614 2.283 8.108 2.224 17.314.475 27.07-2.937 16.945-10.912 35.58-21.557 52.747 0 0 31.488 13.12 37.093 62.636 10.436-25.351 32.407-39.849 32.407-39.849-11.563-16.442-27.99-58.99-31.903-75.712-2.165-9.62-2.847-18.769-1.068-26.997 1.75-8.212 6.079-15.505 13.343-20.383 9.014-6.035 21.022-8.822 32.852-12.2 11.86-3.397 23.394-7.37 31.34-14.1 14.054-12.008 21.05-29.25 24.46-43.718 1.661-7.25 2.521-13.715 2.847-18.31.12-1.127.09-1.72.12-2.594zM157.973 387.005c9.72.266 35.546 20.438 28.251 21.939-31.767 6.533-35.988-13.624-31.287-20.722.588-.887 1.647-1.254 3.036-1.217z"}}]})(props);
};
function GiPlasmaBolt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M24.03 14c-21.58 46.38.5 85.717 40.876 98.594 37.1 11.84 60.145 33.247 49.53 82.75-7.982 37.263 7.447 72.355 50.064 80.937 23.717 4.78 50.425 32.762 55 76.376-2.76 71.81 50.795 134.308 123.28 141.656 75.402 7.644 142.733-47.288 150.376-122.687 3.822-37.7-8.017-73.352-30.22-100.563-.008-.01-.02-.02-.03-.03-26.01-45.997-144.995-100.207-187.25-96.094-43.27 4.212-72.128-8.77-83.844-45.032C176.252 81.72 145.9 76.166 107.563 83c-34.144 6.09-69.725-22.114-83.53-69zm104.907 81.906c30.423-.038 55.034 29.16 49.563 61.28-13.876-19.435-33.808-41.88-75.938-53.78 8.897-5.175 17.857-7.49 26.376-7.5zm17.25 57.875c2.112-.166 4.53.692 7.594 3.157 4.09 3.288 8.36 9.51 10.75 17.625 2.394 8.117 2.367 16.305.72 22.313-1.647 6.008-4.567 9.222-7.188 10.25-2.62 1.028-5.537.63-9.625-2.656-4.087-3.29-8.357-9.51-10.75-17.626-2.392-8.117-2.366-16.305-.718-22.313 1.646-6.007 4.565-9.252 7.186-10.28.655-.257 1.328-.413 2.03-.47zm116.75 41.626c32.99-.243 66.205 13.118 73.22 43.53 2.483 9.94 5.295 18.77 8.343 26.533.537 5.562 1.883 11.263 4.03 16.874 4.208 10.99 10.827 19.884 19.064 25.5 8.236 5.615 19.05 7.832 28.47 3.25 9.417-4.583 14.638-14.054 16.56-24.125 1.4-7.336 1.18-15.307-.655-23.345 85.45 65.1 69.966 143.12 19.624 184.72-52.91 43.717-137.897 49.615-175.375-40.5 1.1.956 2.394 1.658 3.81 2.155 6.656 3.853 14.364 6.063 22.564 6.063 24.892 0 45.28-20.358 45.28-45.25 0-22.926-17.29-42-39.468-44.875-26.686-18.043-52.14-29.055-47.687-59.813 5.098 5.817 11.21 10.258 17.843 13 9.664 3.996 20.89 4.263 30.312-1.156 9.42-5.42 14.826-15.268 16.188-25.626 1.36-10.358-.985-21.562-6.907-31.78-5.922-10.22-14.492-17.818-24.156-21.814-3.195-1.32-6.553-2.216-9.97-2.656-.37-.223-.715-.468-1.092-.688zM130.25 214.03c11.856 21.624 105.586 9.302 92.344 100.19-22.438-80.46-92.42-36.018-92.344-100.19zm129.063.376c2.316-.033 4.845.502 7.562 1.625 5.434 2.248 11.147 7.042 15.125 13.907 3.978 6.866 5.292 14.178 4.53 19.97-.76 5.79-3.25 9.735-6.967 11.874-3.72 2.14-8.41 2.31-13.844.064-5.435-2.247-11.148-7.04-15.126-13.906-3.978-6.866-5.293-14.21-4.53-20 .76-5.792 3.25-9.705 6.967-11.844 1.86-1.07 3.966-1.654 6.282-1.688zm113.375 27.563c1.912-.07 4.124.653 6.968 2.593 4.334 2.955 9.13 8.847 12.156 16.75 3.026 7.902 3.638 16.036 2.47 22.156-1.17 6.118-3.844 9.58-6.376 10.81-2.53 1.233-5.447 1.08-9.78-1.874-4.335-2.955-9.132-8.816-12.157-16.72-3.027-7.9-3.638-16.067-2.47-22.186 1.168-6.12 3.843-9.58 6.375-10.813.633-.307 1.303-.545 2-.656.26-.04.54-.05.813-.06zm-90.094 102.25c14.79 0 26.594 11.8 26.594 26.592 0 14.792-11.803 26.563-26.594 26.563-14.79 0-26.594-11.77-26.594-26.563 0-14.79 11.803-26.593 26.594-26.593z"}}]})(props);
};
function GiPlasticDuck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M322.8 50.96c-28.1.66-52.4 13.13-65.8 38.48-13.4 25.36-16.1 64.96 3.6 120.46v.2c3.2 9.4 2.4 19.2-2.6 26.4-5 7.3-12.9 11.6-21.9 14.5-18 5.8-42.3 6.4-69.3 4.5-48.7-3.5-105.4-15.7-142.38-27.9-2.34 56.3 13.28 113.7 45.28 157.2 34.2 46.5 86.2 77.5 156 76.2 45.3-.8 98.8-7.4 140.2-25.5 41.4-18 70-45.8 71.3-92.4v-.1c.6-19.8-18.4-47.1-36.3-74.7-8.9-13.8-17.3-27.8-21.9-42.4-4.6-14.5-5-30.3 3.2-44.5l.2-.3.2-.3c22.2-32.6 18.7-64.5 3.9-89.24-14.7-24.79-41.5-41.12-63.7-40.6zm30.5 42.05a18 18 0 0 1 18 17.99 18 18 0 0 1-18 18 18 18 0 0 1-18-18 18 18 0 0 1 18-17.99zM416 130.2c.4 14.3-2.4 29.3-9.2 44.2 19.5-1.2 38.8-3.4 53.6-8.4 9.6-3.1 17.1-7.4 21.8-12.3 2.7-2.9 4.5-6 5.6-9.7-24.7.3-51-6.3-71.8-13.8zm-72.6 142.5c6.5 13.6 6.1 28.2.7 40.9-5.4 12.7-15.3 23.8-27.7 33.9-24.7 20-59.6 35.5-93.6 44.8-34 9.3-66.4 12.8-88.7 4.8-11.2-4-20.6-12.6-22.2-24.5-1.6-12 3.6-24.8 14.4-39.8l14.6 10.6c-9.4 13-11.8 22.2-11.2 26.8.7 4.7 3.1 7.3 10.4 10 14.7 5.2 45.9 3.5 78-5.3 32-8.7 65.3-23.8 87-41.4 10.8-8.8 18.7-18.2 22.4-27 3.8-8.8 4.1-16.8-.3-26z"}}]})(props);
};
function GiPlastron (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.03 17.625c-30.488 0-58.12 4.958-78.967 13.5-10.424 4.27-19.193 9.4-25.813 15.813-3.92 3.797-7.126 8.218-9.094 13.093-14.737 2.635-29.356 5.773-43.812 9.407 27.48 115.995 84.27 189.266 160.187 232.844 75.63-43.412 132.25-116.295 159.845-231.53-15.998-4.16-32.162-7.707-48.438-10.625-1.964-4.912-5.18-9.366-9.125-13.188-6.62-6.413-15.39-11.54-25.812-15.812-20.846-8.542-48.48-13.5-78.97-13.5zm0 18.688c28.422 0 54.116 4.816 71.876 12.093 8.88 3.64 15.73 7.923 19.906 11.97 4.176 4.045 5.532 7.357 5.532 10.312 0 2.954-2.117 10.08-6.97 17.937-4.85 7.857-12.145 16.657-21.155 24.72-18.02 16.122-42.748 29.124-69.19 29.124-26.44 0-51.166-13.003-69.186-29.126-9.01-8.062-16.304-16.862-21.156-24.72-4.853-7.856-6.97-14.982-6.97-17.936 0-2.955 1.356-6.267 5.532-10.313s11.026-8.33 19.906-11.97c17.76-7.276 43.455-12.093 71.875-12.093zM81.22 73.906c-3.418 1.244-6.14 3.31-8.47 5.72-4.96 5.123-8.637 11.95-12.063 20.468-6.354 15.8-11.376 37.542-14.312 62.812-3.59 19.297-4.55 39.622-3 60.563 3.545 47.928 20.35 98.78 48.438 146.218 25.367-40.346 56.914-73.48 93.437-100.063-37.737-36.798-68.137-84.54-89.188-144.72 2.14 18.382 2.275 42.013-.218 66.72-2.674 26.5-7.94 49.237-13.75 63.688-2.906 7.225-6.083 12.327-8.125 14.437-.422.435-.34.31-.595.5-.666-.786-1.99-2.45-3.5-6.28-2.076-5.275-3.98-13.097-5.28-22.533-2.603-18.87-2.957-44.186-.282-70.687 2.674-26.5 7.907-49.206 13.718-63.656 2.842-7.065 5.955-12.12 8-14.313-1.698-6.168-3.29-12.47-4.81-18.874zm356.53.28c-1.563 6.57-3.217 13.023-4.97 19.345 2.026 2.486 4.82 7.21 7.376 13.564 5.81 14.45 11.045 37.155 13.72 63.656 2.673 26.5 2.32 51.817-.282 70.688-1.3 9.435-3.205 17.257-5.28 22.53-1.51 3.833-2.835 5.496-3.502 6.282-.255-.19-.173-.065-.593-.5-2.043-2.11-5.22-7.212-8.126-14.438-5.81-14.45-11.076-37.186-13.75-63.687-2.34-23.19-2.368-45.437-.594-63.28-21.398 59.69-52.126 106.966-90.125 143.343 36.126 26.816 67.28 60.153 92.28 100.656 30.156-48.402 47.387-99.807 50.314-148.28.593-9.844.58-19.547 0-29.095-.285-8.466-.855-17.212-1.75-26.095-2.81-27.826-8.12-51.745-14.97-68.78-3.426-8.52-7.104-15.346-12.063-20.47-2.154-2.226-4.625-4.172-7.687-5.438zM199.312 282.533c-38.34 27.264-70.936 61.702-96.468 104.72 2.514 3.787 5.09 7.554 7.75 11.28 80.937 65.808 213.544 66.076 294.906.814 2.41-3.242 4.773-6.502 7.063-9.78-25.13-43.067-57.255-77.624-95.094-105.064-16.623 14.114-34.475 26.346-53.408 36.813l-4.53 2.5-4.532-2.5c-19.806-10.95-38.416-23.835-55.688-38.782zm-90.03 138.5c-7.83 11.086-8.854 19.277-6.688 26.158 2.532 8.044 11.047 16.432 25.53 23.593C157.093 485.106 207.11 493.12 257 493.095c49.89-.025 100.116-8.06 129.563-22.438 14.723-7.188 23.563-15.67 26.343-23.78 2.342-6.834 1.588-14.775-5.594-25.5-85.68 61.277-212.512 61.175-298.03-.345z"}}]})(props);
};
function GiPlateClaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M156.885 20.168c-49.84-.183-96.78 11.14-135.487 33.45 32.59-5.132 60.867-.755 84.797 10.5 66.84-8.027 148.188 3.507 206.13 34.986 135.095 73.394 169.86 229.22 79.536 310.966-2.51 29.034-9.768 56.672-21.805 81.56C551.55 410.26 522.668 170.688 329.76 65.884h-.002c-56.176-30.52-116.387-45.507-172.873-45.715zm7.58 63.268c-45.246.408-92.216 13.758-136.944 44.78 127.977-41.398 220.853 159.12 147.175 232.436 85.84-10.404 105.582-99.816 77.674-167.613 52.858 72.735 57.108 157.122 36.792 198.565 31.97-17.52 72.568-95.09 53.147-166.445 34.152 45.17 45.81 99.284 35.624 165.278C492.94 279.394 341.967 81.834 164.464 83.435zm112.738 208.128c-8.726 51.223-52.116 93.207-108.69 94.186-9.668 14.508-21.324 27.085-34.986 36.97 68.222 6.58 123.896-34.27 145.15-90.148.674-13.392.202-27.13-1.474-41.008zm81.014 18.26c-2.654 53.137-34.816 99.39-84.842 121.4-8.354 23.26-20.17 44.35-35.307 62.16 47.415-8.956 86.346-33.35 112.532-66.802 13.303-35.105 15.824-75.73 7.617-116.758z"}}]})(props);
};
function GiPlatform (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M318 123.645l-61.5 35.7-61.76-35.7 61.76-35.7zm93.68 54.19l-61.76 35.7 61.76 35.7 61.5-35.7zm-294.39 80.64l61.76 35.7 61.5-35.7-61.5-35.7zm139.52-80.57l-61.76 35.7 61.76 35.7 61.5-35.7zM31 298.365l62 35.69v-71l-62-35.65v71zm373-26l-62 35.69v70.94l62-35.66v-70.97zm-225.11-139.4l-61.76 35.7 61.76 35.7 61.5-35.7zM109 343.305l62 35.69v-70.94l-62-35.69v71zm225.41-120.45l-61.76 35.7 61.76 35.7 61.5-35.7zM249 353.055l-62-35.7v71l62 35.7v-71zm77-35.67l-61 35.67v70.94l61-35.66v-70.95zm8.07-184.5l-61.76 35.7 61.76 35.7 61.5-35.7zm-232.6 44.95l-61.77 35.7 61.76 35.7 61.5-35.7zM481 227.565l-61 35.66v70.94l61-35.66v-70.94zm-286.11 75.93l61.76 35.7 61.5-35.7-61.5-35.7z"}}]})(props);
};
function GiPlayButton (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M106.854 106.002a26.003 26.003 0 0 0-25.64 29.326c16 124 16 117.344 0 241.344a26.003 26.003 0 0 0 35.776 27.332l298-124a26.003 26.003 0 0 0 0-48.008l-298-124a26.003 26.003 0 0 0-10.136-1.994z"}}]})(props);
};
function GiPlayerBase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32L32 240h64v240h320V240h64L256 32zm-3.1 145.5l3 .1c15.6 0 30.1 17.1 30.1 40.3 0 11.6-3.9 22-9.7 29.3l-7.3 8.9 11.5 1.8c8.8 1.4 14.8 5.5 19.8 12.3 5 6.7 8.6 16.1 11.1 27 4.3 19.9 4.6 44.4 4.6 65.9h-25l-6.3 96.4c-17.6 4.1-37.1 4.2-55.3 0l-7.2-96.4H196c.2-21.3 1.2-45.4 6-65.1 2.6-10.9 6.4-20.3 11.4-27.1 4.9-6.8 10.7-10.9 18.5-12.5l11.2-2.1-7.2-8.6c-6.1-7.4-10.3-18-10.3-29.8 0-21.8 13-38.5 27.3-40.4z"}}]})(props);
};
function GiPlayerNext (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304 16v48H144v32h160v48l64-64-64-64zM124.3 127.9c-17.9 2.3-34.14 23.2-34.14 50.4 0 14.8 5.2 28 12.84 37.2l9 10.8-13.94 2.6c-9.8 2-17 7.1-23.2 15.6-6.2 8.5-10.9 20.3-14.2 33.9-6 24.6-7.3 54.7-7.5 81.3h32.7l9 120.5c22.84 5.2 47.14 5 69.14 0l7.9-120.5h31.2c0-26.9-.4-57.4-5.8-82.3-3-13.6-7.5-25.4-13.8-33.8-6.2-8.4-13.8-13.5-24.8-15.3l-14.3-2.2 9.1-11.2c7.2-9.1 12.1-22.1 12.1-36.6 0-29-18.1-50.3-37.6-50.3l-3.7-.1zm256 0c-17.9 2.3-34.1 23.2-34.1 50.4 0 14.8 5.2 28 12.8 37.2l9 10.8-13.9 2.6c-9.8 2-17 7.1-23.2 15.6-6.2 8.5-10.9 20.3-14.2 33.9-6 24.6-7.3 54.7-7.5 81.3h32.7l9 120.5c22.8 5.2 47.1 5 69.1 0l7.9-120.5h31.2c0-26.9-.4-57.4-5.8-82.3-3-13.6-7.5-25.4-13.8-33.8-6.2-8.4-13.8-13.5-24.8-15.3l-14.3-2.2 9.1-11.2c7.2-9.1 12.1-22.1 12.1-36.6 0-29-18.1-50.3-37.6-50.3l-3.7-.1z"}}]})(props);
};
function GiPlayerPrevious (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208 16l-64 64 64 64V96h160V64H208V16zm-83.7 111.9c-17.9 2.3-34.14 23.2-34.14 50.4 0 14.8 5.2 28 12.84 37.2l9 10.8-13.94 2.6c-9.8 2-17 7.1-23.2 15.6-6.2 8.5-10.9 20.3-14.2 33.9-6 24.6-7.3 54.7-7.5 81.3h32.7l9 120.5c22.84 5.2 47.14 5 69.14 0l7.9-120.5h31.2c0-26.9-.4-57.4-5.8-82.3-3-13.6-7.5-25.4-13.8-33.8-6.2-8.4-13.8-13.5-24.8-15.3l-14.3-2.2 9.1-11.2c7.2-9.1 12.1-22.1 12.1-36.6 0-29-18.1-50.3-37.6-50.3l-3.7-.1zm256 0c-17.9 2.3-34.1 23.2-34.1 50.4 0 14.8 5.2 28 12.8 37.2l9 10.8-13.9 2.6c-9.8 2-17 7.1-23.2 15.6-6.2 8.5-10.9 20.3-14.2 33.9-6 24.6-7.3 54.7-7.5 81.3h32.7l9 120.5c22.8 5.2 47.1 5 69.1 0l7.9-120.5h31.2c0-26.9-.4-57.4-5.8-82.3-3-13.6-7.5-25.4-13.8-33.8-6.2-8.4-13.8-13.5-24.8-15.3l-14.3-2.2 9.1-11.2c7.2-9.1 12.1-22.1 12.1-36.6 0-29-18.1-50.3-37.6-50.3l-3.7-.1z"}}]})(props);
};
function GiPlayerTime (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.7 22.8c-23.36 3.1-44.58 30.5-44.58 66 0 19.5 6.78 36.8 16.69 48.8l11.79 14.2-18.2 3.4c-12.86 2.5-22.31 9.3-30.39 20.4-8.09 11.1-14.27 26.5-18.6 44.4-7.84 32.2-9.58 71.6-9.84 106.4h42.86L81.2 484.2c29.9 6.8 61.8 6.5 90.6 0l10.4-157.8H223c0-35.2-.5-75.1-7.6-107.7-3.9-17.9-9.8-33.3-18-44.3s-18.1-17.7-32.6-20l-18.6-2.9 11.8-14.7c9.5-11.9 15.9-29 15.9-48 0-37.9-23.7-65.9-49.4-65.9zm141.7 30.62v18h224v-18zm16 39c0 47.98 48 159.98 96 159.98s96-112 96-159.98zm96 179.98c-48 0-96 112-96 160h192c0-48-48-160-96-160zm-112 181v18h224v-18z"}}]})(props);
};
function GiPlesiosaurus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M430.754 24.207c-29.547 3.757-51.704 10.265-51.387 38.035.803 23.45 3.968 67.093 6.998 88.6l51.55 32.928c-4.532-27.155-8.18-72.275-14.013-97.952 18.65 4.352 69.214 2.71 70.668-16.34-.015-5.028-5.093-9.844-14.1-13.373.44-1.433.67-2.882.69-4.335 0-15.223-22.79-31.075-50.406-27.563zM17.998 180.177v19.598c18.428-7.807 39.37-13.515 50.625-11.177 19.357 10.804 28.276 41.26 49.621 44.574 9.766 1.067 18.657-2.046 26.057-6.563 7.4-4.516 13.71-10.403 19.742-16.093 12.062-11.38 22.784-21.05 33.16-21.752 15.499-1.048 31.418 9.43 49.006 21.53 17.588 12.102 37.078 25.89 60.785 22.858 16.72-2.138 26.78-15.126 35.518-25.486 8.738-10.36 16.093-18.056 23.94-18.937 38.77 2.911 64.976 42.82 99.073 44.494 9.219.247 19.008-2.173 28.477-5.592v-19.48c-10.693 4.166-21.546 7.252-27.996 7.08-14.444-.388-29.131-10.84-45.22-22.426-16.09-11.587-34.07-24.463-56.343-21.961-24.349.573-41.84 41.58-59.732 44.457-41.788-2.417-71.864-46.095-108.723-44.494-19.298 1.305-32.48 15.47-44.295 26.617-8.914 8.003-19.704 18.977-31.494 17.857-27.79-13.646-28.67-43.847-56.043-45.334-16.169-.119-33.213 5.01-46.158 10.23zm378.457 35.981c3.207 21.465 7.147 41.007 9.645 61.924 1.88 8.493-3.425 19.384-11.516 17.623-136.92-43.236-233.076-26.25-310.91 20.662-13.132 8.557-51.674.446-63.46 13.252-4.214 5.537 39.472 25.084 50.516 38.215 4.393 5.525 9.973 10.767 16.538 15.676 9.48-9.959 20.274-19.542 32.16-28.506l10.84 14.371c-27.02 20.38-47.729 44.12-58.422 66.197-9.557 19.73-11.18 37.148-4.153 51.448 23.287-3.968 44.34-10.724 58.932-24.74 15.852-15.228 25.82-39.425 22.955-82.64l17.96-1.19c.933 14.076.538 26.713-1.017 38.042 33.398 7.438 71.164 10.431 108.03 8.469 6.44-.343 12.844-.86 19.199-1.51 6.289-15.66 16.029-32.157 28.96-49.572l14.452 10.73c-20.287 27.32-31.24 51.334-33.344 70.547-1.888 17.245 2.495 30.596 14.274 42.174 21.491-10.474 40.981-23.441 52.08-41.646 12.015-19.709 15.706-46.036.828-86.536l16.896-6.207c4.2 11.434 7.06 22.157 8.747 32.21 62.78-43.58 57.22-87.695 50.296-145.975-18.234-11.984-33.222-21.825-50.486-33.018zm14.316 191.729a193.44 193.44 0 0 1-12.285 6.517c-1.378 23.364-5.717 41.9-18.41 58.633 5.859 4.404 12.208 7.237 19.037 8.381 10.048-25.866 19.435-49.44 11.658-73.531zM162.896 434.14c-4.115 14.565-10.57 26.416-18.86 35.921 2.636 5.058 6.058 9.397 10.294 12.963 18.517-12.208 34.243-25.877 42.482-42.984-11.598-1.495-22.947-3.468-33.916-5.9z"}}]})(props);
};
function GiPlow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.967 156.205a26.626 26.626 0 0 0-2.56.117c-2.25.212-4.42.709-6.409 1.451-7.953 2.97-14.258 8.597-19.135 14.64l14.006 11.306c3.33-4.124 7.983-7.797 11.426-9.082 3.442-1.286 4.43-1.46 7.064 1.191l.17.17 28.825 26.043-38.204 5.52-46.545-34.124-.033-.025c-4.7-3.379-9.938-4.56-14.992-4.387-5.054.174-9.921 1.702-13.88 3.745-7.92 4.084-14.375 9.91-19.014 13.398l10.818 14.387c5.584-4.199 11.452-9.214 16.445-11.79 4.989-2.572 6.936-3.019 10.108-.742l.007.004 135.887 99.62a133.89 133.89 0 0 1 18.328-8.883l-76.404-56.012 34.832-5.031 32.629 29.482-1.871-25.951-64.69-58.447c-4.763-4.594-10.924-6.583-16.808-6.6zm100.021 71.649l.87 12.07c79.953 3.681 159.65 13.59 239.109 23.238v-16.619l-138.512-16.016-101.467-2.673zm257.979 20.771v16.703c6.039.728 12.08 1.464 18.117 2.18l-.264-16.819-17.853-2.064zm-263.115 8.982l16.687 15.077c2.158-.522 4.363-1.01 6.625-1.45 5.144-1 10.553-1.748 16.191-2.193l-11.017-9.955c-9.5-.578-18.995-1.075-28.486-1.479zm95.677 6.047l.084 11.465a180.284 180.284 0 0 1 17.135 5.975l-.34-12.9-16.879-4.54zm-43.004 22.867a129.224 129.224 0 0 0-25.925 2.383c-20.865 4.057-36.923 12.781-46.168 19.323 13.403 15.281 40.108 32.678 91.25 40.98l6.37 1.033 2.821 16.864c37.751 2.657 88.103-1.563 127.848-6.067-9.85-4.022-20.471-8.35-30.817-13.166-21.23-9.88-41.839-21.444-51.025-39.92-27.734-15.548-52.776-21.225-74.354-21.43zM15.451 339.838v18.195c69.276 10.212 169.71 18.332 264.092 21.02l-9.486-17.992c-94.826-2.7-185.155-10.9-254.606-21.223zm10.535 26.076c-3.802.004-7.5.6-10.535 1.7v13.462c3.037 1.098 6.734 1.693 10.535 1.695 9.697 0 17.559-3.773 17.559-8.427.002-4.656-7.86-8.43-17.559-8.43zm375.057 11.627l-51.506 7.938 143.5 17.851v-18.064l-91.994-7.725zm-200.41 17.72c-59.701.237-141.457 9.167-185.182 14.507v18.203c49.213-5.953 151.296-17.042 208.584-14.252 74.018 3.605 199.858 29.204 269.002 44.304v-18.517c-69.953-15.292-192.637-40.09-268.125-43.766a423.767 423.767 0 0 0-16.178-.455 568.39 568.39 0 0 0-8.101-.023zm126.654 50.72c-9.697 0-17.558 3.773-17.558 8.427 0 1.603.953 3.172 2.746 4.524-2.376-.035-4.72-.08-7.164-.096-3.739-.025-7.554-.03-11.438-.014-92.071.388-222.047 12.048-278.422 17.541v18.125c61.731-5.994 222.744-20.452 311.992-17.197 44.546 1.624 118.556 12.65 165.594 20.285V479.28c-43.102-6.995-106.97-16.48-152.517-19.34 2.785-1.532 4.321-3.497 4.326-5.53 0-4.655-7.862-8.429-17.559-8.429z"}}]})(props);
};
function GiPlug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M382.957 22.023c-2.618.033-5.138.96-7.26 3.082l-67.88 67.883 22.627 22.627 67.882-67.883c5.657-5.657 2.83-14.142-2.828-19.8-3.535-3.534-8.177-5.964-12.54-5.91zm-131.71 37.023l-21.92 21.92 203.648 203.647 21.92-21.92-11.315-11.315L262.56 70.36 251.25 59.047zm-23.335 45.96l-55.86 55.863v90.508l-22.628 22.63c-11.314 11.313-11.315 33.94.092 45.347l45.164 45.162c11.314 11.314 33.94 11.314 45.254 0l22.627-22.63h90.51l55.862-55.86-181.02-181.02zm245.555 7.527c-2.62.033-5.138.96-7.26 3.082l-67.88 67.883 22.626 22.626 67.883-67.882c5.657-5.657 2.83-14.142-2.828-19.8-3.536-3.535-8.177-5.965-12.54-5.91zM148.08 349.25l-128 128 12.727 12.728 128-128-12.727-12.727z"}}]})(props);
};
function GiPlunger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M462.4 24.96c-2.6.1-5.1 1.03-7.1 3.08L244 239.3c12.7 4.6 24.1 16.1 28.8 28.7L483.9 56.76c10.3-10.19-6.8-31.04-20.3-31.8h-1.2zM232.2 255.2c-2.6 0-5.1 1-7.1 3.1l-27.4 27.2-6.4-6.3c-17.4-17.5-51.1-23-85.9-17.8-16.67 2.4-33.36 7.2-48.33 13.7 6.45 2.3 13.23 5.4 20.36 9.2C103.1 298 133 320.8 162.1 350c29.1 29.1 52 59 65.7 84.6 3.8 7.1 6.9 13.8 9.2 20.3 6.4-15 11.2-31.7 13.7-48.3 5.1-34.8-.3-68.4-17.9-85.9l-6.3-6.4 27.2-27.3c10.3-10.1-6.8-31-20.3-31.8zM34.68 288.4c-4.25-.1-6.56.9-7.67 2-1.46 1.5-2.76 5.1-1.56 12.6 1.21 7.5 5.09 17.7 11.25 29.4 12.58 23.3 34.5 52.3 62.56 80.4 28.14 28 57.14 50 80.44 62.6 11.7 6.1 21.9 10 29.4 11.2 7.5 1.2 11.1-.1 12.5-1.6 1.5-1.4 2.9-5.1 1.6-12.5-1.2-7.5-5.1-17.7-11.2-29.4-12.6-23.3-34.5-52.3-62.6-80.4-28.1-28.1-57.12-50-80.46-62.6-11.67-6.1-21.92-10-29.34-11.2-1.88-.3-3.51-.5-4.92-.5z"}}]})(props);
};
function GiPocketBow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M77.85 11.848l9.535 70.648-69.418-11.174 41.508 56.07-11.127 322.715c-11.712 13.235-20.716 28.85-25.823 47.914 74.198-55.834 152.88-71.602 223.606-101.383l-35.913-35.914c-53.122 25.232-105.774 42.49-142.547 71.347l9.674-280.54 8.06 10.888 2.2 4.47h71.304L358.723 394.03c15.618-13.627 29.605-28.41 42.66-44.645l-229.877-193.78V84.226l-11.86-9.165 273.594-10.66c-29.99 36.36-46.84 89.07-71.39 142.416l36.558 36.56c29.22-70.24 45.014-148.09 100.262-221.507-18.54 4.97-33.69 13.015-46.604 23.603l-.02-.506-315.437 12.29-58.76-45.41zm24.613 42.638l50.355 38.916v54.795H99.236l-.607-.146-38.357-50.988 49 7.89-6.81-50.466zm248.103 167.48c-8.162 13.275-17.044 25.835-26.586 37.727l30.727 25.903c11.16-8.75 22.568-17.176 34.06-25.432l-38.2-38.2zm100.006 89.74C414.826 368.52 375.184 412.43 315.88 447.67c59.143 20.683 118.488 37.302 178.8 43.98-8.706-60.66-23.977-120.562-44.108-179.94zm-184.08 5.774c-13.42 10.98-27.58 21.186-42.414 30.674l37.47 37.47c8.748-14.57 18.62-27.954 29.327-40.43l-24.383-27.714z","fillRule":"evenodd"}}]})(props);
};
function GiPocketRadio (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M413.803 21.857l-37.354 14.008c2.38 6.19 4.488 11.654 6.453 16.8l37.221-13.956zm-54.207 20.328L90.283 143.177c.06.043.125.082.186.125 5.271 3.757 9.669 8.676 12.42 14.37L366.05 58.986c-1.967-5.15-4.087-10.64-6.455-16.8zM56.963 151.283c-9.313 0-17.586 2.775-23.063 6.678-3.208 2.286-5.373 4.765-6.623 7.322h59.371c-1.25-2.557-3.415-5.036-6.623-7.322-5.476-3.903-13.75-6.678-23.062-6.678zm-31 32v238h414v-238zm449.777 7.494l-17.8 2.654c6.305 42.28 11.67 96.59 9.667 145.75-1.72 42.205-9.466 80.212-24.55 103.393-79.995-6.833-142.276-6.026-185.596-1.707-22.159 2.209-39.357 5.295-51.805 8.885-6.224 1.795-11.252 3.683-15.373 5.935-4.121 2.252-7.992 4.583-9.896 10.223-.952 2.82-.745 6.52.552 9.234 1.298 2.715 3.21 4.472 5.116 5.807 3.81 2.669 8.092 4.072 13.54 5.34 10.899 2.536 26.491 3.884 47.727 3.851 42.472-.065 107.155-5.924 195.776-22.123l2.814-.515 2.002-2.047c26.665-27.278 35.6-74.55 37.678-125.543 2.078-50.994-3.436-106.116-9.852-149.137zm-227.777 6.506h178v98h-178zm-128 9h18v87h14v-55h18v55h14v-23h18v64h-18v-23h-14v55h-18v-55h-14v87h-18v-87h-14v55h-18v-55h-14v23h-18v-64h18v23h14v-55h18v55h14zm225.347 2.69c-28.252.014-67.387 1.462-75.2 9.08-12.679 12.358-10.21 64.468-10.21 64.468 10.136-65.752 67.341-69.735 115.397-73.049 0 0-13.035-.508-29.987-.5zm23.653 103.31l14.5 29h33.5v18h-160v-18h97.5zm-30.49 143.242c18.133.095 38.088.744 59.441 1.918-66.439 10.584-116.636 14.65-150.62 14.701-19.627.03-33.862-1.322-42.458-3.174 1.737-.634 3.575-1.281 5.808-1.925 10.81-3.118 27.19-6.133 48.602-8.268 21.411-2.135 47.886-3.415 79.227-3.252z"}}]})(props);
};
function GiPocketWatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.84 255.64a127.867 127.867 0 1 0 61.614 76.03 127.04 127.04 0 0 0-61.615-76.03zm-31.233 212.62a103.9 103.9 0 0 1-79.58-8.33 104.52 104.52 0 1 1 79.58 8.33zm54.65-125.248a87.963 87.963 0 1 0-59.328 109.373 87.414 87.414 0 0 0 59.327-109.373zm-37.1 38.962a8.28 8.28 0 0 1-9.56 6.747l-37.256-6.436a8.362 8.362 0 0 1-.827-.186h-.124a8.28 8.28 0 0 1-.88-.32l-.24-.104a8.175 8.175 0 0 1-.9-.487h-.07l-59.174-37.244a8.28 8.28 0 0 1 8.817-14.012l57.755 36.324 35.67 6.158a8.28 8.28 0 0 1 6.76 9.562zm164.75-76.838c10.09 34.016 15.046 67.203 13.94 93.478-1.12 26.69-8.156 38.176-14.365 40.018-6.21 1.842-18.368-3.943-33.87-25.706-15.244-21.42-29.194-51.95-39.325-85.955-22.53-75.947-14.933-128.942.424-133.495 15.36-4.553 50.668 35.703 73.197 111.66zm-25.8-95.517a136.808 136.808 0 0 0-12.914-15.772q13.712 4.625 26.42 16.65c19.124 18.13 35.33 48.71 44.498 83.886 8.963 34.512 10.35 69.884 3.85 97.06a99.894 99.894 0 0 1-6.405 18.523c.362-3.322.632-6.86.797-10.67 1.17-28.044-4.015-63.126-14.612-98.88-10.597-35.754-25.354-67.98-41.632-90.798zM357.104 16.1h-16.868v.125a8.765 8.765 0 0 1-.518 6.737 8.765 8.765 0 0 1-5.174 4.398 8.838 8.838 0 0 1-11.125-5.65l-1.748-5.61h-17.417l3.508 10.743c.094.29.218.56.322.838a25.168 25.168 0 0 0-11.456 10.35l-11.383 19.662a25.302 25.302 0 0 0-3.322 10.576 25.457 25.457 0 0 0-7.864 1.263l-19.662 6.437a25.21 25.21 0 0 0-7.358-11.59l-16.92-15.16a25.2 25.2 0 0 0-18.327-6.458 25.758 25.758 0 0 0-2.992.34 25.426 25.426 0 0 0-24.464-18.627H161.64a25.416 25.416 0 0 0-25.096 21.64 25.56 25.56 0 0 0-5.38.175 25.22 25.22 0 0 0-16.755 9.84l-13.692 18.11a25.416 25.416 0 0 0 3.177 34.08 25.364 25.364 0 0 0-4.036 22.435l6.456 21.732a25.24 25.24 0 0 0 9.17 13.11 32.267 32.267 0 0 0 25.933 51.496h1.19l4.273 14.395a151.463 151.463 0 0 1 5.91-1.904q4.738-1.406 9.51-2.472l-4.316-14.56a32.267 32.267 0 0 0-3.912-57.394 25.27 25.27 0 0 0 .962-17.075l-6.457-21.733a25.24 25.24 0 0 0-7.244-11.55l13.63-18.036a25.23 25.23 0 0 0 4.842-11.517c.62 0 1.252.072 1.883.072h22.706a25.406 25.406 0 0 0 4.346-.382 25.21 25.21 0 0 0 7.513 12.138l16.807 15.12a25.28 25.28 0 0 0 16.94 6.48 25.57 25.57 0 0 0 6.002-.726c.062.228.124.445.197.673a25.426 25.426 0 0 0 24.103 17.51 25.478 25.478 0 0 0 7.906-1.273l21.576-7.047a25.416 25.416 0 0 0 17.447-22.022 25.52 25.52 0 0 0 6.56-.88 25.21 25.21 0 0 0 15.41-11.828l11.384-19.662a25.333 25.333 0 0 0 1.83-21.37A25.437 25.437 0 0 0 357.104 16.1zM122.19 147.808l-6.457-21.732a8.745 8.745 0 0 1 7.027-11.207c.414 0 .828-.063 1.242-.114h.186a8.838 8.838 0 0 1 8.465 6.312l6.458 21.732a8.817 8.817 0 0 1-4.987 10.618c-.63.145-1.263.31-1.894.497l-.415.134a8.838 8.838 0 0 1-9.603-6.24zm19.23 21.308a15.875 15.875 0 1 1-5.465 1.035 25.94 25.94 0 0 0 1.914-.487l.796-.26a15.668 15.668 0 0 1 2.773-.288zm.237-92.382l-13.64 18.12a8.776 8.776 0 0 1-5.474 3.353c-.497 0-1.035.083-1.5.145a8.817 8.817 0 0 1-7.11-14.124l13.69-18.11a8.827 8.827 0 1 1 14.034 10.617zm50.594-23.036q-.61.89-1.148 1.81a8.807 8.807 0 0 1-6.8 3.21H161.64a8.827 8.827 0 1 1 0-17.645h22.704a8.807 8.807 0 0 1 7.948 12.625zm44.334 35.496a8.817 8.817 0 0 1-12.418.673l-16.89-15.16a8.827 8.827 0 0 1-2.07-10.35q.57-.828 1.036-1.697c.103-.125.196-.26.31-.384a8.838 8.838 0 0 1 12.42-.672l16.898 15.17a8.817 8.817 0 0 1 .766 12.42zm53.202 8.486a8.765 8.765 0 0 1-5.175 4.397l-21.493 7.058a8.827 8.827 0 1 1-5.484-16.775l21.587-7.048a8.827 8.827 0 0 1 10.607 12.377zm36.416-42.513L314.82 74.83A8.827 8.827 0 0 1 299.533 66l11.383-19.662a8.843 8.843 0 1 1 15.327 8.827z"}}]})(props);
};
function GiPodiumSecond (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M90.139 122.533c-11.594 0-23 12.8-23 31s11.406 31 23 31c11.593 0 23-12.8 23-31s-11.407-31-23-31zm103.95 2.975c-19.909 29.9-44.89 49.149-71.333 57.77-7.307 11.535-18.868 19.255-32.617 19.255-13.75 0-25.311-7.72-32.618-19.256-18.893 4.527-28.056 67.85-34.212 102.391l17.382 4.664 13.928-51.893 11.854 154.094h14.666v-103h18v103h14.666L128 208c30.818-17.632 67.095-44.257 82.188-74.441l-16.098-8.051zM169 313v96H25v78h462v-30H343V313H169z"}}]})(props);
};
function GiPodiumThird (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M417.945 168.902c-11.593 0-23 12.8-23 31 0 18.201 11.407 31 23 31 11.594 0 23-12.799 23-31 0-18.2-11.406-31-23-31zm-103.95 2.975l-16.099 8.05c15.093 30.185 51.37 56.81 82.188 74.442l14.195 184.533h14.666v-103h18v103h14.666l11.854-154.093 13.928 51.892 17.382-4.664c-6.156-34.54-15.319-97.864-34.212-102.39-7.307 11.535-18.869 19.255-32.618 19.255-13.749 0-25.31-7.72-32.617-19.256-26.443-8.62-51.424-27.87-71.334-57.769zM169 313v96H25v78h462v-30H343V313H169z"}}]})(props);
};
function GiPodiumWinner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-11.594 0-23 12.8-23 31s11.406 31 23 31 23-12.8 23-31-11.406-31-23-31zm-103.951 2.975l-16.098 8.05c15.092 30.185 51.37 56.81 82.188 74.442L232.334 295H247V192h18v103h14.666l14.195-184.533c30.818-17.632 67.096-44.257 82.188-74.442l-16.098-8.05c-19.91 29.9-44.891 49.148-71.334 57.77C281.311 97.28 269.75 105 256 105c-13.75 0-25.31-7.72-32.617-19.256-26.443-8.62-51.424-27.87-71.334-57.77zM169 313v96H25v78h462v-30H343V313H169z"}}]})(props);
};
function GiPodium (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M90.52 390.06h38.497v16.583H65.443V390.06l31.933-28.182c2.852-2.578 4.96-5.098 6.328-7.56 1.368-2.46 2.05-5.018 2.05-7.675 0-4.1-1.386-7.402-4.16-9.902-2.733-2.5-6.386-3.75-10.956-3.75-3.516 0-7.363.763-11.543 2.286-4.18 1.485-8.652 3.71-13.418 6.68v-19.22c5.078-1.678 10.098-2.948 15.06-3.807 4.96-.9 9.823-1.35 14.588-1.35 10.47 0 18.594 2.306 24.375 6.915 5.82 4.61 8.73 11.035 8.73 19.277 0 4.766-1.23 9.22-3.69 13.36-2.46 4.1-7.637 9.61-15.528 16.523l-18.69 16.406m349.377 32.915c5.897 1.524 10.37 4.18 13.417 7.97 3.086 3.75 4.63 8.534 4.63 14.355 0 8.672-3.322 15.273-9.962 19.804-6.64 4.493-16.328 6.74-29.063 6.74-4.492 0-9.004-.372-13.535-1.115-4.492-.704-8.945-1.778-13.36-3.223v-17.403c4.22 2.11 8.4 3.71 12.54 4.805 4.18 1.054 8.28 1.58 12.304 1.58 5.978 0 10.548-1.034 13.712-3.104 3.203-2.07 4.805-5.04 4.805-8.907 0-3.985-1.64-6.993-4.922-9.024-3.242-2.07-8.047-3.105-14.414-3.106h-9.022v-14.53h9.492c5.664 0 9.883-.88 12.656-2.638 2.773-1.796 4.16-4.51 4.16-8.144 0-3.36-1.347-5.957-4.043-7.793-2.695-1.836-6.504-2.754-11.426-2.754-3.632 0-7.304.41-11.015 1.232-3.71.82-7.403 2.03-11.074 3.632V384.83c4.453-1.25 8.867-2.186 13.242-2.812 4.375-.624 8.672-.937 12.89-.937 11.368 0 19.864 1.876 25.49 5.626 5.663 3.71 8.495 9.316 8.495 16.816 0 5.118-1.348 9.317-4.043 12.598-2.696 3.242-6.68 5.527-11.953 6.856M236.062 230.74h19.922v-56.544l-20.45 4.22v-15.352l20.333-4.22h21.445v71.895h19.922v15.585h-61.172V230.74M496 496V352H352V128H176v160H16v208"}}]})(props);
};
function GiPointing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.465 20.182v192.9c38.45 80.782 55.772 134.822 150.726 221.098l.167.15.16.158c3.06 3.06 5.89 3.828 10.14 3.455 4.247-.373 9.65-2.494 14.738-5.912 9.313-6.256 16.457-17.503 17.67-22.266l-56.06-56.065 13.214-13.216 62.94 62.944c1.316 1.316 2.67 1.804 6.508 1.115 3.838-.69 9.267-3.1 14.61-6.78 10.098-6.954 19.75-18.663 22.835-26.454l-56.02-56.02 13.216-13.216 63.667 63.67c19.495-3.225 35.412-16.64 41.65-32.52l.756.296-71.514-71.516 13.214-13.215L447.81 415.52c7.58 7.58 14.7 9.95 21.032 9.853 6.33-.096 12.216-2.88 16.62-7.41 8.805-9.06 12.096-23.49-2.255-37.84L259.97 156.88l13.214-13.214 33.08 33.08c46.988-3.724 84.773-17.932 102.148-33.6 8.914-8.04 12.147-15.414 11.424-22.306-.644-6.142-5.172-13.675-15.865-21.79-52.33 22.22-109.035 19.23-162.685 2.538-54.338-16.908-105.852-47.735-148.47-81.406h-74.35z"}}]})(props);
};
function GiPointyHat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416.125 42.406c-57.576.457-104.863 25.804-144.813 64.875-41.984 41.063-75 97.61-100 155.5.78 4.503 3.06 8.946 7.094 13.658 5.158 6.024 13.183 12.113 23.188 17.593 20.01 10.962 47.79 19.545 75.5 24.47 27.71 4.925 55.505 6.21 75.156 3.438 9.825-1.386 17.538-3.91 21.813-6.563 4.274-2.653 4.916-3.957 4.812-6.625l.72-.03c-3.408-42.828-6-88.797.092-131.94 2.82-19.972 7.668-39.434 15.22-57.624-31.573 31.44-62.918 65.425-86.844 94.72 35.418-70.2 86.2-121.398 141.125-168.97-11.376-1.71-22.42-2.584-33.063-2.5zM155.21 238.994c-2.033-.012-4.053-.012-6.054.006-2.453.022-4.87.065-7.28.125-23.138.575-44.227 2.91-61.876 7.188-23.532 5.703-40.466 14.888-48.78 26.03-8.317 11.144-10.08 24.667-.97 45.532 32.86 75.263 117.185 130.26 207.844 148.594 90.66 18.33 186.108.147 242.28-66.75 13.59-16.185 15.297-29.312 9.938-43.22-5.358-13.908-19.586-28.878-40.78-42.75-14.745-9.65-32.683-18.737-52.75-27.03 1.506 22.59 3.555 44.877 5.124 65.967v.219c.607 11.402-5.49 21.585-14.344 27.938-8.853 6.353-20.268 10.08-33.437 12.406-26.337 4.654-60.026 3.398-93.344-2.188-33.317-5.585-66.085-15.466-90.28-29.312-12.097-6.923-22.145-14.85-28.875-24.47-6.73-9.617-9.76-21.554-6.594-33.374l.095-.375.125-.374c7.637-21.206 16.308-42.79 26.094-64.094-2.053-.032-4.1-.056-6.133-.068zm6.634 46.662c-3.08 7.8-6.017 15.596-8.813 23.344-1.595 6.246-.4 11.407 3.907 17.563 4.374 6.25 12.28 12.923 22.844 18.968 21.128 12.09 52.4 21.78 84.095 27.095 31.694 5.314 64.016 6.28 87 2.22 11.492-2.032 20.53-5.42 25.78-9.19 5.25-3.766 6.864-6.726 6.595-11.78-.517-6.93-1.088-14.027-1.688-21.25-7.448 4.03-16.47 6.367-26.718 7.813-22.732 3.206-51.79 1.665-81.03-3.532-29.242-5.196-58.5-14.055-81.22-26.5-11.36-6.222-21.122-13.34-28.375-21.812-.825-.962-1.62-1.933-2.376-2.938z","fillRule":"evenodd"}}]})(props);
};
function GiPointySword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M45.95 14.553c-19.38.81-30.594 11.357-30.282 30.283l19.768 30.78c4.43-1.213 9.36-3.838 14.248-7.335l42.474 59.935c-17.018 20.83-31.258 44.44-42.71 70.836l26.55 26.552c11.275-23.6 24.634-44.826 39.918-63.864l210.82 297.475 166.807 33.213L460.33 325.62 162.78 114.745c19.907-16.108 41.842-29.91 65.652-41.578l-26.553-26.55c-27.206 11.803-51.442 26.576-72.735 44.292L69.39 48.56c3.443-4.823 6.062-9.735 7.342-14.242l-30.78-19.765zm400.84 86.933v.008l.003-.008h-.002zm0 .008l-28.028 124.97-25.116-80.593-18.105 70.667-26.862-49.64-.584 57.818 128.484 91.69 15.184 87.017-1.168-186.885-34.457 39.713-9.346-154.756zm-300.95 27.98l222.224 196.368 25.645 66.75-66.75-25.645L130.6 144.734c4.91-5.278 9.995-10.36 15.238-15.26zm32.305 196.274v.004h.005l-.005-.004zm.005.004l28.028 22.775-36.21 4.088 57.82 19.272-105.706 4.09 115.05 27.45L136.1 422.114l127.316 25.696-67.164 43.803 208.494 1.752-87.017-15.185-104.54-150.676-35.037-1.752z"}}]})(props);
};
function GiPoisonBottle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M181.78 33v51.53h149.407V33H181.78zm14.19 70.22c-.66 2.9-1.554 5.263-2.75 6.936-2.684 3.75-7.033 6.594-19.5 6.594-21.54 0-40.804 5.862-55.157 16.094-14.353 10.232-23.907 25.398-23.907 42.5V426.75c0 32.34 26.255 58.625 58.594 58.625h213.47c32.338 0 58.592-26.286 58.592-58.625V175.344c0-17.102-9.527-32.2-23.593-42.438-14.067-10.237-32.83-16.156-53.44-16.156-16.69 0-23.62-3.488-26.874-7.188-1.41-1.604-2.43-3.698-3.156-6.343h-19.125c1.073 6.658 3.37 13.137 8.25 18.686 8.11 9.223 21.523 13.53 40.906 13.53 16.978 0 32.056 5.008 42.44 12.564 10.38 7.556 15.905 17.1 15.905 27.344V426.75c0 22.355-17.55 39.938-39.906 39.938H153.25c-22.355 0-39.906-17.583-39.906-39.938V175.344c0-10.245 5.455-19.72 16.062-27.28 10.607-7.563 26.22-12.626 44.313-12.626 15.962 0 28.056-5.142 34.686-14.407 3.904-5.455 5.733-11.545 6.625-17.81h-19.06zm66.093 45.405c-30.545 0-50.062 12.865-63.282 32.313-12.295 18.09-18.387 42.315-19.186 66.062 25.033 12.795 39.555 27.632 43.844 44.97.734 2.967 1.173 5.942 1.312 8.905 9.01 5.134 23.22 8.44 37.813 8.438 12.935-.002 26.08-2.538 36.093-6.875.152-3.325.617-6.662 1.47-10 4.486-17.583 19.028-33.2 44.405-45.563-.838-22.46-6.793-46.595-19-64.938-13.2-19.84-32.745-33.312-63.467-33.312zM232.188 223.5c9.157 0 16.593 7.405 16.593 16.563 0 9.157-7.435 16.593-16.593 16.593-9.157 0-16.562-7.436-16.562-16.594 0-9.157 7.405-16.562 16.563-16.562zm55.437 0c9.158 0 16.594 7.405 16.594 16.563 0 9.157-7.438 16.593-16.595 16.593-9.158 0-16.563-7.436-16.563-16.594 0-9.157 7.405-16.562 16.563-16.562zm-28.844 33.594c6.275 13.248 11.25 26.503 13.72 39.75-9.148-3.022-18.29-3.426-27.438 0 3.34-13.25 7.352-26.504 13.72-39.75zm-37.03 63.47c-2.136 6.42-5.285 12.778-9.188 19.03 11.93 7.99 31.58 12.81 50.875 12.594 18.97-.214 36.878-5.57 46.22-12.407-3.55-5.764-6.412-11.8-8.344-18-11.947 4.416-25.424 6.375-38.75 6.376-14.447.002-28.77-2.222-40.813-7.594zm-70.656 17.06c-8.9 11.268-12.694 22.493-10.03 36.313 68.925 5.54 164.194 31.92 226.686 60.75 9.16-11.166 12.518-22.67 9.97-36.78-67.77-6.867-164.135-28.736-226.626-60.282zm216.594 0c-20.79 10.496-45.326 19.907-71.313 28.063 20.298 4.434 40.253 8.04 58.72 10.688 7.782-1.026 15.357-1.853 22.624-2.438 2.66-13.82-1.133-25.045-10.033-36.312zm-203.75 57.532c-7.904 1.084-15.56 2.01-22.875 2.75-2.55 14.11.81 25.615 9.968 36.78 21.375-9.86 46.575-19.447 73.25-27.998-20.87-4.912-41.385-8.868-60.343-11.532z"}}]})(props);
};
function GiPoisonCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 106c-33.81 0-61.887 22.69-71.25 53.438C174.532 154.22 163.258 151 151 151c-41.42 0-75 33.58-75 75 0 1.784.346 3.405.468 5.157C41.284 243.387 16 276.65 16 316c0 49.706 40.294 90 90 90h300c49.706 0 90-40.294 90-90 0-39.35-25.284-72.614-60.468-84.843.123-1.752.468-3.374.468-5.157 0-41.42-33.58-75-75-75-12.258 0-23.532 3.222-33.75 8.437C317.887 128.69 289.81 106 256 106zm-60 90l60 60 60-60 30 30-60 60 60 60-30 30-60-60-60 60-30-30 60-60-60-60z"}}]})(props);
};
function GiPoisonGas (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M372.03 16.318c-18.85 0-37.693 7.71-49.214 23.125-25.114-24.456-78.796-13.708-78.796 32.248 0 6.683 1.14 12.617 3.156 17.81h126.906l43.98 182.098h-75.558l-10.514 90.42c35.93.896 72.553-22.212 72.553-69.356l-.002-.164c15.128 1.198 30.85-4.22 40.5-16.244 13.076 11.892 39.855 6.224 39.855-17.014 0-18.95-17.805-26.2-31.47-21.79-3.356-17.022-15.09-27.788-29.05-32.307 5.138-7.003 8.3-16.072 8.3-27.213 0-21.872-12.166-35.76-27.618-41.682.302-1.52.466-3.144.466-4.875 0-1.72-.164-3.333-.462-4.844 15.914-9.37 27.426-26.276 27.426-50.74 0-39.647-30.228-59.47-60.457-59.472zM98.7 39.695c-19.232-.137-38.25 10.7-43.63 35.428-12.75 58.617 76.628 78.058 89.38 19.44.482-2.216.8-4.37 1-6.473 11.744 3.185 25.72-1.606 29.114-17.207 5.824-26.77-29.91-37.59-42.388-18.38-8.952-8.2-21.255-12.72-33.475-12.808zm62.116 68.494L125.86 252.91h68.466l20.772 178.64h89.992l20.77-178.64h68.464L359.37 108.19H160.815zm308.83 11.29c-10.803 0-21.607 7.087-21.607 21.258 0 28.343 43.214 28.343 43.214 0 0-14.17-10.804-21.258-21.608-21.258zM169.11 167.477l67.292 47.228-79.062 7.078 11.77-54.306zm181.753 0l11.772 54.306-79.063-7.078 67.29-47.228zm111.537 9.42c-7.432 0-14.863 4.875-14.863 14.623 0 19.495 29.727 19.495 29.727 0 0-9.748-7.432-14.624-14.864-14.624zM48.125 189.58c-15.72 0-31.443 10.31-31.443 30.93 0 27.956 28.893 36.956 47.51 27.01 1.29 63.073 85.368 71.095 107.73 24.076h-69.8l19.61-81.192c-16.496-.246-33.104 5.812-44.212 18.184-4.752-12.67-17.072-19.008-29.395-19.008zm211.865 41.053l31.88 42.1-14.9 11.283-16.982-22.428-16.984 22.428-14.9-11.284 31.886-42.1zM40.38 272.738c-7.433 0-14.864 4.872-14.864 14.62 0 19.5 29.726 19.5 29.726 0 0-9.746-7.432-14.62-14.863-14.62zm141.222 32.56c-15.187.658-29.89 10.956-29.89 30.897 0 7.752 2.22 14.044 5.83 18.88-8.155 7.493-13.548 18.505-13.548 33.058 0 23.906 14.53 38.272 32.004 43.125-2.34 3.485-3.756 7.896-3.756 13.238 0 28.692 40.822 30.603 46.274 5.742h-20.06l-16.854-144.94zm147.244 83.747l-7.116 61.193h-52.253c11.388 26.444 46.265 32.527 68.462 18.252 5.28 35.71 62.494 33.894 62.494-5.445 0-25.93-24.858-35.552-43.317-28.875.058-1.037.096-2.087.096-3.162 0-22.225-12.56-36.207-28.367-41.963zm153.53 6.543c-7.142.088-14.38 5.985-11.946 15.072 4.1 15.304 27.436 9.05 23.336-6.254-1.666-6.22-6.505-8.878-11.39-8.818zM61.312 416.842c-13.135 0-26.27 8.613-26.27 25.842 0 17.23 13.14 25.846 26.275 25.843-.26 1.37-.404 2.828-.404 4.38 0 26.502 40.41 26.502 40.41 0 0-11.306-7.355-17.772-15.787-19.432 1.3-3.116 2.045-6.71 2.045-10.79 0-17.23-13.135-25.843-26.27-25.843zM463 431.766c-5.583.068-11.202 3.082-13.688 8.17-13.404-8.747-36.365 2.018-30.974 22.14 6.044 22.56 37.068 17.112 39.658-2.02 9.654 2.782 22.22-4.778 18.775-17.632-2.013-7.516-7.864-10.73-13.77-10.658zm-332.88 1.857c-7.43 0-14.862 4.875-14.862 14.623 0 19.496 29.724 19.496 29.724 0 0-9.75-7.43-14.623-14.86-14.623z"}}]})(props);
};
function GiPoison (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M181 181c15 0 60-60 30-105 15-15 15-30 45-30s60 45 60 75-30 60-75 90-120 90-120 165c0 60 45 120 120 120s150-30 150-120c0-60-60-90-90-90-45 0-75 30-90 75 45-60 135-60 135 15 0 45-45 75-105 75-30 0-60-30-60-75s45-90 90-120 90-75 90-120c0-60-45-120-105-120-30 0-60 30-75 45s-45 15-45 60c0 15 30 60 45 60z"}}]})(props);
};
function GiPokecog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M235.045 25.752l-41.775 8.215 6.894 35.947c-19.303 5.91-37.997 14.43-54.643 25.852l-23.834-27.78L89.04 96.158l24.433 27.988c-13.495 14.454-25.328 31.203-34.16 49.78L44.64 161.813l-14.203 40.652 34.674 12.11c-4.54 19.832-5.6 40.113-4.057 59.624l-36.547 6.685 8.006 42.37 35.947-6.896c5.91 19.303 15.235 37.61 26.657 54.255L67.34 394.45l27.572 32.44 27.78-23.837c14.537 13.64 31.05 25.255 49.78 34.158l-12.115 34.675 40.653 14.2 12.11-34.67c20.202 4.695 40.354 5.885 60.222 4.267l6.894 35.947 41.774-8.214-6.895-35.947c19.304-5.912 38-14.43 54.645-25.853l23.836 27.778 32.646-28.17-24.433-27.99c13.355-14.305 25.153-30.836 33.948-49.18l34.674 12.113 14.2-40.652-34.673-12.112c4.654-20.034 5.825-40.508 4.27-60.22l36.543-6.688-8.003-42.37-35.948 6.894c-5.91-19.304-15.237-37.608-26.66-54.254l27.78-23.836-27.573-32.438-27.78 23.836c-14.538-13.64-31.05-25.257-49.78-34.16l11.905-34.076-40.65-14.2v.003L302.16 65.97c-20.2-4.698-40.35-5.887-60.22-4.27l-6.895-35.948zm23.178 87.603c28.01.105 56.29 8.287 81.183 25.24 59.008 40.186 79.122 116.127 51.112 179.13l-57.065-38.862c8.25-31.382-3.378-65.89-31.715-85.19-28.34-19.3-64.227-17.152-90.408 2.02l-57.316-39.033c27.96-28.41 65.826-43.448 104.21-43.305zM124.7 199.582l56.89 38.744c-8.423 31.474 2.948 66.307 31.39 85.676 28.44 19.37 65.5 17.52 91.7-1.848l56.625 38.565c-48.347 49.327-126.52 58.51-185.614 18.266C116.6 338.742 96.51 262.64 124.7 199.582zm132.87 14.29c8.663.03 17.408 2.56 25.102 7.798 20.516 13.973 25.83 41.964 11.857 62.48-13.972 20.517-41.967 25.827-62.483 11.856-20.516-13.972-25.827-41.964-11.856-62.48 8.734-12.823 22.942-19.707 37.38-19.655z"}}]})(props);
};
function GiPokerHand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M150.156 82.406c-1.843.092-3.663.446-5.344 1.063L41.094 121.53c-4.483 1.645-8.493 5.357-10.5 9.69-2.007 4.33-2.238 9.798-.594 14.28l66.72 181.875c1.643 4.482 5.354 8.524 9.686 10.53 4.332 2.008 9.8 2.24 14.28.595l103.72-38.063c4.483-1.644 8.493-5.355 10.5-9.687l.03-.063c1.982-4.322 2.2-9.757.564-14.218L168.78 94.593c-1.635-4.46-5.318-8.484-9.624-10.5l-.062-.03c-2.166-1.005-4.623-1.556-7.094-1.658-.618-.025-1.23-.03-1.844 0zM189.22 96.03l63.843 174c3.41 9.3 2.975 19.61-1.188 28.595-4.163 8.986-11.734 15.965-21.03 19.375l-27.44 10.063 60 2.78c4.77.223 9.91-1.66 13.44-4.874 3.528-3.217 5.87-8.17 6.092-12.94l9-193.5c.222-4.768-1.628-9.938-4.843-13.468-3.216-3.53-8.168-5.87-12.938-6.093l-84.937-3.94zm121 33.25l-8.626 184.626c-.46 9.893-4.836 19.237-12.156 25.906-7.32 6.67-17.014 10.148-26.907 9.688l-26.06-1.22 69.374 23.095c4.53 1.507 10.012 1.107 14.28-1.03 4.27-2.14 7.838-6.283 9.345-10.814l61.155-183.81c1.507-4.532 1.107-10.013-1.03-14.282-2.14-4.27-6.283-7.87-10.814-9.375l-68.56-22.782zm-205.064 18.345c24.458 24.936 68.02 17.74 80.75 45.53 11.875 25.927-14.51 46.006-37.97 38.407l17 30.782-18.78 6.906-10.937-31.688c-10.39 22.624-43.053 23.746-54.157-.53-13.53-29.577 24.02-54.2 24.093-89.407zm301.438 39.22L347.22 365.437c-3.127 9.397-9.865 17.19-18.72 21.625l-.094.03c-8.834 4.396-19.07 5.116-28.437 2l-20.376-6.78 43.312 37.03c3.63 3.102 8.865 4.78 13.625 4.407 4.76-.374 9.618-2.84 12.72-6.47l125.875-147.31c3.102-3.63 4.78-8.835 4.406-13.595-.372-4.76-2.87-9.648-6.5-12.75l-66.436-56.78z"}}]})(props);
};
function GiPolarBear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M238.431 80.77c-35.155.246-72.04 8.661-108.484 27.94C-29.95 201.198 34.429 334.93 46.134 370.206c20.81 24.447 48.8 32.745 74.469 46.26l-.98-20.2 18.72 6.91-1.414-14.996 21.487-.039-33.25-37.34c9.816-13.393 12.76-41.423 15.21-56.044l59.329 12.877 56.068-6.44c3.142 30.472 7.892 60.945 20.21 91.416l69.76 38.625-3.724-19.205 23.729 4.156-2.356-16.88 23.426 1.029-45.639-41.844.467-41.772c14.428-15.907 44.975-17 52.157-12.23-1.956 16.792 3.749 24.053 9.314 39.195 7.123 19.382 23.098 32.587 37.812 46.35l2.076-18.77 22.463 4.166-1.4-16.394 24.455 2.674-24.123-37.34c.486-20.817.546-41.634-2.256-62.451-3.414 5.69-8.437 10.6-13.912 14.625-10.461 7.69-23.42 12.82-36.252 12.326-8.843-.341-42.722 3.68-60.857-22.658l14.826-10.21c11.768 17.092 33.138 14.358 46.724 14.882 7.047.271 17.368-3.307 24.897-8.842 7.529-5.536 11.346-12.392 11.064-16.223l-.33-4.476 3.377-2.957s3.945-3.469 7.889-8.206c3.944-4.736 6.94-11.006 6.969-12.492.011-.588-1.189-3.557-3.434-8.07s-5.342-12.089-1.871-19.95c2.355-5.333 5.118-8.272 6.578-10.831 1.413-2.477 2.416-5.004 2.535-10.856-.417-4.153-1.148-5.244-2.795-6.623-1.722-1.441-5.616-3.179-11.742-5.123-3.19-1.013-3.497-.562-6.055 1.506-2.557 2.068-5.59 6.183-10.037 10.187l-3.222 2.903-4.278-.713c-20.726-3.451-41.094-1.951-60.205 5.607l-3.582 1.416-3.496-1.61c-12.335-5.685-21.75-10.818-27.205-11.981-2.728-.582-4.082-.43-5.498.191-1.416.62-3.404 2.09-5.975 5.928-3.113 4.649-4.81 12.102-3.736 18.468 1.074 6.367 4.067 11.36 10.791 14.297l-7.205 16.494c-12.43-5.429-19.456-16.646-21.336-27.798-1.88-11.152.537-22.527 6.531-31.477 3.815-5.696 8.286-10.025 13.71-12.4 5.423-2.376 11.29-2.414 16.472-1.309 9.322 1.987 17.862 6.877 27.783 11.674 12.084-4.308 24.541-6.575 37.098-7.066-38.725-39.944-98.414-69.255-164.537-69.78-1.13-.009-2.263-.01-3.397-.002zm188.48 101.973c6.752 0 12.225 6.629 12.225 14.807 0 8.177-5.473 14.807-12.224 14.806-6.751 0-12.223-6.63-12.223-14.806 0-8.177 5.472-14.806 12.223-14.807zm-48.732 5.148c6.75.001 12.223 6.63 12.223 14.807s-5.472 14.806-12.223 14.807c-6.751 0-12.224-6.63-12.224-14.807 0-8.178 5.473-14.807 12.224-14.807zm31.096 40.985c8.973-.167 16.408 3.757 16.607 8.765.12 3.058-2.53 5.961-7.047 7.721l.497 15.873-17.99.565-.507-16.176c-4.535-1.603-7.325-4.367-7.447-7.377-.199-5.008 6.914-9.204 15.887-9.371zm-259.828 86.062l7.365 37.684 38.545 25.539-2.422-14.9 17.178 2.609-5.457-11.967 18.656.97-20.46-19.366-1.395-6.926z"}}]})(props);
};
function GiPoliceBadge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"m 237.59142,23.950128 c -15.48769,9.432598 -34.17058,12.318766 -44.1673,12.318766 -10.00366,0 -23.79926,-0.194925 -43.9503,-11.829131 -8.35467,-4.823577 -9.86134,-5.708699 -14.34686,-5.708699 -12.91322,0 -71.396413,58.375934 -72.363034,66.334414 -0.966622,7.958452 32.120593,28.163932 33.71248,57.150952 1.591887,28.98703 -19.183619,61.80636 -27.756183,87.39706 -17.765566,52.9498 -22.581636,58.94861 -22.581622,85.85861 3.91678,77.65208 56.609859,131.68607 130.916129,144.25034 31.84641,4.83094 44.87352,9.46439 59.11229,21.0237 5.93519,4.34906 12.47815,10.68983 19.74398,11.52033 l 0,0.0278 c 0.0299,-0.003 0.0591,-0.01 0.089,-0.0142 0.0299,0.003 0.0591,0.0114 0.089,0.0142 l 0,-0.0278 c 7.26582,-0.8305 13.80879,-7.17127 19.74397,-11.52033 14.23877,-11.55931 27.26588,-16.19276 59.11229,-21.0237 74.30628,-12.56427 126.99934,-66.59826 130.91614,-144.25034 0,-26.91 -4.81606,-32.90881 -22.58162,-85.85861 -8.57257,-25.5907 -29.34807,-58.41003 -27.75619,-87.39706 1.59189,-28.98702 34.6791,-49.1925 33.71248,-57.150952 -0.96662,-7.95848 -59.44983,-66.334414 -72.36304,-66.334414 -4.48553,0 -5.99218,0.885122 -14.34685,5.708699 -20.15104,11.634206 -33.94664,11.829131 -43.95031,11.829131 -9.99671,0 -28.6796,-2.886168 -44.16729,-12.318766 -4.52967,-2.74526 -10.03057,-5.344254 -18.40861,-5.344254 -6.60122,0 -13.34704,2.294383 -18.4086,5.344254 z"}}]})(props);
};
function GiPoliceCar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M174 20.85L148.7 74.7l-57-46.74 26.9 66.24-60.9-22.36 46.2 49.36L39 149l96 10.1V103h85.6l15.6-82.15-48.1 54.2-14.1-54.2zm101.8.04L291.4 103H377v56.1l96-10.1-64.9-27.8 46.1-49.32-60.8 22.36L420.3 28l-57 46.74L338 20.89l-14.1 54.2-48.1-54.2zM153 121v39c-4.3.6-8.3 1.2-11.8 1.9-4.1.8-7.7 1.7-10.8 2.8-3.2 1.1-5.9 2.1-8.8 4.9l-1.5 1.5-27.18 81.6c-12.7-12.8-26.02-17.4-37.3-17.3-29.47.2-45.11 32.7-.06 36.3 3.16-2.5 6.52-4.8 10.11-6.9 12.96-7.7 28.69-13 47.43-15.7l22.4-67c.3-.2.4-.3.8-.4 1.9-.7 4.8-1.4 8.4-2.1 7.1-1.4 17-2.6 28.6-3.6 23.1-2 52.9-3 82.7-3 29.8 0 59.6 1 82.7 3 11.6 1 21.5 2.2 28.6 3.6 3.6.7 6.5 1.4 8.4 2.1.4.1.5.2.8.4l22.4 67c18.7 2.7 34.4 8 47.4 15.7 3.6 2.1 7 4.4 10.1 6.9 45.1-3.6 29.5-36.1 0-36.3-11.3-.1-24.6 4.5-37.3 17.3l-27.2-81.6-1.5-1.5c-2.9-2.8-5.6-3.8-8.8-4.9-3.1-1.1-6.7-2-10.8-2.8-3.5-.7-7.5-1.3-11.8-1.9v-39h-62v34.6c-5.9-.1-11.9-.3-18-.4V121h-46v34.2c-6.1.1-12.1.3-18 .4V121h-62zm-9 144c-30.9 0-53.18 5.8-69.17 15.2-3.35 2-6.43 4.2-9.29 6.5L178.1 343h155.8l112.6-56.3c-2.9-2.3-5.9-4.5-9.3-6.5-16-9.4-38.3-15.2-69.2-15.2H144zm-91.46 35.4c-4.14 5.7-7.47 12-10.15 18.9-12.13 31.2-9.69 74.8-2.67 119.7h99.48l27.8-41.7v-39.7L52.54 300.4zm406.96 0L345 357.6v39.7l27.8 41.7h99.5c7-44.9 9.4-88.5-2.7-119.7-2.7-6.9-6-13.2-10.1-18.9zM64 336l64 16v32H48.1L64 336zm384 0l16 48h-80v-32l64-16zm-263 25v30h142v-30H185zM64.1 407H128v18H64.1v-18zm319.9 0h64v18h-64v-18zm-203.2 2l-20 30h190.4l-20-30H180.8zM41 457v30h62v-30H41zm368 0v30h62v-30h-62z"}}]})(props);
};
function GiPoliceOfficerHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c21 0 34.936 10.482 53.63 20.867 17.717 9.843 39.99 18.284 71.4 11.87 14.906 14.9 30.05 29.803 46.2 39.896 13.216 8.26 28.067 13.18 42.88 10.855-4.25 33.44-24.556 66.15-45.784 83.272-55.98-18.552-112.1-27.832-168.22-27.832-56.172 0-112.343 9.297-168.374 27.883-21.25-17.108-41.59-49.85-45.843-83.322 14.81 2.326 29.664-2.596 42.88-10.855 16.15-10.093 31.292-24.995 46.2-39.895 31.407 6.413 53.683-2.028 71.4-11.87C221.065 35.48 235 25 256 25zm.105 19.54c-19.815 0-53.17 26.778-53.17 26.778s21.22 80.334 53.17 80.334c31.952 0 53.172-80.334 53.172-80.334S275.92 44.54 256.105 44.54zm0 137.32c52.79 0 105.584 8.63 158.504 25.734 2.18 13.47-1.51 23.48-9.448 32.736-8.86 10.333-23.732 19.103-41.36 25.71-35.26 13.218-80.983 17.896-107.697 17.896-26.713 0-72.434-4.678-107.693-17.895-17.63-6.607-32.5-15.377-41.36-25.71-7.94-9.257-11.632-19.265-9.45-32.736 52.92-17.105 105.713-25.735 158.503-25.735zm173.227 57.146c9.82 2.382 26.932 7.775 30.006 16.994 8.402 25.197-16.92 63.795-36.07 88.15 5.276-22.004 8.12-45.41 8.12-69.68 0-12.058-.706-23.9-2.056-35.464zm-346.45 0a305.88 305.88 0 0 0-2.056 35.463c0 24.27 2.843 47.676 8.12 69.68-19.15-24.355-44.473-62.953-36.07-88.15 3.073-9.22 20.186-14.612 30.005-16.994zm330.03 19.172c.305 5.377.475 10.806.475 16.29 0 59.374-18.13 112.958-46.903 151.305-28.772 38.347-67.703 61.313-110.38 61.313-42.674 0-81.606-22.966-110.377-61.313-28.772-38.347-46.9-91.93-46.9-151.304 0-5.486.17-10.915.474-16.292 8.2 7.656 18.216 13.868 29.235 19.03-4.27 18.2.266 40.838 12.098 52.665 21.774 21.765 70.605 21.765 92.38 0 6.744-6.743 9.637-17.487 9.255-28.268 4.934.216 9.6.33 13.837.33 4.238 0 8.905-.114 13.84-.33-.383 10.78 2.51 21.525 9.256 28.268 21.775 21.765 70.604 21.765 92.378 0 11.832-11.827 16.368-34.462 12.098-52.662 11.02-5.162 21.038-11.376 29.236-19.032zM256.105 376.043c-23.094 36.936-69.282 41.553-92.376 41.553 23.093 18.468 92.375 18.468 92.375 0 0 18.468 69.285 18.468 92.38 0-23.095 0-69.285-4.617-92.38-41.553z"}}]})(props);
};
function GiPoliceTarget (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-38.346 0-71 38.034-71 87s32.654 87 71 87 71-38.034 71-87-32.654-87-71-87zm-9 23h18v7.723c24.195 3.873 43.404 23.082 47.277 47.277H320v18h-7.723c-3.873 24.195-23.082 43.404-47.277 47.277V176h-18v-7.723c-24.195-3.873-43.404-23.082-47.277-47.277H192v-18h7.723c3.873-24.195 23.082-43.404 47.277-47.277V48zm0 26.04C232.628 77.4 221.398 88.63 218.04 103H247V74.04zm18 0V103h28.96C290.6 88.628 279.37 77.398 265 74.04zM218.04 121c3.358 14.372 14.588 25.602 28.96 28.96V121h-28.96zm46.96 0v28.96c14.372-3.358 25.602-14.588 28.96-28.96H265zm33.6 83.273C286.025 212.368 271.546 217 256 217c-15.517 0-29.97-4.615-42.527-12.682-44.338 7.713-72.368 29.064-91.49 65.834C98.098 316.09 89.592 388.232 89.1 487H135V336h18v151h206V336h18v151h45.94c-.29-91.378-5.084-163.5-27.112-211.23-11.38-24.657-26.968-42.898-49.24-55.426-13.287-7.474-29.124-12.897-47.988-16.07zM247 224h18v9.82c18.095 2.283 34.883 11.78 47.824 24.82 15.09 15.205 25.32 35.535 25.32 56.788V343h9.284v18h-9.285v27.572c0 21.286-10.364 41.52-25.493 56.65-12.978 12.977-29.716 22.443-47.65 24.874V480h-18v-9.904c-17.934-2.43-34.672-11.897-47.65-24.875-15.13-15.128-25.493-35.362-25.493-56.648V361h-9.285v-18h9.285V315.386c.103-21.11 10.452-41.294 25.543-56.458 12.95-13.01 29.654-22.562 47.6-25.014V224zm18 28.04v28.077c9.014 2.324 16.945 8.083 23.074 15.29 8.126 9.552 13.496 22.05 13.496 35.26V343h18.573v-27.572c0-15.32-7.855-31.775-20.094-44.108-9.906-9.98-22.44-17.043-35.05-19.28zm-18 .138c-12.454 2.395-24.942 9.5-34.84 19.445-12.293 12.352-20.23 28.74-20.303 43.85V343h18.573v-12.372c.055-13.134 5.496-25.54 13.613-35.058 6.133-7.19 14.007-12.964 22.957-15.36v-28.032zm18 47.23V343h18.57v-12.334c0-8.124-3.668-17.085-9.207-23.596-2.858-3.36-6.105-5.948-9.363-7.662zm-18 .194c-3.216 1.747-6.432 4.333-9.262 7.65-5.574 6.535-9.275 15.46-9.308 23.453V343H247v-43.398zM191.857 361v27.572c0 15.286 7.92 31.622 20.22 43.922 9.91 9.908 22.436 16.966 34.923 19.34v-28.027c-8.938-2.378-16.827-8.11-22.977-15.284-8.143-9.5-13.593-21.95-13.593-35.19V361h-18.573zm36.573 0v12.334c0 8.095 3.69 16.977 9.26 23.477 2.84 3.312 6.074 5.89 9.31 7.626V361h-18.57zm36.57 0v43.436c3.236-1.737 6.47-4.314 9.31-7.625 5.57-6.5 9.26-15.38 9.26-23.476V361H265zm36.57 0v12.334c0 13.238-5.45 25.69-13.593 35.19-6.15 7.174-14.04 12.905-22.977 15.283v28.027c12.487-2.374 25.014-9.432 34.922-19.34 12.3-12.3 20.22-28.636 20.22-43.922V361H301.57z"}}]})(props);
};
function GiPollenDust (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M203.438 18.03c-67.86 1.023-136.07 52.442-99.313 177.25-19.902-13.32-39.808-19.272-58.906-19.56-10.183-.188-20.25 1.35-29.814 4.093v35.625c41.434-13.075 92.35 3.578 129.125 82.843 6.98 21.464 11.43 42.784 12.282 63.783.01.135.023.27.032.406 2.555 41.148-9.763 82.74-37.813 110.905l-.03.03c-5.6 6.838-11.908 13.59-18.938 20.25h88.657c40.943-75.566 10.117-177.693-32.657-256.374C61.293 62.965 216.36 8.983 273.813 78.595c-.73.677-1.412 1.37-2 2.062-3.516 4.14-4.307 7.733-3.532 10.625.776 2.894 3.26 5.58 8.376 7.407 5.115 1.83 12.405 2.254 20 .22 7.595-2.036 13.735-6.048 17.25-10.188 3.516-4.142 4.307-7.734 3.53-10.626-.773-2.892-3.258-5.578-8.373-7.406-1.364-.488-2.897-.856-4.532-1.126-16.407-33.118-58.672-52.17-101.092-51.53zm138.906 57.064c-1.34.004-2.7.03-4.094.062-.752.018-1.54.066-2.313.094 1.464 7.842-.846 15.62-5.187 22.094 11.955 2.052 22.79 7.44 31.78 15.187 15.9 13.704 26.68 34.14 32.533 56.876 5.59 21.722 6.758 45.878 2.5 68.75 17.686 2.86 36.728.448 56-8.875-27.56-41.117-29.818-84.612-40.344-113.218-5.646-15.34-12.687-26.02-26.783-33.03-9.91-4.93-23.99-8-44.093-7.938zm-91.28 23.562c-19.422 10.637-31.17 20.938-37.658 30.72-8.7 13.12-9.438 25.922-6.656 42.03 5.188 30.042 24.974 68.815 21.656 118.22 24.052-1.756 43.48-10.922 58.03-24.75-13.913-16.595-24.252-36.427-30.155-56.47-6.687-22.71-7.837-46.057-1.03-66.187 3.25-9.608 8.51-18.43 15.72-25.72-.21-.07-.418-.144-.626-.22-8.492-3.034-16.005-9.036-19.28-17.624zm70.405 16.28c-.74-.01-1.497.01-2.25.033-4.023.128-8.28.8-12.783 2.03-18.347 5.01-28.343 15.97-33.5 31.22-5.156 15.25-4.57 35.065 1.282 54.936 11.26 38.24 41.692 75.175 79.25 83.47 26.593-26.993 33.356-74.27 23.5-112.563-5.13-19.92-14.62-37.03-26.626-47.375-8.442-7.276-17.797-11.564-28.875-11.75zm89.81 153.72c-7.487-.08-14.92 5.072-14.967 15.656-.085 21.17 31.096 20.53 30.375 0-.36-10.264-7.92-15.576-15.407-15.656zm47.845 37.688c-1.918.045-4.008.583-6.156 1.812-13.75 7.866-1.66 27.832 11.374 19.688 10.997-6.872 5.14-21.742-5.22-21.5zm-79.938 1.78c-3.497.068-7.04 1.88-9.53 6.157-1.274 2.187-1.82 4.313-1.813 6.283-8.494-2.006-18.446 2.92-18.5 15.187-.084 21.17 31.065 20.53 30.344 0-.05-1.444-.247-2.753-.563-4 3.836.202 7.76-1.557 10.188-6.125 4.958-9.33-2.432-17.647-10.125-17.5zM282.938 312c-4.673.09-9.45 2.535-12.78 8.25-10.66 18.29 16.67 33.295 26.312 15.156 6.627-12.47-3.25-23.602-13.533-23.406zm-217.75 18.688c18.723 32.207-17.638 68.048-49.78 57.906v27.375c53.067 20.35 102.378-60.32 49.78-85.283zm384.75 21.562c-1.918.045-3.976.615-6.125 1.844-13.747 7.866-1.69 27.832 11.344 19.687 10.997-6.87 5.14-21.772-5.22-21.53zm-66.78 20.688c-9.66.1-19.234 6.733-18.782 19.625.905 25.782 38.044 26.586 38.156 0 .055-13.294-9.715-19.726-19.374-19.625zm-68.188 12.406c-3.498.067-7.072 1.91-9.564 6.187-7.972 13.685 12.476 24.915 19.688 11.345 4.958-9.33-2.432-17.68-10.125-17.53zm161.75 23.53c-7.692.08-15.3 5.36-14.94 15.626.723 20.53 30.252 21.17 30.345 0 .042-10.584-7.716-15.705-15.406-15.625zm-206.19 11.72c-7.487-.08-14.89 5.072-14.936 15.656-.084 21.17 31.065 20.53 30.344 0-.36-10.265-7.92-15.576-15.407-15.656zm142.5 14.375c-1.917.044-3.975.614-6.124 1.842-13.747 7.867-1.69 27.8 11.344 19.657 10.997-6.873 5.14-21.743-5.22-21.5zm-64.686 25.967c-11.434.42-20.318 15.264-9.813 26.532C352.54 502.49 375.028 480.905 360 466c-3.757-3.727-7.845-5.202-11.656-5.063zm119.812.844c-10.358-.24-16.215 14.63-5.22 21.5 13.035 8.146 25.093-11.79 11.345-19.655-2.147-1.23-4.206-1.8-6.124-1.844z","fillRule":"evenodd"}}]})(props);
};
function GiPoloShirt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 33.978c-12.67 0-25.34 2.52-38.01 7.535 1.27 3.61 3.864 7.593 8.373 12.102C232.68 59.93 242.613 66.83 256 73.847c13.386-7.018 23.32-13.916 29.637-20.232 4.51-4.51 7.103-8.492 8.373-12.102-12.67-5.016-25.34-7.535-38.01-7.535zM201.88 49.1l-16.144 8.073c1.306 5.74 4.437 13.84 9.752 21.813 6.26 9.39 15.44 18.664 27.082 25.695l18.475-18.473c-11.317-6.394-20.465-12.923-27.408-19.866-5.34-5.34-9.265-11.148-11.756-17.24zm108.24 0c-2.492 6.092-6.417 11.9-11.757 17.24-6.943 6.944-16.09 13.473-27.408 19.867l18.475 18.474c11.64-7.03 20.823-16.305 27.082-25.694 5.315-7.973 8.446-16.072 9.752-21.813L310.12 49.1zm-140.6 17.775l-36.918 9.23-71.875 71.873L112 199.252l9.637-9.637 16.738-16.738L128 467.977c76.448 13.61 193.653 13.173 256 0l-10.375-295.1L400 199.252l51.273-51.274-71.875-71.873-36.92-9.23c-2.243 7.068-5.946 14.53-10.99 22.095-8.768 13.152-21.853 26.254-39.463 35.06l-5.802 2.9L265 105.706v122.27h-18v-122.27l-21.223 21.222-5.802-2.9c-17.61-8.806-30.695-21.908-39.463-35.06-5.044-7.566-8.747-15.027-10.99-22.095zM48 160.705l-19.273 19.273L80 231.252l19.273-19.274L48 160.705zm416 0l-51.273 51.273L432 231.252l51.273-51.274L464 160.705z"}}]})(props);
};
function GiPoncho (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M325.3 26.22c-15.1 11.32-27.1 20.28-37.5 26.52-11.1 6.69-21.2 10.7-31.8 10.7-10.7 0-20.7-4.01-31.9-10.7-10.4-6.23-22.5-15.19-37.6-26.5-2.8.53-8 1.82-14.7 4.59-1.4.57-2.9 1.21-4.4 1.86 6.6 6.19 18 16.71 31.2 27.26 10.3 8.19 21.5 16.32 31.9 22.23 10.4 5.92 20.1 9.29 25.5 9.29 5.4 0 15-3.37 25.4-9.28 10.3-5.91 21.5-14.05 31.8-22.23 13.3-10.66 24.9-21.27 31.3-27.43-1.5-.68-3-1.32-4.5-1.9-6.7-2.67-11.8-3.91-14.7-4.41zM361.7 41c-2.8 2.83-18 17.56-37.3 33.02-8.8 7.02-18.3 14.05-27.9 20.05L256 175l-40.6-80.83c-9.6-6.06-19.2-13.11-28-20.15-18.9-15.09-33.7-29.43-37.1-32.77-2.4 1.33-4.8 2.71-7.2 4.16-20.2 12.1-40.1 28.85-46.69 42.38C85.25 110.1 76.01 130.4 68 149.5l188 140.8 188-140.8c-8.1-19.1-17.2-39.4-28.4-61.72h-.1c-7.2-14.53-27-31.1-47.1-42.98-2.2-1.32-4.5-2.58-6.7-3.8zm-119.6 66.2l13.9 27.6 13.7-27.5c-4.5 1.4-9.1 2.2-13.7 2.2s-9.3-.8-13.9-2.3zM75.11 177.3l19.77 49.3 61.52 11.6zm361.69 0l-81.2 60.8 61.5-11.5zm-380.52 1.5c-2.54 6.6-4.99 13.2-7.31 19.6l23.01 19.5zm399.42 0L440 217.9l23-19.5c-2.3-6.4-4.8-13-7.3-19.6zM42.53 216.6c-3.76 10.9-7.36 21.6-10.94 32.3 18.47 18.4 60.96 60.7 106.81 102.5 24 21.9 48.5 43.2 69.9 60 19.8 15.5 37.2 26.7 47.7 31.1 10.5-4.4 27.9-15.6 47.7-31.1 21.4-16.8 45.9-38.1 69.9-60 45.8-41.8 88.3-84.1 106.8-102.5-3.6-10.7-7.2-21.5-11-32.3L256 397.1zM106.5 247l101.6 86-26-71.7zm299 0l-75.8 14.3-26.2 72zm-199 28.6l19 52.2 19.6-23.2zm98.8.2l-38.5 28.8 19.6 23.2zM45.76 288.3V335h18v-29.2c-6.37-6.1-12.46-12.1-18-17.5zm420.44 0c-5.5 5.4-11.6 11.4-18 17.5V335h18zM256 319.7L229.4 351l26.6 22.5 26.4-22.4zm-143.4 32.5V402h18v-33.3c-1.5-1.3-2.9-2.7-4.4-4-4.6-4.2-9.1-8.3-13.6-12.5zm286.4.3c-4.4 4.1-8.8 8.2-13.2 12.2-1.6 1.5-3.2 2.9-4.8 4.4V402h18zm-219.2 59.1v40.7h18v-26.2c-.2-.2-.4-.3-.6-.5-5.6-4.4-11.5-9.1-17.4-14zm152.2.1c-5.9 4.9-11.6 9.5-17.2 13.9-.3.2-.5.4-.8.6v26.1h18zm-85 46.7v27.4h18v-27.4c-2.1.9-4.2 1.7-6.2 2.4l-2.8 1-2.8-1c-2-.7-4.1-1.5-6.2-2.4z"}}]})(props);
};
function GiPoolDive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M28.334 73.395L27.974 119h44.253l.148-45.605zm83.064.607c-7 .032-14.026.5-21.029 1.4l-.06 18.18c40.373-5.803 82.33 5.102 112.847 28.281l10.887-14.334c-27.458-20.855-62.35-32.725-98.164-33.49a172.654 172.654 0 0 0-4.48-.037zm182.721 32.02c-8.56 22.911 4.684 28.188 14.328 35.248l-7.5 51.3c1.08 7.522 1.672 14.562 2.36 21.457-7.269-4.985-14.018-9.728-18.674-13.877-.644-21.422 8.355-45.777 1.724-68.054-13.897-4.587-21.546-7.33-43.546-16.684 8.24 24.369 13.955 26.664 28.718 29.164l-6.95 60.942c9.1 18.207 32.447 49.43 50.673 65.214 18.678 43.592 31.576 56.112 49.193 62.983 3.4 14.3 6.46 29.642 11.608 44.896l.674 1.998 1.492 1.49c14.814 14.805 38.777 29.985 56.79 37.44l6.886-16.633c-14.438-5.975-37.014-20.381-49.432-32.222-3.336-10.341-5.814-21.198-8.361-32.16a29.633 29.633 0 0 1-4.725-7.946c-5.63-13.976-.36-29.567 10.701-40.59-13.457-12.178-27.926-22.877-42.35-39.601-2.485-16.536-17.426-36.454-26.36-54.069 5.127-23.106 2.262-36.998 5.825-59.966-16.51-14.444-18.797-14.39-33.074-30.33zM27.832 137l-.363 46h44.549l.15-46zm-.504 64l-.363 46H71.81l.148-46zm-.506 64l-.361 46H71.6l.151-46zm396.76 28.938a24.27 24.27 0 0 0-1.453.01c-3.57.132-7.471 1.054-11.469 2.964-12.792 6.114-18.085 18.304-15.027 25.897 3.058 7.593 14.875 11.606 27.668 5.492 12.792-6.114 18.085-18.304 15.027-25.896-1.971-4.894-7.581-8.3-14.746-8.467zM26.318 329l-.363 46h45.44l.148-46zm371.293 18.672c5.194 6.91 10.885 13.322 16.545 19.076l.545.557.635.453c17.912 12.812 26.401 17.004 43.035 23.888l6.883-16.63c-16.076-6.654-22.055-9.52-38.734-21.407a172.842 172.842 0 0 1-5.08-5.443c-8.24 2.171-16.601 2-23.829-.494zM25.814 393l-.363 46h45.735l.15-46zm228.002 45.928c-22.528.281-44.042 31.567-61.816 32.072-24.52-5.482-41.618-31.482-64-32-14.4 1.853-27.028 6.58-38.857 13.041l-.07 21.596C101.832 465.304 116.295 457.37 128 457c24.52 5.482 41.618 31.482 64 32 23.32 1.84 45.652-31.478 64-32 24.52 5.482 41.618 31.482 64 32 23.32 1.84 45.652-31.478 64-32 24.52 5.482 41.618 31.482 64 32 17.604-1.708 33.913-9.867 47-18.18v-21.53c-12.258 7.892-33.21 21.274-47 21.71-24.52-5.482-41.618-31.482-64-32-23.32-1.84-45.652 31.478-64 32-24.52-5.482-41.618-31.482-64-32a23.976 23.976 0 0 0-2.184-.072zM25.31 457l-.237 30H71.03l.098-30z"}}]})(props);
};
function GiPopcorn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M209 19.39c-16.9 2.15-23 19.58-29.7 33.81-15.5-5.07-38.7-11.67-48.3-4-2.3 2.31-4.3 7.35-5 14.31-.6 6.95-.1 15.42 1 23.45 1.5 10.37 3.9 19.94 5.3 25.24 10.3 4.2 17.8 10.7 21.8 18.3 5.3 9.8 5 21.6-1.9 29.9l-13.8-11.6c1.5-1.8 2.3-5.3-.1-9.8-10.4-11.1-50.17-26.9-63.92-13.1-1.29 1.5-2.69 5-2.96 10.4-.26 5.3.52 12 1.79 18.3 1.65 8.5 3.64 14.8 5.09 19 108.4 15.5 151.1 21.4 208.3 18 1-4.5 2.8-11.6 5.7-19.8 4.6-12.8 10.3-27.7 23-35.4 11-5.5 22.9-3.9 33.4-1.5 2.3-6.4 6.2-13.4 10.9-16.7 12.8-7.3 28.8-2.1 41.7 1.9l-7.4 13.3c-7.5-3.8-17.1-5.5-24.2-.3-6.3 4.6-7.6 16.4-10.7 22.9-8.4-1.9-26.4-8.4-34.3-4.2-4.4 2.3-11.4 14.6-15.4 26-1.6 4.5-2.9 8.8-3.9 12.5 32.3-2.8 71-8.2 127.9-16 6.3-7 18-23.3 17-30.7-13-5.3-27.9-3-41.7-2.2 5.6-10.4 19.9-24.4 18.7-36.3-13.9-11.21-41-8.41-56.3-7.11-1.3-13.56-6.4-45.29-16.2-51.29-20.4-2.19-37.7 8.35-55.5 18.48-2.7-10.73-6.4-36.42-15.9-39.07-14.2-3.96-27.2 4.31-40.5 10.82-12.2-7.94-26.9-18.44-33.9-17.54zm173.2 39.86c1.9 6.38 3.4 13.3 4.5 19.59 10.2-.11 19.3.21 28.6 1.9-.9-7.53-2.4-17.9-8.5-22.35-8.6-3.56-16.8-1.65-24.6.86zm-174.7 4.14c15.3 6.11 20.1 24.04 22.9 37.61 11.6-5.08 26.8-9.48 37.1-3.66 14.9 10.86 16 33.96 15.9 48.86l-18-.4c-.5-10-.4-18.5-3.9-28-1.5-4.6-4.4-5.7-8.5-5.2-13.3 2.1-24.9 9.3-36.8 16.1-1.8-13.2-1.1-45.12-13.9-48.1-12.5-2.91-23.8 13.25-32.7 23.4l-13.8-11.63c11.8-12.27 33-34.25 51.7-28.98zM87.62 88.25c-.43 4.61 0 10.47.91 16.35 8.47.1 16.27 1.3 24.07 2.8-2.4-10.47-3.9-19.81-4.7-29.74-10.58-2.27-19.11-.87-20.28 10.59zM76.29 191.5L135.4 487H182l-13.9-139.1c-10.5-10-17.1-22.2-17.1-35.9 0-10.6 4-20.3 10.6-28.8l-8.1-81c-21.9-2.9-47-6.4-77.21-10.7zm359.31.7c-30.2 4.2-55.3 7.6-77.2 10.4l-8 80.6c6.6 8.4 10.6 18.2 10.6 28.8 0 13.7-6.6 25.9-17.1 35.9L330 487h46.6zm-263.7 12.3l6.4 63.5c1.7-1.2 3.5-2.3 5.3-3.4 17-9.9 39.1-16.1 63.4-17.4v-36.9c-22.6-.4-45.9-2.4-75.1-5.8zm168.1.3c-29 3.4-52.3 5.2-75 5.6v36.8c24.3 1.3 46.4 7.5 63.4 17.4 1.8 1.1 3.6 2.2 5.3 3.4zM256 265c-25.1 0-47.7 6-63.3 15.2C177 289.3 169 300.7 169 312s8 22.7 23.7 31.8C208.3 353 230.9 359 256 359c25.1 0 47.7-6 63.3-15.2C335 334.7 343 323.3 343 312s-8-22.7-23.7-31.8C303.7 271 281.1 265 256 265zm-68.4 96.6L200.2 487H247V376.8c-22.5-1.2-43-6.6-59.4-15.2zm136.7 0c-16.4 8.6-36.9 14-59.3 15.2V487h46.8z"}}]})(props);
};
function GiPopeCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 29.337v23h-23v18h23v30.71c3.042-.46 6.046-.71 9-.71 2.954 0 5.958.25 9 .71v-30.71h23v-18h-23v-23h-18zm9 89c-2.13 0-4.48.282-7 .805v309.8c4.678-.154 9.322-.154 14 0v-309.8c-2.52-.523-4.87-.805-7-.805zm-25.002 7.318c-17.49 8.458-38.558 23.73-58.012 43.12-30.294 30.198-57.61 69.585-68.416 103.308-18.06 56.354-1.17 117.767 28.424 178.756 43.848-10.937 72.82-17.792 98.004-20.583V125.655zm50.004 0v304.602c25.183 2.79 54.156 9.646 98.004 20.582 29.595-60.99 46.483-122.403 28.424-178.757-10.807-33.723-38.122-73.11-68.416-103.307-19.454-19.39-40.523-34.663-58.012-43.12zM256 446.337c-3.78 0-7.558.033-11.324.09-25.686 1.59-54.423 8.623-103.608 20.922l7.657 15.313c101.827-28.995 112.723-28.995 214.55 0l7.657-15.314c-49.185-12.3-77.922-19.333-103.608-20.923-3.766-.057-7.545-.09-11.324-.09z"}}]})(props);
};
function GiPoppy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M457.375 36.547c-9.446-.098-30.693 31.456-42.25 33.07-11.852 1.657-8.391-19.023-17.549-12.142-7.652 5.75-18.883 33.342-32.052 39.498-11.335 5.299-19.573-26.037-26.584-16.57-7.455 10.066-6.413 33.781-11.787 49.074.08.059.165.115.246.174 25.243 18.326 43.095 43.102 48.527 71.13 7.731-8.358 14.25-17.609 15.488-25.948 3.088-20.813 62.136-12.252 47.196-32.198-27.568-36.802 41.307-30.188 28.03-47.496-22.762-29.677 4.283-41.961-6.357-57.008-.764-1.08-1.748-1.572-2.908-1.584zM209.96 112.44c-8.417.033-16.663.575-24.691 1.568 1.777 12.851 3.217 26.112.22 37.14-6.884-6.133-12.132-24.14-15.921-34.564a190.896 190.896 0 0 0-19.315 5.024c2.709 10.222 9.794 31.755 7.389 40.432-9.178-3.486-19.573-22.29-26.504-33.147a160.552 160.552 0 0 0-16.07 8.338c5.024 11.3 18.825 27.709 18.431 40.469-14.497-3.407-26.127-18.53-36.117-28.094-23.318 19.192-36.823 43.744-36.78 70.262.036 21.102 8.66 40.889 23.958 57.674 15.388 1.964 37.95 4.248 49.459 13.189-9.8 9.368-45.209 8.725-66.89 10.291-15.33 17.915-23.444 38.361-23.487 59.184.132 63.935 74.729 115.532 166.617 115.246 91.889-.286 166.272-52.348 166.14-116.284-.109-23.522-10.514-46.44-29.83-65.705-17.446-3.716-49.414-1.485-61.6-10.539 13.87-7.179 35.467-8.298 51.895-7.453 14.634-16.664 22.841-36.111 22.807-56.762-.048-28.663-15.906-54.91-42.867-74.484-26.961-19.574-64.843-31.948-106.844-31.785zm2.498 129.728c23.385-.074 42.384 19.075 42.432 42.77.048 23.695-18.87 42.963-42.256 43.037-23.385.074-42.383-19.075-42.432-42.77-.048-23.694 18.87-42.962 42.256-43.037z"}}]})(props);
};
function GiPorcelainVase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304 30c-32 64-22.35 180.063 0 208 42.406 53.007 80 80 80 128 0 32-16 80-48 112v16H176v-16c-32.002-31.995-48-80-48-112 0-48 37.594-74.993 80-128 22.35-27.937 32-144 0-208 48-16 48-16 96 0z"}}]})(props);
};
function GiPortal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M298.736 21.016c-99.298 0-195.928 104.647-215.83 233.736-7.074 45.887-3.493 88.68 8.512 124.787-4.082-6.407-7.92-13.09-11.467-20.034-16.516-32.335-24.627-65.378-25-96.272-11.74 36.254-8.083 82.47 14.482 126.643 27.7 54.227 81.563 91.94 139.87 97.502 5.658.725 11.447 1.108 17.364 1.108 99.298 0 195.93-104.647 215.83-233.736 9.28-60.196.23-115.072-22.133-156.506 21.625 21.867 36.56 45.786 44.617 69.496.623-30.408-14.064-65.766-44.21-95.806-33.718-33.598-77.227-50.91-114.995-50.723-2.328-.118-4.67-.197-7.04-.197zm-5.6 36.357c40.223 0 73.65 20.342 95.702 53.533 15.915 42.888 12.51 108.315.98 147.858-16.02 54.944-40.598 96.035-79.77 126.107-41.79 32.084-98.447 24.39-115.874-5.798-1.365-2.363-2.487-4.832-3.38-7.385 11.724 14.06 38.188 14.944 61.817 1.3 25.48-14.71 38.003-40.727 27.968-58.108-10.036-17.384-38.826-19.548-64.307-4.837-9.83 5.676-17.72 13.037-23.14 20.934.507-1.295 1.043-2.59 1.626-3.88-18.687 24.49-24.562 52.126-12.848 72.417 38.702 45.923 98.07 25.503 140.746-6.426 37.95-28.392 72.32-73.55 89.356-131.988 1.265-4.34 2.416-8.677 3.467-13.008-.286 2.218-.59 4.442-.934 6.678-16.807 109.02-98.412 197.396-182.272 197.396-35.644 0-65.954-15.975-87.74-42.71-26.492-48.396-15.988-142.083 4.675-185.15 26.745-55.742 66.133-122.77 134.324-116.804 46.03 4.027 63.098 58.637 39.128 116.22-8.61 20.685-21.192 39.314-36.21 54.313 24.91-16.6 46.72-42.13 59.572-73 23.97-57.583 6.94-113.422-39.13-116.805-85.737-6.296-137.638 58.55-177.542 128.485-9.21 19.9-16.182 40.35-20.977 60.707.494-7.435 1.312-14.99 2.493-22.652C127.67 145.75 209.275 57.373 293.135 57.373z"}}]})(props);
};
function GiPortculis (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M98.156 22.656V438.53H79.72l30.53 58.064 30.53-58.063h-17.218v-63.467H152.5v-36.344h-28.938V269.06H152.5V232.75h-28.938v-69.625H152.5V126.78h-28.938V58.845H152.5V22.656H98.156zm73.03 0V438.53h-15.624l30.532 58.064 30.53-58.063h-17.718v-63.467h26.625v-36.344h-26.624V269.06h26.625V232.75h-26.624v-69.625h26.625V126.78h-26.624V58.845h26.625V22.656h-54.343zm73.033 0V438.53H230l30.53 58.064 30.533-58.063H272.5v-63.467h29.594v-36.344H272.5V269.06h29.594V232.75H272.5v-69.625h29.594V126.78H272.5V58.845h29.594V22.656H244.22zm76.56 0V438.53h-15.56l30.53 58.064 30.563-58.063h-17.907v-63.467h27.25v-36.344h-27.25V269.06h27.25V232.75h-27.25v-69.625h27.25V126.78h-27.25V58.845h27.25V22.656H320.78zm73.564 0V438.53h-14.688l30.563 58.064 30.53-58.063H422V22.657h-27.655z"}}]})(props);
};
function GiPortrait (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105 25v462h302V25H105zm30 30h242v402H135V55zm121 34c-23.3 0-44.6 12.5-60.7 33.9-16 21.4-26.3 51.6-26.3 85.1 0 33.5 10.3 63.7 26.3 85.1 16.1 21.4 37.4 33.9 60.7 33.9 23.3 0 44.6-12.5 60.7-33.9 16-21.4 26.3-51.6 26.3-85.1 0-33.5-10.3-63.7-26.3-85.1C300.6 101.5 279.3 89 256 89zm-64 110h128v18H192v-18zm48 48h32v18h-32v-18zm-39.7 77.2c-5.1 1.9-10 3.9-14.6 6-10.5 4.8-19.5 10-25.4 14.7-5.9 4.6-7.3 9.1-7.3 7.1v87h206v-87c0 2-1.4-2.5-7.3-7.1-5.9-4.7-14.9-9.9-25.4-14.7-4.6-2.1-9.5-4.1-14.6-6-16 13.1-35.1 20.8-55.7 20.8s-39.7-7.7-55.7-20.8z"}}]})(props);
};
function GiPortugal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M182.6 55.13l66-34.5-7.5 30.75 117.8-10.07-14 39.94 33.1-2.34c-47 52.19-45.7 119.19-60.8 178.49l-39.8-.7 40.5 57c-14.5 61.6-21 113.2-27.7 165-35.8 10.6-74.9 15.9-120.7 10.5 24.6-43 19.6-86 26.2-129l-33 .7-25.5-33.7c30.1-84.1 76-176.6 45.4-272.07z"}}]})(props);
};
function GiPositionMarker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 17.108c-75.73 0-137.122 61.392-137.122 137.122.055 23.25 6.022 46.107 11.58 56.262L256 494.892l119.982-274.244h-.063c11.27-20.324 17.188-43.18 17.202-66.418C393.122 78.5 331.73 17.108 256 17.108zm0 68.56a68.56 68.56 0 0 1 68.56 68.562A68.56 68.56 0 0 1 256 222.79a68.56 68.56 0 0 1-68.56-68.56A68.56 68.56 0 0 1 256 85.67z"}}]})(props);
};
function GiPostStamp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196.7 18c-.4 1.79-.9 3.57-1.6 5.3-4.1 10.64-13.7 18.25-25 19.97l-3.1 8.04c7.2 8.9 9 21 4.9 31.62-4.2 10.62-13.7 18.27-25 19.97l-3.1 8c7.1 8.9 8.9 21 4.8 31.7-4.1 10.6-13.7 18.2-25 19.9l-3.1 8.1c7.2 8.9 9 21 4.8 31.6-4.1 10.6-13.6 18.3-24.9 20l-3.2 8c7.2 8.9 9 21 4.9 31.6-4.2 10.6-13.7 18.3-24.98 20l-3.13 8c7.15 8.9 8.99 21 4.84 31.6a31.821 31.821 0 0 1-24.97 20l-3.12 8c7.15 8.9 8.98 21 4.84 31.7-1.23 3.1-2.94 6-5.03 8.6l4.2 9.9c3.36.2 6.71.9 9.92 2.2 10.62 4.1 18.28 13.7 20 24.9l8.03 3.2c8.9-7.2 21-9 31.6-4.9 10.6 4.2 18.3 13.7 20 25l8 3.1c8.9-7.1 21-9 31.6-4.8 10.6 4.1 18.3 13.7 20 25l8 3.1c8.9-7.2 21-9 31.6-4.9 9.9 3.9 17.1 12.3 19.5 22.5h19.3c6-1.8 12.5-1.8 18.5 0h21.1c.3-2.8 1-5.6 2-8.3 4.1-10.6 13.7-18.3 25-20l3.1-8c-7.2-8.9-9-21-4.9-31.6 4.2-10.6 13.7-18.3 25-20l3.1-8c-7.1-8.9-8.9-21-4.8-31.7 4.1-10.6 13.7-18.2 25-19.9l3.1-8.1c-7.2-8.9-9-21-4.8-31.6 4.1-10.6 13.6-18.3 24.9-20l3.2-8c-7.2-8.9-9-21-4.9-31.6 4.2-10.6 13.7-18.3 25-20l3.1-8c-7.1-8.9-9-21-4.8-31.6a31.66 31.66 0 0 1 24.9-20l3.2-8.1c-7.2-8.9-9-20.9-4.9-31.6 1.8-4.4 4.5-8.4 7.8-11.5l-2.9-7.1c-4.7.4-9.5-.3-14-2.1-10.6-4.1-18.3-13.65-20-24.95l-8-3.12c-8.9 7.15-21 8.98-31.6 4.84-10.6-4.14-18.3-13.68-20-24.97l-8-3.13c-8.9 7.16-21 8.99-31.6 4.85-10.6-4.15-18.3-13.68-20-24.98l-8-3.12c-8.9 7.15-21 8.98-31.6 4.84-8.9-3.45-15.7-10.63-18.6-19.46zm22.4 31.83l208.7 81.37-127.9 328-208.7-81.4zM340 118.2l-6.5 16.8 59.6 23.3 6.5-16.8zm-73.2 20.3c-31.8.5-61.3 19.3-73.2 49.9-21.9 58.1 21.6 92.8-44.2 146.3l93.7 36.5c.5-5.3 10.5-33.2 19.1-31.9 0 0 34.7 17 47.6 7.5 5.2-4.1 2.5-19.9 2.5-19.9l11-1.6-1.8-8.5 7.2-2.5-1.8-9.5 24-7.8c2.2.5-5.9-28.5-11.9-34.7 2.9-4.5 5.6-9.3 7.5-14.2 15.9-40.8-5.3-87.3-47.7-103.8-10.5-4.1-21.4-6-32-5.8zM127.3 351.3l-6.5 16.7 44.7 17.5 6.5-16.8z"}}]})(props);
};
function GiPotato (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M320.215 21.637c-2.32-.012-4.623.045-6.91.17-32.634 1.785-59.5 19.06-83.037 43.379 2.66-.203 5.282-.29 7.869-.272 12.174.086 23.67 2.211 35.773 2.51-28.033 6.9-52.033 20.858-75.193 36.285-21.288 29.627-40.322 62.404-59.662 89.459-22.086 30.895-53.902 64.744-77.914 99.598.732 14.082 5.978 28.164 10.498 42.246-10.128-4.49-21.515-8-26.453-16.526-16.766 30.855-24.257 62.116-10.663 92.473 31.167 69.595 149.454 92.973 219.778 63.488 5.424-2.274 9.834-5.623 13.53-9.746-15.474-.212-25.976-9.537-37.894-16.27 12.813-1.045 32.757 4.492 47.43 1.155 9.07-19.614 12.663-45.32 24.451-63.047 6.987-10.507 15.425-20.486 24.786-30.111-15.095 2.587-30.333 2.536-48.14.218 46.165-16.967 65.593-25.21 101.278-46.933 55.884-45.05 113.382-88.332 106.217-151.762-7.97-70.553-93.85-135.937-165.744-136.314zm6.652 31.574a5.619 16.856 69.574 0 1 4.979 2.01 5.619 16.856 69.574 0 1-13.836 11.148 5.619 16.856 69.574 0 1-17.756.617 5.619 16.856 69.574 0 1 13.834-11.148 5.619 16.856 69.574 0 1 11.928-2.623 5.619 16.856 69.574 0 1 .851-.004zm36.82 17.363c54.03 22.09 96.302 101.116 73.745 147.49.822-37.224-46.562-114-73.745-147.49zm-75.648 31.768c2.745.04 5.425.272 8.02.709-42.065 23.811-82.712 49.368-113.133 87.52 7.984-46.066 63.938-88.826 105.113-88.23zm-85.664 131.93a24.458 7.659 19.293 0 1 18.674 3.771 24.458 7.659 19.293 0 1 20.056 15.289 24.458 7.659 19.293 0 1-26.005-1.146 24.458 7.659 19.293 0 1-20.057-15.291 24.458 7.659 19.293 0 1 7.332-2.624zm76.748 136.412a5.619 16.856 69.672 0 1 4.975 2.017 5.619 16.856 69.672 0 1-13.856 11.125 5.619 16.856 69.672 0 1-17.758.586 5.619 16.856 69.672 0 1 13.856-11.123 5.619 16.856 69.672 0 1 11.93-2.603 5.619 16.856 69.672 0 1 .853-.002zM73.5 377.912c7.648 24.831 39.04 43.702 66.549 68.533-32.365-5.93-76.158-14.548-66.549-68.533z"}}]})(props);
};
function GiPotionBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M94.055 21.9L18.998 96.96l42.727 23.6-26.98 26.952L142.35 212.39c-40.443 70.148-30.72 161.07 29.2 220.958 71.605 71.606 187.737 71.587 259.356 0 71.62-71.587 71.642-187.654.037-259.22-59.915-59.878-150.896-69.57-221.084-29.177L144.95 37.415l-8.44 8.432-18.588 18.57L94.055 21.9zm47.224 45.598l62.337 103.275 8.098-5.248c44.21-28.663 99.014-34.044 147.166-16.078-1.16-.026-2.328-.04-3.503-.04-38.988 0-70.594 14.807-70.594 33.073 0 18.27 31.606 33.075 70.594 33.075 31.53 0 58.225-9.684 67.287-23.05 15.942 17.34 27.492 37.224 34.65 58.253-7.76-3.387-18.28-6.706-30.902-9.563-31.383-7.1-75.547-11.615-124.305-11.615-48.757 0-92.92 4.514-124.304 11.615-13.71 3.102-24.997 6.75-32.893 10.438 4.34-12.997 10.343-25.568 18.018-37.383l5.263-8.104-103.33-62.3 13.894-13.88 46.937 25.923 27.914-27.915-26.18-46.635 13.855-13.842zm-1.087 201.287c.482.28.982.56 1.506.84 7.89 4.22 20.41 8.487 36.103 12.037 31.383 7.1 75.547 11.615 124.304 11.615 48.758 0 92.922-4.514 124.305-11.615 15.687-3.55 28.203-7.813 36.094-12.033 1.236 5.837 2.153 11.727 2.746 17.643-9.432 4.277-21.204 7.893-35.074 11.032-33.205 7.513-78.27 12.037-128.07 12.037-49.802 0-94.866-4.524-128.07-12.037-14.67-3.32-27-7.17-36.69-11.776.625-5.952 1.57-11.876 2.845-17.745z"}}]})(props);
};
function GiPotionOfMadness (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M81.03 27.05L54 54.09 26.97 81.14l19.25 17.4 52.31-52.23zm47.07 17.81c-8.9.1-16.8 6.78-19.8 9.62L54.39 108.4c-4.35 4.5-17.6 20.6-2.81 34.1 13.63 11.9 26.26 1.2 30.21-2.7.77-.7 1.16-1.3 1.16-1.3S158.1 201.4 186.9 241c7.3 13.2 12.6 25.7 12.6 41.4-8.7 81.8-32.6 103.5-24.3 111 73.7 73.8 162.6 91.5 162.6 91.5l73.5-73.5 73.7-73.6s-18-88.7-91.7-162.6c-7.6-8.1-29.3 15.8-111 24.4-15.8 0-28.3-5.2-41.4-12.6-30.8-22.5-75.7-73-94.2-94.05l-14.8 14.65c13.2 14.9 50.2 55 86.7 86.6-7.4-1.9-17.9 4.4-17.9 4.4-13.8-10.9-67.5-63.6-81-79.1l-9.2 9.5-8.9-8.9 36.9-37.06s.3-.37 1.2-1.14c3.8-3.96 14.5-16.59 2.9-30.22-4.7-5.09-9.7-6.86-14.5-6.82zM386.7 190.3h.1c20.9 22.4 38.4 46.5 52.2 71.9 12.5 23.4 21.8 48 27.6 73L335.2 466.8h-.2c-24.8-5.9-49.4-15.1-72.9-27.9-25.6-13.6-49.6-31-72-51.9V386.7c16.1-38.5 30.7-89.8 23.5-118.9l-.2-.4.3.1c13.7 5.3 35.9-17 36.3-17.4.3-.3 22.7-22.5 17.5-36.1l-.2-.4.4.1c28.9 7.1 80.3-7.4 119-23.4zm-135.8 18.2c2 0 3.6.5 4.8 1.7 5.5 5.5-3.3 20.2-14.4 31.3-11 11-25.6 19.8-31.1 14.3-5.6-5.4 3.1-20.3 14.3-31.2 8.6-8.7 19.4-15.9 26.4-16.1zm85 24c-7.9 0-16.2 1.3-24.9 4.5-32.4 14.1-8.3 49.6 21.6 54.2 27.3 4.4 69.7-6 58.5-30-5.5-11.8-27.1-28.8-55.2-28.7zm-79.1 63.2c-7.8-.1-15.2 4.4-20.1 15.5-14.4 39.5 9.3 73 24.4 79.9 24 11.3 34.4-31.1 30-58.4-3-19.6-19.4-36.7-34.3-37zm153.3 6.4c-14.8.2-38.5 7.3-69.5 38.4-55.4 55.1-34.9 87.5-34.9 87.5 11.3 25 39.2 29.7 57.1-17.1 5.2-13.6 6.6-21 16.9-31.2 10.1-10.1 17.6-11.6 31.1-16.7 46.8-18 42.1-46 17-57.1 0 0-6.1-4-17.7-3.8zm-78.5 3c-3.8 0-7 1.1-8.8 4.2-5 10.6 13.5 11.8 29.9 8.9 6.5-1.6-9.7-12.8-21.1-13.1zm-19 17c-1-.1-2.2.2-3.5.8-12.4 7 6.8 38.5 9 29.9 2.4-14.3 1.8-30.3-5.5-30.7z"}}]})(props);
};
function GiPounce (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196 16l60 60 60-60H196zm-30 90l90 90 90-90H166zm-30 120l120 120 120-120H136zm121.75 150.03A60 60 0 0 0 196 436a60 60 0 0 0 120 0 60 60 0 0 0-58.25-59.97z"}}]})(props);
};
function GiPouringChalice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M228.223 21.195c-.69.007-1.367.026-2.036.055-10.698.47-18.53 3.562-24.062 9.094-46.247 46.247-64.492 89.795-64.344 129.062.15 39.268 18.763 75.295 49.845 106.375 30.724 30.723 69.188 47.024 110.063 45.94 31.945-.85 65.598-12.347 98.27-36.824-1.063-1.837-2.15-3.646-3.276-5.394-10.605-16.437-24.044-28.604-36.274-34.766-.003 0-.006-.002-.01-.004-2.334-.888-4.714-1.882-7.134-2.976l-1.344-.445-.47-.414c-22.307-10.453-47.853-29.242-72.52-53.91-23.78-23.78-42.1-48.52-52.774-70.156-5.336-10.82-8.82-20.845-9.84-30.15-1.02-9.306.608-18.744 7.17-25.307 4.922-4.922 11.462-7.07 18.35-7.404 2.296-.113 4.63-.024 6.957.23 9.305 1.022 19.334 4.507 30.152 9.843 21.638 10.673 46.375 28.992 70.155 52.77 20.19 20.192 36.426 41.098 47.408 60.166 10.354 2.306 19.776 6.258 28.254 11.56-11.875-26.925-32.735-57.202-60.7-85.165-31.504-31.503-65.977-54.003-95.25-64.78-13.72-5.054-26.26-7.5-36.59-7.4zm224.78 134.858c-8.156 0-14.767 6.61-14.767 14.765 0 8.156 6.61 14.766 14.766 14.766 8.155 0 14.766-6.61 14.766-14.766 0-8.154-6.61-14.765-14.766-14.765zm-131.15 27.277l35.82 31.658c18.85 6.934 36.815 22.84 50.714 44.38 14.405 22.33 24.3 50.874 24.3 82.232v42.312c-2.678-3.76-7.063-6.223-12.03-6.223-8.156 0-14.766 6.61-14.766 14.765 0 8.156 6.61 14.766 14.766 14.766 4.968 0 9.353-2.46 12.03-6.222v93.088h32.277v-21.158c2.658 1.303 5.637 2.054 8.797 2.054 11.067 0 20.04-8.972 20.04-20.04s-8.973-20.04-20.04-20.04c-3.16 0-6.14.752-8.797 2.055V341.6c0-40.176-6.675-80.88-21.86-110.422-15.184-29.544-37.235-47.848-72.166-47.848h-49.085zm-164.072 77.2l-27.06 12.72.218.22c-3.374 3.36-3.612 5.753-1.563 11.592 2.05 5.84 7.55 13.72 15.22 21.375 7.492 7.483 15.54 12.637 21.686 14.625 6.148 1.99 8.97 1.4 11.376-1l.094.094 12.625-26.875c-5.527-4.4-10.858-9.17-15.97-14.28-5.936-5.937-11.49-12.096-16.624-18.47zm-128 16.376c-4.147.122-6.81 1.282-8.374 2.844-1.952 1.953-3.558 5.7-3.5 12.188.058 6.488 1.904 15.2 5.72 24.968 7.63 19.535 22.975 43.288 44.718 65.03 21.743 21.745 45.758 37.354 65.594 45.252 9.917 3.948 18.778 5.924 25.375 6.062 6.596.138 10.365-1.428 12.25-3.313 2.485-2.485 3.91-7.837 1.718-17.656-1.543-6.92-4.898-15.422-9.81-24.717-10.077 6.655-23.1 6.935-35.064 3.062-14.03-4.542-28.03-14.195-40.906-27.063-12.703-12.694-22.842-26.034-27.72-39.937-4.203-11.987-3.644-25.438 3.72-36.03-9.252-4.857-17.694-8.16-24.563-9.658-3.652-.795-6.667-1.104-9.156-1.03zM109.97 283l-25.564 12-4.625 2.188-.124-.094c-5.077 5.687-5.392 11.384-2.25 20.344 3.352 9.556 11.82 21.42 23.313 32.906 11.318 11.31 23.5 19.284 33.436 22.5 9.1 2.946 15.123 2.408 19.78-1.406l-.155-.25 2.19-4.625 12.25-26.094c-2.612-.273-5.208-.824-7.69-1.626-10.238-3.312-20.103-10.15-29.155-19.188-8.878-8.864-16.05-18.217-19.625-28.406-.925-2.634-1.534-5.42-1.78-8.25zm275.286 27.602c-11.067 0-20.04 8.97-20.04 20.04 0 11.068 8.973 20.04 20.04 20.04 11.067 0 20.04-8.972 20.04-20.04 0-11.07-8.973-20.04-20.04-20.04z"}}]})(props);
};
function GiPouringPot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M182.9 50.88c-7 .1-13 .66-17.4 1.65-7.2 1.55-9 3.81-9.2 4.18-.1.37-.2 3.18 4.3 8.56 4.5 5.33 12.7 12.04 23.6 18.97 8 5.07 17.4 10.3 28.1 15.49 11.6-20.48 95.1-14.59 131.1-9.62-14.4-6.21-30.2-12.22-47.1-17.69-37.6-12.2-73.2-19.36-99.5-21.11-5-.34-9.6-.47-13.9-.43zm-29 33.55l-2.2 24.37c5.7 2 11.4 4.5 16.9 7.3l8.6 4.5-27.6 44.9-5.7-.7s-15.2-1.8-31.7-1.1c-17.71 21.7-25.94 38-28.75 63.2 11.01 12.7 20.05 20.8 31.35 30.2l-5.9 66.1c-8-2.7-16.86-5.8-23.66-9.2.46 4.3.95 8.6 1.48 12.8 5 39.6 11.53 69.3 12.68 74.4 51.3 30.6 108.8 49.4 170.8 59.9 4.2-3.2 28.8-21.9 58-49.5 31.8-29.9 65.7-68.7 75-98.2 4.2-13.5 1.7-39.7-2.9-61.5-4.6-21.8-10.5-39.5-10.5-39.5l-1-2.9 10.5-29.7c-5.4-7.4-13.5-12.5-20-15.6l-5.4-.3c-28.6-1.9-65.3-9.4-104.1-22s-72.5-27.9-96.1-42.87c-7.7-4.89-14.3-9.73-19.8-14.6zm226 23.87c-5.8 0-11.7.5-17.6 1.3-17.3 2.7-33.7 9.3-46.6 19.8 8.7 1.2 19.5 2.9 31 5.5 13 2.9 26.6 6.9 38.6 12.3s22.8 12.3 28.9 22.8c9.7 16.6 24.3 38.6 36.6 50 6.2 5.6 11.5 7.8 13.1 7.7.8-.1 1.2-.1 2.3-1.2 1.2-1.2 2.9-3.8 4.4-8.4 12.7-37.3-11.3-81.7-42.2-98.4-13.6-7.4-30.9-11.4-48.5-11.4zm-279.3 10c-6.69.1-13.26.7-19.56 1.9-25.21 4.7-45.62 17.4-54.82 36.7-11.12 23.2-6.44 54.6 9.01 83 13.41 24.7 34.72 46.4 58 58l2.99-33.2c-19.48-16.4-32.82-31.6-39.43-47.4-7.05-16.8-5.68-34.4 2.95-50.6 4.75-8.9 13.49-13.6 22.51-16.4 9.02-2.9 18.95-4 28.25-4.5 13.7-.7 23.9.1 29.8.7l11.3-18.5c-15.3-6.4-31.9-9.6-47.8-9.7zM466 260.7c-.7 0-1.3.1-2 .2-11.4 1.9-17.9 19.8-14.4 39.9 3.5 20.1 15.6 34.7 27 32.7s17.8-19.9 14.3-39.9c-3.2-18.7-14-32.9-24.9-32.9zm-18 93.8c-8.7.1-15 10.7-14.1 23.6.9 12.9 8.7 23.3 17.4 23.2 8.7-.1 15-10.6 14.1-23.5-.9-13-8.7-23.4-17.4-23.3z"}}]})(props);
};
function GiPowderBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.277 49.734c-2.62.041-6.815 1.224-11.93 3.514a17.207 7.023 0 0 1 9.776 6.328 17.207 7.023 0 0 1-17.207 7.024 17.207 7.023 0 0 1-11.764-1.905C209.45 73.21 196.55 84.824 184.19 98.053a320.764 320.764 0 0 0-8.486 9.465 17.383 7.023 0 0 1 2.162-.061 17.383 7.023 0 0 1 17.383 7.023 17.383 7.023 0 0 1-17.383 7.024 17.383 7.023 0 0 1-12.043-1.961c-13.947 17.804-25.844 36.769-32.949 53.668 76.83 14.609 164.951 13.553 245.846-2.998a136.123 136.123 0 0 0-3.05-7.236 17.207 6.321 0 0 1-7.648.666 17.207 6.321 0 0 1-17.207-6.32 17.207 6.321 0 0 1 17.207-6.321 17.207 6.321 0 0 1 1.67.035c-9.845-17.99-23.973-37.284-39.869-53.937-26.565-27.833-58.413-47.666-77.545-47.366zm22.887 19.846a16.68 6.145 0 0 1 16.68 6.147 16.68 6.145 0 0 1-16.68 6.144 16.68 6.145 0 0 1-16.682-6.144 16.68 6.145 0 0 1 16.682-6.147zm30.24 30.553a17.032 6.848 0 0 1 17.032 6.847 17.032 6.848 0 0 1-17.032 6.848 17.032 6.848 0 0 1-17.033-6.848 17.032 6.848 0 0 1 17.033-6.847zm-66.01 21.732a17.207 7.023 0 0 1 17.208 7.024 17.207 7.023 0 0 1-17.207 7.023 17.207 7.023 0 0 1-17.208-7.023 17.207 7.023 0 0 1 17.208-7.024zm-38.878 36.862a17.558 6.145 0 0 1 17.558 6.146 17.558 6.145 0 0 1-17.558 6.145 17.558 6.145 0 0 1-17.559-6.145 17.558 6.145 0 0 1 17.559-6.146zM415.7 179.99c-101.432 26.783-217.263 28.653-313.322 4.942-6.366 7.485-11.92 14.281-15.14 20.95-3.207 6.642-4.611 13.463-3.442 22.624 114.282 25.958 238.56 19.65 354.236-1.145 1.341-6.883.324-13.535-3.064-21.03-3.698-8.182-10.45-17.087-19.268-26.34zm12.475 67.444c-22.169 3.756-44.64 6.973-67.299 9.533 9.987 41.576 21.847 88.953 17.504 132.32l-.627 6.27-6.106 1.554c-69.25 17.638-143.772 31.434-213.847-.533l-4.45-2.03-.716-4.837c-6.678-44.986 7.134-88.257 14.287-129.727-24.576-2.363-48.964-5.914-73.014-10.812-23.499 57.882-36.37 128.892-30.6 193.193-9.877 10.265-19.446 23.452-14.283 32.338 9.089 15.64 42.849 7.49 63.166.826 92.869 21.634 200.545 19.366 289.645 1.428 18.46 6.644 59.675 19.048 69.879 1.488 4.919-8.464-3.534-20.834-12.885-30.863 10.216-69.613-9.937-139.25-30.654-200.148zm-85.36 11.443c-52.318 5.06-105.437 6.424-157.886 2.61-6.964 41.9-19.185 82.09-14.928 120.673 60.582 25.618 126.129 15.173 190.785-.94 2.266-38.082-8.411-82.252-17.97-122.343z"}}]})(props);
};
function GiPowder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.28 71.406c-12.493.18-23.276 7.03-35.31 16.313C160.78 137.22 81.93 205.86 59.874 254c-8.294-11.01-37.188-8.578-37.188 6.656 0 13.07 20.105 16.687 31.594 11.094-.615 4.334-.52 8.38.345 12.125-6.367 1.883-11.28 5.995-11.28 12.28 0 13.762 22.29 17.075 33.343 10.158 5.03 2.766 10.308 5.383 15.812 7.812-.82 1.512-1.25 3.237-1.25 5.156 0 11.616 15.868 15.766 27.47 12.626-.146.71-.22 1.472-.22 2.25 0 18.294 39.406 18.13 39.406 0 0-.147-.026-.293-.03-.437 14.275 2.734 29.115 4.778 44.28 6.155 3.003 14.32 32.657 14.91 38.25 2.063 15.032.29 30.163 0 45.156-.875-.136.693-.25 1.43-.25 2.187 0 14.17 23.653 17.252 34.313 9.5 11.71 17.38 56 14.1 56-9.375 0-2.304-.407-4.408-1.188-6.313 9.565 4.504 22.57 5.225 33.25 2.157 2.438 16.508 39.282 15.748 39.282-1.783 0-9.43-10.643-13.827-20.876-13.406.577-1.795.906-3.732.906-5.81 0-1.85-.26-3.57-.72-5.19 5.083-1.994 9.978-4.1 14.658-6.28 12.24-5.705 17.59-14.928 17.687-26.563 11.533 5.37 31.313 1.566 31.313-11.28 0-14.457-25.064-17.168-35.22-8.657-18.55-51.64-99.242-128.954-160.78-175.188-13.177-9.9-23.94-13.796-33.657-13.656zM479.314 302.5c-9.854.043-19.72 4.577-19.72 13.47 0 18.293 39.407 18.13 39.407 0 0-9.066-9.834-13.513-19.688-13.47zM34.97 314.063c-9.854.043-19.72 4.576-19.72 13.468 0 18.296 39.406 18.13 39.406 0 0-9.064-9.834-13.51-19.687-13.467zM80.374 342.5c-10.71.047-21.43 4.817-22.156 14.156-10.41-.53-21.5 3.978-21.5 13.406 0 17.342 35.404 18.098 39.093 2.688 12.385 1.59 26.75-3.445 26.75-15.063 0-10.204-11.096-15.236-22.188-15.187zm89.22 10.406c-6.657.03-13.32 2.1-16.94 6.188-13.492-2.84-30.874 2.275-30.874 15.094 0 19.417 37.687 21.175 45.157 5.718 10.654.872 22.344-3.65 22.344-13.53 0-9.066-9.833-13.513-19.686-13.47zm89.186 1.625c-9.852.044-19.717 4.578-19.717 13.47 0 18.294 39.437 18.13 39.437 0 0-9.065-9.866-13.512-19.72-13.47zm210.626 6.064c-12.95.056-25.906 6.03-25.906 17.72 0 24.043 51.78 23.826 51.78-.002 0-11.913-12.923-17.775-25.874-17.718zm-75.187 7.125c-9.854.042-19.72 4.575-19.72 13.467 0 18.295 39.438 18.13 39.438 0 0-9.064-9.866-13.51-19.72-13.468zm-181.283 13.75c-11.298.048-22.593 5.24-22.593 15.436 0 12.487 16.006 17.455 28.97 15.063 6.844 18.704 50.905 16.82 50.905-5.158 0-15.218-21.107-20.517-36.376-16.28-3.558-6.105-12.228-9.1-20.906-9.063zm121.844 6.936c-6.21.027-12.443 1.842-16.186 5.406-11.597-4.94-30.78-1.042-30.78 11.375-.002 14.898 26.137 17.537 35.842 8.22 11.597 5.024 30.813 1.126 30.813-11.532 0-9.065-9.836-13.512-19.69-13.47zM94.44 390.97c-11.3.048-22.626 5.24-22.626 15.436 0 20.978 45.22 20.79 45.22 0 0-10.394-11.296-15.487-22.594-15.437zM429.5 404.81c-11.092.05-22.188 5.146-22.188 15.157 0 20.594 44.375 20.41 44.375 0 0-10.206-11.095-15.206-22.187-15.158zm-270.656 1.844c-11.3.05-22.594 5.24-22.594 15.438 0 20.978 45.188 20.79 45.188 0 0-10.395-11.296-15.487-22.594-15.438z","fillRule":"evenodd"}}]})(props);
};
function GiPowerButton (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M228.576 26.213v207.32h54.848V26.214h-54.848zm-28.518 45.744C108.44 96.58 41 180.215 41 279.605c0 118.74 96.258 215 215 215 118.74 0 215-96.26 215-215 0-99.39-67.44-183.025-159.057-207.647v50.47c64.6 22.994 110.85 84.684 110.85 157.177 0 92.117-74.676 166.794-166.793 166.794-92.118 0-166.794-74.678-166.794-166.795 0-72.494 46.25-134.183 110.852-157.178v-50.47z"}}]})(props);
};
function GiPowerGenerator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M239.283 27.155l-29.615 59.229-12.412-37.23L153 71.281v20.125l33.742-16.87 19.59 58.767 34.387-68.77 47.998 80 35.308-70.613L359 91.407V71.282l-43.025-21.511-28.694 57.384zM89 70.845v46h46v-46zm288 0v46h46v-46zm-304 64v302h94v-112h178v112h94v-302h-79.973l-32 128H184.973l-32-128zm101.027 10l4.5 18h154.946l4.5-18zm8.5 34l4.5 18h137.946l4.5-18zm208.473 27c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm-336 .816l-30 20v146.184h30zm136.027 6.184l4.5 18h120.946l4.5-18zm199.973 57c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm66 57v46h30v-46zm-66 7c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm-206 9v46h17.438L224 345.72l34.467 68.931 9.804-9.806H327v-62zm39 43.127l-10.438 20.873H185v46h142v-30h-51.271l-22.194 22.193zm233 4.873v46h30v-46zm-390 64l-40 30h108v-30zm310 0v30h108l-40-30z"}}]})(props);
};
function GiPowerLightning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M29.805 29.777L242.14 209.55H118.712l112.54 86.784H95.995l225.656 174.012-81.537-116.05 66.487.143 179.185 138.175-171.96-244.746h84.568L248.082 29.776H29.805z"}}]})(props);
};
function GiPowerRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M102.6 34.33c-7.03 7-19.03 19.24-32.07 34.6 25.53 3.3 56.47 11.09 84.97 19.76 18.8 5.72 36.4 11.81 50.2 17.41 7 2.8 13 5.5 17.9 7.9 4.9 2.5 8.4 4.4 11.6 7.6l-12.6 12.8c-.1-.1-3-2.2-7.2-4.3-4.1-2.1-9.8-4.6-16.4-7.3-13.2-5.3-30.4-11.3-48.7-16.9-32.4-9.84-68.89-18.34-93.24-20.24-9.14 12.07-17.4 24.64-22.72 35.84 63.22 13.9 134.16 40.1 173.46 79.3l3.4 3.4-1 4.8s-3 15.4-3 33.8 3.8 38.8 13.5 48.5c9.7 9.8 30.2 13.6 48.6 13.6 18.4 0 33.8-3 33.8-3l4.8-1 3.4 3.4c39.2 39.3 65.4 110.1 79.3 173.4 11.2-5.3 23.7-13.6 35.8-22.7-1.9-24.4-10.3-60.8-20.2-93.1-5.6-18.4-11.6-35.6-16.9-48.8-2.7-6.6-5.2-12.3-7.3-16.4-2.1-4.2-4.2-7.1-4.3-7.2l12.8-12.6c3.2 3.2 5.1 6.7 7.6 11.6 2.4 4.9 5.1 10.9 7.9 17.9 5.6 13.8 11.7 31.4 17.4 50.2 8.6 28.4 16.4 59.4 19.7 85 15.4-13.1 27.6-25.1 34.6-32.1-12.7-64.7-26.1-151.4-62.6-212.2l-1.8-3 .7-3.4s3-15.4 3.1-33.8c0-8.3-.8-17-2.5-25 1.6 11-.2 23.4-4.4 36-7.6 22.8-23.4 47.5-45.6 69.8-22.3 22.2-47 38-69.8 45.6-22.8 7.6-45.2 7.3-59.4-6.9-14.1-14.1-14.5-36.6-6.8-59.3 7.5-22.8 23.3-47.5 45.6-69.8 22.3-22.3 46.9-38.1 69.8-45.6 12.3-4.19 24.6-5.97 35.4-4.51C371.6 95.74 363.1 95 355 95c-18.4 0-33.8 3.06-33.8 3.06l-3.5.68-2.9-1.79c-60.9-36.55-147.5-49.9-212.2-62.62zM371.9 115c-6.4-.1-13.9 1.2-22.3 4-14.2 4.7-30.3 13.7-46 26.3 5.1-3.1 10.2-5.7 15.2-7.8 7.9-3.2 15.4-5.1 22.5-5.2 7.2 0 14.5 2 19.7 7.3 1.7 1.7 3 3.5 4.1 5.5-9-3.9-19.5-1.8-26.4 5.1-9.4 9.4-9.4 24.6 0 34 5.3 5.2 12.6 7.7 20 6.8-6.8 13-17 26.6-29.9 39.4-15.9 16-33 27.8-48.6 34.3-7 2.9-13.7 4.7-20.2 5 7.6 1.5 17.4.6 29.1-3.3 19.4-6.4 42.2-20.7 62.7-41.3 20.6-20.6 34.9-43.3 41.3-62.7 6.4-19.3 4.8-33.7-2.5-40.9-4.1-4.1-10.5-6.4-18.7-6.5zM30.64 135.9c-.48 5.1.53 12.6 4.04 22.1 5.19 14.2 15.06 32.1 28.35 51.7C89.6 249 129.7 295.6 173.1 338.9c43.3 43.4 89.9 83.5 129.2 110.1 19.6 13.3 37.5 23.1 51.7 28.3 9.5 3.5 17 4.5 22.1 4-5.1-23.3-12.1-47.8-20.7-71.2-49.3-29.2-92.9-61.9-131.9-99.1-4.7-2.5-9.2-5.6-13.1-9.5a50.9 50.9 0 0 1-9.5-13.2c-37.2-38.9-69.8-82.5-99-131.7-23.36-8.7-47.92-15.7-71.26-20.7zM130 168c19.1 30.3 39.7 58.2 62 84-.2-4-.3-8-.3-11.8 0-15.7 1.7-26.8 2.6-32.2-16.1-15-38.7-28.5-64.3-40zm174 149.7c-5.4.9-16.5 2.6-32.2 2.6-3.8 0-7.8-.1-11.9-.4 25.9 22.4 53.8 43 84.1 62.1-11.5-25.5-25-48.2-40-64.3z"}}]})(props);
};
function GiPrayerBeads (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M189.3 16.62c-7.8 0-14 6.16-14 14s6.2 14 14 14 14-6.16 14-14-6.2-14-14-14zm28.7 5.1c.8 2.83 1.3 5.82 1.3 8.9 0 3.11-.5 6.12-1.3 8.97 6.3.37 12.8.97 19.6 1.81-.3-1.57-.4-3.17-.4-4.81 0-4.59 1-8.95 2.8-12.91-7.6-.93-14.9-1.58-22-1.96zm53.2.87c-7.8 0-14 6.16-14 14s6.2 14 14 14 14-6.16 14-14-6.2-14-14-14zm-115.5 3.32c-10.2 2.1-19.8 4.86-28.6 8.19 3.9 4.51 6.6 10.1 7.5 16.25 7.3-2.7 15.1-4.99 23.5-6.78-1.8-3.97-2.8-8.35-2.8-12.95 0-1.6.1-3.17.4-4.71zm145.5 10.64v.1c0 6.31-1.9 12.2-5.1 17.18 4.2 1.19 8.3 2.45 12.6 3.8l.1.1h.2c1.4.39 2.8.79 4.2 1.18.3-6.31 2.5-12.16 6-17.01-1.7-.5-3.5-.99-5.3-1.48-4.3-1.37-8.5-2.63-12.7-3.84zm-196.3 4.41c-7.78 0-13.94 6.16-13.94 14s6.16 14 13.94 14c7.8 0 14-6.16 14-14s-6.2-14-14-14zm242.3 5.46c-7.8 0-14 6.16-14 14s6.2 14 14 14 14-6.16 14-14-6.2-14-14-14zm29.8 17.3c-.6 6.27-3.1 12.02-6.9 16.7 6.1 3.02 11.9 6.17 17.3 9.44 1.7-5.96 5.2-11.23 9.7-15.23-6.3-3.81-13-7.45-20.1-10.91zM73.5 67.39c-6.04 5.82-11.37 11.96-15.99 18.29 6.15 1.32 11.67 4.42 15.97 8.73 3.41-4.48 7.22-8.86 11.48-13.05-5.03-3.46-9.04-8.3-11.46-13.97zm346.7 17.22c-7.8 0-14 6.16-14 14 0 7.89 6.2 13.99 14 13.99s14-6.1 14-13.99c0-7.84-6.2-14-14-14zm-147 4.99c-7.8 0-14 6.16-14 14 0 7.9 6.2 14 14 14s14-6.1 14-14c0-7.84-6.2-14-14-14zm-32.8 5.32c-6.2 1.54-12.5 3.58-18.7 5.98 4 4.5 6.7 10.2 7.6 16.4 3.9-1.5 7.7-2.7 11.5-3.8-1-3.1-1.6-6.4-1.6-9.9 0-3 .4-5.91 1.2-8.68zm62.6 5.28c.1 1.1.2 2.3.2 3.4 0 5.3-1.3 10.3-3.6 14.7 3.3 1.2 6.7 2.4 10.1 3.8.9-6.2 3.7-11.8 7.7-16.4-4.8-2-9.7-3.8-14.4-5.5zM52.86 103c-7.84 0-14 6.2-14 14s6.16 14 14 14 14-6.2 14-14-6.16-14-14-14zm146.84 5c-7.8 0-14 6.2-14 14s6.2 14 14 14 14-6.2 14-14-6.2-14-14-14zm141.6 5c-7.8 0-14 6.2-14 14s6.2 14 14 14 14-6.2 14-14-6.2-14-14-14zm104.4 1.9c-3.1 5.2-7.7 9.5-13.1 12.3 3.6 4.3 6.8 8.6 9.8 13.1 4.7-3.8 10.5-6.3 16.8-6.9-3.9-6.4-8.4-12.6-13.5-18.5zm-279.1 14.7c-5.8 3.6-11.5 7.2-17.1 10.9 4.6 3.9 8.1 9.1 9.9 15.1 5.4-3.5 10.8-7 16.3-10.4-4.4-4.2-7.6-9.6-9.1-15.6zm205.5 6.1c-1.7 6-5.2 11.3-9.7 15.3 2.8 2.1 5.5 4.3 8.1 6.6 3.2-5.3 7.9-9.6 13.5-12.3-3.9-3.3-7.8-6.5-11.9-9.6zm-337.96 8.5c-1.08 10.2-.57 19.9 1.67 28.7 4.3-4.9 10.04-8.4 16.52-10-.61-4.3-.79-9-.48-13.9h-.99c-6.11 0-11.84-1.7-16.72-4.8zm96.56 6.5c-7.8 0-14 6.2-14 14s6.2 14 14 14 14-6.2 14-14-6.2-14-14-14zm333.7.5c-7.8 0-14 6.2-14 14s6.2 14 14 14 14-6.2 14-14-6.2-14-14-14zm-64.5 8.9c-7.8 0-14 6.2-14 14s6.2 14 14 14 14-6.2 14-14-6.2-14-14-14zm-302 13c-3.58 2-6.99 3.8-10.21 5.3 2.59 4.7 4.08 10 4.08 15.6 0 .8 0 1.6-.1 2.4.65-.3 1.3-.6 1.96-.9 4.44-2 8.97-4.4 13.67-7.1-4.5-4-7.76-9.3-9.4-15.3zM61.77 180c-7.84 0-14 6.2-14 14s6.16 14 14 14 14-6.2 14-14-6.16-14-14-14zm416.13 13.2c-4.6 2.5-9.9 4-15.5 4-.8 0-1.6 0-2.3-.1.1 6.1-.4 12.3-1.4 18.6 6.4.3 12.4 2.4 17.3 5.9 0-.3.1-.7.2-1l.1-.1v-.1c1.5-9.2 2-18.3 1.6-27.2zm-59.5 5.4c-4.7 4-10.5 6.6-16.9 7.3.9 5.6.9 11.3 0 17.4 6.3.8 12.1 3.4 16.8 7.3 2.4-11.1 2.3-21.9.1-32zM49.64 224.3c.29 4.9.67 9.7 1.14 14.5 3.97-1.8 8.36-2.8 12.96-2.8 1.65 0 3.27.1 4.86.4-.36-3.8-.67-7.6-.91-11.4-2.54.7-5.19 1-7.92 1-3.54 0-6.94-.6-10.13-1.7zm409.86 9.4c-7.8 0-14 6.2-14 14s6.2 14 14 14 14-6.2 14-14-6.2-14-14-14zm-59.7 7.4c-7.8 0-14 6.2-14 14s6.2 14 14 14 14-6.2 14-14-6.2-14-14-14zM65.74 254c-7.84 0-14 6.2-14 14s6.16 14 14 14 14-6.2 14-14-6.16-14-14-14zm301.46 10.5c-4.8 1.6-10.1 2.9-15.8 3.9 1.6 3.9 2.5 8.1 2.5 12.5 0 1.9-.2 3.7-.5 5.5 8.6-1.5 16.9-3.5 24.5-6.3-5-4-8.7-9.4-10.7-15.6zm-43.3 2.4c-7.8 0-14 6.2-14 14s6.2 14 14 14 14-6.2 14-14-6.2-14-14-14zm111.2 3.6c-2.7 4.5-5.6 9.1-8.6 13.8l-4.8 7.2c5.9 1.7 11.2 5.1 15.2 9.7 1.6-2.4 3.2-4.7 4.7-7.1 3.3-5.1 6.5-10.1 9.4-15.1-6.1-1.2-11.6-4.3-15.9-8.5zm-144.6 4.1c-7.5.5-15.1 1.1-22.4 1.9l-2.7.3c1.7 3.8 2.6 8.1 2.6 12.5 0 1.8-.2 3.6-.5 5.4.9-.1 1.7-.2 2.5-.3 7.1-.7 14.5-1.3 22.1-1.9-1.4-3.6-2.2-7.5-2.2-11.6 0-2.2.2-4.3.6-6.3zm-52.5.7c-7.8 0-14 6.2-14 14s6.2 14 14 14 14-6.2 14-14-6.2-14-14-14zM80.65 295.1c-4.92 3.1-10.72 4.9-16.91 4.9h-.4c2.55 7.6 5.52 15 8.93 22.2 3.98-4.6 9.24-8.1 15.21-9.9-2.56-5.6-4.82-11.3-6.83-17.2zm124.65 3.2c-.2.3-.5.5-.7.8-7 8-10.3 19.1-8.8 31.5.3 2.3.7 4.6 1.2 7 4.9-3.5 10.9-5.5 17.2-5.7-.2-1.2-.4-2.3-.5-3.4-.8-6.5.1-10.8 2.1-14.4-4.9-4-8.6-9.5-10.5-15.8zm209.5 9.9c-7.8 0-14 6.2-14 14s6.2 14 14 14 14-6.2 14-14-6.2-14-14-14zM98.5 329c-7.84 0-14 6.2-14 14s6.16 14 14 14c7.8 0 13.9-6.2 13.9-14s-6.1-14-13.9-14zm286.5 8.9c-5 5.4-10 10.6-15.2 15.6 5 3.4 9 8.3 11.4 14 5.7-5.5 11.3-11.2 16.7-17-5.4-2.9-9.9-7.3-12.9-12.6zm-167.9 12c-7.8 0-14 6.2-14 14s6.2 14 14 14 14-6.2 14-14-6.2-14-14-14zm-92.1 10l-18.8 14.7c-3.1 10.1 17.2 101.1 37.8 120.8l4.5-5.4-13.5-61.8 20.5 54.8c.4-.3 3.3-2.3 3.7-2.6l-8.6-25.7 13.9 21.7c8.5-5.7 17.3-8.2 34.3-9.7l-15.9-30.8 31.1 30.2c8.2 0 17.5.5 28 1.5-23.3-28.8-84.4-98.5-117-107.7zm228.7 5.9c-7.8 0-14 6.2-14 14s6.2 14 14 14 14-6.2 14-14-6.2-14-14-14zm-112.5 16.5c-3.4 4.9-8.2 8.8-13.8 11.1 5 5.4 10.3 9.9 15.8 13.5.4-6.4 2.6-12.3 6.1-17.1-2.7-2.2-5.4-4.6-8.1-7.5zm80.1 7.3c-5.6 2.9-11 5.3-16.4 7.1 1.5 3.6 2.3 7.6 2.3 11.8 0 2.3-.2 4.5-.7 6.6 8.5-2.4 16.8-6 25.1-10.4-4.8-3.9-8.4-9.1-10.3-15.1zm-44.1 4.9c-7.8 0-14 6.2-14 14s6.2 14 14 14 14-6.2 14-14-6.2-14-14-14z"}}]})(props);
};
function GiPrayer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M261.78 18.063c-52.004 0-94.686 45.7-94.686 103.156 0 57.455 42.682 103.155 94.687 103.155 52.007 0 94.72-45.7 94.72-103.156 0-57.457-42.713-103.157-94.72-103.157zM203 159.655c13.276 3.67 26.394 6.046 39.375 7.22v18.75c-14.674-1.21-29.464-3.85-44.375-7.97l5-18zm117.375 0l4.906 18.03c-14.452 3.938-29.08 6.583-43.874 7.845v-18.718c13.085-1.223 26.055-3.638 38.97-7.156zM160.22 175.344c-75.308 50.797-110.604 125.208-116.282 220h.218c-.367 1.705-.562 3.466-.562 5.28 0 13.808 11.19 25 25 25 .22 0 .436-.025.656-.03v.22l179.438-.002V302.406c-25.58 4.82-45.22 28.49-45.22 62.594v9.344H103.096v-18.688h12.718c3.664-35.178 26.522-77.998 45.343-101.344l14.53 11.72c-15.618 19.373-36.603 61.664-40.905 89.624h50.47c4.04-42.08 35.168-72.875 73.22-72.875 34.98 0 68.653 28.958 73.905 72.876h55.75c-5.412-28.305-26.53-70.32-42.094-89.625l14.564-11.717c18.885 23.424 41.643 66.485 46.562 101.343h10.563v18.688H314.593l-.25-9.094c-1.02-35.656-23.57-58.234-46.97-62.875v123.438h180.657v-.22c.22.006.436.032.658.032 13.81 0 25-11.193 25-25 0-2.092-.266-4.12-.75-6.063-5.566-92.605-39.022-165.662-111.032-216.218-19.026 38.355-56.592 64.72-100.125 64.72-44.662 0-83.047-27.74-101.56-67.72zM140.374 444.5l9.188 47.5h220.562l8.47-47.5h-238.22z"}}]})(props);
};
function GiPrayingMantis (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v10.477c4.607 7.49 10.433 16.767 16.867 26.488 7.35 11.106 15.393 22.655 23.117 32.44 2.03 2.57 3.997 5.005 5.936 7.294 5.094-3.083 10.587-6.245 16.22-9.024-2.52-2.73-5.266-5.924-8.027-9.422C64.896 67.11 57.06 55.88 49.877 45.03 43.274 35.053 37.295 25.51 32.687 18H18zm134.072 0c-.72 5.552-2.36 17.603-4.765 31.28-1.528 8.688-3.463 18.042-5.537 26.505 6.146.52 12.202 1.46 18.005 2.877 2.026-8.624 3.747-17.673 5.258-26.267 3.032-17.243 4.83-31.494 5.186-34.395H152.07zm-23.24 75.62c-8.37-.06-16.72.624-24.22 2.077-4.87.945-12.558 4.244-20.33 8.254 11.135 2.173 22.183 8.018 31.09 16.956 20.132 20.2 24.47 51.285 6.216 69.477-1.168 1.163-2.388 2.233-3.654 3.213 2.607 1.546 5.244 3.074 7.904 4.574 22.375 12.618 46.216 23.606 65.316 31.783 9.422 4.034 17.47 7.29 23.813 9.81-.566-4.942-1.286-10.553-2.375-16.958-2.47-14.524-6.15-32.12-10.574-49.38-4.425-17.257-9.62-34.217-14.96-47.298-5.343-13.082-12.213-22.055-13.492-22.787l-.107-.063-.108-.064c-9.454-5.77-25.014-8.995-40.934-9.52-1.194-.04-2.39-.063-3.586-.072zm61.11.17c5.73 6.326 9.533 15.135 13.78 25.532 3.497 8.568 6.805 18.298 9.878 28.532 8.97-9.812 7.474-29.01-6.856-43.39-5.188-5.205-11.013-8.72-16.803-10.675zM74.343 121.075c-6.227.132-11.806 2.23-15.72 6.13-9.63 9.6-8.384 29.328 6.26 44.02 14.642 14.693 34.366 16.01 44 6.41 9.63-9.6 8.384-29.33-6.26-44.023-8.693-8.724-19.18-12.73-28.28-12.537zm-19.453 65.45c-11.004 5.64-23.684 13.494-36.146 22.257-.25.175-.495.358-.744.533v68.854c18.57-19.21 33.836-37.206 44.793-52.824 6.75-9.623 11.865-18.36 15.256-25.73-8.23-2.455-16.226-6.907-23.16-13.09zm356.66.818l-5.187 6.627c2.03 4.33 3.965 8.683 5.834 13.05 2.156-.268 4.25-.392 6.225-.37 2.657.03 5.104.3 7.392.79-1.22-1.995-2.424-3.93-3.584-5.725-4.22-6.53-7.95-11.413-10.68-14.37zm-24.277 8.123c-16.918 13.857-33.877 33.415-49.94 55.898 19.226-15.966 38.755-29.392 57.823-38.717-2.322-5.384-4.746-10.733-7.316-16.017l-.567-1.163zM227.926 206.62c.887 4.564 1.7 8.986 2.412 13.167.932 5.478 1.717 10.455 2.326 14.96 14.438 1.212 21.815 20.84 29.783 29.37-.062-26.028-13.06-48.863-34.52-57.498zm190.295 18.03c-3.713-.04-8.47.777-12.613 2.914l-.146.075-.146.07c-48.158 22.688-105.47 79.642-148.722 134.4-21.626 27.38-39.88 54.23-52.1 75.753-6.11 10.76-10.71 20.215-13.435 27.47-2.502 6.66-2.773 11.29-2.858 11.9 4.226 8.206 9.81 12.687 24.827 15.37 58.497-38.614 114.28-103.552 153.22-160.982 19.8-29.203 35.308-56.487 44.718-77.046 4.705-10.28 7.872-18.93 9.29-24.84.535-2.236.608-3.54.694-4.77-.853-.132-1.566-.3-2.73-.314zm13.266.557l-7.68 3.438c-3.085 64.654-21.425 126.137-30.132 173.533 2.613 2.39 6.34 5.615 11.14 8.74-5.886 12.474-11.623 19.878-18.384 26.55-7.995 7.886-17.974 14.87-30.735 26.452l12.098 13.328c11.923-10.823 21.84-17.656 31.277-26.967 11.193-11.626 24.333-31.958 27.36-45.87 1.37-6.504 2.698-15.256 3.873-25.32 2.35-20.13 4.11-45.577 4.883-70.29.772-24.716.544-48.79-.965-65.9-.683-7.745-1.702-13.802-2.734-17.693zM82.068 228.98c-1.447 2.2-2.942 4.426-4.54 6.702-1.1 1.57-2.25 3.165-3.423 4.77 22.826 31.163 50.81 72.068 99.905 153.027 7.64 7.252 15.592 14.054 23.88 20.33 4.726-7.598 9.963-15.564 15.643-23.785C145.2 300.133 110.34 259.675 82.068 228.98zm73.79 4.83c-3.635 24.868 12.083 48.43 37.283 60.13-5.282-12.958-25.407-31.827-8.67-47.272l-.4-.168c-8.614-3.688-18.207-7.965-28.21-12.69zM62.6 255.345c-4.197 5.177-8.686 10.48-13.48 15.902 27.338 73.814 65.068 146.414 123.943 190.867.364-1.013.747-2.05 1.147-3.113 1.968-5.238 4.58-11.02 7.758-17.275-61.466-103.163-93.89-151.364-119.367-186.38zm390.58 2.816c.615 15.38.566 33.084 0 51.197-.237 7.563-.573 15.17-.98 22.697 2.864 10.367 5.673 20.25 8.556 29.435 3.675.957 8.94 2.16 15.19 2.625 2.602 13.216 2.398 22.448.972 31.703-1.71 11.1-5.552 22.656-8.88 39.565l17.66 3.478c2.785-14.136 6.173-24.76 8.304-36.222v-39.25c-.727-5.09-1.784-10.093-3.238-15.22-1.827-6.39-4.738-14.75-8.4-24.197-7.32-18.897-17.648-42.225-28.507-64.44-.224-.46-.452-.912-.677-1.37zM319.05 421.782c-20.25 22.78-42.233 44.482-65.296 63.21 4.992 1.433 10.517 2.494 15.63 3.026 18.016-19.193 34.663-41.935 49.667-66.235z"}}]})(props);
};
function GiPresent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149.518 78.38c-6.55.117-12.45 1.736-17.35 4.91-7.465 4.84-11.765 12.904-13.063 21.34-2.595 16.874 4.747 36.355 19.862 52.31C154.08 172.893 177.643 185 208 185h2.438l-9.118-18.234c-22.194-1.554-38.46-10.777-49.287-22.205-11.885-12.545-16.543-28.064-15.138-37.19.702-4.564 2.402-7.25 5.062-8.974 2.66-1.724 7.113-2.875 14.756-1.326 13.078 2.65 34.233 13.948 62.205 39.284L220.27 135h23.408c-35.31-34.8-62.215-51.278-83.39-55.57-2.715-.55-5.363-.887-7.925-1.006-.96-.045-1.91-.06-2.845-.043zm212.964 0c-.935-.016-1.885 0-2.845.044-2.562.12-5.21.455-7.924 1.006-21.176 4.292-48.082 20.77-83.39 55.57h23.406l1.352 1.354c27.972-25.336 49.127-36.633 62.205-39.284 7.643-1.55 12.096-.398 14.756 1.326 2.66 1.725 4.36 4.41 5.062 8.973 1.405 9.126-3.253 24.645-15.138 37.19-10.827 11.43-27.093 20.652-49.287 22.206L301.562 185H304c30.357 0 53.92-12.106 69.033-28.06 15.115-15.955 22.457-35.436 19.862-52.31-1.298-8.436-5.598-16.5-13.063-21.34-4.9-3.174-10.8-4.793-17.35-4.91zM227.73 153l-8.78 8.777L229.564 183h52.875l10.61-21.223-8.777-8.777h-56.54zM73 201v46h142v-46H73zm160 0v270h46V201h-46zm64 0v46h142v-46H297zm-192 64v206h110V265H105zm192 0v206h110V265H297z"}}]})(props);
};
function GiPrettyFangs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M166.594 96.28c-41.99 38.54-97.77 74.975-147.47 86 40.138 14.206 107.59 18.608 153.282 9.532l1.22-.406v.188c.206-.043.418-.082.624-.125 53.26 31.326 94.218 32.182 151 0 .256.086.524.163.78.25l-.03-.314 7.594 2.625c.105.03.207.066.312.095 44.21 12.288 102.904 9.115 154.28-11.97-59.524-9.648-124.87-51.613-155.092-85.874-55.502 39.623-111 32.147-166.5 0zM28.72 206.688c11.626 22.318 32.612 57.64 64.905 94.813-1.55-18.164-2.515-35.945-3.03-52.625-22.18-11.265-42.998-25.28-61.876-42.188zm447.155 7.532c-20.55 14.733-43.1 27.315-66.938 37.624-.607 17.746-1.732 36.683-3.5 55.937 33.976-34.915 56.833-69.604 70.438-93.56zm-322.313 3.186c-15.034 3.72-30.014 4.855-44.562 4.156-.116 39.457 2.945 90.054 10.22 137.282 5.254 34.12 12.997 66.188 22.374 90.187l11.97-231.624zm192.5 0l11.97 231.625c9.376-23.998 17.12-56.066 22.374-90.186 7.274-47.228 10.335-97.825 10.22-137.28-14.554.697-29.524-.435-44.563-4.158zM330.406 276.5c-53.08 10.905-108.715 11.398-161.156.03l-4.438 86.033c49.643 23.158 118.42 22.46 170-.5l-4.406-85.563z","fillRule":"evenodd"}}]})(props);
};
function GiPretzel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M182.28 90.005c16.1 2.682 25.418 4.934 45.862 11.656 18.57-14.474 47.956-26.908 75.748-26.14 47.97 1.604 91.01 34.895 103.698 72.094 10.918 32.01 4.29 72.454-14.532 110.358-16.682 34.096-52.988 76.062-87.875 95.46-18.8 10.23-36.618 17.343-61.39 20.86-7.537 15.89-13.888 32.806-19.816 43.902 36.3-2.454 71.64-11.743 101.282-27.87 35.382-19.252 66.99-50.606 90.443-87.303.14.016.264.027.405.042 12.194-19.643 12.988-23.107 22.043-42.573 17.01-40.85 23.166-85.462 9.192-126.434-19.178-56.227-77.212-99.728-142.825-100.862-54.15-.677-95.57 27.644-122.236 56.81zm-24.74 16.682C121.8 108.9 87.07 121.867 65.23 145.27c-24.54 26.3-40.146 63.025-45.328 100.794-5.182 37.768.08 77.63 23.783 107.632 23.524 29.778 57.79 48.086 95.225 57.47 12.147-20.055 13.965-24.698 20.045-38.67-34.498-6.97-64.44-22.213-82.313-44.835-13.958-17.667-19.21-46.14-15.13-75.887 4.083-29.75 17.517-59.727 34.425-77.848 8.587-9.204 29.154-19.31 50.7-23.445 15.104-2.44 43.587-.884 55.766 6.466 11.815 7.865 17.974 21.69 19.38 24.932 14.802 10.438 32.785 21.642 44.82 26.406-.413-20.385-4.292-39.918-13.815-57.406-8.91-16.364-22.303-27.454-37.628-34.494l.002-.002c-14.2-7.48-36.045-11.835-57.625-9.695zm-3.39 60.957c.743 10.735 3.627 21.485 9.283 31.87 12.423 22.812 32.96 39.463 56.815 52.54l-.002.006c20.21 10.896 23.6 11.366 44.373 19.584l.01.004c29.57 9.695 57.504 16.927 84.567 21.885 14.18-19.153 15.862-23.037 24.42-38.434-34.93-5.817-72.66-14.643-103.123-26.27-24.107-9.222-33.5-15.21-46.285-24.225-10.895-9.673-22.79-18.91-26.78-32.147-13.554-2.775-29.795-5.5-43.28-4.814zm302.078 96.67c-9.334 19.797-11.152 25.408-20.2 40.623 21.918 1.843 35.99 2.283 35.99 2.283 11.698.5 21.547-8.664 21.89-20.37.342-11.704-8.954-21.428-20.662-21.613 0 0-6.613-.25-17.018-.923zm-240.033 5.99c-5.348 21.46-12.844 43.655-21.297 64.732-5.088 12.688-10.427 24.798-15.71 36.2-8.94 20.01-10.283 24.81-22.512 45.296-9.815 18.414-16.83 30.11-16.83 30.11-6.24 9.934-3.132 23.053 6.902 29.132 10.033 6.08 23.1 2.76 29.017-7.37 19.563-33.868 34.868-62.688 50.352-99.25 2.783-6.35 5.547-12.967 7.764-18.485 8.118-20.244 15.652-41.69 21.464-63.343-17.052-6.69-22.696-8.36-39.15-17.023z"}}]})(props);
};
function GiPreviousButton (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M427.6 106c15.6.1 27.7 13.8 25.7 29.3-16 124-16 117.4 0 241.4 2.5 19.8-17.4 35-35.8 27.3l-267-111.1v98.8c0 7.9-8.9 14.2-20 14.3H78.49c-11.1-.1-20-6.4-20-14.3V120.2c.1-7.8 9-14.1 20-14.2h52.01c11 .1 19.9 6.4 20 14.2v98.9l267-111.1c3.2-1.3 6.6-2 10.1-2z"}}]})(props);
};
function GiPriceTag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M303.297 42.269c-1.54.025-3.033.077-4.476.158-11.55.649-19.422 3.475-22.47 6.438L18.923 299.087 184.807 469.75l257.43-250.222c3.047-2.963 6.096-10.75 7.072-22.278.976-11.527.207-26.288-1.645-42.248-1.605-13.84-3.991-28.476-6.597-42.96-12.99 9.51-28.1 16.583-48.25 20.222a40 40 0 0 1-11.38 36.191 40 40 0 0 1-56.562-.802 40 40 0 0 1 .803-56.563 40 40 0 0 1 29.031-11.3 40 40 0 0 1 27.532 12.103 40 40 0 0 1 2.998 3.5c24.115-3.229 38.245-11.132 52.109-23.326-1.891-9.87-3.776-19.475-5.47-28.424-27.556-6.032-61.042-14.049-90.872-18.371-11.925-1.728-23.195-2.83-32.957-2.998-1.627-.028-3.212-.03-4.752-.004zm159.469 34.836c-3.39.175-6.773 1.444-9.342 3.283a2734.251 2734.251 0 0 1 3.7 19.365l5.326-3.707c.268.372.45.517.765 1.106 2.648 4.937 5.797 16.02 7.912 30.437 4.231 28.833 5.344 71.6 1.848 116.16-3.496 44.56-11.623 91.069-25.262 127.625-13.639 36.557-32.614 61.986-55.453 68.49-8.264 2.354-12.21.983-16.803-3.57-4.593-4.552-9.035-13.679-12.054-26.199-5.115-21.207-6.457-51.417-5.526-83.469l-18.336 17.824c-.067 25.974 1.633 50.248 6.364 69.864 3.443 14.277 8.383 26.341 16.882 34.765 8.5 8.424 21.359 11.814 34.405 8.098 31.734-9.038 52.827-40.494 67.384-79.512 14.558-39.017 22.756-86.771 26.344-132.508 3.589-45.736 2.547-89.302-1.984-120.181-2.266-15.44-5.15-27.556-9.858-36.332-2.353-4.388-5.217-8.459-10.513-10.627-1.324-.542-2.736-.832-4.174-.91-.54-.03-1.082-.03-1.625-.002zM293.1 187.796l12.549 12.906-29.38 28.563c6.195 6.952 11.437 14.253 15.71 21.908 5.1 9.1 8.755 18.47 10.96 28.12l-16.91 16.212c-.948-10.96-3.498-21.125-7.652-30.496-4.154-9.37-9.91-17.894-17.27-25.57-14.505-15.131-29.423-22.66-44.751-22.59-15.276.126-30.857 7.804-46.744 23.035-15.835 15.181-24.137 30.4-24.907 45.656-.716 15.312 6.178 30.534 20.684 45.664 5.665 5.91 11.193 10.73 16.584 14.463 5.443 3.684 10.96 6.396 16.553 8.135l31.539-30.236-26.205-27.336 13.054-12.516 42.09 43.9-50.416 48.335c-10.546-2.29-20.679-6.247-30.398-11.872-8.672-5.09-16.86-11.463-24.569-19.097l-25.826 24.635-12.424-13.026 26.303-25.088c-12.28-16.036-18.338-32.69-18.164-49.963.32-21.183 10.05-40.95 29.188-59.298 18.59-17.824 38.09-26.72 58.498-26.692.658.001 1.316.012 1.976.031 17.69.524 34.44 7.564 50.254 21.069z"}}]})(props);
};
function GiPrimitiveNecklace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M273.9 28.1c-20.7.1-41 3.02-60.1 9.42C144.3 60.96 107.5 136.6 88.83 198.9c-3.22 10.8-6.18 22.5-8.36 34.5 1.97-.1 3.92-.1 5.83 0 4.29.3 8.3 1.4 11.95 3 2.05-11.2 4.85-22.1 7.85-32.3 17.8-59.9 53.4-129.28 113.5-149.52 16.8-5.68 35.3-8.23 54.4-8.12 23.5.12 47.8 4.28 71 11.55 0 .14 0 .28-.1.42-5.1.84-11.3 1.94-17.9 3.4-17.4 3.84-37.5 9.26-50.4 20.72-12.6 11.21-20.1 29.95-25.8 46.35-5.6 16.3-8.8 30.4-8.8 30.4l17.6 4s2.9-13.2 8.3-28.5c5.3-15.3 13.7-32.6 20.7-38.81 7.3-6.49 26-13 42.3-16.6 6.1-1.34 11.8-2.38 16.7-3.16 1.8 3.09 4.4 5.76 7.3 7.86 6.1 4.48 13.9 6.9 22.4 6.9 1.3 0 2.6-.1 3.8-.18.8 2.01 1.6 4.09 2.3 6.29 3.9 11.8 5.9 26.2 4.1 31.3v.1c-2 5.8-13.2 16.4-24.3 23.8-11.1 7.4-21.4 12.4-21.4 12.4l7.8 16.2s11.3-5.4 23.6-13.6c12.2-8.2 26.2-18.3 31.3-33 4.9-14.1.3-29.6-4-42.83-.8-2.23-1.5-4.36-2.2-6.38.4-.32.9-.65 1.4-1 .5-.37 1-.76 1.5-1.16 11.5 6.88 22.2 14.54 31.5 22.77 30.1 26.6 45.8 74.7 36.3 111.4-15.6 59.6-71.4 117-134.6 143.5.6.7 1.2 1.4 1.7 2.1 2.9 4 5.1 8.7 6.3 14.1 68.1-28.5 126.7-88.7 144-155.1 11.7-44.7-6.2-98-41.7-129.44-10.3-9.13-21.9-17.55-34.4-25.1.1-.92.2-1.86.2-2.82 0-3.87-1-7.48-2.8-10.69 1.3-.34 2.6-.63 4-.87 12-2.07 27.9.19 46.5 8.96l7.6-16.28c-15.7-7.45-30.6-11.21-44.1-11.41-4.5-.1-8.9.27-13.1.99-5.8 1.01-11.3 2.86-16.3 5.45-4.6-1.84-9.6-2.8-15-2.8-7.2 0-13.9 1.74-19.5 5-27.1-9.35-55.8-14.66-83.9-14.59zM83.05 251.3c-4.72.1-10.6 1.9-17.86 7-16.24 11.3-31.61 33.7-43.15 54 13.06-3.9 27.43-7.9 40.83-12.3 10.71-3.4 20.64-7 28.09-10.6 7.45-3.6 12.14-7.7 12.64-8.8h.1c2.1-3.8.5-16.2-6.27-23.2-3.37-3.5-7.4-5.7-12.42-6-.63-.1-1.28-.1-1.95-.1zm16.16 54.1c-.14.1-.28.1-.42.2-4.93 2.4-10.43 4.6-16.25 6.7 2.03 6.3 4.66 12.4 7.99 18.1 2.99-3.3 6.43-6.3 10.17-8.8 1.3-.9 2.7-1.8 4.1-2.6-2.3-4.3-4.1-8.8-5.59-13.6zM126 330.9c-4.3.1-9.9 1.9-15.1 5.5-6.8 4.7-11.93 12.1-12.74 17.1-.35 2.3.92 7 3.94 10.9 3 3.9 7.2 6.2 9.4 6.4 1.4.1 3-.2 4.6-.8 1.1-3.1 2.1-5.9 3-8.3 3.5-8.8 8.7-15.8 14.8-20.9-.1-1.4-.3-2.7-.7-3.9-1.1-3.7-2.7-5.2-3.4-5.5-1.1-.3-2.4-.5-3.8-.5zm39.9 16.9c-5.3 0-10.6 1.1-15.2 3.4-6.1 3-11.3 8.1-14.8 17.1-5 12.6-13.3 42.2-17.2 70.6-2 14.2-2.8 28.3-1.9 39.7.2 1.9.5 3.6.8 5.3 10.3-21.4 26-42.8 40.5-62.4 6.7-9.1 13.2-17.9 18.8-25.9 0-2.8.2-5.6.6-8.3 1.6-11.3 6.3-22.3 14.4-30.1-.8-.7-1.6-1.6-2.8-2.4-4.1-3.1-10.8-5.8-17.8-6.7-1.8-.2-3.6-.3-5.4-.3zM303.4 365c-3.5 0-6.8.6-9.2 1.6-3.6 1.5-4.9 3.2-5.3 4.9.1 0 0 1.9.2 4.1.3 2.6.8 6.1 1.4 10.2 1.3 8.2 3.2 18.8 5.2 30.1 2.3 12.6 4.7 25.6 6.8 38 10.1-19.9 20-41.9 22.7-60.8 1.3-9.7-.6-15.6-3.6-19.7s-7.6-6.7-12.8-7.8c-1.3-.3-2.6-.5-3.9-.6h-1.5zm-14.5 6.5v0zm-74.4-4.7c-4-.1-7.8 1.3-9.4 2.7-4.4 3.8-8.6 12.2-9.8 20.4-1.2 8.3.6 15.6 3.9 19 2.1 2.1 7.7 3.7 14 2.9 6.4-.9 12.6-4.2 15-7.1 2.8-3.6 4.4-10.4 3.5-17.6-.9-7.1-4.2-14-7.8-17.3h-.1c-1.5-1.5-5.3-2.9-9.3-3zm56.6 9.5c-7.5.8-15.2 1.2-22.9 1.3.6 2.4 1.1 4.9 1.4 7.3.4 3.7.5 7.5.2 11.2 8-.2 16-.8 23.8-1.7-.3-2-.6-4-.9-5.8-.7-4.3-1.2-8.1-1.5-11.2 0-.4-.1-.7-.1-1.1z"}}]})(props);
};
function GiPrimitiveTorch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.3 19.77s-23 22.66-23 37.26c0 17.83 28.3 45.47 28.3 45.47-13.7-28.35-15.3-55.08-5.3-82.73zm148.9 5.45s3.6 25.13 1.7 37.5c-1.4 8.92-9.2 25.46-9.2 25.46s32.5-14.23 34-29.07c1.4-14.27-26.5-33.89-26.5-33.89zM360 37.91c-.1 7.08-.9 14.2-2.3 21.03-3.5 15.82-9.8 30.33-21.2 38.64-8.2 6.02-20.4 8.32-32.4 3.02-9.2-4.11-18.9-11.68-30.3-23.75-1.3 9.87-.3 21.82 6.9 34.85l12.2 22.1-23.5-9.5c-14.1-5.7-25-17.6-36.1-31.27-.5 19.87-.4 41.27 3.3 60.27 5.3 27 16.3 47.8 43.7 56.2-6.1-10.9-6.2-23.3.8-37 20.4 24.8 24.4 2.8 33.2-1.6 5.8-2.9 9.5-15.9 5.7-42.3 7.5 13.3 15.6 32 29.5 35.4 18.6 4.6 32.8-13.6 46.5-34.8 0 0-7.1 32 0 43.2 3.1 4.9 5.8 8.4 22.9 7.9-15.8 18.8-30.8 30.3-59.1 43.4 52-2.8 98-37.7 125.6-72.1-13.1 3.5-21.4 4.3-34.5 3.8l-23.1-.8 17.6-15c11.7-10.1 19.7-29.9 23.4-50.6 2.3-12.57 2.9-25.22 2.6-36.09-7.5 7.42-15.8 15.46-24.9 23.68-15.3 13.73-31.3 26.81-46.2 33.51l-9.8 4.4-2.6-10.4c-5.7-23.11-14.1-48.17-27.9-66.19zM276.3 227.3c-6.2 4.7-13.1 10.1-20.6 16.2-25.8 20.8-58.2 48.3-90.7 76.6-32.4 28.3-65 57.4-90.93 81.5-22.42 20.9-39.68 38-47.45 46.8l26.85-9.8-24.8 20c1.4 2.4 3.28 4.8 5.95 7.6 1.61 1.6 3.61 3.5 5.96 5.4l86.62-68-20.1 22.5-51.2 57.1c3.93 2.8 8.24 5.8 13.03 9C154 408.6 240.2 325 332.3 241.3c-9.2-.5-17.3-1.5-25.5-3.4l-56.6 45.3 41-50c-4.7-1.6-9.6-3.6-14.9-5.9z"}}]})(props);
};
function GiPrism (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M151.6 14.53c6.3 31.6 8.8 64.1-45.8 78.2 34.3-9.8 71-8.8 78.2 45.67-.9-29.8-25.6-65.17 45.6-78.07-36.6 5.8-69.6-.1-78-45.8zM457.3 18L334.6 161.2 343 178l34.2-39.4-9.4 31.7 61.4-45.3-47.8 56.4 55.8-18.8-42.4 41.2 80.6-6.7-75.7 55.8 72 24.4-53.4 5.1 48.1 20-41.8-3.3 32.1 24.3-51-20.1 15.4 31 72.9 48.5V18zM256 43.88L153.2 249.5l-62.74 34.8-58.97 2.8c11.23 5.2 19.12 10.6 24.75 16.2l-44.61 24.8 8.74 15.8 46.07-25.6c3.99 9.5 4.36 19.1 5.55 28.4l31.21-48.8L139 278 49.44 457H462.6zm0 40.25l51.6 103.17-129 51.6zm59.7 119.37l35.7 71.5.7 1.4-158.2-24.3zm-150.6 62.4L362 296.2 433.4 439H78.56zm-16 75.9s-47.2 80.2-45.2 83.5c2.3 3.8 67.5.9 97.2-3.3-53.8-3.1-76.1-38.1-52-80.2z"}}]})(props);
};
function GiPrisoner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16 18v476h32V18zm144 0v279.883c5.308-1.866 10.97-2.883 16.885-2.883 5.262 0 10.323.812 15.115 2.303V18zm160 0v279.594c5.053-1.674 10.41-2.594 16-2.594s10.947.92 16 2.594V18zm144 0v476h32V18zM256 62.074c-17.06 0-33 9.87-45.242 27.46-.26.37-.504.764-.758 1.142v138.646c.254.378.5.772.758 1.143C223 248.053 238.94 257.925 256 257.925c17.06 0 33-9.872 45.242-27.46.26-.37.504-.765.758-1.143V90.676c-.254-.378-.5-.772-.758-1.143C289 71.945 273.06 62.073 256 62.073zM256 265c-17.772 0-32.922 2.757-46 7.697v34.387c14.584 11.926 23.885 31.442 23.885 52.916 0 21.474-9.3 40.99-23.885 52.916V494h92v-81.814c-14.076-11.984-23-31.147-23-52.186 0-21.04 8.924-40.202 23-52.186V272.65c-13.078-4.91-28.23-7.65-46-7.65zm-79.115 48c-20.835 0-39 20.24-39 47s18.165 47 39 47c16.12 0 30.634-12.123 36.38-30H176v-18h39.863c-.084-4.926-.78-9.62-2-14H176v-18h28.63c-7.182-8.72-17.112-14-27.745-14zM336 313c-10.633 0-20.563 5.28-27.746 14H336v18h-36.98c-1.217 4.38-1.914 9.074-2 14H336v18h-36.38c5.746 17.877 20.26 30 36.38 30 20.835 0 39-20.24 39-47s-18.165-47-39-47zm-207.094 82.04c-6.388 34.67-7.555 70.32-7.775 98.96H142v-82.584c-5.156-4.57-9.582-10.12-13.094-16.377zm254.492 1.036c-3.618 6.187-8.152 11.644-13.398 16.11V494h20.875c-.2-28.3-1.29-63.54-7.477-97.924zM160 422.116V494h32v-71.303c-4.792 1.49-9.853 2.303-15.115 2.303-5.915 0-11.577-1.017-16.885-2.883zm160 .29V494h32v-71.594c-5.053 1.674-10.41 2.594-16 2.594s-10.947-.92-16-2.594z"}}]})(props);
};
function GiPrivateFirstClass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.977 121.95C226.38 169.626 161.382 247.503 106 286.446v52.48c38 29.073 86 51.098 150 51.124 64 .027 112-22.05 150-51.124V286.51c-56.388-38.936-120.655-116.947-150.023-164.56zm.023 57.523l9.44 14.158c27.838 41.76 66.42 83.7 107.26 118.774-46.064 25.842-81.895 37.647-116.7 37.647-34.718 0-70.455-11.744-116.352-37.45 40.87-35.015 79.02-77.128 106.913-118.97l9.44-14.157z"}}]})(props);
};
function GiPrivate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.977 147.306C285.345 194.92 349.612 272.93 406 311.866v52.592c-52.596-39.175-105.228-92.47-140.56-145.47l-9.44-14.16-9.44 14.16c-35.446 53.17-87.448 106.787-140.56 145.706v-52.89c55.382-38.943 120.38-116.82 149.977-164.498z"}}]})(props);
};
function GiProcessor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M228.844 32.22v114.218h17.687V32.218h-17.686zm-108.25.624c-15.507 0-28.094 12.586-28.094 28.093C92.5 76.444 105.087 89 120.594 89c12.655 0 23.34-8.372 26.844-19.875h44.937v77.313h17.688v-95H147.03c-3.888-10.837-14.262-18.593-26.436-18.593zm193.25 0c-15.507 0-28.063 12.586-28.063 28.093 0 12.124 7.677 22.45 18.44 26.376v59.124h17.655V87.844c11.596-3.452 20.063-14.193 20.063-26.906 0-15.508-12.587-28.094-28.094-28.094zM266.124 92.5v53.938h17.657V92.5h-17.655zm188.532 4.03c-15.507 0-28.094 12.588-28.094 28.095 0 13.083 8.948 24.074 21.063 27.188v27.468h-92.938v17.657h110.624v-46.342c10.223-4.192 17.407-14.233 17.407-25.97 0-15.507-12.557-28.094-28.064-28.094zM30.187 123.657v17.688H96.75v55.594h62.814V179.28h-45.126v-55.624h-84.25zm147.032 40.47v159.718h159.81v-159.72H177.22zm17.56 15.655h17.657v78.595l32.407 32.406h75.28v17.658H237.5l-2.594-2.594-10.75-10.75c-1.033 7.385-7.36 13.062-15.03 13.062-8.392 0-15.19-6.796-15.19-15.187 0-7.682 5.696-13.98 13.095-15l-9.655-9.658-2.594-2.593V179.78zm54.94.157h17.686v55.313h52.53l.002 17.688H249.72v-73zM53.124 217.375V307.344c-11.49 3.512-19.844 14.198-19.844 26.844 0 15.505 12.557 28.093 28.064 28.093s28.093-12.587 28.093-28.092c0-12.195-7.79-22.564-18.656-26.438v-72.72h88.782v-17.655H53.124zm301.563 0v17.656h53.968v-17.655h-53.97zm99.968 21.97c-10.898 0-20.342 6.21-25 15.28h-74.97l.002 17.688H427c2.325 13.168 13.824 23.187 27.656 23.187 15.507 0 28.063-12.588 28.063-28.094 0-15.507-12.557-28.062-28.064-28.062zm-349.062 15.28v17.688h53.97v-17.688h-53.97zm17.156 36.47v84.217c-11.498 3.513-19.875 14.2-19.875 26.844 0 15.506 12.587 28.094 28.094 28.094 15.506 0 28.06-12.588 28.06-28.094 0-12.194-7.766-22.564-18.624-26.437v-66.94h19.156v-17.686H122.75zm231.938 0v17.686h45.156v95.283c-11.323 3.624-19.53 14.26-19.53 26.78-.002 15.506 12.585 28.063 28.092 28.063 15.507 0 28.063-12.557 28.063-28.062 0-12.32-7.935-22.778-18.97-26.563V291.095h-62.814zM192.375 341.53v54.033h17.688V341.53h-17.688zm36.47 0v86.564c-11.013 3.794-18.94 14.233-18.94 26.53 0 15.506 12.588 28.095 28.095 28.095s28.063-12.59 28.063-28.095c0-12.53-8.203-23.14-19.532-26.75V341.53h-17.686zm37.28 0v54.033h17.688l-.032-54.032h-17.655zm38.094 0v140.064h17.655V341.53H304.22z"}}]})(props);
};
function GiProfit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.78 19.5v79.656c44.684 5.582 81.517 24.966 116.657 47.156l-24.75 20.063L212.47 218.28 184.53 106.5l-25.905 21c-20.225-40.01-42.778-77.73-72.75-108H18.78zm277.376 0c-15.624 28.765-29.207 58.126-41.78 88.156l-30.19-6.406 25.94 112.25 67.06-92.5-29.592-6.28c33.29-34.747 67.597-67.793 108.062-95.22h-99.5zm197.5 93.844c-37.988 2.482-72.04 19.677-105.03 40.906l-12.47-32.53-80.062 82.843 114.094 5.937-13.25-34.563c32.24-.934 64.478 1.827 96.718 21.375v-83.968zm-194.03 128.03c-5.28.12-10.21 2.416-16.938 9.595l-6.563 6.968-6.813-6.72c-7.387-7.28-13.216-9.29-19.125-9.03-5.908.26-12.855 3.367-20.625 9.656l-6.218 5.03-5.906-5.374c-8.9-8.052-16.485-10.438-23.75-10.063-5.288.274-10.775 2.266-16.25 5.75l40.968 73.688c15.454 9.452 47.033 13.007 68.75 2.063l39.594-73.344c-7.51-3.062-14.26-6.202-20.094-7.406-2.112-.437-4.072-.756-5.97-.813-.354-.01-.71-.008-1.06 0zm-89.97 96.19c-18.035 12.742-32.516 34.718-38.125 66.905-5.435 31.196 3.128 52.265 18.282 66.624 15.155 14.36 37.902 21.737 61 21.437 23.1-.3 46.136-8.31 61.625-22.936 15.49-14.627 24.25-35.426 19.282-65.188-5.137-30.757-18.4-52.148-35.19-65.094-28.482 15.056-64.094 11.856-86.874-1.75z"}}]})(props);
};
function GiProgression (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M463 20.3L315.6 75.65 368.5 109C274 228 137.3 301.3 21.8 329.2l32.72 59.6C184.3 346.5 321.7 270.2 410.2 135.4l40.3 25.4L463 20.3zm7.7 116.7l-4.8 54.8-51.3-32.4c-1.8 2.7-3.7 5.3-5.6 8V487h78V137h-16.3zM320.1 265c-12.7 11-25.8 21.4-39.1 31.2V487h78V265h-38.9zm-123.7 84c-14.4 7.6-28.8 14.6-43.4 21.2V487h78V349h-34.6zM25 393v94h78v-94h-5.68c-14.82 5.5-29.63 10.6-44.35 15.3l-7.06 2.2-9.6-17.5H25z"}}]})(props);
};
function GiPropellerBeanie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M333.535 35.646c-23.904-.059-47.406 3.048-68.2 7.905a18.066 18.066 0 0 1 1.42 7.017c0 1.449-.182 2.827-.491 4.149 44.688 8.367 93.798 14.744 130.367 7.888 3.125-.585 4.278-1.71 4.945-2.8.667-1.091.994-2.57.342-4.842-1.305-4.543-7.388-11.923-22.3-14.918-15.011-3.015-30.6-4.36-46.083-4.399zM113.32 42.678c-20.836-.02-40.524 1.83-57.199 6.681-2.89.841-4.088 2.118-4.904 3.858-.816 1.74-1.076 4.233-.158 7.174 1.836 5.881 8.366 13.378 23.129 15.59 40.349 6.044 83.975-1.703 118.537-14.391-2.241-3.12-3.668-6.8-3.668-11.022 0-.59.032-1.17.086-1.74-21.796-3.015-44.584-5.473-66.829-6.031a372.548 372.548 0 0 0-8.994-.12zm114.586.736c-6.926 0-13.106 1.635-16.822 3.647-3.716 2.01-4.027 3.54-4.027 3.507 0-.033.31 1.495 4.027 3.506 3.716 2.011 9.896 3.647 16.822 3.647 6.927 0 13.108-1.636 16.824-3.647 3.717-2.011 4.026-3.539 4.026-3.506 0 .034-.31-1.496-4.026-3.507-3.716-2.012-9.897-3.647-16.824-3.647zm-9.351 31.617V122.8c2.157-.062 4.31-.097 6.449-.086 2.108-.086 4.194-.13 6.266-.147l.056-.271c.406.084.81.188 1.215.277 1.342-.002 2.686-.008 4.014.018V75.127c-2.792.38-5.674.594-8.649.594-3.224 0-6.345-.244-9.351-.69zm11.841 65.533l-.685.012c-50.239 59.006-48.933 142.418-21.82 222.791 34.727-7.601 70.359-12.709 102.683-14.974 18.393-1.29 35.538-1.772 50.957-1.202-.627-42.98-16.986-90.566-41.396-129.253-25.121-39.815-58.816-69.685-89.739-77.374zm-25.826 3.272c-11.678 2.616-23.135 10.158-34.12 21.934-13.789 14.779-26.309 35.889-36.282 59.384-19.687 46.382-29.235 102.435-24.336 135.903 16.432 5.315 36.595 9.462 57.326 12.533a640.07 640.07 0 0 1 23.115-6.13c-25.71-77.32-29.186-160.2 14.297-223.624zm79.668 5.195c19.03 15.395 36.418 35.998 51.121 59.301 26.274 41.64 43.908 92.361 44.186 140.106 9.116.972 17.402 2.442 24.701 4.496-1.456-42.26-13.892-94.37-40.058-135.998-19.228-30.59-45.217-55.514-79.95-67.905zm-128.586 6.266c-14.303 6.6-27.778 15.579-39.578 27.26-30.095 29.791-50.192 77.365-45.24 150.716.261 3.87 2.15 7.506 6.809 11.682 3.224 2.891 7.748 5.797 13.253 8.549-2.874-38.641 7.59-90.354 26.704-135.383 10.195-24.018 22.906-46.023 38.052-62.824zm188.08 209.885c-10.063.011-20.783.387-31.9 1.166-39.71 2.783-85.058 10.045-126.83 21 13.884 29.181 34.32 60.814 82.338 86.914l.14.076.135.08c.946.558 6.745 2.463 14.567 3.584 7.821 1.12 17.958 1.914 29.427 2.322 22.94.818 51.264.124 78.399-2.058 27.134-2.183 53.198-5.909 71.185-10.825 8.994-2.457 15.986-5.343 19.522-7.693 1.37-.91 1.727-1.416 2.053-1.803-14.925-30.08-34.237-54.162-65.21-80.252l-7.988-3.841c-11.36-5.463-35.646-8.705-65.838-8.67z"}}]})(props);
};
function GiProtectionGlasses (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 146.572c-30.972 0-61.944 1.244-92.914 3.703H160c-.032.082-.063.165-.096.246-14.258 1.173-28.514 2.617-42.77 4.31l-1.144-.576c-.127.252-.248.504-.375.756-17.696 2.124-35.39 4.635-53.084 7.562l-5.47.907-1.652 5.29c-.28.9-.546 1.787-.82 2.68H44l-16 63.532h12.73c-3.66 34.972.71 68.132 14.764 108.82l1.28 3.712 3.593 1.584c49.352 21.772 85.914 21.772 135.266 0 22.288-9.833 32.994-28.193 40.834-42.016 3.92-6.912 7.306-12.758 10.426-16.182 3.12-3.424 5.045-4.566 9.107-4.566 4.062 0 5.988 1.142 9.107 4.566 3.12 3.424 6.506 9.27 10.426 16.182 7.84 13.823 18.546 32.183 40.834 42.016 49.352 21.772 85.914 21.772 135.266 0l4.02-1.774 1.074-4.262c10.202-40.51 13.986-73.303 11.363-108.08H484l-16-63.53h-10.732c-.182-.735-.355-1.46-.54-2.198l-1.44-5.72-5.82-.962c-64.476-10.667-128.972-16-193.468-16zm0 17.994c61.532 0 123.064 5.042 184.613 14.91 13.912 57.71 13.82 96.77-.332 154.81-44.11 18.726-71.428 18.292-116.647-1.657-16.75-7.39-24.71-20.793-32.444-34.43-3.868-6.817-7.495-13.626-12.776-19.423-5.28-5.796-13.143-10.443-22.414-10.443-9.27 0-17.133 4.647-22.414 10.443-5.28 5.797-8.908 12.606-12.775 19.424-7.733 13.637-15.694 27.04-32.443 34.43-4.22 1.86-8.285 3.552-12.222 5.075 2.756-60.648 18.325-117.63 41.37-172.47 12.83-.437 25.657-.67 38.485-.67zm-103.186 4.688C132.49 225.61 119.91 285.04 113.457 346.902c-7.824-1.118-15.866-3.12-24.453-6 1.81-59.094 13.318-115.636 38.453-169.074 8.452-.95 16.906-1.81 25.357-2.574zm-46.26 5.11C84.318 225.3 73.588 278.795 71.25 333.905c-19.358-57.964-17.74-96.353-.22-154.38 11.842-1.9 23.683-3.62 35.523-5.163z"}}]})(props);
};
function GiPschentDoubleCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M146.69 19.912c-6.093-.07-12.672 2.355-19.487 8.918-13.955 13.438-11.8 30.596.322 50.625 8.927 14.75 21.834 28.183 36.313 53.19 7.627 13.173 13.197 28.708 17.406 45.058 40.118 44.244 104.293 83.05 184.918 59.488-50.805-59.662-115.66-97.425-141.174-121.254-18.14-21.632-37.846-65.984-45.31-73.985-5.025-5.385-17.418-21.86-32.99-22.038zm267.005 7.424c-13.682-.276-24.35 5.06-30.693 12.77-8.46 10.28-10.398 22.213-8.68 31.43 2.174 11.658 10.476 20.358 19.948 25.364 9.47 5.007 21.828 6.84 31.277-.693 7.04-5.613 11.01-13.694 10.46-21.77-.54-7.898-5.75-15.27-13.443-18.845l-.15-.1c-7.648-4.752-16.94-3.626-20.758 2.516-3.816 6.14-.71 14.972 6.938 19.724 2.313 1.438 4.88 2.386 7.463 2.76-.473.535-1.03 1.082-1.73 1.64-1.77 1.412-6.29 1.684-11.645-1.146-5.355-2.83-9.825-8.245-10.664-12.75-.46-2.458.612-11.5 4.884-16.693 4.273-5.193 10.58-9.11 26.557-4.613 10.997 3.095 28.715 23.77 24.06 58.166-6.794 50.195-33.538 86.053-65.745 119.904 5.29 5.565 5.373 5.397 15.08 15.592 31.685-34.023 61.314-79.974 68.502-133.082 5.57-41.144-13.483-71.284-37.023-77.908-5.182-1.46-10.078-2.174-14.64-2.266zM65.332 35.074L45.666 45.61c48.202 163.613 119.8 312.83 216.695 446.478l38.253-37.018c-14.354-18.047-34.924-49.103-20.992-63.082 13.933-13.978 35.72-2.677 48.015 24.823l77.625-48.83c-10.245-36.823-15.168-73.81-18.133-113.94-85.243 26.127-201.94 29.903-321.795-218.966z"}}]})(props);
};
function GiPsychicWaves (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M65.125 18.344C47.11 49.844 36.72 86.262 36.72 125.124c0 80.293 43.973 150.497 109.124 187.75.403-6.904.92-13.833 1.625-20.75-55.33-34.965-92.064-96.676-92.064-167 0-39.426 11.63-75.964 31.563-106.78H65.124zm69.03 0c-25.61 28.273-41.374 65.635-41.374 106.78 0 51.08 24.052 96.656 61.44 125.97l.06-.25c1.612-6.61 3.473-13.008 5.69-19.125-29.73-25.896-48.5-64.026-48.5-106.595 0-42.848 19.254-80.837 49.436-106.78h-26.75zm210.532 0c30.125 25.95 49.438 64.003 49.438 106.78 0 41.152-17.546 78.157-45.563 103.97 2.26 6.282 4.116 12.876 5.657 19.687 35.748-29.366 58.592-73.883 58.592-123.655 0-41.123-15.81-78.5-41.406-106.78h-26.72zm73.407 0c20.06 30.867 32.094 67.387 32.094 106.78 0 69.457-35.82 130.505-90 165.69.545 7.037.933 14.107 1.187 21.123 64.267-37.483 107.53-107.18 107.53-186.812 0-38.925-10.745-75.328-28.874-106.78h-21.936zm-165.313 2.28c-57.625 0-104.53 46.906-104.53 104.532 0 28.606 11.56 54.573 30.25 73.47 4.13-4.712 8.84-8.817 14.094-12.19-15.844-15.56-25.656-37.237-25.656-61.28 0-47.527 38.316-85.844 85.843-85.844 47.528 0 85.845 38.317 85.845 85.844 0 23.16-9.108 44.114-23.938 59.53 5.488 3.14 10.394 7.033 14.688 11.533 17.327-18.666 27.938-43.657 27.938-71.064 0-57.626-46.905-104.53-104.532-104.53zm-4.186 55.564c-21.622 2.8-40.97 27.91-40.97 60.28 0 17.846 6.173 33.653 15.282 44.595l10.188 12.218-15.656 2.94c-11.884 2.226-20.62 8.512-28.032 18.655-7.41 10.143-13.023 24.216-16.97 40.406-7.188 29.5-8.736 65.498-8.967 97.126h38.999l.655 8.656 9.906 132.5h83.69l8.75-132.437.592-8.72h37.125c-.02-32-.39-68.49-6.906-98.217-3.57-16.297-8.992-30.34-16.5-40.375-7.505-10.035-16.654-16.288-29.967-18.344L273.875 193l10.094-12.625c8.713-10.89 14.592-26.495 14.592-43.906 0-34.515-21.658-60.22-45.468-60.22-2.672 0-4.275-.092-4.5-.063z"}}]})(props);
};
function GiPterodactylus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M195.078 81.106a72.32 72.32 0 0 0-4.875.144c20.211 18.922 90.405 54.51 115.96 67.815.566 6.98 4.585 13.445 9.626 18.35a40.955 40.955 0 0 0 8.951 5.618 36.729 36.729 0 0 0 11.121 3.114c39.043-7.876 79.358-20.672 91.674-40.938-26.172 7.951-64.972 20.712-76.94 11.75 10.764-11.26 66.873-25.417 99.874-34.89-33.286-5.368-67.09-3.996-94.844 1.15-8.986-11.726-37.958-6.492-40.58 1.076-43.533-21.561-93.918-33.137-119.967-33.19zm-72.002 4.12a62.517 62.517 0 0 0-2.113.007C83.334 85.964 42.866 120.307 21 172.24c62.03-24.275 107.601-13.472 127.008 50.608 17.565 58.001 20.151 72.474 37.605 90.674 5.596-.823 11.045-1.271 16.336-1.319 11.296-.1 21.9 1.556 31.834 4.932 7.502 2.55 14.56 6.053 21.232 10.4 31.198-13.47 51.025-65.112 51.586-64.447.517.613-8.556 52.854-37.365 75.49.694.628 1.386 1.26 2.07 1.908 37.534-5.482 46.148-27.539 95.938-46.64 36.044-13.828 90.576 8.131 117.07 57.414 8.86-21.59 19.38-105.537-44.095-138.588-55.477 20.318-92.092 27.083-131.909 29.553-2.828-10.308 10.185-38.304 16.522-49.948a58.814 58.814 0 0 1-26.553-16.79c-13.189 17.134-43.243 50.162-56.353 48.34-40.633-18.251-60.322-49.021-60.93-100.151-15.404-26.37-36.115-38.139-57.92-38.45zm78.957 244.932a94.728 94.728 0 0 0-7.232.352c-7.85 12.626-21.201 21.432-33.524 33.387-13.017 2.469-28.692-4.616-43.332-7.98 5.554 7.889 16.231 17.695 31.723 18.233-10.327 5.87-21.318 10.866-34.403 13.102 14.893 3.369 27.772 5.36 39.61-2.998l-11.053 24.88c6.803-2.052 13.433-5.372 19.47-12.95 7.79 3.006 17.858 4.384 28.475.095-7.337 9.633-15.61 18.732-26.834 26.147 14.966-2.992 27.568-6.43 35.375-18.973l-.963 27.442c8.26-7.014 15.099-16.496 15.489-37.17 18.54-12.41 30.418-29.978 39.662-44.164-4.779-4.05-9.7-7.476-14.82-10.256-10.114 15.388-21.978 32.425-39.512 42.344l.135.238-.78-.412c-8.367 6.232-20.49 7.628-32.45 9.23 2.213-3.659 4.332-8.02 6.323-13.293l-.062-.078c12.52-11.941 32.194-23.737 41.455-46.32a82.068 82.068 0 0 0-12.752-.856z"}}]})(props);
};
function GiPteruges (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M70.392 399.79l29.973 33.63 29.973-33.63V132.6H70.434V399.79zm29.973-24.75a13.662 13.662 0 1 1-13.662 13.663 13.662 13.662 0 0 1 13.652-13.673zM381.65 132.6V399.79l29.974 33.63 29.973-33.63V132.6h-59.904zm29.974 269.757a13.662 13.662 0 1 1 13.663-13.662 13.662 13.662 0 0 1-13.663 13.662zM303.84 145.925V431.34l29.972 33.63 29.973-33.63V132.598H317.05a77.875 77.875 0 0 1-13.21 13.347zm29.972 260.634a13.662 13.662 0 1 1-13.662 13.66 13.662 13.662 0 0 1 13.61-13.64zm-107.796-250v295.81L255.99 486l29.973-33.63V156.56a77.224 77.224 0 0 1-59.947 0zm43.636 284.722a13.662 13.662 0 1 1-13.663-13.662 13.662 13.662 0 0 1 13.662 13.662zM194.93 132.598h-46.726V431.34l29.973 33.63 29.973-33.63V145.945a77.886 77.886 0 0 1-13.22-13.347zm-16.71 301.306a13.662 13.662 0 1 1 13.662-13.662 13.662 13.662 0 0 1-13.663 13.662zM333.233 85.368a76.824 76.824 0 0 0-5.128-27.63h113.502v56.983H327.454a76.803 76.803 0 0 0 5.78-29.352zM70.392 57.738h113.502a77.024 77.024 0 0 0 .684 56.983H70.392V57.74zm185.597 86.998a59.368 59.368 0 1 1 59.368-59.368 59.368 59.368 0 0 1-59.37 59.368z"}}]})(props);
};
function GiPublicSpeaker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 33c-20.835 0-39 20.24-39 47s18.165 47 39 47 39-20.24 39-47-18.165-47-39-47zM110.258 54.934l-16.99 8.496c14.917 22.147 32.213 47.013 49.76 68.947 19.707 24.634 39.95 45.048 52.997 51.572l4.975 2.488v39.478c27.13 3.608 46.516 4.982 67.875 4.09-.66-.49-1.316-.98-1.95-1.48-4.915-3.88-9.18-8.206-12.5-12.856-5.87-.587-10.577-4.374-13.392-8.65-3.063-4.65-4.57-10.242-4.57-16.262s1.507-11.612 4.57-16.264c3.064-4.65 8.364-8.736 14.967-8.736s11.903 4.085 14.967 8.736c3.063 4.652 4.57 10.244 4.57 16.264s-1.507 11.612-4.57 16.263c-.06.094-.13.185-.192.277 1.92 2.358 4.335 4.758 7.303 7.1 6.283 4.962 14.722 9.46 24.75 12.66 2.65-.324 5.366-.67 8.172-1.04v-39.58l4.975-2.488c13.048-6.525 33.29-26.94 52.998-51.573 17.546-21.934 34.842-46.8 49.76-68.947l-16.99-8.496C355.066 101.422 307.792 145 256 145c-51.792 0-99.067-43.578-145.742-90.066zm29.094 179.93l12.152 60.763c101.057 9.362 107.935 9.362 208.992 0l12.147-60.734c-110.08 17.448-123.22 17.163-233.29-.03zm39.244 81.335l13.35 106.8h128.11l13.348-106.8c-67.76 6.032-87.047 6.032-154.808 0zM137 441v20h238v-20H137zM16 478v18h480v-18H16z"}}]})(props);
};
function GiPull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M93.773 44.664L68.55 57.39l37.313 81.938-12.09-94.664zm90.24 22.76L143.274 150.3l65.317-63.21-24.58-19.666zM18.16 125.832l10.63 26.8 45.698 5.903-56.328-32.703zm91.897 27.463c-3.665.025-7.122.8-10.256 2.295-17.278 8.244-21.157 36.154-8.663 62.34 6.016 12.59 15.09 23.08 25.218 29.158-10.305 83.743 29.287 137.784 91.366 163.535-6.917 35.032-33.276 60.587-61.855 84.023l93.987 2.895-9.897-9.165-42.893-7.88c33.39-22.314 45.968-38.168 56.854-71.397-5.27-10.354-18.877-24.948-25.432-35.895 19.945 2.308 49.183 5.725 53.745 10.135 3.78 9.84 21.27 31.79 27.754 59.832l6.336 20.523 49.205-46.476-2.654-10.328-39.57 26.59c.868-28.203-11.48-65.273-22.79-77.613 0 0-28.852-17.656-78.207-24.197-23.798-16.76-36.016-42.392-45.87-60.483l51.965 3.803 80.844-9.424s2.82 2.165 6.457 4.72c5.99 9.605 16.65 16.048 28.718 16.048 15.646 0 28.932-10.82 32.732-25.334H486v-18H366.857c-4.145-13.994-17.165-24.31-32.44-24.31-10.23 0-19.447 4.632-25.667 11.894-1.853-.17-3.7-.344-5.45-.605l-9.023 13.026-75.072 6.48-63.6-9c7.833-12.96 7.088-33.54-1.896-52.412-9.92-20.788-27.617-34.888-43.653-34.78zm224.36 83.394c8.846 0 15.825 6.976 15.825 15.822 0 8.845-6.98 15.822-15.824 15.822-2.576 0-4.986-.606-7.12-1.664 2.146-10.544-.162-23.4-1.073-27.73a15.89 15.89 0 0 1 8.193-2.25zM384 384l-32 112h128V384h-96z"}}]})(props);
};
function GiPulleyHook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v26.697C50.28 79.223 86.162 119.62 121.27 154.73c7.474 7.472 14.906 14.672 22.29 21.577.626-15.512 2.587-30.3 6.32-43.92-1.05-1.043-2.097-2.06-3.15-3.116C112.02 94.566 75.78 53.63 42.343 18H18zm451.656 0C436.22 53.63 399.978 94.565 365.27 129.27c-1.053 1.056-2.1 2.074-3.15 3.117 3.733 13.62 5.694 28.408 6.32 43.92 7.384-6.905 14.815-14.105 22.29-21.578C425.837 119.62 461.72 79.222 494 44.696V18h-24.344zM256 73c-37.004 0-59.39 12.048-73.865 31.926-14.475 19.878-20.815 48.9-20.815 82.76 0 32.733 12.526 74.317 31.2 106.765 18.674 32.45 43.356 54.31 63.48 54.31 20.124 0 44.806-21.86 63.48-54.31 18.674-32.447 31.2-74.03 31.2-106.762 0-33.86-6.34-62.884-20.815-82.762C315.39 85.048 293.005 73 256 73zm0 33.84c28.723 0 52.2 23.476 52.2 52.2 0 28.722-23.477 52.2-52.2 52.2-28.723 0-52.2-23.478-52.2-52.2 0-28.724 23.477-52.2 52.2-52.2zm0 18c-18.995 0-34.2 15.204-34.2 34.2 0 18.994 15.205 34.2 34.2 34.2 18.995 0 34.2-15.206 34.2-34.2 0-18.996-15.205-34.2-34.2-34.2zm0 163.8a17.28 17.28 0 0 1 17.28 17.28A17.28 17.28 0 0 1 256 323.2a17.28 17.28 0 0 1-17.28-17.28A17.28 17.28 0 0 1 256 288.64zm-21.295 73.817c-1.627 12.586 15.293 28.578 23.174 34.924 13.667 11.006 17.264 17.432 17.57 28.745-1.237 20.46-24.713 30.12-40.116 22.61-10.508-4.9-14.115-13.667-18.064-26.34-2.847-9.13-8.66-17.694-16.848-23.45-6.236-4.133-14.468-11.77-21.254-5.674-4.812 8.384 5.022 12.23 9.338 21.86.937 5.91.795 9.66.865 13.84.095 16.42 7.29 59.422 66.314 60.977 35.535.936 64.83-31.247 66.322-62.418.21-4.415 1.247-47.05-44.97-64.967-6.754 2.702-13.774 4.197-21.036 4.197-7.355 0-14.46-1.534-21.295-4.303z"}}]})(props);
};
function GiPulse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-120 0-135 105-60 195 0-165 135-45 135-135 0-30-45-60-75-60zm146.25 134.532C370.61 152.554 334.75 167.875 301 196c165 0 45 135 135 135 30 0 60-45 60-75 0-75-41.016-108.838-93.75-105.468zM76 181c-30 0-60 45-60 75 0 120 105 135 195 60-165 0-45-135-135-135zm175.782 15A60 60 0 0 0 196 256a60 60 0 0 0 120 0 60 60 0 0 0-64.218-60zM316 301c0 165-135 45-135 135 0 30 45 60 75 60 120 0 135-105 60-195z"}}]})(props);
};
function GiPummeled (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M264.438 19.406c-44.538 0-85.325 25.498-115.563 68.313-30.238 42.814-49.344 102.72-49.344 169.06 0 66.342 19.107 126.218 49.345 169.033 30.238 42.814 71.025 68.312 115.563 68.312 5.567 0 11.063-.407 16.5-1.188h-5.22v-101.03c-3.053-.113-6.146-.188-9.28-.188-42.64 0-77.884 10.712-89.594 25.06-12.247-31.8 31.85-44.782 79.937-45.28 3.207-.033 6.432-.013 9.658.063 13.398.317 29.624 1.364 44.812 3.812v-96.5c-7.803-4.306-13.24-10.104-14.5-17.156 34.81 11.84 95.232 3.377 105.28-3.533-6.275 26.1-43.588 33.29-72.092 27.313v93.875c15.12 4.21 26.88 10.5 29.937 19.844H360v.374c.856 2.857.906 5.995 0 9.437V450c7.074-7.285 13.763-15.357 20-24.188 30.238-42.814 49.313-102.69 49.313-169.03 0-66.342-19.075-126.248-49.313-169.063-30.238-42.816-71.025-68.314-115.563-68.314zM180.03 196.094c31.532 0 57.757 21.39 63.345 49.656-12.986-12.15-36.66-22.038-63.72-25.188-21.95-2.554-41.682-.146-55.28 5.72 11.178-18.06 31.913-30.188 55.656-30.188zm-63.093 73.312c13.18 11.733 36.34 21.21 62.72 24.28 22.427 2.612 42.504.024 56.124-6.123-11.164 18.15-31.94 30.375-55.75 30.375-31.1 0-57.034-20.832-63.093-48.532zm177.47 123.906v96.875c16.583-4.4 32.347-12.38 46.906-23.5v-61.093c-11.7-5.73-28.008-10.08-46.907-12.28z"}}]})(props);
};
function GiPumpkinLantern (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.5 21.156c-16.98.22-33.708 4.552-49.72 13.313l-4.593 2.5-.25 5.218c-.71 14.473-.49 33.985 3.063 52.968-45.775 2.55-84.144 20.94-113.094 48.625C48.312 181.647 25.87 236.18 22.47 291c-3.402 54.82 12.32 110.396 50.5 149.563 38.01 38.994 98.086 60.67 179.843 49.437 91.743 8.826 154.664-13.978 192-53.906 37.494-40.1 48.374-96.148 39.968-150.563-8.404-54.413-35.9-107.795-76.905-144.53-30.753-27.55-69.526-45.58-112.813-46.688-6.366-.163-12.823.077-19.375.688 1.99-18.702 8.107-36.836 18.282-54.75l5.717-10.03-11-3.5c-10.928-3.484-21.894-5.354-32.78-5.564-1.135-.022-2.275-.014-3.407 0zm.594 18.5c.826-.005 1.64.012 2.47.032 5.472.13 11.025.846 16.655 2.03-14.398 29.89-19.03 61.625-13.314 94.282-8.162 1.28-13.987-.206-18.844-3.25-6.315-3.958-11.562-11.503-15.406-21.594-7.026-18.446-8.592-43.953-8.125-62.625 12.073-5.82 24.17-8.79 36.564-8.874zm36.812 73.22c1.623-.017 3.238-.007 4.844.03 26.418.605 50.73 8.318 72.438 21.188-6.758 10.28-19.022 19.106-35.563 25.78-21.344 8.614-49.05 13.303-77.063 13.5-28.012.2-56.365-4.08-79.093-12.5-18.705-6.928-33.23-16.595-41.532-28.093 20.665-11.46 44.554-18.416 71.687-19.28.486 1.454 1.022 2.892 1.563 4.313 4.727 12.41 11.81 23.756 22.968 30.75 11.158 6.993 25.952 8.577 42.406 3.343l8.22-2.625-1.97-8.405c-2.15-9.21-3.372-18.236-3.718-27.125 5.003-.54 9.945-.827 14.812-.875zm-171.78 29.968c11.135 16.145 29.513 27.66 50.843 35.562 25.507 9.45 55.785 13.868 85.75 13.656 29.962-.21 59.59-5.03 83.905-14.843 18.664-7.533 34.624-18.224 44.125-32.69 4.345 3.26 8.565 6.71 12.656 10.376 37.356 33.467 63.165 83.352 70.906 133.47 7.742 50.116-2.365 99.87-35.156 134.937-32.79 35.067-89.1 56.757-177.656 48l-1.125-.094-1.094.155c-77.94 10.96-131.157-9.192-164.936-43.844-33.78-34.65-48.35-84.885-45.22-135.374 3.133-50.488 24.058-100.77 59.688-134.844 5.438-5.2 11.21-10.05 17.313-14.468zm55.06 59.28c-17.525 19.402-30.988 41.834-41.03 66.845l78.563 2.936c-9.76-26.926-22.16-50.34-37.532-69.78zm168.033 1.407c-19.43 0-35.19 15.756-35.19 35.19 0 19.43 15.76 35.186 35.19 35.186s35.155-15.755 35.155-35.187c0-19.436-15.726-35.19-35.156-35.19zM62.31 321.876c10.71 51.276 48.785 85.54 97.157 103.875L164.5 400l40 7.688-5.656 29.125c20.105 3.882 41.064 5.448 61.937 4.812l-3.25-29.22 47.283-5.25 3.25 29.158c24.27-4.824 47.335-12.838 67.562-23.875l-11.094-29.375 38.876-17.625 8.03 21.25c18.428-17.576 31.46-39.23 36.408-64.813-31.205 9.386-64.876 16.156-99.656 20.375l3.656 26.844L303.97 377l-4.19-30.563c-14.542.79-29.185 1.157-43.81 1.125l-1.814 33.813-48.312-3.47 1.72-31.936c-14.844-.943-29.6-2.267-44.126-4.033l-8.844 35.25-40.563-6.78 8.657-34.626c-20.89-3.765-41.127-8.4-60.374-13.905z","fillRule":"evenodd"}}]})(props);
};
function GiPumpkinMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.156 16.875c-48.954 107.457-128.398 80.9-139.312 36.97-57.82 42.426-95.53 110.673-95.53 187.56-.002 128.577 104.928 232.94 234.217 232.94 129.29 0 234.22-104.363 234.22-232.94 0-76.278-37.273-143.847-94.313-186.343-11.27 42.068-78.266 67.493-139.28-38.187zM134.686 134.53c9.528-.102 20.15 2.023 30.5 6.5 25.48 11.024 39.598 32.274 31.5 47.47-8.095 15.196-35.33 18.585-60.81 7.563-25.48-11.023-39.567-32.304-31.47-47.5 4.808-9.023 16.358-13.88 30.28-14.032zm248.97 1.19c14.907-.366 27.44 4.532 32.5 14.03 8.097 15.196-6.02 36.446-31.5 47.47-25.48 11.02-52.684 7.632-60.78-7.564-8.098-15.196 5.988-36.446 31.468-47.47 9.555-4.132 19.368-6.25 28.312-6.467zM151.75 228.562L205 316.719l54.5-77.5 40.438 80.56 65.406-89.936 34.812 69.25 73.375-62.844c-1.208 56.223-38.25 133.637-83.78 165.344l-23.344-68.03-56.125 93.186-56.467-89.656-70.094 83.594-53.25-91.72-17.407 64.344c-46.367-40.18-69.01-99.95-66.907-158.593l54.157 68.186 51.437-74.344z"}}]})(props);
};
function GiPumpkin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M293.5 25.08c-19.9 21.16-44 43.18-75.6 51.3 9.6 13.18 16.6 28.02 22.6 40.22 4.7-.8 9.4-1.3 14.2-1.3 1.8 0 3.6.1 5.4.2-4.6-8.7-7.1-17.98-8.3-25.81l-.7-4.73 3.5-3.23c15.3-14.1 36.1-22.27 57.8-30.82-8.1-8.47-14.2-17.16-18.9-25.83zM254.7 133.3c-27.1 0-52.6 18.2-71.9 50.1-19.3 31.9-31.7 76.9-31.7 126.7s12.4 94.8 31.7 126.7c19.3 31.9 44.8 50.1 71.9 50.1 27.1 0 52.6-18.2 71.9-50.1 19.3-31.9 31.7-76.9 31.7-126.7s-12.4-94.8-31.7-126.7c-19.3-31.9-44.8-50.1-71.9-50.1zm-98.5 12.1c-18.1 0-36.8 16-51.2 45.9-14.42 29.8-23.69 72.2-23.69 119.1 0 46.9 9.27 89.3 23.69 119.1 14.4 29.9 33.1 45.9 51.2 45.9 8.3 0 16.8-3.4 24.9-9.9-4.9-6-9.5-12.5-13.7-19.4-21.4-35.3-34.3-83.2-34.3-136s12.9-100.7 34.3-136c4.1-6.8 8.6-13.2 13.4-19-8-6.4-16.4-9.7-24.6-9.7zm205.4 2.4c-9.6 0-19.3 4.5-28.5 13.1 3.1 4.2 6.1 8.6 8.9 13.2 21.4 35.3 34.3 83.2 34.3 136s-12.9 100.7-34.3 136c-3.5 5.8-7.2 11.2-11.2 16.3 9.8 10.1 20.4 15.4 30.8 15.4 18.1 0 36.8-16 51.2-45.9 14.4-29.8 23.7-72.2 23.7-119.1 0-46.9-9.3-89.3-23.7-119.1-14.4-29.9-33.1-45.9-51.2-45.9zm-267.77.9c-17.89 0-36.02 14.8-50.05 42.4-14.02 27.6-23.07 66.8-23.07 110.2 0 43.4 9.05 82.6 23.07 110.2 14.03 27.6 32.16 42.4 50.05 42.4 1.32 0 2.63-.1 3.95-.3-3.22-5-6.23-10.5-9.01-16.3-15.96-33.1-25.46-77.7-25.46-126.9s9.5-93.8 25.46-126.9c5.76-12 12.53-22.6 20.13-31.3-5-2.3-10.06-3.5-15.07-3.5zm324.37 1.5c-3.8 0-7.6.7-11.4 2 8.5 9.1 15.9 20.6 22.2 33.7 16 33.1 25.5 77.7 25.5 126.9S445 406.6 429 439.7c-2.6 5.5-5.5 10.7-8.5 15.6 17.1-1.2 34.3-15.9 47.7-42.3 14.1-27.6 23.1-66.8 23.1-110.2 0-43.4-9-82.6-23.1-110.2-14-27.6-32.1-42.4-50-42.4z"}}]})(props);
};
function GiPunchBlast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M91.773 25.994C189.313 167.854 104.52 157.17 65.64 169.2c38.8 52.918 16.554 102.644-44.503 133.788 52.5 21.085 122.25 30.452 42.027 141.707 79.578-45.024 134.707-48.82 127.13 53.15 57.795-58.495 133.043-87.973 208.054-38.53-8.558-73.916 12.66-106.284 86.88-74.4-79.58-73.01-46.696-116.363.458-158.83-81.492-3.232-92.92-65.497-89.922-139.92-49.183 53.518-86.497 47.756-104.002-56.962-33.806 76.857-79.335 125.91-199.99-3.21zM202.15 135.336c16.1.356 25.565 12.198 34.666 24.678L177.312 263.08c-20.422 1.985-35.31-4.577-41.787-24.123l59.51-103.074c1.93-.326 3.772-.503 5.537-.545.534-.013 1.06-.014 1.578-.002zm69.037 11.197c16.1.352 25.567 12.2 34.668 24.676L238.947 290.24c-20.423 1.985-35.31-4.586-41.785-24.127l66.91-119.03c1.93-.327 3.772-.507 5.537-.55.533-.013 1.058-.013 1.577-.002zm58.704 32.05c16.102.357 25.567 12.198 34.67 24.673l-65.945 117.547c-20.423 1.98-35.31-4.58-41.783-24.123l65.94-117.55c1.93-.325 3.773-.502 5.54-.544.532-.013 1.06-.013 1.58-.002zm46.342 55.233c16.773.098 26.746 11.977 36.354 24.485l-55.557 96.227c-20.026 1.297-34.856-5.367-41.786-24.125l55.56-96.224c1.887-.255 3.693-.372 5.428-.362zM127.55 271.713l105.83 47.52c3.015 21.69-2.782 38.788-21.958 48.91L105.588 320.62c-4.508-21.618 8.273-35.485 21.96-48.907z"}}]})(props);
};
function GiPunch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M198.844 64.75c-.985 0-1.974.03-2.97.094-15.915 1.015-32.046 11.534-37.78 26.937-34.072 91.532-51.085 128.865-61.5 222.876 14.633 13.49 31.63 26.45 50.25 38.125l66.406-196.467 17.688 5.968L163.28 362.5c19.51 10.877 40.43 20.234 62 27.28l75.407-201.53 17.5 6.53-74.937 200.282c19.454 5.096 39.205 8.2 58.78 8.875L381.345 225.5l17.094 7.594-75.875 170.656c21.82-1.237 43.205-5.768 63.437-14.28 43.317-53.844 72.633-109.784 84.5-172.69 5.092-26.992-14.762-53.124-54.22-54.81l-6.155-.282-2.188-5.75c-8.45-22.388-19.75-30.093-31.5-32.47-11.75-2.376-25.267 1.535-35.468 7.376l-13.064 7.47-.906-15c-.99-16.396-10.343-29.597-24.313-35.626-13.97-6.03-33.064-5.232-54.812 9.906l-10.438 7.25-3.812-12.125c-6.517-20.766-20.007-27.985-34.78-27.97zM103.28 188.344C71.143 233.448 47.728 299.56 51.407 359.656c27.54 21.84 54.61 33.693 80.063 35.438 14.155.97 27.94-1.085 41.405-6.438-35.445-17.235-67.36-39.533-92.594-63.53l-3.343-3.157.5-4.595c5.794-54.638 13.946-91.5 25.844-129.03z","fillRule":"evenodd"}}]})(props);
};
function GiPunchingBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M383 19.27l-88.6 88.63c5.8-2.9 12.7-5 20.6-6.7 4.4-1 9.2-1.84 14.2-2.58L383 44.73l53.8 53.89c5 .74 9.8 1.58 14.2 2.58 7.9 1.7 14.8 3.8 20.6 6.7L383 19.27zm0 93.73c-23.5 0-47.1 2-64 5.8-8.5 1.9-15.4 4.3-19.3 6.5-3.4 2-3.7 3-3.7 2.8v49.2c5.6-1.4 12.2-2.4 20-3.2 18.6-2.1 42.8-3.1 67-3.1 24.2 0 48.4 1 67 3.1 7.8.8 14.4 1.8 20 3.2v-49.2c0 .2-.3-.8-3.7-2.8-3.9-2.2-10.8-4.6-19.3-6.5-16.9-3.8-40.5-5.8-64-5.8zm0 76c-23.7 0-47.6 1-65 2.9-8.7 1-15.9 2.3-20.3 3.5-.6.2-1.2.4-1.7.5v200.2c.5.1 1.1.3 1.7.5 4.4 1.2 11.6 2.5 20.3 3.5 17.4 1.9 41.2 2.9 65 2.9 23.8 0 47.6-1 65-2.9 8.7-1 15.9-2.3 20.3-3.5.6-.2 1.2-.4 1.7-.5V195.9c-.5-.1-1.1-.3-1.7-.5-4.4-1.2-11.6-2.5-20.3-3.5-17.4-1.9-41.2-2.9-65-2.9zm-253.3 6.8C101.8 195.5 59 224 59 224v64s37.9 44.7 79.8 44.4c21.5-.1 86.5-9.5 95.5-37.7 5.8-18 5.7-46.4-9-60.7-20.1-19.6-83.5-10-83.5-10s9.7-17.5 4.1-22.7c-4.1-3.8-9.8-5.4-16.2-5.5zM24 224v64h18v-64H24zm272 190.7v49.2c0-.2.3.8 3.7 2.8 3.9 2.2 10.8 4.6 19.3 6.5 16.9 3.8 40.5 5.8 64 5.8s47.1-2 64-5.8c8.5-1.9 15.4-4.3 19.3-6.5 3.4-2 3.7-3 3.7-2.8v-49.2c-5.6 1.4-12.2 2.4-20 3.2-18.6 2.1-42.8 3.1-67 3.1-24.3 0-48.4-1-67-3.1-7.8-.8-14.4-1.8-20-3.2z"}}]})(props);
};
function GiPuppet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.406 17.188c-25.61 0-46.22 20.72-46.22 46.593 0 25.875 20.61 46.595 46.22 46.595s46.25-20.72 46.25-46.594c0-25.872-20.64-46.593-46.25-46.593zm122.78 37.937l-78.31 58.625c2.665 5.776 4.776 12.026 6.25 18.656l69-51.656 3.062-25.625zm-255.342 1.28l8.875 27.407 64.186 39.376c2.513-5.943 5.514-11.462 8.938-16.47l-82-50.312zM398.47 59.47l-3.095 26.28 41.438 52.625c4.674-4.206 10.216-7.468 16.312-9.47L398.47 59.47zm-291.94 1l-51.718 80c6.345 1.322 12.192 3.976 17.282 7.655l41.844-64.72-7.407-22.936zm111.94 55.5c-7.12 10.803-12.285 24.91-13.907 40.686-2 19.438 1.785 37.464 9.062 50.563 7.277 13.098 17.574 20.998 29.28 22.218 11.708 1.22 23.405-4.372 33.19-15.688 9.783-11.316 17.156-28.218 19.155-47.656 1.74-16.923-.89-32.787-6.406-45.25-9.327 5.225-20.04 8.22-31.438 8.22-14.59 0-28.083-4.874-38.937-13.095zm248.75 29.374c-14.947 0-26.876 11.93-26.876 26.875s11.93 26.874 26.875 26.874 26.842-11.93 26.842-26.875c0-14.947-11.897-26.876-26.843-26.876zM45.56 158.22c-14.946 0-26.874 11.896-26.874 26.843 0 14.946 11.928 26.875 26.875 26.875 14.946 0 26.843-11.93 26.843-26.875 0-14.947-11.897-26.844-26.844-26.844zM212.5 230.03c-10.02 7.32-16.327 17.48-16.53 27.532-.185 9.06 3.95 16.745 11.655 22.625 7.705 5.88 19.014 9.51 32.03 8.75 26.036-1.52 46.228-20.007 46.595-38.125.148-7.302-2.523-13.71-7.594-19-10.786 8.85-23.713 13.758-37.28 12.344-11.08-1.154-20.883-6.343-28.876-14.125zm69.906 62.5c-9.156 6.97-20.466 11.91-32.72 14.033l47.783 81.125 15.874-13.625-30.938-81.532zm-81.687 5.564l-9.595 91.78 18.53 13.345 24.532-95.5c-12.492-.33-24.01-3.736-33.468-9.626zm125.124 89.844l-15.72 13.5 65.22 51.03c2.495-9.733 8.156-18.518 16.156-24.78l-65.656-39.75zm-142.47 19.375l-55.905 29.75c4.933 6.162 8.355 13.66 9.53 22 .09.648.156 1.29.22 1.937l64.56-40.406-18.405-13.28zm235.907 29.437c-.773.01-1.562.048-2.342.125-1.784.176-3.558.514-5.344 1.063-14.29 4.384-22.197 19.273-17.813 33.562 4.385 14.29 19.275 22.197 33.564 17.813 14.29-4.385 22.196-19.274 17.812-33.563-3.596-11.72-14.268-19.132-25.875-19zm-327 1.78c-1.355-.013-2.736.087-4.124.283-14.8 2.084-24.928 15.543-22.844 30.343 2.085 14.8 15.544 24.928 30.344 22.844 14.8-2.084 24.928-15.544 22.844-30.344-1.824-12.95-12.355-22.316-24.875-23.062-.447-.027-.892-.058-1.344-.063z"}}]})(props);
};
function GiPurpleTentacle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M248.8 31.83c-9.2.01-17.1 4.28-25.4 12.96-4.6 4.87-9.1 11.11-13.5 18.27 18.4 2.52 34.9 4.13 44.2 3.63 8.3-.45 20.7-2.89 33.9-6.1-4.8-6.42-9.6-12.05-14.4-16.5-8.8-8.23-17.1-12.26-24.8-12.26zm179 39.08c-8.6-.15-13.8 2.83-19.2 8.94-5.3 6.12-10.1 15.66-14.5 26.55-8.8 21.9-15.7 49.1-34.7 65.3l-8.8 7.5-5.1-10.5c-10.1-20.7-21.5-46.3-33.9-69.74-4.2 3.04-8.5 5.84-12.9 8.54 3.7 5 6 10.9 6 17.4 0 11.3-6.9 20.8-16.2 27-9.3 6.2-21.3 9.6-34.4 9.6-13.1 0-25.1-3.4-34.4-9.6-9.3-6.2-16.2-15.7-16.2-27 0-5.5 1.7-10.6 4.4-15.1-5.7-2.2-11.6-4.5-17.4-6.9-10.6 25.3-20.3 53-30.7 75.7l-1.9 4-4.4 1c-6.9 1.5-19.9 8.2-33.6 18-13.6 9.9-28.38 22.7-41.04 36.2-12.67 13.5-23.24 27.7-28.72 39.6-2.74 5.9-4.16 11.2-4.34 15.2-.17 4 .63 6.5 2.45 8.8 4.29 5.3 7.53 6.4 12.26 6.4 4.73 0 11.27-2.2 18.63-6.1 14.72-7.8 31.86-21.9 49.56-30.4l16.8-8.2-4.1 18.3c-15.3 67.4-28.7 119-76.69 211.3l390.79 1.7c-21-100-28.6-134.9-66.2-235.3l-2-5.4 4-4.1c17-17.5 40.3-65.6 50.1-107.5 5-20.9 6.6-40.5 4-53.32-1.3-6.4-3.5-10.87-6.2-13.57-2.6-2.69-5.7-4.2-11.4-4.3zm-110.5.46c-21.3 6.2-45.1 12.38-62.2 13.3-19.4 1.04-52-3.9-82.1-9.19.5.2.8.39 1.3.59 15.2 7.04 31.5 13.97 46 19.02 14.5 5.01 27.5 8.01 34.5 7.91 18.3-.3 35.3-9.97 51.8-22.78 3.6-2.83 7.1-5.83 10.7-8.85zM282 115.6c-8.4 3.2-17.3 5.2-26.8 5.4-8.7.1-18.5-1.9-29.3-5.1-3.1 3-4.4 6.1-4.4 9 0 3.9 2.4 8.2 8.2 12 5.7 3.8 14.5 6.6 24.4 6.6 9.9 0 18.7-2.8 24.4-6.6 5.8-3.8 8.2-8.1 8.2-12 0-3-1.4-6.2-4.7-9.3zm-14 62c17.9 0 34.3 4.7 46.7 12.8 12.5 8.2 21.4 20.5 21.4 34.9 0 14.4-8.9 26.7-21.4 34.9-12.4 8.1-28.8 12.8-46.7 12.8-17.9 0-34.3-4.7-46.7-12.8-12.5-8.2-21.4-20.5-21.4-34.9 0-14.4 8.9-26.7 21.4-34.9 12.4-8.1 28.8-12.8 46.7-12.8zm0 18c-14.7 0-27.9 4-36.9 9.9-5.2 3.4-8.9 7.3-11 11.3 16.2-5.6 30.6-8.9 45.6-9.3 15.4-.4 31.3 2.4 50.1 9.1-2.1-3.9-5.7-7.7-10.9-11.1-9-5.9-22.2-9.9-36.9-9.9zm1.1 29.1c-15.2-.1-29.5 3.9-48 10.8 2.2 3.4 5.5 6.7 10 9.6 9 5.9 22.2 9.9 36.9 9.9s27.9-4 36.9-9.9c4.5-2.9 7.8-6.2 10-9.6-18.4-7.3-32.5-10.7-45.8-10.8zm9.6 78.5c28.4 0 54.3 7.9 73.6 21.5 19.3 13.5 32.2 33.1 32.2 55.3 0 22.2-12.9 41.8-32.2 55.3-19.3 13.6-45.2 21.5-73.6 21.5-28.4 0-54.3-7.9-73.6-21.5-19.3-13.5-32.2-33.1-32.2-55.3 0-22.2 12.9-41.8 32.2-55.3 19.3-13.6 45.2-21.5 73.6-21.5zm0 18c-25 0-47.5 7.1-63.3 18.2-13.7 9.6-22.2 21.8-24.1 34.9 29.3-24.8 59.3-36.4 89.2-36.1 28.8.3 56.8 11.3 84.2 30.1-3.3-10.8-11.1-20.8-22.7-28.9-15.8-11.1-38.3-18.2-63.3-18.2zm1.6 35c-28-.3-56.3 11.3-86.1 39.6 3.8 9.2 11.1 17.7 21.2 24.8 15.8 11.1 38.3 18.2 63.3 18.2s47.5-7.1 63.3-18.2c12-8.4 19.9-18.7 23-29.9-28.9-22.1-57.1-34.2-84.7-34.5z"}}]})(props);
};
function GiPush (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M224 27.027l14.037 110.54 14.807-103.032L224 27.027zm112.71 21.127l-61.58 92.37 88.4-70.518-26.82-21.852zM125.15 69.012V98.81l77.475 41.715-77.475-71.513zM319 143.088C364.826 255.36 348.206 384 319 493h174V143.088H319zm-78.598 11.463c-.567-.006-1.14 0-1.718.02-12.517.413-26.47 6.774-37.893 17.274-15.774 14.527-23.843 34.25-20.167 49.3-45 12.35-76.594 62.683-81.64 102.18-3.968 37.166 15.322 61.415.558 85.432L40.77 447.54l-20.458 9.997L55.33 496.19h15.686l-17.27-32.17 72.906-38.573c14.698-8.6 16.065-23.74 19.28-41.092 16.147 11.876 33.577 23.202 47.56 32.48-6.36 27.685-38.544 52.854-58.512 79.356h77.827l-2.905-5.21s-39.03-6.813-43.77-7.498c-.15.01-.29.005-.407-.02-.327-.076-.082-.05.408.02 8.143-.477 65.126-51.946 63.53-64.54-13.498-23.115-34.03-44.835-54.974-66.276 1.845-25.475 2.3-52.734 40.75-75.596l110.044-4.566c-.94-22.375-4.53-59.816-10.35-66.018-9.702 7.54-10.872 30.843-11.628 48.637l-79.463-2.283c-8.445-.63-14.943-7.846-21.15-12.822 13.6 1.556 30.02-4.91 43.218-17.024 20.673-19.002 27.286-45.857 14.77-59.982-4.795-5.412-11.97-8.365-20.478-8.46z"}}]})(props);
};
function GiPuzzle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M172 18c-.7 1.85-1.5 3.8-2.1 5.9-3.5 10.93-5.1 23.89-.5 33.29.5 1.02.8 1.28 1.2 2.07 4.9-4.07 13-9.15 24.8-8.79 9.8.29 17.9 6.02 22.6 13.13 4.7 7.11 6.9 15.56 7.3 24 .4 8.43-.9 16.9-4.5 24.3-3.6 7.4-10.3 14.2-19.5 15.5-15.1 2.2-26-6.1-31.5-9.7-.9-.5-1.3-.6-1.8-.9-.3.5-.4.5-.9 1.7-.5 1-.9 8.2 1.2 17.6.8 3.4 1.7 7.1 2.9 10.9 20.6-.5 40.8 1.1 55.3 6.7 7.4 2.8 12.6 5.3 16.2 10.5 3.6 5.2 2.7 12.1 1.2 16-2.9 7.8-6.5 12.2-5.4 22.2.5 3.8 1.6 5 4 6.3 2.4 1.3 6.5 2 10.9 1.3 8.8-1.2 16.9-7.2 17.8-13.4 1.3-8.9-.6-8.7-3.9-12.8-.8-1.1-2-2.4-2.9-4.9-.9-2.6-.7-6.8.8-9.5 2.9-5.4 6.5-6.9 12.1-9.9 8.8-4.8 18.6-3.8 29.3-2.1 7.5 1.2 15.6 3.1 23.8 5.2-2.3-9.1-4.4-18.1-5.7-26.5-1.7-11.3-2.4-21.7 2.7-30.9 1.8-3.1 3.2-5.48 5-7.56 1.7-2.08 3.8-4.37 7.9-5.24 4.1-.88 8.4 1.3 10.2 3.01 1.9 1.71 2.7 3.1 3.5 4.31 1.6 2.38 2.9 4.18 4.1 4.98 1.2.9 2.1 1.6 5.8 1 2.5-.3 4.9-2 7.1-5.6 2.3-3.56 3.9-8.87 4.2-14.02.2-5.15-.8-10.02-2.6-12.92-1.7-2.89-3.2-4.14-7.1-4.36-5.2-.3-7.3.68-8.5 1.45-1.2.76-1.7 1.5-2.7 3.21-.6.85-.7 2.09-3.9 4.31-1.6 1.11-4.9 2.13-7.6 1.55-2.8-.59-4.3-1.97-5.3-2.97-3.9-3.97-4.4-6.59-7.5-13.06-7.5-15.61-6.7-32.44-4-45.3zm173.1 0c-2.6 10.87-4.4 25.98 1.1 37.49.1.13.1.17.2.3.3-.21.5-.44.8-.64 4.7-3.01 11.2-4.79 19.3-4.32 9.5.54 17.4 6.12 21.6 13.14 4.2 7.01 5.5 15.14 5 23.1-.4 7.96-2.6 15.83-6.8 22.63-4.2 6.7-11 12.6-19.8 13.8-7.6 1.1-14.5-.9-19.1-4.2-1.9-1.4-3.3-2.9-4.6-4.4-1 2.9-1.6 9.6-.3 18.6 1.5 9.8 4.6 21.8 7.8 34 0 .1 0 .2.1.2 8.7 2.3 17.2 4.3 24.8 5.5 10.2 1.6 18.6 1.5 22.6 0 2-.7 2.7-1.2 3.5-1.7 0-.1 0-.1-.1-.2-3.9-5.5-14.1-16.9-12.9-33.9.7-9.7 7.4-17.6 15.1-20.8 3.9-1.6 8-2.4 12.1-2.6 4.2-.2 8.4.1 12.6.9 8.3 1.5 16.5 4.8 23.4 9.7 6.9 4.9 12.8 11.7 14.1 20.8 2 13.8-5.3 23.4-9.3 28.2l.2.2c5.9 2.8 19.2 1.4 30.6-2.3 2.4-.7 4.7-1.6 6.9-2.4V18zm73.3 114c-3.3 0-6.2.5-8.1 1.2-3 1.3-3.8 1.9-4 5.4-.7 9.6 4.5 15.1 9.6 22.3 1.3 1.8 2.6 3.7 3.6 6.2 1.1 2.6 1.7 6.4.6 10-2.4 7.3-8.5 10.2-16.1 13-9.6 3.6-20.2 2.7-31.7.9-5.5-.9-11.2-2.1-17-3.5 1.3 5.6 2.5 11.2 3.3 16.6 1.8 11.6 2.5 22.4-1.9 32-3.1 6.9-4.1 10.8-9.8 14.5-2.8 1.8-8.1 2.1-11 .8-2.8-1.3-3.9-2.7-5-3.8-4.2-4.3-5.1-7.4-15.4-6.8-3.7.2-4.8 1.2-6.3 4.2-1.5 2.9-2.3 8-1.8 13.3.6 5.4 2.4 10.8 4.7 14.2 2.2 3.5 4 4.3 5.3 4.3 7 .1 10.8-3.3 17.4-6.7 3.3-1.8 8.8-3.9 14.6-1.6 5.7 2.3 8.7 7 11.6 12.9 4.9 10.1 7 24.3 7.7 40.1.9-.1 1.9-.3 2.8-.5 11.2-1.9 21.6-2.8 31.2.7 3.8 1.4 6.7 2.7 9.4 4.5 2.6 1.8 5.5 4.6 6.4 8.7.9 4.2-.7 7.9-2.1 10.1-1.4 2.3-2.9 3.7-4.3 5.2-5.7 5.7-10.4 9.2-9.3 17.1.4 2.8 2.2 5.4 6.5 7.9 4.2 2.6 10.5 4.5 16.8 5 6.3.5 12.5-.4 16.5-2.1 3.9-1.7 5-3.1 5.3-5.2 1.1-7.3-3-11.5-8.1-18.3-2.5-3.4-6.1-7.8-5.5-14.7.6-6.9 5.9-11.9 12.5-15.7 14.9-8.4 32.3-4.9 45.7-.6.5.2 1 .3 1.5.5V188.2c-.5.2-.9.3-1.4.5-13.1 4.2-29.5 8.3-44 1.2-2.9-1.4-5.3-2.8-7.5-4.7-2.2-2-4.3-4.8-4.9-8.4-.5-3.6.7-6.8 1.8-8.8 1.2-2 2.4-3.4 3.4-4.7 4.4-5 7.6-7.3 6.4-15.3-.3-2.4-2.4-5.7-6.7-8.8-4.3-3-10.4-5.5-16.3-6.6-2.2-.4-4.4-.6-6.4-.6zm-241.1 33h-.6l1.3 4.1c3.7 12 7.5 24.3 9.6 35.7 2 11.4 2.9 22.1-2 31.7-1.7 3.4-3.3 6-5.3 8.4-2 2.3-5.1 4.9-9.6 5.1-4.4.2-7.7-2.2-9.5-4-1.7-1.7-2.8-3.2-3.8-4.7-2.2-3-4.1-5.6-6.2-7.1-2-1.6-3.8-2.5-8.2-2-3.1.4-5.5 2.1-8 6.2-2.4 4.2-4.1 10.4-4.5 16.7-.3 6.3.8 12.6 2.7 16.7 1.9 4.1 3.7 5.5 6.1 5.8 8 1.2 12.5-2.9 19.4-7.7 3.4-2.4 7.6-5.7 14.4-5.2 6.8.5 11.9 5.8 15.4 12.1 4.9 9 3.7 18.9 1.9 29.9-1.9 10.9-5.2 23.1-8.5 35.3-.2.7-.4 1.3-.6 2 17.5-1 33.9-4 41.8-7.9.1 0 .1 0 .1-.1-2.9-4.5-4.6-10.8-4.2-18.7.4-9.6 5.8-17.5 12.5-22.1 6.7-4.6 14.6-6.5 22.4-6.8 7.8-.3 15.5 1 22.1 4.6 6.7 3.6 12.7 10.5 12.9 19.3.2 10.3-3.8 17.7-5.9 21.1 1 .8 2.4 1.8 4.6 3 1.9 1.1 8.6 1.9 17.6.4 9-1.4 20.2-4.4 31.7-7.5 4.6-1.2 9.2-2.5 13.8-3.7-.7-16.3-3.2-30.8-5.9-36.3-.8-1.8-1.4-2.5-1.9-3.1-3.8 2-12.7 8.8-25.8 8.6-8.9-.1-15.8-5.9-20.1-12.4-4.2-6.5-6.7-14.3-7.5-22.2-.8-8-.1-16.2 3.7-23.5 3.8-7.3 11.7-13.3 21.3-13.9 11.6-.6 19.7 4.2 24.6 8.1.4-.9.8-1.2 1.3-2.3 1.5-3.4 2-11.6.4-21.8-1.1-7.3-3-15.7-5.2-24.3-11.6-3-22.7-5.9-31.8-7.3-9.3-1.5-16.3-.7-17.9.1-.9.5-1.1.8-1.8 1.2 2.9 4.6 6.4 12.4 4.9 22.7-2.5 17-18.3 26.6-33.1 28.7-7.4 1-15.2.3-22-3.4-6.8-3.7-12.3-11.1-13.3-20.1-1.7-15.5 5-26.6 6.4-30.5-.7-.5-2.5-1.7-6.9-3.4-8.9-3.4-25.4-5.4-42.8-5.5zm-19.3.8c-18.8 1.5-36.2 5.5-43 9.2-1.8 1-2.6 1.7-3.2 2.3 2.6 3.9 10.7 13.3 9.5 27.2-.7 8.7-7.1 15.4-14 18.4-6.9 3.1-14.59 3.7-22.28 2.8-7.68-1-15.4-3.6-21.94-8.2-6.54-4.7-11.98-12-13.11-21.1-1-8 .83-14.9 3.96-19.7 1.16-1.8 2.43-3.2 3.67-4.4-.15-.1-.16-.1-.32-.2-9.19-4.7-22.44-3.7-33.62-.6-2.01.5-3.87 1.1-5.66 1.7v166.3c1.77.6 3.62 1.2 5.61 1.7 11.14 3.1 24.39 4.2 33.75-.5 1.85-.9 2.57-1.5 3.56-2.2-3.68-4.6-10.31-14-8.81-28 1.01-9.3 6.82-16.7 13.8-20.9 6.98-4.2 15.06-5.8 23.03-5.8 7.96 0 15.86 1.7 22.76 5.6 6.8 3.8 12.9 10.5 14.1 19.3 1.7 13-5.2 22-8.9 26.4.6.4.7.6 1.8 1.2 6.4 3.6 24.6 7.1 43.9 7.8.7-2.3 1.3-4.5 1.9-6.8 3.3-12.2 6.5-24.1 8.1-33.6 1.6-9.6.9-16.8.1-18.2-.8-1.5-1.1-1.8-1.4-2.2-.5.3-1.2.6-2.3 1.4-5.7 3.9-16.7 13-32.3 10.7-9.4-1.3-16.2-8.4-19.8-16-3.6-7.7-4.8-16.5-4.3-25.2.4-8.7 2.5-17.5 6.9-24.9 4.4-7.5 11.9-13.9 21.6-15 8.5-.9 15.9 1.7 20.9 5.5 3.6 2.6 5.9 5.5 7.8 8 1.3-3.1 1.8-10.3 0-19.8-1.7-9.8-5.3-21.6-9-33.5-.9-2.9-1.9-5.8-2.8-8.7zm-69.15 136c-5.26 0-10.41 1.2-13.69 3.2-3.28 2-4.77 3.9-5.15 7.4-1.03 9.7 2.36 11.6 6.69 17.1 1.09 1.4 2.36 3 3.34 5.6.99 2.6 1.15 6.7-.27 9.9-2.82 6.3-7.52 8.4-14.37 11.9-15.82 7.8-33.29 5.3-46.58 1.7-.28-.1-.54-.2-.82-.3V494h136.3c-2.6-11.7-3.1-26.4 4.5-39.8 3.3-5.8 4.8-9.1 9.1-12.2 2.1-1.6 6.2-2.9 9.4-2.1 3.2.7 4.8 2.2 5.8 3.1 2 1.8 2.6 2.5 3.7 3s2.6 1.1 6.6.6c1.6-.2 4.1-1.7 6.5-6 2.5-4.2 4.4-10.5 4.9-16.7.5-6.1-.5-12.1-2.2-15.6-1.7-3.5-2.9-4.6-6.4-4.8-4.6-.3-6.6.8-8.6 2.4-2 1.6-3.7 4.2-5.3 7-.9 1.3-1.6 2.7-3.1 4.5-.7.9-1.7 2-3.6 3-1.8 1.1-5 1.7-7.6 1-5.3-1.3-6.6-4.5-7.9-6.8-1.3-2.4-2.4-5-3.8-8.6-3.6-9.7-2.6-20.5-.6-32.2.7-3.8 1.5-7.8 2.4-11.8-19-.7-36.4-3.4-48.2-9.9-6-3.4-10.72-6.3-12.42-12.9-.84-3.3-.1-6.9 1-9.1 1.08-2.3 2.32-3.7 3.32-5 4.3-5.1 7.1-6.6 6.1-14.1-.3-2.1-1.5-4-5-5.9-4.72-2.1-9.73-3.3-14.05-3.3zm378.75 35.6c-4.7 0-8.9.8-12 2.5-1.7 1-2.2 1.5-2.7 1.8.3.5.5 1.1 1.3 2.2 4.1 5.4 13.8 16.1 11.5 31.6-1.3 9.3-8.5 16-16.1 19.2-7.7 3.2-16.3 4.1-25 3.4-8.6-.7-17.2-3-24.6-7.4-7.3-4.4-13.8-11.6-15-21-2.1-15.2 7.3-25.2 12.7-30.6-.5-.2-.5-.2-1.2-.5-3.9-1.4-12.1-1.5-22 .2-1.8.3-3.7.6-5.6 1-.4 21.7-3 43.6-8.9 58.7-2.9 7.5-5.4 12.9-11.4 16.1-3.1 1.6-6.8 2-9.7 1.5-2.8-.6-4.9-1.6-6.8-2.6-7.5-4-12.5-8.5-23-8.1-3.7.1-4 .7-5.2 3.5-1.1 2.8-1.6 8.2-.5 13.8 1 5.6 3.4 11.4 6.2 15.2 2.7 3.8 5.2 4.9 6.3 5 6.7.1 7.1-2.2 12.1-6.4 1.2-1.1 2.8-2.5 5.6-3.4 2.8-.9 6.8-.5 9.5.9 5.5 2.9 7.5 6.8 11 13 8.3 14.7 6.2 31.9 3.2 45.3-.1.6-.3 1.1-.4 1.7H494V343.2c-2.2-.8-4.5-1.7-6.9-2.4-6.4-2.1-13.4-3.3-19.5-3.4z"}}]})(props);
};
function GiPylon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160 15.78l-37.4 56.07-8 1.5-.6-.13-.1.24-98.05 18.25L39 104.6V160h18v-45.3l68.7 38.3h12.4l40.3 94H96v18h23v39h18v-39h42.8l-64 208h82.5L256 314.3 313.7 473h82.5l-64.1-208H375v39h18v-39h23v-18h-82.4l40.3-94h12.4l68.7-38.3V160h18v-55.4l23.2-12.89-98.1-18.25-.1-.24-.6.13-8-1.5L352 15.78 315.2 71H196.8L160 15.78zm0 32.44L175.2 71h-30.4L160 48.22zm192 0L367.2 71h-30.4L352 48.22zM183.2 89h145.6L256 105.6 183.2 89zm-69 2.73l101.2 23.07-86.1 19.6-61.15-34.1 46.05-8.57zm283.6 0l46 8.57-61.1 34.1-86.1-19.6 101.2-23.07zM256 124.1l47.9 10.9h-95.8l47.9-10.9zM165.8 153h43.1l-15.1 28.1-28-28.1zm63.6 0h53.2l22.3 41.3-48.9 49-48.9-49 22.3-41.3zm73.7 0h43.1l-28 28.1-15.1-28.1zm-132.4 30.4l63.6 63.6h-36.4l-27.2-63.6zm170.6 0L314.1 247h-36.4l63.6-63.6zM203.4 265h51.4l-31.3 85.9-20.1-85.9zm53.8 0h51.4l-20.1 85.9-31.3-85.9zm-66.4 25.4l19.8 84.6h-45.8l26-84.6zm130.4 0l26 84.6h-45.8l19.8-84.6zM159.3 393h48.9l-22.5 62h-45.5l19.1-62zm144.5 0h48.9l19.1 62h-45.5l-22.5-62z"}}]})(props);
};
function GiPyre (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M261.3 21.48c56.2 83.72-25.1 188.32-77.4 87.12 31.6 169-76.1 221.8-87.39 114.5-83.28 74.3-69.9 178.9-5.38 233.8L203.8 246.7c.6-7.2 1.4-14.3 2.1-21.5l16.3 4.5 52.1-6.7 1.1 15.2 19.2.8s21.3 28.7 21.6 28.9l100.9 174.2c62.6-56 89.7-158-6.2-203.9 45.3 70.7-9.4 106.6-64.6 32.1-44.7-84.4 89.6-116.4-85-248.82zM136.6 50.4c-74.59 37.81-17.1 70.7-16.4 108.1 51.2-45.6-4.3-62.68 16.4-108.1zm299 54.4s-30.3 32.3-21.2 46.9c12.9 20.7 21.9 30.8 4.2 59.9 44-24.6 39-45.1 25.1-63.3-6.2-8.1-12.1-21.5-8.1-43.5zM257.7 243.2l-17.6 2.3L258 490l18.4.5zm-36.1 8.2L96.42 485.1l21.68 3.7 107.2-198-2.8-39.2zm55.2 4.9l.9 12.4 118.7 213.5 16.8-11.1-124.3-214.3zm-49 67.7l-16.1 29.7-12.4 131.7 22.8 2.1 7.1-143.3zm55 12.1l4.1 54 21.9 99.9 21.2-2.7-4.4-18.1zm29 30.9l37.8 117.7 20.8-4.6-7-20.2zm-122 27.1l-20.9 38.6-17.8 48.8 22.6 3.4 11.8-44.6z"}}]})(props);
};
function GiPyromaniac (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M85.875 20.97c-2.23 31.596-95.21 45.233-4.813 99.03-23.242-46.488 64.566-57.552 4.813-99.03zM278.53 23c-32.003 14.21-22.885 55.257-8.186 73 28 33.796-31.348 52.158-49.063-5.25-5.377 17.623-24.532 21.47-35.624 7.563-7.015-8.797-19.48-31.605-12.25-53.72-20.884 14.735-31.686 45.047-19.28 63.063 29.282 42.526-11.72 75.307-58.97 40.906 36.456 47.748 21.176 119.87-16.344 144.25 14.684-32.04 8.24-88.19-22.218-99.28 14.39 42.618-16.59 75.378-36.75 66.155V494.72h52.562c6.15-23.78 16.033-46.735 30.5-61.44 16.928-17.203 41.296-29.383 77.78-36.25l15.595-2.936-10.124-12.22c-20.233-24.38-33.406-59.518-33.406-98.655 0-37.723 12-71.733 30.906-95.94 18.906-24.205 44.29-38.53 72.125-38.53 27.837 0 53.19 14.325 72.095 38.53 18.905 24.208 30.906 58.218 30.906 95.94 0 38.246-12.073 73.187-31.374 97.374l-10.03 12.562 15.874 2.5c39.988 6.292 65.567 18.497 82.5 35.844 14.297 14.647 23.413 38.986 28.625 63.22h50.75V238.78c-7.012-23.793-17.18-46.354-32.625-51.093 19.492 39.968 1.278 129.343-61.906 141.313 26.715-22.383 45.213-78.483 35.03-101.594-34.788 47.587-79.102 2.555-34.437-43.22 29.676-30.412 39.924-68.813 10.5-110.967 9.104 40.185-37.766 84.93-69.875 56.655-21.68-19.09-10.235-60.918 23.75-71.844-26.954-9.334-47.72 2.8-52.562 21.595C295.337 62.535 272.155 51.37 278.53 23zm-74.155 242.844c-9.215-.212-19.062 3.635-29.063 13.28 14.593 29.555 39.886 25.69 67.938 13.188-9.878-14.53-23.517-26.116-38.875-26.468zm99.094 0c-15.36.352-28.998 11.938-38.876 26.47 28.05 12.5 53.345 16.365 67.937-13.19-10-9.645-19.846-13.492-29.06-13.28zM197.03 350.75c19.292 61.366 100.937 60.7 121.69 0-42.215 8.574-80.72 9.61-121.69 0z","fillRule":"evenodd"}}]})(props);
};
function GiQuakeStomp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M219.22 21.375c-6.35.01-13.082.44-20.032 1.313C164.588 27.034 124.046 42.044 91.78 70l33.47 190.188.344 10.125c42.26 15.784 100.82 24.543 152.875 24.25 27.19-.154 52.642-2.743 72.967-7.782 20.326-5.037 35.2-12.822 41.813-20.936l.438.344c-1.718-5.855-3.9-11.58-6.532-17.063h.188c-1.448-2.95-3.08-5.834-4.844-8.656-.09-.143-.16-.297-.25-.44-.098-.16-.214-.307-.313-.468-21.457-34.887-63.5-55.868-124.28-29.375-.052.024-.106.04-.157.063-11.305 5.31-22.73 12.103-33.97 20.188h-.81c11.02-15.716 23.253-28.115 35.905-37.282L259.75 182c-14.68-3.952-38.083-4.062-53.53-.094l-4.657-18.125c9.297-2.387 19.807-3.715 30.343-3.843 1.505-.018 2.997 0 4.5.032 8.725.176 17.365 1.19 25.25 3.124l3.188-31.97c-21.057-8.076-42.116-6.604-64.563-1.593l-4.06-18.25c11.504-2.567 23.323-4.35 35.31-4.468 1.714-.016 3.44.01 5.157.063 9.96.31 19.998 1.845 30.063 5.125l3.156-31.47c-25.6-7.69-51.03-8.103-76.906-2.78l-3.78-18.28c10.89-2.242 21.858-3.577 32.843-3.876 1.144-.03 2.292-.054 3.437-.063 15.41-.118 30.858 1.823 46.28 6.095l.47-4.594c5.03-23.315-18.752-35.712-53.03-35.655zM18.905 230.438v18.687h86.375c-.822-6.312-2.368-12.526-4.436-18.688H18.906zm379.406 0c3.685 5.885 6.88 12.107 9.438 18.687h86.438v-18.688h-95.875zm-.5 56.656c-10.843 8.13-25.265 13.695-41.875 17.812-22.374 5.547-49.072 8.185-77.375 8.344-21.226.12-43.326-1.144-65.093-3.75l12.436 22.125c80.16 9.44 141.506-1.19 172.03-21.78.72-7.443.683-15.1-.123-22.75zm-271.562 3.312l1 30.47 58.594 8.437L195.438 307c-24.547-3.824-48.213-9.368-69.188-16.594zm-33.094 21.53c-10.31 3.076-18.64 6.463-24.625 10.064-.068.042-.15.083-.218.125l-30.187 14.72-19.22-12.25v22.155l13.595 8.688 4.406 2.812 4.72-2.313 21.968-10.718c11.71 9.805 40.46 18.23 79.406 23.874l-59.97 28.25 26.626 21-90.75 38.53v39.032h126.78l43.72-46.28 51.03 46.28h27.845l-108.624-98.47 35.063-22.967c19.978 1.373 41.336 2.155 63.56 2.155 20.695 0 40.658-.677 59.44-1.875l39.06 24.688-66.905 35.718 62.28 60.75h123.908L385.53 443.28l51.314-39.78-71.5-33.28c45.88-5.98 79.186-15.668 89.812-27.033l17.97 6.438 21.062 22.563v-27.375l-8.938-9.563-1.53-1.656-2.158-.78-41.218-14.752c-4.738-2.108-10.33-4.1-16.656-6 5.364 3.243 8.28 6.694 8.28 10.282 0 18.586-77.734 33.656-173.624 33.656S84.688 340.93 84.688 322.344c0-3.63 2.98-7.13 8.468-10.406z"}}]})(props);
};
function GiQueenCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M188.28 59.47c-19.086 0-34.56 15.468-34.56 34.56 0 16.077 10.983 29.57 25.843 33.44l-35.344 81.936c15.877 2.885 27.905 16.784 27.905 33.5 0 18.806-15.23 34.063-34.03 34.063-18.802 0-34.032-15.258-34.032-34.064 0-13.37 7.703-24.924 18.906-30.5l-50.814-79.22c8.007-5.82 13.22-15.24 13.22-25.905 0-17.693-14.314-32.06-32-32.06-17.688 0-32.032 14.37-32.032 32.06 0 17.693 14.344 32.032 32.03 32.032.734 0 1.468-.014 2.188-.062l41.907 227h316l41.936-227c.72.048 1.455.063 2.188.063 17.686 0 32.03-14.34 32.03-32.032 0-17.693-14.344-32.06-32.03-32.06-17.687 0-32.03 14.37-32.03 32.06-.002 10.723 5.286 20.187 13.373 26l-50.656 79.532c10.778 5.72 18.126 17.04 18.126 30.094 0 18.806-15.23 34.063-34.03 34.063s-34.032-15.258-34.032-34.064c0-17.11 12.602-31.267 29.03-33.687l-34.75-81.532c15.275-3.577 26.657-17.287 26.657-33.657 0-19.094-15.474-34.56-34.56-34.56-19.09 0-34.564 15.468-34.564 34.56 0 14.798 9.308 27.415 22.375 32.345L268 202.345c14.62 4.52 25.25 18.112 25.25 34.218 0 19.796-16.053 35.843-35.844 35.843-19.79 0-35.812-16.047-35.812-35.844 0-15.158 9.403-28.102 22.687-33.343l-44.124-76.72c13.234-4.845 22.688-17.552 22.688-32.47 0-19.094-15.475-34.56-34.563-34.56zM97.438 384.936c-23.978 3.763-22.86 39.844 4.188 39.844h6.656l.064.345h294.28l.063-.344h7.625c26.034 0 27.88-35.928 4.313-39.842H97.437z"}}]})(props);
};
function GiQuickSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M270.877 444.542C576.857 496.618 318.44 29.007 23.097 25.68 447.57-7.506 696.864 640.745 270.878 444.54z","fillRule":"evenodd"}}]})(props);
};
function GiQuicksand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.97 41.688c-16.077 0-30.897 8.46-42.22 23.343-11.323 14.886-18.656 36.052-18.656 59.626 0 23.575 7.332 44.74 18.656 59.625 11.324 14.886 26.143 23.376 42.22 23.376 16.074 0 30.925-8.49 42.25-23.375 11.322-14.884 18.655-36.05 18.655-59.624 0-23.574-7.333-44.74-18.656-59.625-11.325-14.883-26.175-23.343-42.25-23.343zm-34.533 78.937h18.688V166h-18.688v-45.375zm50.72 0h18.687V166h-18.688v-45.375zm-208.47 7L21.657 248.5c-.01.035-.023.06-.032.094-2.42 9.275-.887 15.685 2.375 20.656 3.274 4.99 8.77 8.62 15.063 10.188 6.293 1.566 13.143.978 18.687-1.813 5.544-2.79 10.055-7.5 12.438-15.938l.124-.406.157-.436 26.28-67.75 3.063-7.875 8.156 2.25 54.874 15.186 5.656 1.563 1.063 5.75 13.906 75c-34.572 4.345-65.652 11.722-91.282 21.436-21.318 8.08-38.918 17.745-51.688 29.188-12.77 11.443-20.97 25.266-20.97 40.5 0 15.233 8.2 29.09 20.97 40.53 12.77 11.443 30.37 21.078 51.688 29.157 42.634 16.16 100.356 25.876 164.125 25.876 63.768 0 121.52-9.717 164.156-25.875 21.316-8.078 38.916-17.713 51.686-29.155 12.77-11.442 20.97-25.298 20.97-40.53 0-15.235-8.2-29.058-20.97-40.5-12.77-11.444-30.37-21.11-51.687-29.19-25.57-9.69-56.584-17.055-91.064-21.405l13.906-75.03 1.063-5.75 5.656-1.564 54.876-15.187 8.156-2.25 3.063 7.874 26.28 67.75.158.437.125.408c2.382 8.437 6.862 13.146 12.406 15.937 5.543 2.79 12.425 3.38 18.72 1.813 6.292-1.567 11.787-5.198 15.06-10.188 3.263-4.97 4.797-11.38 2.376-20.656l-.03-.094-43.033-120.875-115.75 29.47c-3.794 14.508-10.07 27.624-18.343 38.5-14.097 18.53-34.41 30.75-57.125 30.75-22.715 0-42.998-12.22-57.095-30.75-8.213-10.797-14.447-23.805-18.25-38.19l-116.938-29.78zm122.188 175.78l3.406 18.345c-7.998 1.91-15.457 4.144-22.25 6.72-11.607 4.4-21.315 9.67-28.655 16.25-7.34 6.576-12.563 15.068-12.563 24.686 0 9.62 5.223 18.11 12.563 24.688 7.34 6.577 17.048 11.85 28.656 16.25 23.218 8.798 54.145 13.937 88.282 13.937 34.138 0 65.065-5.138 88.282-13.936 11.608-4.4 21.347-9.673 28.687-16.25s12.533-15.07 12.533-24.688c0-9.618-5.192-18.11-12.532-24.687-7.34-6.58-17.078-11.85-28.686-16.25-6.72-2.55-14.097-4.76-22-6.658L326 303.438c33.72 4.197 63.78 11.317 87.844 20.438 19.844 7.522 35.563 16.44 45.812 25.625 10.25 9.185 14.78 18.024 14.78 26.594.002 8.57-4.53 17.41-14.78 26.594-10.25 9.183-25.968 18.104-45.812 25.625-39.69 15.04-95.677 24.656-157.53 24.656-61.856 0-117.813-9.616-157.502-24.658-19.844-7.52-35.594-16.44-45.843-25.625-10.25-9.183-14.75-18.023-14.75-26.593s4.5-17.41 14.75-26.594c10.248-9.185 25.998-18.103 45.843-25.625 24.12-9.143 54.25-16.277 88.062-20.47zm6.844 36.783l2.25 12.218v11.78l.31.002c-.097.413-.155.83-.155 1.25 0 9.76 26.975 17.656 60.25 17.656s60.25-7.897 60.25-17.656c0-.422-.09-.836-.188-1.25h.313V353.25l2.406-13c6.863 1.676 13.193 3.59 18.813 5.72 10.134 3.84 17.99 8.367 22.81 12.686 4.82 4.32 6.345 7.795 6.345 10.75 0 2.956-1.524 6.463-6.344 10.78-4.82 4.32-12.676 8.848-22.81 12.69-20.272 7.68-49.434 12.718-81.658 12.718-32.223 0-61.385-5.037-81.656-12.72-10.135-3.84-17.992-8.368-22.812-12.687-4.82-4.318-6.344-7.825-6.344-10.78 0-2.956 1.524-6.432 6.344-10.75 4.82-4.32 12.677-8.847 22.812-12.688 5.688-2.157 12.103-4.093 19.063-5.783z"}}]})(props);
};
function GiQuillInk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496.938 14.063c-95.14 3.496-172.297 24.08-231.282 55.812l-29.47 49.28-4.967-28.093c-10.535 7.402-20.314 15.222-29.314 23.407l-14.687 45.06-5.032-25.155c-40.65 45.507-60.41 99.864-58.938 155.906 47.273-93.667 132.404-172.727 211.97-221.155l9.717 15.97c-75.312 45.838-156.387 121.202-202.187 208.25h12.156c19.78-12.02 39.16-26.858 58.406-43.44l-30.28 1.595 54.218-23.094c46.875-43.637 93.465-94.974 143.313-138.28l-24.47-5.19 56.5-21.03c26.853-20.485 54.8-37.844 84.344-49.843zM59.53 312.03v30.408H194V312.03H59.53zm20.376 49.095L47.25 389.813 24.97 474.78l14.53 15.876h177.22l14.56-15.875L209 389.814l-30.906-28.688H79.906z","fillRule":"evenodd"}}]})(props);
};
function GiQuill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M492.47 21.938c-82.74-.256-167.442 12.5-242.814 45.093 5.205 13.166 9.578 28.48 13.188 45.532C242.55 97.27 217.167 92.385 194.72 95.5c-46.22 28.432-87.13 66.305-119.44 115.594 25.193 7.756 51.57 22.81 72.845 43.844-31.87-7.045-68.907-5.895-99.188 3-13.743 28.688-25.008 60.48-33.343 95.687 128.71-30.668 130.522 3.514 50.75 140.438 16.877 12.614 42.182 13.77 61.906-1.563C134 267.936 231.43 326.246 254.188 354.562c14.288-40.59 34.77-82.54 62.906-126.468-17.29-14.667-39.21-24.838-63.813-32.375 25.364-5.256 50.91-10.928 74.126-11.22 6.482-.082 12.78.272 18.844 1.156 17.57-24.007 37.408-48.612 59.75-73.97-12.538-6.31-25.476-11.454-38.125-14.967 17.132-5.76 35.274-8.34 52.844-8.157 2.01.02 4.004.095 6 .187 20.07-21.708 41.927-43.976 65.75-66.813zM426.72 47.28C295.79 112.674 200.094 210.206 144.936 333.53 172.34 184.41 287.048 84.57 426.72 47.28z","fillRule":"evenodd"}}]})(props);
};
function GiQuiver (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M341.21 18.004l-3.04 6.248 6.585 13.173-9.588-7.005-8.31 17.076 5.96 13.107-9.99-4.824-3.554 7.3 17.35 29.683-33.874 69.606a416.538 416.538 0 0 0 18.326 3.477l31.722-65.19.04-.005 21.937-45.078-.04.006 8.346-17.153-16.184-7.875-8.338 17.133-17.348-29.682zM55.578 34.978c-.634.002-1.267.02-1.9.057-5.067.296-10.09 1.74-14.67 4.56-4.553 2.804-6.37 6.767-7.827 10.832-1.457 4.066-2.388 8.677-3.095 14.045-1.413 10.738-1.816 24.476-1.486 40.66.658 32.37 4.336 74.363 9.923 118.346 8.822 69.45 22.01 143.094 36.53 191.793l.054-.014c.545 1.88 1.134 3.9 1.77 5.962l.01.04c.362 1.148.725 2.282 1.087 3.398 1.698 5.15 3.677 10.255 5.957 13.908 1.857 2.973 3.763 4.76 5.17 5.465 1.405.703 2.444 1.013 5.48-.07 1.757-.626 1.752-.61 2.35-3.255.6-2.647.505-7.635-.522-13.617-1.064-6.19-2.98-13.38-5.028-20.86-13.193-46.49-26.532-118.342-35.002-185.017-5.53-43.537-9.145-85.127-9.783-116.443-.32-15.658.13-28.787 1.336-37.945.604-4.58 1.424-8.17 2.194-10.318.38-1.06.784-1.647.94-1.883 4.144-2.356 7.705-2.46 13.236-.394 5.81 2.17 13.136 7.287 20.948 14.655 15.623 14.735 33.2 37.99 51.013 61.012 17.813 23.023 35.792 45.84 54.308 60.533 5.98 4.747 12.075 8.698 18.43 11.374 2.59.674 5.962 1.44 9.43 1.905 3.61.482 7.23.544 9.443.148 1.64-.293 2.058-.586 2.116-.625 3.39-6.163 1.936-8.012-1.37-11.398-3.317-3.398-10.153-5.99-12.435-6.143l.03-.433c-4.388-1.84-9.276-4.82-14.453-8.928-15.74-12.492-33.554-34.564-51.26-57.45-17.705-22.884-35.368-46.557-52.9-63.09-8.766-8.268-17.5-14.873-26.996-18.42-4.154-1.554-8.585-2.4-13.022-2.388zm191.127 4.06L238.56 63.14l9.3 21.06-13.648-8.19-3.554 10.52 20.972 27.243-10.406 30.8c5.658 2.05 11.33 3.997 17.027 5.84l10.427-30.86.037-.01 16.05-47.495-.042.012 6.106-18.072-17.053-5.762-6.1 18.053-20.97-27.243zm162.064 11.94l-12.565 1.7-12.026 24.71 18.306-13.502 6.283-12.908zm-90.872 12.205L305.65 66.46l-16.045 47.495 12.248-3.278 16.045-47.494zm106.797 5.508l-8.807 12.15 2.262 28.574-9.654-18.375-13.225 18.24 11.938 32.24-21.738 29.987c7.335.094 14.8.016 22.416-.25l13.883-19.154.04.002 29.424-40.588-.04-.002 11.194-15.443-14.572-10.566-11.184 15.427-11.937-32.242zm-28.916 8.982l-13.41 3.433-8.103 16.65 12.564-1.7 8.95-18.383zm77.06 34.71l-4.803 6.625 12.77.366 4.702-6.487-12.67-.505zm-5.733 7.905l-23.69 32.68 12.668.507 6.422-8.857-6.08-3.598 9.475-1.087 10.926-15.072-9.72-4.573zm-238.152 38.83c-1.702 3.462-3.393 6.85-5.09 10.285 5.506 1.805 10.928 5.036 15.63 9.854 7.124 7.297 10.943 20.566 4.212 32.744-3.314 5.994-9.456 8.64-14.668 9.572-5.214.932-10.3.602-14.998-.025-6.17-.825-11.544-2.263-14.677-3.19-1.432 2.818-2.863 5.64-4.3 8.443 50.84 27.08 109.533 22.75 167.438 10.64 12.018-15.735 23.947-31.747 35.897-48.106-62.995.883-117.13-10.59-169.445-30.217zm-42.14 83.683c-25.922 49.92-52.78 98.18-83.245 146.836 2.912 10.984 6.645 23.148 8.578 34.405 1.223 7.123 1.856 13.942.338 20.64-1.518 6.7-6.486 13.604-13.86 16.234-6.776 2.417-13.994 2.012-19.59-.793-5.598-2.804-9.44-7.322-12.374-12.025-.223-.356-.433-.717-.647-1.078-2.342 3.425-4.683 6.85-7.072 10.287C73.4 482.04 98.747 494.51 121.21 493.98c90.72-76.612 159.746-152.114 224.65-235.01-53.372 9.265-109.005 10.413-159.044-16.17z"}}]})(props);
};
function GiRabbitHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M382.7 27.2c4.8 2.25 8.5 5.18 11.5 8.94-27.3 19.88-43.5 52.15-53.1 84.86-11.6 39.4-14.1 80.2-14.1 104.8h18c0-23.4 2.5-62.9 13.3-99.7 8.6-29.19 22.3-56.12 43.4-73.03 1.2 4.94 1.9 10.46 2.1 16.52.6 22.68-5.6 52.11-14.4 81.61-8.9 29.6-20.3 59.4-29.6 83.9-3.8 10.2-14.7 50.7-11.4 54.7 15.9 21.8 26.6 48 26.6 76v3.7l2.6 2.7c14.3 14.2 15.9 25.5 11.7 37.6-4.3 12.1-16.3 25.3-32.5 36.6-32.3 22.8-80.8 38.4-100.8 38.4s-68.5-15.6-100.8-38.4c-16.2-11.3-28.2-24.5-32.5-36.6-4.2-12.1-2.6-23.4 11.7-37.6l2.6-2.7v-3.7c0-28 10.7-54.2 26.6-76 3.3-4-7.6-44.5-11.4-54.7-9.3-24.5-20.7-54.3-29.6-83.9-8.8-29.5-15-58.89-14.4-81.59.2-6.1.9-11.6 2.1-16.5 21.1 16.9 34.8 43.8 43.4 72.99 10.8 36.8 13.3 76.3 13.3 99.7h18c0-24.6-2.5-65.4-14.1-104.8-9.6-32.7-25.8-64.99-53.1-84.89 3-3.7 6.7-6.7 11.5-8.9 3.6.9 13.2 6.1 23.4 16.9 11.2 11.9 23.7 29.4 34.5 50.1 21.7 41.39 37 95.79 27.9 145.99 12.4-3.9 26.7-5.9 40.9-5.9s28.5 2 40.9 5.9c-9.1-50.2 6.2-104.6 27.9-146 10.8-20.72 23.3-38.19 34.5-50.13 10.2-10.8 19.8-15.94 23.4-16.87zM304 308.8c-13.7 0-25 11.3-25 25s11.3 25 25 25 25-11.3 25-25-11.3-25-25-25zm-96 0c-13.7 0-25 11.3-25 25s11.3 25 25 25 25-11.3 25-25-11.3-25-25-25zm96 18c4 0 7 3 7 7s-3 7-7 7-7-3-7-7 3-7 7-7zm-96 0c4 0 7 3 7 7s-3 7-7 7-7-3-7-7 3-7 7-7zm48 34c-8.6 0-17 1-24.4 3.5-3.7 1.2-7.1 2.7-10.2 5.3-3.2 2.5-6 6.7-6.4 11.6l-.4 6 32.4 16.2v27c-.3.2-2.2.7-5.4 0-6.5-1.6-17.1-8-26.1-21.6l-15 10c11 16.6 24.4 26.2 36.9 29.1 6.3 1.5 12.3 3.4 18.6 3.4 6.3 0 12.3-1.9 18.6-3.4 12.5-2.9 25.9-12.5 36.9-29.1l-15-10c-9 13.6-19.6 20-26.1 21.6-3.2.7-5.1.2-5.4 0v-27l32.4-16.2-.4-6c-.4-4.9-3.2-9.1-6.4-11.6-3.1-2.6-6.5-4.1-10.2-5.3-7.4-2.5-15.8-3.5-24.4-3.5zm0 18c5.3 0 10.3.7 14.6 1.7l-14.6 7.2-14.6-7.2c4.3-1 9.3-1.7 14.6-1.7z"}}]})(props);
};
function GiRabbit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M242.29 27.29c-4.165 0-4.79.695-5.593 3.058-.803 2.362-.714 8.368 4.065 17.097 8.758 16 32.356 39.726 78.675 64.582 7.15-7.48 15.604-12.92 24.57-16.713-25.48-14.076-44.05-29.58-58.892-42.158-18.93-16.04-31.326-25.867-42.826-25.867zm-66.274 54.66c-3.815.007-4.68.864-5.07 1.355-.39.49-1 1.882-.485 5.125 1.03 6.484 7.16 18.015 18 28.943 21.683 21.855 60.793 42.287 109.542 34.72 2.13-.33 4.725-.616 7.846 1.194 3.12 1.81 4.73 5.96 4.77 8.36.076 4.807-1.495 6.874-2.722 9.546-2.452 5.345-4.35 11.657-4.375 11.47v.003c1.98 15 14.374 26.28 32.396 34.63 18.023 8.353 40.75 13.004 58.875 14.737 12.552 1.2 27.23.995 40.9-1.388-1.555-2.715-2.676-5.576-3.31-8.516-1.763-8.156.105-16.39 4.093-23.327 6.392-11.12 18.112-19.685 32.36-22.83-4.64-7.837-10.434-16.323-17.024-24.592-19.92-24.992-47.433-46.955-67.978-47.384-20.465-.427-44.107 6.055-57.367 24.242-2.24 3.07-5.56 4.144-8.018 4.46-2.457.318-4.623.1-6.92-.284-4.592-.766-9.7-2.373-15.613-4.527-11.825-4.308-26.625-10.89-42.127-17.774-15.502-6.883-31.668-14.06-45.744-19.44-14.076-5.38-26.546-8.735-32.027-8.724zm224.422 61.915a16 16 0 0 1 15.533 15.994 16 16 0 0 1-32 0 16 16 0 0 1 16.467-15.995zM39.79 190.777c-.804.006-2.017.25-4.017 1.24a9 9 0 0 0-.002 0c-4.252 2.103-7.437 7.213-8.883 16.325-1.447 9.11-.696 21.27 1.888 33.53 2.585 12.263 6.954 24.683 12.116 34.634 3.023 5.827 6.386 10.568 9.53 14.133 4.966-17.297 13.943-33.833 27.697-48.44-3.153-2.038-5.968-4.422-8.365-7.046-7.05-7.717-11.604-16.873-15.648-24.877-4.045-8.003-7.82-14.854-10.64-17.605-1.408-1.376-2.22-1.714-2.99-1.84-.192-.032-.414-.057-.683-.055zm437.63 2.06c-11.655 1.13-21.29 7.89-25.342 14.936-2.183 3.797-2.794 7.368-2.105 10.555.51 2.36 1.71 4.797 4.408 7.29 11.853-4.564 21.157-11.42 26.145-20.938-.286.42.182-1.32-.504-4.184-.494-2.07-1.397-4.71-2.6-7.66zm-198.496 7.724c-2.463-.004-4.896.007-7.3.034-71.537.806-120.588 13.47-152.624 32.187-36.613 21.393-51.716 50.092-54.844 81.44-3.128 31.346 6.6 65.513 22 94.56 14.84 27.988 35.094 51.027 51.97 62.22H312.19c-.134-1.91-.67-3.555-1.502-5.188-1.637-3.21-4.918-6.56-10.032-9.687-10.228-6.256-27.12-11.045-44.812-14.438-17.693-3.392-36.175-5.596-50.625-8-7.227-1.2-13.393-2.377-18.532-4.125-2.57-.873-4.92-1.813-7.313-3.593-2.392-1.782-5.313-5.385-5.313-9.97 0-2.61 1.27-4.982 2.375-6.22 1.107-1.236 2.03-1.74 2.75-2.124 1.442-.765 2.283-.952 3.125-1.156 1.686-.408 3.238-.605 5.125-.813 3.776-.414 8.714-.75 14.72-1.187 12.01-.875 28.107-2.106 44.968-4.688 33.722-5.162 69.382-16.778 81.156-36.437 6.403-10.69 5.69-20.67-.56-31.156-6.253-10.487-18.818-20.728-35.72-27.376-33.803-13.297-84.07-12.464-132.72 22.47l-10.5-14.627c33.327-23.93 67.99-33.66 99-33.78 18.608-.072 35.892 3.33 50.782 9.187 19.854 7.81 35.666 19.93 44.594 34.906 8.93 14.976 10.196 33.537.563 49.625-17.64 29.45-58.476 39.55-93.876 44.97-5.897.902-11.315 1.47-16.844 2.092 8.423 1.25 17.318 2.606 26.22 4.313 18.544 3.556 36.893 8.25 50.842 16.78 6.975 4.267 12.99 9.656 16.657 16.845 2.058 4.04 3.204 8.593 3.37 13.375h130.66c2.072-1.76 3.435-3.254 3.844-4.063.538-1.064.46-1.178.25-2.062-.423-1.77-3.667-6.165-7.78-11.125-2.527-3.044-11.017-7.917-21.658-10.594-10.64-2.677-23.344-3.65-34.25-2.22l-2.344.283-2.218-.876c-6.667-2.715-11.864-9.652-12.25-16.313-.386-6.66 1.89-12.352 4.72-18.467 5.655-12.23 14.802-26.366 22.186-42.72 7.384-16.352 12.907-34.52 11.72-53.843-1.153-18.73-8.467-38.93-27.84-60.88-.622-.052-1.248-.1-1.86-.16h-.002c-19.505-1.864-43.524-6.62-64.08-16.146-15.233-7.06-29.065-17.167-36.415-31.074-4.692-.1-9.332-.172-13.85-.18z"}}]})(props);
};
function GiRaccoonHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M404.7 69.89c27.1 39.61 27.4 96.91 18.5 147.11-10.8-14.5-21.6-29.2-32.5-43.3-18.3-23.6-36.6-45.9-55.3-64 8-11.71 21.3-21.63 35.2-28.54 13-6.52 26.5-10.13 34.1-11.27zm-297.4 0c7.6 1.14 21.1 4.75 34.1 11.27 13.9 6.91 27.2 16.83 35.2 28.54-18.7 18.1-37 40.4-55.3 64-10.9 14.1-21.7 28.7-32.5 43.2-8.9-50.2-8.7-107.5 18.5-147.01zM324 162.8c15.1 0 30.1 3.3 42.8 9.7 3.2 4 6.4 8.1 9.6 12.2 38.3 49.8 76.7 107.1 116.8 143.9-12.1 4.8-24.4 11.4-36.9 19 0-14.7-5.8-30.1-14.9-44.7-13.8-22.3-35.7-44.1-60.9-62.9-20.1-15-38.3-22.1-54.2-22.8-2.3-.1-4.6-.1-6.8.1-17.5 1.2-31.3 10.5-39.9 22.4-8.6 11.9-12.7 26.3-12.2 39.6.5 10 3.8 20.1 10.8 26.9h-44.4c7-6.8 10.3-16.9 10.8-26.9.5-13.3-3.6-27.7-12.2-39.6-8.6-11.9-22.4-21.2-39.9-22.4-1.1-.1-2.2-.2-3.4-.2-1.1 0-2.3 0-3.4.1-15.9.7-34.1 7.8-54.2 22.8-25.2 18.8-47.2 40.6-61 62.9-9.1 14.6-14.9 30-14.9 44.7-12.5-7.7-24.7-14.2-36.8-19 40-36.8 78.4-94 116.8-143.9 3.2-4.1 6.4-8.2 9.6-12.2 12.7-6.4 27.7-9.7 42.8-9.7 23.5 0 46.8 7.9 61.6 22.8l6.4 6.3 6.4-6.3c14.8-14.9 38.1-22.8 61.6-22.8zm0 75.4c19.7 0 36.5 15.2 36.5 34.5s-16.8 34.5-36.5 34.5-36.5-15.2-36.5-34.5 16.8-34.5 36.5-34.5zm-136 0c19.7 0 36.5 15.2 36.5 34.5s-16.8 34.5-36.5 34.5-36.5-15.2-36.5-34.5 16.8-34.5 36.5-34.5zm136 18c-10.7 0-18.5 7.7-18.5 16.5s7.8 16.5 18.5 16.5 18.5-7.7 18.5-16.5-7.8-16.5-18.5-16.5zm-136 0c-10.7 0-18.5 7.7-18.5 16.5s7.8 16.5 18.5 16.5 18.5-7.7 18.5-16.5-7.8-16.5-18.5-16.5zm110.9 61.1c25.3 11.3 44.8 19.8 58.1 30.2 14.6 11.3 22.7 24.2 25.6 48.6-39.6 24.9-81.9 46-126.6 46-44.7 0-87-21.1-126.6-46 2.9-24.4 11-37.3 25.6-48.6 13.3-10.4 32.8-18.9 58.1-30.2.6 10.7 5.9 20.4 13.2 27.6 5.1 5.2 11.4 9.3 18.5 11.5-2.9 8.9-6.2 14.6-9.1 17.7-3.8 4.1-6.3 4.5-9.2 4.1-2.9-.3-6.3-2.3-8.8-5-2.5-2.7-3.7-6.2-3.7-7.1h-18c0 7.6 3.5 14 8.4 19.3 5 5.3 11.7 9.7 19.9 10.7s17.5-2.2 24.6-9.7c2.6-2.8 5-6.1 7.1-10 2.1 3.9 4.5 7.2 7.1 10 7.1 7.5 16.4 10.7 24.6 9.7 8.2-1 14.9-5.4 19.9-10.7 4.9-5.3 8.4-11.7 8.4-19.3h-18c0 .9-1.2 4.4-3.7 7.1-2.5 2.7-5.9 4.7-8.8 5-2.9.4-5.4 0-9.2-4.1-2.9-3.1-6.2-8.8-9.1-17.7 7.1-2.2 13.4-6.3 18.5-11.5 7.3-7.2 12.6-16.9 13.2-27.6zm-20.2 6.9c-1.4 2.8-3.3 5.6-5.7 8-5 5-11.5 8-17 8s-12-3-17-8c-2.4-2.4-4.3-5.2-5.7-8z"}}]})(props);
};
function GiRaceCar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M408.29 262.879a35.125 35.125 0 1 0 35.125 35.125 35.17 35.17 0 0 0-35.125-35.125zm0 62.873a27.736 27.736 0 1 1 27.736-27.737 27.736 27.736 0 0 1-27.736 27.748zm8.876-27.737a8.876 8.876 0 1 1-8.876-8.875 8.876 8.876 0 0 1 8.876 8.875zm-265.538 0a35.125 35.125 0 1 0-35.126 35.126 35.17 35.17 0 0 0 35.126-35.126zm-35.126 27.737a27.736 27.736 0 1 1 27.737-27.737 27.736 27.736 0 0 1-27.737 27.748zm345.452-21.823a53.997 53.997 0 1 0-107.617-5.925 53.665 53.665 0 0 0 5.447 23.61H165.008a53.986 53.986 0 1 0-101.849-15.211C37.542 295.64 21 278.033 21 250.186c0-28.846 86.87-69.418 142.122-71.327v34.094a24.83 24.83 0 0 0 24.83 24.83h47.517a24.774 24.774 0 0 0 24.409-20.758s-1.62-21.668-6.813-25.518l3.407-2.54 24.474 28.08h94.104c63.994-.022 115.95 23.42 115.95 52.266 0 13.314-10.973 25.396-29.046 34.616zm-336.576-5.925a8.876 8.876 0 1 1-8.876-8.876 8.876 8.876 0 0 1 8.876 8.887z"}}]})(props);
};
function GiRadarCrossSection (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23C127.4 23 23 127.4 23 256s104.4 233 233 233 233-104.4 233-233S384.6 23 256 23zm-9 18.2v78.1c-31.1 2-59.2 14.4-81.3 33.7l-55.2-55.29C146.7 64.39 194.4 43.36 247 41.2zm18 0c52.6 2.16 100.3 23.19 136.5 56.51L346.2 153c-22-19.3-50.2-31.7-81.2-33.7V41.2zM97.71 110.5L153 165.7c-19.3 22.1-31.7 50.2-33.7 81.3H41.2c2.16-52.6 23.19-100.3 56.51-136.5zm316.59 0c33.3 36.2 54.3 83.9 56.5 136.5h-78.1c-2-31-14.4-59.2-33.7-81.2l55.3-55.3zM247 137.3v38.6l.4.6 17.6-10v-29.2c26.1 2 49.8 12.3 68.5 28.4L322 177.2l11.2 14.4 13.1-13.1c16.1 18.7 26.4 42.4 28.4 68.5h-41.6l23.8 18h17.8c-.3 4.1-.9 8.2-1.6 12.2l15.8 12c2-7.8 3.3-15.9 3.8-24.2h78.1c-2.2 52.6-23.2 100.3-56.5 136.5l-33.7-33.7-11.4 14.2 32.3 32.3c-36.2 33.3-83.9 54.3-136.5 56.5v-78.1c10.3-.7 20.3-2.5 29.8-5.3l-8.6-16.3c-6.8 1.8-13.9 3-21.2 3.6v-43.5l-.6-1.1-17.4-2.2v46.8c-17.1-1.3-33.2-6.2-47.5-14l-12.2 13.8c17.7 10.3 38 16.8 59.7 18.2v78.1c-52.6-2.2-100.3-23.2-136.5-56.5l52.1-52.1-11.3-14.3-53.59 53.6C64.39 365.3 43.36 317.6 41.2 265h74.2l36.8-18h-14.9c2-26.1 12.3-49.8 28.4-68.5l10.8 10.8 13.1-12.5-11.1-11.1c18.7-16.1 42.4-26.4 68.5-28.4zm47 33.4l-45.1 25.6-7.3 4.2-19.4-29.7-32.6 31 12.8 40.7-80.7 39.5 58.5 73.3 43.2-48.5 52.6 6.5 49.7 93.7 71.9-88.6-94.4-71.4 29.4-27.2-38.6-49.1z"}}]})(props);
};
function GiRadarDish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M227.47 31.47c-67.048 70.547-83.972 178.936-32.907 267.467 51.07 88.544 153.333 128.083 247.906 105.22l-215-372.688zm232.81 82.155c-5.05.133-10.127 1.48-14.81 4.188-11.303 6.53-17.02 19.035-15.44 31.218l-96.31 29.25 34.842 60.345L442 169.812c9.755 7.504 23.456 8.826 34.78 2.282 14.992-8.663 20.117-27.822 11.47-42.813-5.945-10.305-16.856-15.948-27.97-15.655zm-311.874 107.5l-26.656 4.688 10.688 60.53-42.063 39.376 18.688 32.124 58.656-17.813 3.155 4.158L53.53 493.094h78.345l85.344-21.53 52.686 21.53h50.563l-7.064-45.78.813-.22-.97-.625-4.75-30.72c-6.82-2.366-13.532-5.066-20.125-8.03l3.844 24.967-51-33.437 18.75-6.594c-6.528-4.05-12.883-8.437-19.033-13.125l-19.375 6.814-39.625-26 5.813-7.375 15.156-9.658c-9.043-10.742-17.264-22.432-24.53-35.03-16-27.74-25.828-57.3-29.97-87.157zm21.906 153.97l29.094 19.06-61.062 21.5 31.97-40.56zm48.72 31.967l49.343 32.344-49.78 12.563-58.845-24.033 59.28-20.875zm-94.813 26.532l5.718 2.312 58.125 23.75L82.75 486.22l41.47-52.626zm170.968 18.312l5.187 33.438-52.625-21.47 45.813-11.562 1.625-.406z"}}]})(props);
};
function GiRadarSweep (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.78 20.875c-1.302.012-2.6.03-3.905.063-37.928.974-76.148 11.153-111.28 31.437C25.164 117.285-13.41 261.322 51.5 373.75s208.946 151.036 321.375 86.125c77.7-44.86 120.1-127.513 117.47-211.406-3.563 65.847-35.898 128.573-91 169.374-10.828 9.62-22.774 18.315-35.814 25.844-103.68 59.86-235.983 24.4-295.842-79.282-59.86-103.68-24.43-235.984 79.25-295.844 35.64-20.576 74.67-29.88 112.968-29.03 63.304 1.4 124.623 30.57 165.438 82.53l-32.594 23.032c-33.27-42.835-84.01-66.6-136.063-67-.96-.008-1.91-.012-2.875 0-.964.01-1.943.038-2.906.062-28.006.717-56.222 8.215-82.156 23.188-82.99 47.914-111.508 154.322-63.594 237.312 47.914 82.99 154.32 111.51 237.313 63.594 51.37-29.66 81.862-81.724 86.28-136.78-12.53 45.37-42.32 86.745-85.438 114.186-.02.013-.043.018-.062.03l-.344.22c-3.16 2.147-6.42 4.216-9.78 6.156-74.245 42.865-168.918 17.494-211.782-56.75-42.864-74.243-17.493-168.917 56.75-211.78 23.2-13.396 48.39-20.122 73.375-20.782 47.953-1.266 95.138 19.858 125.968 59.156l-39.844 28.156c-20.232-24.32-50.055-37.79-80.594-38.03-1.17-.01-2.33 0-3.5.03-17.035.432-34.176 4.995-49.938 14.094-50.435 29.12-67.806 93.877-38.687 144.313 29.12 50.434 93.908 67.806 144.344 38.686 21.245-12.267 36.623-30.85 45.124-52.03-18.815 21.064-44.364 36.888-73.938 44.155-.04.013-.084.02-.125.033-37.507 10.787-78.796-4.816-99.217-40.188-24.07-41.688-9.845-94.712 31.843-118.78 13.028-7.523 27.143-11.314 41.156-11.69 25.66-.685 50.898 10.098 68.188 30.25l-41 28.97c-5.497-4.796-12.664-7.72-20.53-7.72-17.277 0-31.283 14.007-31.283 31.282 0 17.276 14.004 31.282 31.282 31.282 17.277 0 31.28-14.007 31.28-31.283 0-1.187-.06-2.347-.188-3.5l120.094-57.312 4.03-1.75-.06-.156 62.25-29.72 9.25-4.438-5.282-8.812-19.97-33.375-5.155-8.625-8.25 5.813-8.095 5.718c-45.9-58.864-116.14-91.053-187.844-90.405z"}}]})(props);
};
function GiRadialBalance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M321.375 15.313L262.72 73.906l25.78 6.906-15.563 58.063c-5.44-.756-10.87-1.14-16.25-1.125-.887.003-1.77.04-2.656.063l21.97 45.75 42.25-28.407c-6.263-3.87-12.944-7.205-20.03-9.875l15.467-57.718 28.657 7.657-20.97-79.907zM133.25 40.063l-.094 82.906 23.125-13.345 30.064 52.063c-5.034 3.824-9.75 8.072-14.125 12.687l50.06 16.438 9.064-50.157c-7.797 1.777-15.372 4.336-22.594 7.625l-29.875-51.718 25.688-14.812-71.313-41.688zm255.28 90.593l13.345 23.094-52.063 30.063c-3.8-5.002-8.01-9.707-12.593-14.063l-16.126 48.156 49.28 8.938c-1.744-7.094-4.148-13.99-7.155-20.594l51.717-29.875 14.813 25.656 41.688-71.31-82.907-.064zm-290.78 38.5l-79.906 20.97 58.562 58.655L83.312 223l58.063 15.563c-.935 6.767-1.25 13.498-1 20.156l47.53-22.814-29.843-43.25c-4.022 6.432-7.466 13.31-10.218 20.625l-57.78-15.468 7.686-28.656zm275.875 81.28L328.5 272.813l28.313 42.125c3.15-5.2 5.937-10.673 8.28-16.437l57.938 15.53-6.905 25.783 80.063-21.532-58.72-58.092-7.687 28.656-57.592-15.438c1.27-7.706 1.707-15.387 1.437-22.97zm-230.28 30.283c1.5 6.44 3.516 12.72 6.06 18.78l-52.093 30.094L83.97 306.5l-41.376 71.813 82.594-.438-14.813-25.656 51.78-29.908c4.655 6.52 9.98 12.557 15.907 18.032l17.282-49.53-52-10.095zM294 316.75l-9.22 51.03c5.91-1.454 11.673-3.347 17.25-5.686l30.095 52.094L309 427.53l71.844 41.408-.438-82.625-25.687 14.843-29.876-51.75c6.437-4.588 12.43-9.847 17.844-15.687L294 316.75zM240.25 324l-44.125 30.03c5.32 3.262 10.955 6.127 16.875 8.533L197.47 420.5l-25.782-6.906 21.53 80.062 58.095-58.72-28.625-7.686 15.437-57.625c8.295 1.367 16.576 1.816 24.72 1.406L240.25 324z"}}]})(props);
};
function GiRadiations (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v476h79.81C152.7 427.2 183 343.2 183 256c0-87.2-30.3-171.22-85.2-238zm438.1 53.91c-1.9 0-3.8.28-5.7.8-12.4 3.32-19.6 15.81-16.3 28.19 3.3 12.3 15.8 19.6 28.2 16.2 12.3-3.3 19.5-15.8 16.2-28.12-2.8-10.44-12.1-17.2-22.4-17.07zm-37.5 7.23c-6.5 1.89-10.9 7.19-13.2 11.99-2.3 4.89-3.3 9.77-4.3 14.17s-2 8.4-3 10.6c-1 2.2-1.2 2.1-1.8 2.3-.6.2-.8.3-2.8-1.1-2-1.4-4.8-4.3-7.9-7.6-3.1-3.3-6.4-7.1-10.8-10.15-4.5-3.08-11-5.54-17.7-3.74-6.7 1.79-11.2 7.19-13.5 12.09-2.3 4.9-3.3 9.8-4.3 14.2-1 4.4-2 8.3-3 10.6-1.1 2.2-1.2 2.2-1.8 2.3-.6.2-.8.3-2.8-1.1-2-1.4-4.8-4.3-7.9-7.7-3.1-3.3-6.4-7-10.8-10.1-4.5-3.1-11-5.5-17.8-3.7-6.6 1.8-11.1 7.2-13.4 12.1-2.3 4.8-3.3 9.7-4.3 14.1s-2 8.4-3.1 10.6c-1 2.2-1.2 2.2-1.7 2.3h-.1c-.6.2-.7.3-2.7-1.1-2-1.4-4.9-4.3-7.9-7.6-3.1-3.3-6.4-7-10.9-10.1-4.4-3.1-10.9-5.6-17.6-3.8-6.7 1.8-11.2 7.2-13.5 12.1-2.3 4.9-3.3 9.8-4.3 14.2-1 4.4-2 8.3-3.1 10.5-1 2.3-1.2 2.2-1.8 2.4-.6.2-.7.3-2.7-1.1-2.1-1.4-4.9-4.3-8-7.6-3.1-3.3-6.4-7.1-10.8-10.2-1.1-.8-2.4-1.5-3.8-2.1 3 10.2 5.5 20.5 7.6 30.9 1.5 1.3 3 2.6 4.7 3.7 4.4 3.1 10.9 5.6 17.6 3.8 6.7-1.8 11.2-7.2 13.5-12.1 2.3-4.9 3.3-9.8 4.3-14.2 1-4.4 2-8.3 3.1-10.5 1-2.3 1.2-2.2 1.8-2.4.6-.2.7-.3 2.7 1.1 2 1.4 4.9 4.3 8 7.7 3.1 3.3 6.4 7 10.8 10.1 4.5 3.1 11 5.5 17.8 3.7 6.6-1.8 11.1-7.2 13.3-12.1 2.3-4.9 3.3-9.7 4.3-14.1s2-8.3 3.1-10.6c1-2.2 1.2-2.1 1.8-2.3h.1c.6-.2.7-.3 2.7 1.1 2 1.4 4.8 4.3 7.9 7.6 3.1 3.3 6.4 7 10.8 10.1 4.4 3.1 11 5.6 17.7 3.8 6.7-1.8 11.2-7.2 13.5-12.1 2.3-4.9 3.3-9.8 4.3-14.2 1-4.4 2-8.3 3-10.6 1.1-2.2 1.2-2.1 1.8-2.3.6-.2.8-.3 2.8 1.1 2 1.4 4.8 4.3 7.9 7.6 3.1 3.3 6.4 7.1 10.8 10.2 4.5 3 11 5.5 17.7 3.7 6.7-1.8 11.2-7.2 13.5-12.1 2.1-4.4 3.1-8.9 4-13-.7-1.6-1.2-3.3-1.7-5-2.4-9.05-1.5-18.27 1.9-26.36zM240 231c-7 0-12.7 4.1-16.1 8.2-3.5 4.1-5.7 8.6-7.9 12.6-2.1 4-4.1 7.5-5.6 9.4-1.6 1.9-1.8 1.8-2.4 1.8-.6 0-.8.1-2.4-1.8-1.3-1.6-2.9-4.4-4.6-7.6v2.4c0 7.8-.2 15.6-.7 23.3 2.3 1 4.9 1.7 7.7 1.7 7 0 12.7-4.1 16.1-8.2 3.5-4.1 5.7-8.6 7.9-12.6 2.1-4 4.1-7.5 5.6-9.4 1.6-1.9 1.8-1.8 2.4-1.8.6 0 .8-.1 2.4 1.8 1.5 1.9 3.5 5.4 5.6 9.4 2.2 4 4.4 8.5 7.9 12.6 3.4 4.1 9.1 8.2 16.1 8.2 7 0 12.7-4.1 16.1-8.2 3.5-4.1 5.7-8.6 7.9-12.6 2.1-4 4.1-7.5 5.6-9.4 1.6-1.9 1.8-1.8 2.4-1.8.6 0 .8-.1 2.4 1.8 1.5 1.9 3.5 5.4 5.6 9.4 2.2 4 4.4 8.5 7.9 12.6 3.4 4.1 9.1 8.2 16.1 8.2 7 0 12.7-4.1 16.1-8.2 3.5-4.1 5.7-8.6 7.9-12.6 2.1-4 4.1-7.5 5.6-9.4 1.6-1.9 1.8-1.8 2.4-1.8.6 0 .8-.1 2.4 1.8 1.5 1.9 3.5 5.4 5.6 9.4 2.2 4 4.4 8.5 7.9 12.6 3.4 4.1 9.1 8.2 16.1 8.2 7 0 12.7-4.1 16.1-8.2 3.2-3.7 5.3-7.7 7.3-11.4-.3-1.8-.4-3.6-.4-5.4 0-9.4 3.2-18 8.6-25-6.8.2-12.4 4.2-15.7 8.2-3.5 4.1-5.7 8.6-7.9 12.6-2.1 4-4.1 7.5-5.6 9.4-1.6 1.9-1.8 1.8-2.4 1.8-.6 0-.8.1-2.4-1.8-1.5-1.9-3.5-5.4-5.6-9.4-2.2-4-4.4-8.5-7.9-12.6-3.4-4.1-9.1-8.2-16.1-8.2-7 0-12.7 4.1-16.1 8.2-3.5 4.1-5.7 8.6-7.9 12.6-2.1 4-4.1 7.5-5.6 9.4-1.6 1.9-1.8 1.8-2.4 1.8-.6 0-.8.1-2.4-1.8-1.5-1.9-3.5-5.4-5.6-9.4-2.2-4-4.4-8.5-7.9-12.6-3.4-4.1-9.1-8.2-16.1-8.2-7 0-12.7 4.1-16.1 8.2-3.5 4.1-5.7 8.6-7.9 12.6-2.1 4-4.1 7.5-5.6 9.4-1.6 1.9-1.8 1.8-2.4 1.8-.6 0-.8.1-2.4-1.8-1.5-1.9-3.5-5.4-5.6-9.4-2.2-4-4.4-8.5-7.9-12.6-3.4-4.1-9.1-8.2-16.1-8.2zm224 2c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm-269.2 92.4c-2 11.2-4.5 22.2-7.4 33.2.5 1.4 1 2.8 1.7 4.3 2.3 4.9 6.8 10.3 13.5 12.1 6.7 1.8 13.2-.7 17.6-3.8 4.5-3 7.8-6.8 10.8-10.1 3.1-3.3 6-6.2 8-7.6 2-1.4 2.1-1.3 2.7-1.1.6.1.8.1 1.8 2.4 1.1 2.2 2.1 6.1 3.1 10.5s2 9.3 4.3 14.2c2.3 4.9 6.8 10.3 13.5 12.1 6.7 1.8 13.3-.7 17.7-3.8 4.4-3.1 7.7-6.8 10.8-10.1 3.1-3.4 5.9-6.3 7.9-7.7 2-1.4 2.2-1.3 2.8-1.1.6.1.7.1 1.8 2.3 1 2.3 2 6.2 3 10.6 1 4.4 2 9.3 4.3 14.2 2.3 4.9 6.8 10.3 13.5 12.1 6.7 1.8 13.2-.7 17.7-3.7 4.4-3.1 7.7-6.9 10.8-10.2 3.1-3.3 5.9-6.2 7.9-7.6 2-1.4 2.2-1.3 2.8-1.1.6.2.7.1 1.8 2.3 1 2.3 2 6.2 3 10.6 1 4.4 2 9.3 4.3 14.2 2.3 4.9 6.8 10.3 13.5 12.1 6.7 1.8 13.2-.7 17.7-3.7 4-2.8 7.1-6.2 10-9.3.2-1.7.5-3.5 1-5.2 2.4-9 7.8-16.6 14.7-21.9-6.5-1.6-12.9.9-17.3 3.8-4.4 3.1-7.7 6.9-10.8 10.2-3.1 3.3-5.9 6.2-7.9 7.6-2 1.4-2.2 1.3-2.8 1.1-.6-.1-.7-.1-1.8-2.3-1-2.3-2-6.2-3-10.6-1-4.4-2-9.3-4.3-14.2-2.3-4.9-6.8-10.3-13.5-12.1-6.7-1.8-13.2.7-17.7 3.7-4.4 3.1-7.7 6.9-10.8 10.2-3.1 3.3-5.9 6.2-7.9 7.6-2 1.4-2.2 1.3-2.8 1.1-.6-.1-.7-.1-1.8-2.3-1-2.3-2-6.2-3-10.6-1-4.4-2-9.3-4.3-14.2-2.3-4.9-6.8-10.3-13.5-12.1-6.7-1.8-13.3.7-17.7 3.8-4.4 3.1-7.7 6.8-10.8 10.1-3.1 3.4-5.9 6.3-7.9 7.7-2 1.4-2.2 1.3-2.8 1.1-.6-.1-.8-.1-1.8-2.4-1.1-2.2-2.1-6.1-3.1-10.5s-2-9.3-4.3-14.2c-2.3-4.9-6.8-10.3-13.5-12.1-6.7-1.8-13.2.7-17.6 3.8-4.5 3-7.8 6.8-10.8 10.1-3.1 3.3-6 6.2-8 7.6-2 1.4-2.1 1.3-2.7 1.1-.6-.1-.8-.1-1.8-2.4-1.1-2.2-2.1-6.1-3.1-10.5s-2-9.3-4.3-14.2c-.8-1.7-1.9-3.4-3.2-5.1zm261.7 68.7c-10.3-.1-19.6 6.6-22.4 17.1-3.3 12.3 3.9 24.8 16.2 28.1 12.4 3.3 24.9-3.9 28.2-16.2 3.3-12.4-3.9-24.9-16.3-28.2-1.9-.5-3.8-.8-5.7-.8z"}}]})(props);
};
function GiRadioTower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M60.307 17.998A201.117 201.117 0 0 0 55.002 64c0 78.375 45.002 146.35 110.539 179.486-8.783-10.556-16.478-22.658-23.1-35.912-42.318-33.5-69.443-85.327-69.443-143.574 0-15.895 2.035-31.305 5.832-46.002H60.307zm66.644 0c-5.142 14.384-7.949 29.87-7.949 46.002 0 51.245 28.27 95.989 70.031 119.482-6.264-10.227-11.17-21.604-15.023-33.158C151.2 128.657 136.998 98.02 136.998 64c0-16.319 3.275-31.856 9.193-46.002h-19.24zm72.445 0C189.156 30.565 183.002 46.585 183.002 64c0 26.543 14.293 49.845 35.572 62.623-3.806-9.484-6.58-20.417-8.332-32.014-5.84-8.738-9.244-19.259-9.244-30.609 0-11.35 3.403-21.87 9.244-30.61a168.14 168.14 0 0 1 3.053-15.392h-13.899zm99.31 0a168.14 168.14 0 0 1 3.052 15.393c5.84 8.738 9.244 19.259 9.244 30.609 0 11.35-3.403 21.87-9.244 30.61-1.751 11.596-4.526 22.529-8.332 32.013 21.279-12.778 35.572-36.08 35.572-62.623 0-17.415-6.153-33.435-16.394-46.002h-13.899zm67.103 0c5.918 14.146 9.193 29.683 9.193 46.002 0 34.02-14.202 64.657-37.012 86.324-3.852 11.554-8.76 22.93-15.023 33.158C364.728 159.99 392.998 115.245 392.998 64c0-16.132-2.807-31.618-7.95-46.002h-19.24zm67.36 0A183.653 183.653 0 0 1 439.003 64c0 58.247-27.125 110.074-69.443 143.574-6.622 13.254-14.317 25.356-23.1 35.912C411.996 210.35 456.998 142.375 456.998 64c0-15.825-1.837-31.226-5.305-46.002H433.17zM256 40.998c-12.81 0-23.002 10.192-23.002 23.002 0 12.81 10.192 23.002 23.002 23.002 12.81 0 23.002-10.192 23.002-23.002 0-12.81-10.192-23.002-23.002-23.002zm-20.35 58.537L119.398 477.354l17.204 5.292 13.15-42.74L256 415.39l106.248 24.517 13.15 42.74 17.204-5.292L276.35 99.535a40.612 40.612 0 0 1-17.192 5.328l49.654 161.381L256 283.848l-52.813-17.604 49.655-161.38a40.612 40.612 0 0 1-17.192-5.329zM197.893 283.45l29.65 9.885-36.428 12.143 6.778-22.028zm116.214 0l6.778 22.028-36.428-12.143 29.65-9.885zM256 302.82l52.652 17.55L256 339.516l-52.65-19.147L256 302.82zm-73.074 29.275l46.74 16.998-58.518 21.28 11.778-38.278zm146.148 0l11.778 38.277-58.52-21.28 46.742-16.997zM256 358.666l64.354 23.402L256 396.92l-64.355-14.852L256 358.666zm-92.16 35.455l52.144 12.033-60.115 13.873 7.97-25.906zm184.318 0l7.973 25.904-60.113-13.87 52.14-12.034z"}}]})(props);
};
function GiRadioactive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.78 17.188c-130.728 0-236.905 106.177-236.905 236.906C16.875 384.824 123.052 491 253.78 491c130.73 0 236.907-106.18 236.907-236.906 0-130.73-106.177-236.906-236.906-236.906zm0 18.687c120.63 0 218.22 97.59 218.22 218.22 0 120.626-97.59 218.218-218.22 218.218-120.628 0-218.218-97.59-218.218-218.22s97.59-218.218 218.22-218.218zm101.19 46.313L278.56 215.063c15.916 9.635 25.177 26.33 26.125 43.78h148.407c1.644-70.01-33.49-138.867-98.125-176.656zm-205.126 2.468c-27.1 16.725-50.68 40.147-67.72 69.656-19.01 32.928-26.926 69.12-26 104.532H196c.41-8.353 2.737-16.73 7.188-24.438 5.21-9.024 12.64-16 21.218-20.625L149.844 84.657zm100.594 141.156c-.864-.002-1.736.035-2.594.094-11.446.793-22.288 7.084-28.5 17.844-9.94 17.216-4.09 38.967 13.125 48.906 17.213 9.94 38.935 4.12 48.874-13.094 9.94-17.215 4.12-38.967-13.094-48.906-5.648-3.26-11.768-4.824-17.813-4.844zm28.218 82.375c-16.127 9.75-36.864 10.846-54.406 1.25l-68.03 117.22c29.454 16.785 61.044 25.177 92.75 26 34.567.898 68.72-7.786 99.124-24.032l-69.438-120.438z"}}]})(props);
};
function GiRaft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M296.3 51.46l-14.8 7.37 3.5 36.79c5.1-.62 10.2-1.39 15.3-2.3zM364 92.68c-32.8 15.02-70.8 22.02-104.7 22.92-19.7.6-38-.9-53.3-4.3-9.4-2.1-17.6-4.8-24.5-8.7-19.7 55.7-24.8 118-26.7 176.4 6.4-.9 12.9-1.6 19.4-2.3L189 212l13.1 45.4 15.4-12.8 6.5 29.2c50.3-1 101.2 3.1 149.3 7.7-6.2-38.1-11-84.1-11.7-127.4L325.5 137s20.6-5.2 36.3-8.9c.3-12.2 1-24.2 2.2-35.42zM304 293.7l5.7 59.1c3.9 2.5 7.4 5.6 10.3 9.2 1.7-2.1 3.5-4 5.6-5.7l-5.9-61.5c-5.2-.4-10.4-.7-15.7-1.1zM96 364.5c-12.81 0-23 10.2-23 23s10.19 23 23 23c12.8 0 23-10.2 23-23s-10.2-23-23-23zm64 0c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm64 0c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm64 0c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm64 0c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm64 0c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm-352 62c-13.18 0-29.27 4.3-42.85 8.4-1.08.3-2.11.7-3.15 1v18.8c2.59-.8 5.39-1.7 8.36-2.6 12.92-3.9 28.83-7.6 37.64-7.6 8.81 0 18.29 3.4 28.8 7.4 10.5 4 22 8.6 35.2 8.6 13.2 0 24.7-4.6 35.2-8.6 10.5-4 20-7.4 28.8-7.4s18.3 3.4 28.8 7.4 22 8.6 35.2 8.6c13.2 0 24.7-4.6 35.2-8.6 10.5-4 20-7.4 28.8-7.4s18.3 3.4 28.8 7.4 22 8.6 35.2 8.6c13.2 0 24.7-4.6 35.2-8.6 10.5-4 20-7.4 28.8-7.4s24.7 3.7 37.6 7.6c3 .9 5.8 1.8 8.4 2.6v-18.8c-1.1-.3-2.1-.7-3.2-1-13.5-4.1-29.6-8.4-42.8-8.4-13.2 0-24.7 4.6-35.2 8.6-10.5 4-20 7.4-28.8 7.4s-18.3-3.4-28.8-7.4-22-8.6-35.2-8.6c-13.2 0-24.7 4.6-35.2 8.6-10.5 4-20 7.4-28.8 7.4s-18.3-3.4-28.8-7.4-22-8.6-35.2-8.6c-13.2 0-24.7 4.6-35.2 8.6-10.5 4-20 7.4-28.8 7.4s-18.3-3.4-28.8-7.4-22.02-8.6-35.2-8.6z"}}]})(props);
};
function GiRaggedWound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M27.438 28c-2.13.008-4.264.054-6.407.156C55.4 55.93 66.44 113.052 81.126 161.344c36.747-81.008 70.31 15.56 85.313 133.187 19.56-157.11 81.692-39.362 117.75 24.19-3.213-72.754 106.18-22.386 126.625 48.436 13.595-60.515 45.038-53.18 82.406 13.156-5.587-75.425-47.698-149.916-98.158-109.562 6.667-98.496-65.15-100.515-91.25-67.406-15.74-40.536-96.467-119.32-106.5-42.313C152.726 72.62 93.442 27.748 27.438 28zM81.5 191.53c-5.156 15.956-49.635 88.657 0 88.657 49.667 0 3.134-72.61 0-88.656zm85.563 129.69c-6.08 22.943-58.522 127.5 0 127.5 58.558 0 3.694-104.426 0-127.5zm243.875 64.28c-4.133 13.405-39.774 74.5 0 74.5 39.797 0 2.51-61.018 0-74.5z","fillRule":"evenodd"}}]})(props);
};
function GiRailway (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 112v39h38v-39zm102 0v39h48v-39zm112 0v39h48v-39zm112 0v39h48v-39zm112 0v39h38v-39zM18 169v30h476v-30zm0 48v78h38v-78zm102 0v78h48v-78zm112 0v78h48v-78zm112 0v78h48v-78zm112 0v78h38v-78zM18 313v30h476v-30zm0 48v39h38v-39zm102 0v39h48v-39zm112 0v39h48v-39zm112 0v39h48v-39zm112 0v39h38v-39z"}}]})(props);
};
function GiRainbowStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16.12 18.41v29.22c9.3-1.06 18.65-1.71 28.01-1.91 1.93 0 3.85-.1 5.78-.1C167.6 45.28 286.3 111.5 340.5 222.5l37.6-33.4c-29.8-71.1-79-129.97-139.7-170.69zm33.76 45.97c-11.29 0-22.57.7-33.76 2.06V136c15.87-2.7 31.86-4 47.85-4 2.73 0 5.48 0 8.22.1 83.41 2.5 165.61 41.4 223.51 111.4l15.7 5 14.6-13.1C280.6 132.6 147.6 66.28 49.88 64.38zm14.46 86.32c-16.12-.1-32.26 1.4-48.22 4.3v81c22.84-7.4 46.09-11.2 69.13-11.5h4.56c44.59.3 88.29 13.4 126.09 37.2l-14-31.9-8.3-18.9 19.7 6.3 46.5 14.8c-46.3-52.6-132.1-80.2-195.46-81.3zm320.96 57L319.8 266l-4 3.5-5-1.6-83.5-26.6 35.2 80.2 2.2 4.9-3.2 4.3-51 71.1 87.1-8.6 5.3-.5 3.2 4.3 51.8 70.5 18.7-85.5 1.2-5.3 5-1.6 83.2-27.5-75.7-44.3-4.5-2.7-.1-5.3-.4-87.6zM86.72 243.1c-23.55.2-47.34 4.3-70.6 12.7v93.4c66.75-35.7 144.18-32.8 207.78 1.8l19.4-26.9-12.7-28.9c-40.7-33.9-91.6-52.5-143.88-52.1z"}}]})(props);
};
function GiRaining (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M305 19.438c-46.49 0-85.118 32.184-95.844 75.374l-4.656 18.75-11.813-15.28C179.864 81.69 160.21 70.75 137.844 70.75c-38.486 0-69.97 31.515-69.97 70.063 0 6.083 1.424 12.16 3.314 18.812l2.937 10.406-10.688 1.44c-24.95 3.297-44.374 24.6-44.374 50.56 0 28.264 22.848 51.126 51.062 51.126 18.228 0 34.287-9.818 43.313-24.28l6.968-11.157 8.22 10.218c15.42 19.07 38.945 31.343 65.343 31.343 30.613 0 56.55-16.175 71.31-40.686l7.94-13.188 8.03 13.156c8.978 14.675 24.76 24.22 43.28 24.22 14.95 0 28.317-6.327 37.626-16.5l6.47-7.063 6.905 6.624c12.575 12.055 29.132 19.375 47.845 19.375 38.486 0 69.938-31.485 69.938-70.033 0-38.547-31.365-69.468-69.938-69.468-2.974 0-5.754.17-8.625.53l-10.375 1.313-.125-10.47c-.61-54.307-44.804-97.656-99.25-97.656zm42.47 258.125c-5.813 2.026-11.97 3.332-18.345 3.75l7.594 26.625 17.874-5.375-7.125-25zm-213.158 1.125l10.063 35.25 17.875-5.344-4.97-17.438c-8.218-3.173-15.918-7.404-22.968-12.47zm263 1.25l14.125 49.5 17.875-5.344-11.5-40.375c-7.104-.45-13.97-1.733-20.5-3.783zm-309.125 9.468c-5.757 1.582-11.81 2.438-18.062 2.438-.22 0-.436-.03-.656-.03l11.81 41.467 17.876-5.374-10.97-38.5zm131.97 5.125c-5.972 1.595-12.163 2.652-18.532 3.126l8.97 31.438 17.874-5.375-8.314-29.19zm70.624 7.064l-17.905 5.375 16.313 57.217 17.906-5.375-16.313-57.218zM366.72 345l-17.908 5.375 10.063 35.313 17.906-5.375L366.72 345zm-192.345 6.03l-17.906 5.376 9 31.53 17.874-5.373-8.97-31.532zm66.22 15.126l-17.907 5.375 16.937 59.44 17.906-5.376-16.936-59.438zm200.843.375l-17.907 5.376 12.19 42.656 17.874-5.375-12.156-42.656zm-330.157 3.814l-17.905 5.375 14.47 50.75 17.905-5.376-14.47-50.75zm207.907 30.937l-17.875 5.345 15.875 55.688 17.875-5.375-15.875-55.657zm69.688 21.47l-17.906 5.375 8.592 30.188 17.938-5.375-8.625-30.188zM195.47 425l-17.907 5.375 9.03 31.688 17.907-5.375L195.47 425zm270.25 26.625L447.81 457l10.5 36.844h19.438l-12.03-42.22zM137.843 463.53l-17.875 5.376 7.093 24.938H146.5l-8.656-30.313zm131.78 4.5l-17.874 5.376 5.813 20.438H277l-7.375-25.813z"}}]})(props);
};
function GiRaiseSkeleton (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M244 439.765l-22.63 3 8.5-148.15a68.48 68.48 0 0 0 22.33 6.7l-7.94 138.45zm28.5 7l4.37 1.32 18.3.65v-153.58a70.07 70.07 0 0 1-22.68 6.29v145.35zm-255.26 45.6h473.52l-56.07-32.23-37.84-9.11-46.68-19.3-36.71 34.72-39.41-1.4-27.86-8.41-41.34 5.41-25-15.92-10.78-18.22L85 447.515l-55.34 20.32zm148.05-334.53c-3.757-4.877-10.72-5.866-15.686-2.227-4.966 3.638-6.122 10.575-2.604 15.627l12 16.45 16.21-16.32zm35.71 48.72l-15.6-21.29-16.17 16.3 15.19 20.8 15.37-14.81a8.55 8.55 0 0 1 1.21-1zm25.67 35L211 220.285l-16.44 15.88 16.67 22.76c2.46-6.81 7.9-12.78 15.42-17.32zm-24.9-146.42c-2.193-5.775-8.606-8.733-14.422-6.651-5.817 2.081-8.897 8.436-6.928 14.291l14.23 39.78 20.64-9.62zm16.83 114.35l10.91 30.48a67.76 67.76 0 0 1 21.67-6.74l-11.43-31.86zm2.4-60.42l-20.64 9.62 12.46 34.83 21.18-8.15zm30 32.69l22.62-1.87-1.72-38.52-22.64 1.26zm.75 17l1.51 34.25a83.52 83.52 0 0 1 22.72.42l-1.61-36.54zm17.36-120.58c-.433-6.13-5.672-10.8-11.812-10.53-6.14.272-10.947 5.385-10.838 11.53l2.05 46.5 22.64-1.31zm82.54 20.19c1.945-5.83-1.109-12.149-6.886-14.247-5.777-2.098-12.174.788-14.424 6.507L318 124.575l21.15 8.2zm-18.29 50.4l-21.15-8.2-15.62 43 21.41 7.45zm-55 85.06a63.82 63.82 0 0 1 21.28 7.84l12.59-34.67-21.42-7.45zm106.42-21c5.037-3.722 6.102-10.823 2.38-15.86-3.722-5.037-10.823-6.102-15.86-2.38l-27.18 20.08 14.41 17.55zm-68.65 50.72l28.7-21.21-14.41-17.55-26.69 19.72c6.79 5.16 11.27 11.71 12.38 19.01zm-53 21.46c20.78 0 36.31-9.38 36.31-17.76s-15.53-17.76-36.31-17.76-36.31 9.38-36.31 17.76 15.47 17.72 36.26 17.72z"}}]})(props);
};
function GiRaiseZombie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M30.653 470.114l55.34-20.32 84.09-19.62 10.78 18.22 25 15.92 41.34-5.41 27.86 8.41 39.41 1.4 36.71-34.72 46.68 19.3 37.84 9.11 58.628 32.737H17.67zm238.6-202.77l-6 10c10.09 6.1 21.58 6.39 32.88 3.21a92.26 92.26 0 0 0 15.72-6.22c-.31 6.28-.36 16.58-.19 29.29l-18.82-2.87 3.86 115 19.72-.85c.69 9.53 1.45 18.47 2.27 26.44l-10.72 10.14-30.09-1.07-25.79-7.77-3.5-1.06-3.62.47-35.2 4.59-4.89-3.12c8.11-37.88 17.45-123.11 19.51-141.7.89-7.27 1.226-14.6 1-21.92l9.89-5.34.7-6.39-3-6.52h-8.88l-4.65-9.13-1.83.63a30 30 0 0 0-2.63-3.11l-.08-.08-24-25.88 2.36-6-1.18-7.08-8.51-2.36-2.07-10-13.35.87-30.95-33.39c.53-4.33 3-9.83 6.9-14.16 3.7-4.16 8.26-6.81 11.88-7.54l59 62.41 9.49-6.55-43.09-89.08c1.73-4 5.71-8.14 10.73-10.83 4.84-2.6 10.11-3.49 13.75-3l45.5 92.27 11-3.53-16.29-98.92c2.68-2.68 7.66-5.23 13-6a27.14 27.14 0 0 1 3.55-.27h1.17a21.3 21.3 0 0 1 9.93 2.59l15.06 94.32 11.43.35 17.77-80.41c5.89 4.64 19.24 15.77 19.24 15.77l7.25-2.3-19.62 89.33h.06l-1.44 6.31-.64 2.88 8.88 5.78c14.3-8.86 28.38-18 40.27-22.17 7.78-2.7 14.2-3.2 19.36-1.17 4.25 1.67 8.26 5.37 11.9 12.43-29.73 14.51-55.85 34.55-78.25 48.74-11.87 7.52-22.69 13.34-32 16-9.31 2.66-16.73 2.22-23.75-2.03zm-9.84 65.39v26l11.38 9.15-4.78 6.2.28 18.89 8.3 9.15 11.94 9.9-3.6-107.26-8.34 5.56-7.74 22.43h-7.44z"}}]})(props);
};
function GiRake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M93.69 18l110.414 254.676c3.594-2.915 7.82-5.232 12.498-6.848 3.456-1.194 7.192-1.995 11.056-2.187 1.153-.057 2.32-.052 3.49.005L124.81 18zm136.28 263.625c-.486-.013-.977-.008-1.472.018-1.98.102-4.028.51-6.02 1.2-3.982 1.374-7.573 3.935-9.298 5.99-.955 1.136-1.186 1.65-1.266 1.77l21.088 44.463 5.992-.43 23.932-3.275-19.387-40.338c-2.84-5.532-5.963-7.66-9.417-8.737-1.297-.404-2.7-.62-4.154-.66zm-18.056 8.98l-.187-.394c.155.335.123.49.187.394zm246.424 34.092c-.995-.003-2.05.103-3.164.332L26.7 381.85c-9.594 1.727-7.955 25.956.226 29.802 24.032 15.5 22.984 79.762 38.904 79.762 6.29 0 2.062-75.122-7.084-84.115l21.992-3.01c22.608 17.032 21.907 78.792 37.514 78.792 6.092 0 2.32-70.452-6.232-83.07l20.42-2.795c23.036 16.58 22.23 79.1 37.933 79.1 6.15 0 2.247-71.775-6.475-83.405l21.248-2.908c21.777 17.886 21.282 78.148 36.698 78.148 5.99 0 2.442-68.09-5.805-82.375l20.847-2.85c22.166 17.488 21.57 78.462 37.076 78.462 6.037 0 2.386-69.197-6.004-82.716l22.75-3.113c21.097 18.56 20.766 77.585 36.022 77.585 5.912 0 2.53-66.302-5.488-81.762l21.207-2.903c21.477 18.188 21.058 77.9 36.404 77.9 5.954 0 2.478-67.294-5.668-82.105l21.826-2.986c20.377 19.247 20.23 76.927 35.312 76.927 5.822 0 2.63-64.344-5.127-81.06l21.588-2.954c20.726 18.918 20.49 77.25 35.658 77.25 10.89-34.01-1.78-72.33-15.298-101.994-1.355-2.71-4.495-4.75-8.807-4.763z"}}]})(props);
};
function GiRallyTheTroops (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M462.9 19.12c-9.6 0-17.2 7.59-17.2 17.19 0 9.61 7.6 17.19 17.2 17.19s17.2-7.58 17.2-17.19c0-9.6-7.6-17.19-17.2-17.19zm-80.3 21.82c-160.3.8-218.1 217.46-362.93 96.26 3.25 36.8 88.43 78.4 88.43 78.4-26.03 20-34.78 24.7-71.99 25.5 104.09 86.7 338.69-99.8 408.39 40.1l-2.3-38.4-45.4-46.5 42.7.6-.6-10.2-50.7-32.2 48.4-7.2-.7-11.1-50-27.3 47.9-8.8-.6-10.69L381 66.66l50.5-5.85-.8-13.9c-17.1-4.2-33-6.05-48.1-5.97zm70.8 29.97l20.2 423.99 18.7-.9-20.2-423c-6.3 1.54-12.7 1.5-18.7-.1zM360 292.9l-43.6 70 21.3 25L322 493h18.9l15.2-102.3 28-20.2c-8.1-25.9-16.1-51.8-24.1-77.6zm-156.7 17.9l-28.8 69.8 20.5 20.2 2.2 92.2h18.7l-2.2-93 19.6-19.9-30-69.3zm-158.16 5l-16.4 61.9 17.65 13.2L61.24 493h18.87L64.89 388.3l13.22-17.6-32.93-54.9zm85.96 7.4l-28.2 57.5 15.1 17-6.7 95.3H130l6.8-95.3 15.9-14.2-21.6-60.3zM268 355.5l-19.5 68.4 19.4 15.2 5.8 53.9h18.9l-5.9-54.3 16.8-21.6c-11.9-20.5-23.7-41-35.5-61.6zm143.6.1l-18.9 68.6 20.3 15.5 6.2 53.3H438l-6.4-55.2 16-20.9z"}}]})(props);
};
function GiRamProfile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M189.6 19.18C162 46.06 150.9 71.02 149 94.29c-1.7 21.21 4.3 41.51 14.6 60.81 11.2-2.8 23.2-2.7 34.7.9 4.5-19.1 10.5-38.6 24.3-56 14.4-18.06 36.9-33.1 72.5-43.47-22-16.95-48.1-28.2-75.9-33.63-10.2-1.99-20.1-3.23-29.6-3.72zm-25.1.41c-31.6 2.76-58.5 14.19-80.27 31.83-16.52 13.36-30.19 30.44-40.65 50.28l1.38-.2c6.28 45 31.59 70.4 75.44 83.6 7-9.9 16.1-17.9 26.3-23.4-10.8-20.9-17.6-44.1-15.6-68.86 1.9-23.76 12.1-48.51 33.4-73.25zm146.8 51.25c-40 9.69-61.5 23.99-74.6 40.36-12 15.2-17.2 32.8-21.6 52.2 7.3 4.2 12.9 9.2 17.1 14.8 4 5.4 6.6 11.2 8.6 17.1 33.4-15.7 76.2-33.2 118-30.1-7-39.3-24-70.81-47.5-94.36zM32.5 127c-4.83 13.6-8.37 28.1-10.52 43.3-4.54 32-.31 67.5 10.98 99.9 29.71 2.9 53.76-2.6 72.74-21.8-.6-5.5-.8-11.1-.7-16.7.2-11 2.5-21.4 6.4-30.7-38.71-12.9-66.7-37.3-78.9-74zm318 55.9h-2.6l-6.6.3c-2.2.2-4.3.4-6.4.6-33.3 3.8-68.3 19-96.1 32.3l-7.2 3.4c-1 .9-2.1 1.8-3.1 2.8 0 0-23-18.1-55.1-24.7-23.1-4.7-16.4 33.5 1.5 49 18.9 16.5 36.8 16.3 36.8 16.3-11 20.3-20.3 38.2-28.8 54.6 23 5.7 53.9 4.7 94.9-7.4l11.7-3.5-.2 12.2c-.4 27.5-25.9 53.7-61.9 68.3-24.5 9.9-54.6 14-86.5 7.5-18.2 29.9-39.9 60.1-74.15 99.4H355.9c-.1-10.3.2-20.8.6-31.6l10.9 5.3-8.5-29.1 15.6 4.2-17-55.4c-.8-13.2-2.5-26.1-5.6-38.5 43.9 10.3 98.5 24.3 126 17.4 8-2 21.1-27.6 17.7-43.9-5.3-25.9-40.3-36.3-58.4-52.4 0 0-12.5-29-22.7-43.2-11.7-16.3-32.7-34.1-41.7-41.5l-4.8-.8c-5.7-1-11.5-1.6-17.5-1.6zm3 40.8c20.3 3.4 43.2 9.7 39.4 38.7-24.7-1.9-48.8-3.6-39.4-38.7zM109.6 269c-19.61 15.2-43.6 20.6-69.25 19.6 14.27 31.5 35.56 58.1 62.05 72.8 18.3-11 30.4-32.9 26-56.4-8.9-10.5-15.1-22.9-18.8-36zm37.4 52.6c-1.9 19.2-11.7 36.6-25.9 48.5 23.9 9.2 46.9 11.3 67.5 8.6 8.8-15.7 8.2-28.3 2.7-41.4-17.5-2.3-32.2-7.8-44.3-15.7zm120.7 9.6c-21.2 5.2-40.3 7.6-57.2 7.4 3 11.2 3.2 23.2-.5 35.6 3.6-1.2 7.2-2.4 10.6-3.8 23.6-9.5 40.2-25.4 47.1-39.2z"}}]})(props);
};
function GiRam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464.416 141.915c-8.517-6.749-15.266-14.865-20.008-24.704-7.76-16.366-21.048-26.791-32.372-38.706-12.072-15.64-18.256-30.462-34.519-40.135-3.803 5.674-7.902 13.973-15.266 11.74-9.753-5.159-4.799-13.382-1.723-20.8-6.323-4.6-21.495-9.001-27.51-7.927-.877 7.956-2.21 17.492-10.83 17.094-14.185-4.655-2.406-19.973-13.426-19.324-9.922.559-18.975 2.55-27.63 4.884 2.44 9.422 5.662 22.255-1.65 25.316-10.817 1.642-12.804-10.195-15.81-17.98-8.258 1.711-24.16 11.704-27.841 17.473 3.875 4.623 9.156 10.605 7.362 15.914-8.156 11.432-15.077 3.058-21-3.138-6.818 6.158-14.911 20.468-15.336 27.11 7.826 3.064 17.978 8.615 13.283 17.035-6.205 7.284-12.993 2.988-19.654.626-2.204 10.244-2.3 21.296-2.076 30.885.094 3.94 1.038 4.4 5.12 4.07 6.443-.894 13.776.838 14.818 7.21-1.37 9.747-9.11 9.99-15.761 11.95 2.642 10.64 6.983 19.831 12.835 28.69 5.97-3.503 11.821-7.844 17.13-1.144 5.238 6.666.212 11.432-4.578 15.56 3.21 4.637 10.523 10.37 18.097 14.393 8.473 4.646 9.273-7.882 18.168-4.671 6.23 3.178 5.688 8.296 5.686 13.697 8.14 1.557 15.833 2.737 23.713 2.572 12.553-14.671 22.366-3.779 27.039-5.167 13.777-6.153 27.855-13.305 34.896-25.353-18.352 6.382-38.157 9.23-54.362 5.922-17.483-3.75-32.442-11.891-42.966-26.756-11.985-16.882-14.533-35.722-10.263-55.6C254 94.443 277.215 75.188 303.075 72.63c19.789-1.958 44.38-.67 62.998 4.235 4.554 1.204 6.843 5.84 5.923 10.052-1.038 4.766-4.743 7.42-9.863 7.043-15.667-1.109-34.203-6.065-46.834 2.678-4.6 3.245-6.159 10.582-3.752 15.997 10.95 12.205 29.449-7.963 38.341-1.262 2.926 2.63 3.776 5.84 2.785 9.697-5.679 27.277-17.848 48.394-33.433 66.313 19.04 5.586 40.788-12.957 45.82-20.893 11.75-14.394 19.446-2.49 17.767 10.712-3.28 24.385-15.738 42.86-36.595 55.565-18.876 11.468-39.521 15.679-61.464 14.358-25.482-1.498-47.85-10.476-67.08-27.193-21.574-7.273-63.404-9.548-84.776-9.615-16.257.165-31.876 3.08-47.071 8.66-18.569 6.818-33.859 18.155-45.75 33.857-10.237 14.746-7.113 21.63-.12 27.615 6.985-7.617 11.267-22.239 19.703-25.019 4.176-1.309 8.116-1.474 11.373 1.959 4.173 5.63 1.431 10.3-.448 15.407-5.698 16.825-3.75 30.001-1.157 45.809 3.516 20.976.26 40.595-12.199 58.031-3.35 4.66-3.09 8.33-1.108 13.213 5.355 13.202 10.547 26.497 15.194 39.946 7.488 19.595 5.05 37.714 9.202 55.671 1.44 6.218 2.454 7.067 8.683 7.29 9.153-.204 17.698.701 25.67.025 5.003-.65 6.088-2.525 3.918-7.268-13.188-19.395-19.861-44.062-26.002-64.424-3.54-11.927-3.776-24.22-2.195-36.572.944-7.338 4.72-11.573 11.868-14.062 9.06-3.138 18.073-6.807 26.355-11.55 30.415-19.251 43.9-48.955 49.926-80.858 17.825 2.95-.123.01 17.625 2.595-3.57 19.787-12.353 40.712-19.607 56.851 9.386 7.861 44.208 19.666 95.96 10.665-.692-16.073-7.468-25.21-15.574-37.233 14.401-11.08.873-.882 14.534-10.912 16.96 24.617 20.294 46.521 21.612 72.21-.687 13.063-8.602 23.308-15.242 32.95-1.77 2.572-1.77 4.578.165 7.209 15.01 23.955 9.382 46.794 8.895 71.396-.141 6.029 1.416 7.976 7.339 8.282 6.724.319 13.496-.118 20.22-.755 3.586-.354 5.12-2.737 3.94-6.158-5.876-11.926-13.934-16.95-11.16-31.133 6.395-29.423 12.152-59.105 29.517-84.717 4.414-8.05 8.163-17.779 10.476-25.587 1.44-4.896 3.54-8.542 7.857-11.444 21.472-14.275 34.874-34.236 40.607-59.364 4.837-21.14 6.797-42.12 4.367-63.437-1.038-9.19-2.784-18.297-3.893-27.487-.85-6.937 1.13-11.901 7.855-10.757 18.333 3.197 36.878 3.304 55.353 4.023 6.23.248 11.066-2.064 15.219-6.406 9.258-13.105-.847-19.362-10.403-26.923zm-40.536-23.572c-3.421 5.521-10.665 7.196-16.186 3.775-5.498-3.433-7.196-10.688-3.75-16.21 3.42-5.52 23.404 6.914 19.936 12.435z"}}]})(props);
};
function GiRanchGate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 41v46h462V41H25zm30 64v382h30V105H55zm83.2 0L103 140.2v25.6l60.8-60.8h-25.6zm60.8 0v30h18v-30h-18zm96 0v30h18v-30h-18zm53.2 0l60.8 60.8v-25.6L373.8 105h-25.6zm78.8 0v382h30V105h-30zm-258 48v30h174v-30H169zm-66 142v162l306 .1V295H103zm18 18h240.8l-60 30H121v-30zm270 5.6V343h-48.8l48.8-24.4zM121 361h144.8l-60 30H121v-30zm185.2 0H391v30H246.2l60-30zM121 409h48.8L121 433.4V409zm89.2 0H391v30.1l-240.8-.1 60-30z"}}]})(props);
};
function GiRank1 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255 471L91.7 387V41h328.6v346zm-147.3-93.74L255 453l149.3-75.76V57H107.7zm146.56-33.1l-94.66-48.69v50l94.54 48.62 98.27-49.89v-49.9z"}}]})(props);
};
function GiRank2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255 471L91.7 387V41h328.6v346zm-147.3-93.74L255 453l149.3-75.76V57H107.7v320.26zm146.43-65.76l98.27-49.89v-49.9l-98.14 49.82-94.66-48.69v50zm.13 32.66l-94.66-48.69v50l94.54 48.62 98.27-49.89v-49.9z"}}]})(props);
};
function GiRank3 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255 471L91.7 387V41h328.6v346zm-147.3-93.74L255 453l149.3-75.76V57H107.7v320.26zm187.61-168.34l-14.5-46 38.8-28.73-48.27-.43L256 87.94l-15.33 45.78-48.27.43 38.8 28.73-14.5 46 39.31-28zM254.13 311.5l98.27-49.89v-49.9l-98.14 49.82-94.66-48.69v50zm.13 32.66l-94.66-48.69v50l94.54 48.62 98.27-49.89v-49.9z"}}]})(props);
};
function GiRapidshareArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M136.094 25.875c-15.79.166-26.534 4.426-33 11.906-6.32 7.31-8.877 18.45-6.656 34.22 1.01 7.182 3.17 15.27 6.187 23.906 25.733-6.88 59.657-5.89 97.438 3.47 45.22 11.2 95.64 34.696 141.687 73.343 69.268 58.135 120.23 99.117 152.78 178.28-3.425-33.22-15.525-65.535-32.03-94.875-24.64-43.798-58.534-80.653-84.03-102.78-60.464-52.477-122.706-91.336-173.564-111.532-25.428-10.1-48.027-15.5-65.594-15.907-1.097-.025-2.166-.042-3.218-.03zM77.22 67.72l-44.94 51.968c-6.363 7.362-8.96 18.47-6.78 34.156 2.18 15.687 9.306 35.27 21.03 56.875 23.45 43.21 65.05 94.57 119.22 143.468l6.875 6.187-6.125 6.938-27.656 31.28 241.406 80.438-119.094-222.374-26.22 30.156-6.374 7.344-7.093-6.656c-53.73-50.503-95.835-103.37-120.5-149.47-12.334-23.048-20.352-44.395-23.032-63.436-.327-2.317-.56-4.612-.72-6.875z"}}]})(props);
};
function GiRaspberry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M414.18 23.797c-16.907 11.699-42.489 21.527-62.63 36.468-10.07 7.471-18.981 16.502-24.014 28.309-1.47 3.448-2.555 7.11-3.25 10.955-3.324-3.458-7.468-7.603-12.15-11.883-11.486-10.498-26.55-20.994-34.96-22.627a163.423 163.423 0 0 0-29.97-2.972c-35.377-.26-71.284 10.722-104.307 31.152 40.558.919 63.561 5.12 116.319 21.863l22.728 7.213-21.826 9.604c-13.706 6.03-19.712 11.886-22.408 16.886-2.696 5-2.8 10.173-1.723 17.108 1.077 6.935 3.539 15.033 4.332 24.168.27 3.095.143 6.392-.218 9.736 12.535-3.214 25.092-5.042 36.07-8.598 16.385-5.307 29.047-12.934 36.933-35.515l6.706-19.2 9.7 17.874c11.752 21.65 22.482 31.694 32.108 36.322 9.626 4.628 19.09 4.432 30.356 2.844 11.266-1.589 23.87-4.8 37.937-4.217 4.812.2 9.788.972 14.834 2.375-7.584-17.977-9.142-31.569-14.475-40.713-3.934-6.746-9.775-12.597-23.73-19.188-13.334-6.297-33.969-12.792-65.166-19.773-.39-6.321.686-11.587 2.719-16.357 3.308-7.761 9.62-14.56 18.177-20.909 17.114-12.695 42.402-22.46 62.15-36.125zm-297.104 83.3c-2.773.769-5.53 2.407-7.407 4.432-15.805 18.096-14.113 40.858 1.398 51.31 7.534 5.077 17.417 6.626 27.4 4.813-1.261-9.826-.178-20.233 3.585-30.23 3.904-10.374 10.26-19.187 18.076-25.832-13.256-4.641-30.557-7.693-43.052-4.493zM194.964 116c-14.809 3.288-29.62 10.64-36.063 27.758-8.184 21.747.996 44.144 19.07 50.941 11.226 4.221 33.523.425 43.43-7.335.87-15.135-5.824-35.092.467-47.142.913-1.692 1.995-3.33 3.217-4.93-3.297-6.983-8.933-12.385-15.385-16.013-4.386-2.466-9.824-4.37-14.736-3.28zM88.979 167.078c-4.539 4.413-8.308 10.036-10.812 16.69-8.184 21.747.994 44.142 19.068 50.939 6.282 2.362 12.998 2.595 19.432.986-1.186-9.657-.095-19.865 3.598-29.678a62.976 62.976 0 0 1 12.859-20.78c-12.096.65-24.015-2.096-33.943-8.786-4.028-2.714-7.42-5.878-10.202-9.371zm228.506 17.371c-10.029 12.475-22.895 19.685-35.765 23.853-13.635 4.417-27.303 6.448-39.02 9.467 4.583 4.506 10.266 8.213 16.88 10.7 23.551 8.856 48.436-1.66 56.314-22.592 2.634-7 3.06-14.377 1.591-21.428zm-168.888 9.36c-5.274 4.61-9.655 10.767-12.455 18.208-8.185 21.748.995 44.145 19.07 50.942 9.475 3.563 19.935 2.286 28.926-2.864-.703-7.85.276-15.872 3.205-23.656 3.704-9.843 18.948-21.888 17.502-23.342-1.446-1.454-22.062 2.643-33.213-1.55-9.592-3.607-17.374-9.872-23.035-17.739zm187.674.443a55.4 55.4 0 0 1-3.53 17.959 55.527 55.527 0 0 1-8.896 15.507c1.505 13.784 9.637 25.46 21.822 30.042 18.075 6.796 39.743-3.999 47.928-25.747 2.675-7.109 3.483-14.284 2.744-20.964-.618.092-1.227.191-1.85.279-12.519 1.765-26.575 2.33-40.67-4.447-6-2.885-11.834-7.02-17.548-12.63zm90.878 12.972c-4.242-.024-8.611.415-13.107 1.04 1.235 9.783.147 20.136-3.598 30.085-4.52 12.013-12.33 21.932-21.884 28.82 6.466 10.736 16.497 18.181 27.336 19.56 18.56 2.359 34.84-13.642 34.886-37.663.035-18.152-9.218-34.08-21.75-41.799a56.817 56.817 0 0 0-1.883-.043zM224.663 224.37s-8.595 2.583-11.91 5.418c-3.94 3.37-6.69 8.014-8.56 12.986-7.763 20.626 5.06 45.674 30.597 55.278 25.538 9.603 51.697-.785 59.459-21.41 3.552-9.44 2.782-19.801-1.533-29.188-12.513 3.282-26.324 2.81-39.479-2.137-11.708-4.403-21.46-11.818-28.574-20.947zM73 239.912c-4.388 5.558-7.524 12.703-8.715 21.023-3.333 23.29 10.18 44.553 28.809 48.721a29.76 29.76 0 0 0 9.287.588c-2.272-7.44-3.311-15.376-2.87-23.424.674-12.258 4.707-23.345 11.089-32.154a49.431 49.431 0 0 1-19.703-3.112 49.465 49.465 0 0 1-17.897-11.642zm240.121 12.004c2.299 10.142 1.835 20.806-2.023 31.058a53.208 53.208 0 0 1-7.422 13.448c4.017 10.294 12.021 18.207 22.344 21.091 18.598 5.197 39.244-7.446 45.502-29.824a46.645 46.645 0 0 0 1.736-12.637c-10.844 3.625-22.656 3.795-33.93-.445-11.53-4.336-20.45-12.506-26.207-22.691zM127.608 263.12c-5.79 6.46-9.647 15.469-10.23 26.088-1.29 23.492 14.027 43.498 32.95 46.027 7.786 1.04 15.292-1.002 21.523-5.398a59.087 59.087 0 0 1 3.777-22.162 59.098 59.098 0 0 1 11.717-19.096 48.41 48.41 0 0 0-2.293-9.158c-11.234 4.183-23.625 4.614-35.424.177-9.056-3.405-16.48-9.202-22.02-16.478zm260.3 28.984c-.013.044-.022.088-.034.131-4.208 15.05-13.584 27.41-25.455 35.127 3.513 9.247 10.35 16.616 19.443 20.035 18.075 6.797 39.744-3.998 47.928-25.746 2.265-6.018 3.195-12.084 2.98-17.857-5.281 1.359-10.955 1.76-16.908 1.004-10.384-1.32-19.927-5.91-27.955-12.694zm-185.13 6.319c-4.414 4.188-7.99 9.443-10.302 15.587-8.031 21.34 2.41 44.677 23.261 52.518 20.852 7.841 44.092-2.83 52.123-24.17 3.086-8.198 3.434-16.688 1.524-24.484-12.96 2.956-27.275 2.157-40.934-2.979-9.968-3.748-18.662-9.474-25.672-16.472zm88.55 13.386c-1.56.406-3.111.893-4.645 1.479 2.873 11.337 2.449 23.651-1.975 35.406a59.087 59.087 0 0 1-21.395 27.61 29.689 29.689 0 0 0 8.936 7.46c16.757 9.14 40.94 2.051 53.791-17.662 6.486-9.949 8.5-20.69 6.756-30.066a49.092 49.092 0 0 1-12.117-1.791c-12.689-3.545-22.767-11.754-29.352-22.436zm-226.403 1.373c-2.346 5.319-3.694 11.532-3.707 18.407-.041 21.786 13.291 40.372 29.619 45.402-2.945-9.404-3.914-19.621-2.455-29.813.983-6.866 3.015-13.259 5.869-19.013a48.894 48.894 0 0 1-3.713-.664c-9.88-2.21-18.58-7.317-25.613-14.319zm48.553 18.553c-3.748 5.298-6.425 11.853-7.502 19.379-3.334 23.29 10.179 44.557 28.808 48.725a29.69 29.69 0 0 0 14.365-.336c-2.33-9.834-2.259-20.493.672-30.975a62.497 62.497 0 0 1 6.334-14.883 48.342 48.342 0 0 1-6.816-.41c-14.434-1.929-26.96-10.03-35.861-21.5zm238.332 13.797c-.64 9.854-3.91 19.95-9.942 29.203-4.708 7.223-10.714 13.331-17.482 18.145 2.699 4.606 6.564 8.466 11.474 11.144 16.757 9.139 40.943 2.051 53.793-17.662 4.06-6.228 6.366-12.767 7.098-19.088a49.484 49.484 0 0 1-21.23-3.031c-9.983-3.754-18.001-10.39-23.711-18.711zm-173.98 8.969c-4.811 4.992-8.58 11.385-10.673 18.87-6.228 22.274 5.196 43.987 24.518 49.386 19.322 5.398 40.352-7.249 46.58-29.522a46.267 46.267 0 0 0 1.39-7.082c-9.856 1.744-20.256.978-30.248-2.78-14.359-5.399-25.29-15.988-31.568-28.872zm78.542 40.453a62.967 62.967 0 0 1-.781 3.125c-4.023 14.388-12.82 26.275-24.051 34.039a29.688 29.688 0 0 0 8.963 7.492c16.757 9.139 40.94 2.05 53.791-17.662 3.939-6.043 6.224-12.377 7.025-18.522-13.159 3.138-26.96 1.96-38.916-4.56a48.286 48.286 0 0 1-6.03-3.912zm-155.822 1.357a55.174 55.174 0 0 0-1.41 10.1c-.56 12.022 2.725 23.087 7.99 30.95 5.265 7.861 12.066 12.358 19.502 13.044.085.008.169.009.254.016.182-7.489 1.635-15.18 4.443-22.641a70.21 70.21 0 0 1 4.393-9.463 48.96 48.96 0 0 1-3.493-.635c-12.952-2.897-23.887-10.762-31.68-21.37zm217.385 17.256c-1.667 5.815-4.259 11.56-7.813 17.012-5.86 8.99-13.726 16.262-22.58 21.441.238.171.47.349.715.514 15.511 10.452 40.978 5.992 56.783-12.104 4.218-4.829 7.177-9.99 8.973-15.162-9.67.499-19.32-1.41-27.996-6.142a47.833 47.833 0 0 1-8.082-5.559zM157.4 418.535c-3.734 4.274-6.933 9.493-9.224 15.582-8.338 22.156-.316 43.651 14.879 49.365 15.195 5.714 35.398-5.168 43.736-27.324 1.924-5.111 2.969-10.185 3.262-15.04-7.535 1.388-15.418 1.157-23.227-1.025-12.505-3.493-22.593-11.339-29.426-21.558zm69.223 33.7a70.103 70.103 0 0 1-2.984 10.259 69.331 69.331 0 0 1-10.774 18.947c.858.89 1.79 1.713 2.809 2.451 6.043 4.383 14.122 5.48 23.265 3.035 9.144-2.444 18.912-8.6 26.418-18.011a54.76 54.76 0 0 0 6.46-10.219c-13.824 3.836-28.524 2.907-41.16-3.984a48.745 48.745 0 0 1-4.034-2.479z"}}]})(props);
};
function GiRat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M433.5 31.6c-8.5 0-15.1 6.58-15.1 14.81s6.6 14.81 15.1 14.81 15.1-6.58 15.1-14.81S442 31.6 433.5 31.6zM267 59.05c6.6 15.84 17.1 18.03 31.1 24.77-11.2 20.98-23.2 51.08-43.5 59.28-64.7 26.1-98.7 58.3-112.3 98.7-13.1 39-7 87.2 13.3 145.4 61.8 4.9 127.3 9.2 159.4 2.8-1.3-4.4-5.8-7.5-8.6-9-28.5-9.8-45.2-10.9-71.5-12l1.1-9.6c2.2-19.6.4-44.3-7.7-61.3-4.1-8.5-9.5-14.9-16.5-18.8-7-3.9-15.8-5.7-28.4-3.3l-3.2-17.8c13.5-2.4 29.4-.6 40.4 5.4 10.9 6.1 18.7 15.8 23.9 26.7 9.1 18.9 11.1 41.6 9.9 61.8 10 .6 18.9 1.6 26.8 2.9 19.2-30.7 37-60.4 39.5-90.7-13.8-4-32.4-10.7-34.3-24.4-2.7-19.6 3.6-45 19.3-55.5-1 27.8-4.3 43.9-2.3 49.7 5.8 10.9 30.3 15.2 40.1 17.4v.1c17.4 4.8 31.9 7 34.8 25.6 18.2-29.5-14.4-45-36.2-54.5l-.1-5.8c-.3-23.5 5.5-39.4 13.5-53.1 8-13.6 17.7-25 26.9-43.2v-.1c-9.4-1.3-19.4-.1-27.1 1.3 5.7-19.9 23.2-23.73 38.6-16.1 5.9-8.3 13.4-18.83 24.9-29.96-12.7-9.39-19.9-20.4-18.1-33.92-28-3.4-57.4-4.45-78.6 9.84l-4-3.72c-15.7-17.87-60.9-12.3-51.1 11.11zm67.9-4.17c4 7.92 14.9 12.95 29.2 13.88-8 6.49-20.7 11.42-30.3 5.24-7.3-4.71-3.7-13.07 1.1-19.12zM129.4 364.6c-14.6 3.2-38.77 7-49.63 16-8.5 7.4-15.03 19.8-16.19 31.4-1.17 11.6 1.99 21.6 12.85 28.8C120 469.7 165 466.4 205.4 454.9c40.4-11.6 75.4-32.6 119.4-22.8 8.4 2.5 15.7 6.5 14.5 15.9-.4 2.8-1.5 4.8-2.7 6.5-9.7 10.8-30.9 17.7-33.6 21.5-6.4 9.2 34.2 2.8 45-7.6 4.2-4.2 8.1-13 8.9-21.3.8-8.3-1.3-15.3-4.9-18.3-11.2-9.6-24.1-15.1-39.8-15.1-15.7-.1-34 1.7-53.5 6.5-39.1 9.6-83.6 27.5-127.4 18.6-17-3.4-27.4-6.8-33.77-14.9-3.22-4-4.39-10.6-2.48-15.4 7.45-15.2 28.15-17.8 40.95-20.5-2.4-7.2-4.6-16.4-6.6-23.4z"}}]})(props);
};
function GiRattlesnake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M436.7 27.14c-.2 0-.4.1-.7.12l-37.2 9.66c0 .1-.5.4-1 1.68-.7 1.75-1.1 4.68-.7 7.16.3 2.49 1.4 4.3 2.1 4.97.7.67 1.1 1.17 4.2.53l22.2-4.85 14-3.77c.7-.57 1.1-1.25 1.4-2.14.7-1.67.9-4.25.4-6.74-.6-2.49-2-4.71-3.1-5.7-.5-.49-.8-.75-1.1-.86h-.5zM121 41.07h-7.6c-4 .1-7.1.24-10.6.38-.5 5 1 9.03 4.9 14.29 5.5 7.21 16.8 15.91 34.5 26.1L168 96.72l-75.64 4.88c6.78 8.9 16.64 17.4 28.34 24.3 16.8 9.8 36.8 16.4 54.5 17.8l3.8.3 2.5 3c44.9 54.9 72.5 83.3 141.1 124l25.6 15.2-29.7 1.5c-62.6 3.2-98.9-1.7-186.1 8.4-17.2 2.1-28.5 7.8-33.65 13.9-4.46 5.2-5.52 10.6-2.56 18.3 4.31 1 8.81 1.9 13.51 2.8 118.6 13.4 203.6 8.8 289.3 1.1 14.8-5.7 21.4-14.4 23.8-23.1 2.7-9.6-.2-19.7-5.4-25.4-42.4-45.6-81.7-68.6-114.6-91.2-33-22.6-60.1-45.7-72.7-89.2l-.4-1.2v-1.2c-.1-15.81-5.4-26.36-14.1-34.79-8.8-8.43-21.5-14.45-36-18.36-18.9-5.15-40.5-6.6-58.6-6.68zm325.9 18.4c-.3 0-.6.1-1 .15l-42.6 11.45s-.9.44-1.9 2.87c-1 2.43-1.4 6.21-1 9.5.5 3.29 1.8 5.87 3 6.96 1.1 1.09 1.9 1.72 5.6.93l38.9-8.84c2.8-1.04 4.1-2.47 5-4.82 1-2.41 1.2-5.9.5-9.19-.7-3.29-2.4-6.23-3.9-7.64-.8-.7-1.3-1.1-1.8-1.27-.3-.11-.5-.16-.8-.15zm-238.8 2.36L207 88.86l-44.9-20.01zm251.3 37.69c-.6 0-1.1.1-1.8.2l-49.1 11.48c-.9.2-1.9.9-2.9 3.2-1.1 2.3-1.6 5.8-1.1 8.9.5 3 1.8 5.4 3.4 6.7 1.5 1.2 3.5 2.2 8.3 1.3l45.1-8.9c3.9-1.2 5.4-2.9 6.5-5.1 1-2.3 1.2-5.4.4-8.5-.7-3.1-2.6-6-4.5-7.5-1.4-1.2-2.7-1.78-4.3-1.78zm8.5 39.68c-.6 0-1.1.1-1.8.2L417 150.9c-.9.2-2 .9-3 3.2-1 2.3-1.5 5.8-1.1 8.9.5 3 1.8 5.4 3.4 6.7 1.5 1.2 3.6 2.2 8.4 1.3l45.1-8.9c3.9-1.2 5.4-2.9 6.4-5.1 1.1-2.3 1.3-5.4.5-8.5-.8-3.1-2.6-6-4.5-7.5-1.4-1.2-2.7-1.8-4.3-1.8zm-6.1 42.8l-22 4.3c8 29.1 13.1 52.4 12.7 74.6-.3 23.1-6.7 45-20.3 70.5 15.4 2.7 26.9 11.2 33.4 21.8 10-55.4 10.9-115.8-3.8-171.2zM87.21 347.3c-10 .1-16.32 2.4-20 5.2-4.91 3.6-6.53 8.3-6.26 14.4.28 6.2 3.16 13.4 7.27 18.5.55.7 1.12 1.3 1.7 1.9.44.1.88.1 1.33.2C209 410.8 331.5 409.4 445.4 393.6c2.4-1.6 4.3-3.8 5.7-6.4 2.6-4.7 3.5-10.8 2.3-16.7-2.5-11.9-11.6-23.1-34.6-22-94.5 8.9-186.9 15.3-320.33-.6-3.14-.4-6.03-.6-8.69-.6zm-28.54 57.1c-20.88 0-32.34 13-36.64 27.5-2.46 8.2-2.05 16.9.81 23.3 2.85 6.4 7.51 10.8 16.06 12.5 69 13.3 286.9 32.5 434.5-3.7 6.9-1.7 11.2-5.7 14.2-11.7 3.1-5.9 4.4-13.7 3.8-21.2-.7-7.4-3.4-14.3-6.9-18.3-3.5-4.1-6.9-5.8-12.8-4.9-122.1 19.2-254.2 22.5-403.49-2.6-3.38-.6-6.55-.9-9.53-.9z"}}]})(props);
};
function GiRaven (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M343.313 22.22c-57.33 0-61.26 36.153-91.125 54.874C154.782 42.52 133.115 221.496 169.844 330c-15.396 31.924-30.736 75.9-43.813 134.906 56.828 30.66 119.124 38.655 182.22 9.906-6.2-37.715-14.18-68.858-21.97-95.375 25.025-12.63 59.594-14.573 86.5 14.407.24-28.626-19.022-40.956-40.53-42.25l-22.03-47.313c42.606-45.056 74.38-100.18 57.905-157.06-10.303-38.45 58.203-62.225 122.344-53.75-24.523-21.164-55.99-30.482-85.845-33.876-8.843-21.763-32.616-37.375-61.313-37.375zm10.968 21.936c9.808 0 17.783 7.944 17.783 17.75 0 9.807-7.974 17.75-17.782 17.75-9.807 0-17.75-7.943-17.75-17.75 0-9.806 7.945-17.75 17.75-17.75zm-58.092 274.25l16.28 34.938c-11.62 2.698-22.325 8.217-29.312 15.687-3.298-10.84-6.498-20.903-9.47-30.28 7.58-6.45 15.128-13.253 22.502-20.344z","fillRule":"evenodd"}}]})(props);
};
function GiRawEgg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M294.2 81.04c-50.5-.37-102.4 7.47-147.6 15.91C125 101 97.48 106 73.59 116c-23.89 10-45.38 26-49.81 51.8-2.21 12.9 3.14 24.4 10.95 32.9 7.81 8.5 17.98 15 28.12 21.4 10.14 6.3 20.28 12.5 27.88 19 7.59 6.5 12.27 12.9 13.57 20 2.2 11.8-1.8 24.7-9.75 38.7-7.98 14-19.7 28.6-30.92 43.2-11.21 14.5-22 29-27.82 44.1-5.82 15.2-5.71 32.5 5.75 46.7 14.82 18.3 36.25 22.6 57.32 19C120 449.2 142 438.9 164.4 428s45.1-22.4 66-29c21-6.5 39.5-8 55.1-.8 4 1.8 7.2 5.8 10 12.4 2.9 6.6 5 15.3 7.3 24.1s4.7 17.7 9.3 25.5c4.6 7.8 12.8 14.7 23.5 15.1 21.3.8 40.1-7 55.8-19.5 15.7-12.6 28.5-30 39.4-49.4 21.8-38.9 36-86.5 46.4-123.3 6.1-21.9 11.6-47.9 11.5-73.2-.1-25.3-5.8-50.5-23.2-69-38-40.3-92.6-55.88-149.7-59.17-7.2-.41-14.4-.63-21.6-.69zm-.1 18.01c6.9 0 13.8.26 20.6.65 54.6 3.1 104 17.8 137.6 53.6 13.2 14 18.3 34.1 18.4 56.7.1 22.6-4.9 47.2-10.9 68.3-10.2 36.4-24.3 83-44.7 119.3-10.1 18.1-21.9 33.6-35 44.1-13 10.5-27.2 16.2-43.9 15.6-4.2-.2-5.9-1.5-8.6-6.2-2.7-4.7-5.1-12.4-7.3-21-2.3-8.5-4.5-17.9-8.3-26.6-3.7-8.7-9.4-17.2-18.9-21.7-21.3-9.8-44.9-7.2-68 .1-23.2 7.2-46.4 19.1-68.6 29.9-22.2 10.8-43.3 20.3-60.64 23.3-17.33 3-29.56.6-40.31-12.7-7.47-9.2-7.39-17.2-2.94-28.8 4.45-11.6 14.24-25.3 25.28-39.7 11.04-14.3 23.31-29.4 32.31-45.2 9-15.9 15.1-33 11.9-50.8-2.4-12.8-10.4-22.6-19.7-30.5-9.23-7.9-20.04-14.3-29.97-20.6-9.94-6.2-18.96-12.3-24.47-18.3-5.52-6-7.63-10.7-6.44-17.7 3-17.5 17.74-29.2 39.02-38.1 21.26-8.9 47.76-14 69.46-18.1 44.6-8.3 95.5-15.89 144.1-15.55zM264 154.1c-22 .2-50.8 16.2-71 38.2-20.8 22.7-31.2 49.9-22.6 69.1 10.9 24.5 48.8 39.8 88.6 40.3 39.8.6 78.6-13.8 90.9-37.7 9.2-18 1.2-45-16.9-68.2-18.2-23.2-45.7-40.9-66.9-41.7H264zm-3.6 22.2c6.1 0 12.2 1.3 18.1 4.4-40.9 20.4-64.1 46.5-79.3 76.9-13.8-28.5 23.8-81 61.2-81.3z"}}]})(props);
};
function GiRayGun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.78 48.375c-1.777.065-3.554.135-5.342.22l-13.032 3.468L256.47 112l-41.533 5.156L198.03 54.03c-20.15 2.995-40.295 7.085-59.81 12.314C115.13 72.53 94.522 82.558 77.405 95.03 70.596 84.966 57.93 79.804 45.53 83.126c-15.64 4.19-24.908 20.266-20.718 35.906 2.092 7.807 7.145 14.028 13.625 17.782-13.334 22.34-17.896 46.636-11.687 69.813 7.424 27.71 28.982 49.112 59.094 61.344 4.684 1.902 9.568 3.573 14.625 5-71.813 84.106-81.31 251.344 62.905 216.624-9.176-3.423-16.616-11.07-19.344-21.25-4.475-16.706 5.438-33.865 22.126-38.375-4.744-3.99-8.367-9.403-10.094-15.845-3.81-14.222 2.81-28.797 15.157-35.594-3.558-3.692-6.237-8.32-7.657-13.624-3.76-14.035 2.622-28.374 14.656-35.28l.124-1.532c-6.032-4.078-10.687-10.26-12.72-17.844-3.646-13.61 2.256-27.53 13.595-34.656 4.71-.89 9.443-1.948 14.186-3.22.394-.104.794-.236 1.188-.343 1.04-.28 2.083-.584 3.125-.874 9.006 47.493 36.058 68.614 59.468 52.97-21.67-19.01-29.08-40.428-29.75-62.282 7.994-2.776 15.968-5.737 23.875-8.906l-19.625-73.282 38.937-14.875 18.438 68.845 10.75-2.875c2.3-1.19 4.608-2.38 6.875-3.594l-18.532-69.062 38.97-14.875 15.593 58.218 10.81-2.875c2.214-1.547 4.396-3.095 6.533-4.657L344.688 136.5l37.468-14.313 11.5 42.938.5-.125c5.458-5.49 10.303-10.95 14.438-16.313L399.72 115.5l12.28-4.688 15.875-4.25c7.277 14.404 23.744 22.138 40 17.782 18.66-5 29.593-23.936 24.594-42.594-4.376-16.325-19.402-26.752-35.595-25.75-2.313.143-4.668.53-7 1.156-14.772 3.958-24.703 16.657-25.72 31.032l-20.75 5.562-9.217 1.156-7.938-29.687c-5.85-2.44-12.264-4.647-19.188-6.595l-1.812.47 10.22 38.155-39.97 4.938-13.906-51.938c-1.898-.2-3.82-.39-5.75-.563L303 53.094l13.78 51.437-41.592 5.126-16.407-61.28z"}}]})(props);
};
function GiRazorBlade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M385.594 45.156L13.03 260.25l20.345 35.25L405.938 80.406l-20.344-35.25zm29.687 51.438L42.72 311.688l8.155 14.125c16.17-5.228 33.86-.587 45.25 11.937l28.53-16.47L134 337.47l-28.53 16.467c5.14 16.12.317 33.767-12.282 45.157l8.156 14.125 372.562-215.095L465.75 184c-16.157 5.214-33.86.563-45.25-11.938l-28.53 16.47-9.345-16.188 28.53-16.47c-5.147-16.134-.35-33.8 12.283-45.186l-8.157-14.094zm-83.124 90.812c8.675-.225 17.2 4.207 21.844 12.25 6.755 11.7 2.762 26.652-8.938 33.406-8.828 5.097-19.48 4.032-27.093-1.812l-22.283 12.844c4.868 16.798-2.108 35.36-17.937 44.5-15.835 9.142-35.388 5.904-47.5-6.72l-22.22 12.845c1.253 9.516-3.197 19.274-12.03 24.374-11.7 6.755-26.65 2.762-33.406-8.938-6.755-11.7-2.73-26.65 8.97-33.406 3.655-2.11 7.618-3.18 11.56-3.28 5.583-.146 11.1 1.637 15.564 5.06l22.218-12.81c-4.867-16.806 2.11-35.394 17.938-44.533 5.818-3.36 12.13-5.055 18.406-5.218 10.803-.282 21.43 3.975 29.094 11.968l22.25-12.844c-1.274-9.527 3.158-19.302 12-24.406 3.656-2.11 7.62-3.18 11.562-3.282zm151.094 26.906L110.687 429.406l20.344 35.25 372.564-215.094-20.344-35.25z"}}]})(props);
};
function GiReactor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 41.875c-60.562 0-60.547 15.14-75.688 60.563l-30.28 90.843 41.624 41.626c16.44-16.44 39.26-26.47 64.344-26.47 25.085 0 47.904 10.03 64.344 26.47l41.625-41.625-30.283-90.843c-15.14-45.42-15.125-60.562-75.687-60.562zm0 196.844c-33.447 0-60.563 27.083-60.563 60.53s27.116 60.563 60.563 60.563 60.563-27.116 60.563-60.563-27.116-60.53-60.563-60.53zm-144.78 21.75l-63.532 71.655C15.92 367.947 2.813 375.52 33.093 427.97c30.28 52.447 43.406 44.88 90.312 35.28l93.813-19.22 15.218-56.874c-22.457-6.017-42.552-20.744-55.094-42.47-12.544-21.723-15.267-46.51-9.25-68.967l-56.875-15.25zm289.56 0l-56.874 15.25c6.017 22.455 3.293 47.243-9.25 68.967-12.542 21.725-32.637 36.452-55.094 42.47l15.22 56.874 93.812 19.22c46.906 9.6 60.03 17.167 90.312-35.28 30.28-52.45 17.173-60.023-14.594-95.845l-63.53-71.656z"}}]})(props);
};
function GiRead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M204.055 213.905q-18.12-5.28-34.61-9a145.92 145.92 0 0 1-6.78-44.33c0-65.61 42.17-118.8 94.19-118.8 52.02 0 94.15 53.14 94.15 118.76a146.3 146.3 0 0 1-6.16 42.32q-20.52 4.3-43.72 11.05c-22 6.42-39.79 12.78-48.56 16.05-8.72-3.27-26.51-9.63-48.51-16.05zm-127.95 84.94a55.16 55.16 0 1 0 55.16 55.15 55.16 55.16 0 0 0-55.16-55.15zm359.79 0a55.16 55.16 0 1 0 55.16 55.15 55.16 55.16 0 0 0-55.15-55.15zm-71.15 55.15a71.24 71.24 0 0 1 42.26-65v-77.55c-64.49 0-154.44 35.64-154.44 35.64s-89.95-35.64-154.44-35.64v74.92a71.14 71.14 0 0 1 0 135.28v7c64.49 0 154.44 41.58 154.44 41.58s89.99-41.55 154.44-41.55v-9.68a71.24 71.24 0 0 1-42.26-65z"}}]})(props);
};
function GiReaperScythe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M171.125 20.28c-3.678.004-7.287.027-10.844.095l-5.718.125-2.5 5.125c-6.484 13.307-23.588 23.72-45.937 31.625-8.73 3.088-18.122 5.803-27.72 8.313l9.657 16.812c8.253-2.24 16.435-4.714 24.313-7.5 22.043-7.795 42.253-18.258 53.375-35.813 54.302-.54 123.166 6.728 181.688 29.126 54.774 20.963 99.65 54.383 117.812 106.624-2.063-.668-4.205-1.333-6.313-2l-63.28-52.593-25.876 30-43.124-46.47-23.156 34.313-45.28-45.907-27.908 38.125-46-45.81-23.78 45.124-38.782-27.72-7.406 26.282 23.594 41.094c13.6-7.09 32.617-14.47 49.875-17.72 12.606-2.37 24.367-2.552 32.093-.31 7.727 2.24 11.237 5.162 12.656 13l1.813 9.968 9.78-2.594c74.608-19.777 168.01 4.457 231.97 26.437l15.78 5.44-3.624-16.314C472.78 117.786 417.833 75.1 354.126 50.72c-59.725-22.86-127.835-30.473-183-30.44zM40.72 50.313c-12.622.486-23.765 10.62-23.376 28.626 94.07 133.71 175.316 272.647 239.47 417.562h41.436L52.406 53.22c-2.063-.898-4.34-1.96-6.437-2.345-1.836-.336-3.45-.637-5.25-.563zM382.75 255.97c-8.857.08-17.908 1.26-26.97 3.686-55.227 14.784-88.043 69.08-74.342 120.156 3.257 12.147 14.716 25.216 29.468 36.344 10.09 7.61 21.485 14.305 32.063 19.72-2.054-13.744-5.87-27.03-13.064-39.938l16.313-9.094c18.71 33.585 17.717 68.118 18.03 100.906 9.32 1.53 18.46 3.04 27.47 4.188l1.842-34 18.657 1-1.876 34.78c11.114.645 22.016.378 32.75-1.406l-1.656-35.375 18.687-.843 1.438 31.47c6.713-2.395 13.364-5.54 19.968-9.627.64-5.552 2.86-25.628 4.033-53.968.565-13.672.764-28.563.312-43.095-15.635 4.024-31.625-5.263-35.813-20.875-4.212-15.705 5.12-31.853 20.844-36.063 2.457-.657 4.944-.975 7.375-1h.064C465.917 283.512 428.73 257.113 386.53 256c-1.256-.033-2.515-.043-3.78-.03zm4.72 70.936c15.152-.15 29.052 9.89 33.155 25.188 4.863 18.13-5.88 36.766-24.03 41.625-18.153 4.858-36.826-5.903-41.69-24.033-4.86-18.13 5.912-36.766 24.064-41.625 2.835-.76 5.693-1.128 8.5-1.156zm51.936 46.188L465 426.72l-38.563 6.06 12.97-59.686z"}}]})(props);
};
function GiRearAura (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23.545c-33.5 0-63.525 15.197-83.55 39.053L92.7 38.313l60.85 56.867c-2.134 5.82-3.785 11.872-4.905 18.105L18.498 132.592 148.635 151.9c1.118 6.238 2.768 12.293 4.902 18.118L92.7 226.873l78.898-24.025c1.62-2.674 3.35-5.246 5.203-7.702 2.154-2.85 4.502-5.53 7.02-8.027-11.435-15.14-18.21-34.01-18.21-54.503 0-50.03 40.357-90.39 90.39-90.39 50.03 0 90.39 40.36 90.39 90.39 0 20.494-6.774 39.36-18.208 54.5 2.518 2.497 4.868 5.177 7.02 8.03 1.855 2.455 3.585 5.028 5.204 7.703l78.895 24.023-60.837-56.857c2.133-5.824 3.784-11.88 4.902-18.116l130.137-19.308-130.147-19.307c-1.12-6.232-2.77-12.283-4.906-18.103l60.85-56.87-79.75 24.286C319.52 38.743 289.5 23.545 256 23.545zm.002 45.182c-23.1 0-42.257 23.548-45.89 54.412h36.544v18.686H209.85c1.698 19.243 9.403 35.878 20.408 46.133H219.94c-11.947 2.392-20.787 8.595-28.223 18.446-7.56 10.013-13.304 23.86-17.34 39.875-7.365 29.223-8.98 65.15-9.22 97.33h39.972l10.32 149.056h81.103l10.322-149.057h39.973c-.24-32.18-1.856-68.107-9.22-97.33-4.037-16.014-9.782-29.86-17.34-39.874-7.437-9.85-16.278-16.054-28.226-18.447h-10.316c11.005-10.256 18.71-26.89 20.408-46.134h-36.81V123.14h36.547c-3.633-30.865-22.79-54.413-45.888-54.413z"}}]})(props);
};
function GiReceiveMoney (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258 21.89c-.5 0-1.2 0-1.8.12-4.6.85-10.1 5.1-13.7 14.81-3.8 9.7-4.6 23.53-1.3 38.34 3.4 14.63 10.4 27.24 18.2 34.94 7.6 7.7 14.5 9.8 19.1 9 4.8-.7 10.1-5.1 13.7-14.7 3.8-9.64 4.8-23.66 1.4-38.35-3.5-14.8-10.4-27.29-18.2-34.94-6.6-6.8-12.7-9.22-17.4-9.22zM373.4 151.4c-11 .3-24.9 3.2-38.4 8.9-15.6 6.8-27.6 15.9-34.2 24.5-6.6 8.3-7.2 14.6-5.1 18.3 2.2 3.7 8.3 7.2 20 7.7 11.7.7 27.5-2.2 43-8.8 15.5-6.7 27.7-15.9 34.3-24.3 6.6-8.3 7.1-14.8 5-18.5-2.1-3.8-8.3-7.1-20-7.5-1.6-.3-3-.3-4.6-.3zm-136.3 92.9c-6.6.1-12.6.9-18 2.3-11.8 3-18.6 8.4-20.8 14.9-2.5 6.5 0 14.3 7.8 22.7 8.2 8.2 21.7 16.1 38.5 20.5 16.7 4.4 32.8 4.3 44.8 1.1 12.1-3.1 18.9-8.6 21.1-15 2.3-6.5 0-14.2-8.1-22.7-7.9-8.2-21.4-16.1-38.2-20.4-9.5-2.5-18.8-3.5-27.1-3.4zm160.7 58.1L336 331.7c4.2.2 14.7.5 14.7.5l6.6 8.7 54.7-28.5-14.2-10zm-54.5.1l-57.4 27.2c5.5.3 18.5.5 23.7.8l49.8-23.6-16.1-4.4zm92.6 10.8l-70.5 37.4 14.5 18.7 74.5-44.6-18.5-11.5zm-278.8 9.1a40.33 40.33 0 0 0-9 1c-71.5 16.5-113.7 17.9-126.2 17.9H18v107.5s11.6-1.7 30.9-1.8c37.3 0 103 6.4 167 43.8 3.4 2.1 10.7 2.9 19.8 2.9 24.3 0 61.2-5.8 69.7-9C391 452.6 494 364.5 494 364.5l-32.5-28.4s-79.8 50.9-89.9 55.8c-91.1 44.7-164.9 16.8-164.9 16.8s119.9 3 158.4-27.3l-22.6-34s-82.8-2.3-112.3-6.2c-15.4-2-48.7-18.8-73.1-18.8z"}}]})(props);
};
function GiRecycle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.875 19.75c-15.54.336-30.444 4.193-44.97 10.5l22.47 42c7.42-2.652 15.023-4.442 22.5-4.5 25.633 0 52.754 13.658 73.47 49.47l16.624 28.874 20.217-11.656 43.407 75.187-53.5 30.844 107.812 62.186V178.312l-33.062 19.063-59.5-104.156c-27.476-47.506-71.07-73.848-115.47-73.47zm-75.22 57.844L72.813 139.78l32.282 18.595-56.156 98.313c-25.153 43.508-26.934 92.827-6 131.968 8.675 16.22 21.838 29.508 37.5 40.47l24-40.47c-8.042-6.36-14.9-13.912-19.5-22.5-12.51-23.402-13.322-54.64 4.5-85.47l13.624-23.436-19.687-11.375 43.313-75.03 53.968 31.093V77.594zm255.157 267.562c-1.564 7.687-3.835 14.362-7.5 21-12.83 23.206-38 40.5-77.968 40.5h-24.438v22.906h-86.78V367.5L131.31 429.656l107.813 62.188v-37.22h111.22c54.52 0 98.506-25.648 119.967-64.468 7.566-13.695 11.738-29.242 13.5-45h-48z"}}]})(props);
};
function GiReed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M350.8 22.28c-2.3 13.74-4.6 27.67-6.8 41.68h.6c1.3-.1 2.7 0 4.1.1 4.5.4 8.9 1.78 12.9 3.97 2.3-14.37 4.6-28.66 7-42.75zm-171.6.32l-17.8 2.52c1.2 8.41 2.4 16.86 3.6 25.34 3.9-1.63 8-2.62 12.2-2.89 1.8-.12 3.7-.1 5.5.1-1.2-8.37-2.3-16.73-3.5-25.03zm.4 42.89h-1.2c-12.7.8-26.1 11.9-23.7 40.61l10.2 127.7c2.3 28.6 17.7 38.2 30.4 37.4 12.7-.8 26.1-12 23.8-40.5l-10.3-127.8c-2.2-27.65-16.8-37.55-29.2-37.41zm165.6 16.4c-4.5.13-9.2 2.17-13.6 7.1-5.1 5.65-9.6 15.31-10.9 29.71l-11.3 127.5c-1.3 14.5 1.4 24.8 5.4 31.2 4 6.5 9 9.3 14 9.7 4.9.5 10.4-1.4 15.4-7 5.1-5.7 9.6-15.3 10.9-29.8l11.4-127.5c1.3-14.4-1.4-24.71-5.4-31.17-4-6.46-9-9.23-14-9.68-.6-.1-1.3-.1-1.9-.1zM25.99 223.3C78.79 299.9 126.7 397.8 125 489.7h35.3c3.1-20.8 7.5-39.3 13-56.2-10.9-35.5-28.2-73.7-49.5-108.1-28.14-45.5-63.44-83.9-97.81-102.1zM419.3 270c-1.3 0-3.7.7-6.8 3.1-3.6 2.7-7.8 7.3-11.9 13-3.3 4.7-6.6 10.2-9.6 16 5-2.1 10-3.7 15-4.4 13.3-2 26.3 1 37.8 8.1 16.5 10.2 30.1 28.1 42.2 52.2-.3-15.6-3.4-31.3-9.5-45-10.4-23.3-28.3-40.3-56.7-43zm-210.9 16.3c-3.8 1.6-7.9 2.5-12 2.8-2 .1-4 .1-5.9-.1 1.8 33.1 2.7 65.9 2.3 97.9 5.5-10.6 11.5-21 18.1-31.4-.3-22.9-1.2-46-2.5-69.2zm104.5 14.1c-5.5 56.5-9.3 112.6-10.6 166.7 5.9-20.8 12.7-41.5 20.6-62.1 1.8-32.8 4.5-66.2 7.7-99.8-1.2 0-2.3 0-3.4-.1-5-.5-9.9-2.1-14.3-4.7zm88.3 16.9c-7 2.3-14.7 6.4-23 12.9-30.1 52.2-49 105.1-63.4 159.5h80.5c-12.6-57.3-5-115 5.9-172.4zm-146.7 5.6c-38.5 54.6-64.6 95.2-75.8 166H237c-13-31.1-12.1-62.8-4.3-96.6 5-21.6 12.9-44.6 21.8-69.4z"}}]})(props);
};
function GiRefinery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M333.7 21.92S347.8 45.41 344 57c-3.4 10.38-23.5 9.3-26 19.94-1.9 8.45 7.2 21.49 12.5 28.16h6.8c7.1-11.21 12.6-21.78 14-34.94 7.9 8.26 10.4 21.29 1.1 34.94h8.4c8-9.54 24.2-30.9 21.2-44.69-4.3-20.13-48.3-38.49-48.3-38.49zM104 51.07c-17.5 0-29.44 4.94-35.49 14.01C62.46 74.15 63 84.07 63 92.07v12.03h18V92.07c0-8 .54-14.08 2.49-17.01 1.95-2.93 6.01-5.99 20.51-5.99h64c10 0 23 12.46 23 24.59V215.7h18v-28.6h103.3l1.6-18H209V93.66c0-23.05-19-42.59-41-42.59zM56 121.1v18h32v-18zm280.2 2l-14.3 158h44.2l-14.3-158zM72 155.1c-10 0-19.88 3.4-27.02 9.7C37.83 171.2 33 180.3 33 194.1v296h78v-296c0-13.7-4.8-22.9-12-29.3-7.12-6.3-17-9.7-27-9.7zm307.9 78l1.6 18H408c14.5 0 23.7 3.5 29.6 9.4 5.9 6 9.4 15.5 9.4 30.4v39.9c2.8-1.1 5.8-1.7 9-1.7s6.2.6 9 1.7v-39.9c0-17.9-4.5-32.8-14.6-43-10.1-10.3-24.9-14.8-42.4-14.8zm-202.9 2v14h46v-14zm23.5 32c-29.7 0-55.8 14.7-71.5 37.3v16.7h142V303c-15.8-21.7-41.4-35.9-70.5-35.9zm88.5 32v110h110v-110zm-160 40v14h142v-14zm327 8c-4 0-7 3-7 7s3 7 7 7 7-3 7-7-3-7-7-7zm-327 24v32.6c6.6 9.5 15 17.6 24.7 23.8L131 473.1v17h37.5v-17h-17.4l18.8-37.5c9.5 3.5 19.8 5.5 30.6 5.5s21.1-2 30.6-5.5l18.8 37.5h-17.4v17h64v-17h-26.4l-22.8-45.6c9.2-5.9 17.3-13.5 23.7-22.3v-34.1zm318 6.3v31.7h18v-31.7c-2.8 1.1-5.8 1.7-9 1.7s-6.2-.6-9-1.7zm-116.3 49.7l49.6 63h41l-49.6-63zm64 0l49.6 63H479v-8.9l-43.3-54.1zm64 0l20.3 25.4v-25.4zM321 443.7v46.4h36.3z"}}]})(props);
};
function GiRegeneration (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M229.594 16c-73.58 4.91-128.97 66.775-128.97 142.344 0 18.565 3.507 36.337 9.907 52.594 6.526 16.573 14.974 35.78 81.72 99.062l19.47-11.375c-1.224-3.453-1.876-7.155-1.876-11.03 0-15.672 10.893-28.772 25.437-32.033v-22.75c-56.316-3.484-101.03-50.67-101.03-108.437 0-56.834 40.318-103.563 95.344-108.375zm12.75 137.313c-29.654 0-57.053 9.766-79.22 26.28 6.817 9.665 15.288 18.155 24.907 24.938 15.6-10.34 34.262-16.374 54.314-16.374 21.142 0 40.753 6.698 56.844 18.094 14.128-3.45 28.403-6.214 42.875-7.75-24.47-27.71-60.07-45.188-99.72-45.188zM355 209.093c-17.672.308-46.292 5.044-106.53 23.438v22.69c3.57.656 7.083 1.967 10.405 3.905 13.433 7.834 19.226 23.895 14.75 38.25l19.5 11.375c31.146-47.53 93.95-63.04 143.47-34.156 48.717 28.416 68.605 87.043 45.217 137.594 32.582-66.832 7.25-146.247-57.53-184.032-15.916-9.282-32.896-15.096-50.032-17.625-5.46-.805-11.217-1.576-19.25-1.436zm-239.47 36.813c-11.52 35.264-8.7 75.154 11.126 109.844 14.828 25.944 36.886 45.05 62.125 56.188 4.878-10.796 7.934-22.474 8.94-34.282-16.666-8.476-31.163-21.767-41.19-39.312-10.57-18.498-14.63-39.005-12.905-58.78-10.022-10.637-19.54-21.764-28.094-33.658zM375.19 273.5c-11.693 1.13-23.22 4.29-33.844 9.313 1.066 18.82-3.1 38.174-13.125 55.718-10.573 18.5-26.094 32.307-43.908 40.69-4.105 14.085-8.893 27.944-14.812 41.374 35.99-7.553 68.768-29.967 88.594-64.656 14.827-25.946 20.167-54.788 17.094-82.438zM267.25 308.844c-2.35 2.796-5.24 5.218-8.563 7.156-13.432 7.834-30.12 4.875-40.187-6.22l-19.47 11.345c25.173 51.015 7.052 113.74-42.468 142.625C107.844 492.166 47.638 480.238 16 434.5c40.998 61.92 121.75 79.472 186.53 41.688 15.916-9.282 29.36-21.24 40.095-34.97 10.946-13.994 23.187-30.992 44.063-121.03l-19.438-11.344z"}}]})(props);
};
function GiRelationshipBounds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M138.94 22.99c-.566-.014-1.087-.01-1.56.006-.902.028-1.486.074-2.04.1-.56-.027-1.14-.072-2.043-.1-1.172-.037-2.63-.02-4.37.203h-.013l-.012.003c-33.88 4.402-58.95 36.95-58.95 78.18 0 17.88 4.53 35.75 12.616 50.138-11 4.404-20.23 11.382-27.5 20.107-9.996 11.997-16.58 27.015-21.123 43.496-9.085 32.963-10.13 72.213-10.13 107.604v9.345H65.86l10.513 163.524h54.815v.015h255.886v-.014h53.457l10.515-163.524h42.047v-9.345c0-35.39-1.048-74.64-10.133-107.604-4.544-16.48-11.125-31.5-21.122-43.496-7.27-8.725-16.498-15.703-27.5-20.106 8.085-14.386 12.617-32.257 12.617-50.137 0-41.23-25.07-73.778-58.95-78.18l-.013-.002h-.012c-.314-.04-.61-.067-.906-.095v-.007h-.066c-1.315-.12-2.454-.132-3.4-.102-.894.028-1.464.07-2.022.098-.55-.026-1.127-.07-2.022-.098-.944-.03-2.084-.018-3.4.102H140.78c-.657-.06-1.27-.094-1.84-.108zm-3.6 18.813c.236.002.35.01.605.01 1.135 0 2.276.075 3.416.197h238.185c1.14-.122 2.28-.197 3.416-.197.266 0 .383-.008.626-.01.244.002.362.01.627.01 5.338 0 10.785 1.386 15.875 3.783l.072-.153c17.34 8.21 30.108 28.395 30.108 55.94 0 18.664-6.87 38.574-15.952 49.515l-10.142 12.217 15.605 2.934c12.81 2.407 22.07 8.383 29.7 17.54 7.63 9.157 13.387 21.71 17.463 36.5 7.438 26.984 9.096 60.97 9.344 93.293h-40.77l-10.51 163.525H340.165l-.002-.015H176.78v.015H93.9L83.387 313.383H42.62c.247-32.323 1.905-66.31 9.343-93.293 4.076-14.79 9.833-27.343 17.463-36.5 7.63-9.157 16.89-15.133 29.7-17.54l15.606-2.935-10.142-12.217c-9.083-10.94-15.95-30.85-15.95-49.515 0-27.563 12.783-47.753 30.14-55.953l.077.166c5.09-2.397 10.537-3.783 15.875-3.783.258 0 .37-.008.608-.01zM169.977 60.7c3.935 5.41 7.082 11.84 9.17 19.146h158.65c2.09-7.307 5.235-13.735 9.17-19.145h-176.99zm12.013 37.837c.03.94.05 1.888.05 2.846 0 5.412-.594 10.926-1.636 16.3H336.54c-1.04-5.374-1.634-10.888-1.634-16.3 0-.958.02-1.906.05-2.846H181.99zm-7.316 37.836c-2.452 5.657-5.376 10.658-8.586 14.525l-3.834 4.62H354.69l-3.833-4.62c-3.21-3.867-6.134-8.868-8.586-14.525H174.675zm16.576 37.836c3.67 2.61 6.968 5.74 10.002 9.38 2.433 2.92 4.674 6.19 6.732 9.764H308.96c2.06-3.574 4.3-6.844 6.733-9.764 3.034-3.64 6.33-6.77 10-9.38H191.25zm25.004 37.835c.88 2.6 1.7 5.283 2.46 8.045.988 3.58 1.867 7.29 2.66 11.097h74.196c.794-3.806 1.674-7.517 2.66-11.097.762-2.762 1.582-5.446 2.46-8.045h-84.436zm8.225 37.834c.81 6.24 1.447 12.642 1.942 19.143h64.1c.496-6.5 1.134-12.903 1.945-19.144H224.48zm3.006 37.835c.253 6.384.393 12.778.483 19.144h61.007c.09-6.367.23-12.76.482-19.145h-61.974zM186.51 325.55l-1.233 19.145h146.39l-1.23-19.144H186.51zm-2.434 37.837l-1.23 19.144H334.1l-1.23-19.143H184.075zm-2.43 37.836l-1.232 19.142H336.53l-1.23-19.142H181.646zm-2.433 37.834l-1.23 19.144h160.98l-1.23-19.143h-158.52z"}}]})(props);
};
function GiRelicBlade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M499.78 16.125L477.157 22.5l-151.47 42.53-6.592 1.876-.22 6.844-.905 29.344-18.814 5.03-6.656 1.75-.28 6.907-.97 24.657-134.125 133.594-2.875 2.876.125 4.063c.71 20.398-14.288 31.957-22.75 31.217-9.973-.872-15.33-4.037-18.875-8.437-3.544-4.4-5.546-10.93-5.5-19.656l.125-24.156-16.344 17.78c-17.327 18.843-26.697 42.824-26.843 66.97l-.062 9.406h9.406c12.214.003 24.46 2.815 35.72 8.344l-4.063 14.468c-20.925 17.263-41.855 40.54-52.968 59.97-1.636 2.857-2.977 5.514-4.064 7.968L16.25 454.75l-1.5 41.656 41.656-1.5 9-32.187c2.383-1.07 4.96-2.36 7.72-3.94 19.338-11.062 42.48-31.857 59.718-52.686l14.47-4.063c5.345 11.147 8.143 23.224 8.186 35.064l.03 9.312h9.314c24.72.007 49.722-9.366 68.844-27.53l13.906-13.22-19-2.78c-10.576-1.556-18.374-5.412-23.03-9.75-4.66-4.34-6.335-8.744-5.876-13.626 1.054-11.204 4.174-16.044 8.437-19.063 4.263-3.018 11.267-4.52 21.094-4.218l4.06.124 2.845-2.875 136.313-136.314 18.968-.47 6.938-.186 1.844-6.688 4.437-16.093 32.906-1.44 6.75-.28 1.845-6.53L491.75 36.624l8.03-20.5zM466.157 45L429.97 173.906 397 175.312l-6.78.282-1.814 6.594-4.406 16-15.75.375-3.72.093-2.655 2.625-136.28 136.314c-9.812.1-19.142 1.668-27.064 6.812l.69-19.25 144.343-144.344 26.437-1.03L374.625 163l1.844-6.656 6.905-.188 32.25-.937 22.938-82.595-82.594 22.938L355 125.5l-.22 6.875-6.655 1.844-19.03 5.186-.876 30.344-142.25 142.22-21.19.75c4.803-7.545 7.843-16.86 8.22-27.158l134-133.437 2.625-2.594.125-3.655.875-21.47 18.875-5.03 6.72-1.813.186-6.937.938-29.438L466.156 45zM93.03 307.78c1.38 3.076 3.004 6.015 5.157 8.69 4.966 6.163 11.98 10.684 20.5 13.217l-4.343 15.5c-9.857-4.416-20.287-7.18-30.844-8.25 1.23-10.044 4.448-19.957 9.53-29.156zm87.25 23.095l-1.53 42.97-57.5 16.092 16.063-57.53 42.968-1.532zm2.657 61.22c2.006 5.516 5.43 10.576 9.875 14.717 3.934 3.665 8.684 6.685 14.032 9.094-10.278 6.204-21.67 9.998-33.188 11.28-1.086-10.328-3.84-20.554-8.125-30.248l17.407-4.844z"}}]})(props);
};
function GiReloadGunBarrel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M50.54 27.87l-19.1 62.25 14.35 4.4 18.93-62.3zm31.39 9.62L62.99 99.8l141.51 43.4 19.2-62.24zM240.7 86.76l-18.8 61.14c16.5 3.8 37 5.5 56.3 4.8 17.5-.6 34-3.4 45.3-7.1-7.3-9.4-19.5-21-33.5-31.3-15.6-11.4-33.5-21.4-49.3-27.54zM78.36 158c7.76 20.9 21.19 45.8 37.24 67.8 22 30.1 49.3 55 70 60.7l16 4.5-46.8 27.7c36.5 4.1 100.6 3.3 131.5-4.3-15.3-27.6-25.4-63.4-29.3-89.8l-22.6 37.6-3.7-.2c-32.4-2.2-57.3-21.9-74.3-45.7-12.9-18.1-21.6-38.8-26.6-57.6-18.6 10.3-34.4 7.6-51.44-.7zM384 190.5c-39.3 0-75.7 12.6-105.3 34 2.3 15.7 4.1 28.9 7.3 41.6.5 0 .9-.1 1.4-.1h1.8c9-.1 17.8 2.2 25.6 6.7 23.8 13.8 32 44.5 18.3 68.3-13.8 23.8-44.5 32-68.3 18.3-8.5-4.9-15-12.1-19.3-20.3-12.7 1-25.9 1.4-38.9 1.2-1.6 9.8-2.5 19.9-2.5 30.2 0 47.9 18.7 91.4 49.2 123.6h83.1c-1.4-4.6-2.2-9.5-2.2-14.6 0-27.5 22.5-50 50-50s50 22.5 50 50c0 5.1-.8 10-2.2 14.6h62v-21.7c-13.1 4.3-27.8 3.3-40.6-4.1-23.8-13.8-32-44.5-18.3-68.3 8.5-14.8 24-24.2 41-25h1.8c5.5-.1 10.9.8 16.1 2.5v-14.2c-21.9 7.1-46.7-1.8-58.7-22.5-13.7-23.8-5.5-54.5 18.3-68.3 7.3-4.2 15.5-6.4 23.9-6.6h1.7c5.1.1 10.1.9 14.8 2.4V228c-30.4-23.5-68.6-37.5-110-37.5zm0 20.9c27.5 0 50 22.5 50 50s-22.5 50-50 50-50-22.5-50-50 22.5-50 50-50zm0 18c-17.8 0-32 14.2-32 32s14.2 32 32 32 32-14.2 32-32-14.2-32-32-32zm0 16c8.8 0 16 7.2 16 16s-7.2 16-16 16-16-7.2-16-16 7.2-16 16-16zm93.9 38.4c-5.4.1-10.7 1.5-15.3 4.2-15.4 8.9-20.6 28.3-11.7 43.7 8.8 15.2 27.8 20.5 43.1 12v-23.5c-1.1 3.8-3.6 7.3-7.4 9.4-7.7 4.4-17.4 1.7-21.8-5.9-4.4-7.6-1.8-17.4 5.8-21.8 2.3-1.4 4.9-2.1 7.6-2.2 5.9-.2 11.4 2.9 14.3 8 .7 1.2 1.1 2.4 1.5 3.6v-23.6c-4.8-2.6-10.4-4-16.1-3.9zM384 354.4c8.8 0 16 7.2 16 16s-7.2 16-16 16-16-7.2-16-16 7.2-16 16-16zm-95.6 20.5h1.7c17.7.2 34 9.7 42.8 25 13.7 23.8 5.5 54.5-18.3 68.3-23.8 13.7-54.5 5.5-68.3-18.3-13.7-23.8-5.5-54.5 18.3-68.3 7.2-4.2 15.4-6.5 23.8-6.7zm.4 18c-5.3.1-10.6 1.6-15.2 4.3-15.4 8.9-20.6 28.3-11.7 43.7 8.9 15.4 28.3 20.6 43.7 11.7 15.4-8.9 20.6-28.3 11.7-43.7-5.9-10.2-16.8-16.3-28.5-16zm188.1 0c-10.9.5-20.8 6.5-26.2 16-8.9 15.4-3.7 34.8 11.7 43.7 10.2 5.9 22.1 5.6 31.6.3v-24.5c-.4 1.6-1 3.1-1.8 4.5-4.4 7.6-14.2 10.2-21.8 5.8-7.6-4.4-10.3-14.1-5.9-21.8 2.7-4.7 7.7-7.7 13.1-8h1.2c2.7.1 5.3.8 7.6 2.1 4 2.3 6.7 6.1 7.6 10.3V397c-4.5-2.6-9.7-4-14.8-4.1zm-187.7 16c5.8-.1 11.3 2.9 14.2 8 4.4 7.6 1.8 17.4-5.8 21.8-7.6 4.5-17.5 1.9-21.9-5.8-4.4-7.7-1.8-17.5 5.9-21.9 2.3-1.3 4.9-2 7.6-2.1zm95 38.5c-17.8 0-32 14.2-32 32 0 5.3 1.3 10.2 3.5 14.6h22c-5.6-2.5-9.5-8.1-9.5-14.6 0-8.8 7.2-16 16-16s16 7.2 16 16c0 6.5-3.9 12.1-9.5 14.6h22c2.2-4.4 3.5-9.3 3.5-14.6 0-17.8-14.2-32-32-32z"}}]})(props);
};
function GiRemedy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169 21v62h174V21H169zm17.4 82l-2.5 5c-2.3 4.8-11.2 12.7-23.4 20.4-12.3 7.7-27.7 15.6-42.7 23.7-15.1 8-29.87 16.1-41.42 24.7C64.82 185.4 55 194.8 55 208v228c0 20.5 15.09 35 30.54 43.8C101 488.6 117 493 128 493h256c11 0 27-4.4 42.5-13.2C441.9 471 457 456.5 457 436V208c0-13.2-9.8-22.6-21.4-31.2-11.5-8.6-26.3-16.7-41.4-24.7-15-8.1-30.4-16-42.7-23.7-12.2-7.7-21.1-15.6-23.4-20.4l-2.5-5H186.4zm10.6 18h118c6.1 8.7 15.8 15.6 27 22.6 13.2 8.3 28.8 16.4 43.8 24.3 14.9 8 29.1 15.9 39.1 23.3 9.9 7.4 14.1 14 14.1 16.8H73c0-2.8 4.18-9.4 14.12-16.8 9.95-7.4 24.18-15.3 39.08-23.3 15-7.9 30.6-16 43.8-24.3 11.2-7 20.9-13.9 27-22.6zm27 151h64v48h48v64h-48v48h-64v-48h-48v-64h48v-48z"}}]})(props);
};
function GiRempart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 27v467h476V304h-46v64h-80v-64h-64v64h-80v-64h-64v64H80V192h48L18 27zm97 373h18v64h-18v-64zm144 0h18v64h-18v-64zm144 0h18v64h-18v-64z"}}]})(props);
};
function GiReptileTail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M88.22 18c0 34.61 17.48 55.27 37.38 77.31-18.7 11.29-39.56 9.09-58.95 9.79 20.62 18.5 51.75 25 73.95 16.9l29.7 50.7c10.6 2.6 21.6 3 32.4 2 4.2-19.5 9.5-39.1 15.9-58.1-12.4 7.8-19.9 15.7-29.1 26.1l-31.3-33.3c20.2-16.83 27.9-47.97 18.1-70.8-6.4 20.81-17.6 34.78-31.8 44.7-10.9-30.08-36.1-51.44-56.28-65.3zm204.28 0c-14.9 15.8-28.5 37.19-40 61.86-18.9 40.54-32.3 89.44-38.6 134.44v.1c-3.4 24.6 8.4 55.2 17.8 85.7 4.8 15.2 8.9 30.5 9.3 45.6.5 15.1-3 30.4-13.4 43.4-15.7 19.7-41.7 31.6-68.5 35.4-26.9 3.9-55.1-.2-74.89-16.3-28.04-22.9-41.38-52.1-42.48-87.1-.73-23.1 3.5-48.8 11.26-78-16.22 26.3-27.61 55.5-32.16 84.3-6.97 44.1 1.58 86.6 31.21 117.8 23.53 24.8 62.86 39 104.76 41.5 41.9 2.6 86-6.5 118-25.9 52.4-32.6 59.3-64.9 56.8-99.3-2.6-34.4-17.9-70.4-9.3-104.9 10.5-42.2 57.8-91.1 105.8-140.3 23-23.61 46.3-47.2 65.9-68.67V18zm186.9 160.3c-26.3 8.1-44.6 37.2-44.5 57.9l-45.6-4.1 1.9-9.8c2.4-12.7 1.7-25.8-.6-39.2-15.9 18.3-29.5 35.8-38.8 51.2 6.5 11.9 15.1 22.9 25.8 31.4l58.3-7.9c8.3 26 37.2 43 58.1 47.6v-.9c-12.8-18.6-24.7-30.4-27.9-51.4 9.3-.3 16.9 2.9 27.9-1.3v-27.3c-11.3.4-19.4 3.1-30.1 6.3-3.1-19.7 6.6-38.3 15.5-52.5z"}}]})(props);
};
function GiResize (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M29 30l1 90h36V66h26V30H29zm99 0v36h72V30h-72zm108 0v36h72V30h-72zm108 0v36h72V30h-72zm102 0v78h36V30h-36zm-206 80v36h100.543l-118 118H30v218h218V289.457l118-118V272h36V110H240zm206 34v72h36v-72h-36zM30 156v72h36v-72H30zm416 96v72h36v-72h-36zm0 108v72h36v-72h-36zm-166 86v36h72v-36h-72zm108 0v36h72v-36h-72z"}}]})(props);
};
function GiResonance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.186 21.076c-61.262-.17-122.585 23.086-169.264 69.766-79.875 79.875-90.355 202.083-33.037 294.03-21.126-58.596-5.07-136.433 43.875-204.518-26.864 54.274-23.788 119.52 8.705 171.64-16.072-44.577-3.09-104.19 35.502-155.568-22.22 40.8-20.71 91 4.105 130.804-13.956-38.71 1.842-92.823 43.24-134.222 43.876-43.875 102.245-59.39 141.206-40.764-39.916-27.966-92.123-30.865-134.612-8.724 54.177-39.073 116.827-50.336 161.063-29.194-52.326-36.654-120.2-41.6-176.747-14.863 71.832-49.555 153.662-63.29 211.87-35.47-40.654-28.48-88.263-42.783-135.907-42.917zm135.908 42.918l.008.006v-.002c-.003 0-.006-.003-.008-.004zm-35.125 50.332c0 .002.004.004.007.006v-.002c-.003 0-.006-.003-.008-.004zm93.772 8.315c27.828 58.21 14.094 140.048-35.47 211.887 26.74-56.548 21.8-124.425-14.858-176.754 21.144 44.238 9.878 106.895-29.2 161.075 22.145-42.488 19.248-94.7-8.714-134.618 18.62 38.96 3.107 97.327-40.768 141.2-41.4 41.4-95.513 57.196-134.224 43.238 39.81 24.817 90.023 26.326 130.826 4.096-51.383 38.602-111.004 51.59-155.588 35.513 52.118 32.49 117.364 35.57 171.637 8.71-68.085 48.943-145.92 64.997-204.512 43.87 91.947 57.318 214.157 46.838 294.03-33.037 82.987-82.986 91.948-212.252 26.842-305.18zM364.5 184.23l-.004-.007h-.002l.006.007zm37.914-26.457l-.004-.007h-.002l.006.007z"}}]})(props);
};
function GiRestingVampire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149.2 30L29.08 253.2 75.85 487h36.75L66.92 258.8 170.8 66h170.4l103.9 192.8L399.4 487h36.8l46.7-233.8L362.8 30H149.2zM144 144l15.4 77.2c3.5 1 7 1.9 10.5 2.8h.2c-2-10.2-3.1-20.9-3.1-32 0-8 .6-15.8 1.6-23.4L144 144zm224 0l-24.6 24.6c1 7.6 1.6 15.4 1.6 23.4 0 11.1-1.1 21.8-3.1 32h.2c3.5-.9 7-1.8 10.5-2.8L368 144zm-151 6.6c-2 0-4 .1-6 .3-8 .9-15.6 3.3-20.6 5.8-.4.2-.8.5-1.2.7-2.7 10.8-4.2 22.4-4.2 34.6 0 29.2 8.5 55.5 21.8 74 13.2 18.5 30.5 29 49.2 29 18.7 0 36-10.5 49.2-29 13.3-18.5 21.8-44.8 21.8-74 0-12.2-1.5-23.8-4.2-34.6-.4-.2-.8-.5-1.2-.7-5-2.5-12.6-4.9-20.6-5.8-2-.2-4-.3-6-.3-6-.1-12 .6-16.9 2.2-6.6 2.2-11.3 5.6-14 11.2l-8.1 16.1-8.1-16.1c-2.7-5.6-7.4-9-14-11.2-4.9-1.6-10.9-2.3-16.9-2.2zm22.6 45l12.8 12.8c-9 8.9-19.1 14.7-30.1 14.9-11 .1-21.4-5.6-30.7-15l12.8-12.6c7.2 7.3 12.8 9.6 17.7 9.6 4.8-.1 10.5-2.6 17.5-9.7zm68 0l12.8 12.8c-9 8.9-19.1 14.7-30.1 14.9-11 .1-21.4-5.6-30.7-15l12.8-12.6c7.2 7.3 12.8 9.6 17.7 9.6 4.8-.1 10.5-2.6 17.5-9.7zm-201.7 26.1c3.9 30.5 20.8 55 45.4 73 16.9 12.4 37.3 21.5 59.2 26.8l7.9-19.7c-10-6.3-18.9-15-26.3-25.4-6.9-9.6-12.5-20.7-16.7-32.9-22.8-5.1-45.9-12.4-69.5-21.8zm300.2 0c-23.6 9.4-46.7 16.7-69.5 21.8-4.2 12.2-9.8 23.3-16.7 32.9-7.4 10.4-16.3 19.1-26.3 25.4l7.9 19.7c21.9-5.3 42.3-14.4 59.2-26.8 24.6-18 41.5-42.5 45.4-73zM218 243h76v18h-11.5L272 282l-10.5-21h-11L240 282l-10.5-21H218v-18zm-96.8 49.1l-18.4 3.7c-1.7 6.2-2.6 16.2-1.8 28.6.9 15.4 3.9 34.1 7.8 53.8 7.4 37.1 18.2 77.3 26.2 108.8h31l-14.9-134 17.8-2L184 487h63v-78h-11.8l-37.3-55.9 5.9-14.7c-23.1-5.9-44.8-15.7-63.1-29.1-7-5.2-13.6-10.9-19.5-17.2zm269.6 0c-5.9 6.3-12.5 12-19.5 17.2-18.3 13.4-40 23.3-63.1 29.1l5.9 14.7-37.3 55.9H265v78h63l15.1-136 17.8 2L346 487h31c8-31.5 18.8-71.7 26.2-108.8 3.9-19.7 6.9-38.4 7.8-53.8.8-12.4-.1-22.4-1.8-28.6l-18.4-3.7zm-156.1 17.4l-16.6 41.4 26.7 40.1h22.4l26.7-40.1-16.6-41.4c-6.8 2.3-13.9 3.5-21.3 3.5s-14.5-1.2-21.3-3.5z"}}]})(props);
};
function GiReticule (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M265.22 19.688v57.75c91.033 4.56 164.143 77.686 168.717 168.718h57.75c-4.635-123.12-103.345-221.85-226.468-226.47zm-18.69.03C123.67 24.65 24.717 123.244 20.063 246.157H78.44C83 155.333 155.786 82.33 246.53 77.47V19.72zm9.69 107.22c-32.23 0-61.768 11.79-84.408 31.312l22.47 22.47c12.306-10.246 27.204-17.487 43.562-20.626l18.78 70.53 18.75-70.374c15.887 3.182 30.37 10.232 42.407 20.156l22.345-22.344c-22.465-19.41-51.782-31.125-83.906-31.125zm97.124 44.343L331 193.626c9.996 12.136 17.072 26.77 20.22 42.813l-70.095 18.687 70.125 18.656c-3.15 16.247-10.31 31.112-20.438 43.44l22.344 22.342c19.513-22.637 31.312-52.154 31.313-84.375 0-32.124-11.716-61.44-31.126-83.906zm-194.75.157c-19.478 22.446-31.28 51.697-31.28 83.75 0 32.15 11.885 61.6 31.467 84.22l22.532-22.532c-9.933-12.202-16.96-26.866-20.093-42.875l70.936-18.875-70.906-18.906c3.136-15.81 10.098-30.235 19.906-42.25l-22.562-22.532zm-138.5 93.407C25.044 387.51 123.868 486.332 246.53 491.28V432.94c-90.544-4.852-163.21-77.547-168.06-168.094H20.093zm413.812 0C429.044 355.6 356.056 428.42 265.22 432.97v58.342c122.924-4.638 221.507-103.596 226.436-226.468h-57.75zm-177.28 14.75l-18.97 71.28c-16.208-3.188-30.995-10.455-43.22-20.687L172 352.625c22.618 19.582 52.072 31.47 84.22 31.47 32.05 0 61.304-11.803 83.75-31.283l-22.345-22.343c-11.955 9.914-26.296 16.98-42.03 20.217l-18.97-71.093z"}}]})(props);
};
function GiRetroController (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M389.094 253.12H122.962a101.945 101.945 0 1 0 89.208 151.258h87.66a101.945 101.945 0 1 0 89.264-151.258zM165.69 362.62h-30.137v30.138h-31.618V362.62h-30.14v-31.618h30.13v-30.128h31.617v30.128h30.15v31.618zm190.996 7.136a17.932 17.932 0 1 1 17.91-17.932 17.932 17.932 0 0 1-17.92 17.932zm40.922 40.923a17.932 17.932 0 1 1 17.92-17.922 17.932 17.932 0 0 1-17.93 17.92zm0-81.858a17.932 17.932 0 1 1 17.932-17.932 17.932 17.932 0 0 1-17.943 17.944zm40.923 40.923a17.932 17.932 0 1 1 17.933-17.932 17.932 17.932 0 0 1-17.932 17.943zM260.546 18.99h19.603c3.986 10.57 5.16 20.326 3.512 29.235-4.043 22.392-24.052 35.367-43.44 47.912-21.625 14.025-42.04 27.282-40.472 52.204 1.694 26.9 18.407 40.89 36.135 55.705 10.682 8.943 21.997 18.417 29.36 31.008h-22.2c-5.218-5.816-11.688-11.292-18.746-17.153-18.914-15.81-40.346-33.786-42.537-68.42-2.258-35.467 24.843-53.015 48.67-68.497 16.88-10.942 32.814-21.342 35.513-36.02 1.377-7.34-.407-15.923-5.398-25.973z"}}]})(props);
};
function GiReturnArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.828 18.256l-.002.015c249.642 36.995 371.904 169.983 397.32 278.01-2.094 5.977-4.496 11.044-7.068 14.968-17.29 26.383-62.522 40.075-101.654 28.596 5.984-19.75 10.132-39.834 12.07-59.12-95.46 8.177-212.544 8.42-301.207-22.642 41.727 95.317 99.325 164.465 164.983 230.08 18.296-2.164 35.807-11.35 51.837-25.37 85.218 34.667 188.066-2.555 226.748-60.68 46.922-70.5 74.07-317.52-167.462-383.856H232.81c160.326 54.874 195.73 167.74 191.573 239.03-37.15-93.627-137.68-191.855-312.38-239.03H19.83z"}}]})(props);
};
function GiRevolt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M418.176 280.486c21.38-30.735 42.538-61.17 64.123-92.267-30.341-4.086-59.886-8.048-89.888-12.134 13.6-39.089 26.955-77.509 40.735-117.15-41.247 23.546-81.281 46.413-121.716 69.462-10.34-34.333-20.703-68.359-31.223-103.298-18.23 32.498-35.798 63.965-53.603 95.676-33.719-32.262-66.83-64.029-101.163-96.841 7.803 45.31 15.426 89.155 22.986 133.733-43.964-7.009-86.833-13.655-130.986-20.553 31.892 37.199 63.052 73.548 94.4 110.197-27.932 25.67-55.681 51.161-84.029 77.383 36.648 8.173 71.958 16.16 108.18 24.332-13.236 29.451-26.221 58.358-39.577 88.061 23.718-6.284 26.68-7.016 49.303-13.118 0 0 22.35-68.463 32.866-84.747 4.806-7.29 5.267-13.96 3.675-22.182-6.668-34.118-12.749-68.32-19.108-102.447-.39-1.934-.47-3.335 1.543-4.647 23.978-16.689 36.344-21.244 73.797-47.78 17.295 19.699 34.47 39.477 51.997 59.647a2368.384 2368.384 0 0 0-17.837 16.364c-.46.46-1.622.69-2.324.46-6.52-1.943-13.03-3.876-19.588-5.968-7.708-7.292-13.68-15.293-19.808-21.482-1.703 6.36-3.456 12.327-4.887 18.457 8.984 10.945 11.236 14.184 16.904 19.77 1.162 1.17 1.861 3.024 1.861 4.576 1.549 31.612.61 62.646 2.134 89.81 3.374.932 6.439 1.703 10.196 2.795-.773-34.13-1.353-67.71-2.244-101.52 2.053 0 3.995 1.012 5.618 3.877 19.688 32.305 37.333 64.041 54.95 93.455 2.944-1.712 5.858-3.415 8.843-5.127-1.513 4.573-6.594 10.905-9.314 14.822-9.388 14.727-25.093 22.027-37.995 30.863-15.624 24.762-28.247 50.076-38.257 67.658l14.789 37.443c.37.118 26.19-39.152 38.908-59.09 21.19 18.717 41.987 37.136 63.39 56.035 1.55-41.042 3.196-80.801 4.692-121.048 44.704 3.844 88.763 7.623 134.04 11.53-26.01-32.444-51.169-63.604-76.383-95.007zm-164.443-117.08c12.948-8.062 25.587-15.822 38.506-23.725 6.389 11.007 12.479 21.863 18.646 32.878-10.625 6.59-21.17 13.189-32.107 19.849-8.181-9.614-16.593-19.147-25.045-29.002zm51.184 59.027c-6.29-7.37-12.568-14.512-19.197-22.183 11.055-6.75 22.062-13.57 33.307-20.48 5.74 10.085 11.368 19.93 17.066 30.013-16.835 10.475-33.47 20.63-49.834 30.715-.11-.232-.23-.311-.459-.47 6.317-5.739 12.598-11.476 19.117-17.595zm-26.138 34.74c20.55-12.639 40.83-25.047 61.42-37.765 6.128 10.546 11.946 20.86 18.115 31.716-20.52 12.719-40.879 25.127-61.54 37.844-6.018-10.775-11.985-21.25-17.995-31.795zm40.479 71.033c-5.739-10.155-11.476-20.08-17.175-30.325 19.238-11.786 38.346-23.574 57.744-35.51 5.698 10.073 11.438 20.079 17.135 30.245-19.31 12.015-38.466 23.733-57.704 35.59z"}}]})(props);
};
function GiRevolver (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M481.14 125.357c-18.78 5.476-34.912 14.487-46.952 32.973h46.953v-32.973zm-188.915 50.01l-13.125.002-.116 35.74H491.47l-.343-35.74H292.225v-.003zm-29.125.002l-33.07.003-97.298.008c-16.018 27.973-16.89 57.78 1.04 94.07H262.8l.063-20.22H168.09a8 8 0 1 1 0-16h94.8v-22.68h-95.15a8 8 0 1 1 0-16h95.3l.06-19.18zm-161.377.01c-7.834 28.723-12.348 45.61-18.73 58.69-6.78 13.893-15.75 23.88-32.3 41.7C11.077 351.204 17.48 389.416 20.46 432.083c12.07 14.128 29.67 21.282 48.724 23.54 17.703 2.097 36.135-.286 50.816-4.597-.272-47.016 8.213-93.296 40.84-139.84l5.264-7.507 6.724 6.23c18.24 16.9 40.922 21.272 63.205 17.717 22.283-3.555 43.756-15.464 57.254-30.285 9.92-10.894 12.492-23.074 11.66-37.932h-26.115l-.084 26.04h-.695c-9.56 10.992-33.904 24.083-47.803 24.146-13.556.06-35.84-13.197-47.896-24.145H123.88l-2.253-4.266c-20.284-38.435-21.828-74.208-7.06-105.803h-12.844zm-74.88 2.47c7.33 23.547 19.127 43.547 34.825 60.796 2.733-3.822 4.952-7.508 6.945-11.593 2.33-4.772 4.44-10.37 6.715-17.44-.225-.142-.403-.248-.635-.394-7.68-4.854-17.46-11.227-27.117-17.58-10.508-6.916-13.477-8.943-20.734-13.79zm252.09 49.26l-.042 13.66v2.638h82.72V227.11h-82.676zM88.642 293.9c16.474 0 30 13.525 30 29.998 0 16.474-13.526 30-30 30-16.473 0-30-13.526-30-30 0-16.473 13.527-29.998 30-29.998zm0 15.998c-7.826 0-14 6.174-14 14 0 7.827 6.174 14 14 14 7.827 0 14-6.173 14-14 0-7.826-6.173-14-14-14zm-18.025 67.676a13 13 0 0 1 12.625 12.998 13 13 0 1 1-26 0 13 13 0 0 1 13.375-12.998z"}}]})(props);
};
function GiRhinocerosHorn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M450.125 32.734c-9.41 47.727-17.293 105.183-30.922 156.774-8.34 31.574-18.838 60.978-33.72 84.795-12.89 20.63-29.425 37.144-50.47 46.172 12.023 25.86 43.083 47.34 76.24 53.63 3.538-6.146 7.304-13.7 11.08-22.447 10.868-25.16 21.89-59.925 29.843-99.13 13.89-68.487 18.235-150.56-2.05-219.794zM18 38.904V494h39.537c7.66-8.97 13.41-22.46 17.453-46 36.388 0 55.403-4.45 66.643-11.002-28.225-25.493-51.414-58.844-68.455-101.207 11.647 15.058 25.708 29.464 42.047 42.96 43.04 66.73 107.412 97.86 188.41 106.137.528-.748.977-1.347 1.726-2.532 1.156-1.823 2.407-3.91 4.275-6.074 1.868-2.162 4.978-5.622 10.906-5.264 5.675.342 8.213 3.45 10.146 5.636 1.932 2.186 3.372 4.383 4.71 6.342 1.196 1.756 2.208 3.126 2.928 3.985 33.258.64 59.62-3.37 76.278-12.105 16.926-8.875 24.842-20.973 24.392-42.29-1.524-14.847-11.34-27.683-26.947-40.118-40.617-6.275-78.99-31.115-94.06-66.02-11.03-1.295-20.466-8.332-27.383-16.86-8.08-9.963-13.61-22.38-16.327-34.36-10.642-23.767-32.987-62.51-58.23-95.098-12.69-16.383-26.14-31.236-38.918-41.884-3.5-2.917-6.942-5.467-10.282-7.67l-14.9 7.45c-8.804-17.61-12.764-38.21-16.733-56.073-2.863-12.88-6.157-24.08-9.576-31.213-18.795 14.465-23.428 28.884-22.86 44.033.64 16.96 9.29 35.243 17.27 51.202l-16.1 8.05c-1.334-2.667-2.734-5.49-4.14-8.38-11.03 13.237-20.28 31.073-26.37 50.798-6.42 20.808-9.224 43.544-7.645 65.106l-18.42-20.466c.835-17.014 3.946-34.01 8.865-49.95 7.323-23.725 18.72-45.27 33.504-61.33.698-.758 1.407-1.5 2.123-2.234-3.773-9.99-6.648-20.786-7.074-32.12-.12-3.19-.005-6.415.352-9.653C64.072 65.847 42.305 48.19 18 38.904zM194.36 60.74c-3.418 7.133-6.712 18.332-9.575 31.213-1.77 7.97-3.603 16.458-5.846 24.984 3.252 2.294 6.487 4.795 9.71 7.48 6.103 5.086 12.168 10.863 18.143 17.136 5.438-12.064 9.973-24.722 10.426-36.78.568-15.15-4.065-29.568-22.86-44.033zM351.41 203.564c-5.54 15.163-11.94 31.276-21.65 45.877-7.622 11.46-17.263 21.663-29.983 27.83-1.776.86-3.612 1.625-5.5 2.302 2.51 6.778 6.125 13.518 10.307 18.674 1.25 1.54 2.508 2.906 3.772 4.11l4.384 3.51c1.328.853 2.653 1.508 3.97 1.984l3.183-.938c11.455-3.372 21.48-9.33 30.41-17.547 1.077-3.574 2.058-7.328 2.9-11.252 4.44-20.718 5.33-46.135-1.792-74.55zm-125.21 118.57c6.122.148 12.176 1.467 17.788 3.446 12.83 4.524 24.37 12.33 33.467 19.26l-10.906 14.32c-.79-.602-1.616-1.21-2.442-1.816C261.828 364.064 255.42 369 248 369c-9.282 0-17-7.718-17-17 0-3.94 1.4-7.59 3.71-10.496-8.33-2.39-15.434-2.134-21.774 2.023l-9.872-15.054c6.477-4.247 13.5-6.1 20.508-6.328.876-.03 1.753-.03 2.627-.01zm170.46 100.637c1.472.012 2.965.11 4.473.3l-2.26 17.86c-9.21-1.166-15.993 2.556-23.755 12.58l-14.23-11.02c8.79-11.354 20.693-19.265 34.308-19.7.487-.017.974-.022 1.465-.02z"}}]})(props);
};
function GiRialtoBridge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 42.37L177.9 87h156.2L256 42.37zM201 105v110h14c0-27.5.2-48.8 4.3-65.2 2.2-9 5.9-16.9 12.2-22.5 6.4-5.7 15-8.3 24.5-8.3s18.1 2.6 24.5 8.3c6.3 5.6 10 13.5 12.2 22.5 4.1 16.4 4.3 37.7 4.3 65.2h14V105H201zm-18 3.8L25 166.3v14.8l158-57.5v-14.8zm146 0v14.8l158 57.5v-14.8l-158-57.5zm-146 34.1L25 200.3v74.9l17-6.2v-14.9c0-15.6.26-27.5 3.28-37.3 1.5-4.9 3.89-9.5 7.95-12.9 4.06-3.4 9.48-5 14.77-5 5.29 0 10.71 1.6 14.77 5 4.06 3.4 6.45 8 7.95 12.9 2.75 8.9 3.21 19.7 3.27 33.3l20.01-7.3V231.2c0-15.6.3-27.5 3.3-37.3 1.5-4.9 3.9-9.5 7.9-12.9 4.1-3.4 9.5-5 14.8-5 5.3 0 10.7 1.6 14.8 5 4 3.4 6.4 8 7.9 12.9 2.5 8.2 3.1 17.9 3.3 30l17-6.2v-74.8zm146 0v74.8l17 6.2c.2-12.1.8-21.8 3.3-30 1.5-4.9 3.9-9.5 7.9-12.9 4.1-3.4 9.5-5 14.8-5 5.3 0 10.7 1.6 14.8 5 4 3.4 6.4 8 7.9 12.9 3 9.8 3.3 21.7 3.3 37.3v11.6l20 7.3c.1-13.6.6-24.4 3.3-33.3 1.5-4.9 3.9-9.5 7.9-12.9 4.1-3.4 9.5-5 14.8-5 5.3 0 10.7 1.6 14.8 5 4 3.4 6.4 8 7.9 12.9 3 9.8 3.3 21.7 3.3 37.3V269l17 6.2v-74.8l-158-57.5zM193.6 233L25 294.3v28.8L190.4 263h131.2L487 323.1v-28.8L318.4 233H193.6zm0 48L25 342.3v39.8c140.4-100 321.6-100 462 0v-39.7L318.4 281H193.6z"}}]})(props);
};
function GiRibbonMedal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.883 29.7L241.11 51.554l-23-14.06-6.202 26.224-26.63-4.193 4.308 26.604-26.21 6.317 14.165 22.93-21.794 15.86L177.61 147l-14.065 22.992 26.234 6.2-4.194 26.624 26.613-4.308 6.316 26.2 22.937-14.16 15.865 21.788 15.772-21.856 23 14.06 4.283-18.11 1.92-8.116 26.633 4.194-4.31-26.606 26.21-6.314-14.166-22.928 21.797-15.86-21.863-15.767 14.064-22.992-26.234-6.2 4.19-26.624-26.61 4.307-6.318-26.2-22.936 14.16-15.867-21.788zm-.252 51.68a49.657 49.64 0 0 1 49.657 49.64 49.657 49.64 0 0 1-49.656 49.638 49.657 49.64 0 0 1-49.655-49.638 49.657 49.64 0 0 1 49.656-49.64zm59.345 137.308l-8.082 34.164-29.96-18.315-9.747 13.504c11.734 82.04 18.1 163.835 54.654 247l16.553-66.185c10.51 13.815 27.52 26.056 49.656 33.092-31.075-77.557-42.77-158.987-54.714-240.37l-18.36-2.89zm-117.37.253l-19.76 3.2c-11.916 81.194-23.63 162.428-54.632 239.807 22.136-7.036 39.147-19.277 49.658-33.092l16.552 66.186c36.794-83.71 43.005-166.034 54.89-248.614l-8.595-11.8-29.88 18.442-8.232-34.127z"}}]})(props);
};
function GiRibbonShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32.19c34.6 42.07 92.8 57.46 150.1 71.71L395.7 198c-66.1-6.6-103-9.9-139.7-9.9-36.6 0-73.6 3.3-139.7 9.9l-10.5-94.1C163 89.65 221.4 74.26 256 32.19zM421.3 195.3c19.3 5.9 41.8 9.2 67.3 10.4-11.8 11.1-32.7 23.3-34.3 39.2-1.6 18.9 4.7 36.3 12.1 52.5-17.3 1-33.2-1.8-48.7-6.3 7.2-32.4 7.3-57.7 7.3-82v-6.2c-3.7-7.6-2.9-6.3-3.7-7.6zm-330.73 0l-3.5 7.7-.1 6c-.2 24.3 0 49.7 7.3 82.1-15.6 4.5-31.5 7.3-48.8 6.3 7.4-16.3 13.8-33.6 12.2-52.6-4.4-17.5-21.7-28.8-34.4-39.1 25.6-1.2 48.1-4.5 67.3-10.4zM256 206.1c38 0 77 3.7 151 11.1-.1 27.5-1.3 55.1-13.4 94.1-133.3-14.7-141.9-14.7-275.2 0-12.2-39.1-13.5-66.7-13.4-94 74-7.4 113-11.2 151-11.2zm0 111.9c32.4 0 65.1 3.4 125.3 10l-6.2 55.6c-7.3 36.1-36.6 60.3-65.3 75.6-25.9 13.7-49.1 19.5-53.8 20.6-4.7-1.1-27.9-6.9-53.8-20.6-28.7-15.4-58-39.5-65.3-75.6l-6.2-55.6c60.2-6.6 92.9-10 125.3-10z"}}]})(props);
};
function GiRibbon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M249.938 18.53c-2.33-.006-4.65.036-7 .157v-.03c-18.72.97-37.354 4.835-53.782 11.5-5.895 9.737-7.003 18.63-3.22 31.655 2.543 8.748 7.697 19.177 15.69 31.594 9.697-6.747 25.94-10.26 42.468-10.5 17.92-.258 36.14 3.24 46.53 10.594 7.038-11.94 11.675-22.136 14.063-30.844C308.813 47.62 307.18 37.386 300 26l.47-.28c-13.496-4.296-28.377-6.64-43.533-7.032-2.342-.094-4.67-.15-7-.157zM324 36.157c2.096 9.886 1.745 20.437-1.28 31.47-4.985 18.167-16.32 38.006-34 62.655l-32.283 47.564-76.843 114.187-.313-.217-67.155 98.875 24.53-1.157-16.936 47.876 45.53-26.28-29.78 65.437 36.218-22.782 7 37.376 52.28-110.094-.405-.187L295.5 244.687l4.313-9 47.062-98.437C370.188 88.162 354.93 54.713 324 36.156zM165.72 42.78c-30.64 21.468-44.758 56.84-18.564 104.97L195 235.688l42.72-63.47-38-47.25c-2.668-3.34-4.54-6.492-5.69-9.437C180.9 97.14 172.23 81.58 168 67.03c-2.433-8.37-3.142-16.496-2.28-24.25zm142.75 218.126l-46.595 97.72 71.594 131.937 4.842-36.157 37.907 7.406-25.47-47.375 58.875 24.782-32.656-57.408 23.655-5.718-92.156-115.188z"}}]})(props);
};
function GiRibcage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.28 19.938c-29.117 11.646-50.61 28.4-60.468 49.093-4.718 9.903-6.43 20.086-5.437 30.282-25.137 12.786-38.693 39.24-38.188 65.626-.036.693-.062 1.397-.062 2.093 0 3.464.455 6.883 1.344 10.25.28 1.475.592 2.95.968 4.407l.437-.125c2.83 7.498 7.817 14.706 14.688 21.532-11.103 10.945-16.3 25.256-13.47 39.437 1.473 7.375 4.836 14.43 9.938 21.032.4.725.806 1.442 1.25 2.157 1.926 3.087 4.235 6.008 6.907 8.75-10.928 13.738-13.85 31.155-8.124 46.717 3.435 9.34 9.718 17.922 18.468 25.22 2.547 2.71 5.41 5.146 8.532 7.374-3.073 7.786-3.99 16.288-2.437 24.75 2.523 13.754 11.09 27.07 25.063 38.408l.124-.125c3.38 2.656 7.127 4.824 11.188 6.53-2.32 12.464.09 23.86 7.063 32.22 9.88 11.844 26.615 16.188 44.937 13.812 29.986-3.89 66.278-25.483 96.375-70.03 5.44 3.526 11.503 5.155 17.906 5.155 6.34 0 12.35-1.608 17.75-5.063 30.086 44.486 66.348 66.052 96.314 69.938 18.32 2.376 35.057-1.968 44.937-13.813 6.95-8.33 9.375-19.68 7.095-32.093 4.166-1.727 7.985-3.935 11.438-6.658l.093.125c13.973-11.338 22.57-24.653 25.094-38.406 1.55-8.453.606-16.94-2.47-24.717 3.05-2.18 5.845-4.61 8.345-7.25.02-.022.042-.042.063-.063 8.83-7.32 15.17-15.92 18.625-25.313 5.725-15.562 2.803-32.98-8.125-46.718 2.673-2.742 4.98-5.663 6.906-8.75.457-.735.874-1.476 1.28-2.22 5.08-6.586 8.44-13.615 9.907-20.97 2.832-14.178-2.362-28.49-13.467-39.436 6.86-6.82 11.823-14.042 14.656-21.53l.436.124c.357-1.384.634-2.79.906-4.188.017-.06.016-.126.032-.188.895-3.376 1.375-6.81 1.375-10.28 0-.697-.028-1.4-.064-2.095.51-26.385-13.024-52.84-38.156-65.625.994-10.196-.72-20.38-5.438-30.28-9.856-20.693-31.35-37.448-60.468-49.094 17.375 9.772 30.292 22.603 37.125 36.937 25.16 52.8-41.854 113.403-149.69 136.156-2.454.523-4.905.95-7.342 1.345-5.236-9.99-11.065-16.094-17.157-16.094-6.09 0-11.888 6.104-17.124 16.095-2.443-.394-4.89-.822-7.344-1.344C123.978 170.28 56.996 109.675 82.156 56.876c6.833-14.334 19.75-27.165 37.125-36.938zm-61.093 98.03c17.415 41.942 78.38 81.302 162.25 99 3.03.64 6.09 1.186 9.157 1.72-2.002 6.498-3.856 13.538-5.53 20.875-102.14-5.383-182.168-38.334-190.19-80.188 1.086-16.487 9.413-32.31 24.313-41.406zm396.25.032c14.878 9.1 23.197 24.902 24.282 41.375-8.02 41.858-88.035 74.81-190.19 80.188-1.674-7.337-3.528-14.377-5.53-20.875 3.064-.534 6.123-1.08 9.156-1.72C376.01 199.275 437 159.932 454.436 118zM47.063 215.063c35.894 24.998 98.886 42.877 172.594 47.093-.886 5.284-1.677 10.614-2.375 15.938-82.59 11.893-152.356 1.95-175.843-29.5-.022-.03-.04-.064-.062-.094-2.06-3.344-3.333-6.6-3.938-9.625-1.696-8.498.853-16.387 9.626-23.813zm418.5 0c8.773 7.425 11.322 15.314 9.625 23.812-.623 3.122-2.007 6.48-4.187 9.938-23.655 31.27-93.295 41.145-175.688 29.28-.697-5.323-1.488-10.653-2.375-15.937 73.73-4.213 136.737-22.09 172.625-47.094zm-413.53 70.812C85.6 305.7 145.534 311.38 214.78 302.47c-.55 7.628-.85 15.03-.876 21.967-63.133 24.992-122.27 28.97-153.562 8.282-7.008-5.65-11.51-11.912-13.75-18-3.632-9.873-2.157-19.526 5.437-28.845zm408.562 0c7.593 9.32 9.038 18.972 5.406 28.844-2.24 6.088-6.72 12.35-13.72 18-31.298 20.688-90.46 16.71-153.592-8.283-.025-6.938-.325-14.34-.875-21.968 69.248 8.912 129.204 3.23 162.78-16.595zM215.28 349.813c.55 4.528 1.25 8.748 2.095 12.656-52.482 36.246-103.022 50.802-132.22 35.217-7.81-7.708-11.874-15.515-13.155-22.5-.822-4.48-.604-8.697.656-12.687 34.113 12.894 86.456 8.03 142.625-12.688zm82.064 0c56.182 20.72 108.52 25.56 142.625 12.656 1.26 3.997 1.448 8.226.624 12.717-1.28 6.985-5.346 14.792-13.156 22.5-29.193 15.58-79.713 1.022-132.188-35.218.852-3.91 1.55-8.122 2.094-12.658zm-10.188 35.593c43.873 29.743 86.124 45.232 117.22 42.344 1.275 7.2-.42 12.227-3.438 15.844-4.498 5.39-14.17 9.068-28.188 7.25-23.577-3.058-57.274-22.018-85.594-65.438zm-62.22.344c-28.27 43.167-61.83 62.045-85.342 65.094-14.02 1.818-23.69-1.86-28.188-7.25-3.02-3.622-4.724-8.66-3.437-15.875 30.996 2.99 73.155-12.373 116.968-41.97z"}}]})(props);
};
function GiRifle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16S136 76 136 226v120c0 30 0 30 30 30h180c30 0 30 0 30-30V226C376 76 256 16 256 16zm0 75s60 30 60 135v60H196v-60c0-105 60-135 60-135zM148.63 420.998A12.632 12.632 0 0 0 136 433.63v49.737a12.632 12.632 0 0 0 12.63 12.63h214.74a12.632 12.632 0 0 0 12.63-12.63V433.63A12.632 12.632 0 0 0 363.37 421H148.63z"}}]})(props);
};
function GiRingBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 25c-13 0-27.1 6.78-37.6 17.36C79.8 52.95 73 67 73 80v183h16V98c0-17.5 4.5-32.24 14.6-42.36C113.8 45.52 128.5 41 146 41h220c17.5 0 32.2 4.52 42.4 14.64C418.5 65.76 423 80.5 423 98v165h16V80c0-13-6.8-27.05-17.4-37.64C411.1 31.78 397 25 384 25zm73.6 46.64l-48 49.96-5.5 6 5.1 6.3 72.6 84.7c9.7-2.4 19.8-3.6 30.2-3.6 10.4 0 20.5 1.2 30.2 3.6l72.6-84.7 5.1-6.3-5.5-6-48-49.96zM211.7 89h27.5l-20 30h-37.5zm61.1 0h27.5l30 30h-37.5zM256 96.22L271.2 119h-30.4zM179.6 137h37.6l18.8 65.8zm56.3 0h40.2L256 207.2zm58.9 0h37.6L276 202.8zM256 233c-44 0-82 25.5-99.9 62.6 4.3-.9 8.8-1.4 13.4-1.5 4.1-.1 8.3.2 12.6.8C198 270.3 225.6 254 257 254c31.2 0 58.8 16.2 74.7 40.7 3.7-.5 7.3-.7 10.8-.6 4.6.1 9.1.6 13.4 1.5C338 258.5 300 233 256 233zm1 39c-22.9 0-43.3 10.7-56.2 27.5 8.7 2.9 17.9 7.1 27.7 12.7l-9 15.6c-27.6-15.8-46.6-18-61.6-14.1-15 3.8-27.1 14.5-39.1 28.2l-13.6-11.8c8.1-9.3 17.1-18.3 27.8-25 2.6-8.4 6.2-16.5 10.5-24.1H69.1l-37.2 62h448.2l-37.2-62h-74.4c4.3 7.6 7.9 15.7 10.5 24.2 10.7 6.6 19.7 15.6 27.8 24.9l-13.6 11.8c-12-13.7-24.1-24.4-39.1-28.2-15-3.9-34-1.7-61.6 14.1l-9-15.6c10.4-5.9 20.1-10.3 29.2-13.2-12.9-16.5-33-27-55.7-27zM25 361v126h462V361zm183 46h96v18h-96z"}}]})(props);
};
function GiRingMould (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 49c-19.4 0-38.9 2.02-52.7 5.7-6.9 1.83-12.3 4.16-15.3 6.22-1.3.85-1.8 1.35-2.2 1.82C214.5 107.9 229.5 170.3 232.4 218c2.4-.6 4.8-1.1 7.3-1.6.4-9.1 3.1-23 5.8-23.3h.5c4.6.4 6.7 13.2 7.5 22h2.5c8.3 0 16.2 1 23.6 2.9 2.9-47.7 17.9-110.1 46.6-155.26-.4-.47-.9-.97-2.2-1.82-3-2.06-8.4-4.39-15.3-6.22-3.7-.98-7.8-1.84-12.2-2.58-4 5.05-7.1 9.07-12.3 8.96-4.3-.84-8.6-5.74-11.1-11.54-5.6-.34-11.3-.54-17.1-.54zm-21.4 11.93c2 .04 4.4.47 7.2 1.44-.7 15.86-.7 46.63-4.3 48.03-3.8-.8-6.9-30.41-10.6-45.64 1-2.1 3.4-3.91 7.7-3.83zm42 52.47c2.7.1 5.4 1.1 8.1 2.8-7.2 20.3-13.7 71.3-16.7 69.4-6.9-4.3.6-50 3.8-71 1.6-.8 3.2-1.2 4.8-1.2zM87.4 169L43 391h426l-44.4-222H304.7c-1.4 6.5-2.6 12.9-3.6 19.1 19 4.6 36.2 12 50.5 21.7 24.9 16.9 41.4 41.3 41.4 68.8s-16.5 51.9-41.4 68.8c-25 16.9-58.6 26.9-95.6 26.9-37 0-70.6-10-95.6-26.9-24.9-16.9-41.4-41.3-41.4-68.8s16.5-51.9 41.4-68.8c14.3-9.7 31.5-17.1 50.5-21.7-1-6.2-2.2-12.6-3.6-19.1H87.4zm126 37.1c-16.4 4.1-31 10.6-42.9 18.6-21.4 14.5-33.5 33.5-33.5 53.9s12.1 39.4 33.5 53.9c3.9 2.6 8.1 5.1 12.5 7.3V272h.1c-.1-.8-.1-1.5-.1-2.3 0-16 9.2-30.1 22.5-39.6 2.9-2 6-3.9 9.3-5.6-.3-5.8-.8-12-1.4-18.4zm85.2 0c-.6 6.4-1.1 12.6-1.4 18.4 3.3 1.7 6.4 3.6 9.3 5.6 13.3 9.5 22.5 23.6 22.5 39.6 0 .8 0 1.5-.1 2.3h.1v67.8c4.4-2.2 8.6-4.7 12.5-7.3C362.9 318 375 299 375 278.6s-12.1-39.4-33.5-53.9c-11.9-8-26.5-14.5-42.9-18.6zm-42.6 27c-15.9 0-30.2 4.7-40 11.7-9.8 7-15 15.7-15 24.9s5.2 17.9 15 24.9 24.1 11.7 40 11.7c15.9 0 30.2-4.7 40-11.7 9.8-7 15-15.7 15-24.9s-5.2-17.9-15-24.9-24.1-11.7-40-11.7zm-55 72.7v41.6c16.4 5.7 35.1 8.9 55 8.9s38.6-3.2 55-8.9v-41.6c-1.4 1.2-2.9 2.4-4.5 3.5-13.4 9.5-31.1 15-50.5 15s-37.1-5.5-50.5-15c-1.6-1.1-3.1-2.3-4.5-3.5zM41 409v78h430v-78H41z"}}]})(props);
};
function GiRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.157 123c-68.66 0-137.1 18.922-182.867 55.275.234 14.35 1.818 35.624 9.332 48.23 110.634-60.336 236.436-60.336 347.07 0 7.513-12.606 9.098-33.88 9.332-48.23C392.257 141.922 323.817 123 255.157 123zm199.81 76.057c-.324 2.98-.718 6.02-1.246 9.082-2.226 12.93-6.213 26.458-15.99 35.98-14.436 18.637-40.806 30.462-72.858 38.603C332.392 290.973 293.79 295 255.157 295c-38.632 0-77.235-4.028-109.715-12.277-31.907-8.104-58.17-19.868-72.648-38.36-11.983-11.982-16.234-28.786-17.77-43.857-13.73 27.256-11.503 62.122.672 98.648C69.988 342.03 129.406 389 255.156 389c125.75 0 185.17-46.97 199.462-89.846l.1-.297.12-.287c15.134-36.712 15.61-71.983.13-99.513z"}}]})(props);
};
function GiRingedBeam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16.613 14.686l35.98 46.98c-5.556 6.996-9.327 14.675-11 22.42-2.15 9.954-.637 20.843 6.82 28.3 7.46 7.46 18.346 8.97 28.3 6.82 5.185-1.12 10.34-3.183 15.283-6.087l19.78 25.83c-5.053 7.936-8.567 16.252-10.346 24.49-3.037 14.06-.845 28.715 9.07 38.63 9.915 9.915 24.572 12.107 38.633 9.07 4.758-1.027 9.54-2.643 14.263-4.786l26.323 34.373c-4.797 8.88-8.23 17.956-10.16 26.892-4.22 19.544-1.12 39.23 12.075 52.427 13.195 13.195 32.883 16.295 52.428 12.074 4.237-.914 8.506-2.183 12.77-3.755l28.09 36.676c-6.446 12.33-11.057 24.856-13.704 37.114-6.097 28.228-1.585 55.878 16.805 74.268s46.04 22.902 74.268 16.807c5.34-1.155 10.734-2.682 16.14-4.57 10.45 4.697 22.042 7.33 34.272 7.33 46.236 0 83.514-37.32 83.514-83.556 0-12.21-2.62-23.783-7.298-34.22 1.898-5.428 3.434-10.842 4.592-16.204 6.095-28.227 1.554-55.848-16.836-74.24-13.218-13.216-31.205-19.28-50.758-19.383-7.65-.04-15.542.832-23.48 2.547-11.507 2.485-23.252 6.7-34.846 12.537l-37.31-28.57c1.57-4.256 2.834-8.517 3.747-12.746 4.222-19.544 1.122-39.234-12.073-52.43-9.278-9.277-21.767-13.563-35.158-13.824-.894-.017-1.79-.016-2.69.002-4.8.097-9.695.695-14.58 1.75-8.928 1.928-17.996 5.357-26.868 10.145l-34.39-26.334c2.14-4.715 3.75-9.49 4.777-14.238 3.035-14.062.843-28.718-9.07-38.633-7.438-7.436-17.54-10.528-28.06-10.328-3.506.066-7.06.498-10.574 1.257-8.228 1.778-16.534 5.286-24.463 10.332l-25.84-19.788c2.897-4.935 4.956-10.084 6.074-15.26 2.15-9.956.638-20.842-6.82-28.3-5.594-5.594-13.117-7.843-20.73-7.71-2.536.043-5.082.352-7.57.89-7.74 1.67-15.41 5.436-22.4 10.982l-46.984-35.98zm77.213 42.752c3.488-.127 5.814.84 7.254 2.28 1.92 1.92 3.003 5.42 1.768 11.14-.513 2.376-1.486 4.995-2.858 7.68l-20.838-15.96c3.754-2.346 7.502-3.917 10.79-4.627 1.43-.308 2.722-.47 3.884-.513zm-29.322 19.78L80.47 98.07c-2.693 1.378-5.32 2.355-7.7 2.87-5.723 1.235-9.22.152-11.14-1.768s-3.004-5.417-1.77-11.14c.713-3.293 2.29-7.05 4.644-10.81zm111.674 39.686c6.395-.194 11.303 1.62 14.586 4.903 4.377 4.377 6.14 11.643 4.017 21.472-.445 2.066-1.082 4.213-1.887 6.402l-35.868-27.467c4.22-2.096 8.38-3.587 12.266-4.426 2.458-.532 4.756-.82 6.888-.886zm-52.04 38.186l27.48 35.885c-2.198.81-4.354 1.452-6.43 1.9-9.83 2.123-17.096.36-21.473-4.018-4.377-4.377-6.14-11.645-4.018-21.474.84-3.895 2.336-8.063 4.44-12.293zm162.133 39.443c9.408.11 17.085 3.027 22.468 8.41 7.657 7.657 10.328 19.953 7.022 35.264-.33 1.53-.74 3.087-1.194 4.656l-55.27-42.328c4.838-2.073 9.607-3.624 14.18-4.61 3.826-.828 7.466-1.28 10.89-1.376.643-.02 1.278-.024 1.905-.017zm-83.815 62.824l42.344 55.29c-1.58.458-3.144.87-4.683 1.203-15.31 3.306-27.607.636-35.263-7.02-7.657-7.656-10.33-19.954-7.022-35.266.99-4.58 2.544-9.36 4.623-14.207zm223.16 29.672c15.535 0 28.615 4.717 37.85 13.952 12.687 12.688 16.832 32.637 11.947 56.235-11.877-13.486-28.038-23.1-46.402-26.713l-44.63-34.178c7.452-3.184 14.83-5.58 21.954-7.117 6.748-1.458 13.202-2.18 19.28-2.18zm-127.953 94.646l32.307 42.185c2.768 20.375 12.847 38.37 27.51 51.296-23.602 4.89-43.553.744-56.242-11.945-12.85-12.848-16.955-33.14-11.773-57.132 1.706-7.9 4.467-16.115 8.197-24.402z"}}]})(props);
};
function GiRingedPlanet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M417.063 85.625c-35.503-.147-80.717 9.822-129.563 28.97-9.31-1.8-18.804-2.706-28.344-2.69-25.04.045-50.414 6.454-73.656 19.907-32.044 18.55-54.554 47.287-65.813 79.782-80.284 64.16-123.395 133.9-100.718 173.28 23.35 40.55 109.384 36.656 208.593-4.218 1.7-.7 3.417-1.403 5.125-2.125.622-.262 1.25-.514 1.875-.78 1.81-.765 3.62-1.554 5.437-2.344l1.563-.687c1.443-.633 2.895-1.29 4.343-1.94 19.712-8.812 39.79-19.016 59.844-30.624 15.83-9.162 30.907-18.77 45.156-28.656.394-.273.795-.54 1.188-.813.672-.465 1.33-.94 2-1.406 100.373-70.007 158.15-152.83 132.625-197.155-11.013-19.123-35.953-28.36-69.658-28.5zm-56.375 50c24.466-.44 42.61 5.846 50.437 19.438 8.373 14.54 3.594 35.145-11.22 57.937-3.086-9.146-7.093-18.13-12.092-26.813-11.72-20.35-27.54-36.846-45.782-49.093 6.543-.87 12.788-1.364 18.658-1.47zM111.75 269.905c1.397 22.12 7.76 44.257 19.563 64.75 5.088 8.838 10.948 16.957 17.437 24.314-27.663 1.7-48.293-4.418-56.78-19.158-9.82-17.05-1.558-42.433 19.78-69.906zm291.22 27.658c-25.755 21.322-55.33 41.912-87.876 60.75-31.97 18.504-63.966 33.663-94.75 45.28 36.843 10.142 77.578 6.073 113.28-14.593 35.833-20.74 59.75-54.215 69.345-91.438z"}}]})(props);
};
function GiRingingAlarm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 41c-89.577 0-162 72.423-162 162s72.423 162 162 162 162-72.423 162-162S345.577 41 256 41zm151.883 9.932l-12.248 13.19c42.18 39.167 52.373 78.107 55.332 118.46l17.951-1.316c-3.13-42.694-15.447-88.002-61.035-130.334zm49.334.504l-13.16 12.279c16.636 17.828 28.995 43.23 32.785 64.402l17.719-3.172c-4.514-25.216-18.03-52.81-37.344-73.51zM256 158c27.401 0 50 22.599 50 50s-22.599 50-50 50-50-22.599-50-50 22.599-50 50-50zm0 36c-7.945 0-14 6.055-14 14s6.055 14 14 14 14-6.055 14-14-6.055-14-14-14zM61.19 219.252l-17.952 1.316c3.13 42.694 15.447 88.004 61.035 130.336l12.248-13.191c-42.18-39.168-52.373-78.108-55.332-118.461zm396.197 43.543c-13.7 0-25 11.3-25 25 0 12.561 9.5 23.097 21.638 24.764 7.8 43.445-6.374 94.946-45.025 131.992v23.86c52.635-41.742 72.756-105.706 62.557-160.083 6.52-4.534 10.83-12.074 10.83-20.533 0-13.7-11.3-25-25-25zM35.314 273.719l-17.716 3.172c4.513 25.216 18.027 52.81 37.341 73.51l13.16-12.282c-16.636-17.828-28.995-43.228-32.785-64.4zM137 337.965V407h238v-69.035C343.26 365.979 301.595 383 256 383s-87.26-17.021-119-45.035zM121 425v68h270v-68H121z"}}]})(props);
};
function GiRingingBell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.125 26.188c-17.377-.003-31.66 14.28-31.656 31.656 0 7.617 2.733 14.64 7.28 20.125-10.79 3.876-19.043 10.963-26.906 22.06-13.057 18.43-23.687 49.03-35.406 92.782-10.257 38.29-24.345 57.012-34.657 70.563-10.31 13.55-16.252 20.325-16.25 42.688.002 3.5 1.975 7.314 8.44 12.03 6.463 4.717 16.877 9.383 29.905 13.188 26.055 7.612 62.442 11.962 100.25 11.97 19.384.004 38.368-1.15 55.78-3.28v.124c12.13-1.043 33.332-3.898 51.345-10.28 5.795-2.055 11.28-4.422 16.125-7.533 2.612-1.376 4.947-2.747 6.875-4.155 6.458-4.714 8.438-8.523 8.438-12.03-.004-22.363-5.935-29.135-16.25-42.69-10.316-13.553-24.42-32.27-34.688-70.56-11.732-43.757-22.343-74.35-35.406-92.782-8.225-11.607-16.895-18.836-28.438-22.594 4.31-5.41 6.908-12.24 6.906-19.626-.002-17.377-14.31-31.654-31.687-31.657zm0 18.687c7.278 0 13 5.694 13 12.97 0 7.272-5.722 12.97-13 12.968-7.278-.002-12.968-5.696-12.97-12.97 0-7.273 5.693-12.97 12.97-12.968zm9.22 43.22c34.616 10.188 49.56 64.686 58.124 101.56 14.99 64.56 45.652 82.98 53.03 111.25-.327.633-1.002 1.286-2.094 2.408-2.665 2.74-8.816 6.216-16.406 8.906-7.366 2.61-16 4.614-24.188 6.124-1.73-38.024-33.765-53.55-33.25-107.47.603-63.043-17.19-103.352-39.5-121.78 1.468-.233 2.886-.57 4.282-1zm-206.876 91.28C23.546 223.947 11.19 289.253 28.874 355.25c18.208 67.957 63.562 118.994 116.313 140.03-38.592-30.418-72.26-83.223-89.75-148.5-16.674-62.228-14.924-122.366 1.03-167.405zm399.436 0c15.955 45.04 17.705 105.177 1.03 167.406-17.49 65.277-51.157 118.082-89.748 148.5 52.75-21.036 98.135-72.073 116.343-140.03 17.686-65.997 5.298-131.303-27.624-175.875zM105.687 210.28c-29.71 34.43-42.433 83.74-29.343 132.595 13.478 50.306 50.845 87.082 95.5 101.156-32.19-21.55-59.46-60.02-72.406-108.342-12.344-46.066-8.896-91.175 6.25-125.407zm301.032 0c15.144 34.233 18.56 79.342 6.217 125.407-12.947 48.322-40.185 86.793-72.375 108.344 44.655-14.073 81.99-50.85 95.47-101.155 13.09-48.856.396-98.166-29.313-132.594zM146.53 348.25c1.218 12.736 11.944 22.686 25 22.688 9.422 0 17.642-5.173 21.94-12.844-15.986-2.11-30.823-5.08-43.814-8.875-1.06-.31-2.09-.65-3.125-.97z"}}]})(props);
};
function GiRingmaster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.3 21.12c-6.1 0-31.1 2.84-31.1 9.33.1 19.44 4.1 33.14 8.9 50.7h-30.8l8 18.42c35.2 1.93 54.5 2.43 90 .1l8-18.52h-31c5.9-16.71 7.6-35.72 8.6-50.89.4-6.89-24.5-9.14-30.6-9.14zm-26.9 97.68c-.9 4.2-1.5 8.8-1.5 13.5 0 12.4 3.8 23.6 9.3 31.1 5.5 7.6 12.3 11.4 19.4 11.4 7.1 0 13.9-3.8 19.4-11.4 5.5-7.5 9.3-18.7 9.3-31.1 0-4.7-.5-9.1-1.5-13.3-18.2.5-36.3.4-54.4-.2zm176.1 2c-4 7.4-5.8 15.7-3 22.1l19.4 29.4c15.6.2 43.3-9.3 45.9-25.6 0-10.7-12.4-16.7-19.8-20.1l-24.3 11.9zm-10.6 43.3c-19.2 13-36.2 20.6-76.6 25.3v.2c1.6 7.4 2.6 15.6 3 24.4 34-10.9 59-21.6 83.3-35.2zm-184.1 17.4c-4.5.5-8.7 1.1-12.8 2.3 6.4 30.4 25.5 63.1 53.3 87.5v-20.7c-27-19-33-43.3-40.5-69.1zm18.6 0c6.6 22.7 11 38.5 30.3 52.8 14.3-13.7 17.3-31.6 22.7-51.5-7.2 6.1-16.1 10-25.8 10-10.3 0-19.7-4.4-27.2-11.3zm69.9 7.8c-5 19.8-9.4 43.2-30 60.8v21.8c8.4-8.1 14.5-14 19.2-19.9 5.9-7.4 10.1-15 14.9-29-2-11 1-24.1-4.1-33.7zm-111.9 22c-3.9 38.6-6.8 72-6.7 98.6 4.7-4.3 10.6-7.3 17.2-8.1.9-19.6 2.8-39.3 5.5-59.1-6.5-10.1-11.9-20.7-16-31.4zm31.5 52.5c-1.5 13.9-2.6 27.7-3.1 41.4 8.3 4.5 14.5 12.8 16.8 22.6 5-12.5 7.8-25.4 11.6-38.8-9.2-7.7-17.7-16.1-25.3-25.2zm82.8.4c-7.2 8.8-15.7 16.3-27.5 28 4.3 14.9 11.1 28.6 19.6 41.7 5-25 6.5-47.1 7.9-69.7zM34.63 295l-2.48 17.8 126.95 17.6c-.4-5.8-.6-11.9-.7-18.2zm162.87 24.6c-7.3 0-14 6.7-14 16.4s6.7 16.4 14 16.4 14-6.7 14-16.4-6.7-16.4-14-16.4zm67.8 8.1v87.2h22v-53.2c-8.1-10.7-15.7-22-22-34zm-18 1.6c-4.9 13.4-11.8 27.1-23.6 40.4v45.2h23.6zm-53.9 42.8l.4 34.1c4.3 3.4 8.2 5.6 11.9 7.1v-33.6zm30.3 60.8v37.2c-6.9.7-13.8 1.6-20.8 2.8l-8 18h52.4v-58zm41.6 0v58h69.6l-10-18c-12.5-1.1-25-2.2-37.6-3v-37z"}}]})(props);
};
function GiRiotShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M147.72 22l-12 186.063L136 206l20.47 19.28 60.06 4.22-62.718 17.53-19.687-14.186L119.28 462.72c34.19 37.568 246.03 46.008 292.783 1l10.093-156.345-.5.656-106.28 28.72 108.655-58.594 15.314-237.312c-.416.048-.834.077-1.25.125l-17.844-12C342.784 48 262.702 41.085 162.062 26.5c-4.812-1.425-9.597-2.91-14.343-4.5zm35.155 65.875l10.03 1.53c71.27 10.928 142.92 12.908 215.44 1.69l11.56-1.814-.81 11.69-6.158 87.874-.468 6.72-6.533 1.686c-75.586 19.37-150.226 19.046-223.187-1.75l-7.28-2.094.53-7.562 6.156-87.875.72-10.095zm17.25 21.375l-4.938 70.094c16.562 4.392 33.175 7.695 49.875 9.906l-44.28-79.906c-.22-.03-.438-.063-.657-.094zm199.5 1.844c-22.016 2.998-43.938 4.807-65.78 5.594l38.092 68.812c7.586-1.416 15.19-3.038 22.813-4.875l4.875-69.53zM223.75 112.25l43.938 79.313c8.84.65 17.708 1.015 26.593 1.062l-43.092-77.75c-9.162-.715-18.305-1.594-27.438-2.625zm-11.344 181.656c5.072 11.86 14.753 13.32 25.125 13.25-8.644 17.158.01 19.542 13.095 31.25-22.473-5.502-36.892.28-49.438 22.156-.343-18.092-6.846-35.864-33.5-45.812 22.11 1.196 42.39-3.123 44.72-20.844zm70.375 48.53c6.363 16.677 20.84 19.917 36.94 10.94-8.647 17.155-9.585 30.1 3.5 41.812-22.474-5.502-32.294-7.15-40.783 8.937-.343-18.094-14.782-24.426-34.312-29.03 19.98-4.563 33.006-12.248 34.656-32.658zm88.47 70.283c.344 18.093.94 25.36 19.25 32.28-16.95-1.495-29.377 4.88-34.063 19.47-5.073-11.863-14.75-13.32-25.125-13.25 2.8-8.81 4.74-19.01-3.218-30.22 17.49 3.448 31.427.68 43.156-8.28z"}}]})(props);
};
function GiRiver (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M357.676 20.387c-2.612.01-5.23.105-7.856.29-63.314 4.438-131.13 58.006-142.117 130.253L494 162.992V89.656c-8.09-7.792-16.415-15.25-24.953-22.177-34.59-28.067-72.195-47.234-111.37-47.093zM125.55 40.812C89.363 40.94 51.743 55.725 18 86.825v81.3l172.107-18.815-.363-.054c3.872-26.688 14.327-50.957 29.162-71.742-26.973-24.13-59.536-36.82-93.357-36.7zm110.263 129.514c-24.49-.258-109.87 12.136-109.602 27.078.46 25.55 104.433 51.553 94.726 53.018C122.553 265.27 67.968 265.427 35.34 295.2c-38.914 35.507 214.983 80.92 184.422 89.687-57.204 16.412-107.82 36.256-109.002 88.414-.17 7.52.8 14.385 2.705 20.7h54.945c-15.423-20.635-24.05-40.664-14.6-45.912 10.413 15.107 22.492 31.126 36.174 45.912h64.286c-19.474-9.912-51.732-29.408-50.594-49.424 1.6-28.17 66.37-47.758 69.883-47.758 0 0-48.786 26.384-49.867 49.866-.767 16.68 22.317 36.985 35.69 47.316h51.976c-16.454-12.325-26.478-24.92-20.426-31.885 15.54 11.066 33.115 22.438 51.826 31.885h106.717c-56.74-15.988-102.683-32.67-115.225-53.127-10.196-16.63 72.362-27.836 60.408-78.902-5.79-24.738-58.24-41.094-203.222-62.626-25.368-3.768 134.358-19.456 129.818-57.11-2.65-21.98-103.288-26.85-114.58-36.933-4.746-4.237 5.863-29.56 29.137-34.974zM91.425 308.056c33.376-.145 84.385 22.424 122.8 36.747l-1.79 11.67c-28.404-10.606-103.905-37.464-127.442-48.077 2.06-.22 4.207-.332 6.432-.34zm270.234 53.803c.103-.006.1.077-.015.253 3.9 12.183-21.487 44.05-61.807 42.842 14.153-7.15 59.732-43.004 61.822-43.096z"}}]})(props);
};
function GiRoad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M168.4 29.55L24.38 477.6l15.24 4.8L183.6 34.45l-15.2-4.9zm175.2 0l-15.2 4.9 144 447.95 15.2-4.8-144-448.05zM248 32l-.8 20h17.6l-.8-20h-16zm-1.4 36l-.8 20h20.4l-.8-20h-18.8zm-1.5 36l-1.3 32h24.4l-1.3-32h-21.8zm-1.9 48l-2 48h29.6l-2-48h-25.6zm-2.8 68l-2.4 60h36l-2.4-60h-31.2zm-3.3 84l-2.9 72h43.6l-2.9-72h-37.8zm-4 100l-3.1 76h52l-3.1-76h-45.8z"}}]})(props);
};
function GiRoastChicken (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M202.53 22.063c-14.444-.148-26.79 7.923-37.03 21.343-56.29-1.126-97.6 65.597-97.156 161.22l63.156-59.907c-2.308 17.56-3.47 35.46-3.47 52.593 0 4.755.11 9.49.345 14.156-22.385 1.342-38.15 22.47-38.53 56.78-.523 47.068 28.09 101.12 63.905 120.72 8.09 4.427 15.85 6.71 23.03 7.06 2.023 25.098 5.245 57.273-4.06 77.25-11.23 24.11 27.313 26.95 31.436 4.158 12.777 21.508 45.44 1.61 27.5-15.657-15.42-14.84-24.725-47.46-32.78-71.967 5.65-3.972 10.35-9.736 13.843-17.125 11.793 5.728 24.353 8.843 37.405 8.843 13.042 0 25.62-3.092 37.406-8.81 3.492 7.376 8.2 13.126 13.845 17.092-8.056 24.51-17.36 57.128-32.78 71.97-17.942 17.265 14.722 37.164 27.5 15.656 4.122 22.79 42.665 19.95 31.436-4.157-9.305-19.977-6.083-52.152-4.06-77.25 7.18-.35 14.94-2.633 23.03-7.06 35.815-19.6 64.428-73.652 63.906-120.72-.38-34.326-16.13-55.456-38.53-56.78.234-4.666.343-9.402.343-14.157 0-17.132-1.158-35.036-3.47-52.594l63.156 59.905c.443-95.64-40.88-162.37-97.187-161.22-20.115-26.323-48.325-31.894-84.595 4.376-17.822-17.82-33.678-25.575-47.594-25.718z"}}]})(props);
};
function GiRobberHand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M296.472 22.826c-21.29.147-43.872 3.363-56.926 12.576L168.93 73.304l-39.355 53.457c-8.281 12.78-2.372 37.51 23.49 21.659l28.312-37.344c35.972-31.06 109.391-16.746 74.575 45.506-17.101 36.058-9.058 53.676 12.917 61.06l10.06-33.728c17.399-39.156 49.806-46.182 48.47-77.735 0 0 177.104 129.212 66.836 282.278-58.331 79.654-206.993 83.446-274.873 45.9C47.345 394.525 4.758 300.521 45.81 219.667c12.662-30.787 14.92-39.57-9.818-.42-45.683 81.518 16.354 220.248 86.937 250.776 99.658 43.104 265.63 8.011 311.414-51.113 21.881-28.258 47.416-72.584 54.906-123.082 7.635-51.472-3.544-97.003-24.162-140.225C428.352 78.594 348.128 29.886 348.128 29.886c-5.057-3.452-27.527-7.227-51.656-7.06zm-69.674 88.314c-12.66-.197-25.06 5.02-34.101 12.64l-28.387 37.331c7.763 6.19 15.544 2.885 23.348-4.617 9.183 4.637 16.248-2.57 22.084-16.946 2.404-9.814 5.97-16.759 17.056-28.408zm-96.586 61.522c-1.627-.013-3.2.353-4.728 1.095-3.06 1.538-6.497 5.054-9.617 11.633 14.028 9.52 29.958 20.009 42.595 35.022.94-.54 1.935-1.001 2.918-1.397.103-.022.203-.041.264-.084-2.515-16.675-10.719-32.75-19.736-40.658-4.265-3.722-8.115-5.583-11.696-5.611zm56.479 7.55c-4.934 8.328-10.222 16.926-13.367 26.669a58.653 58.653 0 0 0-2.245 9.994c.25-.02.504-.065.748-.02 3.085 0 6.247.702 9.184 2.203.312-3.102 1.038-6.077 1.936-9.056 2.664-8.2 7.47-16.237 12.488-24.588zm-88.662 7.327c-2.07-.031-4.276.531-6.692 1.623-.35.145-.682.313-.957.523-5.287 2.6-10.763 7.867-14.447 13.635-3.704 5.829-5.454 12.098-4.83 16.111.625 4.083 2.396 6.685 9.787 7.938 19.068 3.307 38.66 5.994 58.041 12.238 2.042-3.539 4.664-6.934 7.658-10.016 1.067-1.162 2.252-2.243 3.46-3.351-13.14-15.198-30.62-25.94-46.155-36.766-1.865-1.28-3.796-1.904-5.865-1.935zm122.14 18.197c-7.043-.06-13.582 1.395-19.59 4.018-5.913 2.682-11.24 6.533-16.07 11.466.354.317.723.587 1.08.922 1.998 1.749 3.789 3.993 5.328 6.64 8.933-9.873 19.548-14.033 33.21-12.68l.997-10.077a50.667 50.667 0 0 0-4.955-.289zm-48.385 21.256c-2.267.019-4.914.746-7.662 2.035-.373.21-.77.397-1.16.629-3.12 1.707-6.291 4.104-9.08 6.935-5.54 5.742-9.08 13.196-9.139 17.592 0 2.226.476 3.372 1.745 4.477.731.744 2.19 1.456 4.312 1.935 2.125-4.418 4.725-8.328 7.83-11.58 6.807-6.992 14.281-12.155 22.213-15.736.206-.125.48-.21.69-.336-.88-1.372-1.79-2.452-2.711-3.244-2.203-1.981-4.413-2.688-7.037-2.707zm40.344 9.674c-9.429.002-18.49 1.764-27.02 5.666-6.788 3.126-13.221 7.664-19.13 13.806-6.286 6.45-10.956 19.3-12.64 34.897-1.646 15.651-.557 33.887 3.333 51.107 3.87 17.155 12.802 31.705 19.239 44.512 48.312 96.12 209.412 11.679 146.525-76.113-10.5-14.66-22.464-33.69-40.617-47.389-18.216-13.574-39.686-23.569-60.145-25.916a82.067 82.067 0 0 0-9.545-.57zm-132.818.715c-.168 1.06-.336 2.12-.377 3.142-.522 6.412 1.06 11.64 3.539 14.531 2.454 2.831 5.577 4.162 11.68 2.461 12.969-3.542 29.08-5.895 40.826-7.332a9.24 9.24 0 0 0 .207-1.129c-18.07-5.741-36.83-8.362-55.875-11.673z"}}]})(props);
};
function GiRobberMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.03 16c-48.072 0-85.647 16.52-111.864 48.975C118.893 96.26 104 141.43 96.05 199.935c-6.468 2.238-11.218 6.843-13.38 11.16-2.98 5.95-2.856 11.635-2.856 11.635 0 15.21-.045 34.424 1.97 50.55 1.006 8.062 2.42 15.333 5.234 21.587 1.406 3.127 3.182 6.09 5.962 8.588 1.297 1.165 2.9 2.16 4.64 2.916 14.314 29.392 29.234 69.116 47.972 104.49 19.454 36.725 43.125 69.665 77.666 79.122 30.817 8.438 34.68 7.808 65.652-.67 34.38-9.414 58.007-42.174 77.46-78.742 18.735-35.22 33.685-74.805 48.007-104.2 1.743-.755 3.345-1.75 4.643-2.915 2.78-2.498 4.556-5.46 5.962-8.588 2.813-6.254 4.228-13.525 5.235-21.588 2.014-16.126 1.97-35.34 1.97-50.55 0 0 .124-5.674-2.84-11.62-2.15-4.312-6.885-8.916-13.33-11.163-7.94-58.497-22.69-103.664-47.9-134.963C341.967 32.52 304.377 16 256.03 16zm0 18c44.41 0 75.214 13.9 98.07 42.275 22.855 28.376 37.498 72.4 44.988 132.362l.984 7.884h7.948c4.575 0 4.39.962 5.216 2.62.827 1.66.95 3.59.95 3.59 0 15.21-.045 34.022-1.83 48.317-.893 7.147-2.327 13.185-3.79 16.437-.65 1.447-1.18 2.05-1.404 2.297h-4.738l-2.486 4.978c-15.576 31.173-30.828 72.33-49.46 107.36-18.635 35.028-40.537 62.773-66.32 69.83-31.265 8.56-25.44 9.082-56.148.673-25.933-7.1-47.874-35.002-66.512-70.186-18.638-35.185-33.853-76.488-49.435-107.676l-2.487-4.977h-4.738c-.224-.245-.754-.85-1.404-2.296-1.463-3.252-2.897-9.29-3.79-16.437-1.785-14.295-1.83-33.106-1.83-48.317 0 0 .123-1.92.952-3.576.828-1.654.658-2.633 5.277-2.633h7.947l.985-7.883c7.488-59.95 22.263-103.966 45.193-132.352C181.098 47.9 211.918 34 256.03 34zM153.603 206.018s-21.2 29.61-17.067 45c5.545 20.645 27.375 41.602 51.2 45 25.112 3.58 42.824-30 68.265-30 25.44 0 43.153 33.58 68.266 30 23.824-3.398 45.654-24.355 51.2-45 4.132-15.39-17.068-45-17.068-45-102.4 15-102.397 15-204.796 0zm61.832 135.836a17.584 17.584 0 0 0-4.274.466c-13.715 3.238-27.637 15.983-29.894 29.893C177.696 394.206 211.16 432 211.16 432c44.84-14.947 44.84-14.947 89.68 0 0 0 33.463-37.794 29.894-59.787-2.257-13.91-16.18-26.655-29.894-29.893-15.334-3.62-29.085 14.946-44.84 14.946-14.278 0-26.91-15.248-40.566-15.412z"}}]})(props);
};
function GiRobber (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M70.533 100.452c-22.862 27.542-36.27 64.923-37.766 96.702-.9 19.145 9.6 42.616 25.276 61.47 15.674 18.855 36.465 32.678 51.753 35.028 11.256.74 19.522-9.182 25.182-16.5 9.537-12.442 19.204-30.678 29.36-49.014 10.155-18.336 20.77-36.82 33.798-50.467 13.028-13.645 30.24-22.73 49.442-17.89 3.34 1.09 3.565 1.663 12.38 8.788 12.605 10.736 26.244 21.81 41.694 39.33l3.803 3.486 10.238-6.06c-20.92-23.726-38.623-51.403-57.006-76.168-27.153-36.58-54.84-65.76-94.205-69.893-36.138-3.317-74.585 18.428-93.95 41.19zm266.053-2.414c-3.507.063-7.26.632-11.217 1.733-7.08 1.97-14.577 5.722-21.718 11.09l60.545 12.47c-.844-8.415-4.142-15.068-9.524-19.503-4.425-3.646-10.055-5.63-16.6-5.785-.49-.01-.987-.013-1.487-.004zm12.787 33.34l-6.83 15.805 18.148 9.95zm-51.254 21.785c9.177 12.81 18.397 25.33 28.04 36.72 7.273-4.386 14.418-10.424 20.662-18a86.045 86.045 0 0 0 2.713-3.49zm-62.702 23.266c-8.527.283-15.98 4.993-24.262 13.67-29.706 32.65-56.175 92.534-24.877 134.35 11.81 14.805 71.805 33.64 129.122 34.264 38.29 26.563 62.975 62.86 93.86 94.36 18.564-26.89 34.903-54.124 70.025-78.467L459.423 361.2c-26.72 8.057-36.142 26.154-50.656 41.217-18.296-25.715-41.06-49.166-65.555-69.527-17.72-14.73-38.605-25.1-58.11-37.434 2.437-.69-6.538-19.77-7.556-21.99-29.352-7.035-49.364-22.817-62.138-39.367l14.25-11c13.5 17.492 35.288 33.754 73.69 35.933 19.65-2.818 29.578-6.955 35.335-11.704 5.626-4.64 8.615-10.964 12.895-20.618 1.095-6.312-.25-7.85-2.84-10.1-1.95-1.696-5.246-3.2-8.787-4.732l-39.023 23.104-4.886-6.094c-17.46-21.77-31.722-33.02-46.578-45.623-3.633-3.94-7.452-6.648-12.324-6.836a25 25 0 0 0-1.72 0zM109.8 312.53c-20.436 15.367-42.69 27.405-71.017 28.307l2.978 27.315 58.107-18.873c19.65 23.613 32.977 51.093 65.314 68.364 37.673-12.64 57.61-32.233 77.46-50.98-21.403-6.467-42.72-14.485-61.496-24.495l-14.232 34.423z"}}]})(props);
};
function GiRobe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.563 19.313c-8.59.207-18.054 4.34-28.22 12.906L153.75 137.874l77.625 36.75-35.25-31.906c49.398-102.846 72.005-100.992 117.78 0l-34.842 31.56 77.343-36.405-73.78-105.906c-9.694-9.432-18.4-12.867-27.063-12.657zm82.593 147.812L258.75 204.5l-4 1.875-3.97-1.875-76.56-36.25L69.343 291.094l18.75 14.125 66.03 15.06 28.94-118.217 17.217 8.156-69.53 283.905h92.906l15.594-265.47 15.594 7.376 17.75-8.374 15.656 266.47h92.906l-69.75-284.72 17.25-8.125 29.22 119.25 71.687-16.405L444 291.095l-105.844-123.97zM103.094 327.813c-1.266 3.364-1.97 7.008-1.97 10.812 0 16.984 13.767 30.75 30.75 30.75 3.754 0 7.363-.676 10.69-1.906l7.092-29.033-46.562-10.625zm306.812 0l-47.562 10.875 6.906 28.28c3.65 1.534 7.665 2.407 11.875 2.407 16.984 0 30.75-13.766 30.75-30.75 0-3.81-.706-7.448-1.97-10.813z"}}]})(props);
};
function GiRobinHoodHat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M479.748 54.52c-3.247.052-8.496 1.107-16.535 4.175-38.124 14.552-81.353 54.73-108.15 102.532-21.36 38.1-32.264 80.38-24.58 118.46 31.922-79.072 53.33-134.06 120.095-202.58l6.28-6.447 12.894 12.563-6.28 6.445c-66.477 68.224-85.57 120.75-118.79 202.922l28.898-19.266c1.446-2.054 31.707-45.064 61.922-92.43 15.47-24.255 30.696-49.33 41.455-69.707 5.38-10.188 9.64-19.23 12.207-26.132 2.57-6.9 2.526-12.237 2.838-11.098l-.023-.088-.023-.09c-3.218-12.73-6.556-17.57-8.64-18.665-.522-.274-1.272-.48-2.297-.56-.385-.03-.808-.043-1.272-.035zM285.166 171.604c-46.497 19.48-85.4 67.53-125.963 122.62-34.715 47.15-70.717 99.035-115.605 140.862 63.072-22.56 133.71-45.586 194.03-67.822 24.73-9.118 47.717-18.105 67.66-26.823l2.444-5.7c4.238-9.888 8.137-19.27 11.91-28.44-12.014-29.86-12.136-62.28-4.413-93.86-5.04-9.554-9.87-18.16-14.44-24.98-3.872-5.773-7.586-10.252-10.65-12.913-2.297-1.993-3.82-2.65-4.974-2.943zm-152.143 127.89c-19.718 7.986-37.81 17.73-51.03 29.512-25.002 22.282-40.403 59.83-51.815 94.012 38.65-35.812 71.293-80.407 102.845-123.524zm231.08 1.78l-27.107 18.072-4.492 2.994c-.93 2.232-1.88 4.5-2.836 6.775 16.537-8.255 29.662-16.335 37.842-23.234-1.15-1.5-2.284-3.044-3.406-4.607zm15.274 18.27c-11.21 9.74-27.214 18.788-46.977 28.292-24.655 11.857-55.104 23.987-88.548 36.316-50.326 18.552-107.424 37.533-161.155 56.235 37.62-3.482 83.504-10.964 128.188-22.75 39.996-10.55 79.145-24.41 110.832-41.276 28.665-15.255 50.853-33.042 62.726-52.057-1.72-1.505-3.407-3.1-5.066-4.76z"}}]})(props);
};
function GiRobotAntennas (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M81 21.499c-12.81 0-23 10.192-23 23.002 0 12.81 10.19 23 23 23s23.002-10.19 23.002-23S93.81 21.499 81 21.499zm350 0c-12.81 0-23.002 10.192-23.002 23.002 0 12.81 10.192 23 23.002 23 12.81 0 23-10.19 23-23s-10.19-23.002-23-23.002zM110.18 73.212a41.25 41.25 0 0 1-15.11 9.781l28.666 45.867 14.983-9.988zm291.64 0l-28.539 45.66 14.983 9.988 28.666-45.867a41.25 41.25 0 0 1-15.11-9.781zm-242.966 53.87l-36.143 24.095 6.652 19.955c9.215-12.422 23.339-21.987 39.614-28.912 1.172-.5 2.37-.973 3.568-1.448zm194.292 0l-13.69 13.69c1.197.475 2.395.949 3.567 1.448 16.275 6.925 30.399 16.49 39.614 28.912l6.652-19.955zM256 144.5c-29 0-58.021 4.939-79.977 14.281-21.898 9.319-35.908 22.38-39.164 38.364L106.28 426.5h299.442l-30.58-229.355c-3.256-15.984-17.266-29.045-39.164-38.364C314.02 149.44 285 144.501 256 144.501zm-64 58c31.373 0 57 25.627 57 57s-25.627 57-57 57-57-25.627-57-57 25.627-57 57-57zm128 0c31.373 0 57 25.627 57 57s-25.627 57-57 57-57-25.627-57-57 25.627-57 57-57zm-128.549 16.023c-22.754 0-41.547 18.366-41.547 40.977 0 22.611 18.793 40.977 41.547 40.977 22.754 0 41.549-18.366 41.549-40.977 0-22.611-18.795-40.977-41.549-40.977zm128 0c-22.754 0-41.547 18.366-41.547 40.977 0 22.611 18.793 40.977 41.547 40.977 22.754 0 41.549-18.366 41.549-40.977 0-22.611-18.795-40.977-41.549-40.977zm-128 17.998c13.198 0 23.549 10.269 23.549 22.979 0 12.71-10.35 22.978-23.549 22.978-13.198 0-23.549-10.268-23.549-22.978s10.351-22.979 23.55-22.979zm128 0c13.198 0 23.549 10.269 23.549 22.979 0 12.71-10.35 22.978-23.549 22.978-13.198 0-23.549-10.268-23.549-22.978s10.351-22.979 23.55-22.979zM208 330.501h96v18h-96zm-16 32h128v18H192zm-16 32h160v18H176zm-103 50v46h46v-46zm64 0v46h46v-46zm64 0v46h46v-46zm64 0v46h46v-46zm64 0v46h46v-46zm64 0v46h46v-46z"}}]})(props);
};
function GiRobotGolem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.688 18.406c-29.86 0-54.44 21.716-58.875 50.282H315.53c-4.428-28.566-28.983-50.282-58.842-50.282zm-104.313 9.282L81.75 99.094c26.37 25.22 50.43 39.66 69.438 45.53 20.595 6.364 34.156 3.076 41.53-4.468 2.482-2.538 4.475-5.84 5.813-9.875-12.5-13.88-20.124-32.236-20.124-52.31 0-5.28.527-10.45 1.53-15.44-7.117-10.973-16.213-22.668-27.56-34.843zm208.594 0c-11.35 12.174-20.452 23.87-27.564 34.843 1.004 4.99 1.53 10.16 1.53 15.44.002 20.074-7.63 38.43-20.123 52.31 1.334 4.036 3.33 7.338 5.812 9.876 7.374 7.544 20.935 10.832 41.53 4.47 19.01-5.873 43.068-20.313 69.44-45.532l-70.626-71.406zM197.843 87.374c4.008 25.464 24.02 45.487 49.5 49.47v-49.47h-49.5zm68.187 0v49.47c25.476-3.983 45.466-24.006 49.47-49.47h-49.47zm-52.655 55.72c-1.93 3.73-4.352 7.127-7.28 10.124-7.01 7.17-16.34 11.444-27.157 12.843 17.245 30.84 47.478 45.278 77.718 45.187 30.135-.09 60.314-14.62 77.594-45.188-10.75-1.42-20.024-5.706-27-12.843-2.926-2.994-5.323-6.4-7.25-10.126-12.413 8.293-27.313 13.156-43.313 13.156-16 0-30.893-4.863-43.312-13.156zm-105.72.905c-11.884 8.09-22.142 17.595-30.03 28.47 5.18 1.992 10.066 5.204 14.47 9.374.287.273.557.562.843.844 7.992-10.844 19.192-20.188 33-28.188-5.933-2.94-12.04-6.43-18.282-10.5zm297.814.156c-6.274 4.077-12.418 7.563-18.376 10.5 13.946 8.04 25.26 17.42 33.312 28.28.26-.258.518-.527.78-.78 4.39-4.208 9.27-7.476 14.44-9.53-7.928-10.863-18.222-20.373-30.157-28.47zM65.405 188.844c-4.14.03-8.71 1.797-13.937 6.812-5.23 5.016-10.76 13.247-15.595 24.78-9.03 21.54-15.567 54.52-16.406 98.19h91.75c-.836-44.038-7.38-77.138-16.407-98.626-4.833-11.502-10.363-19.67-15.563-24.594-5.2-4.924-9.704-6.592-13.844-6.562zm382.656 0c-4.14.03-8.71 1.797-13.937 6.812-5.228 5.016-10.758 13.247-15.594 24.78-9.03 21.54-15.566 54.52-16.405 98.19h91.75c-.835-44.038-7.38-77.138-16.406-98.626-4.833-11.502-10.364-19.67-15.564-24.594-5.2-4.924-9.703-6.592-13.844-6.562zm-164.5 37.53c-8.798 2.334-17.828 3.536-26.875 3.564-9.09.027-18.16-1.13-27-3.438-5.288 5.608-8.437 12.862-8.437 20.656 0 17.25 15.35 31.844 35.438 31.844 20.087 0 35.437-14.593 35.437-31.844 0-7.854-3.2-15.155-8.563-20.78zm-76 41.94c-20.808 10.54-39.378 28.066-52.937 52.248 5.276 2.285 10.287 5.71 15 10.188 12.49-23.23 29.974-38.884 49.25-47.5-4.683-4.264-8.518-9.31-11.313-14.938zm98.157.248c-2.83 5.618-6.727 10.63-11.44 14.875 19.213 8.67 36.67 24.287 49.19 47.282.062-.06.123-.13.186-.19 4.588-4.308 9.586-7.692 14.844-9.967-13.558-23.972-32.056-41.42-52.78-52zm-166.595 67.375c-5.454-.038-11.282 2.203-17.688 8.22-6.405 6.016-13.017 15.817-18.812 29.5-7.377 17.416-13.346 41.16-16.72 70.937 8.495-4.2 17.876-6.245 27.19-6.22 14.79.043 29.66 5.315 40.968 16.032 9.487 8.993 16.182 21.848 18.093 37.563h23.25c-.856-52.36-8.71-91.89-19.656-117.783-11.6-27.438-25.718-38.173-36.625-38.25zm234.97 0c-5.455-.038-11.252 2.203-17.658 8.22-6.405 6.016-13.048 15.817-18.843 29.5-10.943 25.835-18.774 65.513-19.625 118.312h23.217c1.898-15.826 8.58-28.72 18.094-37.72 11.325-10.712 26.243-15.917 41.033-15.875 9.298.026 18.658 2.098 27.125 6.313-3.368-29.494-9.328-53.09-16.688-70.5-11.6-27.44-25.75-38.174-36.656-38.25zm-336.126 1.375c-1.03 3.895-1.02 8.08.186 12.22 3.82 13.102 19.167 21.597 34.532 17.812 15.24-3.754 23.346-17.03 19.75-30.03l-54.47-.002zm382.655 0c-1.028 3.895-1.02 8.08.188 12.22 3.818 13.102 19.166 21.597 34.53 17.812 15.24-3.754 23.347-17.03 19.75-30.03l-54.468-.002zM113.03 457.063c-10.365-.03-20.612 3.615-28.155 10.75-5.935 5.615-10.374 13.43-12.03 24.157h80.436c-1.664-10.603-6.128-18.377-12.06-24-7.56-7.167-17.823-10.878-28.19-10.908zm287.22 0c-10.366-.03-20.582 3.615-28.125 10.75-5.935 5.615-10.405 13.43-12.063 24.157H440.5c-1.665-10.603-6.13-18.377-12.063-24-7.56-7.167-17.82-10.878-28.187-10.908z"}}]})(props);
};
function GiRobotGrab (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M301.4 51.96c-46.6.1-85.3 18.16-105.2 50.84-13.2 21.8-16.8 49.4-9.2 78 2 7.6 4.8 15.3 8.4 23.1 1.1-1.3 2.3-2.6 3.6-3.9 7.8-7.8 16.8-13.6 26.4-17.5-1.5-3.8-2.7-7.4-3.6-10.9-5.5-20.7-2.7-37 5.2-50.1 15.9-26.16 57.6-42.41 114.7-28.49l8.6-34.98c-16.9-4.11-33.3-6.09-48.9-6.07zM454 161.7l-35 8.6c13.9 57.1-2.3 98.8-28.5 114.7-13.1 7.9-29.4 10.7-50.1 5.2-3.5-.9-7.1-2.1-10.7-3.5-3.9 9.6-9.8 18.6-17.6 26.4-1.3 1.3-2.5 2.5-3.9 3.6 7.8 3.5 15.4 6.3 23 8.3 28.6 7.6 56.2 4 78-9.2 43.6-26.5 61.3-86.6 44.8-154.1zm-198.4 32.8c-15.9 0-31.8 6-43.9 18.2-24.3 24.3-24.2 63.4 0 87.7 24.3 24.2 63.4 24.2 87.7 0 24.3-24.3 24.2-63.4 0-87.7-12.1-12.2-28-18.2-43.8-18.2zm0 21.1c10.5 0 21 4 28.9 11.9 16 15.9 16 42.1.1 58-16 16-42.1 15.9-58 0-15.9-15.9-16-42 0-58 7.9-8 18.5-11.9 29-11.9zm0 17.9c-5.9 0-11.7 2.3-16.3 6.8-9.1 9-9.1 23.4 0 32.5 9 9 23.5 9 32.5 0 9.1-9.1 9.1-23.5 0-32.5-4.5-4.5-10.3-6.8-16.2-6.8zm-80 25.1l-54.5 54.5 43.7 43.7 34.2 34.1 54.4-54.5c-19.8-.5-39.4-8.3-54.4-23.3-15.1-15.1-22.9-34.7-23.4-54.5zM63.41 313.2l8.11 40.6 86.68 86.7 40.6 8.1-8.1-40.6-86.7-86.6zM18.1 358.5l8.13 40.7 86.57 86.6 40.7 8.1-8.1-40.6-86.59-86.7zm-.1 57.9v64.8l32.45-32.4zm45.2 45.2L30.8 494h64.78z"}}]})(props);
};
function GiRobotHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 19c-13.8 0-27.9 3.02-41.5 8.48L256 79.44l41.5-51.96C283.9 22.02 269.8 19 256 19zm-59.4 16.96c-18.5 10.27-35.9 24.69-50.9 41.74-10.8 12.21-20.2 25.7-24.8 32.4l-64.8 87.1 59.1 83L95.9 348l71.6 64.2-6.9-27.3 36.1-108.2-40.7 27.1-75.98-106.3 42.28-56.3 97.4 48.7h72.7l97.4-48.7 42.3 56.3-76 106.3-40.8-27.2 1 3.2 35.2 105.1-6.9 27.3 71.5-64.2-19.4-67.8 59.2-83-64.8-87.1c-4.6-6.7-14-20.19-24.8-32.4-15-17.05-32.4-31.47-50.9-41.74L256 110.2zm15.1 256.44l-5 15h98.6l-5-15zm-11.5 34.2l-16.3 49.1h144.2l-16.4-49.1zm-17.3 68.3l12.3 49.2h121.6l12.2-49.2zm33.6 68.4L256 493l39.5-29.7z"}}]})(props);
};
function GiRobotLeg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48.777 18c14.338 21.4 28.393 41.21 43.31 59.88 9.43-3.02 23.357-9.846 34.84-16.214 4.543-2.52 8.5-4.83 12.04-6.932A4205.892 4205.892 0 0 1 108.567 18h-59.79zm83.067 0a3914.434 3914.434 0 0 0 35.148 42.068c2.9 3.42 5.828 6.856 8.772 10.297 21.42-7.908 40.938-10.88 58.87-10.365 18.856.54 35.965 4.92 51.712 11.432 21.582 8.923 40.79 21.448 59.658 33.252-17.115-28.09-44.02-56.258-72.565-78.752A378.736 378.736 0 0 0 263.007 18H131.844zm18.873 50.688c-4.132 2.48-9.22 5.478-15.06 8.718-9.796 5.433-20.91 11.266-31.343 15.285a538.21 538.21 0 0 0 8.39 9.603c18.69-5.91 32.562-14.24 46.958-23.066-2.142-2.51-4.282-5.02-6.398-7.516-.867-1.022-1.685-2.004-2.547-3.022zm78.662 9.025c-12.522.162-26.026 2.374-40.99 7.3 14.893 17.17 29.87 33.99 43.715 48.772 18.88 20.16 36.01 36.673 46.74 44.6l25.796-17.8 46.137-31.833c-24.45-14.413-46.998-30.635-71.308-40.686-15.593-6.446-31.792-10.59-50.09-10.353zm-57.833 15.353c-13.41 8.25-27.365 16.918-45.416 23.63 30.06 31.05 65.594 59.703 113.327 88.865h.002l23.437-16.17.37-.257c-12.343-9.915-27.42-25.02-44.298-43.043-15.086-16.106-31.372-34.45-47.423-53.024zm192.228 48.586L263.188 211.06l113.714 18.7 8.803-36.95-21.93-51.158zm-113.037 85.6c-21.333 16.328-34.155 35.29-42.85 54.92-9.642 21.763-14.662 44.156-22.023 65.89a43.193 43.193 0 0 1 14.076-2.353c1.88 0 3.73.13 5.552.364 6.406-20.05 11.156-39.236 18.854-56.61 7.806-17.623 18.318-33.53 37.023-47.77 9.058 18.714 28.062 31.776 50.052 32.273a9007.202 9007.202 0 0 1-33.99 31.404c-19.57 17.98-39.355 35.957-54.602 49.374a920.77 920.77 0 0 1-12.72 11.012c-3.027-1.306-6.462-2.047-10.17-2.047-13.22 0-23 9.427-23 20.29s9.78 20.29 23 20.29c13.222 0 23-9.427 23-20.29 0-1.692-.235-3.35-.686-4.943a955.908 955.908 0 0 0 12.467-10.8c15.435-13.584 35.27-31.606 54.89-49.628 39.238-36.045 77.593-72.07 77.593-72.07l-.174-.183-24.6-4.047c-7.136 8.377-17.768 13.67-29.715 13.67-16.517 0-30.525-10.11-36.24-24.516l-25.737-4.232zM165.64 404.93l-22.18 30.11-57.435 12.952L68.02 487h72.972c7.86-23.49 20.24-48.863 38.91-69.646-5.724-3.014-10.634-7.276-14.26-12.424zm58.803 9.716c-6.84 4.774-15.278 7.59-24.26 7.64-18.573 17.757-31.68 41.752-40.105 64.714h121.225c2.04-7.714 1.237-14.518-1.244-21.795-2.428-7.115-6.734-14.485-11.75-22.12-10.19-.55-20.095-1.218-29.464-2.126l-5.82-.565-8.583-25.75zm65.65 29.458c2.73 4.855 5.17 9.914 7.003 15.292 2.885 8.463 4.092 17.844 2.498 27.604h107.12v-32.127c-14.087-3.435-30.96-5.867-49.138-7.326-21.59-1.733-44.84-2.498-67.482-3.443zm134.622 19.79V487h38.508l-38.508-23.105z"}}]})(props);
};
function GiRockGolem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M227.7 25l-57.9 57.96L183.4 151h145.2l13.6-68.04-32.8-32.84L282.5 64l16.3-24.53L284.3 25h-56.6zM195 88.44L240 111l-4 17h-41V88.44zm122 0V128h-41l-4-17 32-16.05 13-6.51zM154 109.1l-22 11 10.6 17.1-24.1-10.4L73 149.6v16l91.8-13.1-10.8-43.4zm204 0l-10.8 43.4 91.8 13.1v-16l-81-40.5zm-152.4 60.1l-63.3 4.7-6.6 1-9.2 62.3 50.2 25.1 44.5-14.8 5.6 17-51.5 17.2-44.4-22.2 20.4 84.5 95.7 13.6V196.8l-41.4-27.6zm100.8 0L265 196.8v160.8l95.7-13.6 20.4-84.5-23.8 11.9-19.6 38.6-18.8-34.2-33.7-11.3 5.6-17 44.5 14.8 50.2-25.1-9.2-62.3-6.6-1-63.3-4.7zm-189.6 8.4l-61.32 8.7-30.04 40.1 3.64 25.5 25.38 10.4L33.09 280l6.47 45.3L103 312.7v-57.4l13.8-77.7zm278.4 0l13.8 77.6v57.4l52 10.4 13.7-13.7 11.9-82.9-30.1-40.1-28-4-4.2 17.9-9.9-19.9-19.2-2.7zM104.1 330.8L42.78 343l28 126 47.42-11.8-14.1-126.4zm303.8 0l-14.1 126.4 22.6 5.6 7.9-25.8 17.8 28.1L469.2 343l-61.3-12.2zm-256 31.4L138.1 487h80.3l37.6-75.1 37.6 75.1h30.8l11.6-23 11.5 23h26.4l-13.8-124.8L256 377.1l-41.9-6-6.1 34.4-15.3-37.5-40.8-5.8z"}}]})(props);
};
function GiRock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M291.28 113.14c-21.105-.197-46.504 4.78-76.186 15.538l-61.31 97.62a9 9 0 0 1-7.57 4.214l-105.65.613.278 118.38 94.486.743a9 9 0 0 1 8.53 6.354c7.957 25.855 26.634 40.548 49.097 49.65 18.63 7.55 39.57 10.712 57.074 11.95-.924-9.667-.874-20.846 1.69-31.51 1.845-7.666 5.07-15.214 10.843-21.23 4.665-4.864 11.064-8.425 18.566-9.9-2.417-8.75-1.9-17.564.358-25.414 3.358-11.673 9.468-22.114 14.11-31.853a9 9 0 0 1 .002-.025c.904-8.89.39-20.137 2.015-30.924.813-5.394 2.175-10.806 5.143-15.803 1.907-3.21 4.615-6.177 7.955-8.473l-11.76-29.533c-7.754 29.296-23.77 49.333-40.265 62.213-11.166 8.717-22.448 14.333-31.495 17.992-9.046 3.66-16.89 5.758-17.437 5.955l-6.104-16.933c3.808-1.373 8.865-2.503 16.79-5.71 7.927-3.205 17.69-8.092 27.167-15.49 18.955-14.8 37.084-39.063 38.16-83.08a9 9 0 0 1 17.36-3.11l26.15 65.67c13.382 6.284 22.786 6.51 31.265 3.968 7.728-2.317 15.188-7.56 23.012-13.512-3.2-26.703-10.97-53.765-21.06-81.12-12.893-20.23-30.257-31.92-54.5-35.87-5.236-.853-10.81-1.314-16.718-1.37zm128.425 34.286l-37.166 5.428c8.478 24.046 15.285 48.305 18.58 72.832 25.347 4.217 36.318-.862 54.722-5.698 5.58-20.544 7.754-38.29 3.863-49.715-2.1-6.165-5.503-10.796-11.75-14.734-6.097-3.844-15.258-6.83-28.25-8.114zm33.604 91.8c-15.195 4.203-30.293 8.315-55.456 4.157-9.19 7.16-19.212 14.996-32.14 18.87-12.515 3.753-27.416 3.04-44.187-4.792-1.482.74-2.348 1.687-3.293 3.276-1.194 2.01-2.206 5.216-2.82 9.29-.93 6.17-1.052 14.123-1.467 22.267 42.27 11.538 84.406 18.628 126.424 19.78 10.864-8.28 18.62-17.718 21.59-28.792 3.073-11.467 1.617-25.51-8.65-44.055zm-143.34 70.797c-4.47 9.197-9.032 17.62-11.183 25.1-2.734 9.505-2.687 16.425 5.14 25.7 30.633 19.38 65.708 25.593 102.438 30.464 12.98-8.606 24.286-17.244 29.422-26.133 5.3-9.17 6.31-18.654-3.71-35.334-40.81-1.786-81.518-8.768-122.106-19.797zm-19.943 62.38a9 9 0 0 1-2.386.44c-5.964.33-9.28 2.154-12.087 5.08-2.806 2.924-4.992 7.41-6.332 12.98-2.308 9.597-1.81 21.784-.493 31.19 29.334 14.184 59.095 25.29 93.064 26.41 19.342-4.057 26.193-10.234 30.187-17.71 3.1-5.802 4.263-13.514 5.814-22.45-35.73-4.915-72.027-11.895-104.85-33.11a9 9 0 0 1-1.852-1.592c-.364-.41-.716-.823-1.06-1.238z"}}]})(props);
};
function GiRocketFlight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M482.22 44.844l-50.533 46.25-21.937 57.22c-34.637 15.445-47.955 24.442-61.47 74.874l39.564-17.657-1.875 32.095 37.342 14.344 21.75-24.5 17.625 39.56c24.52-42.467 25.663-63.24 4.282-96.78l21.936-57.22-6.687-68.186zM389.093 263.22c-16.33 25.16-38.017 48.57-63.063 68.217-.022.018-.038.045-.06.063-37.302 23.693-83.27 29.138-118.095 15.688 16.236 15.056 37.635 20.705 59.156 19.156-49.41 14.874-102.32 9.118-139.624-14.28 14.142 19.334 34.493 31.22 56.97 36.592-58.93 3.328-117.894-19.792-162.44-84l.002 168.03c65.91 28.65 135.148 19.62 196.218-11.56l-16.97 35.78 88.126-85.03h-.093c2-1.796 3.973-3.6 5.936-5.438l-11.28 43.937 59.812-99.438c19.668-27.56 35.253-57.384 45.406-87.718z"}}]})(props);
};
function GiRocketThruster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M36.078 16L16 35.55v50.247L87.684 16H36.078zm121.83 0l-97.834 95.26c8.838-.48 17.72-.946 27.207-1.367L183.71 16H157.91zm107.768 0L217.72 62.693c11.73-7.19 24.684-14.537 37.987-21.455 17.973-9.346 36.334-17.656 52.807-23.023 2.466-.804 4.865-1.53 7.234-2.215h-50.072zm105.627 0l-4.29 3.432c56.944 23.005 97.62 63.682 120.628 120.627l8.16-10.2C475.674 75.84 440.51 38.356 388.93 16h-17.63zm55.894 0C455.86 34.214 478.884 58.318 496 88.027V63.582C484.442 45.14 469.57 29.234 451.488 16h-24.29zm52.176 0A192.31 192.31 0 0 1 496 33.447V16h-16.627zM341.316 30.266c-6.124-.108-15.98 1.4-27.226 5.064-14.994 4.886-32.696 12.84-50.078 21.88a519.558 519.558 0 0 0-18.948 10.384c27.085 5.188 54.39 17.866 79.737 35.3l69.516-49.654c-14.42-8.99-30.465-16.435-48.207-22.35-1.126-.374-2.752-.588-4.794-.624zm68.713 33.87l-69.99 49.995a317.653 317.653 0 0 1 28.007 24.895 317.684 317.684 0 0 1 24.902 28.002l49.988-69.986a181.614 181.614 0 0 0-32.91-32.905zm-193.41 18.08c-19.394.162-36.698 5.932-49.39 18.626a58.492 58.492 0 0 0-6.992 8.447c7.737.345 15.336.865 22.698 1.606 8.6-7.025 20.286-10.66 34.26-10.71 9.396-.034 19.82 1.55 31.025 4.802 29.88 8.675 64.076 29.196 94.372 59.492 30.296 30.297 50.82 64.496 59.494 94.374 8.674 29.877 5.474 54.205-8.582 68.26a40.523 40.523 0 0 1-7.076 5.63 234.492 234.492 0 0 1-5.32 22.106c9.518-3 18.04-7.923 25.124-15.006 20.31-20.31 22.893-52.42 13.14-86.01-9.36-32.248-30.12-66.993-60.245-98.2l-.09-.093-.057-.056a307.882 307.882 0 0 0-3.66-3.73h-.002a308.138 308.138 0 0 0-3.726-3.66l-.06-.06c-.034-.03-.067-.06-.1-.093-31.205-30.12-65.946-50.88-98.192-60.24-12.596-3.658-24.985-5.58-36.62-5.483zM453.83 112.76l-49.652 69.515c17.437 25.354 30.1 52.67 35.285 79.762a519.383 519.383 0 0 0 10.4-18.974c9.04-17.382 16.992-35.084 21.877-50.078 4.886-14.993 5.94-27.516 4.44-32.017-5.914-17.742-13.36-33.785-22.35-48.207zm-315.766 14.306c-24.424-.103-49.52 1.074-72.78 2.217 7.69 2.09 14.93 3.963 22.872 6.343 29.69 8.9 59.69 19.512 74.75 40.217l12.465 17.137-20.988-2.93c-45.902-6.41-74.37 5.044-101.47 15.693 33.77 7.288 58.506 15.248 87.683 36.73l13.96 10.278-16.44 5.504C78.56 278.195 47.45 315.047 16 357.834v22.143c9.58-5.07 19.283-10.596 29.057-15.934 27.153-14.832 55.85-28.346 85.502-19.572l7.84 2.32-1.56 8.028c-6.803 35.01-28.027 91.445-48.008 141.182h15.455c44.07-50.768 93.33-113.807 108.994-146.596l7.16-14.984 8.644 14.178c5.784 9.484 3.667 19.766.973 31.724-2.694 11.958-7.28 25.69-12.178 39.88-6.224 18.024-12.536 36.71-16.552 52.19 12.538-12.48 25.598-29.23 36.842-46.912 16.8-26.42 29.886-55.1 33.586-72.515l5.015-23.613 11.668 21.134c12.356 22.385 10.967 52.3 6.996 84.723-2.37 19.346-5.82 39.638-8.854 59.653 14.87-22.31 32.57-48.36 48.307-77.36 24.843-45.79 43.262-96.883 34.79-143.876-2.723-15.107-13.146-34.003-28.327-52.83-21.165 6.466-42.44 20.892-62.875 40.822 17.09-29.95 23.5-49.964 37.183-65.225-24.578 10.682-57.176 29.572-91.263 62.765 19.654-25.258 40.095-64.07 53.935-91.478-20.372 15.64-51.45 31.377-71.21 43.81 9.8-15.11 30.47-43.68 36.517-66.957-10.983-4.976-21.758-8.688-31.87-10.765l-.148-.032-.15-.035c-20.223-4.873-46.176-6.523-73.404-6.64zM31.73 138.86L16 154.177V179.3l35.928-34.984c-7.012-1.842-13.946-3.663-20.2-5.455zm82.047 25.04l-8.13 7.916a179.563 179.563 0 0 1 21.603-1.504c-4.143-2.217-8.685-4.355-13.473-6.412zM52.14 223.916L16 259.106v50.244l75.926-73.928C79.87 230.577 67.19 227.2 52.14 223.916zM496 287.72L346.97 432.83c-13.02 23.235-27.113 44.683-39.44 63.172h26.163L496 337.965V287.72zm-384.45 72.075c-3.92 0-7.91.426-11.972 1.203L16 442.378V467.5l97.834-95.258c1.202-4.276 2.285-8.36 3.193-12.162a51.858 51.858 0 0 0-5.476-.285zM496 368.81L365.373 496h25.8L496 393.934V368.81zm-295.277 45.924l-27.32 26.602c-14.17 18.31-29.498 36.993-44.624 54.664h14.282l44.74-43.56c3.907-12.385 8.606-25.225 12.92-37.706z"}}]})(props);
};
function GiRocket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.78 25.97c2.6 25.278 9.316 48.72 19.532 69.75l-21.218-6.564L73.53 146.72l-.843-1.782c16.737 17.29 36.797 31.38 59.438 41.593-13.546-18.845-21.597-41.677-22.03-69.28 27.78.35 50.396 8.56 69.25 22.063-.627-1.4-1.284-2.776-1.94-4.157l.72.625-34.438-86.655-2.53 33.844c-30.974-31.598-73.044-52.084-122.376-57zm236.814 31.593L217.22 160.875c-30.663 7.52-54.566 32.236-60.907 63.344l-.188-.22-106.563 39.563 74.313 74.312 93-8.03.375-.033 23.03-2.468-77.31-94.938 13.28-13.28 89.406 109.75 10.875 13.374-17.124 1.844-28.22 3.03c14.52 17.126 30.304 33.143 47.22 47.907 7.62-56.784 52.175-102.042 108.625-110.717-14.72-16.738-30.68-32.346-47.75-46.688l-2.78 26.125-1.844 17.125L321.28 270l-107.874-88.03 13.25-13.25 93.094 75.905 2.22-20.844 7.905-91.936-74.28-74.28zM401.53 301.625c-8.783.408-17.306 1.827-25.436 4.156l13.875 16.908c7.51-2.534 15.37-4.323 23.467-5.282-3.863-5.344-7.814-10.62-11.906-15.78zm-43.78 11.25c-7.323 3.61-14.204 7.994-20.5 13.063l15.75 17.28c5.92-4.876 12.318-9.16 19.125-12.812l-14.375-17.53zm68 22.438c-7.92.117-15.616 1.157-22.97 3.03l14.5 17.688c6.108-1.82 12.447-3.043 18.97-3.686-3.387-5.76-6.865-11.445-10.5-17.03zm-102.03 3.53c-6.713 7.584-12.4 16.116-16.845 25.344l17.313 14.125c4.28-7.958 9.44-15.37 15.375-22.093l-15.844-17.376zm60.467 6.282c-6.67 3.247-12.908 7.267-18.625 11.875l16.282 17.875c5.34-4.382 11.15-8.233 17.312-11.47l-14.97-18.28zm-32 24.938c-5.204 6.153-9.673 12.96-13.25 20.28l17.97 14.688c3.305-6.06 7.202-11.76 11.624-17l-16.342-17.967zm94.094.218v.22c-45.915 0-82.96 36.985-83.06 82.875 39.248 20.8 81.966 35.93 127.06 44.313-8.284-45.328-23.3-88.145-44-127.407zM299.94 382.626c-2.38 8.6-3.743 17.625-3.97 26.938 4.937 3.885 9.96 7.664 15.063 11.343.93-8.58 2.75-16.88 5.44-24.812l-16.533-13.47zm32.156 26.25c-2 7.785-3.073 15.96-3.094 24.375 5.28 3.43 10.632 6.727 16.063 9.938.72-6.992 2.156-13.776 4.218-20.282l-17.186-14.03z"}}]})(props);
};
function GiRockingChair (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M83.17 26.07c-11.25.51-21.18 2.68-32.21 4.71C63.09 96.45 76.78 159.4 100.2 219.5c88.3-13.2 182.1-25 259.8-34.1 2.2 8.5 10.4 14.6 22.2 14.6 13.6 0 26.4-8.3 24.7-18-2.6-14.5-17.9-19.1-29.4-17.7l-251.7 33.1C104.2 141.1 89.34 83.79 83.17 26.07zM362.9 202.9l-18.1 2.1 19.9 74.5c-61 14.2-123.1 24.6-187.1 29.5-13.8-25.5-26.5-51.3-37.8-77.4l-32.6 5c14.4 33.9 32.2 66.7 55 98.6 27.9 6.1 24 5 27.9 5.4 76.7-8.8 133-16.9 202.2-34.3-13.2-32.5-20.3-69.3-29.4-103.4zm37.4 119.9l-17.7 4.5 41.3 85c5.4-2.3 10.8-4.9 16.2-7.7zm-242 32.2l-15 76.7c5.6 1.9 11.3 3.7 17.2 5.4l15.7-80zM36.02 405.1l-8.42 16c139.9 73.9 290.2 98.2 456.8-.3l-9.2-15.4c-161.4 95.3-302.5 72-439.18-.3z"}}]})(props);
};
function GiRodOfAsclepius (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M287.7 18.92l-68.6 3.62 1.1 15.11.4-.1c5.8-1.24 11.3-1.89 16.4-2.05 15.4-.48 27.9 3.45 38.2 9 3.9 2.13 7.5 4.43 11 6.76zm-47.8 34.39c-.7 0-1.5 0-2.2.1-3.9.17-8.1.73-12.8 1.7-27.7 9.5-46.1 20.91-56.5 32.09-10.5 11.18-13.2 21.6-11.2 32 3.8 19.2 28.1 41.2 68.3 54.9v-33.3c-5-2.7-8.9-5.9-10.8-11.5-1.3-3.7-.9-7.8.2-10.9 1.1-3.2 2.8-5.7 4.8-8.4l4.5-6.1 6.8 3.5c48.1 24.4 81.6 30.6 108.3 19.5 12.8-5.3 16.4-10.3 16.8-11.9.3-1.6-.5-4.5-5.7-9-10.2-9.22-33.2-18.78-47.1-22.2l-1-.27-1-.52c-13.7-7.23-23.7-16.7-34.7-22.68-7.8-4.2-15.8-7.11-26.7-7.02zm49.8 37.19a7.916 7.878 0 0 1 7.9 7.88 7.916 7.878 0 0 1-7.9 7.92 7.916 7.878 0 0 1-7.9-7.92 7.916 7.878 0 0 1 7.9-7.88zm147.8 32.7c-12.3.3-24 3.5-33 8.4-10.5-1.4-21.4-4.2-32.7-7.7-2.7 5.6-7.6 10.2-14.6 14.3 13.9 4.6 28.1 8.7 42.4 10.9 2.7 12.8 8 25.5 17.7 37.1l13.8-11.6c-7.7-9.2-11.9-18.7-14-29 8.4-3.3 20.7-5.5 31.2-3.5l3.2-17.8c-4.7-.8-9.4-1.2-14-1.1zm-194 9.9v57.7c6.7-1.8 12.8-3.5 17.6-5 3.6-1.2 6.1-2.2 7.6-3l.3-40c-8.2-2.6-16.6-5.8-25.5-9.7zm43.4 25.8l-.2 27.4v-.3c.1 3.6-1.7 6.7-3.3 8.5-1.7 1.8-3.4 2.8-5.1 3.8-3.5 1.9-7.3 3.2-11.8 4.6-8.9 2.8-20.1 5.6-31.3 9-11.2 3.4-22.4 7.6-30.6 12.4-8.1 4.9-12.6 10-13.6 15.2-3.1 16.4-.1 25.6 7.5 34.2 5.2 6.1 13.6 11.7 24 17.2l-2.4-21.3 6.1-2.6c18.3-8.1 38.3-13.8 55.3-21.1 17.1-7.2 30.7-15.8 38.2-28.2 4.7-7.9 5.5-13.6 4.5-19-.9-5.3-4-10.7-9.1-16.4-7-7.8-17.5-15.5-28.2-23.4zm-17.1 110.9c-10.4 3.8-20.8 7.3-30.3 11.2l3.3 30.2h.1c9-2.9 17.4-5.4 22.9-7.6 2.3-1 3.7-1.8 4.6-2.4zm18.3 15.4l.3 18.2v.2c0 5.3-3.4 9.2-6.3 11.5-2.9 2.2-6 3.7-9.5 5.1-7 2.9-15.4 5.3-24.1 8.1-17.1 5.5-34 13.4-38.9 21.3-5.5 15.8-3.5 23.3 2 30 3.4 4.2 9 8 15.8 11.8l-2.2-18.7 7.3-2.1s19.9-5.9 40.2-15.8c10.2-5 20.4-10.9 27.9-17.3 7.6-6.3 12-12.8 12.8-18.1.4-2.5-.8-6.7-4-11.9-3.3-5.1-8.4-10.7-13.8-15.7-2.5-2.4-5.1-4.6-7.5-6.6zm-19.9 91.5c-9.9 4.2-17.8 6.9-23.1 8.6l.5 7 3.5 29.7-1.4-.7.1 1.2 1.2-.3c5.9-1.4 10.9-2.9 13.5-4.3 2.7-1.4 2.2-1.3 2.2-1.4l3.3-37.2zm16.6 17.6l-2.1 23.8c-.7 7.5-6.5 13-11.9 15.8-5.5 2.8-11.5 4.3-17.7 5.8-12.4 2.9-25.9 5.8-33.1 10.6-7.1 4.7-11.3 9.3-13.3 12.9-2 3.7-2.1 6.1-1.2 9.1 1.3 4 6.1 9.4 14.2 14.5-.1-4.4.4-8.5 2.2-12.6 1.9-4.3 5.8-7.8 9.8-9.7 4-1.9 8.2-2.8 13.2-3.7 11.1-1.9 27.9-5.5 41.6-12.2 13.7-6.7 23.2-15.4 24.7-28.1.2-2-.8-4.9-3.9-8.8-3-3.8-7.9-7.9-13-11.5-3.3-2.2-6.5-4.2-9.5-5.9zM266 474.8c-5.2 1.3-10 2.3-14.2 3.1l1 14.5 12.3.7z"}}]})(props);
};
function GiRogue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M377.47 20.72l-16.283 9.186 22.844 40.47-114.405-10.25-13.03 14.812-4.47 27.5c-36.887 12.27-63.294 26.753-83.375 46.03-22.722 21.813-38.17 50.42-51.75 90.5l-31.25 3-12.844 14.595 2.53 106.062c-3.8 1.61-7.374 3.92-10.56 6.906-.12.113-.228.232-.345.345l-39-25.53L15.28 360l39.595 25.875c-3.366 11.778-.637 25.006 8.344 34.594 7.98 8.52 19.12 12.27 29.905 11.186l30.688-48.375c-.246-.212-.505-.41-.75-.624-1.62-4.136-4.03-8.03-7.25-11.47-2.524-2.693-5.36-4.913-8.407-6.655l8.78-79.124 90.658-.656c-8.33-27.148-2.43-56.865 18.562-76.53 13.287-12.448 30.203-18.614 47.563-18.907 6.4-.11 12.852.597 19.217 2.062l6.22-85.938 74.124-3.343c.967 7.163 4.09 14.104 9.408 19.78 3.314 3.54 7.157 6.263 11.312 8.157l.375.5 50.125-27.405c1.763-10.675-1.284-22.027-9.25-30.53-8.932-9.538-21.832-13.137-33.75-10.626l-23.28-41.25zm87.186 92.31l-75.125 41-4.81 25.626 31.624-16.406c30.88 48.452 54.04 102.334 74.062 158.438 12.075-66.802 1.912-127.814-22.812-185.032l23.062-11.97-26-11.655zm-191 94.876c-13.12.182-25.73 4.814-35.47 13.938-22.26 20.854-22.1 58.245 1.876 83.844 23.98 25.6 61.27 28.23 83.532 7.375 22.26-20.855 22.104-58.274-1.875-83.875-13.49-14.4-31.194-21.516-48.064-21.282zm-95.937 174.28l-33.282 3.408-41.907 66.125 10.907 31.06 15.063-23.56c54.545 27.254 113.684 40.662 179.75 33.124-53.016-22.93-103.78-48.64-149.063-81.156l18.532-29z"}}]})(props);
};
function GiRolledCloth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M165.446 34.793c-23.17.023-45.634 12.97-54.612 36.323l-83.67 326.167c-12.673 94.537 81.04 88.742 137.957 65.396 81.422-33.396 181.723-29.213 263.244-8.26l6.45-17.218c-7.38-2.638-15.334-5.988-22.252-8.039.473-4.364.955-8.72 1.437-13.074l23.038 4.118 3.234-18.1c-8.074-1.441-16.147-2.885-24.221-4.328.615-5.403 1.238-10.799 1.87-16.189l22.134 3.278 2.693-18.186c-7.548-1.12-15.098-2.238-22.647-3.355.456-3.765.91-7.53 1.375-11.29 7.615 1.092 15.231 2.183 22.847 3.273l2.607-18.2-23.164-3.316c.46-3.593 1.29-9.988 1.76-13.577l22.781 2.55 2.045-17.57c-7.467-.834-14.935-1.671-22.402-2.508.783-5.767 1.917-11.182 2.728-16.943 7.67 1.12 15.341 2.244 23.012 3.368l2.31-17.139c-7.683-1.127-15.366-2.25-23.05-3.374.792-5.415 1.252-10.129 2.071-15.542 7.074 1.264 14.149 2.528 21.223 3.79l3.232-18.1-21.654-3.866c.736-4.676 1.473-9.35 2.23-14.026 6.978 1.673 13.955 3.347 20.932 5.022L465.276 208c-7.401-1.778-14.803-3.554-22.204-5.33a2809.25 2809.25 0 0 1 2.132-12.477c6.98 1.583 13.961 3.165 20.942 4.746l4.064-17.93c-7.271-1.65-14.543-3.298-21.815-4.946.769-4.267 1.55-8.535 2.342-12.805l20.742 5.151 4.431-17.843-21.751-5.405c.741-3.847 1.494-7.696 2.254-11.548l20.28 5.014 4.413-17.849-21.057-5.207a2444.47 2444.47 0 0 1 2.571-12.374c8.386 2.41 13.13 2.364 21.41 4.99L486 88.456c-83.808-26.776-179.25-33.22-244.192-6.453-24.337 114.036-37.305 221.4-68.032 338.64-3.407 13-14.47 21.89-27.342 28.064-27 11.608-64.033 13.778-84.63-4.91-10.971-10.34-16.174-27.036-12.467-47.579 2.303-12.762 10.883-21.986 20.834-26.378 19.749-7.074 43.492-4.25 58.893 7.95 12.463 9.302 12.318 38.283-3.882 31.82-9.639-6.17-1.964-11.851-8.615-17.378-11.6-7.428-26.42-10.872-38.972-5.57-5.564 2.455-8.887 5.737-10.166 12.822-2.94 16.29.685 24.996 6.985 30.933 18.333 13.49 45.279 10.495 64.068 1.712 10.045-4.82 16.277-11.436 17.511-16.147 30.538-116.518 43.443-224.123 68.293-339.964-11.796-28.344-35.67-41.247-58.84-41.225z"}}]})(props);
};
function GiRollerSkate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M111.6 97c-9.6 56.8-26.44 107.6-37.53 154.8 11.74 42.3 38.23 74.8 80.23 99.2h230.3c3.2-16.5 6.2-34.7 12.5-51.8 5-13.5 12.3-26.5 23.6-36.6-8.2-2.2-18-4.2-29.8-5.7h-.2c-33.5-4.8-59.6-8.9-80-15.4-18 3.5-33.9 4.3-48.1 1.3-15.1-3.2-28.2-11.2-38.2-23.7-19-23.9-28.2-62.8-32.8-122.1zm98.1 0c4.7 57.2 14.3 92.7 28.8 110.9 7.7 9.6 16.3 14.8 27.8 17.3 4.1.9 8.6 1.3 13.5 1.4-3.8-2.8-7.4-5.9-10.6-9.4-21.7-23.3-26.7-59.1-29.7-120.2zm231.1 173.2c-13.5 7.9-21.3 20-26.8 35.2-5.1 13.9-8 29.9-11 45.6h60v-39c0-15-2.1-25.4-11.2-34.2-2.8-2.6-6.4-5.2-11-7.6zM67.31 285c-3.74 22.6-5.34 44.5-3.19 66H122c-24-18.2-42.43-40.3-54.69-66zM65 369v14h398v-14zm23 32c-21.65 0-39 17.4-39 39s17.35 39 39 39c21.6 0 39-17.4 39-39s-17.4-39-39-39zm112 0c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm112 0c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zm112 0c-21.6 0-39 17.4-39 39s17.4 39 39 39 39-17.4 39-39-17.4-39-39-39zM88 424a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm112 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm112 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm112 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16z"}}]})(props);
};
function GiRollingBomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M335.063 18.47L351.406 50l-125.562-5.25 23.375 14.594L114.312 105.5l46.718 4.656-121.593 91.03 34.063-8.5L24 301.938 135.344 153.97l126.72-60.157-8.752 18.093 106.282-21.03-33.875 34.468 66.467-14.125 25.875-19.814-4.093-24.594-25.75-46.593-.595 32.718-52.563-34.47zM136.47 45.562l-44.126 4.5 40.625 15.53 78.186-7.093-74.687-12.938zm299.81 41.374l1.158 6.907.937 5.562-4.47 3.406-2.936 2.25c21.198 10.998 35.443 31.69 39.905 54.47 3.217 16.425 1.528 33.693-6.688 49.218l10.407 17.875c14.85-21.558 19.235-47.146 14.625-70.688-5.718-29.19-24.874-55.763-52.94-69zM105.814 95.53l-55.876 5.75-31.874 24.376 39.5.813 48.25-30.94zm166.468 71.376c-55.766.386-109.805 29.512-139.75 81.375-44.958 77.872-18.37 177.167 59.5 222.126 77.872 44.96 177.167 18.34 222.126-59.53 44.96-77.872 18.37-177.167-59.5-222.126-24.334-14.05-50.76-21.09-76.97-21.78-1.8-.05-3.606-.076-5.405-.064zM440.095 204.5l-23.625 13.75c11.814 15.223 20.996 32.132 27.405 50l24.875-14.47-28.656-49.28z"}}]})(props);
};
function GiRollingDiceCup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M107.376 28.002c-7.475.147-15.469 2.625-21.11 5.318-12.971 6.287-26.097 18.123-36.622 32.412-10.526 14.29-18.463 30.992-21.854 46.35-3.371 15.272-2.164 28.759 3.705 38.08l89.178 117.861c-.323-1.676-.62-3.362-.877-5.062-4.594-30.313.962-64.488 17.356-95.967 16.393-31.479 40.677-54.6 67.261-66.51 9.26-4.148 18.853-6.918 28.473-8.152l-110.045-60.43c-5.044-2.575-10.19-3.83-15.465-3.9zm138.156 81.95c-11.029-.138-22.48 2.414-33.81 7.49-22.66 10.15-44.375 30.513-59.059 58.708-14.684 28.196-19.4 58.59-15.484 84.428 3.916 25.839 16.127 46.774 35.404 58.152 11.198 6.61 23.703 9.352 36.658 8.504-5.197-12.722-9.295-25.665-9.841-39.318 10.304-19.968 20.802-39.936 35.695-59.905 22.946-7.223 47.124-4.533 75.035-3.39 3.722-16.605 4.335-32.99 2.08-47.863-3.916-25.839-16.127-46.774-35.404-58.153-9.638-5.689-20.244-8.516-31.273-8.654zm71.481 132.306l-67.496 3.863 18.369 61.832 66.26-3.715c-2.435-21.315-10.232-41.558-17.133-61.98zm-80.666 15.195c-7.923 9.763-14.526 20.318-17.787 32.877 1.772 19.22 4.134 38.373 14.185 56.672l18.39-30.13zm173.738 59.95c-24.604 11.259-43.699 23.436-62.822 35.609l70.945 55.69 67.86-48.368c-22.714-15.182-47.656-29.62-75.983-42.932zm-82.357 6.152l-62.108 2.92-18.431 29.722c19.703-.995 38.332.695 59.717-4.502 10.37-9.38 14.824-18.76 20.822-28.14zm14.894 48.601c-5.018 19.188-5.258 39.333-5.73 59.43 17.198 23.68 40.384 36.581 61.943 52.412l8.658-62.232zm142.354 9.223l-58.973 42.498-8.88 56.496c19.434-11.58 37.82-24.417 52.605-41.574 8.266-19.14 11.495-38.28 15.248-57.42z"}}]})(props);
};
function GiRollingDices (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M138.798 35.342L28.73 114.268l95.777 29.095 111.305-87.09-97.014-20.93zm112.986 31.082l-118.047 89.96 51.07 131.102 8.534-7.455 4.23-15.708a18.338 13.102 76.863 0 1-9.08-20.45 18.338 13.102 76.863 0 1 10.997-13.727 18.338 13.102 76.863 0 1 3.62.53 18.338 13.102 76.863 0 1 3.113 1.544l7.94-29.48a9 9 0 0 1 .353-1.04 9 9 0 0 1 .058-.128 9 9 0 0 1 .32-.685 9 9 0 0 1 .09-.153 9 9 0 0 1 .37-.625 9 9 0 0 1 .534-.723 9 9 0 0 1 .066-.074 9 9 0 0 1 .54-.594 9 9 0 0 1 .65-.593 9 9 0 0 1 .004-.002 9 9 0 0 1 .46-.342 9 9 0 0 1 .266-.197 9 9 0 0 1 .502-.3 9 9 0 0 1 .27-.157 9 9 0 0 1 .44-.208 9 9 0 0 1 .38-.178 9 9 0 0 1 .437-.152 9 9 0 0 1 .41-.143 9 9 0 0 1 .404-.1 9 9 0 0 1 .47-.114 9 9 0 0 1 .51-.07 9 9 0 0 1 .37-.05 9 9 0 0 1 .01 0 9 9 0 0 1 .01-.003l33.624-2.873a18.338 13.102 76.863 0 1 10.326-9.777 18.338 13.102 76.863 0 1 3.622.53 18.338 13.102 76.863 0 1 8.527 7.327l13.043-1.113-39.442-123.783zM137.25 74.03a9.8 19.77 77.916 0 1 12.798 8.734 9.8 19.77 77.916 0 1-21.938 11.998 9.8 19.77 77.916 0 1-16.57-8.602 9.8 19.77 77.916 0 1 21.938-12 9.8 19.77 77.916 0 1 3.77-.13zm100.228 23.517a18.338 13.102 76.863 0 1 .002 0 18.338 13.102 76.863 0 1 3.62.53 18.338 13.102 76.863 0 1 12.112 21.94 18.338 13.102 76.863 0 1-14.617 13.196 18.338 13.102 76.863 0 1-12.114-21.94 18.338 13.102 76.863 0 1 10.998-13.726zM24.22 131.71l46.992 114.124 94.236 40.38-45.988-125.57-95.24-28.935zm147.886 17.43a18.338 13.102 76.863 0 1 3.622.528 18.338 13.102 76.863 0 1 12.11 21.94 18.338 13.102 76.863 0 1-14.616 13.197 18.338 13.102 76.863 0 1-12.112-21.94 18.338 13.102 76.863 0 1 10.996-13.726zm-75.123 13.016a19.454 9.134 59.254 0 1 16.955 15.078 19.454 9.134 59.254 0 1-.425 19.485A19.454 9.134 59.254 0 1 95.6 181.78a19.454 9.134 59.254 0 1 .424-19.48 19.454 9.134 59.254 0 1 .96-.144zm263.393 40.21l-112.102 9.577 113.762 79.926 113.598-16.956-115.258-72.55zM70.82 212.022A19.454 9.134 59.254 0 1 87.777 227.1a19.454 9.134 59.254 0 1-.425 19.484 19.454 9.134 59.254 0 1-17.913-14.938 19.454 9.134 59.254 0 1 .425-19.482 19.454 9.134 59.254 0 1 .96-.14zm157.378 7.813L186.66 374.023l115.616 99.454 47.147-168.47-121.225-85.17zm126.987 11.168a21.76 8.898 15.267 0 1 19.693 4.783 21.76 8.898 15.267 0 1 7.607 14.244 21.76 8.898 15.267 0 1-28.886-3.182 21.76 8.898 15.267 0 1-7.61-14.244 21.76 8.898 15.267 0 1 9.195-1.6zM487.78 291.3L366.9 309.343l-46.823 167.316 116.297-31.77L487.78 291.3zm-181.808 10.8a25.834 15.573 84.277 0 1 4.238.943 25.834 15.573 84.277 0 1 12.873 31.72 25.834 15.573 84.277 0 1-18.105 17.893 25.834 15.573 84.277 0 1-12.874-31.72 25.834 15.573 84.277 0 1 13.868-18.836zm154.086 11.636a13.237 21.96 28.62 0 1 7.673 4.13 13.237 21.96 28.62 0 1-6.176 28.435 13.237 21.96 28.62 0 1-21.287 3.878 13.237 21.96 28.62 0 1 6.175-28.434 13.237 21.96 28.62 0 1 13.616-8.008zM391.362 324.4a13.237 21.96 28.62 0 1 7.672 4.13 13.237 21.96 28.62 0 1-6.176 28.435 13.237 21.96 28.62 0 1-21.287 3.877 13.237 21.96 28.62 0 1 6.177-28.434 13.237 21.96 28.62 0 1 13.615-8.008zm-173.996 13.305a25.834 15.573 84.277 0 1 4.24.945 25.834 15.573 84.277 0 1 12.872 31.72 25.834 15.573 84.277 0 1-18.106 17.894 25.834 15.573 84.277 0 1-12.873-31.72 25.834 15.573 84.277 0 1 13.866-18.84zm212.278 60.87a13.237 21.96 28.62 0 1 7.67 4.13 13.237 21.96 28.62 0 1-6.174 28.434 13.237 21.96 28.62 0 1-21.287 3.876 13.237 21.96 28.62 0 1 6.175-28.434 13.237 21.96 28.62 0 1 13.616-8.008zm-70.332 19.488a13.237 21.96 28.62 0 1 7.67 4.132 13.237 21.96 28.62 0 1-6.174 28.434 13.237 21.96 28.62 0 1-21.287 3.874 13.237 21.96 28.62 0 1 6.176-28.434 13.237 21.96 28.62 0 1 13.616-8.007z"}}]})(props);
};
function GiRollingEnergy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247.938 22.512c-5.385.044-10.847.333-16.383.88 49.65 15.005 92.127 46.742 123.267 86.678-74.16-71.848-204.8-83.864-278.77 6.287 31.555-16.907 66.822-25.68 102.405-27.865C84.727 118.84 4.497 225.975 21.87 343.362c5.088-48.045 28.862-89.52 61.384-123.923-38.258 74.284-32.22 171.41 40.635 231.185-25.41-47.422-33.08-102.405-25.536-154.338-1.3 105.1 83.482 210.304 201.582 198.656-49.652-15.006-92.126-46.743-123.266-86.68 77.723 65.68 198.16 66.868 278.77-6.288-118.67 44.753-214.692 21.26-272.243-27.8-59.206-40.744-78.126-121.06-41.584-184.353 6.683-11.574 14.79-21.82 23.967-30.66 2.78-3.18 5.636-6.203 8.598-9.074 2.31-1.3 4.622-2.572 6.935-3.824 24.733-17.675 54.666-26.8 84.914-26.028 22.46.573 45.09 6.594 65.88 18.598 44.02 25.415 68.904 71.378 69.593 118.842.616 3.487.957 7.07.957 10.734 0 33.88-27.466 61.344-61.346 61.344-33.877 0-61.342-27.465-61.342-61.344 0-1.698.083-3.376.218-5.04 5.484 18.857 22.88 32.644 43.504 32.644 25.027 0 45.315-20.29 45.315-45.315 0-24.785-19.903-44.912-44.596-45.298-4.936-.814-10-1.246-15.167-1.246-51.192 0-92.69 41.5-92.69 92.69s41.5 92.687 92.69 92.687c1.038 0 2.07-.023 3.1-.056-.168.064-.333.132-.5.195 4.182-.188 8.29-.544 12.336-1.03 52.59-.886 123.364-25.954 154.09-71.7-18.303 8.484-35.666 14.587-52.488 16.763 6.463-7.52 12.304-15.603 17.482-24.133 36.147-44.718 64.673-112.748 53.784-168.2-7.195 19.63-15.35 37.046-25.623 51.583-3.217-46.517-23.284-92.15-63.62-125.244 25.406 47.422 33.076 102.404 25.532 154.337 1.24-100.173-75.723-200.44-185.2-199.535z"}}]})(props);
};
function GiRomanShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 20c-52 0-104 4-160 12-16.432 224-16 224 0 448 112 16 208 16 320 0 16-224 16-224 0-448-56-8-108-12-160-12zm0 12l16 16h-7v151h18.184l25.234-37.854L275.27 128l32.003-32-32.002-32L297.6 41.676l-5.143-5.143h22.627V59.16l-4.758-4.758L300.727 64l32.002 32-32.003 32 30.855 30.854-25.873 38.808c44.373-18.947 68.128-73.205 53.56-131.478l-6.61-26.432 21.053 17.293c21.43 17.606 36.194 44.522 42.748 72.883 6.555 28.36 4.962 58.503-8.628 82.506-9.45 16.688-24.175 26.49-41.7 31.257-5.4 1.47-11.08 2.536-17.058 3.31H416v18h-66.926c5.978.774 11.657 1.84 17.057 3.31 17.527 4.766 32.253 14.568 41.702 31.256 13.59 24.003 15.183 54.145 8.63 82.506-6.555 28.36-21.318 55.277-42.75 72.883l-21.052 17.293 6.61-26.432c14.568-58.273-9.187-112.53-53.56-131.478l25.872 38.808L300.727 384l32.002 32-32.003 32 9.597 9.598 4.758-4.758v22.627h-22.627l5.143-5.143L275.27 448l32.003-32-32.002-32 33.148-33.146L283.184 313H265v151h7l-16 16-16-16h7V313h-18.184l-25.234 37.854L236.73 384l-32.003 32 32.002 32-22.328 22.324 5.143 5.143h-22.627V452.84l4.758 4.758 9.597-9.598-32.002-32 32.003-32-30.855-30.854 25.873-38.808c-44.373 18.947-68.128 73.205-53.56 131.478l6.61 26.432-21.053-17.293c-21.43-17.606-36.194-44.522-42.748-72.883-6.555-28.36-4.962-58.503 8.628-82.506 9.45-16.688 24.175-26.49 41.7-31.257 5.4-1.47 11.08-2.536 17.058-3.31H96v-18h66.926c-5.978-.774-11.657-1.84-17.057-3.31-17.527-4.766-32.253-14.568-41.702-31.256-13.59-24.003-15.183-54.145-8.63-82.506 6.555-28.36 21.318-55.277 42.75-72.883l21.052-17.293-6.61 26.432c-14.568 58.273 9.187 112.53 53.56 131.478l-25.872-38.808L211.273 128 179.27 96l32.003-32-9.597-9.598-4.758 4.758V36.533h22.627l-5.143 5.143L236.73 64l-32.003 32 32.002 32-33.148 33.146L228.816 199H247V48h-7l16-16zM130.822 92.42c-8.118 12.284-14.306 26.675-17.746 41.56-5.764 24.943-3.88 50.8 6.756 69.586 7.17 12.664 16.443 18.86 30.762 22.756 12.425 3.38 28.78 4.365 48.406 4.58v-16.94c-44.835-19.294-70.83-67.72-68.178-121.542zm250.356 0c2.652 53.823-23.343 102.248-68.178 121.543v16.94c19.625-.216 35.98-1.2 48.406-4.58 14.32-3.896 23.592-10.093 30.762-22.757 10.636-18.785 12.52-44.643 6.756-69.586-3.44-14.885-9.628-29.276-17.746-41.56zM217 217v26.412c4.057-12.462 13.95-22.355 26.412-26.412H217zm51.588 0c12.462 4.057 22.355 13.95 26.412 26.412V217h-26.412zM256 233c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zm-39 35.588V295h26.412c-12.462-4.057-22.355-13.95-26.412-26.412zm78 0c-4.057 12.462-13.95 22.355-26.412 26.412H295v-26.412zm-96 12.51c-19.625.215-35.98 1.2-48.406 4.58-14.32 3.895-23.592 10.092-30.762 22.756-10.636 18.785-12.52 44.643-6.756 69.586 3.44 14.885 9.628 29.276 17.746 41.56-2.652-53.823 23.343-102.248 68.178-121.543v-16.94zm114 0v16.94c44.835 19.294 70.83 67.72 68.178 121.542 8.118-12.284 14.306-26.675 17.746-41.56 5.764-24.943 3.88-50.8-6.756-69.586-7.17-12.664-16.443-18.86-30.762-22.756-12.425-3.38-28.78-4.365-48.406-4.58z"}}]})(props);
};
function GiRomanToga (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.676 18.033c-1.164.028-2.346.125-3.5.125-32.842 0-59.594 33.926-59.594 75.938 0 21.274 7.08 40.465 18.094 54.28-68.132 10.568-82.852 105.422-66.655 191.563h23.563l-1.031-105.343 18.687-.186.467 47.377c38.873-41.234 72.862-84.997 104.984-128.039 5.484-8.33 5.534-10.99 9.93-15.967 6.932-12.34 11.117-27.354 11.117-43.685 0-39.387-23.416-72.038-53.408-75.936-.5-.075-.987-.11-1.5-.125a20.26 20.26 0 0 0-1.156 0l.002-.002zm56.58 134.412c-1.351.055-2.158.49-2.719 1.053-.748.751-1.266 1.937-.953 4.266.313 2.328 1.69 5.397 4.281 7.978 2.592 2.581 5.668 3.947 7.998 4.25 2.33.303 3.512-.221 4.26-.972.748-.751 1.268-1.936.955-4.264-.313-2.329-1.691-5.4-4.283-7.98-2.592-2.582-5.666-3.946-7.996-4.249a9.144 9.144 0 0 0-1.543-.082zm-15.07 22.684c-33.448 44.473-69.433 89.819-111.225 132.357l.53 53.612.314 4.78c18.93-13.416 40.206-37.142 57.326-62.673 11.38-16.972 21.161-34.666 27.996-50.322 6.835-15.656 10.527-29.574 10.527-37.156h18c0 12.564-4.671 27.499-12.031 44.357s-17.602 35.336-29.543 53.145c-20.411 30.44-45.087 59.124-70.912 73.341l.777 11.803c33.132-15.428 56.322-29.443 87.774-72.736l14.562 10.578c-34.968 48.134-63.652 64.098-101.072 81.365l.861 13.059 122.309-47.37 3.234-43.33h.032l1.011-100.566c-.624-15.32 1.939-34.818 3.192-51.342a25.74 25.74 0 0 1-2.309-.19c-6.714-.873-13.143-4.133-18.377-9.345a35.673 35.673 0 0 1-2.976-3.367zm42.277 5.47c-.222 6.175-3.853 45.72-3.068 53.997l-1.065 105.343h24.533c12.656-60.968 5.615-122.891-20.4-159.34zm-27.568 222.547l-51.094 19.79v71.035h44.312l6.782-90.825zm-69.78 27.026L196.31 449.46l2.931 44.512h46.875v-63.801z"}}]})(props);
};
function GiRooster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M419.1 21.18c-5.5 13.76-17.6 26.38-26.6 30.87l-29.9-13.97c-5.5 14.92-3.3 24.37 3.5 32.96-9.4 4.87-20.5 5.17-32.7 2.27-1.5 15.76 10.9 29.39 26.2 29.39 6-7.82 15.2-16.68 27.2-22.75 14.7-7.42 34.5-9.25 53.6 2.76 24.1-1.56 31.4-27.47 31.4-44.17-20.3 8.09-25.9 15.21-46.3 17.73 10.5-10.22 2.7-26.56-6.4-35.09zM68.76 89.2c26.79 16.4 52.74 27.7 58.64 50.1-35.13-11.3-66.12 7.7-87.19 41 27.57-9.3 45.01-15.7 74.59-12.9-26.81 11.7-54.33 25.1-52.48 47.1 19.05-11 23.5-17.7 52.68-17.6-28.21 16.9-43.69 28.1-37.58 66.5 9.55-16.1 33.08-31.6 50.28-34.4-24.8 30-29.27 48.6-18.8 78.9 8.9-13.6 18-37.1 36.1-47.2-9.2 20-5.5 49.6 3.2 63.6 9.4-17.4 16.4-35.8 35-50.2 20.4 33.1 35.7 67.3 85.7 94.6 7.8 8.4 12.4 18.4 13.2 32.4H337l17.5-32.2c52.1-20 81.4-51.1 96.5-87.5-8.3-4.5-13.4-12.4-16.9-19.9-13.3 13.2-20.8 25.8-29.7 41.4-8.7-12.5-15.5-27.6-17.1-41.3-11.7 9.7-18.7 19.6-27.4 31.7-6.7-14.4-12.2-31.2-12.4-44.9-19 6.5-24.4 14.7-37 29.2-6.3-21.3-12.7-47.2-6.6-62.6-75.9 3.8-67-92.4-98.4-118.06.6 14.46-8.2 40.16-13.1 42.06-20-46.54-89-49.79-123.64-49.8zm343.04 1.27c-6.2 0-11.8 1.88-17.4 4.65-11.3 6.58-20.6 15.78-27.2 26.88-1.8 14.9.6 29.7.1 44.5-.6 20.5-16.8 42-34.9 45.4-2.1.3-4.1.7-6.1 1-10.8 8-8.2 19.6-5.7 29.9 15.3-10.2 29.4-12.4 46.3-15.2-2.1 10.3-2.8 21.7-1.2 31.1 12.7-12.8 24-20.4 38.4-30.8-.7 13.4-1.2 28.7 1.8 40.3 11.2-15 20.9-23.3 35.1-33.5 4.4 9.1 10 25.8 15.8 30.5 2.6-8.5 4.4-17.3 5.8-26.2 1.9-13.9-3.9-27-10.4-40.3-12.9-.4-25.6-7.6-35.1-17.8-12.2-12.9-19.3-33.1-10.2-52.5l2.3-5c10.9.3 22.8.7 32.1 3.5 12.5 1.7 24.4 12 29.3 10.2-3.2-13.1-12.5-34.6-34.6-31.1 1.1-10.04-17.3-15.29-24.2-15.53zm-1.7 7.12c4.1 0 7.4 3.21 7.4 7.21s-3.3 7.2-7.4 7.2c-4.1 0-7.5-3.2-7.5-7.2s3.4-7.26 7.5-7.21zm10.4 43.31c-2.7 10.5 1.5 20.5 8.9 28.4 6.6 7 15.5 11.1 22.5 12.1-.2-16.6-1.9-26.9-5.5-31.9-6.7-7.6-17.2-8.1-25.9-8.6zM286.1 418.2l3.3 18.4c-10.3 2.4-21.2 3.7-35.9 1.8l-2.2 16.8c13.1 1.8 24.2 1.2 34.1-.4l-18.6 18.5.9 17.2 27.5-21.7 3.6 22 16.8-2.9-5.7-34.7 13.6-.8 8.5 37.2 16.6-3.7-3.7-16.1c18 8.6 36.4 10.4 51.8 12.7l-15.1-17.9c-20.3-3.1-23.1-3.9-41-17.3l-5.5-29.1h-17.2l3.2 17.3-14.4.8-3.3-18.1z"}}]})(props);
};
function GiRootTip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16.508 18.453l-.002 149.908 61.26 49.667 59.757 124.543-9.488-110.738C88.835 182.608 56.58 126.518 67.12 58.338l18.47 2.855c-7.312 47.297 8.4 88.472 33.44 126.67l77.745 43.094 83.868 183.8c70.454 33.943 140.91 58.63 211.365 72.423-47.672-21.634-93.83-50.913-131.332-90.717l-62.45-11.06 3.256-18.4 13.06 3.25 117.42 18.155c-52.808-19.54-101.05-43.642-132.01-85.03-10.244-24.453-17.846-51.365-22.16-81.007-23.356-4.888-46.4-13.233-68.97-25.49l8.92-16.423c26.233 14.248 52.854 22.748 80 26.426l46.75 2.033 146.23 150.81c-18.12-52.077-51.543-121.06-88.19-177.67-30.968-13.506-61.174-15.44-91.886-5.587l-5.71-17.798c14.194-4.553 28.47-6.83 42.746-6.926 2.04-.014 4.078.017 6.117.092 26.897.987 53.746 9.68 79.973 25.42 16.215 8.164 32.85 17.73 50.288 28.525-33.99-44.3-65.738-83.98-117.208-99.594l-.004-.007-23.94 15.336c-36.26 17.486-88.188 18.165-135.264-8.645-21.56 7.324-42.96 12.01-64.166 13.527l-1.334-18.64c26.348-1.886 53.598-9.242 81.577-21.08-18.115-6.645-36.81-15.81-54.095-26.082-22.913-13.617-43.004-28.54-55.545-42.147zM141.354 370.49l-1.4 71.356c38.483 37.214 86.748 46.007 139.91 54.564-64.332-36.743-109.837-71.915-138.51-125.92z"}}]})(props);
};
function GiRopeBridge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M494 73.02C440.5 103 348.1 119 256 119S71.6 103 18 73.04V93.4c10.68 5.34 22.34 10.2 34.81 14.5L25.82 241.1c-2.68-1.9-5.29-4-7.82-6.1v22.7C77.36 300.6 166.7 321 256 321c89.2 0 178.6-20.4 238-63.3v-22.8c-2.5 2.1-5.1 4.2-7.8 6.2l-27-133.2c12.5-4.3 24.1-9.15 34.8-14.49zM76.03 115.2c12.89 3.6 26.47 6.7 40.47 9.4L96.34 235.8zm359.97 0l-20.3 120.6-20.2-111.2c14-2.7 27.6-5.8 40.5-9.4zm-296.1 13.5c13.7 2 27.7 3.7 41.9 5l-21.4 117.9zm232.2 0l-20.5 122.9-21.4-117.9c14.2-1.3 28.2-3 41.9-5zm-169.6 6.6c14.1.9 28.4 1.4 42.7 1.6L224 253.7zm107 0L288 253.7l-21.2-116.8c14.3-.2 28.6-.7 42.7-1.6zM63.19 147.4l21.14 125.5c-15.27-6-29.49-13-42.34-20.9zm385.61 0L470 252c-12.8 7.9-27 14.8-42.3 20.9zm-321.2 17l21.3 127.7c-14.7-3.1-28.9-6.8-42.4-11.2zm256.8 0l21.1 116.5c-13.5 4.4-27.7 8.1-42.4 11.2zM192 178.3l22.3 123.1c-14.7-1.1-29.4-2.9-43.7-5.2zm64 0l22.5 124.2c-7.5.3-15 .5-22.5.5s-15-.2-22.5-.5zm64 0l21.4 117.9c-14.3 2.3-29 4-43.7 5.2zM64 391c-14.1 0-30.44 4.4-46 9.8V420c16.71-6 34.61-11 46-11 14.02 0 28.33 7 43.9 15 15.6 8 32.4 17 52.1 17 19.7 0 36.5-9 52.1-17 15.6-8 29.9-15 43.9-15s28.3 7 43.9 15c15.6 8 32.4 17 52.1 17 19.7 0 36.5-9 52.1-17 15.6-8 29.9-15 43.9-15 11.4 0 29.3 5 46 11v-19.2c-15.6-5.4-31.9-9.8-46-9.8-19.7 0-36.5 9-52.1 17-15.6 8-29.9 15-43.9 15s-28.3-7-43.9-15c-15.6-8-32.4-17-52.1-17-19.7 0-36.5 9-52.1 17-15.6 8-29.9 15-43.9 15s-28.3-7-43.9-15c-15.5-8-32.39-17-52.1-17zm0 42c-14.1 0-30.45 4.4-46 9.8V462c16.71-6 34.61-11 45.99-11 14 0 28.32 7 43.91 15 15.6 8 32.4 17 52.1 17 19.7 0 36.5-9 52.1-17 15.6-8 29.9-15 43.9-15s28.3 7 43.9 15c15.6 8 32.4 17 52.1 17 19.7 0 36.5-9 52.1-17 15.6-8 29.9-15 43.9-15 11.4 0 29.3 5 46 11v-19.2c-15.6-5.4-31.9-9.8-46-9.8-19.7 0-36.5 9-52.1 17-15.6 8-29.9 15-43.9 15s-28.3-7-43.9-15c-15.6-8-32.4-17-52.1-17-19.7 0-36.5 9-52.1 17-15.6 8-29.9 15-43.9 15s-28.3-7-43.9-15c-15.6-8-32.41-17-52.11-17z"}}]})(props);
};
function GiRopeCoil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.975 87.254c.014 3.753.25 7.9 1.13 12.623 20.567-.324 42.97.314 61.426 2.172-.454-4.327-.397-8.4.173-12.212-22.7-2.366-41.806-3.26-62.728-2.584zm-17.983.99c-30.506 2.324-57.81 7.82-78.87 15.27 1.52 2.57 3.475 5.714 5.58 9.236 18.06-5.958 44.528-10.26 74.33-12.078-.71-4.617-.99-8.795-1.04-12.428zm98.485 4.225c-.51 3.186-.412 7.078.607 11.977 17.317 2.758 31.027 6.566 39.78 11.047 6.22-2.21 12.698-3.51 19.046-4.078-18.683-10.09-40.566-15.6-59.433-18.947zm-194.15 18.04c-7.45 3.67-13.535 7.566-17.925 11.427-6.762 5.95-9.25 11.164-9.193 15.8 2.88 14.316 16.585 21.355 28.028 26.67 3.563-7.343 7.913-14.19 13.23-20.27-10.358-4.167-15.85-8.943-15.958-13.873.013-3.395 2.578-6.794 7.578-10.04-2.084-3.41-4.06-6.613-5.762-9.714zm243.872 20.935c-3.434 5.42-13.274 10.584-28.39 14.9 2.534 8.536 3.26 16.935 3.585 25.36 5.015-1.48 9.785-3.05 14.22-4.723 13.67-5.152 24.396-11.192 31.158-17.142 5.456-5.55 10.75-12.163 8.63-19.416-9.56-2.122-19.945-1.54-29.204 1.02zm-203.63 13.758c-13.12 8.26-21.86 21.633-27.566 37.818.904 14.655 1.645 34.896 13.03 45.51 4.34-31.856 21.238-64.244 39.595-81.57-8.192-7.766-16.495-7.075-25.06-1.757zm157.56 5.31c-17.885 3.476-39.25 5.782-61.763 6.667-6.585 12.47-6.903 17.475-8.293 27.47 26.736-.57 51.75-3.582 73.258-8.322-.21-9.07-.317-17.642-3.2-25.816zm-116.235 5.938c-9.243 7.686-16.304 15.748-21.698 24.073 15.364 2.316 32.104 3.77 49.707 4.14 1.478-9.554 2.15-16.747 6.414-27.075-11.733.01-23.324-.373-34.423-1.137zm-120.39.142c-7.716 11.592-.986 22.458 6.255 29.398 5.28 4.963 12.754 9.966 22.02 14.64 1.254-6.573 2.83-13.09 4.83-19.42-13.028-6.36-25.29-13.387-33.104-24.618zm318.175 3.918c-9.435 8.883-22.006 15.853-31.975 20.18 2.928 10.055 3.63 20.353.996 29.718 11.635-4.58 20.99-9.818 27.423-15.176 7.78-6.477 11.01-12.53 11.182-18.263.152-5.053-2.056-10.497-7.625-16.46zm-48.905 26.515c-19.506 6.366-42.65 11.054-68.076 13.586-8.227 7.115-8.265 18.093-7.225 27.183 24.37-1.16 46.822-4.32 66.035-8.97 10.164-11.204 12.988-18.51 9.265-31.798zM91.88 194.373c-11.4 15.04-5.362 27.834 5.58 37.68 6.796 5.994 16.563 11.86 28.692 17.072.228-9.665.774-19.735 1.875-29.828-12.764-5.863-23.455-12.538-31.595-20.19-1.62-1.522-3.136-3.105-4.553-4.734zm349.067.676c-6.305 9.83-14.86 16.724-24.006 22.198 2.03 7.352 2.218 14.395.503 21.025 11.534-6.864 26.488-19.466 26.563-32.62-.05-3.466-1.017-6.995-3.06-10.604zm-248.44 2.362c-2.826 7.15-4.736 14.43-6.038 21.772 5.16 1.118 10.473 2.155 15.94 3.087.395-8.7 2.656-15.963 7.262-22.385-5.878-.702-11.6-1.532-17.164-2.473zm39.83 4.516c-7.27 6.332-13.01 14.544-11.898 22.994 20.833 2.338 38.792 3.464 57.968 3.35-.57-9.523-.542-17.883 2.615-26.004-16.293.746-33.656.57-48.685-.34zM69.85 224.008c-5.203 10.11-1.048 22.213 4.295 29.414 1.338-4.07 2.886-8.804 4.968-14.344-4.048-4.65-7.228-9.7-9.263-15.07zm330.882 1.35c-21.764 8.88-47.255 14.405-67.503 17.206-6.34 6.692-3.766 16.04-2.392 23.415 24.458-3.914 46.288-9.695 64.055-16.77 2.764-7.645 7.323-16.37 5.84-23.85zm-255.486 3.02c-1.7 20.817-1.195 41.8-.937 58.862 4.928 20.133 23.537 7.066 23.47 4.37-.328-12.213-1.77-27.096-1.708-43.284-10.14-5.332-16.638-11.248-20.826-19.947zm303.127 8.446c-.872.938-1.785 1.855-2.723 2.76 1.367 10.563 1.658 22.46 1.31 32.004 4.697-5.575 7.016-11.134 7.32-16.705.314-5.772-1.52-11.768-5.907-18.06zm-263.94.37c-.53 9.593-.29 19.1.133 28.283 10.667 1.84 21.93 3.304 33.666 4.33-2.12-9.656-2.22-18.585 1.98-26.764-12.484-1.483-24.453-3.453-35.78-5.85zm127.733 7.642c-25.51 1.687-47.32 1.877-70.62.234-9.12 6.94-6.99 18.238-3.903 26.018 25.34 1.065 51.79.05 75.29-2.64-1.375-8.46-2.65-15.93-.767-23.612zM93.67 251.9c-1.928 5.69-3.423 10.636-5.268 15.37 13.248 9.227 24.64 15.364 37.916 20.824-.09-5.992-.217-12.586-.275-19.6-12.465-4.792-23.37-10.287-32.373-16.594zm335.152.565c-16.506 9.828-33.367 16.35-50.355 21.38-1.344 11.183-4.902 21.952-1.106 31.745 7.32-1.744 14.237-3.69 20.69-5.824 9.94-3.288 18.77-7.026 26.292-11.045 4.844-11.28 5.05-26.165 4.48-36.255zm48.285 11.058c-6.728-.222-11.75 6.133-9.978 12.627 1.26 4.894 1.795 9.924 1.677 15.045 6.686-3.195 13.668-3.755 20.103-1.218-.033-6.258-.797-12.54-2.412-18.813-1.058-4.367-4.9-7.493-9.39-7.64zm-417.06 1.065c-3.302 5.385-4.873 10.71-4.873 16 2.705 17.17 11.992 26.653 24.306 35.36-.924-10.175 1.904-20.11 7.915-27.464-10.735-7.283-20.11-14.416-27.348-23.896zm298.877 14.332c-17.988 4.112-37.665 7.13-58.502 8.88-7.375 7.54-7.675 18.36-4.283 27.606 22.654-.55 43.972-2.667 63.17-6.08-1.79-10.04-1.626-21.504-.386-30.406zm-173.426 5c.524 7.092-.07 15.36-4.027 20.894 5.174 1.128 10.463 2.183 15.868 3.15-1.155-7.845-1.243-15.226 1.435-22.114-4.503-.578-8.927-1.225-13.275-1.93zm32.66 3.98c-5.738 6.486-3.378 16.322-1.734 23.07 21.628 2.75 40.757 4.238 60.865 4.536-1.775-9.23-1.602-18.107 1.226-26.36-20.125.743-42.123.24-60.358-1.246zm235.373 2.62c-11.178 9.19-24.82 16.63-35.987 21.248-2.276 7.06-.484 13.415 1.197 19.632 14.232-6.124 25.983-13.035 34.635-20.22-.49-6.94 1.425-14.413.156-20.66zm-350.016 7c-9.282 8.418-5.538 22.616-2.682 30.703 13.937 6.595 29.81 11.908 43.137 15.54-2.363-10.75-2.303-20.545 2.913-29.294-15.798-5.16-29.907-10.247-43.37-16.95zm375.84 8.798c-3.23.89-11.908 8.268-22.76 24.11-5.513 9.653-12.717 19.27-21.283 28.603 2.728 6.967 6.148 13.09 9.194 19.365 20.34-20.584 36.11-43.852 41.957-67.99-1.84-2.24-4.42-4.704-7.105-4.087zm-80.9 12.2c-20.63 6.32-44.63 10.83-70.89 13.18-3.86 7.077-.485 16.076 1.76 22.48 27.07-3.525 51.67-9.132 72.48-16.27-1.843-6.764-3.422-12.91-3.35-19.39zm-232.817 1.132c-9 9.01-3.932 22.027-.383 29.172 17.758 3.68 37.06 6.407 57.418 7.983-2.76-9.15-2.993-18.603.447-26.825-20.34-2.38-39.638-5.883-57.483-10.33zm77.87 12.31c-7.953 6.984-4.95 18.435-.64 26.01 22.772.833 47.19.12 68.106-1.757-2.33-7.723-3.944-15.778-2.862-23.193-23.577.73-43.523.566-64.602-1.06zm-130.32 36.128c-20.428-.15-40.722 7.7-55.632 20.69.108 2.285.47 4.86 1.154 7.566 1.147 4.537 3.168 9.37 5.825 13.916 19.87-17.833 41.71-25.383 65.205-20.155.883-6.938 4.604-13.887 8.81-18.568-8.196-2.12-16.634-3.385-25.364-3.45zm307.258 5.648c-10.832 9.784-22.944 18.947-35.633 27.172 3.372 5.847 7.596 11.714 10.428 17.194 12.454-8.083 24.406-17.045 35.397-26.67-2.226-4.383-8.174-19.403-10.192-17.696zM158.23 378.32c-6.465 4.7-11.114 10.15-10.79 17.463 18.427 7.468 37.077 19.38 56.24 31.248.07.045.143.088.215.132.87-7.925 3.45-14.493 6.12-19.754-16.527-10.33-33.587-21.34-51.786-29.088zM42.87 406.182c-6.69 11.238-9.67 24.862-6.04 38.478 1.92 7.202 5.605 14.195 11.045 20.822 3.16-7.205 6.85-12.436 13.05-15.845-4.232-6.3-6.37-13.845-5.466-20.817-5.673-6.858-9.893-14.713-12.59-22.638zm326.484 4.12c-19.35 11.015-39.35 19.672-57.713 24.925-1.887 5.236-2.4 12.17-.53 20.86 22.182-5.587 45.937-15.523 68.693-28.558-3.312-6.433-7.005-11.522-10.45-17.227zm-144.192 6.376c-3.087 5.64-5.058 11.674-3.324 21.248 22.38 12.77 46.023 22.978 71.57 21.213-1.423-7.106-1.735-13.834-.988-20.003-22 1.55-43.95-8.657-67.258-22.46zM68.264 466.27c-1.9 1.506-3.11 3.636-3.733 6.283-.84 4.403-.692 7.85 2.988 10.25 4.6 3.152 10.89 1.93 13.98-2.713 3.088-4.645 1.78-10.918-2.906-13.942-3.175-2.93-7.098-2.383-10.328.122z"}}]})(props);
};
function GiRopeDart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M446.6 23.16L334.3 45.63l74.8 15 15 74.87zM400 69.8l-88.8 24.11 40.3 24.29 24.3 40.4zm-288.2 38.1c-3.6.2-7.2.9-10.9 2.2-21.56 7.9-38.26 26.2-50.55 49.5s-20.36 52-24.32 82.3c-6.35 48.8-6.55 95.5 8.65 135.7-1.48 1.1-2.91 2.4-4.26 3.7-15.91 15.9-15.91 42.1 0 58 15.91 15.9 42.08 15.9 57.99 0 13.69-13.7 15.59-35 5.67-50.9L116 366.5l-12.7-12.8-21.97 22c-8.59-5.4-18.81-7.3-28.55-5.8-13.24-36.3-14.77-80.6-8.9-125.6 3.73-28.7 11.44-55.5 22.39-76.3 10.95-20.8 24.94-35.2 40.83-40.9 9-3.3 13.8-1.7 20.3 4.8 6.6 6.5 13.1 18.9 18.7 35.2 7.4 21.8 13.2 50.1 18.5 80.1l15.5-15.6c-4.7-25.7-10.1-50.1-17-70.3-6-17.6-12.9-32.2-23-42.2-7-6.9-16.3-11.1-26.3-11.2zm218.6 18.7l-44.7 44.7 12.8 12.8 44.7-44.7-4.9-8zm-78.7 36.2l-21.2 21.3 55.2 55.2 21.2-21.3zM432.8 203c-12.7-.3-23.6 6-32.2 14.5-8.5 8.5-15.4 19.3-21.1 30.6 3.3 7.3 7 14 10.8 20.1 6.3-14.7 14.2-29.2 23-37.9 6.4-6.4 12.5-9.5 18.9-9.3 6.5.2 14.9 3.8 25.4 15.1 13.5 14.3 17.8 24.8 17.9 31.6.1 6.8-3.1 11.8-10.2 17.3-9.9 7.8-26.5 14-42 20.1 5.6 4.6 11.5 8.8 17.6 12.8 12.3-4.8 25.2-10.6 35.5-18.7 9.6-7.5 17.3-18.4 17.1-31.8-.3-13.5-7.6-27.5-22.7-43.7-12.6-13.4-25.4-20.3-38-20.7zm-203.7 5.1L140 297.2l32.5 32.6 89.2-89.2zM358 257.9c-7.6-.3-9.8 11.2-5.2 15.6 14.9 20.5 28.4 52.2 69.1 70.5 9.7-1.5 13-4.8 11.7-9.5-26.5-16.9-50.3-38.5-67.5-72.7-3.1-2.7-5.8-3.8-8.1-3.9zm-33.6 16.5c-6.5.2-8.4 9.6-5.9 13.9 21 36.7 55 69.5 84 87.1 20.1 2 16.3-10.9 9.4-15.4-25.8-15.6-58.8-47.4-77.8-80.7-3.9-3.6-7.2-5-9.7-4.9zm-34.1 13.2c-6.3.2-12.1 8.1-8.6 12.9 21 37.4 72.3 88.5 100.5 105.6 8.5 6 21.6-5.8 9.4-15.4-22.2-13.5-76.3-67-94.3-99-2.1-3-4.6-4.1-7-4.1zm-163 22.3l-21.2 21.2 32.5 32.6 21.2-21.2zm140.2 8.7c-6.3.4-10.3 7.9-3.9 16.7 19.1 37.4 50.7 66.1 86.5 91.5 13.2 8.1 21.1-5.2 10.4-14.6-34.6-24.6-63.8-51.5-80.9-85.1-3.5-5.9-7.7-8.4-11.4-8.5zm-70.6 12.2l-15.5 15.5c4.3 22.6 9.2 43.1 15.4 59.4l-.2.2c-8.5 8-15.2 17.7-16.3 29.4-1.2 11.7 3.5 24.1 13.8 36 9.6 11 20.7 16.9 31.9 17.5 11.2.5 21.6-4 30.6-10.5 15.5-10.9 28.7-27.8 39.4-42.7 5.7 5.1 11.5 10.1 17.6 15.1 11 4.6 15.3.7 11.4-13.8-33.5-27.7-60.3-56-76.1-85.1-12.8-12.6-19.5 1.3-15.8 8.6 3.2 5.8 6.7 11.5 10.5 17.2-10.8 4.7-21.9 10.1-31.8 16.6-5.7-16.6-10.4-38.9-14.9-63.4zM60.31 387.2c5.57.2 11.08 2.5 15.37 6.8 9.05 9.1 9.05 23.5 0 32.6-9.05 9-23.48 9-32.53 0-8.79-8.8-9.04-22.7-.77-31.8 1.97 3.8 4.08 7.5 6.38 11.1 6.21 9.4 23.37 3.3 17.59-8.1-2.17-3.4-4.17-6.9-6.04-10.6zm194.39 5.3c8.3 10.4 17.7 20.6 28 30.6-10.8 15.1-23.8 31.6-36.4 40.5-7.1 5-13.7 7.4-19.5 7.2-5.8-.3-11.8-2.9-19.1-11.3-8.2-9.4-10.1-16.4-9.5-22.4.5-4.6 2.7-9.2 6.7-13.9 4.9 8.1 10.8 14.4 19.1 17.4 6.1 2.1 13.1 1.8 19.6-.7 6.4-2.6 12.5-7 18.8-13.3l-12.8-12.8c-5.1 5.2-9.5 8.1-12.7 9.3-3.1 1.3-4.9 1.2-6.8.5-2.9-1.1-7-5.1-11.1-12.5 10.2-6.9 23.1-13.2 35.7-18.6z"}}]})(props);
};
function GiRopeway (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304 20c-21.997 0-40 18.003-40 40 0 1.224.065 2.433.174 3.629a23.696 23.696 0 0 0-19.166 1.254C239.012 50.323 224.654 40 208 40c-21.997 0-40 18.003-40 40 0 19.307 13.87 35.534 32.135 39.215L16 170.363v16.608l232-64.446V200h16v-81.918l232-64.445V37.029L338.057 80.902A39.664 39.664 0 0 0 344 60c0-21.997-18.003-40-40-40zm0 16c13.35 0 24 10.65 24 24s-10.65 24-24 24-24-10.65-24-24 10.65-24 24-24zm-96 20c13.35 0 24 10.65 24 24s-10.65 24-24 24-24-10.65-24-24 10.65-24 24-24zm48 22.176c4.513 0 8 3.487 8 8s-3.487 8-8 8-8-3.487-8-8 3.487-8 8-8zm23.396 13.289a40.238 40.238 0 0 0 6.206 4.01L276.9 97.89a23.82 23.82 0 0 0 2.496-6.426zm-39.43 12.502a24.323 24.323 0 0 0 4.17 3.025l-9.269 2.574a40.53 40.53 0 0 0 5.1-5.6zM132.957 216L104 274.184V440h304V274.145L379.047 216H132.955zM136 240h64v96h-64v-96zm88 0h64v96h-64v-96zm88 0h64v96h-64v-96zM128 360h256v16H128v-16z"}}]})(props);
};
function GiRosaShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.875 20.844c-61.545.405-123.647 9.54-187.47 27.812L59.938 50.5l-.28 6.72c-6.405 147.46 49.12 346.625 192.28 429.28l4.688 2.688 4.656-2.688c139.03-80.27 201.88-281.764 195.376-429.28l-.125-5.907-6.624-2.657c-63.63-18.215-126.57-27.65-190.062-27.812-1.984-.005-3.984-.013-5.97 0zm.344 18.625c1.86-.013 3.73-.006 5.593 0 59.47.15 118.43 8.782 178.28 25.343 3.956 139.034-57.428 327.223-181.468 402.625-128.09-77.646-182.55-263.02-178.438-402.594C138.233 48.228 196.493 39.838 254.22 39.47zM258 56.03l-28.438 126.72-45.312-25.313 26.97 48.25-92.5 26.157 91.655 25.937-26.688 47.72 45.625-25.5 28.657 127.688 28.655-127.625 45.875 25.656-26.72-47.814 91.845-26-92.75-26.25 27.063-48.406-45.5 25.438L258 56.03z"}}]})(props);
};
function GiRose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M281.31 21.217L239.997 127.13l76.01 103.673 97.135-7.532-3.1-79.284-78.2-12.468-1.61 41.535 29.11 7.568-.766-14.1 18.662-1.012 2.15 39.635-68.41-17.788 3.004-77.61 68.65 10.946-2.456-86.044-98.863-13.43zM243.63 66.39l-73.702 39.917L195.885 243.7l141.306 80.704 154.447-80.037-11.252-142.205-79.617-.988.642 22.512 26.705 4.257 4.403 112.57-125.436 9.727-88.227-120.338 24.774-63.51zm-93.107 88.706c-2.992-.017-6.01.004-9.054.06-9.456.174-19.425.853-29.44 1.594 9.427 13.32 18.694 26.165 30.157 35.938 7.894 6.73 16.835 12.308 28.075 16.056l-10.1-53.453c-3.184-.11-6.396-.176-9.64-.194zm25.57 84.51c-14.278 5.27-27.16 13.25-39.437 23.55-17.875 14.995-34.273 35.22-50.625 58.47 56.9 2.6 100.16-6.41 147.316-35.01l-54.223-30.966-3.03-16.045zm270.854 48.968l-50.64 26.244c27.874 20.83 54.865 27.206 90.162 28.557-8.76-21.213-22.617-39.484-39.523-54.8zm-189.853 4.895c-14.566 9.75-28.84 17.8-43.156 24.342.37 10.843 2.813 19.703 6.968 26.47-29.49 37.69-61.714 72.017-96.78 102.843-17.584-1.215-24.577-19.137-17.845-37.344-22.758 18.074-30.427 42.166-20 68.376-6.832 5.23-13.75 10.354-20.78 15.344h45.344c25.65-20.11 49.915-41.82 72.844-65.094 29.485 9.192 54.05-1.51 69.625-27.97-14.975 8.052-31.217 5.627-37.438-6.686 9.653-11.06 19.037-22.436 28.156-34.125 7.25 1.21 15.586.57 24.72-2.03-8.863-17.974-13.326-39.19-11.656-64.126zm18.133 17.065c1.205 25.213 10.463 44.01 24.648 60.12 17.914 20.346 44.73 35.942 73.625 50.814 7.79-33.575 9.555-62.664-2.05-93.77l-34.692 17.978-61.53-35.143z","fillRule":"evenodd"}}]})(props);
};
function GiRoughWound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M378.744 133.25c-238.248 24.048-68.733 98.574 81.488 161.753-254.586-53.513-69.623 96.14 22.624 194.884-97.054-61.694-215.83-120.378-320.06-142.827 234.825-17.035 26.77-138.346-134.27-172.088 185.74-1.445 164.326-12.097 8.96-152.757 131.684 75.394 215.833 97.65 341.26 111.038z"}}]})(props);
};
function GiRoundBottomFlask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196.336 18.547l39.486 92.598c15.428 5.19 30.466 4.96 46.135.003l34.246-92.6H196.336zM163.73 35.12l4.58 12.55c8.285 22.705 21.58 45.92 28.958 67.684 7.376 21.764 9.1 40.382-3.14 57.646-13.68 19.295-38.588 39.036-60.622 62.426S91.95 286.95 91.95 323.506c0 90.996 73.863 165.607 164.91 165.607 91.046 0 165.607-74.562 165.607-165.607 0-36.353-18.633-64.975-40.346-88.727-21.712-23.752-46.847-43.572-62.23-62.305-9.18-11.176-8.083-34.136-.88-58.948 7.202-24.812 19.265-50.037 25.908-65.34l5.67-13.066H330l-32.982 89.187c-4.628 21.963-4.8 43.92 8.43 60.03 17.494 21.302 42.586 40.852 62.88 63.052 20.295 22.198 35.45 46.107 35.45 76.116 0 80.852-66.064 146.92-146.92 146.92-80.853 0-146.22-66.015-146.22-146.92 0-29.948 15.754-53.275 36.47-75.266 20.72-21.99 46.04-41.55 62.263-64.43 16.084-22.685 13.952-48.6 6.29-72.304l-24.262-56.893c-.116-.265-.242-.538-.357-.802h.017l-7.97-18.69H163.73zm93.225 202.234c-29.526 0-56.244 4.575-74.752 11.5-9.254 3.462-16.414 7.55-20.732 11.37-3.928 3.476-5.263 6.203-5.474 8.42h-.267c0 15.347 7.808 29.99 20.916 41.887-.505-.217-1.025-.427-1.523-.65-10.727-4.78-19.682-10.378-26.387-16.952-2.23-2.187-4.24-4.532-5.937-7.02-7.48 12.14-12.415 25.588-12.415 41.14 0 69.77 56.745 127.132 126.517 127.132 69.772 0 127.13-57.36 127.13-127.13 0-15.723-4.923-29.484-12.39-41.93-1.802 2.782-4 5.39-6.466 7.808-6.705 6.574-15.66 12.17-26.387 16.953-.444.198-.908.385-1.356.58 13.06-11.885 20.837-26.5 20.837-41.817h-.354c-.21-2.216-1.546-4.943-5.475-8.418-4.317-3.82-11.477-7.91-20.73-11.37-18.51-6.926-45.23-11.5-74.755-11.5z"}}]})(props);
};
function GiRoundKnob (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.9 63.99l-5.8.1h-.2l-4.1.16.5 16c-11.7.51-23.2 1.96-34.4 4.27l-3.4-15.82-5 1.26h-.2l-5.4 1.32h-.2l-5.4 1.44h-.2l-1.7.51 4.6 15.52c-11.3 3.31-22.2 7.49-32.6 12.45l-6.8-14.57-.5.32h-.1l-.1.1-4.9 2.42h-.2l-4.8 2.54-.1.1h-.1l-4.7 2.64-.1.1h-.1l-1 .61 8.2 13.84c-10.2 6-19.8 12.7-28.9 20.2l-10-12.5-.3.1-.1.1-.1.1-4.1 3.5-.1.1-.1.1-3.96 3.6-.1.1-.1.1-3.94 3.7-.1.1-.1.1-.95.9L105.3 141c-8.34 8.1-16.08 16.8-23.07 26.2l-12.96-10 .12.3-.1.1-.1.1-3.18 4.3-.1.1-.1.1-3.07 4.4-.1.1-.1.1-2.97 4.5-.1.1-.1.1-.79 1.3 13.85 8.6c-6.16 9.8-11.56 20-16.13 30.7l-14.52-6.3-.39.4v.2l-2.06 5.1-.1.1v.1l-1.94 5.1v.2l-1.82 5.2v.2l-.35 1 15.04 4.9c-3.66 11-6.46 22.3-8.34 34l-15.72-2.6-.37 1.7v.2l-.78 5.6v.2l-.65 5.7v.2l-.43 4.9 15.86 1.4c-.46 5.8-.7 11.5-.7 17.4h18C57.03 187 146 98.01 256 98.01S455 187 455 297h18c0-6.5-.3-12.9-.9-19.2l16-1.4-.3-3.1v-.2l-.7-5.7v-.2l-.8-5.6v-.2l-.6-3.5-15.8 2.7c-1.9-11.6-4.8-22.9-8.5-33.8l15.1-5.3-1.6-4.5v-.1l-.1-.1-1.9-5.1-.1-.1v-.1l-2.1-5.1v-.1l-.1-.1-.9-2.1-14.7 6.5c-4.6-10.7-10.1-21-16.3-30.7l13.4-8.8-2.8-4.3-.1-.1-.1-.1-3-4.4-.1-.1-.1-.1-3.1-4.3-.1-.1-.1-.1-1.2-1.7-12.8 9.8c-7-9.2-14.8-17.9-23.2-25.9l10.9-11.7-3.6-3.4v-.1l-.1-.1-4-3.6-.1-.1-.1-.1-4.1-3.4-.1-.1-.1-.1-1.8-1.5-10.1 12.7c-9-7.3-18.6-13.9-28.7-19.6l7.9-14.06-4.2-2.35h-.1l-.1-.1-4.8-2.54h-.2l-4.9-2.42-.1-.1h-.1l-2.1-.98-6.8 14.45c-10.4-4.89-21.3-8.99-32.5-12.2l4.2-15.48-5.4-1.44h-.2l-5.4-1.32h-.2l-5.4-1.18H302.8l-1.3-.25-3 15.56c-11.3-2.24-22.8-3.6-34.6-4.02l.5-15.98-2.3-.1h-.2l-5.8-.1h-.1zM256 146c-83.5 0-151 67.5-151 151s67.5 151 151 151 151-67.5 151-151c0-56-30.3-104.8-75.5-130.8L289.6 250l-15.8-8.8 41.5-83.1c-18.2-7.8-38.2-12.1-59.3-12.1z"}}]})(props);
};
function GiRoundShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M261.563 64.28A191.758 191.758 0 0 0 64.25 256a191.758 191.758 0 1 0 383.5 0A191.758 191.758 0 0 0 261.562 64.28zm-4.625 9.126l8.937 5.156v10.313l-8.938 5.156-8.906-5.155V78.562l8.907-5.156zm3.53 29.25A153.407 153.407 0 0 1 409.407 256a153.407 153.407 0 0 1-306.812 0A153.407 153.407 0 0 1 260.47 102.656zm-11.53 20.03a133.607 133.607 0 0 0-65.157 20.908V368.22a133.607 133.607 0 0 0 65.157 21.092V122.688zm17.687.314v266.125a133.607 133.607 0 0 0 63.438-22.03V145a133.607 133.607 0 0 0-63.438-22zm-100.5 34.344A133.607 133.607 0 0 0 122.405 256a133.607 133.607 0 0 0 43.72 98.78V157.345zm-60.72 1.625l8.907 5.155v10.28l-8.906 5.157-8.937-5.156v-10.28l8.936-5.157zm300.5 0l8.94 5.155v10.28l-8.94 5.157-8.905-5.156v-10.28l8.906-5.157zm-58.155.093V353.03A133.607 133.607 0 0 0 389.594 256a133.607 133.607 0 0 0-41.844-96.938zm57.813 173.125l8.937 5.156v10.312l-8.938 5.156-8.906-5.156v-10.312l8.906-5.156zm-299.813.718l8.938 5.156v10.313l-8.938 5.156-8.938-5.155v-10.313l8.938-5.156zm149.906 85.188l8.938 5.156v10.313l-8.938 5.156-8.906-5.158V423.25l8.906-5.156z"}}]})(props);
};
function GiRoundSilo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M115.656 28.16C42.89 96.712 27.625 185.73 46.39 263.08a232.81 232.81 0 0 1 13.507-24.022C49.238 172.145 66.094 99.583 128 41.26zm280.688 0L384 41.26c61.906 58.323 78.762 130.885 68.104 197.798a232.812 232.812 0 0 1 13.507 24.021c18.764-77.348 3.499-166.366-69.267-234.92zM194.365 69.613a4.6 4.6 0 0 0-.7.07c-27.81 5.234-50.363 30.588-67.784 62.034-11.011 19.875-19.705 41.487-26.666 60.842 31.81-28.97 71.662-49.247 115.785-57.098V115.84h82v19.611c40.735 7.25 77.826 25.102 108.313 50.598-.663-3.694-1.462-7.447-2.446-11.17-4.722-17.875-13.374-34.987-24.129-42.738-2.772-1.999-.307-1.308-4.084-.52-3.777.788-11.258 2.664-23 2.213-8.63-.331-15.5-6.455-18.683-12.572-3.184-6.118-4.443-12.57-5.756-18.467-1.313-5.897-2.68-11.238-4.152-14.068-1.474-2.831-1.291-2.812-3.409-2.893-8.092-.31-28.564 3.406-45.64 7.453-17.077 4.047-31.526 8.201-31.526 8.201l-5.697 1.639-3.756-4.586s-6.907-8.405-15.879-16.266c-4.486-3.93-9.464-7.651-13.873-9.97-3.857-2.03-7.079-2.75-8.918-2.692zM233 133.841v16h46v-16zm-18 19.912C129.075 170.309 61.465 237.919 44.908 323.84h80.362c14.075-44.798 50.578-79.744 96.298-91.617l-6.298-25.2-2.797-11.183h87.054l-9.095 36.383c45.72 11.873 82.223 46.82 96.298 91.617h80.362C450.535 237.919 382.925 170.309 297 153.753v14.088h-82zm20.527 60.088l11.5 46h17.946l11.5-46zm-9.6 35.82c-37.898 9.833-68.395 37.828-81.697 74.18H247v-46h-14.027zm60.145 0l-7.045 28.18H265v46h102.77c-13.302-36.352-43.799-64.347-81.698-74.18zM25 341.841v30h462v-30zm17.451 48a213.875 213.875 0 0 0 12.492 51.328l5.328-5.328h78.608c-8.461-13.91-14.522-29.435-17.588-46zm97.176 0a118.396 118.396 0 0 0 20.812 46h37.915l-13.143-46zm64.305 0l26.857 94h50.422l26.857-94zm122.857 0l-13.143 46h37.915a118.396 118.396 0 0 0 20.812-46zm63.92 0c-3.066 16.565-9.127 32.09-17.588 46h78.608l5.328 5.328a213.875 213.875 0 0 0 12.492-51.328zm-322.98 64l-30.002 30h174.341l-8.572-30zm240.775 0l-8.572 30h174.341l-30.002-30z"}}]})(props);
};
function GiRoundStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 38.013c-22.458 0-66.472 110.3-84.64 123.502-18.17 13.2-136.674 20.975-143.614 42.334-6.94 21.358 84.362 97.303 91.302 118.662 6.94 21.36-22.286 136.465-4.116 149.665 18.17 13.2 118.61-50.164 141.068-50.164 22.458 0 122.9 63.365 141.068 50.164 18.17-13.2-11.056-128.306-4.116-149.665 6.94-21.36 98.242-97.304 91.302-118.663-6.94-21.36-125.444-29.134-143.613-42.335-18.168-13.2-62.182-123.502-84.64-123.502z"}}]})(props);
};
function GiRoundStrawBale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M327.77 39.993c-41.907 6.704-70.758 3.13-101.303 17.678h-26.88c.342.33.692.644 1.03.98 9.635 9.633 18.07 22.32 25.375 37.445l1.516-.606c33.74 15.472 48.943 42.502 61.947 70.177-18.663-17.576-35.772-38.473-56.088-52.52 12.214 31.56 20.324 71.11 22.815 114.79l.17-.567 16.855 76.555-16.45-31.533c-1.61 52.21-11.177 99.253-26.243 134.865-8.283 19.577-18.21 35.75-29.897 47.434-.338.338-.688.65-1.03.98h98.767c-22.975 6.925-50.947 9.928-74.31 16.112 38.377.768 85.118.466 119.317-16.11H352c9.276 0 18.522-4.346 27.89-13.712 9.37-9.366 18.405-23.653 26.048-41.717 14.13-33.397 23.546-79.537 24.89-130.88 6.415 7.794 11.654 17.045 16.574 27.382-3.274 40.622-11.47 77.23-23.285 106.582v41.91l-10.283-19.88c-6.3 11.585-13.36 21.478-21.217 29.333-.338.338-.688.65-1.03.98H416c9.276 0 18.522-4.344 27.89-13.71 6.75-6.748 13.325-16.063 19.333-27.492l3.603 26.3 16.076-79.992c1.674-6.65 3.187-13.577 4.543-20.718l-21.8 24.267 25.628-48.404C493.68 297.2 495 277.3 495 256.67c0-45.56-6.38-87.61-16.89-121.138 4.86 6.194 9.62 12.975 14.54 20.174-6.124-27.588-20.115-50.18-36.63-69.12-3.917-5.962-7.99-11.066-12.13-15.204-9.368-9.366-18.614-13.71-27.89-13.71h-24.412c.34.33.69.642 1.03.98 11.687 11.684 21.613 27.856 29.896 47.433C439.08 145.24 449 198.205 449 256.67c0 6.046-.112 12.028-.32 17.946-4.48-14.128-10.872-27.217-18.155-39.332-2.122-47.848-11.26-90.684-24.587-122.185-7.643-18.065-16.68-32.352-26.047-41.718-9.368-9.366-18.614-13.71-27.89-13.71h-79.742c17.065-5.663 40.283-9.433 55.513-17.68zM96 57.67c-9.276 0-18.522 4.346-27.89 13.712-9.37 9.366-18.405 23.653-26.047 41.717-4 9.455-7.62 19.942-10.79 31.27-3.858-16.566-3.208-32.146-3.96-52.232-9.42 39.392-8.33 72.102-7.225 110.445C18.086 219.788 17 237.93 17 256.67c0 56.41 9.778 107.446 25.063 143.573a193.892 193.892 0 0 0 4.83 10.535c-8.746-10.814-15.728-22.887-24.297-33.826 12.706 19.757 21.097 43.046 39.45 58.184 1.998 2.496 4.022 4.783 6.063 6.824 9.368 9.366 18.614 13.71 27.89 13.71s18.522-4.344 27.89-13.71c9.37-9.366 18.405-23.653 26.047-41.717 2.293-5.42 4.46-11.18 6.49-17.238-12.02 9.263-27.215 20.65-29.304 20.65-2.774 0 24.35-31.1 36.193-44.54 4.93-20.015 8.494-42.332 10.31-66.13a81.142 81.142 0 0 0-2.5-2.572l2.675.127a478.222 478.222 0 0 0 1.2-33.87c0-4.557-.07-9.076-.195-13.56 3.753 10.688 7.577 22.448 11.634 36.454-3.523-30.028-8.096-64.585-15.792-86.862-4.274-30.565-11.487-57.8-20.71-79.603-7.643-18.065-16.68-32.352-26.047-41.718-9.368-9.366-18.614-13.71-27.89-13.71zm39.588 0c.34.33.69.644 1.03.98 11.687 11.686 21.613 27.858 29.896 47.435C183.08 145.24 193 198.205 193 256.67c0 13.244-.514 26.2-1.494 38.782 21.076 26.906 23.5 56.24 23.867 85.28-8.803-21.494-15.322-44.94-25.9-64.92-4.258 34.785-12.206 66.028-22.96 91.445-8.282 19.577-18.208 35.75-29.896 47.434-.338.338-.688.65-1.03.98H160c9.276 0 18.522-4.344 27.89-13.71 9.37-9.366 18.405-23.653 26.048-41.717C229.22 364.116 239 313.08 239 256.67c0-26.82-2.214-52.419-6.176-75.784 4.327 5.647 8.596 11.74 12.994 18.174-3.69-16.626-10.24-31.435-18.474-44.73-3.736-15.19-8.257-29.06-13.406-41.23-7.643-18.065-16.68-32.352-26.047-41.718-9.368-9.366-18.614-13.71-27.89-13.71h-24.412zm209.258 14.485c25.247 16.81 34.262 41.267 41.437 66.02-17.208-22.52-31.504-49.7-54.783-62.508l13.346-3.512zM116.236 85.85l-7.75 26.48c2.683 1.692 5.332 4.213 7.903 7.6 24.142 31.81 33.814 122.726 23.68 195.915-11.788 85.14-44.5 119.04-70.756 82.033-11.732-16.536-21.186-45.314-27.134-80.34 6.253 13.644 14.966 26.91 20.238 29.143 3.32 8.92 7.032 16.408 11.05 22.07 21.26 29.968 47.877 2.376 57.296-65.65 7.957-57.47.328-129.188-18.295-153.724-15.28-20.13-34.28.26-40.466 49.336-4.867 38.61.462 86.45 13.025 100.836 9.26 10.603 20.707-2.47 23.68-32.287.974-9.757.7-21.466-.65-30.6-1.353-9.135-3.496-15.446-6.644-17.667-1.502-1.06-3.746-.072-5.178 2.45-1.43 2.525-1.983 4.742-2.013 9.164l-10.147-.688c.113-16.41 3.4-29.625 7.195-36.32 3.797-6.694 8.17-8.712 12.366-5.753 6.42 4.53 11.164 18.747 13.62 35.344 2.146 14.503 2.764 31.013 1.7 46.827l-.224.076c.05.49.08.976.11 1.46-.132 1.765-.278 3.522-.45 5.263-.212 2.11-.455 4.147-.712 6.15-3.856 14.255-16.13 25.742-28.278 36.12 6.435 1.698 15.85-5.43 24.272-14.98-7.548 28.537-20.868 38.327-32.12 25.44-18.357-21.02-25.846-88.2-18.99-142.6 5.43-43.08 17.81-69.57 31.36-75.785l22.308-25.31zM46.918 268.66c1.802 21.987 5.182 42.453 9.756 59.724C46.56 317.382 41.87 303.82 38.45 290.61c-.505-4.6-.972-9.248-1.36-13.982l9.828-7.97zM353.1 286.814h12.912c-9.574 23.627-30.99 45.624-55.125 62.08 15.558-20.322 36.29-39.35 42.213-62.08zm21.478 108.65l3.303 13.397c-17.2 24.983-41.794 33.616-66.655 40.405 22.785-16.856 50.186-30.726 63.353-53.803z"}}]})(props);
};
function GiRoundStruck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M444.098 19.16l-75.114 117.7-60.69-29.085L286.5 164.12c-11.048-3.82-22.37-5.51-33.496-5.257-12.552.285-24.847 3.042-36.21 7.955l-20.16-7.437 34.79-70.763L18.862 66.38l117.697 75.116-29.087 60.686 56.36 21.804c-8.05 23.45-6.478 48.13 2.763 69.5l-7.516 20.37-70.758-34.79-22.24 212.56 75.113-117.698 60.688 29.088 21.887-56.58c23.334 8.013 47.888 6.495 69.185-2.625l20.596 7.598-34.792 70.76 212.562 22.24-117.697-75.115 29.082-60.688-56.557-21.88c8.102-23.41 6.6-48.063-2.56-69.434l7.512-20.358 70.757 34.79 22.24-212.562zM253.326 177.482c3.33-.07 6.683.098 10.04.467-27.333 6.483-47.673 31.032-47.673 60.35 0 34.263 27.777 62.04 62.04 62.04 22.998 0 43.055-12.522 53.77-31.11-.914 4.94-2.313 9.866-4.24 14.717-15.896 39.996-60.943 59.42-100.94 43.524-39.994-15.894-59.42-60.94-43.524-100.937 11.92-29.994 40.24-48.418 70.526-49.05z"}}]})(props);
};
function GiRoundTable (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.8 30.44c-9.5 1.2-18.1 12.3-18.1 26.8 0 8 2.7 15 6.7 19.9l4.9 5.8-7.5 1.4c-5.2 1-9 3.8-12.3 8.3-3.4 4.6-5.9 10.76-7.6 18.06-3.2 13.1-3.9 29.1-4 43.3h17.5l1.6 21.9c6.8-.3 13.8-.5 20.9-.5 7.5 0 14.8.2 21.9.6l1.5-22h16.6c0-14.3-.2-30.6-3.1-43.9-1.6-7.2-4-13.46-7.3-17.96s-7.4-7.2-13.3-8.1l-7.6-1.2 4.8-6c3.9-4.8 6.5-11.8 6.5-19.6 0-15.4-9.6-26.8-20.1-26.8zM61.9 174.4c-9.5 1.2-18.1 12.3-18.1 26.8 0 8 2.7 15 6.7 19.9l4.9 5.8-7.5 1.4c-5.2 1-9 3.8-12.3 8.3-3.4 4.6-5.9 10.8-7.6 18.1-3.2 13.1-3.9 29.1-4 43.3h17.5l4.7 64.3c12.2 2.8 25.2 2.6 36.94 0l4.3-64.3H104c0-14.3-.2-30.6-3.1-43.9-1.57-7.2-3.97-13.5-7.27-18-3.29-4.5-7.39-7.2-13.29-8.1l-7.64-1.2 4.8-6c3.94-4.8 6.54-11.8 6.54-19.6 0-15.4-9.64-26.8-20.14-26.8zm384 0c-9.5 1.2-18.1 12.3-18.1 26.8 0 8 2.7 15 6.7 19.9l4.9 5.8-7.5 1.4c-5.2 1-9 3.8-12.3 8.3-3.4 4.6-5.9 10.8-7.6 18.1-3.2 13.1-3.9 29.1-4 43.3h17.5l4.7 64.3c12.2 2.8 25.2 2.6 36.9 0l4.3-64.3H488c0-14.3-.2-30.6-3.1-43.9-1.6-7.2-4-13.5-7.3-18s-7.4-7.2-13.3-8.1l-7.6-1.2 4.8-6c3.9-4.8 6.5-11.8 6.5-19.6 0-15.4-9.6-26.8-20.1-26.8zm-190 19c-36.7 0-69.9 5.3-93.2 13.5-11.6 4.1-20.7 9-26.3 13.7-5.7 4.7-7.5 8.6-7.5 11.8 0 3.2 1.8 7.1 7.5 11.8 5.6 4.7 14.7 9.5 26.3 13.7 23.3 8.2 56.5 13.5 93.2 13.5s69.9-5.3 93.2-13.5c11.6-4.2 20.7-9 26.3-13.7 5.7-4.7 7.5-8.6 7.5-11.8 0-3.2-1.8-7.1-7.5-11.8-5.6-4.7-14.7-9.6-26.3-13.7-23.3-8.2-56.5-13.5-93.2-13.5zm-105 79.2v45.8h18v-39.8c-4.2-1.2-8.3-2.4-12.2-3.8-2-.7-3.9-1.4-5.8-2.2zm210 0c-1.9.8-3.8 1.5-5.8 2.2-3.9 1.4-8 2.6-12.2 3.8v39.8h18zm-107.1 19c-9.5 1.2-18.1 12.3-18.1 26.8 0 8 2.7 15 6.7 19.9l4.9 5.8-7.5 1.4c-5.2 1-9 3.8-12.3 8.3-3.4 4.6-5.9 10.8-7.6 18.1-3.2 13.1-3.9 29.1-4 43.3h17.5l4.7 64.3c12.2 2.8 25.2 2.6 36.9 0l4.3-64.3h16.6c0-14.3-.2-30.6-3.1-43.9-1.6-7.2-4-13.5-7.3-18s-7.4-7.2-13.3-8.1l-7.6-1.2 4.8-6c3.9-4.8 6.5-11.8 6.5-19.6 0-15.4-9.6-26.8-20.1-26.8z"}}]})(props);
};
function GiRoyalLove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M368.916 38.908c-15.49.145-31.22 3.356-46.316 9.82-40.01 25.788-50.568 67.182-60.502 109.32 44.02-10.522 87.27-21.872 112.422-65.44l.005 145.12c-25.506-44.172-68.58-55.153-112.44-65.492 10.338 43.86 21.32 86.932 65.493 112.436l-145.12-.002c43.563-25.152 54.914-68.402 65.435-112.42-43.837 10.336-86.88 21.325-112.375 65.48l.002-145.12c25.14 43.545 68.36 54.902 112.357 65.417-9.795-40.978-20.336-81.273-56.916-106.922-75.954-34.415-171.507 8.28-168.19 112.21 4.593 143.862 210.47 227.71 232.626 310.408 20.28-75.672 236.27-172.54 231.944-310.407h.002C484.876 84.78 430.587 39.92 372.01 38.92c-1.03-.018-2.06-.02-3.094-.012zM255.094 306.645c15.93 0 28.844 12.913 28.844 28.843s-12.914 28.846-28.844 28.846c-15.93 0-28.844-12.916-28.844-28.846s12.914-28.843 28.844-28.843z"}}]})(props);
};
function GiRss (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M27.906 27.28v91.44a365.765 365.765 0 0 1 365.75 365.78h91.438A457.207 457.207 0 0 0 27.906 27.28zm0 154.157v88.813a214.234 214.234 0 0 1 214.22 214.25h88.843A303.063 303.063 0 0 0 27.905 181.437zM88.75 359.125a62.703 62.703 0 0 0-60.844 62.656 62.703 62.703 0 0 0 125.375 0 62.703 62.703 0 0 0-64.53-62.655z"}}]})(props);
};
function GiRubberBoot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48.63 25.08c-.16 19.17-.24 38.35-.28 57.54a61147.346 61147.346 0 0 1 97.25 2.47c54.3 1.41 99.9 2.6 107.9 2.8.8-22.02 1.1-43.32.6-62.82zm-.3 75.52v19.7c5.55.2 11.65.4 18.72.6 22.39.6 51.25 1.2 79.95 1.8 50.4 1.1 93.6 1.8 104.8 2 .3-6.3.7-12.6 1-18.8-8.3-.3-53.5-1.4-107.7-2.8-29.4-.8-59.16-1.6-81.85-2.1-5.98-.2-9.96-.3-14.93-.4zm.1 37.7c.16 48.8.63 97.6 1.28 146.2 25.68-6.7 54.29-9.3 76.39 5.4 18.8 12.9 29.3 32.9 46.2 52.6 17 19.7 40 39.9 83.2 54.8 41.8 14.3 102.6 23.4 193.9 20.1-1.1-3.6-2.5-7.1-4.3-10.1-3.7-6.3-8.6-11-16.1-13.6-34.5-11.9-79.8-17.1-117.2-23.8-18.8-3.3-35.5-7-48.7-12.8-6.6-2.9-12.4-6.3-17-11-4.5-4.7-7.7-11-8.2-17.9-1.4-21.3 3.9-71 8.7-130.7 1.4-17.7 2.8-36.2 4.1-54.8-11.8-.2-54.3-1-104.1-2-28.6-.6-57.52-1.3-79.98-1.9-6.74-.2-12.79-.3-18.19-.5zm39.35 158.3c-9.78-.1-21.99 1.9-37.81 6.5.69 47.8 1.52 95.3 2.41 142.6l400.52 6.4c.3-4.5.4-10.2-.1-16.8-94.3 3.5-158-5.6-203.1-21-46.2-15.9-72.7-38.7-91-60-18.3-21.3-29-40.1-42.8-49.5-7.3-5-15.8-8.2-28.12-8.2zM43.24 464.8l.79 22.1H468.8l-2.4-16.6-341.2-5.4z"}}]})(props);
};
function GiRugbyConversion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 18v135.193c5.95-3.097 11.95-6.065 18-8.89V18h-18zm192 0v247.6l-174-.688v-60.457c-6.182 5.902-12.18 11.908-18 18V311h18v-28.088l174 .688V311h18V18h-18zm-80.1 71.914c-7.024-.18-15.588 2.472-20.54 6.463-7.925 6.386-14.468 22.533-9.155 29.127 5.313 6.594 22.48 3.634 30.406-2.752 7.926-6.386 14.47-22.533 9.158-29.127-1.993-2.473-5.653-3.602-9.868-3.71zm-54.125 57.334C168.5 198.266 48.38 324.17 25.043 471.803l17.316 3.365c15.157-100.106 61.737-149.502 92.28-179.856C120.173 337.77 79.376 405.92 78.27 482.145l21.605 4.2c4.238-108.047 78.028-244.59 204.902-339.097zM241.068 329v158h30V329h-30zm191.618 0v158h30V329h-30z"}}]})(props);
};
function GiRuleBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149.7 17.6c-1.2 0-2.5 0-3.7.1-33.9.8-75.52 10.7-127.22 33.7v371.4c60.7-28.8 106.62-37.1 144.12-33.1 33.5 3.5 59.7 16.6 83.6 31.2h18.3c23.9-14.6 50.1-27.7 83.6-31.2 37.5-4 83.5 4.3 144.2 33.1V51.4c-51.7-23-93.3-32.9-127.2-33.7-1.3 0-2.5-.1-3.7-.1-3.7 0-7.4.1-10.9.3-35.8 2-62.7 14.3-86 32h-18.3c-23.2-17.7-50.2-30-86-32-3.5-.2-7.1-.3-10.8-.3zm106.2 51.2c4.5 0 9.4 1.1 12.8 2.9l115.9 67.1c7.4 4.1 7.4 10.9 0 15.2l-115.9 66.9c-7.2 4.3-18.5 4.3-25.7 0L126.8 154c-7.3-4.3-7.3-11.1 0-15.2L243 71.7c3.4-1.8 7.9-2.9 12.9-2.9zm-89 62.6c-21.6-.4-33.1 15-18.2 24.3 9.6 4.8 23.7 4.4 32.7-.8 8.8-5.3 9.5-13.7 1.5-19.4-4.3-2.5-10-4-16-4.1zm178.6.1c-20.8.4-31.3 15.5-16.3 24.5 9.6 4.9 23.9 4.6 33-.7 8.9-5.3 9.5-13.9 1.2-19.6-4.2-2.4-9.9-4-15.9-4.2h-2zm-89 0c-6.6-.1-13 1.5-17.7 4.2-10.2 5.6-10.4 15.1-.6 20.9 9.9 5.8 25.8 5.6 35.1-.6 15-9 4.6-24.3-16.8-24.5zm-141 41c1.5.1 3.4.5 5.6 1.6l111.5 64.5c7.2 4.1 12.9 14.2 12.9 22.5v119.7c0 8.3-5.7 11.7-12.9 7.6L121.2 324c-7.4-4.3-13.2-14.2-13.2-22.6V181.7c0-6.2 3-9.2 7.5-9.2zm281.3 0c4.2 0 7.2 3 7.2 9.2v119.7c0 8.4-6 18.3-13 22.6l-111.5 64.4c-7.2 4.1-12.9.7-12.9-7.6V261.1c0-8.3 5.7-18.4 12.9-22.5L391 174.1c2.1-1.1 4.2-1.5 5.8-1.6zm-185 65.5h-1.1c-5.3.4-8.5 4.8-8.5 11.6-.6 10.4 7.2 24.1 16.9 29.8 9.8 5.6 17.6 1.1 17.2-9.9.2-14.2-13.3-31.1-24.5-31.5zm130.9 21.8c-11.2.1-24.8 17.2-24.7 31.4.1 10.4 7.7 14.4 17.2 8.9 9.4-5.5 17-18.3 17.1-28.8 0-6.7-3.3-11.1-8.5-11.5h-1.1zm-216.9 22.5c-5.4.3-8.7 4.7-8.7 11.6-.5 10.5 7.3 24.1 17 29.8 9.8 5.5 17.6 1 17.2-10.1 0-14.5-14.1-31.8-25.5-31.3zm17.6 125.1c-32 .3-71.83 9.8-124.63 36v42.5c60.7-28.8 106.63-37.1 144.13-33.1 18.6 2 34.9 6.9 49.8 13.3-4.7 6.1-9.3 13.3-13.9 21.7H316c-6-8.2-11.8-15.4-17.7-21.6 15-6.5 31.4-11.4 50.1-13.4 37.5-4 83.5 4.3 144.2 33.1v-42.5c-53.1-26.3-93.1-35.9-125.2-36h-3.1c-4.8.1-9.4.4-13.9.9-34 3.6-59.6 18-85.6 34.4v.3c-6.5-2-13-2.4-19.4-1-25.5-16.1-51-30.2-84.4-33.7-5.6-.6-11.5-.9-17.6-.9z"}}]})(props);
};
function GiRun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M372.97 24.938c-8.67.168-17.816 3.644-26.69 10.28-12.618 9.44-24.074 25.203-30.5 44.844-6.424 19.642-6.48 39.12-1.874 54.157 4.608 15.036 13.375 25.225 24.97 29 11.593 3.772 24.724.72 37.343-8.72 12.618-9.44 24.074-25.234 30.5-44.875 6.424-19.642 6.512-39.12 1.905-54.156-4.607-15.038-13.404-25.196-25-28.97-2.9-.944-5.88-1.465-8.938-1.563-.573-.018-1.14-.01-1.718 0zm-155.69 69.78c-21.696.024-43.394 2.203-65.093 7.094-24.91 29.824-43.848 60.255-52.875 98.47l37.376 17.812c8.273-30.735 21.485-53.817 43.375-77 22.706-7.844 45.418-6.237 68.125 1.5-74.24 65.137-51.17 120.676-80.344 226.47-42.653 17.867-85.098 20.53-123.25-.002L23 415.625c59.418 27.09 125.736 29.818 190.844 0 20.368-43.443 27.214-88.603 25-132.906C295.31 354.663 323.11 398.2 338.78 498.56h57.94c-3.12-14.706-6.21-28.394-9.345-41.218-22.522-92.133-47.263-139.63-100.22-198.406 9.695-36.13 22.143-59.665 52.44-74.282 11.167 19.767 29.982 36.682 51.092 48.906l97.375 1.563.47-41.03L402 191.968c-8.05-5.556-14.925-11.73-20.75-18.314-14.886 9.08-32.024 12.563-48.156 7.313-18.422-5.997-31.143-21.962-37.063-41.282-3.482-11.37-4.742-24.05-3.686-37.25-25.017-4.884-50.047-7.746-75.063-7.72z"}}]})(props);
};
function GiRuneStone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M153.568 20.424L109.13 70.79l63.696 291.11-18.746 1.758L92.266 81.143 36.588 137.73 110.28 427.7l41.2-47.26 13.286 13.2-43.715 50.147L322.1 491.56l53.714-49.52-192.472-50.067 5.084-17.99 199.982 52.023 103.87-195.3-68.82-127.98-269.888-82.302zm81.912 51.892c80.62.774 168.87 79.368 155.422 164.98-28.148-67.998-92.725-132.962-165.6-115.685-63.013 14.94-5.186 80.4 65.82 97.693C369.54 238.4 459.874 302.575 400.1 365.79c-55.167 58.34-159.148 2.03-150.717-67.73 17.855 32.638 81.77 85.592 120.695 43.436 54.56-59.084-77.733-93.542-122.27-112.883-45.846-19.903-138.904-86.006-81.083-133.1 20.11-16.38 44.074-23.433 68.753-23.197zm21.893 61.647c7.13.043 15.174.844 23.918 2.453-25.35 11.378-30.295 31.156-25.52 54.936-48.725-35.784-36.897-57.624 1.603-57.39zm140.693 21.39c38.708 17.26 53.486 66.86 8.854 96.036 6.68-32.38 6.314-64.494-8.854-96.038zM246.77 246.485c5.027.003 10.616 1.487 15.886 4.53 12.047 6.955 17.874 19.418 13.014 27.836-4.86 8.417-18.567 9.603-30.613 2.648-12.047-6.955-17.872-19.418-13.012-27.836 2.734-4.735 8.265-7.18 14.726-7.178z"}}]})(props);
};
function GiRuneSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M495.063 17.063L323.375 64.374 19.03 368.72v56.155l297.47-297.47c22.103-22.1 44.235-31.255 61.656-30.53 38.327 1.594 54.864 49.01 5.844 98.03L85.312 493h54.72L446 187.03l49.063-169.968zM360.78 126l-18.686.313.375 22.968-22.97-.374-.313 18.688 23.594.406.408 23.594 18.687-.313-.375-22.968 22.97.375.31-18.687-23.592-.406L360.78 126zm-69.092 61.5l-18.22 4.125 7.188 31.906 1.313 5.876 5.874 1.22 31.22 6.593 3.873-18.282-13.593-2.875 12.53-12.5-13.218-13.22-13.312 13.313-3.656-16.156zm-49.72 38.25l-2.25 28.156-27.468 1.813 1.25 18.655 30.844-2.03 17.937 17.936 13.22-13.217-17.5-17.5 2.594-32.313-18.625-1.5zm-43.437 55.625l-18.28 3.875 7.22 34.125-34.845-6.875L149 330.844l48.72 9.594 13.874 2.718-2.938-13.844-10.125-47.937zm-57 76.094l-16.78 16.78L97.062 368l-4.093 18.25 26.06 5.875 5.345 25.344 18.313-3.845-5.375-25.53 17.437-17.408-13.22-13.218zm-57.155 44.936l-18.688.313.376 22.967-22.938-.375L42.812 444l23.563.375.406 23.594 18.69-.314-1.095-65.25zm-53.844 66.03l-11.5 11.533V493h13.407l11.313-11.344-13.22-13.22z"}}]})(props);
};
function GiRunningNinja (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M378.321 58.818c-3.95 6.585-5.374 14.345-2.228 20.761 8.425 5.494 50.968 15.802 47.286 29.773-.784 2.301-1.087 3.54-1.515 5.224-7.4-6.764-22.462-10.05-27.902-9.049-4.832.843-9.721 3.05-14.44 3.248-5.986-.032-11.34-1.516-15.925-4.254 3.24 8.943 14.85 15.537 22.049 14.412 11.318-2.258 23.535 3.723 31.779 6.67-5.055 13.86-22.014 7.334-22.014 7.334l-121.937-28.02L253.44 90.45 236.1 108.17l88.945 29.131-120.023 2.676-29.907-12.486-40.77 23.617 182.99 13.291-56.212 59.426h99.22c19.341-15.746 63.009-51.2 63.645-50.793 12.867 29.973 33.256 19.023 48.815 1.55 4.515-5.069 9.47 12.362 12.021-16.015.64-1 1.217-2.011 1.772-3.03-18.028-7.661-48.58 5.732-31.817-17.992 5.135-7.262 20.776-5.296 36.871 3.97.582-15.262-1.056-42.396-15.484-48.39-14.85-6.169-34.024-5.48-41.316 2.682-9.946-16.88-39.574-19.07-51.307-20.764-3.453-5.429-4.558-10.479-5.223-16.226zm-188.328 59.236l-4.558 4.034 16.138 6.853 10.852-10.887zm276.578 24.354c6.542 4.808 7.01 5.943 11.393 6.1 1.597-1.021 5.12-4.613 1.857-5.37l-11.04-2.203c-1.14-.204-2.02.646-2.21 1.473zM148.167 160.44l-5.95 5.264h22.43l5.952-5.264zm-39.285 13.598l-12 15.357h15.855l5.461-6.414h42.592l-7.937 6.94h15.953l16-15.356zm15.664 15.933L20.251 309.592l23.027-4.516 98.618-115.104zM251.3 234.216L119.878 373.16l-16.697 4.265s-12.898 29.813-18.834 65.059c7.659 4.113 17.39-8.02 17.39-8.02s-1.1 13.09 6.64 9.743c14.097-28.569 29.864-58.248 29.864-58.248l159.721-121.877 20.994 5.584 27.758 7.386-62.557 58.727-11.238-12.15s-34.319 38.069-47.305 66.224c4.13 4.74 20.33-7.64 20.33-7.64s-5.369 9.615 1.932 9.31c17.808-16.694 29.682-29.826 29.682-29.826l132.82-98.543-48.23-28.938z"}}]})(props);
};
function GiRunningShoe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M135.6 38.35l-17 6.17c6.2 16.99 9.1 34.17 2.3 51.32 4.5 4.76 8.9 9.46 13.3 14.06 12.5-24.41 9.2-50.15 1.4-71.55zm-25.8 71.95c-6.8 2.6-12.82 5.9-18.27 9.7 27.17 29.8 50.17 61.6 63.77 92.1 12.7 28.7 17.4 57.3 7.2 81.1l219.8 158.9c27.5-1.4 45.3-8.1 57.5-17.5 12.8-9.8 20.1-22.9 25.4-38.4-2.9-3.2-6.1-6.3-9.6-9.4-25.7 4.5-48.2-.6-66.9-12.4-19.5-12.2-34.8-31.1-47.8-53-24.5-41.3-41-94-57.7-137.5-44.5 4.5-77.1-1.7-102.7-14.2-30.6-15-50.7-38.1-70.7-59.4zm-31.92 21.5c-4.57 4.9-8.65 10.3-12.34 16.1-10.56 16.7-17.8 37-23.99 57.9l105.85 76.5c5.7-17.1 2.3-38.5-8.6-62.9-12.5-27.9-34.6-58.6-60.92-87.6zm238.92 47c-5.2 1-10.2 1.9-15.2 2.7 3.7 9.7 7.4 19.7 11.1 29.8l26 13.1c-6.9-16.1-13.7-31.5-21.9-45.6zm-285.29 42c-2.72 2.9-4.48 5.9-5.39 9-1.23 4-1.07 8.4 1.01 13.8L266 398c21.8 14 41.4 25.6 59.2 35.1zm290.29 15.3c6.9 18.3 14.2 36.4 22.3 53.1l33.2 14.7c-11.2-18.1-19.8-36.1-27.5-53.7zm36.2 78.8c11.7 19.2 25 34.7 40.3 44.3 11 6.9 22.9 10.9 36.8 11.3-14.8-12.4-27.1-25.2-37.6-38.2zm119.8 98.4c-5.9 13.3-14.2 25.8-27 35.6-11.4 8.7-26 15.2-44.7 18.6 17.5 4.9 31.2 6.5 41.6 6.1 14.9-.6 23.4-4.7 28.6-8.8 5.2-4.1 7.2-8.2 8.1-10.2 3.5-7.8 3.2-19.9-2.5-33.3-1.1-2.6-2.5-5.3-4.1-8z"}}]})(props);
};
function GiRupee (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 25.076L107.053 130.004l64.996 32.486L247 106.297v-81.22zm18 0v81.22l74.95 56.194 65-32.488L265 25.076zm9.277 22.307l36.63 26.437c-25.125-4.207-29.74 9.2-37.348 28.8l.717-55.237zm-37.79 3.926l-.274 33.362c-22.052 1.182-56.787 14.423-107.893 43.99L236.488 51.31zM256 122.044l-74 55.48v156.948l74 55.482 74-55.482V177.527l-74-55.482zm4.215 17.67c-37.503 33.84-60.642 164.833-63.65 199.094l-.35-151.095 64-48zM99 146.1v219.8l65-32.488V178.588L99 146.1zm314 0l-65 32.488v154.824l65 32.488V146.1zm-301.352 23.31l40.473 20.83c-46.28 38.757-30.79 122.693-41.876 162.572l1.404-183.402zm60.4 180.1l-64.995 32.486L247 486.924v-81.22l-74.95-56.194zm167.903 0L265 405.703v81.22l139.947-104.927-64.996-32.486zm-169.415 17.172c-19.594 16.282-16.745 24.365 4.477 54.412l-44.246-38.018 39.77-16.394z"}}]})(props);
};
function GiRustySword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M57.81 26.99c-18.98-.42-36.97 22.7-27.29 37.18 2.44 3.65 4.92 7.32 7.4 10.98l40.57 3.75 2.29-37.74c-2-2.08-4-4.14-6.01-6.24-5.24-5.47-11.14-7.8-16.96-7.93zm39.95 31.68l-1.34 21.89 25.28 2.34c-8-7.95-16-16.05-23.94-24.23zM51.07 94.44C59.03 106 67.16 117.6 75.43 129.1l1.96-32.23zm133.23.22L83.9 169.2l27.6 43 106.3-85.7zm-88.97 3.86l-2.54 41.68 49.71-37-.4-.4zM205.2 159.9l-24.5 19.7c31.4 33.7 56.2 54.3 95 88.1l-11.8 13.6C225 247.4 199.2 226 166.5 191l-28.1 22.6c25.6 32.9 52 64.9 78.4 95.1l34.2-10.9.6 49.5c29 31.1 57.9 59.4 85.7 83.5 15.7-1 29.6-2.9 41.9-5.6l.3-13.4 29.4-2.8 21.3-49.8 35.4 5.7c8.2-13.1 15.6-28.3 23.2-45.8-29.3-10-56.6-20.7-82.2-32.2l-28.8 7.1-21.5-31.5c-57.1-30.2-105.9-64.6-151.1-102.6zM80.28 197c-7.04 7-17.62 18.1-27.81 31.1-8.64 11-17.02 23.3-22.65 36-5.64 12.6-8.84 26.1-4.89 38.9 6.08 19.7 21.67 31.8 39.66 38.9 3.39 1.4 6.88 2.6 10.46 3.7 8.01-5.1 14.66-9.4 20.08-13.6-8.73-1.8-16.84-4-23.9-6.8-15.11-6-24.88-13.9-29.1-27.6-1.99-6.4-.54-15.7 4.14-26.2s12.28-21.9 20.36-32.2c8.39-10.7 17.11-20.1 23.61-26.7zm44.52 27.6l-14.5 11.6c1 2.1 1.9 4.3 2.9 6.5 11 25.1 19.9 55.8 16.4 72.8-3 14.6-17.4 25.7-34.38 38-17.04 12.3-36.75 25.7-41.88 48.9-2.78 12.5 1.91 25.3 6.19 36.1 4.29 10.8 9.05 19.4 9.05 19.4l15.74-8.8s-4.25-7.6-8.05-17.3c-3.8-9.6-6.27-21.4-5.35-25.6 3.23-14.5 17.77-25.7 34.78-38.1 17.1-12.3 36.7-25.8 41.5-49 5.3-25.7-6-57.2-17.5-83.6-1.6-3.8-3.3-7.4-4.9-10.9zM157 342.3c-4.3 5.3-8.8 10.6-13.7 16 13.9 2.2 27 4.9 38.1 8.9 16.2 5.8 27.5 13.7 33.1 26.9 3.9 8.9-1.3 30.1-9.7 48.1-8.5 17.9-18.5 32.6-18.5 32.6l14.8 10.2s10.8-15.6 19.9-35.2c9.2-19.5 18.6-43 10.1-62.9-8.2-18.9-24.9-29.9-43.6-36.7-9.6-3.5-20-5.9-30.5-7.9z"}}]})(props);
};
function GiSBrick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208 141a9.5 9.5 0 0 0-9.5 9.5v96a9.5 9.5 0 0 0 9.5 9.5 9.5 9.5 0 0 0-9.5 9.5 9.5 9.5 0 0 0-9.5-9.5H93a9.5 9.5 0 0 0-9.5 9.5v96A9.5 9.5 0 0 0 93 371h96a9.5 9.5 0 0 0 9.5-9.5 9.5 9.5 0 0 0 9.5 9.5h96a9.5 9.5 0 0 0 9.5-9.5v-96a9.5 9.5 0 0 0-9.5-9.5 9.5 9.5 0 0 0 9.5-9.5 9.5 9.5 0 0 0 9.5 9.5h96a9.5 9.5 0 0 0 9.5-9.5v-96a9.5 9.5 0 0 0-9.5-9.5h-96a9.5 9.5 0 0 0-9.5 9.5 9.5 9.5 0 0 0-9.5-9.5h-96zm9.5 19h77v77h-77v-77zm115 0h77v77h-77v-77zm-230 115h77v77h-77v-77zm115 0h77v77h-77v-77z"}}]})(props);
};
function GiSaberAndPistol (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M61.85 19.51c-15.08-.07-30.16 2.37-45.2 7.64C77.61 52.92 136.1 109.7 193.1 176.8l60.3-40.1C192.4 67.49 127.2 19.84 61.85 19.51zM442 32.08L109.9 252.7C90 265.9 70.45 268.9 53.86 267c-12.28-1.4-22.98-5.3-31.77-9.6-4.18 11.3-3.73 21-.16 27.5 4.67 8 14.54 13.6 35.43 10.7l22.8-3.2-14.01 18.1c-27.23 35.3-43.29 105 7.58 167.4 10.57 12.7 22.97 18 36.27 18.9 13.1 1 27-3 38.2-9.9 11.2-6.8 19.3-16.3 22.2-25.1 2.9-9 1.7-16.6-7.6-25.6-14.4-13.9-29.1-29.4-37-47.8 23.3-15.2 42.8-29.4 54.1-46.8 5.9-9.2 9.3-19.8 8.8-30.9-.6-11.1-4.8-22.3-12.4-34.2 95.2-68 199.2-130 296.4-197.68zM309.6 207.9l-59.5 39.2c26.7 34.1 53.2 69 79.6 102.4-14.7 12.4-28.6 17.5-37.5 16.7l-1.6 18.6c19.7 1.7 41-9.7 61.3-30.4 21.9-22.4 44.7-28.1 65.2-24.7 20.5 3.5 38.9 16.8 49.6 34.2 10.7 17.5 13.7 38.3 4.7 58.1-9 19.9-30.8 39.7-73.1 52.7l5.4 17.8c45.8-14 72.9-36.8 84.7-62.7 11.8-25.9 7.7-53.8-5.8-75.6-13.4-21.9-36-38.5-62.4-42.9-13-2.2-26.9-1.2-40.6 3.4-22.1-36.7-45.5-73-70-106.8zm-148.1 80.2c5.7 9.3 8.1 17 8.5 23.6.3 7-1.5 13.2-5.8 19.8-7.7 11.9-23.4 24.2-44.1 38.2-.3-2.2-.5-4.4-.6-6.8-1.1-23.6 11-48.7 42-74.8zm223 65c-6.6 3-13.4 7.4-20.2 13.6 8.6 26.1 36.2 62.1 60.3 77.1 8.6-4.9 15.2-10.3 20.1-16-8.9-25.8-37.4-59.9-60.2-74.7z"}}]})(props);
};
function GiSaberSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M275.03 20c35.223 49.563 53.59 113.64 55.69 173.47C315.154 143 289.092 88.423 250.81 48.75c40.294 79.527 51.15 172.312 37.938 256.094-12.287-75.777-40.564-159.524-92.375-227.156 29.6 70.937 36.64 149.785 24.813 221.843-8.745-51.804-25.41-107.4-52.594-158.81 13.023 54.315 12.854 107.64 3.437 159.28l21.657 6.813 15 4.718-11.28 10.908c-10.68 10.332-19.868 21.905-27.345 34.343 93.614 35.486 232.952 64.53 298.032 41.376-41.02 56.466-210.332 13.822-309.313-18.687-1.514 3.775-2.918 7.594-4.124 11.467-3.014 9.686-5.023 19.61-6.062 29.657l176.47 66.375c98.5 31.095 150.5-24.62 158.655-81.72C505.253 254.472 485.016 105.66 426.06 20h-22.187c40.092 65.52 66.67 154.216 60.47 255.344-8.154-79.833-42.8-157.214-98.44-219.5 38.676 85.094 56.566 185.746 34.376 288.625.057-118.816-33.1-225.865-105.092-324.47H275.03zm-110.186 1.594c41.255 29.176 74.328 74.093 97.5 120.656-7.702-46.15-21.3-86.79-44-120.656h-53.5zm176.375 0c28.882 15.143 52.096 36.614 71.28 66.78-7.14-27.79-17.217-49.85-31.438-66.78H341.22zM123.686 304.406c2.528 21.65 1.07 43.31-4.062 64L18.812 336.344V366l91.938 29.094c-7.38 17.44-17.563 33.767-30.313 48.28l50.094 15.75c-3.038-24.898-1.136-49.885 6.282-73.718 7.446-23.92 20.223-46.108 37.032-65.22l-50.156-15.78z"}}]})(props);
};
function GiSaberTooth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M107.938 17.313c-64.05-.594-139.82 178.305-40.157 337.78C46.42 198.208 89.32 135.292 120.22 98.75c-5.237 44.174 3.966 104.642 35.186 171.313-3.883-99.417 20.93-155.205 37.688-188.813-2.532 40.235 9.096 98.635 32.28 158.688 6.373-75.308 23.287-126.69 30.564-160.094 7.276 33.403 24.19 84.782 30.562 160.094 23.203-60.1 34.806-118.544 32.25-158.782 16.757 33.598 41.637 89.394 37.75 188.906 31.22-66.67 40.424-127.138 35.188-171.312 30.9 36.54 73.765 99.462 52.406 256.344 118.12-189.008-10.15-405.3-73.313-317.72-.614.853-1.19 1.676-1.717 2.5-12.798-14.073-29.877-18.707-49.125-11.03-7.397 2.95-11.8 6.116-13.97 9.906-7.806-9.65-19.195-13.25-34.468-8.97-7.67 2.15-12.638 5.573-15.563 10.47-2.926-4.89-7.9-8.32-15.562-10.47-15.254-4.276-26.63-.684-34.438 8.94-2.175-3.78-6.62-6.933-14-9.876-19.248-7.677-36.296-3.043-49.093 11.03-.528-.824-1.104-1.647-1.72-2.5-9.868-13.684-21.325-19.952-33.186-20.062zm12.312 254.03c-38.28 148.97 18.404 251.585 73.938 216.688 7.56-4.75 11.073-9.09 11.593-13.905 8.243 11.194 20.33 15.146 36.47 9.938 7.026-2.268 11.393-5.666 13.688-10.375 2.294 4.71 6.66 8.107 13.687 10.375 16.14 5.208 28.227 1.256 36.47-9.938.52 4.816 4.032 9.155 11.592 13.906 55.534 34.898 112.218-67.716 73.938-216.686-15.7 109.287-57.585 155.766-76.313 181.97 9.146-34.875 3.78-94.316-14.25-163.564-13.933 79.56-38.066 129.646-45.125 159.563-7.06-29.918-31.192-80.01-45.125-159.563-18.03 69.248-23.364 128.69-14.218 163.563-18.727-26.203-60.645-72.682-76.344-181.97z","fillRule":"evenodd"}}]})(props);
};
function GiSaberToothedCatHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M194.2 41.72c-26.2 1.32-41.5 8.87-61.3 12.62-18.1 3.45-39.15 2.35-70.36-10.96C57.5 57.27 61.3 72.51 73.9 84.95c28.3 18.75 57.9 22.75 82 18.05l3 17.8c-32.5 6.5-70.62 38.8-89.87 60.4 13.4-1.3 27.54-1.6 40.77-.9 10.8.6 20.8 1.8 29.3 4 8.5 2.1 15.7 4.4 20.9 10.9l8.9 11-13.8 3.3C93.55 224.4 49.64 252.6 27.01 282c40.71-3.3 78.99-2.9 115.19 8.7-8.1 24.6-19 49.7-31 69.9-9.7 23.7-17.62 36.3-24.8 45.2.7-.2 1.29-.2 2.02-.4 9.7-2 21.88-5.9 33.68-10.3 23.5-8.8 45.3-19.2 45.3-19.2l15.5-7.4-2.7 16.9c-4 25.3-4.3 44.1-1.8 57 2.5 12.9 7.1 19.5 13.5 23.5 6.5 3.9 16 5.5 29 4.1 10.9-1.1 24-4.3 38.7-8.9-10.7-33.2-27.9-66-25.9-109.2 1.5-33.5 16.5-70.3 54-87.6 53.2-24.4 111.4-6.9 173.5 2.1.1 0-.1 0 .1-.1.8-.6 2.6-2.2 4.4-4.8 3.6-5.1 7.7-13.4 11.1-22.9 1.3-3.6 2.5-7.3 3.6-11.1-12.3-.2-21.1 0-29.6-5.5-5.2-3.4-8.9-8.7-11.8-15.1-4.5-11.6-6.5-19.2-9.5-29.9-13.5-.4-27.6 1.1-39.9-2.4-15.8-4.5-26.6-20.3-30.5-34.7-3-11.5-4.1-21.1-17.3-34.5-50.7-33.88-95.3-67.04-147.6-63.68zM263.4 129c34.4 22 60.4 37 91.3 45.1-27 10.5-66.4 15.7-87.1 2.2-7.4-5.7-9.3-24-4.2-47.3zM82.21 142.7c-14.31 4-31.75 7.2-56.8 8.9v54.1l14.49-17.9c11.99-14.8 25.36-30.5 42.31-45.1zm372.89 35.8c10.9 6.8 21.7 12.1 31.1 19.2.4-5.2.5-10 .2-14.1-9.9-3.6-22-4.4-31.3-5.1zM48.82 202.3l-23.41 5.1v49c22.81-23 56.2-42.9 98.39-56.7-24.31-2.8-51.27-2.4-74.98 2.6zm293.08 68.1c2 8 2.9 20.4 3.4 27.9 10-7.3 17.4-18.9 23.8-27.2-9.6-.8-18.4-1-27.2-.7zm57.1 4.3c-3.4 25.3-13.5 51.7-25.1 77.7-10.5 23.5-22.2 46.5-31.9 67.2 17.1-12.8 36.8-32.8 53.8-55.6 20.2-27 36.7-57.7 43.6-82.7-14-2.3-27.4-4.6-40.4-6.6zM63.54 297.4c-13.4.1-26.59 1.2-38.13 3.1v122.2c4.11-7.5 8.65-15.5 13.77-23.8 9.04-14.5 19.36-29.1 30.47-40.6 10.12-10.4 20.99-18.8 33.55-20.3 5.6-10.5 11-22.2 15.8-35.2-15.9-3.8-35.9-5.5-55.46-5.4zM314 394.9l-47.1 31.9c2.5 7 5.1 14 7.5 21.2 14.8-17.5 28.5-35.1 39.6-53.1z"}}]})(props);
};
function GiSabersChoc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M286.313 15.688l-27.344 93.437-99.345-81.188 2.844 59.626-62.5-71.313 55.405 155.094L45.53 153.656l71.44 67.813-99.5 41.81 113.968 24.095-66.875 97.75 86.718.47.27-.16-53.226 76.985 98.78-66.066 25.552 94.302L283.5 384.75l51.313 99.97-20.25-102.876L429.53 424.5l-41-125.594 74.22-90-88.25-9.03 98-112.19-118.53 76.5 12.436-120.25-70.625 74.97-9.467-103.22zm-64.22 92.218c-1.85 32.582 5.535 54.595 29.22 88.75 3.503 5.053 7.998 11.39 13.218 18.5 27.253-31.716 53.06-65.5 72.283-95.875 9.52 26.452-16.487 79.21-51.032 123.75 14.97 18.868 32.62 39.58 51.033 57.97l17.78-17.78 13.22 13.217-23.657 23.657 42.03 42.03-13.217 13.22-42.033-42.03-23.656 23.655-13.217-13.22 18.187-18.188c-17.205-16.823-34.137-35.352-49.97-54.937-12.22 12.986-24.73 24.26-36.56 32.563 5.864 14.06 3.938 31.497-11.75 47.187l-23.657-23.688-48.657 48.657-13.22-13.22 48.626-48.624-23.625-23.656c15.812-15.81 35.026-16.877 50.094-9.688 12.003-11.6 24.51-24.447 37.032-38.062-12.025-16.877-23-34.274-32.468-51.844-23.307-43.25-21.733-65.31 14-82.344z"}}]})(props);
};
function GiSacrificialDagger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M51.438 20.344c-.53.008-1.067.03-1.594.062-8.444.54-16.707 4.267-22.688 11.063-11.96 13.59-10.622 34.6 2.97 46.56 10.514 9.256 25.48 10.558 37.25 4.376 25.11 37.356 71.58 79.415 109.75 98.656l-54.763 62.22-75.75-35.29 60.188 52.973-.112.13 15 13.186L261.51 115.415l.02.033 19.35-21.986-74.84-65.868 44.355 70.222-58.05 65.967c-22.824-35.32-69.262-77.595-109.69-98.624C87.444 52.636 84.31 37.82 73.72 28.5c-6.372-5.607-14.352-8.287-22.282-8.156zm.968 18.562c3.184.107 6.34 1.312 8.97 3.625 6.008 5.29 6.57 14.18 1.28 20.19C57.368 68.727 48.51 69.29 42.5 64c-6.01-5.29-6.603-14.177-1.313-20.188 2.645-3.005 6.213-4.643 9.844-4.874.455-.03.92-.047 1.376-.032zM243.78 163.812L190.376 224.5l303.28 266.938c6.093-69.34-117.503-205.138-172.186-258.313-13.02 11.276-32.71 11.51-46-.188-13.484-11.865-15.638-31.819-5.626-46.218l-26.063-22.907z"}}]})(props);
};
function GiSadCrab (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M406.125 63.5c-2.77-.006-5.507.245-8.22.75-.77.143-1.53.317-2.28.5 31.724 13.294 45.583 80.38 32.938 128.75-27.244-19-52.83-48.975-69.125-85.594-3.936 17.603-3.088 38.91 3.562 61.063 14.06 46.84 49.064 81.22 81.438 82.03 2.413 7.61 3.62 15.377 3.062 22.094-.574 6.91-2.73 12.567-6.75 16.937-2.736 2.975-6.457 5.54-11.813 7.345-11.156-26.96-54.428-49.023-111.875-58.406l7.782-26.94c8.59-1.858 15.03-9.477 15.03-18.624 0-10.544-8.55-19.094-19.093-19.094s-19.092 8.55-19.092 19.094c0 5.097 2.025 9.708 5.28 13.125l-8.656 29.907c-13.79-1.51-28.198-2.343-43.062-2.343-12.62 0-24.942.588-36.813 1.687l-8.312-28.75c4.017-3.5 6.563-8.628 6.563-14.374 0-10.544-8.55-19.062-19.094-19.062s-19.094 8.518-19.094 19.062c0 8.508 5.56 15.72 13.25 18.188l7.875 27.187c-60.053 8.706-105.796 31.093-117.78 58.72-6.512.095-11.185-1.353-14.72-3.5-4.69-2.85-7.91-7.31-10-13.53-1.948-5.8-2.573-13.033-2.094-20.533 30.84 5.723 70.265-21.42 91.19-64.125 7.964-16.257 12.164-32.583 12.874-47.406-22.317 26.172-51.152 45.68-79.5 56.5-2.78-45.638 26.937-103.885 62.53-103.687.704.003 1.42.043 2.126.093-4.063-4.068-8.93-7.238-14.563-9.282-4.936-1.79-10.156-2.61-15.562-2.56-29.19.264-63.354 26.15-82.313 64.843-19.433 39.662-16.518 79.807 5.063 97.343-1.662 11.733-1.12 23.82 2.563 34.78 3.15 9.38 8.978 18.053 18 23.533 7.033 4.27 15.684 6.4 25.562 6.155 9.402 9.173 18.922 17.656 29.375 25.22C92.165 360.824 83.33 393.616 84 429.5l18.688-.375c-.648-34.763 8.662-63.02 25.937-78.03 5.72 3.274 11.766 6.282 18.22 9.03-10.153 19.133-14.64 43.44-14.157 69.375l18.687-.375c-.466-25.03 4.23-46.694 13.344-62.47 5.153 1.6 10.558 3.06 16.25 4.345-3.35 16.865-4.853 36.836-4.657 58.406L195 429.22c-.187-20.688 1.315-39.628 4.344-54.783 16.303 2.444 34.742 3.75 55.906 3.75 25.547 0 47.04-1.858 65.625-5.312.082.386.17.765.25 1.156 3.083 15.22 4.595 34.32 4.406 55.19l18.69.186c.197-21.862-1.338-42.087-4.783-59.094-.108-.537-.23-1.062-.343-1.593 5.266-1.43 10.307-2.996 15.094-4.72 10.175 15.957 15.462 38.65 14.968 65.125l18.656.375c.514-27.556-4.59-53.282-16.125-72.906 5.594-2.73 10.886-5.675 15.938-8.844 20.01 13.876 30.888 43.84 30.188 81.375l18.687.375c.718-38.435-9.458-73.327-32.844-93.03 7.506-5.86 14.638-12.214 21.688-19 12.43-2.21 22.325-7.357 29.156-14.783 7.275-7.907 10.788-17.947 11.625-28.03.755-9.095-.477-18.37-3.063-27.25 28.068-12.473 39.56-55.32 25.594-101.845C474.44 98.2 438.8 63.566 406.126 63.5zm-71.188 206.188l51.532 43.53-45.626-22.28-32.156 35.187-5.782 6.344-6.812-5.25-41.97-32.314-32.905 34.28-6.69 7.002-6.75-6.97-32.905-33.968-40.063 20.125 47.032-39.75 1.656 1.688 30.938 31.937 32-33.344 5.812-6.062 6.625 5.125 41.813 32.217 31.062-34 3.188-3.5z"}}]})(props);
};
function GiSaddle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M441.65 24.393a9.077 9.077 0 0 0-1.452.08c-4.125.547-9.426 3.87-11.367 11.46-5.247 20.526-12.76 40.182-17.077 50.79.086.108.178.21.264.318 6.13 7.756 11.292 17.36 15.593 27.788.75 1.816 1.46 3.66 2.157 5.518 5.272-.53 10.743-1.793 16.45-3.975 5.046-13.438 7.054-23.478 7.08-35.225.025-12.816-2.37-28.172-6.112-51.424-.447-2.777-1.324-3.7-2.34-4.394-.763-.52-1.835-.894-3.194-.933zM56.648 30.627c-4.033.01-7.61.662-9.5 1.457-.97.408-1.215.48-1.326.486-.508 14.077 3.406 30.818 10.277 44.497 6.895 13.727 16.732 23.946 25.94 27.115 21.892 7.53 54.657 9.57 90.7-15.656-18.006-6.55-32.917-9.786-46.672-14.436-17.293-5.846-32.997-15.124-46.416-35.773-1.404-2.16-11.79-7.233-21.25-7.653-.59-.026-1.176-.038-1.753-.037zM286.503 86.06c-4.53.004-9.036.025-13.514.065-24.478.218-48.16.99-71.243 2.25l-5.096 4.39a169.545 169.545 0 0 1-8.145 6.59c68.666 4.997 135.053 6.64 210.28.03-.297-.395-.593-.807-.89-1.182-4.478-5.666-8.872-8.65-11.84-9.428-34.768-1.863-67.832-2.738-99.552-2.714zm-123.61 29.007c-9.457 4.496-18.745 7.532-27.705 9.42 6.326 8.607 13.46 17.135 21.297 24.94 20.7 20.617 45.453 35.555 71.22 35.358L422.29 169.97c-.812-14.37-4.874-32.65-11.32-48.277a135.863 135.863 0 0 0-2.258-5.142c-88.857 8.45-165.386 5.506-245.848-1.128l.03-.355zm-84.03 7.015l-24.727.656c-.194.28-.545.824-1.055 2.14-1.08 2.79-2.008 7.784-2.23 13.94-.443 12.314 1.66 29.28 6.026 46.006 4.367 16.728 11.03 33.32 18.975 45.23 7.814 11.716 16.262 18.076 24.17 18.694l10.555-.96-3.46-32.505c-14.402-1.814-26.805-12.138-26.805-26.59 0-15.955 15.114-26.88 31.347-26.88 16.234 0 31.348 10.925 31.348 26.88 0 11.39-7.71 20.214-18.027 24.33l3.525 33.135 94.957-8.633c-20.206-3.435-38.645-21.4-48.62-50.564-11.286-6.858-21.688-15.45-31.056-24.778-11.12-11.074-20.865-23.257-29.04-35.244-13.365.387-25.55-1.62-35.882-4.856zm372.52 11.656a81.027 81.027 0 0 1-16.054 4.024c3.787 14.243 5.774 28.595 5.237 40.92l-.347 7.976-31.387 2.39a476.762 476.762 0 0 1 6.043 31.077l32.873-2.988c18.517-18.74 21.183-37.714 16.378-56.412-2.415-9.398-6.998-18.61-12.746-26.987zm-339.726 46.075c-8.45 0-13.347 5.084-13.347 8.88 0 3.793 4.896 8.875 13.347 8.875 8.452 0 13.348-5.082 13.348-8.876 0-3.795-4.896-8.88-13.348-8.88zm278.887 10.627l-95.22 7.25c26.347 58.248 31.033 115.17 23.38 170.486 22.613 2.476 44.69 3.89 60.373.932 8.888-1.678 15.438-4.64 19.492-8.598 4.054-3.958 6.427-8.995 6.376-18.035-.278-49.916-2.173-100.274-14.402-152.035zm-190.56 8.082c8.255 13.282 18.5 20.036 26.857 21.33 6.08.94 11.3-.463 16.108-4.647 3.426-2.98 6.64-7.613 8.975-14.21l-23.6 1.796-.297.003c-9.715.095-19.078-1.46-28.04-4.27zm76.203.625l-5.112.388c-2.987 12.56-8.576 22.517-16.31 29.248a37.803 37.803 0 0 1-11.782 6.97l46.49-4.228c-3.662-10.72-8.076-21.508-13.286-32.378zM130.66 264.04l-17.927 1.628c4.787 61.848 3.29 124.66-6.496 188.85l17.793 2.713c10.02-65.73 11.533-130.037 6.63-193.19zm271.593 116.155l-10.367 3.98c-15.544 5.968-36.597 5.06-52.77 3.743l-12.793-1.043 3.38 12.383 8.24 30.184c-3.815 8.488-6.973 15.055-8.16 22.76-1.275 8.288.454 16.908 4.99 27.24 1.728 3.937 4.332 4.995 6.076 5.748 1.742.752 3.262 1.103 4.89 1.404 3.253.6 6.896.86 11.095.967 8.397.216 18.84-.275 29.324-1.31 10.482-1.035 20.903-2.592 29.34-4.723 4.22-1.065 7.92-2.224 11.247-3.87 3.33-1.644 7.684-3.568 8.9-10.155 2.61-14.132-6.05-25.697-13.43-34.572-5.61-6.748-11.366-12.007-13.825-14.16l-6.14-38.575zM387.83 404.11l1.8 11.306-35.613 4.56-3.614-13.24c11.506.588 24.607.396 37.428-2.627zm10.566 29.925a99.39 99.39 0 0 1 9.982 10.4c5.098 6.133 8.577 13.233 9.316 17.446-1.512.652-3.593 1.435-6.6 2.194-6.995 1.766-16.85 3.29-26.704 4.264-9.855.973-19.81 1.416-27.092 1.23-3.22-.084-5.614-.338-7.33-.597-2.53-6.463-2.982-10.203-2.393-14.03.553-3.59 2.7-8.704 5.653-15.42l45.168-5.485z"}}]})(props);
};
function GiSafetyPin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M453.096 68.55c-15.573-15.573-39.254-25.555-62.635-27.537-23.38-1.98-45.7 4.102-58.84 17.242l-55.593 55.592 40.055 40.054 58.762-15.03a23.294 21.14 45 0 1 1.985-26.995 23.294 21.14 45 0 1 31.42 1.52 23.294 21.14 45 0 1 1.522 31.423 23.294 21.14 45 0 1-26.998 1.988l-15.03 58.758L407.8 245.62l55.59-55.593c13.14-13.14 19.224-35.46 17.243-58.842-1.98-23.38-11.964-47.062-27.537-62.635zM208.488 21.342l-28.57 43.076-140.32 327.15c-14.33 25.316-10.752 58.19 10.77 79.71 25.838 25.84 68.048 25.84 93.887 0l15.323-15.322c3.484-9.32 5.35-20.678 4.01-33.593-.482-16.35-6.913-32.552-19.333-44.972-18.608-18.607-45.707-23.812-69.068-15.618l123.998-289.09 9.303-51.34zm150.72 205.335l-177.68 177.68c2.314 9.15 3.345 17.964 3.34 26.308L374.034 241.5l-14.824-14.823zM129.432 392.215c17.828 17.827 17.828 46.413 0 64.24-17.826 17.826-46.41 17.826-64.238 0-11.94-11.94-15.87-28.7-11.818-43.825l5.094-11.873c1.855-3.034 4.09-5.908 6.724-8.542 17.827-17.826 46.412-17.826 64.24 0z"}}]})(props);
};
function GiSagittarius (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M267.934 459.625l-80.013-80.08-100.315 100.12-57.517-57.516 100.25-100.252c-60.47-60.56-77.15-77.326-79.827-80.078l57.52-57.522 79.95 79.952 128.03-128.028C178.14 101.764 209.1 109.4 204.28 108.128L223.96 29.2l203.814 50.813L477.8 283.637l-79.192 19.745-26.762-107.595-126.212 126.106 80.02 80.018-57.72 57.715z"}}]})(props);
};
function GiSai (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M476.953 34.873C470.795 28.715 237.497 251.72 162.997 326.2l22.628 22.628C261.473 273.082 483.11 41.03 476.953 34.873zM233.747 166.356c-.24-.24-.6-.335-1.07-.293-9.55.855-113.11 97.3-143.888 124.035-3.515 3.515-3.515 9.213 0 12.728l43.84 43.842-13.442 13.504 32.53 32.53 13.443-13.507L209 423.037c3.515 3.514 9.213 3.514 12.728 0 28.048-32.29 129.91-138.957 123.743-144.957L215.363 403.944l-107.48-107.48zm-120.442 213.39l-2.346 21.12 21.12-2.346zm14.072 37.406l-18.455 2.05-2.062 18.564zM94.63 384.844L74.666 404.9l17.955-1.996zm-4.045 36.396l-32.575 3.62 28.955 28.958zM44.82 434.232l-9.9 9.9 33.122 33.12 9.902-9.896z"}}]})(props);
};
function GiSail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M238 20v16.79c4.8-.32 9.6-.53 14.3-.6 7.3-.11 14.5.1 21.7.57V20zm19 33.94h-4.6c-24.3.39-48 4.63-79.2 12.5-.4 13.8-1.8 27.47-3.9 42.43 69.7-18.43 109.6-18.78 175.1-.1-2-15.74-8.3-28.86-16-44.46-25.7-6.71-48.2-10.27-71.4-10.37zm.3 58.26c-6.4.1-12.8.4-19.3 1v19c9-.7 17.7-1.1 26.3-1.1 3.3 0 6.5 0 9.7.1v-18.3c-5.6-.5-11.1-.7-16.7-.7zm6.8 36.6c-32.8.2-68.7 5.7-114.9 16.4-.8 109-25 203.2-60.32 288.3 106.22-24.2 242.42-24.3 343.72 1.3-12.6-138.6-29.3-202.7-68.1-290.9-36.4-10-67.1-15.2-100.4-15.1zM103 164.7v18h27.9c.2-6 .3-12 .4-18zm281.5 0c2.6 6.1 5.1 12.1 7.6 18H409v-18zM46 423v18h28.76c2.42-6 4.79-12 7.09-18zm401.7 0c.6 5.9 1.2 11.9 1.8 18H468v-18zm-187.4 30.6c-7.4 0-14.9.1-22.3.3v38.3h36v-38.5c-4.6 0-9.1-.1-13.7-.1z"}}]})(props);
};
function GiSailboat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M199.256 74.5v285H27.744l25.998 78H380.255l104-78h-267v-285h-18zm18 18c36.787 88.85 64.94 216 0 250h208c22-34-11.905-164.76-208-250zm-36 0c-33.046 69.333-50 200-144 250h144v-250z"}}]})(props);
};
function GiSaintBasilCathedral (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208 22.81c-7.636 5.524-21.8 17.4-22.885 24.467 2.354 3.189 6.509 5.994 9.506 7.723h26.758c3.704-2.789 7.49-4.404 9.506-7.723-4.548-11.043-13.671-18-22.885-24.466zM199.027 73l-11.5 46h40.946l-11.5-46zM304 95.5c-16.026 21.362-36.332 41.846-53.34 60.555-9.89 10.88-18.644 21.146-24.672 30.187C219.961 195.283 217 203 217 208c0 2.1.177 4.112.488 6.045 45.098-28.37 81.492-70.44 97.188-105.135-3.697-4.426-7.289-8.895-10.676-13.41zm23.549 28.225c-19.266 37.932-56.702 78.784-103.026 107.134 4.64 6.573 10.415 11.207 14.297 13.85 51.58-32.122 85.075-67.773 103.881-104.494-5.012-5.389-10.115-10.892-15.152-16.49zM184.219 137l-7.928 87.21 7.197 10.798c14.228 21.341 31.924 36.144 47.512 49.674v-23.537c-10.063-6.447-32-23.84-32-53.145 0-11 5.04-21.283 12.012-31.742 5.927-8.891 13.506-17.983 21.853-27.34L231.781 137zm171.416 17.197c-18.216 32.977-47.038 64.315-87.65 92.803h31.363c37.622-26.747 59.943-50.916 68.187-79.42-4.276-4.942-7.984-9.125-11.9-13.383zM416 159.312c-5.616 7.226-11.495 13.663-17.357 19.52.883 1.39 1.744 2.78 2.543 4.168h36.427c-7.252-6.935-14.636-14.711-21.613-23.688zm-35.309 25.022c-9.618 22.973-27.145 43.002-51.459 62.666h36.293c4.093-2.312 25.475-15.387 25.475-39 0-5-2.96-12.717-8.988-21.758-.417-.625-.878-1.27-1.32-1.908zM87 198.852c-7.35 15.662-12.948 29.163-16.316 41.515-5.113 18.745-5.594 34.937-.026 54.633H87zm18 0V295h4.45c5.076-4.732 9.897-8.9 14.782-13.13 2.197-14.161 1.018-27.08-2.916-41.503-3.368-12.352-8.967-25.852-16.316-41.515zM408.32 201c.88 4.77.795 9.509.248 14h64.584c-5.438-5.327-10.16-9.445-15.427-14zm-346.054 9.043C48.463 223.324 25.822 239.658 25 256c0 23.613 21.382 36.688 25.475 39h1.615c-4.93-20.694-4.132-39.721 1.226-59.367 2.265-8.302 5.289-16.737 8.95-25.59zm67.468 0c3.661 8.853 6.685 17.288 8.95 25.59 2.67 9.79 4.206 19.429 4.466 29.195 6.809-6.576 13.539-13.79 19.786-22.01-9.535-13.514-21.75-22.732-33.202-32.775zM403.111 233c-2.678 5.38-6.028 10.04-9.53 14h92.763c.417-2.222.656-4.551.656-7 0-2.444-.381-4.733-1.12-7zM176 255.313c-15.3 19.685-32.57 33.644-46.074 45.46-7.88 6.896-14.44 13.092-18.694 18.834C106.98 325.35 105 330.25 105 336c0 23.613 21.382 36.688 25.475 39h89.144c1.898-23.248 4.381-44.682 11.381-66.104-2.715-2.604-5.702-5.301-8.926-8.123-13.504-11.816-30.773-25.775-46.074-45.46zM249 265v46h110v-46zm128 0v14h84.525c2.295-1.296 10.023-5.978 16.371-14zm0 32v19.723c2.677 3.802 3.82 8.068 5.166 13.164 1.74 6.588 3.111 14.563 4.281 23.668 2.744 25.07 4.156 47.613 4.983 69.445H455V297zM57 313v126h62v-49.855c-10.063-6.447-32-23.84-32-53.145 0-8.494 2.766-16.195 6.982-23zm188.361 16c-3.624 9.431-4.982 21.037-6.05 30h129.658c-1.956-10.184-2.672-21.785-6.201-30zm-7.845 48c-1.072 12.843-1.899 27.011-2.524 41.39-.698 16.054-1.138 31.855-1.424 46.393L259.902 377zm45.463 0L304 482.104 325.021 377zm65.119 0l26.484 88.283c-.25-14.696-.655-30.688-1.334-46.951-.6-14.36-1.405-28.51-2.473-41.332zM137 393v46h78v-46zm133.252 12.152L243.598 494h44.423zm67.496 0L319.978 494h44.424zM392.025 441c.552 19.69.777 37.785.881 53h89.56c-4.867-18.226-10.506-38.14-22.66-53zM51.803 457c-11.084 11.094-20.588 21.15-24.643 37h68.145c3.994-12.66 9.09-26.375 15.052-37zm80.488 0c-8.132 12.682-14.35 25.025-18.12 37h100.993c.105-11.106.267-23.524.576-37z"}}]})(props);
};
function GiSaiyanSuit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M84.931 28.564c-13.906-.1-28.57 2.754-38.26 11.165v16.119l53.76-11.551-6.064-15.223a102.562 102.562 0 0 0-9.436-.51zm342.138 0c-3.21.024-6.378.205-9.436.51l-6.064 15.223 53.76 11.55V39.73c-9.69-8.411-24.354-11.265-38.26-11.165zm-319.89 32.67L46.67 74.238C-24.404 192 51.23 432.281 162.532 489.268 178.11 497.088 217.055 501 256 501s77.89-3.911 93.468-11.732C460.77 432.28 536.404 192 465.329 74.238l-60.507-13.004-24.198 21.336c-49.185 32.326-85.431 52.277-124.624 52.54-39.193-.263-75.439-20.214-124.624-52.54zm3.717 37.643c10.212-.03 19.551 2.468 26.605 8.541C166.57 136.606 211.17 151.781 256 151.781s89.43-15.175 118.499-44.363c22.573-19.433 68.55-2.247 91.635 17.143 14.037 35.439 14.597 78.629 1.04 120.873-2.572 65.985-34.061 150.899-88.585 201.261-59.617 27.468-80.443 31.803-122.589 31.803s-62.972-4.335-122.59-31.803C78.888 396.333 47.399 311.42 44.827 245.434 31.27 203.19 31.83 160 45.866 124.56c15.87-13.33 42.563-25.62 65.03-25.684zm-1.118 18.039c-17.624.364-39.736 10.531-48.683 17.848-7.609 25.236-15.94 83.165 6.324 114.369 21.799 28.136 48.201 29.473 62.518 27.888 38.977-9.7 78.091-14.953 117.3-15.65v-91.955c-45.685-1.825-90.74-17.753-121.986-49.127-4.223-2.526-9.599-3.494-15.473-3.373zm292.444 0c-5.874-.121-11.25.847-15.473 3.373-31.245 31.374-76.3 47.302-121.986 49.127v91.955c39.209.697 78.323 5.95 117.3 15.65 14.317 1.585 40.72.248 62.518-27.888 22.264-31.204 13.933-89.133 6.324-114.37-8.947-7.316-31.06-17.483-48.683-17.847zM64.603 272.309c13.089 64.16 41.062 139.284 94.236 170.507-24.48-41.23-34.747-103.186-36.098-147.43-15.984-.047-38.27-4.594-58.138-23.077zm382.794 0c-19.868 18.483-42.154 23.03-58.138 23.078-1.35 44.243-11.618 106.199-36.098 147.43 53.174-31.224 81.147-106.348 94.236-170.508zm-307.18 20.714c.192 9.793.783 19.563 1.764 29.25 47.977-6.702 81.097-10.097 114.019-10.097 32.922 0 66.042 3.395 114.019 10.097a360.573 360.573 0 0 0 1.764-29.25c-38.447-9.09-76.926-13.717-115.783-13.717s-77.337 4.627-115.783 13.717zM256 330.053c-31.924 0-64.058 3.384-111.754 10.066a334.947 334.947 0 0 0 5.962 29.856c37.43-7.258 71.616-10.897 105.792-10.897s68.362 3.64 105.792 10.897a334.94 334.94 0 0 0 5.962-29.856c-47.696-6.682-79.83-10.066-111.754-10.066zm0 46.95c-32.502 0-65.009 3.452-100.95 10.347a291.618 291.618 0 0 0 5.788 16.865c39.66 6.411 67.41 9.617 95.162 9.617 27.751 0 55.503-3.206 95.162-9.617a291.61 291.61 0 0 0 5.789-16.865c-35.942-6.895-68.449-10.346-100.951-10.346zm-86.89 46.712c4.36 9.227 9.202 18.037 14.524 26.332 28.982 7.137 50.674 10.705 72.366 10.705s43.384-3.568 72.366-10.705c5.322-8.295 10.164-17.105 14.524-26.332-34.505 5.3-60.697 7.95-86.89 7.95-26.193 0-52.385-2.65-86.89-7.95z"}}]})(props);
};
function GiSalamander (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M219.625 29.53c-12.538-.106-25.858 3.616-39.28 12.564 77.186 8.638 65.824 91.408 14.093 106.22-65.397 18.72-131.322-23.752-98.344-99.22-39.672 18.982-42.17 80.845-12.938 111.47 69.51 72.817-14.83 123.93-34.47 45.624C9.5 331.743 93.523 493.498 291.813 493.5c250.698-.002 252.782-333.456 100-373.844 86.185 87.665-74.57 189.996-62.437 34.656-27.695 69.08-76.458 7.888-47.844-20.343 31.94-31.515-7.574-103.974-61.905-104.44zm.125 145.095c23.755.16 44.78 10.33 51 34.938-19.56-33.796-88.924-11.042-103.906 20.125-18.36 38.184 19.022 68.417 56.187 85.468 6.244-.715 12.503-.975 18.72-.78 19.358-12.103 21.215-29.69 8.625-52.157l-1.906 1.467c-20.405 15.685-29.742-.137-11.095-14.468-16.72-21.752-.014-29.968 14.47-11.126 22.853-17.57 32.77-2.2 11.093 14.47l-.563.405c20.496 21.81 27.934 42.197 12.438 66.25 19.763 5.052 38.288 13.558 54 23.217 8.096-16.49 19.885-29.854 36.968-40.656l-.592-1.092c-7.66-14.315-5.367-23.648.625-23.532 4.1.08 9.912 4.58 15.437 14.906 20.958-11.208 32.81 3.15 8.625 16.094 11.094 20.734-3.953 31.316-16.094 8.625l-.686-1.31c-12.243 10.597-22.677 22.63-28.656 37.624 7.44 5.622 13.878 11.35 19 16.812 1.334 1.424 3.233 1.894 5.343 1.844 2.145-4.647 5.512-8.72 10.22-11.688-1.613-7.725 3.21-15.35 10.938-17.156 7.84-1.832 15.7 3.034 17.53 10.875.113.48.188.96.25 1.44 57.592 2.342 62.316 27.272 12.907 55.342.18.508.343 1.026.47 1.563 1.83 7.84-3.035 15.7-10.876 17.53-7.605 1.778-15.192-2.757-17.314-10.186-11.75-1.01-20.288-9.33-24.375-19.69-4.445-3.454-13.355-2.05-19.717-.56-13.116 3.064-26.855 3.884-40.72 2.842-12.748 7.078-19.934 15.087-14.03 32.313l3.093-1.563c22.982-11.585 29.222 5.73 8.22 16.313 12.348 24.497-5.582 29.44-16.282 8.22-25.544 12.876-32.512-3.75-8.75-16.033-7.552-18.248-7-32.414 3.25-42.937-13.7-3.07-27.22-7.747-40.094-13.656-14.596 21.743-34.015 38.664-64.75 39.967l.063 2.22c.767 27.335-17.44 29.345-18.25.53-23.758.675-27.943-17.473-.532-18.25-.672-23.505 17.523-26.23 18.25-.5l.032 1.188c20.135-6.54 34.9-20.422 39.532-39.094-7.37-4.68-14.354-9.76-20.813-15.124-52.572-27.142-84.692-94.312-56.75-141.5 13.864-23.41 48.928-39.736 79.47-39.53z"}}]})(props);
};
function GiSalmon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M236.977 26.432c-.48 0-.8.32-1.282.32l-2.244 1.123L95.276 85.262C86.78 89.11 79.087 93.757 71.71 99.047c0 0-.32 0-.32.48-3.526 3.046-6.89 6.573-9.937 10.42-3.526 4.97-6.572 10.74-8.976 16.83-1.443 5.77-2.244 11.222-2.565 16.993v1.923c0 4.65.64 8.817 2.244 13.145.32-4.65 1.602-9.62 3.526-13.947 2.244-5.29 6.09-9.938 11.06-13.464 3.046-1.924 6.573-3.847 10.1-4.97 4.648-1.12 9.136-1.922 14.265-2.724 7.695-.8 15.39-1.122 22.282-1.443 9.136 0 18.11.32 27.73.64 11.54.48 22.6 1.924 33.02 3.847 8.176 1.283 15.87 2.726 24.206 4.328l-3.848-5.77-4.168-8.815c-1.122-3.527-1.924-7.374-1.924-10.9v-1.124c.32-3.847 1.124-7.694 3.047-11.54l8.496-11.542 38.47-50.012c.8-.32.8-1.122.8-1.923 0-.803 0-1.604-.8-2.246-.32-.48-1.123-.802-1.443-.802zM31.174 144.74c-1.924 3.366-3.823 6.86-5.426 10.227-2.244 5.77-3.888 11.56-5.01 17.81-.32 3.046-.765 6.556-.765 9.602 0 2.724.488 4.97.488 7.374 1.123 6.893 2.224 13.485 3.827 19.896 4.168 14.267 10.762 27.415 19.9 38.475 5.128 6.252 10.41 12.007 15.86 16.977 4.97 4.328 10.37 8.847 16.14 13.496 6.573 4.97 13.46 9.296 19.55 12.662 9.298 5.45 18.977 10.408 28.595 15.377 34.945 18.594 72.237 31.553 110.066 38.125 25.007 3.526 50.048 6.592 75.696 8.836 0 5.13.312 10.405 1.113 15.375.802 6.25 2.256 12.805 4.66 18.576 2.244 6.41 4.99 12.666 8.836 18.436 4.168 6.092 9.09 11.595 14.54 17.045 6.092 5.29 12.692 9.902 20.386 13.43 5.77 2.564 12.003 4.137 18.575 4.938 1.924 0 3.852.348 5.775.348 1.123 0 2.216-.348 3.338-.348l103.248-7.373h.348c.32 0 1.113-.31 1.113-1.113 0-.8-.827-1.12-1.95-1.6-3.846-1.124-7.985-2.572-12.313-4.175-4.49-1.603-9.635-3.47-14.123-4.592-6.572-2.244-13.47-4.68-20.523-6.123-6.893-1.603-13.777-3.03-21.15-4.313-4.65-.32-9.615-1.105-14.264-2.227-.64-.32-1.46-1.175-1.46-2.297 0 0 .028-.443.35-.764 0-.48.485-.836.485-.836 0-.32.277-.284.277-.765 1.123-.8 2.775-1.585 3.897-2.226 2.725-1.603 5.437-2.772 8.002-3.894 6.572-3.206 13.47-5.77 20.523-8.977 3.046-1.122 6.068-2.216 9.114-3.338 4.33-1.603 8.966-2.738 15.378-4.662 1.282-.32 2.397-.793 3.2-1.113 2.564-.802 5.344-1.634 8.07-2.436-5.45-8.335-12.336-16.484-19.55-23.377l-14.332-13.775c-4.97-4.328-9.588-8.183-13.916-11.55-7.213-5.128-14.25-10.093-20.662-14.26-12.824-8.496-25.844-15.9-39.308-22.473-6.893-3.368-13.933-6.38-24.352-10.228-9.938-3.526-19.525-7.063-17.602-6.262-8.816-2.725-18.107-5.318-26.923-7.722L270.158 191.7c-7.373 3.848-15.064 7.67-21.637 10.716-5.77 2.725-11.51 4.208-17.602 5.01-7.374 1.603-14.61 1.565-21.984.763l-93.436-7.653 25.324 30.264c.802 1.283 1.94 2.712 3.06 4.315.802.802.766 1.43.766 2.713-.32 1.122-1.11 1.95-2.712 1.95-4.49.32-9.127-.008-13.776-.49-6.572-.8-13.18-1.902-19.27-3.825-5.45-1.122-10.382-3.043-15.03-5.287-6.092-2.405-12.383-5.448-17.672-8.975-4.97-3.044-10.05-6.446-14.54-10.296-5.13-3.847-9.656-8.154-13.984-12.802-2.725-3.046-5.41-6.866-7.654-10.713-2.725-5.29-5.007-10.79-6.61-16.56-1.122-6.25-2.232-12.355-2.712-17.324.48-2.725.486-5.4.486-8.766zM20.6 247.3l1.12 9.296c4.65 29.975 15.87 58.83 32.382 84.636 11.22 17.793 25.487 32.7 41.998 44.243l8.816 6.25 17.63 11.06c38.632 22.762 81.272 37.83 125.995 44.402l31.1 2.565 31.737 1.924 33.502-.32c-8.817-5.45-16.833-11.863-23.886-19.237l-6.892-8.015c-5.77-7.373-10.42-15.068-13.465-23.564-1.443-5.45-2.726-10.418-3.848-15.708l-1.925-12.342-33.34-3.527-26.13-3.365-17.63-2.727c-10.1-1.922-20.037-4.647-30.136-7.692l-32.222-11.54-25.006-11.222-25.486-12.664-23.885-13.145-18.755-12.662-23.882-22.28L20.6 247.298zm393.226 92.313c7.213 0 13.15 6.125 13.15 13.498 0 7.535-5.937 13.497-13.15 13.497s-13.148-5.962-13.148-13.496c0-7.372 5.935-13.497 13.148-13.497zm-332.07 85.684c14.266 9.618 27.73 20.037 40.074 31.258 10.74 9.137 20.357 19.235 29.975 29.013 2.725 0 4.97-.802 6.892-1.443 8.496-3.847 16.19-8.015 23.885-12.664 7.374-4.167 13.786-9.135 19.236-14.905-4.167-1.603-8.496-3.046-12.664-4.328-10.42-2.565-20.356-6.092-30.134-10.42-7.214-3.046-14.108-6.41-20.68-10.258-.802.32-1.923.32-2.725.32-4.648 0-9.297-.322-13.785-1.124-13.465-1.122-26.93-3.045-40.074-5.45z"}}]})(props);
};
function GiSaloonDoors (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 73.098c-54.26 1.974-69.31 21.918-90.365 44.886-21.25 23.18-48.362 48.605-115.635 50.71v78.208h16v98H41v94h206V73.098zm18 0v365.804h206v-94h-16v-98h16v-78.207c-67.273-2.106-94.386-27.53-115.635-50.71C334.31 95.014 319.26 75.07 265 73.097zm-87 45.804h54v18h-54v-18zm102 0h54v18h-54v-18zm-136 32h88v18h-88v-18zm136 0h88v18h-88v-18zm-216 32h168v18H64v-18zm216 0h168v18H280v-18zm-216 32h168v18H64v-18zm216 0h168v18H280v-18zm-208 32h160v18H72v-18zm208 0h160v18H280v-18zm-255 18v62h14v-62H25zm448 0v62h14v-62h-14zm-401 14h160v18H72v-18zm208 0h160v18H280v-18zm-208 32h160v18H72v-18zm208 0h160v18H280v-18zm-208 32h160v18H64l8-18zm208 0h160l8 18H280v-18zm-216 32h168v18H64v-18zm216 0h168v18H280v-18zm-216 32h168v18H64v-18zm216 0h168v18H280v-18z"}}]})(props);
};
function GiSaloon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 17c-62.5 0-124.8 16.55-153.6 45.36L99.72 65H72.99v62H439V65h-26.7l-2.7-2.64C380.8 33.55 318.5 17 256 17zM144 79h224v18H144zm-87.01 66v126h30v-96H169v96h46v-71c0-22 20.5-33 41-33s41 11 41 33v71h46v-96h82v96h30V145zM247 186.1c-7.8 1.9-14 6.6-14 13.9v23h14zm18 0V223h14v-23c0-7.3-6.2-12-14-13.9zM105 193v30h14v-30zm32 0v30h14v-30zm224 0v30h14v-30zm32 0v30h14v-30zm-288 48v30h14v-30zm32 0v30h14v-30zm96 0v30h14v-30zm32 0v30h14v-30zm96 0v30h14v-30zm32 0v30h14v-30zM50.11 289l-28 14H489.9l-28-14zm-27.12 32v110h18V321zm50 0v110H119v-67.3L76.23 321zm28.71 0l17.3 17.3V321zm35.3 0v17.3l17.2-17.3zm42.8 0L137 363.7V431h62v-96h114v96h62v-67.3L332.2 321zm178 0l17.2 17.3V321zm35.2 0v17.3l17.2-17.3zm42.8 0L393 363.7V431h46V321zm35.2 0v110h18V321zm-254 32v27.9c3.3-1.3 7-3 11-5 8-3.9 17-8.9 27.9-8.9 10.8-.1 19.6 4.9 27.7 8.9 4.1 2 7.9 3.8 11.4 5.1v-28zm30 34.1c-3.3 1.3-7 3-11 5-5.7 2.9-11.9 6.2-19 7.8V431h30zm18 .1V431h30v-31.1c-7.2-1.7-13.5-5-19.4-7.9-3.8-1.9-7.4-3.5-10.6-4.8zM24.99 449v46H154.4l23-46zm172.61 0l-7 14h130.8l-7-14H199zm137 0l23 46H487v-46zm-153 32l-7 14h162.8l-7-14z"}}]})(props);
};
function GiSaltShaker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M279.406 20c-22.566.257-41.433 6.548-53.187 18.844l-.626-.375-1.78 3.093c-1.508 1.848-2.89 3.787-4.095 5.874-1.197 2.07-2.19 4.228-3.032 6.438l-36.125 62.563-4.688 8.124-5.313 9.188c-.077.134-.142.272-.218.406L62.064 321.72c-12.087 20.93-7.338 47.287 7.248 71.717 14.587 24.43 39.327 48.134 71.032 66.438 31.704 18.304 64.58 27.864 93.03 28.28 28.452.42 53.666-8.63 65.75-29.56l108.532-187.97 4.625-8 4.626-8.063 36.53-63.25c1.662-1.983 3.163-4.11 4.47-6.375 1.29-2.232 2.338-4.543 3.22-6.937l.812-1.375-.282-.156c12.272-37.432-23.027-92.36-84-127.564-33.91-19.578-69.14-29.237-98.25-28.906zm32.97 19.313c4.743.044 10.416 1.66 15.874 4.812 10.916 6.302 16.874 16.395 13.313 22.563-3.562 6.167-15.303 6.052-26.22-.25-10.916-6.303-16.873-16.395-13.312-22.563 1.782-3.084 5.6-4.607 10.345-4.563zm-57.095 7.593c4.745.044 10.387 1.662 15.845 4.813 10.916 6.3 16.905 16.393 13.344 22.56-3.563 6.17-15.304 6.054-26.22-.25-10.916-6.3-16.874-16.393-13.313-22.56 1.78-3.085 5.6-4.608 10.344-4.564zm133 36.22c4.745.043 10.387 1.66 15.845 4.81 10.916 6.304 16.905 16.396 13.344 22.564-3.563 6.168-15.304 6.084-26.22-.22-10.916-6.3-16.874-16.425-13.313-22.593 1.78-3.083 5.6-4.606 10.344-4.562zm-171.717 8.343c3.616 12.197 10.345 24.915 19.75 37.374L195.5 198.438c-.536-.846-1.09-1.69-1.594-2.532-12.515-20.96-14.71-39.73-7.156-52.812l29.813-51.625zM335.125 93c4.744.044 10.417 1.66 15.875 4.813 10.916 6.302 16.874 16.425 13.313 22.593-3.562 6.168-15.303 6.053-26.22-.25-10.916-6.302-16.873-16.426-13.312-22.594 1.782-3.083 5.6-4.606 10.345-4.562zM275.5 103.188c4.744.044 10.386 1.66 15.844 4.812 10.916 6.302 16.874 16.395 13.312 22.563-3.56 6.167-15.27 6.083-26.187-.22-10.918-6.302-16.906-16.425-13.345-22.593 1.78-3.084 5.63-4.607 10.375-4.563zm138.688 35.468c4.743.044 10.416 1.662 15.875 4.813 10.916 6.3 16.873 16.393 13.312 22.56-3.56 6.17-15.302 6.054-26.22-.25-10.915-6.3-16.873-16.393-13.31-22.56 1.78-3.085 5.6-4.608 10.342-4.564zm-62.813 8.375c4.744.045 10.417 1.63 15.875 4.782 10.916 6.303 16.874 16.426 13.313 22.594-3.562 6.168-15.303 6.053-26.22-.25-10.916-6.302-16.873-16.426-13.312-22.594 1.782-3.083 5.6-4.575 10.345-4.53zm-75.906 20.25c5.026 3.787 10.32 7.44 15.842 10.94l-41.718 72.25c-5.707-3.656-11.103-7.494-16.188-11.47l42.063-71.72zm32 20.345c41.19 21.913 83.48 29.3 113.78 22.063l-29.78 51.593c-7.556 13.086-24.873 20.578-49.283 20.22-22.31-.327-49.572-7.498-76.437-21.625l41.72-72.25z"}}]})(props);
};
function GiSamaraMosque (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M269 54.7l-28 4.87v34.12l28-5.7V54.7zm16.5 48.3L225 115.4v33.1l60.5-15.1V103zm25.5 42.5L201 173v31.1l110-18.4v-40.2zm32 53.1l-174 29v46.2l174-21.7v-53.5zm32 67.6l-238 29.7v59l238-23.8v-64.9zm32 79.7l-302 30.2V439h302v-93.1zM41 457v30h78v-30H41zm96 0v30h110v-30H137zm128 0v30h110v-30H265zm128 0v30h78v-30h-78z"}}]})(props);
};
function GiSamuraiHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M356.1 32.57l50 25c-2.2 8.68-9.2 22.47-20.1 37.29C372.7 113 354.4 133.3 335.6 152c-18.7 18.8-38.1 36.2-53.5 48.7-7.7 6.2-14.5 11.3-19.6 14.6-2.5 1.6-4.6 2.9-6 3.6-.3.1-.3.1-.5.1s-.2 0-.5-.1c-1.4-.7-3.5-2-6-3.6-5.1-3.3-11.9-8.4-19.6-14.6-15.4-12.5-34.8-29.9-53.5-48.7-18.8-18.7-37.1-39-50.4-57.13-10.9-14.83-17.9-28.62-20.1-37.3l50-25c14.6 29.73 29.3 62.14 44.2 90.03 16.2 30.5 31.6 55.7 51.9 65.9l4 2 4-2c20.3-10.2 35.7-35.4 51.9-65.9 14.9-27.89 29.6-60.31 44.2-90.03zM256 141.4c7.9 0 15.5.7 22.7 1.9-8.2 12.2-16 21.5-22.7 26.5-6.7-5-14.5-14.3-22.7-26.5 7.2-1.2 14.8-1.9 22.7-1.9zm83.1 32.5c23.3 22.7 35.9 54.6 35.9 86.5v.6c-33-12-75.9-17.6-119-17.6-43.1 0-86 5.6-119 17.6v-.6c0-31.9 12.6-63.8 35.9-86.5 16.2 15.6 32.2 29.8 45.7 40.7 8 6.5 15.1 11.9 21 15.7 2.9 2 5.5 3.5 8 4.7 2.5 1.2 4.4 2.4 8.4 2.4s5.9-1.2 8.4-2.4 5.1-2.7 8-4.7c5.9-3.8 13-9.2 21-15.7 13.5-10.9 29.5-25.1 45.7-40.7zm64.3 38.3c20.6 20 31.5 26.2 63.8 37.3-12.6 24.9-25.9 47.1-57 61.2l-17.3-52c-.1-5.7-.5-11.4-1.3-17.1zm-294.8 0l11.8 29.4c-.8 5.7-1.2 11.4-1.3 17.1l-17.3 52c-31.11-14.1-44.41-36.3-57.01-61.2 32.3-11.1 43.2-17.3 63.81-37.3zM265 261.5c45.1.9 89.3 8.7 117.2 22.2l28.4 85-43.3-19.8c-3.9-23.6-6.3-46.3-6.3-58.5v-14.6l-13 6.5c-27.9 14-55.5 21.6-83 23zm-18 0v43.8c-27.5-1.4-55.1-9-83-23l-13-6.5v14.6c0 12.2-2.4 34.9-6.3 58.5l-43.3 19.8 28.4-85c27.9-13.5 72.1-21.3 117.2-22.2zm96.6 42.8c1.3 18.6 4.8 43.5 9.6 67.6 3 15.4 6.6 30.2 10.5 42.4 3.9 12.3 7.3 21.8 13.9 28.5l2.7 2.6h3.7c14.1 0 38.9 1.2 52.7 9.6-1.8 1.4-4.8 3.2-8.7 4.9-9.4 4-23.9 7.7-41.5 10.6-35.2 5.9-82.9 8.9-130.5 8.9-47.6 0-95.3-3-130.5-8.9-17.6-2.9-32.11-6.6-41.51-10.6-3.9-1.7-6.9-3.5-8.7-4.9 13.7-8.4 38.61-9.6 52.71-9.6h3.7l2.7-2.6c6.6-6.7 10-16.2 13.9-28.5 3.9-12.2 7.5-27 10.5-42.4 4.8-24.1 8.3-49 9.6-67.6 58 25.3 117.2 25.3 175.2 0zm-202.8 66.2c-2.9 14.1-6.2 27.6-9.6 38.4-2.9 9.1-6.1 15.3-8.1 18.5-11.2-.1-27.71 0-43.01 5.1l13.5-40.4zm230.4 0l47.2 21.6 13.5 40.4c-15.3-5.1-31.8-5.2-43-5.1-2-3.2-5.2-9.4-8.1-18.5-3.4-10.8-6.7-24.3-9.6-38.4z"}}]})(props);
};
function GiSamusHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M265 41.08c65 2.2 111.7 28.07 142.8 57.38 16.3 15.34 28.3 31.64 36.1 45.74 7.5 13.8 10.8 25.8 11 31.1l-31 139.7-95.4 79.4-30.6 76.5h-83.8l-30.6-76.5L88.1 315l-31-139.7c.2-5.3 3.5-17.3 11-31.1 7.8-14.1 19.8-30.4 36.1-45.74C135.3 69.15 182 43.28 247 41.08V166.9h-26.7l-31.4 31.4L85.1 181l18.7 112.2 97 64.7 17.4 39.2 75.7-.4 17.3-38.8 97-64.7 16.7-99.8 2-12.4-103.8 17.3-31.4-31.4H265zM467.3 202.6L487 242v95.3L442.3 315zm-422.6 0l25 112.4L25 337.3V242zm388.5 128l44.9 22.4-155 103.3 20.4-50.9zm-354.4 0l89.7 74.8 20.4 50.9L33.9 353z"}}]})(props);
};
function GiSandCastle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M265 30.563v66.874L331.873 64 265 30.562zm-18 58.55c-21.999.542-43.607 3.059-61.74 7.371a12.642 21.07 76.697 0 1 4.097 5.422 12.642 21.07 76.697 0 1-17.595 17.153 12.642 21.07 76.697 0 1-23.414-7.455 12.642 21.07 76.697 0 1-.065-.374c-1.235.86-2.404 1.728-3.426 2.604C139.197 118.686 137 123 137 128s2.197 9.314 7.857 14.166 14.7 9.532 25.989 13.295C193.423 162.987 224.75 167 256 167c31.25 0 62.577-4.013 85.154-11.54 11.289-3.762 20.328-8.442 25.989-13.294C372.803 137.314 375 133 375 128s-2.197-9.314-7.857-14.166-14.7-9.532-25.989-13.295c-8.382-2.794-17.983-5.093-28.326-6.89L265 117.561V128h-18V89.113zm-115.613 65.135l-22.934 103.197a21.07 12.642 10.04 0 1 1.195-.025 21.07 12.642 10.04 0 1 5.631.53 21.07 12.642 10.04 0 1 18.543 16.122 21.07 12.642 10.04 0 1-22.95 8.774 21.07 12.642 10.04 0 1-7.56-2.266l-28.96 130.322a21.07 12.642 18.4 0 1 1.582-.015 21.07 12.642 18.4 0 1 9.504 1.71 21.07 12.642 18.4 0 1 16.001 18.647 21.07 12.642 18.4 0 1-23.984 5.346 21.07 12.642 18.4 0 1-5.281-2.262c1.218 4.319 3.639 8.37 7.244 12.518 7.599 8.744 21.108 17.054 38.768 23.736 22.028 8.335 50.276 14.214 80.835 17.459.092-16.515.797-40.42 6.249-62.225 3.2-12.799 8-25.02 16.101-34.62C229.471 381.593 241.5 375 256 375c14.5 0 26.528 6.594 34.629 16.195 3.072 3.641 5.667 7.66 7.883 11.944a21.07 12.642 0 0 1 21.049 12.642 21.07 12.642 0 0 1-12.479 11.531c5.118 21.398 5.807 44.59 5.897 60.729 30.559-3.245 58.807-9.124 80.835-17.459 1.5-.567 2.957-1.15 4.395-1.74a12.642 21.07 68.16 0 1-4.576-4.625 12.642 21.07 68.16 0 1 14.855-19.574 12.642 21.07 68.16 0 1 11.864-2.375 12.642 21.07 68.16 0 1 11.779 5.072c.148-.165.308-.33.451-.494 7.599-8.744 10.002-17.04 6.764-28.373l-.073-.258-41.218-185.483a12.642 21.07 79.96 0 1-6.057 1.653 12.642 21.07 79.96 0 1-22.951-8.774 12.642 21.07 79.96 0 1 18.543-16.123 12.642 21.07 79.96 0 1 5.187-.506l-12.164-54.734a49.617 49.617 0 0 1-1.756 1.586c-8.34 7.148-19.3 12.468-32.011 16.705C321.423 181.013 288.75 185 256 185c-5.695 0-11.386-.13-17.04-.373a21.07 12.642 0 0 1-20.446 9.654 21.07 12.642 0 0 1-21.069-12.642 21.07 12.642 0 0 1 .104-1.252c-11.605-1.965-22.548-4.566-32.395-7.848-12.711-4.237-23.672-9.557-32.011-16.705a49.617 49.617 0 0 1-1.756-1.586zm217.396 157.697a21.07 12.642 0 0 1 21.07 12.643 21.07 12.642 0 0 1-21.07 12.642 21.07 12.642 0 0 1-21.07-12.642 21.07 12.642 0 0 1 21.07-12.643z"}}]})(props);
};
function GiSandSnake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M31.7 83.93C9.492 194.9 191.1 121 195.3 136.6c2.4 8.9-156.4 35.9-163.56 95.4-16.49 137 321.16.7 323.76 8.9 5.5 17.8-218.6 46.4-149.8 157.7 39.7 64.2 114.8 32 164.1 33.4 26.3 42.4 66.5 60.5 96 48 27.7-11.7 14.8-45.6 1.5-76.5l-14.2 15.7 7.7-28.7c-40.3-63.2-182.5-6.2-188.3-19.9-10.2-24.1 216.2-41.5 180.2-158.7-29-94.2-332.7 21.2-332.9 6.1-.2-20.9 188.1-50.4 167.4-94.9-34.3-73.82-210.22 40.8-224.95-33.59C57 63.05 140.3 42.6 132.3 35.24 106.4 11.35 37.92 52.9 31.7 83.93zM387.8 390.8l35.9 33.6-43.5-12.4z"}}]})(props);
};
function GiSandsOfTime (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M115.063 21.97v9.343c0 101.953 38.158 189.648 96.343 222.093v6.094c-58.186 32.445-96.344 120.14-96.344 222.094v9.344H401.81v-9.344c0-102.552-38.804-190.274-97.53-222.188V253.5c58.722-31.917 97.53-119.64 97.53-222.188V21.97H115.06zM134 40.655h248.875c-2.477 96.445-42.742 175.523-91.938 198.906l-5.343 2.532V270.844l5.344 2.53c49.193 23.383 89.456 102.438 91.937 198.876H134c2.456-95.898 42.125-175.078 90.875-198.938l5.25-2.562v-28.594l-5.25-2.562c-48.748-23.86-88.42-103.04-90.875-198.938zm213.656 86.125c-57.607 27.81-124.526 27.84-177.562 4.095C184.748 181.78 213.91 218.012 248.22 224c-1.54 2.047-2.47 4.585-2.47 7.344 0 6.76 5.488 12.25 12.25 12.25s12.25-5.49 12.25-12.25c0-2.72-.907-5.218-2.406-7.25 35.426-5.88 65.488-44.07 79.812-97.313zM258 258.626c-6.762 0-12.25 5.488-12.25 12.25s5.488 12.25 12.25 12.25 12.25-5.488 12.25-12.25-5.488-12.25-12.25-12.25zm0 39.28c-6.762 0-12.25 5.49-12.25 12.25 0 6.763 5.488 12.25 12.25 12.25s12.25-5.487 12.25-12.25c0-6.76-5.488-12.25-12.25-12.25zm0 39.533c-6.762 0-12.25 5.488-12.25 12.25 0 6.76 5.488 12.25 12.25 12.25s12.25-5.49 12.25-12.25c0-6.762-5.488-12.25-12.25-12.25zm.125 39.906c-23.21.28-46.19 25.77-75.813 75.656h153c-30.523-51.003-53.977-75.936-77.187-75.656z"}}]})(props);
};
function GiSandstorm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M430.6 18a11.25 7.124 49.01 0 0-3.5 1.2 11.25 7.124 49.01 0 0 2 13.17 11.25 7.124 49.01 0 0 12.8 3.82 11.25 7.124 49.01 0 0-2-13.17 11.25 7.124 49.01 0 0-9.3-5.02zm-52 10.03c-8.9-.12-17.9 1.04-26.7 3.51-23.5 6.59-45.3 23.59-53.1 51.74 33.1-28.79 66-53.18 110.9-28.87 8 4.97 15 12.2 20.8 20.98a7.124 11.25 46.87 0 0-12.1 3.27 7.124 11.25 46.87 0 0-3.3 12.89 7.124 11.25 46.87 0 0 13.1-2.49 7.124 11.25 46.87 0 0 4.6-10.15c11 18.24 17.2 42.19 17.1 66.39 0 10.8-1.2 21.5-3.6 31.6a7.124 11.25 46.87 0 0-12.1 3.2 7.124 11.25 46.87 0 0-3.4 12.9 7.124 11.25 46.87 0 0 10.6-.6c-7.3 18.8-19.4 34.3-36.4 43.2-104.5 52.7-249.3 54.4-381.41 31.9 10.39 14.3 11.03 29-1.89 44 27.02 4.6 54.7 7.8 82.6 9.7-41.05 9.2-73.45 20.6-88.02 32.3 18.25 10.1 28.76 23.6 20.26 45.6C64.96 394.6 107.8 379 156.1 364a7.124 11.25 79.94 0 0 11.8 3.6 7.124 11.25 79.94 0 0 9.8-8.9 7.124 11.25 79.94 0 0-.3-1.1c33.5-9.8 68.9-18.6 103.5-22.6a11.25 7.124 49.02 0 0 3.5 10.7 11.25 7.124 49.02 0 0 12.8 3.8 11.25 7.124 49.02 0 0-2-13.2 11.25 7.124 49.02 0 0-2.7-2.5c46.5-3.9 90.8 1.5 126.4 25.2 19.2 12.8 12.3 56.8-7.9 65-40.9 9-45.3-6.7-68.4-20.2 5 18.3 16.8 31.1 30.8 37.1 9.2 3.9 19.1 5.1 28.9 3.8a11.25 7.124 4.014 0 0-1.5 3.3 11.25 7.124 4.014 0 0 10.7 7.8 11.25 7.124 4.014 0 0 11.7-6.3 11.25 7.124 4.014 0 0-8.7-7.6c1.1-.4 2.1-.8 3.2-1.2 46.9-16 63-98.6 6.6-123.7-23-9.4-54.7-14.6-90.4-16.5 30.2-8.3 58.7-18.9 84.7-32.1 52.4-25.2 54.5-96.3 55.1-124.6 0-17.1-3.4-34-9.7-49.46a11.25 7.124 28.07 0 0 8.3-2.72 11.25 7.124 28.07 0 0-6.6-11.58 11.25 7.124 28.07 0 0-9.5-1.66c-9.4-16.24-22.1-29.98-37.1-39.27-13.7-6.81-27.8-10.8-40.5-11.08zm-83.3 7.85a7.124 11.25 46.87 0 0-9.2 4.08 7.124 11.25 46.87 0 0-3.3 12.89 7.124 11.25 46.87 0 0 13.1-2.49 7.124 11.25 46.87 0 0 3.3-12.89 7.124 11.25 46.87 0 0-3.9-1.59zm79.9 28.89a7.124 11.25 67.96 0 0-6.4 1.23 7.124 11.25 67.96 0 0-7.7 10.82 7.124 11.25 67.96 0 0 13.1 2.39 7.124 11.25 67.96 0 0 2.8-1.47 7.124 11.25 31.09 0 0 1.5 10.89 7.124 11.25 31.09 0 0 11.9-5.95 7.124 11.25 31.09 0 0-.3-13.31 7.124 11.25 31.09 0 0-7.9 1.42 7.124 11.25 67.96 0 0-.3-2.41 7.124 11.25 67.96 0 0-6.7-3.61zM234.1 75.69a7.124 11.25 46.87 0 0-9.2 4.08 7.124 11.25 46.87 0 0-3.3 12.89 7.124 11.25 46.87 0 0 10.5-.53 7.124 11.25 87.44 0 0 11.6 6.39 7.124 11.25 87.44 0 0 10.9-7.62 7.124 11.25 87.44 0 0-11.6-6.61 7.124 11.25 87.44 0 0-4.7.88 7.124 11.25 46.87 0 0-.3-7.89 7.124 11.25 46.87 0 0-3.9-1.59zm25.1 21.34a7.124 11.25 46.87 0 0-9.1 4.07 7.124 11.25 46.87 0 0-3.3 12.9 7.124 11.25 46.87 0 0 13-2.5 7.124 11.25 46.87 0 0 3.4-12.88 7.124 11.25 46.87 0 0-4-1.59zm38.7.21a7.124 11.25 72.29 0 0-5.4.81 7.124 11.25 72.29 0 0-8.6 10.25 7.124 11.25 72.29 0 0 12.9 3.3 7.124 11.25 72.29 0 0 8.6-10.2 7.124 11.25 72.29 0 0-7.5-4.16zm130.2 16.26a7.124 11.25.1 0 0-7.1 11.2 7.124 11.25.1 0 0 7.1 11.3 7.124 11.25.1 0 0 7.1-11.2 7.124 11.25.1 0 0-7.1-11.3zm-213.5 6a7.124 11.25 46.87 0 0-9.1 4.1 7.124 11.25 46.87 0 0-3.4 12.9 7.124 11.25 46.87 0 0 13.1-2.5 7.124 11.25 46.87 0 0 3.3-12.9 7.124 11.25 46.87 0 0-3.9-1.6zm107.4 5c-10.5 0-21.2 3.9-29.1 12-8.5 8.7-13.4 21.9-12.5 38.1 14.6-22.3 39.5-47.2 59.8-23.9 4.2 5 6.8 12.3 5.1 23.5-1.8 11.5-12.6 23-32.2 32.9-52.2 22.7-116 23.9-177.9 16.1a7.124 11.25 46.87 0 0 1.5-1.2 7.124 11.25 46.87 0 0 3.3-12.9 7.124 11.25 46.87 0 0-13.1 2.5 7.124 11.25 46.87 0 0-4.6 9.8c-36.79-5.4-72.53-13.6-104.34-22.2 14.05 19.2 4.94 31.4-1.41 44.4 97.15 13.4 222.35 33.5 308.25-8.7 16.2-8.1 27.4-24.4 33.5-40.4a7.124 11.25 46.87 0 0 12.5-3 7.124 11.25 46.87 0 0 3.3-12.9 7.124 11.25 46.87 0 0-11.5 1.2c.2-1 .4-1.9.5-2.8.6-14-1.6-28.4-9.1-37.9-7.7-9.1-18.8-14-29.9-14.6H322zm163.6.4a11.25 7.124 83.14 0 0-.7 0 11.25 7.124 83.14 0 0-5.7 12 11.25 7.124 83.14 0 0 3.4 8.2 7.124 11.25 46.87 0 0-.7.6 7.124 11.25 46.87 0 0-3.3 12.9 7.124 11.25 46.87 0 0 13-2.5 7.124 11.25 46.87 0 0 3.4-12.9 7.124 11.25 46.87 0 0-2.2-1.3 11.25 7.124 83.14 0 0 .5-6.7 11.25 7.124 83.14 0 0-7.7-10.3zm-67.4 13.4a7.124 11.25 46.87 0 0-9.1 4.1 7.124 11.25 46.87 0 0-3.4 12.9 7.124 11.25 46.87 0 0 13.1-2.5 7.124 11.25 46.87 0 0 3.4-12.9 7.124 11.25 46.87 0 0-4-1.6zm-179.7 2.9a11.25 7.124 22.5 0 0-7 3.6 11.25 7.124 22.5 0 0 7.6 10.8 11.25 7.124 22.5 0 0 13.2-2.2 11.25 7.124 22.5 0 0-7.7-10.9 11.25 7.124 22.5 0 0-6.1-1.3zm-3.6 36.9a7.124 11.25 46.87 0 0-9.1 4.1 7.124 11.25 46.87 0 0-3.4 12.8 7.124 11.25 46.87 0 0 13.1-2.4 7.124 11.25 46.87 0 0 3.3-12.9 7.124 11.25 46.87 0 0-3.9-1.6zM181.7 203a7.124 11.25 82.66 0 0-2.3.1 7.124 11.25 82.66 0 0-10.2 8.5 7.124 11.25 82.66 0 0 12.1 5.6 7.124 11.25 82.66 0 0 10.2-8.5 7.124 11.25 82.66 0 0-9.8-5.7zm299.1 6.2a7.124 11.25 46.87 0 0-9.2 4.1 7.124 11.25 46.87 0 0-3.3 12.9 7.124 11.25 46.87 0 0 13.1-2.5 7.124 11.25 46.87 0 0 3.3-12.9 7.124 11.25 46.87 0 0-3.9-1.6zm-74.8 0a7.124 11.25 14.79 0 0-8.5 9.2 7.124 11.25 14.79 0 0 4 12.7 7.124 11.25 14.79 0 0 9.8-9.1 7.124 11.25 14.79 0 0-4-12.7 7.124 11.25 14.79 0 0-1.3-.1zm54.6 50.5a7.124 11.25 46.87 0 0-9.2 4.1 7.124 11.25 46.87 0 0-3.3 12.9 7.124 11.25 46.87 0 0 4.8 1.6 7.124 11.25 5.96 0 0-1.8 6.1 7.124 11.25 5.96 0 0 5.9 11.9 7.124 11.25 5.96 0 0 8.3-10.4 7.124 11.25 5.96 0 0-4.3-11.5 7.124 11.25 46.87 0 0 .2-.2 7.124 11.25 46.87 0 0 3.3-12.9 7.124 11.25 46.87 0 0-3.9-1.6zm-14.4 47a11.25 7.124 34.24 0 0-4.8 2.3 11.25 7.124 34.24 0 0 5.3 12.2 11.25 7.124 34.24 0 0 13.3.4 11.25 7.124 34.24 0 0-5.3-12.2 11.25 7.124 34.24 0 0-8.5-2.7zm-74.8 37.7a11.25 7.124 63.1 0 0-2.1.5 11.25 7.124 63.1 0 0-1.3 13.2 11.25 7.124 63.1 0 0 11.5 6.9 11.25 7.124 63.1 0 0 1.2-13.3 11.25 7.124 63.1 0 0-9.3-7.3zm104 8.3a11.25 7.124 70.57 0 0-1.4.3 11.25 7.124 70.57 0 0-3 12.9 11.25 7.124 70.57 0 0 10.5 8.3 11.25 7.124 70.57 0 0 3-13 11.25 7.124 70.57 0 0-9.1-8.5zm-235 2.7a7.124 11.25 62.09 0 0-7.1 2 7.124 11.25 62.09 0 0-6.7 11.5 7.124 11.25 62.09 0 0 13.3 1 7.124 11.25 62.09 0 0 6.6-11.5 7.124 11.25 62.09 0 0-6.1-3zm86.3 23.5a11.25 7.124 34.24 0 0-4.7 2.3 11.25 7.124 34.24 0 0 5.2 12.2 11.25 7.124 34.24 0 0 13.4.5 11.25 7.124 34.24 0 0-5.3-12.2 11.25 7.124 34.24 0 0-8.6-2.8zm-185.8.6a11.25 7.124 3.942 0 0-10.9 6.4 11.25 7.124 3.942 0 0 10.8 7.8 11.25 7.124 3.942 0 0 11.7-6.3 11.25 7.124 3.942 0 0-10.8-7.9 11.25 7.124 3.942 0 0-.8 0zm147.6 4.8a7.124 11.25 46.87 0 0-9.2 4 7.124 11.25 46.87 0 0-3.3 12.9 7.124 11.25 46.87 0 0 13.1-2.5 7.124 11.25 46.87 0 0 2.2-2.5 11.25 7.124 25.08 0 0 7.6 8.5 11.25 7.124 25.08 0 0 13.2-1.7 11.25 7.124 25.08 0 0-7.2-11.2 11.25 7.124 25.08 0 0-11.4-.4 7.124 11.25 46.87 0 0-1.1-5.6 7.124 11.25 46.87 0 0-3.9-1.5zm-177.7 11.8a7.124 11.25 4.18 0 0-7.4 10.7 7.124 11.25 4.18 0 0 6.3 11.8 7.124 11.25 4.18 0 0 7.9-10.7 7.124 11.25 4.18 0 0-6.3-11.8 7.124 11.25 4.18 0 0-.5 0zm286.5 10.5a7.124 11.25 46.87 0 0-9.1 4.1 7.124 11.25 46.87 0 0-3.4 12.9 7.124 11.25 46.87 0 0 13.1-2.5 7.124 11.25 46.87 0 0 3.3-12.9 7.124 11.25 46.87 0 0-3.9-1.6zm-61.9 15.2a7.124 11.25 46.87 0 0-9.2 4.1 7.124 11.25 46.87 0 0-3.3 12.9 7.124 11.25 46.87 0 0 13.1-2.5 7.124 11.25 46.87 0 0 3.3-12.9 7.124 11.25 46.87 0 0-3.9-1.6zm116.4 8.3a7.124 11.25 46.87 0 0-9.2 4.1 7.124 11.25 46.87 0 0-3.3 12.9 7.124 11.25 46.87 0 0 13.1-2.5 7.124 11.25 46.87 0 0 3.3-12.9 7.124 11.25 46.87 0 0-3.9-1.6zm-91.3 23.8a11.25 7.124 19.71 0 0-7.9 3.9 11.25 7.124 19.71 0 0 8.2 10.5 11.25 7.124 19.71 0 0 13-2.9 11.25 7.124 19.71 0 0-8.2-10.5 11.25 7.124 19.71 0 0-5.1-1z"}}]})(props);
};
function GiSandwich (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M441.6 47.65c-5.8 0-12.1.65-18.9 1.92-20.9 3.87-46.1 13.56-73.2 27.53-5.7 2.93-11.5 6.04-17.3 9.33 11.4 3.5 22.9 7.26 32.7 11.65 8.8 3.82 16.4 8.12 21.9 14.42 5.5 6.4 7.7 16.7 3.5 25.3-2.8 5.7-7.4 7-11.4 8.1-4.1 1-8.6 1.5-13.7 1.7-10.3.5-23.3-.2-37.5-1.6-23.2-2.2-49.6-6.2-71.3-10.5-13.6 9.8-27.2 20.1-40.7 30.8 11.3 3.6 21.9 8.3 31.1 13.6 10.4 6 18.9 12.5 24.5 19.9 2.8 3.8 5 7.9 5.5 12.8.5 5-1.4 10.6-5.1 14.3-8.1 8.3-19.4 8.6-32.3 8.4-12.8-.1-27.7-2.1-42.5-4.7-16.5-3-32.3-6.6-44.7-9.8-16.3 14.9-31.6 29.9-45.8 44.5 9.6 3.7 20 8.5 29.3 13.6 8 4.4 15.1 8.9 20.4 14 2.7 2.5 5 5.1 6.6 8.7 1.6 3.6 2 9-.4 13.2v.1c-2.7 4.5-6.5 6.2-10.2 7.6-3.6 1.4-7.7 2.4-12.3 3.1-9.2 1.5-20.2 2.2-31.8 2.4-19.55.3-39.81-.9-53.58-3.1-3.33 4.4-6.47 8.6-9.37 12.8-14.01 20.1-22.6 37.6-24.54 48.7-.97 5.6-.34 9.1.81 11.2 1.14 2.1 2.91 3.7 7.74 5 9.18 2.3 24.81.5 44.11-6.3s42.23-18 67.03-32.5c49.6-29 106.6-70.7 159.1-114.6 52.5-43.9 100.5-90 132.2-127.6 15.8-18.8 27.6-35.45 33.6-47.93 3-6.25 4.5-11.42 4.8-14.71.2-2.78-.1-3.68-.7-4.36-6.5-4.27-14.9-6.64-25.1-6.92h-2.5zM311.1 98.83c-11.2 6.87-22.6 14.27-34.1 22.07 17.1 3 35.8 5.6 52.5 7.2 13.7 1.3 26.1 1.9 34.9 1.5 4.4-.2 7.9-.6 9.8-1.1.6-.2.5-.2.7-.3.5-1.5.1-1.9-1.7-3.9-2.3-2.7-8-6.4-15.6-9.8-12.6-5.6-30.1-10.7-46.5-15.67zm159.3 1.47c-6.8 10.1-15.3 21.2-25.2 32.9-10.8 12.8-23.3 26.4-37.1 40.6 9.1.4 19.1-.4 29.3-2.9 18.2-4.5 33.5-13.3 43.1-23 9.5-9.8 13-19.7 10.9-28.2-2-8.2-9.1-15.2-21-19.4zm-272.1 80.2c-7 5.8-13.9 11.6-20.7 17.5-3.1 2.7-6.2 5.4-9.3 8.2 9.8 2.3 20.8 4.7 31.8 6.7 14.2 2.5 28.4 4.3 39.6 4.4 11.1.2 18.8-2.7 19.2-3-.1-.4-.5-1.7-2-3.7-3-4.1-10-9.9-19.1-15-11.1-6.4-25.4-12-39.5-15.1zm193.6 9.4c-19.9 19.5-42 39.7-65.2 59.6 5.3.8 10.9 1.3 16.7 1.3 18.8 0 35.7-4.9 47.3-12.1 11.6-7.2 17.3-16 17.3-24.8 0-8.5-5.3-16.9-16.1-24zm87.6.7c-2.5 2.5-5.1 5.1-8 7.5-60.4 51.1-133.4 117.2-206.9 169.2-72.4 51.3-145.3 89.7-209.52 84.4 6.98 5.1 14.36 8.2 21.77 10.1 18.94 5 38.55 1.5 49.75-1.7 80.8-23.3 166.8-80.4 233.1-134.6 33.1-27.1 61.3-53.4 81.5-74.3 10.1-10.4 18.2-19.4 23.9-26.4 5.7-6.9 8.9-13.2 8.7-12.3 2.3-7.8 4.2-15.1 5.7-21.9zm-170.1 73.5c-22.9 19.2-46.6 37.9-70.3 55.4 5.4.7 11 1.1 16.8 1.1 20.2 0 38.4-4.7 50.8-11.7 12.4-7 18.3-15.4 18.3-23.2 0-7.2-5-14.9-15.6-21.6zM92.8 279.7c-9.06 9.8-17.47 19.3-25.14 28.6 11.51 1.1 26.35 1.8 40.14 1.7 11-.2 21.4-.9 29.1-2.1 3-.5 5.2-1.2 7-1.7-.1-.2 0-.1-.1-.2-3.3-3.2-9.5-7.4-16.8-11.4-10.7-5.9-23.9-11.5-34.2-14.9zm120.7 58.2c-22 15.4-43.6 29.4-64.2 41.4-6.3 3.7-12.4 7.1-18.5 10.4 8.1 1.8 17.1 2.8 26.4 2.8 20.2 0 38.4-4.7 50.8-11.7 12.4-7 18.3-15.4 18.3-23.2 0-6.5-4.2-13.5-12.8-19.7zm-109.9 65.4c-8.54 3.9-16.71 7.3-24.48 10-19.44 6.8-36.52 10.2-51.14 7.4 1 1 2.09 1.9 3.29 2.8 7.44 5.6 18.33 9.3 30.54 9.3s23.1-3.7 30.54-9.3c7.42-5.5 11.25-12.3 11.25-19.5z"}}]})(props);
};
function GiSaphir (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M413.47 20.25l-11.47 4L84.97 134.72 78.437 137l.406 6.875L97.78 478.47l.69 12.124 11.468-4 317.03-110.47 6.5-2.28-.374-6.906-18.938-334.563-.687-12.125zm-31.533 30.375l-43.375 64.75-180.75 63.375-36.78-24.53c74.22 12.515 196.82-52.49 257.124-102.282l3.78-1.313zm16.032 19.688l15.78 279.125-49.313-32.875-4.187-76.47c18.567-45.422 32.45-114.342 37.72-169.78zm-63.44 67.75l9.69 176.187-166.876 58.5-2.78-50.47c48.082 9.04 83.113-8.624 104.342-38.25-27.814-3.42-46.384-30.984-43.094-60.28 3.174-28.257 24.982-51.253 51.72-52.313 1.782-.07 3.615-.035 5.437.094 2.458.176 4.837.56 7.155 1.095-1.355-6.985-3.194-13.86-5.5-20.563l39.906-14zM117.78 174.5l29.657 19.78 10.47 190.814-43.407 64.812-.188-3.656c24.146-101.32 36.74-217.525 3.47-271.75zm172.095 22.625c-13.068-.123-26.546 12.068-28.5 29.47-2.017 17.96 8.33 31.076 21.78 32.03 13.452.954 27.765-11.444 29.783-29.406 2.017-17.963-8.363-31.08-21.813-32.032-.42-.03-.828-.06-1.25-.063zm64.156 134.97l49.283 32.874-254.938 88.81c48.305-26.555 103.147-64.172 135.594-97.124l70.06-24.562z"}}]})(props);
};
function GiSarcophagus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352.439 16c-13.706 0-27.648 4.42-37.556 14.329-14.902 14.901-46.253 44.313-49.274 79.17-5.46 3.315-9.656 5.903-13.948 9.3 1.678 5.632 3.362 11.99 5.059 19.002 9.216-5.835 17.617-13.17 26.212-17.48v-5.445c0-25.453 28.748-56.425 44.411-72.088 5.755-5.755 15.306-9.167 25.096-9.167 9.79 0 19.342 3.412 25.097 9.167 15.664 15.663 44.41 46.635 44.41 72.088v5.445c8.544 6.418 31.008 14.725 31.327 25.882 0 29.858-7.758 88.926-15.595 151.625-7.652 61.215-15.305 126.061-15.665 173.746-22.479 5.784-48.236 6.435-69.574 6.499-23.344-.391-68.57 1.299-69.604-8.33-5.46 2.258-11.332 4.516-17.434 6.73 1.22 6.768 7.17 10.262 12.594 12.137 24.122 6.556 51.81 7.042 74.444 7.084 26.263.188 63.506 2.71 81.83-10.745 2.361-1.764 5.298-5.163 5.298-9.813 0-46.011 7.77-112.511 15.597-175.12 7.826-62.61 15.73-121.018 15.73-153.813-3.675-18.088-17.12-28.442-31.625-36.704-3.021-34.857-34.37-64.269-49.272-79.17C380.09 20.42 366.144 16 352.44 16zM112.362 41.727l7.39 23.382 30.1-9.514c-11.566-7.066-24.638-14.923-37.49-13.868zM95.56 47.038c-12.856 7.763-17.49 20.987-22.71 32.897l30.102-9.514zm256.88 13.995c-2.667 0-5.285.426-7.803 1.223l35.952 20.142c-5.211-12.91-16.197-21.365-28.15-21.365zM168.38 68.218l-19.376 6.126c8.938 6.506 16.965 15.835 21.583 23.98l20.197-6.385c-5.016-8.596-13.24-16.622-22.404-23.721zm160.727 5.54c-4.918 6.642-7.996 15.462-7.996 25.454 0 2.356.181 4.64.507 6.853h61.64c.09-.609.168-1.223.234-1.843zm-205.212 9.82c-2.478-.079-4.9.252-7.233.99-7.468 2.36-13.278 8.658-16.53 18.283-3.252 9.625-3.512 22.258.526 35.03 4.037 12.773 11.51 22.963 19.703 28.97 8.194 6.007 16.567 7.821 24.035 5.46 7.467-2.36 13.28-8.66 16.531-18.284 3.252-9.625 3.51-22.256-.527-35.029-4.038-12.773-11.509-22.964-19.702-28.971-5.633-4.13-11.352-6.277-16.803-6.45zM84.32 94.791l-19.376 6.124c-3.419 11.076-5.536 22.37-4.7 32.287l20.195-6.385c-.46-11.578.273-22.475 3.881-32.026zm112.78 13.63l-19.62 6.203c4.795 15.788 4.672 31.636.142 45.042a54.25 54.25 0 0 1-4.745 10.348c10.363-4.754 34.617-15.45 35.73-25.187zm18.88 1.266l9.43 29.828c2.287 7.235-.577 14.536-4.78 19.912-1.217 1.557-2.581 3.04-4.053 4.478 6.337 23.68 4.684 48.605-1.245 68.52 18.99-.005 29.922 25.186 34.107 36.048l14.097-4.457c-11.004-59.96-21.062-115.988-29.78-143.566-3.803-5.86-11.54-8.72-17.776-10.763zm112.419 13.998c5.866 8.49 14.654 13.706 24.04 13.706 9.385 0 18.174-5.216 24.04-13.706zm-244.23 20.435l-19.617 6.2 11.506 36.406c10.671 6.133 31.671 2.456 43.717.072a54.252 54.252 0 0 1-9.831-5.738c-11.413-8.367-20.623-21.267-25.775-36.94zm296.2.946c-7.84 6.236-17.413 9.946-27.93 9.946-10.508 0-20.073-3.704-27.908-9.93-7.64 1.01-15.603 2.389-24.176 4.171l53.809 26.39 69.474-20.84c-.081-.43-.16-.865-.247-1.274-16.137-3.916-30.072-6.75-43.023-8.463zm-99.817 14.103c-1.249 9.685-1.344 22.962-.151 38.604l48.93-14.68zm-230.723 3.04c-4.06 5.287-10.291 12.253-8.362 19.023 8.721 27.578 32.692 79.208 58.15 134.599l132.973-42.033c-2.804-8.008-7.015-20.034-15.633-23.807l-76.992 24.339-3.24-1.683c-21.19-11.01-45.052-35.246-56.208-65.728-2.035-.33-4.01-.76-5.904-1.335-6.53-1.983-13.07-6.314-15.356-13.549zm375.446 10.5l-143.173 42.952c1.523 13.669 3.612 28.539 5.997 44.063l134.424-41.87c.768-6.696 1.418-13.144 1.899-19.235.757-9.608 1.03-18.333.853-25.91zm-224.215 2.718c-32.213 17.073-66.152 29.32-101.239 32 9.847 21.179 27.692 39.259 42.086 47.807l52.333-16.54c6.81-15.292 10.928-40.345 6.82-63.267zm219.03 61.645L290.87 277.319c2.35 14.567 4.865 29.51 7.36 44.505l115.175-40.83c2.382-14.72 4.865-30.724 6.683-43.921zm-153.328 44.405l-159.75 50.495a6141.77 6141.77 0 0 1 6.551 14.36l156.09-49.34a6136.956 6136.956 0 0 1-2.891-15.515zm143.38 19.37l-26.4 9.359 21.655 19.227a25654.83 25654.83 0 0 1 4.746-28.587zm-137.185 13.58l-37.767 11.94 40.257 127.347c8.896-3.99 17.86-7.17 25.875-12.998.459-.339.379-.327.694-.604-10.606-34.457-20.192-79.526-29.059-125.685zm91.818 2.501l-63.63 22.557c2.571 15.774 5.003 31.406 7.103 46.549l90.615-38.836zM218.39 331.677l-42.939 13.574 40.58 128.376c14.928-4.09 29.296-8.646 42.939-13.573zm-59.742 18.885L120.882 362.5c19.274 42.87 37.332 85.26 48.457 119.553.418.045.346.082.916.095 10.343-.335 19.264-2.117 28.648-4.235zm240.874 15.524l-77.007 33.004 32.512 25.742 39.097-19.549c1.514-12.638 3.356-25.78 5.398-39.197zm-86.69 47.815c4.931 18.596 4.823 18.121 7.482 28.289l17.313-8.658zm79.084 12.191l-59.996 29.996c6.13 1.524 13.32 2.406 20.52 2.406 10.769 0 21.578-1.937 28.728-5.115 11.92-4.327 9.946-17.216 10.748-27.287z"}}]})(props);
};
function GiSasquatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M295.4 23.11c-13-.12-31.5 7.46-46 16.61 5.7-1.09 11.7-2.58 17.7-3.99-20.7 15.94-15.9 37.95-35.7 52.53-32.2-2.67-50.5 8.75-72.1 23.44 11.3-2.4 24.8-5.2 32.5-.8-10 3.7-36.1 14.7-45.5 22.7 6.9-1 23.5-3.8 28.3-3.6-28.5 17.5-38.2 45.4-54.2 72-.7-3.9-4.8-15.9-7-20.6-5.3 19.8-4.4 39.5-15.08 57.1-11.37 14.4-29.01 21.7-56.59 17.4 4.98 14.4 5.24 28.8 60.07 22.3l93.7-83.8c-8.4 35-30.7 78.7-22 113.1-2.3 9.3-6.1 18.7-11.4 27.6 6.6-2.7 12.9-6.4 17.5-10.8 5.6 13 12.9 25.3 17.3 38.8-31.1 17.7-64.4 22.8-90.9 42.6 8.1-1.5 16.6-3.5 23.8-3.5-12.3 11.4-20.8 25.9-34.99 52.7l105.49 27.9s1.4-19.9-4.6-27.2c-9.3-11.5-42-18.2-42-18.2 12.5-16.8 30.6-21 55.1-31-.5 5.2-5.6 11.6-9 17.6 20.9-5.9 32.8-7.8 42-26l24.2-68.1c65.2 19.6 66.4 108.1 46.7 150l124.1 9s6.8-23.6-.5-30.8c-16-16-67.7-1-67.7-1l6.6-36.3c2.9 1 7.1 1.8 14 2.6-10.8-14.4-16.8-19.1-19.8-36.1 6.4 5.1 13.9 8.4 24.2 7.7-23.1-24.9-30-40-35.3-70.1l-58.4-84.1 9.5-37.3c23.9 14.9 40.7 31.3 63 41.4-7.1-9.7-9-10.9-8.6-17.9 19 6.8 38.4 24.3 58 18.2 23.8-7.5 30.2-4.3 48 13.2-.3-19.9 5.8-18.6-18.1-37.6-11.9-9.2-33.9-19.9-55.4-30.4-10.9-9.6-18.7-19.4-23-32.3.1 7.6-1.2 14.6 1.3 21.6-11.5-5.9-21.7-11.5-28.6-16.6-13.1-9.7-10.1-27.8-14.4-47.3 1.6-10.7 3-19.18 5.3-29.04 5.2 4.71 5.9 10.01 9.4 20.24 3.9-16.95-1.1-33.3-4.2-47.92 1.9-32.41-24.8-35.72-46.7-35.97zm2.9 24.12c14.3 5.84 21.5 8.24 33.3 9.13L320.3 113c-12.1-8-20.4-12.2-38.1-10.7 9.7-17.76 13.8-37.17 16.1-55.07z"}}]})(props);
};
function GiSatelliteCommunication (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M189.1 18l14.5 14.47 14.1-14.11-.4-.36zm54.3 0l-.3.31 21.3 21.26 17-16.99-4.6-4.58zm-73.8 6.01l-11.7 11.67 14.2 28.28 18.7-18.72zm60.8 7.06l-14.1 14.11 21.2 21.25 14.1-14.1zm-26.9 26.89l-18.7 18.73 28.3 14.16 11.7-11.66zM163.2 72.8L147 89l12.8 12.8L176 85.52zm-50.1 7.77L80.61 113.1l58.79 58.8h32.5v-32.6zm101.7 52.03c-1.4 19.6-11.8 39.7-27.2 55-15.3 15.4-35.4 25.8-55 27.2l3.5 17.8c24.1-2.3 46.8-14.8 64.3-32.2 17.4-17.5 29.9-40.2 32.2-64.3zm47.5 9.5c-6.4 63.8-56.4 113.7-120.2 120.2l3.5 17.7c70.6-8 126.4-63.8 134.4-134.4zM89.03 147l-16.22 16.2L85.54 176l16.26-16.3zM340 157.6c-7.4 37.9-28.2 78.8-58.7 112.3-32.2 35.5-74.9 62.6-123.6 70.6l3.5 17.7c53.1-8.9 99.1-38.4 133.5-76.1 32.5-35.9 55-79.2 63-121zm-304.21.3l-11.66 11.7 21.23 21.2 18.71-18.7zM434 176.4C422.9 231.5 393.8 285 353.7 329l16 9.2c40.7-45.7 70.5-100.7 82-158.3zm-357.2 8.4l-18.73 18.7 21.22 21.3 11.66-11.7zM18 189v28.2l.46.5 14.13-14.1zm27.3 27.3l-14.11 14.1 21.26 21.2 14.09-14.1zm-26.88 26.8l-.42.4v33.2l4.7 4.7 16.99-17zm418.38 95.4l-98.3 98.3c11.4 6.5 30.5 12.6 49.5 14.8 24.1 2.6 47.8-1.7 54.8-8.8 7.1-7 11.4-30.7 8.8-54.8-2.2-19-8.3-38.1-14.8-49.5zm-92.4 5.9l22.3 38.8 16.5-16.5zm-15.4 9.2c-44 40.2-97.5 69.3-152.6 80.4l3.5 17.7c57.6-11.5 112.6-41.3 158.3-82zM469.4 425c-1.8 12.1-6.1 22.8-13.8 30.6-7.8 7.7-18.5 12-30.6 13.8V487h62v-62z"}}]})(props);
};
function GiSattelite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M314.125 45.125l-36.28 10.97 26.717 38.874L340.844 84l-26.72-38.875zM260.47 61.313l-43 13 26.686 38.874 41.625-12.562-26.467-38.5 1.156-.813zm91.467 38.874l-36.28 10.938 27.374 39.813L379.314 140l-27.375-39.813zM120.47 107.78l-36.282 10.94 26.718 38.905 36.28-10.97-26.717-38.874zm176.405 9.032l-41.594 12.563 12.814 18.656c13.59 1.764 26.138 6.878 36.844 14.44l19.312-5.845-27.375-39.813zm-230.03 7.157l-43 12.968 26.718 38.906 41.562-12.563-26.47-38.5 1.19-.81zm323.56 32.155l-36.28 10.97 25.97 37.81 36.28-10.936-25.97-37.845zm-232.092 6.72L122 173.78l27.375 39.814 36.28-10.938-27.343-39.812zm99.125 3.186c-22.736 0-42.626 11.753-53.97 29.532l66.782 97.188c6.682-1.346 12.98-3.725 18.72-6.97l7.874 11.69 15.78-10.033-8.874-13.187c10.95-11.475 17.656-27.028 17.656-44.22 0-35.446-28.52-64-63.97-64zm77.906 6.75l-14.438 4.345c9.396 11.262 15.84 25.07 18.188 40.188l22.22-6.72-25.97-37.812zm-232.125 6.69L61.655 192l27.313 39.813 41.593-12.563-27.344-39.78zm324.28 30.655l-36.28 10.97 27.342 39.81 36.313-10.967-27.375-39.813zm-230.72 8.688l-36.31 10.968 25.968 37.782 36.312-10.968-25.97-37.78zm175.657 7.937l-32.625 9.875c-.35 4.407-1.012 8.72-2.03 12.906l20.312 29.595 41.687-12.563-27.342-39.812zm-230.75 8.688L100.094 248l25.97 37.813 41.592-12.594-25.97-37.783zm324.282 30.656l-36.314 10.97 26 37.81 36.313-10.937-26-37.843zm-232.095 6.687l-36.313 10.97 27.344 39.78 36.313-10.967-27.345-39.782zm177.03 9.94L369.22 295.31l25.967 37.813 41.688-12.563-25.97-37.843zm-232.124 6.686l-41.624 12.563 27.313 39.81 41.655-12.592-27.344-39.782zm152.314 8.47L301.78 316.5l37.314 58.656 29.312-18.625-37.312-58.655zm-58.75 30.874l-36.313 10.97 26 37.81 36.314-10.936-26-37.844zm-55.094 16.625l-41.656 12.594 25.97 37.81 41.655-12.56-25.97-37.845zm178.313 20.875c-36.29.507-64.44 29.054-70.375 64.844L368.5 404l9.72 14.406c-1.222 2.47-1.908 5.245-1.908 8.188 0 10.222 8.278 18.53 18.5 18.53 10.223 0 18.5-8.308 18.5-18.53 0-10.223-8.277-18.5-18.5-18.5-.335 0-.67.045-1 .062l-9.437-14.062 37.438-23.438c-9.068-3.125-17.876-4.523-26.25-4.406z"}}]})(props);
};
function GiSauropodHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.2 49.24c-32.7 1.11-56.9 22.79-80.3 43.25C103 121.5 57.02 171.6 17.59 222.3V494H140.7c-14.2-28-29.8-57.7-23.6-93.3 7-40 41-83.3 127.8-137.9-18-10.6-33.6-26.3-35.5-42l18-1.6c1.1 11.5 10.4 20.3 23.9 26.6 13.2 6.2 29.8 8 40 9.2 46.1 5.4 125.3 21.4 154-39.3-36.9 7.6-101 13.5-189.7-8.8l4.4-17.4c110.3 27.6 179 10.5 204.6 2.6 6.7-4.7 11.1-9 13.5-12.7 3.2-5 3.5-8.3 2.3-12.5C444 124.1 371 106.8 324.7 99.44l-4-.63c-16.3-22.49-32.9-49.69-61.5-49.57zm.3 18.33c.9 0 1.9.1 2.8.16-1 1.77-1.5 3.75-1.5 5.77 0 6.78 5.5 12.27 12.3 12.25 2.9 0 5.8-1.04 8-2.95.1.82.2 1.64.2 2.46 0 9.75-9.8 17.64-21.8 17.64s-21.8-7.89-21.8-17.64c0-9.77 9.8-17.69 21.8-17.69zm156.4 72.83c20.7 5.8 29.6 18.1 36.3 28.3l-15 9.8c-6.7-10.2-9.8-16.1-26.1-20.7z"}}]})(props);
};
function GiSausage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M415.5 20.2c-8.2 0-17 1.12-25.1 3.28 2.5 11.27 4.2 22.1 4.5 33.29 7 1.62 13.6 4.29 19.7 7.79 1.8 1.03 3.5 2.13 5.2 3.28 10.7-4.95 23-8.62 35.8-11.94 10.9-2.85 22-5.3 32.5-7.54-2.9-1.64-6-3.39-8.6-4.76-9.7-5.02-17.9-7.99-32.6-4.92l-12.3 2.58 2.3-18.36c-5.9-1.81-13.4-2.7-21.4-2.7zm-35.7 52.73c-5.5 0-11.2 1-17.1 3.14-15.5 5.72-32.8 20.21-48.9 49.23-5.8 10.4-11.2 20.3-16.4 29.6h.6c6.2-.1 11.9.7 17.3 2.5 10.9 3.6 19.7 10.6 28.5 19.3l-12.6 12.8c-8-7.9-14.6-12.7-21.5-15-6.2-2.1-13.2-2.4-23.1 0-27.5 50.1-46.4 84.5-64.9 110.1 14 11.9 33.2 16.8 57.8 16.3l.4 18c-26.9.5-51.1-5.1-69.2-20.1-20.8 25.1-43.4 40.8-77.5 56.4 11.7 11.2 30.4 19.7 54.6 25.6l-4.2 17.4c-29-7-53-17.7-67.9-35.3-.2.1-.3.1-.5.2-30.64 12.7-43.76 26.9-47.39 38.8-3.63 11.8.83 23.6 11.55 35 10.73 11.3 27.54 20.9 44.84 25.6 17.3 4.8 34.8 4.4 47.3-1.8 80.8-40.1 127.6-80.6 164.1-129.5 36.6-49 62.7-106.9 100.4-181.4 5.1-10 4.5-23.4-1.2-36.6-5.7-13.21-16.3-25.68-29.1-33.01-8-4.59-16.7-7.26-25.9-7.26zM68.25 451.2c-10.4 9.9-26.58 13.3-43.45 16.6-.29 0-.59.1-.88.1 8.39 1.8 16.27 3.8 22.47 6.2 9 3.5 15.21 10.7 20.57 17.7 3.54-9.7 7.82-18.6 14.79-29.4-4.89-3.4-9.43-7.1-13.5-11.2z"}}]})(props);
};
function GiSausagesRibbon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M298.6 39.43c-1.8 0-3.6 0-5.3.1-9.4.2-18.1.91-25.8 1.76-17.1 1.9-27.2 15.5-29 27.65-.8 6.08.5 11.25 3.3 14.66s7.3 6.03 16.6 5.73c41.1-1.43 75.1 3.02 113.5 19.97 8.7 3.8 13.5 3.1 16.3 1.5 2.8-1.5 5.1-4.9 6.1-10.5 1.8-11.34-3.6-29.27-16.5-39.27-21.9-17.03-52.4-21.58-79.2-21.6zM190.9 56.89c-3.3-.1-6.7.54-10.2 2.01-39.3 16.86-71.8 38.08-94.03 66.6-10.99 14.2-9.18 31.1-2.87 40.2 3.15 4.6 6.92 6.9 10.76 7.2 3.83.2 8.84-1.2 15.34-8.2 23.3-25.4 49.8-53.8 94.8-68.57 8.8-2.86 11.6-6.65 12.7-10.55 1.2-3.91.3-9.17-2.9-14.37-4.7-7.79-13.7-14.12-23.6-14.32zM425 117.7c-2.4 0-4.6.3-6.6.8-5.4 1.4-8.7 3.9-10.3 7.1-1.6 3.1-2.2 7.7 1.2 15.6h.1c14.6 33.7 29.8 62 34.4 100.5v.1c1 8.1 4 11.7 7.9 14 4 2.2 9.7 2.9 15.8 1.5 12.1-2.8 23-12.7 22-25.8-2.9-37.3-6.9-69.5-32.8-99.4-8-9.3-19.5-13.8-29.3-14.3-.8 0-1.6-.1-2.4-.1zM67.79 186.9c-11.92.1-25.33 5.9-30.2 16.9-16.13 36.4-15.75 71.6-13.42 108.4 1.02 16.2 12.91 24.4 24.72 25.3 5.91.5 11.41-1 15.35-4.2 3.94-3.2 6.88-8 7.23-16.8 1.44-36.6-6.24-70.4 13.3-109.6 3.8-7.6 2.87-10.8 1-13.5-1.88-2.7-6.54-5.4-12.99-6.2-1.21-.2-2.45-.3-3.72-.3zm383.01 89.3c-3.3.2-8.2 2.2-14.2 9.3h-.1c-11.4 13.5-19.8 28.1-30.6 42.1-10.7 14.1-24.2 27.4-44.9 36.6h-.1c-7.9 3.6-10.4 7.5-11.2 11.2-.8 3.7.3 8.3 3.5 12.7 6.4 8.9 19.5 15 32.2 8.6h.1v-.1c35.6-17.7 62.3-39.5 77.5-75 7-16.4 3.5-33-2.7-40.4-3.1-3.7-6.1-5.1-9.5-5zM39.49 354.1C35.1 363.6 29.48 374 22.45 384c18.89-6.7 14.92-9.5 57.03-8.8-9.3-6.8-14.49-13.7-17.7-21-4.68 1.3-9.57 1.7-14.37 1.3-2.65-.2-5.31-.7-7.92-1.4zm280.91 32.2c-2.4 0-5.6.6-9.7 2.2-40.6 15.4-80.5 33.1-126.7 30-9.4-.6-13.9 1.9-16.4 5.1-2.6 3.1-3.7 8-2.6 13.9 2.4 12 14 26.1 34.4 27.7 36 2.9 78.7-3.1 108.6-26.9 16.6-13.3 23.2-31.3 22.3-41.7-.5-5.1-2.2-7.7-4.6-9.1-1.2-.7-2.9-1.2-5.3-1.2zm-191 27.9c-21.2 23.8-16 37.5-5.3 58.4 9.6-6.6 19.5-12.1 28.9-16.8-2.7-4.7-4.6-9.7-5.6-14.7-.9-4.6-1.1-9.4-.3-14-5.9-2.9-11.7-7-17.7-12.9z"}}]})(props);
};
function GiSaveArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M224 30v256h-64l96 128 96-128h-64V30h-64zM32 434v48h448v-48H32z"}}]})(props);
};
function GiSave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 48c-8.726 0-16 7.274-16 16v384c0 8.726 7.274 16 16 16h215v-16H64V64h63.375v97.53c0 3.924 3.443 7.095 7.72 7.095h169.81c4.277 0 7.72-3.17 7.72-7.094V64h69.22c.428.318.8.548 1.467 1.094 2.05 1.675 4.962 4.264 8.375 7.406 6.827 6.283 15.65 14.837 24.313 23.5 8.663 8.663 17.217 17.486 23.5 24.313 3.142 3.413 5.73 6.324 7.406 8.374.546.668.776 1.04 1.094 1.47V330.25l16 16V128c0-2.68-.657-3.402-1.03-4.156-.375-.754-.725-1.294-1.095-1.844-.74-1.1-1.575-2.19-2.594-3.438-2.036-2.492-4.768-5.55-8.03-9.093-6.524-7.09-15.155-16-23.938-24.782-8.782-8.783-17.692-17.414-24.78-23.938-3.545-3.262-6.6-5.994-9.094-8.03-1.247-1.02-2.337-1.855-3.438-2.595-.55-.37-1.09-.72-1.844-1.094-.754-.373-1.477-1.03-4.156-1.03H64zm87.72 16h48.56c4.277 0 7.72 4.425 7.72 9.938v70.124c0 5.513-3.443 9.938-7.72 9.938h-48.56c-4.277 0-7.72-4.425-7.72-9.938V73.938c0-5.512 3.443-9.937 7.72-9.937zM114 212c-4.432 0-8 3.568-8 8v184c0 4.432 3.568 8 8 8h165v-28h-76.72l15.345-15.375 128-128L352 234.28l6.375 6.345L406 288.25V220c0-4.432-3.568-8-8-8H114zm238 47.75L245.75 366H297v128h110V366h51.25L352 259.75zM448 384v64h-23v16h23c8.726 0 16-7.274 16-16v-64h-16z"}}]})(props);
};
function GiSawClaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25.313 16.78V235.5c13.37 27.573 58.125 15.47 57.187-5.094l-.72.344c-12.918-25.814-3.11-55.896 16.595-83.156 19.705-27.26 49.982-53.282 83.313-73.844 33.33-20.562 69.625-35.658 102.218-39.938 4.074-.534 8.108-.915 12.063-1.093 1.482-.068 2.942-.113 4.405-.126 10.244-.09 20 1.18 29 4.125 10.333 3.382 19.63 9.2 26.906 17.436 16.08 11.61 43.625-11.567 14.126-37.375H25.312zM301.75 51.313c-4.876-.02-10.032.326-15.406 1.032-17.115 2.247-36.34 8.196-55.78 16.75 102.868 97.69 149.218 205.882 159.78 326.062C357.356 289.77 301.584 165.66 185.28 93.594c-29.122 18.857-55.263 42.13-71.75 64.937-16.258 22.494-22.568 43.2-16.78 59.69l.03-.032c.294.666.578 1.31.907 1.968 22.068 6.418 43.226 14.086 63.438 22.875l-37.875 20.626 91.188 11.313-41.313 31.467 93.688 11.5-39.438 25.094 88.72 21.72-40.47 16.5 84.22 37.563-39.876 8.968 95.967 65.095c.09.2.19.395.282.594.03-.116.06-.23.092-.345l.125.094-.093-.22c40.1-144.19 17.276-273.748-70.5-421.47-.847-1.423-1.734-2.776-2.688-4.06-.172-.234-.355-.46-.53-.69-.16-.185-.31-.38-.47-.56-4.88-5.542-11.032-9.276-18.594-11.75-6.333-2.075-13.686-3.123-21.812-3.157z"}}]})(props);
};
function GiSawedOffShotgun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M472.133 19.812L162.52 197.03l21.996 34.133L483.97 38.183l-11.837-18.37zm-71.897 93.748l-117.627 75.8 16.35 10.41c45.98-32.88 82.61-61.844 100.483-82.544l.793-3.666zm-134.283 86.535l-100.125 64.523 20.48 12.13c34.023-22.565 66.99-44.805 96.788-65.74l-17.143-10.913zm-118.826 6.277l-6.227 4.012c-6.594 19.98-1.4 36.31 7.81 43.852l20.677-13.323-22.26-34.54zm-23.71 42.045c-5.512 5.532-12.928 13.198-22.288 23.64-17.225 19.212-36.353 43.545-43.47 60.405-18.543 43.928-15.34 97.99-18 147.736 2.41 7.08 5.408 9.92 8.197 11.137 2.96 1.292 6.896 1.194 11.74-.824 9.393-3.91 19.696-15.595 22.262-25.282-.174-2.232-.92-12.117-1.237-25.643-.356-15.14-.246-33.002 2.63-46.297 5.15-23.82 13.395-49.19 30.268-69.05 10.193-11.993 27.132-22.48 41.92-30.848 4.68-2.65 8.665-4.724 12.415-6.65-19.88-12.29-36.656-17.7-44.437-38.323zm-57.75 37.793l-37.638 9.64L43.6 320.01c5.432-11.014 13.33-22.587 22.064-33.8zm125.86 8.82l-1.154.532s-6.765 3.116-16.096 8.043c-.25 10.99-5.59 19.736-12.617 25.5-5.492 4.505-12.02 6.843-17.803 6.695-4.355-.112-8.346-1.367-12.013-4.55-1.8 1.62-3.36 3.18-4.606 4.644-2.444 2.876-4.69 5.96-6.77 9.197 6.78 5.595 14.91 8.5 22.928 8.704 10.763.276 21.213-3.827 29.68-10.773 12.754-10.462 20.973-28.17 18.45-47.99z"}}]})(props);
};
function GiSaxophone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M151.21 26.775c-18.385 2.518-37.75 18.106-48.784 28.028l15.607 18.527c17.103-12.17 32.453-18.857 36.975-5.98 43.955 125.186 102.805 440.16 214.205 416.636 90.158-25.674 42.966-127.593 56.11-188.435 2.508-10.346 8.965-23.229 21.237-22.842 11.477.362 6.472-5.97 2.8-7.682-35.743-19.406-80.315-25.59-117.909-38.12-11.833-3.945-8.18 4.162-5.371 10.28 4.217 9.188 2.88 41.07 5.293 54.526a32.625 32.625 0 0 1 15.105-3.707c18.12 0 33 14.881 33 33 0 6.41-1.87 12.412-5.08 17.496 10.623 5.506 17.947 16.611 17.947 29.318 0 18.12-14.88 33-33 33-1.186 0-2.358-.067-3.513-.191-.511 4.767-2.01 8.147-4.81 9.693-10.326 3.204-45.397-73.375-83.014-161.382-6.54 3.924-12.608 5.998-19.31 5.212 17.077 46.103 35.722 91.756 58.396 136.98l-16.09 8.067c-45.888-91.528-75.273-184.003-107.725-277.195l16.998-5.92c2.355 6.764 4.67 13.496 6.996 20.24a27.134 27.134 0 0 1 10.82-5.945c-14.584-34.816-28.005-66.631-38.576-90.332-5.286-7.657-17.624-13.574-28.306-13.272zM89.522 67.424C77.28 80.24 66.187 94.324 58.33 106.93l7.474 8.806c8.001-5.403 22.698-19.026 37.948-31.418zm135.737 79.97c-5.1 0-9.041 3.942-9.041 9.042s3.941 9.04 9.04 9.04c5.1 0 9.042-3.94 9.042-9.04s-3.942-9.041-9.041-9.041zm12.707 34.122c-5.1 0-9.041 3.941-9.041 9.04 0 5.1 3.941 9.042 9.04 9.042 5.1 0 9.04-3.942 9.04-9.041 0-5.1-3.94-9.041-9.04-9.041zm13.904 36.752c-5.1 0-9.041 3.94-9.041 9.039 0 5.1 3.941 9.04 9.04 9.04 5.1 0 9.042-3.94 9.042-9.04s-3.942-9.04-9.041-9.04zm94.61 87.738c-8.392 0-15 6.609-15 15 0 8.39 6.608 15 15 15 8.39 0 15-6.61 15-15 0-8.391-6.61-15-15-15zm12.866 46.814c-8.39 0-15 6.61-15 15 0 8.391 6.61 15 15 15 8.391 0 15-6.609 15-15 0-8.39-6.609-15-15-15z"}}]})(props);
};
function GiScabbard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M392.314 18l-1.804 3.047 34.314 19.746L438.318 18h-46.004zm-72.472 7.053l-90.764 6.107c-.025.044.034-.05-.033.05-.312.47-.87 1.754-1.17 3.688-.599 3.869-.124 10.028 1.447 15.846 1.572 5.818 4.26 11.373 6.721 14.406 1.23 1.517 2.357 2.341 2.857 2.586.215.105.234.126.239.137-.003-.006-.013-.012 0-.016l54.14-14.691 3.606-.978 43.193 24.84c-.077-.43-.164-.839-.238-1.274-2.015-11.823-4.154-25.87 3.172-37.377l-23.17-13.324zm68.451 15.486c-2.358.036-6.943.17-13.035 1.063-8.016 1.174-15.984 4.908-16.654 5.832-1.92 2.642-2.85 14.555-1.02 25.295 1.346 7.897 2.995 13.603 3.969 16.787l18.726 10.775c3.244-.772 8.968-2.229 16.42-5.045 10.166-3.842 19.951-10.654 21.256-13.63.466-1.065-.338-9.85-3.375-17.384-2.313-5.739-4.524-9.786-5.68-11.836L388.293 40.54zm45.352 49.959c-6.221 12.111-19.39 17.356-30.582 21.586-.422.16-.827.294-1.245.447l39.123 22.5 15.625 57.85c.005.02-.005.02-.015.017.01-.002.045.008.252.147.465.31 1.737.867 3.662 1.166 3.849.598 9.988.123 15.789-1.451 5.8-1.574 11.341-4.267 14.367-6.733 2.498-2.035 2.653-2.611 2.637-2.894l-40.559-81.676-19.054-10.959zm-101.272 2.865l-4.213 7.362 59.283 34.091 4.215-7.36-59.285-34.093zm-45.637 4.305a1159.065 1159.065 0 0 1-16.609 37.088c27.13 21.326 63.604 41.152 118.629 56.592 5.978-8.235 11.986-16.451 18.078-24.616L286.736 97.668zm-34.45 43.635c-5.711 13.017-11.546 25.71-17.487 38.258l80.84 45.515.687.596c4.966 4.304 7.488 10.682 7.317 16.373-.171 5.69-2.413 10.636-5.461 14.701-3.049 4.065-6.978 7.37-11.748 9.412-4.771 2.043-10.91 2.748-16.532.022l-.15-.073-77.25-41.074a3405.36 3405.36 0 0 1-17.451 34.026c44.635 22.453 85.583 37.753 135.49 33.507 34.188-25.158 50.136-49.097 63.738-83.257-67.262-17.572-110.72-41.82-141.994-68.006zm-185.587 6.224l-9.375 100.944 23.594 2.937 11.703-100.783-25.922-3.098zM25 156.34v77.685c5.198.69 10.393 1.354 15.588 2l7.117-76.636A1516.858 1516.858 0 0 1 25 156.339zm84.186 9.685l-8.885 76.512c27.023 2.547 54.002 4.547 80.945 6.086 13.284-25.617 25.926-50.51 38.012-76.035-36.49-1.213-73.158-3.274-110.072-6.563zm323.222 6.45c-2.538.056-5.074.117-7.613.171a2096.694 2096.694 0 0 0-17.43 23.577c.362.088.711.18 1.074.267l9.829 2.381-3.504 9.484c-5.916 16.016-12.369 30.428-20.405 43.8 30.904-.578 61.781-1.55 92.641-2.83v-41.11a74.053 74.053 0 0 1-6.033 1.916c-7.735 2.099-15.74 3.036-23.264 1.867-3.762-.584-7.48-1.703-10.892-3.98-3.412-2.278-6.427-6.015-7.623-10.444l-6.78-25.1zm-205.412 23.35c-2.13 4.377-4.277 8.747-6.437 13.107l77.209 41.05c-.021-.009.26.194 1.582-.373 1.33-.57 3.177-1.99 4.431-3.662s1.84-3.473 1.87-4.441c.023-.793-.085-1.153-.74-1.815l-77.915-43.867zm-34.863 83.937c-42.725 71.744-88.78 141.281-131.973 212.162 37.074 5.758 79.858 3.48 123.48-39.047 44.044-42.937 81.985-90.652 118.145-139.945-39.42-2.366-74.388-15.794-109.652-33.17z"}}]})(props);
};
function GiScaleMail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M174.688 61.094L144.155 78.72c60.143 71.885 171.856 69.547 222.78 0l-30.53-17.626c-11.46 23.49-43.57 40.625-81.156 40.625-37.586 0-69.1-17.137-80.563-40.626zm208.5 27c-5.07 7.136-10.657 13.675-16.72 19.594l18.97 34.343 22.03-39.905-24.28-14.03zm-255.438.094L53.937 130.81l66.876 112.375 33.874-19.656-2.78 62.595 12.53 22.656 20.75-37.56-15.375-27.814 16.344-9.03 22.78 41.218 22.75-41.22 16.345 9.032-30.936 56-8.156 14.813-8.188-14.814-4.906-8.875-23.25 42.064-8.188 14.812-8.156-14.812-5.938-10.72-3.5 78.938h81.97l-28.532-51.687 16.375-9.03 22.75 41.217 22.75-41.218.53.28-13.874-25.093 16.345-9.03 22.75 41.22 22.78-41.22L312 307l-14.72-26.656 16.376-9.03 22.75 41.186 22.72-41.125L357 223.53l33 19.157 66.72-112.156-33.033-19.06-30.062 54.405-8.188 14.813-8.187-14.813-6.438-11.656-25.718 46.593-8.188 14.812-8.156-14.813-6.75-12.218-25.438 46.062-8.156 14.813-8.187-14.814-30.94-56 16.376-9.03 22.75 41.186 22.75-41.187.563.313-13.564-24.563c-29.667 7.446-61.705 6.438-91.687-3.188l-25.814 46.75-8.187 14.813-8.19-14.813-5.624-10.218-20.25 36.624-8.187 14.812-8.157-14.812-30.938-56 16.344-9.03 22.78 41.217 17.72-32.124-14.595-26.47 16.344-9.03 19.56 35.406.064.032-.03.03 3.155 5.72 16.374-29.656c-22.918-10.325-44.015-26.047-61.094-47.25zm224.22 31.874c-10.98 8.186-22.995 14.723-35.658 19.594l20.625 37.313 22.75-41.22 1.344.75-9.06-16.438zm120.936 19.813l-66.75 112.188 22.906 13.28L493.875 152l-20.97-12.125zm-435.156.28L17.22 152l65.405 113.344 22-12.78L37.75 140.154zm322.97 167.032l-16.126 29.188-8.188 14.813-8.187-14.813-6.44-11.656-25.717 46.56-8.188 14.814-8.156-14.813-6.75-12.217-23.033 41.75h114.938l-4.156-93.625zM146 419.5l-1.22 27.25h222.126l-1.22-27.25h-126.06l-.25.47-.25-.47H146z"}}]})(props);
};
function GiScales (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.47 53.094s-4.808 37.12-49.5 49.5c-44.695 12.38-129.282 0-129.282 0L61.343 115.78l8.187 9.157-1.093 2.876-51.843 137.312L16 266.72v1.717c0 18.897 8.253 34.243 20.344 44 12.09 9.758 27.563 14.31 42.937 14.313 15.376.003 30.878-4.556 42.97-14.313 12.092-9.756 20.344-25.094 20.344-44v-1.843l-.688-1.688L86.97 130.28c23.946-3.003 80.866-8.54 115.5 1.532 23.064 6.71 36.151 20.345 43.436 31.97L210.78 354.468l21.407 30.31c-17.75 7.75-32.593 24.84-37.562 51.345-56.076 6.195-95.47 20.74-95.47 37.688h311.876c0-16.947-39.392-31.493-95.467-37.688-4.91-26.6-19.57-44.112-37.188-51.906l21-29.75L264 162.28c7.457-11.275 20.388-24.045 42.47-30.468 34.955-10.167 92.615-4.42 116.155-1.437l-50.875 134.75-.625 1.594v1.717c0 18.897 8.253 34.243 20.344 44 12.09 9.758 27.593 14.31 42.967 14.313 15.375.003 30.877-4.556 42.97-14.313 12.09-9.756 20.343-25.094 20.343-44v-1.843l-.688-1.688L441 127.562l-.938-2.28 8.782-8.438-15.594-14.25s-84.556 12.38-129.25 0-49.53-49.5-49.53-49.5zM77.53 156.656l44.22 108.375H36.594L77.53 156.657zm355.158 0l44.218 108.375H391.72l40.967-108.374z"}}]})(props);
};
function GiScallop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.844 73.406l1.625 214.47-18.69.155-1.655-214.342C206.358 75.24 172.012 82.588 141 95.78c36.116 61.6 59.493 126.474 75.813 196.5l-18.22 4.25C182.46 227.29 159.504 163.924 124 103.78c-37.016 19.19-67.986 47.49-87.156 84.97 57.884 24.66 105.126 67.86 140.937 118.688l-15.28 10.75c-34.284-48.66-79.092-89.328-133.28-112.344-8.57 22.082-13.345 46.943-13.345 74.594 95.028 17.855 145.516 75.937 151.406 92 3.752 10.228-27.905 21.074-27.905 38.156 0 12.34 25.52 20.537 59.668 24.67-3.846-4.94-7.694-10.374-11.59-16.31l15.625-10.255c9.802 14.937 18.996 25.865 27.354 32.73 8.358 6.864 15.493 9.632 22.423 9.68 13.862.094 31.592-12.316 53.723-42.776l15.12 10.984c-4.31 5.93-8.553 11.385-12.76 16.35 36.362-4.006 64.125-12.375 64.125-25.074 0-17.92-35.487-28.412-33.72-39.97 2.31-15.09 55.528-74.91 156.626-90.187 0-28.807-5.284-54.622-14.72-77.437-57.322 22.41-104.478 64.46-140.22 115.188l-15.28-10.75c37.145-52.72 86.607-97.216 147.47-121.344-20.457-37.87-53.207-66.233-92.064-85.03-36.426 60.947-59.84 125.186-76.22 195.467l-18.186-4.25c16.523-70.893 40.278-136.5 77.156-198.78-32.42-12.835-68.166-19.55-104.062-20.094z","fillRule":"evenodd"}}]})(props);
};
function GiScalpelStrike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M98.125 18.75c50.57 46.07 104.128 90.743 158.938 134.72l-2.344 30.374c71.727 59.403 153.822 113.5 236.53 166.437-67.922-115.03-145.68-225.91-228.47-331.53h-54.31c43.394 55.367 85.626 111.29 127.436 167.438C275.514 130.873 215.7 75.224 157.656 18.75h-59.53zM17.97 180.688v44.718c94.66 43.63 188.03 92.478 281.155 141.813-94.13-29.464-188.207-59.703-281.156-93.626v39.75c151.97 56.387 311.186 104.892 473.874 138.562C422.48 397.58 352.438 344.842 279.25 301.22l-29.188 9.342C173.594 263.33 96.78 219.043 17.97 180.688z"}}]})(props);
};
function GiScalpel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M486.594 19.438l-212.53 169.468c11.276 6.004 20.268 16.362 25.436 28.156 1.943 4.434 3.305 9.2 4 14.094 80.446 34.536 191.193-106.27 183.094-211.72zM252.03 202.125c-1.268.034-2.38.253-4.53.75-4.932 1.14-8.54 2.213-12.03 5L18.22 382.063v27.78l233.218-184.937 11.625 14.656L18.22 433.656v32.53l255.81-204.155c13.41-10.704 14.012-24.534 8.345-37.467-5.662-12.923-18.25-22.68-30.313-22.438h-.03z","fillRule":"evenodd"}}]})(props);
};
function GiScarWound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.736 19.96c16.94 32.065 35.82 63.162 56.496 93.315 8.384 21.977 3.6 46.57-37.845 76.315 150.19-40.237 106.49 56.516-11.266 126.22 199.958-74.2 249.65-57.033 121.08 93.788 101.084-73.473 180.62-53.61 147.825 37.632 38.067-29.477 69.664-35.763 93.87-25.097 34.812 24.628 71.08 48.27 108.668 70.935-20.512-40.28-42.167-79.152-65.374-116.306-18.072-38.867-22.457-79.24-7.493-113.918-56.766 70.273-91.592 5.3-4.924-85.084-122.303 75.43-177.787 37.864-16.875-106.178-123.854 65.763-219.54 83.267-157.507 18.285-44.75 12.79-70.03 6.265-91.474-2.93C111.59 61.1 66.732 38.62 17.736 19.958zm49.56 39.923c28.685 21.552 56.615 43.913 83.862 67.056l36.617-9.522-22.105 21.978c15.59 13.528 30.947 27.33 46.09 41.39l71.86-30.462-18.776 29.02.3-.24c-21.556 27.54 18.764 86.03 45.995 78.423l31.913-17.7-24.787 36.534 36.875 52.71c.262.3.526.598.788.9 13.642 12.504 31.23 1.71 43.05-14.525l-19.59 41.985c21.418 25.495 42.38 51.654 62.91 78.494-23.153-16.44-45.624-33.417-67.468-50.887-19.98-11.91-31.485.295-44.256 16.856 8.794-18.174 13.377-36.95 3.24-50.864-1.488-1.28-2.978-2.555-4.46-3.84l-44.856-35.346-47.738 26.48 17.187-25.336c7.31-12.403 3.43-27.175-5.648-41.144-10.91-10.88-21.647-21.896-32.216-33.043-1.66-1.227-3.312-2.38-4.957-3.493l-66.44 18.863 21.768-25.76c10.566-17.616 0-41.59-9.848-55.7-5.592-6.538-11.12-13.13-16.617-19.743l-43.666 7.283c18.428-7.3 31.37-22.376 16.844-40.04l-2.268-2.562c.83.86 1.57 1.713 2.268 2.563l2.062 2.33c-16.384-20.564-32.362-41.45-47.933-62.657z"}}]})(props);
};
function GiScarabBeetle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.64 20.564c-18.21 0-34.547 4.813-45.64 11.864-11.093 7.05-16.42 15.507-16.42 23.83 0 8.322 5.327 16.78 16.42 23.83 4.246 2.7 9.266 5.064 14.86 6.963-18.992 7.308-36.196 21.29-50.29 40.516-2.47 3.37-4.832 6.905-7.086 10.58 27.327-12.653 57.74-18.988 88.16-18.988 30.42 0 60.834 6.335 88.16 18.987-2.253-3.675-4.614-7.21-7.083-10.58-14.093-19.227-31.297-33.21-50.288-40.516 5.59-1.9 10.604-4.265 14.847-6.962 11.092-7.05 16.42-15.508 16.42-23.83s-5.328-16.78-16.42-23.83c-11.094-7.05-27.428-11.864-45.64-11.864zm-84.148 11.653c-14.76 0-26.527 11.767-26.527 26.527 0 14.76 11.766 26.526 26.527 26.526 3.988 0 7.755-.866 11.133-2.41-5.984-7.712-9.633-16.728-9.633-26.602 0-8.255 2.546-15.913 6.875-22.71-2.628-.86-5.44-1.33-8.375-1.33zm168.317 0c-2.94 0-5.76.473-8.392 1.338 4.327 6.794 6.87 14.45 6.87 22.703 0 9.87-3.646 18.884-9.626 26.594 3.382 1.55 7.153 2.418 11.147 2.418 14.76 0 26.526-11.765 26.526-26.526 0-14.762-11.766-26.527-26.527-26.527zM55.882 59.94C65.88 72.384 68.966 83.954 69.27 95.1l-23.31-4.662c7.966 10.65 15.832 19.993 19.737 39.29-1.247 13.16-.16 26.382 10.813 40.477 8.774 15.227 21.212 24.887 35.668 28.01 3.516.76 7.097 1.144 10.732 1.225 1.177-6.41 2.605-12.685 4.274-18.813-4.017.263-7.717.043-11.06-.68-8.51-1.838-15.56-6.452-21.786-16.29-2.374-64.74 32.304-98.368-38.455-103.714zm398.763 0c-70.758 5.347-36.08 38.974-38.455 103.716-6.223 9.837-13.275 14.45-21.784 16.29-3.13.675-6.564.923-10.285.736 1.66 6.103 3.085 12.355 4.257 18.736 3.375-.117 6.703-.498 9.975-1.205 14.458-3.123 26.9-12.787 35.675-28.02 9.903-12.724 11.736-24.736 11.082-36.634 3.598-21.938 11.958-31.793 20.435-43.124l-24.307 4.86c.274-11.205 3.352-22.84 13.408-35.355zM246.3 138.57c-5.874.268-11.73.802-17.546 1.575l-11.818 221.15-9.883-217.037c-6.065 1.51-12.037 3.312-17.88 5.404l-12.54 156.96-10.01-147.07c-4.634 2.443-9.142 5.093-13.498 7.958-8.625 22.59-13.586 48.43-13.586 75.914 0 45.584 13.632 86.665 35.03 115.86 19.236 26.244 44.27 42.713 71.73 45.775V138.57zm18.688 0v266.49c27.463-3.062 52.496-19.53 71.733-45.777 21.4-29.194 35.032-70.275 35.032-115.86 0-27.484-4.96-53.327-13.588-75.92-3.276-2.153-6.64-4.185-10.076-6.1l-9.885 145.218-12.433-155.61c-5.88-2.25-11.9-4.2-18.026-5.848l-9.842 216.133-11.79-220.633c-6.987-1.057-14.042-1.77-21.124-2.092zm-149.965 94.875c-12.267.165-24.27 5.045-34.945 14.352-18.264 12.002-23.48 30.757-27.514 50.053-8.83 18.03-18.94 25.084-29.502 33.394l20.663 1.334c-4.696 11.77-12.1 22.087-25.74 29.102 66.8 23.892 47.66-39.01 75.872-101.184 7.814-6.52 15.24-8.725 23.252-8.332.658.032 1.325.088 2 .162-.105-2.95-.16-5.918-.16-8.902 0-3.3.068-6.58.196-9.84-.374-.026-.746-.068-1.12-.086-1.003-.05-2.003-.066-3.003-.053zm280.483 0c-1-.013-2 .004-3.002.053-.12.006-.24.02-.36.027.128 3.28.198 6.578.198 9.9 0 2.962-.055 5.908-.158 8.837.413-.036.828-.078 1.236-.098 8.012-.393 15.44 1.813 23.254 8.334 28.212 62.173 9.072 125.074 75.87 101.182-13.623-7.005-21.023-17.304-25.72-29.055l21.412-1.38c-11.116-8.748-21.734-16.1-30.882-36.335-3.973-18.248-9.566-35.72-26.903-47.113-10.674-9.307-22.676-14.187-34.944-14.352zM132.658 323.48c-6.552 2.768-12.427 6.333-17.465 10.9-11.314 10.254-17.283 25.468-16.865 43.815-2.052 12.72 6.9 23.624 20.096 36.11 6.604 19.126 4.433 31.314 2.834 44.707l19.83-17.422c3.51 14.572 1.746 25.057.39 36.408l21.74-19.102c6.978 8.756 13.45 18.564 18.73 29.776 24.01-71.664-54.898-77.61-62.612-128.137 1.83-4.977 4.675-8.925 8.41-12.31 3.18-2.883 7.234-5.365 12.1-7.426-2.627-5.58-5.022-11.365-7.188-17.32zm245.87.288c-2.175 5.95-4.58 11.728-7.214 17.302 4.586 2.007 8.43 4.398 11.47 7.155 3.736 3.385 6.58 7.333 8.41 12.31-7.715 50.528-86.623 56.473-62.614 128.137 5.195-11.027 11.54-20.693 18.39-29.338l21.24 18.664c-1.354-11.35-3.117-21.836.392-36.408l19.828 17.422c-1.567-13.12-3.68-25.08 2.44-43.54 13.87-12.974 23.452-24.17 21.333-37.283.417-18.345-5.554-33.557-16.867-43.81-4.868-4.414-10.522-7.885-16.81-10.612z"}}]})(props);
};
function GiScarecrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M264.11 24.357l-8.022 39.594-28.2-25.122 9.624 25.83-41.48-16.638 41.52 39.777c-9.3 6.495-15.388 17.393-15.388 29.89 0 20.188 15.884 36.22 35.555 36.22 19.67 0 35.555-16.032 35.555-36.22 0-13.184-6.774-24.59-16.95-30.923l24.79-42.37-27.863 17.69-9.143-37.727zM101.776 67.01c-6.163 0-11.688 2.68-15.52 6.92l-39.075-5.62-2.66 18.5 30.865 4.438-58.524 41.41 41.198-8.55-8.027 35.87 25.852-21.962 18.504 34.08-.82-64.887c2.52 1.074 5.294 1.67 8.207 1.67 3.056 0 5.95-.668 8.567-1.845 13.156 16.754 30.582 30.514 56.65 39.242-7.11 6.444-14.18 12.935-21.303 19.362 48.007 2.993 81.67 49.824 90.275 97.98-6.853 1.445-13.963 3.815-21.307 7.2 28.664 57.982-21.168 129.288-33.297 164.05l5.285.192-34.125 41.227 37.58-18.92 1.53 36.722 19.288-27.903 26.69 28.128-14.5-57.935 6.728.244c.643-48.52 13.678-85.638 21.662-140.625 6.06 49.21 18.806 98.424 6.37 147.635l6.263-.746-14.87 52.83 26.693-28.128 19.287 27.9 1.53-36.72 37.582 18.917-32.63-39.276 5.202-.62c-7.866-38.65-40.228-108.407-19.248-165.44-6.265-4.002-13.042-6.928-20.272-8.65 12.328-43.742 46.016-86.71 85.612-94.556l-7.616-12.46c25.346-10.523 39.26-26.136 48.553-43.866 2.37.82 4.912 1.272 7.56 1.272 1.65 0 3.258-.174 4.81-.502l13.74 59.543 7.71-41.362 30.143 21.032-10.514-32.248 38.557-4.207-55.183-21.805 52.47-6.725-2.374-18.537-60.85 7.797c-4.22-5.62-10.94-9.254-18.51-9.254-9.673 0-17.955 5.94-21.41 14.37L305.49 91.76c2.952 5.537 4.987 11.636 5.908 18.084l47.694-6.112c-11.316 8.315-20.168 19.095-25.875 33.018l-5.9-9.65c-8.985 9.427-17.88 17.535-26.672 24.047-9.928 13.01-25.47 21.45-42.926 21.45-18.198 0-34.312-9.17-44.156-23.13-6.782-6.855-13.448-15.606-19.984-26.455-5.158 4.28-10.225 8.667-15.248 13.105-8.67-13.547-18.666-25.162-30.402-34.435l56.123 8.072c.93-6.43 2.966-12.51 5.914-18.03L120.62 78.87c-3.382-7.012-10.537-11.862-18.843-11.862zm112.88 203.81c0-.002 0-.005-.003-.007l-.002.01.006-.003z"}}]})(props);
};
function GiSchoolBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M143.6 25.42c-8.4.08-18.2.34-26.2 1.95-4.9.98-8.9 2.5-10.8 3.86-1.2.8-1.6 1.22-1.8 1.67l23.6 59.19c0-.04.1-.09.1-.13 5.1-7.32 11.6-13.41 20.6-13.41h21l-26.5-53.13zm224.8 0l-26.5 53.13h21c9.1 0 15.5 6.22 20.6 13.65l23.7-59.3c-.2-.45-.6-.87-1.8-1.67-1.9-1.36-5.9-2.88-10.8-3.86-8-1.61-17.8-1.85-26.2-1.95zM256 38.47c-31.2 0-62.5 16.36-62.5 49.08h18c0-41.42 89-41.42 89 0h18c0-32.72-31.3-49.08-62.5-49.08zM149.1 96.55s-2.3.61-5.8 5.75c-3.6 5-7.7 13.5-11.6 24.5-7.8 22-15.3 54.1-21.7 91.7-12.59 74.7-20.87 171.7-20.98 259.7 1.34.9 4.46 2.4 8.78 3.7 8.7 2.7 22.1 5.2 38.3 7.2 32.4 3.9 76.2 5.9 119.9 5.9s87.5-2 119.9-5.9c16.2-2 29.6-4.5 38.3-7.2 4.3-1.3 7.4-2.8 8.8-3.7-.1-85.1-8.4-182-21-257.5-6.4-38-13.9-70.6-21.7-93.1-4-11.2-8-19.9-11.6-25.2-3.6-5.23-6-5.85-5.8-5.85H149.1zM256 119c23.1 0 46.2 4.1 65.2 12.8 19.1 8.7 34.7 22.6 39.5 42l.1.1 31.3 136.3H119.9l31.3-136.3.1-.1c4.8-19.4 20.4-33.3 39.5-42 19-8.7 42.1-12.8 65.2-12.8zm0 18c-20.9 0-41.8 3.9-57.8 11.2-15.9 7.3-26.3 17.4-29.5 29.9l-26.2 114.1h227l-26.2-114.1c-3.2-12.5-13.6-22.6-29.5-29.9-16-7.3-36.9-11.2-57.8-11.2zm-64 46h128v18h-87v26.6h-18V201h-23v-18zm-69.8 153.8h18c0 34.9 4.6 60.5 12.4 76.2 7.9 15.6 17.3 21.7 32.1 21.7h142.6c14.8 0 24.2-6.1 32.1-21.7 7.8-15.7 12.4-41.3 12.4-76.2h18c0 36.4-4.4 64.3-14.4 84.2-10 20-27.3 31.7-48.1 31.7H184.7c-20.8 0-38.1-11.7-48.1-31.7-10-19.9-14.4-47.8-14.4-84.2z"}}]})(props);
};
function GiSchoolOfFish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M465.3 25C442.9 33.05 427 39.94 427 39.94l-3 1.3-55-15.99c4.1 11 5.6 21.33 5.3 30.91C390.2 65.4 401 72.59 401 72.59l2 1.31 24.7-9.15 3 1.11s21.3 7.63 49.4 15.3c2.3-.34 4.6-.63 6.9-.9V25h-21.7zm-198.9 8.32c-.9 0-1.7.01-2.6.04-24 .53-57.6 8.98-85.8 18.19-32.2 10.53-57.8 21.64-57.8 21.64l-3 1.3L62.25 58.5c3.94 10.71 5.5 20.77 5.3 30.14 3.43-.28 6.8-.45 10.09-.5v.01c4.01-.06 7.91.07 11.66.4 17.4 1.56 37.3 8.9 56.3 17.75 9.9 3.1 22.4 6.8 36.2 10.4 32.1 8.4 71.1 15.5 94.6 12.4 2.7-.4 5.6-1 8.7-1.7-1.8-4.6-4.2-9.4-7.4-14.6l-12-19.8 61 17.8c7.6-3.8 15-7.8 22-11.76 12.6-7.21 23.1-13.81 30.8-18.78-7.9-4.9-18.7-11.37-32-18.47-24.4-13.14-54.8-26.45-74-28.16-2.3-.2-4.6-.31-7.1-.31zm33.9 20.56a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-80.7 2.85l2.6 17.82c-11.8 1.65-14.5 5.16-14.5 5.38-.1.11-.2.22.2 1.35.5 1.12 1.6 2.96 3.6 4.83 3.8 3.74 10.4 7.52 17 9.19s12.8 1.28 17.3-1.23l8.8 15.63c-9.7 5.5-20.8 5.5-30.5 3.1-9.8-2.5-18.7-7.4-25.2-13.82-3.3-3.2-6-6.8-7.7-11.09-1.7-4.29-2.2-9.58-.3-14.46 3.8-9.77 14.1-14.65 28.7-16.7zM487 98.61c-21.5 2.79-46.9 9.59-69 16.79-32.2 10.5-57.8 21.7-57.8 21.7l-3 1.2-54.9-15.9c5 13.8 6.2 26.5 4.6 38-1.1 8.6-3.5 16.4-6.4 23.8l60.4-22.4 3 1.1s25.7 9.3 57.9 17.6c20.9 5.5 44.6 10.4 65.2 12.3v-16.1c-7.6 2.1-15.6 1.7-22.9-.1-9.8-2.5-18.7-7.4-25.2-13.8-3.3-3.2-6-6.8-7.7-11.1-1.7-4.2-2.2-9.5-.3-14.4 3.8-9.8 14.1-14.7 28.7-16.7l2.6 17.8c-11.8 1.7-14.5 5.2-14.5 5.4-.1.1-.2.2.2 1.3.5 1.1 1.6 3 3.6 4.8 3.8 3.8 10.4 7.5 17 9.2 6.6 1.7 12.8 1.3 17.3-1.2l1.2 2.1V98.61zM78.02 106.2c-15.13.3-34.05 3.8-53.02 8.6v16.5c2.74-.7 5.69-1.3 8.85-1.7l2.5 17.8c-5.65.8-9.18 2.1-11.35 3.1v7.7c.21.3.43.5.66.7 3.83 3.8 10.41 7.5 17.01 9.2 6.6 1.7 12.85 1.3 17.3-1.2l8.86 15.6c-9.7 5.5-20.78 5.5-30.56 3.1-4.69-1.2-9.16-3-13.27-5.2v12.9l24.2 7.1c11.12 1.5 21.69 2.4 30.86 2.2 9.94-4 26.44-10.4 46.74-17 8.1-2.6 16.6-5.3 25.2-7.7 3.7-2 7.4-4 10.9-6 12.6-7.3 23.1-13.8 30.8-18.8-7.9-4.9-18.7-11.4-32-18.5-24.4-13.1-54.8-26.4-74-28.1-2.26-.2-4.64-.3-7.14-.3h-2.54zm36.48 20.5a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm103.7 57.8c-24 .5-57.6 9-85.8 18.2-32.2 10.5-57.81 21.7-57.81 21.7l-2.99 1.3L25 212v55.8l50.25-18.7 3.1 1.1s25.65 9.3 57.85 17.6c32.1 8.4 71.1 15.5 94.6 12.4 18.9-2.5 48.5-16.5 72.3-30 12.6-7.3 23.1-13.9 30.8-18.8-7.9-4.9-18.7-11.4-32-18.5-24.4-13.2-54.8-26.4-74-28.1-2.2-.2-4.6-.3-7.1-.3h-2.6zm36.5 20.5a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-80.7 2.9l2.6 17.8c-11.8 1.7-14.5 5.2-14.5 5.4-.1.1-.2.2.2 1.3.5 1.1 1.6 3 3.6 4.8 3.8 3.8 10.4 7.5 17 9.2 6.6 1.7 12.8 1.3 17.3-1.2l8.8 15.6c-9.7 5.5-20.7 5.5-30.5 3.1-9.8-2.5-18.7-7.4-25.2-13.8-3.3-3.2-6-6.8-7.7-11.1-1.7-4.2-2.2-9.5-.3-14.4 3.8-9.8 14.1-14.7 28.7-16.7zm252.5 23.9c5 13.8 6.2 26.6 4.6 38.1-1.1 8.6-3.5 16.4-6.4 23.8l60.4-22.4 1.9.7v-26.5c-1 .4-2.6 1.1-2.6 1.1l-3 1.3-54.9-16.1zM25 278.8v93.7c18.91-3.7 46.09-16.7 68.25-29.3 12.65-7.3 23.15-13.9 30.85-18.8-7.9-4.9-18.7-11.4-31.97-18.5-21.7-11.7-48.04-23.4-67.13-27.1zm321.9 8.9c-24 .5-57.6 9-85.8 18.2-32.2 10.5-57.8 21.7-57.8 21.7l-3 1.3-54.9-16.1c5 13.8 6.2 26.6 4.6 38.1-1.1 8.6-3.5 16.4-6.4 23.8l60.4-22.4 3 1.1s25.7 9.3 57.9 17.6c32.1 8.4 71.1 15.5 94.6 12.4 18.9-2.5 48.5-16.5 72.3-30 12.6-7.3 23.1-13.9 30.8-18.8-7.9-4.9-18.7-11.4-32-18.5-24.4-13.1-54.8-26.4-74-28.1-2.3-.2-4.6-.3-7.1-.3h-2.6zM44.9 298a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm338.5 10.2a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-80.7 2.9l2.6 17.8c-11.8 1.7-14.5 5.2-14.5 5.4-.1.1-.2.2.2 1.3.5 1.1 1.6 3 3.6 4.8 3.8 3.8 10.4 7.5 17 9.2 6.6 1.7 12.8 1.3 17.3-1.2l8.8 15.6c-9.7 5.5-20.7 5.5-30.5 3.1-9.8-2.5-18.7-7.4-25.2-13.8-3.3-3.2-6-6.8-7.7-11.1-1.7-4.2-2.2-9.5-.3-14.4 3.8-9.8 14.1-14.7 28.7-16.7zm121.7 83.1c-24 .5-57.6 9-85.8 18.2-32.2 10.5-57.8 21.7-57.8 21.7l-3 1.3-54.9-16.1c4.1 11.3 5.6 22 5.2 31.8 11.3 6.2 21.4 12.2 28.8 16.8l24.6-9.1 3 1.1s25.7 9.3 57.9 17.6c14 3.7 29.3 7.1 44 9.5h63.4c11.3-3.3 24.3-8.9 37.2-15.3V412c-19.2-8.9-39-16.3-52.9-17.5-2.3-.2-4.6-.3-7.1-.3h-2.6zm36.5 20.5a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-80.7 2.9l2.6 17.8c-11.8 1.7-14.5 5.2-14.5 5.4-.1.1-.2.2.2 1.3.5 1.1 1.6 3 3.6 4.8 3.8 3.8 10.4 7.5 17 9.2 6.6 1.7 12.8 1.3 17.3-1.2l8.8 15.6c-9.7 5.5-20.7 5.5-30.5 3.1-9.8-2.5-18.7-7.4-25.2-13.8-3.3-3.2-6-6.8-7.7-11.1-1.7-4.2-2.2-9.5-.3-14.4 3.8-9.8 14.1-14.7 28.7-16.7zM132.8 437c-24 .5-57.6 9-85.81 18.2-7.82 2.5-15.22 5.1-21.99 7.6V487h33.95c-.52-3.2-.34-6.6.92-9.9 3.79-9.8 14.16-14.7 28.78-16.7l2.5 17.8c-11.73 1.7-14.39 5.2-14.49 5.4-.04.1-.19.2.26 1.3.22.5.62 1.3 1.2 2.1H243.6c1.7-1.1 3.4-2.1 4.9-3.1-7.9-4.9-18.7-11.4-32-18.5-24.4-13.2-54.8-26.4-74-28.1-2.3-.2-4.6-.3-7.1-.3h-2.6zm36.5 20.5a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9z"}}]})(props);
};
function GiScissors (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M204.902 160.246c-5.972.13-11.88 1.138-17.752 2.832-27.015 7.795-53.963 32.7-75.966 60.47a9 9 0 0 1-6.8 3.407l-69.253 1.97-.253-8.943-.018.002-.85 114.86 74.412.095a9 9 0 0 1 8.97 8.402c-.075-1.108 1.74 3.838 6.174 8.623 4.435 4.785 10.74 10.224 17.266 14.94 5.005 3.62 10.184 6.83 14.64 9.115.036-1.62.186-3.224.434-4.776 1.223-7.632 4.523-15.054 8.897-21.765 4.373-6.713 9.798-12.694 16.252-16.837 4.025-2.585 8.888-4.538 13.933-4.756 7.334-15.483 18.572-34.855 42.817-41.547 1.444-.4 2.48-.502 3.33-.48.848.02 1.51.166 2.203.265.41.06.805.144 1.205.22-12.94-12.258-21.842-26.238-28.496-40.837-13.878 27.166-40.78 43.774-63.05 55.62l-8.45-15.894c27.485-14.618 56.812-33.796 61.986-68.01a9 9 0 0 1 17.488-1.337c7.503 24.018 17.674 45.35 38.63 62.396 8.675 4.772 23.866 1.712 29.88-15.262-6.092-22.897-9.235-39.687-19.975-61.64-24.177-30.83-46.322-41.594-67.653-41.134zm223.19 19.807c-4.44.05-9.442.51-14.994 1.5L294.773 206.97c5.792 14.422 8.966 27.285 12.49 41.184 6.443-1.353 28.548-5.998 54.508-11.513 15.013-3.19 30.158-6.427 41.8-8.958 5.82-1.266 10.77-2.355 14.364-3.168 1.796-.407 3.258-.746 4.287-.994.765-.185 1.58-.44 1.548-.416 12.818-4.623 21.502-10.793 26.402-16.57 4.948-5.83 5.98-10.82 5.242-14.368-.738-3.548-3.162-6.923-9.892-9.523-4.2-1.623-10.03-2.674-17.428-2.59zm-117.8 86.967c-5.612 18.07-19.827 28.805-34.5 30.886 2.103.942 4.218 1.908 6.32 2.895 8.66 4.067 17.03 8.38 23.474 12.36 1.583.978 3.04 1.92 4.393 2.877 47.003 6.104 102.48 8.05 137.41 5.172 7.462-.616 11.91-3.012 14.387-5.564 2.477-2.55 3.398-5.367 3.05-8.94-.693-7.148-8.034-17.736-26.063-22.567-19.776-5.3-49.118-9.882-75.577-12.93-21.77-2.506-42-3.942-52.894-4.19zm-68.81 37.082c-15.446 4.734-22.93 16.487-29.154 29.4l57.852 29.73c2.502 1.082 4 .894 6.99-.753 3.02-1.666 6.802-5.25 10.228-9.757 5.547-7.297 9.667-16.036 12.07-21.897-1.042-.763-1.74-1.362-3.34-2.35-5.423-3.35-13.42-7.51-21.667-11.382-8.246-3.873-16.812-7.504-23.49-9.983-3.34-1.238-6.233-2.19-8.185-2.715-.634-.17-.927-.217-1.303-.293zm-45.564 41.722c-.318-.025-.7-.002-1.168.102-.95.21-2.23.748-3.97 1.865-3.48 2.234-7.666 6.558-10.897 11.517-3.232 4.958-5.53 10.575-6.203 14.785-.675 4.21.093 6.007.888 6.77.166.158 4.185 2.892 9.323 5.35 5.138 2.456 11.7 5.17 18.594 7.65 13.19 4.752 28 8.44 35.434 8.833 10.002-2.946 14.492-6.77 16.865-10.988 1.98-3.522 2.727-8.188 2.492-13.984l-60.584-31.71c-.202-.09-.454-.163-.772-.19z"}}]})(props);
};
function GiScooter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M289.053 71.09v48c3.275-1.64 6.196-3.276 8.8-4.913 1.292 3.432 2.803 7.44 4.485 11.81 1.477 3.838 2.963 7.615 4.365 11.106.077-.028.134-.05.21-.076 5.91-2.124 11.554-4.132 16.76-5.97-1.42-3.52-2.98-7.487-4.536-11.527-3.76-9.768-7.19-19.033-7.25-19.193 4.254-9.746-3.342-19.492-22.834-29.238zm48.1 74.31c-.478.164-.704.234-1.21.41-6.24 2.166-14.595 5.144-22.94 8.144-12.248 4.404-18.836 6.817-24.478 8.875l3.116 7.415 23.872-1.36 2.888 3.956s2.826 3.867 5.8 7.813c.576.763 1.056 1.364 1.62 2.102l17.43-11.207c-.847-3.666-1.662-7.195-3.352-14.445-.987-4.236-1.906-8.147-2.746-11.704zm18.947 41.876l-21.477 13.217c10.812 18.74 17.32 44.9 19.55 70.266 1.29 14.664 1.04 28.976-1.314 41.45-2.354 12.474-6.606 23.566-15.56 30.59-11.608 9.103-26.544 10.157-39.794 9.012-13.25-1.146-25.115-4.668-32.416-7.838l-.404-.176-.385-.215c-13.903-7.73-21.992-19.64-23.84-32.703-1.476-10.424.446-21.186 3.972-32.35-17.137-6.45-32.922-11.605-47.455-15.633 9.577 15.4 13.588 30.462 12.388 44.577-1.278 15.037-8.492 28.213-19.394 38.742l19.655 30.812c11.346.78 70.357 4.55 99.31-.193 18.44-3.02 36.853-6.05 48.288-15.71 27.358-23.12 37.953-65.914 54.562-102.366-10.913-25.742-33.193-48.06-55.685-71.484zm-243.99 29.768c-14.488-.025-28.696 1.55-42.542 6.166l-.05.016-.05.017c.807-.26-.4.233-1.304 2.133-.903 1.9-1.474 4.718-1.268 7.09.207 2.372.967 4.117 2.362 5.433 1.13 1.066 2.948 2.15 6.412 2.59 12.274-4.322 26.653-6.956 43.39-7.294 34.893-.704 80.16 8.193 139.977 31.565l4.494 1.757c2.697-1.175 5.505-2.836 8.267-5.172.492-8.402-2.215-21.206-7.424-30.477-2.882-5.13-6.388-9.08-9.4-11.02-3.013-1.938-4.913-2.304-7.946-1.245l-.093.033-.094.03c-29.847 9.69-60.57 5.377-90.504 1.81-14.967-1.784-29.735-3.407-44.225-3.432zm350.247 20.898l-25.316 8.86 22.327 17.03c8.538-1.48 11.162-5.398 11.65-10.106.477-4.594-2.13-10.88-8.66-15.784zm-337.185 13.233c-1.96-.027-3.875-.02-5.75.017-31.49.636-51.13 9.713-64.41 21.873-22.254 20.378-26.62 49.78-29.565 69.498l141.213-.628-.113-.18c15.02-9.44 23.675-21.596 24.883-35.805 1.153-13.562-4.553-30.352-22.086-49.662-16.665-3.32-31.352-4.937-44.172-5.113zm304.154 12.373c-9.262 19.81-16.53 44.263-27.717 67.006 7.087-3.09 14.557-5.947 22.156-8.645 20.93-7.43 42.144-12.868 58.236-15.827-.866-1.83-2-3.91-3.832-6.28-4.864-6.297-12.513-13.565-21.004-19.988-8.49-6.423-17.872-12.06-26.008-15.53-.62-.264-1.23-.506-1.832-.737zm24.444 67.71c-7.872 2.233-16.023 4.788-23.983 7.614-21.857 7.76-42.454 18.317-51.5 26.928l-.48.52c-1.812 5.548-2.807 11.456-2.807 17.59 0 31.375 25.626 57 57 57s57-25.625 57-57c0-23.67-14.592-44.064-35.23-52.653zM432 344.91c6.054 0 11.772 1.36 16.87 3.79-2.832 4.102-5.784 8.515-9.147 11.455-2.438-.804-5.033-1.244-7.723-1.244-2.69 0-5.285.44-7.723 1.245-3.363-2.94-6.315-7.353-9.146-11.455 5.098-2.43 10.816-3.79 16.87-3.79zm-28.09 11.88c3.022 3.955 6.308 8.122 8.076 12.227-3.123 4.17-4.983 9.327-4.986 14.88-3.858 2.24-8.938 3.66-13.668 5.075-.212-1.657-.332-3.344-.332-5.06 0-10.576 4.15-20.12 10.91-27.122zm56.18 0c6.76 7.003 10.91 16.546 10.91 27.12 0 1.718-.12 3.405-.332 5.062-4.73-1.414-9.81-2.836-13.668-5.075-.003-5.553-1.863-10.71-4.986-14.88 1.768-4.105 5.054-8.272 8.076-12.227zm-282.75 3.098l-120.13.535c.602.766 1.243 1.506 1.938 2.213 4.273 4.342 10.76 8.062 22.282 10.26 28.497.083 57.83-1.004 83.244-3.672 6.005-.63 11.747-1.376 17.213-2.207l-4.547-7.13zm-140.78.627l-8.636.037c-3.16 7.066-4.924 14.88-4.924 23.094 0 31.373 25.626 57 57 57 29.4 0 53.754-22.504 56.7-51.153-18.35 1.05-37.503 1.48-56.282 1.41l-.795-.002-.783-.14c-9.573-1.745-17.434-4.687-23.778-8.595-.03.487-.062.973-.062 1.467-3.858 2.238-8.938 3.66-13.668 5.074-.212-1.656-.332-3.344-.332-5.06 0-4.284.69-8.394 1.95-12.24-2.703-3.464-4.755-7.154-6.39-10.89zM432 376.91c3.973 0 7 3.03 7 7 0 3.974-3.027 7-7 7s-7-3.026-7-7c0-3.97 3.027-7 7-7zM59.568 397.957c3.14 4.448 7.68 7.85 12.96 9.53.894 4.375.662 9.634.548 14.542-12.025-2.128-22.088-9.702-27.58-20.12 4.663-1.636 9.62-3.478 14.072-3.952zm40.864 0c4.453.474 9.41 2.316 14.072 3.953-5.492 10.416-15.555 17.99-27.58 20.118-.114-4.908-.346-10.167.55-14.543 5.277-1.678 9.82-5.08 12.958-9.53zm311.136.266c3.14 4.448 7.68 7.85 12.96 9.53.894 4.375.662 9.633.548 14.542-12.025-2.13-22.088-9.702-27.58-20.12 4.663-1.636 9.62-3.478 14.072-3.952zm40.864 0c4.453.474 9.41 2.316 14.072 3.953-5.492 10.417-15.555 17.99-27.58 20.12-.114-4.91-.346-10.168.55-14.544 5.277-1.677 9.82-5.08 12.958-9.528z"}}]})(props);
};
function GiScorpio (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M372.366 466.713c-13.312 0-25.02-1.402-35.324-3.99-14.15-5.02-26.633-10.96-41.876-31.902-1.445-1.97-2.812-4.034-4.086-6.137l-.86-1.436c-14.137-24.323-17.38-56.392-19.015-86.38l-.215-7.95V98.292c0-7.428-.946-15.08-4.172-21.978-2.494-4.202-5.793-4.516-8.357-3.24-3.298 1.644-7.4 6.822-8.06 17.2.947 72.702-1.59 176.022-2.636 246.594H169.86V98.296c0-7.428-.938-15.08-4.168-21.978-2.585-4.35-6.043-4.595-8.805-3-3.535 2.048-7.703 8.117-7.703 19.808.61 79.303-1.5 164.812-2.684 243.74H68.6V98.3c0-21.373-8.852-39.73-36.375-39.837l-8.42-.033C41.222 38.587 58.55 30.06 86.564 30.06c18.047 0 34.916 7.15 46.576 19.317l1.894-1.712 2.215-1.905c16.768-12.93 35.994-15.695 50.566-15.695 18.022 0 34.86 7.127 46.52 19.256l1.824-1.65 2.215-1.906c16.783-12.93 35.996-15.694 50.58-15.694 33.037 0 61.923 23.91 62.555 58.412.163 8.843.25 19.037.267 30.172 0 62.654-2.787 237.685-.714 250.206l1.002 5.544c.52 2.576 1.07 5.028 1.673 7.38 9.78 37.704 23.914 46.357 49.574 45.798 11.458-1.032 21.664-5.28 29.604-9.802l-16.503-29.712 72.843 2.37-29.02 77.574c-.22-.87-6.215-11.94-13.716-25.587-6.774 8.882-25.53 24.288-74.154 24.288z"}}]})(props);
};
function GiScorpionTail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M234.156 50.97C206.818 50.935 181.553 62 160.75 82.5l-.03.03-2.407 2.407-3.407.344c-49.495 5.403-83.706 33.15-89.5 85.095l-.375 3.5-2.56 2.47c-36.707 35.167-44.447 78.697-16.595 128.75l1.688 3.06-.626 3.44C41.666 340.604 46.126 363.12 57.5 381s30.177 31.492 55.344 40.625l4.125 1.5 1.624 4.063c12.656 31.673 29.218 54.478 50.844 64.687l297.968-.22c-37.12-38.026-97.324-65.477-154.562-82.28-32.405-9.513-63.8-15.746-89.22-19.03-25.418-3.286-45.81-3.197-52.155-1.75l-11.407 2.624-.532-11.72c-.957-22.076-7.112-36.88-16.655-48.813-9.543-11.93-22.932-21.06-38.813-29.687L94 295.53l6.97-9.092c9.87-12.847 11.79-26.224 10.093-41.594-1.7-15.37-7.504-32.15-12.782-48.844l-2.843-8.97 8.876-3.186c39.696-14.2 61.118-34.885 70.687-62.53l3.22-9.314 9.31 3.313c27.454 9.8 51.837 2.02 85.25-9.813l6.564-2.313 4.344 5.438c14.095 17.657 33.44 31.493 53.75 36.688 3.166.81 6.358 1.384 9.562 1.78-57.08 49.068 10.62 193.9 145.03 147.876-89.358-9.813-54.872-56.095-45.78-93.595 10.03-41.365-14.234-70.782-51.75-70.53-4.967-22.81-18.265-40.016-35.78-51.564-19.87-13.097-45.096-18.51-67.876-15.03l-3 .47-2.75-1.314c-17.383-8.393-34.527-12.417-50.938-12.437z"}}]})(props);
};
function GiScorpion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M118.2 13.613c-9.34.05-18.525 2.977-25.878 9.2-28.494-14.11-63.64.133-58.814 33.37C7.16 77.84 13.01 118.364 43.355 131.036c-.715 28.33 22.506 53.156 49.643 50.957 7.358 19.48 25.91 31.78 45.996 34.16.1 2.352.31 4.766.63 7.235-9.325 4.95-18.904 9.69-28.645 14.374l8.098 16.84c8.28-3.98 16.58-8.045 24.8-12.307 1.822 5.843 4.153 11.877 6.93 18.027-9.202 4.788-18.57 9.436-28.048 14.037l8.16 16.814c9.49-4.607 18.984-9.31 28.394-14.195 3.407 5.985 7.2 12.024 11.393 18.067-9.837 5.116-19.83 10.094-29.934 15.02l8.19 16.798c11.075-5.4 22.15-10.903 33.11-16.646 4.754 5.912 9.852 11.78 15.302 17.55-12.022 6.36-24.303 12.478-36.713 18.54l8.203 16.794c14.22-6.947 28.442-14.04 42.432-21.567 4.807 4.436 9.683 8.62 14.6 12.547-19.234 11.162-38.166 24.76-55.102 40.38l-4.783 4.41 2.478 6.017c6.126 14.866 12.37 27.647 19.33 38.534 16.73 43.73 117.658 67.51 169.87 49.974-40.098-76.48-110.48-107.213-163.516-77.16-1.91-3.884-3.808-7.983-5.7-12.338 16.67-14.624 35.242-27.457 53.913-37.656 14.745 9.996 29.484 17.747 43.312 23.174 4.953-1.442 9.74-3.09 14.36-4.91-5.082-4.966-10.262-10.56-15.505-16.832l14.34-11.985c6.706 8.026 13.247 14.75 19.41 20.267 9.148-5.032 17.394-10.79 24.644-17.03-4.422-6.302-9.917-13.245-16.64-20.736l13.91-12.48c6.27 6.987 11.628 13.576 16.176 19.802 2.76-3.212 5.29-6.494 7.563-9.825-2.275-9.77-6.05-20.19-11.212-30.927 4.547-14.812 10.333-29.638 17.244-43.776 4.26.62 8.324 1.297 12.215 2.03-23.748 40.476 31.817 122.773 84.082 144.218 29.62-76.177 7.565-136.216-53.038-155.462-13.592-4.834-29.27-8.007-47.555-10.31l-6.457-.815-3.002 5.773c-6.094 11.72-11.37 23.9-15.847 36.21-5.395-8.492-11.577-17.043-18.5-25.503 7.895-9.388 15.278-19.488 22.038-30.44l-15.903-9.816c-5.726 9.277-11.96 17.903-18.61 26-2.39-2.562-4.838-5.11-7.362-7.634-2.882-2.88-5.797-5.67-8.733-8.382 7.245-8.65 14.023-17.95 20.244-28.008l-15.892-9.83c-5.664 9.157-11.848 17.648-18.477 25.58-6-4.88-12.05-9.395-18.093-13.53 6.332-7.583 12.27-15.716 17.728-24.504l-15.875-9.86c-5.434 8.747-11.412 16.803-17.84 24.302-6.575-3.778-13.08-7.073-19.443-9.856 4.955-5.94 9.616-12.294 13.912-19.146l-15.834-9.928c-5.074 8.093-10.74 15.45-16.895 22.223-9.522-2.728-18.495-4.106-26.615-4.004-.202.003-.398.017-.6.02-15.792-17.983-44.215-24.07-67.113-15.15-3.733-21.79-22.074-39.414-42.832-41.6 4.765-14.846 1.142-31.49-8.877-43.204 14.55-2 28.25-10.616 35.153-22.598 12.188 14.724 34.067 21.62 51.673 15.564 8.117 17.202 29.023 28.58 48.562 26.01 35.58 81.022 139.882 84.89 177.424 1.266-36.924 23.267-66.726 3.737-89.6-26.473-17.638-23.298-43.473-38.92-75.83-8.985-10.208-15.318-30.848-23.5-49.33-18.993-8.477-14.405-24.79-22.622-40.67-22.54z"}}]})(props);
};
function GiScoutShip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M203.2 28.18C137.2 69.46 103.8 127.8 83.44 189c-20.38 61.1-28.39 125.3-44.11 180.3l17.3 5c16.28-57 24.27-120.8 43.87-179.7 19.7-58.8 50.3-112.44 112.3-151.15zm105.6 0l-9.6 15.27c62 38.71 92.6 92.35 112.3 151.15 19.6 58.9 27.6 122.7 43.8 179.7l17.4-5c-15.8-55-23.8-119.2-44.2-180.3-20.3-61.2-53.7-119.54-119.7-160.82zM189 81.28c-19.3 16.09-39.5 43.92-54.9 76.42-14.5 30.6-24.8 65.3-28 98 19.6-13.4 38.3-15.9 54.7-10.4 11.9 4 22.3 11.1 32 19.5-5.7-20.8-11.1-40.8-15.5-58.6-6.1-24.5-10.3-44.4-10.3-58.4v-3.7l2.6-2.7c8.6-8.6 21.9-22.5 38.3-33.6-7-7.7-13.2-16.32-18.9-26.52zm134 0c-5.7 10.19-11.9 18.82-18.9 26.52 16.4 11.1 29.7 25 38.3 33.6l2.6 2.7v3.7c0 14-4.2 33.9-10.3 58.4-4.4 17.8-9.8 37.8-15.5 58.6 9.7-8.4 20.1-15.5 32-19.5 16.4-5.5 35.1-3 54.7 10.4-3.2-32.7-13.5-67.4-28-98-15.4-32.5-35.6-60.33-54.9-76.42zm-67 27.52c-24.7 0-54.1 26.2-70.7 42.6.6 10.8 4.1 28.8 9.4 50.5 6 24 14 52.5 22 81.5 14.7 53.5 29.6 107.8 31.8 143.4h15c2.2-35.6 17.1-89.9 31.8-143.4 8-29 16-57.5 22-81.5 5.3-21.7 8.8-39.7 9.4-50.5-16.6-16.4-46-42.6-70.7-42.6zm0 23c32 0 48 32 48 32l-16 32c-32-16-32-16-64 0l-16-32s16-32 48-32zm-9 96h18v80h-18zm-104.7 32.3c-2.4.1-4.8.3-7.3.9v30.8h18v-30.2c-3.5-.9-7-1.5-10.7-1.5zm227.4 0c-3.7 0-7.2.6-10.7 1.5v30.2h18V261c-2.5-.6-4.9-.8-7.3-.9zM247 444.8v39h18v-39z"}}]})(props);
};
function GiScreaming (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16.406 17.53v14.595l140.75 132.563L105.75 17.53H16.406zm123.22 0l68.343 124.407-2.907-124.406h-65.438zm100.468 0l22.78 118.564L298.5 17.53h-58.406zm93.437 0L317.19 147.75l90.53-130.22h-74.187zm106.283 0l-74.157 158.282L495.876 76.5V17.53h-56.063zM16.406 71.25v84.094l99.28 46.72L16.407 71.25zm479.47 46.156l-93.438 99.28 93.437-32.717v-66.564zm-312.188 59.47c-10.92.086-25.162 10.363-36.125 27.374-6.48 10.054-10.708 20.766-12.5 30.406-49.04 22.678-113.907 63.906-113.907 63.906l148.438 126 15 67.782h144.28l11.313-64.656.094.093 152.25-129.217s-66.033-41.99-115.217-64.532c-1.858-9.475-6.037-19.945-12.375-29.78-10.964-17.01-25.237-27.288-36.157-27.375-3.64-.03-6.906 1.073-9.56 3.438-2.42 2.154-4.117 5.17-5.126 8.812 1.253 1.576 2.484 3.176 3.656 4.844 11.65 16.57 19.578 37.626 22.47 61 8.607 7.78 17.563 11.763 24.717 10.78l54.594 35.938L314.94 359.5c-4.07 5.263-8.572 10.022-13.438 14.156-5.576-4.344-11.033-7.95-16.438-10.812 6.327-4.49 12.208-10.48 17.407-17.875 12.3-17.496 20.28-42.414 20.28-70.126 0-27.712-7.98-52.63-20.28-70.125-12.3-17.496-28.3-27.314-45.44-27.314-17.138 0-33.136 9.818-45.436 27.313-12.3 17.493-20.28 42.412-20.28 70.124 0 27.712 7.98 52.63 20.28 70.125 4.54 6.456 9.58 11.866 15 16.124-5.51 2.618-11.07 6.023-16.688 10.22-3.745-3.456-7.26-7.29-10.5-11.44l-105.25-58.187 54.438-35.843c7.49.513 16.76-4.09 25.5-12.594 3.06-22.683 10.856-43.12 22.22-59.28.79-1.128 1.607-2.23 2.436-3.314-.934-4.326-2.752-7.896-5.5-10.344-2.655-2.364-5.923-3.466-9.563-3.437zm61.093 58.468c-.653 3.818-1.03 7.97-1.03 12.312 0 2.244.067 4.41.25 6.53-11.27.942-22.108 3.384-32.063 7.345l-6.906-17.342c12.538-4.99 25.953-7.912 39.75-8.844zm28.22.78c11.567 1.376 23.15 4.035 34.47 7.907l-6.033 17.657c-9.206-3.15-18.574-5.347-27.906-6.625.237-2.393.345-4.85.345-7.406 0-4.045-.303-7.93-.875-11.53zm-16.5 41.314c20.266 0 36.72 16.404 36.72 36.656 0 20.255-16.454 36.687-36.72 36.687s-36.688-16.434-36.688-36.686 16.422-36.656 36.688-36.656z"}}]})(props);
};
function GiScreenImpact (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M340.625 18.438l-42.438 104.657-39.562-99.938L213.25 157l-75.97-54.78 14.22 92.53L24.53 27l108.095 202.032-72.094-36.344 59.532 171.188-88.906-12.53 55.25 72.06-52.47-12.03 103.626 78.75 1.875 2.47h240.188l110.28-151.376-52.03 5.468 56.406-67.562-71.718 36.03L459.97 203.22l-54.783 24.625-88.75 67.843 54.282-78.25 18.936-116.343-57.75 37.562 8.72-120.22zM310.312 204.25L296.72 317.127l82.53-21.5-59.47 57.625L376.907 395l-77.437-12.905 36.092 75.75-67-39.313-40.593 50.375-3.72-57.97-70.063 5.783 70.063-37.313-77.53-79.28 75.124 18.56-8.375-84.75 51.405 87.5 45.437-117.186z"}}]})(props);
};
function GiScrew (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M315.7 23.86c-.6.01-1.3.02-1.9.04v.01c-10.1.35-17.3 3.1-21.6 7.41-2 1.99-3.1 5.56-1.4 13.22 1.6 7.65 6.2 18.08 13.1 29.63 13.9 23.1 36.8 50.93 62.2 76.23 25.3 25.3 53.1 48.3 76.2 62.1 11.5 7 22 11.6 29.6 13.2 7.7 1.7 11.2.6 13.2-1.4 4.3-4.3 7.1-11.5 7.4-21.6.4-10.2-1.8-23-6.3-36.7-3.4-10.1-8-20.7-13.8-31.2-8.2-7.6-16.9-14.5-26.1-20.6 3.5 22.7.3 45.6-6.2 65.1-1.3-26.8-8.9-54.9-21.7-81.24-26.3-12.83-54.5-20.37-81.2-21.68 19.5-6.5 42.3-9.71 65.1-6.31-6.2-9.11-13-17.8-20.5-25.93-10.6-5.8-21.3-10.49-31.4-13.87-12.8-4.28-24.8-6.44-34.7-6.41zm-10.1 84.84c-11.2 11.7-23.4 24.5-36 38.1 15.3 10.4 37.9 23.1 61.7 33.9 23.2 10.6 48.2 19.5 68.9 24.3-15.7-12.3-31.7-26.7-46.9-41.9-17.6-17.7-34.1-36.4-47.7-54.4zm-48.5 51.6c-6.1 6.7-12.4 13.5-18.6 20.4-1.8 2-3.7 4-5.5 6 15.2 10.1 36.9 22.2 59.7 32.6 27 12.3 56.1 22.4 78.4 26.3 5.6-5.2 11-10.3 16.3-15.3 2.7-2.5 5.5-5.1 8.1-7.6-22.6-5.2-47.7-14.8-71.7-25.6-25.9-11.8-49.8-24.9-66.7-36.8zm-36.5 40.1c-7.8 8.7-15.7 17.6-23.6 26.6 15.1 9.8 35.7 21.1 57.2 30.9 25.8 11.7 53.6 21.5 75.5 25.8 8.5-7.8 16.9-15.4 25.1-22.9-22.1-5.3-46.4-14.6-69.5-25.1-24.8-11.4-47.9-23.8-64.7-35.3zm-35.7 40.5c-7.7 8.9-15.4 17.9-23 26.8 14.7 9.3 33.8 19.6 53.7 28.7 24.3 11.1 50.4 20.5 71.7 25.1 8.7-7.7 17.3-15.3 25.8-22.9-21.2-5.4-44.3-14.3-66.4-24.3-23.5-10.7-45.3-22.4-61.8-33.4zm-34.8 40.9C142.5 291 135 300 127.7 309c14 8.5 31.3 17.8 49.3 26 22.5 10.2 46.5 19 66.8 23.9 8.9-7.5 17.8-15.1 26.6-22.8-20-5.5-41.6-13.9-62.2-23.3-21.8-9.9-42.1-20.7-58.1-31zm-33.9 41.6c-7.4 9.4-14.6 18.6-21.39 27.6 12.89 7.6 27.99 15.5 43.69 22.6 20.2 9.2 41.5 17.1 60.4 22.2 9.1-7.3 18.4-14.9 27.8-22.6-18.6-5.5-38.2-13.2-57.1-21.8-19.7-9-38.2-18.7-53.4-28zm-32.34 42.3c-7.16 9.8-13.84 19.2-19.95 28.3 11.07 6.2 23.36 12.4 36.01 18.2C117.1 420 135.2 427 151.8 432c9.6-7 19.5-14.5 29.5-22.3-16.5-5.3-33.6-12.2-50.2-19.7-17.1-7.8-33.32-16.1-47.24-24.3zm-29.98 43.5c-6.72 10.6-12.45 20.5-17.03 29.5 7.84 4.1 16.09 8.2 24.5 12 13.06 6 26.65 11.4 39.75 15.9 10.1-6.2 21-13.4 32.4-21.4-13.6-4.8-27.5-10.5-41.03-16.6-13.67-6.2-26.77-12.8-38.59-19.4zm-24.49 46.1c-5.85 15.3-6.59 26.7-.68 32.6 8.16 8.2 26.69 3.6 51.78-9.5-8.91-3.5-17.83-7.3-26.59-11.3-8.45-3.8-16.66-7.8-24.51-11.8z"}}]})(props);
};
function GiScrewdriver (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M68.906 19.344c-2.614.03-5.178.298-7.687.75C49.235 20.75 38.59 25.42 30.812 33.5c-9.657 10.03-14.27 24.77-11.875 40.594.012.084.05.165.062.25.708 13.018 6.502 26.876 19.53 39.906l86.126 86.125c30.255 2.728 53.004 26.627 53.906 57.5l.157 5.625c.8 5.8 4.26 10.397 8.874 12.78 5.734 2.965 12.387 3.148 19.625-4.092l64.436-64.407c7.72-7.718 6.865-12.713 3.5-18.155-3.365-5.442-11.242-10.094-18.78-10.094H255.968c-30.125-1.296-53.427-23.484-56.5-53l-86.595-86.593C97.59 24.652 82.44 19.183 68.905 19.345zM65 38.187c5.44.03 11.493 1.387 17.97 4.47l92.968 92.968-13.22 13.22L54 40.124c3.284-1.25 6.967-1.96 11-1.938zM38.344 56.47L146.75 164.843l-13.22 13.22-90.405-90.408c-3.155-5.842-4.966-11.366-5.72-16.344-.85-5.62-.425-10.577.94-14.843zM453.22 169.687l1.842 18.593-34.593-17.81c-11.45 2.664-21.948 7.76-29.408 14.624-7.198 6.625-11.776 14.544-12.687 24.594l111.563-13.532c-3.744-9.308-10.448-15.842-19.25-20.53-5.2-2.77-11.146-4.75-17.47-5.94zm5.592 49.062l-43.343 5.28c1.224 13.065 2.98 26.084 5.28 38.94l40.063-29.22c-.582-5.014-1.26-10.008-2-15zm-188.25 16.563l-36.812 36.75 16.625 16.625 36.813-36.75-16.625-16.625zm192.25 20.093l-37.968 27.72c2.35 10.382 5.055 20.63 8.125 30.655l30.81-22.467c.176-11.902-.154-23.9-.967-35.907zm-173.968 21.28l-12.75 12.752L388.406 401.75l3.313 3.313-.69 4.625-4.342 29.968 73 46.688 26.093-26.094-46.686-72.97-30 4.345-4.625.688-3.314-3.313-112.312-112.313zM462.75 315.19l-23.563 17.187c4.596 12.718 9.778 25.015 15.594 36.75 3.98-17.394 6.615-35.487 7.97-53.938zm-326.25 4.28c-7.316.176-14.165 2.543-20.72 6.5-7.282 4.4-13.982 10.982-19.436 18.782l3.25 37.188-16.53-5.032c-1.325 7.755-1.367 15.408.06 22.25 2.003 9.588 6.414 17.628 14.595 23.563l45.56-102.75c-1.796-.284-3.57-.473-5.31-.5-.493-.01-.982-.013-1.47 0zm10.25 38.782l-17.688 39.938c11.83 5.634 23.894 10.798 36.094 15.406l-4.562-49.375c-4.585-2.063-9.196-4.053-13.844-5.97zm33.5 15.344l4.344 46.844c10.115 3.3 20.29 6.216 30.47 8.718l-3.5-37.97c-10.13-6.25-20.59-12.137-31.314-17.592zm51.313 30.72l2.687 29.03c13.26 2.568 26.457 4.417 39.5 5.437-12.892-12.322-27.05-23.852-42.188-34.467z"}}]})(props);
};
function GiScrollQuill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M311.9 47.95c-17.6 0-34.6.7-50.7 2.43L244.6 93.5l-4.9-40.04c-2.5.46-5 .94-7.5 1.47-9.1 1.94-15.1 7.22-20.3 14.87-5.2 7.65-8.9 17.5-12.1 26.6C191 121.5 184 148 178.4 175c6 5.1 12 10.3 17.9 15.4l30.7-17.6 33.8 26.1 51.9-19.7 61 24.5-6.8 16.7-54.4-21.8-54.7 20.7-32.2-24.9-14.9 8.5c19.6 17.3 38.6 34.4 56.5 51.2l14-6.4 33.9 16.1 31.2-13.1 24.2 23.3-12.4 13-15.8-15.1-27.6 11.7-33-15.8c6.9 6.7 13.6 13.2 20.1 19.7l1.7 1.8 19.5 76.3-7.8-5.7-53 .4-38.1-17.8-42.4 14.6-5.8-17 49.2-17 41.1 19.2 24.7-.2-70.7-51.7c-19.7 4.6-39.4 2.8-58.1-3.7-4.2 44.4-5.9 85.7-7 118.7-.4 10.7 2.7 23 7.5 32.5 4.9 9.5 11.7 15.4 15 16.1 5.2 1.2 19 3.2 37.7 5.1l12.4-39 19.1 41.7c16.7 1.2 35 2 53.5 2.2 28.2.3 57.1-.9 82-4.7 15.8-2.3 29.6-6 40.7-10.4-11.8-5.1-21.6-10.6-29.1-16.6-11.1-8.9-18.2-19.3-17.3-30.9v.2c5.4-96.4 10.8-188.8 30.3-286l.1-.4.1-.4c5.3-17.9 17.9-39.86 36.1-55.83-13.9-2.06-28.6-4-43.7-5.66l-22.3 25.3-2.2-27.7c-19-1.64-38.4-2.71-57.4-2.92h-5.7zm148.5 20.44c-4.7 3.69-9.2 8.03-13.3 12.73 12.1 8.18 21.4 23.38 21.8 36.98.3 7.8-1.9 14.9-7.7 21.4-5.8 6.4-15.6 12.4-31.6 15.8l3.8 17.6c18.6-4 32.3-11.5 41.2-21.4 9-9.9 12.7-22.2 12.3-34-.6-19.3-11.1-37.59-26.5-49.11zM25.44 71.91c-.24 1.61-.38 3.43-.38 5.62.1 7.69 2.03 18.17 5.83 30.17 3.41 10.7 8.27 22.5 14.35 34.8 10.63-5.3 20.59-11 28.41-18.1-4.42 12.5-10.15 24.7-18.6 36.5 4.14 7.2 8.63 14.4 13.45 21.5 10.64-5.3 20.72-13 29.52-26.1-3.3 16-8.47 30.6-18.27 41.8 6.53 8.5 13.5 16.8 20.75 24.5 8.7-9.3 15.6-21 20.7-34.9 3.8 18.5 2.6 35.3-5.7 49.4 8 7.2 16.3 13.7 24.8 19.1 6.1-14 8.9-30.6 8.5-49.7 9.2 23.7 11.3 42.9 9.6 59.5 20.2 9.2 40.8 12 61.3 6.1l4.2-1.3 69.3 50.6-5.9-22.8c-73-72.8-175.4-156.7-261.86-226.69zM312.8 123.9l33.2 13.8 31.3-9.9 5.4 17.2-37.5 11.9-33.6-14-28.8 8.1-4.8-17.4zm107.3 236.2c-.7 0-1.3.1-2 .1-3.5.1-7.2.5-11.1 1.3l3.4 17.6c12.2-2.3 20-.4 24.5 2.5 4.4 2.9 6.3 6.8 6.4 12.5.1 9.3-7 23-23.3 32.5 5.4 2.9 11.9 5.9 19.3 8.7 14.4-11.6 22.1-26.8 22-41.4-.1-10.7-5.2-21.2-14.6-27.4-6.7-4.3-15-6.5-24.6-6.4z"}}]})(props);
};
function GiScrollUnfurled (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M103.432 17.844c-1.118.005-2.234.032-3.348.08-2.547.11-5.083.334-7.604.678-20.167 2.747-39.158 13.667-52.324 33.67-24.613 37.4 2.194 98.025 56.625 98.025.536 0 1.058-.012 1.583-.022v.704h60.565c-10.758 31.994-30.298 66.596-52.448 101.43-2.162 3.4-4.254 6.878-6.29 10.406l34.878 35.733-56.263 9.423c-32.728 85.966-27.42 182.074 48.277 182.074v-.002l9.31.066c23.83-.57 46.732-4.298 61.325-12.887 4.174-2.458 7.63-5.237 10.467-8.42h-32.446c-20.33 5.95-40.8-6.94-47.396-25.922-8.956-25.77 7.52-52.36 31.867-60.452 5.803-1.93 11.723-2.834 17.565-2.834v-.406h178.33c-.57-44.403 16.35-90.125 49.184-126 23.955-26.176 42.03-60.624 51.3-94.846l-41.225-24.932 38.272-6.906-43.37-25.807h-.005l.002-.002.002.002 52.127-8.85c-5.232-39.134-28.84-68.113-77.37-68.113C341.14 32.26 222.11 35.29 149.34 28.496c-14.888-6.763-30.547-10.723-45.908-10.652zm.464 18.703c13.137.043 27.407 3.804 41.247 10.63l.033-.07c4.667 4.735 8.542 9.737 11.68 14.985H82.92l10.574 14.78c10.608 14.83 19.803 31.99 21.09 42.024.643 5.017-.11 7.167-1.814 8.836-1.705 1.67-6.228 3.875-15.99 3.875-40.587 0-56.878-44.952-41.012-69.06C66.238 46.64 79.582 39.22 95.002 37.12c2.89-.395 5.863-.583 8.894-.573zM118.5 80.78h46.28c4.275 15.734 3.656 33.07-.544 51.51H131.52c1.9-5.027 2.268-10.574 1.6-15.77-1.527-11.913-7.405-24.065-14.62-35.74zm101.553 317.095c6.44 6.84 11.192 15.31 13.37 24.914 3.797 16.736 3.092 31.208-1.767 43.204-4.526 11.175-12.576 19.79-22.29 26h237.19c14.448 0 24.887-5.678 32.2-14.318 7.312-8.64 11.2-20.514 10.705-32.352-.186-4.473-.978-8.913-2.407-13.18l-69.91-8.205 42.017-20.528c-8.32-3.442-18.64-5.537-31.375-5.537H220.053zm-42.668.506c-1.152-.003-2.306.048-3.457.153-2.633.242-5.256.775-7.824 1.63-15.11 5.02-25.338 21.54-20.11 36.583 3.673 10.57 15.347 17.71 25.654 13.938l1.555-.57h43.354c.946-6.36.754-13.882-1.358-23.192-3.71-16.358-20.543-28.483-37.815-28.54z","fillRule":"evenodd"}}]})(props);
};
function GiScubaMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M467.2 27.34l-18 .64s.8 21.35.5 54.68h17.9c.4-33.74-.4-55.32-.4-55.32zm-265 49.37c-42.8 0-85.6 7.73-124.36 23.15-5.54 2.64-12.24 10.64-17.68 23.34-5.46 12.7-9.75 29.5-12.45 48-5.29 36.1-4.38 78.5 2.83 108.7.12-.3 3.94 3.1 12.03 5.7 8.61 2.8 20.86 5.2 35.3 7.2 14.03 1.9 30.03 3.3 47.13 4.3 2-7.5 4.3-15.4 6.6-23.3-12.6-.6-24.5-1.4-35.1-2.5-12.1-1.2-22.44-2.7-30.61-4.6-4.08-1-7.6-2.1-10.74-3.4-3.14-1.4-6.23-2.9-8.7-7l-.58-.9-.32-1.1c-6.65-21.9-4.54-52.1 1.98-79.3 3.27-13.6 7.71-26.3 13.32-36.8 5.62-10.5 12.2-19.1 22.15-22.9l.1-.1h.2c29.9-9.9 64.4-14.8 98.9-14.8s69 4.9 98.8 14.8l.3.1.3.1c9.5 3.9 15.4 12.4 20.8 22.8 5.5 10.4 10 23.1 13.4 36.6 6.9 27.2 9.7 57.4 3 79.5l-.3 1.1-.6.9c-2.5 4.1-5.5 5.6-8.7 7-3.1 1.3-6.7 2.4-10.7 3.4-8.2 1.9-18.6 3.4-30.6 4.6-11.2 1.1-23.8 2-37.2 2.6 2.5 7.8 5 15.6 7.4 23l.1.3c17.5-1 34-2.5 48.3-4.4 14.4-2 26.7-4.4 35.3-7.2 8.1-2.5 11.9-6 12-5.7 7.2-30.1 7.2-72.5 1.5-108.8-2.9-18.5-7.3-35.4-12.7-48.2-5.2-12.6-11.8-20.7-16.3-23.04-38.7-15.44-81.4-23.15-124.1-23.15zm247.2 23.99c-.8 41.4-3.3 95.7-10.1 149.9-7 55.5-18.5 110.9-36.6 151.4-9 20.3-19.7 36.8-31.7 47.8-12.1 11.1-25.1 16.9-40.8 16.9-46 0-75.7-15.1-94.4-30-9.1-7.3-15.4-14.4-19.5-19.7 3.1-1.6 5.9-3.6 8.6-5.8 6.4-5.2 12.1-11.7 16.9-18 9.7-12.7 16.4-25.3 16.4-25.3l-16-8.4s-6 11.4-14.7 22.7c-4.3 5.7-9.2 11.2-13.9 15-4.7 3.8-8.9 5.5-11.4 5.5s-6.7-1.7-11.4-5.5-9.6-9.3-13.9-15c-8.7-11.3-14.7-22.7-14.7-22.7l-16 8.4s6.7 12.6 16.4 25.3c4.8 6.3 10.5 12.8 16.9 18 5 4.1 10.7 7.6 17.2 8.9 4.1 6.4 13 18.7 27.9 30.6 21.3 17.1 55.6 34 105.6 34 20.3 0 38.3-8.2 52.9-21.6 14.7-13.5 26.4-32 36.1-53.7 19.4-43.5 30.9-100.1 37.9-156.6 6.9-55.2 9.4-110.2 10.3-152.1zm-247.2 17.9c-32.7 0-65.4 4.5-92.9 13.6-2.9 1.1-8 6-12.58 14.5s-8.7 20.1-11.68 32.5c-5.7 23.8-6.94 51.1-2.84 67.5.12 0 .1 0 .23.1 1.53.7 4.2 1.5 7.61 2.3 6.81 1.7 16.66 3.1 28.26 4.3 11.4 1.1 24.6 2 38.6 2.6 3.6-11.7 7.4-23.2 11.3-33.5 4.2-11.3 8.6-21.2 13.4-28.8 2.4-3.8 4.8-7.1 7.9-9.9 3.1-2.7 7.1-5.1 12.1-5.1s9.1 2.5 12.1 5.2c3 2.8 5.4 6.1 7.6 10 4.6 7.6 8.7 17.5 12.8 28.7 3.7 10.3 7.4 21.8 11.1 33.5 14.9-.6 28.9-1.5 40.9-2.7 11.6-1.2 21.4-2.6 28.2-4.3 3.4-.8 6.1-1.6 7.6-2.3.2-.1.1-.1.2-.1 4-16.3 2.3-43.6-3.7-67.4-3.2-12.5-7.4-24.1-11.9-32.7-4.4-8.5-9.6-13.6-11.6-14.5-27.4-9-60.1-13.5-92.7-13.5zm-.7 78.6v.1c-1.1.9-2.8 3-4.6 5.9-3.7 5.9-7.8 15-11.9 25.7-7.4 19.6-14.7 44.5-20.9 67l37.5 25L239 296c-7.4-22.7-14.7-47.6-21.9-67.2-3.9-10.8-7.8-19.9-11.2-25.8-1.7-2.8-3.4-4.9-4.4-5.8z"}}]})(props);
};
function GiScubaTanks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M245 29v26h22V29h-22zM105 62.563v30.874l14-7V69.564l-14-7zm302 0l-14 7v16.874l14 7V62.564zM137 69v18h90V69h-90zm148 0v18h90V69h-90zm-40 4v14h22V73h-22zm114 26.416v20.176c14.247 8.412 24.376 19.263 32.05 31.947 13.556 22.404 19.038 51.316 21.991 82.326 2.953 31.01 3.422 63.895 8.324 94.211 2.322 14.36 5.68 28.27 10.928 41.06 4.237-4.39 9.665-7.622 15.746-9.15-4.048-10.489-6.864-22.163-8.904-34.783-4.598-28.43-5.13-61.05-8.176-93.045-3.047-31.994-8.565-63.586-24.51-89.937-10.598-17.516-26-32.356-47.449-42.805zM128.922 105c-6.642 5.152-12.31 11.225-17.026 18-15.783 22.68-21.907 51.968-25.406 80.758-3.499 28.79-4.261 57.394-7.527 77.955-1.633 10.28-4.005 18.474-6.746 23.185-2.741 4.712-4.482 5.932-8.604 6.11-5.089.219-8.12-.96-10.912-3.225-2.792-2.266-5.358-6.06-7.369-11.437-4.021-10.754-5.363-27.23-4.809-43.99.772-23.314 4.797-46.823 7.2-59.143 3.026-.782 5.619-2.307 7.789-3.879 3.577-2.59 6.449-5.698 8.924-8.719 4.949-6.041 8.32-12.072 8.32-12.072l-15.674-8.85s-2.819 4.933-6.572 9.514c-1.877 2.29-3.984 4.411-5.555 5.549-.605.438-.917.555-1.203.681-.235-.193-.486-.373-.938-.937-1.192-1.491-2.645-4.064-3.832-6.742-2.373-5.356-3.763-10.803-3.763-10.803l-17.463 4.361s1.632 6.654 4.77 13.735c1.568 3.54 3.493 7.268 6.234 10.693a32.14 32.14 0 0 0 1.69 1.934c-2.456 12.196-7.052 37.955-7.917 64.082-.594 17.958.391 36.053 5.94 50.89 2.774 7.419 6.803 14.173 12.886 19.11 6.084 4.936 14.21 7.612 23.028 7.232 10.16-.437 18.631-6.864 23.388-15.04 4.757-8.178 7.17-18.114 8.965-29.415 3.59-22.601 4.258-50.96 7.617-78.607 3.36-27.648 9.525-54.272 22.315-72.649 6.733-9.674 15.051-17.384 26.328-22.318V105h-24.078zM171 105v30.818c4.292-.54 8.646-.818 13-.818 4.354 0 8.708.278 13 .818V105h-26zm144 0v30.818c4.292-.54 8.646-.818 13-.818 4.354 0 8.708.278 13 .818V105h-26zm-131 48c-27.5 0-55 13-55 39v23h110v-23c0-26-27.5-39-55-39zm144 0c-27.5 0-55 13-55 39v23h110v-23c0-26-27.5-39-55-39zm-199 80v30h254v-30H129zm0 48v62h110v-62H129zm144 0v62h110v-62H273zm-144 80v30h254v-30H129zm327 16c-8.39 0-15 6.61-15 15s6.61 15 15 15 15-6.61 15-15-6.61-15-15-15zm-327 32v78h110v-78H129zm144 0v78h110v-78H273z"}}]})(props);
};
function GiScythe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M296.625 25.406c-63.794.388-135.81 14.683-206.03 32.844-3.472 34.08 2.226 68.906 14.03 104.25C181.175 75.936 393.65 44.825 486.72 128 456.02 50.466 384.046 24.874 296.624 25.406zM65.655 61.438L27.906 71c5.643 78.022 28.546 132.393 60.44 174.47-16.54 10.348-40.693 19.673-68.782 26.843 5.664 6.597 14.25 16.18 30.53 18.53 24.846-4.33 39.912-14.982 53.75-26.593 76.24 85.145 190.22 118.955 253.126 224.22l49.436-.126C290.996 275.316 81.01 364.804 65.656 61.438z","fillRule":"evenodd"}}]})(props);
};
function GiSeaCreature (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M421.064 120.467c-8.182-.15-16.182 1.82-24.797 5.484-16.37 7-29 34.22-36.61 56.13-12.188 41.125-18.54 174.724-38.79 209.46h71.64c2.74-26.73 2.38-147.44 3.93-171.83.93-14.65 7.38-37.13 17.05-41.24 6.21-2.64 14.69-4.3 38 13.78 8.17 6.29 61.02-13.88 23.94-44.76-22.463-18.716-38.743-26.735-54.363-27.023zm20.006 18.027a9 9 0 1 1 0 18 9 9 0 0 1 0-18zM216.047 321.12c-55 0-77 69.35-77 69.35.013.335.043.67.09 1h148.61c.04-.31.08-.66.08-1 0-5.82-24.25-69.35-71.78-69.35zm-153.03 29.322c-21.82 0-39.5 41.068-39.5 41.068h79c.04-4.76-17.65-41.068-39.5-41.068z"}}]})(props);
};
function GiSeaDragon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M297.688 21.063c-15.634.137-31.488 4.074-46.657 12.343 34.997-2.542 65.762 8.182 74.345 33.938-128.86-16.852-260.25 113.34-31.72 245.187 62.006 35.773 19.38 127.795-104.31 75.095C24.494 317.39 36.47 186.86 95.844 118.562c7.322 12.328 13.418 26.194 18.936 40.75 19.067-48.595 56.388-68.62 93.595-88.812-52.197-24.58-102.01-14.783-150.906 8.406 10.362 5.744 19.104 13.503 26.655 22.72-113.558 67.915-77.773 280.4 71.406 366.53 189.853 109.61 414.786-132.238 208.157-211.062-151.438-57.77-111.705-139.905-38.03-126.156l2.624 42.625 141.345 39.375 20.906-60.657c-28.94-12.513-52.207-26.577-71.092-43.843 1.268-28.244-10.66-56.505-33.907-84.75.757 13.793.603 27.582-1.592 41.376-22.21-28.084-53.733-44.287-86.25-44zm43.437 65.374c23 7.268 44.722 20.866 62 44.094-33.73 15.82-69.124-5.32-62-44.093z"}}]})(props);
};
function GiSeaSerpent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M220 16.125l12.688 39.438-75.75-31.157 22.843 35.5-62.31-8.062 20.25 18.375C85.836 87.854 40.9 132.144 31.47 182.5c-13.072 69.79 13.156 136.212 83.56 174.344 28.93 15.672 67.963 44.2 69.626 74.625 1.576 28.818-16.452 47.193-38.437 62.25h141.5c10.595-26.14 15.644-50.77 12.81-74.5-7.014-58.812-61.562-108.4-122.56-133.126-31.615-12.813-67.4-25.374-59.595-84.125 7.474-56.25 65.42-77.176 104.78-65.126l175.064 174.47 11.217-11.283.125.158 29.75-27.032-46.812 6.094-11.344-11.344 27.188-24.656-45.938 5.97-13-12.97 27.75-25.22-46.906 6.095.25.313-13.844-13.813L341 181.562l-41.156 5.313-32.906-32.813c-9.38-17.193-4.68-25.8 5.468-28.28 3.945 12.708 14.1 23.23 27.813 26.906 14.044 3.763 28.41-.562 38.186-10.063l10.938 29.438 6.72-26.094 21.405 5.718 14.155 38.093 8.28-32.06 20.908 5.593L436.5 205.53l9.188-35.56 16 4.28 15.656 42.156 9.156-35.5.22.063 5.28-19.782-23.97-27.47-119.56-32.03c-4.09-12.39-14.137-22.582-27.595-26.188-2.65-.71-5.294-1.127-7.938-1.28-4.957-.29-9.84.372-14.437 1.843L220 16.124zm89.938 76.688c.612-.015 1.223-.008 1.843.03 1.418.09 2.85.336 4.283.72 11.452 3.068 18.1 14.578 15.03 26.03-3.067 11.45-14.61 18.1-26.062 15.032-11.452-3.07-18.098-14.58-15.03-26.03 2.517-9.394 10.746-15.563 19.938-15.782z"}}]})(props);
};
function GiSeaStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M224.19 41.1c-.054.156-.167.404-.72 1.47-1.3 2.497-2.775 7.64-3.745 14.23-1.94 13.18-2.314 32.12-2.46 51.708-.148 19.587-.1 39.876-1.556 56.838-.728 8.48-1.803 16.124-3.677 22.738-1.874 6.614-4.32 12.643-10.074 16.824-5.448 3.957-11.553 4.962-18.603 5.592-7.05.63-15.136.506-24.05-.012-17.828-1.035-38.92-3.706-59.403-6.017-20.484-2.31-40.41-4.24-55.017-3.95-7.304.144-13.288.915-16.834 2.023-2.66.83-3.363 1.488-3.498 1.613.006.232.175 1.034 1.644 3.076 1.967 2.736 5.983 6.59 11.386 10.676 10.806 8.173 26.992 17.517 43.865 26.875 16.874 9.36 34.462 18.786 48.734 27.836 7.135 4.524 13.443 8.938 18.568 13.437 5.125 4.5 9.347 8.907 11.38 15.162 2.233 6.876.746 13.172-1.433 20.204-2.18 7.03-5.584 14.803-9.76 23.267-8.348 16.93-19.822 36.543-30.758 55.708-10.936 19.166-21.335 37.936-27.303 52.26-2.985 7.162-4.793 13.272-5.208 17.02-.203 1.83-.154 2.654-.123 3.015-.022-.178 1.743.36 6.136-.69 5.006-1.2 12.08-3.982 20.173-7.925 16.186-7.886 36.614-20.305 57.27-33.32 20.658-13.016 41.586-26.63 59.393-37.12 8.904-5.247 17.012-9.715 24.118-12.99C259.747 377.374 265.456 375 272 375c6.635 0 12.127 2.765 17.826 6.355 5.7 3.59 11.574 8.344 17.752 13.858 12.357 11.028 25.856 25.134 39.072 38.57 13.217 13.437 26.21 26.215 36.637 34.12 5.213 3.955 9.833 6.622 12.78 7.646 2.946 1.022 3.01.585 2.97.614.058-.042.838-.698 1.106-4.184.267-3.485-.277-8.974-1.678-15.482-2.802-13.016-8.79-30.144-15.317-47.7-6.527-17.56-13.577-35.6-18.537-51.345-4.958-15.744-9.038-28.324-5.17-40.234 3.66-11.262 13.363-19.443 25.337-29.38 11.975-9.938 26.596-20.53 40.504-31.024 13.91-10.493 27.118-20.942 35.796-29.86 4.34-4.457 7.502-8.56 9.072-11.556 1.57-2.995 1.415-4.244 1.293-4.62-.022-.07-.236-.83-3.342-2.02s-8.392-2.178-14.905-2.612c-13.025-.867-30.92.22-49.388 1.698-18.47 1.476-37.566 3.31-53.916 3.7-16.35.392-29.578.825-39.85-6.638-4.965-3.608-8.27-8.54-11.91-14.7-3.64-6.16-7.296-13.59-11.07-21.915-7.547-16.65-15.528-36.858-23.636-56.404-8.108-19.548-16.38-38.457-24.065-51.945-3.843-6.744-7.585-12.122-10.63-15.338-2.79-2.946-4.436-3.432-4.54-3.507zM24.554 204.156c-.003-.078.012-.093.004-.066-.03.085-.044.102-.005.066zm223.46-1.316c4.976 0 7.992 2.65 10.032 4.805 2.04 2.153 3.524 4.473 4.982 7.033 2.917 5.12 5.548 11.252 8.116 17.445 2.57 6.193 5.038 12.42 7.188 17.162 1.075 2.372 2.08 4.377 2.848 5.674.07.12.106.134.177.24.914.143 2.938.653 5.456.593 4.403-.105 10.224-.647 16.08-1.115 5.857-.47 11.7-.896 17.06-.54 2.678.18 5.247.488 8.064 1.567 2.816 1.08 6.593 3.564 8.033 7.996 1.342 4.13.173 7.99-1.172 10.556-1.344 2.566-3 4.48-4.81 6.338-3.618 3.717-8.022 7.11-12.46 10.46-4.44 3.347-8.898 6.595-12.147 9.292-1.596 1.324-2.785 2.762-3.52 3.634.123 1.148.295 3.202.975 5.36 1.35 4.285 3.49 9.803 5.562 15.375 2.072 5.572 4.09 11.144 5.23 16.437.57 2.647.98 5.213.75 8.192-.228 2.978-1.395 7.195-5.17 9.937-3.87 2.814-8.797 2.427-11.726 1.41-2.93-1.018-5.068-2.484-7.222-4.118-4.308-3.267-8.48-7.473-12.656-11.718-4.176-4.246-8.294-8.518-11.577-11.448-1.492-1.33-2.714-2.254-3.587-2.838-.26.088-.383.09-.68.23-1.588.73-3.857 1.96-6.44 3.48-5.16 3.043-11.627 7.24-18.137 11.343s-13.024 8.106-18.903 10.97c-2.94 1.432-5.68 2.608-8.685 3.328-3.007.72-7.113 1.598-11.662-1.707-4.422-3.212-5.023-8.618-4.672-11.784.35-3.167 1.3-5.756 2.453-8.52 2.303-5.527 5.683-11.514 9.12-17.535 3.435-6.02 6.926-12.022 9.216-16.665.97-1.97 1.56-3.463 1.986-4.662-.884-.71-1.962-1.53-3.55-2.537-3.848-2.44-9.2-5.33-14.535-8.29-5.335-2.958-10.626-5.932-15.012-9.25-2.192-1.658-4.203-3.343-5.996-5.835-1.792-2.492-3.648-6.895-2.15-11.507 1.58-4.86 5.833-7.17 8.783-8.092 2.95-.92 5.64-1.104 8.512-1.16 5.744-.114 12.173.57 18.637 1.298 6.462.73 12.91 1.53 17.8 1.812 1.954.114 3.35.077 4.58.026.18-.948.37-1.78.498-3.274.38-4.43.395-10.576.44-16.728.047-6.152.09-12.253.89-17.682.4-2.714.873-5.267 2.367-8.14 1.493-2.873 5.65-6.842 10.63-6.842zm4.155 30.744c-.01.71-.038 1.334-.043 2.057-.045 6.045-.015 12.423-.504 18.13-.245 2.853-.59 5.53-1.353 8.22-.763 2.69-1.712 5.836-5.452 8.553-3.43 2.492-6.173 2.655-8.87 2.896-2.698.24-5.442.182-8.38.01-5.874-.34-12.474-1.184-18.78-1.895-1.527-.173-2.906-.285-4.378-.432.81.458 1.522.89 2.356 1.354 5.188 2.877 10.706 5.823 15.443 8.828 2.368 1.502 4.545 3 6.536 4.748 1.99 1.748 4.078 3.568 5.34 7.453 1.464 4.507.423 7.315-.418 10.03-.84 2.714-2.017 5.34-3.393 8.13-2.75 5.578-6.35 11.714-9.724 17.627-1.59 2.787-3.103 5.507-4.456 8.04 3.595-2.04 7.467-4.352 11.576-6.94 6.362-4.01 12.876-8.252 18.598-11.623 2.86-1.686 5.51-3.154 8.04-4.32 2.533-1.168 4.555-2.325 8.608-2.325 4.143 0 6.59 1.51 8.842 2.928 2.25 1.418 4.272 3.082 6.336 4.924 4.128 3.684 8.358 8.12 12.424 12.253.812.827 1.552 1.524 2.347 2.315-.427-1.2-.796-2.318-1.258-3.56-2.002-5.386-4.217-11.032-5.857-16.237-1.64-5.205-3.917-9.104-1.588-16.273 2.12-6.52 5.84-8.69 9.805-11.98 3.964-3.29 8.546-6.6 12.8-9.81 2.083-1.573 4.078-3.127 5.844-4.578-2.536.1-5.355.28-8.278.514-5.67.454-11.656 1.037-17.086 1.167-5.43.13-9.93 1.29-16.168-3.244-2.95-2.143-4.07-4.19-5.392-6.428-1.322-2.236-2.524-4.702-3.747-7.398-2.445-5.393-4.928-11.692-7.42-17.696-.787-1.9-1.567-3.645-2.35-5.436z"}}]})(props);
};
function GiSeagull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M377 67.5c-29.1.42-59.1 23.22-68.2 91.7-1.7 12.6-8.4 24.8-18.2 36.5 7.1-3 14.1-4.8 21-4.8 5 0 9.8.9 14.5 2.9 19.1 8.4 30.9 19.7 36.4 32.5s4.3 26.1.7 37.6c-3.6 11.4-9.6 21.4-15.1 28.9-5.4 7.6-9.6 12.1-12.2 14.4-33.6 30.6-94.9 37.4-148.2 38.7-43.3 1.7-86.3-3-129.12-8.2 0 0-31.13 10-41.99 14.5 51.99 15.9 96.11 11 139.61 4.3 52 17.3 165.8 31.6 241.1-37.2 37.6-30.9 36.2-86.1 17.5-152.2l25.9-53C438 91.95 408 67.04 377 67.5zm24.9 33c4.4 0 8 3.6 8 8s-3.6 8-8 8-8-3.6-8-8 3.6-8 8-8zm57.6 14.6L442.7 145c6.2-.1 12.3-.4 16.9-1.1 13.7-3 22-8.5 35.8-8.3-6.7-11.4-19.1-17.8-35.9-20.5zm-148.6 93.6c-4.5.2-9.8 1.7-16.5 5-11.2 5.4-25.3 15.4-42.9 28.3-30.5 22.4-71.6 53.3-129.6 84.3 17.4 1.1 40.4 2.1 65.4 1.6 51.8-1.2 110.5-10.4 136.5-34.1h.1c-.1.1 4.9-5 9.6-11.5 4.7-6.5 9.8-15.1 12.5-23.8 2.8-8.8 3.3-17.3 0-25.1-3.4-7.9-10.8-16-27.1-23-1.6-.8-3.3-1.2-5-1.5-1-.1-2-.2-3-.2zm-2 173c-6.1 1.5-12.1 2.7-18 3.6v38.1c-5.8-.1-11.8 0-18 .5v-36.8c-6.1.4-12.1.5-18 .4V426c-4.3.7-8.6 1.5-13 2.5v16h104c-8-10.1-21-16.4-37-19.2z"}}]})(props);
};
function GiSeahorse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.004 19.164c-9.648 1.39-19.07 2.235-23.43 4.054-2.557 1.067-2.826 1.534-3.11 2.4-.282.863-.543 3.853 1.932 9.88l3.643 8.873-9.085 3.073c-28.644 9.69-47.62 38.362-48.017 63.627-.696 44.055 39.936 82.666 61.355 119.49 6.824 11.732 4.738 25.54-.455 39.22-5.193 13.676-13.8 28.374-23.465 44.36-19.33 31.972-42.898 68.978-52.547 106.822-6.672 26.167 3.367 43.43 19.096 55.682 15.73 12.253 38.023 17.54 50.17 15.902 19.262-2.595 32.47-15.11 39.91-30.416 7.44-15.305 7.876-33.077 3.17-42.47-3.16-6.31-9.583-11.794-16.926-15.014-7.343-3.22-15.397-3.924-20.447-2.48-16.272 4.65-21.495 15.99-22.44 28.195-.404 5.208.382 10.223 1.61 14.37 2.89-4.933 6.16-9.945 9.764-14.31 3.488-4.22 7.043-8.04 12.565-10.255 2.76-1.107 6.33-1.676 9.868-.705 3.537.972 6.495 3.364 8.492 6.053 3.54 4.77 4.53 10.117 4.555 15.86.024 5.746-1.222 11.948-4.322 17.796-6.202 11.696-21.378 20.488-41.666 16.45-17.63-3.51-30.796-14.66-35.545-29.497-4.75-14.838-1.416-32.257 9.16-48.82 22.857-35.8 62.226-57.237 93.674-80.788 15.724-11.776 29.463-23.952 38.73-37.89 9.267-13.94 14.37-29.483 13.02-49.9-1.37-20.728-15.83-40.585-36.8-58.366-20.97-17.783-47.835-33.06-71.06-44.968l-.004-.002-.006-.002c-3.178-1.635-5.58-4.987-6.383-7.943-.8-2.957-.547-5.49-.054-7.727.984-4.473 3.063-8.143 5.878-11.404 2.815-3.262 6.48-7.02 13.35-6.627 3.434.196 7.09 2.23 9.175 4.803 1.98 2.443 2.96 5.102 3.602 7.96.035-.044.51.51 2.578 1.336 2.998 1.2 8.278 2.27 14.746 2.65 12.935.754 30.663-1 47.942-5.302 18.94-4.715 38.375-.027 54.477 4.852 3.38 1.024 5.777 1.828 8.823 2.826-.08-.308-.25-.606-.32-.914-2.138-9.455-.64-18.675 1.34-26.57.6-2.397 1.268-4.403 1.925-6.547-12.96 4.157-28.064 6.265-42.94 4.624-18.95-2.09-38.058-11.507-47.237-30.97-10.787-2.446-18.605-8.153-24.193-14.274-5.4-5.917-9.345-11.812-14.103-16.996zm11.46 37.718c7.955 0 14.403 6.28 14.403 14.03 0 7.748-6.448 14.03-14.402 14.03-7.954 0-14.402-6.282-14.402-14.03 0-7.75 6.448-14.03 14.402-14.03zm-46.49 86.364c45.517 40.05 69.796 73.63 73.883 104.927 2.044 15.65-1.495 30.552-9.78 43.48-8.286 12.926-20.992 23.986-37.276 33.895l-9.357-15.377c14.73-8.96 25.218-18.464 31.48-28.23 6.26-9.768 8.62-19.69 7.085-31.435-3.068-23.488-23.848-54.964-67.924-93.746zm-101.453 19.77c11.56 35.447 39.336 66.16 72.933 93.74 1.728-6.023 3.852-12.013 7.01-17.6 3.29-5.82 7.986-11.18 13.998-15.04-10.137-14.124-22.746-29.812-33.214-47.34a53.774 53.774 0 0 1-2.85-.09c-8.232-.495-18.54-2.312-29.166-4.85-10.046-2.398-20.136-5.463-28.71-8.82z"}}]})(props);
};
function GiSeatedMouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M240.125 23.563c-14.745.33-28.994 8.14-36.906 21.843-3.423 5.926-6.234 17.854-8.532 31.907-36.383 8.417-75.868 48.232-93.375 94.406 29.49 11.05 58.933 14.183 84.312 11.436-59.315 98.734-49.44 208.705 47.72 208.72 9.06 0 17.345-.91 24.874-2.688 57.812 24.78 100.79 13.996 122.81-13.438 22.414-27.923 22.947-69.86 3.314-102.438-17.974-29.824-26.618-53.295-26.03-69.968.585-16.674 8.498-28.14 29.873-38.875l-8.375-16.69c-25.082 12.596-39.368 31.652-40.187 54.907-.82 23.256 9.914 49.13 28.688 80.282 15.827 26.262 14.738 60.395-1.875 81.092-14.44 17.992-40.735 28.253-83.344 14.563 53.146-35.285 41.39-134.655-19.906-220.188 8.096 2.605 14.99 4.22 19.625 4.22 24.115-.003 43.687-19.543 43.687-43.657 0-23.737-18.97-43.027-42.563-43.625 3.36-17.73-4.552-36.437-21.062-45.97-7.178-4.143-15.026-6.016-22.75-5.843zM99.595 360.219C49.44 373.845 17.03 394.014 17.03 416.405c0 41.018 106.547 74.375 237.72 74.375s237.688-33.356 237.688-74.374c0-22.31-32.125-42.56-81.97-56.187C427.7 369.097 438 379.46 438 390.655c0 32.13-82.313 58.563-183.25 58.563S72.094 422.783 72.094 390.655c0-11.254 10.093-21.528 27.5-30.437z"}}]})(props);
};
function GiSecretBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M101.1 24.88L135.5 157l88.1 4.8-3-17.2-1.9-11.2 123.3 7.4 4.9 27.8 75.9 4.2-32.5-124.62-289.2-23.3zm-18.82 1.6c-30.5 11.9-55.7 53.1-49.8 75.32l3.3 11.8c.6-1.8 1.3-3.5 2.1-5.3 9.9-23.72 26.5-46.82 50.3-58.92l-5.9-22.9zm10.8 41.6c-16.7 10-29.9 28.1-38 47.42-5.2 12.5-8 25.6-8.7 36.5l17.46 63.5c12.8-21.2 30.19-42.3 53.96-52.4L93.08 68.08zM240.3 152.8l20.2 117.4 87 4.3L326.8 158l-86.5-5.2zm46.8 21.2a25.29 20.33 24.87 0 1 2.4 0 25.29 20.33 24.87 0 1 27.2 22.4 25.29 20.33 24.87 0 1-13.2 19.2l20.8 37.5-48.7-2.2 10.9-36.1a25.29 20.33 24.87 0 1-18.5-20.6 25.29 20.33 24.87 0 1 19.1-20.2zm-146.8 1.3l15 57.6 81.2 3.4-9.8-56.2-86.4-4.8zm-17.9 5.6c-21.8 10.6-39.52 36.3-51.73 59.4l12.46 45.3c10.27-15.7 23.97-32.8 53.57-49.9l-14.3-54.8zm227.8 5.9l9.7 54.7 81.7 3.5-14.1-53.9-77.3-4.3zM160 251.1l31.2 119.6 289.2 23.2-34-130.6-83.3-3.5 6 33.9-123.8-6.3-5.7-32.9-79.6-3.4zm-18.6 2.7c-32 19.4-39.7 35.9-51.79 55.4l21.49 78.1c.3-.5.6-1.1.9-1.6 10.6-19.3 27.8-37.7 51.1-48.5l-21.7-83.4zM168 355.7c-17.7 9.1-31.2 23.7-39.6 39-4.5 8.1-7.3 16.3-8.7 23.7l11.7 42.4 1.6.2c-3.8-27.6 11.4-60.5 41.3-81.1l-6.3-24.2zm26.3 34c-32.6 17.3-46.5 52.4-41.8 72.9l289.8 24.5c-5.3-7.8-8.7-17.9-8.6-28.5l-22.4-9 46.3-7.3-13.5-12.8c5.6-7 13.7-13.1 24.9-17.7l-274.7-22.1z"}}]})(props);
};
function GiSecretDoor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M225.134 37.867l3.771 17.598c11.024-1.968 22.743-3.02 33.1-2.486a485.577 485.577 0 0 0 1.467-17.938c-12.817-.293-26.905.58-38.338 2.826zm57.02-.681l-2.77 17.783c10.998 2.103 22.317 5.312 31.799 9.513a485.513 485.513 0 0 0 7.783-16.226c-12.217-5.255-25.14-9.101-36.813-11.07zm-75.272 5.586c-12.608 4.229-24.804 9.981-34.817 16.296l9.793 15.1c9.6-5.765 20.174-10.92 30.041-14.111-1.594-5.892-3.403-12.125-5.017-17.285zm129.492 13.8l-10.033 14.942c9.075 6.56 17.974 14.255 24.787 22.074a485.505 485.505 0 0 0 13.918-11.41c-8.846-9.93-18.929-18.882-28.672-25.606zM156.558 71.488c-9.127 9.673-17.171 20.493-23.026 30.782l15.754 8.703c5.75-9.61 12.645-19.141 19.844-26.606a485.614 485.614 0 0 0-12.572-12.879zm219.795 27.143l-15.643 8.898c5.198 9.918 9.731 20.775 12.344 30.81 5.974-1.25 12.3-2.693 17.545-4.005-3.49-12.833-8.523-25.34-14.246-35.703zm-250.516 21.625c-3.667 12.605-6.046 25.205-6.711 37.851l17.984.682c.822-10.971 2.71-22.746 5.75-32.69a485.658 485.658 0 0 0-17.023-5.843zm266.8 33.322l-17.96 1.145c.6 11.646.324 23.322.324 35.416h18c-.156-12.022.357-25.143-.363-36.56zm-273.636 22.865v35.998h18v-35.998zm256 31.694v35.996h18v-35.996zm-256 22.302v35.997h18v-35.997zm256 31.692v35.996h18v-35.996zm-256 22.303v35.996h18v-35.996zm185 14.58v18h48v-18zm71 17.111v35.996h18v-35.996zm-256 22.303v35.996h18v-35.996zm256 31.693v35.996h18v-35.996zm-256 22.3v35.997h18v-35.996zm256 31.694v35.996h18v-35.996zm-256 22.301c-.021 10.262-.068 20.336 0 30.598 12.952-.334 25.972 0 38.928 0v-18H137v-12.598zm56.926 12.598v18h35.996v-18zm53.994 0v18h35.996v-18zm53.994 0v18h35.996v-18zm53.994 0v18h35.996v-18z"}}]})(props);
};
function GiSecurityGate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M41 25v462h46V71h31.3c-9-3.83-15.3-12.74-15.3-23s6.3-19.17 15.3-23H41zm96.7 0c9 3.83 15.3 12.74 15.3 23s-6.3 19.17-15.3 23h36.4c-4.5-6.57-7.1-14.49-7.1-23s2.6-16.43 7.1-23h-36.4zm70.3 0c-12.8 0-23 10.19-23 23s10.2 23 23 23 23-10.19 23-23-10.2-23-23-23zm33.9 0c4.5 6.57 7.1 14.49 7.1 23s-2.6 16.43-7.1 23h36.4c-9-3.83-15.3-12.74-15.3-23s6.3-19.17 15.3-23h-36.4zm55.8 0c9 3.83 15.3 12.74 15.3 23s-6.3 19.17-15.3 23H329v416h46V25h-77.3zm173.9 32.64l-32 32 12.8 12.76 32-32.04-12.8-12.72zM393 121v46h38.9c5.1 0 5.1-1.2 6-3 1-1.9 1.1-4 1.1-4v-32s-.1-2.1-1.1-4c-.9-1.8-.9-3-5.9-3h-39zm69 14v18h32v-18h-32zm-257.8 13.3c-17 2.2-32.5 22.1-32.5 48 0 14.2 5.1 26.8 12.3 35.4l8.5 10.3-13.3 2.5c-9.3 1.8-16.1 6.9-22 14.9-5.9 8-10.3 19.3-13.5 32.3-5.8 23.3-7 52.1-7.2 77.4h31.4l8.5 114.9c21.8 4.8 44.9 4.5 65.9 0l7.5-114.9h29.7c0-25.6-.4-54.7-5.5-78.4-2.9-12.9-7.2-24.2-13.1-32.1-6-8.1-13.3-13-23.8-14.7l-13.6-2 8.8-10.8c6.6-8.6 11.2-21 11.2-34.8 0-27.5-17.1-48-35.8-48h-3.5zm248.2 37.3l-12.8 12.8 32 32 12.8-12.8-32-32z"}}]})(props);
};
function GiSeedling (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M383.9 23.46c-13.4 2.23-26.3 3-36.9 5.31-14.8 3.18-24.2 7.59-29.8 22.41-1.4 3.88-1 6 .4 8.61 1.4 2.62 4.5 5.52 8.5 7.8 4 2.29 8.8 3.93 12.9 4.62 4 .69 7.5 0 7.5 0h.1c17.9-8.16 30.2-27.83 37.3-48.75zm-72.7 55.78c-3.4 20.1-13.5 38.56-25.2 56.26-.4 2.2-.9 4.3-1.5 6.4-2.7 9.3-7.5 18.2-14.3 25.8l.1.1c7.7-5.9 15.5-9.5 23.2-11.3 14.3-20.2 28.8-42.7 34.4-68.52-3.7-1.19-7.3-2.76-10.8-4.75-2-1.17-4-2.5-5.9-3.99zm-85.7 8.61c-11.9-.1-25.5 2.26-40.4 6-23.5 5.89-49 14.75-73.5 19.95 18.2 16.8 32.3 34.5 47.2 46.4 18.9 15 37.8 22.4 73.6 11.2 18.3-5.7 30.6-19.7 34.8-34.5 4.3-14.8 1.1-29.8-12.3-40.42-7.6-6.01-17.6-8.53-29.4-8.63zm81.2 84.35c-8.7-.1-17.4 3-27.8 11.8-23.6 19.9-12.7 40.7-2.2 45.4h.1c2.4 1.1 8.6 1.5 16.5-.2 8-1.7 17.6-5.3 27.5-10.1 14.5-7 29.4-16.7 40.9-26.4-13.2-5-25.1-12.2-36.4-16.3-5.9-2.2-11.4-3.8-16.9-4.1-.6 0-1.2-.1-1.7-.1zM244.6 237c-48 .5-91.3 4.6-122.7 10.6-16.9 3.2-30.51 7.1-39.1 11-4.3 1.9-7.31 3.9-8.75 5.3-.52.5-.62.6-.76.8.14.2.24.3.76.8 1.44 1.4 4.45 3.4 8.75 5.3 8.59 3.9 22.2 7.8 39.1 11 33.9 6.5 81.5 10.6 134.1 10.6 52.6 0 100.2-4.1 134.1-10.6 16.9-3.2 30.5-7.1 39.1-11 4.3-1.9 7.3-3.9 8.8-5.3.5-.5.6-.6.7-.8-.1-.2-.2-.3-.7-.8-1.5-1.4-4.5-3.4-8.8-5.3-8.6-3.9-22.2-7.8-39.1-11-19.3-3.7-43.1-6.6-69.7-8.5-8 3.4-15.8 6.1-23.3 7.7-9.9 2.1-19.2 2.8-27.7-1-2.2-1-4.3-2.2-6.2-3.6.9 8.8 2 17.6 3.2 26.5l-17.8 2.6c-1.7-11.4-3.1-22.7-4-34.3zM80.33 289.3l7.89 39.4c10.2 8.7 32.98 17.4 61.98 23 30.7 5.8 68.3 8.8 105.8 8.8s75.1-3 105.8-8.8c29-5.6 51.8-14.3 62-23l7.9-39.4c-10.2 3.9-23.1 7.3-38.2 10.2-35.6 6.8-84 10.9-137.5 10.9s-101.9-4.1-137.5-10.9c-15.1-2.9-27.98-6.3-38.17-10.2zm44.57 75.2l11.7 93.4c6.5 8.1 21.9 16.5 42.7 21.9 22 5.7 49.3 8.7 76.7 8.7 27.4 0 54.7-3 76.7-8.7 20.8-5.4 36.2-13.8 42.7-21.9l11.7-93.4c-6.9 1.8-14.2 3.3-21.9 4.8-32.3 6.2-70.7 9.2-109.2 9.2s-76.9-3-109.2-9.2c-7.7-1.4-15-3-21.9-4.8z"}}]})(props);
};
function GiSelect (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M138.563 16.063C83.49 42.974 41.459 86.794 16.124 138.53l59.938 29.407c18.988-38.845 50.47-71.807 91.812-92l-29.313-59.874zm234.843.156L344 76.124c38.846 18.99 71.807 50.47 92 91.813l59.875-29.313c-26.913-55.073-70.732-97.073-122.47-122.406zm62.53 327.717c-18.982 38.865-50.53 71.673-91.873 91.875l29.437 60.125c55.116-26.925 97.085-70.76 122.375-122.562l-59.938-29.438zm-359.936.125l-60 29.375c26.928 55.097 70.776 97.082 122.563 122.375l29.406-59.937C129.122 416.885 96.192 385.4 76 344.062z"}}]})(props);
};
function GiSelfLove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M278.574 20.672l-28.246 43.463c-36.452-29.484-87.944-38.624-127.96-30.428-54.457 11.15-100.166 60.347-97.895 131.46 2.394 74.955 54.71 129.71 104.89 174.823 25.09 22.554 50.84 43.086 69.928 61.535 37.685 34.062 55.942 92.366 55.942 92.366s24.534-59.502 55.942-89.572c19.692-18.7 45.676-39.61 71.324-62.93 51.298-46.644 104.404-104.034 102.094-177.618 0-122.308-121.2-121.013-167.883-78.495 19.323-10.226 40.12-12.397 58.798-8.214 34.297 7.683 62.693 35.935 64.332 88.108 1.562 49.92-39.09 98.088-88.11 142.654-24.508 22.28-49.752 42.445-71.324 62.93-11.456 10.884-16.74 20.514-25.174 31.795-8.437-11.983-13.663-22.066-25.173-33.192C174.715 306.4 86.784 238.475 83.27 163.77c-.72-62.22 72.103-78.604 111.246-51.04l-45.924 25.258c67.393 11.144 124.746 37.36 185.597 75.588L278.573 20.672z"}}]})(props);
};
function GiSellCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 32l-80 96h48v80h64v-80h48l-80-96zm224 0v80h-48l80 96 80-96h-48V32h-64zm80.096 204.904c-5.28.12-10.212 2.417-16.94 9.596l-6.562 6.969-6.813-6.72c-7.387-7.28-13.216-9.29-19.125-9.03-5.908.26-12.855 3.365-20.625 9.654l-6.219 5.031-5.906-5.375c-8.9-8.052-16.485-10.437-23.75-10.062-5.288.274-10.775 2.266-16.25 5.75l40.969 73.687c15.454 9.452 47.033 13.009 68.75 2.065l39.594-73.346c-7.51-3.062-14.26-6.2-20.094-7.404-2.112-.437-4.073-.758-5.97-.815-.355-.01-.71-.008-1.06 0zM88 240c-40 0-40 0-40 40v160.055C48 480 48 480 88 480h80c40 0 40 0 40-40V280c0-40 0-40-40-40H88zm254.125 93.094v.002C324.09 345.838 309.609 367.813 304 400c-5.435 31.196 3.127 52.264 18.281 66.623 15.155 14.36 37.902 21.738 61 21.438 23.1-.3 46.136-8.31 61.625-22.936 15.49-14.627 24.251-35.425 19.283-65.188-5.137-30.757-18.401-52.147-35.191-65.093-28.482 15.056-64.093 11.856-86.873-1.75z"}}]})(props);
};
function GiSemiClosedEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.063 19.5c-117.45 0-215.188 85.162-234.844 197.03l-.44.345.314.406c-1.46 8.462-2.49 17.075-3.032 25.814 4.73-4 9.484-7.87 14.25-11.625l.063.06c146.48-115.9 305.707-112.07 447.344 0l.03-.03c4.787 3.76 9.572 7.615 14.313 11.625-.54-8.76-1.568-17.394-3.032-25.875l.283-.375c-.135-.106-.272-.206-.407-.313C473.26 104.68 375.522 19.5 258.062 19.5zm0 18.688c101.242 0 186.342 68.277 211.906 161.343-66.862-46.73-138.216-70.87-210.064-71.31-72.09-.444-144.657 22.953-213.72 71.25 25.59-93.032 110.66-161.282 211.876-161.282zm1.843 126.906c-19.728-.138-39.508 1.77-59.28 5.75-28.27 18.638-46.876 50.68-46.876 87.156 0 36.69 18.828 68.857 47.375 87.438 19.428 3.744 38.904 5.57 58.344 5.468 18.58-.098 37.148-1.952 55.624-5.53 28.473-18.593 47.25-50.737 47.25-87.376 0-36.436-18.573-68.447-46.78-87.094-18.504-3.747-37.068-5.682-55.658-5.812zM162 181.314c-44.358 15.08-88.47 40.774-131.625 77.624 42.734 36.39 87.183 61.755 132.22 76.5-17.2-21.155-27.532-48.113-27.532-77.438 0-28.983 10.098-55.64 26.937-76.688zm192.188.092C370.976 202.44 381.03 229.06 381.03 258c0 29.296-10.305 56.23-27.467 77.375 45.355-14.86 89.806-40.357 132.156-76.406-42.67-36.427-86.778-62.318-131.533-77.564zm-96.125 17.375c6.243 0 12.255.957 17.906 2.75-9.1 4.638-15.345 14.09-15.345 25 0 15.492 12.572 28.064 28.063 28.064 11.16 0 20.795-6.534 25.312-15.97 2.104 6.077 3.25 12.586 3.25 19.376 0 32.69-26.498 59.188-59.188 59.188S198.875 290.69 198.875 258c0-32.69 26.498-59.22 59.188-59.22zm237.875 76.095c-6.803 5.73-13.67 11.185-20.594 16.406-.022.147-.04.293-.063.44-68.965 55.238-142.036 83.367-215.467 83.842-73.467.476-147.678-26.688-218.97-83.78-.022-.146-.04-.292-.062-.438-6.914-5.218-13.78-10.697-20.593-16.438C28.874 398.63 132.153 496.47 258.063 496.47c125.92 0 229.204-97.856 237.875-221.595zm-448.782 45.22c68.69 50.006 140.915 74.62 212.78 74.155 71.622-.463 142.556-25.776 209.033-74.156-26.753 91.21-110.98 157.687-210.908 157.687-99.92 0-184.145-66.49-210.906-157.686z"}}]})(props);
};
function GiSensuousness (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M250.344 21.885c-1.224.032-2.443.15-3.656.35-9.712 1.62-18.018 8.555-23.653 19.99-5.635 11.434-8.068 27.065-5.308 43.61 2.76 16.542 10.134 30.538 19.175 39.524 9.042 8.986 19.15 12.848 28.862 11.228 9.71-1.62 18.017-8.555 23.652-19.99 5.635-11.435 8.068-27.067 5.31-43.61-2.76-16.544-10.138-30.54-19.18-39.525-7.91-7.863-16.638-11.802-25.202-11.578zm185.64 32.22c-35.615 33.13-82.033 58.62-132.83 76.217-7.837 12.763-19.697 22.255-34.316 24.694-11.368 1.896-22.54-.784-32.383-6.547-55.808 11.324-113.423 13.896-165.514 7.39 42.767 37.097 106.85 54.638 169.626 50.964-9.982 93.127-47.653 188.14-81.968 282.924 53.913-39.23 109.785-113.508 127.08-175.496 27.11 53.623 33.926 92.79 49.646 176.547h.002c34.354-84.91 33.247-202.718-13.023-301.91 56.437-22.846 101.64-67.225 113.68-134.785z"}}]})(props);
};
function GiSentryGun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M94 67.656v78.094h124.063V67.656H94zm-74.156 49.5v75.875l97.78 98.032h144.44l-.002-173.906H236.75V164.438H75.312V117.155H19.844zM280.75 136.03v89.407h99l-46.625 46.75H280.75v18.688h60.125l2.75-2.75 58.625-58.78 2.72-2.72v-1.188h.342V136.03H280.75zM424 154.407v51.75h68.53v-51.75H424zM165.906 309.75c.198 13.433 5.876 25.525 14.938 34.125L115.75 429.97c-25.832 2.44-47.42 20.308-56.97 45.217h126.064c-8.29-21.625-25.665-37.942-47-43.468l23.125-30.564h101.31l23.095 30.563c-21.332 5.527-38.68 21.844-46.97 43.467h126.032c-9.546-24.906-31.11-42.775-56.937-45.218l-63.28-83.658c10.65-8.667 17.47-21.81 17.686-36.562h-96zm30.813 44.156c5.34 2.05 11.124 3.156 17.186 3.156 4.702 0 9.237-.678 13.53-1.937l20.69 27.344h-73l21.593-28.564z"}}]})(props);
};
function GiSergeant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.978 39.21C226.38 86.89 161.383 164.77 106 203.713V256.6c53.113-38.92 105.113-92.538 140.56-145.71L256 96.735l9.44 14.157c35.333 53 87.963 106.298 140.56 145.473V203.77C349.61 164.835 285.346 86.825 255.978 39.21zm0 108.406C226.38 195.293 161.383 273.174 106 312.116v52.89C159.113 326.09 211.113 272.47 246.56 219.3l9.44-14.16 9.44 14.16c35.333 53 87.963 106.298 140.56 145.473v-52.597c-56.39-38.937-120.654-116.944-150.022-164.557zm0 107.782C226.38 303.075 161.383 380.956 106 419.898v52.89c53.113-38.918 105.113-92.536 140.56-145.707l9.44-14.16 9.44 14.16c35.333 53 87.963 106.298 140.56 145.473v-52.597c-56.39-38.938-120.654-116.945-150.022-164.558z"}}]})(props);
};
function GiSerratedSlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M45.156 22.375c-7.16.035-14.42.166-21.78.375 237.557 25.66 433.75 444.537 147 429.47C547.707 626.792 649.035 19.44 45.155 22.374zm114.03 23.656c42.156 8.716 79.4 21.247 111.908 36.564l-49.906-5.813c-18.943-11.373-39.588-21.733-62-30.75zm101.72 54.19l53.78 6.28c18.73 11.87 35.41 24.773 50.064 38.375L260.906 100.22zm37.813 36.593l97.342 41.843c16.622 21.04 29.12 43.047 37.72 65.094L298.718 136.812zm52.186 65.156l92.53 73.28c4.36 19.457 5.676 38.577 4.095 56.72l-96.624-130zm30.156 71.905L443.22 357.5c-3.516 13.73-8.858 26.63-16 38.313L381.06 273.875zm9.25 77.188l23.72 62.656c-5.084 5.772-10.736 11.096-16.907 15.936l-6.813-78.594zm-14.375 50.687l3.438 39.625c-6.736 3.695-13.956 6.876-21.625 9.53l18.188-49.155zm-34.593 39.625l-5.688 15.375c-14.48 2.757-30.254 3.816-47.312 2.875 20.822-1.33 38.548-7.8 53-18.25z","fillRule":"evenodd"}}]})(props);
};
function GiServerRack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M41 25v78h430V25H41zm254 23h18v32h-18V48zm121 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zM64 55h48v18H64V55zm80 0h48v18h-48V55zm80 0h48v18h-48V55zm-119 66v30h302v-30H105zm-64 48v78h430v-78H41zm254 23h18v32h-18v-32zm121 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-352 7h48v18H64v-18zm80 0h48v18h-48v-18zm80 0h48v18h-48v-18zm-119 66v30h302v-30H105zm-64 48v78h430v-78H41zm254 23h18v32h-18v-32zm121 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-352 7h48v18H64v-18zm80 0h48v18h-48v-18zm80 0h48v18h-48v-18zm13 66v30h38v-30h-38zM25 457v30h130.2l20-30H25zm171.8 0l-20 30h158.4l-20-30H196.8zm140 0l20 30H487v-30H336.8z"}}]})(props);
};
function GiSesame (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208.4 25.12c-30.5.3-61.8 19.64-76.4 47.46 39.5 30.52 98.8 5.06 118.5-33.01-12.5-10.18-27.2-14.59-42.1-14.45zm89.1 33.98c-30.6 38.5-7.1 96.9 34.5 118.2 30.1-40 3.8-99-34.5-118.2zm119.8 10.65c-20.4 44.55 16.2 95.65 61.8 106.35 19.6-46-20-96.89-61.8-106.35zM86.29 71.19C38.12 80.72 18.2 140.3 36.19 183.5c48.72-11 66.91-72.9 50.1-112.31zM186.6 171.4c-42.3 0-76.5 42.7-77 85.1 49.2 9 90.3-40.9 90.3-83.7-4.5-1-9-1.4-13.3-1.4zm114.6 24.8c-30.6 38.5-7.1 96.9 34.5 118.2 30.1-40 3.8-99-34.5-118.2zM458 248.9c-49.9 2.1-79 59.8-69.5 101.6 49.1-.8 79.4-55.9 69.5-101.6zm-318.8 65.8c-39.4 29.3-31.8 91.7 3 123 39.3-30.9 29.1-94.7-3-123zM265.3 325c-24.8-.2-50.2 9.9-65.8 26.5 28.2 40.3 90.8 34.5 123.1.7-13.9-18.9-35.4-27.1-57.3-27.2zM53.46 365.7c-29.71 39-5.16 96.9 36.9 117.4 29.24-40.6 1.8-99-36.9-117.4zm362.74 24.2c-45.4-.3-78.8 47.9-75 92.3 49.9 4.3 86-49.3 81.8-91.9-2.3-.3-4.5-.4-6.8-.4z"}}]})(props);
};
function GiSettingsKnobs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M87 32v71h18V32H87zm160 0v345h18V32h-18zm160 0v167h18V32h-18zM50 121c-5.14 0-9 3.9-9 9v28c0 5.1 3.86 9 9 9h92c5.1 0 9-3.9 9-9v-28c0-5.1-3.9-9-9-9H50zm37 64v295h18V185H87zm283 32c-5.1 0-9 3.9-9 9v28c0 5.1 3.9 9 9 9h92c5.1 0 9-3.9 9-9v-28c0-5.1-3.9-9-9-9h-92zm37 64v199h18V281h-18zM210 395c-5.1 0-9 3.9-9 9v28c0 5.1 3.9 9 9 9h92c5.1 0 9-3.9 9-9v-28c0-5.1-3.9-9-9-9h-92zm37 64v21h18v-21h-18z"}}]})(props);
};
function GiSevenPointedStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 22.017l-69.427 102.007-123.038-9.32L100 232.584l-84 90.384 114.898 44.987 18.292 122.028L256 428.2l106.81 61.783 18.292-122.028L496 322.968l-84-90.385 36.465-117.88-123.038 9.32z"}}]})(props);
};
function GiSeveredHand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M184.455 20.46c-7.248-.017-13.947 1.857-20.316 5.884-4.103 2.622-4.804 4.998-3.178 9.59 14.712 42.473 27.372 81.758 39.953 126.433-4.774 2.872-9.933 5.127-14.959 7.621-25.721-36.223-51.385-72.963-75.549-106.334-1.014-1.475-3.634-2.909-5.228-2.574-10.354 1.908-18.184 7.618-22.756 17.244-.661 1.33-.532 3.794.34 4.965 26.007 36.385 49.252 68.676 72.976 101.988a2680.71 2680.71 0 0 0-13.457 13.286c-33.413-21.624-68.28-44.005-99.049-64.036-2.79-1.823-4.717-2.36-7.484.35-6.409 6.264-9.918 13.719-11.61 22.344-.921 4.716.464 7.493 4.528 10.105 32.072 20.54 63.544 41.989 95.979 61.98 7.32 4.512 28.321 12.863 29.03 18.782-1.366 5.488-1.971 11.568-4.952 16.016-23.323 5.395-47.425 11.007-64.38 20.662-13.458 7.902-17.74 18.577-12.911 33.218 51.55-11.58 99.521-21.8 143.841-33.322 17.54-4.635 34.907-11.277 41.395-31.46 6.323 1.617 12.183 3.073 18.361 4.648-7.17 24.492-25.994 35.309-47.826 43.666 33.747 34.827 63.444 73.07 81.617 113.94 2.025 4.471 4.396 5.71 9.305 5.22 11.023-.898-19.562-64.883-9.191-67.985 9.433-2.788 17.01 41.164 38.287 55.516 4.244 2.853-.528-31.469 6.861-33.543 11.064-2.974 11.46 32.397 14.13 31.12 1.419-.642 25.794-9.827 26.655-11.225 16.955-27.403 25.392-57.338 26.82-89.43.146-3.41-1.116-5.098-4.017-6.733-38.654-21.578-82.912-46.581-109.68-76.546-9.414-10.661-15.758-22.72-16.152-37.375-.344-11.477-.77-22.944-1.211-34.428-1.27-38.213-2.493-76.422-3.943-114.613-.088-1.855-1.804-4.358-3.46-5.288-8.461-4.608-17.521-5.444-26.845-3.058-3.178.802-4.851 2.096-4.764 5.932 1.085 38.79 1.865 75.007 2.739 110.85-6.508 1.15-12.637 2.23-18.733 3.345-14.39-41.787-29.367-85.382-41.629-121.473-1.158-3.464-2.866-4.873-6.396-5.158a43.616 43.616 0 0 0-3.14-.123zM416.1 395.419c-2.634 5.161-5.04 11.214-8.514 14.728-2.63 2.622-2.886 1.989-10.432 4.032 1.4 3.342 32.644 45.959 36.557 55.695 10.949 32.344 29.945 18.983 28.154-2.32 11.843 5.688 19.8 9.23 30.098-4.71 6.996-16.936-15.938-21.878-27.514-23.36-10.085-7.287-38.103-36.555-48.35-44.065z"}}]})(props);
};
function GiSewedShell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M191.11 19.373c-50.45.415-96.5 14.087-127.567 45.154-42.76 42.758-51.6 112.812-38.316 183.776 13.284 70.964 48.79 141.863 90.164 183.236 52.5 52.5 127.488 70.074 197.864 53.267-6.04-.71-12.1-1.752-18.15-3.13-45.28-10.308-90.755-38.134-129.092-76.282-38.39-38.202-69.823-87.152-85.657-139.883-16.76-1.876-29.564-17.29-31.492-35.346-1.752-16.41 6.584-32.28 20.395-37.664 0-10.03.653-20.08 2.015-30.11-8.74-4.717-14.032-13.544-15.757-22.956-1.777-9.694-.165-20.35 4.808-30.315 4.973-9.964 12.52-17.66 21.334-22.07 4.407-2.203 9.26-3.563 14.162-3.796.613-.03 1.226-.042 1.84-.035 4.296.045 8.593.98 12.625 2.993 9.217 4.6 14.764 13.685 16.54 23.38 1.778 9.693.166 20.35-4.807 30.315-4.974 9.965-12.52 17.662-21.334 22.07-3.426 1.714-7.12 2.91-10.9 3.47-1.148 8.733-1.72 17.5-1.745 26.263 14.32 4.02 24.877 18.136 26.612 34.395 1.552 14.536-4.812 28.645-15.882 35.424 14.933 48.883 44.255 94.624 80.425 130.616 36.298 36.12 79.286 62.027 120.057 71.31 30.218 6.878 58.857 4.985 83.926-8.21 8.53-5.39 16.82-11.377 24.79-17.982l.085-.078.004.003c5.75-4.77 11.34-9.85 16.74-15.25 23.34-23.34 40.78-50.168 52.295-78.536-17.795 18.48-40.435 29.402-64.686 32.598-48.438 6.384-102.423-16.486-139.125-63.658-56.55-72.687-59-139.165-33.89-181.108 16.725-27.934 45.845-44.265 76.503-43.892.99.012 1.98.04 2.97.088 14.426.683 29.113 5.08 42.94 13.718 54.013 33.746 75.73 82.143 70.427 117.754-2.65 17.806-13.255 33.073-30.02 38.168-15.575 4.733-34.518.858-55.595-12.13-6.516-3-12.884-7.375-18.574-13.065-19.452-19.453-23.65-46.792-9.378-61.065 14.272-14.272 41.613-10.074 61.067 9.38 19.003 19.004 23.438 45.53 10.327 60.05 2.49-.092 4.743-.452 6.718-1.053 9.3-2.827 15.084-10.373 16.97-23.04 3.774-25.334-12.82-68.52-61.845-99.15-36.085-22.546-76.09-10.213-96.474 23.836-20.385 34.05-20.766 91.433 32.605 160.03 33.03 42.454 81.09 61.99 121.933 56.607 40.167-5.294 74.18-33.198 83.732-91.534 1.91-56.265-17.765-111.874-59.3-153.41l-.034-.034c-31.14-31.124-79.645-58.436-132.467-75.28-38.272-10.127-69.105-2.288-92.846 16.708-25.944 20.758-43.36 55.854-48.457 97.37-2.83 23.054-1.868 47.97 3.38 73.284 8.544.99 16.787 5.21 22.686 12.25 11.208 13.375 9.78 33.56-3.668 44.256 4.03 8.495 8.594 16.91 13.713 25.19 2.926-.838 5.93-1.238 8.948-1.22.843.003 1.686.04 2.528.108 11.23.9 22.334 7.324 29.648 17.358 8.63 11.837 10.16 27.278 3.916 38.69 7.486 7.04 15.532 13.83 24.14 20.327 4.44-4.13 10.107-6.906 16.07-8.273 2.45-.562 4.977-.916 7.552-1.06.966-.055 1.938-.08 2.916-.075 6.85.03 13.978 1.497 20.932 4.41 10.595 4.44 19.084 11.523 24.355 20.085 5.27 8.562 7.302 19.218 3.26 28.865-4.043 9.647-13.063 15.672-22.863 17.918-9.8 2.247-20.804 1.163-31.4-3.277-10.594-4.44-19.083-11.52-24.354-20.083-3.99-6.48-6.114-14.157-5.164-21.69-10.534-7.793-20.298-16.013-29.315-24.584-15.46 6.788-34.284-.154-44.99-14.84-9.558-13.11-10.417-30.64-1.642-42.222-5.88-9.455-11.084-19.09-15.65-28.83-10.72.83-21.77-3.566-29.152-12.376-11.42-13.63-9.735-34.332 4.433-44.86 1.503-1.117 3.08-2.064 4.702-2.878-5.555-27.058-6.593-53.807-3.53-78.75 5.565-45.34 24.603-85.102 55.33-109.686 9.508-7.608 20.145-13.656 31.726-17.904-11.147-1.26-22.212-1.958-33.09-2.05-1.636-.015-3.27-.016-4.897-.003zm-94.557 82.48c-1.99.11-4.174.72-6.54 1.903-4.735 2.368-9.695 7.13-12.976 13.705-3.28 6.575-4.105 13.402-3.15 18.608.954 5.207 3.305 8.437 6.51 10.036 3.204 1.598 7.2 1.537 11.933-.83 4.734-2.368 9.694-7.132 12.975-13.706 3.28-6.573 4.104-13.403 3.15-18.61-.954-5.205-3.306-8.435-6.51-10.034-1.602-.8-3.4-1.184-5.392-1.072zM79.156 209.255c-6.992.308-12.933 7.52-11.715 18.928 1.22 11.408 9.925 19.14 16.917 18.832 6.993-.308 12.935-7.52 11.717-18.928-1.218-11.41-9.925-19.14-16.918-18.832zm80.387 33.887c-2.76.09-5.41.918-7.53 2.496-5.662 4.205-6.523 11.584-1.26 17.866 5.265 6.282 14.666 7.393 20.327 3.187 5.66-4.206 6.522-11.583 1.258-17.865-2.632-3.14-6.298-4.99-10.014-5.527-.93-.134-1.86-.187-2.78-.157zm45.562 80.818c-.387.004-.77.02-1.146.052-2.006.164-3.826.723-5.302 1.664-5.9 3.763-7.44 12.976-.68 22.248 6.758 9.27 18.163 11.614 24.065 7.85 5.902-3.76 7.443-12.977.684-22.25-4.753-6.518-11.803-9.61-17.622-9.563zm87.204 66.878c-.61-.005-1.208.01-1.794.04-1.563.08-3.037.28-4.39.59-5.416 1.242-8.487 3.776-9.81 6.932-1.322 3.157-.974 7.123 1.938 11.854 2.912 4.73 8.41 9.61 15.668 12.65 7.257 3.04 14.59 3.54 20.006 2.3 5.414-1.242 8.488-3.776 9.81-6.933 1.323-3.155.973-7.12-1.94-11.852-2.91-4.73-8.41-9.61-15.667-12.65-4.762-1.996-9.557-2.897-13.82-2.93z"}}]})(props);
};
function GiSewingNeedle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M56.813 18.438c-.47-.005-.938.014-1.407.03-.625.023-1.252.066-1.875.126-7.468.72-14.682 4.148-22.31 11.125-9.985 9.128-12.863 17.66-11.407 27.718 1.455 10.056 8.353 22.236 21.125 34.906 2.895 2.872 6.126 5.737 9.593 8.625 1.27 1.055 2.565 2.13 3.907 3.186 1.122.882 2.266 1.775 3.438 2.656.232.175.454.358.688.532C74.71 119.38 95.558 131.28 120.25 142.22c159.723 161.31 288.815 297.553 374.594 352.124-51.11-85.624-187.432-214.62-350-375.531-10.23-23.802-21.115-43.71-32.094-59.282 35.46-10.19 82.517-2.294 125.75 40.94 40.243 40.242 52.642 90.776 41.375 128.343 4.89 4.914 9.883 9.913 14.688 14.75 19.07-46.1 4.573-108.895-42.844-156.313-35.694-35.693-75.48-50.324-111.032-50.22-1.147.005-2.3.03-3.438.064-21.844.65-41.957 6.898-58.344 17.187-2.884 1.812-5.663 3.757-8.312 5.814 1.33 3.094 2.758 5.884 4.406 8.218 1.92 2.72 4.004 4.936 6.906 6.688 2.202-1.717 4.498-3.375 6.938-4.906 1.063-.668 2.145-1.34 3.25-1.97 8.196 10.088 15.465 24.624 25.47 47.25-23.907-10.568-38.822-18.04-49.033-27 .024-.03.04-.063.064-.093-.433-.33-.867-.655-1.28-1-.013-.008-.022-.02-.033-.03-11.215-10.375-16.532-22.934-22.31-44.5 5.988 1.605 11.256 3.19 16 4.844 8.53-6.46 17.51-11.71 26.81-15.875-9.5-7.738-18.552-11.93-26.686-12.97-1.443-.185-2.87-.3-4.282-.313zM493.28 64.374c-77.985 0-125.587 28.886-146.124 69.406-20.536 40.52-13.994 90.39 9.688 131.407 11.385 19.72 17.807 40.687 19.187 61.22 6.27 6.475 12.425 12.867 18.47 19.187 2.31-29.955-5.072-61.35-21.47-89.75-21.13-36.602-26.155-80.112-9.186-113.594 16.97-33.481 55.94-59.188 129.437-59.188V64.376zM37.907 114.938c-2.894 23.925 6.18 50.21 29.532 73.562l13.218-13.188c-15.97-15.97-23.188-31.833-24.437-46.593-6.646-4.51-12.754-9.102-18.314-13.782zM124.062 277c-24.466-.028-45.04 4.92-61.343 13.656-24.842 13.31-39.363 35.865-40.75 60.47-2.78 49.207 44.38 102.65 140.405 118.28 101.63 16.544 170.303-9.184 205.406-54.062 1.01-1.29 1.988-2.59 2.94-3.906-4.552-4.232-9.148-8.52-13.783-12.875-1.233 1.79-2.52 3.55-3.875 5.28-29.97 38.315-90.355 62.97-187.687 47.126-90.394-14.715-126.796-62.527-124.75-98.783 1.023-18.127 10.982-34.37 30.938-45.062 19.955-10.692 50.267-15.364 90.5-7.47 34.077 6.69 62.938 3.47 85.437-6.936-4.72-4.65-9.49-9.33-14.28-14.064-17.545 6.452-39.89 8.088-67.564 2.656-14.895-2.923-28.778-4.297-41.594-4.312z"}}]})(props);
};
function GiSewingString (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M153.9 51.5c-34.6 0-65.87 4.45-87.79 11.3-10.96 3.43-19.55 7.51-24.76 11.37-5.22 3.85-6.41 6.7-6.41 8.33s1.19 4.48 6.41 8.33c5.21 3.86 13.8 7.94 24.76 11.37 21.92 6.8 53.19 11.3 87.79 11.3 34.6 0 65.9-4.5 87.8-11.3 11-3.43 19.6-7.51 24.8-11.37 5.2-3.85 6.4-6.7 6.4-8.33s-1.2-4.48-6.4-8.33c-5.2-3.86-13.8-7.94-24.8-11.37-21.9-6.85-53.2-11.3-87.8-11.3zM388 70.48c-2.5 0-5 0-7.5.16-20.2 1.15-42.3 7.56-63.1 15.43-12.5 4.72-24.5 9.98-35.3 15.03-1.5 1.5-3.2 2.9-4.9 4.2-5.1 3.7-11.2 7-18.3 9.9v17.9c13.5-7.4 38.1-20.1 64.8-30.2 19.9-7.5 40.8-13.32 57.8-14.29 17-.98 28.9 2.5 35.4 11.69 6 8.5 5 14.1-.7 23.4-5.6 9.3-16.8 20.2-29.5 31.6-12.6 11.3-26.5 23.2-37.4 36.4-10.9 13.2-19.2 28.2-18.2 45.2 1.5 24.8 21.4 48.3 39.9 67.4 18.4 19 36.5 32.9 36.5 32.9l11-14.2s-17.2-13.3-34.6-31.2c-17.4-18-33.9-41.4-34.8-56v-.1c-.7-10.3 4.6-21.1 14.1-32.5 9.5-11.5 22.8-23 35.6-34.6 12.8-11.5 25.1-22.8 32.9-35.6 7.7-12.8 9.7-29.2-.2-43.11-9.8-13.91-26.1-19.1-43.5-19.41zM153.9 74.5a48 8 0 0 1 48 8 48 8 0 0 1-48 8 48 8 0 0 1-48-8 48 8 0 0 1 48-8zm-87 46.7v10.6c58.3 14 116 13 174 6.9v-17.5c-23.6 6.5-53.9 10.3-87 10.3-33.2 0-63.38-3.8-87-10.3zm0 29.1v24.4c62.9 2.9 119.7-3.4 174-13.9v-4.1c-57.1 6-115 7-174-6.4zm174 28.7c-54 10.3-111.1 16.5-174 13.8v18.7c64 1.5 123.2-2.5 174-15.9zm0 35.3c-52 12.9-111.1 16.6-174 15.2v3.2c61.5 8.4 120.8 13.8 174 10.8zm-174 36.5v8.9c53.3 17 112.9 17.8 174 16.9v-15.1c-54.1 2.9-113.2-2.3-174-10.7zm0 27.7v31.8c52.7 3.4 102.8-3.5 152.2-15.5-52 .4-103.9-1.7-152.2-16.3zm174 29.4c-55.7 14.7-113.1 24.3-174 20.5v16c57.6.2 114.8-1 174-14.2zm221.7 19a20.5 40.99 51.48 0 0-32.8 14.1 20.5 40.99 51.48 0 0-.2.1l-.6.6a20.5 40.99 51.48 0 0-8.9 8.5L265.9 497.5l176.3-115.9a20.5 40.99 51.48 0 0 13.1-8.5 20.5 40.99 51.48 0 0 19.3-41.5 20.5 40.99 51.48 0 0-12-4.7zM452.5 342a10.25 20.5 51.48 0 1 .1 0 10.25 20.5 51.48 0 1 6 2.3 10.25 20.5 51.48 0 1-9.7 20.8 10.25 20.5 51.48 0 1-22.4 4.8 10.25 20.5 51.48 0 1 9.6-20.8 10.25 20.5 51.48 0 1 16.4-7.1zm-211.6 6.6c-59.9 12.8-117.3 14-173.99 13.8 0 0 .41.9 3.71 2.8 3.91 2.2 10.75 4.6 19.24 6.5 16.94 3.8 40.54 5.8 64.04 5.8 23.5 0 47.1-2 64-5.8 8.5-1.9 15.4-4.3 19.3-6.5 3.4-2 3.7-3 3.7-2.8zM49.17 365.5c-3.1 1.6-5.74 3.1-7.82 4.7-5.22 3.8-6.41 6.7-6.41 8.3 0 1.6 1.19 4.5 6.41 8.3 5.21 3.9 13.8 8 24.76 11.4 21.92 6.8 53.19 11.3 87.79 11.3 34.6 0 65.9-4.5 87.8-11.3 11-3.4 19.6-7.5 24.8-11.4 5.2-3.8 6.4-6.7 6.4-8.3 0-1.6-1.2-4.5-6.4-8.3-2.1-1.6-4.7-3.2-7.9-4.7-1.2 6.9-6.7 12-12.5 15.3-6.6 3.8-14.7 6.4-24.3 8.5-19 4.2-43.4 6.2-67.9 6.2-24.5 0-48.9-2-67.95-6.2-9.51-2.1-17.68-4.7-24.26-8.5-5.79-3.2-11.27-8.4-12.52-15.3z"}}]})(props);
};
function GiSextant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.348 69.037l17.33 4.867-6.016 21.416c4.62 5.93 7.39 13.372 7.39 21.47-.006 12.142-6.268 23.15-16.13 29.464h-45.147l1.434-4.848a35 35 0 0 1-10.16-24.615c0-17.235 12.463-31.55 28.866-34.452l-12.203 43.447 17.328 4.867 13.12-46.71 4.188-14.905zm26.048 76.078c14.414 11.826 33.446 30.675 48.047 40.774l-10.357 36.874 15.502 4.353c.257 1.342.64 2.682 1.195 4.014l68.957 90.68c7.848-6.045 12.38-.656 16.213 3.946a277.93 277.93 0 0 0 35.293-36.963l25.715 25.115c-57.415 70.63-144.954 115.828-242.91 115.828-14.104 0-27.986-.958-41.6-2.773 2.97-10.225 5.942-20.45 8.913-30.674a26.98 26.98 0 0 0 1.903-4.247 280.762 280.762 0 0 0 30.785 1.693c59.417 0 114.406-18.63 159.466-50.377l-31.246-41.09c-27.794 19.263-60.113 32.44-95.024 37.605a26.818 26.818 0 0 1-25.87 19.88 26.818 26.818 0 0 1-25.35-18.155c-3.626-.288-7.228-.662-10.805-1.12 1.67-5.84 3.352-11.68 5.036-17.52 2.008.23 4.024.433 6.05.604a26.817 26.817 0 0 1 3.17-6.046l-4.13-12.147c6.6-22.71 13.282-45.413 19.966-68.116h10.04l6.99 71.25a26.818 26.818 0 0 1 13.433 13.408c31.438-4.814 60.538-16.667 85.65-33.902l-80.82-106.278V152.27a53.75 53.75 0 0 0 5.79-7.155zm-132.066 3.14v78h-17.725v-78h17.725zm60.275 7v64H171.33v-64h42.275zm-96 0v64h-30v-64h30zm144 9v46h-30v-46h30zm94.25 1.19l17.327 4.867-17.305 61.616-17.33-4.867 8.312-29.593 1.507-5.367 7.487-26.655zm-286.25 5.81v32h-43v-32h43zm158.034 66l-37.312 127.388 8.14 15.27-18.33 63.05-62.273-20.6 20.455-62.324 17.303-7.13 34.225-115.656h37.79zm-64.802 7L129.43 290.52c7.644 5.007 15.65 9.503 23.953 13.482a9751.523 9751.523 0 0 0-5.123 17.428 225.38 225.38 0 0 1-29.32-16.38l-30.206 41.83a276.462 276.462 0 0 0 31.21 18.112c-4.116 11.318-7.75 22.83-11.378 34.344-30.56-14.602-58.404-34-82.527-57.244l22.86-27.674a277.37 277.37 0 0 0 18.405 16.53c2.902-3.237 8.592-5.312 12.445-2.37l60.887-84.324h22.2z"}}]})(props);
};
function GiShadowFollower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128.912 21.563c-.507.012-1.01.043-1.504.11C97.753 25.525 74.6 57.76 74.6 96.662c0 21.547 7.39 40.787 18.767 54.5-61.678 11.593-66.342 115.44-66.342 188.347h42.772l11.348 152.158h108.68L199.86 339.51h40.593c0-73.108 1.47-178.783-65.904-189.22 10.89-13.647 17.893-32.613 17.893-53.628 0-41.496-26.445-74.99-58.923-74.99-1.523 0-3.087-.146-4.608-.11zm239.828 0c-.507.012-1.01.043-1.504.11-29.655 3.853-52.808 36.087-52.808 74.99 0 21.547 7.39 40.787 18.767 54.5-61.678 11.593-66.34 115.44-66.34 188.347h30.323l-10.17-11.422c-.31-51.837 1.858-95.18 24.008-135.484l-1.543 146.906h.152l11.348 152.158h86.013l-66.03-12.006c-11.876-104.37-18.402-205.544-4.09-308.36 0 0 9.455-6.07 24.03-13.396-14.157-12.08-23.552-33.24-23.552-57.345 0-37.564 22.797-68.013 50.918-68.013 8.887 0 17.24 3.046 24.51 8.392-10.45-11.98-24.28-19.268-39.424-19.268-1.523 0-3.087-.146-4.608-.11zm69.192 171.308l1.685 147.214 22.324-.262c.31-51.836-1.86-106.647-24.008-146.95zm1.685 147.214h-.002l.002.006v-.006z"}}]})(props);
};
function GiShadowGrasp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M221.268 19.824c-9.866.172-19.968 2.14-30.002 6.63L65.386 67.983l-.44 7.108c-5.165 83.462-6.107 155.855-44.696 211.004v33.226c58.64-62.168 59.955-145.976 65.28-235.832l72.384-23.88c-21.245 23.445-34.98 43.238-42.084 59.808-2.855 6.66-4.755 12.936-5.37 18.902-7.816 25.16-5.503 51.296 15.24 74.905-3.255-15.89-3.477-31.222-1.53-45.828 2.583 1.532 5.388 2.703 8.293 3.44 19.373 4.906 44.5-1.94 76.35-17.253 30.25-14.542 66.117-37.706 105.01-69.775l48.368 32.73c-29.567-2.373-57.21 2.11-80.665 12.113-18.437 7.865-34.347 19.29-46.357 33.426-24.973 26.092-33.82 71.752-28.268 98.403 2.466-10.895 6.392-22.255 11.496-33.578l143.338-40.074 46.852 41.906c-30.122-7.788-58.994-11.142-84.867-8.238-39.39 4.42-72.503 24.934-86.783 64.244l-5.185 14.274 136.463-1.49 26.174 57.138c-42.183-25.606-84.56-34.873-125.693-34.37-51.737.635-101.458 16.077-148.695 31.68l-2.484.82-1.81 1.892c-11.985 12.504-27.58 37.417-41.985 66.17-11.847 23.65-22.493 49.252-27.418 71.986H68c4.805-18.81 14.066-41.677 24.53-62.563 13.107-26.165 28.38-49.616 36.9-59.23 46.044-15.156 92.8-29.148 139.525-29.72 45.873-.563 91.752 11.28 139.047 48.245 15.232 20.38 26.606 41.606 31.72 64.203 4.928-23.655 5.312-52.454-11.784-76.38L381.65 276.343l-118.1 1.29c13.015-22.177 34.103-33.042 62.514-36.232 32.693-3.67 74.36 4.298 117.655 20.55 21.03 16.204 38.378 34.313 49.58 55.6-1.527-26.99-10.2-58.732-39.917-76.972l-86.215-77.11-130.076 36.366c8.267-22.522 26.764-40.777 52.687-51.834 28.765-12.27 66.23-15.26 106.263-4.094 24.284 10.177 45.53 23.124 61.742 40.658-6.674-20.26-18.418-42.217-39.49-55.462L312.527 57.53l-6.082 5.124c-40.176 33.84-76.992 57.666-106.746 71.97-29.754 14.306-52.98 18.12-62.073 15.817-4.546-1.15-5.186-2.007-5.928-4.67-.743-2.66-.484-8.857 3.464-18.067 7.5-17.498 27.28-44.476 62.05-78.553 25.34-10.698 50.48-17.074 75.28-16.107-14.85-7.49-32.616-13.543-51.226-13.22z"}}]})(props);
};
function GiShakingHands (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M494 61.363l-82.58 77.934 78.994 132.96 3.586-4.458V61.362zM18 62.5v225.893c4.48.582 9.863.903 15.295.96 11.87.125 21.654-.65 27.15-1.144L113.1 154.974 18 62.5zm389.154 104.86l-7.04 4.556c-.15.097-5.362 3.336-6.893 4.29l-10.605 6.42.15.09c-4.914 3.057-6.28 3.917-11.857 7.38-2.83 1.757-2.9 1.798-5.584 3.465-20.29-10.907-42.306-19.29-67.998-25.882-32.312 9.762-66.542 23.888-100.722 37.142 14.19 17.087 29.96 22.651 45.845 22.85 18.42.23 37.25-7.78 50.218-16.754l7.4-5.12 7.426 10.73 115.453 83.33 45.112-29.987-60.906-102.51zM126.477 170.1L81.11 284.887 97.76 297.69l30.795-34.905 2.467-2.795 3.72-.232c1.5-.094 2.98-.138 4.44-.13 10.212.066 19.342 2.716 26.19 8.76 5.072 4.472 8.444 10.426 10.4 17.32l2.28-.142c11.995-.75 22.802 1.725 30.63 8.63 7.827 6.907 11.63 17.323 12.38 29.32l.07 1.08c6.44 1.216 12.205 3.752 16.893 7.888 7.828 6.906 11.63 17.32 12.38 29.317l.197 3.12c.642.202 1.275.424 1.9.658l2.033-2.853 5.47-7.678 2.813-3.95 7.33 5.223 59.428 42.336c6.464-1.594 10.317-4.075 12.46-7.086 2.147-3.012 3.233-7.47 2.624-14.107l-71.258-51.03-7.318-5.24 5.19-7.246 6.67-9.365 7.33 5.223 80.335 57.226c6.464-1.593 10.32-4.074 12.463-7.085 2.144-3.01 3.23-7.457 2.625-14.082l-92.398-65.55-7.34-5.21 10.414-14.68 7.343 5.208 92.414 65.565c6.47-1.594 10.327-4.075 12.473-7.088 2.148-3.015 3.233-7.476 2.62-14.125l-110.44-79.71c-14.655 8.688-33.402 15.648-53.557 15.396-23.587-.295-48.817-11.566-67.377-40.05a9 9 0 0 1 4.343-13.327c13.014-4.945 26.163-10.17 39.343-15.354l-92.056-6.834zm12.902 107.62l-47.564 53.91c.927 6.746 3.04 10.942 5.887 13.454 2.847 2.512 7.275 4.085 14.084 4.164l47.563-53.908c-.927-6.747-3.04-10.945-5.887-13.457-2.847-2.512-7.274-4.084-14.084-4.162zm43.308 25.81l-53.713 60.88c.926 6.747 3.04 10.945 5.886 13.457 2.85 2.51 7.275 4.083 14.085 4.16l53.713-60.878c-.926-6.748-3.04-10.944-5.887-13.457-2.846-2.512-7.273-4.085-14.083-4.164zm29.34 38.286l-47.56 53.91c.927 6.746 3.04 10.943 5.887 13.456 2.848 2.512 7.275 4.083 14.084 4.162L232 359.44c-.927-6.75-3.04-10.947-5.887-13.46-2.847-2.512-7.274-4.083-14.084-4.162zm24.702 39.137l-38.794 44.28c.925 6.76 3.038 10.962 5.888 13.476 2.845 2.51 7.267 4.082 14.067 4.163l38.796-44.28c-.926-6.758-3.04-10.96-5.89-13.476-2.844-2.51-7.266-4.08-14.066-4.162zm35.342 4.79c1.694 4.62 2.673 9.74 3.014 15.192l.232 3.704-8.277 9.448 26.724 19.037c6.464-1.594 10.316-4.075 12.46-7.086 2.145-3.01 3.233-7.464 2.628-14.093l-36.78-26.2z"}}]})(props);
};
function GiShamblingMound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M125.5 24.44l-15.2 9.64c4.7 7.36 4.1 9.89 2.6 12.91-8.4 11.18-22.25 15.83-32.31 23.89-6.38 5.2-12.53 13.64-10.92 23.76 2.17 13.46 12.66 22.56 23.15 29.76 12.38-.5 25.48.6 36.18.6l.2-.4c-11-5.5-39.08-21.1-41.75-32.85C97.5 75.04 120.3 71.43 128.9 55.13c4.3-8.5 3.4-19.93-3.4-30.69zm92.8.3c-1.8 17.62-4.3 32.04-7.1 44.98l28.3 17.12-33.5 5.31c-3.3 12.75-5.7 22.95-8.4 34.55-10.5 5-22.1 9.4-32.2 12 12.6 6.5 25.2 14.8 30.5 28.1 3.6 8.8 2.1 17.9-.9 25.7-2.9 7.7-7.3 14.8-11.2 21.4-3.9 6.6-7.2 12.7-8.5 17.3.4 23 31.4 26.9 47.4 22.7 1.1-6.6 5.6-13 9.8-17.2-7.4-2.6-14.7-6.3-20.1-12.9-5.9-7.2-7.8-18.4-3.2-29.1 3.7-6.6 11.1-10.7 17.6-11.7 11.5-.9 22.3 1.4 32.8 4.3.8-6.9 2.2-14 4.9-20.3 2.1-4.9 5.5-9.9 10.4-12.9l-11-10.8-17.5 16.5-17.6-17.5-16.8 13 7.3-44.6 14.1 14.7 10.2-15.1 9.1 21.1 18.2-26.5 7.7 47.4c2.7-1 5.3-1.3 7.9-1.3 8.1.5 14.9 5.5 19.3 11.3 5 7.3 8.5 15.4 10.7 22.7 1.4-.8 2.7-1.5 4.1-2.3 6.3-3.3 12.8-6.4 19.5-8-23.2-6.9-27.4-26-28.1-48.7-9.4-.8-16.4-.6-25.6-.4-2-11.2-3.6-23.2-4.8-33.07l-33.8-5.33 30.8-18.68c-1.9-13.34-4.4-26.41-8.9-39.3-14.4 3.78-33 3.98-51.4-4.48zm165.1 22.69s-37.8 20.36-34.6 36.93c1 5.29 5.3 10.28 10.7 13.98-2.5 6.06-3.5 12.06-3.9 18.16 5.9 1.8 11.6 3.8 17.2 5.9-.8-6.3-1.2-12.6-.6-18.8 5.2 1.1 10.3.6 14.1-1.9 15-10.11-2.9-54.27-2.9-54.27zm-53.2 81.07c2.2 14.8 2.2 27.2 17.4 29.4 14.6 3.3 29.9-2.2 42.2 1.2-2.1-4.2-4.2-8.5-6.1-12.8-17.3-7.4-34.3-14.1-53.5-17.8zm-226.1 13.9c-6.18 13.7-12.41 27.3-18.42 40.9-3.84-3-8.01-5.6-12.87-7.5 1.19-6.5.56-13.1-2.54-17.5-3.33-4.7-10.35-6.3-18.12-6.3-14.84-.1-32.45 5.5-32.45 5.5s19.21 43.5 36.96 39.9c4.45-1 8.29-4.3 11.18-8.8 3.97 3.1 7.5 6.8 10.82 10.8-9.36 22-17.81 44-24.12 66.5 21.79 2 39.71 9.7 55.46 19.4 8-32.7 15.2-60.4 30.3-84.9l29.1 2.4c4.3-8.4 13.5-19.9 9.9-29.2-13.1-16.5-29.9-23.6-49.1-30.5-9.2 0-17.7-.5-26.1-.7zm177 31.7c-1.4 3.3-2.6 8.2-3.3 13.4 3.5-1.1 7.2-1.7 11-1.7 3.3 0 6.4.4 9.4 1.2-1.9-5.5-4.3-10.6-6.7-13.8-5-6.6-8.2-4.2-10.4.9zm78.4 2.4c2.5 1.5 4.8 3.8 6.3 6.5 5.2 9.2 2.5 20-2.7 27.5-.8 1.1-1.6 2.3-2.5 3.3l40.2 68.1c1.7-8.8 3.5-20.4 4.7-33 2.4-26.1.2-55.5-9.3-67.2-9.6-8.6-24.9-5.6-36.7-5.2zm-13.4 15.3c-4.2.7-10.7 3.4-16.9 6.8-1.8 1-3.6 2-5.2 3 5.9 2.6 11.3 5.4 15.5 7.9 3.7-3.2 6.9-6.4 8.8-9.2 3.2-5.6 4.2-9.7-2.2-8.5zm-120.3 10c-4.2 3.5-1.8 7.8.5 10.6 2.3 2.7 7.6 5.9 14 8 3.9 1.2 8.1 2.2 11.9 2.9.1-6.5 1.6-13.3 4.2-18.2-7.9-2.2-25-6.2-30.6-3.3zm63 2c-10.5 0-18.6 8-18.6 17.8s8.1 17.8 18.6 17.8c10.5 0 18.6-8 18.6-17.8s-8.1-17.8-18.6-17.8zm135.7 9.9c.8 12.3 0 25-1.1 36.9-1.3 13.6-3.3 26-5.1 35.3 16.2-8.2 28.3-19.6 37.2-33.9-10.8-12.5-21.2-25.2-31-38.3zm-97.8 9.3c-3.3 6.4-4.3 13.9-8 19.1 3.4 3.1 7.5 6.5 12.3 10 5.3 3.8 10.9 7 14.8 8.3 7.2 3.3 9.8-7.3 8.6-11.6-1-3.9-4.8-9-10-13.6-6.1-5.4-12.6-9.3-17.7-12.2zM258 240.8c-6.3 4-14.7 7.6-17.4 15.1-1.1 6.1 5.7 14.7 12.2 13.2 8-3.6 12.7-10 16.8-17.1-4.7-2.8-8.6-6.6-11.6-11.2zm46.8 13c-4.7 2.2-10 3.5-15.5 3.6 1.7 10.3 4.1 29.9 11.4 35 8.7.7 9.9-33.4 4.1-38.6zm-136.2 4.9c-3.4 16.9-6.8 34-10.4 51 10.9 7.3 22.5 16.2 30.5 25 6.9 7.7 12.5 16.4 13.5 26.7.8 8.9-3.4 16.6-8.5 22.1s-11.1 9.8-16.7 13.9-10.7 7.9-13.6 11.2c-2.9 3.4-3.5 5.1-3 7.6 1.9 3.8 8.6 5.1 12.6 6.4 4.4 1.3 9.3 2.7 14.2 5.2 4.9 2.4 10.1 6.4 12.6 12.9v.1c6.9-48 12.3-90.5 27.5-128.5l51.8-1.4c3.9 14.9 7.9 30.8 11.3 43.7 9.1 13 18.4 25.9 30.7 35.2 6 4.4 11.2 6.3 14.9 6.1 5-10.9 8-25.1 19.8-27.9 5.2-1.1 10.3-1 15.3.1-4.3-10.6-8.4-21.1-12.4-31.7-8.4 3.9-18 7.5-28.3 4.7-12.6-3.4-21-13.3-27.7-24.2-1.3-2.2-2.6-4.4-3.8-6.7-7.5-.8-12.9-6.1-16.5-11.7-4-7.5-6.6-15.3-8.2-22.6-4.6 4.8-10.2 9.1-17.4 10.8-13.5.3-24.3-5.2-30.3-15.2-7.6 2-14.9 2.9-21.8 2.6-14.1-.6-26.4-6.2-36.1-15.4zm301.7 3.6c-3.4 5.4-7.2 10.4-11.5 15.1l10.9 3.7 4.8 30.4 17.8-2.8-6.6-41.2zm-145.8 7.2c-.1 8-.8 16.2-3.4 23.7-1.2 3.6-2.8 7-5.4 10 4.5 7.7 11.1 18.1 19.3 20.5 1.9.5 9.9-1.2 17.2-4.2-5.5-14.7-11-29.2-16.6-43.8-3.9-1.7-7.6-3.8-11.1-6.2zm-277.31 14l-23.9 46.8 16.04 8.2 26.85-52.6c-5.92-1.4-12.22-2.2-18.99-2.4zm25.07 3.9l-14.89 39.2-6.19 35.3 17.72 3.2 5.91-33.7L89.03 294c-5.33-2.6-10.88-4.8-16.77-6.6zm372.14 3.3c-4.7 3.6-9.7 6.8-15 9.8l29.2 48.9 15.4-9.2zm-349.93 6.2l2.64 39.7-14.34 18.6 14.26 11 18.47-24-2.2-33.1c-6.2-4.5-13-9-18.83-12.2zm324.03 8.9c-6.4 2.7-11.3 4.3-17.6 6.3l1.3 18.5 22.3 17.1 11-14.2-15.9-12.3zm-264.4 22.9c-3 14-6.1 27.9-9.4 41.9-14 22.5-35.4 46.8-53.15 56.4-9.69 5.3-17.05 6.2-22.71 3.4-5.67-2.8-12.14-10.9-16.34-29.5l-17.56 4c4.82 21.4 13.3 35.4 25.9 41.6 12.6 6.3 26.8 3.2 39.36-3.7 11.6-6.4 22.9-16.1 33.2-27.3-5.7 21.3-11.9 42.6-18.8 64 18.1 11.4 40.3 7.7 63 2.5 5-13.4 7.7-28.9 5.4-34.9-.4-.9-1.2-1.9-3.9-3.3-2.7-1.3-6.8-2.6-11.4-4-4.5-1.4-9.4-2.8-14.2-5.6-4.7-2.9-9.6-8-10.9-14.8-1.5-8.9 2.4-16.9 7.2-22.6 4.9-5.6 11-9.9 16.6-14 5.6-4.1 10.8-8 14-11.4 3.2-3.5 4.1-5.7 3.8-8.3v-.1c-.4-4.2-3.5-10.2-8.9-16.3-5.5-6.1-13-12.3-20.6-17.6-.2-.1-.4-.3-.6-.4zm202 65.6c-2.9 9.2-8.7 18.5-17.9 19.6-10.4 1-19.7-3.6-27.8-9.6-3-2.3-6-4.8-8.8-7.4 8.1 28.7 17.4 56.9 30.1 84.2 39.8 9.8 69.2 6.5 98 2.5-12.4-19-23.1-38.3-32.8-57.7 6.3-1.1 12.5-2.7 18.6-6 4.2 5 9.6 8.7 15 9.1 16.7 1.4 33-38.3 33-38.3s-17.9-5.1-33.4-5c-9.3 0-17.8 1.9-20.9 7.9-2.2 4-2 9.2-.4 14.2-6.5 1.4-13.2 1.6-19.9 1.4-2.6-5.5-5.1-11.1-7.5-16.6-14.3-9.3-20.2-13.7-25.3 1.7z"}}]})(props);
};
function GiShamblingZombie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M63.648 18.836l-21.906 5.22 4.174 17.508 21.904-5.22-4.172-17.508zm55.41 9.576c-10.812.018-19.293 3.666-24.505 10.344-5.56 7.123-6.867 17.012-3.494 28.383 3.372 11.37 11.602 23.646 23.973 33.288 12.372 9.64 26.29 14.625 38.15 15.125 11.856.5 21.136-3.178 26.696-10.3 5.56-7.124 6.866-17.012 3.493-28.382a50.804 50.804 0 0 0-1.172-3.434c-8.79 6.754-14.632 18.57-22.014 13.644-2.02-1.347 4.205-17.284 13.49-28.98a75.225 75.225 0 0 0-9.41-10.39l-25.328 12.17-13.696-12.644c2.028-1.745 18.215-4.463 31.54-5.603-11.69-8.362-24.503-12.712-35.532-13.176a50.13 50.13 0 0 0-2.193-.045zm135.215 11.375l-21.128 7.79 6.226 16.888 21.13-7.79-6.227-16.888zm52.932 22.277l-13.496 11.91 14.897 16.883 13.498-11.908-14.9-16.886zm-265.8 24.73L25.81 95.788l11.25 19.506 15.592-8.992-11.25-19.505zm155.54 25.33a41.26 41.26 0 0 1-2.867 4.192c-9.75 12.493-25.473 17.895-41.658 17.213-5.973-.252-12.08-1.295-18.166-3.096-.692 8.702-.662 17.523-.018 26.373l7.3-3.37.5 16.885 12.91 2.485-7.448 14.898 17.38 15.395-16.388 6.457 8.444 9.435-6.967 6.45c10.697 28.977 25.217 55.522 39.002 75.956 16.78 24.877 33.407 70.446 34.106 98.352l-37.594 95.297 113.575 1.187.793-20.564-7.577-1.32-12.673 12.322-10.43-8.94h-8.94l-1.312-9.193-21.28-3.708 28.37-63.31c1.334-37.238-10.187-63.18-18.72-100.418 17.34 11.887 34.13 23.517 50.22 35.474 3.39-3.158 7.75-5.67 14.87-6.342 4.78 7.99 5.047 14.693 4.413 21.137 25.186 20.06 48.29 41.65 68.536 67.356l55.403-96.488-16.375-9.064-45.36 43.074c-25.322-34.38-62.046-59.99-101.895-88.56-3.014-9.555-7.292-18.512-12.196-27.055-3.357 4.796-7.873 9.123-11.627 12.125-7.314 5.85-20.288 2.142-23.34-3.973-3.05-6.116 11.094-9.658 7.946-15.395-3.148-5.738-17.153 3.158-21.852-1.987-4.697-5.145-6.025-13.1 0-19.865 3.768-4.228 12.42-6.017 20.75-5.955a54.94 54.94 0 0 1 4.968.266c-8.813-12.567-16.915-24.728-21.516-37.208 29.466 3.21 58.927 6.432 86.832 17.442 5.666 15.217 1.188 30.435-4.916 45.652 4.516.913 9.738 1.007 14.41-5.498 12.134-16.9 20.338-37.936 14.387-58.414-1.382-4.756-40.025-14.216-77.795-22.226 27.81-3.497 57.99-5.808 89.506-7.452 14.352 4.97 21.266 19.44 21.828 40.266 15.58-7.543 19.9-15.453 20.506-26.77.937-17.48-12.432-32.673-21.85-35.517-3.76-1.24-137.436.263-166.195-4.005zM427.02 136.34l-17.315 14.394 11.508 13.842 17.314-14.396-11.506-13.84zm-343.145 4.61l-5.457 17.154 21.46 6.828 5.456-17.155-21.46-6.826zm318.168 123.564l-16.05 15.793 12.622 12.832 16.053-15.794-12.625-12.832zm-258.078 29.894l-5.455 17.153 21.46 6.827 5.454-17.153-21.46-6.826z"}}]})(props);
};
function GiShamrock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M229.3 23.6c-1.3 0-2.7.1-4 .11-21.2 1.03-40.7 8.51-49.7 18.54-11.2 12.51-16.6 46.14-3.2 82.45 12.4 33.6 39.5 69.4 88.1 94.3 13.5-37.3 17.4-100.3 16.6-148.56l18-.28c.7 46.64-1.9 105.94-15.2 147.94 34.2-16.5 64.8-32.9 86.4-54.7 24.7-24.9 38.9-56.5 35.9-107.03-.2-3.85-3-8.72-9.4-13.57-6.3-4.85-15.9-9.24-27-11.93-22.1-5.37-50.1-3.97-72.2 8.76l-5.2 2.97-4.7-3.59c-12.9-9.73-31.7-14.93-50.4-15.39h-4zM89.18 161.3c-2.71 0-5.42.1-8.14.3-20.35 1.6-44.06 16.8-52.99 39.1s-5.33 52.4 32.32 88.2l3.13 3-.36 4.3c-3.69 43.4.54 71.8 8.13 88.8 7.59 17.1 17.53 23.3 29.03 25.3 11.4 1.9 25-1.3 36.8-6.9 11.8-5.5 21.8-13.6 25.2-18v-.1c35-44.4 51.2-90.1 70-136.8-80.2 46.4-112.6 41.3-142.88 45.7l-2.58-17.8c35.26-5.1 60.76 2.2 145.56-48.9-44.9-31.9-91.1-65.2-140.52-66.2zM394 218.6c-3.8.1-7.7.4-11.7.8-27.2 2.8-56.1 12.8-84.2 19.5 36 45.6 60.9 84 103.5 112.4l-10 15c-44.6-29.8-70.5-68.5-104.2-111.6-6.4 32.2-11.2 64.7-9.3 93.9 2.2 35 13.4 64.8 42.4 86.7 16.8 12.7 30.4 18 41 18.8 10.6.8 18.8-2.4 26.7-8.9 15.6-13 27.6-40.5 36.4-67.7l1.2-3.6 3.5-1.7c40.1-19.4 55-41.5 58.1-62.1 3.1-20.7-6.1-41.6-19.4-57.6-21.9-26.4-45.5-34.1-71.5-33.9zm-138.4 17.6c-40.8 91.8-22.5 168.6-3 252.2l17.6-4c-19.5-83.8-36.6-154.2 1.8-240.8z"}}]})(props);
};
function GiShardSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496.514 14.453l-97.79 45.47-71.57 71.567-26.558-33.377-31.772 91.705-74.644 74.645-26.56-33.375-29.968 86.504 20.053 20.05L413.415 81.93l13.216 13.215L170.92 350.86l20.756 20.755 75.763-75.765 83.155-28.807-30.266-24.084 80.082-80.083 83.158-28.81-31.148-24.786 44.096-94.827zM43.57 266.525l-.002 39.75 23.793-.334 137.732 137.734-.336 23.79h39.754l-.28-39.538h-22.673L83.11 289.48v-22.675l-39.54-.28zm71.434 113.49l-88.166 88.167 17.738 17.74 88.168-88.168-17.74-17.738z"}}]})(props);
};
function GiShare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M384 64a64 64 0 0 0-64 64 64 64 0 0 0 1.1 11.3l-146.3 73.2A64 64 0 0 0 128 192a64 64 0 0 0-64 64 64 64 0 0 0 64 64 64 64 0 0 0 46.8-20.5L321 372.7a64 64 0 0 0-1 11.3 64 64 0 0 0 64 64 64 64 0 0 0 64-64 64 64 0 0 0-64-64 64 64 0 0 0-46.8 20.5L191 267.4a64 64 0 0 0 1-11.4 64 64 0 0 0-1.1-11.4l146.3-73.1A64 64 0 0 0 384 192a64 64 0 0 0 64-64 64 64 0 0 0-64-64z"}}]})(props);
};
function GiSharkBite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M243.5 52.06C203.4 97.42 156.6 131.5 99.8 161.6c11.9 6.1 25.1 9.4 37 11 9.3 1.2 17.8 1.3 23.9 1.1 3.1-.1 5.6-.2 7.3-.4.9-.1 1.6-.2 2-.2.4-.1 1.4-.5-.5.2l5.6 17c-2.1.8-1.9.5-2.6.6-.8.1-1.6.2-2.7.3-2.2.2-5 .4-8.5.5-2.5.1-5.2.1-8.2.1.4 1.7.6 3.4.6 5.3 0 14.2-12.9 24.5-27 24.5s-26.99-10.3-26.99-24.5c0-5.2 1.79-9.9 4.69-13.8-8.05-3-16.06-6.9-23.56-12.1-19.96 9.9-41.1 19.4-63.59 28.8v149.7c11.13 28.4 29.91 50.9 74.31 62.6l-4.6 17.4c-33.24-8.8-55.03-24.7-69.71-43.9V413c9.54 15.5 20.05 27.7 39.76 33.6l-5.1 17.2c-14.8-4.3-25.86-12-34.66-21.2v49.1H236.2c14.1-4.2 21.8-9.7 28.6-16.2 4.2-4 8-8.5 12.4-13.1-44.8-19.7-80.7-31.4-110.1-50.8-32.2-21.2-55.8-52.6-72.94-111.6l-1.3-4.5 2.9-3.6C133.8 244.1 221.1 201.8 287.5 170c-2.3-42.7-14.8-82.1-44-117.94zm-13.3 34.75l18 .68c-.6 17.11-5.3 36.21-23.9 52.01l-11.6-13.8c14.6-12.4 16.9-23.9 17.5-38.89zm267.6 21.69c-7.2 3.7-16.7 8.9-26.7 15.2-20.8 12.9-43.1 30.9-49.8 44.8-7.8 16.3-7.7 49-4.4 76.7 3.4 27.6 9 50.4 9 50.4l1.5 6.1-5.1 3.5c-25.4 17.5-41 35.4-58.1 51.6l-2.2 2-21.2 2.6c1.1 19.8-6.7 37-13 52.8l11.9 2.4c12.9-11.1 22.5-22.7 26.7-34.8l1.4-4 4-1.5c33-12.3 61.4-32.4 85.7-58.4 11-20.9 4.1-45.8 3-73.8l-.1-3.7 37.4-40.7v-91.2zm-371.1 82.1c-5.7 0-9 3.6-9 6.5s3.3 6.5 9 6.5 9-3.6 9-6.5-3.3-6.5-9-6.5zm155.1 3.6c-9.8 4.4-19.6 8.8-29.4 13.1-4.8 2.4-9.5 4.9-14.3 7.4l3.1.5c15.6 2.7 25.6 9.6 33.9 16.3 4.3-13.1 7.3-25.5 6.7-37.3zm114.6 15.7c-9.5 23.4-17.1 47-23 62l-1.4 3.6-3.6 1.4c-24.2 10-52 19-99.1 6.8-6.6 17.4-20.8 29.1-32.5 40.2l7.7 6.5c5.2-2.2 11-4.8 16.7-7.9 7.4-4 13.8-9.1 15.6-11.8l3.3-5.1 5.9 1.2c50 9.4 80.7 3 109.9-14.5 3.2-1.9 6.3-3.9 9.5-6.1-1.8-8.7-4.3-22-6.3-38.9-1.5-12-2.6-24.8-2.7-37.4zm-168.8 10.3c-11.5 6.2-23 12.5-34.1 19l2.1.5c15.2 3.6 25.7 9.7 34.2 16.1 1.3-3.4 2.6-6.7 3.4-9.6 1.6-6.4 1.9-11.3-1.5-18l-4.1-8zm-44.1 25c-11.2 6.8-21.8 13.7-31.6 20.6l6.7.9c10.8 1.3 18.8 6 24.4 11.2.7.7 1.2 1.4 1.9 2 1.9-9.9 2.2-19.7-.1-29.3l-1.3-5.4zm-35.8 23.7c-10.1 7.3-19.1 14.7-26.6 22.1 9.1 4 17.8 9 25.8 15.3 2.8-10 2.8-19.5 1.7-29.7l-.9-7.7zm37.2 90.2c-10.3 4.9-22.3 9.6-35.6 13.5 8.3 9.6 17.5 17.2 27.7 24 1.5 1 3 1.9 4.5 2.8l2-10.1c.8-4.4 1.9-13 1.9-21.1.1-3.2-.2-6.3-.5-9.1zm47.1 21c-11.3 8.3-23.3 15-36.9 19.5l-8.6 2.8c9.7 5.5 20.4 10.5 32.2 15.6l4.1-10.8c3.5-9.2 6.8-16.6 8.4-22.8.4-1.5.6-2.9.8-4.3zm41.4 20.7c-13.5 8.4-27.3 14.3-39.5 18.2l-7.4 2.4c9.7 4 20.2 8.3 31.3 12.9l3.6-8.7c3.6-8.5 9.2-15.8 12-24.8zm36.8 23.7c-14.4 6.8-29 11.9-39.1 13.5l-3.2.5c8 3.4 16.3 7 25.1 11 2.7-.2 4.5-1.1 6.5-2.8 2.4-2.1 4.8-5.8 6.8-10.6 1.5-3.5 2.7-7.5 3.9-11.6z"}}]})(props);
};
function GiSharkFin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M349.603 42.768c-31.36-1.053-234.946 205.685-280.595 309.828 26.998-7.923 58.257-15.23 82.4-13.004 22.594 2.083 40.82 15.274 57.844 26.603 17.023 11.33 32.575 20.703 48.654 20.416 16.378-.29 32.196-11.74 49.502-24.862 17.306-13.122 36.175-27.944 60.272-27.812 6.093.033 12.397.946 18.79 2.505-56.174-100.224-21.42-289.766-36.062-293.598-.255-.04-.523-.065-.805-.074zm21.586 312.37c-24.097-.13-42.966 14.69-60.272 27.813-17.306 13.123-33.124 24.573-49.502 24.864-16.08.287-31.63-9.086-48.654-20.416-17.023-11.33-35.25-24.52-57.844-26.603-25.39-2.34-58.66 5.86-86.557 14.234-27.895 8.372-50.07 17.28-50.07 17.28l6.706 16.702s21.492-8.624 48.54-16.743c27.047-8.12 60-15.37 79.73-13.55 16.277 1.5 32.278 12.186 49.523 23.663 17.244 11.476 36 23.838 58.946 23.43 24.043-.43 42.793-15.428 60.057-28.518 17.264-13.09 32.97-24.245 49.3-24.156 17.393.094 46.024 13.347 68.952 27.23 22.928 13.882 40.662 27.745 40.662 27.745l11.09-14.176s-18.476-14.464-42.43-28.967c-23.954-14.504-52.877-29.696-78.178-29.834zm1.91 41.12c-24.097-.132-42.966 14.69-60.272 27.812-17.306 13.122-33.124 24.572-49.502 24.864-16.08.286-31.63-9.087-48.654-20.416-17.023-11.33-35.25-24.52-57.844-26.604-25.39-2.34-58.66 5.86-86.557 14.234-27.895 8.374-50.07 17.28-50.07 17.28l6.708 16.703s21.49-8.623 48.537-16.74c27.048-8.12 60.002-15.37 79.73-13.552 16.28 1.5 32.28 12.187 49.524 23.664 17.244 11.477 36 23.84 58.946 23.43 24.044-.43 42.795-15.427 60.06-28.518 17.263-13.09 32.966-24.245 49.296-24.156 17.394.095 46.025 13.348 68.953 27.23 22.928 13.883 40.662 27.748 40.662 27.748l11.092-14.177s-18.476-14.464-42.43-28.968c-23.955-14.504-52.88-29.696-78.18-29.834z"}}]})(props);
};
function GiSharkJaws (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.97 20.22C150.394 88.557 72.1 275.18 69.874 494.374h375.188c-2.2-219.194-79.52-405.817-187.094-474.156zm-18.845 163.06l18.344 36.282 18.342-36.28c9.99 2.326 19.72 6.537 29.063 12.437l4.156 48.56 20.095-28.624c7.938 8.123 15.48 17.558 22.594 28.156L345.436 279l18.375-15.344c24.39 44.295 42.05 103.6 49.532 170.78-10.036-32.144-26.553-60.393-47.625-82.342l4-35.813L344.093 333c-6.098-4.53-12.452-8.595-19.03-12.156l-3.345-40.97-26.314 28.876c-7.31-2.074-14.792-3.58-22.437-4.438l-15.5-33.25-15.5 33.282c-8.14.916-16.12 2.522-23.876 4.812l-24.875-27.28-3.157 38.874c-6.645 3.585-13.065 7.68-19.22 12.25l-25.624-16.72 4.03 35.814c-21.08 21.95-37.618 50.19-47.656 82.344 7.482-67.188 25.17-126.485 49.562-170.782L169.5 279l-6.28-35.188c7.37-10.983 15.213-20.71 23.468-29.03l19.25 27.374 3.937-46.312c9.4-5.963 19.193-10.22 29.25-12.563z"}}]})(props);
};
function GiSharpAxe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M284.736 29.215c-2.334-.015-4.68.001-7.035.049-32.975.664-67.786 7.496-98.318 21.232-34.895 15.698-64.057 40.163-79.979 74.672-15 32.512-18.36 74.591-2.508 128.285a201.433 201.433 0 0 1 13.502-5.59c-9.866-43.961-5.617-80.245 8.301-109.01 15.464-31.958 42.464-54.15 72.95-68.302 30.484-14.153 64.583-20.494 95.738-20.95 1.947-.028 3.882-.035 5.804-.019 22.847.186 43.814 3.494 60.614 9.836 7.12-3.36 13.61-6.894 18.914-10.852-20.447-11.111-49.38-18.154-81.016-19.212a257.951 257.951 0 0 0-6.967-.14zm8.293 38.373c-1.78-.019-3.574-.015-5.379.012-28.88.421-60.75 6.43-88.421 19.277-27.671 12.847-51.013 32.303-64.327 59.818-11.852 24.495-16.052 55.773-7.242 95.895 12.372-2.904 23.747-3.494 33.565-1.195 9.93 2.325 18.916 9.147 21.732 19.312.306 1.106.52 2.235.701 3.373l102.203-102.203c-11.857-18.99-15.828-34.784-12.218-48.416 4.005-15.125 16.44-24.638 30.048-31.797 7.436-3.912 15.487-7.412 23.547-10.8-10.343-1.974-21.956-3.15-34.209-3.276zm83.057 68.326l-48.508 9.701-34.242 34.242h38.807v38.805l34.242-34.242zm87.348 3.367c-3.956 5.301-7.489 11.788-10.848 18.905 6.876 18.213 10.179 41.335 9.812 66.427-.455 31.155-6.796 65.254-20.949 95.739-14.153 30.485-36.344 57.485-68.303 72.949-28.764 13.918-65.048 18.167-109.01 8.3a201.436 201.436 0 0 1-5.59 13.503c53.695 15.852 95.774 12.492 128.286-2.508 34.51-15.922 58.974-45.084 74.672-79.979 15.698-34.894 22.379-75.376 21.142-112.32-1.058-31.637-8.1-60.569-19.212-81.016zm-22.297 45.48c-3.39 8.06-6.89 16.112-10.801 23.548-7.159 13.608-16.672 26.043-31.797 30.048-13.632 3.61-29.425-.361-48.416-12.218L247.92 328.342c1.138.181 2.267.395 3.373.701 10.165 2.816 16.987 11.802 19.312 21.732 2.3 9.818 1.709 21.193-1.195 33.565 40.122 8.81 71.4 4.61 95.895-7.242 27.515-13.314 46.971-36.656 59.818-64.327 12.847-27.67 18.856-59.542 19.277-88.421.208-14.228-1.004-27.742-3.263-39.588zm-160.528 13.096v33.534h33.534v-33.534zm-18 12.727l-34.244 34.244-9.699 48.506 48.506-9.7 34.244-34.243h-38.807zm-57.19 57.19l-37.034 37.035 38.806 38.806 37.036-37.035-48.508 9.701zm-49.76 49.761l-25.925 25.922 38.809 38.809 25.922-25.924zm-38.651 38.65L16 457.194V496h38.807l101.007-101.008z"}}]})(props);
};
function GiSharpCrown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.28 18.25L198.5 196.53 154.97 63.595l-50.75 182.5-33.25-87.625-34.907 140.75c-10.612 14.005-16.47 29.292-16.47 45.28 0 5.906.9 11.848 2.438 17.53C38.147 303.664 135.618 258.69 253.47 258.69c117.85 0 215.352 44.975 231.468 103.343 1.538-5.682 2.437-11.624 2.437-17.53 0-16.412-6.19-32.066-17.344-46.375L435.407 158.47l-29.03 76.75L358.03 63.593l-47.75 146.844-58-192.188zm-.843 149.313c14.193 0 25.72 16.46 25.72 36.78s-11.527 36.813-25.72 36.813c-14.192 0-25.687-16.492-25.687-36.812 0-20.32 11.495-36.78 25.688-36.78zm-95.78 26.843c10.812 0 19.562 12.55 19.562 28.03 0 15.484-8.75 28.033-19.564 28.033-10.813 0-19.594-12.55-19.594-28.032 0-15.483 8.78-28.032 19.594-28.032zm202.062 0c10.812 0 19.592 12.55 19.592 28.03 0 15.484-8.78 28.033-19.593 28.033-10.814 0-19.564-12.55-19.564-28.032 0-15.483 8.75-28.032 19.563-28.032zm-284.97 45.25c8.233 0 14.906 9.556 14.906 21.344 0 11.788-6.673 21.344-14.906 21.344S57.844 272.788 57.844 261c0-11.788 6.673-21.344 14.906-21.344zm360.938 0c8.232 0 14.906 9.556 14.906 21.344 0 11.788-6.674 21.344-14.906 21.344-8.233 0-14.907-9.556-14.907-21.344 0-11.788 6.675-21.344 14.908-21.344zM126.344 403.5c-16.1.228-32.323 4.688-48.72 14.375 48.73 62.635 97.458 50.163 146.19 29.53-32.1-27.026-64.507-44.373-97.47-43.905zm257.875 0c-32.173.35-63.806 17.507-95.158 43.906 48.73 20.632 97.458 33.104 146.188-29.53-17.177-10.15-34.18-14.56-51.03-14.376z"}}]})(props);
};
function GiSharpHalberd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M355.414 37.057l-72.865 34.96 38.507 38.506zM76.804 60.02c5.94 22.94 6.843 41.02 6.973 57.7 12.274 1.806 26.093 6.842 40.993 12.573 12.252 4.712 24.655 9.693 36.613 14.305-4.61-11.958-9.59-24.364-14.303-36.616-5.73-14.9-10.768-28.72-12.574-40.992-16.682-.13-34.76-1.03-57.7-6.97zm201.712 33.417l-47.207 47.21c9.54 4.895 19.098 9.503 28.655 13.767l39.764-39.764zM175.178 130.02c3.663 9.255 7.183 18.426 10.054 27.04l5.692 17.077-17.078-5.692c-8.615-2.87-17.786-6.39-27.04-10.054 20.598 34.496 39.182 70 52.467 105.872 19.01 51.326 26.685 103.905 12.985 153.963 108.61-34.56 188.19-114.144 222.752-222.754-50.058 13.7-102.637 6.028-153.963-12.982-35.87-13.285-71.374-31.87-105.87-52.467zm316.55 39.392c-11.713 7.82-23.67 14.096-35.81 18.998-35.135 124.333-126.39 215.586-250.723 250.72-4.902 12.14-11.177 24.1-18.996 35.813 69.376-15.54 138.225-56.89 193.433-112.097 55.208-55.21 96.555-124.057 112.096-193.434zm-334.296 45.11l-47.207 47.207 21.213 21.213L171.2 243.18c-4.263-9.557-8.873-19.116-13.768-28.66zm-59.936 59.935l-12.213 12.215h24.428zm-30.21 30.213L51.34 320.613h42.426l15.943-15.943zM51.34 338.61l12.213 12.214L75.77 338.61zm-21.73 3.73L18 353.953v42.428l32.828-32.827z"}}]})(props);
};
function GiSharpLips (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M249.773 20.154c-59.588 0-124.375 42.627-215.554 46.055l25.73 70.442c62.673-43.115 126.324-64.678 190.44-64.44 63.326.233 126.67 21.697 189.69 63.12l25.246-69.12c-91.886 0-159.248-46.056-215.555-46.056l.003-.002zm-2.652 70.772c-18.31.152-36.612 2.178-54.915 6.142l35.766 106.82 19.15-112.962zm5.425.008l20.027 112.953 34.854-106.68c-18.354-3.972-36.645-6.054-54.88-6.273zm-68.783 8.11c-19.286 4.802-38.578 11.747-57.89 20.878l30.43 141.086 27.46-161.963zm132.04.11l27.44 161.854 30.293-141.487c-19.322-8.84-38.563-15.625-57.732-20.366zm63.87 23.24l23.976 112.682 29.84-81.695c-18.015-12.082-35.95-22.416-53.816-30.985zm-259.664.366c-17.785 8.814-35.59 19.485-53.428 32.047l29.318 80.267 24.11-112.314zm43.916 177.445l-26.934 115.73c17.212 4.612 34.437 8.154 51.68 10.633l-24.746-126.363zm171.7 0L310.89 426.5c17.122-2.45 34.275-5.917 51.465-10.395l-26.732-115.9zm-227.183.024l-35.88 93.41c19.258 8.172 38.522 14.99 57.8 20.465L108.44 300.23zm282.665 0l-21.748 113.995c19.267-5.323 38.582-11.906 57.952-19.75l-36.205-94.246zm-170.533 47.303l-23.924 80.11c16.01 1.997 32.038 3.083 48.086 3.257l-24.162-83.367zm58.403 0l-24.16 83.352c16-.206 32.017-1.304 48.064-3.305l-23.905-80.047zM65.86 411.078L51.794 447.7c56.882 37.393 143.25 47.306 197.982 47.306 51.718 0 149.793-8.762 197.98-47.305l-13.75-35.794c-123.46 49.763-246.83 50.343-368.144-.828z"}}]})(props);
};
function GiSharpShuriken (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M395.13 313l89.869-100.857H388.08c-45.748 0-82.824-37.063-82.824-82.824l-.297-33.208-100.857-77.147v96.917c0 45.751-37.06 82.824-82.822 82.824l-9.844.298L27.001 299.86h96.92c45.75 0 82.822 37.062 82.822 82.824l.298 20.484 100.854 89.868v-96.913c0-45.749 37.062-82.823 82.824-82.823zM256 306.669c-27.99 0-50.666-22.685-50.666-50.665 0-27.99 22.679-50.671 50.665-50.671 27.99 0 50.67 22.682 50.67 50.671 0 27.98-22.683 50.665-50.67 50.665z"}}]})(props);
};
function GiSharpSmile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M458.656 19.72c-57.77 6.715-81.53 39.592-99.28 77.093 74.776 2.09 108.602-23.12 99.28-77.094zM54.937 21.374c-9.32 53.974 24.505 79.154 99.282 77.063-17.752-37.5-41.512-70.346-99.282-77.063zM467.844 175.03c-4.32.2-9.382 2.47-15.22 7.19-8.233 6.657-16.966 12.814-26.124 18.468 28.704 32.76 45.837 74.055 56.563 118.437 10.61-69.51 11.1-145.308-15.22-144.094zM60.47 180.688c-25.47-.264-30.547 76.598-21.157 146.657 14.426-42.205 34.88-83.047 62.218-119.656-9.302-5.88-18.05-12.415-26.093-19.625-5.608-5.03-10.59-7.33-14.968-7.375zm341.592 33.407c-15.548 7.583-31.938 13.896-48.875 18.906 27.92 71.072 40.385 145.85 48.188 220.28 20.714-79.27 18.07-159.615.688-239.186zm-274.625 7.625c-16.893 65.397-28.75 128.586-20.874 194.124 13.266-63.588 33.256-123.988 66.156-178.22-15.82-4.037-31.007-9.326-45.282-15.905zm296.5 6.093c14.383 75.347 15.57 152.055-3.812 227.937 16.663-10.085 29.597-22.548 37.156-37.563 5.687-11.294 11.303-28.935 16.25-49.625-8.04-52.642-22.32-102.276-49.592-140.75zm-319.093 7.656c-27.066 40.656-46.15 86.125-58.22 132.436 4.792 20.483 10.948 38.554 18.282 51.438 5.968 10.483 15.548 19.897 27.844 28.156-15.18-73.294-4.838-142.62 12.094-212.03zm223.5 3.874c-19.46 4.21-39.347 6.785-59.22 7.687 22.523 66.597 34.172 134.63 43.876 202.595 10.35-70.784 13.795-140.562 15.344-210.28zm-128.75 3.875c-10.376 73.08-12.596 154.426 6.5 221.75 6.98-71.93 20.608-149.46 40.78-217.626-15.99-.28-31.828-1.637-47.28-4.125zm-21.688 23.06c-31.53 58.626-49.375 124.554-60.78 194.595 21.327 9.65 46.993 16.945 74.624 21.688-21.974-66.086-22.11-144.102-13.844-216.282zm168.188 2.22c-2.162 71.314-6.807 143.27-19.813 216.78 20.76-2.794 40.505-7.197 58.25-13.28-6.67-69.114-16.73-137.997-38.436-203.5zm-87.625 6.72c-18.06 67.556-30.09 143.006-35.626 211.5 25.292 2.497 51.388 2.97 76.687 1.25-9.87-72.005-20.188-143.462-41.06-212.75z"}}]})(props);
};
function GiSharpedTeethSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416.025 38.963c-7.803 18.705-22.337 35.512-41.558 48.97C355.52 67.37 311.273 52.946 259.71 52.946c-50.958 0-94.764 14.086-114.073 34.262-17.96-12.82-31.512-28.88-38.366-47.112C64.93 84.702 45.737 148.543 44.558 210.42c46.465 19.57 74.86 40.343 85.025 63.525 5.303 12.096 4.547 25.52-2.334 36.24-5.074 7.905-12.87 14.376-22.922 19.778 30.688 32.715 88.288 54.408 147.053 56.52 59.795 2.152 119.538-15.43 153.878-56.81-10.153-5.368-17.794-11.848-22.42-20.01-6.175-10.898-5.214-24.36 1.486-35.956 12.873-22.28 43.89-42.744 93.197-63.312-1.26-58.048-20.475-125.513-61.495-171.432zm-288.78 73.826c19.056 29.372 55.18 62.954 106.054 75.427-9.29 15.958-20.286 26.032-32.177 31.767-3.875-45.233-60.436-39.484-54.96 2.157-20.654-5.936-40.58-17.438-56.368-28.09 3.747-42.774 17.097-68.54 37.45-81.26zm267.6 0c20.352 12.72 33.7 38.486 37.448 81.26-14.028 9.465-31.326 19.586-49.494 25.893 3.298-40.41-53.56-44.56-55.36 2.713-14.37-4.983-27.698-15.62-38.65-34.44 50.873-12.472 87-46.054 106.054-75.425zm-133.59 117.08c23.496 29.888 70.427 113.39 25.917 113.39-14.297 0-17.34-46.52-25.33-79.516h-.002c-6.943 33.288-9.248 79.848-25.397 79.848-46.87 0 .093-85.24 24.813-113.72zM412.92 349.208c-10.767 11.318-23.182 20.773-36.766 28.496 6.65 27.98 6.116 61.76-2.26 96.748 29.022-22.033 49.494-75.435 39.026-125.243zm-305.332 9.176c-6.35 47.05 13.36 95.382 40.605 116.068-8.04-33.594-8.86-66.078-3.025-93.382-13.77-6.374-26.452-13.948-37.58-22.685zm246.09 30.13c-11.222 4.535-22.97 8.105-35.04 10.764 5.866 26.873 8.633 57.825 5.647 89.32 21.05-17.937 31.063-57.538 29.393-100.083zm-183.858 2.323c-1.22 41.657 8.793 80.15 29.46 97.762-2.962-31.233-.267-61.934 5.5-88.65-11.998-2.316-23.718-5.356-34.96-9.112zM303.633 402.1c-10.676 1.672-21.52 2.68-32.397 3.062 5.852 32.267 9.403 69.7 11.366 95.957 14.238-27.77 21.962-61.86 21.03-99.02zm-81.672.632c-.828 36.915 6.892 70.775 21.05 98.387 1.96-26.234 5.51-63.622 11.35-95.868-1.217-.03-2.436-.048-3.653-.092-9.635-.346-19.245-1.17-28.746-2.428z"}}]})(props);
};
function GiShatter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M326.594 14.97l-39.78 45.468L285.717 170l52.56-95.78-11.686-59.25zM204.438 27.78l-8.25 72.095 53.03 95.063-1.562-108.875-43.22-58.282zM69.75 61.157l35.438 74.28 105.187 77.75-37.72-78.874L69.75 61.156zm365.72 20.25l-66.564 28.875-55.812 93.5 93.5-55.81 28.875-66.564zm.28 91.094l-75 53.063L449.53 223 495 180l-59.25-7.5zm-159.063 21.375l-11.968 38.28-35.908-29.905 13.157 50.875-51.47 18.53 50.28 7.783-11.968 58.062 29.844-36.063 15.97 20.375-.345-46.562 35.94 7.78-11.97-26.905 43.063-41.313-46.063 11.97-18.563-32.907zm-259.218 5.28l91.75 50.94 94.843-.94-81.657-48.218-104.937-1.78zm376.592 47.782l-58.656 20.782 94.094 15.874 62.313-22-97.75-14.656zM81.156 279.063l-45.47 39.75 59.252 11.72 75-47.688-88.782-3.78zm244.22 16.188l78.093 75.875 71.78 10.656-45.125-56.81-104.75-29.72zm-107.22 3.906l-88.97 50.188-58.155 96.906 96.907-58.156 50.22-88.938zm75.47 2.625l15.812 104.158 73.375 76-24.97-108.657-64.218-71.5zm-31.907 40.814l-22 62.344 15.905 94.093 20.78-58.655-14.686-97.78zm-44.19 24.937l-54.374 75.033 6.438 59.25 43.812-45.47 4.125-88.812z"}}]})(props);
};
function GiShatteredGlass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M431.688 18.813l-83.594 65.75L456.5 63.03l-24.813-44.218zm-121.375.906l-21.47 91.5 79.72-91.5h-58.25zm-160.657 4.405l-2.187 6.25c-13.237 37.557-21.314 79.002-21.314 118.094 0 53.795 15.034 93.182 40.22 118.874 18.918 19.3 43.185 30.496 69.78 34.875 17.132 48.134 16.18 101.07-2.47 148.78-30.572 5.112-60.267 18.292-86.342 39.53H378.53c-26.062-21.23-55.75-34.383-86.31-39.5-18.647-47.685-19.602-100.598-2.5-148.717 26.782-4.308 51.187-15.52 70.124-34.97 13.345-13.706 23.776-31.308 30.625-52.906l-84.75-71.656-51.595-1.093 52.156 119.625-50.186-73.687-79.156 64.47 63.812-86.94-16.28-23.905-53.845-16.156-9.813-2.938 3.844-9.53 36-88.5h-50.999zm71.156 0l-34.968 86 48.562 14.594 32.78-33.69-17.436-66.905h-28.938zM395.438 97.03l-81.78 28 81.906 69.25c2.706-13.91 4.156-29.165 4.156-45.81 0-16.88-1.513-34.186-4.283-51.44z"}}]})(props);
};
function GiShatteredHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112 16c-22.1 4.7-42.55 16.45-58.12 35.68l80.32 75.42L112 16zm31.9 20.77c-.9 0-1.7.1-2.6.1l26.6 132.83 88.8 40.4 10.3-75.4c-17.2-63.6-70.1-97.97-120.7-97.93h-2.4zm226.7 41.18c-24 .1-49.2 7.75-72.6 24.35l-13.7 99.9 62.3 28.3 134-53.6c-6.5-60.1-55.1-99.25-110-98.95zM55.11 89.9c-5.99 10.5-10.78 22.6-14.01 36.4-14.83 63.3 15.59 125.4 51.48 181.8l56.62-129.8-94.09-88.4zM176.9 193.6L265 407.5c27.1-13.4 57.2-27.4 85.8-43.5l-22.6-101.7-151.3-68.7zm293.9 18.2l-124.4 49.7 20.7 92.9c47.5-28.8 88.1-64.5 99.7-114 2.3-9.9 3.6-19.4 4-28.6zm-314.9 16.1l-55.5 127.2c36.3 54.6 73.7 103.2 73.7 141.5 10.9-18.8 37.8-35.2 70.9-52.2l-89.1-216.5z"}}]})(props);
};
function GiShatteredSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M496.223 16.818l-48.475 44.205 48.475 4.575v-48.78zm-41.55 1.22l-68.91 11.28-7.04 65.547 75.95-76.828zM352.26 77.907l-87.887 50.3 15.447 41.026 82.662-16.87-10.222-74.456zm64.34 25.022l-32.967 67.443 24.842 70.684 54.314-134.19-46.19-3.937zm-271.362 72.808c-10.02.155-20.714 3.165-30.79 9.057 4.143 8.863 3.382 18.708-2.776 24.873-6.158 6.165-15.993 6.927-24.846 2.78-12.923 22.167-11.88 47.34 2.485 61.73l29.84-29.87c58.655 42.87 109.37 92.94 150.57 151.24l-36.19 36.23 6.61-6.604c14.283 14.298 39.192 15.42 61.23 2.732-4.88-9.197-4.366-19.74 2.107-26.22 6.47-6.478 17-6.993 26.185-2.112 12.66-22.062 11.54-47-2.732-61.3l-28.248 28.28c-57.035-42.41-107.91-92.665-151.426-150.386l35.455-35.492-6.61 6.603c-7.834-7.843-18.863-11.726-30.862-11.542zm108.45 4.512c-17.61 17.41-39.674 39.21-62.22 61.375 8.873 10.318 18.02 20.337 27.407 30.094l59.063-59.126-24.25-32.344zm78.28 32.688L297 219.968l-65 65.063c11.33 11.185 22.99 21.98 35 32.376 22.02-23.134 43.764-46.41 64.97-69.406v-35.063zM173.47 313.25c-31.146 40.858-67.877 74.323-108.905 101.875 4.13 13.708 16.394 26.374 30.624 30.563 29.466-41.26 61.113-79.902 100.97-109.97-7.368-7.662-14.914-15.154-22.688-22.468zM44.5 410.28l-20.844 20.845c7.133 24.65 27.843 44.912 53.72 53.438l19.28-19.313c-26.948-4.28-48.314-26.91-51.875-52.938l-.28-2.03z","fillRule":"evenodd"}}]})(props);
};
function GiSheep (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M392.8 107.5c9.3 5.3 25.8 9.3 40 9.2 7.7-.1 14.6-1.2 19.5-3.2 5-1.8 6.9-4.9 8.9-8.8-9.2-6.08-22.1-12.27-31.8-12.87-14.9.53-28.8 8.13-36.6 15.67zm-253 20.2c-1.7 5.5-7.9 8.1-13 5.4-26.5-14.5-50.46-6.9-67.71 8.7-35.93 32.6-45.13 87.3-32.47 145.7 7.31 33.6 18.99 53 41.29 62.8 0 .1.1.1.15.1 2.22 1 4.21 1.9 6.09 2.8l4.61-22c1.02-4.9 5.8-8 10.66-7s7.98 5.8 6.96 10.7l-23.5 112c4.79 7.2 16.4 1.2 21.3-1.2l38.12-106.5c10.8-9.4 21.2-19 28.7-29.2 6.6-9.1 10.4-18.4 10.6-23.5.2-5 4.4-8.9 9.4-8.7 5 .2 9 4.6 8.6 9.6-.6 11.2-6.2 22.4-14 33.2-7.3 10-16.7 19.6-27.2 27.2l-3.3 8.9c6.9 8.7 13.4 13.8 19.6 16.8 8.8 4.1 17.7 4.6 28.5 3.3 16.4-1.9 34.6-12.9 43.5-37.2 2.8-7.7 13.6-8 16.8-.5 7.7 21.2 36.1 32.6 55.1 24l-3.9-23.3c-.8-4.9 2.5-9.6 7.4-10.4 4.9-.9 9.6 2.5 10.4 7.4l17.6 105.9c9.2 6.3 14.5 2.4 19.9-4.4l-13.8-114.4c-.7-5.3 3.3-10 8.6-10.2 4.8-.2 8.8 3.3 9.3 8l4.3 35.7c5.1-1.2 9.1-2.5 12.4-5 4.3-3.2 8.5-8.7 12.1-21.5 1.7-6 9-8.5 14.1-4.7 13.6 8.3 27.4-1.8 35.6-12.2 12.9-16.5 14.7-42.4 13.2-69.2-2.1.3-4.2.5-6.3.6-8.8.5-17.9-.9-25.7-4.4-12.4-7-22-18.4-28.2-28.9-3.9-6.8-7.3-13.7-10.5-20-5.4 9.9-11 23.1-19.2 25-12.5 2.1-23.9-3.7-29.8-12.7-5.9-8.9-7.4-20.2-4.8-31.1 2.7-11.7 9.8-38.3 22.6-56.1 2.2-2.9 4.5-5.3 6.8-7.4-7.5-3.1-16.2-3.8-22.9-3.8-5.8 0-13.5 1.8-19.7 5-6.2 3.3-10.7 7.8-12.2 11.8-3.2 8.5-15.5 7.5-17.3-1.3-3.8-22.78-53.9-17.8-65.6 2-3.8 7-14.1 5.9-16.5-1.7-8.1-22.61-62.7-21.3-66.7 5.9zm345-1.5c1.7 16.4 3.5 32.2 4.2 45.6 1.8 6.5 6 18.9 8.7 7.3.9-4.1.8-11-.4-18.6-.1-7.1-14.5-47.3-12.5-34.3zm-112.7-2.5c-11.9 15-19.2 37.4-23.3 53.7-.6 5.8-.6 12.6 2.3 17.1 2.3 3.4 4.8 5.2 9.4 5 5.8-9.4 12.1-19.8 15.6-28.2-1.2-7.9-2.8-19.9-3.6-31.4-.4-5.8-.6-11.2-.4-16.2zm94.4 2.4c-2.4 1.6-4.8 3.1-7.5 4.1-7.8 3.2-16.8 4.4-26 4.5-14.8.1-30.2-2.7-42.9-8.4 0 3.6.1 7.7.4 12.3.9 12.6 3 27.2 4 33.5 10.5 16.6 19.9 44.4 36.8 52.5 5.8 2 11.9 3.1 17.2 2.9 6-.4 10.6-2.6 11.5-3.7 3.5-8 5.9-15.2 7.3-22.3 2.1-10.9 3.4-23.3 3.6-31.6.3-6.4-.6-13.3-1.1-18.7-1.4 4.1-5.7 6.6-10 5.9-4.3-.7-7.5-4.4-7.5-8.8 0-5.1 4.2-9.2 9.3-9 3 0 5.8 1.7 7.4 4.3-.9-6.1-1.4-12-2.5-17.5zm-58.3 16.5c4.9.2 8.7 4.2 8.7 9 0 5-4 9-9 9-4.9 0-9-4-9-9s4.2-9.1 9.3-9zm47.5 48.3c3.7-.1 6.5 1.9 6.5 6.2 0 7.8-5.8 15-12.7 19l-1-23.1c2.5-1.4 5-2.1 7.2-2.1zm-24.1 2c1.8-.1 3.9.4 5.8 1.3l3.8 22.5c-6-3.7-15.4-3.6-16.5-16.1-.5-5.2 2.8-7.7 6.9-7.7zm-30.9 164.2c-3.7 5.1-7.6 9.1-12.6 12.1l16.6 62c7.6 1.5 15.9 1 19.2-5.1zm-241.2 33.7l1.5 46.8c7.9 7.9 12.9 4.8 19.7-3l-3.7-39.5c-6.3-.9-12.6-2.2-17.5-4.3z"}}]})(props);
};
function GiSheikahEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.47 99.72c-91.048 0-192.525 75.168-240.97 34.186L53.594 212c66.497-49.548 134.417-74.814 203.22-74.813 68.086.002 136.5 24.718 204.81 73.188l37.97-86.72C413.754 169.89 353.168 99.72 260.47 99.72zm-.908 61.78c-40.49 0-73.093 32.603-73.093 73.094 0 40.49 32.602 73.094 73.093 73.094 40.49 0 73.093-32.603 73.093-73.094 0-40.49-32.603-73.094-73.094-73.094zm-59.406.47c-48.482 10.503-96.806 34.607-145.25 72.624 47.25 34.594 94 57.436 140.53 68.47-18.292-17.147-29.75-41.508-29.75-68.47 0-29.213 13.447-55.388 34.47-72.625zm120.75 1.655c19.904 17.233 32.53 42.668 32.53 70.97.002 27.2-11.672 51.737-30.248 68.905 46.285-10.716 92.886-33.366 140.125-68.656-48.152-36.303-95.56-59.94-142.407-71.22zM259.562 202.5c18.207 0 32.97 14.73 32.97 32.938 0 18.206-14.763 32.968-32.97 32.968-18.206 0-32.968-14.762-32.968-32.97 0-18.205 14.762-32.936 32.97-32.936zM53.5 256.594l-34 77.875c48.445-40.983 208.337-10.156 240.97 137.405C294.296 329.59 413.752 298.487 499.593 344.72L462 258.905c-56.18 39.47-112.568 62.356-169.03 68.72l-33.94 58.75-34.124-59.063c-57.467-7.005-114.595-30.95-171.406-70.72z","fillRule":"evenodd"}}]})(props);
};
function GiShepherdsCrook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M316.3 21.21c-7.6.01-15.2.47-22.6 1.18-24 2.37-48.4 9.08-69.4 21.22-19.9 11.45-36.2 29.02-50.5 47.09-13.7 17.3-24.7 36.9-33 57.3-8.5 21.1-17 66-17 66 13.9-22.3 43.4-25.6 43.4-25.6 12-1.4 33.1-2.4 37.5 8.6 0 0 4.5-67.8 41.8-94.8 24.1-17.52 59.2-34.6 86.9-22.86C361 90.99 379 124.7 377.5 157.9c-12.9 82.2-130.2 163.6-130.2 163.6 12.1.5 24.1 2.6 32.9 10 9.6 7.6 12.2 16.7 13.5 28.8 0 0 114.9-95.7 142-165.7 9.7-42.1 9-72.8-8.8-110.71-18.6-34.06-37.1-43.04-62.3-54-15-6.52-31.7-8.69-48.3-8.68zM182.1 202a18.56 40.42 72.94 0 0-43.6 13.2 18.56 40.42 72.94 0 0-3 27.9 18.56 40.42 72.94 0 0 55.1-11.6 18.56 40.42 72.94 0 0 3-27.9 18.56 40.42 72.94 0 0-11.5-1.6zm55.7 131.5c-1.5 0-3 0-4.7.1L204.9 360c12.8-1 23.2-.7 33.1 7.7 10.1 8.9 11.7 16.4 13.3 30.2l26.2-25.1c-1.4-12.8-4-22.3-13.7-30.8-8.6-7.4-15.5-8.6-26-8.5zM193 374L70.06 490.8l85.54-.1 83.6-80c-1.8-12.8-3.3-19.7-13.2-27.6-9.8-7.5-20.7-8.7-33-9.1z"}}]})(props);
};
function GiSherlockHolmes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M185.418 36.882s-24.67 5.747-35.756 15.557c-38.586 34.149-51.256 67.652-53.746 105.53l-43.97 47.023c96.221-17.906 207.672-21.92 340.581-20.912-21.002-14.144-41.37-25.753-59.322-36.814-14.473-35.496-33.701-76.597-65.934-95.373-14.145-8.24-29.144-14.024-43.962-16.83-10.736-20.307-35.4-11.819-37.89 1.82zM104.977 214.8c20.328 40.62 56.635 79.575 89.761 103.012 18.256 12.63 36.742 21.653 51.035 24.144 11.946 2.242 23.46-1.416 28.825-10.672l.002-.004v-.002c8.103-14.299 14.714-28.724 20.359-43.197 15.776 1.737 33.408 2.541 38.04-1.178 7.31-5.871-8.751-56.088-16.056-69.443 3.057-6.22 3.057-12.795 3.057-17.58-39.436-2.194-150.638 6.423-215.023 14.92zm342.142 6.07c-13.335.302-24.897 9.857-33.428 22.668-9.413 14.137-16.138 33.34-18.798 55.055-2.66 21.714-.771 41.971 4.95 57.963 4.29 11.99 11.133 22.318 20.655 27.515l-10.77 108.676 17.913 1.775 10.615-107.13c12.015-1.592 22.443-10.62 30.299-22.418 9.413-14.137 16.136-33.339 18.797-55.053 2.66-21.714.77-41.974-4.952-57.965-5.721-15.991-15.983-29.026-31.087-30.877a29.036 29.036 0 0 0-4.194-.209zm2.004 18.076c5.494.673 11.846 6.541 16.33 19.075 4.485 12.533 6.397 30.421 4.033 49.71-2.363 19.29-8.538 36.186-15.916 47.266-7.377 11.08-14.955 15.242-20.449 14.568-5.494-.673-11.844-6.54-16.328-19.074-4.485-12.533-6.396-30.42-4.033-49.709 2.363-19.289 8.536-36.187 15.914-47.267 5.011-6.164 12.69-15.168 20.449-14.569zM99.172 242.53c-6.243 8.543-13.975 17.27-23.111 25.744-12.11 11.231-26.664 21.827-43.198 30.211 37.101 7.524 77.514 23.385 115.21 42.594 42.326 21.57 80.776 47.18 106.775 71.145l2.314-24.686c-11.388-12.634-23.526-23.83-35.869-34.252-12.152-5.001-24.557-12.203-36.797-20.672-36.371-25.164-70.878-60.916-85.324-90.084zm344.582 11.276c.036 21.503 3.015 45.534 9.771 64.632 6.729-19.745 7.02-55.246-9.771-64.632zm-137.598 54.43a353.014 353.014 0 0 1-7.74 16.574c7.33 5.423 11.536 10.592 13.904 15.505 3.119 6.47 3.49 13.077 2.176 21.295-2.24 14.002-10.213 31.472-14.32 52.23-9.049 12.67-1.565 56.042 18.265 60.938 44.677 11.03 69.71-35.7 59.614-46.716-9.817-10.713-37.598-19.736-57.92-19.952 4.048-14.733 9.79-28.985 12.136-43.656 1.666-10.412 1.325-21.456-3.736-31.955-4.255-8.827-11.576-16.856-22.379-24.264zm-272.875 8.81C28.53 324.342 23.344 332.53 18 341.459V494h255.152c-2.921-14.12-5.609-28.7-8.763-42.629-.65-5.674-5.269-9.093-9.059-13.314-21.957-24.459-66.328-55.92-115.432-80.942-35.16-17.917-72.94-32.625-106.617-40.07z"}}]})(props);
};
function GiShieldBash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M274.663 63.02L90.792 80.26l154.193 19.273c5.063-13.339 12.952-24.341 22.541-31.828a52.072 52.072 0 0 1 7.137-4.683zm19.832 12.803c-5.092.166-10.492 2.296-15.879 6.502-7.835 6.118-15.009 16.575-18.83 29.688-3.821 13.112-3.477 26.099-.289 35.927 3.188 9.829 8.73 16.071 15.633 18.395 6.903 2.324 14.766.596 22.601-5.522 7.835-6.117 15.01-16.574 18.83-29.687 3.822-13.113 3.48-26.1.292-35.928-3.189-9.828-8.73-16.07-15.633-18.394a19.017 19.017 0 0 0-6.725-.98zm166.85 9.485c-24.113 13.949-46.193 20.298-87.233 17.252L340.48 228.452c-.675 2.682-.318 6 1.922 10.87 2.243 4.876 6.355 10.89 11.836 17.607 9.99 12.242 24.527 27.16 39.573 44.238 14.56-5.5 28.23-12.828 38.972-20.19 11.841-8.113 20.234-16.95 21.965-19.939l42.027-118.22c-16.748-14.613-29.471-33.974-35.43-57.51zm-288.07 51.261L23.652 158.331l89.309 12.988 2.158-5.052zm286.265 2.325l16.941 6.078-39.123 109.037-37.212 19.181-8.247-15.998 30.913-15.933zm-259.842 4.394l-70.586 36.043-29.222 68.422 19.218 8.809 24.905-57.764 59.299-22.973-14.702 75.955-.963 1.477c-32.725 50.18-71.654 93.41-118.464 134.28L42.722 432.98l17.021 7.245 31.875-43.989 1.38-.906c45.476-29.872 75.93-62.333 112.255-94.492l4.533-4.012 5.426 2.686c23.365 11.571 42.934 24.117 62.107 37.705l8.924 6.324-69.006 65.643 24.649 39.794 17.67-10.308-20.078-28.477 8.224-5.004c29.884-18.186 49.986-39.43 71.938-66.039-23.653-35.6-42.006-49.433-71.592-71.267l9.908-7.227c34.703-25.312 38.132-54.476 41.61-79.449-9.203 4.441-19.498 5.772-29.473 2.414-13.488-4.54-22.924-16.472-27.465-30.473-.17-.522-.321-1.054-.479-1.584zm116.62 45.04c-1.355 7.027-3.324 14.17-6.092 21.349l14.056 9.666 5.938-22.223zm-174.243 97.476l-126.85 17.953 99.67 14.105a598.987 598.987 0 0 0 27.18-32.058zm91.781 82.73l-95.892 21.432 59.406 13.277z"}}]})(props);
};
function GiShieldBounces (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M142.37 21.035c-1.544-.007-3.092-.004-4.64.01-41.1.368-83.607 8.237-120.058 21.103.386 80.173 7.825 165.28 27.805 235.348 20.04 70.286 52.434 124.282 100.748 145.553 53.917-24.07 85.753-72.574 104.593-136.5 18.927-64.216 24.042-143.3 24.215-224.29-28.374-25.59-71.56-38.62-118.838-40.867-4.578-.218-9.19-.336-13.824-.358zm2.136 27.844c4.387.018 8.76.13 13.105.345 34.76 1.712 67.982 9.664 90.966 29.44l3.25 2.796v4.288c0 62.11-3.212 125.186-16.738 178.236-13.526 53.05-37.82 97.014-80.918 117.147l-3.87 1.81-3.902-1.745c-40.838-18.267-64.292-66.432-78.556-124.086C53.578 199.455 48.707 131.105 48.707 69v-7.28l7.06-1.78c26.68-6.732 58.032-11.2 88.74-11.063zM347.18 60.376c-.007 11.243-.104 22.458-.315 33.615l-53.578 5.467c-.145 6.3-.32 12.584-.547 18.84l53.647-5.474c-.39 12.47-.93 24.85-1.676 37.084l.52 4.436L500.1 87.36 347.18 60.376zm-202.75 7.195c-26.233-.098-53.274 3.532-76.955 8.953.39 59.084 5.394 123.083 18.51 176.096 13.11 52.988 34.476 93.765 64.204 109.554 33.705-17.703 54.448-54.405 66.79-102.807C229.475 210.35 232.9 150.27 233.065 90.34c-18.126-13.75-45.83-20.945-76.375-22.45-4.048-.2-8.142-.302-12.26-.318zm198.648 105.07c-.778 9.35-1.702 18.59-2.758 27.715l-52.654-8.59c-.674 6.24-1.412 12.436-2.227 18.57l52.5 8.567c-1.68 11.92-3.626 23.612-5.905 34.994l141.606-30.613L343.08 172.64zm-12.865 99.573l-8.844 24.767c-.607 2.012-1.23 4.007-1.864 5.993l-48.633-18.643c-.69 2.516-1.398 5.02-2.13 7.502-1.037 3.52-2.128 7-3.253 10.45l47.885 18.355c-1.41 3.737-2.873 7.425-4.398 11.048l-.004.01-7.89 22.095 150.517 7.754-121.387-89.332zm-95.79 97.205c-3.44 5.338-7.074 10.486-10.907 15.434l29.248 28.025c-8.436 7.337-17.59 13.893-27.545 19.567l140.58 62.37-78.357-122.184c-6.4 9.8-13.464 18.9-21.238 27.24l-31.783-30.453z"}}]})(props);
};
function GiShieldDisabled (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M486 68.125L68.125 486 26 443.875 443.875 26zM256 21.608S185.506 66.896 81.857 66.896V292.55a148.335 148.335 0 0 0 11.67 57.573L380.845 62.806C311.185 51.67 256 21.608 256 21.608zm0 468.784s174.143-65.928 174.143-197.84V150.206L152.618 427.732C200.838 469.51 256 490.392 256 490.392z"}}]})(props);
};
function GiShieldEchoes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32.75 23.063l-9.22.125-.124 9.218c0 60.947 6.182 121.836 24.532 171.625 18.35 49.79 49.816 89.117 99.28 102.72l2.22.594 2.218-.47c2.123-.452 4.195-.96 6.25-1.5 18.914 42.993 48.93 76.25 93.594 88.532l2.188.594 2.218-.47c1.185-.25 2.337-.532 3.5-.81 20.05 50.325 52.134 87.948 101.438 101.5 113.453-24.192 130.97-161.447 130.97-296.69H377.467c2.195-25.66 2.905-52.133 2.905-78.468v-9.343H273.25c2.16-25.457 2.875-51.703 2.875-77.814v-9.343H32.75zm9.47 18.687h215.124c-.17 23.184-1 46.25-2.938 68.47H127.688v9.343c0 59.563 5.887 119.072 23.282 168.218-.326.08-.643.175-.97.25-41.358-12.25-67.735-44.895-84.53-90.467C49.266 153.602 42.85 98.21 42.22 41.75zm104.28 87.156h215.125c-.172 23.407-1.046 46.71-3.03 69.125H229.968c0 62.666 6.02 125.03 22.78 176.69-40.495-12.593-66.44-44.983-83.03-90-16.203-43.962-22.588-99.355-23.22-155.814zm108.406 89.03h213.156v9.345c0 54.125-3.516 108.978-17.968 153.782-14.452 44.805-41.13 80.5-85.938 90.97l-2.437.562-2.408-.72c-40.974-12.34-67.332-47.6-83-91.905-15.667-44.306-21.406-98.46-21.406-152.69v-9.343zm18.813 18.69c.65 49.682 6.538 98.41 20.217 137.093 14.2 40.152 36.1 68.604 68.532 79.374 35.817-9.437 56.817-37.4 69.842-77.78 12.557-38.93 16.445-88.56 16.875-138.69H273.72z","fillRule":"evenodd"}}]})(props);
};
function GiShieldImpact (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M193.7 19.2l40.1 107.9-7.1-107.9h-33zm99.3 0l2.3 100.4 22.6-100.4H293zm159.1 0L306.3 170.5l36.2 11.4L492.6 26.15V19.2h-40.5zm40.5 111c-58.4 39.6-125.8 86.4-125.8 86.4l125.8-15.9v-70.5zm-372.8 3c-19.8 51.9-56.72 98-101.44 141.3C61.35 342.9 110.5 402 156.6 440.7c23.7 19.9 46.6 34.4 66.9 42.1 20.3 7.8 37.6 8.7 51.5 3.1 10.1-4.1 17.7-16.3 22.1-37.1 4.5-20.8 5.3-48.9 3.7-80.3-1.7-33-6.1-69.5-11.4-105.8l-16.4 17 .4 20.4-83.6 39.8 6 24.3 53.1 8.4-2.8 17.8-45.7-7.2 5.5 22.5-17.4 4.2-13.2-54-52.9 10.4-3.4-17.6 35.6-7 6.1-13.9-44-31.8-40.59-20 7.96-16.2 30.53 15 7.1-30.3 17.6 4.2-8.5 35.3 37.2 26.8 34.3-79.3 20.5-.4 52.9-54.9-.3-2.1c-45.9-7.9-99.5-15.4-155.6-40.9zM292.3 185l-13 13.5 36.2 11.4 13-13.5-36.2-11.4zm-27 28l-17 17.7 14.8-.3 9-.2.4 24.2 29-30-36.2-11.4zm227.3 27.6c-65.3 10.2-149.5 23.7-149.5 23.7l149.5 20.9v-44.6zm-238.1 8l-40.2.7-32.2 74.4 73.1-34.8-.7-40.3z"}}]})(props);
};
function GiShieldReflect (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.36 19.457l-.38 27.84 267.127 154.75-58.703 19.916 57.602 19.36L142.12 383.546l-19.214-19.213-51.47 114.324 123.125-43.482-17.492-18.95 151.868-151.87 12.433 43.078 22.976-68.5 56.675-16.565-57.475-15.492-22.934-79.828-14.145 48.266-268.65-155.41-38.454-.446zM370.614 81.94c-4.53.02-9.035.12-13.51.302-3.275.134-6.528.32-9.76.547l31.25 108.786 104.05 28.045c6.204-39.085 8.902-80.275 9.18-120.075C456.37 88.82 415.098 82.257 375.15 81.95c-1.514-.012-3.027-.015-4.537-.01zm-36.87 2.1c-31.99 3.653-61.013 12.153-83.014 25.87l64.493 37.31 18.52-63.18zm148.18 139.997L378.958 254.13l-38.93 116.054-20.268-70.225-39.07 39.067c18.814 35.364 46.1 62.287 86.175 77.604 47.473-17.834 78.566-62.795 98.014-121.6 7.323-22.14 12.905-46.11 17.042-70.993z","fillRule":"evenodd"}}]})(props);
};
function GiShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c25 24 100 72 150 72v96c0 96-75 240-150 312-75-72-150-216-150-312V88c50 0 125-48 150-72z"}}]})(props);
};
function GiShieldcomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M75.035 23.822l-.908 64.328-38.238 21.77.936 6.326c18.95 127.927 92.513 254.023 216.822 369.76l6.39 5.95 6.37-5.974c123.197-115.504 195.203-241.965 214.76-369.574l.973-6.346-38.777-22.138-.802-60.63-10.69 1.73C311.58 48.466 201.134 43.897 85.694 25.52l-10.66-1.698zm18.383 21.694c32.567 4.955 64.884 8.722 97.19 11.226v31.846l-48.713 28.35-49.08-28.565.603-42.857zm330.74 3.56l.52 39.295-49.084 28.57-49.156-28.612v-29.58c32.077-1.632 64.535-4.67 97.72-9.672zM209.74 58.213c32.432 1.973 64.976 2.47 97.87 1.418l-.003 28.7-48.91 28.465L209.74 88.3V58.212zM83.22 104.48l49.208 28.64v57.36L84 218.668c-12.99-32.832-22.217-65.857-27.596-98.922L83.22 104.48zm351.456.002l26.898 15.358c-5.524 33.02-14.743 66.03-27.62 98.857l-48.48-28.217v-57.36l49.202-28.638zm-117.7.028l49.155 28.61v57.36l-49.157 28.612-48.69-28.34.002-57.904 48.69-28.338zm-116.783.144l48.936 28.485v57.612l-48.69 28.34-49.16-28.612.003-57.36 48.91-28.466zm-57.183 103.48l49.158 28.612v57.358l-52.494 30.554c-18.874-28.685-34.773-57.67-47.658-86.842l50.994-29.683zm117.172 0l48.69 28.34v57.903l-48.69 28.34-49.16-28.613v-57.358l49.16-28.613zm116.535 0l49.654 28.9c-12.742 29.286-28.426 58.39-47.08 87.18l-51.265-29.84v-57.9l48.692-28.34zM310.182 315.79l40.707 23.58-.003 25.386c-11.848 15.724-24.595 31.332-38.256 46.805l-14.275-8.267-28.878-16.998V339.37l40.705-23.58zm-100.24.003l40.704 23.576.002 46.825-36.316 21.377v.028l-7.252 4.2c-13.478-15.086-26.096-30.295-37.844-45.607V339.37l40.705-23.577zm-59.395 24.16v.746c-.124-.178-.243-.357-.367-.534l.367-.213zM260.06 402.71l26.877 15.567v20.75h.323c-8.774 9.106-17.85 18.164-27.268 27.16-9.303-8.82-18.288-17.692-26.972-26.61V418.37l27.04-15.66z"}}]})(props);
};
function GiShiningClaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M164.72 29.125c-1.535.012-3.06.03-4.595.063-14.043.306-28.164 1.517-42.313 3.687h-.03c-40.47 6.208-68.176 25.313-83.407 50-15.23 24.687-18.025 54.264-11.53 81.28 6.492 27.02 22.268 51.823 45.405 67.126 23.137 15.304 53.82 20.5 87.156 8.564 88.876-31.822 154.224-18.526 202 22.125 47.297 40.24 77.402 109.05 90.25 190.53 9.29 10.237-.1.206 9.657 10.375 9.74-8.25-.16-.032 9.593-8.406 49.368-122.298 18.986-236.885-52.062-315.69C353.21 70.42 261.34 28.377 164.72 29.126zm129.718 69.53L385.125 135c4.922 4.69 9.668 9.56 14.25 14.563-4.09-2.25-8.194-3.45-11.938-3.563-10.212-.307-17.585 7.21-13.593 21.875 8.252 30.456 55.747 34.927 45.187 5.5 9.34 12.627 17.642 26.007 24.75 40.03-6.273-8.833-12.323-12.982-17.342-13.093-13.9-.306-19.88 30.236-.875 77.188 20.765 51.37 43.424 59.815 45.906 31.438 3.183 34.31-.184 70.722-11.408 108.437-15.63-70.58-45.05-130.96-90.53-169.656-14.414-12.265-30.428-22.22-48-29.532l-40.907-22.313 77.53 2.938-111.25-56 102.22 5.03z"}}]})(props);
};
function GiShiningHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M142.094 20.063l37.594 76.78c-9.028-2.783-18.278-4.158-27.47-4.187-7.775-.024-15.51.92-23 2.78-9.593 2.388-18.805 6.298-27.312 11.533L18.53 23.593v70.312l56.19 37.813c-12.143 16.172-19.905 36.81-20.657 60.78-.14 4.438-.026 8.76.312 12.97l-35.844-9.657v41.843l44.72 3.094c3.274 7.523 7.29 14.613 11.906 21.28 9.205 13.295 20.61 25.098 33 36.345L18.53 322.188V368.5l109.157-53.28c13.032 10.868 26.395 21.638 39.094 33L20.345 494.28H91.78l88.97-132.936c14.037 13.884 26.635 28.95 36.188 46.344l-23.22 86.593h41.595l4.593-65.936 1.938-5.03c9.503-24.743 24.99-45.3 42.937-63.94l35.626 134.907h47.22L296.218 348c9.033-8.604 18.47-16.856 27.936-25.03L492.78 491.593v-70.938l-158.374-106.53c1.105-.955 2.21-1.922 3.313-2.876 10.166-8.807 20.203-17.72 29.467-27.063l125.594 33.907v-42.22l-111-7.718c13.545-16.36 24.01-34.353 28.533-55.437l82.468-21.94v-47.843l-80.186 39.47c-1.48-25.603-11.335-46.322-25.938-61.25L487.75 20.062h-70.375l-55.906 83.062c-7.092-3.406-14.625-5.89-22.376-7.406-14.422-2.82-29.657-2.43-44.47 1.186l20.813-76.844h-41.843l-5.938 87.438c-12.74 7.1-24.463 16.97-34.187 29.688-5.627-8.07-11.943-14.987-18.72-20.813L189 20.062h-46.906zm10.125 91.124c27.033-.222 54.69 13.835 72.655 47.563l7.906 14.813 8.44-14.532c21.855-37.654 61.142-51.45 94.31-44.968 33.17 6.483 59.992 31.78 58.5 78.438-1.38 43.233-31.41 72.474-68.53 104.625-32.58 28.218-70.07 57.918-92.594 100.78-23.6-42.682-62.317-71.126-95.156-98.624-18.69-15.648-35.51-30.997-47.22-47.905-11.707-16.908-18.508-35.107-17.78-58.28 1.364-43.454 28.753-71.513 61-79.532 6.046-1.504 12.23-2.324 18.47-2.376zM314.97 135.5c-11.794 0-23.042 3.426-32.25 9.406 20.885-2.46 44.746 10.98 59.03 35.72 12.43 21.526 14.015 45.497 5.938 62.468 15.646-10.572 25.78-28.802 25.78-49.094 0-32.468-26.032-58.5-58.5-58.5z"}}]})(props);
};
function GiShiningSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M302.5 20.875c-67.34.686-140.223 31.223-198 89C30.546 183.83 1.717 282.77 22.812 362.97l61.938-36.19-51.28 15.783 12.624-38.5 48.75-20.344-41.688 1.405 20.25-38.563 64.53-2.03-51.374-17.595L115 188.813l49.78 17.032-34.468-34.5 34.22-34.22 35.562 35.564-17.125-51.844 38.593-28.906 16.468 49.28 1.72-60.968 39.53-21.22L290 107.126l8.688-55.656 37.03-11.19 2.594 43.97 19-56.875c-17.53-4.543-35.956-6.692-54.812-6.5zm134.688 53.72l-81.72 31.25L194.126 266.78c.514 2.04.78 4.178.78 6.376 0 14.36-11.638 26-26 26-14.36 0-26-11.64-26-26 0-1.422.125-2.827.345-4.187-12.834 13.486-19.27 30.975-19.375 48.31 14.055 0 28.187 4.393 40.25 12.845-20.046 11.696-45.246 36.88-56.97 56.938-3.675-2.41-7.454-4.202-11.03-5.032-1.66-.384-3.13-.6-4.406-.655-3.83-.17-6.058.963-7.376 2.28-1.757 1.758-3.166 5.112-1.625 11.75 3.08 13.28 19.22 29.42 32.5 32.5 6.64 1.542 9.992.133 11.75-1.624 1.756-1.756 3.165-5.14 1.624-11.78-.86-3.7-2.745-7.612-5.28-11.406 20.157-11.808 45.466-37.173 57.06-57.25 9.418 12.487 14.32 27.4 14.376 42.312 17.233-.035 34.447-6.443 47.875-19.03-.568.036-1.142.062-1.72.062-14.36 0-26-11.67-26-26.032 0-14.36 11.64-26 26-26 1.5 0 2.978.132 4.407.375l161.125-160.717 30.75-82.22zm-63.313 50.343l13.22 13.218L200.968 324.25l-13.22-13.22L373.875 124.94zm111.313 30.812L427.5 173.72l43.47 1.81-11.158 37.064-59.406 5.312L452.22 232l-20.658 40.063-60.968 1.718 49.25 16.47-28.906 38.594-52.907-18.188 36.658 36.625-34.25 34.22-33.407-33.406 15.94 48.72-38.095 28.436-17.625-51.375-2 64.53-39.125 19.69 1.75-43.908-20.688 51-38.468 12.625 14.843-48.312-37 59.344c80.686 22.506 180.95-6.048 255.906-81 73.73-73.73 103.107-172.08 82.717-252.094z"}}]})(props);
};
function GiShintoShrineMirror (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c65.828 0 119 53.172 119 119 0 17.118-3.603 33.376-10.082 48.07-4.014 2.842-8.05 5.713-12.107 8.576C318.946 224.551 283.5 247 256 247s-62.946-22.45-96.81-46.354c-4.058-2.863-8.094-5.734-12.108-8.576C140.603 177.376 137 161.118 137 144c0-65.828 53.172-119 119-119zm187.365 144.578c.927 2.362 1.76 5.694 1.889 9.945.21 6.952-1.11 15.58-3.793 23.631-2.684 8.052-6.753 15.523-11.334 20.502C425.546 228.636 421 231 416 231h-5.563l-2.488 4.975c-8 16-11.726 23.076-16.312 27.662-4.586 4.586-11.662 8.312-27.662 16.312l-16.1 8.051 16.1 8.05s7.393 3.725 14.625 9.15c2.43 1.822 4.649 3.817 6.632 5.8h-54.96l32.001 32H149.727l32.002-32h-54.961c1.983-1.983 4.201-3.978 6.632-5.8 7.232-5.425 14.625-9.15 14.625-9.15l16.1-8.05-16.1-8.05c-16-8-23.076-11.727-27.662-16.313-4.586-4.586-8.312-11.662-16.312-27.662L101.562 231H96c-5 0-9.546-2.364-14.127-7.344-4.581-4.98-8.65-12.45-11.334-20.502-2.684-8.051-4.004-16.679-3.793-23.63.129-4.253.962-7.584 1.889-9.946 8.603 1.304 19.639 5.853 32.04 13.172 14.682 8.664 31.068 20.556 48.136 32.604C182.946 239.449 219.5 265 256 265s73.054-25.55 107.19-49.646c17.067-12.048 33.453-23.94 48.134-32.604 12.402-7.32 23.438-11.868 32.041-13.172zM317.816 279.27c-64 16-59.632 16-123.632 0l-4.368 17.46c64 16 68.368 16 132.368 0zM391 357v16H121v-16zm-16 34v16H137v-16zm80 34v62h-70.453c-127.153-15.893-129.941-15.893-257.094 0H57v-62z"}}]})(props);
};
function GiShintoShrine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 43.637v13.447c166.014 44.44 287.965 45.322 452.29 2.586l4.93-14.79C317.103 87.802 190.876 87.396 25 43.636zm7.965 34.168l20.83 41.66c169.675 15.31 234.248 15.327 403.537.074l13.19-39.575c-156.893 39.28-279.4 38.56-437.557-2.16zM247.027 137l-11.5 46h40.946l-11.5-46h-17.946zM89 140.623V361H48v-41h16l-24-16-24 16h16v41h-7v14h7v71.14h-7v14h7V496h16v-35.86h41V487h46v-26.86h41V496h16v-35.86h7v-14h-7V375h7v-14h-7v-41h16l-24-16-24 16h16v41h-41V144.207c-14.517-1.026-29.803-2.226-46-3.584zm334 0c-16.197 1.358-31.483 2.558-46 3.584V361h-41v-41h16l-24-16-24 16h16v41h-7v14h7v71.14h-7v14h7V496h16v-35.86h41V487h46v-26.86h41V496h16v-35.86h7v-14h-7V375h7v-14h-7v-41h16l-24-16-24 16h16v41h-41V140.623zM44.486 185l10 30H71v-30H44.486zM153 185v30h206v-30h-63.473l4 16h-87.054l4-16H153zm288 0v30h16.514l10-30H441zM48 375h41v71.14H48V375zm87 0h41v71.14h-41V375zm201 0h41v71.14h-41V375zm87 0h41v71.14h-41V375z"}}]})(props);
};
function GiShinyApple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.563 19.75c-13.31 57.822-16.625 100.686-13.907 156.938l18.813.03c3.31-49.616 18.56-88.618 45.874-133-4.86-9.134-13.465-14.956-23.813-18.78-8.908-3.293-18.82-4.77-26.967-5.188zm98.75 94.156c-9.067.133-18.416 1.204-28 3.313-13.76 3.026-27.176 7.952-39.97 14.56-3.905 14.615-6.346 29.844-7.406 46.595 1.25-.216 2.51-.432 3.75-.688 24.965-5.135 43.288-17.244 52.344-32.25-.298 19.943-25.12 41.175-56.81 49.97-2.525.7-5.086 1.34-7.69 1.874-44.29 9.114-85.27-8.315-99.842-35.343-4.366-8.097-5.176-16.436-3.094-24.343 9.834 17.98 30.633 31.534 55.25 38.156-.748-16.246-.974-31.515-.625-46.406-11.004-4.878-22.38-8.548-33.97-10.875-11.18-2.246-22.044-3.414-32.094-3.064-71.757 2.496-132.96 64.885-131.78 154.688C25.73 373.264 101.85 472.424 190 490.124c11.178 2.246 24.934 3.42 37.22 2.282 12.283-1.138 22.775-4.762 28.405-10.156l5.97-5.72 6.405 5.25c5.378 4.426 16.542 8.05 29.125 9.22 12.583 1.17 26.514.195 37.344-2.188 87.533-19.257 153.047-119.08 151.686-222.718-.677-51.615-19.354-93.606-48.22-120.22-21.647-19.96-48.954-31.508-79.748-31.968-1.284-.02-2.58-.02-3.875 0zm49.906 41.125c53.69 32.478 75.357 115.23 37.092 200.626-30.48 68.017-93.18 121.256-140.843 118.75C411.304 407.96 458.192 271.063 404.22 155.03z"}}]})(props);
};
function GiShinyEntrance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M242.32 17.94l.002.02v-.02h-.002zm.002.02c-9.777 267.328-40.363 268.207-134.91 84.388 63.917 197.254 43.578 238.65-92.275 152.175 93.67 96.082 122.627 146.377-2.336 133.153 63.004 22.264 124.558 45.33 170.675 94.094 4.806-229.74 138.285-224.31 143.375-.426 35.077-44.42 115.908-71.653 173.023-93.668-162.9 3.97-73.26-108.208-10.514-188.436-141.634 124.216-177.264 99.476-113.883-137.314-82.824 219.86-120.17 213.04-133.155-43.965z"}}]})(props);
};
function GiShinyIris (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M319.594 23.78C285.57 102.98 230.09 105.943 196.28 27c9.09 86.328-40.002 112.372-111.936 53.906 59.824 74.383 33.49 125.818-61.375 110.563 88.44 34.29 91.354 88.99 3.25 123.28 91.354-13.02 122.018 37.044 63.5 110 72.41-56.59 120.465-32.077 106.28 60.22 34.45-84.274 92.673-84.58 126.406 2.124h.03c-14.52-93.742 32-123.784 105.752-64.625-53.336-70.54-29.74-120.928 58.656-109-79.212-34.028-80.658-86.815-1.688-120.626-84.74 9.05-112.955-39.317-59.25-108.844-70.53 53.332-118.236 28.174-106.312-60.22zm-62.53 83.407c6.958 54.2 39.187 61.556 72.467 18.813-20.754 49.66 3.604 73.79 52.314 55-41.37 32.53-32.145 63.55 20.125 71.125-54.204 6.96-60.185 40.495-17.44 73.78-53.022-23.31-75.77 1.865-52.31 55.033-33.712-45.958-68.134-36.552-75.158 18.78-6.24-56.87-38.558-63.75-72.437-18.78 23.062-52.452-3.034-77.223-55.03-55.032 46.7-34.262 36.306-66.17-21.47-72.437 58.557-6.017 65.977-40.628 18.78-75.157 51.84 23.19 76.788-.01 57.72-49.657 32.526 41.354 64.863 30.792 72.438-21.47zm-2.658 62.344c-27.606.87-54.11 15.568-68.97 41.22-22.86 39.467-9.368 89.608 30.25 112.406 39.62 22.8 90.015 9.342 112.876-30.125 3.336-5.757 5.9-11.746 7.72-17.842-12.425 22.18-36.144 37.187-63.376 37.187-40.098 0-72.594-32.527-72.594-72.625 0-33.697 22.967-62.032 54.094-70.22zm27.72 15.5c-24.26 0-43.907 19.648-43.907 43.907 0 24.26 19.646 43.938 43.905 43.938 24.26 0 43.938-19.678 43.938-43.938s-19.68-43.906-43.938-43.906z","fillRule":"evenodd"}}]})(props);
};
function GiShinyOmega (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M194.547 20.182l-12.815 195.064L73.522 94.22l45.562 160.89-92.547-8.542 54.106 103.94-61.225 8.54 79.943 65.73c-2.728-11.64-4.188-23.762-4.204-36.206l-20.963-1.7 1.508-18.626 20.536 1.664c2.134-18.274 7.394-35.593 15.233-51.414l-40.48-29.09 10.908-15.176 38.9 27.96c9.578-14.64 21.52-27.59 35.288-38.31l-27.73-50.21 16.36-9.033 26.845 48.607c14.872-8.968 31.34-15.55 48.88-19.217l-12.952-90.87 18.502-2.637 12.94 90.785c4.583-.4 9.22-.62 13.906-.62h.004c4.13 0 8.223.163 12.275.475l6.574-62.775 18.587 1.945-6.634 63.37c13.316 2.632 26.043 6.93 37.95 12.68l18.37-36.737L356.678 218l-18.746 37.492c8.832 5.635 17.065 12.124 24.59 19.342l46.53-52.115 13.942 12.446-47.707 53.438c8.29 10.074 15.348 21.19 20.957 33.115l32.97-22.372 10.493 15.464-36.393 24.696c3.837 11.695 6.35 23.988 7.327 36.707l19.594-3.19 3.002 18.448-22.29 3.627c-.47 11.016-2.07 21.754-4.706 32.09l80.9-63.87-56.24-5.695 54.034-85.428-59.73 9.252 39.868-103.57-88.28 35.94 32.75-116.752-96.82 111.057-17.085-168.008-42.715 108.207-58.375-128.142zm58.29 229.193c-76.976.002-138.993 62.02-138.993 138.996 0 33.147 11.532 63.544 30.783 87.485l-130.545-46.02h-.713v62.487h146.823l.004.004h29.6c-.002 0-.004-.002-.006-.004h1.548l-3.07-1.082c-28.443-20.302-46.98-53.577-46.98-91.19 0-61.712 49.773-112.13 111.55-112.13 61.776 0 112.13 50.354 112.13 112.13 0 37.508-18.62 70.66-47.05 90.97l-3.69 1.302h1.848l-.006.004h29.424c.002 0 .003-.003.004-.004h146.7v-62.488h-.716l-130.195 45.898c19.395-23.942 31.13-54.303 31.13-87.36 0-76.932-62.6-138.995-139.577-138.997h-.004z"}}]})(props);
};
function GiShinyPurse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149.25 18.313L168.156 115c-.274.174-.54.356-.812.53L94 97.876l17.47 74.22c-.655 1.046-1.306 2.093-1.94 3.155l-91.28-8.875 73 51.156c-.808 2.82-1.546 5.658-2.22 8.532l-64.53 40 63.906 39.22c.28 1.282.57 2.57.875 3.843l-46.468 36.563 55.97-7.907c3.506 8.184 7.588 16.056 12.218 23.564l-17 72.344 64.344-15.47-9.094 75.563 52.188-58.06c7.553 2.82 15.352 5.14 23.343 6.936l37.407 61.094L299 443.656c5.876-1.156 11.655-2.6 17.313-4.312l29.406 31.03-5.47-40.187c7.902-3.694 15.49-7.96 22.72-12.718l67.405 16.217-15.906-67.656c5.62-8.506 10.555-17.504 14.686-26.936l47.563 6.594-39.095-30.438c1.175-4.23 2.192-8.526 3.063-12.875l59.187-36.313-59.75-37.03c-1.686-7.793-3.87-15.397-6.53-22.782l59.5-47.656-73.94 17.03c-1.645-2.777-3.367-5.507-5.155-8.186l16.375-69.563-70.344 16.938c-5.638-3.56-11.49-6.824-17.53-9.75l3.22-63.376-37.22 51c-2.527-.64-5.088-1.215-7.656-1.75l-38.656-63.156-39.282 64.19c-4.772 1.127-9.475 2.438-14.094 3.936L149.25 18.312zm115 88.874c88.423 0 159.875 71.484 159.875 159.907 0 88.423-71.452 159.875-159.875 159.875s-159.906-71.453-159.906-159.876 71.483-159.906 159.906-159.906zm49.03 44.157c-5.278.115-10.207 2.383-16.936 9.562l-6.563 7-6.81-6.72c-7.39-7.28-13.218-9.29-19.126-9.03-5.91.26-12.856 3.336-20.625 9.625l-6.22 5.032-5.906-5.343c-8.9-8.053-16.485-10.44-23.75-10.064-5.288.273-10.775 2.265-16.25 5.75l40.97 73.688c15.445 9.445 47.003 13.015 68.717 2.094l39.626-73.375c-7.51-3.063-14.258-6.202-20.094-7.407-2.112-.436-4.07-.755-5.968-.812-.356-.01-.71-.008-1.063 0zm-90 96.187c-18.017 12.748-32.488 34.71-38.093 66.876-5.436 31.197 3.127 52.266 18.282 66.625 15.154 14.36 37.9 21.77 61 21.47 23.098-.3 46.134-8.31 61.624-22.938 15.49-14.626 24.25-35.456 19.28-65.218-5.132-30.736-18.383-52.115-35.155-65.063-28.498 15.077-64.154 11.872-86.94-1.75z"}}]})(props);
};
function GiShipBow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 24.99v30.02h56.69L111.3 137l-86.3-.1V183l122.2-.1C127.7 129 106.7 71.9 89.7 25zM25 201v247.8c.78-.5 1.52-1 2.32-1.5C40.85 439 56.99 430 72.92 430c15.98 0 27.58 10 37.68 18 10.1 8 18.5 14 26.4 14 7.9 0 16.4-6 26.4-14s21.6-17.9 37.5-17.9c16 0 27.6 9.9 37.7 17.8 10 8 18.5 14.1 26.4 14.1 1.1 0 2.2-.2 3.4-.4 8.8-7.1 19.7-17.6 31.1-30.4 19.9-22.3 42.2-51.5 63.1-82.2 20.7-30.8 40.1-63 54.1-91.2 11.3-22.7 18.7-43 21.2-56.8zm167 30h159.9l.1 18-159.9.1zm72.9 50v23h23l.1 18-23.1.1v58.3l.6-.3c4.5-2.8 9.4-6.9 14.1-11.4 4.5-4.6 8.6-9.6 11.4-14.1 2.7-4.5 3.9-8.5 3.9-9.5l18-.1c-.1 7.1-2.9 13.1-6.6 19.1-3.7 6-8.6 11.9-14 17.4-5.5 5.3-11.4 10.2-17.4 13.9-6 3.7-11.9 6.6-18.9 6.6-7.1 0-13-2.9-19-6.6-6.1-3.7-12-8.6-17.4-14-5.5-5.5-10.3-11.4-14.1-17.4-3.7-6-6.6-11.9-6.6-18.9l18-.1c0 1 1.2 5 3.9 9.5 2.8 4.6 6.9 9.5 11.5 14.2 4.6 4.5 9.6 8.6 14.2 11.4.1.1.3.2.4.3v-58.3h-23v-18h23v-23zm189.9 166.9c-7.1.2-14.7 5.6-24 13.3-10.1 8.2-21.6 18.8-37.8 18.7-16 0-27.6-9.9-37.7-17.8-10-8-18.5-14.1-26.3-14.1-8 0-16.4 6-26.4 14s-21.7 18-37.6 18c-15.9 0-27.6-10-37.7-17.9-10-8-18.5-14-26.3-14-8 0-16.4 6-26.4 14-10 7.9-21.6 17.9-37.5 17.9-16 0-27.7-10-37.71-18-10.06-8-18.53-14-26.46-14-7.9 0-23.71 7-36.19 14.6-9.17 5.7-15.32 10.2-18.74 12.8v18.7l475.9 1.4v-19.4c-2.1-2.6-6.4-7.2-12.8-13-8.7-7.8-20.1-14.7-24.9-15.1-.4 0-.9-.1-1.4-.1z"}}]})(props);
};
function GiShipWheel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16a16 32 0 0 0-16 32 16 32 0 0 0 4.67 22.57c-1.56.12-3.117.26-4.67.43-3.055.335-9 2-9 2v15.85c8.16-1.214 16.506-1.85 25-1.85s16.84.636 25 1.85V73s-5.945-1.665-9-2c-1.554-.17-3.113-.31-4.674-.43A16 32 0 0 0 272 48a16 32 0 0 0-16-32zM93.89 83.623a32 16 45 0 0-7.595 2.672 32 16 45 0 0 11.312 33.94 32 16 45 0 0 19.262 12.658c-1.018 1.188-2.022 2.387-3 3.605-1.922 2.397-4.948 7.78-4.948 7.78l11.248 11.247c9.976-13.455 21.9-25.38 35.355-35.355l-11.248-11.248s-5.382 3.026-7.78 4.95c-1.218.977-2.417 1.983-3.606 3a32 16 45 0 0-12.654-19.265A32 16 45 0 0 93.89 83.623zm323.622.018a16 32 45 0 0-25.748 13.967 16 32 45 0 0-12.657 19.262c-1.188-1.018-2.387-2.022-3.605-3-2.397-1.922-7.78-4.948-7.78-4.948l-11.247 11.248c13.455 9.976 25.38 21.9 35.355 35.355l11.248-11.248s-3.026-5.382-4.95-7.78c-.977-1.218-1.983-2.417-3-3.606a16 32 45 0 0 19.265-12.654 16 32 45 0 0 11.312-33.94 16 32 45 0 0-8.193-2.655zM256 105c-1.12 0-2.238.014-3.352.04-1.057.024-2.11.064-3.162.108-36.83 1.558-70.215 16.253-95.59 39.538-.01.007-.018.015-.027.023-3.193 2.93-6.257 5.995-9.186 9.188-23.297 25.392-37.997 58.8-39.54 95.657v.076c-.044 1.023-.08 2.046-.103 3.073-.025 1.096-.04 2.194-.04 3.297 0 1.107.015 2.21.04 3.31.024 1.094.064 2.184.11 3.272 1.574 36.828 16.285 70.205 39.58 95.572.03.03.058.06.086.092 2.913 3.166 5.958 6.208 9.13 9.115 25.37 23.26 58.735 37.937 95.542 39.494l.2.005c.985.04 1.972.077 2.962.1 1.114.025 2.23.04 3.35.04s2.238-.014 3.352-.04c1.057-.024 2.11-.064 3.162-.108 36.83-1.558 70.215-16.253 95.59-39.538.01-.007.018-.015.027-.023 3.193-2.93 6.257-5.995 9.186-9.188 23.283-25.377 37.98-58.76 39.538-95.59l.005-.2c.04-.985.077-1.972.1-2.962.025-1.114.04-2.23.04-3.35s-.014-2.238-.04-3.352c-.024-1.057-.064-2.11-.108-3.162-1.558-36.83-16.253-70.215-39.538-95.59-.007-.01-.015-.018-.023-.027-2.93-3.193-5.995-6.257-9.188-9.186-25.377-23.283-58.76-37.98-95.59-39.538l-.2-.005c-.985-.04-1.972-.078-2.962-.1-1.114-.025-2.23-.04-3.35-.04zm0 10.752a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zM256 144c1.128 0 2.25.02 3.37.055.09.002.18.01.27.01 1.08.038 2.156.087 3.23.152 25.756 1.56 49.166 11.83 67.325 27.908 3.426 3.033 6.664 6.27 9.696 9.697 16.073 18.162 26.34 41.574 27.895 67.332.066 1.084.114 2.17.15 3.262l.008.205c.036 1.123.057 2.25.057 3.38 0 1.128-.02 2.25-.055 3.37-.002.09-.01.18-.01.27-.038 1.08-.087 2.156-.152 3.23-1.56 25.756-11.83 49.166-27.908 67.325-3.033 3.426-6.27 6.664-9.697 9.696-18.162 16.073-41.574 26.34-67.332 27.895-1.084.066-2.17.114-3.262.15l-.205.008c-1.123.036-2.25.057-3.38.057-1.128 0-2.25-.02-3.37-.055-.09-.002-.18-.01-.27-.01-1.08-.038-2.156-.087-3.23-.152-25.734-1.56-49.126-11.813-67.278-27.865l-.028-.023c-3.416-3.024-6.644-6.252-9.67-9.666-16.085-18.155-26.365-41.563-27.935-67.32v-.004c-.065-1.05-.113-2.103-.15-3.16l-.015-.392c-.035-1.114-.055-2.232-.055-3.354 0-1.107.02-2.21.053-3.31l.015-.387c.035-1.018.08-2.034.14-3.045l.003-.06c1.547-25.783 11.824-49.218 27.915-67.393 3.033-3.426 6.27-6.664 9.697-9.696 18.162-16.073 41.574-26.34 67.332-27.895 1.084-.066 2.17-.114 3.262-.15l.205-.008c1.123-.036 2.25-.057 3.38-.057zm-93.396 10.486a8 8 0 0 1 5.54 2.344 8 8 0 0 1 0 11.313 8 8 0 0 1-11.314 0 8 8 0 0 1 0-11.313 8 8 0 0 1 5.774-2.344zm187.027 0a8 8 0 0 1 5.54 2.344 8 8 0 0 1 0 11.313 8 8 0 0 1-11.313 0 8 8 0 0 1 0-11.313 8 8 0 0 1 5.774-2.344zM256 162c-5.46 0-10.803.465-16 1.346V172s3.21 4.913 5.76 6c.666.284 1.355.532 2.054.756-.686 12.47-1.63 25.145-2.86 37.78 3.52-.994 7.22-1.536 11.046-1.536 3.843 0 7.563.548 11.098 1.55-1.233-12.675-2.18-25.358-2.87-37.808.684-.22 1.36-.463 2.012-.742 2.55-1.087 5.76-6 5.76-6v-8.654c-5.197-.88-10.54-1.346-16-1.346zm-54.268 17.105c-8.78 6.19-16.438 13.847-22.627 22.627l6.184 6.184s5.743 1.205 8.315.17c.673-.27 1.334-.582 1.987-.918 8.338 9.31 16.643 18.947 24.71 28.76 3.7-6.53 9.135-11.96 15.67-15.65-9.842-8.098-19.484-16.405-28.785-24.725.33-.64.634-1.288.9-1.948 1.034-2.572-.17-8.316-.17-8.316l-6.185-6.185zm108.536 0l-6.184 6.184s-1.205 5.743-.17 8.315c.27.673.582 1.334.918 1.987-9.31 8.338-18.95 16.642-28.762 24.71 6.532 3.7 11.96 9.135 15.653 15.67 8.097-9.842 16.404-19.484 24.724-28.785.64.33 1.288.634 1.948.9 2.572 1.034 8.316-.17 8.316-.17l6.185-6.185c-6.19-8.78-13.847-16.438-22.627-22.627zM423.15 231c1.214 8.16 1.85 16.506 1.85 25s-.636 16.84-1.85 25H439s1.665-5.945 2-9c.17-1.554.31-3.113.43-4.674A32 16 0 0 0 464 272a32 16 0 0 0 32-16 32 16 0 0 0-32-16 32 16 0 0 0-22.57 4.67c-.12-1.56-.26-3.117-.43-4.67-.335-3.055-2-9-2-9h-15.85zm-350.084.066s-1.664 5.946-2 9c-.17 1.554-.31 3.113-.43 4.674a32 16 0 0 0-22.57-4.674 32 16 0 0 0-32 16 32 16 0 0 0 32 16 32 16 0 0 0 22.57-4.67c.12 1.56.26 3.118.43 4.67.336 3.055 2 9 2 9H88.86C87.64 272.886 87 264.516 87 256c0-8.47.633-16.795 1.84-24.934H73.066zM256 233c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zm84 7s-4.913 3.21-6 5.76c-.284.666-.532 1.355-.756 2.054-12.47-.686-25.145-1.63-37.78-2.86.994 3.52 1.536 7.22 1.536 11.046 0 3.843-.548 7.563-1.55 11.098 12.675-1.233 25.358-2.18 37.808-2.87.22.684.463 1.36.742 2.012 1.087 2.55 6 5.76 6 5.76h8.654c.88-5.197 1.346-10.54 1.346-16 0-5.46-.465-10.803-1.346-16H340zm-176.666.066C162.46 245.242 162 250.566 162 256c0 5.482.47 10.85 1.357 16.066h8.71s4.912-3.21 6-5.76c.284-.666.53-1.354.755-2.054 12.454.686 25.115 1.627 37.733 2.857C215.55 263.57 215 259.846 215 256c0-3.816.54-7.51 1.53-11.02-12.648 1.227-25.3 2.17-37.72 2.86-.222-.686-.465-1.36-.744-2.014-1.087-2.55-6-5.76-6-5.76h-8.732zM388.248 248a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zm-264.43.066a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zm167.88 28.004c-3.7 6.532-9.135 11.96-15.67 15.653 9.842 8.097 19.484 16.404 28.784 24.724-.328.64-.633 1.288-.898 1.948-1.035 2.572.17 8.316.17 8.316l6.184 6.185c8.78-6.19 16.438-13.847 22.627-22.627l-6.184-6.184s-5.743-1.205-8.315-.17c-.673.27-1.334.582-1.987.918-8.338-9.31-16.642-18.95-24.71-28.762zm-71.384.024c-8.08 9.82-16.367 19.44-24.668 28.72-.64-.33-1.29-.635-1.95-.9-2.57-1.035-8.313.17-8.313.17l-6.24 6.238c6.194 8.776 13.86 16.43 22.644 22.612l6.223-6.223s1.204-5.743.17-8.315c-.27-.673-.582-1.334-.918-1.987 9.298-8.327 18.923-16.62 28.722-24.678-6.534-3.687-11.968-9.11-15.67-15.636zm24.588 19.355c1.233 12.675 2.18 25.358 2.87 37.808-.684.22-1.36.463-2.012.742-2.55 1.087-5.76 6-5.76 6v8.654c5.197.88 10.54 1.346 16 1.346 5.46 0 10.803-.465 16-1.346V340s-3.21-4.913-5.76-6c-.666-.284-1.355-.532-2.054-.756.686-12.47 1.63-25.145 2.86-37.78-3.52.994-7.22 1.536-11.046 1.536-3.843 0-7.563-.548-11.098-1.55zm-82.207 46.064a8 8 0 0 1 5.54 2.343 8 8 0 0 1 0 11.313 8 8 0 0 1-11.313 0 8 8 0 0 1 0-11.313 8 8 0 0 1 5.773-2.343zm186.936 0a8 8 0 0 1 5.54 2.343 8 8 0 0 1 0 11.313 8 8 0 0 1-11.313 0 8 8 0 0 1 0-11.313 8 8 0 0 1 5.774-2.343zm42.2 14.96c-9.976 13.456-21.9 25.38-35.355 35.356l11.248 11.248s5.382-3.026 7.78-4.95c1.218-.977 2.417-1.983 3.606-3a32 16 45 0 0 12.654 19.265 32 16 45 0 0 33.94 11.312 32 16 45 0 0-11.31-33.94 32 16 45 0 0-19.263-12.658c1.018-1.188 2.022-2.387 3-3.605 1.922-2.397 4.948-7.78 4.948-7.78l-11.248-11.247zm-271.62.053l-11.194 11.196s3.026 5.382 4.95 7.78c.977 1.218 1.98 2.417 3 3.606A16 32 45 0 0 97.7 391.763a16 32 45 0 0-11.313 33.94 16 32 45 0 0 33.94-11.31 16 32 45 0 0 12.66-19.263c1.187 1.018 2.386 2.022 3.605 3 2.397 1.922 7.78 4.948 7.78 4.948l11.208-11.21c-13.46-9.97-25.39-21.89-35.37-35.34zM256 380.247a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zm-25 42.903V439s5.945 1.665 9 2c1.554.17 3.113.31 4.674.43A16 32 0 0 0 240 464a16 32 0 0 0 16 32 16 32 0 0 0 16-32 16 32 0 0 0-4.67-22.57c1.56-.12 3.117-.26 4.67-.43 3.055-.335 9-2 9-2v-15.85c-8.16 1.214-16.506 1.85-25 1.85s-16.84-.636-25-1.85z"}}]})(props);
};
function GiShipWreck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M94.371 87.72l-14.676 26.54-40.927-24.873L20.07 120.15l42.192 25.641-14.575 26.357 15.752 8.71 46.684-84.426zM112 128c-12.406 17.74-28.85 57.069-31.646 80.46-1.51 12.633.156 22.758 2.863 26.73 1.353 1.985 2.479 2.81 4.902 3.314 2.424.504 6.516.344 12.47-1.736l12.307-4.301-.341 13.033c-.303 11.499 4.752 25.295 12.767 38.895 2.02-17.074 8.016-34.148 14.38-51.221-3.64 27.491-2.424 52.21 2.58 74.762 5.335 6.22 11.051 12.027 16.863 17.103 12.204 10.66 24.815 18.15 32.767 20.356 3.976 1.103 6.375.725 6.908.488.533-.237.76.118 1.239-2.805 1.542-9.415.807-30.268 1.867-55.385 1.003-23.768 5.305-54.726 14.319-83.528C197.233 181.141 160.156 136.151 112 128zm118.8 88.178c-5.788 19.743-8.61 39.331-10.005 57.353l9.666 17.95-10.805 4.714c-.187 7.113-.234 13.586-.285 19.766l19.652-8.576.092.17 33.059-14.541-.043-.08 93.627-40.862-7.201-16.498-94.989 41.457zm178.991 48.681c-44.479 57.958-86.364 118.263-184.195 170.905 1.367 1.082 2.706 2.157 4.013 3.199C239.647 446.963 248.1 453 256 453c7.9 0 16.353-6.037 26.39-14.037 10.038-8 21.66-17.963 37.61-17.963s27.572 9.963 37.61 17.963C367.646 446.963 376.1 453 384 453c1.082 0 2.174-.124 3.28-.34a748.512 748.512 0 0 0 4.878-22.088l-18.887-31.648 18.26-13.344-16.855-15.451 29.488-17.693c3.11-29.2 4.82-58.325 5.627-87.577zm17.697 9.9c-1.878 54.857-7.063 109.735-19.025 165.718.642-.505 1.273-.992 1.928-1.514 8.532-6.8 18.212-15.017 30.72-17.328l7.094-4.451c.06-4.398.102-8.788.115-13.163l-13.947-2.99s6.643-16.46 13.211-32.105c-1.693-33.026-6.783-64.837-20.096-94.166zm-146.754 34.153l-33.058 14.541 30.902 57.39a407.377 407.377 0 0 0 28.238-23.491zM139.338 331.25l-15.188 6.629 7.2 16.498 22.902-9.996a189.539 189.539 0 0 1-6.947-5.783 212.624 212.624 0 0 1-7.967-7.348zm-44.631 49.92c-2.589.006-5.186.17-7.824.549-3.313.677-6.773 1.252-9.541 3.2 1.69 2.914 4.871 5.5 7.146 7.085 6.59 4.538 17.22 9.18 29.512 12.04 12.292 2.863 23.877 3.394 31.793 2.233 3.313-.677 6.771-1.253 9.539-3.2-1.694-2.913-4.87-5.5-7.144-7.085-6.59-4.538-17.218-9.177-29.51-12.039-8.513-1.382-16.205-2.8-23.971-2.783zm60.625 21.906c.13.305.063.281.121.03.059-.252.128-.244-.121-.03zm-86.457-.457c-2.918 6.024-5.2 12.191-6.947 18.436A43.474 43.474 0 0 1 64 421c15.95 0 27.572 9.963 37.61 17.963C111.646 446.963 120.1 453 128 453c6.132 0 12.607-3.657 19.887-9.025 1.978-6.92 3.63-13.802 4.754-20.66a60.452 60.452 0 0 1-4.235.77c-10.999 1.614-24.335.786-38.488-2.509-14.153-3.295-26.483-8.443-35.639-14.748a55.04 55.04 0 0 1-5.404-4.209zM64 439c-13.413 0-26.972 6.374-39 13.35v21.064c.916-.582 1.815-1.16 2.768-1.746C40.264 463.988 56.099 457 64 457c7.9 0 16.353 6.037 26.39 14.037 10.038 8 21.66 17.963 37.61 17.963s27.572-9.963 37.61-17.963C175.646 463.037 184.1 457 192 457c7.9 0 16.353 6.037 26.39 14.037 10.038 8 21.66 17.963 37.61 17.963s27.572-9.963 37.61-17.963C303.646 463.037 312.1 457 320 457c7.9 0 16.354 6.037 26.39 14.037 10.038 8 21.66 17.963 37.61 17.963s27.572-9.963 37.61-17.963C431.646 463.037 440.1 457 448 457c7.9 0 23.736 6.989 36.232 14.668.953.585 1.852 1.164 2.768 1.746V452.35c-12.028-6.976-25.587-13.35-39-13.35-15.95 0-27.572 9.963-37.61 17.963C400.354 464.963 391.9 471 384 471c-7.9 0-16.353-6.037-26.39-14.037-10.038-8-21.66-17.963-37.61-17.963s-27.572 9.963-37.61 17.963C272.354 464.963 263.9 471 256 471c-7.9 0-16.353-6.037-26.39-14.037-10.038-8-21.66-17.963-37.61-17.963s-27.572 9.963-37.61 17.963C144.354 464.963 135.9 471 128 471c-7.9 0-16.353-6.037-26.39-14.037C91.571 448.963 79.95 439 64 439z"}}]})(props);
};
function GiShirt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.973 22.965c-43.313 0-95.117 14.71-126.66 30.12-33.538 13.63-60.84 30.408-80.33 60.542-26.22 40.536-38.948 103.153-30.278 202.797 24.886 8.635 47.288 6.054 70.272-1.73-7.203-32.898-6.04-65.776 2.072-92.645 8.872-29.395 26.72-53.085 52.886-57.17l11.56-1.804.305 11.697c.226 8.523.38 17.397.485 26.434l.113 26.338c-.155 36.707-1.593 76.298-5.328 116.182 23.522 7.64 61.78 12.326 99.99 12.597l19.18-.244c35.59-1.145 69.858-6.043 90.4-12.78-4.562-61.128-4.866-122.812-6.34-172.464l-.407-13.7 13.267 3.44c26.03 6.746 44.022 30.776 53.246 60.528 8.425 27.166 9.814 59.957 2.668 92.833 17.938 5.68 35.678 7.15 53.602 4.926l18.355-2.453c4.31-78.49-5.98-156.066-26.157-193.04L450.48 96.767c-19.39-22.354-44.318-35.044-73.71-46.207-28.146-14.427-76.6-27.595-120.797-27.595zm0 12.724c27.095 0 55.783 8.103 80.42 18.845-13.03 11.505-29.087 19.462-46.176 24.008l-32.764 72.228-28.53-70.442c-19.852-3.88-38.642-12.34-53.34-25.76 25.763-11.032 54.585-18.88 80.39-18.88zm2.416 119.08l14.655 22.226-14.59 21.084-14.725-21.084 14.66-22.226zm0 49.603l14.655 22.23-14.59 21.083-14.725-21.084 14.66-22.23zm0 48.957l14.655 22.227-14.59 21.086-14.725-21.086 14.66-22.227zm0 49.553l14.655 22.228-14.59 21.085-14.725-21.084 14.66-22.227zm104.645 57.226c-27.583 8.572-66.045 12.127-105.467 12.314-39.638.188-79.132-3.107-108.078-12.07-.854 7.45-1.793 14.893-2.828 22.312 24.902 8.897 68.203 14.22 110.56 14.016 42.322-.205 84.93-6.02 108.116-14.32-.848-7.374-1.613-14.796-2.303-22.253zm5.71 37.913c-28.3 9.63-68.984 13.61-110.698 13.81-12.246.06-24.475-.22-36.402-.89l-17.637-1.314c-22.358-2.09-43.007-5.768-59.787-11.507-3.742 22.658-8.426 44.944-14.243 66.354 8.833 4.422 18.403 8.212 28.52 11.404l16.564 4.575c66.132 15.875 149.713 8.995 206.963-14.658-5.656-21.24-9.96-44.108-13.28-67.774z"}}]})(props);
};
function GiShoonerSailboat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M126.7 81.85L57.46 159l84.64 63.6c-4.8-46.9-9.8-93.8-15.4-140.75zm160.4 9.2l-30.2 2h-.1l1.4 23.45c12.2-.4 24.8 1.6 37.6 6.1l5.7-.4zm-42.5 2.6l-29.9 1.9-9.6 33.15 6.1-.5c11.3-6 22.9-9.6 34.8-11.1l-1.2-23.45zm60.3 40.05l-45.6 3.1h-.1l4 68.2c26.1-1.3 52.4 2.3 79 10.2zm-58.3 3.6l-43.9 3-14.6 46.9 36.9 22.6c8.4-1.9 16.8-3.3 25.2-4.1l-3.5-68.4zM53.53 173.5L19.99 366.3l131.91 4c-4-42.7-4.2-85.4-8.5-128-30.1-22.4-60.01-45.8-89.87-68.8zm114.77 17l2.1 178.7 88.3 1.1-10.1-128.6zm144.4 33.4l17.9 29.6 82.8 80.7 71-3.8zm-24 9.8l5.7 25.2 52.3 97 70.1 2.6zm-23.4 3.4L278 376.4l53.1-8.2zm232.2 107.1l-131.1 40.9-1.3 15.8L498 358.5zm-144.3 40.3l-16.2.3-3.3 9.1c-100 7.9-190.9 11.1-288.67 9.9l13.02 13.4c6.11 3.7 19.79 4.2 20.93 13H345.8c3.7-13.3 5.3-32.4 7.4-45.7z"}}]})(props);
};
function GiShop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.18 21c-23.242 0-46.577 3.01-63.186 8.54-8.304 2.763-14.868 6.196-18.808 9.558-3.94 3.36-5.167 5.956-5.186 8.96L168.943 57H41v14h430V57H342.967l.033-9.033c.01-3.002-1.17-5.55-5.057-8.895-3.887-3.344-10.407-6.773-18.677-9.535C302.724 24.014 279.42 21 256.18 21zM38.277 89l-10.443 94h80.9l20.243-86.36L122.81 183h81.07l17.114-86.68-3.096 86.68h75.75l-4.634-86.518L307.694 183h81.497l-6.167-86.36L403.266 183h80.9l-10.443-94H38.277zM25.834 201l-.51 4.588C39.822 226.445 52.968 235 64 235c11.32 0 24.852-8.89 39.8-30.96l.714-3.04h-78.68zm95.687 0l-.32 4.498C135.753 226.495 148.935 235 160 235c11.293 0 24.788-8.85 39.693-30.803l.63-3.197h-78.802zm95.736 0l-.156 4.352C231.69 226.455 244.908 235 256 235c11.08 0 24.28-8.525 38.85-29.576l-.237-4.424h-77.357zm94.324 0l.674 3.12c15 22.192 28.503 31.044 39.773 31.013 11.03-.03 24.212-8.62 38.772-29.637l-.32-4.496h-78.9zm95.906 0l.713 3.04C423.147 226.11 436.68 235 448 235c11.032 0 24.178-8.555 38.676-29.412l-.51-4.588h-78.68zM112 223.31C97.313 242.11 81.492 253 64 253c-13.972 0-26.884-6.906-39-19.264V487h318V279h114v208h30V233.736C474.884 246.094 461.972 253 448 253c-17.49 0-33.31-10.888-47.996-29.684-14.664 18.808-30.432 29.77-47.926 29.817-17.508.048-33.352-10.87-48.092-29.807C289.303 242.116 273.486 253 256 253c-17.492 0-33.313-10.89-48-29.69-14.687 18.8-30.508 29.69-48 29.69s-33.313-10.89-48-29.69zM55 279h258v178H55V279zm18 18v142h222V297H73zm288 0v71.064l78 .573V297h-78zM88 312h128c-108.235 8-116.31 24-128 113.11V312zm273 74.066v13.998l78 .573v-14.002l-78-.57zm0 32V487h78v-68.365l-78-.57z"}}]})(props);
};
function GiShoppingBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23c-35 0-62 17.92-79.3 41.71-11.9 16.38-19.6 35.49-23.2 54.29H172c3.4-15.2 9.9-30.77 19.3-43.71C206 55.08 227 41 256 41s50 14.08 64.7 34.29c9.4 12.94 15.9 28.51 19.3 43.71h18.5c-3.6-18.8-11.3-37.91-23.2-54.29C318 40.92 291 23 256 23zM88.25 137L57.81 487H454.2l-30.4-350H88.25zM160 160a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm192 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16z"}}]})(props);
};
function GiShoppingCart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25.45 63.043l-4.364 17.463 8.73 2.18L90.44 97.846l29.402 44.1 62.44 187.32-36.845 73.693h17.827c-2.086 4.238-3.264 8.99-3.264 14 0 17.567 14.433 32 32 32s32-14.433 32-32c0-5.01-1.178-9.762-3.264-14h102.528c-2.086 4.238-3.264 8.99-3.264 14 0 17.567 14.433 32 32 32s32-14.433 32-32c0-5.01-1.178-9.762-3.264-14H393v-18H174.562l23-46h192.924l70-210h-327.67L101.56 82.07 34.183 65.227l-8.733-2.184zm115.038 83.914H231v46h-75.178l-15.334-46zm108.512 0h78v46h-78v-46zm96 0h90.512l-15.334 46H345v-46zm-183.18 64H231v46h-53.846l-15.334-46zm87.18 0h78v46h-78v-46zm96 0h69.18l-15.334 46H345v-46zm-161.846 64H231v46h-32.514l-15.332-46zm65.846 0h78v46h-78v-46zm96 0h47.846l-15.332 46H345v-46zm-153 128c7.84 0 14 6.16 14 14s-6.16 14-14 14-14-6.16-14-14 6.16-14 14-14zm160 0c7.84 0 14 6.16 14 14s-6.16 14-14 14-14-6.16-14-14 6.16-14 14-14z"}}]})(props);
};
function GiShorts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M101.535 52.88c-3.966 15.398-4.738 29.582-.7 42.608h105.714v-42.61H101.534zm123.014 0v42.608h62.69v-42.61h-22.345v20.204h-18V52.88H224.55zm80.69 0v42.608h104.305c2.18-14.494 1.95-28.615-.05-42.61H305.24zm-204.6 60.608c-15.2 37.77-29.954 77.85-42.458 118.317 22.223 9.172 45.87 13.042 70.375 16.257l10.66 1.4-18.424 58.022-3.23.106c-8.268 28.267-14.914 57.303-16.743 89.803l-.445 7.914-7.906.558c-26.8 1.89-48.538-5.78-67.872-15.736-1.048 11.952-1.65 23.698-1.723 35.165 8.597 14.946 29.86 24.225 57.986 28.92 27.165 4.534 59.24 4.878 87.995 4.906 20.865-61.546 58.897-156.786 78.987-197.026l4.025-8.065c-2.232-.81-7.816-2.92-14.082-5.977-8.07-3.94-17.42-8.583-23.02-17.596-9.29-14.95-10.207-35.844-10.136-53.8.07-17.954 1.99-32.905 1.99-32.905l1.144-8.926 17.853 2.283-1.142 8.927s-1.78 13.98-1.846 30.692c-.067 16.71 2.447 36.223 7.42 44.227 1.286 2.067 8.678 7.525 15.63 10.918 6.95 3.393 13.134 5.52 13.134 5.52l8.514 2.92-5.805 16.925 2.424 4.854c20.09 40.24 58.122 135.48 78.987 197.027 28.755-.027 60.83-.37 87.994-4.905 28.124-4.694 49.388-13.972 57.986-28.916-.074-11.415-.69-23.123-1.756-35.046-19.273 9.895-40.94 17.493-67.627 15.61l-7.905-.557-.445-7.914c-1.83-32.5-8.475-61.536-16.744-89.803l-3.23-.106-15.17-47.775-3.253-10.25 10.66-1.398c24.326-3.19 47.807-7.03 69.89-16.058-12.582-40.713-27.318-80.93-42.214-118.516H100.64zm-57.85 131.07c-4.104 8.318-6.67 16.978-7.235 26.544 18.53 9.355 41.86 18.283 72.02 18.537l8.027-25.286c-24.327-3.487-48.99-8.4-72.81-19.797zm426.42 0c-23.822 11.396-48.485 16.31-72.812 19.796l8.03 25.285c30.157-.255 53.488-9.183 72.017-18.538-.566-9.566-3.13-18.226-7.236-26.545zM36.616 291.694c-6.152 24.697-10.976 50.186-14.61 76.39 19.114 10.99 37.874 19.79 61.52 19.954 2.367-29.072 8.276-55.42 15.428-80.556-24.862-1.463-45.573-8.246-62.338-15.79zm438.766 0c-16.765 7.543-37.476 14.326-62.338 15.79 7.152 25.136 13.06 51.483 15.428 80.554 23.646-.165 42.406-8.964 61.52-19.956-3.634-26.203-8.458-51.692-14.61-76.39z"}}]})(props);
};
function GiShotgunRounds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M235.223 42.74c-8.67.003-17.32.527-25.252 1.49l22.995 7.374 26.06-7.204-14.904 8.266 29.183.938-31.168 1.953 7.627 4.894c12.12-1.384 25.08-4.335 39.133-9.216-2.915-1.435-6.917-2.873-11.635-4.064-11.368-2.87-26.75-4.434-42.037-4.43zm-25.452 1.512c-5.98.732-11.56 1.705-16.362 2.932-4.785 1.222-8.804 2.705-11.63 4.156 3.057 1.185 6.148 2.28 9.277 3.285l32.324-1.734zm-18.176 10.543c7.56 2.397 15.358 4.233 23.506 5.353l8.462-4.365zm40.732 2.166l-13.195 3.68c8.334.888 17.042 1.022 26.23.247zm61.553 11.56c-46.084 15.603-83.883 12.33-116.5.343v265.383c35.69 13.848 74.13 13.286 116.5-1.504.03-87.962.005-180.644 0-264.22zm26.42 162.384c-.07 0-.143.003-.214.002.998 1.19 1.976 2.432 2.94 3.723 7.82 10.48 14.66 24.324 19.845 38.66 2.266 6.26 4.196 12.576 5.693 18.76l3.472-17.605-.037.202c.346-1.993.785-3.923 1.283-5.81-2.916-10.882-7.918-20.998-13.995-27.82-5.77-6.48-11.836-9.965-18.984-10.113zm97.268 5.592c-24.834.066-43.015 13.465-47.84 41.23l-.017.102-3.814 21.336c15.8-9.586 32.307-15.674 50.56-15.127 20.85.625 43.688 7 61.058 18.172l-3.38-25.292-.01-.11c-5.358-29.38-29.49-40.086-56.556-40.312zm-105.69 13.7v83.113l19.768-6.546-.017-.086c.516-.107.265.336.983-1.34.72-1.676 1.386-5.31 1.27-10.024-.233-9.425-3.236-22.905-7.938-35.902-3.877-10.72-8.928-21.185-14.068-29.215zM159.38 266.26c-26.83 5.996-54.302 12.135-74.978 16.775-3.493.784-5.36 1.21-8.54 1.924 2.44 1.747 4.765 3.663 6.945 5.737 12.8 12.178 21.682 29.216 26.61 47.237 4.93 18.02 5.93 37.097 1.563 53.85-.805 3.094-1.827 6.122-3.058 9.044l51.46-17.035zM44.138 292.244c-.22.004-.448.026-.67.033l-.766.174c-2.258.52-4.354 1.064-3.49.818l-.187.052-.187.045c-3.245.778-5.52 2.43-7.758 5.71-2.238 3.282-4.103 8.264-5.115 14.433-2.024 12.338-.608 29.12 3.922 45.05 4.53 15.926 12.184 31.026 21.205 40.588 8.128 8.617 16.29 12.72 25.928 11.456 8.42-4.317 13.658-12.273 16.546-23.356 3.324-12.754 2.71-29.15-1.505-44.564-4.218-15.415-12.014-29.77-21.658-38.946-7.835-7.454-16.33-11.65-26.265-11.492zm371.504 9.742c-21.177-.128-41.18 6.894-55.216 22.91l-3.385 17.155c15.41-16.114 37.094-26.187 61.087-26.187 26.287 0 49.818 12.072 65.348 30.957l-2.55-19.078C465 312.387 441.15 302.724 417.92 302.027c-.76-.022-1.52-.036-2.277-.04zM38.997 315.023L57.7 343.928l13.663-21.848-6.69 29.15 27.198 15.944-24.782-4.742 10.422 27.355-17.703-26.1-12.787 20.225 5.455-27.603-25.204-14.65 24.07 5.488zm379.13 16.614c-38.096 0-68.81 30.715-68.81 68.812 0 38.096 30.714 68.81 68.81 68.81 38.098 0 68.813-30.714 68.813-68.81 0-38.098-30.716-68.813-68.813-68.813zM293.88 351.71c-40.93 13.13-80.13 14.003-116.5 1.66v40.038c35.69 14.074 74.128 13.705 116.5-.928zm124.247 24.265c13.517 0 24.475 10.957 24.475 24.474 0 13.516-10.958 24.474-24.475 24.474-13.517 0-24.475-10.958-24.475-24.475 0-13.518 10.958-24.475 24.475-24.475zm-121.23 34.488c-42.767 14.164-83.67 15-121.467 1.433l-3.157 13.618c38.888 19.18 84.998 18.925 128.79-.21z"}}]})(props);
};
function GiShotgun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160.72 16C136 16.11 136 17.875 136 46v300c0 30 0 30 30 30h180c30 0 30 0 30-30V46c0-30 0-30-30-30H166c-1.875 0-3.633-.007-5.28 0zM196 76h120v210H196V76zm-46.656 345A13.333 13.333 0 0 0 136 434.344v48.312A13.333 13.333 0 0 0 149.344 496h213.312A13.333 13.333 0 0 0 376 482.656v-48.312A13.333 13.333 0 0 0 362.656 421H149.344z"}}]})(props);
};
function GiShoulderArmor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208 56.643l-16 64-98.568 14.082L256 175.365l162.568-40.64L320 120.643l-16-64-27.268 18.18-12.002 48.003h-17.46l-12.002-48.004zm-138.621 90.62L16 200.644l48 64 25.77-25.77 26.619-79.857zm373.242 0l-47.01 11.753 26.62 79.857L448 264.643l48-64zm-308.717 16.132l-20.123 60.369 13.81 55.246L247 345.348V191.67zm244.192 0L265 191.67v153.678l119.408-66.338 13.81-55.246zM144 308.715v56.314l103 30.627v-29.719zm224 0l-103 57.223v29.718l103-30.627zm-224 75.54v56.388l103 14.714V414.88zm224 0L265 414.88v40.478l103-14.714z"}}]})(props);
};
function GiShoulderBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 18.75c14.4 0 27.4 5.89 38.2 15.27 10.8 9.38 19.7 22.17 27.5 37.08C337.2 101 348 139.6 355.8 178c11.6 56.7 16.5 113 18.3 138.8H356c-1.8-25.8-6.7-80.5-17.8-135.2-7.7-37.6-18.4-75.1-32.5-102.2-7.1-13.59-15-24.55-23.3-31.79-8.4-7.25-16.8-10.86-26.4-10.86-9.6 0-18 3.61-26.4 10.86-8.3 7.24-16.2 18.2-23.3 31.79-14.1 27.1-24.8 64.6-32.5 102.2-11.1 54.7-16 109.4-17.8 135.2h-18.1c1.8-25.8 6.7-82.1 18.3-138.8 7.8-38.4 18.6-77 34.1-106.9 7.8-14.91 16.7-27.7 27.5-37.08 10.8-9.38 23.8-15.27 38.2-15.27zM374.9 334.8c0 11.3-.1 22-.3 32.1-80.2 18.9-159.1 18.1-237.2-.1-.2-10.2-.3-20.7-.3-32zm-1 50.6c-2.1 38.4-8.7 68.1-29.1 94.9v.1l-.1.1c.1-.1-2.7 2.1-7.8 4-5.2 1.8-12.4 3.5-20.8 4.8-16.8 2.6-38.5 4-60.1 4s-43.3-1.4-60.1-4c-8.4-1.3-15.6-3-20.8-4.8-5.1-1.9-7.9-4.1-7.8-4l-.1-.1v-.1c-20.4-26.8-27-56.7-29.1-94.9 77.6 17.4 156.3 18.2 235.8 0z"}}]})(props);
};
function GiShoulderScales (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M289.848 22.072L283.2 133.43l1.46.785C193.302 155.377 90.776 194.63 19.426 244.803l.06.107-.148.008 53.226 104.604c-18.197 15.536-36.297 31.65-53.876 48.085v95.987h442.226c-9.274-7.46-18.847-14.865-28.7-22.166l20.516-21.29c10.186 12.92 19.807 26.524 28.782 40.827l-13.977 2.63h26.434v-244.09l-23.75 29.977c-6.68-9.383-13.687-18.65-20.98-27.748l26.916-57.117c6.383 9.925 12.32 19.868 17.813 29.696V27.708c-66.116-7.02-135.757-5.42-203.415-5.42zm17.21 25.338c15.85 5.745 30.84 12.97 45 21.36l-11.876 78.103c-12.388-8.884-24.963-16.97-37.625-24.07zm62.22 32.4c16.12 11.14 31.053 23.773 44.845 37.374l-23.95 70.796c-10.74-10-21.767-19.493-33.005-28.347zm59.417 52.553c12.876 14.138 24.632 29.037 35.31 44.198l-27.944 59.297c-9.93-11.57-20.303-22.78-31.03-33.515zm83.96 86.973v46.242l.61-45.14zm-455.66 42.78c2.635-.02 5.276-.013 7.925.017 12.293.14 24.735.775 37.27 1.892l16.904 72.977c-11.008-1.224-22.073-2.056-33.182-2.46l-36.795-72.308c2.62-.06 5.245-.1 7.88-.12zm64.886 4.052c20.697 2.677 41.57 6.694 62.38 12.05l.693 70.774c-15.195-3.816-30.558-6.965-46.053-9.357zM203 283.414c18.816 5.595 37.524 12.3 55.945 20.143l-10.992 65.26c-14.547-5.49-29.312-10.44-44.262-14.764zm73.572 28.047c17.277 8.127 34.248 17.264 50.758 27.448l-19.87 55.807c-13.66-6.73-27.58-13.054-41.73-18.885zm66.887 37.843c16.404 11.01 32.292 23.075 47.497 36.234l-25.355 41.1c-13.45-8.144-27.248-15.968-41.354-23.377zm61.606 48.96c12.45 11.672 24.386 24.113 35.707 37.34l-23.857 24.752c-11.487-8.14-23.297-16.124-35.44-23.857z","fillRule":"evenodd"}}]})(props);
};
function GiShouting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.813 34.094c-32.67 0-62.826 19.624-85.375 53.125-22.55 33.5-36.844 80.558-36.844 132.686s14.294 99.187 36.844 132.688c22.55 33.5 52.705 53.125 85.375 53.125s62.825-19.626 85.375-53.126c22.55-33.5 36.875-80.56 36.875-132.688 0-52.128-14.326-99.187-36.875-132.687-22.55-33.502-52.706-53.126-85.375-53.126zM64.405 127.47c-37.863 55.188-52.23 125.55-33.562 195.218 23.816 88.89 95.022 152.122 179.25 170.25C145.894 460.577 90.12 390.486 65.874 300c-16.337-60.975-15.608-121.328-1.468-172.53zm384.813 0c14.14 51.202 14.836 111.555-1.5 172.53-24.246 90.486-79.988 160.578-144.19 192.938 84.23-18.128 155.403-81.36 179.22-170.25 18.668-69.668 4.332-140.03-33.53-195.22zM118.5 167.78c-27.588 40.212-38.04 91.49-24.438 142.25 17.355 64.767 69.225 110.823 130.594 124.033C177.88 410.485 137.26 359.43 119.594 293.5c-11.905-44.428-11.397-88.41-1.094-125.72zm276.594 0c10.303 37.31 10.81 81.292-1.094 125.72-17.666 65.93-58.285 116.985-105.063 140.563 61.37-13.21 113.24-59.266 130.594-124.032 13.603-50.76 3.152-102.038-24.436-142.25zm-197.813 2.095c20.065-.2 38.86 8.59 52 25.313l-14.718 11.53c-16.02-20.384-38.817-24.964-64.625-10.312l-9.218-16.25c12.02-6.824 24.523-10.16 36.56-10.28zm117.157.53c.625-.01 1.25-.005 1.875 0 12.04.122 24.543 3.49 36.563 10.314l-9.22 16.25c-25.806-14.653-48.603-10.103-64.624 10.28l-14.686-11.53c12.73-16.2 30.74-24.965 50.094-25.314zm-57.625 66.69c42.196 0 76.375 34.21 76.375 76.405 0 42.193-34.18 76.375-76.375 76.375s-76.406-34.18-76.406-76.375 34.21-76.406 76.406-76.406z"}}]})(props);
};
function GiShower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M54.42 18l21.598 37.41 39.837-23-8.32-14.41H54.42zm70.435 29.998l-39.837 23 8 13.857 39.837-23-8-13.857zm97.01 3.805c-1.94.005-3.882.069-5.824.185-32.718 1.964-66.393 20.955-94.105 36.955-27.713 16-60.995 35.669-79.055 63.022-17.151 25.977-22.485 58.618 3.46 107.639L307.53 108.807c-27.637-44.044-56.554-57.083-85.664-57.004zm94.84 72.492l-261.539 151 8 13.855 261.54-151-8-13.855zm19.385 28.066l-17.934 10.356L494 265.68v-20.858l-157.91-92.46zm-58.182 33.592l-16.039 9.26L494 438.95V412.85L277.908 185.953zm67.455 17.113l-11.345 13.973 107.533 87.307 11.345-13.975-107.533-87.305zm-124.99 16.104l-15.588 9.002 84.194 148.133 15.648-8.895-84.254-148.24zm-28.586 34.238l-16.24 7.762L286.83 494h19.953L191.787 253.408zm96.533 5.916l-14.463 10.715L439.801 494h22.404L288.32 259.324zm-162.103 14.21l-16.1 9.294L168.836 494h18.682l-61.301-220.467zM90.28 294.278l-16.562 9.563 12.416 68.678 17.713-3.202L90.28 294.28zm91.194 27.746l-16.875 6.266L226.133 494h19.199l-63.857-171.975zm140.93 80.065l-15.52 9.119L355.535 494h20.877l-54.008-91.91zm-210.96 11.683l-17.81 2.61L105.015 494h18.192l-11.762-80.227z"}}]})(props);
};
function GiShrimp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M376.4 19.14c-24.4-.17-55.5 6.54-89 13.02-33.4 6.48-68.9 12.8-100.2 12.56-31.2-.24-57.4-6.91-74.6-24.83L99.67 32.35C128 59.39 166 63.49 200.2 62.49c-8.4 1.48-17.2 2.59-26.1 3.21-36.7 2.54-75.23-2.61-92.58-13.15l-9.34 15.38C96.57 82.72 136.4 86.36 175.3 83.65c38.6-2.68 75.7-11.02 94.7-29.9 7.1-1.28 14.1-2.59 20.9-3.92 33.6-6.51 64.5-12.84 85.3-12.69 10.5.1 18 1.91 21.9 4.57 2.3 1.53 3.9 3.15 4.8 5.78h18.3c-1.7-8.79-6.3-16.19-13-20.74-8.8-5.86-19.6-7.52-31.8-7.61zm51.7 46.1c-44.9-.24-134 8.46-209.4 29.2 1.1-.11 2.2-.17 3.3-.17 18.1 0 33 14.93 33 33.03s-14.9 33-33 33-33-14.9-33-33c0-13 7.7-24.3 18.7-29.71-27.9 8.31-53.4 18.31-73.4 30.21 51.7 27.3 77.4 63 99.9 97.3 73.4-20.4 119.8-42.8 174.9-95.9-24.1 5.9-35.3 6.5-56.2 5.7 28.1-10.5 97-43.23 118.7-55.9-29.4 2.28-74.5 12.38-100.9 18.44 14.9-13.43 51.3-28.42 64.4-32.08-2.2-.1-4.5-.1-7-.12zM222 112.3c-8.4 0-15 6.6-15 15s6.6 15 15 15 15-6.6 15-15-6.6-15-15-15zm-120.5 20.2c-17.58 26.8-31.42 52.3-41.44 76.2 25.1 34.2 57.14 63.2 115.54 80.3 10-17.5 24.4-35.6 43-54.6-25.3-38.9-51.8-75.5-117.1-101.9zm-48.93 96c-12.03 35.4-15.18 67.4-9.37 96.1 32.35 23.5 59.1 38.1 115.5 25.9-1-14.5 1.9-29.6 8.7-45.3-54.9-16.7-89.29-44.9-114.83-76.7zM231 247.2c-4.5 4.6-8.7 9.1-12.6 13.6 31.6 17.7 54.7 38.7 77.8 70.8l14.6-10.6c-23.4-32.4-48-55.2-79.8-73.8zm-28.3 32.9c-3.8 5.2-7.2 10.3-10.1 15.3 8.6 3.6 21.7 10.7 33.8 19 15 10.4 28.9 23.4 33.6 32.6l16-8.4c-7.7-14.6-23.2-27.7-39.3-38.9-11.9-8.3-23.8-15.1-34-19.6zm-20.1 35.5c-2.5 6.2-4.1 12.2-5.1 17.9 4.7 1 12.9 4 20.8 9.1 10.7 7.1 21.5 17.3 27 26.1l15.2-9.6c-7.6-12-19.7-23.2-32.3-31.5-8.6-5.6-17-10.4-25.6-12zM52 352.1c15.4 34.5 46.57 64.6 95.2 89.5 11.6-1 20.9-2.1 28.7-5.9 6.9-3.4 13.3-9 19.9-20.9-16.9-13.7-28.4-29.2-33.8-46.7-49.2 10.4-81.56.9-110-16zm370.1 72.6c-10.4-.1-43.1 4.2-75.8 11-23.5 5-47.6 11.5-64.9 18 11.7-3.1 25.8-4.3 41.3-4.7 6.1-.2 12.5-.2 18.9-.1 19.2.4 39.2 2.2 57 4.8 12.3 1.9 23.4 3.9 32.9 6.5 6.9-8.3 12.4-18.2 12.9-24.1.5-10.9-16.7-11.3-22.3-11.4zm-211.7.7c-9.7 14.2-19.1 24.7-34.1 29.5 21.2 8.8 44.9 16.8 71.4 24 8.3-7.3 16-17.2 14.3-27.7-19.8-7.8-37.1-16.3-51.6-25.8zm63.3 50.9l-9.2 8.3c13.3 4 34.8 9 59.2 8.2 36.3-1.3 84.3 2.2 114.8-10.5-48.8-12.3-126.4-27.6-164.8-6z"}}]})(props);
};
function GiShrug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 29c-11.642 0-22.985 7.432-32.006 21.607C214.974 64.783 209 85.247 209 108s5.973 43.217 14.994 57.393C233.014 179.568 244.358 187 256 187s22.985-7.432 32.006-21.607C297.026 151.217 303 130.753 303 108s-5.973-43.217-14.994-57.393C278.986 36.432 267.642 29 256 29zm-80 131c-32 0-48 144-48 144 0-16-16-64-32-96-16 0-76.002 16-76 26v22l60-16s32 128 48 128 48-112 48-112l16 234h128l16-234s32 112 48 112 48-128 48-128l60 16v-22c.027-10-60-26-76-26-16 32-32 80-32 96 0 0-16-144-48-144 0 0-10.902.02-25.727 1.74-2.092 4.725-4.453 9.187-7.082 13.317C291.945 192.73 275.287 205 256 205c-19.286 0-35.944-12.27-47.19-29.943-2.63-4.13-4.99-8.592-7.083-13.317C186.902 160.02 176 160 176 160z"}}]})(props);
};
function GiShurikenAperture (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M219.645 21.475c-86.323 77.557-105.59 201.658-54.65 300.066-50.127-25.673-138.8-86.724-138.8-86.724 45.85 108.476 160.455 167.27 272.284 148.418-38.472 38.54-115.353 104.705-115.353 104.705 115.886-14.46 202.25-108.08 215.535-219.26 27.34 50.296 65.844 152.21 65.844 152.21 23.61-111.875-33.285-223.592-130.53-274.11 51.594-5.78 148.903-10.66 148.903-10.66-99.39-57.33-222.258-38.557-300.13 38.646 9.29-53.964 36.895-153.29 36.895-153.29zm58.146 133.713l8.468 16.66c-19.188 9.75-33.34 25.41-41.39 43.62 16.735-9.672 35.52-14.51 54.304-14.507 27.74.007 55.472 10.557 76.568 31.638l-13.21 13.218c-14.463-14.45-32.598-22.938-51.378-25.468 35.685 31.958 47.01 85.173 24.352 129.8l-16.664-8.46c10.288-20.263 12.17-42.564 6.93-62.94-17.864 45.488-65.192 74.762-115.713 67.762l2.566-18.512c20.953 2.903 41.172-1.655 58.006-11.64-3.377-.222-6.673-.75-9.853-1.58-44.683-8.246-81.18-44.32-87.76-91.66l18.51-2.573c3.092 22.242 14.056 41.433 29.696 55.135-10.657-47.194 11.486-97.58 56.568-120.493zm-3.626 73.238c-19.27 0-34.69 15.418-34.69 34.69 0 16.075 10.732 29.462 25.475 33.464 3.528.61 7.12 1.01 10.755 1.19 18.544-.798 33.15-15.9 33.15-34.653 0-19.273-15.42-34.69-34.69-34.69z"}}]})(props);
};
function GiShuriken (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M357.1 347.1c-8.5 1.9-17 2.4-24.3.3-20.6-6.7-31.6-29.4-24.7-50.8 7-21.4 29.3-33.4 49.8-26.7 4.9 1.6 12.2 7.8 19.6 16.5 44.8-32.8 78.4-57.2 115.8-83.7l-142.9 1.7c1.8 5.1-3.1 20.2-5.9 24.2-12.9 17.3-38 20.5-56 7.1-18.1-13.3-22.3-38.3-9.5-55.6 3.1-4.2 11.6-9 22-13.4-18.3-56.5-31.5-96.13-45-136.38-13.9 45.5-28.8 90.98-42.5 136.38 5.7 2.3 16.4 8.6 20.1 13.4 12.7 17.4 8.2 42.3-9.9 55.6-18.2 13.2-43.3 9.8-56-7.7-3-4.2-5-13.7-6.2-24.9-60.7.3-97.14.1-142.79-.4l116.59 82.6c2.4-4.9 14-13.8 18.9-15.5 20.6-6.6 42.9 5.4 49.7 26.9 6.8 21.4-4.3 44.1-24.9 50.7-4.9 1.5-14.6.4-25.5-2-20.2 62.5-30 94.2-44.2 136.3l114.6-85.4c-3.7-3.7-8.7-17.6-8.8-22.7.1-21.6 18.4-39.1 40.9-39 22.5 0 40.7 17.6 40.6 39.2 0 5.2-3.6 13.9-9.7 23.7 35.6 25.3 79.6 57.2 115.7 84.2-15.4-44.8-30-89.8-45.5-134.6zM256 296.6c-11.9 0-21.6-9.7-21.6-21.6 0-12 9.7-21.7 21.6-21.7 11.9 0 21.6 9.7 21.6 21.7 0 11.9-9.6 21.6-21.6 21.6z"}}]})(props);
};
function GiShutRose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M428.023 17.34c-86.043.487-145.782 76.552-110.164 148.85-56.288 31.21-86.892 73.135-108.387 115.72-20.313-3.606-33.09-19.605-43.448-39.65-6.768 44.82 6.93 72.25 15.243 104.312-17.695 43.045-35.085 81.538-71.348 107.38h-.004c-26.502 18.903-51.61 14.403-63.865.622-6.127-6.89-9.442-16.272-7.98-28.256 1.45-11.88 7.926-26.43 22.246-42.21 11.966-10.25 21.688-14.278 28.155-14.956 6.552-.687 9.855 1.215 12.337 4.328 4.963 6.227 5.048 20.812-7.48 31.327l12.013 14.316c19.1-16.03 22.676-41.486 10.082-57.29-6.297-7.9-17.036-12.51-28.9-11.267-11.865 1.245-24.787 7.552-38.885 19.76l-.41.356-.366.4c-16.57 18.11-25.296 36.22-27.34 52.973-2.045 16.753 2.876 32.044 12.566 42.94 19.38 21.79 56.223 25.322 88.68 2.175l.002-.002c6.138-4.375 11.773-9.047 16.992-13.967 29.887-7.727 58.963-10.74 92.3-37.436-21.192.977-40.373-1.702-53.542-15.13 13.405-25.286 23.348-52.815 34.78-79.87 10.99-26.018 23.196-51.737 40.874-75.557 27.692.905 54.74 2.943 90.135-12.492-21.436-4.717-39.77-12.685-48.723-30.168 10.31-8.11 21.865-15.774 34.94-22.893 63.25 43.663 173.666-17.293 159.263-111.2L453 78.142l24.03-41.7-46.327 9.394 11.002-27.94c-4.625-.4-9.19-.58-13.682-.554zM177.857 47.475C99.85 123.65 112.403 221.302 190.082 226.61c99.86 6.987 1.396-107.536-12.225-179.135zm110.387 218.523c-18.154-.118-31.885 10.172-38.142 40.106-15.92 76.243 102.983 90.25 179.15 12.224-48.11-8.213-103.834-52.09-141.008-52.33z"}}]})(props);
};
function GiShuttlecock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25.577c-29.75 0-50.618 10.68-64.973 28.623-12.914 16.144-20.364 38.79-21.74 65.377h173.426c-1.376-26.586-8.826-49.233-21.74-65.377C306.618 36.257 285.75 25.577 256 25.577zm-87 112v14h174v-14H169zm12.443 32l-4.802 30H176v3.994l-12.357 77.167c1.428-.63 3.16-1.226 5.207-1.283.305-.01.616-.005.935.012.85.045 1.748.188 2.694.46 3.733 1.07 5.666 3.31 7.077 5.24.48.654.894 1.32 1.287 1.993l3.455-21.583h23.69l-.94 14.123c.77-.11 1.58-.17 2.448-.154.41.007.832.028 1.266.066 6.942.61 10.032 4.716 13.134 8.764.19.248.377.51.565.766l1.568-23.565h21.327v16.658c2.24-1.575 4.94-2.658 8.643-2.658 4.105 0 6.98 1.33 9.357 3.188v-17.188h22.065l1.726 21.443c2.796-3.567 5.923-6.866 12.088-7.408 2.057-.18 3.828.007 5.41.44l-1.166-14.475h23.25l3.41 20.04c.103-.15.194-.303.303-.452 1.41-1.928 3.344-4.17 7.078-5.24.947-.27 1.845-.414 2.695-.46.32-.016.63-.02.935-.01 2.137.06 3.942.705 5.405 1.364.392.176.757.372 1.125.566L336 200.966v-1.39h-.236l-5.104-30H312.4l5.104 30h-17.336l-2.414-30h-18.06l2.415 30h-16.753v-30h-18v30h-16.933l1.998-30h-18.04l-2 30H194.87l4.804-30h-18.23zm10.543 48h19.2l-2 30h-22.004l4.804-30zm37.24 0h18.13v30H227.23l1.997-30zm36.13 0h18.203l2.413 30h-20.616v-30zm36.26 0h18.95l5.104 30h-21.64l-2.413-30zm-92.542 81.246c-.26.187-.317.13-.615.403-2.248 2.058-5.392 5.725-8.773 10.486-6.76 9.522-14.636 23.43-21.718 39.035-14.166 31.21-24.75 69.83-20.933 93.586 1.633 10.164 4.142 16.383 9.713 22.98 5.046 5.977 13.334 12.386 25.902 20.348 7.703-3.16 13.956-6.07 19.063-8.903-6.09-7.457-9.938-16.05-12.442-25.98-7.73-30.66 1.108-71.263 13.133-105.434 2.81-7.982 5.82-15.557 8.914-22.56-1.638-4.26-3.286-8.186-4.902-11.6-2.498-5.278-4.953-9.437-6.807-11.856-.245-.322-.31-.274-.536-.504zm93.852 0c-.226.23-.29.182-.537.504-1.855 2.42-4.31 6.578-6.808 11.856-1.616 3.414-3.264 7.34-4.902 11.6 3.093 7.003 6.105 14.578 8.914 22.56 12.025 34.17 20.863 74.775 13.133 105.435-2.504 9.93-6.35 18.522-12.442 25.98 5.107 2.83 11.36 5.743 19.063 8.903 12.568-7.96 20.856-14.37 25.902-20.347 5.57-6.597 8.08-12.816 9.713-22.98 3.817-23.757-6.767-62.376-20.932-93.586-7.08-15.605-14.957-29.513-21.717-39.035-3.38-4.76-6.525-8.428-8.772-10.486-.297-.274-.353-.216-.614-.403zm-135.95 1.635c-1.903 1.823-4.114 4.144-6.685 7.29-7.01 8.585-15.662 21.378-23.95 35.925-16.576 29.093-31.543 65.874-32.223 89.785-.508 17.885 2.766 27.703 19.418 46.533 10.897-3.552 18.163-7.016 23.65-11.34-4.07-7.05-6.53-14.81-7.92-23.462-5.017-31.22 7.342-70.893 22.313-103.88 3.214-7.082 6.57-13.796 9.96-20.047-.554-3.766-1.154-7.28-1.798-10.41-.892-4.343-1.857-7.72-2.765-10.392zm178.05 0c-.91 2.672-1.874 6.05-2.766 10.39-.644 3.132-1.244 6.646-1.797 10.413 3.39 6.252 6.745 12.966 9.96 20.048 14.97 32.987 27.33 72.66 22.313 103.88-1.39 8.653-3.85 16.412-7.922 23.46 5.488 4.326 12.754 7.79 23.65 11.343 16.653-18.83 19.927-28.647 19.42-46.532-.68-23.91-15.648-60.692-32.224-89.785-8.288-14.547-16.94-27.34-23.95-35.924-2.572-3.148-4.783-5.47-6.685-7.292zm-96.97 9.328c-.153.258-.3.483-.454.746-5.9 10.077-12.528 24.62-18.217 40.785-11.378 32.33-18.54 71.73-12.658 95.06 2.516 9.983 5.562 15.958 11.69 22.042 5.55 5.51 14.366 11.172 27.583 18.003 13.217-6.83 22.034-12.493 27.584-18.004 6.127-6.085 9.173-12.06 11.69-22.042 5.882-23.332-1.28-62.73-12.66-95.06-5.688-16.166-12.315-30.71-18.216-40.786-.154-.263-.3-.488-.455-.746L256 465.108l-7.943-155.322z"}}]})(props);
};
function GiSickle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.563 25.156c353.16 276.87 16.918 408.895-87.875 293.25l-40.75 37.125 50.812 50.345c217.562 181.363 524.73-252.058 77.813-380.72zM110.75 364.28c-5.525 1.065-8.975 2.957-11.313 5.25-1.956 1.922-3.248 4.556-4.25 7.564l55.188 52.844c5.468-1.008 9.264-2.796 11.28-4.688 1.997-1.872 3.095-3.864 3.095-7.53l-54-53.44zm-24.72 30.314L30.407 445.28C13.67 472.28 45.1 506.478 81.5 489.94l51.53-50.282-47-45.062z"}}]})(props);
};
function GiSideswipe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M422.52 404.55c0-92.006-1.243-95.736-1.243-95.736 204.583-58.483-212.586-77.202-252.76-71.863l-.15 34.762-118.71-68.004 118.346-65.303 1.394 33.82c303.74-5.71 371.256 83.987 253.124 232.325z"}}]})(props);
};
function GiSiegeRam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M404.89 233.115c3.81.15 6.27-3.31 9.94-2.26 5.65 1.61 5.68 8.8 4 11.45a10.93 10.93 0 0 1-12 4c-8-2.21-8.4-11.83-8-14.37a12.82 12.82 0 0 0 6.06 1.18zm-208.42-9.55v57.21h55.27v-57.21zm-178.62 0v57.21h52.38l17.65-57.21h-70zm101.07 57.21h29.33v-57.21h-11.68zm181-57.21v57.21h42.57l-13.29-57.21H300zm-196.86 126.06a51.19 51.19 0 0 0-36.195 87.385 51.19 51.19 0 0 0 87.385-36.195c0-28.272-22.919-51.19-51.19-51.19zm248.18 0a51.19 51.19 0 0 0-36.195 87.385 51.19 51.19 0 0 0 87.385-36.195c0-28.272-22.919-51.19-51.19-51.19zM90.74 91.785h272.83v-31.79H90.74zM153 355.875a67 67 0 0 1 16 32h116.32a67 67 0 0 1 16-32zm271.43 0h-23.28a67 67 0 0 1 16 32h7.22v-32zm-394.49 0v32h7.22a67 67 0 0 1 16-32H29.91zm125.62-248.09h-15.2l-72.84 236a66.84 66.84 0 0 1 17.59-7.76zm178.12 0h-14.91L372 336.915a67 67 0 0 1 16.82 8.21zM164.25 108v183.815h16.21V108zm103.48 0v183.815H284V108zm217.11 149.885l2 54-18.19 4.32-18.88-8.5-7.52-27-18.19-.09s26-9.95 26.82-36.6c.48-16.45-9.86-38.59-33.82-39.22-16-.42-36.62 16.37-29.58 35.69 1.85 5.06 5 15.06 17.35 17.59 10.93 2.24 25.42-3.43 26.85-18.05 1-10.35-7.67-27.48-27.62-19a22 22 0 0 1 13-4.27c6.87.06 15.69 3.79 20.3 15.93 3.74 9.86 1.82 24.86-12.87 34.24a37.35 37.35 0 0 1-37.15 1.07l-15.44-66.5c14.24-25 66.86-45.12 102.91-1.44 5.7 6.9 19.34 30.94 19.34 30.94zm-6.32-5.82c2-.92 1.9-5.17-.12-9.51s-11.26-9.11-13.22-8.19c-1.96.92-1.9 5.17.13 9.51s11.21 9.11 13.17 8.19zm1.6 49.37c0-3.29-5-10-6.31-10-1.31 0-2.31 2.67-2.31 6s5 10 6.31 10c1.31 0 2.31-2.67 2.31-6z"}}]})(props);
};
function GiSiegeTower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M137 41v78h190V41h-30v48h-18V73h-14v16h-18V41h-30v48h-18V73h-14v16h-18V41h-30zm208 19.273v25.454L394.273 135H329v18H457v-18H419.727L345 60.273zM173.977 137l20.91 46h79.445l29.272-46H173.977zm-10.268 20.912L159.147 183h15.965l-11.404-25.088zm147.29.996L295.668 183H311v-24.092zM155.875 201l-8.363 46h56.693l-20.91-46h-27.42zm47.193 0l20.91 46h9.626l29.273-46h-59.81zm81.145 0l-29.272 46H311v-46h-26.787zM144.24 265l-8.365 46h57.002l23.578-37.05-4.068-8.95H144.24zm99.246 0l-6.607 10.383L253.067 311H311v-46h-67.514zm-18.14 28.508L214.216 311h19.08l-7.95-17.492zM132.604 329l-8.364 46h27.908l29.274-46h-48.818zm70.156 0l-29.274 46h88.9l-20.907-46h-38.72zm58.49 0l20.908 46H311v-46h-49.75zm-140.283 64l-6.28 34.553c1.007.52 1.993 1.08 2.952 1.68L140.694 393h-19.728zm41.066 0l-31.34 49.248C134.68 448.565 137 456.025 137 464c0 2.386-.218 4.722-.615 7h23.392c-.396-2.278-.615-4.614-.615-7 0-22.537 18.463-41 41-41s41 18.463 41 41c0 2.386-.218 4.722-.615 7h23.068c-.397-2.278-.615-4.614-.615-7 0-16.127 9.456-30.165 23.092-36.848L270.568 393H162.033zm128.31 0l13.636 30h.02c2.386 0 4.722.218 7 .615V393h-20.658zM96 441c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zm104.162 0c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zM304 441c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23z"}}]})(props);
};
function GiSightDisabled (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405.822 78.899l24.444 24.444L100.485 433.1 76.04 408.657zM168.32 255.677a87.704 87.704 0 0 1 117.196-82.575l43.402-43.402A236.362 236.362 0 0 0 256 118.452a239.715 239.715 0 0 0-84.454 15.616 270.752 270.752 0 0 0-38.861 18.59 293.179 293.179 0 0 0-34.816 23.821 311.884 311.884 0 0 0-29.423 26.507 336.397 336.397 0 0 0-22.681 25.355l-4.46 5.554-3.93 5.267c-2.443 3.204-4.518 6.224-6.2 8.678-1.683 2.455-2.974 4.541-3.85 5.855L26 255.758l1.325 2.063c.876 1.325 2.167 3.457 3.85 5.854 1.682 2.398 3.757 5.475 6.2 8.679l3.93 5.266 4.46 5.555a336.397 336.397 0 0 0 22.68 25.355 311.895 311.895 0 0 0 29.424 26.507q7.145 5.67 14.82 11.018l60.736-60.736a87.508 87.508 0 0 1-5.106-29.642zm316.367-2.086c-.876-1.337-2.166-3.515-3.85-5.889-1.682-2.374-3.756-5.509-6.2-8.736-2.443-3.457-5.255-6.995-8.39-10.867a339.52 339.52 0 0 0-22.68-25.459 311.768 311.768 0 0 0-29.423-26.564 306.188 306.188 0 0 0-17.587-12.954l-59.375 59.375a87.692 87.692 0 0 1-114.35 114.35l-43.31 43.31A240.015 240.015 0 0 0 256 392.913a236.834 236.834 0 0 0 84.454-15.258 269.046 269.046 0 0 0 38.861-18.544 290.32 290.32 0 0 0 34.816-23.822 311.768 311.768 0 0 0 29.423-26.564 339.52 339.52 0 0 0 22.681-25.458c3.146-3.884 5.947-7.457 8.39-10.868 2.443-3.227 4.518-6.247 6.2-8.736 1.683-2.49 2.974-4.61 3.85-5.89L486 255.69z"}}]})(props);
};
function GiSilence (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M299.05 19.174c-1.69.003-3.38.038-5.064.103-58.35 2.28-110.84 41.947-126.736 101.272l-15.37 57.356 44.378 11.89 14.597-54.476c13.028-48.618 62.988-77.523 111.518-64.52 48.53 13.004 77.047 64.12 64.316 111.634l-14.598 54.478 44.38 11.89 15.368-57.355c19.06-71.135-23.9-147.997-96.897-167.556-11.998-3.214-24.046-4.738-35.892-4.716zM125.21 190.107L67.366 405.98l311.108 83.362 57.843-215.873-311.105-83.363zm123.257 59.026l87.955 51.064-13.57 51.98-63.05-42.04-11.888 96.78-1.154-.14c-.02.27-.034.544-.067.81-.772 6.284-4.553 10.746-12.172 13.825-7.617 3.08-18.856 3.833-31.178.53-12.323-3.3-23.08-9.927-30.12-17.444-7.038-7.517-10.04-15.49-9.27-21.775.773-6.285 4.554-10.748 12.173-13.827 3.81-1.54 8.524-2.497 13.826-2.658 5.303-.16 11.194.476 17.355 2.127 9.618 2.577 18.273 7.184 24.96 12.655l16.202-131.887z"}}]})(props);
};
function GiSilenced (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 19.313c-44.404 0-85.098 25.434-115.248 68.124C110.6 130.127 91.594 189.847 91.594 256c0 66.152 19.005 125.87 49.156 168.563 30.15 42.69 70.845 68.125 115.25 68.125 44.402 0 85.068-25.435 115.22-68.125 30.15-42.69 49.186-102.41 49.186-168.563 0-66.152-19.038-125.87-49.19-168.563-30.15-42.69-70.812-68.124-115.214-68.124H256zm-68.047 196.324c21.997.077 43.584 9.43 57.484 32.738C232.475 258.385 219.33 266.34 206 272c1.927-3.868 3-8.23 3-12.844 0-15.93-12.914-28.844-28.846-28.844s-28.84 12.914-28.84 28.844c0 9.317 4.425 17.6 11.28 22.875-.938.036-1.874.058-2.81.068-.937.01-1.874.007-2.815-.006h-.003c-15.953-.208-32.166-3.813-48.717-11.217 5.244-29.73 43.042-55.366 79.703-55.238zm136.094 0c36.66-.128 74.46 25.51 79.703 55.238-16.55 7.404-32.764 11.01-48.717 11.217h-.002c-.94.013-1.877.016-2.813.006-.937-.01-1.873-.032-2.81-.067 6.854-5.273 11.28-13.557 11.28-22.874 0-15.93-12.91-28.844-28.84-28.844-15.933 0-28.847 12.913-28.847 28.844 0 4.615 1.073 8.976 3 12.844-13.33-5.66-26.474-13.614-39.438-23.625 13.9-23.31 35.488-32.66 57.485-32.738zm-113.174 83.96c8.826-.03 18.155 3.6 25.693 11.14L256 330.17l19.434-19.434c7.538-7.538 16.867-11.168 25.693-11.14.588.002 1.175.02 1.758.054 9.33.55 17.723 4.835 23.974 11.086 6.25 6.252 10.536 14.644 11.085 23.975.55 9.332-3.045 19.41-11.086 27.45l-19.434 19.436 19.433 19.433c8.04 8.04 11.634 18.12 11.085 27.45-.55 9.332-4.834 17.724-11.086 23.975-6.252 6.25-14.644 10.537-23.975 11.086-9.33.55-19.41-3.044-27.45-11.085L256 433.02l-19.434 19.435c-8.04 8.04-18.12 11.635-27.45 11.086-9.332-.548-17.724-4.834-23.975-11.085-6.25-6.25-10.536-14.643-11.085-23.975-.55-9.33 3.045-19.41 11.086-27.45l19.434-19.434-19.433-19.436c-8.04-8.04-11.634-18.118-11.085-27.45.55-9.33 4.834-17.722 11.086-23.974 6.252-6.25 14.644-10.537 23.975-11.086.583-.034 1.17-.052 1.758-.054zm.943 18c-.55-.018-1.097-.01-1.644.022-4.374.256-8.882 2.42-12.305 5.843s-5.586 7.93-5.844 12.305c-.257 4.374.986 8.807 5.844 13.666l90.295 90.293c4.86 4.858 9.292 6.103 13.666 5.845 4.374-.257 8.882-2.422 12.305-5.845 3.423-3.423 5.586-7.93 5.844-12.303.257-4.374-.986-8.808-5.844-13.666l-90.295-90.295c-4.25-4.25-8.176-5.733-12.022-5.865zm88.368 0c-3.846.133-7.77 1.615-12.022 5.866l-19.435 19.435 25.97 25.97 19.436-19.434c4.858-4.86 6.1-9.292 5.844-13.666-.258-4.375-2.42-8.882-5.844-12.305-3.423-3.423-7.93-5.587-12.305-5.844-.547-.033-1.095-.04-1.644-.022zm-82.88 76.725l-19.437 19.436c-4.858 4.858-6.1 9.292-5.844 13.666.258 4.374 2.42 8.88 5.844 12.303 3.423 3.423 7.93 5.588 12.305 5.845 4.374.258 8.807-.987 13.666-5.845l19.433-19.434-25.967-25.97z"}}]})(props);
};
function GiSilex (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M407 38.31c-83.1 16.32-65.1 11.63-142.4 3.2-35.3 39.72-55.2 46.16-79.6 55.38-15.2 34.21-32.3 77.31-83.8 98.41-9.05 73.1-34.15 127.5-74.58 163.6 19.12 30.9 20.69 63.5 19.64 96.1 46.79-6.3 71.54 9.6 102.94 18.7 48.2-52.3 112.9-88.8 196.2-107.9 41.1-92.5 127.9-82.1 140-94-23.8-43.7-7.2-94.5-19.8-136.9-3.9-13.1-11.9-25-20.9-36.61-29.3 12.91-43.8 26.91-52 42.51-8.5 15.9-10.3 35-11.7 57.8 8.4-1.2 16.6-1.5 24.1-1.1 9 .5 17.3 2.1 24.1 4.2l-5.2 17.2c-21.3-6.5-64.1-6.7-95.8 26.2l-13-12.6c14.7-15.1 31.2-24.4 47.5-29.6 1.5-25.4 2.7-48.9 14-70.5 9.9-18.7 27.1-34.81 56.4-48.58-11.6-14.56-22.6-29.18-26.1-45.51zm-89.9 48.84l17.2 5.04c-18.7 64.01-56 104.51-104.1 129.11 2.6 24.6 1.8 46-1.7 64.3 11.5-4.3 22.9-6.3 34-6.4 5.9 0 11.7.5 17.5 1.4 22.8 3.8 44.3 14.1 65.1 25.2l-8.4 15.8c-20.4-10.8-40.3-20.1-59.7-23.2-18.1-3-35.7-1.1-54.9 10.2-8.1 21.8-20.8 38.2-36.6 50-10.1 7.6-21.3 13.4-33 17.7-18.7 16-28.2 41.3-26.9 62.8l-18 1c-1.1-18.6 3.8-38.5 14.4-55.6-17.8 3.2-35.75 4.2-52.54 4.3l-.12-18c36.76-.2 77.36-5.5 105.36-26.6 26.3-19.7 43.7-53.1 38.2-115-13.9 5.8-28.5 10.4-43.8 14.1l-4.2-17.4c73.1-17.7 127.7-55.4 152.2-138.75z"}}]})(props);
};
function GiSilverBullet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M265.8 18.05c-4.7 38.56-4.7 38.56-38.4 57.92 38.6 4.73 38.6 4.73 58 38.43 4.7-38.58 4.7-38.58 38.4-57.95-38.6-4.73-38.6-4.73-58-38.4zm206.3 20.59c-3.8 1.14-9 3.12-15.2 6.04-14.1 6.57-32.6 17.05-51.9 29-38.5 23.86-80.5 54.32-96.1 70.42l-.8.8-42 24.4c3.6 2.2 7 4.6 10.5 7.3 12.8 9.9 25.3 22.6 32 28.9l-12.2 13.2c-7.5-7-19.4-19.1-30.8-27.9-5.6-4.3-11.2-7.8-15-9.3-2.2-.8-3.3-1-3.8-1l-.8.5L60.57 366.2c3.35.5 6.73 1.4 10.09 2.5 14.85 4.9 30.54 14.9 44.84 29.2 14.2 14.2 24.2 29.9 29.2 44.7.6 1.9 1.2 3.8 1.6 5.8l183.3-183.3 36-58.6.7-.8c17.8-17.7 48.1-60.4 71.6-99.3 11.8-19.41 22-38.06 28.3-52.18 2.9-6.4 4.8-11.71 5.9-15.58zM438 153.2c4.1 31.3 4.1 31.3-18.4 53.5 31.4-4.2 31.4-4.2 53.5 18.2-4.2-31.2-4.2-31.2 18.1-53.4-31.1 4.1-31.1 4.1-53.2-18.3zM85.47 185.4c-16.43 30.2-16.43 30.2-50.41 35.3 30.18 16.5 30.18 16.5 35.3 50.4C86.79 241 86.79 241 120.7 235.8c-30.14-16.5-30.14-16.5-35.23-50.4zm333.03 55.2c-25.1 52-25.1 52-81.9 63.1 52.1 25.1 52.1 25.1 63.2 81.9 25.1-52.1 25.1-52.1 81.8-63.1-52-25.2-52-25.2-63.1-81.9zM52.38 383.5c-4.41 0-7.54 1.2-9.37 3-3.25 3.3-4.52 10.6-.78 22 3.82 11.3 12.45 25.2 24.89 37.7 12.45 12.4 26.31 21 37.68 24.8 11.4 3.8 18.7 2.5 22-.7 3.2-3.3 4.5-10.6.8-22-3.9-11.3-12.5-25.2-25-37.6-12.42-12.5-26.28-21.1-37.6-24.9-4.98-1.7-9.19-2.3-12.62-2.3zm166.12 28.4c3 25.2 3 25.2-15.4 42.9 25.3-3.1 25.3-3.1 43 15.3-3-25.3-3-25.3 15.2-42.9-25.2 3-25.2 3-42.8-15.3zM69.32 421a20.66 7.804 45 0 1 16.83 10.1 20.66 7.804 45 0 1 9.09 20.1 20.66 7.804 45 0 1-20.13-9.1 20.66 7.804 45 0 1-9.09-20.1 20.66 7.804 45 0 1 3.3-1z"}}]})(props);
};
function GiSinagot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M117.3 41.08c4.5 117.22-11 230.92-33.94 343.02 48.74 1.5 94.14-1.7 140.64-9 4.3-16.6 8.2-35.8 11.5-56.5-2.3-54.1-12.5-109.7-19.3-168.5zm69.6 15.03l.1 35.03L205.1 111l-.2-54.89zM264 123.6c4.5 93.3-5.8 198.4-25.1 265l116.2-12.5c3.3-60.6.3-114.4-6.3-174.3zm54.4 2.5v23.2l18 16.6v-39.8zm154.2 262.2c-53.5 11.2-87.7 15.4-136.2 22.4v-14.5l-18 1.9v15c-36.4 4.4-74.2 6.9-112.5 8.2l-.1-25.3c-6 .8-12 1.5-18 2.2l.1 23.6c-54.7 1.4-110.49.5-164.98-.3 14.72 13.6 24.36 31.5 46.67 43.8 101.81 9.9 200.41 4.6 299.21 0l22.4-46 97.9-17z"}}]})(props);
};
function GiSing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M251.47 18.844c-42.103 0-80.822 25.502-109.532 68.156C113.227 129.654 95 189.316 95 255.406s18.227 125.784 46.938 168.438c28.71 42.653 67.43 67.468 109.53 67.468 42.102 0 80.853-24.815 109.563-67.468 28.712-42.654 46.94-102.347 46.94-168.438 0-66.09-18.228-125.752-46.94-168.406-28.71-42.654-67.46-68.156-109.56-68.156zm-52.94 161.812c.907-.013 1.812-.018 2.72 0 9.685.198 19.48 2.548 29.188 6.438l-7 16.937c-31.307-12.544-60.594-2.12-80 30.94l-16.375-9.908c16.74-28.52 43.404-44.005 71.468-44.406zm104.72 1.156c28.064.402 54.695 15.886 71.438 44.407l-16.344 9.342c-19.407-33.06-48.694-42.918-80-30.375l-7-17.53c9.707-3.89 19.502-5.615 29.187-5.813.91-.02 1.815-.044 2.72-.03zM252.187 245.5c53.175 0 96.282 50.127 96.282 111.97 0 61.838-43.108 112-96.283 112-53.174 0-96.28-50.16-96.28-112 0-61.843 43.106-111.97 96.28-111.97zm-19.53 54.156l2 14.094 11.03 78.78c-6.2-2.444-13.285-3.874-20.656-3.874-21.288 0-36.88 11.77-34.843 26.28 2.04 14.513 20.96 26.25 42.25 26.25s36.883-11.737 34.844-26.25c0-.01.002-.02 0-.03l.408-.062-9.25-66.875 39.875 13.31 12.093 4.44V320.593l-6.875-1.625-57.186-15.69-13.688-3.624z"}}]})(props);
};
function GiSinkingShip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M279.816 85.93L269.3 100.465l28.06 27.111 8.694-16.3zm-21.175 29.267l-42.282 58.436 37.246 35.984 34.946-65.525zM153.455 137.9l-46.816 29.192L306.46 360.15c4.08-1.929 8.605-3.15 13.539-3.15 3.881 0 7.508.76 10.867 2.02l-1.55-1.499 12.503-12.945L354.682 357l-10.268 10.63c4.31 3.924 8.02 8.35 11.486 12.745l11.077-11.465 12.859 12.426-12.508 12.945c3.62 4.436 8.724 9.265 13.916 10.43l10.908-11.293 5.016 4.846c3.702-3.574 7.58-8.457 11.63-13.664zm-98.623 4.168c-4.078 8.773-3.407 19.566-.8 32.7 3.406 17.167 10.435 36.207 10.222 54.75-.075 6.474-1.264 12.54-2.803 18.23l116.563 112.615C182.208 358.31 186.885 357 192 357c9.367 0 17.28 4.373 23.41 9.713 6.13 5.34 11.027 11.762 15.694 17.762 4.666 6 9.103 11.577 13.306 15.238 4.203 3.66 7.623 5.287 11.59 5.287 3.967 0 7.387-1.627 11.59-5.287s8.64-9.238 13.306-15.238c3.429-4.408 6.985-9.042 11.06-13.309zm106.947 28.569l12.862 12.425-12.508 12.946-12.862-12.426zm208.06 2.263l-10.517 14.536 28.059 27.109 8.693-16.299zM187.5 195.486l12.86 12.424-12.504 12.945-12.86-12.423zm161.165 6.682l-42.283 58.436 37.246 35.982 34.945-65.524zM213.22 220.334l12.861 12.424-12.504 12.945-12.861-12.424zm25.722 24.85l12.86 12.423-12.508 12.946-12.86-12.424zm221.084 15.191l-10.517 14.537 28.06 27.11 8.694-16.301zM55.56 267.084a66.9 66.9 0 0 0-.627 2.52c-2.532 11.232-2.865 18.802 7.882 29.185l89.479 86.453c.203-.26.4-.506.603-.767 3.338-4.292 6.802-8.794 10.743-12.967zm209.103 2.947l12.86 12.424-12.508 12.945-12.86-12.423zm174.188 19.612l-42.145 58.246 23.654 22.855a68.962 68.962 0 0 1 4.23-4.031C430.72 361.373 438.634 357 448 357c.082 0 .162.005.244.006l20.516-38.469zm-148.467 5.236l12.86 12.426-12.509 12.945-12.859-12.426zm25.72 24.85l12.86 12.423-12.508 12.946-12.86-12.424zM64 375c-19.807 5.72-33.274 18.147-46 31.898v30.579l.01-.006C31.525 428.62 47.7 419 64 419s27.881 10.654 37.842 19.154C111.802 446.654 120.144 453 128 453c7.856 0 16.197-6.346 26.158-14.846C164.12 429.654 175.7 419 192 419c16.3 0 27.881 10.654 37.842 19.154C239.802 446.654 248.144 453 256 453c7.856 0 16.197-6.346 26.158-14.846C292.12 429.654 303.7 419 320 419c16.3 0 27.881 10.654 37.842 19.154C367.802 446.654 376.144 453 384 453c7.856 0 16.197-6.346 26.158-14.846C420.12 429.654 431.7 419 448 419c16.3 0 32.475 9.62 45.99 18.47l.01.007v-30.578c-9.969-10.693-33.06-31.31-46-31.899-3.967 0-7.387 1.627-11.59 5.287C419.78 396.286 407.425 422.591 384 423c-27.151-1.916-36.8-28.488-52.41-42.713-4.203-3.66-7.623-5.287-11.59-5.287-3.967 0-7.387 1.627-11.59 5.287C291.78 396.286 279.425 422.591 256 423c-27.151-1.916-36.8-28.488-52.41-42.713-4.203-3.66-7.623-5.287-11.59-5.287-3.967 0-7.387 1.627-11.59 5.287C163.78 396.286 151.425 422.591 128 423c-27.151-1.916-36.8-28.488-52.41-42.713C71.387 376.627 67.967 375 64 375zm0 62c-18.195 3.791-32.267 12.364-46 22.385V494h476v-34.615c-11.752-8.054-32.671-21.938-46-22.385-24.766 6.02-41.304 33.45-64 34-23.532 2.01-46.008-36.297-64-34-25.282 3.227-41.304 33.45-64 34-23.532 2.01-46.008-36.297-64-34-25.282 3.227-41.304 33.45-64 34-23.532 2.01-45.87-33.455-64-34z"}}]})(props);
};
function GiSinkingTrap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M129.785 50.53l-18.34 3.59 11.502 58.716c-2.942.398-5.865 1.092-8.738 2.092L81.245 58.336l-16.148 9.406 32.798 56.313c-1.93 1.522-3.793 3.18-5.587 4.95l-47.675-45.73L31.7 96.762l49.007 47.01c-1.355 2.25-2.6 4.584-3.734 6.988L29.01 123.87l-9.14 16.304 67.148 37.642c7.432 5.644 15.256 9.8 23.113 11.596l105.597 86.397 20.11 86.356 14.804 88.023h18.903l10.973-87.077 20.564-88.302 103.635-84.792c8.947-1.286 17.92-5.78 26.38-12.206l67.14-37.638-9.137-16.303-47.965 26.89c-1.135-2.404-2.38-4.738-3.735-6.987l49.01-47.01-12.937-13.488-47.673 45.73c-1.795-1.77-3.658-3.427-5.588-4.95l32.798-56.313-16.15-9.406-32.962 56.594c-2.872-1-5.794-1.696-8.736-2.094l11.502-58.715-18.342-3.59-14.172 72.353c-2.132 2.757-4.35 5.304-6.79 7.547l-18.85-35.73-16.53 8.72 22.436 42.527c3.555 9.423 7.447 17.122 11.592 23.307l-68.668 85.63c-1.106 1.866-2.284 3.67-3.553 5.38-8.562 11.545-21.266 19.51-35.67 19.51-14.403 0-27.106-7.965-35.668-19.51-.318-.43-.62-.874-.927-1.313h-.01l-70.574-88.007c4.583-6.456 8.876-14.704 12.763-25.01l22.427-42.513-16.53-8.72-18.85 35.73c-2.438-2.242-4.656-4.788-6.788-7.545L129.784 50.53zm128.33 121.837c-7.593 0-14.802 4.06-20.654 11.95-5.85 7.89-9.825 19.448-9.825 32.406 0 12.957 3.974 24.516 9.826 32.408 5.853 7.892 13.062 11.952 20.655 11.952 7.593 0 14.804-4.06 20.656-11.95 5.854-7.893 9.828-19.452 9.828-32.41 0-12.957-3.974-24.515-9.827-32.406-5.85-7.89-13.06-11.95-20.655-11.95zm-52.912 257.06c-14.898 6.732-24.53 16.38-24.53 26.862 0 20.435 35.37 36.794 78.845 36.794 43.473 0 78.84-16.36 78.84-36.795 0-10.592-9.353-20.118-24.526-26.862 4.54 4.033 7.59 8.548 7.59 13.43 0 15.976-27.917 28.62-61.904 28.62s-61.323-12.644-61.323-28.62c0-4.833 2.55-9.427 7.008-13.43z"}}]})(props);
};
function GiSinusoidalBeam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.7 18.7v31.474l7.804 9.853c-3.24 5.71-5.774 11.464-7.512 17.12-.104.34-.192.684-.29 1.025v28.437c1.392 3.52 3.446 6.762 6.275 9.585 9.892 9.873 24.882 10.316 39.107 5.93 2.954-.91 5.934-2.048 8.922-3.377l38.894 49.115c-1.928 4.116-3.545 8.218-4.81 12.266-5.35 17.106-4.78 34.656 6.61 46.07 11.392 11.41 28.924 11.99 45.96 6.67.977-.306 1.96-.637 2.942-.98l65.402 82.587c-.53 1.544-1.036 3.084-1.49 4.61-6.15 20.656-5.49 41.09 7.65 54.255 11.795 11.818 29.506 13.57 47.713 9.166l87.736 110.79h23.84l-2.316-2.923c3.324-9.926 8.54-20.652 15.472-31.45l31.365 34.374H493.3v-75.472l-31.062-27.096c5.482-8.462 10.068-16.987 13.664-25.396l17.397 13.36v-23.56l-10.98-8.435c5.676-22.206 3.702-43.492-10.226-57.39-15.163-15.132-39.034-16.085-63.23-8.472-2.783.875-5.59 1.88-8.41 2.984l-89.493-68.736c.83-2.283 1.583-4.55 2.24-6.8 5.66-19.4 4.954-38.725-7.53-51.235-12.484-12.51-31.86-13.23-50.99-7.25-6.114 1.91-12.345 4.524-18.582 7.786l-59.504-45.703c2.706-4.89 4.92-9.77 6.59-14.557 5.17-14.83 5.566-30.396-4.614-40.597-10.178-10.202-25.744-9.823-40.57-4.664-7.716 2.685-15.67 6.774-23.54 12.092L55.274 18.7H18.7zm137.84 48.556c4.273-.033 7.21 1.077 8.802 2.672 2.83 2.835 4.132 9.955.195 21.244-1.012 2.903-2.35 5.977-3.99 9.152l-31.27-24.017c4.855-2.87 9.55-5.088 13.866-6.59 4.938-1.72 9.072-2.436 12.396-2.46zM39.296 76.182l21.615 27.297c-.788.282-1.57.55-2.336.786-10.46 3.225-17.255 1.84-20.398-1.297-3.144-3.138-4.525-9.9-1.32-20.333.636-2.07 1.456-4.233 2.44-6.455zm78.72 14.273l33.383 25.64c-.527.686-1.086 1.37-1.636 2.053l-31.746-27.693zm-17.11 33.426l22.44 24.595c-.47.658-.94 1.317-1.396 1.978L100.91 123.88zm65.34 3.622l52.868 40.605c-2.168 1.557-4.323 3.197-6.463 4.903l-48.773-42.547c.803-.984 1.602-1.97 2.368-2.96zm-29.936 35.18l38.627 42.334c-2.238 1.42-4.468 2.74-6.67 3.923l-34.048-42.995c.667-1.085 1.368-2.174 2.09-3.263zm140.77 2.164c6.828.095 12.03 2.068 15.36 5.406 5.685 5.696 7.436 16.95 2.824 32.777L252.78 170.4c2.548-1.07 5.05-2.006 7.474-2.763 5.763-1.8 10.93-2.685 15.44-2.785.47-.01.93-.013 1.386-.006zm-42.338 15.26l53.252 40.904c-1.968 3.888-4.236 7.85-6.748 11.836l-54.215-47.293c2.567-1.938 5.142-3.765 7.712-5.446zm-109.488 4.62l24.86 31.395c-11.155 2.685-19.058 1.01-23.184-3.122l-.002-.002c-4.6-4.61-6.178-13.935-2.002-27.29.1-.322.22-.653.328-.98zm62.484 34.32l56.766 62.212c-2.957 4.59-5.663 9.19-8.06 13.775l-56.39-71.21c2.57-1.47 5.134-3.067 7.684-4.778zm115.342 13.55l78.408 60.222c-6.084 3.394-12.166 7.278-18.177 11.616l-67.794-59.14c2.768-4.223 5.302-8.465 7.564-12.698zm134.16 62.273c9.404.114 16.794 2.82 21.653 7.667 6.444 6.43 9.11 17.333 6.96 31.518l-47.537-36.512c6.178-1.672 11.877-2.538 17.016-2.662.645-.015 1.28-.018 1.908-.01zm-179.63.753l50.32 55.15c-6.605 4.173-13.157 7.547-19.403 10.03l-39.18-49.477c2.283-5.103 5.053-10.373 8.262-15.703zm140.245 9.768l62.665 48.13c-3.06 7.96-7.285 16.32-12.563 24.755l-70.105-61.156c6.714-4.59 13.44-8.52 20.003-11.73zM242.43 332.694l26.26 33.162c-9.63.86-16.912-1.318-21.3-5.714-5.222-5.232-7.314-14.614-4.96-27.447zm78.302 32.112l72.788 79.77c-6.504 9.502-11.876 19.133-15.967 28.646l-76.987-97.216c6.712-3.015 13.476-6.772 20.166-11.2z"}}]})(props);
};
function GiSiren (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M157.705 400.355h193.09v17.53h-193.09v-17.53zm180.8-17.53h-165v-96.82a53.29 53.29 0 0 1 53.29-53.29h58.43a53.29 53.29 0 0 1 53.28 53.29v96.79zm-106.64-135.77h-10.44a37.83 37.83 0 0 0-37.83 37.83v77.22h48.27v-115zm-197 79.59h103.58v-17.53H34.875v17.53zm137.41-107.9l-73.22-73.23-12.4 12.4 73.23 73.23zm92.5-124.63h-17.54v103.57h17.53V94.115zm149 51.39l-73.23 73.23 12.4 12.4 73.23-73.23zm-40.18 163.6v17.53h103.54v-17.52h-103.57z"}}]})(props);
};
function GiSittingDog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M231.6 16.18l16.7 120.02 73.8 20.5c37.3-11.2 78.5-18.2 102.3-43.6 9.7-10.3 17.2-24.78 9.1-37.92l-75.3 2.22-14.6-31.79h-74.7c-7.7-11.71-22.8-20.46-37.3-29.43zm5.7 145.22c-46.9 19.8-110.1 146.3-111.8 276.5-34.02-58.1-24.9-122.6-2.9-202.6C55.31 287 4.732 448.4 133.1 486.9H346s-6.3-21.5-14.1-28.9c-12.7-12-48.2-20.2-48.2-20.2 27.8-39.2 33.5-71.7 38.6-103.9 4.5 59.8 40.7 126.8 57.4 153h76.5s4.6-15.9.2-21.5c-10.9-13.8-51.3-11.9-51.3-11.9-31.1-107.2-46.3-260.2-90-273.2-21.7-6.5-54.3-14.1-77.8-18.9z"}}]})(props);
};
function GiSixEyes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M365.844 20.97c-40.147.554-80.328 18.658-115.28 55.936 69.614 76.607 158.46 79.904 237.03 0-36.313-37.23-79.014-56.528-121.75-55.937zm2.437 18.686c2.05 0 4.045.167 6 .5-8.556 2.06-14.936 10.013-14.936 19.5 0 11.052 8.638 20 19.312 20 10.675 0 19.344-8.948 19.344-20 0-1.85-.265-3.644-.72-5.343 4.89 6.47 7.814 14.612 7.814 23.468 0 21.06-16.484 38.126-36.813 38.126-20.328 0-36.81-17.066-36.81-38.125 0-21.057 16.482-38.124 36.81-38.124zm-229.81 49.22c-40.148.554-80.33 18.66-115.282 55.936 69.615 76.608 158.46 79.904 237.03 0-36.312-37.23-79.013-56.528-121.75-55.937zm2.436 18.655c2.06 0 4.064.196 6.03.532-8.57 2.05-14.967 9.972-14.967 19.47 0 11.05 8.637 20 19.31 20 10.676 0 19.345-8.95 19.345-20 0-1.868-.257-3.66-.72-5.376 4.9 6.475 7.814 14.635 7.814 23.5 0 21.06-16.485 38.125-36.814 38.125-20.33 0-36.812-17.065-36.812-38.124 0-21.058 16.483-38.125 36.812-38.125zm224.938 56.845c-40.147.555-80.328 18.66-115.28 55.938 69.614 76.607 158.46 79.903 237.03 0-36.313-37.23-79.014-56.53-121.75-55.938zm2.437 18.656c2.072 0 4.086.192 6.064.532-8.587 2.038-15 9.96-15 19.47 0 11.05 8.638 20.03 19.312 20.03 10.675 0 19.344-8.98 19.344-20.03 0-1.846-.267-3.616-.72-5.313 4.89 6.477 7.814 14.612 7.814 23.468 0 21.058-16.484 38.125-36.813 38.125-20.328 0-36.81-17.067-36.81-38.125 0-21.06 16.482-38.157 36.81-38.157zm-229.81 49.22c-40.148.555-80.33 18.66-115.282 55.938 69.615 76.607 158.46 79.903 237.03 0-36.312-37.23-79.013-56.53-121.75-55.938zm2.436 18.688c2.048 0 4.044.167 6 .5-8.557 2.06-14.937 9.98-14.937 19.468 0 11.052 8.637 20.03 19.31 20.03 10.676.002 19.345-8.978 19.345-20.03 0-1.845-.267-3.615-.72-5.312 4.89 6.47 7.814 14.613 7.814 23.47 0 21.057-16.485 38.123-36.814 38.123-20.33 0-36.812-17.066-36.812-38.125 0-21.058 16.483-38.125 36.812-38.125zm224.938 56.312c-40.147.555-80.328 18.66-115.28 55.938 69.614 76.607 158.46 79.903 237.03 0-36.313-37.23-79.014-56.53-121.75-55.938zm2.437 18.688c2.05 0 4.045.167 6 .5-8.556 2.06-14.936 10.012-14.936 19.5 0 11.052 8.638 20 19.312 20 10.675 0 19.344-8.948 19.344-20 0-1.85-.265-3.644-.72-5.344 4.89 6.47 7.814 14.613 7.814 23.47 0 21.057-16.484 38.123-36.813 38.123-20.328 0-36.81-17.066-36.81-38.125 0-21.058 16.482-38.125 36.81-38.125zm-229.81 49.218c-40.148.555-80.33 18.66-115.282 55.938 69.615 76.607 158.46 79.904 237.03 0-36.312-37.23-79.013-56.528-121.75-55.938zm2.436 18.656c2.06 0 4.064.195 6.03.532-8.57 2.05-14.967 9.97-14.967 19.47 0 11.05 8.637 19.998 19.31 19.998 10.676 0 19.345-8.947 19.345-20 0-1.867-.257-3.66-.72-5.375 4.9 6.475 7.814 14.636 7.814 23.5 0 21.06-16.485 38.125-36.814 38.125-20.33 0-36.812-17.066-36.812-38.125 0-21.058 16.483-38.125 36.812-38.125z","fillRule":"evenodd"}}]})(props);
};
function GiSkateboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M390.5 16h-2.2c-9.6.3-18 3.69-25.1 10.87l-30.3 30.31c3.8 4.41 7.1 9.12 9.4 13.97 1.6 3.37 2.7 6.85 2.9 10.8.2 3.96-1 8.8-4.4 12.16l-16.2 16.19 77 77.1 16.2-16.2c3.3-3.4 8.2-4.6 12.2-4.4 3.9.2 7.4 1.3 10.8 2.9 4.8 2.3 9.6 5.6 13.9 9.4l30.3-30.3c11.5-11.5 13.3-26.1 8.4-43.8-5.1-17.58-17.6-36.95-33.5-52.89-16-15.93-35.3-28.44-52.9-33.46-5.9-1.65-11.2-2.57-16.5-2.65zm-92.4 37.16l-54.5 54.54c0 .6.3 2.1 1.1 4.1 1.7 4 5.5 9.7 10 14.3 4.4 4.8 9.7 8.8 13.5 10.4 1.8.9 3.3 1.1 3.8 1.1h.1l55.2-55.22c-.1-.58-.3-1.79-1.2-3.56-1.8-3.9-5.8-9.33-10.5-13.99-4.6-4.66-10.1-8.68-14-10.52-1.7-.84-2.9-1.05-3.5-1.15zm14 69.74l-15.3 15.3 15 29.9-4.7 4.6c-3.5 3.5-5.7 9.6-5.7 16.1 0 6.4 2.2 12.5 5.7 16h.1v.1c3.5 3.5 9.6 5.7 16 5.7 6.5 0 12.6-2.2 16.1-5.7l4.6-4.7 29.9 15 15.2-15.4zm-65.3 20.5L143.3 246.8c3.9 4.5 7.3 9.1 9.5 14.2 1.5 3.5 2.7 7.3 2.6 11.5-.2 3.7-1.5 7.7-4.1 11l13.9 6.9c6.9-4.6 15.3-6.9 23.5-6.9 10.4 0 21 3.3 28.7 11.1 7.8 7.7 11 18.3 11 28.7 0 8.2-2.2 16.4-6.8 23.4l6.9 13.9c3.3-2.5 7.4-3.5 10.7-3.4 4 .1 7.6 1.1 11 2.6 5.1 2.1 10.1 5.3 14.8 9.1L368.8 265c-3.7-4.6-6.9-9.7-9.1-14.7-1.5-3.5-2.5-7.1-2.6-11-.1-3.4.9-7.4 3.4-10.7l-13.8-7c-6.9 4.7-15.2 6.9-23.5 6.9-10.4 0-21-3.3-28.7-11-7.7-7.7-11-18.3-11-28.7 0-8.3 2.2-16.6 6.9-23.5l-7-13.9c-3.2 2.6-7.2 3.9-10.9 4.1-4.2.1-8-1.1-11.6-2.6-5-2.3-9.7-5.7-14.1-9.5zm182.8 41.3l-54.5 54.6c0 .6.2 2.1 1.1 3.9 1.6 4.1 5.5 9.8 10 14.4 4.4 4.8 9.8 8.7 13.5 10.4 1.9.8 3.3 1.1 3.8 1h.2l55.1-55.1c-.1-.6-.3-1.8-1.2-3.5-1.8-3.9-5.8-9.4-10.5-14-4.7-4.7-10.1-8.7-14-10.5-1.8-.9-2.9-1.1-3.5-1.2zM403.7 269l-.1.1c0 .1.3 0 .1-.1zm-296.1-25.5l-54.43 54.6c.1.6.31 1.8 1.15 3.6 1.85 3.9 5.86 9.3 10.53 14 4.65 4.6 10.08 8.7 13.99 10.5 1.76.9 2.98 1.1 3.55 1.2l55.21-55.2v-.1c0-.5-.2-2-1.1-3.9-1.7-3.8-5.7-9-10.4-13.5-4.7-4.4-10.3-8.3-14.4-10-2-.9-3.5-1.1-4.1-1.2zm30.6 53.3l-15.4 15.3 77 77 15.4-15.3-15-29.9 4.6-4.5c3.5-3.5 5.8-9.8 5.8-16.1 0-6.4-2.3-12.6-5.8-16h-.1v-.1c-3.4-3.5-9.6-5.9-16-5.9s-12.6 2.4-16.1 5.9l-4.5 4.6zm-28 28l-16.04 16c-3.35 3.3-8.2 4.6-12.15 4.5-3.96-.2-7.43-1.4-10.8-3-4.87-2.3-9.57-5.5-13.99-9.4L26.9 363.2c-11.48 11.5-13.27 26.2-8.23 43.8 5.02 17.7 17.52 37 33.45 52.9 15.95 16 35.32 28.5 52.88 33.5 17.6 5 32.3 3.2 43.8-8.3l30.3-30.3c-3.9-4.4-7.1-9.1-9.4-14-1.6-3.4-2.8-6.8-3-10.8-.2-4 1.1-8.8 4.5-12.2l16-16zm129 50.3l-54.6 54.5c.1.6.3 1.8 1.2 3.6 1.8 3.8 5.9 9.3 10.5 14 4.7 4.6 10.1 8.7 14 10.5 1.8.8 3 1 3.6 1.1l55.1-55v-.2c0-.5-.2-1.9-1-3.8-1.7-3.8-5.7-9.1-10.4-13.6-4.7-4.4-10.3-8.3-14.4-10-1.9-.9-3.4-1.1-4-1.1zm29.8 28.7c0 .2.1-.1 0-.1z"}}]})(props);
};
function GiSkeletalHand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247.61 25.525c-.24-.002-.472.01-.698.04-6.036.447-8.304 9.428-9.457 13.005-.765 16.387.404 18.574 1.324 32.34 4.17-1.2 8.477-1.835 12.788-1.94 5.08-.127 10.157.476 15.022 1.694 1.183-14.606.387-25.685-1.81-32.557-1.974-5.382-7.264-13.057-17.17-12.582zM147.567 49.53c-.62-.024-1.26-.02-1.922.013-6.066 1.007-8.66 9.968-9.63 13.44-.084 11.83.577 16.395 1.484 23.046 7.3-3.137 15.28-4.372 23.102-3.98 1.98.1 3.947.308 5.892.61-.262-9.144-1.402-16.303-3.19-21.22-1.97-4.69-6.45-11.525-15.736-11.91zm234.577 5.716c-5.964.257-12.98 6.254-14.98 9.467-3.832 12.763-4.142 16.74-5.433 25.04 1.813-.05 3.622 0 5.42.15 7.907.672 15.598 3.228 22.38 7.09 3.312-11.086 4.652-19.954 4.257-26.097-.334-4.19-3.424-13.767-9.17-15.382-.792-.223-1.624-.305-2.475-.268zM252.535 87.56c-5.568.098-11.066 1.284-15.498 3.727 3.915 16.74 9.04 35.38.887 55.994 5.526-2.346 11.4-3.49 17.183-3.46 4.525.024 9.007.702 13.338 1.946-4.778-18.102-4.864-36.368-1.1-55.764-4.486-1.637-9.655-2.532-14.81-2.44zm-95.045 12.99c-6.494.177-13.01 1.8-17.957 5.022 5.23 16.7 11.863 35.27 4.647 56.918l-.04.12c-.92 2.862-.773 2.157.358 3.025 4.81-2.72 10.03-4.458 15.32-5.186 3.118-.43 6.26-.545 9.385-.362 2.313.135 4.615.435 6.893.89-7.13-18.768-8.908-38.047-6.436-58.92-2.94-.835-6.113-1.377-9.392-1.496-.923-.033-1.85-.037-2.778-.01zm-96.472 1.51c-2.007-.088-4.342.235-7.094 1.063-8.973 2.49-7.356 6.598-8.12 14.102 1.676 10.703 2.99 15.295 4.704 20.892 8.648-4.985 18.72-7.11 28.484-6.765-1.73-8.804-3.984-15.565-6.512-20.067-2.388-5.023-5.442-8.967-11.462-9.226zm301.052 6.137c-.532-.004-1.062.006-1.588.03-1.76.076-3.48.304-5.12.697-.65 16.804-.666 35.67-13.145 53.066.383-.026.767-.053 1.15-.07 4.753-.206 9.472.348 13.95 1.55 4.908 1.318 9.576 3.37 13.882 6.016.24-18.61 4.996-36.154 13.722-53.763-6.27-4.462-14.87-7.47-22.852-7.526zM79.803 149.7c-8.575.206-19.616 3.163-25.34 7.91 6.807 14.568 14.99 30.547 12.965 50.433 3.414-2.005 7.082-3.5 10.834-4.463 2.7-.692 5.452-1.146 8.222-1.367 2.947-.235 5.914-.195 8.864.086-7.668-16.108-11.197-33.277-11.494-52.183-1.324-.19-2.658-.37-4.05-.416zm175.21 12.12c-6.56-.034-12.477 2.13-17.523 7.14 5.066 27.445 12.187 55.717 4.14 86.86 3.863-1.528 7.87-2.354 11.89-2.433.846-.017 1.692 0 2.54.05 7.723.45 15.01 3.34 21.473 7.983-7.136-30.364-7.94-60.396-3.69-93.24-5.748-3.98-12.486-6.327-18.83-6.36zm-88.374 16.203c-1.484-.023-2.945.06-4.367.256-6.503.895-12.08 3.92-16.402 9.757 9.013 27.392 20.272 55.285 16.056 88.46-.248 2.118-.264 3.898-.092 5.423 6.092-6.135 13.464-9.825 21.295-10.6 1.707-.17 3.412-.212 5.106-.136 3.13.14 6.227.697 9.26 1.603-10.65-28.728-15.355-58.06-15.71-90.764-4.36-2.233-9.057-3.65-13.66-3.94-.497-.033-.993-.052-1.487-.06zm178.704 1.788c-3.81-.013-7.537.908-11.147 2.72-1.545 26.1-1.393 53.79-17.45 80.144l.054-.09c-3.03 5.11-2.72 7.794-1.374 10.72.06.13.145.264.213.395 1.452-.165 2.902-.252 4.34-.237 3.432.036 6.8.584 10.022 1.642 5.87 1.93 11.065 5.296 15.5 9.698 2.098-.327 4.026-.857 5.668-1.58-.915-31.93 5.382-61.34 18.162-92.075-4.598-4.88-10.533-8.643-16.68-10.293-1.9-.51-3.792-.844-5.67-.982-.547-.04-1.094-.06-1.638-.062zM90.77 220.11c-.97-.016-1.938.01-2.893.08-1.775.13-3.505.405-5.143.826-5.094 1.306-9.148 3.77-11.994 7.607 10.976 19.646 23.922 39.995 24.115 66.49.06 3.22.68 4.873 1.81 6.092 3.688-3.67 8.008-6.413 12.76-8.064 4.804-1.67 9.838-2.296 14.925-2.015.31.017.623.044.935.068-13.366-21.43-21.38-44.106-25.754-69.816-2.865-.772-5.84-1.212-8.76-1.266zm361.238 13.697c-6.83.265-11.143 8.22-13.016 11.662-1.473 6.2-2.24 10.29-2.746 13.827 6.79.38 13.315 2.336 19.074 5.445 3.242 1.75 6.272 3.85 9.06 6.23 1.712-8.734 2.18-15.796 1.55-20.89-.22-7.45-.878-12.912-11.72-16.098-.76-.15-1.496-.205-2.202-.177zm-198.15 37.566c-5.736.02-11.392 2.81-16.954 10.98 2.186 24.098 5.206 48.117 5.266 72.733 4.056-.536 8.14-.912 12.22-1.078 4.778-.195 9.545-.12 14.243.222.145-23.142 1.933-46.717 5.226-71.523-5.96-7.075-12.89-10.954-18.852-11.303-.383-.022-.766-.032-1.15-.03zm180.28 5.785c-1.877.034-3.787.338-5.712.793-5.753 19.14-10.762 39.41-22.494 57.7 7.85 3.71 14.216 9.632 18.638 16.565 1.123 1.76 2.124 3.586 3.022 5.46 7.28-22.32 18.26-42.837 33.03-63.23-3.347-5.81-8.253-10.84-13.852-13.863-3.463-1.87-7.058-3.047-10.764-3.363-.618-.054-1.24-.073-1.867-.062zm-248.124 12.006c-.377.01-.75.032-1.114.068-6.014.595-11.696 4.27-16.318 14.58 5.81 24.622 12.43 48.982 16.246 74.385.336-.292.67-.586 1.02-.87 6.656-5.43 14.79-10.045 23.777-13.72-2.564-21.055-3.987-42.725-4.424-65.56-6.58-6.09-13.53-9.017-19.186-8.883zm132.6 2.113v.002c-4.312.093-9.096 2.16-14.536 6.874-3.447 20.253-6.305 40.603-10.912 60.86 9.037 3.065 17.13 7.414 24.313 12.537 5.893-20.932 13.292-41.906 22.23-63.59-3.947-8.366-9.652-13.89-15.327-15.755-1.586-.52-3.217-.85-4.91-.918-.284-.01-.57-.016-.858-.01zm-196.21 17.846c-.633-.018-1.254-.01-1.86.025-1.884.11-3.635.45-5.212.997-5.8 2.015-10.39 6.72-12.533 17.043 13.144 25.046 27.305 49.554 37.286 76.85 4.73-4.38 10.035-8.23 15.68-11.452 2.28-1.302 4.626-2.5 7.015-3.592-10.126-23.7-18.49-48.594-25.706-75.627-5.178-2.682-10.234-4.116-14.67-4.244zm272.242 41.555c-18.752 18.218-37.325 38.756-66.96 47.37l.1-.03c-2.247.682-3.837 1.44-5.018 2.293 9.752 7.94 17.304 18.378 23.06 28.858 19.404-20.463 41.88-35.817 68.932-48.42-.1-6.705-1.94-13.486-5.364-18.852-3.528-5.53-8.406-9.424-14.75-11.218zM261.504 372.12c-18.565.073-39.053 5.082-53.473 12.347 8.687 2.75 16.256 7.877 22.702 14.205 2.912-.117 5.844.092 8.766.65 11.386-7.508 25.232-12.184 39.152-12.96 6.662-.37 13.337.153 19.764 1.68 8.962 2.127 16.753 6.264 23.516 11.6-11.156-12.342-26.23-23.018-45.336-26.34-3.308-.577-6.78-.933-10.35-1.09-1.562-.068-3.144-.097-4.74-.09zm-68.61 28.058c-.688-.004-1.383.01-2.085.04-8.426.37-17.737 3.215-26.122 8-11.182 6.382-20.468 16.082-24.477 25.786-1.752 4.243.537 17.907 5.296 29.47 3.153 7.66 6.092 13.183 8.144 16.862 4.628 5.757 18.354 9.647 33.526 1.07-.918-2.255-1.864-4.7-2.772-7.28-3.866-10.99-8.203-23.92-3.785-36.43 4.364-12.363 13.21-22.71 23.78-29.77 1.67-1.115 3.393-2.15 5.157-3.098-3.45-2.065-7.032-3.49-10.686-4.133-1.907-.335-3.91-.505-5.975-.517zm91.223 4.316c-8.244.064-17.19 2.1-25.226 5.428 3.243 3.152 6.106 6.757 8.626 10.545 6.588 9.904 11.097 21.493 13.597 32.36 1.728 11.428.503 22.12-1.836 32.222-.985 9.276 38.55 14.348 58.803 1.427.358-2.835.71-6.162.795-10.272.205-9.897-1.152-22.028-3.37-27.178-8.107-18.815-22.68-39.064-41.25-43.474-2.197-.522-4.524-.843-6.933-.98-1.053-.06-2.123-.087-3.205-.08zm-51.38 12.192c-6.698.423-13.712 3.178-18.34 6.21-7.552 5.042-13.993 12.83-16.805 20.793-1.13 3.2.402 14.826 3.793 24.464 7.738 26.922 58.007 25.272 61.11 9.313 1.427-7.465 1.872-17.142 1.075-20.606-2.046-8.895-6-18.843-11.04-26.423-5.644-6.907-11.253-13.693-19.794-13.75z"}}]})(props);
};
function GiSkeletonInside (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M299.53 18.813c-19.61.356-40.837 9.338-57.75 26.25-21.96 21.96-30.517 51.24-24.218 74.75-62.778-29-57.658-31.416-120.28-71.594-10.073-6.463-19.442-9.42-27.813-9.814-13.954-.654-25.118 5.805-32.126 14.938C26.13 67.956 24.96 89.496 48.28 107.75c31.027 24.286 58.843 41.04 79.032 59.47 20.19 18.427 32.648 40.59 28.344 70.03-3.158 21.61-13.69 37.998-26.47 51.47-12.778 13.47-27.746 24.486-41.436 36.686-27.38 24.4-50.33 51.753-45.063 114.25 3.328 39.483 34.158 55.117 59.657 52.375 12.75-1.37 23.51-7.336 29.406-17.467 5.897-10.132 7.696-25.438-1.03-47.75-7.595-19.416 3.102-40.836 18.343-57.094 15.24-16.26 36.83-28.82 58.875-25 6.175 1.07 11.42 4.72 15.03 9.155 3.61 4.435 5.996 9.62 7.97 15.25 3.946 11.26 6.27 24.674 9.125 38.563 5.71 27.777 13.662 55.967 33.062 68.468 37.964 24.468 75.258 17.422 91.906.47 8.325-8.478 11.915-18.86 9.126-31.157-2.788-12.3-12.708-27.158-34.28-41.845-23.665-16.11-32.656-48.29-33.845-80.125-1.188-31.836 5.288-64.077 20.126-84.03 6.878-9.25 17.546-13.118 29.656-17.407 12.11-4.29 26.207-8.475 40.75-14.688 29.087-12.425 59.636-32.197 79.125-76.78 17.078-39.07 3.374-64.318-15.28-73.5-9.328-4.593-20.13-5.132-30.438-.626-10.31 4.504-20.43 14.186-27.44 31.75-13.14 32.932-39.218 51.707-70.436 56.436-6.214.942-12.614 1.356-19.188 1.313-.446-.28-.895-.57-1.344-.845 5.914-3.7 11.588-8.15 16.844-13.406 30.064-30.065 35.05-73.856 11.125-97.782-10.466-10.468-24.744-15.403-40-15.126zm-2.342 19.156c9.573-.19 18.524 3.17 25.093 10.28 15.017 16.25 11.9 45.956-6.967 66.375-18.87 20.42-46.328 23.813-61.344 7.563-15.017-16.25-11.9-45.987 6.968-66.407 10.613-11.485 23.94-17.57 36.25-17.81zM65.03 62.593l62.69 45.468-10.282 15.626-63.376-45.97 10.97-15.124zM439.095 85.03l16.094 9.5-36.375 61.595-13.032-14.656 33.314-56.44zm-296.22 34.032l39.94 28.97c-2.63 5.937-4.95 11.934-6.94 18.062l-43.28-31.406 10.28-15.625zm71.94 19.876c.728-.013 1.45-.007 2.186 0 31.214.28 65.063 7.677 92.844 27.687-.43 33.283-4.878 58.947-21.28 86.25-14.544-8.917-30.326-16.685-46.658-22.094l-15.47 46.25 29.72 5.908-7.22 32.968c-27.694.27-53.706-1.247-78.03-14.5l7.438-33.906 29.625 5.875 15.874-47.5c-12.937-2.752-26.05-3.835-39.063-2.688 1.66-33.21 8.716-57.94 23.5-84.03 2.168-.07 4.343-.183 6.532-.22zm174.655 12.25l13.28 14.968-75.813 28.594c.753-6.677 1.195-13.516 1.438-20.53l61.094-23.032zm-240.345 151.03l12.656 13.75-52.31 48.157-20.97-6.094 60.625-55.81zm111.156 22.626l23.033 49.03-17.25 7.25-22.72-48.343 16.938-7.936zm-177 51.125l18.94 5.5 3.874 84.905-18.688.844-4.125-91.25zm209.564 14.186l42.594 68.72-15.875 9.843-44.157-71.25 17.438-7.314z","fillRule":"evenodd"}}]})(props);
};
function GiSkeletonKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M133.28 18.22c-21.24.154-43.79 7.987-63.56 23.03-2.745-1.017-5.597-1.656-8.47-1.906-10.406-.905-21.097 3.164-28.125 11.812-8.964 11.03-9.41 26.375-2.22 37.844-19.66 41.305-13.464 86.867 16.157 110.938 22.238 18.072 52.514 20.727 82.376 9.187l5.03-1.938 4.22 3.407 46.562 37.812L201.844 228l-43.875-35.656 11.78-14.5 43.875 35.625 15.344-18.876-43.876-35.656 11.78-14.5 43.876 35.656 16.563-20.375-46.532-37.814-4.218-3.437.875-5.345c5.19-31.587-3.573-60.646-25.812-78.72-13.53-10.994-30.48-16.316-48.344-16.186zm-2.25 25.468l43.845 13.874L139.562 101l-24.25-7.656 15.72-49.656zM57.876 57.78c.548-.016 1.107.013 1.656.064 2.637.243 5.25 1.265 7.5 3.093 6 4.876 6.876 13.408 2 19.407-4.874 5.998-13.406 6.907-19.405 2.03-6-4.875-6.876-13.406-2-19.405 2.666-3.282 6.41-5.068 10.25-5.19zm56.906 59.75l55.376 11.564-32.72 40.25-22.655-51.813zM91.22 123l12.468 22.156-35.313 43.438-22.53-40.063L91.218 123zm155.03 80l-21.97 27.03 125.157 101.69-24.593 30.25 17.562 14.28 19.875-24.47 14.5 11.783-19.874 24.468 13.25 10.783-16.687 20.53-38.126 44.47 14.187 12.156 32.595-38 19.25 8.03 22.906-28.188 14.5 11.782-41.092 50.562 18.187 14.78 61.406-75.56 15.44 12.562 21.967-27.032L246.25 203z"}}]})(props);
};
function GiSkeleton (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M266.7 175.748v8.948h33.962a10.164 10.164 0 0 1-.094 20.329H266.7v8.948h2.672a10.165 10.165 0 0 1-.252 20.329h-2.42v8.948h1.666a10.165 10.165 0 1 1-.252 20.329h-1.425V268.368a10.175 10.175 0 0 1-10.153 9.954h-.147a10.164 10.164 0 0 1-10.018-10.31v-4.433h-1.666a10.164 10.164 0 0 1 .105-20.329h1.561v-8.948h-1.666a10.164 10.164 0 0 1 .105-20.329h1.561v-8.948h-33.95a10.164 10.164 0 0 1-6.979-17.447 9.997 9.997 0 0 1 7.23-2.871h33.71v-8.949h-33.95a10.164 10.164 0 0 1 .104-20.328h33.856v-8.95h-12.008a10.164 10.164 0 1 1 .105-20.328h11.893v-9.724a10.164 10.164 0 0 1 9.913-10.258 3.217 3.217 0 0 1 .492 0 10.154 10.154 0 0 1 9.913 10.3v9.672h11.998a10.164 10.164 0 0 1 6.978 17.457 10.08 10.08 0 0 1-7.23 2.871h-11.746v8.939h33.96a10.196 10.196 0 0 1 3.825 19.584 9.357 9.357 0 0 1-3.887.744H266.7zm-46.493-61.206a10.185 10.185 0 0 0-9.137-5.742h-.126a10.154 10.154 0 0 0-4.558 1.11l-29.225 14.618a10.164 10.164 0 0 0 8.76 18.306l.304-.146 29.236-14.67a10.185 10.185 0 0 0 4.746-13.476zm118.733 20.203a10.185 10.185 0 0 0-4.328-13.727l-.251-.126-29.235-14.67a10.164 10.164 0 1 0-9.127 18.16l29.235 14.617a10.175 10.175 0 0 0 13.706-4.265zm-156.487 23.65a10.122 10.122 0 0 0-7.178-3.08h-.262a10.175 10.175 0 0 0-10.017 10.268v58.513a10.164 10.164 0 0 0 10.028 10.3h.146a10.175 10.175 0 0 0 10.154-9.913 3.751 3.751 0 0 0 0-.46v-58.398a10.101 10.101 0 0 0-2.87-7.23zm154.234-3.08a10.175 10.175 0 0 0-10.017 10.268v58.513a10.164 10.164 0 0 0 10.028 10.3h.21a9.043 9.043 0 0 0 3.447-.566 10.3 10.3 0 0 0 6.643-9.347 3.751 3.751 0 0 0 0-.46v-58.398a10.164 10.164 0 0 0-10.049-10.31h-.262zM300.19 270.085a10.196 10.196 0 0 0-5.386 1.76l-38.278 25.526-38.247-25.494a10.08 10.08 0 0 0-5.742-1.792 9.829 9.829 0 0 0-4.872 1.216 10.206 10.206 0 0 0-5.24 8.927 10.101 10.101 0 0 0 4.6 8.54l43.874 29.256a10.101 10.101 0 0 0 12.501-.775l42.69-28.45a10.164 10.164 0 0 0-5.9-18.714zm-80.276 51.429a10.122 10.122 0 0 0-7.178-3.08h-.262a10.175 10.175 0 0 0-10.017 10.268v58.512a10.164 10.164 0 0 0 10.028 10.3h.146a10.175 10.175 0 0 0 10.154-9.912 3.751 3.751 0 0 0 0-.46v-58.387a10.101 10.101 0 0 0-2.86-7.241zm87.82 0a10.112 10.112 0 0 0-7.177-3.08h-.262a10.175 10.175 0 0 0-10.007 10.268v58.512a10.164 10.164 0 0 0 10.028 10.3h.23a8.886 8.886 0 0 0 3.438-.565 10.321 10.321 0 0 0 6.632-9.357 4.024 4.024 0 0 0 0-.44v-58.397a10.09 10.09 0 0 0-2.87-7.241zm-87.82 93.48a10.112 10.112 0 0 0-7.178-3.082h-.262a10.175 10.175 0 0 0-10.017 10.27v58.512a10.164 10.164 0 0 0 10.028 10.3h.146a10.175 10.175 0 0 0 10.154-9.913 3.783 3.783 0 0 0 0-.46v-58.398a10.09 10.09 0 0 0-2.86-7.23zm-37.46-165.426a10.112 10.112 0 0 0-7.179-3.08h-.262a10.175 10.175 0 0 0-10.017 10.268v21.806a10.164 10.164 0 0 0 10.028 10.3h.146a10.175 10.175 0 0 0 10.154-9.912 3.751 3.751 0 0 0 0-.461v-21.68a10.09 10.09 0 0 0-2.87-7.241zm161.673 3.668a10.112 10.112 0 0 0-7.178-3.081h-.262a10.175 10.175 0 0 0-10.017 10.269v21.774a10.164 10.164 0 0 0 10.028 10.3h.21a9.043 9.043 0 0 0 3.447-.565 10.3 10.3 0 0 0 6.643-9.347 3.772 3.772 0 0 0 0-.461v-21.66a10.09 10.09 0 0 0-2.871-7.23zm-36.382 161.757a10.112 10.112 0 0 0-7.178-3.08h-.261a10.175 10.175 0 0 0-10.007 10.268v58.513a10.164 10.164 0 0 0 10.028 10.3h.21a9.001 9.001 0 0 0 3.447-.566 10.31 10.31 0 0 0 6.643-9.357 4.045 4.045 0 0 0 0-.44v-58.408a10.09 10.09 0 0 0-2.882-7.23zM285.74 59.467c0 17.363-13.13 38.467-28.292 38.467s-30.157-21.02-30.157-38.467C227.29 34.193 242.265 21 257.448 21c15.184 0 28.334 13.109 28.334 38.467zm-34.086-3.51a9.095 9.095 0 1 0-9.096 9.095 9.095 9.095 0 0 0 9.137-9.095zm27.883 0a9.095 9.095 0 1 0-9.095 9.095 9.095 9.095 0 0 0 9.137-9.095z"}}]})(props);
};
function GiSkiBoot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M163.858 21.243c-2.266 5.14-4.88 11.152-7.495 17.225-.424.987-.719 1.682-1.136 2.654 46.94 34.112 113.516 50.012 189.967 31.479a58.65 58.65 0 0 0-5.06-16.354C280.513 78.775 208.7 64.95 163.859 21.243zm-15.873 36.813c-1.232 2.896-2.511 5.91-2.551 6.004-3.166 8.379-2.27 14.281.851 20.21 3.13 5.944 9.129 11.698 16.39 16.512 14.525 9.628 34.312 15.364 38.513 16.145 11.832 2.2 23.552-2.345 37.228-8.117 10.718-4.524 22.59-9.782 35.947-10.53-48.762-1.385-92.039-16.292-126.378-40.224zm197.084 33.06c-21.6 4.903-42.56 7.224-62.645 7.268 1.104.098 2.218.231 3.342.402 14.74 1.215 23.143 22.597 31.51 25.428 1.667.456 3.728.61 8.658-2.317 9.744-5.783 16.819-17.286 19.135-30.78zm-210.65 7.965c-9.534 42.265-19.942 87.684-33.573 131.168-2.694 32.854.654 51.908 7.814 69.914 7.2 18.105 18.928 35.706 32.784 63.297 8.276 1.96 15.813 2.913 21.76 2.334 17.577-1.71 45.076-17.907 66.765-34.223a457.655 457.655 0 0 0 24.576-19.883c-32.383-.46-66.65-.952-96.588-1.382l-2.553-2.436c-12.872-12.28-22.589-30.64-21.38-48.896l.556-8.407c51.317 1.353 96.286 3.537 147.098 5.623 1.27-3.863 2.541-7.733 3.822-11.716-32.477-5.825-99.194-17.967-120.746-23.217-8.324-2.916-10.934-13.993-13.56-21.211-3.383-9.38-6.832-21.22-8.01-32.611l-1.262-12.182 160.578 32.6c4.287-15.582 8.19-31.118 11.328-45.965-17.573-2.413-18.902-21.77-30.765-25.307-12.529-3.023-23.891 3.006-37.647 8.813-13.755 5.806-29.428 12.592-47.52 9.228-7.993-1.486-27.476-7.11-45.165-18.836-6.807-4.512-13.312-9.953-18.313-16.705zm28.944 78.89c2.415 9.378 5.192 18.272 9.094 26.514 3.796.878 8.866 1.949 14.541 3.112l-5.01-25.844zm37.711 7.657l4.99 25.756c8.862 1.72 18.273 3.506 27.788 5.285l-3.64-25.125zm47.877 9.72l3.59 24.776c21.283 3.916 40.362 7.355 45.945 8.352l5.301-21.995zm-95.953 73.612c2.005 8.02 6.763 16.976 12.565 23.453l14.355.207-8.277-22.912c-6.256-.254-12.935-.521-18.643-.748zm38.067 1.539l8.091 22.397 26.284.376-6.69-21.646c-10.024-.41-18.41-.75-27.685-1.127zm46.767 1.91l6.531 21.133c11.842.17 23.304.334 34.856.494 2.596-6.773 5.107-14.164 6.96-19.646-6.932-.285-27.953-1.146-48.347-1.98zm-153.81 5.654c-6.882 17.355-14.478 34.028-22.979 49.622 6.786 4.136 17.907 10.699 34.1 18.539a286.764 286.764 0 0 0 21.94 9.515c-9.973-18.394-18.721-32.76-25.15-48.924-3.522-8.858-6.213-18.193-7.911-28.752zm189.857 40.541c-7.021 6.339-18.977 16.733-33.09 27.35-22.663 17.05-50.295 35.267-75.842 37.754-7.658.745-15.77.08-24.046-1.543-1.906 17.734-6.522 35.6-13.463 51.832 107.342 6.767 202.84 9.795 316.681 7.19-.116-8.066-.651-15.593-1.51-18.514-5.25-17.87-21.36-32.542-43.396-45.567l-23.299 43.057-77.383 11.693 54.01-77.529a2107.793 2107.793 0 0 0-14.336-6.076l-42.234 57.17-82.879 3.516 13.182-15.657s17.811-21.153 35.98-42.578a6752.13 6752.13 0 0 1 22.45-26.351 321.521 321.521 0 0 1-10.825-5.747zm35.184 5.088c-8.128 9.295-16.62 19.29-23.987 27.952l27.686.753 14.012-18.966zM66.207 351.464c-5.182 27.578-6.555 52.46-4.94 78.04a7708.424 7708.424 0 0 0 46.952 3.257c7.989-16.699 13.315-36.352 15.049-55.319-12.399-4.083-24.706-9.564-35.969-15.017-7.757-3.756-14.864-7.521-21.092-10.961zm307.353 3.87l-13.023 19.005 15.752 7.31 10.25-18.25zM270.154 369.24a16253.728 16253.728 0 0 0-16.878 19.975l33.332-1.414 13.115-17.754zm79.936 20.096l-12.865 18.469 27.129-4.1 3.351-6.195zM55.358 447.083c-3.282 12.566-4.922 33.798-1.606 43.674h110.576c2.708-27.614 210.034-16.532 211.514 0h83.203c1.473-6.923 1.7-26.288-1.723-31.906-144.743 3.794-259.438-1.395-401.964-11.768z"}}]})(props);
};
function GiSkidMark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M495.063 19.938L453.125 35.03l26.844 26.876 15.092-41.968zM433.688 42.03l-64.063 23.032 27.5 14.782 11.094 5.937-8.908 8.907-11.625 11.626 22.375 22.406 11.188-11.19 8.875-8.874 5.938 11.063 13.843 25.718 23.063-64.125-39.283-39.282zm-87.72 31.564L247.532 109l78.376 42.094 11.063 5.937-8.908 8.907-11.625 11.625 22.375 22.407L350 188.78l8.875-8.905 5.97 11.094 41.124 76.5 35.436-98.408-15.844-29.437-8.906 8.906-6.625 6.626-6.592-6.625-35.594-35.593-6.625-6.593 6.624-6.625 9.344-9.345-31.22-16.78zM223.876 117.53l-25.375 9.126 47.063 47.063-53.75 31.03 52.312 28.094 11.063 5.97-8.875 8.874-11.688 11.687L257 281.75l11.22-11.22 8.874-8.874 5.97 11.063 27.123 50.436 31.063-53.78 47.094 47.093 9.125-25.345-43.158-80.25-8.906 8.906-6.594 6.626-6.625-6.625-35.593-35.593-6.594-6.593 6.594-6.625 9.375-9.376-82.095-44.063zm-51.125 98.22l-88.156 50.906 81.812 43.906 11.063 5.97-8.876 8.874-11.656 11.656 22.375 22.407 11.187-11.19 8.875-8.905 5.97 11.063 42.936 79.875 50.907-88.125-26.625-49.563-8.937 8.938-6.594 6.593-6.592-6.594-35.625-35.593-6.594-6.626 6.593-6.594 9.375-9.375-51.438-27.625zM65.562 277.656L19.844 304.03v54.47l62.312 33.47 11.094 5.936-8.906 8.875-11.656 11.658 22.374 22.375 11.188-11.157 8.906-8.906 5.938 11.063 33.97 63.156h55.874l26.375-45.626-42.5-78.97-8.907 8.907-6.594 6.595-6.625-6.594-35.593-35.592-6.594-6.625 6.594-6.594 9.375-9.376-80.907-43.438zm-45.718 102.03V494.97h114l-23.25-43.22-8.906 8.906-6.626 6.594-6.593-6.594-35.595-35.594-6.625-6.593 6.625-6.626 9.375-9.375-42.406-22.783z"}}]})(props);
};
function GiSkier (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M166.5 35.48l-17.6 3.42s1.3 6.81 1.6 14.68c.1 1.81.1 3.65-.1 5.44l-12.5-8.79L114 44.7l13.5 20.27 13.6 9.57c-2.6.95-5.6 1.85-8.7 2.37-7.4 1.26-14 1.38-14 1.38l.4 18s7.7-.12 16.6-1.63c7.4-1.25 16-2.69 22.8-8.19l50.6 35.43c4.1-4.6 8.4-8.9 12.9-12.9l-54-37.88c1.5-6.23 1.1-12.64.8-18.41-.4-9.35-2-17.23-2-17.23zm267.1 7.87c-5.8 0-12.1 1.02-18.5 3.27-11.3 4-20.3 11-25.6 18.37-5.3 7.5-6.9 14.73-5 21.04 1.9 6.31 7.2 11.14 15.6 13.78 8.3 2.59 19.4 2.49 30.8-1.53 11.3-3.99 20.3-11 25.6-18.37 5.3-7.5 6.9-14.72 5-21.04-2-6.31-7.2-11.14-15.6-13.78-3.6-1.13-7.8-1.74-12.3-1.74zm-98.1 41.94c-2.9 0-5.8.11-9 .33-16.5 1.16-36.2 5.23-55 13.25-12.3 5.23-24.3 12.03-35 20.83l54.2 37.9c9-4.5 19.8-7.8 32.9-9.2l9.7-1.1 1.7 62.8 75.8 48.3 7.5-14.7-57.8-46.8.6-5c2.4-20.4 7.4-45.5 8.7-66.2.7-10.4.4-19.7-1.1-26.12-1.5-6.43-3.7-9.23-6.5-10.56-3.9-1.78-12.7-3.46-23.8-3.7h-2.9zM223.1 132.4c-15.4 17.1-26.6 39.9-29.7 70.1-.9 7.7.9 13.7 5 19.7s10.8 12 19.3 17.6c17 11.3 41.1 21.4 63.7 33l9.2 4.7-44.6 63.7 66.1 40.6c3.9-3.8 7.2-6.2 8.4-7.7.9-1.1.9-1.3 1-2.2.1-.8-.2-2.7-1.3-5.9l-25.9-36 4.5-5.3c15.7-19 24-34.3 33-50.9-15.5-26.5-39.2-45.6-73.3-66l-7-4.1 3.4-7.4c4.6-9.9 10.8-19.6 19.9-27.7zm85.2 37.2c-7.7 2.3-13.8 5.3-18.7 9l27.9 18.9c-.5-7.5-1.2-14.9-1.4-22.4zM44.16 248.2l-8.86 15.6 368.5 208.3.6.3c27 10.7 54.9-5.1 72.3-16.9l-10-15c-15.9 10.8-38.7 21.6-55.4 15.2z"}}]})(props);
};
function GiSkills (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.1 25v.1c-25 3.2-47.1 32-47.1 68.8 0 20.4 7.1 38.4 17.5 50.9L99.7 157 84 159.9c-13.7 2.6-23.8 9.9-32.2 21.5-8.5 11.5-14.9 27.5-19.4 45.8-8.2 33.6-9.9 74.7-10.1 110.5h44l11.9 158.4h96.3L185 337.7h41.9c0-36.2-.3-77.8-7.8-111.7-4-18.5-10.2-34.4-18.7-45.9-8.6-11.4-19.2-18.7-34.5-21l-16-2.5L160 144c10-12.5 16.7-30.2 16.7-50.1 0-39.2-24.8-68.8-52.4-68.8-2.9 0-4.7-.1-5.2-.1zM440 33c-17.2 0-31 13.77-31 31s13.8 31 31 31 31-13.77 31-31-13.8-31-31-31zM311 55v48H208v18h103v158h-55v18h55v110H208v18h103v32h80.8c-.5-2.9-.8-5.9-.8-9 0-3.1.3-6.1.8-9H329V297h62.8c-.5-2.9-.8-5.9-.8-9 0-3.1.3-6.1.8-9H329V73h62.8c-.5-2.92-.8-5.93-.8-9 0-3.07.3-6.08.8-9H311zm129 202c-17.2 0-31 13.8-31 31s13.8 31 31 31 31-13.8 31-31-13.8-31-31-31zm0 160c-17.2 0-31 13.8-31 31s13.8 31 31 31 31-13.8 31-31-13.8-31-31-31z"}}]})(props);
};
function GiSkirt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M103 28.31c-4.17 13.68-5.04 26.09-.1 41.09 56.8-3.6 104-5.31 144.4-5.72 67-.67 115.9 2.19 161.7 5.66 4.1-13.38 1.8-25.38-1.1-40.78-68.3 4.02-186.6 1.87-304.9-.25zm168.7 53.25c-7.8 0-15.9 0-24.3.1-23.1.24-48.5.94-76.5 2.14-22.1 45.3-23.9 88.7-30.2 135.5-7.8-43.5-2.9-94.2-.7-134.03-11.8.64-24.1 1.34-36.9 2.16C57.03 219.3 23.88 348.2 25.81 469.9c15.81 3.4 30.97 6.1 45.56 8.2-1.53-21.7 3.82-65.1 20.27-92.1-5.28 29.8-.87 64.1 3.09 94.9 18.07 1.8 35.17 2.6 51.57 2.8 1.2-76.4-.6-125.2 24.7-203.7.3 77.6 6 147.6 23.6 202.1 26.9-1.9 52.3-5.2 77.2-8.8 28.7-4.2 56.7-8.6 85.4-11.3.8-47.6-9.4-120.3-7.4-193.6 25.1 63.6 39.6 125.7 44.7 191.3 28.9-.8 59.1 1 91.7 7.1 1.7-75.4-25-261.8-74.3-373.19 3.1 61.59 7 121.69-1.2 158.59-13.4-54.9-23.6-106-41.5-167.53-29-1.74-60.3-3-97.5-3.11z"}}]})(props);
};
function GiSkis (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M102 20.58c-.8 0-1.5.18-2.3.5-1.62.66-2.55 1.51-3.62 3.58-1.08 2.08-1.97 5.41-2.3 9.63-.67 8.43.85 20.08 3.39 31.48C102.3 88.56 111 110.3 111 110.3l33.8 83.7 12.7-29.9 30 12.7-33.8-83.67s-8.9-21.76-21.1-41.68c-6.1-9.96-13.1-19.39-19.4-24.99-3.2-2.8-6.2-4.58-8.4-5.32-1.1-.38-2-.56-2.8-.56zm153.8.1c-.8 0-1.7.18-2.8.56-2.2.74-5.2 2.52-8.3 5.32-6.4 5.6-13.4 15.02-19.5 24.98-12.2 19.92-21.1 41.67-21.1 41.67l-15.5 38.44 22.3 55.2 2.5 6.2 33.5-82.6s8.7-21.74 13.8-44.55c2.5-11.4 4-23.06 3.4-31.49-.4-4.22-1.3-7.56-2.3-9.64-1.1-2.08-2-2.93-3.7-3.59-.8-.32-1.5-.5-2.3-.5zm97.1 159.77v46h26v-46zm86 0v46h26v-46zm-271.8 7.3l-12.8 30 8.5 20.9 12.7-30 30 12.7-8.4-20.9zm18 44.5l-12.7 29.9 7.2 17.9 42.7-17.3-7.2-17.8zm-40.7 8.8l-8.9 21.8 21.2 8.6zm212.5 3.4v206h-23v18h23v23h18v-23h23v-18h-23v-206zm86 0v206h-23v18h23v23h18v-23h23v-18h-23v-206zm-213.9 35l-42.6 17.3 11.2 27.8 42.7-17.3-5.2-12.9zm-100.1.1l-11.3 27.8 42.6 17.3 9-22.2-2.4-6-.7-1.8zm118.1 44.4l-42.6 17.2 59.2 146.6 42.6-17.3zm-136.2.05L51.59 470.4l42.64 17.3 59.27-146.4z"}}]})(props);
};
function GiSkullBolt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M41.78 21.78c-4.997-.165-10.197 1.67-14.655 6.126-15.113 11.567-8.733 29.44 5.906 34.438-11.887 26.758 18.28 38.818 32.69 22.78 1.77 6.353 5.607 11.64 10.53 15.75-6.834 17.716-.453 35.182 10.47 46 17.075 16.914 34.658 11.5 53.78 3.064 5.01 7.768 11.952 14.45 19.844 19.28-8.644 2.492-15.876 8.443-19.844 16.345-12.357-12.712-32.463-4.77-34.28 8.562-2.857 20.933 23.414 31.447 33.093 17.72 4.16 10.35 13.758 17.576 25.125 19.28-20.317 15.863-18.628 46.463-.97 66 18.947 20.96 43.435 16.498 61.688 2.906 1.916 8.895 6.22 16.504 11.688 23.376-18.523 22.26-.477 54.163 22.78 54.875l8.876-6.06c-11.923-16.82-21.032-35.764-21.03-55.533 0-14.22 2.558-27.89 7.25-40.625l18.218 4.688c-4.375 11.248-6.782 23.355-6.782 35.938 0 14.232 7.458 30.79 18.625 46.187 9.12 12.572 20.516 24.252 31.158 33.563 2.31-15.783 2.148-32.015-2.438-49.563l18.094-4.72c10.652 40.76.39 75.718-10.844 108.126l42.094-26.06.406 45.717c.177.064.354.125.53.188l34.345-31.47 4.313 40.845.28.03c.01.002.022 0 .032 0L431.47 441l17.78 31.406c2.94-7.53 10.04-26.205 18.313-52.656 4.41-14.107 8.78-29.58 12.375-44.875h-.282c-17.53 0-31.75-14.193-31.75-31.72 0-17.525 14.22-31.75 31.75-31.75 2.998 0 5.877.443 8.625 1.22-2.127-53.22-45.973-97.026-102.655-100.78l.656-18.657c34.642 2.17 65.52 17.385 87.376 40.53 35.083-17.25 5.977-66.633-23.625-44.062 2.46-48.01-46.01-78.18-81.186-63.062-8.016-38.908-78.668-34.988-90.53-4.688l-25.127-8.75c-1.872-32.22-28.622-57.812-61.312-57.812-21.19 0-39.78 11.107-50.813 27.437l-12.25-7c-.32-17.463-14.582-31.53-32.125-31.53-11.532 0-21.208 6.03-26.874 15.156l-9.907-8.75c6.058-15.098-5.352-28.45-18.125-28.875zm236.44 37.032c-8.926 0-16.158 7.232-16.158 16.157 0 8.923 7.232 16.155 16.157 16.155 8.923 0 16.155-7.232 16.155-16.156 0-8.926-7.232-16.157-16.156-16.157zM45.114 103.196c-6.348 0-11.494 5.146-11.494 11.494 0 6.347 5.147 11.494 11.495 11.494 6.348 0 11.494-5.147 11.494-11.495 0-6.35-5.147-11.495-11.495-11.495zm298.197 94.15l2.063 18.75c-18.395 5.263-34.75 14.895-47.75 27.56L285.78 229.22c15.764-14.956 35.505-26.105 57.533-31.876zm39.563 92.53c20.235 0 36.625 16.425 36.625 36.656 0 20.233-16.39 36.626-36.625 36.626s-36.656-16.393-36.656-36.625c0-20.23 16.42-36.655 36.655-36.655zm-193.906 43.22c-11.435 0-20.69 9.253-20.69 20.686 0 11.435 9.255 20.72 20.69 20.72 11.432 0 20.718-9.285 20.718-20.72 0-11.432-9.286-20.686-20.72-20.686zm244.093 20.624l11.687 62.936-41.813-4.437 30.125-58.5z"}}]})(props);
};
function GiSkullCrack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M226.063 24.188L222 58.718l32.688 25.626 23.75-50.03c-18.145-9.142-35.272-9.715-52.375-10.127zM166.75 61.093c-24.248 2.93-42.95 15.897-58.875 33.812h.03l96.407 62.594-37.562-96.406zM300.875 88.75l18.656 85.5-91.092-23.875L269 233.938l-140.594-89.375c-3.966 4.875-7.7 9.97-11.22 15.28-28.794 43.465-42.052 101.104-42.905 156.72 40.122 19.627 63.843 40.14 74.032 61.562 9.157 19.25 5.475 39.06-6.343 54.25 25.214 23.382 68.638 37.63 113.155 38.344 44.813.717 89.973-12.083 118.625-38.783-6.033-6.937-10.412-14.346-12.5-22.437-2.8-10.85-.952-22.554 5.188-33.28 11.757-20.542 37.646-39.263 80.062-59.69-.88-52.663-13.855-110.235-42.5-154.405-23.4-36.085-56.548-63.412-103.125-73.375zm-119.28 168.844c27.75 0 50.25 22.5 50.25 50.25s-22.5 50.25-50.25 50.25c-27.752 0-50.25-22.5-50.25-50.25s22.498-50.25 50.25-50.25zm149.468 0c27.75 0 50.25 22.5 50.25 50.25s-22.5 50.25-50.25 50.25-50.25-22.5-50.25-50.25 22.5-50.25 50.25-50.25zm-74.75 86.125c13.74 29.005 24.652 58.023 30.062 87.03-14.777 12.895-41.26 14.766-60.125 0 7.315-29.007 16.12-58.025 30.063-87.03z"}}]})(props);
};
function GiSkullCrossedBones (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M425.344 22.22c-9.027.085-18.7 5.826-24.344 19.405-11.143 26.803-31.93 59.156-58.563 93.47 10.57 8.694 19.85 18.92 27.5 30.31 35.1-26.57 68.882-46.81 98.125-56.75 44.6-15.16 12.02-69.72-35.343-35.343 26.91-27.842 11.107-51.27-7.376-51.093zm-341.22.03c-18.5.378-37.604 23.962-16.343 49.875C31.523 38.635-.802 85.48 37.095 102.813c28.085 12.844 62.54 35.66 99.062 64.343 8.125-12.5 18.207-23.61 29.78-32.937-26.782-35.743-48.44-69.835-61.78-98.47-4.515-9.69-12.22-13.66-20.03-13.5zm169.5 99.688c-67.104 0-121.31 54.21-121.31 121.312 0 44.676 24.04 83.613 59.905 104.656v56.406h18.718v-47.468c5.203 1.95 10.576 3.552 16.093 4.78v42.688h18.69v-40.03c2.614.167 5.247.25 7.905.25 2.637 0 5.25-.086 7.844-.25v40.03h18.686v-42.687c5.52-1.226 10.89-2.834 16.094-4.78v47.467h18.688V347.97c35.92-21.03 60-60.003 60-104.72 0-67.105-54.208-121.313-121.313-121.313zm-66.874 88.218c19.88 0 36 16.12 36 36s-16.12 36-36 36-36-16.12-36-36 16.12-36 36-36zm133.563 0c19.878 0 36 16.12 36 36s-16.122 36-36 36c-19.88 0-36-16.12-36-36s16.12-36 36-36zm-66.72 52.344l29.938 48.188h-59.874l29.938-48.188zm-107.28 70.563c-40.263 32.472-78.546 58.41-109.22 72.437-37.896 17.334-5.57 64.146 30.688 30.656-30.237 36.854 21.167 69.05 36.376 36.406 15.072-32.352 40.727-71.7 72.438-112.5-11.352-7.506-21.564-16.603-30.28-27zm213.156 1.718c-8.155 9.415-17.542 17.72-27.908 24.69 31.846 39.39 56.82 76.862 69.438 107.217 17.203 41.383 71.774 9.722 31.72-31.718 47.363 34.376 79.94-20.185 35.342-35.345-32.146-10.926-69.758-34.3-108.593-64.844z"}}]})(props);
};
function GiSkullInJar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M217.52 21.156c-93.055 0-168.78 72.96-168.78 164.108v303.898h18.69V185.264c0-80.827 66.75-145.42 150.09-145.42h71.25c83.34 0 150.093 64.595 150.093 145.42v303.898h18.688V185.264c0-91.148-75.724-164.108-168.78-164.108h-71.25zm19.62 34.04c56.03 0 104.005 36.303 124.708 88.574-14.244-20.102-30.517-35.992-48.744-46.51-16.218-9.36-34.036-14.79-53.91-15.29-1.243-.03-2.492-.042-3.75-.034-18.876.113-39.584 4.615-62.497 14.334-49.19 20.864-73.53 52.007-82.297 88.996-8.424 35.547-1.668 77.248 15.307 119.214 61.164 5.752 96.5 32.692 113.772 72.282 5.473.378 14.337-.324 24.46-2.664 13.03-3.012 28.268-8.193 42.947-14.41 14.678-6.218 28.843-13.492 39.797-20.51 7.806-5.002 13.795-10.203 17.164-13.813-9.516-17.723-13.562-37.703-10.108-59.293 2.474-15.46 8.65-31.653 18.764-48.795v271.885h42.44V201.63c0-81.356-60.592-146.433-135.612-146.433h-42.44zm81.13 108.822c7.336-.09 14.554 2.238 20.482 6.625-10.03 1.383-17.756 9.984-17.756 20.394 0 11.374 9.222 20.594 20.596 20.594 3.054 0 5.942-.68 8.55-1.872-2.723 7.1-7.85 13.325-15.005 17.326-16.232 9.074-36.745 3.27-45.82-12.96-9.073-16.233-3.273-36.747 12.96-45.82 5.073-2.837 10.563-4.22 15.993-4.286zm-113.207 63.287c8.4-.102 16.644 2.96 22.972 8.664-9.93 1.47-17.55 10.03-17.55 20.368 0 11.374 9.22 20.596 20.595 20.596 1.48 0 2.92-.16 4.31-.457-2.926 5.658-7.484 10.553-13.46 13.894-16.232 9.075-36.747 3.272-45.82-12.96-9.075-16.232-3.273-36.746 12.96-45.82 5.073-2.836 10.563-4.22 15.993-4.285zm70.04 25.408c22.993 16.156 42.062 34.51 59.997 53.494-18.48 2.83-33.388 12.047-45.852 25.633-8.228-24.412-12.27-51.165-14.144-79.127zm63.815 117.14c-30.556 55.978-94.277 59.308-130.27 5.184-1.953 16.323-9.14 20.637-19.21 38.234 40.692 78.895 144.492 68.458 170.052-6.358-11.648-17.158-18.91-18.622-20.572-37.058z"}}]})(props);
};
function GiSkullMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.28 19.344c-44.432 0-85.11 25.406-115.28 68.125-30.17 42.718-49.22 102.49-49.22 168.686 0 66.195 19.05 125.97 49.22 168.688 8.75 12.39 18.397 23.31 28.75 32.594v-20.063c6.02 2.618 12.266 4.925 18.688 6.938v27.562c6.424 4.214 13.035 7.846 19.843 10.844V449.5c6.142 1.282 12.385 2.286 18.69 3.063v36.656c6.507 1.69 13.142 2.855 19.874 3.405v-38.47c6.22.244 12.465.27 18.687.033v38.437c6.72-.538 13.348-1.67 19.845-3.344v-36.686c6.304-.77 12.545-1.787 18.688-3.063v33.283c6.895-3.02 13.59-6.673 20.093-10.938v-27.563c6.422-2.012 12.667-4.32 18.688-6.937v20.063c10.357-9.284 20-20.205 28.75-32.594 30.17-42.72 49.22-102.493 49.22-168.688-.002-66.195-19.05-125.968-49.22-168.687-30.17-42.72-70.88-68.126-115.313-68.126zm0 64.53c78.92 0 142.908 63.99 142.908 142.907 0 5.767-.368 11.446-1.032 17.032-40.57-31.098-76.62-28.28-113.25 10.157 20.65 45.335 72.12 52.962 105.72 21.593-9.442 25.98-26.194 48.444-47.782 64.906v76.217c-5.89 2.908-12.145 5.478-18.688 7.688V401h-20.094v28.875c-6.1 1.324-12.35 2.39-18.687 3.188V401H267.53v33.688c-6.22.242-12.465.247-18.686 0V401H228.97v32.03c-6.337-.802-12.59-1.855-18.69-3.186V401h-19.843v23.375c-6.542-2.21-12.8-4.78-18.687-7.688V340.5c-21.617-16.473-38.402-38.955-47.844-64.97 33.6 31.423 85.122 23.797 105.78-21.56-36.64-38.45-72.695-41.253-113.28-10.126-.667-5.6-1.03-11.285-1.03-17.063 0-78.917 63.987-142.905 142.905-142.905zm0 186.876l-25.467 66.813h50.968l-25.5-66.813z"}}]})(props);
};
function GiSkullRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.656 18.47c-57.894 0-102.687 36.608-102.687 79 0 20.057 10.018 38.82 26.718 53.03v53.688h23.28v-55.375h18.688v55.375H251v-55.375h18.688v55.375h23.75v-55.375h18.687v55.375h23.344v-52.75c17.376-14.32 27.874-33.463 27.874-53.97 0-42.386-44.794-79-102.688-79zm-42.437 50c17.144 0 30.843 13.666 30.843 30.81 0 17.14-13.7 30.845-30.844 30.845-17.145 0-30.845-13.704-30.845-30.844s13.7-30.81 30.844-30.81zm82.624 0c17.145 0 30.812 13.666 30.812 30.81 0 17.14-13.668 30.845-30.812 30.845C283.7 130.125 270 116.42 270 99.28s13.7-30.81 30.844-30.81zM142.188 119c-48.82 35.525-80.563 93.098-80.563 158.094 0 55.067 22.787 104.8 59.438 140.312 4.343-13.65 14.108-24.938 26.75-31.28-27.542-27.797-44.563-66.027-44.563-108.25 0-49.647 23.53-93.792 60.03-121.907-9.986-10.747-17.313-23.265-21.093-36.97zm235.562 4.438c-4.512 13.358-12.41 25.466-22.875 35.78 34.185 28.204 55.97 70.875 55.97 118.657 0 42.63-17.357 81.203-45.376 109.063 12.41 6.753 21.835 18.36 25.717 32.218 37.712-35.616 61.25-86.09 61.25-142.062 0-62.352-29.213-117.878-74.687-153.656zM171.312 399.25c-18.903 0-34.03 15.13-34.03 34.03 0 18.902 15.126 34.033 34.03 34.033 18.905 0 34.032-15.13 34.032-34.032 0-18.903-15.127-34.03-34.03-34.03zm169.094 0c-18.903 0-34.03 15.13-34.03 34.03 0 18.902 15.126 34.033 34.03 34.033 18.905 0 34.03-15.13 34.03-34.032.002-18.903-15.125-34.03-34.03-34.03zm-83.22 26.156c-18.902 0-34.03 15.13-34.03 34.03 0 18.902 15.127 34.033 34.03 34.033 18.906 0 34.002-15.132 34.002-34.033 0-18.904-15.096-34.03-34-34.03z"}}]})(props);
};
function GiSkullSabertooth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.7 18.523c-7.444-.01-14.966.471-22.56 1.416-32.784 4.066-62.074 17.176-86.755 41.516-19.534 19.252-32.502 42.853-35.518 71.738-3.58 34.666 7.34 64.264 29.545 88.463 7.136 7.76 10.294 15.323 10.098 26.301-.312 17.262-14.356 44.088 1.732 52.861 25.953-33.816 43.307-25.62 64.805-38.33 8.562 30.886 21.126 12.051 36.953 12.186 15.828.135 30.079 20.137 37.021-11.42 20.757 12.4 55.951 14.776 64.387 37.365 15.63-8.533 1.82-34.465 1.309-51.068-.37-11.633 1.906-20.674 10.777-27.553 2.813-2.189 4.945-5.63 7.192-8.732 21.612-30.056 29.118-63.41 18.03-100.344-10.266-34.151-32.33-57.467-60.624-73.93-24.237-14.085-49.811-20.428-76.393-20.469zm87 110.547c18.852-.14 27.493 11.631 23.542 32.02-4.574 23.515-24.083 40.69-44.84 39.582-22.465-1.197-40.66-19.708-43.109-44.02-.196-1.903.457-4.83 1.682-5.828 11.199-9.042 48.023-21.638 62.724-21.754zm-173.536.032c14.414.91 30.992 7.932 47.373 15.666 2.414 1.163 4.63 2.925 7.106 3.638 6.142 1.736 6.397 6.428 5.517 11.889-3.951 23.344-24.17 41.485-44.955 40.348-23.573-1.28-41.602-20.247-43.252-45.553-1.138-17.432 7.108-26.216 28.211-25.988zm84.705 59.425c7.818 19.139 15.153 37.026 22.746 55.618h-45.38c7.507-18.48 14.872-36.395 22.634-55.618zm-1.95 99.05c-13.867 0-25.11 11.241-25.11 25.109v89.468s11.243 91.323 25.11 91.323h4.017c13.868 0 25.11-91.322 25.11-91.323v-89.468c0-13.868-11.242-25.11-25.11-25.11h-4.016zm-51.954.009c-19.89-.483-35.575 13.85-38.764 18.176a22.315 22.315 0 0 0-4.36 13.285v79.867s10.037 81.524 22.417 81.524h3.586c12.38 0 22.415-81.523 22.416-81.524v-79.867c0-2.673 17.401-24.452 12.22-27.026-6.046-3.002-11.946-4.3-17.515-4.435zm108.27 0c-5.57.135-11.468 1.433-17.514 4.435-5.18 2.574 12.22 24.353 12.22 27.026v79.867c.001 0 10.036 81.524 22.416 81.524h3.586c12.38 0 22.416-81.524 22.416-81.524v-79.867c0-4.973-1.62-9.567-4.361-13.285-3.188-4.326-18.874-18.659-38.764-18.176z"}}]})(props);
};
function GiSkullShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.47 27.094C199.81 59.227 101.786 80.984 39.75 67.187c1.166 160.025 55.89 374.132 216.813 417.25 165.724-44.405 216.26-257.105 217.53-417.25-61.272 13.46-169.382-11.664-218.624-40.093zm2.56 44.968c31.866-.34 63.817 5.085 95.595 17.344l35.28 146.125h-63.75c9.446 29.716 6.468 70.128-9.905 99.845l-17.344-49.906-19.812 54.217-19.813-50-19.78 49.375-19.22-53.593-17.31 49.28c-14.528-26.456-23.842-65.022-9.907-99.22h-64.407L162.97 89.407c31.433-10.896 63.196-17.003 95.06-17.344zM85.25 114.25l11.5 2.656c11.29 2.595 24.925 2.822 39.594 1.344l-3.75 19.563c-9.76.572-19.265.393-28.28-.72 1.55 59.134 12.177 124.982 35.81 180.188 8.367 19.543 18.273 37.668 29.907 53.75l-3.28 25.908c-17.92-20.952-32.374-45.668-43.78-72.313-26.502-61.9-37.207-134.657-37.657-198.53l-.063-11.845zm349.125.03l-.094 11.814c-.488 63.837-10.383 136.353-36.56 198.156-11.802 27.86-27.07 53.627-46.345 75.22l-3.688-24.69c13.025-17.086 23.87-36.625 32.844-57.81 23.33-55.074 33.288-120.73 34.783-179.97-9.305 1.02-19.255.99-29.532.156l-4.124-19.312c15.67 1.7 30.068 1.594 41.22-.938l11.5-2.625zm-261.78 41.407l-11.126 51.282 74.686-6.657c-12.785-26.075-35.684-38.674-63.562-44.625zm171.655 0c-26.53 7.927-49.585 20.382-63.563 44.625l74.688 6.657-11.125-51.282zM258.406 214.5l-7.437 9.844-23.095 30.47 14.906 11.28 15.626-20.625 15.625 20.624 14.908-11.28-23.063-30.47-7.47-9.844zM201.47 352.28l14.5 56.814 22.968-47.563 19.343 59.345 19.345-59.938 21.72 48.157 15.78-56.188c15.586 18.392 20.75 39.556 18.28 65.75-48.64 37.818-96.95 42.896-148.905 0 .234-24.123-.63-44.257 16.97-66.375z"}}]})(props);
};
function GiSkullSignet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.42 63.95c-64.054 0-122.07 10.41-164.908 27.755-21.42 8.673-39.093 19.056-51.87 31.29-12.78 12.232-20.822 26.845-20.822 42.724 0 1.62.106 3.225.27 4.82v.528c.132 1.02.305 2.038.496 3.055.077.427.167.85.256 1.275.075.354.152.708.234 1.06.13.56.266 1.117.414 1.67.11.414.232.826.352 1.24.106.36.205.722.32 1.08 7.19 23.116 29.692 45.078 64.668 62.488 2.903 1.444 5.892 2.85 8.95 4.222l15.234-20.418c-3.964-1.39-7.798-2.835-11.49-4.33-19.885-8.052-35.64-17.585-45.962-27.467-10.322-9.88-15.054-19.58-15.054-29.224 0-9.644 4.732-19.345 15.054-29.226 10.323-9.88 26.077-19.414 45.963-27.467C139.3 92.923 195.41 82.64 257.42 82.64c62.01 0 118.123 10.283 157.896 26.387 19.887 8.053 35.64 17.586 45.96 27.467 10.323 9.88 15.058 19.582 15.058 29.225 0 9.642-4.735 19.342-15.057 29.223-10.322 9.882-26.074 19.415-45.96 27.467-3.7 1.498-7.544 2.946-11.518 4.34l15.173 20.34c3.004-1.35 5.94-2.734 8.793-4.154 29.935-14.9 50.73-33.136 60.613-52.575 4.24-7.72 6.64-15.99 6.64-24.64 0-15.88-8.04-30.493-20.82-42.726-12.778-12.233-30.45-22.616-51.87-31.29-42.84-17.345-100.856-27.753-164.91-27.753zm-56.797 73.933L110.263 259l13.82 17.676 41.745-52.45 61.21 66.16h-92.233l41.703 53.337V438.3h27.084v-85.087h18.687V438.3h25.777v-85.087h18.687V438.3h25.777v-85.087h18.69V438.3h27.087v-94.577l41.705-53.336h-92.238l61.21-66.162 41.745 52.455L404.542 259l-90.36-121.117h-113.56zm294.174 77.012c-13.66 17.35-34.022 32.486-58.703 44.77-4.234 2.108-8.608 4.136-13.11 6.087l-52.953 67.723c21.472-5.64 40.945-12.805 57.736-21.163 41.094-20.454 64.982-47.193 67.03-74.703v-22.715zm-474.707.36v25.19c3.425 26.506 27.06 52.117 66.74 71.868 16.86 8.39 36.422 15.58 57.996 21.23l-52.896-67.65c-4.615-1.993-9.092-4.07-13.426-6.227-24.51-12.2-44.758-27.213-58.414-44.412zm237.312 62.126l20.903 55.58h-41.807l20.904-55.58zm237.395 6.89c-13.66 17.352-34.022 32.49-58.703 44.775-22.777 11.337-49.55 20.453-79.11 26.803v22.04c26.826-5.238 50.936-12.497 71.166-21.247 21.532-9.313 38.617-20.33 49.916-31.878 11.3-11.55 16.73-23.184 16.73-34.99v-5.5zm-474.707.36v5.143c0 11.805 5.433 23.44 16.732 34.99 11.3 11.548 28.384 22.564 49.916 31.878 20.21 8.742 44.29 15.996 71.082 21.233v-21.98c-29.643-6.352-56.486-15.485-79.316-26.848-24.51-12.2-44.758-27.215-58.414-44.414z"}}]})(props);
};
function GiSkullSlices (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M262.613 18.693c14.346 3.397 28.44 8.496 41.955 15.407C387.29 76.396 426.39 171.724 405.982 258.908c5.637-1.678 11.7-2.258 17.91-1.496 5.757.706 11.11 2.502 15.895 5.14 3.493-20.665 5.6-40.235 5.604-57.333v-.048c.01-98.058-79.632-179.733-182.777-186.48zM220.186 32.29c-35.435-.275-70.502 10.305-99.43 30.392C87.63 89.234 63.864 125.8 54.706 167.16c-9.962 63.56 19.737 130.7 79.794 161.07 17.298 8.745 35.857 13.585 54.477 14.825-.484-10.38-1.614-20.586-3.534-30.407-11.817-1.572-23.504-5.01-34.568-10.44-60.26-29.57-82.477-104.75-53.227-163.696 22.977-46.303 70.613-72.02 119.342-71.998 20.575.01 41.344 4.607 60.535 14.18 71.852 35.85 98.25 125.977 62.756 196.452-3.01 5.977-6.372 11.657-10.04 17.043-8.4 19.265-28.72 31.58-50.662 28.89-26.746-3.28-45.765-27.597-42.484-54.314 3.19-25.98 26.298-44.662 52.16-42.657 7.325-35.263-8.658-73.613-42.38-89.82-34.648-16.655-78.86-3.388-95.536 31.657-14.29 30.037-2.71 68.293 27.752 82.553l.195-.145c44.044 59.514 29.42 150.498 13.96 210.145l-.31-.08-.257 2.603c11.15 4.674 22.272 9.042 33.426 12.91l15.298-53.843 17.977 5.107-15.468 54.436c12.238 3.578 24.554 6.44 37.035 8.297l13.2-53.82 18.152 4.452-12.597 51.356c10.234.65 20.602.567 31.147-.387l10.94-51.405 18.28 3.89-9.523 44.743c7.942-1.534 15.995-3.584 24.178-6.213 2.24-5.614 17.78-44.766 34.64-98.617 3.908-12.483 7.796-25.598 11.508-38.963-2.528.13-5.1.06-7.7-.26-24.13-2.96-41.29-24.897-38.33-49.002.686-5.585 2.402-10.79 4.92-15.463 33.78-85.14-.844-187.14-83.7-229.506-23.993-12.267-50.032-18.242-75.877-18.443zm-3.124 52.937c-41.987-.015-83.065 22.066-102.677 61.59-24.756 49.886-5.873 113.793 44.72 138.62 6.808 3.34 13.908 5.753 21.127 7.32-3.334-9.88-7.716-19.135-13.318-27.5-37.09-20.268-50.38-67.642-32.447-105.335v-.002c15.005-31.536 46.876-49.117 79.668-49.475 13.845-.15 27.856 2.768 40.83 9.004h.002c42.324 20.343 61.96 68.003 52.33 111.634l.027.014c-3.273 11.283-8.337 20.948-17.46 27.984-9.914.353-17.66 8.296-17.66 18.307 0 10.24 8.1 18.34 18.34 18.34 5.443 0 10.266-2.3 13.604-5.982 11.28-8.043 20.752-21.604 25.588-35.62l.06.116c20.934-58.806-3.163-128.17-60.61-156.832-16.506-8.234-34.395-12.18-52.123-12.185zm136.78 216.636l6.736 109.592-24.89-31.152-45.4 14.88 63.554-93.32z"}}]})(props);
};
function GiSkullStaff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M294.516 25.71C180.128 26.863-4.977 170.06 93.084 346.96l37.771-37.77 3.333-3.333C83.773 134.282 237.561 38.977 324.773 29.287c-8.483-2.313-17.749-3.481-27.568-3.576a136.22 136.22 0 0 0-2.69 0zm9.365 68.081c-26.796-.226-53.08 9.468-72.885 29.273-22.421 22.478-24.678 64.162-4.935 83.905l-69.098 49.357 98.71 98.711 49.358-69.098c19.743 19.743 61.425 17.532 83.905-4.935C429.823 240.116 427.614 171.614 384 128c-22.488-22.488-51.594-33.969-80.12-34.209zm-42.744 39.766c12.123.02 26.301 10.85 31.554 21.59 7.372 15.071 3.104 38.718-9.87 49.355-10.18 8.344-30.862 9.943-39.485 0-15.244-17.577-10.738-58.3 9.871-69.098 2.444-1.28 5.132-1.852 7.93-1.847zm221.576 53.67c-9.69 87.21-104.995 241-276.57 190.585l-41.104 41.104c193.631 107.335 346.882-124.591 317.674-231.69zm-143.565 28.486c6.331-.098 12.525 1.062 17.706 3.596 13.218 6.465 26.571 26.45 19.742 39.484-10.798 20.61-51.521 25.115-69.098 9.871-9.943-8.623-8.344-29.306 0-39.484 6.98-8.515 19.564-13.28 31.65-13.467zm-43.988 1.127l-19.744 39.486-19.742-19.742zm-85.334 13.379l12.727 12.728-3.506 3.506 16.885 16.887 3.507-3.508 12.729 12.729-3.508 3.507 16.887 16.885 3.506-3.506 12.728 12.727-29.613 29.613-12.729-12.726 13.38-13.38-16.887-16.886-13.38 13.379-12.726-12.727 13.38-13.379-16.888-16.886-13.379 13.379-12.726-12.729zm-42.994 68.449l-16.885 16.885 46.5 46.5 16.885-16.887zm-29.611 29.613L18 447.502v33.771l136.105-136.105zm29.611 29.614L30.727 494H64.5l119.219-119.219z"}}]})(props);
};
function GiSkullWithSyringe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M245.1 49.28A129.8 129.8 0 0 0 115.3 178.9a129.8 129.8 0 0 0 17 64.4l12.2-19.1 13.1 7.6 3-6.8a32.45 32.45 0 0 1-2.1-11.3 32.45 32.45 0 0 1 32.5-32.6 32.45 32.45 0 0 1 10.6 1.9l9.5-11.7 15.4 5.3 12.7-16.2-2.5 29.8-14.3-1.1-1.8 11.3a32.45 32.45 0 0 1 2.8 13.3 32.45 32.45 0 0 1-32.4 32.5 32.45 32.45 0 0 1-19.8-6.8l-13.3 4.9-9.7-6.8-15.8 5.9a129.8 129.8 0 0 0 13.7 19.4l-9.2 46.2c5.6.8 11.1 1.5 16.5 2.2 2.1 12.9 7 26.6 16 40.9 1.9-11.2 4.4-22.8 13.1-37.9 42.4 3.7 82.7 3.7 125.1 0 8.7 15.1 11.2 26.7 13.1 37.9 9-14.3 13.9-28 16-40.9 5.4-.7 10.9-1.4 16.5-2.2l-9.1-46.1a129.8 129.8 0 0 0 30.7-84 129.8 129.8 0 0 0-68.2-114.12l-8.5 1.13 17.5 17.01-34.4 21.18 14.9-23.07-17.9-15.87 8.1-9.07a129.8 129.8 0 0 0-41.2-6.81zm54 131.92a32.45 32.45 0 0 1 32.5 32.5 32.45 32.45 0 0 1-32.5 32.4 32.45 32.45 0 0 1-32.4-32.4 32.45 32.45 0 0 1 32.4-32.5zm-54 67.5l16.2 48.8h-32.5zM105 321.1v86.6h21.6v-86.6zm-64.9 10.6v65h10.79v-22.5H87v-19.6H50.89v-22.9zm151.1 6.1c-2 5.8-3 11.2-4 17.3l-6.1 35.9h34.6c3.5-9.4 8.7-18.1 14.8-26.7l14.6-20.4 14.6 20.4c6.2 8.6 11.3 17.3 14.8 26.7H309l-6.1-35.9c-1-6.1-2-11.5-4-17.3zm162.5 4.9v43.4h14.1l2.1-2.1v-39.2l-2.2-2.1zm-209.1 1.1V391h28l-18.4-29.3c-3.8-6-7-12-9.6-17.9zm243.3 10.8v19.6h84.8l-23.3-19.6zm-52.2 7.4l-18.2 29h18.2zm-90.6 12.8c-10.3 14.4-15.8 25-16.3 40.6-27.4-.6-54.7-2.7-81.1-6.3l9.8 46.5c53.5 9.5 116.8 9.5 175.2 0l9.7-46.5c-26.4 3.6-53.7 5.7-81.1 6.3-.5-15.6-5.9-26.2-16.2-40.6zm227.3 15.8c.4 23.5-19.3 29.5-19.3 49.2 0 15.8 11.4 21.5 19.3 21.5s19.3-5.7 19.3-21.5c0-19.7-19.3-25.7-19.3-49.2z"}}]})(props);
};
function GiSlalom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M40.433 19.397l-17.363 4.73s7.978 29.369 22.262 60.55c7.142 15.59 15.853 31.71 26.293 45.164s22.689 24.61 37.822 28.62c18.588 4.928 36.192-.763 51.455-10.515 15.263-9.751 29.06-23.55 42.606-37.013 13.545-13.464 26.836-26.6 39.814-35.125 12.978-8.526 24.843-12.391 37.727-9.5 13.93 3.126 30.643 14.555 41.847 28.783 11.205 14.228 16.5 30.413 12.705 42.79-5.282 17.23-17.227 25.816-35.802 31.466-18.575 5.65-43.111 7.098-68.739 8.144-25.627 1.046-52.35 1.745-76.285 7.045-23.935 5.3-45.775 15.637-58.642 36.43-11.074 17.893-15.214 41.44-12.961 63.974 2.252 22.535 11.032 44.575 28.709 57.594 25.637 18.882 55.878 19.622 85.879 11.82 30-7.801 60.776-23.747 91.306-39.554 30.53-15.808 60.81-31.487 88.477-39.248 27.667-7.761 51.799-7.838 73.215 5.992 8.277 5.345 15.214 16.533 18.28 29.088 3.068 12.555 2.147 26.07-2.466 35.015-10.482 20.328-27.518 30.639-50.3 36.92-22.783 6.282-50.832 7.784-79.932 9.621-29.101 1.838-59.292 4.037-86.92 12.817-20.012 6.36-38.767 16.431-54.059 32.22l5.73-29.232-17.662-3.463-13.695 69.858 69.75-14.227-3.596-17.635-25.767 5.256c12.508-12.301 27.62-20.181 44.75-25.625 24.802-7.882 53.658-10.178 82.601-12.006 28.944-1.827 57.938-3.163 83.582-10.234 25.644-7.07 48.42-20.626 61.514-46.021 7.32-14.198 7.869-31.515 3.955-47.536-3.913-16.02-12.406-31.155-26.002-39.935-26.738-17.267-57.447-16.729-87.84-8.203-30.392 8.525-61.392 24.805-91.89 40.595-30.499 15.791-60.501 31.083-87.56 38.12-27.06 7.036-50.161 6.216-70.679-8.895-11.955-8.805-19.575-25.912-21.472-44.89-1.897-18.98 2.064-39.313 10.357-52.714 9.503-15.356 25.784-23.581 47.229-28.33 21.444-4.748 47.357-5.583 73.127-6.634 25.77-1.052 51.393-2.263 73.242-8.909 21.85-6.645 40.595-19.994 47.773-43.408 6.28-20.482-2.25-42.029-15.773-59.2-13.523-17.173-32.442-30.81-52.047-35.21-18.75-4.208-36.277 1.985-51.549 12.018-15.272 10.033-29.091 23.958-42.619 37.404-13.528 13.446-26.768 26.408-39.607 34.611-12.84 8.204-24.406 11.663-37.157 8.283-9.184-2.434-19.092-10.501-28.213-22.255-9.12-11.754-17.37-26.83-24.148-41.627-13.558-29.597-21.262-57.784-21.262-57.784zm87.319 18.366a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32zm144 48a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32zm112.96 85.568a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32zM165.82 239.694a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32zm249.107 51.891a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32zM85.711 363.831a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32zm225.045 64.772a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32z"}}]})(props);
};
function GiSlap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M316.26 30.982c66.658 35.958 111.957 106.423 111.957 187.47 0 117.567-95.305 212.872-212.87 212.872-81.016 0-151.456-45.26-187.427-111.87C54.146 421.63 146.772 497.02 257.195 497.02c130.85 0 236.703-105.857 236.703-236.706 0-110.448-75.424-203.12-177.638-229.332zM173.027 49.174c-.513-.002-1.022.008-1.525.03-4.83.2-8.995 1.528-12.078 3.548L146.79 160.74l-15.458 28.592c6.213 10.643 11.196 21.47 14.826 32.496l-17.75 5.844c-2.052-6.233-4.63-12.46-7.703-18.682l-.025.047c-12.95-22.565-27.376-41.2-38.912-47.967-6.19-3.63-10.49-4.2-15.262-2.35-3.982 1.546-9.023 5.83-14.383 13.985 33.155 41.62 40.914 80.725 46.535 106.195 1.802 8.16 1.855 15.758 3.23 21.36l.305 1.234-.04 1.272c-.754 25.344 10.396 43.41 26.146 55.218 15.704 11.776 36.216 16.526 52.104 13.748 19.725-4.198 32.415-11.058 45.717-22.464 11.922-10.57 33.085-26.408 45.062-36.42 37.06-30.977 98.058-63.045 108.02-68.21 2.108-10.902-4.806-22.478-13.655-27.152l-74.184 42.71c-3.954-7.074-8.448-13.68-13.392-19.895l91.505-99.21c-.33-6.228-3.38-13.547-8.305-19.252-4.444-5.147-9.932-8.334-14.133-9.373l-95.07 101.33c-6.066-5.157-12.43-10.054-19.002-14.772l66.1-125.216c-4.527-6.72-9.388-10.572-15.26-13.237-5.445-2.47-12.303-3.794-19.887-4.892l-60.463 123.8c-7.348-4.592-14.772-9.118-22.182-13.656l14.055-108.806c-3.996-3.416-10.597-6.564-17.572-7.512-1.603-.218-3.188-.326-4.73-.33z"}}]})(props);
};
function GiSlashedShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.156 22.125L60.28 82.438c.432 108.262 10.918 200.47 40.25 270.437 13.326 31.78 30.345 59.02 52.126 81.47 4.056-11.198 8.352-22.57 12.813-34.064-16.453-18.292-29.438-40.056-39.345-64.75-23.25-57.95-30.656-131.856-30.656-217.717l-.095-7.188 6.563-1.72L246.313 62.47c5.877-12.546 11.896-25.14 18.125-37.814l-8.282-2.53zm52.656 16.188l-17.875 33.124 23.313 7.5c5.9-11.474 11.73-22.754 17.375-33.593l-22.813-7.032zM376.5 59.156c-6.004 11.338-12.02 22.668-18.03 34l25.25 8.125c6.615-11.223 13.333-22.462 20.186-33.686L376.5 59.156zm71.156 21.907l-33.844 51.5c-.736 79.713-7.717 148.21-29.25 202.687-22.848 57.806-63.124 99.61-127.312 118.625l-2.656.813-2.656-.813c-32.193-9.537-58.434-25.294-79.5-46.25-6.443 9.027-12.975 17.983-19.625 26.844 26.645 27.41 60.394 47.68 103.28 60.25 80.56-23.573 128.42-71.69 157.5-142.095 28.78-69.676 38.15-161.577 38.532-270.188l-4.47-1.374zm-212 4.437L114.25 124.563c.405 81.79 8.107 151.38 29.22 204 .454 1.135.907 2.255 1.374 3.375 24.524-86.216 54.174-165.683 90.812-246.438zm46.25 2.625L147.25 337.5c7.214 16.193 15.74 30.653 25.875 43.344 38.187-95.228 87.792-197.513 132.5-285.094l-23.72-7.625zm67.688 21.78C297.91 207.07 245.08 303.326 183.22 392.346c18.644 19.297 42.002 33.62 71.374 42.75 57.576-17.84 91.637-53.702 112.594-106.72 17.472-44.204 25.07-100.542 27.25-166.344L235.594 403.845c36.84-95.574 83.337-190.838 138.47-286.063l-24.47-7.874z","fillRule":"evenodd"}}]})(props);
};
function GiSlaveryWhip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M375.04 37.43l-35.083 43.386L314.95 37.92l-4.055 46.084c63.786 18.442 66.642 100.816 27.71 132.69l85.49-13.003-43.322-14.56 77.688-45.347-75.374 3.55 61.728-79.298-78.498 35.002 8.725-65.607zM70.296 58.395c-15.223.03-31.116 5.526-48.545 16.935v47.135c43.16-38.49 90.794-21.734 133.76 24.56 23.57 29.96 48.492 64.923 98.338 78.166 37.686 10.014 77.26-8.695 87.326-45.94 3.85-14.245 4.485-29.96.107-44.334-4.376-14.372-14.476-27.512-30.585-33.684h-.002c-10.558-4.044-22.308-4.223-32.888-.554-10.582 3.668-20.198 11.696-24.35 23.586-2.616 7.492-2.486 15.654.41 23.072 2.897 7.42 9.143 14.25 18.01 16.82h.002c5.33 1.544 10.872 1.284 16.1-.896 4.803-2.004 9.515-6.272 11.41-12.166-11.492 10.304-28.43 5.458-28.97-14.328-.205-2.172.02-4.445.68-6.34v-.002c2.117-6.06 6.64-9.944 12.83-12.09 6.188-2.146 13.84-2.04 20.08.35h.003c10.562 4.046 16.314 11.563 19.394 21.677 3.08 10.116 2.78 22.718-.27 34.015-7.294 26.984-35.235 40.528-64.488 32.756-32.45-8.62-52.41-27.42-70.373-48.985l.15-.223C143.74 93.958 109.2 58.32 70.296 58.395zm228.437 90.863l1.01.576c.027-.112.06-.22.086-.332l-1.096-.244zm157.87 64.904c-17.884-.094-38.857 9.058-55.942 26.143-5.313 5.313-9.848 11.004-13.588 16.86-93.743-56.462-329.905 76.312-178.974 189.757l-.002.002H88.78l-26.452 47.74h257.164l-88.478-103.25c24.27-26.708 67.453-43.706 96.996-45.064 13.793 45.097 36.25 113.497 71.734 148.312h60.867c-43.07-46.548-76.537-109.094-81.936-179.85 1.615 3.23 3.692 6.19 6.283 8.782 18.664 18.663 55.953 11.632 83.29-15.703 27.335-27.335 34.364-64.623 15.7-83.286-7-7-16.615-10.385-27.345-10.442z"}}]})(props);
};
function GiSleepy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M249.094 18.25c-42.675 0-81.852 25.486-110.938 68.438C109.07 129.637 90.72 189.74 90.72 256.28c0 66.543 18.35 126.643 47.436 169.595s68.263 68.47 110.938 68.47 81.883-25.518 110.97-68.47c29.084-42.952 47.436-103.052 47.436-169.594 0-66.54-18.352-126.64-47.438-169.592C330.978 43.736 291.77 18.25 249.094 18.25zm-128.97 241.313c18.356 18.096 37.528 26.765 55.72 27.562 18.19.797 35.927-6.096 52.125-21.5l12.874 13.53c-19.214 18.274-42.25 27.658-65.813 26.626-23.56-1.03-47.1-12.3-68-32.905l13.095-13.313zm264.782 0l13.125 13.312C377.135 293.48 353.564 304.75 330 305.78c-23.563 1.033-46.598-8.35-65.813-26.624l12.875-13.53c16.2 15.403 33.934 22.296 52.125 21.5 18.192-.798 37.365-9.467 55.72-27.563zM251.562 371.656c36.423-.156 72.996 19.144 77.438 58.406-51.33 13.296-102.67 12.767-154 0 3.858-38.638 40.14-58.25 76.563-58.406z"}}]})(props);
};
function GiSleevelessJacket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M183.52 49.373c-9.33.395-19.07 1.434-29.088 3.092 7.844 36.25 25.637 68.946 60.568 97.474v-10.5c-8.845-10.246-15.845-25.51-21.54-42.594-5.177-15.534-8.795-32.223-9.94-47.473zm144.96 0c-1.145 15.25-4.763 31.94-9.94 47.473-5.695 17.083-12.695 32.348-21.54 42.593v10.5c34.93-28.53 52.724-61.226 60.568-97.475-10.02-1.658-19.758-2.697-29.088-3.092zm-126.812 2.18c.785 7.343 2.232 15.31 4.178 23.283C223.196 84.07 239.442 89 256 89c16.558 0 32.804-4.93 50.154-14.164 1.946-7.972 3.393-15.94 4.178-23.283C289.306 64.913 272.4 71 256 71s-33.306-6.087-54.332-19.447zm-64.883 4.408C105.988 63.033 73.35 75.5 42.313 92.67 72.472 215.975 87.862 380.764 74.175 491H215V172.633C169.732 139.81 146.24 99.52 136.785 55.96zm238.43 0C365.76 99.52 342.268 139.81 297 172.634V491h140.824c-13.687-110.236 1.703-275.025 31.863-398.33-31.037-17.17-63.675-29.638-94.472-36.71zM194.057 208.25l1.945 128.16-4.887 2.574c-27.018 14.238-57.635 14.82-87.963 6.477l-6.51-1.788-1.82-119.875-.13-8.514zm123.886 0l90.87 6.432 8.494.6-1.95 128.39-6.51 1.79c-30.327 8.34-60.944 7.76-87.962-6.478l-4.887-2.574zm-153.78 20.16l-38.032 2.692 20.364 17.67zm183.673 0l17.67 20.363 20.363-17.67zM176.56 241.59l-28.27 32.576-35.165-30.518 1.307 86.012c22.786 5.198 44.148 4.27 63.398-4.355zm158.88 0l-1.27 83.715c19.25 8.625 40.612 9.553 63.398 4.355l1.307-86.012-35.166 30.518zM233 473v18h46v-18z"}}]})(props);
};
function GiSleevelessTop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M320 32l32 16c0 32 16 48 32 96 0 0 16 32.7 16 48 0 48-16 96-32 144s32 96 48 160H96c16-64 64-112 48-160s-32-96-32-144c0-16 16-48 16-48 16-48 32-64 32-96l32-16c0 64 32 144 64 144s64-80 64-144z"}}]})(props);
};
function GiSlicedBread (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M141.97 14.438c-42.682.018-82.778 11.23-101.282 31.187-30.652 33.058 1.238 86.79-22.72 168.063-8.613 29.22 74.178 97.934 122.188 151.625-3.125-8.49-3.153-17.208-1.156-24.688v-.688l.47-1.437c17.554-53.406 12.688-81.692-1.25-125.313-5.194-16.25-4.224-31.73 1.78-44.812 6.004-13.082 16.6-23.578 29.625-31.813 26.05-16.47 62.195-24.613 98.313-25.656 4.514-.13 9.006-.157 13.5-.062 23.43.492 46.31 4.073 65.906 11.22-5.792-6.04-12.343-12.123-19.344-18.22-41.85-24.153-155.507-18.392-208.03 16.125 33.065-44.226 114.77-66.194 184.53-35.407-8.257-6.463-16.738-12.862-25.125-19.126C238.262 40.686 123.365 46.27 70.47 81.03 102.665 37.97 181 15.983 249.5 43.28c-28.753-19.812-69.177-28.86-107.53-28.843zm132.78 115.03c-2.095.006-4.183.034-6.28.095-33.57.97-67.18 9.115-88.845 22.812-10.832 6.848-18.573 14.884-22.656 23.78-4.085 8.898-4.943 18.814-.94 31.345 14.19 44.4 19.552 79.75 1.657 135.22v.217l-.468 1.407c-1.297 3.94-1.203 11.898 1.81 17.47 3.016 5.57 7.7 9.873 19.75 9.873 7.3 0 16.987-.02 25.97-.03 21.836-16.527 47.35-35.183 66.375-49.97 10.12-7.864 22.774-9.62 34.125-9.312 11.35.31 21.408 2.634 28.563 6.063 19.722 9.444 37.077 15.635 55 20.125-.143-.97-.34-1.807-.563-2.47-16.222-47.974-24.11-90.38-8.406-137.718 4.08-12.298 3.23-21.644-.688-29.844-3.918-8.198-11.416-15.53-22.125-21.593-18.74-10.607-46.79-16.7-76-17.406-2.085-.05-4.185-.067-6.28-.06zm28.344 201.563c-.55 0-1.084.015-1.625.033-7.572.246-14.643 2.085-18.876 5.375-24.37 18.94-58.597 43.71-82.28 62.187-4.67 3.642-6.184 6.524-6.564 8.03-.38 1.51-.246 2.165.813 3.658 2.116 2.985 9.79 6.963 17.406 6.906 54.724-.405 97.39 12.696 133.405 30.03 19.53 9.4 43.448 9.722 66.72 4.063 23.27-5.66 45.638-17.31 61.03-30.188 15.392-12.878 22.33-26.61 21.063-33.938-.634-3.664-2.582-6.99-8.75-10.656-6.17-3.664-16.564-7.015-31.688-8.655-49.392-5.353-83.953-11.502-128-32.594-3.328-1.594-12.244-3.98-21-4.217-.547-.015-1.108-.03-1.656-.032zm196.25 90.5c-4.112 4.84-8.944 9.494-14.22 13.908-17.895 14.973-42.335 27.645-68.593 34.03-26.256 6.387-54.58 6.498-79.25-5.374-34.164-16.444-73.45-28.57-125.155-28.188-7.96.06-15.778-1.69-22.313-5.406 1.91 16.26 11.684 30.165 29.344 30.03 51.222-.39 81.323 12.19 117.813 25.533 57.38 20.98 162.374-11.593 162.374-49.125V421.53z","fillRule":"evenodd"}}]})(props);
};
function GiSlicedMushroom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M204.6 24.12c-17.8.08-37.6 2.86-59.4 8.64C81.16 49.71 49.62 88.08 34.29 129.2c-15.33 41-13.41 85.2-7.88 109.7 5.51 24.5 22.95 34.8 42 38.3 9.53 1.7 19.28 1.3 27.03-.4 7.76-1.6 13.26-5.1 14.46-6.7 9.6-12.2 10.1-18.6 7.4-25.6-2.7-7-10.9-15.4-22.13-25.1h-.1l-.1-.1c-5.31-4.7-7.02-13.3-4.49-19 2.52-5.7 6.95-9.1 11.72-11.6 4.9-2.5 10.3-4 16.2-3.4 5.9.6 12.8 4.2 15.9 10.8 30 63.8 28.5 132 35 196.6.1 1.6.3 2.1 2.9 3.5s7.6 2.7 13.9 3.1c12.6.8 30.5-1.7 47.5-6.8 17-5 33.5-12.5 43.6-20.5 5.1-4 8.6-8 10.1-11.2 1.6-3.3 1.7-5.3.5-8.3-12.7-30.6-23.6-62.3-32.3-94.9 0-.1.1-.3.1-.5h.1c.1-.5.1-.4-.6-1.1-7.5-28.2-13.4-57.2-17.4-86.7v-.1c-1.1-7.9 1.8-15.6 6.7-20.1 5-4.6 11.2-6.5 17.2-6.6 6-.2 12.2 1.4 17.1 6 4.9 4.6 7.1 12.8 4.9 20.2v.1c-5.2 17.7-6.2 29.3-4.8 35.5 1.5 6.3 4 8.7 11.5 11.7 3.1 1.2 8 1 14.2-1.8 6.3-2.8 13.3-8 19.5-14.5 12.2-13 20.2-31 17.8-43.4-10.1-51.9-31.2-90.01-63-111.51-19.9-13.44-44.4-20.8-74.2-20.67zM353.2 126.9c2.4 8.3 4.5 17 6.2 26 4.2 21.5-7.3 43.3-22.4 59.2-7.5 7.9-16 14.4-25.1 18.5-9 4.1-19 5.9-28.2 2.2-8.4-3.4-15.7-9.2-19.7-17.2 2.4 11.4 5.1 22.7 8 34 .8 1.7 1.3 3.6 1.5 5.6 8.4 31 18.8 61.2 30.9 90.5 3.2 7.6 2.4 16-.8 22.9-3.3 6.8-8.8 12.5-15.3 17.6-13 10.2-31 18.1-49.6 23.6-12.9 3.8-26.1 6.4-38.2 7.3-4.8 7.8-9.5 15.5-14 23.2v.1c-.8 1.3-.9 1.7.4 4.4 1.3 2.8 4.7 6.8 9.7 10.9 10 8.2 26.3 16.7 43.4 22.8 17 6.1 35.1 9.8 48.2 9.4 6.6-.1 11.8-1.4 15-3 3.2-1.7 4.4-3.2 5.1-6.3v-.1c14.4-60.8 35.9-121 66.5-178.1 3.8-7.1 10.8-11.6 17.5-12.4 6.7-.7 12.9 1.5 17.8 4.9 5 3.5 9.2 8.4 10.5 15 1.4 6.5-1.6 14.6-7.8 19.3v.1h-.1c-14.8 11.2-22.4 20-24.8 25.8-2.5 5.9-1.8 9.3 2.7 16.2 1.8 2.9 6.1 5.7 13 7.1 6.8 1.5 15.7 1.5 24.6-.1 17.8-3.2 35-13 40.2-24.3 22.3-48.1 27.3-91.3 13.6-127.7-13.6-36.4-46.3-67.2-103.4-89.3h-.1c-8.7-3.4-17.1-6.1-25.3-8.1z"}}]})(props);
};
function GiSlicedSausage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M350.9 36.23c-9.1-.16-17.4 1.45-24.8 5.14a26.67 16.72 24.5 0 1 13.9 3.49 26.67 16.72 24.5 0 1 17.1 26.25 26.67 16.72 24.5 0 1-30.7 4.09 26.67 16.72 24.5 0 1-17.9-19.52c-12.4 15.21-14.9 33.61-10.6 54.52.4 2 .8 3.9 1.4 5.8a13.4 19.63 89.15 0 1 15.9-6.1 13.4 19.63 89.15 0 1 19.6 13 13.4 19.63 89.15 0 1-19.2 13.5 13.4 19.63 89.15 0 1-9.8-1.7c6.4 14.5 15.5 30.5 26.4 43.9-2.1-7.2-1.9-15.1 1.7-22.5 4.6-9.7 13.3-14.9 22.7-16.5 9.7-1.5 20.9.1 30.4 5.1 9.5 4.9 16.8 13.6 20.9 22.2 4.1 8.5 4.9 18.7.4 27.5-4.6 8.8-13.4 14-22.7 15.5-7.8 1.3-16.8.4-25.6-2.8 15.8 12.3 31.3 22 46 27.8 5.4 2.1 10.7 3.7 15.7 4.8a21.22 13.13 50.2 0 1-4.6-4.6 21.22 13.13 50.2 0 1-3.4-24.4 21.22 13.13 50.2 0 1 6.4-2 21.22 13.13 50.2 0 1 17 9.8 21.22 13.13 50.2 0 1 5.4 21.9c7.4-1.2 14.1-4.3 19.9-9.4 25-20.7 31.3-44.2 27.5-69.1-3.8-26.2-19.2-52.3-40.8-74.18C438 75.87 425.2 65.37 412 56.98a17.25 13.66 50.2 0 1-4.2 8.76 17.25 13.66 50.2 0 1-21.2-4.4 17.25 13.66 50.2 0 1-3.2-18.64c-1.7-.62-3.4-1.22-5.1-1.77-9.9-2.98-19.2-4.55-27.4-4.7zm-71.7 43.71C221.9 121.3 157.5 170.9 113.9 220.6c-26.36 29.4-45.25 60.7-52.08 88.9-6.77 28.2-2.29 56.1 19.63 82.8C107.7 424 134.4 435 163.6 434c30.2-.9 62.2-14.9 95.1-36.4 56.1-35.8 113.9-92.8 166.4-137.9-8.5-1-17.1-4.7-25.6-8-26.6-10.4-54.1-30.4-75.5-54.8s-38-54.5-43.8-83.1c-2.3-11.2-2.7-22.76-1-33.86zm92.1 5.44a12.07 16.45 1 0 1 11.9 16.72 12.07 16.45 1 0 1-12.4 15.9 12.07 16.45 1 0 1-12.9-16.4 12.07 16.45 1 0 1 13.4-16.22zm52.9 7.28a22.28 14.46 80.6 0 1 16.3 19.64 22.28 14.46 80.6 0 1-10.5 24.1 22.28 14.46 80.6 0 1-17.8-19.4 22.28 14.46 80.6 0 1 10.6-24.22 22.28 14.46 80.6 0 1 1.4-.12zM446.8 138c1.9 0 3.8.3 5.6.7 7.3 1.6 14.3 5.9 20.7 12.3 5.5 7.8 8.5 15.3 8.7 22.8.4 7.5-2.2 15.4-8.7 20.6-7.4 5.2-15.6 6.3-22.9 4.6-7.4-1.6-14.2-5.9-19.5-12.3-5.3-6.4-8.3-13.9-8.6-21.4-.4-7.5 2.3-16.8 8.5-22 4.6-3.8 10.5-5.5 16.2-5.3zm-1.2 19.3c-1.5.1-2.6.6-3.5 1.3-1.3 1.1-2.2 2.8-2 6 .1 3 1.5 7.1 4.4 10.6 3 3.5 6.7 5.6 9.7 6.3 3 .7 4.9.1 6.2-1 1.3-1 2.2-2.8 2.1-6-.1-3-1.5-7-4.5-10.6-2.9-3.5-6.6-5.6-9.6-6.3-.8-.2-1.5-.3-2.1-.3h-.7zm-82 1.1c-1.4 0-2.7.1-4 .3-5 .9-8.1 3.1-9.7 6.1-1.6 3.1-1.6 6.9.6 11.5s6.7 9.4 12.9 12.6c7.4 3.2 14.2 4.1 19.2 3.3 5-.9 8.1-3.1 9.7-6.1 1.6-3 1.6-6.9-.6-11.4-2.2-4.6-6.7-9.4-12.9-12.7-4.7-2.4-10.4-3.5-15.2-3.6zm-302.59 237c-11.8 4.7-25 7.7-39.9 8.2 24.27 19.7 48.06 41.7 65.4 72.2 1.87-13.4 5.59-28.9 12.55-43-11.34-7.4-21.87-17-31.81-29.1-2.21-2.7-4.28-5.5-6.24-8.3z"}}]})(props);
};
function GiSlicingArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M94.027 17.81l-.763 71.667-71.254.355 85.51 64.35 27.94-9.082 277.542 277.537-39.828 9.345 118.6 56.215-56.22-118.597-9.34 39.818-277.376-277.37 9.54-28.726-64.35-85.51zm83.41.465L393.99 308.74 280.887 18.275h-103.45zm123.506 0l129.922 333.66-39.35-333.66h-90.572zm109.39 0l34.173 289.768 51.24-289.768h-85.414zM20.98 174.443V277.9l295.903 117.153L20.98 174.443zm0 123.557v90.557l335.89 42.425L20.98 298zm0 109.393v85.36l281.59-49.792-281.59-35.567z"}}]})(props);
};
function GiSlime (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M269.614 30.044c-41.094.11-65.414 10.652-81.03 26.75-16.656 17.17-24.139 42.145-28.03 71.115-3.893 28.97-4.132 61.396-7.866 92.127-3.734 30.73-10.966 60.248-30.557 82.406-15.817 17.892-42.361 25.805-62.95 35.092-10.296 4.643-19.02 9.523-23.905 14.351-4.885 4.829-6.475 8.28-4.984 15.149 1.096 5.052 1.608 4.95 5.66 5.863.26.059.576.099.865.147.557 5.33.8 11.75-.547 15.793-2.607 7.825-15.762 11.07-15.469 19.314.375 10.517 11.005 24.543 21.44 23.178 9.19-1.203 13.373-15.322 12.992-24.582-.206-4.997-6.993-7.761-8.076-12.643-1.234-5.558.271-14.423 1.748-20.937 2.398-.154 4.955-.365 7.662-.627 17.928-1.738 42.524-4.773 62.908 10.922l.188.144.18.154c8.02 6.876 11.601 15.838 13.708 23.77 2.107 7.931 3.122 15.205 5.084 20.517 1.963 5.313 4.028 8.479 9.606 11.131 5.527 2.63 15.524 4.371 32.275 2.875 6.943-1.197 23.278-9.063 40.928-16.4 17.776-7.39 37.824-14.455 57.451-11.662 22.195 3.158 36.671 21.628 50.092 35.969 6.71 7.17 13.151 13.532 19.105 17.296 5.955 3.765 10.752 5.103 16.756 3.752 3.784-.85 6.019-2.717 8.604-6.716 2.585-4 4.872-10.023 7.088-16.815 4.43-13.584 8.153-30.887 22.523-41.054 15.43-10.919 35.04-9.373 51.36-9.366 2.497.001 4.914-.024 7.236-.088 1.676 6.563 3.632 16.245 2.43 22.186-1.07 5.28-8.3 8.397-8.44 13.781-.322 12.39 5.349 32.649 17.742 32.672 12.318.023 18.463-20.109 17.758-32.406-.326-5.692-7.844-8.637-9.877-13.963-2.372-6.216-3.17-17.085-3.437-24.25 3.643-1.11 5.647-2.575 6.986-4.809 1.073-1.79 1.352-3.25.978-5.77-.373-2.519-1.69-5.98-4.097-9.984-4.815-8.008-13.776-17.92-24.324-28.353-21.097-20.867-48.347-43.68-62.825-67.358-4.863-7.952-8.993-16.588-12.576-25.705-7.318-.474-14.554-.62-21.726-.51-.277 9.449-.298 27.428 3.062 37.31 3.313 9.743 17.026 11.318 17.207 25.634.193 15.237-6.193 39.866-21.422 40.383-15.972.541-25.213-24.753-25.283-40.735-.06-13.684 12.29-14.826 14.397-23.879 1.635-7.029.603-17.906-.751-26.676-1.116-5.49-5.266-11.503-12.227-10.64-33.643 3.153-66.13 10.934-98.915 17.518 3.746-21.205 11.727-47.904 35.3-65.721a73.974 73.974 0 0 1 4.52-3.154c-.304 5.65-.976 11.957-2.492 16.06-1.742 4.717-9.088 7.325-8.68 12.336.611 7.504 8.295 16.512 15.815 16.13 8.506-.434 16.796-11.492 15.943-19.966-.404-4.016-7.606-4.097-9.29-7.765-2.548-5.546-1.784-15.554-.835-22.373 21.352-9.2 44.721-6.84 64.479.29 8.004 2.89 13.774 7.568 18.152 13.231-4.283-18.421-7.608-37.494-11.049-56.047-4.684 11.104-23.122 12.455-42.303 4.672 15.512-9.746 25.996-23.802 35.4-38.783-5.935-25.782-13.52-48.61-24.792-64.387-11.33-15.859-25.448-25.085-48.428-25.775a258.397 258.397 0 0 0-8.445-.12zm-41.33 90.005c.635-.009 1.278.256 1.91.832 17.36 15.839 31.196 35.58 54.338 41.11-10.236 9.53-31.876 14.4-57.028 1.125-10.858-17.297-5.365-42.982.78-43.067zm41.023 318.409c-16.932.1-38.307 8.538-36.385 22.369 3.127 22.496 55.236 28.997 67.424 9.832 6.62-10.41-8.522-27.451-20.367-30.903-3.094-.901-6.764-1.321-10.672-1.298z"}}]})(props);
};
function GiSling (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M218.5 26.8c-36 0-72.6 10.05-102.1 28.19C74.64 80.64 47.03 121.2 51.13 172.7l8.99 27.7c15.81-42.6 41.98-79.2 75.78-103.77 36.9-26.89 83.1-39.11 132.7-29.05l-10.2-36.32c-10.7-2.43-21.6-3.89-32.7-4.32-2.4-.1-4.8-.14-7.2-.14zm61 13.02l8.5 30.04 18-.54-3.4-20.93zm42.4 15.33l3.6 22.18c5.8 3.54 9.5 6.78 11.3 9.29 3 4.11 2.8 5.61.6 9.81-4.4 8.47-23.5 22.27-46.9 35.67-23.4 13.4-50.8 27.4-72.4 42.9-10.9 7.8-20.3 15.9-27.2 25-6.8 9.1-11.1 19.7-9.8 31 7 62.8 61.8 105.2 113.1 132.1 30.7 16 60.6 26.7 79.7 32.7 2.8 2.7 11.9 11.2 23.8 19.8 14.2 10.2 31.5 21.5 49.5 19 10.5-1.4 21.4-6.8 30.2-14.4 4.4-3.8 8.2-8.3 10.7-13.7 2.4-5.4 3.3-12.1.8-18.4-4.6-11.7-16.3-17.3-27.9-19.4-5.9-1-12-1.3-18.3-1.2-6.2.2-12.6.7-18.8 1.6-20.1 2.6-38.2 7.7-44.6 9.6-18.4-5.8-47.3-16.1-76.7-31.6-49-25.7-97.7-64.8-103.7-118.1-.6-5.7 1.4-11.5 6.4-18.2 5.1-6.8 13.3-14 23.2-21.1 20-14.3 47-28.3 70.9-42 23.9-13.6 45-25.8 54-43 4.5-8.57 4.3-19.91-2-28.61-5.9-8.13-15.4-14.58-29.5-20.94zm85.4 97.05c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm-71 39c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm-296.64 4.5l-12.79 34.8L43.4 245l6.89-16.6zm392.64 27.5c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zM22.84 251c-1.26 8.4-1.56 18-.8 28.4 1.56 21.2 8.28 45.3 24.43 65.1 45.87 56.3 82.33 75.5 121.73 82.2 35.9 6 73.2 2.5 125.2 10.4 3.7 4.9 9.2 12 15.9 19.3 11.9 13 26.5 27.5 44.7 28.7 10.6.6 22.4-2.5 32.5-8.2 5-2.9 9.7-6.4 13.2-11.2 3.4-4.8 5.6-11.3 4.5-18-2.2-12.4-12.5-20.1-23.5-24.5-11-4.3-23.9-6.2-36.4-7.1-6.2-.4-12.4-.6-18.1-.6-17.3 0-30.7 1.5-30.7 1.5l-8.8.9c-49.1-6.4-84.7-3.8-115.5-9-35.8-6-66.5-21.5-110.78-75.8C47.28 317 41.35 296.5 39.99 278c-.31-4.2-.33-8.2-.17-12.1zM443.1 385.6h4c3.9 0 7.5.3 10.7.9 8.6 1.5 12.7 4.2 14.3 8.2.5 1.3.6 2.3-.4 4.4-1 2.1-3.1 4.9-6.1 7.5-6 5.2-15.3 9.4-20.8 10.2-7.4 1-23.6-6.5-36.6-15.8-4-2.9-7.5-5.8-10.8-8.5 8.1-2 18.3-4.2 28.9-5.6 5.7-.7 11.4-1.2 16.8-1.3zm-116.8 47.9c5.3 0 11 .2 16.8.6 11.4.8 22.9 2.7 31 5.9 8 3.1 11.6 6.6 12.3 10.9.3 1.3.1 2.3-1.3 4.2-1.4 1.9-4 4.2-7.5 6.1-6.9 4-16.9 6.3-22.4 5.9-7.4-.5-21.8-11.1-32.6-22.8-3.4-3.7-6.3-7.2-8.9-10.5 3.8-.1 7.9-.3 12.6-.3z"}}]})(props);
};
function GiSlingshot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M157.54 15.78c-2.838.003-5.676.125-8.5.365-22.6 1.92-44.724 11.21-61.347 26.587-16.32 15.096-27.204 36.473-26.69 61.45 3.875-.13 9.014-.284 14.847-.397 1.073-.02 2.088-.027 3.146-.043-.402-19.627 7.798-35.656 20.92-47.795 13.38-12.377 32-20.283 50.647-21.867 18.517-1.573 36.767 2.965 50.646 14.524 5.373-3.043 11.074-4.81 16.602-5.51 1.072-.136 2.135-.228 3.192-.297-2.48-2.79-5.112-5.37-7.89-7.715-15.842-13.365-35.714-19.31-55.575-19.3zm68.077 44.282c-2.986.057-5.93.6-8.842 1.477-1.104.257-2.187.577-3.25.972.026.04.05.082.075.12-3.47 1.38-6.817 3.335-9.692 6.35-3.5 3.673-6.077 9.9-4.693 15.998l.094.413.045.144c11.863-10.083 27.67-14.763 42.444-14.64.3.002.596.024.895.03l-.068-.868-.592-1.374c-2.704-6.274-8.677-8.048-13.11-8.49-1.107-.11-2.21-.154-3.308-.133zM277.66 81.3c-6.248.09-12.4.574-18.474 1.378l-.582.54 4.716 17.102c4.68-.57 9.39-.928 14.133-1.015 1.6-.03 3.207-.03 4.817 0 36.413.658 76.09 16.07 122.072 59.433l15.937-9.623c-49.936-48.12-95.313-67.04-137.684-67.806-1.652-.03-3.297-.035-4.936-.01zm-52.29 10.595c-6.7 2.283-12.923 5.844-17.354 10.447l2.01 10.578c4.8-7.386 9.9-14.41 15.345-21.025zm18.597 5.953c-4.65 5.218-9.075 10.81-13.297 16.738 5.564-1.297 11.307-1.985 17.088-2.13-.102-.656-.203-1.312-.3-1.958l-3.49-12.65zM190.2 105c-10.62 5.178-21.06 10.89-31.368 16.828l14.736 8.645-.23-.047c.64.353 1.372.707 1.754 1.027.528.443.905.83 1.213 1.19 5.797-3.22 11.592-6.312 17.392-9.227L190.2 105zM80.692 121.756c-1.61.018-2.815-.007-4.496.025-8.207.16-14.15.39-16.605.478-2.228 1.913-6.242 5.488-11.158 11.178-6.63 7.67-12.168 17.598-12.092 23.324.095 7.15 3.73 19.28 9.736 30.228 6.007 10.948 14.408 20.872 21.87 25.426.002 0 2.58.932 6.513 1.07 3.934.138 9.176-.22 15.04-1.04 11.728-1.64 25.992-5.075 39.117-9.215 8.666-2.735 16.262-5.755 22.9-8.71-17.423-3.064-34.79-11.906-48.413-23.3-9.947-8.318-17.986-18.11-21.704-29.304-2.12-6.388-2.42-13.417-.707-20.16zm170.13 8.596c-13.804-.118-26.667 3.534-35.956 11.37.29 1.234.584 2.44.873 3.696 7.614 33.128 13.767 73.212 9.864 97.246-5.603 34.496-31.537 84.64-56.23 125.106-14.89 24.398-29.136 45.285-38.177 58.144 10.07-.018 20.817 2.73 31.086 7.26 11.084 4.89 21.573 11.887 29.23 20.914 1.466 1.73 2.83 3.565 4.06 5.488 1.36-3.347 2.576-6.353 4.36-10.703 5.542-13.528 13.064-31.452 21.98-50.63 17.835-38.352 41.727-81.852 64.653-103.98 25.013-24.14 74.933-49.443 118.108-67.835 6.416-2.733 12.653-5.304 18.676-7.735-4.533-14.565-13.66-26.322-24.893-37.757-.622.35-1.232.7-1.86 1.052-35.47 19.846-79.24 38.213-106.96 35.963-3.385-.274-8.838-3.985-12.028-8.44-11.913-16.64-21.224-49.812-26.786-79.158zM144.48 134.28c-.125.142-.195.26-.324.406-3.408 3.85-7.99 8.477-12.875 13.076-4.585 4.317-9.376 8.534-13.716 11.965 14.612 11.06 34.845 18.494 49.54 17.9.08-3.49-.12-7.653-.57-11.81-.688-6.327-1.887-12.74-3.016-17.247-.44-1.752-.807-2.837-1.13-3.79l-17.908-10.5zm322.356 5.2c-2.163.02-4.4.502-6.305 1.614l-.428.252-.4.297s-2.87 2.124-7.9 5.642c14.61 14.434 22.734 32.15 28.22 50.262l4.314-1.457-.045.012c3.98-1.237 7.185-4.906 8.28-7.91 1.197-3.282 1.194-6.115.98-8.954-.425-5.676-2.144-11.535-4.497-17.277-2.354-5.742-5.26-11.186-9.092-15.605-1.915-2.21-4.043-4.27-7.263-5.73-1.61-.73-3.7-1.168-5.86-1.146zm-37.348 25.102l-13.875 8.377c5.383 5.814 10.47 12.035 14.83 18.9 1.41-8.554 1.554-17.292-.955-27.278zm19.405 7.455c1.144 12.08-.52 22.994-2.93 33.05l15.717-5.33c-3.235-10.06-7.23-19.383-12.787-27.72zM130.95 443.914c-.444 0-.878.012-1.3.03-6.752.316-9.117 1.857-10.17 4.693l-2.212 5.965c.133 4.11 1.153 8.13 2.834 11.68 3.7 7.818 10.09 14.155 17.732 18.603 7.642 4.448 16.732 7.043 26.115 5.9 7.178-.874 14.383-4.265 20.183-10.12.164-4.882-1.947-9.743-6.35-14.935-5.278-6.223-13.748-12.11-22.765-16.087-8.454-3.73-17.418-5.75-24.07-5.73z"}}]})(props);
};
function GiSlowBlob (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-30 0-50 20-50 40 0 20.478 10.487 33.113 22.063 52.625-20.646 3.89-39.81 11.992-56.532 23.406-5.608-21.973-7.116-38.335-21.593-52.81-14.14-14.143-42.443-14.152-63.656 7.06-21.212 21.214-21.204 49.515-7.06 63.657 14.476 14.478 30.837 15.985 52.81 21.594-11.413 16.724-19.516 35.887-23.405 56.532C89.113 216.488 76.478 206 56 206c-20 0-40 20-40 50s20 50 40 50c20.478 0 33.113-10.487 52.625-22.063 3.89 20.646 11.992 39.81 23.406 56.532-21.973 5.608-38.335 7.116-52.81 21.592-14.143 14.142-14.152 42.444 7.06 63.657 21.214 21.212 49.515 21.204 63.657 7.06 14.478-14.476 15.985-30.837 21.594-52.81 16.724 11.413 35.887 19.516 56.532 23.405C216.488 422.887 206 435.522 206 456c0 20 20 40 50 40s50-20 50-40c0-20.478-10.487-33.113-22.063-52.625 20.646-3.89 39.81-11.992 56.532-23.406 5.608 21.973 7.116 38.335 21.592 52.81 14.142 14.143 42.444 14.152 63.657-7.06 21.212-21.214 21.204-49.515 7.06-63.658-14.476-14.477-30.837-15.984-52.81-21.593 11.413-16.724 19.516-35.887 23.405-56.533C422.887 295.512 435.522 306 456 306c20 0 40-20 40-50s-20-50-40-50c-20.478 0-33.113 10.487-52.625 22.063-3.89-20.646-11.992-39.81-23.406-56.532 21.973-5.608 38.335-7.116 52.81-21.593 14.143-14.14 14.152-42.443-7.06-63.656-21.214-21.212-49.515-21.204-63.658-7.06-14.477 14.476-15.984 30.837-21.593 52.81-16.724-11.413-35.887-19.516-56.533-23.405C295.512 89.113 306 76.478 306 56c0-20-20-40-50-40zm0 180c16.568 0 31.58 6.705 42.438 17.563C309.294 224.42 316 239.433 316 256c0 16.568-6.705 31.58-17.563 42.438C287.58 309.294 272.567 316 256 316c-16.568 0-31.58-6.705-42.438-17.563C202.706 287.58 196 272.567 196 256c0-16.568 6.705-31.58 17.563-42.438C224.42 202.706 239.433 196 256 196z"}}]})(props);
};
function GiSlumberingSanctuary (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M104.7 25.61L79.29 51.07 202 173.9v312.5h36V158.9zm302.6 0L274 158.9v327.5h36V173.9L432.7 51.07zM66.75 89.66L41.29 115.1 132 205.9v222.5h36V190.9zm378.55 0L344 190.9v237.5h36V205.9l90.7-90.8zM42.75 169.7l-25.46 25.4 42.73 42.8v116.5h36V222.9zm426.55 0L416 222.9v131.5h36V237.9l42.7-42.8z"}}]})(props);
};
function GiSly (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23.563 75.28C17.71 179.527 82.54 207.685 181.875 198.688 158.455 135.47 111.857 89.686 23.563 75.28zm474.625 0c-88.295 14.405-134.894 60.19-158.313 123.407 99.334 8.997 164.164-19.16 158.313-123.406zM55.03 283.53c20.276 35.905 40.59 66.526 60.908 91.876 96.78 28.22 194.46 26.484 293.406-1.312 19.378-25.143 38.59-55.332 57.594-90.563-121.66 108.32-286.123 103.457-411.907 0zM389.407 398.19c-84.598 20.145-168.747 21.634-252.22 1.812 85.106 90.85 170.073 89.535 252.22-1.813z"}}]})(props);
};
function GiSmallFire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M162.22 21.312c-183.876 106.68 51.994 227.35-10.19 332.47C116.95 413.083 38.11 325.45 43.75 227-6.035 353.376 30.21 443.745 95.22 492.75c1.386.34 17.577.498 41.186.562-28.478-16.9-32.06-75.355 32.813-103.25l15.78-7L182.062 400c-1.356 8.34-.318 13.95 1.188 16.937 1.507 2.987 3.106 3.544 5.844 4.094 5.475 1.1 16.963-2.395 26.28-14.624 18.636-24.457 29.117-80.228-26.874-167l-4.094-6.437-13.906-19.25 23.25 9.905 5.25 1.75c80.85 25.498 135.3 58.46 174.625 112.72 21.544-22.906 38.7-56.835 43.812-91.69l3.5-27.468 13.438 23.97c25.525 45.802 30.267 104.912 11.094 156.5-14.23 38.28-42.036 72.34-84 93.5 13.623-.01 24.05.032 25.25.124 154.76-34.77 139.345-244.952-14.19-394.093.012.726 0 1.46 0 2.188 78.964 185.87-136.465 189.104-119.25 11.47-41.686 100.463-132.86-2.147-91.06-91.283zM269.093 332.25c13.51 15.806 22.35 33.086 22.78 50.812.587 24.03-9.293 47.12-24.53 66.563-14.832 18.926-34.837 34.62-56.625 43.656 33.127-.065 64.926-.16 95.217-.25l-.062-.186c30.95-18.584 47.31-38.83 53.75-57.813 6.44-18.982 3.25-37.246-5.844-53.718-15.44-27.97-49.705-47.71-84.686-49.062z"}}]})(props);
};
function GiSmallFishingSailboat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M109.2 63.18l-3.5 15.74 87 77.68 29.6 195.2 14.4 1.2-35.4-242.7-15.5 1.1 3.4 22.2zm155.6 22.28L261.7 102l59.3 53.5 16.5 191.3 14.9-2.2-20.6-232.7-14.5 1.3 1.7 19.4zM97.61 93.4L38.27 310.2 200.8 326l-21.3-157.4zm159.69 25.4l-11.1 47.8 13.7 10.4v171.6l62.1-1.7-14.4-178.7zm89.6 26.6l3.3 22.6 22.7 19.7-3.5-19.7zM223 170.7l3.1 17 18.3 10.5-.3-14.6zm130.9 18.6L367 342.5l16.4.2L381 318l97.8 21-86 13.4-2.5 12.2 99-14.5-.6-12.6c-.9-1.1-60.8-94.2-89.8-140l-20.5 93.1-8.5-87.9zm-125.7 10.6l16.9 120-1.1-109.8zM21.89 322.4l2.33 15.4L207 353.3l-1.5-11.7zm358.31 29.2l-10.4 2.3c-2.6 7.8-5.2 21.8-7.2 29.7-3.1 12-6.2 24.8-10.4 30.9-6.2 10.7-18.7 15.3-35.3 17.3-16.5 2.1-44.5 1.8-71.5 2-41.5.2-66.6 2.9-85-4.8-9.2-3.8-16.1-10.3-21.8-20.5l-1-1.9-1.4.3 8.4 41.9 212.8-5.7zm-23.5 4.3c-80 15.9-141.1 14.5-224.1 3 16.5 74.4 39.5 62.3 115.1 62 52.9-.2 82.8 3.8 93.4-14.7 5.9-9.9 15.6-50.3 15.6-50.3zm-241.2 1.7l-4.4.3-7.9 1.2c-.1 0 3.1 8.6 5 16.5 2.1 7.9-7.1 25.2-7.1 34.7 0 9.3 6.3 24.3 11.3 25.6 5.6 1.3 18.1-1.3 18.1-1.3z"}}]})(props);
};
function GiSmart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.3 19.95c-41 0-74.1 32.7-74.1 73.27 0 22.98 8 33.78 16.8 47.78 5.9 9.3 12 20.1 15.5 35.6h83c3.5-15.9 9.6-26.8 15.5-36.2 8.9-14.1 16.8-24.7 16.8-47.18 0-40.57-32.8-73.27-73.5-73.27zm-142.1 7.7L81 35.4l81.2 40.25-48-48zm283.6 0l-48 48L431 35.4l-33.2-7.75zM210.5 79.2l45.5 22.7 45.5-22.7-20.8 83-17.4-4.4 11.2-45-18.5 9.3-18.5-9.3 11.2 45-17.4 4.4-20.8-83zM64 96.03v32.07l96-16.1-96-15.97zm384 0L352 112l96 16V96.03zM334.2 144.3l39.9 63.3 24.1-15.3-64-48zm-156.4.1l-64 48 24.1 15.3 39.9-63.3zM216 191v16h80v-16h-80zm34.4 28.3c-13.7 0-26.9.5-35.7 1-68.2 10.7-82.9 105.4-66.7 191.6h23.6l-1-105.4 18.6-.2c-1.4 63.7 1.6 126.6 5.5 189.7h51.4V390.3h18.7V496h50.4c4.5-65 5.9-131.5 6.5-189.7l18.7.2-1.1 105.4h24.6c18.3-88.5-4.8-178.9-67.1-190.6-9.4-1.4-24.9-2-40.6-2h-5.8z"}}]})(props);
};
function GiSmartphone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160 32c-16 0-32 16-32 32v384c0 16 16 32 32 32h192c16 0 32-16 32-32V64c0-16-16-32-32-32H160zm21.68 23h96v18h-96V55zM304 55h32v18h-32V55zM154 96h204v320H154V96zm70 342h63.984c16 0 16 16 16 16v6H208v-6s0-16 16-16z"}}]})(props);
};
function GiSmashArrows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M121.068 15.52v339.31H20.54L121.07 497.346h77.385l-47.49-149.364h50.225V15.52h-80.12zm98.81 0v351.15h-43.362l41.547 130.676h80.36l41.548-130.676h-43.36V15.52h-76.733zm95.42 0v332.462h50.223l-47.487 149.364H391.3L491.823 354.83H391.3V15.52h-76z"}}]})(props);
};
function GiSmitten (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.563 20.53c-48.747 0-93.132 25.712-125.844 68.44-32.714 42.726-53.282 102.36-53.282 168.405s20.568 125.648 53.28 168.375c32.713 42.727 77.098 68.438 125.845 68.438 48.746 0 93.13-25.71 125.843-68.438 32.713-42.727 53.28-102.33 53.28-168.375.002-66.045-20.567-125.68-53.28-168.406-32.712-42.728-77.097-68.44-125.844-68.44zm-54.97 148.657c14.85-.292 29.283 8.698 33.845 28.188 9.805 41.902-43.157 82.06-43.157 107.656-11.71-20.28-81.58-31.536-91-71.686-9.28-39.562 34.006-62.027 62.907-33.125 5.326-19.873 21.6-30.72 37.407-31.032zm106.532 0c16.245-.337 33.326 10.558 38.813 31.032 28.9-28.903 72.218-6.438 62.937 33.124-9.42 40.15-79.288 51.405-91 71.687 0-25.595-52.993-65.753-43.188-107.655 4.415-18.862 18.104-27.89 32.438-28.188zM258.03 350.595c34.49 0 68.985 7.503 99.283 22.53l6.468 3.22-1.467 7.062s-3.773 17.89-18.813 35.094-41.975 34.063-85.47 34.063c-43.492 0-70.427-16.86-85.467-34.063-15.04-17.204-18.813-35.094-18.813-35.094l-1.47-7.062 6.47-3.22c2.803-1.39 5.66-2.675 8.53-3.937v-.375h.814c27.954-12.135 58.942-18.218 89.937-18.218zm-72.56 54.25c.38.46.75.912 1.155 1.375 11.94 13.657 32.584 27.655 71.406 27.655 38.823 0 59.466-13.998 71.408-27.656.404-.464.773-.917 1.156-1.376H185.47z"}}]})(props);
};
function GiSmokeBomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M285.217 21.693c-20.432 0-39.6 6.673-52.758 18.116a52.77 52.77 0 0 0-29.992-9.319c-27.782 0-50.634 21.518-52.762 48.764-17.989 4.957-30.848 21.368-30.848 40.615 0 2.546.23 5.083.684 7.578a42.114 42.114 0 0 0-4.475 18.907c0 23.238 18.907 42.144 42.147 42.144a42.43 42.43 0 0 0 7.226-.62 42.079 42.079 0 0 0 5.127 8.169c-17.365 3.331-27.068 17.163-23.345 36.023-9.295 4.607-16.864 6.201-17.215 18.268-.287 9.866 4.916 19.01 13.23 25.56-8.313 6.551-13.23 15.688-13.23 25.559 0 11.29 10.352 21.682 17.578 28.43-7.416 9.693-7.927 24.998-.26 38.154a42.132 42.132 0 0 0 2.319 3.55l-14.622 49.35 48.41-30.365c7.12-.444 13.244-.91 20.034.135 9.918 0 19.376-4.4 26.556-12.22 1.62.17 3.249.257 4.874.257 25.411 0 46.085-20.675 46.085-46.086 0-2.986-.28-5.93-.84-8.816a45.982 45.982 0 0 0 30.766-28.307 53.207 53.207 0 0 0 22.826-14.262c27.667-.156 51.635-19.979 57.22-46.777 14.92-10.424 24.054-26.876 24.995-45.043 17.787-6.679 29.75-23.623 29.75-43.103 0-24.373-19.02-44.386-42.994-45.985-3.62-21.824-22.627-38.517-45.465-38.517-1.04 0-2.083.036-3.125.107-7.462-23.425-35.047-40.266-67.896-40.266zm0 15.34c28.138 0 52.012 15.151 54.35 34.492l.083.698a51.338 51.73 58.185 0 0-35.54-13.928 51.338 51.73 58.185 0 0-42.788 22.982 51.338 51.73 58.185 0 1 34.71-13.677 51.338 51.73 58.185 0 1 51.622 51.095 51.338 51.73 58.185 0 1-8.836 28.813 51.338 51.73 58.185 0 0 16.912-38.12 51.338 51.73 58.185 0 0-10.193-30.523c3.526-.872 6.907-1.602 10.701-1.674 16.927 0 30.702 13.751 30.746 30.666l-.004 8.78c3.972-.408 7.78-.934 11.63-1.03 16.952 0 30.745 13.793 30.745 30.747 0 14.39-9.782 26.702-23.789 29.94l-6.24 1.444c.14 2.93.32 5.766.361 8.596 0 15.208-7.747 29.054-20.728 37.037l-3.055 1.88-.517 3.55c-3.077 21.17-21.556 37.137-42.985 37.137-1.984-.037-4.382-.182-6.525-.319l-2.48 3.05c-5.593 6.703-15.643 12.085-25.756 14.042-3.61 13.826-12.052 23.304-28.834 27.416l-10.723.72 4.166 9.907a30.548 30.548 0 0 1 2.39 11.908c0 16.952-13.791 30.744-30.744 30.744-3.42-.014-7.57-.86-11.267-1.705-5.517 7.533-9.416 11.997-20.162 13.666-7.755-.104-16.407-1.755-24.881.137l-17.32 10.865 3.67-12.39 2.054-5.739c-2.457-2.702-4.556-4.808-6.406-7.922-5.274-9.049-4.483-19.75 1.725-23.367a7.895 7.895 0 0 0 3.859-5.933c.482-4.382-2.163-6.832-6.549-10.893-3.903-3.613-14.267-13.208-14.267-18.666 0-7.757 6.442-14.938 16.416-18.291l21.625-7.273-21.627-7.268c-9.973-3.353-16.416-10.531-16.416-18.29.073-3.95 13.25-8.191 16.658-11.923-3.117-13.318.236-24.377 16.379-27.766 3.543.017 7.793 1.059 11.572 2.014 3.281-5.129 6.593-9.94 10.791-14.57l-8.787-4.184a26.781 26.781 0 0 1-14.371-17.217l-2.19-8.115c-6.017 2.228-10.79 4.46-17.187 4.582-14.78 0-26.805-12.025-26.805-26.804 0-4.87 1.318-9.636 3.815-13.788l1.666-2.77c-.912-3.486-1.655-6.212-1.692-9.927 0-13.722 10.273-25.176 23.893-26.644l7.183-.776c-.145-3.05-.336-6.076-.39-9.035 0-20.723 16.859-37.582 37.582-37.582 9.41 0 18.415 3.496 25.355 9.846l5.73 5.242 5.173-5.795c10.11-11.329 27.489-18.092 46.492-18.092zM197.918 94.57a32.165 36.96 23.458 0 0-32.527 23.436 32.165 36.96 23.458 0 0 14.793 46.709 32.165 36.96 23.458 0 0 1.879.726 29.767 34.204 23.458 0 1-7.801-39.632 29.767 34.204 23.458 0 1 40.922-19.528 29.767 34.204 23.458 0 1 1.09.553A28.302 24.27 9.276 0 0 203 124.578a28.302 24.27 9.276 0 0-.125 1.795 31.074 24.307 5.708 0 1 30.03-11.076 31.074 24.307 5.708 0 1 26.12 17.086 28.302 24.27 9.276 0 0 .108-.61 28.302 24.27 9.276 0 0-25.278-27.712 28.302 24.27 9.276 0 0-4.812-.262 28.302 24.27 9.276 0 0-8.65 1.4 32.165 36.96 23.458 0 0-10.784-8.295 32.165 36.96 23.458 0 0-11.691-2.334zm49.937 139.287a40.384 34.941 14.833 0 0-37.214 24.973 40.384 34.941 14.833 0 0-.96 6.922 36.66 31.72 18.087 0 1 .098-.344 36.66 31.72 18.087 0 1 44.698-18.77 36.66 31.72 18.087 0 1 25.002 41.536 36.66 31.72 18.087 0 1-7.325 11.525 40.384 34.941 14.833 0 0 16.563-20.191 40.384 34.941 14.833 0 0-30.094-44.115 40.384 34.941 14.833 0 0-10.768-1.536zm-132.992 161.33c-26.266 0-47.56 21.295-47.56 47.56 0 26.267 21.294 47.56 47.56 47.56 26.266 0 47.56-21.293 47.56-47.56 0-6.873-1.46-13.403-4.083-19.304-1.404-3.158-18.367 19.305-33.215 9.205-7.087-4.82-1.849-19.877 1.479-28.734 1.45-3.864 2.539-6.547 2.082-6.685a47.607 47.607 0 0 0-13.823-2.041zm-15.115 16.526c1.147.213-9.03 13.996 1.275 36.846 2.068 4.587-.27 10.01-4.996 12.017-4.725 2.009-10.15-.116-12.117-4.744-1.967-4.633.043-33.362 15.084-43.744.396-.273.635-.397.754-.375z"}}]})(props);
};
function GiSmokingFinger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M204.262 14.523c-77.532 69.77-17.704 109.27 59.158 52.204 51.638-38.34 71.438 23.49 47.717 53.505-58.438 73.947-172.578 34.18-89.354 7.008-113.37-36.547-121.296 71.39-90.523 104.54 38.863 41.858 124.766 26.255 165.277-7.01 37.108-30.468 21.75-60.866-22.777-36.79 35.316-52.643 95.264-16.59 94.025 35.622-.848 35.23-28.5 88.775-124.978 110.964 196.402 32.01 316.185-144.252 218.422-213.752 7.6 41.44-36.27 85.195-65.994 80.596C440.806 80.175 371.784-42.2 263.248 54.82c-36.02 32.2-71.8 3.22-58.986-40.297zm-108.22 210.83c-2.84-.05-7.002.973-12.147 3.674-.752 50.5-28.358 94.39-64.766 128.723v136.836h159.595c15.818-5.263 33.142-11.42 54.955-21.352l.205-.093.207-.08c2.088-.834 2.763-1.695 3.523-4.033.76-2.338.93-6.127.178-10.15-.753-4.023-2.372-8.235-4.244-11.37-1.037-1.736-2.167-3.027-3.066-3.907l-51.216 20.418-6.92-17.36 58.818-23.45c.294-.116.433.1.932-2.048.498-2.147.505-6.053-.346-10.316-1.445-7.238-5.578-15.464-8.986-19.674l-50.594 20.17-6.922-17.36 58.225-23.214c2.412-11.735-1.187-23.722-8.15-31.36l-64.552 25.735-6.92-17.36 136.612-54.464c6.523-2.6 9.43-6.04 10.855-9.498 1.425-3.458 1.302-7.34-.17-10.882-2.943-7.088-9.628-12.57-21.875-7.688L79.85 340.768l-6.92-17.36 29.924-11.93c8.12-24.656 10.526-47.405 8.353-63.146-1.148-8.317-3.598-14.544-6.297-18.11-2.698-3.565-4.98-4.795-8.867-4.868z","fillRule":"evenodd"}}]})(props);
};
function GiSmokingOrb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M123.66 18.307c22.473 23.29 32.004 44.438 35.09 65.252 3.27 22.058-.962 44.3-7.137 67.938-12.16 46.555-31.934 98.967-5.064 159.813-12.032 27.753-6.857 56.39 7.923 78.788 5.667 8.588 12.605 16.416 20.416 23.275-26.87 19.893-47.554 47.646-58.78 79.926h317.195c-20.4-58.752-72.103-102.477-135.453-111.136-103.568-7.857-133.265-149.088 2.99-216.37-73.545 91.13-68.33 138.608-30.356 172.495-6.273-23.09-6.493-48.715 2.305-74.198 42.55-13.055 93.052-42.474 124.42-83.826 17.266-22.765 28.633-49.494 28.21-78.762-.384-26.6-10.61-54.804-33.307-83.197h-23.758c31.688 29.94 43.622 103.442-31.873 140.558 38.92-50.098 22.51-112.9-26.185-140.558h-46.842c31.354 40.286 20.02 66.067-3.83 89.12 1.89-7.246 3.108-14.645 3.55-22.056 1.457-24.356-6.552-49.207-26.28-67.063H201.12c34.436 12.88 45.068 38.047 43.4 65.95-1.034 17.29-7.676 35.33-17.594 50.313-11.71 9.188-23.477 18.68-33.33 29.295-18.288 19.702-31.146 38.49-39.57 56.35 3.43-21.496 10.05-42.48 15.67-63.994 6.36-24.35 11.415-49.27 7.54-75.404-3.037-20.482-11.73-41.365-28.69-62.51H123.66zm282.018 98.675c-2.836 18.55-11.212 35.976-23.36 51.99-24.127 31.81-63.363 57.2-98.53 71.33 12.744-21.742 32.915-42.753 62.462-61.296 32.67-20.504 51.2-41.087 59.428-62.024zm-247.256 217.97c12.986 22.255 31.94 41.7 52.207 58.232-.04.015-.075.033-.112.048 28.763 17.358 48.085 56.824 12.923 85.764 7.22-26.29-13.27-64.455-36.155-79.363l.363-.188c-6.822-5.85-12.848-12.476-17.578-19.642-9.107-13.8-14-28.926-11.648-44.852z"}}]})(props);
};
function GiSmokingPipe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M483.66 146.386l-162.2 75.44c6.805 5.068 11.616 12.53 13.86 21.566 31.302-30.166 133.963-65.006 148.34-65.006 9.932-32 0-32 0-32zM46.193 219.384c-14.496 43.792-22.06 69.925-22.262 86.385-.21 17.282 5.624 25.782 22.095 42.252 13.328 13.328 28.604 18.273 48.182 17.518 19.53-.754 43.06-7.833 69.69-19.338 61.88-30.948 127.09-66.444 154.712-91.86.012-9.254-2.38-14.29-7.306-17.646-29.185 15.145-57.58 31.062-125.656 46.467l-10.986 2.486v-11.264c0-16-.098-27.592-1.826-36.235-1.504-7.515-4.044-12.927-9.2-18.766H46.193z"}}]})(props);
};
function GiSmokingVolcano (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M22.617 18C18.6 55.817 39.13 114.441 82.812 150.084c20.272 13.078 45.532 20.176 90.76 10.582-28.04 20.036-55.985 22.522-81.12 13.705-1.643 40.508 11.725 74.172 44.724 92.262l6.955 1.222c21.812 3.834 40.577 6.554 57.064 8.432 43.104-1.027 100.974-15.253 107.075-46.26 5.206 17.254-9.413 35.895-30.461 49.03 26.736-1.788 45.89-6.535 70.962-9.475 22.66-4.201 45.749-6.556 58.325-33.943-23.624-1.572-66.964-39.445-58.032-67.244 10.233 24.752 34.786 46.375 67.489 50.714 32.703 4.34 61.938 2.762 74.445-21.978-36.742-7.347-83.678-30.66-83.576-58.164 16.688 23.709 57.832 37.588 86.578 41.625v-80.367c-17.403-2.517-37.61-11.616-61.531-29.284-28.723 10.61-70.17 1.176-89.559-29.08 14.67 9.377 77.616 31.436 119.41-5.072-2.133 13.262-9.706 23.112-20.197 29.512C457.929 79.04 478.128 83.145 494 83.523V18H88.773c22.714 38.433 60.376 43.69 115.748 20.205-24.984 30.51-67.748 36.77-92.095 26.365C90.848 55.35 76.912 36.484 68.246 18H22.617zm226.037 67.768c-5.42 16.917-20.469 33.547-37.633 42.332 24.37 28.568 86.318 17.27 125.743-10.262-5.5 12.47-35.01 35.827-65.514 39.754-26.159 3.367-55.237-2.426-74.432-24.31-25.83 5.454-53.32-9.415-63.224-37.438 13.345 8.887 35.848 29.588 62.52 21.334 15.613-5.072 39.086-16.757 52.54-31.41zm-100.34 201.021C121.427 356.821 61.605 426.55 13.25 494H494v-24.408c-18.259-18.204-37.237-36.465-55.416-54.854-40.17-40.634-76.623-81.875-91.643-126.703-7.676.987-15.006 2.15-22.4 3.317 10.79 34.39 34.149 70.833 49.826 97.377l-15.5 9.154c-15.667-26.527-40.826-64.792-52.338-103.836-6.255.86-12.756 1.639-19.756 2.242 1.656 18.171 7.979 36.85 17.04 55.934l-16.262 7.718c-9.69-20.41-16.917-41.23-18.754-62.57-9.018.304-18.917.282-29.969-.178-3.288 26.44-10.26 52.782-20.441 79.002l-16.78-6.513c9.565-24.633 16.081-49.149 19.223-73.569-8.416-.65-17.48-1.547-27.248-2.717-9.62 41.042-41.908 95.648-64.287 118.19l-12.774-12.682c17.29-17.414 49.743-72.746 59.051-107.87a1030.786 1030.786 0 0 1-27.258-4.245z"}}]})(props);
};
function GiSnailEyes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M80 40.998A38.867 38.867 0 0 0 40.998 80c0 1.848.136 3.662.38 5.44C45.395 76.946 54.065 71.001 64 71.001 77.7 71.002 88.998 82.3 88.998 96c0 9.936-5.945 18.606-14.437 22.621 1.777.245 3.591.38 5.439.38A38.867 38.867 0 0 0 119.002 80 38.867 38.867 0 0 0 80 40.998zm352 0A38.867 38.867 0 0 0 392.998 80c0 1.848.136 3.662.38 5.44 4.016-8.493 12.686-14.438 22.622-14.438 13.7 0 24.998 11.298 24.998 24.998 0 9.936-5.945 18.606-14.437 22.621 1.777.245 3.591.38 5.439.38A38.867 38.867 0 0 0 471.002 80 38.867 38.867 0 0 0 432 40.998zm-321.275 86.943a56.724 56.724 0 0 1-16.59 7.274c21.12 67.375 42.902 135.878 93.302 204.107-26.003 28.733-63.381 55.814-96.1 79.922-18.982 13.987-36.346 26.921-48.56 37.938-6.106 5.508-10.91 10.557-13.908 14.675-1.791 2.461-2.676 4.326-3.217 5.807 2.415 1.166 6.945 2.683 12.979 4.063 12.369 2.827 30.885 5.33 53.166 7.31 44.56 3.961 104.403 5.965 164.203 5.965s119.642-2.004 164.203-5.965c22.28-1.98 40.797-4.483 53.166-7.31 6.034-1.38 10.564-2.897 12.979-4.063-.541-1.48-1.426-3.346-3.217-5.807-2.998-4.118-7.802-9.167-13.908-14.675-12.214-11.017-29.578-23.95-48.56-37.938-32.719-24.108-70.097-51.189-96.1-79.922 50.4-68.229 72.182-136.732 93.302-204.107a56.724 56.724 0 0 1-16.59-7.274c-21.681 69.07-42.994 136.918-93.986 204.44-45.172 10.928-57.406 10.928-102.578 0-50.992-67.522-72.305-135.37-93.986-204.44zM199.002 384h17.996c0 20.5-15.2 34.988-32.228 45.63-17.03 10.644-37.281 18.687-52.745 26.419l-8.05-16.098c16.536-8.268 36.284-16.225 51.255-25.582 14.972-9.357 23.772-18.869 23.772-30.369zm96 0h17.996c0 11.5 8.8 21.012 23.772 30.37 14.97 9.356 34.719 17.313 51.255 25.581l-8.05 16.098c-15.464-7.732-35.716-15.775-52.745-26.418-17.028-10.643-32.228-25.131-32.228-45.631z"}}]})(props);
};
function GiSnail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M425.5 74.313c-8.895 0-16.35 6.21-18.25 14.53-8.593 3.7-15.195 10.617-19.03 18.813-5.254 11.223-6.848 24.648-7.158 39.313-.525 24.904 2.99 53.73 4.532 79.03-1.782 14.666-4.867 28.518-9.063 41.406 2.84 17.934 3.39 36.487.94 55.188-5.017 38.286-36.52 61.134-70.22 67.937-31.048 6.27-65.312.42-87.656-19.405-34.752 22.61-76.646 28.578-112.406 16.594-42.048 16.248-74.53 38.826-87.626 61.436H341.25c103.105 0 137.952-107.888 111.406-225.53-.018.023-.044.038-.062.06-5.71-40.853.98-70.45 14.906-88.905 1.956.695 4.056 1.095 6.25 1.095 10.333 0 18.688-8.386 18.688-18.72 0-10.332-8.355-18.718-18.688-18.718-10.333 0-18.72 8.386-18.72 18.72 0 1.017.095 1.994.25 2.968-21.242 25.165-28.854 65.708-19.25 117.906-10.296 4.836-21.152 2.878-31.436-6.75-1.286-28.002-5.364-59.27-4.844-83.905.283-13.405 2.07-24.72 5.375-31.78 2.1-4.49 4.222-7.344 7.47-9.032 3.355 3.196 7.904 5.187 12.905 5.187 10.333 0 18.688-8.386 18.688-18.72 0-10.332-8.355-18.718-18.688-18.718zM193.344 106.25c-2.196-.01-4.398.036-6.594.125-35.143 1.42-70.142 15.475-99.063 41.25-56.73 50.558-59.43 144.59-9.187 201.125 38.648 38.3 106.856 34.79 151.5-9.844 37.712-37.61 40.61-94.977 8.78-127-22.1-22.23-60.996-24.817-85.843 1.188-5.534 5.79-8.98 16.02-8.906 26.906.076 10.887 3.653 22.003 9.532 29.063 3.593 4.313 10.625 8.476 18.5 10.468 4.687 1.187 9.596 1.58 14.094 1.25 13.195-.228 26.156-9.01 26.156-26.624 0-15.72-10.332-24.428-21.937-26.28 7.773-.697 14.783.618 20.594 3.81 8.51 4.678 13.69 12.944 15.468 21.533 3.52 16.995-5.478 37.125-25.407 43.343l.032.062c-.162.06-.337.067-.5.125-.046.014-.078.05-.125.063-10.572 3.753-22.202 3.567-32.968.843-10.977-2.776-21.238-8.167-28.282-16.625-9.418-11.306-13.744-26.222-13.844-40.874-.1-14.652 4.01-29.453 14.062-39.97 32.03-33.52 83.263-31 112.625-1.467 39.98 40.22 35.282 109.352-8.843 153.374v.03c-2.627 2.627-5.384 5.056-8.156 7.438 17.017 12.7 44.022 17.605 68.532 12.657 28.256-5.706 51.524-22.667 55.375-52.064 9.492-72.455-34.215-147.342-72.25-179.25-27.663-23.21-60.402-34.506-93.343-34.656z"}}]})(props);
};
function GiSnakeBite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.563 18.156c-109.415 0-197.188 78.138-197.188 210.938 0 66.4 22.564 133.81 58.688 184.062 36.123 50.25 85.217 82.97 138.5 82.97 53.282 0 102.376-32.72 138.5-82.97 36.123-50.25 58.687-117.662 58.687-184.062 0-132.802-87.773-210.938-197.188-210.938zM197.25 81.03c13.11.1 26.208.9 39.375 2.19C187.663 97.1 142.11 118.426 93.78 143.5c8.506-20.714 20.58-43.263 37.19-56.594 22.518-4.307 44.428-6.04 66.28-5.875zm112.625 0c21.852-.163 43.793 1.57 66.313 5.876 16.608 13.33 28.682 35.88 37.187 56.594-48.33-25.073-93.882-46.4-142.844-60.28 13.168-1.29 26.234-2.09 39.345-2.19zm-56.313 89.314c44.657 0 85.675 6.417 116.625 23.906 30.95 17.49 51.157 47.392 51.157 89 0 41.607-18.53 89.365-48.406 127.594-29.878 38.228-71.8 67.28-119.375 67.28s-89.497-29.052-119.375-67.28c-29.88-38.23-48.407-85.987-48.407-127.594s20.237-71.51 51.19-89c30.95-17.49 71.936-23.906 116.593-23.906zm0 18.687c-42.8 0-81.003 6.583-107.406 21.5-7.537 4.26-14.153 9.097-19.78 14.657-2.458 48.505 9.503 99.248 36.25 143.657-4.516-35.82-2.9-91.21 4.5-131.78 0 0 38.21-16.376 88.624-16.376 51.022 0 85.03 16.03 85.03 16.03 7.465 40.703 9.47 96.184 4.94 132.126 22.606-38.47 36.412-94.112 35.342-143.375-5.684-5.68-12.4-10.61-20.062-14.94-26.402-14.917-64.637-21.5-107.438-21.5zM196.5 344.907c-14.405 23.92-24.514 50.735-26.906 77.094 24.292 22.73 53.363 37.438 83.97 37.438 30.48 0 59.453-14.583 83.686-37.157-3.04-27.466-13.71-56.46-26-77.374 2.84 22.53 1.586 49.987-3.094 75.5 0 0-25.41 9.313-53.28 9.313-27.365 0-55.564-9.533-55.564-9.533-4.638-25.433-5.64-52.826-2.812-75.28z"}}]})(props);
};
function GiSnakeEgg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M159.6 30.99c-9.2.18-26.9 12.56-44.3 34.92-17.41 22.37-35.08 53.29-49.28 86.19-14.19 32.9-24.95 67.8-29 97.8-4.05 30-.85 54.6 9.23 67.4 20.69 26.4 67.25 47.2 114.55 48.1 47.3.9 94.5-16.8 120.8-64.6 4.3-7.8 6.1-22.5 4.9-40.8-3-.5-5.9-1-8.9-1.5-24.4-3.8-48.2-5.9-59.6-6.8l-7.8 27.2 19.1 19.6-12.8 12.6-19-19.5-57 9.7-3-17.8 55.3-9.4 9.6-33c-.1-7.2 1.2-13.7 3.5-19.4l-34.1-21.5-62.2 31.4-8.1-16 38.6-19.5-17.7-39 16.4-7.4 17.4 38.3 16.6-8.4 37.8 23.7 55.7-29.7c-3.5-9.6-7.2-19.2-11.3-28.7-13.5-31.2-30.3-60.66-47.5-81.66-17.3-21.01-34.8-32.51-47.9-32.25zm91.7 172.21c-9.5 5.5-17.7 10.5-22.8 15.9-4 4.3-6.6 8.6-7.6 14.8 10.1.8 32 2.5 59.5 6.8 17.4 2.8 35 6.3 49.4 11.2 7.2 2.4 13.6 5.2 19 8.6 5.3 3.5 10.1 7.9 11.9 14.6 4.1 15.3-1.6 29.3-10.9 39.1-9.3 9.9-21.8 17.2-34.3 24.4-12.4 7.3-24.7 14.4-33.4 22.1-8.7 7.8-13.5 15.2-13.6 25-.2 18.5 7.1 32.5 20.1 45.3 13 12.7 31.9 23.5 52.9 33.1 42.2 19.3 84.6 19.9 110.4 12.5 12.9-3.7 21.2-9.7 23.6-13.7 1.2-2 1.4-3.1 1-4.7-.4-1.7-1.8-4.2-5.5-7.4-5.7-4.9-18.1-15.3-32.4-23.2-14.3-7.9-29.8-12.6-41.2-9.3-25.8 7.6-48.3 4.3-62.8-4-7.3-4.2-13.1-9.7-14.9-17.6-1.8-7.9 2.8-16.7 10.2-21.2 39.3-23.8 63-41.5 75.2-57.3 12.3-15.9 14.5-29.6 10.9-51-2.4-14.9-12.6-26.3-28.2-35.6-15.7-9.2-36.6-15.8-57.2-20.1-37.8-7.8-73.2-8.2-79.3-8.3zm156.4 227a10.48 9.984 0 0 1 10.5 10 10.48 9.984 0 0 1-10.5 10 10.48 9.984 0 0 1-10.5-10 10.48 9.984 0 0 1 10.5-10z"}}]})(props);
};
function GiSnakeJar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M320.9 35.5c-1.6-.01-3.1-.01-4.7.02-43.7.6-99.6 12.79-143.5 34.77-25 12.56-46.1 28.28-59.2 46.11-13.1 17.7-18.54 37.1-13.4 59.8 3.5 15 13.9 26.9 29.8 36.8 15.9 10 36.9 17.3 58.9 22.4 44.2 10.1 93 11.1 113.9 9.4l19-1.5-10.9 15.6c-17.1 24.5-51.7 37.4-86.1 48-4.6 1.4-9.2 2.8-13.8 4.1h125.7c5.4-3.1 23.9-14.2 43.7-29.8 11.6-9.1 22.9-19.3 30.4-28.9 7.6-9.6 10.7-18.1 9.7-23.5-2.8-15.9-12.9-24.9-29.9-31.4s-40.5-9-65.2-9.6c-24.7-.5-50.7.8-73.6 1.3-22.9.6-42.2.7-56.3-4.2-9.2-3.2-16.3-8.2-19.5-15.7-3.3-7.4-1.5-15.7 2.2-22.3 7.5-13.4 22.5-25 40.7-35.4 18.3-10.5 39.7-19.28 60.1-23.86 20.4-4.58 39.9-5.6 54.8 3.22 27 16.04 51.4 30.74 72.6 38.14 17.2 6.1 31.3 7.6 44.3 2.5-6.4-8.6-18.2-23.9-36.5-43.03-24.9-25.86-57.2-50.94-79.9-52.5-4.3-.26-8.7-.44-13.3-.47zm28.6 17.93c4.7.08 10.3 2.45 15.9 6.99 13.9 11.24 13.5 18.32 8.2 32.7-7.2-11.47-19.8-22.21-37.1-28.25 2.1-7.82 6.9-11.53 13-11.44zM137 329v30h238v-30H137zm27.5 48l-42.7 57 13.2 53h242l13.2-53-42.7-57h-183z"}}]})(props);
};
function GiSnakeSpiral (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.8 19.67c-64.3-.19-138.9 17.46-171.47 52.48C3.05 162.8-13.47 361.6 79.41 443.4 177 529.4 397.5 496.9 465.4 386c43-70.3-8.8-190.8-78.8-234.4-71.3-44.5-202.8-36.3-250 33.2-35.7 52.7-10.6 157.3 46.6 185.3 56.8 27.8 159.6-14.8 173.7-76.5 7.2-31.6-32.1-64.9-63.3-74-29.7-8.6-82.5-3.2-88.7 27.1-5.7 27.6 39.2 55.4 64.7 54.6 18.2-.6-47.6-29.8-36.4-45.7 17.8-25.3 86.4-1 87.7 29.8 1.9 43.6-81.1 72.6-120 52.7-40.5-20.8-55.4-96.9-28.4-133.5 34.8-47.2 125.6-47.2 175.1-15.9 49.6 31.4 90.4 114.8 60.7 165.4-49.6 84.5-216.1 110-290.3 46-71.77-61.9-61.6-214.7 2.8-284.2C182 49.64 361.7 63.14 390.5 92.21c17.8 26.79 47.6 58.69 90.7 38.19-26.9-7.5-43.3-20.9-50.5-38.65 16.9 6.49 48-.54 64.7-6.46-13.3-16.22-54.6-65.61-92.9-42.93 0 0-66-22.45-143.7-22.69zM423.3 51.8c9.5 8.19 25.9 20.75 40.9 29.42 0 0-34.9.97-43.2-11.39-3.4-5.03-7-9.46 2.3-18.03z"}}]})(props);
};
function GiSnakeTongue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M300.9 23.76C198 24.02 80.84 87.55 46.35 177 15.2 257.8 97.86 306.6 127.1 389.3c21.1 59.7-96.61 98.2-96.61 98.2H231.5s34.3-42.2 32.8-94.4c-2.8-99.1-134.7-126.8-127-198.8 6.8-64.2 164.6-128.97 213-86.3 24 21.2 16 85.5 16 85.5-24 3-34.5 8.2-48.7 17.9 21.1 51.8 17.3 105.3 19.8 158.4 19.5 13.9 43.4 16.1 69.5 12.9 19.3-50 44.7-95.4 74.6-137.5-5.1-14-12.3-22.6-29.9-35.3 0 0 18.2-97.6-24.9-140.43-32-31.89-77.3-45.83-125.8-45.71zm53.6 198.84l23.9 58.3s-27-6.9-32.2-17.6c-6.1-12.8 8.3-40.7 8.3-40.7zm93.6 15.2s4.2 31.1-5.8 41.1c-8.5 8.4-36.2 5.9-36.2 5.9zm-99 100.3l16.1 23.3-16.4-3.2zm58 10.1l-6.3 19.1-16.6-2.3zm-47.4 49.7l-6.1 35.1-36.7 34.7 12.4 13 29-27.4 13.6 34.9 16.8-6.6-17.5-45 6.3-35.9c-6-.8-11.9-1.7-17.8-2.8z"}}]})(props);
};
function GiSnakeTotem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M138.375 21.094l-78.47 78.47v161.874l158.97 33.187-3.813 18.28-155.156-32.374v108.5l87.03 106.876h140.158V407.72H185.03l21.157 28h42.407v18.686h-51.688l-2.812-3.72-35.313-46.686-11.31-14.97h139.624V211.095l-138.75-31.844-7.25-1.656v-75.218h18.687v60.31l254.345 58.376 5-62.156c-10.023 12.4-25.68 20.813-46.97 20.813-80.483 0-80.436-120.47 0-120.47 25.84 0 43.383 12.435 52.626 29.313l5.408-67.47H138.375zm75.78 24.03h85.626l-25.374 42.813-60.25-42.812zM487.22 82.657l-59.658 28.656h-96.53c-.48 2.69-.72 5.433-.72 8.188 0 3.548.395 7.083 1.188 10.5h95.094l60.625 29.156 8.092-16.844-44.53-21.406L495.31 99.5l-8.093-16.844z"}}]})(props);
};
function GiSnake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M301.563 20.22c-8.64-.033-17.075.304-25.22.968-200.737 0-184.708 197.468 0 226 184.71 28.53 137.485 190.906 9.907 190.906-84.162 0-140.85-19.887-181.03-64.156-42.064-46.34-12.496-99.594 44.28-51.938 57.026 47.867 100.32 83.576 171.813 28-89.54 29.698-124.626-42.73-188.313-81.875-60.388-37.117-138.036 38.746-86 121.25 43.402 68.815 152.713 107.78 243.344 107.78 220.645 0 259.324-271.296 63.094-301.936-69.28-10.818-119.376-23.398-143.688-61.907-17.817-28.226 32.672-85.843 97.656-59.688 9.406 15.75 13.877 35.578 15.375 65.47l83.5 39.53 3.22-5.438.063.125c8.535-4.49 14.952-14.657 20.906-26.03-10.923 4.674-23.103 4.475-34.69 1.468-2.788-1.817-5.497-3.827-8.092-6-23.392-19.585-28.737-45.978-11.938-58.97 12.435-9.615 33.52-9.19 53.125-.374 8.603 18.074 9.702 35.265 11.188 52.5 10.24-14.024 15.704-29.453 18.562-45.656l10.72-18.063C421.43 35.528 357.307 20.423 301.56 20.22zm42.812 22.06c13.64.758 28.504 1.625 41.72 9.407l-9.47 16.126c-8.187-4.822-19.96-6.137-33.28-6.876l1.03-18.656z"}}]})(props);
};
function GiSnatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M325.396 40.29L165.34 149.017c-27.315 13.986-98.18 15.75-146.59 13.43v136.08c24.72-10.865 51.825-20.162 78.604-27.508l-31.967-57.49-3.73-6.706 5.855-4.963c10.993-9.32 23.77-15.852 37.8-16.577 11.967-.618 24.37 3.315 36.01 11.936 9.196-6.337 18.938-10.62 29.397-11.08 10.324-.456 20.665 3.25 30.24 10.477 13.184-10.538 27.613-12.633 39.923-10.092 14.378 2.97 26.573 10.17 37.324 13.55l10.8 3.394-42.26 78.262c58.048 26.817 104.31 72.66 93.85 161.82L393.104 343.4l-107.41-82.445c51.457-18.844 150.272 27.377 146.3 116.654l24.187-104.147L309.59 209.17c51.507-29.956 141.992-23.573 180.12 74.22L476.67 165.103c-77.827 2.3-165.953-5.837-207.322-21.684-10.25 6.4-20.26 14.33-31.692 21.736l-10.162-15.685c13.355-8.65 26.9-20.316 43.26-28.353 31.346-18.998 60.645-30.103 109.496 4.922l-54.856-85.75zM229.902 203.9c-6.932-.154-13.347 2.425-21.838 11.48l-6.552 6.99-6.823-6.725c-8.733-8.607-15.897-11.156-23.15-10.836-7.25.318-15.536 4.065-24.65 11.442l-6.216 5.033-5.932-5.367c-10.492-9.492-19.67-12.425-28.465-11.97-6.787.35-13.73 2.997-20.605 7.61l48.135 86.567c18.32 11.452 55.63 15.793 81.414 2.654l46.827-86.717c-9.24-3.712-17.568-7.712-24.943-9.235-2.523-.52-4.89-.876-7.202-.928zM124.756 314.664c-21.495 14.875-38.772 40.762-45.38 78.69-6.344 36.4 3.688 61.31 21.522 78.207 17.835 16.898 44.47 25.525 71.456 25.174 26.985-.35 53.906-9.69 72.11-26.88 18.206-17.19 28.507-41.804 22.702-76.567-6.052-36.242-21.89-61.475-41.916-76.607-32.782 17.74-74.566 13.87-100.494-2.016z","fillRule":"evenodd"}}]})(props);
};
function GiSniffingDog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v34.924C30.373 40.596 43.205 29.082 56.232 18H18zm66.443 0C61.258 37.103 38.673 56.716 18 79.066v93.604c35.238-62.356 85.948-121.868 169.047-154.234L186.71 18H84.442zm96.07 22.428C97.444 77.27 50.832 143.66 18 210.878v64.858c11.154.898 21.737 2.696 31.846 5.455-4.82-7.28-8.926-14.836-11.254-22.258-3.256-10.382-2.62-22.698-1.78-33.282.842-10.583 2.317-19.17 2.317-19.17l17.74 3.04s-1.342 7.86-2.114 17.558c-.772 9.7-.545 21.504 1.012 26.467 2.876 9.17 13.302 24.353 23.015 36.187a327.014 327.014 0 0 0 4.016 4.79c7.474 4.124 14.704 8.94 21.745 14.48 33.96 26.73 63.706 69.267 99.367 130.902 16.65 6.505 40.976 9.85 64.414 10.405a36.37 36.37 0 0 1-2.592-4.486c-4.572-9.458-4.285-22.07 3.704-31.392 7.562-8.826 17.962-18.636 30.61-24.358 5.532-2.503 11.77-4.057 18.153-4.12.076-.002.15.005.226.005l-18.238-62.606c-3.994-9.02-4.22-18.422-2.325-26.89 1.95-8.702 5.86-16.646 10.035-24.292 8.34-15.268 17.522-29.612 18.94-42.438 2.55-26.62-12.78-47.528-24.22-74.013l-1.08-2.5.49-2.683c7.444-40.794 33.434-74.835 60.376-109.16-49.54-4.95-111.124 15.353-158.06 29.514l-7.61 2.297-3.218-7.27c-4.085-9.22-8.42-17.702-13.002-25.49zm119.674 282.926c.112.25.215.503.333.753l-.49-1.293.158.54zm79.655-258.51a163.5 163.5 0 0 0-13.22.51c-21.75 28.594-40.064 56.13-46.23 85.808.794 1.755 1.635 3.52 2.495 5.293 24.865-33.377 53.62-65.993 96.406-87.627-14.438-2.722-27.53-3.96-39.45-3.984zm-156.03 130.77l17.323 4.886c-2.18 7.726.64 20.587 8.457 32.105 7.816 11.52 20.036 21.37 33.588 24.864l-4.494 17.428c-18.755-4.836-34.023-17.498-43.99-32.185-9.965-14.687-15.22-31.725-10.885-47.098zM353.845 295.67l-4.797 84.873 21.817-62.324-17.02-22.55zm72.394 29.07l-51.172 66.15s78.346-26.13 82.184-27.158c3.838-1.028-31.012-38.992-31.012-38.992zm38.672 77.076l-74.24 14.653 76.183 6.735-1.943-21.39zm-143.662.543c6.196 36.786-13.185 38.92-33.77 42.212 8.924 2.434 37.68 6.205 45.69-6.953 6.452-10.598-5.676-27.313-11.92-35.26zm54.396 42.716l39.526 25.824 44.13-15.67-83.656-10.154zM18 471v18h476v-18H18z"}}]})(props);
};
function GiSnitchQuidditchBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M329.242 23.746c-13.35-.267-12.03 91.912-5.71 103.036 3.875 6.82 6.193-10.662 21.022-12.25-5.408 5.15-24.323 30.74-14.425 41.378.693.746 18.478-18.13 18.038-10.916-17.332 22.232-16.615 33.91-8.778 35.762 2.585 4.382 3.88-6.777 14.79-8.992-11.88 13.923-7.974 27.244-1.858 32.416 11.887 21.494 28.463 32.738 36.217 52.19 13.508.56 26.468 3.272 38.548 7.804 2.59-77.788-20.786-159.03-94.13-238.262-1.347-1.456-2.585-2.143-3.716-2.166zm-299.674 76.58c-27.68-1.464 25.308 99.44 40.84 104.735 9.028 3.08-7.155-25.09 6.764-35.74-.692 7.248 2.923 52.275 21.6 54.8 1.24.17 1.708-42.154 6.706-36.167-.207 28.2 11.986 53.525 21.037 50.21 5.823 1.895-.887-26.21 8.106-34.624-1.13 18.285 12.288 44.93 22.157 45.296 28.437 10.01 58.3 20.302 86.95 30.89 4.418 1.633 1.103-6.725 6.993-11.077 1.065 9.216 12.585 18.437 15.76 19.665 8.133 3.143 16.087 6.314 23.824 9.51 4.007-4.462 8.334-8.627 12.936-12.475-77.025-62.935-170.466-124.18-259.66-152.713l5.318-17.197c105.32 40.04 191.08 91.35 269.48 159.052 4.134-2.522 8.417-4.82 12.846-6.86C251.984 193 158.57 120.55 30.947 100.473c-.48-.075-.94-.124-1.38-.147zm353.736 173.928c-59.2 0-107 47.8-107 107 0 30.278 12.507 57.568 32.643 77.012-1.39-9.04-1.943-18.47-1.482-27.602.496-9.845 2.167-19.324 5.795-27.623 3.627-8.298 9.596-15.734 18.402-19.245 4.164-1.66 8.393-2.45 12.584-2.533 12.574-.25 24.82 5.854 34.05 13.86 4.155 3.603 7.78 7.693 10.635 12.17 13.152 2.84 32.05.043 47.142-7.358 8.528-4.182 15.805-9.692 20.443-15.553 3.14-3.967 5.095-7.92 5.832-12.028.002-6.434 2.07-13.402 5.414-18.625 3.494-5.067 8.81-9.072 15.296-11.326-15.515-39.925-54.265-68.146-99.752-68.146zm104.83 85.397c-2.66 1.017-4.328 2.514-5.552 4.29-5.126 9.37.64 20.764 7.402 25.672.212-2.758.32-5.545.32-8.358 0-7.403-.748-14.628-2.17-21.603zm-17.525 35.926c-5.46 6.89-12.557 12.62-20.515 17.254 5.16 16.898 5.142 34.56 2.59 49.948 16.427-13.986 28.557-32.856 34.162-54.395-6.705-2.99-12.178-7.494-16.238-12.807zM344.74 399.44c-7.465-.31-12.7 5.704-14.988 10.81-2.373 5.43-3.89 13.007-4.31 21.32-.736 14.576 1.93 31.45 6.114 43.403 15.327 8.463 32.96 13.28 51.746 13.28 16.913 0 32.893-3.905 47.096-10.858 4.933-14.36 8.046-37.204 3.096-56.84-12.46 4.56-25.81 6.867-38.375 5.912.007 3.665-.704 7.363-2.39 10.885-5.05 10.552-16.13 15.3-27.65 15.064-11.52-.236-24.38-8.765-27.412-24.353l17.668-3.438c1.726 8.877 5.15 9.694 10.113 9.795 4.96.102 10.558-3.82 11.046-4.84.96-2.005 1.02-4.714-.61-8.617-1.634-3.902-5.017-8.458-9.382-12.244-6.55-5.68-14.805-9.178-21.762-9.28z"}}]})(props);
};
function GiSnorkel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M353.5 16c-15 0-15 15-15 30v60a15 15 0 0 0-15 15v30a15 15 0 0 0 15 15v210c0 33.137-26.863 60-60 60s-60-26.863-60-60c0 0 15-15 15-30s45-30 45-45-15-15-15-15-8.565 8.59-20.72 18.25A15 15 0 0 0 218.5 316a15 15 0 0 0 .72 4.53C208.733 326.586 197.885 331 188.5 331c-9.375 0-20.214-4.395-30.688-10.438A15 15 0 0 0 158.5 316a15 15 0 0 0-24.28-11.78C122.072 294.562 113.5 286 113.5 286s-15 0-15 15 45 30 45 45 15 30 15 30c0 66.274 53.726 120 120 120s120-53.726 120-120V166a15 15 0 0 0 15-15v-30a15 15 0 0 0-15-15V46c0-15 0-30-15-30h-30z"}}]})(props);
};
function GiSnout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.1 42.4c-50.7 0-103.2 19.37-144 58-5.6 4.2-8.9 10-10.9 16.5-11.22 1.1-21.49 5.3-30.23 11.8-12.79 9.6-22.51 23.6-29.86 40.1-14.72 33-20.24 76.2-17.46 117.2 2.78 41 13.56 80 35.07 104.3 10.75 12.1 24.71 20.5 40.98 22 8.3.8 17-.3 26.1-3.1 8.8 18.1 24.4 32.1 43.1 41.8 24.1 12.6 53.7 18.6 83.5 18.6 29.8 0 59.8-6 84.7-18.5 19.6-9.8 36.3-23.9 46.5-42.2 9.4 3.1 18.4 4.2 27 3.4 16.3-1.5 30.2-9.9 41-22C474.1 366 484.8 327 487.4 286c2.7-41.1-3-84.2-18-117.2-7.5-16.5-17.4-30.6-30.4-40.1-8.4-6.2-18.2-10.3-28.8-11.6-2-6.4-5.2-12.1-10.5-16.3-39.2-38.98-91.8-58.4-142.6-58.4zM99.56 136c-.15 11.1 1.74 22.7 5.24 33.2 3.9 11.7 9.4 22.3 19.2 28.1 4.9 3 11.4 4.3 17.5 2.6 5.8-1.5 10.9-5.3 15.5-10.4 8.9-8.1 24.5-17.1 38.5-21.3 7.1-2.1 13.7-3 18.6-2.6 4.4.4 7 1.6 8.8 3.4 6.5 15.5 4 27.8-.3 38.9-2.1 5.7-4.8 11-7.1 16-2.2 5-5.1 9.9-2.8 17.4 2.7 9.1 10 15 18 19 5.3 2.7 11.1 4.6 17.1 5.5v59.3c-43.4 18.5-73.1 36.9-103.8 55l-.2.2-.2.1c-16.6 10.9-30.1 14.3-41.2 13.3-11.04-1-20.31-6.3-28.69-15.8-3.9-4.4-7.48-9.7-10.73-15.8a15.53 15.53 0 0 0 2.66.2 15.53 15.53 0 0 0 15.26-15.8 15.53 15.53 0 0 0-15.79-15.3 15.53 15.53 0 0 0-12.24 6.3c-2.71-8.6-4.93-17.9-6.58-27.6a15.53 15.53 0 0 0 8.35 2.3 15.53 15.53 0 0 0 15.27-15.7 15.53 15.53 0 0 0-15.79-15.3 15.53 15.53 0 0 0-10.74 4.6c0-.4-.1-.7-.1-1.1-.85-12.6-.81-25.5.1-38.2a15.53 15.53 0 0 0 12.26 5.7 15.53 15.53 0 0 0 15.26-15.8 15.53 15.53 0 0 0-15.79-15.2 15.53 15.53 0 0 0-9.29 3.3c2.73-17.7 7.2-34.3 13.36-48.1 6.45-14.4 14.67-25.8 23.97-32.7 5.11-3.8 10.47-6.4 16.41-7.7zm313.24.3c5.4 1.4 10.4 3.9 15.1 7.4 9.5 7 17.9 18.3 24.5 32.8 6.2 13.7 10.8 30.2 13.6 47.8a15.53 15.53 0 0 0-9.2-3.2 15.53 15.53 0 0 0-15.8 15.3 15.53 15.53 0 0 0 15.3 15.8 15.53 15.53 0 0 0 12.3-5.7c.9 12.7 1 25.6.2 38.3 0 .7-.1 1.3-.1 2a15.53 15.53 0 0 0-11.8-5.7 15.53 15.53 0 0 0-15.8 15.3 15.53 15.53 0 0 0 15.3 15.8 15.53 15.53 0 0 0 9.6-3.2c-1.7 10.6-4.1 20.6-7 29.9a15.53 15.53 0 0 0-13.2-7.7 15.53 15.53 0 0 0-15.7 15.2 15.53 15.53 0 0 0 15.2 15.8 15.53 15.53 0 0 0 4.2-.5c-3.3 6.2-6.9 11.7-10.9 16.2-8.4 9.5-17.7 14.8-28.7 15.8-11.1 1-24.6-2.4-41.2-13.3l-.2-.1-.2-.1c-29.8-17.7-58.7-35.7-101.9-53.7v-60.7c5.9-1.1 11.6-3.2 16.6-6 7.5-4.2 14.1-10 16.6-18.5 2.3-7.4-.5-12-2.6-16.9-2-4.9-4.6-10.2-6.7-16-4-11.3-6.5-24.1-.7-39.5 1.8-1.7 4.4-2.9 8.8-3.3 5.2-.4 12.1.5 19.4 2.6 14.5 4.2 30.5 13.2 39.3 21.2 4.4 5.1 9.2 8.9 14.8 10.5 6 1.7 12.5.3 17.3-2.6 9.6-6 14.8-16.5 18.6-28.2 3.3-10.4 5.1-21.8 5-32.8zm-2.9 114.8a15.53 15.53 0 0 0-15.8 15.3 15.53 15.53 0 0 0 15.3 15.8 15.53 15.53 0 0 0 15.8-15.3 15.53 15.53 0 0 0-15.3-15.8zm-307.8.1A15.53 15.53 0 0 0 86.85 267a15.53 15.53 0 0 0 15.85 15.2 15.53 15.53 0 0 0 15.2-15.8 15.53 15.53 0 0 0-15.8-15.2zm8 50A15.53 15.53 0 0 0 94.87 317a15.53 15.53 0 0 0 15.83 15.3 15.53 15.53 0 0 0 15.2-15.8 15.53 15.53 0 0 0-15.8-15.3zm290.7 0a15.53 15.53 0 0 0-15.7 15.3 15.53 15.53 0 0 0 15.2 15.8 15.53 15.53 0 0 0 15.8-15.3 15.53 15.53 0 0 0-15.3-15.8zm-145.5 41.1c44 17.9 72.6 35.7 103.6 53.9l-.4-.2c3 2 5.9 3.7 8.8 5.3-8 13.8-21 24.8-37.5 33.1-21.7 10.8-49.2 16.5-76.4 16.5-27.2 0-54.2-5.7-74.9-16.5-15.7-8.1-27.7-18.9-34.5-32.5 3.2-1.8 6.5-3.7 9.8-5.9l-.4.3c31.1-18.3 59.8-36.1 101.9-54z"}}]})(props);
};
function GiSnowBottle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M95.22 24.53l-6.75 6.72L29 90.656l-6.688 6.656 6.72 6.626 6.437 6.343 72.5-72.468-6.157-6.406-6.594-6.875zm42.436 9.97L34.25 137.906l32.97 32.97L170.624 67.468l-32.97-32.97zM290.22 92.78c-35.402.14-70.807 9.566-102.25 28.25l-21.782-22.655-13.25 13.22 26.656 27.718 5.344 5.562 6.5-4.188c42-27.23 92.62-35.53 139.843-24.843-15.238-1.195-27.145 2.377-32.124 11-7.853 13.602 3.82 35.784 26.97 55.094l-11.72 8.03 1.156 15.376c-11.517-2.305-23.483-3.53-35.78-3.53-89.763 0-162.532 64.89-162.532 144.967 0 1.747.056 3.49.125 5.22-17.403-51.932-10.743-110.048 19.938-157.28l4.156-6.376-5.44-5.375-27.436-27-13.22 13.218 22.345 22c-46.117 77.368-35.94 178.653 30.593 245.156 78.65 78.65 206.18 78.63 284.843 0 78.663-78.63 78.677-206.074.03-284.688-39.483-39.458-91.228-59.08-142.967-58.875zm140.686 84c12.662 15.067 22.5 31.67 29.53 49.126L450.22 221l-23.158 15.844 1.375 17.937-28.156-13.56-18.905 39.343c-4.978-3.74-10.673-6.528-16.813-8.125l18.875-39.313-9.718-4.688c-5.175-3.274-10.59-6.275-16.19-9l7.44-5.093-.69-8.875c31.712 13.947 61.17 14.25 69.814-.72 4.268-7.393 2.78-17.345-3.188-27.97zm-103.53 49.376L309.03 238.72l24.626 36.06c-5.83 2.508-11.052 6.115-15.406 10.564l-24.625-36.063-24.688 16.876-1.468-19.5-4.095-1.97c10.212-5.97 21.433-10.703 33.5-13.936 10.205-2.734 20.435-4.235 30.5-4.594zm144 39.344c4.113 26.094 2.53 52.886-4.75 78.438l-8.376-4.032-12.594 8.625-2.062-27.06-43.28 3.28c.37-3.067.46-6.215.217-9.406-.24-3.182-.796-6.283-1.624-9.25l43.25-3.28-2.5-32.908 14.844 7.156 16.875-11.562zm-247.22 14.313l22.28 10.718 12.408-8.467 2.594 34.5 43.375-3.313c-.37 3.056-.46 6.195-.22 9.375.243 3.185.797 6.28 1.626 9.25l-43.345 3.313 2.406 31.906-13.655-6.594-23.156 15.844 2.124 28.03 25.28 12.188 23.157-15.843-1.28-17.033 27.094 13.063 18.906-39.344c4.978 3.743 10.672 6.524 16.813 8.125l-18.875 39.314 27.875 13.437-12.188 8.345 2.125 28.03 14.375 6.908c-66.514 15.45-132.758-20.952-149.375-82.97-9.352-34.902-1.05-70.656 19.656-98.78zm127.72 9.75c.505-.017 1-.012 1.5 0 14.983.36 27.37 11.895 28.53 27.187 1.24 16.312-10.812 30.324-27.125 31.563-16.31 1.238-30.323-10.784-31.56-27.094-1.24-16.31 10.814-30.325 27.124-31.564.51-.038 1.025-.077 1.53-.094zm34.968 63.093l24.594 35.97 24.843-17.032.94 12.187 9.905 4.783c-7.48 12.296-16.537 23.916-27.188 34.562-9.86 9.856-20.55 18.36-31.843 25.5-.103.056-.21.1-.313.156l-1.967-25.842L371.438 416l24.593-16.813-24.592-35.968c5.833-2.507 11.048-6.113 15.406-10.564z"}}]})(props);
};
function GiSnowflake1 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M316.28 19.063L211.19 47.25l36.625 67.78-61.25 16.44L184 54.53 80.437 82.313 52.47 186.72l77 2.186L113 250.344l-67.875-36.22L17.22 318.19l75.843 75.843 40.593-65.56 45.25 45.25-65.562 40.624 76.53 76.53 103.782-27.812-36.5-68.03 61.53-16.47 2.377 77.157 104.687-28.064 27.97-104.437-77.158-2.376L393 259.47l68.03 36.5 27.908-104.22-77-77.03-40.47 65.718-44.624-44.657 65.406-40.75-75.97-75.968zM253.19 125l11.53 21.344-22.874 69.72-54.094-49.095-.813-24.19 66.25-17.78zm64.062 16.75l48.28 48.313-13 21.125-71.81 15.062 15.467-71.375 21.063-13.125zm-176.438 47.47l23.75.686 48.938 54.656-69.563 22.282L123 255.656l17.813-66.437zm221.094 53.56l21.125 11.345-17.78 66.375-23.97-.75-48.5-53.938 69.126-23.03zm-139.25 41.5l-14.625 71.376-19.53 12.094-48.875-48.906 12.094-19.5 70.936-15.063zm40.438 11.064l54.5 48.344.72 23.53-66.533 17.844-11.124-20.75 22.438-68.968z"}}]})(props);
};
function GiSnowflake2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M308.375 15.094L242.937 36.53l-14.156 67.376 38.814 34.78c-12.68-1.094-25.17-.08-37.063 2.783l12.157 37.093c-6.177 1.23-12.12 3.2-17.75 5.843l-12.156-37.094c-11.5 4.83-22.173 11.465-31.56 19.657L191.937 116l-51.25-45.938L75.25 91.47l-14.156 67.374 51.25 45.937 49.594-16.218c-6.804 9.87-12.145 20.955-15.688 32.97l38.25 8.062c-.99 2.92-1.85 5.905-2.5 9-.652 3.102-1.105 6.2-1.375 9.28l-38.25-8.06c-1.646 12.762-1.132 25.392 1.28 37.467L104.5 242.157l-65.438 21.438-14.156 67.344 51.25 45.968 65.438-21.406 10.844-51.656c5.296 11.288 12.385 21.69 20.968 30.75L199.47 305.5c4.08 4.677 8.726 8.89 13.874 12.5l-26.03 29.063c9.615 7.326 20.49 13.246 32.374 17.343l-49.657 16.25-14.155 67.375 51.25 45.97 65.438-21.438 14.156-67.343-38.845-34.845c12.66 1.094 25.125.073 37-2.78L272.75 330.56c6.182-1.218 12.147-3.18 17.78-5.812l12.126 37.03c11.548-4.842 22.237-11.517 31.656-19.75l-10.75 51.064 51.282 45.937 65.406-21.405 14.156-67.375-51.25-45.938-49.72 16.282c6.843-9.905 12.23-21.002 15.783-33.063l-38.126-8.03c.99-2.92 1.85-5.938 2.5-9.03.65-3.1 1.074-6.175 1.344-9.25l38.125 8.03c1.64-12.78 1.107-25.415-1.313-37.5l39.28 35.188L476.44 245.5l14.187-67.344-51.28-45.97-65.408 21.408-10.875 51.687c-5.302-11.317-12.418-21.733-21.03-30.81l-26 29.03c-4.098-4.682-8.77-8.892-13.938-12.5l26.03-29.03c-9.6-7.307-20.46-13.188-32.312-17.282l49.657-16.25 14.155-67.375-51.25-45.97zm-64 189.375l49.906 13.374 13.376 49.906-36.53 36.53-49.907-13.374L207.843 241l36.53-36.53z"}}]})(props);
};
function GiSnowing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208.406 21.47c-54.52 0-98.764 43.37-99.375 97.75l-.124 10.5-10.375-1.314c-2.84-.36-5.616-.53-8.624-.53-38.627 0-70.062 30.928-70.062 69.53 0 38.602 31.522 70.156 70.062 70.156 18.738 0 35.314-7.333 47.906-19.406l6.907-6.625 6.468 7.064c9.322 10.188 22.718 16.53 37.687 16.53 18.546 0 34.354-9.584 43.344-24.28l8.03-13.125 7.938 13.186c14.78 24.543 40.75 40.72 71.406 40.72 26.433 0 49.963-12.282 65.406-31.376l8.25-10.22 6.938 11.157c9.035 14.48 25.154 24.313 43.406 24.313 28.253 0 51.125-22.884 51.125-51.188 0-26-19.45-47.35-44.44-50.656l-10.686-1.406 2.937-10.406c1.892-6.66 3.314-12.756 3.314-18.844 0-38.602-31.523-70.156-70.063-70.156-22.396 0-42.064 10.95-54.905 27.562l-11.813 15.25-4.656-18.72c-10.74-43.247-49.448-75.467-96-75.467zM381.28 297.343l-18.03 4.844 7.03 26.218-26.217-7.03-4.844 18.062 26.217 7.03-19.187 19.188 13.188 13.188 19.187-19.188 7.03 26.22 18.064-4.845-7.033-26.217 26.22 7.03 4.843-18.03-26.22-7.032 19.19-19.186-13.22-13.22-19.188 19.188-7.03-26.218zm-272.06 17.062l-7.032 26.22L83 321.437l-13.22 13.218 19.19 19.188-26.22 7 4.844 18.062 26.22-7.03-7.033 26.218 18.064 4.844 7.03-26.22 19.19 19.188 13.217-13.22-19.186-19.186 26.187-7.03-4.81-18.033-26.22 7 7.03-26.187-18.06-4.844zm135.936 47.625l-3.844 35.69-28.968-21.158-11.03 15.094 28.967 21.156-32.81 14.532 7.56 17.062 32.845-14.53-3.844 35.718 18.564 2 3.844-35.688 29 21.156 11-15.093-29-21.158 32.843-14.53-7.56-17.094-32.814 14.53 3.844-35.687-18.594-2zm202.063 48.314l-8.19 21.125-14.186-17.626-14.563 11.72 14.22 17.623-22.375 3.5 2.875 18.47 22.375-3.5-8.156 21.124 17.405 6.72 8.156-21.094L459 486.03l14.563-11.717-14.22-17.625 22.376-3.5-2.876-18.47-22.375 3.5 8.186-21.124-17.437-6.75z"}}]})(props);
};
function GiSnowman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M165.98 13.443L99.3 79.56l65.01 65.56 66.678-66.114-65.01-65.563zM266.6 70.013l-109.485 108.56 11.514 11.61L278.116 81.626l-11.513-11.61zm4.21 45.17l-83.68 82.975c.983 44.08 36.834 79.322 81.157 79.322 26.4 0 49.786-12.513 64.595-31.943-11.34 1.815-22.184 2.067-31.713.05l3.873-18.284c9.668 2.047 26.2.5 42.63-4.29 9.783-2.85 19.46-6.867 28.116-11.408-9.952-2.903-20.513-5.278-30.722-6.597-16.738-2.163-32.428-1.36-41.052 2.12l-6.993-17.33c7.08-2.858 15.064-4.287 23.59-4.702 8.527-.416 17.597.18 26.85 1.377.477.06.956.132 1.433.197-4.646-39.556-37.554-70.256-78.084-71.486zm37.422 30.014c7.53 0 13.63 6.1 13.63 13.63 0 7.528-6.1 13.63-13.63 13.63-7.528 0-13.63-6.102-13.63-13.63 0-7.53 6.102-13.63 13.63-13.63zm-55.75 35.102c7.53 0 13.63 6.1 13.63 13.63 0 7.528-6.1 13.63-13.63 13.63-7.528 0-13.63-6.102-13.63-13.63 0-7.53 6.102-13.63 13.63-13.63zm-162.152 3.284l-18.402 3.264L84.307 256.6l-10.743 3.99-30.808-36.97-14.358 11.964 39.276 47.13 41.51-15.42 40.95 40.267c-11.72 18.687-18.505 40.798-18.505 64.532 0 67.2 54.275 121.476 121.474 121.476 67.2 0 121.476-54.277 121.476-121.476 0-23.558-6.68-45.52-18.24-64.12l37.805-37.173 29.408 10.923 55.234 46.445 12.027-14.303-45.98-38.664 30.096-36.112-14.358-11.965-30.806 36.97-40.252-14.95-44.35 43.61c-5.188-6.018-10.956-11.52-17.22-16.42-16.66 12.453-37.316 19.837-59.655 19.837-28.506 0-54.268-12.024-72.485-31.26-13.11 7.01-24.775 16.355-34.446 27.48l-47.544-46.75-11.703 4.346-11.78-66.402zM306.17 346.31c7.53 0 13.63 6.1 13.63 13.63 0 7.528-6.1 13.63-13.63 13.63-7.53 0-13.63-6.102-13.63-13.63 0-7.53 6.1-13.63 13.63-13.63zm-1.65 54.512c7.528 0 13.628 6.1 13.628 13.63 0 7.528-6.1 13.628-13.628 13.628-7.53 0-13.63-6.1-13.63-13.63 0-7.528 6.1-13.628 13.63-13.628zM288 444.596c7.53 0 13.63 6.1 13.63 13.63 0 7.527-6.1 13.63-13.63 13.63-7.53 0-13.63-6.103-13.63-13.63 0-7.53 6.1-13.63 13.63-13.63z"}}]})(props);
};
function GiSoapExperiment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M271.156 21.69c3.104 15.678 10.353 29.902 20.57 41.44-18.96 10.052-31.94 29.997-31.94 52.864 0 32.917 26.883 59.803 59.8 59.803 32.918 0 59.803-26.887 59.803-59.803 0-8.818-1.945-17.195-5.404-24.746 35.056-6.764 62.7-34.533 69.625-69.56h-96.665c3.54 19.194 19.997 33.765 40.225 33.765 9.56 0 18.28-3.258 25.195-8.717-12.604 16.636-32.477 27.407-54.98 27.407-32.44 0-59.404-22.38-67.016-52.454h-19.214zm-89.506 5.488c-25.3 0-46.007 20.71-46.007 46.008 0 25.298 20.71 46.007 46.007 46.007 25.3 0 46.01-20.71 46.01-46.007 0-25.3-20.71-46.008-46.01-46.008zm0 18.685c15.2 0 27.325 12.123 27.325 27.323 0 15.2-12.123 27.324-27.325 27.324-15.2 0-27.322-12.125-27.322-27.324 0-15.2 12.12-27.323 27.322-27.323zm125.352 30.963c4.792 3.383 9.942 6.286 15.37 8.666-5.433 4.442-8.903 11.193-8.903 18.756 0 13.377 10.84 24.22 24.217 24.22 10.55 0 19.52-6.75 22.84-16.165.107 1.216.172 2.445.172 3.69 0 22.817-18.296 41.114-41.114 41.114-22.816 0-41.113-18.297-41.113-41.113 0-18.42 11.927-33.89 28.53-39.168zm-86.85 65.533c-21.193 0-38.574 17.38-38.574 38.574 0 21.193 17.38 38.574 38.574 38.574s38.575-17.382 38.575-38.574c0-21.194-17.382-38.575-38.575-38.575zm0 18.693c11.09 0 19.88 8.79 19.88 19.88s-8.79 19.88-19.88 19.88-19.88-8.79-19.88-19.88 8.79-19.88 19.88-19.88zm4.57 75.523c-9.782 0-17.708 7.926-17.708 17.705 0 9.34 7.234 16.97 16.4 17.642v55.87c-28.58 36.404-82.428 105.22-82.428 105.22l-.402.513-.326.565c-3.052 5.275-6.05 12.682-6.05 21.627 0 21.806 18.014 39.72 39.72 39.72h164.03c21.61 0 39.722-17.74 39.722-39.72 0-10.147-4.44-17.756-6.705-21.65l-.336-.575-82.17-103.81v-57.895c8.58-1.23 15.18-8.587 15.18-17.506 0-9.778-7.928-17.704-17.707-17.704-9.78 0-17.71 7.926-17.71 17.705 0 2.573.562 5.01 1.548 7.214v74.69l38.976 49.238H201.988c13.525-17.267 27.954-35.69 38.12-48.635l1.996-2.54V257.62c.206-1.082.326-2.196.326-3.34 0-9.778-7.93-17.704-17.71-17.704z"}}]})(props);
};
function GiSoap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M248 15c-18.1 0-33 14.88-33 33 0 18.12 14.9 33 33 33s33-14.88 33-33c0-18.12-14.9-33-33-33zm0 18c8.4 0 15 6.61 15 15s-6.6 15-15 15-15-6.61-15-15 6.6-15 15-15zM64 73c-18.12 0-33 14.88-33 33 0 18.1 14.88 33 33 33 18.12 0 33-14.9 33-33 0-18.12-14.88-33-33-33zm0 18c8.39 0 15 6.61 15 15 0 8.4-6.61 15-15 15s-15-6.6-15-15c0-8.39 6.61-15 15-15zm155.9 39.7c-22.5 0-41 18.5-41 41s18.5 41 41 41 41-18.5 41-41-18.5-41-41-41zm0 18c12.8 0 23 10.2 23 23s-10.2 23-23 23-23-10.2-23-23 10.2-23 23-23zM112 162a16 16 0 0 0-16 16 16 16 0 0 0 16 16 16 16 0 0 0 16-16 16 16 0 0 0-16-16zm223 61.4c-5 .2-10.6 2.4-20 7.1l-98.1 49.1c.1.8.1 1.6.1 2.4 0 27-22 49-49 49-11.9 0-22.7-4.2-31.2-11.3l-23.4 11.7c-8.2 4.8-14.26 8.3-18.01 12.9-3.78 4.7-6.39 11-6.39 24.4v43.1c0 10.4.59 14.7 1.18 15.7.6 1.1 3 3 11.52 7.4l78.7 39.4.3.1c16.3 9.7 36.8 8.8 56.7-1.2l199.3-98.9c9.5-5.3 13.6-9.1 15.6-12.7 2-3.7 2.7-8.7 2.7-18.1v-38.6c0-12.7.2-19.8-.8-22.4-.9-2.7-2.5-4.6-12.3-9.4v-.1l-84.8-42.4-.1-.1c-10.9-5.7-16.9-7.3-22-7.1zM168 251c-17.2 0-31 13.8-31 31s13.8 31 31 31 31-13.8 31-31-13.8-31-31-31zm246.8 34.5l7.8 16.2-154 73.8h-.1c-17 7.8-30.3 14.9-45.3 17.6-14.9 2.6-30.8-.4-49.6-11l.4.3-43.5-21.4 8-16.2 43.7 21.5.2.2c16.6 9.3 26.8 10.7 37.8 8.8 10.9-1.9 23.3-8.2 40.8-16.2l153.8-73.6z"}}]})(props);
};
function GiSoccerBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.03 33.813c-1.834-.007-3.664-.007-5.5.03-6.73.14-13.462.605-20.155 1.344.333.166.544.32.47.438L204.78 75.063l73.907 49.437-.125.188 70.625.28L371 79.282 342.844 52c-15.866-6.796-32.493-11.776-49.47-14.78-12.65-2.24-25.497-3.36-38.343-3.407zM190.907 88.25l-73.656 36.78-13.813 98.407 51.344 33.657 94.345-43.438 14.875-76.5-73.094-48.906zm196.344.344l-21.25 44.5 36.75 72.72 62.063 38.905 11.312-21.282c.225.143.45.403.656.75-.77-4.954-1.71-9.893-2.81-14.782-6.446-28.59-18.59-55.962-35.5-79.97-9.07-12.872-19.526-24.778-31.095-35.5l-20.125-5.342zm-302.656 23c-6.906 8.045-13.257 16.56-18.938 25.5-15.676 24.664-26.44 52.494-31.437 81.312C31.783 232.446 30.714 246.73 31 261l20.25 5.094 33.03-40.5L98.75 122.53l-14.156-10.936zm312.719 112.844l-55.813 44.75-3.47 101.093 39.626 21.126 77.188-49.594 4.406-78.75-.094.157-61.844-38.783zm-140.844 6.406l-94.033 43.312-1.218 76.625 89.155 57.376 68.938-36.437 3.437-101.75-66.28-39.126zm-224.22 49.75c.91 8.436 2.29 16.816 4.156 25.094 6.445 28.59 18.62 55.96 35.532 79.968 3.873 5.5 8.02 10.805 12.374 15.938l-9.374-48.156.124-.032-27.03-68.844-15.782-3.968zm117.188 84.844l-51.532 8.156 10.125 52.094c8.577 7.49 17.707 14.332 27.314 20.437 14.612 9.287 30.332 16.88 46.687 22.594l62.626-13.69-4.344-31.124-90.875-58.47zm302.437.5l-64.22 41.25-42 47.375 4.408 6.156c12.027-5.545 23.57-12.144 34.406-19.72 23.97-16.76 44.604-38.304 60.28-62.97 2.51-3.947 4.87-7.99 7.125-12.092zm-122.78 97.656l-79.94 9.625-25.968 5.655c26.993 4 54.717 3.044 81.313-2.813 9.412-2.072 18.684-4.79 27.75-8.062l-3.156-4.406z"}}]})(props);
};
function GiSoccerField (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23 119v274h466V119H23zm18 18h206v79.016c-18.25 4.135-32 20.537-32 39.984 0 19.447 13.75 35.85 32 39.984V375H41v-62h64V199H41v-62zm224 0h206v62h-64v114h64v62H265v-79.016c18.25-4.135 32-20.537 32-39.984 0-19.447-13.75-35.85-32-39.984V137zM41 217h46v78H41v-78zm384 0h46v78h-46v-78zm-178 17.793v42.414c-8.27-3.467-14-11.6-14-21.207 0-9.606 5.73-17.74 14-21.207zm18 0c8.27 3.467 14 11.6 14 21.207 0 9.606-5.73 17.74-14 21.207v-42.414z"}}]})(props);
};
function GiSoccerKick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M290.2 49.04c-15.7.1-32.3 13.83-38 35.81-6.5 25.15 4.7 47.85 22.1 52.35 17.4 4.5 38.2-9.9 44.7-35 6.5-25.16-4.6-47.82-22.1-52.33-2.2-.56-4.4-.84-6.7-.83zM89.04 68.3L77.5 87.31c32.4 15.99 63.1 33.49 96.4 46.49 9.5-3.8 18.8-7.8 28-12-40.2-15.4-76.7-33.69-112.86-53.5zm148.06 56.1c-47.8 25.4-97.9 41.6-153.64 61.1l8.08 16.4c51.96-16.1 111.26-32.9 161.16-56-6.9-5.5-12.1-12.9-15.6-21.5zm30.3 34.8c-22.5 10.8-46.8 20.2-71.4 28.7-20.3 45.6-27.7 94.9-36.8 140.1l-2.1 10.5-101.02-39.4-16.03 25.4 130.25 60.7c1-1.4 1.7-2.5 2.9-4.5 3.9-6.7 9.2-16.6 15.2-28.6 11.9-23.8 26.7-55.9 40.4-88.1 13.8-32.1 26.4-64.4 33.9-88.4 1.9-6.1 3.5-11.6 4.7-16.4zm-31.9 134.6c-5.5 12.5-11.1 24.8-16.5 36.3 25 37.4 57 79 94.9 109.2l23.3-17.6c-35.8-39.7-72.9-84.3-101.7-127.9zM423.9 367a48 48 0 0 0-48 48 48 48 0 0 0 48 48 48 48 0 0 0 48-48 48 48 0 0 0-48-48z"}}]})(props);
};
function GiSocks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M262.2 16.893C224.44 24.26 171.857 43.68 136.946 65.035c3.8 8.306 8.407 17.42 13.432 27.094C189.16 70.017 228.422 53.125 268.48 47c-2.21-10.24-4.314-20.333-6.28-30.11zM416.07 51.48c-35.454 2.655-84.684 14.047-121.297 29.254 2.423 9.876 4.976 19.798 7.664 29.698 39.012-15.99 77.884-27.015 116.325-28.313-.99-10.43-1.89-20.7-2.692-30.64zM272.363 64.62c-37.478 5.536-75.403 21.64-113.63 43.466 4.894 9.308 9.967 18.98 15.003 28.957 32.71-20 67.733-34.88 105.922-41.744-2.575-10.3-5-20.55-7.295-30.68zm148.184 35.452c-36.39 1.043-74.34 11.746-113.21 27.82 3.05 10.518 6.258 20.95 9.64 31.194 33.967-15.28 69.54-25.432 107.203-27.69-1.345-10.53-2.545-20.995-3.633-31.324zm-136.38 12.707c-36.684 6.385-70.422 20.706-102.444 40.478 4.957 10.35 9.712 20.89 13.976 31.482 9.576 23.79 16.735 47.905 17.97 71.184 1.235 23.28-3.732 46.012-18.518 65.03l-.966 1.24-131.74 83.224c9.964 10.47 18.985 21.712 25.09 34.678 5.108 10.843 7.963 22.96 7.517 36.148 56.28-34.196 117.182-51.425 172.748-65.375-5.743-21.75-4.908-45.733 6.67-68.417 12.582-24.648 37.38-47.164 77.774-64.592C322 234.44 300.37 173.68 284.168 112.78zm142.435 36.51c-36.186 1.968-70.482 11.744-103.75 26.89 13.987 39.112 30.647 74.503 50.53 100.17l.81 1.05.478 1.24c12.348 32.218 11.574 63.886-2.037 89.65-13.61 25.763-39.733 45.007-75.4 53.823-33.52 8.287-69.062 16.94-104.42 29.07 3.793 11.366 5.203 23.733 3.21 36.772 59.913-27.332 122.42-37.265 179.24-44.578-3.143-22.274.51-45.99 14.676-67.154 15.394-22.997 42.67-42.437 84.835-54.99-24.922-46.678-39.25-109.56-48.173-171.944zm-65.8 144.48c-38.52 16.32-59.918 36.532-70.298 56.867-9.478 18.57-10.162 37.743-5.234 55.898 2.53-.625 5.142-1.278 7.644-1.896 31.793-7.86 52.878-24.08 63.803-44.76 9.797-18.544 11.65-41.176 4.086-66.11zm120.6 44.27c-40.175 11.672-63.804 29.224-76.506 48.196-11.598 17.325-14.534 36.285-11.777 54.895 2.587-.322 5.257-.664 7.816-.984 32.496-4.062 55.344-17.688 68.627-36.937 11.91-17.263 16.415-39.52 11.84-65.17zm-433.94 77.77c-18.744 16.462-21.867 37.685-15.995 53.004 3.222 8.408 9.072 14.922 16.988 18.375 7.027 3.065 15.973 3.84 27.076.46 3.522-15.47 1.346-27.95-4.276-39.886-5.218-11.08-13.74-21.58-23.793-31.955zm128.405 41.483c-13.968 5.28-27.85 11.188-41.512 17.914 2.453 7.772 7.258 14.14 14.104 18.145 6.616 3.87 15.408 5.693 26.83 3.644 5.26-14.784 4.634-27.32.577-39.703z"}}]})(props);
};
function GiSodaCan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M171 42l-20 48h210l-20-48H171zm-19.45 65.55v296.9h208.9v-296.9h-208.9zM151 422l20 48h170l20-48H151z"}}]})(props);
};
function GiSofa (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112 73c-13.75 0-24.214 4.87-33.047 13.271-8.832 8.402-15.755 20.6-20.414 34.575-5.887 17.661-7.953 38.064-6.887 56.111a57.246 57.246 0 0 1 2.461-.187c8.38-.405 16.317 1.094 23.494 4.234 14.355 6.28 25.436 18.27 34.057 32.28 15.104 24.543 23.187 55.746 24.96 80.585 114.097-14.223 124.655-14.223 238.753 0 1.772-24.84 9.855-56.042 24.959-80.586 8.62-14.009 19.702-25.999 34.057-32.28 7.875-3.444 16.67-4.898 25.955-4.046 1.066-18.047-1-38.45-6.887-56.111-4.659-13.976-11.582-26.173-20.414-34.575C424.214 77.87 413.75 73 400 73zM56.969 194.502c-.686-.008-1.38.006-2.082.04-5.621.284-11.8 1.978-18.862 5.509-23.413 11.707-26.349 65.687 14.82 79.41l4.505 1.502L86.79 391h338.42l31.44-110.037 4.504-1.502c41.17-13.723 38.234-67.703 14.82-79.41-14.121-7.061-24.722-6.775-34.367-2.555-9.645 4.22-18.564 13.23-25.943 25.22C400.906 246.7 393 282 393 304v10.195l-10.117-1.265c-128-16-125.766-16-253.766 0L119 314.195V304c0-22-7.906-57.3-22.664-81.283-7.38-11.991-16.298-21.001-25.943-25.22-4.22-1.847-8.624-2.94-13.424-2.995zM83.727 409l-23.272 23.271c11.994 3.239 33.75 3.763 42.545-1.666 3.272-4.695 6.903-14.536 10.438-21.605zm314.836 0c1.494 6.017 6.952 19.12 10.437 21.605 13.2 5.463 29.904 5.774 42.545 1.666L428.273 409z"}}]})(props);
};
function GiSolarPower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M219.615 401.84h16v88.06h-16v-88.06zm219.94-271.6l21.83-13.18-21.82-13.16 16-19.8-25-4.88 8.25-24.12-25.19 4-.46-25.49-22.28 12.29-9.18-23.8-16.7 19.24-16.78-19.24-9.22 23.8-22.3-12.31-.46 25.49-25.19-4 8.25 24.12-25 4.88 16 19.8-21.83 13.18 21.83 13.14h33.41l29.29 76.34 12-13.76 16.74 19.24 9.17-23.76 22.3 12.31.46-25.49 25.19 4-8.28-24.18 25-4.88zm-254.55 46.31h-91l31 80.85h91zm108.25 0h-91l30.94 80.85h91zm-70.81 97.42h-91l30.94 80.85h91zm108.25 0h-91l30.94 80.85h91zm73.89 111.87h-262.22L50.615 146.2h262.1zm-19.69-15l-43.31-112.87-37.28-97.42H70.785l80.47 210.27h233.68z"}}]})(props);
};
function GiSolarSystem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M125.764 18c-4.02 8.272-12.89 14.838-21.764 14.838 12 0 24 12 24 24 0-12 12-24 24-24-8.874 0-17.743-6.566-21.764-14.838zM416 32c0 8-8 16-16 16 8 0 16 8 16 16 0-8 8-16 16-16-8 0-16-8-16-16zm-72 40c0 12-12 24-24 24 12 0 24 12 24 24 0-12 12-24 24-24-12 0-24-12-24-24zM18 106.068v316.23c94.01-4 200.183-5.655 302.393-33.824 42.877-10.915 76.61-23.748 100.337-38.332 23.73-14.583 38.647-31.723 38.647-51.642-.09-8.624-3.61-17.682-8.012-24.502-3.336-4.935-7.64-9.66-12.78-14.174 1.484-3.638 2.307-7.627 2.307-11.824 0-17.228-13.772-31-31-31-17.227 0-31 13.772-31 31 0 17.227 13.773 31 31 31 6.414 0 12.346-1.91 17.27-5.196 7.304 6.808 13.886 15.314 14.215 24.696 0 10.556-8.86 23.27-30.072 36.306-21.212 13.037-53.58 25.59-95.354 36.225C224 393.99 112.045 402.37 29.4 404.14c24.183-4.757 46.276-15.274 64.803-30.066 26.898-1.776 50.93-3.913 76.447-7.078-2.67-6.236-3.957-11.75-3.527-17.71-18.175 2.115-36.955 4.04-52.676 5.3C137.233 328.146 151 293.706 151 256c0-77.41-58.01-141.054-133-149.932zm133.584 75.24c3.01 6.086 5.663 12.38 7.934 18.854 58.29 5.684 111.76 14.434 156.433 25.807 16.794 4.274 32.037 8.863 45.677 13.665 1.057-6.08 3.232-11.79 6.324-16.893-14.32-5.045-30.173-9.79-47.557-14.217-48.34-12.306-106.08-21.52-168.81-27.218zm12.926 35.917c1.43 6.073 2.528 12.27 3.28 18.576 26.678 3.332 51.106 7.403 72.524 12.104 30.658 6.73 55.29 14.78 71.508 23.196 8.11 4.207 14.065 8.524 17.606 12.322 3.54 3.798 4.572 6.636 4.572 9.078 0 2.442-1.03 5.28-4.572 9.078-3.54 3.798-9.497 8.115-17.606 12.322-16.217 8.416-40.85 16.467-71.508 23.196-3.503.773-6.587 1.408-9.93 2.086 2.285 6.26 3.146 11.893 2.216 17.916 3.81-.756 7.903-1.615 11.574-2.42 31.594-6.934 57.34-15.15 75.937-24.8 9.3-4.826 16.86-9.993 22.484-16.025 5.623-6.03 9.406-13.37 9.406-21.353 0-7.982-3.783-15.322-9.406-21.354-5.624-6.03-13.184-11.198-22.483-16.023-18.596-9.65-44.342-17.867-75.936-24.8-23.563-5.172-50.365-9.59-79.664-13.098zM200 337c-8.39 0-15 6.61-15 15s6.61 15 15 15 15-6.61 15-15-6.61-15-15-15zm56 95c0 8-8 16-16 16 8 0 16 8 16 16 0-8 8-16 16-16-8 0-16-8-16-16z"}}]})(props);
};
function GiSolarTime (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 26.37l-35.4 97.23c11.3-3 23.2-4.6 35.4-4.6s24.1 1.6 35.4 4.6zm162.5 67.22l-94 43.81c20.8 12 38.1 29.3 50.1 50.1zm-324.88 0l43.78 93.81c12.1-20.7 29.3-38 50.1-50zM247 137.3c-58.6 4.4-105.3 51.1-109.7 109.7H176v18h-38.7c4.4 58.6 51.1 105.3 109.7 109.7V336h18v38.7c58.6-4.4 105.3-51.1 109.7-109.7H336v-18h38.7c-4.4-58.6-51.1-105.3-109.7-109.7V176h-18zm54.5 25.9l15.4 9.2-49.9 82.7 37.2 44.1-13.8 11.6-45.4-53.9zm-177.9 57.4L26.38 256l97.22 35.3c-3-11.2-4.6-23.1-4.6-35.3 0-12.2 1.6-24.1 4.6-35.4zm264.8.1c3 11.2 4.6 23.1 4.6 35.3 0 12.2-1.6 24.1-4.6 35.4l97.2-35.4zm-13.8 103.8c-12 20.8-29.3 38.1-50.1 50.1l94 43.9zm-237.1.2l-43.8 93.8 93.8-43.9c-20.7-12-38-29.2-50-49.9zm83.1 63.7l35.4 97.2 35.3-97.2c-11.2 3-23.1 4.6-35.3 4.6-12.2 0-24.1-1.6-35.4-4.6z"}}]})(props);
};
function GiSolidLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M461.596 17.701C271.149 128.454-109.411-4.192 66.276 350.885c3.065 5.77 6.619 11.164 10.529 16.293-29.888 33.096-51.12 70.802-57.117 114.554 5.26 3.375 14.588 7.464 26.88 9.916 13.06 2.605 29.481 3.516 47.916 1.711-11.483-36.045-7.774-70.234 5.836-101.043 5.5 6.543 10.283 10.23 14.782 13.012C581.497 693.816 499.604 120.792 461.596 17.701z"}}]})(props);
};
function GiSombrero (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 97c-7.5 0-16.28 6.144-25.512 19.992-2.506 3.76-4.983 8.018-7.422 12.678 4.796 1.746 9.125 4.077 13.098 6.152C243.984 139.908 250.51 143 256 143c5.51 0 12.03-3.075 19.844-7.145 3.98-2.072 8.31-4.4 13.107-6.152-2.443-4.673-4.926-8.943-7.438-12.71C272.28 103.142 263.5 97 256 97zm-40.695 49.168c-1.748 4.1-3.466 8.395-5.15 12.848 10.323.362 18.754 5.016 26.01 8.806C243.984 171.908 250.508 175 256 175c5.51 0 12.03-3.075 19.844-7.145 7.26-3.78 15.686-8.428 26.004-8.83-1.68-4.444-3.394-8.733-5.14-12.826-3.757 1.2-7.907 3.2-12.548 5.618-7.755 4.04-16.804 9.182-28.16 9.182-11.374 0-20.42-5.176-28.17-9.225-4.64-2.423-8.78-4.418-12.525-5.607zm-7.018 30.828c-1.15.037-2.794.353-4.723.867-14.73 45.123-26.11 100.996-33.892 146.918C197.62 328.896 226.806 331 256 331c29.194 0 58.382-2.105 86.328-6.22-7.786-45.95-19.177-101.865-33.92-147.003-1.875-.467-3.48-.75-4.64-.78-5.443-.14-11.853 2.782-19.608 6.82-7.755 4.04-16.804 9.183-28.16 9.183-11.374 0-20.42-5.176-28.17-9.225-7.75-4.048-14.134-6.95-19.543-6.78zm-38.394 55.065c-30.435 5.178-57.67 12.973-80.02 22.66-20.718 8.976-37.194 19.58-48.195 30.712 6.3 3.458 12.935 6.733 19.884 9.81 36.414-16.12 70.022-28.162 102.245-36.146 1.912-8.998 3.946-18.04 6.086-27.035zm172.214 0c2.14 8.996 4.174 18.038 6.086 27.036 32.223 7.984 65.83 20.026 102.245 36.146 6.95-3.077 13.583-6.352 19.884-9.81-11-11.133-27.477-21.736-48.195-30.713-22.35-9.687-49.585-17.482-80.02-22.66zm-182.252 46.315c-23.618 6.458-48.228 15.2-74.527 26.227 20.54 7.208 43.003 12.976 66.584 17.263 2.334-13.787 4.972-28.437 7.943-43.49zm192.29 0c2.97 15.053 5.61 29.703 7.943 43.49 23.58-4.287 46.043-10.055 66.584-17.263-26.3-11.026-50.91-19.768-74.527-26.227zM30.533 299.89c-2.496 4.48-4.14 8.977-4.945 13.503l7.9-11.852c-.99-.544-1.977-1.094-2.955-1.65zm450.934 0c-.978.556-1.964 1.106-2.955 1.65l7.9 11.853c-.804-4.526-2.45-9.024-4.945-13.502zM57 313.024v17.252l8.996-13.494c-3.043-1.214-6.038-2.47-8.996-3.757zm398 0c-2.958 1.287-5.953 2.543-8.996 3.758L455 330.276v-17.252zM39 325.725l-8.975 13.46c2.23 4.2 5.218 8.382 8.975 12.55v-26.01zm434 0v26.01c3.757-4.168 6.744-8.35 8.975-12.55L473 325.726zm-381.02.283l8.9 44.488 26.292-35.057c-12.094-2.723-23.852-5.868-35.192-9.432zm328.04 0c-11.34 3.564-23.098 6.71-35.192 9.43l26.293 35.058 8.9-44.488zm-344.584 9.064l-19.948 29.92-2.83-.857c8.87 6.755 19.77 13.173 32.387 18.982l-9.61-48.045zm361.128 0l-9.61 48.045c12.617-5.81 23.517-12.227 32.388-18.982l-2.83.857-19.948-29.92zm-275.572 6.785l32.768 65.536 46.867-58.582c-26.987-.63-53.81-2.925-79.635-6.953zm190.016 0c-25.824 4.028-52.648 6.322-79.635 6.954l46.867 58.583 32.768-65.536zM142.46 345.05l-35.26 47.012c19.772 6.996 42.413 12.664 67.075 16.616L142.46 345.05zm227.08 0l-31.815 63.628c24.662-3.952 47.303-9.62 67.074-16.616l-35.26-47.01zM256 358.407l-43.852 54.815C226.35 414.383 241.008 415 256 415c14.992 0 29.65-.618 43.852-1.78L256 358.407z"}}]})(props);
};
function GiSonicBoom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.594 19.32c-19.037.077-37.535 2.4-55.256 6.703l29.64 62.618c12.023-2.404 24.458-3.673 37.19-3.673 3.104 0 6.19.08 9.258.228L255.594 19.32zm47.213 4.502l13.277 67.563c80.478 21.548 139.744 94.97 139.744 182.242 0 104.193-84.466 188.66-188.66 188.66-86.638 0-159.628-58.404-181.768-137.986l-60.023-15.71C49.16 414.368 143.55 493.268 256.567 493.268c130.99 0 236.98-105.99 236.98-236.98 0-115.16-81.928-210.986-190.74-232.466zM154.137 42.49c-19.214 9.21-36.99 20.936-52.9 34.748l44.482 52.03c13.483-11.357 28.58-20.858 44.897-28.112l-36.48-58.666zM68.89 111.51c-12.055 15.61-22.203 32.762-30.1 51.12l54.462 37.765c6.46-15.322 14.888-29.61 24.963-42.55L68.89 111.51zm209.737 52.97c-4.208 0-8.368.204-12.475.59l32.12 67.866c9.445.593 18.468 2.732 26.822 6.17l-22.934-72.53c-7.636-1.377-15.5-2.097-23.533-2.097zM234.67 172c-13.004 4.603-25.067 11.19-35.83 19.398l47.36 55.393c8.293-5.49 17.6-9.572 27.593-11.873l-39.123-62.918zm98.055 4.066l15.125 76.973c14.87 12.698 25.3 30.44 28.62 50.585 12.203 6.997 22.144 17.516 28.41 30.164 3.545-11.917 5.452-24.54 5.452-37.606 0-53.457-31.85-99.475-77.607-120.116zm-308.22 31.924c-3.22 15.592-4.92 31.743-4.92 48.297 0 1.402.03 2.8.054 4.196L78.76 283.46c-.167-3.257-.254-6.535-.254-9.833 0-11.836 1.1-23.413 3.185-34.645l-57.187-30.99zm152.192 4.785c-7.894 9.636-14.452 20.41-19.383 32.04l57.448 39.837c3.517-8.36 8.352-16.023 14.22-22.763l-52.285-49.113zm-28.11 62.453c-1.09 6.825-1.665 13.822-1.665 20.954 0 4.746.256 9.433.746 14.05l62.19 24.164c-1.11-5.467-1.692-11.125-1.692-16.92 0-3.268.19-6.49.55-9.664L148.59 275.23zm192.854 37.745c-28.866 0-52.07 23.2-52.07 52.07 0 28.868 23.204 52.07 52.07 52.07 28.87 0 52.072-23.202 52.072-52.07 0-28.87-23.203-52.07-52.07-52.07zM155.35 342.61c18.774 49.828 66.883 85.28 123.28 85.28 8.855 0 17.505-.88 25.87-2.548-9.712-5.98-17.88-14.236-23.756-24.018-26.384-3.79-48.834-19.743-61.506-41.992l-63.888-16.723z"}}]})(props);
};
function GiSonicLightning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.664 18.91v37.574l77.523 129.942 86.754-21.067 79.33 121.394-78.918-46.483 93.195 101.34-64.182 10.81 53.05 18.783c-36.484 34.27-64.93 77.082-79.313 124.158h19.617c19.42-58.22 62.696-110.147 115.73-144.34 53.682-34.606 116.954-50.88 174.96-38.713v-19.055c-12.93-2.457-26.01-3.663-39.13-3.686-28.257-.05-56.664 5.316-83.977 15.053l-3.295-60.925-27.457 53.535-30.445-83.947-7.63 67.797-103.43-162.6-80.04 18.522L64.642 18.91H17.665zM329.63 86.627l15.995 166.596 57.285-138.067-38.79 27.656-34.49-56.185zm-38.198 47.238l-28.48 28.934 29.095 64.132-.615-93.067zm131.77 61.852l-40.65 86.244 52.173-42.435-11.524-43.808zM86.44 267.164l35.464 31.027 109.742 27.52-65.423-53.82-79.784-4.726zm379.953 83.254c-40.082-.07-80.49 12.044-115.74 32.207-45.917 26.264-83.418 66.318-99.645 112.736h19.96c15.535-38.607 48.525-73.382 88.964-96.512 41.507-23.742 90.514-35.082 135.476-27.21v-18.95c-9.6-1.51-19.298-2.253-29.015-2.27zM189.2 355.91l-74.67.637-51.22 22.242 50.598 18.204 75.29-41.084zm39.073 25.672L162.21 397.67l6.864 29.447 59.2-45.535zm250.19 32.398c-27.52-.05-55.206 6.695-79.498 17.963-31.34 14.54-57.393 36.595-69.25 63.418h21.056c10.88-18.072 31.22-34.94 56.06-46.464 27.045-12.545 59.08-18.76 88.58-15.175v-18.824c-5.62-.606-11.28-.905-16.947-.916zm11.744 52.41c-15.04-.024-30.138 2.215-43.537 5.995-17.346 4.892-32.058 11.575-40.176 22.976h31.602c4.06-1.848 8.664-3.583 13.648-4.99 13.228-3.73 28.92-5.752 43.666-5.157V466.5c-1.732-.064-3.466-.11-5.203-.11z"}}]})(props);
};
function GiSonicScreech (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M155.7 20.88C79.302 21.093 36.837 85.437 21.98 167.435c20.554-27.42 86.13-18.87 95.723 14.615 17.89-33.31 64.53-33.637 90.066-20.646-15.146-11.61-22.89-32.173-25.436-53.133-.136-1.114-.248-2.236-.355-3.358-23.93-19.16-33.733-47.772-10.546-83.205-5.397-.57-10.642-.84-15.735-.826zm203.29 0c-5.093-.013-10.338.257-15.734.827 24.394 37.278 12.274 67.006-14.397 86.12-.013.1-.02.202-.032.302-2.648 21.376-10.735 42.16-25.974 54.41.058.354.09.71.138 1.064 24.368-15.136 75.143-16.652 93.992 18.445 9.593-33.486 75.17-42.036 95.723-14.616C477.85 85.436 435.387 21.092 358.99 20.88zM207.43 56.185c-5.98 13.263-8.675 32.293-6.543 49.832 2.618 21.544 12.048 39.256 24.44 44.238l7.546 3.033-1.96 7.89c-3.436 13.822 8.673 30.257 26.12 30.257 7.793 0 16.676-4.234 22.06-10.196 5.382-5.962 7.3-12.235 4.475-18.935l-3.183-7.547 7.066-4.145c11.193-6.563 20.326-24.554 22.83-44.778 2.063-16.65-.46-34.08-6.596-46.297-17.747 13.423-29.114 37.777-39.727 54.86l-8.773 14.12-7.502-14.835c-8.5-16.806-22.957-42.86-40.252-57.496zm-31.055 144.69c6.937 35.135 40.054 61.622 80.008 61.622 39.954 0 73.074-26.487 80.01-61.623-18.596 22.28-47.26 36.758-80.01 36.758-32.75 0-61.413-14.476-80.008-36.757zm-44.895 53.064c18.07 45.058 67.224 77.673 124.903 77.673 57.678 0 106.836-32.614 124.904-77.673-30.255 30.397-75.234 49.64-124.904 49.64s-94.65-19.243-124.903-49.64zm-67.2 54.898c34.597 60.233 107.273 102.2 192.103 102.2 84.52 0 157.35-41.666 192.105-101.542-48.562 42.393-116.63 69.235-192.105 69.235-75.874 0-143.493-27.107-192.104-69.894zm-44.532 70.646c48.075 66.48 135.784 111.432 236.635 111.432 100.85 0 188.56-44.953 236.635-111.432-61.703 48.234-144.83 77.805-236.635 77.805-91.806 0-174.933-29.57-236.635-77.805z","fillRule":"evenodd"}}]})(props);
};
function GiSonicShoes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M251.7 87.02c-11.8-.1-22.3 1.69-30.3 4.68-9.9 3.72-14.7 8.7-15.6 12.9 5.2 3.9 9.5 8.5 12.3 13.9-.3-1.1-.4-2.2-.3-3.3 1.4-10 20.5-15.63 42.8-12.6 22.2 3.1 39.1 13.6 37.8 23.6-.4 3.3-2.8 6.3-7 8.6 3.5-.8 6.7-1.7 9.5-2.8 10.6-4 15.3-9.4 15.8-13.8s-2.8-10.7-12.3-17c-9.4-6.26-23.9-11.53-40.5-13.43-4.1-.48-8.2-.72-12.2-.75zM152 107.5c-15.3 0-29.1 3.6-38.4 8.7-9.2 5.1-13 10.8-13 15.6 0 4.8 3.8 10.5 13 15.6 1.7.9 3.5 1.8 5.4 2.6-5-3.1-7.7-6.9-7.7-10.7 0-10.1 18.2-18.3 40.7-18.3 22.5 0 40.7 8.2 40.7 18.3 0 3.8-2.6 7.6-7.6 10.7 1.9-.8 3.7-1.7 5.3-2.6 9.2-5.1 13-10.8 13-15.6 0-4.8-3.8-10.5-13-15.6-9.3-5.1-23.1-8.7-38.4-8.7zm66.8 36.2c-1 2.2-2.3 4.4-3.9 6.4-1 9.2-2.5 17.8-3.4 26.1 15.9 10.6 37.2 14.5 56.5 13.4 10.8-.7 20.8-2.9 28.3-5.8 3.9-1.6 7-3.4 9.2-5.1-21.6 3.3-42.9-4.7-56.4-10.8-.1 0-.2-.1-.2-.1.1 0 .1.1.2.1 3.1.7 38-3.7 54.3-7.7-.2-3.4-.2-6.7 0-10-13.4 4.3-29.7 5.6-47.1 3.6-13.9-1.5-26.7-5.1-37.5-10.1zm-114.1 19.4c.5 4.9.8 10.1.9 15.3 11.3 5.2 25.6 8.5 39.5 12.2-12.9.4-23.9 2.3-40.1-.2-.3 2.9-.7 5.9-1.3 8.8 31.8 12.4 61.4 9.9 90.4 2.6-2.5-12.9-1.5-24.9.1-36.1-11.9 5.4-26.4 8.4-42.2 8.4-18 0-34.4-3.9-47.1-10.9-.1 0-.1-.1-.2-.1zM355 186.2c-1.7 0-3.1.1-4.2.3-26.9 10-49.9 23.7-65.4 42.4-14.2 17.1-22.5 38.5-21.9 66.7 12.2.6 25.7 3.5 37.4 9.2 4.3-32 16.3-56.1 33.1-73.9 15-16 33.5-26.7 53-34.5-3.5-1.9-7.1-3.8-11-5.3-7.6-3.1-15.6-4.7-21-4.9zm-143.5 11c.9 5.9 3.9 12.2 4.7 17.2 3.1 9.9 6.7 20 10.3 30.1 4.6 2.2 8.1 4 12.3 6.3 4 6.9 6.8 15 8.2 21.8 3.4-21.7 12-40.1 24.5-55.2 3.3-4 6.9-7.8 10.7-11.3-4.2.7-8.6 1.2-13.2 1.5-18.6 1.1-39.4-1.5-57.5-10.4zm182 15.9c-17.6 7-33.7 16.6-46.4 30.1-13.6 14.4-23.7 33.3-27.9 60 33.2 9.5 65.7 17 92.7 22 17.8 3.3 39.6 6.4 55.4 4.7 7.8-.8 13.9-2.8 17.3-5.4 3.4-2.5 4.9-5 4.8-11.3-.6-20.8-10.8-39.2-28.4-56.2-17-16.5-40.8-31.1-67.5-43.9zm-292.9 4.3c-3.34 3.5-6.61 7-9.82 10.7 11.32-2 23.92-3 37.02-3.1h5.8c-10.8-1.1-21.8-3.5-33-7.6zm98.3 1.8c-15.3 3.8-31.4 6.6-48.1 6.7 18 1.5 36.4 4.8 53.6 10.2-1.9-5.6-3.7-11.3-5.5-16.9zM127.8 243c-16.9.1-32.65 1.9-44.96 5.3-12.3 3.4-20.84 8.6-24.1 12.9l-.35.5-.4.4c-4.75 4.9-8.52 11.8-11.31 19 23.17-11.3 54.22-16.3 86.22-15.3 34.6 1 70.3 9.4 97.4 28-.5-11-1-21.1-5-29.7-27.1-14.1-64.6-21.1-97.5-21.1zm-2.8 40.6c-36.77.3-71.32 10.4-86.55 24.3-4.71 9.6-8.93 19.3-12.59 28.9-8.01 20.9-.94 38.5 16.01 54.2 16.95 15.7 44.06 27.7 72.33 32.1 28.3 4.4 57.6 1.2 79.2-11.1 21.6-12.4 36.4-33.1 37.6-68.2.3-9.5-.6-19.2-2.4-28.9-23.5-19.9-60.2-30.1-96.2-31.2-2.5-.1-4.9-.1-7.4-.1z"}}]})(props);
};
function GiSonicShout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.62 18.707l2.302 456.713c20.172 6.097 50.346 5.194 68.094-5.3 9.74-5.762 15.83-13.314 17.318-24.757 1.49-11.442-2.114-27.866-15.775-49.85-65.15-104.838-43.09-217.272 24.12-283.156 67.208-65.883 179.805-84.665 289.812-7.214 18.312 12.892 28.41 13.426 35.156 10.308 6.748-3.117 13.086-12.55 18.036-26.186 4.95-13.637 8.515-30.532 12.306-45.967 2.094-8.527 4.108-16.49 6.856-23.647L18.62 18.707zm239.07 54.02c-8.728-.036-17.285.53-25.64 1.652l156.454 92.8 21.037-37.436c-5.072-2.376-10.346-5.476-15.806-9.32-47.14-33.19-93.62-47.523-136.043-47.697zM127.913 125.56l-.15.143c-26.928 26.397-46.107 60.924-53.93 99.686 75.5-10.072 121.71 72.345 177.38 61.495 6.68-57.468-59.496-126.038-123.3-161.326zm227.297 47.21c-6.87 36.037-29.7 77.615-66.003 113.92-36.093 36.095-77.76 59.255-113.646 66.27 40.94 8.506 92.248-8.67 131.747-48.17 39.643-39.646 56.63-91 47.902-132.02zm66.103 4.302v.004-.004zm0 .004c-9.198 48.248-39.766 103.918-88.374 152.528-48.327 48.328-104.113 79.337-152.167 88.732 54.816 11.39 123.514-11.608 176.4-64.498 53.08-53.082 75.822-121.842 64.14-176.762zm67.328 10.985c-11.378 59.698-49.203 128.58-109.345 188.725-59.794 59.798-128.82 98.17-188.28 109.79 67.825 14.094 152.828-14.364 218.264-79.804 65.677-65.678 93.815-150.757 79.36-218.71zM71.07 243.337c-4.794 44.69 5.3 93.938 35.362 142.314 7.806 12.562 13.057 24.113 16.01 34.75l36.103-21.412L71.07 243.336z"}}]})(props);
};
function GiSoundOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M210.652 145.922c-35.467.215-70.267 6.618-89.252 14.863-14.085 43.136-16.33 127.919-6.736 180.518-8.452-4.265-18.339-6.543-28.447-6.555-28.719 0-52 17.909-52 40s23.281 40 52 40 52.002-17.909 52.002-40c-6.166-49.187-13.74-115.12-8.225-165.437 37.756-7.722 77.49-17.422 114.688-10.715-4.152 38.294-3.03 82.424 3.377 117.552-8.452-4.265-18.335-6.543-28.444-6.554-28.719 0-52 17.908-52 40 0 22.091 23.281 40 52 40s52-17.909 52-40c-4.618-72.485-18.78-132.767.33-196.436-18.492-5.267-40.012-7.365-61.293-7.236zm5.457 15.635c11.697-.073 23.313.706 34.174 2.558-1.185 5.199-2.232 10.67-3.156 16.336-37.913-5.64-78.578 1.385-114.332 9.656a227.233 227.233 0 0 1 3.277-14.884c19.722-7.718 50.145-13.48 80.037-13.666zm116.62 17.714L307.27 204.73 358.543 256l-51.272 51.271 25.458 25.458L384 281.457l51.271 51.272 25.458-25.458L409.457 256l51.272-51.271-25.458-25.458L384 230.543l-51.271-51.272z"}}]})(props);
};
function GiSoundOn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M333.782 80c128 64 128 288 0 352 192-64 192-288 0-352zm-48 16c64 50.843 64 270.217 0 321.06 128-50.843 128-270.217 0-321.06zm-75.13 49.922c-35.468.215-70.268 6.618-89.253 14.863-14.084 43.136-16.33 127.919-6.736 180.518-8.452-4.265-18.337-6.543-28.445-6.555-28.719 0-52 17.909-52 40s23.281 40 52 40 52-17.909 52-40c-6.166-49.187-13.74-115.12-8.225-165.437 37.756-7.722 77.49-17.422 114.688-10.715-4.152 38.294-3.029 82.424 3.379 117.552-8.452-4.265-18.337-6.543-28.446-6.554-28.719 0-52 17.908-52 40 0 22.091 23.281 40 52 40 28.72 0 52-17.909 52-40-4.618-72.485-18.78-132.767.33-196.436-18.491-5.267-40.012-7.365-61.293-7.236zm5.456 15.635c11.697-.073 23.313.706 34.174 2.558-1.185 5.199-2.232 10.67-3.156 16.336-37.913-5.64-78.578 1.385-114.332 9.656a227.233 227.233 0 0 1 3.277-14.884c19.722-7.718 50.145-13.48 80.037-13.666z"}}]})(props);
};
function GiSoundWaves (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M468.53 236.03H486v39.94h-17.47v-39.94zm-34.426 51.634h17.47v-63.328h-17.47v63.328zm-33.848 32.756h17.47V191.58h-17.47v128.84zm-32.177 25.276h17.47V167.483h-17.47v178.17zm-34.448-43.521h17.47v-92.35h-17.47v92.35zm-34.994 69.879h17.47v-236.06h-17.525v236.06zM264.2 405.9h17.47V106.1H264.2V405.9zm-33.848-46.284h17.47V152.383h-17.47v207.234zm-35.016-58.85h17.47v-87.35h-17.47v87.35zm-33.847-20.823h17.47V231.98h-17.47v48.042zm-33.848 25.66h17.47v-99.24h-17.47v99.272zm-33.302 48.04h17.47V152.678H94.34v201zm-33.847-30.702h17.47V187.333h-17.47v135.642zM26 287.664h17.47v-63.328H26v63.328z"}}]})(props);
};
function GiSouthAfricaFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v104.324L222.445 256 18 389.676V494h55.553l273.765-179H494V197H347.318L73.553 18zm88.447 0l246.235 161H494V18zm246.235 315L106.447 494H494V333z"}}]})(props);
};
function GiSouthAfrica (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M393.5 71.28c-48 17.92-81.8 59.82-115.2 102.52l-19.5 4.9c-38.6-18.8-50.1.5-64.3 16.1l-51 12.7c10.4-36.8-12.2-45-27.4-59.7l-6.3 118c-39.92 13.8-64.7-5.2-95.27-11.6l69.88 186.5 231.09-23.2c84.2-40.7 119.5-99.3 167.9-153.1l14.1-52-17.6-2.1c-12.3 3.1-40 20.5-40.7-1.6-.7-22.1 11.9-33.4 35.3-29.3l-16.4-94.08c-12.7-12.87-40.5-11.7-64.6-14.04zM371.7 258.8c21.1-.4 26.3 17.3 28.1 28.8-8.1 15.4-54 61.8-71.3 6.6 7.5-20.1 21.4-34.9 43.2-35.4z"}}]})(props);
};
function GiSouthAmerica (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M158.152 21c50.525 10.105 97.448 23.812 135.04 46.849L316.7 108.38l104.572 41.342c-4.774 32.838-38.956 77.93-59.987 117.542l-47.017 20.671c.2 18.24-25.396 43.977-40.531 61l-23.914-7.498 10.944 19.658c-9.25 18.14-27.763 23.432-44.99 33.844l-12.565 68.498 19.455 18.645L207.265 491l-37.695-22.292c-1.518-77.714 1.599-155.383 3.648-233.058-38.693-13.55-56.957-53.469-81.874-85.116-2.114-2.685.268-41.208 22.292-56.34l5.434-35.19C133.412 43.898 135.746 37.722 158.152 21z"}}]})(props);
};
function GiSouthKorea (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M300.9 15.71c62.9 88.09 126.3 176.09 88.5 279.39l15.9-2.6-27.5 96.5c-76.2 46-157.1 73.3-241.8 85.4-9.6-43.1-21.2-85.9 3.6-133.1l24.5-44.1c-30-32.3-32.5-63.1-45.4-94.4 23-6.4 32.4-20.4 60.8 3.8L139.2 109c11.3-22.61 29.5-51.07 56.2-61.48 33.2-12.94 71.3 1.24 105.5-31.81z"}}]})(props);
};
function GiSpaceShuttle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25.162c-.445.165-1.342.498-2.506 1.24-2.093 1.334-4.922 3.615-8.002 6.58-6.16 5.932-13.396 14.576-20.12 24.18a178.467 178.467 0 0 0-3.69 5.516c11.783-2.326 23.053-3.5 34.318-3.5 11.265 0 22.535 1.174 34.318 3.5a178.467 178.467 0 0 0-3.69-5.516c-6.724-9.604-13.96-18.248-20.12-24.18-3.08-2.965-5.91-5.246-8.002-6.58a12.408 12.408 0 0 0-2.506-1.24zm0 51.662c-14.685 0-29.38 2.38-46.22 7.114C204.42 95.194 201 105.57 201 112v159.64c5.106-17.267 9.62-38.235 14-64.404V192c0-11 4.557-23.42 11.283-34.63 3.363-5.606 7.31-10.793 12.072-14.92C243.118 138.32 249 135 256 135s12.882 3.322 17.645 7.45c4.762 4.127 8.71 9.314 12.072 14.92C292.443 168.58 297 181 297 192v15.236c4.38 26.17 8.894 47.137 14 64.403V112c0-6.43-3.42-16.806-8.78-28.063-16.84-4.734-31.535-7.113-46.22-7.113zm-88 52.56c-6.513 11.517-15 29.352-15 46.616v39h30v-39c0-17.264-8.487-35.1-15-46.615zm176 0c-6.513 11.517-15 29.352-15 46.616v39h30v-39c0-17.264-8.487-35.1-15-46.615zM256 153c-1 0-3.118.678-5.855 3.05-2.738 2.373-5.79 6.186-8.428 10.58C236.443 175.42 233 187 233 192v163.78l-2.697 2.644c-10.61 10.408-12.83 36.14-13.15 52.77 6.674 3.535 17.826 6.417 29.847 7.42V368h18v50.613c12.023-1.004 23.178-3.885 29.852-7.422-.308-16.586-2.46-42.072-13.215-52.827L279 355.73V192c0-5-3.443-16.58-8.717-25.37-2.637-4.394-5.69-8.207-8.428-10.58C259.118 153.68 257 153 256 153zm-16 30h32v18h-32v-18zm-87 50v116.316c12.42-10.644 21.995-21.32 30-34.69V233h-30zm176 0v81.627c8.005 13.368 17.58 24.045 30 34.69V233h-30zm-114 53.975c-3.513 10.4-7.342 19.745-11.697 28.175-9.305 18.01-20.907 32.004-35.457 45.032l38.675 1.933c2.16-4.848 4.922-9.458 8.48-13.584v-61.555zm82 0v61.6c3.515 4.13 6.253 8.725 8.4 13.544l38.754-1.938c-14.55-13.028-26.152-27.023-35.457-45.032-4.355-8.43-8.184-17.775-11.697-28.175zm197 16.04c-13.547 5.65-19.025 19.56-26.95 41.83 0 0-45.814.42-53.376 17.557-8.08 18.31 24.582 54.784 24.582 54.784s-27.132-8.726-37.926-2.108c-11.983 7.348-17.012 38.586-17.012 38.586-3.533-.847-6.9-1.547-10.14-2.133L362.666 420h10.668l-5.992-10.957-53.514 2.676-.816 1.503c-.005.914-.012 1.954-.012 2.777v4h7l-10.666 32 21.332-16 5.004 15.008c-14.785 3.136-25.546 10.693-35.9 20.533L288 448h16l-12.803-15.607C280.517 435.733 268.283 437 256 437c-12.312 0-24.576-1.272-35.273-4.63L208 448h16l-12.89 25.78c-12.137-5.026-25.02-10.03-37.602-14.305L181.334 436l21.332 16L192 420h7v-4c0-.807-.008-1.832-.014-2.73l-.85-1.553-53.52-2.676-5.95 10.96h10.668l-9.955 29.86c-3.99-.816-7.803-1.45-11.38-1.86-31.566-3.623-39.72 4.634-57.932 12.416 0 0 16.664-96.575-16.69-118.38-4.128-2.7-9.283-3.783-14.993-3.73-6.33.056-13.342 1.526-20.385 3.733V494h237l1 2 16-32 23.488 11.744c-5.562 5.625-11.157 11.82-17.355 18.256H494V303.014zM147.02 377.16c-5.396 4.877-6.897 9.625-6.817 11.555.046 1.094.238 1.25.508 1.49.27.242 1.017.793 3.29.793h.225l55.195 2.76c.316-4.473.846-9.163 1.732-13.89l-54.132-2.708zm217.96 0l-54.187 2.71c.896 4.73 1.437 9.418 1.762 13.89l55.22-2.762H368c2.273 0 3.02-.55 3.29-.793.27-.24.46-.396.507-1.49.08-1.93-1.42-6.678-6.817-11.555zM160 436l7.12 21.365c-9.11-2.933-17.94-5.404-26.075-7.148L160 436zm192 0l20.547 15.41c-9.475-1.674-17.715-2.228-25.057-1.88L352 436zm-112 28l14.545 29.09c-9.876-4.675-23.293-10.83-38.356-17.186L240 464z"}}]})(props);
};
function GiSpaceSuit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M250.375 21.25c-38.192 0-68.97 30.744-68.97 68.938 0 38.193 30.778 68.968 68.97 68.968s68.938-30.775 68.938-68.97c0-38.192-30.746-68.936-68.938-68.936zm-2.625 33.78c.115-.003.23.005.344 0-26.85 53.803 52.427 66.62 40.656 9.032 4.272 1.793 8.76 3.838 13.53 6.157 3.816 15.258 3.55 30.828-2.342 46.093-46.683 11.007-54.054 11.028-98.375-1.594-5.345-14.747-6.03-29.762-2.344-44.5 19.356-9.562 34.072-14.612 48.53-15.19zM345.188 121c-1.26-.03-4.597.75-9.657 4.625-.006.006-.022-.006-.03 0-2.61 2.002-5.202 3.89-7.78 5.688-14.765 27.642-43.906 46.53-77.345 46.53-33.4 0-62.523-18.846-77.313-46.437-3.012-1.64-6.038-3.325-9.093-5.062-4.647-2.642-7.37-2.825-8.657-2.594-1.29.23-2.174.692-3.657 3-2.966 4.616-5.316 16.393-4.656 30.03.66 13.64 3.802 29.176 8.75 42.314 4.948 13.138 11.957 23.675 18.156 27.97 50.81 35.192 99.385 27.478 151.5-.533 6.386-3.43 13.912-13.767 19.125-27.468 5.215-13.7 8.4-30.338 8.94-44.843.538-14.506-2.292-26.98-5.22-31.095-1.464-2.058-1.8-2.096-3.063-2.125zM128.25 144.875c-20.632 9.24-36.958 25.827-49.656 48.594 4.41.183 8.78.842 13 1.968 12.22 3.26 22.512 10.243 30.062 19.375 4.587-5.04 9.565-9.652 14.938-13.844-4.718-13.954-7.597-29.14-8.28-43.282-.214-4.392-.26-8.68-.064-12.813zm242.72 24.25c-1.58 12.405-4.592 25.058-8.97 36.563-2.413 6.342-5.193 12.393-8.5 17.843 3.59 4.06 6.944 8.37 10.03 12.97 2.334-3.646 5.037-7.03 8.064-10.063v-.03c8.18-8.18 18.247-13.41 28.844-15.75-8.07-16.84-17.822-30.79-29.47-41.532zM76.31 212.155c-10.683.044-21.528 4.17-28.312 12.282-7.128 8.523-11.038 22.262-5.188 43.375.136-.093.27-.19.407-.28 8.11-5.473 18.242-8.57 29.186-8.063 3.648.168 7.398.733 11.188 1.75 10.622 2.845 19.157 8.536 25.28 15.717 7.454-9.93 9.21-20.875 7.314-31.156-2.767-14.987-13.905-28.145-29.407-32.28-3.373-.9-6.906-1.358-10.468-1.344zm336.5 15.782c-.71.013-1.413.045-2.125.094-9.48.653-18.78 4.502-25.875 11.595-9.865 9.887-14.718 25.822-9.875 39.063 3.82 10.44 13.742 20.698 34.97 26.187-.015-.177-.05-.354-.063-.53-.91-13.01 3.634-26.97 14.72-38.064l-.002-.03c7.774-7.767 16.973-12.288 26.25-14-4.87-11.43-13.457-18.44-23.312-21.938-4.712-1.67-9.704-2.465-14.688-2.375zm-101.437 25.97c-39.896 16.718-81.177 21.096-121.78 3.312l-10.064 39.31c8.908 2.755 16.417 7.827 22 14.25 7.355 8.462 11.61 18.985 12.876 29.814 25.23-39.572 70.19-24.214 81.906 29.187-30.148 24.312-31.025 78.51 2.47 99.97 13.98-17.626 34.203-29.69 55.312-32.75 3.026-.44 6.09-.66 9.156-.688 1.022-.008 2.042-.006 3.063.032 7.237.266 14.457 1.735 21.312 4.562 5.298-16.073 4.073-34.643-3.188-50.156-7.642 4.648-17.087 7.406-27.843 7.406-16.64 0-30.15-6.565-38.688-16.594C309.37 371.534 305.66 358.6 306 345.938c.34-12.662 4.69-25.31 13.25-35.156 1.444-1.66 3.026-3.222 4.72-4.686l-12.595-52.188zm146.938 16.218c-7.058.166-13.97 2.75-20.563 9.344-7.534 7.533-9.85 15.483-9.28 23.592.566 8.11 4.486 16.41 10.436 22.688 5.95 6.28 13.738 10.374 21.53 11 7.795.626 15.888-1.73 24.377-10.22 8.488-8.488 10.845-16.58 10.218-24.374-.625-7.793-4.72-15.58-11-21.53-6.278-5.95-14.577-9.87-22.686-10.438-1.014-.07-2.023-.087-3.03-.063zM70.156 278c-6.352-.102-11.73 1.835-16.47 5.03-6.738 4.547-11.973 12.083-14.436 20.376-2.463 8.293-2.136 17.063 1.22 24.125 3.353 7.064 9.465 12.925 21.06 16.033 11.597 3.107 19.784 1.064 26.22-3.375 6.436-4.44 11.112-11.868 13.125-20.282 2.013-8.413 1.25-17.568-2.313-24.875-3.563-7.305-9.52-12.99-19.812-15.75-2.573-.688-5.007-1.084-7.313-1.217-.432-.025-.857-.056-1.28-.063zm94.03 34.938c-10.654 0-17.916 3.958-23.25 10.093-5.33 6.137-8.422 14.76-8.655 23.408-.232 8.647 2.37 17.046 7.44 23 5.067 5.953 12.462 10.03 24.468 10.03 12.005 0 19.4-4.077 24.468-10.03 5.068-5.954 7.67-14.353 7.438-23-.233-8.648-3.355-17.27-8.688-23.407-5.333-6.134-12.563-10.092-23.22-10.092zm192.408 0c-10.656 0-17.917 3.958-23.25 10.093-5.333 6.137-8.424 14.76-8.656 23.408-.233 8.647 2.37 17.046 7.437 23 5.068 5.953 12.463 10.03 24.47 10.03 12.004 0 19.4-4.077 24.467-10.03 5.07-5.954 7.67-14.353 7.438-23-.233-8.648-3.355-17.27-8.688-23.407-5.332-6.134-12.563-10.092-23.218-10.092zM121.22 375.656c-15.115 16.632-20.037 41.93-13.75 63.313 5.18-1.573 10.525-2.43 15.874-2.626 1.02-.038 2.04-.04 3.062-.03 3.065.025 6.13.247 9.156.686 22.062 3.2 43.178 16.216 57.188 35.156 34.58-17.894 37.7-67.857 13.75-95.5-1.098 1.69-2.296 3.345-3.625 4.906-8.537 10.03-22.048 16.594-38.688 16.594-16.64 0-30.15-6.565-38.687-16.594-1.59-1.87-3.02-3.855-4.28-5.906zm2.81 79.313c-8.685.26-16.853 2.96-24.124 8.592-7.895 6.116-14.975 16.094-19.72 31.344h104.25c-10.196-20.804-31.273-36.464-51.56-39.406-2.995-.434-5.95-.618-8.845-.53zm239.407 0c-2.192.034-4.41.204-6.656.53-20.287 2.942-41.364 18.602-51.56 39.406h104.25c-4.745-15.25-11.824-25.228-19.72-31.344-7.27-5.63-15.44-8.333-24.125-8.593-.724-.023-1.457-.013-2.188 0z"}}]})(props);
};
function GiSpaceship (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M265 34l47.898 35.924 61.563 123.123-8.057 32.23-24.943-4.158 3.16-10.533 2.842-9.473L256 182.823l-91.463 18.29 6.002 20.006-24.943 4.156-8.057-32.228L199.1 69.926 247 34v56h-39l-16 32 64 38 64-38-16-32h-39zm188.313 169.258l30.3 10.101-13.478 29.205-30.016-5.001zm-394.626 0l13.194 34.304-30.016 5.002-13.478-29.205zM256 205.32l53.8 58.692L281.306 359h-50.61L202.2 264.012zm25.254.909l43.283 8.658-8.715 29.052zm-50.508.002l-34.568 37.709-8.715-29.053zm105.5 32.267L482.5 262.873 429.799 368.28 329.98 259.385zm-160.492 0l6.266 20.887L82.2 368.279 29.5 262.873zm148.205 40.96l72.201 78.765-84.556-37.582zm-135.918 0l12.355 41.183-84.556 37.582zm118.348 58.564l28.646 12.732L312.973 439H265v-62h29.695zm-100.778 0L217.305 377H247v62h-47.973l-22.062-88.246zM387.6 374.115l18.105 8.047-9.984 21.635-16.387-8.193zm-263.2 0l8.266 21.489-16.387 8.193-9.984-21.635zM311 457v30h-30v-30zm-80 0v30h-30v-30z"}}]})(props);
};
function GiSpadeSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.8 23.098C237.47 95.248 57.848 168.408 53.84 293.922c-3.12 97.687 93.884 133.368 161.764 89.715l-44.24 116.597h24.607l13.966-41.03 17.69 6.023-11.915 35.007h27.823v-24.427h18.688v24.427h30.294l-11.918-35.007 17.69-6.022 13.968 41.03h24.642L291.126 379.6c66.805 51.217 164.922 13.64 168.04-85.68C462.94 173.638 274.493 89.128 256.8 23.098zM110.458 248.4c5.016 18.63 19.745 35.044 37.84 46.553-5.785 3.135-9.713 9.26-9.713 16.3 0 10.234 8.296 18.53 18.53 18.53 10.233 0 18.53-8.296 18.53-18.53 0-1.245-.13-2.46-.365-3.638 17.377 5.528 35.05 6.322 48.782.58.004.28.022.557.022.838 0 40.4-32.552 72.953-72.953 72.953-40.4 0-72.952-32.548-72.952-72.953 0-25.323 12.788-47.56 32.28-60.633zm288.38.334c19.215 13.116 31.792 35.188 31.792 60.3 0 40.4-32.553 72.952-72.954 72.952-40.402 0-72.953-32.548-72.953-72.953 0-.36.022-.716.027-1.076 11.414 4.964 25.64 5.318 40.18 2.127-.025.39-.06.775-.06 1.17 0 10.233 8.297 18.53 18.53 18.53 10.234 0 18.53-8.297 18.53-18.53 0-5.256-2.2-9.99-5.715-13.363 20.178-11.494 37.065-29.02 42.62-49.156zM255.308 360.658l31.737 80.75h-63.943l32.205-80.75z"}}]})(props);
};
function GiSpade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M173.844 15.563v.03l52.22 192.157c7.035-3.16 14.752-6.03 22.686-8.406 8.894-2.663 18.006-4.683 26.72-5.72L227 15.565l-53.156-.002zm240.03 183.968c-13.045 15.41-48.86 31.746-91.874 45.845 1.64 16.418 2.707 35.075 2.72 53.344.01 18.658-1.105 36.594-4.25 51.155-1.574 7.28-3.61 13.75-6.75 19.28-3.143 5.53-7.815 10.59-14.564 12.376-6.75 1.786-13.316-.275-18.812-3.5-5.497-3.223-10.55-7.79-15.594-13.31-10.087-11.045-20.125-26.058-29.563-42.22-9.477-16.23-18.235-33.37-25.218-48.688-45.532 8.43-85.193 11.69-102.126 6.313 27.59 101.65 71.632 175.738 120.312 216.094H388.75c47.247-52.587 62.203-160.075 25.125-296.69zm-127.843 12.064c-.745.007-1.525.022-2.31.062-8.694.44-19.32 2.508-29.626 5.594-10.308 3.086-20.344 7.183-28.063 11.313-5.254 2.81-8.667 5.522-10.905 7.53 5.213 15.886 19.636 48.602 36.22 77 9.044 15.492 18.7 29.674 27.218 39 4.258 4.664 8.254 8.075 11.218 9.813 2.965 1.74 4.307 1.64 4.595 1.563.288-.077 1.42-.62 3.094-3.564 1.67-2.944 3.424-7.837 4.75-13.97 2.648-12.262 3.823-29.34 3.81-47.217-.02-33.398-4.27-69.712-7.842-85.564-2.73-.895-6.933-1.61-12.157-1.562z"}}]})(props);
};
function GiSpades (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M458.915 307.705c0 62.63-54 91.32-91.34 91.34-41.64 0-73.1-18.86-91.83-34.26 2.47 50.95 14.53 87.35 68.65 116h-176.79c54.12-28.65 66.18-65.05 68.65-116-18.73 15.39-50.2 34.28-91.83 34.26-37.29 0-91.34-28.71-91.34-91.34 0-114.47 80.64-83.32 202.91-276.49 122.28 193.17 202.92 162.03 202.92 276.49z"}}]})(props);
};
function GiSpain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105.596 82.69c-35.235-.159-63.219 3.749-79.754 13.432l22.717 61.192 72.273 16c-30.57 62.613-31.05 127.647-40.273 192l64 64c42.477-17.102 81.95-22.872 128-23.945 10.226-18.087 18.296-38.667 46.611-44.924-1.617-30.208 15.277-36.212 32.686-52.81-4.287-31.292-.694-49.583 20.918-88.274l84.212-58.535-9.13-25.68c-114.8-25.068-252.215-52.047-342.26-52.455zm369.408 156.983c-9.503-.388-11.76 5.157-10.271 11.533 6.318 5.616 13.497 7.355 21.136 7.024 1.07-6.96-.788-13.039-6.338-18.012-1.663-.312-3.17-.49-4.527-.545zm-33.486 11.07c-9.603.076-18.698 8.776-27.637 20.13 2.107 1.053 28.094 18.962 28.094 18.962l15.1-31.254c-5.36-5.55-10.528-7.877-15.557-7.837zm-47.625 38.303c-8.017.003-15.008 1.902-15.83 15.188l10.183 7.373 9.131-22.475a82.611 82.611 0 0 0-3.484-.086z"}}]})(props);
};
function GiSpanner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M331.188 16.72c-40.712-.002-81.41 15.408-112.438 46.436-43.866 43.864-56.798 107-38.813 162.25L17.03 388.312v25.75l170.22-170.218c2.75 5.84 5.847 11.555 9.344 17.094L17.03 440.5v51.78H64l181.875-181.874c5.516 3.515 11.212 6.668 17.03 9.438L90.44 492.28h27.03l164.75-164.75c55.182 17.85 118.21 4.884 162-38.905 41.415-41.414 54.998-99.91 41.282-152.813L380.22 241.125l-90.033-23.938-23.968-90.03L371.53 21.843c-13.213-3.41-26.772-5.125-40.342-5.125z"}}]})(props);
};
function GiSparkSpirit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M420.402 19.873c37.886 49.484 19.76 88.205-39.797 90.787 15.374-23.54 18.565-50.758-1.503-72.215 15.56 37.318-14.397 62.848-50.137 67.096-4.39-.934-8.887-1.99-13.508-3.19-60.132-15.624-114.527 22.936-137.37 78.923-.43-34.33 9.72-68.377 29.83-102.152-50.37 35.038-75.926 89.323-72.616 166.003l-59.41-65.365L89.55 374.43 254.15 494.025 392.703 389.54l52.584-196.853-93.224 72.415c-23.56-25.652-13.02-55.2 33.736-50.293-38.077-22.19-64.97-2.473-75.952 24.356-5.608-27.825 18.206-63.122 50.218-58.686 76.728 10.638 151.882-107.834 60.336-160.607zM119.838 272.05l94.777 73.214-103.095-21.22 29.263-3.05-20.945-48.943zm255.48 12.237l-10.623 25.262 27.8-.28-12.095 23.437-96.25 14.438 91.168-62.858zM204.305 360.13l42.256 62.552 11.247-44.094 17.84 32.598 56.574-48.54-7.23 24.368 51.71-21.274-54.485 61.82 9.654-29.966-76.21 71.62-47.574-55.136 3.176 27.483-74.627-77.593 61.166 29.998 6.505-33.834z"}}]})(props);
};
function GiSparkles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M237.4 20.73c-6.1 42.1-26.8 64.2-63.9 64 31.6 4.5 63.8 8 63.9 64.07-.6-46.1 24.5-63.07 64.1-64.07-38-1.5-64.9-16.3-64.1-64zm127.8 11.58c-9.1 14.25-20.8 21.29-38.9 10.28 14.9 11.79 18.6 24.76 10.2 38.97 8.9-11.18 17.5-22.73 39-10.27-17.8-10.06-18.8-23.57-10.3-38.98zM59.68 41.69c-2.7 18.8-12 28.6-28.5 28.5 14.1 2 28.4 3.6 28.5 28.52-.3-20.5 10.9-28.12 28.5-28.52-16.9-.7-28.9-7.3-28.5-28.5zM431 66.28c-2.7 18.8-12 28.6-28.5 28.5 14.1 2 28.4 3.6 28.5 28.52-.3-20.5 10.9-28.12 28.5-28.52-16.9-.7-28.9-7.3-28.5-28.5zM120.3 116.4c-15.8 53.7-47.76 48-79.35 43.4C76.6 170 90.3 197.1 84.28 239.2c12.66-46 42.62-52.6 79.42-43.4-37.6-12.1-56.9-35.4-43.4-79.4zm187 5c-8.8 61.6-39.3 94-93.6 93.7 46.2 6.5 93.6 11.7 93.6 93.7-.8-67.3 35.9-92.2 93.8-93.7-55.5-2.2-94.9-23.9-93.8-93.7zm136.8 38.3c-13.1 21.6-29.5 28.8-49.7 20.1 16.3 9.7 33 19.1 20.1 49.6 10.3-25.2 27.9-28.7 49.7-20-20.3-9.7-31.6-23.9-20.1-49.7zM50.7 243.2c9.16 16.7 7.63 30.1-5.61 40 12.46-6.9 24.85-14.3 39.91 5.6-12.57-16.2-8.2-29 5.61-40-13.92 9.7-27.47 11.6-39.91-5.6zm137.2.3c11.4 26.8-.5 41.3-21.7 50.9 22.7-8.5 40.8-4.5 50.9 21.7-12.7-31.8 4.8-41.2 21.7-50.9-21 8.5-37.8.9-50.9-21.7zm228 12.6c-26.6 64.7-68.7 91.7-127.8 76.4 48.6 19.8 98.8 38.5 76.4 127.9 17.5-73.7 64.4-90.7 127.9-76.5-59.9-17.5-96.9-52-76.5-127.8zM99.94 295.5c15.66 57.8.86 98.1-47.32 118.5 43.46-11.8 87.38-25.2 118.68 47.4-26.4-59.3-3.4-95.4 47.3-118.8-50 19.2-93.1 15-118.66-47.1zm169.36 61c-21.8 20.6-43 23.6-63.2 7.3 15.5 16.3 31.6 32.4 7.2 63.3 19.8-25.6 41.2-24.1 63.3-7.3-20.2-17.4-28.6-37.5-7.3-63.3zM443.2 404c-2.7 18.8-12 28.6-28.5 28.5 14.1 2 28.4 3.6 28.5 28.5-.3-20.5 10.9-28.1 28.5-28.5-16.9-.7-28.9-7.3-28.5-28.5zm-169.7 36c-2.7 18.8-12 28.6-28.5 28.5 14.1 2 28.4 3.6 28.5 28.5-.3-20.5 10.9-28.1 28.5-28.5-16.9-.7-28.9-7.3-28.5-28.5z"}}]})(props);
};
function GiSparklingSabre (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.563 16.875c-34.11 33.744-53.907 25.412-89.094 4.844 31.052 27.848 44.703 40.722 9.25 76.124 32.57-26.112 44.422-29.22 85.342-15-23.523-25.805-21.323-36.88-5.5-65.97zm90.312 24.406C463.23 68.004 425.365 93.7 386.687 113c1.152 61.455-37.802 117.82-99.125 165.406C221 330.06 127.345 372.848 24.344 404.28v41.22c15.817-3.243 32.09-6.896 48.656-11.03-2.655 14.497-11.253 27.387-28.938 39.81 43.158-14.862 52.446-1.325 76.188 18.814-7.644-26.835-5.256-36.344 34.625-58.438-32.328 9.304-48.716 5.836-63.03-5.094 74.51-20.002 153.373-49.706 221.25-93.625 6.362 31.056 5.325 56.495-36.19 94.282 67.325-35.667 96.207-34.27 130.97 7.155-34.905-53.113-30.953-75.32 14.063-123.97-42.665 33.767-70.8 30.987-94.063 12.626.615-.427 1.23-.85 1.844-1.28 90.41-63.473 157.526-153.397 164.155-283.47zM240.75 70.97c4.865 36.552-4.39 56.492-23.938 78.53 31.65-24.863 39.97-22.61 71.157-23-28.584-13.45-36.21-20.397-47.22-55.53zm-110.78 40.686c-27.298 60.18-58.556 70.662-107.626 70.125 59.78 20.1 64.886 52.96 69.906 106.25 19.34-58.957 36.19-76.01 78.72-58.217-41.78-31.838-45.743-48.97-41-118.157zm237.936 10.188c-30.864 13.607-61.587 22.598-88.937 24.28-2.278 16.52-11.623 32.867-25.19 49-15.767 18.755-37.557 37.463-62.78 55.69-49.014 35.414-110.962 68.736-166.656 94.28v39.625c99.33-30.83 189.144-72.456 251.78-121.064 55.735-43.25 89.362-90.922 91.782-141.812zm99.53 98.97c-7.594 35.52-13.903 44.526-46.655 65.31 35.874-8.104 51.316-1.513 74.533 15.032-22.447-30.02-28.5-41.96-27.875-80.344zM259.75 400.78c-30 43.11-55.372 48.865-98.656 52.22 51.72 7.82 65.302 14.218 95.875 41.094-12.9-35.393-15.344-48.14 2.78-93.313z","fillRule":"evenodd"}}]})(props);
};
function GiSparkyBomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.438 19.22L178.78 88.97l-76.968-46 9 88.75-88.687 28.655 92.688 41.563L73.22 325.125 159 254.03l16 95.282 31.688-49.906 13.218 13.22c-4.34 13.284-6.97 27.36-6.97 42.25 0 76.383 61.788 138.78 138.22 138.78s138.78-62.35 138.78-138.78c.002-76.433-62.396-138.22-138.78-138.22-15.74 0-30.88 2.604-45.094 7.47l-6.562-6.564 66.28-26.375-88.124-26.593 73.688-64.72-108.5 7.595 16.594-88.25zM17.468 71.124l21.376 31.125 35.843 3-22.5-32.938-34.718-1.187zm406.626 18l-74 45.313 66.437-8.063 30.22-16.094-22.656-21.155zM171.75 150.188l18.594 1.75c-2.333 24.63 5.19 32.13 18.47 43.718 10.173 8.88 24.053 18.958 35.78 36.156l21.375-21.375 31 31 4.342 4.344 5.72-2.25c12.48-4.95 26-7.704 40.28-8.124-6.82 2.938-13.057 7.058-18.437 12.438-13.18 13.18-18.907 31.506-17.72 51l38.158 4.687-1.813-48.217 37.938 40 45.343-22.75-12.03 47.78 45.656 17.97-53.5 19.906 7.375 40.03c16.53-.598 31.784-6.44 43.19-17.844 3.504-3.505 6.504-7.375 8.967-11.53-6.942 59.702-57.724 106.093-119.28 106.093-66.293 0-119.532-53.754-119.532-120.095 0-14.646 2.8-28.405 7.688-41.53l2.093-5.626-4.22-4.25-32.124-32.126 26.063-26.063c-10.157-16.3-22.694-25.145-34.594-35.53-14.54-12.69-27.603-29.76-24.78-59.563zM85.062 224L35.22 242.53l-12.157 32.157 37.624-8.03L85.064 224zm63.407 107.688L122.905 398.5l15.344 32.563 17.25-35.97-7.03-63.406z"}}]})(props);
};
function GiSparrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M272.625 97.375c-.44 19.098 6.645 38.842 23.938 49.063-2.897 6.85-4.688 14.284-4.688 22.187 0 3.698.412 7.577 1.125 11.53-45.116-2.51-94.654 27.96-115.47 75.282l-94.718-86.812 2.813 43.125-57.813-19.063 33.844 53.032-38.406 18.124c61.937 20.327 134.08 52.95 197.25 59l-7.72 34.062-48.655 41.063 12.063 14.28 29.75-25.094-9.063 39.97 18.25 4.124 9.094-40.125 14.405 32.72 17.125-7.533-24.594-55.812 8.313-36.688c15.398.06 30.104-1.818 43.81-6.25l16.5 31.313-12.124 56.97 18.28 3.905 7.47-35.03 21 39.905 16.53-8.72-18.56-35.28 33.687 15.844L374 369.56l-56.063-26.343-17.343-32.94c36.401-19.08 57.443-50.84 56.375-79.06 13.583-6.22 26.922-15.686 36.31-27.595 36.75-8.613 83.28-7.746 106.533 17.844-8.747-70.424-60.418-81.806-105.594-82.876-26.663-33.223-85.387-8.755-121.595-41.22zm86.438 44.656c7.52 0 13.625 6.107 13.625 13.626 0 7.522-6.104 13.625-13.625 13.625-7.522 0-13.594-6.102-13.594-13.624 0-7.52 6.07-13.625 13.592-13.625z"}}]})(props);
};
function GiSpartanHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.714 20.358c-8.79.075-17.448.82-25.89 2.308-46.55 8.208-89.423 26.157-121.225 52.065-31.803 25.908-52.572 59.39-56.316 100.053l-.004.04-.004.04c-8.45 83.885 39.397 152.37 65.604 181.553 5.21 5.804 7.064 13.574 6.533 20.862-.53 7.288-3.04 14.494-6.598 21.838-7.114 14.688-18.703 30.06-31.03 44.457-13.957 16.303-27.375 29.703-37.75 39.627 7.203-1.214 14.764-4.37 22.67-9.368 14.66-9.265 29.554-24.475 42.097-41.298 12.543-16.824 22.807-35.28 28.802-50.586 2.998-7.654 4.912-14.54 5.614-19.72.7-5.178-.177-8.39-.354-8.687-15.34-25.73-31.257-52.027-40.687-79.112-9.43-27.085-12.2-55.565-.073-83.35 25.223-57.79 78.02-85.085 130.772-89.605 52.61-4.508 105.963 12.396 136.545 44.71l23.292 22.474 69.254-41.47c-20.34-26.314-55.49-55.33-96.24-76.257-33.546-17.226-70.702-28.978-106.18-30.428-2.957-.12-5.902-.17-8.832-.144zM372.42 146.184l-.058-.057.31.313c-.083-.087-.17-.17-.25-.256zM244.814 118.95c-2.468.102-4.935.245-7.4.457-3.562.305-7.11.73-10.64 1.255l9.628 45.077c5.76-1.637 11.657-2.823 17.646-3.564l-9.233-43.226zm43.85 3.658c-4.866 12.845-7.33 25.916-6.978 39.04 6.034.48 12.086 1.335 18.12 2.557-.868-12.19 1.306-24.43 6.362-36.98-5.66-1.82-11.515-3.363-17.504-4.617zm-106.672 11.79c-6.112 3.028-12 6.54-17.612 10.532 17.55 8.862 29.7 22.763 34.715 39.594 4.936-3.84 10.145-7.183 15.564-10.063-6.122-16.257-17.577-30.086-32.666-40.063zm88.136 44.796c-1.156-.002-2.308.014-3.457.047-2.675.076-5.328.242-7.952.502-41.993 4.176-77.31 30.258-87.475 90.07-2.198 12.94 4.293 42.822 12.246 67.66 7.952 24.836 16.634 45.517 16.634 45.517l.504 1.198.143 1.295c1.96 17.7-9.11 34.967-21.212 52.26-8.036 11.486-16.43 22.104-23.97 31.72 24-1.35 45.963-11.985 67.177-30.947-.124-.5-.17-.71-.313-1.297-.866-3.594-1.955-8.697-1.687-14.68.446-9.983 5.674-21.958 18.818-31.868-24.577-35.02-28.898-78.757-24.06-115.027l.886-6.65 6.626-1.05c58.715-9.29 97.246-28.81 139.34-54.593-27.566-21.88-61.198-34.115-92.25-34.158zm120.197 37.84c-48.424 30.517-91.56 55.67-157.556 67.35-3.253 33.408 2.427 71.84 25.226 100.798 12.607.61 23.264 6.977 29.904 16.184 6.747 9.353 9.946 21.162 10.83 33.628 23.288 21.426 62.97 39.024 97.764 56.655-3.17-39.444-.296-76.34-14.538-114.11l-62.842-25.3-.062-.027c-14.313-6.018-23.332-13.792-26.512-24.03-3.18-10.236-.874-19.966 1.188-31.064l2.2-11.852 10.74 5.476c23.407 11.94 51.394 20.52 77.548 20.065l6.582-.116 2.103 6.238c10.593 31.436 12.912 56.612 15.752 82.203l7.787 3.113c4.126-29.38 1.912-68.686-3.862-104.425-5.463-33.817-14.72-65.03-22.252-80.788zM223.397 441.148c-.01.444.094.455.01.04-.002-.008-.01-.033-.01-.04z"}}]})(props);
};
function GiSpartan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M81.375 21.313l-7.22 124.25 36.376 22.25.814 46.375 10.906-2.907 79.72 295.25 18.03-4.874L140.312 206.5l10.813-2.875-22.03-39.5 21.093-38.813-68.813-104zM271.53 23l-30.092 3.125L262 88.28c-16.84 4.572-30.57 20.85-36.375 42.376l43.906 11.313 48.626-10.532c-5.86-21.992-19.883-38.68-37.062-43.22l20.562-62.093L271.53 23zm-48.75 126.22c-.075 1.558-.127 3.13-.124 4.718.07 32.086 16.668 58.92 38.78 65.562l.002-60.313-38.657-9.968zm98.22.718l-40.875 8.875v61.375c23.323-5.21 41.072-32.752 41-66.032-.003-1.415-.06-2.825-.125-4.22zm31.875 71.125c-74.427 0-134.97 60.54-134.97 134.968 0 74.43 60.543 134.94 134.97 134.94 74.427 0 134.938-60.51 134.938-134.94 0-74.426-60.51-134.967-134.938-134.967zm0 18.687c64.327 0 116.25 51.954 116.25 116.28 0 64.328-51.923 116.25-116.25 116.25s-116.28-51.922-116.28-116.25c0-64.326 51.953-116.28 116.28-116.28zm-1.375 20.53c-52.91 0-95.813 42.873-95.813 95.783 0 52.91 42.904 95.812 95.813 95.812 52.91 0 95.78-42.903 95.78-95.813 0-52.91-42.87-95.78-95.78-95.78z"}}]})(props);
};
function GiSpatter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M459.938 10.875c-.954 2.58-1.75 5.278-1.75 8.188 0 7.222 3.2 13.725 8.28 18.125 11.444 5.7 19.313 17.496 19.313 31.156 0 19.234-15.576 34.812-34.81 34.812-16.684 0-30.623-11.716-34.033-27.375-4.37-4.915-10.713-8.03-17.812-8.03-13.194 0-23.906 10.713-23.906 23.906 0 2.994.556 5.828 1.56 8.47-1.026-.062-2.05-.095-3.092-.095-20.027 0-37.35 11.483-45.782 28.22 1.907-.54 3.92-.844 6-.844 12.13 0 21.97 9.84 21.97 21.97 0 12.127-9.84 21.968-21.97 21.968-2.818 0-5.524-.533-8-1.5 7.006 18.02 23.905 31.104 44.03 32.562l-.03.063c1.344-.113 2.657-.172 3.875-.19 30.974-.433 23.563 30.454-8.874 21.19-2.51-.316-5.062-.532-7.656-.532-9.55 0-18.585 2.19-26.656 6.062-6.61-13.626-17.11-21.54-32.97-26.375 2.403 15.323 7.194 28.766 15.438 39-.06.064-.125.124-.187.188 22.403 14.435 32.857 38.46 23.344 54.937-6.906 11.96-22.506 16.808-39.595 13.906-.346-.004-.683-.03-1.03-.03-12.755 0-24.907 2.6-35.94 7.312.02-.488.033-.977.033-1.47 0-19.79-16.054-35.812-35.844-35.812-19.79 0-35.813 16.023-35.813 35.813 0 18.14 13.48 33.125 30.97 35.5-9.478 14.42-15 31.67-15 50.217 0 11.81 2.24 23.104 6.313 33.47l.03.03c25.585 23.75-7.246 61.7-27.937 31.594-6.49-7-15.783-11.374-26.156-11.374-19.78 0-35.627 15.843-35.625 35.625 0 2.283.18 4.835.594 7h111.217c2-14.845 14.695-26.28 30.094-26.28 15.4 0 28.095 11.434 30.095 26.28H494.97V145.78c-11.097-.646-19.845-10.34-19.845-21.593 0-11.252 8.748-20.39 19.844-21V10.876h-35.033zm-347.47 19.5c-3.027 25.5 5.296 35.646 28.438 37.594 1.548-20.59-5.456-35.444-28.437-37.595zm221.72 7.53C321.565 38.546 311.5 49 311.5 61.782c0 13.195 10.712 23.876 23.906 23.876 13.194 0 23.875-10.68 23.875-23.875 0-13.193-10.68-23.874-23.874-23.874-.412 0-.81-.02-1.22 0zm-100.282 23.94c-28.587 0-51.75 23.163-51.75 51.75 0 11.126 3.494 21.434 9.47 29.874-13.722 5.023-23.5 18.194-23.5 33.655 0 19.79 16.02 35.844 35.81 35.844 15.428 0 28.575-9.764 33.626-23.44-15.703-3.324-27.5-17.25-27.5-33.936 0-19.16 15.558-34.688 34.72-34.688 14.49 0 26.903 8.884 32.093 21.5 5.536-8.234 8.78-18.14 8.78-28.812 0-28.587-23.162-51.75-51.75-51.75zm213.313 56.56c7.183 0 13 5.817 13 13 0 7.185-5.817 13-13 13-7.185 0-13-5.815-13-13 0-7.182 5.815-13 13-13zm-364.783 1.626c-13.193 0-23.906 10.714-23.906 23.907 0 13.194 10.714 23.875 23.907 23.875 13.194 0 23.876-10.68 23.876-23.875 0-13.194-10.682-23.906-23.876-23.906zm333.5 80.44c8.934 0 16.188 7.253 16.188 16.186s-7.254 16.188-16.188 16.188c-8.933 0-16.187-7.255-16.187-16.188s7.254-16.187 16.188-16.187zM86.5 272.687c-19.79 0-35.844 16.053-35.844 35.843 0 19.79 16.053 35.814 35.844 35.814 10.56 0 20.067-4.544 26.625-11.813 14.73 11.484 31.753 15.583 51.906 9.626-11.542-16.058-25.932-25.62-43.03-29 .197-1.52.313-3.05.313-4.625 0-19.79-16.022-35.842-35.813-35.842zm218.03 65.218c16.803 0 30.408 13.605 30.408 30.406 0 16.802-13.605 30.438-30.407 30.438-16.8 0-30.436-13.636-30.436-30.438 0-16.8 13.636-30.406 30.437-30.406zm-196.06 38.406c-13.195 0-23.907 10.713-23.907 23.907 0 13.192 10.712 23.874 23.906 23.874 13.193 0 23.874-10.682 23.874-23.875 0-13.195-10.68-23.908-23.875-23.908zm199.843 35.72c12.108.023 20.76 8.463 27.093 21.624-20.464 9.625-32.45 5.1-42.312-17.875 5.106-2.343 9.788-3.538 14.03-3.717.4-.017.798-.033 1.188-.032zM43.842 442c-9.476.04-18.192 5.768-26.187 15.063 17.743 14.988 30.828 13.703 46.72-6.47-7.22-5.983-14.048-8.62-20.532-8.593z"}}]})(props);
};
function GiSpawnNode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M136 16v30h240V16H136zm0 60v60h240V76H136zm0 90v90h240v-90H136zm0 120v120h240V286H136zm-30 150c-15 0-30 15-30 30v30h360v-30c0-15-15-30-30-30H106z"}}]})(props);
};
function GiSpeakerOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M275.5 96l-96 96h-96v128h96l96 96V96zm50.863 89.637l-12.726 12.726L371.273 256l-57.636 57.637 12.726 12.726L384 268.727l57.637 57.636 12.726-12.726L396.727 256l57.636-57.637-12.726-12.726L384 243.273l-57.637-57.636z"}}]})(props);
};
function GiSpeaker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M275.5 96l-96 96h-96v128h96l96 96V96zm51.46 27.668l-4.66 17.387c52.066 13.95 88.2 61.04 88.2 114.945 0 53.904-36.134 100.994-88.2 114.945l4.66 17.387C386.81 372.295 428.5 317.962 428.5 256c0-61.963-41.69-116.295-101.54-132.332zm-12.425 46.365l-4.658 17.387C340.96 195.748 362.5 223.822 362.5 256s-21.54 60.252-52.623 68.58l4.658 17.387C353.402 331.552 380.5 296.237 380.5 256c0-40.238-27.098-75.552-65.965-85.967zm-12.424 46.363l-4.657 17.387C307.55 236.49 314.5 245.547 314.5 256s-6.95 19.51-17.047 22.217l4.658 17.387c17.884-4.792 30.39-21.09 30.39-39.604 0-18.513-12.506-34.812-30.39-39.604z"}}]})(props);
};
function GiSpearFeather (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M286.902 26.102l32.344 66.677 175.3-51.64zm-14.435 11.484l-20.68 47.81 19.86 67.42 43.472 29.08c-.916-8.018-1.956-17.097-3.118-27.02-1.375-11.736-2.797-23.634-3.967-32.884-.585-4.625-1.108-8.594-1.523-11.508-.25-1.746-.57-3.376-.713-4.183zm227.162 20.82l-175.03 51.56c.39 2.816.802 5.893 1.293 9.768 1.182 9.354 2.61 21.283 3.988 33.047 1.323 11.293 2.573 22.202 3.544 30.734zM225.25 96.36c-6.24.025-13.473.972-20.428 3.02-11.938 3.518-22.76 10.203-27.66 15.81l13.1 44.476c2.87 11.482 2.604 10.575 2.87 11.482 2.818 9.697 6.008 22.917 8.913 36.233 2.86 13.107 5.446 26.318 7.22 36.552-13.247 9.09-24.188 23.53-26.744 38.123.69 5.675 1.35 11.72 2.006 17.922h30.673v3.634c-9.414 2.836-19.547 7.026-29.11 11.52.913 9.088 1.844 18.49 2.823 28.048l26.287.71v1.38c-9.125 3-17.414 6.747-24.935 10.707 2.117 19.663 4.532 39.527 7.668 57.978.634 3.734 1.31 7.38 2.005 10.977h15.263v3.644c-4.406 1.325-8.954 2.92-13.55 4.74 3.035 14.105 6.587 26.78 10.76 36.87 5.163 12.488 11.142 20.07 16.792 23.388 5.82-3.26 11.65-10.323 16.813-22.328 2.033-4.728 3.926-10.103 5.69-16.01-6.104-3.028-12.2-5.475-17.487-6.53v-.577h19.48c2.62-9.95 4.923-21.155 6.923-33.305 1.375-8.353 2.614-17.154 3.75-26.297-8.626-4.698-17.73-8.72-24.926-9.625-1.62 20.566-3.478 40.367-5.275 57.89-.163-45.778-.49-128.767-5.73-171.644l.718-10.312c-.437-3.55-1.145-8.11-2.062-13.436-1.834-10.648-4.504-24.285-7.463-37.853-2.683-12.3-5.59-24.478-8.362-34.4 4.334-.454 8.886-1.308 13.33-2.618 11.94-3.517 22.76-10.2 27.66-15.81L236.64 97.672c-2.99-.86-6.915-1.33-11.388-1.313zm-64.04 28.378l-11.007 3.242 23.973 40.776zm-28.802 8.485l-12.9 3.798 24.03 40.878 12.897-3.8zm-30.64 9.142l12.966 44.018 11.006-3.242zm-17.3 4.98L18 166.924v47.954l79.47-23.41zm157.483 86.643c-.412.002-.814.022-1.223.03 1.646 8.285 2.425 18.16 2.887 29.61.697 17.265.347 37.753-.62 59.405-.814 18.193-2.077 37.166-3.534 55.674h26.076c1.538-13.55 2.874-27.78 4.103-42.377-10.106-1.324-20.122-1.633-26.58.727l27.33-9.99c1.933-24.034 3.634-48.887 5.45-73.48-.03-4.927-1.356-7.864-3.6-10.444-2.273-2.612-5.852-4.834-10.472-6.413-4.618-1.578-10.173-2.406-15.696-2.658-1.38-.063-2.76-.09-4.12-.084zm-26.75 211.17v2.03l-.207-.022c.067-.628.14-1.37.207-2.008z"}}]})(props);
};
function GiSpearHook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.506 19.895v37.56L135.11 174.06l33.755-33.757L48.97 19.895H18.507zm296.924 81.607c-8.398 17.695-17.58 34.514-27.555 50.48 53.052 55.6 109.094 165.155 145.602 270.827l6.332 18.327-18.28-6.467c-104.687-37.034-220.62-91.264-274.374-141.967-15.972 9.98-32.793 19.165-50.49 27.563 53.693 35.685 121.57 69.222 189.496 95.166-14.437 7.188-29.938 13.59-46.58 19.27l.002.003c68.264 38.63 175.57 65.47 254.412 64.127 1.33-78.052-27.08-188.95-64.127-254.416-5.76 16.87-12.257 32.57-19.56 47.166-26.458-69.205-60.387-138.182-94.88-190.08zm-117.858 36.523L135.79 199.81c34.207 31.62 67.775 56.763 94.798 71.598 14.454 7.935 27.094 12.95 36.334 14.762 9.24 1.812 13.778.34 15.564-1.445 1.786-1.786 3.26-6.326 1.448-15.565-1.812-9.24-6.83-21.88-14.764-36.334-14.835-27.023-39.976-60.59-71.598-94.8zm79.762 30.08c-4.66 6.81-9.48 13.45-14.457 19.926 8.892 12.557 16.52 24.587 22.676 35.802 8.515 15.51 14.306 29.43 16.718 41.73 2.414 12.3 1.528 24.28-6.57 32.377-8.096 8.096-20.076 8.982-32.376 6.57-12.3-2.413-26.22-8.206-41.73-16.72-11.1-6.094-23-13.632-35.414-22.405-7.41 5.793-15.027 11.387-22.877 16.76 47.263 42.21 149.664 92.317 245.545 127.873-35.19-95.766-86.347-192.602-131.514-241.913z"}}]})(props);
};
function GiSpearfishing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M268.3 23.93c4 6.96 8.8 14.91 14.7 23.43 14.9 21.48 35.6 43.06 53 47.01l11.5 2.6-5.6 10.43c-14.8 27.9-35.5 50-58.8 68.6 5 6.5 10.7 13.8 17.6 22.6l-14.2 11c-27.7-35.4-39.2-49.9-51.1-79.7-6.3 12.9-10.7 23.4-12.8 33.3-.8 3.8-1.3 7.6-1.5 11.5l68.4 66.1.7 1.1c7.2 13 1.8 27.8-7.3 37-4.6 4.7-10.5 8.2-17.3 9.4-6.9 1.1-14.7-.7-21-5.8l-.2-.2-52.4-50c-44.9 24.1-86 46-106.29 75.5-16.39 30.2-22.24 56.7-19.27 79 .13 1 .28 2 .45 2.9 23.01-2.4 48.21-20.6 68.61-42.9l13.2 12.2c-21.1 23-47.5 44.2-76.67 48.3 5.83 13.5 15.72 25.4 29.87 35.8v.1c18.6 13.6 46.2 10.2 76.4-3 30.1-13.1 61.3-35.5 83.6-54.8 37.2-32.1 69.8-89.3 91.2-144.3 10.8-27.5 18.8-54.4 23.5-77.3 4.8-22.9 6-42 4.1-52l-2-11.2 11.4.6c23.1 1.2 47.6-20.55 65.8-44.65 8.5-11.35 15.4-22.62 20.5-31.57-9.9 2.43-22.3 5.57-35.9 9.38-14.5 4.08-29.8 8.74-42.8 13.48-13 4.74-24 9.87-28.6 13.34l-5.2 3.94-5.4-3.8c-15.6-11.05-43.7-22.33-67.3-30.3-8.9-2.99-16-5.05-22.9-7.09zM46.89 31.5c-1.52 3.45-3.37 6.82-6.02 9.92-3.31 3.86-7.65 7.01-12.91 9.32L256.1 268.6c2.5 2 4.3 2.3 6.6 1.9 2.2-.4 5-1.9 7.4-4.2 4.4-4.5 6.1-11 4.5-14.9zM369.4 249c-6.5 16.6-14 33.4-22.3 49.8l12.2 12.7c13.1-2.1 27.2-5.7 40.5-10.7 14.6-5.5 28.3-12.5 38.5-19.8 2.8-2 5.3-4 7.4-6.1-8.1-.1-16.6-1.6-24.9-3.9l-18.3 7.1c0 .1 0 .2-.1.1l.1-.1c.3-1.1-3-14.3-3-14.3l-24.9 18.6 3.4-27.5c-.8-.6-4.6-3.2-8.6-5.9zm-226.9 24.4c42.3 14.3 88.8 45 109.6 103.4l-17 6c-18.6-52.2-59.7-79.3-98.4-92.4zm195.7 42c-4.3 7.8-8.9 15.5-13.6 22.9l47.2 47.2c5.6-1.3 10.4-2.7 12.7-4.6 2.7-2.2 4.3-5 3.6-13.2zm-160.3 48.1l16.4 7.4-8.6 19.4 22.7 1.5-1.2 18-29.4-1.9-9.5 21.4-16.4-7.4 6.8-15.3-17.9-1.2 1.2-18 24.5 1.6zM452.8 374l-23.5 36.7-25.4-27.3c-1.8 4.7-4.4 8.6-7.9 11.4-3.1 2.5-6.4 4.3-9.8 5.6l24.6 25.6-35 18.4c33.7 21.4 78.8 38.5 108.2 43.7-1.9-35.5-15.1-74.1-31.2-114.1z"}}]})(props);
};
function GiSpears (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M433.877 19.855l-78.62 158.668 47.82 53.934-15.673 260.824h38.79l15.697-261.233 51.04-45.25-59.053-166.942zm-130.48 20.598L216.073 152.55l28.397 49.186-28.616 106.387-.102-.176-9.545 35.62.076.134-40.234 149.58h32.68l29.676-111.186.026.045 9.527-35.556-.054-.09 36.656-137.344 48.415-27.95L303.4 40.452h-.002zM111.632 153.21l14.48 116.54 44.42 11.904L193 320.648l9.555-35.66-9.256-16.1 12.022-44.87-93.69-70.81zm-49.357 74.31l-42.68 79.31 23.57 28.455L30.786 493.28h18.746L61.83 336.26l27.608-22.865-27.163-85.875h-.002zm257.06 10.878l-22.354 87.248 29.686 21.932L345.04 493.28h18.84l-18.823-149.235 21.293-28.824-47.016-76.822zm175.103 28.614l-40.108 226.27h18.98l21.128-119.188V267.012zm-339.903 38.886l-55.35 71.05 18.618 32.247-20.41 84.086h19.233l19.51-80.385 30.81-17.788-12.408-89.21h-.002zm96.623 63.645l-9.517 35.516 50.837 88.22h29.8l-71.12-123.737z"}}]})(props);
};
function GiSpectacleLenses (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M130.594 154.72c-61.166 0-110.938 49.77-110.938 110.936 0 61.166 49.772 110.97 110.938 110.97 53.164 0 97.746-37.617 108.5-87.626 6.047-7.977 19.177-8.658 25.687-.25 10.653 50.135 55.28 87.875 108.533 87.875 61.165 0 110.968-49.803 110.968-110.97 0-61.164-49.802-110.936-110.967-110.936-49.837 0-92.113 33.05-106.063 78.374-4.824-2.243-10.104-3.353-15.375-3.313-5.212.04-10.417 1.182-15.156 3.407-13.93-45.373-56.255-78.468-106.126-78.468zm0 18.686c51.065 0 92.28 41.185 92.28 92.25 0 18.84-5.604 36.323-15.25 50.906C174.24 278.926 89.67 273.28 56.44 320.625c-11.372-15.344-18.094-34.346-18.094-54.97 0-13.146 2.73-25.633 7.656-36.936 6.1 6.33 16.664 10.53 28.688 10.53 18.895 0 34.218-10.34 34.218-23.094 0-12.752-15.323-23.094-34.22-23.094-.39 0-.768.023-1.155.032 15.688-12.342 35.49-19.688 57.064-19.688zm242.72 0c51.064 0 92.28 41.185 92.28 92.25 0 18.84-5.605 36.323-15.25 50.906-33.393-37.626-117.96-43.28-151.188 4.063-11.372-15.344-18.094-34.346-18.094-54.97 0-13.146 2.73-25.633 7.657-36.936 6.1 6.33 16.663 10.53 28.686 10.53 18.896 0 34.22-10.34 34.22-23.094 0-12.752-15.324-23.094-34.22-23.094-.39 0-.77.023-1.156.032 15.687-12.342 35.488-19.688 57.063-19.688zm-121.47 74.875c4.08-.08 8.18 1.3 11.312 4.25-.51 4.312-.78 8.68-.78 13.126v.03c-3.408-.997-6.962-1.494-10.5-1.467-3.488.025-6.97.584-10.314 1.592v-.156c0-4.392-.28-8.708-.78-12.97 2.986-2.802 7.012-4.325 11.062-4.405z"}}]})(props);
};
function GiSpectacles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M269.594 138.188c-7.327.018-14.304 1.695-20.47 4.718-12.33 6.046-21.537 16.877-26.874 29.344-5.337 12.467-6.884 26.816-2.906 40.375 3.978 13.56 13.864 26.06 29.594 33.53l8.03-16.874c-11.386-5.406-17.107-13.144-19.687-21.936-2.578-8.792-1.63-18.9 2.157-27.75 3.79-8.85 10.305-16.18 17.907-19.906 7.602-3.728 16.19-4.464 26.844.593l.25.126.28.125 128.407 51.595c-2.868 3.738-5.47 7.785-7.813 12.063-4.422 8.076-7.89 17.01-10.125 26.375-11.192.072-23.21 2.372-34.843 9.406-3.506-6.976-8.417-12.93-14.5-17.44-8.036-5.955-17.907-9.28-28.594-9.75-6.412-.28-13.118.456-19.906 2.314-19.537 5.347-36.632 18.23-48.25 34.78l-140.438-68c-.158-.087-.31-.163-.47-.25-9.61-5.25-19.48-7.61-28.842-7.56-5.71.028-11.214.957-16.375 2.655-13.765 4.525-24.973 14.166-32.126 26.06-7.153 11.896-10.38 26.294-7.344 40.407 3.035 14.114 12.633 27.52 28.813 36.532l9.093-16.345c-12.24-6.818-17.72-15.27-19.625-24.125-1.903-8.854.075-18.547 5.064-26.844 4.99-8.297 12.877-14.958 21.937-17.937 9.062-2.98 19.295-2.647 30.782 3.75l.25.124.25.094 139.907 67.78c-4.3 10.024-6.72 20.765-6.72 31.626 0 18.525 7.674 34.47 20.53 44 12.858 9.53 30.4 12.39 48.5 7.437 36.206-9.907 64.126-45.698 64.126-82.75 0-2.674-.155-5.286-.47-7.842 9.038-7.025 17.4-9.228 26.564-9.47-.088 1.695-.156 3.395-.156 5.094 0 17.794 4.827 32.91 14.375 42.938 9.546 10.03 24.624 13.654 38.717 8.188 14.094-5.467 25.31-17.586 33.375-32.313 8.065-14.727 12.97-32.332 12.97-50.125s-4.86-32.908-14.407-42.938c-5.967-6.268-14.09-10.042-22.78-10.656-5.216-.368-10.623.42-15.908 2.47-3.887 1.507-7.555 3.532-11 5.968L292.22 143.406c-.178-.084-.356-.137-.533-.22-7.43-3.435-14.937-5.017-22.093-5zm183.344 69.468c4.232-.034 7.58 1.82 10.906 5.313 3.47 3.643 6.512 9.688 8.094 17.718-4.87-3.297-10.882-4.063-17.407-1.532-16.185 6.28-29.31 30.25-29.31 53.53 0 11.812 3.402 21.147 8.842 26.69-5.652 1.042-9.74-.787-13.78-5.032-5.067-5.322-9.25-15.75-9.25-30.03 0-14.284 4.106-29.197 10.656-41.158 6.55-11.96 15.542-20.69 23.75-23.875 2.05-.795 3.91-1.278 5.625-1.5.642-.082 1.27-.12 1.875-.124zm-137.72 43.656c7.75.073 14.323 2.413 19.5 6.25 7.414 5.495 12.4 14.35 12.938 26.72-7.126-10.86-20.657-15.814-36.187-11.563-22.94 6.277-41.533 30.218-41.533 53.5 0 11.816 4.782 21.207 12.5 26.75-6.89-.417-12.802-2.653-17.53-6.158-7.856-5.82-12.97-15.418-12.97-28.968 0-27.1 23.337-57.328 50.344-64.72 3.377-.923 6.597-1.474 9.658-1.686.573-.04 1.156-.078 1.718-.094.527-.016 1.046-.036 1.563-.03z"}}]})(props);
};
function GiSpectreM4 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M423.775 282.095h-49v-95.47c0-7.18-12.19-15.53-19.21-19.53h68.21zm-107-44.57l24.15 202.47-41.21 4.91-24.12-202.66 41.08-4.7zM36.245 67.095h35.35l13.29 18h-59.19zm420.18 2h25l9.35 24h-41.9zm-401.93 224.36c9-17.63 33.31-65.4 39.16-77.08 6.36-12.68-6.75-23.27-14.39-28.27h83.34l-1.28 33h75.45v-33.01h8v41h-85.82c-6.38 11-24.81 43.7-30.83 55.39-6.49 12.58-1.56 28.44-3.93 34.3-3 7.45-48.49-9.23-66.13-16a6.69 6.69 0 0 1-3.57-9.33zm-36.72-192.36v46.79l35.1 24.21h206l8.1 54.9 47.84-5.39a5.67 5.67 0 0 0 5-6.28l-5.56-48.92a13.74 13.74 0 0 1 13.52-15.31h159.32l7.13-42h-147.52l-23.16-8zm394.49 33a4 4 0 0 1 4-4h32.31a4 4 0 0 1 0 8h-32.31a4 4 0 0 1-4-4zm0-15a4 4 0 0 1 4-4h32.31a4 4 0 0 1 0 8h-32.31a4 4 0 0 1-4-4zm-51.82 15a4 4 0 0 1 4-4h32.33a4 4 0 1 1 0 8h-32.31a4 4 0 0 1-4.02-4zm0-15a4 4 0 0 1 4-4h32.33a4 4 0 1 1 0 8h-32.31a4 4 0 0 1-4.02-4zm-301.67-.21a6.51 6.51 0 0 1 6.62-6.79h250.48a7.69 7.69 0 0 1 7.9 7.44v11.81a7.94 7.94 0 0 1-7.9 7.74h-32.47a7.71 7.71 0 0 1-7.63-7.74v-3.25H65.395a6.43 6.43 0 0 1-6.62-6.69zm133.55 69.21h-12s0 19 19.6 25.14c-15.1-13.81-7.6-25.14-7.6-25.14z"}}]})(props);
};
function GiSpectre (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M282.83 18.877c21.567 6.146 36.328 15.205 40.572 28.77-1.367.74-2.725 1.518-4.066 2.363-25.655 5.807-53.084 18.634-81.047 34.363 20.225-4.69 36.705-4.42 47.544 3.324-5.712 10.3-10.797 22.294-15.123 36.06-21.343 67.922-125.678-80.577-189.065-5.255C41.47 166.24 92.702 212.342 26.5 294.29c35.583-4.14 45.11-9.47 62.416-36.21 10.44-16.13 28.52-22.1 44.668-21.45-12.718 11.206-25.786 30.354-38.21 59.895 19.832-18.528 44.927-38.68 71.603-40.005.912 6.354-2.408 13.74-12.008 21.418C93.21 327.327 15.58 364.185 19.83 476.504c5.558-11.267 11.646-20.31 17.574-28.617 5.98 29.582 28.2 53.8 92.99 40.482-46.928-6.407-76.268-59.586-45.355-82.528 62.716-46.544 128.82 1.436 269.9-75.342 2.475-1.346 4.86-2.49 7.164-3.46-2.246 19.6-12.367 39.84-22.362 57.14 14.26-10.38 25.415-20.147 33.928-29.262 2.14 26.14-11.748 54.65-25.393 78.268 43.26-31.49 61.19-57.976 63.207-78.422 9.334 36.678-1.895 95.547-25.03 123.492 77.553-39.433 106.608-77.127 109.76-190.664 1.662-59.824-66.23-60.536-56.435-101.344 11.945-49.756 6.768-84.69-7.565-107.947-19.6-49.73-79.99-59.74-149.385-59.423zM89.8 47.684C54.69 47.534 45.233 83.056 55.724 117c17.146-51.504 70.414-44.24 111.17-34.367-33.282-25.005-58.707-34.87-77.096-34.95zm254.595 30.742c18.643 21.37 29.373 43.02 10.105 65.732-26.562-16.677-26.985-39.252-10.105-65.732zm74.494 48.6c3.655-.013 7.78.35 12.473 1.09-1.706 30.506-14.4 33-46.634 32.154 8.335-22.146 14.416-33.176 34.16-33.245zm-84.677 40.316c9.652.1 20.258 2.84 30.598 8.918 44.65 26.246 21.934 73.314-4.1 74.78-15.174.855 1.443-23.842-16.17-38.476-15.258-12.678-38.596 12.53-45.204-5.78-8.218-22.693 10.21-39.696 34.877-39.442zm60.18 246.168c-24.195 27.825-58.89 60.1-99.444 31.41 16.625 45.643 68.87 70.465 99.443-31.41z","fillRule":"evenodd"}}]})(props);
};
function GiSpeedBoat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M157.936 170.44c34.704 30.84 60.676 41.057 64.574 66.86-44.922-28.557-74.454-35.404-120.55-24.94 34.698 15.008 61.532 39.41 61.128 67.585C122.04 252.54 81.49 244.095 33.49 259.37c47.32 15.773 60.156 31.302 45.78 65.935l19.033 7.142-3.033 8.084c38.96-3.31 88.642-9.652 139.994-17.178L200.8 277.4 190 263h84.492l71.46 42.875c2.615-.438 5.27-.877 7.86-1.314-64.466-85.384-102.083-116.213-195.876-134.12zM226 281l33.918 45.223 66.492-11.082L269.508 281H226zm243.992 21.143c-45.566 8.635-116.498 21.22-190.61 32.75-69.577 10.823-139.832 20.412-191.093 24.244l-8.9 23.722L116.815 439H352c26 0 61.605-29.436 88.896-64.525 13.646-17.545 25.395-36.16 33.604-52.096l.234-.468c-77.016 62.68-213.816 84.28-355.404 84.28v-18c144.212 0 281.44-25.07 350.662-86.05zM18 306.088v41.48a79.124 79.124 0 0 1 3.49-6.144c7.413-11.725 18.567-21.03 33.217-23.717-13.384-4.862-25.65-8.858-36.707-11.62zm38.297 29.822c-8.354 2-14.408 6.934-19.592 15.133-5.605 8.866-9.643 21.322-12.275 35.016-4.567 23.75-5.04 49.47-5.996 68.94h8.09l23.85-46.05 24.753-65.973-18.83-7.067zM71.6 403.623l-4.748 12.654L55.084 439h40.1L71.6 403.623zM45.762 457l-8.287 16H18v21h476v-37H45.762z"}}]})(props);
};
function GiSpeedometer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 54.28c-124.603 0-226 101.398-226 226 0 47.864 14.975 92.293 40.465 128.876l29.79-19.86c-17.188-24.545-28.708-53.362-32.696-84.577H96v-18H66.115c-.07-2.14-.115-4.284-.115-6.44 0-45.378 15.816-86.97 42.236-119.598l17.4 17.4 12.727-12.727-18.133-18.132C152.735 114.057 197.335 92.8 247 90.498v29.22h18V90.5c49.665 2.302 94.265 23.56 126.77 56.725l-18.133 18.132 12.726 12.727 17.4-17.4c26.42 32.63 42.237 74.22 42.237 119.6 0 2.154-.044 4.3-.115 6.437H416v18h28.44c-3.987 31.214-15.507 60.03-32.694 84.575l29.79 19.86C467.025 372.574 482 328.146 482 280.282c0-124.602-101.397-226-226-226zm15.83 66.23a144 160 0 0 1 74.608 100.062l49.966-17.568a160 160 0 0 0-4.3-7.012l-5.135 5.153-30.368-30.29-5.76-5.746 7.85-7.874a160 160 0 0 0-86.862-36.726zm156.15 89.844l-175.332 60.6C240.505 272.618 231 283.155 231 295.72c0 13.7 11.3 25 25 25 6.77 0 12.95-2.764 17.473-7.208L427.98 210.354zm-16.513 32.322l-60.713 40.72a144 160 0 0 1-56.6 108.323h76.057a160 160 0 0 0 39.763-68.572H398.48v-52.515h17.022a160 160 0 0 0-4.035-27.957zM128 421.72v36h256v-36H128z"}}]})(props);
};
function GiSpellBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M319.61 20.654c13.145 33.114 13.144 33.115-5.46 63.5 33.114-13.145 33.116-13.146 63.5 5.457-13.145-33.114-13.146-33.113 5.457-63.498-33.114 13.146-33.113 13.145-63.498-5.459zM113.024 38.021c-11.808 21.04-11.808 21.04-35.724 24.217 21.04 11.809 21.04 11.808 24.217 35.725 11.808-21.04 11.808-21.04 35.724-24.217-21.04-11.808-21.04-11.808-24.217-35.725zm76.55 56.184c-.952 50.588-.95 50.588-41.991 80.18 50.587.95 50.588.95 80.18 41.99.95-50.588.95-50.588 41.99-80.18-50.588-.95-50.588-.95-80.18-41.99zm191.177 55.885c-.046 24.127-.048 24.125-19.377 38.564 24.127.047 24.127.046 38.566 19.375.047-24.126.046-24.125 19.375-38.564-24.126-.047-24.125-.046-38.564-19.375zm-184.086 83.88c-1.191.024-2.36.07-3.492.134-18.591 1.064-41.868 8.416-77.445 22.556L76.012 433.582c78.487-20.734 132.97-21.909 170.99-4.615V247.71c-18.076-8.813-31.79-13.399-46.707-13.737a91.166 91.166 0 0 0-3.629-.002zm122.686 11.42c-2.916-.026-5.81.011-8.514.098-12.81.417-27.638 2.215-45.84 4.522V427.145c43.565-7.825 106.85-4.2 171.244 7.566l-39.78-177.197c-35.904-8.37-56.589-11.91-77.11-12.123zm2.289 16.95c18.889.204 36.852 2.768 53.707 5.02l4.437 16.523c-23.78-3.75-65.966-4.906-92.467-.98l-.636-17.805c11.959-2.154 23.625-2.88 34.959-2.758zm-250.483 4.658l-10.617 46.004h24.094l10.326-46.004H71.158zm345.881 0l39.742 177.031 2.239 9.973 22.591-.152-40.855-186.852h-23.717zm-78.857 57.82c16.993.026 33.67.791 49.146 2.223l3.524 17.174c-32.645-3.08-72.58-2.889-102.995 0l-.709-17.174c16.733-1.533 34.04-2.248 51.034-2.223zm-281.793 6.18l-6.924 30.004h24.394l6.735-30.004H56.389zm274.418 27.244c4.656.021 9.487.085 14.716.203l2.555 17.498c-19.97-.471-47.115.56-59.728 1.05l-.7-17.985c16.803-.493 29.189-.828 43.157-.766zm41.476.447c8.268.042 16.697.334 24.121.069l2.58 17.74c-8.653-.312-24.87-.83-32.064-.502l-2.807-17.234a257.25 257.25 0 0 1 8.17-.073zm-326.97 20.309l-17.985 77.928 25.035-.17 17.455-77.758H45.313zm303.164 11.848c19.608-.01 38.66.774 56.449 2.572l2.996 20.787c-34.305-4.244-85.755-7.697-119.1-3.244l-.14-17.922c20.02-1.379 40.186-2.183 59.795-2.193zm-166.606 44.05c-30.112.09-67.916 6.25-115.408 19.76l-7.22 2.053 187.759-1.27v-6.347c-16.236-9.206-37.42-14.278-65.13-14.196zm134.41 6.174c-19.63.067-37.112 1.439-51.283 4.182v10.064l177.594-1.203c-44.322-8.634-89.137-13.17-126.31-13.043zM26 475v18h460v-18H26z"}}]})(props);
};
function GiSpermWhale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M388.81 85.863c-10.106.254-17.64 6.364-22.757 14.442-6.165-4.3-13.264-7.895-21.207-10.39-6.427-2.02-26.645 4.732-45.768 18.536 16.392 6.376 11.844 6.948 16.82 19.672-19.66-1.988-28.31-2.94-30.048-17.138-.314-1.5-.81-2.916-1.467-4.254-15.234 3.722-22.6 8.77-41.026 11.262-4.858 1.226 9.583-18.77 28.99-22.52-17.26-9.138-46.225-9.985-60.945-6.962-38.524 7.91-42.33 52.6-23.88 65.316 3.717-9.353 14.566-12.168 29.5-11.238-6.366 11.284-9.915 22.665-2.81 34.414 12.574-8.952 22.625-20.764 41.436-21.068 9.623 2.09 11.337 1.27 17.832-4.88l15.178 108 14.834-3.673-17.642-88.91s26.496 16.27 32.306 11.938c5.81-4.33 4.52-17.324 2.108-25.986 8.803-10.564 32.432 10.386 50.568 20.367 4.478 2.463 8.11 2.078 11.05.108 5.887 9.216 28.117 16.154 29.333 8.32-7.037-6.56-5.26-19.9-21.938-19.044 3.03-7.668 4.03-16.074 4.03-16.074.157-5.07-.863-10.5-2.957-15.952 4.736 4.108 12.537 8.33 17.173 11.89 13.703-7.19 31.292.545 35.612-7.997-12.8-13.524-33.406-21.83-50.864-15.343-3.113 1.157-4.855 2.447-5.567 3.826-2.825-4.944-6.51-9.768-10.996-14.203 3.144.37 7.633-.016 14.79-1.902 9.453-4.466 11.325-11 10.534-18.26-4.425-1.688-8.496-2.388-12.22-2.295zm-222.017 27.145c-12.067.374-20 12.273-24.922 24.664 8.988 1.977 24.257 1.042 30.202-7.024 4.057-5.503 4.395-16.866-2.81-17.558a19.48 19.48 0 0 0-2.47-.082zm5.135 30.133c-1.324-.01-3.125.28-5.475.854-9.398 2.297-10.538 15.336-11.94 24.58 5.744-4.33 14.544-9.105 18.26-16.855 2.788-5.814 3.125-8.546-.845-8.58zm-22.887 73.38c-11.094.18-46.64 9.46-55.977 17.11-2.352 1.925-6.47 11.213-8.688 11.042-3.068-.237-5.27-10.055-5.27-10.055-22.123-12.38-60.006-10.56-59.652-8.71.858 4.478 4.636 49.63 63.166 65.92 9.884 67.545 64.372 95.08 134.497 98.36-19.497 13.367-75.48 18.697-67.775 30.55 12.604 10.522 83.862 4.593 124.504-8.34 14.09-4.484 28.865-8.31 44.047-11.637 43.23 10.56 111.83 23.66 151.36 10.984 13.348-4.28 7.064-20.362 1.054-18.262-14.39 5.03-63.573 1.735-91.79-3.49 34.826-5.05 69.914-8.652 102.325-12.45 9.162-20.386 12.522-54.712 11.545-79.774-1.878-48.145-32-52.028-101.092-44.247-104.013 11.715-145.852 43.226-218.777 61.837-11.118 2.838-47.684-4.157-63.373-29.783 36.728-17.253 50.916-61.758 43.005-68.545-.44-.378-1.524-.536-3.11-.51zm220.81 141.173c-1.616 4.194-4.184 8.546-11.72 9.526-7.538.978-11.46-3.26-13.696-8.824 8.47 1.463 16.944 1.146 25.416-.703z"}}]})(props);
};
function GiSpiderAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.9 20.45c-54.1 0-98 93.45-98 146.85 0 31 14.9 58.6 37.9 76.3 5.9-6.9 12.2-12.9 19-17.7 13.7-7.9 27.8-13.9 41.1-14.1 14.4 0 28.4 5 41.2 14.1 6.7 4.8 13.1 10.8 19 17.7 23-17.7 37.8-45.3 37.8-76.3 0-53.4-43.9-146.85-98-146.85zm236.9 14.27L419.3 208.1 329.2 262c3.2 5.2 6 10.6 8.6 16.2l96.1-57.4 58.9-139.03V34.72zm-473.72 0v47.05L78.01 220.8 174.1 278c2.6-5.6 5.5-11 8.6-16.2l-90.13-53.7zM255.9 227.8c-10.7 0-21.3 3.6-31.8 11.1-10.8 8.9-19.9 19-26.1 28.6-14.9 23.5-24 54.4-24 81.5 0 26.6 8.4 47.2 24 61 14 12.4 33.8 19.3 57.9 19.3s43.9-6.9 58-19.3c15.5-13.8 24-34.4 24-61 0-27.1-9.1-58-24.1-81.5-7.8-12.3-16.6-21.9-26-28.6-10.5-6.2-21.5-10.9-31.9-11.1zM19.08 238.5v23.4l64.42 51.2 76.6 10.6c1-6 2.3-12 3.9-18l-73-10.1-71.92-57.1zm473.72 0l-71.9 57.1-73.1 10.2c1.7 5.9 3 11.9 4 18l76.6-10.7 64.4-51.2v-23.4zM353.7 355.1c-.3 6.4-1 12.5-2.2 18.3l69 15.1 72.3 58.1v-23.5l-64.1-51.6c-25-5.5-50-10.9-75-16.4zm-195.6.1l-74.92 16.3-64.11 51.6v23.5l72.24-58.1 69.09-15c-1.1-6.4-2-12.8-2.3-18.3zm44.4 6.6c5.6 0 10.1 4.5 10.1 10.1 0 5.5-4.5 10-10.1 10s-10.1-4.5-10.1-10c0-5.6 4.5-10.1 10.1-10.1zm107.1 0c5.6 0 10.1 4.5 10.1 10.1 0 5.5-4.5 10-10.1 10s-10.1-4.5-10.1-10c0-5.6 4.5-10.1 10.1-10.1zm-74.8 11.3c9.3 0 16.9 7.6 16.9 16.8 0 9.3-7.6 16.9-16.9 16.9-9.4 0-16.9-7.6-16.9-16.9 0-9.2 7.5-16.8 16.9-16.8zm42.5 0c9.4 0 16.9 7.6 16.9 16.8 0 9.3-7.5 16.9-16.9 16.9-9.3 0-16.9-7.6-16.9-16.9 0-9.2 7.6-16.8 16.9-16.8zm64.4 27.3c-3 5.4-6.6 10.5-10.7 15.1l51.1 27.1 27.5 51h20.9L395.6 429c-18-9.5-35.9-19.1-53.9-28.6zm-171.5.1l-54 28.5-34.82 64.7h20.82l27.5-51.1 51.2-27c-4.1-5-8-10.3-10.7-15.1zm30.2 25.3c-4.4.1-9.5 2.3-14.9 7.7-3.8 7.8-5.9 16.5-5.9 25.7 0 16.5 6.8 31.4 17.8 42.5v-4c0-20.8 7.7-39.3 19.6-50.8 0-10.8-6.7-21.2-16.5-21.1zm111.1 0c-9.8-.1-16.6 10.3-16.6 21.1 11.9 11.5 19.6 30 19.6 50.8v4c11-11.1 17.8-26 17.8-42.5 0-9.2-2.1-17.9-5.9-25.7-5.4-5.4-10.5-7.6-14.9-7.7zm-70.3 14.1c-1.6.1-3.4.9-5.3 2.8-1.4 2.8-2.1 5.9-2.1 9.2 0 5.9 2.4 11.3 6.4 15.3-.1-.5-.1-1-.1-1.5 0-7.4 2.8-14.1 7.1-18.2-.9-3.9-2.7-7.5-6-7.6zm29.7 0c-3.6 0-6 3.7-6 7.6 4.3 4.1 7.1 10.8 7.1 18.2 0 .5 0 1-.1 1.5 4-4 6.4-9.4 6.4-15.3 0-3.3-.7-6.4-2.1-9.2-1.6-1.3-3.5-2.7-5.3-2.8z"}}]})(props);
};
function GiSpiderBot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 26.398c-7.868 0-14.99 3.637-20.34 8.782s-9.4 11.752-12.855 19.24c-6.91 14.975-11.39 33.74-14.6 52.39-6.418 37.3-7.402 74.217-7.402 74.217l-.145 5.24 55.344 27.67 55.34-27.67-.145-5.24s-.984-36.916-7.402-74.216c-3.21-18.65-7.69-37.415-14.6-52.39-3.454-7.488-7.505-14.095-12.855-19.24-5.35-5.145-12.472-8.782-20.34-8.782zm0 18c2.683 0 4.917.923 7.863 3.756 2.946 2.833 6.132 7.62 8.987 13.807 5.71 12.377 10.14 30.084 13.207 47.903 5.386 31.304 6.567 58.97 6.838 66.194L256 195.86l-36.895-19.803c.27-7.224 1.452-34.89 6.838-66.194 3.066-17.82 7.497-35.526 13.207-47.902 2.855-6.187 6.04-10.973 8.987-13.806 2.946-2.833 5.18-3.756 7.863-3.756zm-76.477 88.393l-10.54 37.64 10.908 5.453 4.303-1.434c.554-9.283 1.37-19.92 2.565-31.28zm152.954 0l-7.235 10.38a698.637 698.637 0 0 1 2.565 31.28l4.302 1.433 10.906-5.453zM70.8 158.995L21.386 480.176l81.047-208.41-14.973-44.92 17.08-5.692 14.476 43.432 25.144 6.867 4.492-62.914zm370.4 0L363.35 208.54l4.52 63.28 25.095-7.17 14.498-43.496 17.08 5.692-14.976 44.922 81.05 208.408zM168.02 190.072L146.308 494h13.842l62.332-194.79-20.845-20.847 12.726-12.726 14.29 14.29 16.425-51.325zm175.964 0l-77.06 38.53 16.424 51.326 14.29-14.29 12.727 12.725-20.845 20.846L351.85 494h13.84zM256 253.532l-22.174 69.288L256 326.852l22.172-4.032zm-138.55 29.286l-6.845 17.598 31.082 5.65 1.165-16.31zm277.136.09l-25.408 7.26 1.135 15.898 31.082-5.65zm-267.938 38.72L95.705 432.145l42.81-81.654 1.88-26.36zm258.704 0l-13.748 2.5 1.882 26.362 42.81 81.654zm-140.66 21.464L256 427.896l11.307-84.804L256 345.148z"}}]})(props);
};
function GiSpiderEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 26.9c-.1 0 0 0 0 .1 0 0 .1-.1 0-.1zm0 .1c-.4.25-4.2 1.69-8.2 5.37-4.6 4.11-9.8 10.21-14.5 16.81-4.7 6.6-9 13.75-11.9 19.92-2.5 5.19-3.7 9.4-4.1 11.41l12.3 24.44h52.8l12.3-24.44c-.4-2.01-1.6-6.22-4.1-11.41-2.9-6.17-7.2-13.32-11.9-19.92-4.7-6.6-9.9-12.7-14.5-16.81-4-3.68-7.8-5.12-8.2-5.37zM40.22 30.25l-16.44 7.3L89.74 186l67.16 11.2c2-5.6 4.5-11.3 7.2-17.1l-61.8-10.3zm431.58 0L409.7 169.8l-61.8 10.3c2.7 5.8 5.2 11.5 7.2 17.1l67.2-11.2 65.9-148.45zm-304.2.31l-34.7 86.74 47.8 31.9c3.2-5.4 6.5-10.4 9.8-15.1l-35.4-23.6 29.3-73.26zm176.8 0l-16.8 6.68 29.3 73.26-35.4 23.6c3.3 4.7 6.6 9.7 9.8 15.1l47.8-31.9zM224 122.9c1.7 0 .3-.1-1.8 1.6-2.1 1.6-4.9 4.5-8.1 8.2-6.2 7.4-13.5 18.1-20.3 29.7-10.4 17.8-19.3 38.6-23 52.6 3.7-3.5 7.8-6.8 12.3-9.8 19.2-12.8 44.8-20.3 72.9-20.3 28.1 0 53.7 7.5 72.9 20.3 4.5 3 8.6 6.3 12.3 9.8-3.7-14-12.6-34.8-23-52.6-6.8-11.6-14.1-22.3-20.3-29.7-3.2-3.7-6-6.6-8.1-8.2-2.1-1.7-3.5-1.6-1.8-1.6zm12.6 81.4c-17 2.5-32.1 8.2-43.5 15.8-15.6 10.4-24.1 23.8-24.1 37.8 0 14 8.5 27.4 24.1 37.8 11.4 7.6 26.5 13.3 43.5 15.8-21.9-8-37.6-29-37.6-53.6s15.7-45.6 37.6-53.6zm38.8 0c21.9 8 37.6 29 37.6 53.6s-15.7 45.6-37.6 53.6c17-2.5 32.1-8.2 43.5-15.8 15.6-10.4 24.1-23.8 24.1-37.8 0-14-8.5-27.4-24.1-37.8-11.4-7.6-26.5-13.3-43.5-15.8zm-15.7 14.8c12.4 4.7 21.3 16.8 21.3 30.8 0 18.1-14.9 33-33 33-14 0-26.1-8.9-30.8-21.3 1.8 19.9 18.5 35.3 38.8 35.3 21.6 0 39-17.4 39-39 0-20.3-15.4-37-35.3-38.8zm-108.6 35.8l-45.8 11.4-81.7 212.4 16.8 6.4 78.3-203.6 34.5-8.6c-1.4-4.8-2.2-9.8-2.2-15 0-1 0-2 .1-3zm209.8 0c.1 1 .1 2 .1 3 0 5.2-.8 10.2-2.2 15l34.5 8.6 78.3 203.6 16.8-6.4-81.7-212.4zm-177.3 56c5.8 20.9 13 42.1 20.8 61.7 9.8 24.6 20.7 46.7 30.7 62.2 5 7.7 9.8 13.8 13.8 17.5 3.9 3.8 6.8 4.6 7.1 4.6.3 0 3.2-.8 7.1-4.6 4-3.7 8.8-9.8 13.8-17.5 10-15.5 20.9-37.6 30.7-62.2 7.8-19.6 15-40.8 20.8-61.7-19.1 12.6-44.5 20-72.4 20-27.9 0-53.3-7.4-72.4-20zm-15.1 13.4L136 348.6l-32.7 131.1 17.4 4.4L152 359.2l22.2-16.7c-2-6-3.9-12.1-5.7-18.2zm175 0c-1.8 6.1-3.7 12.2-5.7 18.2l22.2 16.7 31.3 124.9 17.4-4.4L376 348.6z"}}]})(props);
};
function GiSpiderFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16 17.188v236.656c0 20.48 19.324 40.365 48.156 57.47 11.504-6.066 23.26-9.564 34.813-9.564 29.023 0 53.453 20.3 62.093 48.188 1.888.495 3.752.863 5.625 1.343 13.824-9.92 26.255-12.217 34.687-12.217 17.552 0 33.037 9.688 42.125 24.312 4.288.208 8.717.53 12.78.53 4.177 0 8.507-.18 12.94-.436 9.087-14.69 24.586-24.408 42.186-24.408 8.08 0 19.85 2.198 32.97 11.094 2.655-.736 5.296-1.576 7.968-2.344 9.216-26.784 33.18-46.03 61.47-46.03 10.27 0 20.71 2.715 30.998 7.53C475.325 291.6 496 271.923 496 253.97V17.187H16zm67.53 126.28c20.72 0 37.5 16.796 37.5 37.532 0 20.72-16.78 37.5-37.5 37.5S46 201.72 46 181s16.81-37.53 37.53-37.53zm345.126 0c20.72 0 37.53 16.796 37.53 37.532.002 20.72-16.81 37.5-37.53 37.5-20.72 0-37.53-16.78-37.53-37.5s16.81-37.53 37.53-37.53zM76.97 155.282c-9.112 0-16.5 7.39-16.5 16.5 0 9.112 7.388 16.5 16.5 16.5 9.11 0 16.5-7.388 16.5-16.5 0-9.11-7.39-16.5-16.5-16.5zm345.124 0c-9.11 0-16.5 7.39-16.5 16.5 0 9.112 7.39 16.5 16.5 16.5s16.5-7.388 16.5-16.5c0-9.11-7.39-16.5-16.5-16.5zm-241.03 11.97c33.135 0 60 26.848 60 60 .014 33.136-26.85 60.03-60 60.03-33.137 0-60.033-26.894-60.033-60.03s26.897-60 60.032-60zm150.06 0c33.137 0 60 26.848 60 60 .017 33.136-26.847 60.03-60 60.03-33.135 0-60.03-26.894-60.03-60.03s26.895-60 60.03-60zM170.563 182.5c-16.577 0-30.03 13.423-30.03 30 0 16.577 13.453 30.03 30.03 30.03 16.578 0 30-13.453 30-30.03s-13.422-30-30-30zm150.032 0c-16.578 0-30 13.423-30 30 0 16.577 13.422 30.03 30 30.03 16.577 0 30.03-13.453 30.03-30.03s-13.453-30-30.03-30zM100.03 193.563c-3.63 0-6.593 2.96-6.593 6.593 0 3.632 2.962 6.563 6.594 6.563 3.633 0 6.564-2.932 6.564-6.564s-2.93-6.594-6.563-6.594zm345.126 0c-3.632 0-6.594 2.96-6.594 6.593 0 3.632 2.962 6.563 6.594 6.563s6.563-2.932 6.563-6.564-2.932-6.594-6.564-6.594zM207.47 242.875c-8.29 0-15 6.71-15 15s6.71 15.03 15 15.03c8.287 0 15-6.74 15-15.03s-6.713-15-15-15zm150.06 0c-8.287 0-15.03 6.71-15.03 15s6.743 15.03 15.03 15.03c8.29 0 15-6.74 15-15.03s-6.71-15-15-15zm56.314 81.375c-25.584 0-43.156 23.245-43.156 47.47 31.408 25.71 51.75 67.292 51.75 114.092 0 3.008-.06 6.008-.157 9 29.105-24.928 46.94-58.54 46.94-95.5 0-20.624-5.565-40.165-15.533-57.78-14.368-12.257-27.955-17.282-39.843-17.282zM99 324.28c-11.872 0-25.49 4.995-39.875 17.25-9.968 17.617-15.5 37.19-15.5 57.814 0 36.944 17.818 70.556 46.906 95.5-.11-2.976-.155-5.992-.155-9 0-46.8 20.373-88.398 51.78-114.094.017-24.24-17.57-47.47-43.155-47.47zm102.406 35.845c-8.144 0-17.488 3.5-27.344 12.125-6.832 12.4-10.656 26.175-10.656 40.688 0 26.016 12.25 49.666 32.22 67.218-.08-2.096-.126-4.2-.126-6.312 0-32.944 13.98-62.217 35.53-80.313 0-17.023-12.072-33.405-29.624-33.405zm110.03 0c-17.55 0-29.623 16.382-29.623 33.438 21.552 18.096 35.5 47.352 35.5 80.312 0 2.112-.014 4.216-.094 6.313 19.967-17.568 32.217-41.203 32.217-67.22 0-14.51-3.808-28.287-10.656-40.687-9.855-8.623-19.182-12.17-27.342-12.155z"}}]})(props);
};
function GiSpiderMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 24c-96 0-160 80-160 160 0 192 80 304 160 304s160-112 160-304c0-80-64-160-160-160zM128 168c7.8 32 35 91.9 96 128l-48 48c-67.7-41.1-64-144-48-176zm256 0c16 32 19.7 134.9-48 176l-48-48c61-36.1 88.2-96 96-128z"}}]})(props);
};
function GiSpiderWeb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.45 18.484L77.59 90.588C74.865 139.18 53.842 176.38 25.2 210.62l-6.716-1.76v19.32l2.557.672c15.35 45.065 9.088 90.827 1.82 138.294l-4.376 2.047v20.63l9.18-4.294c6.516 10.707 13.658 27.047 19.06 41.33 4.283 11.33 7.474 20.984 9.253 26.535l-37.493 37.69v2.43h23.942l28.55-28.7c9.27-.363 41.77-1.473 82.7-.75 46.744.825 102.612 4.3 139.05 13.667l5.08 15.784h19.632l-7.43-23.088c35.94-41.51 71.912-80.525 131.734-102.34l51.774 20.486v-20.097l-42.983-17.008c-6.374-39.21 12.755-76.665 30.62-116.68l12.363-2.585v-19.092l-6.323 1.323-5.45-2.803C425.656 182.8 405.41 133.64 388.444 78.93l44.184-60.446h-23.15l-38.6 52.81c-58.273 1.254-112.475-2.463-154.446-37.79l-2.274-15.02h-18.9l2.838 18.75C170.96 66.224 140.532 85.188 93.512 80.59l-49.22-62.106H20.448zm199.917 41.004c40.608 26.304 88.498 30.894 136.754 30.63l-33.14 45.34c-36.588.396-69.856-3.034-95.845-24.638l-7.768-51.332zm-18.834.44l8.29 54.775c-17.815 18.616-37.294 30.18-67.995 26.854L108.752 99.82c38.593-.74 68.358-17.144 92.78-39.892zM374.857 97.52c15.536 46.967 37.05 92.69 84.55 122.722l-51.768 10.82-.816-.417c-37.27-19.145-50.445-51.64-61.935-88.83l-.716-2.315 30.683-41.98zm-280.74 13.918l34.393 43.398c-2.523 29.583-15.404 52.66-33.14 74.207L44.966 215.81c23.714-29.774 42.64-63.393 49.152-104.373zm137.848 24.69c23.936 13.694 51.05 17.4 78.404 17.948l-32.91 45.028c-15.058-6.364-26.137-17.753-38.57-30.325l-2.343-2.37-4.582-30.28zm-18.778.81l5.592 36.955c-11.176 7.5-24.436 12.15-39.046 15.492l-22.902-28.897c22.71-1.395 41.095-10.68 56.356-23.55zm117.38 21.173c9.746 29.155 23.146 58.017 50.58 78.49l-55.928 11.69c-12.997-11.182-19.977-24.734-27.156-39.89l-1.67-3.53 34.174-46.76zm-186.432 16.443l19.142 24.154-.078.71c-1.93 17.365-8.877 29.63-16.65 43.063l-31.536-8.28c13.212-17.356 23.94-36.828 29.12-59.647zm77.674 19.353l6.012 39.742c-3.617.69-7.056 1.875-10.25 3.48l-25.177-31.767c10.19-2.75 20.13-6.345 29.414-11.454zm19.36 3.043c7.355 6.578 15.52 12.722 25.152 17.39l-15.834 21.662c-1.176-.493-2.377-.94-3.607-1.318l-5.71-37.735zm-62.75 20.864l24.91 31.43c-1.593 2.197-2.96 4.566-4.08 7.07l-33.914-8.902c4.955-8.757 9.83-18.253 13.084-29.598zm105.525 4.082c5.12 10.415 11.104 21.095 19.653 30.913l-31.143 6.508c-1.58-4.496-3.943-8.624-6.937-12.21l18.427-25.212zM42.172 234.4l48.873 12.83c9.227 28.215 5.795 57.08 1.2 87.448L43.173 357.64c5.95-40.147 10.29-81.414-1-123.24zm416.142 5.162c-14.933 32.635-30.114 66.733-27.433 104.13l-43.74-17.307c-3.6-25.016 8.776-49.445 20.725-76.278l50.45-10.544zm-346.576 13.1l27.614 7.248.562 1.4c6.1 15.133 5.383 31.772 2.9 49.708l-30.318 14.185c3.214-23.512 4.976-47.812-.758-72.54zm273.295 2.217c-9.043 19.817-17.797 40.803-17.252 63.847l-36.587-14.477c-.004-13.148 1.395-22.84 9.12-33.92l4.98-7.144 39.74-8.307zm-224.36 10.628l35.237 9.252c.22 3.636.94 7.135 2.078 10.44l-35.27 16.503c1.05-11.9.927-24.048-2.044-36.195zm159.16 3c-4.625 9.433-6.38 18.89-6.948 28.498l-39.278-15.54c.266-1.125.47-2.273.64-3.43l45.585-9.528zm-54.796 29.662l36.504 14.443c-8.91 4.58-17.316 10.536-24.677 16.16-3.907 2.986-7.107 5.602-9.886 7.942l-10.102-31.397c3.04-2 5.786-4.408 8.162-7.148zm-58.12 3.484L169.26 339.51c-2.558-6.2-6.018-11.147-9.588-15.235l.088-.556 47.154-22.066zm17.73 8.672c3.377.94 6.93 1.455 10.607 1.455 1.35 0 2.686-.067 4.002-.2l10.473 32.54c-13.314-.16-37.613.076-61.693 3.01l36.61-36.804zm103.486 12.81l25.363 10.034c-29.4 14.92-50.376 35.896-69.252 57.2L273.2 356.05c3.554-3.174 8.73-7.63 15.01-12.427 11.42-8.727 26.208-17.7 35.685-19.627l4.238-.86zM141.635 332.2l1.517 1.525c5.848 5.875 9.973 10.303 11.223 20.75l-31.143 31.308c-.35-2.27-.738-4.63-1.2-7.142-2.01-10.95-4.448-22.942-9.325-32.904l28.928-13.535zm235.928 10.493l39.218 15.518c-49.423 22.5-82.915 56.684-113.45 91.47l-12.435-38.647c24.103-27.838 47.673-53.616 86.668-68.34zM95.577 353.75c3.002 6.837 6.222 18.17 8.076 28.266 1.582 8.61 2.5 16.08 2.98 20.45l-35.882 36.075c-1.68-4.98-3.777-10.96-6.55-18.29-5.374-14.216-11.993-30.012-19.61-42.64l50.986-23.86zm150.863 9.148c3.968-.006 6.814.03 9.35.065l10.396 32.3c-26.257-4.15-58.633-4.19-87.057-3.185-15.575.55-28.004 1.327-37.857 2.065l24.108-24.237.95-.23c23.746-5.79 59.86-6.746 80.11-6.778zm-42.192 47.39c24.924-.053 50.366 1.266 68.416 5.103l13.428 41.727c-38.708-8.23-88.984-10.977-132.086-11.738-27.222-.482-49.237-.188-63.87.173l30.8-30.963c7.765-.757 30.71-2.842 58.853-3.836 7.9-.28 16.15-.45 24.458-.467z"}}]})(props);
};
function GiSpikeball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-7.395 0-15.073 25.16-22.5 56.971a184.615 184.615 0 0 0-90.865 37.79C114.86 93.495 91.472 81.006 86.24 86.24c-5.225 5.227 7.288 28.52 24.52 56.25a184.615 184.615 0 0 0-37.933 91.01C41.08 240.917 16 248.615 16 256c0 7.395 25.16 15.073 56.971 22.5a184.615 184.615 0 0 0 37.79 90.865c-17.266 27.776-29.753 51.162-24.52 56.394 5.228 5.226 28.52-7.287 56.25-24.52a184.615 184.615 0 0 0 91.01 37.934c7.418 31.75 15.116 56.828 22.5 56.828 7.395 0 15.073-25.16 22.5-56.972a184.615 184.615 0 0 0 90.865-37.788c27.776 17.263 51.162 29.752 56.394 24.52 5.226-5.227-7.287-28.52-24.52-56.25a184.615 184.615 0 0 0 37.932-91.01C470.923 271.083 496 263.385 496 256c0-7.395-25.16-15.074-56.971-22.5a184.615 184.615 0 0 0-37.79-90.866c17.265-27.775 29.753-51.162 24.52-56.394-5.228-5.226-28.52 7.287-56.25 24.52a184.615 184.615 0 0 0-91.01-37.933C271.082 41.08 263.385 16 256 16zm3.172 129.23A110.77 110.77 0 0 1 366.77 256a110.77 110.77 0 0 1-221.54 0 110.77 110.77 0 0 1 113.944-110.77z"}}]})(props);
};
function GiSpikedArmor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M261.61 17.086c-1.54-.042-3.12.127-4.657.127-12.09 0-23.35 4.608-32.758 12.512l-47.045-9.737 25.846 40.922c-1.585 4.302-2.87 8.82-3.803 13.52L153.3 93.924l46.333 19.685c2.916 13.003 8.493 24.604 15.83 33.808-8.44 1.31-16.06 3.917-22.904 7.637l-61.8-34.916 34.474 61.038c-4.273 6.62-7.887 14.01-10.886 22.01l-72.526.675 63.283 37.34c-1.184 8.643-1.897 17.604-2.167 26.77l-65.317 18.16 66.466 18.482c1.01 11.462 2.592 22.985 4.73 34.358h22.69l-1.024-104.38 18.688-.183 1.084 110.492 1.047 15.887-60.99 22.888 63.272 11.732 2.723 41.305-55.178 20.707 57.242 10.615 1.646 24.975h45.67v-174.63h18.687v174.63h45.545l1.828-24.55 59.524-11.04-57.104-21.43 3-40.277 64.922-12.037-62.283-23.373 1.38-18.545 1.053-107.35 18.69.184-1.026 104.38h24.744c2.365-11.393 4.037-22.817 5.032-34.103l67.386-18.737-66.613-18.52c-.43-8.708-1.303-17.198-2.62-25.38l65.03-38.37-75.772-.707c-2.765-6.676-5.943-12.91-9.54-18.61l36.376-64.407-64.37 36.368c-6.687-3.91-14.017-6.706-21.995-8.207 7.72-9.313 13.61-21.154 16.66-34.523l46.73-19.853-46.266-19.653c-.84-4.22-1.943-8.307-3.307-12.217l26.566-42.065-47.68 9.87c-7.905-6.853-17.15-11.348-27.132-12.645-.5-.075-1.008-.113-1.52-.127zm-4.87 18.844c10.617 0 20.556 5.69 28.377 16.193 6.196 8.322 10.727 19.572 12.348 32.307h-31.338l.002 18.69h31.554c-1.395 13.514-6.065 25.47-12.567 34.204-7.82 10.505-17.76 16.194-28.377 16.194-10.617 0-20.556-5.69-28.377-16.194-6.502-8.733-11.172-20.69-12.566-34.205h31.642l-.002-18.69h-31.422c1.62-12.735 6.15-23.985 12.347-32.307 7.82-10.504 17.76-16.193 28.377-16.193z","fillRule":"evenodd"}}]})(props);
};
function GiSpikedBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M87.845 350.075a192.53 192.53 0 0 0 10.15 19.15l-24.3 2.37zm53.16-272.84l4.94 39.57a193.29 193.29 0 0 1 29.09-18.48zm336.84 265.2l-28.17-23.73a191.29 191.29 0 0 1-11.24 31.38zm-384.47-154.89l-59.22 11.89 39.81 33.14a191.21 191.21 0 0 1 14.35-44zm159.38-69.88c13.3-1 25.17-4.91 31.72-10.2l-37.32-65.16-27.28 70c7.26 4.23 19.57 6.35 32.88 5.36zm125.46 30.68c1.31 8.32 7.48 19.19 16.68 28.84 9.2 9.65 19.76 16.35 28 18.05l26.7-70.18zm-46.11 254.48c-11.81 6.21-21.13 14.53-25 22l60.21 44.87-2.88-75c-8.39-1.05-20.52 1.92-32.33 8.13zm-139-20.19c-12.35-5-24.72-6.81-32.94-5l4.4 75 55.58-50.5c-4.61-7.09-14.69-14.47-27.05-19.51zm-26.26-113.75a33.771 33.771 0 1 0 29-61s-37.69 2.33-57.36 10.39c6.29 20.16 28.36 50.61 28.36 50.61zm270.26.91a173.52 173.52 0 0 1-53.88 125.77l-.54-14.18-5.25-2.41c-13.5-6.21-33.73-3.51-54.12 7.22s-34.07 25.88-36.6 40.52l-1 5.69 10.92 8.14a174.29 174.29 0 0 1-85.68-4.73l31.08-28.24-1.53-5.57c-3.94-14.33-19-28.08-40.36-36.78-21.36-8.7-41.73-9.43-54.57-1.94l-5 2.91 1.69 28.69a173.49 173.49 0 0 1-53.12-125.09c0-74.34 46.87-137.93 112.61-162.8l-4 10.17 3.85 4.3c8.73 9.76 25 15.26 44.48 15.26 2.62 0 5.31-.1 8-.3 23-1.71 41.56-10.14 49.72-22.56l3.17-4.83-5.08-8.87a173.38 173.38 0 0 1 66.83 31.48l-8.37 2.73-.89 5.7c-2.28 14.68 5.85 33.41 21.74 50.09 14.7 15.43 31.47 24.3 45.6 24.3h1.23a173.29 173.29 0 0 1 9.1 55.33zm-233.15-78.88c-24.81-11.79-75.11 10.9-80.71 13.52l-7.11 3.31 2 7.59c1.56 6 15.92 58.75 40.69 70.53a52.57 52.57 0 1 0 45.13-94.95zm195.14 122.82l-2.33-7.49c-1.84-5.9-18.67-57.94-44-68.54a52.583 52.583 0 0 0-40.63 97c25.33 10.62 74.46-14.41 80-17.3zm-53.56-58.68a33.764 33.764 0 1 0-26.1 62.28s37.53-4.1 56.81-13.08c-7.2-19.82-30.71-49.2-30.71-49.2z"}}]})(props);
};
function GiSpikedBat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M461.572 116.805a29.43 29.43 0 0 1-3.764 8.735l27.695-2.337zM339.34 102.688l-11.79-36.26 21.149 27.324zm44.774 99.698q4.462-4.41 8.586-8.576l8.164 34.146-16.92-25.898zM41.069 425.111l46.317 46.338L72.836 486l-46.339-46.338zm73.114-43.875l13.577 23.392a1520.726 1520.726 0 0 0-14.582 14.36l-15.64-20.695c5.287-5.308 10.839-11.019 16.623-17.057zm27.663-29.852l12.584 28.107q-7.254 6.63-14.107 13.092l-14.032-24.174a1262.91 1262.91 0 0 0 15.555-17.025zm-56.458 58.933l15.756 20.832a1221.23 1221.23 0 0 0-14.72 15.354l-18.95-18.95c4.907-4.631 11.03-10.426 17.914-17.226zm317.696-279.48a9.517 9.517 0 0 1 12.594 4.886l22.112 50.135-37.815-39.698a9.75 9.75 0 0 1-1.82-2.728 9.517 9.517 0 0 1 4.929-12.594zm-51.594 4.474a2.115 2.115 0 0 1 .824 1.195c.804 2.633-1.057 7.952-4.103 11.865-1.924 2.453-3.87 3.785-5.287 3.785a1.787 1.787 0 0 1-1.755-1.459l-10.691-20.684zm49.183-57.22a9.555 9.555 0 1 1-18.971 2.305L375.092 26l24.618 48.96a9.76 9.76 0 0 1 .963 3.131zM286.36 181.068c12.88-14.097 23.645-25.433 33.257-35.246l6.155 11.918a18.675 18.675 0 0 0 17.173 11.346c4.812 0 11.94-1.787 18.58-10.268 8.11-10.352 8.915-20.864 6.958-27.25a19.087 19.087 0 0 0-7.73-10.406l-2.38-1.555-2.76-.698-6.915-1.744c7.222-6.906 14.371-13.663 22.09-21.065a26.437 26.437 0 0 0 45.704-24.597c18.506 8.914 37.477 35.055 25.221 47.311a1172.556 1172.556 0 0 0-10.374 10.512l-.19-.423a26.49 26.49 0 0 0-24.227-15.789 26.437 26.437 0 0 0-19.214 44.679l8.11 8.523c-16.348 17.11-34.97 35.795-62.898 61.301-20.091 18.358-108.253 89.59-165.272 140.01l-13.504-30.18c49.638-56.83 114.82-137.345 132.216-156.38z"}}]})(props);
};
function GiSpikedCollar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M139.54 20.12l19.276 96.028c-12.818 11.406-22.692 26.194-29.42 43.24l-78.79-8.638 64.453 63.37c-2.586 23.357.03 49.043 8.258 74.657l-42.033 54.215 68.018-1.02c15.12 22.18 33.708 39.877 53.62 51.962l10.68 90.296 40.932-68.666c17.495 4.93 35.126 5.94 51.883 2.508l63.63 73.657-19.257-95.92c12.855-11.425 22.75-26.248 29.487-43.34l78.702 8.628-68.175-67.03c.046-20.525-3.275-42.147-10.17-63.734l47.664-61.48-77.165 1.158c-12.764-18.617-27.715-34.38-43.844-46.768l-11.306-95.627-40.964 68.72c-17.463-4.908-35.06-5.91-51.786-2.485L139.54 20.12zm101.798 93.45c44.422-.03 92.8 34.067 119.69 89.082 33.42 68.38 21.35 143.925-26.5 171.895 26.868-38.838 28.765-101.318.618-158.906-28.146-57.587-78.34-93.93-125.113-95.814 9.96-4.224 20.515-6.248 31.305-6.256zm-30.983 26.98c41.018-.062 85.61 31.394 110.477 82.274 31.83 65.127 19.096 137.01-28.506 160.9-.988.494-1.986.956-2.988 1.403-43.015-2.403-88.815-35.974-114.7-88.938-25.887-52.963-24.482-110.224-.3-146.35.96-.538 1.927-1.062 2.916-1.56 10.413-5.224 21.617-7.712 33.1-7.73z"}}]})(props);
};
function GiSpikedDragonHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M188.8 20.38c-5.3 26.85 4.6 55.74 34.1 86.52 11.2-7.29 31.6-10.94 50-8.16-46-22.31-66.5-47.13-84.1-78.36zM29.19 26.62C43.56 73.08 81.09 128.8 129.6 168.3 93.51 166 49.93 153.1 18.76 143c24.96 35.2 64.17 52.9 103.34 66.3C97.13 227 66.99 245 18.66 248c54.64 19.2 107.54 8.9 131.34.7-17.9 34.9-100.72 66.2-122.31 77 53.26 4.2 121.71-11 167.01-32.9 10 24.6-1.6 53.2-10.1 77.8-1.9 4.5-3.8 8.9-5.7 13.3 5.1-3.5 10.1-7 14.9-10.6 23.6-16.2 47.8-31.9 59.5-58.8 26.1 31.2 62.7 62.1 107 85.4 17.4 22.1 28.3 49 34.2 73.8 8.3-19.1 13.8-40.2 9.7-60.3 24.5-3.6 35.6-29.7 35.5-54.4-12.6 6.2-15.1 6.3-31.2 8.2 0-10.1.6-12.5-3-28.7-10.3 8.4-21 11.2-30.8 11.8 2.1-7.6 3-19.5 3.7-27.3-13 7.1-19.2 9.7-30.1 10.8-.4-10.9-.1-20-4.1-30.4-29.6 19-48.6 1.5-68-21.3 19.8-17 96.4-21.8 95.1 7.1 14-7.3 18.8-11.2 23.6-15.9 9.1 8.5 13.4 20.9 15.1 31.4 9.3-9.4 10.3-10.5 17.1-23.8 5.7 10.1 8.8 17 10.7 30.6 8.5-6.2 15.4-13.1 19.8-21.4 7.5 15.5 8.3 16 12.4 33 17.8-13.1 21.8-31.2 22.8-47.6 2-33-.3-108.2-31-142.9 1.7 36.3-13.1 70-33.8 80.7-12.6 4.9-96.5-74.6-137.6-93.3-23.5-10.2-48.1 7.1-67.8 9.3C147 106.2 83.57 70.94 29.19 26.62zM296.1 152.8c13.3 20.9 32.2 36.9 60.1 55-19.4 2.9-65.8-6.7-77.7-24-5.5-7.9 7.1-21.3 17.6-31zM180.6 319.1c-14.4 6.2-29.2 10.9-43.8 14.3-2.4 3.6-4.6 7.1-6.7 10.5 14.8 5.3 31.5 7 44.1 2.8 3.3-9.8 5.5-19.3 6.4-27.6zm-68 19.1l-10.2 1.5c-31.81 36.6-61.9 103.2-48.24 151.9h36.13c-11.12-37.7-16.53-87.1 22.31-153.4zm8.5 21.5c-5.9 11.4-10.4 22.1-13.8 32.1 12.9 6.7 29.1 8.9 44.8 8.2 4.6-10.5 9.8-21.8 14.6-33.3-15.4 1.8-31.4-1.4-45.6-7zm111.4 6.6c-12 10.5-25.2 20.3-38.9 29.6 7 34 33.4 63.4 73.9 95.7h83.3c-57.2-31.8-94.6-73.3-118.3-125.3zm-130 43.2c-2.5 11.8-3.3 22.7-3 32.9 37.3 14.2 62.5 13.5 97.5 4.1-7.2-10.3-13-21-16.9-32.3-32.7 9.4-55.4 5.7-77.6-4.7zm106.6 52.4c-38.1 10.9-68.8 13.2-107.5.3 1.8 10.4 4.5 20.1 7.5 29.4h130.1c-11.3-9.8-21.4-19.6-30.1-29.7z"}}]})(props);
};
function GiSpikedFence (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M59.04 23.11l-35.3 93.59 25.96-14.9V158c-1.32 18-13.82 32.6-30.39 36.7v19.1c11.64-2 22.12-7.5 30.39-15.3v97.3c-11.62 1.9-22.1 7.3-30.39 15.1v39.4c1.68-17.5 14.08-31.5 30.39-35.4v177.5h18.69V314.9c16.46 4 28.96 18.4 30.55 36.1v141.5h18.66V354.4c3.9-18.9 15.1-39.3 31.2-39.6v177.6h18.7V314.9c17.4 4.4 30.4 20.3 30.6 39.5v138.1h18.6V354.3c.3-19.4 13.5-35.4 31.2-39.5v177.6h18.7V315c17.4 4.4 30.2 20.3 30.4 39.4.4 45.6.2 92.2.2 138.1h18.7V350.9c1.6-17.8 14.2-32.2 30.8-36.1v177.6h18.7V315c17.4 4.3 30.3 20.1 30.3 39.3.5 45.5.2 92.3.2 138.2h18.7V349.7c2-17.4 14.6-31.3 31-35v177.7h18.7V315.1c16.4 4.3 28.7 18.9 30 36.7v-40.7c-8.2-7.7-18.5-13.1-30-15.1v-97.6c8.1 7.8 18.5 13.2 30 15.3v-19.1c-17-4.5-29.5-19.9-30-38.6v-54.2l25.9 14.9-35.3-93.59-35.3 93.59 26-14.9v53.5c-5 23-22.7 40.1-40.2 40.6-22.1 0-40-18-40-40.5-.1-17.8 0-35.8 0-53.6l26 14.9L356 23.11l-35.3 93.59 26-14.9v55.6c-1 21.6-18.5 38.5-39.9 38.5-22.1 0-40-18-40.2-40.6v-53.5l26 14.9-35.3-93.59L222 116.7l25.9-14.9v53.6c-.2 22.5-18.1 40.5-40.1 40.5-22.1 0-40-18-40.2-40.6-.2-17.7-.1-35.7-.1-53.5l26 14.9-35.3-93.59-35.3 93.59 25.9-14.9v55.4c-1.2 21.7-18.7 38.7-40.1 38.7-22.09 0-39.99-18-40.19-40.6-.25-17.6-.13-35.7-.13-53.5l25.96 14.9-35.3-93.59zm9.35 175.19c8.28 7.9 18.82 13.4 30.55 15.5v97.3c-8.31-7.8-18.85-13.3-30.55-15.2zm99.11 0c8.3 7.9 18.8 13.5 30.6 15.5v97.5c-8.3-7.9-18.9-13.5-30.6-15.4v-97.6zm278.1 0v97.4c-11.9 1.8-22.5 7.3-31 15.1v-97c11.9-1.9 22.6-7.4 31-15.5zm-179 .1c8.3 7.9 18.9 13.4 30.6 15.4v97.7c-8.3-8-18.8-13.6-30.6-15.6v-97.5zm-18.7 0v97.4c-11.9 1.9-22.7 7.4-31.2 15.5v-97.4c12.2-3.2 23.4-8.3 31.2-15.5zm-99.1 0v97.4c-12 1.9-22.7 7.5-31.2 15.7v-97.6c12.2-3.1 23.4-8.2 31.2-15.5zm216.6.1c8.3 7.9 18.8 13.4 30.5 15.3v97.5c-8.2-7.9-18.8-13.4-30.5-15.4v-97.4zm-18.7.1v97.2c-11.8 1.9-22.5 7.4-30.8 15.3v-97.2c12-3.1 23.1-8.1 30.8-15.3z"}}]})(props);
};
function GiSpikedHalo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.65 19.033l-47.552 85.598c-51.53 16.016-91.8 57.678-105.877 110.026L33.407 252.25l69.276 38.486c5.942 26.33 18.456 50.18 35.722 69.737 5.63-7.952 12.438-15.05 20.547-21.162-19.19-22.513-30.794-51.682-30.794-83.51 0-71.074 57.838-128.488 128.912-128.488 71.077 0 128.49 57.412 128.49 128.49 0 30.006-10.234 57.65-27.408 79.583 8.525 5.88 15.612 12.795 21.413 20.592 15.176-18.532 26.235-40.563 31.77-64.692l70.263-39.035-71.826-38.13c-14.312-52.475-54.968-94.123-106.856-109.825L257.65 19.033zm.266 150.33c-17.56 0-33.686 9.02-45.902 24.647-12.217 15.626-20.09 37.754-20.09 62.373 0 26.12 9.218 49.343 22.846 65.148l10.14 11.76-15.14 3.452c-38.027 8.67-55.962 26.396-66.48 54.268-9.788 25.934-11.75 61.67-11.99 104.236h254.473c-.047-42.74-.66-79.348-9.683-105.814-9.693-28.432-27.11-46.38-67.99-54.38l-15.272-2.99 9.817-12.076c12.778-15.718 21.267-38.404 21.267-63.603 0-24.62-7.875-46.747-20.092-62.373-12.216-15.626-28.343-24.647-45.902-24.647h-.002z"}}]})(props);
};
function GiSpikedMace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.47 16.29l43.774 85.93 40.65-42.927L246.47 16.29zm179.84 23.823l-13.472 13.47 46.807 46.808 13.48-13.46-46.816-46.817zm-52.42.95L113.88 315.656l81.65 81.653L471.808 138.98l-97.918-97.92zm-3.097 50.57c12.955 0 25.912 4.916 35.742 14.746 19.66 19.66 19.66 51.82 0 71.48-19.66 19.662-51.822 19.662-71.482 0-19.66-19.66-19.66-51.82 0-71.48 9.83-9.83 22.785-14.747 35.74-14.747zM167.367 104.97l42.176 82.48 38.86-41.044-81.036-41.437zm203.426 5.235c-8.134 0-16.266 3.13-22.525 9.39-12.52 12.518-12.52 32.533 0 45.05 12.518 12.52 32.534 12.52 45.052 0 12.52-12.517 12.52-32.532 0-45.05-6.26-6.26-14.394-9.39-22.527-9.39zM286.88 177.14c12.524.03 25.056 4.813 34.57 14.327 19.026 19.027 19.13 50.124.146 69.107-18.983 18.983-50.08 18.88-69.108-.148-19.027-19.027-19.13-50.124-.146-69.108 9.49-9.49 22.01-14.21 34.537-14.18zm166.58 4.58l-43.43 40.608 86.58 44.102-43.15-84.71zM88.927 194.88l39.957 77.75 36.445-38.487-76.402-39.264zm197.926.83c-7.704-.02-15.394 2.922-21.295 8.823-11.804 11.803-11.776 30.756.146 42.678 11.923 11.923 30.875 11.953 42.678.15 11.804-11.804 11.777-30.756-.146-42.678-5.96-5.962-13.68-8.95-21.382-8.97zm-84.237 67.6c12.01.068 24.032 4.693 33.164 13.825 18.263 18.264 18.496 48.085.324 66.258-18.173 18.172-47.994 17.94-66.258-.325-18.264-18.264-18.497-48.085-.325-66.257 9.088-9.086 21.085-13.57 33.095-13.5zm163.38.194l-41.893 39.17 83.843 42.873-41.95-82.043zM202.55 281.88c-7.187-.047-14.342 2.674-19.814 8.145-10.942 10.943-10.884 28.62.325 39.83 11.21 11.207 28.886 11.265 39.83.323 10.94-10.943 10.883-28.62-.326-39.828-5.604-5.605-12.825-8.42-20.013-8.47zm75.343 64.003l-39.666 37.088 79.8 41.01-40.134-78.097zm-158.784 1.43L18.93 447.493V494.9h45.648l101.13-100.988-46.6-46.6z"}}]})(props);
};
function GiSpikedShell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M175.125 11.375l7.656 122.78c-15.95 4.655-30.756 10.78-44.093 18.095L51.063 76.406l48.47 105.03c-17.535 17.983-28.61 39.145-31 61.94h112.75c4.627-37.73 36.893-67.095 75.843-67.095s71.216 29.366 75.844 67.095h112.717c-2.388-22.83-13.486-44-31.062-62l48.438-104.97-87.594 75.814c-13.638-7.474-28.798-13.72-45.158-18.407l7.625-122.438-61.406 113.094c-6.385-.446-12.846-.657-19.405-.657-6.945 0-13.81.252-20.563.75L175.125 11.374zm82 183.594c-32.012 0-57.75 25.742-57.75 57.75 0 32.006 25.738 57.75 57.75 57.75s57.75-25.744 57.75-57.75c0-32.008-25.738-57.75-57.75-57.75zM68.53 262.062c2.403 22.78 13.473 43.936 31 61.906L51.063 429.03l87.657-75.842c13.326 7.305 28.123 13.413 44.06 18.062l-7.655 122.813 61.47-113.25c6.74.496 13.595.78 20.53.78 6.548 0 12.998-.244 19.375-.687l61.438 113.156-7.625-122.468c16.354-4.685 31.523-10.906 45.156-18.375l87.592 75.81-48.468-105c17.576-17.99 28.69-39.15 31.094-61.967h-112.72c-4.627 37.73-36.893 67.093-75.843 67.093s-71.216-29.364-75.844-67.094H68.53z","fillRule":"evenodd"}}]})(props);
};
function GiSpikedShoulderArmor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M203.1 16.79L187.2 175.8c-1.2 10.9 2.5 15.7 9.8 19.9 7.3 4.1 19 5.8 30.6 4.6 11.6-1.3 23-5.5 29.5-10.7 6.5-5.3 8.5-9.2 5.8-16.3zm126.1 51.75C388 122.1 422.4 190.3 434.9 250.6c6.7 32.3 7.2 62.3 1.3 87.1-5.8 24.7-18.4 44.7-38.3 54-11.8 5.4-31.1 7.4-58.2 8.7-27.1 1.2-61 .8-97.1-1.7-66.2-4.6-139.8-16.2-192.9-39.4 1.12 8.5 2.79 17.1 5.03 25.9 1.37 5.3 7.05 12 17.99 18.4 10.94 6.4 26.53 12.4 44.98 17.5 37 10.1 85.7 16.8 134.3 19.5 48.7 2.7 97.5 1.4 134.8-3.7 18.7-2.6 34.5-6.2 45.6-10.5 11.1-4.3 16.5-9.5 17.4-12 40.1-110.3 25.1-198-6.7-257.7-16-29.9-36.2-52.8-55.8-67.81-19.4-12.6-36.1-22.79-58.1-20.35zm-23 3.87C289 76.16 270 82.1 250.4 90.1l29.3 76.8c5.3 14.2-1 28.4-11.4 36.7-10.3 8.3-24.4 13-38.8 14.6-14.4 1.5-29.3 0-41.4-6.9-12.1-6.8-20.6-20.5-18.9-37.3l4.3-43c-12.5 8.5-24.6 17.7-36.1 27.6-12.9 11.1-24.9 23.2-35.7 36l70.8 69.5c8.2 8.7-1.3 34.1-6.3 41.3-7.4 10.1-18 18-29.9 22.5-11.8 4.5-25.2 5.7-37.55 1.4-12.48-4.2-23.61-14.1-30.19-29.3l-.21-.5L59 267.8c-7.78 22.1-11.81 45.8-11 71.1 49.45 24 126.9 37.1 195.9 42 35.4 2.4 68.7 2.8 95 1.6 26.3-1.2 46.6-4.8 51.4-7.1 13.5-6.2 23.4-20.5 28.4-41.8 5-21.3 4.8-49-1.4-79.2-7.1-34.3-22.1-71.8-45.1-107.4l-16.4 180.9-.1.4c-1.3 7.2-5.2 13.5-10.4 17.6-5.2 4.2-11.5 6.3-18 7.2-13 1.8-27.3-1.2-40.6-6.8s-25.6-13.9-33.6-24.7c-8-10.8-10.9-25.9-2.9-38.9l.4-.7 119.9-137.4c-17-25.8-38.4-50.57-64.3-72.19zM48.16 167.2l37.09 125.9c4.87 11.1 11.6 16.6 19.15 19.2 7.8 2.6 16.9 2 25.5-1.3 8.7-3.2 16.6-9.2 21.7-16.2 4.5-6.3 6.6-13.1 5.9-20.2zm301.44 28.6l-84.2 96.7c-3.9 6.6-2.8 11.6 2.2 18.4 5.1 7 15.1 14.2 26.1 18.8 10.9 4.6 22.9 6.7 31.2 5.6 4.1-.6 7.2-1.9 9.2-3.5 2-1.5 3.2-3.4 3.9-6.7zm-299.22 214c-4.96.9-7.63 2.9-9.5 5.4-2.17 3-3.29 7.5-2.79 12.8 1.01 10.7 8.87 23.3 20.25 27.9 127.96 51.8 279.26 42.6 397.56 27.5 13.5-1.6 22-55.6-1-48.7-4.8 3.7-9.3 6-16 8.6-13.2 5.1-30.1 8.8-49.6 11.5-39 5.4-88.6 6.6-138.2 3.8-49.7-2.7-99.2-9.4-138.2-20.1-19.39-5.3-36.21-11.6-49.31-19.3-4.9-2.9-9.37-6-13.21-9.4z"}}]})(props);
};
function GiSpikedSnail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M195.36 23.666l28.824 95.553 89.27 69.065c-.32-.038-.642-.07-.962-.105L13.872 65.7l138.18 139.404 93.598-9.612c-.703.244-1.403.495-2.1.748v-.373l-225.812 94.45 113.344.5 31.723-30.897-12.807 30.98.266.002-62.846 153.215 43.29-42.91 14.24-40.63c.618 4.344 1.416 8.636 2.398 12.862l.36 2.896-.222-.06 12.522 92.638 11.45-41.99c25.39 35.722 65.968 60.23 113.1 63.562 2.995.212 5.975.328 8.94.366-57.247-18.434-100.216-72.73-95.63-135.846 4.28-58.87 52.44-109.197 112-110.328 3.972-.076 7.994.067 12.056.44 52.61 4.84 97.167 51.102 90.717 105.802-5 42.397-43.393 78.356-88.122 71.203-16.24-2.596-30.992-11.363-41.04-23.928-10.047-12.564-15.302-29.433-11.24-46.85 2.652-11.367 9.572-21.562 19.194-28.29 9.62-6.73 22.765-9.72 35.355-4.692h.002c7.013 2.8 12.597 8.046 16.17 15.17 1.788 3.562 3.007 7.78 2.563 12.453-.443 4.672-2.894 9.552-6.783 12.97l-12.34-14.034c.73-.64.5-.478.52-.703.02-.226-.05-1.086-.662-2.308-1.226-2.443-4.882-5.587-6.4-6.193-6.366-2.543-12.13-1.257-17.717 2.65-5.588 3.91-10.182 10.713-11.7 17.222-2.676 11.47.58 22.11 7.634 30.93 7.056 8.824 18 15.326 29.395 17.148 33.27 5.32 62.77-22.37 66.61-54.938 5.12-43.418-31.13-81.073-73.87-85.003-53.92-4.964-99.866 39.815-103.704 92.63-4.666 64.2 49.07 118.513 112.38 122.302 74.91 4.483 137.724-57.982 141.292-131.562 1.286-26.52-4.85-53.308-17.34-76.83l2.076-1.102c-20.982-58.506-67.582-155.713-67.582-155.713l-.12 61.682-49.558-84.84 7.213 50.8 33.238 53.083L195.36 23.666z"}}]})(props);
};
function GiSpikedTail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.297 16.27v113.06L266.15 263.12 132.357 16.27H19.297zm134.318 0l158.947 293.263L19.298 150.586v35.9l39.24 24.815 25.9 162.188 18.735-133.963 82.383 52.094 21.43 134.204 15.503-110.85 75.72 47.88 17.263 108.095 12.49-89.282 61.923 39.158 12.6 78.914 9.117-65.18 70.68 44.694-45.186-71.46 66.656-9.32-80.7-12.888-38.847-61.434 90.758-12.693-109.88-17.548-47.57-75.228 112.326-15.71-135.992-21.716-51.783-81.89 135.432-18.94-163.965-26.184-24.013-37.974h-35.9zm223.877 64.158l.006.002v-.002h-.006z"}}]})(props);
};
function GiSpikedTentacle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M126.21 44.816c-28.57.028-62.253 6.175-101.43 19.473v206.177c34.753-70.097 94.796-95.33 118.277-33.147.682.01 1.364.025 2.04.055 3.224.144 6.385.534 9.47 1.213 12.338 2.715 23.426 11.78 27.183 25.8 1.956 7.3 1.593 14.67-1.373 20.794-2.966 6.124-8.112 10.54-13.865 13.576-4.176 2.204-8.76 3.83-13.647 5.02.002.47.014.92.014 1.394 0 8.485 1.245 16.656 3.57 24.435 1.256-.51 2.525-.98 3.81-1.386 3.01-.954 6.153-1.525 9.332-1.685.596-.03 1.193-.046 1.79-.047 8.973-.013 18.105 3.27 25.32 10.487 5.345 5.344 8.714 11.907 9.208 18.693.494 6.786-1.756 13.183-5.22 18.69-1.63 2.588-3.532 5.05-5.653 7.41 10.645 7.775 22.837 14.108 36.008 18.71 1-2.945 2.326-5.773 4.08-8.437 5.995-9.102 17.213-14.595 30.828-14.595 14.235 0 25.768 7.644 29.588 18.42 1.417 3.995 2.053 8.125 2.118 12.352 16.59-1.707 33.3-6.156 49.358-13.756.152-8.87 4.284-18.062 12.052-25.83 6.29-6.292 13.948-9.724 21.325-10.214.553-.037 1.104-.057 1.654-.06 3.846-.026 7.58.763 10.967 2.376.103.05.2.107.302.157.835-.87 1.665-1.75 2.49-2.644 39.125-42.52 48.15-142.046 1.018-199.545-45.518-55.526-192.24 13.158-82.676 100.54-41.65-77.294 28.077-75.698 46.442-43.89 20.212 35.01 23.473 84.05-28.07 113.808-40.74 23.524-86.61-26.748-79.102-97.476 11.57-109.013-25.18-186.965-127.21-186.866zm167.315 47.778c-3.595 12.322-5.927 36.444-1.285 50.838 7.242-4.467 20.556-9.718 28.203-12.64-4.625-12.596-17.803-27.15-26.918-38.198zm118.914 7.746c-12 4.557-32.654 17.232-41.344 29.61 7.927 3.09 20.143 10.55 27.084 14.892 7.264-11.282 10.935-30.57 14.26-44.502zm28.753 89.523c-3.682-.066-7.177.133-10.33.66 3.792 8.808 7.462 24.518 9.465 33.526 14.805-3.092 33.197-15.397 47.016-23.747-10.684-4.902-30.192-10.152-46.15-10.44zm-299.51 66.23c-6.372.107-13.992 1.302-22.08 3.464-16.965 4.533-35.67 12.95-51.343 20.99 16.297 4.056 37.71 7.523 56.422 7.418 14.068-.08 26.53-2.266 33.107-5.736 3.287-1.737 4.947-3.5 5.767-5.193.82-1.693 1.22-3.78.14-7.81-2.193-8.187-5.76-10.762-13.146-12.387-1.846-.406-3.933-.646-6.218-.725-.857-.03-1.74-.036-2.65-.02zm299.23 37.33c1.846 9.19-5.056 29.82-10.126 37.53 15.95 5.515 40.613 4.254 58.625 4.166-9.14-13.307-30.785-34.768-48.498-41.698zm-268.393 51.34c-.543.006-1.097.046-1.666.116-1.518.185-3.144.586-4.946 1.157-7.208 2.286-16.415 8.81-25.443 17.826-12.424 12.408-24.413 29.05-33.967 43.85 16.142-4.636 36.42-12.343 52.57-21.79 12.144-7.102 21.843-15.225 25.803-21.52 1.98-3.146 2.536-5.502 2.4-7.378-.137-1.876-.83-3.885-3.782-6.836-3.932-3.933-7.17-5.478-10.968-5.428zm208.722 31.633c-2.278-.144-4.678 1.167-8.96 5.448-6.627 6.628-7.317 10.62-6.387 15.136.93 4.517 4.95 10.543 11.79 16.743 9.61 8.715 23.68 17.07 37.524 24.96-3.23-14.377-8.502-31.08-15.27-43.492-5.04-9.243-10.957-15.676-14.965-17.586-1.002-.478-1.89-.86-2.758-1.06-.326-.077-.65-.127-.975-.148zm-115.29 19.74c-9.372 0-12.683 2.334-15.22 6.184-2.536 3.85-3.952 10.955-3.502 20.174.634 12.96 4.674 28.816 8.883 44.184 7.885-12.45 15.968-27.99 19.96-41.55 2.972-10.1 3.336-18.834 1.853-23.02-1.484-4.184-2.748-5.973-11.973-5.973z","fillRule":"evenodd"}}]})(props);
};
function GiSpikedTrunk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 5c-7.364 0-12.91 4.272-16.564 8.512s-6.05 8.94-7.75 13.045c-5.095 12.299-5.095 26.587 0 38.886 1.636 3.95 3.927 8.446 7.351 12.557-3.424 4.111-5.715 8.607-7.351 12.557-5.095 12.299-5.095 26.587 0 38.886 1.636 3.95 3.927 8.446 7.351 12.557-3.424 4.111-5.715 8.607-7.351 12.557-5.095 12.299-5.095 26.587 0 38.886 1.636 3.95 3.927 8.446 7.351 12.557-3.424 4.111-5.715 8.607-7.351 12.557-5.095 12.299-5.095 26.587 0 38.886.279.675.584 1.369.904 2.07l20.137-1.204c-1.633-2.036-3.305-5.078-4.413-7.752-3.07-7.41-3.07-17.703 0-25.114 2.044-3.784 3.577-8.6 7.686-10.443 3.549 1.891 5.993 6.417 7.686 10.443 3.07 7.41 3.07 17.703 0 25.114-1.034 2.494-2.559 5.318-4.084 7.34l21.021-1.258c4.77-12.116 4.676-26.049-.309-38.082-1.636-3.95-3.927-8.446-7.351-12.557 3.424-4.111 5.715-8.607 7.351-12.557 5.095-12.299 5.095-26.587 0-38.886-1.636-3.95-3.927-8.446-7.351-12.557 3.424-4.111 5.715-8.607 7.351-12.557 5.095-12.299 5.095-26.587 0-38.886-1.636-3.95-3.927-8.446-7.351-12.557 3.424-4.111 5.715-8.607 7.351-12.557 5.095-12.299 5.095-26.587 0-38.886-1.7-4.106-4.096-8.805-7.75-13.045C76.911 9.272 71.364 5 64 5zm384 0c-7.364 0-12.91 4.272-16.564 8.512s-6.05 8.94-7.75 13.045c-5.095 12.299-5.095 26.587 0 38.886 1.636 3.95 3.927 8.446 7.351 12.557-3.424 4.111-5.715 8.607-7.351 12.557-5.095 12.299-5.095 26.587 0 38.886 1.636 3.95 3.927 8.446 7.351 12.557-3.424 4.111-5.715 8.607-7.351 12.557-5.095 12.299-5.095 26.587 0 38.886 1.636 3.95 3.927 8.446 7.351 12.557-3.424 4.111-5.715 8.607-7.351 12.557-4.96 11.971-5.076 25.822-.381 37.894l19.06.58c1.128-2.194-1.264-4.593-2.05-6.474-3.07-7.41-3.07-17.703 0-25.114 2.043-3.784 3.576-8.6 7.685-10.443 3.549 1.891 5.993 6.417 7.686 10.443l.052.141 20.227-47.559c.619-7.966-.588-16.076-3.65-23.468-1.637-3.95-3.928-8.446-7.352-12.557 3.424-4.111 5.715-8.607 7.351-12.557 5.095-12.299 5.095-26.587 0-38.886-1.636-3.95-3.927-8.446-7.351-12.557 3.424-4.111 5.715-8.607 7.351-12.557 5.095-12.299 5.095-26.587 0-38.886-1.7-4.106-4.096-8.805-7.75-13.045C460.911 9.272 455.364 5 448 5zM64 23c3.549 1.891 5.993 6.417 7.686 10.443 3.07 7.41 3.07 17.703 0 25.114C69.642 62.34 68.109 67.157 64 69c-3.549-1.891-5.993-6.417-7.686-10.443-3.07-7.41-3.07-17.703 0-25.114C58.358 29.66 59.891 24.843 64 23zm384 0c3.549 1.891 5.993 6.417 7.686 10.443 3.07 7.41 3.07 17.703 0 25.114-2.044 3.784-3.577 8.6-7.686 10.443-3.549-1.891-5.993-6.417-7.686-10.443-3.07-7.41-3.07-17.703 0-25.114 2.044-3.784 3.577-8.6 7.686-10.443zM64 87c3.549 1.891 5.993 6.417 7.686 10.443 3.07 7.41 3.07 17.703 0 25.114-2.044 3.784-3.577 8.6-7.686 10.443-3.549-1.891-5.993-6.417-7.686-10.443-3.07-7.41-3.07-17.703 0-25.114C58.358 93.66 59.891 88.843 64 87zm384 0c3.549 1.891 5.993 6.417 7.686 10.443 3.07 7.41 3.07 17.703 0 25.114-2.044 3.784-3.577 8.6-7.686 10.443-3.549-1.891-5.993-6.417-7.686-10.443-3.07-7.41-3.07-17.703 0-25.114 2.044-3.784 3.577-8.6 7.686-10.443zM64 151c3.549 1.891 5.993 6.417 7.686 10.443 3.07 7.41 3.07 17.703 0 25.114-2.044 3.784-3.577 8.6-7.686 10.443-3.549-1.891-5.993-6.417-7.686-10.443-3.07-7.41-3.07-17.703 0-25.114 2.044-3.784 3.577-8.6 7.686-10.443zm384 0c3.549 1.891 5.993 6.417 7.686 10.443 3.07 7.41 3.07 17.703 0 25.114-2.044 3.784-3.577 8.6-7.686 10.443-3.549-1.891-5.993-6.417-7.686-10.443-3.07-7.41-3.07-17.703 0-25.114 2.044-3.784 3.577-8.6 7.686-10.443zm-119.9 65.027l-12.506 58.514c1 12.537 31.82 10.714 31.771-1.168zm-117.323 3.157l-4.564 30.658 19.01.578zm265.069 5.113l-27.727 65.197c5.03 5.346 21.027 7.626 22.666 2.133zm-92.358 4.07l-2.742 26.787 17.367.53zM113.34 247.365l-12.865 40.598c5.605 5.822 19.259 3.149 23.845-.902zm90.469 20.41l-65.07 3.895c.815 4.403 2.992 8.609 3.5 13.064.94 8.292-4.441 15.445-10.259 19.022-5.817 3.577-12.538 5.168-19.324 5.474-6.785.307-13.683-.62-19.828-4.168-6.144-3.548-11.202-11.5-10.183-19.9.697-3.502 2.024-6.909 3.105-10.32l-72.236 4.324 2.187 62.879 24.926-1.205c-6.656-17.909 7.218-35.962 22.922-38.774 14.963.366 23.105 4.552 31.84 13.918l-2.916 22.35 51.115-2.47c-.988-2.855-2.817-5.929-2.938-8.753-.402-9.553 4.387-17.886 10.784-23.39 6.396-5.504 14.422-8.809 22.73-10 8.428-1.145 18.243.476 24.717 4.16 7.612 4.45 13.393 13.01 14.353 23.568.118 3.717-1.04 7.473-1.716 11.131l26.156-1.266c-6.193-5.641-10.112-17.753-9.604-24.171l17.698-38.09zm79.326 2.416c2.411 19.252 13.366 43.67-1.635 59.004 32.798 3.04 65.627 7.18 98.392 10.912l-1.863-18.638c.298-19.186 23.504-26.377 34.229-26.055 14.381.737 28.106 9.39 30.011 24.754l.291 2.344-9.707 23.629 62.975 7.173-1.129-76.681-4.726-.145c-.796 13.624-1.156 28.466-14.825 34.393-18.535 4.397-44.877-2.379-45.46-22.14.21-4.865 3.221-9.476 5.117-13.932l-69.372-2.112c1.35 35.875-67.767 38.633-67.931 1.362-.086-1.165.276-2.286.517-3.414zm-18.182.29l-19.125 41.156c.316 6.082 7.491 8.084 12.098 8.242 6.558.03 13.176-3.363 13.459-9.207zm-101.78 46.882c-2.9 2.496-4.256 4.963-4.452 7.848l24.49 61.55 11.93-64.622c-.65-4.873-2.465-7.036-5.344-8.72-8.999-3.648-19.459-2.046-26.623 3.944zm232.97 4.348l5.341 53.416 22.286-54.24c-6.582-10.394-23.33-9.702-27.627.824zm-340.034 6.103l12.477 54.49 7.777-59.628c-8.89-4.658-16.771-2.661-20.254 5.138zm256.436 22.737l-4.377 57.61 30.67-54.614z"}}]})(props);
};
function GiSpikesFull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-7.5 67.5-37.5 150-37.5 180 0 15 15 30 37.5 30s37.5-15 37.5-30c0-30-30-112.5-37.5-180zM143.5 61.156c27.255 62.207 24.5 72.447 32 85.438 7.5 12.99 15.01 25.97 28 18.47s5.5-20.48-2-33.47c-7.5-12.99-17.755-15.73-58-70.438zm225 0c-40.245 54.707-50.5 57.447-58 70.438-7.5 12.99-14.99 25.97-2 33.47s20.5-5.48 28-18.47c7.5-12.99 4.745-23.23 32-85.438zM61.156 143.5c54.707 40.245 57.447 50.5 70.438 58 12.99 7.5 25.97 14.99 33.47 2s-5.48-20.5-18.47-28c-12.99-7.5-23.23-4.745-85.438-32zm389.688 0c-62.207 27.255-72.447 24.5-85.438 32-12.99 7.5-25.97 15.01-18.47 28 7.502 12.99 20.48 5.5 33.47-2 12.99-7.5 15.73-17.755 70.438-58zM196 218.5c-30 0-112.5 30-180 37.5 67.5 7.5 150 37.5 180 37.5 15 0 30-15 30-37.5s-15-37.5-30-37.5zm120 0c-15 0-30 15-30 37.5s15 37.5 30 37.5c30 0 112.5-30 180-37.5-67.5-7.5-150-37.5-180-37.5zM256 286c-22.5 0-37.5 15-37.5 30 0 30 30 112.5 37.5 180 7.5-67.5 37.5-150 37.5-180 0-15-15-30-37.5-30zm-102.438 15.438c-6.563.164-14.255 4.61-21.968 9.062-12.99 7.5-15.73 17.755-70.438 58 62.207-27.255 72.447-24.5 85.438-32 12.99-7.5 25.97-15.01 18.47-28-3.048-5.277-7.01-7.175-11.5-7.063zm203.844 0c-4.067.19-7.656 2.19-10.47 7.062-7.498 12.99 5.48 20.5 18.47 28 12.99 7.5 23.23 4.745 85.438 32-54.707-40.245-57.447-50.5-70.438-58-8.12-4.688-16.22-9.378-23-9.063zM195.72 344.75c-8.48.378-14.36 10.508-20.22 20.656-7.5 12.99-4.745 23.23-32 85.438 40.245-54.707 50.5-57.447 58-70.438 7.5-12.99 14.99-25.97 2-33.47-2.842-1.64-5.408-2.292-7.78-2.186zm119.53 0c-2.086.1-4.314.78-6.75 2.188-12.99 7.5-5.5 20.478 2 33.468 7.5 12.99 17.755 15.73 58 70.438-27.255-62.207-24.5-72.447-32-85.438-6.094-10.554-12.21-21.092-21.25-20.656z"}}]})(props);
};
function GiSpikesHalf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-7.5 67.5-37.5 150-37.5 180 0 15 15 30 37.5 30s37.5-15 37.5-30c0-30-30-112.5-37.5-180zM96.906 96.906c63.64 84.853 63.644 84.862 74.25 95.47 10.607 10.606 21.206 21.2 31.813 10.593 10.605-10.608.01-21.207-10.595-31.814-10.607-10.606-10.616-10.61-95.47-74.25zm318.188 0c-84.853 63.64-84.863 63.644-95.47 74.25-10.606 10.607-21.2 21.206-10.593 31.813 10.608 10.605 21.207.012 31.814-10.595 10.606-10.606 10.61-10.616 74.25-95.47zM196 218.5c-30 0-112.5 30-180 37.5 67.5 7.5 150 37.5 180 37.5 15 0 30-15 30-37.5s-15-37.5-30-37.5zm120 0c-15 0-30 15-30 37.5s15 37.5 30 37.5c30 0 112.5-30 180-37.5-67.5-7.5-150-37.5-180-37.5zM256 286c-22.5 0-37.5 15-37.5 30 0 30 30 112.5 37.5 180 7.5-67.5 37.5-150 37.5-180 0-15-15-30-37.5-30zm-62.97 18.656c-7.29.4-14.582 7.677-21.874 14.97-10.606 10.606-10.61 10.615-74.25 95.468 84.853-63.64 84.862-63.644 95.47-74.25 10.606-10.607 21.2-21.206 10.593-31.813-3.316-3.313-6.624-4.555-9.94-4.374zm124.94 0c-2.984.1-5.956 1.392-8.94 4.375-10.605 10.608-.01 21.207 10.595 31.814 10.606 10.606 10.616 10.61 95.47 74.25-63.64-84.853-63.645-84.862-74.25-95.47-7.625-7.622-15.253-15.22-22.876-14.968z"}}]})(props);
};
function GiSpikesInit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-7.5 67.5-37.5 150-37.5 180 0 15 15 30 37.5 30s37.5-15 37.5-30c0-30-30-112.5-37.5-180zm-60 202.5c-30 0-112.5 30-180 37.5 67.5 7.5 150 37.5 180 37.5 15 0 30-15 30-37.5s-15-37.5-30-37.5zm120 0c-15 0-30 15-30 37.5s15 37.5 30 37.5c30 0 112.5-30 180-37.5-67.5-7.5-150-37.5-180-37.5zM256 286c-22.5 0-37.5 15-37.5 30 0 30 30 112.5 37.5 180 7.5-67.5 37.5-150 37.5-180 0-15-15-30-37.5-30z"}}]})(props);
};
function GiSpikes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-5.718 51.466-24.204 93.997-32.813 124.687-8.896 2.525-17.386 5.918-25.312 10.313-27.803-15.645-71.13-32.34-111.563-64.688 32.348 40.434 49.043 83.76 64.688 111.563-4.395 7.926-7.788 16.416-10.313 25.312C109.997 231.797 67.467 250.282 16 256c51.466 5.718 93.997 24.204 124.687 32.812 2.525 8.897 5.918 17.387 10.313 25.313-15.645 27.802-32.34 71.128-64.688 111.562 40.434-32.347 83.76-49.042 111.563-64.687 7.926 4.395 16.416 7.788 25.312 10.312 8.61 30.69 27.095 73.22 32.813 124.688 5.718-51.467 24.204-93.998 32.812-124.688 8.897-2.524 17.387-5.917 25.313-10.312 27.802 15.645 71.128 32.34 111.562 64.687-32.347-40.434-49.042-83.76-64.687-111.562 4.395-7.926 7.788-16.416 10.312-25.313 30.69-8.608 73.22-27.094 124.688-32.812-51.467-5.718-93.998-24.204-124.688-32.813-2.524-8.896-5.917-17.386-10.312-25.312 15.645-27.803 32.34-71.13 64.687-111.563-40.434 32.348-83.76 49.043-111.562 64.688-7.926-4.395-16.416-7.788-25.313-10.313C280.204 109.997 261.718 67.467 256 16zm0 180c16.57 0 31.798 6.486 42.657 17.343C309.515 224.2 316 239.43 316 256c0 16.57-6.486 31.798-17.343 42.657C287.797 309.515 272.57 316 256 316c-16.57 0-31.8-6.486-42.657-17.343C202.483 287.797 196 272.57 196 256c0-16.57 6.486-31.8 17.343-42.657C224.2 202.483 239.43 196 256 196z"}}]})(props);
};
function GiSpikyEclipse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M159.182 17.115l14.882 129.483-46.134-25.303 37.46 72.914c18.642-27.004 49.798-44.702 85.094-44.702 57.07 0 103.334 46.262 103.334 103.332 0 30.772-13.454 58.398-34.797 77.328l67.918 29.404-26.258-60.27 137.83-15.784-126.504-44.65 81.853-53.58H360.1L465.104 18.735 334.8 125.76l-2.978-72.926-69.95 84.832-19.35-84.834-22.323 68.46L159.18 17.116zM24.94 141.8l48.62 54.354 71.725 25.797-51.588-58.237L24.94 141.8zM147.17 254.52l-49.526 27.513 43.69 4.684-76.457 95.18 90.5-48.372-82.702 160.72 124.83-127.95 6.242 71.775 26.863-83.812c-47.03-9.163-82.65-50.216-83.44-99.738zm155.935 87.263c-12.105 7.178-25.8 11.952-40.433 13.672l75.08 136.164-34.647-149.837zM249.95 373.95h-.003l-11.457 59.872 19.237 60.74 12.533-63.812-20.31-56.8zm131.48 13.45l34.513 48.39 52.453 12.493v-.002L435.8 403.183 381.43 387.4z","fillRule":"evenodd"}}]})(props);
};
function GiSpikyExplosion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M454.547 16.027C406.8 37.25 381.052 75.064 369.135 123.303c42.096-24.196 72.15-58.61 85.412-107.276zM95.56 19.03c15.534 34.478 41.673 62.266 76.506 84.683 1.576-31.216-1.92-59.57-11.097-84.682H95.56zm223.674 9.507c-27.494 57.123-49.87 115.225-67.9 174.162-13.04-40.243-29.32-79.83-49.25-118.68.247 36.447 3.52 71.91 9.445 106.51-38.943-35.318-79.96-68.894-123.292-100.52 29.922 43.868 62.24 84.967 96.64 123.656-26.502-8.224-56.91-10.145-88.08-5.97 19.645 14.96 42.703 28.156 67.192 36-48.423 2.757-97.046 7.823-145.888 15.45 41.51 7.845 82.85 13.375 124.043 16.842-22.063 8.906-43.915 18.854-65.536 29.946 40.608-.275 79.997-4.3 118.33-11.577-16.74 21.736-31.644 45.162-44.99 70.028 25.735-15.12 49.978-31.88 72.554-50.477-12.504 58.248-21.31 117.203-27.092 176.738 21.65-50.587 41.044-101.993 57.877-154.328 11.282 28.076 24.197 55.62 38.556 82.696-2.48-37.338-7-74.264-13.793-110.73 46.832 43.08 96.5 82.882 148.472 120.017-38.845-51.87-80.238-101.596-124.584-148.84 65.17-2.498 130.007-9.56 194.576-20.314-47.5-6.818-95.158-11.807-142.99-14.775 19.607-8.637 38.96-18.06 58.078-28.198-36.566 2.427-72.737 6.804-108.467 13.363 12.16-16.334 23.427-33.654 33.715-52.05-16.755 8.214-32.493 17.366-47.317 27.36 13.228-57.563 23.26-116.284 29.7-176.308zm175.05 29.625c-48.748 27.205-89.195 69.08-119.934 128.35 46.33-.998 85.935-12.905 119.933-33.666V58.162zM25.36 124.676c-1.285-.01-2.578-.004-3.878.015 24.13 35.622 56.432 55.136 101.748 49.035-24.56-34.196-57.994-48.75-97.87-49.05zm374.08 179.517c-10.527-.03-21.428 1.062-32.66 3.15 34.93 36.464 77.04 54.27 129.158 46.053-26.086-34.646-58.903-49.093-96.5-49.203zM113.774 326.62c-8.008.004-15.842.556-23.472 1.32-25.435 2.57-48.993 9.59-70.666 21.062v70.666c38.192-19.716 72.544-49.83 102.203-92.86-2.708-.13-5.395-.19-8.065-.19zm57.727 49.855c-50.455 23.15-70.933 64.14-72.57 116.345 43.08-26.34 69.47-63.673 72.57-116.345zm157.664 15.744c.832 38.58 10.744 71.555 28.033 99.866h78.843c-22.654-40.592-57.522-74.27-106.877-99.867z"}}]})(props);
};
function GiSpikyField (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M227.54 19.387l-8.308 54.59c4.032 31.42 34.03 26.625 30.118-3.866l-21.81-50.723zm62.167.2l-22.158 50.58c-4.238 31.394 25.98 34.526 30.093 4.063l-7.936-54.644zM167.44 35.278l6.103 54.882c12.028 29.306 39.763 16.91 28.092-11.527L167.44 35.28zm182.263.593l-34.496 43.123c-12.215 29.233 16.16 40.073 28.016 11.71l6.48-54.833zM113.506 66.186l20.098 51.435c19.202 25.195 42.782 6.04 24.15-18.405l-44.248-33.03zm289.93.947l-44.48 32.724c-19.364 25.08 5.24 42.89 24.03 18.565l20.45-51.29zm-334.032 42.87l32.723 44.477c25.07 19.366 42.89-5.237 18.566-24.03l-51.29-20.448zm377.846 1.23l-51.434 20.1c-25.196 19.207-6.04 42.784 18.407 24.15l33.027-44.25zm-218.95 3.43L208.18 278.056h-9.963V163.437h-18.687v80.393l-53.888 89.162 53.904-16.78 37.788 28.448-9.156 39.988h102.056l-9.156-39.986 37.787-28.45 53.898 16.78-53.872-89.133v-80.423H320.21v114.618h-9.97l-20.117-163.39H228.3zM38.144 163.737l43.123 34.494c29.225 12.22 40.074-16.16 11.712-28.015l-54.835-6.48zm440.01 1.436l-54.884 6.1c-29.306 12.035-16.904 39.762 11.53 28.093l43.356-34.193zm-401.66 50.625l-54.636 7.937 50.578 22.155c30.46 4.11 35.457-25.85 4.058-30.093zm362.964 1.162c-31.424 4.038-26.624 34.03 3.862 30.12l50.73-21.81-54.593-8.31zm-180.25 2.388c13.21.016 26.417 25.534 26.417 76.504h-52.832c0-51.037 13.208-76.52 26.416-76.504zM77.937 263.723c-1.74 0-3.595.117-5.56.37L21.66 285.9l54.586 8.31c28.58-3.666 27.796-30.47 1.692-30.487zm359.777 1.152c-26.102-.154-27.064 26.64 1.494 30.496l54.643-7.934-50.582-22.157c-1.963-.265-3.815-.395-5.555-.405zm-344.518 44.04c-3.59.12-7.716 1.01-12.297 2.89l-43.345 34.193 54.877-6.102c23.99-9.845 20.157-31.636.765-30.982zm327.446 1.15c-17.76.605-21.8 20.903 2.09 30.896l54.834 6.466-43.12-34.483c-4.432-1.852-8.48-2.742-12.042-2.875-.6-.022-1.188-.023-1.76-.004zM118.43 348.74c-4.817.092-10.647 2.148-16.948 6.95l-33.02 44.244 51.43-20.098c18.334-13.975 12.99-31.372-1.462-31.096zm278.46 1.053c-14.517-.425-20.675 16.4-1.872 30.93l51.293 20.437-32.732-44.47c-6.082-4.697-11.85-6.755-16.69-6.897zm-245.724 31.22c-5.54.177-12.208 3.648-18.45 11.727l-20.44 51.295 44.47-32.73c12.332-15.964 6.473-29.768-4.488-30.286-.36-.015-.723-.018-1.092-.006zm211.598.846c-11.096.273-17.41 13.562-4.81 30.1l44.257 33.015-20.106-51.422c-6.406-8.404-13.53-11.834-19.342-11.692zM191.33 403.79c-6.374-.18-13.887 4.793-18.853 16.667l-6.465 54.834 34.48-43.12c7.04-16.84.154-28.115-9.162-28.38zm132.14.546c-9.414-.028-16.543 10.8-9.404 28.203l34.205 43.345-6.11-54.875c-4.74-11.553-12.25-16.655-18.69-16.674zm-88.648 11.31c-7.132-.15-14.773 6.57-16.76 21.29l7.944 54.642 22.146-50.58c2.185-16.184-5.246-25.18-13.33-25.352zm45.037.192c-8.117-.128-15.647 8.526-13.506 25.22l21.816 50.72 8.303-54.587c-1.835-14.29-9.452-21.24-16.614-21.352z"}}]})(props);
};
function GiSpikyPit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M85.365 46.973L65.95 137.566l8.753 40.844c14.597 4.118 35.126-.73 35.707-14.564zm68.254 0l-14.936 71.14 17.515 61.64c11.382-.696 22.047-5.993 22.464-15.907zm68.253 0l-15.244 71.14 30.16 58.762c5.76-2.613 9.873-6.952 10.128-13.03zm68.254 0l-25.045 116.873c.255 6.077 4.368 10.416 10.13 13.03l30.16-58.763zm68.254 0l-25.044 116.873c.417 9.914 11.082 15.21 22.465 15.906l17.516-61.64zm68.255 0L401.59 163.846c.58 13.835 21.11 18.682 35.707 14.564l8.752-40.844zM18 51.12V179.81c4.793-.103 9.544-1.012 13.547-2.736l6.723-31.37zm476 0l-20.27 94.585 6.723 31.37c4.003 1.725 8.754 2.634 13.547 2.738zM52.982 162.956L30.84 266.293l13.69 63.902c17.79 3.014 39.45-3.694 39.974-20.136zm81.207 0l-16.75 75.156 23.156 92.375c13.14-1.656 24.732-8.457 25.115-20.427zm81.206 0l-16.105 75.156 36.41 88.205c6.49-3.46 10.982-8.88 11.218-16.257zm81.208 0L265.082 310.06c.236 7.38 4.728 12.798 11.217 16.258l36.41-88.205zm81.207 0L346.29 310.06c.382 11.97 11.975 18.772 25.114 20.428l23.155-92.375zm81.208 0L427.496 310.06c.524 16.44 22.185 23.15 39.973 20.135l13.69-63.902zM112 282.957L73.08 464.582c.88 35.177 76.96 35.177 77.84 0zm96 0l-38.92 181.625c.88 35.177 76.96 35.177 77.84 0zm96 0l-38.92 181.625c.88 35.177 76.96 35.177 77.84 0zm96 0l-38.92 181.625c.88 35.177 76.96 35.177 77.84 0zM18 292.29v198.642c18.55-.59 36.495-9.37 36.92-26.35zm476 0l-36.92 172.292c.425 16.98 18.37 25.76 36.92 26.35z"}}]})(props);
};
function GiSpikyWing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.49 289.3C105.4 130.1 284.9 17.56 491.1 30.3c-91.5 46.11-179.2 101.3-240.3 155 41.4-8.7 113-24.8 172.7-7.9-83.7 29.6-180.7 64.2-208.6 95.7 51.9-6.5 122-7.3 161.5 17.7-75.3 5.2-174 18.7-188.5 36.3 41.9.8 109.3 36.9 130 60.4-67.6-11.8-106-17-153.5-7.1 58.3 8.9 85.6 49.7 102.6 75.3-51.5-19.6-88.3-30.3-111.9-31 23 23 32.4 43.5 45.1 70.8C107.4 463.2-2.716 330.4 19.49 289.3z"}}]})(props);
};
function GiSpill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M221.406 138.375c-43.425 0-69.357 30.627-6.375 30.625 43.426-.002 69.36-30.627 6.376-30.625zm136.688 17.438c-43.147 0-74.466 9.892-82.938 27.468-83.55-2.5-152.875 26.708-134.906 46.72 2.342 2.607.3 5.57-5.25 5.844-138.955 6.827-164.758 69.375-30.97 88.75 5.662.822 6.792 4.934 4.095 7.594-32.494 32.043 38.39 55.5 143.656 55.5 107.528 0 165.73-18.51 147.19-48.5-4.092-6.618-2.013-11.31 7-12.25 142.247-14.794 106.15-95.06-16.345-102.782-24.96-1.57-19.04-13.427-9.938-14.594 102.117-13.078 39.97-53.75-21.593-53.75zm93.625 203.28c-35.633.655-53.357 24.423 1.436 28.22 40.297 2.792 64.353-23.978 5.906-28.032-2.518-.173-4.968-.23-7.343-.186zm-344.345 40.313c-68.37.002-99.163 49.348 0 49.344 68.37-.002 99.163-49.348 0-49.344z"}}]})(props);
};
function GiSpinalCoil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M268 21.47l-.094 32.06c-7.55.48-15.157 1.345-22.78 2.595l12.81 57.125c13.747-1.546 27.14-1.392 40.002.344L308.813 55c-7.306-1.024-14.718-1.647-22.22-1.844l.094-31.656L268 21.47zm-71.97 14.436l-17.593 6.344 10.72 29.813c-2.8 1.14-5.596 2.324-8.376 3.562-2.896 1.29-5.748 2.652-8.56 4.063l28.874 49.25c12.942-5.666 25.774-9.865 38.375-12.625l-12.657-56.47c-6.72 1.634-13.44 3.58-20.125 5.782l-10.657-29.72zm168.22 1.782L351.03 66.28c-7.723-3.17-15.684-5.734-23.842-7.75l-10.938 58.72c5.633 1.485 11.136 3.262 16.5 5.375 8.172 3.22 16.09 7.14 23.688 11.78L389.5 86.438c-6.967-4.408-14.15-8.512-21.53-12.28L381.22 45.5l-16.97-7.813zM118.906 76.156l-14.53 11.72 20.06 24.905c-5.744 5.305-11.176 10.914-16.28 16.782l43.688 33.313c9.49-9.746 20.367-18.35 32.53-25.47l-28.468-48.593c-5.954 3.698-11.69 7.67-17.187 11.907l-19.814-24.564zM442 86.78l-21.844 22.47c-4.9-4.28-9.975-8.367-15.22-12.25l-33.186 48.125c11.065 8.77 21.282 19.29 30.438 31.688l46.468-37.907c-4.696-5.856-9.678-11.462-14.906-16.812l21.656-22.28L442 86.78zM96.5 144.188c-4.35 5.972-8.4 12.162-12.125 18.532l-28.28-14.032-8.282 16.75 27.812 13.78c-3.49 7.318-6.577 14.844-9.25 22.5l51.438 14.688c5.324-14.068 12.645-27.335 21.78-39.344L96.5 144.188zm363.25 9.782l-47.188 38.468c4.79 8.02 9.2 16.673 13.188 25.968 19.406 12.31 48.29-.43 55.688-23.187-1.407-3.563-2.925-7.057-4.5-10.5l21.093-11.157-8.75-16.532-20.81 11.032c-2.738-4.83-5.65-9.523-8.72-14.093zm-176.438 41.093c-1.41.01-2.802.08-4.187.187l-1.594 26.656c8.773 1.175 16.902 4.41 24.25 9.188l21.19-25.5c-13.22-6.88-26.925-10.635-39.658-10.53zm-23.125 4c-18.62 5.896-36.06 18.262-45.156 39.312 14.578-9.77 29.515-15.014 43.782-16.563l1.375-22.75zm112.594 11.25l-20.655 16.5c-4.207-4.078-8.63-7.814-13.188-11.188L316 243.22c7.872 8.543 14.178 18.956 18.563 30.124l38.53-20.406c-2.615-4.25-5.446-8.314-8.468-12.188l19.844-15.844-11.69-14.594zm-311.81 9.312c-1.83 7.102-3.288 14.296-4.407 21.563l-30.407-3.563L24 256.188l30.5 3.562c-.48 7.082-.63 14.214-.406 21.344l53.437-7.313c-.077-13.44 1.537-26.732 4.72-39.53l-51.28-14.625zm320.75 49.906l-41.75 22.095c2.354 11.546 2.794 23.143 1.374 34.313l49.094 7.187c.527-4.438.864-8.905 1-13.375.084-2.763.05-5.505-.063-8.22l24.594-3.842-2.876-18.47-24 3.75c-1.677-8.15-4.176-15.993-7.375-23.437zm-272.97 22.94l-53.22 7.28c.787 6.57 1.905 13.13 3.314 19.656l-30.157 10.938 6.344 17.562 28.564-10.344c1.765 5.664 3.783 11.274 6.062 16.844.944 2.304 1.944 4.572 2.97 6.813l47.186-26.44c-.003-.008.004-.02 0-.03-5.686-13.895-9.322-28.114-11.062-42.28zm228.5 51.717c-3.17 9.706-7.852 18.854-13.97 27.063l40.626 31.344c3.32-4.693 6.352-9.59 9.094-14.625l26.188 10.124 6.75-17.438L380.906 371c2.49-6.343 4.566-12.852 6.188-19.47l-49.844-7.342zm-209.156 7.344L81.28 377.814c4.008 6.795 8.43 13.21 13.19 19.28l-22.532 20.47 12.593 13.843 22.22-20.22c5.807 5.975 11.992 11.494 18.5 16.533l29.28-44.44c-10.256-8.77-19.214-19.41-26.436-31.75zm182.5 33.533c-7.464 6.628-16.195 12.224-26.125 16.468-1.852.792-3.704 1.55-5.564 2.25l19.03 49.44c2.413-.914 4.827-1.884 7.22-2.908 5.052-2.16 9.89-4.608 14.53-7.28l17.845 26.75 15.533-10.344-17.844-26.782c6.1-4.725 11.74-9.923 16.905-15.5l-41.53-32.094zm-140.938 9.25l-29.03 44.093c6.273 3.87 12.782 7.32 19.468 10.375l-12 28.814 17.28 7.156 12.095-29.094c7.373 2.475 14.902 4.475 22.56 5.97l5.44-52.595c-12.664-2.948-24.748-7.904-35.814-14.717zm91.313 14.812c-12.438 2.78-24.9 3.67-37.033 2.75l-5.375 52.344c7.43.652 14.94.85 22.47.56l1.812 28.064 18.656-1.188-1.844-28.594c6.843-.984 13.67-2.353 20.47-4.156l-19.157-49.78z"}}]})(props);
};
function GiSpineArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M14.563 15.406v104.75L72.97 135.72l52.436 52.468 34.72-18.594 8.81 16.47-86.186 46.155 119.875 33.155 84.28 84.313 20.22-7.594 6.563 17.5-65.438 24.594L491 494 381.812 252.72l-26.03 68.31-17.47-6.655 8.938-23.47-21.406-21.436-33.28-120.314-2.72 5.063-41.625 77.843-16.5-8.813 16.686-31.22-46.375-46.374-33.06-119.53-43.064 80.78-16.5-8.78 15.688-29.407L71.78 15.405H14.563z"}}]})(props);
};
function GiSpinningBlades (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440.375 17.094c7.244 33.827-9.717 62.662-30.344 72.656-40.512-39.534-95.873-63.906-156.874-63.906-124 0-224.72 100.72-224.72 224.72.002 12.353 1.016 24.464 2.94 36.28 5.123-22.73 11.156-44.567 17.843-65.72.002-.008-.004-.02 0-.03C63.49 121.188 149.265 44.53 253.155 44.53c54.75 0 104.47 21.3 141.344 56.064-1.904 7.596-4.423 15.604-7.47 23.875-32.876-33.995-78.9-55.19-129.842-55.19-86.62 0-159.115 61.164-176.657 142.595l3.75 7.78c10.117-16.993 20.68-33.225 31.532-48.936 27.73-49.41 80.598-82.75 141.375-82.75 48.77 0 92.437 21.46 122.125 55.468-3.45 7.78-7.26 15.637-11.406 23.468-24.99-34.106-65.29-56.312-110.72-56.312-60.896 0-112.65 39.874-130.56 94.875l.374 1.968c14.06-14.37 28.43-27.556 43-40 21.655-23.47 52.667-38.157 87.188-38.157 42.452 0 79.623 22.21 100.562 55.657-14.732 24.656-32.192 47.79-50.125 64.97l-18.938-14.626-11.406 14.814 23.158 17.875-46.72 60.405 14.782 11.438 46.75-60.407 23.188 17.906 11.406-14.812-20.938-16.156c11.89-21.11 35.404-29.97 46.125-14.844 74.936-51.748 179.996-131.883 65.345-234.406zM241.937 172.72l-46.75 60.436L172 215.25l-11.406 14.78 20.937 16.19c-11.89 21.11-35.402 29.968-46.124 14.843C60.472 312.81-44.59 392.945 70.062 495.469c-7.92-36.983 13.087-67.99 36.188-74.94 39.41 34.102 90.772 54.75 146.906 54.75 124 0 224.72-100.72 224.72-224.717 0-11.354-.84-22.503-2.47-33.407-5.543 24.092-12.11 47.15-19.375 69.5-17.035 96.65-101.29 169.938-202.874 169.938-51.942 0-99.347-19.163-135.562-50.813 2.672-9.376 6.182-19.278 10.406-29.436 32.822 33.565 78.604 54.406 129.188 54.406 82.997 0 153.034-56.144 174.187-132.47L426 287.095c-10.52 17.824-21.513 34.807-32.844 51.22-28.88 44.414-78.95 73.748-135.97 73.748-48.1 0-91.25-20.868-120.905-54.062 4.058-8.375 8.508-16.785 13.282-25.063 25.165 31.768 64.04 52.188 107.625 52.188 55.623 0 103.587-33.243 125.125-80.906L380.344 294c-12.463 13.042-25.167 25.128-38.063 36.53-21.528 22.162-51.676 35.908-85.092 35.908-40.265 0-75.76-19.976-97.188-50.563 13.052-20.2 27.723-38.827 42.78-53.25l18.97 14.656 11.406-14.81-23.187-17.908 46.75-60.406-14.783-11.437z"}}]})(props);
};
function GiSpinningRibbons (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169.027 40.096C93.14 60.823 48.49 138.916 70.605 218.02c1.862-60.04 52.693-111.227 115.96-112.48l-17.536-65.444h-.003zm192.815 7.58l-181.95 315.15C84.5 330.016 29.234 229.346 51.378 135.12c-67.885 114.69-33.277 255.173 73.343 323.26l-.084.145 3.934 2.272c1.443.883 2.89 1.762 4.358 2.62l.045-.08 7.847 4.532 181.528-314.413c98.517 30.923 156.16 133.487 133.623 229.383 69.6-117.59 31.477-262.31-81.553-328.295l-.172.297-12.408-7.166zm72.652 256.68c-1.86 60.038-52.694 111.226-115.96 112.478l17.536 65.443c75.89-20.722 120.538-98.818 98.424-177.92z"}}]})(props);
};
function GiSpinningSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.438 19.375c-47.71 0-95.422 14.41-136.094 43.22 13.022 15.09 26.314 30.127 39.156 44.468 16.038-11.682 32.482-18.857 48.688-22.282l9.875-9.874 6.625-6.625 6.593 6.626 7.72 7.72c78.735 5.644 140.54 95.133 101.406 175.53l118.5 118.5c54.447-90.673 42.59-209.88-35.625-288.094C377.17 42.45 316.806 19.376 256.44 19.376zM66.5 27.063L29.53 64.03c37.95 29.834 80.152 65.906 115 96.845l7.407 6.594-7 7-47.375 47.374L117.25 241.5l34.5-34.5 268.125 268.156 77.344 19.28-21.845-74.78-26.977-26.978.04-.053-117.75-117.75-.032.045L207.25 151.5l37.094-37.094-19.656-19.656-46.47 46.438-6.968 6.937-6.563-7.28C133.5 106.334 96.644 64.837 66.5 27.062zm-1.28 90.062C-1.735 209.41 6.38 339.035 89.593 422.25c52.93 52.93 124.633 75.448 193.562 67.625-131.5.997-246.804-128.563-207.125-263.156l-4.874-4.876 6.594-6.625 3.25-3.25c7.028-18.512 17.076-37.017 30.5-55.22-14.87-12.992-30.55-26.433-46.28-39.625zm120.374 46.03c12.283 0 22.22 9.968 22.22 22.25 0 2.224-.332 4.35-.94 6.376l236.94 236.97-13.19 13.188L194.47 205.813c-2.72 1.185-5.72 1.843-8.876 1.843-12.284 0-22.25-9.964-22.25-22.25 0-12.285 9.966-22.25 22.25-22.25z"}}]})(props);
};
function GiSpinningTop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M81.524 176.5C47.946 133.786 38.598 114.37 36 106.534a27.408 27.408 0 0 1 30.514-7.851l230.6 84.722a52.994 52.994 0 0 1 31.474 31.474l84.722 230.6a27.408 27.408 0 0 1-7.851 30.514c-7.794-2.584-27.252-11.946-69.966-45.524-40.342-31.714-87.815-74.428-133.664-120.277-45.848-45.849-88.59-93.35-120.305-133.692zm104.307 149.676c-49.576-49.577-96.569-102.245-128.905-144.494a692.302 692.302 0 0 1-13.259-17.862l47.91 109.842a164.502 164.502 0 0 1 4.59 119.783l-11.932 34.313 34.313-11.932a164.502 164.502 0 0 1 119.783 4.59l109.842 47.91a692.283 692.283 0 0 1-17.862-13.26c-42.234-32.363-94.903-79.356-144.48-128.932zm281.56-281.56a29.413 29.413 0 0 0-41.585 0L387.33 83.08l41.556 41.556 38.52-38.52a29.413 29.413 0 0 0 0-41.556zM339.319 187.712l60.35-60.35-15.066-15.01-60.35 60.293a73.92 73.92 0 0 1 15.066 15.067z"}}]})(props);
};
function GiSpiralArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M100.44 11.777V63.3l68.027 68.024v-51.52L100.44 11.776zM36.8 26.087l-10.538 10.26L153.64 163.565c2.86-4.157 5.824-8.042 8.887-11.75L36.8 26.087zm-24.71 74.044l68.025 68.024h51.676L63.683 100.13H12.09zM256.006 124.1c-24.66.192-51.354 10.48-75.348 34.718-34.8 35.155-56.222 127.215-18.105 159.436-7.546-35.653-5.986-77.632 26.35-119.467l.035.033c.61-.843 1.23-1.655 1.853-2.46 1.778-2.217 3.668-4.433 5.624-6.647.645-.697 1.29-1.393 1.945-2.065l-.063-.063c1.287-1.413 2.606-2.825 3.97-4.236 43.752-45.324 119.946-3.634 89.938 65.992h.29c-2.88 6.677-6.74 13.608-11.702 20.742l-69.31-69.31c-3.294 3.37-6.317 7.044-9.17 11.406l70.322 70.234c-8.92 15.136-13.956 30.713-15.79 45.766h-.263c-2.245 18.27.347 35.66 6.412 50.576 4.115 10.427 9.893 19.66 16.947 27.103l.156-.27c5.984 6.286 12.834 11.354 20.29 14.866 66.005 31.093 128.726 54.608 196.23 76.507l-.17-.443.546.222-7.408-18.144C458.28 396.92 427.07 318.55 403.172 235.316l-.002.006c.26 43.795-9.063 78.84-23.848 106.828l30.157 30.41c3.617-5.407 6.83-11.114 9.633-17.115l43.762 107.176L354.9 418.538c6.27-2.965 12.17-6.26 17.705-9.865l-29.255-29.268c-23.927 6.417-50.26-12.102-52.73-42.904-.008-.123-.02-.244-.03-.367-.06-.83-.097-1.67-.123-2.516-.006-.21-.02-.417-.024-.63-.02-1.007-.02-2.024.012-3.055.257-8.665 1.45-17.172 3.838-25.893l87 86.89 6.375 6.38c3.645-3.183 7.075-6.54 10.29-10.064l-28.528-28.53-69.84-69.84c4.99-11.8 12.255-24.317 22.402-38.37 19.266-26.68 21.558-53.408 13.063-75.332-.214-.565-.44-1.123-.668-1.682l-.012-.027c-11.07-27.104-38.573-46.637-70.787-49.108-2.502-.19-5.03-.28-7.582-.26z"}}]})(props);
};
function GiSpiralBloom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M261.826 23.342c-2.1.014-4.186.044-6.262.09-116.232 2.562-195.636 54.744-216.322 111.95-11.82 32.69-6.027 67.12 23.305 99.196 19.405 21.22 49.525 41.114 91.818 57.072-12.872-43.693-18.494-87.863-11.482-132.302l.3.047c1.81-10.37 6.832-20.448 14.112-29.23 29.632-35.742 94.642-59.715 158.1-48.42 77.656 13.824 128.62 37.135 158.263 65.618-2.933-26.51-18.825-51.028-43.174-71.595-31.773-26.84-77.54-45.766-122.914-50.266-15.788-1.566-31.05-2.257-45.744-2.16zm23.666 74.465c-47.91-.14-94.163 20.588-113.81 44.287-5.785 6.978-9.38 13.613-10.584 20.13l.246.038c-.25 1.582-.48 3.165-.696 4.748-.01 4.96 1.412 9.884 4.372 14.87 7.767 13.083 29.18 27.893 70.695 38.186 13.2 3.273 25.47 5.01 36.783 5.705l12.764-82.262 9.785 2.246c29.88 6.86 49.564 16.87 60.648 29.853 5.542 6.492 8.828 14.005 9.086 21.674.05 1.447-.01 2.882-.173 4.302 2.764 38.157 1.664 75.476-5.703 111.287 59.32-12.15 102.336-40.655 118.74-71.587 13.41-25.282 11.35-51.275-13.218-77.035-24.568-25.76-73.307-50.04-152.307-64.102-8.828-1.57-17.756-2.313-26.628-2.34zm15.12 68.66l-9.23 59.488c5.397-.3 10.47-.875 15.16-1.705 18.506-3.274 31.014-10.577 36.177-17.23 1.707-2.2 2.666-4.21 3.1-6.157-.028-.372-.05-.742-.078-1.115l.274-.02c.073-.61.108-1.214.088-1.818-.098-2.892-1.232-6.198-4.622-10.168-5.937-6.955-19.125-15.1-40.87-21.275zm-142.034 37.21c.62 31.614 7.182 63.427 17.713 95.532 16.043 5.048 33.555 9.58 52.636 13.472 39.913 7.48 77.113 7.98 110.115 3.54 6.515-28.052 8.834-57.48 8.147-87.95-9.52 6.876-22.23 11.698-37.39 14.38-21.557 3.814-48.29 3.063-78.578-4.447-34.638-8.588-58.302-20.168-72.642-34.527zm-129.83 15.538C37.45 404.402 137.104 495.61 258.788 495.61c123.68 0 224.628-104.89 230.415-237.204-37.837 57.903-139.786 95.892-263.777 72.637l-.072-.014-.073-.014c-22.46-4.58-42.96-10.024-61.608-16.205l-1.62.57c-.147-.418-.29-.837-.435-1.255-51.585-17.38-88.692-40.5-112.863-66.934-8.195-8.96-14.842-18.344-20.006-27.975z"}}]})(props);
};
function GiSpiralBottle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M190.594 21.25l17.375 62.563h98.56l17.376-62.563H190.594zm22.594 81.25l.03.125h-23.124c-23.79 0-22.498 45.594 0 45.594h21v59.06c-67.386 19.787-116.438 81.935-116.438 155.782 0 53.72 25.992 101.45 66.188 131.094h192.562c40.198-29.645 66.78-77.375 66.78-131.094.002-54.742-27.18-103.04-68.748-132.437-.024-.017-.04-.046-.063-.063-55.29-29.194-128.52-4.296-164.53 57.907-31.025 53.588-17.075 119.058 28.56 145.592 31.835 18.51 76.706 9.554 96.94-27.406 4.657-8.508 5.398-21.25 2-33.594-3.4-12.343-10.81-23.887-19.783-30.218-11.484-8.102-34.814-8.012-48 1.344l-10.812-15.25c20.517-14.558 49.846-15.307 69.594-1.375v.03c13.488 9.52 22.6 24.56 27 40.532 4.398 15.973 4.204 33.257-3.594 47.5-25.225 46.078-81.985 58.277-122.72 34.594-55.635-32.35-70.914-109.68-35.343-171.126 19.487-33.662 49.063-57.925 81.75-70.22h50.97V148.22h19.437c25.968 0 24.433-45.595 0-45.595H301.28l.033-.125h-88.125z"}}]})(props);
};
function GiSpiralHilt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M228.04 25c-6.221 6.962-12.451 16.697-15.5 25.846-2.886 8.656-2.848 15.342.044 20.154h86.832c2.892-4.812 2.93-11.498.045-20.154-3.05-9.15-9.28-18.884-15.5-25.846zm-15.724 64c-4.559 5.939-7.316 14.298-7.316 23s2.757 17.061 7.316 23h87.368c4.559-5.939 7.316-14.298 7.316-23s-2.757-17.061-7.316-23zm0 64c-4.559 5.939-7.316 14.298-7.316 23s2.757 17.061 7.316 23h87.368c4.559-5.939 7.316-14.298 7.316-23s-2.757-17.061-7.316-23zm.418 64c-1.57 3.04-3.605 8.253-4.908 14.766C205.985 240.974 205 252.5 205 264c0 4.617.165 9.23.475 13.705 23.303 12.918 41.918 25.346 50.525 31.299 8.55-5.914 27.179-18.357 50.525-31.299.31-4.474.475-9.088.475-13.705 0-11.5-.985-23.026-2.826-32.234-1.303-6.513-3.339-11.726-4.908-14.766zM87 256.186c-8.69.146-17.198 1.7-24.654 5.695-16.372 9.026-29.472 29.862-35.09 53.101-5.618 23.24-3.576 48.243 6.387 64.266 8.633 13.885 27.756 23.805 48.968 27.729 21.213 3.923 44.058 1.625 57.364-5.028C152.62 395.626 155 385.58 155 375c0-10.03-2.98-18.574-3.299-19.463-7.82-15.598-15.576-29.109-23.79-36.726-8.303-7.699-15.693-10.484-29.208-6.227-8.45 3.679-21.41 11.758-20.18 22.11C82.8 348.981 97.358 358.741 112 359v18c-10.42 0-21.517-3.805-31.205-10.4-9.688-6.596-18.194-16.447-20.08-29.293 3.61-41.77 53.194-54.473 79.433-31.696 11.026 10.224 18.885 24.484 26.543 39.672L256 385.437l89.309-40.154c7.658-15.188 15.517-29.448 26.543-39.672 26.239-22.777 75.823-10.074 79.433 31.696-1.886 12.846-10.392 22.697-20.08 29.293C421.517 373.195 410.42 377 400 377v-18c14.642-.258 29.2-10.018 33.477-24.307 1.23-10.35-11.73-18.43-20.18-22.109-13.515-4.257-20.905-1.472-29.207 6.227-8.215 7.617-15.972 21.128-23.791 36.726-.32.89-3.299 9.433-3.299 19.463 0 10.58 2.38 20.626 15.025 26.95 13.306 6.652 36.151 8.95 57.364 5.027 21.212-3.924 40.335-13.844 48.968-27.729 9.963-16.023 12.005-41.026 6.387-64.266-5.618-23.24-18.718-44.075-35.09-53.101-7.456-3.995-15.964-5.55-24.654-5.695-8.69-.146-17.561 1.116-25.746 2.755-20.272 4.367-42.582 13.385-63.113 23.532-34.63 17.113-62.762 36.325-80.141 42.209-17.38-5.884-45.511-25.096-80.14-42.21-20.532-10.146-42.842-19.164-63.114-23.53-8.185-1.64-17.056-2.902-25.746-2.756zm114 126.377V494h28v-64.357l14.523-25.819zm110 0l-42.523 21.261L283 429.643V494h28zm-55 35.794l-9 16V494h18v-59.643z"}}]})(props);
};
function GiSpiralLollipop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M327 34c-83.5 0-151 67.5-151 151s67.5 151 151 151c21.2 0 41.3-4.3 59.6-12.2 33.9-24.3 56.5-65.1 58.9-109 3.9-70.8-46.3-136.23-112.8-140.29-59.1-3.46-113.6 45.29-116.4 109.69-2.6 56.4 37.7 108.4 90.7 110.7 45.9 2 87.9-36.2 89.2-86.1 1-41.9-29.4-80.5-69-81.1-32.2-.4-61.9 27-61.7 62.4.2 27.4 20.8 52.8 46.8 51.8 18.9-.9 36.2-17.7 34.5-38.2-.6-6.7-3.6-13.4-8.1-17.9-4.5-4.3-9.6-6.5-15.6-5.3-2.5.6-6.3 3.1-8 5.5-2.3 3.5 12.4 8.9 12.1 13-.4 4.3-3 8.9-6.8 11.2-3.9 2-7.5 1.4-10.2.6-5.3-1.6-9-4.1-11.9-10.4-3.9-9.1-1.7-19.1 3.1-25.8 4.5-6.5 11.1-10.7 18.4-12.4 11.7-2.4 22.9 2.3 30.6 9.8 7.7 7.7 12.8 18.5 13.8 29.8 2.6 32.3-23.2 57.5-51.1 58.5-36.6 1.7-64.5-32.7-64.9-70.2-.4-46.5 37.7-81.7 79.2-81.1 50 .6 87.5 48.4 86.2 100.4-1.7 60.7-52.3 106.4-107.1 104.2-63.2-2.7-110.6-63.8-107.5-130.2 3-70.7 58.6-124.53 122-127.58 4.1-.2 8.5-.2 12.8 0 76.4 4.67 133.5 79.18 129 160.28-1.1 20.6-6.1 40.5-14.4 58.7C467 249.7 478 218.7 478 185c0-83.5-67.5-151-151-151zM192.8 287.6L44.73 448l-.13.2c-6.94 6.9-9.79 13.2-10.45 17.9-.66 4.6.57 7.5 2.45 9.3 1.88 1.9 4.74 3.2 9.37 2.5 4.61-.7 10.95-3.5 17.88-10.4L213.3 310c-7.5-6.9-14.3-14.3-20.5-22.4z"}}]})(props);
};
function GiSpiralShell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M485.096 39.047c-7.14.375-49.73 5.767-52.11 23.037-9.77-2.646-19.678-1.8-26.85 3.115-5.393 3.694-8.374 9.102-9.01 15.17-11.383-2.674-22.25-1.52-29.87 4.1-6.4 4.722-9.476 11.842-9.45 19.932-4.608-1.094-9.15-1.7-13.51-1.777-.584-.01-1.163-.01-1.74-.002-8.644.127-16.51 2.363-22.69 6.922-6.807 5.02-10.638 12.188-11.67 20.422-22.614-6.658-44.65-5.202-59.692 5.894-12.258 9.043-17.78 22.947-17.025 38.652-46.313-12-87.766-.726-90.414 55.246-4.322 91.366-104.763 126.175-107.828 254.664 71.16-106.47 255.07-279.767 239.6-137.213-8.058 74.248-92.804 24.706-211.91 115.454 108.46-74.824 224.278-15.26 232.486-121.47 19.974 10.955 29.233 6.274 46.232-6.266 24.394-17.993 27.178-41.515 16.985-65.127 6.975-1.565 13.346-4.3 18.792-8.318 16.943-12.497 21.037-34.275 13.43-57.277 7.5-.54 14.307-2.75 19.787-6.79 11.34-8.366 14.457-22.676 10.042-37.99 7.16.034 13.692-1.72 18.775-5.47 9.79-7.222 11.822-20.045 6.822-33.39 4.467-.53 8.62-1.952 12.12-4.35 8.628-5.912 11.097-16.204 7.616-26.59 17.763-3.348 20.07-43.588 21.08-50.578z"}}]})(props);
};
function GiSpiralTentacle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M264.19 22.39c-.554.012-1.108.02-1.66.038v-.002c-52.9 1.676-105.277 23.03-147.286 61.365-25.217 124.222 24.038 247.992 119.043 321.222-17.144-25.713-30.106-53.245-36.69-80.772-49.914-107.69-20.766-234.732 66.592-301.85zm30.68 1.706c-77.615 46.415-115.48 140.617-99.183 232.402 4.403-20.76 13.934-40.557 29.69-58.478 2.05-2.333 4.138-4.53 6.256-6.616 38.873-59.723 101.832-93.466 165.105-93.34 18.225.034 36.475 2.884 54.182 8.727-33.106-39.478-81.564-64.963-134.35-78.47-7.188-1.84-14.43-3.238-21.7-4.224zm-202.356 83.34c-10.875 12.882-20.737 27.128-29.34 42.685-22.313 40.347-37.12 88.304-42.287 137.6 2.763 107.585 83.768 194.647 188.556 206.68h215.01c-33.88-4.424-61.725-8.88-86.846-17.087-162.98-45.706-265.025-204.716-245.093-369.877zm303.812 9.142c-42.554-.115-85.028 16.918-118.607 48.483 12.745-3 25.603-3 37.925-.412l.005.002c84.882 6.24 155.457 65.86 176.76 144.68 7.134-34.17 7.018-73.436-.77-115.435-3.985-21.498-11.093-40.84-20.73-58.13-23.626-12.9-49.116-19.118-74.584-19.187zm-27.38 79.465c10.36 11.516 18.504 25.568 23.382 41.437 29.622 70.347 13.426 151.21-39.723 197.034 5.042.13 10.118-.122 15.192-.803 53.854-7.224 91.762-38.66 112.2-85.075-4.152-68.78-48.96-127.365-111.052-152.592zm-65.118 53.037c-14.914-.015-30.54 9.213-39.687 25.06-.064.11-.12.224-.185.337-21.33 35.273-19.836 71.004-5.19 99.734 27.39 4.356 56.023-4.833 79.274-23.597-18.987 3.46-38.792-.936-53.186-13.46 16.658 3.132 35.604-6.325 46.072-24.456 12.728-22.046 8.095-48.547-10.348-59.195-5.187-2.995-10.914-4.416-16.75-4.422zm84.233 69.21c-24.04 46.008-69.416 76.152-116.24 75.737 14.265 17.256 33.723 30.236 55.137 36.452 37.113-24.273 58.677-66.55 61.104-112.19zM22.688 378.01c6.39 41.997 20.944 82.144 45.07 116.392h71.77c-51.79-23.142-93.474-64.69-116.84-116.392z"}}]})(props);
};
function GiSpiralThrust (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M36.633 19.08L15.506 40.207 99.51 124.21l21.127-21.126L36.633 19.08zM204.64 45.51L42.034 208.115l24.87 24.87c19.88-29.31 42.286-56.78 66.806-82.09l258.89 258.89 13.214-13.215-258.9-258.9c25.565-24.827 53.23-47.375 82.594-67.29l-24.87-24.87zm-17.068 80.12c-4.37 3.738-8.69 7.543-12.955 11.41l262.6 262.605 27.838 69.77-69.772-27.835L132.73 179.025c-3.858 4.27-7.655 8.596-11.388 12.98l15.908 15.907c-11.892 19.5-16.246 39.67-14.814 58.34-3.69 59.48 66.362 99.08 130.736 57.582l69.14 69.14c-23.845 8.237-51.302 13.04-82.884 12.856l-.008.012c87.233 25.69 168.06 59.824 253.518 93.443-.018-.07-.038-.145-.055-.217l3.037 1.21-7.477-18.737c-14.61-55.61-36.398-119.265-54.95-178.485-9.992-31.56-67.812-54.614-110.876-42.38l-89.86-89.86c29.51-11.725 58.15-10.98 83.57-5.598-20.15-23.84-63.71-24.393-102.114-12.947l-26.64-26.64zm-23.54 109.063l65.708 65.71c-45.45 8.77-74.317-29.476-65.71-65.71zm190.753 58.15c28.89 1.334 42.642 19.908 40.094 40.094l-40.095-40.093z"}}]})(props);
};
function GiSplash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M230.406 14.656c-11.74.595-21.094 10.332-21.094 22.22 0 12.27 9.948 22.187 22.22 22.187 12.27 0 22.218-9.917 22.218-22.188 0-12.27-9.948-22.22-22.22-22.22-.382 0-.745-.018-1.124 0zm119.5 75.5c-14.066 0-25.47 11.402-25.47 25.47.002 14.066 11.404 25.468 25.47 25.468 14.067 0 25.47-11.402 25.47-25.47 0-14.066-11.403-25.468-25.47-25.468zM231.594 104.25c9.608 135.475-16.43 339.177-104.03 143.063 43.005 161.424-1.16 193.905-82.158 134.375C92.892 428.228 96.6 446 93.438 490.063h87.53c6.024-134.79 170.218-112.52 160.97 0h61.593c-2.084-64.2 19.595-109.802 79.72-169.063-61.48 49.15-138.108 86.467-125.438-41.188-48.405 139.543-115.11-25.45-126.218-175.562zM390.5 163.313c-19.997 0-36.22 16.22-36.22 36.218 0 19.998 16.223 36.22 36.22 36.22s36.188-16.222 36.188-36.22c0-19.996-16.19-36.218-36.188-36.218zM49.28 304.905c-14.065 0-25.468 11.402-25.468 25.47 0 14.066 11.403 25.468 25.47 25.468 14.066 0 25.468-11.402 25.468-25.47 0-14.066-11.402-25.468-25.47-25.468z","fillRule":"evenodd"}}]})(props);
};
function GiSplashyStream (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M26.883 21.834C102.82 75.45 177.283 165.46 199.53 258.05 160.38 175.252 85.277 94.86 23.06 68.24v35.356c199.378 131.08 141.663 248.82 332.307 393.043h57.326C350.65 457.5 294.07 404.046 257.266 324.38l-.012-.015v-.01l.012.024c60.613 77.353 142.26 138.53 237.125 172.26h.557V362.317c-105.79-32.628-179.012-83.115-223.68-138.996 55.382 48.512 146.278 89.87 223.68 102.787V275.3C401.507 267 302.38 216.88 233.89 153.82c-41.93-38.608-76.697-89.898-141.33-131.988H26.882zM379.75 124.93c-13.29 0-24.064 10.772-24.064 24.062 0 13.29 10.774 24.065 24.064 24.065 13.29 0 24.063-10.775 24.063-24.065 0-13.29-10.773-24.062-24.063-24.062zM28.875 159.018c57.203 45.017 125.82 141.277 113.432 200.084-2.225-.825-4.62-1.297-7.13-1.297-11.35 0-20.55 9.2-20.55 20.55 0 11.348 9.2 20.55 20.55 20.55 8.03 0 14.966-4.618 18.346-11.333 6.737-9.864 8.02-29.06 6.88-48.65-4.168-71.813-54.245-147.98-131.528-179.904zm420.65 6.11c-17.79 0-32.63 12.623-36.05 29.4-29.74 7.17-71.18-.14-102.946-15.383 41.363 34.55 87.107 53.456 131.75 58.85 2.342.47 4.765.72 7.245.72 20.322 0 36.793-16.475 36.793-36.795s-16.47-36.793-36.793-36.793zM170.418 287.962c11.662 34.126 16.555 79.606 9.85 114.375-8.134 5.784-13.446 15.28-13.446 26.02 0 17.625 14.288 31.913 31.914 31.913s31.914-14.287 31.914-31.913c0-6.315-1.84-12.195-5.005-17.15l-55.227-123.244z"}}]})(props);
};
function GiSplitArrows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M135.3 38.88L25.22 73.93l74.73 87.97 12.75-44.5c44.9 15 73.8 35.5 91.6 58.3 20.6 26.2 27.5 56.2 25.7 88.9-3.6 65.4-45.7 139.7-83.8 185.5l27.6 23c31.7-37.9 65.6-91.6 82.2-149.5 16.6 57.9 50.5 111.6 82.2 149.5l27.6-23C327.7 404.3 285.6 330 282 264.6c-1.8-32.7 5.1-62.7 25.7-88.9 17.8-22.8 46.7-43.3 91.5-58.3l12.8 44.5 74.8-87.97-110.1-35.05 12.6 43.94c-50.8 16.8-86.7 40.98-110 70.68-10.3 13.2-17.9 27.2-23.3 41.9-5.4-14.7-13-28.7-23.3-41.9-23.3-29.7-59.2-53.88-110-70.68z"}}]})(props);
};
function GiSplitBody (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M250.438 19.594v145.22h.03V330.28l-10.093-.81c-27.058-2.19-56.044-5.276-88.03-9.72-.1 5.036-.158 10-.19 14.875h44.501l.656 8.625 11.344 151.094h97.688l10.03-151 .563-8.72h42.344c-.01-36.5-.335-78.42-7.874-112.624-4.087-18.543-10.27-34.625-18.97-46.188-8.698-11.562-19.477-18.87-34.967-21.25l-16.033-2.437 10.188-12.656c10.106-12.556 16.875-30.444 16.875-50.407 0-39.556-25.013-69.376-53.03-69.376-2.638 0-4.353-.113-5.032-.093zM231.75 26.78c-16.906 11.36-29.344 34.582-29.344 62.282 0 20.463 7.124 38.57 17.688 51.188l10.28 12.25-1.718.313c1.025.206 2.077.422 3.094.625V26.78zM18.625 116.657v36.78c68.436 24.506 143.668 44.89 213.156 56.408v-37.438c-56.514-11.077-124.994-28.567-213.155-55.75zM490 134.562c-7.485 8.574-15.784 16.955-25.906 24.407 3.745 14.43 2.986 27.84-2.875 39.405-8.59 16.945-26.72 27.95-51.126 34.22l-.22.06-.187.032c-11.353 2.378-23.56 4.027-36.468 5.032 3.345 22.975 4.38 47.274 4.686 70.31 6.372-1.126 12.395-2.4 18.03-3.842 35.658-9.13 56.96-23.943 70.533-42.47 23.152-31.603 23.82-77.4 23.53-127.156zm-42.72 34.844c-4.923 2.54-10.207 4.874-15.967 6.938-18.555 6.645-41.535 10.554-71.22 10.75 4.08 9.59 7.164 19.987 9.563 30.875.084.38.168.772.25 1.155 12.848-.86 24.825-2.41 35.75-4.688 21.316-5.513 33.686-14.26 38.875-24.5 2.878-5.676 3.99-12.407 2.75-20.53zM18.626 173.28v103.657c87.692 18.675 154.946 27.856 213.156 32.938v-81.063c-69.586-11.302-144.43-31.31-213.155-55.53z","fillRule":"evenodd"}}]})(props);
};
function GiSplitCross (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96.375 20.094l30.813 40.75 130.28 130.28L375.313 73.282l40.22-53.186-159.594 108.094L96.375 20.094zM452.22 59.53l-113.564 76.845-74.562 74.563-6.594 6.625-6.625-6.625L176.937 137 62.594 59.625l80.844 119.47 69.656 69.655 6.594 6.594-6.594 6.625-74.813 74.81L61.563 450.19l120.75-81.688 68.657-68.656 6.593-6.625 6.625 6.624 69.562 69.562 119.53 80.906-77.374-114.343-73.937-73.94-6.595-6.592 6.594-6.625 68.56-68.563 81.69-120.72zm-430 34.69l108.124 159.593L22.22 413.375l53.468-40.438L193.25 255.375 62.812 124.937 22.22 94.22zm470.624 3.155l-53.22 40.22-117.812 117.843 130.47 130.468 40.53 30.656L384.72 256.97 492.843 97.374zm-235.28 222.28l-117.69 117.69-40.343 53.342 159.595-108.093 159.563 108.094L388 450.094 257.562 319.656z"}}]})(props);
};
function GiSplurt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M223.78 18.563c-13.577.267-26.252 13.425-16.81 33.062 17.045 35.465 29.126 53.574 45.936 81.906.43-31.648-.522-56.963-6.25-92.436v-.032c-2.586-16.03-12.967-22.695-22.875-22.5zm199.876 3.812c-1.272-.007-2.56.026-3.906.125-57.393 4.222-115.434 43.967-128.78 88.594 23.13-27.564 75.967-45.43 133.186-41.72 42.626 2.766 38.924-46.78-.5-47zM100.28 80.72c-7.754.096-15.632.908-23.5 2.468-57.75 11.446-46.283 90.25 9.19 67.062 63.716-26.63 102.673-15.477 131.78 20.688 1.942-46.08-54.322-91.015-117.47-90.22zM368.22 100c-3.29.052-6.453.287-9.44.75-41.463 6.433-62 23.806-67.374 76.125 35.677-42.483 73.564-36.43 127.656 34.53 47.092 61.784 110.826-19.008 53.594-69.124-28.248-24.736-72.65-42.786-104.437-42.28zM143.28 207.656c-26.534-.027-49.802 1.334-80.843 6.344C24.443 220.13 39.03 270.016 73 253.688c35.465-17.046 53.578-29.124 81.906-45.938-3.956-.054-7.834-.09-11.625-.094zm81.282 17.188C159.165 234.252 98.376 273.34 36.095 347.75c-50.007 59.747 32.842 116.914 70.75 46.97 43.54-80.347 77.52-124.72 117.72-169.876zM318.625 228c34.243 46.835 48.228 65.114 59.22 150.72 9.567 74.527 102.045 37.72 78.342-31.94-29.52-86.757-74.398-104.678-137.562-118.78zm-43.47 68.594c-27.59 59.063-36.883 87.625-45.75 139.875-12.43 73.245 83.39 75.698 81.064-.19-1.33-43.354-17.064-91.402-35.314-139.686zm-56.592 12.344c-27.555 39.625-44.235 69.134-65.813 110.312-20.713 39.53 35.78 60.664 44.22 17.78 8.812-44.765 17.524-90.11 21.593-128.092z"}}]})(props);
};
function GiSpookyHouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M189.1 20.24l-68.5 87.56h137zm225.3 2.64C399.6 58.25 364 63.27 333 65.62c-6.3 36.48-25.7 40.18-57 55.48l39.2-2-7.2 50c12-29.6 19.9-60 39-88.42l13.6-3.41-4.6 59.83 24.3-64.75c98.2-7.42-6.7 91.25-35.7 125.95l29.3-17.9 11 41.1c-.5-38.8 25-95.4 57.1-113.6 31.9 24.8 13.5 69.4 10 99.3l12.8-20 25.1 36.2c-15.4-37.6-19.3-67-12.2-105.3-25.1-19.63-47.7-39.88-62.3-62.28l5.6-9.09 54.9 26.42-45.5-41.82 5.2-8.45zM134.1 125.8V225l45.4 45.4-12.8 12.8-73.77-73.8-70.81 67.4h15.96v215H141.1v-94H71.35l48.05-48H52.08v-82h82.02v48h150.1l34.8-46h-97.9v-17h23v-127zm14 14h82v98h-82v-89zm18 18v14h14v-14zm32 0v14h14v-14zm-32 32v30h14v-30zm32 0v30h14v-30zm64 32v30h70.5l16.5-21.9 64.9 85.9h75.9l-65.5-94zm87 37.9l-72.8 96.5-14.4-10.8 8.8-11.6H134.1v14h90.7l32 32h51.6c-2.8-5.8-4.3-12.2-4.3-19 0-24.7 20.3-45 45-45s45 20.3 45 45c0 6.8-1.5 13.2-4.3 19h78.1l.2.3v-46.3h-40.6l8.8 11.6-14.4 10.8zM70.08 285.8v14h14v-14zm32.02 0v14h14v-14zm-32.02 32v14h14v-14zm32.02 0v14h14v-14zm238 17.5c-7.7 2.7-13.8 8.8-16.5 16.5h16.5zm18 0v16.5h16.5c-2.7-7.7-8.8-13.8-16.5-16.5zm-229.3 30.5l-14 14h116.6l-14-14zm194.8 4c2.7 7.7 8.8 13.8 16.5 16.5v-16.5zm34.5 0v16.5c7.7-2.7 13.8-8.8 16.5-16.5zm-153 28v94h103v-46h-11.3l-38.4-48zm76.3 0l24 30h172.9l-20-30zm-229.32 14h66.02v66H52.08v-57zm105.02 0v18h32v-18zm-87.02 18v30h30.02v-30zm256.02 16v46h35v-46zm53 0v46h36v-46zm54 0v46h35v-46z"}}]})(props);
};
function GiSpoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M67 20.31c-42.25.41-79.45 58.42-19.84 72.19C151 116.5 232 178.6 295.1 275.6c8.2 16.3 14.4 32.5 11.3 48.8-4.4 15.9-5.3 32-3.2 45.9 4.1 25 16.5 52.2 37.8 75.4 21.2 23.2 46.9 37.8 71.4 44 24.5 6.1 49 4.3 65.4-10.7 16.5-15.1 18.6-38.2 12.9-61.7-5.7-23.5-20-48.8-41-71.7-21-23-44.9-39.5-67.8-47.3-8.2-2.8-16.5-4.6-24.4-5-13.6-5.5-23.6-17.1-32.6-30.5C269.3 154.7 186.7 84.04 90.4 26.66c-7.62-3.79-16.14-6.35-23.4-6.35zM322.2 335.8c24.6 61.8 73.3 110.8 127.6 137.5-8.4 1.5-18.9 1.1-30.3-1.7-21-5.3-44.5-18.3-63.8-39.3-19.3-21.1-30.7-46.4-34.2-67.9-1-9.7-1.3-20.1.7-28.6z"}}]})(props);
};
function GiSportMedal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M338.8 31.81c-5 19.51-9.9 38.69-14.9 57.64-45.3 7.27-90.5 7.28-135.8 0-5-18.95-9.9-38.13-14.9-57.64 54.9 22.58 110.7 22.58 165.6 0zm17.3 4.59l34.4 45.95c-14 96.25-40 204.15-77.5 302.95-10.7-12.4-25.2-21.3-41.8-24.7 28.3-111.3 56.6-212.3 84.9-324.2zm-200.2 0c28.3 111.9 56.6 212.9 84.9 324.2-16.6 3.4-31.1 12.3-41.8 24.7-37.5-98.8-63.5-206.7-77.5-302.95zM256 377c31.6 0 57 25.4 57 57s-25.4 57-57 57-57-25.4-57-57 25.4-57 57-57z"}}]})(props);
};
function GiSpotedFlower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M318.443 20.05c-35.054 22.62-70.676 44.575-94.494 80.305 1.84 20.152 6.3 40.378 12.26 60.776 6.78-1.562 13.837-2.39 21.083-2.39 4.996 0 9.902.397 14.69 1.153l13.074-57.754 18.228 4.124-13.217 58.386c10.45 3.907 20.03 9.623 28.348 16.768 12.973-13.382 26.736-26.55 41.686-39.248-2.47-44.513-18.73-84.426-41.66-122.12zM95.105 82.93c-4.194.03-8.39.143-12.584.334-.026 41.063 4.614 82.128 23.6 123.193l.28-.514c19.433 10.594 39.135 19.157 59.184 26.327 3.215-14.427 9.76-27.616 18.78-38.717l-42.315-41.37 13.063-13.365 42.407 41.46c6.24-5.16 13.158-9.53 20.593-12.958-5.698-20.025-10.117-40.194-12.314-60.607-36.898-17.73-73.796-24.04-110.695-23.783zm283.684 67.988c-17.12 14.04-32.698 28.9-47.347 44.168 6.66 8.55 11.874 18.276 15.278 28.807l58.425-17.47 5.353 17.903-59.838 17.893c.384 3.44.588 6.933.588 10.473 0 7.553-.904 14.9-2.598 21.942 20.105 3.92 40.636 8.17 61.682 13.217 34.68-21.748 61.017-54.22 80.818-95.096-37.012-23.792-73.78-39.46-112.36-41.838zM257.292 177.43c-8.303 0-16.275 1.352-23.734 3.816 2.61 1.022 5.216 2.703 7.706 5.172 19.073 18.918-9.468 46.314-27.246 27.242-5.5-5.898-6.807-12.563-5.436-18.398-16.255 13.787-26.555 34.364-26.555 57.43 0 14.676 4.178 28.338 11.392 39.894 1.525-2.995 3.973-5.486 6.928-6.988-5.333-3.38-9.084-9.344-8.786-17.84.756-21.57 25.068-26.888 35.903-14.74 1.74-7.702 8.115-14.288 19.342-14.366 26.86-.108 26.052 39.445-.005 38.53-6.296-.22-11.103-2.585-14.416-6.03-1.207 9.77-7.803 15.438-15.357 17.16.285.254.57.495.852.774 1.625 1.612 2.786 3.302 3.592 5.016 6.702-4.404 16.014-4.67 24.1 3.353 10.266 10.18 6.732 22.806-1.485 29.334 4.287.753 8.693 1.17 13.2 1.17 9.2 0 18-1.642 26.138-4.64-2.956-.954-5.867-2.77-8.535-5.632-10.233-10.977-5.966-24.597 3.126-30.584-3.73-16.403 9.658-32.33 25.472-32.07 6.19.1 12.747 2.68 18.795 8.68 3.455 3.428 5.753 7.06 7.088 10.72 2.06-6.88 3.182-14.175 3.182-21.74 0-41.678-33.587-75.264-75.264-75.264zm28.102 29.07c6.05-.037 12.075 3.525 14.334 11.822 5.558 20.425-24.708 27.875-29.326 7.858-2.742-11.885 6.15-19.626 14.99-19.68zm-184.34 17.77c-37.99 26.268-59.572 60.742-81.746 94.916 39.83 22.372 80.09 42.608 124.49 42.148 17.774-11.946 33.903-25.542 49.163-40.25-7.878-7.415-14.482-16.168-19.44-25.895l-48.61 14.535-5.354-17.907 47.17-14.105c-2.207-7.97-3.392-16.36-3.392-25.02 0-.444.01-.886.017-1.33-20.98-7.342-41.727-16.142-62.3-27.093zm241.3 68.275c-3.076 6.535-6.88 12.664-11.314 18.275l45.77 44.746-13.064 13.364-45.682-44.662c-6.43 5.468-13.6 10.09-21.337 13.685 5.73 22.515 9.804 45.504 11.037 69.084 37.863 18.185 78.275 23.618 120.172 21.64 1.908-43.788-3.597-85.35-22.723-122.827-21.327-5.084-42.254-9.35-62.858-13.305zm-134.2 40.184c-17.268 16.675-35.79 32.2-56.594 45.872 4.976 37.762 20.818 75.525 40.456 113.29 37.09-24.788 71.163-51.988 96.96-85.812-1.287-20.848-5.088-41.435-10.388-61.87-6.845 1.595-13.974 2.44-21.295 2.44-2.812 0-5.594-.13-8.344-.375l-13.75 60.73-18.225-4.126 13.607-60.11c-7.966-2.368-15.493-5.766-22.428-10.04z"}}]})(props);
};
function GiSpottedArrowhead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.738 91.984l-44.953 43.407L347.02 334.49 106.937 282.41 86.11 340.076l31.74 6.885c17.262-26.41 34.672-37.897 46.46-37.66 14.697.293 20.643 18.788 6.653 49.182l40 8.676c12.832-19.568 26.904-28.186 37.736-28.418 14.894-.32 23.648 15.194 14.622 39.776l36.32 7.88c10.957-16.7 23.525-24.058 33.77-24.353 14.735-.425 24.645 13.735 18.057 35.592l34.675 7.523c6.048-8.434 14.044-11.92 21.76-11.808 12.196.178 23.67 9.336 25.61 22.082l58.415 12.672-34.893-47.833c-20.736 6.587-43.784-15.976-29.04-39.81l-20.77-28.472c-29.56 26.453-58.67-1.16-31.717-42.793l.953.62-22.527-30.88c-32.722 32.725-62.694 4.207-31.944-43.29l.695.455-24.603-33.73c-40.068 46.554-71.425 16.504-32.3-43.927l.486.317-19.532-26.776zM18.422 98.43v48.922l111.99 73.162.004.002c12.928 8.465 23.864 11.452 31.51 11.38 7.646-.07 11.722-2.722 13.844-6.033 2.12-3.31 2.867-8.28-.225-15.425-3.092-7.147-10.292-16.033-23.244-24.514L18.423 98.43zm169.797 50.06l-23.853 23.03c14.216 9.68 23.56 20.468 28.33 31.496 4.975 11.497 4.727 23.69-1.193 32.93-5.92 9.238-16.932 14.522-29.404 14.638-11.7.11-24.933-3.91-39.104-12.645l-9.658 26.744 189.648 41.136L188.22 148.49z"}}]})(props);
};
function GiSpottedBug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M437.507 294.138l-46.303 2.675a134.099 134.099 0 0 0-20.03-93.167l31.28-40.404-12.296-50.65-16.76 4.088 10.364 42.529-23.308 30.07A134.315 134.315 0 0 0 302.21 149.9l13.342-62.762-18.077-66.223-16.696 4.605 17.01 62.18-12.276 57.724a132.664 132.664 0 0 0-29.542-2.631 27.536 27.536 0 0 0-27.06-30.297 48.946 48.946 0 0 0-30.805-22.866 28.873 28.873 0 0 1 5.015 12.058 29.316 29.316 0 0 1-57.757 10.031 48.31 48.31 0 0 0-6.774 32.584 49.14 49.14 0 0 0 1.327 6.04 27.514 27.514 0 0 0 13.083 44.696 134.455 134.455 0 0 0-17.829 31.02l-45.106-7.356-51.232-57.434L26 172.755l55.244 61.997 48.374 7.895a133.096 133.096 0 0 0-.528 65.501q1.305 5.393 3.02 10.495l-28.927 3.128-48.612-38.182-10.656 13.569 54.145 42.517 40.835-4.422a133.344 133.344 0 0 0 46.38 52.753l-16.396 50.693-3.947 51.06 17.257 1.326 3.786-49.021 14.658-45.3a133.743 133.743 0 0 0 186.646-82.478l46.551-2.697 44.33 22.618 7.841-15.37zm-152.283-104.04c8.628-12.65 27.158-15.1 41.288-5.392 14.129 9.707 18.573 27.795 9.9 40.446-8.67 12.652-27.158 15.1-41.287 5.393-14.13-9.707-18.573-27.784-9.901-40.446zm-77.312-2.512c12.695-8.165 28.776-5.77 35.916 5.328 7.14 11.098 2.632 26.727-10.063 34.892-12.695 8.164-28.776 5.77-35.916-5.328-7.14-11.099-2.643-26.727 10.063-34.892zm-5.792 179.172c-3.98 4.93-12.414 4.735-18.832-.442-6.417-5.177-8.413-13.374-4.433-18.336 3.98-4.961 12.415-4.735 18.832.442 6.418 5.177 8.402 13.407 4.433 18.336zm-.928-42.194c-16.178 3.937-32.745-7.237-37.06-24.958-4.314-17.72 5.275-35.28 21.42-39.217 16.147-3.936 32.747 7.238 37.06 24.958 4.315 17.721-5.273 35.291-21.42 39.228zm42.82 54.306c-17.872-3.645-29.812-19.09-26.663-34.514 3.15-15.423 20.18-24.958 38.052-21.312 17.872 3.645 29.812 19.09 26.663 34.514-3.15 15.423-20.18 24.958-38.052 21.323zm54.608 16.179c-8.068 1.726-15.65-1.693-16.923-7.658-1.273-5.964 4.228-12.188 12.296-13.913 8.067-1.726 15.65 1.693 16.922 7.657 1.273 5.965-4.25 12.231-12.295 13.957zm59.817-69.18c-9.707 14.119-27.827 18.52-40.446 9.826-12.62-8.693-14.992-27.18-5.274-41.288 9.718-14.107 27.827-18.519 40.446-9.825 12.62 8.693 14.98 27.18 5.274 41.287zm6.062-55.805c-6.072.734-11.79-5.317-12.781-13.504-.992-8.186 3.128-15.434 9.2-16.178 6.072-.744 11.789 5.317 12.78 13.504.993 8.186-3.127 15.412-9.2 16.178z"}}]})(props);
};
function GiSpottedMushroom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M363.79 19.94c-1.113.01-2.235.035-3.364.072-18.073.592-38.343 4.687-60.492 12.228-6.6 2.247-13.355 4.803-20.25 7.643 5.777 4.047 10.723 9.305 14.445 15.752 15.826 27.41 2.008 63.22-28.12 80.61-30.128 17.393-68.052 11.454-83.88-15.956-4.142-7.176-6.234-14.927-6.554-22.772-8.494 5.725-17.074 11.703-25.748 17.988-18.724 13.568-27.91 28.318-30.978 44.058-3.068 15.74.144 33.086 8.783 51.29 17.278 36.407 56.368 75.03 101.75 104.75 40.37 26.437 85.746 45.896 124.04 52.255.244-39.607 32.617-71.84 72.282-71.84 8.225 0 16.13 1.406 23.506 3.957 8.588-43.02 13.357-80.58 14.78-112.948-6.94 5.09-15.19 8.19-24.097 8.19-13.612 0-25.708-7.203-33.91-17.765-8.2-10.562-12.95-24.593-12.95-39.896 0-15.304 4.75-29.336 12.95-39.898 8.202-10.562 20.298-17.766 33.91-17.766 4.228 0 8.31.696 12.173 1.97-9.818-26.852-25-43.73-44.324-53.073-12.53-6.06-27.268-8.996-43.953-8.852zM257.235 49.913c-19.538 9.386-40.043 20.892-61.25 34.28-2.863 9.317-2.21 18.888 2.33 26.753 9.81 16.986 35.56 22.27 58.35 9.116 22.79-13.155 31.085-38.097 21.277-55.08-4.332-7.504-11.782-12.71-20.707-15.068zm182.657 48.674c-7.108 0-13.77 3.612-19.147 10.537-5.376 6.925-9.023 17.053-9.023 28.436 0 11.38 3.647 21.507 9.023 28.432 5.377 6.925 12.04 10.54 19.147 10.54 7.107 0 13.767-3.615 19.144-10.54 2.05-2.64 3.848-5.75 5.29-9.215-.363-14.41-1.513-27.562-3.4-39.478-.398-2.52-.833-4.966-1.292-7.37-.198-.27-.395-.545-.598-.807-5.376-6.925-12.037-10.537-19.144-10.537zm-150.15 65.525c36.473 0 66.24 29.765 66.24 66.234 0 36.467-29.767 66.232-66.24 66.232-36.47 0-66.24-29.763-66.24-66.232 0-36.47 29.77-66.233 66.24-66.233zm0 18.69c-26.373 0-47.55 21.175-47.55 47.544 0 26.368 21.177 47.543 47.55 47.543 26.375 0 47.55-21.177 47.55-47.543 0-26.37-21.175-47.543-47.55-47.543zM162.907 287.153c-3.926 3.102-7.687 6.536-11.23 10.328 5.333 13.34 14.93 27.43 29.56 42.08l-13.222 13.206c-4.352-4.358-8.37-8.725-12.053-13.108-23.56 20.345-47.254 38.95-70.065 54.627-18.356 12.616-26.258 26.65-27.946 39.777-1.69 13.127 2.887 25.97 12.222 36.278 18.67 20.613 55.9 30.58 96.8 3.648 25.25-16.628 49.28-45.38 70.432-80.142-6.425-2.704-12.522-5.898-17.853-9.532l10.526-15.443c11.646 7.94 34.012 14.59 47.914 15.76 3.664-5.888 6.762-11.554 9.362-17-23.126-9.617-46.314-22.054-68.207-36.392-20.27-13.274-39.415-28.157-56.24-44.086zm262.8 27.56c-29.717 0-53.604 23.884-53.604 53.595 0 .545.025 1.084.04 1.625 18.367.917 34.128-1.867 45.963-8.405 12.857-7.1 21.756-18.28 25.887-36.845.47-2.106.92-4.186 1.37-6.268-6.08-2.383-12.706-3.703-19.657-3.703z","fillRule":"evenodd"}}]})(props);
};
function GiSpottedWound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.72 26.063c19.705 26.427 39.908 52.444 60.624 78.062l-2.094-2.313c17.598 21.752 1.602 40.513-21.22 49.75l54.595-9.53c7.027 8.33 14.1 16.613 21.25 24.843.02.022.043.04.063.063 12.397 17.627 25.564 47.344 12.593 69.375l-27.03 32.5 83.063-24.282c2.096 1.398 4.195 2.864 6.312 4.407 13.317 13.838 26.853 27.53 40.594 41.032 11.536 17.458 16.553 35.988 7.436 51.624l-2.594 3.875-18.656 27.936 59.563-33.625 56.186 43.595c2.026 1.73 4.028 3.466 6.063 5.188 12.72 17.327 7.17 40.85-3.658 63.656 15.817-20.828 30.072-36.215 55.125-21.626 27.585 21.723 55.973 42.798 85.188 63.22-25.98-33.45-52.485-66.058-79.563-97.814l24.157-52.75c-14.634 20.412-36.523 34.082-53.72 18.688-.332-.377-.668-.75-1-1.125L338.22 295l30.717-46-39.812 22.47c-34.053 9.793-85.132-63.132-58.375-97.845l-.406.344 23.28-36.564-89.75 38.813c-19.102-17.478-38.495-34.602-58.155-51.407l27.5-27.75-45.782 12.28C93.072 80.59 57.87 52.81 21.718 26.064zm58.53 75.75c-1.012-1.25-2.136-2.48-3.375-3.75l3.375 3.75zm55.594-55.563c-10.644 0-19.063 8.42-19.063 19.063 0 10.642 8.42 19.062 19.064 19.062 10.643 0 19.094-8.42 19.094-19.063 0-10.64-8.45-19.062-19.094-19.062zm76.53 49.406c-14.962 0-26.874 11.944-26.874 26.906 0 14.962 11.913 26.876 26.875 26.876s26.906-11.914 26.906-26.875c0-14.96-11.943-26.907-26.905-26.907zM45.625 99.47c-9.9 0-17.718 7.818-17.718 17.718s7.82 17.718 17.72 17.718c9.9 0 17.718-7.82 17.718-17.72 0-9.896-7.82-17.717-17.72-17.717zm280.907 60.405c-23.266 0-41.905 18.67-41.905 41.938 0 23.266 18.64 41.906 41.906 41.906 23.268 0 41.94-18.64 41.94-41.907 0-23.264-18.672-41.938-41.94-41.938zm-233.25 11.47c-20.326 0-36.593 16.297-36.593 36.624 0 20.326 16.267 36.593 36.594 36.593 20.328 0 36.595-16.267 36.595-36.594 0-20.325-16.267-36.626-36.594-36.626zm314.5 97.593c-17.14 0-30.842 13.704-30.842 30.843 0 17.14 13.704 30.814 30.843 30.814 17.14 0 30.814-13.673 30.814-30.813 0-17.136-13.673-30.842-30.813-30.842zm-224.624 3.437c-28.397 0-51.22 22.822-51.22 51.22 0 28.395 22.824 51.186 51.22 51.186 28.397 0 51.188-22.79 51.188-51.186 0-28.393-22.79-51.22-51.188-51.22zm279.281 96.563c-12.036 0-21.593 9.558-21.593 21.593 0 12.037 9.558 21.564 21.594 21.564 12.035 0 21.562-9.527 21.562-21.563 0-12.032-9.527-21.592-21.563-21.592zm-168.562 8c-22.49 0-40.53 18.04-40.53 40.53 0 22.492 18.04 40.5 40.53 40.5 22.49 0 40.53-18.008 40.53-40.5 0-22.487-18.04-40.53-40.53-40.53zm98.78 70.562c-10.676 0-19.124 8.45-19.124 19.125 0 10.676 8.45 19.125 19.126 19.125 10.676 0 19.125-8.45 19.125-19.125 0-10.674-8.448-19.125-19.124-19.125z","fillRule":"evenodd"}}]})(props);
};
function GiSpoutnik (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M399.22 15.03c-15.483 0-28.033 12.55-28.033 28.032 0 14.46 10.972 26.336 25.032 27.844l60.374 248.53c-18.185-15.346-40.6-23.03-63-23.03-25.02 0-50.046 9.577-69.188 28.72-36.185 36.184-38.155 93.355-5.937 131.843L73.81 397.53c-1.2-14.374-13.22-25.655-27.906-25.655-15.48 0-28.03 12.55-28.03 28.03 0 15.483 12.55 28.033 28.03 28.033 9.65 0 18.176-4.888 23.22-12.313l291.155 70.72c34.573 12.523 74.728 4.897 102.5-22.876 27.094-27.094 35.005-65.936 23.75-99.908L414.407 66.625c7.736-4.99 12.875-13.673 12.875-23.563 0-15.48-12.58-28.03-28.06-28.03zM110.155 96.22c-15.48 0-28.03 12.548-28.03 28.03 0 15.482 12.55 28.03 28.03 28.03 4.647 0 9.017-1.154 12.875-3.155l180.064 171.75c2.512-3.09 5.217-6.092 8.094-8.97 1.562-1.56 3.153-3.075 4.78-4.53L135.813 135.5c1.515-3.447 2.375-7.244 2.375-11.25 0-15.482-12.55-28.03-28.03-28.03z"}}]})(props);
};
function GiSpray (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M265.174 45.484c-.776-.007-1.267.05-1.65.112l-27.59 47.79c.304.79 1.13 2.36 2.693 4.268 3.39 4.134 9.688 9.436 17.47 13.928 7.78 4.492 15.52 7.296 20.796 8.164 2.432.4 4.205.33 5.043.197l6.99-12.105c-.318-.153-.635-.305-.946-.484-6.76-3.903-9.076-12.55-5.173-19.31 3.902-6.76 12.546-9.074 19.306-5.17.31.178.6.378.893.577l6.52-11.294c-.303-.79-1.13-2.362-2.694-4.27-3.39-4.133-9.688-9.435-17.47-13.927-7.78-4.494-15.52-7.297-20.794-8.165-1.318-.217-2.477-.3-3.394-.31zm-60.7 48.536c-1.037-.014-2.06-.004-3.068.03-16.13.52-27.71 6.237-34.203 17.483-.276.478-.728 1.883.668 5.627 1.397 3.744 4.64 9.01 9.558 14.72 9.837 11.42 26.167 24.707 46.054 36.188 19.888 11.482 39.56 18.98 54.368 21.79 7.404 1.407 13.587 1.58 17.527.917 3.94-.663 4.93-1.755 5.205-2.232v-.002c5.958-10.316 5.226-23.413-2.328-37.88-2.336-4.474-5.336-8.993-8.932-13.43-1.055.42-2.117.74-3.146.96-4.08.88-8.104.69-12.32-.004-8.427-1.388-17.713-4.997-27.104-10.418-9.392-5.422-17.16-11.66-22.576-18.266-2.708-3.303-4.888-6.693-6.166-10.666-.36-1.116-.622-2.332-.778-3.596-4.423-.757-8.7-1.168-12.757-1.22zm97.23 4.818l193.605 255.916v-231.73L301.702 98.837zM154.91 132.822L42.62 327.316l-.007.012c-.51.892-.9 2.505.434 6.313 1.34 3.824 4.512 9.13 9.385 14.872 9.744 11.483 26.056 24.766 45.943 36.248 19.887 11.48 39.55 18.966 54.365 21.664 7.41 1.35 13.59 1.442 17.57.69 3.98-.75 5.176-1.9 5.69-2.79l.002.002L288.295 209.83c-4.396-.122-9.03-.68-13.93-1.61-17.716-3.36-38.812-11.603-60.226-23.966-21.416-12.363-39.1-26.512-50.87-40.174-3.255-3.778-6.055-7.512-8.358-11.258zm33.48 64.776c5.008.09 9.662 1.28 13.788 3.662v-.008c14.67 8.47 19.61 30.27 14.66 56.482-2.465-16.616-10.93-31.077-24.73-39.04-13.8-7.96-30.553-8.064-46.174-1.89 14.537-12.503 29.654-19.44 42.455-19.206zM94.45 303.38c2.02 17.568 10.47 33.054 24.882 41.378 14.65 8.45 32.714 7.993 49.16.617v.006c-21.552 20.4-45.073 28.748-60.855 19.636-15.65-9.034-19.83-33.092-13.187-61.635zm-64.513 45.9l-8.1 14.03c-.513.887-.91 2.498.43 6.32 1.34 3.824 4.51 9.13 9.382 14.872 9.74 11.478 26.044 24.757 45.92 36.236l.024.014h.002c19.887 11.48 39.548 18.965 54.365 21.662 7.408 1.35 13.59 1.442 17.57.69 3.98-.75 5.177-1.9 5.69-2.788l8.1-14.03c-4.408-.072-9.045-.586-13.93-1.475-17.84-3.247-38.947-11.503-60.362-23.867-21.413-12.363-39.116-26.514-50.848-40.34-3.213-3.785-5.977-7.542-8.243-11.324z"}}]})(props);
};
function GiSpring (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M326.4 26.52c-.7 0-1.7.14-2.9.44-3.4.82-8 3.38-11.7 6.89-3.8 3.51-6.7 7.92-7.9 11.34-1.1 3.41-.8 4.92.5 6.57 27.4 33.77 52.6 72.04 71.9 105.74 19.3 33.8 32.7 62.2 36.6 79.9.4 1.8.7 2 .7 1.9 1.2 0 5.7-1.7 9.9-5.2 4.3-3.5 8.6-8.6 11.1-13.3 2.6-4.7 3.1-8.8 2.6-10.4-15.1-55.3-42.6-116.41-107.9-182.57-.7-.67-1.3-1.09-2.2-1.24-.2 0-.4-.1-.7-.1zm53.2 30.97c11 13.92 20.6 27.66 28.9 41.17 13 7.24 28.5 16.34 43.9 26.04 15.2 9.4 29.4 18.9 40.9 27.4l-1.8-28.2c-16.4-16.3-45-33.55-74.1-48.31-13.1-6.65-25.8-12.61-37.8-18.1zM247.1 105.8c-.7 0-1.7.1-2.9.4-3.4.8-7.9 3.4-11.7 6.9-3.7 3.5-6.6 7.9-7.7 11.3-1.1 3.3-.9 4.8.5 6.5 27.4 33.8 52.6 72 71.9 105.7 19.3 33.8 32.6 62.3 36.6 79.8v.1c.4 1.8.7 2 .7 1.9 1.1 0 5.6-1.7 9.9-5.2 4.3-3.5 8.5-8.6 11.1-13.3 2.5-4.7 3-8.9 2.6-10.4-15.3-55.2-42.8-116.2-108.1-182.4-.7-.7-1.3-1.1-2.2-1.2-.2-.1-.4-.1-.7-.1zm53.1 30.9c11.1 14 20.7 27.8 29.1 41.3 13 7.3 28.5 16.4 43.9 26 3.5 2.2 7 4.4 10.4 6.6-5.8-12.7-13.6-27.7-22.7-43.7-7.4-4.2-15-8.2-22.7-12.1-13.2-6.6-25.9-12.6-38-18.1zm-126.5 57.1c-.7 0-1.7.1-2.9.4-3.4.8-8 3.4-11.7 6.9-3.8 3.5-6.7 7.9-7.9 11.3-1.1 3.4-.8 4.9.5 6.5 27.4 33.7 52.6 71.9 71.9 105.7 19.3 33.8 32.7 62.2 36.6 79.9.4 1.8.7 2 .7 1.9 1.1 0 5.7-1.7 9.9-5.2 4.3-3.5 8.6-8.6 11.1-13.3 2.6-4.8 3.1-8.9 2.6-10.5-15.2-55.1-42.6-116.1-107.9-182.4-.7-.6-1.3-1-2.2-1.2h-.7zm53.1 30.9c11.1 13.9 20.6 27.7 29 41.2 13 7.3 28.5 16.4 43.9 26 2.7 1.7 5.4 3.4 8 5-5.2-11.9-12.5-26.6-21.3-42.5-7.1-4-14.4-7.9-21.8-11.6-13.1-6.7-25.8-12.6-37.8-18.1zM94.5 272.9c-.77 0-1.71.2-2.97.5-3.34.8-7.91 3.3-11.67 6.8s-6.68 7.9-7.79 11.3c-1.1 3.4-.86 4.9.48 6.5 27.43 33.8 52.65 72 71.95 105.7 19.3 33.8 32.7 62.2 36.6 79.8v.1c.4 1.8.7 2 .7 1.9 1.2 0 5.7-1.7 9.9-5.2 4.3-3.5 8.6-8.6 11.1-13.3 2.6-4.7 3.1-8.8 2.6-10.4-15.3-55.1-42.7-116.1-108.02-182.4-.7-.6-1.3-1.1-2.17-1.2-.22-.1-.46-.1-.71-.1zm53.1 30.9c11.1 14 20.7 27.8 29 41.3 13 7.3 28.5 16.4 43.9 26 3.5 2.2 7 4.4 10.4 6.6-5.8-12.7-13.5-27.7-22.6-43.7-7.4-4.1-15.1-8.2-22.8-12.1-13.1-6.6-25.8-12.6-37.9-18.1zM18.72 353c.34 2.1 1.03 4.8 2.88 8.4 5.75 11.3 20.09 27.8 46.74 42.6 23.89 13.3 46.86 28.4 85.06 56.4-6-13.5-14.4-30.1-24.5-47.7l-.3-.6C92.89 388 46.1 366 18.72 353z"}}]})(props);
};
function GiSprint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169.53 16.344L259.345 88 337 92.28l-1.03 18.657-161.376-8.906-118.78-4.905 227.28 68.03-197.72 246.75-14.53-17.655-49.22 96.625 248.69-202.78 51.81 11.592-38.78 40.594L270.5 329.5l-57.28 84.125L444.843 273.47 328 241.06l100.22-81.718c1.132.46 2.3.898 3.5 1.22 23.324 6.248 49.764-16.835 59.06-51.533 9.298-34.695-2.08-67.874-25.405-74.124-23.325-6.25-49.765 16.802-59.063 51.5-1.467 5.476-2.403 10.918-2.875 16.22L169.53 16.343z"}}]})(props);
};
function GiSproutDisc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.688 19.438c-131.508 0-238.313 106.808-238.313 238.312 0 131.504 106.808 238.313 238.313 238.313C387.19 496.063 494 389.257 494 257.75c0-131.504-106.805-238.313-238.313-238.313zm0 18.687c121.407 0 219.625 98.22 219.625 219.625 0 121.407-98.22 219.625-219.625 219.625-121.404 0-219.625-98.22-219.625-219.625 0-121.404 98.217-219.625 219.625-219.625zm.562 20.438c-110.988 0-200.72 89.73-200.72 200.718 0 95.257 66.098 174.875 155 195.533l-3.593-1.188s2.312.576 3.5.563c7.687-.085 14.32-4.367 18.094-10.5 15.59-43.605 18.01-85.436-6.405-103.375-22.6-16.605-66.756-17.003-92.28-40.875C86.304 258.717 86.03 182.03 86.03 182.03c50.518 0 92.432 20.467 123.814 59.595-.12-1.665-.544-3.61-.563-5.28-.703-51.122 45.532-104.533 45.532-104.532 0 0 47.202 48.756 47.907 99.875.055 3.507.36 6.99 0 10.5 28.538-36.8 67.034-60.157 123.217-60.157 0 0-.273 76.687-43.812 117.407-25.32 23.683-69.467 23.692-92.25 40.282-24.086 17.536-22.317 58.325-7.594 101.03.057.16-.073.426 0 .594 3.268 7.82 10.848 13.437 19.845 13.437 88.826-20.713 154.844-100.298 154.844-195.5 0-110.986-89.732-200.717-200.72-200.717zm-.22 191.218c-15.42 7.026-25.842 22.305-25.842 40.345s10.423 33.82 25.843 40.844c15.23-7.1 25.845-22.943 25.845-40.845 0-17.902-10.613-33.244-25.844-40.344z"}}]})(props);
};
function GiSprout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.688 18S198.118 84.876 199 148.875c.11 7.924 1.104 15.806 2.78 23.53 23.498 25.825 43.035 57.618 58.19 95 13.85-31.163 30.07-60.016 50.03-84.967 3.764-12.817 6.056-26.13 5.875-39.313-.88-64-60.188-125.125-60.188-125.125zM24.094 111.47c.138 1.77.174 2.98.406 5.186.993 9.44 2.96 22.583 6.813 37.22 7.703 29.27 22.952 64.12 52.25 87.81 16.455 13.308 40.276 20.756 64.593 27.064s48.935 11.302 67.594 23.156c14.984 9.52 24.296 24.148 28.375 40.813 4.08 16.663 3.338 35.387-.72 55.06-7.072 34.304-24.28 71.737-46.874 105.908h126.44c-22.767-34.427-39.985-72.006-46.94-106.438-3.982-19.722-4.637-38.51-.436-55.188 4.2-16.677 13.665-31.284 28.75-40.78 18.79-11.83 43.49-16.743 67.812-22.938 24.322-6.196 48.034-13.46 64.313-26.625 47.514-38.425 57.337-105.795 59.405-130.19-61.585 1.928-106.926 21.097-142.406 52.19-37.42 32.788-64.065 79.142-85.345 132.436l-5.28 13.156-10.033-10.03-1.53-1.532-.688-2.063C210.397 177.51 133.342 115.054 24.094 111.47z"}}]})(props);
};
function GiSpy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M218 19c-1 0-2.76.52-5.502 3.107-2.742 2.589-6.006 7.021-9.191 12.76-6.37 11.478-12.527 28.033-17.666 45.653-4.33 14.844-7.91 30.457-10.616 44.601 54.351 24.019 107.599 24.019 161.95 0-2.706-14.144-6.286-29.757-10.616-44.601-5.139-17.62-11.295-34.175-17.666-45.653-3.185-5.739-6.45-10.171-9.191-12.76C296.76 19.52 295 19 294 19c-6.5 0-9.092 1.375-10.822 2.85-1.73 1.474-3.02 3.81-4.358 7.34-1.338 3.53-2.397 8.024-5.55 12.783C270.116 46.73 263.367 51 256 51c-7.433 0-14.24-4.195-17.455-8.988-3.214-4.794-4.26-9.335-5.576-12.881-1.316-3.546-2.575-5.867-4.254-7.315C227.035 20.37 224.5 19 218 19zm-46.111 124.334c-1.41 9.278-2.296 17.16-2.57 22.602 6.61 5.087 17.736 10.007 31.742 13.302C217.18 183.031 236.6 185 256 185s38.82-1.969 54.94-5.762c14.005-3.295 25.13-8.215 31.742-13.302-.275-5.443-1.161-13.324-2.57-22.602-55.757 23.332-112.467 23.332-168.223 0zM151.945 155.1c-19.206 3.36-36.706 7.385-51.918 11.63-19.879 5.548-35.905 11.489-46.545 16.57-5.32 2.542-9.312 4.915-11.494 6.57-.37.28-.247.306-.445.546.333.677.82 1.456 1.73 2.479 1.973 2.216 5.564 4.992 10.627 7.744 10.127 5.504 25.944 10.958 45.725 15.506C139.187 225.24 194.703 231 256 231s116.813-5.76 156.375-14.855c19.78-4.548 35.598-10.002 45.725-15.506 5.063-2.752 8.653-5.528 10.627-7.744.91-1.023 1.397-1.802 1.73-2.479-.198-.24-.075-.266-.445-.547-2.182-1.654-6.174-4.027-11.494-6.568-10.64-5.082-26.666-11.023-46.545-16.57-15.212-4.246-32.712-8.272-51.918-11.631.608 5.787.945 10.866.945 14.9v3.729l-2.637 2.634c-10.121 10.122-25.422 16.191-43.302 20.399C297.18 200.969 276.6 203 256 203s-41.18-2.031-59.06-6.238c-17.881-4.208-33.182-10.277-43.303-20.399L151 173.73V170c0-4.034.337-9.113.945-14.9zm1.094 88.205C154.558 308.17 200.64 359 256 359c55.36 0 101.442-50.83 102.96-115.695a748.452 748.452 0 0 1-19.284 2.013c-1.33 5.252-6.884 25.248-15.676 30.682-13.61 8.412-34.006 7.756-48 0-7.986-4.426-14.865-19.196-18.064-27.012-.648.002-1.287.012-1.936.012-.65 0-1.288-.01-1.936-.012-3.2 7.816-10.078 22.586-18.064 27.012-13.994 7.756-34.39 8.412-48 0-8.792-5.434-14.346-25.43-15.676-30.682a748.452 748.452 0 0 1-19.285-2.013zM137.4 267.209c-47.432 13.23-77.243 32.253-113.546 61.082 42.575 4.442 67.486 21.318 101.265 48.719l16.928 13.732-21.686 2.211c-13.663 1.393-28.446 8.622-39.3 17.3-5.925 4.738-10.178 10.06-12.957 14.356 44.68 5.864 73.463 10.086 98.011 20.147 18.603 7.624 34.81 18.89 53.737 35.781l5.304-23.576c-1.838-9.734-4.134-19.884-6.879-30.3-5.12-7.23-9.698-14.866-13.136-22.007C201.612 397.326 199 391 199 384c0-3.283.936-6.396 2.428-9.133a480.414 480.414 0 0 0-6.942-16.863c-29.083-19.498-50.217-52.359-57.086-90.795zm237.2 0c-6.87 38.436-28.003 71.297-57.086 90.795a480.521 480.521 0 0 0-6.942 16.861c1.493 2.737 2.428 5.851 2.428 9.135 0 7-2.612 13.326-6.14 20.654-3.44 7.142-8.019 14.78-13.14 22.01-2.778 10.547-5.099 20.82-6.949 30.666l5.14 23.42c19.03-17.01 35.293-28.338 53.974-35.994 24.548-10.06 53.33-14.283 98.011-20.147-2.78-4.297-7.032-9.618-12.957-14.355-10.854-8.679-25.637-15.908-39.3-17.3l-21.686-2.212 16.928-13.732c33.779-27.4 58.69-44.277 101.265-48.719-36.303-28.829-66.114-47.851-113.546-61.082zM256 377c-8 0-19.592.098-28.234 1.826-4.321.864-7.8 2.222-9.393 3.324-1.592 1.103-1.373.85-1.373 1.85s1.388 6.674 4.36 12.846c2.971 6.172 7.247 13.32 11.964 19.924 4.717 6.604 9.925 12.699 14.465 16.806 4.075 3.687 7.842 5.121 8.211 5.377.37-.256 4.136-1.69 8.21-5.377 4.54-4.107 9.749-10.202 14.466-16.806 4.717-6.605 8.993-13.752 11.965-19.924C293.612 390.674 295 385 295 384s.22-.747-1.373-1.85c-1.593-1.102-5.072-2.46-9.393-3.324C275.592 377.098 264 377 256 377zm0 61.953c-.042.03-.051.047 0 .047s.042-.018 0-.047zm-11.648 14.701L235.047 495h41.56l-9.058-41.285C264.162 455.71 260.449 457 256 457c-4.492 0-8.235-1.316-11.648-3.346z"}}]})(props);
};
function GiSpyglass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M84.438 20.78c-.414.005-.824.01-1.25.032-2.273.113-4.742.477-7.376 1.094C65.28 24.373 52.858 31.236 42.094 42 31.33 52.763 24.467 65.186 22 75.72c-2.467 10.532-.738 18.23 3.75 22.718 3.93 3.93 10.33 5.763 18.938 4.5-1.82-5.496-1.757-11.592-.407-17.282 2.182-9.194 7.5-18.247 15.314-26.062 7.814-7.816 16.836-13.13 26.03-15.313 2.3-.544 4.695-.876 7.064-.968 3.515-.135 7.022.307 10.312 1.407 1.3-8.664-.52-15.082-4.47-19.032-3.154-3.156-7.896-4.97-14.093-4.907zm9.937 41.126c-.332-.006-.694.01-1.063.032-.98.06-2.08.23-3.343.53-5.057 1.2-11.542 4.728-17.157 10.344-5.616 5.617-9.145 12.1-10.344 17.157-1.2 5.054-.25 7.718 1.03 9l.344.343.312.406 41.344 51.25c4.423-9.226 10.846-18.254 19.03-26.44 8.186-8.183 17.214-14.607 26.44-19.03L99.72 64.156l-.407-.312-.344-.344c-.84-.84-2.273-1.552-4.595-1.594zm85.22 55.344c-.762-.02-1.564-.012-2.376.03-2.168.115-4.54.465-7.064 1.064-10.095 2.394-22.042 9.042-32.406 19.406-10.364 10.364-17.012 22.31-19.406 32.406-2.394 10.095-.727 17.367 3.5 21.594l.344.375.312.375 3.75 4.625c.046-.207.076-.418.125-.625 3.576-15.268 12.593-30.935 26.125-44.47 13.467-13.468 29.05-22.452 44.25-26.06l-4.25-3.44-.375-.343-.375-.343c-2.774-2.775-6.828-4.448-12.156-4.594zm31.186 25.656c-2.895-.01-6.086.374-9.56 1.188-11.122 2.604-24.185 9.838-35.5 21.156-11.318 11.318-18.552 24.378-21.157 35.5-2.117 9.036-1.316 16.178 1.656 21.125l.093.156 48.375 59.94c6.217-18.252 17.894-36.74 34.218-53.064 16.332-16.33 34.835-28.003 53.094-34.22L219.75 144.5c-2.557-1.017-5.562-1.583-8.97-1.594zm99.25 65.344c-.697.007-1.41.027-2.124.063-3.814.188-7.85.798-12.125 1.812-17.098 4.056-36.72 15.005-53.686 31.97-16.965 16.963-27.913 36.586-31.97 53.686-4.055 17.102-1.384 30.74 6.94 39.064l.342.344.313.406.31.406c.4-3.643 1.045-7.318 1.907-11 5.25-22.406 18.652-45.87 38.907-66.125 20.255-20.255 43.718-33.658 66.125-38.906 3.702-.87 7.4-1.513 11.06-1.907l-.436-.344-.406-.314-.344-.344c-5.853-5.852-14.346-8.918-24.813-8.812zm35.22 27.97c-4.95-.034-10.325.6-16.03 1.936-18.262 4.278-39.118 15.898-57.158 33.938-18.04 18.04-29.66 38.896-33.937 57.156-3.19 13.618-2.38 25.28 1.97 34.063l55.874 69.28c.46-3.185 1.058-6.378 1.81-9.593 6.32-26.98 22.565-55.408 47.126-79.97 24.56-24.56 52.96-40.773 79.938-47.092 2.055-.482 4.108-.89 6.156-1.25l-67.53-54.5h-.033c-5.132-2.575-11.256-3.924-18.187-3.97zm103.094 75.5c-.947.005-1.907.017-2.875.06-5.166.236-10.637 1.008-16.345 2.345-22.832 5.348-48.686 19.78-71.03 42.125-22.347 22.345-36.778 48.2-42.126 71.03-5.35 22.833-1.77 41.703 9.905 53.376 7.86 7.862 18.996 12.047 32.406 12.313-.68-.603-1.347-1.225-2-1.876-13.45-13.452-16.224-33.735-11.5-53.906 4.726-20.172 16.757-41.163 34.908-59.313 18.15-18.15 39.172-30.213 59.343-34.938 5.044-1.18 10.086-1.898 15.033-2.093 14.84-.586 28.754 3.505 38.843 13.594.673.672 1.318 1.356 1.938 2.062-.245-13.438-4.44-24.595-12.313-32.47-8.207-8.207-19.98-12.4-34.186-12.31zm8.28 47.717c-.65.005-1.3.032-1.968.063-3.564.167-7.37.687-11.375 1.625-16.024 3.754-34.44 14.003-50.374 29.938-7.822 7.822-14.263 16.238-19.25 24.687 1.697-2.026 3.503-4.003 5.438-5.938 17.012-17.01 38.125-24.96 53.22-21.5-5.877 2.765-11.803 6.865-17.158 12.22-16.19 16.19-21.17 37.454-11.125 47.5 7.735 7.733 22.152 6.587 35.75-1.75-3.07 4.568-6.748 9.03-10.967 13.25-18.512 18.51-41.876 26.32-57.063 20.343 7.814 6.11 19.617 7.906 34.156 4.5 16.025-3.754 34.44-14.003 50.375-29.938 15.936-15.934 26.185-34.35 29.94-50.375 3.752-16.024 1.195-28.71-6.5-36.406-5.413-5.41-13.32-8.293-23.095-8.22z"}}]})(props);
};
function GiSquareBottle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M345.98 19.586c-1.09-.01-2.16.003-3.21.04-14.725.51-25.865 5.643-32.153 14.51-7.185 10.132-7.67 24.62-.822 41.247 6.846 16.626 21.065 34.485 40.953 48.572 19.888 14.088 41.458 21.58 59.426 22.527 17.968.95 31.494-4.31 38.68-14.443 7.185-10.134 7.668-24.622.822-41.25-6.847-16.626-21.065-34.484-40.953-48.57-19.89-14.09-41.46-21.58-59.428-22.53-1.123-.058-2.23-.093-3.316-.104zM298.22 94.19l-18.843 26.57c-.426.6-.822 1.21-1.2 1.824-9.132-2.42-18.316-3.953-27.396-4.45-1.846-.103-3.69-.16-5.532-.167-1.84-.008-3.677.032-5.506.12-25.606 1.223-49.86 11.905-66.183 34.923L42.173 338.283l3.36 5.295 73.284 115.496 139.416 32.256 131.534-185.48c18.69-26.36 18.7-57.108 7.337-84.4-4.775-11.47-11.45-22.476-19.53-32.764l17.872-25.206c-6.33-1.17-12.76-2.914-19.21-5.216l-14.682 20.705c-3.764 5.305-9.15 7.028-17.74 6.096-8.592-.93-19.306-5.348-28.565-11.812-9.26-6.464-17.03-14.963-20.744-22.662-3.714-7.7-3.917-13.336.115-19.022l14.816-20.888c-4.288-5.357-8.05-10.877-11.217-16.49zm-53.087 42.453c1.526.015 3.067.065 4.623.15 7.63.42 15.552 1.76 23.556 3.896.07 6.236 1.67 12.445 4.36 18.02 5.657 11.73 15.496 21.918 26.88 29.866 11.385 7.95 24.345 13.67 37.25 15.07 7.192.78 14.702-.048 21.356-2.92 7.02 8.99 12.742 18.416 16.694 27.907 9.56 22.965 9.542 45.436-5.33 66.406l-12.932 18.237-94.926-49.017 23.775-33.528-15.245-10.81-29.174 41.14-147.077 29.477 89.86-126.72c12.97-18.29 30.85-26.31 51.795-27.115 1.496-.057 3.008-.077 4.535-.062zM93.418 298.33l92.094 48.057-61.254 86.377-59.582-93.9 28.742-40.534zm262.506 22.938l-105.686 149.03-111.408-25.775 67.33-94.945 149.764-28.31z"}}]})(props);
};
function GiSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23.05 23.05V488.9H488.9V23.05zm17.9 17.9H471.1V471.1H40.95z"}}]})(props);
};
function GiSquib (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M59.395 20.285l109.447 137.043L18.89 98.084 143.737 246.75 36.975 338.582l137.287-12.72-31.457 160.187 112.27-115.142 83.08 101.588-8.58-127.873 165.988-22.76-141.383-74.597 141.04-56.778v-67.236L388.605 189.18l106.5-128.567L292.05 160.55 240.98 40.616l-53.037 90.26L126.63 20.285H59.396zm280.996 0l-25.812 98.61 93.05-98.61H340.39zM219.8 169.29l35.042 59.308-72.737-30.795c4.267-16.433 18.46-27.994 37.696-28.512zm104.62 1.77c16.857 9.28 24.173 26.062 20.428 42.62l-18.866-8.112-35.28 17.522 15.986-26.145-11.715-6.8 29.447-19.086zm-65.5 18.872l24.332 4.218-11.7 37.862-12.632-42.08zm-16.12 58.87l-1.208 21.895 22.87 2.412-38.76 54.28c-34.81-3.42-53.307-34.73-38.737-71.263L242.8 248.8zm32.034 18.862l51.99 16.72c2.035 11.373-2.796 20.542-13.455 24.466l7.767 8.576c-4.758 13.162-16.607 18.498-31.276 12.222l-4.9-47.962-10.126-14.022zm-143.688 85.15L74.613 396.34l-26-15.01-24.95 43.213 43.216 24.95 21.698-37.585 42.568-59.094zm223.293 10.32l85.85 81.178 11.68 42.05 39.712-12.266-12.264-33.287 19.857-36.796-39.13 10.513-105.706-51.392z"}}]})(props);
};
function GiSquidHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.744 20.232c-104.313 0-157.183 53.89-168.717 111.45-6.607 32.973.374 67.266 20.64 94.066 7.506-10.545 18.562-18.648 31.978-22.242 30.662-8.214 61.7 9.096 70.902 35.492l1.486 4.26-2.412 3.812c-46.46 73.436-65.564 138.166-27.417 224.063l31.705-52.2c-12.814-48.445-12.78-101.28 8.04-149.482l17.156 7.41c-28.24 65.38-14.082 142.63 18.968 201.08 34.647-60.974 42.265-142.338 21.414-200.973l17.61-6.26c15.756 44.31 16.985 98.19 4.207 148.918l31.283 51.506c38.146-85.895 19.045-150.625-27.416-224.06l-2.412-3.812 1.486-4.26c7.478-21.447 29.368-36.897 53.762-37.53 5.63-.145 11.39.5 17.14 2.04 10.778 2.888 20.023 8.693 27.137 16.328 15.47-25.37 21.32-56.65 16.266-86.945C410.832 74.668 362 20.233 257.743 20.233zM155.894 220.26c-.518.007-1.038.024-1.558.053-2.613.14-5.242.546-7.856 1.246-20.905 5.6-33.172 26.848-27.57 47.752 5.368 20.03 25.108 31.95 45.14 28 7.67-18.718 17.582-37.23 29.083-55.808-6.184-11.873-21.173-21.475-37.238-21.244zm207 0c-16.064-.23-31.052 9.37-37.236 21.244 11.5 18.578 21.412 37.09 29.082 55.807 20.032 3.954 39.77-7.966 45.14-27.998 5.6-20.904-6.665-42.15-27.57-47.753-2.615-.702-5.244-1.106-7.857-1.248-.52-.028-1.04-.045-1.558-.052zm-233.5 89.71c-13.91 39.182-19.95 80.964-18.976 119.614 12.637-10.237 24.62-21.887 35.783-34.525-1.4-27.05 2.6-52.91 10.794-78.234-9.76.06-19.23-2.386-27.6-6.857zm259.313.364c-8.2 4.24-17.417 6.55-26.91 6.492 8.284 25.604 12.29 51.753 10.754 79.127 10.943 12.294 22.663 23.635 35.003 33.63.972-38.53-5.03-80.172-18.846-119.25z"}}]})(props);
};
function GiSquid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M164.938 17.75c-36.9 0-67.808 13.327-87.25 35.72-19.443 22.39-26.84 53.717-18.094 86.936 12.483 47.41 52.983 87.193 101.97 106.094-25.22 53.827-58.776 79.275-98.19 92.5-14.152 4.75-29.16 7.51-44.968 9.344v39.72c19.494-2.063 38.53-5.417 57.22-11.69 30.89-10.366 60.143-28.824 84.686-56.655C147.02 347.054 128.52 366.127 106 381.06c-24.47 16.228-54.913 26.55-87.594 35.032v41.47c38.716-9.353 76.84-21.375 109.78-43.22 26.63-17.657 49.378-41.933 65.44-74.188-5.82 28.94-18.692 51.403-36.22 71.25C127.1 445.72 81.19 470.908 31.844 495.5h81.187c27.27-16.283 53.196-34.642 74.157-58.375 21.367-24.192 36.472-54.302 43.813-89.938 2.06 29.717-3.918 55.56-15.78 79.407-12.01 24.142-30.68 46.758-51.97 68.906h53.156c13.015-15.78 24.68-32.362 33.844-50.78 14.697-29.544 22.452-63.005 19.875-100.47 10.333 29.14 11.232 56.334 5.844 82.938-4.6 22.708-14.103 45.424-26.283 68.312h43.782c9.15-19.343 16.782-39.746 21.03-60.72 6.61-32.635 4.795-67.342-8.156-103.374 18.333 25.69 25.718 52.313 27.437 80 1.65 26.562-3.43 54.81-11.092 84.094h40.875c6.458-28.407 9.99-57.38 8.187-86.406-1.99-32.092-12.224-64.124-32.125-94.625 22.522 19.726 36.464 41.804 44.97 67.155 11.287 33.638 13.1 72.467 11.686 113.875h39.126c1.56-42.954.168-85.584-13.437-126.125-10.368-30.892-28.826-60.144-56.658-84.688 28.04 13.043 47.46 32.228 62.5 54.907 26.903 40.57 38.726 96.28 50.22 154.156.12.602.475 1.148.593 1.75h14.594V391.562c-8.194-26.055-18.84-50.918-33.876-73.593-28.706-43.29-74.346-76.243-144.25-88.19l-10.344-.968c2.067-1.973 4.045-4.043 5.906-6.187 19.443-22.392 26.84-53.75 18.094-86.97C311.256 69.218 238.735 17.75 164.937 17.75zM291.53 157.938c.846-.052 1.684-.003 2.5.125 4.36.682 8.38 3.794 11.408 9.906 3.028 6.11 4.5 14.89 3.03 24.28-1.47 9.39-5.56 17.295-10.312 22.188-4.752 4.892-9.548 6.62-13.906 5.937-4.358-.682-8.377-3.795-11.406-9.906-3.03-6.113-4.502-14.893-3.03-24.282 1.47-9.39 5.56-17.295 10.31-22.188 3.565-3.67 7.155-5.54 10.563-5.97.284-.035.563-.075.844-.093zm-101.06 10.5c17.527 0 31.53 14.002 31.53 31.53 0 17.53-14.003 31.532-31.53 31.532-17.53 0-31.564-14.003-31.564-31.53 0-17.53 14.034-31.532 31.563-31.532z","fillRule":"evenodd"}}]})(props);
};
function GiSquirrel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M206.135 23.568c-61.993.106-133.212 38.319-173.762 85.328 0 0 94.532-8.388 109.732 35.477 24.55 70.846-103.768 62.832-105.619 173.623-1.394 83.471 89.36 169.758 176.1 169.812 4.214 1.405 181.953 0 181.953 0 19.783-.28 20.606-22.551-48.812-36.637 145.592-147.853-86.742-159.073-85.456-45.779-17.956-18.803.577-99.816 97.692-95.832 32.91 23.48 51.817 27.373 88.56 19.284 6.982-1.537 12.05-25.665-5.462-27.064l-31.78-2.54c-28.106-25.677-34.818-36.477-6.67-57.463 68.87 18.058 77.047 12.076 77.016-13.33-.03-24.855-9.527-90.633-65.832-93.815-7.701-10.311 9.79-42.042-3.953-42.957-19.014-1.266-50.482 28.417-46.266 43.787-18.335 7.755-38.728 31.156-59.15 59.614-69.316 25.43-119.49 142.639-120.15 170.632-.579-182.435 153.242-180.594 140.216-244.77-14.07-69.324-66.992-97.458-118.357-97.37zM432.807 169.97c7.164 0 12.972 5.808 12.972 12.973 0 7.164-5.808 12.972-12.972 12.972-7.165 0-12.973-5.808-12.973-12.972 0-7.165 5.808-12.973 12.973-12.973z"}}]})(props);
};
function GiSriLanka (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M187.737 20.081c-2.019.404-45.235 14.136-45.235 14.136l85.22 27.06s-37.965-41.6-39.985-41.196zm23.281 41.64c-14.49-.219-26.62 2.57-39.84 6.018l-17.77 63.004c-4.761 33.46-10.786 66.5-28.273 95.719 10.939 80.264 13.738 164.088 40.389 237.478 31.632 35.377 68.531 36.233 109.855 8.078 87.857-9.33 112.196-73.646 111.47-147.011L326.266 183.65l-93.7-119.548c-7.886-1.562-14.961-2.282-21.548-2.381z"}}]})(props);
};
function GiStabbedNote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M453.295 17.117c-.546 7.232 1.619 15.478 5.957 22.612 4.338 7.133 10.666 12.847 17.338 15.69 9.655-11.206-5.483-37.974-20.092-38.624-1.09-.07-2.254.137-3.203.322zm-111.547 8.38L329.492 49.61l61.018 100.326 25.627-2.127 13.676-21.777-9.063-14.9-27.34 16.628-37.931-62.371L350.8 57.7l27.34-16.628-9.346-15.368zm93.977 1.62l-60.194 36.61 23.905 39.303 60.193-36.61c-6.345-4.604-11.676-10.635-15.754-17.34-4.078-6.704-6.981-14.21-8.15-21.963zm-125.01 19.711l-161.647 2.62c10.403 24.036 7.492 47.197-4.388 65.648-18.658-14.237-44.341-15.374-63.407-17.717-14.06 123.827-6.22 225.967-6.271 342.149-.004 9.469-1.157 23.12 4.826 32.947 1.887 3.1 4.37 5.928 8.129 8.342 17.708-6.206 41.405-12.44 54.87-22.274-6.951-.825-14.755.952-21.138.955-8.458-.04-19.144-6.11-24.748-19.496-2.919-6.973-6.636-18.193-.181-29.072 2.838-4.785 9.383-10.302 14.26-10.328 94.651.504 191.392-.32 279.568.154-5.523-76.851-10.013-154.096-5.53-232.308l-4.146.343-14.842-24.404-66.867 40.668 6.781 10.598-15.162 9.699-59.097-92.371 15.16-9.7L255 115.966l68.46-41.637-11.95-19.65-2.606-4.285zm-180.17 4.383c-15.366 8.213-29.102 17.702-40.99 28.707 16.167 1.495 33.74 3.063 48.64 9.95 3.139-13.836-3.247-26.896-7.65-38.657zm202.268 38.494l-66.645 40.534 7.275 11.962 33.325-20.265 9.351 15.377-33.322 20.267 7.277 11.963 66.643-40.533zM201.41 136.278l.445 17.992c-30.522.253-58.62 2.029-90.013 2.11V138.38a35163.72 35163.72 0 0 0 89.568-2.103zm144.983 78.98l.24 17.996-234.346 3.143-.242-17.996zm.078 40.684l.408 17.992-123.654 2.81-.41-17.994zm-235.178 3.097h90.602v17.998h-90.602zm234.795 33.237l.406 17.992-62.158 1.406-.406-17.994zm-83.686 1.455l.338 17.996-150.3 2.808-.337-17.994zm85.946 52.806l.402 17.995-125.647 2.808-.402-17.992zm-196.323 70.79c10.05 9.261 17.925 22.065 15.078 36.718-2.074 10.682-10.422 17.606-19.814 23.106s-20.775 9.866-32.512 13.914a1395.68 1395.68 0 0 1-12.238 4.154l301.387-7.672c7.772-.45 14.658-5.66 19.734-13.406 5.082-7.754 7.477-17.817 6.895-23.236-.583-5.419-4.857-14.677-10.973-21.48-6.116-6.805-13.547-10.824-19.025-10.618l-.198.008zm-39.785 2.787c-1.07 1.802-.466 8.714 1.303 12.939 3.72 8.887 6.028 8.437 8.232 8.447 8.877 2.102 17.347.269 25.85-1.025-2.053-4.123-5.283-8.704-10.283-12.113-4.12-2.809-20.675-15.634-25.102-8.248z"}}]})(props);
};
function GiStack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 18.365L50.14 136 256 253.635 461.86 136 256 18.365zm-154 168L50.14 216 256 333.635 461.86 216 410 186.365l-154 88-154-88zm0 80L50.14 296 256 413.635 461.86 296 410 266.365l-154 88-154-88zm0 80L50.14 376 256 493.635 461.86 376 410 346.365l-154 88-154-88z"}}]})(props);
};
function GiStagHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M76.465 73.324c-16.696 10.814-24.31 28.1-23.647 44.938.664 16.837 8.676 33.327 21.393 46.06 1.265 1.266 2.596 2.48 3.962 3.66-6.772 11.33-17.072 12.974-25.512 10.586-4.85-1.372-8.708-4.328-10.676-7.86-1.967-3.534-2.67-7.755.055-14.26l-17.24-7.22c-4.57 10.91-3.87 22.082.858 30.573 4.73 8.492 12.865 14.19 21.914 16.75 15.546 4.4 34.89-1.218 46.02-18.22 8.568 4.33 18.18 7.156 28.428 7.986.676 11.475 4.846 22.184 11.634 31.79-6.064 2.136-11.192 6.248-14.42 11.61-8.616 14.312-2.927 35.32 17.545 49.546l10.665-15.348c-15.297-10.63-14.877-20.11-12.2-24.56 1.34-2.225 3.435-3.745 6.835-4.122 2.942-.325 7.056.338 12.09 3.4 2.958 2.186 6.07 4.265 9.318 6.222 16.108 9.698 35.805 16.807 57.666 20.578-8.085 6.224-13.812 14.285-18.125 23.445-32.812-8.59-64.65-.154-94.98 34.63 31.59 7.23 62.19 8.758 90.403-3.44l37.96 106.415c4.404 16.44 32.492 16.902 37.023 0l38.19-107.068c28.615 12.89 59.722 11.447 91.856 4.092-30.527-35.005-62.578-43.322-95.61-34.457-4.212-9.323-10.003-17.065-17.64-22.962 23.48-3.564 44.62-10.94 61.715-21.234 3.647-2.196 7.118-4.546 10.395-7.032 4.38-2.353 8.002-2.883 10.658-2.59 3.4.377 5.495 1.897 6.834 4.122 2.678 4.45 3.1 13.93-12.2 24.56l10.665 15.348c20.47-14.227 26.16-35.234 17.544-49.547-3.177-5.278-8.2-9.34-14.14-11.5 6.82-9.616 11.017-20.34 11.708-31.832 10.273-.694 19.92-3.39 28.547-7.608 11.174 16.657 30.315 22.136 45.726 17.776 9.05-2.56 17.186-8.258 21.916-16.75 4.73-8.49 5.426-19.663.857-30.573l-17.24 7.22c2.725 6.506 2.023 10.727.055 14.26-1.967 3.533-5.827 6.49-10.677 7.86-8.265 2.34-18.312.807-25.084-9.895 1.652-1.39 3.24-2.84 4.75-4.35 12.717-12.733 20.73-29.223 21.392-46.06.664-16.838-6.95-34.124-23.646-44.938L429.85 89.01c11.61 7.52 15.573 17.276 15.13 28.515-.442 11.24-6.222 23.858-15.94 33.59-14.804 14.823-37.444 23.673-64.16 12.772 6.135-3.766 11.356-9.778 14.567-17.617l-17.293-7.084c-2.673 6.526-6.154 9.016-10.043 10.123-3.887 1.105-8.706.464-13.106-1.996-8.8-4.92-15.577-15.34-8.467-31.55l-17.113-7.508c-9.727 22.175-1.276 43.15 13.22 53.326l-.064.072c15.934 13.58 32.233 20.995 47.748 23.71-5.807 15.017-14.117 23.457-22.94 28.003-9.28 4.783-19.567 5.284-28.773 2.78-9.206-2.505-17.03-8.12-21.066-14.44-4.037-6.32-5.028-12.746-.87-20.894l-16.65-8.495c-6.945 13.616-5.262 28.437 1.767 39.446 7.028 11.01 18.657 18.81 31.912 22.416 3.39.922 6.906 1.558 10.493 1.882-19.513 8.518-43.958 13.754-70.484 13.754-25.172 0-48.48-4.706-67.468-12.464 2.604-.36 5.162-.886 7.652-1.563 13.255-3.606 24.886-11.408 31.914-22.417 7.03-11.01 8.71-25.83 1.764-39.445l-16.646 8.494c4.157 8.15 3.166 14.573-.87 20.894-4.035 6.32-11.86 11.936-21.066 14.44-9.206 2.504-19.49 2.002-28.773-2.78-9.087-4.684-17.627-13.502-23.452-29.378 15.617-2.462 32.07-9.685 48.17-23.15 15.274-9.814 24.522-31.367 14.51-54.192l-17.113 7.508c7.11 16.21.332 26.63-8.467 31.55-4.4 2.46-9.217 3.1-13.105 1.995-3.89-1.108-7.372-3.597-10.045-10.124l-17.293 7.084c3.182 7.77 8.34 13.746 14.404 17.517-26.822 11.052-49.555 2.195-64.402-12.672-9.72-9.732-15.5-22.35-15.942-33.59-.443-11.24 3.523-20.996 15.133-28.515l-10.16-15.686z"}}]})(props);
};
function GiStahlhelm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M489.824 354.324c-5.91-6.65-41.57-41.8-44.52-69.228-3.385-31.43-7.713-98.336-26.74-123.443-24.465-32.287-51.253-57.334-165.762-57.334-81.727 0-123.298 16.922-150.714 53.815-16.464 22.194-30.22 79.418-33.266 113.01-4.618 50.058-50.407 39.275-49.416 53.78.98 14.313 67.185 17.94 156.878 18.266 59.46.218 104.2 60.26 135.93 63.173 94.698 8.75 198.848-28.057 177.61-52.04zM272.24 230.964a16.246 16.246 0 1 1 16.245-16.245 16.246 16.246 0 0 1-16.234 16.245z"}}]})(props);
};
function GiStairsCake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M153 73v27.3c12-6.92 25.5-13.3 39-13.3 16 0 27.6 9.96 37.6 18 10 8 18.5 14 26.4 14 7.9 0 16.4-6 26.4-14 10-8.04 21.6-18 37.6-18 13.5 0 27 6.38 39 13.3V73H153zm39 32c-7.9 0-23.8 7-36.2 14.7-1 .6-1.9 1.2-2.8 1.7V183h206v-61.6c-.9-.5-1.8-1.1-2.8-1.7C343.8 112 327.9 105 320 105c-7.9 0-16.4 6-26.4 14S272 137 256 137s-27.6-10-37.6-18-18.5-14-26.4-14zM89 201v27.3c12-6.9 25.6-13.3 39-13.3 16 0 27.6 10 37.6 18s18.5 14 26.4 14c7.9 0 16.4-6 26.4-14s21.6-18 37.6-18 27.6 10 37.6 18 18.5 14 26.4 14c7.9 0 16.4-6 26.4-14s21.6-18 37.6-18c13.5 0 27 6.4 39 13.3V201H89zm39 32c-7.9 0-23.8 7-36.25 14.7-.95.6-1.84 1.1-2.75 1.7V311h38.3l.5-1.3.5 1.3h127.4l.3-.7.3.7h127.4l.5-1.3.5 1.3H423v-61.6c-.9-.5-1.8-1.1-2.8-1.7C407.8 240 391.9 233 384 233c-7.9 0-16.4 6-26.4 14S336 265 320 265s-27.6-10-37.6-18-18.5-14-26.4-14c-7.9 0-16.4 6-26.4 14S208 265 192 265s-27.6-10-37.6-18-18.5-14-26.4-14zm-87 96v6.7c.02.5.95 18.4 5.12 36.7 2.12 9.3 5.12 18.5 8.74 24.9 3.62 6.5 7.2 9.3 10.46 9.8 4.6.7 10.17-1.7 16.71-8 6.54-6.3 13.19-15.8 18.87-25.7 11.2-19.7 18.6-40.4 18.6-40.4l1.4-4H41zm94 0l1.4 3.8s7.3 19.5 18.6 38.6c5.6 9.6 12.2 19.1 18.9 25.7 6.7 6.6 13.1 9.9 18.1 9.9 5 0 11.4-3.3 18.1-9.9 6.7-6.6 13.3-16.1 18.9-25.7 11.3-19.1 18.6-38.6 18.6-38.6l1.4-3.8H135zm128 0l1.4 3.8s7.3 19.5 18.6 38.6c5.6 9.6 12.2 19.1 18.9 25.7 6.7 6.6 13.1 9.9 18.1 9.9 5 0 11.4-3.3 18.1-9.9 6.7-6.6 13.3-16.1 18.9-25.7 11.3-19.1 18.6-38.6 18.6-38.6l1.4-3.8H263zm128.1 0l1.4 4s7.4 20.7 18.6 40.4c5.7 9.9 12.3 19.4 18.9 25.7 6.5 6.3 12.1 8.7 16.7 8 3.2-.5 6.8-3.3 10.4-9.8 3.7-6.4 6.7-15.6 8.8-24.9 4.2-18.5 5.1-36.8 5.1-36.8V329h-79.9zM256 358.5c-3.1 6.7-6.8 14.2-11.5 22.1-6.1 10.4-13.3 20.9-21.8 29.3-8.5 8.4-18.7 15.1-30.7 15.1s-22.2-6.7-30.7-15.1c-8.5-8.4-15.7-18.9-21.8-29.3-4.6-7.7-8.2-15-11.3-21.6-3.2 7.1-7 15.1-11.7 23.3-6.1 10.8-13.4 21.5-22.02 29.8s-19.5 14.6-31.8 12.8c-9.7-1.4-16.7-8-21.68-15.8V487h430v-77.9c-4.9 7.8-11.9 14.4-21.7 15.8-12.3 1.8-23.2-4.5-31.8-12.8-8.6-8.3-15.9-19-22-29.8-4.7-8.2-8.5-16.2-11.7-23.3-3.1 6.6-6.7 13.9-11.3 21.6-6.1 10.4-13.3 20.9-21.8 29.3-8.5 8.4-18.7 15.1-30.7 15.1s-22.2-6.7-30.7-15.1c-8.5-8.4-15.7-18.9-21.8-29.3-4.7-7.9-8.4-15.4-11.5-22.1z"}}]})(props);
};
function GiStairsGoal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M439 32v165h18V32h-18zm-18 12.99L327.6 80l93.4 35V44.99zM165.9 103c-5 0-10.2 2.3-15.3 7-6.2 5.8-11.5 15.1-13.8 26.3-2.3 11.3-1 22 2.5 29.7 3.5 7.8 8.6 12.3 14.6 13.5 6 1.3 12.4-.9 18.7-6.6 6.1-5.8 11.5-15.1 13.8-26.4 2.2-11.3.9-22-2.5-29.7-3.5-7.8-8.6-12.2-14.6-13.5-1.1-.2-2.3-.3-3.4-.3zm-38.4 78.5c-3.4 1.2-6.9 2.5-10.7 4.1-24.85 15.7-42.2 31.2-59.84 55.7-11.19 15.5-11.74 42-12.58 61.5l20.8 9.2c.87-27.8.36-39.3 13.27-55.3 9.83-12.2 19.33-25 37.55-28.9 1.6 28.9-2.6 73.7-14 119.6 20.5 2.8 37.6-.7 57-6.3 50.7-25.3 74.1-3.8 109.3 45.7l20.5-32.1c-24.6-28.9-48.5-75.1-117.2-57.3 5-27.3 5.6-45.4 8.6-72.6.6-12 .8-23.9 1.1-35.7-8.9 6.8-19.9 10.4-31 8.1-9.5-2-17.3-7.9-22.8-15.7zm144.2 7.3c-18.2 17.8-22.2 31-50.2 38.4l-22.5-24c-.4 12.8-.8 25.9-1.9 39.2 9.5 8.7 19.2 15.7 22.7 14.6 31.3-9.4 40.3-20.3 61.4-41.9l-9.5-26.3zM409 215v96h-96v96h-96v78.1c102.3.2 167.8 1.1 270 1.8V215h-78zM140.7 363.9c-13.6 2.5-27.8 3.3-43.44.9-10.89 37.5-26.76 74.3-48.51 102.5l38.63 15.3c27.02-37.9 36.82-70.6 53.32-118.7z"}}]})(props);
};
function GiStairs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 448v-64h64v-64h64v-64h64v-64h64v-64h64V64h64v384z"}}]})(props);
};
function GiStakeHammer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M155.268 19.918c-10.28.078-20.632 4.474-20.96 13.115-.023 12.594 10.636 14.963 20.954 14.824 9.236.413 22.5-4.293 20.496-15.117.015-8.65-10.2-12.9-20.49-12.822zm206.502 6.58L345.46 45.34l-37.456 9.61 26.19 22.443 6.318 22.382 33.783-9.103 44.168 8.685 40.63-15.732-5.312-14.355 25.42-9.66-28.114-13.124-6.17-19.697-42.19 7.25L361.77 26.5zM193.752 35.81c1.195 21.554-22.075 29.942-38.3 30.045-16.423.105-39.028-7.878-39.15-29.91-6.35.916-13.206 1.983-20.894 3.235 4.393 4.827 8.22 10.667 11.422 17.105 8.723 17.536 13.724 40.668 13.68 66.14-.044 25.474-5.123 48.604-13.906 66.138-3.223 6.43-7.066 12.268-11.47 17.09 18.354 6.3 94.374 11.717 147.807-3.594 7.364-2.153 16.48-6.777 23.693-21.175 7.213-14.398 12.038-35.29 12.078-58.436.04-23.147-4.713-44.038-11.876-58.438-7.163-14.4-16.02-20.17-23.62-21.18-17.46-3.04-32.922-4.648-49.462-7.02zM67.79 43.57c-7.24 0-15.85 6.49-22.995 20.75-7.144 14.26-11.957 35.05-11.996 58.096-.04 23.045 4.7 43.84 11.796 58.102 7.094 14.26 15.683 20.75 22.922 20.752 7.238 0 15.852-6.487 22.996-20.747 7.143-14.258 11.956-35.05 11.996-58.096.015-8.744-.58-17.176-1.89-25.026-.472-2.84-20.153 12.424-20.153 12.424S97.97 84.32 97.34 82.04c-1.83-6.617-4.077-12.59-6.627-17.716C83.618 50.062 75.028 43.57 67.79 43.568zm380.507 62.68l-27.887 11.836-15.238-2.996.314 194.21 43.106-21.566-.295-181.484zm-73.365 2.895l-31.21 8.408.57 163.632 43.19 26.552-.316-196.185-12.234-2.407zM133.972 229.12l-.41 239.19c-.015 7.678 2.53 12.29 6.24 15.596 3.707 3.308 9.004 5.164 14.432 5.164 5.428 0 10.74-1.854 14.47-5.168 3.728-3.314 6.293-7.938 6.306-15.615l.408-239.074c-14.494 1.255-26.855 1.226-41.447-.092zm214.624 75.837l46.375 187.098-7.41-137.502-.04-25.668-38.924-23.928zm96.166 4.82l-39.242 19.63.04 25.116-10.525 137.56 49.727-182.306z"}}]})(props);
};
function GiStakesFence (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M334.7 21.05L300.2 154.7l30.5 12.5L363 155zM220.2 72.41L180.1 179.1l34.3 33.3 33.5-31zM55.57 101.6L47.9 224.4l36.52 23.7 25.38-38.7zm413.63 10.5l-41.8 65.8 19.8 34.5 27.3-7zm-171.4 61l-6.3 145 66.3-1.5 6.4-142.8-33.7 12.8zM177 201.2l-5 119.6 73.8-1.7 3.3-114.3-35.1 32.4zm244.3 2.2l-19.9 112.2 53.8-1.3 17.8-89.9-34.6 8.8zm-305.8 30.1l-25.87 39.4-41.04-26.7 10.08 77.2 71.93-1.6zm362.9 98.3L33.8 342l-3.78 44.2L482 384.1l-1.1-15.9-32.5-10.4s18.7-3.4 31.4-5.6zm-40.7 70.6l-51.7.2-3.2 18.1 51.6-1.6zm-83.7.3l-66.1.3-.9 20.9 66.2-2.2zm-110.5.5l-75 .3-1 24.3 75.4-2.5zm-98.9.4l-75.43.3 3.51 27 76.12-2.5zm345.3 31.6L22.07 450.5l.24 25.9 29 14.6 432.49-1.4z"}}]})(props);
};
function GiStalactites (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v109.8l41.97 274L109.4 79.5l31.5 161.9 19.5-78 27.8 161.2 55.4-272.9 54 172.4 14.2-35.2 60.8 289.4 59.2-320.1 24.9 57.3c-2.9 6-7.1 14-5.4 21.1 1.1 4.8 4.7 11.2 9.6 11.1 4.7-.1 7.7-6.5 8.5-11.1 1.4-7.6-3.6-16.2-6.8-22.1l31.4-74.8V18zm170.1 329.2s-10.4 17.8-8.5 27c1 4.8 4.7 11.2 9.6 11.1 4.7-.1 7.8-6.5 8.5-11.1 1.5-9.4-9.6-27-9.6-27z"}}]})(props);
};
function GiStalagtite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M79.186 18.924l76.447 168.373 16.05 168.137 20.114 32.222 23.72 68.82 37.92 38.567 29.07-17.904 18.52-92.8 16.754-76.785-48.14 14.57 15.52 20.63-54.84 71.32-12.01-19.24 23.417-81.884 14.136-4.73-.402-1.327 72.74-22.018 42.894-62.197 23.195-85.364-24.976-3.94-33.04 51.25-15.706-10.128 34.256-53.137L333.27 18.923H189.423l37.94 89.09-60.132 59.62-67.52-148.71H79.187zm273.183 0l20.206 96.045 26.643 4.202 27.24-100.248h-74.09zm-74.48 31.55h.003l36.498 81.096-18.652 46.006-38.338-56.228 20.49-70.875zm-61.468 94.706l33.047 44.697-42.966 14.643 62.133 63.26-5.39 18.26-26.063 8.724-59.164-69.618-3.655-38.267 42.057-41.7zm-35.3 112.476l42.634 50.166-18.777 65.658-15.113-24.207-8.746-91.617z","fillRule":"evenodd"}}]})(props);
};
function GiStamper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.1 34.05c-17.9 0-35.6 4.64-48 12.91-12.4 8.28-19.7 19.1-19.7 35.1 0 6.15 4.6 32.04 12 61.34 7.3 29.2 17.1 63.6 26.8 92.7l4.9 14.7h-94.2c-16 0-33.3 8.2-46.35 21.3-10.06 10-17.27 22.7-20.06 35.2H440.6c-2.8-12.5-10-25.2-20.1-35.2-13-13.1-30.3-21.3-46.3-21.3H280l4.9-14.7c9.7-29.1 19.5-63.5 26.8-92.7 7.4-29.3 12-55.19 12-61.34 0-16-7.3-26.83-19.7-35.1-12.4-8.27-30.1-12.91-47.9-12.91zM89.87 329.6v36.7H422.2v-36.7zM41 432v46h430v-46z"}}]})(props);
};
function GiStandingPotion (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.95 17.127c-19.323.186-39.152 5.737-49.462 16.437l4.494 25.288-18.836.13 3.756 12.04 12.84 41.165c1.466 31.346-8.624 56.45-23.828 79.997-18.854 29.198-45.987 55.144-67.662 83.957-11.56 15.367-15.767 33.277-13.285 50.57 2.48 17.29 11.322 33.89 24.795 48.257 26.945 28.736 72.624 49.044 128.345 48.654 52.815-.366 98.06-21.347 125.3-50.313 13.62-14.484 22.82-31.095 25.603-48.434 2.78-17.34-1.278-35.385-13.15-50.678h.003c-22.132-28.513-49.724-54.076-69.088-83.01-15.9-23.76-26.513-49.206-25.107-81.374l15.228-51.68-17.6.12 4.09-25.357c-8.29-10.77-27.11-15.952-46.435-15.766zm34.905 59.863l-6.582 22.336c-22.502 10.67-41.278 9.862-59.775.617l-7-22.447 73.357-.506zm-8.765 43.49c1.27 31.477 12.715 58.028 28.152 81.096 7.37 11.013 15.604 21.332 24.076 31.254-20.758-5.694-49.388-9.355-80.85-9.355-28.173 0-54.063 2.94-74.077 7.64 7.483-9.18 14.71-18.707 21.223-28.793 14.953-23.156 25.9-49.698 26.768-80.96 17.122 5.656 35.656 5.724 54.71-.882zm75.58 138.756c4.275 4.785 8.483 9.543 12.516 14.285-7.27 4.73-16.44 8.51-27.293 11.732-23.45 6.96-54.792 11.053-89.426 11.053s-65.977-4.094-89.426-11.053c-8.803-2.613-16.478-5.602-22.95-9.158 3.992-4.87 8.175-9.76 12.424-14.672 4.372 2.06 9.703 4.094 15.843 5.916 20.964 6.22 50.975 10.28 84.11 10.28 33.136 0 63.146-4.06 84.11-10.28 8.31-2.466 15.157-5.314 20.093-8.102zM102.04 364.234c-50.154 13.628-82.55 33.813-82.55 56.204 0 41.017 106.522 74.35 237.696 74.35 131.173 0 237.697-33.333 237.697-74.35 0-22.31-32.12-42.578-81.965-56.204 17.23 8.88 27.518 19.25 27.518 30.444 0 32.13-82.31 58.545-183.248 58.545-100.94 0-182.663-26.418-182.663-58.545 0-11.255 10.11-21.535 27.518-30.444h-.004z"}}]})(props);
};
function GiStarAltar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25.61l-97.8 36.67L256 86.72l97.8-24.44L256 25.61zM136.1 75.3L105.9 407h300.2L375.9 75.3l-119.9 30-119.9-30zM256 128l30 72.7 78.3 6-59.8 51L323 334l-67-41.2-66.9 41.3 18.4-76.5-59.8-50.9 78.4-6L256 128zM70.09 425l-24.8 62H237.3l-49.6-62H70.09zm140.61 0l45.3 56.6 45.3-56.6h-90.6zm113.6 0l-49.6 62h192l-24.8-62H324.3z"}}]})(props);
};
function GiStarCycle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M197.666 22.36c-37.354 0-67.637 30.284-67.637 67.64 0 11.57 2.908 22.46 8.03 31.982-41.127 38.07-75.686 84.545-97.312 134.717-55.608 129.01-4.667 233.597 113.78 233.597 118.446 0 259.545-104.586 315.154-233.598C525.29 127.686 474.352 23.1 355.904 23.1c-34.222 0-70.334 8.745-105.73 24.273-12.402-15.26-31.313-25.014-52.508-25.014zm-6.7 14.083l13.288 27.666 30.496-7.065-15.695 24.07C214.683 77.09 208.6 74.9 202.207 75.4c-12.196.954-21.35 11.656-20.398 23.852.167 2.03.958 3.905 1.618 5.732l-28.75 6.932 17.93-25.418-21.702-22.908 31.223 2.25 8.835-29.397zm129.49 16.44c2.93-.008 5.85.073 8.753.242 74.362 4.336 116.098 66.005 108.73 147.703-13.446 90.524-69.506 168.88-165.03 199.758 18.422 3.867 35.72 4.313 51.713 1.797-44.73 36.55-96.58 57.906-144.285 55.125-24.947-1.455-46.217-9.37-63.2-22.32 18.472 2.268 40.657-1.352 65.132-12.37C122.06 410.5 80 368.245 88.89 297.358c-7.795 11.485-13.765 22.637-18.103 33.308-.356-26.225 4.678-55.082 15.75-85.158 6.296-17.1 14.182-33.6 23.348-49.264 13.746-19.44 29.697-36.908 47.365-52.037 11.277 8.425 25.256 13.43 40.416 13.43 37.354 0 67.64-30.283 67.64-67.637 0-.786-.033-1.563-.06-2.342 32.21-8.183 66.18-10.1 100.418-4.625-16.914-15.152-34.966-24.902-53.45-29.894 2.756-.16 5.505-.25 8.24-.257z"}}]})(props);
};
function GiStarFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 37C171.8 37 87.37 48.66 41 69.77V306.1C93.09 284.8 174.3 275 256 275c81.7 0 162.9 9.8 215 31.1V69.77C424.6 48.66 340.2 37 256 37zm.1 13.1l35.3 69.2 76.7 12.2-54.9 55 12.2 76.7-69.3-35.2-69.2 35.2 12-76.7-54.8-55 76.7-12.2 35.3-69.2zm-97.9 133.1l3.6 17.6-80.03 16-3.54-17.6 79.97-16zm195.6 0l80 16-3.6 17.6-80-16 3.6-17.6zM73 314.3c-6.35 1.8-12.38 3.7-18 5.8V480h18V314.3zm366 0V480h18V320.1c-5.6-2.1-11.7-4-18-5.8z"}}]})(props);
};
function GiStarFormation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M143.627 36.361c-2.18 0-16.495 38.303-18.258 39.584-1.763 1.281-42.615 3.06-43.289 5.133-.673 2.073 31.33 27.523 32.004 29.596.674 2.073-10.26 41.475-8.496 42.756 1.763 1.28 35.86-21.291 38.039-21.291 2.18 0 36.276 22.572 38.039 21.29 1.763-1.28-9.17-40.682-8.496-42.755.673-2.073 32.677-27.523 32.004-29.596-.674-2.073-41.526-3.852-43.29-5.133-1.763-1.28-16.077-39.584-18.257-39.584zm224.746 0c-2.18 0-16.494 38.303-18.258 39.584-1.763 1.281-42.615 3.06-43.289 5.133-.673 2.073 31.33 27.523 32.004 29.596.674 2.073-10.26 41.475-8.496 42.756 1.763 1.28 35.86-21.291 38.039-21.291 2.18 0 36.276 22.572 38.04 21.29 1.762-1.28-9.17-40.682-8.497-42.755.674-2.073 32.677-27.523 32.004-29.596-.674-2.073-41.526-3.852-43.29-5.133-1.762-1.28-16.077-39.584-18.257-39.584zM256 39.883c-7.12 0-53.884 125.123-59.645 129.308-5.76 4.185-139.211 9.996-141.412 16.768-2.2 6.772 102.349 89.912 104.55 96.684 2.2 6.771-33.513 135.486-27.753 139.671C137.5 426.5 248.88 352.76 256 352.76c7.12 0 118.5 73.74 124.26 69.554 5.76-4.185-29.952-132.9-27.752-139.671 2.2-6.772 106.749-89.912 104.549-96.684-2.2-6.772-135.652-12.583-141.412-16.768-5.76-4.185-52.525-129.308-59.645-129.308zM77.973 243.102c-2.18 0-16.495 38.302-18.258 39.584-1.763 1.28-42.616 3.06-43.29 5.132-.673 2.073 31.333 27.523 32.007 29.596.673 2.073-10.26 41.475-8.496 42.756 1.763 1.281 35.857-21.291 38.037-21.291 2.18 0 36.275 22.572 38.039 21.29 1.763-1.28-9.17-40.682-8.496-42.755.673-2.073 32.679-27.523 32.005-29.596-.673-2.073-41.525-3.851-43.289-5.132-1.763-1.282-16.08-39.584-18.26-39.584zm356.054 0c-2.18 0-16.496 38.302-18.26 39.584-1.763 1.28-42.615 3.06-43.288 5.132-.674 2.073 31.332 27.523 32.005 29.596.674 2.073-10.26 41.475-8.496 42.756 1.764 1.281 35.86-21.291 38.04-21.291 2.179 0 36.273 22.572 38.036 21.29 1.764-1.28-9.17-40.682-8.496-42.755.674-2.073 32.68-27.523 32.006-29.596-.673-2.073-41.526-3.851-43.289-5.132-1.763-1.282-16.078-39.584-18.258-39.584zM256 369.932c-2.18 0-16.494 38.302-18.258 39.584-1.763 1.28-42.615 3.06-43.289 5.132-.673 2.073 31.33 27.525 32.004 29.598.674 2.073-10.26 41.475-8.496 42.756 1.763 1.281 35.86-21.293 38.039-21.293 2.18 0 36.276 22.574 38.04 21.293 1.762-1.281-9.17-40.683-8.497-42.756.673-2.073 32.677-27.525 32.004-29.598-.674-2.072-41.526-3.851-43.29-5.132-1.763-1.282-16.077-39.584-18.257-39.584z"}}]})(props);
};
function GiStarGate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M222.563 25l23 46h20.875l23-46h-66.875zm-9.584 21.084a181.717 181.717 0 0 0-38.395 13.951l7.213 30.192a151.903 151.903 0 0 1 45.039-16.43l-13.857-27.713zm86.04 0l-13.855 27.713a151.903 151.903 0 0 1 45.043 16.432l7.211-30.192a181.716 181.716 0 0 0-38.398-13.953zm59.293 3.965l-11.95 50.021 15.992 13.418 47.187-20.455-51.228-42.984zm-204.61.035L102.47 93.07l47.187 20.453 15.992-13.418-11.949-50.021zm135.573 51.71l-52.263 84.911-77.059-44.828 44.723 81.209-65.537 28.932 69.595 8.767-46.107 49.54 83.685-23.093 40.836 44.71 3.768-57.436 53.227 17.664-25.758-40.068 63.472-12.266-74.347-27.846 48.672-50.334-64.664 15.7-2.243-75.561zm114.047 13.554l-28.504 12.355a153.013 153.013 0 0 1 24.034 41.498l24.91-18.474a182.596 182.596 0 0 0-20.44-35.38zm-294.66.023a182.593 182.593 0 0 0-20.432 35.371l24.91 18.477a153.012 153.012 0 0 1 24.024-41.492l-28.502-12.356zm337.54 41.123l-41.307 30.639 3.625 20.556 49.293 14.665-11.612-65.86zm-380.358.053l-11.612 65.86 49.295-14.663 3.625-20.558-41.308-30.64zm343.123 70.057c-.277 16.504-3.174 32.38-8.299 47.226l30.937 1.858a182.796 182.796 0 0 0 7.03-40.26l-29.668-8.824zm-305.932.068l-29.666 8.822a182.79 182.79 0 0 0 7.041 40.244l30.94-1.857c-5.129-14.84-8.03-30.71-8.315-47.21zm290.735 64.777l-10.438 18.078 28.336 42.918 33.437-57.916-51.335-3.08zm-275.456.047l-51.337 3.082 33.437 57.916 28.338-42.92-10.438-18.078zm253.178 32.77a154.22 154.22 0 0 1-27 24.488l14.692 26.445a183.642 183.642 0 0 0 29.425-25.01l-17.117-25.923zm-230.92.074l-17.115 25.922a183.623 183.623 0 0 0 29.357 24.94l14.692-26.446a154.223 154.223 0 0 1-26.934-24.416zM181.295 361l-70 126h26.855l56-126h-12.855zm32.555 0l-56 126h196.3l-56-126h-84.3zm104 0l56 126h26.855l-70-126H317.85z"}}]})(props);
};
function GiStarProminences (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.344 21.78l-54.625 91.94-100.97-35.314L120 183.97 19.97 221.812l81.06 69.78-52.31 93.282 106.936 1.344 19.906 105.06 82.782-67.686 82.78 67.687 19.907-105.06 106.94-1.345-52.283-93.28 81.032-69.783-100.033-37.843 17.25-105.564L313 113.72l-54.656-91.94zM264 119.72c37.302 0 71.283 14.157 96.906 37.374-8.81-3.43-18.117-5.836-27.78-6.813-1.917-.195-3.885-.204-5.845-.155-1.958.05-3.906.156-5.874.156-6.82 0-13.483.607-19.97 1.75-1.52-8.805-9.163-15.53-18.405-15.53-10.336 0-18.717 8.382-18.717 18.72 0 3.28.83 6.38 2.312 9.06-7.876 4.325-15.186 9.538-21.78 15.532.445-.024.89-.03 1.343-.03 13.13 0 23.78 10.62 23.78 23.75 0 13.128-10.65 23.78-23.78 23.78-12.214 0-22.278-9.21-23.625-21.062-5.432-11.885-17.44-20.22-31.282-20.22-18.877 0-34.405 15.498-34.405 34.376 0 18.88 15.528 34.375 34.406 34.375 5.442 0 10.6-1.276 15.19-3.56.008-.012.02-.02.03-.032 3.434-4.16 8.623-6.813 14.438-6.813 10.336 0 18.718 8.383 18.718 18.72 0 10.334-8.382 18.717-18.72 18.717-4.062 0-7.805-1.298-10.874-3.5-3.412-3.62-8.225-5.906-13.593-5.906-10.338 0-18.72 8.382-18.72 18.72 0 10.334 8.382 18.718 18.72 18.718 7.335 0 13.65-4.23 16.718-10.375 6.167 18.95 17.18 35.682 31.562 48.78.407-9.524 7.913-17.163 17.375-17.813-.51-2.338-.813-4.766-.813-7.25 0-18.878 15.528-34.375 34.407-34.375 18.877 0 34.374 15.497 34.374 34.375 0 18.88-15.497 34.375-34.375 34.375-5.104 0-9.972-1.13-14.345-3.156-1.564 5.255-5.37 9.54-10.313 11.75 15.172 7.477 32.246 11.688 50.344 11.688 14.427 0 28.192-2.858 40.875-7.875-25.773 23.952-60.31 38.592-98.28 38.592-79.764 0-144.438-64.642-144.438-144.406 0-79.762 64.674-144.437 144.438-144.437zm59.625 62.436c10.337 0 18.72 8.384 18.72 18.72 0 10.334-8.383 18.718-18.72 18.718s-18.72-8.384-18.72-18.72c0-10.336 8.383-18.718 18.72-18.718zM191.28 204.72c8.777 0 15.69 6.91 15.69 15.686s-6.913 15.688-15.69 15.688c-8.775 0-15.686-6.912-15.686-15.688s6.91-15.687 15.687-15.687zM295.72 307.5c-8.777 0-15.72 6.91-15.72 15.688 0 8.776 6.943 15.687 15.72 15.687 8.775 0 15.686-6.91 15.686-15.688 0-8.776-6.91-15.687-15.687-15.687zm-96.908 18.594c-8.558 0-15.468 6.94-15.468 15.5 0 8.557 6.91 15.5 15.47 15.5 8.557 0 15.5-6.943 15.5-15.5 0-8.558-6.943-15.5-15.5-15.5z"}}]})(props);
};
function GiStarPupil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.125 98.625c-6.093.318-12.193.944-18.313 1.844l8.375 74.81-84.687-35.343c5.838-8.19 12.44-15.826 19.72-22.78-54.392 24.186-108.24 72.105-157.657 145.812 56.266 48.932 114.94 80.49 173.656 94.374-9.275-6.686-17.8-14.368-25.407-22.97l64.062-16.937-11.563 45.032c12.627 1.814 25.24 2.827 37.813 3l20.156-22.283 7.22 21.344c14.562-1.197 29.062-3.494 43.438-6.936l3.093-18.063 15.814 12.845c13.016-4.042 25.912-9.05 38.687-14.97l-12.5-29.56 43.44 4.436c-3.064 4.957-6.348 9.777-9.845 14.44 29.296-16.167 57.768-37.378 85.094-63.75-18.222-31.2-38.106-58.214-59.283-80.814 2.75 8.198 4.83 16.716 6.125 25.53l-58.187-2.217 28.22-46.44c-7.077-6.2-14.267-11.944-21.564-17.218l-44.217 26.094-1.875-52.562c-8.284-3.595-16.646-6.6-25.094-9.063l-24.563 50.595-40.155-58.25zm-99.03 48.688L211.53 218l-81.75 14.72c-.38-31.18 8.666-60.68 24.314-85.407zm141.405 38.28c-8.232 6.9-13.47 17.264-13.47 28.845 0 20.77 16.825 37.625 37.595 37.625 18.725 0 34.248-13.71 37.125-31.625 5.848 10.64 8.92 23 8.22 36.062-2.003 37.232-33.613 65.596-70.845 63.594-37.232-2.002-65.596-33.58-63.594-70.813 1.878-34.904 29.75-62.05 63.907-63.655.352-.017.71-.022 1.063-.03zm146.53 48.626c-.352 17.6-3.055 34.256-8.842 50.06l-39.032-26.5 47.875-23.56zM130.53 246l76.595 25.03-50.844 47.126C142.116 297.24 133.136 272.7 130.53 246z","fillRule":"evenodd"}}]})(props);
};
function GiStarSattelites (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.72 17.125c-46.945.28-93.808 14.67-133.626 43.188 90.04-37.994 198.53-19.315 271.937 54.093 73.324 73.342 91.483 181.133 53.626 271.125 65.043-90.962 56.77-217.948-25.03-299.75-46.024-46.074-106.55-69.016-166.907-68.655zM451.655 385.53c-.044.063-.08.127-.125.19l.033.06c.034-.08.06-.167.093-.25zM96.28 67.03c-14.01 0-25.155 11.162-25.155 25.157 0 14.012 11.16 25.157 25.156 25.157 14.013 0 25.157-11.16 25.157-25.156 0-14.012-11.16-25.157-25.156-25.157zm161.782 14.564c-44.438-.03-88.87 16.9-122.75 50.78-67.772 67.777-67.662 177.742.188 245.595 67.865 67.867 177.805 67.916 245.563.155 67.772-67.776 67.693-177.74-.157-245.594-33.932-33.933-78.405-50.908-122.844-50.936zm-4.468 21.344l21.656 61.874c-14.76-2.616-30.052-1.584-44.375 3.157l22.72-65.032zM65.28 122.844c-.033.082-.058.168-.093.25.044-.062.082-.126.126-.188l-.032-.062zm-.093.25C.144 214.057 8.417 341.044 90.22 422.844c81.817 81.912 209.517 90.654 300.53 25.47-90.042 37.992-198.53 19.313-271.938-54.095-73.323-73.343-91.48-181.134-53.624-271.126zm82.72 23.562l63.405 30.53c-5.604 3.53-10.878 7.743-15.75 12.626l-.03-.062c-6.252 6.25-11.38 13.19-15.407 20.594l-1.03 1.03-31.19-64.718zm211.655.063l-26.406 54.843c-2.922-4.126-6.224-8.068-9.906-11.75-6.34-6.34-13.39-11.536-20.906-15.594l57.22-27.5zm-99.218 45.655c15.813.01 31.644 6.05 43.72 18.125 24.148 24.15 24.178 63.29.06 87.406-24.116 24.118-63.256 24.088-87.405-.062-24.15-24.15-24.15-63.29-.032-87.406 12.058-12.06 27.842-18.074 43.656-18.063zm-88.47 36.375v2.813c-3.59 14.433-3.58 29.592.032 44.03v.594l-67.812-23.75 67.78-23.687zm175.532 4.438l56 19.593-55.187 19.282c2.51-12.828 2.213-26.11-.814-38.875zm-168.562 61.03c4.216 8.38 9.796 16.235 16.78 23.22 4.282 4.28 8.915 8.028 13.782 11.28l-61.344 29.5 30.782-64zm155.344 11.313l25.5 52.908-54.438-26.22c6.65-3.815 12.897-8.556 18.563-14.218 3.9-3.9 7.35-8.073 10.375-12.47zM232.03 339.657c13.79 4.442 28.437 5.565 42.626 3.313l-20.72 59.28-21.905-62.594zm195.064 58.875c-14.012 0-25.156 11.162-25.156 25.158 0 14.01 11.16 25.156 25.156 25.156 14.012 0 25.125-11.16 25.125-25.156 0-14.012-11.13-25.157-25.126-25.157z"}}]})(props);
};
function GiStarShuriken (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M324.52 191.715a97.542 97.542 0 0 0-4.228-4.229L256 22.303l-64.291 165.183a93.225 93.225 0 0 0-4.222 4.224L22.301 255.998l165.179 64.291a97.542 97.542 0 0 0 4.229 4.229L256 489.697l64.284-165.174a95.208 95.208 0 0 0 4.237-4.233l165.178-64.287zM256 297.773c-23.067 0-41.77-18.705-41.77-41.775 0-23.067 18.703-41.767 41.77-41.767 23.068 0 41.767 18.7 41.767 41.767 0 23.07-18.7 41.775-41.767 41.775z"}}]})(props);
};
function GiStarSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M316.74 14.79l-72.326 88.94-73.234-50.673 67.095 115.537c7.713-2.512 15.938-3.887 24.49-3.887 15.338 0 29.648 4.384 41.768 11.947l81.64-88.6-62.187 17.454-7.246-90.717zM137.47 32.224l28.73 136.144L41.04 121.13l98.753 106.235-61.215 48.266 105.524-24.304c-.24-2.5-.366-5.03-.366-7.592 0-28.415 15.004-53.317 37.514-67.244L137.47 32.223zm318.692 36.185l-35.71 10.024-101.307 109.945c14 14.258 22.644 33.795 22.644 55.357 0 .708-.01 1.412-.028 2.116l81.088-4.762-41.465-23.08 74.777-149.6zM232.744 229.533c-13.443 0-24.342 10.897-24.342 24.342 0 13.445 10.898 24.344 24.342 24.344 13.445 0 24.344-10.9 24.344-24.345 0-13.445-10.9-24.342-24.344-24.342zm59.27 0c-13.443 0-24.342 10.897-24.342 24.342 0 13.445 10.897 24.344 24.342 24.344 13.444 0 24.343-10.9 24.343-24.345 0-13.445-10.9-24.342-24.343-24.342zm161.26 28.488l-114.327 6.714c-2.23 8.113-5.716 15.703-10.246 22.547l72.39 92.962 69.146 30.496-94.18-119.16 120.217-9.623-43-23.934zM188.085 269.59l-143.87 33.137-25.673 20.242 139.123 19.654-68.54 112.775 124.546-52.27 10.193-37.738h19.358l-10.313 38.18 42.035 88.947 24.178-81.15-18.803-45.977h20.192l17.517 42.834L389.51 462.6l-11.94-82.14-61.238-78.642c-2.81 2.593-5.814 4.974-8.977 7.14v41.233h-18.69v-31.78c-5.076 1.763-10.395 3.004-15.884 3.7v28.08h-18.687v-27.913c-6.25-.682-12.28-2.094-18.004-4.148v32.06h-18.688v-41.762c-13.457-9.46-23.836-23.003-29.318-38.84zm73.94 4.75l-16.72 27.87h33.442l-16.72-27.87z"}}]})(props);
};
function GiStarStruck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.1 19.16c-48.8 0-93.2 25.72-125.9 68.45C97.47 130.3 76.87 189.9 76.87 256c0 66 20.6 125.6 53.33 168.4 32.7 42.7 77.1 68.4 125.9 68.4 48.7 0 93.1-25.7 125.8-68.4 32.7-42.8 53.2-102.4 53.2-168.4 0-66.1-20.5-125.7-53.2-168.39-32.8-42.73-77.1-68.45-125.8-68.45zM149.6 162.2l36 42.7L240 192l-29.5 47.4 29.1 47.7-54.3-13.4-36.3 42.4-4.1-55.7-51.51-21.5 51.71-21 4.5-55.7zm212.7 0l4.5 55.7 51.8 21-51.6 21.5-4 55.7-36.4-42.4-54.2 13.4 29.1-47.7L272 192l54.3 12.9 36-42.7zm-104.8 187c34.5 0 69 7.5 99.3 22.5l6.5 3.2-1.5 7.1s-3.8 17.9-18.8 35.1c-15 17.2-42 34.1-85.5 34.1s-70.4-16.9-85.4-34.1C157 399.9 153.3 382 153.3 382l-1.5-7.1 6.5-3.2c2.8-1.4 5.6-2.6 8.5-3.9v-.4h.8c27.9-12.1 58.9-18.2 89.9-18.2zM185 403.4c.3.5.7 1 1.1 1.4 12 13.7 32.6 27.7 71.4 27.7 38.9 0 59.5-14 71.4-27.7.4-.4.7-.9 1.2-1.4H185z"}}]})(props);
};
function GiStarSwirl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M436.406 29.625l-18.094 42.22-48.562 5.905 42.156 25.656 1.375 13.47C367.938 90.74 302.435 75.36 214.78 82.31l-20.186-3.343-24.125-38.407.5 39.78-49.22 16.438 55.063 4.564 7.843 33.78 17.094-37.78 17.906-2.75c203.993 22.03 277.475 204.75 77.875 207.625l5.22-37.595 36.75-43.72-51.344-24.968-30.22-48.468-39.623 41.124-4.125 1.03C-8.4 163.078-31.708 304.485 98.844 376.125l-11.938 12.688L39.844 374.5l33.03 39.406-15.124 42.53 36.375-31.155 47.03 18.095-30.374-43.875 4.69-15.03c62.43 28.648 153.852 42.16 270.5 20.717-241.042 33.38-364.142-137.94-219.283-195.687l23.032 43.25-4 56.97 56.218-9.97 19.25 7.813c218.255 102.608 297.46-83.917 171.843-177.75l14.376-22.22 46.47-16.5-41.907-14.812-15.564-46.655zM34.53 79.03l4.845 26.095-19.47 22 27.22-3.25 17.563 23.344.687-29.47 24.78-17.906-33.218-1.72-22.406-19.093zm358.564 298.5l14.25 51.658-31.375 41.062 49.592-12.688 33.688 34.282-2.53-51.406 35.217-30.375-51.593 1.562-47.25-34.094z","fillRule":"evenodd"}}]})(props);
};
function GiStarfighter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M176.627 28.995C148.28 58.81 115.299 96.145 87.199 133.61 54.425 177.31 29.385 221.68 25.59 249.331l105.706 26.426c2.423-83.416 27.743-164.682 45.332-246.762zm158.746 0c19.444 82.462 39.362 163.183 45.332 246.762L486.41 249.33c-3.795-27.652-28.835-72.022-61.61-115.72-28.099-37.466-61.08-74.8-89.427-104.616zM55 80.21v67.19a858.533 858.533 0 0 1 17.8-24.59l.2-.262V80.21zm384 0v42.338l.2.262A858.535 858.535 0 0 1 457 147.4V80.21zm-192 32v52.648c5.93-4.323 12.122-3.717 18 0V112.21zm9 68.65c-9.092 6.936-16.603 16.958-22.553 25.674-4.776 7.036-9.08 14.404-12.068 20.695-2.887 6.078-4.215 11.405-4.307 12.674l14.553 87.307h48.75l14.553-87.307c-.092-1.27-1.42-6.596-4.307-12.674-2.989-6.291-7.292-13.66-12.068-20.695-7.091-9.554-13.257-18.898-22.553-25.674zm-10 31.35h20l14 36h-48zm-94.043 26.912l-13.855 193.973L180.09 412.1l-14.213-63.96 45.889-30.591-8.15-48.91zm208.086 0l-51.656 29.518-8.153 48.91 45.89 30.592-14.214 63.959 41.988 20.994zM39.057 271.251c19.713 24.978 40.743 50.236 58.359 75.86 9.945 14.464 18.821 29.098 25.643 43.954l6.935-97.08zm433.886 0l-90.937 22.734 6.935 97.08c6.822-14.856 15.698-29.49 25.643-43.955 17.616-25.623 38.646-50.88 58.36-75.859zm-257.933 65.77l-28.887 19.257 18.43 82.932H231v-48h16v-46h-30.625zm81.98 0l-1.365 8.189H265v46h16v48h26.447l18.43-82.932zM208.553 457.21l5.732 25.795L231 474.647V457.21zm72.447 0v17.437l16.715 8.358 5.732-25.795z"}}]})(props);
};
function GiStarsStack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.65 38.984l-49.697 100.702-111.13 16.146 80.413 78.385-18.982 110.68 99.396-52.256 99.397 52.256-18.983-110.68 80.413-78.384-111.127-16.146-49.7-100.702zM112 308.826l-26.674 54.05-59.646 8.665 43.16 42.073-10.188 59.403L112 444.97l53.348 28.046-10.188-59.403 43.16-42.072-59.646-8.665L112 308.825zm288 0l-26.674 54.05-59.646 8.665 43.16 42.073-10.188 59.403L400 444.97l53.348 28.046-10.188-59.403 43.16-42.072-59.646-8.665L400 308.825z"}}]})(props);
};
function GiStaryu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.313 24.563l-66.125 133.78L222.25 216c9.095-7.82 17.132-17.24 24.063-28.5V24.562zm18.687.625v162.406c6.37 11.466 14.176 21.062 23.375 29L331 158.25 265 25.187zM164.187 168.094L20.845 188.97l156.53 51.093c10.752-3.268 20.687-7.577 29.782-13.094l-42.97-58.876zm182.782 0L303.593 227.5c9.343 5.507 19.765 9.777 31.28 12.97l157.876-51.19-145.78-21.186zm-91.533 33.844c-17.96 25.962-42.385 42.9-71.25 52.218 22.825 23.285 29.075 53.562 26.782 85.656 30.114-12.898 60.604-9.374 89.874 1.438-2.023-31.53 4.755-61.705 27.156-86.656-30.68-9.16-55.663-26.35-72.563-52.656zM13.25 206.155l106.72 104 68.936-22.344c-5.1-11.618-13.2-22.024-25.22-31.125l-3.374-2.53-147.062-48zm482.156 1.906L349.186 255.5l-.967.844c-11.146 9.762-18.935 20.302-24.095 31.625l67.375 21.967 103.906-101.875zm-301.062 97.625l-68.72 22.282-25.718 146.75 28.813-39.47 66.31-90.813c1.518-13.88 1.532-26.83-.686-38.75zm123.906 0c-2.725 12.42-3.01 25.66-1.594 39.72l93.563 128.25-24.658-146.032-67.312-21.938zm-71.938 41.22c-12.81.772-25.57 4.355-38.468 11.656l-64.03 87.718-26.908 36.845 129.406-67.813v-68.406zm18.688.75v67.717l129.625 68.595-91.25-125.095c-13.052-5.493-25.79-9.5-38.375-11.22z"}}]})(props);
};
function GiStaticGuard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M190.39 18.406l13.176 64.625h41.957l-.002 18.69h-38.145l7.635 37.438h82.63l7.45-37.44h-40.88V83.032h44.597l12.855-64.61-131.273-.014zM331.8 63.238l-18.823 94.608h-113.23l-18.99-93.127L38.98 114.395l148.973 247.342-60.967-203.168 17.9-5.37 39.247 130.784 72.35 10.62 71.53-10.696 39.094-130.664 17.905 5.358-60.018 200.587L473.06 114.323 331.8 63.238zm-9.708 240.45l-65.582 9.81-66.447-9.754 56.59 188.578V339.475h18.69v152.847h.31l56.44-188.633z"}}]})(props);
};
function GiStaticWaves (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M271.688 18.076c30.998 22.56 59.474 47.18 85.85 74.17-55.465-17.182-111.375-24.518-166.444-24.53 131.154 56.898 232.282 146.106 301.353 302.522v-65.394c-43.575-82.686-107.69-155.17-176.906-190.42C388.585 135.42 446.776 179.83 490 223.034 441.175 96.127 375.416 38.693 271.688 18.075zM66.692 20.994C52.09 133.23 55.57 248.46 88.887 360.31c-33.756-40.1-58.85-84.33-71.25-130.236 1.203 129.388 75.925 229.466 194.035 261.7-54.595-68.506-108.85-165.455-111.063-290.587 28.372 118.453 129.845 227.278 256.544 294.03H480.18C248.53 386.68 129.253 227.084 66.693 20.994zm19.805 15.313l156.135 180.22c-32.287-17.453-65.367-34.38-98.07-51.318 85.847 129.425 186.64 243.742 347.11 295.397-64.525-60.37-95.74-102.014-127.757-150.318-48.695-14.554-101.03-37.668-144.51-76.456 44.58 26.788 123.108 42.688 185.977 48.342-79.726-127.645-192.9-186.57-318.885-245.87z"}}]})(props);
};
function GiStatic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M183.188-.72l-1.563.75h1.938l-.375-.75zm-40.532 19.44L20 77.562V98.28l120.313-57.718L20 132.032v112.655l129.375-46.78L86 188.56l187.97-45.75L20 326.5v43.47l349.594-189.533-81.125 18.22 115.28-71.313 91.53-34.625v-20l-84.75 32.06L301 131.563l44.406-30.125L495.28 28.594V18.72h-22.436l-106.78 51.905-141.377 49.03L383.5 18.72h-81.47l-189.75 95.343L234.47 18.72h-91.814zM495.28 143.343l-264.686 156.22 150.5-39.064-28.188 18.188L78.72 418.717l102.343-90.812L20 409v85h32.938l119.624-80.75 144.688-58.563L246.97 407l112.624-34.438-216.22 119.5L429.438 389.97l-82 57.655L495.281 406V298.437l-139.905 52.25 72.72-58.5-133.72 47.22 177.063-115.094L446.5 266.78l48.78-18.436v-105z"}}]})(props);
};
function GiSteak (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M294.818 43.27c-.957.003-1.917.014-2.88.035-46.15.993-96.56 23.687-128.614 54.82-41.965 40.758-91.926 108.163-118.896 173.047-13.486 32.442-21.17 64.22-19.93 91.305 1.24 27.085 10.723 49.188 32.54 65.546 15.71 11.78 28.638 10.986 44.814 2.72 16.175-8.268 34.067-25.324 52.433-45.405 36.732-40.162 74.766-92.452 121.008-107.932 61.794-20.685 98.278-34.43 120.926-46.785 22.646-12.353 31.392-22.466 40.74-39.08 7.302-12.974 8.365-26.067 5.03-39.882-3.334-13.814-11.388-28.167-22.45-41.62-22.127-26.903-56.253-49.946-83.706-60.003-12.75-4.67-26.652-6.79-41.016-6.764zm3.418 24.26c21.21-.103 42.145 4.338 58.493 16.677 47.554 35.895 86.454 58.96 54.377 111.88-32.076 52.923-177.004 58.17-217.56 20.06-1.663-10.596-12.613-91.45 10.176-121.653 12.52-10.007 54.02-26.77 94.513-26.965zm-119.87 43.66c-1.058 1.99-7.086 83.113-10.403 98.937-19.397 9.728-71.78 21.074-73.92 6.977 3.618-16.654 37.1-71.993 84.324-105.915zm278.095 26.248c1.196 3.294 2.213 6.627 3.026 9.996 4.2 17.4 2.736 35.916-6.84 52.933-10.34 18.374-23.007 32.528-47.808 46.057-24.8 13.53-61.8 27.285-123.832 48.05-36.878 12.346-75.83 61.892-113.438 103.012-18.804 20.56-37.417 39.008-57.525 49.285-5.895 3.014-12.05 5.204-18.322 6.418 3.03 1.73 6.143 3.338 9.165 4.728 8.116 3.734 16.547 5.668 17.197 5.686 14.037-.65 29.08-8.326 44.816-21.024 15.82-12.764 32.063-30.284 48.493-48.676 32.86-36.784 65.744-77.523 104.444-90.478 61.817-20.694 98.67-34.278 121.465-46.543 22.794-12.264 31.4-22.235 40.044-39.028 9.733-18.912 10.244-32.256 4.506-46.28-4.33-10.583-12.968-21.73-25.39-34.135zm-314.546 95.466c33.96-.19 69.09 16.75 104.688 36.092-71.258 37.318-141.89 180.326-187.133 133.99-18.206-20.105-19.433-119.77 30.147-153.564 17.043-11.616 34.51-16.418 52.297-16.518zm-36.463 73.213c-5.436.103-10.92 1.77-14.74 4.787-12.34 9.753-21.72 34.145-11.206 45.844 10.057 11.19 35.46 5.816 44.728-6.012 8.262-10.544 5.69-31.088-4.32-40.02-3.632-3.24-9.023-4.7-14.46-4.6z"}}]})(props);
};
function GiStealthBomber (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32L20 400l60 64 52.1-75.9L176 432l50.5-50.5L256 448l29.5-66.5L336 432l43.9-43.9L432 464l60-64L256 32zm-9 47v78l-39-13 39-65zm18 0l39 65-39 13V79z"}}]})(props);
};
function GiSteamBlast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.58 17.8L216.7 252.2 48.34 98.32 202 273.6c34.3 41 88.4 34.7 114.6 74-25.5-16.6-80-3.6-44.7 21.1-28.5 4.6-22.8 33.6-5.4 42.9 7.9-14.5 25.5-18.8 44.2-18.3-18.7 3.8-36.2 19.6-35.2 39.6 1.1 18.9 29.5 33.4 55.2 19.4 8 19.6 25 33.2 42 39.5 16 5.9 38.3 4.3 56.9-3.2-2.8-11.7 5.7-22.4 19.7-27.2-7.9 10.2-10.9 18.8-10.1 26.9 1.4 1.6 3.1 3 4.9 4.1 13.5 8.2 33.1.6 43.7-16.9 10-16.5 8.5-36.1-3.3-45.2 23.3-56.9 8.7-130.5-44-128.6 4.5-16 2.8-30.5-7.9-39.8-18.5-16.1-54.1-16.1-66.7 7.8-13.4-10.5-33-6.8-42.8 3.7-10.5 16.8-5.8 32.1 7.2 44.1-15.6-8.4-44.4-52.5-44.4-71.1 11 8.7 24.9 10.2 34.1 2.9 11.1-8.9 10.8-27.6-.6-41.7-3.4-4.2-7.6-7.7-12.1-10.1.5-4.3-.2-8.9-2-13.2-5.9-9.7-15.7-20.3-25.4-14.4-12.6 7.6-12 23.1-5.4 33-3.5 5.4-4.6 12.2-3.4 19.2-7.3-10.7-11.3-15.7-24.4-29.5L109.4 48.67 210.3 186.9zm217.52 92.4c-2.9.1-5.3 1.4-6.8 3.7-4 6.3-.4 18.5 7.9 27.2 8.4 8.7 18.4 10.6 22.4 4.3 4.1-6.3.6-18.5-7.8-27.2-5-5.2-10.8-8.2-15.7-8zm138.8 173.7c7 13.7 18.5 23.8 38.8 28.9-23.6-2.3-34.5-5.6-54.8 2 12.5-9.2 17.5-17.3 16-30.9zm-217.8 25.5c-15.5 1.4-20.3 16.2-10.9 32.9 9.4 16.6 29.6 28.9 45 27.5 8.5-.8 14.2-5.7 15.5-13.4 4.1 1.9 8.1 2.8 11.6 2.5 9.1-.9 12-9.5 6.5-19.3s-17.4-17.1-26.5-16.3c-2 .2-3.8.8-5.3 1.8-10.7-8.3-23.5-16.9-35.9-15.7zm289.2 20.2c-5.6 26.4 3.9 46.2 24.1 53.8-30.1 4.1-44-31-24.1-53.8zm-41.5 12.3c-22.7 8.9-23.7 37.3-5.3 48.4-16.1.1-24.3-10.5-24.8-21.7-15.1-7.7-38-4.8-47.2 10.1-.9-23.8 32.2-30.2 48.2-19.3 8-12.6 16.9-18.4 29.1-17.5zm-60.7 59.7c-2.5 19.6 5.5 33.5 20.7 37.8-12.5 2.7-17.7-.1-24.6-9.6-7.4 8.7-16.1 9-27.3 3.9 24.2-2 21.3-18.2 31.2-32.1zm88.5 2.4c6.2 18.7 19.4 27.7 35 25-8.3 6.5-17.6 6.1-24.6 1.5-5.2 30-43.7 36.1-63.6 10.7 26.2 10.9 48.8 6 61.9-11.9-6.7-5.4-10.7-14.8-8.7-25.3z"}}]})(props);
};
function GiSteamLocomotive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v31.758C38.244 53.855 59.076 55.953 80 56a317.745 317.745 0 0 0 50.658-4.27C143.375 100.622 200.964 135.96 268 136c15.1-.044 30.093-1.903 44.395-5.504 3.702 25.632 27.322 44.78 55.275 44.813.475-.01.95-.027 1.424-.048 4.215 14.473 20.33 24.72 38.906 24.738 22.09 0 40-14.327 40-32-.022-13.555-10.718-25.63-26.697-30.137a48.067 48.067 0 0 0 2.203-14.21c-.02-19.245-11.602-36.886-30.057-45.772C402.962 63.617 407.94 47.92 408 32c-.033-7.4-1.128-6.774-3.268-14zm-2 205v18h23v48H25v94h142v-94h-14v-48h23v-18zm360 0v18h17v46h46v-46h17v-18zM57 241h14v48H57zm32 0h46v48H89zm231 20c-7.25 0-14.577 1.013-19.154 2.54-2.077.69-3.287 1.444-3.846 1.855V287h46v-21.605c-.56-.41-1.77-1.164-3.846-1.856C334.577 262.012 327.25 261 320 261zm-135 44v30h247v18H185v30h279c36 0 36-78 0-78zM25 401v37.22L75.67 401zm416 0v78h53.906c-4.965-9.187-9.113-19.953-12.734-31.557-4.94-15.833-8.498-32.39-10.227-46.443zm-289 1.49c-10.72 0-20.57 3.55-28.455 9.533L164.325 463h32.714a47.358 47.358 0 0 0 1.96-13.51c0-26.064-20.936-47-47-47zm112 0c-8.46 0-16.374 2.217-23.213 6.088L284.327 463h24.712a47.358 47.358 0 0 0 1.96-13.51c0-26.064-20.936-47-47-47zm112 0c-8.46 0-16.374 2.217-23.213 6.088L396.327 463c1.68 2.254 1.69 1.93 1.673 4.2V481h-56.945c8.586 9.524 21.034 15.49 34.945 15.49 26.064 0 47-20.936 47-47s-20.936-47-47-47zm-278.994 5.174L43.456 447H87.06c.512-13.423 5.137-25.816 12.633-35.975zm130.105 12.633C220.78 428.302 217 438.43 217 449.49c0 4.703.69 9.234 1.96 13.51h42.313zm112 0C332.78 428.302 329 438.43 329 449.49c0 4.703.69 9.234 1.96 13.51h42.313zm-227.684 5.392c-4.08 6.97-6.426 15.096-6.426 23.8 0 26.064 20.936 47 47 47 13.91 0 26.36-5.966 34.945-15.49h-31.27zM25.023 465c.522 16.756 14.085 30 30.977 30s30.455-13.244 30.977-30zm204.032 16c8.586 9.524 21.034 15.49 34.945 15.49 13.91 0 26.36-5.966 34.945-15.49z"}}]})(props);
};
function GiSteam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M226.15 23.207c-80.605-.39-127.583 43.189-129.207 77.09 33.444-3.521 82.187-2.553 87.068 38.68-23.032-21.249-54.896-21.775-84.396-17.952-130.23 16.878-73.97 200.73 30.488 163.58 8.433 18.916 15.168 69.646 53.36 72.938 37 3.19 36.031 26.349 41.771 70.064 4.752 36.193 60.779 56.268 87.462 61.189 0 0-46.53-79.949-12.347-115.482 88.652-121.077-27.22-185.252-97.254-165.072-47.65 13.73-35.887 42.675-4.389 73.926-45.518-16.55-49.993-37.885-48.692-59.605 2.103-35.092 68.267-61.61 111.12-52.377 108.005 23.27 133.107 102.151 63.987 199.353 70.597 27.995 161.623-6.968 162.912-64.653.804-35.98-21.452-65.04-51.446-74.652-27.22-7.232-38.96 5.289-48.2 23.711-2.666-20.154 17.639-54.573 43.47-37.295C443.959 106.856 404.186 24.068 226.15 23.207z"}}]})(props);
};
function GiSteampunkGoggles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M175.342 120.424c-39.044-.035-81.332 6.312-136.06 17.752 2.786 11.553 6.997 23.69 11.796 35.318 109.813-26.153 176.85-16.624 239.863 9.426 4.03-13.23 10.572-25.413 18.648-35.72-49.595-18.4-89.864-26.737-134.246-26.776zm186.87 14.11c-6.61-.015-12.398.99-16.982 3.376-.79.68-1.384 1.442-1.734 2.2 18.56 4.702 36.184 9.745 51.613 15.628 5.153-4.313 10.78-8.04 16.833-11.027-17.658-5.47-35.56-10.142-49.732-10.175zm-341.454 5.063c-.89 19.648-5.877 24.76-1.288 59.096 3.89 29.1 15.095 72.413 61.754 109.08-3.517-14.455-5.16-28.265-4.587-43.724-12.806-14.01-25.166-33.834-43.268-85.906-5.63-13.404-8.834-26.383-12.612-38.547zm419.545 14.81c-14.962.188-29.31 7.998-40.727 19.942-13.532 14.156-23.72 34.396-28.234 57.824-4.516 23.427-2.557 45.88 4.785 63.843 5.976 14.622 15.925 26.615 29.078 32.332h.002c4.374 1.97 7.517 3.288 12 3.265 17.044 2.097 33.69-6.112 46.593-19.61 13.533-14.158 23.717-34.396 28.233-57.824 4.515-23.426 2.56-45.88-4.78-63.842-7.343-17.963-20.684-31.962-38.59-35.227a43.482 43.482 0 0 0-8.36-.702zm-113.092.222c-10.18 11.86-18.49 27.615-21.48 44.08 23.602 11.794 41.428 32.958 47.72 54.432.148-8.285.985-16.61 2.5-24.8 3.964-21.45 12.488-42.035 25.476-58.436-15.95-5.543-34.613-10.52-54.215-15.277zm114.053 17.745a25.86 25.86 0 0 1 3.993.41c10.53 1.92 19.517 10.35 25.285 24.46 5.768 14.112 7.704 33.376 3.786 53.706-3.918 20.33-12.897 37.605-23.527 48.726-10.632 11.12-22.15 15.812-32.68 13.892-10.53-1.92-19.517-10.352-25.284-24.463-5.768-14.11-7.702-33.373-3.783-53.703 3.918-20.33 12.894-37.604 23.525-48.725 9.302-9.73 19.28-14.54 28.685-14.302zm-254.61 22.328c-12.71.12-23.37 1.835-31.446 5.224-27.724 11.638-46.134 28.764-55.694 47.918 33.88 11.845 50.606 20.93 105.842 23.778 9.12-26.446 27.087-50.78 55.36-65.742-28.42-7.515-53.842-11.37-74.063-11.177zm272.198 6.406c-10.734 55.258-26.578 72.102-46.178 94.99 17.267 1.758 33.788-9.264 41.44-38.276 4.17-15.812 5.536-19.187 4.74-56.715zm-170.577 12.913l-.066.022c-15.41-.246-30.24 7.657-41.977 19.933-13.532 14.157-23.72 34.395-28.234 57.823-4.515 23.428-2.557 45.882 4.785 63.844 2.92 7.144 6.79 13.658 11.517 19.12 5.406 6.65 11.756 11.463 18.757 14.042 2.697.853 5.81 1.6 8.315 2.065 17.906 3.266 35.553-5.08 49.085-19.237 13.532-14.157 23.717-34.397 28.232-57.825.216-1.492.55-2.617.717-4.068 3.55-21.95 1.418-42.855-5.498-59.775-5.793-14.175-15.324-25.876-27.885-31.788-.753-.37-1.52-.728-2.305-1.068v.062a43.235 43.235 0 0 0-8.4-2.434 43.435 43.435 0 0 0-6.975-.693 8.534 8.534 0 0 1-.067-.022zm-.355 17.98a25.85 25.85 0 0 1 3.992.41c10.53 1.92 19.518 10.353 25.285 24.464 5.768 14.11 7.703 33.373 3.785 53.703-3.918 20.33-12.896 37.604-23.527 48.724-10.63 11.12-22.147 15.813-32.678 13.893-10.53-1.92-19.517-10.35-25.285-24.46-5.767-14.112-7.7-33.376-3.783-53.706 3.918-20.33 12.895-37.603 23.525-48.724 9.302-9.73 19.282-14.54 28.686-14.304zm21.47 32.497c-10.736 55.26-26.58 72.102-46.18 94.99 17.268 1.76 33.787-9.263 41.438-38.275 4.17-15.812 5.537-19.187 4.74-56.715zm-214.96.62c-.603 14.054.94 26.203 4.392 39.542l.516-.246c24.38 16.45 71.385 32.672 100.367 32.224-1.63-10.355-2.06-21.19-1.193-32.12a134.61 134.61 0 0 1 2.087-15.135c-53.818-3.222-74.207-13.057-106.168-24.264zm264.29 28.05c-.09 9.523-1.072 18.374-2.595 25.904a179.038 179.038 0 0 0 19.27 6.586c-6.608-8.252-11.652-17.756-15.186-27.88-.53-1.522-1.022-3.06-1.488-4.61zm-246.27 40.3c4.936 5.788 10.722 11.266 17.384 16.3 29.055 21.964 58.6 30.283 89.398 34.95-4.006-5.177-7.465-10.95-10.33-17.138-1.89-4.08-3.525-8.36-4.93-12.783-32.872-.606-63.45-8.824-91.523-21.33z"}}]})(props);
};
function GiSteelClaws (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.11 16.705h120.31l300.66 207.21 56.39 134-138.88-96-7.06-16.79zM309 423.295l-56.39-134-238.08-164.09v94.45zm-48.47-146.43l10.79 25.64 128.76 89-56.39-134-329.16-226.8v76.64z"}}]})(props);
};
function GiSteelDoor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M380.384 169.214v-68.276h17.01v-71.39H96v452.905h301.395v-78.11h-17.01v-85.287h17.01v-132.83h-17.01v-17.012zM326.036 47.61a8.505 8.505 0 1 1-8.506 8.506 8.505 8.505 0 0 1 8.506-8.506zm-40.315 0a8.505 8.505 0 1 1-8.505 8.506 8.505 8.505 0 0 1 8.506-8.506zm-41.367 0a8.505 8.505 0 1 1-8.505 8.506 8.505 8.505 0 0 1 8.505-8.506zm-41.378 0a8.505 8.505 0 1 1-8.505 8.506 8.505 8.505 0 0 1 8.505-8.506zm-41.367 0a8.505 8.505 0 1 1-8.506 8.506 8.505 8.505 0 0 1 8.506-8.506zm-47.385 6.89a8.835 8.835 0 0 1 .52-1.68 8.57 8.57 0 0 1 1.776-2.7 8.697 8.697 0 0 1 1.296-1.064 8.388 8.388 0 0 1 1.5-.797 8.91 8.91 0 0 1 1.498-.47 8.6 8.6 0 0 1 7.73 2.32 8.048 8.048 0 0 1 1.062 1.328 8.197 8.197 0 0 1 .777 1.456 8.42 8.42 0 0 1 .467 1.5 9.005 9.005 0 0 1 .18 1.71 8.77 8.77 0 0 1-.158 1.628 9.175 9.175 0 0 1-.5 1.648 8.208 8.208 0 0 1-.776 1.445 8.718 8.718 0 0 1-1.063 1.297 8.505 8.505 0 0 1-14.523-6.017 8.792 8.792 0 0 1 .213-1.605zm8.356 37.508a8.505 8.505 0 1 1-8.506 8.505 8.505 8.505 0 0 1 8.505-8.505zm0 44.408a8.505 8.505 0 1 1-8.506 8.505 8.505 8.505 0 0 1 8.505-8.483zm0 44.42a8.505 8.505 0 1 1-8.506 8.504 8.505 8.505 0 0 1 8.505-8.484zm8.345 276.61a8.92 8.92 0 0 1-.49 1.617 8.06 8.06 0 0 1-.786 1.49 8.505 8.505 0 0 1-1.064 1.296 7.984 7.984 0 0 1-1.34 1.062 8.388 8.388 0 0 1-3.05 1.244 7.75 7.75 0 0 1-1.628.16 8.505 8.505 0 0 1-8.505-8.506 9.026 9.026 0 0 1 .15-1.605v-.14a8.707 8.707 0 0 1 .488-1.55 7.995 7.995 0 0 1 .766-1.415 7.857 7.857 0 0 1 1.064-1.297 9.42 9.42 0 0 1 1.222-1.063l.15-.096a10.11 10.11 0 0 1 1.34-.712l.126-.053a8.697 8.697 0 0 1 1.563-.458 8.4 8.4 0 0 1 3.286 0 8.505 8.505 0 0 1 1.542.457 10.313 10.313 0 0 1 1.435.754l.096.063a8.814 8.814 0 0 1 1.264 1.064 7.974 7.974 0 0 1 1.063 1.34 8.112 8.112 0 0 1 .766 1.457 8.505 8.505 0 0 1 .457 1.467v.138a8.973 8.973 0 0 1 .16 1.605 8.782 8.782 0 0 1-.075 1.7zm-8.346-37.528a8.505 8.505 0 1 1 8.504-8.506 8.505 8.505 0 0 1-8.505 8.527zm0-44.42a8.505 8.505 0 1 1 8.504-8.504 8.505 8.505 0 0 1-8.505 8.526zm0-44.407a8.505 8.505 0 1 1 8.504-8.504 8.505 8.505 0 0 1-8.505 8.526zm-13.822-75.133a32.267 32.267 0 1 1 32.267 32.267 32.3 32.3 0 0 1-32.267-32.235zm53.062 208.38a8.505 8.505 0 1 1 8.505-8.506 8.505 8.505 0 0 1-8.505 8.517zm41.378 0a8.505 8.505 0 1 1 8.506-8.506 8.505 8.505 0 0 1-8.506 8.517zm41.368 0a8.505 8.505 0 1 1 8.505-8.506 8.505 8.505 0 0 1-8.504 8.517zm41.367 0a8.505 8.505 0 1 1 8.505-8.506 8.505 8.505 0 0 1-8.505 8.517zm40.315 0a8.505 8.505 0 1 1 8.505-8.506 8.505 8.505 0 0 1-8.505 8.517zm19.977-34.32H147.17V294.72h199.055v135.308zM194.47 255.99a8.505 8.505 0 1 1 8.505 8.505 8.505 8.505 0 0 1-8.505-8.506zm41.378 0a8.505 8.505 0 1 1 8.505 8.505 8.505 8.505 0 0 1-8.505-8.506zm41.367 0a8.505 8.505 0 1 1 8.506 8.505 8.505 8.505 0 0 1-8.505-8.506zm40.315 0a8.505 8.505 0 1 1 8.506 8.505 8.505 8.505 0 0 1-8.506-8.506zm28.706-49.778H147.17V81.568h199.055v124.644zm25.292 255.658a8.57 8.57 0 0 1-6.017 2.488 8.037 8.037 0 0 1-1.71-.18 8.388 8.388 0 0 1-1.5-.458 9.164 9.164 0 0 1-1.49-.798 7.804 7.804 0 0 1-1.306-1.063 8.505 8.505 0 0 1-1.063-1.287 8.048 8.048 0 0 1-.786-1.478 7.793 7.793 0 0 1-.49-1.616 8.803 8.803 0 0 1-.16-1.628 8.973 8.973 0 0 1 .16-1.605 8.665 8.665 0 0 1 1.287-3.104 7.772 7.772 0 0 1 1.064-1.297 8.686 8.686 0 0 1 1.266-1.064l.095-.063a10.11 10.11 0 0 1 1.34-.714 8.835 8.835 0 0 1 1.69-.51 8.356 8.356 0 0 1 3.285 0 8.697 8.697 0 0 1 1.52.447l.14.053a10.026 10.026 0 0 1 1.34.712l.137.085a9.345 9.345 0 0 1 1.233 1.063 7.92 7.92 0 0 1 1.063 1.34 8.675 8.675 0 0 1 .734 1.37 9.93 9.93 0 0 1 .49 1.564v.117a8.994 8.994 0 0 1 .148 1.616 8.57 8.57 0 0 1-2.488 5.996zm2.307-404a8.314 8.314 0 0 1-.436 1.467v.117a8.92 8.92 0 0 1-.766 1.414 8.325 8.325 0 0 1-2.35 2.35 8.303 8.303 0 0 1-1.5.797 7.91 7.91 0 0 1-1.604.468 7.793 7.793 0 0 1-1.627.16 8.08 8.08 0 0 1-1.712-.182 7.602 7.602 0 0 1-1.583-.488 8.1 8.1 0 0 1-1.414-.754 7.9 7.9 0 0 1-1.297-1.064 8.505 8.505 0 0 1 0-12.024 7.974 7.974 0 0 1 1.34-1.063 8.208 8.208 0 0 1 1.456-.766 8.388 8.388 0 0 1 1.5-.456 8.505 8.505 0 0 1 3.39 0 9.11 9.11 0 0 1 1.596.49 8.112 8.112 0 0 1 1.456.775 8.633 8.633 0 0 1 1.287 1.063 8.165 8.165 0 0 1 1.064 1.34 8.378 8.378 0 0 1 1.17 2.997 7.697 7.697 0 0 1 .16 1.616 8.06 8.06 0 0 1-.16 1.723zM164.18 98.578h165.034v90.624H164.18V98.578zm0 213.153h165.034V413.02H164.18V311.73zM416 169.215h-18.605V117.95H416v51.264zm-18.605 218.118v-51.266H416v51.266h-18.605zM125.768 255.99a15.256 15.256 0 1 1 15.257 15.256 15.256 15.256 0 0 1-15.257-15.257z"}}]})(props);
};
function GiSteeltoeBoots (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M138.156 79.563c-31.152.182-59.2 12.183-81.656 49.656 14.524 7.443 25.94 20.494 34.594 36.718 23.192-19.45 47.258-25.422 70.344-26.032 1.115-.03 2.232-.056 3.343-.062 7.78-.04 15.44.485 22.907 1.28l-2 18.595c-30.506-3.252-57.477-3.168-86.53 24.03 3.292 8.65 6.04 17.943 8.374 27.72 14.596-9.007 29.497-12.176 44.064-12.25 1.196-.007 2.402-.004 3.594.03 11.435.33 22.625 2.46 33.25 5.094l-4.5 18.125c-26.066-6.46-48.34-9.59-72.375 8.905 1.126 6.625 2.105 13.396 2.906 20.313.392 3.398.713 6.826 1.03 10.28 9.115-3.8 18.35-5.536 27.375-5.687 1.955-.03 3.91.018 5.844.126 15.46.867 30.124 5.716 44.25 11.188l-6.75 17.437c-13.48-5.22-26.388-9.287-38.532-9.967-10.51-.59-20.403 1.075-30.75 6.906.684 13.683.838 27.62.5 41.56 16.186.72 33.618.074 50.28-1.936l5-.594 3.25 3.844c18.406 21.86 30.335 55.44 32.063 102 10.888-1.433 21.697-3.74 32.564-7.375-25.184-102.074-34.018-205.22-.344-308.533-31.203-16.298-66.677-30.76-99.063-31.343-1.01-.018-2.026-.037-3.03-.03zm219.906 16.124c-15.74.036-30.8 2.812-43.156 7.938-16.887 7.006-28.18 17.81-31.97 31.875 23.718 102.41 13.683 179.952.595 283.344 5.66 1.64 12.74 3.086 20.75 4.344 4-48.36 26.424-86.188 55.72-107.844l4.313-3.188 4.937 2.125c8.365 3.59 19.527 6.158 32.22 7.72-.475-5.436-.857-10.843-1.158-16.188-22.766-17.532-51.772-17.002-77.906-9.187l-5.344-17.906c11.303-3.38 23.542-5.617 35.97-5.876 15.748-.33 31.8 2.563 46.593 10.406-.017-6.967.15-13.778.563-20.375.287-4.61.706-9.106 1.218-13.5-22.627-20.67-45.18-19.31-71.812-14.906l-3.03-18.44c7.198-1.19 14.614-2.136 22.155-2.468 1.413-.062 2.828-.108 4.25-.125 17.42-.198 35.295 3.27 52.092 15 2.5-10.14 6-19.322 10.875-27.218-26.413-28.12-52.972-30.288-83.156-29.47l-.5-18.656c2.146-.058 4.296-.086 6.47-.094 2.174-.008 4.37.003 6.563.063 27.6.754 56.7 7.326 82.875 33.968 10.384-8.308 24.128-12.26 40-10.718-3.77-22.168-14.12-39.038-28.344-51.78-16.68-14.942-38.927-24.045-61.625-27.376-5.676-.832-11.375-1.32-17-1.437-1.056-.023-2.108-.035-3.158-.032zM64.625 333.47c-24.22 19.75-43.225 53.82-44.938 98.686 34.014 11.948 82.977 16.013 169.657-1.125-1.105-42.536-11.057-71.93-24.813-90.342-35.766 3.787-73.08 2.453-99.905-7.22zm302.813 0c-24.21 19.752-43.226 53.83-44.938 98.686 34.01 11.95 82.986 16.008 169.656-1.125-1.105-42.54-11.054-71.93-24.812-90.342-35.758 3.783-73.088 2.45-99.906-7.22z"}}]})(props);
};
function GiSteelwingEmblem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.156 87l-.875 47.688 145.564 48.718 8.937 2.97-3.06 8.905c-14.857 43.4-17.932 93.212-3.564 138.47 4.103 17.557 11.6 33.377 21.53 46.344l-9.405 10.656-5.468 6.188 5.47 6.156 69.53 78.97 7.032 7.936 7-7.938 69.562-78.968 5.438-6.156-5.438-6.188-9.562-10.875c9.85-12.927 17.294-28.664 21.375-46.125 14.367-45.258 11.292-95.07-3.564-138.47l-3.062-8.905 8.937-2.97 145.564-48.718L491.22 87l-201.25 80.188c15.49 20.604 25.624 54.782 25.624 93.468 0 34.853-8.233 66.033-21.188 86.938l-31.562-35.813-7-7.936-7.03 7.937-31.72 36c-13.023-20.904-21.313-52.165-21.313-87.124 0-38.664 10.118-72.83 25.595-93.437L20.155 87zM493.5 153.906L361.156 198.22c2.563 8.47 4.695 17.156 6.406 25.968l123.532-12.375c1.643-19.07 2.36-38.526 2.406-57.907zm-474.156.5c.057 19.218.776 38.496 2.406 57.406l122.063 12.22c1.706-8.758 3.827-17.39 6.375-25.813L19.344 154.405zm4.406 76.406c2.137 17.497 5.116 34.54 9.22 50.75l106.124-9.843c.017-9.794.65-19.534 1.812-29.19L23.75 230.813zm465.344 0L370.47 242.656c1.145 9.562 1.757 19.21 1.78 28.906l107.625 10c4.102-16.208 7.082-33.257 9.22-50.75zm-117.53 59.438c-.558 7.228-1.46 14.45-2.72 21.625l87.97 30.156c7.116-12.94 13.018-27.084 17.842-42.186l-103.094-9.594zm-231.783.156l-101.593 9.438c4.824 15.1 10.73 29.25 17.844 42.187l86.564-29.655c-1.298-7.288-2.242-14.624-2.813-21.97zm225 39.844c-2.015 7.52-4.447 14.958-7.342 22.28L412.28 394c13.427-9.784 24.838-21.827 34.47-35.688l-81.97-28.062zm-218.092.47L66.094 358.31c9.63 13.86 21.04 25.904 34.47 35.688l53.686-40.625c-2.98-7.443-5.493-15.007-7.563-22.656zm108.25 2.405v66.563H310.5l-54.688 62.03-57.093-64.78 56.218-63.813z","fillRule":"evenodd"}}]})(props);
};
function GiSteeringWheel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25C128.316 25 25 128.316 25 256s103.316 231 231 231 231-103.316 231-231S383.684 25 256 25zm0 30c110.903 0 201 90.097 201 201s-90.097 201-201 201S55 366.903 55 256 145.097 55 256 55zm-4.365 18.057c-.433.01-.863.026-1.295.04.43-.014.862-.03 1.295-.04zm8.73 0c.433.01.864.026 1.295.04-.432-.014-.862-.03-1.295-.04zm-13.158.158c-.473.022-.944.046-1.416.072.473-.026.944-.05 1.417-.072zm17.586 0c.473.022.944.046 1.416.072-.473-.026-.944-.05-1.417-.072zm-21.963.26c-.505.035-1.01.07-1.516.11.505-.04 1.01-.075 1.516-.11zm26.34 0c.505.035 1.01.07 1.516.11-.505-.04-1.01-.075-1.516-.11zm-30.787.37c-.462.045-.925.082-1.385.13.46-.048.923-.085 1.385-.13zm35.234 0c.462.045.925.082 1.385.13-.46-.048-.923-.085-1.385-.13zm-40.803.608c-.295.037-.588.08-.882.12.294-.04.587-.083.882-.12zm46.372 0c.295.037.588.08.882.12-.294-.04-.587-.083-.882-.12zm-50.56.58c-.504.075-1.005.157-1.507.237.5-.08 1.002-.162 1.505-.237zm54.75 0c.502.075 1.003.157 1.505.237-.5-.08-1.002-.162-1.505-.237zm-59.022.694c-.5.086-1 .174-1.497.265.498-.09.997-.18 1.497-.265zm63.292 0c.5.086 1 .174 1.497.265-.498-.09-.997-.18-1.497-.265zm-67.44.773c-.544.108-1.09.212-1.634.324.544-.112 1.09-.216 1.635-.324zm71.587 0c.545.108 1.09.212 1.635.324-.544-.112-1.09-.216-1.635-.324zm-76.043.938c-.415.092-.832.18-1.246.275.414-.096.83-.183 1.246-.275zm80.5 0c.415.092.832.18 1.246.275-.414-.096-.83-.183-1.246-.275zm-85.62 1.218c-.552.14-1.1.29-1.648.436.55-.145 1.096-.296 1.647-.436zm90.74 0c.552.14 1.1.29 1.648.436-.55-.145-1.096-.296-1.647-.436zm-94.784 1.082c-.555.155-1.108.315-1.66.475.552-.16 1.105-.32 1.66-.475zm98.828 0c.555.155 1.108.315 1.66.475-.552-.16-1.105-.32-1.66-.475zm-102.967 1.21c-.514.158-1.028.315-1.54.476.51-.16 1.026-.318 1.54-.475zm107.106 0c.514.158 1.03.315 1.54.476-.512-.16-1.026-.318-1.54-.475zm-111.305 1.34c-.417.137-.836.272-1.252.413.416-.14.835-.275 1.252-.413zm115.504 0c.417.137.836.272 1.252.413-.416-.14-.835-.275-1.252-.413zm-120.55 1.745c-.422.154-.84.318-1.26.475.42-.157.838-.32 1.26-.475zm125.597 0c.42.154.837.318 1.257.475-.42-.157-.837-.32-1.258-.475zm-129.44 1.455c-.538.21-1.073.427-1.61.643.536-.214 1.073-.43 1.61-.642zm133.28 0c.537.21 1.074.428 1.61.643-.537-.215-1.072-.43-1.61-.642zM185.595 87.01c-.615.256-1.23.515-1.84.777.61-.263 1.225-.52 1.84-.777zm140.808 0c.615.256 1.23.514 1.84.777-.61-.262-1.225-.52-1.84-.777zm-144.533 1.6c-.592.264-1.185.526-1.774.794.59-.268 1.182-.53 1.775-.793zm148.26 0c.592.264 1.185.526 1.774.794-.59-.268-1.182-.53-1.775-.793zm-152.267 1.835c-.494.234-.99.462-1.482.7.492-.238.99-.466 1.483-.7zm156.274 0c.494.234.99.462 1.482.7-.492-.238-.99-.466-1.483-.7zM172.965 92.84c-.51.26-1.017.53-1.526.795.508-.265 1.013-.535 1.525-.795zm166.07 0c.512.26 1.017.53 1.526.795-.508-.265-1.014-.535-1.525-.795zm-169.678 1.892c-.554.298-1.105.6-1.656.905.552-.304 1.103-.607 1.657-.905zm173.286 0c.554.298 1.105.6 1.656.905-.552-.304-1.103-.607-1.657-.905zm-176.805 1.946c-.57.323-1.14.647-1.705.976.566-.328 1.135-.653 1.705-.976zm180.324 0c.57.323 1.14.648 1.705.976-.566-.33-1.135-.653-1.705-.976zm-183.812 2.03c-.59.35-1.183.7-1.77 1.06.587-.36 1.18-.71 1.77-1.06zm187.3 0c.59.35 1.183.7 1.77 1.06-.587-.36-1.18-.71-1.77-1.06zm-190.69 2.07c-1.14.714-2.272 1.44-3.396 2.18 1.124-.74 2.256-1.467 3.397-2.18zm194.08 0c1.14.713 2.272 1.44 3.396 2.18-1.124-.74-2.256-1.466-3.397-2.18zm-198.84 3.076c-.684.46-1.363.928-2.042 1.396.68-.468 1.358-.937 2.043-1.396zm203.6 0c.685.46 1.363.928 2.042 1.396-.68-.468-1.358-.937-2.043-1.396zm-206.845 2.23c-.664.466-1.325.936-1.982 1.41.657-.474 1.318-.944 1.982-1.41zm210.09 0c.664.466 1.325.936 1.982 1.41-.657-.474-1.318-.944-1.982-1.41zm-213.336 2.332c-.657.482-1.31.965-1.96 1.455.65-.49 1.303-.972 1.96-1.454zm216.58 0c.657.482 1.31.965 1.96 1.455-.65-.49-1.303-.972-1.96-1.454zm-219.513 2.2c-1.662 1.272-3.307 2.568-4.923 3.896 1.616-1.33 3.26-2.624 4.923-3.897zm-4.923 3.896c-.674.553-1.337 1.117-2.002 1.68.665-.563 1.328-1.127 2.002-1.68zm227.37-3.897c1.66 1.273 3.306 2.568 4.922 3.897-1.616-1.328-3.26-2.624-4.923-3.897zm4.922 3.897c.674.553 1.337 1.117 2.002 1.68-.665-.563-1.328-1.127-2.002-1.68zm-235.253 2.49c-.662.567-1.316 1.14-1.97 1.717.654-.577 1.31-1.15 1.97-1.718zm238.214 0c.66.567 1.316 1.14 1.97 1.717-.654-.577-1.308-1.15-1.97-1.718zm-241.115 2.543c-.67.6-1.338 1.204-2 1.814.662-.61 1.33-1.215 2-1.815zm244.016 0c.67.6 1.338 1.205 2 1.814-.662-.61-1.33-1.215-2-1.815zm-246.817 2.56c-.705.657-1.408 1.32-2.104 1.99.696-.67 1.4-1.333 2.105-1.99zm-2.104 1.99c-2.464 2.37-4.858 4.81-7.186 7.315 2.328-2.505 4.723-4.945 7.186-7.316zm251.723-1.99c.705.657 1.408 1.32 2.104 1.99-.696-.67-1.4-1.333-2.105-1.99zm2.104 1.99c2.463 2.37 4.858 4.81 7.186 7.315-2.328-2.505-4.722-4.945-7.186-7.316zm-261.55 7.89c-.683.742-1.358 1.492-2.03 2.245.672-.753 1.347-1.503 2.03-2.246zm269.27 0c.685.742 1.36 1.492 2.032 2.245-.672-.753-1.347-1.503-2.03-2.246zm-271.79 2.798c-.675.763-1.344 1.53-2.006 2.305.662-.774 1.33-1.542 2.006-2.305zm274.312 0c.675.763 1.344 1.53 2.006 2.305-.662-.774-1.33-1.542-2.006-2.305zm-276.676 2.725c-2.985 3.513-5.84 7.14-8.556 10.875 2.716-3.735 5.572-7.362 8.556-10.875zm279.04 0c2.984 3.513 5.84 7.14 8.556 10.875-2.717-3.735-5.57-7.362-8.556-10.875zm-287.786 11.135c-.648.894-1.29 1.794-1.92 2.7.63-.906 1.272-1.806 1.92-2.7zm296.532 0c.648.894 1.29 1.794 1.92 2.7-.63-.906-1.272-1.806-1.92-2.7zm-298.698 3.054c-2.698 3.888-5.25 7.885-7.646 11.985 2.396-4.1 4.948-8.097 7.646-11.985zm-7.646 11.985c-.58.99-1.147 1.985-1.707 2.986.56-1 1.13-1.997 1.707-2.986zm308.51-11.985c2.698 3.888 5.25 7.885 7.646 11.985-2.397-4.1-4.948-8.097-7.646-11.985zm7.646 11.985c.578.99 1.147 1.985 1.707 2.986-.56-1-1.128-1.997-1.707-2.986zm-318.045 3.312c-.56 1.004-1.11 2.012-1.65 3.027.54-1.014 1.09-2.022 1.65-3.026zm-1.65 3.027c-2.848 5.35-5.436 10.856-7.752 16.505 2.316-5.648 4.906-11.156 7.753-16.504zm-7.752 16.505c-2.315 5.65-4.356 11.44-6.107 17.356 1.75-5.915 3.793-11.706 6.108-17.355zm-6.107 17.356C75.636 220.397 73 237.886 73 256c0 .62.017 1.235.023 1.854 144.706 30.36 121.43 62.398 148.02 177.806C232.358 437.843 244.04 439 256 439c11.96 0 23.642-1.157 34.957-3.34 26.59-115.408 3.314-147.445 148.02-177.806.006-.62.023-1.234.023-1.854 0-18.115-2.636-35.604-7.523-52.12C346.67 182.72 301.07 172 256 172c-45.07 0-90.67 10.72-175.477 31.88zm350.954 0c-1.75-5.916-3.792-11.706-6.108-17.355 2.314 5.65 4.356 11.44 6.107 17.356zm-6.108-17.355c-2.317-5.65-4.905-11.155-7.753-16.504 2.847 5.35 5.437 10.857 7.752 16.505zm-7.753-16.504c-.54-1.014-1.09-2.022-1.65-3.026.56 1.004 1.11 2.012 1.65 3.027zm-126.66 265.64c1.31-.253 2.614-.518 3.914-.8-1.3.282-2.603.547-3.913.8zm3.914-.8c9.1-1.962 17.943-4.6 26.48-7.858-8.536 3.258-17.382 5.896-26.48 7.86zm26.48-7.858c1.22-.465 2.432-.943 3.638-1.434-1.206.49-2.42.97-3.638 1.434zm3.638-1.434c8.44-3.43 16.564-7.473 24.32-12.072-7.756 4.6-15.88 8.64-24.32 12.072zM221.043 435.66c-1.31-.253-2.614-.518-3.914-.8 1.3.282 2.603.547 3.913.8zm-3.914-.8c-9.098-1.962-17.944-4.6-26.48-7.858 8.537 3.26 17.38 5.896 26.48 7.86zm-26.48-7.858c-1.22-.465-2.432-.943-3.638-1.434 1.206.49 2.42.97 3.638 1.434zm-3.638-1.434c-8.44-3.43-16.564-7.473-24.32-12.072 7.756 4.6 15.88 8.64 24.32 12.072zM256 183c40.21 0 73 32.79 73 73s-32.79 73-73 73-73-32.79-73-73 32.79-73 73-73zm0 18c-30.482 0-55 24.518-55 55s24.518 55 55 55 55-24.518 55-55-24.518-55-55-55zM73.023 257.89c.084 8.274.714 16.415 1.858 24.39-1.143-7.974-1.773-16.116-1.857-24.39zm1.858 24.39c.188 1.303.39 2.603.604 3.898-.214-1.295-.416-2.595-.603-3.9zm364.097-24.39c-.084 8.274-.714 16.416-1.858 24.39 1.143-7.975 1.773-16.115 1.857-24.39zm-1.858 24.39c-.188 1.303-.39 2.603-.604 3.898.214-1.295.416-2.595.603-3.9zM75.51 286.33c.215 1.296.445 2.588.687 3.875-.242-1.287-.472-2.58-.687-3.875zm.687 3.875c1.485 7.87 3.47 15.56 5.926 23.037-2.455-7.477-4.442-15.167-5.926-23.037zm5.926 23.037c.405 1.233.822 2.46 1.252 3.682-.43-1.222-.847-2.45-1.252-3.682zm354.367-26.912c-.215 1.296-.445 2.588-.687 3.875.242-1.287.472-2.58.687-3.875zm-.687 3.875c-1.484 7.87-3.47 15.56-5.926 23.037 2.455-7.477 4.44-15.167 5.926-23.037zm-5.926 23.037c-.405 1.233-.822 2.46-1.252 3.682.43-1.222.847-2.45 1.252-3.682zM83.4 316.998c.432 1.224.876 2.44 1.332 3.652-.456-1.21-.9-2.43-1.332-3.652zm1.332 3.652c2.76 7.32 5.974 14.416 9.61 21.252-3.636-6.837-6.85-13.93-9.61-21.252zm343.868-3.652c-.432 1.223-.876 2.442-1.332 3.652.456-1.21.9-2.428 1.332-3.652zm-1.332 3.652c-2.76 7.32-5.974 14.415-9.61 21.252 3.636-6.836 6.85-13.93 9.61-21.252zM94.365 341.945c.59 1.107 1.19 2.206 1.8 3.3-.61-1.093-1.21-2.194-1.8-3.3zm323.27 0c-.59 1.106-1.19 2.207-1.8 3.3.61-1.094 1.21-2.193 1.8-3.3zm-321.38 3.46c.618 1.103 1.246 2.197 1.886 3.284-.64-1.088-1.267-2.182-1.884-3.284zm1.886 3.284c.654 1.11 1.317 2.216 1.993 3.312-.676-1.096-1.34-2.2-1.992-3.313zm1.993 3.312c3.38 5.48 7.04 10.77 10.963 15.846-3.922-5.077-7.584-10.365-10.963-15.846zm10.963 15.846c.77.996 1.55 1.984 2.34 2.964-.79-.98-1.57-1.968-2.34-2.964zm304.648-22.442c-.617 1.102-1.245 2.196-1.885 3.283.64-1.088 1.267-2.182 1.884-3.284zm-1.885 3.283c-.654 1.11-1.317 2.216-1.993 3.312.676-1.096 1.34-2.2 1.992-3.313zM411.866 352c-3.38 5.48-7.04 10.77-10.963 15.846 3.922-5.077 7.583-10.365 10.963-15.846zm-10.963 15.846c-.77.996-1.55 1.985-2.34 2.964.79-.98 1.57-1.968 2.34-2.964zm-287.384 3.068c.78.97 1.573 1.93 2.375 2.88-.802-.952-1.593-1.91-2.375-2.88zm284.96 0c-.782.97-1.573 1.928-2.375 2.88.802-.95 1.594-1.91 2.375-2.88zm-282.505 2.977c5.766 6.844 12.024 13.257 18.722 19.187-6.697-5.93-12.957-12.344-18.722-19.187zm18.722 19.187c.96.85 1.927 1.688 2.905 2.518-.978-.83-1.945-1.668-2.905-2.518zm2.905 2.518c6.84 5.806 14.116 11.116 21.77 15.88-7.654-4.763-14.93-10.075-21.77-15.88zm21.77 15.88c1.088.676 2.184 1.343 3.288 2-1.104-.656-2.2-1.324-3.29-2zm236.653-37.585c-5.765 6.843-12.025 13.258-18.722 19.187 6.698-5.93 12.956-12.343 18.722-19.187zm-18.722 19.187c-.96.85-1.927 1.688-2.905 2.518.978-.83 1.945-1.67 2.905-2.518zm-2.905 2.518c-6.84 5.805-14.116 11.117-21.77 15.88 7.654-4.764 14.93-10.074 21.77-15.88zm-21.77 15.88c-1.088.676-2.184 1.344-3.288 2 1.104-.657 2.2-1.324 3.29-2z"}}]})(props);
};
function GiStegosaurusScales (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M181.871 77.576c-.672.802-1.21 1.352-2.09 2.604-2.958 4.21-6.754 10.665-10.885 18.49-8.26 15.65-17.977 36.874-27.13 58.682-9.153 21.807-17.77 44.245-23.926 62.4-3.079 9.077-5.542 17.097-7.135 23.3-1.593 6.205-2.044 11.25-2.049 11.192.537 6.396 8.554 21.199 21.145 34.817 11.975 12.952 27.628 25.389 42.447 33.199l23.129-3.598c-7.969-35.558-13.113-76.542-11.23-129.973l17.988.635c-1.852 52.556 3.213 91.985 11.064 126.567l16.707-2.6c13.433-12.352 26.845-29.567 36.531-46.15 10.11-17.306 15.577-34.665 15.04-41.06.004.058-1.226-4.563-3.786-10.073-2.56-5.51-6.277-12.541-10.77-20.418-8.984-15.754-21.083-34.944-33.597-53.35-12.514-18.406-25.483-36.074-36.068-48.717-5.293-6.32-10.031-11.4-13.502-14.496-.846-.754-1.23-.954-1.883-1.45zm226.416 24.496c-.709.48-1.167.712-2.103 1.46-3.604 2.875-8.538 7.56-14.09 13.388-11.104 11.656-24.832 27.933-38.164 44.89-13.332 16.958-26.309 34.638-36.037 49.15-4.865 7.257-8.921 13.735-11.752 18.804-2.832 5.068-4.31 9.436-4.254 9.084-.848 5.417 3.227 21.195 11.91 37.011 8.28 15.082 20.114 30.763 32.23 42.032l23.41 3.5c13.424-36.418 19.391-73.044 23.348-110.16l17.899 1.908c-3.903 36.613-9.81 73.686-23.086 110.965l13.937 2.084c15.039-7.223 31.153-18.751 43.688-30.747 13.135-12.57 21.87-26.48 22.718-31.898-.055.352-.13-4.23-1.28-9.889-1.152-5.659-3.043-13.022-5.466-21.365-4.845-16.687-11.822-37.348-19.36-57.422-7.536-20.074-15.661-39.613-22.69-53.972-3.515-7.18-6.788-13.086-9.34-16.872-.65-.963-1-1.296-1.518-1.95zm-90.86 17.764c-.785.49-1.474.877-2.626 1.766-3.474 2.677-8.191 6.984-13.483 12.324-8.892 8.972-19.506 20.893-30.14 33.613 4.112 6.675 7.95 13.12 11.38 19.135 4.656 8.163 8.565 15.524 11.458 21.75.609 1.311 1.158 2.51 1.685 3.691a397.403 397.403 0 0 1 7.24-11.176c9.81-14.634 22.551-32.008 35.74-48.847-3.304-5.966-6.52-11.492-9.523-16.293-3.788-6.058-7.275-11.007-9.922-14.115-.79-.93-1.233-1.29-1.808-1.848zM98.02 142.527c-.621.688-1.175 1.247-2.04 2.416-2.607 3.527-5.962 8.964-9.587 15.55-7.252 13.17-15.707 31.01-23.594 49.286-.402.932-.796 1.868-1.195 2.801 10.136 8.842 19.668 17.615 27.615 25.492a362.473 362.473 0 0 1 3.334 3.358c.235-.938.455-1.833.717-2.854 1.772-6.903 4.351-15.247 7.525-24.605 5.314-15.67 12.305-34.149 19.894-52.748a309.253 309.253 0 0 0-7.01-6.56c-5.302-4.788-10.014-8.59-13.411-10.854-1.017-.678-1.542-.902-2.248-1.282zM494 170.412c-.884.787-1.76 1.56-2.682 2.404-6.875 6.303-14.765 14.163-22.943 22.752 3.836 11.22 7.302 22.04 10.107 31.702 2.513 8.652 4.51 16.373 5.817 22.796.186.913.338 1.716.506 2.559A682.82 682.82 0 0 1 494 241.338v-70.926zM18 199.92v166.316l36.988-12.818c11.891-13.131 23.013-30.293 30.432-46.047 7.7-16.349 10.3-32.06 9.334-35.557.303 1.098-1.423-2.587-4.686-6.51-3.263-3.921-7.94-8.914-13.521-14.447-11.163-11.064-25.966-24.347-41.072-36.888A702.926 702.926 0 0 0 18 199.919zm270.46 64.518a244.554 244.554 0 0 1-6.48 11.783c-11.01 18.85-25.92 38.105-41.882 52.258l-1.977 1.751-69.021 10.737-2.56-1.272c-18.135-9.003-35.976-23.295-49.956-38.416a209.648 209.648 0 0 1-6.355-7.191c-2.09 6.65-5.074 13.628-8.524 20.953-8.495 18.04-20.846 37.169-34.879 52.217l-1.523 1.635L18 385.285v19.785c2.504-3.326 5.526-6.269 8.799-8.945 10.43-8.529 23.42-14.491 35.049-16.072 1.91-.26 3.88-.402 5.888-.432.67-.01 1.344-.007 2.022.008 8.135.184 16.796 2.167 24.687 5.736 5.261 2.38 10.2 5.507 14.03 10.072 3.83 4.566 6.336 11.115 5.375 17.86-1.498 10.508-8.344 18.764-16.65 24.67-8.308 5.905-18.41 9.853-28.823 11.945-10.413 2.092-21.137 2.343-30.889-.064-7.36-1.818-14.47-5.41-19.488-11.21V494h405.324a31.457 31.457 0 0 1-2.744-5.867c-2.913-8.395-1.009-17.234 3.168-24.057 4.177-6.823 10.36-12.284 17.357-16.82 12.244-7.938 26.94-13.229 40.438-13.81.964-.042 1.922-.06 2.873-.053.95.007 1.894.04 2.828.097 2.242.138 4.5.456 6.756.924V359.82c-7.374-8.025-13.992-16.745-19.43-25.394-6.366-10.128-11.519-19.807-13.623-29.182a255.486 255.486 0 0 1-3.279 3.201c-14.522 13.898-32.741 27.021-50.861 35.264l-2.424 1.103-66.567-9.949-2.002-1.785c-14.79-13.176-28.176-31.035-37.794-48.557-3.779-6.882-7.073-13.59-9.56-20.084zM494 270.074l-.162.21c-4.852 6.32-8.894 11.96-11.692 16.333-2.797 4.374-4.198 8.332-4.011 7.287-.636 3.552 3.075 17.264 11.674 30.942a142.325 142.325 0 0 0 4.191 6.27v-61.042zM288.447 359.09c8.239-.032 16.404.7 23.961 1.996 9.606 1.647 21.93 4.745 32.094 9.38 5.082 2.318 9.684 4.853 13.404 9.007 1.86 2.076 3.56 4.731 4.233 8.097.672 3.367-.015 7.225-1.659 10.201-4.99 9.036-14.287 13.709-24.656 16.834-10.368 3.126-22.422 4.55-34.808 4.682-24.774.263-50.4-3.764-66.05-15.494-3.188-2.39-5.533-6.162-6.193-9.902-.66-3.74.07-7.16 1.252-10.043 2.366-5.768 6.493-10.085 11.48-13.248 11.998-7.61 27.698-10.966 43.41-11.45 1.177-.036 2.355-.056 3.532-.06zm2.268 18.346c-15.371.113-31.17 3.039-39.569 8.365-1.755 1.113-3.405 3.113-4.105 4.36 9.472 6.137 32.521 11.352 53.783 11.126 11.08-.118 21.756-1.49 29.805-3.916 6.382-1.924 10.635-4.583 12.777-6.728-1.248-1.003-3.323-2.408-6.373-3.8-7.76-3.539-19.376-6.595-27.668-8.017-4.84-.83-10.151-1.281-15.584-1.375a124.627 124.627 0 0 0-3.066-.015zM66.52 397.71c-.814.026-1.569.085-2.25.178-6.779.921-18.486 5.964-26.078 12.172-3.795 3.103-6.559 6.465-7.752 9.007-1.192 2.543-1.215 3.67-.355 5.477 1.699 3.57 5.38 6.264 11.715 7.828s14.79 1.546 23.03-.11c8.239-1.655 16.261-4.932 21.939-8.968 5.677-4.036 8.675-8.435 9.26-12.537.204-1.438.013-2.129-1.348-3.752-1.362-1.624-4.108-3.636-7.655-5.24-5.32-2.407-12.397-3.801-17.9-4.036a35.105 35.105 0 0 0-2.606-.02zm417.872 53.7c-9.087.061-23.367 4.381-33.497 10.948-5.402 3.503-9.634 7.584-11.796 11.116-2.163 3.532-2.52 5.86-1.514 8.757 1.623 4.68 5.97 8.72 13.312 11.696.062.025.126.047.188.072H494v-40.793c-2.921-.993-5.648-1.616-7.861-1.752-.557-.034-1.14-.049-1.746-.045z"}}]})(props);
};
function GiStethoscope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M110.037 23.27c-1.32.075-2.665.417-4.014 1.073L79 41.943l10.5 21.58 30.525-10.405c13.04-6.344 2.762-30.57-9.988-29.847zm110.926 0c-12.75-.723-23.027 23.504-9.988 29.848L241.5 63.523l10.5-21.58-27.023-17.6c-1.35-.656-2.695-.998-4.014-1.072zM65.475 51.473L28.5 69.96v5.563c0 42.4 16.395 98.962 41.02 146.164 12.315 23.6 26.693 44.793 42.67 60.504 13.498 13.274 28.41 22.913 44.398 25.585 1.247 64.995 17.26 110.633 42.027 140.044 25.804 30.642 61.022 42.836 95.446 40.685 53.712-3.357 106.658-40.218 127.342-92.984a79.726 79.726 0 0 1-18.777-2.27c-19.496 43.688-64.946 74.494-109.686 77.29-29.577 1.85-58.36-7.957-80.555-34.314-21.268-25.256-36.55-66.5-37.793-128.483 15.92-2.713 30.77-12.33 44.22-25.552 15.975-15.71 30.353-36.903 42.667-60.503 24.625-47.202 41.02-103.764 41.02-146.164V69.96l-36.975-18.488-8.05 16.1 26.763 13.384c-1.344 37.38-16.41 89.65-38.717 132.403-11.685 22.398-25.307 42.205-39.33 55.995-14.024 13.79-28.065 21.168-40.69 21.168-12.625 0-26.666-7.378-40.69-21.168-14.023-13.79-27.645-33.597-39.33-55.997-22.308-42.753-37.374-95.02-38.718-132.402l26.763-13.383-8.05-16.1zM421.5 253.522c-34.348 0-62 27.652-62 62 0 34.35 27.652 62 62 62s62-27.65 62-62c0-34.348-27.652-62-62-62zm0 30c17.567 0 32 14.434 32 32 0 17.567-14.433 32-32 32s-32-14.433-32-32c0-17.566 14.433-32 32-32zm0 18c-7.84 0-14 6.162-14 14 0 7.84 6.16 14 14 14s14-6.16 14-14c0-7.838-6.16-14-14-14z"}}]})(props);
};
function GiSteyrAug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M231.151 109.415l14.847 14.847-120.374 120.374-14.847-14.847L231.15 109.415zm28.854 28.854l-17.447 17.447 17.447-17.447zm-54.452 54.452l17.877 1.49-19.443 19.442-17.879-1.487 19.445-19.445zm131.116-83.735l21.153 4.464 16.336-16.336 15.425 15.425-148.478 148.478a4.47 4.47 0 0 0-.919 1.339l-77.504 173.873a4.457 4.457 0 0 0 1.024 5.07l13.474 12.632a4.457 4.457 0 0 1 .105 6.408l-31.235 31.236a4.457 4.457 0 0 1-5.735.482L58.1 434.654a28.377 28.377 0 0 1-3.835-43.265l282.403-282.403zm117.075-89.868L466 31.375 432.374 65l-2.091-2.091-31.158 31.157-8.474-8.474 31.157-31.157-1.69-1.691 33.626-33.627zM293.869 236.266l.086-.034-.06.06-.026-.025zm.026.026l10.26 10.26-.333.334c-1.96 1.961-11.94 12.221-11.6 17.448.745 11.162 11.276 44.544 21.562 48.475l5.962-5.963c11.653-11.827 10.91-18.176 10.191-24.304-1.742-14.821-8.08-50.697-11.678-70.614l11.415-11.415c2.81 15.4 11.312 62.35 13.431 80.471 1.112 9.517.955 20.058-13.884 35.142l-12.747 12.747-13.746 13.745-4.298 4.299s-34.617-27.052-32.288-58.551c.56-7.669-5.96-12.967-9.62-13.877l.664-1.488 36.709-36.709zm86.854-83.123l51.854 51.853-14.849 14.848-51.853-51.853 14.848-14.848zM222.09 351.556l64.269 36.025-27.096 48.35-59.837-33.54 22.664-50.835z"}}]})(props);
};
function GiStickFrame (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M88.29 21.49l-24.05.85-3.8 63.18c8.32-3.76 16.95-5.51 24.88-6.24.85-19.23 1.83-38.49 2.97-57.79zm369.41 5.58l-22.4 4.15 1.2 79.78 21.4-6.7c-.2-25.71-.3-51.45-.2-77.23zM31.88 43.39l-5.26 17.37c5.78.11 11.51.23 17.26.35l1.06-17.51c-1.95 0-12.52-.2-13.06-.21zM105 44.56c-.4 5.96-.7 11.91-1 17.86 2.1 0 4.1.1 6.1.14l6.1-17.82c-6.2-.1-5.5-.1-11.2-.18zm30.1.47l-6.2 18.01c89 2.29 175.5 5.36 259.3 9.26l-1.4-23.64c-39.5-.48-84.5-1.1-131.4-1.79-44.5-.65-83.7-1.27-120.3-1.84zm269.8 3.86l1.4 24.26c3.9.19 7.7.38 11.6.58l-.3-24.69H415c-3 0-7-.1-10.1-.13zm70.7.62c0 9.08 0 18.16.1 27.23 4.6.25 9.2.49 13.8.74-.5-4.52-.7-6.6-1.6-13.01-.9-5.7-2-11.31-2.9-14.96h-1.1zm-57.5 33.82c-7.8 8.19-15.5 16.37-23.3 24.57 2.4 4.8 5.2 10.8 7.9 17 2.2 5.1 4.4 10.3 6.2 15.2l9.8-9.4zM84.59 97.5c-8.85 1.1-17.94 3.9-25.45 9.7L43.66 364.8c10.51 10.6 25.46 19.8 37.88 24-.89-96.6-.75-193.5 3.05-291.3zm297.01 24.4C290 218.4 196.2 314.5 99.71 410.4c0 2 0 4 .1 6l19.69-.5 275.1-262.2c-.3-1-.6-2-1-3.1-1.9-5.4-4.6-12.1-7.4-18.6-1.5-3.5-3.1-7-4.6-10.1zm76.5 1.2l-21.4 6.8.2 11 21.3-4.1c0-4.6-.1-9.1-.1-13.7zm.4 31.9l-21.3 4.1 3.6 247.9 29.1-.8c-6.5-82.9-9.9-166.7-11.4-251.2zM42.26 388.1l-1.8 30 41.36-1.2c0-3.1-.1-6.3-.11-9.4-13.46-2.9-27.43-9.9-39.45-19.4zm449.34 35.6l-28 .8.3 15.4 26.7-.9zm-46 1.3l-30.6.8 4.5 15.6 26.4-.9zm-49.2 1.3l-264.7 7.2c.8 6.3-.1 12.3-1.5 17.8l270.6-9.2zM113.5 434l-86.61 2.4-6.49 18.7 90.5-3.1c2.1-7 3.4-13.3 2.6-18zm360.8 23.5l-32.7 1.2.3 22.4 34.5-2.4c-.7-7-1.4-14.1-2.1-21.2zM82.46 470.9l-45.27 1.6-1.05 17.4 46.57.6c-.1-6.5-.17-13.1-.25-19.6z"}}]})(props);
};
function GiStickGrenade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M121.175 35.074a6.53 6.53 0 0 0-.43.012c-10.66 0-32.88 14.9-55.6 38.27-28.11 28.97-46.379 59.9-40.769 69.15a5.11 5.11 0 0 0 .881 1.09l111.319 104.27c1.7-6.19 4.84-13.15 9.5-21 8.3-14.17 20.89-30.14 35.36-45.03 10.55-10.85 34.5-33.71 55.34-40.9l-111.4-104.309a6.53 6.53 0 0 0-4.2-1.553zm127.32 119.622c-10.66 0-32.87 14.901-55.6 38.271-28.14 28.94-46.398 59.9-40.798 69.16 1.08 1.78 3 2.63 5.51 2.63 6.58 0 17.56-5.68 30.35-15.52l-5.49-4.65-.302-.26-.289-.27a17.77 17.77 0 0 1-3.05-3.77c-6.41-10.58.36-22.061 2.58-25.841a97.41 97.41 0 0 1 13.76-17.56c11.68-12 22-18.099 30.73-18.099a18.24 18.24 0 0 1 12.54 4.86l.25.24.241.25 4.649 4.75c9.26-14.52 13.551-26.41 10.431-31.56-1.08-1.78-3.001-2.631-5.511-2.631zm-22.453 40.095a2.26 2.26 0 0 0-.146.006c-3.69 0-11.39 5.16-19.26 13.25-9.75 10-16.069 20.75-14.129 24a1.77 1.77 0 0 0 .3.38l30.31 25.65a65.53 65.53 0 0 1 13.129-20 64.18 64.18 0 0 1 19.66-13.75l-28.41-29a2.26 2.26 0 0 0-1.454-.536zm42.094 42.074c-1.09.31-2.299.701-3.629 1.221a48.37 48.37 0 0 0-16.781 11.121 47.8 47.8 0 0 0-11.58 19.85l128.23 108.539 48.891 54.33a82.1 82.1 0 0 1 12-15.79 88.85 88.85 0 0 1 17.11-13.64l-57.641-46.529-116.6-119.102zm187.69 176.461a68.43 68.43 0 0 0-19 13.92 62.49 62.49 0 0 0-12.08 17.33l15.33 17c.69-1.35 1.34-2.45 1.79-3.23a97.4 97.4 0 0 1 13.74-17.49c6.068-6.24 11.758-10.869 17.071-13.889l-16.851-13.64zm30.707 25.42a2.06 2.06 0 0 0-.157.01c-3.69 0-11.39 5.16-19.26 13.25-9.75 10-16.07 20.75-14.13 24a2.06 2.06 0 0 0 1.91.91c3.69 0 11.38-5.16 19.26-13.26 9.74-10 16.07-20.75 14.13-24a2.06 2.06 0 0 0-1.753-.91z"}}]})(props);
};
function GiStickSplitting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M336.688 19.28l-69.594 40.19h-.03c-10.144 5.872-16.94 21.494-17.283 43.03-.055 3.52.09 7.167.376 10.906l163-94.125h-76.47zM31.313 28.157c35.74 29.83 71.094 60.96 104.78 93.844-26.695-11.76-55.13-21.43-85.343-28.72 35.576 32.083 70.467 65.893 102.47 102.25-22.847-11.376-47.76-20.615-74.845-27.343 84.1 84.957 160.533 184.743 164.25 323.063H492.375v-64.594c-27.172-59.788-61.547-116.962-103.125-168.78l-5.375 3.093c-21.887 12.636-48.78 5.618-72.438-10-23.657-15.62-45.577-40.4-60.25-68.532-11.64-22.323-18.297-46.47-19.78-68.72C172.483 75.306 105.82 45.753 31.31 28.157zm463.53.094L262.438 162.438c1.632 3.834 3.402 7.65 5.344 11.375 2.527 4.84 5.314 9.577 8.314 14.187l218.75-126.313V28.25zm0 55L287.157 203.188c10.542 13.03 22.544 24.232 34.594 32.187 20.43 13.487 39.433 17.113 52.78 9.406h.033l120.28-69.155V83.25zM91.188 263.125c-10.555-.048-18.914 2.914-24.468 8.47-8.888 8.886-11.19 24.946-5.032 45.717 6.156 20.772 20.72 44.94 42.187 66.407 21.466 21.464 45.635 36.03 66.406 42.186 20.773 6.157 36.833 3.856 45.72-5.03.51-.51 1.003-1.04 1.47-1.595-10.497-45.277-29.17-86.01-52.845-123.436-17.523-14.44-35.9-24.454-52.188-29.28-7.79-2.31-14.916-3.41-21.25-3.44zm-51.53 28.906L20.03 311.657v47.625l27.032-27c-1.245-3.244-2.364-6.458-3.312-9.655-3.11-10.488-4.6-20.897-4.094-30.594zm33 84.533L20.03 429.188v46.375l74.657-74.657c-1.36-1.294-2.69-2.626-4.03-3.97-6.592-6.59-12.59-13.424-18-20.373zm36.156 36.656L28.53 493.5h112.595l45.656-45.656c-7.08-.46-14.43-1.843-21.81-4.03-18.405-5.456-37.766-15.88-56.157-30.595z"}}]})(props);
};
function GiStickingPlaster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M383.594 20.313c-28.797 0-57.576 10.982-79.53 32.937L53.093 304.188c-43.91 43.912-43.91 115.184 0 159.093 43.91 43.91 115.214 43.912 159.125 0l250.936-250.936c43.91-43.913 43.91-115.185 0-159.094-21.955-21.954-50.765-32.937-79.562-32.938zm9.97 23.812c3.18 0 6.352 1.23 8.78 3.656 4.853 4.855 4.853 12.71 0 17.564-4.854 4.853-12.71 4.853-17.563 0-4.852-4.854-4.852-12.71 0-17.563 2.428-2.426 5.6-3.655 8.783-3.655zm34.155 34.156c3.18 0 6.353 1.2 8.78 3.626 4.854 4.854 4.854 12.74 0 17.594-4.854 4.854-12.74 4.854-17.594 0-4.853-4.854-4.853-12.74 0-17.594 2.427-2.427 5.632-3.625 8.813-3.625zm-69.314 1c3.18 0 6.354 1.23 8.78 3.657 4.855 4.854 4.855 12.71.002 17.563-4.854 4.854-12.71 4.854-17.563 0-4.854-4.854-4.854-12.71 0-17.563 2.427-2.426 5.6-3.656 8.78-3.656zm34.156 34.157c3.182 0 6.354 1.198 8.782 3.626 4.853 4.853 4.853 12.74 0 17.593-4.854 4.854-12.74 4.854-17.594 0-4.854-4.853-4.854-12.74 0-17.594 2.427-2.426 5.63-3.625 8.813-3.624zm71.813 1.5c3.18 0 6.354 1.23 8.78 3.657 4.855 4.853 4.855 12.71 0 17.562-4.852 4.854-12.708 4.854-17.56 0-4.855-4.853-4.855-12.71 0-17.562 2.426-2.427 5.6-3.657 8.78-3.656zm-142.625 1c3.18 0 6.354 1.23 8.78 3.657 4.855 4.853 4.855 12.71 0 17.562-4.852 4.854-12.74 4.854-17.592 0-4.854-4.853-4.854-12.71 0-17.562 2.426-2.427 5.63-3.657 8.812-3.656zm34.125 34.157c3.18 0 6.385 1.23 8.813 3.656 4.853 4.854 4.853 12.71 0 17.563-4.854 4.853-12.74 4.853-17.594 0-4.854-4.854-4.854-12.71 0-17.563 2.427-2.427 5.6-3.656 8.78-3.656zm73.344 0c3.18 0 6.353 1.23 8.78 3.656 4.854 4.854 4.854 12.71 0 17.563-4.854 4.853-12.71 4.853-17.563 0-4.853-4.854-4.853-12.71 0-17.563 2.427-2.427 5.6-3.656 8.782-3.656zm-194.814 4.5l13.22 13.22-73.907 73.905-13.22-13.22 73.906-73.906zm55.78 0l73.908 73.906-13.22 13.22-73.905-73.907 13.217-13.22zm102.377 32.156c3.18 0 6.353 1.23 8.78 3.656 4.854 4.854 4.854 12.71 0 17.563-4.853 4.852-12.74 4.852-17.593 0-4.854-4.855-4.854-12.71 0-17.564 2.427-2.427 5.63-3.656 8.813-3.656zm-41.688 84.28l13.22 13.22-73.94 73.938-13.186-13.22 73.905-73.937zm-177.156.033l73.905 73.906-13.22 13.217L160.5 284.25l13.22-13.188zm-42.25 35.156c3.18 0 6.353 1.196 8.78 3.624 4.854 4.853 4.854 12.74 0 17.594-4.854 4.853-12.71 4.853-17.563 0-4.853-4.854-4.853-12.74 0-17.594 2.427-2.427 5.6-3.625 8.782-3.625zm34.155 34.155c3.18 0 6.354 1.198 8.78 3.625 4.855 4.854 4.855 12.74 0 17.594-4.852 4.853-12.708 4.853-17.56 0-4.855-4.854-4.855-12.74 0-17.594 2.426-2.427 5.6-3.625 8.78-3.625zm-69.313 1c3.182 0 6.354 1.198 8.782 3.625 4.853 4.854 4.853 12.74 0 17.594-4.854 4.853-12.71 4.853-17.563 0-4.852-4.854-4.852-12.74 0-17.594 2.428-2.427 5.6-3.625 8.782-3.625zm34.157 34.156c3.18 0 6.353 1.2 8.78 3.626 4.854 4.854 4.854 12.74 0 17.594-4.854 4.854-12.71 4.854-17.563 0-4.853-4.854-4.853-12.74 0-17.594 2.427-2.427 5.6-3.625 8.782-3.625zm71.81 1.5c3.182 0 6.355 1.2 8.782 3.626 4.854 4.854 4.854 12.74 0 17.594-4.853 4.854-12.708 4.854-17.562 0-4.854-4.854-4.854-12.74 0-17.594 2.427-2.427 5.6-3.625 8.78-3.625zm-142.624 1c3.18 0 6.354 1.2 8.782 3.626 4.853 4.854 4.853 12.74 0 17.594-4.854 4.854-12.71 4.854-17.563 0-4.854-4.854-4.854-12.74 0-17.594 2.427-2.427 5.6-3.625 8.78-3.625zm34.157 34.158c3.18 0 6.353 1.197 8.78 3.625 4.854 4.853 4.854 12.74 0 17.593-4.853 4.854-12.708 4.854-17.562 0-4.852-4.853-4.852-12.74 0-17.594 2.428-2.426 5.6-3.625 8.782-3.625zm73.312 0c3.18 0 6.354 1.197 8.78 3.625 4.855 4.853 4.855 12.74 0 17.593-4.852 4.854-12.708 4.854-17.56 0-4.855-4.853-4.855-12.74 0-17.594 2.426-2.426 5.6-3.625 8.78-3.625zm-36.656 36.656c3.18 0 6.353 1.23 8.78 3.656 4.854 4.854 4.854 12.71 0 17.563-4.854 4.853-12.71 4.853-17.563 0-4.853-4.854-4.853-12.74 0-17.594 2.427-2.428 5.6-3.626 8.782-3.626z"}}]})(props);
};
function GiStickyBoot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v133.4c37.93-48.8 88.7-72.27 129.6-69.77-6.8-20.08-9.1-41.72-9.9-63.63H18zm121.3 82.3c-37 1.9-87.64 28.6-121.24 84.1 25.2 56.8 58.7 115.7 94.74 155.3 30.9-10.9 72.8-30.8 113.1-54.4-19.7-45.8-15.8-92.2 1.6-128.9-13 .2-24.3-1.3-35.4-5.6-13.9 13.2-27.4 29.1-31.2 47.3l-18.3-3.5c5.7-21.3 16.5-39.9 32.2-53.4-6-4.3-11.6-9.4-16.7-15.1-19.9 9.1-40.2 31.4-43.3 50.2l-18.44-3.1c4.44-26.4 25.84-50 49.94-62.1-2.4-3.5-4.7-7.1-7-10.8zm185.3 2.9c-12.1-.1-23.9 3.7-36.3 11-44.5 26.6-76.6 99.1-42.7 169.6l7.2 7.2-10.2 6.2c-46.5 27.9-95.1 51-130.8 62.5l12.4 17.9c29.3-10.8 61.6-25.2 94.4-41.9 63 30.1 49.1 114.6-6.5 159.3h29.3c9.4-17 15.1-43.4 36.4-50 8.2-2.5 5 30 9.3 50h45.7c-2.5-13.4-2.2-34.6 3.5-35.1 10.6-1 18.9 21.3 27 35.1h50.2c-103.1-112.3-95.8-156.5-75.7-228.1 28.1-18.3 54.5-37 77.2-55.1-13.4-54.6-34.9-85.3-57.1-99-11.7-6.4-22.6-9.5-33.3-9.6zm-4.6 175c-8.7 21.9-17.5 49.6-24.2 48.5-14.6-2.5-19.6-10.9-23.2-20.1 16-9.2 31.9-18.7 47.4-28.4zm-60.1 35.5c6.1 19.6 14.5 46.1 9.1 50-7.4 5.4-19.5-22.6-30.4-38.4 7.1-3.8 14.2-7.6 21.3-11.6zm49.2 21c4.7-.5 19.9 68.6 37.3 101.6 10.4 19.7-25 14.3-28.9 3.4-12.5-35-14.3-104.4-8.4-105zM288 352c9.1 0 9.1 22.9 5.9 35.9-3.5 14.1-7.7 37.2-11.2 34.3-11.8-9.8-3.8-70.2 5.3-70.2zm9.8 78.4c3.8.3 8.9 12.5 9.9 19.6 1.2 8.2-1.5 24.1-5 24.4-5 .5-7-17.5-7.6-26.7-.4-5.8-3.8-16.5 2.3-17.3h.4z"}}]})(props);
};
function GiStigmata (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M273.476 19.613l-45.203 130.145c-7.845-3.678-15.76-7.28-23.66-10.9l.926-109.702c-4.378-2.912-11.307-5.25-18.345-5.355-7.33-.11-13.818 2.057-17.813 5.42l.39 108.723-11.923 30.24c7.442 9.823 13.687 19.976 18.61 30.487l-16.923 7.928c-2.784-5.943-6.086-11.817-9.883-17.625l-.022.052c-15.56-20.853-32.112-37.63-44.377-42.964-6.58-2.862-10.918-2.915-15.433-.505-3.77 2.01-8.26 6.867-12.604 15.605 37.9 37.35 50.285 75.245 58.916 99.86 2.766 7.885 3.73 15.42 5.766 20.818l3.168 8.396L11.68 346.807V494.8h54.122l157.91-148.22v-49.135c-9.57-20.84-22.533-23.885-22.888-48.906-.213-15.578 14.38-28.442 32.478-28.442s33.037 12.86 33.037 28.44c0 24.468-13.488 28.066-23.94 47.376v41.742c11.44-5.626 20.06-12.607 28.705-22.04 10.57-11.92 29.685-30.177 40.377-41.552 33.084-35.19 89.798-74.33 99.072-80.654.79-11.075-7.46-21.74-16.804-25.322l-68.536 51.285c-4.772-6.55-10.026-12.57-15.68-18.148L388.5 91.77c-1.074-6.142-4.977-13.043-10.55-18.118-5.028-4.577-10.857-7.084-15.152-7.613l-82.252 111.98c-6.64-4.392-13.546-8.492-20.636-12.39l50.63-132.228c-5.3-6.128-10.587-9.37-16.736-11.312-5.7-1.8-12.667-2.294-20.328-2.477zm-41.568 341.694c-7.872 65.245-36.92 56.714-37.504 97.82-.254 18.63 17.2 34.018 38.844 34.018 21.645 0 39.513-15.382 39.513-34.018 0-41.315-32.166-32.83-40.852-97.82z"}}]})(props);
};
function GiStiletto (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M38.748 473.09a20.53 20.53 0 1 0 0-29 20.46 20.46 0 0 0 0 29zm89.32-218a8.51 8.51 0 1 1 12 12 38.43 38.43 0 0 0 0 54.36l50.6 50.52a38.47 38.47 0 0 0 54.4 0 8.54 8.54 0 0 1 12-.06 8.42 8.42 0 0 1 0 12 55 55 0 0 1-39.22 16.06 54.94 54.94 0 0 1-39.22-16.08l-50.56-50.37a55.46 55.46 0 0 1 0-78.43zm314.86-196.81c8.78-8.31 36.35-25.4 36.35-25.4s-17.08 27.56-25.4 36.35c-58.39 61.66-215.17 222.6-267.3 276.06l-19.71-19.71c53.46-52.13 214.4-208.91 276.06-267.3zm-336.79 325.53c8.8-8.8 17.5-16.88 25.68-23.94l20.47 20.47c-7.07 8.19-15.14 16.88-23.94 25.68a423.48 423.48 0 0 1-41.95 37.16 36.77 36.77 0 0 0-17.33-17.54 424 424 0 0 1 37.07-41.83z"}}]})(props);
};
function GiStitchedWound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M135.688 14.47c-9.9 17.578-16.9 35.042-21.157 52.718-30 .05-60.354 6.118-90.25 19.343 30.206-1.245 58.853 1.256 85.94 7.064-1.807 20.477-.167 41.44 4.718 63.406 8.715-19.5 14.788-38.61 18.562-57.5 19.888 5.854 38.888 13.542 57 22.906-8.706 21.313-15.625 43.75-20.906 65.813 17.15-14.825 32.1-32.532 43.937-52.72 16.033 9.956 31.312 21.258 45.845 33.78-14.894 18.655-26.555 39.646-35.5 63.032 20.666-12.887 40.305-26.64 58.344-41.718 11.776 11.827 23.03 24.468 33.717 37.875-18.05 13.51-34.525 29.52-50.093 47.874 23.34-7.02 45.913-15.17 67.25-25.03 9.88 13.904 19.248 28.47 28.094 43.624-19.928 10.57-37.594 24.166-54.032 40.218 22.827-4.56 45.175-10.16 66.75-17.312 8.5 16.012 16.503 32.58 23.938 49.625-17.376 5.93-34.2 14.867-50.75 26.624 19.95-1.098 39.803-2.813 59.344-6.094 12.852 31.89 23.956 65.24 33.28 99.5 6.136-34.692 5.34-70.76-1.156-106.563 15.952-4.408 31.63-10.26 46.938-18.093-17.955-3.76-35.026-4.77-51.47-3.22-4.788-19.56-11.22-38.93-19.124-57.843 19.266-8.834 37.666-19.323 54.97-31.905-24.416.075-46.115 2.948-65.75 8.22-8.473-17.198-18.144-33.875-28.845-49.845 20.15-13.046 38.63-28.44 54.876-46.906-27.136 4.322-51.12 11.75-72.812 22.062-12.598-16.215-26.287-31.466-40.875-45.47 16.55-18.2 30.804-38.286 42.03-60.842-25.817 10.962-47.79 24.042-66.438 39.25-19.178-15.557-39.573-28.977-60.812-39.75 6.06-17.92 9.95-37.2 11.156-57.656-13.128 13.28-24.6 29.352-34.5 47.062-22.77-9.18-46.31-15.263-70.22-17.656 1.253-18.045.512-35.955-2-53.875z","fillRule":"evenodd"}}]})(props);
};
function GiStockpiles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M203.1 39.16l12.7 63.24c29.8-.6 29.9 42.8 39.6 75.3 15.2-37.4 11.6-150.5-52.3-138.54zm-17.4 4.73L17.5 102.4v19.9L189 60.41zm6.9 34.42l-24.7 8.91L197 100.5zm-49 17.65l-42.5 15.34 39.8 18 40.5-16.2zM76.76 120.1l-42.63 15.4 42.02 19.7 41.65-16.6zM17.5 147.5v31.2l35.89-14.4zm288.7 7l-24.6 10.6c16.8 7.7 34 17.8 48.8 13.4zm-97.4 3.3l-39.4 20.7c14.6 7.5 35.2 5.5 58.2-.4zm83.3 33.9c12.4 10.3 22.8 22.4 42.6 26-1.2-8.3.3-14.4-16.6-25.7zm-35.6.3c-32 0-186 185.8-234 297.8h273.7c15.1-35.2 43.1-78.7 70.2-114.8 10.7-14.1 21.1-27 30.6-37.7-57.9-78-121.3-145.3-140.5-145.3zm-50.5 2.2l-46.8 13c1.5 9.5 9.8 14.7 34.6 9.4zM438.4 326c-5.5-.1-10.7 4.9-19 13.5-11.1 11.5-24.7 27.8-38.5 46.4-24.5 32.6-49.9 72.3-64.7 103.9h178.3V385.2c-13.7-18.3-27.1-34.3-38-45.7-7.9-9.2-13.1-13.3-18.1-13.5z"}}]})(props);
};
function GiStomach (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M153.063 21.74a19.46 28.32 83.178 0 1-23.98 13.947 19.46 28.32 83.178 0 1-27.68-9.18c-1.236 5.62-1.713 12.016-1.163 19.15 3.247 42.106-10.16 118.603 107.54 132.268-41.45 32.308-27.99 64.745-18.467 97.258-33.296-1.63-53.61 23.1-62.577 45.982-97.49-13.226-79.727 121.682-78.574 148.143 1.086 24.9 52.413 28.33 54.285 6.39 3.667-42.972-10.243-104.27 29.207-94.132 22.28 5.724 62.243 53.447 161.366 51.377 140.028-2.926 263.475-321.36 81.64-351.272-63.3-10.412-148.19 37.224-148.19 37.224-67.307 6.347-67.29-24.454-70.937-82.172-.357-5.654-1.216-10.638-2.47-14.983zM137.59 350.176h254.305c-16.912 28.374-52.22 66.58-114.563 65.668-58.09-.85-103.54-18.614-139.742-65.668z"}}]})(props);
};
function GiStompTornado (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M141.94 19.12l18.43 56.653C191.107 94.458 328.19 62.62 356.276 26.13c-38.565 23.65-135.532 21.364-160.02-7.01H141.94zm230.453 12.243c-14.163 34.33-39.768 60.526-65.637 74.05 14.96 1.99 31.04 4.38 46.562-5.046l19.075-69.004zM330.05 63.55C281.18 86.94 255.644 95.63 224.298 101.36c17.388 18.688 46.528 29.985 76.012 36-15.733 15.91-45.844 30.012-74.757 36.79 30.223 5.794 114.962 0 124.045-53.564-14.108 10.965-58.055-.69-77.586-14.488 19.223-7.584 38.184-18.908 58.04-42.547zM164.333 92.84l8.33 44.826c11.172 10.12 48.684 24.685 98.774 5.947-54.655-2.796-85.698-28.03-107.104-50.772zm180.848 83.387c-14.148 57.413-116.86 103.996-178.71 88.185l-4.292 15.322 53.197 43.108 12.264-26.692c-10.46-2.576-20.838-6.285-30.802-11.296 63.5 6.462 141.947-24.855 148.926-48.475l-.584-60.152zm-170.024 1.03l-3.45 61.37c13.008 16.844 102.135 11.77 160.462-57.684-42.662 25.838-80.12 37.003-105.21 35.51 0 0 43.29-16.722 57.565-27.292-46.996 10.664-96.064 6.043-109.367-11.902zm174.696 89.49c-3.404 6.94-9.935 13.228-18.7 18.46l1.676 16.752 21.03-15.72-4.006-19.49zm51.26 7.503l-83.59 62.482-2.88-28.804-33.57 45.976-43.2-35.265-15.563 33.875-49.96-40.485-4.006 25.034-56.223-56.222 22.026 98.777c81.24 22.15 161.893 24.255 242.733.127l24.233-105.494zm-101.817 23.006c-16.766 3.702-36.05 4.7-55.652 1.97l33.966 27.73 21.685-29.7zM18.357 378.2v115.495h475.288V378.2H468.44l-87.108 23.044 56.05 34.324-106.767-19.488 34.06 41.947-68.33-26.28.036 44.966-43.8-43.815-50.074 43.91 4.844-51.863-66.41 31.196 11.835-32.58-82.345 5.47 50.716-29.17L43.27 378.2H18.358z"}}]})(props);
};
function GiStomp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M387.297 18.652l-251.774.01c-.124 4.428-.422 14.18-.964 27.867C186.5 63.434 254.807 68.975 325.61 57.42c-72.027 25.076-141.894 26.496-191.73 5.232-3.015 67.725-10.782 196.98-29.12 305.727-.845 5.013-.154 8.124 3.345 12.6 1.728 2.207 4.318 4.64 7.842 7.22 2.784-24.286 8.503-43.332 16.29-57.122 4.497-7.96 9.708-14.24 15.908-18.517 4.65-3.207 10.037-5.195 15.52-5.478.456-.024.913-.035 1.37-.035 1.373 0 2.75.11 4.117.338 14.596 2.42 25.21 15.674 32.246 35.447 1.457 4.093 2.768 8.543 3.936 13.318 1.066-2.498 2.183-4.9 3.36-7.175 10.353-20.002 25.817-32.162 42.874-32.06 17.057.1 32.38 12.45 42.485 32.606 1.367 2.728 2.647 5.625 3.85 8.664 1.473-5.234 3.12-10.09 4.937-14.534 7.856-19.22 18.968-32.173 33.603-34.853 1.83-.335 3.68-.473 5.53-.424 5.545.146 11.057 1.963 15.83 5.113 1.25.826 2.456 1.737 3.625 2.723 2.545-8.37 6.03-15.033 10.61-20.147 4.988-5.568 11.92-8.603 18.855-8.932 4.16-.197 8.32.58 12.062 2.368 1.94.927 3.79 2.04 5.563 3.32-9.595-74.893-15.03-149.15-18-201.953-29.56 29.647-80.008 45.813-149.938 35.742 54.903-7.37 107.707-19.57 149.264-48.252-1.593-30.37-2.32-52.028-2.547-59.703zm-18.065 183.176c-42.22 57.425-116.806 84.51-209.462 3.883 71.528 41.004 143.948 53.202 209.462-3.882zm124.516 72.084l-66.42 19.035c1.79 13.926 3.725 27.8 5.81 41.49 2.51 9.12 4.24 19.328 4.958 30.504l.117 1.855-13.156 38.652-36.295 3.375-30.272 28.746-53.576-1.207-57.62 19.806-46.325-16.922h-57.687l-23.595-26.97c-11.65-6.07-20.408-12.245-26.303-19.782-6.198-7.924-8.643-17.8-7.055-27.22 2.77-16.42 5.286-33.446 7.596-50.73l-75.13-19.827v25.568L54.073 345.8c-4.9 6.93-7.85 14.124-9.344 21.612l-25.935 2.73v26.655l31.777 3.318c7.79 14.5 21.55 27.854 41.467 39.13l-66.208 53.85h40.592l85.767-29.906c22.747 6.086 48.21 10.74 75.34 12.85l6.224 17.054h69.885l6.82-18.81c7.366-.82 14.45-1.83 21.61-2.917l33.184 21.727h61.523l-22.873-39.832c6.556-2.5 12.808-4.76 18.69-7.592l71.154 10.244V426.19l-26.77-11.473c3.918-4.274 8.504-8.28 11.098-12.85l15.672-1.693v-33.358l-11.586-1.162c-3.538-15.35-13.428-28.966-30.367-41.466l41.953-30.186v-20.09zM390.8 305.11c-.16.01-.32.03-.478.064-1.27.263-2.504 1.284-4.36 3.357-3.58 3.997-7.863 13.738-9.858 29.59l15.343 51.685 19.82-1.844 8-23.5c-1.232-16.29-4.848-29.898-9.507-39.815-4.825-10.27-10.87-16.376-14.865-18.286-1.748-.836-2.966-1.32-4.094-1.25zm-226.327 20.595c-1.647.05-3.416.65-5.717 2.238-3.07 2.117-6.76 6.154-10.246 12.325-6.856 12.138-12.796 32.282-14.893 59.545l18.147 20.744h40.95c.402-31.988-3.358-55.824-8.923-71.46-5.886-16.54-13.403-22.563-17.696-23.275-.537-.09-1.073-.134-1.62-.117zm177.16 1.3c-.6 0-1.203.06-1.822.175-4.952.907-13.107 7.48-19.67 23.54-5.994 14.664-10.455 36.365-11.263 64.706.035.768.057 1.555.086 2.332l42.246.953 19.948-18.942c-.425-6.905-1.095-13.32-1.96-19.245l-11.75-39.578c-3.366-6.05-6.944-9.883-9.94-11.86-2.27-1.5-4.07-2.075-5.875-2.08zm-90.176 8.597c-8.047-.048-17.797 5.8-26.164 21.964-7.426 14.347-13.012 36.283-13.88 65.598l36.07 13.176 42.593-14.64c.02-1.963.04-3.923.088-5.84-1.248-25.464-6.24-44.84-12.818-57.964-8.17-16.294-17.842-22.247-25.89-22.294z"}}]})(props);
};
function GiStoneAxe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M165.088 23.9l-36.824 73.973 5.584 60.91 39.248 26.475 50.498-50.498 22.896-85.45-81.402-25.41zm114.648 11.786c-.43.002-.86.025-1.285.068-1.702.172-3.353.668-4.848 1.494-2.992 1.65-5.75 4.55-7.38 10.633l-48.917 182.556L238.72 242.8c1.165.672 2.277 1.388 3.337 2.14L292.94 55.044c3.18-11.877-2.487-16.975-9.32-18.844-1.282-.35-2.59-.523-3.884-.514zm57.21 18.207c-3.527-.127-7.513 1.456-11.86 5.802L305.9 78.88l-14.318 53.442 53.064-53.064c4.454-4.454 5.586-8.292 5.52-11.71-.066-3.416-1.584-6.708-4.102-9.2-2.517-2.492-5.59-4.33-9.117-4.455zm26.34 31.873c-1.507 2.336-3.308 4.59-5.425 6.707l-75.954 75.955-20.474 76.418 70.207 47.36 73.64-90.462 12.173-99.07-54.168-16.908zm72.3 22.568l-11.258 91.607 43.533 33.624 1.61-114.654-33.884-10.576zm-221.666 62.53l-31.15 31.148c-2.114 2.115-3.475 4.195-4.266 6.21 1.064.494 2.12 1.038 3.17 1.643l18.875 10.9 13.37-49.902zm202.605 46.665l-69.332 85.17 23.924 16.136 91.658-65.586-46.25-35.72zm-252.845 5.853c-.34.005-.672.024-.996.056-.866.087-1.678.267-2.452.51-3.095.966-5.83 3.317-7.584 6.495-3.504 6.356-3.73 14.03 5.846 19.56l57.05 32.934c10.648 6.147 17.037 1.992 20.61-4.126 1.787-3.058 2.4-6.632 1.58-9.95-.82-3.316-2.907-6.73-8.36-9.88l-57.046-32.933c-3.475-2.006-6.266-2.7-8.648-2.667zm-23.203 40.783c-.34.005-.672.024-.997.057-.865.087-1.677.268-2.45.51-3.096.967-5.833 3.318-7.585 6.496-3.504 6.354-3.73 14.028 5.844 19.555l57.05 32.938h.002c10.647 6.147 17.035 1.99 20.61-4.127 1.786-3.06 2.4-6.63 1.58-9.948-.82-3.317-2.908-6.733-8.362-9.882l-57.045-32.934c-3.475-2.007-6.266-2.7-8.648-2.666zm-7.334 46.96l-105.54 183.1h59.35l90.73-157.388-44.54-25.713z"}}]})(props);
};
function GiStoneBlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M209.875 44.156l-182 106.47 119.625 54.31 148.344 11.72 41.97-24.312 17.342 11.562L309 230.656V379.53l53.563-14.624-64.625 51.97-110.875-59.626-2.157-1.53-71.28 6.56 75.936-31.967 100.75 52.125v-147.5l-145.906-11.5-1.625-.125-1.5-.688-121.093-55V391.47L44 423.186l82 20.97 21.875-21.282 11.156 29.72 131.282 33.592V434l4.25 2.28 5.47 2.94 4.812-3.908L309 431.97v52.155L491.375 377.78v-96.405L466.78 269.47l24.595-38.75V125l-90.25 52.28-1.094 34.095-88-58.688 84.97 5.375L476.5 112 291.562 64.937l1.625.563-64.406 5.78 5.345-20.936-24.25-6.188z"}}]})(props);
};
function GiStoneBridge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 265v71.11c7.526-4.42 17.73-10.278 30-16.98V265H25zm432 0v54.205c12.277 6.687 22.476 12.524 30 16.93V265h-30zm-201.49.28c-39.653.03-99.394 23.28-148.06 46.976-44.553 21.694-76.747 41.37-82.45 44.88V471h110.387c1.88-32.24 13.54-69.11 32.552-99.74 20.797-33.505 51.085-60.252 88.058-60.26 36.985-.008 67.298 26.736 88.12 60.244 19.038 30.635 30.72 67.51 32.603 99.756H487V357.145c-5.72-3.51-38.067-23.218-82.82-44.93-48.875-23.713-108.863-46.962-148.67-46.934z"}}]})(props);
};
function GiStoneBust (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c14.33 0 27.676 7.905 37.977 22.068C304.277 61.232 311 81.468 311 104c0 22.532-6.723 42.768-17.023 56.932C283.676 175.095 270.329 183 256 183c-14.33 0-27.676-7.905-37.977-22.068C207.723 146.768 201 126.532 201 104c0-22.532 6.722-42.768 17.023-56.932C228.324 32.905 241.671 25 256 25zm40 78h-80v18h31v23h18v-23h31zm4.777 77.732c22.269 3.505 48.815 9.312 84.93 17.334-18.385 31.94-30.507 71.784-36.947 105.024-30.784 3.249-71.261 9.48-92.76-11.819-23.106 21.245-68.115 17.842-92.838 11.424-6.459-33.161-18.556-72.814-36.869-104.629 36.115-8.022 62.661-13.829 84.93-17.334C223.35 193.18 238.89 201 256 201c17.11 0 32.65-7.82 44.777-20.268zM265 224h-18v48h18zm-8.992 91.117c25.254 11.781 65.5 11.202 89.556 7.113-1.059 7.611-1.768 14.623-2.12 20.77H168.556c-.358-6.232-1.08-13.351-2.164-21.084 29 2.217 65.796 6.81 89.615-6.799zM315 361v94h-18v-64h-82v64h-18v-94zm-36 48v46h-46v-46zm69.271 64l14 18H149.73l14-18z"}}]})(props);
};
function GiStoneCrafting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352.75 39.47l-33.094 83.374 111.156 111.28 58.22-58.28L352.75 39.47zm-160.344 5.218c-98.25 66.974-166.87 161.246-169.47 288.906 62.25-119.817 162.457-225.092 255.22-269.75l-85.75-19.157zM97.75 60.156L68.187 89.72c7.276 6.96 14.53 13.893 21.813 20.843 8.887-10.39 18.37-20.35 28.313-29.907l-20.563-20.5zm353.813 0L425.688 86l28.718 28.75c8.91-8.36 17.822-16.728 26.72-25.094l-29.563-29.5zm-263.938 89.75c-9.44 8.552-18.824 17.596-28.063 27.063 25.263 24.13 50.526 48.323 75.688 72.75l26.188-26.126-73.813-73.688zm153.313 20.72L68 443.155l29.313 29.22c83.48-96.13 175.757-186.498 269.812-275.532l-26.188-26.22zm-28.25 104.155c-8.692 8.42-17.35 16.853-25.97 25.314 55.896 55.38 111.166 112.353 165.157 172.437l29.438-29.374L312.688 274.78z"}}]})(props);
};
function GiStonePath (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M158.8 18c-8.4 20.13-22.8 56.15-36.1 95.9l28.9.9c4.9-26.18 15.9-51.18 27.5-77.02L186 18zm46.3 0l-8.3 23.72 46.7 10.36 66.6-7.47c9.6-10.68 9.3-19.68 11.7-26.61zm-14.3 40.83c-13.5 17.65-17.5 36.95-19.7 56.57l42.2 1.3 21.1-.3c-1-15.8-1.1-31.5 4.8-46.79zm111.5 4.78l-44.9 5.03c-5.2 15.82-6.1 31.66-4.8 47.46l31.1-.4c11.2-16.81 15.2-35.36 18.6-52.09zM117 131.7c-11.3 6.8-11.5 18.9-9.4 32.1 31.9 11.8 56.8 14 89.2 17.4-.1-15.6-1.6-31.3 3.7-46.9zm161.4 2.1c-19.7 2.3-39.4 4.1-59.8.8l-3.9 48.8c28.8-.5 42.3 5.4 52.4 7.4 1.7-17.9 5.8-37.5 11.3-57zm-175.2 47.4c-11.75 28.4-14.76 56.3-8.94 83.1l41.54-25.2 11.1-46.2zm61.7 13.8l-11.7 48.4 79.3 35.4 51.7 1.8c-8.9-25-17.2-47.6-17.8-71.8-33.8-7.8-67.7-14.4-101.5-13.8zm-24.6 62.3l-44.34 27c2 18.4 5.14 38.1 9.14 57.9l106.4-53.1zm101.1 39.8l10.2 66.1c24.5 3.8 42.7-3.9 63.3-7.1l1.1-12c-8.6-15-16.7-30.2-23.7-45.3zm-25.8 9.5l-89 44.9 59.2 19.1c18.7 4.7 35.9.8 47.9-5.4-1.4-20.1-3.8-42.8-18.1-58.6zm-105.7 58.5c-14.64 3.8 9.1 92.3 23 88.7l62.3-20.2-20-47.4zm221.9 5.4c.7 21.3.2 42-5.4 59.8 9.9 6.5 49 14.2 57.6 16.5-5.7-28-27.8-52.4-52.2-76.3zm-18.5 3.8c-38.3 7.1-76.2 15.1-117.9 13.3l17 40.4 46.3-15.1c12.9 6.6 34.9 10.2 49.9 14.1 5.2-17.6 5.1-35.1 4.7-52.7zm-61.6 59.8c-36.2 16.2-74 28.7-113.7 37.1-11.5 7.9-1.5 20.6 7.1 22.8h148.6zm23.9 2.9l40.1 57h104.9c-5.2-6.4-11.5-14.2-19.1-24z"}}]})(props);
};
function GiStonePile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M317.727 108.904l-95.192 96.592-26.93 86.815 17.54 36.723 20.417 9.287 33.182-55.082 11.297-3.61 61.75 26.85 20.26-12.998 4.47-43.7 11.42 53.634-10.622 14.162 3.772 1.64 5.238 6.5 6.832 34.343 55.977-66.775 13.98.23 22.397 28.575-9.453-52.244L434.01 166.81l-116.28-57.906zM123.61 120.896L94.08 173l-4.603 27.62 25.98-8.442 11.704 7.377.084.634 28.295 59.865 13.773-4.543 10.94 4.668 3.922 8.21 19.517-62.917-1.074-33.336-40.15-.522-29.732-23.78 34.06 10.888 42.49-7.727 26.034 15.88 36.282-36.815c-2.777-1.18-5.615-2.356-8.58-3.52l-79.58 10.126-3.528-.25-56.307-15.52zm249.33 36.422l47.058 66.02 2.107 62.51-25.283-59.698-65.322-60.404 41.44-8.428zm-262.2 55.32l-64.234 20.876-16.71 78.552 50.794 5.582.596-7.14 37.662-36.707-8.108-61.16zm56.688 62.45l-36.44 12.016-31.644 30.84 22.588 30.867 57.326 1.74 16.5-16.16-28.33-59.302zm110.666 24.19l-44.307 73.546-.033 57.14 97.264 12.216 44.242-19.528-17.666-88.806-79.5-34.567zM443.8 313.36l-46.843 55.876.287 1.774 65.147 13.887 25.78-14.926-44.37-56.613zm-138.382 15.89l39.23 22.842 13.41 50.658-26.82 23.838-45.015-2.553 38.562-28.242 2.483-39.23-21.85-27.312zm-238.37 53.838l-8.77 28.51 13.152 48.498 91.037-11.91 1.32-26.418-62.582-31.995-34.156-6.684z"}}]})(props);
};
function GiStoneSpear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.563 20.844v44.593l73.124 72.907c4.878-7.945 10.962-15.65 18.126-22.813 7.152-7.15 14.825-13.194 22.75-18.06L58.156 20.843H20.563zm159.812 81.062c-.566-.005-1.138.014-1.72.03-3.097.097-6.42.522-9.905 1.283-13.942 3.043-29.973 11.753-43.75 25.53-13.777 13.777-22.487 29.808-25.53 43.75-2.905 13.296-.81 23.935 5.28 30.78 5.4-20.354 17.587-41.18 35.594-59.186 18.024-18.024 38.876-30.203 59.25-35.594-4.718-4.223-11.25-6.526-19.22-6.594zm40.47 22.156c-3.977.096-8.19.624-12.595 1.563-17.62 3.755-37.603 14.572-54.72 31.688C136.417 174.428 125.6 194.38 121.845 212c-3.755 17.62-.633 32.086 8.47 41.188.905.906 1.894 1.744 2.905 2.53 4.635-31.49 18.506-59.084 39.436-80 20.69-20.674 47.894-34.465 78.938-39.25-.678-.837-1.393-1.642-2.156-2.405-6.827-6.827-16.668-10.288-28.594-10zm55.343 28.657c-36.56.167-68.017 13.906-90.344 36.218-2.24 2.24-4.375 4.58-6.438 7 22.43 11.654 37.317 26.57 46.313 43.062 10.575 19.392 12.977 40.393 12.155 60.03l-18.688-.78c.736-17.565-1.448-34.863-9.875-50.313-7.466-13.688-19.874-26.317-41.03-36.687-18.155 29.68-24.497 68.66-12.657 111.844 36.472 3.146 72.888 24.29 86.375 66.25 45.025-6.375 119.336 26.557 127.22 64.25 39.96 18.477 84.588 33.368 125.717 45.094-11.33-35.873-24.38-81.097-40.718-116.97-34.53-21.506-49.702-62.82-46.626-106.343-40.336-30.105-70.18-69.518-74.78-112.625-19.782-6.95-38.806-10.113-56.627-10.03zm-9.532 45.5c10.293 52.54 58.667 86.17 100.625 93.718l-3.31 18.375c-11.09-1.996-22.478-5.503-33.595-10.438-6.93 19.615 1.34 41.252 19.75 60 19.638 19.998 50.412 34.906 81.094 35.97l-.658 18.686c-36.154-1.25-70.657-18.014-93.78-41.56-.98-1-1.936-2.004-2.876-3.033-15.47-12.362-27.615-16.12-38.47-15.5-10.918.624-21.598 6.012-33.03 15.063l-11.594-14.656c13.043-10.327 27.295-18.134 43.563-19.063 6.378-.363 12.9.373 19.563 2.283-5.637-15.188-6.428-31.344-.25-46.813-31.03-18.508-57.392-48.844-65.344-89.438l18.312-3.593z"}}]})(props);
};
function GiStoneSphere (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.875 19.5C206.14 19.5 160.037 34.86 122 61.063c33.35 9.71 66.81 10.924 98.563 4.624 23.058-19.33 50.26-33.13 81.156-41.75-14.83-2.91-30.157-4.437-45.845-4.437zm84.28 15.47c-39.835 5.745-73.35 19.004-100.78 39.874 31.776 38.663 58.146 80.623 77.063 126.937l2.125 1.064 67.906 33.812c9.494-23.477 16.547-46.637 16.124-70.47-14.33-36.806-21.36-73.78-21.375-110.75-12.902-8.085-26.644-14.965-41.064-20.467zm60.033 33.686c1.4 29.016 7.45 58.036 18.406 87.188L478 175.188c-15.394-42.552-42.668-79.38-77.813-106.532zm-294.25 6.75c-4.492 30.815-4.006 59.867 2.624 90.75l137.22 72.438c19.06-5.428 37.233-15.08 54.124-27.813-18.547-46.068-44.764-87.854-76.875-126.5-37.813 7.266-77.826 4.59-117.093-8.874zm-20.72 16.938c-38.897 40.635-63.402 95.16-65.374 155.437 12.708-9.902 24.53-20.713 35.625-32.31-.035-.084-.06-.17-.095-.25l.53-.22c12.524-13.14 24.12-27.26 34.94-42.25-6.154-27.393-7.755-53.692-5.626-80.406zm335.844 83.97c-1.416 25.13-9.332 48.69-18.75 71.342 27.002 39.79 45.036 85.1 54.188 132.72 22.526-36.18 35.53-78.914 35.53-124.72 0-20.237-2.535-39.886-7.31-58.625l-63.658-20.718zm-316.25 9c-8.685 11.924-17.89 23.38-27.687 34.28 17.71 47.887 24.35 96.876 27.625 145.72 19.492 1.947 44.6-.948 65.28-9.252 14.61-38.1 33.473-73.77 58.94-105.218l-124.157-65.53zm210.75 36.905c-20.514 16.267-43.27 28.78-67.937 35.218-25.362 29.9-44.158 64.425-58.875 102.03 25.945 16.47 49.38 35.766 66.5 60.844 53.625-28.136 118.39-54.17 174.875-69.625-9.758-33.28-24.35-64.76-43.72-93.156l-70.842-35.31zM62.688 234.812C49.61 247.83 35.511 259.882 20.22 270.78c2.602 41.27 15.764 79.64 36.843 112.44 10.402-1.57 19.94-6.687 29.187-14.22-2.964-45.772-8.778-90.685-23.563-134.188zm372.25 133.968c-56.05 15.36-121.654 41.877-174.593 70-10.558 17.43-13.517 34.648-13.938 52.814 3.145.124 6.294.187 9.47.187 75.177 0 142.078-35.016 185.31-89.655-1.577-11.25-3.65-22.378-6.248-33.344zm-258.843 4.876c-25.448 10.093-54.342 12.98-77.875 9.594-8.802 7.15-18.705 13.085-29.595 16.375 37.79 49.093 94.466 82.86 159.22 90.5.59-18.247 3.69-37.243 13.874-56.156-15.817-24.467-38.78-43.577-65.626-60.314z"}}]})(props);
};
function GiStoneStack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M278.735 112.385c-6.45-.022-13.001.204-19.541.683-26.16 1.918-52.24 7.912-71.295 17.338-19.054 9.426-30.102 21.32-31.21 35.473-.491 6.258 1.674 12.378 6.886 18.9 5.211 6.522 13.484 13.055 23.86 18.725 20.75 11.34 49.723 19.217 77.925 20.578 28.202 1.362 55.456-3.89 73.447-16.592 17.992-12.701 28.163-31.942 23.477-64.853-.647-4.546-3.149-8.605-8.393-12.748-5.244-4.144-13.144-7.946-22.834-10.828-14.534-4.324-32.974-6.611-52.322-6.676zm-58.385 27.773a15.021 30.242 71.137 0 1 16.541 7.426 15.021 30.242 71.137 0 1-23.646 24.008 15.021 30.242 71.137 0 1-33.557-4.356 15.021 30.242 71.137 0 1 23.647-24.006 15.021 30.242 71.137 0 1 17.015-3.072zm41.203 101.729c-37.759-.033-75.243 5.18-102.252 16.006-13.504 5.412-24.3 12.2-31.423 19.904-7.123 7.703-10.792 16.021-10.834 26.406-.027 6.585 2.827 11.537 10.013 16.832 7.187 5.295 18.653 9.967 32.887 13.277 28.467 6.621 67.726 8.057 106.684 5.051 38.957-3.005 77.792-10.437 105.572-20.668 13.89-5.115 24.986-11.006 31.701-16.691 6.715-5.686 8.59-10.002 8.066-14.201-.602-4.834-4.196-10.34-12.113-16.06-7.916-5.72-19.702-11.174-33.931-15.651-28.459-8.955-66.61-14.172-104.37-14.205zm-76.722 28a15.623 30.966 72.083 0 1 16.52 8.297 15.623 30.966 72.083 0 1-25.08 24.324 15.623 30.966 72.083 0 1-33.964-5.639 15.623 30.966 72.083 0 1 25.078-24.324 15.623 30.966 72.083 0 1 17.446-2.658zm105.074 87.545a737.257 737.257 0 0 0-36.129.824c-48.367 2.29-96.637 9.383-132.682 20.898-18.022 5.758-32.96 12.664-43.14 20.12-10.181 7.455-15.225 14.927-16.135 22.431-.771 6.358 2.69 13.296 12.693 21.38 10.004 8.086 25.876 16.155 45.407 23.048 39.06 13.786 92.694 23.167 145.267 24.806 52.574 1.64 104.231-4.626 139.022-20.488 17.395-7.93 30.393-18.095 37.974-30.289 7.582-12.194 10.317-26.587 6.166-45.414-.984-4.464-5.912-10.175-16.506-15.58-10.593-5.405-25.998-10.126-44.365-13.654-27.55-5.292-61.777-8.017-97.572-8.082zm-159.727 42.4a18.747 35.889 83.498 0 1 28.702 14.086 18.747 35.889 83.498 0 1-31.659 23.371 18.747 35.889 83.498 0 1-39.367-13.441 18.747 35.889 83.498 0 1 31.658-23.371 18.747 35.889 83.498 0 1 10.666-.645z"}}]})(props);
};
function GiStoneTablet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M206.355 24.53L23.982 171.567l.086.373h-.013l-5.7 124.037 131.676 82.55L245.66 492.14l63.94-8.59 109.808-109.587 72.772-35.453.953-70.24 1.186-50.508L327.75 104.63l-33.41 14.46-3.46 29.756-18.566-2.16 3.21-27.598-46.934-7.715-21.106 28.844-15.082-11.037 27.887-38.11 65.273 10.73-.13.78 25.2-10.908-51.485-64.012-52.793-3.13zM40.605 218.886l117.91 74.13 49.065-9.7-14.14-13.71 13.01-13.42 39.75 38.545-71.942 14.223-18.918 50.844-117.817-73.86 3.082-67.052zm362.754 59.068l44.382 20.55 26.463-12.92-.56 41.165-50.293 24.504 9.59-39.008-37.434-17.332 7.85-16.96zm-211.534 37.373l78.108 93-24.81 54.158-75.405-89.59.602.225 21.504-57.794zm218.403 11.028l-9.896 40.24-89.69 89.51 19.092-49.204 80.493-80.546zm-102.293 85.064l-21.904 56.44-24.312 3.267 26.118-57.01 20.1-2.697z"}}]})(props);
};
function GiStoneThrone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.563 21.125L162.5 53.188v216.75H180.063v35.093H333V269.94h17.564l-.002-216.594-95-32.22zm-143.22 9.156v239.657h31.47V30.28h-31.47zm256.907 0v239.657h31.47V30.28h-31.47zM203.687 59.157l30.938 33.875 22.188-33.28 22.218 33.28 28.595-31.53-11.688 63.656h-80l-12.25-66zM77.844 288.626v34.28h83.53v-34.28h-83.53zm273.844 0v34.28h83.53v-34.28h-83.53zm-171.625 35.093v17.874h-17.408v15.22l187.75-.002v-15.218H333V323.72H180.062zM95.25 341.593v150.47l48.72-.002V341.595H95.25zm273.844 0v150.47l48.72-.002-.002-150.468h-48.718zM162.656 375.5v97.156h187.75V375.5h-187.75z"}}]})(props);
};
function GiStoneTower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M71 22.406v102.53h202.25v18.69h-73.22v36.968h-18.686v-36.97H79.156l43.375 53.782h180.44v18.688H180.905v36.97H162.22v-36.97h-39.407v163.562h58.53v-44.75H157.47V316.22h74.155V282.56H193.72v-18.687h97.218v18.688h-40.625v33.656h73.28v18.686h-32.437v44.75h26.313v18.688h-63.69l-2.686 74.03-18.688-.687 2.656-73.343H93.032V398h-.22l-28.687 92.844h79.844l9.81-70.688 18.5 2.563-9.468 68.124H453.25L424.562 398h-30.03V197.78l51.812-64.25V22.407h-64.406v52.438h-39.22V22.406h-65.124v52.438h-38.53V22.406h-65.126v52.438h-38.5V22.406H71zm129.03 312.5v44.75h72.44v-44.75h-72.44z"}}]})(props);
};
function GiStoneWall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.08 23l.1 18H494V23H18.08zM254.3 54.93L133 61.6l30.1 68.5 98.1-3.6-6.9-71.57zm115.9.28l-92.9.53 3 71.96 96.8-.9-6.9-71.59zM18.23 56.43l.35 74.67 72.27-2.4 24.35-72.27H18.23zM393 64.24l-.5 47.16 15.7 21.5 85.8-6.3V64.93l-101-.69zM120.8 84.68l-17.6 49.82 41.1-1-8.2-34.02-15.3-14.8zm354.7 56.02l-4 75.5 22.5-.6v-74.9h-18.5zm-25.7 3.5l-97.3 10.7L346 219l110.7-3.2-6.9-71.6zm-243.8.7l-4 75.5 126.1-3.9 7-71.1-129.1-.5zm-145.33 2.7l-3.9 75.5 126.13-3.9-6.9-71.6H60.67zm-42 1.5l.33 72.4 24.77-.8-6.9-71.6h-18.2zm278.93 84.3L276 277.2l2.1 42 128.7-1.9-7.6-79.7-101.6-4.2zm-40.2 1.4l-127.2 6 8 69.5 124.7 6.6-5.5-82.1zm236.6 3.1l-66.5 2.9-7.5 75.8 74-5.2v-73.5zm-474.89 7l.31 65.8 100.78-3.1-6.9-62.7H19.11zm470.29 81.2l-115.9 10.5-3.3 65 121.5-3.5-2.3-72zm-422.36 4.1l-47.52 2 .34 72.9 51.1-1.3-3.92-73.6zm17.84 0l3.98 68.5 138.64 9.6-3-78.1H84.88zm161.22 4.3l-5.5 69 107.5 5.4-1-73.5-101-.9zm185.4 81.1l-4 75.5 66.5-.6v-73.8l-62.5-1.1zm-9.8 1.2l-39 3.6 27.4 28 11.6-31.6zm-399.46 1.8l-2.13 40.6.16 34.8H145.4v-68.9l-46.56-2.5-18.4 14L68.56 421l-46.32-2.4zm247.96.3l-111.3 1.5 3.5 72.5 114.7-2.4-6.9-71.6zm101.2 4.3l-72.2 5.9-8.9 62.1 125.6.6-6.2-27-38.3-41.6z"}}]})(props);
};
function GiStoneWheel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M261.9 34.73c-25.2-.2-52.1 1.53-77.5 6.71-14.9 10.66-28.3 22.71-40.3 35.76l20.3 5.33-41 20.27C88.35 151.9 70.85 210 69.86 261 68.63 324.8 88.51 379.4 122 418.4l14.3-1.1-3.4 12.7c14.8 14.5 31.6 26.3 50.1 35 21.5 5.7 43.7 10.1 64.8 12.2-17.6-11.1-33.5-26.5-47.2-44.5l-26.1-9.9 10.3-13.4c-27.5-45.5-43.7-100.9-44-147.3-.2-22.6 3.4-47.5 10.3-72.3l-28 8.1 34.3-28.5c7.3-20.8 16.7-41.2 28.1-59.9 20.5-33.57 47.8-61.81 80.1-74.71-1.3 0-2.5 0-3.7-.1zm43.6 10.57c-41.2-.82-77.9 29.89-104.6 73.6-9.5 15.5-17.6 32.6-24.1 50.1l19.1 19.9-24.9-2.7c-8 26.3-12.4 52.7-12.2 75.7.3 43.8 16.8 99.3 44.3 142.7.2.4.5.8.7 1.1l24.3 7.1-6.3 17.4c24.7 29.1 54.8 47.9 87.5 47.1 20.5-.5 39.4-9 56.1-23.2l-9-26.3 26.5 8.5c8.1-9.6 15.5-20.6 22.2-32.6 23.6-42.4 37-96.1 37.1-137.9.1-43.4-13.3-99.4-37.6-143.7-12-21.9-26.4-40.73-42.8-54.26l-14.1 15.57-23.8-35.6c-6-1.52-12.1-2.39-18.4-2.51zm14 151.8l6.1 6.4c3.4 3.5 6.7 7.1 10 10.7l14.6-1.6-1.1 17.8c7.9 10.4 14.9 21.8 19.8 34.9l1.2 3.2-1.2 3.1c-7.5 20.5-24.7 43.9-44.5 60.5l-5.8 4.8-5.7-4.8c-20.1-16.6-38.7-37.7-49.8-61.2l-1.9-4 2-4c10.8-21.5 30.6-41.9 49.8-59.8zm-.7 25.5c-12.2 11.7-23.7 24.1-32.1 36.2 19.4 1.5 41.7 1.2 59.5.3-7.1-13.2-16.8-25-27.4-36.5zm-31.7 54.2c8.4 13.1 19.4 25.5 31.5 36.3 11.1-10.7 21.3-24 27.9-36-17.8 1-39.5 1.3-59.4-.3z"}}]})(props);
};
function GiStonedSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.008 18.742C134.098 18.74 55.435 57.028 41.34 99.412h.002c-25.93 77.97 72.846 117.983 216.416 92.307 78.262-14 182.29 16.69 123.08 80.35 151.465-68.768 22.753-120.352-128.742-102.648-88.326 10.322-160.02 11.012-170.92-37.805-7.92-35.467 76.538-71.817 167.17-77.25 89.626-5.373 183.32 37.95 170.533 64.828-17.172 36.097-126.9 7.75-120.308-25.113 2.21-11.017 19.864-15.988 42.05-14.6-30.58-10.615-72.8-11.888-79.427 12.846-4.788 17.872 27.71 42.46 72.418 53.73 54.674 13.782 115.05 5.32 115.05-46.136 0-44.9-92.297-81.18-202.655-81.18zM234.928 214.9c-53.913.166-99.455 27.145-110.98 70.15-7.384 27.56 1.155 56.586 19.86 81.18 2.062 2.712-.42 8.23-3.505 11.094-51.883 48.172-12.11 89.938 25.113 51.393-16.988 47.312 24.365 66.46 46.72 24.53-2.453 47.795 41.422 54.253 51.977 8.76 12.305 50.245 66.506 34.658 47.305-33.29-1.426-5.044.676-9.273 4.672-10.506 33.486-10.338 58.973-33.09 67.164-63.66 5.56-20.75 2.315-42.26-7.766-62.013l-56.636 13.39 38.91-38.91c-18.736-20.818-45.76-37.6-77.88-46.206-13.436-3.6-26.748-5.462-39.712-5.837v-.004c-1.756-.052-3.503-.075-5.242-.07zm-37.04 65.096c3.502.035 7.058.51 10.598 1.457 22.658 6.07 36.103 29.36 30.032 52.018-6.07 22.658-29.36 36.103-52.018 30.032-22.657-6.07-36.102-29.36-30.03-52.018 5.12-19.117 22.5-31.676 41.417-31.488zm2.782 40.19c-7.255 0-13.137 5.883-13.137 13.136 0 7.253 5.882 13.133 13.137 13.133 7.255 0 13.137-5.88 13.137-13.133 0-7.255-5.882-13.136-13.137-13.136zm96.088 17.546c2.542.026 5.124.37 7.693 1.057 16.445 4.405 26.202 21.307 21.796 37.75-4.406 16.445-21.308 26.204-37.752 21.798-16.443-4.406-26.2-21.308-21.795-37.752 3.717-13.874 16.33-22.99 30.058-22.854zm-51.955 24.47c8.905 23.324 15.9 66.205-16.97 56.83-31.33-8.898-.897-41.16 16.97-56.83z"}}]})(props);
};
function GiStopSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352.7 21.04l-194.4.41L21.04 159.3l.41 194.4L159.3 491l194.4-.4L491 352.7l-.4-194.4L352.7 21.04zm-8 19.66l126.2 125.7.4 178.3-123.1 123.6-2.6 2.6-178.3.4L41.08 345.6l-.38-178.3L166.4 41.08l178.3-.38zm-7.5 18.01l-163.3.34L58.71 174.8l.34 163.3L174.8 453.3l163.3-.3 115.2-115.8-.3-163.3L337.2 58.71zM108.4 210.4c5.3 0 10.8.5 16.4 1.3 5.7.8 11.5 2 17.5 3.6v20.5c-5.3-2.4-10.5-4.2-15.6-5.4-5.1-1.2-9.9-1.8-14.4-1.8-6 0-10.4.8-13.25 2.5-2.87 1.6-4.3 4.2-4.3 7.7 0 2.6.96 4.6 2.87 6.1 1.95 1.4 5.48 2.7 10.58 3.7l10.6 2.1c10.8 2.2 18.5 5.5 23.1 9.9 4.5 4.5 6.8 10.8 6.8 18.9 0 10.7-3.2 18.7-9.5 24-6.4 5.2-16.1 7.8-29.2 7.8-6.1 0-12.3-.6-18.51-1.8-6.2-1.1-12.41-2.9-18.61-5.2v-21.1c6.2 3.3 12.19 5.8 17.96 7.5 5.82 1.6 11.46 2.4 16.76 2.4 5.5 0 9.7-.9 12.6-2.7 2.9-1.8 4.4-4.4 4.4-7.8 0-3.1-1-5.4-3-7.1-2-1.6-5.9-3.1-11.8-4.4l-9.7-2.1c-9.73-2.1-16.85-5.4-21.37-10-4.47-4.5-6.7-10.7-6.7-18.4 0-9.7 3.12-17.1 9.37-22.3 6.25-5.3 15.24-7.9 27-7.9zm187.7 0c15.6 0 27.8 4.5 36.7 13.5 8.9 8.9 13.3 21.2 13.3 37 0 15.7-4.4 28-13.3 37-8.9 8.9-21.1 13.4-36.7 13.4-15.6 0-27.8-4.5-36.7-13.4-8.9-9-13.3-21.3-13.3-37 0-15.8 4.4-28.1 13.3-37 8.9-9 21.1-13.5 36.7-13.5zm-141.9 1.8h89.6v18.9h-32.2v78.3h-25.1v-78.3h-32.3v-18.9zm205.8 0h41.6c12.3 0 21.8 2.8 28.4 8.3 6.7 5.4 10 13.2 10 23.4s-3.3 18.1-10 23.6c-6.6 5.4-16.1 8.2-28.4 8.2H385v33.7h-25v-97.2zm-63.9 16.4c-7.7 0-13.6 2.8-17.8 8.5-4.2 5.6-6.3 13.6-6.3 23.8 0 10.2 2.1 18.1 6.3 23.8 4.2 5.6 10.1 8.4 17.8 8.4 7.7 0 13.6-2.8 17.8-8.4 4.2-5.7 6.3-13.6 6.3-23.8 0-10.2-2.1-18.2-6.3-23.8-4.2-5.7-10.1-8.5-17.8-8.5zm88.9 1.8v27.1h13.9c4.9 0 8.6-1.2 11.3-3.5 2.6-2.4 3.9-5.8 3.9-10.1s-1.3-7.7-3.9-10c-2.7-2.4-6.4-3.5-11.3-3.5H385z"}}]})(props);
};
function GiStopwatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 91.088c-111.453 0-202.122 88.575-202.122 197.456C53.878 397.426 144.548 486 256 486c111.453 0 202.122-88.574 202.122-197.456 0-108.881-90.67-197.455-202.122-197.455zm0 375.866c-100.942 0-183.076-80.039-183.076-178.41 0-98.37 82.134-178.41 183.076-178.41s183.076 80.04 183.076 178.41c0 98.371-82.134 178.41-183.076 178.41zm-.571-178.41l128.558 99.55A165.602 165.602 0 0 1 256 447.908c-90.467 0-164.03-71.493-164.03-159.365 0-87.681 73.266-159.055 163.447-159.352v159.352zM256 72.043a224.727 224.727 0 0 0-66.66 10.07V56.354A30.354 30.354 0 0 1 219.694 26h72.695a30.354 30.354 0 0 1 30.27 30.354v25.76A224.727 224.727 0 0 0 256 72.042zm128.939 40.71l20.117-19.748c8.797-8.642 21.272-10.463 27.878-4.083l20.403 19.748c6.594 6.38 4.761 18.558-3.988 27.2l-19.438 19.045a221.06 221.06 0 0 0-44.96-42.162zM82.435 154.51l-19.391-19.046c-8.797-8.642-10.713-20.724-4.202-26.985L78.875 89.1c6.476-6.26 18.856-4.344 27.652 4.298l20.046 19.688a221.06 221.06 0 0 0-44.138 41.425z"}}]})(props);
};
function GiStorkDelivery (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M137.46 90.097c-14.41 28.215 25.124 70.588 17.373 101.307C138.251 257.12 73.625 335.86 18.587 382.572V479.7c106.135-46.97 180.365-213.541 215.88-311.881 46.528-2.995 84.174-5.497 118.327-9.336-5.352 10.408-10.068 22.593-16.42 35.574-34.63 70.771-62.16 210.036-43.045 254.887 18.589 31.617 59.818 41.229 93.942 40.707 32.074-.491 73.942-12.82 87.09-40.947 8.33-18.781 11.147-42.267 9.38-68.522-5.916 12.667-20.916 17.987-32.69 18.106-11.225-.905-21.359-3.517-28.331-11.286-6.913 9.653-20.358 13.77-30.383 13.871-16.499-.577-33.965-10.09-34.328-26.132 0-4.036 1.19-7.745 3.13-10.989-19.729-41.205-5.36-153.84 9.891-207.494 11.62-1.541 22.932-3.296 34.158-5.332 6.63 25.738 13.507 98.29 16.317 127.899 25.124 2.583 44.88 23.956 44.88 49.736 0 6.693-1.34 13.084-3.751 18.932 7.74 2.233 14.734 6.42 18.97 12.656-4.401-30.302-14.113-105.396-27.943-138.727-10.164-24.495-17.775-53.203-32.945-73.508 22.198-4.593 44.502-10.45 68.724-18.21-72.805-10.987-157.198-13.317-230.003-15.25 0 0-25.676-44.128-48.03-49.512-25.312-6.097-62.302 3.645-73.946 25.154zm56.256-1.883c19.389-.548 39.853 18.98 48.133 37.479-16.522 5.454-45.523.784-57.17-12.12-6.984-7.737-5.515-23.126 5.177-24.976a27.113 27.113 0 0 1 3.86-.383zm190.67 240.348c0 7.623 2.62 14.586 7.008 20.06 10.694.77 23.888 5.32 29.595 11.612 15.568-2.208 27.397-15.457 27.397-31.672 0-17.78-14.22-32-32-32s-32 14.22-32 32zm67.144 35.477a50.315 50.315 0 0 1-15.797 10.607c6.367 7.203 31.426 7.208 31.647-2.49-1.996-6.084-10.385-7.964-15.85-8.117zm-59.193 2.568c-4.527.46-16.182 1.725-16.328 8.135 2.052 6.204 10.793 8.072 16.328 8.132 4.526-.46 16.182-1.724 16.328-8.132-2.05-6.208-10.792-8.075-16.328-8.135z"}}]})(props);
};
function GiStrafe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M205.28 19.313c-20.085.137-40.922 4.267-61.25 12.28 5.995 18.322 23 69.126 23 69.126l-17.718 5.936s-15.74-46.93-22.406-67.344c-18.048 9.262-35.354 21.73-50.97 37.344-16.065 16.066-28.882 33.996-38.342 52.72 21.832 7.218 66.625 22.374 66.625 22.374l-5.97 17.72s-48.035-16.194-68.313-22.907c-14.068 36.192-15.963 73.99-5 105.906 12.707-12.707 32.677-19.486 56.407-20.657l65.875 65.875 13.218-13.22-51.72-51.718c49.286 5.508 107.47 30.846 150.72 74.094L305.313 261c-42.398-42.397-66.842-101.29-72.47-150.875l51 50.97 13.188-13.22-65.31-65.313c.903-24.132 7.247-44.154 19.186-56.093-14.296-4.89-29.72-7.266-45.625-7.157zM327.03 155.22c-2.718 0-5.368.31-7.905.905 2.66 1.742 5.267 3.86 7.72 6.313 12.098 12.1 15.85 27.96 8.374 35.437-7.478 7.477-23.37 3.756-35.47-8.344-2.44-2.438-4.515-5.04-6.25-7.686-.58 2.51-.906 5.124-.906 7.812 0 19.032 15.405 34.47 34.437 34.47 5.57 0 10.845-1.342 15.5-3.69l16.283 16.25L372 223.5l-15.656-15.688c3.274-5.272 5.156-11.493 5.156-18.156 0-19.035-15.437-34.437-34.47-34.437zm-95.28 42c66.16 66.16 31.966 100.528-34.28 34.28l34.28-34.28zm153.47 39.468L372 249.905l30.656 30.656 13.22-13.218-30.657-30.656zm43.874 43.875l-13.22 13.218 29.25 29.25 13.22-13.217-29.25-29.25zm-239.906 11.5c-2.733 0-5.39.336-7.938.937 2.672 1.745 5.29 3.854 7.75 6.313 12.1 12.1 15.82 27.96 8.344 35.437-7.477 7.477-23.338 3.725-35.438-8.375-2.45-2.45-4.54-5.06-6.28-7.72-.592 2.53-.907 5.167-.907 7.876 0 19.033 15.435 34.47 34.468 34.47 6.607 0 12.786-1.87 18.03-5.094l16.188 16.188 13.22-13.22-16.72-16.718c2.39-4.69 3.75-10 3.75-15.625 0-19.034-15.436-34.467-34.47-34.467zm282.375 30.968l-13.22 13.22 34.47 34.47v-26.44l-21.25-21.25zm39.937 39.94v.186l.094-.094-.094-.093zm-261.656 9.124l-13.22 13.22 30.657 30.623 13.22-13.187-30.656-30.656zm43.844 43.844L280.5 429.156l29.25 29.25 13.188-13.22-29.25-29.248zm42.5 42.5l-13.22 13.187 21.75 21.75h26.407l-34.938-34.938z"}}]})(props);
};
function GiStraightPipe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M445.8 26.44c-.6 0-1.1 0-1.6.1-2 .26-3.6 1.14-5.1 2.63L54.19 414c10.18 1.9 20.27 7.3 28.39 15.4 8.14 8.2 13.47 18.3 15.43 28.5L482.9 73.03c3-3 3.5-6.42 1.7-12.57-1.9-6.15-6.8-13.73-13-19.95-6.2-6.23-13.8-11.1-20-12.98-2.3-.68-4.2-1.06-5.8-1.09zM45.19 431.2c-5.39.2-10.19 2-13.52 5.3-8.2 8.2-7.21 25.3 5.66 38.2 12.87 12.8 29.98 13.8 38.18 5.6 8.2-8.2 7.21-25.3-5.66-38.2-7.64-7.6-16.78-11-24.66-10.9z"}}]})(props);
};
function GiStrawberry (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M365.054 30.738c-3.016.074-6.17 1.16-8.87 3.586l-38.678 47.41c8.225 3.647 17.252 3.705 26.892 3.575 11.97-16.446 25.24-34.404 27.94-36.94 9.566-8.977 1.767-17.852-7.284-17.632zM258.26 58.2c-1.002.013-2.182.062-3.495.16-5.248.39-12.652 1.495-21.238 3.125-17.172 3.258-39.202 8.58-60.824 14.216-32.485 8.47-58.144 15.937-71.856 19.976 2.073 1.402 4.425 2.72 7.416 3.87 8.123 3.127 19.547 4.908 33.14 5.02 27.19.226 62.91-6.04 99.872-17.173l8.62 15.304c-20.658 18.6-25.676 33.58-25.733 44.01-.057 10.43 5.927 17.63 7.297 18.625 10.522 7.655 24.934 7.117 42.77-.11 17.837-7.23 37.717-21.082 55.46-36.76l9.22-8.145 4.973 11.253c12.864 29.12 25.293 55.523 40.49 72.61 13.06 14.683 27.167 22.893 47.678 22.25-8.806-27.476-13.976-47.597-21.46-64.213-8.467-18.796-20.04-34.46-45.844-55.87-3.222-2.672-9.5-3.187-19.47-3.046-9.968.142-22.776.575-35.77-5.42-14.21-6.554-21.73-13.274-27.643-19.726-5.737-6.26-10.127-11.905-20.63-19.748-.154-.057-.2-.11-.554-.14-.597-.052-1.42-.077-2.42-.065zm-40.686 54.236c-19.318 4.625-37.91 7.81-54.98 9.254-.16.984-.365 1.984-.637 2.994-2.394 8.895-8.358 15.024-13.32 13.69-4.453-1.2-6.575-8.004-5.237-15.815-.715 0-1.437.01-2.144.005-9.518-.08-18.35-.84-26.377-2.475-4.02 4.782-7.788 9.877-11.23 15.33-7.21 11.424-8.955 26.465-12.027 41.352.513-.155 1.02-.245 1.517-.27.547-.02 1.08.04 1.592.178 4.962 1.336 7.044 9.63 4.65 18.525-2.337 8.663-8.077 14.737-12.992 13.746-5.496 44.005-5.82 93.13-6.068 138.79-.293 54.27-4.745 99.537 26.96 129.116 85.692 24.08 196.236-55.226 261.987-122.207-2.384.757-4.512.597-6.096-.458-4.274-2.855-3.59-11.38 1.525-19.04 3.82-5.72 9.21-9.546 13.57-9.632 1.31-.026 2.474.29 3.433.93 3.197 2.144 3.7 7.6 1.27 13.722 23.46-25.75 38.995-48.198 42.148-59.98 2.045-12.51 2.41-24.496 1.456-35.942-1.25-.07-2.492-.157-3.717-.283-.202 3.045-1.142 6.488-2.862 9.883-4.166 8.216-11.258 12.993-15.842 10.67-4.583-2.325-4.922-10.868-.758-19.084.93-1.836 2.02-3.506 3.2-4.975-8.803-2.947-16.777-7.45-23.934-13.153 1.212 3.97-.146 10.034-3.893 15.643-5.115 7.66-12.727 11.555-17 8.7-4.275-2.854-3.592-11.378 1.525-19.038 3.82-5.722 9.21-9.547 13.57-9.633.274-.006.538.012.8.036-2.344-2.165-4.593-4.46-6.74-6.875-12.835-14.43-22.908-32.84-32.34-52.825-2.74 3.69-6.143 5.672-9.177 4.855-3.652-.982-5.736-5.737-5.633-11.722-13.807 10.522-28.304 19.588-42.785 25.457-.01.004-.02.008-.03.01-2.5 8.557-8.288 14.377-13.134 13.074-2.746-.74-4.603-3.616-5.315-7.54-14.882 2.83-29.484 1.282-41.64-7.56-7.024-5.11-13.545-15.032-14.556-29.167-2.833 4.268-6.536 6.65-9.81 5.77-4.964-1.335-7.047-9.63-4.653-18.526 2.11-7.84 7.063-13.693 11.732-13.865.547-.02 1.08.038 1.592.176 1.888.508 3.356 2.028 4.322 4.2 1.833-5.157 4.474-10.525 8.078-16.042zm-51.686 33.91c.547-.02 1.08.04 1.59.178 4.963 1.336 7.045 9.63 4.65 18.525-2.393 8.894-8.357 15.023-13.32 13.688-4.962-1.336-7.044-9.63-4.65-18.525 2.11-7.84 7.062-13.694 11.73-13.867zm-35.398 4.308c.546-.02 1.078.04 1.59.178 4.963 1.335 7.046 9.63 4.652 18.526-2.394 8.895-8.357 15.024-13.32 13.69-4.963-1.336-7.046-9.63-4.652-18.526 2.11-7.84 7.06-13.695 11.73-13.868zm188.12 13.93c.545-.02 1.077.04 1.59.176 4.96 1.336 7.043 9.63 4.65 18.525-2.394 8.896-8.358 15.025-13.32 13.69-4.963-1.337-7.045-9.63-4.65-18.526 2.11-7.84 7.06-13.693 11.73-13.866zm-135.083 18.87c.546-.02 1.078.04 1.59.177 4.964 1.336 7.047 9.63 4.652 18.528-2.395 8.897-8.36 15.025-13.323 13.688-4.962-1.337-7.044-9.63-4.65-18.526 2.11-7.84 7.062-13.692 11.73-13.865zm44.234 9.337c.548-.02 1.08.04 1.59.18 4.965 1.334 7.048 9.628 4.654 18.524-2.395 8.897-8.36 15.025-13.323 13.688-4.96-1.337-7.043-9.63-4.65-18.526 2.11-7.84 7.063-13.692 11.73-13.865zm67.357 9.743c.546-.02 1.078.04 1.59.176 4.963 1.334 7.046 9.628 4.652 18.525-2.395 8.897-8.36 15.026-13.323 13.69-4.962-1.338-7.044-9.63-4.65-18.526 2.11-7.84 7.06-13.694 11.73-13.867zm39.383 1.78c.547-.02 1.08.04 1.592.177 4.962 1.337 7.044 9.63 4.65 18.526-2.394 8.895-8.357 15.024-13.32 13.69-4.964-1.336-7.047-9.63-4.653-18.526 2.11-7.84 7.06-13.694 11.73-13.867zm-197.656 2.98c.546-.02 1.08.038 1.59.176 4.964 1.335 7.046 9.63 4.652 18.526-2.395 8.895-8.358 15.023-13.32 13.688-4.964-1.335-7.047-9.63-4.653-18.526 2.11-7.84 7.062-13.692 11.73-13.865zm121.175 18.87c.546-.02 1.08.04 1.59.18 4.963 1.335 7.045 9.63 4.65 18.524-2.392 8.896-8.356 15.025-13.32 13.69-4.962-1.335-7.045-9.63-4.65-18.526 2.108-7.84 7.06-13.693 11.73-13.866zm-157.926 14.9c.546-.02 1.078.04 1.59.177 4.963 1.335 7.046 9.63 4.652 18.526-2.394 8.895-8.358 15.024-13.32 13.69-4.964-1.336-7.047-9.63-4.653-18.526 2.11-7.84 7.062-13.694 11.73-13.867zm209.746 5.93c.546-.02 1.078.04 1.59.177 4.963 1.335 7.046 9.63 4.652 18.525-2.394 8.897-8.36 15.027-13.322 13.69-4.963-1.337-7.045-9.63-4.65-18.525 2.11-7.84 7.06-13.693 11.73-13.866zM201.515 249.7c5.133.266 8.906 7.94 8.426 17.142-.478 9.2-5.028 16.442-10.16 16.174-5.134-.267-8.907-7.942-8.427-17.143.48-9.2 5.03-16.442 10.162-16.174zm-45.68 11.158c.548-.02 1.08.04 1.593.177 4.962 1.337 7.044 9.63 4.65 18.526-2.394 8.896-8.358 15.025-13.32 13.69-4.964-1.334-7.048-9.63-4.653-18.527 2.11-7.84 7.062-13.693 11.73-13.865zm197.15 7.07c1.31-.026 2.475.29 3.435.93 4.274 2.854 3.59 11.38-1.528 19.04-5.116 7.66-12.728 11.556-17.002 8.702-4.274-2.855-3.59-11.38 1.526-19.04 3.82-5.72 9.21-9.546 13.57-9.632zm47.806 6.668c1.018.043 1.94.312 2.735.8 4.385 2.68 4.046 11.224-.758 19.085-4.803 7.862-12.253 12.062-16.638 9.38-4.386-2.68-4.047-11.224.756-19.084 3.588-5.87 8.818-9.91 13.17-10.172.25-.016.495-.018.735-.008zM240.796 279.7c.546-.02 1.078.04 1.59.177 4.963 1.335 7.046 9.63 4.652 18.526-2.394 8.896-8.36 15.026-13.322 13.69-4.963-1.338-7.045-9.63-4.65-18.526 2.11-7.84 7.06-13.693 11.73-13.866zm48.62 10.025c1.31-.026 2.473.29 3.432.93 4.274 2.856 3.592 11.38-1.525 19.04-5.117 7.662-12.73 11.558-17.004 8.704-4.274-2.856-3.59-11.382 1.527-19.042 3.82-5.72 9.21-9.546 13.57-9.633zM105.38 300.057c.547-.02 1.08.038 1.59.176 4.964 1.334 7.047 9.63 4.653 18.525-2.394 8.897-8.36 15.026-13.322 13.69-4.962-1.337-7.044-9.63-4.65-18.526 2.11-7.84 7.062-13.693 11.73-13.865zm220.706 9.53c1.31-.027 2.474.288 3.433.93 4.273 2.854 3.59 11.38-1.528 19.04-5.117 7.66-12.728 11.555-17.002 8.7-4.274-2.853-3.59-11.377 1.525-19.038 3.822-5.723 9.21-9.548 13.57-9.634zM194.95 310.59c.545-.02 1.077.04 1.59.178 4.962 1.335 7.045 9.63 4.65 18.525-2.393 8.897-8.358 15.026-13.32 13.69-4.963-1.337-7.045-9.63-4.65-18.526 2.108-7.84 7.06-13.694 11.73-13.867zm-52.528 5.91c.546-.02 1.078.04 1.59.178 4.963 1.335 7.046 9.63 4.652 18.525-2.395 8.897-8.36 15.025-13.322 13.688-4.963-1.336-7.045-9.63-4.65-18.525 2.11-7.84 7.06-13.692 11.73-13.865zm119.26 16.744c1.31-.025 2.474.29 3.433.932 4.274 2.854 3.59 11.378-1.525 19.04-5.118 7.66-12.73 11.556-17.004 8.7-4.273-2.855-3.59-11.38 1.527-19.04 3.82-5.72 9.21-9.545 13.568-9.632zm30.216 22.533c1.31-.026 2.475.29 3.434.93 4.273 2.856 3.59 11.38-1.528 19.04-5.116 7.66-12.727 11.555-17 8.702-4.277-2.854-3.594-11.38 1.524-19.042 3.822-5.72 9.21-9.545 13.57-9.63zm40.227 1.49c1.31-.027 2.474.29 3.433.93 4.273 2.856 3.59 11.38-1.527 19.04-5.116 7.66-12.727 11.555-17 8.7-4.275-2.854-3.592-11.378 1.524-19.038 3.822-5.723 9.21-9.548 13.57-9.634zm-130.244.403c.548-.02 1.08.04 1.592.178 4.963 1.336 7.045 9.63 4.65 18.525-2.393 8.895-8.357 15.023-13.32 13.688-4.963-1.334-7.046-9.628-4.652-18.525 2.11-7.84 7.062-13.692 11.73-13.865zm-94.833 12.516c.546-.02 1.078.038 1.59.175 4.964 1.336 7.047 9.632 4.652 18.53-2.396 8.895-8.36 15.024-13.323 13.686-4.963-1.336-7.045-9.63-4.65-18.525 2.11-7.838 7.06-13.692 11.73-13.864zm47.625 10.414c.547-.02 1.08.04 1.59.177 4.964 1.337 7.046 9.63 4.652 18.526-2.394 8.895-8.358 15.024-13.32 13.69-4.965-1.335-7.048-9.63-4.653-18.528 2.11-7.84 7.063-13.693 11.732-13.865zm74.908 19.38c1.31-.025 2.474.29 3.433.932 4.274 2.855 3.592 11.38-1.525 19.04-5.117 7.66-12.73 11.556-17.004 8.7-4.273-2.855-3.59-11.38 1.527-19.04 3.822-5.72 9.21-9.544 13.57-9.63zm41.133 6.528c1.31-.026 2.474.29 3.433.93 4.276 2.853 3.593 11.38-1.525 19.04-5.116 7.662-12.73 11.558-17.003 8.702-4.274-2.854-3.59-11.378 1.525-19.04 3.822-5.72 9.21-9.546 13.57-9.632zM119.96 433.754c.545-.02 1.077.038 1.59.176 4.962 1.335 7.045 9.63 4.65 18.525-2.393 8.896-8.356 15.025-13.32 13.69-4.963-1.335-7.046-9.63-4.652-18.526 2.11-7.84 7.062-13.693 11.73-13.866zm62.358 9.758c1.31-.026 2.475.29 3.434.93 4.274 2.854 3.59 11.378-1.526 19.04-5.116 7.66-12.73 11.557-17.004 8.702-4.274-2.855-3.59-11.38 1.528-19.04 3.82-5.72 9.21-9.546 13.568-9.632z"}}]})(props);
};
function GiStreetLight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M262.5 33l-10 30h87l-10-30h-67zM160 39c-26 0-45.2 9.12-56.9 23.24C91.32 76.35 87 94.5 87 112v263h18V112c0-14.5 3.7-28.35 11.9-38.24C125.2 63.88 138 57 160 57h75.5l6-18H160zm79.3 42l-43.7 42.5 41.9-19.1-34.5 86.9 62.6-58.3-1.1 91.7 31.8-101.2 70.5 117.6-31.3-130.9 61.5 36.1L349.5 81H239.3zM72.55 393l-5.08 100h57.03l-5.1-100H72.55z"}}]})(props);
};
function GiStrikingArrows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M136.564 31.01l239.67 149.595c-12.418 21.234-20.756 28.302-45.027 46.936l156.3-26.33-85.603-125.474c4.936 24.85 8.85 38.5.75 60.49L136.568 31.01h-.004zM21.524 42.75l83.13 325.893c-21.017 5.232-30.98 3.262-58.875-3.96l124.046 113.45 13.426-166.844c-10.836 23.322-15.94 37.197-34.342 46.82L21.523 42.75zm64.353.215l252.2 353.16c-23.285 16.947-36.38 19.583-73.83 24.9l200.66 71.74L407.7 286.944c-2.477 33.743-2.313 53.14-20.37 74.09L85.877 42.965z"}}]})(props);
};
function GiStrikingBalls (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M28.47 52.22l26.655 106.25 72.25 161.436-42.97-44.75 20.97 83.47c12.218-17.024 32.14-27.943 54.063-28.063 2.257-.013 4.55.09 6.843.312 4.276.413 8.428 1.238 12.407 2.406L28.47 52.22zm81.624 2.31l241.562 126.407c-2.14-5.167-3.676-10.68-4.47-16.468-.23-1.698-.397-3.382-.498-5.064l-108.094-67.75L362 112.78c3.004-3.63 6.38-6.962 10.094-9.905l-262-48.344zM85.97 81.313L269.25 292.72l-72.563-57.69 117.875 161.345c3.147-18.118 11.676-34.284 23.813-46.906l-79.688-99.064 107.844 79.22c7.798-3.513 16.147-5.957 24.876-7.126L85.97 81.312zm328.405 25.813c-2.434-.04-4.92.097-7.406.438-26.52 3.63-44.883 27.856-41.25 54.374 3.63 26.52 27.824 44.882 54.342 41.25 26.52-3.63 44.913-27.825 41.282-54.343-3.178-23.204-22.113-40.177-44.563-41.625-.8-.053-1.594-.082-2.405-.095zM403.5 340.405c-1.225-.004-2.447.006-3.656.064-36.268 1.72-65.87 30.53-67.844 67.592-2.107 39.534 28.06 73.08 67.594 75.188 39.533 2.107 73.05-28.062 75.156-67.594 2.107-39.534-28.03-73.05-67.563-75.156-1.235-.066-2.462-.088-3.687-.094zm-244 8.845c-24.54.1-45.306 18.648-47.72 43.625-2.573 26.642 16.765 50.114 43.407 52.688 26.643 2.573 50.114-16.765 52.688-43.407 2.574-26.642-16.764-50.113-43.406-52.687-1.666-.162-3.334-.227-4.97-.22z","fillRule":"evenodd"}}]})(props);
};
function GiStrikingClamps (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M40.98 33.47c42.365 69.924 62.112 128.807 67.23 167.143-2.18-.5-4.446-.773-6.776-.773-15.047 0-27.516 11.026-29.778 25.437-14.03-22.296-30.308-61.62-45.88-121.623C86.005 464.07 279.215 338.11 40.978 33.47zm166.485 48.26c81.832 9.75 131.982 36.245 149.36 55.81-4.444 4.413-7.198 10.53-7.198 17.288 0 1.892.223 3.73.63 5.498-15.305.858-43.695-6.828-85.5-28.885 233.85 149.603 273.12-20.542-57.292-49.71zm-65.473 3.71c133.425 99.39 206.29 185.384 234.88 241.12-1.758-.23-3.546-.36-5.366-.36-22.58 0-40.885 18.302-40.885 40.882 0 3.86.547 7.59 1.546 11.13-41.953-26.657-103.148-88.887-173.48-197.18 321.64 535.806 553.76 265.665-16.694-95.593z"}}]})(props);
};
function GiStrikingDiamonds (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M30.875 36.063L88.25 300.625 202.406 400.97l24.688-76.814L30.874 36.062zm102 42.343L333.72 198.344l96.374 2.375-46.78-68.345-250.44-53.97zm3.5 42.28l202 284.595 149.5 78.626L440.78 365.78 136.376 120.69z","fillRule":"evenodd"}}]})(props);
};
function GiStrikingSplinter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23.018 20.705l135.64 163.623-107.33-32.39 168.79 111.326L82.784 224.11l192.51 111.87-130.525-1.76 282.08 126.116c13.913 7.198 28.182 13.638 42.728 19.246l2.297.885 20.797 9.3-16.895-37.82c-3.67-9.115-7.69-18.094-12.03-26.926L338.312 144.24l1.094 129.362L228.352 82.393l38.482 136.49L155.906 50.668l31.684 106.467L23.018 20.705zm225.148 225.178c94.262 38.75 169.608 116.195 208.152 207.924-91.01-40.827-168.835-115.908-208.152-207.924z"}}]})(props);
};
function GiStripedSun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32a224 224 0 0 0-161.393 69.035h323.045A224 224 0 0 0 256 32zM79.148 118.965a224 224 0 0 0-16.976 25.16H449.74a224 224 0 0 0-16.699-25.16H79.148zm-27.222 45.16A224 224 0 0 0 43.3 186.25h425.271a224 224 0 0 0-8.586-22.125H51.926zM36.783 210.25a224 224 0 0 0-3.02 19.125h444.368a224 224 0 0 0-3.113-19.125H36.783zm-4.752 45.125A224 224 0 0 0 32 256a224 224 0 0 0 .64 16.5h446.534A224 224 0 0 0 480 256a224 224 0 0 0-.021-.625H32.03zm4.67 45.125a224 224 0 0 0 3.395 15.125h431.578a224 224 0 0 0 3.861-15.125H36.701zm14.307 45.125a224 224 0 0 0 6.017 13.125H454.82a224 224 0 0 0 6.342-13.125H51.008zm26.316 45.125a224 224 0 0 0 9.04 11.125H425.86a224 224 0 0 0 8.727-11.125H77.324zm45.62 45.125A224 224 0 0 0 136.247 445h239.89a224 224 0 0 0 12.936-9.125h-266.13z"}}]})(props);
};
function GiStripedSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.492 18.445V48.32l142.8 230.215 13.263-14.068L23.953 18.445h-3.46zm62.363 0L221.78 244.19l-.116.12 57.42 98.366c13.31-10.723 26.58-20.305 39.62-29.184l-61.907-105.66-21.63 22.457L104.8 18.444H82.854zm80.303 0l113.24 186.012.06-.035 57.827 98.697c14.364-9.413 28.354-18.235 41.688-27.07l-70.545-118.71-21.957 22.797-98.433-161.692h-21.88zm80.96 0L326.935 157.1l.066-.04 64.45 108.454c13.838-9.718 26.8-19.798 38.538-31.08l-75.97-127.543-21.79 22.626-66.34-111.07h-21.77zm76.56 0l54.984 88.522.113-.07L443.37 220.38c11.33-13.075 21.146-27.87 29.054-45.384L415.11 78.6l-29.126 9.564-43.306-69.72h-22zm76.136 0L442.42 87.96l38.508 64.772c8.563-26.848 13.343-59.395 13.343-100.128l-43.354 14.238-31.748-48.397h-22.354zM20.492 162.34v34.78l93.502 146.724 81.238 129.408 46.653-27.14-15.565-24.794-24.6 26.12-76.808-128.2 22.406-23.763-9.09-14.48-30.728 17.878L20.492 162.34zm187.7 95.96l-6.49 6.737-28.397 30.117 55.463 94.74c11.814-12.983 23.79-24.55 35.79-35.03l-56.367-96.565zm-48.25 51.026l-11.73 12.442 56.84 94.87 11-11.677-1.767-2.814-54.342-92.82zm-39.374 80.14c-29.078 28.91-67.018 54.394-98.775 73.612-.106 8.052 1.748 14.447 5.334 19.082 3.678 4.754 9.542 8.254 18.602 9.875 25.252-25.11 59.002-52.65 92.245-74.844l-17.407-27.725z"}}]})(props);
};
function GiStrongMan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M87.49 27.99C58.7 27.99 35.5 51.17 35.5 80c0 28.8 23.2 52 52 52s52-23.2 52-52c0-28.83-23.2-52.01-52.01-52.01zM219.5 54.55c-2.6 4.13-4 9.58-4.5 15.32-20.8-.7-39.2-1.03-58.3-.73.8 6.29 1.1 12.15.4 18 19.8-.25 39.1 0 58.2.77.3 3.12.7 5.96 1.2 8.26-11.9 24.43-25.4 44.13-32.3 70.43 2.3 24.6 5.2 53.2 23.1 77.7 5 19.9 9.1 39.7 14.6 59.6 2.1-25.1 7.6-51.9 21.4-79.2-1.9-9.1-2.1-17.2-1.3-25.7-4.2-8.1-9.8-16.2-19.2-24 12.9-23.8 13.2-46.2 17.6-71.8l19.5-4.78c1.8-2.39 3.3-4.92 4.4-7.56 31 2.54 61.2 6.27 90.6 10.94.6-6.09 2-11.99 4.1-17.56-29.6-4.75-60-8.55-91.2-11.17 0-4.55-.4-9.28-1.1-14.13-17.1-2.57-31.6-6.06-47.2-4.39zm205 2.44c-28.8 0-52 23.18-52 52.01 0 28.8 23.2 52 52 52s52-23.2 52-52c0-28.83-23.2-52.01-52-52.01zm-135 108.11c-7.5 0-14.6 3.9-20.3 11.6-5.8 7.6-9.7 18.8-9.7 31.3 0 6.6 1.1 13.6 3 19.1 8.9-3.1 18.1-7.5 26.7-15 7.9 6.4 16.6 10.9 26.8 15 2.2-5.9 3.5-11.9 3.5-19.1 0-12.5-3.9-23.7-9.7-31.3-5.7-7.7-12.8-11.6-20.3-11.6zm-.3 58.9c-6.8 10.6-8.8 14.7-21.7 12.9 5.3 7.4 12.7 14.1 22 14 10.4-.1 17.2-6.5 21.8-13.8-11.2.8-16.9-3.1-22.1-13.1zm60.8 28.3c2.4 25.1 3.6 39.4 1.5 63.8 2.2 3.2 2.8 19.1 11.1 22.5-12.8 6.5-17.6 24.1-24.6 31-18.2 21.6-31.1 55.3-43.6 86.3 3.7 12.8 8.3 25.5 13.7 38.1H365c-5.6-27.2-13.6-54.7-22.2-82.1 3.4-5.4 3-4 6.5-23 14.9-10.2 47.2-27.3 52.6-49.6-5-19.9-11.7-32.8-23.5-49.9 2.8-24.2-16.2-30.8-28.4-37.1zm-100.3 3.4c-3.5 10.4-5.9 20.7-7.6 30.9l13.9-1.2c-3.2-9.7-4.9-20.1-6.3-29.7zm65.9 3.5c-7.4 6-16.4 9.7-26.1 9.7-7.4 0-14.3-2.1-20.4-5.7.5 2.4.9 4.8 1.5 7.2 1.9 8.5 4.7 16.8 8 22.4 3.2 5.5 6 7.5 8.9 7.7 3.1.2 6.6-1.5 10.9-6.7 4.4-5.2 8.7-13.2 12.2-21.4 1.9-4.5 3.6-9 5-13.2zm17.4 5c-2.8 7.9-5.3 14.6-8.6 21.5l9.8.5c-.2-7.3-.6-14.6-1.2-22zm-69.4 38.7l-23.7 2c-.6 7.7-.9 15.4-1.1 23l94.6-1.5c.7-7.3 1-14.7 1.1-22.1l-20.5-1.1c-7.6 8.6-18.5 15.7-27.7 15.3-10.3-.7-17.8-7.7-22.7-15.6zm65.6 41.5l-90.4 1.5c-.9 9.3 6.9 16.2 12.3 20.3l66.7-.2c7.2-8 8.6-11.2 11.4-21.6zM236 376.8c-14.4 39-29.7 77.9-41.2 117.2h53.1c6.7-12.3 12.8-24.9 18-37.8-.7-31.9-14.5-62.9-29.9-79.4zm70.3 7.3l-41.9.1c7.8 13.1 11.8 28.8 15 45.6l8.3-.8c6.1-15.2 10.6-30.7 18.6-44.9z"}}]})(props);
};
function GiStrong (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.375 20.313c-13.418 0-26.07 7.685-35.938 21.75-9.868 14.064-16.343 34.268-16.343 56.75 0 22.48 6.475 42.654 16.344 56.718 9.868 14.066 22.52 21.75 35.937 21.75 13.418 0 26.038-7.684 35.906-21.75 9.87-14.063 16.376-34.236 16.376-56.718 0-22.48-6.506-42.685-16.375-56.75-9.867-14.064-22.487-21.75-35.905-21.75zm-150.25 43.062c-20.305.574-23.996 13.892-31.78 29.03-23.298 45.304-55.564 164.75-55.564 164.75l160.47-5.436 29.125 137.593-22.78 106.03h149.093l-22.282-106 24.25-137.5 157.53 5.313c.002 0-32.264-119.447-55.56-164.75-7.787-15.14-11.477-28.457-31.782-29.03-17.898 0-32.406 15.552-32.406 34.718 0 19.166 14.508 34.72 32.406 34.72 3.728 0 7.258-.884 10.594-2.126l7.937 74.406L309.437 165c-.285.42-.552.867-.843 1.28-12.436 17.724-30.604 29.69-51.22 29.69-20.614 0-38.782-11.966-51.218-29.69-.277-.395-.54-.816-.812-1.218l-116.75 40.032 7.937-74.406c3.337 1.242 6.867 2.125 10.595 2.125 17.898 0 32.406-15.553 32.406-34.72 0-19.165-14.507-34.718-32.405-34.718z"}}]})(props);
};
function GiStrongbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 25v414h462V25H25zm30 30h402v32h16v66h-16v158h16v66h-16v32H55V55zm18 18v318h366v-14h-32v-66h32V153h-32V87h32V73H73zm352 32v30h30v-30h-30zm-217 30c21.3 0 40.8 7.5 56.1 20.1l17.5-17.5 12.8 12.8-17.5 17.5c12.6 15.3 20.1 34.8 20.1 56.1 0 21.3-7.5 40.8-20.1 56.1l17.5 17.5-12.8 12.8-17.5-17.5C248.8 305.5 229.3 313 208 313c-21.3 0-40.8-7.5-56.1-20.1l-17.5 17.5-12.8-12.8 17.5-17.5C126.5 264.8 119 245.3 119 224c0-21.3 7.5-40.8 20.1-56.1l-17.5-17.5 12.8-12.8 17.5 17.5c15.3-12.6 34.8-20.1 56.1-20.1zm0 18c-16.4 0-31.4 5.5-43.4 14.8l21.6 21.6c6.3-4.1 13.8-6.4 21.8-6.4s15.5 2.3 21.8 6.4l21.6-21.6c-12-9.3-27-14.8-43.4-14.8zm152 14c18.1 0 33 14.9 33 33 0 7-2.2 13.5-6 18.9V272c0 19.4-12.7 33-27 33s-27-13.6-27-33v-53.1c-3.8-5.4-6-11.9-6-18.9 0-18.1 14.9-33 33-33zm-208.2 13.6c-9.3 12-14.8 27-14.8 43.4s5.5 31.4 14.8 43.4l21.6-21.6c-4.1-6.3-6.4-13.8-6.4-21.8s2.3-15.5 6.4-21.8l-21.6-21.6zm112.4 0l-21.6 21.6c4.1 6.3 6.4 13.8 6.4 21.8s-2.3 15.5-6.4 21.8l21.6 21.6c9.3-12 14.8-27 14.8-43.4s-5.5-31.4-14.8-43.4zM360 185c-8.4 0-15 6.6-15 15s6.6 15 15 15 15-6.6 15-15-6.6-15-15-15zm-152 16c-12.8 0-23 10.2-23 23s10.2 23 23 23 23-10.2 23-23-10.2-23-23-23zm143 30.7V272c0 12.6 5.3 15 9 15s9-2.4 9-15v-40.3c-2.9.8-5.9 1.3-9 1.3-3.1 0-6.1-.5-9-1.3zm-164.8 26.9l-21.6 21.6c12 9.3 27 14.8 43.4 14.8s31.4-5.5 43.4-14.8l-21.6-21.6c-6.3 4.1-13.8 6.4-21.8 6.4s-15.5-2.3-21.8-6.4zM425 329v30h30v-30h-30zM73 457v30h34.2l20-30H73zm311.8 0l20 30H439v-30h-54.2z"}}]})(props);
};
function GiStumpRegrowth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M340.49 22.054c-17.788 7.15-49.024 20.552-59.064 35.639-1.838 7.23-1.993 13.487-1.36 20.338 10.617 2.524 36.557 6.219 44.83.57 12.503-17.52 14.686-36.73 15.594-56.547zM153.275 93.203c4.617 11.008 16.711 33.779 26.684 38.125 14.197.584 25.654-3.953 37.809-10.043-.31-6.472-1.23-12.832-4.317-18.946-19.943-10.169-39.284-10.39-60.176-9.136zm113.065-.178c3.292 13.352 4.73 28.28 4.869 43.781-9.808-7.078-21.754-12.323-35.424-16.719.576 12.254 1.829 11.19-8.064 16.323 20.091 6.216 34.09 13.638 42.785 24.087-1.709 26.314-6.236 52.816-11.033 74.891-29.017.858-66.277 4.96-98.692 11.578l31.555 15.778-62.787-8.067c-15.631 2.586-37.94 11.115-39.885 21.535 4.597 25.662 46.115 37.152 66.242 42.44 39.935 10.325 89.41 14.715 123.266 13.758 15.999-.453 36.857-3.302 58.262-7.807l-36.838-37.246 60.752 31.558c23.759-7.108 48.944-13.873 69.228-28.002 3.263-2.909 11.892-8.346 10.266-13.416-1.992-6.049-8.55-12.537-19.824-18.252-11.274-5.714-26.65-10.443-43.696-14.013-25.801-5.405-55.427-8.25-81.365-9.399l-9.307 46.688c-24.265 22.16-60.971 9.42-65.855-9.73l17.82-2.516c8.81 9.717 23.65 8.05 31.668 2.299 2.728-18.037 8.29-37.814 11.41-54.38 19.514-3.23 34.898-12.69 47.414-25.718-6.781-1.972-8.843-8.857-10.908-14.852-9.091 10.011-20.836 18.766-33.308 21.82 4.99-32.922 7.16-69.553.896-101.86-6.572-1.124-13.045-2.717-19.447-4.56zm66.334 63.795c-1.605 16.293 6.397 20.5 21.117 22.713 6.624-9.055 8.818-18.113 10.29-28.23-9.608 1.337-24.542-2.709-31.407 5.517zm0 0c-.01.002-.03.025-.069.078.017-.023.05-.054.069-.078zm107.15 149.574c-21.391 12.958-40.529 20.195-62.119 26.635l-10.562 45.209-18.586-37.576c-24.69 5.623-49.317 9.184-68.877 9.738-35.856 1.014-86.094-3.416-128.278-14.322-21.541-7.093-42.932-12.835-59.435-25.18l-13.315 97.834-57.873 60.295c28.18-1.896 55.714 11.198 79.494 5.6 10.158-2.454 24.265-7.616 44.838-17.016l48.213-39.643-25.574 41.69c47.098 21.387 91.582 11.977 133.459-5.725l-13.03-70.729 40.928 65.342c44.79 36.762 98.077 49.681 151.114 36.184 4.427-1.15 8.003-2.35 11-3.483l-33.825-48.962-22.216 23.923 12.277-64.838z"}}]})(props);
};
function GiStunGrenade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.785 20.36c-16.934 0-32.385 4.04-44.254 11.214-11.867 7.176-20.745 18.27-20.745 31.643 0 13.372 8.878 24.467 20.746 31.642 11.87 7.175 27.32 11.214 44.255 11.214 11.424 0 22.168-1.845 31.598-5.244l-18.87 18.87L390.552 242.74l21.214-21.215-122-122c3.282-1.36 6.387-2.917 9.275-4.664 6.595-3.988 12.26-9.19 15.997-15.317l18.943 18.945-9.898 9.9 107.79 107.79 16.263-48.79-91.526-91.53-9.9 9.902-27.31-27.31c-1.817-11.24-9.933-20.57-20.36-26.876-11.87-7.175-27.32-11.215-44.255-11.215zM359.12 33.12l-9.897 9.9L468.73 162.525l-24.953 74.856-142.76 164.725 9.926 9.928L473.1 228.256l20.29-60.87L359.12 33.12zm-104.335 5.24c13.994 0 26.542 3.54 34.942 8.62 8.4 5.077 12.058 10.91 12.058 16.237 0 5.327-3.66 11.16-12.058 16.238-8.4 5.078-20.948 8.62-34.942 8.62-13.993 0-26.542-3.542-34.94-8.62-8.4-5.078-12.06-10.91-12.06-16.238 0-5.327 3.66-11.16 12.06-16.238 8.398-5.08 20.947-8.62 34.94-8.62zm0 94.068L52.55 334.66 175.59 457.7l202.232-202.233-123.037-123.04zM39.822 347.388l-21.21 21.216L141.645 491.64l21.215-21.214L39.823 347.39z"}}]})(props);
};
function GiSubmarineMissile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M470.1 27.78l-63.3 55.8 33.7 23.22zm-75.6 69.15L295.7 240.2l37.9 26.1L432.4 123 413 109.6zm-88.6 96.77l-47.4 16-28.4 41.1 47.4-15.9zm67.5 46.6l-17.7 25.6-10.7 15.5 2 50 28.4-41.1zm-91.2 12.4l-40 35.9 34.8-7.4-31.3 58.7-69.5 33.8-10.5-63.7-38.2 58.5-22.5-51-6.54 125c-10.6-4.7-21.96-8.3-34.46-8.3-14.1 0-30.44 4.4-46 9.8v19.2c16.71-6 34.61-11 46-11 14.02 0 28.33 7 43.9 15 15.6 8 32.4 17 52.1 17 19.7 0 36.5-9 52.1-17 15.6-8 29.9-15 43.9-15s28.3 7 43.9 15c15.6 8 32.4 17 52.1 17 19.7 0 36.5-9 52.1-17 15.6-8 29.9-15 43.9-15 11.4 0 29.3 5 46 11V444c-15.6-5.4-31.9-9.8-46-9.8-19.7 0-36.5 9-52.1 17-15.6 8-29.9 15-43.9 15s-28.3-7-43.9-15c-14.7-7.6-30.5-16-48.8-16.9l69.9-42.6-63 10.5 30.1-32.6c7.6 2.8 19.3-10.1 14.6-16.2-.9-1.1-2.3-1.5-3.8-1.5-3.5.1-7.7 2.5-9.8 4.7-2 2.1-3.8 6.1-3.6 9.2l-35.8 10.9 2.8-41.9 35.1-41.5 8.3 41.1 21.8-51.5zM75.05 268.8c-.22 0-.45.1-.68.1-4.59.8-4.92 9.7-2.65 13.7 2.4 4.3 10.61 9.1 13.81 5.3 4.55-5.4-3.37-19.3-10.48-19.1zm64.35 4.8c-.5 0-1.1.1-1.6.3-8.9 3.5-7.6 22.3 1.7 24.7 6.4 1.4 11.8-8.1 11.2-13.5-.3-4.5-5.6-11.3-10.7-11.5zm-65.25 55.8c-1.92 0-3.52.5-4.42 1.7-2.25 3.1 3.44 9.9 7.46 11.7 4.3 1.9 12.45 1.1 11.87-3.4-.64-5-9.17-9.9-14.91-10zm290.15 55.3c-7.3 0-17.5 6.2-16.7 12.3.6 4.8 9.8 4.3 14.3 2.4 4.6-2 11.5-8.7 8.3-12.5-1.3-1.6-3.5-2.2-5.9-2.2zm-27.9 23c-2.4 0-4.6.7-5.8 2.5-2.5 3.9 3.4 10 7.4 11.8 4 1.8 12.3 2 12.6-3 .4-5.9-7.9-11.2-14.2-11.3z"}}]})(props);
};
function GiSubmarine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M315 144v21.75L292 160l-16 80H164c-49.154 16.385-81.254 27.1-102.578 34.846L52 256l-16-16v44.918C20.047 292.31 20 296.316 20 304c0 7.712.05 11.717 16 19.162V368l16-16 9.352-18.703c21.094 7.734 52.752 18.418 101.072 34.703H372c160-16 160-128 0-128h-16v-64l-23-5.75V144h-18zM148 263h256v18H148v-18z"}}]})(props);
};
function GiSubway (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M136.1 37.15L105.4 328.8l26.3 26.3h248.6l26.3-26.3-30.7-291.65H361v44H151v-44zm32.9 0v26h174v-26zm-16.9 60h207.8l18.3 145.95H133.8zm15.8 17.95l-13.7 110h203.6l-13.7-110zm-7.9 158c18.1 0 33 14.9 33 33 0 18.2-14.9 33-33 33s-33-14.8-33-33c0-18.1 14.9-33 33-33zm192 0c18.1 0 33 14.9 33 33 0 18.2-14.9 33-33 33s-33-14.8-33-33c0-18.1 14.9-33 33-33zm-192 18c-8.4 0-15 6.7-15 15 0 8.4 6.6 15 15 15s15-6.6 15-15c0-8.3-6.6-15-15-15zm192 0c-8.4 0-15 6.7-15 15 0 8.4 6.6 15 15 15s15-6.6 15-15c0-8.3-6.6-15-15-15zm-204.5 82L91.6 486.8h46.8l13.5-28.7h208.2l13.5 28.7h46.8l-55.9-113.7h-42.4l6.3 14H183.6l6.3-14zm28 32h161l10.2 23H165.3z"}}]})(props);
};
function GiSuckeredTentacle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M292.97 13.594c-2.632.016-5.295.076-8 .187-5.774.24-12.015 1.07-18.126 1.75-169.278 18.935-231.652 152.474-88.75 258.72 87.533 65.08 84.216 129.8-87.594 210.25h125.563c27.99-26.536 97.72-16.83 117.968-1.75 82.612-58.804 67.125-198.108-39.124-245.28-134.93-59.91-118.62-158.366-23.97-176.376 53.675-10.214 97.9 17.11 106.314 50.812 12.404 49.682-36.528 108.388-114.47 38.53 75.468 131.223 168.275 38.942 161.19-44.374-4.14-48.648-49.446-92.985-131-92.468zM218 201.624c3.67.1 6.518 1.456 7.125 3.72.882 3.293-3.288 7.292-9.313 8.906-6.024 1.614-11.648.23-12.53-3.063-.883-3.293 3.287-7.26 9.312-8.875 1.882-.504 3.737-.732 5.406-.687zm23.344 21.47c6.026-.21 10.822 1.795 11.78 5.375 1.28 4.772-4.767 10.534-13.5 12.874-8.73 2.34-16.845.367-18.124-4.406-1.28-4.774 4.768-10.536 13.5-12.875 2.183-.585 4.335-.9 6.344-.97zm40.5 23c8.61.098 15.31 3.21 16.72 8.47 2.002 7.476-7.448 16.49-21.127 20.155-13.678 3.664-26.402.57-28.406-6.908-2.002-7.477 7.48-16.49 21.157-20.156 3.42-.916 6.76-1.422 9.907-1.53.59-.02 1.176-.04 1.75-.032zm41.22 35.875c11.767.13 20.948 4.345 22.873 11.53 2.74 10.22-10.21 22.584-28.906 27.594-18.693 5.01-36.073.78-38.81-9.438-2.74-10.22 10.21-22.584 28.905-27.594 4.674-1.252 9.262-1.913 13.563-2.062.806-.028 1.59-.04 2.375-.03zm13.998 51.092c19.08.054 34.165 7.447 35.688 18.5 1.806 13.1-16.16 26.385-40.125 29.688-23.966 3.303-44.85-4.65-46.656-17.75-1.807-13.1 16.158-26.385 40.124-29.688 3.744-.516 7.435-.76 10.97-.75zm-15.937 64.313c23.456-.2 42.226 8.895 43.844 22.313 1.847 15.333-19.42 30.493-47.47 33.875-28.05 3.38-52.277-6.292-54.125-21.625-1.848-15.334 19.386-30.525 47.438-33.907 3.506-.42 6.96-.626 10.312-.655z","fillRule":"evenodd"}}]})(props);
};
function GiSugarCane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M264.34 21.275c-61.1 44.835-108.23 124.229-103.512 198.29 6.36-7.25 13.422-13.883 21.139-19.713 11.146-65.623 49.022-131.354 82.373-178.577zM57.383 22.758c24.174 34.235 50.712 78.19 67.728 124.773 7.978 6.219 15.304 13.215 21.76 20.94a236.975 236.975 0 0 1 3.951-15.287c-16.31-48.832-51.666-104.548-93.44-130.426zm405.053 10.744c-47.361 40.863-69.363 100.554-74.997 158.209a202.35 202.35 0 0 1 8.16 11.328 201.113 201.113 0 0 1 16.737-29.867c9.403-51.405 27.53-101.544 50.1-139.67zm-92.069 3.707c-64.832 14.582-107.75 78.8-116.562 136.773 2.973 1.672 6.73 5.1 9.265 8.455 22.607-66.53 61.275-110.735 107.297-145.228zm-353.123 91.37c51.778 24.363 105.825 56.494 127.035 103.939-2.272-12.34-2.629-25.452-1.396-38.944-28.597-42.532-78.956-63.451-125.639-64.996zm476.056 27.49c-34.406-.802-76.934 23.426-86.128 66.726 1.139 4.58 13.022 13.846 21.013 16.969.773-43.834 37.177-62.218 65.115-83.695zm-174.29 2.181c21.04 21.461 48.917 45.511 61.953 86.13 4.24-2.486 8.63-4.729 13.18-6.693-15.79-31.463-44.049-67.846-75.133-79.437zm-73.265 30.155c-37.362 3.63-64.025 29.123-83.225 58.677-14.63 22.519-23.115 49.683-24.555 76.266 25.986-53.821 62.46-108.757 112.652-127.534zm31.927 13.365c-2.223 2.752-5.084 4.713-7.885 6.818 31.072 26.356 47.903 58.752 56.068 93.111a205.85 205.85 0 0 1 9.504-14.467c-9.09-33.826-32.122-70.188-57.687-85.462zM248.41 215.8a128.121 128.121 0 0 0-9.748 4.63l-1.48 27.127c14.5 11.416 25.42 23.037 34.015 37.332l2.711-49.662c-6.944-6.998-15.319-13.482-25.498-19.426zm-120.312 24.09C71.5 256.71 37.71 308.58 28.604 361.046c29.726-43.263 59.439-87.436 104.86-106.18-1.603-5.314-3.395-10.297-5.366-14.974zm74.738 9.506c-3.896 5.005-7.323 9.1-10.813 14.153 43.782 20.683 60.177 57.427 80.86 93.969-2.173-48.16-27.882-92.375-70.047-108.121zm205.033 2.33c-29.13 10.175-52.395 33.868-69.392 64.065-11.124 19.76-19.43 42.164-24.94 64.672 19.94-27.481 34.02-48.154 47.813-65.518 16.755-21.093 33.426-37.283 58.636-53.603-2.898-5.063-7.514-9.234-12.117-9.615zm22.572 24.243c-5.147 3.297-9.868 6.548-14.26 9.812 23.392 42.081 38.88 88.57 55.426 133.594-1.502-49.435-13.906-99.519-41.166-143.406zM174.115 293.63c-10.184 19.084-19.878 39.48-32.46 59.031l1.687 27.598c12.051 1.164 23.366-1.86 35.72-5.682zm227.905 3.7c-12.309 11.669-21.565 22.225-30.59 33.958 8.607 6.083 19.627 8.03 32.529 8.234l6.086-26.554a405.944 405.944 0 0 0-8.025-15.639zm-169.012 26.702l-2.383 43.643.541-.807c9.337 6.267 18.402 6.229 28.932 4.631-10.136-17.217-18.219-33.414-27.09-47.467zm131.951 24.508l-12.9 56.295c11.853 5.06 22.705 9.387 34.753 9.504l13.045-56.922c-12.158-.504-24.254-2.66-34.898-8.877zm-135.355 37.85l-2.575 47.148c12.128 4.554 23.916 6.054 35.803 4.572l2.688-49.242c-11.093 1.813-23.479 2.755-35.916-2.478zm-49.413 6.656c-10.937 3.273-22.755 6.1-35.74 5.361l3.897 63.762c13.989.1 26.73-.425 35.804-4.287zm167.772 29.656l-12.32 53.764c11.403 4.048 23.029 6.993 34.884 8.937l12.192-53.197c-12.962-.822-24.314-5.066-34.756-9.504zM226.01 452.21L223.729 494h36.052l2.059-37.703c-11.976 1.028-23.997-.38-35.83-4.088zm-40.705 24.514c-11.492 3.648-23.852 3.84-35.85 3.588l.836 13.689h36.07z"}}]})(props);
};
function GiSuicide (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M241 16a15 15 0 0 0-15 15v60h-15a15 15 0 0 0-15 15v90a15 15 0 0 0 13.844 14.938C158.366 301.06 106 326.67 106 361c0 90 72.837 135 150 135s150-45 150-135c0-34.326-52.37-59.927-103.844-150.03A15 15 0 0 0 316 196v-90a15 15 0 0 0-15-15h-15V31a15 15 0 0 0-15-15h-30zm15 210c15 45 90 120 90 135 0 45-45.033 90-90 90-45.033 0-90-45-90-90 0-15 75-90 90-135z"}}]})(props);
};
function GiSuitcase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208 95c-3.583 0-7.736 1.925-9.977 4.613-2.24 2.69-2.99 5.447-3.4 7.907-.82 4.92-.247 9.48.5 13.96.316 1.897.698 3.748 1.096 5.52h18.534c-.67-2.54-1.387-5.542-1.877-8.48-.35-2.093-.483-3.963-.53-5.52h87.305c-.046 1.557-.18 3.427-.53 5.52-.49 2.938-1.205 5.94-1.876 8.48h18.535c.4-1.772.78-3.623 1.097-5.52.747-4.48 1.32-9.04.5-13.96-.41-2.46-1.16-5.218-3.4-7.907C311.737 96.925 307.583 95 304 95h-96zm-105 16v18h50v-18h-50zm256 0v18h50v-18h-50zM96 145c-5 0-11.05 2.777-15.637 7.363C75.777 156.95 73 163 73 168v208c0 5 2.777 11.05 7.363 15.637C84.95 396.223 91 399 96 399h23V145H96zm41 0v254h238V145H137zm256 0v254h23c5 0 11.05-2.777 15.637-7.363C436.223 387.05 439 381 439 376V168c0-5-2.777-11.05-7.363-15.637C427.05 147.777 421 145 416 145h-23z"}}]})(props);
};
function GiSuits (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M300.125 22.22c-16.803.392-34.233 9.65-45.53 29.218-27.148-47.017-96.42-34.833-94.626 21.374 1.87 58.528 85.608 92.668 94.624 126.313 8.25-30.797 96.137-70.224 94.375-126.313-1.03-32.814-24.287-51.168-48.845-50.593zm109.53 112.28s-86.616 63.248-85.03 113.78c1.356 43.213 45.503 58.606 73.53 33.564l-24.56 58.875h72.374l-24.595-58.908c28.416 24.42 74.963 10.286 73.563-33.53-1.683-52.735-85.282-113.782-85.282-113.782zm-303.436 2.03c-24.513.018-44.626 19.58-44.626 44.095 0 10.22 3.667 19.87 9.468 27.375-1.847-.232-3.652-.563-5.562-.563-24.526 0-44.656 20.13-44.656 44.657 0 24.525 20.13 44.656 44.656 44.656 10 0 19.224-3.35 26.656-8.97L69.75 341.44h72.375l-22.75-54.47c7.604 6.088 17.202 9.782 27.594 9.782 24.526 0 44.124-20.13 44.124-44.656s-19.6-44.656-44.125-44.656c-2.1 0-4.104.276-6.126.562 5.887-7.535 9.5-17.072 9.5-27.375 0-24.515-19.583-44.077-44.094-44.094h-.03zM254.53 283.5l-85.468 105.125 85.47 105.156 85.5-105.155-85.5-105.125z"}}]})(props);
};
function GiSummits (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96.07 20c-26.51 0-48 21.49-48 48 0 26.5 21.49 48 48 48 26.53 0 48.03-21.5 48.03-48 0-26.51-21.5-48-48.03-48zM326.2 81.5L217.1 237.9l-6.5 69.2-86.1-108.7-68.48 111.4-10.63 56.1-29.26 67.7 1.13.5L64.07 492l96.03-21.3 25.3-25.4-69.5-93.5 45.4-24.8-34.5-96.5 136.3 180.2 9-14.7-19.1-86 66.8-28.6.3-156.4 51.7 178.7-44.6 62.8-9 39.4-50.8 54.8L403 426.6l-37.1-21.2 34.5-31.8-27.8-23.3 52.8-72.3 6.1 90.6 52 49.9 12.4-13-47-45.1-7.5-112.8-57.3 33.8z"}}]})(props);
};
function GiSunCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M383.215 71.94a96 96 0 0 0-96 96 96 96 0 0 0 8.484 39.17c2.492-.108 4.994-.166 7.503-.17h.011c34.226.002 65.356 9.18 88.478 24.636 10.776 7.204 19.885 15.916 26.54 25.738a96 96 0 0 0 60.982-89.373 96 96 0 0 0-96-96zM154.662 179.845c-47.352.003-85.174 36.46-85.178 81.19v.007c.005 7.39 1.07 14.74 3.162 21.86l2.788 9.477-9.698 1.894c-13.05 2.55-23.76 7.818-30.85 14.125-7.087 6.303-10.49 13.255-10.5 20.293v.003c.002 8.806 5.325 17.41 15.807 24.398 10.482 6.988 25.778 11.695 42.832 11.697 8.47-.017 16.842-1.206 24.483-3.443l4.605-1.35 3.686 3.072c17.088 14.243 49.872 24.26 85.2 24.27 14.3-.024 28.434-1.62 41.37-4.64l7.33-1.714 2.982 6.91c8.13 18.84 35.242 34.145 67.123 34.17 20.066-.003 38.075-5.86 50.593-14.742 12.492-8.862 19.286-20.168 19.317-32.172-.012-.335-.028-.67-.05-1.007l-.7-10.11 10.12.495c3.337.164 6.696.252 10.06.26 23.21-.002 44.206-3.737 58.597-9.3 7.198-2.783 12.702-6.056 15.924-9 3.216-2.94 3.942-4.99 3.945-6.514-.004-1.374-.584-3.16-3.215-5.794-2.637-2.64-7.215-5.67-13.352-8.352-12.275-5.363-30.592-9.408-51.623-10.412l-10.803-.516 2.47-10.53c.747-3.18 1.134-6.365 1.18-9.555-.023-18.135-10.99-35.177-30.578-48.27-19.606-13.107-47.5-21.598-78.475-21.6-20.483.028-40.557 3.834-57.793 10.85l-8.252 3.36-3.443-8.216c-12.866-30.71-44.097-51.07-79.06-51.09h-.005z"}}]})(props);
};
function GiSunRadiations (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M168.236 12.088l-94.404.004c10.896 8.36 17.928 21.505 17.928 36.3 0 25.262-20.48 45.74-45.74 45.74-15.066 0-28.43-7.287-36.762-18.528v98.755l5.29 41.3 17.313-100.47 26.728 82.066 2.236-67.27 35.838 31.01-12.25-54.86 54.086 28.135-36.762-46.575 53.04-2.56-45.45-22.887 56.268-12.486-47.965-8.153 50.606-29.522zm33.598 6.31l-33.938 17.928 102.02-5.318-105.445 36.53 107.22 23.17-111.36 10.636 109.586 46.105-108.754-14.188 94.57 75.656-90.785-42.2 46.455 75.3-92.21-85.588 56.154 134.648-72.7-94.57 13.004 108.758-42.086-93.037L60.09 338.362l-26.008-136.06-15.727 47.63v106.682L38.22 309.99 58.91 464.26 82.55 289.303l86.296 203.326-24.825-201.552L258.687 437.66l-70.926-172 170.224 127.67L220.86 212.467l189.138 75.656L266.96 175.82l198.6 25.414-184.412-77.427 209.235-29.55-206.28-28.374 113.752-47.485h-196.02z"}}]})(props);
};
function GiSunSpear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.632 28.52c-15.21 29.776-26.798 59.26-36.147 88.652l-3.888 12.226-10.172-7.82c-23.276-17.89-44.87-38.798-63.885-63.892 1.717 33.39 6.423 64.716 13.022 94.843l2.746 12.533-12.72-1.686c-29.102-3.856-58.257-11.165-87.27-23.39 18.18 28.057 37.92 52.835 58.7 75.626l8.64 9.48-11.856 4.9c-27.133 11.213-56.04 19.458-87.28 23.376 29.775 15.208 59.26 26.797 88.65 36.146l12.227 3.888-7.82 10.172c-17.892 23.276-38.8 44.87-63.893 63.885 33.39-1.716 64.716-6.422 94.843-13.02l12.533-2.747-1.685 12.72c-3.856 29.102-11.165 58.257-23.39 87.27 28.057-18.18 52.835-37.92 75.626-58.7l9.48-8.64 4.9 11.856c11.213 27.132 19.458 56.038 23.376 87.28 15.21-29.776 26.798-59.26 36.147-88.652l3.888-12.226 10.172 7.82c23.276 17.89 44.87 38.798 63.885 63.892-1.717-33.39-6.423-64.716-13.022-94.843l-2.746-12.532 12.72 1.685c29.102 3.856 58.257 11.165 87.27 23.39-18.18-28.057-37.92-52.835-58.7-75.626l-8.64-9.48 11.856-4.9c27.133-11.213 56.038-19.458 87.28-23.376-29.775-15.208-59.26-26.797-88.65-36.146l-12.227-3.888 7.82-10.172c17.89-23.276 38.798-44.87 63.892-63.885-18.057.927-35.508 2.736-52.496 5.24L276.195 276.4c-6.194 6.236-14.033 9.328-21.386 9.077-7.354-.253-13.934-3.538-18.73-8.396-9.59-9.716-11.724-27.68.407-40.166l.045-.047 118.098-118.1c4.217-19.508 10.193-39.013 18.385-58.454-28.058 18.182-52.836 37.92-75.627 58.7l-9.48 8.642-4.9-11.857C271.794 88.67 263.55 59.763 259.63 28.52zm224.03.818l-86.112 54.8v31.313h31.314l54.8-86.112zM379.55 119.31l-8.37 8.372-121.783 121.78c-6.11 6.288-4.212 11.222-.505 14.977 1.853 1.877 4.235 2.972 6.533 3.05 2.297.08 4.797-.547 8.002-3.773l.01-.01L393.69 133.45h-14.14v-14.14zM144.64 374.507a662.042 662.042 0 0 1-24.73 4.443l-92.39 92.39 14.14 14.14 101.163-101.162a341.49 341.49 0 0 0 1.817-9.812z"}}]})(props);
};
function GiSun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M320.063 19.72c-72.258 14.575-19.248 71.693-74.344 108.81 4.846-.49 9.746-.702 14.655-.624 16.288.26 32.785 3.72 48.594 10.72 4.96 2.196 9.723 4.667 14.25 7.405 12.107-47.476-37.103-96.38-3.158-126.31zM136.75 44.47c-40.76 61.357 36.984 64.33 24.406 129.405 17.407-21.255 41.17-35.9 67.156-42.313-25.006-42.138-94.4-41.924-91.562-87.093zm297.313 75.405c-32.547.872-45.475 46.314-96.594 36.22 21.35 17.42 36.034 41.25 42.467 67.31 42.306-24.92 42.053-94.466 87.282-91.624-13.43-8.92-24.06-12.15-33.158-11.905zm-177.97 26.656c-23.656.46-46.53 8.82-64.906 23.626l18.657 36.156L170 193.156c-3.576 5.264-6.737 10.908-9.406 16.938-8.726 19.708-11.002 40.59-7.78 60.344l44.78 2.125-34 30.312c10.798 20.622 28.414 37.852 51.406 48.03 3.077 1.364 6.186 2.574 9.313 3.626l24.53-38.25 9.095 43.814c27.3.075 53.737-10.387 73.593-29.188l-19.186-37.125 38.406 12.658c1.822-3.188 3.512-6.506 5.03-9.938 9.746-22.01 11.457-45.498 6.44-67.22l-37.626-1.75 27.687-24.718c-10.83-20.194-28.236-37.07-50.874-47.093-1.37-.607-2.745-1.176-4.125-1.72l-25.874 40.313-9.906-47.75c-.5-.016-1-.023-1.5-.032-1.3-.02-2.61-.024-3.906 0zM133.407 186.5c-41.652.725-82.483 34.847-108.72 5.094 14.573 72.234 71.664 19.3 108.783 74.312-2.154-20.972.934-42.758 10.06-63.375 2.178-4.915 4.637-9.604 7.345-14.093-5.822-1.47-11.642-2.038-17.47-1.937zm249.5 53.97c2.204 21.047-.867 42.926-10.03 63.624l-.188.375c-2.143 4.796-4.57 9.393-7.22 13.78 47.524 12.244 96.507-37.137 126.47-3.156-14.603-72.388-71.92-19.04-109.032-74.625zM136.53 283.405c-42.123 25.014-41.928 94.37-87.093 91.53 61.422 40.803 64.322-37.123 129.594-24.342-21.344-17.385-36.03-41.167-42.5-67.188zm219.064 48.906c-17.406 21.46-41.236 36.24-67.344 42.72 24.944 42.263 94.497 42.004 91.656 87.218 40.867-61.52-37.402-64.358-24.312-129.938zM193.406 360.72c-12.047 47.456 37.087 96.33 3.156 126.25 72.305-14.587 19.195-71.79 74.47-108.908-21.04 2.204-42.898-.9-63.594-10.062-4.884-2.162-9.57-4.594-14.032-7.28z"}}]})(props);
};
function GiSunbeams (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.488 17.883V27.1l31.72 13.17c-4.947 16.663-7.873 34.187-8.507 52.275L17.49 89.443v63.428l28.852-3.917c3.968 16.532 9.893 32.31 17.527 47.068l-46.38 19.193v85.652l77.298-60.297c10.784 11.913 22.92 22.575 36.154 31.762L17.487 419.047v74.812h79.15l80.544-197.33c14.558 5.425 29.874 9.278 45.746 11.35l-24.914 185.98H299.93L275.055 308.18c16.05-1.902 31.553-5.62 46.29-10.948l79.96 196.63h92.16v-58.548L368.043 273.34c13.018-8.875 24.983-19.18 35.68-30.682l89.742 69.053V221.18l-57.643-23.737c7.784-14.768 13.854-30.573 17.95-47.15l39.693 5.292V87.275l-33.748 4.543c-.694-18.028-3.672-35.49-8.65-52.09l42.398-17.505v-4.338h-112.22l-42.282 32.527c-4.65-8.143-10.22-15.098-16.805-21.683l8.13-10.845H167.655l7.59 9.758c-6.94 6.73-12.477 14.34-17.346 22.767l-41.744-32.527H17.488zm416.22 29.012c4.37 15.116 6.913 31.006 7.392 47.43l-88.584 11.925c.04-1.177 0-2.065 0-3.254 0-7.216-.776-14.88-2.168-21.683l83.36-34.418zM66.57 47.48l78.856 32.747c-1.546 7.146-2.168 15.16-2.168 22.767 0 1.19-.04 2.075 0 3.254L59.31 95.03c.42-16.463 2.93-32.39 7.262-47.55zm82.65 87.5c2.51 7.588 5.67 14.977 9.758 21.684l-77.84 32.21c-7.003-13.298-12.48-27.522-16.204-42.446l84.287-11.448zm197.872 1.086l88.07 11.743c-3.854 14.962-9.48 29.21-16.63 42.514l-81.74-33.658c3.9-6.395 7.833-13.4 10.3-20.6zm-171.852 41.74c5.61 5.437 11.178 10.017 17.89 14.096l-50.806 65.703c-12.01-8.234-23.03-17.804-32.846-28.5l65.762-51.298zm144.203.003l69.49 53.47c-9.706 10.252-20.536 19.43-32.296 27.33l-52.915-68.333c5.71-3.65 10.837-7.81 15.72-12.468zm-37.404 22.768l32.274 79.365c-13.294 4.732-27.27 8.03-41.74 9.715L261.44 206.54c6.972-.943 14.133-3.712 20.6-5.962zm-66.138 1.084c6.534 2.07 13.58 4.128 20.6 4.88l-11.096 82.825c-14.282-1.85-28.07-5.276-41.18-10.1l31.676-77.605z"}}]})(props);
};
function GiSundial (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M227.02 45.682l-2.01 150.17c-10.8 2.273-21.273 5.438-31.334 9.423l-34.46-54.44 10.48 65.913c-11.186 6.322-21.69 13.712-31.362 22.043l-85.387-73.01 60.914 98.26c-10.724 13.255-19.744 27.943-26.725 43.73l-37.89-9.674 32.146 24.228c-5.19 14.893-8.618 30.607-10.036 46.89l-52.426 1.497 151.115 58.343c-5.937-13.1-9.244-27.634-9.244-42.922 0-57.535 46.842-104.378 104.378-104.378 57.535 0 104.377 46.843 104.377 104.38 0 14.662-3.05 28.628-8.535 41.304-.054.597-.1 1.188-.16 1.79l138.406-59.548-40.56-3.928c-2.213-21.043-7.78-41.097-16.17-59.607l29.804-34.71-41.317 13.08c-9.153-14.872-20.252-28.418-32.937-40.292l58.926-131.802-93.026 106.238c-13.207-7.81-27.41-14.104-42.377-18.64l2.535-65.838-24.547 60.54c-11.17-1.997-22.667-3.04-34.405-3.04-2.4 0-4.785.06-7.164.146L227.02 45.682zm38.173 164.685c9.258 0 18.345.717 27.213 2.09l-19.693 48.572-10.74-50.622c1.072-.02 2.143-.04 3.22-.04zm-40.44 4.664l-.515 38.53-20.392-32.218c6.78-2.518 13.76-4.633 20.908-6.31zm96.112 4.312c10.708 3.56 20.953 8.127 30.63 13.578l-32.585 37.213 1.955-50.79zm-148.03 17.15l5.85 36.803-26.048-22.274c6.366-5.3 13.115-10.156 20.197-14.528zm217.186 25.766c8.48 8.533 16.08 17.934 22.673 28.056l-41.02 12.987 18.348-41.042zm-265.73 18.605l26.808 43.24-45.643-11.654c5.185-11.22 11.508-21.8 18.836-31.587zM265.18 300.44c-47.435 0-85.69 38.256-85.69 85.69 0 47.436 38.255 85.688 85.69 85.688 47.435 0 85.687-38.252 85.687-85.687 0-47.434-38.252-85.69-85.687-85.69zm163.808 21.484c5.21 13.28 8.856 27.35 10.707 41.984l-43.17-4.18 32.463-37.804zM97.11 334.176l43.853 33.054-50.805 1.45c1.177-11.892 3.534-23.433 6.953-34.504z"}}]})(props);
};
function GiSunflower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M274 26.5c-10.161 19.207-21.438 38.715-28.715 58.063-8.69 23.102-11.63 44.996-1.693 67.173 13.223-1.447 27.547-.183 39.744 2.809 12.33-23.057 14.079-46.848 9.973-70.748C289.933 64.15 282.524 44.657 274 26.5zM138.518 47.807c4.509 17.9 8.552 37.348 13.855 56.334 8.076 28.912 19.233 55.27 37.055 70.73a104.882 104.882 0 0 1 37.006-19.625c-6.189-20.148-23.477-43.439-44.252-65.334-14.327-15.099-29.39-29.04-43.664-42.105zm234.304 32.525c-17.615 14.32-33.925 25.364-46.11 36.711-13.703 12.762-22.372 25.14-24.421 44.736a105.643 105.643 0 0 1 31.793 24.114c16.86-14.798 25.494-31.17 30.734-50.211 4.5-16.351 6.28-35.29 8.004-55.35zM60.547 131.234c8.7 18.074 19.14 36.126 32.246 51.147 15.944 18.273 35.498 31.934 61.164 36.928 8.262-10.316 15.239-23.396 23.03-32.37-10.91-21.855-29.799-33.447-53.284-41.32-19.598-6.57-41.846-10.14-63.156-14.385zm419.176 29.586c-18.258 2.726-38.008 4.836-57.424 8.244-30.068 5.28-57.828 13.983-74.904 30.739l16.084 38.074c20.79-3.984 45.954-19.028 70.046-37.748 16.436-12.771 31.79-26.39 46.198-39.309zM256 169c-48.155 0-87 38.845-87 87s38.845 87 87 87 87-38.845 87-87-38.845-87-87-87zm0 12.201c41.204 0 74.799 33.595 74.799 74.799 0 41.204-33.595 74.799-74.799 74.799-41.204 0-74.799-33.595-74.799-74.799 0-41.204 33.595-74.799 74.799-74.799zm15.777 8.682l-4.222 17.496 14.402 3.476 4.223-17.496zm-40.351 8.687v18h18.873v-18zm-27.647 18.883l-8.94 15.395 15.567 9.039 8.94-15.395zm92.41 3.002l-16.884 1.49 1.582 17.932 16.884-1.49zm-39.587 9.732l-15.825 10.12 9.7 15.164 15.824-10.12zm-126.334 2.766c-19.262.194-39.851 5.321-54.51 11.799-15.367 7.173-30.94 18.094-47.332 29.785 22.322 4.13 41.304 9.39 57.842 11.313 20.545 2.387 46.184-1.584 64.468-16.21l-1.918-35.103c-5.857-1.164-12.13-1.648-18.55-1.584zm178.664 13.879l-6.383 16.828 14.4 5.463 6.383-16.828zm-100.077 2.397l-.546 17.992 16.388.498.547-17.992zm172.834 4.457c-6.146.068-12.51.747-19.367 2.08-1.959 15.376-6.896 31.081-9.855 43.84 18.294 14.066 38.106 17.06 61.488 14.693 20.415-2.067 43.486-8.631 67.697-15.301-15.874-13.122-32.566-25.334-50.322-33.695-17.507-7.256-31.706-11.345-47.02-11.61a93.005 93.005 0 0 0-2.62-.008zm-100.263 11.869l-20.362.498.442 17.996 20.361-.498zM215.809 280.8l-4.52 17.424 18.676 4.177 4.52-17.424zm86.115.584l-12.912 9.931 10.972 14.27 12.912-9.932zm-145.2 15.838c-23.384 1.195-36.822 10.464-50.605 25.886-11.52 12.892-28.695 33.236-43.455 51.936 21.769-.505 47.299-4.865 64.227-9.998 19.952-6.05 36.586-16.937 51.19-38.754-8.307-10.52-13.16-18.75-21.356-29.07zm110.77 5.351l-15.892.496.562 17.993 15.893-.497zm72.1 16.877c-5.326 12.205-30.778 23.962-35.227 31.528 27.547 39.306 81.094 54.027 126.317 56.8-13.04-18.243-26.832-38.452-42.409-55.164-14.764-15.84-30.642-28.043-48.681-33.164zm-146.858 20.285c-13.155 15.84-23.681 41.258-31.543 68.727-5.727 20.01-10.082 40.067-14.084 59 13.128-12.977 27.824-26.34 41.483-40.553 21.13-21.987 38.386-45.374 42.303-68.953a104.661 104.661 0 0 1-38.159-18.22zm97.137 21.35l-43.373 3.172c-7.303 45.857 19.494 90.883 47.504 119.898 11.935-41.049 20.331-92.31-4.131-123.07z"}}]})(props);
};
function GiSunglasses (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M131.127 175.44c-33.59.04-59.132 7.456-86.086 15.046-8.453 1.495-15.128 3.99-18.638 10.47-3.532 6.524-1.073 13.252 1.537 17.888 4.818 8.555 12.362 16.51 15.298 21.703 3.465 17.812 8.065 35.346 15.467 50.7 12.98 26.928 36.845 47.046 74.7 45.194 46.849-2.29 73.352-20.134 87.503-41.22 14.152-21.088 16.572-44.617 19.54-56.484 7.612-16.64 23.278-16.838 31.105 0 2.967 11.867 5.387 35.396 19.54 56.483 14.15 21.086 40.654 38.93 87.503 41.22 37.854 1.853 61.72-18.265 74.7-45.192 7.403-15.355 12-32.89 15.466-50.7 2.936-5.195 10.48-13.15 15.3-21.704 2.61-4.636 5.068-11.364 1.536-17.887-3.51-6.48-10.185-8.976-18.64-10.47-26.953-7.59-52.495-15.007-86.085-15.048-26.88-.033-58.915 4.656-100.97 17.753l-5.507 1.715c-18.397 3.264-18.395 3.264-36.792 0l-5.506-1.715c-42.056-13.097-74.092-17.786-100.97-17.754zm.146 16.55c23.79.02 52.275 4.346 90.288 15.772 2.44 6.41 5.193 17.415 2.118 28.304-3.397 14.196-5.85 33.31-16.85 49.704-11.352 16.916-31.195 31.63-74.25 33.736-32.043 1.568-47.433-12.454-58.6-35.62-6.38-13.23-10.624-29.463-13.982-46.6l.037-.01-4.05-32.26c24.43-6.927 46.61-13.05 75.29-13.026zm249.452 0c28.68-.023 50.863 6.098 75.293 13.026l-4.05 32.26.036.01c-3.358 17.137-7.603 33.37-13.98 46.6-11.17 23.166-26.56 37.188-58.602 35.62-43.055-2.107-62.9-16.82-74.252-33.736-11-16.393-13.45-35.508-16.848-49.704-2.605-13.286-.322-21.894 2.115-28.304 38.013-11.426 66.497-15.752 90.288-15.772zM133.94 202.52c-18.563.07-37.993 3.335-53.94 11.652-12.87 42.026 3.515 64 16 80 1.317-37.663-15.127-81.69 96-80-11.76-6.544-34.194-11.74-58.06-11.65zm231.88 0c-18.563.07-37.992 3.335-53.94 11.652-12.87 42.026 3.515 64 16 80 1.317-37.663-15.126-81.69 96-80-11.76-6.544-34.193-11.74-58.06-11.65z"}}]})(props);
};
function GiSunkenEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M182.4 89.85c-60.9-.06-118.49 21.35-161.74 66.05v28.3C70.62 121 146.3 98.56 225.6 112.3c-76.8-.7-151.72 30.3-204.94 93.4v30.6C70.71 164.8 146.8 129.9 225.4 130.8 127.5 152.7 55.35 209.6 21.97 287 83.23 356.4 186.2 404.9 269.4 419.2c81.5 13 164 2.3 225.5-37.6v-22.7c-57.1 42.1-139.7 55-222.5 41.8-9.3-1.4-18.6-3.3-27.9-5.4 90.4 10.6 183.5-8.2 250.4-59.7v-24.2c-45.2 39.6-107.3 61.3-173 66.3 55.1-13.2 110.3-41.8 164.7-85.1l7-5.6c-13.5-18.4-28.5-37.4-41.9-52.3C392.7 159.5 315.6 112 239 95.88c-16.7-3.51-33.4-5.5-49.9-5.94-2.3 0-4.7-.1-6.7-.1zm78.9 48.45c7.3 8.6 13.3 18 18.3 27.9-13 4.9-22.3 17.5-22.3 32.2 0 19 15.4 34.4 34.4 34.4 2 0 3.9-.2 5.8-.5 4.9 54.4-10.4 111.3-36.2 145.4-43.7-59.2-50.7-172.4 0-239.4zm-46 13.2c-41.6 17.8-70.8 59.2-70.8 107.4 0 46.5 27 86.6 66.3 105.4-44.1-6.8-87.5-24.7-129.93-54.2-7.73-22.9-9.04-45.8-2.83-68.8 41.96-49.5 88.66-79.8 137.26-89.8zm117.2 14.8c34.6 15.7 69.3 41.7 103.4 79 5.1 20.8 4.2 41.5-2 62.3-37.1 24.2-74.1 41-110.7 50.5 33-20.6 55-57.3 55-99.2-4.7-37.1-21.4-73.3-45.7-92.6z"}}]})(props);
};
function GiSunrise (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32l-64 80h32v64h64v-64h32l-64-80zm-9 187v80h18v-80h-18zm-63.992 53.602l-16.631 6.886 15.309 36.955 16.628-6.886-15.306-36.955zm145.984 0l-15.306 36.955 16.628 6.886 15.309-36.955-16.63-6.886zM77.795 284.068l-12.727 12.727 56.569 56.568 12.726-12.726-56.568-56.569zm356.41 0l-56.568 56.569 12.726 12.726 56.569-56.568-12.727-12.727zM256 337.994a118.919 118.919 0 0 0-59.5 15.95c-34.215 19.754-56.177 55.048-59.129 94.056H374.63c-2.952-39.008-24.914-74.302-59.129-94.057a118.919 118.919 0 0 0-59.5-15.949zM66.488 387.377l-6.886 16.63 36.955 15.307 6.886-16.628-36.955-15.309zm379.024 0l-36.955 15.309 6.886 16.628 36.955-15.306-6.886-16.631zM24 466v18h464v-18H24z"}}]})(props);
};
function GiSunset (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 27v80h18V27h-18zm-63.992 53.602l-16.631 6.886 15.309 36.955 16.628-6.886-15.306-36.955zm145.984 0l-15.306 36.955 16.628 6.886 15.309-36.955-16.63-6.886zM77.795 92.068l-12.727 12.727 56.569 56.568 12.726-12.726-56.568-56.569zm356.41 0l-56.568 56.569 12.726 12.726 56.569-56.568-12.727-12.727zM256 145.994a118.919 118.919 0 0 0-59.5 15.95c-34.215 19.754-56.177 55.048-59.129 94.056H374.63c-2.952-39.008-24.914-74.302-59.129-94.057a118.919 118.919 0 0 0-59.5-15.949zM66.488 195.377l-6.886 16.63 36.955 15.307 6.886-16.628-36.955-15.31zm379.024 0l-36.955 15.309 6.886 16.628 36.955-15.306-6.886-16.631zM24 274v18h464v-18H24zm200 62v64h-32l64 80 64-80h-32v-64h-64z"}}]})(props);
};
function GiSuperMushroom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M242.875 25.594c-46.25.117-92.147 12.63-130.375 39.75C68.81 96.34 35.56 146.5 23.625 217c-3.752 22.16 1.91 41.663 14.344 56.47 12.43 14.804 30.868 25.155 52.624 32.78 43.51 15.25 101.268 19.72 157.344 19.72 56.395 0 116.863-7.428 163.218-24 23.178-8.288 42.93-18.84 56.875-32.72 11.43-11.375 18.665-25.59 19.47-41.344h1.094l-1.438-10.594c-15.005-112.175-118.867-183.277-224.47-191-6.6-.482-13.204-.735-19.81-.718zm.063 18.687c6.123-.014 12.238.21 18.375.657 3.214.236 6.418.547 9.625.907-25.16 19.974 10.362 61.325 47.375 54.312 26.565-5.036 32.874-19.8 27.812-33.844 62.617 27.994 112.41 81.343 122.344 152.407l.155 1.06c1.887 14.112-2.827 25.35-13.78 36.25-2.64 2.627-5.673 5.182-9.033 7.658 3.986-14.92-.91-32.102-21.375-45.344-40.378-26.132-96.414 37.186-41.843 72.5.154.1.313.183.47.28-40.09 10.845-89.146 16.157-135.127 16.157-26.117 0-52.553-1.105-77.375-3.717 17.746-9.192 27.433-34.97 1.5-51.75-26.975-17.458-63.925 21.993-34.312 47.187-14.918-2.678-28.762-6.086-41-10.375-8.628-3.024-16.41-6.468-23.22-10.313 15.15-7.296 23.773-29.15 1.94-43.28-11.807-7.64-25.924-2.13-33 7.843-1.682-6.65-1.873-14.094-.407-22.75 3.89-22.972 10.086-43.39 18.156-61.438 2.32 19.157 15.042 34.623 35.56 31.094 62.195-10.696 55.24-98.255 9.22-90.343-1.82.314-3.578.685-5.28 1.126 7.402-7.423 15.286-14.076 23.593-19.97 12.744-9.04 26.488-16.332 40.906-21.937-.934 7.07 2.093 14.8 11.53 20.907 18.86 12.203 44.305-13.4 28.063-31.876 12.84-2.25 25.943-3.372 39.125-3.406zm-51.844 54.407c-4.59.115-9.263 1.438-13.656 4.282-38.004 24.593 1.004 68.694 29.125 50.5 32.066-20.753 9.32-55.4-15.47-54.782zm191.72 31.594c-24.964.418-21.014 38.305 2.81 45.564 36.154 11.015 34.472-35.725 7.72-43.875-3.954-1.206-7.466-1.74-10.53-1.69zm-116.845 27.626c-9.463.237-19.07 2.983-28.126 8.844-78.328 50.685 2.105 141.54 60.062 104.03 66.09-42.764 19.156-114.15-31.937-112.874zM335 338.594c-55.842 7.335-113.248 7.307-167.406 2.156-21.82 91.642-38.78 153.125 82.687 153.125 129.88 0 110.022-66.537 84.72-155.28z"}}]})(props);
};
function GiSupersonicArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M84.475 16.084L81.4 65.79 50.752 37.183l-11.68 11.68 30.043 32.19-52.877 3.266c41.824 51.46 65.345 68.355 119.215 67.81l22.322 23.915c3.147-3.24 6.332-6.474 9.555-9.697h.002c3.534-3.535 7.077-7.003 10.623-10.442l-23.404-21.844c6.066-54.95-22.426-79.39-70.075-117.978zM448.77 18.22c-.973-.014-1.966-.01-2.975.01-2.307.042-4.705.175-7.193.397-19.907 1.776-44.9 9.53-72.664 22.795C310.41 67.95 243.78 116.28 180.282 179.777 116.786 243.275 68.35 310.01 41.717 365.647 28.4 393.463 20.594 418.514 18.78 438.462c-1.81 19.948 2.155 34.023 10.974 42.842 8.82 8.818 22.896 12.783 42.844 10.97 19.948-1.812 44.997-9.62 72.814-22.935 47.236-22.612 102.476-60.954 156.942-110.875l-14.186-15.152c-2.085 1.93-4.17 3.864-6.248 5.757-8.912 6.327-17.464 11.443-25.21 15.15-8.84 4.233-16.638 6.57-22.19 7.073-5.55.504-8.082-.607-9.34-1.865-1.258-1.258-2.37-3.79-1.866-9.34.505-5.55 2.842-13.35 7.075-22.192 6.817-14.243 18.406-31.213 33.516-48.138l.108.115c2.182-2.53 4.395-5 6.64-7.412.345-.37.695-.73 1.04-1.097 1.232-1.275 2.48-2.548 3.75-3.816 20.78-20.78 42.63-36.552 60.273-44.98 8.82-4.215 16.598-6.536 22.133-7.03.69-.062 1.336-.1 1.937-.113.6-.014 1.16-.006 1.678.02 3.107.165 4.77 1.027 5.72 1.978 1.268 1.267 2.38 3.8 1.885 9.334-.493 5.534-2.813 13.31-7.027 22.133-3.854 8.065-9.26 17.015-15.96 26.337-.293.32-.596.64-.892.96l15.136 14.182c49.233-53.96 86.992-108.535 109.31-155.25 13.264-27.764 21.02-52.76 22.796-72.667 1.776-19.906-2.207-33.965-11.036-42.793-7.242-7.242-18.002-11.223-32.625-11.44zm-12.286 65.944c7.31-.162 13.042 1.596 16.9 5.453 18.066 18.068-9.964 77.3-65.58 147.06.42-8.303-1.506-16.573-7.406-22.472-4.734-4.733-10.992-6.91-17.57-7.367-2.192-.153-4.42-.114-6.64.084-8.873.792-18.358 3.923-28.528 8.78-20.34 9.718-43.39 26.586-65.43 48.628v.002c-22.044 22.044-38.948 45.126-48.7 65.496-4.874 10.185-8.02 19.683-8.827 28.568-.807 8.886.94 17.925 7.262 24.247 5.734 5.733 13.706 7.7 21.77 7.414-68.26 53.8-125.842 80.59-143.612 62.82C65.44 428.193 126.725 326.7 226.967 226.46c84.577-84.578 170.046-141.423 209.517-142.296zM252.95 225.902c-8.514 8.23-16.85 16.654-25.036 25.29l10.453 11.203c8.565-9.02 17.39-17.43 26.535-25.338l-11.95-11.155zm52.595 49.088c-10.287 8.657-19.75 18.025-28.715 28.615l25.016 26.803-.082.08 14.29 15.262.06-.055 37.995 40.707-73.872 23.692 211.117 81.55-81.552-211.12-22.65 70.634-39.66-37.017.093-.097-15.19-14.234c-.042.04-.084.083-.125.126l-26.725-24.946z"}}]})(props);
};
function GiSupersonicBullet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M52.75 18.77C219.1 90.98 350.8 176.7 426.6 273.5 363.1 354.7 262.1 428.8 135.1 494h40c79.3-43.1 147.9-89.9 202.6-140.5-39.1 50.4-88.1 97.4-144.9 140.5h30.4c80.1-63.9 144.3-136.2 185.4-216.3l2.2-4.2-2.2-4.3C399.4 173.5 315.9 89.89 211 18.77h-33.9C257.6 70.37 325.9 128.8 377 193.4 305.7 128.5 210.5 70.41 98.51 18.77H52.75zm286.85 0C419.5 87.02 464.5 168.5 472.2 250.8c7.7 83.6-22.8 168.6-96.8 243.2h25.8c20.8-22.7 37.9-46.5 51.5-70.9-7.6 24.5-17.1 48.2-28.8 70.9h20.9c72.3-148.7 61.7-336.5-17.8-475.23h-21.6c20 33.13 35.9 69.56 47.3 107.83-20.6-38.1-49.1-74.46-85-107.83h-28.1zM19.29 100.4v18.7c98.91.5 192.11 33.8 275.81 93.3-83.7-43.1-177-67.4-275.81-67.8v18.7c126.31.5 243.11 41.3 341.91 111.2C262 345.4 146.2 389 19.29 389.6v18.6c97.11-.4 187.91-25.2 269.81-67.6-82.1 58.6-172.8 92.6-269.81 93.2v18.7c138.51-.8 264.11-66.9 369.61-172.2l6.7-6.6-6.7-6.7c-104-106.4-248.8-163.9-369.61-166.6zM200.8 236.3v80.3c48.2 0 92-15.6 129-40.8-36.9-25-81.1-39.5-129-39.5zm-164.17.5V316h22.33v-79.2zm41.02 0V316H179.3v-79.2z"}}]})(props);
};
function GiSurfBoard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M432 32c-17.7 0-32 14.33-32 32s14.3 32 32 32 32-14.33 32-32-14.3-32-32-32zM119 75.4c-4.7 2.58-9.2 7.28-13.7 14.42-7.33 11.68-13.71 28.88-18.57 48.38C77 177.1 73 224.8 73 256c0 51.3 7.45 143.4 12.63 193 10.49-5.2 21.27-9.1 31.67-10 .6 0 1.1-.1 1.7-.1zm18 0v364.1c10.8 1.3 22.1 4.1 33.3 7.7C175.2 397.3 183 307 183 256c0-31.2-4-78.9-13.7-117.8-4.9-19.5-11.3-36.7-18.6-48.38-4.5-7.14-9-11.84-13.7-14.42zM320 231c-16 0-27.6 10-37.6 18s-18.5 14-26.4 14c-7.9 0-16.4-6-26.4-14-8.2-6.5-17.4-14.4-29.2-17.1.3 6.8.5 13.3.6 19.3 5.3 2.5 11.1 6.7 17.4 11.8 10 8 21.6 18 37.6 18s27.6-10 37.6-18 18.5-14 26.4-14c7.9 0 16.4 6 26.4 14s21.6 18 37.6 18 27.6-10 37.6-18 18.5-14 26.4-14c7.9 0 23.8 7 36.2 14.7 3.6 2.2 6.9 4.3 9.8 6.3v-21.5c-.1-.1-.2-.1-.3-.2C480.1 240 464 231 448 231c-16 0-27.6 10-37.6 18s-18.5 14-26.4 14c-7.9 0-16.4-6-26.4-14S336 231 320 231zm-264.35.8c-13.16 2.3-26.13 9.6-37.31 16.5-.12.1-.22.1-.34.2V270c2.94-2 6.22-4.1 9.77-6.3 8.74-5.4 19.12-10.4 27.27-13 .1-5.9.28-12.2.61-18.9zM320 311c-16 0-27.6 10-37.6 18s-18.5 14-26.4 14c-7.9 0-16.4-6-26.4-14-8.4-6.8-18-14.9-30.4-17.3-.4 6-.7 12.1-1.1 18.4 6.2 2 12.8 6.9 20.3 12.9 10 8 21.6 18 37.6 18s27.6-10 37.6-18 18.5-14 26.4-14c7.9 0 16.4 6 26.4 14s21.6 18 37.6 18 27.6-10 37.6-18 18.5-14 26.4-14c7.9 0 23.8 7 36.2 14.7 3.6 2.2 6.9 4.3 9.8 6.3v-21.5c-.1-.1-.2-.1-.3-.2C480.1 320 464 311 448 311c-16 0-27.6 10-37.6 18s-18.5 14-26.4 14c-7.9 0-16.4-6-26.4-14S336 311 320 311zm-263.27.6c-13.52 2.2-26.88 9.7-38.35 16.7-.13.1-.25.2-.38.2V350c2.95-2 6.23-4.1 9.8-6.3 9.74-6 21.49-11.6 29.95-13.7-.37-6.2-.71-12.4-1.02-18.4zM21 393v94h7.74c4.74-3.9 15.71-12.5 29.04-21.4 3.41-2.3 6.96-4.6 10.61-6.9-1.88-17.3-4.06-40.3-6.14-65.7zm172.4 0c-1.9 23.1-3.9 43.9-5.6 60.5 7.2 2.8 14.2 5.7 20.9 8.7 25.1 11 44.5 22 49.4 24.8H493v-94zm-70.5 63.8c-1.4 0-2.7.1-4 .2-12.7 1.1-34.15 12.2-51.12 23.5-8.5 5.7-16 11.3-21.38 15.5H237c-9-4.8-21.6-11.1-35.6-17.3-26.1-11.5-57.8-22.1-78.5-21.9zM31.99 496z"}}]})(props);
};
function GiSurprisedSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M206.893 18.176l-27.23 74.533-84.936-28.235 17.134 83.593-86.297 25.768 51.99 54.76-59.252 48.69 93.805 25.314-72.3 67.283 50.978 13.012-22.8 51.867 60.937-37.405-13.543 86.213 100.975-61.183 39.156 75.894 39.135-61.16 77.744 46.284-2.74-93.998 85.386 35.367-31.36-70.043 48.653 1.272-42.88-52.065 63.88-19.67-63.064-36.73 57.404-72.982-70.96-12.328 66.82-100.553-109.022 44.486 13.414-65.402-71.193 58.504-13.135-65.244-41.22 52.388-55.477-68.23zm52.345 90.98h.047c82.104 0 146.59 52.22 146.59 113.3 0 19.404-9.242 30.604-25.768 41.433-16.525 10.827-40.02 19.56-63.863 30.28l-7.377 3.318 26.863 93.87c-8.333 2.637-17.08 4.926-26.1 6.845l-20.482-46.38-2.753 50.406c-8.003 1.085-16.117 1.883-24.26 2.377l-10.55-51.603-12.626 52.178c-8.13-.1-16.204-.517-24.138-1.274l-2.656-49.922-20.033 46.727c-9.805-1.852-19.24-4.285-28.1-7.36l34.276-92.197-6.82-3.953c-19.516-11.314-40.035-21.866-54.97-33.846-14.936-11.98-23.823-24.21-23.823-40.902 0-61.068 64.46-113.278 146.54-113.3zm62.9 55.53c-29.543-.155-56.048 24.43-50.378 65.375 10.284 74.273 136.613 22.558 103.254-32.357-13.756-22.645-33.94-32.915-52.877-33.016zm-140.925.486c-17.51.267-34.493 10.685-42.723 36.69-16.22 51.262 72.746 97.79 95.4 26.2 10.138-32.038-20.812-62.226-50.982-62.884-.565-.013-1.13-.015-1.695-.006zm3.63 21.062c16.585 0 30.23 13.645 30.23 30.23 0 16.587-13.645 30.23-30.23 30.23-16.583 0-30.23-13.643-30.23-30.23 0-16.584 13.646-30.23 30.23-30.23zm0 18.69c-6.484 0-11.54 5.056-11.54 11.54 0 6.488 5.055 11.544 11.54 11.544 6.487 0 11.544-5.056 11.544-11.543 0-6.487-5.057-11.54-11.543-11.54zm139.764 0c6.486 0 11.543 5.054 11.543 11.54 0 6.488-5.057 11.544-11.543 11.544-6.485 0-11.54-5.056-11.54-11.543 0-6.485 5.055-11.54 11.54-11.54zm-70.613 55.105l-22.414 49.923h37.188l-14.774-49.924z"}}]})(props);
};
function GiSurprised (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.75 21.125l46.313 85.97L19.53 77.904l110.595 88.22-95.53 21.906 118.81 32.532-54.218 49.032 89.876-7.22c-1.908-9.424-2.938-19.26-2.938-29.405 0-33.145 10.464-63.34 27.875-85.595 17.41-22.254 42.197-36.688 69.813-36.688.447 0 .898.024 1.343.032L258.25 26.312 234.78 93.72 119.75 21.124zm164.063 108.25c-21.154 0-40.524 10.877-55.094 29.5-14.572 18.623-23.907 44.906-23.907 74.094 0 30.247 10.36 57.38 25.937 76.155l10.125 12.22-15.594 2.936c-44.37 8.354-65.334 25.41-77.5 54.033-11.426 26.885-13.802 65.837-14.06 115.625h46.186v-50.75h18.688v50.75h167.53v-50.75h18.72v50.75h50.53c-.03-50.187-.558-90.043-10.937-117.282-11.042-28.982-31.384-46.105-79.75-53.72l-15.875-2.498 10.032-12.532c14.82-18.577 23.97-45.282 23.97-74.937-.002-29.19-9.337-55.472-23.908-74.095-14.57-18.623-33.94-29.5-55.094-29.5zM251.905 193.5c12.803 0 23.188 17.03 23.188 38.063 0 21.035-10.385 38.093-23.188 38.093-12.802 0-23.187-17.058-23.187-38.094 0-21.035 10.384-38.062 23.186-38.062zm64.406 0c12.803 0 23.188 17.03 23.188 38.063 0 21.035-10.385 38.093-23.188 38.093-12.802 0-23.187-17.058-23.187-38.094 0-21.035 10.385-38.062 23.188-38.062z","fillRule":"evenodd"}}]})(props);
};
function GiSurroundedEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.346 18.877c-19.536.195-39.364 2.83-59.108 8.12C66.88 60.852-8.105 190.73 25.752 317.086c33.09 123.493 157.892 197.898 281.49 169.604-11.01-2.66-21.492-6.692-31.254-11.903-59.243 4.118-116.364-17.684-157.722-57.52l89.226-30.038-116.346-2.033c-9.852-14.41-17.99-30.27-24.054-47.36l138.064-4.85-148.19-36.716c-2.512-18.358-2.487-36.612-.18-54.366l164.66 47.21-153.97-91.075c7.012-19.295 16.845-37.454 29.155-53.843l154.395 108.356L132.96 106.785c18.577-14.824 39.982-26.635 63.677-34.49l95.49 158.21L247.06 62.22c4.312-.314 8.61-.492 12.895-.534 21.16-.212 41.92 2.86 61.656 8.837l29.372 152.756 16.305-132.65c21.806 12.92 41.258 29.83 57.164 50.042l-17.634 102.236 38.36-70.15c6.86 13.168 12.408 27.278 16.41 42.215 8.77 32.73 9.173 65.732 2.52 96.734 4.368 12.062 7.048 24.927 7.742 38.31 20.578-47.373 25.888-101.77 11.482-155.535C454.763 87.868 357.838 17.825 252.346 18.877zm88.484 223.426c3.214 1.914 6.224 4.218 8.955 6.95 12.214 12.213 16.07 29.897 13.256 47.35-2.814 17.45-12.047 35.214-26.825 49.993-14.78 14.78-32.543 24.01-49.994 26.826-17.45 2.814-35.133-1.044-47.347-13.258-6.858-6.858-11.08-15.44-12.967-24.736-1.324 6.987-2.025 14.2-2.025 21.578 0 63.473 51.256 114.728 114.73 114.728 63.473 0 114.73-51.255 114.73-114.728 0-62.73-50.067-113.524-112.51-114.703zm-28.34 11.478c-2.28.05-4.643.268-7.08.66-12.997 2.098-27.555 9.392-39.756 21.593-12.2 12.2-19.495 26.758-21.59 39.756-2.098 12.997.75 23.89 8.022 31.16 7.27 7.272 18.163 10.12 31.16 8.025 12.998-2.097 27.557-9.39 39.758-21.592 12.2-12.2 19.493-26.76 21.59-39.758 2.096-12.998-.75-23.89-8.022-31.16-5.453-5.454-12.944-8.418-21.832-8.676-.74-.022-1.49-.025-2.25-.01zm-13.808 20.35c4.61-.08 8.81 1.342 11.857 4.388 7.496 7.497 5.16 21.99-5.222 32.37-10.38 10.382-24.875 12.72-32.373 5.223-7.497-7.496-5.16-21.99 5.22-32.372 6.165-6.164 13.78-9.492 20.517-9.61z"}}]})(props);
};
function GiSurroundedShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M265.496 21.607l6.318 111.87 26.352-39.502 35.848-72.368h-68.518zm89.373 0l-47.47 95.83-6.834 19.184 48.793-30.65-.024-.03L452.98 21.608h-98.11zm123.915 0l1.516 1.864-87.152 70.915-78.554 70.47 69.467-19.244 109.727-42.077V21.607h-15.002zm-345.55.586c-1.197.04-2.08.143-2.643.143-37.722 0-66.125 37.65-66.125 81.605 0 17.037 4.316 32.848 11.64 46.023-12.274 4.675-22.294 12.76-29.855 22.896-10.174 13.64-16.37 30.73-20.426 49.288-8.11 37.118-7.623 80.647-7.623 115.81v9.343h39.713l9.672 146.626h122.148l7.174-96.196c-6.056-5.153-11.91-10.453-17.555-15.894l-6.964 93.402H85.085l-9.672-146.625H36.92c.017-33.33.38-71.425 7.164-102.476 3.706-16.962 9.328-31.62 17.148-42.104 7.82-10.484 17.386-17.03 31.254-19.18l15.926-2.466L98.36 149.79c-9.08-11.376-15.204-27.674-15.204-45.85 0-36.015 22.562-62.915 47.436-62.915 2.79 0 4.426-.112 4.617-.086l.1.013c22.578 2.953 42.72 29.22 42.72 62.988 0 18.513-6.364 34.904-15.757 46.33l26.434-7.823c5.084-11.485 8.01-24.554 8.01-38.506 0-41.176-24.445-77-58.985-81.516l-.002-.002-1.248-.086h.48c-1.46-.156-2.713-.177-3.728-.143zm3.726.143c.255.027.503.05.77.086l-.044-.008-.6-.078h-.125zM493.788 123.55l-104.22 39.964-70.083 37.465 98.082 5.493 76.22-10.008V123.55zm-199.172 30.706l-92.94 3.842L93.497 190.12c18.687 86.98 67.757 162.757 146.287 216.802 51.176-99.324 68.713-165.12 54.83-252.666zm199.172 61.058l-77.953 10.235-102.865 33.944 96.708 34.318 84.11 11.043v-89.54zm-77.25 98.25l-112.437.272 104.63 68.035.034-.073 85.023 38.396v-96.49l-77.25-10.14zm-118.926 55.54l54.347 62.43L427.02 493.8h66.767v-53.1l-92.715-41.87.055-.12-103.516-29.606zm-25.63 39.503l12.563 27.676 44.113 57.518h69.092l-61.703-51.185-64.065-34.008zM249.363 428.4l-3.234 65.4h58.974l-36.637-47.77-19.104-17.63z"}}]})(props);
};
function GiSushis (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M206 44.27c-1.9 0-3.8 0-5.7.1-9.1.28-18 1.12-26.7 2.63-12.9 21.86-10.3 52.93-.8 78.4 24.7 3.1 51.8 6.5 78.2 11-3.8-15-6.2-30.4-3.7-45.87 2.2-13.73 8.7-27.19 20.7-39.3-18.9-4.27-40.6-7.08-62-6.96zm-54.8 8.35c-27.5 9.37-48.4 27.34-56.4 59.98 2.88 1.1 7.8 2.5 14.1 3.8 11.1 2.2 26.5 4.3 43.9 6.5-6.9-22.4-9.3-47.69-1.6-70.28zm137.7 4.14c-15.5 11.8-21.7 23.68-23.8 36.67-2.3 13.87.9 29.77 5.5 46.57 9.4 1.9 18.5 3.9 27.2 6.2 16.5 4.2 31.8 9.5 45.6 15.2 1.2-11.6 2.9-24.3 10.1-36.4 6.3-10.5 16.7-19.8 33.1-26.97-26.1-16.99-56.3-30.47-97.7-41.27zm115.4 53.84c-20.6 6.6-30.1 14.8-35.4 23.7-5.7 9.5-6.8 21.2-8.3 34.5 5.6 2.6 10.9 5.3 15.8 7.8 20.6 10.7 34.3 20.1 40.3 25.3h-.1c23 19.6 38 16.7 48.8 8.7 10-7.5 14.8-22.2 13.7-29.6-27.2-28-49.6-51.2-74.8-70.4zm-289.7 25.1c0 4.1.2 8.2.7 12 .9 6.9 2.7 12.8 5.7 17.3 3 4.4 7.1 7.8 14.3 10 5.1 1.6 10.3 3.2 15.4 4.7 14.3-2 28.9-2.8 43.2-2.7 31.8.2 62.2 5.2 85.4 12.3 35.8 9.2 63.9 22.8 87.9 39.2 17.8.5 34.7-.7 50.4-3.9-4.2-2.5-8.4-5.5-12.6-9.1h-.1c-3.5-3-17.2-12.7-36.8-22.9-19.6-10.3-45.5-21.4-74.9-29-40-10.4-91.9-16.4-134.1-21.7-16.8-2.1-31.9-4.1-44.5-6.2zm79.2 59.4c-8.9 0-17.8.3-26.6 1-16.9 26.7-26 53-6 95.2 27 3.5 55.4 7.7 81.6 13.3-3.6-18.5-1.4-36.2 5.4-52.4 6.7-16 17.7-30.6 31.5-44.2-1.7-.5-3.4-1-5.1-1.4h-.2l-.2-.1c-21.2-6.5-50.2-11.1-80.4-11.4zm-49 3.8c-1.7.3-3.5.7-5.2 1-23.3 4.6-44.62 12.9-61 25.6-15.25 11.8-26.25 27.2-31.39 48 .14 0 .1 0 .24.1 3.12 1.3 8.6 2.8 15.53 4.2 13.85 2.8 33.67 5.4 56.22 8.2 6.8.8 14 1.7 21.2 2.6-13.7-35.9-8-65 4.4-89.7zm154.7 15.2c-16.2 14.6-28.2 29.6-34.7 45.1-6.5 15.6-7.8 31.5-2.4 49.9 1 .2 2 .5 2.9.7 29.4 7.7 52.5 16.4 70 24.7 1.3-12.1 5.1-25.5 15.1-36.6 9.7-10.8 24.6-18.8 46.3-22.1-2.5-2.3-5-4.7-7.6-7-25-22.5-52.1-41.4-89.6-54.7zm114 78.2c-27.3 1.1-41.6 8.7-49.7 17.6-8.4 9.4-10.8 21.7-11.1 33.7 11.6 6.6 19.4 12.3 23.9 16.2 24.5 21 53.2 24.2 74.6 19.5 10.7-2.4 19.4-6.9 24.4-11.3 3.7-3.4 5-5.9 5.1-8-25.6-23.5-46.5-46.6-67.2-67.7zm-342.03 5.3c.51 3.4 1.18 6.7 2.07 9.9 3.9 14 10.51 24.2 26.86 29.2 72.1 22.2 141.5 46.3 202.7 56 34.7 5.5 66.5 6.5 94.9.2-11.3-4.1-22.6-10.4-33.2-19.5-8.7-7.5-40.5-29.7-104.1-46.2-42.9-11.2-98.5-17.7-143.8-23.3-16.92-2.2-32.42-4.2-45.43-6.3zm-6.3 68.3c-14.86.6-29.25 14.4-33.92 23 10.71 6.2 40.81 10 53.64-13.7-5.72-6.6-12.11-9.2-18.45-9.3zm35.53 23.9c-19.9.7-26.61 44-15.54 52.1 11.38 1.4 33.74-41.7 19.54-51.7-1-.3-2.1-.4-3.1-.4zm86.3 11.3c-3.7 0-6.9 1-9.1 3.4-8.4 22.1 38.9 36.5 48.9 25.8 2.3-9-23.7-28.9-39.8-29.2zm74.3 37.6c-16-.2-40.6 7.7-40 20.2 9.5 21.6 53.3-1.5 52.8-16.1-1.6-2.7-6.5-4-12.8-4.1z"}}]})(props);
};
function GiSuspensionBridge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112 34v460h30V34zm48 45.77v23.13c7.6 6 15.3 11.7 23 17.2V311h18V132.5a548.9 548.9 0 0 0 46.1 27.5h-.1v151h18V169.1c15.2 7.4 30.5 14 46 19.6V311h18V194.9c15.2 4.9 30.6 8.9 46 12.1v104h18V210.3c15.3 2.4 30.6 4.1 46 4.8V311h18v-95.4c12.3.1 24.7-.5 37-1.5v-17.4c-114.8 10.7-229.1-30.4-334-116.93zm-66 3.87C73.99 127 47.66 165.3 18 197.7v26.2C30.91 211 43.32 197 55 182v129h18V157.3c7.4-10.9 14.42-22.2 21-34zM18 329v30h76v-30zm142 0v30h334v-30z"}}]})(props);
};
function GiSuspicious (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.422 18.346c-111.086 0-204.14 76.375-229.615 179.533-11.867 70.7 11.228 143.745 60.048 194.24-5.034 28.402-5.687 61.755-5.687 100.54h18.687c0-57.013 2.106-100.723 14.88-130.744 12.776-30.02 34.883-47.983 81.394-56.728l15.61-2.934-10.148-12.22c-16.364-19.7-27.22-48.142-27.22-79.84 0-30.586 9.785-58.117 25.093-77.66 15.308-19.54 35.707-30.99 57.99-30.99s42.683 11.45 57.99 30.99c15.308 19.543 25.094 47.074 25.094 77.66 0 31.072-9.61 59.05-25.186 78.55l-10.036 12.565 15.885 2.497c50.69 7.97 72.17 25.994 83.77 56.398 11.598 30.404 11.513 75.137 11.513 132.455h18.69c0-30.09.238-57.06-1.506-81.117 36.888-41.708 59.28-96.54 59.28-156.668 0-130.742-105.786-236.53-236.528-236.53zm8.2 43.45c30.12.1 60.5 7.25 88.24 21.995 99.02 52.642 132.557 179.59 80.525 276.79-1.816 3.392-3.722 6.703-5.698 9.95-1.455-5.895-3.186-11.558-5.256-16.985-.896-2.347-1.872-4.636-2.913-6.877 43.444-87.576 12.394-199.683-75.432-246.373-24.95-13.264-52.307-19.685-79.436-19.775-59.683-.2-118.266 30.23-147.71 85.798-25.907 48.89-22.56 108.01 5.224 152.838-4.82 4.473-9.11 9.337-12.906 14.582-34-50.89-38.835-119.552-8.834-176.17 32.91-62.107 97.928-95.992 164.195-95.77zm86.657 98.9c37.642 37.22 50.227 94.933 32.638 145.548-5.115-3.25-10.7-6.19-16.773-8.81 10.177-31.69 6.895-66.347-8.112-95-.702-14.7-3.382-28.753-7.754-41.74zM158.92 173.642c-2.762 11.597-4.24 23.864-4.24 36.55 0 7.46.533 14.768 1.543 21.875-1.932 21.073 3.05 42.43 14.21 60.077-6.35 1.94-12.302 4.153-17.867 6.638-19.113-32.745-21.045-74.92-2.818-110.215 2.726-5.28 5.8-10.255 9.172-14.925zm60.45 29.34c-15.794.205-19.24 4.585-24.546 8.15 12.483 11.99 36.9 10.832 47.748 0-4.992-4.043-10.37-8.317-23.203-8.15zm74.69.177c-15.794.205-19.24 4.586-24.546 8.15 12.483 11.992 36.9 10.833 47.748 0-4.992-4.042-10.37-8.317-23.203-8.15z"}}]})(props);
};
function GiSverdIFjell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M381.213 45.39s-7.035-6.724-10.883-5.44c-5.32 1.773-7.523 15.05-7.523 15.05h-12.502v18h31v70h-47v-7.8c-6.26 0-11.336 7.521-11.336 16.8s5.075 16.8 11.336 16.8V161H446.307v7.8c6.26 0 11.336-7.521 11.336-16.8s-5.076-16.8-11.336-16.8v7.8h-47V73h31V55h-12.5s-2.203-13.277-7.524-15.05c-3.912-1.305-11.066 5.532-11.066 5.532.124-16.71-18.65-16.624-18.004-.091zM86.357 75v29h15v79h-47v18h112v-18h-47v-79h15V75zm131.807 44.844l-7.613 16.312c8.742 4.08 17.728 6.685 26.806 7.739v75.38c-16.414 1.22-32.55 5.436-47.025 12.674l6.5 13c15.761-6.703 33.143-10.054 50.525-10.054 17.383 0 34.765 3.351 50.526 10.054l6.5-13c-15.064-7.531-31.924-11.798-49.026-12.812v-75.203c9.012-1.014 18.017-3.589 26.872-7.809l-7.743-16.25c-19.405 9.248-37.232 8.88-56.322-.031zM350.304 179v25.455c.17-.049.34-.074.51-.076 2.522-.002 4.567 5.03 4.567 11.236 0 6.208-2.045 11.24-4.567 11.238a1.943 1.943 0 0 1-.51-.084v87.684c3.006 3.772 6.068 25.665 6.07 39.27-.002 13.603-3.065 15.627-6.07 19.398V494h30.999v-99.514c-2.47-2.51-4.147-9.8-4.15-18.037 0-8.243 1.678-15.54 4.15-18.053V179zm48.999 0v315h26.654a20.977 20.977 0 0 1-.344-3.771c.004-4.976 1.75-9.645 4.692-12.543v-33.75c-3.25-2.979-5.395-10.4-5.395-18.674.004-8.266 2.148-15.676 5.395-18.65v-173.01c-4.07-2.375-6.794-8.737-6.8-15.88.007-7.14 2.73-13.5 6.8-15.874V179zM74.357 219v72.797C77.873 296.21 80 303.823 80 312c-.005 8.167-2.13 15.768-5.643 20.176V494h72v-77.834c-3.191-2.504-3.695-11.347-3.7-16.649.002-5.305.507-6.207 3.7-8.712V219zm173 34.107c-11.244 0-22.483 1.571-33 4.692v218.433c.069-.022.137-.038.205-.05 2.523.005 4.83 6.9 5.961 17.818h57.834v-74.15c-2.91-1.552-6.355-26.99-6.357-45.607.002-18.615 3.447-24.186 6.357-25.737v-52.262c-4.158-.899-7.253-6.38-7.257-12.853.005-6.473 3.1-11.953 7.257-12.852v-13.316c-9.935-2.74-20.466-4.116-31-4.116z"}}]})(props);
};
function GiSwallow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96.18 22.49C264.6 98.36 403.1 214.8 40.11 270.5 153 268 191.6 291.1 64.12 382.6c230.18-128 331.68-189 318.98 106.9 30.5-54.4 114.6-241 36.4-268.3 6.2-7.4 15.5-19.4 22.1-31.9 13.1-5.7 22.6-13.6 30.3-23.7-8.7-2-16-2.5-22.8-2.3-.2-2.8-.8-5.5-2.1-7.9-8.7-16.5-48.1-13.7-62.4-12.1 4.7-81-226.8-117.09-288.42-120.81z"}}]})(props);
};
function GiSwallower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-41.6 0-82.7 15.32-104.4 43.96-21.9 43.14-53.71 90.84-79.96 135.54C45.2 249.5 25 292 25 320c0 61.8 22.3 102 61.99 128.5 8.64 5.8 18.11 10.8 28.51 15.3-15.2-17.7-28.93-43-39.77-68.3C63.44 366.9 55 339 55 320c0-12.5 7.22-24.6 17.14-38.7 9.92-14.1 23.19-29.4 37.46-43.7 14.3-14.3 29.6-27.5 43.7-37.5 11.2-7.9 21.1-14 31-16.2-.8-2.5-1.3-5.1-1.3-7.9 0-9.7 5.7-18.2 13.9-22.3-3.1-2.2-6-4.5-8.8-6.9-15-12.9-27.6-29.7-36.2-46.8l16.2-8.03c7.4 14.93 18.8 30.13 31.8 41.23 12.9 11 27.1 17.8 40.1 17.8v18c-2.8 0-5.5-.2-8.2-.6.8 2.4 1.2 5 1.2 7.6 0 9.3-5.3 17.6-13 21.9 13.1 6.2 24.7 9.1 36 9.1s22.9-2.9 36-9.1c-7.7-4.3-13-12.6-13-21.9 0-2.6.4-5.2 1.2-7.6-2.7.4-5.4.6-8.2.6v-18c13 0 27.2-6.8 40.1-17.8 13-11.1 24.4-26.3 31.8-41.23l16.2 8.03c-8.6 17.1-21.2 33.9-36.2 46.8-2.8 2.4-5.7 4.7-8.8 6.9 8.2 4.1 13.9 12.6 13.9 22.3 0 2.8-.5 5.4-1.3 7.9 9.9 2.2 19.8 8.3 31 16.2 14.1 10 29.4 23.2 43.7 37.5 14.3 14.3 27.5 29.6 37.5 43.7 9.9 14.1 17.1 26.2 17.1 38.7 0 19-8.4 46.9-20.7 75.5-10.9 25.3-24.6 50.6-39.8 68.3 10.4-4.5 19.9-9.5 28.5-15.3 39.7-26.5 62-66.7 62-128.5 0-28-20.3-70.4-46.7-115.4-26.3-44.8-58.1-92.4-79.9-135.66C338.6 40.32 297.6 25 256 25zm-66 176.4c-4.7 1-15 5.5-26.3 13.5-12.9 9-27.6 21.8-41.3 35.5-13.7 13.7-26.46 28.4-35.54 41.3C77.78 304.6 73 316.5 73 320c0 7.6 2.6 20.4 7.09 35.2L195.3 240l28.7 71.8 32-80 32 80 28.7-71.8 115.2 115.1c4.5-14.7 7.1-27.5 7.1-35.1 0-3.5-4.8-15.4-13.9-28.3-9-12.9-21.8-27.6-35.5-41.3-13.7-13.7-28.4-26.5-41.3-35.5-11.3-8-21.6-12.5-26.3-13.5-23.6 15.3-44.5 23.6-66 23.6s-42.4-8.3-66-23.6zm121.8 190.3c-5.5 0-11.9 2.3-19.6 5.9-10.3 4.7-22.1 11.4-36.2 11.4-14.1 0-25.9-6.7-36.2-11.4-7.7-3.6-14.1-5.9-19.6-5.9-1.9 0-3.6.2-5.3.8-11.6 3.9-27.9 22.4-39.5 40.4-4.4 6.8-8.2 13.5-11.2 19.1 71.4-11.9 152.2-11.9 223.6 0-3-5.6-6.8-12.3-11.2-19.1-11.6-18-27.9-36.5-39.5-40.4-1.7-.6-3.4-.8-5.3-.8zM256 461c-41 0-81.9 3.5-119.4 10.5C170.1 482 210.4 487 256 487c45.6 0 85.9-5 119.4-15.5-37.5-7-78.4-10.5-119.4-10.5z"}}]})(props);
};
function GiSwampBat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M176 24l19.3 19.29c-12.5 21.02-16.3 37.88-12 53.21 4.6 15.8 16.2 27.8 30.4 42 3.4-5.7 6.6-10.9 9.7-16-12.1-12.4-20.2-21.9-22.7-30.97-2.7-9.18-1.2-19.86 8.9-37.14L240 24zm96 0l30.4 30.39c10.1 17.28 11.6 27.96 8.9 37.14-2.5 9.07-10.6 18.57-22.7 30.97 3.1 5.1 6.3 10.3 9.7 16 14.2-14.2 25.8-26.2 30.4-42 4.3-15.33.5-32.19-12-53.21L336 24zM125.5 88.62C72.88 142.2 44.69 210.9 42.36 271.7c-2.35 60.9 20 112.6 68.94 136.2-20-51.3-19.07-97.3 8.8-148.2l15.8 8.6c-21.1 38.6-25.7 71-16.5 107.4.5-12.2 1.7-23.5 4.7-34 6.6-23.4 23.7-42.2 57.6-54 6.7 15.8 15.9 28.2 34.8 40.9l12.7-50.1h53.3l12.8 50.2c19.1-12.8 28.3-25.1 35-41 33.9 11.8 51 30.6 57.6 54 3 10.5 4.2 21.8 4.7 34 9.2-36.4 4.6-68.8-16.5-107.4l15.8-8.6c27.8 50.9 28.8 96.9 8.8 148.2 48.9-23.6 71.3-75.3 68.9-136.2-2.3-60.8-30.5-129.5-83.1-183.08 9.4 46.98 11 83.58 2.6 110.48-5.1 16-14.2 28.8-27.2 36.6-13 7.8-29.3 10.5-48.3 9l1.4-18c3.9.3 7.5.4 10.9.3-21-43.4-43.2-81-69.9-122.4-26.6 42.7-49.2 78.1-69.9 122.4 3.4.1 7 0 10.9-.3l1.4 18c-19 1.5-35.3-1.2-48.3-9s-22.1-20.6-27.2-36.6c-8.4-26.9-6.8-63.5 2.6-110.48zM243.2 296.5l-15 54.2c-13.4 9.7-22.3 26.2-22.3 45.4v.7c-39.9 8.9-50.2 54.9-36.4 79.7 5.7 10.5 28.3-30.3 56.8-36.4 8.3 6.6 18.6 10.5 29.6 10.5s21.3-3.9 29.6-10.6c28.7 6.1 51.4 47 57.1 36.5 13.7-24.9 3.4-71-36.7-79.8v-.6c0-19.2-8.9-35.7-22.3-45.4l-15.1-54.2zM240 368l16 22 16-22 16 32h-64z"}}]})(props);
};
function GiSwamp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M199.188 19.97a9.5 9.5 0 0 0-8.407 4.843c-3.687 6.318-7.287 12.708-10.843 19.156-6.34-1.118-12.595-.258-16.406 3.53-24.12 23.98-59.702 101.133-45.31 111.688 1.968 1.444 4.086 2.64 6.31 3.656-16.64 42.836-30.184 86.292-40.124 128.562-1.928-65.01-14.337-127.164-62.22-162.937 44.087 58.265 48.88 155.865 41.877 236.405-11.69.81-23.34 1.66-34.97 2.53l1.407 18.94c10.527-.79 21.09-1.545 31.656-2.283-5.404 47.895-14.473 87.508-20.718 105.47l28.28-7.782 19.844 3.906c3.195-33.745 7.683-68.574 16.47-104.437 104.756-6.35 212.06-8.943 325.124-.814 9.21 20.087 7.668 38.25 2.563 64.156-.69-30.596-32.682-59.164-127.25-57.718-37.285.583-99.973 24.92-93.345 61.594 10.04 55.48 93.935 63.74 164.875 37.75l-32.78-43.72 76.467 37.75c7.045-10.18 11.56-21.598 12-32.843 14.556 1.83 29.126 3.61 43.625 5.875 20.6-36.8 25.25-154.36-88-314.47 39.61 88.105 71.88 190.382 63.157 224.22-2.253-.186-4.504-.385-6.75-.563-28.424-38.034-94.285-80.812-127.814-97.562C370.742 309.23 401.776 337.56 419 360.53c-38.743-2.512-76.81-3.813-114.313-4.155-66.03-.6-130.31 1.732-193.5 5.47 14.246-49.464 37.544-100.834 77.75-153.97-51.342 38.358-77.508 85.502-95.406 134.72 9.764-55.987 26.784-116.065 49.69-174.908 1.743.234 3.47.45 5.186.625 23.065 2.38 49.024-68.143 52.688-105.343.375-3.812-1.312-7.414-4.188-10.44 3.37-6.11 6.79-12.172 10.28-18.155a9.5 9.5 0 0 0-8-14.406z"}}]})(props);
};
function GiSwanBreeze (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M117.848 64.37c-4.216-.027-8.49.18-12.8.634-55.17 5.8-95.806 49.862-90.71 98.35.106 1.01.203 2.193.334 3.183.927-1.65 1.642-3.144 2.717-4.79 25.247-38.602 83.043-59.15 129.063-45.745 46.02 13.403 62.854 55.91 37.608 94.516-2.82 4.32-6.102 8.118-9.68 11.962 26.987-18.47 43.175-48.472 39.847-80.138-4.7-44.703-46.632-77.64-96.38-77.97zm375.004 33.525c-42.71 89.996-101.97 173.25-167.03 230.687-44.41 39.21-113.416 70.452-164.107 39.715-30.767-18.66-42.313-70.813-15.77-116.22-53.058 22.698-93.682 100.59-64.242 161.773 45.65 94.867 165.072 93.635 286.17 42.048 55.41-23.603 89.392-40.718 124.98-65.41v-33.066c-61.925 43.79-116.094 73.34-196.953 96.22 78.083-36.174 130.285-70.63 196.952-124.476V274.81c-67.75 72.44-145.933 116.294-223.89 154.854 80.25-47.795 155.855-110.53 223.89-186.113v-44.224c-42.886 57.34-97.62 102.83-150.82 149.85 54.818-60.357 107.696-122.268 150.82-191.983V97.895z"}}]})(props);
};
function GiSwan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M372.67 44.934c-50.275.005-92.476 43.57-38.934 163.87 29.137 16.804 41.594 46.767 33.48 74.848-9.168 31.735-42.353 59.517-96.597 68.084-45.02 7.11-88.46 2.42-122.915-22.218-14.895-10.65-27.867-24.905-38.502-43.088-26.314-8.87-48.678-17.086-61.224-23.25-.197 10.192 1.916 21.786 6.594 33.963l-35.842-4.432L70.87 332.49 43.92 344.385l53.35 11.676c10.984 9.717 23.94 18.99 39.07 27.38l-.002.007c26.098 14.475 195.407 11.62 218.51.578 67.333-32.17 71.596-90.7 28.552-167.472-57.378-102.34-31.747-134.085 3.034-133.07.93 10.53 6.27 21.943 15.593 31.288 5.74 5.757 12.266 9.993 18.886 12.623 19.37 11.416 38.896 19.675 62.072 20.81 5.712.08 9.144-9.696 3.487-10.238-11.602-2.262-21.402-8.37-29.352-15.912 11.712-12.976 7.85-36.605-8.994-53.49-11.038-11.06-24.963-16.53-36.898-15.692-12.41-5.107-25.747-7.938-38.562-7.936zm56.598 37.433c6.16 0 10.95 4.793 10.95 10.953 0 6.157-4.79 10.95-10.95 10.95-6.16 0-10.954-4.793-10.954-10.95 0-6.156 4.795-10.953 10.954-10.953zm-208.653 118.95c-6.108.034-12.128.27-18.18.607-29.242 1.63-59.597 5.87-101.03 1.365 28.59 40.045 73.354 51.978 116.91 49.04-32.74 15.03-75.678 8.755-108.41-10.848.475 1.48.96 2.94 1.454 4.38 17.087 33.357 62.417 42.17 88.845 42.066-16.554 11.997-42.21 12.406-65.994 2.386 7.334 9.737 15.51 17.67 24.366 24.002 29.323 20.968 67.166 25.59 109.127 18.96 49.298-7.785 74.954-31.945 81.56-54.81 6.607-22.867-3.598-45.977-34.556-58.134-36.452-14.313-63.225-18.523-87.95-18.975-2.06-.037-4.106-.05-6.142-.04zM64.14 378.278c-29.424 5.99-46.933 13.47-46.933 21.588 0 19.668 102.56 35.612 229.072 35.612s229.072-15.944 229.072-35.612c0-8.098-17.424-15.562-46.72-21.545 12.117 3.613 18.923 7.643 18.923 11.895 0 15.515-90.098 28.092-201.24 28.092-111.14 0-201.24-12.577-201.24-28.092 0-4.27 6.858-8.314 19.064-11.938z"}}]})(props);
};
function GiSwapBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M363.783 23.545c-9.782.057-16.583 3.047-20.744 10.22-17.51 30.18-38.432 61.645-48.552 97.245 2.836.83 5.635 1.787 8.373 2.853 7.353 2.863 14.38 6.482 20.542 10.858 27.534-25.542 58.165-45.21 87.45-65.462 11.356-7.854 12.273-13.584 10.183-20.83-2.09-7.246-9.868-16.365-20.525-23.176-10.658-6.81-23.87-11.33-34.73-11.68-.68-.022-1.345-.03-1.997-.027zm-68.998.746c-10.02-.182-17.792 6.393-23.924 20.24-8.94 20.194-10.212 53.436-1.446 83.185.156-.008.31-.023.467-.03 1.99-.087 3.99-.072 6 .03 9.436-34.822 27.966-64.72 44.013-91.528-10.31-8.496-18.874-11.782-25.108-11.896zM197.5 82.5L187 97.97c14.82 10.04 29.056 19.725 39.813 31.374 3.916 4.24 7.37 8.722 10.31 13.607 3.77-4.73 8.51-8.378 13.69-10.792.407-.188.82-.355 1.228-.53-3.423-5.44-7.304-10.418-11.51-14.972C227.765 102.83 212.29 92.52 197.5 82.5zm223.77 12.27c-29.255 20.228-58.575 39.152-84.348 62.78.438.576.848 1.168 1.258 1.76 20.68-6.75 49.486-15.333 73.916-19.41 11.484-1.916 15.66-6.552 17.574-13.228 1.914-6.676.447-16.71-5.316-26.983-.924-1.647-1.96-3.29-3.083-4.92zm-223.938 47.87c-14.95.2-29.732 4.3-43.957 12.766l9.563 16.03c21.657-12.89 42.626-14.133 65.232-4.563.52-5.592 1.765-10.66 3.728-15.21.35-.806.73-1.586 1.123-2.354-11.87-4.52-23.83-6.827-35.688-6.67zm75.8 3.934c-5.578-.083-10.597.742-14.427 2.526-4.377 2.038-7.466 4.914-9.648 9.97-.884 2.047-1.572 4.54-1.985 7.494.456-.007.91-.03 1.365-.033 16.053-.084 32.587 2.77 49.313 9.19 7.714 2.96 15.062 7.453 22.047 13.184 3.217-2.445 4.99-4.72 5.773-6.535 1.21-2.798 1.095-5.184-.634-8.82-3.46-7.275-15.207-16.955-28.856-22.27-6.824-2.658-13.98-4.224-20.523-4.614-.818-.05-1.627-.08-2.424-.092zm-24.757 38.457c-22.982.075-44.722 7.386-65 19.782-32.445 19.835-60.565 53.124-80.344 90.032-19.777 36.908-31.133 77.41-31.186 110.53-.053 33.06 10.26 57.27 32.812 67.782.043.02.082.043.125.063h.032c24.872 11.51 65.616 19.337 108.407 20.092 42.79.756 87.79-5.457 121.874-20.187 21.96-9.49 34.545-28.452 40.5-54.156 5.954-25.705 4.518-57.657-2.375-89.314-6.894-31.657-19.2-63.06-34.095-87.875-14.894-24.814-32.614-42.664-48.063-48.593-14.664-5.627-28.898-8.2-42.687-8.156z"}}]})(props);
};
function GiSwimfins (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112 21.649C101.8 55.94 57.308 80.033 23.016 69.833c14.999 85.064 57 239.334 102.1 327.267-6.277-17.36-10.993-35.162-13.682-50.414-1.91-10.833 1.815-22.415 10.293-31.465 8.477-9.05 21.486-15.772 38.72-18.81 17.234-3.04 31.76-1.173 42.82 4.431 11.062 5.605 18.524 15.214 20.434 26.047 2.69 15.252 4.347 33.595 4.387 52.055 12.304-98.055-.991-257.387-15.99-342.451C183.362 57.806 133.314 50.384 112 21.649zm288 36.213c-21.314 28.735-71.362 36.157-100.098 14.844-14.999 85.064-28.294 244.396-15.99 342.45.04-18.459 1.698-36.8 4.387-52.052 1.91-10.833 9.372-20.442 20.433-26.047 11.062-5.604 25.587-7.472 42.82-4.433 17.235 3.038 30.244 9.76 38.721 18.81 8.478 9.05 12.204 20.632 10.293 31.465-2.689 15.252-7.405 33.056-13.681 50.416 45.098-87.933 87.1-242.203 102.1-327.268-34.293 10.2-78.785-13.893-88.985-48.185zm-270.8 9.494s8.996 50.982 21.85 101.053c6.428 25.035 13.865 49.868 21.34 67.484 3.738 8.808 7.57 15.818 10.686 19.764 2.27 2.843 3.946 5.378 6.2.408 1.542-3 3.051-8.342 3.95-15.15 1.8-13.617 1.453-32.969-.199-53.674-3.302-41.412-11.582-88.48-15.75-112.116L195.004 72c4.167 23.636 12.56 71.11 15.965 113.811 1.702 21.35 2.219 41.45.103 57.463-1.057 8.007-2.702 15.023-5.79 21.027-3.09 6.005-8.488 11.485-15.75 12.766-4.37.77-8.787-.456-12.141-2.465-3.355-2.009-5.994-4.693-8.44-7.789-4.89-6.192-9.05-14.274-13.13-23.889-3.21-7.564-6.284-16.249-9.272-25.34.301 9.565.384 18.777-.045 26.983-.546 10.43-1.692 19.448-4.17 26.94-1.239 3.745-2.8 7.17-5.266 10.204-2.465 3.035-6.194 5.699-10.564 6.47-7.263 1.28-14.212-2.024-19.168-6.61-4.956-4.586-8.9-10.617-12.633-17.78-7.465-14.324-13.854-33.385-19.557-54.03-11.404-41.292-19.756-88.774-23.923-112.409l17.726-3.125c4.168 23.635 12.487 70.697 23.547 110.74 5.53 20.022 11.82 38.324 18.168 50.504 3.174 6.09 6.419 10.596 8.895 12.887 2.98 2.726 4.12 2.616 5.687-2.504 1.579-4.774 2.781-12.672 3.281-22.227 1-19.11-.504-44.99-3.027-70.714-5.046-51.448-14.027-102.43-14.027-102.43zm253.6 36.215l17.727 3.125s-8.981 50.983-14.027 102.431c-2.523 25.724-4.027 51.605-3.027 70.715.5 9.555 1.702 17.45 3.28 22.225 1.568 5.12 2.708 5.23 5.688 2.504 2.476-2.29 5.721-6.795 8.895-12.885 6.347-12.18 12.638-30.484 18.168-50.506 11.06-40.043 19.38-87.103 23.547-110.738l17.726 3.125c-4.167 23.635-12.519 71.115-23.923 112.406-5.703 20.646-12.092 39.709-19.557 54.033-3.733 7.162-7.677 13.194-12.633 17.78-4.956 4.586-11.905 7.888-19.168 6.607-4.37-.77-8.1-3.432-10.564-6.467-2.465-3.035-4.027-6.459-5.266-10.205-2.478-7.492-3.624-16.51-4.17-26.94-.43-8.205-.346-17.417-.045-26.982-2.988 9.091-6.061 17.776-9.271 25.34-4.08 9.615-8.24 17.696-13.131 23.889-2.445 3.096-5.085 5.778-8.44 7.787-3.354 2.009-7.77 3.235-12.14 2.465-7.263-1.28-12.661-6.761-15.75-12.766-3.09-6.004-4.733-13.02-5.791-21.027-2.116-16.014-1.6-36.112.103-57.463 3.406-42.702 11.798-90.175 15.965-113.81l17.727 3.126c-4.168 23.636-12.448 70.704-15.75 112.116-1.652 20.705-1.998 40.055-.2 53.671.9 6.809 2.409 12.152 3.952 15.15 2.253 4.971 3.929 2.436 6.199-.407 3.116-3.947 6.948-10.954 10.685-19.762 7.476-17.616 14.913-42.45 21.34-67.486 12.855-50.071 21.852-101.051 21.852-101.051zM175.856 312.969c-3.725.02-7.818.381-12.28 1.168-14.28 2.518-23.516 7.84-28.712 13.387-5.196 5.546-6.571 11.111-5.703 16.035 1.227 6.96 2.966 14.651 5.125 22.633 6.791-9.79 17.602-19.533 34.498-22.512 16.896-2.979 30.387 2.477 40.117 9.354-.7-8.239-1.698-16.06-2.925-23.02-.869-4.924-4.063-9.682-10.842-13.117-4.661-2.362-11.08-3.97-19.278-3.928zm160.29 36.215c-8.197-.043-14.617 1.566-19.278 3.928-6.78 3.435-9.973 8.193-10.842 13.117-1.227 6.96-2.224 14.781-2.925 23.02 9.73-6.877 23.22-12.333 40.117-9.354 16.896 2.98 27.707 12.72 34.498 22.51 2.159-7.982 3.898-15.672 5.125-22.631.868-4.924-.507-10.489-5.703-16.035-5.196-5.547-14.432-10.871-28.711-13.389-4.463-.787-8.556-1.146-12.281-1.166zm-158.58 11.666a36.563 36.563 0 0 0-5.657.557c-20.837 3.674-27.95 22.517-29.877 29.408 3.644 10.127 7.808 20.033 12.334 28.877 5.916 11.56 12.508 21.3 18.697 27.271 6.19 5.972 10.985 7.754 15.17 7.016 4.186-.738 8.08-4.052 11.854-11.781 3.774-7.73 6.638-19.134 8.244-32.02 1.229-9.859 1.75-20.592 1.711-31.355-3.777-5.271-14.912-18.31-32.477-17.973zm156.87 36.215c-17.564-.336-28.7 12.702-32.476 17.973-.04 10.762.482 21.494 1.71 31.353 1.607 12.886 4.47 24.293 8.245 32.022 3.774 7.728 7.668 11.043 11.854 11.78 4.185.739 8.98-1.043 15.17-7.015 6.19-5.972 12.78-15.712 18.697-27.271 4.526-8.844 8.69-18.75 12.334-28.877-1.927-6.891-9.04-25.734-29.877-29.408a36.562 36.562 0 0 0-5.656-.557z"}}]})(props);
};
function GiSwirlRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M231.07 20.854c130.555 79.7 225.307 195.886 220.758 277.41-.372 6.683-1.85 12.83-3.504 18.687-11.48-92.337-130.195-218.092-279.16-290.255-4.345-2.104-8.547-3.872-12.85-5.84H20.822v7.004c32.332 6.406 67.257 16.19 103.955 30.37C287.93 121.255 421.312 237.91 423.213 318.7c.13 5.782-.565 11.256-1.752 16.353-18.234-79.442-144.166-184.84-296.097-243.533C88.457 77.262 53.27 66.962 20.823 60.566v49.64c164.214 24.05 386.08 133.882 366.142 290.648-9.53 74.94-113.13 76.27-159.742 35.17 45.327 72.98 186.19 70.605 235.703 21.09 75.81-75.81 25.19-249.297-112.717-387.202-17.778-17.776-36.23-34.278-54.9-49.058h-64.24zm7.3 236.1c-15.488.026-29.213 4.776-39.155 14.718v.002c-18.66 18.66-18.67 50.702-3.938 82.69 1.353-13.847 6.2-26.328 15.75-35.878 27.665-27.664 80.464-20.165 117.692 17.063 23.264 23.266 34.894 52.858 33.686 78.313 15.033-30.094 1.188-77.565-35.875-114.63-27.348-27.35-60.554-42.322-88.16-42.278zm16.185 63.83c-12.806.1-22.824 4.544-26.412 13.015-6.38 15.06 9.98 37.144 36.537 49.327 26.56 12.184 53.26 9.852 59.638-5.207 6.38-15.06-9.98-37.147-36.537-49.33-11.62-5.33-23.265-7.882-33.225-7.805zm-41.022 22.226c-11.47 19.105-.906 49.236 27.373 72.763 32.573 27.1 76.033 35.056 97.143 17.498 14.236-11.843 14.244-32.184 3.003-52.49-1.032 8.79-4.73 16.712-12.016 22.775-21.11 17.56-61.394 12.8-89.8-10.832-17.75-14.772-26.625-33.555-25.704-49.713z"}}]})(props);
};
function GiSwirlString (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.493 22.18V127.3c78.742 126.922 174.79 219.187 252.88 237.11-7.142 1.665-14.68 2.528-22.78 2.337-67.67-1.59-153.3-68.902-230.102-171.702v70.082c76.9 77.2 159.02 128.697 227.768 137.245-8.208 2.318-16.913 4.15-26.28 4.673-58.776 3.28-130.573-30.502-201.485-88.77v46.137C182.62 479.155 356.19 508.117 441.49 422.817c69.39-69.39 71.76-265.946-29.786-330.554-16.728-10.643-35.31-18.69-56.65-18.69-53.35 0-96.946 43.013-96.946 96.363s43.597 96.947 96.947 96.947c45.006 0 83.972-31.806 80.228-72.418-5.44-59.032-88.172-44.01-98.33 7.59-.467 2.362-.835 4.685-1.17 7.01-4.268-11.258-5.688-23.116-2.336-35.625 8.496-31.707 41.295-51.128 73.002-42.632 11.888 3.186 21.69 10.036 29.2 18.69 11.045 12.727 14.586 29.672 14.016 47.303-1.934 59.767-24.98 108.154-87.018 119.14C210.906 342.814 88.242 190.12 17.493 22.18z"}}]})(props);
};
function GiSwirledShell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M477.02 283.53l-23.338 168.596-120.823-64.287 19.638-88.924zm-4.953-28.205l-82.372-132.09-82.893 89.128 42.711 72.504zM365.623 110.01l-140.96-50.136-4.137 115.327 75.487 26.853zm-158.758 65.346l-16.654-107.38L72.903 131.91l75.975 73.551zm-67.171 43.635l-76.87-54.12L26 281.035l94.478-4.857zM43.666 321.713l65.223 85.991 45.154-71.366-31.928-42.6zm127.649 24.632l-13.204 71.352 93.372-11.528-35.625-65.002zm57.931-16.63l51.942 32.37 8.63-85.684-54.99 14.104zm.152-51.805l41.678-25.176-54.839-37.302-14.706 48.982z"}}]})(props);
};
function GiSwissArmyKnife (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M181.986 23.803c-16.323-.428-17.824 35.266 6.703 47.611 17.074-41.51 91.76 3.27 81.506 21.332-8.48 14.94-46.323-9.947-49.625-5.96-8.974 10.835 25.097 31.978 55.448 45.96l30.187-30.187c10.459-10.46 21.69-17.505 33.002-21.653-33.48-19.082-97.109-51.439-156.432-57.054-.266-.026-.53-.042-.789-.05zM49.5 47.338c-9.199 16.433-19.965 32.102-8.08 82.387l47.209 193.818c3.722-5.93 8.336-11.744 13.93-17.338l39.203-39.203-48.826-148.857C82.873 89.377 66.722 64.11 49.5 47.338zm315.527 46.16c-14.54-.044-30.539 6.23-46.095 21.787L115.285 318.932c-31.113 31.112-25.102 63.994-5.656 83.44 19.445 19.445 52.327 25.456 83.44-5.657l203.646-203.647c31.113-31.112 25.102-63.994 5.656-83.44-9.723-9.722-22.804-16.086-37.344-16.13zm-295.011 22.16l14.953 53.432-17.334 4.851-14.953-53.433zm271.545 9.528l16.263 16.263 16.262-16.263 12.728 12.728-16.263 16.262 16.263 16.263-12.728 12.729-16.262-16.262-16.263 16.262-12.729-12.729 16.262-16.263-16.262-16.262zm81.863 63.189c-3.731 5.958-8.363 11.8-13.983 17.42l-25.896 25.896 18.338 12.38-12.592 19.144 21.979 12.144-12.823 19.666 21.576 13.9-16.746 22.415 22.862 9.894-11.028 20.198 20.233 14.687-7.893 35.412 56.138-29.733zM287.816 327.42l-12.726 12.726 14.084 13.881a9 9 0 0 0 8.662 2.28l13.002-3.51-12.313 27.574c-3.442 7.713 4.676 15.492 12.235 11.725l17.691-8.825-10.545 19.094c-4.299 7.788 4.1 16.427 12.006 12.35l16.725-8.63-7.172 12.997c-3.747 6.794 2.283 14.829 9.853 13.129l22.948-5.156c7.598.705 8.552.699 13.595-.634l-4.306-15.571a9 9 0 0 0-8.371-2.452l-8.293 1.864 11.81-21.4c4.291-7.787-4.103-16.419-12.006-12.346l-16.709 8.619 10.203-18.473c4.271-7.732-3.991-16.349-11.896-12.406l-21.092 10.521 9.795-21.933c3.088-6.924-3.242-14.33-10.562-12.358l-26.303 7.098zm-185.093 92.86l-83.924 69.415 112.773-55.672c-10.678-2.366-20.539-7.118-28.85-13.744z"}}]})(props);
};
function GiSwitchWeapon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M83.5 25l-32 64v87c-.67 15.934 3.847 27.945 13.793 37.816 3.442 3.367 7.892 6.805 13.102 10.227L83.5 89l5.344 141.326c7.778 4.3 16.61 8.477 26.064 12.344.194.08.397.155.592.234V89l-32-64zm216.666 0C281.833 25 263.5 61.667 263.5 98.334c0 17.585 4.223 35.16 10.635 48.7 9.11 1.493 18.938 3.565 29.187 6.19 4.395-7.873 14.92-14.213 40.178-16.87V72.577C319.173 60.896 300.166 38.2 300.166 25zm146.668 0c0 13.2-19.007 35.896-43.334 47.576v63.78c43.31 4.554 43.334 19.928 43.334 35.31 18.333 0 36.666-36.665 36.666-73.332C483.5 61.667 465.167 25 446.834 25zM361.5 50v122.852a369.79 369.79 0 0 1 24 11.148V50h-24zm-127 72.92l-58.45 61.9 58.45 58.453V208h9c34.25 0 90.23 12.187 135.408 30.67 22.59 9.24 42.344 19.89 55.385 32.646 6.52 6.38 11.518 13.45 13.514 21.65.867 3.562.914 7.297.414 11.014 7.95-19.23 4.975-35.52-5.345-51.625-11.208-17.49-31.88-33.91-56.424-47.478C337.367 177.743 272.5 162 243.5 162h-9v-39.08zm-195.72 71.1c-7.95 19.23-4.975 35.52 5.345 51.625 11.208 17.49 31.88 33.91 56.424 47.478C149.633 320.257 214.5 336 243.5 336h9v39.08l58.45-61.9-58.45-58.453V290h-9c-34.25 0-90.23-12.187-135.408-30.67-22.59-9.24-42.344-19.89-55.385-32.646-6.52-6.38-11.518-13.45-13.514-21.65-.867-3.562-.914-7.297-.414-11.014zm322.72 57.212V368h24V261.23c-4.29-2.027-8.77-4.002-13.408-5.9-3.446-1.41-7-2.766-10.592-4.098zm-310 29.862v41.44h23.17l.885-23.39c-8.66-5.593-16.772-11.594-24.055-18.05zm40.313 27.767l.517 13.675h23.17v-1.777c-8.056-3.678-15.987-7.64-23.66-11.88l-.028-.017zM28.5 340.536V360h110v-19.465h-110zM63.5 375v80c-8 0-28 32 20 32s28-32 20-32v-80h-40zm298 11v94h24v-94h-24z"}}]})(props);
};
function GiSwitchblade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M226.652 235.381l21.57-19.723c-21.518-19.505-39.248-5.543-42.497-.644-10.142 15.208 9.633 9.177 20.927 20.367zm92.283 51.446c-3.208 4.817-20.418 18.384-41.47.25l19.64-21.53c11.065 12.509 32.21 5.71 21.83 21.28zm-29.21-87.57C446.324 42.738 486 24.645 486 24.645s-15.457 42.311-171.996 198.923zM34.808 440.584c10.868-7.484 10.733-3.654 23.408-15.01l.26.26 28.961 28.961.26.26c-11.253 12.612-7.267 12.456-14.98 23.553a20.304 20.304 0 0 1-31.058 2.793l-9.717-9.717a20.315 20.315 0 0 1 2.866-31.1zm189.767-180.881l53.387-48.654 24.29 24.29-48.684 53.367zm-154.36 154.38l28.962 28.961 141.104-141.103-28.962-28.962zM186.802 308.49a11.969 11.969 0 1 1 0 16.931 11.969 11.969 0 0 1 0-16.93z"}}]})(props);
};
function GiSwitzerland (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M36.195 295.215c11.482-39.19 64.37-91.15 97.155-138.632 61.773-28.665 90.453 1.999 158.835-53.994 43.305 14.096 84.51 31.63 114.28 49.593l-17.8 56.114c32.894 14.682 63.743 35.79 105.873 21.442-3.346 42.22 11.428 74.85-43.66 108.588-21.82-9.826-58.49-8.026-76.74-38.76-.527 38.876-18.157 85.136-32.11 109.845-8.67-.595-61.844-63.654-61.927-100.613-18.917 2.472-34.672 56.343-49.147 82.293l-92.234 13.525c-20.307-27.104-27.568-62.376-46.931-92.121-20.937-32.161-38.676 39.801-70.465 52.475-9.423-9.163-.504-34.417 14.87-69.755z"}}]})(props);
};
function GiSwordAltar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 24l-20 24 12 19.2v38.7c5.3.3 10.7.3 16 0V67.2L276 48l-20-24zm-61.5 86.4l-5 15.2c49 16.3 84 16.3 133 0l-5-15.2c-47 15.7-76 15.7-123 0zM232 152v128h16V152h-16zm32 0v128h16V152h-16zm-51.1 144l-8 16h102.2l-8-16h-86.2zm-80.2 32L71.65 440H440.3l-61.1-112H132.7zm43.3 16h96v16h-96v-16zm112 0h48v16h-48v-16zm-112 32h32v16h-32v-16zm48 0h112v16H224v-16zm-48 32h64v16h-64v-16zM37.77 456L27.1 488h457.8l-10.7-32H37.77z"}}]})(props);
};
function GiSwordArray (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M202.094 28.5c-9.125 0-16.344 7.19-16.344 16.313 0 9.122 7.218 16.312 16.344 16.312 3.927 0 7.488-1.337 10.28-3.58l58.84 21.394-10.92 30.025 17.563 6.387 4.83-13.276 159.887 58.135 51.908-9.948-32.734-40.9L301.256 51.01l4.826-13.274-17.562-6.386-10.92 30.027-60.053-21.836c-2.154-6.47-8.18-11.04-15.453-11.04zm92.775 40.072l124.017 45.092 10.935 13.477-14.93 3.122L289.07 84.514l5.8-15.942zM163.405 99.5c-9.125 0-16.312 7.19-16.312 16.313 0 9.122 7.186 16.343 16.312 16.343 1.84 0 3.597-.305 5.237-.85l-.303.432 52.8 36.946-18.32 26.175 15.313 10.714 8.1-11.574 139.39 97.533 52.715 3.822-21.033-47.976-139.92-97.9 8.1-11.574-15.31-10.715-18.32 26.18-52.187-36.515c.02-.346.05-.69.05-1.043 0-9.126-7.186-16.312-16.312-16.312zm-52.72 64c-9.123 0-16.342 7.19-16.342 16.313 0 9.122 7.217 16.312 16.344 16.312.925 0 1.823-.092 2.703-.234l36.99 44.05-24.472 20.546 12.018 14.315 10.82-9.083L258.56 396.494l49.637 16.738-8.435-52.173-109.4-130.285 10.818-9.08-12.016-14.314-24.47 20.544-37.96-45.2c.165-.945.266-1.914.266-2.91 0-9.128-7.186-16.314-16.313-16.314zm135.986 1.29l107.217 75.02 7.008 15.706-15.388-.864-108.563-75.964 9.725-13.897zM42.812 207.44c-9.124 0-16.312 7.19-16.312 16.312 0 7.827 5.297 14.238 12.563 15.906l24.083 51.602L34.19 304.77l7.904 16.933 12.804-5.974 72.22 154.74 43.616 29.014 5.358-52.58-71.95-154.154 12.797-5.973-7.903-16.935-28.955 13.512-23.603-50.57c1.69-2.58 2.676-5.675 2.676-9.034 0-9.126-7.217-16.313-16.343-16.313zm133.24 35.355l84.104 100.162 2.61 16.38-15.207-5.005-84.5-100.63 12.99-10.907zm-88.845 57.86l54.842 117.5-1.763 16.913-13.057-8.546-55.398-118.694 15.375-7.174z"}}]})(props);
};
function GiSwordBrandish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M122.1 17.52L186.6 161l104.5-44.9-44.5-98.58h-51.1l35.8 80.75-16.4 7.23-39-87.98zm265.2 77.75L110.4 215.2l12 28.2 278.1-119.8zm-69.7 98.53l-23.9 11.5c12.8 5.4 26 13.7 38.3 15.6 18.1-13.1-4.9-30.5-14.4-27.1zm-60.7 11.1l-36.2 16.7c-11.9 18.4-14.8 46-18.2 69.7 20.6 30.1 30.5 62.4 39.5 94 17.9-3.7 32.2-6.8 48.7-11.5-24.4-38.7-42.2-78.4-53.6-118.9 0 0 5.6-10.5 8.4-15.8 11.9 7.3 24.9 12.4 36.6 9.9 10-4.1 21.5-7.9 27.7-16.6-17.6-6.9-37.1-17.5-52.9-27.5zm92.6 26.6c-10.8 5.8-23 11.2-31.9 18.9-5.3 4.7-12.1 8.8-20.5 12.3 1.1 7.3-.1 19.6 8.1 18.8 20.5-6.2 40.5-15 59.7-28.4-.1-9.2-8-24.1-15.4-21.6zm-90.2 34.2c11.3 34.8 27.6 69 49.3 102.6 4.7-1.6 9.3-3.3 13.5-5-7.3-6.2-11.7-15.9-12-25.3-16.6-4.1-20.8-29.4-17.2-41.6-9.5-7-13.6-18.1-14.2-28.7-7.2.7-13.6-.1-19.4-2zm103.3 10.4c-13.6 8.1-27.6 14.3-41.6 19.2l-9 4.4c-4.4 4.6-4.5 15.6 1 20.3 9.7 3.5 50.1-21.2 57.7-27.9 1.3-5.8-3.5-14.9-8.1-16zm-178.1 21.2L19.1 335.8V495c95.7-25.3 146.9-47.1 209.7-90.2-10.8-38-20.5-74.8-44.3-107.5zm187.8 16.9c-13.6 10.2-27.2 16.2-42.9 21.4-.4 6.7 2.5 18.1 12.1 16 19.9-4.3 36.3-17.5 36.6-24.6.2-3.7-2-10.5-5.8-12.8zm-7.5 48.6c-14.3 8.2-31.5 15.9-46.7 21.4l18.7 31.8 39.3-18.8zm22.2 49.1L342.9 433l3.1 21.9c15.1.5 46.6-11.3 55.4-26.1v-.1z"}}]})(props);
};
function GiSwordBreak (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M162.47 17.48c32.96 78.956 43.31 192.888 35.184 285.137-.338 2.716-.703 5.427-1.086 8.133-.104-.29-.202-.582-.31-.87h-.002c-10.73 62.467-55.732 130.073-108.043 183.386h55.482l.02-.03H165l-.03.03h55.483c39.526-57.087 70.653-135.464 52.563-183.385h-.002c-4.65 27.07-15.744 55.103-31.07 82.52 19.13-89.548 11.015-187.79-24.67-273.474-13.91-42.507-32.336-79.6-54.805-101.446zm234.39 89.87l-38.987 10.445 4.836 18.053 12.63-3.385 30.922 115.408-12.627 3.384 4.838 18.053 38.986-10.446-4.84-18.05-14.436 3.868c7.45-22.408 8.274-43.95 2.982-63.7-5.11-19.073-16.002-36.736-32.643-52.046l13.174-3.532-4.836-18.05zM16.954 135.076l39.432 67.553 96.215 54.99 6.554-41.67 16.08 7.212 5.303-29.805-89.11-51.576-74.474-6.704zm475.442 20.55l-54.93 14.634c.632 1.946 1.224 3.905 1.754 5.883 1.61 6.007 2.728 12.136 3.376 18.353l49.8-13.267v-25.605zm-127.327 10.71L260.4 193.91c4.902 22.988 8.122 46.343 9.647 69.774l113.123-29.79-18.102-67.558zm-191.08 102.87l-46.054 44.01 30.705 12.28 15.348-56.29zm105.797 4.46L295.6 309.73l15.64.354.028-15.777-31.483-20.64zm47.55 39.137l27.6 40.2 29.366-10.774-24.126-18.324-32.84-11.103zM117.74 337.535l-48.623 3.795-5.35 30.822 27.93-11.734 26.043-22.883zm198.905 1.072l.205 35.186 21.382 15.795 12.467-12.826-34.055-38.155zm-156.323 6.938l-42.77 28.04.038 21.435 21.25-.487 21.482-48.988zM88.074 407.61L64.22 423.78l5.97 20.398 26.855-5.18-8.97-31.39z"}}]})(props);
};
function GiSwordClash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M311.313 25.625l-23 10.656-29.532 123.032 60.814-111.968-8.28-21.72zM59.625 50.03c11.448 76.937 48.43 141.423 100.188 195.75 14.133-9.564 28.405-19.384 42.718-29.405-22.156-27.314-37.85-56.204-43.593-86.28-34.214-26.492-67.613-53.376-99.312-80.064zm390.47.032C419.178 76.1 386.64 102.33 353.31 128.22c-10.333 58.234-58.087 112.074-118.218 158.624-65.433 50.654-146.56 92.934-215.28 121.406l-.002 32.78c93.65-34.132 195.55-81.378 276.875-146.592C375.72 231.06 435.014 151.375 450.095 50.063zm-236.158 9.344l-8.5 27.813 40.688 73.06-6.875-85.31-25.313-15.564zm114.688 87.813C223.39 227.47 112.257 302.862 19.812 355.905V388c65.917-27.914 142.58-68.51 203.844-115.938 49.83-38.574 88.822-81.513 104.97-124.843zm-144.563 2.155c7.35 18.89 19.03 37.68 34 56.063 7.03-4.98 14.056-10.03 21.094-15.094-18.444-13.456-36.863-27.12-55.094-40.97zM352.656 269.72c-9.573 9.472-19.58 18.588-29.906 27.405 54.914 37.294 117.228 69.156 171.906 92.156V358.19c-43.86-24.988-92.103-55.13-142-88.47zm-44.906 39.81c-11.65 9.32-23.696 18.253-36.03 26.845C342.046 381.51 421.05 416.15 494.655 442.75v-33.22c-58.858-24.223-127.1-58.727-186.906-100zm-58.625 52.033l-46.188 78.25 7.813 23.593 27.75-11.344 10.625-90.5zm15.844.812L316.343 467l36.47 10.28-3.533-31.967-84.31-82.938z"}}]})(props);
};
function GiSwordHilt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M410.195 19.492l-18.6.412L244.7 150.8c8.6 8.944 16.955 18.795 24.515 29.235L434.828 19.492h-24.633zm51.48 0L279.73 195.872c6.69 11.064 12.287 22.58 16.16 34.253L492.185 26.512v-7.02h-30.508zm-266.72 82.512c-16.896.332-31.25 5.706-41.54 15.996-5.618 5.62-8.06 12.204-8.155 20.957-.096 8.753 2.576 19.504 7.793 31.148 10.433 23.29 30.816 49.877 54.68 72.934 5.803 5.604 11.816 11.002 17.933 16.118 28.696 27.647 48.862 66.367-1.434 89.623-45.222 20.914-100.61 70.318-85.19 136.08 36.264-132.4 187.665-69.93 208.495-213.753l-.293-.173c2.513-11.1 2.357-23.805-.53-37.534-1.507-7.17-3.78-14.562-6.782-22.03l-54.795 56.837-3.215-18.03c-5.52-30.95-30.953-67.592-57.256-93.144l-7.203-6.998 36.373-32.41c-12.25-6.397-24.534-10.877-36.232-13.336-6.676-1.404-13.11-2.165-19.237-2.286-1.148-.023-2.285-.022-3.412 0zm-16.42 137.754c-54.74 29.308-99.172 79.724-120.053 137.88l-1.17 3.258c1.244 2.302 2.802 4.562 4.635 6.55 2.324 2.52 4.952 4.576 7.772 6.03l7.07-2.638c57.14-21.32 106.067-65.227 134.51-119.336-5.637-4.813-11.175-9.83-16.55-15.022-5.607-5.416-11.025-11.012-16.215-16.722zM38.2 384.388c-4.315 1.08-8.31 3.25-11.69 6.628-10.683 10.682-10.683 27.495 0 38.177 10.682 10.683 27.495 10.683 38.177 0 4.397-4.396 6.852-9.714 7.524-15.287-9.637-1.793-17.897-7.173-24-13.79-4.338-4.703-7.77-10.054-10.01-15.73z"}}]})(props);
};
function GiSwordInStone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M101.938 19.938c-8.837 0-15.813 6.978-15.813 15.812 0 7.358 4.84 13.427 11.563 15.25l23.134 55.4c-12.618 7.364-23.065 19.85-30.17 37.528L64.22 163.75l11.218 14.938 8.177-6.135c31.722-21.112 72.4-39.987 110.12-49.975l27.327-4.078-2.78-18.5-33.294 4.982c-13.01-4.957-25.152-7.096-36.113-6.607-3.67.164-7.202.62-10.6 1.334l-23.088-55.304c1.6-2.48 2.532-5.436 2.532-8.656 0-8.837-6.945-15.813-15.782-15.813zM178.81 147c-17.714 6.11-35.908 13.923-52.875 22.656l68.407 165.03 14.625-7.842 28.28-38.75L178.812 147zm169.094 111.53l-68.125 3.033-56.967 78-1.25 1.718-1.875 1.033-65.313 35.03-28.47 117.188h345.25l-15-63.686-165.56-54.688 5.874-17.75 89.905 29.688-38.47-129.563z"}}]})(props);
};
function GiSwordMold (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M136.1 18.48c5.4 12.59 14.3 23.16 25.5 34.1 14.2 13.99 31.8 28.2 47.1 47.4 35.9 44.92 40.6 99.42 38.2 149.82-.3 6.6-5.2 10.5-8.6 12.5-3.3 2-6.5 3.2-9.3 4.5-2.7 1.4-4.8 2.8-5.8 3.8-.7.8-.9 1.2-1 2.2.2.1.2.2.8.6 1.6 1.1 4.7 2.7 8.8 4 8.2 2.6 20 4.4 31.9 4.7 11.9.3 23.9-1 32.4-3.6 7-2.2 10.5-4.9 11.9-7.3-1.4-1.3-4.3-3.2-7.5-5.1-3.2-1.9-6.8-3.7-9.9-5.6-1.6-.9-3-1.8-4.5-3-1.4-1.1-3.3-2.1-4.6-6.2-5.6-16.5-6.9-41.6-3.4-69.2 3.5-27.6 11.9-57.4 27.8-81.1 13.3-19.76 32.4-36.25 48.2-51.61 11.4-11.13 20.5-21.62 25.3-30.91H218.3c15.5 26.22 22.9 68.56 15.5 70.93-4.7 1.52-22.8-41.55-42.1-70.93h-55.6zm139.6 38.59l24.4 5.83c-19.9 26.3-21.7 59-33.4 85.9-5.1-27.8-5.2-64.08 9-91.73zM55.95 169L26.2 407h459.6l-29.7-238H298.5c-1 5.1-1.9 10.2-2.5 15.3-3.1 24.6-1.5 47.6 2.1 59.6l.1.1H384l64 28-64 28H273.8c-3.5.1-7 .2-10.5.1-.8 0-1.5-.1-2.3-.1H155.9l-1.9 42h-32l2.4-54H66l2-32h57.9l2.1-48h32l-1.6 36h70.7c1-25.5-.2-50.9-6.3-75H55.95zM25 425v62h462v-62H25z"}}]})(props);
};
function GiSwordSlice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M191.016 21.223l30.134 64.965-118.543-63.64 59.25 77.796-123.93-74.23L139.96 160.796l-86.446-49.315 69.675 89.41-41.096-16.087 55.174 59.226c-.14-2.69-.21-5.4-.21-8.124 0-42.632 17.186-81.3 44.98-109.478 35.214-25.46 80.616-19.796 119.876-1.115 11.515 5.478 22.556 12.13 32.926 19.515l23.685 19.252c11.312 10.59 21.05 21.986 28.627 33.607l77.15-68.765.01-.008c17.818-15.805 23.727-28.155 25.663-43.726 1.432-11.527-.004-26.39-1.815-43.502L368.84 147.262l-12.75-13.674 13.353-11.815c-12.63-8.46-26.75-14.87-41.884-18.78L260.17 30.726l22.723 63.59-91.88-73.094zm46.02 106.662c-15.684.07-30.484 4.126-43.352 13.195-23.513 24.63-37.94 58.012-37.94 94.826 0 75.94 61.36 137.3 137.3 137.3 75.938 0 137.296-61.36 137.296-137.3 0-15.76-2.652-30.89-7.522-44.976l-40.46 36.064-5.604-10.443c-14.45-26.928-47.06-57.324-82.87-74.363-19.023-9.05-38.534-14.383-56.847-14.302zm-104.73 173.053l-44.15 39.156 87.63 98.812 44.15-39.158-14.5-16.348-24.225 21.504-51.17-57.818-6.18-6.982 24.146-21.463-15.7-17.702zm34.274 26.197l-16.367 14.55 32.59 36.82 18.554-16.47c-13.347-9.727-25.097-21.517-34.777-34.9zm-60.207 61.668L75.867 415.86l38.21 15.146 16.638-14.756-24.342-27.447zM60.377 429.82l8.598 41.19 29.44-26.112-38.038-15.078zm-16.148 14.1l-21.304 18.894c-.68 8.615 1.325 14.94 5.197 19.33 3.872 4.39 10.162 7.378 19.262 8.014l5.48-4.86-8.636-41.378z"}}]})(props);
};
function GiSwordSmithing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M29.438 59.375c-3.948.032-7.903.093-11.875.188 4.333 2.772 8.685 5.483 13.062 8.124C126.162 123.92 230.69 151.4 340.5 180.594c.022.006.04.025.063.03.02.006.043-.004.062 0 1.87.498 3.72 1.003 5.594 1.5l.155-.53c.947.078 1.91.125 2.875.125 4.26 0 8.34-.767 12.125-2.19l-12.5 46.595 18.063 4.813L383 170.968c25.828 1.312 50.508 6.867 74.28 15.845-1.065 11.948 2.73 21.82 9.814 23.718 8.71 2.335 19.136-8.313 23.28-23.78 1.27-4.742 1.78-9.366 1.657-13.594l.345-1.28c-.136-.008-.27-.025-.406-.032-.56-8.924-4.116-15.77-9.876-17.313-6.808-1.823-14.666 4.304-19.75 14.44-25.275-3.725-49.624-10.894-72.47-23.69l16.345-60.968-18.033-4.843-12.093 45.155c-3.24-3.908-7.318-7.1-11.938-9.313l.094-.374C250.12 83.98 144.89 58.446 29.437 59.374zm161.25 44.25c55.52-.002 105.272 12.492 159.656 27.03 8.536.55 15.094 7.463 15.094 16.157 0 9.06-7.127 16.22-16.188 16.22-2.4 0-4.653-.5-6.688-1.407-56.172-15.04-109.352-27.786-157.406-57.97 1.85-.027 3.694-.03 5.53-.03zm-46.22 164.25v20.344H55.532c15.996 38.806 51.258 65.428 88.94 74.28v32.97h58.56c-12.115 30.534-33.527 55.682-58.5 77.592h-25.436v18.72h284.344v-18.72H376c-28.728-21.894-50.024-47.016-61.594-77.593h63.656V366.31c19.75-6.995 39.5-19.54 59.25-36.718-19.806-17.518-39.235-27.25-59.25-31.938v-29.78H144.47z"}}]})(props);
};
function GiSwordSpade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M115.326 16.008l-6.607 6.687-84.652 85.69 5.59 6.53c10.402 12.15 29.93 23.87 51.26 30.993 10.664 3.562 21.715 5.826 32.377 5.492 5.407-.17 10.82-1.064 15.87-2.927 80.876 79.96 159.667 163.084 238.45 246.224-15.764 14.68-32.013 27.47-47.04 36.48 56.644 56.644 126.465 79.034 164.038 55.13 23.05-37.774 1.1-107.81-55.13-164.04-9.788 15.074-22.24 30.962-35.962 46.126L151.966 126.838c6.244-12.63 7.403-27.838 4.406-43.037-4.142-21.013-15.986-42.734-34.397-61.146l-6.647-6.646zm345.05.63c-32.676 47.53-70.88 89.537-116.368 124.258l-37.158-37.158c6.3-16.228 3.107-35.234-9.99-48.332-4.288-4.287-9.257-7.455-14.52-9.68 6.68 16.484 3.194 36.496-10.166 49.856s-32.888 16.36-49.373 9.68c2.225 5.262 5.397 10.234 9.682 14.52h.002c13.455 13.456 32.87 16.743 49.243 9.872l21.287 21.287c-15.632 18.116-31.658 35.568-48.014 52.503l20.088 20.088 48.916-48.915 13.215 13.215-48.917 48.916 18.748 18.748c16.877-16.2 34.298-32.163 52.495-48.02l21.9 21.9c-5.98 16.088-2.7 34.778 10.23 47.708 4.288 4.287 9.26 7.456 14.522 9.68-6.68-16.484-3.194-36.495 10.166-49.856 13.36-13.36 32.888-16.36 49.373-9.68-2.224-5.262-5.396-10.234-9.68-14.52h-.003c-13.62-13.62-33.345-16.814-49.842-9.606l-37.394-37.395c33.954-46.255 77.08-83.34 124.932-115.695l-33.37-33.373zM126.557 58.66c5.788 9.68 9.664 19.54 11.48 28.756 3.294 16.703.142 30.55-8.735 39.428-3.674 3.674-9.08 5.642-16.59 5.877-7.508.236-16.702-1.474-25.872-4.536-7.113-2.376-14.22-5.65-20.625-9.182l60.344-60.342zm79.075 193.522c-51.082 48.22-104.743 92.797-159.567 137.162L17.877 491.98l104.275-27.615c45.657-58.363 88.954-110.13 135.037-158.697-6.167-6.44-12.337-12.876-18.512-19.297L70.445 454.605 57.23 441.39 225.707 272.91c-6.684-6.924-13.376-13.835-20.076-20.73z"}}]})(props);
};
function GiSwordSpin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259.738 20.38c-40.36-.244-81.305 9.895-118.744 31.51C28.566 116.8-10.03 260.837 54.88 373.265c64.91 112.427 208.947 151.024 321.376 86.113 77.686-44.852 120.106-127.485 117.498-211.363-3.575 65.865-35.942 128.62-91.082 169.41-10.81 9.596-22.748 18.254-35.762 25.767C263.228 503.053 130.926 467.6 71.066 363.92 11.206 260.238 46.66 127.936 150.34 68.076 185.98 47.5 225 38.183 263.3 39.03 336.42 40.65 406.9 79.31 446.183 147.35c.648 1.122 1.277 2.25 1.9 3.38.803 2.184 1.258 4.534 1.258 6.997 0 11.29-9.152 20.44-20.442 20.44-6.85 0-12.894-3.38-16.6-8.556-.763-1.432-1.547-2.858-2.355-4.276-.014-.035-.03-.068-.045-.104l-.01.004c-.15-.263-.293-.53-.445-.793-31.91-55.27-89.762-86.377-149.363-86.835-1.923-.014-3.848.002-5.773.05-28.007.718-56.228 8.227-82.162 23.2-82.99 47.914-111.498 154.31-63.584 237.3 2.93 5.072 6.08 9.936 9.426 14.597L95.65 365.648l9.344 16.184 24.848-14.348c53.686 59.734 143.727 75.99 216.017 34.254 51.455-29.707 81.957-81.898 86.294-137.05-12.315 44.767-41.423 85.652-83.564 113.128-3.87 2.732-7.892 5.32-12.076 7.737C273.02 422.21 194.6 408.96 146.41 357.92l45.278-26.143 19.99 34.625 16.185-9.343-16.707-28.937c24.072-21.104 54.165-23.015 62.973-5.96 93.825-32.597 231.378-110.21 190.755-180.57l-.4.173c-.692-1.26-1.396-2.514-2.118-3.764-42.597-73.78-119.27-115.764-198.724-117.565-1.3-.03-2.603-.048-3.905-.056zm.283 75.823c53.167.368 104.69 28.135 133.238 77.582.19.33.37.66.556.99-48.784 49.337-134.526 98.727-200.175 123.002l-15.1-26.148-16.183 9.343 19.987 34.62-48.08 27.76c-3.397-4.618-6.584-9.462-9.518-14.544-42.864-74.244-17.5-168.905 56.744-211.77 23.2-13.394 48.396-20.127 73.38-20.786 1.72-.045 3.436-.063 5.15-.05z"}}]})(props);
};
function GiSwordTie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M263.857 19.672c-1.538-.042-3.12.125-4.658.125-32.844 0-59.585 33.908-59.585 75.92 0 21.273 7.083 40.468 18.096 54.285-68.132 10.566-82.843 105.413-66.646 191.555h23.334l-.765-78.11 18.687-.183.94 95.715 9.004 136.618h109.9l11.477-154.04h.366l.77-78.294 18.687.183-.768 78.11h24.2c18.367-88.46-4.715-178.936-67.086-190.672 11.505-13.88 18.977-33.357 18.977-55.168 0-39.388-23.417-72.022-53.408-75.92-.5-.075-1.01-.11-1.523-.125zm-202.79.21v18.68H77.53v79.45H21.77v50.324h18.68v-31.643h23.34l-6.436 212.66L87.137 400.7l29.252-51.346-6.023-212.66h22.928v31.642h18.68v-50.324H96.21v-79.45h16.466V19.88h-51.61zm339.23 0v18.68h16.465v79.45h-55.764v50.324h18.682v-31.643h23.338l-6.436 212.66 29.785 51.346 29.252-51.346-6.022-212.66h22.927v31.642h18.682v-50.324h-55.764v-79.45h16.463V19.88h-51.61zm-167.95 66.59h53.385v18.688h-17.35v82.82h57.682v51.737h-18.687v-33.05h-24.04l6.237 220.296-30.26 53.113-30.808-53.113 6.664-220.295H210.7v33.05h-18.688V187.98h57.683v-82.82h-17.35V86.47z"}}]})(props);
};
function GiSwordWound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M146.326 6.15l87.813 128.725-60.87-39.916 34.925 62.864L38.56 48.06h-.003c40.207 71.33 82.046 134.913 129.23 191.764L303.94 103.67c-45.164-37.052-96.674-69.324-157.614-97.52zm347.145 9.496L372.983 61.713l-214.59 214.09 13.213 13.215L383.367 77.75l78.078-29.85-29.402 78.56-211.746 211.25 13.213 13.214 214.61-214.106 45.35-121.172zM407.177 89.13l-259.95 259.95c-11.956-17.32-11.687-40.444.25-57.764l-31.26-31.255c-28.637 34.832-28.588 85.102.167 119.864L52.336 443.97c-2.528-.95-5.184-1.43-7.842-1.43-5.74 0-11.476 2.216-15.908 6.647-8.864 8.865-8.866 22.953 0 31.82 8.864 8.863 22.954 8.863 31.818 0 6.512-6.513 8.234-15.844 5.178-23.853l64.057-64.056c34.788 28.437 85.12 28.65 119.817.203l-31.262-31.26c-17.28 11.84-40.352 11.907-57.68.18l259.876-259.874-13.214-13.215zm-2.196 117.01L268.186 342.937c55.29 48.057 118.235 90.138 192.464 127.216L398.783 351.41l102.78 68.85-117.75-164.645 86.816 42.908c-20.895-33.04-42.523-63.772-65.65-92.382z"}}]})(props);
};
function GiSwordman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M467.838 35.848c-53.208 3.518-101.284 8.091-139.14 50.18 9.869 29.563 26.168 65.884 46.613 95.234 20.504 29.436 44.758 50.59 68.61 53.297 35.265-33.057 53.699-112.599 23.917-198.711zM189.8 46.02a70.936 54.43 66.039 0 0-15.987 3.638 70.936 54.43 66.039 0 0-20.931 86.928 70.936 54.43 66.039 0 0 51.62 45.443c2.392 57.507-19.428 43.883-70.534 73.606l15.888 31.69c35.566-13.731 51.844-19.703 69.27-44.317 32.586 93.92-1.874 157.236-23.688 247.078l33.711 4.916c23.698-57.247 55.114-122.355 62.438-181.422 48.937 51.134 77.498 114.641 114.65 169.143l35.82-14.75c-45.81-80.724-65.633-128.371-150.591-262.19 26.819-.194 49.826-6.592 70.683-15.422-7.036-10.105-13.565-20.882-19.529-31.886-28.223 12.083-59.028 16.997-90.14.855a70.936 54.43 66.039 0 0-.118-66.955 70.936 54.43 66.039 0 0-62.562-46.355zM15.47 87.309l3.287 34.09 52.6 107.77 21.568-10.526-52.383-107.325-25.072-24.01zm97.066 139.566l-46.756 22.822 3.137 18.496 56.271-27.464-12.652-13.854zm2.318 36.701l-21.568 10.528 16.668 34.15 21.568-10.527-16.668-34.15z"}}]})(props);
};
function GiSwordsEmblem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M66.54 18.002c-.327-.007-.655-.005-.98.006-4.064.136-8.105 1.634-11.39 4.535-7.508 6.632-8.218 18.094-1.586 25.602 4.394 4.974 10.906 6.945 16.986 5.792l57.838 65.475-50.373 44.498 24.188 27.38c9.69-21.368 22.255-39.484 37.427-54.65l6.91 36.188c25.092-6.29 49.834-10.563 74.366-12.873l-23.912-27.07-38.66-12.483c17.117-12.9 36.734-22.97 58.62-30.474l-24.19-27.385-50.37 44.496-57.92-65.57c1.79-5.835.617-12.43-3.72-17.34-3.498-3.96-8.34-6.03-13.235-6.128zm384.397 0c-4.895.1-9.735 2.168-13.232 6.127-4.338 4.91-5.514 11.506-3.723 17.343l-57.92 65.568-50.37-44.497-24.188 27.385c21.884 7.504 41.5 17.573 58.62 30.472l-38.66 12.485-23.255 26.324c24.71 1.863 49.367 5.706 74.118 11.46l6.498-34.03c15.173 15.166 27.74 33.282 37.43 54.65l24.185-27.38-50.372-44.498 57.838-65.475c6.08 1.153 12.593-.818 16.987-5.792 6.63-7.508 5.92-18.97-1.586-25.602-3.285-2.9-7.326-4.4-11.39-4.535-.326-.01-.653-.013-.98-.006zm-186.425 158.51c-39.56-.098-79.467 5.226-120.633 16.095-2.046 90.448 34.484 209.35 118.47 259.905 81.295-49.13 122.402-169.902 120.552-259.914-39.75-10.496-78.91-15.988-118.39-16.086zm-117.176 153.5L60.47 428.35l-12.2 63.894 61.9-19.994 68.49-77.535c-12.86-20.108-23.246-42.03-31.324-64.703zm228.203 6.11c-8.69 22.238-19.577 43.634-32.706 63.142l64.473 72.986 61.898 19.994-12.2-63.894-81.466-92.23z"}}]})(props);
};
function GiSwordsPower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M105.7 41.16l-47.03 1.31 29.3 36.85L116 69.13zm300.6 0L396 69.14l28 10.2 29.3-36.86zm-278.4 8.18L139 79.87l-30.5 11.14L370.7 213.1l19.4-41.6zm256.2 0l-106.7 49.7 54.4 25.36 71.7-33.38L373 79.88zM180.2 144.3l-58.3 27.2 19.4 41.6 93.3-43.4zm241.1 2.8l-49.2 105.5 13 14.9 55.9-120zm-330.63.1l-19.6.4 55.83 119.8 12.9-14.8zm349.43 44.7l-30.6 65.6-34 84.7-55.8 33.3c-3.1 7.3-6.8 14-11.2 20C295.7 413.2 277 425 256 425s-39.7-11.8-52.5-29.5c-4.4-6.1-8.2-12.8-11.3-20.2l-55.1-33.2-27.9-70-37.13-79.7-29.5 19.4 45.5 151.8 81.23 97.1V487h174v-26.2l80.6-97.1 45.6-151.9zM256 249c-14.3 0-27.7 7.9-38 22.1-10.3 14.1-17 34.4-17 56.9s6.7 42.8 17 56.9c10.3 14.2 23.7 22.1 38 22.1s27.7-7.9 38-22.1c10.3-14.1 17-34.4 17-56.9s-6.7-42.8-17-56.9c-10.3-14.2-23.7-22.1-38-22.1z"}}]})(props);
};
function GiSwordwoman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M467.838 35.848c-53.208 3.518-101.284 8.091-139.14 50.18 9.869 29.563 26.168 65.884 46.613 95.234 20.504 29.436 44.758 50.59 68.61 53.297 35.265-33.057 53.699-112.599 23.917-198.711zM194.207 44.36c-.962.02-1.94.066-2.937.139-16.94 1.247-26.293 7.65-33.825 17.941-7.532 10.291-12.558 25.017-17.384 41.317-5.43 18.334-6.273 41.726-1.663 60.482 4.528 18.418 13.492 31.204 26.94 34.455.188-1.168.42-2.526.605-4.502.82-8.766 3.214-23.576 14.891-42.714-7.75-7.452-14.67-13.694-18.121-22.618-2.074-5.361-2.392-11.595-.84-17.992 1.552-6.396 4.726-13.139 9.615-21.26l.037-.06.037-.06c8.568-13.674 26.544-21.686 43.514-27.745 5.395-1.926 10.528-3.402 15.422-4.652-11.153-7.45-21.857-13.03-36.291-12.73zm45.07 27.002c-5.416 1.164-12.07 3.04-18.82 5.45-15.466 5.521-31.427 14.998-35.309 21.138-4.38 7.29-6.778 12.784-7.726 16.692-.952 3.925-.7 6.08.215 8.447 1.831 4.735 8.77 11.123 19.093 21.592l4.616 4.68-3.698 5.437c-5.348 7.864-8.79 14.564-11.072 20.351a70.936 54.43 66.039 0 0 17.928 6.88c2.391 57.506-19.43 43.882-70.535 73.605l15.888 31.69c26.64-10.285 42.457-16.219 56.041-28.891 11.993 12.066 26.85 22.39 44.155 33.437-.035 11.558-51.405 80.237-52.492 79.875a30.273 30.273 0 0 0 3.261 3.242c29.1 9.088 53.46 8.208 75.89 1.272.097-.294.2-.588.296-.881 12.757-4.462 25.877-10.432 38.629-17.43 20.587-12.745 40.445-29.295 61.107-45.845-10.31-22.79-41.559-34.836-62.133-43.946 9.77-20.016 5.393-41.39 2.516-60.55 18.737-1.992 33.016-7.841 46.527-15.145-.488-.689-.989-1.363-1.472-2.057-7.049-10.118-13.588-20.911-19.56-31.931-28.224 12.084-59.03 16.997-90.142.855a70.936 54.43 66.039 0 0-.117-66.955 70.936 54.43 66.039 0 0-13.086-21.012zM15.471 87.31l3.287 34.09 52.6 107.77 21.568-10.526-52.383-107.325-25.072-24.01zm97.066 139.566l-46.756 22.822 3.137 18.496 56.271-27.464-12.652-13.854zm2.318 36.701l-21.568 10.528 16.668 34.15 21.568-10.527-16.668-34.15zm255.858 73.934c-12.264 9.86-24.631 19.557-37.522 28.209 26.448 38.685 47.77 79.923 73.047 117.004l35.82-14.75c-26.576-46.832-44.463-82.605-71.345-130.463zm-100.254 56.808c-15.27 3.338-31.566 4.213-49.07 1.727-7.565 29.607-17.662 59.909-25.95 94.04l33.711 4.917c13.214-31.921 28.812-66.285 41.309-100.684z"}}]})(props);
};
function GiSydneyOperaHouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M122.6 148.4l43.6 157.8c6.9 0 13.9 0 21.2-.1l62.9-65.8c-7.8-21.4-26.3-45.6-50.2-63.6-22.6-16.9-49.6-28.2-76.5-28.3h-1zm-49.37 49L104 306.6c14.1-.1 26.7-.2 43.6-.3L125.4 226c-16.2-15.4-34.21-26.3-52.17-28.6zm273.47 15.2c-8.7.2-17.1 1.5-25.2 3.9-18.9 5.5-35 16.6-44.1 28.6l43.4 60.9h14.7l46.5-86.5c-10.9-4.7-22.1-6.8-33.1-6.9h-2.2zM31.53 247.7l18.2 59.2c8.99-.1 21.6-.1 35.56-.2l-13.84-49.2c-11.1-5.2-24.36-8.8-39.92-9.8zm230.17 6.6l-49.3 51.8c28-.1 57-.2 86.3-.2l-36.8-51.6h-.2zm165.9 9.9c-2.9 0-5.6.1-8.3.2-17.6 1.2-31 6.3-41.7 14.5l24.4 27.4c16.4.1 32.1.3 47 .5l38.9-31.1c-23.7-7.8-43.7-11.4-60.3-11.5zm-63.5 26.6l-8.2 15.3h21.9l-13.7-15.3zm-78.4 33.1c-125.6 0-244.53 1.1-252.26 1.2l-11.51 46H180.8l16-32H336l15.9 32h127L467.4 325c-37.1-.6-81.2-.9-127.7-1-17.9-.1-36-.1-54-.1zM58.4 339.1h64v18h-64v-18zm149.6 18l-7.1 14h130.9l-7-14H208zM64 407c-13.18 0-29.27 4.3-42.85 8.4-1.08.3-2.11.7-3.15 1v18.8c2.59-.8 5.39-1.7 8.36-2.6C39.28 428.7 55.19 425 64 425c8.81 0 18.29 3.4 28.79 7.4 10.51 4 22.01 8.6 35.21 8.6s24.7-4.6 35.2-8.6c10.5-4 20-7.4 28.8-7.4s18.3 3.4 28.8 7.4 22 8.6 35.2 8.6c13.2 0 24.7-4.6 35.2-8.6 10.5-4 20-7.4 28.8-7.4s18.3 3.4 28.8 7.4 22 8.6 35.2 8.6c13.2 0 24.7-4.6 35.2-8.6 10.5-4 20-7.4 28.8-7.4s24.7 3.7 37.6 7.6c3 .9 5.8 1.8 8.4 2.6v-18.8c-1-.4-2-.7-3.1-1-13.6-4.1-29.7-8.4-42.9-8.4s-24.7 4.6-35.2 8.6c-10.5 4-20 7.4-28.8 7.4s-18.3-3.4-28.8-7.4-22-8.6-35.2-8.6c-13.2 0-24.7 4.6-35.2 8.6-10.5 4-20 7.4-28.8 7.4s-18.3-3.4-28.8-7.4-22-8.6-35.2-8.6c-13.2 0-24.7 4.6-35.2 8.6-10.5 4-20 7.4-28.8 7.4s-18.3-3.4-28.8-7.4S77.18 407 64 407z"}}]})(props);
};
function GiSyringe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112.182 18.393c-.37-.007-.77 0-1.205.023-3.172.16-8.473 2.174-14.688 7.078-9.654 32.85-35.603 60.926-71.335 72.012-3.3 6.59-4.446 11.897-4.215 15.156.268 3.77 1.223 5.062 3.895 6.502 5.342 2.88 21.9 2.56 44.19-10.31l4.843-2.795 4.752 2.944c35.087 21.744 53.66 39.973 72.885 69.553l23.517-23.518c-31.97-18.754-48.732-38.902-68.935-73.91l-2.696-4.67 2.7-4.673c15.082-26.124 14.602-44.643 11.354-50.133-1.42-2.4-2.482-3.214-5.062-3.26zM275.8 87.45c-28.745 0-52.638 21.59-56.323 49.36l-84.444 84.448c-27.773 3.684-49.36 27.58-49.36 56.322 0 31.276 25.553 56.832 56.83 56.832 30.934 0 56.253-25 56.808-55.805l96.89 96.89 13.214-13.216L185.88 238.747l25.31-25.312 93.576 93.574 13.214-13.215-93.574-93.574 12.614-12.613 123.535 123.536 13.215-13.215-96.842-96.842c30.76-.608 55.703-25.906 55.703-56.803 0-31.276-25.553-56.832-56.83-56.832zm0 18.69c21.176 0 38.143 16.968 38.143 38.143 0 21.176-16.967 38.143-38.144 38.143-21.18 0-38.144-16.967-38.144-38.143 0-21.175 16.965-38.144 38.143-38.144zM142.503 239.437c21.177 0 38.142 16.966 38.142 38.142 0 21.176-16.965 38.145-38.142 38.145-21.178 0-38.145-16.97-38.145-38.145 0-21.176 16.966-38.142 38.144-38.142zm263.168 61.544c-5.287 0-10.573 2.044-14.66 6.13l-29.858 29.86-27.183-27.19-13.214 13.214 27.183 27.19-42.594 42.593h-.002c-8.18 8.186-8.176 21.15 0 29.33 8.172 8.175 21.147 8.175 29.326-.005l85.664-85.668c8.18-8.177 8.18-21.147.002-29.322-4.09-4.09-9.378-6.133-14.664-6.133zm-8.352 84.9L384.105 399.1l97.885 97.884 13.215-13.214-97.885-97.885z"}}]})(props);
};
function GiTBrick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M93 141a9.5 9.5 0 0 0-9.5 9.5v96A9.5 9.5 0 0 0 93 256h96a9.5 9.5 0 0 0 9.5-9.5 9.5 9.5 0 0 0 9.5 9.5 9.5 9.5 0 0 0-9.5 9.5v96a9.5 9.5 0 0 0 9.5 9.5h96a9.5 9.5 0 0 0 9.5-9.5v-96a9.5 9.5 0 0 0-9.5-9.5 9.5 9.5 0 0 0 9.5-9.5 9.5 9.5 0 0 0 9.5 9.5h96a9.5 9.5 0 0 0 9.5-9.5v-96a9.5 9.5 0 0 0-9.5-9.5h-96a9.5 9.5 0 0 0-9.5 9.5 9.5 9.5 0 0 0-9.5-9.5h-96a9.5 9.5 0 0 0-9.5 9.5 9.5 9.5 0 0 0-9.5-9.5H93zm9.5 19h77v77h-77v-77zm115 0h77v77h-77v-77zm115 0h77v77h-77v-77zm-115 115h77v77h-77v-77z"}}]})(props);
};
function GiTShirt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 144l48 64 64-32-16 304c64 16 192 16 256 0l-16-304 64 32 48-64-112-96-48-16c-16 64-112 64-128 0l-48 16z"}}]})(props);
};
function GiTabiBoot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M167.097 19.202c-23.86-.12-47.931 5.62-72.762 21.235 65.817-15.283 120.294-3.244 177.727 4.298-35.673-12.666-70.093-25.358-104.965-25.533zm-80.994 25.63a5.187 5.187 0 0 0-5.188 5.188s23.388 191.765 6.657 289.317c-3.346 14.517-6.428 28.433-9.676 42.796-.185.818-2.981 6.233-5.063 13.367 110.536 4.38 300.487 68.665 300.93 71.388.443 2.723-193.965-48.957-302.926-53.13.296 2.38.863 4.722 1.807 6.952.029-.004.055-.004.082-.006 11.513 13.803 30.986 17.375 44.736 16.807 66.666-3.42 261.228 55.289 261.228 55.289 63.719-18.675 11.06-69.342-1.27-77.093-12.763-8.022-31.117-12.317-46.683-18.47 0 0 91.009-6.531 90.619 67.734-.013 2.873 45.768-50.04-1.83-75.888-40.976-16.608-81.709-30.476-119.487-37.927-97.554-48.787-20.561-305.612-20.561-305.612 0-2.866-9.53 28.375-51.26 29.505-20.306.55-38.106-.284-53.619-1.974l-.636 11.774-27.21 19.376-19.222-13.691v-26.59c-29.168-8.648-41.428-19.112-41.428-19.112zm87.164 52.875l-1.322 24.458-16.513-11.76zm-45.736 5.192l10.543 7.506-10.543 7.509zm19.223 13.688L168 131.716l-21.246 14.164-19.223-12.816v-2.788zm24.123 25.312l-1.05 19.364-13.997-9.334zm-43.346 3.267l10.148 6.763-10.148 6.765zm19.223 12.816l22.443 14.962-.249 4.58-22.194 21.853-19.223-18.927v-9.654zm21.387 34.467l-1.438 26.57-12.774-12.577zm-40.61 2.132l12.047 11.861-12.047 11.86zm19.223 18.926l19.223 18.927-.332 6.143-18.89 15.17-19.224-15.435v-5.878zm-19.223 37.719l11.182 8.978-11.182 8.98zm37.382.853l-.84 15.576-9.28-7.451zm-18.159 14.583l16.648 13.367-.756 13.973-15.892 14.574-19.223-17.628V282.1zm-19.223 37.947l11.774 10.798-11.774 10.8zm34.338 3.768l-.726 13.397-6.942-6.367zm-15.115 13.86l13.685 12.552-.87 16.073a5.19 5.19 0 0 1-5.19 5.19H132.72a5.19 5.19 0 0 1-5.19-5.19v-10.995z"}}]})(props);
};
function GiTable (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M41 265v30h430v-30H41zm39 48v158.066h32V313H80zm320 0v158.066h32V313h-32z"}}]})(props);
};
function GiTablet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M22.5 93v326h467V93zm15.1 169.44a6.6 6.6 0 1 1 6.6-6.6 6.6 6.6 0 0 1-6.6 6.6zM427.5 401h-377V109h377zm29-133.32a11.85 11.85 0 1 1 11.85-11.85 11.85 11.85 0 0 1-11.85 11.85z"}}]})(props);
};
function GiTabletopPlayers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M134.865 113.46c-7.463.026-15.134 2.977-22.38 8.663-9.658 7.582-18.055 20.015-22.157 35.324-4.102 15.31-3.047 30.274 1.527 41.67 4.575 11.396 12.238 18.958 21.91 21.55 9.67 2.59 20.09-.126 29.75-7.708 9.658-7.583 18.055-20.016 22.157-35.325 4.102-15.31 3.047-30.274-1.527-41.67-4.575-11.396-12.24-18.96-21.91-21.55-2.418-.65-4.882-.965-7.37-.956zm242.27 0c-2.488-.01-4.954.306-7.37.954-9.672 2.59-17.337 10.155-21.91 21.55-4.576 11.397-5.63 26.362-1.527 41.67 4.102 15.31 12.497 27.743 22.156 35.325 9.66 7.58 20.08 10.297 29.75 7.706 9.67-2.59 17.338-10.153 21.912-21.55 4.575-11.395 5.626-26.36 1.524-41.67-4.102-15.308-12.495-27.74-22.154-35.323-7.245-5.686-14.918-8.638-22.38-8.664zM88.387 226.04c-10.146 2.133-18.06 6.477-24.82 12.648-9.882 9.023-17.314 22.553-23.03 39.7-10.6 31.8-15.044 75.344-22.062 120.153H150.97c-.04-44.9-.513-88.924-6.804-121.28-3.203-16.47-7.97-29.787-14.098-38.57-6.872 1.342-13.968 1.24-20.963-.635-8.012-2.147-14.98-6.376-20.718-12.014zm335.226 0c-5.74 5.64-12.705 9.868-20.718 12.015-6.994 1.874-14.09 1.978-20.96.636-6.127 8.785-10.9 22.1-14.1 38.57-6.292 32.356-6.766 76.38-6.804 121.28h132.493c-7.017-44.808-11.462-88.353-22.062-120.153-5.714-17.146-13.145-30.676-23.028-39.7-6.758-6.17-14.672-10.514-24.82-12.646zm-240.615 69.5v23H201v-23h-18.002zm80.002 0v23h18.002v-23H263zm-94.857 41c.18 4.613.313 9.292.425 14h174.864c.112-4.708.248-9.387.427-14H168.142z"}}]})(props);
};
function GiTacos (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M287.9 76.19v.01h-1.1c-1.9.1-5.4 1.68-9.3 5.36-3.9 3.69-8 9.05-11.5 14.52C258.9 107 254.2 118 254.2 118l-5.1 12-9.4-9s-11-10.5-24.4-19.6c-6.7-4.46-14-8.5-20.2-10.59-6.2-2.09-10.7-1.98-13.1-.75-5.2 2.67-9.7 9.27-12.8 19.24-3.1 10.1-4.6 22.8-5 35.1-.8 24.7 2.4 47.6 2.4 47.6l2.3 15.9-14.8-6.3s-9.7-4.2-20.4-6.8c-5.4-1.2-11-2-15-1.9-4.1.2-5.9 1.2-6.4 1.8-2.7 3.3-3.9 9.4-2.6 17.9 1.2 8.6 4.8 18.9 9.1 28.5 8.6 19.3 19.8 36 19.8 36l9.8 14.5-17.6-.5c.1 0-10.1-.3-21.7 1.1-11.57 1.4-23.95 5.8-26.76 9-10.59 12.2-14.01 26.1-13.15 41.2.87 15.2 6.38 31.4 13.83 45.9s16.81 27.3 24.58 35.8c.7.7 1.3 1.4 2 2 16-9.9 25.7-25.6 33.2-46.2 9.2-25.6 14-58 21.3-91.1 7.3-33.2 17.1-67.3 37.7-96.3 20.7-29.1 52.3-52.6 100.7-64 13.7-3.2 26.7-4.7 38.9-4.8-3-4.5-6.5-9.3-10.5-14.4-7.1-9.1-15.2-17.93-23.1-24.09-7.4-5.78-14.5-8.87-19.9-9.02zM148.6 118.7c-22 4.2-47.7 28.3-69.23 63.3-21.89 35.5-39.78 81.1-48.85 123.9-9.08 42.7-8.81 82.7 2.39 105.7 5.6 11.5 13.22 18.8 24.37 22.2 8.66 2.7 19.98 2.9 34.36-.7-8.29-9.6-17.18-22.1-24.61-36.6-8.26-16.1-14.72-34.3-15.79-53-1.06-18.7 3.64-38.1 17.53-54.1 9.68-11.2 25.08-13.4 38.13-15 3.3-.4 5.6-.5 8.5-.6-4-6.9-8.7-15.6-13.1-25.3-4.62-10.6-8.76-22-10.4-33.3-1.64-11.2-.87-23 6.61-32v-.1c5.19-6.2 12.69-7.9 19.39-8.2 6.8-.2 13.6.9 19.9 2.4 3.4.8 6.5 1.7 9.5 2.6-.8-9.4-1.5-22.1-1.1-36.1.3-8.3 1-16.8 2.4-25.1zm194.3 22.9c-11.1 0-23.2 1.3-36.2 4.5-44.9 10.5-71.9 31-90.2 56.8-18.3 25.8-27.7 57.4-34.8 89.7-7.1 32.4-11.8 65.2-22 93.4-5.4 14.9-12.7 28.7-22.8 40 129.5-22.2 254.5-67 351-112.1-2.2-14-10.2-56-31.9-96-13.2-24.3-31.2-46.9-55.2-61-15.1-8.8-32.5-14.5-53.2-15.2-1.6-.1-3.1-.1-4.7-.1z"}}]})(props);
};
function GiTadpole (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M461.9 34.94c-5.4.01-11.5.47-17.7 1.36-28.6 4.1-63 17.44-75.5 27.08-15.3 11.81-27.3 30.14-30.8 48.42-3.5 18.3.5 36.2 17.9 51.1 14.9 12.8 28.3 14.8 42.3 11 14.1-3.8 28.8-14.5 41.9-29 26.3-29 45.8-73.42 47.8-96.26.4-3.8-.3-5.59-1.5-7.17s-3.4-3.19-7.2-4.43c-3.8-1.25-8.9-1.94-14.9-2.07v-.01c-.8-.02-1.5-.02-2.3-.02zm-48.4 22.15a16 16 0 0 1 11.2 4.31 16 16 0 0 1 .7 22.62 16 16 0 0 1-22.6.75 16 16 0 0 1-.7-22.62 16 16 0 0 1 11.4-5.06zm-86.7 30.78c-12.2 6.37-26.8 14.23-42.4 23.23-42.1 24.2-91.7 56.1-122.4 89.1-45.5 48.9-83.37 113.9-108.12 169.7-12.38 27.9-21.47 53.5-26.54 73.9-2.53 10.2-4.08 19.1-4.44 26.7-.37 7.6-.22 14 4.23 20 2.65 3.5 6.07 4.9 9.22 5.7 3.15.8 6.42 1.1 10.06 1.1 7.3 0 16.14-1.1 26.53-3.1 20.78-4.1 47.56-12.1 76.76-23.6 58.4-22.9 126.1-59.5 171.3-107.8 32.2-34.5 59-87.5 78.4-132.2 7.2-16.6 13.3-32.1 18.1-45-4.7 2.4-9.6 4.3-14.7 5.7-2.4.6-4.8 1.1-7.3 1.5-3.6 9.3-7.8 19.5-12.6 30.7-19 43.8-45.8 95.7-75.1 127.1-42 45-108 81.1-164.6 103.3-28.4 11.1-54.43 18.8-73.73 22.6-9.65 1.9-17.66 2.8-22.99 2.8-2.41 0-4.04-.3-5.06-.5-.19-.9-.75-3.1-.54-7.4.27-5.8 1.58-13.8 3.93-23.2 4.7-19 13.47-43.8 25.52-71 24.09-54.3 61.37-118.1 104.87-164.8 28-30 76.7-61.9 118.2-85.7 9.5-5.5 18.2-10.3 26.2-14.6l.6-3.6c1.4-7.1 3.6-14.03 6.6-20.63zM323.6 148c-23.9 16.2-39.9 31.6-54 48.8-19.7 23.9-36.4 52.1-65.7 90.7C176 324 128.8 384 96.98 427.2c2.6-1.3 5.22-2.5 8.02-4 14-7.5 30.1-18 46.5-29.8 32.8-23.5 66.7-52.6 87-74.3 31.6-33.6 55.2-67.2 80-95.9 12.1-14 24.6-26.8 38.3-37.7-4.3-2.4-8.6-5.4-12.8-9-9.7-8.4-16.4-18.2-20.4-28.5z"}}]})(props);
};
function GiTakeMyMoney (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M225.814 32.316c-3.955-.014-7.922-.01-11.9.007-19.147.089-38.6.592-58.219 1.32l5.676 24.893c20.431-2.31 42.83-4.03 65.227-4.89 12.134-.466 24.194-.712 35.892-.65 35.095.183 66.937 3.13 87.77 11.202l8.908 3.454-3.977 8.685c-29.061 63.485-35.782 124.732-31.228 184.826 2.248-71.318 31.893-134.75 70.81-216.068-52.956-8.8-109.634-12.582-168.959-12.78zm28.034 38.79c-8.74.007-17.65.184-26.559.526-41.672 1.6-83.199 6.49-110.264 12.096 30.233 56.079 54.69 112.287 70.483 167.082a71.934 71.934 0 0 1 5.894.045c4.018.197 7.992.742 11.875 1.59-16.075-51.397-34.385-98.8-57.146-146.131l-5.143-10.694 11.686-2.068c29.356-5.198 59.656-7.21 88.494-7.219 1.922 0 3.84.007 5.748.024 18.324.16 35.984 1.108 52.346 2.535l11.054.965-3.224 10.617c-18.7 61.563-22.363 127.678-11.79 190.582.176.163.354.325.526.49 3.813-1.336 7.38-2.698 10.705-4.154-8.254-67.394-4.597-136.923 26.229-209.201-17.202-4.383-43.425-6.674-72.239-7.034a656.656 656.656 0 0 0-8.675-.05zm144.945 7.385c-30.956 65.556-52.943 118.09-56.547 174.803 20.038-66.802 58.769-126.685 102.904-165.158a602.328 602.328 0 0 0-46.357-9.645zM103.832 97.02c-18.76 3.868-37.086 8.778-54.812 15.562 8.626 7.48 24.22 21.395 43.14 39.889 8.708-8.963 17.589-17.818 26.852-25.87a1067.587 1067.587 0 0 0-15.18-29.581zm142.023 7.482c-13.62-.066-27.562.324-41.554 1.293-1.468 13.682-9.56 26.482-19.225 39.07 15.431 36.469 28.758 73.683 40.756 113.194 18.375 5.42 36.554 11.827 51.28 19.504-5.47-42.458-4.722-85.963 2.38-128.508-12.885-13.31-19.597-28.09-20.135-44.34a621.48 621.48 0 0 0-13.502-.213zm182.018 26.985c-24.73 29.3-46.521 65.997-61.37 105.912 27.264-38.782 60.79-69.032 96.477-90.4a1318.664 1318.664 0 0 0-35.107-15.512zm-300.74 11.959c-14.594 13.188-29.014 29.017-44.031 44.097 32.289 19.191 59.791 41.918 82.226 67.66 1.393-.526 2.8-.999 4.215-1.43-10.498-36.096-24.885-73.033-42.41-110.327zM360.52 268.198c-16.397 19.788-31.834 30.235-53.09 38.57 2.391 9.22-1.16 19.805-9.334 27.901-4.808 4.761-10.85 10.188-19.684 13.715a62.896 62.896 0 0 0 3.9 2.127c12.364 6.17 34.207 4.18 54.5-5.049 20.23-9.2 38.302-25.092 45-41.191 3.357-9.05.96-13.77-4.917-20.692-4.184-4.925-10.295-9.89-16.375-15.38zm-170.079.586c-10.715-.098-21.597 2.994-30.59 9.76-12.79 9.623-22.65 26.784-22.738 55.934v.2l-.01.2c-2.92 61.381 1.6 89.7 10.555 105.065 7.904 13.562 21.05 20.054 40.28 31.994.916-2.406 1.87-5.365 2.765-9.098 2.277-9.499 4.161-22.545 5.355-36.975 2.389-28.858 2.04-63.51-1.955-88.445l-2.111-13.19 13.016 2.995c31.615 7.273 49.7 8.132 60.2 6.28 10.502-1.854 14.061-5.523 20.221-11.624 5.79-5.732 5.682-7.795 4.456-11.021-1.227-3.227-6.149-8.545-14.5-13.633-16.703-10.176-45.085-19.611-71.614-26.647a53.988 53.988 0 0 0-13.33-1.795zm189.1 69.416c-10.013 9.754-22.335 17.761-35.277 23.647-20.983 9.542-44.063 13.907-63.211 7.553-6.76 2.516-10.687 5.407-12.668 7.8-2.718 3.284-2.888 5.7-1.967 9.16.92 3.46 3.665 7.568 7.059 10.524 3.393 2.956 7.426 4.492 8.959 4.564 46.794 2.222 67.046-11.207 92.277-26.783 7.358-4.542 10.174-13.743 9.469-22.931-.353-4.594-1.69-8.911-3.233-11.63a9.009 9.009 0 0 0-1.408-1.904zm-166.187 9.096c2.727 25.068 2.772 54.314.642 80.053-1.247 15.072-3.175 28.779-5.789 39.685-1.137 4.746-2.388 8.954-3.9 12.659l146.697-6.465c-1.656-6.149-3.344-12.324-5.031-18.502a127.004 127.004 0 0 1-17.24 4.424l.044.73-8.316.518c-5.121.614-10.452.953-15.983.992l-83.86 5.21 2.493-11.607c7.947-37.006 8.68-69.589 3.778-105.234a353.433 353.433 0 0 1-13.536-2.463zm31.972 4.684c3.948 31.933 3.473 62.41-2.406 95.2l19.264-1.196a39.44 39.44 0 0 1-6.1-14.778c-1.296-6.88-.575-14.538 3.926-20.87.199-.281.414-.55.627-.821-5.246-4.845-9.628-11.062-11.614-18.524-2.114-7.944-.794-17.67 5.497-25.27 2.079-2.51 4.592-4.776 7.543-6.816-2.61-2.08-4.898-4.285-6.874-6.582-3.064.021-6.345-.093-9.863-.343zm132.666 41.785c-23.456 14.253-49.81 27.876-96.41 25.664a26.402 26.402 0 0 1-4.518-.615c-1.233.553-1.891 1.256-2.382 1.947-.963 1.355-1.532 3.8-.909 7.113 1.248 6.627 7.525 13.889 13.37 14.569 41.385 4.813 69.979-8.726 87.341-24.477 8-7.258 8.068-11.9 6.89-16.951-.59-2.523-1.89-4.969-3.382-7.25zm-6.683 49.062a114.657 114.657 0 0 1-8.547 4.86c1.65 6.051 3.304 12.102 4.937 18.154l19.92-3.572c-5.14-4.387-9.162-8.954-12.39-13.496-1.442-2.029-2.713-4.001-3.92-5.946z"}}]})(props);
};
function GiTalk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M488 348.78h-70.24l-15.1 87.44-48.78-87.44H169v-50h190v-157h129zm-145-273v207H158.13l-48.79 87.47-15.11-87.47H24v-207zM136.724 215.324c0-10.139-12.257-15.214-19.425-8.046-7.168 7.168-2.093 19.426 8.046 19.426 6.285 0 11.38-5.095 11.38-11.38zm60.945 0c-.068-10.12-12.32-15.122-19.452-7.943-7.131 7.18-2.047 19.399 8.073 19.399 6.314 0 11.422-5.141 11.38-11.456zm60.945 0c0-10.139-12.257-15.214-19.425-8.046-7.169 7.168-2.093 19.426 8.046 19.426 6.284 0 11.38-5.095 11.38-11.38z"}}]})(props);
};
function GiTallBridge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 151v18h37v30h18v-30h46v30h18v-30h46v30h18v-30h46v30h18v-30h46v30h18v-30h46v30h18v-30h46v30h18v-30h37v-18zm0 66v30h23v179.1c7.95-1.8 15.9-3.1 23-3.1 13.18 0 24.7 4.6 35.2 8.6 1.3.5 2.5 1 3.8 1.4V284.3l37.2-37.3h231.5l37.3 36.7V433c1.3-.4 2.5-.9 3.8-1.4 10.5-4 22-8.6 35.2-8.6 7.1 0 15.1 1.3 23 3.1V247h23v-30zm46 226c-16.54.8-31.84 5.3-46 9.4v18.8c2.59-.8 5.39-1.7 8.35-2.6C39.27 464.7 55.18 461 64 461s18.3 3.4 28.8 7.4 22 8.6 35.2 8.6c13.2 0 24.7-4.6 35.2-8.6 10.5-4 20-7.4 28.8-7.4s18.3 3.4 28.8 7.4 22 8.6 35.2 8.6c13.2 0 24.7-4.6 35.2-8.6 10.5-4 20-7.4 28.8-7.4s18.3 3.4 28.8 7.4 22 8.6 35.2 8.6c13.2 0 24.7-4.6 35.2-8.6 10.5-4 20-7.4 28.8-7.4s24.7 3.7 37.6 7.6c3 .9 5.8 1.8 8.4 2.6v-18.8c-14.8-4-32-9.2-46-9.4-13.2 0-24.7 4.6-35.2 8.6-10.5 4-20 7.4-28.8 7.4s-18.3-3.4-28.8-7.4-22-8.6-35.2-8.6c-13.2 0-24.7 4.6-35.2 8.6-10.5 4-20 7.4-28.8 7.4s-18.3-3.4-28.8-7.4-22-8.6-35.2-8.6c-13.2 0-24.7 4.6-35.2 8.6-10.5 4-20 7.4-28.8 7.4s-18.3-3.4-28.8-7.4S77.18 443 64 443z"}}]})(props);
};
function GiTambourine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 59.5a48 48 0 0 0-41.8 24.55c13.3-2.32 27.2-3.55 41.8-3.55 14.6 0 28.6 1.24 41.9 3.56A48 48 0 0 0 256 59.5zm0 39c-99.4 0-163.7 59.3-186.6 132.3-23 73.2-6.4 160.5 52.3 219v.1l2.6 2.6h3.7c17.8 0 32.9-7.3 50.5-14.7l-3.6-17.9c-15.4 6.1-27.4 11.3-38 13.5l-5.1 1.1-3.5-3.9c-48.4-53.3-62-130.1-41.7-194.4 20.9-66.7 77-119.7 169.4-119.7 92.3 0 148.5 53 169.4 119.7 20.3 64.3 6.7 141.1-41.7 194.4l-3.5 3.9-5.1-1.1c-10.6-2.2-22.6-7.4-38-13.5l-3.6 17.9c17.6 7.4 32.7 14.7 50.5 14.7h3.7l2.6-2.6v-.1c58.7-58.5 75.3-145.8 52.3-219-22.9-73-87.2-132.3-186.6-132.3zm-151 34a48 48 0 0 0-48 48 48 48 0 0 0 4.6 20.4c11.7-25.5 28.5-48.7 49.9-67.9a48 48 0 0 0-6.5-.5zm302 0a48 48 0 0 0-6.5.5c21.4 19.2 38.2 42.4 49.9 67.9a48 48 0 0 0 4.6-20.4 48 48 0 0 0-48-48zm-151 2c-13.3 0-25.7 1.1-37.2 3.2a48 48 0 0 0 37.2 17.8 48 48 0 0 0 37.2-17.7c-11.5-2.2-23.9-3.3-37.2-3.3zm-104.7 33.7c-19.3 16-33.4 36.7-42.7 60.1a48 48 0 0 0 44.4-47.8 48 48 0 0 0-1.7-12.3zm209.3 0a48 48 0 0 0-1.6 12.3 48 48 0 0 0 44.5 47.9c-9.4-23.5-23.5-44.2-42.9-60.2zM95.7 299.4c.5 23.4 5.3 46.9 14.4 68.8a48 48 0 0 0 8.9-27.7 48 48 0 0 0-23.3-41.1zm320.6 0a48 48 0 0 0-23.3 41.1 48 48 0 0 0 8.9 27.8c9.1-22 13.9-45.5 14.4-68.9zm-374.8 3.3A48 48 0 0 0 23 340.5a48 48 0 0 0 35.9 46.4c-11-26.9-16.7-55.6-17.4-84.2zm429.1 0c-.8 28.6-6.5 57.2-17.5 84.2a48 48 0 0 0 35.9-46.4 48 48 0 0 0-18.4-37.8zM256 402.5c-25.6 0-46.5 5-64 11l3.5 17.7c16.8-5.9 36.2-10.7 60.5-10.7 24.3 0 43.7 4.8 60.5 10.7l3.5-17.7c-17.5-6-38.4-11-64-11z"}}]})(props);
};
function GiTangerine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259 47.39l-.5 36.91 11 .6 4.6-34.43zM220.6 88.4L192.8 107l37.8 4.2 5.9 37.8 27.7-31.3 45.7 17.6-4.7-18.8 21.7-10.2-41.2-6.9-.6 4.3-44.8-2.4.1-9.6zm128.9 27.3l-23.3 10.8 9.5 38-66.3-25.6-44.9 50.7-9.5-62-56.8-6.4C89.15 155.9 30.48 219.4 31.31 286.3c1.21 97.1 105.79 178.3 230.29 178.3 137-.1 216-82 219-175.5 2.2-69.7-60-139.2-131.1-173.4zm32 55.9l14.2 11.2-9.4 11.9-14.2-11.2zm-265.4 29.8l14.2 11.2-9.4 11.9-14.2-11.2zm298 4.7l18 .4-.5 18.4-18-.4zm-23.8 20.7l18.3 11.9-9.8 15-18.3-11.9zM91.98 244.9l17.92 1.4-1.3 17.8-17.91-1.4zm49.92 11.2l17.2 5.2-3.9 12.9L138 269zM77.13 295l1.99 18.9-17.9 1.8-1.99-18.9zm33.07 34.3l15.2 9.6-8.5 13.4-15.2-9.6z"}}]})(props);
};
function GiTankTread (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M225.691 394.74a91.308 91.308 0 1 0-91.308-91.309 91.308 91.308 0 0 0 91.308 91.308zm0-132.663a41.345 41.345 0 1 1-41.344 41.345 41.392 41.392 0 0 1 41.344-41.345zm-13.778 41.345a13.778 13.778 0 1 1 13.778 13.759 13.797 13.797 0 0 1-13.788-13.75zm160.047-73.068a52.056 52.056 0 1 0-52.056-52.056 52.056 52.056 0 0 0 52.056 52.056zm0-75.628a23.572 23.572 0 1 1-23.572 23.572 23.6 23.6 0 0 1 23.572-23.553zm-7.854 23.572a7.854 7.854 0 1 1 7.854 7.855 7.864 7.864 0 0 1-7.864-7.855zm114.106 1.357v-1.022-.134a103.194 103.194 0 0 0-2.962-31.684l14.839-3.67A122.304 122.304 0 0 0 464.29 93.46l-11.485 9.976a103.749 103.749 0 0 0-22.483-19.645c-.84-.545-1.7-1.061-2.56-1.577l7.892-13.1a117.527 117.527 0 0 0-53.757-16.664l-.955 15.288v.163c-2.322-.153-4.654-.077-7.004-.077H350.06V52.506h-45.864v15.288h-30.577V52.506h-45.864v15.288H197.18V52.506h-45.864v15.288h-30.576V52.506H74.875v15.288H44.299V52.506H18.5v46.82h355.38c28.666 0 53.28 14.916 65.93 39.892a73.335 73.335 0 0 1 7.95 38.22v.44a71.959 71.959 0 0 1-10.682 32.487c-25.216 40.963-68.386 96.305-113.82 155.002a153.97 153.97 0 0 1-20.018 21.566 122.304 122.304 0 0 1-75.246 25.798H18.5v31.532h10.51v15.288h45.865v-15.288h30.576v15.288h45.864v-15.288h30.576v15.288h45.864v-15.498a145.762 145.762 0 0 0 21.824-1.615h.153l2.236 15.145a163.812 163.812 0 0 0 50.565-16.13l-6.975-13.682a149.794 149.794 0 0 0 26.916-17.59l9.737 11.857a164.146 164.146 0 0 0 28.025-29.554l6.364-8.6-12.317-9.058 18.155-24.623 12.25 9.02 27.183-36.94-12.316-9.058 18.154-24.623 12.317 9.058 27.146-36.95-12.317-9.058 13.177-17.839a107.215 107.215 0 0 0 5.035-7.51l13.033 8.026a117.336 117.336 0 0 0 17.4-53.575zm-231.853 232.37a118.148 118.148 0 0 0 35.287-11.467 117.986 117.986 0 0 1-35.287 11.466zM18.5 394.73v-49.964a41.392 41.392 0 0 0 40.924-41.335A41.392 41.392 0 0 0 18.5 262.096v-49.973a91.308 91.308 0 0 1 90.888 91.308A91.308 91.308 0 0 1 18.5 394.73zm0-77.55v-27.518a13.788 13.788 0 0 1 13.377 13.76A13.788 13.788 0 0 1 18.5 317.18z"}}]})(props);
};
function GiTank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M130.613 43.002v66.926c-22.925 19.7-38.03 48.177-40.533 80.252h234.51c-2.666-34.175-19.637-64.265-45.133-84.006H149.303V43.002h-18.69zM472.62 58.738L431.09 69.865l16.504 61.588 41.525-11.127-16.5-61.588zm-54.042 36.627l-98.787 26.47c5.382 7.835 9.97 16.256 13.647 25.15l92.342-24.745-7.202-26.875zM121.53 206.342l-78.364 37.045.002 50.3 18.207-7.556H442.11l19.316 6.413c0-51.397-119.076-83.53-183.166-86.2H121.53zm-38.17 97.88v.038c-35.936.645-65.065 30.15-65.065 66.232 0 36.484 29.777 66.26 66.262 66.26 1.286 0 2.563-.046 3.832-.12h106.473c1.27.074 2.545.12 3.832.12s2.563-.046 3.832-.12h107.34c1.27.074 2.545.12 3.832.12 1.286 0 2.562-.046 3.83-.12H423.7c1.268.074 2.544.12 3.83.12 36.486 0 66.263-29.776 66.263-66.26 0-36.485-29.777-66.262-66.262-66.262-.276 0-.55.02-.827.022v-.03H83.36zm47.2 18.686h22.13c-4.283 4.144-8.012 8.855-11.063 14.014-3.05-5.16-6.78-9.87-11.066-14.014zm114.14 0h22.995c-4.49 4.344-8.37 9.313-11.498 14.766-3.13-5.453-7.006-10.422-11.498-14.766zm115.003 0h21.824c-4.21 4.074-7.89 8.692-10.912 13.748-3.022-5.056-6.7-9.674-10.912-13.748zm-275.146.012c26.385 0 47.572 21.187 47.572 47.572 0 25.293-19.477 45.798-44.333 47.45H83.36v.09c-25.825-.63-46.378-21.558-46.378-47.54 0-26.383 21.19-47.572 47.575-47.572zm114.138 0c26.386 0 47.573 21.187 47.573 47.572 0 25.293-19.476 45.798-44.332 47.45h-6.48c-24.858-1.652-44.335-22.157-44.335-47.45 0-26.383 21.19-47.572 47.575-47.572zm115.004 0c26.372 0 47.548 21.166 47.57 47.533v.078c-.02 25.276-19.487 45.76-44.33 47.413h-6.48c-24.858-1.653-44.335-22.158-44.335-47.45 0-26.384 21.19-47.573 47.574-47.573zm113.83 0c26.387 0 47.575 21.187 47.575 47.572 0 26.383-21.188 47.572-47.574 47.572-.277 0-.55-.016-.827-.02v-.1h-2.412c-24.843-1.653-44.31-22.138-44.33-47.413v-.078c.022-26.364 21.2-47.532 47.57-47.532zm-171.333 80.39c3.098 5.398 6.928 10.32 11.362 14.633h-22.724c4.434-4.312 8.264-9.235 11.36-14.632zm-114.572.75c3.02 5.106 6.702 9.77 10.93 13.883h-21.858c4.228-4.112 7.91-8.778 10.928-13.882zm228.99.266c2.99 5.002 6.62 9.576 10.776 13.617h-21.55c4.155-4.04 7.786-8.615 10.775-13.617z"}}]})(props);
};
function GiTanzania (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M57.08 38.67l57.42-6 5.9 82.23 73.8-25.69 30.9-57.39 151.6 81.48 9.4 34.4 60.2 42.7-21.5 75.5 32.5 22.3-13.7 71.9 18.1 20.6-2.7 36.8 35.3 28.4-84.9 34.3-163-.9-19.7-74.5-139.59-52.4c-43.39-47.3-54.69-107-69.46-165.4l61.69-60.1z"}}]})(props);
};
function GiTap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M240 18c-4 0-8 4-16 12v32h-48.527C160 46 160 46 144 62c-16 16-16 16 0 32s16 16 30.77 0H224v32h32V94h48.703c15.803 16 15.8 16 31.8 0s16-16 0-32S320.506 46 304 62h-48V30c-8-8-12-12-16-12zM32 96v256h32V96zm64 48l-16-16v192l16-16zm144-2c-32 0-48.35 0-49.23 32H112v96h64.625C192 286 208 302 240 302s48-16 64-32c64 0 64 0 64 32v32h96v-64c0-64-32-96-96-96h-80c.35-32-16-32-48-32zm112 208v16h128v-16zm64 32s-38.823 51.66-32 82c4.22 18.76 12.77 30 32 30s27.78-11.24 32-30c6.823-30.34-32-82-32-82z"}}]})(props);
};
function GiTargetArrows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M27.48 25.695C37 62.802 51.945 100.233 69.07 137.86c17.496-31.598 41.214-52.96 71.563-70.473C102.823 50.575 65.097 36.27 27.48 25.695zm456.24 0c-37.62 10.575-75.347 24.88-113.156 41.692 30.35 17.514 54.067 38.875 71.563 70.472 17.125-37.627 32.07-75.058 41.592-112.165zm-367.1 81.315c-3.574 3.207-6.978 6.57-10.224 10.117L232.12 242.85l10.257-10.243L116.62 107.01zm277.956 0L28.018 473.11l10.54 10.26L404.8 117.126c-3.245-3.548-6.648-6.91-10.224-10.117zm-138.963 26.81c-24.338 0-47.014 7.245-65.998 19.682l13.494 13.477c15.33-9.19 33.285-14.472 52.503-14.472 19.214 0 37.16 5.28 52.483 14.465l13.492-13.477c-18.975-12.433-41.64-19.676-65.975-19.676zm-.004 45.08c-11.807 0-22.994 2.732-32.967 7.588l14.246 14.23c5.86-2.026 12.152-3.138 18.72-3.138 6.56 0 12.848 1.11 18.702 3.13l14.25-14.228c-9.97-4.853-21.15-7.582-32.953-7.582zm102.27 11.58l-13.556 13.55c8.464 14.877 13.297 32.102 13.297 50.488 0 19.172-5.255 37.087-14.403 52.392l13.496 13.48c12.386-18.958 19.598-41.59 19.598-65.872 0-23.51-6.76-45.467-18.43-64.04zm-204.56 0c-11.677 18.573-18.443 40.527-18.443 64.038 0 24.282 7.217 46.912 19.61 65.87l13.493-13.478c-9.154-15.305-14.416-33.22-14.416-52.392 0-18.386 4.838-35.61 13.307-50.487l-13.55-13.55zm171.315 33.24l-14.457 14.458c1.536 5.174 2.373 10.655 2.373 16.343 0 6.543-1.103 12.813-3.113 18.654l14.25 14.23c4.83-9.952 7.543-21.11 7.543-32.883 0-10.962-2.37-21.38-6.595-30.8zm-138.072.003c-4.227 9.417-6.598 19.836-6.598 30.798 0 11.773 2.715 22.93 7.547 32.882l14.25-14.23c-2.01-5.84-3.117-12.11-3.117-18.65 0-5.69.837-11.17 2.375-16.344l-14.458-14.455zm92.523 45.547l-10.274 10.273 203.83 203.826 10.54-10.26-204.096-203.84zm-39.84 39.84l-14.453 14.452c9.423 4.23 19.85 6.604 30.816 6.604 10.962 0 21.38-2.373 30.798-6.6l-14.453-14.453c-5.174 1.538-10.657 2.375-16.346 2.375-5.695 0-11.183-.838-16.364-2.38zM81.87 341.3l-68.024 68.026h51.588l68.11-68.025H81.872zm295.78 0l68.112 68.026h51.59L429.326 341.3H377.65zm-172.546 1.95l-13.55 13.553c18.58 11.68 40.544 18.45 64.06 18.45 23.51 0 45.464-6.768 64.036-18.444l-13.55-13.552c-14.875 8.47-32.102 13.306-50.487 13.306-18.39 0-35.625-4.84-50.51-13.314zm-34.88 34.883l-68.03 68.025.003 51.52 68.026-68.024v-51.52zm170.75 0v51.52L409 497.68l.002-51.52-68.027-68.025z"}}]})(props);
};
function GiTargetDummy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304.482 19.73c-19.18.347-39.96 9.122-56.498 25.66-22.422 22.423-30.554 52.63-22.783 76.09-65.956-30.317-59.724-32.208-123.327-73.015-10.072-6.462-19.445-9.412-27.816-9.805-13.953-.655-25.126 5.793-32.135 14.926-11.214 14.613-12.37 36.164 10.95 54.418 31.027 24.286 58.825 41.022 79.015 59.45 20.19 18.43 32.658 40.606 28.355 70.046v.002c-3.16 21.608-13.68 37.998-26.46 51.47-12.78 13.47-27.77 24.476-41.46 36.676-27.38 24.4-50.32 51.77-45.052 114.266 3.327 39.483 34.167 55.107 59.666 52.365 12.75-1.372 23.497-7.357 29.394-17.49 5.897-10.13 7.69-25.42-1.037-47.733h-.002c-7.592-19.416 3.128-40.832 18.368-57.09 15.24-16.26 36.807-28.817 58.852-24.998 6.175 1.07 11.446 4.722 15.056 9.157 3.61 4.435 5.982 9.604 7.955 15.234 3.948 11.262 6.26 24.69 9.117 38.58 5.71 27.777 13.67 55.973 33.068 68.474 37.964 24.468 75.254 17.395 91.902.44 8.325-8.475 11.916-18.84 9.127-31.14-2.788-12.297-12.694-27.158-34.267-41.845-23.664-16.11-32.657-48.282-33.846-80.118-1.188-31.836 5.29-64.08 20.13-84.033 6.878-9.25 17.534-13.128 29.645-17.417 12.11-4.29 26.21-8.48 40.753-14.694 29.086-12.426 59.652-32.204 79.14-76.788 17.078-39.068 3.357-64.292-15.298-73.474-9.327-4.592-20.128-5.156-30.435-.65-10.308 4.505-20.442 14.216-27.45 31.78-13.14 32.932-39.195 51.68-70.414 56.41-8.096 1.225-16.527 1.586-25.223 1.163 7.505-4.07 14.71-9.39 21.25-15.93 29.4-29.4 34.27-72.202 10.87-95.6-10.236-10.237-24.187-15.063-39.105-14.79zm-51.925 131.79c.84-.02 1.683-.017 2.525.007 4.49.13 8.978.873 13.393 2.305 17.656 5.73 29.82 21.068 35.47 39.566 5.65 18.5 5.292 40.598-1.843 62.635-7.136 22.038-19.795 40.148-35.213 51.815-15.42 11.666-34.268 16.947-51.925 11.218-17.657-5.73-29.82-21.067-35.47-39.566-5.65-18.5-5.29-40.6 1.845-62.637 7.135-22.038 19.795-40.148 35.213-51.814 10.84-8.204 23.378-13.25 36.004-13.53zm.21 18.65c-8.075.183-16.6 3.475-24.937 9.783-11.857 8.972-22.66 23.984-28.71 42.666-6.048 18.68-6.098 37.188-1.75 51.42 4.346 14.234 12.583 23.75 23.362 27.25 10.78 3.497 23.022.627 34.88-8.345 11.857-8.972 22.66-23.986 28.708-42.668 6.05-18.68 6.097-37.187 1.75-51.42-4.346-14.232-12.583-23.75-23.363-27.248-2.695-.875-5.48-1.352-8.33-1.434-.534-.016-1.07-.018-1.61-.006zm-7.25 27.643c.412-.01.826-.01 1.24.003 2.203.065 4.426.448 6.62 1.204 8.777 3.022 14.27 10.818 16.682 19.2 2.41 8.383 2.197 17.916-.7 27.415-2.9 9.498-8.015 17.453-14.762 22.87-6.748 5.42-15.967 8.365-24.744 5.343-8.778-3.023-14.27-10.82-16.682-19.202-2.412-8.382-2.2-17.917.7-27.416 2.897-9.498 8.01-17.453 14.76-22.87 4.743-3.81 10.71-6.398 16.886-6.548zm.46 18.63c-.477-.017-.995.038-1.563.192-1.137.307-2.475 1.006-4.082 2.297-3.215 2.58-6.668 7.466-8.586 13.752-1.917 6.285-1.854 12.49-.615 16.795 1.24 4.303 3.2 6.144 4.808 6.698 1.608.554 3.743.337 6.958-2.244 3.216-2.582 6.67-7.467 8.588-13.752 1.918-6.285 1.854-12.49.616-16.793-1.24-4.306-3.2-6.147-4.81-6.7-.4-.14-.837-.23-1.313-.247z","fillRule":"evenodd"}}]})(props);
};
function GiTargetLaser (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M61 16L16 61l195 180 195 165-165-195L61 16zm314.97 240c-21.068.066-42.135 5.635-60.876 16.656l45.406 45.406c10.03-2.64 20.587-2.446 30.594.157l45.75-45.75v-.064c-18.757-11.03-39.81-16.472-60.875-16.406zm-103.314 59.156c-22.027 37.48-22.31 84.238-.25 121.75l45.75-45.75c-2.56-10.002-2.73-20.594-.094-30.625l-45.406-45.374zm206.938 0l-45.75 45.75c2.556 10.007 2.73 20.565.094 30.594l45.406 45.406c22.03-37.48 22.312-84.24.25-121.75zM360.906 433.844l-45.75 45.75c37.514 22.06 84.27 21.788 121.75-.25L391.5 433.938V434c-10.03 2.64-20.592 2.45-30.594-.156z"}}]})(props);
};
function GiTargetPrize (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 24.99c-25 0-47.7 2.03-63.6 5.15-6.2 1.23-11 2.65-14.7 4.01 3.7 1.36 8.5 2.78 14.7 4.01 15.9 3.12 38.6 5.15 63.6 5.15s47.7-2.03 63.6-5.15c6.2-1.23 11-2.65 14.7-4.01-3.7-1.36-8.5-2.78-14.7-4.01-15.9-3.12-38.6-5.15-63.6-5.15zM155.2 30.3c-19.1 8.9-29.4 26.02-26.8 43.08 2 12.32 10.9 23.51 25 29.32 8.1 3.4 17.9 5.2 29.4 5.1 13.3 24.7 31.3 45.1 50.6 54.6v43.9c-17 10.3-28.3 31.7-39.4 53.7 38.8 9.9 85.3 9.4 123.9-.1-11-22-22.4-43.3-39.3-53.6v-43.9c19.3-9.5 37.3-29.9 50.6-54.6 11.5.1 21.3-1.7 29.4-5.1 14.1-5.81 23-17 25-29.32 2.6-17.06-7.7-34.18-26.8-43.08.4 1.2.6 2.48.6 3.85 0 4.35-2.3 7.91-4.7 10.15-2.3 2.24-4.9 3.73-7.8 5.08-5.8 2.7-13.1 4.72-21.9 6.44-17.5 3.46-41 5.49-67 5.49s-49.5-2.03-67-5.49c-8.8-1.72-16.1-3.74-21.9-6.44-2.9-1.35-5.5-2.84-7.8-5.08-2.4-2.24-4.7-5.8-4.7-10.15 0-1.37.2-2.65.6-3.85zm6.6 16.31c2.3 14.34 6.5 28.91 12.3 42.74-5.6-.55-10.1-1.71-13.8-3.24-9.4-3.9-13.2-9.63-14.1-15.51-1.2-7.93 3.3-18.15 15.6-23.99zm188.4 0c12.3 5.84 16.8 16.06 15.6 23.99-.9 5.88-4.7 11.61-14.1 15.51-3.7 1.53-8.2 2.69-13.8 3.24 5.8-13.83 10-28.4 12.3-42.74zM256 278L95.98 358 224 342l-32 144h128l-32-144 128 16-160-80z"}}]})(props);
};
function GiTargetShot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M58.11 20.152c20.53 18.986 40.747 38.58 60.482 58.592-.085.062-.168.127-.252.19 13.45 13.612 26.668 27.42 39.617 41.367l.213-.142c4.3 4.643 8.576 9.3 12.812 13.97l-.195.126c12.993 14.29 25.67 28.708 37.986 43.19l.106-.104c27.063 31.912 52.34 64.147 75.237 96.072 2.08 2.902 4.143 5.8 6.184 8.695l.723 1.026c1.75 2.486 3.48 4.97 5.2 7.45.463.67.93 1.338 1.392 2.007 1.43 2.076 2.845 4.15 4.254 6.22.68 1.003 1.37 2.007 2.048 3.008 1.403 2.076 2.786 4.148 4.166 6.22.54.808 1.09 1.62 1.627 2.43 0-.002 0 0 0 0l-.003-.003c-2.97-1.966-5.948-3.96-8.928-5.97-.582-.394-1.165-.794-1.747-1.188-2.45-1.66-4.9-3.33-7.353-5.02-.606-.417-1.213-.84-1.82-1.26-2.384-1.648-4.77-3.31-7.16-4.986l-2.05-1.442c-2.514-1.773-5.03-3.56-7.548-5.362l-1.032-.74c-2.94-2.11-5.883-4.238-8.828-6.387-28.878-21.073-57.928-44.03-86.693-68.44l.055-.057c-14.42-12.256-28.77-24.868-42.99-37.795l-.062.1c-4.677-4.246-9.342-8.522-13.99-12.832l.08-.117c-13.968-12.973-27.795-26.218-41.418-39.697l-.096.127C59.19 100.682 40.636 81.533 22.626 62.086c14.89 23.17 30.88 46.1 47.81 68.67C24.96 203.542 33.861 300.61 97.142 363.89c57.81 57.81 143.806 70.223 213.735 37.266-16.82-13.53-33.103-27.866-48.74-42.906-43.354 10.697-91.117-.853-124.934-34.67-38.908-38.91-48.344-96.285-28.325-144.162 4.546 5.473 9.143 10.917 13.793 16.33-12.57 39.06-3.322 83.547 27.748 114.617 26.16 26.16 61.83 36.84 95.764 32.063-30.955-31.627-59.076-66.004-83.49-102.184 97.134 103.204 211.78 192 327.656 250.217C432.41 375.526 344.058 261.308 241.47 164.308c35.714 23.993 69.634 51.706 100.897 82.21 4.888-34.028-5.787-69.84-32.027-96.08-22.12-22.123-51.042-33.183-79.963-33.183-11.797 0-23.594 1.842-34.93 5.523-5.398-4.646-10.83-9.24-16.287-13.783 16.332-6.867 33.773-10.31 51.217-10.31 33.743 0 67.487 12.847 93.178 38.54 33.88 33.88 45.414 81.762 34.615 125.182 15.026 15.575 29.362 31.8 42.904 48.555 32.952-69.93 20.536-155.932-37.27-213.74-36.82-36.82-85.077-55.232-133.333-55.232-34.703 0-69.406 9.522-99.855 28.565-23.82-17.92-48.043-34.778-72.506-50.4z"}}]})(props);
};
function GiTargeted (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16C123.45 16 16 123.45 16 256s107.45 240 240 240 240-107.45 240-240S388.55 16 256 16zm0 60c99.41 0 180 80.59 180 180s-80.59 180-180 180S76 355.41 76 256 156.59 76 256 76zm-15 30a15 15 0 0 0-15 15v30a15 15 0 0 0 15 15h30a15 15 0 0 0 15-15v-30a15 15 0 0 0-15-15h-30zm16.75 90.03A60 60 0 0 0 196 256a60 60 0 0 0 120 0 60 60 0 0 0-58.25-59.97zM121 226a15 15 0 0 0-15 15v30a15 15 0 0 0 15 15h30a15 15 0 0 0 15-15v-30a15 15 0 0 0-15-15h-30zm240 0a15 15 0 0 0-15 15v30a15 15 0 0 0 15 15h30a15 15 0 0 0 15-15v-30a15 15 0 0 0-15-15h-30zM241 346a15 15 0 0 0-15 15v30a15 15 0 0 0 15 15h30a15 15 0 0 0 15-15v-30a15 15 0 0 0-15-15h-30z"}}]})(props);
};
function GiTargeting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M310.537 18.758L295.6 74.506c-13.073-2.813-26.154-4.16-39.067-4.156v18.662c11.306.01 22.76 1.187 34.217 3.59l-14.488 54.066c2.972.543 5.946 1.206 8.916 2.002 3.11.834 6.152 1.798 9.127 2.873l14.502-54.123c11.127 3.643 21.627 8.365 31.425 14.006l9.338-16.174c-11.182-6.454-23.19-11.818-35.918-15.912l16.235-60.582h-19.35zM208.4 76.756c-31.462 8.497-60.265 25.152-83.328 48.181l13.15 13.15c8.15-8.16 17.1-15.426 26.684-21.704l27.936 48.387c5.127-3.557 10.544-6.68 16.19-9.334l-27.948-48.41c10.225-5.174 20.994-9.3 32.133-12.297L208.4 76.755zm179.668 48.105l-13.154 13.156c8.155 8.164 15.418 17.127 21.69 26.722l-48.692 28.114c3.55 5.132 6.664 10.554 9.31 16.205l48.725-28.13c5.168 10.23 9.292 21.003 12.278 32.147l17.97-4.816c-8.473-31.48-25.11-60.31-48.127-83.397zm-292.55 38.574c-6.442 11.175-11.8 23.17-15.885 35.888l-60.737-16.275v19.348L74.8 217.373c-2.805 13.06-4.13 26.126-4.122 39.025H89.33c.008-11.293 1.157-22.734 3.553-34.18l53.847 14.428c.554-3.077 1.233-6.157 2.057-9.232.805-3.005 1.732-5.944 2.762-8.822l-53.843-14.428c3.634-11.116 8.346-21.606 13.973-31.398l-16.162-9.332zm162.023 20.484c-.895.003-1.788.022-2.68.06-30.888 1.26-58.825 22.36-67.23 53.73-10.347 38.61 12.708 78.54 51.317 88.886 38.61 10.345 78.54-12.71 88.885-51.32 10.345-38.607-12.708-78.538-51.316-88.883-6.335-1.697-12.706-2.494-18.975-2.472zm-.01 18.658c1.287 0 2.582.045 3.88.137l-5.498 20.377c.9-.072 1.806-.12 2.725-.12 5.642 0 10.955 1.398 15.623 3.856l5.293-19.617c21.288 9.357 34.11 31.358 31.818 54.456l-19.15-5.168c0 .018.003.036.003.055 0 6.584-1.904 12.722-5.178 17.906l19.332 5.214c-9.793 20.695-31.702 32.98-54.574 30.39l5.385-19.96c-6.583-.28-12.67-2.457-17.74-5.995l-5.59 20.706c-19.83-9.728-31.712-30.68-29.83-52.753l21.054 5.68c-.014-.396-.03-.79-.03-1.19 0-6.18 1.675-11.964 4.587-16.938l-20.882-5.633c8.495-18.616 26.727-30.598 46.777-31.367.663-.025 1.328-.038 1.994-.04zm166.353 53.822c-.02 11.3-1.186 22.75-3.598 34.2l-54.342-14.56c-.547 3.007-1.214 6.02-2.02 9.024-.823 3.074-1.774 6.08-2.833 9.02l54.346 14.563c-3.65 11.117-8.38 21.608-14.024 31.398l16.172 9.338c6.46-11.173 11.833-23.17 15.936-35.89l60.654 16.252v-19.346l-55.805-14.953c2.822-13.065 4.162-26.137 4.17-39.045h-18.657zM95.027 299.672l-17.97 4.814c8.487 31.435 25.118 60.222 48.11 83.278l13.157-13.155c-8.142-8.15-15.396-17.094-21.664-26.67L165.057 320c-3.57-5.118-6.708-10.528-9.377-16.168l-48.37 27.928c-5.166-10.213-9.292-20.965-12.283-32.088zm224.965 47.95c-5.122 3.563-10.534 6.692-16.178 9.355l28.112 48.69c-10.22 5.157-20.98 9.274-32.112 12.255l4.815 17.965c31.454-8.46 60.26-25.07 83.34-48.053l-13.152-13.15c-8.158 8.14-17.112 15.39-26.7 21.652l-28.126-48.715zM218.81 361.08l-14.49 54.07c-11.104-3.64-21.583-8.36-31.363-13.992l-9.338 16.174c11.163 6.446 23.15 11.807 35.855 15.9l-16.293 60.8h19.35l14.993-55.96c13.053 2.815 26.115 4.172 39.01 4.178v-18.674c-11.288-.018-22.725-1.18-34.164-3.584l14.5-54.11c-3.113-.558-6.227-1.244-9.34-2.077-2.97-.796-5.875-1.71-8.72-2.725z"}}]})(props);
};
function GiTatteredBanner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M93.313 19.406c-11.24 0-20.157 8.916-20.157 20.157 0 6.968 3.436 13.022 8.72 16.624L35.218 494.25H54l46.438-435.875c7.637-2.84 13-10.1 13-18.813 0-11.237-8.886-20.156-20.126-20.156zm23.906 52.688l-21.157 198.78 92.624 19.532 64.157-194L117.22 72.094zm137.593 78.28L190.625 344.44l58.28 11.03-3.81-57.874 27.03 29.906 18.594-7.844 11.31 45.875 82.69 15.626-34.033-68.437 29.844-12.658 23.033 32.563 42.5.188 1.875 17.875 39-24.375-35.813-8.532-7.938-29.655-45.78-2.406 3.28-30.845-35.437-19.406 15.03-31.095 28.064-21.344v-.093l-153.53-32.562zm189.875 9.44l2.125 34.53-51.22 23.312 71.782 4.375 16.22-15.718L462.904 172l-18.217-12.188zm-4.47 84.874l35.126 45.625 18.47-25.625-53.595-20zm-98.468 8.25l24.813 1.406 5.218 23.75-50.155 9.062 20.125-34.22zm-4.03 76.687l11.967 19.22-37.062 2.217 5.094-15.906 20-5.53zm79.874 16.5l-17.53 29.188 39.717 32.718 40.876-11.092-40.28-19.875-22.782-30.938z"}}]})(props);
};
function GiTaurus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M30.882 30.14S64.407 19.33 122.97 49.78C183.966 81.5 208.598 166.55 255.876 167.64c47.283-1.09 71.92-86.14 132.912-117.858 58.558-30.45 92.088-19.643 92.088-19.643v85.483s-38.062-2.453-58.934 13.507c-15.165 11.593-45.23 54.296-71.375 80.08 38.867 27.833 63.966 71.877 63.966 121.45 0 84.162-72.343 152.39-161.587 152.39-89.244 0-161.593-68.228-161.593-152.39 0-51.03 26.6-96.205 67.432-123.865-25.558-25.957-54.263-66.43-68.965-77.67-20.877-15.96-58.938-13.506-58.938-13.506V30.14zM179.45 330.49c0 40.01 32.98 72.44 73.664 72.44 40.684 0 73.67-32.435 73.67-72.44 0-40.004-32.98-72.44-73.67-72.44-40.688 0-73.664 32.436-73.664 72.44z"}}]})(props);
};
function GiTeacher (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M120.998 40.998v37.943C136.22 89.471 146 109.278 146 131.001c0 13.71-3.901 26.65-10.598 36.985 3.465 1.35 7.106 2.85 10.15 4.172l122.352-22.783 5.918 54.842-111.748 23.219c-.862 16.261-2.45 32.262-5.289 51.566h336.217V40.998zM96 88.998c-16.595 0-32.002 17.747-32.002 42.004 0 24.257 15.407 42.002 32.002 42.002 16.595 0 32.002-17.745 32.002-42.002S112.595 88.998 96 88.998zm156.096 81.629l-108.592 20.22c-14.24-5.602-4.956-3.035-21.469-8.517-7.476 5.469-16.33 8.672-26.035 8.672-8.6 0-16.53-2.523-23.428-6.9-8.59 3.564-17.655 8.09-25.736 12.654-12.992 7.338-23.722 13.211-27.838 16.033v130.213h20.004V232h17.996v263.002h30.004V326h17.996v169.002h26.004v-171.84l.154-.824c9.514-50.64 12.588-77.384 13.461-109.656l109.56-22.766zm-98.153 126.375c-.952 5.682-1.991 11.64-3.146 17.996H478v-17.996zM208 344.998c-16.595 0-32.002 17.747-32.002 42.004 0 18.198 8.67 32.73 20.01 38.855 3.599-1.662 7.482-2.706 11.68-2.851 4.633-.16 8.98.767 13.052 2.42 10.968-6.352 19.262-20.63 19.262-38.424 0-24.257-15.407-42.004-32.002-42.004zm112 0c-16.595 0-32.002 17.747-32.002 42.004 0 18.198 8.67 32.73 20.01 38.855 3.599-1.662 7.482-2.706 11.68-2.851 4.633-.16 8.98.767 13.052 2.42 10.968-6.352 19.262-20.63 19.262-38.424 0-24.257-15.407-42.004-32.002-42.004zm112 0c-16.595 0-32.002 17.747-32.002 42.004 0 18.198 8.67 32.73 20.01 38.855 3.599-1.662 7.482-2.706 11.68-2.851 4.633-.16 8.98.767 13.052 2.42 10.968-6.352 19.262-20.63 19.262-38.424 0-24.257-15.407-42.004-32.002-42.004zm-223.688 95.996c-3.844.133-8.907 2.93-14.3 8.785-5.394 5.855-10.696 14.25-15.125 22.76-4.226 8.12-7.609 16.16-10.06 22.463h85.339c-3.04-6.436-7.138-14.549-12.133-22.711-5.298-8.658-11.511-17.138-17.668-22.957-6.157-5.819-11.8-8.487-16.053-8.34zm112 0c-3.844.133-8.907 2.93-14.3 8.785-5.394 5.855-10.696 14.25-15.125 22.76-4.226 8.12-7.609 16.16-10.06 22.463h85.339c-3.04-6.436-7.138-14.549-12.133-22.711-5.298-8.658-11.511-17.138-17.668-22.957-6.157-5.819-11.8-8.487-16.052-8.34zm112 0c-3.844.133-8.907 2.93-14.3 8.785-5.394 5.855-10.696 14.25-15.125 22.76-4.226 8.12-7.609 16.16-10.06 22.463h85.339c-3.04-6.436-7.138-14.549-12.133-22.711-5.298-8.658-11.511-17.138-17.668-22.957-6.157-5.819-11.8-8.487-16.052-8.34z"}}]})(props);
};
function GiTeamDowngrade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M80.37 32v64h-32l48 64 48.03-64h-32V32H80.37zm160.03 0v64h-32l48 64 48-64h-32V32h-32zm160 0v64h-32l48 64 48-64h-32V32h-32zM96.37 192c-17.2 0-32.5 18.4-32.5 42.5 0 12.4 4.1 23.4 10.3 31l6.2 7.8-9.9 1.5c-9.4 1.5-15.8 6-21.1 13.1-5.3 7.1-9.2 16.9-11.6 28.4-4.7 20.9-4.8 46.6-4.8 69h25.9l6.3 98h59.73l7.2-98h27.3c-.1-22.1-1.2-47.5-6.3-68.3-2.8-11.3-6.7-21.2-12-28.4-5.1-7.1-11.4-11.6-19.9-13.2l-9.7-1.8 6.4-7.5c6.4-7.8 10.8-18.9 10.8-31.6 0-22.7-13.7-40.4-29.13-42.5h-3.2zm160.03 0c-17.2 0-32.5 18.4-32.5 42.5 0 12.4 4.1 23.4 10.3 31l6.2 7.8-9.9 1.5c-9.4 1.5-15.8 6-21.1 13.1-5.3 7.1-9.2 16.9-11.6 28.4-4.7 20.9-4.8 46.6-4.8 69h25.9l6.3 98h59.7l7.2-98h27.3c-.1-22.1-1.2-47.5-6.3-68.3-2.8-11.3-6.7-21.2-12-28.4-5.1-7.1-11.4-11.6-19.9-13.2l-9.7-1.8 6.4-7.5c6.4-7.8 10.8-18.9 10.8-31.6 0-22.7-13.7-40.4-29.1-42.5h-3.2zm160 0c-17.1 0-32.4 18.4-32.4 42.5 0 12.4 4.1 23.4 10.3 31l6.2 7.8-9.9 1.5c-9.4 1.5-15.9 6-21.2 13.1-5.3 7.1-9.2 16.9-11.6 28.4-4.7 20.9-4.8 46.6-4.8 69h25.9l6.4 98h59.6l7.3-98h27.2c-.1-22.1-1.2-47.5-6.2-68.3-2.8-11.3-6.8-21.2-12.1-28.4-5.1-7.1-11.4-11.6-19.8-13.2l-9.7-1.8 6.3-7.5c6.4-7.8 10.8-18.9 10.8-31.6 0-22.7-13.7-40.4-29.1-42.5h-3.2z"}}]})(props);
};
function GiTeamIdea (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-48 0-80 32-80 64 0 48 16 80 32 96v16h96v-16c16-16 32-48 32-96 0-32-32-64-80-64zm-63.6 65.33L256 102.5l63.6-21.17-39.2 97.97-16.8-6.6 24.8-62-32.4 10.8-32.4-10.8 24.8 62-16.8 6.6-39.2-97.97zm-83.3 79.07c-23.4 3-44.6 30.5-44.6 65.9 0 19.6 6.8 36.9 16.7 48.9l11.9 14.2-18.3 3.4c-12.9 2.5-22.3 9.3-30.4 20.4-8.1 11.1-14.3 26.5-18.6 44.4C18 389.8 16.2 429.2 16 464h42.8l2.24 30H169.6l2-30h40.8c0-35.2-.4-75.1-7.5-107.7-4-17.9-9.9-33.3-18.1-44.3-8.2-11-18.1-17.8-32.6-20l-18.5-2.9 11.7-14.7c9.5-11.9 15.9-29 15.9-48.1 0-37.8-23.6-65.8-49.4-65.8l-4.8-.1zm283.6 0c-23.4 3-44.6 30.5-44.6 65.9 0 19.6 6.8 36.9 16.7 48.9l11.9 14.2-18.3 3.4c-12.9 2.5-22.3 9.3-30.4 20.4-8.1 11.1-14.3 26.5-18.6 44.4-7.8 32.2-9.6 71.6-9.8 106.4h42.8l2.2 30h108.6l2-30H496c0-35.2-.4-75.1-7.5-107.7-4-17.9-9.9-33.3-18.1-44.3-8.2-11-18.1-17.8-32.6-20l-18.5-2.9 11.7-14.7c9.5-11.9 15.9-29 15.9-48.1 0-37.8-23.6-65.8-49.4-65.8l-4.8-.1zM208 209v18h96v-18h-96zm16 34v18h64v-18h-64z"}}]})(props);
};
function GiTeamUpgrade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96.37 32l-48 64h32v64h32.03V96h32L96.37 32zm160.03 0l-48 64h32v64h32V96h32l-48-64zm160 0l-48 64h32v64h32V96h32l-48-64zM96.37 192c-17.2 0-32.5 18.4-32.5 42.5 0 12.4 4.1 23.4 10.3 31l6.2 7.8-9.9 1.5c-9.4 1.5-15.8 6-21.1 13.1-5.3 7.1-9.2 16.9-11.6 28.4-4.7 20.9-4.8 46.6-4.8 69h25.9l6.3 98h59.73l7.2-98h27.3c-.1-22.1-1.2-47.5-6.3-68.3-2.8-11.3-6.7-21.2-12-28.4-5.1-7.1-11.4-11.6-19.9-13.2l-9.7-1.8 6.4-7.5c6.4-7.8 10.8-18.9 10.8-31.6 0-22.7-13.7-40.4-29.13-42.5h-3.2zm160.03 0c-17.2 0-32.5 18.4-32.5 42.5 0 12.4 4.1 23.4 10.3 31l6.2 7.8-9.9 1.5c-9.4 1.5-15.8 6-21.1 13.1-5.3 7.1-9.2 16.9-11.6 28.4-4.7 20.9-4.8 46.6-4.8 69h25.9l6.3 98h59.7l7.2-98h27.3c-.1-22.1-1.2-47.5-6.3-68.3-2.8-11.3-6.7-21.2-12-28.4-5.1-7.1-11.4-11.6-19.9-13.2l-9.7-1.8 6.4-7.5c6.4-7.8 10.8-18.9 10.8-31.6 0-22.7-13.7-40.4-29.1-42.5h-3.2zm160 0c-17.1 0-32.4 18.4-32.4 42.5 0 12.4 4.1 23.4 10.3 31l6.2 7.8-9.9 1.5c-9.4 1.5-15.9 6-21.2 13.1-5.3 7.1-9.2 16.9-11.6 28.4-4.7 20.9-4.8 46.6-4.8 69h25.9l6.4 98h59.6l7.3-98h27.2c-.1-22.1-1.2-47.5-6.2-68.3-2.8-11.3-6.8-21.2-12.1-28.4-5.1-7.1-11.4-11.6-19.8-13.2l-9.7-1.8 6.3-7.5c6.4-7.8 10.8-18.9 10.8-31.6 0-22.7-13.7-40.4-29.1-42.5h-3.2z"}}]})(props);
};
function GiTeapotLeaves (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M211.445 26.773C137.751 25.997 44.26 75.975 42.477 239.486c-8.545 16.61-14.032 34.713-14.032 52.287 0 13.75 4.94 25.406 14.274 36.074s23.228 20.078 40.38 27.701c34.305 15.247 81.346 23.225 128.346 23.225 30.105 0 60.22-3.28 87-9.639v-48.361c1.9-6.007 5.104-12.136 9.104-15.994 5.237-4.953 12.015-8.802 19.986-11.99 15.943-6.378 36.846-10.016 59.91-10.016 2.203 0 4.379.044 6.54.11-2.628-26.23-16.394-52.877-33.454-73.348-9.496-11.396-19.956-20.86-29.578-27.274a79.937 79.937 0 0 0-5.707-3.47c-1.604 1.517-3.377 2.904-5.23 4.167-6.703 4.57-15.405 8.262-25.985 11.436-21.16 6.348-49.836 10.379-82.586 10.379s-61.426-4.031-82.586-10.38c-10.58-3.173-19.281-6.865-25.984-11.435-1.853-1.263-3.627-2.65-5.23-4.168a79.938 79.938 0 0 0-5.707 3.471c-11.996 9.21-22.661 18.58-30.645 28.6 3.094-90.792 69.745-166.58 150.152-166.088 47 0 83.793 7.683 109.42 35.14 18.78 20.121 32.355 52.099 38.274 101.938 5.217 4.882 10.331 10.293 15.22 16.16a193.205 193.205 0 0 1 4.871 6.104c-4.233-66.075-19.632-109.083-45.205-136.483-30.372-32.542-73.58-40.86-122.58-40.86zm-9 89v25.369c-15.394 1.095-37.588 4.946-56.816 9.361-12.492 2.869-26.519 5.525-36.63 13.985 6.339 6.58 17.481 10.365 25.032 12.664 18.84 5.652 46.164 9.62 77.414 9.62s58.574-3.968 77.414-9.62c7.918-3.755 19.654-5.043 25.034-12.664-10.812-7.303-25.474-11.167-36.631-13.985-19.14-4.785-41.423-8.266-56.817-9.361v-25.37zM459.07 151.32c-12.203-.1-23.82 5.44-23.627 12.263 18.388 9.998 36.678 10.319 47.11 1.57 6.358-5.332-19.468-13.8-23.483-13.833zm-36.027 25.828c-12.671 12.753-27.106 24.45-41.209 30.433 16.009 21.882 28.415 48.64 30.342 76.663a167.562 167.562 0 0 1 15.941 2.722c20.988-28.852 29.848-68.37 43.104-99.674-14.763 2.331-31.553-.14-48.178-10.144zm-35.598 123.625c-21.118 0-39.696 5.078-53.226 8.728-7.201 1.943-17.637 6.785-17.774 14.272 2.12 7.532 11.521 11.731 17.774 14.271 13.011 5.205 32.108 8.729 53.226 8.729 21.119 0 40.215-3.524 53.227-8.729 5.214-2.934 17.637-6.784 17.773-14.271-2.119-7.533-11.52-11.732-17.773-14.272-13.012-5.204-32.108-8.728-53.227-8.728zm-71 48.605v70.395c0 12.25 7.067 21.035 20.235 28.058s31.965 10.942 50.765 10.942 37.598-3.919 50.766-10.942 20.234-15.808 20.234-28.058v-70.395c-3.365 1.998-7.074 3.773-11.09 5.38-15.942 6.376-36.845 10.015-59.91 10.015-23.064 0-43.967-3.639-59.91-10.016-4.015-1.606-7.725-3.381-11.09-5.379zm-122.091 58.783c-32.944 7.997-65.843 6.02-94.125 4.163-17.383-1.142-33.086-2.17-45.69-1.1-8.301.704-14.874 2.364-20.193 5.016 11.668 11.788 26.717 21.415 46.199 27.025 5.622-3.346 11.84-5.581 18.27-6.896 14.864-3.04 31.296-2.337 49.019-2.194 10.8.088 22.024.032 33.537-.945 6.809-7.024 9.929-17.027 12.983-25.069zm56.341 23.84c-36.811 19.406-73.306 20.413-103.007 20.172-18.006-.146-33.672-.541-45.266 1.83-8.787 1.798-14.964 4.559-19.772 10.328 26.798 18.15 68.464 29.208 118.88 13.125 29.22-9.32 38.834-20.316 44.488-32.025 2.007-4.157 3.36-8.726 4.677-13.43z"}}]})(props);
};
function GiTeapot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.826 85.162c-12.295 0-22.263 9.973-22.263 22.274 0 6.545 2.824 12.43 7.318 16.505-17.227 3.053-33.423 10.562-48.218 21.564 4.093 1.436 8.62 2.72 13.525 3.777 16.838 3.627 37.55 5.008 57.97 4.407 20.42-.6 40.615-3.183 56.406-7.125 1.224-.305 2.41-.63 3.578-.964-16.056-11.974-33.772-19.82-52.663-22.327 4.08-4.036 6.613-9.638 6.613-15.834 0-12.3-9.968-22.274-22.264-22.274zm-79.273 74.225c-4.527 4.47-8.882 9.288-13.057 14.412 26.254 9.453 58.836 15.887 94.848 15.887 36.46 0 69.31-5.498 95.36-15.2-4.11-5.09-8.39-9.89-12.845-14.346-4.836 1.703-10.117 3.17-15.766 4.58-17.532 4.375-38.765 7.02-60.375 7.655-21.612.635-43.545-.738-62.47-4.813-9.363-2.015-18.09-4.593-25.697-8.175zm-101.272 1.8C59.95 161 47.278 165.13 37.938 175c-9.34 9.87-14.998 24.657-16.312 44.53-1.47 22.042 1.022 38.312 6.97 50.814 5.946 12.502 15.397 20.635 25.31 26.22 9.815 5.526 19.944 9.16 29.503 13.207-1.39-6.85-2.278-14.083-2.646-21.688-6.516-2.555-12.605-4.932-17.7-7.8-7.797-4.392-13.495-9.354-17.593-17.97-4.1-8.615-6.525-21.508-5.19-41.53 1.123-16.975 5.726-27.132 11.22-32.938 5.494-5.806 12.203-8.096 20.5-7.97 10.355.16 22.67 5.086 33.033 12.23 3.188-5.497 6.64-10.85 10.328-16.055-12.74-8.877-27.897-14.63-43.08-14.863zm387.882 6.614c-11.768-.228-23.427 4.766-32.387 19.817h.002c-11.343 19.057 10.273 70.745-16.515 78.233-.035-.346-.063-.694-.1-1.04l-.094.928c-17.243-1.76-27.984 2.648-35.298 9.666-7.315 7.02-11.37 17.463-12.075 28.785-.706 11.322 2.086 23.248 7.276 31.964 3.395 5.702 7.53 9.915 12.387 12.395l-.322 1.608c28.657 2.568 82.005-3.247 86.13-57.637 3.07-40.457-30.97-111.518 15.565-89.764-3.6-11.372 1.018-19.242 12.096-21.092-9.85-6.638-23.327-13.604-36.664-13.863zm-326.474 15.012c-21.276 28.462-34.438 61.033-34.438 97.313 0 43.367 16.458 69.532 44 86.688 27.542 17.155 67.3 24.375 112.063 24.375 44.76 0 84.658-7.208 112.375-24.375 1.61-.998 3.177-2.03 4.71-3.088-7.236-4.373-13.164-10.75-17.486-18.01-7.407-12.44-10.806-27.66-9.87-42.69.938-15.028 6.362-30.14 17.788-41.105 9.998-9.593 24.464-15.386 42.293-15.217.978.01 1.975.054 2.973.1-5.512-23.568-16.517-45.475-30.815-63.834-31.777 16.617-74.14 25.405-121.936 25.405-48.047 0-90.2-10.66-121.656-25.563zm226.193 209.11c-29.715 13.08-65.89 17.953-104.567 17.953-38.47 0-74.382-4.812-103.89-17.738 5.108 11.837 13.503 20.477 24.602 27.236 19.175 11.677 47.392 16.79 79.366 16.79 31.974 0 60.325-5.113 79.628-16.802 11.236-6.803 19.725-15.502 24.863-27.438z"}}]})(props);
};
function GiTearTracks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.938 18.22c-42.195 0-80.92 25.056-109.782 67.75-28.862 42.692-47.312 102.834-47.312 169.06 0 66.228 18.45 125.715 47.312 168.407 8.205 12.137 17.224 22.822 26.875 31.938V345.062c-1.848-68.64-15.293-95.28-56.374-95.28 0-33.167 45.555-52.78 82.563-52.313 25.32.32 46.655 10.066 46.655 31.28-34.76 19.23-50.127 40.276-54.156 97.625V470.5c19.73 13.406 41.468 20.688 64.218 20.688 22.727 0 44.44-7.276 64.156-20.657V325.97c-4.074-57.04-19.45-78.038-54.125-97.22 0-21.214 21.334-30.96 46.655-31.28 37.008-.47 82.563 19.145 82.563 52.31-41.08 0-54.526 26.64-56.375 95.282v110.375c9.675-9.128 18.683-19.837 26.906-32 28.86-42.692 47.342-102.18 47.342-168.406s-18.48-126.368-47.343-169.06c-28.863-42.694-67.588-67.75-109.783-67.75zm-78.344 194.56c-12.51 0-22.656 10.147-22.656 22.657s10.146 22.657 22.656 22.657c12.51 0 22.656-10.146 22.656-22.656 0-12.51-10.146-22.657-22.656-22.657zm156.656 0c-12.51 0-22.656 10.147-22.656 22.657s10.146 22.657 22.656 22.657c12.51 0 22.625-10.146 22.625-22.656 0-12.51-10.115-22.657-22.625-22.657z"}}]})(props);
};
function GiTearing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M14.223 16.04C61.87 72.49 129.64 160.757 96.22 203.394c56.01 18.077 119.235 143.897 150.99 175.052 1.477-24.13 23.964-14.4 51.776 7.51 10.106-14.555 19.463-30.113 28.04-46.437-71.51-21.026-159.736-152.712-108.915-135.123C159.834 150.63 67.013 58.298 14.224 16.04zm392.732.126c.013.28.022.557.035.838 3.71 31.3 4.355 64.147 2.094 97.443 35.58 48.458 39.525 120.59 24.836 190.244-11.444 54.268-34.302 107.376-64.797 147.394 23.478 24.646 40.965 44.89 40.965 44.89 56.49-99.385 157.33-291.34-3.133-480.808zm-.865 129.848c-11.03 90.59-42.957 181.907-92.518 252.078 14.08 12.273 28.75 26.505 42.31 40.304 27.426-37.093 49.073-86.927 59.75-137.562 11.892-56.388 10.05-113.31-9.542-154.82z"}}]})(props);
};
function GiTec9 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M467.98 127.16v24h25v-24zm-358.39-38H54.98V76.84zM28.12 333l59.06 9.16a10.57 10.57 0 0 0 11.75-7.21l26.88-77.79h78.17v6h81v-47.83l18.08-17.93 14.92-.53v-40.71h-252l-36.22-23.42-7.74 4.53v45.31a10.29 10.29 0 0 0 10.21 10.58h22.63c9.3 0 24.77 19 10.4 37.74-12.28 16.06-34.71 63.93-45.28 87.1a10.69 10.69 0 0 0 8.14 15zm103.25-91.84l14.74-42h57.87v42zm143.44-126.45a7.9 7.9 0 1 1-7.9 7.9 7.9 7.9 0 0 1 7.9-7.9zm.17 320.45h-51v-156h51zM38.33 119.34l-7.35-4.53v-9.65h227.19a37.84 37.84 0 0 0-4.52 6h-81a11 11 0 1 0 0 22h81a21 21 0 0 0 5.35 7H70.69zm295.65 37.45v16.37h118v-68H291.45c4.47 5 7.26 10.36 7.26 17.08a23.18 23.18 0 0 1-8.15 17.92h43.42zm99.27-18.34a6.46 6.46 0 1 1 6.46 6.46 6.46 6.46 0 0 1-6.46-6.46zm-12.92 19.38a6.46 6.46 0 1 1 6.46 6.46 6.46 6.46 0 0 1-6.47-6.46zm0-36.66a6.46 6.46 0 1 1 6.46 6.46 6.46 6.46 0 0 1-6.47-6.47zm-13.51 17.27a6.46 6.46 0 1 1 6.46 6.46 6.46 6.46 0 0 1-6.46-6.45zm-12.92 19.38a6.46 6.46 0 1 1 6.46 6.46 6.46 6.46 0 0 1-6.47-6.45zm0-36.66a6.46 6.46 0 1 1 6.46 6.46 6.46 6.46 0 0 1-6.47-6.46zm-13.51 17.27a6.46 6.46 0 1 1 6.46 6.46 6.46 6.46 0 0 1-6.46-6.44zm-12.92 19.38a6.46 6.46 0 1 1 6.46 6.46 6.46 6.46 0 0 1-6.46-6.44zm0-36.66a6.46 6.46 0 1 1 6.46 6.46 6.46 6.46 0 0 1-6.46-6.45zm-13.49 17.3a6.46 6.46 0 1 1 6.46 6.46 6.46 6.46 0 0 1-6.46-6.46zm-12.92 19.38a6.46 6.46 0 1 1 6.46 6.46 6.46 6.46 0 0 1-6.48-6.46zm0-36.66a6.46 6.46 0 1 1 6.46 6.46 6.46 6.46 0 0 1-6.48-6.47zm-181.13 91h-3l-2.38 3.91s4.64 14 13.94 15.35c-9.45-9.44-8.58-19.27-8.58-19.27z"}}]})(props);
};
function GiTechnoHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M139.625 23.563c-1.58.008-3.147.052-4.72.125l171.75 258.093h146.25c15.35-16.906 27.875-35.263 35.69-56.56h-96.876c-7.317 18.17-25.136 31.093-45.845 31.093-27.173 0-49.375-22.233-49.375-49.407 0-11.436 3.95-21.978 10.53-30.375l-49.155-77.655c-.03.053-.063.103-.094.156-1.183-2.05-2.395-4.036-3.624-6-30.106-48.086-73.28-69.694-114.53-69.468zm228.656 2.656c-35.864.328-72.648 18.056-100.78 57.655h204.125C447.147 47.133 408.293 25.85 368.28 26.22zm-253.967.25c-11.495 2.624-22.58 7.007-32.876 13 10.672 9.08 17.47 22.6 17.47 37.624 0 12.72-4.873 24.35-12.844 33.125l43.187 67.31h85.594L114.314 26.47zM49.5 46.374c-17.074 0-30.72 13.645-30.72 30.72 0 17.073 13.646 30.686 30.72 30.686 17.074 0 30.72-13.612 30.72-30.686 0-17.074-13.646-30.72-30.72-30.72zm232.844 56.188l38.97 61.53c7.24-4.184 15.635-6.593 24.56-6.593 27.05 0 49.203 22.03 49.407 49.03h98.75c2.575-11.807 3.757-24.49 3.345-38.25-.735-24.555-6.237-46.66-15.22-65.718h-199.81zm-259.47 16.062c-4.02 15.02-5.985 31.62-5.436 49.656.095 3.143.293 6.215.562 9.25h89.063l-35.97-56.06c-6.533 3.197-13.86 5-21.593 5-9.79 0-18.926-2.887-26.625-7.845zm323 57.563c-17.073 0-30.687 13.644-30.687 30.718 0 17.074 13.614 30.72 30.688 30.72 17.074 0 30.72-13.646 30.72-30.72 0-17.074-13.646-30.72-30.72-30.72zm-325.03 20.03c3.693 16.938 10.187 32.203 18.75 46.345H196.562l2.75 4.343L276.97 369.53l9.092 14.345H212.22c-1.403 6.96-4.274 13.418-8.282 19 22.164 24.562 41.335 52.573 53.843 86.75 35.156-90.944 118.132-134.872 176.564-189.156h-137.72l-2.78-4.19-66.594-100.06H20.844zM52.5 261.25c21.193 27.23 49.796 50.764 79.313 75.313 8.633-7.354 19.808-11.813 31.968-11.813 24.116 0 44.348 17.504 48.595 40.438h39.72L186.28 261.25H52.5zm111.28 82.188c-17.073 0-30.718 13.644-30.718 30.718 0 17.074 13.645 30.72 30.72 30.72 17.073 0 30.687-13.646 30.687-30.72 0-17.074-13.615-30.72-30.69-30.72z"}}]})(props);
};
function GiTeePipe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 115v154h30V115zm432 0v154h30V115zM73 128v128h103.8l40-53.4 14.4 10.8-39.2 52.3V439h128V265.7l-39.2-52.3 14.4-10.8 40 53.4H439V128zm23 23h320v18H96zm119 137h18v128h-18zm-36 169v30h154v-30z"}}]})(props);
};
function GiTelefrag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-59.998 0-120 30-120 75 0 30 22.5 45 22.5 75 0 22.5-7.5 22.5-7.5 37.5 0 7.5 24.006 16.002 45 22.5v30h120v-30s45.283-13.978 45-22.5c-.465-13.974-7.5-15-7.5-37.5 0-15 22.82-45.71 22.5-75 0-45-60.002-75-120-75zm-45 90c16.57 0 30 13.433 30 30 0 16.568-13.43 30-30 30s-30-13.432-30-30c0-16.567 13.43-30 30-30zm90 0c16.567 0 30 13.433 30 30 0 16.568-13.432 30-30 30-16.57 0-30-13.432-30-30 0-16.567 13.43-30 30-30zm-45 52.5c7.5 0 22.5 30 22.5 37.5 0 15 0 15-7.5 15h-30c-7.5 0-7.5 0-7.5-15 0-7.5 15-37.5 22.5-37.5zM136 286v45h240v-45H136zm0 75v45h240v-45H136zm-30 75c-15 0-30 15-30 30v30h360v-30c0-15-15-30-30-30H106z"}}]})(props);
};
function GiTelepathy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128.813 20.813c-.73.03-1.536.107-2.407.218-33.88 4.403-58.97 36.928-58.97 78.157 0 17.885 4.538 35.768 12.626 50.157-11.006 4.402-20.227 11.366-27.5 20.094-9.996 11.996-16.582 27.018-21.124 43.5-9.086 32.963-10.125 72.234-10.125 107.625v9.343H63.344l9.968 154.75.563 8.75H191.78l.564-8.75 9.97-154.75h42.03v-9.344c0-35.39-1.04-74.66-10.125-107.625-4.544-16.48-11.13-31.503-21.126-43.5-7.273-8.727-16.494-15.69-27.5-20.093 4.88-8.683 8.453-18.635 10.53-29.094l65.814 15.938 16.218 3.937L273 124.22l-12.75-39.345L313.72 98.5c-.003.23 0 .457 0 .688 0 17.884 4.535 35.767 12.624 50.156-11.007 4.402-20.26 11.366-27.53 20.094-9.998 11.996-16.553 27.018-21.095 43.5-9.086 32.963-10.158 72.234-10.158 107.625v9.343h42.064l1.968 30.875v1.408h.094l7.875 122.468.562 8.75H438.03l.564-8.75 7.844-122.28h.125l.03-2.126 1.938-30.344h42.064v-9.344c0-35.39-1.04-74.66-10.125-107.625-4.544-16.48-11.13-31.503-21.126-43.5-7.273-8.727-16.525-15.69-27.53-20.093 8.087-14.39 12.623-32.272 12.623-50.156 0-41.23-25.056-73.755-58.937-78.157h-.03c-1.743-.22-3.205-.254-4.376-.218-.893.028-1.45.068-2 .094-.56-.026-1.136-.065-2.03-.093-1.173-.037-2.635-.003-4.377.218h-.03c-28.334 3.682-50.472 27.03-56.97 58.69L248.47 62.593l-16.44-4.188 5.22 16.125 12.813 39.564-51.875-12.53c.017-.795.03-1.583.03-2.376 0-41.23-25.056-73.755-58.937-78.157h-.03c-1.742-.22-3.204-.254-4.375-.218-.91.03-1.5.07-2.063.094-.56-.026-1.135-.065-2.03-.093-.586-.02-1.24-.032-1.97 0zm3.406 18.812c.433.006.7 0 1.218 0 5.338 0 10.785 1.384 15.875 3.78l.093-.155c16.9 7.98 29.447 27.32 30.094 53.78l-19.28-4.655c-3.217-12.606-14.644-21.906-28.25-21.906-16.103 0-29.157 13.053-29.157 29.155s13.052 29.156 29.156 29.156c11.977 0 22.262-7.234 26.75-17.56l19.093 4.624c-2.573 13.025-7.828 25.176-14.22 32.875l-10.155 12.218 15.593 2.937c12.813 2.408 22.09 8.375 29.72 17.53 7.63 9.158 13.393 21.712 17.47 36.5 7.434 26.98 9.063 60.967 9.31 93.282h-24.874l.563-58.593-18.69-.188-1.06 109.78.03.002-7.22 112.53H141.5V335h-18.688v139.72H91.406l-7.25-112.345h.063l1.06-109.78-18.686-.19-.563 58.782H40.126c.25-32.315 1.908-66.303 9.344-93.28 4.075-14.79 9.806-27.344 17.436-36.5 7.63-9.157 16.907-15.124 29.72-17.532l15.593-2.938-10.126-12.218c-9.083-10.943-15.97-30.87-15.97-49.532 0-27.573 12.788-47.748 30.157-55.938l.064.156c5.09-2.397 10.536-3.78 15.875-3.78zm246.25 0c.44.006.722 0 1.25 0 5.337 0 10.784 1.384 15.874 3.78l.062-.124c17.33 8.21 30.094 28.368 30.094 55.907 0 18.664-6.855 38.59-15.938 49.532l-10.156 12.218 15.625 2.937c12.813 2.408 22.06 8.375 29.69 17.53 7.63 9.158 13.39 21.712 17.467 36.5 7.436 26.98 9.096 60.967 9.344 93.282h-24.717l.562-58.593-18.688-.188-1.03 107.03L420.5 474.72h-32.906V335h-18.688v139.72h-31.25l-7.344-114.533 1.063-107.593-18.688-.188-.593 58.78-25.72.002c.25-32.316 1.91-66.304 9.345-93.282 4.075-14.79 9.838-27.343 17.467-36.5 7.63-9.156 16.876-15.123 29.688-17.53l15.625-2.94-10.156-12.217c-8.415-10.138-14.902-27.996-15.813-45.407l16.72 4.25c3.46 12.237 14.685 21.218 28.03 21.218 16.105 0 29.158-13.053 29.158-29.155S393.382 70.47 377.28 70.47c-12.17 0-22.57 7.466-26.936 18.06l-16.625-4.218c3.687-19.918 14.76-34.387 28.81-41.03l.064.124c5.09-2.397 10.536-3.78 15.875-3.78z","fillRule":"evenodd"}}]})(props);
};
function GiTeleport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M249.334 22.717c-18.64 2.424-35.677 23.574-37.043 51.49v.02c-.057 1.186-.097 2.38-.097 3.59 0 16.362 5.658 30.827 13.942 40.818l10.127 12.213-15.592 2.933c-10.75 2.025-18.622 7.702-25.373 16.978-2.285 3.14-4.384 6.707-6.31 10.62-57.54-6.44-97.91-21.06-97.91-37.952 0-17.363 42.647-31.983 102.75-37.97-.213-2.51-.323-5.057-.323-7.636v-.002c0-.84.024-1.674.047-2.51-96.43 6.77-167.298 29.15-167.3 55.71-.002 25.33 64.462 46.86 154.074 54.67-.19.742-.394 1.465-.576 2.216-2.36 9.72-4.05 20.22-5.268 31.03-.01 0-.02 0-.03.002-.418 3.653-.78 7.34-1.095 11.046l.05-.005c-1.316 15.777-1.772 31.88-1.893 46.95h35.894l2.115 28.4c-68.24-4.994-118.444-21.004-118.444-39.843 0-13.243 24.83-24.89 63.27-32.33.3-4.056.66-8.115 1.076-12.162-76.42 9.353-129.17 29.168-129.172 52.086-.002 28.17 79.71 51.643 185.098 56.768l5.94 79.77c10.5 2.648 24.84 4.162 39.017 4.068 13.79-.092 27.235-1.71 36.45-4l5.263-79.846c105.308-5.14 184.935-28.605 184.935-56.76 0-23.013-53.196-42.895-130.13-52.2.304 4.02.557 8.047.755 12.07 38.883 7.43 63.965 19.17 63.965 32.536 0 18.84-49.804 34.85-117.908 39.844l1.87-28.402h34.18c-.012-15.113-.127-31.27-1.033-47.094.01 0 .02.002.032.004-.214-3.687-.472-7.352-.782-10.986l-.02-.002c-.94-11.157-2.367-21.984-4.546-31.967-.09-.405-.184-.803-.275-1.206 89.518-7.826 153.893-29.344 153.893-54.656 0-26.787-72.076-49.332-169.77-55.887.025.895.053 1.788.053 2.688 0 2.5-.104 4.97-.304 7.407 61.19 5.836 104.61 20.61 104.61 38.2 0 16.805-39.633 31.355-96.524 37.848-2.01-4.283-4.26-8.15-6.762-11.505-6.83-9.167-15.063-14.81-27.14-16.682l-15.913-2.47 10.037-12.59c6.928-8.69 11.912-20.715 13.057-34.268h.002c.163-1.95.25-3.93.25-5.938 0-.77-.022-1.532-.048-2.29-.015-.48-.033-.958-.057-1.434h-.002c-1.48-29.745-20.507-51.3-41.076-51.3-2.528 0-3.966-.087-4.03-.08h-.003zM194.54 355.822c-97.11 6.655-168.573 29.11-168.573 55.8 0 31.932 102.243 57.815 228.367 57.815S482.7 443.555 482.7 411.623c0-26.608-71.02-49.004-167.67-55.736l-.655 9.93c60.363 6.055 103.074 20.956 103.074 38.394 0 22.81-73.032 41.298-163.12 41.298-90.088 0-163.12-18.49-163.12-41.297 0-17.533 43.18-32.502 104.07-38.493l-.74-9.895z"}}]})(props);
};
function GiTelescopicBaton (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M327.672 195.564L438.26 84.986a25.535 25.535 0 1 0-11.828-11.922l-110.683 110.63zM151.888 336.86l23.75 23.75L65.66 470.581a16.794 16.794 0 0 1-23.75-23.751zm149.808-143.522l16.33 16.33-134.79 134.79-16.33-16.33z"}}]})(props);
};
function GiTellerMine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M179.323 82.448c-5.76 2.304-11.519 4.965-18.43 7.856V34.068c0-5.092 4.607-9.216 9.699-9.216h156.325a9.135 9.135 0 0 1 9.066 9.216v49.854a143.988 143.988 0 0 0-18.43-6.335V43.283h-138.23zm105.17 192.91c-2.431-5.852-.346-12.314 1.497-18.005l.092-.276-.276.092c-5.702 1.843-12.153 3.928-18.005 1.498-5.851-2.43-8.593-8.064-11.38-13.535l-.415-.807-.415.807c-2.788 5.483-5.667 11.162-11.38 13.535-5.714 2.373-12.303.345-18.005-1.498l-.277-.092.093.276c1.843 5.702 3.916 12.165 1.497 18.005-2.419 5.84-8.063 8.593-13.535 11.38l-.806.415.806.415c5.495 2.788 11.162 5.667 13.535 11.38 2.373 5.714.346 12.315-1.497 18.005l-.093.277.277-.093c3.847-1.244 8.063-2.591 12.164-2.591a15.078 15.078 0 0 1 5.84 1.152c5.76 2.373 8.593 8.063 11.381 13.534l.415.807.414-.807c2.788-5.483 5.668-11.162 11.381-13.534 5.714-2.373 12.303-.346 18.005 1.497l.276.092-.092-.276c-1.843-5.702-3.917-12.164-1.498-18.005 2.42-5.84 8.064-8.593 13.535-11.38l.807-.415-.807-.415c-5.494-2.88-11.173-5.76-13.535-11.473zm59.277 11.795a87.764 87.764 0 1 1-87.764-87.764 87.868 87.868 0 0 1 87.752 87.73zm-22.382 0c0-9.215-8.674-13.627-14.975-16.84-1.313-.669-3.087-1.567-4.32-2.304.346-1.498 1.026-3.583 1.475-4.988 2.143-6.635 5.068-15.724-1.29-22.082-6.359-6.359-15.447-3.456-22.082-1.29-1.406.449-3.456 1.152-4.988 1.474-.749-1.232-1.647-3.006-2.304-4.32-3.214-6.335-7.625-14.974-16.84-14.974-9.216 0-13.628 8.674-16.842 14.974-.668 1.314-1.566 3.088-2.303 4.32-1.498-.345-3.583-1.025-4.988-1.474-6.635-2.143-15.724-5.069-22.082 1.301-6.359 6.37-3.456 15.447-1.302 22.082.45 1.406 1.152 3.456 1.475 4.988-1.233.749-3.007 1.647-4.32 2.304-6.336 3.214-14.975 7.626-14.975 16.84 0 9.216 8.674 13.628 14.975 16.842 1.313.668 3.087 1.566 4.32 2.304-.346 1.497-1.026 3.582-1.475 4.987-2.142 6.635-5.068 15.724 1.302 22.082 6.37 6.359 15.447 3.456 22.082 1.302 1.405-.46 3.456-1.152 4.988-1.474.748 1.232 1.647 3.006 2.303 4.32 3.214 6.335 7.626 14.974 16.841 14.974 9.216 0 13.627-8.674 16.841-14.975.668-1.313 1.567-3.087 2.304-4.32 1.498.358 3.582 1.026 4.988 1.475 6.635 2.143 15.723 5.068 22.082-1.29 6.358-6.359 3.456-15.447 1.302-22.082-.45-1.405-1.152-3.456-1.475-4.988 1.233-.737 3.007-1.647 4.32-2.304 6.278-3.271 14.952-7.683 14.952-16.898zm134.612 0c0 110.272-89.71 199.995-199.994 199.995S56 397.39 56 287.118c0-110.271 89.722-199.993 199.994-199.993s199.994 89.71 199.994 199.994zm-93.788 0a106.194 106.194 0 1 0-106.195 106.195 106.321 106.321 0 0 0 106.172-106.23z"}}]})(props);
};
function GiTemplarEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M209.184 55.31C144.46 64.63 80.792 97.483 24.28 155.692c59.752 63.505 126.923 99.683 196.394 106.89-46.82-12.208-81.494-54.884-81.494-105.485 0-46.364 29.112-86.07 70.004-101.79zm77.953.028c40.853 15.737 69.93 55.423 69.93 101.76 0 49.845-33.645 92-79.405 104.92 67.035-8.242 134.898-43.203 199.162-106.325-57.2-56.64-122.697-90.757-189.687-100.355zm-39.014 11.445c-49.96 0-90.262 40.324-90.262 90.315 0 49.99 40.304 90.312 90.263 90.312 49.96 0 90.264-40.322 90.264-90.312 0-49.993-40.304-90.315-90.264-90.315zm.9 20.192c3.902 0 7.725.33 11.454.943-16.333 3.802-28.504 18.44-28.504 35.932 0 20.38 16.52 36.9 36.9 36.9s36.9-16.52 36.9-36.9c0-3.375-.462-6.64-1.31-9.746 9.29 11.92 14.838 26.898 14.838 43.183 0 38.832-31.464 70.313-70.277 70.313-38.812 0-70.275-31.48-70.275-70.313 0-38.83 31.463-70.312 70.275-70.312zM470.71 193.932c-73.638 63.713-151.264 93.704-226.487 93.056C169 286.34 95.726 255.083 30.668 194.176l-12.772 13.642c58.084 54.38 123.598 86.834 191.637 95.494 12.768 23.6 20.733 48.914 23.196 74.948-26.732-2.408-53.086-10.325-77.328-23.772v83.56c24.266-13.46 50.387-21.79 77.266-24.275-2.602 26.746-10.89 53.142-24.166 77.397l83.518-.004c-13.42-24.217-21.333-50.542-23.752-77.246 26.556 2.657 52.75 10.926 76.84 24.13v-83.562c-24.085 13.36-50.255 21.268-76.81 23.73 2.432-26.244 10.178-52.114 23.24-75.97 64.896-9.863 130.026-41.082 191.4-94.184l-12.227-14.132z"}}]})(props);
};
function GiTemplarHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M332.893 24.46c-28.788.09-58.326 13.893-78.948 43.06-25.802-33.94-66.387-47.043-101.986-40.067-39.714 7.782-73.4 41.826-72.13 94.83 1.203 50.248 35.647 83.413 71.764 115.047 21.513 18.843 43.86 37.513 62.06 59.25 11.54 23.798 18.216 49.248 20.576 74.943-29.393-2.8-57.648-11.638-84.19-26.353v91.902c26.518-14.695 54.958-23.64 84.19-26.345-2.71 29.228-11.014 58.316-25.707 84.83h91.9c-14.574-26.624-23.46-55.476-26.347-84.83 29.233 2.708 58.317 11.65 84.83 26.345V345.17c-26.478 14.497-55.636 23.412-84.83 26.353 2.536-27.582 10.353-54.176 23.383-79.293 18.175-19.046 39.397-35.617 59.667-52.552 18.543-15.493 36.226-31.296 49.39-50.176 13.166-18.88 21.6-41.106 20.977-67.66-1.167-49.86-33.55-84.978-72.29-94.674-7.265-1.818-14.76-2.73-22.31-2.707zm-.018 18.55c1.894.016 3.783.113 5.666.273-23.313 7.815-40.118 29.82-40.118 55.764 0 32.483 26.333 58.816 58.816 58.816 22.212 0 41.544-12.317 51.55-30.49-.527 20.08-7.037 36.29-17.6 51.44-11.444 16.41-27.843 31.317-46.043 46.523-31.857 26.616-69.413 54.153-92.62 95.404-21.54-41.422-57.462-70.18-88.62-97.47-35.664-31.237-64.39-59.52-65.393-101.434-1.084-45.253 25.016-69.768 57.04-76.043 6.41-1.256 13.045-1.713 19.727-1.37-21.685 8.664-37.01 29.848-37.01 54.624 0 32.483 26.333 58.816 58.816 58.816 31.712 0 57.55-25.1 58.758-56.517l6.582-12.23C278.688 58.9 302.762 45 326.856 43.207c2.007-.148 4.015-.213 6.02-.196z"}}]})(props);
};
function GiTemplarShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 21.938l-4.025 2.01c-96 48-93.455 47.175-189.455 63.175l-8.592 1.432 1.15 8.634c16.125 120.934 48.338 217.868 85.022 285.12 18.34 33.627 37.776 59.85 57.263 78.022C216.85 478.502 236.625 489 256 489s39.15-10.497 58.637-28.668c19.487-18.17 38.922-44.395 57.263-78.02 36.684-67.254 68.897-164.188 85.022-285.123l1.15-8.635-8.592-1.432c-96-16-93.455-15.174-189.455-63.174L256 21.937zM224 64c16 0 16 0 32 16 16-16 16-16 32-16-16 16-16 16-16 32l2.666 48h109.158S400 144 416 128c0 16 0 16-16 32 16 16 16 16 16 32-16-16-32.176-16-32.176-16h-107.38L288 384s0 32 16 64c-16 0-48 0-48-16 0 16-32 16-48 16 16-32 16-64 16-64l11.555-208H128.13S112 176 96 192c0-16 0-16 16-32-16-16-16-16-16-32 16 16 32.13 16 32.13 16h109.204L240 96c0-16 0-16-16-32z"}}]})(props);
};
function GiTempleDoor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M41.02 33v46H471V33zm62.48 64L34.59 479H142.8V97zm57.3 0v211.6c8 1.2 16.9-.5 27.3-4.7 36.9-18.9 63.4-52.9 88.1-93.1 21.9-35.7 42.1-76.1 67-113.8h-54c-5.8 50.3-52.6 118-81.2 151 24.6-45.2 60.9-111.8 60.3-151h-51.9c-2.6 29.1-12.6 58.4-24.4 87 4.8-30 10.7-58.2 8.3-87zm208.4 0v382h108.2L408.5 97zM186.4 323.5c-8.6 2.5-17.3 3.7-25.6 3V479h53.7c-2.3-46.2 2.4-65.2-28.1-155.5z"}}]})(props);
};
function GiTemporaryShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 22C192 70 128 90 32 122c0 112 80 272 224 368 144-96 224-250 224-362-96-32-160-58-224-106zm0 97c75.6 0 137 61.4 137 137s-61.4 137-137 137-137-61.4-137-137 61.4-137 137-137zm-9 18.3c-42.9 3.2-79.3 29.1-97.6 65.6l97.9 39.9a16 17.12 0 0 1 8.7-2.8 16 17.12 0 0 1 2.9.3l38.7-38.7 12.8 12.8-38.8 38.8a16 17.12 0 0 1 .4 3.9 16 17.12 0 0 1-16 17.1 16 17.12 0 0 1-15.9-15l-97.4-39.7c-2.8 8.8-4.7 18-5.4 27.5H160v18h-22.7c4.4 58.6 51.1 105.3 109.7 109.7V352h18v22.7c58.6-4.4 105.3-51.1 109.7-109.7H352v-18h22.7c-4.4-58.6-51.1-105.3-109.7-109.7V160h-18v-22.7z"}}]})(props);
};
function GiTemptation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M236.28 21.53c-185.644.495-313.788 255.03-99.936 404.845 12.265 23.964 49.66 34.098 104.344 41.656 39.702 5.587 44.827-11.274 37.312-34.31-14.935-45.782-52.38-68.562-120.22-57.095C-12.09 239.802 136.31 44.317 291.626 89.095 458.56 137.22 421.335 291.012 343.75 366.53c-70.898 69.013-37.743 124.546 22.094 129 73.38 12.87 137.08-59.02 113.28-115.967 6.166 53.188-90.466 121.6-126.687 82.5-24.154-45.743 72.12-75.863 101.938-163.97C500.43 162.016 442.752 55.69 274.125 24.938c-12.82-2.337-25.45-3.44-37.844-3.406zm22.157 114.44l-11.656 47.75c-4.155-2.81-8.567-4.918-12.905-5.782-4.027-.804-7.993-1.22-11.78-1.125v.03c-26.51.935-48.896 23.905-48.47 56.095.486 36.782 39.767 78.312 54.656 78.312 14.89 0 24.85-8.214 30.376-13.47 5.422 4.43 12.1 13 29.406 13 17.306 0 51.455-42.493 50.97-79.28-.487-36.787-26.89-60.97-58.938-53.97-4.586 1.008-9.617 3.024-14.063 6.064l10.564-43.188-18.156-4.437zM188.063 407c1.093.007 2.25.102 3.438.25 12.662 1.575 22.752 11.945 23.125 18.97.187 3.512-.98 5.694-3.938 7.78-2.956 2.086-8.012 3.538-14.343 2.75-12.663-1.575-22.752-11.973-23.125-19-.188-3.513 1.01-5.664 3.968-7.75 2.217-1.564 5.587-2.793 9.812-2.97.352-.013.698-.032 1.063-.03z"}}]})(props);
};
function GiTennisBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.938 35.188c-25.875 1.07-51.58 6.686-75.5 16.593-26.714 11.065-51.274 27.462-71.72 47.907-20.445 20.446-36.84 45.005-47.906 71.72-9.8 23.662-15.405 49.065-16.562 74.655 74.49-11.465 126.867-33.367 160.656-67.156 33.846-33.845 50.15-80.167 51.03-143.72zm18 0c-.91 66.75-18.61 118.764-56.313 156.468-38.05 38.05-95.324 60.96-173.438 72.625 1 26.133 6.65 52.13 16.657 76.283 11.067 26.715 27.458 51.24 47.906 71.687 20.448 20.448 45.003 36.87 71.72 47.938 24.152 10.005 50.122 15.63 76.25 16.625 11.665-78.115 34.575-135.39 72.624-173.438 37.704-37.704 89.72-55.402 156.47-56.313-1.06-25.916-6.67-51.663-16.595-75.625-11.068-26.715-27.49-51.27-47.94-71.718-20.447-20.45-44.97-36.84-71.686-47.907-23.96-9.927-49.735-15.56-75.656-16.626zm211.187 229.875c-63.202.987-109.34 17.307-143.063 51.03-33.793 33.795-55.662 86.15-67.125 160.657 25.596-1.157 51.026-6.762 74.688-16.563 26.714-11.064 51.242-27.46 71.688-47.906 20.445-20.444 36.842-44.972 47.906-71.686 9.906-23.922 15.522-49.652 16.592-75.53-.228.002-.46-.005-.687-.002z"}}]})(props);
};
function GiTennisCourt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M120.8 55L87.58 199h18.52l29.1-126h18.2l-20.6 126h18.3l10.1-62H247v62h18v-62h85.8l10.1 62h18.3L358.6 73h18.2l29.1 126h18.5L391.2 55H120.8zm50.9 18h168.6l7.6 46H164.1l7.6-46zM73 217v30h366v-30H73zm-.64 48L20.69 489H491.3l-51.7-224h-18.5l47.6 206h-45L390 265h-18.3l14.2 87H265v-87h-18v87H126.1l14.2-87H122L88.35 471H43.31l47.56-206H72.36zm50.74 105h265.8l16.5 101H106.6l16.5-101z"}}]})(props);
};
function GiTennisRacket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M365.6 31c-6.6 0-13.2.6-19.7 1.59-34.5 5.44-66.5 23.14-88.3 44.96-28.8 28.85-49.6 70.85-58.4 111.65-1.6 6.7-2.6 13.6-3.5 20.4L162.2 334l15.8 15.8 124.3-33.5c6.8-.9 13.7-2 20.5-3.5 40.8-8.8 82.8-29.6 111.6-58.4 21.9-21.9 39.6-53.9 45-88.4 5.2-34.5-2.4-72.3-31.9-101.71-23.8-23.93-53.1-33.44-81.9-33.29zm.1 19.29c24.3-.28 47.9 7.49 68.2 27.71 25 24.9 31 55.2 26.3 85-4.6 29.9-20.7 58.8-39.5 77.6-25.4 25.4-64.7 45.2-102 53.2-37.2 8.2-71.2 3.8-87.8-12.9-16.5-16.5-20.9-50.4-12.8-87.7 8.1-37.2 27.8-76.6 53.3-101.94 18.7-18.78 47.7-34.84 77.6-39.55 5.5-.88 11.2-1.36 16.7-1.42zm-166 214.81c3.7 11.3 9.3 21.5 17.5 29.5 8.1 8.2 18.2 14 29.5 17.6l-63 16zm-50.3 83.6L50 448.2l-5.25-5.1-13.71 13.7L55.41 481l13.7-13.6-5.41-5.4 99.5-99.6zm211 45.1c-19.5 0-35.6 16-35.6 35.5s16.1 35.5 35.6 35.5c19.4 0 35.5-16 35.5-35.5s-16.1-35.5-35.5-35.5z"}}]})(props);
};
function GiTensionSnowflake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.605 23.408c-4.65 17.35-8.818 34.405-12.507 51.238-19.713 1.31-39.85 5.777-61.67 13.547 19.416 6.913 37.946 11.197 56.244 12.875-1.572 8.217-3.027 16.39-4.36 24.522-24.36 1.644-49.31 6.006-76.175 13.205 24.944 6.684 48.787 10.903 72.316 12.693-3.337 24.934-5.526 49.596-6.547 74.233-24.47 1.025-49.13 3.204-74.215 6.56-1.79-23.585-6.02-47.43-12.696-72.34-7.12 26.57-11.552 51.496-13.21 76.203-8.12 1.33-16.287 2.777-24.518 4.35-1.68-18.343-5.974-36.877-12.877-56.264-7.676 21.55-12.23 41.665-13.546 61.684-16.787 3.674-33.84 7.83-51.237 12.492 17.297 4.635 34.37 8.772 51.27 12.42 1.355 19.536 5.815 39.504 13.512 61.12 6.857-19.262 11.132-37.65 12.84-55.807 8.228 1.54 16.42 2.963 24.582 4.266 1.662 24.25 6.017 49.09 13.182 75.828 6.662-24.86 10.874-48.628 12.674-72.082 24.938 3.237 49.636 5.344 74.252 6.33 1.025 24.468 3.203 49.122 6.56 74.202-23.54 1.79-47.39 6.007-72.343 12.693 26.877 7.202 51.835 11.564 76.203 13.207 1.33 8.12 2.777 16.29 4.35 24.52-18.305 1.677-36.84 5.96-56.262 12.876 21.824 7.773 41.968 12.24 61.685 13.547 3.674 16.787 7.83 33.843 12.492 51.24 4.636-17.3 8.77-34.375 12.418-51.277 19.833-1.365 39.77-5.908 61.12-13.51-19.226-6.845-37.613-11.128-55.805-12.837 1.54-8.23 2.964-16.42 4.267-24.58 24.584-1.677 49.392-6.1 75.827-13.182-24.818-6.65-48.582-10.873-72.08-12.677 3.235-24.928 5.34-49.615 6.328-74.22 24.63-.987 49.318-3.094 74.224-6.327 1.8 23.453 6.013 47.218 12.674 72.078 7.165-26.737 11.52-51.577 13.182-75.824 8.163-1.304 16.356-2.728 24.582-4.27 1.706 18.156 5.982 36.545 12.84 55.805 7.696-21.614 12.156-41.58 13.51-61.117 16.91-3.65 33.982-7.787 51.27-12.42-17.35-4.65-34.403-8.816-51.235-12.506-1.318-20.015-5.873-40.126-13.545-61.673-6.902 19.38-11.195 37.91-12.875 56.247-8.217-1.573-16.39-3.027-24.522-4.362-1.658-24.698-6.09-49.615-13.207-76.176-6.672 24.9-10.902 48.74-12.695 72.316-24.923-3.336-49.575-5.526-74.2-6.547-.988-24.635-3.096-49.328-6.33-74.24 23.5-1.803 47.26-6.025 72.08-12.675-26.435-7.084-51.242-11.507-75.826-13.184-1.304-8.16-2.726-16.353-4.267-24.58 18.192-1.708 36.577-5.99 55.803-12.837-21.347-7.6-41.286-12.145-61.118-13.51-3.65-16.91-7.787-33.985-12.42-51.275zm-.32 137.797c7.71 28.78 12.16 56.08 13.272 83.246 27.225 1.11 54.41 5.9 83.728 13.755-28.937 7.754-56.41 12.19-83.728 13.274-1.094 27.177-5.524 54.564-13.272 83.487-7.92-29.562-12.383-56.816-13.512-83.488-27.115-1.11-54.638-5.543-83.488-13.275 29.558-7.918 56.82-12.372 83.488-13.512 1.124-27.15 5.678-54.252 13.512-83.488z"}}]})(props);
};
function GiTentacleHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M358.834 61.088c-16.677.158-33.4 3.933-49 12.023-21.366 11.083-40.224 30.342-54.084 58.193-13.86-27.85-32.718-47.11-54.084-58.192-16.42-8.515-34.087-12.25-51.633-12.016-10.528.14-21.012 1.706-31.158 4.525-54.11 15.032-100.2 65.618-97.844 128.216C22.144 223.394 34.923 248.74 53.32 271c13.254 16.036 29.445 30.674 46.823 44.813 1.536 62.25 49.414 85.402 96.515 77.097 21.517 19.774 39.698 40.855 50.594 64.686l8.498 18.586 8.498-18.586c10.56-23.096 27.953-43.614 48.604-62.858 38.73.263 70.002-20.92 78.976-63.515 24.636-18.988 48.233-38.3 66.352-60.223 18.398-22.26 31.177-47.606 32.29-77.164 2.354-62.598-43.734-113.184-97.845-128.217-10.99-3.054-22.38-4.64-33.79-4.532zm-208.61 18.668c14.693-.212 29.29 2.917 42.84 9.945 21.678 11.245 41.143 32.584 53.885 68.306l8.8 24.674 8.8-24.674c9.17-25.704 21.82-43.96 36.272-56.367 42.38-32.464 75.468 1.13 81.944 20.153 17.593 51.696-40.657 77.01-90.434 44.572 9.057 34.565 64.323 57.726 109.563 22.453 25.06-19.542 32.273-60.32 18.162-84.765-1.93-3.342-3.97-6.47-6.106-9.39 34.043 19.405 59.444 55.933 57.843 98.47v.002c-.927 24.645-11.312 45.744-28.02 65.96-13.474 16.302-31.075 31.77-50.36 47.14-3.396-32.532-28.867-60.732-72.632-72.633 37.742 25.785 50.993 69.674 29.945 105.433-36.287 27.684-72.58 57.176-94.975 94.815-10.18-17.11-23.243-32.53-37.86-46.87 50.032-19.325 90.573-74.834 60.057-156.552-10.006 99.388-63.498 121.28-116.892 108.82-9.705-7.406-19.41-14.69-28.854-21.955-24.76-19.05-47.766-37.984-64.473-58.2-16.708-20.214-27.093-41.313-28.02-65.958v-.002c-.347-9.22.578-18.155 2.58-26.697C59.897 202.6 88.5 232.264 132.05 252.83c77.033 36.38 147.145-25.855 70.425-93.076 28.247 49.57-4.545 91.677-60.08 49.81-36.166-27.262-56.032-62.257-63.96-101.392 13.264-11.443 28.938-19.96 45.444-24.547 8.68-2.412 17.53-3.742 26.345-3.87z"}}]})(props);
};
function GiTentacleStrike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M13.31 21.65v223.883c44.806 47.182 105.238 54.52 173.526 65.305-4.484-22.66-8.26-45.048-13.395-66.047C95.66 215.198 36.983 167.26 41.956 21.653H29.637l.002-.002H13.31zm48.004.002c-.87 28.147.438 60.87 6.055 84.123 60.46 15.992 92.433 50.085 110.003 90.62 18.113 41.79 22.444 89.817 32.848 134.57s26.214 85.67 65.755 115.918c32.98 25.23 83.547 43.427 163.11 48.273-71.23-32.09-114.32-67.862-139.99-105.904-30.973-45.903-35.99-94.26-36.73-139.97-.74-45.712 2.363-89.093-9.908-127.223C240.3 84.28 213.76 50.507 150.29 21.65H61.313zm10.54 104.756c13.443 44.624 44.905 62.1 85.302 70.71-15.182-31.505-38.977-56.41-85.302-70.71zm202.08 3.1c6.505 26.962 7.097 54.743 7.064 82.596 69.97 10.56 141.545 36.41 188.527 130.34-9.777-145.698-101.31-192.293-195.59-212.936zm8.51 150.13c1.51 18.56 4.51 36.906 10.474 54.967 65.22 21.79 133.59 62.777 199.88 152.42-41.53-135.21-125.783-179.167-210.355-207.386z","fillRule":"evenodd"}}]})(props);
};
function GiTentaclesBarrier (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M335.7 21.87v.1c-19.7 0-38.2 1.04-53.8 3.64C185 41.69 23.55 96.7 24.75 153.1c.18 8.4 28.74-1.6 68.56-16.5-1.3-2-2.28-4.2-2.83-6.7-2.2-9.9 3.51-18.9 11.02-25.1 7.5-6.31 17.6-11.1 29.3-13.69 11.7-2.63 22.9-2.54 32.2 0 4.1 1.08 8.1 2.76 11.4 5.1 1.8-5.91 6.2-11.06 11.3-15.12 7.8-6.13 18.3-10.78 30.5-13.35 12.3-2.56 23.9-2.54 33.7-.1 6.6 1.67 12.9 4.71 17.1 9.54 3.2-6.51 9.2-11.59 16-15.03 9.2-4.62 20.5-7.07 32.9-7.01h2.5c13.4.43 25.5 3.67 35 9.21 5.6 3.27 10.5 7.67 13.6 13 4.6-4.96 11.1-8.3 18.1-10.09 11.4-2.93 24.9-2.43 38.9 1.59 13.9 4.02 25.9 10.9 34.3 19.54 7.9 8.05 13.2 18.51 11.6 29.11 8.5 2.6 16.4 5.1 24.1 7.5V36.32c-45.1-6.85-106.3-14.4-158.3-14.45zm-19.8 51.31c-9.9 0-18.8 2.08-24.7 5.07-6.3 3.2-8.3 6.58-8.4 8.71-.1 2.13 1.7 5.63 7.8 9.22 6.1 3.59 15.8 6.42 26.5 6.72 10.7.4 20.4-1.8 26.7-5.03 6.3-3.2 8.3-6.58 8.4-8.7 0-2.13-1.8-5.63-7.9-9.23-6.1-3.58-15.7-6.39-26.4-6.73h-2zm85.7 10.5c-4.3 0-8.3.42-11.6 1.27-7.5 1.97-11 5.39-11.9 8.66-.8 3.27.7 8.09 6.3 13.89 5.6 5.7 15 11.4 26.3 14.7 11.2 3.2 22 3.4 29.6 1.4 7.5-2 11-5.4 11.8-8.6.8-3.3-.6-8.2-6.2-13.9-5.7-5.78-15.1-11.46-26.3-14.71-6.3-1.82-12.5-2.66-18-2.71zm-167.2.12c-4.3 0-9.1.48-14.1 1.51-9.9 2.07-18.2 5.96-23.2 9.98-4.9 3.89-5.5 6.81-5.4 7.41.2.7 2 3.1 8.2 4.7 6.3 1.6 15.6 1.8 25.5-.3 9.9-2 18.2-5.9 23.3-9.95 4.9-3.89 5.5-6.77 5.3-7.45-.2-.68-1.9-3.07-8.2-4.62-3.1-.82-7-1.28-11.4-1.28zm-86.6 23.5c-4.1 0-8.6.4-13.2 1.4-9.2 2-16.9 6-21.6 9.8-4.6 3.9-5.1 6.7-4.9 7.5.1.9 1.8 3.2 7.7 4.8 5.8 1.5 14.5 1.8 23.7-.2 9.2-2.1 17-6.1 21.6-9.8 4.6-3.9 5.2-6.7 5-7.6-.2-.9-1.9-3.2-7.7-4.7-2.9-.7-6.5-1.2-10.6-1.2zm179.4 56.5c-16.1 0-28.4 3.1-32.4 9.9 0 0 97.5 31.8 90.1 68.9-7.1 35.9-45.4 48.1-89.1 51.4-1.1 7.4-6 13.6-12.2 17.7-7.6 5.3-17.5 8.4-28.8 9.1-11.3.7-21.9-1.2-30.7-5.5-6.8-3.2-13-8.4-16-15.2-3.4 7.1-10.3 11.9-18.1 14.6-10.1 3.4-22.6 4-35.9 1.6-13.2-2.5-25.1-7.7-34.1-14.8-5.8-4.6-10.7-10.5-13.1-17.1-3.4 2.2-7.44 3.7-11.6 4.7-11.01 2.7-24.56 2.2-38.85-1.2-14.33-3.5-26.93-9.4-36.33-17-.72-.6-1.43-1.2-2.12-1.8v62.6c51.9 21.6 121.9 45.8 168.7 42.1 101.1-8.1 273.1-34 272.5-135.4-.3-45.7-83.6-74.5-132-74.6zM44.96 237.7c-4.46 0-8.47.5-11.79 1.3-7.58 1.7-10.18 4.9-10.46 6.7-.28 1.7 1.18 5.9 7.67 11 6.48 5.3 16.87 10.5 28.86 13.4 11.95 2.9 23.14 2.9 30.8 1.1 7.54-1.8 10.16-4.9 10.46-6.7.2-1.8-1.22-5.9-7.68-11.1-6.53-5.3-16.92-10.4-28.87-13.3-6.75-1.6-13.24-2.4-18.99-2.4zM146.2 267c-5.4 0-10.1.8-13.8 2.2-6.6 2.2-8.9 5.4-9.2 7.6-.2 2.2 1.3 6.1 7.2 10.6 5.8 4.7 15 9 25.7 11s20.6 1.3 27.1-1c6.6-2.3 9-5.5 9.2-7.6.3-2.2-1.3-6.2-7.1-10.7-5.8-4.7-15.1-8.9-25.8-10.9-4.7-.9-9.2-1.3-13.3-1.2zm106.6 12.6c-1.1 0-2.1 0-3.2.1-8.4.5-15.8 3.1-20.1 6.1-4.5 3-5.3 5.6-5.2 7.1.2 1.5 1.8 4 6.9 6.4 5 2.5 12.9 4.1 21.3 3.6 8.5-.5 15.9-3 20.2-6.1 4.5-3 5.3-5.6 5.1-7.1-.1-1.5-1.7-4-6.8-6.4-4.4-2.2-11-3.7-18.2-3.7zM494 355.9c-7.5.1-17.5 2.5-27.7 7.2-10.7 5-19.3 11.7-24.1 17.6-4.9 5.9-5 9.7-4.6 10.6.4.9 3.4 3.1 11 3.2 7.7.1 18.3-2.3 29-7.3 6.3-3 11.9-6.5 16.4-10.1zM43.49 371.1c-68.31-.9 127.31 88.1 188.21 105.7 71.2 20.5 181.5.6 262.3-20v-57.9c-2.8 1.7-5.7 3.2-8.8 4.6-12.8 6-25.5 9.1-36.7 9-4.9 0-9.9-.7-14.3-2.3 0 .1-.1.1-.1.2-2.1 4.2-5.3 7.9-9.2 11.2-7.7 6.6-18.5 12.1-31.2 15.8-12.6 3.7-24.9 4.9-35.4 3.6-5.2-.7-10.1-2-14.5-4.4-1.3-.7-2.6-1.6-3.9-2.6-2.5 5.7-7.4 10.5-13 14.1-8.5 5.6-19.8 9.4-32.4 11-12.6 1.5-24.4.6-33.9-2.8-7.8-2.7-15.2-7.5-18.3-14.8-3.8 3-8.7 5.1-13.6 6.3-9.6 2.5-21.2 2.5-33.2-.1-12-2.5-22.6-7.2-30.4-13.3-7.1-5.7-13-13.7-12-23-57.47-17.9-89.42-40-109.61-40.3zm359.61 26.1c-6.4-.1-14.1 1-22 3.3-10.6 3.1-19.5 7.9-24.7 12.4-2.6 2.2-4.2 4.4-4.9 5.7-.7 1.4-.5 1.7-.5 1.6-.1-.1-.1.2 1.4 1.1 1.4.7 4 1.6 7.6 2 7 1 17.3.2 27.9-2.9 10.5-3.1 19.5-7.9 24.7-12.4 2.6-2.2 4.2-4.3 4.9-5.7.6-1.4.5-1.7.5-1.6 0 .1 0-.2-1.4-1s-4.1-1.7-7.6-2.1c-1.8-.3-3.8-.4-5.9-.4zm-213 10c-4.3 0-8.1.5-11.2 1.3-6.2 1.5-7.8 3.8-7.9 4.4-.1.6.4 3.4 5.4 7.3 4.9 3.9 13.2 7.8 22.9 9.9 9.7 2 19 1.8 25 .2 6.2-1.5 7.8-3.8 7.9-4.4.2-.6-.4-3.4-5.3-7.3-4.9-3.9-13.3-7.8-23-9.9-4.8-1-9.6-1.5-13.8-1.5zM297.4 418c-2.4 0-4.9.2-7.5.5-10.2 1.3-19.2 4.5-24.8 8.1-5.5 3.6-6.5 6.6-6.4 7.3.1.7 1.7 3.3 7.9 5.4 6.2 2.2 15.7 3.2 25.9 1.9 10.2-1.3 19.2-4.5 24.7-8.1 5.5-3.6 6.5-6.5 6.4-7.2 0-.7-1.7-3.3-7.8-5.5-4-1.4-9.6-2.3-15.7-2.4z"}}]})(props);
};
function GiTentaclesSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.672 18.535c-71.2 0-127.248 47.1-127.248 102.24 0 25.67 12.008 49.233 32.187 67.452l2.925 2.638 2.14 55.63 57.368-31.026 33.887 54.335 33.3-53.743 55.303 30.272 1.598-54.844 3.026-2.68c20.666-18.306 32.764-41.967 32.764-68.035 0-55.14-56.048-102.24-127.248-102.24zm-79.76 89.14c23.366-.295 58.385 18.522 58.385 18.522 0 21.772-17.648 39.422-39.422 39.422-21.774 0-39.424-17.65-39.424-39.423h.003c.416-13.678 9.048-18.38 20.46-18.523zm159.516 0c11.41.142 20.043 4.844 20.46 18.522 0 21.772-17.65 39.424-39.423 39.424-21.772 0-39.422-17.65-39.422-39.423 0 0 35.02-18.817 58.385-18.523zm-79.756 48.118l20.334 45.418h-40.67l20.336-45.417zm-39.192 84.47l-22.2 12.008c6.823 35.1 2.77 66.833-17.956 98.933-17.857 27.644-63.35 49.007-95.68 28.678-40.016-25.15-11.61-63.596 12.72-39.98-1.513-52.516-48.833-47.87-63.393-16.078-40.502 88.417 95.507 149.848 170.432 82.79.808 41.927 23.872 78.693 72.996 84.695 39.8 4.862 72.77-38.585 22.364-71.606 8.466 37.96-46.156 42.623-46.707-11.58-.213-20.954 10.71-39.112 26.29-52.454 7.443 13.896 16.868 27.638 28.616 41.078C376 479.168 526.48 416.23 484.147 323.822c-14.56-31.79-61.88-36.438-63.394 16.078 24.33-23.616 52.737 14.83 12.723 39.98-32.332 20.33-77.825-1.033-95.682-28.677-20.493-31.74-24.678-63.12-18.176-97.75l-22.828-12.496-39.808 64.248-40.502-64.94z"}}]})(props);
};
function GiTentacurl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M218.28 24.75c-2.17-.013-4.333.008-6.5.03-20.792.224-41.285 2.13-60.905 6.19-51.55 10.667-96.954 35.72-128.688 84.686v381.531h127.376c-38.755-38.575-54.373-84.178-55.188-126.562-.936-48.658 16.79-93.022 40.344-120.563 43.635-51.02 91.08-74.803 135.155-78.218 44.075-3.415 84.224 13.502 113.094 41.594 28.87 28.09 46.75 67.413 46.686 109.28-.05 32.946-11.65 67.287-36.97 98.344 30.567-11.346 52.987-30.856 68.69-55.5 20.618-32.36 29.403-73.84 27.437-116.25-4.687-101.07-74.37-194.062-173.063-213.843-31.705-6.356-64.89-10.53-97.47-10.72zm91.47 168.656c33.82 51.784 33.24 110.215 9.906 155.28-18.004 34.773-49.19 61.838-87.47 72.033-29.606 7.884-63.312 5.26-97.5-10.94 18.148 26.34 41.48 42.92 67.47 51.97 34.494 12.01 74.06 10.45 111.78-1.688 6.486-2.086 12.846-4.488 19.064-7.187l-.75.125 24.688-21.53c38.51-33.66 53.976-72.27 54.03-108.783.055-36.512-15.653-71.15-41.03-95.843-16.58-16.133-37.175-27.99-60.188-33.438z","fillRule":"evenodd"}}]})(props);
};
function GiTerror (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M250.594 20.906c-45.425.318-89.65 20.975-112.78 61.282-22.594 39.374-34.23 82.722-31.314 115.406 1.458 16.34 6.393 29.793 14.72 39.5 8.325 9.706 20.104 16.173 37.53 18.03l11 1.19-3 10.655c-2.337 8.272-3.75 16.256-3.75 24.905 0 27.038 4.292 79.342 18.5 123.563 7.104 22.11 16.715 42.157 28.78 56.093 12.068 13.938 25.855 21.845 43.814 21.845 17.96 0 31.777-7.907 43.844-21.844 12.066-13.935 21.677-33.982 28.78-56.092 14.21-44.22 18.5-96.525 18.5-123.563 0-8.65-1.41-16.635-3.75-24.906l-2.968-10.533 10.875-1.28c17.146-2.04 29.05-8.367 37.47-17.72 8.417-9.352 13.49-22.17 15-38 3.02-31.66-8.958-74.675-34.814-117.03-25.5-41.774-70.927-61.8-116.374-61.5h-.062zM173.406 145.47c24.447 0 44.063 19.58 44.063 44.03 0 24.446-19.617 44.063-44.064 44.063-24.446 0-44.03-19.617-44.03-44.063s19.584-44.03 44.03-44.03zm161.438 0c24.447 0 44.062 19.58 44.062 44.03 0 24.446-19.616 44.063-44.062 44.063-24.447 0-44.03-19.617-44.03-44.063-.002-24.446 19.583-44.03 44.03-44.03zm-162.47 35.093c-6.623 0-11.78 5.188-11.78 11.812s5.157 11.78 11.78 11.78c6.625 0 11.814-5.156 11.814-11.78 0-6.627-5.188-11.813-11.813-11.813zm164.22 0c-6.624 0-11.78 5.188-11.78 11.812-.002 6.624 5.156 11.78 11.78 11.78s11.812-5.156 11.812-11.78c0-6.627-5.187-11.813-11.812-11.813zm-81.406 51.906c38.762 0 68.875 36.01 68.875 78.593 0 19.938-2.457 56.192-11.532 88.687-4.536 16.247-10.655 31.58-19.686 43.563-9.03 11.98-21.96 20.812-37.656 20.812-15.696 0-28.626-8.83-37.657-20.813-9.03-11.98-15.15-27.315-19.686-43.562-9.075-32.495-11.563-68.75-11.563-88.688 0-42.584 30.145-78.593 68.907-78.593zm0 18.686c-17.93 0-34.16 11.453-43.063 29.063h86.094c-8.895-17.61-25.103-29.064-43.033-29.064zm-27.282 173.938c1.45 2.532 2.956 4.878 4.53 6.97 6.78 8.99 13.692 13.373 22.75 13.373 9.06 0 15.943-4.383 22.72-13.375 1.576-2.09 3.08-4.436 4.53-6.968h-54.53z"}}]})(props);
};
function GiTeslaCoil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M157.78 18.72l-71.686.56-30 93.157 89.094 38.72-31 120.874 69.562-133.467-79.094-39L157.78 18.72zm197.532 0l76.47 131.093-86.094 21.437 80.062 184.875-36.813-162.906 83.25-18.876L412.97 19.28l-57.658-.56zm-99.937.5C223.01 19.22 197 45.26 197 77.624s26.01 58.406 58.375 58.406c32.365 0 58.406-26.04 58.406-58.405S287.74 19.22 255.376 19.22zM236.22 152.28v14.626h38.31V152.28c-6.13 1.58-12.54 2.44-19.155 2.44-6.614 0-13.025-.86-19.156-2.44zm-24.376 33.314c-17.463 0-22.313 8.166-22.344 14.625-.03 6.457 4.61 14.53 22.344 14.53h93.75c6.046 0 9.463-1.904 11.875-4.5 2.41-2.596 3.77-6.313 3.78-10.125.01-3.812-1.327-7.483-3.72-10.063-2.39-2.58-5.807-4.468-11.936-4.468h-93.75zm24.375 47.844v12.656h38.31v-12.656h-38.31zm-68.095 31.343c-6.13 0-9.515 1.89-11.906 4.47-2.393 2.58-3.73 6.25-3.72 10.063.01 3.81 1.37 7.528 3.78 10.125 2.413 2.596 5.798 4.5 11.845 4.5h167.78c17.734 0 22.376-8.073 22.345-14.532-.03-6.458-4.88-14.625-22.344-14.625h-167.78zm68.094 47.845v14.688h38.31v-14.688h-38.31zM131.53 346c-6.128 0-9.514 1.92-11.905 4.5-2.39 2.58-3.73 6.25-3.72 10.063.012 3.81 1.37 7.497 3.782 10.093s5.798 4.5 11.844 4.5H372.5c17.733 0 22.375-8.073 22.344-14.53-.032-6.46-4.882-14.626-22.344-14.626H131.53zm104.69 47.844v15.125h38.31v-15.126h-38.31zm-139 33.812c-6.13 0-9.516 1.92-11.907 4.5-2.392 2.58-3.73 6.25-3.72 10.063.01 3.81 1.37 7.496 3.782 10.092 2.412 2.597 5.797 4.5 11.844 4.5H406.81c17.733 0 22.376-8.072 22.344-14.53-.03-6.46-4.88-14.626-22.344-14.626H97.22zm139 47.844v18.53h38.31V475.5h-38.31z"}}]})(props);
};
function GiTeslaTurret (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M86.25 65.438c-16.888.292-31.98 8.265-43.625 20.53-13.8 14.54-22.688 35-22.688 55.97 0 23.592 10.85 46.488 27.75 60.968-16.63 20.026-23.824 40.488-23.406 58.938.462 20.306 10.22 37.75 24.845 48.5 14.624 10.75 34.166 14.9 53.656 9.594 18.535-5.046 36.713-18.573 51.032-41.563h102.313v-64.47l-156.313 22.19v42.28H131c-10.582 13.32-22.16 20.546-33.125 23.53-14.113 3.843-27.553.825-37.688-6.624-10.134-7.448-16.917-19.23-17.25-33.874-.312-13.763 5.157-30.422 20.657-48.312 9.81 4.438 20.733 6.306 32.218 4.687l4-.56 185.625-26.345v-39.47h37.532v34.126l18.686-2.655v-31.47h34.28L375.94 178l18.687-2.625v-23.97h27.938c4 15.145 17.786 26.314 34.187 26.314 19.532 0 35.375-15.844 35.375-35.376 0-19.532-15.843-35.344-35.375-35.344-16.19 0-29.804 10.872-34 25.72h-28.125v-20.47l-18.688-2.97v23.44h-34.28v-28.907l-18.688-2.97v31.876h-37.533V94.843l-12.218-1.938L95.81 66.062c-3.24-.494-6.435-.68-9.562-.624zm119.938 44.718l-5 21.813 62.218 11.843-82.437 27.562 5-21.813-62.22-11.812 82.438-27.594zM187.75 297.062v102.594h-40.188v26.47l-78.468 48H39.438v18.687h34.906l2.25-1.375 92.656-56.657h39.594l7.28 39.345h-15.343v18.688h54.626v-18.688h-20.28l-7.282-39.344h28.187l92.69 56.658 2.25 1.375h42.811v-18.688h-37.56L275.905 425v-25.344h-41.47l-.467-.28V297.062h-46.22z"}}]})(props);
};
function GiTesla (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M136 16v210l45 30v60h60V166l-45-30V76l45-30V16H136zm135 0v30l45 30v60l-45 30v150h60v-60l45-30V16H271zm-13.688 45.03A45 45 0 0 0 211 106a45 45 0 0 0 90 0 45 45 0 0 0-43.688-44.97zM181 346c-30 0-45 15-45 30h240c0-15-15-30-45-30H181zm-75 60c-15 0-30 15-30 30v60h360v-60c0-15-15-30-30-30H106z"}}]})(props);
};
function GiTestTubes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M163.154 21.588l-97.39.047c.71 5.647 2.193 12.66 5.685 19.353 6.086 11.665 16.458 22.127 42.687 22.127 25.66 0 36.383-10.45 42.81-22.176 3.635-6.63 5.333-13.7 6.207-19.352zm144.838 0l-97.39.047c.71 5.647 2.193 12.66 5.685 19.353 6.087 11.665 16.458 22.127 42.688 22.127 25.66 0 36.383-10.45 42.81-22.176 3.635-6.63 5.333-13.698 6.207-19.352zm136.66 0l-97.39.047c.71 5.647 2.193 12.66 5.685 19.353 2.31 4.426 5.238 8.677 9.412 12.25.033.03.07.057.103.086.392.333.797.658 1.21.98.082.06.163.124.245.186.42.32.852.632 1.297.938l.12.084c.494.338 1.004.668 1.53.988.06.037.125.07.186.107.45.27.91.534 1.382.79.127.07.257.136.386.205.456.24.923.474 1.4.7.1.048.197.097.298.143.59.275 1.195.54 1.82.793l.096.04c.585.236 1.19.46 1.806.677.136.048.275.094.412.14.505.173 1.02.338 1.545.497.19.057.376.116.57.172.678.196 1.373.383 2.09.556.037.01.08.018.118.028.67.16 1.36.31 2.064.45.226.046.456.09.686.132.566.106 1.144.204 1.732.297.21.033.416.068.63.1.805.118 1.625.227 2.472.32.07.007.143.012.213.02.774.082 1.568.152 2.376.212.275.02.554.036.833.054.616.04 1.244.07 1.88.097.32.014.638.03.962.038.92.028 1.852.047 2.813.047.938 0 1.85-.02 2.748-.047.327-.01.648-.023.97-.037.633-.025 1.257-.058 1.87-.098.256-.017.514-.034.767-.053.87-.067 1.728-.143 2.56-.235.01-.002.018 0 .028-.002.833-.093 1.64-.204 2.434-.323.19-.028.38-.06.568-.09.624-.1 1.237-.207 1.838-.322.195-.037.39-.072.584-.11.742-.15 1.473-.31 2.18-.484.007 0 .014-.004.02-.005.724-.18 1.423-.37 2.11-.572.148-.043.292-.088.438-.133.56-.17 1.108-.348 1.645-.533.13-.045.264-.088.394-.135 1.315-.466 2.563-.977 3.745-1.53.083-.037.163-.077.244-.116.508-.24 1.004-.49 1.49-.747.095-.05.192-.1.287-.152 1.115-.602 2.17-1.242 3.166-1.917l.173-.12c.448-.308.884-.622 1.31-.943.06-.047.125-.093.187-.14 4.942-3.78 8.373-8.443 11.052-13.33 3.635-6.63 5.333-13.698 6.207-19.352zm-296.1 52.41c-5.537 2.877-11.877 5.112-19.058 6.44-.113 47.25-.436 120.64-.283 161.048.032 8.097-6.767 14.837-15.595 14.848-8.827.01-15.525-6.654-15.502-14.795v-.007c.09-40.075.358-113.676.303-161.138-7.104-1.327-13.368-3.528-18.826-6.358.027 104.356-.45 285.02-.598 357.54-.045 20.65 15.557 36.74 34.473 36.714 18.917-.03 34.696-16.216 34.625-36.817-.258-74.726.25-254.896.46-357.475zm144.837 0c-5.546 2.882-11.897 5.118-19.09 6.445-.132 36.89-.393 71.557-.25 109.024.03 8.096-6.77 14.837-15.6 14.847-8.826.01-15.524-6.656-15.5-14.796v-.004c.083-37.297.306-72.125.294-109.12-7.1-1.328-13.362-3.528-18.818-6.357.027 104.356-.45 285.02-.598 357.54-.045 20.65 15.56 36.74 34.475 36.714 18.916-.03 34.696-16.216 34.625-36.817-.258-74.726.25-254.896.46-357.475zm136.66 0c-5.534 2.876-11.872 5.11-19.048 6.438-.103 51.75-.45 165.517-.293 207.146.028 8.096-6.77 14.837-15.597 14.848-8.827.01-15.524-6.656-15.502-14.797v-.002c.094-41.295.387-154.942.308-207.234-7.106-1.326-13.373-3.528-18.832-6.36.027 104.357-.45 285.022-.598 357.542-.045 20.648 15.56 36.738 34.475 36.713 18.916-.03 34.696-16.216 34.625-36.817-.258-74.726.25-254.896.46-357.475zM17.68 98.2v51.755h43.177c.023-17.875.048-35.785.055-51.754H17.68zm149.507 0c-.036 16.48-.067 32.794-.11 51.755h38.616c.022-17.875.048-35.785.055-51.754h-38.56zm144.836 0c-.036 16.48-.067 32.794-.11 51.755h30.44c.023-17.875.048-35.785.055-51.754h-30.385zm136.66 0c-.036 16.48-.067 32.794-.11 51.755h43.833V98.2h-43.722zM17.68 443.44v51.755h474.726v-51.755H447.02c-5.244 24.68-26.506 43.5-52.032 43.54h-.002c-25.566.034-46.75-18.834-51.95-43.54H310.36c-5.244 24.68-26.506 43.5-52.032 43.54h-.002c-25.566.034-46.75-18.834-51.95-43.54h-40.85c-5.246 24.68-26.508 43.5-52.034 43.54h-.002c-25.566.034-46.75-18.834-51.95-43.54H17.68z"}}]})(props);
};
function GiTexas (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M156.3 41.88V222.6l-130.57 3c35.98 40.7 60.88 78.7 123.07 126 36.4-48.2 78.8-54.7 144.7 100.5l66.8 18c.7-49.4-15.2-97.8 126-155.3l-11.3-93-3-60.7-211.9-39.8V41.88z"}}]})(props);
};
function GiTheaterCurtains (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18 18v94.275c28.382-12.57 52.994-35.202 71.39-59.734-4.662-3.466-8.973-7.064-12.865-10.79C68.903 34.452 62.723 26.51 58.973 18zm61.754 0c2.378 3.508 5.41 7.103 9.22 10.75 10.73 10.274 26.505 20.414 44.88 29.117C170.602 75.274 217.8 87 256 87s85.398-11.726 122.146-29.133c18.375-8.703 34.15-18.843 44.88-29.117 3.81-3.647 6.842-7.242 9.22-10.75zm373.273 0c-3.75 8.51-9.93 16.452-17.552 23.75-3.892 3.726-8.203 7.324-12.864 10.79 18.396 24.533 43.008 47.166 71.39 59.735V18zm-82.554 16.734C354.78 52.937 308.428 65.326 256 65.33c-52.242-.023-98.44-12.343-114.236-30.463C168.982 45.655 211.206 51.987 256 52c44.953-.022 87.294-6.408 114.473-17.266zM104.785 62.78C83.37 91.92 53.765 118.415 18 131.788v174.035c2.116.805 4.112 1.178 6 1.178 8.312-.646 12.295-5.132 18.324-9.984 29.568-24.024 49.255-66.27 65.053-119.094 9.187-30.72 17.136-64.91 25.34-100.78-2.216-.986-4.41-1.986-6.57-3.01-7.512-3.557-14.67-7.346-21.362-11.35zm302.43 0c-6.693 4.006-13.85 7.795-21.36 11.353-2.162 1.023-4.356 2.023-6.572 3.008 8.204 35.872 16.153 70.062 25.34 100.782 15.798 52.825 35.485 95.07 65.053 119.094 5.414 4.648 11.22 9.89 18.324 9.984 1.888 0 3.884-.373 6-1.178V131.787c-35.764-13.373-65.37-39.87-86.785-69.006zM46.13 317.34C39.233 322.193 31.793 325 24 325c-2.025 0-4.026-.197-6-.564v123.2c6.273 2.01 14.098 3.364 22 3.364 12.41 0 24.637-3.336 30.94-7.316-.04-43.556-.973-88.042-24.81-126.344zm419.74 0c-23.837 38.302-24.77 82.788-24.81 126.344 6.303 3.98 18.53 7.316 30.94 7.316 7.902 0 15.727-1.353 22-3.363v-123.2c-1.974.366-3.975.563-6 .563-7.792 0-15.232-2.807-22.13-7.66zM88.39 409c.6 13.277.61 26.37.61 39v3.73l-2.637 2.633C75.18 465.545 57.5 469 40 469c-7.475 0-14.98-.636-22-2.232V487h476v-20.232c-7.02 1.596-14.525 2.232-22 2.232-17.5 0-35.18-3.455-46.363-14.637L423 451.73V448c0-12.63.01-25.723.61-39z"}}]})(props);
};
function GiThermometerCold (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160 36.5c-11.688 0-23 6.674-23 25.5v25h23v18h-23v14h7v18h-7v14h23v18h-23v14h7v18h-7v14h23v18h-23v14h7v18h-7v14h23v18h-23v14h7v18h-7v14h14v-23h18v81.313A32 32 0 0 1 192 432a32 32 0 0 1-32 32 32 32 0 0 1-32-32 32 32 0 0 1 23-30.688V361h-14v21h.01c-18.926 8.673-32.01 27.74-32.01 50 0 30.482 24.518 55 55 55s55-24.518 55-55c0-22.26-13.084-41.327-32.01-50h.01V62c0-18.826-11.313-25.5-23-25.5zm87 16.273v66.73l-46-23v20.124l46 23v50.246l-13.54 27.084-30.228-1.814-2.232-1.29v27.126l9.918 15.02L201 271.02v27.126l2.232-1.29 30.227-1.813L247 322.127v50.246l-29.51 14.754c3.703 4.73 6.834 9.922 9.293 15.478L247 392.498v66.73h18v-66.73l68.266 34.133 8.05-16.1L265 372.374v-50.246l13.54-27.084 30.228 1.814 43.513 25.123-5.11 85.172 17.97 1.078 4.57-76.187 57.79 33.365 9-15.588-57.79-33.365 63.694-42.053-9.918-15.02-71.205 47.01-43.514-25.124L301.082 256l16.684-25.268 43.515-25.125 71.206 47.012 9.918-15.022-63.693-42.053 57.79-33.365-9-15.588-57.79 33.365-4.57-76.187-17.97 1.078 5.11 85.172-43.512 25.123-30.227 1.814L265 189.873v-50.246l76.316-38.158-8.05-16.1L265 119.5v-66.73h-18zm-162.5 93.82l-9 15.587 43.5 25.115v-20.783l-34.5-19.92zm34.5 58.386l-49.404 32.618 9.918 15.02L119 226.55v-21.57zm-39.486 54.4l-9.918 15.022L119 307.022v-21.57l-39.486-26.07zM119 324.706L75.5 349.82l9 15.588 34.5-19.92v-20.783zm43.11 83.943c-25.186 0-25.186 26.678-25.186 26.678s7.05-10.4 11.31-14.904c4.195-4.435 13.877-11.774 13.877-11.774z"}}]})(props);
};
function GiThermometerHot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160 36.5c-11.688 0-23 6.674-23 25.5v25h14V64h18v337.313A32 32 0 0 1 192 432a32 32 0 0 1-32 32 32 32 0 0 1-32-32 32 32 0 0 1 23-30.688V361h-14v21h.01c-18.926 8.673-32.01 27.74-32.01 50 0 30.482 24.518 55 55 55s55-24.518 55-55c0-22.26-13.084-41.327-32.01-50h.01V62c0-18.826-11.313-25.5-23-25.5zm96 16.273c-12.063 20.105-25.092 39.243-39.064 57.438-5.335-2.207-10.646-4.508-15.936-6.882v19.082c16.962-7.01 35.53-10.894 55-10.894 79.69 0 144.484 64.794 144.484 144.484 0 79.69-64.794 144.484-144.484 144.484-11.006 0-21.727-1.24-32.033-3.582 4.352 7.89 7.27 16.666 8.44 25.975 8.234 11.748 16.1 23.86 23.593 36.35 12.063-20.105 25.092-39.243 39.064-57.438 21.198 8.77 42.05 18.83 62.55 30.21.394-23.442 2.11-46.53 5.113-69.273 22.743-3.003 45.83-4.72 69.273-5.114-11.38-20.5-21.44-41.35-30.21-62.55 18.194-13.97 37.332-27 57.437-39.063-20.105-12.063-39.243-25.092-57.438-39.064 8.77-21.198 18.83-42.05 30.21-62.55-23.442-.394-46.53-2.11-69.273-5.113-3.003-22.743-4.72-45.83-5.114-69.273-20.5 11.38-41.35 21.44-62.55 30.21-13.97-18.194-27-37.332-39.063-57.437zM137 105v14h7v18h-7v14h14v-46h-14zm119 24.516c-19.728 0-38.376 4.514-55 12.54v227.89c16.624 8.024 35.272 12.538 55 12.538 69.962 0 126.484-56.522 126.484-126.484 0-69.962-56.522-126.484-126.484-126.484zM119 152.47c-12.89 1.044-25.888 1.696-39 1.917 11.38 20.5 21.44 41.35 30.21 62.55-18.194 13.97-37.332 27-57.437 39.063 20.105 12.063 39.243 25.092 57.438 39.064-8.77 21.198-18.83 42.05-30.21 62.55 13.112.22 26.11.87 39 1.913v-57.644c-4.844-14.422-7.484-29.846-7.484-45.883 0-16.035 2.64-31.458 7.484-45.88v-57.65zM137 169v14h7v18h-7v14h14v-46h-14zm0 64v14h7v18h-7v14h14v-46h-14zm0 64v14h7v18h-7v14h14v-46h-14zm25.11 111.648c-25.186 0-25.186 26.678-25.186 26.678s7.05-10.4 11.31-14.904c4.195-4.435 13.877-11.774 13.877-11.774z"}}]})(props);
};
function GiThermometerScale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M132.875 19.594v57.03H369.72v-57.03H132.874zm29.03 75.72v266.405h18.69V95.31h-18.69zm160.095 0v266.405h18.688V95.31H322zm-56.75 17.75v18.686h35.813v-18.688H265.25zm-47.53 42.874v18.687h85v-18.688h-85zm47.53 40.687v18.688h35.813v-18.688H265.25zm0 42.156v18.69h35.813v-18.69H265.25zm-47.53 42.876v18.688h85v-18.688h-85zm47.53 40.688v18.687h35.813v-18.686H265.25zm-132.375 58.094v57H369.72v-57H132.874zm45.656 75.718v34.78l145.532.002v-34.782h-145.53z"}}]})(props);
};
function GiThink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M431.654 39.256c-7.94 0-15.646 1.078-23.123 3.236-7.398 2.158-14.72 5.435-21.966 9.828v21.735c7.477-5.164 14.645-9.096 21.504-11.793 6.937-2.698 13.45-4.045 19.54-4.045 8.324 0 14.99 2.118 20 6.357 5.088 4.24 7.63 9.79 7.63 16.65 0 3.775-1.002 7.476-3.006 11.098-1.926 3.623-5.087 7.476-9.48 11.56l-10.404 10.292c-6.937 6.628-11.485 12.447-13.643 17.457-2.158 5.01-3.236 11.408-3.236 19.192v17.805h22.08v-14.22c0-4.01.115-7.17.346-9.48.232-2.314.58-4.277 1.04-5.896.618-1.926 1.658-3.89 3.123-5.895 1.54-2.08 4.122-4.934 7.745-8.557l10.174-9.943c6.935-6.63 11.792-12.562 14.567-17.803 2.775-5.318 4.162-10.908 4.162-16.766 0-12.255-4.318-22.12-12.95-29.595-8.556-7.476-19.924-11.214-34.106-11.214zm-253.76 6.365C97.293 45.62 30 127.903 30 231.77c0 47.6 14.142 90.66 37.213 123.353 5.01-2.917 10.87-4.5 17.02-4.005 9.196.74 18.27 5.864 26.245 14.832 18.47 20.77 35.302 33.96 59.48 49.117 62.787-35.66 93.123-76.714 139.263-117.365 2.854-2.516 5.8-4.558 8.777-6.177 5.04-18.706 7.783-38.79 7.783-59.755 0-103.866-67.292-186.147-147.89-186.147zM97.01 146.063c15.177.09 30.255 8.09 43.607 23.764l-13.7 11.674c-11.907-13.977-21.85-18.017-31.802-17.385-9.952.633-21.423 6.88-33.7 18.172L49.228 169.04c13.87-12.76 28.547-21.86 44.743-22.89a43.78 43.78 0 0 1 3.037-.088zm151.96 0a43.78 43.78 0 0 1 3.036.088c16.196 1.03 30.874 10.13 44.744 22.89l-12.186 13.247c-12.278-11.293-23.748-17.54-33.7-18.172-9.953-.632-19.896 3.408-31.802 17.385l-13.7-11.674c13.352-15.674 28.43-23.673 43.607-23.763zm165.803 39.56v29.366h23.47v-29.365h-23.47zm-315.326 7.874c12.646 0 24.26 3.752 33.117 10.36 8.857 6.61 15.106 16.57 15.106 27.912 0 11.342-6.25 21.302-15.106 27.912-8.856 6.61-20.47 10.36-33.117 10.36-12.646 0-24.26-3.75-33.117-10.36-8.856-6.61-15.105-16.57-15.105-27.912 0-11.342 6.25-21.3 15.105-27.91 8.857-6.61 20.47-10.362 33.117-10.362zm156.89 0c12.647 0 24.262 3.752 33.118 10.36 8.857 6.61 15.106 16.57 15.106 27.912 0 11.342-6.248 21.302-15.105 27.912-8.856 6.61-20.47 10.36-33.117 10.36-12.646 0-24.26-3.75-33.117-10.36-8.856-6.61-15.105-16.57-15.105-27.912 0-11.342 6.25-21.3 15.106-27.91 8.857-6.61 20.472-10.362 33.118-10.362zm-160.064 18.12c-7.707.567-14.474 3.155-19.177 6.665-5.34 3.986-7.87 8.663-7.87 13.488 0 4.824 2.53 9.5 7.87 13.486 5.34 3.985 13.335 6.785 22.35 6.785 9.017 0 17.013-2.8 22.353-6.786 5.338-3.985 7.87-8.662 7.87-13.486 0-.09-.006-.177-.008-.266a19.61 19.515 0 0 1-15.506 7.584 19.61 19.515 0 0 1-19.61-19.516 19.61 19.515 0 0 1 1.727-7.955zm156.688.013c-7.623.596-14.31 3.172-18.974 6.65-5.34 3.986-7.87 8.663-7.87 13.488 0 4.824 2.53 9.5 7.87 13.486 5.34 3.985 13.336 6.785 22.352 6.785s17.012-2.8 22.35-6.786c5.34-3.985 7.873-8.662 7.873-13.486 0-.23-.01-.46-.02-.688a19.61 19.515 0 0 1-15.493 7.566 19.61 19.515 0 0 1-19.61-19.515 19.61 19.515 0 0 1 1.524-7.5zm83.263 92.337a11.32 11.32 0 0 0-1.32.012c-3.626.24-8.098 2.217-13.782 7.225-41.548 36.606-72.158 76.506-129.536 112.022l-39.91 26.484-9.953-14.997 12.454-8.264c-22.1-14.347-39.177-28.335-57.145-48.542-5.797-6.518-10.678-8.563-14.24-8.85-3.56-.286-6.562.945-9.528 3.948-5.88 5.95-9.498 19.257-4.2 32.29 12.462 22.93 36.147 44.15 54.038 71.204l1.953 2.95-.582 3.49a521.26 521.26 0 0 0-1.74 11.06h211.452c.103-1.217.18-2.456.193-3.746-.11-4.19-3.22-10.067-8.258-14.563-5.066-4.518-11.74-7.125-15.402-7.032l-12.436.317 3.587-11.91c1.944-6.454.005-14.632-4.613-18.827-4.62-4.195-12.2-6.694-27.313.99l-10.743-14.072c28.086-30.964 65.366-68.32 87.653-102.594 3.04-4.676 1.373-11.558-3.237-15.41-2.017-1.685-4.398-3.036-7.39-3.185zm-122.707 36.64l7.197 16.498c-28.058 12.24-57.48 12.936-85.8-.072l7.513-16.355c23.976 11.013 46.85 10.504 71.09-.07z"}}]})(props);
};
function GiThirdEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.076 20.326c-44.403 0-85.074 25.412-115.224 68.104-22.122 31.322-38.243 71.822-45.268 117.295 11.268-3.406 22.4-5.216 33.176-5.47 13.302-.316 26.063 1.73 37.87 6.024h.64c.506.263.99.537 1.49.804 14.208 5.552 26.97 14.42 37.545 26.42 27.592 31.31 40.233 82.2 31.002 147.836 11.677 2.103 25.794 2 37.056-.014-9.227-65.628 3.416-116.514 31.006-147.822 26.953-30.586 68.11-40.84 111.224-27.63-7.012-45.533-23.145-86.087-45.29-117.444-30.152-42.692-70.825-68.104-115.228-68.104zm-2.478 78.69c1.268-.017 2.536-.018 3.804 0 40.59.548 80.635 18.362 114.31 50.902l6.983 6.748-7.01 6.72c-37.295 35.744-78.045 53.636-118.17 53.253-40.128-.384-78.892-19.074-112.103-53.515l-6.353-6.588 6.454-6.488c33.47-33.64 72.76-50.512 112.084-51.034zm1.732 19.545c-20.775 0-37.55 16.932-37.55 38.225 0 21.293 16.775 38.225 37.55 38.225s37.55-16.932 37.55-38.225c0-21.294-16.775-38.224-37.55-38.224zm47.816 8.37c5.332 8.7 8.42 18.933 8.42 29.855 0 11.535-3.442 22.304-9.337 31.307 16.365-6.818 32.772-17.236 48.954-31.46-15.21-13.253-31.398-23.184-48.038-29.702zm-95.92.457c-15.647 6.447-30.93 16.173-45.464 29.384 14.99 14.17 30.685 24.68 46.806 31.537-5.98-9.046-9.476-19.896-9.476-31.522 0-10.73 2.973-20.8 8.133-29.398zm48.186 12.808c9.22 0 16.695 7.583 16.695 16.936 0 9.354-7.475 16.934-16.695 16.934s-16.693-7.58-16.693-16.933c0-9.352 7.472-16.935 16.692-16.935zm138.736 79.553c-1.77 23.523-18.57 43.682-42.44 57.676-16.024 9.395-35.52 16.348-57.147 20.178-5.55 24.405-6.327 54.318-.484 89.334l1.344 8.052-7.8 2.412c-18.743 5.8-43.65 6.162-63.57 0l-7.8-2.412 1.344-8.052c5.83-34.932 5.07-64.782-.444-89.155-22.05-3.786-41.922-10.808-58.207-20.356-23.814-13.962-40.593-34.06-42.43-57.514-7.567 1.242-15.398 3.354-23.458 6.397-.91 10.044-1.383 20.29-1.383 30.693 0 66.152 19.03 125.88 49.18 168.57 4.094 5.798 8.39 11.265 12.855 16.405 6.487-5.172 14.775-9.26 24.592-12.69 20.326-7.1 47.276-11.228 77.026-11.228 29.75 0 56.7 4.127 77.028 11.228 10.163 3.55 18.706 7.796 25.29 13.23.063.054.124.11.188.163 4.687-5.343 9.19-11.044 13.47-17.108 30.15-42.69 49.18-102.418 49.18-168.57 0-10.56-.49-20.955-1.427-31.145l-.203.538c-8.503-3.228-16.75-5.42-24.704-6.645zM251.326 436.744c-27.984 0-53.328 4.058-70.863 10.184-7.556 2.64-13.624 5.7-17.725 8.61 25.946 24.332 56.627 38.136 89.338 38.136 32.43 0 62.867-13.568 88.672-37.512-4.087-3.096-10.458-6.405-18.557-9.234-17.533-6.126-42.88-10.184-70.864-10.184z"}}]})(props);
};
function GiThompsonM1 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M200.02 282.864c.647 5.763-.805 16.744-4.795 23.737-7.455 12.98-70.408 119.37-93.583 158.517a10.8 10.8 0 0 1-18.156.723l-38.987-55.936a9.806 9.806 0 0 1 .71-12.2l76.428-66.323a15.526 15.526 0 0 1 11.655-5.148l4.886.031a13.414 13.414 0 0 0 13.335-11.224l48.504-32.203zm81.47-88.347l14.718 22.17a9.292 9.292 0 0 1-2.602 12.88l-25.679 17.05s-3.853 9.861-3.262 14.073c.59 4.212 4.087 15.196 3.565 18.187-.522 2.991-3.116 7.07-2.512 9.177.604 2.107 6.36 8.384 6.175 9.302a12.146 12.146 0 0 1-3.888 3.554 18.939 18.939 0 0 1-12.95 3.322c-9.173-1.309-12.276-1.153-14.047-2.582-1.77-1.428-8.27-3.416-9.518-12.686-1.25-9.27 3.298-24.648 3.15-26.688-.148-2.039-.188-9.467-4.485-13.835-4.298-4.368-14.83 2.432-24.26 8.598l-52.413 34.798-17.882-26.934 9.054-6.011-.938-16.397a9.292 9.292 0 0 1 7.537-8.854l25.396-4.884a4.795 4.795 0 0 1 4.897 2.051l1.648 2.482 119.976-79.654 12.212 18.393-33.877 22.491zm8.04 20.697a8.528 8.528 0 0 0-11.821-2.388l-13.077 8.683a8.528 8.528 0 0 0-2.388 11.82l.827 1.247a8.528 8.528 0 0 0 11.821 2.387l13.077-8.682a8.528 8.528 0 0 0 2.388-11.821l-.796-1.198zm164.75-161.89l-11.84 7.861 7.235 10.9 19.62-13.027L459.06 43.64a4.67 4.67 0 0 0-6.472-1.307 4.909 4.909 0 0 0-.752.622 4.738 4.738 0 0 0-.486 5.955zM306.809 199.63l63.016 94.916 18.67-12.395-63.017-94.916zm42.065-36.08l85.918-57.044a13.174 13.174 0 0 0 3.689-18.262l-11.259-16.957-107.868 71.617 11.258 16.957a13.174 13.174 0 0 0 18.252 3.695z"}}]})(props);
};
function GiThompsonM1928 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M33.782 405.263l57.844 74.212a5.605 5.605 0 0 0 9.054-.467c28.971-42.99 46.646-94.058 57.612-121.356 5.078-12.552 14.195-22.978 24.62-31.56 0 0 19.75-18.098 25.94-25.76 8.056-10.043 7.72-20.907.92-31.696l-64.11 41.808a27.27 27.27 0 0 0-2.528 4.597l-1.81 4.231a8.259 8.259 0 0 1-4.136 2.697l-6.312 1.847a31.109 31.109 0 0 0-14.138 8.763l-82.677 65.428a5.58 5.58 0 0 0-.279 7.256zM436.424 48.359a5.53 5.53 0 0 1 1.578-7.66l2.802-1.828a5.53 5.53 0 0 1 7.653 1.611l2.435 3.733 21.115-13.77 7.417 11.375-21.104 13.763 2.117 3.247-12.057 7.862-2.798-4.29-122.76 80.056-6.069-9.306 122.76-80.057-3.102-4.757zM256.3 302.624c9.125 1.065 16.077-.772 20.75-3.82a16.554 16.554 0 0 0 5.931-6.432 11.11 11.11 0 0 1-3.466-19.846 24.27 24.27 0 0 1-2.802-37.744l21.135-13.783a6.777 6.777 0 0 0 1.975-9.38l-11.592-17.774 31.238-20.372-19.252-29.521-31.92 20.816-1.424-2.181a5.247 5.247 0 0 0-6.951-5.666 5.555 5.555 0 0 0-1.108.561 5.247 5.247 0 0 0 1.4 9.403l1.424 2.182-86.27 56.26-4.911-3.533c-1.295-.923-3.87-.511-6.187 1l-28.322 18.47c-2.316 1.51-3.732 3.7-3.409 5.258l1.252 5.92-7.073 4.612 19.252 29.521 73.416-47.877c10.216-1.24 16.578 4.81 17.424 17.36l-1.044 23.26c-.52 13.485 12.19 22.307 20.52 23.285zm12.115-80.249a7.63 7.63 0 0 1 2.223-10.558l11.767-7.674a7.63 7.63 0 0 1 10.558 2.223l2.697 4.136a7.63 7.63 0 0 1-2.223 10.558l-11.777 7.68a7.63 7.63 0 0 1-10.558-2.222l-2.697-4.136zm66.534-74.25l74.459-48.81a2.123 2.123 0 0 1 3.392 1.428 70.291 70.291 0 0 0 .507 7.805c2.063 16.724 9.618 22.953 9.618 22.953a10.16 10.16 0 0 0-3.426 18.181 10.172 10.172 0 0 0-.956 18.309 10.172 10.172 0 0 0 6.649 18.036c-2.887 6.422-11.65 12.534-26.283 10.818-8.331-.978-16.909-9.385-16.472-20.016l1.984-20.188c1.13-19.174-13.073-15.527-17.68-10.003-4.124 4.975-16.4 18.92-16.4 18.92a3.123 3.123 0 0 1-4.63.38l-8.725-7.661-2.576-2.255a5.16 5.16 0 0 1 .54-7.987zm-23.402 45.856a2.136 2.136 0 0 1 .269-.175l10.899-7.107c1.571-1.025 4.388.085 8.112 2.992 7.644 5.936 18.87 19.263 29.706 35.88 16.056 24.62 25.152 47.132 20.323 50.281l-10.847 7.074a2.136 2.136 0 0 1-.269.175c-4.829 3.15-21.763-14.251-37.818-38.872a244.538 244.538 0 0 1-12.345-21.189c-7.95-15.242-11.38-26.918-8.009-29.117z"}}]})(props);
};
function GiThorFist (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.87 18.84v49.25C38.19 111.9 58.49 155.7 78.81 199.5c29.69-1.2 59.49-2.3 89.19-3.4 14.5-15.4 30.1-29.5 48-44L101.1 74.97 86.91 18.84H17.88zm94.63 0c6.1 16.15 12.2 32.33 18.4 48.47 23.5 1.98 47.1 3.9 70.6 5.85l22.8 72.34c5-4 10.3-8.1 15.7-12.2-8.2-25.9-16.2-51.83-24.4-77.71-23.8-1.99-47.6-3.94-71.4-5.9l-11.7-30.85zM65.37 126.1l42.23 2L152 178l-61.47 2.3zm196.93 13.6c-48.9 36.6-79.3 62.9-109.2 103.6 3.8 12 9.1 24.2 15.6 36.3l100.4-88.5 12.4 14-103.1 90.8c7 11 15 21.7 23.8 31.8l107.2-88.6 11.9 14.4-106.4 87.8c8 8 16.5 15.5 25.4 22.2L344 287.9l11 15.1-98.4 71.7c10.2 6.4 20.8 11.7 31.7 15.9 41.1-16.8 77.9-50.1 105.8-82.6 6-7 8.3-14 7.5-20.3-.9-6.3-4.9-13.2-15.7-20.1l-5.2-3.3 1-6.1c2.5-15.2-1.2-22.1-6.5-26.8-5.2-4.6-13.7-6.8-21.1-6.8l-15-.1 6.7-13.5c4.4-8.9 3.5-18.5-1.9-25.8-5.4-7.3-15.6-12.9-32.5-11.4l-12.7 1 2.8-12.4c3.1-14.2-2.2-21-10.7-25.1-9.4-3.9-20.4-3-28.5 2.4zM132.5 240c-8.9 10.1-16.6 21.1-22.4 32.6 8.4 20.9 19.7 36 33 44.9 10.1 6.8 21.4 10.3 34.4 10.4-20.1-29.1-36.2-58-45-87.9zm262.7 94.8c-4.2 4.5-8.5 8.9-13 13.4l23.7 20.6-18 15.7-16.9-25.8c-12.3 11.1-25.6 21.5-39.8 30.6l14.2 32.1c-17.7 15.4-35.4 30.7-53.1 46.1 12.9 8.9 25.7 17.8 38.5 26.7h32.8l-40.9-28.4 30.6-26.5 11.7 26.6 20.1-3.3 11.7 31.6h20l-13-34.8 60.9-10.3-13.3 45.1h41.8v-91l-86.6 9.7-8.3-12.7c12.1-10.4 24.1-20.9 36.1-31.3-13.3-11.6-27.5-24.1-39.2-34.1z"}}]})(props);
};
function GiThorHammer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M266.033 32.42l-85.238 85.238v19.799L285.832 32.42h-19.799zm41.528 3.728L184.523 159.186l168.291 168.29L475.852 204.44 307.56 36.15zm172.02 190.02L374.542 331.205h19.799l85.238-85.238v-19.799zm-239.903 13.627l-9.9 9.9 32.527 32.528 9.9-9.9-32.527-32.528zm-22.627 22.627l-23.528 23.527h47.055l-23.527-23.527zm-41.528 41.527l-27.255 27.256h65.054l27.256-27.256h-65.055zm-45.255 45.256l-27.254 27.254h65.054l27.254-27.254h-65.054zm-27.254 45.254l23.527 23.527 23.527-23.527h-47.054zm-21.729 3.728l-9.898 9.899 32.527 32.527 9.898-9.898-32.527-32.527zm-38.767 18.899l-7.504 22.512 37.388 37.388 22.512-7.504v-12.414L54.93 417.086H42.518z"}}]})(props);
};
function GiThornHelix (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M71.875 18.688c3.203 7.786 3.926 16.95 4.03 27.78.117 11.915-.877 25.668-2.468 40.126-2.693 24.49-6.377 49.535-.656 71.78-6.075 11.6-19.268 17.043-35.218 20.095 16.236 11.488 36.372 16.193 55.75 11.155 4.172 2.988 8.886 5.517 14.063 7.406 12.283 4.483 26.604 5.65 45.03 3.845.483-7.57 1.287-14.966 2.126-22.125-18.17 2.18-30.275 1.23-39.155-2-8.93-3.248-14.99-9.736-18.03-16.563-3.664-8.236-4.52-18.246-4.657-30.375-.14-12.128.8-26.15 2.406-40.75 1.655-15.05 3.667-30.256 3.53-44.812l-.53-3.563c.147-.022.29-.04.437-.062-.267-7.548-1.168-14.902-3.093-21.938H71.876zm54.344 38.406c-2.93.008-5.966.116-9.095.312-.462 7.62-1.278 15.044-2.125 22.25 7.17-.687 13.54-.854 19.125-.594 8.052.377 14.53 1.59 19.688 3.313 9.983 3.337 15.33 10.67 18.125 16.313.004.007-.004.023 0 .03 4.084 8.26 4.915 18.162 5.03 30.063.116 11.915-.91 25.67-2.5 40.126-3.174 28.863-7.678 58.49 3.407 83.406 1.387 3.118 3.24 6.112 5.438 8.97 2.654 17.69-5.822 30.658-19.22 40.062 21.26.607 38.842-6.724 54.032-19.25 10.6 2.244 22.79 2.488 37.594.875.07-.633.148-1.313.218-1.94l.062-.467c.755-6.864 1.368-13.512 1.78-19.782-19.424 2.535-32.108 1.636-41.342-1.717-8.934-3.245-15.024-9.73-18.063-16.563-3.663-8.236-4.487-18.278-4.625-30.406-.138-12.13.77-26.12 2.375-40.72.205-1.863.414-3.727.625-5.593 17.935-6.422 33.858-16.394 43.594-37.155-14.194 6.125-27.66 5.143-40.688-2.063-.13-13.513-2.115-26.493-8-38.374-5.732-11.577-16.797-21.134-31.875-26.157-9.67-3.22-20.668-4.97-33.56-4.936zM56.405 67.687C40.13 69.94 28.428 69.9 19.53 68.03v22.064c9.908 1.497 21.237 1.45 34.69-.125.212-1.813.43-3.636.624-5.407.64-5.812 1.162-11.468 1.562-16.876zm261.625 98.407c-9.924 12.336-24.8 18.83-41.155 18.344-4.872-3.597-10.56-6.574-17-8.72-9.672-3.22-20.67-4.972-33.563-4.937-3.625.01-7.406.17-11.343.47-.082.71-.174 1.453-.25 2.156-.765 6.95-1.358 13.738-1.75 20.156 8.056-.874 15.108-1.1 21.25-.812 8.05.376 14.53 1.59 19.686 3.313 9.998 3.34 15.334 10.668 18.125 16.312 4.098 8.263 4.917 18.18 5.033 30.094.115 11.913-.88 25.666-2.47 40.124-1.157 10.53-2.49 21.157-3.187 31.625-14.21 8.57-28.415 6.47-42.625 2.967 12.176 19.17 26.11 34.532 45.47 38.313.976 3.577 2.2 7.086 3.72 10.5 5.11 11.485 16.065 21.71 30.53 27 10.1 3.675 21.575 5.122 35.563 4.53 28.41 16.137 58.544 27.008 89.906 34.595-6.23-29.518-17.78-58.992-31.75-88.53-.816.236-1.642.453-2.47.655 1.122-12.293 1.614-24.397.094-35.938 13.016-15.182 22.528-30.87 24.812-51.343-12.36 11.8-26.07 15.875-41.47 14.217-5.83-5.63-13.32-10.213-22.248-13.187-9.673-3.222-20.67-4.982-33.563-4.938-2.927.01-5.965.115-9.094.313-.462 7.617-1.28 15.083-2.124 22.28 7.162-.686 13.51-.854 19.094-.592 8.052.376 14.563 1.59 19.72 3.312 9.995 3.34 15.3 10.668 18.092 16.313 4.096 8.263 4.948 18.18 5.063 30.093.09 9.358-.556 19.863-1.594 30.94-.005.017.007.043 0 .06-3.253 10.205-12.32 16.49-22.374 19.126-17.327 1.948-28.993.983-37.625-2.156-8.93-3.248-14.99-9.734-18.03-16.563h-.03c-3.664-8.236-4.488-18.278-4.626-30.406-.14-12.127.77-26.12 2.375-40.717 1.658-15.09 3.673-30.27 3.53-44.844l-.53-3.564c.157-.023.31-.04.467-.062-.178-4.943-.63-9.805-1.468-14.563 14.082-11.002 20.396-32.75 19.81-55.936zm132.345 143.594c-10.293 10.04-20.307 19.424-31.156 26.125 16.522 34.94 30.197 70.528 35.78 107.375l2.03 13.28-13.155-2.718c-36.956-7.69-72.802-19.764-106.625-38.594-5.232 9.03-13.202 17.718-23.844 28.094 55.5 27.003 116.156 41.43 180.156 47.78-2.68-62.727-20.228-122.558-43.187-181.342z","fillRule":"evenodd"}}]})(props);
};
function GiThornedArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.03 19.875v19L75.657 95.5l-48.47 28.125 86.658 12.47-46.938 27.25 88.063 12.686-47.69 27.69 89.5 12.905 3.407 3.406-48.468 28.095 88.124 12.688-47.75 27.718 89.47 12.876.06.063.032-.032 23.125 3.312-28.718 28.72c31.304 19.57 71.2 39.18 100.594 46.874-7.61-31.554-26.336-68.222-46.906-100.563l-15.614 15.208c-16.25-17.246-.464-.61-19.855-20.863l-14.843-103.22-27.718 47.75-12.69-88.124-30.436 52.5-13.97-96.936-27.718 47.75L154.22 45.72l-32.44 55.905-81.75-81.75zM390.47 185.47l-8.064 36.81c35.057 67.22 63.472 144.408 63.47 215.47v9.344h-9.345c-62.652 0-144.955-28.477-211.78-61.906l-43.5 9.53c89.616 51.746 220.718 102.597 311.813 102.594.005-102.37-48.425-218.022-102.594-311.843zm-14.44 65.905l-11.155 50.906c16.02 29.348 28.89 60.25 32.906 88.72l1.75 12.313-12.31-1.75c-25.628-3.615-57.698-16.82-87.658-32.75l-44.875 9.812c57.178 26.034 122.48 46.993 172.22 49.47-2.193-56.77-23.28-119.44-50.876-176.72z"}}]})(props);
};
function GiThornyTentacle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M27.93 24.984l93.373-5.423 36.01 79.905-65.557 192.5 34.856-25.44 58.512 92.284 109.087 2.458-13.782 40.5 116.88-95.562-32.297-90.13 42.807-15.588-101.81-26.556-24.407-43.978-32.727 129.108 34.536 3.5 11.863 34.4 10.72-45.844-30.216-5.416 36.8-22.733 19.185 59.858-40.365 41.63-95.76-31.723-28.355-132.644 170.14-144.574-20.01 59.737 111.622 41.438 60.064 97.9-35.12 275.226-20.288-62.49-135.668 63.09-268.112-60.94 51.547-21.294-60.254-213.92 28.28 29.354 39.812-104.33 18.432 27.776-3.158-68.39L65.494 62.8 16.89 98.314 27.932 24.98z"}}]})(props);
};
function GiThornyVine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M170.03 19.97c-9.84-.048-20.1 1.433-30.468 4.718 35.302 10.096 48.28 38.273 28.313 50.874-19.99 4.045-38.712 10.416-55.438 19.5-29.128-24.24-76.94-16.207-98.374 27.126 25.322-15.383 53.47-5.423 51.062 13.406-4.616 6.22-8.8 12.928-12.47 20.156C29.29 201.79 22.633 246.438 32 283.188c9.368 36.75 34.264 66.22 77.313 83.375 31.047 12.37 67.714 6.876 92.437-10.47 17.063-11.97 28.697-28.66 29.97-49.843-5.095 7.016-11.27 12.66-18.25 16.656-15.738 9.01-34.5 10.306-51.94 5.97-17.438-4.338-33.843-14.324-45.186-29.063-11.344-14.74-17.314-34.496-13.406-56.47 7.892-44.383 43.592-73.596 83.25-80.343 39.657-6.747 84.25 9.094 109.312 52.5 18.92 32.77 19.77 66.857 8.156 97.406-11.614 30.55-35.028 57.797-64.187 80.25-48.663 37.47-125.09 46.22-216.532 19.72v81.5H357c7.82-5.284 14.934-10.99 21.406-17.063 51.168 12.833 106.224-25.224 118.188-93.594-27.192 29.037-59.208 30.884-70.125 11.78 1.63-5.822 3.052-11.756 4.25-17.78 5.384-27.102 6.4-56.04 4.53-85.033 48.266-16.233 70.995-76.93 42.03-138.656-5.8 43.27-40.027 61.433-60.06 41-7.794-19.842-18.865-37.928-32.408-53.81 17.286-40.49-7.463-92.795-64.687-116.22 23.025 31.505 16.59 61.334-6.594 62.906-21.08-9.474-43.803-15.414-67.124-17.156-10.18-29.884-40.52-50.61-76.375-50.78z","fillRule":"evenodd"}}]})(props);
};
function GiThreeBurningBalls (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M328.598 22.143c12.03 9.487 23.73 19.412 35.017 29.882-24.67-9.444-49.39-13.995-72.93-13.853-48.447.292-91.91 20.39-119.757 58.316-7.19-.762-14.395-1.162-21.594-1.172-45.042-.06-89.874 14.756-129.7 46.145v.003c5.198-2.437 10.294-4.65 15.294-6.656 93.608-11.524 107.275 67.72 88.455 160.04l-20.442-58.26c-1.04 48.303-8.33 96.605-27.98 144.907l.358-.164c-19.91 37.174-8.988 84.372 26.596 108.697 38.112 26.054 90.406 16.226 116.46-21.886 24.48-35.812 17.28-84.146-15.302-111.464 17.057-119.542-47.078-227.97-135.04-227.88-8.1.01-16.4.945-24.856 2.868 43.498-15.75 79.39-14.96 109.195-1.547-.018.048-.038.095-.058.143.03-.044.062-.084.092-.127 53.26 23.99 87.08 88.283 110.102 170.562-9.013 15.1-14.764 32.445-16.188 51.135-4.922 64.618 43.654 121.206 108.272 126.13 64.617 4.922 121.206-43.657 126.13-108.274 4.864-63.87-42.54-119.89-106.04-125.93-47.412-83.042-119.016-134.224-193.168-145.883 50.066-40.72 105.886-16.305 161.578 35.395-1.378 14.625 1.054 29.786 7.855 43.953 19.98 41.62 70.182 59.256 111.8 39.276 41.62-19.98 59.256-70.182 39.276-111.8-8.748-18.226-23.297-31.843-40.38-39.725l.083-.368c-43.945-22.468-88.205-38.804-133.125-42.46zM152.312 130.26l-.003.006.002-.006zm273.465-54.457c2.192-.026 4.375.065 6.543.26l-58.593 64.212 45.957 31.938-32.51 20.687c-7.997-6.06-14.726-14.063-19.383-23.765-15.608-32.516-2-71.262 30.517-86.87 8.128-3.904 16.65-5.98 25.097-6.39.792-.04 1.583-.063 2.373-.072zm27.02 5.547c13.686 6.042 25.37 16.826 32.38 31.43 3.326 6.928 5.312 14.138 6.085 21.347l-54.55-35.154 16.085-17.623zm-28.86 31.623l66.043 42.56c-4.273 18.62-16.683 35.172-35.32 44.12-15.78 7.575-33.02 8.25-48.38 3.24l47.138-29.997-51.502-35.79 22.022-24.133zM363.408 261.9c2.523 0 5.063.097 7.62.29 28.96 2.208 54.006 16.596 70.51 37.773l-14.23 57.63-68.436 11.2 22.85-57.125-53.69-43.23c10.28-3.946 21.35-6.22 32.863-6.506.836-.02 1.675-.032 2.515-.032zm-53.637 15.83l49.466 39.83-22.94 57.346-53.782 42.608c-12.663-18.067-19.373-40.483-17.56-64.264 2.442-32.068 19.823-59.336 44.816-75.52zm145.267 45.522c5.65 13.8 8.26 29.1 7.047 45.016-1.883 24.72-12.643 46.59-28.924 62.728l-17.517-52.555 26.853-4.393 12.54-50.795zm-305.443 32.44c12.53.078 25.184 3.782 36.35 11.415 1.51 1.033 2.95 2.13 4.345 3.262l-51.12 22.94-24.58-27.654c10.532-6.622 22.707-10.04 35.004-9.965zm-49.227 22.093l33.944 38.188 33.526-15.043 7.478 31.062-76.294 30.37c-18.11-21.8-20.393-53.635-3.567-78.25 1.53-2.235 3.173-4.343 4.914-6.327zm296.596 3.713l20.68 62.04c-17.592 11.508-38.992 17.51-61.633 15.786-24.032-1.83-45.366-12.054-61.364-27.58l53.3-42.224 49.017-8.022zm-193.436 3.416c14.212 21.417 14.865 50.093-.578 72.684-19.81 28.98-58.568 36.93-88.077 18.568l82.402-32.8-12.09-50.22 18.342-8.232z"}}]})(props);
};
function GiThreeFriends (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M389 40.84c18.5 0 35 18.79 35 44.03 0 25.33-16.5 44.03-35 44.03s-35-18.7-35-44.03c0-25.24 16.5-44.03 35-44.03zm-132.9 0c18.4 0 35 18.79 35 44.03 0 25.33-16.6 44.03-35 44.03-18.5 0-35.1-18.7-35.1-44.03 0-25.24 16.6-44.03 35.1-44.03zm-133 0c18.5 0 35 18.79 35 44.03 0 25.33-16.5 44.03-35 44.03s-35.09-18.7-35.09-44.03c0-25.24 16.59-44.03 35.09-44.03zm133 109.06c64 2 118 2 182.8 4.2 30.9 17.8 45.2 109 44.3 140.7l-17.6 17.7c-7.7-42.8-17.4-99.9-33.5-112.6v87.6l4.1 183.7H414l-16.7-184.7h-18l-16.7 184.7h-22.3l4.2-183.7-8-88.5h-29.3l-7.2 88.2 4.2 183.7h-22.3l-16.8-184.7h-18l-16.8 184.7h-22.2l4.2-183.7L205 199h-29.3l-8 88.5 4.2 183.7h-22.3l-16.7-184.7h-18L98.01 471.2h-22.2l4.2-183.7v-87.6c-16.2 12.7-25.9 69.8-33.6 112.6l-17.6-17.7c-.9-31.7 13.5-122.9 44.3-140.7 64.99-2.2 118.99-2.2 182.99-4.2z"}}]})(props);
};
function GiThreeKeys (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M82.875 19.125c-33.954 0-62.5 31.494-62.5 71.844 0 40.348 28.545 71.84 62.5 71.843 28.553 0 53.19-22.276 60.406-53.5l1.657-7.25h133.594v61.313h22.564V134.5h24.78v28.875h47.845v-16.5h-23.064V117.97h23.063V102.06h30.967v-26.28H144.125l-1.906-6.813c-8.274-29.326-31.934-49.845-59.345-49.845zm0 24.063c22.423 0 40.594 21.41 40.594 47.812 0 26.403-18.174 47.78-40.595 47.78-22.42 0-40.594-21.377-40.594-47.78 0-26.403 18.172-47.813 40.595-47.813zm44.25 138.53c-33.954 0-62.5 31.495-62.5 71.845 0 40.35 28.545 71.84 62.5 71.843 28.553 0 53.16-22.276 60.375-53.5l1.688-7.25H322.78v36.814h26.69v24.5h23.967V278.31h24.782v47.657h19.75v-61.314h30.936v-26.28h-260.53l-1.907-6.814c-8.274-29.324-31.934-49.843-59.345-49.843zm-23.03 49.47c.366-.02.752 0 1.124 0 11.905 0 21.53 9.625 21.53 21.53 0 11.907-9.625 21.563-21.53 21.563-11.907 0-21.564-9.655-21.564-21.56 0-11.535 9.047-20.955 20.438-21.532zM182 352.063l-51.844 28.593v81.125l51.47 27.47 56.468-55.375 2.72-2.688H374.28V448.75h40.533v24.78H374.28v19h119.126v-38h-34.812v-24.78h34.812v-24.844H241.062l-2.656-2.375L182 352.064zm-19.22 53.312c8.26 0 14.97 6.68 14.97 14.938 0 8.257-6.71 14.968-14.97 14.968-8.256 0-14.936-6.71-14.936-14.967 0-8.258 6.68-14.938 14.937-14.938z"}}]})(props);
};
function GiThreeLeaves (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M161.563 19.28c10.093 10.734 16.743 23.678 20.562 37.657 6.202 22.707 5.806 48.148 3.72 74.094-4.176 51.894-14.58 106.512-2.44 140.407 11.396 31.814 29.668 50.71 49.94 60 8.72 3.998 17.9 6.21 27.186 6.782 22.195-65.084 17.46-148.144-19.06-204.283 48.352 48.234 71.19 121.068 56.436 197.407l-8.78 3.53c2.723-.808 5.42-1.763 8.093-2.843 41.783-16.87 75.975-66.253 61.75-138.655-6.536-33.265-28.966-80.165-66.5-116.5-32.472-31.432-75.827-55.212-130.908-57.594zM445.53 202.813c-.84 12.1-4.638 23.528-10.56 33.907-10.353 18.14-26.448 33.757-43.876 48.593-34.856 29.67-75.057 57.156-88.313 85.218-12.555 26.583-12.884 49.252-6.186 67.283 2.92 7.86 7.21 14.894 12.625 20.968 53.708-26.787 101.73-80.91 113.81-138.03.076 59.646-30.63 118.687-86.624 156.906 35.802 14.545 86.282 5.034 121.72-47.75 16.418-24.456 31.558-67.3 30.812-112.875-.634-38.688-12.264-79.23-43.407-114.217zm-424.874 73.47c-9.483 45.878.708 86.832 19.5 120.656 22.136 39.84 56.682 69.376 83.125 82.343 57.07 27.988 105.514 10.968 129.25-19.53-67.59-5.1-123.692-40.873-153.436-92.563 39.02 43.428 107.658 66.29 167.562 62.625 1.654-7.963 1.87-16.204.47-24.468-3.214-18.965-14.87-38.447-39.032-55.188-25.505-17.67-74.045-21.36-119.063-29.625-22.508-4.13-44.247-9.59-62.28-20.124-10.323-6.03-19.314-14.06-26.094-24.125z"}}]})(props);
};
function GiThreePointedShuriken (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M362.803 440.909l130.293 20.426-82.833-102.623-35.511 10.413-41.217-23.794c1.792-6.67 2.837-13.65 2.837-20.887 0-37.218-25.334-68.436-59.678-77.577v-47.605l26.77-25.542-47.455-123.055-47.458 123.055 26.774 25.548v47.6c-34.34 9.135-59.684 40.359-59.684 77.577 0 7.231 1.045 14.205 2.833 20.87l-41.223 23.8-35.51-10.412-82.837 102.622L149.2 440.904l8.736-35.964 41.156-23.765c14.55 14.6 34.678 23.638 56.913 23.638 22.234 0 42.359-9.034 56.906-23.623l41.158 23.758zm-106.798-75.986c-22.352 0-40.475-18.123-40.475-40.479 0-22.35 18.124-40.475 40.475-40.475 22.355 0 40.48 18.125 40.48 40.475 0 22.356-18.125 40.479-40.48 40.479z"}}]})(props);
};
function GiThroneKing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 17.492l20.912 34.856L306 34.895 296.973 71h-81.946L206 34.896l29.088 17.452zm64.3 34.414C334.08 62.311 343 77 343 96v64.648c-10.638-7.27-22.444-13.917-34.984-18.63C311.239 132.817 313 122.663 313 112c0-8.018-1.005-15.744-1.489-19.372zm-128.6 0l8.789 40.722C200.005 96.256 199 103.982 199 112c0 10.663 1.76 20.817 4.984 30.018-12.54 4.713-24.346 11.36-34.984 18.63V96c0-19.001 8.92-33.689 22.7-44.094zM291.356 89c2.31 6.965 3.643 14.753 3.643 23 0 15.85-4.892 30.032-12.26 39.855C275.372 161.68 266.012 167 256 167c-10.012 0-19.372-5.32-26.74-15.145C221.892 142.032 217 127.85 217 112c0-8.247 1.334-16.035 3.643-23zm8.541 69.67c25.391 9.618 49.716 29.5 65.356 43.92-3.358 1.38-6.477 3.137-9.281 5.24-4.585 3.438-8.377 7.98-10.655 13.223l-23.134-5.783-4.368 17.46 6.9 1.725c2.53 16.035 3.235 31.57 3.249 43.781-5.706-6.514-12.54-12.787-21.897-14.996-3.203-.756-6.388-.989-9.529-.838-9.422.453-18.448 4.359-26.393 7.94A163.812 163.812 0 0 0 256 277.566a163.812 163.812 0 0 0-14.146-7.224c-10.593-4.775-23.11-10.126-35.922-7.102-9.358 2.21-16.19 8.482-21.897 14.996.014-12.212.72-27.746 3.248-43.78l6.9-1.726-4.367-17.46-23.134 5.783c-2.278-5.244-6.07-9.785-10.655-13.223-2.804-2.103-5.923-3.86-9.28-5.24 15.639-14.42 39.964-34.302 65.355-43.92a71.055 71.055 0 0 0 2.757 3.984c6.988 9.318 16.241 16.507 26.805 20.004L256 240l14.336-57.342c10.564-3.497 19.817-10.686 26.805-20.004a71.06 71.06 0 0 0 2.757-3.984zM384 217c7.013 0 13.194 2.204 17.227 5.229 3.974 2.98 5.704 6.29 5.753 9.625-.292.051-.395.103-.884.132-3.949.234-12.367-.986-22.096-.986s-18.147 1.22-22.096.986c-.49-.029-.592-.081-.884-.132.05-3.336 1.779-6.645 5.753-9.625C370.806 219.204 376.987 217 384 217zm-256 0c7.013 0 13.194 2.204 17.227 5.229 3.974 2.98 5.704 6.29 5.753 9.625-.292.051-.395.103-.884.132-3.949.234-12.367-.986-22.096-.986s-18.147 1.22-22.096.986c-.49-.029-.592-.081-.884-.132.05-3.336 1.779-6.645 5.753-9.625C114.806 219.204 120.987 217 128 217zm279 32v174h-46V249zm-256 0v174h-46V249zm149.23 31.6c.677 0 1.251.054 1.702.16 2.735.646 10.877 7.205 16.595 14.224 4.698 5.766 7.671 10.392 8.8 12.182l11.118 88.953c-3.57-4.158-7.477-8.167-11.738-11.615C320.277 379.3 312.839 375 304 375c-20.5 0-34.72 14.856-43.488 28.008a111.855 111.855 0 0 0-4.512 7.39 111.855 111.855 0 0 0-4.512-7.39C242.72 389.856 228.5 375 208 375c-8.839 0-16.276 4.3-22.707 9.504-4.26 3.448-8.169 7.457-11.738 11.615l11.119-88.953c1.128-1.79 4.101-6.416 8.799-12.182 5.718-7.019 13.86-13.578 16.595-14.224 3.603-.85 15.085 1.798 24.389 5.992 2.106.95 4.095 1.919 5.945 2.857L256 352l15.598-62.39c1.85-.939 3.84-1.909 5.945-2.858 6.978-3.146 15.182-5.423 20.367-6.006a20.831 20.831 0 0 1 2.32-.146zM304 393c2.475 0 6.694 1.7 11.385 5.496 4.69 3.796 9.634 9.323 13.949 14.969 2.518 3.294 4.72 6.502 6.717 9.535h-66.31c1.592-3.153 3.419-6.515 5.747-10.008C282.72 402.144 292.5 393 304 393zm-96 0c11.5 0 21.28 9.144 28.512 19.992 2.328 3.493 4.155 6.855 5.748 10.008h-66.31c1.995-3.033 4.198-6.24 6.716-9.535 4.315-5.646 9.259-11.173 13.95-14.969C201.305 394.7 205.525 393 208 393zm231 48v14H73v-14zm48 32v14H25v-14z"}}]})(props);
};
function GiThrowingBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M222.4 21.66c-2.3 0-4.5.35-6.7 1-8.9 2.62-16 10.11-20.4 21.67-4.4 11.52-5.4 26.73-1.6 42.27 3.8 15.5 11.6 28.1 20.6 35.6 9 7.6 18.6 10.1 27.4 7.5 8.8-2.6 16-10.1 20.3-21.7 4.4-11.45 5.4-26.66 1.7-42.21-3.8-15.55-11.6-28.13-20.6-35.65-6.8-5.69-13.9-8.52-20.7-8.48zM94.28 28.94c-21.65 0-39 17.35-39 39s17.35 38.96 39 38.96c21.72 0 39.02-17.31 39.02-38.96 0-21.65-17.3-39-39.02-39zm-54.27 56.4l-21.49 8.71C29.24 138.8 65.03 188 108.1 208.9c33.3-2.4 51.3-11 87.5-27.5 24.8 68.1 32.5 116.5 4.8 192.7l-108.26 64-7.29 52.2 157.45-78c22.2-32.3 38-55.9 48.1-92.2l91.3 23.5c20.7 45.5 27.4 84.3 32.3 137.3l43.1-36.3c-7.5-51.6-17.6-92.5-36.8-142.1-31.3-18.9-75-37.8-105.5-48 8.7-40.6 3.9-70.9-8-110.2 65.2-3.1 100.7 5.5 163.8 23.3l22.9-23.4c-39.1-18.2-131.6-47.85-211.9-40.4-.9 3.5-1.9 6.9-3.1 10.2-5.9 15.7-17.2 28.6-32.5 33.2-15.4 4.5-31.1-.4-43.2-10.7-3-2.5-5.8-5.3-8.5-8.4-32.8 13.5-64.9 29.7-80.7 40-24.29-10.7-37.35-30.1-47.34-50.6-12.33-7-21.83-18.45-26.25-32.16z"}}]})(props);
};
function GiThrownCharcoal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M176.938 16.313c-48.69.004-101.062 8.413-156.282 23.187 90.522-18.285 226.376.697 338.188 105.594-73.79-50.613-149.953-75.118-222.75-77 51.32 13.564 102.688 37.988 151.22 74.625C195.68 93.44 104.173 80.47 21.78 95.655c48.09 10.59 97.853 31.526 146.94 65.063-34.338-12.246-68.58-19.27-102.44-23.5 69.168 25.33 135.483 72.104 189.75 141.718C189.955 216.394 117.413 180.8 44.94 167.53c61.548 32.83 101.606 74.716 136.156 135.22-27.142-23.432-55.872-42.913-85.125-59.094 21.83 20.756 42.673 45.098 62 72.906-16.595-14.324-37.69-24.69-64.095-30.968 35.598 30.838 49.234 68.717 71.75 107.72 120.902 209.406 401.145 54.24 299.156-178.47C401.815 71.17 301.368 16.3 176.94 16.314zM389.844 136.47l-7.938 52.686-40.656-23.844 48.594-28.843zM253.5 168.655l73.063 17L275.5 232.72l-36.03-20.032 14.03-44.032zm163.125 42.03L456.47 303l-67.814-4.063-3.72-.218-2.842 2.374-53.97 45.25-19.093-25.47 3.5-85.155 104.095-25.032zm-136 54.345l7.594 48.5-.658.5-28.343-9.155 21.405-39.844zm-79.813 24.408l45.157 39.218-45.69 11.938.532-51.156zm203.313 29.156l53.53 3.22-23 68.248-30.53-71.468zm-18.625 4l35.78 83.75-42.686 7.53 9.03 34.032-77.593 22.53-69.56-35.53-14-82.094 70.31-17.125 21.126 28.157-6.062 65.906 18.625 1.72 6.25-67.94 48.78-40.936z"}}]})(props);
};
function GiThrownDaggers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M167 18.813c-20.39-.002-36.813 16.92-36.813 37.312 0 20.39 16.423 36.813 36.813 36.813 12.06 0 22.896-5.747 29.75-14.657l73.094 19.595L305.5 145.75l186.844-.094-161.75-93.5-53.906 23.25L204.344 56c-.07-20.335-16.996-37.19-37.344-37.188zm0 18.656c10.29 0 18.656 8.365 18.656 18.655 0 10.288-8.366 18.156-18.656 18.156s-18.125-7.867-18.125-18.155c0-10.29 7.835-18.658 18.125-18.656zM64.062 69.874c-3.547.035-7.133.54-10.718 1.5C30.4 77.523 16.79 101.088 22.937 124.03c4.89 18.253 20.803 30.59 38.657 31.782l22.78 84.907-27.56 63.874 109.03 188.625.125-217.876-54.876-40.844-22.97-85.72c15.04-9.912 22.795-28.642 17.876-47-5.187-19.357-22.783-32.096-41.938-31.905zm.25 19.22c10.707-.108 20.57 6.99 23.47 17.81 3.435 12.825-4.177 26.003-17 29.44-12.825 3.435-26.002-4.177-29.438-17-3.436-12.825 4.144-26.003 16.968-29.44 2.004-.536 4.018-.79 6-.81zm112.438 44.28c-12.127.323-24.084 5.554-32.625 15.47-16.078 18.662-13.976 46.827 4.688 62.905 14.85 12.794 35.712 14.094 51.718 4.688l69.032 59.5 13.688 70.843 203.594 98.033L359.75 257.969 288.844 255l-69.656-60.063c7.095-17.28 2.774-37.888-12.157-50.75-8.747-7.536-19.58-11.097-30.28-10.812zm.72 19.813c5.98-.16 12.015 1.818 16.905 6.03 10.432 8.988 11.612 24.756 2.625 35.188-8.987 10.432-24.724 11.58-35.156 2.594-10.432-8.987-11.612-24.724-2.625-35.156 4.773-5.542 11.47-8.476 18.25-8.656z"}}]})(props);
};
function GiThrownKnife (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M92.563 18.563c-18.602-.002-37.226 7.096-51.47 21.343-28.49 28.498-28.496 74.41 0 102.906 6.024 6.024 29.352 22.373 58.907 41.094 20.86 13.213 45.242 28.09 70.25 43.094-4.39 11.828-6.418 24.323-6.094 36.78 51.78 37.817 94.45 64.762 127.28 81.22 18.323 11.016 47.167 25.522 70.877 37.03-6.13 1.612-13.094 1.737-20.47.75-13.575-1.814-29.605-7.277-48.75-16.186-32.603-15.173-74.185-40.565-124.687-76.625 4.546 14.903 12.712 28.93 24.5 40.717 38.375 38.377 295.72 156.75 295.72 156.75S370.25 230.09 331.875 191.72c-11.802-11.804-25.857-19.96-40.782-24.5 36.08 50.51 61.51 92.075 76.687 124.686 8.91 19.144 14.374 35.175 16.19 48.75.985 7.375.86 14.338-.75 20.47-11.478-23.642-25.965-52.39-36.97-70.72-16.452-32.853-43.418-75.59-81.28-127.437-.823-.023-1.647-.033-2.47-.032-.824 0-1.647.01-2.47.03-10.82.26-21.596 2.307-31.874 6.126-14.995-25.017-29.85-49.422-43.062-70.28-18.72-29.557-35.072-52.885-41.094-58.908-14.243-14.24-32.836-21.342-51.438-21.343zm-6.282 23.75c23.424 0 42.22 18.764 42.22 42.187 0 23.426-18.796 42.22-42.22 42.22-23.42 0-42.218-18.794-42.218-42.22s18.796-42.188 42.22-42.188zm69.282 75.093c20.263 0 36.532 16.27 36.532 36.53 0 20.266-16.27 36.533-36.53 36.533-20.264 0-36.533-16.268-36.533-36.532 0-20.265 16.27-36.532 36.532-36.532zm55.313 62.72c16.094 0 29 12.905 29 29s-12.906 29-29 29-29-12.905-29-29c0-16.097 12.906-29 29-29zm43.72 53.218c10.916 0 19.624 8.708 19.624 19.625s-8.71 19.624-19.626 19.624c-10.917 0-19.625-8.707-19.625-19.625 0-10.92 8.706-19.626 19.624-19.626z"}}]})(props);
};
function GiThrownSpear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M248.25 16.688C124.165 17.31-57.308 93.192 51.22 374.563 12.847 60.82 305.093 126.845 394.47 336.469l-76.564-281-2.562-9.47 9.437-2.656 17.94-5.063c-14.344-12.722-50.85-21.812-94.47-21.593zm112.688 37.03l-21.344 6.032L422 362.25l-29.625 4.813 94.063 127.718 7.53-144.186-22.156 3.594-110.875-300.47z","fillRule":"evenodd"}}]})(props);
};
function GiThrustBend (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128.842 62.334c-23.151 0-43.737 5.138-59.522 17.666-104.521 82.955 16 400 16 400h400S62.472 282.86 142.142 144c36.264-63.205 188.819 28.358 236.457 59.102-13.827 12.298-36.347 21.55-62.675 35.735 42.774 7.379 107.957-6.075 133.072-19.825-16.707-54.737-41.265-98.913-83.787-123.87 12.637 27.463 22.197 50.35 23.248 70.883-27.068-17.556-164.658-103.69-259.615-103.691z"}}]})(props);
};
function GiThrust (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M452.798 479.462L59.205 481.31s154.378-369.683 151.153-379.303l-46.12-.224 93.677-71.09 95.207 72.397-50.263.224z"}}]})(props);
};
function GiThumbDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M283.195 35.116c24.564.196 57.187 6.155 86.344 17.69 13.42 5.31 24.168 9.772 30.624 14.062 6.456 4.29 8.202 6.845 8.266 11.725.052 3.996-.285 6.73-2.256 9.89-1.972 3.162-6.117 7.236-15.42 11.72l-26.506 12.78 29.12 4.235c28.602 4.157 33.414 21.214 33.6 23.85.69 9.877-2.582 16.77-15.882 22.27l-23.953 9.91 24.94 7.068c14.348 4.065 24.492 16.475 24.49 24.726 0 7.6-7.05 18.704-24.22 24.037l-27.63 8.583 27.625 8.606c10.35 3.222 18.282 5.945 22.32 8.792 4.038 2.847 5.318 4.47 5.107 11.64-.297 10.136-5.695 15.012-15.656 19.5-9.962 4.49-23.656 6.725-34.927 8.305-35.802 5.02-71.025 6.965-105.87.084l-20.33-4.015 10.947 17.598c25.885 41.614 54.194 90.91 59.11 130.426l.044.352.072.348c5.128 24.97-6.35 36.185-16.972 37.46-5.31.64-11.003-1.04-16.315-6.722-5.313-5.68-10.128-15.727-11.436-31.537l-.12-1.448-.57-1.336c-7.724-18.123-25.866-39.642-46.338-61.158-20.097-21.123-42.306-41.512-58.814-55.33-35.53-49.788-45.97-71.5-53.832-85.07-3.957-6.827-7.77-12.2-13.52-16.87-5.75-4.67-12.805-8.494-24.096-14.304l-.02-.01-.02-.01c-3.508-1.783-10.932-13.615-14.72-31.09-3.786-17.476-5.158-39.717-3.44-60.715 1.72-21 6.696-40.814 14.187-53.263 3.746-6.224 7.978-10.502 12.393-12.85 4.243-2.255 8.787-3.025 14.914-1.767 10.302 4.843 19.693 9.668 30.178 12.615 10.865 3.054 22.944 3.76 36.7.153l.583-.153.56-.23c28.5-11.733 71.544-20.78 100.737-20.55z"}}]})(props);
};
function GiThumbUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M302.344 28.514c-2.386 1.354-4.334 3.497-6.273 7.182-2.335 4.438-4.28 10.836-5.94 18.29-3.316 14.91-5.51 33.828-12.098 51.26l-.54 1.43-.982 1.17c-53.308 63.59-92.07 98.36-119.014 148.817l-2.46 4.605-5.22.15s-10.63.322-22.607 2.46c-11.978 2.137-43.225 3.316-46.132 7.017-13.33 16.97-23.48 45.76-25.072 70.46-1.592 24.697 3.872 48.986 16.676 65.568.858 1.11 29.53 4.57 38.22 5.302 8.693.73 16.52.162 16.52.162l6.08-.457 2.678 5.48c14.83 30.325 61.456 50.595 110.937 66.056 4.384.248 11.962-1.82 20.852-6.295-19.818-7.57-35.37-14.03-52.5-23.087l-4.423-2.338-.347-4.99c-.896-12.814 5.672-23.273 13.61-30.256 2.54-2.237 5.24-4.216 7.985-6.038-1.54-.685-3.074-1.38-4.62-2.053l-4.698-2.05-.635-5.086c-1.752-14.04 2.566-27.897 11.664-37.728 1.852-2 3.932-3.81 6.19-5.405l-.23-.1-.438-5.31c-1.313-15.828 8.72-29.44 20.295-39.02 2.13-1.764 4.347-3.44 6.623-4.985l-.91-2.148c-4.49-10.608-2.336-21.785 3.01-29.815 5.35-8.03 13.357-13.657 21.92-16.79l.232-.086.236-.073c16.656-5.078 32.616-1.007 47.756 3.03 15.14 4.036 29.842 8.22 45.14 6.923 9.286 15.502 8.095 12.523 10.49 17.176l-8.966.76c-19.417 1.647-36.48-3.515-51.3-7.467-14.71-3.92-26.832-6.456-37.616-3.264-5.132 1.933-10.21 5.715-12.908 9.77-2.15 3.226-3.06 6.18-2.338 9.75 21.768 9.268 38.374 19.347 57.04 24.798 19.682 5.746 42.49 7.06 79.325-3.035 5.858-2.842 11.615-7.678 15.014-12.946 3.503-5.427 4.637-10.646 2.87-16-6.415-19.43-15.202-36.684-33.028-48.515-40.155-16.703-65.958-16.832-101.275-13.336-.627-5.215-.437-10.644.022-18.09 2.066-15.153 8.845-33.844 16.745-55.096 9.792-26.342 21.692-55.157 30.416-78.892-2.042-19.79-7.618-30.87-15.044-37.3-7.295-6.315-17.56-9.054-30.932-9.564zm-14.53 290.698c-4.52 1.1-10.952 3.76-16.513 8.363-6.763 5.6-11.67 12.988-13.268 18.99 24.578 11.48 43.09 22.944 74.63 33.086l66.92-3.794c11.996-4.2 19.78-8.523 24.07-12.197 4.42-3.79 5.292-6.294 5.45-8.77.265-4.15-3.83-11.11-9.88-18.43-37.514 9.835-63.92 8.562-86.034 2.105-16.627-4.855-30.524-12.225-45.375-19.353zm-25.398 49.41c-6.38.195-11.287 2.923-15.2 7.15-4.27 4.616-6.853 11.327-7.09 18.49 23.313 10.374 45.08 21.135 74.69 30.407l56.54-1.095c21.862-.903 27.79-9.79 28.918-17.854.6-4.28-.493-8.504-2.71-11.72l-67.27 3.815-1.57-.496c-28.61-9.035-47.056-19.095-66.265-28.698h-.044zm-9.96 50.937c-6.14 3.332-12.053 6.753-16.258 10.452-4.005 3.523-6.404 6.67-7.237 10.69 17.396 8.825 33.933 15.363 57.386 24.162l46.51 1.596c8.015-3.427 12.8-6.69 15.08-9.11 2.44-2.59 2.637-3.797 2.603-5.873-.035-2.12-1.344-5.413-3-9.437l-35.403.685-1.385-.427c-22.878-7.07-41.16-14.99-58.295-22.74z"}}]})(props);
};
function GiThunderBlade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.844 16.514v54.064l76.18 58.4 141.902-7.525 8.45 30.682-60.562 5.877 37.727 19.617-41.247 32.694 31.352-.88c-24.938 26.547-49.458 53.393-74.567 78.935-15.745-23.004-28.3-47.16-35.853-71.05l-4.64-14.67-73.14 73.15 80.737 80.73c-25.172 32.576-54.14 58.558-84.51 83l-3.486 2.808v4.474c0 14.94 4.783 27.6 13.722 36.057 8.94 8.457 21.28 12.248 34.582 12.247h4.7l2.802-3.773c23.665-31.872 49.886-60.988 82.572-84.426l83.473 83.47 73.14-73.142-14.67-4.637c-25.647-8.106-50.247-21.622-73.74-38.29 29.318-28.954 59.594-57.008 88.91-85.312l8.352 48.865 86.038 9.654 42.137 148.15h45.53v-58.333l-51.237-117.03-99.217-1.42-13.776-47.277C401.037 201.05 464.198 127.47 489.44 33.267l3.15-11.76h-13.41l-1.188.317C405.265 41.31 346.29 80.952 293.182 128.38l.353-33.556L260.61 138.9l-11.1-42.062-124.79-10.03-42.85-70.294H17.843zm448.638 28.228c-25.662 78.606-80.402 143.39-143.707 206.694l-12.17-57.89-29.593 21.755-10.73-39.038c57.485-56.983 118.99-106.68 196.2-131.52zm-211.38 146.803l15.087 54.904 28.097-20.655 8.674 41.264c-34.216 33.456-70.35 66.784-105.384 101.817l-7.597 7.598 8.577 6.468c23.2 17.497 47.904 32.252 74.082 42.422l-38.603 38.604-81.322-81.322-6.39 4.323c-36.53 24.72-65.005 55.87-90.137 89.17-7.597-.68-13.423-3.04-17.434-6.835-4.11-3.888-6.865-9.7-7.574-18.362 31.536-25.61 62.357-53.572 88.947-89.65l4.768-6.47-79.02-79.016 38.594-38.6c9.494 24.59 23.172 48.765 39.827 71.45l6.44 8.777 7.7-7.698c38.51-38.51 74.93-79.613 112.665-118.19z"}}]})(props);
};
function GiThunderSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M23.094 20.125L84.156 77.78 44.28 105.563 127 176.594c3.655-16.908 11.556-32.517 22.688-46.125l-41.375-33.345 26.593-27.813L23.094 20.126zm473.094 2.938L438.53 84.156 410.75 44.25l-50.438 58.72c14.366 9.26 26.63 20.68 36 33.75l22.875-28.407L447 134.905l49.188-111.844zM268.344 95.97c-70.046 1.018-124.938 47.628-124.938 102.155 0 25.662 12.01 49.232 32.188 67.438l2.937 2.625.126 3.937 2.375 61.5c4.54 2.58 14.774 7.882 29.75 12.625v-40.72h18.69v45.626c10.157 2.127 21.678 3.707 34.405 4.188v-42.156h18.688v42.03c13.336-.665 25.14-2.53 35.312-4.937v-44.75h18.688v39.25c11.83-4.243 19.824-8.66 23.656-10.967l1.78-60.938.125-4.03 3-2.69c20.67-18.317 32.78-41.973 32.78-67.936 0-55.138-56.05-102.25-127.25-102.25h-2.31zm-77.344 89c23.367-.295 58.375 18.53 58.375 18.53 0 21.772-17.665 39.438-39.438 39.438-21.79 0-39.406-17.666-39.406-39.438.418-13.68 9.058-18.388 20.47-18.53zm159.375 0c11.412.142 20.052 4.85 20.47 18.53 0 21.772-17.635 39.438-39.408 39.438-21.772 0-39.437-17.666-39.437-39.438 0 0 35.008-18.825 58.375-18.53zm-79.75 48.25l20.344 45.405h-40.69l20.345-45.406zm108.813 82.31l-.688 23.94-.125 4.717-3.906 2.688s-11.47 7.87-31.814 15.156l24.406 20.94-34.218 35.75 160.125 77.717-94.814-88.593 51.28-35.75-70.248-56.563zM97.594 333.126l-77.72 160.063 88.595-94.782 35.75 51.28 67.56-83.873c-28.16-7.978-44.936-18.782-44.936-18.782l-4.094-2.624-.188-4.844-.218-6.03-29 33.75-35.75-34.157z"}}]})(props);
};
function GiThunderStruck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.22 21.75v65.5l92 70.625-60.126 58.094 235.656 157.5-83.844-5.845 93.25 76.53-77.562 5.47 113.5 40.656-4.625-69.03h-21.783c0-37.79-.747-91.963 32.5-100-5.097-7.648-8.187-17.65-8.187-28.625 0-23.993 14.784-43.47 33-43.47s32.97 19.475 32.97 43.47c0 11.247-3.24 21.472-8.564 29.188 30.514 8.638 32.875 61.79 32.875 99.437h-22.967l-5.25 69.813 91.906-59.594-49.064 4.374 57.594-105.53-60.156 16.905 57.5-92.814-68.53 28.813 54.217-102.345-72.655 43.063 18.53-123.407-51.717 115.94-71.125-144.032 23 165.062-66.25-52.5 42.468 85.75-120.436-76.97 73.594-54.655L123.188 21.75H20.218z"}}]})(props);
};
function GiThunderball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M22.03 16.844l147 158.125 37.75-14.626 6.75 17.437-110.25 42.72 209.564 230.53.187.25c18.074 22.833 46.023 37.5 77.314 37.5 54.318 0 98.562-44.243 98.562-98.56 0-43.636-28.55-80.77-67.937-93.69l-132.095-73.56-56.75 23.968-7.28-17.22 43.31-18.28-.186-.094 102.624-43.28L22.03 16.843zm368.314 293.5c44.218 0 79.875 35.656 79.875 79.875 0 7.866-1.146 15.45-3.25 22.624L446.155 409l4.688-39.656-22.78 54.22 32.467 4.873c-5.74 10.555-13.776 19.644-23.467 26.625l-51-24.75 37.312-44.78-79.594-40.626 53.064 47.25-43.97 36.47 42.72 41.312c-1.736.11-3.486.156-5.25.156-44.22 0-79.875-35.657-79.875-79.875 0-1.48.045-2.95.124-4.408l30.562 11.47-6.5 25.562 27.75-34.938-49.437-17.72c6.807-26.514 26.865-47.622 52.717-55.967l24.5 35.217 51.438-5.218-41.75-8.72-17.688-24.75c2.68-.27 5.404-.406 8.157-.406z","fillRule":"evenodd"}}]})(props);
};
function GiThwomp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 30l-33.7 44.87h67.3L256 30zm103.3 0l-33.7 44.87h67.3L359.3 30zm-206.5.01l-33.7 44.86h67.2l-33.5-44.86zM61.69 61.82l9.77 38.88 29.14-29.16-38.91-9.72zm388.51 0l-38.9 9.72 29.1 29.16 9.8-38.88zM104.8 92.84l-12 11.96v302.4l12 12h302.3l12.1-12.2V104.9l-12.1-12.06H104.8zM74.7 119.1l-44.72 33.7 44.72 33.6v-67.3zm362.4 0v67.3l44.9-33.6-44.9-33.7zm-268.6 7.4h1.5c5.2 0 8.8 2 12.6 4.3 3.8 2.3 7.5 5.2 11.5 8.6 7.9 6.9 16.6 15.6 25.2 24.2 8.6 8.6 17.1 17.1 24.2 23.2 3.6 3 6.8 5.5 9.2 6.9 1.6 1 2.8 1.4 3.3 1.6.4-.2 1.6-.6 3.2-1.5 2.5-1.5 5.7-4 9.2-7 7.1-6.1 15.7-14.6 24.3-23.2 8.6-8.6 17.3-17.3 25.3-24.2 3.9-3.4 7.7-6.3 11.5-8.6s7.4-4.3 12.6-4.3h1.5l53 17.8-5.8 17-49.2-16.5c-.6.3-1.6.6-2.8 1.3-2.4 1.5-5.6 4-9.1 7-7.1 6.1-15.7 14.6-24.3 23.2l-2.3 2.3c1.5-.3 3-.4 4.5-.4 10.4 0 19.5 5.7 25.5 13.7 6 7.9 9.3 18.4 9.3 29.7s-3.3 21.8-9.3 29.7c-6 8-15.1 13.7-25.5 13.7s-19.5-5.7-25.5-13.7c-5.9-7.9-9.3-18.4-9.3-29.7 0-6.1 1-12.1 2.9-17.4-2.4 1.8-4.8 3.5-7.1 4.9-3.8 2.3-7.4 4.3-12.6 4.3-5.2 0-8.9-2-12.6-4.3-2.4-1.4-4.8-3.2-7.2-5 1.9 5.4 2.9 11.3 2.9 17.5 0 11.3-3.4 21.8-9.3 29.7-6 8-15.1 13.7-25.5 13.7s-19.5-5.7-25.5-13.7c-5.9-7.9-9.3-18.4-9.3-29.7s3.4-21.8 9.3-29.7c6-8 15.1-13.7 25.5-13.7 1.6 0 3.1.1 4.6.4l-2.3-2.3c-8.6-8.6-17.2-17.1-24.3-23.2-3.5-3.1-6.7-5.5-9.1-7-1.2-.7-2.1-1-2.7-1.3l-49.4 16.5-5.8-17 53.2-17.8zm87.5 68.8c-.2.1-.3.1 0 .1s.2 0 0-.1zM74.7 222.4L29.99 256l44.71 33.6v-67.2zm362.4 0v67.2L482 256l-44.9-33.6zm-232.8 6.2c-7.9 0-12.4 4.7-12.4 8.2 0 3.5 4.5 8.2 12.4 8.2s12.4-4.7 12.4-8.2c0-3.5-4.5-8.2-12.4-8.2zm103.3 0c-7.9 0-12.4 4.7-12.4 8.2 0 3.5 4.5 8.2 12.4 8.2s12.4-4.7 12.4-8.2c0-3.5-4.5-8.2-12.4-8.2zm-154.8 35.7c7.3 0 14.5 2.6 23.9 5.9 9.4 3.3 20.3 7.6 31 11.9 10.7 4.3 21.4 8.5 30.3 11.6 8.8 3.2 16.6 4.9 18 4.9 1.3 0 9.1-1.7 18-4.9 8.9-3.1 19.6-7.3 30.3-11.6 10.8-4.3 21.6-8.6 31-11.9 9.5-3.3 16.7-5.9 24-5.9 6.6 0 12.7 2.7 17.2 6.7 4.6 3.9 7.8 9.1 10.4 14.8 5 11.3 7.2 25.2 7.2 39.1 0 13.9-2.2 27.8-7.2 39.1-2.6 5.7-5.8 10.9-10.4 14.8-4.5 4-10.6 6.7-17.2 6.7-20.2 0-38.4-9.5-55.6-18.1-17.2-8.6-33.4-16.3-47.7-16.3-14.2 0-30.4 7.7-47.6 16.3-17.2 8.6-35.4 18.1-55.6 18.1-13.1 0-22.6-10.1-27.7-21.5-5.1-11.3-7.3-25.2-7.3-39.1 0-13.9 2.2-27.8 7.3-39.1 5.1-11.4 14.6-21.5 27.7-21.5zm0 18c-4.2 0-7.7 2.8-11.2 10.8-2.7 6-4.5 14.1-5.3 22.8h41.8v-26c-2.5-1-5-1.9-7.3-2.7-8.9-3.2-16.7-4.9-18-4.9zm206.5 0c-1.3 0-9.1 1.7-18 4.9-2.3.8-4.8 1.7-7.4 2.7v26h41.8c-.8-8.7-2.6-16.8-5.3-22.8-1.7-4-3.8-6.9-5.7-8.6-1.9-1.6-3.3-2.2-5.4-2.2zm-163.2 14.5v19.1h50.8v-.5c-4.5-1.1-9.3-2.7-14.9-4.7-9.4-3.3-20.2-7.6-31-11.9-1.6-.7-3.3-1.3-4.9-2zm119.8 0c-1.6.7-3.3 1.3-4.9 2-10.8 4.3-21.6 8.6-31 11.9-5.7 2-10.5 3.7-15.1 4.8v.4h51v-19.1zM74.7 325.6l-44.72 33.5 44.72 33.7v-67.2zm362.4 0v67.3l44.9-33.8-44.9-33.5zm-300.8 8.3c.8 8.7 2.6 16.8 5.3 22.8 3.5 8 7 10.8 11.2 10.8 7.8 0 16.3-2.4 25.3-6v-27.6h-41.8zm59.8 0v19.4l4.2-2.1c14.3-7.1 29.3-14.9 45.5-17.3h-49.7zm70.1 0c16.2 2.4 31.2 10.2 45.5 17.3l4.2 2.1v-19.4h-49.7zm67.7 0v27.6c9 3.6 17.5 6 25.4 6 2.1 0 3.5-.6 5.4-2.2 1.9-1.7 4-4.6 5.7-8.6 2.7-6 4.5-14.1 5.3-22.8h-41.8zM71.46 411.3l-9.77 38.9 38.91-9.8-29.14-29.1zm368.94 0l-29.1 29.1 38.9 9.8-9.8-38.9zM119 437.2l33.8 44.8 33.5-44.8H119zm103.3 0L256 482l33.6-44.8h-67.3zm103.3 0l33.7 44.8 33.6-44.8h-67.3z"}}]})(props);
};
function GiTiara (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 27.88l-8.1 16.09c-8.2 16.54-20.2 44.64-30.4 73.03-10.1 28.3-18.5 56-18.5 75 0 22 6.1 43.4 14.4 61.2-1.5.1-2.9.2-4.3.3-15-6.8-29.5-15-41.5-24.5-18.7-15-30.6-32.5-30.6-53 0-14.5 3.7-21.8 7-25 3.3-3.2 6.9-3.7 11.5-2.3 4.6 1.3 9.5 5 12 9.3 2.5 4.3 3.1 8.7.4 14l16.2 8c5.3-10.7 3.9-22.3-1.1-31s-13.1-15-22.5-17.7c-2.4-.6-4.8-1-7.4-1.1-7.5-.4-15.4 1.9-21.6 7.8-8.2 7.8-12.5 20.5-12.5 38 0 27.5 16.1 50 37.4 67 6 4.8 12.4 9.2 19.1 13.2-14.3 1.6-28 3.6-40.8 5.9-9.9-1.3-21-3.9-30.4-7.6-7.17-2.8-13.37-6.4-17.17-10-3.9-3.6-5.4-6.6-5.5-9.9v-.1c-.2-9.9 7.2-15.3 13.4-16 3.1-.4 5.37.4 7.17 2.2 1.7 1.8 3.6 5.4 3.2 12.9l18 1c.6-11.1-2.4-20.4-8.3-26.5-4.5-4.6-10.3-7-16.17-7.5-2-.2-3.9-.2-5.9 0-15.2 1.6-29.7 15.1-29.4 34.3.2 9.1 5 17 11.2 22.8 6.1 5.7 13.6 9.7 21.8 13.1l-1.2.3c-15.8 4.5-29.4 9.6-40.5 15.5-3.1.2-6 .4-8.3.1-2.8-.3-4.6-1-5.9-2-1.3-.9-2.4-2.3-3.5-5.7-.6-2 1.7-6.1 4.8-7.6 1.6-.8 2.7-.8 3.3-.5.7.2 1.8.7 3.2 4.3l16.8-6.4c-2.7-7.1-7.6-12.6-13.7-14.8-3.1-1.2-6.2-1.5-9.2-1.2-2.9.3-5.8 1.2-8.3 2.4-10.1 5-17.9 16.4-14.1 29 1.9 6.4 5.4 11.6 10 15 1.8 1.4 3.7 2.4 5.7 3.2-7.2 10.4-11.7 24.5-11.7 33.6 0 12.6 8.7 23.1 21.1 31.5 12.5 8.5 29.5 15.5 50.3 21.4 26.77 7.7 59.77 13.4 96.57 16.5 16-5.4 16-5.4 0-16.1-35.4-3.1-67.1-8.6-92.17-15.7-19.7-5.7-35.5-12.4-45.7-19.3-10.2-6.9-14.1-13.2-14.1-18.3 0-5.1 3.9-11.4 14.1-18.3s26-13.6 45.7-19.3c33.57-9.5 78.77-16.2 129.27-18 0 .1.1.1.1.1v-.1h1.1c1.6 2.1 3.4 4 5.1 5.7 6 6.1 12.1 10.9 20.6 10.9 8.5 0 14.6-4.8 20.6-10.9 1.7-1.7 3.5-3.6 5.1-5.7h1.1v.1s.1 0 .1-.1c50.5 1.8 95.7 8.5 129.3 18 19.7 5.7 35.5 12.4 45.7 19.3 10.2 6.9 14.1 13.2 14.1 18.3 0 5.1-3.9 11.4-14.1 18.3s-26 13.6-45.7 19.3c-25.1 7.1-56.8 12.6-92.2 15.7-16 10.7-16 10.7 0 16.1 36.8-3.1 69.8-8.8 96.6-16.5 20.8-5.9 37.8-12.9 50.3-21.4 12.4-8.4 21.1-18.9 21.1-31.5 0-9.1-4.5-23.3-11.7-33.6 1.9-.8 3.8-1.9 5.6-3.2 4.6-3.4 8.1-8.6 10-15 3.8-12.6-4-24-14.1-29-2.5-1.2-5.3-2.1-8.3-2.4-3-.3-6.1 0-9.2 1.2-6.1 2.2-11 7.7-13.7 14.8l16.8 6.4c1.4-3.6 2.5-4.1 3.2-4.3.6-.3 1.7-.3 3.3.5 3.1 1.5 5.4 5.6 4.8 7.6-1.1 3.4-2.2 4.8-3.5 5.7-1.3 1-3.1 1.7-5.9 2-2.3.2-5.1.1-8.2-.1-11.1-5.9-24.7-11-40.5-15.5l-1.2-.3c8.2-3.4 15.7-7.4 21.7-13.1 6.3-5.8 11.1-13.7 11.2-22.9.3-19.1-14.1-32.6-29.4-34.2-1.9-.2-3.9-.2-5.8 0-5.9.5-11.7 2.9-16.2 7.5-5.9 6.1-8.9 15.4-8.3 26.5l18-1c-.4-7.5 1.5-11.1 3.2-12.9 1.8-1.8 4.1-2.6 7.2-2.2 6.1.7 13.5 6.1 13.3 16v.1c-.1 3.3-1.6 6.3-5.4 9.9-3.9 3.6-10.1 7.2-17.2 10-9.4 3.7-20.5 6.3-30.4 7.6-12.8-2.3-26.5-4.3-40.8-5.9 6.7-4 13.1-8.4 19.1-13.2 21.3-17 37.4-39.5 37.4-67 0-17.5-4.3-30.2-12.5-38-6.2-5.9-14.1-8.2-21.6-7.8-2.6.1-5 .5-7.4 1.1-9.4 2.7-17.5 9-22.5 17.7s-6.4 20.3-1.1 31l16.2-8c-2.7-5.3-2.1-9.7.4-14 2.5-4.3 7.4-8 12-9.3 4.6-1.4 8.2-.9 11.5 2.3 3.3 3.2 7 10.5 7 25 0 20.5-11.9 38-30.6 53-12 9.5-26.5 17.7-41.5 24.5-1.4-.1-2.8-.2-4.3-.3C306.9 235.4 313 214 313 192c0-19-8.4-46.7-18.5-75-10.2-28.39-22.2-56.49-30.4-73.03zm0 41.45c6.8 15.23 14.6 34.37 21.5 53.67 9.9 27.7 17.5 56 17.5 69 0 22-7.5 44.8-16.9 61.6-4.6 8.4-9.8 15.3-14.2 19.8-4 3.9-7.5 5.3-7.9 5.5 0 .1.1.1 0 .1s0 0 0-.1c-.4-.2-3.9-1.6-7.9-5.5-4.4-4.5-9.6-11.4-14.2-19.8C224.5 236.8 217 214 217 192c0-13 7.6-41.3 17.5-69 6.9-19.3 14.7-38.44 21.5-53.67z"}}]})(props);
};
function GiTicTacToe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169.344 35.844A9.5 9.5 0 0 0 160 45.47v117.343H45.5a9.5 9.5 0 1 0 0 19H160v151H45.5a9.5 9.5 0 1 0 0 19H160V466.5a9.5 9.5 0 1 0 19 0V351.812h151V466.5a9.5 9.5 0 1 0 19 0V351.812h117.406a9.5 9.5 0 1 0 0-19H349v-151h115.563a9.5 9.5 0 1 0 0-19H349V45.47a9.5 9.5 0 0 0-9.656-9.626A9.5 9.5 0 0 0 330 45.47v117.343H179V45.47a9.5 9.5 0 0 0-9.656-9.626zM86 35.97c-13.07 0-25.77 4.94-35.156 13.843C41.458 58.715 36 71.06 36 83.874c0 12.814 5.458 25.16 14.844 34.063C60.23 126.84 72.93 131.81 86 131.81c13.07 0 25.77-4.97 35.156-13.875C130.542 109.034 136 96.69 136 83.876c0-12.814-5.458-25.16-14.844-34.063C111.77 40.91 99.07 35.97 86 35.97zm170 0c-13.07 0-25.77 4.94-35.156 13.843C211.458 58.715 206 71.06 206 83.874c0 12.814 5.458 25.16 14.844 34.063C230.23 126.84 242.93 131.81 256 131.81c13.07 0 25.77-4.97 35.156-13.875C300.542 109.034 306 96.69 306 83.876c0-12.814-5.458-25.16-14.844-34.063C281.77 40.91 269.07 35.97 256 35.97zm138.844 9.218A9.5 9.5 0 0 0 388.25 61.5l22.375 22.375L389 105.5a9.502 9.502 0 1 0 13.438 13.438l21.625-21.626 22.375 22.407a9.502 9.502 0 1 0 13.437-13.44L437.5 83.876l21.625-21.625a9.5 9.5 0 0 0-6.906-16.313 9.5 9.5 0 0 0-6.533 2.876l-21.625 21.624-22.375-22.374a9.5 9.5 0 0 0-6.843-2.876zM86 54.968c8.137 0 16.485 3.337 22.094 8.657 5.608 5.32 8.937 12.95 8.937 20.25 0 7.3-3.328 14.96-8.936 20.28-5.61 5.32-13.957 8.626-22.094 8.626s-16.485-3.304-22.094-8.624c-5.608-5.32-8.937-12.98-8.937-20.28 0-7.302 3.328-14.93 8.936-20.25 5.61-5.32 13.957-8.657 22.094-8.657zm170 0c8.137 0 16.485 3.337 22.094 8.657 5.608 5.32 8.937 12.95 8.937 20.25 0 7.3-3.328 14.96-8.936 20.28-5.61 5.32-13.957 8.626-22.094 8.626s-16.485-3.304-22.094-8.624c-5.608-5.32-8.937-12.98-8.937-20.28 0-7.302 3.328-14.93 8.936-20.25 5.61-5.32 13.957-8.657 22.094-8.657zm-77 126.844h151v151H179v-151zm245.063 26.282c-13.07 0-25.77 4.94-35.157 13.844-9.386 8.903-14.844 21.248-14.844 34.062 0 12.814 5.458 25.16 14.844 34.063 9.386 8.903 22.087 13.875 35.156 13.875 13.07 0 25.77-4.972 35.157-13.875 9.385-8.904 14.842-21.25 14.842-34.063 0-12.814-5.457-25.16-14.843-34.063-9.387-8.903-22.088-13.843-35.158-13.843zm-197.25 9.22a9.5 9.5 0 0 0-6.625 16.31L242.563 256l-21.625 21.625a9.502 9.502 0 1 0 13.437 13.438L256 269.438l22.375 22.375a9.502 9.502 0 1 0 13.438-13.438L269.438 256l21.625-21.625a9.5 9.5 0 0 0-6.907-16.313 9.5 9.5 0 0 0-6.53 2.875L256 242.563l-22.375-22.375a9.5 9.5 0 0 0-6.813-2.875zm197.25 9.78c8.136 0 16.485 3.305 22.093 8.625 5.61 5.32 8.938 12.98 8.938 20.28 0 7.3-3.33 14.93-8.938 20.25-5.608 5.32-13.957 8.656-22.094 8.656-8.136 0-16.485-3.336-22.093-8.656-5.61-5.32-8.94-12.95-8.94-20.25 0-7.3 3.33-14.96 8.94-20.28 5.607-5.32 13.956-8.626 22.092-8.626zM256 380.156c-13.07 0-25.77 4.94-35.156 13.844-9.386 8.903-14.844 21.25-14.844 34.063 0 12.813 5.458 25.19 14.844 34.093C230.23 471.06 242.93 476.03 256 476.03c13.07 0 25.77-4.97 35.156-13.874 9.386-8.903 14.844-21.28 14.844-34.094 0-12.813-5.458-25.16-14.844-34.062-9.386-8.903-22.087-13.844-35.156-13.844zm-199.188 9.22a9.5 9.5 0 0 0-6.624 16.312l22.374 22.406L50.94 449.72a9.502 9.502 0 1 0 13.437 13.436L86 441.53l22.375 22.376a9.502 9.502 0 1 0 13.438-13.437l-22.376-22.376 21.626-21.625a9.5 9.5 0 0 0-6.907-16.314 9.5 9.5 0 0 0-6.53 2.875L86 414.657 63.625 392.25a9.5 9.5 0 0 0-6.813-2.875zM256 399.187c8.137 0 16.485 3.304 22.094 8.625 5.608 5.32 8.937 12.948 8.937 20.25 0 7.3-3.328 14.96-8.936 20.28-5.61 5.32-13.957 8.626-22.094 8.626s-16.485-3.306-22.094-8.626c-5.608-5.32-8.937-12.98-8.937-20.28 0-7.303 3.328-14.93 8.936-20.252 5.61-5.32 13.957-8.625 22.094-8.625z"}}]})(props);
};
function GiTick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M262.814 30.928c-45.906 0-87.66 14.34-118.3 38.04-14.03 10.848-25.742 23.76-34.33 38.14C62.524 121.06 34.67 152.56 27.18 195.53l-.903.484v5.6l.315 11.575 13.433-3.335c18.986-10.147 35.96-20.838 55.51-28.12.67 4.975 1.594 10.117 2.754 15.382C61.73 222.19 45.91 257.53 50 298l2.213 14.736 17.488-7.617c16.886-15.993 31.755-31.746 52.01-43.66 2.002 4.01 4.103 8.004 6.293 11.974-35.37 36.242-42.357 78.908-23.906 121.18l27.66-14.92c7.346-11.84 15.943-31.266 36.64-49.378-.025-.87-.043-1.742-.043-2.62 0-7.837 1.042-15.437 2.998-22.682-4.66-5.79-9.128-11.88-13.36-18.202-27.896-41.66-45.08-92.657-45.08-123.38 0-30.724 16.028-58.796 43.032-79.682 27.005-20.886 64.872-34.135 106.867-34.135 6.58 0 13.058.326 19.41.955-11.582 5.078-21.29 13.262-27.677 24.325-18.658 32.317-1.922 76.91 37.383 99.603 39.304 22.693 86.29 14.89 104.95-17.428 5.5-9.527 7.9-20.122 7.577-30.908 5.368 11.72 8.254 24.255 8.254 37.27 0 30.723-17.18 81.72-45.075 123.38-4.22 6.3-8.67 12.37-13.313 18.14 1.967 7.265 3.016 14.885 3.016 22.745 0 1.27-.034 2.53-.088 3.785 22.408 20.605 32.73 43.688 39.72 53.995l21.3 16.617c18.45-42.273 14.66-92.274-20.65-128.653 2.193-3.97 4.292-7.967 6.296-11.98 20.255 11.914 35.125 27.666 52.012 43.66l19.885 14.423-.186-21.543c4.093-40.47-11.73-75.813-48.287-100.885 1.16-5.264 2.085-10.406 2.754-15.38 19.55 7.282 36.524 17.973 55.51 28.12l14.058 3.874-1.215-18.2c-7.49-42.968-35.343-74.47-83.002-88.423-8.588-14.38-20.302-27.29-34.33-38.14-30.64-23.698-72.395-38.04-118.3-38.04zm-163.45 99.984c-3.26 10.148-5.043 20.778-5.124 31.74-16.51 5.534-30.982 13.13-44.828 20.764 7.684-23.967 23.493-41.285 49.95-52.504zm326.902 0c26.46 11.22 42.267 28.538 49.95 52.506-13.846-7.635-28.317-15.23-44.827-20.764-.082-10.962-1.865-21.593-5.124-31.742zm-4.112 85.608c23.598 17.643 34.558 38.642 35.37 64.376-13.365-12.764-27.59-25.714-45.827-36.185 4.08-9.494 7.58-18.95 10.457-28.19zm-318.68 0c2.878 9.242 6.38 18.698 10.458 28.193-18.237 10.47-32.46 23.418-45.825 36.182.813-25.734 11.77-46.73 35.368-64.374zm159.374 39.31c-42.21 0-75.803 32.31-75.803 71.867 0 39.558 33.594 71.867 75.803 71.867 42.21 0 75.802-32.31 75.802-71.867s-33.593-71.867-75.802-71.867zM138 290.334c1.46 2.31 2.946 4.605 4.467 6.877 4.38 6.542 9.026 12.92 13.91 19.056-18.564 16.267-30.434 34.722-41.264 52.636-7.033-27.92-.324-53.167 22.887-78.568zm249.63 0c23.21 25.4 29.92 50.65 22.886 78.568-10.83-17.914-22.7-36.37-41.264-52.636 4.884-6.136 9.53-12.514 13.91-19.055 1.52-2.27 3.006-4.567 4.467-6.876zm-177.466 21.684c5.127.1 10.9 3.764 14.52 9.746 4.828 7.976 4.003 17.05-1.844 20.27-5.847 3.22-14.5-.634-19.328-8.61-4.828-7.976-4.003-17.054 1.843-20.274 1.462-.805 3.1-1.166 4.81-1.132zm105.3 0c1.71-.034 3.348.327 4.81 1.132 5.846 3.22 6.67 12.298 1.843 20.274-4.828 7.976-13.483 11.83-19.33 8.61-5.847-3.22-6.672-12.294-1.844-20.27 3.62-5.982 9.395-9.646 14.522-9.746zm-85.048 42.54c5.127.082 10.9 3.143 14.522 8.14 4.828 6.665 4.003 14.25-1.844 16.94-5.847 2.69-14.502-.533-19.33-7.197-4.828-6.662-4.002-14.246 1.845-16.936 1.46-.673 3.097-.975 4.806-.947zm64.795 0c1.71-.03 3.348.273 4.81.946 5.846 2.69 6.67 10.274 1.843 16.937-4.828 6.665-13.48 9.887-19.328 7.197-5.847-2.69-6.674-10.274-1.846-16.938 3.62-5 9.394-8.06 14.52-8.143zm-121.804 2.374c-12.4 13.703-19.69 30.394-19.69 48.433 0 30.078 20.512 56.227 50.913 71.264-1.72-5.363-3.306-11.134-3.306-17.028 0-19.838 10.488-37.37 26.45-47.836-25.386-9.772-45.44-29.816-54.368-54.834zm178.864.05c-9.04 25.286-29.448 45.486-55.237 55.122 15.68 10.503 25.953 27.87 25.953 47.498 0 6.14-1.45 12.104-3.306 17.66 31.118-14.92 52.234-41.395 52.234-71.897 0-18.017-7.27-34.69-19.644-48.383z","fillRule":"evenodd"}}]})(props);
};
function GiTicket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M323.9 19.81l-55.2 55.15L285 91.24 272.2 104 256 87.73 19.81 323.9l45.57 45.6c28.5-14.6 56.22-11.7 72.52 4.6 16.3 16.3 19.2 44 4.6 72.5l45.6 45.6 236.1-236.1-16.2-16.3 12.8-12.8 16.3 16.2 55.1-55.1-45.6-45.6c-28.5 14.6-56.2 11.7-72.5-4.6-16.3-16.3-19.2-44.02-4.6-72.52zm-16.2 93.99l33.9 34-12.8 12.8-33.9-34zM256 130.2L381.8 256 222.1 415.8 96.16 289.9 249.6 136.5zm0 25.4L121.6 289.9l100.5 100.5L356.4 256zm108.2 14.8l34 33.9-12.8 12.8-34-33.9z"}}]})(props);
};
function GiTie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M225.124 33.908c-1 0-3.118.68-5.855 3.05-2.74 2.373-5.792 6.186-8.43 10.58-5.273 8.79-8.716 20.37-8.716 25.37s3.68 21.406 9.272 34.455c2.796 6.525 6.08 12.466 9.042 16.22 2.964 3.753 5.186 4.325 4.686 4.325h64c-.5 0 1.722-.572 4.686-4.326 2.963-3.753 6.246-9.694 9.043-16.22 5.592-13.048 9.27-29.454 9.27-34.454s-3.442-16.58-8.716-25.37c-2.637-4.394-5.69-8.207-8.428-10.58-2.738-2.37-4.856-3.05-5.856-3.05h-64zm7.22 112l-8.452 38.03 62.966-15.74-4.953-22.29h-49.562zm58.42 39.867l-71.238 17.81-10.693 48.12 91.5-22.875-9.568-43.055zm13.473 60.63l-99.77 24.945-10.693 48.12 120.032-30.01-9.57-43.054zm13.475 60.632L189.41 339.113l-10.694 48.12 148.564-37.14-9.568-43.056zm13.473 60.633L174.35 406.88l-3.103 13.96 35.193 23.463 134.313-33.578-9.568-43.055zm-7.084 65.77l-97.42 24.355 30.444 20.297 66.977-44.65z"}}]})(props);
};
function GiTiedScroll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M373.563 18.406c-15.616-.167-27.91 4.622-32.563 14.75-22.778 49.605-48.743 87.14-79.094 117.28 3.047 1.015 6.046 2.29 8.938 3.783 12.987 6.708 25.268 17.78 35.312 30.843 10.044 13.062 17.85 28.114 20.78 43.5.746 3.908 1.16 7.885 1.158 11.843 38.97-24.36 85.058-41.223 140.875-51.312 14.91-2.697 23.652-28.632 21.405-58.656l-35.156-1 30.56-24.813c-4.148-14.507-11.013-28.754-21.155-40.72-15.528-18.314-36.43-31.376-56.72-38.686L381.94 40.812l2.812-21.5c-3.875-.55-7.61-.87-11.188-.907zM246.938 166.562c-1.063.052-2.06.226-3 .47-11.976 10.254-24.61 19.597-37.938 28.28.842.33 1.67.667 2.5 1.032 14.123 6.192 27.438 17.145 38.47 30.625 13.356 16.322 23.62 36.94 25.624 57.75 10.334-10.367 21.24-19.943 32.844-28.72 4.096-6.555 4.93-14.468 3.125-23.938-2.184-11.46-8.642-24.43-17.25-35.625-8.61-11.194-19.38-20.622-29.063-25.625-6.052-3.126-11.154-4.45-15.313-4.25zm-61.907 43.282c-1.385.053-2.69.27-3.968.562-37 20.762-79.088 37.985-127.312 56 .574.042 1.14.093 1.72.156 10.627 1.156 21.076 5.008 31.155 10.875L124.313 261 108.5 293.72c5.995 5.432 11.803 11.477 17.344 18 20.76 24.434 37.964 55.865 47.094 88.092.002.01-.003.022 0 .032 2.98 10.508 5.11 20.916 6.312 31 20.99-48.438 44.38-89.26 72.344-123 7.3-21.48-2.186-48.408-19.063-69.03-9.44-11.538-20.976-20.718-31.53-25.345-5.936-2.604-11.27-3.808-15.97-3.626zm141.626 54.844c-7.31 5.05-14.462 10.51-21.437 16.312 39.16 9.26 60.953 35.722 80.655 62.156 10.464 14.04 20.598 28.11 33.125 40.688 24.19 9.147 43.17 6.38 63.906-14.938-92.165-27.78-96.11-92.61-156.25-104.22zM48.594 284.906c-10.873.225-18.26 5.755-23.344 16.594-5.81 12.387-7.114 32.47.438 57.063 5.75 18.73 16.52 37.718 28.75 51.625 12.23 13.906 25.9 22.076 35.374 22.406h.032c3.717.13 6.553-.682 8.812-2.75l-.187-.188 2.093-2.094c.793-1.168 1.52-2.548 2.187-4.187 2.81-6.9 3.28-18.552-1.844-33-6.885-19.417-19.12-31.932-33.375-34.78l-22.968-4.564 19.813-12.5 38.47-24.186c-16.65-16.822-34.55-27.607-49.376-29.22-1.7-.184-3.323-.25-4.876-.218zm236.25 5.406l-24.53 25.375c100.442 17.878 55.45 141.005 159.31 176.188l-24.78-57.28c32.766 16.15 67.39 22.623 97.72 12.03-135.77-41.948-96.32-126.983-207.72-156.313zm-169.47 38.22l-25.968 16.343c13.18 8.5 23.21 22.565 29.125 39.25 2.57 7.244 4.133 14.205 4.75 20.78l23.44-23.374c-8.08-19.19-19.035-37.566-31.345-53zm38.376 72.374l-42.063 42-.156-.156c-4.255 3.942-9.456 6.765-15.186 7.938 23.268 14.873 44.644 19.346 56.812 9.562 4.26-3.426 7.043-8.36 8.47-14.406-.41-12.684-2.602-26.615-6.657-40.906-.382-1.346-.806-2.686-1.22-4.032z"}}]})(props);
};
function GiTigerHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M425.479 25.666c.695.03 1.233.235 1.6.637 28.156 30.856 23.75 58.537 18.36 87.437-2.37 4.836-4.483 8.801-6.79 12.07-5.074 7.188-11.345 12.477-26.674 20.141l8.05 16.098c16.671-8.336 26.4-16.047 33.327-25.86a76.374 76.374 0 0 0 1.99-2.98c23.481 29.638 37.639 65.615 40.162 105.69-10.473-11.076-20.322-14.383-32.865-16.864-3.655-17.373-11.07-34.942-23.44-51.433l-14.398 10.796c22.344 29.793 25.952 62.948 20.375 90.836-5.578 27.889-21.494 49.864-33.201 55.717-17.61 8.805-30.338 21.686-40.338 31.686-5 5-9.353 9.287-12.854 11.965-.175.133-.333.24-.502.365-.852-4.857-2.097-9.886-3.67-15.076-5.313-17.534-14.622-37.068-26.894-57.522l-15.434 9.262c11.728 19.546 20.419 38.012 25.106 53.478 4.687 15.467 4.988 27.718 2.256 34.55-2.733 6.83-7.22 10.423-19.944 10.847-11.082.37-27.763-2.992-49.941-11.604C317.866 378.86 305.89 348.962 304 320c-16 32-32 32-48 32s-32 0-48-32c-1.89 28.962-13.866 58.859 34.24 75.902-22.178 8.612-38.86 11.973-49.941 11.604-12.724-.424-17.211-4.017-19.944-10.848-2.732-6.83-2.43-19.082 2.256-34.549 4.687-15.466 13.378-33.932 25.106-53.478l-15.434-9.262c-12.272 20.454-21.581 39.988-26.894 57.522-1.573 5.19-2.818 10.22-3.67 15.076-.169-.124-.327-.232-.502-.365-3.501-2.678-7.854-6.965-12.854-11.965-10-10-22.728-22.88-40.338-31.686-11.707-5.853-27.623-27.828-33.2-55.717-5.578-27.888-1.97-61.043 20.374-90.836l-14.398-10.796c-12.37 16.491-19.785 34.06-23.44 51.433-12.543 2.48-22.392 5.788-32.865 16.863 2.523-40.074 16.68-76.05 40.162-105.689a76.374 76.374 0 0 0 1.99 2.98c6.927 9.813 16.656 17.524 33.327 25.86l8.05-16.098c-15.329-7.664-21.6-12.953-26.673-20.14-2.308-3.27-4.42-7.235-6.791-12.07-5.39-28.9-9.796-56.582 18.36-87.438.367-.402.905-.607 1.6-.637 9.097-.394 45.217 28.95 79.051 35.594 19.651-6.115 40.847-10.22 63.332-12.094l4.448 15.568c-13.92 1.875-28.343 5.444-44.198 10.729l5.692 17.074c16.147-5.382 30.123-8.91 43.425-10.584l4.463 15.62c-6.012.517-11.858 1.388-17.295 2.667-9.38 2.207-17.681 5.276-23.802 11.397l12.726 12.726c1.88-1.879 7.578-4.81 15.198-6.603 5.387-1.268 11.681-2.114 18.226-2.506L256 144l8.213-28.746c6.545.392 12.839 1.238 18.226 2.506 7.62 1.793 13.319 4.724 15.198 6.603l12.726-12.726c-6.12-6.121-14.422-9.19-23.802-11.397-5.437-1.279-11.283-2.15-17.295-2.668l4.463-15.619c13.302 1.673 27.278 5.202 43.425 10.584l5.692-17.074c-15.855-5.285-30.278-8.854-44.198-10.729l4.448-15.568c22.485 1.873 43.68 5.98 63.332 12.094 33.834-6.643 69.954-35.988 79.05-35.594zm-92.82 109.979c-40 16-59.059 23.357-76.659 23.357-17.6 0-36.658-7.357-76.658-23.357l-6.684 16.71c40 16 60.942 24.643 83.342 24.643s43.342-8.643 83.342-24.643zm43.292 4.33c-14.39 28.78-43.976 43.976-75.976 59.976l7.588 15.172c-4.818 6.521-8.924 14.296-11.934 23.482 0 0-7.629 33.395-8.506 47.916l17.754 2.958C304 272 304 256 312.527 244.664c5.173 7.024 13.406 11.635 22.694 11.635 15.685 0 28.367-13.15 28.367-28.863 0-9.105-4.264-17.342-10.897-22.666 12.317-3.675 24.332-3.772 31.309-3.772v-17.996c-4.717 0-12.708-.032-22.129 1.363 12.116-9.681 22.675-21.335 30.178-36.34zm-239.902 0l-16.098 8.05c7.503 15.005 18.062 26.659 30.178 36.34-9.421-1.395-17.412-1.363-22.129-1.363v17.996c6.977 0 18.992.097 31.309 3.772-6.633 5.324-10.897 13.561-10.897 22.666 0 15.712 12.682 28.863 28.367 28.863 9.288 0 17.521-4.611 22.694-11.635C208 256 208 272 207.123 289.48l17.754-2.958c-.877-14.521-8.506-47.916-8.506-47.916-3.01-9.186-7.116-16.96-11.934-23.482l7.588-15.172c-32-16-61.586-31.196-75.976-59.976zm272.488 49.18l-17.074 5.69c3.336 10.009 2.55 18.53-.664 27.313-3.214 8.784-9.13 17.608-15.903 26.317-6.773 8.708-14.338 17.246-20.529 26.129-6.19 8.882-11.365 18.396-11.365 29.396h17.996c0-5 2.826-11.486 8.135-19.104 5.309-7.617 12.744-16.08 19.97-25.37 7.227-9.292 14.312-19.468 18.598-31.184 4.287-11.716 5.5-25.196.836-39.188zm-305.074 0c-4.664 13.991-3.45 27.47.836 39.187 4.286 11.716 11.37 21.892 18.597 31.183 7.227 9.292 14.662 17.754 19.971 25.371 5.31 7.618 8.135 14.104 8.135 19.104h17.996c0-11-5.174-20.514-11.365-29.396-6.191-8.883-13.756-17.42-20.53-26.13-6.773-8.708-12.688-17.532-15.902-26.316-3.213-8.784-4-17.304-.664-27.312zm231.758 27.413c5.708 0 10.369 4.638 10.369 10.868 0 6.229-4.66 10.865-10.37 10.865-5.708 0-10.368-4.636-10.368-10.865 0-6.23 4.66-10.868 10.369-10.868zm-158.442 0c5.709 0 10.37 4.638 10.37 10.868 0 6.229-4.661 10.865-10.37 10.865-5.708 0-10.369-4.636-10.369-10.865 0-6.23 4.66-10.868 10.37-10.868zm287.065 12.034C499.508 289.222 495.39 352.61 480 368c-9.787-15.381-20.124-27.816-32-32 9.426 36.059 0 64-16 80 0-16-3.432-23.686-16-32 3.293 39.931-18.232 56.793-32 64-6.028-11.65-17.48-24.433-33.275-35.494a31.768 31.768 0 0 0 5.63-9.164c1.46-3.648 2.367-7.5 2.829-11.526 3.896-1.288 7.36-3.491 10.533-5.918 4.999-3.822 9.646-8.535 14.646-13.535 10-10 21.272-21.12 35.662-28.314 20.293-10.147 36.377-36.172 42.8-68.283 2.935-14.677 3.599-30.76 1.019-47.164zm-415.688 0c-2.58 16.403-1.916 32.487 1.02 47.164 6.422 32.111 22.506 58.136 42.799 68.283 14.39 7.195 25.662 18.314 35.662 28.314 5 5 9.647 9.713 14.646 13.535 3.173 2.427 6.637 4.63 10.533 5.918.462 4.027 1.37 7.878 2.829 11.526a31.768 31.768 0 0 0 5.63 9.164C145.48 423.566 134.028 436.35 128 448c-13.768-7.207-35.293-24.069-32-64-12.568 8.314-16 16-16 32-16-16-25.426-43.941-16-80-11.876 4.184-22.213 16.619-32 32-15.39-15.39-19.508-78.778 16.156-139.398zM424.998 256h-17.996c0 11.5-10.11 26.464-21.834 40.143-5.862 6.839-11.89 13.345-16.754 19.56-4.864 6.215-9.412 11.798-9.412 20.297h17.996c0 .5 1.452-3.918 5.588-9.203 4.136-5.285 10.108-11.779 16.246-18.94 12.276-14.321 26.166-31.358 26.166-51.857zm-320 0H87.002c0 20.5 13.89 37.536 26.166 51.857 6.138 7.161 12.11 13.655 16.246 18.94 4.136 5.285 5.588 9.702 5.588 9.203h17.996c0-8.5-4.548-14.082-9.412-20.297-4.864-6.215-10.892-12.721-16.754-19.56-11.724-13.679-21.834-28.642-21.834-40.143zm201.725 168.805c4.823.6 9.34.83 13.576.69a53.604 53.604 0 0 0 5.383-.466c-2.526 8.899-6.629 17.366-12.768 24.733C301.151 463.877 282 472.998 256 472.998s-45.151-9.12-56.914-23.236c-6.14-7.367-10.242-15.834-12.768-24.733 1.752.236 3.54.404 5.383.465 4.236.141 8.753-.088 13.576-.69 1.86 4.965 4.373 9.518 7.637 13.434 8.237 9.885 21.086 16.764 43.086 16.764s34.849-6.88 43.086-16.764c3.264-3.916 5.776-8.47 7.637-13.433z"}}]})(props);
};
function GiTiger (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M234.14 91.863c-1.884-.044-3.663.045-5.34.248l.01.09c-.434.052-.863.087-1.285.13h-.002c-13.39 2.16-21.5 11.353-24.646 23.768-3.146 12.414-.44 27.54 9.547 39.16 9.99 11.62 27.353 20.48 55.79 19.205l12.6-.594-3.117 12.206c-9.385 5.377-17.616 12.364-24.72 20.324 15.527 5.488 31.878 8.408 45.714 9.717-2.974-14.808-.99-29.996 6.933-44.303l15.746 8.72c-6.41 11.572-7.487 22.054-4.604 33.997 2.883 11.945 10.233 25.285 21.36 40.01l-13.458 10.173-.15 16.642c-21.68-.194-51.467-6.878-77.633-23.6-6.053-3.87-11.9-8.322-17.354-13.376-11.782 28.37-13.634 57.465-6.003 70.255 11.11-24.634 27.01-29.252 44.993-32.588-17.13 18.342-28.124 33.785-17.815 51.715 3.96-13.97 38.467-32.305 43.477-25.274 2.426 3.405 5.083 6.54 8.3 9.21 8.34 6.918 18.13 12.053 29.19 15.42l.037-.005 8.34 2.03c-5.805-15.73-8.153-33.626-5.144-53.413l17.797 2.706c-3.344 21.99.81 40.485 9.285 56.04l81.662 19.86c4.41-12.413 9.188-24.877 14.26-37.356-4.748 2.686-10.11 4.462-15.887 5.053-22.403 2.292-42.428-14.017-44.72-36.42-2.292-22.4 14.015-42.426 36.418-44.718 20.553-2.103 39.066 11.456 43.757 31.007 8.772-19.053 18.108-38.04 27.843-56.81l-56.24-21.658c-8.008 8.796-14.95 21.628-21.135 38.007l-16.84-6.356c5.648-14.965 12.06-27.965 20.22-38.488l-16.872-6.498c-6.757 8.568-12.733 20.16-18.13 34.457L379.48 214.2c5.03-13.322 10.668-25.077 17.6-34.925l-5.084-5.002c-2.194-16.02-17.753-27.21-36.896-35.41-6.882-1.782-13.76-1.697-21.245-.088-12.01 2.584-25.53 9.6-40.527 20.356l-10.492-14.626c10.924-7.835 21.527-14.21 32.127-18.563-8.53-2.18-16.54-4.04-23.16-5.696l-2.15-.553-1.684-1.442c-22.453-19.28-40.65-26.077-53.83-26.385zm123.77 77.6c7.553-.037 13.758 5.46 14.547 13.172.842 8.23-4.86 15.26-13.088 16.103-8.228.842-15.264-4.885-16.106-13.115-.842-8.227 4.89-15.232 13.12-16.074v-.005c.513-.053 1.023-.08 1.526-.082zm-116.328 51.912c-1.31 2.015-2.558 4.06-3.752 6.13 5.653 5.773 11.992 10.763 18.748 15.08 21.657 13.842 47.678 20.033 65.62 20.7-7.162-9.676-13.092-19.14-17.376-28.63-17.95-1.016-41.1-4.503-63.24-13.28zm121.797 15.45c10.08 3.908 15.52 13.43 17.007 22.218 1.488 8.788.636 17.726.322 26.44-.315 8.717-.152 17.062 1.897 23.785 2.05 6.722 5.425 11.945 13.44 16.466l-8.844 15.678c-11.797-6.656-18.7-16.682-21.812-26.894-3.113-10.213-3-20.486-2.67-29.682.332-9.197.82-17.465-.08-22.787-.903-5.324-1.58-6.818-5.765-8.44l6.504-16.784zm-155.51 30.68c-6.978 5.368-13.82 10.095-20.54 14.272-.036 6.428.315 12.146 1.045 17.24 2.548 17.786 9 28.637 20.025 40.776l-13.324 12.102c-12.446-13.705-21.47-29.047-24.52-50.325-.45-3.152-.768-6.445-.98-9.863-3.92 1.95-7.795 3.7-11.64 5.313-1.103 14.91-.797 28.72 1.2 41.394 4.15 26.33 15.117 47.86 36.43 66.328l-11.787 13.604c-24.34-21.09-37.728-47.333-42.425-77.13-1.882-11.944-2.416-24.457-1.867-37.54-10.743 3.26-21.227 5.415-31.525 6.844 9.952 57.595 35.397 100.764 73.375 133.67l-11.787 13.605c-41.182-35.683-68.956-83.598-79.503-145.416-12.627.897-25.03 1.028-37.35 1.15 15.65 47.394 39.204 84.183 62.473 112.69L101.227 437.6C76.184 406.922 50.59 366.644 34.14 314.62v42.817c13.126 50.52 37.506 100.093 65.676 129.643l21.49.002c-3.314-11.54-6.186-23.62-8.495-36.29l17.71-3.226c2.534 13.908 5.765 27.06 9.54 39.516 31.29 0 52.604.002 85.35.01-.666-.393-1.352-.782-1.998-1.18-20.464-12.617-30.62-27.875-35.625-40.082l16.654-6.826c3.844 9.375 11.098 20.908 28.417 31.586 10.005 6.168 23.49 11.983 41.588 16.517l89.887.028c-2.843-7.497-5.46-15.186-7.836-23.086-18.242 5.263-35.12 8.87-52.215 8-25.948-1.325-51.095-13.908-78.112-43.933l13.38-12.04c25.086 27.88 44.625 36.922 65.65 37.995 12.102.618 25.142-1.73 39.888-5.648-31.355-6.03-62.652-20.484-89.363-47.766l12.86-12.594c23.715 24.22 51.593 37.16 79.655 42.63-2.182-11.116-3.896-22.668-5.107-34.712-28.958-9.042-57.345-21.712-82.312-36.916.21 6.438 1.007 12.948 1.032 19.012-3.372-4.565-6.83-9.075-9.875-13.87-6.615-11.97-15.55-23.158-18.51-36.772-1.766 3.254-3.335 10.53-4.826 15.318-12.35-9.858-21.156-24.316-23.19-40.076-.67-11.76.18-23.593 2.42-35.172zm78.995 54.466c-7.31 2.355-14.182 6.856-19.824 12.096-1.383 1.774-2.47 3.64-3.335 5.577 23.016 14.82 50.13 27.303 77.92 36.462-.433-8.41-.63-17.054-.572-25.96-20.188-5.014-40.118-12.378-54.188-28.174zm-74.76 42.688c2.62 11.624 5.226 17.557 8.11 21.072 2.883 3.516 6.75 5.746 14.502 8.95l-6.873 16.636c-8.537-3.527-15.9-7.284-21.547-14.17-5.647-6.885-8.874-15.767-11.752-28.53l17.56-3.958zM34.14 415.22v71.915c2.916-.023 23.332-.03 41.626-.04-16.245-20.01-30.38-44.875-41.625-71.874z"}}]})(props);
};
function GiTightrope (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M274.3 38.3c-5.2 20.83-9.1 37.52-21.2 50.3-22.9 24.4-58.5 38.9-115 23-15-4.2-28.1-15.28-41.46-31.7L82.68 91.28C97.19 109.1 113.1 123.2 133.2 129h.1c14.5 4.1 28.1 6.2 40.7 6.8 8.2 27.1 12.4 53.2 29.3 78.7 2 40.8-4 72.6-10.9 111.9-29.2-4.3-58.7-13.8-89-30.5L99.23 314c107.17 56.9 206.07 29 313.17-1.6l-4.1-17.6c-65.9 18.9-126.2 36.3-186.5 34.2 8.6-37.2 14.3-74.4 17.7-111.7 45.4 15.8 77 32.4 104.5 59.4l16.5-15.7c-25.6-29.4-68.4-57.4-111.8-75.9-6.7-22.7-12.7-39.1-13.2-61.3 12-6 22.3-13.8 30.8-22.9 15.9-16.93 20.4-37.69 25.4-58.3l-17.4-4.3zm-87.2 6.67c-.9 0-1.7.09-2.6.26-4.6.91-8.6 4.23-11.4 10.15-2.9 5.95-4.1 14.21-2.3 22.94 1.7 8.73 5.9 15.96 10.8 20.38 4.9 4.3 9.9 5.9 14.5 5 4.6-.9 8.6-4.27 11.4-10.13 2.9-5.97 4-14.25 2.3-22.98-1.7-8.73-5.9-15.94-10.8-20.34-4-3.58-8-5.26-11.9-5.28zM25 297v190h15.84l43.85-190H25zm402.3 0l43.9 190H487V297h-59.7z"}}]})(props);
};
function GiTimeBomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M104.53 28.72c-.676 0-1.356.012-2.03.03-16.186.435-31.577 6.108-44.375 15.25-34.13 24.378-50.547 75.233-18.563 118.72 25.234 34.303 14.237 79.597-11.874 104.905l13.03 13.406c32.24-31.247 45.253-86.76 13.907-129.374C28.415 116.022 42.253 78.324 69 59.22c13.374-9.554 29.767-14.01 46.28-10.75 15.853 3.126 32.335 13.31 46.907 35l-59.875 34.655 24.344 42.28c-49.898 63.943-58.988 154.445-16 229.126 56.487 98.133 181.517 131.802 279.281 75.19 97.765-56.614 131.237-182.057 74.75-280.19-42.912-74.55-125.41-111.868-205.437-100.686l-24.438-42.438-56.437 32.657c-16.916-25.592-38.054-39.714-59.47-43.938-4.813-.95-9.63-1.405-14.374-1.406zm170.126 81.124c79.9 0 144.813 64.347 144.813 144.25 0 79.9-64.913 144.844-144.814 144.844-79.9 0-144.25-64.945-144.25-144.844 0-79.9 64.35-144.25 144.25-144.25zm-9.094 25.187v88.19c-13.248 4.192-23.156 16.79-23.156 31.218 0 17.726 14.962 32.125 32.688 32.125 16.82 0 30.63-12.968 32-29.438l76.53-54.875-10.905-15.188-70.283 50.407c-4.103-6.774-10.542-11.993-18.187-14.345V135.03h-18.688zm-42.187 11.314l-16.188 9.344 14.344 24.843 16.19-9.374-14.345-24.812zm103.063 0l-14.344 24.812 16.187 9.375 14.345-24.843-16.188-9.343zm-150.125 40.22l-9.344 16.186 24.81 14.344 9.345-16.188-24.813-14.344zm98.78 53.874c7.628 0 13.438 6.375 13.438 14 0 7.626-5.81 13.437-13.436 13.437-7.627 0-14-5.81-14-13.438 0-7.626 6.372-14 14-14zm-119.437 4.5v18.687h28.656v-18.688h-28.656zm209.813 0v18.687h28.686v-18.688H365.47zM191.78 291.5l-24.81 14.313L176.312 322l24.812-14.344-9.344-16.156zm166.25 0l-9.342 16.156L373.5 322l9.344-16.188L358.03 291.5zm-136.5 36.563l-14.343 24.812 16.188 9.344 14.344-24.814-16.19-9.344zm106.75 0l-16.186 9.343 14.344 24.813 16.187-9.345-14.344-24.813zm-62.717 16.812v28.656h18.687v-28.655h-18.688z"}}]})(props);
};
function GiTimeSynchronization (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112.9 20.05V50.5c15-6.4 31.5-9.95 48.8-9.95 17.4 0 33.9 3.56 48.9 9.99V20.05zm48.8 38.5c-59 0-106.74 47.65-106.74 106.65 0 59 47.74 106.7 106.74 106.7 59 0 106.7-47.7 106.7-106.7S220.7 58.55 161.7 58.55zm10.6 27.41l17.4 4.38-18 72.06 35 35-12.8 12.8-42.2-42.2zM18.15 159.9v18H37.6c-.42-4.2-.64-8.4-.64-12.7 0-1.8 0-3.5.12-5.3zm295.05 41.6l-8.9 35.8c17.7-9.8 38.1-15.3 59.8-15.3 19.3 0 37.6 4.4 54 12.3l-4.1-32.8zm50.9 38.5c-59 0-106.7 47.7-106.7 106.7s47.7 106.7 106.7 106.7 106.7-47.7 106.7-106.7S423.1 240 364.1 240zm118.8 20.7l-17.4 13.5c3.5 4.9 6.7 10.1 9.5 15.4l18.9-14.7zm-118.8 7.4c43.3 0 78.6 35.3 78.6 78.6s-35.3 78.6-78.6 78.6-78.6-35.3-78.6-78.6 35.3-78.6 78.6-78.6zm-153.5 11.8c-15 6.4-31.5 10-48.9 10-17.3 0-33.8-3.5-48.8-9.9v30.5h97.7zm153.5 6.2c-33.6 0-60.6 27-60.6 60.6s27 60.6 60.6 60.6 60.6-27 60.6-60.6c0-25.3-15.3-46.8-37.2-55.9L374.1 344l17.3 17.8-12.8 12.7-24.5-25 16-63c-2-.2-4-.4-6-.4zm-59.8 170l8.9 35.8H414l4.1-32.8c-16.4 7.9-34.7 12.3-54 12.3-21.7 0-42.1-5.5-59.8-15.3z"}}]})(props);
};
function GiTimeTrap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.656 22.75c-131.173 0-237.72 33.326-237.72 74.344.002 22.39 32.41 42.59 82.564 56.22-17.407-8.91-27.53-19.216-27.53-30.47 0-32.128 81.75-58.53 182.686-58.53 100.937 0 183.25 26.4 183.25 58.53 0 11.194-10.3 21.59-27.53 30.47 49.843-13.627 81.968-33.91 81.968-56.22 0-41.018-106.514-74.344-237.688-74.344zM147.47 103.094v30.094h216.28v-30.094H147.47zm4.374 48.78V361.94h18.687V151.875h-18.686zm39.125 0c.698 61.812 25.325 96.435 52.81 103.814-27.847 7.475-52.776 42.9-52.843 106.25h128.188c-.066-63.353-24.952-98.766-52.78-106.25 27.468-7.386 52.05-41.998 52.75-103.813H190.968zm147.936 0V361.94h18.688V151.875h-18.688zM100.5 360.72c-50.153 13.626-82.563 33.827-82.563 56.217 0 41.018 106.546 74.344 237.72 74.344 131.173 0 237.687-33.325 237.687-74.342 0-22.31-32.125-42.593-81.97-56.22 17.232 8.88 27.532 19.244 27.532 30.438 0 32.13-82.313 58.563-183.25 58.563S72.97 423.283 72.97 391.155c0-11.254 10.123-21.528 27.53-30.437zm46.97 19.905v30.063h216.28v-30.063H147.47z"}}]})(props);
};
function GiTinker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M409.28 19.313c-20.507.34-40.836 8.245-56.53 23.937-20.558 20.558-27.823 49.56-22.188 76.156l1.032 4.938-3.594 3.594-43.406 43.406c3.86 2.906 7.167 6.498 9.72 10.625 7.166 11.59 6.305 28.69-6.22 41.218l-11.97 11.968 30.438 30.47 79.563-79.563 3.563-3.594 4.968 1.06c26.44 5.525 55.136-1.98 75.75-22.593 23.596-23.595 29.518-57.696 18.688-87.093l-49.22 49.25c-13.71 13.708-36.3 15.01-50.093 1.22-13.79-13.793-13.07-36.618.814-50.5l49.22-49.25c-8.545-3.15-17.475-4.93-26.44-5.22-1.367-.045-2.726-.054-4.093-.032zM72.157 21.53c-13.533.162-25.857 6.134-34.937 15.69-18.163 19.108-23.575 51.08 4.56 79.218l86.126 86.124c30.25 2.733 53.004 26.662 53.906 57.532L182 266c.883 5.654 4.31 10.126 8.844 12.47 5.734 2.963 12.387 3.145 19.625-4.095l64.405-64.406c7.718-7.72 6.896-12.716 3.53-18.157-3.364-5.442-11.272-10.063-18.81-10.063h-.19l-.186-.03c-30.125-1.298-53.427-23.487-56.5-53l-86.595-86.595C100.84 26.84 85.69 21.37 72.155 21.53zm191.188 227.314l-14.03 14.03 136.5 136.532 3.31 3.313-.655 4.655-4.595 31.813 77.188 49.375L489 460.625l-49.375-77.22-31.78 4.595-4.658.688-3.312-3.313-136.53-136.53zm-27.72 26.812l-11.936 11.938c-12.238 12.24-29.134 13.86-41.438 7.5-4.515-2.334-8.513-5.66-11.656-9.72l-41.78 41.782-3.595 3.594-4.97-1.063c-26.596-5.632-55.6 1.632-76.156 22.188-23.598 23.596-29.52 57.697-18.688 87.094l49.25-49.25c13.883-13.877 36.71-14.605 50.5-.814 13.792 13.792 12.494 36.384-1.22 50.094l-49.25 49.25c29.398 10.83 63.498 4.906 87.095-18.688 20.613-20.615 28.114-49.342 22.595-75.78l-1.03-4.938 3.56-3.563 79.19-79.186-30.47-30.438z"}}]})(props);
};
function GiTipi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M224.627 18l21.38 44.285-10 20.715h19.987l.006-.012.006.012h19.988l-10-20.715L287.374 18h-19.99L256 41.584 244.615 18h-19.988zm5.045 83l-17.574 36.746c8.355 2.2 17.922 3.768 27.902 4.588V131h7v-30h-17.328zM265 101v30h7v11.334c9.98-.82 19.547-2.39 27.902-4.588L282.328 101H265zm-60.828 53.318L121.715 326.73c40.086 19.246 79.89 29.913 119.662 32.014L247 346.092V341h-7v-18h7v-46h-7v-18h7v-46h-7v-18h7v-34.174c-15.112-.578-29.874-2.655-42.828-6.508zm103.656 0c-12.954 3.853-27.716 5.93-42.828 6.508V195h7v18h-7v46h7v18h-7v46h7v18h-7v5.092l5.623 12.652c39.773-2.1 79.576-12.768 119.662-32.014l-82.457-172.412zm-193.88 188.65l-8.01 16.75c6.122 3.888 12.368 7.52 18.728 10.887L140.7 354.57c-8.928-3.462-17.847-7.333-26.753-11.6zm284.105 0c-8.906 4.27-17.825 8.14-26.754 11.602l16.034 16.035c6.36-3.366 12.606-7 18.728-10.888l-8.01-16.748zm-256.73 11.84l-3.706 22.23c14.398 6.675 29.283 12.055 44.465 16.153l21.023-21.022c-20.63-3.65-41.233-9.434-61.783-17.36zm229.355 0c-20.55 7.926-41.154 13.71-61.783 17.36l21.023 21.023c15.182-4.097 30.067-9.477 44.465-16.153l-3.705-22.228zM204.463 372.41l-3.598 25.172c7.202 1.424 14.453 2.553 21.733 3.412l11.107-24.99c-9.75-.727-19.5-1.914-29.242-3.594zm103.074 0c-9.743 1.68-19.49 2.867-29.242 3.594l11.107 24.99c7.28-.86 14.53-1.988 21.733-3.412l-3.598-25.172zM98.12 376.06l-19.33 40.424 32.597-32.597c-4.48-2.482-8.9-5.1-13.266-7.826zm315.76 0c-4.368 2.728-8.788 5.345-13.267 7.827l32.598 32.597-19.33-40.423zM134.552 395.43l-9.06 54.35 42.03-42.028c-11.183-3.44-22.197-7.542-32.97-12.322zm242.894 0c-10.773 4.78-21.787 8.88-32.97 12.322l42.03 42.03-9.06-54.352zm-262.94 10.793L63.83 456.897c13.37 5.64 26.592 10.722 39.69 15.23l10.986-65.905zm282.987 0l10.985 65.905c13.098-4.507 26.32-9.588 39.69-15.23l-50.676-50.674zm-199.182 9.24l-8.458 59.208 25.1-56.47c-5.568-.764-11.118-1.664-16.642-2.74zm115.375 0c-5.523 1.074-11.073 1.974-16.64 2.737l25.1 56.47-8.46-59.208zm-134.416 5.995l-56.813 56.815c15.803 4.815 31.45 8.785 46.994 11.923l9.82-68.738zm153.46 0l9.82 68.738c15.544-3.138 31.19-7.108 46.993-11.923l-56.814-56.815z"}}]})(props);
};
function GiTireTracks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M484.148 41.3l-14.12 11.165L494 82.78V53.76zm-30.09 10.893l-14.12 11.164 31.119 39.354-16.149.414.446-.352-31.383-39.687L409.85 74.25l31.119 39.354-16.15.414.447-.352-31.385-39.687-14.121 11.164 31.119 39.353-16.149.414.446-.351-31.383-39.688-7.06 5.582-7.061 5.582 31.119 39.354-16.15.414.445-.352-31.383-39.687-14.121 11.164 31.12 39.353-16.15.414.446-.351-31.385-39.688-14.12 11.164 31.118 39.354-16.148.414.445-.352-31.383-39.687-14.12 11.164 31.118 39.353-16.15.414.447-.351-31.384-39.688-14.122 11.164 31.12 39.354-16.149.414.445-.352-31.382-39.687-14.121 11.164 31.119 39.354-16.15.414.445-.352-31.383-39.687-14.121 11.164 31.119 39.353-16.149.414.446-.351-31.385-39.688-14.121 11.164 31.385 39.688 13.117-10.371 1.283 50.152 17.996-.461-1.295-50.58-.566.016 12.672-10.02 1.283 50.152 17.996-.46-1.295-50.58-.568.015 12.672-10.02 1.285 50.153 17.994-.461-1.293-50.58-.568.013 12.671-10.017 1.284 50.152 17.996-.46-1.295-50.58-.569.013 12.674-10.018 1.283 50.153 17.997-.461-1.295-50.58-.569.013 12.672-10.017 1.283 50.152 17.996-.46-1.294-50.58-.567.013 12.672-10.02 1.283 50.155 17.996-.461-1.295-50.58-.568.013 12.672-10.02 1.285 50.155 17.994-.46-1.293-50.581-.568.014 12.672-10.02 1.283 50.154 17.996-.46-1.295-50.58-.568.013 12.674-10.02 1.283 50.155 17.996-.461-1.295-50.58-.568.014 12.671-10.02 1.284 50.154 8.277-.213V92.002l-9.002.23.445-.351zM170.433 211.971l-17.428.447.445-.352-31.383-39.687-14.119 11.164 31.12 39.352-16.153.416.445-.352-31.382-39.688-14.12 11.165 31.12 39.351-16.15.416.444-.351-31.382-39.688-14.12 11.164 31.12 39.352-16.153.416.446-.352-31.383-39.687L18 215.967v.658l31.063 39.283 13.119-10.373 1.283 50.154 17.994-.46-1.295-50.58-.566.013 12.672-10.02 1.285 50.155 17.992-.461-1.293-50.58-.567.014 12.672-10.02 1.284 50.154 17.994-.46-1.295-50.58-.567.013 12.674-10.02 1.283 50.155 17.995-.461zm-121.37 43.937l-17.425.446.445-.352L18 238.195v28.942l13.08-10.342 1.283 50.154 17.994-.463zM494 279.061l-13.95 11.029L494 307.729zm-29.918 10.755l-14.121 11.166 31.12 39.352-16.15.416.446-.354-31.383-39.687c-4.708 3.721-9.414 7.444-14.121 11.166l31.12 39.352-16.151.416.445-.354-31.383-39.687-14.12 11.166 31.118 39.351-16.148.416.445-.353-31.383-39.688-14.12 11.166 31.118 39.352-16.15.416.445-.354-31.382-39.687-14.122 11.166 31.12 39.351-16.15.416.446-.353-31.384-39.688-14.121 11.166 31.119 39.352-16.149.416.446-.354-31.383-39.687-14.121 11.166 31.119 39.351-16.15.416.445-.353-31.383-39.688-14.121 11.166 31.119 39.352-16.148.416.445-.353-31.383-39.688-14.121 11.166 31.383 39.688 13.117-10.374 1.283 50.155 17.996-.461-1.293-50.58-.568.013 12.672-10.02 1.283 50.155 17.996-.463-1.295-50.578-.568.014 12.674-10.02 1.283 50.155 17.994-.463-1.293-50.578-.568.013 12.672-10.02 1.283 50.155 17.996-.463-1.295-50.578-.568.014 12.673-10.02 1.284 50.155 17.996-.463-1.295-50.578-.569.013 12.672-10.02 1.284 50.155 17.996-.463-1.293-50.578-.569.014 12.672-10.02 1.283 50.154 17.996-.462-1.294-50.58-.569.015 12.674-10.02 1.283 50.155 17.994-.463-1.293-50.58-.568.016L494 330.662v-3.014zm-223.45 137.995l-17.427.445.445-.352-31.382-39.687-14.12 11.164 31.12 39.353-16.153.414.447-.351-31.384-39.688-14.12 11.164 31.12 39.354-16.15.414.445-.352-31.383-39.687-14.12 11.164 31.12 39.354-16.153.414.446-.352L102 420.895l-14.12 11.164 31.384 39.687 13.119-10.371.834 32.625h18.006l-.858-33.512-.566.014 12.672-10.02L163.586 494h18.004l-1.135-44.406-.566.015 12.672-10.02 1.283 50.153 17.994-.46-1.295-50.58-.566.015 12.673-10.02 1.284 50.153 17.994-.461zm-121.368 43.935l-17.426.447.445-.351-31.385-39.688-14.119 11.164 31.385 39.688 13.117-10.373.547 21.367h18.006zm-31.1 11.26l-17.428.447.446-.353-31.383-39.688-14.12 11.164L56.8 493.93c.709-.018-.29.039.709-.018l12.672-10.02.26 10.108h18.005zM18 464.789v29.02l.15.191h22.932l.01-.008z"}}]})(props);
};
function GiToadTeeth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M190.625 50.125l-16.063 31.97c-26.47-6.543-52.935-15.91-79.406-27.97 4.048 15.106 9.757 28.843 16.813 41.22-13.293-1.35-25.644.808-36.314 6.968-30.07 17.358-39.36 61.958-28.906 115.03-7.755 11.533-14.913 23.72-21.406 36.47 127.87 296.268 344.194 298.2 460.344 0-6.35-12.492-13.35-24.43-20.907-35.75 10.682-53.392 1.427-98.313-28.78-115.75-8.185-4.725-17.332-7.1-27.156-7.344 6.868-12.262 12.456-25.87 16.47-40.845-28.423 13.94-56.83 24.012-85.252 30.438l-16.937-34.438-66.625 42.03-65.875-42.03zm-90 65.28c3.398 0 6.66.525 9.72 1.5-6.847 2.012-11.845 8.348-11.845 15.845 0 9.115 7.385 16.5 16.5 16.5 7.474 0 13.782-4.967 15.813-11.78.943 3.012 1.437 6.222 1.437 9.56 0 17.57-14.056 31.595-31.625 31.595-17.57 0-31.594-14.024-31.594-31.594 0-17.567 14.03-31.624 31.595-31.624zm312.28 0c3.4 0 6.66.525 9.72 1.5-6.843 2.013-11.844 8.35-11.844 15.845 0 9.115 7.386 16.5 16.5 16.5 7.475 0 13.783-4.967 15.814-11.78.943 3.012 1.437 6.222 1.437 9.56 0 17.57-14.054 31.595-31.624 31.595s-31.594-14.024-31.594-31.594c0-17.567 14.028-31.624 31.594-31.624zM253.19 179.5c5.915.007 11.83.18 17.75.47l9.656 47.718 14.812-45.72c12.51 1.443 24.982 3.507 37.28 6.22l-9.623 46.062 34.656-39.594c13.964 4.148 27.646 9.154 40.936 15l-21.812 32.875 43.656-22.31c17.728 9.406 34.555 20.44 50.125 33.093-5.817 12.747-11.89 24.787-18.22 36.125L409 282.217l32.28 25.97c-6.193 9.888-12.583 19.157-19.155 27.812l-39.656-22.25 24.686 40.625c-7.226 8.194-14.66 15.678-22.22 22.5L348.565 343l16.03 50.344c-11.668 8.392-23.624 15.267-35.78 20.625l-16.313-42-7.25 50.436c-11.364 3.15-22.84 5.006-34.375 5.625l-11.438-42.374-10.718 42.03c-12.57-1.073-25.133-3.658-37.626-7.686l-6.906-48.03-15.25 39.31c-12.093-5.644-24.063-12.686-35.813-21.124l15-47.156-34.28 31.906c-7.864-6.824-15.596-14.318-23.19-22.437l23.532-38.72-38.53 21.625c-6.953-8.455-13.74-17.5-20.376-27.094l32.376-26.06-44.625 7.405c-7.107-11.416-13.996-23.51-20.624-36.313 14.295-12.626 29.98-23.62 46.688-33l43.437 22.22-21.968-33.126c13.475-6.172 27.486-11.398 41.876-15.656l-1.032.625 34.906 39.875-9.75-46.656c12.255-2.66 24.703-4.656 37.282-6l14.937 46.094 9.69-47.907c4.9-.19 9.8-.285 14.718-.28z"}}]})(props);
};
function GiToaster (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M231.3 18s-8.6 4.5-17.3 11.15c-4.3 3.33-8.8 7.21-12.5 11.79-3.7 4.57-7 10.07-7 17.02 0 6.95 4.1 12.65 8.2 16.12 4.1 3.48 8.6 5.72 12.6 7.84 4 2.11 7.5 4.1 9.4 5.68 1.9 1.58 1.8 1.77 1.8 2.36 0 .57-.7 2.85-3 5.69-1.3 1.6-3 3.35-4.9 5.05 7.9-1 16-1.7 24.2-2.2 1-2.58 1.7-5.41 1.7-8.54 0-6.95-4.1-12.65-8.2-16.12-4.1-3.48-8.6-5.72-12.6-7.84-4-2.11-7.5-4.1-9.4-5.68-1.9-1.58-1.8-1.77-1.8-2.36 0-.59.7-2.86 3-5.7 2.3-2.84 5.8-6.02 9.5-8.8 7.3-5.58 14.7-9.54 14.7-9.54zm80 0s-8.6 4.5-17.3 11.15c-4.3 3.33-8.8 7.21-12.5 11.79-3.7 4.57-7 10.07-7 17.02 0 6.95 4.1 12.65 8.2 16.12 4.1 3.48 8.6 5.72 12.6 7.84 4 2.11 7.5 4.1 9.4 5.68 1.9 1.58 1.8 1.77 1.8 2.36 0 .57-.7 2.85-3 5.69-.4.54-.9 1.09-1.4 1.65 7.1-.49 14.2-.81 21.4-.93.6-1.99 1-4.12 1-6.41 0-6.95-4.1-12.65-8.2-16.12-4.1-3.48-8.6-5.72-12.6-7.84-4-2.11-7.5-4.1-9.4-5.68-1.9-1.58-1.8-1.77-1.8-2.36 0-.59.7-2.86 3-5.7 2.3-2.84 5.8-6.02 9.5-8.8 7.3-5.58 14.7-9.54 14.7-9.54zm82 0s-8.6 4.5-17.3 11.15c-4.3 3.33-8.8 7.21-12.5 11.79-3.7 4.57-7 10.07-7 17.02 0 6.95 4.1 12.65 8.2 16.12 4.1 3.48 8.6 5.72 12.6 7.84 4 2.11 7.5 4.1 9.4 5.68 1.9 1.58 1.8 1.77 1.8 2.36 0 .57-.7 2.85-3 5.69-1.1 1.33-2.4 2.75-3.9 4.15 7.1 1 13.9 2.3 20.4 3.8 2.6-3.9 4.5-8.33 4.5-13.64 0-6.95-4.1-12.65-8.2-16.12-4.1-3.48-8.6-5.72-12.6-7.84-4-2.11-7.5-4.1-9.4-5.68-1.9-1.58-1.8-1.77-1.8-2.36 0-.59.7-2.86 3-5.7 2.3-2.84 5.8-6.02 9.5-8.8 7.3-5.58 14.7-9.54 14.7-9.54zm-133.5 97.9c-31.3.5-62.5 4.9-84.7 12.4-11 3.7-19.7 8.2-24.9 12.7-5.1 4.5-6.6 7.8-6.1 11.9 1.2 12.3 15 22.9 15 22.9l4.1 2.8-.4 11.4H207.6l-.7-18.3 18-.8.8 19.1h63l-.4-16.4 18-.4.4 16.8h51.1l-1.2-19 7.8-1.5s3.6-.8 7.3-3.4c3.8-2.6 7.1-5.9 7.2-13.9.1-5-2-9.1-7.6-13.8-5.6-4.6-14.6-9.1-25.9-12.6-21.3-6.7-50.3-10-79.7-9.9zm110.8.7c4.6 2.3 8.7 5 12.3 8.1 8.4 7 14.2 16.8 14 27.9-.3 13.8-7.9 23.4-14.9 28.3-2.3 1.6-4.5 2.7-6.5 3.6l.3 5.5H422l-1.3-20.5 7.8-1.5s3.6-.8 7.3-3.4c3.7-2.6 7.1-5.9 7.2-14 .1-5-2-9-7.6-13.7-5.6-4.7-14.6-9.2-25.9-12.7-11.2-3.5-24.5-6-38.9-7.6zM164.5 208c-13 0-27.1 6.8-37.6 17.4-10.6 10.5-17.4 24.6-17.4 37.6v103h254.8c4.3-22.7 24.3-40 48.2-40 23.9 0 43.9 17.3 48.2 40h14.8V263c0-13-6.8-27.1-17.4-37.6-10.5-10.6-24.6-17.4-37.6-17.4zm248 136c-17.2 0-31 13.8-31 31s13.8 31 31 31 31-13.8 31-31-13.8-31-31-31zm-303 40v62h366v-62h-14.8c-4.3 22.7-24.3 40-48.2 40-23.9 0-43.9-17.3-48.2-40zm-45.03 5.9C52.5 390.3 36.5 398 36.5 414v9h55v-18H71.98zM141.5 464v30h30v-30zm272 0v30h30v-30z"}}]})(props);
};
function GiToggles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96 32c-44 0-63 27.5-63 55s19 55 63 55h.12C80.75 128.6 71 108.9 71 87c0-21.91 9.75-41.6 25.12-55zm48 0c-30.5 0-55 24.52-55 55 0 30.5 24.5 55 55 55s55-24.5 55-55c0-7.4-1.5-14.45-4.1-20.89L145 132.7l-39.4-39.3 12.8-12.76L143 105.3l41.6-55.46C174.6 38.86 160.1 32 144 32zm47.9 0C207.2 45.4 217 65.09 217 87c0 21.9-9.8 41.6-25.1 55H416c44 0 63-27.5 63-55s-19-55-63-55zM96 192c-44 0-63 27.5-63 55s19 55 63 55h.12C80.75 288.6 71 268.9 71 247s9.75-41.6 25.12-55zm48 0c-30.5 0-55 24.5-55 55s24.5 55 55 55 55-24.5 55-55c0-7.4-1.5-14.5-4.1-20.9L145 292.7l-39.4-39.3 12.8-12.8 24.6 24.7 41.6-55.5c-10-10.9-24.5-17.8-40.6-17.8zm47.9 0c15.3 13.4 25.1 33.1 25.1 55s-9.8 41.6-25.1 55H416c44 0 63-27.5 63-55s-19-55-63-55zM96 334c-52 0-81 36.5-81 73s29 73 81 73h272c-18.3 0-35-6.8-47.9-18H96c-44 0-63-27.5-63-55s19-55 63-55h224.1c12.9-11.2 29.6-18 47.9-18zm272 0c18.3 0 35 6.8 47.9 18h.1c44 0 63 27.5 63 55s-19 55-63 55h-.1c-12.9 11.2-29.6 18-47.9 18h48c52 0 81-36.5 81-73s-29-73-81-73zm0 18c-30.5 0-55 24.5-55 55s24.5 55 55 55 55-24.5 55-55-24.5-55-55-55zm-25.6 16.6l25.6 25.6 25.6-25.6 12.8 12.8-25.6 25.6 25.6 25.6-12.8 12.8-25.6-25.6-25.6 25.6-12.8-12.8 25.6-25.6-25.6-25.6z"}}]})(props);
};
function GiToken (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 117c-65.2 0-124.2 11.6-166.13 29.7-20.95 9.1-37.57 19.8-48.57 31.1S25 200.4 25 212c0 11.6 5.3 22.9 16.3 34.2 11 11.3 27.62 22 48.57 31.1C131.8 295.4 190.8 307 256 307c65.2 0 124.2-11.6 166.1-29.7 21-9.1 37.6-19.8 48.6-31.1S487 223.6 487 212c0-11.6-5.3-22.9-16.3-34.2-11-11.3-27.6-22-48.6-31.1C380.2 128.6 321.2 117 256 117zM25 255.1v50.2c0 6.3 5.3 17.6 16.3 28.9 11 11.3 27.62 22 48.57 31.1C131.8 383.4 190.8 395 256 395c65.2 0 124.2-11.6 166.1-29.7 21-9.1 37.6-19.8 48.6-31.1s16.3-22.6 16.3-28.9v-50.2c-1.1 1.3-2.2 2.5-3.4 3.7-13.3 13.6-31.8 25.3-54.3 35-45 19.5-106 31.2-173.3 31.2-67.3 0-128.3-11.7-173.28-31.2-22.49-9.7-41.01-21.4-54.3-35-1.19-1.2-2.32-2.5-3.42-3.7z"}}]})(props);
};
function GiTomahawk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M483.44 177.075l-151.73-78.02-29.51 47.083c27.702 33.995 52.362 66.91 52.775 91.22l51.992 61.733c42.438-30.05 67.93-70.722 76.473-122.015zM207.185 22.818l-25.49 40.672 40.67 25.49 22.055-5.06 13.558 8.497-8.497 13.558-3.717 5.93 40.673 25.492 3.717-5.932 25.49-40.672L288.53 73.8l-22.055 5.06-13.558-8.497-5.06-22.054zm29.02 104.34l-49.92 79.65 40.672 25.49 46.202-73.718 3.716-5.93zm-59.48 94.9l-7.434 11.864 40.673 25.49 7.435-11.862zm-15.732 27.907l2.338 38.66 35.813-14.75zm-16.6 23.684l-19.24 30.7 20.583-8.48zm40.67 25.49l-20.583 8.478 1.344 22.22zm-38.178 15.725l-35.89 14.78c6.847 5.088 8.36 13.788 7.605 21.62-.467 4.84-1.796 9.863-3.87 14.905 3.633-4.065 7.574-7.45 11.728-9.98 6.718-4.096 15.208-6.526 22.77-2.582zm-46.632 29.21c-.08-.05-.078-.023-.042.07.1-.01.124-.018.043-.07zm-.042.07c-.36.026-1.943.026-5.058 1.925-3.965 2.416-8.997 7.32-13.044 13.777-4.047 6.457-6.267 13.124-6.713 17.746-.35 3.63.34 5.056.472 5.392.36-.027 1.944-.027 5.06-1.926 3.964-2.417 8.996-7.32 13.043-13.778 4.047-6.457 6.267-13.124 6.713-17.746.35-3.63-.34-5.056-.472-5.392zm-24.343 38.84c-.098.007-.123.017-.042.068.08.05.078.024.042-.068zm65.058-13.418c-.08-.05-.078-.024-.042.067.098-.007.123-.017.042-.067zm-.042.067c-.36.028-1.944.028-5.06 1.926-3.964 2.417-8.996 7.32-13.043 13.778-4.047 6.457-6.267 13.124-6.713 17.746-.35 3.63.34 5.055.472 5.392.36-.027 1.943-.028 5.058-1.926 3.965-2.416 8.997-7.32 13.044-13.777 4.047-6.457 6.267-13.125 6.713-17.746.35-3.63-.34-5.056-.472-5.393zm-24.344 38.842c-.1.008-.124.017-.043.068.08.05.078.024.042-.068zm-14.52-22.026c-3.633 4.064-7.574 7.45-11.728 9.98-7.092 4.323-16.16 6.805-24.026 1.875l-37.706 60.16s.69 15.91 5.06 22.055c3.092 4.346 8.3 7.61 13.558 8.497 7.437 1.255 22.054-5.06 22.054-5.06l37.706-60.16c-7.866-4.93-9.586-14.174-8.788-22.44.467-4.843 1.796-9.866 3.87-14.907z"}}]})(props);
};
function GiTomato (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M269 24.54c-3.1.11-5.7 0-7.6.21-2.8.25-4.7.45-7.2 2.23l-1 69.32c3 1.18 6.4 2.3 9.7 2.51 4.1.3 6.8-.21 9.2-2.41zm-103.4 37.9c.1 5.95.3 11.01 1.5 14.14 2.3 5.22 7 9.88 26 13.92l22.5 4.78-19.5 11.82c-16.5 10.1-35.2 19.4-51.5 26.5 6.2.7 12.3 1.4 18.2 1.4 17.8-.1 34.6-3.9 55.3-18.1L234 106l.4-24.35c-25.5-5.62-46.5-11.68-68.8-19.21zm181.2 6.49c-19.5 6.69-34.4 10.97-56.4 14.16l.9 18.81-1.7 2.5c-6.8 10-18.4 13.3-27.9 12.7-9.5-.6-17.6-3.9-23.4-7.6l-3.2-2.1-2.2 18c-1.9 17.1-2.1 28.3-5.2 42.4 14.6-10.4 24.4-18.9 36.5-37.3l7.2-10.7 8.1 10c10.9 13 28.8 22.9 48.5 29-5.7-6.5-10.9-14.5-12-25l-1.4-14.1 13.9 4.6c20.6 6.6 26.9 6.1 33.9 3.7 2.9-.9 6.7-2.6 10.6-4.5l-80.7-27.61 27.3-8.15c14.2-4.24 20.9-9.1 24.6-13.94 1-1.5 1.9-3.14 2.6-4.87zM405.5 132l-1.8.4c-17.4 4.2-24.3 9.5-35 13.1-7.4 2.3-15.6 2.8-26.7.9.4.6 1 1.2 1.5 1.8 5 5.5 12.2 11.6 18.8 20.2l13.2 17.2-21.9-2.6c-29.1-3.5-59.4-13.9-80.3-32.9-16.3 21.4-31.5 30.4-57.2 48.6l-25.8 18.4 11.3-29.1c8.4-21.1 9.3-31.3 10.7-46.3-17.3 8.4-33.7 11.5-49.5 11.6-18.7 0-36.5-3.7-55.2-6.4-.4 0-.8.1-1.2.2-59.84 46.2-68.94 115.5-68.87 150.3.17 94.2 26.73 186.7 222.47 190C408.9 490 475.4 388 474.5 293.2c-.8-60.6-12.3-124.4-69-161.2zm-258.4 34.3c13.2-.2 26.4 4.4 28.3 12.4-92.08 41.9-91.59 97.8-105.21 156.8-11.1-56.8-7.31-122.5 55.21-163.6 5.6-3.8 13.8-5.5 21.7-5.6z"}}]})(props);
};
function GiTombstone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.75 18.906c-77.635.03-154.875 54.01-154.875 167.5v209.72c25.67 19.717 46.68 41.386 52.156 69.124-3.507-44.464-4.166-88.692 14.595-133.156 5.265 38.52 8.087 77.137 26.875 115.656 25.316-53.302 59.948-75.555 102.188-72.438-29.706 25.94-56.26 55.26-74.75 95.22 31.477-30.2 66.886-38.728 103.968-40.907-21.57 15.247-41.576 30.414-54.156 50.22h78.344c6.443-27.99-4.756-54.648-17.78-82.908 27.59 18.168 51.09 40.4 61.905 77.657 3.525-39-3.843-73.686-15.19-106.875 13.34 6.44 23.875 15.568 31.595 27.374V186.406c0-113.616-77.24-167.528-154.875-167.5zM150.156 144.594h114.938v18.687H150.156v-18.686zm152.438 0h56.125v18.687h-56.126v-18.686zm-152.438 42.75h36.5v18.687h-36.5v-18.686zm72.25 0H358.72v18.687H222.405v-18.686zm-72.28 40.312h95.81v18.688h-95.81v-18.688zm126.31 0h82.283v18.688h-82.283v-18.688zm-177.56 189.53v62.658h23.686c-4.638-21.58-13.086-42.375-23.687-62.656z"}}]})(props);
};
function GiTongue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192.459 54.496C134.986 65.652 88.687 94.429 46.965 129.748c44.068-4.467 98.006-7.504 139.176-9.125 24.06 6.836 50.74 12.885 69.859 12.885 19.118 0 45.8-6.049 69.86-12.885 41.169 1.62 95.107 4.658 139.175 9.125-40.822-32.197-91.774-71.06-145.494-75.252C294.823 58.15 274.036 72.995 256 86.87c-15.453-11.352-45.084-32.691-63.541-32.375zm1.943 85.683c-10.738 2.975-21.867 14.782-25.91 26.307-14.68 41.848.074 90.264 16.045 138.176 14.478 43.434 43.444 63.094 71.463 63.094 28.02 0 56.985-19.66 71.463-63.094 15.97-47.912 30.724-96.328 16.045-138.176-4.043-11.525-15.172-23.332-25.91-26.307-20.011-1.844-35.531 12.244-53.133 15.555L256 317.508l-8.465-161.774c-16.096-2.716-39.797-18.767-53.133-15.555zM39.494 152.06c28.202 34.32 68.937 69.949 107.43 83.407-1.908-28.008-3.311-54.863 5.363-76.983-32.671-1.463-78.044-3.6-112.793-6.424zm433.012 0c-34.75 2.825-80.122 4.961-112.793 6.424 8.268 24.764 8.744 55.255 5.363 76.983 44.215-19.913 79.145-47.797 107.43-83.407zM176 347.508s-33.004 17.415-37.855 33.568c-2.17 7.224-.677 18.086 5.855 21.857 6.532 3.772 16.684-.366 21.855-5.857C177.418 384.798 176 347.508 176 347.508zm160 0s-1.418 37.29 10.145 49.568c5.17 5.49 15.323 9.629 21.855 5.857 6.532-3.77 8.025-14.633 5.855-21.857-4.85-16.153-37.855-33.568-37.855-33.568zm-80 46s-19.875 31.585-16 48c1.733 7.34 8.458 16 16 16s14.267-8.66 16-16c3.875-16.415-16-48-16-48z"}}]})(props);
};
function GiToolbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M94.09 57L33 209.7V327h174V217h-87c-23.75 0-41-23-41-49s17.25-49 41-49h50.7l-24.8-62zm272.01 0L305 209.7V489h174V209.7L417.9 57zm25.9 62c23.8 0 41 23 41 49s-17.2 49-41 49-41-23-41-49 17.2-49 41-49zm-272 18c-11.6 0-23 12.8-23 31s11.4 31 23 31h169.9l24.8-62zm272 0c-11.6 0-23 12.8-23 31s11.4 31 23 31 23-12.8 23-31-11.4-31-23-31zM33 345v144h254V345z"}}]})(props);
};
function GiTooth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.752 23.084c-11.678-.205-23.032 4.26-30.952 15.185-29.264 40.35-39.476 78.655-44.385 111.545-4.514 30.235-13.507 59.72-30.952 87.02-31.793 49.747-65.857 124.744-73.587 167.612-5.864 32.387 17.908 42.053 32.705 7.008 20.245-47.94 65.492-125.768 122.06-103.955 51.25 19.76 8.924 122.165-22.193 152.43-25.11 24.424-7.202 51.466 23.944 22.192 33.048-31.062 78.602-92.256 94.612-147.172 6.233-21.378 15.79-43.776 34.458-54.315 39.813-22.477 81.826-58.99 98.115-133.156 10.9-49.632-50.517-70.425-85.266-37.378-5.303-50.398-46.487-62.34-76.51-35.624 10.073-27.63-16.357-50.942-42.048-51.394z","fillRule":"evenodd"}}]})(props);
};
function GiTopHat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M203.594 58.188c-1.933-.01-3.824-.006-5.688.03-22.398.437-39.932 4.19-51.812 9.688-15.84 7.33-20.987 15.728-19.78 25.625 1.434 11.79 13.465 23.993 37.405 33.532 23.94 9.54 58.333 15.71 98.78 16.813 39.643 1.082 78.206-.902 103.563-7.625 12.678-3.362 21.815-8.05 26.062-12.5 4.247-4.45 5.273-7.606 2.47-15.22-2.138-5.8-9.053-12.543-20.626-18.56-11.575-6.02-27.22-11.233-44.564-15.47-34.675-8.47-76.14-13.155-107.5-15.563h-.03c-6.378-.482-12.485-.72-18.282-.75zm-72.313 72.718c5.676 41.283 10.312 83.897 5.94 129.03.064 6.285 2.516 11.206 7.81 16.345 5.873 5.7 15.5 10.996 27.72 15.158 24.44 8.323 58.864 12.14 92.938 11.75 34.073-.39 67.996-4.942 91.406-12.22 11.704-3.638 20.75-8.09 25.47-12.03 2.653-2.217 3.885-3.58 4.31-4.813-6.956-41.256-4.108-83.612 2.407-126.22-5.526 2.566-11.706 4.63-18.405 6.407-28.88 7.658-68.327 9.357-108.875 8.25-42.035-1.147-78.177-7.392-105.188-18.156-9.615-3.83-18.264-8.317-25.53-13.5zM117.657 266.78c-10.383 3.2-20.108 6.752-29.062 10.658-42.218 18.415-66.15 43.515-67.938 68.812-1.084 15.323 3.8 28.18 14.344 40.125 10.543 11.944 27.054 22.592 48.406 31.094 42.706 17.003 104.308 25.326 172.97 23.03 67.127-2.244 127.832-10.5 170.718-25.28 21.443-7.392 38.36-16.458 49.375-26.5 11.014-10.045 16.25-20.462 16.25-32.94 0-12.476-5.55-24.876-16.845-37.155-11.296-12.28-28.275-24.05-49.688-34.156-6.29-2.97-12.96-5.805-19.968-8.47 2.088 11.05 4.905 21.955 8.655 32.688 4.382 12.54.81 25.65-7.438 35.03-8.248 9.383-20.406 16.283-35.03 21.938-29.25 11.31-68.99 17.358-108.97 18.22-39.978.86-79.94-3.45-109.718-14.376-14.89-5.463-27.414-12.538-35.907-22.563-8.494-10.024-12.13-23.69-8.407-37.593 3.867-14.44 6.522-28.603 8.25-42.563zm15.22 23.69c-1.485 7.823-3.268 15.727-5.407 23.717-2.33 8.702-.7 14.412 4.593 20.657 5.29 6.245 15.052 12.34 28.093 17.125 26.083 9.57 64.56 14.043 102.875 13.217 38.315-.825 76.716-6.937 102.658-16.968 12.97-5.017 22.683-11.086 27.718-16.814 5.036-5.728 6.182-9.87 3.844-16.562-2.223-6.363-4.15-12.76-5.813-19.188-7.61 5.452-17.37 9.6-28.812 13.156-26.114 8.118-61.16 12.657-96.72 13.063-35.557.406-71.418-3.262-99.186-12.72-13.456-4.58-25.092-10.516-33.845-18.686z"}}]})(props);
};
function GiTopPaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.693 20.982v168.63c47.284 70.756 12.15 122.507 42.633 199.302.905 2.28 1.973 4.387 3.178 6.338 1.044-2.798 2.333-5.434 3.877-7.865 7.127-11.222 18.734-17.934 30.868-20.057 3.033-.53 6.12-.785 9.21-.75 9.27.104 18.56 2.805 26.454 8.414 3.745 2.66 7.097 6.017 9.918 9.96 1.362-4.63 1.842-9.743 1.178-15.31-3.44-28.83-12.01-46.885-18.106-68.915-8.08-29.223 9.544-34.714 22.422-11.568 13.213 23.744 28.915 61.117 55.836 103.256 4.75 7.436 11.243 11.896 18.602 13.967-4.62-21.072 3.372-40.816 18.17-51.707 6.938-5.107 15.317-8.215 24.246-8.948.93-.076 1.865-.126 2.806-.15 9.494-.245 19.49 2.19 28.957 7.72.328-6.672-1.21-13.41-5.178-19.866-25.69-41.814-52.278-61.296-71.25-81.764-23.602-25.463 8.272-34.155 24.53-20.44 22.78 19.216 39.543 47.34 75.337 75.922 7.955 6.353 16.932 8.802 26.058 8.366-9.076-20.095-4.538-42.08 8.107-56.727 10.096-11.693 25.555-19.03 42.176-18.583 4.39.118 8.86.78 13.333 2.045-1.195-8.403-5.125-16.255-12.584-22.703-38.462-33.25-76.602-44.38-99.284-63.075-30.98-25.533-19.543-37.388 11.097-29.784 12.636 3.137 32.526 13.325 51.514 16.472 5.185.86 10.06.516 14.574-.756-16.76-13.554-22.584-32.944-16.925-49.424 5.15-14.995 19.025-26.595 37.815-30.197-3.163-2.882-7.02-5.2-11.637-6.762-73.56-24.868-158.803-4.367-227.38-35.04H17.694zM407.316 80.31c-5.064.18-9.503 1.06-13.312 2.47l34.062 19.525-40.328 1.68 23.948 13.968-29.07 5.21c2.69 2.975 6.277 5.836 10.884 8.48l.113-.118c6.65 2.436 13.867 3.44 20.666 2.668l75.72.28c-16.91-19.202-36.964-34.384-61.658-47.252-6.42-3.345-13.636-5.677-20.947-6.622-.024-.098-.054-.192-.08-.29zm-6.242 178.56l20.07 29.253-37.9-7.432 22.83 28.83-44.437-8.803c.85 3.574 2.375 7.208 4.646 10.84 7.71 10.59 19.092 19.02 31.31 22.818 31.807 10.036 62.528 25.513 93.16 41.436-14.386-36.086-36.232-93.072-81.235-114.373.01-.033.016-.066.025-.1-2.882-1.203-5.712-2.017-8.47-2.468zM286.13 367.84l3.202 32.576-24.398-18.084 9.334 34.482-33.278-26.935c-.652 5.13-.044 10.86 2.227 17.073.077-.014.155-.023.232-.037 4.293 10.994 12.263 20.955 22.02 27.107l71.954 58.118-26.756-88.435c-1.993-11.377-8.207-22.51-16.78-30.64-2.6-2.133-5.194-3.864-7.757-5.223zm-164.35 21.525l-2.542 22.867-17.758-16.105-5.78 28.08-14.055-24.052c-1.953 4.123-2.988 9.222-2.374 15.637 4.8 27.664 26.61 54.21 53.94 78.715v-77.405c.508-4.21.35-8.58-.392-12.886-1.88-6.55-5.404-10.918-9.728-13.99-.426-.302-.865-.588-1.31-.863z","fillRule":"evenodd"}}]})(props);
};
function GiTopaz (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M430.516 311.484a174.516 174.516 0 0 1-349.032 0C81.484 158.019 256 26 256 26s174.516 132.02 174.516 285.484zm-52.264 0c0-35.326-12.532-73.833-37.27-114.452-22.985-37.754-51.972-69.798-72.236-90.029L256 94.303l-12.7 12.734c-20.232 20.231-49.061 52.264-72.08 89.984-24.884 40.788-37.495 79.294-37.495 114.463a122.264 122.264 0 0 0 244.527 0zm-17.983 0a104.275 104.275 0 0 1-208.55 0c0-70.81 58.21-145.518 104.326-191.746 46.588 46.498 104.224 120.645 104.224 191.746zM256.067 144.015c-33.257 35.63-87.488 103.561-87.488 167.469A87.51 87.51 0 0 0 256 398.894c-157.724-92.513-1.9-234.31.079-254.901z"}}]})(props);
};
function GiTorc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247.1 23.09c-57.5 2.19-109.7 25.26-149.2 61.83l20.6 20.58-12.8 12.8-20.58-20.6C46.64 139.3 23.1 194.8 23.1 255.9c0 22.6 3.24 44.4 9.25 65.1-3.97 7.1-6.25 15.2-6.25 23.9 0 27 22.04 49 49 49 27 0 49-22 49-49 0-25-18.8-45.7-43.06-48.6-1.92-10.2-2.94-20.7-2.94-31.4 0-93.2 75.8-169 169-169s169 75.8 169 169-75.8 169-169 169c-10.7 0-21.2-1-31.4-2.9-2.9-24.2-23.6-43.1-48.6-43.1-27 0-49 22-49 49s22 49 49 49c8.7 0 16.8-2.3 23.9-6.3 20.6 6 42.5 9.3 65.1 9.3 61 0 116.6-23.5 158.2-62l-20.6-20.6 12.8-12.8 20.6 20.6c36.6-39.5 59.6-91.7 61.8-149.2h-40.8v-18h40.8c-.9-23.4-5.2-45.9-12.5-67L436.1 200l-8-16.2 41.7-20.8c-10.6-24.2-25.1-46.2-42.7-65.3l-36.6 36.6-12.8-12.8 36.6-36.57c-19.1-17.67-41.1-32.17-65.2-42.7l-20.9 41.7-16.2-8.06 20.1-40.25c-21.1-7.3-43.6-11.64-67-12.53V63.9h-18z"}}]})(props);
};
function GiTorch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M476.72 51.375c-5.28 30.185-124.992 107.9-82.47 16.875-80.216 45.38-107.557 23.42-78.53-5.656-54.825 2.8-62.753 88.173-55.345 112.406l17.438 19.125c-2.14-31.218.404-48.445 19.5-71.47 13.764 20.614 18.495 33.702 52.062 6.97-9.393 53.52 54.61 18.747 88.75 10.938-15.248 14.048-35.153 32.723-38.875 55.468-1.24 7.587 6.208 17.925 14.125 25.626-9.443 2.236-41.474 8.91-38.563 26.22 2.912 17.31 12.14 11.885 3.5 15.28-12.403 2.766-21.156 5.58-39.593-2.187l18.874 20.717c28.39 14.79 73.904 7.306 83.594-14.875-14.778-1.22-27.125-4.674-33-11.53 44.022-8.34 66.764-39.243 85.78-75.032-33.638 18.95-42.158 17.784-56 16.313 35.514-14.365 46.876-108.943 38.75-145.188zM246.874 186.063l-56.78 70.125 79.186 86.906 75.095-50-97.5-107.03zm-62.344 90.125L21.657 467.625l21.438 23.53 205.75-144.374-64.313-70.592z"}}]})(props);
};
function GiTornadoDiscs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M370.203 25.574c-51.962-.07-134.69 39.665-212.467 106.908-105.35 91.08-162.303 197.81-127.316 238.28 18.474 21.37 58.867 19.968 108.39.476-5.416 19.54-4.192 35.717 4.91 46.244 16.727 19.35 56.123 14.81 103.09-7.556-4.062 14.072-3.303 25.733 3.198 33.252 12.79 14.793 44.6 9.873 81.523-9.772-3.955 10.502-4.084 19.25.517 24.57 9.158 10.593 34.315 4.552 61.724-13.066-3.608 6.83-4.456 12.655-1.686 15.86 5.57 6.443 23.665-.123 40.443-14.627 16.777-14.505 25.892-31.46 20.32-37.903-2.694-3.117-8.353-3.187-15.36-.81 22.21-25.036 32.348-49.734 23.025-60.518-4.444-5.14-12.68-6.387-23.117-4.307 25.718-34.37 35.86-66.023 22.863-81.056-4.827-5.583-12.086-8.512-21.61-8.763l-.002.002c-3.783-.1-7.884.213-12.244.896 26.956-41.706 36.07-78.49 19.84-97.26-8.66-10.017-23.86-14.06-42.633-12.264h-.005c-1.556.15-3.148.35-4.757.574 24.82-44.517 31.488-82.575 13.52-103.36-8.747-10.115-22.45-15.314-39.714-15.77-.81-.02-1.626-.03-2.45-.032zm-3.017 47.79c12.217-.03 21.736 3.206 27.664 10.062 10.874 12.578 7.59 35.378-6.362 63.21-40.125 8.965-93.027 38.37-143.734 82.208-49.904 43.143-86.16 90.686-101.318 128.795-28.996 9.584-51.49 9.75-62.206-2.648-25.29-29.25 24.273-114.272 110.963-189.22 66.373-57.383 135.082-92.315 174.993-92.41zm43.197 108.407c9.635-.037 17.15 2.515 21.844 7.945 10.515 12.163 4.622 36.545-13.237 65.44-27.833 6.597-64.24 26.655-98.9 56.618-34.575 29.89-59.638 62.81-70.215 89.278-31.05 13.373-55.99 15.67-66.44 3.583-20.032-23.168 20.108-90.146 88.77-149.508 52.57-45.45 106.7-73.227 138.178-73.354zm26.625 97.623c6.084.2 10.85 1.986 13.902 5.517 8.93 10.33.774 33.067-18.707 58.95-16.546 4.677-37.42 16.553-57.36 33.792-18.927 16.364-33.19 34.254-40.593 49.453-26.45 13.488-48.37 17.056-56.793 7.315-13.955-16.14 14.07-62.597 61.906-103.955 37.373-32.31 75.916-51.793 97.645-51.072zm9.22 78.34c3.72.125 6.636 1.214 8.5 3.37 6.783 7.846-2.435 27.462-21.222 47.876-6.588 2.883-14.007 7.602-21.178 13.8-6.634 5.737-12.03 11.86-15.82 17.577-21.725 14.166-41.042 19.656-47.522 12.163-8.516-9.85 8.352-38.398 37.54-63.633 22.802-19.715 46.405-31.595 59.7-31.153zm-.138 55.626c1.76.058 3.14.572 4.02 1.59 4.03 4.66-3.86 18.084-17.665 30.02-13.805 11.937-28.32 17.88-32.347 13.22-4.028-4.66 3.95-18.162 17.756-30.096 10.785-9.324 21.947-14.944 28.236-14.735z"}}]})(props);
};
function GiTornado (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M265.143 16.73c-65.944 0-118.326 5.893-155.188 18.143-18.43 6.125-33.1 13.83-43.54 23.926-10.438 10.095-16.352 23.132-15.88 37.165l.006.172.013.17c2.75 39.093 15.275 72.883 33.394 103.4-30.092 26.304-22.554 56.57 55.328 71.47 6.504 6.985 13.16 13.85 19.877 20.653-44.976 17.343-44.457 38.22 40.79 40.582 10.873 10.84 21.557 21.703 31.767 32.744-34.54 3.67-70.755 11.923-106.7 26.227 33.16-5.943 79.682-8.487 124.244-6.436 27.66 32.73 49.995 67.74 60.193 108.84h19.207c-9.205-40.806-29.034-75.516-53.713-107.105 46.038 4.14 86.467 13.755 102.77 30.302-6.223 24.423-16.816 49.782-33.946 76.803h21.873c4.307-7.368 8.162-14.648 11.615-21.848 48.44-8.298 70.147-23.06 72.033-39.1 7.677-22.363-10.594-56.65-45.38-82.97-.028-8.232-.335-16.386-.842-24.474 62.557-8.128 63.666-38.01-5.163-51.105-3.74-30.33-7.695-60.182-7.425-90.93 91.998-21.19 74.89-59.455 13.513-83.942 1.79-5.373 3.767-10.793 5.998-16.28l.268-.66.164-.69c2.94-12.31-.722-24.506-8.666-33.145-7.944-8.64-19.33-14.517-32.955-19.07-27.25-9.103-64.2-12.71-103.623-12.843h-.031zm-.034 18.69c38.27.13 74.034 3.952 97.765 11.88 11.866 3.965 20.536 9.007 25.12 13.993 4.512 4.905 5.846 9.015 4.29 15.844-2.168 5.394-4.123 10.735-5.892 16.03-54.098-17.105-131.934-23.978-202.008-5.622 65.494.283 172.564 13.5 190.418 54.82-3.317 23.44-3.54 46-2.283 67.955-45.155-33.14-134.644-21.05-199.475 1.23 41.805-1.966 94.256 1.828 136.084 12.9-25.3 2.72-53.93 10.074-81.84 21.894 64.456-6.42 133.745 2.883 151.286 23.982l.123.996c-20.61-2.533-45.806-3.76-75.735-3.047-49.278 1.178-92.846 8.102-124.002 17.002-18.856-18.886-36.954-37.853-52.848-57.763 8.89-54.23 137.75-65.292 210.666-63.426-88.136-26.143-187.425-6.064-237.17 24.312-2.61-44.05 89.057-68.318 170.267-60.23-72.526-23.095-149-33.873-182.982-16.15 31.36-37.388 106.277-55.177 179.17-54.934-32.778-8.548-61.407-13.926-92-16.656 26.092-3.278 56.598-5.01 91.044-5.01zm51.73 249.873c25.132-.12 48.713 2.566 64.607 8.908 1.65 14.464 3.032 28.817 3.63 43.218-13.863-7.993-29.508-14.637-46.557-19.094 13.17 10.786 25.794 22.58 37.226 34.598-41.07-17.11-89.233-22.64-116.377-18.67 30.09 4.298 66.47 18.864 92.41 36.248-28.314-5.917-61.158-8.87-96.344-7.174-16.924-19.096-35.188-37.224-53.383-55.166 19.422-13.37 69.6-22.65 114.787-22.867z"}}]})(props);
};
function GiTorpedo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M40 47c-9.282 0-17 7.718-17 17s7.718 17 17 17 17-7.718 17-17-7.718-17-17-17zm0 16c.446 0 1 .554 1 1 0 .446-.554 1-1 1-.446 0-1-.554-1-1 0-.446.554-1 1-1zm48 48c-9.282 0-17 7.718-17 17s7.718 17 17 17 17-7.718 17-17-7.718-17-17-17zm0 16c.446 0 1 .554 1 1 0 .446-.554 1-1 1-.446 0-1-.554-1-1 0-.446.554-1 1-1zm-40 40c-13.7 0-25 11.3-25 25s11.3 25 25 25 25-11.3 25-25-11.3-25-25-25zm0 18c3.973 0 7 3.027 7 7s-3.027 7-7 7-7-3.027-7-7 3.027-7 7-7zm52.23 32l13 39-13 39h26.514v-78H100.23zm164.622 0l-120.108 30.025v17.948L264.852 295h117.892v-78H264.852zm135.892 0v78h30v-78h-30zm48 0v78h5.684c28.584-7.435 40.316-23.962 40.316-39s-11.732-31.565-40.316-39h-5.684z"}}]})(props);
};
function GiTortoise (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M194.194 111.78c-3.097-.044-6.237.03-9.416.214 1.532 20.553 2.534 38.96.81 59.37 18.478-2.405 32.978-8.23 44.698-14.655 13.894-9.58 18.14-18.298 23.572-28.737-17.897-9.932-37.758-15.87-59.664-16.192zm-27.307 2.35c-29.826 5.067-52.077 16.196-69.01 30.97 7.64 8.992 14.394 16.763 26.122 22.11 16.26 3.783 30.635 5.342 43.41 5.32 1.91-19.796 1.022-37.515-.523-58.4zm102.217 23.577c-4.756 9.085-10.453 19.305-22.406 29.168 7.877 14.35 15.45 28.907 22.252 43.818 5.255-1.357 10.563-1.964 15.857-2.01 8.26-.076 16.487 1.19 24.418 3 9.054 2.064 17.85 4.825 26.262 7.456-10.515-20.503-23.71-40.41-39.398-57.306-8.36-9.004-17.353-17.146-26.986-24.127zM85.14 157.96c-9.03 10.54-16.17 22.28-21.987 34.603-6.413 13.582-11.024 27.74-14.5 41.626 10.75-3.356 22.516-6.072 35.244-8.24 5.468-15.955 12.998-31.752 23.756-47.14-9.74-6.19-16.522-13.773-22.514-20.85zm146.234 18.405c-12.886 6.1-28.622 11.188-47.584 13.168-1.937 25.253-1.016 48.742.982 71.746 12.733-2.574 24.63-10.07 36.12-19.005 10.754-8.362 20.678-17.838 31.503-24.44-6.373-13.953-13.5-27.73-21.02-41.47zm-106.61 9.48c-9.9 13.446-16.99 27.256-22.238 41.39 15.306 4.297 27.89 11.998 39.24 18.833 8.765 5.28 16.757 9.937 24.737 12.885-1.767-21.747-2.55-44.3-.834-68.54-12.434-.056-26.04-1.43-40.906-4.567zm311.932 21.766c-.597.006-1.193.026-1.79.062-5.72.343-11.406 2.084-17.462 4.59-6.66 2.755-17.278 15.314-25.074 28.093 3.325 6.04 5.727 12.866 7.482 19.942 2.752 11.095 3.78 22.79 2.655 33.224-.123 1.133-.27 2.26-.438 3.382l22.1-9.58 4.23 3.395s6.464 5.178 14.153 10.508c3.845 2.664 7.983 5.348 11.565 7.34 3.582 1.995 6.965 3.158 7.22 3.195 10.052 1.463 18.794-1.512 24.39-6.586 5.595-5.075 8.328-11.846 6.478-20.572-5.486-25.867-10.33-50-26.485-64.06-10.91-9.497-20.064-13-29.024-12.93zM284.723 226.7c-2.924.04-5.764.3-8.517.816 8.844 21.816 15.73 44.48 19.285 68.437 13.224-4.345 25.613-9.584 36.98-15.742.957-.518 1.063-.5 1.43-3.88.365-3.38-.04-8.9-.128-15.13-.086-6.23.166-13.404 3.242-20.563.27-.63.575-1.255.897-1.875-11.124-3.324-22.162-7.13-32.69-9.53-7.223-1.65-14.064-2.622-20.497-2.533zm158.17 1.896c8.57-.263 16.75 10.464 16.31 16.787-.697 7.828-25.746 5.594-29.036-6.83-1.24-4.686 5.955-8.696 11.01-9.754.572-.12 1.145-.187 1.716-.204zm-183.215 6.13c-7.85 5.38-17.27 13.618-27.738 21.758-12.717 9.89-27.56 19.756-45.406 22.82 1.165 10.924 2.453 21.842 3.695 32.843 31.195-.53 60.917-4.168 87.816-11.104-3.162-22.964-9.72-44.908-18.368-66.318zm106.62 4.07c-.288-.008-.584.01-.895.052-.828.114-1.755.404-2.86.857-5.67 2.326-7.588 4.774-8.992 8.04-1.402 3.265-1.852 7.874-1.778 13.206.074 5.334.69 11.156.024 17.318-.667 6.16-3.65 13.92-10.75 17.77-80.39 43.554-200.42 43.636-312.33 12.6-3.75-.612-5.34.15-6.647 1.268-1.328 1.134-2.462 3.23-2.763 5.977-.6 5.492 1.795 11.868 9.22 14.254 41.783 13.427 191.73 65.965 351.646-26.117.694-.4 3.603-4.702 4.437-12.43.834-7.728.042-17.806-2.23-26.96-2.27-9.156-6.162-17.4-10.006-21.675-2.523-2.806-4.066-4.108-6.076-4.16zM97.005 244.48c-5.21 19.116-7.865 38.785-10.235 58.93 28.777 5.173 57.526 8.11 85.35 8.684-1.273-11.16-2.612-22.352-3.8-33.7-13.395-3.27-24.837-10.28-35.84-16.906-11.568-6.967-22.77-13.554-35.475-17.007zm-18.793.864c-12.716 2.537-24.103 5.677-34.002 9.422-2.526 13.664-4.192 26.607-5.635 37.894 10.116 2.708 20.293 5.143 30.492 7.3 2.135-18.04 4.602-36.356 9.145-54.616zM327.53 348.79c-18.762 7.064-37.23 12.427-55.25 16.415 2.895 6.374 6.145 12.806 10.072 18.383 6.947 9.863 13.913 15.26 22.457 14.392 21.308-2.196 39.287-4.164 54.474-7.322-6.138-5.21-12.343-10.69-17.807-16.636-4.766-5.19-8.96-10.685-11.666-16.97-1.11-2.582-1.848-5.386-2.28-8.26zM62.42 359.07c-7.694 12.07-17.75 23.39-29.755 34.106 18.77 6.16 35.73 8.577 58.978 6.09 7.25-10.25 11.96-20.393 15.168-30.64-16.73-2.796-31.615-6.2-44.39-9.556z"}}]})(props);
};
function GiTotemHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M252.906 20.72c-53.86 0-91.116 11.68-115.906 29.343-24.79 17.66-37.662 41.373-42.47 67.843l-3.186 17.53c21.168-10.36 42.33-18.993 63.5-19.405 22.7-.44 45.393 8.577 68.094 35.095-47.048 58.97-110.675 73.474-138.97 24.938L55.563 332.438c-4.675 25.744.145 68.278 12.188 102.875 6.022 17.298 13.835 32.693 22.375 43.156 8.54 10.462 17.076 15.53 25.5 15.53h275.22c8.418 0 17.127-5.13 25.842-15.625 8.716-10.496 16.748-25.884 22.97-43.188 12.442-34.607 17.567-77.155 12.687-102.687L423.28 180.594c-29.54 43.035-90.6 27.592-136.124-29.47 21.918-25.602 43.833-34.88 65.75-35.093 20.448-.198 40.898 7.513 61.344 17.25l-2.938-15.31c-5.034-26.34-17.945-50.074-42.687-67.782-24.742-17.71-61.87-29.47-115.72-29.47zm-10.78 163.31v60.845c-32.837-5.422-27.66-33.514 0-60.844zm22.905 0c27.66 27.33 32.837 55.423 0 60.845V184.03zm-163.28 79.595H405.22l2.405 5.656c24.57 57.575 37.62 119.135-.594 181.908l-2.75 4.468H102.22l-2.657-4.844C66.484 390.34 72.22 328.58 99.25 269.095l2.5-5.47zm14.78 18.688l27.814 65.562h38.937l-8.936-65.563H116.53zm76.69 0l8.936 65.562h42.47v-65.563h-51.407zm70.093 0v65.562h42.468l8.94-65.563H263.31zm70.28 0l-8.937 65.562h42.125l25.595-65.563h-58.78zm-188.218 84.25l-29.844 70.406h58.126l9.563-70.408h-37.845zm56.72 0l-9.595 70.406h52.125V366.56h-42.53zm61.218 0v70.406h52.125l-9.594-70.408h-42.53zm61.406 0l9.592 70.406h59.032l-27.5-70.408H324.72z"}}]})(props);
};
function GiTotemMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M106.46 23.033c2.08 10.67 4.08 21.402 6.003 32.166l130.844 50.507 8.45 99.207-10.57-.412c-2.3-.09-4.596-.204-6.894-.305-.093 15.334-4.31 29.364-11.71 40.114-7.48 10.872-18.847 18.684-32.013 18.684-13.165 0-24.532-7.812-32.013-18.683-7.48-10.87-11.72-25.094-11.72-40.63 0-3.075.173-6.095.497-9.05-5.585-1.162-11.164-2.445-16.736-3.903 3.28 41.083 4.11 81.548 1.45 120.343 11.51-2.824 23.72-6.647 35.786-11.263 37.015-14.163 72.507-36.846 82.965-54.967l7.804-13.524 8.228 13.27c16.416 26.47 50.783 48.472 86.188 61.314 13.355 4.845 26.907 8.298 39.513 10.41-4.18-39.71-5.44-81.82-3.894-124.22-5.47 1.543-10.94 2.947-16.41 4.242.214 2.412.334 4.86.334 7.348 0 15.536-4.235 29.76-11.716 40.63-7.48 10.872-18.85 18.684-32.014 18.684-13.165 0-24.533-7.812-32.014-18.683-7.02-10.2-11.182-23.35-11.67-37.77-1.925-.003-3.85-.014-5.775-.048l-9.994-.176 8.595-100.984 125.32-48.82c2.083-11.328 4.357-22.512 6.853-33.48-83.69 42.727-220.065 44.844-303.69 0zM465.85 52.2L295.61 118.52l-5.885 69.138c56.026-.614 112.07-14.596 168.47-42.89L465.85 52.2zM60.588 55.21l7.44 89.89c52.895 30.63 106.403 37.536 163.304 40.214l-5.654-66.38L60.588 55.21zm198.2 210.245c-18.392 21.52-50.817 39.002-84.276 51.805-19.57 7.488-39.467 13.08-57.237 15.904-11.18 1.777-21.32 2.436-30.474 1.617l1.116 6.074 49.338 83.714 29.125-99.502 47.747 111.332 44.336-129.91 50.516 134.207L354.573 326.2c-2.64-.87-5.28-1.772-7.926-2.73-33.565-12.176-66.77-31.528-87.86-58.015zm97.128 61.184l29.477 101.9 45.59-91.366c-21.453 2.39-47.974-1.73-75.067-10.535zm-96.592 35.186L216.11 488.44l-46.407-108.206-26.64 91.004-45.333-76.924 11.75 63.997c90.364 45.498 179.486 50.226 269.614 15.713l-26.62-92.03-43.988 110.45-49.162-130.617zm166.133 28.28L384.67 471.84c10.022-4.016 20.058-8.51 30.11-13.492l10.677-68.243z"}}]})(props);
};
function GiTotem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201 23.363v50.12c4.603-5.394 11.432-8.846 19-8.846 13.7 0 25 11.3 25 25s-11.3 25-25 25c-7.568 0-14.397-3.453-19-8.848v18.792c11.52 7.362 21.84 12.615 31.514 15.9l15.435-30.87 8.05-16.1 23.484 46.97c9.675-3.285 19.996-8.538 31.516-15.9V105.79c-4.603 5.394-11.432 8.847-19 8.847-13.7 0-25-11.3-25-25s11.3-25 25-25c7.568 0 14.397 3.452 19 8.847v-50.12l-55 55-55-55zm19 59.274c-3.973 0-7 3.027-7 7 0 3.972 3.027 7 7 7s7-3.028 7-7c0-3.973-3.027-7-7-7zm72 0c-3.973 0-7 3.027-7 7 0 3.972 3.027 7 7 7s7-3.028 7-7c0-3.973-3.027-7-7-7zm-36 51.127l-21.05 42.095L256 196.91l21.05-21.05L256 133.763zm-229.92 4.873c2.246 9.43 8.006 18.132 16.838 26.445 4.568 4.3 9.936 8.4 15.877 12.268l9.678-38.713H26.08zm60.947 0l-12.004 48.01c4.656 2.363 9.497 4.6 14.47 6.695 10.593 4.46 21.776 8.27 32.857 11.457l11.027-66.163h-46.35zm64.596 0l-11.785 70.713c16.26 3.777 31.445 6.095 43.162 6.927v-77.64h-31.377zm177.377 0v77.64c11.717-.832 26.902-3.15 43.162-6.927l-11.785-70.713H329zm49.623 0L389.65 204.8c11.08-3.187 22.264-6.997 32.858-11.458a225.246 225.246 0 0 0 14.47-6.694l-12.005-48.01h-46.35zm64.904 0l9.678 38.713c5.94-3.868 11.31-7.97 15.877-12.268 8.832-8.313 14.592-17.015 16.838-26.445h-42.393zM201 145.805v102.832h110V145.805c-8 4.566-15.742 8.236-23.363 10.98l11.314 22.63-42.95 42.95-42.95-42.95 11.313-22.63c-7.62-2.744-15.363-6.414-23.363-10.98zm18 120.832l14.488 10.865c.752-3.474 1.65-6.76 2.723-9.766.134-.372.274-.734.41-1.1H219zm56.38 0c.136.365.276.727.41 1.1 1.073 3.007 1.97 6.292 2.722 9.767l14.49-10.867H275.38zM256 267.98c-.846 1.257-1.876 3.114-2.838 5.81-2.408 6.744-4.162 17.156-4.162 28.663 0 11.507 1.754 21.917 4.162 28.662.962 2.696 1.992 4.552 2.838 5.81.846-1.258 1.876-3.114 2.838-5.81 2.408-6.745 4.162-17.155 4.162-28.662 0-11.507-1.754-21.92-4.162-28.664-.962-2.696-1.992-4.553-2.838-5.81zm-61.523 2.764a54.308 54.308 0 0 0-2.717 8.45c-1.793 7.612-2.76 17.02-2.76 26.392 0 9.373.97 18.75 2.758 26.303a52.498 52.498 0 0 0 2.808 8.573l36.836-27.627c-.26-3.357-.402-6.82-.402-10.383 0-1.437.032-2.853.074-4.26l-36.597-27.45zm123.046 0l-36.597 27.45c.042 1.406.074 2.822.074 4.26 0 3.562-.143 7.025-.402 10.382l36.923 27.693a54.34 54.34 0 0 0 2.718-8.454c1.793-7.62 2.762-17.04 2.762-26.44 0-9.4-.97-18.82-2.762-26.44-.757-3.218-1.717-6.072-2.715-8.452zm-82.71 62.033L219 344.637h20.533c-1.285-2.296-2.363-4.783-3.322-7.47a71.727 71.727 0 0 1-1.398-4.39zm42.375 0a71.727 71.727 0 0 1-1.4 4.39c-.958 2.687-2.036 5.174-3.32 7.47H293l-15.812-11.86zM201 362.637v70.183l24.223-16.148-23.157-54.035H201zm20.648 0L256 442.79l34.352-80.153h-68.704zm88.286 0l-23.16 54.035L311 432.82v-70.183h-1.066zm-77.5 70.86L201 454.452v2.184h41.352l-9.918-23.14zm47.13 0l-9.916 23.14H311v-2.184l-31.436-20.957zM169 470.636v18h174v-18H169z"}}]})(props);
};
function GiToucan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M136.305 56.2c-26.775.293-51.41 10.03-68.227 26.773-13.807 13.747-26.292 35.935-34.297 61.44-8.004 25.504-11.387 54.328-4.72 80.88l.006.028.008.028c16.725 64.885-8.947 137.524-8.947 209.82v8.315l8.29.654c47.508 3.753 109.388 13.052 155.915 11.496 23.264-.777 42.988-3.653 56.387-14.21 6.698-5.28 11.44-13.13 12.32-22.112.86-8.743-1.513-18.126-6.493-28.48l-28.62-83.646c1.584-17.178 3.775-34.275 5.995-51.463-9.145 3.377-16.63 7.06-21.967 11.062l-3.9 2.924-4.58-1.67c-12.61-4.597-20.84-15.164-25.098-27.4-3.734-10.73-5.053-23.012-5.232-36.28-13.12-4.584-23.606-9.403-31.678-15.395-20.8 68.91-60.375 117.633-21.028 179.626 54.554 51.386 80.942 36.894 118.062 25.112l1.28 3.738.253.516c4.326 8.788 5.516 15.29 5.092 19.6-.424 4.31-1.96 6.906-5.55 9.734-7.177 5.656-24.08 9.63-45.846 10.357-41.13 1.375-98.234-6.527-145.412-10.652 1.957-65.556 26.012-136.89 8.2-206.08l-.014-.054c-5.527-22.073-2.804-47.94 4.45-71.055 7.262-23.13 19.205-43.5 29.823-54.07 13.423-13.365 34.508-21.622 57.885-21.405.754.007 1.51.022 2.27.047 12.555.41 58.063 7.278 72.234 21.35 5.96-3.354 7.456-3.266 10.998-3.643-25.285-23.74-54.804-34.812-82.478-35.812-1.803-.065-3.596-.088-5.38-.068zm44.177 46.447c-12.823-.16-21.76 3.08-28.27 7.887-11.577 8.548-17.266 24.19-20.054 41.078-1.45 8.794-.018 13.53 5.84 19.33 5.475 5.42 15.875 11.11 31.682 16.635 21.675-26.59 32.825-53.065 40.363-80.022-11.673-3.32-21.407-4.806-29.56-4.908zm70.465 6.16c-8.134.044-15.76.463-22.94 1.15-6.935 25.474-17.194 51.583-35.652 77.497 2.252-.22 4.74-.395 7.065-.602 81.102-8.364 151.558-10.426 221.3-4.48-.562-.97-1.077-1.945-1.538-2.93-3.443-7.358-3.7-15.327-1.22-21.902 1.934-5.134 5.1-9.336 9-12.688-10.622-4.517-22.045-8.73-33.964-12.537-43.227-13.812-93.02-22.376-133.746-23.422-2.827-.073-5.593-.1-8.305-.086zm-82 9.018c9.942 0 18 8.133 18 18.166 0 10.033-8.058 18.167-18 18.167-9.94 0-18-8.134-18-18.166s8.06-18.165 18-18.165zm278.006 36.398c-5.937 2.13-10.82 6.144-12.148 9.664-.834 2.212-.997 4.343.68 7.926 1.603 3.428 5.304 8.08 12.232 13.266 1.718.197 3.437.394 5.156.602 9.553.886 18.49 1.863 25.852 3.057 4.218.682 7.666 1.417 11.074 2.194.69.112 1.38.214 2.073.328-4.588-8.355-13.123-17.12-25.564-25.595-5.77-3.93-12.27-7.758-19.357-11.444zM345.926 199.46c-4.81-.014-9.648-.01-14.502.01-46.182.195-93.554 2.042-130.904 5.363-6.385.66-12.723 1.296-19.256 2.035.345 11 1.606 20.65 4.113 27.85 2.48 7.122 5.678 11.62 10.424 14.48 29.077-18.78 79.52-26.77 134.98-32.766 45.623-4.93 94.07-7.817 134.902-11.1-4.555-.63-9.095-1.084-13.637-1.642-18.027-1.69-39.86-2.936-63.998-3.6-13.532-.374-27.694-.582-42.12-.628z"}}]})(props);
};
function GiTowerBridge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112 43.89L97.422 93.464 73 79.51V135h23v-16h32v16h23V79.51l-24.422 13.955L112 43.89zm288 0l-14.578 49.575L361 79.51V135h23v-16h32v16h23V79.51l-24.422 13.955L400 43.89zM73 153v270h78V153H73zm288 0v270h78V153h-78zM96 183h32v36H96v-36zm73 0v18h174v-18H169zm215 0h32v34h-32v-34zM55 218.078c-11.034 17.617-25.57 34.478-39 50.197v27.036c13.07-14 27.55-29.07 39-44.974v-32.258zm402 0v32.258c11.45 15.903 25.93 30.973 39 44.975v-27.035c-13.43-15.72-27.966-32.58-39-50.197zM96 247h32v18H96v-18zm288 0h32v18h-32v-18zM96 311h32v18H96v-18zm288 0h32v18h-32v-18zM16 375v18h39v-18H16zm80 0h32v18H96v-18zm73 0v18h58.47c-22.307 3.12-42.002 9.613-58.47 17.227V423h16v.268C204.803 415.183 228.99 409 256 409c27.01 0 51.197 6.183 71 14.268V423h16v-12.773c-16.468-7.614-36.163-14.106-58.47-17.227H343v-18H169zm215 0h32v18h-32v-18zm73 0v18h39v-18h-39zM57 441v46h110v-46H57zm288 0v46h110v-46H345z"}}]})(props);
};
function GiTowerFall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M91.033 22.14v84.368l46.434 57.56v16.166l98.93 44.13 27.29-34.305 65.9 4.01v-30l46.433-57.562v-84.37h-48.916v39.796H297.33V22.14h-49.45v39.794h-29.24V22.14h-49.45v39.794h-29.243V22.14H91.033zm46.434 178.557v195.17h-29.88l-21.792 94.695h295.463l-21.79-94.695h-29.882V370.02l-38.72-24.07-23.712 29.292 28.432 25.737-12.543 13.854L241.5 377.23l33.37-41.222-91.65-56.973 33.288-43.082-79.04-35.256zm155.013 19.11l19.04 34.994 31.005-5.405-17.287-29.588H292.48zm66.682 10.088l17.293 74.527 55.553 2.068-13.442-57.967-59.404-18.628zm-135.47 27.328l-13.034 16.865 37.393 23.244 18.167-20.61-42.526-19.5zm73.115 13.056l-32.66 37.056 65.44 40.68V298.2l-32.78-27.92zm85.154 51.745l-5.16 29.584 33.49 18.158-.093-31.258-28.236-16.485zm79.91 6.928l-23.073 23.197 8.697 33.106 25.717-18.08-11.34-38.223zm-65.85 68.992l-10.97 36.977 24.88 17.49 8.414-32.025-22.323-22.442z"}}]})(props);
};
function GiTowerFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M151 32v247h18V32h-18zm247 9.574l-13.428 7.59c-31.626 17.876-61.492 12.267-93.138 4.356-31.647-7.912-64.83-18.84-97.946-4.807L188 51.039V166.588l12.512-5.3c25.883-10.968 54.201-2.396 86.554 5.692 32.354 8.089 68.988 14.98 106.362-6.144l4.572-2.584V41.574zM73 297v67.271l32 32V487h302v-90.729l32-32V297h-46v39h-18v-39h-46v39h-18v-39h-46v39h-18v-39h-46v39h-18v-39h-46v39h-18v-39H73z"}}]})(props);
};
function GiToyMallet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M233.561 26.007l-24.539 11.154-67.328 67.329-11.154 24.539 24.537-11.153 67.332-67.332zm26.115 26.111l-24.539 11.155-67.33 67.33-11.154 24.539 24.541-11.154 67.328-67.328zm26.114 26.116L261.247 89.39l-67.324 67.324-11.157 24.543 24.54-11.154 67.327-67.326zm26.113 26.113l-24.543 11.156-67.324 67.324-11.156 24.543 24.54-11.154 67.329-67.328zm-3.637 42.479l-56.908 56.908 56.908 56.908 56.908-56.908zm99.387 53.271l-24.543 11.156-67.326 67.326-11.154 24.541 24.543-11.156 67.324-67.324zm26.113 26.113l-24.543 11.157-67.326 67.328-11.154 24.539 24.543-11.157 67.324-67.324zm-183.531 1.858l-50.62 50.619c8.136 1.446 15.919 5.283 22.167 11.531v.002c6.248 6.248 10.085 14.03 11.531 22.164l50.62-50.619zm209.647 24.256l-24.542 11.154-67.328 67.328-11.154 24.541 24.54-11.154 67.33-67.33zm26.11 26.115l-24.536 11.152-67.332 67.332-11.153 24.537 24.54-11.154 67.328-67.328zM192.207 295.91c-6.08 0-12.158 2.343-16.848 7.034-9.38 9.38-9.38 24.317 0 33.697 9.38 9.38 24.315 9.38 33.695 0 9.38-9.38 9.38-24.315 0-33.695-4.69-4.69-10.768-7.035-16.847-7.036zm-46.424 46.424c-6.08 0-12.158 2.345-16.848 7.035-9.38 9.38-9.38 24.315 0 33.696 9.38 9.38 24.315 9.38 33.696 0 9.38-9.38 9.382-24.315.002-33.696-4.69-4.69-10.77-7.035-16.85-7.035zm-41.108 31.293l-68.59 68.59c-14.58 14.58-11.324 28.174-2.9 36.598s22.017 11.68 36.598-2.9l68.59-68.59c-8.135-1.446-15.918-5.283-22.166-11.532-6.249-6.248-10.086-14.03-11.532-22.166z"}}]})(props);
};
function GiTrackedRobot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M231.377 25l-6 30H240v18h-18.223l-4.347 21.736L229.562 119H247V96h18v23h17.438l12.132-24.264L290.223 73H272V55h14.623l-6-30h-49.246zM104.32 71.486l-13.459 39.092H151V86.551l-46.68-15.065zm303.36 0L361 86.551v24.027h60.139l-13.46-39.092zM170.055 105l14.54 130.87L211.728 263h88.546l27.131-27.13L341.945 105h-32.382l-16 32h-75.125l-16-32h-32.383zm-69.334 14.027l-10.994 29.035 41.06 9.54 10.992-29.036-41.058-9.539zm269.504 9.55l10.988 29.025 41.06-9.54-7.378-19.486h-44.67zM100.3 168.996l8.933 59.187 29.666-4.479-7.156-47.404-31.443-7.305zm311.398 0l-31.443 7.304-7.156 47.404 29.666 4.479 8.933-59.188zM192 183h128v18H192v-18zm-54.092 59.057l-24.369 3.68c1.584 7.409 4.132 13.435 7.977 19.396 3.659 5.672 9.14 11.725 15.767 18.353-1.142-13.144-1.698-27.58.625-41.43zm236.184 0c2.323 13.85 1.767 28.285.625 41.43 6.626-6.63 12.108-12.682 15.767-18.354 3.845-5.96 6.393-11.987 7.977-19.397l-24.37-3.68zM217 281v51.273L243.727 359h24.546L295 332.273V281h-78zM99.768 313L89 323.947V327h62v-3.273L140.273 313H99.768zm272 0L361 323.947V327h62v-3.273L412.273 313h-40.505zM89 345v14h62v-14H89zm272 0v14h62v-14h-62zm-153 3.727l-7 7V405l27.117-36.156L208 348.727zm96 0l-20.117 20.117L311 405v-49.273l-7-7zM169 361v62h14v-62h-14zm160 0v62h14v-62h-14zM89 377v14h62v-14H89zm272 0v14h62v-14h-62zM89 409v14h62v-14H89zm272 0v14h62v-14h-62zM89 441v14h62v-14H89zm272 0v14h62v-14h-62zM89 473v14h62v-14H89zm272 0v14h62v-14h-62z"}}]})(props);
};
function GiTrade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M287.03 20c-39.133.48-79.73 15.297-117 45.938h80.47v43.188c52.76-29.75 114.592-31.588 163.938.03l-18.188 9.72 64.688 50.72-3.75-83.314-26.407 14.126C395.99 48.792 345.038 20.644 290.907 20c-1.288-.015-2.583-.016-3.875 0zm-268 64.625v212.75h212.782V84.625H19.032zm50.282 26.03H205.78v138.939h-18.718v-120.25H69.313v-18.688zm3.344 38.126l90.094 91.845-13.344 13.094-90.094-91.845 13.344-13.094zm206.656 61.75v212.782h212.75v-212.78h-212.75zm50.25 26.064h136.469V375.5h-18.686V255.28h-117.78l-.002-18.686zm3.344 38.094l90.125 91.875-13.342 13.062-90.125-91.844 13.343-13.092zm-278.53 63.656l3.75 83.312 23.312-12.47c60.927 88.637 169.99 106.485 259.625 32.814h-80.439v-43.188c-52.08 29.38-113 31.544-162.03 1.188l20.436-10.938-64.655-50.718z"}}]})(props);
};
function GiTrafficCone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16.457c-3.944 0-7.948.71-9.984 1.512-.5.195-.405.172-.62.303l-.005.018s-9.845 37.48-22.8 87.296c18.278 13.215 47.39 13.42 65.992.6l-21.978-87.913c-.218-.13-.123-.11-.62-.304-2.036-.802-6.04-1.513-9.984-1.513zm-52.875 164.38c-2.03 7.883-3.96 15.317-6.004 23.288-4.585 17.886-9.118 35.69-13.538 53.133 53.046 16.998 90.254 17.196 142.92.605l-19.092-76.36c-34.76 15.42-69.524 15.196-104.285-.665zm-39.16 155.007l-.012.05c-4.518 18.527-8.28 34.408-10.896 46.18-1.308 5.886-2.33 10.752-3.008 14.338-.678 3.586-.93 6.52-.93 5.852 0 7.406 2.56 13.51 7.732 19.422 5.17 5.91 13.12 11.357 23.136 15.808 20.032 8.903 48.042 13.71 76.012 13.71s55.98-4.807 76.012-13.71c10.016-4.45 17.965-9.898 23.136-15.808 4.975-5.686 7.47-11.58 7.657-18.61l-16.537-66.148c-55.62 33.65-127.023 33.288-182.303-1.084zm212.248 46.648l4.666 18.664v1.108c0 11.906-4.684 22.7-12.187 31.275-7.502 8.573-17.66 15.198-29.37 20.403-23.424 10.41-53.353 15.26-83.323 15.26-29.97 0-59.9-4.85-83.322-15.26-11.712-5.205-21.87-11.83-29.37-20.404-7.504-8.575-12.187-19.37-12.187-31.276 0-3.082.503-5.28 1.24-9.19.525-2.778 1.262-6.292 2.09-10.137l-84.56 28.186L256 497.003l206.11-85.88-85.897-28.63z"}}]})(props);
};
function GiTrafficLightsGreen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169 25v65.2c24.8-40.79 55.195-62.595 87.104-62.225C288.04 28.345 318.2 50.69 343 90.232V25zM90.736 45c3.415 9.407 11.65 19.54 22.664 27.8 11.553 8.665 25.73 14.91 37.6 17.196V45zM361 45v44.996c11.87-2.285 26.047-8.53 37.6-17.195 11.014-8.26 19.25-18.392 22.664-27.8H361zM256.23 335c-26.064 0-47 20.936-47 47s20.936 47 47 47 47-20.936 47-47-20.936-47-47-47zM192.512 87.17c-2.962 4.148-5.897 8.63-8.795 13.46L169 91.8v145.1c24.8-40.79 55.195-62.596 87.104-62.226 31.937.37 62.097 22.716 86.896 62.258V91.66l-14.648 9.082c-2.686-4.33-5.406-8.38-8.153-12.174.663 3.715 1.03 7.53 1.03 11.432 0 35.792-29.21 65-65 65s-65-29.208-65-65c0-4.39.443-8.68 1.28-12.83zM90.736 193c3.415 9.407 11.65 19.54 22.664 27.8 11.553 8.665 25.73 14.91 37.6 17.196V193zM361 193v44.996c11.87-2.285 26.047-8.53 37.6-17.195 11.014-8.26 19.25-18.392 22.664-27.8H361zm-169.592 42.45c-2.587 3.704-5.154 7.65-7.69 11.88L169 238.498V378.2c16.455-27.062 35.373-45.76 55.56-55.177 9.274-5.108 19.912-8.023 31.21-8.023 12.692 0 24.548 3.688 34.576 10.025 19.094 10.035 36.95 28.167 52.654 53.207V238.36l-14.648 9.08c-2.378-3.833-4.785-7.443-7.21-10.858.058 1.132.088 2.272.088 3.418 0 35.792-29.208 65-65 65-35.79 0-65-29.208-65-65 0-1.53.073-3.046.178-4.55zM90.736 333.823c3.416 9.407 11.65 19.54 22.664 27.8 11.553 8.663 25.73 14.91 37.6 17.196v-44.997zm270.264 0v44.996c11.87-2.286 26.047-8.534 37.6-17.198 11.013-8.26 19.248-18.392 22.664-27.8H361zm-40.3 43.444c.04.907.07 1.816.07 2.732 0 35.79-29.21 65-65 65-35.792 0-65-29.21-65-65 0-.813.03-1.618.06-2.423-2.39 3.465-4.765 7.138-7.113 11.053L169 379.8V455h174v-75.34l-14.648 9.082c-2.522-4.066-5.075-7.88-7.65-11.474zM201 473v14h110v-14z"}}]})(props);
};
function GiTrafficLightsOrange (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169 25v65.2c24.8-40.79 55.195-62.595 87.104-62.225C288.04 28.345 318.2 50.69 343 90.232V25zM90.736 45c3.415 9.407 11.65 19.54 22.664 27.8 11.553 8.665 25.73 14.91 37.6 17.196V45zM361 45v44.996c11.87-2.285 26.047-8.53 37.6-17.195 11.014-8.26 19.25-18.392 22.664-27.8H361zM256.23 195c-26.064 0-47 20.936-47 47s20.936 47 47 47 47-20.936 47-47-20.936-47-47-47zM192.512 87.17c-2.962 4.148-5.897 8.63-8.795 13.46L169 91.8v145.1c24.8-40.79 55.195-62.596 87.104-62.226 31.937.37 62.097 22.716 86.896 62.258V91.66l-14.648 9.082c-2.686-4.33-5.406-8.38-8.153-12.174.663 3.715 1.03 7.53 1.03 11.432 0 35.792-29.21 65-65 65s-65-29.208-65-65c0-4.39.443-8.68 1.28-12.83zM90.736 193c3.415 9.407 11.65 19.54 22.664 27.8 11.553 8.665 25.73 14.91 37.6 17.196V193zM361 193v44.996c11.87-2.285 26.047-8.53 37.6-17.195 11.014-8.26 19.25-18.392 22.664-27.8H361zm-169.592 42.45c-2.587 3.704-5.154 7.65-7.69 11.88L169 238.498V378.2c16.455-27.062 35.373-45.76 55.56-55.177 9.274-5.108 19.912-8.023 31.21-8.023 12.692 0 24.548 3.688 34.576 10.025 19.094 10.035 36.95 28.167 52.654 53.207V238.36l-14.648 9.08c-2.378-3.833-4.785-7.443-7.21-10.858.058 1.132.088 2.272.088 3.418 0 35.792-29.208 65-65 65-35.79 0-65-29.208-65-65 0-1.53.073-3.046.178-4.55zM90.736 333.823c3.416 9.407 11.65 19.54 22.664 27.8 11.553 8.663 25.73 14.91 37.6 17.196v-44.997zm270.264 0v44.996c11.87-2.286 26.047-8.534 37.6-17.198 11.013-8.26 19.248-18.392 22.664-27.8H361zm-40.3 43.444c.04.907.07 1.816.07 2.732 0 35.79-29.21 65-65 65-35.792 0-65-29.21-65-65 0-.813.03-1.618.06-2.423-2.39 3.465-4.765 7.138-7.113 11.053L169 379.8V455h174v-75.34l-14.648 9.082c-2.522-4.066-5.075-7.88-7.65-11.474zM201 473v14h110v-14z"}}]})(props);
};
function GiTrafficLightsReadyToGo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169 25v65.2c24.8-40.79 55.195-62.595 87.104-62.225C288.04 28.345 318.2 50.69 343 90.232V25H169zM90.736 45c3.415 9.407 11.65 19.54 22.664 27.8 11.553 8.666 25.73 14.91 37.6 17.196V45H90.736zM361 45.002v44.994c11.87-2.285 26.047-8.53 37.6-17.195 11.014-8.26 19.25-18.39 22.664-27.798H361zM256.23 53c-26.064 0-47 20.936-47 47s20.936 47 47 47 47-20.936 47-47-20.936-47-47-47zm-63.718 34.17c-2.962 4.148-5.897 8.63-8.795 13.46L169 91.8v145.1c24.8-40.79 55.195-62.596 87.104-62.226 31.937.37 62.097 22.716 86.896 62.258V91.66l-14.648 9.082c-2.686-4.33-5.406-8.38-8.153-12.174.663 3.715 1.03 7.53 1.03 11.432 0 35.792-29.21 65-65 65s-65-29.208-65-65c0-4.39.444-8.68 1.282-12.83zM90.736 193c3.415 9.407 11.65 19.54 22.664 27.8 11.553 8.666 25.73 14.91 37.6 17.196V193H90.736zm270.264.002v44.994c11.87-2.285 26.047-8.53 37.6-17.195 11.014-8.26 19.25-18.39 22.664-27.798H361zM191.408 235.45c-2.587 3.703-5.153 7.65-7.69 11.88L169 238.498v139.7c16.455-27.06 35.374-45.758 55.56-55.175 9.275-5.108 19.912-8.023 31.21-8.023 12.692 0 24.548 3.688 34.576 10.025 19.094 10.035 36.95 28.167 52.654 53.207V238.36l-14.648 9.08c-2.378-3.834-4.784-7.443-7.21-10.858.06 1.132.088 2.272.088 3.418 0 35.792-29.208 65-65 65-35.79 0-65-29.208-65-65 0-1.53.073-3.047.178-4.55zM90.736 333.82c3.416 9.407 11.65 19.54 22.664 27.8 11.553 8.664 25.73 14.91 37.6 17.196v-44.996H90.736zm270.264 0v44.996c11.87-2.285 26.047-8.533 37.6-17.197 11.013-8.26 19.248-18.39 22.664-27.798H361zm-105 1.55c-26.064 0-47 20.935-47 47 0 26.063 20.936 47 47 47s47-20.937 47-47c0-26.065-20.936-47-47-47zm64.7 41.896c.04.907.07 1.814.07 2.73 0 35.792-29.21 65-65 65-35.792 0-65-29.208-65-65 0-.812.03-1.617.06-2.422-2.39 3.465-4.765 7.14-7.113 11.055L169 379.8V455h174v-75.34l-14.648 9.082c-2.522-4.066-5.076-7.88-7.65-11.474h-.003zM201 473v14h110v-14H201z"}}]})(props);
};
function GiTrafficLightsRed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169 25v65.2c24.8-40.79 55.195-62.595 87.104-62.225C288.04 28.345 318.2 50.69 343 90.232V25H169zM90.736 45c3.415 9.407 11.65 19.54 22.664 27.8 11.553 8.665 25.73 14.91 37.6 17.196V45H90.736zM361 45v44.996c11.87-2.285 26.047-8.53 37.6-17.195 11.014-8.26 19.25-18.393 22.664-27.8H361zm-104.77 8c-26.064 0-47 20.936-47 47s20.936 47 47 47 47-20.936 47-47-20.936-47-47-47zm-63.718 34.17c-2.962 4.148-5.897 8.63-8.795 13.46L169 91.8v145.1c24.8-40.79 55.195-62.596 87.104-62.226 31.937.37 62.097 22.716 86.896 62.258V91.66l-14.648 9.082c-2.686-4.33-5.406-8.38-8.153-12.174.664 3.715 1.03 7.53 1.03 11.432 0 35.792-29.208 65-65 65-35.79 0-65-29.208-65-65 0-4.39.444-8.68 1.282-12.83zM90.736 193c3.415 9.407 11.65 19.54 22.664 27.8 11.553 8.665 25.73 14.91 37.6 17.196V193H90.736zM361 193v44.996c11.87-2.285 26.047-8.53 37.6-17.195 11.014-8.26 19.25-18.393 22.664-27.8H361zm-169.592 42.45c-2.587 3.704-5.154 7.65-7.69 11.88L169 238.498V378.2c16.455-27.062 35.373-45.76 55.56-55.177 9.274-5.108 19.912-8.023 31.21-8.023 12.692 0 24.548 3.688 34.576 10.025 19.094 10.035 36.95 28.167 52.654 53.207V238.36l-14.648 9.08c-2.378-3.833-4.785-7.443-7.21-10.858.058 1.132.088 2.272.088 3.418 0 35.792-29.208 65-65 65-35.79 0-65-29.208-65-65 0-1.53.073-3.046.178-4.55zM90.736 333.823c3.416 9.407 11.65 19.54 22.664 27.8 11.553 8.663 25.73 14.91 37.6 17.196v-44.996H90.736zm270.264 0v44.996c11.87-2.285 26.047-8.533 37.6-17.197 11.013-8.26 19.248-18.392 22.664-27.8H361zm-40.3 43.444c.04.907.07 1.816.07 2.732 0 35.792-29.21 65-65 65-35.792 0-65-29.208-65-65 0-.812.03-1.617.06-2.422-2.39 3.465-4.765 7.138-7.113 11.053L169 379.8V455h174v-75.34l-14.648 9.082c-2.522-4.066-5.075-7.88-7.65-11.474zM201 473v14h110v-14H201z"}}]})(props);
};
function GiTrail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149.9 27.2L34.25 56.74v76.76L157.8 93.85l46.7-44.67-54.6-21.98zm132.8 57c-7.4.18-10.1 1.88.9 7.13C346.9 121.6 441.7 206.8 391.3 216.9 232.2 249 130.4 292.3 48.51 390.8 25.42 418.6 18 494.8 18 494.8h432.6s-139-21.1-147.8-75.7c-14.9-92.2 194.5-102.7 196.5-199.9.9-43.2-88.3-124.99-184.4-132.52-5.6-.44-22.7-2.71-32.2-2.48zm-163.5 40.9l-32.69 10.5v122.2l35.99-10-3.3-122.7z"}}]})(props);
};
function GiTrample (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M136 16h15l15 15 15-15h150l15 15 15-15h15v120h-15l-15-15-15 15h-45v345c0 15-15 15-15 15h-30s-15 0-15-15V136h-45l-15-15-15 15h-15z"}}]})(props);
};
function GiTransform (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 32a96 96 0 0 0-96 96 96 96 0 0 0 96 96 96 96 0 0 0 30.285-4.986L140.29 201.02l64.353-64.352 6.363-6.363 11.86 11.86A96 96 0 0 0 224 128a96 96 0 0 0-96-96zm83.006 123.76l-45.26 45.26L252.73 288l-23.468 23.467 115.24 23.047-23.05-115.24-23.466 23.466-86.98-86.98zM353.556 288l13.89 69.46L288 341.57V480h192V288H353.555z"}}]})(props);
};
function GiTransfuse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.313 41.625c-1.107 0-2.24.017-3.344.063-30.174 1.248-56.498 23.386-71.72 55.906-29.436-20.315-63.812-25.884-91.313-12.125-22.492 11.25-38.903 33.383-42.687 60.843 10.962-4.476 21.618-7.177 31.75-8.438 4.333-11.497 12.952-19.848 24-25.375 20.797-10.404 49.765-8.923 72.656 13.97l18.625 18.624 6.533-25.156c8.723-32.558 30.745-47.522 53.093-48.438 22.346-.927 45.982 11.665 54.97 43.78 12.795 45.728-29.2 82.442-57.907 123.126h-95.19c-23.612-9.383-45.98-18.687-60.967-34.25-7.368-2.142-14.748-2.2-22.594.22-3.735 1.15-7.638 2.92-11.69 5.436 16.42 28.053 44.66 45.767 74.845 61.063.43.218.85.44 1.28.656 3.358 1.692 6.738 3.357 10.126 5 .89.434 1.763.882 2.658 1.314 2.396 1.155 4.79 2.293 7.187 3.437 14.53 6.938 28.997 13.736 42.313 21.25 17.27 9.75 36.245 28.402 50 48.814 4.14-23.795 6.27-45.762 19.875-66.5 35.98-54.857 86.962-108.22 68.03-178.875-11.262-42.03-46.238-64.318-80.53-64.345zm-298.75 77.656c-34.293.028-69.27 22.317-80.532 64.345C5.1 254.28 56.053 307.643 92.03 362.5c13.605 20.74 15.737 42.706 19.876 66.5 13.755-20.412 32.728-39.065 50-48.813 44.413-25.066 101.483-42.217 131.875-82.875-17.71-8.498-33.892-16.466-55.405-30.156H72.625c-16.633-23.38-28.21-47.227-20.656-74.22 8.705-31.11 31.163-43.916 52.874-43.842.7.002 1.395.033 2.094.062 22.347.916 44.4 15.88 53.124 48.438l6.5 25.156 18.657-18.625c22.89-22.892 51.858-24.404 72.655-14 8.082 4.043 14.844 9.614 19.594 16.813 12.327 6.815 23.973 11.22 35.967 15.687-4.12-26.854-20.396-48.43-42.53-59.5-27.5-13.76-61.846-8.22-91.282 12.094-15.222-32.52-41.577-54.628-71.75-55.876-1.104-.046-2.206-.064-3.313-.063zm292.843 264.626c-6.496 53.84-30.488 46.8-30.97 80.72-.208 15.372 14.203 28.062 32.064 28.062 17.86 0 32.594-12.684 32.594-28.063 0-34.092-26.52-27.088-33.688-80.72z"}}]})(props);
};
function GiTransparentSlime (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M278.67 38.67a42.06 42.06 0 0 0-2.338.039c-12.527.557-24.984 6.976-36.139 19.063-12.794 13.862-24.743 35.186-36.01 66.472-12.213-1.273-26.103-11.593-41.574-22.52-14.545-10.272-31.938-24.76-51.098-35.232-14.369-7.854-30.32-13.595-46.689-12.629a58.525 58.525 0 0 0-16.465 3.371C35.041 62.03 22.742 71.145 20.5 85.281c-1.122 7.068 1.838 15.144 7.968 20.51 6.13 5.366 14.768 8.871 26.684 11.21 29.491 5.785 39.747 10.94 69.691 29.978 10.67 6.783 18.597 16.126 29.49 25.462 7.975 6.835 17.694 13.37 30.673 17.758-1.647 6.87-3.28 14.01-4.899 21.453-.594 2.73-2.403 5.004-7.512 7.883-5.108 2.88-12.975 5.6-22.22 8.305-18.49 5.41-42.449 10.904-63.774 23.316-14 8.15-27.886 21.97-37.04 37.823-9.155 15.852-13.889 35.134-4.032 51.214 3.78 6.165 9.445 10.556 15.602 12.768 6.156 2.212 12.618 2.507 19.1 1.932 12.962-1.152 26.507-5.786 39.7-10.15 13.193-4.365 26.034-8.46 35.647-9.315 4.806-.428 8.68-.046 11.43.941s4.559 2.319 6.35 5.235c1.47 2.396 1.28 3.421-1.513 7.916-2.791 4.494-8.452 10.336-14.529 16.378-6.077 6.043-12.568 12.293-17.185 19.663-4.617 7.37-7.164 17.914-1.89 26.86 4.023 6.823 11.587 10.3 18.106 10.823 6.52.523 12.615-.784 18.522-2.103 11.814-2.64 22.539-4.522 26.742-2.438 3.473 1.722 7.467 8.958 11.834 18.06 2.183 4.552 4.54 9.373 8.258 13.731 3.718 4.359 9.503 8.278 16.459 8.791 10.368.765 19.334-4.055 25.824-10.277 6.49-6.222 11.383-13.883 16.104-21.283 4.72-7.4 9.237-14.566 13.814-19.668 4.577-5.102 8.747-7.87 13.387-8.535 7.89-1.133 16.21 1.827 25.568 7.974s19.18 15.238 29.127 24.184c9.947 8.946 19.959 17.806 31.158 23.334 11.2 5.528 24.948 7.11 37.135-.149 6.665-3.97 9.957-11.476 10.385-17.804.427-6.329-.88-12.19-2.147-17.83-2.533-11.281-3.944-20.99-1.959-24.354 1.143-1.935 7.775-4.738 16.664-7.37 4.445-1.315 9.187-2.704 13.762-5.6 4.575-2.897 9.111-8.407 9.754-15.141.97-10.158-4.613-18.852-11.281-24.34-6.669-5.489-14.632-9.2-22.27-12.834-7.637-3.635-14.962-7.156-19.855-10.774-4.17-3.082-6.15-5.632-6.854-8.535.169-.22.33-.532 1.28-1.293 2.402-1.925 6.749-4.55 11.962-7.318 10.428-5.536 24.335-11.842 36.336-19.115 12.002-7.273 23.703-15.154 25.512-28.965.905-6.906-1.948-14.206-7.219-19.96-5.27-5.752-12.835-10.743-23.41-15.82l-.488-.234-.512-.174c-17.17-5.833-35.201-12.317-49.217-19.648-14.015-7.331-23.114-15.646-25.142-22.236-3.23-10.496-12.04-33.688-24.934-58.436-12.895-24.748-29.45-50.805-49.91-66.158-9.59-7.197-20.427-12.127-32.066-12.256zm-.194 18c6.752.078 13.89 2.976 21.455 8.652 16.14 12.11 32.453 36.472 44.752 60.078 12.3 23.607 21.012 46.707 23.692 55.414 4.605 14.964 18.275 24.664 34.004 32.891 15.504 8.11 33.87 14.638 51.015 20.47 9.17 4.433 14.899 8.578 17.684 11.618 2.815 3.073 2.803 4.238 2.642 5.46-.32 2.447-6.366 9.47-16.992 15.91-10.625 6.438-24.226 12.653-35.449 18.61-5.611 2.98-10.625 5.844-14.777 9.172-4.153 3.329-8.923 7.751-8.293 15.305.846 10.158 7.328 17.799 14.422 23.043 7.093 5.244 15.268 8.956 22.822 12.55 7.554 3.596 14.474 7.115 18.564 10.481 4.09 3.367 5.143 5.152 4.801 8.73-.085.894.188.598-1.463 1.643-1.65 1.045-5.098 2.325-9.24 3.551-8.284 2.452-20.408 4.216-27.057 15.477-7.66 12.974-2.489 26.827-.103 37.45 1.193 5.313 1.931 9.988 1.75 12.673-.182 2.685-.151 2.667-1.637 3.552-6.763 4.028-11.99 3.406-19.957-.527-7.967-3.933-17.315-11.788-27.088-20.578s-20.031-18.454-31.281-25.844c-11.25-7.39-24.065-12.75-38.008-10.748-10.188 1.463-18.096 7.497-24.228 14.332-6.133 6.835-10.957 14.743-15.592 22.01-4.636 7.267-9.111 13.871-13.387 17.97-4.276 4.1-7.47 5.656-12.041 5.319-1.644-.121-2.38-.52-4.088-2.521-1.708-2.003-3.683-5.584-5.723-9.834-4.078-8.501-8.09-20.464-20.07-26.403-13.62-6.752-27.65-1.461-38.66.998-5.505 1.23-10.34 1.953-13.16 1.727-2.82-.226-3.008-.275-4.037-2.022-1.423-2.414-1.215-3.61 1.636-8.162 2.852-4.552 8.543-10.409 14.624-16.455 6.08-6.046 12.552-12.277 17.128-19.644 4.577-7.367 6.99-17.99 1.561-26.832-3.783-6.163-9.452-10.548-15.61-12.758-6.157-2.21-12.622-2.505-19.105-1.928-12.965 1.153-26.51 5.788-39.703 10.152-13.193 4.365-26.032 8.458-35.64 9.31-4.805.428-8.674.047-11.42-.94-2.747-.988-4.556-2.32-6.344-5.237-5.026-8.2-3.103-20.031 4.273-32.804 7.376-12.774 19.896-25.092 30.508-31.268 18.173-10.577 40.534-15.968 59.773-21.598 9.62-2.814 18.47-5.653 26.004-9.9 7.534-4.247 14.292-10.67 16.264-19.736 17.736-81.545 37.91-126.198 55.723-145.498 8.906-9.65 16.564-12.972 23.71-13.29.447-.02.896-.026 1.346-.021zM69.091 71.725c10.882.114 22.109 4.176 33.788 10.56 16.987 9.286 33.885 23.222 49.347 34.143 13.63 9.626 28.37 22.303 46.059 25.32-3.017 9.541-5.986 19.864-8.908 31.018-9.742-3.423-16.681-8.292-23.33-13.99-9.485-8.129-18.14-18.465-31.547-26.989-30.373-19.31-45.01-26.392-75.883-32.45-10.038-1.969-15.826-4.93-18.293-7.09-2.468-2.16-2.28-2.669-2.045-4.145.469-2.954 7.385-10.766 16.178-13.932 4.814-1.734 9.688-2.497 14.634-2.445zm202.04 16.082c-40.828 34.148-45.197 98.424-53.018 135.51l17.613 3.714c8.297-39.34 14.588-98.347 46.953-125.418zm-88.354 170.619c-32.314 3.83-61.436 16.125-88.959 31.25l8.668 15.775c26.429-14.523 53.317-25.701 82.41-29.15zM65.642 396.049a85.082 85.082 0 0 0-8.904.506c-11.603 1.283-22.588 4.468-29.022 13.781-7.873 11.398-7.225 25.103-1.019 34.793 6.206 9.69 16.387 16.452 27.57 21.187 11.183 4.735 23.503 7.348 34.963 6.983 11.46-.365 23.112-3.787 29.469-13.787 8.868-13.952 9.619-28.416 3.404-39.012s-17.302-16.748-29.092-20.414c-8.842-2.75-18.298-4.083-27.369-4.037zm29.53 24.21c5.408 2.68 9.45 6.019 11.404 9.348 2.775 4.733 3.439 10.014-3.067 20.249-1.71 2.69-6.685 5.19-14.853 5.45-8.168.26-18.48-1.799-27.371-5.564-7.197-3.047-13.376-7.273-17.166-11.422 4.241-2.581 10.517-5.973 17.396-8.88 10.576-4.47 23.082-8.273 33.657-9.18z"}}]})(props);
};
function GiTransparentTubes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M134.63 23.168c-5.19.1-10.617 1.072-16.308 2.68-15.176 4.287-32.317 13.284-49.015 26.095-16.7 12.812-29.83 27.038-37.903 40.588-4.036 6.776-6.863 13.39-7.945 20.046-1.083 6.657-.228 13.906 4.13 19.59 4.358 5.684 11.136 8.39 17.846 9.07 3.806.387 7.75.212 11.832-.39l108.425 141.422 11.774-15.362-42.576-55.533c9.394 1.942 19.794 2.982 30.796 2.982 18.936 0 36.108-3.063 49.384-8.546 6.638-2.743 12.352-6.07 16.848-10.46.817-.798 1.58-1.664 2.312-2.56l.022.026 11.77-15.36-87.655-114.33c1.588-3.71 2.746-7.398 3.348-11.1 1.082-6.656.227-13.903-4.13-19.587-4.36-5.684-11.137-8.39-17.847-9.07-1.677-.17-3.38-.235-5.11-.202zm246.692 0c-1.73-.033-3.432.03-5.11.2-6.71.682-13.487 3.388-17.845 9.07-4.358 5.685-5.212 12.932-4.13 19.59.6 3.7 1.76 7.388 3.347 11.097l-75.78 98.84c-1.468 1.54-2.806 3.24-3.908 5.097l-19.92 25.985-.177-.23-11.773 15.36.174.225-56.792 74.078-.166-.214-11.773 15.36.163.214-72.2 94.174c-21.366 27.862-16.067 68.046 11.782 89.416 27.85 21.37 68.032 16.068 89.394-11.797l51.365-66.998.195.254 11.773-15.363-.193-.252 56.795-74.078.184.24 11.77-15.36-.182-.235 120.366-156.996c4.08.602 8.025.777 11.832.39 6.71-.68 13.488-3.386 17.845-9.07 4.36-5.684 5.214-12.933 4.132-19.59-1.082-6.657-3.91-13.27-7.945-20.045-8.073-13.55-21.204-27.775-37.902-40.587-16.7-12.81-33.84-21.808-49.016-26.095-5.692-1.608-11.12-2.58-16.308-2.68zm-260.65 21.508l15.523 20.246c-6.645 10.238-17.722 22.175-31.71 32.906-13.894 10.66-28.19 18.237-39.758 22.027L49.11 99.485c6.66-10.193 17.68-22.046 31.578-32.708 13.984-10.73 28.378-18.335 39.984-22.1zm274.605 0c11.607 3.766 26 11.372 39.987 22.1 13.897 10.664 24.92 22.516 31.578 32.71l-15.617 20.37c-11.568-3.79-25.865-11.367-39.76-22.028-13.988-10.73-25.064-22.67-31.71-32.908l15.522-20.244zm-247.132 35.83l49.777 64.928c-9.765-2.14-20.67-3.29-32.236-3.29-18.936 0-36.11 3.064-49.385 8.547-6.637 2.743-12.35 6.068-16.847 10.458-.585.572-1.15 1.172-1.693 1.795l-21.096-27.517c12.555-4.92 26.015-12.648 39.203-22.766 13.262-10.175 24.263-21.242 32.278-32.154zm219.662 0c8.015 10.912 19.015 21.98 32.277 32.154 13.188 10.118 26.65 17.847 39.203 22.766l-21.803 28.44c-.767-.955-1.575-1.873-2.44-2.718-4.495-4.39-10.21-7.715-16.847-10.457-13.275-5.482-30.45-8.545-49.385-8.545-10.887 0-21.185 1.016-30.5 2.92l49.495-64.56zm-202.12 80.32c16.85 0 32.075 2.928 42.252 7.13 5.088 2.103 8.863 4.544 10.925 6.558 2.062 2.013 2.278 3.096 2.278 3.736 0 .64-.216 1.723-2.278 3.736-2.062 2.014-5.837 4.455-10.926 6.557-10.177 4.204-25.404 7.13-42.254 7.13-16.85 0-32.077-2.926-42.254-7.13-5.09-2.102-8.866-4.543-10.928-6.557-.258-.25-.486-.49-.69-.713l-.005-.007-1.025-1.334c-.473-.775-.558-1.308-.558-1.682 0-.64.215-1.723 2.277-3.736 2.062-2.014 5.84-4.455 10.928-6.557 10.177-4.203 25.402-7.13 42.254-7.13zm183.125 0c16.85 0 32.077 2.928 42.254 7.13 5.09 2.103 8.866 4.544 10.928 6.558 2.062 2.013 2.277 3.096 2.277 3.736 0 .64-.214 1.723-2.276 3.736-2.062 2.014-5.84 4.455-10.928 6.557-10.177 4.204-25.403 7.13-42.253 7.13s-32.077-2.926-42.254-7.13c-5.09-2.102-8.865-4.543-10.927-6.557-2.062-2.013-2.28-3.096-2.28-3.736 0-.215.032-.487.143-.82l2.463-3.21c2.117-1.956 5.753-4.262 10.6-6.263 10.176-4.203 25.4-7.13 42.252-7.13zm-67.792 32.88c.502.568 1.022 1.118 1.56 1.644 4.496 4.39 10.21 7.717 16.848 10.46 13.276 5.482 30.45 8.545 49.385 8.545 11.683 0 22.69-1.17 32.53-3.35l-54.8 71.475-.178-.232-11.773 15.357.178.233-56.793 74.078-.18-.232-11.776 15.357.18.235-54.423 70.987c-15.218 19.85-43.35 23.562-63.185 8.342-19.837-15.223-23.55-43.37-8.33-63.22l69.144-90.187.324.422 11.776-15.36-.324-.422 56.793-74.076.324.422 11.774-15.358-.324-.422 11.27-14.7zm.83 30.48l-11.776 15.355 32.742 42.708 11.776-15.357-32.742-42.704zm68.425 89.248l-11.773 15.36 57.187 74.59c15.22 19.85 11.506 47.997-8.33 63.22-19.836 15.22-47.968 11.51-63.186-8.342l-42.457-55.377-11.774 15.36 39.4 51.388c21.36 27.865 61.543 33.168 89.393 11.797 27.85-21.37 33.148-61.554 11.784-89.416l-60.245-78.58zm-136.996.185l-11.776 15.36 32.742 42.704 11.775-15.358-32.74-42.707z"}}]})(props);
};
function GiTransportationRings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M243.25 17.938c-25.302 3.258-47.47 32.16-47.47 69.062.002 20.352 7.093 38.387 17.595 50.938l10.25 12.25-15.72 2.937c-13.792 2.57-23.972 9.863-32.5 21.47-3.047 4.148-5.824 8.855-8.343 14.03 26.904 5.2 56.323 8.156 87.22 8.156 28.264 0 55.28-2.473 80.28-6.874-2.764-6.188-5.934-11.75-9.53-16.53-8.65-11.5-19.32-18.76-34.72-21.126l-16.03-2.47 10.156-12.624c10.048-12.485 16.78-30.298 16.78-50.156 0-39.345-24.875-69-52.718-69-2.922 0-4.79-.122-5.25-.063zm70.78 34.156c3.795 10.773 5.876 22.6 5.876 34.906 0 8.546-1.015 16.81-2.906 24.625 50.33 6.14 94.56 19.664 127.75 38.844 7.04-4.547 13.29-9.318 18.688-14.25 4.05 5.99 6.647 12.083 7.812 18.218-44.395 37.948-124.776 61.03-216.97 61.03-91.7 0-171.71-22.846-216.25-60.437.022-.122.042-.25.064-.374.076-.428.19-.853.28-1.28.054-.25.1-.502.157-.75.126-.542.26-1.086.407-1.626.122-.45.238-.896.376-1.344.025-.084.067-.165.093-.25.142-.454.28-.92.438-1.375.264-.762.535-1.52.843-2.28.05-.123.105-.252.157-.375.27-.65.572-1.288.875-1.938.223-.48.444-.958.686-1.437.075-.148.174-.29.25-.438.184-.354.37-.708.563-1.062.29-.534.592-1.093.905-1.625.27-.458.558-.918.844-1.375.026-.043.065-.082.093-.125.162-.258.3-.524.468-.78 5.304 4.798 11.418 9.442 18.282 13.874 30.723-17.752 70.9-30.656 116.626-37.345-2.158-8.247-3.344-17.005-3.344-26.125 0-11.877 1.934-23.32 5.437-33.813-12.313 1.878-24.147 4.238-35.468 7-.725.174-1.434.355-2.156.532-.55.136-1.11.266-1.656.405-.084.02-.166.042-.25.063-1.72.43-3.43.86-5.125 1.312-.115.03-.228.063-.344.094-1.685.45-3.37.904-5.03 1.375-1.797.508-3.578 1.06-5.344 1.593-.536.16-1.06.336-1.594.5-1.4.43-2.806.836-4.187 1.28-1.145.37-2.275.747-3.406 1.126-.585.194-1.17.394-1.75.593-1.315.448-2.614.913-3.907 1.374-.717.257-1.415.522-2.126.782-.81.295-1.635.572-2.437.874-1.87.703-3.74 1.424-5.563 2.156-.03.012-.063.02-.093.03-1.55.623-3.08 1.265-4.594 1.907-1.405.596-2.78 1.2-4.156 1.813-.273.122-.54.253-.813.375-1.355.61-2.703 1.217-4.03 1.844-.012.005-.02.024-.03.03-.01.004-.024-.004-.032 0-1.466.693-2.916 1.412-4.344 2.125-.706.352-1.398.706-2.094 1.063-2.19 1.123-4.34 2.266-6.438 3.437-1.305.728-2.575 1.472-3.843 2.22-1.322.776-2.627 1.546-3.907 2.343-.57.35-1.127.708-1.688 1.062-.35.223-.716.432-1.063.656-.05.032-.105.06-.156.094-14.02 8.992-24.913 18.81-32.406 29.03l.156.22c-.55.747-1.074 1.494-1.593 2.25-.528.768-1.035 1.535-1.532 2.313-.423.663-.848 1.33-1.25 2-.112.188-.23.373-.343.562-.065.11-.122.232-.187.344-.336.58-.65 1.164-.97 1.75-.41.752-.805 1.487-1.186 2.25-.017.032-.046.06-.063.093-.013.03-.015.064-.03.093-.38.765-.745 1.54-1.094 2.313-.323.715-.64 1.432-.937 2.155-.04.094-.088.187-.126.28-.165.408-.313.81-.47 1.22-.195.51-.38 1.017-.56 1.53-.253.712-.494 1.44-.72 2.157-.2.633-.384 1.27-.563 1.907-.055.198-.132.393-.186.593-.206.762-.387 1.512-.563 2.28-.046.207-.08.42-.124.626-.158.726-.306 1.454-.437 2.186-.12.663-.218 1.333-.314 2-.04.272-.09.54-.125.813-.1.775-.18 1.56-.25 2.343-.077.872-.147 1.744-.186 2.625-.04.87-.063 1.748-.063 2.625 0 .59.015 1.192.032 1.78.013.398.012.793.032 1.188.015.305.042.605.062.907.03.468.083.94.125 1.407.054.58.12 1.172.19 1.75.07.58.13 1.143.218 1.72.08.533.155 1.06.25 1.592l.03.188c.073.398.17.79.25 1.187.056.273.13.542.188.814.045.207.078.418.125.625.057.24.13.476.19.718.27 1.132.568 2.257.905 3.375.284.94.578 1.88.906 2.812.112.312.23.626.345.938.764 2.062 1.65 4.085 2.625 6.093.135.28.236.567.375.844.006.012.025.02.03.03 3.938 8.29 10.093 16.41 18.282 24.157.032.03.062.063.094.094.61.576 1.213 1.15 1.845 1.72.218.197.435.397.656.594.05.044.108.08.157.125.364.327.725.673 1.094 1 .323.283.644.56.97.843.737.637 1.49 1.248 2.25 1.875.023.018.04.043.063.062.218.18.435.352.656.53 1.345 1.1 2.712 2.19 4.124 3.25 22.564 16.98 53.67 30.318 90.28 39.157l.032-.156c25.468 6.286 53.716 10.45 83.625 11.908 7.56.368 15.816-.032 24.5-.032 38.348 0 74.543-4.383 106.47-12.03l.063.312c37.33-8.832 69.028-22.135 92.03-39.094 23.003-16.96 37.813-38.322 37.813-62.28 0-24.065-14.946-45.5-38.125-62.5-23.178-17.002-55.094-30.336-92.686-39.126l-.03.093c-14.463-3.43-29.774-6.2-45.783-8.186zM438.75 254.28c-2.775 1.466-5.602 2.894-8.5 4.282-17.887 8.57-38.28 15.782-60.563 21.407.076 1.747.157 3.505.22 5.25 28.52 7.16 53.882 17.018 74.843 29.124 7.013-4.528 13.243-9.276 18.625-14.188 4.048 5.967 6.695 12.046 7.875 18.156-44.395 37.95-124.776 61.032-216.97 61.032-91.678 0-171.673-22.833-216.218-60.406 1.073-6.204 3.614-12.363 7.563-18.407 5.284 4.767 11.362 9.375 18.188 13.783 18.36-10.605 40.1-19.463 64.374-26.313.187-3.396.38-6.808.625-10.22-21.873-6.21-41.72-14.01-58.937-23.155l-.47-.25c-16.194 9.734-28.633 20.496-36.905 31.78l.22.283c-8.845 11.994-13.94 25.25-13.94 39.406 0 10.872 3.005 21.224 8.407 30.875.132.24.272.476.407.717.405.706.82 1.397 1.25 2.094 1.892 3.12 4.083 6.207 6.593 9.25.585.718 1.202 1.42 1.813 2.126.185.21.375.415.563.625 5.163 5.872 11.22 11.408 18.03 16.533 22.565 16.98 53.672 30.316 90.282 39.156l.063-.314c25.46 6.28 53.695 10.45 83.593 11.906 7.56.37 15.816-.03 24.5-.03 38.333 0 74.52-4.358 106.44-12l.092.437c37.33-8.833 69.03-22.136 92.032-39.095 23.002-16.96 37.812-38.32 37.812-62.28 0-24.065-14.946-45.5-38.125-62.5-4.295-3.152-8.903-6.17-13.78-9.064zm-291.438 28.282c-1.078 16.56-1.462 33.164-1.562 48.782h44.313l.625 8.625 1.25 16.56c19.825 2.65 40.72 4.126 62.343 4.126 18.48 0 36.42-1.072 53.626-3.03l1.156-17.563.594-8.72h42.125c-.004-15.09-.072-31.11-.686-47.124-29.833 6.065-62.517 9.374-96.813 9.374-8.092 0-16.62.428-25.405 0-28.9-1.408-56.355-5.2-81.563-11.03zm52.032 172.594L202 490.28h97.094l2.312-34.967c-15.27 1.403-31.017 2.156-47.125 2.156-8.092 0-16.62.427-25.405 0-10.03-.49-19.884-1.264-29.53-2.314z"}}]})(props);
};
function GiTrapMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196.36 25.44c-45.063 17.44-69.198 37.01-86.17 86.17v70.624h-.126v9.346c0 57.256-.92 108.17-16.478 163.72l-1.324 4.73 103.545 124.32H202.045l1.715-.71c36.42-15.074 71.277-16.862 107.068-.167l6.62 3.088 102.29-126.445-1.078-4.48c-13.006-54.042-13.137-108.684-13.76-164.16l-.105-9.24h-.018V111.61c-14.466-42.988-43.59-70.49-86.172-86.17-41.74 20.564-81.495 18.426-122.244 0zm-55.145 101.794h45.23l47.284 55h-92.515v-55zm187.3 0h45.23v55h-92.513l47.284-55zM162.378 233.857h.066l34.817 85.883 33.115-81.68 26.914 66.383 27.106-66.857 33.307 82.154 34.47-85.02 16.704 41.206 17.057-42.07h.904c.896 40.145 3.36 80.682 12.676 121.546l-9.707 11.998-31.08-35.582-4.213 79.21-14.725 18.202-37.856-50.257-9.887 78.363c-4.457-1.096-8.92-1.957-13.38-2.596l-21.378-52.726-21.585 53.242c-4.616.744-9.223 1.7-13.816 2.86l-9.443-78.403h-.002l-37.377 49.238.793 2.25-17.92-21.516-4.14-77.866-31.08 35.578-9.92-11.91c11.155-41.838 14.49-81.232 15.47-121.607l17.05 42.046 17.057-42.07z"}}]})(props);
};
function GiTrashCan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M199 103v50h-78v30h270v-30h-78v-50H199zm18 18h78v32h-78v-32zm-79.002 80l30.106 286h175.794l30.104-286H137.998zm62.338 13.38l.64 8.98 16 224 .643 8.976-17.956 1.283-.64-8.98-16-224-.643-8.976 17.956-1.283zm111.328 0l17.955 1.284-.643 8.977-16 224-.64 8.98-17.956-1.284.643-8.977 16-224 .64-8.98zM247 215h18v242h-18V215z"}}]})(props);
};
function GiTravelDress (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M204.8 29l7.3 21.94c15.3 13.32 29.7 19.85 43.7 20.06 13.9.2 28.4-5.72 44.1-19.83l7.4-22.07C276.2 45.54 236 45.53 204.8 29zm-14.1 14.59l-83 18.45-30.22 75.46c7.96 5.9 21.37 12.3 36.32 15.6 17.7 3.9 36.9 3.7 51.4-3.2-4.8-19.5-11.4-39-20.4-57.16l-9.7-19.41 20.5 6.85c47 15.65 80.2 31.12 100.4 48.22 20.3-17.1 53.4-32.57 100.5-48.22l20.5-6.85-9.7 19.41c-9 18.16-15.6 37.66-20.4 57.16 14.5 6.9 33.7 7.1 51.4 3.2 14.9-3.3 28.3-9.7 36.3-15.6l-30.2-75.46-83-18.44-5.9 17.71-1.7 1.56c-18.6 17.38-38.3 26.41-58.3 26.12-20-.29-39.1-9.78-57.1-26.02l-1.8-1.59-5.9-17.79zm-21.3 60.51c25.1 62.5 26.6 130.3 26.7 165H316c.1-34.7 1.6-102.5 26.7-165-37.6 13.9-63.7 27.7-77.7 40.2v64.9h-18v-64.9c-13.8-12.4-39.9-26.3-77.6-40.2zm19.5 183c-9 3.5-17 12.7-24 27.4-7.3 15.3-13.2 35.8-18.5 58.2-9.4 39.7-17.1 84.9-31.5 120.2h92.4c-8.9-23.8-8.9-55.9-11.9-111v-1l15.6-93.8h-22.1zm40.3 0l-15.8 94.8c3.3 61.3 4.4 92.1 13.7 111H285c9.2-18.9 10.3-49.7 13.7-111l-15.8-94.8h-53.7zm71.9 0l15.6 93.8v1c-3.1 55.1-3.1 87.2-11.9 111h92.4c-14.4-35.3-22.1-80.5-31.5-120.2-5.3-22.4-11.2-42.9-18.5-58.2-7-14.7-15-23.9-24-27.4h-22.1z"}}]})(props);
};
function GiTread (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M173.438 56.625c-24.197.254-51.41 8.524-76.125 23.875C56.04 106.135 22.91 150.185 21.5 204.813c23.035 23.153 37.246 53.802 48.72 86.312 37.776-75.574 103.61-112.37 154.28-109.22-12.233-36.11-9.912-77.263-10.344-115.968-10.255-5.718-22.525-8.79-35.906-9.25-1.585-.054-3.2-.08-4.813-.062zm42.78 144c-36.993 1.83-87.634 28.563-121.218 84.094 25.173 56.788 58.682 115.636 94.688 155.25 30.954-10.902 72.793-30.752 113.093-54.408-19.64-45.728-15.747-92.128 1.595-128.812-9.745.435-18.834-.526-27.313-2.906-2.768-.777-5.445-1.726-8.062-2.78l.375.655c-5.122 2.997-12.668 10.257-18.813 19.03-6.144 8.773-11.073 19.095-12.75 27.688l-18.343-3.563c2.4-12.312 8.46-24.392 15.78-34.844 5.023-7.17 10.564-13.568 16.438-18.56-5.982-4.3-11.545-9.33-16.688-15.032-19.934 9.052-40.194 31.397-43.313 50.156l-18.437-3.063c4.4-26.468 25.81-49.992 49.938-62.155-2.39-3.44-4.697-7.03-6.97-10.75zm185.813 2.78c-.733.002-1.483.004-2.217.032-11.748.45-23.438 4.37-34.625 11.063-44.48 26.61-76.574 99.088-42.72 169.563l7.25 7.25-10.25 6.156c-46.5 27.946-95.11 51.027-130.75 62.53l12.345 17.875c92.26-33.88 212.588-103.56 290.843-165.78-13.427-54.603-34.915-85.3-57.062-99-10.753-6.654-21.793-9.703-32.813-9.69z","fillRule":"evenodd"}}]})(props);
};
function GiTreasureMap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M242.563 27.656c-10.062.033-20.126.205-30.188.5l6.094 65.594-61.095-62.563c-31.256 2.57-62.494 6.655-93.75 12.532l34.25 28.405-48.063-.563c35.158 100.168 6.936 182.575-.312 292l95.75 105.844c10-1.326 19.856-2.423 29.563-3.344l21.53-42.156 18.532 28.844 41.5-33.594.813 43.094c82.943-.242 157.734 9.098 235.687 7.813-28.15-73.01-31.13-143.562-31.875-209.157l-33.25-19.125 32.688-33.874c-.43-21.333-1.342-42.006-3.625-61.937l-57.438.718 50.25-41.657c-3.843-15.477-9.052-30.4-16.125-44.718l-29.53-23.906c-53.8-5.488-107.607-8.924-161.408-8.75zm58.718 36.97l7.095 16.624 24.594 57.625 14.092-19.75 8.344-11.688 7.313 12.376 40.655 69.124-16.125 9.47-33.375-56.688-42.438 59.405-15.187-10.875 24-33.594-21.97-51.406-24.56 40.063 11.967 22.625-16.53 8.75-18.25-34.5-24.845 58.187-17.187-7.344 32.53-76.186 7.69-18.03 9.155 17.31 5.313 10.032 28.25-46.125 9.468-15.405zm-194.842 56.25h.093l.126.03.094.03 4.78 1.126.095.032.125.03 4.53 1.19.126.03.125.03 4.282 1.25.126.032.124.03 4.094 1.314.125.03.126.064.22.062-5.845 16.53-.343 1.095h-.03l-.22-.06-3.562-1.157-.25-.063-3.813-1.125-.25-.063-4.062-1.062-.22-.063-4.343-1-.093-.03-.125-.032 1.155-4.906 2.813-13.345zm37.874 13.374l2.657 1.53.186.095.156.125 2.657 1.656.155.125.188.126 2.437 1.688.188.125.187.155 2.28 1.75.19.125.155.156 2.125 1.78.156.158.19.156 1.936 1.844.188.156.156.188.844.875-13.53 12.875-.47-.5-.375-.344-1.22-1.156-.094-.094-.25-.22L144 156.44l-.156-.125-.188-.157-1.562-1.22-.188-.124-.156-.125-1.78-1.218-.314-.19-.03-.03-2.282-1.438L135 150.47l9.313-16.22zM173 166.625l.25.844.063.25.093.25.5 2.06.063.22.03.25.406 2.063.03.25.064.25.28 2.062.032.22v.25l.188 2.06.03.22v.22l.095 2.06v2.72l-.03.188-.095 2.062v.22l-.03.186-.19 2.064v.156l-.03.188-.156 1.156-18.53-2.406.124-.782.03-.344.126-1.343v-.064l.03-.312.064-1.688v-1.687l-.063-1.19-.125-1.593-.28-2.062-.314-1.563-.375-1.406-.03-.156-.125-.344 17.875-5.53zm-21.25 35.72l17.28 7.06-1.093 2.657-.062.157-.063.155-1.625 3.625-.062.125-.063.125-1.687 3.47-.03.093-.064.093-1.686 3.344-.063.063-.03.062-1.688 3.156-.03.064-.032.062-.313.563-16.343-9.064.25-.437.062-.126 1.53-2.875.095-.157 1.532-2.97.094-.218 1.47-3.03.124-.25 1.406-3.095.125-.313.97-2.343zm-16.47 34.093l17.69 6.03-.157.407-.032.063-1.03 3.5-.906 3.437-.03.22-.064.186-.656 3.314-.438 2.687-.03.22-.032.25-.188 1.906-18.594-2 .282-2.375v-.25l.03-.218.595-3.593.03-.22.03-.188.782-3.718.032-.22.062-.186.97-3.844.03-.188.063-.187 1.186-3.94.063-.186.06-.188.25-.72zm207.845 17.375l.875.093h.22l.186.03 1.906.25.22.033.187.03 1.874.344.187.03.22.032 1.813.406.218.063.19.063 1.78.468.22.063.186.06 1.72.564.218.062.22.063 1.655.624.217.094.188.093 1.625.69.22.092.186.094 1.594.75.188.125.218.095 1.53.844.19.092.187.125 1.218.75-9.75 15.938-1.124-.688-.094-.062-.75-.406-.406-.19-.75-.405-.187-.063-.22-.125-1.25-.5-.844-.312-1.28-.438-.282-.062-.156-.063-.938-.25-.344-.062-.062-.03-1-.22-1.47-.28-.218-.033-.187-.03-1.44-.188h-.06l-.5-.033 1.655-18.625zm-21.22 1.5l2.376 11.875 1.47 6.437-.188.03-2 .44-.156.03-.094.03-2 .533-.218.062-2.094.594-.22.062-2.155.688-.22.062-2.217.75-.22.094-2.312.844-.187.062-2.158.844-6.812-17.406 2.344-.906.094-.063.125-.03 2.687-.97.094-.063.125-.03 2.624-.876.125-.062.092-.03 2.594-.814.125-.03.095-.033 2.563-.718.093-.033.126-.03 2.5-.657.125-.03.126-.032 2.438-.532.125-.03.124-.032.062-.03zM284 271.156l10.97 15.156-1.72 1.22-.094.093-.094.063-3.156 2.156-.094.062-.125.063-3.218 2.092-.095.063-.094.063-3.28 2-.094.062-.125.063-3.31 1.906-.095.06-.125.064-1.063.594-8.937-16.407.875-.5.188-.092 2.937-1.688.22-.125 2.874-1.75.187-.125 2.814-1.844.22-.125 2.936-2.03 1.5-1.094zm-133.53 2.72l.124.437.062.28.47 1.376.06.124.908 2.187.062.19.594 1.186.125.22.844 1.5.124.187.97 1.437.092.125L156 284.53l.094.095 1.28 1.406-13.81 12.595-1.376-1.5-.22-.22-.187-.25-1.624-2.03-.187-.25-.19-.28-1.468-2.158-.187-.25-.156-.28-1.345-2.282-.156-.28-.157-.283-1.188-2.375-.125-.312-.125-.28-1.03-2.5-.126-.314-.095-.31-.875-2.595-.094-.313-.094-.312-.187-.72 18.094-4.655zm230.31 3.312l.845 1.312.063.156.093.125.97 1.69.063.124.093.125.938 1.75.062.124.063.156.905 1.78.063.126.062.125.844 1.876.062.125.063.095.81 1.938.033.125.062.093.78 1.97.033.125.062.125.75 2.03.03.095.033.094.718 2.092.033.094.03.125.157.5-17.813 5.626-.093-.312-.094-.22-.563-1.655-.062-.22-.594-1.594-.092-.22-.594-1.53-.094-.22-.625-1.436-.094-.25-.624-1.375-.125-.25-.655-1.313-.125-.25-.656-1.218-.156-.25-.657-1.156-.186-.282-.656-1.062 15.843-9.906zm-127.405 10.906l6.97 17.344-3 1.218-.095.03-.094.033-3.594 1.342-.093.063-.126.03-3.594 1.25-.094.033-.125.03-3.624 1.188-.094.03-.093.033-3.657 1.092-.094.032-.095.03-.188.032-4.968-18 .186-.062 3.25-.97.188-.062 3.22-1.03.217-.063 3.407-1.22v.03l3.188-1.217.22-.094 2.78-1.126zm-83.75 6.156l.25.125.063.03 2.218.876.375.126 1.97.688.25.062.156.063 2.094.592.125.032.22.062 2.56.625 2.314.5.186.033.156.03 2.75.438-1.468 8.72-.094.5-1.22 9.28-.186-.03-.156-.03-3.063-.533-.188-.03-.156-.032-3.03-.625-.156-.03-.188-.033-2.937-.718-.157-.064-.188-.062-2.844-.813-.186-.06-.22-.064-2.75-.937-.186-.064-.22-.094-2.655-1.03-.188-.094-.22-.094-.655-.28 7.625-17.064zm49.938 3.53l2.843 18.47-3.344.5-.125.03h-.125l-3.562.47h-.125l-.094.03-3.56.345-.126.03h-.125l-3.5.283h-.251l-3.47.187h-.25l-1.156.03-.406-18.686.906-.033h.25l2.97-.156 3.25-.217v-.032l3.31-.31.19-.033h.06l3.095-.406.124-.03h.094l3.125-.47zm174.5 18l.375 2.376.03.125v.158l.72 5.218v.125l.03.126.563 5.406v.219l.47 5.564-18.625 1.5-.438-5.344-.03-.22-.5-4.905v-.063l-.032-.218-.625-4.656-.03-.282-.376-2.125 18.47-3zM326.5 346.595c18.893 3.46 44.913 16.187 68.875 33.875 7.46-9.835 14.425-20.4 21.313-31.095l30.062 12.97c-4.686 12.21-14.99 25.518-28.563 37.186 17.017 16.166 30.87 34.515 37 52.94-13.806-18.108-31.07-31.73-50.28-42.814-23.387 15.846-52.682 25.93-79.626 20.438 22.915-4.383 40.644-16.56 55.814-32.594-16.462-7.504-33.798-13.877-51.25-20.094l-3.344-30.812z"}}]})(props);
};
function GiTrebuchet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M51.984 50.486l-7.968 16.14 11.396 5.626H55V237.85l.977-1.93 7.957-15.647 8.06 15.594c.342.66.667 1.317 1.006 1.977V80.934l216.248 106.742c-.157 1.276-.248 2.575-.248 3.896 0 17.228 13.773 31 31 31 8.558 0 16.26-3.4 21.85-8.93l83.277 41.106-26.832 32.133L454.508 416H480V304l-35.002-41.918 6.986-14.152-101.597-50.15c.4-2.003.613-4.078.613-6.208 0-17.227-13.773-31.002-31-31.002-9.404 0-17.772 4.11-23.44 10.64L51.985 50.487zM282.78 223.34L249.73 279H224v18h15.04L132.386 476.615l-100.375-.11-.02 18 122.53.134 4.376.005L479.99 495l.02-18-18.576-.02L352.99 227.722c-8.722 7.97-20.312 12.847-32.99 12.847-3.074 0-6.08-.3-9-.847V279h-24.05l23.392-39.396c-10.927-2.207-20.56-8.08-27.56-16.264zM329 252.793L340.402 279H329v-26.207zm-265.016 7.172C53.41 280.85 42.212 301.81 27.3 320.367c13.75 18.88 26.382 26.917 36.938 26.996 10.568.08 22.95-7.66 36.49-26.86-15.842-19.27-26.55-40.147-36.744-60.538zM276.26 297H311v179.813l-141.422-.157L276.26 297zm52.74 0h19.232L384 379.21V416h16.006l26.514 60.94-97.52-.106V297z"}}]})(props);
};
function GiTreeBeehive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.375 25.986v38.881c.152-.002.303-.01.455-.012 5.852-.07 11.703.121 17.545.516V25.986h-18zm68.895 14.44l-9.489 6.53 10.205 14.827 9.489-6.531-10.205-14.826zM134.246 57.63l-6.682 16.715 10.696 4.275 6.681-16.713-10.695-4.277zm121.11 25.203c-24.453.266-48.59 5.191-71.575 16.539-12.608 6.225-31.654 22.672-43.385 36.893-4.32 5.238-7.341 10.026-9.07 13.466l262.12 13.46c-1.479-8.165-4.711-17.912-9.675-27.069-8.814-16.263-22.438-30.598-34.31-34.969-30.707-11.304-62.667-18.662-94.106-18.32zM60.475 97.5l-10.513 4.705 7.351 16.43 10.516-4.705-7.353-16.43zm137.045 13.963l1.178 11.459-17.906 1.84-1.178-11.46 17.906-1.84zm255.352 9.228l-10.975 14.268 9.131 7.021 10.975-14.265-9.131-7.024zm-334.404 46.407c-18.28 5.306-26.596 15.856-32.145 29.543-4.034 9.952-5.995 21.298-7.793 32.427 10.527-.301 24.034-.489 39.88-.548 33.755-.127 77.542.312 122.267 1.414 44.725 1.101 90.368 2.862 127.886 5.396 23.78 1.606 43.785 3.28 59.004 5.615-.938-8.96-1.28-17.423-2.857-25.119-2.565-12.517-7.385-23.23-23.246-34.199l-282.996-14.53zm265.611 21.529l10.742 4.158-6.498 16.787-10.74-4.158 6.496-16.787zm-313.484.039l-16.957 6.04 3.865 10.85 16.957-6.038-3.865-10.852zm82.095 11.432l4.705 10.511-16.43 7.356-4.704-10.518 16.43-7.35zm-21.177 46.4c-4.491-.002-8.843.006-13.035.022-16.771.063-31.02.268-41.524.597-5.252.165-9.573.361-12.734.578-3.103.213-5.564.652-5.026.5l-.017.004c-3.453.908-6.708 3.687-9.44 8.717-2.732 5.03-4.55 12.007-4.886 19.006-.337 6.999.817 13.99 3.07 19.027 2.15 4.808 4.871 7.536 8.336 8.776 89.935 11.121 188.271 16.132 268.637 17.148 4.445-28.47 18.07-54.228 43.126-52.582 35.248 2.316 31.394 28.35 31.252 52.322 20.68-.46 38.668-1.247 53.073-2.302l.05-.004.05-.002c4.196-.261 5.74-1.713 7.65-6.131 1.909-4.419 2.705-11.703 1.763-19.238-.941-7.535-3.531-15.297-6.949-20.848-3.418-5.551-7.28-8.417-10.484-8.979l-.744-.13-.711-.252c-8.623-3.06-38.522-6.932-75.62-9.438-37.097-2.506-82.563-4.264-127.117-5.361-38.984-.96-77.284-1.416-108.72-1.43zM250.86 272.85l16.715 6.681-4.277 10.696-16.713-6.682 4.275-10.695zM65.64 322.992c-2.322 8.681-2.062 18.384.687 26.951 3.932 12.252 12.18 21.466 23.871 23.979 119.772 18.231 234.305 22.915 345.037 17.6 7.433-11.564 11.426-25.36 10.834-36.758-.381-7.353-2.174-13.285-5.68-17.664-80.254 4.466-235.272 2.235-374.75-14.108zm60.064 29.64l10.74 4.159-6.496 16.787-10.744-4.158 6.5-16.787zm285.813 19.23l7.785 8.488-13.266 12.166-7.785-8.489 13.266-12.166zm-368.45 12.296l-16.955 6.04 3.864 10.85 16.957-6.038-3.866-10.852zm64.332 10.47c2.186 4.205 4.176 8.284 6.27 12.034 5.635 10.09 11.512 18.064 24.879 24.092 53.427 24.095 100.693 32.588 159.752 29.814l-3.045-1.216 4.277-10.698 16.713 6.682-1.683 4.21c5.24-.407 10.566-.885 16.013-1.448 17.618-1.824 34.517-11.655 47.256-23.592 8.202-7.686 14.244-16.306 18.006-23.3l-1.797-.134c-67.939 1.674-137.374-.507-208.566-7.267l5.295 2.049-6.497 16.787-10.744-4.157 5.907-15.252a1748.346 1748.346 0 0 1-72.036-8.603zm-63.496 20.585L32.928 429.48l9.13 7.024 10.975-14.268-9.13-7.023zm419.377 17.582l-10.904 3.715 5.805 17.039 10.904-3.715-5.805-17.04zm-78.816 32.982l-6.682 16.715 10.696 4.276 6.681-16.715-10.695-4.276zm-241.541 10.944l-4.158 10.742 16.785 6.498 4.158-10.742-16.785-6.498z"}}]})(props);
};
function GiTreeBranch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M335.594 18.53c-40.164.157-75.583 36.542-88.656 51.75-25.09-4.49-50.48-6.746-76.094-6.53-19.542.165-39.218 1.786-58.97 4.875-22.38-17.928-46.586-31.63-72.5-36.97C12.973 45.292 20.87 66.202 26.75 86.688c33.85-2.782 68.376 8.017 103.063 24.438 7.513 5.012 15.003 10.257 22.468 15.75 10.193 36.02 15.185 71.684 16.75 107.22-24.967 5.267-73.76 20.245-87.968 58.56l56.657-8.06-60.782 30.592c-1.59 28.013 4.228 50.995 12.28 71.844l38.626-40.874-29.063 63.25c12.435 27.13 25.52 52.227 25.75 82.844 15.673-15.742 30.667-28.657 44.314-40.78l-9.313-58.94 22.22 47.25c17.657-16.465 32.232-32.686 41.78-54.155l-36.28-56.063 44.594 30.47c.21-.965.4-1.953.594-2.938 11.05-55.837-31.68-107.473-44.657-121.625-1.19-29.747-4.676-59.735-11.5-90.032 39.703 32.23 78.083 71.073 113.064 115.28-8.172 28.668-12.69 52.292-14.156 71.97l31.593-28.47-30.81 61.626c3.548 23.952 13.97 39.684 29 51.562l25.342-46.156-9.062 56.813c16.678 9.177 36.777 16.253 58.406 24.78-.176-16.76.29-29.34.28-48.343l17.564 55.688c18.85 8.084 38.462 17.87 57.72 31.562 2.478-28.53 2.51-57.14-.345-84.188l-53.688-20.625 51.594 4.313c-3.97-25.8-10.814-49.764-20.967-70.313L371.5 307.344l47.094-8.53c-21.232-29.417-52.085-47.727-94.563-47.69-5.655.006-11.52.36-17.592 1.032-49.197-62.79-105.105-115.302-162.657-154.25-4.302-4.435-8.683-8.766-13.155-12.97 38.91-4.456 77.396-2.886 115.25 4.095 7.227 18.038 23.78 51.747 52.094 69.376l-6.75-53.562 29.436 63.062c2.974.69 6.026 1.226 9.188 1.53 59.64 5.77 98.592-45.932 158.937-38.686-18.445-8.86-31.076-21.388-42.717-35.063l-67.844.563 51.405-20.53c-14.13-17.083-30.05-34.107-56.094-46.75L324.876 58.5l25.875-38.22c-5.098-1.204-10.166-1.768-15.156-1.75z","fillRule":"evenodd"}}]})(props);
};
function GiTreeDoor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M197 39.09c-4.1.06-8 .47-11.6 1.25-11.8 2.52-25.8 9.73-35.8 19.27-9.9 9.54-15.5 20.67-14.2 32.01l1.8 14.48-13.8-4.9c-28.53-10.39-50.02.1-66.12 20.3-16.11 20.3-24.77 50.8-22.34 76.2 1.77 18.6 14.69 37.1 32.82 51.5 18.12 14.3 41.14 24.2 59.94 26.4 16.6 1.9 38.4-9.4 55.4-22.4 17.1-13 29.2-26.6 29.2-26.6l4.7-5.3 6.2 3.4s11.2 5.9 25 12.2c13.8 6.4 30.7 13 39 14.3 6.8 1.1 21.2-2.7 32.8-7.6 11.6-5 20.7-10.3 20.7-10.3l8-4.7 4.4 8.2s8 14.8 21.2 29.4c13.2 14.7 31 28.1 48.8 27.9 17.6-.2 32.4-13.8 43.8-34.5 11.4-20.7 18.4-47.6 20.1-68.4 2.7-31.3-11.7-72-37-86.7-6.1-3.5-23.5-3-38.5.3-15 3.4-27.6 8.3-27.6 8.3l-17.4 6.7L372 102s2.2-7.14.3-15.91c-1.9-8.76-6.8-18.62-25.6-25.37-26.2-9.46-39.6-4.66-47.6 1.16-8 5.83-10.3 13.15-10.3 13.15l-6.2 19.09-10.2-17.33c-6.5-11.24-20.8-22.55-37.3-29.63-12.4-5.31-25.9-8.25-38.1-8.07zm23.8 204.61c-2.5 2.6-6.1 6.2-10.8 10.5.9 7.7.6 15.7-2 24.7-1.2 3.9-10.2.1-21.3-6-9.9 6.9-20.9 13.3-32.7 17.2 10.2 5.3 21.6 10.3 35.2 15.7-4.7 99.7 2.3 162.4-77.2 190.2h106V384c0-32 76-32 76 0v112h122c-15-11.1-38.9-17.8-77.4-24.1-30.3-93.6-17.6-128.8 39.8-177.1-6.6-5.1-12.4-10.9-17.5-16.5-2.2-2.4-4.1-4.8-5.9-7-9.2 9.7-19.4 16.4-29 13.9-7.9-2.1-12.8-9.4-15.7-18.9-8.5 2.5-17.3 4-25.9 2.7-8.1-1.2-17.5-4.4-26.8-8.3-1.3 7.2-4.8 14.3-11.8 21.8-4.3 4.6-10.6-14.7-16.9-34.8-3.1-1.5-5.8-2.9-8.1-4zM273 424.4a9 9 0 0 0-9 9 9 9 0 0 0 9 9 9 9 0 0 0 9-9 9 9 0 0 0-9-9z"}}]})(props);
};
function GiTreeFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M55.893 18c20.255 42.71 34.502 82.365 44.09 119.205 9.95 9.657 22.02 16.683 40.175 18.91l-2.193 17.865c-12.464-1.529-22.85-5.183-31.742-10.17C138.575 319.013 88.719 421.77 73.203 494h32.531c-5.228-7.222-9.131-15.216-11.3-24.12l17.488-4.26c2.614 10.727 8.695 20.04 17.832 28.38h76.719c-8.614-9.956-15.583-14.876-26.389-23.14 11.033-24.232 16.876-53.512 17.84-76.534.865-24.605-3.535-47.292-9.336-55.54-4.69-6.671-6.959-6.517-8.813-6.161-4.863 2.51-10.723 8.99-8.212 15.041.523 1.109.718 2.5 8.119 1.652l2.047 17.883c-11.93 1.366-22.476-3.454-26.442-11.847-3.966-8.394-2.184-17.263 1.613-24.604 6.7-9.123 13.04-16.006 23.008-16.156 8.311-.098 17.083 4.849 23.405 13.838 10.876 15.467 13.538 39.883 12.601 66.525-.845 24.044-5.324 49.54-13.658 70.334 11.69 9.241 19.56 16.652 24.799 25.826.542.95 1.047 1.911 1.529 2.883h83.428c10.492-11.908 33.088-38.206 32.191-49.662-1.56-10.148-5.896-34.726-2.672-61.22 2.97-24.41 13.047-51.275 37.764-69.071-10.118-25.297-15.014-48.803-11.44-70.902 3.345-20.677 14.356-39.462 33.473-55.85 3.407-22.269 8.505-45.782 15.635-70.793C395.107 88.252 375.69 49.267 379.24 18h-27.73c-4.086 16.047-11.325 30.385-21.508 42.932 19.18 8.716 37.036 20.001 51.812 33.931 6.674 6.291 10.71 12.903 11.04 20.094.33 7.192-3.588 13.284-7.93 17.023-8.685 7.48-18.818 9.844-26.742 9.838l-.09-.002c.459 3.501.7 7.06.719 10.63 0 31.412-16.787 56.877-37.495 56.878-9.189-.02-18.053-5.16-24.91-14.441-4.72 9.433-7.33 17.026-8.256 23.015-1.25 8.1.01 13.173 3.465 18.643 6.87 10.874 25.667 22.352 41.727 33.027 16.06 10.675 21.18 14.43 25.162 18.233 3.982 3.802 6.823 7.571 8.736 11.552 3.908 8.132 2.253 18.061-3.31 23.616-5.563 5.554-13.15 7.616-20.951 7.496a39.202 39.202 0 0 1-23.254-8.139c-27.566-14.223-47.786-18.85-93.077-15.396l-1.369-17.95c37.582-2.865 61.733.284 85 9.37 1.31-6.178 6.023-12.022 9.983-15.098-19.149-12.805-34.803-22.755-43.864-37.096-5.506-8.716-7.834-19.374-6.037-31.006 1.797-11.632 7.174-24.354 16.274-39.98l.431.252c-2.124-7.233-3.23-15.059-3.246-22.977-6.863-9.851-14.724-22.893-20.007-33.375C250.71 87.815 236.743 49.856 242.976 18H223.9a29.07 29.07 0 0 1 6.229 5.586c7.907 9.458 10.594 24.203 6.064 42.61-3.531 14.348-16.44 24.037-32.318 31.872 21.981 15.068 28.231 41.332 25.414 64.45 12.262 20.473 15.21 39.086 10.725 54.25-4.626 15.638-16.823 26.519-30.748 31.796a61.81 61.81 0 0 1-18.71 3.907c-19.525 15.082-31.964 40.21-39.232 63.777-7.343 23.812-9.487 45.95-9.806 52.52-.404 8.304-.067 14.02.771 17.689.838 3.67 1.824 5.273 3.758 7.166 14.296 9.194 22.257 12.273 35.71 19.213-1.561 22.266-14.59 49.26-33.15 53.644-8.577 1.734-18.416-1.6-23.875-9.394-5.458-7.794-7.029-18.515-5.152-31.979l17.828 2.487c-.855 6.338-1.204 22.968 7.633 21.244 5.152-1.042 14.755-9.3 17.62-25.428-12.346-5.974-21.943-9.816-29.204-16.924-4.22-4.13-7.268-9.685-8.715-16.021s-1.645-13.47-1.203-22.57c.404-8.324 2.625-31.134 10.586-56.95 6.459-20.943 16.646-43.912 33.395-61.765-16.438-7.127-29.564-23.24-33.207-36.383l17.43-4.494c3.188 12.37 10.677 19.495 20.224 23.33 9.546 3.834 21.249 3.764 30.918.1 9.669-3.665 17.014-10.426 19.867-20.07 1.827-6.176 1.919-13.992-1.232-23.606-7.112 13.293-17.793 21.02-29.079 21.037-20.707-.001-37.494-25.467-37.494-56.881.004-15.261 4.05-29.88 11.229-40.57-11.135 2.621-22.454 4.122-33.088 4.113-10.248-.598-17.04-7.598-19.375-16.578a37.202 37.202 0 0 1 1.336-22.399l16.808 6.442c-.752 4.418-2.839 11.357 1.247 14.535 17.112.015 38.581-5.018 55.677-12.514 17.096-7.496 28.737-18.485 29.934-23.347 3.629-14.746.886-22.84-2.395-26.764-3.28-3.924-7.706-4.822-11.91-3.502-25.829 8.112-39.436 28.974-51.492 43.473l-13.842-11.508c1.77-2.13 3.795-4.716 5.955-7.455-28.16-4.274-44.898-12.392-55.01-24.301-3.733-4.397-6.392-9.053-8.37-13.838zm46.18 0c11.82 15.062 47.513 20.735 57.08 21.78 7.959-8.107 17.867-16.141 30.507-21.78zm159.322 0c-5.575 28.77 7.628 70.663 18.515 93.018 2.78 5.555 5.68 10.52 8.35 14.627 1.574-4.41 3.526-8.483 5.804-12.116-2.695-5.424-4.598-11.175-6.544-16.845l17.025-5.844c3.992 11.632 6.794 19.219 12.861 24.162 6.068 4.943 17.257 8.798 40.791 8.816 1.688.001 11.656-2.613 14.98-5.476 1.663-1.432 1.729-1.852 1.696-2.56-.032-.71-.704-3.388-5.406-7.821-19.864-18.726-47.198-32.879-75.662-41.397l5.16-17.244a252.311 252.311 0 0 1 13.506 4.477C322.14 43.294 329.01 31.56 333.059 18zm136.037 0c-1.61 32.029 10.004 54.533 26.048 76.998a743.03 743.03 0 0 1 7.458-22.033c-5.563-16.19-9.075-34.528-8.293-54.965zm43.226 0c-.397 8.999.13 17.518 1.383 25.582A926.806 926.806 0 0 1 452.719 18zm-248.451 85.031c-50.21 23.874-13.672 118.814 13.906 89.143-35.226-18.294-28.924-53.796-13.906-89.143zm108.674 20.916c-16.06 35.543 11.916 92.332 34.105 68.46-25.374-13.178-29.19-35.289-23.732-59.835-3.98-2.367-7.535-5.372-10.373-8.625zm96.8 93.21c-6.62 9.127-10.404 18.653-12.056 28.863-1.13 26.049 5.105 49.14 13.08 67.959-3.346-30.078-4.224-61.953-1.023-96.823zm-60.255 77c-7.472 2.73-9.12 5.785-9.479 7.363.75 7.337 8.653 10.767 15.309 10.949 4.046.062 7.139-1.42 7.957-2.237 1.933-4.613-9.564-15.62-13.787-16.076zm62.262 28.1l-4.762 2.815c-23.848 14.095-32.7 36.992-35.526 60.219-2.826 23.227.957 45.666 2.594 56.31 1.062 20.913-14.167 38.535-25.943 52.399h64.117c-4.14-10.25-7.577-20.837-9.232-31.896-3.314-22.129 1.704-46.105 21.783-69.58-2.34-10.06-4.556-20.203-6.563-30.499-7.14 8.134-14.31 21.202-18.42 41.053l-17.625-3.65c6.152-29.715 18.6-48.73 32.254-58.63a567.2 567.2 0 0 1-2.678-18.54zM276.868 335.7c29.759 0 53.884 28.015 53.884 62.574 0 34.56-24.125 62.575-53.885 62.575-29.758 0-53.882-28.016-53.883-62.575 0-34.558 24.125-62.573 53.883-62.574zm-11.32 13.319c-44.316 32.71-28.725 83.256-2.323 96.683-9.495-25.612-10.397-54.51 2.324-96.683zm152.593 65.91c-10.101 15.546-11.615 29.75-9.405 44.511 1.674 11.178 5.946 22.694 11.108 34.561h18.068c-6.143-26.73-13.194-52.744-19.771-79.072z"}}]})(props);
};
function GiTreeGrowth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M184.5 18.95v.25c-18.1 38.63-45.1 72.36-77.7 103l37.7-4-51.3 65.1 24.8-7.9-33.6 54.8 16.5 9.9-65.3 92.1 36.1.2L20 416l63.6-8.1 12 32.1 66.4-25.3-11.3 78.4h52.9l-6.5-68.2 38.2 16.4 10.2-24.8 44.3 21 56.4-20.8-37.1-64.1-12.4-2.3c4.8 12.4 9.7 24.7 14.6 37.1-23.6-9.3-47.3-18.5-70.9-27.7v35.8c-27.8-17-55.7-33.7-83.5-50.6-13.3 12.9-26.4 26-39.6 39 1.3-16.6 2.8-33.3 4.3-49.9l18.2 1.6c4.8-4.8 9.6-9.5 14.4-14.2 22.6 13.5 45.1 27.3 67.6 40.9v-29.9c18.8 7.4 37.6 14.7 56.4 22.1-3.7-9.5-7.5-19.1-11.2-28.6 20.7 3.7 41.3 7.6 62 11.4l-34.5-39c-10.1 6-20.2 12.1-30.4 18-6.5-7.4-12.9-14.9-19.4-22.3l-18.2 4.5c-3.8-22.5-7.8-44.9-11.7-67.4 17.7 20.4 35.5 40.8 53.2 61.2l43.9-26c-24.6-19.6-49.6-48.8-49.6-48.8L265 261c-17.7-23.4-35.5-46.8-53.2-70.2-12 25.3-24 50.7-36.1 76-2.4-20.3-4.8-40.6-7.3-60.9l16.5-2c7.7-16.3 15.4-32.6 23.2-48.8 11.5 15 22.9 30.1 34.3 45.1-.5-8.6-1.1-17.2-1.6-25.8 12 4.5 24.1 8.9 36.2 13.3l-26.1-35.2-55.9-28.8c-6.2 14-12.4 28.1-18.6 42.1-5-14.8-10.1-29.7-15.1-44.5l16.9-5.8c2.5-5.9 5.1-11.7 7.7-17.52 19.5 9.92 38.9 20.02 58.3 30.02l16.4-5.5C217.2 88.23 196 53.65 184.5 18.95zM416 66.79L337.7 210.3l56-14L377.5 465h77l-16.2-268.7 56 14L416 66.79z"}}]})(props);
};
function GiTreeRoots (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M167.2 20.48L147 189.6s-44.4 17.3-60.77 33.7c-32.1 32.1-65.98 119.2-65.98 119.2l51.51-53.6L107.2 323l-18.73-51.5 6.76-7s51.27-44.3 80.97-39.7c36 5.6 78.8 75.7 78.8 75.7l-18.2 80.9c-54.1 26.1-106.6 55.2-159.39 83.9l79.29-22.2 12 47.9 15-50.3s38-30.2 60.8-31.5c20.8-1.1 58.4 22.5 58.4 22.5l-37.4 40.5 78.7-32.2-62.3-45c30.7-52.3 39.3-96.6 28.5-156.7 14-11.5 38.3-23.6 59.9-13.5l-18.2 30.5 46.7 59.4-15.4-53 10.3-21.2c26.2 23.9 42.8 62.7 44.2 96.8 1.5 34.9-48.4 92.9-48.4 92.9 63.4-39.8 78.2-86.1 67.7-133.4 11.4 1.2 23.2-1.9 36.3-4.2-30.9-10.9-39.8-21.6-51.4-37.3-7.7-15.6-17.4-31-28.2-46.2l1.9-16.9-30.4-22.9-37.5 9-25.5-157.82z"}}]})(props);
};
function GiTreeSwing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M327.467 19.992c.748 14.94 2.317 51.268 2.59 98.76 3.474-.286 6.557-.381 9.72 1.08 18.04 8.345 27.243 29.326 27.026 50.506-.217 21.18-11.283 44.136-36.104 54.307a41.62 41.62 0 0 1-2.486.923c-3.408 80.504-12.307 166.37-33.754 225.5-6.876 15.831-17.029 29.217-26.828 40.94l55.27.422c20.676-12.19 32.041-27.395 36.32-46.407l17.558 3.954c-3.67 16.312-11.99 30.662-24.511 42.677l143.052 1.094c-5.13-14.524-16.16-46.501-20.357-70.217C451.89 293.171 450.15 45 450.025 19.992zM18.279 38.984l.881 18.725c17.856 12.047 32.035 23.91 45.969 35.527 12.887-11.156 2.404-29.725-5.82-39.091-13.668-5.346-27.335-10.467-41.03-15.16zM86.723 65.13c4.77 14.56 3.347 29.656-7.477 39.746 24.105 19.479 50.832 38.151 97.1 55.635 13.836-22.588 12.08-43.852-3.338-60.739-29.03-10.9-57.703-22.997-86.285-34.642zm-31.721 42.988V400h17.996V122.723c-6.187-4.856-12.114-9.73-17.996-14.606zm145.264 1.434c3.253 8.283 4.54 16.754 3.982 25.043-.765 11.35-4.673 22.135-10.545 32.095 16.926 5.691 36.192 11.248 58.451 16.655l2.604.633 1.834 1.953c9.223 9.826 22.535 17.206 35.469 21.006 12.933 3.8 25.473 3.655 31.814 1.056 18.024-7.385 24.773-22.363 24.932-37.84.152-14.822-7.069-28.554-15.479-33.306-45.88-1.699-89.948-12.607-133.062-27.295zm-33.264 66.476V400h17.996V182.605a502.784 502.784 0 0 1-17.996-6.578zM32 419.002v17.996h176v-17.996z"}}]})(props);
};
function GiTrefoilLily (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M182.53 33.656c-30.402.31-60.104 25.67-57.655 56.844.895 11.393 4.828 22.11 11.25 31.813-11.477-10.676-22.322-21.627-32.063-32.75-17.582-3.415-44.45-10.41-67.343-10.594-5.284-.044-10.333.28-15.032 1.093 8.113 21.98 32.22 49.906 49.406 66.593 14.43 3.102 29.39 7.236 44.53 12.03-11.786-.796-23.196 1.168-33.655 6.158-36.125 17.236-37.668 75.304-2.657 96.97-8.335-22.065-.02-42.745 21.03-55.095 18.118-10.63 35.77-12.13 56.25-5.314.042.014.084.018.126.03 39.56 18.11 68.427 68.613 63.655 111.783-4.417 20.81-14.545 35.165-32.625 45.436-21.22 12.055-43.278 8.875-58.22-9.375 1.258 41.154 52.324 68.886 85.314 46.22 9.407-6.464 16.747-15.2 21.937-25.594-3.503 15.264-7.585 30.112-12.343 44.094 7.18 20.842 16.69 56.55 32.97 76.094 14.978-18.017 27.11-52.866 32.968-76.094-4.53-14.05-8.427-29.083-11.844-44.594 5.205 10.612 12.602 19.528 22.158 26.094 32.99 22.666 84.055-5.066 85.312-46.22-14.94 18.25-37.03 21.43-58.25 9.376-18.163-10.318-28.28-24.754-32.656-45.72-4.602-42.977 24.02-93.105 63.312-111.31 20.756-7.057 38.606-5.644 56.906 5.093 21.05 12.35 29.335 33.03 21 55.093 35.01-21.665 33.468-79.733-2.656-96.97-10.46-4.99-21.87-6.953-33.656-6.155 15.138-4.798 30.1-8.93 44.53-12.032 17.188-16.687 41.325-44.614 49.44-66.594-25.065-4.326-60.737 5.298-82.376 9.5-9.743 11.126-20.575 22.073-32.063 32.75 6.42-9.7 10.325-20.42 11.22-31.812 3.134-39.903-46.42-70.27-82.688-50.78 23.276 3.812 37.048 21.343 37.22 45.75.14 20.18-6.826 35.777-21.688 49.686l-.063-.094c-35.54 26.866-95.927 26.86-131.467 0l-.063.094c-14.85-13.905-21.797-29.515-21.656-49.687.17-24.407 13.943-41.938 37.22-45.75-7.935-4.264-16.52-6.15-25.033-6.064zm159.626 120.906c-3.087 2.5-6.178 4.986-9.28 7.438l-74.97 41.688-76.937-43.094c-2.473-1.963-4.916-3.976-7.376-5.97 15.658 8.235 34.41 14.076 55.22 16.814 18.92 4.05 38.854 4.058 57.78.03 20.955-2.73 39.822-8.607 55.562-16.905zM162 175.032c7.344 2.814 14.655 5.7 21.875 8.624l64.438 36.094v86.53c-.713 4.986-1.488 9.997-2.282 15-.62-15.827-4.128-32.85-10.624-50.155l-.03-.094c-6.063-22.786-18.308-44.236-34.845-61.06-11.844-14.57-24.957-26.348-38.53-34.94zm191.625 0c-13.267 8.397-26.085 19.85-37.72 33.968-.027.034-.064.06-.092.094-17.162 17.136-29.812 39.22-35.907 62.687-6.318 17.008-9.77 33.708-10.406 49.283-.87-5.484-1.71-10.972-2.5-16.438V220.03l67.03-37.28c6.48-2.61 13.022-5.2 19.595-7.72z"}}]})(props);
};
function GiTrefoilShuriken (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M220.094 27.688c-26.872-.036-50.823 6.838-74.125 18.625l-.157.812C70.522 86.93 19.124 165.858 19.124 257.063c0 6.59.332 13.085.875 19.5 7.276-8.357 15.818-15.872 26-21.75 13.382-7.727 27.847-12.19 42.344-13.72 4.425-49.566 25.685-94.32 58-128.53 41.687-32.344 93.704-55.56 153.28-67.282-29.822-12.154-55.82-17.56-79.53-17.593zm138.03 15.437c3.455 10.335 5.595 21.317 5.595 32.906 0 16.077-3.528 31.34-9.845 45.064 37.73 26.11 64.81 62.603 79.625 103.344 10.55 56.292 5.53 118.197-15.97 181.093 54.264-42.136 73.225-84.51 75.94-133.592.32-4.903.467-9.87.467-14.875 0-94.773-55.613-175.866-135.812-213.938zM160.813 124.22c-29.6 30.89-49.216 71.464-53.687 116.5.094.005.187.023.28.03 23.03 1.627 45.37 10.552 63.19 25.938 2.623 24.778 15.768 46.414 34.874 60.375 5.39 28.052-.712 57.203-16.47 80.718 41.77 10.37 86.995 7.1 128.47-11.717-10.642-21.43-14.025-46.166-9.126-70.032 18.074-13.773 30.528-34.53 33.344-58.25 17.844-16.04 40.438-25.365 64-27.03 4.524-.32 9.08-.316 13.656-.063-12.407-40.644-37.918-77.395-74.75-103.312-13.174 19.026-32.327 33.592-54.75 40.906-10.333-4.39-21.69-6.843-33.625-6.843-11.732 0-22.935 2.376-33.126 6.625-.01-.003-.022.004-.03 0-27.138-9.022-49.527-28.61-62.25-53.843zm95.094 70.218c34.775 0 62.97 28.162 62.97 62.937s-28.195 62.97-62.97 62.97-62.937-28.195-62.937-62.97 28.16-62.938 62.936-62.938zM51.28 325.405c9.353 68.066 36.573 105.64 77.72 132.53l.625-.217c36.79 23.387 80.423 37.06 127.22 37.06 50.05 0 96.018-15.642 134.217-42.092-10.772-2.214-21.397-5.922-31.437-11.72-13.048-7.532-23.9-17.428-32.344-28.843-42.115 19.633-87.96 24.486-131.124 16.25C143.6 409.052 93.93 374.245 51.28 325.405z"}}]})(props);
};
function GiTrenchAssault (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M302.938 103.787c-23.987-.107-49.665 9.404-71.407 31.096-48.334 50.449-60.164 116.385-37.379 194.633 21.796-78.993 53.341-198.239 136.471-154.493l-9.123 12.061c30.507 6.372 54.311 12.258 86.596 28.725-.523-38.412-8.753-65.834-34.053-98.596l-9.846 13.191c-14.977-16.782-37.273-26.51-61.26-26.617zm-3.987 17.387c10.942-.013 21.9 3.616 32.992 12.084l7.52-8.201c16.57 12.638 43.555 44.235 50.14 60.67-17.066-9.68-55.53-27.887-75.624-30.309l8.496-11.486c-54.848-22.199-116.854 54.451-126.016 134.734-8.795-44.906 29.853-120.103 54.25-137.832 16.294-11.84 32.25-19.64 48.242-19.66zm32.692 144.484v.385l-.293-.102-54.805 156.497h-127.36C130.06 372.15 111.268 317.793 93.11 265.94c-31.168-.21-48.539-.279-66.425-.267.113 66.096-.09 114.682-.09 174.828H493.63c-.108-58.181-.067-116.53-.067-174.813v-.03h-24.289l-6.08 7.47 9.514 32.185c-11.608-4.645-21.012-7.902-31.424-12.044l-27.781 18.972 1.793-33.52-17.031-13.064c-23.55-.024-46.218.005-66.623 0zM26.609 468.014c-1.071 6.018-.398 11.988 0 18.03h467.006v-18.03z"}}]})(props);
};
function GiTrenchBodyArmor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.182 418.778c9.878 0 48.383-.134 77.194-1.95a76.823 76.823 0 0 1-152.873.093c26.749 1.692 62.16 1.857 75.679 1.857zm119.173-76.69c-17.53 4.909-68.532 7.363-119.204 7.363-50.673 0-101.056-2.454-117.504-7.362-5.496-1.64-12.374-4.239-11.508-10.055l6.053-41.628a42.825 42.825 0 0 0 17.696 6.125c28.316 3.279 102.88 3.805 106.046 3.805h.134c3.166 0 77.731-.536 106.047-3.805a42.825 42.825 0 0 0 17.695-6.125l6.053 41.628c.846 5.816-5.98 8.528-11.508 10.065zM168.12 319.64a10.26 10.26 0 1 0-10.26 10.25 10.26 10.26 0 0 0 10.29-10.24zm192.315 0a10.26 10.26 0 1 0-10.26 10.25 10.26 10.26 0 0 0 10.291-10.24zm-.237-39.67c-27.728 3.207-104.211 3.527-104.211 3.527s-76.473-.31-104.201-3.527c-12.684-1.464-22.686-11.415-22.325-24.532 0 0 9.002-90.383 9.631-128.434.392-24.057-21.284-53.838 9.528-65.583l48.022-19.82V26s21.81 14.024 59.809 14.024c38 0 59.809-14.024 59.809-14.024v15.602l47.547 19.83c30.812 11.745 8.786 41.525 9.178 65.583.629 38.05 9.58 128.434 9.58 128.434.412 13.106-9.663 23.057-22.346 24.521zM168.15 85.86a10.26 10.26 0 1 0-10.26 10.26 10.26 10.26 0 0 0 10.26-10.26zm192.315 0a10.26 10.26 0 1 0-10.26 10.26 10.26 10.26 0 0 0 10.26-10.26zm-4.207 311.789c-13.292 3.093-57.323 4.66-101.056 4.66-43.732 0-87.238-1.505-99.437-4.598-7.476-1.898-12.178-5.208-11.59-11.168l2.413-25.78c31.894 4.806 89.455 5.228 108.573 5.228 38.278 0 83.918-1.454 110.275-5.33l2.382 25.892c.608 5.95-4.053 9.353-11.56 11.096zm-182.952-18.562a10.26 10.26 0 1 0-10.26 10.26 10.26 10.26 0 0 0 10.26-10.27zm182.004 0a10.26 10.26 0 1 0-10.26 10.26 10.26 10.26 0 0 0 10.26-10.27z"}}]})(props);
};
function GiTrenchKnife (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M42.91 346.36a33.74 33.74 0 0 1 12.23-2.73h.47c-5.63-10-7.62-20.86-5.5-30.31l-3.63-21.22 21.91-.08a36.12 36.12 0 0 1 13.21-2.38q1.85 0 3.77.17a47.69 47.69 0 0 1 8.5 1.55 47.69 47.69 0 0 1-1.55-8.5 37.48 37.48 0 0 1 2.2-16.94l-.06-21.82 21.24 3.47a35.11 35.11 0 0 1 7.82-.86 46.53 46.53 0 0 1 22.5 6.25 34 34 0 0 1 3-13.05l2.22-21.71 20.78 5.67q1.3-.11 2.61-.11c9.55 0 19.64 4.27 27.64 12.11l80.87 80.87a6.053 6.053 0 1 1-8.56 8.56l-18.3-18.3-147 147-8.4 8.4-.16.16-61.69-61.69-.63-.6a43 43 0 0 1-10.95-18 33.26 33.26 0 0 1-1.23-13.83l-4.78-20.78zM167.4 271.1c5.4 7.55 13.4 12 20.26 12a12.77 12.77 0 0 0 7.53-2.27c7.48-5.34 7.41-18.82-.17-29.43-5.39-7.55-13.39-12-20.25-12a12.77 12.77 0 0 0-7.53 2.27c-7.49 5.37-7.42 18.85.16 29.43zm-12.79 42.31c3.86-3.38 5.67-8.89 5.09-15.51-.66-7.54-4.24-15.37-10.08-22q-1-1.16-2.08-2.22c-7.27-7.27-16.3-11.34-23.93-11.34a15.69 15.69 0 0 0-10.56 3.61c-3.86 3.38-5.67 8.89-5.09 15.51.66 7.54 4.24 15.37 10.08 22 7.57 8.65 17.63 13.55 26 13.55a15.68 15.68 0 0 0 10.56-3.57zm-51.74 43.81c5.56 0 10.17-1.81 13.13-5.2 7-8 3.43-23.33-7.73-34.48q-1.06-1.06-2.22-2.07c-6.68-5.84-14.51-9.42-22-10.08q-1.21-.11-2.38-.11c-5.56 0-10.17 1.81-13.13 5.2-7.48 8.56-2.93 25.29 9.95 36.56 6.68 5.84 14.51 9.42 22 10.08q1.21.13 2.37.13zm-60.28 20.56a28.91 28.91 0 0 0 11.17 14.88 29.61 29.61 0 0 0 16.82 5.73c5.31 0 10-1.85 12.61-5.56 2.41-3.38 2.93-8 1.46-12.91a27.21 27.21 0 0 0-7-11.33 33.37 33.37 0 0 0-4.2-3.55 29.27 29.27 0 0 0-16.75-5.76h-.95c-5.15.21-9.32 2.19-11.74 5.57-2.42 3.38-2.91 8.01-1.43 12.95zm193.07-131.25l32.56 32.57 27.51-27.51 6.63 6.63C488.91 71.67 490.56 24.73 490.56 24.73s-46.94 1.67-233.48 188.2l6.08 6.08zM79.42 463.82l-20.35-20.35-16.49 16.49 3.16 3.14-9.15 24.17 23.51-9.81.13.13 2.68 2.71z"}}]})(props);
};
function GiTrenchSpade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M388.951 25.986a57.09 57.09 0 0 1 18.193 2.98l43.24 14.542a12.871 12.871 0 0 1 8.109 8.108l14.53 43.208a57.136 57.136 0 0 1-13.757 58.602l-81.652 81.651a11.507 11.507 0 0 1-16.271 0l-3.9-3.9a18.193 18.193 0 0 0 2.025-2.364 454.475 454.475 0 0 0 27.107-44.312c7.482-14.201 12.666-26.618 15.395-36.931 4.73-17.863 2.558-31.586-6.447-40.796-4.162-4.241-11.735-9.314-24.253-9.314-15.225 0-35.999 7.608-63.504 23.276-18.897 10.756-33.985 21.389-34.622 21.844a18.124 18.124 0 0 0-2.343 2.012l-3.9-3.9a11.507 11.507 0 0 1 0-16.272l81.639-81.696a57.136 57.136 0 0 1 40.411-16.738zm-17.715 89.622c4.742 0 8.62 1.136 11.257 3.842 18.477 18.875-37.933 98.923-37.933 98.923-4.89-4.89-12.325-10.347-19.716-10.347a14.372 14.372 0 0 0-10.438 4.548l-78.091 78.092-20.354-4.64-4.639-20.35 78.092-78.092c10.017-10.04 1.49-22.935-5.81-30.2 0 0 59.127-41.776 87.632-41.776zM196.11 280.548l2.172 9.494a18.193 18.193 0 0 0 13.689 13.689l9.494 2.172L66.827 460.54a17.931 17.931 0 1 1-25.354-25.355L196.11 280.548z"}}]})(props);
};
function GiTriangleTarget (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 65.16L32.34 440.8l61.79-35.7L247 137.6zm18 .38V137l158.3 271.3 62.7 36.1C412.2 318.2 338.6 191.8 265 65.54zM415.4 424.5l-321.3 1.4-62.72 36.2 445.82-1.9z"}}]})(props);
};
function GiTribalMask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208.906 18.688l22.375 248.468h66.19l17.124-248.47-105.688.002zm263.156 5.093C425.9 34.41 378.79 42.034 331.438 46.063l-5.156 74.782c6.96-3.386 14.792-5.28 23.033-5.28 28.118 0 51.468 22.157 51.468 49.75 0 27.59-23.35 49.78-51.467 49.78-10.656 0-20.626-3.197-28.907-8.656l-4.375 63.5c49.813-4.658 98.347-16.405 140.22-35.5 11.706-64.972 15.46-137.184 15.813-210.657zm-414.75.47c.54 72.185 5.904 143.733 18.907 208.438 39.154 19.32 86.55 31.668 136.5 36.812l-5.814-64.813c-8.734 6.52-19.66 10.407-31.406 10.407-28.118 0-51.47-22.19-51.47-49.78 0-27.593 23.352-49.75 51.47-49.75 8.578 0 16.708 2.067 23.875 5.717L192.687 47c-45.744-3.466-91.08-10.858-135.375-22.75zM81.25 255.625c5.254 22.24 11.47 43.552 18.844 63.625 3.833 10.436 7.945 20.523 12.375 30.25l24.155-67.188 2.406-6.718c-20.27-5.324-39.652-12-57.78-19.97zm370.594 1.094c-19.698 8.17-40.49 14.915-61.97 20.186l4.782 10.688 27.75 62.03c4.53-10.134 8.702-20.657 12.5-31.562 6.75-19.376 12.32-39.912 16.938-61.343zM152.938 279l1.187 3.063 35.906 91.718 35.47-72.655 5.313-10.875c-26.643-1.772-52.83-5.524-77.875-11.25zm227.812.03c-22.253 4.998-45.168 8.462-68.28 10.44l5.436 11.842 30.125 65.532 29.314-78.688 3.406-9.125zm-74.97 11c-22.536 1.645-45.234 1.87-67.655.69l4.438 11 28.187 69.842 30.094-70.03 4.937-11.5zm-159.967 22.033l-21.782 60.625c3.623 6.662 7.402 13.115 11.376 19.343 15.39 4.535 30.76 8.29 46.125 11.283l-1.155-2.907-34.563-88.344zm241.093 4l-29.187 78.406-3.19 8.5c15.224-3.122 30.45-7.055 45.69-11.876 4.05-6.318 7.87-12.87 11.5-19.625l-24.814-55.408zm-153.812 12.125l-35.625 72.906-2.282 4.687c23.9 3.938 47.784 5.975 71.656 6.033l-5.03-12.47-28.72-71.156zm76.625 0L279.06 399.53l-5.25 12.25c23.708-.325 47.41-2.653 71.125-6.967l-4.468-9.72-30.75-66.906zm72.686 87.437c-76.626 19.9-153.423 19.205-229.937.313 28.78 36.042 65.446 62.172 112.06 75.156 50.554-13.98 88.787-40.065 117.876-75.47z","fillRule":"evenodd"}}]})(props);
};
function GiTribalPendant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M50.826 18C63.09 37.645 78.948 61.515 97.252 85.465c8.806 11.522 18.178 23.057 27.992 34.156a27.138 27.138 0 0 1 5.83-7.068 27.138 27.138 0 0 1 7.824-4.688c-9.537-10.77-18.713-22.036-27.345-33.33C96.514 54.86 83.159 35.21 72.133 18zm389.041 0c-11.026 17.21-24.381 36.859-39.42 56.535-8.631 11.294-17.806 22.559-27.343 33.328a27.132 27.132 0 0 1 7.824 4.688 27.133 27.133 0 0 1 5.83 7.068c9.813-11.098 19.184-22.633 27.99-34.154 18.304-23.95 34.163-47.82 46.426-67.465zm-78.385 105.752a19.11 19.11 0 0 0-3.462.459c-4.923 1.087-10.623 4.336-15.194 9.654-4.571 5.318-6.93 11.445-7.265 16.475-.336 5.03 1.081 8.54 3.648 10.746 2.567 2.206 6.247 3.079 11.17 1.992 4.923-1.087 10.626-4.338 15.197-9.656 4.571-5.318 6.929-11.443 7.264-16.473.335-5.03-1.08-8.541-3.647-10.748-1.925-1.655-4.477-2.559-7.71-2.45zm-210.964.002c-3.233-.11-5.784.794-7.71 2.45-2.566 2.206-3.983 5.715-3.648 10.745.335 5.03 2.695 11.155 7.266 16.473 4.57 5.318 10.27 8.57 15.193 9.656 4.923 1.087 8.607.216 11.174-1.99s3.98-5.718 3.645-10.748c-.336-5.03-2.691-11.155-7.262-16.473s-10.275-8.57-15.197-9.656a19.083 19.083 0 0 0-3.461-.457zm43.199 35.035c-1.272 5.96-4.184 11.532-8.965 15.738 12.015 8.42 24.372 15.304 36.965 19.95l-4.297-21.487c-7.848-3.8-15.778-8.584-23.703-14.2zm124.568 0c-7.925 5.617-15.857 10.402-23.705 14.201l-4.297 21.487c12.593-4.646 24.95-11.53 36.965-19.95-4.781-4.206-7.69-9.778-8.963-15.738zM234.98 169l12.4 62h17.242l12.4-62zm-8.141 51.082c-2.807 3.896-5.507 8.361-8.043 13.434C208.032 255.04 201 285.87 201 320c0 34.13 7.032 64.959 17.795 86.484C229.558 428.01 243.19 439 256 439c12.81 0 26.442-10.99 37.205-32.516C303.968 384.96 311 354.13 311 320c0-34.13-7.032-64.959-17.795-86.484-2.536-5.073-5.236-9.538-8.043-13.434L279.38 249H232.62zm-43.127 8.217a86.606 86.606 0 0 0-4.041.058c-28.134 1.064-52.15 15.419-73.293 35.168-19.685 18.388-35.63 41.18-48.29 61.676 21.541-12.732 46.572-26.079 70.741-35.183 18.61-7.01 36.408-11.642 52.168-10.774 1.722.095 3.422.274 5.102.518 2.933-18.506 7.86-35.372 14.42-49.733-5.759-1.105-11.364-1.682-16.807-1.73zm144.578 0c-5.443.048-11.048.625-16.807 1.73 6.56 14.36 11.487 31.227 14.42 49.733 1.68-.244 3.38-.423 5.102-.518 15.76-.868 33.558 3.763 52.168 10.774 24.17 9.104 49.2 22.451 70.74 35.183-12.66-20.495-28.604-43.288-48.289-61.676-21.143-19.75-45.159-34.104-73.293-35.168a86.606 86.606 0 0 0-4.04-.058zM235.916 263h40.168L295 284.62v69.962l-39 62.398-39-62.398V284.62zm8.168 18L235 291.38v58.038l21 33.6 21-33.6v-58.037L267.916 281zm-61.055 41.436c-35.701 3.372-54.91 22.392-68.078 47.367-9.357 17.748-14.703 38.448-18.797 58.22 14.458-18.095 29.949-35.572 45.639-48.222 12.3-9.918 24.722-17.233 37.904-18.688a34.251 34.251 0 0 1 6.535-.076c-1.98-12.225-3.083-25.174-3.203-38.601zm145.942 0c-.12 13.427-1.222 26.376-3.203 38.601a34.246 34.246 0 0 1 6.535.076c13.182 1.455 25.603 8.77 37.904 18.688 15.69 12.65 31.181 30.127 45.639 48.222-4.094-19.772-9.44-40.472-18.797-58.22-13.168-24.975-32.377-43.995-68.078-47.367zm-92.84 129.7L256 491.874l19.87-39.736C269.69 455.27 263.05 457 256 457c-7.05 0-13.69-1.729-19.87-4.863z"}}]})(props);
};
function GiTriceratopsHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M197.479 59.813c-5.975-10.707-12.128-21.381-23.147-31.17-3.266 14.104-12.787 25.802-21.957 37.634-3.49-14.265-20.643-19.598-35.787-26.244-1.483 11.404-2.6 22.726-8.158 35.035-7.585-6.947-20.79-9.806-33.328-13.15 3.502 14.433 2.293 29.338 1.242 44.227l-40.453 3.42 19.314 36.359-38.379 22.781 30.363 22.191-30.039 25.538 30.627 15.26-28.494 24.224 25.434 12.672-16.045 22.228c-3.382-.12-6.748-.194-10.088-.207C17.384 357.016 18 426.512 18 494h132.2c22.992-13.75 43.804-28.112 59.321-44.172-32.829-3.25-51.774-9.921-62.783-21.164-24.535-22.661 9.547-47.633 2.143-67.289-4.652-6.38-11.538-7.695-18.635-9.184-36.095 20.677-56.727 35.6-86.781 56.211-1.207-27.584 3.857-56.846 13.139-78.724-7.633-8.89-13.152-19.953-17.084-32.137l20.539 3.447c1.69 3.87 3.584 7.442 5.689 10.69 6.396-8.455 13.321-25.704 23.383-24.194 24.704 3.716 43.28 22.49 50.105 48.262 10.708 2.88 22.655 10.32 26.33 18.879 7.813 23.009-19.866 46.884-5.966 61.445 7.712 7.877 34.521 17.07 94.798 18.102 3.194-.38 4.02.475 6.166 2.592 21.499 17.817 42.34 34.325 67.122 42.613 1.716-24.108-23.276-41.757-40.71-52.389l9.254-15.437c26.32 17.04 56.79 46.733 56.515 79.483 32.58-21.474 32.567-61.684 29.476-92.858a42.244 42.244 0 0 1-14.202-2.53c-9.572-3.47-17.504-9.83-23.279-17.187-5.775-7.357-9.65-15.737-9.603-24.645 0-.037.005-.075.006-.113-1.19-4.784-1.603-9.773-1.41-14.773-3.96-6.207-8.067-13.32-10.633-21.903-49.9 3.927-65.214-41.983-58.28-66.865-41.662-13.957-69.213-54.133-68.21-95.09l17.986.71c2.176 31.16 16.438 59.117 42.582 72.439-34.508-45.38-6.576-103.394-13.322-147.237-3.146-20.442-7.997-42.573-15.65-58.798zm-22.807 21.335c16.791-.124 34.104 3.915 50.771 12.735l-8.418 15.91c-37.802-20.004-77.088-11.273-103.593 16.297-26.505 27.57-39.949 74.495-21.287 132.418l-17.133 5.52c-20.325-63.088-6.065-117.64 25.443-150.413 19.693-20.483 46.23-32.259 74.217-32.467zm279.623 26.79c-63.489 18.759-116.15 42.119-157.936 101.646 34.835-33.685 71.421-52.248 110.155-62.916 14.047-12.303 29.838-24.61 47.78-38.73zm35.478 43.632c-77.59 5.823-141.897 20.993-203.654 95.662-16.245 26.922 4.404 50.691 28.852 52.434 6.183.22 8.903-1.557 9.539-2.777 26.375-50.656 51.76-79.157 83.547-101.057 23.068-15.893 49.298-28.427 81.716-44.262zM91.353 306.408c-14.442 18.208-24.891 43.897-28.546 67.006 18.525-12.726 34.965-23.67 58-36.459-5.15-16.35-15.47-26.778-29.453-30.547zm181.772 19.108l-14.082 11.21c-5.925-8.305-14.206-9.836-21.555-7.585l-5.412-17.168c16.261-5.246 31.306 1.66 41.049 13.543zm181.977-6.428c-28.968 16.529-59.9 32.96-99.637 30.66-6.28 18.741 20.989 35.328 36.492 28.281 26.91-15.945 52.604-31.054 63.145-58.941zm-235.498 5.488c14.446 34.744 37.707 36.327 58.095 13.608l13.49 11.918c-28.908 38.081-82.138 14.665-89.394-22.914zm91.44 55.133l15.628 8.934c-3.773 6.087 6.303 9.457 10.334 10.943l-6.094 16.937c-17.03-6.242-28.59-20.687-19.867-36.814z"}}]})(props);
};
function GiTridentShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 27.93l-77 92.47-5.8-2c-40.9-13.6-71.3-27.85-99.6-51.64 1.29 28.41 4.96 62.54 11.24 95.44 7.89 41.4 20.06 80.8 34.66 102.7 15.5 23.2 31.5 38.4 38.8 55.5 3.6 8.5 4.4 18.5.1 27.7-3.9 7.9-10.9 14.9-21.1 22.2 1.3 19.6 11.7 39.8 31.1 59.2 20.2 20.3 50.1 39.2 87.6 54.6 37.5-15.4 67.4-34.3 87.6-54.6 19.4-19.4 29.8-39.6 31.1-59.2-10.2-7.3-17.2-14.3-21.1-22.2-4.3-9.2-3.5-19.2.1-27.7 7.3-17.1 23.3-32.3 38.8-55.5 14.6-21.9 26.8-61.3 34.7-102.7 6.2-32.9 9.9-67.03 11.2-95.44-28.3 23.79-58.7 38.04-99.6 51.64l-5.8 2zm0 77.87l30.6 61.1H265v62h50.5l43.9-58.6-6.7-5-11.7-8.7 61-30.7-11.9 67.2-16.2-12.1-49.4 65.9H265v142h21.6L256 450l-24.1-48.1-6.5-13H247v-142h-59.5L138.1 181l-16.2 12.1-11.9-67.2 48 24.2 13 6.5-18.4 13.7 43.9 58.6H247v-62h-21.6z"}}]})(props);
};
function GiTrident (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M17.156 16.438v41.656L192.78 234.22l-51.436 51.405-11.97 12L140.782 309l106.69 106.688-24.532 24.53 125.75 53.844-53.875-125.718-23.407 23.406-94.72-94.72 48.44-48.436 135.78 135.75-23.97 23.937 125.72 53.876-53.844-125.72-23.968 23.97-135.78-135.75 48.467-48.47 94.72 94.72-23.375 23.406 125.72 53.844-53.876-125.72-24.533 24.533L309.5 140.28l-11.406-11.374-11.97 11.97-51.468 51.436L58.812 16.438H17.157z"}}]})(props);
};
function GiTriforce (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 59.72L142.687 256h226.625L256 59.72zM369.313 256L256 452.28h226.625L369.312 256zM256 452.28L142.687 256 29.376 452.28H256z"}}]})(props);
};
function GiTriggerHurt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.25 121.03A60 60 0 0 0 196 181a60 60 0 0 0 120 0 60 60 0 0 0-61.75-59.97zM136 271l-60 60H46c-15 0-30 15-30 30v30h480v-30c0-15-15-30-30-30h-30l-60-60-60 60-60-60-60 60-60-60z"}}]})(props);
};
function GiTrilobite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160.75 19.813c-20.646.25-41.612 7.79-60.313 20.812-53.193 37.04-89.84 119.422-56.75 216.78 14.02 41.247 17.176 76.314 12.532 102.876-4.645 26.563-16.63 44.325-33.407 53.533l8.968 16.375c22.472-12.332 37.482-36.012 42.845-66.688 5.363-30.676 1.525-68.624-13.25-112.094-30.714-90.37 3.892-163.527 49.72-195.437 22.912-15.957 48.175-21.373 69.874-14.595 8.79 2.746 17.236 7.494 24.905 14.656 6.87-1.905 13.903-3.405 21.063-4.53-11.533-13.967-25.36-23.27-40.407-27.97-7.074-2.21-14.334-3.396-21.655-3.655-1.373-.05-2.75-.08-4.125-.063zm190.25 0c-.688.01-1.376.038-2.063.062-7.32.26-14.58 1.446-21.656 3.656-14.853 4.64-28.525 13.77-39.967 27.44 7.332 1.015 14.52 2.423 21.562 4.25 7.433-6.704 15.552-11.206 24-13.845 21.7-6.778 46.93-1.362 69.844 14.594 45.826 31.91 80.432 105.067 49.717 195.436-14.774 43.47-18.613 81.418-13.25 112.094 5.364 30.676 20.375 54.356 42.844 66.688l9-16.375c-16.775-9.208-28.792-26.97-33.436-53.532-4.644-26.56-1.488-61.628 12.53-102.874 33.09-97.36-3.524-179.74-56.718-216.78-18.7-13.023-39.694-20.563-60.344-20.813-.688-.01-1.374-.012-2.062 0zM258.875 67.72c-45.568 0-85.98 15.268-115.344 46.28-18.403 19.437-32.584 45.278-40.624 78 2.796-2.137 5.747-4.206 8.875-6.156 20.045-12.495 47.272-21.908 78.97-27.53l.813-.158h4.468l2.157 1.25c16.93 9.77 38.155 16.125 60.907 16.125 22.986 0 43.854-6.19 60.844-16.093l2.968-1.718 3.344.56c31.974 5.568 59.492 14.963 79.75 27.44 3.09 1.9 6.01 3.915 8.78 6-8.05-32.59-22.21-58.338-40.56-77.72-29.365-31.012-69.777-46.28-115.345-46.28zm-67.063 109.436c-28.934 5.36-53.488 14.142-70.156 24.53-17.108 10.666-25.03 22.14-25.03 32.5h-.25c-.45 6.048-.75 12.255-.845 18.658 9.775-9.317 22.855-17.17 38.532-23.75 16.838-7.066 36.7-12.63 58.625-16.375-.517 6.294-.938 12.71-1.312 19.218-18.94 3.514-35.94 8.447-50.063 14.375-14.73 6.182-26.31 13.498-33.78 20.906-7.315 7.252-10.587 14.128-10.72 20.905.003.03-.002.063 0 .094.635 7.003 1.506 13.89 2.563 20.686.893-.988 1.816-1.96 2.78-2.906 9.418-9.24 22.25-16.933 37.69-23.344 14.618-6.07 31.61-10.955 50.31-14.437-.018 2.17-.03 4.343-.03 6.53 0 4.218.038 8.402.094 12.563-16.265 3.207-30.918 7.485-43.22 12.593-13.886 5.766-24.762 12.58-31.75 19.438-6.69 6.563-9.663 12.7-9.906 18.687 1.997 7.853 4.237 15.54 6.78 22.97 1.404-1.7 2.936-3.34 4.564-4.906 8.68-8.356 20.432-15.226 34.53-20.97 11.845-4.823 25.412-8.8 40.22-11.812.345 6.382.74 12.67 1.218 18.844-12.858 2.73-24.48 6.208-34.406 10.25-12.562 5.117-22.362 11.158-28.594 17.156-5.302 5.104-7.876 9.803-8.53 14.282 4.204 9.452 8.844 18.456 13.905 26.906 1.72-2.303 3.7-4.468 5.876-6.47 7.432-6.83 17.324-12.346 29.125-16.936 7.987-3.107 16.865-5.79 26.47-7.97.837 6.367 1.76 12.573 2.75 18.595-8.278 1.923-15.823 4.207-22.438 6.78-10.306 4.01-18.314 8.745-23.25 13.28-4.503 4.14-6.255 7.63-6.53 10.72 6.897 9.326 14.325 17.786 22.187 25.25 1.29-1.478 2.736-2.842 4.25-4.063 5.613-4.53 12.744-7.94 21.155-10.812 3.854-1.316 8-2.51 12.375-3.563 1.613 6.326 3.34 12.347 5.156 18-4.177.962-8.04 2.04-11.5 3.22-7.036 2.402-12.41 5.276-15.437 7.718-.742.598-1.308 1.13-1.75 1.594 22.71 17.092 48.362 26.562 75.405 26.562 26.61 0 51.873-9.172 74.313-25.75-.472-.624-1.215-1.42-2.438-2.406-3.026-2.442-8.432-5.316-15.47-7.72-3.25-1.11-6.887-2.11-10.78-3.03 1.846-5.656 3.576-11.668 5.22-18 4.09 1.01 7.995 2.136 11.624 3.375 8.41 2.872 15.51 6.283 21.125 10.813 1.834 1.48 3.54 3.173 5.03 5.03 8.788-8.207 17.033-17.647 24.625-28.156-.737-2.598-2.538-5.483-6.125-8.78-4.935-4.537-12.944-9.273-23.25-13.282-7.288-2.835-15.713-5.317-25-7.344 1-6.013 1.903-12.207 2.75-18.562 10.58 2.264 20.35 5.123 29.03 8.5 11.803 4.59 21.663 10.107 29.095 16.937 1.763 1.622 3.372 3.367 4.844 5.19 4.768-8.078 9.16-16.648 13.155-25.626-.655-4.48-3.23-9.178-8.53-14.28-6.233-6-16.065-12.04-28.626-17.158-10.093-4.11-21.953-7.624-35.064-10.375.49-6.184.898-12.448 1.25-18.842 15.063 3.022 28.858 7.042 40.875 11.937 14.1 5.743 25.85 12.613 34.533 20.97 1.627 1.565 3.16 3.204 4.562 4.905 2.456-7.176 4.646-14.586 6.594-22.156h-1.564c0-6.24-2.95-12.644-9.937-19.5-6.99-6.857-17.897-13.672-31.783-19.438-12.01-4.986-26.264-9.19-42.062-12.375.06-4.232.094-8.485.094-12.78 0-2.113-.014-4.215-.033-6.313 18.243 3.468 34.842 8.276 49.157 14.22 15.44 6.41 28.27 14.104 37.687 23.343 1.53 1.5 2.97 3.054 4.314 4.656 1.186-7.36 2.154-14.83 2.844-22.437v-.095c-.133-6.777-3.405-13.653-10.72-20.906-7.47-7.41-19.05-14.725-33.78-20.908-14.295-5.998-31.504-10.973-50.72-14.5-.374-6.496-.826-12.9-1.343-19.187 22.197 3.746 42.3 9.33 59.313 16.47 15.677 6.578 28.756 14.432 38.53 23.75-.12-8.078-.537-15.866-1.218-23.376-2.06-9.098-10.045-18.77-24.78-27.845-16.722-10.298-41.312-18.954-70.19-24.28-19.17 10.455-42.02 16.874-66.936 16.874-24.938 0-48.096-6.622-67.28-17.064zm113.938 37.03c.552 6.737 1.022 13.588 1.406 20.564-14.747 7.02-32.27 10.037-49.687 9.938-16.666-.095-33.324-3.06-47.564-9.282.373-6.835.84-13.55 1.375-20.156 12.04 6.664 29.156 10.652 46.282 10.75 18.163.103 36.2-4.176 48.188-11.813zm2.5 55.69c.01 1.622.03 3.242.03 4.874 0 5.7-.07 11.345-.186 16.938-14.94 7.35-32.83 10.507-50.625 10.406-17.025-.097-34.033-3.19-48.47-9.688-.122-5.83-.188-11.71-.188-17.656 0-1.193.026-2.375.032-3.563 12.092 7.523 30.394 12.115 48.72 12.22 19.474.11 38.802-4.83 50.686-13.532zm-1.53 55.312c-.478 7.605-1.045 15.068-1.72 22.343-14.235 6.408-30.902 9.158-47.5 9.064-15.85-.09-31.69-2.794-45.406-8.47-.65-7.073-1.223-14.3-1.688-21.687 11.908 7.076 29.543 11.37 47.188 11.47 18.773.106 37.374-4.534 49.125-12.72zM301 381.313c-1.094 7.552-2.3 14.82-3.594 21.78-12.44 4.234-26.21 6.11-39.937 6.032-13.043-.074-26.065-1.916-37.94-5.688-1.254-6.85-2.436-13.98-3.5-21.406 11.578 5.232 26.547 8.322 41.532 8.408 15.906.09 31.702-3.183 43.438-9.125zm-75.063 51.5c7.966 4.054 20.26 6.72 32.5 6.78 12.307.062 24.534-2.53 32.375-6.718-2.17 8.255-4.473 15.77-6.906 22.5-8.14 2.06-16.85 2.95-25.562 2.906-8.772-.042-17.526-1.03-25.656-3.124-2.374-6.685-4.637-14.166-6.75-22.344z"}}]})(props);
};
function GiTrinacria (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M264.8 40.41c-43.4 3.83-98.3 32.01-146.8 54.41h-.1l-.1.11c-5.9 2.58-9.1.51-12.1-.73s-5.9-2.9-9-4.87c-6.36-3.95-13.6-9.17-20.76-14.29-7.15-5.11-14.25-10.1-19.59-13.26-1.41-.83-2.13-1.09-3.2-1.63l-4.46 7.67c4.65 9.52 13.82 24.61 23.63 37.58 5.6 7.4 11.37 14.2 16.25 18.8 4.85 4.6 9.43 6 8.13 6 1.8.1 1.9 0 3.9-2 2.1-2.1 4.9-6.2 8.9-10.6l2.4-2.6 3.5-.4c17.6-1.8 38.5-.9 57.8-4.6 19.1-3.6 35.7-10.83 47.2-28.38 0-.11.1-.13.1-.23l15.4 10.37c0 .1-.1.12-.1.23-10 14.41-20.7 35.41-29.2 55.31 9.8-3.8 20.3-5.8 31.4-5.8 8.6 0 16.9 1.2 24.7 3.5 2.6-12.5 4.5-25.2 5.6-37.3 2.1-21.05 2-40.43.1-53.46-.8-6.52-2.4-11.48-3.5-13.62l-.1-.21zm197.5 99.49c-1.6 0-3.1 0-4.8.2-8.7.2-18.6.8-27.8 1.9-9.3 1.2-17.9 2.8-24.4 4.7-5.9 1.8-9.5 4.6-9.4 4.3-.7 1.2-.7 1.6 0 4.2.7 2.9 2.8 7.2 4.7 12.8l1.2 3.4-1.5 3.3c-7.4 16.2-18.6 34-25 52.4-6.5 18.4-8.5 36.4 1.1 55.1 0 .1.1.2.1.3l-16.7 8.1c-.1-.1-.1-.2-.1-.3-7.5-15.7-20.2-35.2-33-52.4-1.7 20.1-10 38.2-22.8 52.3 8.5 7.3 17.3 14.3 26 20.5 17.2 12.2 34 21.9 46.3 26.8 6 2.4 11 3.7 13.5 3.8h.2c18.2-39.5 21.3-101.4 26.2-154.4.6-6.5 4-8.3 6.6-10.3 2.6-2 5.5-3.7 8.7-5.5 6.6-3.5 14.8-7.1 22.8-10.8 8.1-3.6 15.9-7.2 21.3-10.3 1.5-.7 2-1.3 3-2l-4.3-7.6c-3.5-.2-7.4-.5-11.9-.5zM395.9 151c.1-.1.1-.1.1-.2-.1.1-.1.1-.1.2zM238 159.5c-39.3 0-71 31.7-71 71s31.7 71 71 71 71-31.7 71-71-31.7-71-71-71zM190 215h96v18h-96v-18zm-38.6 36.1c-9.7 3.5-19.2 7.3-28.2 11.4-19.3 8.8-35.96 18.5-46.32 26.7-5.17 4-8.71 7.8-10 9.8-.12.2 0 .1-.12.2 24.99 35.6 76.94 69.2 120.54 100h.1c5.2 3.8 5 7.7 5.5 10.9.4 3.2.4 6.5.3 10.2-.2 7.5-1.2 16.4-2 25.2-.8 8.7-1.7 17.4-1.7 23.6-.1 1.6.1 2.4.1 3.6h8.8c5.9-8.8 14.4-24.3 20.8-39.3 3.7-8.5 6.6-16.9 8.1-23.5 1.6-6.3.6-11.1 1.2-10.2-.8-1.3-1-1.4-3.8-2.1-2.8-.8-7.6-1.2-13.5-2.4l-3.5-.7-2.1-3c-10.3-14.4-20.1-32.9-32.7-47.8-12.8-14.8-27.2-25.5-48.3-26.7h-.3l1.4-18.6h.3c15 1.3 34.4.5 53.1-1.3-13.5-12-23.4-27.9-27.7-46zm86.6.9a32 16 0 0 1 32 16 32 16 0 0 1-32 16 32 16 0 0 1-32-16 32 16 0 0 1 32-16z"}}]})(props);
};
function GiTriorb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M133.813 38.28C70.838 38.28 20.406 89.5 20.406 152.47c0 62.972 50.432 113.405 113.406 113.405 12.027 0 23.638-1.835 34.532-5.25-.437-.958-.844-1.932-1.25-2.906l-69.78-120.876-8.19-13.625 16-.345h138.97c-13.07-48.662-57.543-84.596-110.28-84.594zm247.843 0c-52.74 0-96.672 35.93-109.562 84.595H426.47l-8.19 14.28-71.124 123.314c-.004.007.004.02 0 .03-.013.03-.017.064-.03.094 10.874 3.434 22.47 5.28 34.53 5.28 62.975 0 114.156-50.432 114.156-113.405 0-62.972-51.18-114.19-114.156-114.19zm-260.53 103.314l39.093 67.562c3.127-27.534 17.792-51.71 39-67.562h-78.095zm125.405 0c-38.53 5.45-68.186 38.596-68.186 78.625 0 11.152 2.282 21.772 6.437 31.405l1.064 1.844c36.87-18.726 62.156-56.763 62.156-101 0-3.67-.19-7.295-.53-10.876h-.94zm22.25 0c-.334 3.58-.53 7.206-.53 10.875 0 44.112 24.748 82.062 61.22 100.843l1.75-3.032c3.8-9.275 5.905-19.42 5.905-30.06 0-40.03-29.657-73.175-68.188-78.626h-.156zm47.47 0c21.134 15.798 35.742 39.864 38.938 67.28l38.937-67.28H316.25zm-58.5 109.28c-23.044 0-44.42 6.85-62.25 18.626.005.006-.005.025 0 .03 14.546 18.33 37.014 30.095 62.22 30.095 25.257 0 47.766-11.823 62.31-30.22-17.92-11.708-39.308-18.53-62.28-18.53zm-77.094 30.345c-22.37 20.864-36.312 50.707-36.312 83.81 0 62.974 50.43 113.408 113.406 113.408 62.975 0 114.156-50.434 114.156-113.407 0-33.095-14.16-62.915-36.72-83.78l-69.06 119.72-8.5 13.967-7.813-13.968-69.157-119.75zm38 28.936l38.97 67.344 38.905-67.22c-11.92 5.183-25.052 8.064-38.81 8.064-13.87 0-27.07-2.93-39.064-8.188z"}}]})(props);
};
function GiTripleBeak (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M321.457 34.094c-.202 1.93-.294 3.07-.54 5.27-1.51 13.56-3.863 31.932-7.25 51.327-3.385 19.396-7.785 39.79-13.532 57.59-5.747 17.8-12.344 33.076-22.885 42.777-16.16 14.868-43.368 21.36-64.744 18.402-11.006-1.524-21.233-7.727-31.85-15.81-10.6-8.07-21.425-18.31-31.947-29.058-21.74-21.757-26.344-49.552-17.33-72.705 7.058-18.135 21.882-33.398 41.475-42.82-10.92-5.51-23.25-7.14-34.812-4.608-2.986.653-5.33 1.175-7.387 1.944h-.004c-7.268 2.716-14.464 7.406-20.216 13.364v.002c-7.268 7.525-9.54 17.93-13.657 30.626-3.567 11-7.106 21.985-10.583 32.97 12.12 5.532 21.053 16.466 26.004 29.443 5.817 15.243 6.63 33.637 1.66 52.19-4.972 18.554-14.873 34.078-27.532 44.37-10.683 8.688-23.754 13.685-36.9 12.534-1.922 10.102-3.64 20.247-5.115 30.446 1.797-.812 2.85-1.32 4.91-2.23C61.803 284.55 79 277.276 97.59 270.42c18.59-6.855 38.542-13.3 56.892-17.193 18.35-3.895 34.933-5.744 48.622-1.072 22.058 7.527 40.21 25.817 47.777 47.77 7.098 20.583 1.257 48.603-6.884 77.74-7.98 29.74-29.922 47.663-54.625 51.516-19.37 3.02-40.172-2.124-58.214-14.4 1.436 22.502 17.423 42.414 40.602 48.193 10.465 2.61 20.08-.14 32.892-2.872 12.215-2.603 24.41-5.24 36.57-7.95-.75-12.738 4.2-25.34 12.622-35.694 10.294-12.658 25.816-22.56 44.37-27.53 9.276-2.486 18.513-3.524 27.337-3.215 8.822.31 17.232 1.967 24.854 4.875 12.164 4.64 22.525 12.788 28.332 23.77 9.207-3.25 18.354-6.672 27.428-10.305-11.19-8.05-26.56-19.445-45.18-35.028-15.1-12.636-30.535-26.655-43.01-40.566-12.477-13.91-22.33-27.322-25.228-41.43-4.525-22.025 1.693-49.892 15.942-66.657 14.1-16.588 41.71-25.365 70.996-32.88 29.747-7.96 56.285 2.045 72.045 21.484 12.35 15.235 18.354 35.8 16.774 57.556 18.63-12.516 27.63-36.35 21.035-59.342-2.96-10.32-10.267-17.337-19.06-27.09-7.82-8.676-15.65-17.308-23.517-25.88-9.88 5.055-21.557 6.38-33.084 4.53-16.11-2.585-32.447-11.08-46.028-24.66-13.583-13.583-22.076-29.92-24.66-46.03-1.815-11.31-.576-22.767 4.245-32.525-8.488-7.334-17.135-14.492-25.98-21.44zm-64.06 15.254c-15.734-.033-31.723 1.863-39.09 4.447l-23.35 6.85c-23.017 6.146-39.594 21.177-46.152 38.025s-4.172 35.405 13.148 52.725l.035.035.035.035c6.1 6.23 12.253 12.203 18.23 17.54 13.744-14.476 31.505-25.465 52.153-30.997 9.798-2.625 19.647-3.862 29.338-3.832 1.385.004 2.765.034 4.143.09 6.196.25 12.312 1.028 18.297 2.28 4.474-15.147 8.16-32.44 11.064-49.07 2.052-11.755 3.68-23.032 5.006-33.19-11.63-2.683-23.57-4.313-35.693-4.79-2.38-.094-4.768-.143-7.162-.148zm132.744.34c-.678-.013-1.347-.01-2.007.01-7.927.23-14.553 2.874-19.37 7.69-6.42 6.422-8.982 16.06-7.113 27.712 1.87 11.65 8.422 24.773 19.42 35.77 10.998 10.998 24.12 17.55 35.772 19.42 11.65 1.87 21.288-.688 27.71-7.11 6.422-6.422 8.98-16.06 7.112-27.71-1.87-11.652-8.422-24.774-19.42-35.773-10.997-10.997-24.12-17.55-35.77-19.42-2.184-.35-4.298-.545-6.333-.588zM68.003 138.194c-6.837.09-13.97 2.95-20.836 8.534-9.155 7.444-17.242 19.68-21.268 34.703-4.025 15.022-3.14 29.664 1.067 40.69 4.206 11.024 11.24 18.092 20.014 20.442 8.77 2.35 18.398-.252 27.553-7.697 9.155-7.444 17.244-19.68 21.27-34.703 4.025-15.022 3.137-29.665-1.07-40.69-4.205-11.024-11.24-18.092-20.012-20.443-2.192-.588-4.44-.866-6.718-.837zm333.08 65.07c-5.147-.017-10.673.715-16.58 2.298l-.05.014-.048.012c-5.716 1.466-11.34 3.1-16.75 4.84.762 2.26 1.478 4.545 2.104 6.88 10.7 39.936-1.672 80.723-28.9 108.15 9.796 9.9 21.02 19.937 32.126 29.23 8.934 7.478 17.667 14.36 25.645 20.47 20.92-22.504 36.25-49.74 44.626-79.336l-.092.028 2.3-8.543c2.337-9.975 3.89-20.185 4.614-30.543-.612-14.058-5.318-26.69-12.875-36.01-8.65-10.67-20.68-17.443-36.12-17.49zm-248.61 69.596c-15.433 3.68-32.404 9.203-48.413 15.107-11.587 4.272-22.527 8.695-32.244 12.787 9.408 30.286 25.63 56.702 46.516 78.004l.14-.565 11.378 11.4c5.23 4.527 10.696 8.755 16.36 12.688 13.242 7.643 27.594 10.407 40.28 8.43 18.072-2.82 33.122-14.282 39.453-37.91l.014-.048.014-.047c1.758-6.287 3.274-12.543 4.544-18.61-36.54-10.552-66.868-39.41-77.407-78.74-.222-.83-.43-1.663-.634-2.496zm169.805 131.533c-6.155.014-12.655.834-19.228 2.595-15.024 4.026-27.26 12.113-34.704 21.268-7.445 9.155-10.048 18.78-7.698 27.555 2.35 8.773 9.42 15.808 20.444 20.014 11.024 4.207 25.665 5.094 40.69 1.07 15.022-4.027 27.258-12.114 34.702-21.27 7.445-9.154 10.048-18.78 7.698-27.554-2.35-8.772-9.42-15.807-20.444-20.013-5.512-2.104-11.927-3.377-18.843-3.62-.865-.032-1.738-.046-2.618-.044z"}}]})(props);
};
function GiTripleClaws (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M280.762 21.63c-15.912-.117-32 1.523-47.983 5.08-42.948 9.563-58.997 38.668-57.135 66.495 9.325.534 19.01 1.876 28.914 3.988 28.983 6.18 59.948 19.074 89.05 38.418 100.28-25.29 162.228 51.005 184.7 152.18 49.7-147.744-67.984-265.215-197.548-266.16zm-112.535 90.128c-16.8-.114-31.245 2.938-41.717 8.74l-.04-.074c-14.14 7.645-23.816 19.428-29.15 32.687 14.63 4.844 28.782 13.83 41.955 25.466 17.72 15.652 33.85 36.317 47.06 59.662 116.927 2.378 161.504 103.39 150.673 215.26 79.5-106.87 42.174-229.74-43.856-295.404-29.984-21.936-62.82-36.296-92.492-42.623-11.425-2.436-22.354-3.644-32.433-3.712zM75.29 167.963C21.077 166.605-10.09 248.77 47.966 276.21c104.435 49.363 94.912 140.96 34.844 222.71 115.134-47.87 134.337-172.24 81.997-260.066l.152-.01c-11.28-18.202-24.378-34.178-38.056-46.26-14.62-12.914-29.74-21.183-43.76-23.836-2.664-.454-5.287-.72-7.855-.785z"}}]})(props);
};
function GiTripleCorn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.264 25.742c-8.315 14.136-16.582 27.34-26.84 38.324 5.71 12.268 7.027 27.05 3.213 42.352-3.693 14.814-12.696 30.46-27.72 40.926-9.218 6.42-20.75 10.58-33.995 11.13.044.04.085.082.13.124 27.867 26.39 78.488 49.25 114.93 47.94 10.39-19.972 13.76-42.98 12.362-66.872-2.45-41.87-20.68-85.56-42.08-113.924zm23.715 1.39c19.65 30.596 34.643 70.916 37.014 111.442 2.66 45.48-11.685 92.05-54.666 120.992 1.223 9.13 3.522 17.57 6.735 25.375 22.875-34.893 65.888-63.474 104.382-74.92 10.695-3.18 21.206-5.136 31.012-5.108 9.806.028 18.907 2.04 26.785 6.795 7.878 4.756 13.97 12.58 16.83 22.35 2.86 9.768 2.826 21.298.065 34.884l-18.31-3.72c2.346-11.547 2.02-20.088.316-25.915-1.706-5.828-4.452-9.124-8.557-11.602-4.036-2.437-9.938-3.76-17.11-3.822-12.096 13.07-15.27 25.72-14.275 37.42 1.096 12.875 7.967 24.907 15.946 32.612 11.34 10.95 23.726 14.673 34.97 13.002 11.246-1.67 21.882-8.785 29.368-22.53 24.563-45.1 19.074-91.64-6.992-133.954-9.293 6.84-21.606 8.167-33.426 5.63-13.45-2.89-27.08-10.564-38.736-22.22-11.656-11.656-19.33-25.287-22.22-38.736-2.23-10.387-1.46-21.146 3.396-29.91-27.773-16.384-59.202-29.51-92.527-38.063zM180.97 50.94c-.945-.023-1.906-.02-2.884.003-48.596 1.21-84.842 26.387-108.606 66.162 9.294 5.014 15.783 14.355 19.21 24.977 4.223 13.09 4.393 28.734.126 44.656-4.266 15.922-12.234 29.386-22.437 38.612-8.232 7.442-18.453 12.268-28.944 12.023-1.164 34.632 3.09 71.276 13.115 107.172 16.673-32.315 44.095-65.456 78.005-87.772 24.683-16.244 53.345-26.528 83.142-25.54 15.342.508 30.984 4.02 46.54 11.228 7.486-5.286 13.874-11.147 19.288-17.477-41.196-2.897-86.57-25.595-115.322-52.822-16.203-15.344-27.795-32.496-27.435-50.896.18-9.2 3.91-18.39 10.94-25.75 7.03-7.36 17.03-13.097 30.18-17.498l5.93 17.716c-11.174 3.742-18.407 8.295-22.6 12.686-4.195 4.39-5.677 8.417-5.77 13.21-.093 4.715 1.712 10.487 5.245 16.73 17.366 3.942 29.907.365 39.543-6.348 10.602-7.386 17.59-19.352 20.272-30.116 3.813-15.296.843-27.886-6.227-36.79-6.627-8.345-17.13-13.834-31.31-14.167zm227.643 15.744c-5.964-.177-10.498 1.516-13.52 4.537-4.027 4.028-5.695 10.745-3.716 19.96 1.978 9.212 7.814 20.1 17.162 29.448 9.347 9.35 20.235 15.186 29.448 17.165 9.214 1.978 15.93.31 19.96-3.72 4.027-4.027 5.695-10.742 3.716-19.956-1.978-9.214-7.816-20.102-17.164-29.45-9.348-9.348-20.236-15.186-29.45-17.164-2.303-.495-4.45-.762-6.437-.82zM54.503 131.93c-.37-.01-.744-.008-1.12.01-4.52.212-9.57 2.474-14.813 7.214-6.99 6.32-13.5 16.82-16.922 29.59-3.42 12.77-3.032 25.116-.138 34.084 2.893 8.968 7.695 13.952 13.197 15.426 5.503 1.474 12.153-.44 19.143-6.76 6.99-6.32 13.5-16.818 16.92-29.588 3.423-12.77 3.035-25.117.142-34.086-2.893-8.968-7.697-13.95-13.2-15.425-1.03-.277-2.103-.434-3.21-.465zm328.444 95.95c-.06.016-.116.03-.176.048-36.98 10.996-82.37 43.684-99.25 76.066 12.05 17.176 29.274 30.43 49.257 40.46 37.487 18.813 84.438 24.873 119.702 20.523-7.524-13.278-14.367-26.116-18.814-39.416-12.88-1.562-25.655-7.736-36.498-18.206-10.983-10.606-20.03-26.224-21.582-44.47-.952-11.192 1.214-23.258 7.36-35.005zm-180.842 21.827c-22.198 1.154-43.527 9.677-63.28 22.676-35.058 23.072-63.795 60.737-77.65 93.467 14.808.116 29 .546 42.376 3.12 7.655-12.19 20.408-21.6 36.593-26.24 14.675-4.21 32.724-4.237 49.3 3.54 10.17 4.773 19.536 12.68 26.635 23.878.014-.06.03-.114.045-.173 8.617-36.06 3.77-88.86-14.018-120.268zm21.67 1.28c16.844 36.825 19.482 85.828 10.52 123.33-5.187 21.703-14.244 40.32-30.36 49.208-8.057 4.445-17.88 5.81-27.77 3.403-9.89-2.408-19.857-8.202-30.243-17.387l12.377-13.995c8.826 7.806 16.387 11.794 22.286 13.23 5.9 1.437 10.128.707 14.326-1.61 4.13-2.276 8.227-6.726 11.867-12.907-5.27-17.01-14.64-26.083-25.272-31.072-11.697-5.49-25.552-5.555-36.215-2.497-15.153 4.346-24.57 13.21-28.746 23.785-4.175 10.574-3.33 23.34 4.83 36.697 28.356 46.408 74.964 64.432 128.37 60.46-.31-.856-.59-1.726-.83-2.62-3.496-13.046 1.72-26.303 10.946-36.506 9.226-10.203 22.69-18.17 38.612-22.438 7.96-2.133 15.853-3.158 23.39-3.12 7.538.036 14.72 1.136 21.266 3.247 11.163 3.6 20.895 10.593 25.692 20.66 24.98-15.106 48.997-33.986 70.59-56.04-36.322 1.72-78.734-5.455-115.016-23.665-39.46-19.804-71.826-53.956-77.04-103.1-7.917-3.42-15.786-5.725-23.58-7.064zm98.002 184.69c-5.804-.032-12.08.725-18.466 2.436-12.77 3.422-23.27 9.932-29.59 16.922s-8.233 13.64-6.76 19.143c1.475 5.502 6.458 10.304 15.427 13.197 8.968 2.893 21.316 3.283 34.086-.14 12.77-3.42 23.267-9.93 29.588-16.92 6.32-6.99 8.235-13.64 6.76-19.143-1.474-5.503-6.457-10.306-15.425-13.2-4.485-1.446-9.814-2.265-15.618-2.296z","fillRule":"evenodd"}}]})(props);
};
function GiTripleGate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 24L22 216v272h29.03V335.5c0-27.8 27.74-55.5 55.47-55.5 27.7 0 55.5 27.7 55.5 55.5V488h30V312c0-32 32-64 64-64s64 32 64 64v176h30V335.5c0-27.8 27.8-55.5 55.5-55.5s55.5 27.7 55.5 55.5V488h29V216zm-32 55h64v18h-64zm-64 64h192v18H160zm-64 64h320v18H96z"}}]})(props);
};
function GiTripleLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M205.5 22.46c-61.276.074-108.74 30.975-141.547 69.665-17.357 21.62-31.42 48.005-40.875 79.04l126.236 33.823-2.418 9.024c-4.61 17.21-1.716 30.275 4.954 40.35 6.67 10.074 17.62 17.196 29.87 20.27 12.247 3.072 25.55 2.006 36.512-3.54 7.643-3.866 14.295-9.773 19.098-18.477-9.31-13.04-13.174-27.55-12.412-41.334.956-17.288 8.75-33.3 20.426-45.356 11.676-12.056 27.436-20.32 44.767-21.383 14.838-.908 30.607 3.823 44.77 15.114l8.034-8.035c-15.862-20.453-34.494-37.005-54.187-49.4-26.933-16.854-52.138-19.52-73.422-9.89-1.975.894-3.926 1.904-5.85 3.025.987.835 1.953 1.705 2.883 2.635 18.255 18.255 18.256 48.136 0 66.393-14.328 14.327-35.815 17.405-53.225 9.242l-71.375-19.127 2.418-9.02C106.016 86.293 152.1 57.25 203.084 56.84c3.4-.028 6.82.072 10.256.3 50.24 3.315 104.02 31.904 142.892 81.16l27.995-27.993c-12.52-16.068-26.082-29.883-40.356-41.56-49.615-39.21-98.123-46.334-138.37-46.286zM427.69 93.27l-92.41 92.41-6.608-6.606c-12.6-12.6-25.358-16.62-37.418-15.883-12.06.738-23.703 6.66-32.488 15.732-8.786 9.07-14.515 21.123-15.194 33.39-.547 9.894 1.928 20.006 9.12 29.768 16.166-1.687 30.865 2.235 42.552 9.873 14.495 9.473 24.466 24.23 29.068 40.37 4.603 16.14 3.88 33.92-3.865 49.46-6.63 13.304-18.614 24.595-35.474 31.213l1.806 6.744c24.85-3.646 47.784-11.384 67.814-21.953 28.048-14.897 42.954-35.387 45.256-58.63.213-2.156.314-4.35.304-6.58-1.216.438-2.453.84-3.722 1.18-24.937 6.683-50.816-8.256-57.498-33.195-5.245-19.573 2.834-39.723 18.61-50.718l52.25-52.246 6.604 6.605c46.213 46.213 45.53 105.066 14.91 150.848-27.682 41.387-78.487 73.422-139.658 82.87l10.248 38.246c90.136-13.23 151.69-66.77 175.885-132.922 24.066-65.8 11.283-144.29-50.094-209.976zm-248.55 9.603c-7.21 0-14.424 2.78-19.98 8.337-11.114 11.114-11.112 28.847 0 39.96 11.114 11.113 28.85 11.11 39.96 0 11.115-11.115 11.113-28.848 0-39.96-5.556-5.557-12.768-8.336-19.98-8.336zM63.927 201.45c-36.107 86.415-20.79 168.475 25.242 223.51 44.95 53.74 119.32 81.915 206.893 61.604l-23.177-86.5c-.354.027-.704.065-1.06.09l-.39-5.504-9.197-34.32 9.024-2.418c17.21-4.612 27.077-13.65 32.467-24.465 5.39-10.813 6.082-23.858 2.62-36.002-3.464-12.144-11.038-23.132-21.324-29.853-8.428-5.508-18.61-8.425-30.923-6.914-6.674 12.36-16.37 21.49-27.432 27.086-15.45 7.816-33.217 9.072-49.496 4.988-16.28-4.084-31.315-13.6-40.9-28.078-8.207-12.395-11.992-28.417-9.293-46.328l-6.623-1.774c-10.547 24.858-15.907 50.268-16.828 74.426-1.124 31.74 9.168 54.897 28.146 68.512 1.76 1.263 3.61 2.45 5.545 3.554.23-1.272.5-2.544.84-3.814 5.664-21.138 25.12-35.095 46.106-34.787.677.01 1.355.034 2.035.074 3.11.182 6.24.68 9.36 1.516 19.57 5.244 32.98 22.314 34.616 41.474L249.3 438.9l-9.025 2.418c-63.128 16.915-113.755-13.102-138.093-62.51-22.604-45.89-24.443-107.98-.03-167.115L63.926 201.45zm319.95 18.685c-.41.007-.82.025-1.23.05-1.882.118-3.782.424-5.68.932-15.18 4.068-24.047 19.428-19.98 34.608 4.068 15.18 19.428 24.047 34.608 19.98 15.18-4.068 24.048-19.428 19.98-34.607-3.448-12.87-15.01-21.2-27.7-20.963zM183.812 343.123c-12.69-.237-24.25 8.096-27.698 20.963-4.068 15.182 4.8 30.54 19.98 34.607 15.18 4.068 30.54-4.8 34.606-19.98 4.07-15.182-4.8-30.538-19.98-34.606-1.897-.508-3.796-.816-5.677-.933-.41-.026-.82-.043-1.23-.05z","fillRule":"evenodd"}}]})(props);
};
function GiTripleNeedle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M225 36.594c-5.34.077-10.522 2.24-14.375 5.187-5.872 4.493-10.23 10.723-13.406 17.5-3.178 6.78-5.173 14.08-4.907 21.44.265 7.358 3.762 15.907 11.687 19.655l8.156 3.844L216 96.093l6.97-14.72 11 5.22-5.22 11.062-3.844 8.156 8.156 3.844 132.625 62.75 8.157 3.844 3.844-8.156 6-12.688 105.437 41.125-99.25-54.218 6-12.656 3.844-8.125-8.158-3.874-132.625-62.72-7.562-2.123-4.438 6.406-5.25 11.06-11-5.218 6.938-14.687 3.875-8.156-8.156-3.845c-1.986-.94-4.02-1.48-6.063-1.688-.765-.078-1.517-.104-2.28-.093zm-145.438 83c-.527.017-1.066.058-1.593.094-6.326.424-12.655 2.19-18.657 4.718-8.003 3.37-15.4 8.145-20.782 14.563-5.38 6.416-8.79 15.966-5.06 24.905l3.468 8.313 8.312-3.47 19.438-8.093 6.906 16.53-15.03 6.282-8.314 3.47 3.47 8.312 67.155 161.06 3.47 8.314 8.31-3.47L146 354.72l61.125 121.874-45.03-128.563 15.25-6.374 8.31-3.47-3.468-8.31-67.156-161.063-3.468-8.313-8.312 3.47-15.03 6.28-6.907-16.563 19.468-8.125 8.314-3.468-3.47-8.313c-3.74-8.97-12.967-13.383-21.343-14.06-1.57-.13-3.136-.177-4.718-.126zm111.532.187c-.458.003-.92.01-1.375.032-2.432.117-4.82.51-7.095 1.126-9.095 2.462-17.565 7.864-24.844 14.562-7.278 6.698-13.347 14.713-16.593 23.53-3.245 8.82-3.19 19.885 3.97 27.72l6.062 6.656 6.655-6.094L177 169.845l16 17.5-15.03 13.72-6.657 6.092 6.093 6.656 136.625 149.5 6.064 6.657 6.656-6.064 14.125-12.937 115.72 110.06L356 337.19l14.094-12.907 6.656-6.06-6.063-6.658-136.656-149.53-6.06-6.626-6.657 6.063-15 13.718-16-17.5 19.125-17.47 6.656-6.062L210 127.5c-5.06-5.536-12.044-7.752-18.906-7.72z"}}]})(props);
};
function GiTriplePlier (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M249.732 22.447c-36.686 14.92-66.09 46.27-77.392 87.354 16.886 9.69 25.848 29.84 20.57 49.536-6.288 23.468-30.41 37.398-53.88 31.11-8.636-2.315-15.974-7.05-21.495-13.274-39.796 9.484-74.095 37.174-90.722 76.29 10.97-5.244 23.145-8.03 35.658-7.91 6.764.064 13.626.976 20.446 2.803 9.307 2.494 17.8 6.534 25.287 11.758 11.77-19.426 32.72-31.77 55.365-32.695.833-.034 1.667-.052 2.504-.055 5.86-.02 11.812.725 17.73 2.31 16.115 4.32 29.318 14.164 38.15 26.942 17.566-5.8 31.458-19.638 37.34-37.168-24.84-15.33-37.902-45.733-29.978-75.308 4.83-18.03 16.576-32.422 31.616-41.113-15.16-19.403-21.392-45.44-14.553-70.963.9-3.356 2.046-6.55 3.355-9.617zm19.834 1.9c-2.187 3.97-3.95 8.132-5.134 12.555-5.806 21.668.474 43.64 14.722 58.836 4.233-1.016 8.584-1.635 13-1.816.833-.034 1.667-.054 2.504-.057 5.86-.02 11.812.725 17.73 2.31 11.55 3.095 21.6 9.035 29.626 16.85 20.286-5.855 37.058-21.882 42.94-43.83 1.068-3.99 1.538-8.085 1.622-12.285-27.947 25.9-71.684 25.523-98.85-1.644-8.847-8.846-14.904-19.615-18.16-30.918zm135.043 41.63c-.364 2.658-.876 5.345-1.602 8.056-6.935 25.883-25.78 45.495-49.06 54.555 8.35 14.903 11.155 32.93 6.404 50.662-7.778 29.027-33.466 48.637-61.998 50.164-3.984 18.863 1.576 38.664 14.896 52.688 8.506-4.263 17.913-6.773 27.637-7.17.832-.034 1.667-.054 2.504-.057 5.86-.02 11.814.725 17.733 2.31 29.93 8.02 49.844 35.082 50.248 64.67 3.177-.31 6.385-.46 9.62-.404 5.625.1 11.32.763 17.016 2.036 22.22 4.97 40.317 18.287 51.91 35.9 5.84-44.56-11.674-88.138-44.334-116.534-8.75 3.746-18.766 4.705-28.672 2.05-23.468-6.288-37.396-30.412-31.107-53.88 5.127-19.137 22.11-31.926 40.927-32.59 10.71-40.516 1.268-81.384-22.12-112.455zM295.56 112.53c-22.043-.39-42.218 14.13-48.197 36.445-7.054 26.325 8.425 53.137 34.75 60.19 26.323 7.054 53.138-8.428 60.192-34.75 7.053-26.326-8.43-53.137-34.752-60.19-3.29-.882-6.59-1.41-9.856-1.612-.714-.044-1.427-.07-2.138-.084zM166.974 246.024c-22.042-.39-42.22 14.134-48.198 36.448-7.053 26.325 8.425 53.135 34.75 60.19 26.323 7.052 53.14-8.428 60.192-34.75 7.052-26.326-8.43-53.14-34.753-60.192-3.29-.88-6.587-1.41-9.854-1.61-.714-.044-1.427-.072-2.138-.085zM62.252 264.227c-12.942-.134-25.322 3.77-35.643 10.85 3.035.736 6.032 1.665 8.976 2.86 8.58 3.476 16.93 8.535 23.885 15.49 25.982 25.98 27.916 67.116 5.405 95.104 25.453-1.025 48.234-17.35 56.395-42.622-18.528-16.51-27.358-42.63-20.567-68.154-6.487-5.132-14.107-9.06-22.625-11.344-5.3-1.42-10.61-2.13-15.826-2.183zm282.04 29.312c-22.04-.39-42.217 14.13-48.196 36.444-7.054 26.326 8.427 53.138 34.752 60.192 26.323 7.053 53.136-8.43 60.19-34.752 7.053-26.325-8.428-53.136-34.75-60.19-3.29-.88-6.59-1.41-9.856-1.61-.715-.045-1.428-.072-2.14-.085zm-99.45.192c-3.59-.08-7.2.19-10.79.778.068 6.023-.654 12.147-2.286 18.238-9.667 36.077-46.997 57.63-83.075 47.963-3.983-1.067-7.778-2.49-11.385-4.192-11.953 30.197-40.82 49.698-72.483 50.716 14.008 11.373 30.652 20.118 49.13 25.07 24.042 6.44 48.37 5.974 70.708-.306-5.585-19.028 2.288-40.1 20.225-50.457 7.233-4.175 15.16-6.064 22.94-5.89 14.857.333 29.185 8.184 37.157 21.993 9.654 16.72 7.072 37.136-4.95 50.916 16.55 19.293 38.774 34.03 65.128 41.09 14.625 3.92 29.43 5.272 43.79 4.268-25.375-18.835-38.995-51.03-32.675-83.775-3.416-.37-6.845-1.004-10.263-1.92-36.08-9.668-57.63-46.996-47.963-83.075 1.45-5.41 3.525-10.493 6.122-15.195-10.722-10.213-24.835-15.896-39.33-16.22zm175.77 66.39c-3.973-.076-7.895.215-11.73.835-7.192 25.736-28.503 43.942-53.288 48.47-.202.772-.4 1.547-.576 2.333-6.29 28.138 6.278 55.694 29.34 70.082-1.518-5.666-2.303-11.58-2.303-17.865 0-39.347 32.17-71.77 71.515-71.772 4.918 0 10.07.718 14.71 1.668 3.487.714 6.885 1.754 10.167 3.012-8.49-17.32-24.162-30.606-44.52-35.158-4.464-.998-8.92-1.522-13.316-1.606zM54.993 398.18c-.04.034-.086.067-.127.1.035.036.072.07.108.105l.02-.205z"}}]})(props);
};
function GiTripleScratches (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M190.03 21.97c-.71-.003-1.422.01-2.124.03 38.633 74.657 186.967 157.52 307.906 333.03-38.488-159.928-215.34-332.78-305.78-333.06zM83.53 65.374c61.253 98.216 249.157 212.75 375.75 378.844C420.49 283.03 173.3 62.907 83.53 65.374zm-67.31 81.313c59.365 87.324 194.506 155.172 355.03 345.125-38.792-161.19-265.263-347.592-355.03-345.125z","fillRule":"evenodd"}}]})(props);
};
function GiTripleShells (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M227.633 20.328c-10.48-.04-21.12 1.29-31.688 4.123h-.002c-31.914 8.552-51.563 42.214-42.76 75.07 7.786 29.072 35.064 47.54 64.186 45.28l-16.036-59.85 18.053-4.835L266.88 257.37c60.085-21.015 94.65-84.542 78.015-146.626-14.18-52.898-61.126-88.197-112.782-90.316-1.49-.06-2.983-.094-4.48-.1zM161.853 145.5c-31.67 22.004-55.83 54.075-67.814 91.56 7.204-2.67 14.587-4.73 22.07-6.18 12.703-31.046 34.975-57.13 63.17-74.597-6.24-2.844-12.102-6.462-17.428-10.783zm205.723 3.05c-.34 7.29-1.253 14.49-2.703 21.548 29.917 25.352 50.256 61.635 54.906 102.734 3.466-.62 6.988-1.018 10.548-1.168.985-.04 1.972-.066 2.96-.07 1.718-.008 3.442.04 5.17.146-5.44-50.412-32.113-94.52-70.882-123.19zM143.42 246.866c-31.274-.09-62.505 11.78-86.338 35.612-47.66 47.663-47.407 124.984-.256 172.138 23.365 23.365 62.335 23.554 86.39-.504h.003c21.285-21.278 23.636-54.134 7.114-78.223l-43.81 43.81-13.215-13.215 129.76-129.76c-22.944-19.75-51.284-29.776-79.65-29.857zm289.875 43.39c-.76.003-1.518.02-2.274.05-22.475.902-42.963 14.243-52.897 35.006l59.832 16.032-4.838 18.053-177.254-47.497c-11.845 62.544 25.89 124.244 87.975 140.88 65.11 17.445 131.95-21.434 149.21-85.848 8.55-31.915-10.773-65.76-43.63-74.563-5.39-1.444-10.804-2.126-16.123-2.11zM178.47 424.96c-1.11 6.284-2.954 12.46-5.57 18.374 26.31 15.528 56.965 24.453 89.682 24.453 17.26 0 33.942-2.492 49.72-7.115-7.912-3.98-15.33-8.668-22.21-13.953-8.933 1.56-18.124 2.378-27.51 2.378-30.93 0-59.756-8.847-84.11-24.14z"}}]})(props);
};
function GiTripleSkulls (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M263.072 20.533c-2.074.012-4.16.074-6.26.188h-.003c-67.146 3.63-118.2 58.187-114.83 120.41 1.86 34.32 19.7 63.35 46.885 82.837l3.643 2.61 1.924 35.507c12.117 1.775 24.226 3.197 36.37 4.03l-1.23-37.126 18.678-.617 1.277 38.55c13.15.215 26.368-.35 39.71-1.936l-1.34-40.384 18.68-.62 1.263 38.122c11.866-2.278 23.85-5.44 35.986-9.65l-1.84-33.948 3.342-2.99c24.92-22.298 39.52-53.084 37.66-87.41-3.164-58.41-52.277-104.87-113.73-107.46-2.05-.086-4.11-.123-6.186-.11zm62.053 72.48c25.69-.373 46.49 20.283 29.225 75.56-11.796-2.273-23.18-4.924-33.793-8.274 3.6-3.322 5.87-8.062 5.87-13.345 0-10.036-8.14-18.174-18.175-18.174-10.024 0-18.15 8.12-18.17 18.14-7.77-4.8-14.545-10.504-20.014-17.4 9.128-21.45 33.77-36.197 55.057-36.506zm-130.14 1.008c21.53-.316 46.466 15.367 54.644 38.054-6.82 7.668-15.19 14.077-24.745 19.37.366-1.438.582-2.936.582-4.49 0-10.035-8.138-18.173-18.174-18.173s-18.172 8.14-18.172 18.175c0 6.68 3.616 12.503 8.987 15.66-10.595 3.258-21.962 5.637-33.816 7.237-13.72-54.558 6.3-75.47 30.696-75.83zm65.374 54.494l25.986 54.847-48.246 3.818 22.26-58.664zM82.99 264.402c-7.557 1.847-15.03 4.79-22.18 8.918-38.546 22.253-51.643 69.205-31.083 104.815 11.315 19.6 30.36 31.315 52.22 34.685l4.428.684 28.744 49.787c7.431-1.01 14.477-2.418 21.15-4.235l-22.48-36.96 15.966-9.714 24.54 40.35c6.697-2.948 12.922-6.444 18.683-10.517l-24.722-40.358 15.937-9.76 23.14 37.778c4.215-4.384 8.098-9.207 11.645-14.494l-28.962-50.167 1.623-4.176c8.012-20.617 7.388-42.967-3.927-62.566-7.252-12.56-17.92-22.16-30.383-28.345l15.893 42.38h-16.97l19.683 49.395-64.745-56.57 20.117-1.885-28.317-39.043zm261.885 7.41c-12.272 3.988-24.406 6.998-36.41 9.163l1.11 33.47c12.3-2.818 24.617-6.73 36.972-11.78l-1.672-30.854zm-149.412 9.317l1.603 29.602c11.85 3.368 23.663 5.82 35.455 7.354l-1.098-33.223c-12.1-.766-24.083-2.073-35.96-3.734zm94.392 2.563c-13.39 1.512-26.62 2.07-39.71 1.897l1.13 34.142c13.244.6 26.474 0 39.713-1.855l-1.133-34.184zm119.875 17.15c-13.128.023-26.228 3.31-38.095 10.16-20.947 12.095-33.472 32.46-37.07 55.8l-.682 4.427-53.29 30.768c.46 7.155 1.55 14.03 3.235 20.652l41.936-22.78 8.922 16.42-44.582 24.218c3.254 7.152 7.31 13.992 12.16 20.55l44.38-24.287 8.97 16.396L314.7 475.56c5.404 5.502 11.423 10.807 18.066 15.93l52.91-30.55 4.178 1.624c22.01 8.553 45.91 7.89 66.86-4.205 32.478-18.752 46.663-58.246 35.352-94.995L462.32 404.84l-6.8-23.34-33.137 11.068 25.38-42.23 16.247 15.918 6.93-38.81c-16.556-17.277-38.92-26.645-61.21-26.604zm-20.447 34.452c7.387-.176 14.794 2.825 20.01 8.848 9.272 10.706 8.107 26.9-2.598 36.17-10.704 9.272-26.897 8.11-36.17-2.596-9.272-10.707-8.108-26.9 2.596-36.17 4.684-4.056 10.418-6.115 16.163-6.252zm-292.64 3.387c-1.68 16.062-10.07 31.15-33.51 40.588L50.86 344.816l45.783-6.134zm12.87 7.978l34.72 25.37-29.096 15.84-5.625-41.21zm290.723 52.15l-29.455 32.85-16.134-31.223 45.59-1.626zm30.618 5.823c7.387-.176 14.792 2.827 20.007 8.85 9.274 10.706 8.11 26.9-2.594 36.17-10.705 9.27-26.898 8.108-36.17-2.598-9.273-10.707-8.11-26.9 2.595-36.17 4.685-4.056 10.418-6.115 16.164-6.252z"}}]})(props);
};
function GiTripleYin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M203.75 20.47c-1.01.016-2.025.056-3.03.093-69.79 2.51-132.772 49.368-151.782 120.312-11.035 41.196 13.555 83.82 54.718 94.875v-.03c41.166 11.03 82.972-13.647 93.97-54.69 7.923-29.58 22.853-50.832 43.624-62.155 20.77-11.323 46.34-12.32 74.125-4.875 10.463 2.807 19.977 7.03 28.563 12.656 4.368-2.276 8.902-4.23 13.593-5.843-8.625-20.886-21.314-39.854-37.75-55.407h-.03c-.064-.06-.123-.127-.187-.187-19.01-17.94-42.747-31.768-69.907-39.064-15.35-4.116-30.768-5.953-45.906-5.687zm-79.03 82.968c14.598 0 29.2 5.545 40.28 16.624 22.174 22.175 22.128 58.403-.03 80.563l-2.72 2.72h-.312c-22.33 19.338-56.345 18.467-77.532-2.72-22.174-22.174-22.16-58.403 0-80.563 11.088-11.087 25.713-16.626 40.313-16.624zm0 18.562c-9.78-.002-19.58 3.734-27.095 11.25-15.018 15.018-15.03 39.126 0 54.156 15.017 15.017 39.125 15.032 54.156 0 15.02-15.018 15.032-39.126 0-54.156-7.507-7.51-17.282-11.248-27.06-11.25zm143.343 7.063c-6.51 1.185-12.476 3.275-17.875 6.218-4.417 2.41-8.533 5.413-12.344 9.095 23.014.048 46.003 6.876 65.78 20.438 3.012-5.502 6.63-10.758 10.845-15.688-14.3-9.747-30.08-16.438-46.408-20.063zm119.718 5.343c-20.048.004-40.084 7.522-55.124 22.563-30.058 30.057-28.79 78.89 1.313 108.968 21.676 21.66 32.627 45.335 32.03 69.062-.598 23.727-12.554 46.43-32.906 66.78-9.87 9.872-21.2 16.368-32.875 20.845-.54 3.58-1.38 7.053-2.314 10.5 50.44 9.057 103.957-5.7 143.28-45 63.97-63.943 65.66-167.276 1.752-231.156-15.054-15.054-35.108-22.568-55.157-22.564zm-1.06 21.406c14.598.002 29.2 5.546 40.28 16.625 22.174 22.175 22.16 58.403 0 80.563-22.175 22.175-58.403 22.16-80.563 0-22.174-22.174-22.16-58.403 0-80.563 11.088-11.087 25.682-16.627 40.282-16.625zm0 18.563c-9.78-.002-19.548 3.766-27.064 11.28-15.017 15.02-15.03 39.096 0 54.126 15.017 15.018 39.094 15.033 54.125 0 15.02-15.017 15.032-39.093 0-54.124-7.507-7.508-17.282-11.28-27.06-11.28zm-147.25 15.03c-9.023 0-18.045 1.715-26.564 5.095-8.21 22.123-24.016 39.79-43.625 50.625-5.44 23.398.967 48.965 19.25 67.25.788.786 1.595 1.54 2.407 2.28 21.96-3.455 43.857.823 62.375 11.158l.768.316 7.326 3.932c10.58-3.39 20.552-9.27 28.97-17.687 12.41-12.41 19.362-28.18 20.843-44.344-12.14-16.447-18.558-35.98-19.033-55.592-.596-.64-1.188-1.283-1.812-1.907-14.092-14.09-32.493-21.124-50.906-21.124zM53.687 225.72C23.988 264.33 12.275 315.815 26 367.03c23.394 87.365 112.104 140.292 199.375 116.908.01-.003.02.003.03 0 41.136-11.06 66.126-54.206 55.126-95.313-4.106-15.327-12.586-28.302-23.718-37.875l-.218-.188c-18.772-16.008-45.2-22.64-70.907-15.75-29.576 7.933-55.557 5.666-75.843-6.625-20.287-12.29-34.017-33.912-41.47-61.718-2.738-10.267-3.397-20.456-2.843-30.158-4.223-3.207-8.168-6.725-11.843-10.593zm48.812 28.968c-.834 16.705 1.403 33.528 6.75 49.562 3.198 3.094 6.623 5.752 10.28 7.97 4.855 2.94 10.193 5.192 16.064 6.655-10.79-19.11-15.778-40.6-14.97-61.906-6.004-.174-12.06-.912-18.124-2.283zm240.78 57.093c-5.586 11.71-13.23 22.702-22.936 32.408-8.71 8.71-18.445 15.763-28.813 21.156 2.835 5.592 5.155 11.534 6.876 17.78 12.796-6.32 24.79-14.79 35.438-25.437 4.585-4.585 8.772-9.418 12.562-14.468.522-2.908.834-5.802.906-8.69.19-7.465-1.076-15.045-4.03-22.75zm-140 39.908c14.6.002 29.203 5.545 40.282 16.625 22.175 22.174 22.16 58.402 0 80.562-22.174 22.175-58.403 22.16-80.562 0-22.174-22.174-22.16-58.403 0-80.563 11.087-11.087 25.682-16.627 40.28-16.625zm0 18.562c-9.778-.002-19.546 3.766-27.06 11.28-15.02 15.02-15.032 39.096 0 54.126 15.016 15.017 39.092 15.032 54.124 0 15.017-15.018 15.03-39.094 0-54.125-7.51-7.507-17.283-11.278-27.063-11.28z"}}]})(props);
};
function GiTripwire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M286.744 21.547c-1.633 2.298-3.288 4.572-4.957 6.834 38.034 51.844 103.708 76.224 173.178 82.474 13.11-6.39 26.162-11.963 38.918-16.58V21.548h-207.14zm-25.69 9.433c-20.84 10.833-38.307 23.567-49.007 49.176 37.385 66.692 112.608 102.866 172.61 104.35 11.825-3.2 24.977-13.167 36.33-26.04 8.29-9.4 15.563-20.152 21.21-30.155-72.312-8.52-141.943-36.982-181.142-97.33zM19.11 97.184v29.4l151.57 99.748c57.505 36.702 117.367 36.728 154.74 23.232l1.676-.605 167.115 5.02v-25.013l-166.4-4.385c-54.14 21.71-111.908 5.425-158.16-26.836L19.11 97.184zm190.066 13.027c-18.214 18.024-37.106 35.752-56.135 53.97l27.226 18.185.076.053c43.277 30.187 94.89 44.057 142.3 24.16l.633-.266c3.48-3.647 7.04-7.246 10.682-10.787-46.328-12.848-92.928-41.553-124.78-85.314zm-100.48 97.702c-22.804 23.482-45.208 48.607-66.282 76.8 18.363 26.406 33.822 47.598 58.59 72.91l40.01-13.55 2.683 9.448c16.595 58.413 65.496 102.963 124.803 125.224 34.063 12.786 71.337 18.066 107.42 14.545 23.416-6.13 21.926-43.985 3.47-67.608-18.495-19.717-34.926-41.21-49.046-63.996-27.71 1.756-42.737 15.45-62.42 35.37l-13.293-13.134c18.315-18.535 37.307-35.014 65.46-39.748-4.49-8.127-8.69-16.395-12.592-24.785-33.757-9.66-53.897-.522-81.312 13.964l-8.73-16.524c20.48-10.82 40.906-19.966 65.56-19.836.795.004 1.594.017 2.398.04 4.2.125 8.525.523 12.992 1.224-2.924-7.38-5.63-14.837-8.092-22.362-38.586 3.26-84.892-5.22-129.69-33.81l-.054-.035-51.875-34.138z"}}]})(props);
};
function GiTriquetra (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 74.06c32.76 39.37 52.457 90.004 52.457 145.29 0 21.33-2.937 41.966-8.42 61.534-28.84-5.284-58.69-5.445-88.098-.09-5.467-19.54-8.397-40.147-8.397-61.445 0-55.286 19.698-105.92 52.457-145.29zm-.582 220.687c13.13-.026 26.197 1.1 39.057 3.313-9.017 24.453-22.117 46.918-38.475 66.578-16.365-19.668-29.47-42.144-38.486-66.61 12.6-2.17 25.28-3.256 37.904-3.28zM199.8 301.82c10.063 28.133 25.12 53.896 44.108 76.224-41.252 42.28-98.866 68.52-162.68 68.52-13.104 0-25.943-1.12-38.437-3.243 17.722-48.045 51.722-90.41 99.595-118.05 18.446-10.65 37.758-18.414 57.416-23.45zm112.39.025c57.208 14.6 108.705 51.362 140.595 106.593 6.548 11.342 11.993 23.013 16.4 34.887-12.488 2.122-25.318 3.24-38.414 3.24-63.812 0-121.426-26.242-162.678-68.52 18.98-22.322 34.037-48.076 44.1-76.2zm180.22 154.888l-5.44-17.162c-4.898-13.677-11.078-27.108-18.597-40.132-34.176-59.19-89.39-98.733-150.77-114.67 5.76-20.833 8.854-42.767 8.854-65.42 0-60.5-21.98-115.908-58.365-158.695L256 47.435l-12.092 13.218c-36.386 42.787-58.365 98.195-58.365 158.696 0 22.616 3.085 44.517 8.83 65.32-20.89 5.424-41.4 13.704-60.988 25.013-52.404 30.254-89.403 77-108.264 129.91l-5.425 17.17 17.498 3.843c14.29 2.596 29.004 3.96 44.036 3.96 68.387 0 130.27-28.075 174.77-73.303 44.5 45.228 106.383 73.302 174.77 73.302 15.04 0 29.76-1.364 44.056-3.963"}}]})(props);
};
function GiTrireme (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M176.837 19.198l-16.84 6.358a409.33 409.33 0 0 1 6.2 17.662 604 604 0 0 1 19.026.412 430.187 430.187 0 0 0-8.386-24.432zm171.73 27.88l-17.076 5.689a308.315 308.315 0 0 1 6.451 22.168c6.2-.201 12.885-.21 18.531-.084-2.243-9.35-4.858-18.625-7.906-27.774zM163.608 61.553c-35.687-.08-72.224 2.875-102.092 9.047 31.502 63.023 21.36 127.176 11.951 186.377 6.66-3.484 14.299-6.825 23.17-9.924 20.7-7.23 46.702-13.283 73.541-16.29 26.84-3.006 54.461-3.007 78.53 2.42 2.393.54 4.752 1.147 7.078 1.807 4.659-43.672 3.944-88.62-19.928-129.758l-5.37-9.254c14.989-5.784 31.568-10.739 45.061-13.65a278.187 278.187 0 0 0-8.035-9.91c-26.997-7.045-64.873-10.778-103.906-10.865zm186.03 31.215c-2.063-.011-4.133-.001-6.21.03-30.306.47-61.853 5.293-86.87 13.055 25.163 50.463 21.18 104.252 14.523 152.272 4.878-2.44 10.147-4.748 16.12-6.99 16.449-6.173 36.648-11.122 57.325-13.38 20.677-2.257 41.797-1.88 60.207 3.286 11.532 3.236 22.213 8.601 30.441 16.525 6.069-19.54 12.783-37.8 15.141-57.576 3.016-25.295-.556-53.611-22.184-92.482-18.522-9.572-47.56-14.576-78.494-14.74zM34.74 242.779c-1.579 20.015-7.296 37.936-8.25 56.257-.764 15.604 1.607 33.312 6.898 50.799 9.265 30.615 27.63 61.29 56.248 75.158L41.58 479.661l13.52 11.885 56.663-64.46c6.464 1.064 13.686 1.997 21.569 2.808L89.579 479.66l13.52 11.885 52.556-59.785c7.252.486 14.971.884 22.953 1.228l-41.03 46.672 13.52 11.885 50.778-57.762c10.092.258 20.587.43 31.443.518l-40.98 46.615 13.519 11.885 51.373-58.438c8.072-.004 16.766-.047 24.094-.07l-40.987 46.623 13.52 11.885 51.518-58.602c8.254-.038 16.347-.09 24.191-.181l-41.229 46.898 13.52 11.885 52.078-59.24c51.293-1.339 93.833-5.506 131.713-19.575l-2.457-17.558c-34.2-1.249-51.658-29.807-43.396-54.461 5.637-4.618 10.617-9.951 14.673-15.858 11.127-16.2 14.881-37.733 4.229-57.478l-15.842 8.547c7.38 13.678 5.014 26.75-3.223 38.742-3.941 5.738-9.35 10.968-15.57 15.242-108.045 18.877-295.175 45.39-372.65 15.988-4.219-15.394-7.539-32.63-6.944-47.236l.002-.018 25.604-15.914zm170.699 4a272.962 272.962 0 0 0-17.19.5c-1.076 30.34-3.038 66.685-4.462 97.138l17.98-1.158c1.43-30.563 3.467-65.377 4.565-96.469-.299-.002-.594-.01-.893-.012zm160.512 7.712c-6.009.048-12.151.404-18.295 1.04-1.834 26.561-4.137 54.553-5.192 74.027l17.973-3.028c1.053-19.438 3.573-44.157 5.514-72.039zm21.32 102.58c15.183.519 36.84 18.13 36.559 23.008-.291 5.035-21.101 27.619-35.309 27.943-14.207.325-38.825-16.226-38.951-20.71-.126-4.485 21.04-29.602 36.252-30.237.475-.02.96-.02 1.45-.004zm-.758 11.395c-7.739 0-14.012 6.275-14.011 14.013 0 7.74 6.272 14.013 14.011 14.014 7.74 0 14.014-6.274 14.014-14.014 0-7.74-6.274-14.013-14.014-14.013z"}}]})(props);
};
function GiTritonHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25c-29 0-59.3 14.86-81.9 35.63-21.9 20.07-36.1 45.57-37 65.27 7.6 15.2 15.2 30.1 21.1 43.6 6.2 14.1 10.8 26.7 10.8 38.5h-18c0-6.6-3.4-18-9.2-31.3-5.9-13.3-13.8-28.6-21.9-44.7-12.3-24.6-23.59-38.24-43.19-50.59 4 25.29 2.8 48.29-4.3 67.69-6.4 17.6-17.9 32-33.7 42 38.5 16.3 71.89 40.5 96.69 75.7l-14.8 10.4c-21.09-30.1-48.89-51.3-81.89-66.4 13.1 24 17.9 46.6 16.3 67.9-1.9 24.2-11.8 46.2-24.8 67.4 57.6 13.5 105.09 23.5 168.69 112 13 18.1 28.4 28.9 57.1 28.9 28.7 0 44.1-10.8 57.1-28.9 63.6-88.5 111.1-98.5 168.7-112-13-21.2-22.9-43.2-24.8-67.4-1.6-21.3 3.2-43.9 16.3-68-33 15.1-60.8 36.3-81.9 66.5l-14.8-10.4c24.8-35.2 58.2-59.4 96.7-75.7-15.9-10-27.4-24.4-33.8-42-7-19.4-8.2-42.4-4.2-67.69-19.6 12.35-30.9 25.99-43.2 50.59-8.1 16.1-16 31.4-21.9 44.7-5.8 13.3-9.2 24.7-9.2 31.3h-18c0-11.8 4.6-24.4 10.8-38.5 5.9-13.5 13.5-28.4 21.1-43.6-.9-19.7-15.1-45.2-37-65.27C315.3 39.86 285 25 256 25zm-72 246c27 0 49 22 49 49s-22 49-49 49-49-22-49-49 22-49 49-49zm144 0c27 0 49 22 49 49s-22 49-49 49-49-22-49-49 22-49 49-49zm-144 18c-17.2 0-31 13.8-31 31 0 8.7 3.5 16.5 9.2 22.1-2-4.3-3.2-9.1-3.2-14.1 0-18.1 14.9-33 33-33 5 0 9.8 1.2 14.1 3.2-5.6-5.7-13.4-9.2-22.1-9.2zm144 0c-17.2 0-31 13.8-31 31 0 8.7 3.5 16.5 9.2 22.1-2-4.3-3.2-9.1-3.2-14.1 0-18.1 14.9-33 33-33 5 0 9.8 1.2 14.1 3.2-5.6-5.7-13.4-9.2-22.1-9.2z"}}]})(props);
};
function GiTroglodyte (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M234.2 17.22l-3.5 61.22c9-2.52 18.4-4.75 28-6.67zm63 7.82l11 109.96c9.7 10.9 49-1 44.2-13.7zm-164.6 2.63l37 108.13c5.4 6.8 13.8 3 18.6-.9 7.7-6.4 14.2-18.8 13.7-32.5zm297.1 1.1L405 70.74c8.3 3.28 16.4 7.64 24 12.94zm-79.5 52.51l18.6 32.42.2.5c4 9.8.1 20.2-6.1 27-6.3 6.7-14.8 11.5-23.9 14.5-9.1 3-18.8 4.3-27.9 2.3-9.1-2-18.2-8.8-20.6-19.3l-.1-.6-5.3-52.61c-23.4 3.27-45.2 8.35-65.3 15.01 1.4 20-7.6 37.8-20.1 48.2-6.6 5.5-14.4 9.1-22.8 9.1-8.4-.1-17.1-4.5-22.6-12.4-2.2-3.5-3.1-7.7-4.4-11.6-16.6 10.9-31.1 23.1-43.5 36.4 15.8 15.1 9.8 48.2-.4 62.5-5.1 6.8-11.78 12.2-19.98 14.2-7.6 1.8-16.22-.1-23.24-5.3-22.44 64.8-7.41 138.4 51.92 199.6 1.9-15.1 3.3-32.7 5.3-50.9-13.2-12.3-24.28-26.7-30.68-45.1l16.98-6c21 41.8 58.4 61.9 91.5 83.4-20.4 29.3-51.8 50.6-76.6 68.7l179.6 3.5c-44.5-16.9-88.4-16.3-140.4-17.1l27-16.2c18.1-10.9 39.6-29.9 49.9-41.3-23.3-36.9-49.5-57.9-82.4-75.4l6.6-8.5c12.7-16.1 28.7-40.7 40.2-64.2 11.7-24.5 10.8-45.3 18.6-68.1l17 5.8c-11.1 32-10.3 57.9-1.6 88.4l48.8 45.8 13 43.4 5.2-22.8 44.5 18.5-30.7-32.6 34.5-7.9-48.7-4.8-37.3-43.5c10.6-18 10.2-38.4 7.1-54.8l17.6-3.6c1.9 9.3 3.2 19.1 2.8 29.1 22.7 8.1 45.2 20.3 65.7 26.2 21.3 6.1 40.3 6.8 52.9-4 7.2-6.2 13.6-12.4 19.3-18.6-24.2-4.1-55.3-5.1-81.1-1.7l-2.4-17.8c32.6-3.6 65.8-3.2 96.4 3.6 26.6-37.1 27.4-73 15.9-102.7-15-38.8-53.3-66.63-86.1-68.17-7.8-.36-15.4-.52-22.9-.55zM84.02 90.97l20.38 55.73c6.1-5.6 12.5-11.1 19.3-16.3zM45.74 134.5L74.72 228c21.59 7.7 25.23-31.6 22.2-41.9zM214.4 286.9c-9.8 19-21.7 37.5-32.6 52.3 33.7 24 62.9 50.6 76.5 83.9-12 15-26.7 28.4-39.5 38.3 5.5.4 10.9.9 16.1 1.5 23.3-8.3 56.9-26.6 53.1-43.2-9.1-39.4-44.5-63-74.6-79.2 6.3-21.2 4.8-34.6 1-53.6zM403 381.6l5.2-24.2 47 25.1-29.3-37.1 30.6-8.6-56.1-5.5c-2.7-6.5-5.5-8.9-10.1-17.9-11.5.8-23.4-1.1-34.8-4.2l34.8 35.1z"}}]})(props);
};
function GiTrojanHorse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M336 16l9.605 34.55v36.473l59.786 44.84 69.99 35.85 11.015-33.04-88.81-97.118-19.59 4.898L336 16zm-12.492 20.13L270.455 155.5h28.057l29.093-72.732v-42.54l-4.097-4.1zm67.86 21.415l34.88 35.84-41.643-11.637 6.764-24.203zm-52.93 46.603l-24.14 60.35 50.718 126.795 24.77-148.633-51.347-38.512zM89.606 173.5v142h62v-96h146v96h57.707l-56.8-142H89.605zm-18 9l-46 34.5v117.014l30 10V240.77l16-16V182.5zm98 55v14h110v-14h-110zm0 32v14h110v-14h-110zm0 32v14h110v-14h-110zm-80 32v78.51c2.29-.33 4.624-.51 7-.51 7.913 0 15.395 1.912 22.028 5.277l37.012-83.277h-66.04zm209.057 0l9.004 81.04c5.286-1.963 10.992-3.04 16.94-3.04 5.2 0 10.213.83 14.925 2.348l17.857-80.348h-58.725zm-202.057 96c-17.227 0-31 13.773-31 31s13.773 31 31 31c17.228 0 31-13.773 31-31s-13.772-31-31-31zm228 0c-17.227 0-31 13.773-31 31s13.773 31 31 31c17.228 0 31-13.773 31-31s-13.772-31-31-31zm-228 15c8.837 0 16 7.163 16 16s-7.163 16-16 16c-8.836 0-16-7.163-16-16s7.164-16 16-16zm228 0c8.837 0 16 7.163 16 16s-7.163 16-16 16c-8.836 0-16-7.163-16-16s7.164-16 16-16zm-179.847 7c.548 2.92.847 5.926.847 9s-.3 6.08-.847 9h131.695c-.548-2.92-.848-5.926-.848-9s.3-6.08.848-9H144.758z"}}]})(props);
};
function GiTroll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M262 96.795c-60 0-115.84 16.07-162.48 43.67l7.37 91.17 14.2 3.62c8.8-73.35 65.57-130.12 134.08-130.11 70.35 0 128.32 59.86 134.68 136.06l10.15-2.59 8.64-106.89c-43.23-22.22-93.28-34.93-146.64-34.93zm182 56.3l-6.13 75.85 42.73-10.9s-33.62 50.7-47.33 67.8L416.467 494H494V198.287a278.49 278.49 0 0 0-50-45.19zm-379.62 11.76A275.38 275.38 0 0 0 18 212.925V494h72.982L73.08 272.426c-10.5-13.69-17.82-24.71-18.23-25.31l-22.92-34.59 37.07 9.45zm289.48 15.14l5.95 36.85-45.34-34.09 3.1 50.57-44.33-42.07-18.67 47.95-23-46.95-35.47 37.18-7.1-47.18-32.9 38.61-6.82-27.52a146.56 146.56 0 0 0-13.43 61.73c.007 3.733.143 7.426.41 11.08-4.51-7.39-8.18-12.65-8.18-12.65l-59.95-15.29s49.92 75.36 75.59 75.36c1.306.01 2.602-.21 3.83-.65 11.98 27.99 32.37 50.62 57.46 63.73 9.07-36.31 28.51-88.87 34-103.46-2.4-2.87-6.08-4.86-10.51-6.16-8.16-2.4-18.91-2.44-29-1.23-9.92 1.19-19.21 3.57-24.77 6.09l-6.61-14.57c18.2-8.26 72.67-17.12 88.52 14.59-12.02 21.91-39.79 124.66-40.28 129.91-.72 7.73.73 13.13 4.58 17 6.87 6.91 22.09 9.55 44 7.62 23.31-2.05 32.18-7.39 36.24-10.71 9.6-7.86 1.97-28.56-.8-36.69-2.26-6.63-5.03-14.12-7.53-20.84v-.08l-1-2.76c-18.86-50.56-26.54-75.59-15.44-86.28l.06-.06c7.02-6.68 31.78-28.17 55.53-23.82 11.9 2.22 21.22 10.18 27.72 23.76l-16.51 3.07c-3.84-6.36-8.47-10-14.08-11-8.57-1.57-19.13 2.91-28.51 9.17a99.32 99.32 0 0 0-12.87 10.28c-.35.93-1.7 6.02 3.65 24.75 3.89 13.63 10.04 30.09 15.46 44.63 3.06 8.22 5.69 15.31 7.82 21.42 19.89-12.92 36.17-32.14 46.69-55.14 1.806 2.085 5.055 3.073 7.42 3.06 25.67 0 75.58-75.4 75.58-75.4l-59.96 15.28s-5.75 8.22-11.68 18.55a150.51 150.51 0 0 0 1.69-22.51 145 145 0 0 0-20.56-75.13zm-151.67 96.35c9.58 0 17.35 8 17.35 8s-7.77 8-17.35 8c-9.58 0-17.35-8-17.35-8s7.77-8 17.35-8zm115.76 0c9.58 0 17.35 8 17.35 8s-7.77 8-17.35 8c-9.58 0-17.35-8-17.35-8s7.77-8 17.35-8zm-204.24 40.18L128.114 494H379.31l13.59-167.564c-8.47 5.71-16.13 8.52-23.36 8.71a143.18 143.18 0 0 1-49.95 51.838c1.11 4.44 1.35 13.33 1.35 14.83-.07 18.13-4.34 36.21-54.52 40.63-5.173.455-10.033.68-14.58.68-19.67 0-33.54-4.28-42.17-13-7.25-7.29-10.33-17.3-9.17-29.77.21-2.27.57-4.81 1-7.55-27.09-13-49.61-35.59-64.09-63.86-7.28-1.49-15.06-5.54-23.7-12.42z"}}]})(props);
};
function GiTronArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.844 17.813v20.843l252.062 103.28-18.03 12.814L21.843 58.844v47.5l192 78.344-102.813 73.218-3.968 2.844.032 4.844.156 19.75 223.313 88.562-.094 20.094-223.033-88.47.25 30.47.126 13.188.593-.22v.594l221.875 90.75-.217 45.282L491.5 454.188l-160.625-146.25-.188 44.343-132.312-54.124 91.03-65.72 3.94-2.842-.064-4.875-.092-7.657.218.093-1.156-88.53L21.844 17.81zM273.78 164.97l.75 55.155-96.53 69.72-50.53-20.69L273.78 164.97z"}}]})(props);
};
function GiTrophiesShelf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M473 64.45c.4 7.06.2 14.02-.5 20.83 3.6 3.88 4.7 9.15 3.4 15.42-1.2 5.6-4.7 11.7-10.4 16.4-3 8.8-6.9 17.2-11.3 24.9 21.3-5.2 35.6-20.7 39.3-37.4 2.5-11.45-.1-24.01-8.9-32.67-3.2-3.14-7.1-5.65-11.6-7.48zm-210 .81c-3.7 1.73-6.9 3.95-9.6 6.63-8.8 8.66-11.4 21.23-8.9 32.71 3.8 17 18.5 32.6 40.3 37.7-4.6-7.8-8.6-16.1-11.8-24.8-6-4.8-9.6-11-10.9-16.8-1.2-5.81-.4-10.76 2.6-14.54-1-6.89-1.6-13.88-1.7-20.9zM281.4 73c2 26.79 12.6 53.4 27.8 73.6C326 169.1 348 183 368 183c20.3 0 43.2-13 60.3-34.7 15.7-19.7 26.3-46.4 26.8-75.3H281.4zm71.9 126.3c-4.2 7.2-6.9 15.8-7.9 21.4l22.6 22.6 22.6-22.6c-1-5.6-3.7-14.1-7.8-21.3-4.9 1.1-9.8 1.6-14.8 1.6s-9.9-.6-14.7-1.7zm-187.8 3.8c-2.5 10.2.5 20.2 6.3 30.4 7.2 12.6 18.6 24.1 26.6 32.1l2.6 2.7v3.7c0 8 0 15.7-.1 23h46.2c-.1-7.3-.1-15-.1-23v-3.7l2.6-2.7c8-8 19.4-19.5 26.6-32.1 5.8-10.2 8.8-20.2 6.3-30.4-42.1 12.7-74.9 12.7-117 0zm196 59.1L346.8 343h42.4l-14.7-80.8-6.5 6.5-6.5-6.5zM42.76 281c1.51 5.2 3.86 11.2 6.96 16.4 2.63 4.4 5.69 8.2 8.42 10.5C60.88 310.3 63 311 64 311h11.53l-16 64h56.97l-16-64H112c1 0 3.1-.7 5.9-3.1 2.7-2.3 5.7-6.1 8.4-10.5 3.1-5.2 5.4-11.2 6.9-16.4H42.76zm157.74 32c-.2 4.8-.5 9.4-.8 14h48.6c-.3-4.6-.6-9.2-.8-14h-47zm-3 32c-1.6 10.4-4.1 20.3-7.8 30h68.6c-3.7-9.7-6.2-19.6-7.8-30h-53zM329 361v14h78v-14h-78zM16 391v18h480v-18H16zm55 35v48h18v-48H71zm352 0v48h18v-48h-18z"}}]})(props);
};
function GiTrophyCup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M98.398 21.146a17.092 17.092 0 0 0-4.636.521c-20.49 5.262-33.163 20.63-36.116 38.649-2.952 18.019 2.168 38.346 12.676 58.193 20.695 39.086 63.262 77.08 117.852 85.85-5.61-6.72-11.05-14.246-16.274-22.375-39.008-12.57-70.021-42.344-85.67-71.899-9.206-17.387-12.846-34.491-10.82-46.857C77.437 50.862 83.482 42.89 98.238 39.1c.065-.017.068-.034.092-.053-.065-.143.105-.08 0 0 .022.049.061.11.176.217.527.493 1.689 2.24 2.207 5.14 1.036 5.804-.413 15.593-8.135 25.68l14.293 10.942c10.418-13.61 13.65-28.086 11.56-39.785-1.044-5.85-3.396-11.165-7.628-15.124-3.174-2.969-7.747-4.868-12.405-4.972zm315.204 0c-4.658.104-9.23 2.003-12.405 4.972-4.232 3.96-6.584 9.274-7.629 15.124-2.089 11.699 1.143 26.174 11.56 39.785l14.294-10.942c-7.722-10.087-9.171-19.876-8.135-25.68.518-2.9 1.68-4.647 2.207-5.14a.695.695 0 0 0 .176-.217c-.105-.08.065-.143 0 0 .024.019.027.036.092.053 14.756 3.79 20.801 11.76 22.828 24.127 2.026 12.366-1.614 29.47-10.82 46.857-15.649 29.555-46.662 59.33-85.67 71.899-5.223 8.129-10.665 15.655-16.274 22.375 54.59-8.77 97.157-46.764 117.852-85.85 10.508-19.847 15.628-40.174 12.676-58.193-2.953-18.02-15.626-33.387-36.116-38.649a17.092 17.092 0 0 0-4.636-.521zm-276.166 7.713c2.146 36.533 16.76 83.07 36.537 120.824 10.707 20.442 22.876 38.334 34.761 50.685C220.62 212.72 232 218.858 240 218.858h32c8 0 19.38-6.138 31.266-18.49 11.885-12.351 24.054-30.243 34.761-50.685 19.777-37.755 34.39-84.29 36.537-120.824H137.436zm95.564 208v16h46v-16h-46zm6.445 34c-2.458 25.967-12.796 57.873-24.437 76h81.984c-11.64-18.127-21.979-50.033-24.437-76h-33.11zm-38.445 94v14h110v-14H201zm-32 32v94h174v-94H169zm23 23h128v48H192v-48z"}}]})(props);
};
function GiTrophy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.156 21.625c-45.605 0-86.876 2.852-117.22 7.563-15.17 2.355-27.554 5.11-36.874 8.53-4.66 1.71-8.568 3.515-11.968 6.094-3.238 2.457-6.65 6.36-6.97 11.75h-.75c0 10.08.362 20.022 1.064 29.813H57.53c-.12-7.952.003-15.922.376-23.875l-26.812-6.28C22.55 161.892 64.1 265.716 140.564 339.655l15.655-29.594c-4.198-3.477-8.25-7.063-12.157-10.75 5.846-6.112 12.293-11.76 19.28-16.843 13.468 13.172 28.182 23.565 43.813 30.655 22.114 17.744 8.053 29.368-23.5 36.25 58.863 10.6 38.948 62.267-14.125 92.313-2.14.27-4.256.523-6.28.812-12.047 1.718-21.876 3.71-29.406 6.25-3.765 1.27-6.958 2.6-9.906 4.656-2.95 2.055-6.626 5.705-6.626 11.406 0 5.702 3.677 9.32 6.626 11.375 2.948 2.055 6.14 3.387 9.906 4.657 7.53 2.54 17.36 4.532 29.406 6.25 24.094 3.436 56.784 5.53 92.906 5.53 36.123 0 68.812-2.094 92.906-5.53 12.048-1.718 21.877-3.71 29.407-6.25 3.764-1.27 6.957-2.602 9.905-4.656 2.948-2.055 6.625-5.674 6.625-11.375 0-5.702-3.677-9.352-6.625-11.407-2.948-2.055-6.14-3.387-9.906-4.656-7.53-2.54-17.36-4.532-29.408-6.25-2.013-.287-4.12-.544-6.25-.813-53.076-30.045-72.99-81.71-14.125-92.312-31.568-6.886-45.63-18.522-23.468-36.28 15.74-7.15 30.547-17.655 44.092-30.97 6.648 4.773 12.84 10.038 18.47 15.72-4.105 4.172-8.338 8.257-12.72 12.217l16.188 29.594c79.118-71.955 116.195-179.53 110.03-285l-27.342 7.97c.45 7.61.64 15.19.562 22.75h-25.594c.702-9.792 1.063-19.735 1.063-29.814h-.75c-.323-5.39-3.763-9.293-7-11.75-3.402-2.58-7.31-4.383-11.97-6.093-9.32-3.422-21.704-6.177-36.875-8.532-30.342-4.71-71.613-7.563-117.22-7.563zm0 18.688c44.822 0 85.426 2.854 114.344 7.343 14.46 2.245 26.06 4.932 33.313 7.594 1.04.382 1.775.75 2.625 1.125-.85.375-1.58.742-2.625 1.125-7.252 2.662-18.854 5.38-33.313 7.625-28.918 4.49-69.522 7.344-114.344 7.344-44.82 0-85.425-2.855-114.344-7.345-14.46-2.245-26.06-4.963-33.312-7.625-1.05-.386-1.77-.748-2.625-1.125.853-.376 1.577-.74 2.625-1.125 7.252-2.662 18.853-5.35 33.313-7.594 28.918-4.49 69.522-7.343 114.343-7.343zm-197.25 71.874H86.25c8.057 57.878 28.23 108.83 56.188 146.25-6.974 5.74-13.407 11.968-19.188 18.688-38.648-46.456-59.042-104.647-64.344-164.938zm367.188 0h27C447.51 171.82 425.336 228.34 388.03 275c-5.44-6.055-11.406-11.73-17.842-16.97 27.81-37.38 47.873-88.175 55.906-145.842z"}}]})(props);
};
function GiTropicalFish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M162.624 52.61C97.727 52.9 43.2 71.024 20.26 77.065c180.533-16.45 207.453 29.552 202.45 80.002-18.22 37.848-25.254 55.3-27.918 70.57-.1-.087-.194-.175-.297-.263-.137 1.532-.252 3.068-.353 4.604-1.174 9.332-.916 18.495-.844 31.853.232 42.953 20.353 78.605 35.563 123.858-19.41 34.982-62.905 40.407-111.138 40.017 15.68 4.238 57.39 35.154 183.93-18.266-18.39 38.19-101.927 66.29-104.35 80.708 95.706-8.18 156.83-50.263 172.442-113.7 26.875-16.655 51.02-37.67 71.22-88.49 4.977-15.1 26.364-16.513 42.844-20.37 8.092-1.892 12.803-17.88 0-19.664-16.856-3.743-41.087-1.758-50.568-18.963C359.963 85.33 251.557 52.22 162.624 52.61zM68.11 170.79c-6.35-.04-11.513.988-14.995 3.296 52.984 29.347 72.777 42.044 73.205 52.064.306 18.476-56.007 23.49-57.59 33.362-.602 3.75 45.222 28.75 51.972 38.277 8.175 14.697-18.264 35.887-52.675 58.995 7.18 11.277 72.52-13.598 116.69-36.805-7.365-34.743-12.074-70.132-6.827-105.548-32.393-23.226-82.256-43.47-109.78-43.643zm309.805 34.105c17.18 0 31.3 14.12 31.3 31.3s-14.12 31.3-31.3 31.3-31.298-14.12-31.298-31.3 14.12-31.3 31.298-31.3zm-71.578 12.435c4.01.062 8.036.29 12.076.705l.487.05.478.102c7.506 1.608 10.558 7.368 12.705 12.56 2.147 5.19 3.38 11.144 4.006 17.52 1.25 12.75.433 26.886-5.97 37.98-3.817 6.613-9.487 8.915-16.46 11.564-6.97 2.65-15.513 4.687-25.05 5.833-19.078 2.29-42.133 1.066-62.616-8.352l-19.9-9.147 20.58-7.487c9.96-3.622 17.247-7.86 22.49-11.594-8.457-3.524-18.93-9.306-28.448-18.88l-10.3-10.36 13.886-4.54c26.63-8.707 53.964-16.39 82.035-15.952zm71.578 5.565c-7.45 0-13.298 5.85-13.298 13.3 0 5.78 3.525 10.582 8.582 12.45a13.773 13.008 0 0 1-1.802-6.397 13.773 13.008 0 0 1 13.773-13.008 13.773 13.008 0 0 1 4.546.746c-2.2-4.245-6.607-7.09-11.8-7.09zm-71.863 12.443c-19.507-.27-39.51 4.09-59.924 10.098 11.728 7.197 22.06 8.86 22.06 8.86l14.735 2.25-8.855 11.99s-3.546 4.686-10.194 10.02c-2.56 2.052-5.814 4.29-9.447 6.55 10.906 1.81 22.13 1.855 32.033.665 8.256-.99 15.592-2.804 20.81-4.786 5.216-1.982 8.043-5.09 7.26-3.736 2.872-4.975 4.633-17.148 3.645-27.227-.494-5.038-1.58-9.627-2.724-12.393-.48-1.16-.863-1.54-1.085-1.813-2.764-.23-5.53-.438-8.313-.476z"}}]})(props);
};
function GiTrousers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.375 21.156c-44.557.187-87.24 7.376-118.563 21l-1.78 16.094h25.655v18.688H136l-2.125 19.406h29.813v18.687h-31.875l-38.72 352.876 123.344 24.813 34.157-262.845H236.688v-97.749H220.94V115.03h-38.562V96.345h38.563V76.938h-38.563V58.25h38.563V41.53h90.938v16.72h33.03v18.688h-33.03v19.406h33.03v18.687h-33.03v17.095h-56.499v79.063h27.406v18.687h-11.56l34.25 263.75h.217l129.063-26.28-38.72-352.314h-32.436V96.345H394l-2.156-19.406h-28.25V58.25h26.22l-1.783-16.094c-38.697-14.308-85.098-21.17-129.655-21zm-18.75 39.063v17.468h34.938v18.687h-34.938v17.063h53.563v-53.22h-53.563z"}}]})(props);
};
function GiTrowel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M468.72 21.45c-4.12-.06-8.86.69-14.214 2.437-.886.41-73.34 33.862-146.268 70.326-36.687 18.343-73.365 37.396-100.642 53.133-13.64 7.868-24.953 14.94-32.51 20.463-3.78 2.76-6.626 5.173-8.164 6.77-.49.51-.496.696-.62.977.885 18.142 15.927 45.03 31.975 66.427 4.204 5.606 8.403 10.845 12.338 15.56l15.928-15.927 1.084-.607s7.78-4.4 17.12-7.65c4.672-1.626 9.773-3.046 15.142-3.366 5.367-.32 11.818.453 16.74 5.36 4.91 4.9 5.697 11.337 5.39 16.69-.304 5.355-1.705 10.443-3.313 15.102-3.216 9.32-7.58 17.083-7.58 17.083l-.61 1.096-16.06 16.06c4.716 3.934 9.954 8.133 15.56 12.337 21.397 16.048 48.284 31.09 66.426 31.974.28-.123.467-.128.977-.62 1.597-1.537 4.01-4.384 6.77-8.163 5.524-7.557 12.596-18.87 20.464-32.51 15.737-27.277 34.79-63.955 53.133-100.642 36.464-72.928 69.917-145.382 70.326-146.268 4.725-14.486 2.022-24.414-3.586-30.02-3.535-3.537-8.783-5.925-15.808-6.025zM261.864 247.935c-.27-.002-.573.005-.906.025-2.665.16-6.55 1.097-10.294 2.4-6.642 2.31-11.982 5.16-13.266 5.855l-37.838 37.838 18.385 18.385 37.953-37.954c.697-1.295 3.51-6.603 5.79-13.21 1.29-3.73 2.21-7.605 2.36-10.254.102-1.782-.132-2.588-.202-2.856-.223-.06-.787-.223-1.983-.228zm1.983.228c.13.035.177.042.07-.064-.11-.11-.105-.067-.07.064zm-77.012 58.617l-9.9 9.902 18.382 18.382 9.9-9.9-18.382-18.383zm-35.164 10.093L46.467 412.486l53.047 53.047 95.613-105.205-43.455-43.455zM33.132 424.607l-9.665 8.782c-1.213 1.223-1.72 2.35-1.865 4.54-.148 2.21.372 5.432 1.806 9.162 2.87 7.46 9.277 16.667 17.055 24.445 7.778 7.778 16.985 14.185 24.445 17.055 3.73 1.434 6.95 1.954 9.162 1.806 2.19-.146 3.317-.652 4.54-1.865l8.783-9.664-54.262-54.263z"}}]})(props);
};
function GiTruck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M33 120v127.648c5.023 1.863 9.31 5.103 12.68 8.682 5.238 5.562 9.034 12.113 12.498 18.242 3.463 6.13 6.61 11.886 9.343 15.446C70.257 293.578 71.618 294 72 294c.59 0 .78.075 2.36-1.8 1.583-1.877 3.57-5.405 5.683-9.405 2.114-4 4.356-8.472 7.832-12.596 3.476-4.125 9.172-8.2 16.125-8.2 6.953 0 12.65 4.075 16.125 8.2 3.476 4.123 5.718 8.595 7.832 12.595s4.1 7.528 5.682 9.404c1.58 1.875 1.77 1.8 2.36 1.8.59 0 .78.075 2.36-1.8 1.583-1.877 3.57-5.405 5.683-9.405 2.114-4 4.356-8.472 7.832-12.596 3.476-4.125 9.172-8.2 16.125-8.2 6.953 0 12.65 4.075 16.125 8.2 3.476 4.123 5.718 8.595 7.832 12.595s4.1 7.528 5.682 9.404c1.58 1.875 1.77 1.8 2.36 1.8.59 0 .78.075 2.36-1.8 1.583-1.877 3.57-5.405 5.683-9.405 2.114-4 4.356-8.472 7.832-12.596 3.476-4.125 9.172-8.2 16.125-8.2 6.953 0 12.65 4.075 16.125 8.2 3.476 4.123 5.718 8.595 7.832 12.595s4.1 7.528 5.682 9.404c1.58 1.875 1.77 1.8 2.36 1.8.59 0 .78.075 2.36-1.8 1.583-1.877 3.57-5.405 5.683-9.405 2.114-4 4.356-8.472 7.832-12.596 3.476-4.125 9.172-8.2 16.125-8.2 6.953 0 12.448 3.3 17.025 7.004 2.142 1.733 4.125 3.638 5.975 5.617V120H33zm320 49.377v140.27l8-.026V326h3.81c9.298-18.914 28.774-32 51.19-32 19.463 0 36.707 9.867 47 24.846V262h16v-36.275l-28.256-42.385L353 169.377zm18.543 19.516l64.77 7.726 24.8 35.51v16.735h-89.57v-59.972zM33 269.148V294h15.537c-2.12-3.493-4.065-7.096-6.03-10.572-3.173-5.617-6.4-10.827-9.507-14.28zM104 280c-.59 0-.78-.075-2.36 1.8-1.583 1.877-3.57 5.405-5.683 9.405-.48.91-.972 1.847-1.478 2.795h19.04c-.505-.948-.997-1.886-1.477-2.795-2.114-4-4.1-7.528-5.682-9.404-1.58-1.875-1.77-1.8-2.36-1.8zm64 0c-.59 0-.78-.075-2.36 1.8-1.583 1.877-3.57 5.405-5.683 9.405-.48.91-.972 1.847-1.478 2.795h19.04c-.505-.948-.997-1.886-1.477-2.795-2.114-4-4.1-7.528-5.682-9.404-1.58-1.875-1.77-1.8-2.36-1.8zm64 0c-.59 0-.78-.075-2.36 1.8-1.583 1.877-3.57 5.405-5.683 9.405-.48.91-.972 1.847-1.478 2.795h19.04c-.505-.948-.997-1.886-1.477-2.795-2.114-4-4.1-7.528-5.682-9.404-1.58-1.875-1.77-1.8-2.36-1.8zm64 0c-.59 0-.78-.075-2.36 1.8-1.583 1.877-3.57 5.405-5.683 9.405-.48.91-.972 1.847-1.478 2.795h25.157c-.376-.512-.74-1.022-1.13-1.535-2.787-3.646-5.967-7.173-8.804-9.47C298.866 280.7 296.59 280 296 280zm185 0v46h14v-46h-14zM72 310c-22.537 0-41 18.463-41 41s18.463 41 41 41 41-18.463 41-41-18.463-41-41-41zm104 0c-22.537 0-41 18.463-41 41s18.463 41 41 41 41-18.463 41-41-18.463-41-41-41zm240 0c-22.537 0-41 18.463-41 41s18.463 41 41 41 41-18.463 41-41-18.463-41-41-41zm-399 2v14h3.81c2.532-5.15 5.824-9.86 9.72-14H17zm96.47 0c3.896 4.14 7.188 8.85 9.72 14h1.62c2.532-5.15 5.824-9.86 9.72-14h-21.06zm104 0c3.896 4.14 7.188 8.85 9.72 14H231v-14h-13.53zM343 327.678l-94 .295v30l94-.295v-30zM72 328c12.81 0 23 10.19 23 23s-10.19 23-23 23-23-10.19-23-23 10.19-23 23-23zm104 0c12.81 0 23 10.19 23 23s-10.19 23-23 23-23-10.19-23-23 10.19-23 23-23zm240 0c12.81 0 23 10.19 23 23s-10.19 23-23 23-23-10.19-23-23 10.19-23 23-23z"}}]})(props);
};
function GiTrumpetFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M476 18.28c-11 13.93-27.6 26.14-45.2 37.31C408.3 69.93 384 82.05 368 90.1l-1.9.9H325v30h41.1l1.9.9c16 8 40.3 20.2 62.8 34.5 17.6 11.2 34.2 23.4 45.2 37.3 3.5-6.9 6.8-16.1 9.2-27.1 3.8-17.7 5.8-39.1 5.8-60.6 0-21.45-2-42.93-5.8-60.6-2.4-11-5.7-20.18-9.2-27.12zM36 79c-5 0-10.04.98-12.85 2.22-1.3.58-1.93 1.13-2.15 1.35v46.83c.22.2.85.8 2.15 1.4C25.96 132 31 133 36 133s10.04-1 12.85-2.2c1.3-.6 1.93-1.2 2.15-1.4V82.57c-.22-.22-.85-.77-2.15-1.35C46.04 79.98 41 79 36 79zm33 12v30h46V91zm64 0v30h30V91zm48 0v30h78V91zm96 0v30h30V91zm-176 48v349l55-65.2 64 72 64-72 55 65.2V139zm66.2 45.4c10 19.2 27.3 18.1 44.2 18.1l36.7 1.4 5.3 16.7 52.4 6.9 2.4 34.2c-19 5.5-56.9 4.2-57 12.5-.1 13.8 24.7 10.7 53.1 3.5l-16.4 37.2-41.8 3c2.6 31.4-.8 52.6-24.2 75.1L207 355.4c-8.6 15.4-20.4 26.4-39 28.2 7.2-17.7 13-31.8 6.6-51.8-9.2 8.9-23.9 12.6-44.1 11.2 21.5-33.7 32.9-68.8 42.3-103.3L157 226c-4.5-16-.9-29.8 10.2-41.6z"}}]})(props);
};
function GiTrumpet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M385.853 21.083c-2.876-.097-4.956.287-6.693 1.058 4.438 38.628-3.264 69.792-21.635 99.469-19.234 31.07-49.316 60.967-88.852 100.502l-3.586 3.722 21.079 21.079 3.722-3.586c28.35-28.35 51.736-51.808 74.16-69.922a50.053 50.053 0 0 1 7.662-.918 47.688 47.688 0 0 1 2.582-.033c12.806.18 23.989 5.554 32.149 13.714 16.225 16.225 21.424 44.398-3.31 73.522-8.9-7.421-17.504-10.952-25.503-10.69a24.831 24.831 0 0 0-4.064.47c-10.692 2.138-17.328 9.532-22.984 15.189l-23.334 23.334 12.726 12.728 23.336-23.336c5.657-5.657 10.335-9.575 13.785-10.265a9.39 9.39 0 0 1 2.133-.188c2.622.075 6.14 1.307 11.451 5.711l-39.39 39.39 12.728 12.73 45.961-45.962c36.549-36.548 33.505-81.048 9.193-105.36-8.559-8.558-19.627-14.465-31.962-16.952 1.06-.683 2.12-1.356 3.183-2.014 29.677-18.371 60.841-26.073 99.469-21.635.771-1.737 1.155-3.817 1.058-6.693-.16-4.804-1.931-11.321-5.304-18.549-6.746-14.455-19.647-31.608-34.625-46.586-14.978-14.978-32.131-27.88-46.586-34.625-7.228-3.373-13.745-5.143-18.549-5.304zM217.492 202.584l-15.557 15.557 12.729 12.727 15.556-15.555-12.728-12.729zm23.486 24.596l-14.143 14.143 111.723 111.722 14.143-14.14L240.978 227.18zm-50.309 2.227l-15.556 15.556 12.728 12.727 15.557-15.555-12.729-12.728zm23.438 24.644l-14.143 14.143L311.69 379.916l14.14-14.142L214.108 254.05zm-50.203 2.121l-15.557 15.557 12.729 12.729L176.63 268.9l-12.726-12.729zm23.334 24.748l-14.143 14.143 111.723 111.723 14.142-14.141L187.238 280.92zm-13.75 39.99L51.355 447.683l12.963 12.963 39.988-38.525c.004.092.001.186.006.279.877 17.378 8.833 33.331 20.701 45.2 11.868 11.867 27.822 19.822 45.2 20.698 17.377.877 35.967-5.7 51.673-21.406l48.791-48.79-12.728-12.73-42.414 42.415c-7.028-7.302-6.922-10.348-6-13.532.964-3.332 5.28-8.376 10.937-14.033l26.162-26.162-12.726-12.728-26.164 26.164c-5.657 5.656-12.655 11.926-15.5 21.755-2.715 9.379.623 20.584 10.172 30.83-10.453 7.99-21.092 10.756-31.297 10.24-12.41-.625-24.387-6.459-33.38-15.45-8.99-8.992-14.824-20.968-15.45-33.377-.334-6.622.726-13.428 3.681-20.246l65.117-62.735-17.6-17.601zM33.796 455.578l-12.728 12.728 22.627 22.627 12.728-12.728-22.627-22.627z"}}]})(props);
};
function GiTrunkMushroom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M373.7 18c-1.7 36.01-2.2 75.07-3.7 115.4 11.6-.1 14.5-1.4 19.8 1.9 31.2 17.6 38.4 50.2 31.2 77.4-3 11.6-8.3 22.6-15.4 31.8-8.6 48.9-32 94.8-55.8 139.8l-3.3 6.2-6.8-1.7c-5.4-1.3-10.3-2.7-14.7-4.3-17.4 40-41.5 77.3-75 109.5h244V18zm-72.9 119.7c-9.3 0-14.9 5.6-14.9 9.8 0 4.2 5.6 9.8 14.9 9.8s14.9-5.6 14.9-9.8c0-4.2-5.6-9.8-14.9-9.8zm32.5 14c-2.3 14.2-17 23.6-32.5 23.6-13.4 0-26.1-7-30.9-18.1-32.9 4.4-65.4 11-94.2 19.4-8.7 2.5-17.1 5.2-25 8.1.7 1.3 1.3 2.8 1.7 4.4 2.2 8.8-2.3 16.9-8.3 22.5-6 5.7-14.1 9.8-23.5 12.1-9.5 2.3-18.6 2.4-26.55.1-2.78-.7-5.53-1.9-8.03-3.4-2.36 2.5-4.3 5-5.73 7.4-2.5 4.1-3.63 7.8-3.63 11.5C159.4 271.2 246.2 271.2 366 250.5c14.9-2.6 32-21 37.6-42.4 5.5-20.9 1.7-42.3-21-56.1-16.5-1-33.3-.9-49.3-.3zm-100 36.1h1.9c5 0 10.3.7 15.6 2 10.7 2.5 20 7.2 26.8 13.5 6.7 6.3 11.6 15.1 9.3 24.6-2.3 9.5-10.7 15.1-19.5 17.6-8.9 2.5-19.3 2.4-30-.1-10.7-2.6-19.9-7.3-26.8-13.6-6.7-6.3-11.6-15.1-9.3-24.6 2.4-9.5 10.7-15.1 19.5-17.6 3.9-1.1 8.1-1.7 12.5-1.8zm-111.2 1.7c-2.9 0-6.3.3-9.6 1.2-6.8 1.7-12.5 4.8-15.61 7.7-3.13 3.1-3.23 4.7-3.13 5.1.1.4.95 1.9 5.14 3.1 4.1 1.1 10.6 1.3 17.4-.4 6.8-1.6 12.4-4.8 15.5-7.7 3.2-3 3.3-4.7 3.2-5.1-.1-.4-1-1.8-5.2-3-2-.6-4.7-.9-7.7-.9zm113 16.3c-3.6 0-6.8.4-9.4 1.1-5.1 1.5-6.6 3.5-6.9 4.5-.2 1.1.2 3.6 4.1 7.2 3.9 3.6 10.7 7.3 18.7 9.3 8.1 1.9 15.8 1.7 20.9.3 5.1-1.5 6.6-3.5 6.9-4.5.2-1.1-.2-3.6-4-7.2-4-3.6-10.7-7.3-18.8-9.3-4.1-1-8-1.4-11.5-1.4zm147.5 58c-4.3 2.2-8.8 3.7-13.6 4.5-40.2 6.9-77.1 11.6-111.6 13.5 8.4 4.5 15.2 9 20.7 13.6 14.3 12 20.2 24.9 23.2 35.5 3.1 10.5 4.1 18 8.4 23.7 3.8 5 11.4 10.1 27.5 14.8 18.5-35.2 35.7-70.2 45.4-105.6z"}}]})(props);
};
function GiTumbleweed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M174.7 46.35s-53.1 40.57-69.2 68.55c-8.6 15.1-14.17 44-16.81 60.6L45.6 236.2l52.77 70.5-24.51-72.4C102.2 172.9 175.8 136.5 242.4 96.2c75.8 22 150.2 45.7 188.8 116.9-26.3 28.6-42.2 56.6-65.2 81.7-18.1-17.8-26-36.4-20.9-57.5l20.3-45.3s-34-47.7-63.3-55.8c-29.3-8.1-95.8 17.2-95.8 17.2l-7.8 77.7 72.8 26.7-54-44.7 33.4-43.9 60.6 16.4c13.6 21-10.8 29.9-24.1 42.4 11-1 19.6 1.3 27.2 5l-5.5 55.2c-26.4 8.3-66.3 17.8-95.5 6.4-42.9-16.8-61.9-42.1-54.1-68.7l19.3-65.6-65.9 65.6 85.7 118.5 155.3-33.9c-15.3 15.9-25.4 18.7-52 31.4 3.1 14-19.7 27.2-28.2 38.9-29 9-43.6 16.5-74.2 17.3-31.1-21.7-49.8-49.5-60.2-81.4-5.7 28.7-1.4 55.6 25.5 78.3-99.39-20.1-94.15-97.1-140.95-145.8 33.11 57.2 12.47 141.1 101.85 171 64.6 21.5 128.7-6.7 192.4-12.1 27.3-15.6 52.7-34 79.3-50.7L376.6 421l-152.7 17.1c56.1 16 168 29.8 179.4 12.1 20.6-32 14-69.9 15-105.4 16.4-9.2 33.7-17.3 52.4-23.4.9-23.5-15.1-45.1 17.6-72.2l-43.4-13.8c8.8-9.4 17.4-18.6 25.8-27.5-57.1-53-100.8-112.5-227.5-131.52L114.5 153l8.5-33.6 51.7-52.42 41.4.8zm94.6 2.09l151.8 62.36 34.5 54.8-6.6-62.2zM433.2 248l5.9 51-94.8 65.4c-13.6 2.4-27 5.9-40.3 9.9 45.5-38.1 89.2-83.7 129.2-126.3zM39.97 401.4l75.53 79.1 91.3-26.7h-83.4z"}}]})(props);
};
function GiTumor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M287.47 17.875c-1.622.018-3.236.07-4.845.125-15.446.536-30.323 2.833-43.938 7.094-26.41 8.265-48.07 23.24-61.437 47.5 11.49 69.086 46.45 120.194 96.156 139.687 50.016 19.615 117.096 8.367 195.438-53.936l3.094-2.438c1.902-7.267 2.57-14.335 2.187-21.22-.42.165-.825.35-1.25.5-12.885 4.56-28 3.187-42.344-4.03-28.69-14.433-46.11-46.83-38.405-75.75 1.136-4.264 2.842-8.19 5-11.75-11.286-5.663-23.338-10.55-35.813-14.468-24.032-7.55-49.537-11.577-73.843-11.313zM140.56 23.938c-20.984.39-41.16 9.736-56.125 24.875C65.48 67.99 54.528 95.85 61.126 126.72c15.332-15.432 35.2-26.62 58.094-31.564l4.75-3.28 35.124-24.407c6.266-12.178 14.29-22.64 23.656-31.44-13.916-8.734-28.277-12.35-42.188-12.093zm294.125 17.718c-3.366.035-6.494.61-9.28 1.594-7.432 2.62-12.817 7.95-15.22 16.97-4.81 18.055 7.733 43.676 28.75 54.25 10.51 5.285 20.31 5.714 27.72 3.093 7.41-2.622 12.78-7.97 15.187-17 4.81-18.057-7.725-43.658-28.72-54.22-5.23-2.63-10.306-4.087-15-4.53-1.172-.11-2.314-.168-3.437-.157zM303.845 55.75c19.023-.023 36.438 11.03 40.344 29.188 4.606 21.422-11.99 41.562-34.657 46.437-22.666 4.875-46.08-6.67-50.686-28.094-4.607-21.42 11.99-41.562 34.656-46.436 2.833-.61 5.68-.953 8.5-1.063.617-.023 1.23-.03 1.844-.03zm1.062 18.656c-.727-.02-1.47-.004-2.22.03-1.708.082-3.45.302-5.248.69-14.388 3.093-22.417 14.58-20.344 24.218 2.072 9.638 14.113 16.844 28.5 13.75 14.387-3.094 22.385-14.612 20.312-24.25-1.7-7.906-10.094-14.154-21-14.438zm-143.594 14.28l-19.625 13.626c24.337 43.933 26.24 90.73 9.97 125.5-16.11 34.423-51.512 56.117-95.876 48.907l-2.874 12.78c38.52 7.824 58.506 28.87 64.313 53.25 5.81 24.394-.47 50.085-7.25 70.844l11.655 12.53c17.256-76.23 69.968-112.334 119.72-107.968 51.093 4.484 96.243 51.53 94.718 128.22l12.656-2c-2.215-64.055 5.032-113.256 24.624-152.688 19.614-39.48 51.56-68.53 95.812-92.782l-1.875-15.875c-76.438 56.238-146.205 68.023-200.686 46.657-53.834-21.11-90.856-73.527-105.28-141zm-35.187 24.033c-30.82 5.572-54.648 24.147-68.188 49.374-14.34 26.72-17.054 60.963-2.343 95.625 39.084 7.96 65.64-8.93 79.156-37.814 13.116-28.028 12.412-68.27-8.625-107.187zM473.28 217.874c-39.428 22.37-66.17 47.877-83.186 82.125-18.283 36.797-25.43 84.51-22.53 150.125 15.19-.46 30.058-4.782 44.155-12.25 23.675-12.543 44.86-34.124 59.717-60.53 26.14-46.46 32.765-106.86 1.844-159.47zm-267.374 8.594c9.153-.055 17.655 2.296 24.594 6.905 9.252 6.146 15.406 16.71 15.406 28.625 0 23.803-20.81 43.78-46.094 48.25-12.634 2.234-24.684.086-33.937-6.063-9.253-6.148-15.375-16.704-15.375-28.625 0-23.84 20.798-43.782 46.063-48.25 3.158-.558 6.292-.825 9.343-.843zm.063 18.686c-1.95.01-4.007.182-6.157.563-17.21 3.042-30.625 17.93-30.625 29.843 0 5.956 2.418 9.997 7.03 13.062 4.613 3.065 11.742 4.74 20.345 3.22 17.188-3.04 30.625-18.01 30.625-29.845 0-5.947-2.42-9.998-7.032-13.063-3.46-2.298-8.338-3.81-14.187-3.78zM40.03 306.094c-6.08 4.882-10.803 11.12-14.31 18.22-7.026 14.21-8.61 32.002-4.44 47.686 4.17 15.684 13.7 29 28.782 36.125 10.39 4.908 23.81 7.032 40.75 4.188 6.894-20.296 12.886-45.628 8.22-65.22-4.718-19.8-18.065-35.643-58.626-40.937l-.343-.062h-.032zM231.595 336.5c-40.026.7-82.537 32.44-94.25 106.406 11.802 19.927 34.678 37.115 62.406 45.22 37.307 10.903 81.57 5.792 117.063-29.532l.156-1.97c6.08-76.347-34.24-116.068-77.25-119.843-2.69-.235-5.405-.328-8.126-.28z","fillRule":"evenodd"}}]})(props);
};
function GiTumulus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M205.361 49.538c-15.867 19.005-28.39 48.131-39.488 73.392-11.93-16.218-24.672-32.051-41.172-46.097 15.568 25.842 17.773 51.192 28.035 77.093-17.84-14.584-39.392-25.488-64.162-33.79 21.037 14.94 33.77 31.53 45.715 50.156-30.948 16.73-46.247 47.694-66.486 75.994-11.118-13.549-20.631-28.163-27.68-47.664 1.485 28.14 6.877 53.49 11.469 68.48 4.591 14.991 3.819 18.709 2.02 19.356-9.649-14.243-16.356-29.496-29.715-43.804 3.282 26.95 15.324 41.297 20.603 60.372-4.905 9.376-8.4 1.866-19.958-7.236 1.912 11.572 12.614 27.236 12.52 40.367-1.373 28.952 5.954 39.675 30.225 43.965 36.178 6.97 59.993 14.477 64.572 20.375 2.29 3.753 5.038 13.403 5.954 22.517 2.29 24.663 22.897 30.56 118.15 32.168 43.963.536 90.213 3.217 102.578 5.362 21.524 3.753 22.897 3.219 34.346-12.866 10.075-13.94 16.486-17.696 37.093-21.449 27.935-4.29 45.797-13.403 45.797-23.59-5.324-10.812-14.225-16.439-24.005-21.385-2.207.596-4.184 1.311-6.18 2.043-23.005 8.894-41.12 26.06-62.32 34.356-16.53 5.821 1.742 16.57-24.731 13.402-13.43-4.255-36.605 11.139-49.965 15.856l-5.875-17.014c.44-.152 4.064-1.802 9.285-4.254.526-12.01.254-22.902-.644-32.848-9.08-13.521-24.01-27.444-35.904-21.257-6.412 3.753-4.806 13.68-3.432 17.968 2.407 12.522-15.653.641-16.043 11.526 0 3.217-4.123 10.187-9.16 15.549-10.533 10.186-21.437 3.594-14.11-26.43 8.701-36.458 43.684-47.3 62.918-26.926 6.331 6.486 10.356 3.88 10.659-.498a181.726 181.726 0 0 0-6.647-20.795l-11.512 4.492c-6.892-19.519-13.4-41.262-11.16-57.851l.7-4.633 4.197-2.086c43.814-21.76 91.052-39.01 137.716-50.316-7.333-21.903-18.344-46.195-30.396-52.358-16.88-8.631-46.033-19.451-64.965-21.338 11.543-20.579 17.61-41.534 33.533-61.445-14.553 9.802-26.694 21.414-38.23 33.479 3.08-18.148 5.064-36.012 13.096-54.909-12.73 14.909-22.118 31.09-30.813 47.537-6.73-15.507-14.259-30.787-24.615-45.257 5.894 18 6.73 34.686 8.017 51.566-31.938.027-70.784-9.862-96.904 1.86 2.712-26.93 5.275-57.917 17.074-81.135zm9.942 95.45c10.242-.01 20.155 4.589 15.472 17.526-14.861 41.06-45.066 8.319-49.01 38.086-1.253 20.96 13.541 27.807-5.497 31.635-17.26 3.463-44.749-3.794-47.955 13.539-5.63 23.76 14.015 35.159 41.681 34.965 22.946 3.035 31.982 41.861 20.48 62.926-1.373 1.608-4.12-3.754-5.953-11.26-8.847-24.871-26.902-37.822-43.044-19.301-8.701 10.187-13.957 9.25-13.957-.4 0-11.26-16.268-42.493-23.137-42.493-21.248 13.468-20.583 60.367-43.637 63.825-9.973 1.495-2.338-11.435 4.175-23.863 6.512-12.429 11.6-22.905 11.86-30.758 16.788-44.943 85.81-133.833 138.522-134.426zm152.855 44.802c-17.639 4.004-108.586 74.902-112.195 70.771-8.665-8.682 44.148-80.222 112.195-70.771zm104.894 28.79c-14.439 19.03-11.194 54.971-15.863 77.178-1.456-.693-3.12-1.301-4.521-1.777.902 19.875 2.43 40.19-.586 63.238 10.85-11.677 39.307-25.027 29.506-42.98 1.913-20.555-1.662-37.304 6.515-60.018-8.958 11.807-11.895 20.01-18.058 28.612-1.837-17.86-3.446-46.327 3.007-64.252zm-38.37 27.072c-44.992 10.578-97.79 29.46-140.381 50.198-.496 9.027 1.518 17.849 4.533 27.068l142.978-55.567c-.93-7.648-1.739-17.164-7.13-21.699zm-.094 45.048l-28.35 10.935c.58 26.518 2.381 53.496.827 81.037 9.155-2.912 17.712-5.96 23.974-10.746 6.933-29.604 4.554-54.35 3.549-81.226zm-96.746 36.422c-7.218 2.605-14.333 5.488-21.48 8.277 8.236 21.45 14.305 48.237 13.745 83.297 7.214-2.2 13.549-4.9 18.766-8.524-2.796-29.236-3.857-58.891-11.031-83.05z"}}]})(props);
};
function GiTunePitch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M228.47 47.906v42.908H19.53V109.5h208.94v21.875H19.53v18.688h208.94V343.03c-16.86-14.274-43.56-23.457-73.626-23.405-50.982.088-92.313 26.714-92.313 59.5s41.332 59.307 92.314 59.22c26.19-.047 49.822-7.113 66.625-18.408h277.467V401.25H240.344c4.22-6.653 6.627-13.906 6.812-21.5.006-.25.03-.5.03-.75h251.75l.002-18.688H247.155V182.25c24.89 40.517 45.422 63.12 64.5 74.656 23.127 13.983 44.285 9.79 60.688 3.28 16.403-6.508 29.112-13.624 42.406-11.655 13.294 1.97 30.884 13.118 55.594 50.595l16.5 25c-11.733-45.096-41.555-105.8-75.72-121.28 27.93-4.62 53.664 11.71 76.376 29.718l-1.53-2.313c-13.05-20.11-24.207-33.715-34.658-42.75-10.45-9.035-20.606-13.596-30.343-14.125-19.477-1.058-32.544 12.03-44.595 18.656-6.025 3.314-11.596 5.395-17.813 5.44-6.216.043-13.607-1.854-23.562-8.47-19.91-13.232-48.717-45.747-89.188-112.5L228.47 47.906z"}}]})(props);
};
function GiTurban (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.654 15.072c-12.396 26.293-18.327 55.655-26.254 84.526 5.225 5.148 11.26 10.11 18.594 14.771-8.382 1.204-15.876.926-22.765-.357-3.005 9.729-6.406 19.333-10.538 28.67 7.056 8.499 15.448 16.69 27.137 24.12-10.826 1.555-20.17.639-28.642-1.728 8.837 17.645 23.203 36.3 36.605 49.24 2.385-13.769 4.764-33.947 5.723-55.628 1.477-33.415.1-71.578-6.604-100.088l17.524-4.12c7.38 31.392 8.587 70.53 7.062 105.002-.938 21.206-2.718 40.143-5.162 54.862 16.875-14.522 32.157-38.713 40.344-56.26a261.386 261.386 0 0 0-.875-17.64c-6.972 1.33-14.562 1.63-23.065.41 8.527-5.42 15.285-11.25 21.067-17.303a229.077 229.077 0 0 0-5.45-25.653c-5.573.631-11.538.61-18.05-.326a111.682 111.682 0 0 0 14.619-11.045c-6.447-19.354-15.052-36.003-24.565-50.086-3.554 3.028-7.617 5.847-12.316 8.405 2.423-6.369 4.098-12.409 5.242-18.215a191.222 191.222 0 0 0-9.63-11.557zm-56.94 161.881c-40.373 27.332-80.198 59.974-123.161 101.248-.003.003-2.21 3.686-3.38 9.656-1.168 5.971-1.849 14.058-1.923 23.178-.128 15.76 1.604 34.596 4.768 52.383 76.585-11.245 132.73-24.958 166.714-46.209-20.028-30.571-28.038-62.978-24.783-94.922a142.878 142.878 0 0 1 2.201-14.3c-7.724-9.618-14.802-20.207-20.435-31.034zm119.083 3.19c-5.477 10.117-12.258 20.951-20.342 30.873 1.767 9.172 2.867 17.895 3.258 26.195 1.026 21.788-2.996 40.877-11.856 57.098 47.332 23.797 95.577 45.482 149.383 58.296 4.716-12.839 5.421-24.583 2.762-36.6-3.076-13.898-10.654-28.339-21.723-43.901-8.591-12.08-33.38-36.278-63.834-61.83-11.833-9.93-24.56-20.12-37.648-30.131zm-83.045 45.101c-2.518 27.175 4.04 54.397 21.477 81.268a84.472 84.472 0 0 0 6.042-5.875c14.875-16.051 21.739-35.454 20.461-62.58-.163-3.464-.487-7.066-.941-10.78-6.397 5.504-13.349 10.17-20.857 13.48l-4.643 2.048-4.154-2.912c-5.662-3.967-11.553-8.945-17.385-14.649zm43.76 84.18a95.683 95.683 0 0 1-3.037 3.447c-13.118 14.156-30.662 25.324-52.467 34.502a2666.35 2666.35 0 0 0 61.008 42.272c41.574 27.949 84.45 54.98 118.697 73.6 17.123 9.309 32.136 16.512 43.371 20.612 5.617 2.05 10.31 3.301 13.494 3.739.225.03.267-.009.473.011 5.211-31.844 8.244-73.704-18.738-115.89-59.73-13.242-112.193-36.793-162.801-62.293zm-75.778 45.547c-35.398 11.779-79.823 19.924-132.88 27.455l-1.668.76c-26.963 27.842-32.639 70.496-25.948 104.939 87.895-12.79 155.857-51.688 217.87-92.938a2654.477 2654.477 0 0 1-57.374-40.216z"}}]})(props);
};
function GiTurbine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.8 50.95c-87.2-.13-136.5 16.95-228.4 51.45v109.5c42.94-12.7 75-12.8 119-12.8 60 0 60 114 0 114-44 0-76.06-.1-119-12.8v109.5c111.6 41.8 160.5 57.8 290.8 48.9-19.7-11.3-37.3-28.9-51.5-50.6-25.8-39.4-41.3-93-41.3-152s15.5-112.6 41.3-152c14.2-21.79 31.7-39.31 51.5-50.66-23.1-1.62-43.7-2.49-62.4-2.49zm114.6 6.09c-33.8 0-65.2 20.96-88.6 56.86-23.5 35.9-38.4 86.4-38.4 142.2 0 55.8 14.9 106.3 38.4 142.2 23.4 35.8 54.8 56.8 88.6 56.8s65.2-21 88.6-56.8c12.7-19.5 23-43.3 29.6-69.8-5.3 16.9-12.4 32.3-21.1 45.6-20 30.7-48.6 51-81.1 51-32.5 0-61.1-20.3-81.1-51-19.9-30.7-31.9-72.2-31.9-118s12-87.3 31.9-118c20-30.7 48.6-51.06 81.1-51.06 32.5 0 61.1 20.36 81.1 51.06 8.7 13.3 15.8 28.7 21.1 45.6-6.6-26.5-16.9-50.3-29.6-69.8-23.4-35.9-54.8-56.86-88.6-56.86zm16 48.06c-8.7 0-17.2 1.9-25.3 5.5-4.5 35.7 4.1 63.4 14.8 91.1 3.1-1.6 6.7-2.6 10.5-2.6.9 0 1.8 0 2.7.1 5.4-28.4 12.4-57.4 31.4-83.9-10.7-6.7-22.2-10.2-34.1-10.2zM340 122.8c-7.8 6.6-15.1 15.1-21.6 25.1-5.5 8.4-10.3 17.9-14.4 28.2 7.7 16.4 18.4 27.5 30.6 37 5.6 4.4 11.7 8.4 17.9 12.3.7-1.3 1.4-2.6 2.2-3.9 1.4-2.4 3-4.8 4.7-7-10.7-27.2-20.8-56-19.4-91.7zm92.8 3.6c-16.7 23.7-22.8 50.5-28.2 78.6.2.1.3.1.5.2 3.1 1.5 6.2 3.2 9.4 5.1 13.7-15 28.9-29.2 48.8-37.8-3.7-8.9-8.1-17.2-12.9-24.6-5.4-8.3-11.3-15.5-17.6-21.5zm36.7 63.1c-15 6.9-27.3 18.3-39.4 31.1 6.5 4.8 12.4 10 17.2 15.2.9 1 1.7 2 2.6 3 1.4-.1 2.9-.2 4.3-.2 8.1-.1 16.3.5 24.7 2.3-1.2-18.4-4.5-35.7-9.4-51.4zm-173 9.5c-4.2 16.1-6.7 33.7-7 52 13.6 7.4 26.7 7.5 41.5 5.2 4.1-.6 8.2-1.5 12.5-2.4.2-3.7.9-7.6 2-11.4-7.4-4.6-14.8-9.4-21.9-15-9.9-7.7-19.2-16.8-27.1-28.4zm-152.1 18.1c-45.81 0-75.65.1-119 13.7v50.6c43.35 13.6 73.19 13.7 119 13.7 36 0 36-78 0-78zm240 0c-1 0-3.1.7-5.9 3.1-2.7 2.3-5.7 6.1-8.4 10.5-5.3 8.8-8.7 20.4-8.7 25.4s3.4 16.6 8.7 25.4c2.7 4.4 5.7 8.2 8.4 10.5 2.8 2.4 4.9 3.1 5.9 3.1s6.7-1.4 12.8-4.4c6.2-2.9 13.4-7.2 20-11.9s12.7-9.9 16.8-14.5c3.7-4 5.1-7.8 5.4-8.2-.3-.4-1.7-4.2-5.4-8.2-4.1-4.6-10.2-9.8-16.8-14.5-6.6-4.7-13.8-9-20-11.9-6.1-3-11.8-4.4-12.8-4.4zm55 39s0 .1 0 0zm18 .8c-.3 8.1-4.9 13.7-10.1 19.5-1.9 2.1-4 4.1-6.2 6.2 11.4 7.9 22.5 16.6 32 27.4 3.8-15.7 6-32.7 6.3-50.5-7.3-1.9-14.7-2.6-22-2.6zm-167.5 14c1.4 23.4 6.3 45.3 13.7 64.3 19.9-11.9 34.1-30.1 48.2-49.7-2.4-4.5-4.3-9.2-5.8-13.8-4 .8-8.1 1.6-12.2 2.3-13.9 2.1-29 2.4-43.9-3.1zm135.9 23.7c-3.6 2.6-7.4 5-11.1 7.2 11 24 21.3 48.9 25.1 76.6 3.7-4.3 7.3-9 10.6-14.1 6.3-9.8 11.9-21 16.3-33.3-10.4-14.7-24.9-25.8-40.9-36.4zm-63.1 7c-13.9 19.1-29.5 37.6-51.6 50.1 2.3 4.4 4.7 8.6 7.3 12.6 9.7 14.9 21 26.3 33.4 33.6 14.3-30.2 16.6-59.5 18.5-89.5-1.2-.8-2.4-1.7-3.5-2.7-1.4-1.3-2.8-2.6-4.1-4.1zm35.6 8.4c-3.4 1.4-6.6 2.4-10 2.8-1.8 29.6-4.8 60.1-19.8 92.2 5.2 1.4 10.5 2.1 15.9 2.1 13.7 0 26.8-4.7 38.8-13.3-1.5-29.6-12.5-56.5-24.9-83.8z"}}]})(props);
};
function GiTurd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M117.834 17.443c42.376 107.05-62.124 114.634 20.678 210.897-28.655-84.62 51.3-129.568-20.678-210.897zm225.922.688c-2.024-.06-4.103.345-6.365 1.25-5.17 2.064-11.69 7.488-18.13 18.643-6.44 11.155-9.613 22.672-9.77 31.35-.156 8.68 2.39 13.3 5.285 14.973 2.895 1.67 8.17 1.564 15.608-2.91 7.437-4.475 15.823-12.98 22.263-24.135 6.44-11.154 7.88-19.51 7.083-25.023-.8-5.512-3.368-8.892-8.162-11.66-2.397-1.384-4.648-2.21-6.947-2.43-.286-.03-.575-.047-.864-.056zm50.674 45.04c-.41.01-.833.028-1.266.06-5.198.37-11.99 2.385-20.357 7.215-11.156 6.442-19.662 14.83-24.137 22.266-4.475 7.438-4.58 12.713-2.908 15.608 1.67 2.895 6.292 5.44 14.97 5.284 8.68-.157 20.195-3.33 31.35-9.77 11.153-6.44 16.58-12.956 18.645-18.13 2.065-5.172 1.528-9.384-1.24-14.177-2.767-4.793-6.146-7.364-11.657-8.162-1.033-.15-2.167-.22-3.4-.193zm42.797 9.816c-35.587 150.27 34.9 124.747 10.625 263.5 57.687-113.445-1.726-153.902-10.625-263.5zM311.852 101.52c-6.42-.166-12.73 3.096-16.166 9.05-5 8.66-2.034 19.733 6.627 24.733 8.66 5 19.732 2.033 24.732-6.627s2.033-19.733-6.627-24.733c-2.706-1.562-5.648-2.345-8.566-2.422zm-84.47 18.8c-58.445 21.166-65.416 76.894-51.294 117.698 10.148 12.91 56.414 25.582 56.414 25.582s-48.184-7.06-63.832-7.315v-.002l.027-.08c-38.84 4.528-68.547 27.707-68.547 55.518 0 7.123 1.957 13.93 5.51 20.19 11.354 13.146 82.012 29.77 82.012 29.77s-71.235-10.798-88.484-11.4c-45.124 6.186-79.426 35.19-79.426 69.91 0 39.206 43.726 70.87 97.394 70.87h275.508c53.67 0 97.014-31.664 97.014-70.87 0-39.203-43.344-71.147-97.014-71.147h-1.607c12.914-9.91 20.763-22.974 20.763-37.322 0-29.684-33.554-54.095-76.207-56.17 28.615-95.79-135.14-67.4-108.232-135.23zM60.54 148.885c-87.533 77.6 24.97 64.76-4.636 186.05 59.073-112.215-31.264-111.346 4.635-186.05z"}}]})(props);
};
function GiTurnstile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M99.73 57L25 131.7V487h110V188.3l80-80V57H99.73zM80 103h80v18H80v-18zm138 27.7L154.7 194c6.4 3.2 13.6 5 21.3 5 26.1 0 47-20.9 47-47 0-7.7-1.8-14.9-5-21.3zm22.7 15.3c.2 2 .3 4 .3 6 0 8.5-1.7 16.6-4.6 24H473c5.8 0 8.9-1.8 11.3-4.5 2.3-2.6 3.7-6.5 3.7-10.5s-1.4-7.9-3.7-10.5c-2.4-2.7-5.5-4.5-11.3-4.5H240.7zm-15.2 48c-4 4.8-8.7 8.9-13.9 12.3l216.8 117.9c5 2.7 8.7 2.6 12 1.4 3.4-1.2 6.5-4 8.4-7.5 1.9-3.5 2.5-7.5 1.7-11-.8-3.4-2.7-6.5-7.7-9.3L251.7 194h-26.2zm-35 21.3c-4.2 1-8.5 1.6-12.9 1.7l86.7 211.6c2.2 5.3 5.1 7.5 8.5 8.7 3.3 1.1 7.5.9 11.2-.6 3.7-1.5 6.7-4.2 8.3-7.4 1.5-3.2 2-6.8-.1-12.1l-77.4-188.6-24.3-13.3z"}}]})(props);
};
function GiTurret (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M130.72 61C106 61.11 106 62.875 106 91H76l-15 30v60l15 30h30c0 30 0 30 30 30h120c30 0 30 0 30-30h15l15-30h180v-60H316l-15-30h-15c0-30 0-30-30-30H136c-1.875 0-3.633-.007-5.28 0zM166 271a15 15 0 0 0-15 15v45a15 15 0 0 0 15 15h60a15 15 0 0 0 15-15v-45a15 15 0 0 0-15-15h-60zm-15 105c-30 0-45 30-45 30-15 0-30 0-30 15l-60 15v15h360v-15l-60-15c0-15-15-15-30-15 0 0-15-30-45-30h-90z"}}]})(props);
};
function GiTurtleShell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M329.125 20.5l-3.72 9.625c-7.204 18.77-32.286 34.72-63.624 34.72-31.538 0-56.586-16.223-63.624-35.22l-2.25-6.094h-8.687l-1.97.97C111.456 61.1 60.844 148.48 60.844 249.313c0 132.906 89.104 242.78 200.937 242.78 111.835 0 200.283-109.904 200.283-242.78 0-100.493-50.352-187.376-123.72-224.188l-9.218-4.625zM185.28 45.78c13.738 23.13 43.113 37.782 76.5 37.782 33.14 0 62.43-14.33 76.345-37.187 61.527 35.396 105.25 112.692 105.25 202.938 0 124.622-82.108 224.093-181.594 224.093-99.485 0-182.217-99.5-182.217-224.094 0-90.54 43.907-168.274 105.718-203.53zm-4.78 27.75c-11.36 8.202-21.867 18.068-31.28 29.376l60.374 78.844h102.311l60.375-78.875c-9.063-10.883-19.12-20.456-30-28.47-18.174 18.622-47.482 30.72-80.5 30.72-33.52 0-63.174-12.487-81.28-31.594zm-42.906 44.907c-23.987 35.515-38.47 81.505-38.47 131.782 0 2.038.047 4.068.095 6.093h53.436L196 194.75l-58.406-76.313zm246.312 0L325.5 194.75l43.344 61.563h53.47c.046-2.025.092-4.055.092-6.094 0-50.28-14.51-96.267-38.5-131.782zm-169.062 82l-44.22 62.813 44.22 62.844h91.812l44.22-62.844-44.22-62.813h-91.812zM100.344 275c4.55 47.216 21.928 89.423 47.625 120.97l48.53-63.44L156.03 275h-55.686zm265.125 0L325 332.53l48.563 63.44c25.696-31.547 43.075-73.754 47.625-120.97h-55.72zm-154.783 69.78l-50 65.314c27.524 27.363 62.274 43.687 100.063 43.687 37.79 0 72.57-16.323 100.094-43.686l-50-65.313H210.688z"}}]})(props);
};
function GiTurtle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.406 25.03c-13.73 0-44.75 28.13-44.75 62.814 0 31.578 6.432 55.835 16.5 70.937-23.144 3.766-44.237 12.52-61.03 27.314-2.99 2.633-5.824 5.462-8.5 8.47-38.335-36.232-115.217 13.032-137 39.28-19.604 23.618 58.395 26.618 110.718 16.75-1.837 9.754-2.813 20.262-2.813 31.53 0 39.603 11.68 76.216 31.157 104.282-42.685 4.89-61.916 64.204-61.093 90.438.912 29.105 77-17.718 105.5-49.375 8.82 4.862 18.197 8.497 28 10.75 4.822 14.255 10.526 28.394 23.312 41.655 13.732-13.89 18.762-27.77 23.28-41.656 9.815-2.253 19.203-5.883 28.033-10.75 28.498 31.656 104.587 78.48 105.5 49.374.822-26.234-18.41-85.55-61.095-90.438 19.477-28.066 31.156-64.68 31.156-104.28 0-11.27-.974-21.778-2.81-31.532 52.322 9.868 130.32 6.868 110.717-16.75-21.784-26.248-98.666-75.512-137-39.28-2.677-3.008-5.51-5.837-8.5-8.47-16.86-14.855-38.058-23.604-61.312-27.344 10.232-15.31 16.78-39.817 16.78-70.906 0-34.683-31.018-62.813-44.75-62.813zm0 150.25c20.22 0 38.787 3.424 54.563 10.532l-26.345 31.97h-56.438l-26.343-31.97c15.775-7.108 34.34-10.53 54.562-10.53zm-70.937 20.032l25.75 31.25-29.97 44.032-4.28 6.28 5.31 5.47 36.532 37.625-23.312 28.436-5.28 6.438 5.78 6 27.125 28 13.438-13-21.344-22.03 21.53-26.22h39.313l21.53 26.22-21.343 22.03 13.438 13 27.125-28 5.78-6-5.28-6.438L296 319.97l36.563-37.626 5.25-5.438-4.22-6.28-29.718-44.376 25.5-30.938c2.06 1.506 4.06 3.1 5.97 4.782 19.106 16.832 31.25 42.762 31.25 82.03 0 78.538-49.7 140.063-108.19 140.063-58.486 0-108.186-61.525-108.186-140.062 0-39.27 12.14-65.2 31.25-82.03 1.913-1.688 3.93-3.273 6-4.782zm41.593 41.157h59.156l25.655 38.25-33.188 34.186h-44.562L203 274.78l26.063-38.31z"}}]})(props);
};
function GiTusksFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M70.13 29.67C131.9 47.24 183 70.38 225.3 97.21l-9.1-37.18c-46.3-17.67-95.7-28.01-146.07-30.36zm344.27 1.01c-53.1 1.92-102.8 12.81-147.9 32.28 10 5.02 19.8 10.39 29.4 16.11 33.4-18.79 72.6-35.19 118.5-48.39zM236.7 68.4l10.6 43.7c5.6 4 11.1 8.2 16.5 12.4l-9.5-47.96c-5.8-2.83-11.7-5.55-17.6-8.14zm38 18.76l11 55.94c4.5 4.1 8.9 8.2 13.1 12.4l-1.7-55.1c-7.4-4.6-14.8-9.03-22.4-13.24zm-76.5 14.44c-11.2 8-21.9 16.7-32.2 26-11.8 10.7-23 22.2-33.6 34.6 19.9 2 36.7 1.9 57.5 2.6 12.4-14.5 26.3-28.5 42.1-41.8-10.6-7.4-21.9-14.5-33.8-21.4zm117.3 11.1l1.7 53.4c20.4.8 40.9-.1 59.8-.7-18.9-19.5-39.5-37.1-61.5-52.7zM76.65 176.5l-3.12 21.3 84.57.6c0-5.7-.1-11.4-.2-17-26.8-1.3-53.9-2.9-81.25-4.9zm368.15 4.1c-32 1.7-64.2 2.9-96.7 3.5-.5 5.2-.9 10.4-1.3 15.5l99.1.7zm-269 1.3c1.7 92.6-.9 186.9-5.1 281.8 2.9-1.1 5.2-2 8.8-3.1 12.8-3.7 29.3-7 45.2-4.3h.1c21 3.7 37.4 15.3 53 18.1 8.9 1.7 22.5.8 32.3-2.5 4.9-1.7 8.8-4 10.9-6.1 2.1-2 2.6-3.3 2.4-5.5v-.5c-2.8-94-1-183.1 6.7-276.7-55.9 4.7-94.4 6.2-154.3-1.2zm-82.19 34C52.82 283 26.25 368 18.37 470.1c1.43 3.3 4.2 6 8.85 8.2 5.24 2.4 12.5 3.8 19.94 3.6 14.52-.3 28.29-6.8 32.22-14.3 14.01-66.4 22.02-161.2 72.52-248.8.5-.8 1-1.7 1.5-2.5zm256.49 1.8c57.9 86.9 71.8 181.6 76.6 251 1.9 3.3 5.8 6.6 11.7 9.1 6.4 2.8 14.9 4.4 23.1 4.5 8.3.1 16.4-1.4 22.3-4 5.4-2.4 8.4-5.3 9.8-8.6.9-98.6-27-183.4-73.7-251.5zm-68.7 46.4c2.5 2.1.2 34.7 1.5 36.6 2.3 3.3 16.3-23.2 17.3-18.9 8 33.6-18.7 93-18.7 93l-58.8 4.8-8.5-24.7s-17.1-12.5-19.6-22c-2.2-8.4-3.2-23.8 5.3-25.4 7.7-1.5 21.5 25.2 27 20.1 0 0-3.5-33.5 2.1-48.8 2-5.6 3.4-20.1 10.9-14.3 4.6 3.6 17.2 74.4 19.9 1.8 2.8-10.8 15.9-6.7 21.6-2.2z"}}]})(props);
};
function GiTvRemote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M380.412 26.416L21 374.77l121.647 121.647L491 137.005c-44.235-66.353-44.235-66.353-110.588-110.589zm-.691 22.81l22.117 22.117-12.44 12.44-22.119-22.117zm66.353 66.352l22.117 22.118-12.441 12.44-22.118-22.117zM369.353 81.71c6.871 6.871 6.871 18.012 0 24.883-6.871 6.87-18.011 6.87-24.882 0-6.871-6.871-6.871-18.012 0-24.883 6.87-6.87 18.01-6.87 24.882 0zm33.176 33.177c6.871 6.871 6.871 18.011 0 24.882-6.87 6.871-18.01 6.871-24.882 0-6.871-6.87-6.871-18.011 0-24.882 6.871-6.871 18.011-6.871 24.882 0zm33.177 33.176c6.871 6.871 6.871 18.012 0 24.883-6.871 6.87-18.011 6.87-24.882 0-6.872-6.871-6.872-18.012 0-24.883 6.87-6.87 18.01-6.87 24.882 0zm-99.53-33.176c6.872 6.871 6.872 18.011 0 24.882-6.87 6.871-18.01 6.871-24.882 0-6.871-6.87-6.871-18.011 0-24.882 6.871-6.871 18.011-6.871 24.882 0zm33.177 33.176c6.871 6.871 6.871 18.012 0 24.883-6.871 6.87-18.011 6.87-24.882 0-6.871-6.871-6.871-18.012 0-24.883 6.87-6.87 18.01-6.87 24.882 0zm33.176 33.177c6.871 6.87 6.871 18.011 0 24.882-6.87 6.871-18.01 6.871-24.882 0-6.871-6.87-6.871-18.011 0-24.882 6.871-6.871 18.011-6.871 24.882 0zM303 148.063c6.871 6.871 6.871 18.012 0 24.883-6.871 6.87-18.011 6.87-24.882 0-6.871-6.871-6.871-18.012 0-24.883 6.87-6.87 18.01-6.87 24.882 0zm33.176 33.177c6.872 6.87 6.872 18.011 0 24.882-6.87 6.871-18.01 6.871-24.882 0-6.871-6.87-6.871-18.011 0-24.882 6.871-6.871 18.011-6.871 24.882 0zm33.177 33.176c6.871 6.871 6.871 18.012 0 24.883-6.871 6.87-18.011 6.87-24.882 0-6.871-6.871-6.871-18.012 0-24.883 6.87-6.87 18.01-6.87 24.882 0zm-114.735-40.088L279.5 199.21l-44.235 44.236-24.883-24.883zm63.588 63.588l24.882 24.883-44.235 44.235-24.882-24.882zm-69.118 30.412c10.299 10.298 16.352 23.318 18.181 36.821h-41.035a24.805 24.805 0 0 1 0 17.593h41.035c-1.83 13.503-7.882 26.523-18.18 36.821-10.3 10.299-23.32 16.352-36.822 18.182v-41.036a24.805 24.805 0 0 1-17.593 0v41.036c-13.503-1.83-26.523-7.883-36.821-18.182-10.298-10.298-16.352-23.318-18.181-36.821h41.036a24.805 24.805 0 0 1 0-17.593h-41.036c1.83-13.503 7.883-26.523 18.18-36.82 10.3-10.3 23.32-16.353 36.822-18.182v41.036a24.805 24.805 0 0 1 17.593 0v-41.036c13.503 1.83 26.523 7.883 36.821 18.181zM76.985 351.96l22.118 22.118-12.441 12.441-22.118-22.117zm33.177 33.177l22.117 22.118-12.44 12.44-22.118-22.117zm33.176 33.176l22.118 22.118-12.441 12.441-22.118-22.117z"}}]})(props);
};
function GiTvTower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M215.027 25l-11.5 46h104.946l-11.5-46h-81.946zM201 89v41.535c4.545-2 9.214-3.766 14-5.27V89h-14zm32 0v31.94c4.594-.78 9.264-1.329 14-1.637V89h-14zm32 0v30.303c4.736.308 9.406.857 14 1.636V89h-14zm32 0v36.266a135.976 135.976 0 0 1 14 5.27V89h-14zm-41 48c-65.828 0-119 53.172-119 119 0 2.35.075 4.683.209 7h237.582c.134-2.317.209-4.65.209-7 0-65.828-53.172-119-119-119zM139.627 281a118.257 118.257 0 0 0 3.893 14h224.96a118.257 118.257 0 0 0 3.893-14H139.627zm11.844 32c20.164 36.971 59.366 62 104.529 62s84.365-25.029 104.53-62H151.47zm47.738 67.668L196.187 429h119.625l-3.021-48.332C295.481 388.583 276.249 393 256 393c-20.249 0-39.48-4.417-56.791-12.332zM195.062 447l-.875 14h123.625l-.875-14H195.063zm-2 32L192 496h128l-1.063-17H193.063z"}}]})(props);
};
function GiTv (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M132.992 48.756l-9.984 14.976 77.287 51.524c4.32-4.192 9.542-8.012 15.703-11.162l-83.006-55.338zm246.016 0l-83.006 55.338c6.16 3.15 11.383 6.97 15.703 11.162l77.287-51.524-9.984-14.976zM256 113.244c-22 0-35.334 7.06-43.637 15.363-4.703 4.704-7.58 9.97-9.316 14.637h105.906c-1.736-4.668-4.613-9.933-9.316-14.637-8.303-8.303-21.637-15.363-43.637-15.363zm-191.936 48c-5.044 0-11.106 2.784-15.697 7.37-4.59 4.584-7.367 10.63-7.367 15.63v279h430V184.2c.026-5.457-2.764-11.393-7.227-15.87-4.463-4.477-10.346-7.086-14.826-7.086H64.064zm30.295 23h257.745c10.374 0 20.79 6.818 26.776 16H112c-16 0-32 16-32 32v160c25.924-162.54 145.877-185.697 299.016-191.795 3.106 4.836 4.984 10.315 4.984 15.794v192c0 16-16 32-33.88 32H95.35c-15.35 0-31.35-16-31.35-32v-192c0-16 16-32 30.36-32zm328.663 7c13.7 0 25 11.3 25 25s-11.3 25-25 25-25-11.3-25-25 11.3-25 25-25zm-23.023 144h48v18h-48v-18zm0 32h48v18h-48v-18zm0 32h48v18h-48v-18z"}}]})(props);
};
function GiTwinShell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M369.318 21.48c-2.627-.023-5.247-.02-7.86.006-26.868.275-52.91 3.153-77.9 9.422-56.728 14.232-108.343 45.52-153.542 104.375 4.295 11.25 9.866 22.107 16.898 32.182l-15.326 10.697c-23.904-34.247-32.538-75.07-31.746-112.36-57.23 71.004-57.995 150.478-29.145 211.17 31.333 65.917 97.016 108.277 164.907 92.317 55.694-28.525 98.172-83.276 106.216-174.394l18.618 1.643c-8.586 97.25-56.33 159.16-118.083 190.26l.02.08c-.11.03-.223.053-.334.08-3.278 1.646-6.596 3.21-9.95 4.68-60.98 26.76-132.998 25.865-195.336 4.784 5.34 10.835 15.555 23.535 30.367 35.765 22.506 18.582 54.38 36.17 90.07 47.54 70.693 22.517 155.09 21.008 216.402-40.015 10.392-47.148 16.25-99.37 15.644-132.172l18.686-.346c.768 41.507-7.402 107.07-22.184 161.54 53.058-61.297 78.07-117.533 84.133-165.89 7.062-56.31-11.065-102.365-41.65-135.462-30.584-33.098-73.886-52.894-116.534-55.104-42.648-2.208-84.29 12.73-113.614 49.206v.002c-21.19 26.36-29.025 47.267-29.34 61.54-.314 14.272 5.57 22.437 15.56 27.693 19.982 10.513 58.994 3.832 82.573-26.392v-.002c12.514-16.04 16.338-27.975 16.18-34.525-.158-6.55-2.39-8.67-7.604-10.402-10.424-3.464-33.893 3.112-46.32 24.317l-16.124-9.45c16.453-28.072 46.122-39.984 68.338-32.6 11.108 3.69 20.073 14.328 20.395 27.687.32 13.358-6.095 28.48-20.13 46.47-28.702 36.79-75.363 47.562-106.01 31.438-15.323-8.062-25.99-24.237-25.54-44.645.45-20.407 10.696-44.523 33.458-72.838 33.22-41.324 81.43-58.63 129.144-56.158 8.573.443 17.14 1.523 25.625 3.19 19.008-34.687 50.532-57.58 87.272-71.613-19.07-2.243-37.838-3.566-56.232-3.718z"}}]})(props);
};
function GiTwirlCenter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M282.37 21.555c-1.762-.008-3.533.007-5.31.047-3.667.08-7.36.264-11.08.55-18.858 1.45-37.26 5.533-54.898 11.885-54.66 67.918-80.388 132.33-79.066 180.568.69 25.228 8.427 45.907 22.976 61.74 7.332 7.977 16.494 14.794 27.613 20.21-1.78-9.08-.69-19.25 2.836-29.647l-.108-.025c25.252-108.562 122.284-181.75 230.58-183.225 1.254-.017 2.51-.023 3.766-.02.273 0 .547.005.82.007-34.49-38.608-83.02-61.844-138.127-62.09zM175.05 50.74C99.45 94.016 44.84 180.466 42.08 276.162c-1.207 41.822 7.45 80.15 23.65 112.672 78.863 13.76 157.48-15.204 207.262-73.354-25.08 13.465-50.604 16.217-68.297 8.5-26.73-6.38-48.135-18.304-63.466-34.988-17.86-19.434-27.11-45.028-27.9-73.875-1.305-47.66 19.564-104.547 61.72-164.377zm245.518 51.576c-81.19-.563-155.767 42.457-194.683 111.334 1.914-1.463 3.866-2.898 5.883-4.28 13.737-9.405 27.99-15.545 41.365-18.433 20.342-5.848 40.66-8.946 60.55-9.494 1.972-.054 3.94-.083 5.903-.088 49.997-.113 97.022 15.872 134.664 44.534-1.323-47.18-15.347-89.358-38.578-122.966-5.055-.37-10.092-.573-15.104-.608zm-82.29 97.69c-3.768.036-7.557.17-11.362.408 24.172 9.177 42.968 22.816 55.824 40.174 15.71 21.21 22.21 47.637 19.95 76.406-3.78 48.205-31.236 103.44-80.766 159.283 83.062-37.717 145.69-126.44 151.916-226.564-36.24-32.056-84.02-50.197-135.563-49.707zm-3.78 24.187c1.078 9.684-.778 20.424-5.187 31.268-38.175 104.62-143.644 165.912-251.878 153.89 37.156 57.2 100.178 91.195 172.93 85.597 11.23-.864 22.297-2.66 33.138-5.31 63.4-62.745 96.723-125.248 100.557-174.106 1.974-25.16-3.54-46.538-16.338-63.817-7.995-10.793-18.966-20.115-33.222-27.52zm-76.21 1.616c-18.23 0-32.81 14.576-32.81 32.805 0 18.232 14.58 32.81 32.81 32.81 18.228 0 32.808-14.578 32.808-32.81 0-18.23-14.58-32.806-32.81-32.806z"}}]})(props);
};
function GiTwirlyFlower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M176.53 19.47c-.53-.004-1.058.014-1.593.03-.57.017-1.145.055-1.718.094-15.293 1.038-31.656 9.986-45.282 31.75-27.477 43.885-28.525 97.68-5.844 136.28 15.093 25.69 40.417 45.188 76.875 51.157.894-6.55 2.752-12.81 5.468-18.593-11.405-12.327-18.01-26.242-20.25-41.062-4.746-31.38 8.784-64.32 29.03-95.03 8.494-12.884 9.45-24.52 6.345-34.657-3.106-10.14-10.73-18.925-20.813-24.25-6.647-3.51-14.247-5.674-22.22-5.72zm198.064 29.75c-37.07.05-71.842 14.557-94.53 39.31-21.288 23.225-32.635 55.356-25.377 94.876 2.737-.356 5.514-.562 8.344-.562 2.248 0 4.468.118 6.658.344 8.678-17.88 21.282-30.383 36.687-37.782 28.608-13.74 64.078-10.445 99.375-.094 14.806 4.343 26.218 1.85 35-4.093 8.782-5.944 14.928-15.83 17.063-27.032 4.268-22.407-6.07-49.4-45.75-60.032-12.503-3.35-25.113-4.954-37.47-4.937zM261.688 77.812c-8.663 0-17.195.693-25.5 1.968-1.764 4.902-4.185 9.803-7.344 14.595-18.915 28.69-29.82 57.914-26.188 81.938 1.497 9.9 5.29 19.32 12.28 28.062 6.062-6.743 13.527-12.2 21.908-15.938-8.33-44.56 3.543-83.07 27.72-110.593-.962-.017-1.912-.03-2.877-.03zm89.25 77.312c-1.02-.006-2.027.01-3.032.03-12.502.25-23.856 2.493-33.437 7.095-10.745 5.16-19.894 13.197-26.658 25.563 7.123 2.976 13.615 7.19 19.188 12.375 23.372-13.382 47.298-19.12 70.094-18.407 13.43.422 26.462 3.095 38.75 7.72 1.19.448 2.356.924 3.53 1.406-3.043-9.002-6.843-17.637-11.312-25.875-2.49-.445-5.016-1.033-7.562-1.78-17.39-5.1-34.276-8.04-49.563-8.125zm-247.5 37.438c-3.102 9.498-5.397 19.366-6.75 29.53 3.844 2.94 7.526 6.417 10.937 10.47 22.13 26.29 47.062 45.03 71.125 48.375 8.972 1.246 18.1.6 27.438-2.657-3.463-6.362-5.905-13.37-7.063-20.78-43.162-6.468-74.965-29.445-93.156-60.406-.88-1.496-1.716-3.003-2.532-4.53zm266.968 7.562c-.9.016-1.813.053-2.72.094-15.917.71-32.434 5.25-48.998 14.436 3.44 5.8 5.974 12.198 7.468 18.97 15.995 2.598 29.416 9.17 40.156 19 23.413 21.425 33.575 55.573 37.125 92.186 1.49 15.36 8.058 25.004 16.844 30.938 8.788 5.934 20.25 7.946 31.44 5.75 22.38-4.39 43.58-24.057 38.655-64.844-6.206-51.403-39.195-93.918-81.094-109.687-12.274-4.62-25.35-7.09-38.874-6.845zM263.03 201.53c-25.51 0-46 20.49-46 46 0 25.513 20.49 46 46 46 25.513 0 45.97-20.487 45.97-46 0-25.51-20.457-46-45.97-46zM61.907 228.657c-10.602.097-21.184 4.94-29.156 13.094-15.944 16.31-22.248 44.514 4.938 75.313 34.262 38.815 85.546 55.12 129 44.343 27.786-6.89 52.807-24.442 69-55.312-6.75-3.17-12.853-7.468-18.094-12.656-13.844 6.054-27.785 7.923-41.406 6.03-31.435-4.367-59.187-26.733-82.875-54.874-9.937-11.804-20.805-16.034-31.407-15.938zM327.47 252.47c-.617 8.075-2.705 15.76-6.033 22.75 31.313 28.636 44.904 64.466 43.344 99.624 0 .03.003.062 0 .094 7.697-6.08 14.836-12.832 21.345-20.157-.567-2.634-1.007-5.363-1.28-8.186-3.318-34.205-13.235-63.786-31.158-80.188-7.17-6.563-15.722-11.45-26.218-13.937zm-16.408 38.25c-4.6 5.115-9.998 9.49-16 12.936 2.4 15.863.274 30.532-5.687 43.688-13.1 28.91-42.393 49.194-76.094 63.937-14.135 6.186-21.242 15.4-24.155 25.595-2.913 10.196-1.31 21.73 4.25 31.688 11.12 19.912 36.415 33.97 73.656 16.625 46.935-21.86 77.08-66.428 79.064-111.157 1.294-29.18-8.88-58.737-35.03-83.31zM277.47 310.56c-4.65 1.07-9.474 1.657-14.44 1.657-3.22 0-6.37-.26-9.467-.72-18.668 37.097-48.75 59.723-82.375 68.063-1.625.402-3.27.786-4.907 1.125 9.872 6.914 20.533 12.77 31.814 17.437 2.43-1.435 4.99-2.775 7.72-3.97 31.48-13.772 56.533-32.368 66.56-54.5 3.994-8.81 5.965-18.406 5.095-29.092z"}}]})(props);
};
function GiTwister (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M203.75 18.75c-30.807.152-58.2 2.922-79.375 7.656-15.057 3.367-26.967 7.8-34.313 12.344-7.345 4.545-9.187 8.14-9.187 10.72 0 2.578 2.32 7.302 9.906 13 3.283 2.463 7.427 4.992 12.25 7.5 12.58-26.887 60.835-36.463 106.25-36.75 19.47-.123 38.308 1.267 53.72 4.093-68.11 9.035-126.228 12.386-103.344 51.968 24.78-16.026 76.058-14.97 112.125-10.5-34.733 4.607-66.215 7.26-78.655 17.19 16.52 2.635 34.167 4.663 52.5 5.874 47.178 3.116 89.886.327 120-6.406 15.057-3.367 26.967-7.8 34.313-12.344 7.345-4.545 9.187-8.14 9.187-10.72 0-2.578-2.288-7.27-9.875-12.968-7.587-5.696-19.598-11.715-34.72-17.093C334.29 31.555 291.554 23.116 244.376 20c-11.795-.78-23.296-1.18-34.406-1.25-2.084-.013-4.166-.01-6.22 0zM74.094 72.906c-4.445 17.937-5.67 34.503-4.25 49.938.006.018-.007.044 0 .062 5.82 16.932 23.4 31.81 49.22 43.188 28.19 12.424 65.143 20.243 101.967 22.906 36.826 2.663 73.606.193 101.25-7.094.066-.017.124-.045.19-.062l.186.125c72.355-9.74 112.614-41.626 102.313-95.595-6.856 24.535-27.576 42.58-54.25 55.625 2.854-10.052 6.517-20.498 11.124-31.375-3.85 1.1-7.888 2.115-12.125 3.063-32.675 7.305-76.713 10.025-125.345 6.812-48.632-3.213-92.642-11.767-125.188-23.344-16.272-5.788-29.685-12.263-39.656-19.75-1.918-1.44-3.744-2.932-5.436-4.5zm7.562 93.406c11.72 25.393 30.867 47.514 53.563 67.907 10.904 7.757 26.756 14.574 45.28 19.405 25.235 6.58 55.16 9.846 83.5 9.656 25.045-.167 48.934-3.1 67.094-8.342 56.052-11.073 85.383-44.642 71.312-87.688-2.314 22.634-17.737 39.6-39.125 51.938-1.028-10.75-1.267-21.987-.405-33.813-9.994 6.235-22.157 10.986-35.844 14.594-30.526 8.045-68.822 10.472-107.342 7.686-38.52-2.786-77.172-10.8-108.188-24.47-10.954-4.826-21.063-10.442-29.844-16.874zm321.906 71.75c-4.685 14.62-14.652 26.757-28.25 36.188-1.862-5.797-3.624-11.708-5.218-17.78-6.943 5.897-15.767 10.318-25.938 13.905-21.858 7.71-50.187 11.394-80.03 11.594-26.414.176-53.918-2.413-78.782-7.94 22.057 16.116 44.73 31.753 65.562 47.876 20.303 8.023 48.924 7.27 73.97-.156 11.94-3.54 22.962-8.51 31.655-14.094 35.963-17.71 60.943-41.843 47.033-69.594zm10.657 59.375c.337 12.78-7.11 24.512-18.5 34.657-2.77-8.588-5.972-17.316-9.283-26.28-2.933 3.837-6.436 7.415-10.312 10.655-12.036 10.06-28.197 17.926-45.938 23.186-15.81 4.688-33.028 7.436-49.656 7.03 8.393 7.718 16.145 15.62 23 23.845 12.03 6.828 34.757 6.622 55.75-.06 5.846-1.862 11.49-4.14 16.658-6.69.076-.036.142-.086.218-.124 34.1-14.63 54.92-39.592 38.063-66.22zM44.593 363.781l66 96.94-80.03-55.47 19.873 48.47-32.718-21.033.593 61.313h290.843l-28.03-32.094L279.937 480l-52.532-43.813 5.813 37.375-77.064-81.156 20.438 71.25-132-99.875zm359.312 4.376c-1 .81-2.013 1.628-3.062 2.406-9.94 7.374-22.49 13.45-35.906 17.72-14.445 4.597-30.13 7.443-44.594 6.374 2.874 5.13 5.382 10.404 7.47 15.813 4.2 4.1 9.464 7.06 15.31 8.936l.345.438c44.033 10.426 81.254-3.684 74.905-48.094-1.93 8.424-7.29 15.254-14.78 20.563 1.134-8.125 1.125-16.143.31-24.157zm-69.656 67.938c2.15 17.584-.015 36.745-7.72 57.937 27.994-20.634 46.844-39.46 59-57.217-5.283 1.592-10.828 2.678-16.436 3.28-11.496 1.236-23.753.172-34.844-4z"}}]})(props);
};
function GiTwoCoins (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M264.4 95.01c-35.6-.06-80.2 11.19-124.2 34.09C96.27 152 61.45 182 41.01 211.3c-20.45 29.2-25.98 56.4-15.92 75.8 10.07 19.3 35.53 30.4 71.22 30.4 35.69.1 80.29-11.2 124.19-34 44-22.9 78.8-53 99.2-82.2 20.5-29.2 25.9-56.4 15.9-75.8-10.1-19.3-35.5-30.49-71.2-30.49zm91.9 70.29c-3.5 15.3-11.1 31-21.8 46.3-22.6 32.3-59.5 63.8-105.7 87.8-46.2 24.1-93.1 36.2-132.5 36.2-18.6 0-35.84-2.8-50.37-8.7l10.59 20.4c10.08 19.4 35.47 30.5 71.18 30.5 35.7 0 80.3-11.2 124.2-34.1 44-22.8 78.8-52.9 99.2-82.2 20.4-29.2 26-56.4 15.9-75.7zm28.8 16.8c11.2 26.7 2.2 59.2-19.2 89.7-18.9 27.1-47.8 53.4-83.6 75.4 11.1 1.2 22.7 1.8 34.5 1.8 49.5 0 94.3-10.6 125.9-27.1 31.7-16.5 49.1-38.1 49.1-59.9 0-21.8-17.4-43.4-49.1-59.9-16.1-8.4-35.7-15.3-57.6-20zm106.7 124.8c-10.2 11.9-24.2 22.4-40.7 31-35 18.2-82.2 29.1-134.3 29.1-21.2 0-41.6-1.8-60.7-5.2-23.2 11.7-46.5 20.4-68.9 26.1 1.2.7 2.4 1.3 3.7 2 31.6 16.5 76.4 27.1 125.9 27.1s94.3-10.6 125.9-27.1c31.7-16.5 49.1-38.1 49.1-59.9z"}}]})(props);
};
function GiTwoFeathers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M177.438 17.625c-36.363 63.13-6.562 132.455 51.593 167.906 73.338 44.71 85.25 182.336 197.44 180.032 18.768 37.002 32.436 74.428 42 113.844L486.624 475c-7.386-30.444-17.18-59.834-29.75-88.72 19.49-32.138 28.49-64.438 35.938-96.75L477.5 306.657c1.212-13.487.876-26.89-.688-41l-13.625 26.938c2.42-20.608 3.05-39.98 3.875-59.5l-19.53 33.97c-2.876-17.033-6.577-33.074-10.188-49.252l-8.25 30.97C371.358 118 210.67 101.476 177.438 17.624zM33.78 106c-83.367 187.217 151.31 342.733 292.44 323.47 29.146 16.715 54.977 35.964 78.905 58.436l12.78-13.625c-18.923-17.77-39.093-33.676-61-47.936-1.57-28.975-9.564-53.884-18.56-78.156l-6.22 42.843c-10.212-27.47-23.103-48.372-35.813-69.717l3.22 51.968c-9.037-24.734-22.188-45.01-36.032-64.53l5.094 42.97c-16.975-23.893-34.854-40.735-52.656-58.064l12.625 37.594C144.105 263.974 78.553 196.544 33.78 106z","fillRule":"evenodd"}}]})(props);
};
function GiTwoHandedSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M24.68 24.68c-3.535 3.537-5.85 9.779-5.85 16.264 0 4.39 1.123 8.6 2.905 12.003l23.41-7.803 7.802-23.409c-3.403-1.782-7.612-2.904-12.003-2.904-6.485 0-12.727 2.314-16.263 5.85zm17.133 40.545L84.49 105.82c2.94-4.483 5.96-8.317 9.486-11.843 3.526-3.525 7.36-6.546 11.843-9.486L65.226 41.814l-5.854 17.558zm64.892 41.48c-3.067 3.067-5.818 6.763-8.872 11.806l77.446 73.667c2.645-3.307 5.214-6.216 7.948-8.95 2.735-2.735 5.644-5.304 8.951-7.949l-73.667-77.446c-5.043 3.054-8.739 5.805-11.806 8.872zm88.941 88.94c-9.114 9.115-17.08 22.447-35.67 50.598l11.092 11.092c34.16-51.62 34.647-52.106 86.267-86.267l-11.092-11.092c-28.15 18.59-41.483 26.556-50.597 35.67zm24.042 24.043c-3.998 3.997-7.577 8.54-11.858 14.661l242.865 237.584 42.474 21.236-21.236-42.474L234.349 207.83c-6.12 4.281-10.664 7.86-14.661 11.858z"}}]})(props);
};
function GiTwoShadows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M250.322 18.494c-25.06 3.26-47.158 32.267-47.158 69.346 0 20.453 7.06 38.57 17.502 51.166l10.123 12.213-15.59 2.932c-13.676 2.574-23.794 9.896-32.272 21.547-8.48 11.65-14.86 27.7-19.326 46.095-8.23 33.9-9.916 75.216-10.143 111.275h44.007l11.883 159.512h96.37l10.514-159.512h41.88c-.013-36.448-.353-78.316-7.81-112.48-4.042-18.524-10.176-34.575-18.777-46.12-8.6-11.543-19.21-18.81-34.482-21.18l-15.912-2.468 10.037-12.59c9.99-12.533 16.7-30.436 16.7-50.392 0-39.537-24.776-69.268-52.352-69.268-2.915 0-4.754-.135-5.196-.078zm178.608 1.078c-31.872-.534-61.166 26.473-71.084 63.49-4.575 17.073-4.83 35.29-.817 51.108-10.96 1.307-20.99 5.173-29.772 10.996 5.563 3.58 10.537 7.906 14.906 12.814 7.998-4.296 16.716-6.28 27.084-5.492l15.816 1.2-6.615-14.415c-5.86-12.764-7.33-33.55-2.554-51.377 8.122-30.308 31.484-49.75 52.75-49.61 1.416.008 2.825.104 4.22.29l.01.002c.263.037 1.817.567 4.44 1.27 23.73 6.36 38.404 37.853 29.168 72.324-4.66 17.392-15.965 34.567-27.02 42.73l-12.954 9.565 14.73 6.502c13.063 5.765 20.835 13.86 25.885 24.348 5.05 10.487 7.12 23.674 6.846 38.674-.5 27.368-8.862 60.148-17.2 91.362l-36.864-9.88-51.232 153.712-42.69.11-1.23 18.69 57.402-.146 49.914-149.758 37.946 10.166 2.42-9.025c9.022-33.677 19.603-71.135 20.22-104.89.31-16.876-1.89-32.994-8.693-47.124-5.016-10.417-12.696-19.57-23.065-26.622 10.814-11.607 19.228-27.125 23.637-43.58 11.288-42.13-6.228-85.52-42.38-95.21l-.003-.003c-1.106-.296-3.297-1.274-6.81-1.744h-.008l-2.838-.38-.295.146c-1.09-.082-2.185-.226-3.27-.244zm-349.32.46c-4.49.056-9.02.665-13.538 1.876-.095.026-.327.068-.44.094l-.575-.574-5.76 2.377h-.002C27.32 36.99 13.11 77.635 23.69 117.12c4.574 17.073 13.46 32.977 24.845 44.67-9.328 6.978-16.34 15.908-21.053 25.99-6.507 13.924-8.973 29.83-9.11 46.6-.27 33.543 8.753 71.01 17.82 104.845l2.42 9.027 40.02-10.727 51.11 149.454 60.46.153-1.39-18.694-45.7-.116-52.446-153.37-38.73 10.378c-8.028-30.892-15.098-63.467-14.875-90.8.122-14.997 2.417-28.276 7.354-38.84 4.937-10.56 12.24-18.566 23.865-24.15l14.298-6.87-12.94-9.176c-11.456-8.122-23.12-25.39-27.896-43.215-8.66-32.315 3.867-62.596 24.653-71.188l.025-.01c.244-.1 1.86-.42 4.486-1.12h.002l.002-.003c2.966-.796 6.005-1.18 9.072-1.175 21.47.027 44.263 19.06 52.344 49.223 4.66 17.392 3.46 37.92-2.035 50.517l-6.436 14.76 16.01-1.734c13.355-1.447 23.684 1.234 32.868 7.016 4.285-4.866 9.108-9.17 14.46-12.742-.73-.536-1.464-1.062-2.212-1.572-9.55-6.512-20.777-10.598-33.283-11.522 3.562-15.46 3.09-33.105-1.318-49.56-9.878-36.864-39.338-63.538-70.77-63.14z","fillRule":"evenodd"}}]})(props);
};
function GiTyre (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128.844 16.313c-1.26.01-2.52.042-3.75.093-19.69.814-35.63 6.786-46.625 17.782-21.992 21.99-23.814 63.782-4.72 115.687s58.568 112.162 113.688 167.28c55.12 55.12 115.376 94.595 167.28 113.69 51.906 19.092 93.73 17.27 115.72-4.72 21.99-21.99 23.78-63.782 4.687-115.688-19.094-51.905-58.54-112.195-113.656-167.312C306.35 88.008 246.06 48.563 194.155 29.47c-24.33-8.952-46.42-13.317-65.312-13.157zm34.97 52.156c45.347-.48 113.94 35.972 175.155 97.186 76.95 76.95 114.752 165.567 89.28 205-16.348-55.695-56.743-120.148-115.438-178.844C254.13 133.127 189.692 92.728 134 76.376c8.06-5.202 18.167-7.784 29.813-7.906zM42.718 70.03L31.78 80.97c-10.986 10.987-16.853 26.35-17.686 46.06-.834 19.712 3.62 43.48 13.219 69.376C46.508 248.202 86.06 308.372 141.156 363.47c55.097 55.096 115.267 94.646 167.063 113.842 25.896 9.6 49.663 14.052 69.374 13.22 19.71-.834 35.076-6.702 46.062-17.688l10.97-10.97c-25.293 3.142-55.017-1.975-86.345-13.5-55.3-20.342-117.292-61.23-174.06-118-56.77-56.768-97.658-118.728-118-174.03-11.516-31.302-16.626-61.026-13.5-86.313zm77.218 21.876c52.77 13.2 119.523 52.99 179.656 113.125 60.133 60.136 99.926 126.892 113.125 179.657-41.025 21.154-126.707-16.642-201.408-91.343-74.715-74.716-112.55-160.424-91.375-201.438z"}}]})(props);
};
function GiUbisoftSun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M194.53 19.656L181.47 62.25l27.624 6.563 19.5-17.5-34.063-31.657zm125.94.063l-32.626 30.343 20.656 19.5 25.625-5.407L320.47 19.72zm-64.94 59.405c-14.046.215-28.287 2.138-42.468 5.938-93.08 24.94-148.472 120.887-123.53 213.968 7.604 28.38 21.823 53.248 40.53 73.408.176.252.355.498.532.75l.094-.063c42.67 45.493 108.4 66.657 172.78 49.406C396.55 397.59 451.942 301.676 427 208.595 406.735 132.964 339.604 82.24 265.22 79.25c-3.22-.13-6.447-.175-9.69-.125zM85.47 82.563L95.437 126l27.218-8.156 8.125-24.875-45.31-10.407zm344.03.187l-43.47 9.97 8.158 27.218 24.875 8.124L429.5 82.75zm-170.72 15c1.93.004 3.865.05 5.783.125 66.473 2.61 126.234 47.86 144.375 115.563 22.327 83.325-26.957 168.735-110.282 191.062-57.286 15.35-115.544-3.167-153.625-43.313l-.03-.03c-7.722-11.214-13.966-23.47-18.406-36.313-24.473-70.782 10.592-153.698 82.937-178.5 60.946-20.893 132.18 9.025 153.22 70.75 17.63 51.725-8.105 112.282-60.938 130.125-44.027 14.868-95.41-6.862-110.343-51.376-12.367-36.86 6.033-79.954 43.624-92.438 30.914-10.267 66.952 5.034 77.22 36.188 8.03 24.378-3.386 52.733-27.127 62.437 10.773-10.378 15.78-26.178 11.657-41.56-5.275-19.686-23.813-32.462-43.438-31.314-2.803.164-5.657.59-8.47 1.344-22.494 6.028-35.964 29.41-29.936 51.906.695 2.594 1.623 5.068 2.75 7.406.022.052.04.106.063.157.07.145.145.29.218.436 11.972 26.708 41.876 39.625 69.876 30.5 36.25-11.814 53.642-52.3 42.156-87.156-13.713-41.614-60.582-61.476-100.875-48.094-47.956 15.927-70.97 69.85-55.437 116.156 18.427 54.928 80.65 81.133 134.063 63.094 63.153-21.328 93.476-92.667 72.625-153.844-19.966-58.576-77.885-92.29-136.625-89.937-13.556.543-27.156 3.01-40.344 7.53-56.145 19.25-92.422 68.7-101.22 123.595.602-68.348 46.356-130.556 115.656-149.125 13.67-3.663 27.38-5.402 40.875-5.375zM66.876 177.938l-44.438 13.625 30.344 32.656 19.5-20.657-5.405-25.625zm382.906.812l-6.56 27.625 17.5 19.5 31.686-34.063-42.625-13.062zm-193.155 69c10.227.247 19.356 7.11 22.156 17.563 3.415 12.74-3.98 25.586-16.717 29-11.147 2.986-22.387-2.31-27.313-12.22-.466-1.12-.896-2.274-1.28-3.468l-.126.03c-.114-.356-.215-.726-.313-1.092-3.412-12.74 4.013-25.587 16.75-29 1.594-.427 3.205-.683 4.782-.782.69-.042 1.38-.046 2.063-.03zM54.03 283.47L22.376 317.5l42.594 13.094 6.56-27.656-17.5-19.47zm407.94 1.655l-19.5 20.656 5.405 25.626 44.438-13.656-30.344-32.625zM95.686 381.25L85.28 426.594l43.44-9.97-8.157-27.218-24.876-8.156zm323.625 2.094l-27.218 8.125L384 416.374l45.313 10.406-10-43.436zm-213.03 56.406l-25.626 5.406 13.625 44.438 32.657-30.344-20.656-19.5zm99.374.75l-19.5 17.5 34.063 31.688 13.092-42.625-27.656-6.563z"}}]})(props);
};
function GiUdder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M24.844 25.563c1.333 77.685 25.778 141.568 63.283 187.955 4.367-4.937 8.77-9.796 13.13-14.553a9.5 9.5 0 0 1 7.348-3.178 9.5 9.5 0 0 1 6.66 16.016c-22.957 25.048-46.51 52.82-58.777 76.95-6.132 12.067-9.31 23.07-9.037 31.874.17 5.474 1.374 10.174 4.26 14.562l16.552-22.684a9.5 9.5 0 0 1 7.898-4.008 9.5 9.5 0 0 1 7.45 15.207l-16.635 22.797c2.973.316 6.316-.284 10.474-1.75 8.174-2.882 18.38-9.868 28.734-19.672 20.704-19.608 42.15-50.057 56.953-77.644a9.5 9.5 0 0 1 9.9-4.885c6.228 1.017 22.147 2.215 35.78.573 6.816-.82 13.107-2.395 17.232-4.432 4.124-2.035 5.597-3.84 6.12-5.934a9.5 9.5 0 1 1 18.434 4.603c-2.193 8.78-8.967 14.825-16.145 18.37-7.18 3.542-15.245 5.277-23.372 6.256-12.798 1.542-25.47 1.082-34.522.143-2.816 5.038-5.806 10.122-8.937 15.192 29.03 14.058 60.48 21.354 92.34 21.115 22.055-.164 43.82-4.29 64.64-11.937-6.014-8.637-11.297-17.378-15.596-25.96A9.5 9.5 0 1 1 326 252.03c13.688 27.32 40.692 59.164 67.537 79.982 13.423 10.41 26.846 18.047 37.842 21.363 5.988 1.806 10.902 2.378 14.983 1.854l-10.996-13.093a9.5 9.5 0 0 1 7.06-15.715 9.5 9.5 0 0 1 7.49 3.494l12.054 14.352c3.226-4.725 4.71-9.948 5.042-16.102.513-9.534-2.39-21.344-8.18-34.158-11.578-25.63-34.297-54.796-57.053-79.625a9.5 9.5 0 0 1 7.322-16.01 9.5 9.5 0 0 1 6.685 3.172c3.1 3.384 6.205 6.848 9.29 10.37 37.514-47.34 61.834-111.574 62.892-186.352H24.843zm138.664 270.68c-4.952 14.607-8.863 29.266-11.043 42.61-2.476 15.154-2.608 28.608-.29 37.745 2.32 9.137 5.71 13.32 12.514 15.22 10.31 2.88 17.56 1.32 24.884-3.572 7.325-4.893 14.436-13.87 20.696-25.87 6.813-13.064 12.555-29.486 17.517-47.09-22.16-3.106-43.775-9.54-64.28-19.044zm173.04 6.083c-9.938 3.936-20.108 7.144-30.456 9.57.512.913 1.02 1.844 1.54 2.733 7.736 13.262 16.197 23.722 23.802 29.292 7.604 5.57 12.882 6.638 19.34 3.77 7.937-3.52 12.458-8.014 15.236-14.087-10.454-9.556-20.457-20.185-29.46-31.28z"}}]})(props);
};
function GiUfo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 27c-28.334 0-54.153 8.54-73.283 22.89C163.587 64.236 151 84.874 151 108c0 8.204 1.796 15.548 4.975 21.975 2.398 5.19 5.692 9.893 9.95 13.757 1.386 1.213 2.82 2.35 4.294 3.43 4.322 3.357 9.202 6.14 14.473 8.31 19.476 8.01 44.305 10 71.307 10 3.78 0 7.51-.045 11.197-.134 8.767-.154 17.47-.64 25.965-1.713 12.52-1.48 24.056-4.003 34.145-8.154 3.58-1.473 6.982-3.23 10.152-5.257 1.413-.782 2.815-1.59 4.192-2.45 5.74-4.175 10.267-9.775 13.512-16.132 3.15-5.776 5.153-12.34 5.688-19.644.216-2.173.32-4.358.285-6.54-.065-.015-.13-.03-.196-.048-.903-22.068-13.247-41.702-31.657-55.51C310.153 35.542 284.333 27 256 27zm0 18c24.686 0 46.868 7.578 62.482 19.29C334.097 76 343 91.36 343 108s-7.273 24.542-22.543 30.824c-15.27 6.283-38.44 8.65-64.457 8.65-26.017 0-49.187-2.367-64.457-8.65C176.273 132.542 169 124.64 169 108s8.903-32 24.518-43.71C209.132 52.577 231.314 45 256 45zm-37.775 17.748c-6.138.054-12.69 2.517-18.168 6.828-11.194 8.808-14.907 22.76-8.295 31.162 6.612 8.402 21.046 8.07 32.238-.738 11.193-8.81 14.906-22.76 8.293-31.162-3.115-3.957-8.16-6.142-14.068-6.09zm-85.29 47.78c-11.378 3.587-21.944 7.64-31.537 12.095C62.448 140.707 41 164.52 41 188c0 23.48 21.448 47.293 60.398 65.377C140.348 271.46 195.273 283 256 283c60.727 0 115.65-11.54 154.602-29.623C449.552 235.293 471 211.48 471 188c0-23.48-21.448-47.293-60.398-65.377-9.533-4.426-20.028-8.457-31.325-12.025-.997 20.097-10.243 39.685-27.293 51.935l-.222.16-.233.147c-33.465 21.076-73.328 21.37-108.768 20.252-29.29-.734-63.383-3.588-88.776-25.88l-.05-.046-.05-.045c-13.61-12.312-20.22-29.268-20.95-46.59zm290.116 47.23c7.672.046 15.3 2.61 20.97 8.28 6.98 6.978 9.254 16.924 7.92 26.265-1.335 9.34-6.04 18.522-13.577 26.06-7.538 7.538-16.72 12.242-26.06 13.576-9.34 1.334-19.287-.94-26.266-7.92-6.98-6.98-9.252-16.923-7.918-26.264 1.334-9.34 6.037-18.523 13.575-26.06 7.538-7.54 16.72-12.242 26.06-13.577 1.752-.25 3.525-.373 5.296-.362zm-336.042 1.94c1.77-.01 3.543.114 5.295.364 9.34 1.335 18.524 6.037 26.062 13.575 7.538 7.538 12.24 16.72 13.574 26.062 1.334 9.34-.94 19.284-7.92 26.263-6.978 6.98-16.92 9.25-26.262 7.916-9.34-1.336-18.525-6.037-26.063-13.575-7.538-7.538-12.24-16.722-13.574-26.063-1.333-9.34.94-19.284 7.92-26.263 5.67-5.672 13.297-8.235 20.968-8.28zm336.78 16.046c-1.078-.044-2.238.017-3.485.195-4.99.712-10.922 3.523-15.88 8.482-4.96 4.958-7.77 10.89-8.484 15.88-.713 4.99.432 8.598 2.826 10.99 2.393 2.394 6 3.54 10.992 2.827 4.99-.714 10.918-3.527 15.877-8.485 4.958-4.96 7.77-10.887 8.484-15.877.712-4.99-.434-8.6-2.827-10.992-1.795-1.795-4.274-2.888-7.506-3.022zM86.27 177.686c-3.232.133-5.71 1.226-7.504 3.02-2.394 2.394-3.54 6-2.828 10.99.712 4.992 3.527 10.923 8.486 15.882 4.958 4.96 10.886 7.77 15.877 8.483 4.99.713 8.6-.432 10.993-2.826 2.393-2.393 3.54-6 2.826-10.99s-3.525-10.922-8.483-15.88c-4.96-4.96-10.89-7.77-15.88-8.483-1.25-.177-2.41-.24-3.487-.194zM256 211c10.66 0 20.48 3.17 28.027 8.83C291.577 225.492 297 234.13 297 244c0 9.87-5.424 18.508-12.973 24.17C276.48 273.83 266.66 277 256 277c-10.66 0-20.48-3.17-28.027-8.83C220.423 262.508 215 253.87 215 244c0-9.87 5.424-18.508 12.973-24.17C235.52 214.17 245.34 211 256 211zm0 18c-7.013 0-13.194 2.204-17.227 5.23-4.033 3.023-5.773 6.385-5.773 9.77s1.74 6.747 5.773 9.77c4.033 3.026 10.214 5.23 17.227 5.23s13.194-2.204 17.227-5.23c4.033-3.023 5.773-6.385 5.773-9.77s-1.74-6.747-5.773-9.77C269.194 231.203 263.013 229 256 229zm-55.1 68.898L112 480h288l-88.9-182.102C293.433 299.925 274.988 301 256 301s-37.433-1.075-55.1-3.102z"}}]})(props);
};
function GiUltrasound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M473.156 14.97l-18.062 4.842c11.34 42.354 14.96 84.95 11.687 126.282l1.876 5.406c4.394 12.465 8.1 25.566 10.875 38.844 10.88-56.44 9.483-116.156-6.374-175.375zM400.22 29.093l-18.064 4.843c10.017 37.386 12.704 74.996 8.97 111.313h18.75c3.702-37.944.785-77.182-9.657-116.156zm-71.376 11.812l-18.03 4.813c8.982 33.532 10.525 67.293 5.655 99.53h18.81c4.774-33.88 2.968-69.237-6.436-104.344zm-58.594 8.657l-18.063 4.843c27.292 101.963-33 206.532-134.812 233.844l4.844 18.03C233.8 276.35 300.15 161.273 270.25 49.564zM217 56.624l-18.063 4.844c20.678 77.25-24.96 156.4-102.093 177.093l4.844 18.062c86.9-23.314 138.598-113.003 115.312-200zm-169.094 6c-16.44 0-29.562 13.126-29.562 29.563 0 16.435 13.126 29.562 29.562 29.562S77.47 108.624 77.47 92.187c0-16.437-13.124-29.562-29.564-29.562zm116.875 7.063l-18.06 4.843c13.107 49.004-15.794 99.125-64.72 112.25l4.844 18.064c58.693-15.747 93.652-76.408 77.937-135.156zm-45.905 5.937l-18.063 4.813c7.452 27.826-8.885 56.174-36.656 63.624L69 162.125c37.537-10.07 59.936-48.928 49.875-86.5zm190.188 88.313c-7.934 24.493-12.72 51.205-12.72 75.812 0 57.394 23.366 84.448 55.876 94.563l4.092 1.25 1.72 3.906c17.165 39.266 15.82 82.72-3.344 121.436l-1.5 3.063-3.125 1.342c-13.44 5.934-24.513 15.596-31.282 29.438h125.064c-6.94-14.213-18.402-24.17-31.875-30.03l-3.158-1.376-1.5-3.094c-18.87-38.603-19.788-81.76-2.687-120.78l1.72-3.94 4.092-1.25c32.68-9.964 55.844-36.78 55.844-94.53 0-24.483-5.263-51.218-13.31-75.813h-38.25l-22.47 39.094 35.125 22.782-56.938 74.032 22.75-66.438-32.25-18.97 17.594-50.5h-69.467zm-31.313 80.875c-31.69 47.205-79.966 83.58-139.25 99.468l4.844 18.064c56.374-15.11 103.527-47.548 137.28-90.03-1.65-8.516-2.62-17.677-2.874-27.502zm29.125 82.25c-37.602 39.21-86.06 68.962-142.406 84.062l4.843 18.063c59.998-16.08 111.596-47.908 151.562-89.844-5.01-3.55-9.698-7.632-14-12.28zm44.094 60.968c-43.567 41.235-97.727 72.527-159.75 89.158l4.843 18.03C254.767 479.48 306.798 451.2 350 414c1.265-8.633 1.584-17.313.97-25.97z"}}]})(props);
};
function GiUluru (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 64a32 32 0 0 0-32 32 32 32 0 0 0 32 32 32 32 0 0 0 32-32 32 32 0 0 0-32-32zM273.3 272.7l-64.5 15-44.2-7.9-116.98 25.1c-17.32 29.7-23.45 42.6-27.12 56.2h32.96c7.76-16.7 15.5-33.5 30.52-50.9l15.37-4.1c-12.15 18.2-24.3 36.2-29.52 55H126c4.5-22.7 22.4-44.5 36.3-66.7l16.2 1.2c-10.7 11.6-18.7 25.5-23.2 36l13-4.9c7.4-11.8 11.5-16.5 16.8-21.8l6.9 3.4c-10.1 11.4-9.9 17-14.6 29.8l7.1 8.1c8.5-19.2 23.7-34.7 36.7-51.3l12.2-3.7c-17.4 22.7-27.9 46.6-41.3 69.9h54.6c9.4-25.4 23.9-55.2 39.7-74.3l6.4 4.3c-8.6 16-14.4 31.7-20 47.4 35.7-25 53.3-28.3 76.7-38.5-11.1 20.3-21.7 40.8-25.7 61.1h87.3c-3.9-10.7-12.8-32.5-16.7-40.4l13.5-8.3c6.6 10.6 13.9 19.6 22.5 26.7l-13.8 22h73.2L466 312.4l-192.7-39.7zM18 381.1v17.8h476v-17.8H18z"}}]})(props);
};
function GiUmbrellaBayonet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M455.486 12.676c-1.345-.015-2.7.037-4.058.156-10.875.95-22.054 6.227-31.098 16.914l-38.93 46c1.242-.1 2.39-.19 3.71-.3l8.97-.75.746 8.972c.11 1.322.21 2.466.317 3.707l38.927-46.002c12.92-15.267 26.22-13.18 34.998-5.752 8.78 7.43 13.037 20.2.118 35.468l13.74 11.63c18.087-21.375 13.42-47.594-2.23-60.837-6.845-5.793-15.794-9.104-25.21-9.204zM283.636 35.19l-146.74 343.417 314.417-201.523c-5.007-.68-9.623-2.192-13.49-5.465-5.344-4.523-7.665-10.97-9.067-18.116-.987-5.028-1.612-11.194-2.223-18.082-6.894.537-13.08.94-18.2.8-7.28-.202-14.023-1.425-19.366-5.947-5.344-4.52-7.663-10.97-9.065-18.115-.986-5.028-1.613-11.194-2.224-18.082-6.894.537-13.078.94-18.2.8-7.278-.202-14.02-1.423-19.365-5.944-5.343-4.522-7.664-10.97-9.066-18.116-.987-5.028-1.612-11.194-2.223-18.082-6.894.537-13.08.94-18.2.8-7.28-.202-14.023-1.424-19.366-5.946-3.868-3.273-6.123-7.575-7.62-12.4zm14.48 40.167l15.757 8.71-165.738 281.26L347.98 115.24l13.74 11.63-213.585 238.458 249.972-209.98 11.194 14.1-261.165 195.88 149.982-289.97zM120.5 383.305L25.896 491.287s31.418-12.377 44.532-22.64c18.82-14.724 52.028-52.562 70.883-76.073l-16.736 2.004-4.076-11.273z"}}]})(props);
};
function GiUmbrella (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.438 32.53c-4.628.44-10.283 3.95-16.657 12.657-6.842 9.35-13.723 24.012-19.593 42.563-11.094 35.068-18.797 84.06-20.875 139.156h115.97c-2.073-55.1-9.714-104.116-20.75-139.187-5.84-18.553-12.68-33.187-19.5-42.532-6.57-9.003-12.353-12.417-17.063-12.657-.48.006-.96-.01-1.44 0-.03.002-.06 0-.092 0zm35.968 4.907c7.715 11.575 14.262 26.65 19.938 44.688 11.825 37.578 19.62 88.07 21.687 144.78h82.19c-5.113-53.912-23.637-101.76-50.533-136.25-20.55-26.35-45.627-44.893-73.28-53.218zM223.5 38.782c-26.088 8.886-49.81 26.876-69.438 51.907-27.044 34.493-45.687 82.318-50.812 136.22h79.313c2.07-56.722 9.923-107.234 21.812-144.813 5.488-17.346 11.768-31.932 19.125-43.313zm-55.25 10.47C91.18 79.186 34.663 146.36 23.375 226.906H84.28C89.44 169 109.43 117.31 139.345 79.156c8.788-11.21 18.474-21.242 28.906-29.906zm190.313 4.25c8.533 7.655 16.523 16.26 23.875 25.688 29.76 38.16 49.604 89.83 54.75 147.718h55.156c-10.747-76.928-62.296-141.66-133.78-173.406zM249.97 245.594v171.53c0 20.038-5.565 33.484-13 41.813-7.438 8.33-16.894 11.913-26.564 11.563-19.34-.7-40.22-17.18-40.22-53.375H151.5c0 43.858 28.352 70.98 58.25 72.063 14.95.54 30.13-5.43 41.156-17.782 11.027-12.352 17.75-30.725 17.75-54.28V245.593H249.97z"}}]})(props);
};
function GiUnbalanced (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M404.5 162.5c-26.1 0-47 20.9-47 47s20.9 47 47 47 47-20.9 47-47-20.9-47-47-47zm72.2 89.1l-447.99 176 6.58 16.8 448.01-176-6.6-16.8zM121.2 287l-87.28 35 29 72.4 87.28-35-29-72.4zM256 383l-78 104h156l-78-104z"}}]})(props);
};
function GiUncertainty (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257.78 19.438c-127.92.016-231.75 103.855-231.75 231.78 0 55.734 19.71 106.776 52.532 146.72L57.75 434.094h132.406l-66.312-114.72-22.375 39c-20.9-30.478-33.064-67.442-33.064-107.155 0-104.523 84.854-189.376 189.375-189.376 104.523 0 189.408 84.853 189.408 189.375 0 39.108-11.68 75.664-32 105.874l-21.875-37.72L327 434.095h132.406l-21.594-37.47c32.225-39.78 51.75-90.253 51.75-145.405 0-127.927-103.827-231.766-231.75-231.782h-.03zm-.655 75.468c-49.528-.047-110.474 29.232-128.406 104.938l60.75 14.312c26.965-76.242 90.87-70.824 113.31-28.625 26.775 50.346-89.687 107.283-84.124 190.407h77.688c6.49-98.144 118.973-123.49 59.562-229.53C337.963 114.38 301 96.572 261.876 95.03V95c-1.573-.062-3.153-.092-4.75-.094zM258.5 395.97c-26.95 0-48.594 21.644-48.594 48.592 0 26.95 21.645 48.594 48.594 48.594 26.95 0 48.594-21.645 48.594-48.594 0-26.948-21.645-48.593-48.594-48.593z"}}]})(props);
};
function GiUnderhand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M44.142 366.824c95.92 0 99.81-1.297 99.81-1.297 123.716 201.064 221.662-72.51 234.36-171.483l-36.24-.158 70.897-123.76 68.082 123.38-35.26 1.454c-81.335 283.797-299.33 296.3-401.65 171.864z"}}]})(props);
};
function GiUnderwearShorts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M71.1 67.17l-4.28 38.43 379.28.7-3.8-39.13zm-6.28 56.43L24.04 423.5c55.85 22.4 114.06 20.6 173.86 1L234 282.6c12.1 9 25.5 5.3 32.2-1l39.9 146.1c61.9 24.1 132 19.5 181.9 6l-40.2-309.4z"}}]})(props);
};
function GiUnderwear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 123.021c-50.91 0-102.246 2.886-189.084 8.588 23.825 5.534 46.826 10.086 69.297 13.664 96.682-5.682 142.892-5.682 239.574 0 22.471-3.578 45.472-8.13 69.297-13.664-86.838-5.702-138.174-8.588-189.084-8.588zM25.117 139.664c.019 9.64.08 19.471.264 29.25 199.173 45.623 262.065 45.623 461.238 0 .184-9.779.245-19.61.264-29.25-167.381 44.142-294.385 44.142-461.766 0zm.819 47.834c.542 13.036 1.435 25.696 2.984 37.313 1.938 14.532 4.867 27.376 8.88 36.964 3.967 9.474 8.795 15.347 14.038 18.051 38.386 15.253 65.763 14.797 90.47 28.274a73.11 73.11 0 0 1 9.005 5.802c1.008-27.584 5.494-62.545 25.421-98.158-43.358-5.28-91.246-14.688-150.798-28.246zm460.128 0c-59.552 13.558-107.44 22.967-150.798 28.246 19.927 35.613 24.413 70.574 25.421 98.158a73.11 73.11 0 0 1 9.004-5.802c24.708-13.477 52.085-13.02 90.471-28.274 5.243-2.704 10.071-8.577 14.037-18.05 4.014-9.59 6.943-22.433 8.881-36.965 1.549-11.617 2.442-24.277 2.984-37.313zm-289.709 30.38c-26.301 42.381-27.315 83.996-27.353 114.577a111.803 111.803 0 0 1 6.084 9.621c9.388 16.63 17.537 39.314 25.644 71.742 6.973 27.892 30.698 41.184 55.27 41.184 24.572 0 48.297-13.292 55.27-41.184 8.107-32.428 16.256-55.112 25.644-71.742a111.803 111.803 0 0 1 6.084-9.62c-.038-30.582-1.052-72.197-27.353-114.577-40.839 3.888-78.451 3.888-119.29 0z"}}]})(props);
};
function GiUnfriendlyFire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M132.28 19.97C94.364 19.96 56.6 26.472 24.03 40.343c106.356-16.32 188.315 27.415 200.814 96.406 5.418 29.904-37.63 51.288-71.25 77.813 2.465-13.414 7.356-25.622 11.344-38.282-14.197 14.1-26.88 28.942-35.157 45.97-6.432-20.1-10.023-40.21-14.718-60.313-5.76 38.48-8.168 76.96.938 115.438.12 1.223.256 2.468.47 3.72C127.3 344.73 183.5 404.46 244.155 443.436c-20.684-4.097-39.713-10.91-59.312-16.78 22.393 16.586 45.716 31.66 71.78 42.25-18.617-.14-36.953-.982-55.468-1.376 56.55 16.237 114.847 28.187 180.313 22.47 38.163-.738 66.84-15.306 85.405-35.813l-5.938-16.343-52.53 23.125-15.594 6.874L395.406 451l2.906-19-56.062 22-20.875 8.22 8.906-20.595 10.845-25.156c-14.48 2.333-31.098 3.21-48.47.5-24.806-3.875-50.92-15.12-71.217-38.908 27.48 16.855 59.18 22.11 89.343 21.844.043.002.085 0 .126 0 16.346.51 31.756-2 43.375-5.28l18.908-5.345-7.782 18.033-9.094 21.093 50.282-19.75 15.125-5.906-2.47 16.03-2.78 18.22 46.06-20.28 9.126-4 3.438 9.374 4.97 13.687c9.516-17.186 13.383-36.418 11.342-54.53l-29.78 4.063 20.155-33.938c-6.063-10.564-14.867-19.773-26.5-26.656-.063-.04-.122-.09-.186-.126-32.735-23.455-69.573-31.572-107.438-35.875l18.78 17.874c-33.723-5.47-67.613-18.598-65.123-42.03-9.323 15.147-2.238 32.477 11.625 47.967-31.926-8.398-41.564-31.427-32.907-63.217 5.64-20.712 25.924-32.85 41.97-49.25l.03-.032c29.778-25.73 46.797-58.807 60.564-93.78-7.622 8.132-14.89 16.433-22.625 24.5 5.763-36.61-1.635-71.36-12.72-105.594-2.794 21.978-3.924 43.714-10.47 66.22C328.8 74.173 315.744 59.227 301.126 45c5.094 13.018 11.25 25.574 13.688 39.78-38.447-41.365-110.748-64.8-182.532-64.81zm248.626 322.81l57 43.47-49.125-3.438-7.874-40.03z"}}]})(props);
};
function GiUnicorn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M494 20L304.887 143.357c16.494 14.608 32.743 22.57 44.963 36.97zM298.346 93.594c-12.58.436-26.59 4.984-38.047 11.77-7.64 4.523-14.115 9.97-18.304 15.142-4.19 5.173-5.79 9.832-5.648 12.668l.283 5.73-5.075 2.676C133.713 193.16 80.945 250.727 18 310.594V494h166.047c6.145-15.424 12.724-33.898 15.086-47.535 1.728-9.977-2.783-21.807-8.23-35.244-5.444-13.436-11.85-28.706-7.63-45.423 3.49-13.827 14.375-25.752 24.096-35.656 4.45-4.534 8.71-8.463 12.075-11.445-6.558-8.577-14.065-20.315-16.51-34.894l17.75-2.978c2.68 15.976 15.203 28.533 22.8 39.24l-.323.23c10.54 14.634 18.892 28.395 30.72 37.546 13.358 10.337 31.484 16.39 66.526 11.49l6.658-.932 2.782 6.124c6.96 15.322 14.372 23.89 21.015 28.423 6.643 4.535 12.63 5.46 18.692 4.79 12.125-1.34 24.29-10.974 27.76-14.264 4.13-3.92 9.657-9.476 13.32-16.124 3.347-6.076 5.073-12.687 3.48-20.744-42.68-37.562-69.592-108.75-90.256-152.6-9.245-19.62-35.786-34.492-52.967-47.95-2.427-1.4-2.675-2.582-3.24-5.154-4.215-19.167 3.188-40.257 10.974-57.298-.096.002-.186-.01-.28-.006zM59.352 136.55c17.863 4.925 37.775 9.665 57.406 14.815 14.803 3.883 29.26 7.935 42.406 12.766 17.914-12.178 37.407-24.123 59.072-35.77-51.62-13.3-109.928-3.148-158.884 8.19zm28.738 26.126c-23.002 4.133-45.974 10.254-67.147 16.662 18.133 3.813 38.298 7.314 58.207 11.242 11.774 2.323 23.337 4.766 34.256 7.643a686.475 686.475 0 0 1 27.403-21.15c-9.044-2.932-18.71-5.698-28.62-8.298-7.952-2.086-16.043-4.098-24.1-6.1zM47.44 202.94c-9.875 2.096-19.728 4.582-29.44 7.29v18.04a2251.165 2251.165 0 0 1 20.172 3.146c10.505 1.7 20.847 3.498 30.734 5.625 8.836-8.185 17.887-16.322 27.268-24.397-6.64-1.56-13.52-3.024-20.508-4.403-9.32-1.838-18.81-3.566-28.227-5.3zM304 224c8.837 0 16 7.163 16 16s-7.163 16-16 16-16-7.163-16-16 7.163-16 16-16zM18 246.512v26.58c4.16.195 8.28.425 12.342.71 7.44-7.2 14.878-14.384 22.387-21.538a604.747 604.747 0 0 0-17.433-3.078A1501.67 1501.67 0 0 0 18 246.512z"}}]})(props);
};
function GiUnicycle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M198 38.33c-2 8.81.3 25.34 6.2 32.52.1.12 115.8 0 115.8 0 4 0 4-27.85-17.8-27.99-21.9-.15-64.3-5.08-83.9-9.94-19.7-4.85-18.8-1.12-20.3 5.41zM247 89v23h18V89zm0 41v14h18v-14zm0 32v159.3c2.9-.9 6-1.3 9-1.3 3.1 0 6.1.5 9 1.3V162zm35.6 55.6V236c53 12 92.4 59.3 92.4 116 0 65.8-53.2 119-119 119s-119-53.2-119-119c0-56.5 39.2-103.7 92-115.9v-18.4c-62.7 12.5-110 68-110 134.3 0 75.6 61.4 137 137 137s137-61.4 137-137c0-66.5-47.5-122-110.4-134.4zM288 295v12.3L271.3 324c5.4 2.9 9.8 7.3 12.7 12.7l23.7-23.7H336v-18zm-32 43c-7.8 0-14 6.2-14 14s6.2 14 14 14 14-6.2 14-14-6.2-14-14-14zm-28 29.3L204.3 391H176v18h48v-12.3l16.7-16.7c-5.4-2.9-9.8-7.3-12.7-12.7z"}}]})(props);
};
function GiUnionJack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.584 18L171.02 167.436v3.584h-44.69L18 61.836v25.557l82.975 83.627H18v32h185.02V18h-32v85.436L85.584 18zm286.057 0v185.02H494v-32h-86.775L494 84.244v-64L343.225 171.02h-3.584v-44.69L448.825 18h-25.556l-83.627 82.975V18zM18 309.293v32h85.436L18 426.73v64l149.436-149.437h3.584v44.69L62.152 494h25.555l83.313-82.662V494h32V309.293zm289.64 0V494h32v-85.123L424.765 494h64L339.64 344.877v-3.584h44.69L494 451.826V426.27l-84.314-84.977H494v-32z"}}]})(props);
};
function GiUnlitBomb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M135.25 38.156c-16.082.46-32.345 7.235-46.47 17.407-17.216 12.4-31.534 30.2-37.31 50.687-5.78 20.488-1.95 44.032 16.155 63.406 14.573 15.595 19.996 29.328 20.563 40.5.566 11.173-3.554 20.304-10.376 27.406-13.643 14.206-37.278 17.995-50.5 6.094l-12.5 13.906c22.224 20.005 56.61 13.645 76.47-7.03 9.93-10.34 16.43-24.836 15.593-41.313-.836-16.478-8.83-34.407-25.594-52.345C67.18 141.782 65.16 126.6 69.47 111.312 73.78 96.025 85.484 80.97 99.72 70.72c14.233-10.253 30.704-15.365 43.218-13.44 9.566 1.474 17.565 6.055 23.062 17.44l15.938-9.19c-8.362-15.432-21.594-24.476-36.157-26.718-2.42-.372-4.866-.596-7.31-.656-1.07-.026-2.148-.03-3.22 0zM243.5 51.563l-120.125 69.374 24.906 43.157c15.03-18.11 33.446-33.898 55-46.344 20.615-11.903 42.444-19.803 64.595-23.938L243.5 51.563zm60.03 57.406c-1.026.01-2.065.034-3.092.06-29.894.803-60.05 8.877-87.813 24.907-88.84 51.298-119.255 164.55-68.03 253.282 51.222 88.73 164.505 119.013 253.343 67.717 88.837-51.295 119.223-164.55 68-253.28-34.666-60.05-97.713-93.346-162.407-92.688z"}}]})(props);
};
function GiUnlitCandelabra (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M249.344 17.344l-.97 37.375h-14.968v147.56h43.375V54.72h-12.936l-14.5-37.376zm135.22 0L376.28 54.72h-15.436v147.56h43.375V54.72h-12.47l-7.188-37.376zm-252.502.312L121.094 54.72h-14.03v147.56h43.374V54.72h-14.344l-4.03-37.064zm-30.78 204.375c0 16.145 9.13 26.056 20.343 29.72v41.72c0 30.783 24.7 56.53 55.688 56.53h70.125v91.5c-22.293 3.78-42.157 21.122-42.157 52.03h103c0-30.993-19.874-48.318-42.155-52.06V350h69.28c30.987 0 56.533-25.546 56.533-56.53v-41.345c11.76-3.307 21.593-13.317 21.593-30.094h-61.06c0 16.353 9.37 26.297 20.78 29.845v41.594c0 20.7-17.14 37.842-37.844 37.842h-69.28v-79.53c11.213-3.643 20.343-13.555 20.343-29.75h-61.064c0 16.93 10.077 27.015 22.03 30.218v79.063h-70.124c-20.702 0-37-16.946-37-37.844v-41.22c11.955-3.18 22.032-13.234 22.032-30.22H101.28z"}}]})(props);
};
function GiUnlocking (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M78.53 157.188c-23.843 0-43.93 21.364-50.28 50.593-4.216 5.54-6.75 12.435-6.75 19.876 0 7.506 2.56 14.467 6.844 20.03 6.475 28.963 26.485 50.064 50.187 50.064 24.293 0 44.72-22.173 50.657-52.25H234.97v65.594h19.31v-44.22h18.69v44.22h20.092V286h18.688v25.094h15.125V245.5h17.97v-33.47h-215.19c-5.248-31.382-26.14-54.843-51.124-54.843zM424.44 169.28c-31.78 0-57.813 26.036-57.813 57.814 0 17.65 7.836 33.673 20.47 44.312l-25.22 72.938-4.28 12.406h133.123l-4.314-12.406-25.187-72.938c12.63-10.64 20.467-26.662 20.467-44.312 0-31.642-25.47-57.813-57.25-57.813zm0 18.69c21.617 0 38.562 17.372 38.562 39.124 0 14.002-7.057 26.117-17.875 33l-6.22 3.97 2.408 6.967 23.156 67.033H383.81L407 271.03l2.406-6.967-6.22-3.97c-10.817-6.882-17.873-18.997-17.873-33 0-21.615 17.507-39.124 39.125-39.124zm-369.97 25.405c8.003 0 14.313 6.28 14.313 14.28 0 8.003-6.31 14.282-14.31 14.282-8.003 0-14.282-6.28-14.282-14.28 0-8.003 6.28-14.282 14.28-14.282z"}}]})(props);
};
function GiUnplugged (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M196 136c-61.174 0-111.656 45.834-119.063 105H16v30h60.938C84.344 330.166 134.825 376 196 376h15c8.31 0 15-6.69 15-15v-30h45v-30h-45v-90h45v-30h-45v-30c0-8.31-6.69-15-15-15h-15zm210 0c-8.31 0-15 6.69-15 15v30h30v30h-30v90h30v30h-30v30c0 8.31 6.69 15 15 15h90V136h-90z"}}]})(props);
};
function GiUnstableOrb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M146.71 19.252l45.472 27.152-25.71 62.268c-30.323 18.782-54.614 46.39-69.26 79.223l-40.644-18 25.51-39.926-62.824-50.74v24.02L57.324 134l-28.22 44.172 61.402 27.193c-5.617 17.308-8.666 35.766-8.666 54.928 0 3.234.093 6.448.264 9.64l-25.875 7.22-36.976-25.596v22.728l33.55 23.227 31.32-8.74c2.476 15.37 6.92 30.085 13.07 43.88l-67.098 20.18 22.142 44.28-32.984 5.82v18.978l60.902-10.748-23.414-46.828 49.102-14.766c15.915 27.395 38.92 50.176 66.49 65.828l4.852 33.96-49.13 10.345 21.38 33.046h22.26l-13.175-20.36 39.64-8.347-5.54-38.774c20.844 8.55 43.652 13.28 67.552 13.28 15.134 0 29.83-1.9 43.867-5.458l80.265 28.506 23.365 31.152h23.36l-30.716-40.957 36.39-32.927-45.626-37.62c19.485-21.056 33.957-46.807 41.512-75.352l11.892 17.38 48.264-64.85v-31.303L445.12 291.11l-7.692-11.245c.705-6.43 1.078-12.957 1.078-19.572 0-32.163-8.557-62.352-23.51-88.422l21.447-27.653-16.44-47.274H450.1l-14.852-77.69H416.22l11.28 59h-70.287l-12.97 24.858c-25.058-13.436-53.684-21.067-84.07-21.067-5.948 0-11.826.3-17.624.87l-33.105-29.35 6.166-14.934-32.448-19.378h-36.45zm55.186 52.592l16.956 15.033c-9.208 2.19-18.14 5.095-26.735 8.652l9.78-23.686zm166.647 25.1h31.672l15.246 43.833-11.25 14.51c-12.103-16.544-26.977-30.935-43.948-42.475l8.28-15.87zm-108.26 3.66c88.114 0 159.746 71.6 159.746 159.677 0 88.08-71.633 159.675-159.747 159.675-19.067 0-37.36-3.36-54.324-9.506-1.37-.497-2.735-1.007-4.087-1.54l-.12-.045c-1.208-.477-2.408-.967-3.603-1.472-2.926-1.233-5.812-2.542-8.646-3.94l-.006-.047c-7.198-3.57-14.09-7.662-20.625-12.234l.016.103c-18.408-12.827-33.977-29.426-45.583-48.695l-.12-.396c-2.897-4.83-5.544-9.824-7.927-14.965l-.078.022c-6.276-13.58-10.702-28.193-12.952-43.523l.028-.01c-.916-6.205-1.48-12.524-1.656-18.94l-.016.005c-.04-1.49-.066-2.982-.066-4.482 0-16.49 2.494-32.387 7.123-47.34l.043.02c1.863-5.998 4.08-11.84 6.61-17.514l-.066-.028c10.893-24.494 27.77-45.716 48.788-61.83l.074.03c5.807-4.46 11.925-8.54 18.322-12.183l.02-.048c4.14-2.346 8.394-4.512 12.754-6.488.033-.015.067-.03.1-.047 20.126-9.156 42.472-14.262 65.995-14.262zm0 18.697c-41.134 0-78.1 17.522-103.863 45.513l13.39 27.236 64.983-56.282 57.822 50.388-60.396-25.818-39.42 40.066 34.62 11.89 8.637 52.87 99.566 77.99-112.168-54.314-67.578 7.66 73.85 59.19-62.98 10.183c24.878 22.025 57.617 35.39 93.536 35.39 13.404 0 26.367-1.86 38.643-5.337l-103.742-22.73h-.002l101.707 6.583-39.187-50.102 74.276 52.082c19.23-11.346 35.52-27.12 47.47-45.934l-121.837-98.54 100.55-19.942-67.42-79.45 101.325 71.97c-20.26-53-71.554-90.563-131.785-90.563zm-116.855 61.91c-15.28 22.538-24.2 49.745-24.2 79.07 0 5.495.323 10.91.932 16.24l85.18-13.444-3.83-36.215-51.905-13.23-6.177-32.42zm254.832 49.64l-88.53 14.94 74.44 82.034c10.946-20.047 17.166-43.056 17.166-67.543 0-10.096-1.066-19.94-3.076-29.43zm-273.447 68.88c5.875 20.247 16.163 38.6 29.757 53.963l26.385-9.84-56.143-44.124zm252.79 94.625l30.52 25.165-24.367 22.046-51.432-18.265c16.572-7.35 31.82-17.15 45.28-28.945z"}}]})(props);
};
function GiUnstableProjectile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M120.375 22.47c88.55 42.68 157.7 88.838 211.438 154.78C247.84 102.894 134.438 59.955 21.97 28.53v95.095c66.055 28.358 165.725 98.252 191.25 144.75-51.636-51.886-122.18-81.19-191.25-102.406v87.53c75.425 22.986 148.444 61.787 191.905 148.063 19.75 55.943 73.15 96.125 135.78 96.125 79.39 0 143.94-64.55 143.94-143.938 0-45.592-21.307-86.29-54.47-112.688-7.824-10.445-15.605-20.434-23.344-30.03 5.687-5.654 9.22-13.475 9.22-22.126 0-17.24-13.98-31.22-31.22-31.22-6.977 0-13.425 2.32-18.624 6.19-64.35-69.56-125.732-112.213-184.5-141.407h-70.28zM369.97 68.124c-11.588 0-21 9.382-21 20.97 0 11.586 9.412 21 21 21 11.586 0 20.967-9.414 20.967-21 0-11.59-9.38-20.97-20.968-20.97zm97.217 125.47c-10.173 0-18.406 8.262-18.406 18.436 0 10.175 8.234 18.407 18.408 18.407 10.173 0 18.437-8.232 18.437-18.406s-8.264-18.436-18.438-18.436zM335.563 229.28l4.688 24.782-51.375 13 61.5 79.625-8.656-60.78 49.905-3.626 3.406-45.31c32.242 12.5 57.96 37.922 70.845 69.968l-5.5 19.468-49.188-15.187L474.375 365c-1.43 16.137-5.897 31.376-12.844 45.156l-32.217-14.5-82.75 58.53 66.656-25.248 25 13.437C415.57 465.008 384.283 479 349.655 479c-61.742 0-112.934-44.45-123.344-103.156l45.625 39.812 23.532-30.72 26.624 33.783 93.625-58.345-39.908-42.97.5 41.44-47.062 16.905-43.5-54.78-9.72 37.374-44.874-45.313c15.4-44.967 55.627-78.307 104.406-83.75z"}}]})(props);
};
function GiUpCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 47L139.4 202.467l93.6-40.115V359h46V162.352l93.6 40.115L256 47zM144 256L32 480h448L368 256h-71v121h-82V256h-71z"}}]})(props);
};
function GiUpgrade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 29.816l-231 154v106.368l231-154 231 154V183.816zm0 128.043L105 259.783v90.283l151-101.925 151 101.925v-90.283zm0 112l-87 58.725v67.6l87-58 87 58v-67.6zm0 89.957l-87 58v64.368l87-58 87 58v-64.368z"}}]})(props);
};
function GiUprising (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M166.3 71.14l8.1 95.06-14.8 2.6-24.7-91.98 9 94.78-15.7 3-24.9-92.14 9.1 94.94-14.83 2.6L71.8 88.06 83.06 200.9l47.24-8.5L148 290c3.3-1.1 6.8-1.7 10.4-1.7 2.7 0 5.3.3 7.8 1l-18.1-100.1 47.2-8.5zm175.9 5.28c-3.3 29.88-14.3 61.48-27.2 55.48-12.2-5.6-8.9-19.2.4-34.25-15.1 10.75-36.3 17.65-22.4 46.65-14.9-8.5-10.7-25.2-12.9-39.2-21.5 16.1-14.4 43.8-5.7 66.2l11.9 3.5.5-25.2 10.2 18.3c12.2-5.1 12.4-8.5 19.8-15.4-4.7 9.2-7.2 19.2-18 26.5l7.9 2.6c22.9-5.3 57.3-45.6 35.5-105.18zm96.5 39.98c-19.8.2-47.8 21.4-33.6 45.4 13.5-59.9 69.2-13.1 62.9 7.8-8.5 28.2-29 25.9-37.3 40.6l14.4 5c64.9-24.2 43.8-95.6-4.5-98.7-.6 0-1.2-.1-1.9-.1zm-166.8 77.1l-6.5 32 23.1 5.5 12.2-29.6zm153.2 33.8l-20.4 70.2c4.7-2.4 9.9-3.8 15.4-3.8 2.2 0 4.4.2 6.5.6l14.4-61.5zm-156.7 12.2c-11.3 0-20.4 10.3-20.4 23 0 12.3 8.6 22.4 19.5 22.9 2.2 9.5 4.5 19 7.1 28.5 5.6 2.9 10.5 7.2 14.4 12.3 7.1 9.5 11.2 21.9 11.2 35.5 0 6-.8 11.8-2.3 17.3.2.4.4.9.6 1.3l29.5 5.2-7.8 80.6 6.5 27.9h60.6l-9.7-103.7-.6-7.1c9.5-3.3 19.1-6 26.6-8.1l-25.6-5.5c-6.6 6-14.9 9.8-24.1 9.8-12.1 0-22.7-6.6-29.8-16-6.3-8.4-10.2-19.2-11-31-10-20-19.7-40.2-25.4-62.5 4.1-13.9-8.3-30-19.3-30.4zM84.42 249.7c-11.26 0-16.87 5.8-16.86 14.6 0 5-.56 11.1 4.48 14.1-2.53 7.9-5.51 15.5-8.74 23 4.58 1.5 8.79 4 12.5 7.2.14-.2.27-.4.41-.6 4.32-5.7 9.95-10.4 16.4-13.2 1.32-5.4 2.58-10.8 3.77-16.2 5.32-3 8.42-7.8 8.42-12.9 0-8.8-9.12-16-20.38-16zm269.48 44.7c-5.6 0-10.9 2.9-15.4 8.9-4.5 5.9-7.6 14.7-7.6 24.6 0 9.9 3.1 18.7 7.6 24.6 4.5 6 9.8 8.9 15.4 8.9s10.9-2.9 15.4-8.9c4.5-5.9 7.5-14.7 7.5-24.6 0-9.9-3-18.7-7.5-24.6-4.5-6-9.8-8.9-15.4-8.9zm-195.5 11.9c-5.6 0-10.9 2.9-15.4 8.9-4.5 5.9-7.6 14.7-7.6 24.6 0 9.9 3.1 18.7 7.6 24.6 4.5 6 9.8 8.9 15.4 8.9s10.9-2.9 15.4-8.9c4.5-5.9 7.5-14.7 7.5-24.6 0-9.9-3-18.7-7.5-24.6-4.5-6-9.8-8.9-15.4-8.9zM106 310c-5.6 0-10.94 2.9-15.4 8.9-1.13 1.5-2.17 3.2-3.1 5 3.92 8 6.09 17.3 6.09 27.2 0 6.2-.84 12.1-2.42 17.6l15.23 3.3 14.3-3c.8-1 1.7-2.2 2.3-3.2-3.6-7.7-5.6-16.6-5.6-26 0-7.6 1.3-14.8 3.6-21.4-4.4-5.6-9.5-8.4-15-8.4zm314.1 1.7c-5.6 0-10.9 2.9-15.4 8.9-4.5 5.9-7.5 14.7-7.5 24.6 0 3.7.4 7.2 1.2 10.4l17.9 3.9c0-1.3-.1-2.7-.1-4.1 0-13.6 4.1-26 11.2-35.5 1.1-1.4 2.3-2.8 3.5-4.1-3.3-2.8-7-4.1-10.8-4.1zm-367.46 5.9c-5.59 0-10.94 2.9-15.4 8.9-4.46 5.9-7.55 14.7-7.55 24.6 0 9.9 3.09 18.7 7.55 24.6 4.46 6 9.81 8.9 15.4 8.9s10.94-2.9 15.4-8.9c4.46-5.9 7.55-14.7 7.55-24.6 0-9.9-3.09-18.7-7.55-24.6-4.46-6-9.81-8.9-15.4-8.9zm148.96 2.2c-1.7 0-3.5.3-5.1.9 1.8 5.9 2.8 12.4 2.8 19.1 0 10.3-2.3 19.8-6.4 28l26.4 5.8c-.7-3.8-1.1-7.8-1.1-11.9 0-8.1 1.5-15.8 4.1-22.6-1.3-4-3.1-7.6-5.3-10.4-4.5-6-9.8-8.9-15.4-8.9zm255.6 2.1c-5.6 0-10.9 2.9-15.4 8.9-4.5 5.9-7.6 14.7-7.6 24.6.1 9.9 3.1 18.7 7.6 24.6 4.5 6 9.8 8.9 15.4 8.9s10.9-2.9 15.4-8.9c4.5-5.9 7.6-14.7 7.6-24.6 0-9.9-3.1-18.7-7.6-24.6-4.5-6-9.8-8.9-15.4-8.9zm-198 6.3c-5.6 0-10.9 2.9-15.4 8.9-4.5 5.9-7.6 14.7-7.6 24.6 0 9.9 3.1 18.7 7.6 24.6 4.5 6 9.8 8.9 15.4 8.9s10.9-2.9 15.4-8.9c4.5-5.9 7.6-14.7 7.6-24.6 0-9.9-3.1-18.7-7.6-24.6-4.5-6-9.8-8.9-15.4-8.9zm-79 55.2c-6.2 4.9-13.6 7.9-21.8 7.9-7.9 0-15.2-2.8-21.3-7.4l-31.8 6.8L129.4 494h67.7l.4-3.3c-3.6-35.3-7.4-70.6-10.9-105.9zm-97.77 3.2c-7.11 9.4-17.73 16-29.79 16-11.6 0-21.86-6.1-28.94-14.9l-5.7 1.2v66.9l8.15 38.2h70.28l5.27-39.7-15.94-68.4c-1.81-.5-2.37-.6-3.33.7zm343.17 1.7c-10 2.2-19.7 4.7-29.4 7.6l9.2 98.1h84.5l4.1-30.6v-70.9c-2.4-.8-5-1.4-7-1.6-7.1 9.4-17.7 16-29.8 16-14.2-2-24.8-8.4-31.6-18.6zm-197 7.8l-22.4 3.4 9.7 94.5h83.4l9.1-93.7-19.2-3.4c-.1.1-.1.2-.2.3-7.1 9.4-17.7 16-29.8 16-13.2-1.9-24.1-8-30.6-17.1z"}}]})(props);
};
function GiUrsaMajor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416.125 47.825L410.1 62.022l-30.914-.441 23.562 11.232-35.037 18.389 24.842-3.82-95.908 128.76-1.239-18.575-7.258 29.98-1.164 1.565-30.755-4.304 20.906 12.933-78.225 36.717-13.889-21.115-.16 27.709-3.367 1.58-.02.008-19.279-7.174 5.891 12.307-56.31 21.585-6.73-24.35-7.198 23.88-27.743 5.795 20.176 8.718-55.066 96.504-5.844-11.638-1.756 22.386-12.29.088 11.939 9.659-10.893 15.136 14.537-4.02 3.1 12.659 5.898-14.82 28.908-12.266-19.298-5.928 51.554-90.353 14.336 16.947-3.853-29.035 1.795-.69 20.144 7.196-9.943-11.106 44.908-17.215-3.695 15.31 19.515-21.058 11.98 25.46.88-29.378 20.367 4.213-8.305-11.941 67.87-31.858-6.815 19.737 19.16-19.793 11.99 15.703.172-13.775 55.026 27.513-12.377 19.295 20.484-8.816 15.52 30.047 2.607-34.393 28.309 4.47-24.495-15.798 96.502-104.295 12.743 10.77-3.864-19.897-.24-.209 4.885-5.28-5.403-7.04 1.989-2.395-3.688-24.055-5.767 16.723-51.155-66.656 14.295-19.688-25.222 5.45-1.795-2.34zm-5.13 44.926l8.042 21.805 4.602-17.235 41.45 54.014-16.776-3.809 18.064 13.436-19.074 10.076 16.935.451-89.521 96.75-8.518-18.398-1.65 21.047-54.074-27.038 32.324-9.953-36.133-1.08z"}}]})(props);
};
function GiUruguay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M86.627 56.843l86.84-33.014c98.7 82.092 216.765 136.019 295.685 246.884-65.653 71.335-17.208 71.745-20.095 104.064C426.444 500.632 315.248 482.712 225.14 488.17c-47.279-23.845-88.53-54.013-128.466-46.65l-53.826-49.52z"}}]})(props);
};
function GiUsaFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 18v29h238V18H256zm-208 .002l-9.404 19.053-21.03 3.056 15.217 14.833L29.19 75.89l18.812-9.892 18.807 9.89-3.593-20.945L78.434 40.11l-21.032-3.055L48 18.002zm80 0l-9.404 19.053-21.032 3.056 15.217 14.833-3.59 20.946L128 65.997l18.807 9.89-3.592-20.945 15.217-14.832-21.03-3.055L128 18.002zm80 0l-9.404 19.053-21.032 3.056 15.217 14.833-3.59 20.946L208 65.997l18.807 9.89-3.592-20.945 15.217-14.832-21.03-3.055L208 18.002zm-39.404 54.385L159.19 91.44l-21.028 3.056 15.217 14.832-3.593 20.945 18.81-9.89 18.807 9.89-3.59-20.945 15.215-14.832-21.032-3.057-9.402-19.053zm-79.998 1.998L79.193 93.44l-21.03 3.056 15.218 14.832-3.593 20.945 18.81-9.89 18.807 9.89-3.59-20.945 15.215-14.832L98 93.44l-9.402-19.055zM256 81v30h238V81H256zM48 130.004l-9.404 19.053-21.03 3.056 15.217 14.832-3.592 20.946L48.003 178l18.807 9.89-3.593-20.945 15.217-14.832-21.032-3.056L48 130.004zm80 0l-9.404 19.053-21.032 3.056 15.217 14.832-3.59 20.946L128 178l18.807 9.89-3.592-20.945 15.217-14.832-21.03-3.056L128 130.004zm80 0l-9.404 19.053-21.032 3.056 15.217 14.832-3.59 20.946L208 178l18.807 9.89-3.592-20.945 15.217-14.832-21.03-3.056L208 130.004zM256 145v30h238v-30H256zM88.598 186.385l-9.405 19.054-21.03 3.056 15.218 14.832-3.593 20.945 18.81-9.89 18.807 9.89-3.59-20.945 15.215-14.832L98 205.44l-9.402-19.055zm79.998.002l-9.405 19.052-21.028 3.056 15.217 14.832-3.593 20.945 18.81-9.89 18.807 9.89-3.59-20.945 15.215-14.832-21.032-3.057-9.402-19.053zM256 209v30h238v-30H256zM18 273v30h476v-30H18zm0 64v30h476v-30H18zm0 64v30h476v-30H18zm0 64v29h476v-29H18z"}}]})(props);
};
function GiUsable (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16C123.45 16 16 123.453 16 256c0 132.548 107.45 240 240 240 132.548 0 240-107.452 240-240S388.548 16 256 16zm0 60c99.41 0 180 80.59 180 180s-80.59 180-180 180S76 355.41 76 256 156.59 76 256 76zm-15 45c-7.5 0-10.802 7.833-9.563 14.313l19.907 91.218c.73 9.53-7.815 8.665-12.625 4.19l-45.064-61.282c-2.706-4.937-10.62-10.596-17.594-6.782-6.973 3.815-6.41 12.334-4 17.344l40.344 62.938c10.388 16.62 12.386 32.35 12.563 52.812-.34 13.825-11.4 20.024-21.97 20.688l-43.53-3.844c-11.047.024-23.47 7.79-23.47 18.406 0 10.617 17.494 9.182 27 11.625 0 0 62.778 18.345 86.844 18.375 16.422.017 16.003 21.326 25.687 21.28 9.16-.04 41.118-11.973 46.5-14.655 5.385-2.682 29.853-15.973 30.126-22.22.323-7.4-13.844-20.096-9.344-28.217 10.413-27.692.305-43.128 7.47-71.688C355.758 223.666 376 181 376 181c0-4.82-2.55-8.258-6.47-10.813-4.212-1.82-11.514-.874-13.374 3.72l-30.594 54.75c-4.69 4.277-10.706 3.163-12.125-4.5l2-86.47c.74-2.896-3.292-10.392-10.28-11.406-6.99-1.01-10.62 3.866-10.938 6.657l-6.22 87.5c-1.63 4.043-7.696 4.632-9.406.25L256.72 130.72c.19-5.952-5.877-9.72-15.72-9.72z"}}]})(props);
};
function GiUsbKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M394.8 30.88l-65 65.03 86.3 86.29 65.1-65-86.4-86.32zm-6.3 36.04l17 17-12.8 12.72-17-17 12.8-12.72zm-82.8 30.4l-11.3 11.28 109 108.9 11.3-11.2-109-108.98zM263.3 103L23.4 342.9v60.5l85.2 85.2h60.5l240-239.9L263.3 103zm164.9 3.6l16.9 17-12.8 12.6-16.9-17 12.8-12.6z"}}]})(props);
};
function GiUshanka (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M202.5 40.39c-23.3.02-52 .24-77.2 3.84-13.6 1.93-25.9 4.85-35.26 8.86-9.35 4.01-15.33 8.94-17.99 14.26-3.06 6.12-7.27 21-10.71 39.15-3.43 18.1-6.4 39.9-8.38 61.6-1.97 21.8-2.95 43.5-2.46 61.5.37 13.9 1.98 25.7 3.86 32.7h16.93c1.47-27.1 8.92-69.1 17.95-107.1 5.06-21.2 10.6-40.9 16.06-55.74 2.7-7.42 5.4-13.59 8.3-18.47 1.5-2.45 3-4.59 5-6.54 1.8-1.76 4.4-3.69 8.1-4.06 27.2-5.39 56-8.98 85.4-10.77l-9.6-19.23zm-75.8 30c-.1.03-.3.07-.5.1l1.8-.17c-.4 0-.9.03-1.3.07zm182.8-30l-9.6 19.23c29.4 1.79 58.2 5.38 85.4 10.77 3.7.37 6.3 2.3 8.1 4.06 2 1.95 3.5 4.09 5 6.54 2.9 4.88 5.6 11.05 8.3 18.47 5.5 14.84 11 34.54 16.1 55.74 9 38 16.4 80 17.9 107.1h16.9c1.9-7 3.5-18.8 3.9-32.7.5-18-.5-39.7-2.5-61.5-1.9-21.7-4.9-43.5-8.3-61.6-3.5-18.15-7.7-33.03-10.8-39.15-2.6-5.32-8.6-10.25-17.9-14.26-9.4-4.01-21.7-6.93-35.3-8.86-25.2-3.6-53.9-3.84-77.2-3.84zm75.8 30c-.4-.04-.9-.07-1.3-.07l1.8.17c-.2-.03-.4-.07-.5-.1zM256 76.35c-43.1 0-86.2 3.89-125.3 11.64-.4.4-.9.95-1.6 2.22-1.9 3.18-4.4 8.64-6.9 15.49-5 13.6-10.5 32.9-15.4 53.7-8.9 37.2-16.08 79.7-17.5 104 106.5 14.4 226.9 14.4 333.4 0-1.4-24.3-8.6-66.8-17.5-104-4.9-20.8-10.4-40.1-15.4-53.7-2.5-6.85-5-12.31-6.9-15.49-.7-1.27-1.2-1.82-1.6-2.22-39.1-7.75-82.2-11.64-125.3-11.64zm0 50.95l19.2 37.6 41.7 6.6-29.8 29.9 6.5 41.7L256 224l-37.6 19.1 6.5-41.7-29.8-29.9 41.7-6.6 19.2-37.6zM122.5 285.6c-1 8.6-1.5 17.4-1.5 26.4 0 48.9 15.6 93 40.3 124.6 24.7 31.5 58 50.4 94.7 50.4s70-18.9 94.7-50.4C375.4 405 391 360.9 391 312c0-9-.5-17.8-1.5-26.4-86.9 8.9-180.1 8.9-267 0z"}}]})(props);
};
function GiUzi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M400.29 24v32h10v35.666h24.626c.193 18.416-.062 35.84 0 52.85H410.29V152h-45.936l5.986-11.975L376.854 127H70.62v17.355L88.06 152H26.29V56h16V40l16-16h32v32h224c8.472-7.114 5.74-20.712 6-32h10v32h22c10.133-11.125 18.67-31.843 32-32zM336 81H112v18h224zm149.533 23l.176 27.523h-32.706V104zM347.73 145l-7 14H140.022l-35-14zm3.79 32c-.076 2.743-.207 5.814-.448 9.104-.786 10.733-2.02 23.154-7.87 33-6.42 10.813-17.17 17.783-28.052 21.43-14.33 4.8-31.26 6.012-46.304-.22-7.23-2.994-13.278-8.29-18.555-13.86V344h-120c2.114-46.595 6.846-96 32.833-144-6.875-7.313-12.83-15.085-18.502-23h105.67v21.45c1.643 2.234 4.083 5.428 7.6 9.517 5.91 6.875 14.058 14.15 17.844 15.72 9.593 3.972 22.743 3.45 33.698-.22 7.47-2.503 14.832-7.723 18.295-13.553 2.368-3.988 4.684-15.443 5.394-25.127.22-2.99.272-5.405.323-7.787zm-59.25 0c-8.867 15.22.87 22.81 13.966 33.29-26.754-6.708-34.985-15.372-30.556-33.29zM230 231h-48v18h48zm0 40h-64v18h64zm0 40h-73.482v18H230zm20.29 51v126h-64V362z"}}]})(props);
};
function GiVacuumCleaner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M152.718 28.524c-1.546-.001-3.09.01-4.63.032-20.528.29-40.464 2.677-58.374 7.902-28.656 8.36-52.804 24.703-62.717 51.734-8.846 24.123-1.132 46.174 14.352 63.112 15.483 16.938 38.137 30.613 62.14 44.273 24.004 13.66 49.415 27.172 70.094 42.21 20.68 15.037 36.234 31.401 42.22 50.093 1.124 3.506.276 14.454-1.921 23.44-.876 3.58-1.808 6.718-2.65 9.408l17.546 4.234c.84-2.748 1.747-5.924 2.588-9.365 2.488-10.175 5.153-22.05 1.58-33.207-7.773-24.272-26.598-43.033-48.777-59.16-22.179-16.128-48.104-29.824-71.775-43.295-23.672-13.471-45.032-26.852-57.76-40.776-12.728-13.923-17.423-26.537-10.736-44.77 7.498-20.448 25.514-33.257 50.857-40.652 25.343-7.394 57.333-8.66 88.924-5.681 31.59 2.98 62.835 10.149 86.8 18.886 10.344 3.771 19.325 7.848 26.303 11.858 3.216-2.397 6.614-4.797 10.184-6.94 2.174-1.305 4.44-2.527 6.808-3.582a108.01 108.01 0 0 0-4.23-2.812c-8.89-5.594-20.05-10.75-32.898-15.434-25.697-9.368-58.118-16.77-91.276-19.898-10.88-1.026-21.832-1.6-32.652-1.61zm175.904 54.288c-.362.012-.732.038-1.115.076-3.062.3-6.985 1.828-11.276 4.404-6.12 3.675-12.542 9.225-19.238 14.213l62.45 84.068 20.247-4.746c-4.262-30.338-14.22-72.644-43.539-95.263-2.891-2.231-4.996-2.837-7.529-2.752zm52.8 116.097l-17.523 4.108 50.264 214.459h18.488zM57.403 318.597l-1.965 18.478c5.836.202 11.85.48 18.011.834l1.852-17.408zm123.183 13.252l-4.99 18.357 60.283 14.621 5.502-18.306zm-146.85 22.818c-.934 0-1.105-.1-2.558 1.904-1.453 2.004-3.197 6.092-4.41 11.504-2.428 10.824-3.016 26.644-2.05 42.448.967 15.803 3.432 31.755 6.468 43.209 1.517 5.726 3.24 10.363 4.588 12.89.299.561.328.53.55.854h9.295a56.513 56.513 0 0 1-4.883-23c0-31.374 25.627-57 57-57 31.374 0 57 25.626 57 57a56.513 56.513 0 0 1-4.882 23h90.515c.458-.604 1.316-1.987 2.149-4.3 1.8-5.002 3.313-13.058 4.273-21.694 1.92-17.273 1.945-37.006 1.945-45.006 0-.625-.316-2.017-3.265-4.594-2.95-2.577-8.16-5.655-15.002-8.56-13.686-5.812-33.77-11.127-56.406-15.409-45.271-8.564-101.032-13.246-140.327-13.246zm64 50.809c-21.645 0-39 17.354-39 39 0 21.645 17.355 39 39 39 21.646 0 39-17.355 39-39 0-21.646-17.354-39-39-39zm309.563 30l-7 14h50.875l-7-14zm-44.563 32v14h126v-14z"}}]})(props);
};
function GiValley (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.844 20.72L189.03 192.312l-49.31-47.188-60.5 150.844H441.81l-57-94.564-66.03 68.125-13.407-13.03 37.938-39.125-89.47-196.656zM20.47 314.655v178.72h175.75l49.936-78.626-36.062-34.844 43.875-65.25H20.47zm261.186 0l-35.5 55.313 58.47 47.25-2.126 76.155h193v-178.72H281.656z"}}]})(props);
};
function GiValve (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 41v18h18V41zM96.57 77c-.22.22-.77.85-1.35 2.15C93.98 81.96 93 87 93 92s.98 10 2.22 12.8c.58 1.3 1.13 2 1.35 2.2H415.4c.2-.2.8-.9 1.4-2.2C418 102 419 97 419 92c0-5-1-10.04-2.2-12.85-.6-1.3-1.2-1.93-1.4-2.15zM233 125v30h46v-30zm-64 48v30h174v-30zm32 48v190h110V221zM25 253v92h158v-92zm304 0v92h158v-92zm-73 7s38.6 55.3 31 84c-3.3 12.8-16.5 28-31 28-14.6 0-27.7-15.2-31-28-7.6-28.7 31-84 31-84zM25 363v16h158v-16zm304 0v16h158v-16zm-108.5 66l11.2 33.7c6 5.2 15 8.3 24.3 8.3s18.3-3.1 24.3-8.3l11.2-33.7z"}}]})(props);
};
function GiVampireCape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 29c-8 0-15.6 4.345-21.73 12.719C228.139 50.092 224 62.317 224 76s4.139 25.908 10.27 34.281C240.4 118.655 248 123 256 123s15.6-4.345 21.73-12.719C283.861 101.908 288 89.683 288 76s-4.139-25.908-10.27-34.281C271.6 33.345 264 29 256 29zm-95.193 17.709c5.36 11.73 10.839 23.721 17.06 34.92 9.615 17.307 20.842 31.662 34.158 38.32l11.79 5.895a56.89 56.89 0 0 1-4.069-4.93C211.038 109.02 206 93.244 206 76c0-5.837.59-11.5 1.691-16.906-14.322-2.912-29.655-7.03-46.884-12.385zm190.386 0c-17.229 5.355-32.562 9.473-46.884 12.385A84.694 84.694 0 0 1 306 76c0 17.245-5.038 33.02-13.746 44.914a56.89 56.89 0 0 1-4.068 4.93l11.789-5.895c13.316-6.658 24.543-21.013 34.158-38.32 6.221-11.199 11.7-23.19 17.06-34.92zm-124.523 82.02l-14.645 7.322c-17.61 8.805-37.942 12.78-52.865 18.377-7.461 2.798-13.401 5.966-16.96 9.347-3.56 3.382-5.2 6.475-5.2 12.225 0 37.6 15.54 83.15 29.61 129.379 14.069 46.228 26.816 93.388 18.216 136.387l-.238 1.181-.537 1.078c-8.94 17.879-22.705 29.286-37.586 37.79-3.661 2.091-7.398 4.026-11.178 5.878 23.968-.33 48.317-4.023 66.35-22.056L208 459.27l6.363 6.366c8 8 15.805 15.74 23.037 21.164 3.413 2.56 6.625 4.506 9.6 5.873V244c0-1-1.397-6.713-4.414-13.21-3.017-6.498-7.362-14.25-12.219-22.02-9.714-15.543-21.79-31.467-28.73-38.407l-8.83-8.828 11.168-5.586c14.926-7.463 21.56-14.477 24.537-18.941 1.488-2.232 2.083-3.851 2.334-4.73.011-.041.006-.01.015-.044a51.013 51.013 0 0 1-4.191-3.506zm58.66 0a51.013 51.013 0 0 1-4.191 3.505c.01.035.004.003.015.043.251.88.846 2.499 2.334 4.73 2.976 4.465 9.61 11.479 24.537 18.942l11.168 5.586-8.83 8.828c-6.94 6.94-19.016 22.864-28.73 38.407-4.857 7.77-9.204 15.522-12.22 22.02C266.394 237.286 265 243 265 244v248.674c2.975-1.367 6.187-3.313 9.6-5.873 7.232-5.424 15.037-13.164 23.037-21.164L304 459.27l6.363 6.366c18.033 18.033 42.382 21.726 66.35 22.056-3.78-1.852-7.517-3.787-11.178-5.879-14.881-8.503-28.647-19.91-37.586-37.789l-.537-1.078-.238-1.181c-8.6-42.999 4.147-90.159 18.217-136.387C359.46 259.15 375 213.6 375 176c0-5.75-1.64-8.843-5.2-12.225-3.559-3.381-9.499-6.55-16.96-9.347-14.923-5.596-35.255-9.572-52.865-18.377zM246.736 141a37.331 37.331 0 0 1-3.248 5.992c-3.909 5.864-10.58 12.602-21.33 19.326 7.528 9.042 15.934 20.847 23.475 32.912.47.752.911 1.496 1.367 2.245V141zM265 141v60.475c.456-.749.898-1.493 1.367-2.245 7.541-12.065 15.947-23.87 23.475-32.912-10.75-6.724-17.421-13.462-21.33-19.326a37.331 37.331 0 0 1-3.248-5.992z"}}]})(props);
};
function GiVampireDracula (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 19c-47.103.059-104.37 1.514-134.777 35.078-19.272 22.051-22.113 59.34-22.141 91.55-.013 15.25.89 29.319 1.84 40.03 3.42 2.125 6.765 3.998 10.168 5.508 1.906-6.213 4.188-12.19 6.889-17.853a411.19 411.19 0 0 1-.897-27.668c.004-4.162.11-8.397.309-12.645H128v-18h-9.143c.568-4.797 1.279-9.49 2.141-14H144V83h-18.324c2.45-7.015 5.462-12.914 9.101-17.078 30.825-28.62 70.834-28.757 108.229-28.904L256 76l12.994-38.982c36.423.166 84.794 3.054 108.229 28.904 3.639 4.164 6.652 10.063 9.101 17.078H368v18h23.002c.862 4.51 1.573 9.203 2.14 14H384v18h10.61c.197 4.248.304 8.483.308 12.645a411.356 411.356 0 0 1-.897 27.667c2.701 5.664 4.983 11.64 6.89 17.854 3.402-1.51 6.748-3.383 10.167-5.508.95-10.711 1.853-24.78 1.84-40.03-.028-32.21-2.869-69.499-22.14-91.55C352.365 17.425 303.361 18.985 256 19zm-91.682 128.897C132.974 165.035 121 205.545 121 252v48c2.884 29.924 30.052 42.574 48 60.271V444c0 4.935 2.352 9.45 7.75 14.36 20.432 15.936 53.229 24.47 79.21 24.64h.04c28.357-3.426 58.33-5.59 79.395-24.613C340.683 453.505 343 449 343 444v-83.729c18.205-18.5 47.537-34.698 48-60.271v-48c0-46.455-11.974-86.965-43.318-104.104-11.741-6.42-25.102-6.616-40.256-2.98-19.464 5.613-35.334 13.104-51.426 21.147-17.188-7.926-35.068-17.077-51.426-21.147-13.699-3.296-28.23-3.457-40.256 2.98zm-106.84 34.318c1.809 22.782 8.967 56.005 18.95 82.625 5.798 15.461 12.661 28.809 18.986 36.398 3.162 3.795 6.131 6.012 6.967 5.13.835-.883.619-3.576.619-6.368v-48c0-14.72 1.138-29.342 3.768-43.207-9.004-3.482-16.74-8.624-23.76-13.305-8.927-5.95-16.756-11.044-25.53-13.273zm397.043 0c-8.773 2.23-16.602 7.322-25.529 13.273-7.02 4.68-14.756 9.823-23.76 13.305C407.862 222.658 409 237.281 409 252v48c0 2.792-.216 5.485.62 6.367.835.883 3.804-1.334 6.966-5.129 6.325-7.59 13.188-20.937 18.986-36.398 9.983-26.62 17.141-59.842 18.95-82.625zM176 207.27l70.363 70.366-10.32 10.32C238.517 292.391 240 296.565 240 300h-96c0-16 16-48 48-48 1.182 0 2.46.194 3.797.523L176 232.727l-25.637 25.636-12.726-12.726zM192 300c8.837 0 16-7.163 16-16s-7.163-16-16-16-16 7.163-16 16 7.163 16 16 16zm144-92.729l38.363 38.366-12.726 12.726L336 232.727l-19.797 19.796c1.337-.33 2.615-.523 3.797-.523 32 0 48 32 48 48h-96c0-3.435 1.483-7.609 3.957-12.043l-10.32-10.32zM320 300c8.837 0 16-7.163 16-16s-7.163-16-16-16-16 7.163-16 16 7.163 16 16 16zm-203.393 36.496c-28.117 11.146-58.94 25.26-93.828 42.373 39.48 16.026 70 37.572 90.092 61.317 14.463 17.092 23.58 35.612 26.248 53.814h70.611c-16.114-4.813-33.438-11.931-45.091-22.324C156.82 464.566 151 455.065 151 444v-76.002c-12.82-11.535-24.674-19.302-34.393-31.502zm278.786 0c-9.543 12.279-23.267 21.558-34.393 31.502V444c0 11-5.683 20.495-13.395 27.613-14.023 11.575-28.946 17.825-44.95 22.387h70.226c2.667-18.202 11.785-36.722 26.248-53.814 20.092-23.745 50.613-45.29 90.092-61.317-34.889-17.114-65.71-31.227-93.828-42.373zm-165.784 4.467c7.613 4.7 16.541 13.529 26.391 14.037 10.283-2.687 17.928-7.524 26.39-14.037l11.22 14.074C282.997 362.708 267.95 372.778 256 373c-14.83-1.544-26.226-9.059-37.61-17.963zm-31.293 48.625L211.93 403h88.433l13.25-13.342 12.774 12.684L307.855 421H301l-13 39-13-39h-38l-13 39-13-39h-6.447l-18.87-18.588z"}}]})(props);
};
function GiVanDammeSplit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 73c-9.612 0-18.618 4.916-25.842 14h51.684c-7.224-9.084-16.23-14-25.842-14zm48.438 16.387C309.921 100.675 313 113.893 313 128c0 3.205-.174 6.359-.482 9.46 8.849 13.02 20.289 24.904 36.298 30.958l6.368-16.836c-12.684-4.796-22.501-16.513-30.83-29.883 15.863 8.092 33.138 14.39 53.171 15.291l.81-17.98c-27.51-1.238-49.873-14.913-73.897-29.623zM220.642 105c-2.31 6.965-3.643 14.753-3.643 23 0 15.85 4.892 30.032 12.26 39.855C236.628 177.68 245.988 183 256 183c10.012 0 19.372-5.32 26.74-15.145C290.108 158.032 295 143.85 295 128c0-8.247-1.334-16.035-3.643-23zm.812 81.139c-11.956-.368-15.006-.403-28.056 12.582-13.051 12.985-18.28 38.709-22.553 59.9 21.412 5.944 39.949 4.357 59.283 2.688l-1.66-6.688c13.99-4.287 28.922-9.6 40.213-14.375-23.877 2.181-49.9 4.009-71.446 2.547l17.666-33.775 15.952 8.341-4.233 8.092c18.714-1.057 37.465-3.225 55.598-4.289l11.824-7.182 16.547 27.249c-20.353 9.429-42.782 19.406-60.604 25.365l4.428 17.828c29.01-9.622 57.483-18.003 79.611-34.111-1.268-18.023-4.918-39.841-15.101-50.859s-21.674-13.839-28.38-13.313C281.155 195.245 269.175 201 256 201c-13.174 0-25.155-5.755-34.545-14.861zM64 250.279L32 256l12.896 65.863.2-.097c45.104 7.511 114.466 11.64 186.299 12.408-9.806-10.329-14.799-24.733-25.737-32.992-3.64-2.684-7.345-4.182-13.658-4.182v-.178c-45.337-1.213-87.535-3.733-119.662-7.584zm384 0l-8.338 38.96c-32.127 3.85-74.325 6.37-119.662 7.583V297c-6.313 0-10.019 1.498-13.658 4.182-10.814 9.49-17.395 23.004-25.737 32.992 71.833-.768 141.195-4.897 186.3-12.408l.199.097L480 256zm-213.482 28.705c-3.882.367-7.787.684-11.704.91-3.568.207-7.142.346-10.705.415l.495 3.957a37.812 37.812 0 0 1 3.738 2.427c6.36 4.691 10.872 10.667 15.047 16.668 7.337 10.548 13.712 21.314 24.611 29.684 10.899-8.37 17.274-19.136 24.611-29.684 2.812-4.041 5.792-8.06 9.371-11.695-13.133 4.537-26.352 8.487-39.021 12.865l-9.303 3.215zM25 345v142h62V345zm400 0v142h62V345z"}}]})(props);
};
function GiVanillaFlower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304.188 20.78c-66.4 29.275-7.705 118.11-67.344 199.095.002.01-.002.02 0 .03 4.68 23.896 1.18 50.524-15 61.407 5.676-10.848 4.674-33.22-.594-53.968C172.566 116.55 98.992 169.912 50.97 49.064c-7.508 115.22 76.944 106.685 121.405 219.03 25.28 4.854 48.27 21.84 42.406 49.375-8.74-28.164-38.682-37.34-74.655-29.94-49.053 14.66-79.57 51.282-119.03 39.033 42.903 46.394 89.77.747 146.28 14.968 10.2-6.306 21.764-10.282 32.375-10.092 6.877.123 13.343 2.007 18.78 6.125-17.464-2.606-52.255 20.413-64.436 42.062-11.036 31.072 5.565 72.344-24.063 118.156 64.557-9.482 55.983-72.112 96.032-104.967-5.95-23.987-.636-54.244 19.907-62.907-8.336 10.483-8.898 36.958-3.157 58.47 17.706 48.55 69.432 44.36 102.406 111.874 4.12-48.97-27.776-83.065-38.158-119.625-25.52-12.012-50.434-38.33-45.906-61.47 5.082 16.233 35.01 39.13 60.28 48.19 60.935 16.158 108.5-22.17 175.064 23.592-42.414-75.354-97.718-43.818-153.5-79.25-25.297 6.58-55.71 3.98-67.53-13.593 10.318 5.398 31.1 4.795 50.967.187.03-.01.063-.018.094-.03C425.25 261.26 418.945 146.456 494.5 138c-84.284-35.58-103.4 85.843-182.938 102.406-15.316 25.246-39.25 43.34-65.906 44.125 11.467-7.75 30.848-23.313 45.063-42.342-.085-.003-.167.002-.25 0 50.867-65.388-20.946-134.664 13.717-221.407zm136.5 49.69c-37.396.183-76.304 40.32-75.72 93.436 27.76-61.158 76.168-72.398 130-51.25-12.783-29.8-33.303-42.29-54.28-42.187zm-225.47.593c-.532-.013-1.08.006-1.624.03-4.982.224-10.477 1.986-16.438 5.626 30.17 20.098 45.097 56.783 31.656 111.468 29.054-43.44 19.963-116.347-13.593-117.125zM20.25 149.53v40.5c39.124 3.345 76.562 22.105 109.813 60.25-13.216-53.944-61.76-91.727-109.813-100.75zm127.688 202.907c-60.802 8.268-60.422 39.282-119.188 32.657 49.566 43.217 76.473-8.307 119.188-32.656zm273.468 32.938c-22.266.2-51.875 6.393-80.687 8.063 38.87 19.01 104.58-4.72 116.186 29.625 5.516-30.448-10.265-37.914-35.5-37.688z"}}]})(props);
};
function GiVelocipede (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M336 35.27L282.27 89H311v26.146c-13.694.442-26.686 1.887-39 4.233V119c-20.41 0-36.037-.854-49.084-2.668 3.39-.714 6.58-1.558 9.527-2.578 3.88-1.343 7.405-2.938 10.553-5.598C246.144 105.496 249 101 249 96v-9h-9c-32 0-62.12-.124-91.975-15.05l-5.703-2.85-4.582 4.433c-7.094 6.866-9.93 15.897-9 23.55.93 7.655 4.376 13.78 7.367 19.24l2.56 4.677H144c8.2 0 18.56.003 29.492-.27 14.938 6.71 30.153 11.206 50.154 13.737-46.397 20.775-80.146 56.27-103.46 97.068-25.914 45.348-39.6 97.11-45.514 143.723C45.777 377.964 23 402.423 23 432c0 31.374 25.626 57 57 57s57-25.626 57-57c0-26.998-18.983-49.725-44.27-55.543 5.817-44.493 18.966-93.785 43.084-135.992C169.534 181.455 223.4 136.057 311 133.15v18.09c-89.057 4.69-160 78.55-160 168.76 0 93.23 75.77 169 169 169s169-75.77 169-169c0-90.21-70.943-164.07-160-168.76V89h7c5.5 0 10.848-1.408 14.926-4.977C355.004 80.455 357 75 357 70c0-10-5.576-19.303-14.637-28.363L336 35.27zm-25 134.003v127.434c-9.316 3.65-16 12.758-16 23.293 0 1.867.216 3.686.613 5.44L269.275 343H240v18h48v-8.85l17.635-11.757C309.713 343.286 314.673 345 320 345c13.7 0 25-11.3 25-25 0-1.867-.216-3.686-.613-5.44L370.725 297H400v-18h-48v8.85l-17.635 11.757a25.09 25.09 0 0 0-5.365-2.9V169.273C408.297 173.92 471 239.52 471 320c0 83.502-67.498 151-151 151s-151-67.498-151-151c0-80.48 62.703-146.08 142-150.727zM72.703 393.683C71.533 407.155 71 420.037 71 432h18c0-11.66.55-24.282 1.74-37.51C107.11 399.12 119 414.086 119 432c0 21.646-17.354 39-39 39s-39-17.354-39-39a38.842 38.842 0 0 1 31.703-38.318z"}}]})(props);
};
function GiVelociraptorTracks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M82.651 20.988c10.808 16.773 23.587 31.3 41.244 45.234-10.27-2.274-33.336 2.031-43.177 15.039-2.1-20.28-4.55-40.888 1.933-60.273zm36.295 66.462c5.02.13 10.25 1.489 15.344 4.463 5.787 4 17.457 72.552 34.66 103.002 5.98-7.097 8.85-12.717 11.108-19.562 4.16-12.609 41.558-.75 38 11.594-13.773 47.772-10.911 71.476-7.4 99.714 1.062 8.552-20.608 22.253-42.143 20.043C121.3 268.906 51.98 189.15 53.415 181.91c2.844-14.343 28.053-25.924 39.717-11.164 8.72 11.034 19.825 25.756 31.803 32.237-12.897-31.854-38.887-89.693-34.584-98.92 4.314-9.253 15.768-16.944 28.595-16.612zm-97.74 26.9c15.159 12.472 33.13 20.169 46.809 27.768-15.075.5-24.481 8.642-30.895 18.983-7.286-7.79-15.178-28.902-15.914-46.75zm408.143 90.708c6.482 19.385 4.03 39.992 1.931 60.273-9.841-13.008-32.906-17.315-43.177-15.04 17.657-13.934 30.438-28.46 41.246-45.233zm-36.295 66.463c12.827-.333 24.28 7.359 28.595 16.611 4.303 9.227-21.69 67.064-34.586 98.918 11.978-6.48 23.086-21.203 31.805-32.236 11.664-14.76 36.871-3.18 39.715 11.164 1.435 7.239-67.886 86.999-115.1 124.797-21.535 2.21-43.203-11.494-42.14-20.045 3.51-28.238 6.37-51.94-7.403-99.713-3.558-12.344 33.842-24.205 38.002-11.596 2.259 6.845 5.126 12.467 11.106 19.565 17.203-30.45 28.875-99.003 34.662-103.002 5.095-2.975 10.324-4.333 15.344-4.463zm97.74 26.9c-.736 17.848-8.628 38.958-15.914 46.748-6.414-10.341-15.822-18.48-30.897-18.98 13.679-7.6 31.652-15.297 46.81-27.768z"}}]})(props);
};
function GiVelociraptor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.357 56.129C23.914 184.67 98.5 288.625 195.225 318.419c-9.76-16.326-11.79-20.065-13.545-35.11 5.57 11.151 17.776 28.634 47.168 46.123-15.459 6.144-25.038 19.847-27.389 42.843-5.396 2.38-12.07-.661-15.805 8.78-7.575 18.099 8.399 33.481 12.643 50.216 14.08 6.437 13.144 15.724 16.855 24.6 12.993-5.169 25.986-2.705 38.979 0l-.701-14.416-21.774-3.162 3.865-8.777c-11.488-4.736-17.746-12.8-24.23-20.72.351-9.214.702-18.61 1.053-27.392 30.453-7.134 51.72-27.902 61.98-39.681 2.98-3.422-1.105-10.442-5.443-16.504 18.625-19.95 15.037-40.943 13.205-61.237 8.929 13.296 13.891 34.978 4.568 63.145 28.73-3.42 54.964-12.9 75.242-28.006-4.611-12.067-5.113-24.247-1.486-30.904 4.372 12.71 17.02 31.785 31.069 34.879 20.108 4.428 37.03-2.155 54.78-5.971-6.746 14.86-7.405 29.553-8.077 43.545 12.925-15.825 30.205-30.033 30.552-50.217.134-7.764-31.161-11.645-60.05-5.267-2.105-10.317-4.329-20.432-10.868-30.194 5.292-13.485 6.256-28.722 5.196-45.642-12.62-6.784-17.92-19.886-20.77-33.932 24.322 20.149 58.171 30.88 88.535 33.02.195-5.546 2.602-5.824-2.363-11.37-21.92-11.355-47.134-27.842-46.555-41.77 20.459.285 48.265 3.052 68.782 8.194-.673-7.697-.04-15.732-6.21-23.092-4.021-4.797-33.602-12.747-50.404-19.12-.627-3.643-2.934-12.138-9.437-12.167-36.318-.16-70.229 15.264-76.975 35.012-3.305 9.675-.1 41.943-.027 62.914-44.004-6.438-105.465 11.322-149.111 32.71C55.353 200.283 52.28 140.525 21.357 56.128zm392.815 64.396c5.525.056 8.536 6.67 7.517 10.3-.714 2.544-18.077-1.213-17.42-4.858.59-3.267 2.831-5.512 9.903-5.442zm56.062 198.188l-8.136 12c7.284 4.115 4.85 8.81 9.261 18.322 2.964-10.769 4.898-19.553-1.125-30.322zM242.24 401.98c-4.287.01-11.218 1.745-12.933 9.008l12.166 9.809c-2.176-13.427 14.83-6.788 27.318-2.36-3.928-6.695-19.406-16.471-26.55-16.457zm22.947 40.916l.995 12.975h22.595l-23.59-12.975z"}}]})(props);
};
function GiVendingMachine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M100 29v454h312V29zm18 18h210v338H118zm226 16h50v66h-50zm18 18v30h14V81zm-203 7v23h-16v18h160v-18h-64V80l-16 6-6 25h-26V88zm194 55h32v18h-32zm-90 10.8c-5.4 0-10.1 3-12.8 6.7-2.9 4.9-4.5 9.6-4.1 14.5H143v18h160v-18h-23.1c.3-5.1-1.6-11-4.1-14.5-2.7-3.7-7.4-6.7-12.8-6.7zm90 21.2h32v18h-32zm-194 41v23h-16v18h160v-18h-24v-23h-24v23h-32v-31h-16v31h-32v-15zm8 61.4c-6.1 0-10.8 3.9-13.3 8-3.2 6.1-4 11.5-3.5 17.6H143v18h160v-18h-64v-23h-32v23h-23.2c.6-6-.7-13-3.5-17.6-2.5-4.1-7.2-8-13.3-8zM353 351h32v18h-32zm-235 52h210v62H118zm18 18v26h174v-26z"}}]})(props);
};
function GiVenezuela (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M77.34 58.23C-10.59 97.68 25.84 165.2 35.37 226.7l82.33 6.6 25.6 29.9 68.2-2.7c-26.2 76.7 6.8 128.3 25.6 185.9 54.7 22.6 92.1-11.5 131.3-39.3l-57.7-83.9 71.9 26.7c29.3-12.5 65.7-15.3 81.8-46.3l-16.9-61.1 44.7-58.9c-31.1-41-75.6-62.7-122.6-80.7l-183.8 2.2c.5-25.81-16.2-50.17-69.5-30.05-25.19 9.48-36.81 11.6-41.65 9.68 10.91 20.87 26.55 53.17 14.71 69.97-6.68 9.6-22.56 10.2-34.91-3.8-16.74-18.9 6.74-51.78 17.28-71.11.17-5.59 5.22-14.38 5.61-21.56z"}}]})(props);
};
function GiVenusOfWillendorf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247.8 27.78c-5.1.63-10 1.82-14.6 3.5l.1 18.09 14.2.27zm18 .15L265.5 50l13.9.27-.2-18.99c-4.2-1.55-8.7-2.69-13.4-3.35zm-50.5 13.59c-2.7 2.25-5.2 4.7-7.4 7.35l7.4.15zm82 .14l.1 8.96 8.6.17a54.7 54.7 0 0 0-8.7-9.13zm-99 25.03c-1.3 4.36-2 8.92-2 13.61 0 1.28.1 2.55.2 3.81h19l-.1-17.09zm35.1.68l.1 16.74h13.4l.3-16.47zm31.8.62l-.3 16.12h14.8l-.1-15.83zm32.4.64l.1 15.48h18.2c.1-1.26.2-2.53.2-3.81 0-3.88-.5-7.67-1.4-11.34zm-96 33.47c9.3 18.3 29.9 31.2 54.6 31.2 24.7 0 45.3-12.9 54.6-31.2zm9.7 36.2c-20.2.1-31.5 8.5-40.2 22.8-4.6 7.4-8.1 16.9-10.8 27.7 5.1-2.5 10.5-4.6 16.3-6.5l9.3-22.2 16.6 7-4.1 9.8c9.7-1.9 19.8-3.4 30-4.6l2.2 17.8c-17.8 2.2-34.9 5-48.5 9.4-12.6 4-21.8 9.3-26.4 15.1-.6 4-1 8.1-1.4 12.3 5.1 22.3 11.8 37.5 18.4 45.8 6.8 8.8 11.9 10.4 17.9 9.2 6-1.2 14.2-6.9 22.5-18.1 8.2-11.2 16.4-27.3 23.2-47.3l14.9 5.1 15.4-5.3c6.8 19.9 15.3 36 24 47.3 8.7 11.3 17.6 17.3 24.5 18.6 6.9 1.4 12.7-.4 20-9.1 6.9-8.2 13.8-23.1 19-45.2-.1-2.6-.3-5.1-.4-7.6-4.6-10.1-16.2-16.6-32-20-16.1-3.5-35.2-3.5-49.7-2.6l-1.2-18c3.9-.2 8.1-.4 12.5-.5 1.6 0 3.3-.1 5-.1 7.5 0 15.6.4 23.7 1.4-1.5-2.5-3.3-5-5.1-7.6l14.6-10.4c4.4 6.2 9.9 13.4 12.6 22.5 6.1 1.8 11.9 4.3 17.2 7.4-1.2-7.4-3.1-14.2-6.1-20.2-7-13.7-19.6-24.9-49-31-11.8 6.4-25.5 10.1-40 10.1-16.6 0-32.1-4.8-44.8-13zm40.2 89.1c-6.9 19-15 34.9-23.9 47.1-9.8 13.2-20.7 22.6-33.5 25.1s-26.1-3.6-35.6-15.8c-6.6-8.4-12.1-19.7-16.7-34.2-11.6 14-11.7 28.1-8.2 41.3 2.1 8 5.8 15.4 9.6 21 3.7 5.7 8.1 9.8 8.6 10.1 19 12.4 34.1 18.1 61.9 11.7l7.4-1.7 2.9 7.1c2.4 5.7 7.3 12.2 12.9 16.8 5.6 4.5 11.7 6.8 15 6.6 11.1-.5 18.3-9.1 22.2-19.2l2.7-7 7.3 1.3c25.8 4.6 51.1 3.2 69.5-9.7 19.2-13.4 26.8-27.9 26.9-43.3.1-11.4-4.3-24-13.1-36.8-5 15.8-11.1 28-18.5 36.9-10.2 12.1-24.1 17.8-37.3 15.2-13.3-2.6-24.9-11.9-35.3-25.3-9.4-12.2-17.9-28.1-24.8-47.2zm3.4 77.2a13.79 7.423 0 0 1 13.8 7.4 13.79 7.423 0 0 1-13.8 7.4 13.79 7.423 0 0 1-13.8-7.4 13.79 7.423 0 0 1 13.8-7.4zm-90.5 44c4.9 16.6 8.6 33 14.8 46.8 8.9 19.6 21 33.7 51 38.6 5.3.9 5.6.2 6.9-1.4 1.3-1.7 2.8-6.2 3.3-12.5 1-11.5-.6-27.1.7-40.8-.2-.2-.4-.5-.5-.7-5.4-1.9-10.5-5.1-15-8.8-5.9-4.8-11.1-10.7-15-17.3-17.8 3-32.7 1.1-46.2-3.9zm178.6 4.5c-17.5 5.7-36.6 5.9-55.2 3.3-5.6 10.3-14.8 20-28 23.1-.8 1.6-1.5 3.3-2.3 5.1-.5 24.1-2.6 41.6-1 48.8.8 3.7 1.2 4.1 3.5 5.3 2.4 1.1 8.1 2.1 17.7 1.6 30-1.7 41.4-15.4 50.1-35.8 6.4-14.9 9.9-33.5 15.2-51.4zM198.4 443l6.2 33s3.9 4.7 8.5 5.8c2.4.5 4.5.4 6.1-.2 1.5-.6 2.8-1.5 4.1-4.2l12.6-25.5c-2.8.4-5.7.4-8.7-.1-10.4-1.7-19.4-4.7-27.2-8.7zm112.6 6.7c-8.9 4.8-19.6 7.9-32.3 8.6-1.6.1-3.1.1-4.5.2l10.5 21.3c1.1 2.2 2.3 3.1 4.7 3.8 2.4.8 5.9.8 9.4.1 3.5-.8 6.9-2.3 8.9-3.8 1.5-1.1 1.9-2 1.9-1.9z"}}]})(props);
};
function GiVerticalBanner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M279 25v30h-46V25h46zm178 35.396c3.485 1.262 7.267 2.717 11.195 4.55 5.553 2.589 10.945 5.739 14.409 8.742C486.067 76.69 487 78.936 487 80c0 1.063-.933 3.31-4.396 6.313-3.464 3.002-8.856 6.152-14.409 8.742-3.928 1.832-7.71 3.287-11.195 4.549V60.396zm-402 0v39.208c-3.485-1.262-7.267-2.717-11.195-4.55-5.553-2.589-10.945-5.739-14.409-8.742C25.933 83.31 25 81.064 25 80c0-1.063.933-3.31 4.396-6.313 3.464-3.002 8.856-6.152 14.409-8.742 3.928-1.832 7.71-3.287 11.195-4.549zM439 73v14h-46V73h46zm-64 0v291.578L256 498.453 137 364.578V73h238zm-256 0v14H73V73h46zm210 23h-18v252.844l-55 68.75-55-68.75V96h-18v259.156l73 91.25 73-91.25V96z"}}]})(props);
};
function GiVerticalFlip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M233.373 387.02H165.49L256 477.53l90.51-90.51h-67.883V124.98h67.883L256 34.47l-90.51 90.51h67.883v262.04z"}}]})(props);
};
function GiVial (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M241.406 16a21.837 20.757 0 0 0-22.47 20.75 21.844 20.763 0 0 0 43.69 0A21.837 20.757 0 0 0 241.405 16zM286 52.594a13.866 13.18 0 0 0-14.125 13.312 13.875 13.188 0 0 0 27.75 0A13.866 13.18 0 0 0 286 52.594zM166 92.72l15.125 24.624v307.5C181.125 464.27 214.523 496 256 496s74.875-31.73 74.875-71.156v-307.5L346 92.72H166zM197.906 125h116.188v108H197.906V125zm85.594 71.375a13.866 13.18 0 0 0-14.125 13.313 13.866 13.18 0 1 0 27.72 0 13.866 13.18 0 0 0-13.595-13.313zm-52.47 64.47c7.66 0 13.845 5.908 13.845 13.186 0 7.28-6.186 13.19-13.844 13.19-7.656 0-13.874-5.91-13.874-13.19 0-7.278 6.218-13.186 13.875-13.186zM276 282.436c12.06 0 21.844 9.286 21.844 20.75 0 11.463-9.784 20.75-21.844 20.75s-21.844-9.285-21.844-20.75c0-11.464 9.784-20.75 21.844-20.75z"}}]})(props);
};
function GiVibratingBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M297.87 24.322c-40.38.374-80.665 13.623-114.077 39.72 73.64-37.01 166.104-24.977 227.547 36.464 61.442 61.44 73.013 153.443 36.002 227.084 57.598-73.738 53.068-180.48-14.77-248.317-37.098-37.098-85.97-55.4-134.703-54.95zm-27.25 63.123c-37.16.42-74.186 14.305-102.975 41.67 60.11-36.405 139.642-28.35 191.54 23.545 51.897 51.898 59.488 130.976 23.08 191.086 56.502-59.44 56.012-153.534-2.31-211.855C349.883 101.82 310.177 87 270.62 87.446zm-16.61 59.54c-28.304 0-56.606 10.797-78.2 32.392-43.19 43.19-43.19 113.214 0 156.404 43.188 43.19 113.21 43.19 156.4 0 43.19-43.19 43.19-113.213 0-156.403-21.594-21.595-49.897-32.393-78.2-32.393zm-132.635 28.4c-56.503 59.44-55.552 153.995 2.77 212.316 58.32 58.323 152.416 58.81 211.855 2.308-60.112 36.41-139.186 28.822-191.084-23.078-51.898-51.9-59.95-131.435-23.54-191.545zM56.297 191.54C-1.3 265.276 3.69 372.48 71.527 440.317c67.838 67.838 174.58 72.366 248.32 14.77-73.642 37.01-165.647 25.44-227.087-36.002-61.44-61.442-73.474-153.908-36.463-227.547z"}}]})(props);
};
function GiVibratingShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 52.098c-18.38 16.053-47.185 33.518-77.79 49.72-31.429 16.64-63.92 31.224-88.325 39.985 1.978 11.276 8.625 32.908 19.18 58.363 12.599 30.386 29.991 66.674 48.845 101.404 18.854 34.731 39.218 67.959 57.514 92.11 9.148 12.075 17.812 21.879 25.164 28.322 7.351 6.443 13.412 8.861 15.412 8.861s8.06-2.418 15.412-8.861c7.352-6.443 16.016-16.247 25.164-28.322 18.296-24.151 38.66-57.379 57.514-92.11 18.854-34.73 36.246-71.018 48.846-101.404 10.554-25.455 17.201-47.087 19.18-58.363-24.406-8.761-56.897-23.345-88.327-39.985-30.604-16.202-59.41-33.667-77.789-49.72zm-132.025 9.716c-31.98 15.99-64.158 31.922-96.032 48.016L23 112.326v5.537c0 11 4.334 26.468 10.46 44.848 6.127 18.38 14.22 38.641 22.49 55.178l16.1-8.05c-7.73-15.463-15.637-35.2-21.51-52.821-4.531-13.591-7.698-26.391-8.933-33.895 29.99-15.11 60.25-30.124 90.418-45.209l-8.05-16.1zm264.05 0l-8.05 16.1c30.169 15.085 60.429 30.1 90.418 45.21-1.234 7.503-4.402 20.303-8.932 33.894-5.874 17.62-13.78 37.358-21.512 52.822l16.102 8.049c8.268-16.537 16.362-36.799 22.488-55.178C484.666 144.33 489 128.863 489 117.863v-5.537l-4.943-2.496c-31.874-16.094-64.053-32.026-96.032-48.016zM256 98.186l6.777 7.755c7.366 8.43 27.707 20.13 49.31 29.832 21.605 9.702 44.603 18.144 59.12 23.682l5.793 2.21v6.198c0 6.305-1.831 12.916-4.621 21.258-2.79 8.342-6.69 18.085-11.389 28.78-9.396 21.389-21.982 46.542-35.078 70.706-13.096 24.165-26.675 47.295-38.152 64.67-5.739 8.688-10.92 15.916-15.477 21.313-2.278 2.698-4.372 4.938-6.594 6.808-2.221 1.87-4.282 3.976-9.265 4.211l-.424.02-.424-.02c-4.983-.235-7.044-2.34-9.265-4.21-2.222-1.87-4.316-4.11-6.594-6.81-4.556-5.396-9.738-12.624-15.477-21.312-11.477-17.375-25.056-40.505-38.152-64.67-13.096-24.164-25.682-49.317-35.078-70.707-4.698-10.694-8.599-20.437-11.389-28.779-2.79-8.342-4.621-14.953-4.621-21.258v-6.199l5.793-2.209c14.517-5.538 37.515-13.98 59.12-23.682 21.603-9.702 41.944-21.402 49.31-29.832L256 98.186zm0 26.154c-12.288 10.561-30.065 19.479-48.713 27.853-19.6 8.803-38.986 16.077-53.34 21.506.608 2.68 1.504 6.005 2.744 9.713 2.523 7.542 6.247 16.888 10.8 27.25 9.103 20.724 21.517 45.56 34.421 69.37 12.904 23.809 26.325 46.638 37.348 63.325 5.511 8.344 10.454 15.172 14.21 19.622 1.073 1.27 1.707 1.816 2.53 2.654.823-.838 1.457-1.384 2.53-2.654 3.756-4.45 8.699-11.278 14.21-19.622 11.023-16.687 24.444-39.516 37.348-63.326 12.904-23.81 25.318-48.645 34.422-69.369 4.552-10.362 8.276-19.708 10.799-27.25a102.476 102.476 0 0 0 2.744-9.713c-14.354-5.429-33.74-12.703-53.34-21.506-18.648-8.374-36.425-17.292-48.713-27.853zm-56.896 303.998l-14.208 11.05s9.676 12.468 22.915 25.01c13.238 12.543 29.456 26.465 48.189 26.465s34.95-13.922 48.19-26.465c13.238-12.542 22.914-25.01 22.914-25.01l-14.208-11.05s-8.991 11.534-21.085 22.992c-12.095 11.458-27.878 21.533-35.811 21.533s-23.716-10.075-35.81-21.533c-12.095-11.458-21.086-22.992-21.086-22.992z"}}]})(props);
};
function GiVibratingSmartphone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M134.5 30.5v451h243v-451h-243zm-44.41.5c-43.64 41-73.2 116-73.2 203.7 0 87.8 29.87 164 73.83 204.4C61.5 392.4 42.5 318.5 42.5 234.7 42.5 152 61.13 78 90.09 31zm331.81 0c28.9 47 47.6 121.1 47.6 203.8 0 83.8-19 157.7-48.2 204.3 43.9-40.3 73.8-116.5 73.8-204.3 0-87.7-29.6-162.8-73.2-203.8zM235.2 50.5h41.6a8 8 0 0 1 0 16h-41.6a8 8 0 0 1 0-16zM126 80c-37.75 24.9-64.74 85-64.74 154.7 0 70.4 27.11 130.3 65.14 154.8-25.5-30.3-42.84-88.2-42.84-154.8 0-66.4 17.14-124.8 42.44-154.7zm260 0c25.3 30 42.4 88.4 42.4 154.8 0 66.6-17.3 124.5-42.8 154.8 38-24.5 65.1-84.5 65.1-154.8 0-69.7-27-129.8-64.7-154.8zm-236.5 3.5h211v343h-211v-343zm105.3 349a19.26 19.26 0 0 1 20 19.3 19.26 19.26 0 0 1-19.3 19.2 19.26 19.26 0 0 1-.7-38.5z"}}]})(props);
};
function GiVideoCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M53.15 117.516l-30.803 41.443 17.332 3.5 21.82-29.357zm344.355 16.125c-12.346.048-23.357.238-33.852.336v34.18c23.779.22 54.2 1.112 80.252-1.06 14.555-1.212 27.448-3.51 35.627-6.814 4.09-1.651 6.896-3.533 8.338-5.07 1.442-1.537 1.783-2.397 1.783-4.147 0-1.75-.341-2.61-1.783-4.146-1.442-1.537-4.248-3.419-8.338-5.07-8.179-3.304-21.072-5.602-35.627-6.815-14.554-1.213-30.773-1.455-46.4-1.394zm-111.668 8.425l-32 48h21.633l20-30h50.183v-18zM73.985 146.48L56.09 170.557l82.668 61.441c4.615 3.43 8.257 3.851 11.72 3.13 3.464-.72 6.88-3.011 9.266-6.222 2.386-3.21 3.594-7.141 3.285-10.666-.309-3.524-1.762-6.89-6.377-10.32zm104.87 61.586c1.14 2.815 1.852 5.715 2.105 8.602.22 2.512.128 4.988-.227 7.398H291.39c3.52-1.292 7.315-2 11.263-2 18.12 0 33 14.882 33 33 0 5.391-1.324 10.49-3.652 15h29.652v64h-254V231.31l-16-11.891v130.648h263c5 0 11.051-2.777 15.637-7.363s7.363-10.637 7.363-15.637V235.88l-41.662-27.813zm310.798 2.528l-46 11.5v113.945l46 11.5zm-187 29.472c-8.39 0-15 6.61-15 15 0 8.391 6.61 15 15 15 8.391 0 15-6.609 15-15 0-8.39-6.609-15-15-15zm93 0v78h30v-78zm-223.431 2c-4.633 5.23-10.836 9.18-18.08 10.686-8.326 1.731-17.897-.192-26.123-6.307l-2.366-1.757v71.378h60v-46h87.653a32.623 32.623 0 0 1-3.653-15c0-4.606.965-9.003 2.698-13zm31.431 46v28h140v-28h-41zm-52.183 80l-17.614 26.418c62.625-10.657 116.488-11.084 168.956-.957l-16.975-25.46z"}}]})(props);
};
function GiVideoConference (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23c-22.5 0-41 18.46-41 41s18.5 41 41 41 41-18.46 41-41-18.5-41-41-41zm0 82H41v270h430V105H256zm0-64c12.8 0 23 10.19 23 23s-10.2 23-23 23-23-10.19-23-23 10.2-23 23-23zM64 128h384v224H322.9c-.3-37.8-3.8-100.3-47.9-114a44.51 50 0 0 0 25.6-45.2 44.51 50 0 0 0-44.5-50 44.51 50 0 0 0-44.5 50 44.51 50 0 0 0 25.6 45.2c-44.1 13.7-47.6 76.2-47.9 114H64V128zm133.9 263.5l-12.4 62h138l-12.4-62H197.9zM160 471v18h192v-18H160z"}}]})(props);
};
function GiVikingChurch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M231.027 25l-5.5 22h60.946l-5.5-22h-49.946zm-43.002 32.95l-8.05 16.1 30.923 15.464-7.37 29.486h104.945l-7.371-29.486 30.923-15.463-8.05-16.102L293.873 73H289v24h-66V73h-4.873l-30.102-15.05zM241 65v14h30V65h-30zm-24 72v62h30v-39h18v39h30v-62h-78zm-84.975 16.95l-8.05 16.1 25.36 12.682L138.624 247h234.754l-10.713-64.268 25.361-12.681-8.05-16.102L349.873 169H313v48H199v-48h-36.873l-30.102-15.05zM68 244v32h.322c-1.973 4.177-3.785 9.206-5.244 14.344-2.109 7.425-3.554 14.928-4.488 20.656h37.603c-.774-5.696-2.02-13.213-3.925-20.652-1.649-6.435-3.845-12.735-6.268-17.356V244H68zm357 0v31.596c-1.922 4.256-3.656 9.452-5.014 14.752-1.906 7.44-3.149 14.956-3.923 20.652h37.603c-.934-5.728-2.38-13.231-4.488-20.656-1.687-5.94-3.841-11.742-6.178-16.233V244h-18zm-288 21v14h46v-14h-46zm64 0v14h110v-14H201zm128 0v14h46v-14h-46zm-73 31.23l-23 57.5V375h46v-21.268l-23-57.502zm-138.438.77l-23 46h123.344l18.4-46H117.563zm158.131 0l18.4 46h123.344l-23-46H275.693zM57 329v46h158v-14H65.437l16-32H57zm373.563 0l16 32H297v14h158v-46h-24.438zM55.026 393l-11.5 46h13.446l11.5-46H55.027zm32 0l-11.5 46H183v-46H87.027zM201 393v46h18.184l30.666-46H201zm61.15 0l30.666 46H311v-46h-48.85zm66.85 0v46h107.473l-11.5-46H329zm114.527 0l11.5 46h13.446l-11.5-46h-13.446zM256 416.225l-23 34.5V487h46v-36.275l-23-34.5zM41 457v30h14v-30H41zm32 0v30h46v-30H73zm64 0v30h78v-30h-78zm160 0v30h78v-30h-78zm96 0v30h46v-30h-46zm64 0v30h14v-30h-14z"}}]})(props);
};
function GiVikingHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M221.826 18.962c-19.664 21.772-25.274 46.806-22.947 72.576 3.014 33.377 20.582 67.653 40.846 92.127 4.424 4.514 8.193 5.55 11.937 5.31 3.796-.243 7.888-2.242 11.152-5.568 3.265-3.325 5.503-7.832 5.97-12.129.465-4.297-.458-8.336-4.15-12.53l-.517-.587-.406-.668c-21.633-35.426-49.926-85.506-41.885-138.531zm132.778 1.568c6.142 37.121-4.756 72.244-17.704 102.87 8.674 6.972 17.556 15.36 26.391 24.617 7.675-18.27 13.365-37.7 14.605-56.641 1.657-25.302-3.92-49.463-23.292-70.846zM293.79 120.93a8.042 8.042 0 0 0-.846.037c-5.5.545-14.101 4.158-23.695 10.592 3.17 5.542 6.37 10.887 9.5 16.02 6.426 7.696 8.854 17.099 7.928 25.642-.956 8.81-5.083 16.749-11.02 22.797-5.936 6.047-13.88 10.347-22.844 10.921-8.964.575-18.634-3.056-26.23-10.939l-.229-.236-.209-.252a215.324 215.324 0 0 1-8.798-11.342c-8.841 12.094-16.95 25.171-23.633 38.486 5.262-.424 9.766-.787 16.596-1.342 22.344-1.815 51.953-4.235 81.502-6.656 48.432-3.968 80.82-6.632 96.662-7.935-10.957-15.193-23.235-30.317-35.579-43.52-12.34-13.198-24.754-24.498-35.595-32.025-10.164-7.057-18.988-10.223-23.51-10.248zm-15.041 26.648c-.2-.24-.393-.484-.602-.72l.924 1.255c-.106-.174-.215-.36-.322-.535zm121.473 76.238c-9.5.782-53.357 4.391-106.94 8.782a130402.1 130402.1 0 0 1-81.515 6.658c-10.86.882-19.805 1.605-26.4 2.133-2.027 5.208-3.806 10.4-5.26 15.527l229.312-18.27a365.01 365.01 0 0 0-9.197-14.83zM286.01 265.09l-108.26 9.846c-26.291 43.058-53.372 78.8-114.39 103.964-.11 10.888 2.099 20.097 6.415 28.391 18.806-3.292 36.31-7.625 53.022-12.592-12.337 10.828-25.118 21.275-39.545 30.31 4.176 4.108 8.956 8.039 14.252 11.837 26.834-13.3 63.102-33.4 78.44-43.787L115.53 448.24c5.358 3.043 11.009 6.022 16.89 8.973 10.35-4.602 19.84-9.775 27.28-16.315-2.324 8.627-5.872 16.765-10.117 24.623a2653.953 2653.953 0 0 0 16.562 7.702c23.648-15.875 48.755-35.308 65.565-49.21-8.56 16.993-25.492 40.548-42.055 60.208 5.967 2.852 11.95 5.775 17.903 8.816 27.519-23.53 43.374-38.665 61.035-48.904 16.343-9.476 34.873-14.553 64.69-19.356-31.404-51.16-50.924-97.843-47.274-159.69zm120.635 2.543a3888.277 3888.277 0 0 1-19.096 7.38 1685.056 1685.056 0 0 1-16.588 6.282c-.9.333-1.502.543-2.309.838 4.157 6.86 7.53 14.009 9.373 21.107.146.562.268 1.13.387 1.696l17.42.347c17.241.343 25.144-2.16 31.082-5.6-4.816-10.051-12.468-21.618-20.27-32.05zm-103.147 10.867c-.118 12.746.828 24.747 2.762 36.275 1.76 1.73 4.288 3.736 7.492 5.72 9.65 5.972 24.873 11.841 40.826 16.095.854.228 1.718.433 2.576.652.362-1.332.724-2.703 1.075-4.14 2.306-9.448 3.49-21.04 2.375-25.336-1.878-7.226-7.762-17.516-14.608-26.791l-42.498-2.475zm75.213 28.053c1.72 10.365-.675 21.305-2.996 30.816l-.049.192c5.442-4.88 10.576-9.54 15.602-14.082l-12.557-16.926zm38.424 18.12c-20.834 18.034-48.387 46.302-81.668 68.51a466.119 466.119 0 0 0 4.654 8.221 209.86 209.86 0 0 0 23.117-5.656c28.793-8.836 55.15-24.122 68.121-42.312-.15-6.117-1.358-13.003-3.988-18.383-2.396-4.902-5.48-8.387-10.236-10.38zm-104.881 15.509c3.79 12.414 8.748 24.52 14.719 36.73 9.808-6.722 19.25-14.074 28.26-21.588a276.096 276.096 0 0 1-5.292-1.342c-13.64-3.636-26.74-8.249-37.687-13.8zm112.975 45.023c-16.015 12.276-36.042 21.41-56.71 27.752a242.181 242.181 0 0 1-18.496 4.887 882.802 882.802 0 0 0 5.559 8.845l7.512 11.774-13.826 1.976c-15.243 2.178-27.173 4.222-37.07 6.481 4.857 7.794 9.074 15.704 14.023 22.088 5.921 7.638 12.317 13.041 23.084 15.191 7.709 1.54 15.027 2.661 21.955 3.426-10.372-17.474-18.81-33.506-16.694-33.93 10.464 12.5 21.627 24.415 34.223 35.137 6.03.142 11.66-.029 16.875-.473-6.549-10.698-11.091-22.04-3.34-36.771.809 6.527 12.803 20.592 24.883 32.752 10.675-3.387 17.581-8.31 21.438-13.42-1.967-6.603-3.248-12.754-5.022-17.906-2.213-6.426-5.082-11.745-12.443-17.526l-4.088-3.21.738-5.147c1.91-13.306.04-27.297-2.601-41.926z"}}]})(props);
};
function GiVikingHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M52.441 53.88c-35.103 34.696-41.31 73.89-33.228 117.837 6.29 34.202 22.079 70.807 40.892 107.767 17.738-27.114 41.117-56.824 68.676-78.517-20.7-17.164-38.261-35.891-51.367-56.447-17.29-27.12-26.504-57.61-24.973-90.64zm407.118 0c1.531 33.03-7.683 63.52-24.973 90.64-13.106 20.556-30.667 39.283-51.367 56.447 27.559 21.693 50.938 51.403 68.676 78.517 18.813-36.96 34.603-73.565 40.892-107.767 8.082-43.947 1.875-83.141-33.228-117.836zM256 179c-8.702 0-17.061 2.757-23 7.316v22.38c6.7-2.648 14.535-4.016 23-4.016s16.3 1.368 23 4.015v-22.379c-5.939-4.559-14.298-7.316-23-7.316zm-41 30.053c-30.485 11.577-60.043 34.66-84.166 62.804C98.718 309.326 76.784 355.501 73.482 391H215V209.053zm82 0V391h141.518c-3.301-35.499-25.236-81.674-57.352-119.143-24.123-28.143-53.681-51.227-84.166-62.804zm-153.502 3.49c-29.097 22.175-55.189 56.212-73.732 85.506a2034.036 2034.036 0 0 0 9.447 17.562c10.162-19.226 23.088-38.126 37.953-55.468 11.983-13.98 25.289-26.965 39.557-38.155a416.25 416.25 0 0 1-13.225-9.445zm225.004 0a416.25 416.25 0 0 1-13.225 9.445c14.268 11.19 27.574 24.175 39.557 38.155 14.865 17.342 27.79 36.242 37.953 55.468 3.179-5.85 6.339-11.705 9.447-17.562-18.543-29.294-44.635-63.33-73.732-85.506zM256 222.68c-7.62 0-14.449 1.66-18.602 3.736-3.262 1.631-4.103 2.973-4.318 3.264.215.29 1.056 1.632 4.318 3.263 4.153 2.077 10.981 3.737 18.602 3.737 7.62 0 14.449-1.66 18.602-3.737 3.262-1.63 4.103-2.972 4.318-3.263-.215-.291-1.056-1.633-4.318-3.264-4.153-2.077-10.981-3.736-18.602-3.736zm22.92 7c.059.08.08.095.08 0 0-.096-.021-.08-.08 0zm-45.84 0c-.059-.08-.08-.096-.08 0 0 .095.021.08.08 0zm-.08 20.984v48.352c6.7-2.648 14.535-4.016 23-4.016s16.3 1.368 23 4.016v-48.352c-6.7 2.648-14.535 4.016-23 4.016s-16.3-1.368-23-4.016zM256 313c-7.62 0-14.449 1.66-18.602 3.736-3.262 1.632-4.103 2.973-4.318 3.264.215.291 1.056 1.632 4.318 3.264C241.551 325.34 248.38 327 256 327c7.62 0 14.449-1.66 18.602-3.736 3.262-1.632 4.103-2.973 4.318-3.264-.215-.291-1.056-1.632-4.318-3.264C270.449 314.66 263.62 313 256 313zm22.92 7c.059.08.08.096.08 0s-.021-.08-.08 0zm-45.84 0c-.059-.08-.08-.096-.08 0s.021.08.08 0zm-.08 20.984v45.87c6.7-2.649 14.535-4.016 23-4.016s16.3 1.367 23 4.016v-45.87c-6.7 2.648-14.535 4.016-23 4.016s-16.3-1.368-23-4.016zm23 59.854c-7.62 0-14.449 1.66-18.602 3.736-3.262 1.631-4.103 2.973-4.318 3.264.215.29 1.056 1.632 4.318 3.264 4.153 2.076 10.981 3.736 18.602 3.736 7.62 0 14.449-1.66 18.602-3.736 3.262-1.632 4.103-2.973 4.318-3.264-.215-.291-1.056-1.633-4.318-3.264-4.153-2.076-10.981-3.736-18.602-3.736zm22.92 7c.059.08.08.095.08 0 0-.096-.021-.08-.08 0zm-45.84 0c-.059-.08-.08-.096-.08 0 0 .095.021.08.08 0zM73 409v30h18.455c-2.78-4.422-4.455-9.52-4.455-15s1.676-10.578 4.455-15H73zm55 0c-7.013 0-13.194 2.204-17.227 5.229C106.74 417.253 105 420.615 105 424c0 3.385 1.74 6.747 5.773 9.771C114.806 436.796 120.987 439 128 439s13.194-2.204 17.227-5.229C149.26 430.747 151 427.385 151 424c0-3.385-1.74-6.747-5.773-9.771C141.194 411.204 135.013 409 128 409zm36.545 0c2.78 4.422 4.455 9.52 4.455 15s-1.676 10.578-4.455 15H215v-30h-50.455zM297 409v30h50.455c-2.78-4.422-4.455-9.52-4.455-15s1.676-10.578 4.455-15H297zm87 0c-7.013 0-13.194 2.204-17.227 5.229C362.74 417.253 361 420.615 361 424c0 3.385 1.74 6.747 5.773 9.771C370.806 436.796 376.987 439 384 439s13.194-2.204 17.227-5.229C405.26 430.747 407 427.385 407 424c0-3.385-1.74-6.747-5.773-9.771C397.194 411.204 391.013 409 384 409zm36.545 0c2.78 4.422 4.455 9.52 4.455 15s-1.676 10.578-4.455 15H439v-30h-18.455zM233 428.822v16.453l23 34.5 23-34.5v-16.453c-6.7 2.648-14.535 4.016-23 4.016s-16.3-1.368-23-4.016z"}}]})(props);
};
function GiVikingLonghouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 123.1c-20.516 15.092-38.26 36.844-53.766 59.9h107.532c-15.505-23.056-33.25-44.808-53.766-59.9zm-176.877 3.42l-7.162 41.718c-.143.016-13.15 77.655-13.15 77.655 30.433-3.215 60.18-5.702 89.395-7.475 13.228-23.585 28.986-53.104 48.95-80.135-33.286 1.448-68.19 4.104-106.41 7.987l6.132-36.79-17.754-2.96zm337.58.427l-17.756 2.96 6.006 36.032c-31.242-3.483-60.796-5.96-89.932-7.415 20.034 27.173 35.822 56.82 49.074 80.422a1554.483 1554.483 0 0 1 73.076 6.817L423.9 168.14c-.227-.027-7.197-41.193-7.197-41.193zM190.69 201c-7.623 12.392-14.61 24.686-21.127 36.24 59.372-2.912 116.642-2.788 173.076.36-6.576-11.657-13.63-24.08-21.33-36.6H190.69zm64.01 51.998c-7.23.006-14.462.06-21.7.158V279h46v-25.81c-8.072-.124-16.17-.188-24.3-.192zm-39.7.504c-36.22.876-72.693 2.9-110 6.05V279h110v-25.498zm82 .082V279h110v-18.523a1538.762 1538.762 0 0 0-110-6.893zm-210 7.568c-9.934.927-19.925 1.922-30 3.004V279h30v-17.848zm338 1.205V279h30v-13.055l-8.117-1.015A1555.665 1555.665 0 0 0 425 262.357zM51.727 297l-30 30h468.546l-30.002-30H51.728zM23 345l-.5 94-.5 18h468l-.5-18-.5-94h-18v94h-26.8v-94h-18v94h-26.8v-94h-18v94h-26.8v-94h-18v94h-26.8v-94h-18v94H265v-94h-18v94h-26.8v-94h-18v94h-26.8v-94h-18v94h-26.8v-94h-18v94H85.8v-94h-18v94H41v-94H23z"}}]})(props);
};
function GiVikingShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 25C128.316 25 25 128.316 25 256s103.316 231 231 231 231-103.316 231-231S383.684 25 256 25zm0 14c119.74 0 217 97.26 217 217s-97.26 217-217 217S39 375.74 39 256 136.26 39 256 39zm0 18c-7.78 0-15.453.46-23 1.326v111.697c7.34-1.968 15.05-3.023 23-3.023 7.95 0 15.66 1.055 23 3.023V58.326C271.453 57.46 263.78 57 256 57zm-41 4.227c-16.142 3.373-31.56 8.696-46 15.716V215h8.035c8.456-16.208 21.757-29.51 37.965-37.965V61.227zm82 0v115.808c16.208 8.456 29.51 21.757 37.965 37.965H343V76.943c-14.44-7.02-29.858-12.343-46-15.716zM151 86.885c-17.284 10.744-32.797 24.06-46 39.422V236.45c3.02-1.604 5.64-2.958 7.686-4.18 2.893-1.726 4.5-3.113 5.224-4.1.726-.987 1.09-1.67 1.09-4.17v-9h32V86.885zm210 0V215h32v9c0 2.5.39 3.29 1.123 4.338.734 1.048 2.253 2.43 4.87 4.174 2.117 1.412 4.885 3.023 8.007 5.017V126.306c-13.203-15.363-28.716-28.678-46-39.422zm-274 63.93C67.99 181.326 57 217.362 57 256c0 38.64 10.99 74.676 30 105.184V264.66c-.652-.463-1.307-.936-1.97-1.426L75.26 256l9.773-7.234c.663-.49 1.318-.963 1.97-1.426v-96.524zm338 0v101.458l3.73 3.727-3.73 3.727v101.457c19.01-30.508 30-66.545 30-105.184 0-38.64-10.99-74.676-30-105.184zM256 185c-39.32 0-71 31.68-71 71s31.68 71 71 71 71-31.68 71-71-31.68-71-71-71zm0 30c22.537 0 41 18.463 41 41s-18.463 41-41 41-41-18.463-41-41 18.463-41 41-41zm-120.596 18c-.756 2.114-1.724 4.108-2.99 5.83-2.95 4.013-6.696 6.626-10.504 8.9-4.574 2.73-9.558 5.203-14.924 8.27 5.365 3.067 10.35 5.54 14.924 8.27 3.808 2.274 7.554 4.887 10.504 8.9 1.266 1.722 2.234 3.716 2.99 5.83h34.62c-1.97-7.34-3.024-15.05-3.024-23 0-7.95 1.055-15.66 3.023-23h-34.62zM256 233c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zm85.977 0c1.968 7.34 3.023 15.05 3.023 23 0 7.95-1.055 15.66-3.023 23h34.593c.723-2.052 1.635-3.988 2.807-5.662 2.766-3.952 6.247-6.57 9.63-8.826 4.285-2.856 8.634-5.36 13.007-8.512-4.373-3.152-8.722-5.656-13.006-8.512-3.384-2.256-6.865-4.874-9.63-8.826-1.173-1.674-2.085-3.61-2.808-5.662h-34.593zM407 274.47c-3.122 1.995-5.89 3.606-8.008 5.018-2.616 1.744-4.135 3.126-4.87 4.174C393.39 284.712 393 285.5 393 288v9h-32v128.115c17.284-10.744 32.797-24.06 46-39.422V274.47zm-302 1.08v110.143c13.203 15.363 28.716 28.678 46 39.422V297h-32v-9c0-2.5-.364-3.183-1.09-4.17-.725-.987-2.33-2.374-5.224-4.1-2.046-1.222-4.667-2.576-7.686-4.18zM169 297v138.057c14.44 7.02 29.858 12.343 46 15.716V334.965c-16.208-8.456-29.51-21.757-37.965-37.965H169zm165.965 0c-8.456 16.208-21.757 29.51-37.965 37.965v115.808c16.142-3.373 31.56-8.696 46-15.716V297h-8.035zM233 341.977v111.697c7.547.866 15.22 1.326 23 1.326 7.78 0 15.453-.46 23-1.326V341.977c-7.34 1.968-15.05 3.023-23 3.023-7.95 0-15.66-1.055-23-3.023z"}}]})(props);
};
function GiVileFluid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.875 18.375C220.39 207.41 99.905 207.03 99.905 339.563c0 89.282 81.826 153.843 160.97 153.843 80.922 0 157.78-64.24 157.78-147.312 0-127.22-115.946-139.043-157.78-327.72zM164.72 224.53c20.58 28.427 49.463 50.325 84.843 67.126-52.21 33.95-104.512 4.16-84.844-67.125zm186.56 0c19.67 71.285-32.632 101.076-84.842 67.126 35.38-16.8 64.262-38.7 84.843-67.125zm-228.467 91c13.56 15.95 31.694 29.396 52.968 39.25.824 19.023 7.407 34.174 23.75 53.376-.656-16.11.23-30.838 3.876-43.125 17.655 5.02 36.742 7.75 56.656 7.75 18.736 0 36.733-2.438 53.5-6.905 3.442 12.116 4.3 26.536 3.657 42.28 15.894-18.673 22.544-33.512 23.655-51.81 22.768-9.975 42.15-24.008 56.438-40.814-1.84 57.177-40.896 105.505-94.625 122.533L291.75 403.78l-12.625 39.564c-6.228.84-12.593 1.28-19.063 1.28-6.468 0-12.834-.44-19.062-1.28l-12.625-39.563-10.938 34.283c-53.73-17.03-92.788-65.358-94.625-122.532z","fillRule":"evenodd"}}]})(props);
};
function GiVillage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M109.902 35.87l-71.14 59.284h142.28l-71.14-59.285zm288 32l-71.14 59.284h142.28l-71.14-59.285zM228.73 84.403l-108.9 90.75h217.8l-108.9-90.75zm-173.828 28.75v62h36.81l73.19-60.992v-1.008h-110zm23 14h16v18h-16v-18zm265 18v10.963l23 19.166v-16.13h16v18h-13.756l.104.087 19.098 15.914h-44.446v14h78v-39h18v39h14v-62h-110zm-194.345 48v20.08l24.095-20.08h-24.095zm28.158 0l105.1 87.582 27.087-22.574v-65.008H176.715zm74.683 14h35.735v34h-35.735v-34zm-76.714 7.74L30.37 335.153H319l-144.314-120.26zm198.046 13.51l-76.857 64.047 32.043 26.704H481.63l-108.9-90.75zm-23.214 108.75l.103.086 19.095 15.914h-72.248v77.467h60.435v-63.466h50v63.467h46v-93.466H349.516zm-278.614 16V476.13h126v-76.976h50v76.977h31.565V353.155H70.902zm30 30h50v50h-50v-50z"}}]})(props);
};
function GiVineFlower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M398.97 17.5c-52.865.834-133.31 51.93-97.126 156.438 12.087-2.36 24.568-1.758 36.312 1.656-34.77-102.722 41.56-138.717 81.5-130.406 40.7 8.47 58.178 60.677 37.344 80.78-19.036 18.37-45.295 24.767-61.844 7.75-25.923-26.653-.047-63.278 37.97-58.968-45.166-23.858-83.427 26.427-59.22 61.406 24.985 36.103 82.66 40.462 109.063-5C514.27 77.258 461.215 18.47 401.56 17.5c-.865-.014-1.712-.014-2.593 0zm-170.814 1.688c13.627 38.648-4.29 53.002-19.72 72.124-9.066-27.893-32.84-41.827-55.53-41.593-24.57.252-47.854 17.088-49.75 50.78C127.812 50.362 191.84 60.614 191 130.625h.03c-.396 4.326-.44 9.015-.03 14.125 7.19-3.703 15.105-6.32 23.563-7.563 3.93-.574 7.85-.852 11.718-.812 3.115.033 6.183.28 9.22.688 7.406-38.218 61.06-55.133 37.188-117.875h-44.532zM87.47 21C-3.384 49.15 3.057 151.056 67.5 194.53c-35.316 19.842-53.083 74.65-16.25 121.126-17.08-51.437 7.57-97.026 45.813-97.906 14.594-13.436 34.042-20.828 54.062-20.313 1.31-6.294 3.39-12.338 6.156-18.03C49.75 184.102 4.483 81.236 87.47 21zm136.436 134.094c-2.206.052-4.442.24-6.656.562-27.155 3.99-46.7 26.346-48.906 52.563l-.844 9.905-9.844-1.47c-25.973-3.884-52.237 10.298-62.375 35.845-10.137 25.546-.758 53.864 20.814 68.844L124.25 327l-6.125 7.78c-16.145 20.615-17.167 49.867-.22 71.283 16.942 21.405 46.04 27.407 69.782 16.312l9.032-4.22 3.624 9.314c9.552 24.486 35.226 40.13 62.5 36.124 27.02-3.97 46.337-25.99 48.72-52.063l.905-9.842 9.78 1.437c25.973 3.886 52.237-10.264 62.375-35.813 10.138-25.548.728-53.86-20.844-68.843l-8.186-5.69 6.187-7.81c16.37-20.597 17.44-50.26.408-71.783-17.045-21.537-46.525-27.808-70.25-16.562l-9 4.28-3.688-9.25c-5.487-13.768-15.547-24.593-28.344-30.75-7.55-3.633-16.046-5.714-24.812-5.81-.73-.01-1.452-.02-2.188 0zm200.156 44.5c58.73 26.456 58.318 99.107-11.25 113.062-4.16-.044-8.443.217-12.812.813 4.47 9.48 7.003 19.854 7.313 30.467 56.123 3.103 80.57 64.37 42.75 116.907 60.76-39.278 48.297-109.04 3.5-136.563 58.818-28.563 48.388-120.77-29.5-124.686zM234.47 208.03l5.905 40.25c4.48.024 9.01.524 13.5 1.564l5.094-12.78 17.374 6.874-5.094 12.843c3.91 2.305 7.46 5.012 10.688 8.033l31.937-25.282 11.594 14.657L293.5 279.5c2.22 3.927 4.023 8.093 5.344 12.406l13.812-2.03 2.72 18.468-13.845 2.03c-.028 4.43-.538 8.882-1.56 13.313l37.936 15.032L331 356.093l-37.938-15.063c-2.3 3.917-4.98 7.487-8 10.72l8.72 11.03-14.657 11.595-8.75-11.063c-3.906 2.216-8.022 4.017-12.313 5.344L264 409.094l-18.47 2.72-5.936-40.408c-4.407-.015-8.838-.5-13.25-1.5l-5.156 13L203.813 376l5.125-12.938c-3.966-2.308-7.575-5.02-10.844-8.062l-31.97 25.313-11.593-14.657 31.97-25.312c-2.206-3.878-4.015-7.99-5.344-12.25l-13.656 2-2.72-18.5 13.595-2c.01-4.48.506-8.985 1.53-13.47l-37.78-15L149 263.75l37.78 15c2.317-3.96 5.046-7.58 8.095-10.844l-8.5-10.75 14.656-11.594 8.532 10.782c3.908-2.21 8.053-4.022 12.344-5.344L216 210.75l18.47-2.72zm4.5 58.876c-16.726.345-32.32 10.495-38.907 27.094-8.783 22.132 1.93 46.936 24.062 55.72 22.133 8.78 46.937-1.932 55.72-24.064 8.782-22.133-1.93-46.936-24.064-55.72-5.532-2.194-11.236-3.145-16.81-3.03zM50.405 387.78c-42.488 13.302-43.09 84.813 10.25 98.345 48.784 12.374 80.822-10.665 95.188-39.97-10.023-.934-19.82-3.876-28.813-8.655-10.313 19.2-29.745 33.275-60.5 24.063C32.05 451.23 25.348 407.9 50.407 387.78zm340.844 5.158c-8.206 10.524-18.95 18.563-30.97 23.562 20.846 17.897 28.375 43.38 18.564 77.97h36.906c11.214-40.23-.81-76.986-24.5-101.533z"}}]})(props);
};
function GiVineLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M379.625 19.844c-16.74.187-34.18 4.942-50.22 13.625-12.754 6.905-24.542 16.552-34.28 28.5-1.217-1.252-2.578-2.38-3.72-3.69-47.612-54.672-125.46-43.178-160.75 1.345-5.91 4.88-9.686 12.268-9.686 20.53 0 14.692 11.9 26.595 26.593 26.595 14.69 0 26.625-11.903 26.625-26.594 0-10.035-5.578-18.75-13.782-23.28 31.8-23.023 82.904-25.36 116.906 13.687 2.22 2.546 4.53 4.972 6.938 7.312-11.28 19.99-17.145 44.58-13.906 72.78-12.262-16.69-31.758-28.007-55.094-27.5-12.29.27-25.64 3.807-39.563 11.564-60.394 33.638-37.274 103.51-153.375 103.686 47.213 28.976 95.146 41.69 136.938 41.844-14.583 71.33 33.297 162.234 146.813 212-55.354-96.272 18.237-128.528 44.906-186.063 60.407 9.56 105.242-59.912 134.374 53.5 27.68-154.03-86.917-220.388-158.53-211.937-14.422 1.703-26.155 7.967-34.94 17.094-7.646-30.47-3.774-55.575 6.563-75.25 27.31 19.926 61.414 29.575 90.313 29.47 18.49-.07 35.196-3.904 46.875-13.75 11.68-9.85 16.05-26.89 9.375-44.595-8.432-22.363-27.576-35.638-48.97-39.532-5.347-.974-10.825-1.407-16.405-1.344zm.22 18.718c4.457-.065 8.76.29 12.842 1.032 16.328 2.972 28.704 11.517 34.813 27.718 4.736 12.56 2.46 18.326-3.938 23.72-6.396 5.392-19.18 9.285-34.906 9.343-24.812.092-55.875-9.065-79.78-26.47 8.326-10.05 18.477-18.082 29.405-24 13.51-7.312 28.19-11.147 41.564-11.343zm-140.69 128.313c6.397.06 13.328.942 20.907 2.78-72.17 14.765-84.3 99.482-165.156 81.782 70.31-9.934 82.423-85.154 144.25-84.562zm34 19.5c52.567 110.048-67.184 156.03-9.967 257.563-84.856-93.86 23.175-138.69 9.968-257.563zm24.908 3.906c42.292 46.343 133.717-11.018 164.093 90-43.937-71.563-131.402-22.378-164.094-90z"}}]})(props);
};
function GiVineWhip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M91.72 30.938c-11.966.114-21.575 10.038-27.69 34.406-1.728-.12-3.42-.164-5.06-.125-.69.015-1.36.048-2.032.093C1.603 68.968.36 167.01 92.56 310.625c-71.938-175.71-35.61-226.565 44.282-157-38.505 17.613-21.605 45.215-5.344 73.5-1.287-30.686 19.758-38.518 24.313-55.563 23.737 24.213 50.402 57.545 78.656 99.907 7.732 11.593 15.377 22.474 22.936 32.75-14.56 10.542-7.932 33.297-35.656 45.217 31.126.735 54.204-3.397 53.313-22.187 80.447 100.804 148.373 127.744 184.875 115-1.53 14.002 8.962 28.752-6.313 49.22 33.763-18.444 52.77-37.19 20.375-57.25 42.036-35.254 14.252-124.714-40.78-181.44 52.787-50.407-8.977-89.516-72.22-104.874 27.52 21.707 21.675 48.652 32.22 73-13.708-8.013-28.228-13.7-43.126-16.28-4.14-.718-8.307-1.222-12.5-1.44-71.263-5.38-67.123 47.11-.875 69.97-31.727-11.35-33.71-67.642 16.405-52.03l-.03-.19c86.477 40.41 130.355 169.808 84.81 177.876-23.083 4.09-55.358-11.07-94.06-49.375 19.28-4.406 31.163-23.904 53.78-40.75-15.274-.834-29.638-4.237-41.406-3.937-14.15.36-24.508 6.105-28.19 28.094-19.554-21.58-40.526-48.67-62.624-81.813C195.646 146.4 134.198 90.384 90.094 72.063c14.436-5.612 29.11-15.96 54.406-5.874-19.786-20.743-38.067-35.39-52.78-35.25zm12.75 299.875c29.458 75.44 9.59 124.826-60.157 113.75C155.528 483.976 175.155 422 104.47 330.813z"}}]})(props);
};
function GiVintageRobot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.22 58.28c-33.15 0-60.763 22.89-68 53.782h136c-7.24-30.89-34.85-53.78-68-53.78zM146.06 130.75v194.188H381.22V130.75H146.06zm117.063 24.125c32.075 0 58.28 26.207 58.28 58.28 0 32.075-26.206 58.282-58.28 58.282s-58.28-26.207-58.28-58.28c0-32.076 26.206-58.282 58.28-58.282zm-135.75 40.22c-37.902 8.577-67.593 37.596-77.094 75.124-3.368.833-6.668 2.127-9.81 3.936-18.16 10.452-24.47 33.907-13.97 52.03l16.156-9.342c-5.428-9.37-2.296-21.078 7.125-26.5l.157-.063c9.396-5.302 21.1-2.135 26.5 7.19 5.43 9.374 2.3 21.043-7.124 26.467l9.312 16.188c18.16-10.453 24.466-33.905 13.97-52.03-1.42-2.454-3.09-4.682-4.94-6.69 5.013-20.46 20.205-36.686 39.72-44v-42.31zm272.53 3.25v44.624c13.927 8.56 24.357 22.155 28.345 38.436-1.848 2.007-3.517 4.235-4.938 6.688-10.497 18.126-4.19 41.578 13.97 52.03l9.312-16.187c-9.425-5.424-12.555-17.093-7.125-26.468 5.427-9.375 17.234-12.55 26.655-7.126 9.42 5.422 12.553 17.13 7.125 26.5l16.156 9.344c10.5-18.125 4.19-41.58-13.97-52.032-3.142-1.81-6.442-3.103-9.81-3.937-8.527-33.68-33.33-60.522-65.72-71.876zm-224.28 145.28v33.125c5.605-1.6 11.743-2.5 18.438-2.5 8.152 0 15.475 1.222 22 3.406v-34.03h-40.438zm141.688 0v33.47c6.063-1.826 12.78-2.845 20.187-2.845 7.424 0 14.164 1.085 20.25 3.03v-33.655h-40.438zm-123.25 49.313c-21.565 0-31.638 9.323-38.75 23.375-5.676 11.21-8.255 25.565-9.438 38.718h96.438c-1.052-13.284-3.285-27.65-8.75-38.81-6.833-13.953-16.734-23.283-39.5-23.283zm143.437 0c-22.766 0-32.668 9.33-39.5 23.28-5.466 11.162-7.698 25.528-8.75 38.813h96.438c-1.183-13.152-3.763-27.506-9.438-38.717-7.113-14.052-17.186-23.375-38.75-23.375z"}}]})(props);
};
function GiViola (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M243.563 38c-4.573.03-9.013.158-13.282.406-60.02 3.488-90.837 25.7-102 47.75-10.96 21.652-4.584 43.744 14.22 55.688 24.607 4.865 43.247 13.396 56.594 23.75 16.655-11.283 36.73-17.906 58.312-17.906.345 0 .688-.004 1.03 0 .128-25.1-7.24-49.852-26.342-68.25L245.064 66c23.964 23.083 32.516 53.65 32 83.563 21.826 4.184 41.28 15.19 55.998 30.718 21.47-4.24 48.327-5.663 81.282-2.936 22.53-6.344 32.215-16.125 35-26.53 2.842-10.62-1.267-24.84-13.47-40.158-24.402-30.633-79.4-62.203-147.03-69.937-16.484-1.893-31.565-2.806-45.28-2.72zm-109.72 120.594l.407.812c10.11 21.25 20.207 36.504 29.375 47.03 5.208-10.688 12.19-20.353 20.563-28.624-10.848-7.5-26.203-14.147-47.25-18.062l-1.657-.313-1.436-.843zm-39.53 1.625c-3.047-.018-6.205.288-9.438.936-13.425 2.69-27.935 11.42-39.563 26.53-23.255 30.226-35.36 86.202-3.093 167.94 24.787 62.864 73.113 102.805 113.06 114.218 19.975 5.706 37.26 4.27 49-3.156 11.436-7.233 19.148-20.417 19.564-43.375-15.82-34.955-24.59-63.755-28-87.282-14.43-10.597-26.05-24.795-33.5-41.28-31.368 11.772-55.317 29.418-64.5 51.594l-17.25-7.156c12.153-29.345 40.484-49.57 75.562-62.375-1.96-7.976-3-16.305-3-24.875 0-8.893 1.114-17.536 3.22-25.782-12.575-12.194-25.396-30.61-38.095-56.906-6.636-5.958-14.828-8.98-23.968-9.03zm163.093 6.155c-22.844 0-43.522 8.897-58.844 23.406 26.816 11.658 47.624 28.7 60.72 48.44 8.45-12.424 20.873-20.97 35-24.97 7.01-1.984 14.44-2.917 22.062-2.813 5.557.077 11.23.71 16.937 1.875-14.258-27.334-42.82-45.937-75.874-45.937zm123.406 28.28c-1.155.007-2.306.013-3.437.032-11.63.2-22.046 1.06-31.344 2.407 6.53 10.51 11.235 22.264 13.69 34.812 14.055-8.13 29.655-19.696 46.405-35.562l.78-.72c-7.885-.532-15.48-.893-22.592-.968-1.186-.012-2.345-.006-3.5 0zM185.97 204.782c-8.912 13.508-14.126 29.707-14.126 47.157 0 39.034 25.913 71.838 61.53 82.188 22.612-20.06 27.404-43.996 19.282-67.625-8.272-24.066-31.302-47.78-66.687-61.72zm249.343 1.72c-6.065.072-12.04 1.567-17.563 4.5-20.052 18.817-38.875 32.21-56.094 41.188-.043 18.268-4.823 35.438-13.156 50.375 19.783 16.692 36.69 37.34 43.906 63.28l-18 5c-5.632-20.25-19.64-37.64-36.75-52.437-12.015 14.49-27.856 25.672-45.97 32-3.397 20.358-12 43.13-27.467 67.625-5.88 22.9-2.46 38.35 5.53 48.376 8.12 10.188 22.107 15.962 40.72 15.813 37.223-.3 90.415-25.737 130.78-80.25 52.39-70.696 55.61-125.823 41.656-158.72-10.362-24.434-29.4-36.965-47.594-36.75zm-121.438 22.625c-5.135.1-10.004.82-14.5 2.094-13.703 3.878-24.05 12.528-29.5 26.874l-.438-.156c.308.817.624 1.646.907 2.468 8.87 25.802 4.486 54.115-14.406 77.094.488.008.978.03 1.468.03 47.37 0 85.563-38.21 85.563-85.592 0-6.2-.665-12.243-1.908-18.063-8.617-3.077-17.07-4.633-24.968-4.75-.744-.01-1.485-.014-2.22 0zm-96.594 119.03c4.124 18.422 11.452 40.516 23.126 66.47 1.747.238 3.486.443 5.25.625.248-1.032.502-2.08.78-3.125l.376-1.406.782-1.22c12.833-20 20.368-38.19 24.125-54.28-4.685.646-9.456 1-14.314 1-14.213 0-27.765-2.885-40.125-8.064z"}}]})(props);
};
function GiViolin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M470.9 26l-23 7.69-.1 12.66 17.8 17.81 12.7-.1 7.7-23.04zm-32.5 37l-227 210.5 27.2 27L449 73.57zm-39.6-19.33L385.7 56.7l15.6 15.5 13.5-12.53zm53.5 53.59l-12.5 13.54 15.5 15.4 13.1-13zm-79.6-27.52l-13 13.02 14.6 14.61 13.5-12.58zm54.5 54.46l-12.5 13.6 14.5 14.5 13.1-13.1zm-124 39.2c-28.7-17.5-72-25.4-116.3 47.8l-7.2-1.4-7.3 13c3.8 1 13.5 8.2 12.4 12.1-3.5 11.3-48.2 64.3-70.6 44.5-2.9-2.6-5.8-5.7-8-9.6l-14.35 7.9c1.23 10-1.95 13.8-6.38 15.8-82.975 36.6-64.15 78.6-33.01 126.9l3.11-3c22.09-22.2 43.62-54.6 62.73-82.7l6.1-9.3 13 13 10.1-10.1-10.8-10.9 18.8-7.3 5.1 5.2 33.3-33.4c-2.9-3-5.9-6-8.9-8.9zm45.5 45.5L239 327l-8.9-8.9-33.3 33.3 5 5.1-7.1 18.9-10.9-11-10.1 10.2 12.8 12.9-9.2 6.3c-27.6 18.9-60.6 40.6-82.61 62.7l-3.14 3c48.45 31.2 90.45 50 127.05-33 2-4.4 5.7-7.6 15.8-6.4l7.8-14.3c-3.8-2.3-7-5-9.6-8-19.8-22.4 33.2-67.2 44.5-70.7 3.9-1.1 11 8.6 12.1 12.4l13-7.1-1.4-7.2c73.2-44.3 65.4-87.7 47.9-116.3zM206.9 295l-33.2 33.3 10.1 10.1 33.3-33.3zm-46.3 46.3l-10.2 10.1 10.2 10.1 10.1-10.1zm-33.4 13c-16.4 24.2-34.63 51-54.84 72l2.97 10.3 10.36 3c21.11-20.1 48.01-38.4 72.11-54.8z"}}]})(props);
};
function GiVirgo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M176.108 95.4c0-7.73-.975-15.69-4.336-22.874-2.69-4.525-6.29-4.78-9.157-3.12-3.684 2.13-8.016 8.446-8.016 20.61.63 82.52-1.568 171.5-2.794 253.63H70.74V95.395c0-22.24-9.21-41.34-37.85-41.452l-8.758-.04C42.254 33.26 60.295 24.386 89.435 24.386c18.78 0 36.332 7.443 48.47 20.104l1.965-1.78 2.314-1.983c17.45-13.458 37.45-16.335 52.62-16.335 18.747 0 36.268 7.415 48.402 20.04l1.897-1.718 2.305-1.982c17.46-13.458 37.452-16.336 52.624-16.336 34.38 0 64.434 24.884 65.096 60.787.372 19.93.336 46.43.094 75.296 7.926-22.432 23.416-50.88 51.044-50.88 22.807 0 68.417 1.143 68.417 140.26 0 100.9-52.43 158.528-88.714 186.742 4.672 1.804 9.595 2.547 14.594 2.547 25.09 0 45.615-20.526 45.615-20.526v28.514s-8.554 27.936-71.27 27.936c-18.69 0-33.924-3.012-46.37-8.334-38.643 12.317-85.332 19.165-85.332 19.165v-30.792s23.99-1.208 53.3-13.695c-19.102-25.98-23.054-63.213-24.934-97.764l-.228-8.275V95.4c0-7.73-.98-15.69-4.337-22.874-2.596-4.373-6.025-4.695-8.697-3.366-3.428 1.706-7.697 7.1-8.382 17.898.98 75.646-1.655 183.16-2.747 256.596h-81.066V95.4zm188.08 144.462l-.03 2.054-.144 8.463c-.613 36.676-1.27 70.48-1.607 93.27 0 22.467 1.978 39.966 5.41 53.482 24.867-28.925 43.893-72.226 43.893-137.014 0-184.137-46.103-65.27-47.522-20.256z"}}]})(props);
};
function GiVirtualMarker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32L32 224h128l96-80 96 80h128L256 32zm0 176l-52 39H32v18h172l52 39 52-39h172v-18H308l-52-39zM32 288l224 192 224-192H352l-96 80-96-80H32z"}}]})(props);
};
function GiVirus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M122.156 19.47l-5.22 1.405L47.5 39.47l-5.22 1.405-1.374 5.22L22.28 115.53l-1.405 5.22 3.813 3.813 95.468 95.468 3.813 3.814 5.218-1.375 50.093-13.44c.49 8.758 4.812 17.78 12.814 25.782L341.25 383.97l-87.063-8.25-21.625-2.064 13.375 17.094 25.782 33-35.22 14.938-6.875 2.937 1.344 7.344 8.03 44.75h18.97L250.655 453l32.97-13.97 42.718 54.69h23.687l-48.592-62.25 63.937-27.095c12.634 5.195 26.962 1.96 36.156-6.313 6.05-5.442 10.338-13.19 10.72-22.03.342-7.924-2.687-16.32-8.938-23.594l31.375-84.844 60.97 5.25v-18.75l-66.47-5.72-7.093-.624-2.47 6.688-24.374 65.875-13.813-95.5 114.22-25v-19.157l-126.688 27.75-8.5 1.844 1.25 8.625 15.53 107.344-138.28-138.283c-7.515-7.513-16.656-11.092-25.5-11.406-1.065-.036-2.137-.023-3.19.032l13.564-48.78 1.406-5.22-3.813-3.812-95.468-95.47-3.814-3.81zm-5.562 20.874l87.812 87.812-15.28 57.094c-.834.765-1.626 1.58-2.376 2.438L129.562 203 41.75 115.187l15.78-59.062 59.064-15.78zm96 154.562c4.167.076 8.752 1.847 13.156 6.25l2.188 2.22L207.5 223.81l-2.188-2.218c-5.85-5.85-7.38-10.615-7.406-14.125-.01-1.27.17-2.456.53-3.564l.19-.062-.032-.344c.67-1.787 1.814-3.368 3.406-4.75 2.682-2.33 6.427-3.92 10.594-3.844zm28.562 21.656l16.22 16.22-20.47 20.437L220.72 237l20.436-20.438zM270.594 246l16.187 16.188-20.436 20.437-16.22-16.188L270.595 246zM300 275.406l16.53 16.53-20.436 20.44-16.563-16.532L300 275.406zm29.75 29.75l16.188 16.22-20.438 20.437-16.188-16.22 20.438-20.437zm29.438 29.406l14.093 14.125-20.436 20.47-14.125-14.126 20.467-20.467zm27.312 27.344l1.28 1.28c4.884 4.885 5.923 8.774 5.783 12.033-.14 3.258-1.72 6.407-4.532 8.936-5.62 5.06-14.173 7.013-21.686-.5l-1.28-1.28 20.436-20.47zm-112.47 34.47l50.94 4.812-35.44 15.03-15.5-19.843z"}}]})(props);
};
function GiVisoredHelm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.094 18.5c-74.34 0-138.073 62.498-156.188 148.438 52.758-7.697 102.23-22.044 153.938-45.094l4.125-1.813 3.967 2.064c49.424 25.667 97.648 41.026 150.657 46.406-17.66-86.744-81.71-150-156.5-150zm1.28 122.156c-57.41 25.148-112.883 39.993-172.53 47 6.724 32.847 6.91 65.935-.5 98.938 89.29 41.602 231.648 43.154 340.594-.125-10.762-32.516-11.727-65.66-1.188-98.408-59.03-4.235-112.628-20.06-166.375-47.406zm-13.5 33.125h18.72v127.75h-18.72V173.78zm-58.78 11.19h18.687v101.655h-18.686V184.97zm115.72 0h18.686v101.655h-18.688V184.97zm-171.72 14.905h18.687v79.28h-18.686v-79.28zm227.72 0h18.686v79.28h-18.688v-79.28zm38.748 116.75c-14.302 4.282-28.96 7.873-43.78 10.844l-19.22 64.06c26.114-17.337 48.002-43.31 63-74.905zm-277.53 2.875c13.95 28.257 33.448 51.85 56.562 68.53l-17.688-58.905c-13.397-2.61-26.387-5.826-38.875-9.625zm213.156 11.656c-51.63 8.175-104.745 8.588-153.72 1.438l20.845 69.5c18 8.52 37.49 13.187 57.78 13.187 18.588 0 36.507-3.92 53.22-11.124l21.875-73zm-195.5 47.156c-19.436 21.562-36.416 44.367-48.594 72.157 70.233-8.736 133.743 14.684 168.03 50.75 39.684-35.607 103.71-55.685 170.876-44.25-15.08-29.372-33.32-51.982-53.938-74-31.187 31.75-71.53 51-115.968 51-46.568 0-88.65-21.142-120.406-55.658z","fillRule":"evenodd"}}]})(props);
};
function GiVitruvianMan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23c-70.045 0-132.915 30.997-175.646 80H63v22.514C37.756 162.755 23 207.67 23 256c0 48.329 14.756 93.245 40 130.486V489h386V386.486c25.244-37.241 40-82.157 40-130.486 0-48.329-14.756-93.245-40-130.486V103h-17.354C388.916 53.997 326.045 23 256 23zm0 18c58.943 0 112.296 23.66 151.113 62H104.887C143.704 64.66 197.057 41 256 41zm-152.635 80h145.201c-2.774 1.54-5.432 3.983-7.859 7.396C236.169 134.778 233 144.303 233 155s3.17 20.222 7.707 26.604c4.538 6.38 9.876 9.396 15.293 9.396s10.755-3.015 15.293-9.396C275.831 175.222 279 165.697 279 155s-3.17-20.222-7.707-26.604c-2.427-3.413-5.085-5.855-7.86-7.396h145.202l-100.436 62h36.375l85.748-52.938c.225.312.455.62.678.932V201H277.562c-6.112 4.924-13.487 8-21.562 8-8.075 0-15.45-3.076-21.563-8H81v-70.006c.223-.312.453-.62.678-.931L167.426 183H203.8l-100.436-62zM63 161.098v189.804C48.92 322.287 41 290.08 41 256s7.92-66.287 22-94.902zm386 0c14.08 28.615 22 60.822 22 94.902s-7.92 66.287-22 94.902V161.098zM81 223h136v244.47a213.512 213.512 0 0 1-57.34-19.185l39.34-59.01v-40.08l-59.615 87.508A215.834 215.834 0 0 1 81 381.006V223zm214 0h136v158.006a215.834 215.834 0 0 1-58.385 55.697L313 349.195v40.08l39.34 59.01A213.512 213.512 0 0 1 295 467.471V223zm-48 97h18v150.799a219.11 219.11 0 0 1-9 .201c-3.016 0-6.014-.079-9-.201V320zM81 409.729c23.202 26.386 52.264 47.494 85.148 61.271H81v-61.271zm350 0V471h-85.148c32.884-13.777 61.946-34.885 85.148-61.271z"}}]})(props);
};
function GiVolcano (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M26.125 19.97C85.93 41.742 125.45 76.81 153.845 125.28c20.807 35.52 35.428 78.442 46.624 128.282.646 5.295 1.186 10.563 1.686 15.813-48.006-64.42-118.568-102.565-181.594-103.75v.22c58.233 16.936 103.123 50.71 135.188 92.968-29.434-17.817-63.758-23.935-115.03-25.063 88.53 26.684 116.565 46.203 136.936 91.906-50.52-9.608-100.656 16.807-107.28 70 17.742-29.653 41.175-46.612 65.093-48.28 25.746-1.8 32.124 14.687 15.436 37.562l-6.687 8.125c-.162.176-.307.354-.47.53l.063-.03-1.563 1.906-75.938 51.5-.968.686-.78.875-41.064 46.44h24.938l29.374-33.19 76.032-51.56 1.094-.75.875-1.033L205.5 347.97l29.72 15.967 2.968 1.594 3.312-.686 34.656-7.03 1.375-.283 1.22-.655 16.375-8.906h2.25l53.75 57.124.5.53.53.438 113.408 88.907h30.03v-.19L365.782 392.97c-15.184-25.04-5.886-49.94 17.44-54.845 35.786-7.526 64.944-6.61 105.436 11.094-44.382-35.54-97.07-46.683-146.375-30.345 27.234-63.822 87.474-107.53 153.314-132.22v-.718c-68.792 7.528-131.456 37.83-177.844 84.875 11.63-57.224 27.12-105.994 50.28-145.53 28.366-48.42 67.863-83.47 127.564-105.25v-.063h-45.406c-42.903 23.262-74.69 55.603-98.282 95.874-12.098 20.65-22.08 43.34-30.53 67.97C332.187 116.106 353.705 53.018 394 19.968h-79.03c-28.243 100.098-41.47 200.18-52.314 300.28-.684-100.097-.42-200.185 12-300.28H183.75c23.25 68.337 31.688 136.213 34.094 207.218-12.94-81.71-35.23-150.175-70.313-207.22h-40.28c20.476 19.316 38.15 47.228 52.594 79.844-22.34-32.882-51.07-59.753-88.094-79.843H26.125z"}}]})(props);
};
function GiVolleyballBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M465.506 158.69c-7.138-15.368-15.758-29.567-25.59-42.534-79.844-32.376-162.79-47.333-241.834-28.292-.137 19.33 3.188 40.914 11.305 64.778 70.284-9.598 160.966-24.52 268.618 39.385-3.26-11.245-7.413-22.386-12.5-33.337zm18.203 58.117c-107.69-70.687-194.512-57.03-267.76-46.902 9.848 23.498 24.222 49.02 44.244 76.587 70.258-7.422 118.49-1.61 153.922 12.618 30.108 12.09 50.54 30.325 66.713 50.185 7.1-29.894 8.275-61.334 2.88-92.488zm-69.896-129.6C359.93 36.814 284.106 14.612 210.56 29.46c-5.302 11.677-9.29 24.886-11.21 39.638 71.034-15.765 144.075-5.9 214.464 18.108zm60.815 243.53c-6.477-8.88-13.35-17.292-21.234-25.016-21.66 58.178-65.025 121.3-123.31 169.086 7.814-2.658 15.567-5.747 23.224-9.303 59.5-27.636 101.667-77.3 121.32-134.765zm-35.86-37.554c-8.967-6.636-19.227-12.496-31.36-17.37-11.717-4.704-25.292-8.457-41.19-10.96-32.206 124.328-98.617 181.332-160.352 216.69 25.82 5.753 52.735 7.112 79.583 3.643 74.39-48.188 130.225-125.46 153.32-192.003zm-90.565-30.525c-23.448-2.084-51.307-1.765-84.702 1.68-9.487 42.888-40.296 85.676-75.02 117.702-18.286 16.867-37.704 30.693-56.217 39.685-9.17 4.454-18.15 7.824-26.79 9.61 22.383 19.208 48.125 33.814 75.663 43.25 63.77-33.438 133.133-83.017 167.065-211.927zM189.09 34.885c-10.246 3.118-20.402 6.967-30.397 11.61-16.593 7.706-31.83 17.133-45.616 27.957-5.89 87.158 20.142 182.194 93.732 261.375 19.46-24.644 34.454-52.15 39.635-77.65-68.615-94.02-75.7-169.977-57.355-223.292zM94.333 90.902c-16.992 16.624-31.13 35.613-42.11 56.184l.81.353c-3.846 8.868-4.613 27.78-1.037 50.583 3.576 22.803 10.945 49.684 20.782 76.314 18.458 49.964 46.624 99.226 71.283 119.88 10.69-7.05 21.652-15.663 32.22-25.41 6.485-5.98 12.812-12.396 18.854-19.124-73.19-77.916-102.486-171.463-100.8-258.78zm-61.037 103.59c-14.097 50.973-10.85 107.033 13.2 158.815 10.717 23.072 24.754 43.528 41.265 61.087 8.89 1.098 21.96-1.727 36.642-8.86 1.09-.528 2.19-1.082 3.297-1.655-28.57-26.227-53.71-74.316-71.807-123.305C45.707 253 38.038 225.2 34.213 200.812c-.335-2.138-.635-4.238-.917-6.32z"}}]})(props);
};
function GiVomiting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.25 20.313c-108.64 0-196.78 90.592-196.78 202.937 0 84.615 49.994 156.904 121.093 187.438v-16.375c0-25.638-6.2-40.132-13.875-48.47-7.675-8.336-17.567-11.4-27.72-11.937-18.252-.97-32.4-12.266-40.905-27-6.47-11.205-5.975-24.767-.532-36.97 5.444-12.2 15.49-23.71 29.19-33.905 27.394-20.39 69.79-35.56 122.436-35.56 52.702 0 98.475 15.648 129.344 36.218 15.435 10.284 27.24 21.746 34.22 33.968 6.976 12.222 8.93 26.41 2.186 38.094-4.19 7.257-11.026 11.988-18.687 15.938-7.663 3.95-16.085 6.78-24.595 6.78-11.865 0-20.63 2.214-27.438 10.157s-12.437 23.63-12.437 52.688v16.437c71.195-30.488 121.28-102.814 121.28-187.5 0-112.347-88.14-202.938-196.78-202.938zm-76.656 86.718c1.53.02 3.05.078 4.562.157 14.525.766 28.29 4.3 41.063 9.97l17.31 7.687-16.624 9.062-84.062 45.875-8.938-16.405 65.156-35.563c-24.195-5.513-50.92-1.877-82.062 17.532l-9.875-15.844c25.778-16.066 50.528-22.75 73.47-22.47zm150.312 0c22.944-.28 47.722 6.404 73.5 22.47l-9.875 15.844c-31.14-19.41-57.865-23.045-82.06-17.53l65.155 35.56-8.938 16.407-84.062-45.874L267 124.844l17.313-7.688c12.772-5.67 26.506-9.203 41.03-9.97 1.514-.078 3.034-.136 4.563-.155zm-73.594 170.282c-68.947 0-113.104 15.367-116.843 37.907l.5.03c13.487.714 28.843 5.31 40.468 17.938 11.624 12.627 18.812 32.418 18.812 61.125v100.312h113.813V394.312c0-31.4 5.766-51.81 16.937-64.843 11.17-13.034 27.003-16.69 41.625-16.69.352 0 .76-.03 1.156-.06-6.417-22.614-49.872-35.408-116.467-35.408z"}}]})(props);
};
function GiVoodooDoll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M323.3 19.97c-60.4.63-112.4 52.18-109 119.13l14.2-13.4 12.8 13.6-23.8 22.6c2.2 9.2 5.4 18.6 9.8 28.2-53.6-22.8-67-40.1-111.9-94.1-9.4-11.23-18.92-15.48-27.49-16.13-1.07-.1-2.14-.1-3.19-.1-7.36.24-14.13 3.22-19.35 8.03-5.96 5.5-9.71 13.3-9.77 21.7-.1 8.4 3.36 18 13.55 27.7 24.54 23.5 52.75 47.2 74.15 71.2 11.7 13.1 21.7 26.5 27.6 40.3 16 4.2 32 8.5 48 12.7l1.5 5c4.3 14.2 2.4 31.7-12.2 45.8l-3.9 3.7c-12.2-3.3-24.5-6.5-36.8-9.8-4.5 8.1-10.3 15-16.6 21-11.4 10.9-24.3 19.4-36.2 29-23.66 19.1-43.42 40.3-41.58 92.2 1.15 32.2 25.42 45.8 45.98 44.5 10.3-.6 19-4.9 24-12.6 5-7.8 7.2-19.9.9-38.5-5.5-16.6 2.9-33.5 15.3-45.2 12.5-11.7 30.4-19.4 48.6-15.3 10 2.2 16.2 10.7 19.4 19.1 3.2 8.4 4.8 17.8 6.9 27.5 4.1 19.4 9.5 38.7 25.2 50 30.4 21.7 61.3 18.2 74.9 6.6 6.8-5.8 9.7-12.8 8-22.1-1.7-9.2-9.1-21.5-26.3-34.5-19.7-14.9-24-41.6-22.2-67.1 1.9-25.5 9.9-51 20.3-67.8 6.3-10.1 17.3-13.7 29.4-16.8 12-3.2 26-5.6 40.5-9.3 28.9-7.4 58.5-19.3 76.3-50.6 8.7-15.4 10.8-28 9.3-37.1-1.4-9.1-6-15.1-12.5-18.7-13-7.1-35.8-4.2-54.6 21-13.7 18.2-39.5 26.6-69.2 28.6-9 .6-18.5.6-28.1-.1 2.4-1.5 4.9-3.1 7.4-4.8l.1-31.2h18.6v15.9c31.5-29.7 55.1-74.4 53.1-119.84 18.1 11.88 30.6 27.13 42 47.74 3.4-16.5-.2-32.57-8.1-47.99 16.2 6.7 28.6 17.11 41.4 27.1-4.8-20.07-14.7-33.13-29.5-43.24 16.7 1.34 26.1 5.24 40.8 12.74-11-24.93-55.2-50.35-98.3-35.21-16.7-6.54-34-11.16-49.4-11.13zm-34.6 54.34c11 0 19.8 8.87 19.8 19.81 0 10.98-8.8 19.88-19.8 19.88-10.9 0-19.8-8.9-19.8-19.88 0-10.94 8.9-19.81 19.8-19.81zm44.7 33.09c10.9 0 19.8 8.9 19.8 19.8 0 11-8.9 19.8-19.8 19.8-11 0-19.8-8.8-19.8-19.8 2.3-11.3 6.5-19.5 19.8-19.8zm-80.1 40.7l15 11.3-21 27.7-14.9-11.3c7-9.2 14-18.5 20.9-27.7zm28.1 16.8l17.8 5.7-10.1 31.6-17.8-5.7c3.3-10.5 6.8-21.1 10.1-31.6zM42.31 204.6c-16.92 20.2-19.8 44.5-18 72.1l30.38-17.1 3.31-1.8 3.66.9L198.7 295c5.5-6.5 6.2-11.9 5-18.2L66.72 240.4l-3.69-.9-1.94-3.3c-6.24-10.6-12.54-21.1-18.78-31.6zM326.2 309.8c-2.5 5.2-4.9 11.2-6.9 17.8l95.9 25.4c19.2 2.4 38.5 3.7 57.7 5.9l-51.7-22.8c-34.1-9.8-67.2-18.9-95-26.3z"}}]})(props);
};
function GiVortex (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.188 17.5v152.063C66.86 258.63 151.98 320.656 248.28 341.092c7.287 2.303 15.034 3.563 23.064 3.563 6.747 0 13.288-.884 19.53-2.53-47.547 33.525-105.556 53.155-168.187 53.155-36.77 0-71.258-7.8-103.5-20.342v35.625c39.863 9.25 78.667 13.034 114.188 10.812 22.572-1.413 43.213-4.7 63.063-10.53-45.634 33.337-107.435 50.03-177.25 49.686v29.44c6.82.457 13.417.874 20.343.874 132.277 0 245.515-77.08 300.283-188.28.174-.357.357-.708.53-1.064.236-.48.463-.953.688-1.438-.046.417-.076.835-.124 1.25-7.255 62.57-34.964 122.59-82.937 170.563-7.697 7.696-15.647 14.944-23.94 21.594h104.595c28.33-57.514 37.687-120.485 29.125-180.72-3.284-23.093-8.64-45.25-16.938-67.188 53.172 71.838 78.54 160.38 71.47 247.907h73.374C492.68 363.235 416.173 252.043 305.406 199c-.273-.13-.538-.276-.812-.406-1.12-.54-2.227-1.045-3.375-1.53-.6-.278-1.183-.573-1.783-.845.102.086.21.16.313.25-4.324-1.73-8.834-3.08-13.5-4 61.317-7.77 125.604 3.935 183.25 37.218 8.896 5.135 17.562 10.86 25.656 16.78v-94.655c-22.682-5.175-45.22-7.668-68.125-7.97-66.77-.874-133.078 18.29-189.186 54.876-9.19 4.476-17.36 10.758-24.063 18.343 24.015-56.973 66.21-107.004 123.69-140.188 49.576-28.623 104.276-41.016 157.686-39V17.5h-118.78c-41.383 17.778-79.457 43.683-111.282 75.656 16.34-27.53 36.19-52.736 58.594-75.656h-42.032c-60.804 67.31-91.872 156.46-87 245.656-.093 1.544-.156 3.09-.156 4.656 0 14.815 4.25 28.65 11.563 40.407-47.44-37.913-83.766-90.83-100.625-153.75-12.45-46.46-12.248-92.975-2.657-136.97H19.188zm252.156 192.188c32.223 0 58.156 25.902 58.156 58.125 0 32.222-25.933 58.156-58.156 58.156-11.938 0-23.007-3.57-32.22-9.69 6.202 3.168 13.23 4.97 20.72 4.97 25.67 0 46.438-20.802 46.437-46.47.003-23.096-16.51-42.202-38.592-45.81 10.03 6.777 17 18.396 17 31.405 0 20.813-17.123 37.313-37.938 37.313-13.864 0-25.89-7.378-32.438-18.532-.72-3.67-1.125-7.457-1.125-11.344 0-32.223 25.934-58.125 58.157-58.125z"}}]})(props);
};
function GiVote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M494 21.621c-14.947 8.43-29.566 17.581-43.67 29.227l7.318 38.547C471.923 93.66 483.583 95.26 494 95.36v-73.74zm-98.982 24.512c-15.283-.085-32.48 2.596-53.832 6.834l-.22.043-.22.033c-14.77 2.177-40.794 12.065-66.465 38.867l44.27 11.766c.972-1.493 5.936-9.004 6.88-10.555 5.124 3.123 10.248 6.244 15.372 9.365-12.475 20.475-26.742 35.556-43.934 54.522-2.123 4.718.977 8.199 4.36 10.14 5.22 2.931 14.1 3.09 16.437 2.102 23.932-15.768 40.819-35.928 55.963-56.271l5.469.964c11.501 2.031 26.47 1.058 38.707-2.853 11.098-3.548 19.272-9.357 22.662-15.688L432.54 53.65c-12.044-5.214-24.039-7.442-37.523-7.517zM227.932 98.717l-29.436 115.986 9.643.297H311.27l.9-.209 6.804-27.092c-8.86 1.9-18.296-.217-26.557-4.855-5.188-2.913-10.024-7.24-12.621-13.434-7.797-19.938 15.857-37.297 28.724-52.75l-80.59-17.943zM69.562 201l-23 46h418.875l-23-46H334.195l-3.517 14H352v18H160v-18h19.852l3.552-14H69.563zM41 265v222h430V265H41zm14 14h402v194H55V279zm18 18v118.238l34.502-74.994 73.36 31.762 66.652-45.84 37.513 57.273 50.11-4.595 31.3-39.332L439 394.627V297H73zm169.543 54.43l-90.63 62.33 27.01 41.24h95.606l19.666-24.71-51.652-78.86zm-126.045 12.326L74.521 455h82.885l-30.193-46.098 36.144-24.857-46.859-20.29zm253.065.732L297.533 455h140.54l.927-1.166v-36.602l-69.438-52.744zm-49.944 33.854l-23.426 2.148 9.805 14.969 13.621-17.117z"}}]})(props);
};
function GiVrHeadset (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 27c-7.2 0-14.6 1.01-19.2 2.54-2 .69-3.2 1.44-3.8 1.85V169.2c7.7-.1 15.3-.2 23-.2 7.7 0 15.3.1 23 .2V31.39c-.6-.41-1.8-1.16-3.8-1.85-4.6-1.53-12-2.54-19.2-2.54zm-41 18.77c-29.1 9.82-55.3 29.91-76.3 57.63-15.7 20.7-28.5 45.8-37.1 73.7 40.4-3.9 77.3-6.4 113.4-7.5zm82 0V169.6c36.1 1.1 73 3.6 113.4 7.5-8.6-27.9-21.4-53-37.1-73.7-21-27.72-47.2-47.81-76.3-57.63zM256 187c-59.6 0-119.2 4-191.01 11.9l-.49.1H64c-.62 0-1.39.1-3.34 2.6-1.96 2.6-4.22 7.4-6.03 13.5C51.02 227.3 49 244.7 49 262c0 17.3 2.02 34.7 5.63 46.9 1.81 6.1 4.07 10.9 6.03 13.5 1.95 2.5 2.72 2.6 3.34 2.6 111.1 0 142-16 192-16s80.9 16 192 16c.6 0 1.4-.1 3.3-2.6 2-2.6 4.3-7.4 6.1-13.5 3.6-12.2 5.6-29.6 5.6-46.9 0-17.3-2-34.7-5.6-46.9-1.8-6.1-4.1-10.9-6.1-13.5-1.9-2.5-2.7-2.6-3.3-2.6h-.5l-.5-.1C375.2 191 315.6 187 256 187zM88 221c9.28 0 17 7.7 17 17s-7.72 17-17 17c-9.28 0-17-7.7-17-17s7.72-17 17-17zm168 106c-40.7 0-71.3 12.5-155.8 15.4 8.7 29.7 21.9 56.3 38.5 78.2C169.2 460.8 210.6 485 256 485c45.4 0 86.8-24.2 117.3-64.4 16.6-21.9 29.8-48.5 38.5-78.2C327.3 339.5 296.7 327 256 327zm206.5 9.8c-3.9 3.6-8.8 6.2-14.5 6.2h-2.5c1 4 2 8.3 3 12.8 4.4 19.6 8 43.5 6.6 57.2-1.3 11.9-9 27.9-16.4 43.9-7.5 16.1-14.5 28.7-14.5 28.7l15.6 8.8s7.4-13.1 15.2-29.9c7.8-16.8 16.1-32.8 17.9-49.5 2.1-18.6-2.3-42.7-6.8-63.1-1.2-5.4-2.4-10.5-3.6-15.1zM224 349h64v18h-64zm-32 56h128v18H192z"}}]})(props);
};
function GiVulture (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M363.188 28.063c-34.372 0-62.25 27.863-62.25 62.218 0 2.92.204 5.782.593 8.595-17.072 3.958-33.287 12.576-46.592 25.875-12.052 12.046-30.82 44.714-50.813 83.625L120.25 272.28l32.03.72-84.718 43.406 74.032-3.562-38.438 25.656L143 336.125c-1.84 4.05-3.69 8.165-5.406 11.97l-121.688 66.25 46.75-1.283L19 461.094l46.75-17.03-3.625 32.873 126.938-104.28c5.69 16.434 15.305 28.105 27.156 32.624l32.124 59.47c-20.13 2.938-39.952 12.047-55.063 26.47h129.5c-13.087-17.008-32.674-25.766-53.624-27.283l-31.406-58.156c21.746-6.568 46.638-34.228 67.875-92.28 19.033-10.784 34.323-20.795 42.375-28.844 33.67-33.656 72.28-103.9 53.844-145.687.006-.006.025.004.03 0 38.314-5.095 66.074-7.915 86.438 21.53 5.48-46.96-25.07-65.864-57.406-74.53-1.616-6.128-4.74-11.664-8.97-16.157-8.466-24.3-31.55-41.75-58.748-41.75zm31.53 48.593c10.484 0 18.75 8.3 18.75 18.78 0 10.482-8.267 18.783-18.75 18.783-10.482 0-18.78-8.302-18.78-18.782s8.297-18.782 18.78-18.782z"}}]})(props);
};
function GiVuvuzelas (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M377.8 21.36c-7 .1-12.2 2.05-15.6 5.38-5.9 5.94-7.4 17.97-1.9 34.65 1.9 5.83 4.7 12.03 8.3 18.38-5.4-11.73-5.9-20.88-1.4-25.43 9.4-9.36 37.2 3.29 62.2 28.27 25 24.99 37.6 52.79 28.3 62.19-4.5 4.5-13.7 4-25.5-1.4 6.4 3.6 12.6 6.4 18.4 8.3 16.7 5.5 28.7 4 34.7-2 5.9-5.9 7.5-17.9 2-34.6-5.6-16.76-18.1-36.52-36-54.41-17.8-17.89-37.6-30.34-54.4-35.93-7.3-2.41-13.7-3.47-19.1-3.4zm-260.2 4.26c-5.3.1-9.9.68-13.7 1.78-6.8 1.93-11.3 5.25-13.7 9.29-4.2 7.24-2.5 19.34 7.1 33.9 3.3 5.22 7.6 10.48 12.8 15.59-8.2-9.91-11.1-18.61-8-24.17 6.8-11.37 36.9-6.3 67.4 11.33C200 90.93 219.4 114.5 213 126c-3.2 5.5-12.3 7.4-25.1 5.2 7.2 1.9 13.9 2.9 20 3.2 17.6 1.1 28.7-3.5 33-10.8 4.1-7.3 2.6-19.3-7-33.97-9.8-14.69-27-30.59-48.9-43.25-21.9-12.67-44.2-19.53-61.9-20.62-1.9-.11-3.7-.16-5.5-.14zm226.2 43.06c-21.6 42.42-48.4 83.12-79.2 124.62 2.3 18.1 7.4 30.3 15.6 38.5s20.4 13.3 38.4 15.6c41.5-30.8 82.3-57.6 124.7-79.2-19.6-6.9-40.8-20.6-59.8-39.7-19.1-19.1-32.9-40.11-39.7-59.82zM83.2 81.92C73.3 128.5 57.9 174.7 39 222.8c6.9 16.8 14.9 27.3 25 33.2 10 5.7 23.2 7.5 41.2 5.1 32-40.5 64.6-76.9 99.9-108.8-20.7-1.6-44.7-9.4-68-22.9-23.4-13.4-42.2-30.22-53.9-47.48zM250 212.7c-35.6 46.4-75.9 94.2-119.1 147l-.2.2c.8 4.9 5 10 8.1 13.3 4 3.1 8 7.6 13.2 8.1l.2-.2C205 337.9 252.9 297.6 299.3 262c-12.9-3.5-23.4-9.1-31.8-17.5-8.4-8.4-14-19-17.5-31.8zM29.9 245.3c-3.84 9.3-7.82 18.6-11.9 28.1v105.4c24.92-34.9 48.69-67.9 72.3-98.7-13.4 0-25-2.6-35.2-8.6-10.4-5.9-18.5-14.7-25.2-26.2zM397.7 269c-3.7 0-6.8.8-9.4 2.2-7.2 4.2-11.8 15.5-10.8 32.9.3 6.2 1.4 12.9 3.3 19.9-2.2-12.7-.3-21.7 5.2-24.9 11.5-6.5 35.1 13 52.7 43.5s22.6 60.5 11.3 67.3c-5.6 3.2-14.3.3-24.3-8 5.3 5.2 10.6 9.5 15.7 12.8 14.7 9.7 26.6 11.3 34 7.1 7.2-4.2 11.9-15.4 10.9-32.9-1.1-17.6-8.1-40-20.7-61.9s-28.5-39-43.3-48.8c-6.4-4.2-12.3-6.9-17.5-8.2-2.5-.6-4.9-1-7.1-1zm-38 37.9c-31.9 35.4-68.3 67.7-108.8 99.9-2.4 18-.7 31.1 5.1 41.2 5.8 10 16.3 18.1 33.1 25 48-19 94.4-34.3 140.9-44.2-17.1-11.8-34-30.5-47.4-53.9-13.6-23.3-21.4-47.2-22.9-68zm-242.3 69.8l-19.5 23.4c-2.68 2.7 11.3 16.6 14 13.8l23.4-19.3c-1.8-1.5-7.6-7.1-9.2-8.7-1.7-1.7-7.2-7.4-8.7-9.2zm-30.85 35.8l-37.03 37.1c2.5 1.5 4.92 3.3 7.15 5.5 2.25 2.3 4.09 4.7 5.63 7.2l37.02-37c-5.28-2.9-9.88-7.5-12.77-12.8zm145.25 9.2C201 445.3 168 469.1 133.1 494h105.5c9.4-4.1 18.8-8.1 28.1-11.9-11.6-6.7-20.3-14.8-26.2-25.1-6-10.3-8.6-22-8.7-35.3zM36.05 463.1l-14.73 14.7c.26 6.9 5.08 12.9 12.74 12.8l14.74-14.8c-1.31-3.2-2.96-6-4.85-7.9-1.88-1.9-4.73-3.5-7.9-4.8z"}}]})(props);
};
function GiWalk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M271.9 25.85c-18.4 0-36 16.73-39.2 40.97-3.4 25.83 11.3 47.48 30.9 49.88 19.7 2.4 39.5-14.9 43-40.77 3.5-25.86-11.5-47.43-31-49.85-1.2-.15-2.5-.23-3.7-.23zm-38.2 95.75c-38 6.3-75.2 41.9-94 66-11.5 33.4-14.5 66.7-20.7 100l28.2-.8c6.6-25.2 8.2-51.9 21-75.4 14.8-8.2 26.9-20.6 38.4-33.8-6.4 32.9-14 72.3-13.2 101.8 29.8 70.9 95.7 140.4 133 206.4l29.9-24.3c-28.8-55.7-57.5-106.4-94.3-160.2 2.1-7.1 43.3-163.5 28-171.9-20.2 9-40.9 6-56.3-7.8zm71.9 58.6c-3.1 17.8-5.3 35.1-10 52.8 4.5 5.4 7.5 10.5 14.3 15.3 26 15.3 52 26.3 78 36.7l9.2-29.9-77.5-37.6c-4.3-12.5-7.9-25.2-14-37.3zM187.1 310.1c-5.1 25-9.8 50.2-11.6 76.5-15.9 31.7-35.7 51.6-60.5 76.4l30 23.2c23.1-25 49.9-47 66.7-73.8l14-42.6c-15.7-19-28.4-38.8-38.6-59.7z"}}]})(props);
};
function GiWalkieTalkie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M71 32v135h18V32H71zm256 0v135h18V32h-18zm-208 95.604V167h18v-39.396h-18zm256 0V167h18v-39.396h-18zM57 185v99.27l16 16V487h110V300.27l16-16V185H57zm256 0v99.27l16 16V487h110V300.27l16-16V185H313zm-96 7v80h16.432v-80H217zm256 0v80h16.432v-80H473zm-393 7h96v18H80v-18zm256 0h96v18h-96v-18zM80 231h96v18H80v-18zm256 0h96v18h-96v-18zM80 263h96v18H80v-18zm256 0h96v18h-96v-18zm-224 41a24 24 0 0 1 24 24 24 24 0 0 1-24 24 24 24 0 0 1-24-24 24 24 0 0 1 24-24zm256 0a24 24 0 0 1 24 24 24 24 0 0 1-24 24 24 24 0 0 1-24-24 24 24 0 0 1 24-24z"}}]})(props);
};
function GiWalkingBoot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M272.5 18.906c-12.775.17-26.23 2.553-40.344 7.594-30.165 55.31-68.313 120.904-125.72 178.5-21.19 21.26-39.23 44.94-52.28 68.313 1.294 6.312 4.984 11.65 10.72 17.406 10.992 11.032 30.86 21.618 54.593 33.25 46.313 22.695 107.284 50.39 146.374 108.467l195.625.032c-20.198-70.834-100.276-101.12-159.064-83.94-.073.03-.145.066-.22.095-1.61.633-3.27 1.138-4.967 1.563-.024.005-.04.025-.064.03-8.86 2.204-18.82 1.68-29.125-.406-24.79-5.02-52.76-19.695-61.342-45.687-28.615-86.673 16.65-179.742 78.156-223.28 23.064-16.328 49.06-25.848 74.47-24.47.144.008.29.023.436.03-24.19-22.74-53.33-37.95-87.25-37.5zm81.75 56c-19.213.01-39.414 7.59-58.625 21.188-54.644 38.682-96.652 125.024-71.188 202.156 5.127 15.53 27.25 29.162 47.282 33.22 10.015 2.027 19.218 1.518 23.717-.283 2.25-.9 3.173-1.84 3.594-2.562.422-.72.81-1.663.25-4.375-9.08-44.167-2.743-84.61 22.533-114.47 23.586-27.863 62.753-45.462 117.406-50.686-15.014-47.145-37.47-71.226-61.314-80.03-6.407-2.368-13.032-3.706-19.812-4.064-1.272-.067-2.563-.094-3.844-.094zM43.78 294.22c-5.405 12.554-9.136 24.756-10.905 36.186 7.178 27.76 51.898 55.43 91.094 61.344 1.703-5.973 5.832-11.475 10.28-14.25 51.01 28.844 86.18 60.704 102 101h229.594c.697-9.613.44-18.712-.625-27.344l-204.314-.03h-5.125l-2.75-4.345c-35.405-55.575-93.93-82.58-141.78-106.03-23.925-11.724-45.17-22.336-59.625-36.844-2.978-2.99-5.618-6.225-7.844-9.687z"}}]})(props);
};
function GiWalkingScout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M79.624 33.606L52.851 113.93l16.636 6.049a72.511 72.511 0 0 1 27.055-9.02V74.407l146 54.75v13.237h96v50h-69.91l108.203 39.345-19.818-84.07-18.657-68.404zm322.744 20.022l-17.652 3.531 12.99 64.947 18.72 1.813zm-287.826 46.754v74.012h110V141.63zm-18 28.75c-26.165 4.27-46 26.847-46 54.262 0 30.482 24.518 55 55 55 27.414 0 49.992-19.835 54.262-46H96.542zm276.645 8.683l28.04 118.96 60.231 24.093-11.295-56.474h-37.568l-22.24-84.916zm36.31 3.704l16.992 64.875h20.074l-3.931-19.655-8.598-42.99zm-166.955 18.875v14h78v-14zm-51.271 32l42.066 42.066 149.799 24.014-.772-3.278-3.09-3.414-163.316-59.388zm-15.303 10.152c-6.032 22.105-22.226 40.075-43.22 48.557l73.448 83.943 54.924 9.152 6.4-19.203-41.195-72.09zm109.508 125.508l-19.702 59.105 49.254-29.553zm-79.873 25.14L172.883 399l55.636 16.691 13.156-13.156 13.681-41.049zm-34.592 64.037l-41.907 27.938-11.074 33.225h202.512v-16.305z"}}]})(props);
};
function GiWalkingTurret (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M163.7 41L137 67.73V292.2l56.3 18.8h29.9l55.8-7V201h-23c-4.2 0-8.3-1.8-11.2-4.3-2.8-2.5-4.6-5.4-6-8.5C236 182 235 175 235 168s1-14 3.8-20.2c1.4-3.1 3.2-6 6-8.5 2.9-2.5 7-4.3 11.2-4.3h23v-15.3c-2.2.8-4.5 1.3-7 1.3-8.1 0-14.7-4.9-18.8-11-4.1-6.1-6.2-13.75-6.2-22s2.1-15.86 6.2-21.96c3.2-4.78 8-8.83 13.8-10.37L252.3 41zM272 73c-5.7.43-7.2 10.07-7 15 .2 4.64 1.2 15.4 7 15 5.6-.4 7.2-10.05 7-15-.2-4.68-1.2-15.44-7-15zm169 64v62h30v-62zm-184.4 16c-2.8 4.1-3.6 10.6-3.6 15 .5 5.1.4 10.9 3.6 15H423v-30zM75.02 282.9L61.96 416.1l14.89 7.3 16.61-115.9zm37.28 20l-4.7 32.8 61.4 20.5-17.1-34.2-3.5-7zm250.3 9.4l-17 25.6 22.6 113.2 13.7-13.7zm-23.2 2.4l-76.4 9.5-16.8 33.7v.1l82.7-11.8-1.7-8.4-.8-3.7zM174.6 327l23 46h20.8l23-46zm20.4 64l4.4 52.9 8.6-8.6 8.6 8.6L221 391zM61.55 436l-34.64 41.1 69.74-24zm323.85 23.3L357.7 487h73.8zM208 460.7L181.7 487h52.6z"}}]})(props);
};
function GiWallLight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304 32l-32 48 9.5 9.5c6.774-1.596 14.267-2.498 22.5-2.498s15.726.902 22.5 2.498L336 80l-32-48zm0 72.998c-22 0-35.334 7.062-43.637 15.365-4.704 4.704-7.58 9.97-9.316 14.639h105.906c-1.735-4.668-4.612-9.935-9.316-14.639C339.334 112.06 326 104.998 304 104.998zm-91.182 48l-20.004 30.004h222.372l-20.002-30.004H212.818zm5.805 48l29 174.004h9.662L272 272c9.33-65.307 54.67-65.307 64 0l14.715 103.002h9.662l29-174.004H218.623zm-193.625 7.816v222.372l30.004-20.002V228.816l-30.004-20.002zm48 72.184v78.004h14.004v-78.004H72.998zm32 33.432v18.886c5.62 2.256 10.39 5.308 14.615 8.971 9.382 8.135 16.116 19.757 21.377 33.002 5.261 13.245 8.991 27.937 12.875 41.629 3.884 13.692 7.696 26.41 14.826 36.334 17.755 24.71 52.946 32.73 84.034 27.066 15.544-2.831 30.381-9.273 41.648-20.002 9.365-8.917 16.013-20.987 17.996-35.318h-18.166c-1.696 9.19-6.035 16.373-12.242 22.283-8.103 7.716-19.71 13.007-32.463 15.33-25.504 4.647-54.313-3.334-66.19-19.863-4.397-6.12-8.35-17.426-12.128-30.742-3.778-13.316-7.607-28.618-13.463-43.361-5.857-14.744-13.8-29.106-26.315-39.957-7.253-6.29-16.052-11.216-26.404-14.258zm156.725 78.568l14.004 14.004h56.546l14.004-14.004h-84.554z"}}]})(props);
};
function GiWallet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M200.4 27.39L180.9 183h42.8l49.1-146.57-72.4-9.04zm91.7 8L242.7 183l149.7.1 34.3-102.61-134.6-45.1zM180 46.03l-71.9 7.84L122.2 183h40.7L180 46.03zM64 153c-11.5 0-19.18 8.8-21.27 17.2-1.04 4.2-.45 7.6.73 9.5 1.17 1.8 2.79 3.3 8.54 3.3h52.1l-3.3-30H64zm357.4 0l-10 30h47.5c-2.6-5-3.7-10.3-3-15.6.7-5.2 2.7-9.9 5.3-14.4h-39.8zM41 201v246.9c0 5.1 2.79 11.1 7.37 15.7C52.96 468.2 59 471 64 471l384 .1c5 0 11-2.8 15.6-7.4 4.6-4.6 7.4-10.6 7.4-15.7v-71h-87c-44 0-44-82 0-82h87v-93.9L41 201zm343 112c-20 0-20 46 0 46h22.3c-9-3.8-15.3-12.7-15.3-23s6.3-19.2 15.3-23H384zm41.7 0c9 3.8 15.3 12.7 15.3 23s-6.3 19.2-15.3 23H487v-46h-61.3zm-9.7 16c-4 0-7 3-7 7s3 7 7 7 7-3 7-7-3-7-7-7z"}}]})(props);
};
function GiWalrusHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 31.488c-62.127 0-98.646 18.767-122.092 48.3-23.446 29.53-30.34 72.845-37.908 118.7-13.287 80.496-2.9 175.54-48 256 41.61 13.22 96.365 16.84 136.607 21.72-15.898-35.502-26.492-74.345-31.105-114.405-12.457-.062-24.528-3.69-32.53-13.69-17.096-21.373-22.408-41.488-18.78-58.728 3.63-17.24 15.384-30.328 28.408-40.096 26.048-19.537 59.216-27.532 59.216-27.532l4.368 17.46s-30.832 8.006-52.784 24.47c-10.976 8.232-19.223 18.144-21.593 29.404-2.37 11.26.317 25.145 15.22 43.773 4.65 5.813 12.35 7.853 24.088 6.68 11.738-1.172 26.218-5.948 39.95-11.96 27.47-12.02 51.88-28.542 51.88-28.542L256 299.61l5.055 3.433s24.41 16.522 51.88 28.543c13.732 6.01 28.212 10.787 39.95 11.96 11.737 1.172 19.438-.868 24.088-6.68 14.903-18.63 17.59-32.514 15.22-43.774-2.37-11.26-10.617-21.172-21.593-29.404-21.952-16.464-52.784-24.47-52.784-24.47l4.368-17.46s33.168 7.995 59.216 27.53c13.024 9.77 24.777 22.857 28.407 40.097 3.63 17.24-1.683 37.355-18.78 58.727-8 10-20.072 13.63-32.53 13.69-4.62 40.133-15.246 79.043-31.192 114.597 43.53-4.93 88.473-8.18 136.695-21.912-48-80-34.096-175.61-48-256-7.935-45.878-13.918-89.265-37.625-118.77C354.668 50.21 318.13 31.487 256 31.487zm-80 78c18.12 0 33 14.882 33 33 0 18.12-14.88 33-33 33-18.12 0-33-14.88-33-33 0-18.118 14.88-33 33-33zm160 0c18.12 0 33 14.882 33 33 0 18.12-14.88 33-33 33-18.12 0-33-14.88-33-33 0-18.118 14.88-33 33-33zm-160 18c-8.39 0-15 6.61-15 15s6.61 15 15 15 15-6.61 15-15-6.61-15-15-15zm160 0c-8.39 0-15 6.61-15 15s6.61 15 15 15 15-6.61 15-15-6.61-15-15-15zm-105.637 96.637L256 249.762l25.637-25.637 12.726 12.727L256 275.217l-38.363-38.365 12.726-12.727zM168 270.488a8 8 0 1 1 0 16 8 8 0 0 1 0-16zm176 0a8 8 0 1 1 0 16 8 8 0 0 1 0-16zm-200 24a8 8 0 1 1 0 16 8 8 0 0 1 0-16zm224 0a8 8 0 1 1 0 16 8 8 0 0 1 0-16zm-192 7.807a8 8 0 1 1 0 16 8 8 0 0 1 0-16zm160 0a8 8 0 1 1 0 16 8 8 0 0 1 0-16zM256 321.1c-4.533 2.98-15.75 10.215-31.172 18.144-11.31 45.73-9.13 86.71-8.14 139.967 25.96 1.724 52.05 1.735 78.623.034.99-53.272 3.176-94.26-8.138-140.002-15.422-7.928-26.64-15.16-31.172-18.142zm-51.703 27.82c-10.66 4.57-21.8 8.563-32.756 10.86 4.122 35.775 13.214 70.518 26.75 102.49-.877-40.287-1.383-75.745 6.007-113.35zm103.406 0c7.39 37.605 6.884 73.063 6.008 113.35 13.536-31.972 22.628-66.715 26.75-102.49-10.958-2.297-22.098-6.29-32.757-10.86z"}}]})(props);
};
function GiWaltherPpk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M87.521 127.04c2.74-4.22 5.3-8.36 7.56-12.14a16.24 16.24 0 1 0-16.15 24.7c2.54-3.48 5.39-7.63 8.59-12.56zm46.66-52.82h7.29l6.28 15.05h-20.33zm306.09 5.28l21 7v.82l-21 .15v-8zm-259.62 358.28l-88.38-21.21 3.14-18.35h77.66c-7.24 20 14.2 32.63 7.58 39.56zm306.62-324.56v48h-7v-48zm-203.19 103.8c1.3 22.32 22.53 31.63 22.53 31.63-33-2-30.7-33.74-30.7-33.74l-3.13-3.53a54.07 54.07 0 0 1 12.49-3.52 23.08 23.08 0 0 0-1.19 9.16zm-201.1-56.8h381.29v-56.94l-345.54 2.49s-18.71 34.45-35.75 54.45zm59.87-21.93a12.79 12.79 0 1 1 12.79 12.79 12.79 12.79 0 0 1-12.79-12.79zm97.08 37.93l-19.08 88.11 2.45-.69a14.66 14.66 0 0 1 3.82-.4c13.43-.02 40.15 12.23 70.15 12.23a100.11 100.11 0 0 0 14.9-1c32.79-4.92 46.43-30.55 54.3-60.55 7.73-29.44 87.78-23.66 97-37.66h-223.54zm.39 52.83c0-21 24.51-38 54.74-38s54.74 17 54.74 38-24.51 38-54.74 38-54.74-17.02-54.74-38zm-153.05 7.66c-7.29 27.59-35.59 84.94-44.4 99.87-11.42 19.35-3.81 45.65-3.81 45.65h139.1s17.34-77.15 21.11-95.69a36.68 36.68 0 0 1 1.53-5.41l22.76-104.91H57.631c-22.1 6-44.41 7.64-26.2 26.93a90.43 90.43 0 0 1 17.07-1.78c30.42 0 43.05 19.08 38.77 35.34zm15.23 1.42c9.31-23.58 53.32-36.49 78.15-28.57 16.37 5.22 23.59 18.77 19.3 36.17-6.2 25.2-29.75 119.44-30 120.39l-1.51 6.1h-99.5l-.86-.23a16.8 16.8 0 0 1-10.56-8.51c-3.18-6-2.91-13.78.82-23.1 3.44-8.6 11.41-26.71 19.85-45.89 9.73-22.17 19.82-45.05 24.28-56.36zm73.29-13.37c8.34 2.66 10.92 7.8 8.63 17.1-5.31 21.43-23.15 92.36-28.49 114.36h-84.23c-.62-1-.72-4.31 1.48-9.82 3.34-8.35 11.26-26.37 19.64-45.43 9.81-22.31 20-45.39 24.54-57 5.45-13.8 39.85-25.13 58.4-19.21z"}}]})(props);
};
function GiWantedReward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M75.1 27.19L74 163.1l10.7 9.9-10.9 11.2-.3 32.9 23.7 20.4L73.3 249l-2 235.8 27.9-.2 13-28.5s23.6 21.4 24 19.9c.3-1.5 82-9.4 82-9.4l9 17 213.5-1.9-.1-106.3-22.9-18.7 22.8-10.3-.3-282.93-34.3-35.34-276.5-.77-9.7 26.4-11-26.46zm194.3 8.7a16.18 9.811 64.69 0 1 13.2 11.03 16.18 9.811 64.69 0 1-2 18.81 16.18 9.811 64.69 0 1-10.5-3.09l-22.8 8.58-5.1-5.51 20.7-16.41a16.18 9.811 64.69 0 1 3.9-12.82 16.18 9.811 64.69 0 1 2.6-.59zM101.7 93.51h12l8.4 39.69 8.3-39.69h12.1l8.4 39.69 8.4-39.69h11.9l-11.5 54.59h-14.4l-8.9-41.5-8.7 41.5h-14.4zm86.9 0h15l18 54.59H209l-3.1-9.9h-19.6l-3.1 9.9h-12.6zm39.4 0h14l17.6 37.39V93.51h11.9v54.59h-14l-17.7-37.5v37.5H228zm50 0h44.8v10.59h-16.1v44h-12.5v-44H278zm51.3 0h33.8v10.59h-21.3v10.2h20v10.6h-20v12.6h22v10.6h-34.5zm45.5 0H388c7.4 0 12.9.59 16.5 1.79 3.6 1.17 6.7 3.17 9.3 6 2.3 2.4 4 5.3 5.1 8.5 1.1 3.2 1.7 6.9 1.7 10.9 0 4.2-.6 7.8-1.7 11.1-1.1 3.2-2.8 6-5.1 8.5-2.6 2.8-5.7 4.8-9.4 6-3.6 1.2-9.1 1.8-16.4 1.8h-13.2zm12.6 10.59v33.4h4.4c5.2 0 9.1-1.5 11.8-4.3 2.7-2.9 4-7 4-12.5 0-5.4-1.3-9.5-4-12.3-2.7-2.8-6.6-4.3-11.8-4.3zm-191.3 2.2l-6.7 21.7h13.3zm184.2 60.4l-.5 205.7-251.6-.5 3.4-194.7.2-8.7zm-18 18.2l-212.9 1.4-2.8 167.6 41 .1c4.5-15.5 11.5-31.7 43.8-36.9a34.89 48.56 0 0 1-11.6-36.2 34.89 48.56 0 0 1 .5-7.3l-49.7.4-.2-18 47.6-.4c5-13.6 4.8-28.8 4.9-44.5 25.5 6.5 41 6.1 60.4 0-.2 14.8.5 28.7 6.4 43.8l46.9-.4.2 18-47.7.4a34.89 48.56 0 0 1 .5 8 34.89 48.56 0 0 1-12 36.6c25.9 5.4 40.5 20.5 44.8 36.8l39.4.1zM152.9 392.7l206.3.8v18l-206.3-.8zm112.7 39.8l93.7.8-.2 18-93.7-.8z"}}]})(props);
};
function GiWarAxe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M410.111 19.227c-30.273 24.244-54.01 38.397-64.185 48.595-3.275 3.282-6.306 9.048-6.942 13.737-.635 4.688 0 7.362 3.696 9.888l.03.022 26.237 18.263c3.331 2.28 5.415 1.79 9.274-.753 3.859-2.544 7.746-7.862 9.043-11.82 4.932-15.06 10.217-40.706 22.847-77.932zM223.744 80.4l22.512 49.926 12.244-3.66 26.297 18.307 20.568-29.545-26.297-18.309-.818-12.752zm213.617 10.075c-8.55 27.087-19.112 42.762-30.402 51.693 9.52 86.157-6.922 139.588-36.24 176.05-29.489 36.674-70.552 55.661-107.828 76.76l-.33-.585c-25.015 65.265-80.115 86.461-90.413 96.18 22.75-4.801 59.344-12.892 99.313-27.067l13.912-25.713 14.76 11.988 19.387-24.158 18.917 8.637c45.358-24.275 87.766-58.087 112.547-105.406l-29.853-31.133s23.152 9.639 37.289 15.21c15.986-38.703 20.594-85.644 7.137-142.62l-19.737-8.479 14.711-10.41c-5.668-19.218-13.309-39.511-23.17-60.947zM333.28 106.834l-7.998 11.49 24.621 17.14 7.998-11.49zm-18.283 26.264L206.443 289.033l24.621 17.14 108.553-155.935zm74.793 17.945c-10.18 2.917-20.429 2.443-29.926 1.617l-9.67 13.893c4.545.037 9.59.076 17.09.408l7.022.31 1.4 6.885c3.138 15.415 2.372 23.17.193 33.455l-1.357 6.409-41.213 4.29-8.754-14.956-39.845 57.238c7.454 6.985 12.313 17.027 16.898 27.732 5.522 12.893 9.917 26.966 13.213 37.684l-17.207 5.289c-3.27-10.632-7.545-24.194-12.553-35.887-3.45-8.053-7.596-15.104-11.025-19.486l-14.701 21.119c11.199-5.136 14.528-1.936 15.216 11.395 1.222 23.658-.71 44.203-4.789 62.09 32.689-18.075 64.305-35.478 86.908-63.589 25.345-31.52 40.708-77.016 33.1-155.896zM153.775 180.91l22.778 49.543 12.244-3.66 26.297 18.307 19.492-27.998-26.063-18.647-.716-12.896zm184.096 3.342l-1.967 2.826 7.098 12.129 16.553-1.723c.637-3.887.606-7.262-.237-12.709-7.835-.175-13.724-.142-21.447-.523zm10.203 46.408c4.954-.05 9.92.196 14.733.565l9.572.732-1.348 9.504c-3.157 22.254-9.29 40.648-34.42 56.969l-6.16 4-5.154-5.235c-7.064-7.174-12.988-15.598-16.594-24.267-3.605-8.67-5.503-18.525-.008-27.092 5.602-8.734 15.21-12.344 24.727-13.969 4.758-.812 9.699-1.157 14.652-1.207zm-.572 18.135c-3.989.038-7.771.254-11.053.814-6.995 1.194-11.06 3.542-12.601 5.946-.48.747-.973 4.573 1.476 10.46 1.675 4.028 4.489 8.562 7.852 12.846 12.538-9.42 16.091-17.623 18.373-30.05-1.364-.021-2.718-.029-4.047-.016zm-151.344 55.012l-7.998 11.49 24.621 17.14 7.998-11.49zm-18.283 26.263L63.755 494h36.556l102.187-146.791z"}}]})(props);
};
function GiWarBonnet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M276.7 23.68c3 5.05 7.5 10.74 13.1 16.69 1.9 1.97 3.9 3.98 6 6.01 6.4 3.81 13 7.81 19.5 12.04 40.9 26.54 81.8 60.38 104.5 94.68l15.3-3.5c-18.8-29.2-50.6-59.93-82.9-83.83-18.1-13.36-36.3-24.65-52.3-32.57-8.5-4.27-16.5-7.41-23.2-9.52zm-60.1 6.45c2.1 5.94 6.2 12.94 13.1 20.78 12.2 5.83 24.9 12.51 37.5 19.77 47.6 27.26 94.7 62.02 118.7 93.12l15-6c-21-29-58.1-60.09-95.4-84.28-20.6-13.33-41.1-24.65-58.9-32.62-11.6-5.23-21.9-8.76-30-10.77zm-64.4 15.64h-1.5c1.9 6.53 7.9 15.1 18.4 24.68.2.15.4.31.5.46 18.7 6.16 38.6 14.75 58.6 24.62 28.9 14.27 57.6 31.27 81.3 47.67 19.7 13.7 35.9 26.5 46.2 38l12.6-6.4 2.1-1.2c-21.2-26.4-66.7-61.2-112.2-87.31-25.1-14.41-50.2-26.39-70.9-33.53-14.6-5.02-27.2-7.02-35.1-6.99zM119.4 79c-2.1 0-4.1.1-5.9.28-4.8.52-8.2 1.71-10.7 3.3 3.7 9.76 14.9 22.62 31.8 35.42 4.8 3.6 10.1 7.3 15.7 10.9 10.3 2.5 20.8 5.4 31.4 8.6 30.8 9.3 61.9 21.3 88 33.6 25.2 11.8 45.4 23.3 57.1 34.4 4.7-4.6 9.6-8.9 14.7-12.9-8.7-9.2-23.6-21.7-42.2-34.6-22.9-15.8-51-32.4-79.1-46.3-28-13.89-56.1-25-78.5-29.9-8.4-1.84-16-2.8-22.3-2.8zm-33.61 59c-7.89.1-14.69.9-19.93 2.4-4.69 1.3-7.85 3-10.06 5 5.23 9.1 18.44 19.9 37.21 29.7 14.59 7.6 32.29 14.7 50.99 21.2 2.9.2 5.9.4 8.9.6 32.1 2.4 65.1 7.4 93.2 13.7 21.6 4.8 40 10.1 53.7 16.2l9.6-12.3c-10-7.7-26.8-17.5-47.3-27.1-25.2-11.9-55.7-23.6-85.6-32.7-30-9.1-59.5-15.4-82.46-16.5-2.86-.2-5.61-.2-8.25-.2zm373.41 26.1c-1.7 0-3.8.1-6.1.3-77.2 14.3-131.4 50.4-155.7 122.5l17.2 9.1c37.4-42.3 79.5-81.8 157.8-102.7 1.8-8.7 1.6-16.9-.6-21.6-1.9-4.2-4.4-7-10.9-7.6zm-11.1 11a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-38 12.5a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-41.3 21.8a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm109.4.9c-51.9 13.6-86.1 35-114.4 60.6l.9 14.1c34.5-21.4 74.1-48.4 118.1-58zm-371.9 3.1c-14.31.3-27.51 1.3-38.8 3.3-11.29 1.9-20.64 4.8-27.03 8.2-4.29 2.3-7 4.7-8.72 7.1 7.06 7.7 22.32 15.4 42.76 20.9 15.98 4.3 34.79 7.4 54.49 9.6l8.1-1.8c31.7-6.7 64.9-10.9 93.8-12.2 7.2-.3 14.1-.5 20.7-.5 15.2.1 28.6 1.1 39.3 3.5l3.4-7.1c-11.5-5.3-30-11.3-52.1-16.2-27.2-6.1-59.5-11-90.7-13.3-12-.9-23.7-1.4-35-1.5h-4.8zM335.1 242a9 9 0 0 1 9 9 9 9 0 0 1-9 9 9 9 0 0 1-9-9 9 9 0 0 1 9-9zm-83.5 24.1c-6.3 0-13 .1-19.9.4-27.8 1.3-60.2 5.3-90.9 11.8-30.7 6.5-59.83 15.6-80.61 26.4-10.39 5.3-18.66 11.2-24.02 16.9-3.66 3.9-5.83 7.5-6.95 11.1 27.8 15.2 69.15 15.6 110.78 9 6.4-4.6 13-9.2 19.7-13.6 26.9-17.8 56-34 82.1-46.3 12.2-5.7 23.6-10.5 33.9-14.3-6.9-.8-15-1.3-24.1-1.4zm27.1 19.7c-8.9 3.3-18.7 7.4-29.2 12.3-25.2 11.9-53.8 27.8-79.9 45-26.1 17.3-49.9 36-65.4 52.8-7.73 8.5-13.4 16.5-16.35 23.1-1.92 4.3-2.64 7.8-2.54 10.7 1.98 0 4.73-.3 8.32-1.3 6.97-2 16.07-6 26.47-11.5 20.8-11.1 46.6-28.1 72.8-46.2.5-.4 1.1-.7 1.6-1.1 1.5-1.8 2.9-3.5 4.4-5.3 18.8-22.3 39.9-43.8 59.4-61.2 7-6.3 13.8-12 20.3-16.9 0-.2.1-.3.1-.4zm68.2 1.6c-3.8 3.9-7.6 7.9-11.3 12 1.7 62.6 3.1 125.4-1.3 188.6 3.9-1.3 7.7-2 11.6-1.7 3.1.2 5.9.9 8.7 2 .7-66.8-3.4-133.8-7.7-200.9zm33.8 9.2c-4.9 3-9.8 6-14.6 8.9.1 1.4.1 2.9.2 4.4L385 430.8c7.9-6.8 17.8-11.1 28.1-11.7-16.2-39.1-26.5-81.4-32.4-122.5zm-80 12.4c-5 7.1-10.9 16.7-16.5 28-9 18.1-17.8 39.8-24.3 61.1-6.5 21.3-10.7 42.2-10.8 57.8 0 7.9 1 14.3 2.7 18.6.9 2.6 2 4.2 3.3 5.5 1-.9 2.3-2 3.7-4 3-4 6.4-10.3 9.7-18 6.6-15.4 13.1-36.5 19.2-58.4 6.2-22 12-44.8 17.7-64.3 2.2-7.5 4.3-14.3 6.4-20.4zm-21.8.2c-2.9 2.4-5.8 4.8-8.7 7.4-18.7 16.7-39.4 37.7-57.6 59.3-18.2 21.6-33.9 43.9-43 62.4-4.6 9.2-7.4 17.6-8.3 23.9-.4 3.7-.3 6.4.3 8.7 1.5-.6 3.4-1.4 5.7-2.9 5.4-3.4 12.3-9.2 19.9-16.6 15.1-14.9 33.1-36.2 51.2-58.6 2.4-2.9 4.8-5.9 7.1-8.9 6.4-19.3 14.4-38.4 22.6-54.9 3.6-7.2 7.2-13.8 10.8-19.8z"}}]})(props);
};
function GiWarPick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M136.48 27.746c-2.108.024-4.174.152-6.242.272 42.927 23.035 87.233 59.434 121.902 96.57 8.66 9.276 12.358 18.765 16.371 27.44 2.486 5.37 5.173 10.658 9.297 16.37l30.65-26.373c-3.067-5.031-5.213-10.567-6.044-16.386-.919-6.432.09-13.283 3.039-19.48-32.92-24.035-68.653-47.25-102.75-62.026-22.779-9.871-44.547-15.843-64.1-16.371-.714-.02-1.42-.024-2.123-.016zm226.463 99.256c-2.825 0-5.562.505-8.092 1.293l28.91 28.91c.788-2.53 1.293-5.266 1.293-8.092 0-6.485-2.314-12.726-5.85-16.262-3.535-3.535-9.776-5.85-16.261-5.85zm-23.088 11.754l-21.89 18.836c9.951-2.533 20.985.059 28.712 7.787 7.728 7.728 10.32 18.761 7.788 28.713l18.835-21.89zm-14.39 35.78c-3.053 0-6.104 1.189-8.485 3.57-4.762 4.761-4.762 12.208 0 16.97 4.762 4.762 12.21 4.762 16.97 0 4.763-4.762 4.763-12.209 0-16.97-2.38-2.381-5.433-3.57-8.485-3.57zm-27.582.335l-9.846 8.47-5.352 46.03 46.03-5.352 8.468-9.841c-10.923 4.588-24.09 2.467-32.931-6.373-8.842-8.842-10.959-22.01-6.37-32.934zm72.148 28.727l-26.373 30.65c5.712 4.124 11 6.812 16.371 9.297 8.674 4.013 18.163 7.711 27.44 16.37 37.136 34.67 73.534 78.977 96.57 121.903 1.254-21.638-4.803-46.36-16.115-72.465-14.776-34.097-37.992-69.829-62.026-102.75-6.198 2.95-13.049 3.958-19.48 3.04-5.82-.832-11.355-2.978-16.387-6.045zm-103.375 7.79l-28.398 26.588L274.08 273.8l26.588-28.399-38.489 4.477zm-41.545 38.897l-11.686 10.941 37.405 37.405 10.941-11.686zm-24.832 23.252l-90.564 84.797 44.007 44.008 84.797-90.565zM96.566 370.643l-21.91 20.515 46.242 46.242 20.516-21.91zm-28.09 39.79l-5.656 16.971 21.832 21.832 16.97-5.656zm-18.789 29.295l-18.49 9.686a106.156 106.156 0 0 0-2.746 13.676c-.608 4.548-.852 9.29-.469 12.92.383 3.63 1.496 5.735 1.912 6.152.417.417 2.523 1.53 6.153 1.912 3.63.383 8.372.139 12.92-.469a106.155 106.155 0 0 0 13.675-2.746l9.686-18.49z"}}]})(props);
};
function GiWarlockEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16l-32 112 32 32 32-32-32-112zM64 96l32 80 64 16-96-96zm384 0l-96 96 64-16 32-80zm-192 80l-64 48-128 32c80 16 128 96 192 128 64-32 112.476-110.213 192-128l-128-28.31L256 176zm-39.512 52.682l28.342 8.863-7.45 20.955L256 310.895l18.62-52.395-7.45-20.955 28.342-8.863c14.923 10.97 24.488 28.03 24.488 47.283C320 309.237 291.47 336 256 336s-64-26.763-64-60.035c0-19.254 9.565-36.314 24.488-47.283zM96 336l-64 48-16 64 32-32 64-48s-16-27.61-16-32zm320 0l-16 32 64 48 32 32-16-64-64-48zm-272 64l-16 64 48-48-32-16zm112 0l-48 16 48 80 48-80-48-16zm112 0l-32 16 48 48-16-64z"}}]})(props);
};
function GiWarlockHood (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 29.313c-12.241 0-23.9 2.742-35.05 7.787l4.935 22.212h60.23l4.936-22.212c-11.15-5.045-22.81-7.788-35.051-7.788zM204.57 46.36c-5.955 4.052-11.764 8.751-17.435 14.035-20.313 18.928-38.436 45.192-53.854 73.68 42.044 12.5 70.812 20.399 96.055 23.736zm102.86 0l-24.766 111.452c25.243-3.338 54.01-11.237 96.055-23.737-15.418-28.488-33.54-54.752-53.854-73.68-5.67-5.284-11.48-9.983-17.435-14.035zm-77.545 30.952l17.334 78h17.562l17.334-78zm-105.006 73a566.74 566.74 0 0 0-6.783 14.234c84.712 35.52 191.096 35.52 275.808 0a566.74 566.74 0 0 0-6.783-14.235c-120.135 35.46-142.107 35.46-262.242 0zm-14.072 30.714c-18.202 42.794-30.441 84.165-36.744 108.621L121 336.584v94.506l90.295 51.598-27.586-137.938L135 296.041v-3.728c0-19 8.748-39.679 19.133-58.372 6.936-12.484 14.615-23.86 21.652-32.748-22.437-4.706-44.27-11.427-64.978-20.166zm290.386 0c-20.708 8.74-42.54 15.46-64.978 20.166 7.037 8.888 14.716 20.264 21.652 32.748C368.252 252.634 377 273.312 377 292.312v3.729l-48.709 48.709-27.586 137.938L391 431.09v-94.506l46.938-46.936c-6.304-24.456-18.543-65.827-36.745-108.62zM248.725 210.81L236 292.313l20 32 20-32-12.725-81.504c-4.856.213-9.694.213-14.55 0zm-174.4 104.556a496.166 496.166 0 0 0-7.641 25.315c-.028.1-.053.2-.08.3L103 362.816v-18.775zm363.35 0L409 344.041v18.775l36.396-21.836c-.027-.1-.052-.2-.08-.3a496.167 496.167 0 0 0-7.64-25.315zM62.07 359.25c-1.938 8.59-3.394 16.22-4.228 21.65 3.629 1.078 7.362 2.608 11.49 4.422 7.878 3.463 16.615 8.115 25.201 13.278a327.65 327.65 0 0 1 8.467 5.265V383.81zm387.86 0L409 383.809v20.056a327.646 327.646 0 0 1 8.467-5.265c8.586-5.163 17.323-9.815 25.201-13.278 4.128-1.814 7.861-3.344 11.49-4.422-.834-5.43-2.29-13.06-4.228-21.65z"}}]})(props);
};
function GiWarpPipe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.352 93.28c-65.93 0-125.644 4.402-168.39 11.402-21.374 3.5-38.557 7.704-49.683 12.01-5.563 2.155-9.59 4.392-11.624 6.02-.637.51-.72.65-.95.897.23.245.312.39.95.9 2.034 1.627 6.06 3.864 11.623 6.017 11.125 4.307 28.308 8.512 49.68 12.012 42.748 7 102.46 11.4 168.392 11.4 65.93 0 125.643-4.4 168.39-11.4 21.374-3.5 38.557-7.706 49.682-12.013 5.562-2.153 9.587-4.39 11.62-6.017.64-.51.723-.655.952-.9-.23-.247-.313-.39-.95-.9-2.035-1.626-6.06-3.863-11.622-6.017-11.125-4.307-28.308-8.512-49.682-12.01-42.747-7-102.46-11.404-168.39-11.404zm-.352 9.183a163.82 16.505 0 0 1 92.246 2.867v27.258A163.82 16.505 0 0 1 256 135.473 163.82 16.505 0 0 1 92.182 118.97 163.82 16.505 0 0 1 256 102.462zm110.246 4.322a163.82 16.505 0 0 1 53.572 12.184 163.82 16.505 0 0 1-53.572 12.182v-24.367zM25 144.395v106.216h.154v8.585c.015-.522.326.768 3.977 2.98 4.275 2.587 11.744 5.63 21.66 8.442 3.438.976 7.193 1.93 11.21 2.862V155.956c-11.84-2.584-21.97-5.45-30.22-8.644-2.423-.94-4.67-1.905-6.78-2.917zm462 .337c-1.905.89-3.923 1.746-6.078 2.58-13.184 5.104-31.178 9.373-53.272 12.99-44.187 7.236-104.57 11.64-171.298 11.64-60.444 0-115.64-3.622-158.352-9.68V280.08c11.88 1.733 24.956 3.294 39.1 4.63 73.627 6.96 164.876 6.96 238.504 0 36.813-3.48 66.478-8.47 86.308-14.093 9.915-2.812 17.386-5.855 21.66-8.443 1.945-1.178 2.918-2.08 3.428-2.604V144.732zM48 288.514V496h38V296.46c-14.57-2.36-27.292-5.02-38-7.946zm416 .19c-21.43 5.786-50.79 10.532-86.703 13.927-75.007 7.092-166.884 7.092-241.89 0-4.578-.432-9.045-.89-13.407-1.364V496h342V288.705z"}}]})(props);
};
function GiWaspSting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M235.75 42.28c-.68.006-1.353.01-2.03.032-3.1.11-6.195.404-9.25.907-20.682 3.4-40.108 14.714-55.376 30.28-18.356-6.394-37.205-10.75-56.656-12.563-2.31-.215-4.59-.333-6.844-.343-.752-.004-1.507.012-2.25.03-20.82.524-38.94 9.602-52.53 23.063-15.533 15.385-25.624 36.27-29.658 57.907-4.033 21.638-2.052 44.237 8.125 62.906 10.178 18.67 29.117 32.835 55.532 36.094 36.828 4.544 70.415 5.794 103.72 4.594l.437.406.374-.438c27.815-1.036 55.45-3.77 84.625-7.78-.814 7.602.168 14.882 3.155 21.31 23.12 15.608 47.78 19.41 76.72 11.22 3.638-1.957 7.24-4.17 10.75-6.687 10.992-7.885 19.667-17.44 25.592-27.47-10.102-20.476-13.347-41.67-9.656-62.53-6.924-3.75-15.252-5.577-24.28-5.47-.715.008-1.433.06-2.156.094-16.59-32.33-35.69-63.26-60.063-95.563-15.846-21-37.24-30.144-58.28-30zm2.188 18.532c14.892.16 28.934 6.522 41.156 22.72 22.482 29.797 40.225 58.18 55.75 87.812-2.768.87-5.543 1.875-8.313 3.062-44.5-38.158-89.732-72.463-138.124-93.344 11.76-10.097 25.604-17.187 39.094-19.406 3.515-.578 7-.88 10.438-.843zm165 17.563l-6.625 17.47c30.865 11.68 52.434 36.81 64.5 67.25-27.754-32.927-66.408-55.983-109.563-56.19l-.094 18.72c27.147.13 52.99 11.29 74.688 29.125-10.274 5.33-19.327 12.764-27.094 22.438-3.192 18.115.078 35.896 10.406 54.562 21.263 21.66 46.337 33.562 76.25 33.094 6.106-18.483 7.41-34.1 5.344-47.656-2.258-58.64-30.98-117.305-87.813-138.813zm-291.782 1.188c69.776 6.655 133.8 50.255 197.97 104.593-.27.19-.545.37-.813.563-1.253.897-2.465 1.84-3.657 2.78l-191.03-67.22-2.47-40.718zM92.5 80.656l5.563 91.156-59.094-23.343c.17-1.15.348-2.292.56-3.44 3.39-18.177 12.1-35.84 24.44-48.06 8.12-8.044 17.597-13.812 28.53-16.314zm22.375 59.844l109.656 38.594-43.624 47.656c-8.55.216-17.118.268-25.78.125l-37.657-43.938-2.595-42.437zm-76.72 27.75l63.657 25.125 27.907 32.563c-13.784-.8-27.915-2.095-42.595-3.907-21.254-2.62-33.857-12.56-41.438-26.468-4.322-7.93-6.81-17.322-7.53-27.312zm397.5 4.813c.374-.02.75 0 1.126 0 12.082 0 21.876 9.794 21.876 21.875 0 12.082-9.794 21.875-21.875 21.875-12.08 0-21.874-9.795-21.874-21.875 0-11.703 9.193-21.29 20.75-21.875zM242.782 185.53l47.032 16.532c-4.065 5.014-7.425 10.27-10 15.594-25.21 3.637-48.96 6.376-72.468 7.906l36.094-39.437-.657-.594zm19 85.157c-22.023 3.702-40.202 14.834-53.28 30.063 13.942 16.114 30.9 26.48 51.47 31.78 24.453 6.303 54.333 5.188 89.624-3.905-1.118-13.518-6.158-25.815-20.72-36.125-24.175.564-46.892-6.817-67.093-21.813zM197.595 316.5c-9.088 16.403-13.382 35.462-11.844 54.5 31.95 24.294 61.132 35.617 87.625 35.156 25.832-.45 50.003-11.76 73.594-35.875.625-7.607 1.596-15.078 2.25-22.342-35.35 8.516-66.727 9.7-93.94 2.687-22.447-5.785-41.876-17.308-57.686-34.125zm149.562 78.97c-22.667 18.85-47.38 28.92-73.47 29.374-26.433.46-53.628-8.724-81.498-26.53 10.815 26.82 35.084 50.75 75.968 63.31 22.05 3.672 40.392 3.026 54.906-1.437 16.862-5.183 28.98-15.113 37.688-31.312-8.31-10.982-12.13-22.215-13.594-33.406zm150.406 12.655c-21.934 13.607-78.608 25.768-99.343 15.594-4.52 19.162-15.06 21.715-23.47 18.28-8.854 14.47-21.072 25.37-35.97 32.156 30.077 21.514 136.794 17.434 158.783-66.03z","fillRule":"evenodd"}}]})(props);
};
function GiWatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M151 23v9c0 21.038-3.39 52.724-8.523 85.336 31.097-25.51 70.354-41.053 111.2-40.756 5.227-.05 10.467.13 15.696.547 36.83 2.13 71.78 16.79 99.924 39.824-5.164-32.6-8.523-64.168-8.297-84.852l.1-9.098H151zm105 72.488c-88.543 0-160.514 71.967-160.514 160.51 0 88.543 71.97 160.516 160.514 160.516 88.543 0 160.514-71.973 160.514-160.516 0-88.543-71.97-160.51-160.514-160.51zm0 17.998c78.815 0 142.514 63.697 142.514 142.512S334.814 398.516 256 398.516c-78.815 0-142.514-63.703-142.514-142.518S177.186 113.486 256 113.486zM174.115 161.3l-12.734 12.72 76.48 76.558a18.94 18.94 0 0 0-.8 5.422A18.94 18.94 0 0 0 256 274.94a18.94 18.94 0 0 0 16.66-9.94h59.096v-17.998h-59.11a18.94 18.94 0 0 0-16.646-9.94 18.94 18.94 0 0 0-5.398.8l-76.487-76.563zm253.233 61.32v64.003h21.306V222.62h-21.306zm-57.96 172.888c-49.015 40.244-119.824 51.034-178.92 27.547-17.515-6.406-33.528-15.775-47.663-27.375 5.107 32.376 8.42 63.672 8.195 84.222l-.1 9.098H361v-9c0-20.857 3.33-52.178 8.39-84.492z"}}]})(props);
};
function GiWatchtower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32l-96 48h23v71h-32v50h30.945L155.36 440.244l-.653.477.522.72-4.175 37.566-.994 8.945 17.89 1.99.995-8.946L171.61 457h168.78l2.665 23.994.994 8.945 17.89-1.99-.995-8.944-4.174-37.567.523-.72-.654-.476L330.054 201H361v-50h-32V80h23l-96-48zm-48 64h32v48h-32V96zm64 0h32v48h-32V96zm-103 73h14v14h-14v-14zm32 0h14v14h-14v-14zm32 0h14v14h-14v-14zm32 0h14v14h-14v-14zm32 0h14v14h-14v-14zm32 0h14v14h-14v-14zm-113.328 32h80.656L256 236.848 215.672 201zm-16.65 9.283L240.33 247h-45.385l4.08-36.717zm113.955 0l4.08 36.717h-45.385l41.305-36.717zM192.945 265h31.383l-34.822 30.953 3.44-30.953zm58.477 0h9.156l51.75 46H199.672l51.75-46zm36.25 0h31.383l3.44 30.953L287.67 265zm-83.994 64h104.644L256 367.053 203.678 329zm-18.8 8.586L236.323 375h-55.6l4.157-37.414zm142.243 0L331.278 375h-55.6l51.444-37.414zM178.724 393h41.6l-45.26 32.914 3.66-32.914zm72.205 0h10.144l63.25 46H187.678l63.25-46zm40.75 0h41.6l3.658 32.914L291.678 393z"}}]})(props);
};
function GiWaterBolt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M16.656 13.78v101.626C24.09 156.98 37.52 198.146 58.72 234c-10.608 4.22-18.095 14.576-18.095 26.688 0 15.858 12.83 28.687 28.688 28.687 9.17 0 17.337-4.306 22.593-11 31.064 32.862 72.3 56.826 126.03 65.5 1.762-19.596-.38-43.662-7.03-70-.153-.606-.312-1.208-.47-1.813-49.262 3.933-112.35-46.09-155.405-128.03 14.51-4.115 25.564-25.078 25.564-50.313 0-19.337-6.505-36.154-16.063-44.814 61.958-27.854 164.946-1.763 227.22 33.782-48.7-42.11-91.218-65-162.938-68.907H16.656zM383 24.25c-9.352 0-16.938 7.586-16.938 16.938 0 9.35 7.586 16.937 16.938 16.937 9.352 0 16.938-7.586 16.938-16.938 0-9.35-7.586-16.937-16.938-16.937zm30.97 36.78c-17.564 0-31.783 14.25-31.783 31.814 0 17.563 14.22 31.78 31.782 31.78 17.562 0 31.81-14.217 31.81-31.78 0-17.563-14.248-31.813-31.81-31.813zm-240.19 1.814c-23.255.037-43.425 6.88-56.655 21-26.065 38.438-14.82 82.045 10.5 115.062 13.28 17.317 35.624 20.438 44.97 11.094 4.852-4.853 5.86-12.614 3.53-21.125l.906 1.28c26.775 20.566 52.716 59.879 66.345 104.657 19.984 65.66 6.223 118.565-30.72 118.094-13.853-.177-28.85-8.127-43.436-21.094 3.344 1.275 6.57 2.298 9.81 2.657 13.533 1.502 23.973-5.532 30.72-18.72-22.275 9.978-56.66.58-94.656-21.75 11.065 14.657 23.428 29.71 37.125 43.406 103.223 103.225 240.478 132.925 306.686 66.72 66.208-66.207 36.506-203.495-66.72-306.72-13.695-13.697-28.745-26.028-43.405-37.094 22 37.434 31.45 71.36 22.19 93.657-9.23-32.292-33.12-67.81-68.72-97.407-41.758-34.72-89.71-53.773-128.47-53.72zm21.22 56.25c1.46 0 2.952.04 4.438.094-10.142 20.03 1.824 47.9 28.406 64.187 28.2 17.28 62.132 14.965 75.78-5.188 3.377-4.983 5.195-10.59 5.595-16.468 4.746 3.446 9.443 7.065 14.06 10.905 17.895 14.878 32.534 31.425 44.033 48.156-.3.442-.587.885-.907 1.314-28.493 38.214-120.112 11.177-207.625-59.625-.09-.076-.188-.145-.28-.22-1.39-1.226-2.813-2.405-4.25-3.47-.01-.008-.02-.02-.03-.03-.013-.01-.02-.023-.032-.03-1.388-1.15-2.772-2.3-4.157-3.47.41.482.815.955 1.22 1.438-6.606-4.294-13.447-6.837-19.53-7.407 1.99-3.338 4.274-6.435 7-9.343 13.23-14.118 33.094-20.86 56.28-20.843zM411.03 271.53c10.32 5.475 20.25 12.5 29 21.25 44.725 44.727 46.48 115.272 4.314 157.44-42.167 42.166-112.618 39.724-157.344-5-8.59-8.592-15.223-18.3-20.656-28.408 42.458 22.617 94.995 17.724 129.062-16.343 3.287-3.288 6.263-6.743 9-10.345-16.205-.64-29.156-13.982-29.156-30.344 0-16.77 13.604-30.342 30.375-30.342 7.28 0 13.957 2.572 19.188 6.843 1.82-21.772-2.845-44.393-13.782-64.75zm-26.53 8.75c10.948 0 19.813 8.897 19.813 19.845 0 10.948-8.865 19.813-19.813 19.813-10.948 0-19.844-8.865-19.844-19.813 0-10.948 8.896-19.844 19.844-19.844zM60.906 326.564c-9.352 0-16.937 7.554-16.937 16.906 0 9.35 7.584 16.936 16.936 16.936s16.907-7.585 16.907-16.937c0-9.353-7.555-16.908-16.907-16.908z"}}]})(props);
};
function GiWaterBottle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M121.4 33v30h78.1V33zm11 48c-16.4 16.58-42.95 46.2-42.95 71v39H231.5v-39c0-24.8-26.5-54.42-43-71zM89.45 209v16H231.5v-16zm0 34v16H231.5v-16zm0 34v16H231.5v-16zm0 34v170.2c43.05 12.7 98.95 12.7 142.05 0V311zm224.85 34l14.3 142H345l-6.9-118.5 18-1L363 487h45.3l14.3-142z"}}]})(props);
};
function GiWaterDivinerStick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M273.7 21.16c-11.7-.12-24.4 6.27-21.8 17.57 14 59.46 42.9 185.87 62.6 249.67-57-65.7-187.4-138.8-258.56-179.1-24.32-13.81-35.48 23.9-13.84 33.2 82.2 35.3 201.7 120.7 268.4 182 64.4 62.1 65.9 82.2 115.8 146 .9-8.3 4.5-16.4 10.6-22.9 9-9.6 21.8-13.8 33.7-11.9-57-61.6-76.9-69.6-121.9-135.8-20.1-72.2-55.3-194.9-57.2-265.89-.2-8.73-8.7-12.76-17.8-12.85zM465.4 453.2c-5.4-.2-11 2-15.4 6.7-7.9 8.4-7.7 20.1-.9 26.6 6.9 6.4 18.6 5.9 26.5-2.4 7.8-8.3 7.6-20 .8-26.5-3-2.8-6.9-4.3-11-4.4z"}}]})(props);
};
function GiWaterDrop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M406.043 316c24.11 96.443-50.59 180-150 180s-174.405-82.38-150-180c15-60 90-150 150-300 60 150 135 240 150 300z"}}]})(props);
};
function GiWaterFlask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 27.28c-12.5 0-23.9 2.67-31.2 6.34-7.4 3.67-9.4 7.46-9.4 9.29 0 1.84 2 5.63 9.4 9.3 7.3 3.66 18.7 6.33 31.2 6.33s23.9-2.67 31.2-6.33c7.4-3.67 9.4-7.46 9.4-9.3 0-1.83-2-5.62-9.4-9.29-7.3-3.67-18.7-6.34-31.2-6.34zm-59.4 14.81c-17.3.78-30.9 3.75-41.4 8.42C143 56 134.1 64.79 134.1 76.26c0 11.46 8.9 20.21 21.1 25.74 12.2 5.5 29 8.6 50.8 8.6V91.89c-19.9 0-34.4-3.13-43.1-7-8.6-3.88-10.1-7.59-10.1-8.63 0-1.05 1.5-4.76 10.1-8.64 8.5-3.81 22.5-6.83 41.6-6.98-4.8-4.78-7.9-10.68-7.9-17.73zm18.8 26.34v44.17c28 17.2 53.5 16.9 81.2 0V68.43c-.3.19-.7.38-1 .55-10.8 5.38-24.5 8.32-39.6 8.32-15.1 0-28.8-2.94-39.6-8.32-.3-.17-.7-.36-1-.55zm-14.6 57.27c-44.6 13.2-84.8 44.3-93.3 102.6 1.4-1.4 2.8-2.6 4.4-3.9 9-7 20.7-12.6 35-17.4 28.6-9.5 66.8-15.1 109.1-15.1s80.5 5.6 109.1 15.1c14.3 4.8 26 10.4 35 17.4 1.6 1.3 3 2.5 4.4 3.9-8.5-58.3-48.7-89.4-93.3-102.6-35.5 23.6-74.5 24.1-110.4 0zm55.2 85c-40.6 0-77.3 5.5-103.2 14.1-12.9 4.3-23 9.4-29.2 14.4-6.3 4.9-8.3 9-8.3 12.1 0 3.1 2 7.2 8.3 12.1 6.2 5 16.3 10.1 29.2 14.4 25.9 8.6 62.6 14.1 103.2 14.1s77.3-5.5 103.2-14.1c12.9-4.3 23-9.4 29.2-14.4 6.3-4.9 8.3-9 8.3-12.1 0-3.1-2-7.2-8.3-12.1-6.2-5-16.3-10.1-29.2-14.4-25.9-8.6-62.6-14.1-103.2-14.1zm-149.9 62.2c1.6 150.9 22.5 211.8 149.9 211.8s148.3-60.9 149.9-211.8c-1.7 1.8-3.7 3.6-5.8 5.3-9 7-20.7 12.6-35 17.4-28.6 9.5-66.8 15.1-109.1 15.1-33.9 0-65-3.7-90.9-9.9-.5 51.9 3.6 80.2 9.2 96.7 5.9 17.4 12.7 21.6 21.7 30.5l-13.4 13.4c-7.7-7.7-18.8-16.8-26.1-37.9-7-20.5-11-52.1-10-108-14.1-4.8-25.8-10.4-34.6-17.3-2.1-1.7-4.1-3.5-5.8-5.3z"}}]})(props);
};
function GiWaterFountain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M224 16c9.31 18.785 17.753 36.16 18.432 55.023-17.87-28.13-36.732-40.03-55.45-39.83-75.257.8-148.13 196.844-144.375 316.977-.807.27-1.604.627-2.388 1.096-6.073 3.63-2.683 14.002-5.454 20.51-3.34 7.847-12.15 13.42-13.27 21.874-.638 4.813-.54 10.275.604 15.35h170.205c-3.752-14.69-16.34-30.192-27.96-38.275-4.04-2.81-10.637 2.004-14.747-.704-8.482-5.586-3.99-23.436-13.346-27.39-6.09-2.573-12.2-1.383-18.375 1.337-5.05-123.26 30.544-300.777 110.29-265.57-26.42 6.366-38.066 15.83-44.36 51.603C192 112 198.89 99.364 224 103.225l70.207-.102s36.39 41.937 41.793 51.42c5.7 10-16.088-70.203-35.4-80.29 67.713 2.167 97.32 184.88 92.64 299.102-6.174-2.72-24.083-33.364-30.174-30.79-9.355 3.952-14.435 9.435-17.205 15.976-1.918 4.533-.837 22.65-4.878 25.46-10.016 6.968-18.6 14.533-21.918 23h172.534c-1.792-9.308-8.48-27.793-11.598-35.115-2.772-6.51 31.833-42.637 0-24.8-.797.446-9.8 1.354-10.607 1.085 3.756-120.133-69.118-316.177-144.375-316.977-19.003-.202-38.155 12.056-56.264 41.118 2.08-11.74 12.37-29.412 27.695-46.828-24.735 6.185-34.4 3.85-40.45 28.95-9.23-14.43-14.098-32.17-32-38.432zm6.486 105l-12.77 38.31L229.563 183h52.875l11.846-23.69-12.77-38.31h-51.027zm-69.67 80l20 30h150.368l20-30H160.816zm69.278 48l-28.803 72.004L215.624 407h80.752l14.334-85.996L281.905 249h-51.812zm-85.408 58.854c-.462-.02-.933.02-1.41.12-9.907 2.074-11.824 24.963-3.16 30.198 5.056 3.056 13.384-4.083 14.747-9.832 1.69-7.126-3.253-20.2-10.177-20.486zm235.43 11.05c-6.925.287-6.22 6.283-4.532 13.41 1.363 5.748 3.36 15.12 8.416 12.065 6.282-4.456 7.55-21.835-3.885-25.476zm-356.022 6.262c-18.387.412 2.35 38.416 7.906 35.984-6.418-22.52 12.297-34.22-7.002-35.976a14.282 14.282 0 0 0-.904-.008zm144.142 14.375a3.42 3.42 0 0 0-.73.038c-1.732 7.747-12.483 11.202-9.13 15.803 3.74 4.41 14.555-.765 16.153-6.32 1.02-3.545-2.633-9.32-6.294-9.52zM336 342.7c-3.66.2-3.898 8.917-2.88 12.46 1.6 5.557 5.835 9.134 9.575 4.725 2.026-3.16-5.553-8.373-6.695-17.184zM25 425v14h462v-14H25zm23.816 32l20 30h374.368l20-30H48.816z"}}]})(props);
};
function GiWaterGallon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M225 25v30h62V25h-62zm8 48v28.6l-5 2.5c-17 8.5-40.6 16.3-59.4 27.6-9.6 5.8-17.6 12-23.2 19.3h221.2c-5.6-7.3-13.6-13.5-23.2-19.3-18.8-11.3-42.4-19.1-59.4-27.6l-5-2.5V73h-46zm-112 96v16h270v-16H121zm16 34v28h238v-28H137zm-16 46v30h270v-30H121zm16 48v94h238v-94H137zm0 112v39c0 1 1.1 4.9 4 9.3 2.9 4.3 7.4 9.3 12.8 13.8 10.8 9 25.2 15.9 38.2 15.9h128c13 0 27.4-6.9 38.2-15.9 5.4-4.5 9.9-9.5 12.8-13.8 2.9-4.4 4-8.3 4-9.3v-39H137z"}}]})(props);
};
function GiWaterGun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M80 33c-12.62 0-21.38 6.47-28.26 18.09C44.86 62.7 41 79.33 41 96c0 16.7 3.86 33.3 10.74 44.9C58.62 152.5 67.38 159 80 159h39V33zm57 0v126h174V33zm192 0v126h39c12.6 0 21.4-6.5 28.3-18.1 6.8-11.6 10.7-28.2 10.7-44.9 0-16.67-3.9-33.3-10.7-44.91C389.4 39.47 380.6 33 368 33zM119 177v32H41v94h366v-94h-78v-32h-18v32H137v-32zm306 48v30h46v-30zm-337.54 4.2l17.04 5.6-15.96 48-17.08-5.6zm48.04 0l17 5.6-16 48-17-5.6zm48 0l17 5.6-16 48-17-5.6zM84.95 321L65 440.7c12.89-22.1 26.47-44 42.9-64 18-21.8 39.6-41.3 67.1-55.7zm123.15 5.1c-37.8 13.2-64.3 35.2-86.3 62-22.2 27-39.57 59.1-58.07 90.9H144c5 0 10.7-2.4 17.6-9.4 6.8-6.8 14.3-17.8 21.9-32.7zM247 328v23h-26l-4 18h30v23h18v-64z"}}]})(props);
};
function GiWaterPolo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M134 41.5c-30.5 0-55 24.52-55 55 0 30.5 24.5 55 55 55s55-24.5 55-55c0-30.48-24.5-55-55-55zm126.4 57.74c-2.5 0-4.9.26-7.3.76-12.8 2.8-23.4 12.6-29.9 27.7-6.2 14.5-8.5 33.6-4.7 53.7 4.8-9.4 11.1-19.6 19.9-28.6 12.6-13.1 30.8-23.2 55.3-24.7 3.4-.2 7-.2 10.7-.1-3.8-5.8-8.1-10.8-12.7-15-9.8-9-20.7-13.76-31.3-13.76zm37.3 46.56c-21.8.2-35.7 8.6-46.4 19.5-12.1 12.4-19.2 28.9-24.5 41.5 5.1 10.7 11.7 19.8 19 26.5 12.2 11.1 25.8 15.7 38.7 13 12.8-2.7 23.3-12.6 29.8-27.7 6.6-15.1 8.7-35.2 4.3-56.1-1.2-5.4-2.7-10.6-4.6-15.5-5-.8-9.8-1.1-14.2-1.2zm-195.3 16.5L81.6 268l99.8 38.5-10.7 121.4c.3-.2.6-.4.9-.7 4.2-3.6 8.6-9.2 13.3-15.2 4.7-6 9.5-12.4 15.7-17.8 6.1-5.3 14-9.7 23.4-9.7 9.4 0 17.3 4.4 23.4 9.7 6.2 5.4 11 11.8 15.7 17.8 4.7 6 9.1 11.6 13.3 15.2 4.2 3.7 7.6 5.3 11.6 5.3s7.4-1.6 11.6-5.3c4.2-3.6 8.6-9.2 13.3-15.2.8-1 1.6-2.1 2.5-3.1l10.6-84.2 85.5 19.5 47 60.1c5.6-5.8 10-10.9 12.4-13.8l-36-66.7c-93.3-57-199-62.6-308.3-79.4l-9-1.4 12.3-73.6c-9.8-.6-19.1-3.1-27.5-7.1zm-7.86 242.1c-19.87-.1-39.42 13.1-55.61 25.3-7.87 6-15.06 11.9-20.22 16.6v23.5s15.56-14 31.08-25.7c15.52-11.8 35.23-22.1 45.75-21.6 4.06.2 7.66 2.1 11.96 5.8 4.3 3.8 8.7 9.4 13.4 15.3 4.7 5.9 9.6 12.2 15.8 17.5 6.1 5.2 14 9.4 23.3 9.4 9.4 0 17.3-4.4 23.4-9.7 6.2-5.4 11-11.8 15.7-17.8 4.7-6 9.1-11.6 13.3-15.2 4.2-3.7 7.6-5.3 11.6-5.3s7.4 1.6 11.6 5.3c4.2 3.6 8.6 9.2 13.3 15.2 4.7 6 9.5 12.4 15.7 17.8 6.1 5.3 14 9.7 23.4 9.7 9.4 0 17.3-4.4 23.4-9.7 6.2-5.4 11-11.8 15.7-17.8 4.7-6 9.1-11.6 13.3-15.2 4.2-3.7 7.6-5.3 11.6-5.3s7.4 1.6 11.6 5.3c4.2 3.6 8.6 9.2 13.3 15.2 4.7 6 9.5 12.4 15.7 17.8 6.1 5.3 14 9.7 23.4 9.7 18.7 0 35-13.9 48.2-26.5 13.2-12.5 22.9-25 22.9-25l-14.2-11s-9 11.5-21.1 23c-12.1 11.4-27.8 21.5-35.8 21.5-4 0-7.4-1.6-11.6-5.3-4.2-3.6-8.6-9.2-13.3-15.2-4.7-6-9.5-12.4-15.7-17.8-6.1-5.3-14-9.7-23.4-9.7-9.4 0-17.3 4.4-23.4 9.7-6.2 5.4-11 11.8-15.7 17.8-4.7 6-9.1 11.6-13.3 15.2-4.2 3.7-7.6 5.3-11.6 5.3s-7.4-1.6-11.6-5.3c-4.2-3.6-8.6-9.2-13.3-15.2-4.7-6-9.5-12.4-15.7-17.8-6.1-5.3-14-9.7-23.4-9.7-9.4 0-17.3 4.4-23.4 9.7-6.2 5.4-11 11.8-15.7 17.8-4.7 6-9.1 11.6-13.3 15.2-4.2 3.7-7.6 5.3-11.6 5.3-4.1 0-7.5-1.6-11.7-5.2-4.2-3.5-8.6-9-13.3-14.9-4.6-5.8-9.5-12.2-15.6-17.6-6-5.3-13.7-9.8-22.93-10.3-.64 0-1.28 0-1.93-.1z"}}]})(props);
};
function GiWaterRecycling (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.9 19.34c-72 .4-143 33.5-189.17 95.86-69.798 94.4-59.097 223.3 19.9 305l-37.2 50.4 151.17-22.7L177 296.7 133.8 355c-44.07-54.4-47.67-133.6-4.1-192.5 30.6-41.5 77.8-63.46 125.7-63.66 16.4-.1 32.8 2.26 48.7 7.36l-7-46.46c-23.9-4.9-47.9-5-71-1-59.3 7.3-114 39.9-148.17 91.16C113.6 84.04 181.7 44.04 254 42.24c1.6-.1 3.3-.1 5-.1 14.8 0 29.7 1.6 44.6 4.9l48.6-7.3c-31.2-13.9-64.3-20.6-97.3-20.4zm212.9 22.1l-151.2 22.6 22.6 151.06 41.2-55.5c42.2 54.2 45.1 132 2.2 190-40.3 54.4-108.9 75.3-170.2 57.6l6.5 43.6c28.7 5.5 58.2 4.4 86.2-3.1 37.4-6 73.3-22.1 103.1-47.7-49.1 54.6-122.6 77.5-191.7 64.3l-55.8 8.3c99 43.7 218.4 14.8 285.5-75.9 69.1-93.4 59.4-220.7-17.5-302.46l39.1-52.8zM256 144s-78.3 99-63.9 152c7 25.7 37.3 47.8 63.9 47.8 26.7 0 56.9-22.1 63.9-47.8 14.4-53-63.9-152-63.9-152z"}}]})(props);
};
function GiWaterSplash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M163.53 21.28c-4.262.042-8.402 1.318-11.936 3.782-14.61 10.188-21.734 41.505 11.03 69.97-.874 22.855 41.786 26.99 24.845-6.657 15.375-44.718-5.465-67.27-23.94-67.094zm255.25 9.564c-6.193.008-12.997 2.884-16.78 8.625-23.15 35.122 1.875 53.016 25.875 14.936 9.863-15.65 1.23-23.575-9.094-23.562zm-41.717 63.468c-63.42 56.883-111.03 138.435-247.688 80.938 18.578 53.492-6.768 71.09-31.313 76.28-8.846-6.104-17.503-14.193-25.374-24.28l-19.282-24.72 2.625 31.25c5.134 61.565 27.576 107.054 64.782 136.376 37.207 29.322 88.146 42.22 149.25 42.22 95.388 0 181.77-60.905 213.563-148l5.344-14.657-15.408 2.186c-5.34.757-9.54.544-12.812-.28l31.688-60.157c-14.324 6.135-29.355 13.593-43.97 20.25 1.73-13.324 5.75-30.14 12.72-50.282l10.312-29.875L446.594 151c-25.463 19.87-52.84 43.613-79.78 63.25-8.948-17.862-7.626-54.075 10.248-119.938zM33.188 139.906c-8.878-.007-18.012 11.466-15.688 22.688 6.156 29.728 35.794 21.19 28.844-7.75-2.593-10.795-7.83-14.934-13.157-14.938zm401.343 44.906c-6.213 24.132-7.675 43.034-3.936 57.844 2.573 10.193 8.258 18.705 16.562 23.5 4.09 2.36 8.58 3.803 13.375 4.47-29.9 20.703-73.522 6.61-53.53-46.72-85.188 114.645-173.707 126.336-202.156 39.125-14.613 86.63-105.328 67.462-125.75-2.342 22.01 18.3 47.298 26.824 70.656 22.25 15.653-3.066 29.977-12.394 40.25-27.438 5.99-8.77 10.622-19.464 13.813-32 13.008 21.732 28.002 35.802 44.812 43.094 22.92 9.942 47.727 6.613 71.688-3.22 39.206-16.086 78.357-49.144 114.218-78.562zm-6 179.688c11.396 7.638 18.095 16.212 18.095 25.125 0 32.772-85.57 59.563-190.375 59.563-104.804 0-189.813-26.79-189.813-59.563 0-8.645 6.17-17.1 16.938-24.53-39.8 13.298-64.844 31.22-64.844 50.81 0 41.02 106.547 74.158 237.72 74.158s237.688-33.137 237.688-74.157c0-19.793-24.892-38.038-65.407-51.406z"}}]})(props);
};
function GiWaterTank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160 25c-14.5 0-38 3.89-56.7 11.36-9.29 3.73-17.41 8.37-22.69 13.25A29.895 29.895 0 0 0 75.99 55H244c-1.2-1.77-2.6-3.55-4.6-5.39-5.3-4.88-13.4-9.52-22.7-13.25C198 28.89 174.5 25 160 25zM89 73v129.9l71 42.6 71-42.6V73H89zm167 78v18h23v14h-30v18h51.3l29.3 29.4 12.8-12.8-34.7-34.6H297v-14h23v-18h-64zM84.65 221.3L39.12 494.5l17.76 3L74.3 393h171.4l17.4 104.5 17.8-3-45.5-273.2-16.7 10 13.7 81.8-72.4 26.4-72.38-26.3 13.68-81.9-16.65-10zm263.15 22.4s-10.2 49.6 5.2 59.7c9.8 6.4 28.8-2.9 31-15.4 3.8-19.6-36.2-44.3-36.2-44.3zM377 329s-13.4 29.1-5.8 38.5c4.9 5.9 17.4 3.7 20.6-3.6C397 352.3 377 329 377 329zm-292.41 2.3l48.91 17.8-55.22 20.1 6.31-37.9zm150.81 0l6.3 37.9-55.2-20.1 48.9-17.8zm179 7.5s1.4 32.1 12.4 36.9c7.2 3 17.2-4.7 16.8-12.7-.8-12.6-29.2-24.2-29.2-24.2zM160 358.7l44.8 16.3h-89.6l44.8-16.3zm251.7 40.5s-3.4 21.5 3.4 26.2c4.3 2.9 12.1-1 12.8-6.3 1.3-8.6-16.2-19.9-16.2-19.9z"}}]})(props);
};
function GiWaterfall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M432.3 28.66c-13.4 0-26.6 6.43-40.5 19.98-4 3.94-7.8 8.06-11.6 12.12 3.7 5.59 6.1 12.64 7.7 18.46 5.6-6.15 11.1-12.41 16.5-17.76 10.1-9.98 19.1-15.59 26.9-14.66 16.1 1.9 23.7 6.55 29.6 12.81 5.9 6.26 10.1 15.12 16.4 25.18l15.2-9.58c-5.5-8.82-10-18.95-18.5-28.01-14.6-12.13-28.3-18.55-41.7-18.54zM113.7 45.63c-53.35.23-77.7 17.56-95.66 35.88l12.86 12.6c17.42-17.77 35.03-31.75 90-30.32l34.5 32.52h15c-.2-8.94-7.8-17.4-12.6-22.5-14.9-16.14-24.1-28.22-44.1-28.18zm146.7 9.79c-10.1 0-20.2.21-29.6.57 3.8 8.38 5.6 17.38 6.6 24.88 1 11.64-15.6 12.34-17.8 2.42-1.2-8.61-4.6-19.79-8.9-26.23-15.2 1-28.9 2.35-40.3 3.73 7.3 8.95 18 21.8 18 31.02.5 89.69-2.8 180.09-9.7 270.89 1.6-1.7 3.2-3.4 4.9-4.9 8.4-7.6 18.4-13.7 30-13h.1c2.6.2 5.1.7 7.5 1.4.2-16.6.6-30.9.1-44.4 5.3 5.6 10.7 10 18-.6.7 17.6-.1 35.5-.3 56.9 1.1 1.1 2 2.2 3 3.3 7.4 8.6 13.4 19.2 18.4 29.6 1.8 3.8 3.4 7.5 4.9 11.1 1.3-56.5.5-112.9-2.2-169.4 8.6 11.3 13.3 7 18-.8 2.7 56.6 3.5 113.3 2.2 169.9 11.4-11.3 25.1-22.9 41.6-22.6 4.1.1 7.8 1 11.2 2.5l.1-23.9c7.9 8.9 13.4 6.9 18 0L354 396c3.5 3.6 6.9 7.9 9.8 11.7 3.9-2 8.9-4.4 14.9-7l-5.7-73.9c6 5.5 12 10 18-1.4l5.3 68.5c6.6-2.3 13.5-4.2 20.4-5-11.2-93.4-25.2-192-44.3-296.39h.1c-1.4-7.39-3.3-14.6-5.9-19.56-2.5-4.95-5-7.23-8.7-8.07-18.2-4.12-37.7-6.65-57.3-8.04 8.6 17.14 8.4 34.97 8.6 49.66 1.1 10.8-17.2 17-18 .2-.3-18.71.2-35.46-12.7-50.98-6-.2-12-.29-18.1-.3zm90.8 31.52C362.6 130.7 371.8 206.4 378.3 251c-.9 17.6-14.2 13.4-17.8 2.6-6.5-45-16.1-121.1-26.7-162.09 9.9 7.7 16 6.9 17.4-4.57zM224 107c3.5 55 2.4 109.1-.7 162.5.2 11-15.3 14.1-18-1 3.1-53 4.2-106.3.7-160.3 8.9 13.3 14.2 9.3 18-1.2zm51.5 22.5c3.2 27.5 4.3 42.9 3.9 59.9-6.4 9.5-12.3 7.9-18-.4.4-16-.7-30.2-3.7-57.5 7 8.6 12.8 6.6 17.8-2zm52.3 27.2c3.4 50.7 4.3 90 5.6 154.8-5 5.4-9.8 11.7-18 .4-1.3-64.8-2.2-103.7-5.6-154 7.5 9.3 13.1 6 18-1.2zm-246 180.8c-10.73-.3-16.16 18.9-13.38 29.3 3.68 13.8 34.78 24.8 34.78 24.8s-2-53.6-21.4-54.1zm47.4-.4c-.8.6-1.3 1.4-1.7 2.3-4.2 9.9 22.6 23.1 22.6 23.1s5.9-17.4.6-22.8c-4.7-4.8-16.6-7-21.5-2.6zm319.5-3.8c-.5 0-.9 0-1.3.1-11.7 2.2-13.9 23.8-8.3 34.9 0 0 18.8-9.1 19.8-18 .8-6.3-4-16.8-10.2-17zm29.8 20.5c-20.3 1.1-16.8 58.6-16.8 58.6s27.7-10.5 31.2-22.9c3.5-12.3-1.6-36.4-14.4-35.7zm-282.8 17.3c-6.5 5.9-13 14.6-18.7 23.5-11.2 17.8-18.8 36-18.8 36l-3.6 8.7c-22-11.1-36.9-16.8-57.82-17.6-13.41-.5-24.76 11.5-27.43 22.4-1.41 6.4 0 14.3 9.09 25.6 120.56 14.8 310.86 21.1 411.06.4 3.5-16.4-2.3-27.7-13-37.9-11.7-11.3-29.8-19.6-45-24.5-7.3-2.4-24.9 1.2-39.4 6.9-14.6 5.8-26.4 12.5-26.4 12.5l-7.4 4.2-4.6-7s-4.8-7.3-11.3-14.4c-6.6-7.1-15.5-12.7-17.7-12.7-6.6-.1-20.7 9.2-31.5 20.3-10.7 11-18.6 22.2-18.6 22.2l-11 15.5-5.1-18.3s-5.3-19.1-14.4-38.1c-4.5-9.6-10-19-15.7-25.7-12.7-13.4-20.3-13-32.7-2zM35.58 384c-4.27-.1-7.98 1.2-9.85 4.5-8.27 14.4 30.78 39.3 30.78 39.3s6.88-26.5-.99-35.3c-4.19-4.6-12.83-8.4-19.94-8.5z"}}]})(props);
};
function GiWateringCan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M190.49 76.718c-1.066-.005-2.13.003-3.197.02-28.426.506-56.814 9.317-81.756 23.757-39.907 23.104-71.644 60.824-80.8 104.44-7.826 37.298 1.858 78.55 36.044 115.742-1.35-11.182-2.183-21.875-2.544-32.038-17.66-27.03-21.263-54.363-15.88-80.008 7.845-37.383 36.108-71.663 72.2-92.56 36.094-20.895 79.364-28.2 116.774-13.882 30.495 11.67 58.04 37.605 75.602 84.684 5.683-1.565 11.46-3.154 17.336-4.776-19.17-51.894-50.605-82.98-86.504-96.72-15.325-5.865-31.285-8.592-47.274-8.66zm238.54 65.05c-4.217-.01-8.232.595-11.915 1.813l8.557 40.032 24.4 15.85 39.74-8.582c-1.454-13.915-12.173-28.51-27.056-38.178-10.717-6.962-22.85-10.904-33.725-10.934zm-100.47 57.79c-91.212 25.175-160.583 44.4-250.48 45.51-5.605 44.858.637 110.842 30.324 190.216H288.79c42.614-73.726 52.533-161.183 39.77-235.727zm94.31 3.7l-81.028 145.85c-6.25 26.707-7.854 35.71-13.358 50.758l107.42-188.143zm-21.35 3.047l-52.223 10.66c.688 5.954 1.242 11.968 1.654 18.032l39.058-7.973zm-199.473 77.98s40.436 52.545 32 80c-3.78 12.303-19.128 21.614-32 21.614s-28.22-9.312-32-21.616c-8.436-27.454 32-80 32-80z"}}]})(props);
};
function GiWatermelon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M368.47 96.01c-37.258-.033-76.09 1.16-112.824 3.187-44.785 2.47-86.588 6.255-118.453 10.402-33.012 45.66-58.063 88.796-65.557 118.763-3.88 15.517-2.91 26.62 1.53 33.33 4.442 6.71 13.352 11.544 31.58 12.013 38.55.993 111.067-24.892 177.7-62.35 59.595-33.5 115.216-76.585 141.542-114.216-17.75-.74-36.376-1.114-55.518-1.13zm76.285 2.196c-26.887 45.528-87.973 92.014-153.488 128.842C222.987 265.43 150.87 292.9 104.283 291.7c-21.494-.553-37.59-7.18-46.125-20.074-8.534-12.894-8.506-29.543-3.983-47.63 7.84-31.353 29.653-69.698 58.34-110.782-7.797 1.302-14.508 2.612-19.893 3.903-30.266 39.084-48.864 71.717-58.134 97.867-9.472 26.72-9.26 46.303-3.46 60.13 5.796 13.828 17.3 23.064 34.327 28.596 16.945 5.506 39.115 6.772 63.687 3.752 116.3-25.85 197.457-73.105 250.955-117.79 26.788-22.375 46.634-44.117 60.41-62.15 8.573-11.224 14.548-20.87 18.585-28.347-4.643-.358-9.413-.673-14.237-.97zM327.863 108.43c2.46-.037 26.5 15.642 28.945 24.73.76 2.82-4.772 13.078-10.61 10.718-13.923-5.627-20.837-32.943-18.505-35.392.033-.035.09-.054.17-.055zm-44.887 7.202c1.936-.767 26.606 28.7 25.068 40.233-.462 3.467-12.88 12.426-19.232 7.234-15.152-12.383-10.11-45.774-5.836-47.468zm186.066 2.324c-3.887 6.184-8.63 13.03-14.332 20.495-14.6 19.112-35.342 41.79-63.174 65.036-55.663 46.494-139.71 95.216-259.09 121.664l-.413.092-.422.052c-26.587 3.31-51.25 2.22-71.818-4.465-1.817-.59-3.593-1.247-5.347-1.934 4.72 6.51 9.666 12.87 14.947 19.027l6.414.7s17.492 1.912 39.102 2.595c21.61.683 47.583-.176 62-4.496 10.873-3.258 20.896-11.22 31.763-20.182 10.868-8.963 22.57-18.926 37.96-23.642 12.978-3.978 25.618-2.138 36.838-.908 11.22 1.23 20.902 1.86 28.63-1.116 27.108-10.44 63.867-40.88 92.75-68.666 28.885-27.784 50.388-52.72 50.388-52.72l3.77-4.375c7.334-18.944 12.98-35.012 13.78-37.297-1.212-3.29-2.454-6.573-3.744-9.86zm-299.03.866c1.696.033 2.86.29 3.284.757 1.226 1.36-20.59 30.342-31.982 32.51-3.425.65-15.137-6.865-11.805-13.616 6.705-13.585 31.34-19.834 40.5-19.652zm66.273 9.36c3.003 1.28 5.088 33.156-6.41 46.397-4.82 5.552-13.355-2.078-13.528-5.393-.574-11.025 18.577-41.586 19.938-41.006zm-38.68 2.91c.325-.012.58.028.756.124 1.27.7-7.563 28.066-15.533 32.645-2.396 1.377-13.112-1.212-12.365-7.132 1.67-13.238 22.265-25.435 27.143-25.635zm283.926 25.642c-7.37 19.928-18.22 47.66-27.638 65.084-14.927 27.616-30.982 56.845-55.205 79.562-18.01 16.892-40.096 28.675-62.217 37.465-17.536 6.968-34.834 5.994-47.87 10.537-7.17 2.5-15.877 10.933-25.573 21.287-9.697 10.353-20.54 22.33-35.166 29.792-11.15 5.69-24.748 7.68-38.69 7.846 13.48 3.14 28.213 5.623 44.417 7.332.093-.034 9.77-3.616 21.62-8.684 11.91-5.09 26.07-11.856 33.46-16.992 6.478-4.5 12.204-11.614 18.567-19.38 6.363-7.767 13.436-16.254 23.785-21.973 19.882-10.988 41.663-9.71 58.444-14.193 11.183-2.987 20.21-3.2 24.014-6.382 6.98-5.837 10.426-17.18 14.07-30.604 3.644-13.422 7.636-29.156 21.375-38.927 6.474-4.604 12.825-4.546 18.266-4.773 1.36-.057 2.662-.076 3.852-.07.388.002.707.013 1.07.02 11.538-31.327 14.215-56.02 12.407-77.43-.572-6.76-1.608-13.23-2.99-19.516zm-329.788 7.668c.77.01 1.305.13 1.54.36.854.826-12.014 20.554-19.298 22.456-2.19.572-10.104-3.784-8.24-8.303 3.89-9.43 20.615-14.593 25.998-14.513zm108.668 4.59c3.25.106 18.923 13.65 18.173 24.92-.324 4.878-9.348 5.28-11.06 3.798-5.694-4.93-8.52-28.32-7.39-28.683.08-.025.172-.037.277-.034zm-62.213 3.185c.06-.015.107-.012.138.008 2.238 1.368 2.52 23.227-6.79 30.234-3.904 2.938-10.1-3.64-10.094-5.907.015-7.3 14.895-23.87 16.747-24.336zm238.277 43.984c-5.864 6.003-12.288 12.424-19.147 19.02-29.546 28.422-66.15 59.934-98.76 72.493-12.84 4.944-25.656 3.46-37.06 2.21-11.403-1.25-21.513-2.254-29.603.226-10.87 3.33-20.9 11.343-31.78 20.317-10.88 8.974-22.615 18.912-38.048 23.537-19.014 5.698-45.372 5.95-67.737 5.244-9.818-.31-18.697-.864-25.706-1.39 3.16 2.875 6.44 5.682 9.858 8.408 6.895 5.5 14.363 10.7 22.517 15.54 5.198 1.216 20.1 4.506 38.1 6.614 22.188 2.6 48.33 2.293 60.57-3.95 10.72-5.47 20.475-15.673 30.208-26.065 9.733-10.393 19.288-21.274 32.79-25.98 17.582-6.127 34.547-5.26 47.144-10.267 20.79-8.26 40.87-19.16 56.55-33.867 20.7-19.412 35.725-45.58 50.102-72.09zm28.162 55.92c-3.02.497-5.553 1.285-5.28 1.09-7.28 5.178-10.838 15.723-14.437 28.978-.423 1.557-.847 3.153-1.282 4.765 4.742-5.842 8.917-11.45 12.354-16.646 3.184-6.29 6.057-12.346 8.644-18.188zm-63.65 78.56c-2.585.34-4.937.65-6.877 1.168-20.564 5.492-40.432 4.846-54.384 12.557-6.653 3.676-12.386 10.08-18.568 17.627-6.183 7.546-12.74 16.168-22.217 22.753-5.612 3.9-12.695 7.71-20.023 11.247 30.108-4.878 62.478-20.803 91.664-41.387 10.65-7.51 20.854-15.632 30.406-23.965z"}}]})(props);
};
function GiWaveCrest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M298.844 21.47c-19.177.074-37.7 9.793-43.156 29.06-21.613-18.783-57.038-5.957-57.97 13.907-.397.11-.79.234-1.187.344-12.147-4.116-20.077-.304-24.186 7.44-18.52-14.45-44.42-1.614-51.188 19.218-14.786-17.19-42.58 4.042-30.406 25.124.188.327.397.63.594.938-4.788 3.64-9.477 7.395-14.063 11.28-7.26-3.534-15.395-5.344-23.56-5.155-13.145.303-26.367 5.78-36.19 17.625v118.063c6.726 4.154 16.51 6.48 24.94 5.375-7.202 19.076-12.8 38.67-16.75 58.437-.277.918-.546 1.85-.782 2.813-.782 3.182-1.24 6.21-1.407 9.093-9.176 55.403-5.31 111.628 13.095 161.126H56.72c-15.91-39.335-21.726-84.3-18.095-129.875 20.554 13.602 55.617 7.05 63.563-25.31 7.245-29.515-15.273-47.982-38.126-47.876-4.062.02-8.143.638-12.062 1.875 5.06-17.025 11.418-33.773 19.063-49.94 5.86-12.39 12.446-24.437 19.75-36.03 13.37 8.93 38.33 6.824 41.25-21 1.343 4.814 9.112 7.514 15.656 7.438-10.532 23.45-18.023 48.2-22.564 73.343-8.506 47.1-6.837 95.784 4.625 140.564-22.214 3.28-24.636 38.295 1.22 38.844 4.18.087 7.748-.735 10.72-2.188 7.164 17.84 16.073 34.685 26.686 50.156h23.156c-45.083-57.982-62.535-143.55-48-224.03.185-1.024.4-2.042.594-3.063 12.583 16.662 30.995 16.28 44.313 7.156.098 7.433.444 14.858 1.06 22.25 6.366 76.193 39.422 149.527 91.626 197.686h29.156c-57.272-43.11-95.5-119.53-102.156-199.22-5.615-67.22 10.893-136.265 56.125-190.155-22.662 48.81-28.814 101.335-22.405 152.032-10.69 7.01-16.59 20.936-7.063 35.813 4.65 7.262 10.705 10.994 16.938 12.125 2.012 7.007 4.255 13.938 6.72 20.78 25.606 71.122 74.834 133.122 135.936 168.626h43.28c-69.03-26.022-128.378-90.037-158.405-166.47 12.857.64 25.67-14.788 16.658-29.686-3.872-6.39-9.452-9.026-14.97-9 3.396-7.17 3.52-15.913-2-24.53-4.954-7.738-11.826-11.5-18.874-12.25-5.378-44.973-.098-91.102 18.812-134.345l.906 1.75C273.37 181.75 290.925 240.357 322.625 289c10 15.346 21.402 29.735 33.906 42.938-1.243-.215-2.44-.324-3.592-.313-19.654.194-25.004 31.01-1.75 36.72 15.508 3.807 23.524-8.896 21.687-20.408 34.925 31.702 76.562 54.554 119.906 64.094v-19.217c-59.818-14.523-117.576-57.376-154.5-114.032-24.12-37.01-39.39-79.608-41.092-124 4.408-66.014 98.113-44.375 115.656-5.155-6.523-34.758-23.54-58.183-46.094-73.188 15.407-13.958-4.283-37.503-20.813-26.156-8.08-19.323-27.917-28.886-47.093-28.81zm-138.625 2c-2.13.103-4.395.752-6.72 2.03-16.766 9.213-4.997 35.847 12.75 26.094 15.18-8.345 7.774-27.85-5.125-28.125-.3-.008-.602-.016-.906 0zm264.155 22.874c-19.126-.404-22.245 28.57-2 29 20.526.43 21.4-28.59 2-29zM53.5 75.687C43.338 76.05 33.672 88.067 40.562 100c10.167 17.61 36.35 2.13 25.594-16.5-3.315-5.743-8.037-7.977-12.656-7.813zm69.906 42.282c.402.812.812 1.623 1.28 2.436 2.326 4.027 5.03 7.26 7.97 9.813-10.67 9.647-20.636 19.996-29.875 30.936-1.62-8.085-5.26-15.083-10.25-20.78 6.11-5.04 12.437-9.807 18.907-14.376 4.71-1.154 9.05-4.033 11.97-8.03zM181 123.062c2.093 2.72 4.457 5.205 7.063 7.374-4.182 5.037-8.18 10.204-11.97 15.5-2.8-4.34-6.46-8.03-10.593-10.812 6.088-2.494 11.522-6.697 15.5-12.063zm240 51.593c-25.802.693-29.64 40.193-1.594 40.78 28.89.61 30.117-40.2 2.813-40.78-.422-.01-.81-.01-1.22 0zm-244.188 4.625c3.198 9.806 12.542 14.786 22.125 13.69-2.288 8.29-4.19 16.68-5.718 25.124-6.353-6.258-13.926-9.102-21.5-9.25-3.403-.067-6.787.43-10.064 1.375 4.41-10.618 9.46-20.953 15.156-30.94zm280.47 42.22c-18.49-.39-21.542 27.59-1.97 28 19.844.417 20.725-27.608 1.97-28z","fillRule":"evenodd"}}]})(props);
};
function GiWaveStrike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M26.81 17.81c10.67 36.57 30.31 58.68 55.5 75.35 26.29 17.44 58.89 28.24 92.29 40.54 33.3 12.2 67.5 25.8 96.1 50.1 24.8 21 45 50.1 56.5 91.7 10.1-7.8 19.9-15.9 29.7-24.1-8.3-37.9-24.5-64.1-45.5-84.1-23.6-22.6-53.6-37.2-85.3-49.8-31.7-12.6-65-23.03-94.6-38.03-28-14.23-53.03-32.96-68.81-61.66zm57.78 0C98.03 37.41 117.1 51.19 140 62.78c27.6 14.01 60.4 24.43 92.9 37.32 32.6 12.9 65 28.4 91.4 53.6 21.6 20.6 38.8 47.7 48.5 84 10.5-9.2 20.8-18.4 31-27.6-4.3-31.9-16-55.5-32.3-74.3-19-21.8-44.7-37.13-73.3-49.46-56.8-24.5-124.1-35.88-167.4-68.53zm82.51 0c38.1 18.53 90.6 30.71 138.5 51.38 30 12.93 58.4 29.52 80 54.31 18.8 21.6 32.2 49.4 36.9 85.1 11.4-.1 22.9-1.5 34.3-4.5 6.1-51.1-23.9-93.1-67.2-125.35C345 45.62 286.7 24.27 245.4 17.81zm148.5 0c29 11.09 58.9 26.47 85.1 45.94 47.9 35.62 83.9 86.45 73.8 148.25l-.6-.1c-3.8 20.7-11.7 36.8-22.9 50.6-16 19.7-39.1 34.5-66.9 48.3-55.5 27.5-128.8 50.1-192.8 103.4-12 12.2-24 24.6-34.2 35-1.2-11.3-2.4-22.7-3.6-34l-11.4 4.4c-33.6 13.1-62.29 31.7-89.75 50.9-5.29-2-8.91-4.8-11-8.2-2.2-3.5-3.12-8.2-1.97-14.7l78.92-48.1c15.7-8.3 13.8-40.6 9.2-52.7l22.5 9.6c-.2-16.1-3.9-26.7-9.4-34.4-7.1-10-18.3-16.1-33.1-21.5-24.53-8.9-57.97-14.7-87.66-36.1v30.9c20.08 21.4 47.71 29.1 67.72 34.7 8.46 2.2 18.14 14.2 22.04 22.5 5.2 11.4 4.5 22.9-2.5 31.9l-80.98 49.4c-2.98 1.4-3.33 2.5-4.15 5.5-3.28 12.2-2.11 23.9 3.5 32.9 5.61 9 15.05 14.8 25.9 17.7l4.22 1.2c27.61-18.5 56.11-37.7 81.91-49.3l3.1 29.2 2 19.8 13.9-14.3 47.1-48.2c60.5-50.2 131.3-72.2 188.8-100.8 28.8-14.3 54.5-30.3 73.1-53.2 17.8-21.8 28.5-49.9 29.5-86.3.2-4.7.1-10 .1-14.9-.6-69-72.7-132.82-133-155.29zM19.84 51.03v52.77c10.49 24.4 27.77 38.9 49.75 50.2 23.38 12.1 51.91 19.7 80.61 29.4 28.7 9.7 57.7 21.6 81.3 43.3 20.9 19.3 37 46.3 44.6 84.6 11.9-7.3 23.5-15.2 34.9-23.6-10.1-42.4-28.8-69.7-52.4-89.7-25.6-21.7-57.5-34.7-90.4-46.8-33-12.1-67-23.2-96.2-42.5-20.95-13.81-39.27-32.22-52.16-57.67zm0 87.87v38.8l.22-.2c24.58 35 70.31 41.2 114.94 56.5 22.3 7.6 44.3 17.8 61.3 36.3 14.6 15.9 25.2 37.6 29.6 67.4 11.2-4.9 22.2-10.3 33-16.3-6.3-38.7-20.9-63.2-40.1-80.9-20.4-18.9-46.7-30-74.5-39.4-27.9-9.4-57.29-17.1-83.24-30.4-15.4-8-29.67-18.2-41.22-31.8zm0 66.4v35c27.88 25.8 63.2 31.5 94.06 42.6 16.2 5.9 31.5 13.7 41.9 28.2 8 11.1 12.5 25.7 12.9 44.5 13.4-2.6 26.5-6.3 39.3-10.9-3.5-29.2-12.9-48.1-25.4-61.7-14-15.2-32.6-24.1-53.6-31.3-35.75-12.2-78.62-18.6-109.16-46.4z"}}]})(props);
};
function GiWaveSurfer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169.9 19.76C109.8 19.4 56.01 32.11 26.37 60.2c-1.81 1.71-3.56 3.39-5.27 5.05V491.9h35.92c-17.04-44.3-24.83-95.2-22.74-134.1 15.94 37.1 29.87 91.8 57.44 134.1h58.18c-28.4-36.1-54.81-80.2-76.19-119.5-6.47-11.9-11.98-24.2-16.52-39.1 23.69 47.6 98.31 119.3 144.41 158.6h47.9c-18.8-15.2-30.3-33.4-39.1-49.3 23.1 20.3 49.9 36.6 80.1 49.3h70.6c-6.9-2.1-14.1-4.3-21.6-6.8-80.6-26.6-171-95-215.1-140.5-3.8-3.8-6.4-8.4-7.2-13.3-.8-5 .4-10 2.7-14 4.6-7.9 12.4-12.9 21.3-16.7 8.9-3.8 19.2-6.4 29.4-6.9s20.4 1.2 29.1 5.9c2 1.1 4 2.2 6.1 3.3-35.9-90.1.5-169 137-160.5-8.9-4.8-17.7-9.1-26.2-13l-97 11.5s43-18 62.5-25c-7.3-2.3-14.3-4.4-21.2-6-67.5 10.2-140 69.4-164.24 134.1-3.66-26.7 1.12-97.2 99.14-140.3-41 3.1-72.8 20.1-95.5 45.3-29.16 32.4-53.97 79.7-55.77 126.1-5.74-53 7.68-103.5 42.45-138C125.2 99.19 170 84.29 214.6 85.45 263.5 86.8 321.3 105.5 365.4 138c44.1 32.4 57.2 57.2 72.7 69.7 1.8-16.6-5-34.8-17.2-53.1 14.2 3.4 29 7.3 44.7 12.1-8.3-32.7-33-60.8-67-83.4 23.2 4.45 41.7 7.77 45.2.49-15.8-22.75-63.6-51.55-129.9-40.3-46.2-15.15-97-23.44-144-23.73zM365.2 189.9c-4.6-.1-9.1 2.2-13 7.1-4 4.9-6.8 12.3-7 20.7-.2 8.3 2.2 15.8 5.9 20.9 3.7 5.1 8.1 7.6 12.7 7.7 4.6.1 9.2-2.1 13.1-7 3.9-4.9 6.7-12.3 6.9-20.7.3-8.4-2.2-15.8-5.9-20.9-3.6-5.1-8.1-7.6-12.7-7.8zm-79.8 30.4c-19.9 2.6-37.5 10.9-57.1 18.8l6.1 16 49.1-15.1 36.7 11.1-25.9 56.7c-17.8-4.4-32.7-6.1-52.9-5.6l-21.9 55 16.7 12.2 19.9-43.2 51.2 4.9 30.4 46.4-5.9 45.3 18.6 8.1 9.6-52.4c-4-15.5-11.5-33.9-21.8-49.7l28.3-51.4 36.3 32.1 2 43.8 17.2 1.1c.8-16.6 2.4-32.2-.5-46-3.2-15.2-18.5-36.4-36.2-52.2-6.1 5-13.7 8.2-21.9 8-11-.3-20.6-6.5-26.8-15.1-4.1-5.7-6.9-12.5-8.3-19.9-13.7-4.2-25.4-8.4-42.9-8.9zm-111.2 91.8c-.9 0-1.9.1-2.9.1-7.9.4-16.3 2-23.1 4.9-6.7 2.9-11.5 6.9-12.8 9.1-.6 1.2-.6 1.6-.5 2.2.1.7.5 1.8 2.3 3.8 41.7 43 132.3 110.9 207.9 135.9 62.5 20.8 100.1 24.3 120.5 21.2 10.2-1.6 15.9-4.7 18.9-7.5 2.4-2.2 3.2-4.2 3.6-6.1-1-1.1-2.7-2.6-5.3-4.6-5.4-4.1-13.9-9.6-24.4-15.9-21-12.5-50.4-28.3-82.6-45-1-.5-2.1-1.1-3.1-1.6l-8.7 47.5-51.8-22.1 6.9-52.3-.5-.8c-18.8-9.5-37.4-18.9-55.1-27.9l-20.1 43.6-45.7-33 14.7-36.9c-7.6-4-14.9-7.8-21.3-11.3-3.9-2.2-10.1-3.2-16.9-3.3z"}}]})(props);
};
function GiWaves (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M400.9 104.8c-12 30-41 47.9-99.7 43.9-13.7-1.8-27.6-4.1-41.6-6.7-119.1-37.2-236.24-37.2-236.24 37.2 33.48-37.2 117.74-30.8 225.04-4 116.8 29.2 241.8 41.2 241.8-51.8-18.4 19.3-53.4 28.6-96.6 30.4 10-10.4 12.5-26.7 7.3-49zM147 187.5c-70.75-.3-123.64 16.1-123.64 66.1 33.48-37.2 117.74-34.8 225.04-8 116.8 29.2 241.8 45.2 241.8-47.8-35.4 37.2-130.2 39.6-230.6 8-37.7-11.9-78-18.2-112.6-18.3zm-23.9 69.6c-58.44-.2-99.74 15.6-99.74 70.9 33.48-37.2 122.34-44.3 225.04-18.6 121 30.2 241.8 37.2 241.8-37.2-35.4 37.2-132.1 22.6-230.6 4-48.4-7.5-96.5-19.1-136.5-19.1zm0 74.3c-58.44-.1-99.74 15.8-99.74 71 19.03-21.1 55.52-30.3 102.54-30.8-10.4 10.4-12.9 26.9-7.7 49.4 13.9-34.8 52-51.8 130.3-37.2 122.6 22.8 241.7 37.2 241.7-37.2-35.4 37.2-132.1 18.6-230.6 0-48.4-7.6-96.5-15.1-136.5-15.2z"}}]})(props);
};
function GiWavyChains (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440.625 41.625c-17.75 0-32.313 14.595-32.313 32.344 0 .438.014.876.032 1.31-10.094 3.13-20.075 6.465-29.906 10-5.897-8.132-15.456-13.468-26.188-13.468-17.75 0-32.344 14.564-32.344 32.313 0 1.794.15 3.563.438 5.28-9.648 4.597-19.12 9.444-28.438 14.532-5.82-5.57-13.664-9.03-22.28-9.03-17.75 0-32.345 14.594-32.345 32.343 0 3.397.543 6.664 1.532 9.75-9.677 6.856-19.11 14.055-28.312 21.594-4.292-2.12-9.112-3.313-14.188-3.313-17.75 0-32.312 14.596-32.312 32.345 0 4.202.83 8.213 2.313 11.906-8.38 8.767-16.504 17.89-24.344 27.407-3.454-1.27-7.16-1.968-11.032-1.968-17.75 0-32.344 14.593-32.344 32.343 0 7.448 2.58 14.35 6.875 19.843-5.835 9.13-11.468 18.54-16.876 28.25-2.107-.437-4.302-.656-6.53-.656-17.75 0-32.314 14.563-32.314 32.313 0 9.81 4.46 18.642 11.438 24.593-3.376 7.94-6.656 16.04-9.782 24.313-.548-.03-1.1-.033-1.656-.033-17.75 0-32.344 14.595-32.344 32.344 0 11.224 5.847 21.162 14.625 26.97-2.732 9.76-5.292 19.74-7.718 29.906H43.5c2.03-8.324 4.17-16.498 6.406-24.53 17.678-.087 32.157-14.648 32.157-32.345 0-10.61-5.21-20.087-13.188-26 2.954-7.866 6.008-15.574 9.188-23.124 1.312.165 2.645.25 4 .25 17.75 0 32.343-14.594 32.343-32.344 0-8.953-3.728-17.097-9.687-22.968 4.99-9.023 10.166-17.786 15.53-26.28 3.356 1.19 6.944 1.842 10.688 1.842 17.75 0 32.343-14.594 32.343-32.344 0-7.384-2.55-14.218-6.78-19.687 6.778-8.23 13.77-16.175 20.97-23.813 5.317 3.85 11.825 6.125 18.843 6.125 17.75 0 32.343-14.563 32.343-32.312 0-6.14-1.76-11.9-4.78-16.813 8.11-6.566 16.436-12.86 24.936-18.875 5.64 4.768 12.92 7.657 20.813 7.657 17.75 0 32.344-14.595 32.344-32.344 0-2.648-.327-5.218-.94-7.688 8.92-4.824 18.005-9.45 27.25-13.812 5.937 6.56 14.51 10.72 23.97 10.72 17.75 0 32.344-14.596 32.344-32.345 0-.502-.008-1.003-.03-1.5 9.8-3.49 19.755-6.762 29.842-9.844 5.885 8.17 15.466 13.532 26.22 13.532 16.575 0 30.4-12.735 32.155-28.874 7.297-1.63 14.65-3.166 22.064-4.626v-19.03c-8.586 1.655-17.115 3.42-25.563 5.312-5.42-10.344-16.256-17.47-28.655-17.47zm0 18.688c7.65 0 13.656 6.006 13.656 13.656s-6.005 13.655-13.655 13.655c-7.65 0-13.625-6.006-13.625-13.656s5.975-13.657 13.625-13.657zM352.25 90.5c7.65 0 13.656 5.975 13.656 13.625S359.9 117.78 352.25 117.78s-13.656-6.005-13.656-13.655c0-7.65 6.006-13.625 13.656-13.625zm142.594 12.53c-15.862 2.592-27.806 16.822-27.125 33.25.028.705.112 1.404.186 2.095-6.245 1.552-12.452 3.174-18.594 4.875-6.018-9.355-16.697-15.428-28.53-14.938-17.735.736-31.736 15.923-31 33.657.01.28.043.562.062.843-5.123 1.98-10.194 4.014-15.22 6.125-6.17-8.496-16.34-13.902-27.53-13.438-17.734.735-31.704 15.922-30.97 33.656.116 2.77.57 5.455 1.345 8-6.708 3.866-13.316 7.888-19.783 12.063-6.202-6.308-14.922-10.08-24.375-9.69-17.733.737-31.704 15.924-30.968 33.657.22 5.34 1.763 10.33 4.28 14.688-5.172 4.575-10.237 9.273-15.186 14.125-5.14-2.994-11.162-4.607-17.5-4.344-17.734.736-31.705 15.923-30.97 33.656.29 6.986 2.835 13.383 6.876 18.532-4.332 5.862-8.527 11.884-12.594 18.062-3.715-1.298-7.726-1.922-11.875-1.75-17.734.736-31.735 15.923-31 33.656.398 9.588 5.035 18.06 12 23.72-2.762 5.964-5.414 12.012-7.97 18.218-1.648-.192-3.323-.29-5.03-.22-17.734.737-31.704 15.892-30.97 33.626.467 11.224 6.705 20.93 15.72 26.375-2.977 10.897-5.67 22.1-8.094 33.626h19.064c2.148-9.92 4.503-19.584 7.062-29 17.675-.8 31.61-15.964 30.875-33.656-.39-9.437-4.873-17.812-11.655-23.47 2.547-6.262 5.177-12.404 7.938-18.405 1.548.165 3.12.223 4.718.156 17.735-.734 31.705-15.92 30.97-33.655-.293-7.064-2.88-13.54-7-18.72 4.01-6.162 8.187-12.14 12.47-17.967 3.785 1.358 7.88 2.02 12.124 1.843 17.734-.734 31.704-15.92 30.97-33.655-.206-4.938-1.535-9.57-3.72-13.688 5.1-5.014 10.33-9.86 15.687-14.562 4.912 2.626 10.55 4.027 16.47 3.78 17.734-.734 31.704-15.92 30.97-33.655-.078-1.84-.315-3.628-.69-5.375 6.9-4.457 13.96-8.722 21.158-12.813 6.01 5.16 13.88 8.164 22.343 7.813 17.735-.735 31.705-15.922 30.97-33.656-.003-.064.003-.126 0-.19 5.136-2.142 10.313-4.213 15.563-6.218 6.206 8.175 16.18 13.33 27.125 12.875 17.105-.71 30.716-14.864 31-31.78 6.894-1.89 13.863-3.698 20.906-5.407 4.898 5.79 11.78 9.827 19.5 11.094v-19.28c-4.812-1.93-8.237-6.477-8.47-12.064-.248-5.997 3.258-11.13 8.47-13.22v-19.25zm-225.22 30.564c7.65 0 13.657 6.006 13.657 13.656s-6.005 13.656-13.655 13.656c-7.65 0-13.656-6.006-13.656-13.656s6.005-13.656 13.655-13.656zm151.907 13.375c7.645-.318 13.903 5.45 14.22 13.093.317 7.643-5.45 13.87-13.094 14.187-7.643.317-13.87-5.42-14.187-13.063-.318-7.643 5.418-13.9 13.06-14.218zm-73.655 27.218c7.643-.317 13.902 5.42 14.22 13.062.316 7.643-5.452 13.87-13.095 14.188-7.644.316-13.87-5.42-14.188-13.063-.316-7.643 5.42-13.87 13.063-14.188zm139.688 14.906c-.658-.013-1.305.003-1.97.03-16.177.672-29.205 13.377-30.812 29.064-9.245 2.683-18.338 5.576-27.25 8.718-6.248-7.28-15.63-11.768-25.874-11.344-17.734.736-31.704 15.923-30.97 33.657.033.766.104 1.528.19 2.28-8.265 4.363-16.31 9.03-24.126 13.97-5.705-4.165-12.772-6.533-20.313-6.22-17.733.735-31.704 15.922-30.968 33.656.152 3.703.944 7.225 2.25 10.5-8.037 7.61-15.686 15.684-22.908 24.25-4.14-1.687-8.678-2.54-13.406-2.344-17.734.736-31.704 15.923-30.97 33.657.338 8.116 3.72 15.445 8.97 20.936-5.584 10.4-10.684 21.328-15.312 32.78-.094.005-.187-.002-.28.002-17.735.735-31.706 15.922-30.97 33.656.418 10.087 5.514 18.955 13.094 24.594-1.802 7.87-3.395 15.94-4.813 24.218h18.97c1.087-6.07 2.267-12.02 3.56-17.844.943.045 1.886.04 2.845 0 17.734-.735 31.704-15.922 30.97-33.656-.46-11.043-6.522-20.612-15.314-26.094 4.08-9.924 8.573-19.37 13.406-28.406 2.736.63 5.604.903 8.532.78 17.734-.734 31.704-15.92 30.97-33.655-.262-6.287-2.356-12.082-5.72-16.936 6.337-7.472 13.03-14.552 20.03-21.25 5.6 3.903 12.466 6.083 19.75 5.78 17.735-.734 31.705-15.92 30.97-33.655-.143-3.454-.818-6.758-1.97-9.845 6.56-4.096 13.304-7.97 20.22-11.656 6.24 7.355 15.664 11.895 25.97 11.467 17.732-.735 31.734-15.922 30.998-33.656-.034-.83-.122-1.654-.218-2.468 7.624-2.662 15.403-5.144 23.312-7.468 5.695 10.602 17.13 17.684 29.875 17.156 2.258-.094 4.443-.435 6.564-.97v-20.218c-2.085 1.492-4.558 2.416-7.344 2.532-7.63.316-13.902-5.463-14.22-13.094-.315-7.63 5.464-13.87 13.095-14.188 3.196-.132 6.102.828 8.47 2.532v-20.25c-2.347-.6-4.784-.95-7.283-1zm-291.25 4.875c7.65 0 13.656 6.005 13.656 13.655 0 7.65-6.007 13.625-13.657 13.625s-13.625-5.975-13.625-13.625 5.974-13.656 13.625-13.656zm77.78 24.25c7.644-.318 13.903 5.418 14.22 13.06.316 7.645-5.45 13.903-13.094 14.22-7.645.317-13.872-5.45-14.19-13.094-.316-7.643 5.42-13.87 13.064-14.187zm128.313 16c7.644-.318 13.902 5.45 14.22 13.093.316 7.643-5.42 13.87-13.063 14.187-7.644.317-13.902-5.42-14.22-13.063-.316-7.643 5.42-13.9 13.063-14.218zm-271.469 29.436c7.65 0 13.657 6.006 13.657 13.656s-6.006 13.657-13.656 13.657-13.657-6.007-13.657-13.658c0-7.65 6.007-13.656 13.657-13.656zm83.75 12.688c7.644-.317 13.902 5.42 14.22 13.062.316 7.644-5.42 13.87-13.063 14.188-7.644.317-13.902-5.42-14.22-13.063-.316-7.642 5.42-13.87 13.064-14.186zm112.532 1.594c7.642-.317 13.9 5.42 14.217 13.062.317 7.643-5.45 13.87-13.093 14.188-7.644.316-13.87-5.42-14.188-13.063-.317-7.644 5.42-13.87 13.063-14.188zm123.155 7.53c-.55-.005-1.102.01-1.656.032-17.735.735-31.705 15.922-30.97 33.656.01.272.044.543.063.813-6.877 2.38-13.507 5.056-19.875 8.06-5.933-4.86-13.587-7.65-21.782-7.31-17.734.734-31.704 15.92-30.97 33.655.143 3.408.816 6.666 1.94 9.72-7.352 7.58-13.99 15.87-19.938 24.842-3.38-1.033-6.977-1.528-10.688-1.375-17.734.736-31.704 15.892-30.97 33.625.46 11.084 6.564 20.685 15.408 26.157-1.722 6.076-3.245 12.326-4.563 18.75-14.832 2.044-26.397 14.252-27.78 29.062h18.842c1.282-5.94 6.374-10.39 12.782-10.656 6.795-.28 12.49 4.268 13.874 10.656h18.875c-1.067-11.547-8.272-21.3-18.19-26.125 1.204-5.804 2.58-11.422 4.126-16.874.094-.003.187.004.28 0 17.735-.735 31.706-15.89 30.97-33.625-.303-7.322-3.074-14.01-7.47-19.28 4.8-7.218 10.114-13.895 15.877-20.063 5.687 4.136 12.736 6.468 20.25 6.157 17.733-.736 31.735-15.923 31-33.656-.115-2.77-.57-5.455-1.344-8 5.107-2.313 10.434-4.393 15.936-6.282 6.215 8.084 16.127 13.17 27 12.72 14.41-.598 26.336-10.74 29.906-24.032 4.423-.35 8.938-.595 13.532-.75v-18.688c-4.79.162-9.51.424-14.156.78-4.348-12.695-16.42-21.83-30.313-21.967zm-.875 18.72c7.643-.317 13.87 5.42 14.188 13.062.316 7.643-5.42 13.902-13.063 14.22-7.644.316-13.87-5.452-14.188-13.095-.316-7.644 5.42-13.87 13.063-14.188zm-72.594 35.218c7.644-.317 13.902 5.42 14.22 13.063.316 7.642-5.42 13.87-13.063 14.186-7.644.317-13.902-5.42-14.22-13.062-.316-7.644 5.42-13.87 13.063-14.188zm-294.844 4.03c7.65.002 13.657 5.976 13.657 13.627 0 7.65-6.007 13.656-13.657 13.656s-13.626-6.007-13.626-13.658c0-7.65 5.975-13.625 13.626-13.625zm180.125.533c7.644-.318 13.87 5.45 14.188 13.092.317 7.644-5.42 13.87-13.063 14.188-7.643.317-13.87-5.42-14.187-13.063-.317-7.643 5.42-13.9 13.063-14.218zm-96.062.874c7.643-.317 13.902 5.42 14.22 13.062.316 7.644-5.452 13.902-13.095 14.22-7.643.316-13.87-5.45-14.188-13.095-.316-7.642 5.42-13.87 13.063-14.186zm320.906 7.47c-.54.008-1.09.024-1.624.06-14.956 1.05-27.77 12.548-29.844 27.938-.328 2.436-.373 4.863-.156 7.22-5.63 2.33-11.127 5.22-16.406 8.593-5.044-3.776-11.217-6.128-17.938-6.406-17.733-.737-32.92 13.234-33.656 30.967-.4 9.64 3.56 18.505 10.094 24.72-2.776 6.484-5.05 13.435-6.72 20.812-14.393 2.407-25.54 14.432-26.905 28.936h18.875c1.274-5.94 6.342-10.39 12.75-10.656 6.797-.28 12.516 4.268 13.906 10.656h18.844c-1.092-11.87-8.634-21.855-18.97-26.53 1.235-5.224 2.784-10.18 4.658-14.813 1.45.264 2.926.437 4.437.5 17.734.735 32.92-13.235 33.656-30.97.182-4.363-.53-8.562-1.967-12.437 3.98-2.42 8.103-4.49 12.28-6.187 5.03 6.333 12.4 10.813 20.97 11.967 3.944.53 7.847.316 11.53-.53v-19.938c-2.584 1.62-5.715 2.382-9.03 1.936-7.57-1.02-12.74-7.776-11.72-15.344 1.02-7.57 7.775-12.706 15.344-11.687 2.015.27 3.825.945 5.407 1.938v-19.938c-.958-.22-1.917-.398-2.906-.53-1.65-.223-3.285-.31-4.907-.283zm-169.75 53.905c7.645-.318 13.872 5.418 14.19 13.06.316 7.645-5.42 13.903-13.064 14.22-7.643.317-13.87-5.42-14.187-13.063-.318-7.643 5.418-13.9 13.06-14.218zm101.595 2.155c.466-.026.93-.02 1.406 0 7.645.317 13.412 6.575 13.095 14.22-.317 7.642-6.575 13.378-14.22 13.06-7.642-.316-13.378-6.574-13.06-14.217.296-7.166 5.797-12.666 12.78-13.063zm-284.72 11.813c7.645-.317 13.872 5.45 14.19 13.093.316 7.645-5.42 13.872-13.064 14.19-7.642.316-13.9-5.42-14.218-13.064-.316-7.643 5.45-13.902 13.094-14.22zm-84.405 4.437c7.65 0 13.625 6.006 13.625 13.656S57.4 451.94 49.75 451.94s-13.656-6.007-13.656-13.657 6.006-13.655 13.656-13.655zm174.844 6.75c7.643-.317 13.87 5.42 14.187 13.063.318 7.643-5.418 13.9-13.06 14.218-7.645.317-13.903-5.45-14.22-13.094-.317-7.643 5.45-13.87 13.094-14.187zm262.25 24.438c-17.014.167-31.288 13.82-32 31-.12 2.86.15 5.66.75 8.343h19.875c-1.326-2.2-2.055-4.793-1.94-7.594.318-7.63 6.558-13.378 14.19-13.062 2.68.11 5.097.982 7.124 2.375V456.75c-2.046-.497-4.173-.816-6.344-.906-.554-.023-1.107-.037-1.656-.03z"}}]})(props);
};
function GiWavyItinerary (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.875 15.47v44.405c6.964 245.8 209.943 234.28 332.875 332.938-10.604 5.66-23.793 9.413-40.125 11.406 44.99 10.586 84.793 44.636 104.03 89.092 23.766-62.477-3.088-115.007-25.905-164.78-2.283 16.258-6.327 29.72-12.906 40.624-65-77.148-197.603-71.956-270.375-246.22 109.484 109.288 275.855-16.455 346.78 173.876-9.736 4.946-21.563 5.977-36.47 3.094 26.28 31.006 41.215 69.576 60.033 119.906 17.417-63.916 15.822-108.235 6.03-162.406-4.77 12.202-10.066 21.867-16.406 29C415.188 8.556 195.654 151.902 75.78 15.47H20.876z","fillRule":"evenodd"}}]})(props);
};
function GiWaxSeal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M283.406 26c-31.262-.124-67.23 14.174-87.406 24.813-14.187 7.48-63.924 37.248-106.594 45.5-55.05 10.643-86.878 63.63-54.594 90.156 53.676 44.1 55.533 101.236 15.844 143.186-43.832 46.33 1.16 113.166 63.844 105.625 62.685-7.54 89.117.543 121.03 32.44 41.408 41.38 131.457 24.757 153.595-32.595 10.275-26.614 24.304-56.372 58.594-68.563 40.316-14.328 52.335-59.373 26.217-90.625-19.376-23.183-21.61-47.184 4.875-95.468 21.756-39.664 4.657-83.827-55.937-80.44-45.002 2.515-64.425-27.456-97.156-59.374C314.866 30.074 299.78 26.066 283.405 26zm-20.312 76.188c87.992 0 159.53 71.508 159.53 159.5 0 87.994-71.538 159.53-159.53 159.53s-159.53-71.536-159.53-159.53c0-87.995 71.538-159.5 159.53-159.5zm0 18.687c-77.892 0-140.813 62.918-140.813 140.813 0 77.894 62.922 140.843 140.814 140.843 77.89 0 140.844-62.948 140.844-140.842 0-77.892-62.953-140.813-140.844-140.813zm-9.344 19.188h18.688v12.562l32.218 9.78-32 9.72h-.78v97.47H253.75V172.53l-33.344-10.124 33.344-10.125v-12.218zm-51.875 40.343c9.892-.023 20.71 2.28 32.313 7.156v20.594c-14.94-7.682-27.267-9.843-36.657-8.844-11.21 1.194-18.696 6.513-23.468 14.125-9.34 14.902-7.106 39.607 13.907 56.157h-25.657c-14.936-20.91-15.937-47.15-4.063-66.094 7.603-12.13 20.8-20.992 37.313-22.75 2.064-.22 4.16-.34 6.312-.344zm122.438 0c2.153.005 4.28.124 6.343.344 16.513 1.758 29.71 10.62 37.313 22.75 11.872 18.944 10.872 45.183-4.064 66.094H338.22c21.01-16.55 23.245-41.255 13.905-56.156-4.77-7.613-12.258-12.932-23.47-14.125-9.69-1.032-22.498 1.294-38.092 9.593v-20.75c12.145-5.308 23.443-7.774 33.75-7.75zm-71.438 16.875c.052.034.104.063.156.095l-.155.25v-.344zm-81.563 91h183.563v18.44h-34.28v17.81h34.28v18.69H171.312v-18.69h36.47v-17.81h-36.47v-18.44zm55.157 18.44v17.81h27.28v-17.81h-27.28zm45.968 0v17.81h29.468v-17.81h-29.47zm-9.157 50.03c7.64 0 13.845 6.204 13.845 13.844s-6.204 13.844-13.844 13.844-13.842-6.204-13.842-13.844 6.203-13.844 13.843-13.844zM457 410.5c-7.208.234-14.82 2.62-21.5 7.688-34.04 25.825-9.88 74.987 31.938 40.437 32.292-26.678 13.11-48.89-10.438-48.125z","fillRule":"evenodd"}}]})(props);
};
function GiWaxTablet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M436.992 30.271l-94.19 3.489-35.874 39.347-23.596-34.214-187.894.859-5.778 252.535 52.742 48.498 114.059 1.383-.219 17.996-94.004-1.139 13.25 12.184 160.268 16.852 54.121-3.733 1.238 17.955-45.183 3.117-2.606 25.493 94.756 24.796-.512-200.06-28.111-12.621 28.004-29.17-.47-183.567zM280.85 96.351l.166 17.997-152.407 1.406-.166-17.998 152.407-1.404zm120.046 0l.27 17.997-94.113 1.404-.268-17.996 94.111-1.404zm-2.91 38.631l.473 17.993-53.377 1.404-.475-17.992 53.38-1.405zm-77.822.7l.2 17.998-191.036 2.105-.2-17.996 191.036-2.107zm-188.678 41.44l42.139.7-.299 17.996-42.14-.703.3-17.994zm262.317 0l.41 17.993-153.81 3.512-.41-17.994 153.81-3.512zm-198.555 2.105h21.773v17.998h-21.773v-17.998zm86.305 37.222l.164 17.998-153.81 1.405-.165-17.997 153.81-1.406zm24.664 0h89.898v17.998h-89.898V216.45zm-44.854 44.95l132.74 1.406-.19 17.996-132.741-1.405.191-17.998zm-133.539.703H243.71V280.1H127.824v-17.998zm32.81 40.736l.4 17.994-31.604.703-.4-17.994 31.605-.703zm233.735.006l.684 17.984-55.485 2.108-.683-17.987 55.484-2.105zm-68.53 2.802l.085 17.999-151.703.7-.084-17.997 151.703-.702zm-234.083 13.02l-.35 21.574 64.11 57.606 5.1-15.864-68.86-63.316zm302.139 24.906l.228 17.996-110.266 1.407-.23-17.998 110.268-1.405zM177.11 389.477l-5.195 16.162 154.508 13.613 1.424-13.926-150.737-15.85zm158.977 58.127l-4.574 15.039 106.638 26.703c.27-5.17.572-10.058.877-14.805l-102.941-26.937z"}}]})(props);
};
function GiWebSpit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M21.438 17.656v9.938C37.81 43.897 54.236 59.792 70.78 75.25c2.573 12.667 1.725 23.156-2.124 32.438-15.92-18.03-31.71-35.61-47.22-52.782l.002 27.907c70.88 78.78 146.137 165.605 206.343 263.156 13.8 52.237 8.507 101.07-26.5 145.936h23.032c8.083-12.15 14.338-24.677 18.938-37.47 15.217 1.72 33.785 5.172 48.03 13.377 3.376 7.964 6.63 16 9.75 24.093h20c-3.345-8.968-6.838-17.854-10.5-26.656 8.66-10.96 22.278-19.576 37.94-24.938 11.79 20.602 21.207 38.808 26.624 51.594h20.125c-5.083-14.244-14.946-33.968-27.626-56.312 20.542-3.283 42-1.254 57.937 6.03l.314.157c11.46 16.573 22.16 33.27 32.03 50.126h21.563c-11.953-21.14-25.167-41.973-39.468-62.562 2.386-9.1 5.464-17.228 9.436-24.563l47.156 36.97V418l-36.5-28.594c7.515-8.648 17.01-16.088 29.063-22.844 2.47 1.22 4.956 2.42 7.438 3.625v-20.843c-18.542-9.172-36.76-18.583-54.688-28.25-1.054-13.162.976-23.972 6.53-33.75 6.17-10.858 17.096-20.864 34.876-30.25l4.19-2.22c3.075.052 6.108.03 9.092-.06v-18.72c-4.68.146-9.552.092-14.625-.188-9.012-15.84-13.766-31.516-15.906-47.406 10.3-4.778 20.49-10.258 30.533-16.375V150c-65.106 42.96-132.462 57.01-204.47 27.656-71.11-32.4-142.686-72.663-197.124-105.5-19.133-17.603-38.152-35.753-57.064-54.5H21.438zm69.093 75.75c9.104 8.28 18.228 16.462 27.407 24.5-2.14 9.614-6.785 21.5-13.343 31.125-7.563-8.876-15.15-17.642-22.72-26.31 4.953-8.856 7.91-18.705 8.657-29.314zm43.157 38.156c8.516 7.292 17.06 14.502 25.657 21.594 11.636 23.238 15.422 49.608 8.062 73.188-16.436-21.38-33.276-42.186-50.25-62.438 7.905-9.9 13.208-21.488 16.53-32.344zm33.72 3.97c19.33 10.633 39.44 21.326 59.968 31.718-.643 2.09-1.78 4.563-3.594 7.03-.93 1.27-2.013 2.506-3.186 3.69-15.632-11.976-31.102-24.276-46.438-36.876-.196-.365-.394-.73-.594-1.094l-.437.25c-1.91-1.57-3.814-3.138-5.72-4.72zm76.968 40.187c6.032 2.968 12.09 5.89 18.156 8.78v.03c6.862 3.562 13.704 6.74 20.533 9.564 5.253 2.4 10.5 4.78 15.75 7.094 7.944 3.5 15.86 6.88 23.75 10.156-1.775 2.63-4.25 5.393-7.407 7.906-6.508 5.18-15.358 9.116-23.75 10.094-18.86-12.937-37.46-26.262-55.812-40 1.152-1.29 2.243-2.63 3.25-4 2.21-3.008 4.123-6.236 5.53-9.625zm-55.72 8.593c25.305 22.866 49.936 45.837 73.626 69l-81.405-9.938c8.618-18.825 10.685-39.22 7.78-59.063zm259.658 11.656c2.107 12.503 5.76 25.073 11.53 37.624-25.556-3.827-54.49-11.692-85.03-22.344 25.004-.867 49.547-6.166 73.5-15.28zm-108 22.56c14.673 5.778 29.14 11.077 43.312 15.72-7.58 15.442-11.644 30.8-13.188 46.03-19.927-12.048-39.524-24.437-58.812-37.25 5.526-2.412 10.66-5.55 15.188-9.155 5.49-4.368 10.29-9.51 13.5-15.344zm61.406 21.314c18.968 5.555 37.247 9.83 54.5 12.375-10.454 7.697-18.568 16.23-24.064 25.905-5.7 10.035-8.58 21.023-9.125 32.688-11.698-6.502-23.257-13.142-34.717-19.875.57-17 4.48-33.964 13.406-51.094zm-122.845 3.53c29.595 20.37 59.846 39.808 90.938 58.345.64 15.733 3.538 31.3 7.53 46.624-30.25-35.6-63.362-70.51-98.468-104.97zm-83.47 20.595l28.97 3.53c15.58 14.313 37.374 41.2 59.313 71.875-6.406 12.17-10.73 26.36-12.938 43.22-22.624-41.445-48.19-80.912-75.344-118.626zm58.564 7.155l29.968 3.656c9.93 10.012 19.686 20.043 29.218 30.126-6.933 5.344-13.097 11.203-18.437 17.75-14.15-19.553-28.05-37.334-40.75-51.53zm135.343 42.063c26.142 15.11 52.89 29.6 80.312 43.562-20.473 14.02-34.436 31.82-43 53.844-5.67-7.747-11.472-15.448-17.438-23.125-8.76-25.44-16.983-50.004-19.875-74.283zm-63.375 5.437c8.626 9.347 17.076 18.738 25.312 28.156-21.46 6.077-43.836 14.744-61.188 31.126 4.605-28.262 16.223-44.755 35.875-59.28zM364.75 362.5c15.275 18.052 29.763 36.24 43.375 54.594-16.32-2.82-33.8-2.268-50.53 1.312-8.52-14.31-17.885-29.31-27.72-44.406 10.934-4.86 22.817-8.386 34.875-11.5zm-51.344 20.47c8.952 13.758 17.532 27.64 25.438 40.905-13.797 5.136-26.463 12.596-36.47 22.53-4.935-11.072-10.09-22.034-15.468-32.842 6.303-13.44 15.514-23.187 26.5-30.594zm-60.28 6.5c9.57 17.408 18.628 35.132 27.03 53.217-10.95-3.496-21.905-5.32-31.47-6.468 3.61-15.33 4.978-30.955 4.44-46.75z"}}]})(props);
};
function GiWeightCrush (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-41.42 0-75 33.58-75 75 0 17.06 5.874 32.398 15.468 45H136L46 346h420l-90-210h-60.468C325.127 123.398 331 108.06 331 91c0-41.42-33.58-75-75-75zm0 30c24.854 0 45 20.146 45 45 0 24.853-20.146 45-45 45s-45-20.147-45-45c0-24.854 20.146-45 45-45zm-4.218 330A60 60 0 0 0 196 436a60 60 0 0 0 120 0 60 60 0 0 0-64.218-60z"}}]})(props);
};
function GiWeightLiftingDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 193c-20.835 0-39 20.24-39 47s18.165 47 39 47 39-20.24 39-47-18.165-47-39-47zm-56.154 58.045c-31.257 8.56-47.236 34.018-61.975 61.45-17.314 32.592-28.125 71.052-36.09 102.505H89v-55H71v55H55v-39H37v39H20v18h17v39h18v-39h16v55h18v-55h84.592c5.427 13 11.908 26 18.408 39l-48 6v15h72.79l-12.35-60h103.12l-12.35 60H368v-15l-48-6c6.5-13 12.98-26 18.408-39H423v55h18v-55h16v39h18v-39h17v-18h-17v-39h-18v39h-16v-55h-18v55h-12.78c-7.967-31.463-18.818-70.017-36.857-102.727-15.017-27.23-29.637-51.526-61.316-60.543C307.244 281.506 284.524 305 256 305c-28.743 0-51.593-23.856-56.154-53.955zm-3.608 48.385l10.04 50.24C176 360 160 360 160 376c0 13 2.64 26 6.85 39h-32.032c7.596-28.945 17.637-61.754 31.31-87.494 9.008-14.526 17.53-18.784 30.11-28.076zm119.3 1.35c11.32 8.253 20.97 10.93 29.804 26.947 14.136 25.632 24.233 58.35 31.836 87.273H345.15c4.21-13 6.85-26 6.85-39 0-16-16-16-46.28-26.33l9.817-48.89zM256 376c22.95 0 60 16 60 16l-4.734 23H200.734L196 392s37.05-16 60-16z"}}]})(props);
};
function GiWeightLiftingUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M77.492 18.457l-17.726 3.127L69.09 74.47a1630.67 1630.67 0 0 0-15.8 2.54l-6.503-36.89-17.726 3.124 6.49 36.795a1877.847 1877.847 0 0 0-17.196 3.112l3.292 17.696c5.728-1.066 11.397-2.09 17.028-3.084l7.056 40.02 17.727-3.124-7.04-39.93c5.304-.88 10.57-1.725 15.798-2.54l9.777 55.45 17.727-3.126-9.697-54.99c8.483-1.218 16.866-2.338 25.18-3.38 15.54 46.39 34.697 99.995 66.936 134.448C190.86 250.992 192 268 214.56 310 192 348 176 412 167.21 471l-48 6v15H192c16-48 64-144 64-144s48 96 64 144h72.79v-15l-48-6C336 412 320 348 294 310c26-42 24.175-59.585 35.83-89.377 32.25-34.452 51.42-88.075 66.967-134.478 8.314 1.04 16.697 2.16 25.18 3.38l-9.696 54.99 17.728 3.124 9.777-55.45c5.23.815 10.494 1.66 15.8 2.54l-7.042 39.93 17.727 3.125 7.056-40.02c5.63.993 11.3 2.017 17.028 3.083l3.292-17.696c-5.78-1.075-11.507-2.11-17.195-3.113l6.49-36.796-17.727-3.125-6.504 36.89c-5.303-.88-10.57-1.727-15.8-2.54l9.324-52.886-17.726-3.127-9.406 53.35C365.982 63.31 310.982 59.04 256 59.04c-54.98 0-109.983 4.27-169.102 12.767l-9.406-53.35zM256 76.98c35.53 0 71.07 1.83 107.822 5.463-14.082 34.858-38.454 73.504-63.203 101.967C290.293 199.27 274.35 209 256 209c-18.35 0-34.294-9.73-44.62-24.59-24.748-28.463-49.12-67.11-63.202-101.967 36.75-3.633 72.29-5.463 107.822-5.463zM256 97c-20.835 0-39 20.24-39 47s18.165 47 39 47 39-20.24 39-47-18.165-47-39-47z"}}]})(props);
};
function GiWeight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 46c-45.074 0-82 36.926-82 82 0 25.812 12.123 48.936 30.938 64H128L32 480h448l-96-288h-76.938C325.877 176.936 338 153.812 338 128c0-45.074-36.926-82-82-82zm0 36c25.618 0 46 20.382 46 46s-20.382 46-46 46-46-20.382-46-46 20.382-46 46-46zm-82.215 202.95h23.5v33.263l33.873-33.264h27.283l-43.883 43.15 48.4 47.974H233.54l-36.255-35.888v35.888h-23.5V284.95zm119.934 21.24c4.76 0 8.952.934 12.573 2.806 3.62 1.872 6.938 4.82 9.95 8.85v-10.13h21.972v61.462c0 10.986-3.48 19.368-10.438 25.146-6.917 5.82-16.968 8.727-30.152 8.727-4.272 0-8.4-.325-12.39-.976-3.986-.65-7.996-1.647-12.024-2.99v-17.03c3.826 2.198 7.57 3.826 11.23 4.884 3.664 1.098 7.347 1.648 11.05 1.648 7.162 0 12.41-1.566 15.746-4.7 3.337-3.132 5.006-8.035 5.006-14.708v-4.7c-3.01 3.986-6.328 6.916-9.95 8.788-3.62 1.87-7.813 2.808-12.573 2.808-8.343 0-15.238-3.275-20.69-9.826-5.453-6.592-8.18-14.974-8.18-25.146 0-10.214 2.727-18.576 8.18-25.086 5.452-6.55 12.347-9.827 20.69-9.827zm8.118 15.746c-4.517 0-8.038 1.67-10.56 5.005-2.523 3.338-3.784 8.058-3.784 14.162 0 6.266 1.22 11.026 3.662 14.28 2.442 3.215 6.003 4.823 10.682 4.823 4.557 0 8.096-1.67 10.62-5.006 2.522-3.337 3.784-8.036 3.784-14.098 0-6.104-1.262-10.824-3.785-14.16-2.523-3.337-6.062-5.006-10.62-5.006z"}}]})(props);
};
function GiWell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M86.236 28.564l-41.248 110h422.024l-41.248-110zm32.764 128v176.07c76.024 28.87 197.976 28.87 274 0v-176.07h-18v137.428c-7.16-3.66-15.96-6.65-26.307-9.236-24.208-6.052-56.74-9.64-92.693-9.64-7.85 0-15.526.18-23 .51-.017-12.01.002-24.02.04-36.032l24.013-60.03H238.05L215 237.194v39.566c-19.528 1.612-37.125 4.354-51.693 7.996-10.346 2.586-19.147 5.577-26.307 9.236V156.564zm89 23v16h4.266l6.4-16zm68.44 0l-25.6 64h17.867l25.602-64zm-196.44 23v18h21v-18zm75 0v18h42v-18zm149.492 0l-16.4 41H304v-23h53v-18zm106.508 0v18h12v80h57v-18h-39v-80zm-155 90.55c34.738 0 66.208 3.575 88.326 9.105 11.06 2.763 19.795 6.09 25.035 9.186 4.377 2.587 5.365 4.425 5.576 4.71.04-.057.064-.074.064 0 0 .073-.023.055-.064 0-.21.283-1.2 2.12-5.575 4.706-5.24 3.098-13.975 6.425-25.034 9.19-22.118 5.53-53.588 9.103-88.326 9.103-34.738 0-66.208-3.574-88.326-9.103-11.06-2.765-19.795-6.092-25.035-9.19-4.377-2.586-5.365-4.423-5.576-4.707-.04.056-.064.074-.064 0 0-.073.023-.056.064 0 .21-.284 1.2-2.122 5.575-4.71 5.24-3.096 13.975-6.422 25.034-9.186 12.965-3.243 29.16-5.805 47.326-7.376v28.72h18v-29.91c7.456-.347 15.138-.54 23-.54zm137 58.665c-32.96 11.616-71.95 18.42-112 20.417v27.45c40.88-2.024 80.4-9.035 112-21.038zm-274 .02v26.83c9.95 3.777 20.683 7.063 32 9.852V361.16c-11.143-2.664-21.856-5.785-32-9.36zm50 13.202v27.408c29.46 5.657 61.842 8.253 94 7.81v-27.447c-31.99.444-64.16-2.134-94-7.77zm224 32.777c-5.196 1.83-10.525 3.553-16 5.146v25.158c5.527-1.687 10.863-3.51 16-5.46zm-274 .01v24.827c27.454 10.426 60.89 17.082 96 19.98v-25.44c-34.372-2.842-67.45-9.302-96-19.366zm240 9.837c-38.988 9.09-83.038 12.637-126 10.67v25.445c43.22 1.968 87.805-1.613 126-10.777zM119 441.78c1.642 9.154 8.428 17.585 16 21.704v-16.558c-5.475-1.593-10.804-3.317-16-5.147zm274 .007c-12.8 4.513-26.5 8.312-40.834 11.373v19.73c16.52-4.255 40.596-15.226 40.834-31.103zm-240 9.84v19.275c33.85 9.257 73.556 12.422 103 12.534 29.185 0 56.113-2.365 78.166-6.493v-20.37c-58.66 9.767-125.146 8.115-181.166-4.946z"}}]})(props);
};
function GiWerewolf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M340.573 495.942h-79.318c-17.24-19.952-46.972-25.794 25.136-118.418 12.088-15.528-46.796-47.858-56.975-35.75-28.683 46.058-50.585 105.183-120.653 71.499-6.986 26.338 4.46 54.395 10.054 82.67h-94.4c16.02-47.83 23.117-100.957 70.94-127.915l40.776 20.109c-1.342-16.2-2.167-32.398 1.676-48.597-120.404-30.952-104.494-70.512-112.833-80.714l23.46 7.54c-15.39-46.284 5.568-77.477 18.434-92.724 4.425 9.79 12.396 44.278 20.108 65.913 4.531-5.565 4.27-12.491 17.316-14.244-3.269 44.218 4.552 80.447 46.362 80.715 14.779-23.381 32.411-39.627 51.39-52.507-4.278-20.515-1.554-60.232-20.11-60.885-25.41-.894-37.227 2.808-54.74-2.793-16.173-22.335-14.987-47.59-12.74-67.847-54.678-27.557-48.39-81.972-13.772-88.792-4.022 22.54-9.233 40.639 15.9 49.392.914-42.185 2.97-89.372 65.844-54.272-20.147 7.362-41.442 16.125-36.077 39.484 46.607-22.884 55.874 4.5 63.086 21.858-17.15-.46-38.262-19.805-52.078 6.336-8.267 15.643 3.313 43.175 13.965 59.21 30.528-25.635 55.627-59.8 103.337-48.038-23.147-24.95-24.066-49.9-25.695-74.85 15.918 4.581 33.276 14.078 57.534 37.425h150.816L432.74 119.46l-15.584-20.272-24.075 24.74-21.785-26.252-29.046 33.514 13.406 16.2 15.082-18.993 20.108 21.785 25.136-21.226 12.848 12.289-11.73 28.487c-32.382 2.288-63.976-11.185-98.31 30.164 9.407 21.581 26.252 34.796 52.506 37.424 61.734-77.259 87.839-40.664 97.308-19.008-18.712-7.396-41.145-5.18-48.99 20.963 94.104-13.285 65.17 46.659 58.734 63.227-9.057-20.891-7.92-50.593-41.698-38.37 21.891 49.98.846 55.718-11.73 64.795-2.965-27.495-3.925-70.39-31.28-62.56-48.574 13.901-81.41 34.295-99.428-35.191-12.245 12.959-20.846 28.52-18.433 51.948 64.634 19.134 94.215 50.374 100.082 103.907 1.383 12.625-48.923 20.805-72.712 15.07-8.508 46.645 12.735 72.095 37.425 93.841z"}}]})(props);
};
function GiWesternHat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M199.117 111.268c-2.435.007-4.816.524-7.117 1.675-18.365 9.194-38.59 129.65-50.16 164.987 45.64 13.262 87.106 16.556 115.314 16.425 28.21-.13 68.652-3.635 112.97-16.49C358.53 242.48 338.34 122.123 320 112.943c-21.065-10.53-48.73 31.998-64 32-13.6.002-37.05-33.734-56.883-33.675zM224 160c11.53 40.5 9.107 74.724 0 96-9.107 21.276-32 11.235-32 0 25.333-6.927 26.21-35.5 32-96zm64 0c5.79 60.5 6.667 89.073 32 96 0 11.235-22.893 21.276-32 0s-11.53-55.5 0-96zM46.79 263.127c-17.5.4-24.138 17.83-14.79 40.873 11.088 30.345 58.972 96.774 112 96 24.103-.352 31.438-15.483 112-16 80.562-.517 87.88 15.648 112 16 53.017.774 100.907-65.655 112-96 13.006-32.066-4.934-53.25-40.016-32.84-21.85 11.926-44.06 17.898-65.984 24.48-.02 0-.044.024-.064.024v-.006c-45.8 13.756-87.924 17.486-116.754 17.615-28.83.13-72.027-3.357-119.145-17.548-21.897-6.618-44.09-12.59-66.027-24.565-9.866-5.74-18.374-8.19-25.22-8.033z"}}]})(props);
};
function GiWhaleTail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M453.004 35.117c-65.314 46.61-189.755 41.018-213.559 125.426C184.41 101.41 98.625 83.031 21.771 63.209c6.532 139.103 71.38 147.437 192.44 194.547 23.71 25.786 29.786 49.93 19.254 82.705 46.403 5.1 71.504 15.468 106.754 27.742-.708-71.67-25.14-108.928-75.518-175.035 11.058 4.233 44.979 37.02 56.578 58.607 109.419-42.421 147.64-112.074 131.725-216.658zM180.178 353.9c-60.89-.24-114.034 19.49-158.426 74.221 167.075-48.84 292.003-13.21 471.893 7.895-118.936-38.752-224.474-81.763-313.467-82.116zm98.043 77.844c-99.28.255-206.34 18.738-256.866 63.139 168.002-26.61 356.801-28.408 470.8-4.967 1.102-35.337-101.418-58.46-213.934-58.172z"}}]})(props);
};
function GiWheat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M98.344 16.688C79.692 43.785 68.498 69.01 65.5 89.56l23.938 39.157 28.624-33.47c.868-21.213-5.49-48.677-19.718-78.563zM472.5 19.625C444.04 36.055 423.112 54 411.562 71.25l4.75 45.688L456.563 99c9.89-18.777 15.938-46.29 15.938-79.375zm-91.75 27.28c-10.153 21.036-16.8 40.84-20.156 58.314l18.375 57.686 19.78-34.25-6.5-62.22h.03c-3.422-6.392-7.252-12.906-11.53-19.53zM27.25 80.782c-.125 23.364 2.393 44.102 6.875 61.314L75.5 186.25l3.125-39.406L46 93.47l.03-.032c-5.83-4.287-12.08-8.52-18.78-12.657zm132.844 10.532c-8.415 3.504-16.29 7.213-23.594 11.094l-39.25 45.97-3.094 39.374 50.438-39.094c6.712-15.904 12.09-35.263 15.5-57.344zm177.22 21.626c-24.024 58.09-16.16 97.86 7.873 108.5l21.157-36.625-19.594-61.438c-2.973-3.46-6.108-6.943-9.438-10.438zm146.03.218c-4.55-.028-8.97.084-13.28.28L414.935 138l-19.78 34.28 62.343-13.655c12.897-11.47 26.09-26.626 38.656-45.094-4.358-.216-8.64-.348-12.812-.374zm-226.094 8.72c-23.24 23.238-38.832 46.003-45.53 65.655l16.436 42.907 34.22-27.75c4.695-20.704 3.436-48.856-5.126-80.812zM16.406 159.06c3.28 62.77 27.482 95.31 53.75 94.594l3.344-42.22-44.063-47c-4.175-1.844-8.515-3.647-13.03-5.374zm143.22 11.375c-6.457 1.354-12.63 2.896-18.5 4.563l-48.97 37.938-3.312 41.75c26.492 7.51 57.16-20.567 70.78-84.25zm16.06 1.563c-4.36 22.935-5.65 43.762-4.374 61.5l32.688 51 10.22-38.188-22.407-58.437h.03c-4.952-5.28-10.318-10.592-16.155-15.875zm267.408 8.938l-60.563 13.218-20.936 36.25c20.682 18.195 60.438 6.035 100.125-45.625-6.413-1.552-12.62-2.823-18.626-3.843zm-138.688 25.53c-8.912 1.92-17.304 4.16-25.187 6.657l-46.97 38.03-10.22 38.19 56.69-29.283c9.493-14.424 18.323-32.49 25.686-53.593zm155.125 25.063c-25.85 20.324-44.046 41.06-53.03 59.782l11.22 44.532 37.28-23.47c7.126-19.99 9.236-48.088 4.53-80.843zm-123.342 8.595c-34.435 77.573-59.394 159.06-62.97 253.03h18.72c3.558-90.792 27.573-169.428 61.312-245.436l-17.063-7.595zm-185.375 6.906c-8.173 62.347 9.714 98.713 35.687 102.75l10.97-40.874-34.814-54.25c-3.77-2.57-7.713-5.105-11.844-7.625zm221.75 24.532c-7.053 22.243-10.817 42.77-11.657 60.532l26.406 54.594L402 349.967l-15.28-60.687h.06c-4.3-5.848-9.033-11.76-14.217-17.717zm-302.47 1.532c-8.664 74.584-8.13 147.835 12.188 220.062h19.44c-20.877-70.772-21.764-143.02-13.064-217.906l-18.562-2.156zm219.47 11.094c-6.613.16-12.953.54-19.032 1.125L215.5 313.78l-10.844 40.408c24.69 12.23 59.938-9.82 84.906-70zm206.718 36.937c-9.072.844-17.664 2.052-25.78 3.594l-51.156 32.217-14.688 36.657 59.75-22.313c11.14-13.193 22.055-30.075 31.875-50.155zm-157.31 22c-15.528 60.938-2.096 99.19 23.217 106.28l15.72-39.28-28.094-58.03c-3.43-3-7.053-5.985-10.844-8.97zM183.25 368.72c-12.674 41.233-22.26 82.547-26.844 124.436h18.813c4.507-39.722 13.69-79.23 25.905-118.97l-17.875-5.467zm270 26.655l-58 21.688-15.563 38.875c23.056 15.098 60.673-2.606 92.625-59.407-6.594-.627-12.95-1.003-19.062-1.155zM356.5 469.03c-1.874 7.713-3.185 15.757-3.656 24.126h18.687c.45-6.686 1.55-13.206 3.126-19.687l-18.156-4.44z"}}]})(props);
};
function GiWheelbarrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M34.227 44.89l-6.653 16.725L73.852 80.02l50.056 49.113-4.836 117.804.006.272c.39 20.225-.294 42.575 2.85 62.708 3.144 20.133 10.658 39.31 28.722 48.945 6.157 3.284 13.375 4.44 21.32 3.862 7.947-.578 16.926-2.662 28.51-5.996 22.22-6.398 54.32-17.63 104.313-33.312l-23.898-11.322c-39.855 12.72-66.882 22.007-85.395 27.336-11.075 3.188-19.144 4.928-24.834 5.34-5.69.415-8.695-.27-11.545-1.79-11.158-5.95-16.65-18.19-19.407-35.84-2.743-17.568-2.243-39.245-2.635-59.982l4.774-116.283.36-9-58.34-57.244L34.226 44.89zm345.855 74.452c-25.585-.552-44.19 40.905-70.13 36.79-10.583-1.68-12.736-18.994-22.81-22.644-24.377-8.83-69.052-.36-92.956 5.3L466.2 228.374c1.337-10.412 2.622-27.265-1.528-36.418-15.067-33.227-45.89-67.768-82.092-72.428-.84-.11-1.673-.17-2.498-.188zm-220.832 26.89l-3.475 86.666 200.145 94.827 103.115-51.965 18.424-24.727-318.21-104.8zm299.12 150.02l-20.583 10.373-14.156 67.135-16.015-16.276a40.063 40.68 18.916 0 1 .02-.013L389.7 339.247a65.908 65.948 90 0 0-.018.016l-5.522-5.612-16.88 8.506 55.284 56.18a9 9 0 0 0 15.22-4.457l20.587-97.628zm-41.464 31.04a65.908 65.948 90 0 0-10.76 3.003l8.338 8.475 2.422-11.48zm50.795 11.48l-6.245 29.624a40.063 40.68 18.916 0 1 5.15 36.02 40.063 40.68 18.916 0 1-50.793 26.1 40.063 40.68 18.916 0 1-27.218-41.405l-20.936-21.274a65.908 65.948 90 0 0-1.314 3.56 65.908 65.948 90 0 0 41.994 83.223 65.908 65.948 90 0 0 83.275-41.968 65.908 65.948 90 0 0-23.912-73.88z"}}]})(props);
};
function GiWhip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.885 29.48c-8.57-.04-17.296.356-26.164 1.2-1.407.033-2.816.06-4.222.117-20.63.848-41.087 4.36-60.744 10.795-52.42 17.156-98.946 55.478-126.432 118.11-48.427 110.354 2.248 219.542 82.684 274.032 40.218 27.246 88.14 41.196 135.228 34.795 47.088-6.4 92.92-33.513 127.748-86.108 26.368-39.818 22.913-82.72-3.59-105.356-26.506-22.635-72.54-22.532-123.77 12.938-25.962 17.976-47.77 20.706-65.667 15.812s-32.506-18.044-41.904-34.398c-9.397-16.354-13.216-35.697-10.407-51.14 2.53-13.91 9.352-24.512 23.197-30.036 40.302-2.047 54.377 32.316 41.76 56.715h.002c37.934-22.406 21.153-56.542-8.457-65.39 38.397-3.073 55.48 24.433 57.042 44.046 14.265-25.26 2.38-55.33-37.642-61.36 18.195-7.832 55.78 1.215 70.412 20.767-1.002-52.434-83.122-50.04-133.248-10.643-17.66 8.572-28.226 24.805-31.454 42.557-3.79 20.842 1.183 43.942 12.592 63.795 11.408 19.85 29.618 36.67 53.177 43.112 23.56 6.442 51.848 1.875 81.237-18.473 47.052-32.58 82.676-29.734 100.992-14.093 18.316 15.642 22.844 46.55.146 80.827-32.332 48.826-72.883 72.226-114.683 77.908-41.8 5.682-85.27-6.712-122.23-31.75-73.918-50.076-120.74-149.214-76.05-251.05 25.518-58.15 67.353-92.223 115.13-107.86 35.64-11.665 74.71-12.85 112.345-5.17 103.925 25.726 164.447 102.694 170.205 174.32 4.1-1.467 8.452-2.328 12.926-2.48 2.845-.094 5.74.095 8.648.593 4.994.855 9.64 2.56 13.822 4.932C484.332 130.812 389.88 30.1 258.885 29.48zm211.937 215.202c-.408-.008-.814-.006-1.218.006-11.326.334-21.075 8.513-23.07 20.162-.89 5.197-.09 10.253 2.003 14.627 2.892-.748 5.855-1.102 8.832-1.086 4.192.022 8.406.76 12.468 2.092 5.166 1.696 10.164 4.566 14.482 8.42 5.135-3.57 8.877-9.136 10.03-15.863 2.28-13.314-6.502-25.725-19.815-28.005-1.248-.214-2.488-.33-3.713-.353zm-13.51 52.453c-2.118-.01-4.047.312-5.576.9-2.977 1.144-4.625 2.623-5.547 6.277-5.098 60.167-43.147 110.48-89.987 157.077-1.075 4.273-.507 7.62 1.336 11.167 2.092 4.028 6.15 8.153 11.288 11.525 8.543 5.606 20.148 8.14 25.963 8.385 16.255-25.115 35.394-59.53 51.42-91.71 16.707-33.547 30.02-65.31 32.87-78.148 1.78-14.092-6.032-21.404-15.068-24.37-2.28-.748-4.585-1.094-6.7-1.105z"}}]})(props);
};
function GiWhiplash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M407.056 376.454C511.348 517.65 270.95 424.988 194.373 328.11c-59.935-75.823 212.347-41.197 101.407-177.47C172.653-.453-54.165-13.92 65.816 92.687 35.032 6.53 299.823 128.57 311.883 205.35c10.934 69.623-308.9 30.456-112.237 175.655 137.22 101.312 397.83 144.363 207.41-4.55z","fillRule":"evenodd"}}]})(props);
};
function GiWhirlpoolShuriken (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M286.077 121.043l45.124-103.484-93.427 69.007-.392-.282-.062.616-105.5 77.925-83.85-76.773 35.532 112.459-.114.082.162.071 39.185 124.029-98.881 60.209 249.358-5.869L298.8 494.441l75.664-240.184 113.682 10.997zm-46.453 177.914c-32.097 0-58.115-26.019-58.115-58.114 0-32.098 26.018-58.115 58.115-58.115s58.114 26.017 58.114 58.115c0 32.096-26.017 58.114-58.114 58.114z"}}]})(props);
};
function GiWhirlwind (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M232.824 13.738c-96.1 7.382-215.29 48.535-215.29 118.383 0 65.084 117.615 107.844 245.49 93.538 90.757-10.15 167.13-45.817 200.578-89.152-44.08 82.325-143.703 106.34-233.877 116.19 112.254 5.15 262.53-32.988 262.53-124.23 0-64.527-117.615-107.84-245.49-93.534C156.007 45.082 80.41 80.75 46.96 124.084c18.41-49.265 91.46-93.87 185.864-110.346zm56.04 40.864c77.387-.618 136.667 23.666 136.667 58.234 0 4.73-1.112 9.433-3.227 14.053-31.82-20.172-88.055-36.5-149.174-39.148-6.105-.264-12.257-.387-18.437-.353-2.06.01-4.122.038-6.187.085-51.472 1.157-104.23 13.43-145.113 44.86 5.022-36.577 75.142-70.428 160.92-76.728 8.347-.613 16.547-.942 24.552-1.005zm-34.036 51.482c5.848-.037 11.685.077 17.492.328 57.486 2.49 111.856 19.132 139.096 35.758-6.62 6.792-15.386 13.238-25.896 19.14-24.89-11.45-63.462-19.06-105.92-19.142-3.244-.006-6.51.032-9.795.115-44.026 1.117-91.184 10.864-128.448 36.09-15.823-6.824-27.48-15.514-33.54-25.562 38.834-33.478 93.327-46.39 147.01-46.726zm24.717 54.79c31.283.173 60.834 5.14 82.178 11.675-27.063 10.793-60.804 18.506-97.41 21.194-37.686 2.768-72.323-.243-99.774-7.51 31.234-16.912 69.26-24.342 105.74-25.267 3.1-.08 6.19-.11 9.265-.092zM81.873 230.83c5.158 4.435 10.285 8.583 15.387 12.445.127.237.264.472.39.71l.592.023c61.57 46.215 119.69 52.326 188.065 51.99.002 0 .005 0 .007-.002v.002h-.007c-73.987 20.576-134.236 19.522-185.5-8.316 74.926 98.107 242.27 52.573 335.22-46.637-43.032 23.107-110.06 35.868-185.318 31.842-66.24-3.544-126.098-19.41-168.837-42.057zM324.55 335.342c-67.937 33.614-143.89 42.532-199.144 11.236 4.907 16.882 14.784 28.156 28.295 35.658 15.565 8.643 36.38 11.85 59 9.55 34.243-3.485 72.07-19.68 100.767-45.057 3.635-3.794 7.342-7.59 11.084-11.388zm-62.306 63.68c-15.773 5.91-31.93 9.757-47.652 11.357-23.025 2.342-45.308-.15-64.108-8.835 15.125 14.916 32.064 25.36 47.95 30.023 15.676 4.604 29.844 3.767 41.142-2.59 9.392-5.284 17.44-14.62 22.668-29.955zM139.22 416.985c7.508 25.64 18.886 51.543 38.15 77.282h38.546c.632-.79 1.39-1.33 1.75-2.364 5.113-14.602 11.056-28.235 17.715-41.15-13.33 3.696-27.91 2.948-42.212-1.252-18.734-5.5-37.433-16.752-53.95-32.516z","fillRule":"evenodd"}}]})(props);
};
function GiWhisk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M41.84 23.79c-4.42-.12-9.53 1.11-13.24 4.82-3.71 3.71-4.94 8.82-4.82 13.24.13 4.42 1.34 8.64 3.19 12.95 3.7 8.62 10.1 17.64 18.6 26.14 3.72 3.72 7.53 7.01 11.37 9.87l12.91-12.94c-3.75-2.59-7.72-5.83-11.55-9.66-7.13-7.12-12.34-14.78-14.78-20.5-1.1-2.56-1.54-4.58-1.66-5.84 1.25.12 3.28.56 5.84 1.66 5.71 2.45 13.37 7.66 20.49 14.78 3.83 3.82 7.08 7.79 9.67 11.54l12.91-12.93c-2.86-3.83-6.14-7.63-9.85-11.34-8.5-8.5-17.51-14.9-26.13-18.6-4.31-1.84-8.53-3.07-12.95-3.19zm60.96 46.54L70.31 102.9 216 248.5l32.5-32.5L102.8 70.33zM263.9 226l-16.7 16.7c24.2 20.8 54.6 49.2 86.9 81.5 35.8 35.8 66.9 69.4 88.1 94.7 5.4 6.4 10.1 12.2 14.1 17.4-5.2-4-11-8.7-17.4-14-25.3-21.3-58.9-52.4-94.7-88.2-32.3-32.3-60.7-62.7-81.5-86.9L226 263.9c23.9 36.3 39.5 77.1 55.3 114 17 39.9 34.3 75.9 65.8 94.7l.3.2.3.2c47.4 23.6 91.4 18.5 117.3-6.9.2-.1.4-.3.6-.5.2-.2.4-.4.5-.6 25.4-25.9 30.5-69.9 6.9-117.2-13.8-27.5-49.5-43.8-90.7-62.2-38.2-17.1-81.7-35.3-118.4-59.6zm49.9 48.3c21 10.1 41.9 19.1 61.1 27.7 40.9 18.3 73.1 36 81.9 53.8 3.3 6.7 6 13.1 8 19.4-19.3-4.7-48.1-19.7-82.3-44.8-20.8-15.3-43.8-34.1-68.7-56.1zm-41.5 37.3c22.8 25.7 42.4 49.5 58.1 70.9 25.1 34.3 40.1 63.1 44.8 82.4-6.2-2-12.6-4.6-19.1-7.9-24.9-15.1-41.5-47-58.3-86.2-8-18.7-16.1-38.8-25.5-59.2zm122 49c29.4 19.6 54.2 31.5 75.1 33.7 2.7 18.5-.4 34.4-7.5 46.8-.3-.5-.6-.9-.9-1.4-5.6-8.5-14.1-19.4-24.9-32.3-11.5-13.6-25.7-29.5-41.8-46.8zm-33.6 33.8c17.2 16.1 33.1 30.2 46.7 41.7 12.9 10.8 23.8 19.3 32.3 24.9.5.3.9.6 1.4.9-12.4 7.1-28.3 10.2-46.8 7.5-2.1-20.8-14-45.6-33.6-75z"}}]})(props);
};
function GiWhistle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M93.75 81.443c-5.38 0-12.368 2.49-22.358 8.967 3.966 4.682 8.167 9.687 16.47 19.256 5.782 6.663 11.618 13.29 16.026 18.088.038.042.055.055.092.096l30.894-17.932-14.652-14.148c-11.292-9.404-18.644-13.866-25.418-14.293-.345-.022-.696-.034-1.055-.034zm120.08 15.082c-.885-.01-1.767-.006-2.643.01-10.46.193-20.2 2.23-26.742 5.424l-67.262 39.038c2.45.544 4.885 1.196 7.287 2.02 17.275 5.923 33.093 18.223 49.568 34.7l216.44 213.5 80.978-44.433L258.54 111.38c-8.656-7.84-22.49-12.908-36.693-14.394-2.677-.28-5.363-.43-8.018-.46zM58.192 102.74c-17.543 20.723-20.57 37.186-15.326 57.004.692 2.618 3.057 6.357 6.373 10.47 2.195-3.144 4.55-6.304 7.086-9.478 3.99-4.995 8.385-9.183 13.085-12.558l-.106-.2 2.768-1.61c1.354-.862 2.73-1.66 4.13-2.393l11.868-6.89c-4.175-4.618-8.94-10.017-13.803-15.622-5.956-6.864-11.732-13.62-16.074-18.723zm184.093 13.438l58.415 61.67c-46.086-5.037-56.79 13.2-69.027 34.2l-57.334-59.304 67.946-36.566zM103.702 157.23c-.714-.016-1.43-.016-2.15.002-6.976.18-14.207 2.058-22.252 5.885-3.035 2.29-5.99 5.196-8.91 8.852-25.77 32.264-30.45 59.135-25.484 83.477 4.965 24.343 20.536 46.656 37.916 66.455 13.314 15.168 28.86 23.992 48.472 27.93 19.614 3.94 43.438 2.708 71.98-3.475 33.246-7.2 66.01 8.42 95.81 27.665 26.118 16.868 50.676 37.09 70.98 49.95l8.79-18.935-217.52-214.57-.022-.022c-15.524-15.524-29.565-25.905-42.682-30.402-5.02-1.722-9.925-2.695-14.928-2.813zm367.08 210.456l-73.45 40.304-10.48 22.567 70.833-38.41 13.096-24.46z"}}]})(props);
};
function GiWhiteBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M102.5 26.03l90.03 345.75 289.22 23.25-90.063-345.75L102.5 26.03zm-18.906 1.564c-30.466 11.873-55.68 53.098-49.75 75.312l3.25 11.78c.667-1.76 1.36-3.522 2.093-5.28C49.097 85.7 65.748 62.64 89.564 50.5l-5.97-22.906zm10.844 41.593c-16.657 10.012-29.92 28.077-38 47.407-5.247 12.55-8.038 25.63-8.75 36.53L112.5 388.407c.294-.55.572-1.106.875-1.656 10.603-19.252 27.823-37.695 51.125-48.47L94.437 69.19zm74.874 287.594c-17.677 9.078-31.145 23.717-39.562 39-4.464 8.107-7.27 16.364-8.688 23.75l11.688 42.408 1.625.125c-3.84-27.548 11.352-60.504 41.25-81.094l-6.313-24.19zm26.344 34c-32.567 17.27-46.51 52.44-41.844 72.94l289.844 24.5c-5.34-7.79-8.673-17.947-8.594-28.5l-22.406-9L459 443.436l-13.5-12.875c5.604-6.917 13.707-13.05 24.813-17.687L195.656 390.78z"}}]})(props);
};
function GiWhiteTower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M97.812 23.375v92.875l46.22 51.72V351h-25.845L94.594 491.906H414.53L390.938 351h-25.875V167.97l46.22-51.72V23.375h-53.938v43.97H324.5v-43.97h-53.938v43.97h-32.437v-43.97h-53.938v43.97H151.75v-43.97H97.812zm73.75 152.875h18.688v50.22h-18.688v-50.22zm73.594 0h18.688v50.22h-18.688v-50.22zm74.156 0H338v50.22h-18.688v-50.22z"}}]})(props);
};
function GiWideArrowDunk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M213.006 18.303c-21.637-.01-42.777 4.028-62.66 11.787v-.002C34.204 75.41-38.364 247.605 86.88 479.638-1.625 185.493 192.23 114.806 335.583 306.48l-29.55 21.86c60.543 45.71 107.035 83.703 163.136 156.812 30.35-98.22 35.076-175.94 7.385-283.75l-32.032 24.037C390.41 80.73 297.89 18.347 213.007 18.304zM203.25 78.39c54.92-.455 114.01 35.336 160.82 112.112l22.928-13.592c25.364 48.176 30.742 96.352 31.47 144.528-28.858-41.125-62.888-75.81-104.222-101.403l27.565-16.34C241.768 94.185 110.326 56.397 43.71 269.428 61.548 146.686 128.538 79.01 203.25 78.39z"}}]})(props);
};
function GiWifiRouter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M311.4 32.82C279.9 53.58 259 89.29 259 129.8c0 39.9 20.3 75.2 51.1 96.1l8.1-16.2c-25-17.8-41.2-46.9-41.2-79.9 0-33.59 16.8-63.17 42.5-80.82l-8.1-16.16zm127.2 0l-8.1 16.16C456.2 66.63 473 96.21 473 129.8c0 33-16.2 62.1-41.2 79.9l8.1 16.2c30.8-20.9 51.1-56.2 51.1-96.1 0-40.51-20.9-76.22-52.4-96.98zm-110 34.35C309.4 81.41 297 104.2 297 129.8c0 25 11.9 47.3 30.3 61.6l8.2-16.4c-12.6-11-20.5-27.1-20.5-45.2 0-18.7 8.5-35.3 21.8-46.29l-8.2-16.34zm92.8 0l-8.2 16.34C426.5 94.5 435 111.1 435 129.8c0 18.1-7.9 34.2-20.5 45.2l8.2 16.4c18.4-14.3 30.3-36.6 30.3-61.6 0-25.6-12.4-48.39-31.6-62.63zm-75.3 35.03c-6.9 7.2-11.2 16.9-11.2 27.6 0 10.1 3.8 19.3 10 26.4l9.4-18.7c-.9-2.4-1.4-5-1.4-7.7 0-3.5.8-6.7 2.2-9.6l-9-18zm57.8 0l-9 18c1.4 2.9 2.2 6.1 2.2 9.6 0 2.7-.5 5.3-1.4 7.7l9.4 18.7c6.2-7.1 10-16.3 10-26.4 0-10.7-4.3-20.4-11.2-27.6zM366 144v183h18V144h-18zM25 345v110h462V345H25zm55 39a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm48 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm48 0a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zM73 473v16h46v-16H73zm320 0v16h46v-16h-46z"}}]})(props);
};
function GiWildfires (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M113.938 17.313c-42.34-.07-52.66 77.42-6.032 114.312-2.902-35.87 2.8-83.013 36.313-103.188-11.323-7.752-21.495-11.11-30.282-11.125zm138.125.437c8.16 45.43 5.173 71.412-10.375 105.25-29.125-14.063-33.2-41.072-29.063-68.344-14.39 13.454-21.03 43.178-19.844 58.563-12.546-9.482-17.98-21.618-22.124-37.407-13.104 34.137-11.907 86.925 16.25 118.562-7.352-21.496-2.805-51.407 10.97-69.313-5.15 28.665 11.53 50.063 11.53 50.063 8.907-9.77 11.976-22.46 13.344-36 9.08 8.49 13.28 27.23 12.53 36.938 7.92-5.985 11.36-13.63 13.97-23.594 5.855 15.25 7.96 32.674 2.688 46.06 35.488-42.277 30.225-141.653.125-180.78zm66.812 11.438c14.923 28.354 4.272 82.423-8.375 122.343 36.043-29.78 53.284-107.328 8.375-122.343zm164 65.624c-53.907 49.84-67.186 96.46-45.156 137.782 39.202 73.534-45.61 122.36-38.44 33.406 3.046-37.743 22.7-89.4-2.78-124.344-4.936 52.786-43.865 45.074-47.72 6.72-40.92 37.17 21.244 49.163-20.592 85.593-22.39 19.497-49.636-1.838-25.657-64.19-85.963 84.987-60.1 221.734 11.658 287.314-37.526-47.567-38.385-121.518-3.875-166.375-16.714 88.44 60.563 111.427 46.5-24.876 37.085 44.064 35.146 87.386 6.906 141.437 27.226-9.268 64.204-43.986 75.124-73.28 16.606 32.903 24.75 90.014-7.938 132.344 28.245-27.613 39.415-62.605 54.844-106.156 37.28-105.23-46.707-194.604-2.875-265.375zm-367.688 51.5c17.052 165.273-76.64 137.394-56.374 30.157-46.19 60.037-51.31 165.622-7.438 220.436-9.75-45.566-3.42-100.052 17-126.594-8.16 45.43-5.174 71.413 10.375 105.25 15.597-21.18 17.544-49.604 13.406-76.875 12.467 13.133 28.12 50.28 35.5 67.094 12.55-9.48 17.99-21.613 22.125-37.405 8.31 21.642 12.832 50.958 8.47 77.625 53.55-46.136 46.535-135.86 25.313-177.906 3.16 29.475-26.987 78.477-60 89.72 34.24-65.54 36.59-118.07-8.376-171.502z"}}]})(props);
};
function GiWilliamTellSkull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M86.652 18.096l-1.554 70.736-69.46.28L89.52 163.01l54.353.146 44.604 44.604h.002c6.92 6.92 12.97 5.18 16.45 1.982 1.74-1.6 2.67-3.525 2.625-5.955-.044-2.43-1.07-5.845-5.416-10.19l-42.505-42.505.906-59.1-73.888-73.894zM286.21 139.62c-28.266.063-55.965 10.132-77.437 30.034 3.08 1.608 5.972 3.704 8.56 6.29 13.655 13.66 13.664 35.797.02 49.443-13.643 13.645-35.773 13.635-49.43-.026-.323-.32-.632-.652-.94-.983-9.182 14.817-17.888 30.39-25.49 44.92-16.012 30.61-25.985 53.498-28.266 58.78 3.362 6.358 7.096 12.146 11.138 17.474l18.092-27.386 15.588 10.3-20.834 31.532c5.772 5.562 11.97 10.515 18.53 14.99l18.688-28.285L190.016 357 171.72 384.69c7.127 3.872 14.557 7.385 22.202 10.7l14.142-26.86 16.53 8.704-13.307 25.274c6.334 2.48 12.76 4.918 19.256 7.37 20.375-35.275 39.245-72.09 79.373-85.296l5.84 17.746c-14.786 4.866-26.283 14.15-36.43 26.256 14.903.904 31.89.907 47.986-1.078 4.58-.565 9.06-1.314 13.4-2.227l14.68-38.68-13.273-1.467 5.21-51.684 18.596 1.874-3.356 33.266 18.854 2.084-9.192 24.217 9.88 10.258c43.073-45.297 40.857-120.162-6.983-168.078l-.064-.062c-24.303-24.31-55.36-36.695-85.988-37.36-.957-.02-1.913-.03-2.87-.027zm-5.927 77.907c12.325.005 24.652 4.684 34.004 14.037 16.243 16.246 18.35 41.45 6.385 60.05 0 0-.486 1.367-6.36 7.956-18.695 18.697-49.295 18.68-67.998-.027-18.7-18.703-18.72-49.305-.025-68.002 9.346-9.347 21.668-14.018 33.993-14.013zm-.004 18.557c-7.507-.003-15.01 2.886-20.786 8.662-11.55 11.552-11.543 30.02.027 41.592 11.576 11.576 30.034 11.58 41.585.027 11.55-11.552 11.545-30.024-.025-41.595-5.787-5.788-13.295-8.683-20.8-8.686zm-59.643 9.143l-22.082 69.025-36.016-29.117 58.097-39.908zm244.763 79.11c-16.418.023-34.172 6.102-52.67 15.554l55.657 18.782 12.965-32.242c-5.154-1.438-10.48-2.102-15.952-2.094zm-100.5 29.878l-8.273 21.8 60.086 60.782-34.098 13.26c26.71 26.71 54.527 45.262 107.717 43.71-1.153-47.405-16.373-80.384-43.707-107.716l-14.684 37.753-67.04-69.588zm-38.427 45.275l8.17 46.89c11.254 2.533 24.023-4.133 28.43-15.16l-8.493-25.825-13.084 3.4-15.023-9.305zm-17.844 17.15l-31.667 43.174c6.304 9.973 20.355 14.382 31.516 9.594l.15-52.77z"}}]})(props);
};
function GiWilliamTell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M85.688 17L71.406 52.03 44 25.188 28.594 40.594l27.062 26.5L21.78 80.906 60 119.126l42.594-6.095 49.812 48.782c3.39-3.362 7-6.418 10.813-9.156 2.124-1.525 4.318-2.937 6.56-4.25l-51.905-50.844 6.03-42.343L85.688 17zm185.75 76.22c-8.536-.003-24.483 3.607-27.094 20 13.8 22.026 20.71 40.802 20.75 64.06-8.927-7.693-18.882-13.6-29.5-17.343-8.623-3.036-17.01-4.424-25.03-4.312-13.37.187-25.71 4.517-36.44 12.22-17.164 12.322-30.14 33.692-33.968 61.905-7.802 57.496 15.476 115.295 61.22 131.406 4.76 1.677 14.684 3.154 23.186 2.5 8.503-.654 14.683-3.687 16.063-5.906l8.28-13.344 7.782 13.656c2.828 4.977 9.346 9.443 17.25 12.188 7.905 2.745 16.925 3.687 22.22 3.28 9.136-.694 17.988-3.023 26.406-6.717l-38.438-37.407v-.03c-6.18-6.054-8.756-14.46-7.688-21.75 1.07-7.29 4.987-13.366 10-18 5.014-4.636 11.31-7.995 18.407-8.907 1.774-.23 3.61-.252 5.47-.095 5.564.47 11.285 2.704 15.748 7.063l.032.03 41.687 40.563c13.06-18.516 22.175-41.198 25.44-65.25 6.63-48.853-22.3-86.08-60.5-92.124l-.44-.062c-5.175-.77-10.93-.875-17-.406-11.28.858-22.543 3.982-33.25 9.125 2.932-28.897-.828-55.604-10.592-86.344zm37.375 205.905c-.228-.004-.474.016-.72.03-.28.02-.564.055-.874.095-2.48.318-5.677 1.86-8.095 4.094-2.418 2.235-3.896 5.01-4.188 7-.29 1.984-.184 3.264 2.25 5.656l81.844 79.688 6.314 6.156-5.75 6.656s-3.9 4.28-12.563 10.313c-6.464 4.5-15.94 10.39-29.56 17.406 43.76 25.907 104.59 48.83 156.655 54.124-1.08-51.14-26.906-108.247-55.563-151.563-12.888 25.173-30.687 42.064-30.687 42.064l-6.53 6.22-6.44-6.283-81.874-79.686H313v-.03c-1.407-1.38-2.593-1.914-4.188-1.94z"}}]})(props);
};
function GiWinchesterRifle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M323.8 149.6l10.4 13.8L491.8 43.8 481.4 30zm-95.1 72.2l25.3 33.3-68.7 64.7-21.5-10.1 9.3-45.7zM18.3 424.2l99.1-95.3s21.7 10.5 27.5 8.7c.5-.2 1-.4 1.4-.8 2.6-2 6-6.9 9.1-12l1.1.5 19 8.8L74.3 482c-6.8-40.3-51.6-57.5-56-57.8zm224.1-212.8l67.7-51.3 17.1 22.6c4.7 6.3 3.9 15.5-2.4 20.2l-56.4 42.8-.7-1zm-64.8 182.3c7.9 4.8 18.3 2.3 23.1-5.7l14-23.1c3.4-5.7 3.2-12.8-.6-18.3 1.3-.7 2.5-1.5 3.6-2.3 5.4-4 9-9.9 10.1-16.4 1.1-6.8-.5-13.8-4.4-20.3l-6.4 6.1c2.1 3.9 3 8.4 2.3 12.9-1 6.4-5.7 11.5-12.7 14.2-7.7-3.1-16.5-.2-20.7 6.9l-14 23.1c-4.8 7.8-2.3 18.1 5.7 22.9zm1.7-18.6l14.1-23.2c2.4-3.9 7.4-5.1 11.3-2.8l1.1.8c3.1 2.6 3.8 7.1 1.7 10.5l-14.1 23.2c-2.4 3.9-7.4 5.2-11.3 2.8-3.9-2.3-5.2-7.4-2.8-11.3zm167.6-189c-.5-3-1.5-5.9-2.8-8.7L488.5 67.9l5.2 6.9zm-192.7 84.5l-3.2 15.6c-7.7-3.3-10.2-12.1-18.1-9.2 2.4-8.6 16.4-5.3 21.3-6.4z"}}]})(props);
};
function GiWindHole (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M19.842 17.184v61.42C29.59 124.187 54.08 177.31 96.35 234.948c-19.817-18.264-37.322-36.358-52.72-54.082 25.615 59.5 69.548 119.182 123.13 162.795 48.123 31.57 119.676 29.46 162.902-10.613 6.732-7.988 13.065-16.54 18.98-25.682-20.605 78.87-90.272 129.942-216.61 139.61 22.292 6.705 46.503 10.895 72.36 12.234-74.885 23.496-140.058 19.362-187.47-3.782v38.822h344.572c12.548-25.422 22.592-53.765 29.526-84.895 4.948-48.52-4.294-110.44-32.512-182.982 17.547 27.72 31.866 54.315 43.36 79.518-.008-16.152-.728-32.81-2.237-49.982-.084-5.56-.53-11.03-1.29-16.398-33.654-52.997-81.454-71.595-133.21-64.133 59.48-17.147 105.816-5.343 143.067 40.62 61.71 66.54 84.012 167.01 60.17 278.837h25.113V184.81c-31.772-28.644-73.986-47.578-126.732-52.068 32.298-9.65 61.865-13.936 88.188-13.43 4.774.09 9.442.34 14.002.74-29.598-8.21-60.133-11.63-90.846-11.398-12.44.095-24.907.807-37.354 2.024l.088.05c-47.7 10.48-91.986 38.815-126.73 88.68 6.15-25.89 14.357-48.62 24.226-68.144-29.95 7.29-55.854 24.91-73.71 48.888-12.354 53.054 9.742 114.704 56.314 126.26-16.457-8.185-27.838-25.188-27.838-44.73 0-27.46 22.46-49.918 49.92-49.918s49.92 22.46 49.92 49.918c0 17.3-8.92 32.61-22.385 41.576-38.712 29.777-80.068 19.58-109.082-19.545-31.807-42.892-33.913-88.063-8.812-146.24-13.99 18.068-25.763 39.423-34.736 64.257-2.735-95.686 31.315-157.842 82.412-184.546H19.842z"}}]})(props);
};
function GiWindSlap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M164.672 15.316c-4.24-.02-8.52-.008-12.848.032 356.973 34.267 149.668 296.606-133.02 225.675v29.272c208.715 52.028 406.9-83.077 335.225-186.316 74.252 54.5 10.927 228.767-217.44 261.272 80.052-17.795 151.75-58.013 188.793-112.78v-.003c-76.777 75.27-199.896 99.73-306.61 83.514v38.547l.03.003v29.983c103.604 17.95 230.47-10.83 317.05-98.192-64.335 91.95-198.984 149.52-317.05 142.64v62.942C398.408 491.783 590.073 234.433 449.346 98c90.898 155.644-119.865 338.862-308.12 339.258C392.92 399.278 523.24 116.29 322.532 33.352c-43.685-11.26-96.104-17.76-157.86-18.036z"}}]})(props);
};
function GiWindTurbine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M272 16c-32 48-38.97 115.99-38 176 .118 7.3 2.486 17.54 5.086 26.69 5.166-2.36 10.89-3.69 16.914-3.69 3.04 0 6 .346 8.857.982L272 16zm-16 217c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zm40.8 27.033c-.897 9.054-4.776 17.268-10.632 23.643L455.812 389.87c-25.57-51.714-80.964-91.744-133.42-120.91-6.366-3.54-16.386-6.605-25.593-8.927zm-79.896 8.274L40.124 362.12c57.57 3.714 119.937-24.243 171.423-55.09 6.274-3.758 13.95-10.936 20.58-17.77-7.1-5.122-12.522-12.447-15.223-20.953zm55.86 25.07c-5.127 2.32-10.8 3.623-16.764 3.623-5.964 0-11.637-1.302-16.764-3.62L232 496h48l-7.236-202.623z"}}]})(props);
};
function GiWindmill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M161.188 22L102.25 41.656 230.063 169.47l.843-.845 2.406-2.406L161.188 22zm246.906 18L280.28 167.813l.814.812 2.406 2.406 144.25-72.124L408.094 40zM256 40.938l-53.97 26.968 45.657 91.344c2.727-.648 5.52-.97 8.313-.97 3.306 0 6.614.467 9.813 1.376l75.875-75.875L256 40.938zm-88 89.093V184h53.906c.006-.02-.005-.043 0-.063L168 130.03zm176 28.657L293.375 184H344v-25.313zm-88 15.5c-4.975 0-9.94 1.908-13.78 5.75-7.686 7.685-7.686 19.91 0 27.594 7.683 7.686 19.877 7.686 27.56 0 7.686-7.683 7.686-19.908 0-27.593-3.84-3.842-8.805-5.75-13.78-5.75zM199.312 201l-2.875 13.594 25.094-12.563c-.08-.345-.146-.682-.218-1.03h-22zm91.375 0c-.176.856-.353 1.72-.593 2.563l29.312 29.312-6.72-31.875H290.69zM228.5 216.47L84.25 288.562l19.656 58.937L231.72 219.687l-.814-.843-2.406-2.375zm53.438 1.56l-.844.814-2.375 2.406L350.81 365.5l58.938-19.656L281.937 218.03zm-35.75 9.814l-66.532 66.53L139.094 487H216v-63h80v63h76.906l-22.03-104.688-1.595.532-6.56 2.22-3.126-6.22-75.28-150.625c-5.956 1.416-12.227 1.302-18.127-.376z"}}]})(props);
};
function GiWindowBars (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M247 25.148c-15.572.503-31.055 2.31-46 5.424V55h46V25.148zm18 0V55h46V30.572c-14.945-3.115-30.428-4.92-46-5.424zm-82 9.9c-16.506 4.784-32.067 11.272-46 19.473V55h46V35.049zm146 0V55h46v-.479c-13.933-8.201-29.494-14.689-46-19.472zM111.73 73C87.921 94.666 73 123.662 73 160v23h46V73h-7.27zM137 73v110h46V73h-46zm64 0v110h46V73h-46zm64 0v110h46V73h-46zm64 0v110h46V73h-46zm64 0v110h46v-23c0-36.338-14.921-65.334-38.73-87H393zM73 201v110h46V201H73zm64 0v110h46V201h-46zm64 0v110h46V201h-46zm64 0v110h46V201h-46zm64 0v110h46V201h-46zm64 0v110h46V201h-46zM73 329v110h46V329H73zm64 0v110h46V329h-46zm64 0v110h46V329h-46zm64 0v110h46V329h-46zm64 0v110h46V329h-46zm64 0v110h46V329h-46zM41 457v30h430v-30H41z"}}]})(props);
};
function GiWindow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 66.75V425.8l78-26V92.74zm462 0l-78 25.99V399.8l78 26V267.5c-1 3.2-2.4 6.2-4.2 8.8-4.1 6.1-10.7 11-18.8 11-8.1 0-14.7-4.9-18.8-11-4.1-6.1-6.2-13.8-6.2-22s2.1-15.9 6.2-22 10.7-11 18.8-11c8.1 0 14.7 4.9 18.8 11 1.8 2.6 3.2 5.6 4.2 8.8zm-366 28.5V397.3h126V95.25zm144 0V397.3h126V95.25zM135 109.3h98v274h-98v-265zm144 0h98v274h-98v-265zm-126 18v110h62v-110zm144 0v110h62v-110zm167 112c-.8 0-2.1.4-3.8 3-1.7 2.6-3.2 7-3.2 12s1.5 9.4 3.2 12c1.7 2.6 3 3 3.8 3 .8 0 2.1-.4 3.8-3 1.7-2.6 3.2-7 3.2-12s-1.5-9.4-3.2-12c-1.7-2.6-3-3-3.8-3zm-311 16v110h62v-110zm144 0v110h62v-110zm-184 160v30h286v-30z"}}]})(props);
};
function GiWindpump (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M370.506 32l-32 16v60h16l16-76zm-56.988 1.912l-19.713 29.856 30 51.962 13.855-8-24.142-73.818zm71.584 22.783l-30 51.96 13.855 8 51.857-57.817-35.712-2.143zM265.12 64.063l-2.143 35.712 51.96 30 8-13.857-57.818-51.856zm155.987 23.46l-51.96 30 8 13.856 73.818-24.144-29.858-19.713zM59.123 95.928l15.045 47.988-15.045 47.988 136.522-14.515 11.47-24.39h26.463v-18h-26.385l-11.548-24.557-5.038-.535-131.484-13.98zM238.28 114.37l16 32h60v-16l-76-16zm138.597 17.855v16l76 16-16-32h-60zm-62.865 14.99l-73.82 24.144 29.857 19.712 51.962-30-8-13.857zm62.207 1.605l-8 13.858 57.817 51.855 2.145-35.713-51.963-30zm-54.02 13.12l-51.858 57.816 35.713 2.144 30-51.96-13.856-8zm45.154.925l-13.858 8 24.145 73.82 19.714-29.86-30-51.96zm-30.702 7.73l-16 76 32-16v-60h-16zM304.598 255.4l-1.575 23.6h-21.445v18h20.246l-13.226 198.4 17.96 1.2 2.64-39.6h27.38v39h18v-39h27.38l2.64 39.6 17.96-1.2L389.333 297h20.246v-18h-21.445l-1.574-23.6-17.962 1.2 1.494 22.4h-15.514v-23h-18v23h-15.514l1.495-22.4-17.962-1.2zm15.267 41.6h16.713v78h-21.912l5.2-78zm34.713 0h16.713l5.2 78h-21.912v-78zm-41 94.307V393h23v46h-26.18l3.18-47.693zm64 0l3.18 47.693h-26.18v-46h23v-1.693z"}}]})(props);
};
function GiWindsock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M63.6 33c-17.23 0-31 13.77-31 31s13.77 31 31 31 31-13.77 31-31-13.77-31-31-31zm171.7 6.74l-122.7 25.6c-.4 14.13-6.9 26.86-16.83 35.56l42.83 114.5 11.5-20.8-41.2-110.1 115-24 9.4-17.15zm8.5 21.9L161.7 210.8l53.6 16.9 71.4-129.9zM48.6 110.6V479h30V110.6c-4.73 1.6-9.77 2.4-15 2.4s-10.27-.8-15-2.4zm288 29.3l-59.2 107.4 62.3 19.6 46.8-85zm99.9 84.1l-34.4 62.5 53.5 16.9 23.8-43.2z"}}]})(props);
};
function GiWindyStripes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M446.572 492.26c-70.9-25.76-157.852-68.623-227.857-124.94-59.28-47.69-105.936-98.75-138.307-147.944 54.324 63.48 143.362 129.306 255.75 181.51 52.552 24.408 105.607 43.44 156.853 57.81v-85.782c-55.75-13.377-114.278-33.344-172.304-60.295-73.743-34.253-136.533-74.167-183.894-115.62 72.805 49.005 178.796 92.765 302.112 119.347 18.29 3.944 36.086 7.565 54.087 10.567v-76.457c-31.79-3.728-64.292-8.414-97.356-15.54-94.3-20.327-177.547-51.718-240.3-87.645 83.46 37.45 203.265 61.61 337.655 64.025v-70.863c-15.215.637-29.944 1.242-45.588 1.242-195.255 0-346.713-48.31-428.59-121.212-9.91 191.205 34.25 281.387 186.745 434.5 16.274 13.093 33.47 25.568 50.223 37.297h190.768z"}}]})(props);
};
function GiWineBottle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M133.99 28v23.512h52.02V28h-52.02zm0 41.51v90.705c-26.01 17.34-43.347 39.014-43.347 56.353v260.735S90.64 494 107.98 494h103.967c17.411 0 17.41-17.34 17.41-17.34V216.568c0-17.34-17.338-39.014-43.347-56.353V69.51h-52.02zM107 252h106v162H107V252zm194.514 3l-2.051 6.154c-8.474 25.423-12.793 58.44-6.233 86.87 3.28 14.215 9.429 27.45 19.846 37.273 8.61 8.118 20.105 13.533 33.924 15.172v74.64C327.601 479.296 302 494 302 494h108s-25.601-14.705-45-18.89v-74.641c13.82-1.639 25.314-7.054 33.924-15.172 10.417-9.822 16.565-23.058 19.846-37.274 6.56-28.43 2.241-61.446-6.233-86.869l-2.05-6.154H301.513zM125 270v126h70V270h-70zm189.703 3h82.594c2.639 9.261 4.629 19.565 5.68 30h-93.954c1.051-10.435 3.041-20.739 5.68-30zm-6.486 48h95.566c-.116 8.04-.907 15.846-2.553 22.977-2.72 11.784-7.571 21.548-14.654 28.226C379.494 378.881 370.126 383 356 383c-14.125 0-23.494-4.12-30.576-10.797-7.083-6.678-11.935-16.442-14.654-28.226-1.646-7.131-2.437-14.938-2.553-22.977z"}}]})(props);
};
function GiWineGlass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M148.97 22.47l-6.25.093-2.564 6.156c-13.235 37.556-21.28 79-21.28 118.093 0 53.777 14.848 93.17 39.874 118.875 18.945 19.458 43.36 30.696 70.156 35 17.09 48.115 16.085 101.005-2.562 148.687-30.555 5.118-60.254 18.273-86.313 39.5h231.22c-26.066-21.23-55.75-34.384-86.313-39.5-18.667-47.734-19.62-100.686-2.468-148.844 26.58-4.382 50.84-15.552 69.75-34.842 25.184-25.692 40.186-65.08 40.186-118.875 0-39.093-8.045-80.537-21.28-118.094l-2.188-6.25h-219.97zm6.75 18.686h199.843c7.25 21.815 12.64 44.904 15.593 67.72h-231.03c2.953-22.816 8.344-45.905 15.593-67.72zm-17.47 86.406h234.78c.45 6.49.69 12.912.69 19.25 0 50.357-13.716 84.26-34.845 105.813-21.13 21.554-50.295 31.406-83.53 31.406-33.238 0-62.247-9.863-83.22-31.405s-34.563-55.437-34.563-105.813c0-6.338.24-12.76.688-19.25z"}}]})(props);
};
function GiWingCloak (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.22 19.78c-8.89 0-17.316 4.814-24.064 14.032-6.748 9.22-11.28 22.648-11.28 37.657 0 15.007 4.532 28.437 11.28 37.655 6.748 9.218 15.174 14.03 24.063 14.03 8.888 0 17.313-4.812 24.06-14.03 6.75-9.218 11.283-22.648 11.283-37.656 0-15.01-4.534-28.44-11.282-37.657-6.747-9.22-15.172-14.032-24.06-14.032zm-71 80.564c-3.742.026-7.026 1.21-9.532 3.72h-.032c-15.052 15.07 13.468 37.41 3.97 77.06-15.963 66.63-95.553 120.79-159.22 151.75 25.314 24.212 73.335-.004 113.47-37.843-27.484 36.044-59.557 67.277-89.564 94.095 37.994 20.533 88.767-26.55 124.094-86.25-24.198 53.547-58.515 101.02-90.812 141.563 45.916 15.528 92.305-48.115 118.875-121.25-13.033 61.304-35.024 119.312-57.22 170.25 98.32 7.795 132.337-254.94 88.656-355.063-10.166-23.302-29.326-38.127-42.687-38.03zm141.968 0c-13.36-.096-32.522 14.73-42.688 38.03-43.68 100.123-9.694 362.86 88.625 355.063-22.196-50.937-44.187-108.945-57.22-170.25 26.57 73.136 72.992 136.78 118.908 121.25-32.298-40.543-66.646-88.015-90.844-141.562 35.326 59.7 86.13 106.783 124.124 86.25-30.007-26.818-62.11-58.05-89.594-94.094 40.134 37.84 88.186 62.056 113.5 37.845-63.666-30.96-143.288-85.12-159.25-151.75-9.5-39.652 19.02-61.99 3.97-77.063-2.508-2.51-5.79-3.692-9.533-3.718z"}}]})(props);
};
function GiWingedArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M73.094 16.406l11.562 68.97-69.562-10.97 49.343 71.28 58.938-4.374 229.188 250.532 10.343 11.28-14.75 4.032-31 8.47 158.25 61.562-61.312-158.032-7.5 29.438-3.844 15.062-11.5-10.437-250.78-227.376 4.5-60.72-71.876-48.718zM292.47 37.438c18.44 24.016 36.14 55.45 51.436 92.093-47.545-40.388-98.46-68.028-144.625-80.843-20.273-5.627-39.474-8.398-57.093-8.28 37.747 18.288 79.988 47.766 120.938 85.937-20.085-2.15-38.57-.45-54.188 5.187 28.617 5.76 63.627 21.405 99.032 45.564-15.344-.555-29.557 1.836-41.908 7.22 24.04 4.608 52.973 18.012 82.188 39.25 22.694 32.528 39.02 63.948 47.656 91.31l7.313-28.624 7.186-28.28 10.563 27.217 59.53 153.438c7.184-15.762 10.475-34.355 9.97-54.97l.686 1.095c-.002-153.714-38.734-285.77-94.562-346.78 12.703 40.545 22.227 92.176 27.25 150.405-33.583-73.595-81.73-128.26-131.375-150.938zM38.874 148.156c.332 16.408 3.085 34.11 8.25 52.72 13.017 46.892 41.315 98.688 82.75 146.874-40.03-16.008-74.276-34.903-100-54.656 22.68 49.645 77.343 97.792 150.938 131.375-58.23-5.024-109.83-14.578-150.375-27.283 60.728 55.565 191.833 94.23 344.625 94.594h.125c23.24 1.485 44.092-1.704 61.53-9.592L283.97 422.75l-26.406-10.25 27.344-7.47 24.97-6.81c-25.7-8.406-54.856-23.48-85.095-44.126-24.744-31.907-40.308-64.004-45.343-90.25-5.886 13.508-8.214 29.278-7 46.28-24.863-36.017-40.892-71.74-46.75-100.843-5.588 15.482-7.313 33.777-5.25 53.657-35.763-38.874-63.668-78.778-81.562-114.78z"}}]})(props);
};
function GiWingedEmblem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M36.844 26.188c-7.642 55.355 77.047 132.044 145.125 170C135.185 183.3 67.505 158.733 20.155 128.78c10.17 48.74 83.738 82.165 152.03 107.376-56.094-.93-104.776-7.642-162.25-25.53 20.11 39.824 95.964 59.89 162.533 67.468-40.172 8.212-83.4 8.65-127.19 3.062 27.2 25.9 75.004 35.054 124.876 31.125 15.11-1.19 25.764 11.643 33.063 28.97-16.1 14.04-26.314 34.665-26.314 57.625 0 42.143 34.357 76.5 76.5 76.5s76.5-34.357 76.5-76.5c0-21.61-9.045-41.16-23.53-55.094 7.313-18.595 18.25-32.747 34.093-31.5 49.87 3.93 97.708-5.225 124.905-31.124-43.79 5.588-87.016 5.15-127.188-3.062 66.57-7.578 142.425-27.644 162.532-67.47-57.474 17.89-106.156 24.603-162.25 25.532C406.76 210.946 480.33 177.52 490.5 128.78c-47.35 29.953-115.03 54.522-161.813 67.407 68.078-37.955 152.767-114.644 145.125-170C416.836 88.028 362.51 139.09 291.22 166.5c-25.236 9.703-24.56 30.48-8.25 50.156 20.692 24.965 17.825 67.663-8.658 108.625-6.647-1.893-13.664-2.905-20.906-2.905-6.053 0-11.94.724-17.594 2.063-25.986-40.708-28.71-82.986-8.156-107.782 16.308-19.675 17.017-40.453-8.22-50.156C148.15 139.09 93.823 88.028 36.845 26.187zm211.78 315.093l-13.155 40.845-39.69 12.125c2.214-28.29 24.578-50.68 52.845-52.97zm10.126.033c27.825 2.52 49.785 24.555 52.22 52.406L270.81 380.81l-12.062-39.5zm52.22 62.937c-2.517 27.602-24.238 49.42-51.783 52.125l12.938-40.25 38.844-11.875zm-115.095.03l40.906 13.158 11.97 39.03c-28.064-2.21-50.31-24.227-52.875-52.187z","fillRule":"evenodd"}}]})(props);
};
function GiWingedLeg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M24.928 23.108c8.025 58.99 116.646 113.317 197.394 132.7-51.69.28-128.258-5.556-185.43-22.678 24.43 47.073 109.81 60.78 187.105 67.028-57.808 15.162-109.87 21.8-173.96 19.956C82.1 255.192 166.16 254.14 236.62 242.794c-38.85 19.96-83.113 32.74-129.636 39.588 40.913 20.362 106.803 1.757 147.45-4.43-19.043 16.43-41.836 28.653-66.856 37.932 25.075 10.61 64.635 2.653 92.165-11.408-3.48 11.993-15.64 25.648-31.718 35.095 20.82 4.43 46.642.674 66.817-6.833 27.207 10.518 36.235 23.727 37.968 38.06-41.966 13.17-57.812 106.545 29.825 105.43-41.212-17.458-48.907-61.13-19.812-76.848 44.16-23.86 65.382 48.02 55.51 86.106 33.642-12.11 36.518-88.94-7.634-108.167 46.837.503 67.127 32.147 54.327 72.508 53.774-63.696 9.178-103.04-46.535-99.114-82.715-5.958-156.808-121.435-127.108-150.472 22.79-19.817 22.544-51.31-6.26-65.664-72.81-36.302-120.06-22.37-260.198-111.466z"}}]})(props);
};
function GiWingedScepter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 16c-40.2 0-73 32.79-73 73 0 32.2 21 59.6 50 69.3V496h46V158.3c29-9.7 50-37.1 50-69.3 0-40.21-32.8-73-73-73zm0 18c30.5 0 55 24.52 55 55 0 30.5-24.5 55-55 55s-55-24.5-55-55c0-3.55.3-7.02 1-10.38C207.2 90.01 218.7 98 232 98c18.1 0 33-14.88 33-33 0-13.27-8-24.79-19.4-30.02 3.4-.63 6.8-.98 10.4-.98zM29.51 65.88c4.35 23.5 9.23 45.72 14.87 66.82 46.3 25.2 114.92 54.7 170.62 69.5V192C149.6 159 75.7 106.7 29.51 65.88zm452.99 0C436.3 106.7 362.4 159 297 192v10.2c55.7-14.8 124.3-44.3 170.6-69.5 5.7-21.1 10.6-43.33 14.9-66.82zM28.58 144.6c6.32 15.5 12.81 30.2 19.55 44.1C94.15 206 159.6 224.2 215 232.4v-11.6c-62-15.6-137.33-48.3-186.42-76.2zm454.82 0C434.3 172.5 359 205.2 297 220.8v11.6c55.4-8.2 120.9-26.4 166.9-43.7 6.7-13.9 13.2-28.6 19.5-44.1zM247 161.4c3 .4 6 .6 9 .6s6-.2 9-.6V425h-18zm-213.63 41c9.56 16.5 19.21 31.9 29.08 46.4 43.15 8.5 102.75 15 152.55 14.6v-12.7c-61.3-8.6-132.95-29-181.63-48.3zm445.23 0C430 221.7 358.3 242.1 297 250.7v12.7c49.8.4 109.5-6.1 152.5-14.6 9.9-14.5 19.6-29.9 29.1-46.4zm-427 62.5c36.7 44.2 72.6 78.2 112.6 100.4 19.5 10.9 34.6 18.6 50.8 23.4V281.4c-54.5.7-118.2-6.7-163.4-16.5zm408.8 0c-45.2 9.8-108.9 17.2-163.4 16.5v107.3c16.2-4.8 31.3-12.5 50.8-23.4 40-22.2 75.9-56.2 112.6-100.4z"}}]})(props);
};
function GiWingedShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M133.813 37.28C103.96 66.698 96.25 109.353 110.28 145.47c-36.49-20.383-64.53-55.487-74.624-98.907-24.28 73.892 10.364 151.554 77.406 183.812-32.378 8.965-67.574-2.14-92.843-33.03 13.227 64.09 61.895 103.305 111.843 93.905-6.975 30.883-30.75 49.33-62.032 44.438 34.323 27.377 71.306 27 91.157 2.437 12.456 22.323 27.246 44.204 44.375 65.438l-23.125 12.062c16.96 26.955 42.62 53.035 75.907 77.125 31.79-23.093 55.416-48.452 72.437-74.28l-22.81-11.845c18.262-22.29 33.963-45.313 47.124-68.844 19.78 24.912 56.984 25.416 91.47-2.092-31.284 4.89-55.09-13.554-62.064-44.438 49.96 9.422 98.644-29.8 111.875-93.906-25.27 30.89-60.465 41.996-92.844 33.03 67.044-32.257 101.688-109.92 77.408-183.81-10.097 43.428-38.153 78.525-74.657 98.905 14.035-36.12 6.356-78.772-23.5-108.19 12.743 50.553-15.21 102.74-63.842 120.345-39.307 2.985-81.754 3.038-121.063.094-48.77-17.527-76.824-69.81-64.063-120.44zm252.156 130.595c-3.963 92.26-46.662 184.737-127.908 265.78-81.665-81.18-123.585-173.522-127.437-265.75 75.58 14.548 179.816 14.366 255.344-.03z"}}]})(props);
};
function GiWingedSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M246.78 18.656v101.22c7.988.266 16.003.267 24 0V18.655h-24zm-72.155 110.406v30.813h168.313v-30.813c-55.755 12.73-113.104 12.604-168.313 0zm-150.28 35.063l9.343 37.594 132.187 8.093 9.406.562-.655 9.406c-2.594 38.077 5.257 78.673 25.563 112.44l7.625-146.47-183.47-21.625zm463.186 0l-177.842 20.97 7.187 137.843c16.457-31.775 22.736-68.503 20.375-103.157l-.625-9.405 9.375-.563 132.188-8.093 9.343-37.595zm-260.624 14.438L216.25 383.188v44.187l44.375 66.53 43.03-65.342-13-250h-22.53V429.5h-18.688V178.562h-22.53zM38.186 220.72c3.52 11.234 8.043 23.026 13.345 34.936l104.5-8.562c-.358-6.42-.452-12.835-.28-19.188L38.187 220.72zm435.502 0l-117.563 7.186c.172 6.353.077 12.768-.28 19.188l104.5 8.562c5.3-11.91 9.825-23.702 13.342-34.937zm-315.844 45l-97.72 8c5.446 10.777 11.426 21.472 17.782 31.81l84.063-18.28c-1.735-7.117-3.12-14.322-4.126-21.53zm196.187 0c-1.003 7.207-2.36 14.414-4.092 21.53l84.03 18.28c6.357-10.338 12.338-21.033 17.782-31.81l-97.72-8zM167.19 305.25L88.75 322.313c6.694 9.8 13.67 19.05 20.75 27.468l64.938-26.342c-2.725-5.955-5.143-12.023-7.25-18.188zm177.5 0c-2.107 6.166-4.527 12.232-7.25 18.188l64.937 26.343c7.08-8.415 14.056-17.666 20.75-27.467l-78.438-17.063z","fillRule":"evenodd"}}]})(props);
};
function GiWingfoot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M494.25 21.125l-164.53 1.25c-15.463 27.984-33.913 52.67-54.163 75.8 6.012 1.497 12.073 2.995 18.027 4.497l13.69 3.453-8.528 11.254c-50.415 66.503-44.632 142.087-27.36 213.694l-18.17 4.383c-16.838-69.817-23.528-148.192 22.64-217.94-88.07-21.897-183.62-43.434-253.374-89.38-1.77 4.89-1.01 10.187 2.262 17.23 2.427 5.222 6.516 11.043 12.14 17.117 53.162 37.938 130.458 65.946 189.778 75.168l-2.87 18.467c-61.85-9.616-139.642-37.397-196.036-77.227.61 5.953 2.61 12.393 6.387 19.36 6.918 12.758 19.275 26.49 35.7 38.907.84.635 1.697 1.265 2.557 1.893 42.555 22.677 93.696 38.914 140.737 42.164l-1.287 18.644c-61.147-4.222-126.33-28.22-175.672-60.745 1.03 4.922 3.253 10.397 6.885 16.38 7.367 12.14 20.078 25.484 36.23 37.675 39.264 17.838 81.604 32.938 128.62 36.473l-1.4 18.636C150.41 244.06 101.38 224.536 57.41 203.57c3.7 19.623 17.285 34.4 38.926 46.805 26.818 15.373 65.26 25.424 105.822 31.328l7.457 1.086.52 7.517c1.074 15.51 4.568 22.832 9.742 31.672l-16.13 9.438c-4.93-8.426-9.286-18.45-11.292-32.436-32.304-5.087-63.402-12.616-89.365-24.265-6.44 7.75-12.784 15.74-18.994 24.033 16.515 23.758 30.6 43.036 52.78 65.78l27.095-9.467 9.343-3.25 2.718 9.53c15.066 53.052 59.564 93.564 113.595 113.813 48.005 17.99 103.003 19.633 150.063.594-68.673-37.578-114.617-123.708-135.782-199.875l-1.125-4.156 2.376-3.564C348.53 203.283 425.85 148.88 494.25 123.97V21.124z"}}]})(props);
};
function GiWinterGloves (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M156.5 21.92c-1.3 0-2.5 0-3.8.1-16.8.86-35.7 7.64-53 18.52-27.82 17.42-50.42 44.95-54.61 67.66-14.5 78.7 9.32 146.2 44.82 210 46.99 3.4 90.89-1.2 132.99-11.2-3.2-14.4-5.7-33.9-3.7-51.5 1-8.8 3-17.2 7.5-24.4 4.4-7.1 12-12.9 21.4-14 5.8-.7 11.3.3 16.4 2.3 2.2-7.8 4.3-15.8 6-23.6 2.8-12.8 5-31.2 3.4-45.5-.8-7.1-2.6-13.1-4.9-16.8-2.3-3.7-4.3-5.2-8.2-5.7-5.3-.6-11.1 2-17.6 8-6.4 6.1-12.9 15.1-18.4 24.6-10.8 18.8-17.7 38.4-17.7 38.4l-17.1-5s9.3-36.9 12.2-76.6c1.4-19.97 1.2-40.55-2.3-57.02-3.5-16.47-10-27.95-19.7-32.99-7-3.59-15-5.26-23.7-5.27zM355 128.5c-8.7 0-16.8 1.7-23.8 5.3-9.8 5.1-16.3 16.6-19.8 33.1-3.5 16.6-3.7 37.2-2.3 57.2 2.9 40 12.3 77 12.3 77l-17.2 5.1s-6.9-19.7-17.8-38.6c-5.5-9.5-12-18.6-18.5-24.7-6.5-6-12.3-8.6-17.6-8-4 .5-6 2-8.3 5.7-2.3 3.7-4.1 9.7-4.9 16.9-1.6 14.3.6 32.8 3.4 45.7 10.5 47.7 33.1 99.2 37.5 109 45.4 11.9 92.9 17.6 143.9 13.9 35.7-64.1 59.5-131.9 45-210.9-4.2-22.8-26.9-50.4-54.8-67.9-17.4-11-36.4-17.8-53.3-18.7-1.3-.1-2.5-.1-3.8-.1zm-127.8 196c-5.5 1.3-10.9 2.4-16.4 3.6l8.4 45c7.3-1.2 14.7-2.6 22-4.1-4.9-13.8-9.9-29.1-14-44.5zm-34 6.8c-8.8 1.5-17.7 2.7-26.7 3.6l7.6 44.2c9.2-.9 18.4-2 27.4-3.3zm-101.57 5.1l.37 46.5c6.56 0 13-.1 19.5-.3l-2.5-45.4c-5.8-.2-11.55-.4-17.37-.8zm56.77 0c-7 .5-14.2.7-21.5.9l2.5 44.7c9.1-.3 17.9-.8 26.8-1.4zm129.3 94.4l-11.2 44.6c8.5 1.8 16.9 3.4 25.2 4.8l8.3-44.3c-7.5-1.5-14.9-3.2-22.3-5.1zm39.9 8.4l-8.2 43.7c9.1 1.3 18.3 2.4 27.4 3.3l7.5-43.4c-9-1-17.9-2.2-26.7-3.6zm44.7 5.2l-7.5 43.3c8.8.7 17.7 1.2 26.7 1.5l2.4-44c-7.2-.1-14.4-.4-21.6-.8zm57.1 0c-5.9.4-11.7.7-17.5.8l-2.4 44.6c6.4.2 12.9.3 19.5.3z"}}]})(props);
};
function GiWinterHat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M432 20.25c-30.5 0-55 24.52-55 55 0 30.45 24.5 54.95 55 54.95s55-24.5 55-54.95c0-30.48-24.5-55-55-55zM362.8 98.5c-51.5 28.9-108 60.6-158.1 94.9-63.1 43.2-114.49 90.7-132.73 139.4C189.3 360.6 308.8 394.7 453.8 394c9.2-83.5 18.1-171.1-.5-249a71.8 71.8 0 0 1-21.3 3.2c-32.1 0-59.4-20.8-69.2-49.7zM52 346.7c-19.24 28.5-25.15 57.6-25.05 85.3 9.72 3.3 20.13 6.5 31.06 9.6 1.19-13.4 5.49-31 13.2-55.1l17.14 5.4c-8.24 25.7-12 43.9-12.6 54.5 12.47 3.2 25.55 6.3 38.95 9.2 3.2-18.5 9-35.9 14.8-53l17 5.8c-5.9 17.1-11.4 34-14.1 50.9 14.9 2.9 30.2 5.7 45.7 8.3l9.5-51.7 17.8 3.2-9.4 51.4c16.1 2.5 32.4 4.7 48.7 6.8l7.3-49.8 17.8 2.6-7.3 49.3c17.8 2 35.5 3.8 52.9 5.2l5.9-47.4 17.8 2.2-5.8 46.6c19.6 1.4 38.7 2.4 56.8 2.9 3.7-15.4 4.4-27.9 5.4-44.6l18 1.2c-1 15.3-1.7 28.5-5.1 43.8 15.5.3 30.2.1 43.7-.4 15-24.1 23.4-53.4 20.7-77.3-163.2 4-294.2-35.6-420.8-64.9z"}}]})(props);
};
function GiWireCoil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169.8 21.95c-43.8 0-83.33 3.58-111.42 9.2-14.05 2.81-25.26 6.19-32.21 9.5-3.48 1.64-5.84 3.29-6.88 4.31 1.04 1.02 3.4 2.67 6.88 4.31 6.95 3.29 18.16 6.67 32.21 9.48 28.09 5.62 67.62 9.2 111.42 9.2 43.7 0 83.3-3.58 111.3-9.22 14-2.81 25.2-6.19 32.2-9.48 3.5-1.64 5.8-3.29 6.9-4.31-1.1-1.02-3.4-2.67-6.9-4.31-7-3.29-18.2-6.67-32.2-9.48-28.1-5.62-67.6-9.2-111.3-9.2zM405 24.38c-3 0-6.2.1-9.2.26-19 1.13-39.4 5.84-59.3 12.14 1.3 2.4 2.3 5.15 2.3 8.16 0 4.58-2.2 8.57-4.8 11.61 21.6-7.31 43.8-12.81 62.8-13.95 21.8-1.3 38.7 2.92 48.5 14.31 15.7 18.1 15.8 36.34 7.3 59.19-8.5 22.8-26.5 48.6-46.3 75.3-19.7 26.8-41.1 54.6-55.8 82.9-14.9 28.4-23.4 58.1-14.9 87.4 9.9 34.8 48.2 63.6 82.9 85.6 34.9 22.1 67.5 36.4 67.5 36.4l7.2-16.4s-31.5-14-65.1-35.2c-33.5-21.2-68.1-50.5-75.1-75.4h-.2c-6.6-23-.2-47.7 13.7-74 13.6-26.4 34.5-53.6 54.3-80.6 19.9-26.9 38.9-53.4 48.7-79.7 9.8-26.47 9.3-54.21-10.6-77.26-13.1-15.14-32.7-20.62-54-20.77zm-235.2 8.57a64 8 0 0 1 64 8 64 8 0 0 1-64 8 64 8 0 0 1-64.1-8 64 8 0 0 1 64.1-8zM50.75 75.54v17.95c33.14.18 66.05-3.01 95.65-7.88-35.4-1.01-67.02-4.3-91.55-9.21-1.4-.28-2.75-.57-4.1-.86zm238.05 0c-1.4.29-2.7.58-4.2.86-15.5 3.1-33.8 5.55-54.1 7.19v.1C189.6 97.95 121.2 111.9 50.75 111.5v11.3c83.35 2.5 162.65-12.1 238.05-32.61zm0 33.36c-74.9 20-154.3 34.5-238.05 32v13.3c81.65 1.3 161.25-4.6 238.05-23.5zm0 40.3c-77.4 18.6-156.9 24.3-238.05 23v11.5c88.35 6.1 171.25 7 238.05-6.8zm0 46.1c-68.8 13.6-151.1 12.4-238.05 6.4v12c73.05 17.6 154.55 24.6 238.05 29.4v-15.7l-65.7-3.3 65.7-9.2zM50.75 232.2v24.1c90.05 22.1 163.05 26 238.05 26.2v-21.3c-82.5-4.8-164-11.6-238.05-29zm0 42.6v22.8l83.15 11.6-83.15 4.2v14.8c84.25 1.4 166.15-.3 238.05-17.3v-10.4c-74.4-.1-148.2-4-238.05-25.7zm238.05 54.6c-73.4 16.7-155.1 18.2-238.05 16.8v23.6c104.95 7.4 189.75-6 238.05-20.9zm0 38.2c-51.4 15.2-135 27.5-238.05 20.3v25.5c89.35 1.1 176.05-2.2 238.05-29.8zm0 35.6c-65.6 26.8-150 29.3-235.89 28.3 30.05 10.5 73.29 16 116.89 15.9 44.4-.1 88.8-6.1 119-16.8zM32.75 442.5c-2.06 1-3.92 2.1-5.53 3.1-6.84 4.5-8.47 8-8.47 9.6 0 1.6 1.63 5.1 8.47 9.6 6.84 4.4 17.86 9 31.78 12.8 27.82 7.6 67.2 12.5 110.8 12.5 43.5 0 82.9-4.9 110.8-12.5 13.9-3.8 24.9-8.4 31.7-12.8 6.8-4.5 8.5-8 8.5-9.6 0-1.6-1.7-5.1-8.5-9.6-1.7-1-3.5-2.1-5.5-3.1v.6l-5.7 2.3c-33.9 13.4-82.5 19.9-131.3 20-48.8.1-97.49-6.1-131.47-20.1l-5.58-2.3z"}}]})(props);
};
function GiWireframeGlobe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23C127.4 23 23 127.4 23 256s104.4 233 233 233 233-104.4 233-233S384.6 23 256 23zm-33.7 20.63C190 66.85 163.6 92.25 143.2 119H90.26C122.9 79.54 169.4 51.95 222.3 43.63zm67.4 0c52.9 8.32 99.4 35.91 132 75.37h-52.9c-20.4-26.75-46.8-52.15-79.1-75.37zm-60.2 16.98C219 80.42 210 99.85 202.5 119h-36.3c17.1-20.39 38.2-40 63.3-58.39zm53 0c25.1 18.39 46.2 38 63.3 58.39h-36.3c-7.5-19.15-16.5-38.58-27-58.39zM247 65.99V119h-25.1c7-17.3 15.4-34.95 25.1-53.01zm18 0c9.7 18.06 18.1 35.71 25.1 53.01H265V65.99zM76.89 137h53.51c-9.8 15-17.8 30.4-23.9 46H53.71c5.89-16.3 13.71-31.8 23.18-46zm75.21 0h43.8c-5.4 15.5-9.6 30.8-12.9 46h-57.1c6.7-15.6 15.5-30.9 26.2-46zm62.8 0H247v46h-45.6c3.4-15.2 7.9-30.5 13.5-46zm50.1 0h32.1c5.6 15.5 10.1 30.8 13.5 46H265v-46zm51.1 0h43.8c10.7 15.1 19.5 30.4 26.2 46H329c-3.3-15.2-7.5-30.5-12.9-46zm65.5 0h53.5c9.5 14.2 17.3 29.7 23.2 46h-52.8c-6.1-15.6-14.1-31-23.9-46zM48.1 201h52.1c-4.63 15.2-7.5 30.6-8.64 46H41.2c.65-15.8 3.01-31.2 6.9-46zm70.9 0h60.5c-2.5 15.4-3.9 30.7-4.4 46h-65.5c1.2-15.3 4.4-30.7 9.4-46zm78.8 0H247v46h-53.9c.5-15.3 2-30.6 4.7-46zm67.2 0h49.2c2.7 15.4 4.2 30.7 4.7 46H265v-46zm67.5 0H393c5 15.3 8.2 30.7 9.4 46h-65.5c-.5-15.3-1.9-30.6-4.4-46zm79.3 0h52.1c3.9 14.8 6.2 30.2 6.9 46h-50.4c-1.1-15.4-4-30.8-8.6-46zM41.2 265h49.83c.23 15.5 2.24 30.9 6.02 46H48.1c-3.89-14.8-6.25-30.2-6.9-46zm67.8 0h66.1c.5 15.3 1.9 30.6 4.4 46h-63.9c-4.1-15.2-6.3-30.6-6.6-46zm84.1 0H247v46h-49.2c-2.7-15.4-4.2-30.7-4.7-46zm71.9 0h53.9c-.5 15.3-2 30.6-4.7 46H265v-46zm71.9 0H403c-.3 15.4-2.5 30.8-6.6 46h-63.9c2.5-15.4 3.9-30.7 4.4-46zm84.1 0h49.8c-.7 15.8-3 31.2-6.9 46H415c3.7-15.1 5.7-30.5 6-46zM53.71 329h48.69c5.4 15.7 12.8 31.1 22.1 46H76.89c-9.47-14.2-17.29-29.7-23.18-46zm67.69 0H183c3.3 15.2 7.5 30.5 12.9 46h-50c-10.4-14.9-18.5-30.3-24.5-46zm80 0H247v46h-32.1c-5.6-15.5-10.1-30.8-13.5-46zm63.6 0h45.6c-3.4 15.2-7.9 30.5-13.5 46H265v-46zm64 0h61.6c-6 15.7-14.1 31.1-24.5 46h-50c5.4-15.5 9.6-30.8 12.9-46zm80.6 0h48.7c-5.9 16.3-13.7 31.8-23.2 46h-47.6c9.3-14.9 16.7-30.3 22.1-46zM90.26 393h46.64c20.3 27.1 47.3 52.3 80.9 74.6-51-9.1-95.8-36.3-127.54-74.6zm69.34 0h42.9c7.9 20.4 17.6 41 29 62.1-29.3-18.9-53.2-39.8-71.9-62.1zm62.3 0H247v53c-9.7-18-18.1-35.7-25.1-53zm43.1 0h25.1c-7 17.3-15.4 35-25.1 53v-53zm44.5 0h42.9c-18.7 22.3-42.6 43.2-71.9 62.1 11.4-21.1 21.1-41.7 29-62.1zm65.6 0h46.6c-31.7 38.3-76.5 65.5-127.5 74.6 33.6-22.3 60.6-47.5 80.9-74.6z"}}]})(props);
};
function GiWisdom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M66.89 18L128 128 18 117v32.5L96 208l-78 39v35l110 22-3.6 16c-12.6 12.1-21.9 26.5-28.46 42.5-14.43 35.2-16.64 85.7-16.9 131.5h18.1c.34-44.1 2.78-93.8 15.46-124.7 8.9-21.9 22.4-39.6 44.6-52.1-4.1-22-6.2-43.5-6.2-61.2v-14.6l13 6.6c9.6 4.7 16.5 6.2 23.1 5.7-5.2-14-8.1-29.6-8.1-45.7 0-29.1 9.1-55.2 23.3-73.7 14.2-18.5 33.1-29.3 53.7-29.3s39.5 10.8 53.7 29.3c14.2 18.5 23.3 44.6 23.3 73.7 0 16.1-2.9 31.7-8.1 45.7 6.6.5 13.6-1 23.1-5.7l13-6.6V256c0 17.7-2.1 39.2-6.2 61.2 22.2 12.5 35.7 30.2 44.6 52.1 12.7 30.9 15.1 80.6 15.5 124.7H433c-.3-45.8-2.5-96.3-16.9-131.5-6.6-16-15.9-30.5-28.6-42.6L384 304l110-22v-35l-78-39 78-58.5V117l-110 11 61.1-110h-37.8L304 80l-18.6-62h-58.8L208 80 104.7 18zM208 215v18h32v-18zm64 0v18h32v-18zm-33.6 36.1c-12.7 6.7-23.7 13.5-35.6 17.4-10 3.4-21.1 4.1-33.3.8.5 8 1.3 16.7 2.4 25.7 27.2-.4 51.7-3.3 77.7-29.4l1.7-1.6zm35.2 0L260.7 264l1.7 1.6c26 26.1 50.5 29 77.7 29.4 1.1-9 1.9-17.7 2.4-25.7-12.2 3.3-23.3 2.6-33.3-.8-11.9-3.9-22.9-10.7-35.6-17.4zM256 284.3c-27 23.7-55.2 27.8-81.3 28.5 1.7 9 3.6 18 6 26.9 2.2 8.3 4.8 16.3 7.6 23.9C193.9 353.1 201 343 208 336c0 21-6.9 35-11.6 46.8 3.8 7.6 7.8 14.4 12.1 20l24.5-24.5V400c0 14.5 2.8 19.1 7.4 23.6 3.4 3.5 9.1 6.9 15.6 12.3 6.5-5.4 12.2-8.8 15.6-12.3 4.6-4.5 7.4-9.1 7.4-23.6v-21.7l24.5 24.5c4.3-5.6 8.3-12.4 12.1-20C310.9 371 304 357 304 336c7 7 14.1 17.1 19.7 27.6 2.8-7.6 5.4-15.6 7.6-23.9 2.4-8.9 4.3-17.9 6-26.9-26.1-.7-54.3-4.8-81.3-28.5z"}}]})(props);
};
function GiWitchFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M228.9 19.9c-4.9.43-15.1 4.46-26.5 11.06-25.6 15.53-47.9 32.91-70.1 50.7 8.1-2.06 16.1-4.11 24.7-6.64 26.2-7.79 50.2-15.16 76.7-19.46l-2.8 12.88c-7.5 35.06-24.6 70.56-37.7 103.76 18.2 8.8 43.3 12.9 66.5 12.8 22.3-.1 43.1-4.8 52.8-9.2-4.7-50.2 1.2-101.67-23.9-139.54-14.4-16.7-40.5-17.98-59.7-16.36zm-44.4 125.7c-40.1 3.6-82.3 5.4-117.98 22.9-11.22 5.7-16.88 11.7-18.44 15.6-1.55 3.9-1.19 6.8 4.08 12.5 5.27 5.6 15.87 12.3 31.76 18.4 31.78 12.2 84.28 22.3 157.48 25.8 32 1.6 79.6-2.1 123.6-12.8 43-10.3 82.2-27.9 100.5-50.8-41.4-19.6-94.9-23.7-136.6-27.6.5 12.9 1.2 23.4 2.5 35.3l-4 3.1c-14.3 10.7-39.2 14.8-67.6 15-28.4.1-59.5-4.8-82.7-19-12.8-6.7 3.3-28.5 7.4-38.4zM389 240.3c-3.1.9-6.2 1.7-9.3 2.6 2 4.1 3.1 8.6 3.1 13.2 0 7.4-2.7 13.9-7 19.3 10.3 1.1 20.3 2.2 30.2 3.4-6.2-13.5-12.2-27-17-38.5zm-272.2 3.2C98.34 310.6 63.15 371 24.15 439.6c19.27-9.2 34.68-24.2 47.91-42.1 20.77-29 34.34-60.1 50.14-91.2l16.3 7.7c-17.8 33.3-31.3 65.9-50.61 92.4-18.43 28.1-39.59 55.5-63.16 79.3 6.87-.9 13.71-2 20.52-3.2 27.94-27.9 57.95-55.3 65.45-79.9l17.2 5.3c-7.5 24.5-27.4 45.8-48.43 66.4 11.28-3.4 21.63-7.4 29.73-11.5 15.4-12.5 23.7-28.3 29.1-45.4 7-21.8 8.4-45.6 12.4-65.6l17.7 3.6c-3.6 17.9-5.1 42.8-12.9 67.5-4 12.7-10 25.4-18.8 36.9 13.6 11.2 28.9 21.4 39.6 32.8 11.9-54 13.5-106.6 14-164.4l18 .1c-.3 35.4-1 69.3-4.2 103 6.9 15.7 11.9 28 16.2 39.8l10.6-212.8c-46.2-2.6-84.1-7.8-114.1-14.8zm244.3 3.9c-4.7 1.1-9.5 2-14.2 2.9 2.6 7.1-4.9 13.1-10.1 13.2-5 0-9.3-3-10.6-7.2.1 7.5 7.9 14.8 19.3 14.8 11.5 0 19.3-7.4 19.3-15-.4-3.4-1.8-6.6-3.7-8.7zm-52.9 8.7c-3.8.5-7.6.8-11.3 1.2.6 2.3.9 4.8.9 7.3 0 19.4-18.4 33.4-38.9 33.4-4.1 0-8.1-.6-11.9-1.6l-1.7 35.8c7.2 13.1 12.5 21.7 18.3 27.1 7.7 7 17.5 10.6 39.2 13.4 6.4 1.1 11.4 8.7 12.4 13.9 1 5.2.2 10.4-2.1 15.4-18.4 26.2-48 12.2-71.4 2.1l-.8 16.1c14.7 26.8 27.7 51.5 63 68.1 11.4 4.1 25.3 5.5 37.2.9l-20.7-82.4 6-3.3c18.9-10.6 28.7-24.2 36.9-39.6-25.7-2.8-49-9.6-74-11.2-9.7-.6-16.7-7.1-20.8-14-4.1-7-6.2-14.9-4.7-22.9 1.3-13.6 38.3-10.7 44-10.6l16.6 14.9c-16.5-.4-28.2-.3-42.5 3.9 1.1 4.1 3.8 10.3 8.5 10.8 49.2 3.1 84.3 21.4 136 6.3 16.1-3.7 49.3 15.8 61.5 23.4-2.4-20.6-7.1-41-19.5-54.3-43.9-13.8-89.8-15.1-122.9-21.2-33.2-6.1-37.3-19.3-37.3-32.9zm-30.2 2.5c-3.6.2-7.1.3-10.5.4 2.8 7.1-4.8 13.2-10.1 13.3-3.7 0-7-1.7-8.9-4.2l-.5 9.5c3.1 1.5 6.8 2.4 10.9 2.4 12.5 0 20.9-7.9 20.9-15.4 0-2.1-.6-4.1-1.8-6zM243.7 364l-1 20c11.9 6.7 25.5 11.5 41.6 15.5 6.2.9 14.6-2.2 13.2-9.4-21.2-3-35.3-7.7-46.1-17.6-2.8-2.6-5.3-5.4-7.7-8.5zm154.7.5c-5.3.4-10.5.6-15.5.6-.8 1.5-1.5 3-2.3 4.6-8.4 16.3-19.7 33-39.5 45.8l7.6 30.2c11.7 11.9 23.4 24 35.4 34.5-5.3-15.5-7.2-29.9-7.7-50.5l-.6-23.2 16 16.7c6.9 7.2 19.9 13.6 34.4 17.4 7.9 2.1 16.2 3.4 24.2 4-20.3-24.9-38.7-53.5-52-80.1z"}}]})(props);
};
function GiWitchFlight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.656 18.344c-130.276 0-235.97 105.693-235.97 235.97.002 25.49 4.078 49.986 11.564 72.936 38.363-12.022 76.732-21.103 115.094 0l86.687-23.53-21.718-11.564c-2.516-58.148-.82-90.49 9.813-123.03L160.5 192.718c20.212-31.087 48.12-49.398 75.53-64.814-1.944-48.208-52.63-51.764-101.06-47.75l102.31-35.062 61.095 44.968c14.093-11.636 24.928-25.64 30.03-44.968 12.954 28.392 11.902 67.482-15.28 86.03 8.56 18.695.783 43.07-18.563 49.845L330 227.655l67.75 31.125 91.97-24.936c-10.383-120.703-111.684-215.5-235.064-215.5zm38.25 191.375c-20.026 11.44-30.87 32.635-23.844 62.31l28.188 14 72.375-19.624-49.563-22.75-2.125-.97-1.437-1.874-23.594-31.093zM490.626 253L322.5 298.563l41.594 20.687-42.594 80.53-15.625-2.124 16.75 56.688-48.688-47.438 18.438 62.5L220.125 399l14.78-11.063-52.53-7.187 73.063-64-106 28.75c-6.286 43.902-35.572 59.558-68.5 68.03 43.135 46.707 104.988 75.908 173.718 75.908 130.276 0 235.97-104.847 235.97-235.125V253z"}}]})(props);
};
function GiWizardFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.27 20.925c-52.273 37.769-79.069 91.434-103.745 141.186 43.382-24.61 101.684-32.948 126.85-28.668-63.746 10.515-107.937 25.792-144.383 64.272-2.19 4.454-4.085 8.327-6.43 13.07 115.463-27.833 134.484-26.974 250.903-.637C368 160 342.953 128 304 67.285 345.913 119.821 428.148 209.456 424.334 192 401.444 87.226 324.214 24.989 256.271 20.925zM87.989 232.682c-31.046 7.383-53.906 17.49-62.797 26.69.932 11.765 6.717 22.121 17.506 31.985 11.813 10.8 29.562 20.427 51.319 28.163a273.08 273.08 0 0 0 8.046 2.716c-8.35-11.066-11.142-26.325-12.992-41.119C86.98 264.384 87 248 87 240c0-2.523.338-4.991.988-7.318zm336.024 0A27.24 27.24 0 0 1 425 240c0 8 .021 24.384-2.07 41.117-1.85 14.794-4.643 30.053-12.993 41.12a273.093 273.093 0 0 0 8.047-2.717c21.757-7.736 39.506-17.363 51.319-28.163 10.789-9.864 16.574-20.22 17.506-31.986-8.891-9.2-31.751-19.306-62.797-26.69zm-274.45.318l-7 14h98.875l-7-14zm128 0l-7 14h98.875l-7-14zM119 242.441a395.458 395.458 0 0 0-13.97 4.104c.08 8.545.419 20.491 1.9 32.338 1.671 13.374 5.511 25.881 9.672 32.117H119zm274 0V311h2.398c4.16-6.236 8-18.743 9.672-32.117 1.481-11.847 1.82-23.793 1.9-32.338A395.458 395.458 0 0 0 393 242.44zM137.133 265c-.355 18.784 1.943 39.52 6.205 55.693C164.368 306.628 185.205 295 208 295c3.244 0 6.366.152 9.365.443l5.233-15.699c-5.558 5.62-12.91 8.865-23.149 8.504-25.23-.89-33.994-11.133-37.588-23.248zm109.355 0l-12.402 37.201L256 329.594l21.914-27.393-12.4-37.201zm103.65 0c-3.593 12.115-12.356 22.357-37.587 23.248-10.24.361-17.593-2.884-23.15-8.504l5.234 15.7A96.764 96.764 0 0 1 304 295c22.795 0 43.632 11.628 64.662 25.693 4.438-20.098 6.842-37.627 6.205-55.693zM208 313c-20 0-42.956 14.455-68.877 32.4-19.18 13.278-39.947 28.109-63.309 38.405 28.54 6.086 65.79 4.784 98.192-2.58 21.253-4.83 40.458-12.145 53.654-20.563 8.58-5.473 14.158-11.082 17.026-16.398L220.49 314.02c-3.723-.65-7.877-1.02-12.49-1.02zm96 0c-4.613 0-8.767.37-12.49 1.02l-24.196 30.244c2.868 5.316 8.447 10.925 17.026 16.398 13.196 8.418 32.401 15.732 53.654 20.563 32.402 7.364 69.652 8.666 98.192 2.58-23.362-10.296-44.13-25.127-63.309-38.405C346.956 327.455 324 313 304 313zm-177.617 16c.222.053.44.11.662.162L127 329h-.617zM385 329l-.045.162c.222-.053.44-.109.662-.162zm-129 30.709c-4.565 5.707-10.576 10.804-17.395 15.291h34.79c-6.82-4.487-12.832-9.582-17.395-15.291zM199.252 393c-6.818 2.182-13.934 4.11-21.258 5.775a299.581 299.581 0 0 1-28.855 5.077c6.095 19.676 14.08 39.577 22.986 58.279l.064.13c4.336-6.673 9.43-13.021 13.547-19.788-2.453 13.94-3.288 27.88-2.343 41.82a522.587 522.587 0 0 0 5.35 9.707h134.515a516.904 516.904 0 0 0 10.353-19.24c5.369-21.84 3.843-42.8 5.42-64.155 3.111 11.494 6.06 23.033 8.43 34.73 5.843-13.608 11.098-27.598 15.4-41.483a299.581 299.581 0 0 1-28.855-5.077c-7.324-1.664-14.44-3.593-21.258-5.775H199.252z"}}]})(props);
};
function GiWizardStaff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M335.656 19.53c-24.51.093-48.993 5.235-71.062 15.626-22.46 10.577-43.112 34.202-58.375 62.563-15.264 28.36-25.182 61.262-27.69 88.75-7.487 82.112-51.926 155.352-159.78 252.56l-.188 21.44C89.216 403.443 139.915 346.632 176.313 290l.063.03c-9.293 32.473-22.623 63.18-43.594 87.97-31.47 35.584-69.222 71.1-114.468 106.53l-.062 8.25 25 .064h.47l1.28-1.156c24.405-16.498 48.607-31.488 72.594-41.5l.187.187-46.436 42.5 28.937.063c48.372-41.685 94.714-90.58 129.626-137 33.587-44.658 56.02-87.312 60.688-116.844-1.268-2.32-2.552-4.628-3.656-7.094-18.833-42.06-4.273-96.424 40.218-116.063 32.73-14.45 74.854-3.165 90.438 31.344.15.333.324.634.47.97 13.302 24.062 6.175 49.48-9.345 61.97-7.866 6.328-18.442 9.528-28.75 6.56-10.31-2.966-19.043-11.772-24.5-25.124l17.28-7.062c3.992 9.764 8.667 13.15 12.375 14.22 3.708 1.066 7.767.148 11.875-3.158 8.216-6.61 14.282-21.91 4.406-39.03l-.28-.47-.22-.5c-10.7-24.82-41.96-33.333-66.22-22.625-34.063 15.037-45.594 58.052-30.686 91.345 20.527 45.846 77.97 61.177 122.375 40.875 60.157-27.5 80.13-103.328 53.094-161.813-24.737-53.503-81.41-82.484-138.908-83.843-1.633-.04-3.272-.07-4.906-.063zm-25.75 26.72c3.238.035 6.363.348 9.406.906 10.343 1.898 19.946 6.753 29.032 13.25-30.623-5.437-58.324 4.612-80.78 24.782-22.44 20.152-39.16 50.59-45.783 84.718-4.655-11.358-7.166-21.462-6.686-31.72.296-6.343 1.715-12.956 4.78-20.217 9.094-18.016 21.032-33.946 35.22-46.69 7.824-7.026 16.39-13.07 25.53-17.905 10.932-5.212 20.522-7.22 29.282-7.125zm122.938 62.313c22.583 13.167 34.365 41.86 32.937 70.656-.564 11.395-3.466 22.975-8.905 33.624-12.48 18.937-35.53 25.51-49.97 20.875l-.092-.25c27.943-10.365 39.18-32.377 40.312-55.19.124-2.5.115-4.994-.03-7.468 1.447-13.31-.412-28.793-5.47-43.437-2.244-6.496-5.15-12.89-8.844-18.72l.064-.093zm-135.563 1.312c-20.97 19.342-29.406 35.252-33.25 51.25-3.848 16.023-2.788 32.84-2.905 52.875-.14 23.79-2.56 51.542-18.438 85.688-.005.012-.025.018-.03.03-21.095 26.753-45.276 52.25-68.907 67.376l-.063-.03c64.195-71.545 68.527-114.792 68.75-153.19.112-19.197-1.253-37.594 3.438-57.124.57-2.37 1.233-4.742 2-7.125h.03c8.098-17.036 16.572-26.058 25.47-31.563 7.18-4.44 15.035-6.697 23.906-8.187z"}}]})(props);
};
function GiWolfHead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M179.3 38.94C154.7 77.7 142.7 139.7 168.4 185.9l-16.3 9.2c-6.7-11.9-11.2-24.4-13.9-37.2-34.5-6.3-69.42-7.5-104.98-2.1 34.07 10.1 52.77 23.7 76.68 46.7-26.82 9.7-60.25 30.2-92.93 70.2 35.47-8.8 64.83-11.5 89.43-6.3-36.94 22.5-64.06 56.1-88.34 114.1 35.9-17.2 64.89-18.8 102.94-18.8-23.07 32.7-35.27 77.2-36.31 112.8 24.51-26 57.61-60.2 87.21-79 3 29.9 15 58.3 35.9 85.3-.2-43.9 10.3-88.3 31.6-133.4-18.8 9-32.4 18.1-49.9 29.3 6.2-27.9 12.4-55.8 18.7-83.7-23.3 2.4-39 10-60.5 18.5 16.3-33.1 32.7-66.1 49.1-99.2l16.8 8.3-28.4 57.4c18.4-4.4 28.7-4.1 45.7-1.3-4.5 20.4-9 40.7-13.6 61 65.3-36.2 148.3-45.9 226.7-50 7.6-12.9 13.8-24.2 18.8-34.8l-6.3-24.4-24.4 30.8-7.8-27.5-22.5 29.2-7.5-26.1-23.9 31.5-7.7-28.2-23.8 31.4 1.2-41.1 22.6-42.7 7.6 28.3 23.9-31.5 7.6 28.2 23.5-30 6.5 26.9 24.5-30.8 7.8 27.5 24.6-32c2.3-10.8 4.6-22.4 7.4-35.7-55.5-3.7-106.3 4.8-154 9.8-38-20.8-80.8-26.8-121.9-18.5-13.6-29.69-27.2-59.38-40.9-89.06zM325.5 158.3c-4.5 14.2-13 18.3-24.7 20.6-16.1-4.4-28.3-15.5-34.4-30.2 20.4-3.8 42.4 3.4 59.1 9.6z"}}]})(props);
};
function GiWolfHowl (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.563 22.094c-126.81 0-229.594 102.784-229.594 229.594 0 25.4 4.132 49.846 11.75 72.687 40.154-24.203 76.02-41.17 107.56-52.03-35.752 5.615-66.405 23.66-109.843 4 31.552-27.765 87.682-65.842 138.532-71.658 26.58-21.615 68.113-43.962 89.655-37.28 30.492-26.873 67.982-61.093 108.125-85.75 10.667 16.156 17.124 35.94 12.563 57.874-80.37 20.205-61.692 148.928 13.468 67.44 6.348 13.064 9.41 26.665 9.095 41.436-32.675 33.83-66.97 63.026-101.938 87.906.466 23.99-5.605 52.915-19 84.813-5.635 13.42-7.33 36.406 22.875 53.97 101.14-24.012 176.375-114.924 176.375-223.408 0-126.81-102.815-229.593-229.625-229.593zm3.312 164.375c-17.835 2.22-32.794 9.046-45.844 18.968 12.083-.036 25.612 2.882 37.5 6.156 6.208-6.698 10.236-18.52 8.345-25.125z"}}]})(props);
};
function GiWolfTrap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M106 113.773l-32.963 74.375c-1.058.223-2.103.455-3.12.704-5.293 1.296-9.95 2.918-14.044 4.79l-8.266-53.435-25.037 87.277c-1.296 3.723-2.424 7.607-3.338 11.635l-.26.905.07-.04c-3.632 16.665-3.56 35.726 3.597 55.818 3.306 14.022 15.515 30.355 40.24 48.135 29.193 20.992 75.05 42.954 138.495 63.86-.253-1.795-.393-3.625-.393-5.486 0-12.21 5.637-23.185 14.432-30.447l-4.07-42.73-31.54 37.69c-9.764-3.686-19.047-7.46-27.896-11.3l-2.95-78.177-33.57 60.615c-9.068-4.85-17.496-9.773-25.294-14.75l-4.627-90.04-28.932 65.057c-7.485-6.607-13.957-13.243-19.45-19.86-4.244-20.016-.412-38.063 6.145-52.42l4.483-2.602c15.852-5.496 35.514-7.645 58.504-6.182 32.732 2.084 72.51 11.748 118.152 30.803.098-13.092 7.704-24.51 18.692-30.142l-5.597-52.59-30.14 42.78c-9.68-3.6-19.025-6.73-28.012-9.41l-4.26-68.73-32.567 59.774c-11.784-2.163-22.712-3.436-32.716-3.91l-3.77-71.97zm323.08 29.936l-15.973 70.28c-9.928-1.244-20.884-1.876-32.837-1.777l-19.58-66.443-18.075 68.964c-9.342 1.12-19.127 2.635-29.316 4.55l-19.015-44.84-16.422 45.742c8.9 6.183 14.768 16.47 14.768 28.04 0 2.407-.257 4.758-.74 7.03 47.224-10.57 87.28-13.166 119.37-9.7 22.9 2.47 41.908 7.938 56.592 16.05l3.978 3.332c4.016 15.265 4.72 33.704-2.873 52.707-6.54 5.582-14.047 11.016-22.547 16.25l-17.43-69.034-19.89 87.94c-8.51 3.565-17.626 6.972-27.356 10.198l-19.724-61.576-19.274 72.674c-9.347 2.27-19.107 4.404-29.326 6.37l-22.605-45.43-14.87 49.995c2.57 5.23 4.02 11.097 4.02 17.283 0 5.728-1.25 11.18-3.476 16.107 70.416-9.85 122.176-24.18 155.893-40.565 27.394-13.31 42.205-27.326 47.852-40.582 10.472-18.58 13.79-37.348 13.048-54.388l.063.053-.102-.942c-.214-4.126-.664-8.146-1.308-12.035l-9.81-90.26-17.243 51.245c-3.714-2.54-8.03-4.93-13.023-7.11-.96-.417-1.95-.822-2.954-1.222L429.08 143.71zm-170.584 89.07c-8.642 0-15.443 6.802-15.443 15.445 0 3.53 1.15 6.74 3.084 9.318 3.42.025 6.915.164 10.468.422 4.313.313 8.527.796 12.633 1.422 2.91-2.793 4.705-6.733 4.705-11.162 0-8.64-6.806-15.446-15.447-15.446zm-12.652 43.468c-1.02-.003-2.032.005-3.033.025-12.016.244-22.59 2.134-30.23 4.98-5.094 1.9-8.82 4.23-10.85 6.22-2.03 1.99-2.375 3.155-2.375 4.37 0 2.426 3.81 8.437 14.258 13.844 10.448 5.408 25.905 9.714 42.992 10.954 17.088 1.24 32.486-.854 42.674-4.65 5.093-1.898 8.82-4.23 10.85-6.22 2.03-1.987 2.374-3.154 2.374-4.368 0-2.43-3.81-8.44-14.258-13.847-10.447-5.408-25.904-9.712-42.992-10.95-3.204-.234-6.348-.348-9.41-.357zm-5.688 57.215l-2.96 29.51c1.08-.09 2.17-.15 3.273-.15 5.382 0 10.524 1.1 15.214 3.077l3.05-30.406c-1.153-.06-2.313-.13-3.48-.215-5.18-.376-10.223-.992-15.098-1.817zm.313 48.05c-11.6 0-20.798 9.2-20.798 20.8 0 11.595 9.2 20.796 20.797 20.796 11.594 0 20.798-9.203 20.798-20.798 0-11.595-9.202-20.798-20.8-20.798z"}}]})(props);
};
function GiWolverineClaws (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M359.672 17.625C313.48 46.29 271.752 75.44 234.484 104.97 205.98 84.112 175.29 63.477 142.39 43.062c27.144 27.17 51.856 51.637 75.657 75.218-12.494 10.31-24.464 20.64-35.875 31.033-42.628-32.138-89.742-63.87-141.344-95.125 43.876 42.25 83.107 79.44 120.25 114.968-10.486 10.213-20.458 20.47-29.906 30.75-32.703-24.725-68.48-49.164-107.344-73.28 33.158 33.19 63.178 62.832 91.594 91.03-44.866 52.294-76.392 105.362-94.47 158.72 43.352-52.554 81.404-95.843 118-135.345 8.92 8.9 17.697 17.714 26.407 26.5-45.706 52.888-77.744 106.583-96.032 160.564 43.905-53.225 82.38-96.934 119.406-136.844 9.348 9.566 18.673 19.212 28 28.97-49.978 55.818-84.697 112.556-104.03 169.624 46.973-56.946 87.73-103.024 127.155-145.188 40.668 43.46 82.702 90.943 131.187 149.72-19.925-58.813-55.8-117.274-107.47-174.782 8.262-8.64 16.51-17.176 24.782-25.657 51.97 52.87 105.448 110.348 168.03 182.75-26.815-70.89-73.77-141.354-140.656-210.562 8.05-8.112 16.168-16.22 24.407-24.437 46.908 49.238 94.57 102.33 150.907 170.624-22.28-65.762-64.422-131.106-126.22-195.156 26.944-26.726 55.307-54.743 86.626-86.093-37.095 23.02-71.31 46.346-102.656 69.937-11.98-11.744-24.626-23.447-37.938-35.094 30.035-29.847 61.767-61.106 97.187-96.562-42.52 26.386-81.26 53.187-116.22 80.312-11.568-9.63-23.577-19.228-36.06-28.78 32.01-31.862 65.834-65.14 103.905-103.25zm-121.406 120.72c10.224 10.15 20.242 20.103 30.125 30-10.4 8.537-20.404 17.12-30.062 25.718-9.895-8.356-20.07-16.694-30.562-25 10.046-10.22 20.225-20.434 30.5-30.72zm50.03 50.06c11.128 11.248 22.165 22.485 33.157 33.845-9.314 7.466-18.35 14.956-27.094 22.47-10.324-10.024-21.054-20.007-32.22-29.97 8.632-8.746 17.344-17.527 26.157-26.344zm-103.124 3.876c9.06 8.717 18.043 17.393 26.937 26.033-8.97 8.657-17.56 17.354-25.782 26.062-9.16-7.9-18.63-15.775-28.406-23.625 9.11-9.65 18.182-19.092 27.25-28.47zm50.75 49.25c9.824 9.655 19.608 19.384 29.406 29.19-8.62 8.06-16.905 16.142-24.875 24.25-9.21-9.38-18.815-18.744-28.875-28.064 8.13-8.568 16.234-17.005 24.344-25.375z"}}]})(props);
};
function GiWomanElfFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 41c-28.25 0-58.36 18.25-81.166 44.857-3.138 3.66-6.123 7.477-8.947 11.403L208 69.184l23.127 15.418c.506-6.936 2.568-13.312 6.07-18.565C241.265 59.937 247.934 55 256 55s14.735 4.936 18.803 11.037c3.502 5.253 5.564 11.63 6.07 18.565L304 69.184l42.113 28.076c-2.824-3.926-5.81-7.742-8.947-11.403C314.36 59.25 284.25 41 256 41zm0 32c-.77 0-2.103.436-3.826 3.02C250.45 78.608 249 82.995 249 88c0 3.83.85 7.29 2.02 9.865l4.98 3.32 4.98-3.32C262.15 95.29 263 91.83 263 88c0-5.006-1.45-9.393-3.174-11.98C258.103 73.437 256.77 73 256 73zm-48 17.816l-28.623 19.08 5.336 1.067c16.922 2.09 36.528 3.426 56.605 3.867-1.384-1.3-2.626-2.74-3.7-4.268L208 90.817zm96 0l-29.617 19.747c-1.075 1.527-2.317 2.968-3.7 4.267 20.077-.442 39.685-1.777 56.608-3.867l5.333-1.067L304 90.816zM32 112c33.318 33.318 58.914 89.742 71.463 126.506 3.176-25.792 7.433-52.057 12.54-74.658 1.177-5.203 2.363-10.177 3.585-14.922C98.66 132.53 44.818 112 32 112zm448 0c-12.818 0-66.66 20.53-87.588 36.926 1.222 4.745 2.408 9.72 3.584 14.922 5.108 22.6 9.365 48.866 12.54 74.658C421.087 201.742 446.683 145.318 480 112zm-331.47 10.086c-4.642 8.756-10.375 25.398-14.97 45.73-5.475 24.23-10.06 53.44-13.257 81.444-2.72 23.812-4.36 46.505-4.832 64.775 6.863-23.28 15.328-51.522 26.116-79.943 14.948-39.38 33.48-78.513 59.758-101.444l-52.813-10.562zm214.94 0l-52.814 10.562c26.277 22.93 44.81 62.063 59.758 101.444 10.788 28.42 19.253 56.664 26.115 79.943-.474-18.27-2.114-40.963-4.833-64.775-3.197-28.003-7.782-57.213-13.258-81.444-4.595-20.332-10.328-36.974-14.97-45.73zm-128.755 10.62l-6.69 3.345c-6.37 3.187-12.575 8.02-18.574 14.118 6.667.82 12.99 2.112 18.59 3.863 8.714 2.728 16.785 5.412 20.364 14.75l-16.808 6.44c.716 1.868-2.263-1.923-8.932-4.01-6.67-2.085-15.925-3.606-25.332-3.99-.636-.025-1.273-.033-1.91-.048-3.23 4.555-6.38 9.44-9.442 14.596 4.823-1.175 9.422-1.768 14.02-1.768 12 0 24 4 40 12 0 16-16 32-32 32-9.86 0-25.784-6.078-36.563-14.484-4.653 9.97-9.01 20.393-13.023 30.964-2.324 6.122-4.538 12.267-6.662 18.38 9.174 24.796 21.778 46.163 35.352 63.615 13.475 17.326 27.913 30.755 40.576 39.666C240.342 371.05 251.75 375 256 375s15.658-3.95 28.32-12.86c12.663-8.91 27.1-22.34 40.576-39.665 13.574-17.452 26.178-38.82 35.352-63.614-2.124-6.113-4.338-12.258-6.662-18.38-4.013-10.57-8.37-20.995-13.024-30.964C329.784 217.922 313.86 224 304 224c-16 0-32-16-32-32 16-8 28-12 40-12 4.598 0 9.197.593 14.02 1.768-3.043-5.124-6.173-9.98-9.383-14.512-9.19.424-18.187 1.915-24.707 3.955-6.67 2.087-9.648 5.878-8.932 4.01l-16.81-6.44c3.58-9.338 11.653-12.022 20.37-14.75 4.95-1.548 10.476-2.728 16.296-3.55-6.093-6.248-12.4-11.19-18.88-14.43l-6.69-3.345c-7.034.196-14.15.295-21.284.295-7.133 0-14.25-.1-21.285-.295zM200 192a8 8 0 0 0-8 8 8 8 0 0 0 8 8 8 8 0 0 0 8-8 8 8 0 0 0-8-8zm111.648 0a8 8 0 0 0-8 8 8 8 0 0 0 8 8 8 8 0 0 0 8-8 8 8 0 0 0-8-8zM240 256l16 4.098L272 256c0 16-16 16-16 16s-16 0-16-16zm-96.836 28.87c-4.49 14.25-8.274 27.123-11.822 39.16-9.37 62.528-29.578 99.06-52.65 146.353 4.716-.48 9.643-1.316 14.462-2.922 10.293-3.43 19.87-9.632 26.795-23.485l8.05-16.1 8.05 16.1c7.835 15.668 12.134 21.143 14.272 22.773 1.07.815 1.84 1.144 3.942 1.793.25.08.683.214.984.308 12.907-29.755 25.753-81.982 27.535-123.414-3.33-3.765-6.635-7.728-9.887-11.91-10.863-13.966-21.126-30.27-29.732-48.655zm225.672 0c-8.606 18.385-18.87 34.688-29.732 48.655-3.252 4.18-6.557 8.144-9.887 11.91 1.824 42.395 15.232 96.096 28.435 125.454.942-.053 1.702-.12 2.155-.21 1.098-.223.9-.08 1.836-1.022 1.873-1.886 6.306-9.683 14.306-25.683l8.05-16.1 8.05 16.1c6.927 13.853 16.503 20.055 26.796 23.486 5.303 1.77 10.72 2.63 15.857 3.073-17.65-45.806-38.75-79.5-50.51-134.562-4.353-14.547-9.39-32.163-15.357-51.1zM240 288s16 0 16 6.693C256 288 272 288 272 288c16 0 32 16 48 16 0 0-28.9 29.78-48 32-5.653.657-16-5.96-16-5.96s-10.347 6.617-16 5.96c-19.1-2.22-48-32-48-32 16 0 32.012-15.997 48-16zm-40.482 74.475c-.435 4.7-.954 9.44-1.58 14.207l1.55 2.326 25.91 38.865 24.24-24.236 1.048-1.05c-10.23-1.496-21.165-7.142-33.366-15.728-5.783-4.07-11.77-8.882-17.802-14.385zm112.964 0c-6.033 5.503-12.02 10.314-17.802 14.384-12.2 8.585-23.134 14.23-33.364 15.728l25.286 25.285 25.91-38.865 1.55-2.326c-.626-4.767-1.145-9.508-1.58-14.207zm-118.82 40.242c-4.95 25.17-12.022 49.39-19.78 68.283h70.358l-28.166-35.072-22.412-33.21zm124.676 0l-22.412 33.21L267.76 471h70.36c-7.76-18.893-14.83-43.113-19.782-68.283zM256 412.727l-19.88 19.882L256 456.942l19.88-24.334L256 412.726z"}}]})(props);
};
function GiWoodAxe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M215.344 22.813L205.03 37.906l71.782 46.375 8.938-12.81c-15.62-23.633-44.153-40.97-70.406-48.657zm-38.47 18.843c-28.32 35.34-79.16 105.16-105.718 145.313 61.96 26.364 113.013 69.562 133.22 119.593 5.064 12.54 8.125 25.566 8.78 38.75 36.873-9.75 80.34-36.93 117.25-70.5 30.105-27.38 55.912-59.115 71.406-87.75L176.875 41.655zm240.657 155.53c-16.836 31.038-43.713 63.084-74.717 91.283-40.21 36.57-87.238 66.474-130.47 76.03-1.09 8.278-3.153 16.543-6.343 24.72-8.91 22.832-26.23 44.633-52.656 64.592 64.678 10.955 135.135-13.105 195.844-53.687 64.21-42.923 116.84-104.112 139.28-157.063l-70.937-45.875zM84.814 213.782L16.5 313.72v143.717l135.875-194.812c-18.23-18.513-41.412-35.295-67.563-48.844z"}}]})(props);
};
function GiWoodBeam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M268.4 48.99L42.55 335H82.2l75.9-104.2 14.6 10.6-68.3 93.6h27.5l28.2-30.4-1.6 30.4h116.8L470.9 48.99h-50.6l-150 219.91-14.8-10.2L398.6 48.99h-34.9l-47.8 66.51-14.6-10.6 40.2-55.91zM479 69.08L289 346.8v30.7l68.9-100.8 14.8 10.2L289 409.3v32.3l190-292.3v-11.7l-22 5.8 22-33.3zM32.98 353v110h23.83l10.54-38.1L78.48 463h37.62c-2.2-5.7-3.4-11.8-3.4-18.2 0-18.6 10.4-35 25.9-46.3 15.5-11.2 36.2-17.8 58.9-17.8 22.7 0 43.4 6.6 58.9 17.8 5.6 4.1 10.6 8.9 14.6 14.2V353zm164.52 45.7c-19.2 0-36.4 5.7-48.3 14.4-12 8.7-18.5 19.8-18.5 31.7 0 6.4 1.9 12.5 5.5 18.2h16.3c-3.3-4.7-5.4-10.1-5.4-16.1 0-11.2 7.1-20.4 16.5-26.3 9.3-6 21.3-9.2 34.4-9.2 13.1 0 25.1 3.2 34.4 9.2 9.4 5.9 16.5 15.1 16.5 26.3 0 6-2.1 11.4-5.4 16.1h15.3c3.6-5.7 5.5-11.8 5.5-18.2 0-11.9-6.5-23-18.5-31.7-11.9-8.7-29.1-14.4-48.3-14.4zm.5 30.7c-10 0-19 2.7-24.8 6.4-5.8 3.7-8.1 7.6-8.1 11.1s2.3 7.4 8.1 11.1c3.3 2.1 7.6 3.9 12.5 5h24.6c4.9-1.1 9.2-2.9 12.5-5 5.8-3.7 8.1-7.6 8.1-11.1s-2.3-7.4-8.1-11.1c-5.8-3.7-14.8-6.4-24.8-6.4z"}}]})(props);
};
function GiWoodCabin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M495.145 15.451l-178.215.205s7.918 25.215 15.652 35.63c13.155 17.712 67.295 2.752 59.79 35.714h55.4c6.995-6.98 14.212-15.862 15.064-23.44 1.035-9.207-15.175-16.126-12.29-24.931 5.22-15.92 44.599-23.178 44.599-23.178zM256 28.311L30.455 238.82l32.666 21.777L256 83.79l192.879 176.807 32.666-21.778L256 28.31zM393 105v26.555l46 42.933V105h-46zm-137 3.209L209.318 151h93.364L256 108.209zM189.682 169l-32.727 30H279v-30h-89.318zM297 169v30h58.045l-32.727-30H297zm-159.682 48l-34.564 31.684 64.246-.288V217h-29.682zM185 217v31.316l222.76-.994L374.682 217H185zm242.303 48.236L83.02 266.773l-18.141 16.63-.932-.622A31.64 31.64 0 0 1 60.737 295H451.263a31.64 31.64 0 0 1-3.211-12.219l-.932.621-19.818-18.166zM32 267c-7.839 0-14 6.161-14 14s6.161 14 14 14 14-6.161 14-14-6.161-14-14-14zm448 0c-7.839 0-14 6.161-14 14s6.161 14 14 14 14-6.161 14-14-6.161-14-14-14zM59.656 313a31.659 31.659 0 0 1 1.08 30H103v-30H59.656zM121 313v78h46v-78h-46zm64 0v78h46v-78h-46zm64 0v30h30v-30h-30zm48 0v174h94V313h-94zm112 0v30h42.264a31.659 31.659 0 0 1 1.08-30H409zm-377 2c-7.839 0-14 6.161-14 14s6.161 14 14 14 14-6.161 14-14-6.161-14-14-14zm448 0c-7.839 0-14 6.161-14 14s6.161 14 14 14 14-6.161 14-14-6.161-14-14-14zM59.656 361a31.659 31.659 0 0 1 1.08 30H103v-30H59.656zM249 361v30h30v-30h-30zm160 0v30h42.264a31.659 31.659 0 0 1 1.08-30H409zm-377 2c-7.839 0-14 6.161-14 14s6.161 14 14 14 14-6.161 14-14-6.161-14-14-14zm448 0c-7.839 0-14 6.161-14 14s6.161 14 14 14 14-6.161 14-14-6.161-14-14-14zm-128 28h22v18h-22v-18zM59.656 409a31.659 31.659 0 0 1 1.08 30H279v-30H59.656zM409 409v30h42.264a31.659 31.659 0 0 1 1.08-30H409zm-377 2c-7.839 0-14 6.161-14 14s6.161 14 14 14 14-6.161 14-14-6.161-14-14-14zm448 0c-7.839 0-14 6.161-14 14s6.161 14 14 14 14-6.161 14-14-6.161-14-14-14zM32 457c-7.839 0-14 6.161-14 14s6.161 14 14 14 14-6.161 14-14-6.161-14-14-14zm28.736 0a31.659 31.659 0 0 1-1.08 30H87v-30H60.736zM105 457v30h174v-30H105zm304 0v30h43.344a31.659 31.659 0 0 1-1.08-30H409zm71 0c-7.839 0-14 6.161-14 14s6.161 14 14 14 14-6.161 14-14-6.161-14-14-14z"}}]})(props);
};
function GiWoodCanoe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M482.2 66.37c-62.8 22.61-139.5 57.53-219.3 96.03H408c31.3-31.8 55-66.02 74.2-96.03zm9.1 18.91C462.4 129.7 423 182.1 363.8 223.3c-67.2 46.8-159.8 78.3-288.82 66.9 2.19 55.4 28.92 97.4 67.92 143.7 184.6-62.2 266.8-127.6 306-191.2 32.4-52.7 35.9-105.4 42.4-157.42zM226 180.4c-9.5 4.7-19.1 9.4-28.6 14.1h175c5.8-4.6 11.3-9.3 16.7-14.1zm-64.8 32.1c-33.3 16.7-66.19 33.2-98.25 49.4.26.1.52.3.77.4 4.1 2.4 7.87 5.7 10.24 9.9 123.04 11.6 209.84-17 273.84-59.7zm-121.63 62c-6.3 0-11.89 1.6-15.22 3.5s-3.62 3.3-3.62 3.4c0 .1.29 1.5 3.62 3.4s8.92 3.5 15.22 3.5c6.3 0 11.89-1.6 15.22-3.5s3.62-3.3 3.62-3.4c0-.1-.29-1.5-3.62-3.4s-8.92-3.5-15.22-3.5zm18.34 28.7c-5.5 2-11.72 3.1-18.34 3.1-4.33 0-8.48-.5-12.38-1.4 2.45 28.1 12.83 60.1 26.72 86.3 9.54 18.1 20.63 33.5 30.85 43.1 10.22 9.7 18.54 12.4 22.94 11 5.7-1.8 11.3-3.6 16.8-5.4-34.9-42.2-61.13-84.1-66.59-136.7z"}}]})(props);
};
function GiWoodClub (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M483.424 24.638L449.83 39.98c.944.974 1.864 1.99 2.754 3.068 3.544 4.29 6.546 8.89 9.07 13.745l21.77-32.155zm-221.18 14.426l4.217 42.527c7.223-6.983 14.875-13.594 22.97-19.575l-27.186-22.95zm143.17 2.358c-2 .03-4.06.133-6.18.298-11.58.906-24.367 3.983-37.02 7.41l23.55 36.178.404.62.297.68c3.1 7.08 2.3 14.488-.006 21.41-2.308 6.924-6.405 13.565-12.487 18.53-6.082 4.962-14.756 8.037-23.813 6.118-9.056-1.92-17.6-8.213-25.506-18.803l-1.718-2.305-1.104-48.535c-25.135 12.94-47.54 34.326-66.178 57.047l17.14 9.428 2.892 1.59 1.177 3.08c4.892 12.782 5.147 26.122-1.43 37.13-6.575 11.01-18.66 18.744-35.435 24.293l-6.9 2.285-11.653-19.82c-1.71 3.762-3.41 7.56-5.093 11.43l-17.225 108.624-2.75-61.597c-10.444 24.205-21.82 48.42-36.09 70.063C119.643 368.216 28.322 462.01 28.322 462.01l-.07.072-.07.07c-3.905 3.85-3.91 5.573-3.475 7.693.29 1.418 1.348 3.368 3.168 5.43l97.166-78.713-84.007 87.3c5.778 2.305 11.906 3.587 15.895 3.495 6.885-6.482 66.713-62.5 107.11-88.644 38.117-24.67 69.79-54.084 106.32-82.045l12.213-70.723.37-2.147 1.312-1.74c6.783-8.997 15.585-14.236 24.506-15.33a31.905 31.905 0 0 1 6.588-.113c6.464.56 12.5 3.047 17.584 6.59 11.895 8.287 20.172 22.808 18.008 37.68 6.76-3 13.436-6.003 19.883-9.153 20.67-10.1 38.705-21.33 51.063-37.56-7.023-.544-13.58-3.672-19.03-7.846-7.455-5.707-13.412-13.558-17.25-22.2-3.84-8.64-5.723-18.287-2.974-27.615 2.75-9.326 11.142-17.274 22.833-20.01l.645-.153 45.662-3.797c.92-5.208 1.667-10.42 2.19-15.58 1.022-10.1 1.175-19.927.35-29.187l-28.927 31.25 19.88-64.613c-1.88-3.562-4.056-6.88-6.556-9.907-7.064-8.55-16.195-12.217-27.474-12.957a72.25 72.25 0 0 0-5.82-.134zm-65.937 5.773l1.316 57.93c5.447 6.628 10.038 9.285 13.098 9.933 3.385.717 5.85-.13 8.702-2.457 2.852-2.327 5.483-6.348 6.79-10.272 1.253-3.757 1.01-7.105.624-8.23l-30.53-46.903zm-136.057 64.69l37.62 63.984c10.068-4.252 16.137-9.108 18.94-13.802 3.017-5.05 3.41-10.74.962-18.547l-57.522-31.636zm284.063 45.76l-78.336 6.513c-6.528 1.622-8.23 3.973-9.252 7.443-1.05 3.558-.457 9.338 2.156 15.218 2.614 5.88 7.085 11.648 11.745 15.217 4.102 3.14 7.867 4.322 10.924 4.105.6-.433 1.22-.876 2.16-1.576a960.486 960.486 0 0 0 10.226-7.758c8.388-6.43 19.428-14.995 30.408-23.547 10.038-7.82 12.08-9.442 19.97-15.616zM312.38 244.497c-.48.007-.957.04-1.43.097-3.424.42-7.092 2.18-11.067 6.868l-16.496 95.523 49.18-76.508c2.014-7.113-2.495-17.326-9.926-22.504-2.873-2.002-5.883-3.162-8.806-3.422a14.095 14.095 0 0 0-1.453-.054zm74.02 29.52a328.805 328.805 0 0 1-7.677 3.886c-5.127 2.505-10.308 4.887-15.488 7.232l27.76 17.047-4.594-28.166z"}}]})(props);
};
function GiWoodPile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M353.86 48.45c-10.626-.16-20.45 3.456-29.14 13.253l-.193.217-50.586 50.098.628.703c3.395 3.7 3.106 9.463-.642 12.804-3.748 3.342-9.505 2.97-12.793-.825l-5.985-6.712c-.784 1.096-1.627 2.16-2.544 3.178-5.116 5.68-11.746 9.448-18.688 11.023l5.438 20.302c2.54 8.98-8.582 15.417-15.102 8.738l-41.2 40.803c1.41-.082 2.83-.135 4.26-.135 40.63 0 73.616 33.616 73.616 74.672 0 .803-.036 1.598-.06 2.395l141.94-153.74c8.252-10.316 9.687-20.888 6.985-31.832C407.08 82.4 399.6 71.29 389.653 62.967c-3.085-2.583-6.396-4.885-9.835-6.854L258.56 182.725c-3.418 3.685-9.193 3.856-12.824.38-3.63-3.478-3.71-9.255-.175-12.83l115.932-121.05c-1.843-.34-3.68-.584-5.494-.694-.715-.042-1.428-.07-2.137-.08zM232.31 85.597c-4.224-.048-8.876 1.842-12.583 5.96-6.327 7.024-5.918 16.11-.913 20.62 5.006 4.508 14.088 3.968 20.415-3.057 6.325-7.024 5.917-16.112.91-20.62-1.877-1.69-4.328-2.672-6.992-2.867-.277-.02-.556-.032-.837-.035zm-27.95 63.94c-7.19-.12-13.63 2.222-19.577 8.925l-.19.217-99.734 98.77c10.89.53 20.967 4.222 29.386 10.167 1.406-11.834 5.547-22.84 11.785-32.332l.44-.67 6.39-8.21c1.915-2.138 3.963-4.148 6.11-6.05l70.907-70.224c-1.372-.268-2.734-.453-4.07-.534-.486-.03-.968-.05-1.448-.057zm193.3 14.415c-2.226.018-4.423.188-6.588.52L245.744 321.88c-2.968 3.93-6.313 7.544-9.976 10.806l-5.715 6.19c9.9 2.162 19.137 6.16 27.34 11.628-.004-.254-.02-.505-.02-.76 0-12.38 4.545-23.756 12.03-32.496l-.087-.086 1.358-1.344c1.008-1.09 2.06-2.135 3.16-3.13L381.01 206.545c8.52-9.363 20.055-13.314 30.816-12.662 10.908.66 21.093 5.423 29.33 12.316 8.238 6.892 14.684 16.035 17.278 26.538.788 3.194 1.158 6.54 1.078 9.922 4.62-9.422 4.9-19.095 2.242-28.918-3.484-12.87-12.614-25.674-24.47-34.967v.002c-11.194-8.77-24.658-14.314-37.27-14.79-.79-.028-1.573-.04-2.354-.034zm11.926 47.852c-5.712-.106-10.696 1.69-15.463 7.064l-.193.216-82.07 81.28c22.277 2.517 40.072 20.28 43.12 42.585l82.31-89.153c4.454-5.58 5.124-10.833 3.665-16.742-1.468-5.945-5.675-12.3-11.35-17.05-5.678-4.75-12.668-7.778-18.867-8.153-.387-.024-.77-.04-1.152-.047zm-222.274 8.097c-4.898 0-9.644.647-14.167 1.85 1.964-.262 3.962-.41 5.994-.41 24.715 0 45.067 19.99 45.067 44.566 0 24.576-20.355 44.567-45.068 44.567-24.718 0-45.07-19.992-45.07-44.567 0-2.83.282-5.593.797-8.277-2.044 5.915-3.166 12.284-3.166 18.94 0 31.482 24.873 56.668 55.613 56.668s55.61-25.185 55.61-56.668c0-31.482-24.87-56.668-55.61-56.668zm-8.173 19.44c-15.12 0-27.07 11.857-27.07 26.566 0 14.71 11.945 26.567 27.07 26.567 15.117 0 27.067-11.858 27.067-26.567 0-14.71-11.944-26.566-27.068-26.566zm-3.388 7.357c8.742 0 16.023 7.276 16.023 16.02s-7.285 16.02-16.023 16.02c-8.742 0-16.025-7.275-16.025-16.02 0-8.743 7.287-16.02 16.025-16.02zm-93.61 28.68c-21.25 0-38.427 17.364-38.427 39.2 0 21.835 17.177 39.2 38.426 39.2 21.25 0 38.426-17.364 38.426-39.2 0-3.01-.338-5.933-.957-8.74-1.208-2.858-2.23-5.813-3.08-8.838-6.297-12.877-19.314-21.623-34.39-21.623zm-.36 11.016c15.59 0 27.085 14.1 27.085 29.823 0 15.724-11.498 29.82-27.086 29.82-15.59 0-27.087-14.098-27.087-29.82 0-15.727 11.5-29.824 27.088-29.824zm372.58.325c-6.907-.118-13.068 2.118-18.79 8.567l-.193.22-96.345 95.415c27.285 1.628 49.25 23.576 51.547 50.926l96.64-104.672c5.384-6.735 6.24-13.283 4.48-20.42-.234-.944-.527-1.893-.868-2.844l-63.383 66.342c-3.41 3.703-9.196 3.888-12.837.41-3.64-3.48-3.72-9.267-.175-12.844l65.103-68.144c.345-.37.72-.71 1.122-1.018-.786-.76-1.604-1.497-2.447-2.203-6.715-5.62-14.988-9.227-22.463-9.68-.467-.028-.93-.046-1.39-.054zm-372.9 14.73c-7.59 0-13.74 7.046-13.74 15.738 0 8.69 6.15 15.736 13.74 15.736s13.743-7.045 13.743-15.736c0-8.69-6.152-15.737-13.742-15.737zm224.952 16.6c-17.17 0-31.04 14.004-31.04 31.694 0 17.69 13.87 31.695 31.04 31.695s31.04-14.006 31.04-31.696-13.87-31.693-31.04-31.693zm-2.285 11.155c11.398 0 19.28 10.28 19.28 21.092 0 10.814-7.884 21.09-19.28 21.09-11.4 0-19.282-10.277-19.282-21.09 0-10.814 7.883-21.092 19.28-21.092zm-163.378 5.13l-14.027 15.192c-2.17 2.835-4.59 5.46-7.235 7.838l-3.986 4.317c9.624 5.793 17.842 13.746 24.006 23.185 6.715-14.72 17.602-27.106 31.113-35.588-11.134-2.634-21.307-7.826-29.87-14.946zm72.31 20.704c-34.83 0-63.015 28.553-63.015 64.192 0 35.64 28.186 64.194 63.016 64.194s63.017-28.554 63.017-64.194c0-35.638-28.188-64.193-63.017-64.193zM68.68 370.114C42.442 374.65 22.5 397.775 22.5 425.96c0 14.03 4.95 26.802 13.146 36.66-5.09-7.662-8.066-16.868-8.064-26.725v-.004c-.005-26.31 21.188-47.994 47.29-47.994 26.105 0 47.298 21.684 47.292 47.996.005 20.913-13.386 38.89-31.986 45.393 22.622-5.065 40.05-24.075 43.076-47.908-.792-4.6-1.207-9.324-1.207-14.145 0-2.07.077-4.125.226-6.16-4.7-20.763-20.513-37.028-40.71-42.11-3.065.528-6.21.817-9.422.817-4.64 0-9.146-.586-13.462-1.665zm140.48.643c27.187 0 49.2 22.702 49.2 50.203 0 27.503-22.016 50.204-49.2 50.204-27.187 0-49.2-22.702-49.2-50.203 0-27.5 22.017-50.202 49.2-50.202zm0 17.998c-17.21 0-31.2 14.195-31.2 32.205 0 18.012 13.983 32.206 31.2 32.206 17.212 0 31.2-14.195 31.2-32.205 0-18.01-13.982-32.204-31.2-32.204zm81.856 8.148c1.256 4.498 2.16 9.143 2.642 13.912 3.67-4.432 8.01-8.273 12.852-11.38-.032.002-.062.003-.094.003-5.38 0-10.554-.9-15.4-2.536zm-216.14 8.992c-16.2 0-29.295 13.238-29.29 29.995v.005c-.005 16.756 13.09 29.994 29.29 29.994 16.197 0 29.295-13.24 29.29-29.995v-.004c.005-16.756-13.093-29.994-29.29-29.994zm133.706.256c8.967 0 14.96 7.945 14.96 15.953 0 8.01-5.993 15.952-14.96 15.952-8.966 0-14.96-7.943-14.96-15.952 0-8.008 5.994-15.953 14.96-15.953zm127.203 2.664c-20.47 0-37.013 16.723-37.013 37.766 0 21.042 16.544 37.766 37.013 37.766 20.47 0 37.012-16.723 37.012-37.766 0-21.042-16.543-37.766-37.012-37.766zM71.833 422.39c8.965 0 14.958 7.943 14.958 15.952 0 8.01-5.992 15.953-14.958 15.953-8.966 0-14.96-7.944-14.96-15.953 0-8.01 5.994-15.953 14.96-15.953zm267.923 1.423c14.727 0 26.683 12.307 26.683 27.037 0 14.73-11.958 27.037-26.684 27.037-14.728 0-26.682-12.308-26.682-27.037 0-14.73 11.955-27.038 26.682-27.038zm0 18c-4.802 0-8.682 3.845-8.682 9.037s3.877 9.037 8.682 9.037c4.8 0 8.683-3.846 8.683-9.037 0-5.193-3.88-9.038-8.684-9.038z"}}]})(props);
};
function GiWoodStick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M328.5 32.86l-11.2 2.46-24.6 110.98-62.1-48.6c-1.5 2.4-2.6 4.6-3 6.8-.9 3.7-.5 7.6 2.3 13l58.2 47.6-12.9 93.5-2.4 2.2c-57.5 53.5-130.5 102.9-198.52 153 9.71 2.4 18.73 6.9 25.22 14.3 7 7.8 9.9 18.3 10.1 28.7C226.7 353.3 375.8 223.5 473 114.2c2.2-8.5.9-10.9-1.3-13.4-1.4-1.73-4.4-3.63-7.7-5.83C427.2 131.7 362.8 196.9 316.8 229.4l-16.9 12zM292.4 374.9c-25.4 6.8-50 9.3-74.5 10.1-6.9 6.1-13.7 12.2-20.5 18.3 17.2 0 34.6-.5 52.4-2.4 11.8 23 33.9 36.3 53 49.5l10.2-14.8c-17.4-12-33.9-22.6-43.8-37.3 9.1-1.5 18.4-3.5 27.8-6zm-234.53 55c-8.44.2-15.64 3-18.86 6.9-1.35 1.7-1.73 5 .1 10.3 1.83 5.4 5.79 11.6 9.31 15.4 4.78 5.2 12.43 11.1 19.57 14.2 7.13 3 12.6 3.2 16.09.9 3.67-2.4 6.98-9.2 7.44-17.2.46-8.1-2.11-16.5-5.48-20.3-4.41-5-14.5-9.4-24.48-10.1-1.25-.1-2.48-.1-3.68-.1z"}}]})(props);
};
function GiWoodenChair (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 27.12c-44.3 0-88.4 3.36-119 9.99v63.79h238V37.11c-30.6-6.63-74.7-9.99-119-9.99zm-91.6 91.78l15.8 132c5.8-.3 11.8-.6 18-.9l-15.7-131.1zm82.5 0l-1.6 130h18l1.6-130zm82.6 0L313.8 250c6.2.3 12.2.6 18 .9l15.8-132zm-73.5 148c-31.8 0-63.6 1-89.3 3-12.8 1-24.1 2.2-33 3.6-5.4.9-9.5 1.9-12.7 2.8v32.6h270v-32.6c-3.2-.9-7.3-1.9-12.7-2.8-8.9-1.4-20.2-2.6-33-3.6-25.7-2-57.5-3-89.3-3zm-103 60v158h30v-158zm176 0v158h30v-158zm-128 64v16h110v-16z"}}]})(props);
};
function GiWoodenClogs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M303.546 94.469c-3.588 2.228-8.21 5.362-13.999 9.707-8.22 6.169-17.985 13.746-28.37 21.034-20.77 14.577-43.457 29.113-65.617 26.668-25.055-2.765-56.964-15.414-86.102-29.535-19.904-9.646-37.766-19.705-51.222-28.424 1.792 32.743.28 58.3.59 78.079 14.629 2.896 30.5 8.504 47.423 14.69 38.52 14.08 82.286 31.031 121.989 28.99 5.909-4.389 11.594-8.727 16.789-12.626 8.394-6.3 15.15-11.41 21.667-14.265l4.456-1.952 4.017 2.794c16.5 11.469 23.616 27.366 32.397 43.616 8.782 16.25 19.32 33.829 42.82 53.028 13.448 10.989 45.313 13.51 72.66 17.609 2.753.412 5.45.854 8.108 1.331 27.013-16.499 46.25-42.476 55.362-72.48 1.565-5.154 1.447-8.405.83-10.529-.616-2.123-1.71-3.651-4.2-5.442-4.979-3.582-15.706-6.522-28.6-8.454-25.786-3.864-59.643-3.799-81.176-21.392-25.673-20.974-38.161-41.568-47.266-58.417-7.957-14.724-13.263-25.842-22.556-34.03zm-66.248 24.9c-36.388-3.755-72.093-17.843-102.952-29.124C114.62 83.034 96.825 77.01 83.003 75.19c-8.134-1.072-14.374-.836-19.357.932 12.514 8.345 32.246 19.75 53.35 29.977 28.222 13.677 59.716 25.604 80.4 27.886 9.278 1.024 24.371-5.287 39.902-14.615zm32.243 88.478c-3.589 2.229-8.21 5.363-14 9.71-8.22 6.168-17.985 13.743-28.37 21.032-20.77 14.576-43.457 29.112-65.616 26.667-25.055-2.765-56.965-15.412-86.104-29.533-19.903-9.646-37.765-19.706-51.221-28.426 2.545 46.512-1.596 78.578 2.323 100.082 2.214 12.154 6.315 20.844 15.743 29.421 9.428 8.577 24.775 16.845 48.994 25.169 16.292 5.6 29.497 3.832 43.238 1.171 13.74-2.661 28.152-6.717 44.129-2.343 18.199 4.982 32.265 20.962 49.285 36.16 17.02 15.198 36.147 30.06 60.25 35.745 84.003 19.814 145.572-24.874 164.316-86.59 1.566-5.155 1.447-8.406.83-10.53-.616-2.123-1.711-3.649-4.2-5.44-4.98-3.581-15.705-6.523-28.599-8.456-25.787-3.864-59.644-3.798-81.177-21.391-25.673-20.975-38.162-41.567-47.267-58.416-7.956-14.724-13.261-25.843-22.554-34.032zM203.29 232.75c-36.387-3.756-72.091-17.845-102.95-29.126-19.726-7.21-37.522-13.233-51.343-15.054-8.133-1.072-14.37-.834-19.353.933 12.514 8.345 32.245 19.748 53.347 29.974 28.222 13.677 59.715 25.606 80.398 27.889 9.278 1.023 24.37-5.289 39.9-14.616z"}}]})(props);
};
function GiWoodenCrate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M37.727 25l78 78h280.546l78-78H37.727zM25 37.727v436.546l78-78V115.727l-78-78zm462 0l-78 78v280.546l78 78V37.727zM79.957 40a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zM432 40.793a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zM112 72a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zm287.45 0a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zm63.42 0a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zM48 73.047a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zM79.395 104a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zm352.605.2a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zM121 121v193.273l53.7-53.7L174.065 121H121zm71.064 0l.555 121.654 54.38-54.38V121h-54.936zM265 121v49.273L314.273 121H265zm74.727 0L121 339.727V391h51.273L391 172.273V121h-51.273zM391 197.727l-53.023 53.023V391H391V197.727zm-71.023 71.023L265 323.727V391h54.977V268.75zM247 341.727L197.727 391H247v-49.273zM77.97 392a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zm354.03.658a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zM115.727 409l-78 78h436.546l-78-78H115.727zM48 423.752a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zm64 .8a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zm288 .712a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zm64 4.74a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zM432 456a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8zm-352 2.56a8 8 0 0 1 8 8 8 8 0 0 1-8 8 8 8 0 0 1-8-8 8 8 0 0 1 8-8z"}}]})(props);
};
function GiWoodenDoor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M271.125 17.813v145.562h66.938V34.5c-20.606-10.187-43.6-15.728-66.938-16.688zm-18.688.218c-22.768 1.465-45.25 7.305-65.53 17.376v127.97h65.53V18.03zM356.75 45.5v117.875h61.844c-2.66-48.27-21.532-83.515-48.656-107.53-4.2-3.72-8.6-7.17-13.188-10.345zm-188.53.813c-5.32 3.63-10.403 7.6-15.22 11.906-27.108 24.233-45.9 58.953-48.656 105.155h63.875V46.312zm269.936 97.312v19.5H459v-19.5h-20.844zm0 38.188v.25H84.78v32h353.376v.156H459v-32.407h-20.844zM104 232.75v130.375h64.22v-26.28c-2.152.362-4.346.56-6.595.56-21.91 0-39.875-17.965-39.875-39.874 0-21.907 17.964-39.874 39.875-39.874 2.25 0 4.443.2 6.594.563v-25.47H104zm82.906 0v34.03c8.893 7.334 14.594 18.41 14.594 30.75s-5.7 23.42-14.594 30.75v34.845h65.53V232.75h-65.53zm84.22 0v130.375h66.937V232.75h-66.938zm85.624 0v130.375h62.156V232.75H356.75zm81.406.156v17.938H459v-17.938h-20.844zm-276.53 43.438c-11.81 0-21.19 9.38-21.19 21.187 0 11.81 9.378 21.19 21.19 21.19 11.81 0 21.186-9.38 21.186-21.19s-9.376-21.186-21.187-21.186zm276.53 67.03v19.907H459v-19.905h-20.844zM84.78 381.813v32h353.376v.157H459v-32h-18.47v-.158H84.78zM104 432.5v59.844h64.22V432.5H104zm82.906 0v59.844h65.53V432.5h-65.53zm84.22 0v59.844h66.937V432.5h-66.938zm85.624 0v59.844h62.156V432.5H356.75zm81.406.156v17.938H459v-17.938h-20.844z"}}]})(props);
};
function GiWoodenFence (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149.725 16.338L90.627 79.926v348.678l59.098 63.582 18.584-61.58h51.895l37.91 61.58 37.91-61.58h51.895l18.584 61.58 59.098-63.582V79.926l-59.098-63.588-19.188 63.588v1.97h-50.058v-1.97l-39.143-63.588-39.142 63.588v1.97h-50.06v-1.97l-19.188-63.588zm19.187 84.244h50.06v142.486h-50.06V100.582zm128.346 0h50.058v142.486h-50.058V100.582zM168.912 261.756h50.06v150.162h-50.06V261.756zm128.346 0h50.058v150.162h-50.058V261.756z"}}]})(props);
};
function GiWoodenHelmet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M268.15 399.257c-33.34 0-65.19 2.53-91.8 7.2 1.4-10.11 9.38-88.76 10.63-105h42.41l2.75 80.5h67.54l3.32-80.52h41.24c1.74 16 12.61 94.53 14.48 104.8-26.38-4.53-57.72-6.98-90.57-6.98zM384 117.077l36.41-21.1c-2.14-28.91-2.255-31.91-2.14-34.4L408 88.397l-36.36 15.74-76.04-53.18 62.56 61.63-19.34 18.35c4.667.586 9.19 1.226 13.57 1.92zm-47.08 56.08c14.85 2.25 22.87 4.7 27.08 6.45-4.21 1.75-12.23 4.2-27.08 6.45-19.06 2.88-43.49 4.47-68.77 4.47-25.28 0-49.71-1.59-68.77-4.47-14.85-2.25-22.87-4.7-27.08-6.45 4.21-1.75 12.23-4.2 27.08-6.45 19.06-2.88 43.49-4.47 68.77-4.47 25.28 0 49.71 1.59 68.77 4.47zm-52.39 6.45c0-2.08-7.33-3.77-16.38-3.77-9.05 0-16.38 1.69-16.38 3.77s7.33 3.77 16.38 3.77c9.05 0 16.38-1.69 16.38-3.77zm134.22 0c0 20.38-67.43 36.9-150.6 36.9-83.17 0-150.6-16.52-150.6-36.9s67.43-36.9 150.6-36.9c83.17 0 150.6 16.53 150.6 36.9zm-35.17 0c0-10.2-11.39-16.56-38.08-21.26-20.74-3.65-48.21-5.66-77.36-5.66s-56.62 2-77.36 5.66c-26.69 4.7-38.08 11.06-38.08 21.26 0 10.2 11.39 16.56 38.08 21.26 20.74 3.65 48.21 5.66 77.36 5.66s56.62-2 77.36-5.66c26.69-4.7 38.08-11.06 38.08-21.26zm63.66 193.67l-29 2.55c.2-5.42.49-170.41.49-170.41-1.28.88-2.57 1.68-3.82 2.4-8.9 5.16-21.18 9.67-36.49 13.42-29.65 7.27-68.83 11.27-110.3 11.27s-80.64-4-110.3-11.27c-15.31-3.75-27.59-8.27-36.49-13.42-1-.59-2-1.22-3.08-1.91.59 21.38 1.44 52.83 2.18 82.91l-52.34-21.23-6.037-16.505 20.157-34.565-24.21 20.9-23-68.37L48 279.94l73.16 37.787c.67 29.53 1.07 53.32.79 57.83-.24 3.82-.43 28.21-7.61 55.34-5.216 19.007 13.61 35.754 31.88 28.36 14.5-4.53 25.9-173.82 25.9-173.82h72.75l2.73 80.52h36.72l3.29-80.53h71s16.24 165.8 33.58 173.82a11.4 11.4 0 0 0 4.83 1c12.11 0 27.64-16.29 25.34-27.9-2.388-12.466-3.77-19.103-4.13-31.79l47.15-17.51 11.62-69.88z"}}]})(props);
};
function GiWoodenPegleg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M71.934 18c.485 15.14 1.357 31.058 2.935 42.4 2.76 19.85 10.513 50.143 16.017 70.364 9.138-4.04 18.895-7.028 28.937-9.192-3.463-16.14-9.658-46.268-11.994-65.9-1.27-10.676-2.216-24.19-2.935-37.672zm69.086 0c.67 12.48 1.505 24.57 2.558 33.418 2.073 17.426 8.91 50.5 12.115 65.57 5.652-.31 11.272-.473 16.797-.488 2.06-.006 4.095.017 6.125.045 2.3-14.427 8.78-55.99 10.604-78.28.457-5.6.81-12.688 1.094-20.265zm85.36 0c-.317 8.4-.73 16.463-1.28 23.2-1.866 22.8-7.498 59.604-10.334 77.415a461.44 461.44 0 0 1 25.1 3.2c4.21-17.332 9.348-38.773 12.53-53.102C255.408 55.13 259.4 35.73 262.995 18zm81.985 0c9.414 41.476 25.243 91.922 57.447 117.125 10.246 7.392 26.79 9.957 42.98 7.24 16.187-2.717 34.53-8.897 39.427-20.806 13.3-32.353 19.886-70.087 17.676-103.56zM87.575 152.754c-6.472 4.746-11.16 10.35-14.432 16.88-5.926 11.832-7.48 27.542-4.606 48.225 2.366 17.027 7.872 37.395 15.828 60.722 7.33-11.772 20.21-22.684 37.87-29.53-6.93-31.903-6.845-63.815-6.495-95.718l.55-.014c6.325 32.274 12.75 64.58 24.93 98.68 23.19-6.48 49.524-10.395 73.227-10.764 20.597-.32 39.06 1.51 52.38 8.166 1.47-44.267 2.522-74.153-5.61-90.3-4.44-8.81-10.85-16.326-24.03-19.067-40.296-8.377-107.204-7.592-149.61 12.72zm353.43-2.473c-18.843 9.395-40.083 13.222-59.482 10.044l3.844 18.006c26.837 2.207 32.874 1.026 57.71-9.348zm4.124 37.216c-17.018 6.656-25.32 9.495-38.1 9.81l9.654 55.043-16.24-55.08c-3.32-.095-6.963-.287-11.157-.586l51.604 245.08c5.43.883 11.167.885 16.81-.028a53.786 53.786 0 0 0 3.484-.69l-9.192-98.6 14.744 97a51.322 51.322 0 0 0 6.71-2.866zm-225.823 71.707c1.492-.373-3.103-.003-4.67.022-25.09.39-53.942 5.062-77.625 12.496l-1.82-7.23-8.29 1.592a75.133 75.133 0 0 0-9.902 4.725c7.086 25.256 9.957 46.182 6.322 72.728 8.09-6.685 16.802-9.395 25.666-9.195 17.48.393 35.54 16.062 50.535 30.674-29.688-14.594-56.878-18.71-79.046-1.87a196.7 196.7 0 0 1-5.13 18.25 35.53 35.53 0 0 1 7.62-.726c21.365.34 40.238 19.874 53.717 42.283-26.104-23.325-51.962-35.416-78.067-23.84l-.162.044c-1.58.443-52.92 20.927-67.807 43.828-13.01 20.014-22.782 50.122 2.073 50.122h172.81c13.715 0 23.896-5.363 29.476-18.743-22.274 7.332-44.18 8.164-65.985 7.185 25.95-7.275 52.874-13.347 70.656-30.63 4.894-73.38 3.61-132.378-2.992-190.61a162.725 162.725 0 0 0-17.377-1.102zm268.263 189.93c-8.098 5.324-17.417 8.823-26.998 10.373-9.543 1.544-19.444 1.167-28.775-1.305.67 1.996 1.025 3.502 1.82 5.605 4.764 12.6 12.888 25.522 17.563 27.982 7.55 3.972 22.58 1.542 28.48-4.603 3.915-4.08 7.464-18.818 7.973-32.21.085-2.23-.063-3.752-.063-5.84z"}}]})(props);
};
function GiWoodenPier (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M24 87.002v17.996h472V87.002zm127.04 114.084c-4.514-.074-9.04 2.158-9.04 6.914v60.988l18-34V208c.053-4.462-4.448-6.84-8.96-6.914zm209.92 0c-4.512.074-9.013 2.452-8.96 6.914v26.988l18 34V208c0-4.756-4.526-6.988-9.04-6.914zM181.419 233L72.359 439h77.42l54.53-206zm41.508 0l-12.176 46H247v-46zM265 233v126h56.4l-34.279-126zm40.775 0l69.104 254h17.935l-11.447-49.799L412.564 487h52.489L330.582 233zM64 281c-7.62 0-14.45 1.658-18.604 3.734-3.271 1.636-4.106 2.98-4.318 3.266.212.287 1.047 1.63 4.318 3.266C49.55 293.342 56.38 295 64 295c7.62 0 14.45-1.658 18.604-3.734 3.271-1.636 4.106-2.98 4.318-3.266-.212-.287-1.047-1.63-4.318-3.266C78.45 282.658 71.62 281 64 281zm22.922 7c.057.077.078.095.078 0s-.021-.077-.078 0zm-45.844 0c-.057-.077-.078-.094-.078 0 0 .095.021.077.078 0zM448 281c-7.62 0-14.45 1.658-18.604 3.734-3.271 1.636-4.106 2.98-4.318 3.266.212.287 1.047 1.63 4.318 3.266C433.55 293.342 440.38 295 448 295c7.62 0 14.45-1.658 18.604-3.734 3.271-1.636 4.106-2.98 4.318-3.266-.212-.287-1.047-1.63-4.318-3.266C462.45 282.658 455.62 281 448 281zm22.922 7c.057.077.078.095.078 0s-.021-.077-.078 0zm-45.844 0c-.057-.077-.078-.095-.078 0s.021.077.078 0zm-219.094 9l-50.293 190h22.9l15.253-76.838-3.52 76.838H247V297zM41 308.984v150.782l46-86.889v-63.893C80.3 311.632 72.464 313 64 313s-16.3-1.368-23-4.016zm384 0v63.893l46 86.889V308.984c-6.7 2.648-14.536 4.016-23 4.016s-16.3-1.368-23-4.016zm-368.297 19.29c4.418 0 8 7.163 8 16 0 8.836-3.582 16-8 16s-8-7.164-8-16c0-8.837 3.582-16 8-16zM265 377v110h91.225l-29.926-110zM62.83 457l-15.883 30h90.127l7.942-30H62.83z"}}]})(props);
};
function GiWoodenSign (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M240.03 35.938c-1.08.01-2.168.062-3.25.124-8.644.502-17.16 2.8-22.5 5.97-5.336 3.167-7.018 5.72-6.81 9.593v.25l.78 28.156 59.97-1.28-.876-31.844c-.148-3.014-1.806-5.15-7.47-7.593C255.63 37.48 249.63 36.27 243.25 36c-1.063-.045-2.138-.074-3.22-.063zm224.94 57.218L33.593 102.53l1.375 62 154.655 4.064-148.156 9.72-2.907 98.81 1.406.313 8.06 1.844-.843 8.22-6.906 67.47 429.533-9.283L464.219 283l-140.376-3.656 139.22-9.156-8.877-99.407-138.875-3.624 151.032-9.937-1.375-64.064zM276.31 368.562l-59.875 1.282L220 495.78h59.844l-3.53-127.217z"}}]})(props);
};
function GiWool (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M332.04 27.759c-4.596 2.47-10.075 7.56-14.275 14.453-2.602 5.644-11.487 22.4-3.68 27.5 9.571 1.4 18.325-8.765 22.752-15.879 4.2-6.894 6.212-14.097 6.3-19.314.25-9.162-5.102-9.93-11.097-6.76zm-35.082 49.057c-17.085 22.447-30.962 44.18-45.3 64.636a1290.558 1290.558 0 0 0-35.102-24.556c-21.021-10.201-22.682-3.57-28.057.078 17.396 13.455 34.746 26.954 51.877 40.576l-10.354 14.775c-21.77-17.33-43.972-34.51-66.23-51.7a181.82 181.82 0 0 0-13.441 3.48c5.576 9.819 11.085 19.699 16.523 29.632 15.874 12.41 32.705 25.03 49.549 37.993l-10.442 14.898a5040.63 5040.63 0 0 0-18.484-14.2c8.628 16.656 17.002 33.46 25.057 50.409 20.13 13.193 44.62 31.66 62.4 44.44 3.916-.75 7.82-1.533 11.715-2.337l-18.424 21.84a767.571 767.571 0 0 1-25.52 4.08c2.098 5.112 4.148 10.24 6.174 15.375a899.026 899.026 0 0 0 137.143-28.658c5.08-7.527 6.204-14.563-1.344-20.562-28.95 9.639-58.497 17.842-88.736 24.341l19.406-22.945a814.417 814.417 0 0 0 28.172-7.504 944.014 944.014 0 0 0-12.02-11.593l11.653-13.78a940.439 940.439 0 0 1 19.992 19.51 875.505 875.505 0 0 0 18.436-5.963 182.274 182.274 0 0 0-4.067-15.088 1686.485 1686.485 0 0 0-18.842-16.808l67.805-80.17c-6.175-1.897-11.06-6.287-13.598-11.723l-55.459 65.746c-18.82-29.505-45.863-53.235-77.923-67.972L311.31 87.7c-6.206-1.37-11.54-5.817-14.352-10.884zm156.94 13.267c-4.9 1.797-11.044 6.058-16.176 12.29-3.37 5.216-14.532 20.556-7.528 26.704 9.276 2.736 19.38-6.087 24.768-12.504 5.132-6.231 8.138-13.077 8.963-18.23.825-5.153-.34-7.571-1.438-8.475-2.728-1.57-6.156-.662-8.59.215zm-320.524 40.723c-9.202-3.944-14.229-1.076-15.666 7.63 61.04 106.67 106.595 219.245 144.486 334.592 11.13 4.931 10.359-1.798 13.073-4.56-27.876-117.522-81.03-230.756-141.893-337.662zm143.127 6.564c27.765 20.66 54.483 42.173 80.338 64.383l-11.604 13.756c-25.474-21.888-51.767-43.07-79.064-63.399zm-174.16 10.447c-15.251-4.231-12.5 5.804-15.385 11.512 76.376 111.834 103.795 216.838 143.553 321.967 8.333 6.566 12.036 2.365 14.379-3.275-37.546-114.2-82.537-225.242-142.547-330.204zm152.117 21.004c26.123 21.061 51.575 42.484 75.68 64.586l-11.623 13.778c-23.597-21.658-48.62-42.759-74.416-63.582zm-181.01 2.662c-9.338-2.596-11.688 3.193-11.44 12.083 55.283 98.074 99.863 193.737 132.585 300.882 10.108 5.981 14.405 3.828 17.693-.463-39.185-104.242-66.175-205.338-138.838-312.502zm-23.406 27.44a182.045 182.045 0 0 0-22.596 48.787l40.008-17.041a2110.528 2110.528 0 0 0-17.412-31.746zm180.613 3.863c25.72 20.202 50.754 41.287 71.557 63.725l-11.715 13.89C270.68 258.862 246 238.05 220.192 217.716zM75.927 246.624l-53.412 22.75c-5.851 3.791-7.273 9.93-2.15 19.541l64.513-25.027a1802.274 1802.274 0 0 0-8.951-17.264zm151.459 28.426a1342.948 1342.948 0 0 1 8.146 18.674c4.905-.67 9.798-1.37 14.666-2.133-7.36-5.36-15.139-11.038-22.812-16.541zm-134.36 4.984l-40.375 15.662a758.774 758.774 0 0 0 49.996 3.977c-3.154-6.556-6.364-13.1-9.62-19.639zm-72.672 29.547c-1.801 5.343-5.821 10.118 1.733 17.072a917.72 917.72 0 0 0 96.285 6.766 1472.581 1472.581 0 0 0-7.057-15.416c-29.61-.99-59.907-3.728-90.96-8.422zm364.907 6.96a916.802 916.802 0 0 1-129.692 26.968 1126.15 1126.15 0 0 1 5.49 14.918c39.738-4.882 80.213-12.616 121.637-23.924 6.55-4.86 10.362-10.291 2.565-17.963zM25.845 345.238c-2.76 3.598-7.863 6.493 4.052 13.528 33.771 3.469 67.817 5.712 102.278 6.261a1381.957 1381.957 0 0 0-5.781-13.49 933.945 933.945 0 0 1-100.55-6.299zm351.783 9.233a874.569 874.569 0 0 1-57.195 12.877l47.392 17.822c9.683 3.145 30.587 11.951 29.406 20.983-2.359 13.928-27.517 11.142-34.53 21.632-1.93 3.205-2.83 7.536-2.182 11.524 18.943 40.217 75.27 45.85 114.746 46.886 15.587.961 10.116-14.706-1.11-15.016-24.701-3.81-85.094-6.218-90.271-29.144-2.465-15.017 32.627-16.775 32.57-31.993-.078-20.225-26.292-36.584-43.61-42.188a182.112 182.112 0 0 0 4.784-13.383zm-92.469 18.844a886.555 886.555 0 0 1-18.008 2.476c2.045 5.99 4.035 11.994 5.967 18.014l65.526 28.564c8.046-2.521 20.204-1.952 17.373-22.408zm-247.607 4.3a182.7 182.7 0 0 0 17.13 28.987l-.45-27.498c-5.57-.463-11.131-.957-16.68-1.489zm34.705 2.858l.783 47.773c2.852 16.181 11.086 16.074 19.26 16.893l.086-63.448c-6.727-.347-13.435-.76-20.13-1.218zm38.129 1.994l-.102 74.74c3.905 9.613 9.563 15.077 19.51 9.957l-1.48-84.203a1086.56 1086.56 0 0 1-17.928-.494zm36.244 18.256l1.285 73.234a182.304 182.304 0 0 0 26.596 6.229 1271.945 1271.945 0 0 0-27.881-79.463zm133.476 15.763a923.38 923.38 0 0 1 11.604 43.082 183.267 183.267 0 0 0 33.178-23.56z"}}]})(props);
};
function GiWorld (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M253.47 17.406C123.76 17.406 18.437 122.76 18.437 252.47c0 129.707 105.324 235.06 235.03 235.06 129.707 0 235.063-105.353 235.063-235.06 0-129.71-105.355-235.064-235.06-235.064zM367.874 68.75c61.246 38.19 101.97 106.14 101.97 183.72 0 17.143-1.993 33.823-5.75 49.81l-34.25-18.06 22 54.874c-9.454 21.647-22.362 41.432-38 58.687l-43.158-30.936-64.625 47.72-61.656 6.967-13.906-41.78-49.72 26.844-68.093-18.938 9.157 36.594c-28.41-21.793-51.23-50.466-66-83.563L81.25 304.47l32.25 17.124 59.22-9.875 2.843-40.908-37.344-1.718 4.905-17.844 30.78-25.313-25.093-15.625 67.22-38.593-45.345-29.657-66.625 40.187-49.437-15.28c13.812-32.14 35.21-60.22 61.906-82.064l-3.75 44.375 43.376-34.124 72 22.22-22.5-27.407L233 75.562l26.813 28.468 71 9.845-3.5-34.47 41.468 12.657-.905-23.312zm1.156 120.03L278 199.47l28.906 43.218 3.156 64.468L339.25 321l11.438-28.375 62.656 48.656L395.78 294l6.408-48.344-43.75-22.72 10.593-34.155zM221 192.438l-31.594 21.188 36.47 14.78 16.686-14.78L221 192.437zm22.188 144.688l18.687 52.594 19.78-42.564-38.467-10.03z"}}]})(props);
};
function GiWormMouth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M224.53 31.844c-7.278-.022-14.48 1.064-21.374 3.156-34.553 10.482-62.575 46.607-51.03 102.25 18.494-5.637 38.08-1.27 54.968 8.844 13.172 7.89 25.265 19.05 35.812 31.906 3.065-16.708 8.95-32.636 17.063-46.156 10.108-16.85 24.232-30.373 41.186-35.188-16.706-46.25-47.272-64.725-76.625-64.812zm183.19 63.53c-16.637.313-34.877 5.704-53.595 17.782 12.63 11.714 21.753 25.04 25 40.406 2.678 12.676.97 26.15-5.03 39.907 15.64-1.67 30.03 1.37 42.092 7.968 14.16 7.744 25.112 19.77 32.907 33.312 21.015-18.94 31.257-38.784 34.187-57.094 3.34-20.867-2.71-40.153-14.967-54.97-13.79-16.666-35.324-27.784-60.594-27.31zM301.093 118c-6.27 3.093-12.332 8.29-17.844 15.313 30.214 4.035 56.996 18.82 76.406 40.375 1.045-5.657.91-10.93-.156-15.97-1.045-4.947-3.106-9.838-6.125-14.687-15.316-11.638-33.032-20.27-52.28-25.03zM168.47 154.375c-.734.013-1.46.068-2.19.125-13.946 13.56-25.165 29.896-32.718 48.156-.25 7.14.706 13.598 2.938 19.28 1.588 4.044 3.82 7.882 6.875 11.47 5.84-29.968 22.347-56.11 45.406-74.312-6.967-3.168-13.728-4.835-20.31-4.72zm101.186 3.063c-2.368 5.918-4.32 12.186-5.812 18.656 1.23-.055 2.474-.094 3.72-.094 29.2 0 54.728 15.263 69.123 38.25l8.532-11.188c1.16-1.524 2.236-2.995 3.25-4.468-17.842-24.43-46.457-40.493-78.814-41.156zm-57.906 17.03c-24.677 16.634-41.612 43.948-44.03 75.282 1.813.748 3.69 1.486 5.686 2.188l12.688 4.437c.404-29.02 15.83-54.317 38.906-68.438-4.232-4.9-8.696-9.432-13.25-13.468zm-95.25 7.282c-56.12.524-86.233 35.148-90.125 70.813-2.086 19.115 3.483 38.535 17.75 54.125 12.52 13.68 31.966 24.62 59.938 28.875-.945-15.605 1.62-31.643 9.187-45.907 6.443-12.145 16.77-22.634 30.75-29.844-12.576-8.186-21.42-18.475-26.156-30.53-5.743-14.624-5.452-30.796-1.344-47.532zm150.688 17.563c-2.215 0-4.41.132-6.563.375-.08 2.123-.1 4.236-.063 6.343l.25 13.69c2.072-.34 4.202-.532 6.375-.532 21.42 0 38.563 17.11 38.563 38.53s-17.142 38.563-38.563 38.563c-21.42 0-38.562-17.14-38.562-38.56 0-14.93 8.328-27.748 20.625-34.158l-7.313-12.187c-.96-1.6-1.953-3.18-2.968-4.75-17.985 9.98-30.22 29.153-30.22 51.094 0 19.988 10.157 37.702 25.563 48.25l.687-1.19v1.658c9.244 6.137 20.313 9.718 32.188 9.718 32.16 0 58.406-26.276 58.406-58.437 0-32.163-26.245-58.408-58.406-58.408zm116.437 13.5c5.304 13.897 8.22 28.976 8.22 44.75 0 17.64-3.63 34.433-10.19 49.656 7.118 1.922 13.466 2.252 19.283 1.342 6.016-15.85 9.312-33.04 9.312-51 0-13.658-1.91-26.888-5.47-39.406-6.37-3.197-13.362-5.158-21.155-5.344zm-24.28 4.687c-.757.292-1.514.553-2.283.875l-14.875 6.25c4.428 10.06 6.907 21.184 6.907 32.906 0 10.773-2.103 21.04-5.875 30.44l16.217 9.342c5.3-12.2 8.25-25.65 8.25-39.78 0-14.227-2.976-27.768-8.343-40.032zM186.78 268.47l-14.874 2.78c-1.166.22-2.294.464-3.406.72 4.24 29.248 21.135 54.458 44.97 69.81.94-1.465 1.88-2.98 2.81-4.592l6.595-11.438c-19.315-12.65-32.898-33.284-36.094-57.28zm-43.06 14.905c-5.52 4.455-9.653 9.758-12.782 15.656-.468.882-.894 1.777-1.313 2.69 8.52 26.424 24.442 49.504 45.375 66.78 1.703-.11 3.37-.314 5-.625 5.402-1.03 10.662-3.142 15.78-6.688-26.252-17.935-45.33-45.6-52.06-77.812zm307.78 12.438c-10.02 14.008-22.078 24.74-36.906 29.906-12.23 4.26-25.817 4.27-40.22.06 3.633 15.3 2.424 29.986-2.593 42.783-5.89 15.03-16.422 27.396-28.874 36.843 21.452 18.458 42.432 26.1 60.97 26.688 21.12.67 39.48-7.778 52.624-21.813 24.523-26.182 31.15-71.548-5-114.467zm-112.625 1.312C324.98 322.15 298.3 339.03 267.562 339.03c-11.59 0-22.594-2.418-32.562-6.75v9.908c0 3.645.242 7.035.656 10.25 10.023 3.375 20.758 5.218 31.906 5.218 33.71 0 63.567-16.72 81.72-42.312-.565-1.082-1.145-2.18-1.782-3.28l-8.625-14.94zm17.78 47.594c-22.788 23.585-54.762 38.25-90.186 38.25-6.13 0-12.14-.435-18.033-1.283 1.946 2.154 4.06 4.108 6.313 5.907 8.13 6.488 18.416 10.707 29.313 12.687 20.342-2.48 39.382-9.214 56.187-19.28 5.563-5.892 10.03-12.572 12.844-19.75 2.044-5.215 3.328-10.713 3.562-16.53zm-138.06 22.81c-10.37 10.844-22.125 17.638-34.845 20.064-15.435 2.943-31.277-.337-46.97-7.47-9.847 55.247 18.61 91.243 52.94 101.657 18.4 5.583 38.542 3.705 56.5-7.436 15.757-9.777 30.087-26.887 39.436-53.594-15.5-1.958-30.793-7.402-43.406-17.47-10.745-8.575-19.153-20.68-23.656-35.75z"}}]})(props);
};
function GiWorms (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M462.6 28.88C448.9 41.67 441 50.8 428.1 60.77l12.8 12.87c11.9-10.01 23.7-20.95 34.7-32.29 5.7-8.85-8.8-16.05-13-12.47zm-270.1.39l.9 17.98c45.6-1.2 85.9 4.21 85.9 4.21 6.9.63 12.8-16.1 2.3-17.84-35.2-3.19-57.4-5.01-89.1-4.35zm-18 .82c-19.3 1.27-39 3.91-57 8.86-2.5.71-5 1.47-7.5 2.28L120 57c18.6-4.94 38.8-7.74 55.4-8.91zM92.89 47.94c-12.45 5.94-23.15 13.78-30.73 24.34-2.5 3.47-4.28 7.15-5.48 10.93l17.09 5.27c.69-1.96 1.68-3.84 3.01-5.7 5.59-7.79 14.58-14.28 25.92-19.43zM414 71.93c-13.4 9.9-27.2 18.39-37.4 21.34-2 .57-4.1 1.07-6.5 1.49 1.1 5.94 5.5 11.04 13.3 15.24 14.5-4.6 29.5-14.28 43.5-25.01zM241.4 82.62C228 80.9 228.3 97.16 237 100.1c0 0 23.3 5.8 52.3 10l-4.2-18.81c-24.8-4-43.7-8.67-43.7-8.67zm62.7 11.39l4.2 18.59c18.3 2.1 37.7 3.2 54.8 1.4-6.9-4.5-12.8-9.7-15.1-17.38-13.7.3-29.2-.8-43.9-2.61zM54.89 101.5c.23 2.6.63 5.2 1.18 7.7 3.44 13.6 9.35 26.1 14.5 37l18-4c-.8-1.7-1.61-3.4-2.4-5.1-5.06-10.6-9.72-20.8-12.01-29.7zm104.01 3.1c-10.5-1.8-14.3 13.8-2.8 17.8 0 0 20 3.2 42.3 10.3l9.8-15.7c-25.6-8.6-49.3-12.4-49.3-12.4zm66.5 18.8l-9.7 15.5c8.7 3.5 17 7.5 23.7 12.1 4.5 3 8.1 6.1 10.9 9.3 8.2 3.2 15.3 3.4 21.3.6-4.1-10.3-12.5-18.4-22.2-24.9-7.3-4.9-15.5-9-24-12.6zm134.2 19.8c-9-6.1-15.4 10.5-9.8 15 0 0 9.7 6.4 22.6 16.4l10.2-14.8c-13.1-10.1-23-16.6-23-16.6zM96.15 159l-17.9 3.9c2.18 5.2 4.05 10.1 5.31 14.8 2.36 8.6 2.73 15.8.37 22.2l10.86 16.9c1.46-1.8 2.76-3.7 3.86-5.8 6.35-12.2 5.55-25.7 2.35-38.1-1.35-4.7-3.05-9.3-4.85-13.9zm300.75 12.2L386.5 186c11.4 10.2 23.4 21.6 32.1 32.3l13-13.3c-11.4-12.8-22.8-24.2-34.7-33.8zm-141.8 7.3c-1.1 2.2-2.8 4.5-5.4 7.2-4.8 4.9-12.2 10.1-20.3 15.4l11.8 13.8c7.6-5 15.2-10.3 21.4-16.7 5-5.2 9.2-11.8 10.8-19.2-5.9 2.5-12 2.6-18.3-.5zm-112.7 6.4s-3.3 16-9 37.4l18.5.4c5.2-19.8 8.1-34.2 8.1-34.2 1.9-8.8-14.4-22.5-17.6-3.6zm72 26.1c-5.7 3.9-11.1 8.1-15.8 12.8-7.9 7.9-13.8 18.8-11.8 31.2.9 5.4 3.2 10.2 6.4 14.4l14.7-10.5c-1.9-2.5-3-4.8-3.3-6.9-1-5.6 1.1-9.8 6.8-15.6 3.7-3.7 8.9-7.6 14.7-11.6zm-144.12 1c-9.84 5-19.99 8.1-31.13 10.4-7.23 2.7-4.56 19 3.38 17.6 13.96-3.3 25.45-6.3 37.84-12.3zm372.02 7.9L429 233.4c1.8 3.4 3.1 6.7 4 9.7 1.8 6.9.8 17.9-1.7 29.8 5.2 5.2 10.4 9.8 17 8.4 3.7-14.6 5.6-29.6 2.1-42.8-1.8-6.4-4.5-12.6-8.1-18.6zm-313.9 20.3c-4.2 13.5-8.9 27.8-14.2 40.8l18.3 3.2c5.6-14.2 10.3-29.1 14.3-43 .1-.2.1-.4.2-.6zm200.7 23.4s-5.5 8.4-12.3 20.8l16.3 7.5c6.4-11.1 11.2-18.7 11.2-18.7 3.7-8.3-7.7-20-15.2-9.6zM222 270.8L206.5 282c7.6 5.6 16.4 10.2 25.1 14 19 8.4 37.2 12.9 37.2 12.9 6.9 1 18.7-12.5 4.3-17.4 0 0-17-4.3-34.3-12-5.8-2.5-11.7-5.5-16.8-8.7zm204.6 19.9c-4.5 14.4-10.4 28.7-17.3 42.5-2.9 8.4 8.1 16.5 16 8.2 7.6-16.7 12.3-27.3 17.7-42.5-5.8.2-11.3-2.3-16.4-8.2zm-320.1 7.4c-5.7 12.9-15.62 23.5-25.08 31.5l12.74 13c14.24-11.2 23.94-26.8 31.04-41.4zm201.6 2.2c-6.5 12.9-13.3 27.4-17.8 41.4 7.5-3.8 14.2-4.5 20.2-2.3 3.9-10.4 9-21.5 14-31.4 0-.1.1-.2.1-.2zm55.3 36.3c-3.6-6.8-19.6-3.5-17.3 5.6 5 15.3 10.5 29.2 16.5 41.9l16.2-7.6c-5.5-11.9-10.7-25.1-15.4-39.9zm-296.35 4c-10.71 7.8-22.03 14.9-33.8 21.7-10.75 6.8 1.74 18.9 8.82 15.6 0 0 12.88-7.2 27.85-17.3 3.23-2.2 6.56-4.5 9.89-6.9zm237.55 17.5c-6.8-3-12.9-1.2-18.7 2.2-1.6 12-.2 25.4 1.7 35.7l18.3-2.1c-2.6-12.3-3.5-24.5-1.3-35.8zm-196.1 29.5c4.8 4.1 8.5 9 10.3 15.6 10.1-6.8 19.9-13.6 31.4-12.7l-.4-18.3c-15.2-.1-30.8 7.7-41.3 15.4zm59.4-12.7l.4 19.6c7.6 2.5 15.7 6 23.5 9.9l5.1-17.7c-9.3-4.8-19.1-9.1-29-11.8zm219 17.6l-16 7.5c9.9 17.5 21.2 32.3 34.4 44.6l4.6-20.1c-8.5-9.1-16.1-19.7-23-32zm-173.9 3l-5.2 17.9c16.2 9.8 28 19 28 19 8.4 4.1 16.8-8.2 11-14.2 0 0-14.5-11.3-33.8-22.7zm-118.36 3.9c-9.56 9.3-17.37 18.1-25.08 27.4l15.15 9.9C91.09 429 98.52 421 105 414.9c-.6-7.4-5.33-11.6-10.36-15.5zm215.36 12l-18.2 2.2c6.2 22.3 13.4 43.2 22.8 65.1 6.7 7.4 17.8 3.2 16.5-7.2-8.7-22-15.4-38.4-21.1-60.1zm115.1 27.3l-4.2 18.7c15.2 10.9 32.5 19.4 52.5 25.7 12.7 3.7 13.7-16.1 5.4-17.2-21.2-6.6-38.7-15.4-53.7-27.2zm-366.65 2.2c-8.98 12-14.61 20.9-14.61 20.9-4.1 7.7 6.24 17.7 15.2 9.6 0 0 5.64-8.8 14.51-20.6z"}}]})(props);
};
function GiWorriedEyes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M158.063 154.75c-31.32.613-72.27 32.376-130.063 119.156 28.377 32.465 60.522 47.17 92.875 46.813-13.872-6.878-23.438-21.162-23.438-37.69 0-23.222 18.84-42.06 42.063-42.06 23.224 0 42.03 18.838 42.03 42.06 0 8.79-2.703 16.94-7.31 23.69 24.134-12.47 47.217-32.947 67.655-60.25-22.28-47.856-46.015-92.46-83.813-91.72zm202.593 0c-36.864.538-60.257 44.548-82.22 91.72 18.105 24.185 38.286 43.003 59.44 55.655-2.934-5.736-4.595-12.212-4.595-19.094 0-23.222 18.84-42.06 42.064-42.06 23.223 0 42.03 18.838 42.03 42.06 0 16.393-9.383 30.592-23.062 37.533 34.08 2.043 68.157-12.48 98.032-46.657-58.79-88.276-100.166-119.616-131.688-119.156z"}}]})(props);
};
function GiWrappedHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M154.107 17.063c-34.673-.275-70.37 13.897-96.412 40.218L91.742 74.76l43.76-18.572v.002c-9.262 14.174-11.514 26.673-5.555 38.18l125.397 64.366 44.85-19.035c-9.644 14.762-11.686 27.707-4.77 39.607l33.816 17.357 104.926-38.783c8.248-10.792 7.925-23.806.443-39.605v-.002l40.824 24.356 15.343-5.673C472.074 49.484 371.514-9.895 268.32 132.412c-8.577-79.372-60.15-114.92-114.213-115.35zM45.21 71.876c-8.694 11.797-15.66 25.36-20.274 40.56h-.002c-9 29.648-6.34 73.662 7.503 123.13l39.32 7.27 38.53-31.88v.002c-5.238 17.618-3.123 30.985 8.067 40.497l41.75 7.723 65.986-24.39c7.062-10.477 6.42-22.99-.7-38.024v-.002l39.626 23.638 40.433-14.945-104.257-53.514c-14.988-1.045-25.89 7.22-34.306 23.854l-5.434-44.252L45.21 71.877zm448.274 84.004l-76.423 28.25-11.72 44.284c-6.167-17.892-16.05-27.584-31.434-28.334l-22.097 8.168L454.6 261.012c1.278-1.31 2.537-2.624 3.765-3.946 27.47-29.563 37.69-66.53 35.117-101.185zm-165.468 61.16L196.03 265.827l104.134 19.262 37.877-31.34v.002c-5.085 17.108-3.24 30.207 7.114 39.66l57.744 10.68c13.354-9.636 25.997-19.393 37.34-29.444l-17.697-9.084c-16.508-2.382-28.276 5.84-37.23 23.536l-5.59-45.516-51.704-26.54zM38.602 255.71c4.598 13.867 10.014 28.046 16.265 42.368l70.967-26.23-87.232-16.137zm123.158 22.782l-23.75 8.778-11.494 43.44c-5.933-17.213-15.304-26.836-29.704-28.212l-34.134 12.617c9.832 20.524 21.326 41.177 34.457 61.444H219.69c13.318-7.02 18.227-19.807 16.59-38.4h.003l30.946 38.4h30.502c26.816-19.846 56.13-38.564 83.723-57.43l-141.512-26.177c-16.92 2.232-26.034 13.515-29.603 33.287l-18.432-42.172-30.148-5.576zm-51.963 116.756c25.755 36.38 56.895 70.928 93.293 100.47 7.933-38.946 35.506-71.23 70.707-100.47H175.84l-23.64 33.588c.35-15.51-3.554-26.72-12.776-33.588h-29.627z","fillRule":"evenodd"}}]})(props);
};
function GiWrappedSweet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M391.22 9.22c-21.755 67.887-29.008 99.75-52.25 146.218 2.776 2.15 5.5 4.42 8.124 6.843 23.768-21.825 42.788-47.49 51.937-85.5l18.158 4.376c-10.093 41.93-31.86 71.302-57.375 94.813 1.442 1.81 2.832 3.657 4.156 5.53 27.306-3.97 52.29-12.325 74.56-32.47l12.533 13.876c-23.42 21.182-49.982 31.05-76.938 35.875.75 1.56 1.477 3.138 2.156 4.72 53.284 5.685 96.878-3.05 122.408-44.094C431.28 144.456 480.78 24.198 391.217 9.22zM247.06 153.937c-9.422-.058-18.308 1.46-25.78 4.625l-.095-.188c-10.542 4.937-20.434 11.78-29.156 20.5-35.073 35.074-39.537 88.93-13.436 128.813-4.858-12.255-7.025-25.792-5.28-39.97 2.61-21.226 13.892-43.415 35.842-64.687l13 13.407c-19.616 19.01-28.3 37.187-30.312 53.563-2.014 16.376 2.574 31.435 11.375 44.53 15.493 23.06 44.764 38.645 69.093 39.595 23.7-1.754 46.925-11.707 65.093-29.875 40.22-40.22 40.22-105.156 0-145.375-2.658-2.66-5.42-5.13-8.28-7.438 9.885 11.527 16.984 25.703 19.28 42.063 2.973 21.18-2.147 45.52-17.844 71.75l-16.062-9.594c14.027-23.44 17.7-43.222 15.406-59.562-2.293-16.34-10.578-29.69-22.47-40.063-16.347-14.26-39.644-21.967-60.373-22.093zM133.47 317.78c-50.013.115-67.71 4.92-116.345 55.283 66.358-2.98 34.08 106.974 107.47 126.156 3.573-48.6 22.248-86.363 58.468-155.626-23.81 15.56-44.668 34.515-60 63.687l-16.563-8.686c14.987-28.514 35.14-48.585 57.125-64.375-25.9 2.17-51.153 8.562-76.688 24.686l-9.968-15.78c22.406-14.15 44.986-21.59 67.28-25.282-3.718-.023-7.382-.07-10.78-.063z","fillRule":"evenodd"}}]})(props);
};
function GiWrappingStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.314 20.6v48.117c74.127 6.587 148.202 24.124 209.71 61.125C188.913 78.178 130.196 43.38 72.798 20.6H18.313zm146.846 0c45.057 38.643 74.804 81.436 84.725 123.54 10.946-45.05 6.82-86.505-4.574-123.54h-80.15zm84.725 123.54v.003h.002l-.002-.004zM483.13 20.6c-30.043 75.585-73.05 144.09-126.02 192.76 51.52-20.53 100.206-46.577 136.472-75.14V20.6h-10.45zM89.958 100.443c25.695 40.067 57.678 77.776 94.402 112.12C117.17 260.592 59.893 319.067 18.28 383.79c85.442-22.73 167.34-61.815 238.314-112.313 70.607 50.235 152.024 89.175 236.988 111.955v-1.66c-41.502-63.918-98.275-121.68-164.76-169.208 36.724-34.345 68.706-72.054 94.4-112.12-58.198 15.17-114.433 37.902-166.638 66.66-52.2-28.757-108.43-51.49-166.627-66.66zm56.31 118.678c-48.624 7.847-91.077 22.95-127.953 39.675v90.7c35.14-51.477 79.497-98.29 127.954-130.374zm109.4 83.218c-18.59 70.884-14.394 135.865.466 193.514h115.78c-63.8-60.13-104.78-127.385-116.245-193.514zm14.993.375c55.22 91.766 138.833 152.762 212.29 193.14h10.632v-90.847c-89.222-19.35-167.94-55.118-222.922-102.293z"}}]})(props);
};
function GiWreckingBall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M18.72 18.75c-1.947 4.13-3.032 8.728-3.032 13.563 0 17.286 13.93 31.544 31.093 32.093 2.287 7.487 4.896 14.825 7.814 22-7.123 5.912-11.688 14.818-11.688 24.72 0 17.628 14.465 32.124 32.094 32.124 3.66 0 7.18-.633 10.47-1.78 5.2 7.01 10.766 13.708 16.655 20.06-2.03 4.2-3.156 8.9-3.156 13.845 0 11.376 6.042 21.443 15.06 27.156 2.914-5.498 6.067-10.863 9.44-16.06-3.53-2.4-5.814-6.42-5.814-11.095 0-7.53 5.908-13.438 13.438-13.438 3.22 0 6.152 1.08 8.437 2.907 4.008-4.732 8.224-9.265 12.626-13.625-5.65-4.954-13.022-7.97-21.062-7.97-5.922 0-11.466 1.66-16.25 4.5-5.018-5.494-9.74-11.28-14.22-17.313 4.08-5.387 6.5-12.094 6.5-19.312C107.125 93.495 92.63 79 75 79c-1.05 0-2.1.056-3.125.156-2.61-6.426-4.965-12.984-7.03-19.687 9.03-5.712 15.093-15.772 15.093-27.157 0-4.835-1.086-9.434-3.032-13.563H18.72zm29.093.125c7.53 0 13.437 5.907 13.437 13.438 0 7.528-5.908 13.437-13.438 13.437s-13.437-5.907-13.437-13.438c0-7.53 5.907-13.437 13.438-13.437zM75 97.688c7.53 0 13.438 5.907 13.438 13.437 0 7.53-5.908 13.438-13.438 13.438s-13.406-5.908-13.406-13.438S67.47 97.687 75 97.687zm225.438 11.124c-106.228 0-192.125 85.93-192.125 192.157 0 106.226 85.897 192.124 192.125 192.124 106.227 0 192.156-85.898 192.156-192.125 0-106.228-85.93-192.158-192.156-192.158zm96.937 54.72c7.52 3.186 14.892 7.89 21.625 14.624 18.858 18.858 30.55 48.69 34.53 82.53 6.007 8.252 10.547 17.502 13.25 27.595 2.466 9.2 3.035 18.644 2.345 27.908-3.86-7.832-8.59-15.445-14.125-22.72-.77 30.396-7.25 62.106-19.813 90.813 3.03-16.998 4.635-34.97 4.938-54.03.312-19.598-.964-38.772-3.594-57.063-21.342-19.84-49.29-35.61-81.53-44.25-15.274-4.092-30.26-6.445-45.063-6.968 44.76-11.995 89.006-4.885 119.532 15.75-7.485-29.017-18.55-54.523-32.095-74.19zM132.687 333.718c49.026 67.317 129.026 112.73 212.532 134.342-8.873 2.55-19.25 3.037-30.064 3.5-75.993 3.258-168.286-67.14-182.47-137.843z"}}]})(props);
};
function GiWrench (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M151 16c-14.774 0-30 15.226-30 30v105c0 14.774 11.946 26.718 26.718 26.718H181V334.28h-33.282c-14.773 0-26.718 11.946-26.718 26.718v105c0 14.774 15.227 30 30 30h30v-90l75-45 75 45v90h30c14.774 0 30-15.226 30-30v-105c0-14.773-11.946-26.718-26.718-26.718H331V177.718h33.282C379.056 177.718 391 165.772 391 151V46c0-14.773-15.226-30-30-30h-30v90l-75 45-75-45V16h-30z"}}]})(props);
};
function GiWyvern (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M324.97 17.54c.03.034.057.07.087.106l-34.924 32.428 36.904-3.752-15.396 30.12 38.048-16.075c26.147 69.965.623 154.277-52.555 166.262-6.554-25.37-34.13-37.945-36.055-57.382.303.093.604.187.912.27 4.833 1.295 9.736 1.183 14.274-.07l25.138 22.89 20.653-16.377c-7.363 2.836-28.588-1.402-33.25-13.923 3.154-3.24 5.55-7.284 6.793-11.922.485-1.813.757-3.635.86-5.445l11.524 22.777 5.22-16.94c7.625 5.575 12.474 13.605 11.49 21.136l16.673-29.4-72.14-29.56-58.057-48.03 17.1 31.25-48.206-19.753 35.14 31.237c-40.602 28.158-22.085 85.04-1.796 119.29-57.5-9.685-103.128-77.435-95.763-145.03l49.21-21.366-31.08-5.14 29.207-33.417-32.015 11.54c.037-.067.07-.135.107-.202-168.36 66.33-116.413 367-63.728 417.99-.19-1.317-.364-2.58-.54-3.855-14.922-56.244-20.375-125.624-17.5-190.53 3.02-68.237 14.834-131.16 36.794-169.522l16.22 9.283c-18.894 33.008-31.4 94.563-34.345 161.064-1.942 43.86.106 90.022 6.275 132.082 6.124 1.892 15.046 9.615 27.295 23.24-4.818-13.35-6.78-26.5-6.482-38.28 20.286 41.665 67.34 69.234 104.633 62.308 22.444-4.17 41.803-12.73 57.81-24.475l7.31 15.418c-20.068 5.036-22.807 32.635-14.737 55.112 1.748-19.882 11.36-29.794 21.73-32.303-6.598 15.867-4.698 30.623-3.117 44.158 10.15-12.147 21.47-23.793 23.628-39.354 8.738 7.332 12.317 21.49 1.194 39.057 26.32-15.473 31.565-41.994 7.978-57.685l-32.07-34.297c5.918-5.55 11.24-11.6 15.947-18.066l39.28 15.776c-3.942 13.69 5.833 31.512 19.77 43.31-8.055-17.288-4.826-30.08 2.562-37.103 1.63 17.39 10.64 29.193 18.733 40.064 2.73-15.665 6.79-31.493-.213-45.987 11.016 1.56 21.2 11.568 20.338 31.877 14.362-25.313 6.11-49.702-20.742-51.52l-71.135-9.892c12.757-22.982 18.676-49.823 17.015-77.475 14.188-34.708 50.058-11.816 54.523 49.16C394.924 262.27 434.58 304 426.324 367.13c11.808-23.38 21.835-35.013 29.862-36.247-10.772-91.925-40.458-191.57-77.637-250.748l15.823-9.942c50.328 80.106 85.112 220.65 84.88 331.547 42.403-115.912-2.347-356.61-154.282-384.2zm-29.458 476.913l-.026.016-.015.05c.015-.02.027-.044.042-.067zm26.543-318.492h.01v-.007l-.01.008zm-53.348-41.716c.866-.027 1.757.073 2.652.313 4.774 1.28 7.467 5.945 6.187 10.72-1.28 4.776-5.943 7.47-10.72 6.19-4.775-1.28-7.468-5.943-6.188-10.72.96-3.584 3.823-5.993 7.21-6.435.282-.036.568-.06.857-.068zM204.904 297.13c11.878-.2 22.637 6.756 26.172 22.487-.008 35.88-9.557 68.823-42.137 77.412-27.624 7.283-69.725-11.398-84.12-53.663 12.28-21.078 37.362-21.986 62.838 22.592-12.583-41.596 14.386-68.444 37.246-68.83z"}}]})(props);
};
function GiXylophone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M25 57v270h78V57H25zm96 16v238h78V73h-78zm-57 7a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm153 9v206h78V89h-78zm-57 7a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm153 9v174h78V105h-78zm-57 7a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm153 9v142h78V121h-78zm-57 7a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm96 16a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm0 64a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-96 16a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-96 16a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-96 16a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm-96 16a16 16 0 0 1 16 16 16 16 0 0 1-16 16 16 16 0 0 1-16-16 16 16 0 0 1 16-16zm352 57c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23zm-40.977 23.967l-162.242 40.56L65.117 375.07l-2.234 17.86 101.53 12.691L29.815 439.27l4.368 17.46 179.7-44.925 193.313 24.164a40.592 40.592 0 0 1 2.246-17.857l-147.187-18.4 117.162-29.29a40.58 40.58 0 0 1-4.395-17.455zM448 409c-12.81 0-23 10.19-23 23s10.19 23 23 23 23-10.19 23-23-10.19-23-23-23z"}}]})(props);
};
function GiYarn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M338.6 27.83c-8.1-.03-14.8 2.23-20.9 6.37-19.1 12.88-32.9 49.62-39.4 103.4l10.7 9c15.1-43.5 29.9-88.7 57.2-118.14-2.7-.42-5.2-.63-7.6-.63zm27.3 6.7C338.2 60.14 321.3 109.5 303.8 159l10.8 9.1c11.2-24 22.3-49.1 35.1-71.07 11.5-19.85 24.5-37.4 41.2-48.43-9.1-6.1-17.4-10.75-25-14.07zm40.8 25.68c-15.2 7.85-28.7 24.06-41 45.09 26.3-16.06 44.7-24.41 59.7-29.18-3.3-3.05-6.8-6.16-10.6-9.33-2.7-2.31-5.4-4.49-8.1-6.58zm33.4 30.48c-19 4.43-42.7 14.21-91.3 46.91-3.3 6.7-6.4 13.5-9.6 20.3 39.6-19 81.7-41.1 119.1-43.4-4.3-7.3-10.3-15.29-18.2-23.81zm24.8 41.71c-6 0-12.5.9-19.4 2.4-7.4 9-12.5 21.3-15 33.7-1.5 7.1-2 14.3-1.9 20.7 18.1-10.2 30.1-21.1 35.1-32.4 3.4-7.5 4.3-15.3 2.1-24.4h-.9zm-45 9.9c-9.4 3.4-19.3 7.5-29.4 11.9-10.4 20.1-14.8 39.9-15.2 57.2 13.2-4.2 25.1-8.7 35.7-13.4-1.2-10-.6-21.4 1.8-33.1 1.5-7.6 3.9-15.2 7.1-22.6zM269.8 154l-19.3 23 84.2 70.7 19.3-23-84.2-70.7zm96.3 11.3c-11.8 5.5-23.6 11.1-35.3 16.4l26.9 22.5c.9-12.4 3.6-25.5 8.4-38.9zm-127.2 25.5l-50.1 59.7 84.3 70.7 50.1-59.7-84.3-70.7zm178.3 24.6c-10.4 4.5-21.9 8.7-34.2 12.6 8.2.9 18.7 2.4 29.4 4.8 11.2 2.5 22.4 6.2 30.3 10.6 7.9 4.5 11.8 9.1 12.4 13.7v.1c.8 6.3-.4 10.8-3.2 15.2-2.8 4.4-7.6 8.7-14.1 12.8-13.2 8-33.1 14.5-53.7 21-20.5 6.6-41.8 13.1-58.8 22.9-17 9.9-30.6 24.7-30.3 45.1.2 19.1 11.8 35.5 27.1 49.2 15.3 13.7 34.8 25.3 54.2 34.9 38.8 19.1 77.2 30.3 77.2 30.3l5-17.2s-37.2-10.9-74.2-29.3c-18.5-9.1-36.9-20.2-50.2-32.1-13.3-12-20.9-24.3-21.1-36-.2-12.8 7.1-21 21.3-29.3 14.3-8.2 34.7-14.8 55.3-21.3 20.6-6.5 41.4-13 57.6-22.9 8-4.9 15.1-10.8 19.9-18.5 4.9-7.6 7.1-17.1 5.8-27.1-1.6-12.5-10.8-21.2-21.3-27.2-10.2-5.8-22.4-9.5-34.4-12.3zm-239.9 48.9l-19.3 23 84.2 70.7 19.3-23-84.2-70.7zm-40.6 36.3c-13.2 4.2-25.2 8.7-35.7 13.4 1.2 10 .6 21.4-1.83 33.1-1.55 7.6-3.88 15.3-7.14 22.6 9.47-3.4 19.37-7.5 29.47-11.9 10.4-20.1 14.8-39.9 15.2-57.2zm17.6 7.2c-.9 12.4-3.6 25.5-8.4 38.9 11.8-5.5 23.6-11.1 35.2-16.4l-5.2-4.4-21.6-18.1zm-70.85 15c-18.08 10.2-30.14 21.1-35.17 32.4-3.35 7.5-4.27 15.3-2.07 24.4 6.27.1 13.1-.8 20.37-2.4 7.37-9 12.44-21.3 14.96-33.7 1.47-7.1 2.03-14.3 1.91-20.7zm113.95 21.1c-11.2 24-22.3 49.1-35.1 71.1-11.5 19.8-24.5 37.3-41.1 48.4 9 6.1 17.3 10.7 24.9 14.1 27.7-25.6 44.6-75 62.1-124.5l-10.8-9.1zm-24.6 10.2c-39.6 19-81.77 41.1-119.05 43.4 4.28 7.3 10.29 15.3 18.15 23.8 19.08-4.4 42.7-14.3 91.3-46.9 3.3-6.7 6.4-13.5 9.6-20.3zm50.2 11.3c-15.1 43.5-29.9 88.7-57.2 118.1 11.6 1.9 20.5-.3 28.5-5.7 19.1-12.9 32.9-49.6 39.4-103.4l-10.7-9zm-76.7 41.3c-26.3 16.1-44.7 24.4-59.73 29.1 3.35 3.1 6.88 6.2 10.67 9.4 2.75 2.3 5.46 4.5 8.06 6.6 15.2-7.9 28.7-24 41-45.1z"}}]})(props);
};
function GiYinYang (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 23C127.424 23 23 127.424 23 256s104.424 233 233 233 233-104.424 233-233S384.576 23 256 23zm-6.094 18.09C128.036 47.807 130.066 256 256 256c125.215 0 127.935 205.872 8.168 214.83-2.71.1-5.432.17-8.168.17-118.848 0-215-96.152-215-215 0-116.81 92.883-211.69 208.906-214.91zM256 103c22.537 0 41 18.463 41 41s-18.463 41-41 41-41-18.463-41-41 18.463-41 41-41zm0 224c-22.537 0-41 18.463-41 41s18.463 41 41 41 41-18.463 41-41-18.463-41-41-41z"}}]})(props);
};
function GiZBrick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M93 141a9.5 9.5 0 0 0-9.5 9.5v96A9.5 9.5 0 0 0 93 256h96a9.5 9.5 0 0 0 9.5-9.5 9.5 9.5 0 0 0 9.5 9.5 9.5 9.5 0 0 0-9.5 9.5v96a9.5 9.5 0 0 0 9.5 9.5h96a9.5 9.5 0 0 0 9.5-9.5 9.5 9.5 0 0 0 9.5 9.5h96a9.5 9.5 0 0 0 9.5-9.5v-96a9.5 9.5 0 0 0-9.5-9.5h-96a9.5 9.5 0 0 0-9.5 9.5 9.5 9.5 0 0 0-9.5-9.5 9.5 9.5 0 0 0 9.5-9.5v-96a9.5 9.5 0 0 0-9.5-9.5h-96a9.5 9.5 0 0 0-9.5 9.5 9.5 9.5 0 0 0-9.5-9.5H93zm9.5 19h77v77h-77v-77zm115 0h77v77h-77v-77zm0 115h77v77h-77v-77zm115 0h77v77h-77v-77z"}}]})(props);
};
function GiZatGun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M358.2 32.72c-105.9 2.73-204.7 6.04-273.77 9.62 1.04 16.17 19.07 18.29 18.77 18.31 12-1.05 28-4.1 44.8-6.74 16.9-2.63 34.6-4.88 50.8-4.04 14.5.76 28.5 4.04 38.7 13.1 43.8-4.51 89.2-10 129.7-23.99zm21 21.21c-7.1 2.63-14.4 4.99-21.6 7.11 3.5 16.13 7.5 33.23 8.7 52.66 42.8-.7 98.3-7.2 94.9-20.42-4.4-17.05-41-31.81-82-39.35zM340 65.66c-41.5 7.92-75.3 12.61-109.5 16.18-10.7-10.59-25.5-14.15-39-14.1.6 16.36 12.2 35.16 22.2 53.06 49.8 1.2 91.8 2.2 134.6-6-1.1-17.34-4.7-33.13-8.3-49.14zm-166.5 3.1c-39.6 3.89-58.1 13.64-81.46 46.64 31.16 4.9 62.76 15.6 92.86 29.1l12.3-16.1c-9.5-16.7-23.1-36.91-23.7-59.64zM80.81 132c-13.43 24.7-14.14 66.6 62.49 106.7 16.5 8.7 33.6 15.7 50.9 21.8-38.6-31.4-67.9-71.9-76.5-121.2-12.5-3.3-24.82-5.8-36.89-7.3zm56.39 13.2c13.9 58.2 61.1 103.6 117.9 134 12.2 3.5 24.5 6.9 36.6 10.5 4 1.2 7.8 2.3 11.7 3.4v-.1c-21.5-24.8-33.9-51.3-40.4-76.8-35.4-12.3-66.7-28.8-76.7-51.3-16.1-7.6-32.6-14.3-49.1-19.7zm146.4 77.6c8.3 25.6 23.7 51.8 50.5 75.8 0 0 60.3 10 60.3 9.9 8.1-13.7 26.4-55.2-30.4-66.5-21.5-4.5-51.3-10.6-80.4-19.2zm55.3 42.9c5 0 9 4 9 9s-4 9-9 9-9-4-9-9 4-9 9-9zm-15.4 50c-86.7 23.4-110.3 55-145.7 85.2 4 9.5 3.1 19.6-1.1 28 66.2-20.2 133.9-61.9 165.9-110.4-1.8-.2-15.4-2.5-19.1-2.8zm38.2 6.3c-38.9 66.1-129.8 115.6-211.8 132.2-14.4 9-31 17.1-44.5 24.3 94.5-8.5 180.3-45.7 259-93.4 18.7-12.4 19-29.3 19.5-46.1l3.3-12.4zm-198.8 90.7c-4.1 3.1-8.4 6.1-13.1 9.1-14.3 7.1-28 14.3-41.6 14.5l-26.62-16.4c-12.05 11.6-29.81 25.2-30.91 41.1 1.57 8.9 5 16.1 17.97 18.3 22.75-10.8 70.76-30.7 90.46-56.1 3-4 4.4-6.9 3.8-10.5z"}}]})(props);
};
function GiZebraShield (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M123.03 21.063c-4.318.034-8.667.11-13.03.218-11.91 27.083-22.38 56.627-30.844 87.5 60.77-2.1 125.66 5.56 185.75 24.064C230.8 103.9 179.34 81.64 117.406 64.188c-.094.004-.187-.005-.28 0v-.094c.095.027.184.066.28.094 3.238-.145 6.454-.24 9.688-.25 103.17-.366 203.43 65.787 243.78 120.937-55.26-18.87-172.255-41.116-262.78-42.906 64.638 18.767 134.3 60.955 168.75 97.218-60.616-31.342-147.584-64.4-210.53-74.032-2.604 14.28-4.766 28.707-6.376 43.156 98.453 16.914 167.907 89.382 209 160.344C186.695 288.486 118.976 259.78 57 246.062c-.56 12.237-.725 24.427-.438 36.532 75.5 13.773 155.45 63.446 195.907 115.812-37.694-3.49-57.538-3.84-83.876 0 14.878 15.368 21.893 30.75 27.062 46.78-27.556-23.05-73.388-45.023-103.78-58.436 23.016-12.572 58.944-10.468 83.81-12.563C147.913 347.462 99.992 327.5 59.377 324c7.15 62.802 27.745 120.948 66.655 165.406 7.457-1.933 14.864-4.19 22.22-6.72l-37.688-61.467 77.97 44.53c41.893-20.763 81.53-50.293 117.5-85-19.698-52.456-67.128-104.388-130.688-158.406 65 23.97 133.964 72.425 170.375 116.406 9.39-10.86 18.446-22.023 27.124-33.406-8.295-31.86-70.437-92.738-127.344-126.28 66.865 12.665 133.914 47.31 158.063 82.717 12.815-19.65 24.497-39.606 34.875-59.5-31.55-50.096-78.442-93.37-162.188-132.686 79.45 15.32 142.598 46.945 184.813 84.656 4.56-10.875 8.688-21.622 12.343-32.188C369.982 54.9 256.94 20.002 123.03 21.063z"}}]})(props);
};
function GiZeppelin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M494.905 253.49c0 42.47-47.24 77.43-156.85 80.77-1.9.06-57.36 0-61.36 0-121.48 0-259.6-80.77-259.6-80.77s138.11-80.76 259.6-80.76c4.14 0 60-.06 62 0 109.17 3.44 156.21 38.36 156.21 80.76zm-356-71.31l-28.21-35.35-53.69-16.22 7 81.17c9.54-4.34 60.6-24.86 74.87-29.6zm-74.9 113.01l-7 81.18 53.64-16.22 28.21-35.35c-14.25-4.74-65.31-25.26-74.85-29.61zM264.755 350l4.25 31.39h81l10.18-32.25c-15.55 1.3-91.4 1.03-95.43.86z"}}]})(props);
};
function GiZeusSword (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M498.03 15.125l-87.06 34.72-164.5 164.5-34.657-32.095 31.156-28.844-223-133.594L176.155 164.5l-31.094 28.813 63.563 58.875-70.03 70.03c2.932 3.53 5.915 7.01 8.968 10.438l9.656 9.656 71.5-71.5 13.718 12.688-72 72 9.843 9.844c3.502 3.116 7.044 6.19 10.657 9.187l72-72 40.782 37.75-29 26.876 223 133.594-158.69-146.97 29-26.842-67.217-62.282 162.5-162.5 34.718-87.03zM430.69 68.813l13.218 13.218L280.28 245.657l-13.717-12.687L430.688 68.812zm-341 216.875L61.874 313.5 199.22 450.875l27.81-27.844c-56.283-34.674-103.014-81.617-137.343-137.342zm18.75 100.812l-81 81 17.75 17.75 81-81-17.75-17.75z"}}]})(props);
};
function GiZigArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M20.678 69.63V219.51l36.218-25.17-14.99-29.723 68.918-44.51-90.146-50.48zm108.597 60.81l-63.117 40.763 14.735 29.22-60.215 41.847v22.896l45.576 18.45 72.096-50.1-14.99-29.725 63.58-41.058-57.665-32.29zm76.114 42.624l-57.78 37.313 14.738 29.22-75.4 52.397 78.072 31.604 61.626-42.825-14.99-29.724 61.766-39.89-68.033-38.096zm140.298 3.985l-28.862 58.417-24.955-13.975-55.962 36.143 14.737 29.22-64.93 45.122 65.582 26.548 61.777-42.93-14.988-29.726 83.607-53.995-36.005-54.826zm46.263 70.448l-69.614 44.957 14.736 29.22-95.69 66.5-14.52 29.387 96.576-6.96 78.556-54.59-14.99-29.725 39.807-25.707-34.86-53.082zm45.12 68.703l-25.814 16.673 14.734 29.22-66.01 45.874 131.145-9.453L437.07 316.2z"}}]})(props);
};
function GiZigzagCage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.838 20.014c-46.198 0-92.387 13.48-132.154 40.41-6.758-3.917-14.596-6.176-22.97-6.176-25.37 0-45.933 20.568-45.933 45.936 0 8.312 2.222 16.1 6.083 22.828-62.673 91.82-53.3 218.253 28.147 299.7 81.133 81.135 206.908 90.746 298.638 28.868 6.925 4.19 15.04 6.608 23.727 6.608 25.37 0 45.934-20.564 45.934-45.932 0-8.598-2.37-16.64-6.482-23.522 62.655-91.817 53.28-218.235-28.162-299.675-46.03-46.03-106.43-69.046-166.828-69.046zm0 18.578c55.575 0 111.15 21.23 153.607 63.685 74.088 74.088 83.513 188.115 28.315 272.39-7.468-5.252-16.563-8.345-26.385-8.345-1.133 0-2.256.043-3.37.123l-92.698-3.002 49.26-171.656-149.17 48.344 8.748-116.638-85.225 2.192.014-.02c-37.956-.28-39.983-20.097-19.176-39.12 4.96-4 10.058-7.748 15.27-11.247 1-.606 2.014-1.21 3.06-1.803-.035-.048-.073-.094-.108-.142 35.764-23.165 76.808-34.76 117.858-34.76zm-39.97 22.488c-6.655 1.36-13.186 3.057-19.58 5.063-2.308 13.93-6.433 27.24-12.114 39.683l20.472-.527c5.553-13.96 9.386-28.787 11.223-44.22zm89.075 2.037c-16.647 30.16-38.852 61.37-64.386 91.46l-2.39 31.85c34.282-37.795 63.946-78.343 85.063-117.728-5.968-2.143-12.068-4.01-18.287-5.583zm84.963 45.75l-81.465 81.465 39.103-12.67 55.57-55.572c-4.193-4.612-8.6-9.023-13.207-13.223zm-316.16 28.488c7.37 5.357 16.392 8.575 26.16 8.745l93.842 11.5-35.3 145.13 148.896-47.99-34.508 149.156 96.934-11.11-.014.03c36.085-3.498 39.427 16.134 19.12 34.834-85.258 66.25-208.29 60.198-286.646-18.156-74.014-74.014-83.5-187.89-28.484-272.14zm58.47 31.532c-19.22 13.763-41.652 23.336-65.978 27.38-2.002 6.395-3.694 12.928-5.05 19.587 36.93-4.42 70.385-20.235 96.757-43.815l-25.728-3.153zM443.2 188.852c-23.79 12.764-48 28.65-71.77 46.78l-9.096 31.696c28.52-23.762 57.94-44.434 86.422-60.17-1.563-6.225-3.423-12.33-5.557-18.306zm-288.927 51.96c-29.948 25.386-60.998 47.47-91.013 64.05 1.574 6.22 3.442 12.32 5.586 18.288 25.848-13.872 52.195-31.422 77.935-51.54l7.493-30.798zm296.393 55.372c-39.822 4.804-75.598 22.86-102.795 49.615l27.167.88c20.182-15.63 44.25-26.49 70.53-30.897 2.02-6.4 3.73-12.936 5.1-19.6zm-226.71 5.066l-39 12.568L109 389.778c4.2 4.605 8.61 9.015 13.22 13.208L223.956 301.25zm47.087 27.482c-33.008 36.814-61.585 76.107-82.11 114.323 5.975 2.135 12.08 3.995 18.305 5.56 14.46-26.148 33.09-53.08 54.436-79.385l9.37-40.498zm52.38 88.178l-20.49 2.348c-3.15 10.08-5.43 20.543-6.736 31.305 6.664-1.367 13.202-3.073 19.604-5.086 1.66-9.865 4.235-19.415 7.624-28.567z"}}]})(props);
};
function GiZigzagHieroglyph (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M204.3 118.4L152.5 188l-51.3-69.1L20.99 220l21.94 17.4 57.47-72.5 52.1 69.9 51.8-69.4 51.6 69.5 51.7-69.6 51.8 69.6 52-70 57.6 72.5 22-17.4-80.4-101.1-51.2 69-51.8-69.4-51.7 69.4-51.6-69.5zm0 156.4l-51.8 69.3-51.3-68.8-80.17 100.8 21.92 17.4 57.55-72.4 52 69.8 51.8-69.3 51.6 69.3 51.7-69.3 51.8 69.3 52-69.8 57.7 72.4 21.8-17.4-80.3-100.8-51.2 68.8-51.8-69.3-51.7 69.3-51.6-69.3z"}}]})(props);
};
function GiZigzagLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M462.125 21.656c-90.8 62.46-285.757-3.604-362.938 59.75-75.358 61.862-78.86 205.444 14.75 240.625l1.72-1.874c37.05-27.143 87.683-34.04 132.937-21.47 10.06-53.15-25.31-116.6-106.75-121.03 41.182-12.678 78.062-6.115 107.094 11.5 28.17-18.51 65.59-22.273 98.5-11.844 13.642-24.687 5.494-62.023-34.875-75.062 11.547-.47 21.786 1.543 30.625 5.375 9.765-9.273 23.542-14.436 37.406-14.594 20.555-.233 41.345 10.51 49.72 35-20.84-25.228-50.562-20.836-65.158-4.374 16.456 18.683 21.54 46.205 13.156 68.78 24.248 16.935 41.845 44.085 44.22 81.126-28.71-63.122-92.417-69.913-131.313-43.625 20.415 30.55 28.802 68.684 20.436 103.594 24.437 22.882 41.334 55.248 44 96.845-39.337-86.492-127.312-94.716-179.625-57.406l-.968-.126C284.356 567.204 577.93 466.81 462.125 21.656zM311 189.656c-21.31.028-42.32 7.18-61.656 20.75 11.706 22.114 34.073 72.085 5.937 111.813-61.534-22.165-135.748 9.04-174.78 63.905-.016.015-.046.016-.063.03-21.582 20.457-40.824 44.172-59.406 69 8.21 23.188 26.263 36.433 58.782 35.095 14.816-43.566 33.983-80.886 59.126-112.47C183.548 320.235 251.394 332.02 282 340c12.164-38.336 12.068-84.158-12.97-113.688 24.283-25.166 67.41-33.486 98.19-19.625-18.384-11.557-37.418-17.055-56.22-17.03z"}}]})(props);
};
function GiZigzagTune (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M190.83 20.24v15.262h136.225l-37.823 19.69H190.83v236.53c-16.15-20.85-41.408-34.314-69.736-34.314-48.594 0-88.19 39.588-88.19 88.176s39.596 88.176 88.19 88.176c44.44 0 81.35-33.11 87.336-75.934 1.04-5.406 1.59-10.983 1.59-16.69h-.5v-138.03h229.947v143.273c-16.156-20.733-41.344-34.11-69.58-34.11-48.594 0-88.192 39.59-88.192 88.177 0 48.588 39.598 88.176 88.192 88.176 45.258 0 82.704-34.34 87.633-78.31.743-4.598 1.134-9.313 1.134-14.122h-.498V185.753H267.814l37.825-19.69h152.516v-26.535h-191.61L476.983 20.24H190.83zm18.69 63.492h117.556l-117.556 66.64V83.73zm-88.426 192.364c37 0 67.066 28.642 69.35 65.04H51.745c2.283-36.398 32.348-65.04 69.348-65.04zm248.793 54.863c37.065 0 67.173 28.743 69.36 65.23H300.524c2.19-36.487 32.3-65.23 69.364-65.23z"}}]})(props);
};
function GiZipper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M107.023 17.25L92.71 45.738l16.086 8.08 14.312-28.486zm328.497 4.557l-16.688 6.748 11.95 29.556 16.687-6.746zm-289.79 12.6l-15.335 27.948 15.779 8.66 15.338-27.949zm255.032 1.67l-16.084 8.081 14.312 28.487 16.084-8.08zm-34.914 17.9l-15.032 9.9 17.534 26.625 15.033-9.9zM178.754 55.77l-18.275 26.122 14.748 10.318 18.275-26.121zm155.29 18.243L319.86 85.092l19.623 25.127 14.186-11.08zm-124.47 5.42l-21.847 23.216 13.107 12.336 21.85-23.215zm96.342 18.888l-12.066 13.356 23.656 21.373 12.066-13.356zm-68.059 10.137l-25.48 19.158 10.816 14.387 25.483-19.158zm41.184 21.424l-8.129 16.06 28.445 14.397 8.13-16.059zM256 165c-16.4 0-34.344 10.07-57.637 33.363-2.94 2.94-3.524 4.645-3.629 6.416-.104 1.772.528 4.498 2.983 8.59 4.516 7.526 15.2 18.68 29.283 32.826V199h58v47.195c14.083-14.146 24.767-25.3 29.283-32.826 2.455-4.092 3.087-6.818 2.983-8.59-.105-1.771-.69-3.476-3.63-6.416C290.345 175.07 272.4 165 256 165zm-11 52v86.275c1.705 12.707 7.374 15.725 11 15.725 3.626 0 9.295-3.018 11-15.725V217zm-18 75.738l-25.924 155.547c.089 1.188 1.12 4.786 3.912 8.973 2.915 4.372 7.378 9.332 12.774 13.828C228.552 480.078 243 487 256 487s27.447-6.922 38.238-15.914c5.396-4.496 9.859-9.456 12.774-13.828 2.791-4.187 3.823-7.785 3.912-8.973L285 292.748c1.957 20.065-12.043 43.674-29 44.252-18.338-.45-29-22.772-29-44.262zM256 412c17.673 0 32 10.745 32 24s-14.327 24-32 24c-17.673 0-32-10.745-32-24s14.327-24 32-24z"}}]})(props);
};


/***/ }),

/***/ "./node_modules/react-icons/hi/index.esm.js":
/*!**************************************************!*\
  !*** ./node_modules/react-icons/hi/index.esm.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "HiAcademicCap": () => (/* binding */ HiAcademicCap),
/* harmony export */   "HiAdjustments": () => (/* binding */ HiAdjustments),
/* harmony export */   "HiAnnotation": () => (/* binding */ HiAnnotation),
/* harmony export */   "HiArchive": () => (/* binding */ HiArchive),
/* harmony export */   "HiArrowCircleDown": () => (/* binding */ HiArrowCircleDown),
/* harmony export */   "HiArrowCircleLeft": () => (/* binding */ HiArrowCircleLeft),
/* harmony export */   "HiArrowCircleRight": () => (/* binding */ HiArrowCircleRight),
/* harmony export */   "HiArrowCircleUp": () => (/* binding */ HiArrowCircleUp),
/* harmony export */   "HiArrowDown": () => (/* binding */ HiArrowDown),
/* harmony export */   "HiArrowLeft": () => (/* binding */ HiArrowLeft),
/* harmony export */   "HiArrowNarrowDown": () => (/* binding */ HiArrowNarrowDown),
/* harmony export */   "HiArrowNarrowLeft": () => (/* binding */ HiArrowNarrowLeft),
/* harmony export */   "HiArrowNarrowRight": () => (/* binding */ HiArrowNarrowRight),
/* harmony export */   "HiArrowNarrowUp": () => (/* binding */ HiArrowNarrowUp),
/* harmony export */   "HiArrowRight": () => (/* binding */ HiArrowRight),
/* harmony export */   "HiArrowUp": () => (/* binding */ HiArrowUp),
/* harmony export */   "HiArrowsExpand": () => (/* binding */ HiArrowsExpand),
/* harmony export */   "HiAtSymbol": () => (/* binding */ HiAtSymbol),
/* harmony export */   "HiBackspace": () => (/* binding */ HiBackspace),
/* harmony export */   "HiBadgeCheck": () => (/* binding */ HiBadgeCheck),
/* harmony export */   "HiBan": () => (/* binding */ HiBan),
/* harmony export */   "HiBeaker": () => (/* binding */ HiBeaker),
/* harmony export */   "HiBell": () => (/* binding */ HiBell),
/* harmony export */   "HiBookOpen": () => (/* binding */ HiBookOpen),
/* harmony export */   "HiBookmark": () => (/* binding */ HiBookmark),
/* harmony export */   "HiBookmarkAlt": () => (/* binding */ HiBookmarkAlt),
/* harmony export */   "HiBriefcase": () => (/* binding */ HiBriefcase),
/* harmony export */   "HiCake": () => (/* binding */ HiCake),
/* harmony export */   "HiCalculator": () => (/* binding */ HiCalculator),
/* harmony export */   "HiCalendar": () => (/* binding */ HiCalendar),
/* harmony export */   "HiCamera": () => (/* binding */ HiCamera),
/* harmony export */   "HiCash": () => (/* binding */ HiCash),
/* harmony export */   "HiChartBar": () => (/* binding */ HiChartBar),
/* harmony export */   "HiChartPie": () => (/* binding */ HiChartPie),
/* harmony export */   "HiChartSquareBar": () => (/* binding */ HiChartSquareBar),
/* harmony export */   "HiChat": () => (/* binding */ HiChat),
/* harmony export */   "HiChatAlt": () => (/* binding */ HiChatAlt),
/* harmony export */   "HiChatAlt2": () => (/* binding */ HiChatAlt2),
/* harmony export */   "HiCheck": () => (/* binding */ HiCheck),
/* harmony export */   "HiCheckCircle": () => (/* binding */ HiCheckCircle),
/* harmony export */   "HiChevronDoubleDown": () => (/* binding */ HiChevronDoubleDown),
/* harmony export */   "HiChevronDoubleLeft": () => (/* binding */ HiChevronDoubleLeft),
/* harmony export */   "HiChevronDoubleRight": () => (/* binding */ HiChevronDoubleRight),
/* harmony export */   "HiChevronDoubleUp": () => (/* binding */ HiChevronDoubleUp),
/* harmony export */   "HiChevronDown": () => (/* binding */ HiChevronDown),
/* harmony export */   "HiChevronLeft": () => (/* binding */ HiChevronLeft),
/* harmony export */   "HiChevronRight": () => (/* binding */ HiChevronRight),
/* harmony export */   "HiChevronUp": () => (/* binding */ HiChevronUp),
/* harmony export */   "HiChip": () => (/* binding */ HiChip),
/* harmony export */   "HiClipboard": () => (/* binding */ HiClipboard),
/* harmony export */   "HiClipboardCheck": () => (/* binding */ HiClipboardCheck),
/* harmony export */   "HiClipboardCopy": () => (/* binding */ HiClipboardCopy),
/* harmony export */   "HiClipboardList": () => (/* binding */ HiClipboardList),
/* harmony export */   "HiClock": () => (/* binding */ HiClock),
/* harmony export */   "HiCloud": () => (/* binding */ HiCloud),
/* harmony export */   "HiCloudDownload": () => (/* binding */ HiCloudDownload),
/* harmony export */   "HiCloudUpload": () => (/* binding */ HiCloudUpload),
/* harmony export */   "HiCode": () => (/* binding */ HiCode),
/* harmony export */   "HiCog": () => (/* binding */ HiCog),
/* harmony export */   "HiCollection": () => (/* binding */ HiCollection),
/* harmony export */   "HiColorSwatch": () => (/* binding */ HiColorSwatch),
/* harmony export */   "HiCreditCard": () => (/* binding */ HiCreditCard),
/* harmony export */   "HiCube": () => (/* binding */ HiCube),
/* harmony export */   "HiCubeTransparent": () => (/* binding */ HiCubeTransparent),
/* harmony export */   "HiCurrencyBangladeshi": () => (/* binding */ HiCurrencyBangladeshi),
/* harmony export */   "HiCurrencyDollar": () => (/* binding */ HiCurrencyDollar),
/* harmony export */   "HiCurrencyEuro": () => (/* binding */ HiCurrencyEuro),
/* harmony export */   "HiCurrencyPound": () => (/* binding */ HiCurrencyPound),
/* harmony export */   "HiCurrencyRupee": () => (/* binding */ HiCurrencyRupee),
/* harmony export */   "HiCurrencyYen": () => (/* binding */ HiCurrencyYen),
/* harmony export */   "HiCursorClick": () => (/* binding */ HiCursorClick),
/* harmony export */   "HiDatabase": () => (/* binding */ HiDatabase),
/* harmony export */   "HiDesktopComputer": () => (/* binding */ HiDesktopComputer),
/* harmony export */   "HiDeviceMobile": () => (/* binding */ HiDeviceMobile),
/* harmony export */   "HiDeviceTablet": () => (/* binding */ HiDeviceTablet),
/* harmony export */   "HiDocument": () => (/* binding */ HiDocument),
/* harmony export */   "HiDocumentAdd": () => (/* binding */ HiDocumentAdd),
/* harmony export */   "HiDocumentDownload": () => (/* binding */ HiDocumentDownload),
/* harmony export */   "HiDocumentDuplicate": () => (/* binding */ HiDocumentDuplicate),
/* harmony export */   "HiDocumentRemove": () => (/* binding */ HiDocumentRemove),
/* harmony export */   "HiDocumentReport": () => (/* binding */ HiDocumentReport),
/* harmony export */   "HiDocumentSearch": () => (/* binding */ HiDocumentSearch),
/* harmony export */   "HiDocumentText": () => (/* binding */ HiDocumentText),
/* harmony export */   "HiDotsCircleHorizontal": () => (/* binding */ HiDotsCircleHorizontal),
/* harmony export */   "HiDotsHorizontal": () => (/* binding */ HiDotsHorizontal),
/* harmony export */   "HiDotsVertical": () => (/* binding */ HiDotsVertical),
/* harmony export */   "HiDownload": () => (/* binding */ HiDownload),
/* harmony export */   "HiDuplicate": () => (/* binding */ HiDuplicate),
/* harmony export */   "HiEmojiHappy": () => (/* binding */ HiEmojiHappy),
/* harmony export */   "HiEmojiSad": () => (/* binding */ HiEmojiSad),
/* harmony export */   "HiExclamation": () => (/* binding */ HiExclamation),
/* harmony export */   "HiExclamationCircle": () => (/* binding */ HiExclamationCircle),
/* harmony export */   "HiExternalLink": () => (/* binding */ HiExternalLink),
/* harmony export */   "HiEye": () => (/* binding */ HiEye),
/* harmony export */   "HiEyeOff": () => (/* binding */ HiEyeOff),
/* harmony export */   "HiFastForward": () => (/* binding */ HiFastForward),
/* harmony export */   "HiFilm": () => (/* binding */ HiFilm),
/* harmony export */   "HiFilter": () => (/* binding */ HiFilter),
/* harmony export */   "HiFingerPrint": () => (/* binding */ HiFingerPrint),
/* harmony export */   "HiFire": () => (/* binding */ HiFire),
/* harmony export */   "HiFlag": () => (/* binding */ HiFlag),
/* harmony export */   "HiFolder": () => (/* binding */ HiFolder),
/* harmony export */   "HiFolderAdd": () => (/* binding */ HiFolderAdd),
/* harmony export */   "HiFolderDownload": () => (/* binding */ HiFolderDownload),
/* harmony export */   "HiFolderOpen": () => (/* binding */ HiFolderOpen),
/* harmony export */   "HiFolderRemove": () => (/* binding */ HiFolderRemove),
/* harmony export */   "HiGift": () => (/* binding */ HiGift),
/* harmony export */   "HiGlobe": () => (/* binding */ HiGlobe),
/* harmony export */   "HiGlobeAlt": () => (/* binding */ HiGlobeAlt),
/* harmony export */   "HiHand": () => (/* binding */ HiHand),
/* harmony export */   "HiHashtag": () => (/* binding */ HiHashtag),
/* harmony export */   "HiHeart": () => (/* binding */ HiHeart),
/* harmony export */   "HiHome": () => (/* binding */ HiHome),
/* harmony export */   "HiIdentification": () => (/* binding */ HiIdentification),
/* harmony export */   "HiInbox": () => (/* binding */ HiInbox),
/* harmony export */   "HiInboxIn": () => (/* binding */ HiInboxIn),
/* harmony export */   "HiInformationCircle": () => (/* binding */ HiInformationCircle),
/* harmony export */   "HiKey": () => (/* binding */ HiKey),
/* harmony export */   "HiLibrary": () => (/* binding */ HiLibrary),
/* harmony export */   "HiLightBulb": () => (/* binding */ HiLightBulb),
/* harmony export */   "HiLightningBolt": () => (/* binding */ HiLightningBolt),
/* harmony export */   "HiLink": () => (/* binding */ HiLink),
/* harmony export */   "HiLocationMarker": () => (/* binding */ HiLocationMarker),
/* harmony export */   "HiLockClosed": () => (/* binding */ HiLockClosed),
/* harmony export */   "HiLockOpen": () => (/* binding */ HiLockOpen),
/* harmony export */   "HiLogin": () => (/* binding */ HiLogin),
/* harmony export */   "HiLogout": () => (/* binding */ HiLogout),
/* harmony export */   "HiMail": () => (/* binding */ HiMail),
/* harmony export */   "HiMailOpen": () => (/* binding */ HiMailOpen),
/* harmony export */   "HiMap": () => (/* binding */ HiMap),
/* harmony export */   "HiMenu": () => (/* binding */ HiMenu),
/* harmony export */   "HiMenuAlt1": () => (/* binding */ HiMenuAlt1),
/* harmony export */   "HiMenuAlt2": () => (/* binding */ HiMenuAlt2),
/* harmony export */   "HiMenuAlt3": () => (/* binding */ HiMenuAlt3),
/* harmony export */   "HiMenuAlt4": () => (/* binding */ HiMenuAlt4),
/* harmony export */   "HiMicrophone": () => (/* binding */ HiMicrophone),
/* harmony export */   "HiMinus": () => (/* binding */ HiMinus),
/* harmony export */   "HiMinusCircle": () => (/* binding */ HiMinusCircle),
/* harmony export */   "HiMinusSm": () => (/* binding */ HiMinusSm),
/* harmony export */   "HiMoon": () => (/* binding */ HiMoon),
/* harmony export */   "HiMusicNote": () => (/* binding */ HiMusicNote),
/* harmony export */   "HiNewspaper": () => (/* binding */ HiNewspaper),
/* harmony export */   "HiOfficeBuilding": () => (/* binding */ HiOfficeBuilding),
/* harmony export */   "HiOutlineAcademicCap": () => (/* binding */ HiOutlineAcademicCap),
/* harmony export */   "HiOutlineAdjustments": () => (/* binding */ HiOutlineAdjustments),
/* harmony export */   "HiOutlineAnnotation": () => (/* binding */ HiOutlineAnnotation),
/* harmony export */   "HiOutlineArchive": () => (/* binding */ HiOutlineArchive),
/* harmony export */   "HiOutlineArrowCircleDown": () => (/* binding */ HiOutlineArrowCircleDown),
/* harmony export */   "HiOutlineArrowCircleLeft": () => (/* binding */ HiOutlineArrowCircleLeft),
/* harmony export */   "HiOutlineArrowCircleRight": () => (/* binding */ HiOutlineArrowCircleRight),
/* harmony export */   "HiOutlineArrowCircleUp": () => (/* binding */ HiOutlineArrowCircleUp),
/* harmony export */   "HiOutlineArrowDown": () => (/* binding */ HiOutlineArrowDown),
/* harmony export */   "HiOutlineArrowLeft": () => (/* binding */ HiOutlineArrowLeft),
/* harmony export */   "HiOutlineArrowNarrowDown": () => (/* binding */ HiOutlineArrowNarrowDown),
/* harmony export */   "HiOutlineArrowNarrowLeft": () => (/* binding */ HiOutlineArrowNarrowLeft),
/* harmony export */   "HiOutlineArrowNarrowRight": () => (/* binding */ HiOutlineArrowNarrowRight),
/* harmony export */   "HiOutlineArrowNarrowUp": () => (/* binding */ HiOutlineArrowNarrowUp),
/* harmony export */   "HiOutlineArrowRight": () => (/* binding */ HiOutlineArrowRight),
/* harmony export */   "HiOutlineArrowUp": () => (/* binding */ HiOutlineArrowUp),
/* harmony export */   "HiOutlineArrowsExpand": () => (/* binding */ HiOutlineArrowsExpand),
/* harmony export */   "HiOutlineAtSymbol": () => (/* binding */ HiOutlineAtSymbol),
/* harmony export */   "HiOutlineBackspace": () => (/* binding */ HiOutlineBackspace),
/* harmony export */   "HiOutlineBadgeCheck": () => (/* binding */ HiOutlineBadgeCheck),
/* harmony export */   "HiOutlineBan": () => (/* binding */ HiOutlineBan),
/* harmony export */   "HiOutlineBeaker": () => (/* binding */ HiOutlineBeaker),
/* harmony export */   "HiOutlineBell": () => (/* binding */ HiOutlineBell),
/* harmony export */   "HiOutlineBookOpen": () => (/* binding */ HiOutlineBookOpen),
/* harmony export */   "HiOutlineBookmark": () => (/* binding */ HiOutlineBookmark),
/* harmony export */   "HiOutlineBookmarkAlt": () => (/* binding */ HiOutlineBookmarkAlt),
/* harmony export */   "HiOutlineBriefcase": () => (/* binding */ HiOutlineBriefcase),
/* harmony export */   "HiOutlineCake": () => (/* binding */ HiOutlineCake),
/* harmony export */   "HiOutlineCalculator": () => (/* binding */ HiOutlineCalculator),
/* harmony export */   "HiOutlineCalendar": () => (/* binding */ HiOutlineCalendar),
/* harmony export */   "HiOutlineCamera": () => (/* binding */ HiOutlineCamera),
/* harmony export */   "HiOutlineCash": () => (/* binding */ HiOutlineCash),
/* harmony export */   "HiOutlineChartBar": () => (/* binding */ HiOutlineChartBar),
/* harmony export */   "HiOutlineChartPie": () => (/* binding */ HiOutlineChartPie),
/* harmony export */   "HiOutlineChartSquareBar": () => (/* binding */ HiOutlineChartSquareBar),
/* harmony export */   "HiOutlineChat": () => (/* binding */ HiOutlineChat),
/* harmony export */   "HiOutlineChatAlt": () => (/* binding */ HiOutlineChatAlt),
/* harmony export */   "HiOutlineChatAlt2": () => (/* binding */ HiOutlineChatAlt2),
/* harmony export */   "HiOutlineCheck": () => (/* binding */ HiOutlineCheck),
/* harmony export */   "HiOutlineCheckCircle": () => (/* binding */ HiOutlineCheckCircle),
/* harmony export */   "HiOutlineChevronDoubleDown": () => (/* binding */ HiOutlineChevronDoubleDown),
/* harmony export */   "HiOutlineChevronDoubleLeft": () => (/* binding */ HiOutlineChevronDoubleLeft),
/* harmony export */   "HiOutlineChevronDoubleRight": () => (/* binding */ HiOutlineChevronDoubleRight),
/* harmony export */   "HiOutlineChevronDoubleUp": () => (/* binding */ HiOutlineChevronDoubleUp),
/* harmony export */   "HiOutlineChevronDown": () => (/* binding */ HiOutlineChevronDown),
/* harmony export */   "HiOutlineChevronLeft": () => (/* binding */ HiOutlineChevronLeft),
/* harmony export */   "HiOutlineChevronRight": () => (/* binding */ HiOutlineChevronRight),
/* harmony export */   "HiOutlineChevronUp": () => (/* binding */ HiOutlineChevronUp),
/* harmony export */   "HiOutlineChip": () => (/* binding */ HiOutlineChip),
/* harmony export */   "HiOutlineClipboard": () => (/* binding */ HiOutlineClipboard),
/* harmony export */   "HiOutlineClipboardCheck": () => (/* binding */ HiOutlineClipboardCheck),
/* harmony export */   "HiOutlineClipboardCopy": () => (/* binding */ HiOutlineClipboardCopy),
/* harmony export */   "HiOutlineClipboardList": () => (/* binding */ HiOutlineClipboardList),
/* harmony export */   "HiOutlineClock": () => (/* binding */ HiOutlineClock),
/* harmony export */   "HiOutlineCloud": () => (/* binding */ HiOutlineCloud),
/* harmony export */   "HiOutlineCloudDownload": () => (/* binding */ HiOutlineCloudDownload),
/* harmony export */   "HiOutlineCloudUpload": () => (/* binding */ HiOutlineCloudUpload),
/* harmony export */   "HiOutlineCode": () => (/* binding */ HiOutlineCode),
/* harmony export */   "HiOutlineCog": () => (/* binding */ HiOutlineCog),
/* harmony export */   "HiOutlineCollection": () => (/* binding */ HiOutlineCollection),
/* harmony export */   "HiOutlineColorSwatch": () => (/* binding */ HiOutlineColorSwatch),
/* harmony export */   "HiOutlineCreditCard": () => (/* binding */ HiOutlineCreditCard),
/* harmony export */   "HiOutlineCube": () => (/* binding */ HiOutlineCube),
/* harmony export */   "HiOutlineCubeTransparent": () => (/* binding */ HiOutlineCubeTransparent),
/* harmony export */   "HiOutlineCurrencyBangladeshi": () => (/* binding */ HiOutlineCurrencyBangladeshi),
/* harmony export */   "HiOutlineCurrencyDollar": () => (/* binding */ HiOutlineCurrencyDollar),
/* harmony export */   "HiOutlineCurrencyEuro": () => (/* binding */ HiOutlineCurrencyEuro),
/* harmony export */   "HiOutlineCurrencyPound": () => (/* binding */ HiOutlineCurrencyPound),
/* harmony export */   "HiOutlineCurrencyRupee": () => (/* binding */ HiOutlineCurrencyRupee),
/* harmony export */   "HiOutlineCurrencyYen": () => (/* binding */ HiOutlineCurrencyYen),
/* harmony export */   "HiOutlineCursorClick": () => (/* binding */ HiOutlineCursorClick),
/* harmony export */   "HiOutlineDatabase": () => (/* binding */ HiOutlineDatabase),
/* harmony export */   "HiOutlineDesktopComputer": () => (/* binding */ HiOutlineDesktopComputer),
/* harmony export */   "HiOutlineDeviceMobile": () => (/* binding */ HiOutlineDeviceMobile),
/* harmony export */   "HiOutlineDeviceTablet": () => (/* binding */ HiOutlineDeviceTablet),
/* harmony export */   "HiOutlineDocument": () => (/* binding */ HiOutlineDocument),
/* harmony export */   "HiOutlineDocumentAdd": () => (/* binding */ HiOutlineDocumentAdd),
/* harmony export */   "HiOutlineDocumentDownload": () => (/* binding */ HiOutlineDocumentDownload),
/* harmony export */   "HiOutlineDocumentDuplicate": () => (/* binding */ HiOutlineDocumentDuplicate),
/* harmony export */   "HiOutlineDocumentRemove": () => (/* binding */ HiOutlineDocumentRemove),
/* harmony export */   "HiOutlineDocumentReport": () => (/* binding */ HiOutlineDocumentReport),
/* harmony export */   "HiOutlineDocumentSearch": () => (/* binding */ HiOutlineDocumentSearch),
/* harmony export */   "HiOutlineDocumentText": () => (/* binding */ HiOutlineDocumentText),
/* harmony export */   "HiOutlineDotsCircleHorizontal": () => (/* binding */ HiOutlineDotsCircleHorizontal),
/* harmony export */   "HiOutlineDotsHorizontal": () => (/* binding */ HiOutlineDotsHorizontal),
/* harmony export */   "HiOutlineDotsVertical": () => (/* binding */ HiOutlineDotsVertical),
/* harmony export */   "HiOutlineDownload": () => (/* binding */ HiOutlineDownload),
/* harmony export */   "HiOutlineDuplicate": () => (/* binding */ HiOutlineDuplicate),
/* harmony export */   "HiOutlineEmojiHappy": () => (/* binding */ HiOutlineEmojiHappy),
/* harmony export */   "HiOutlineEmojiSad": () => (/* binding */ HiOutlineEmojiSad),
/* harmony export */   "HiOutlineExclamation": () => (/* binding */ HiOutlineExclamation),
/* harmony export */   "HiOutlineExclamationCircle": () => (/* binding */ HiOutlineExclamationCircle),
/* harmony export */   "HiOutlineExternalLink": () => (/* binding */ HiOutlineExternalLink),
/* harmony export */   "HiOutlineEye": () => (/* binding */ HiOutlineEye),
/* harmony export */   "HiOutlineEyeOff": () => (/* binding */ HiOutlineEyeOff),
/* harmony export */   "HiOutlineFastForward": () => (/* binding */ HiOutlineFastForward),
/* harmony export */   "HiOutlineFilm": () => (/* binding */ HiOutlineFilm),
/* harmony export */   "HiOutlineFilter": () => (/* binding */ HiOutlineFilter),
/* harmony export */   "HiOutlineFingerPrint": () => (/* binding */ HiOutlineFingerPrint),
/* harmony export */   "HiOutlineFire": () => (/* binding */ HiOutlineFire),
/* harmony export */   "HiOutlineFlag": () => (/* binding */ HiOutlineFlag),
/* harmony export */   "HiOutlineFolder": () => (/* binding */ HiOutlineFolder),
/* harmony export */   "HiOutlineFolderAdd": () => (/* binding */ HiOutlineFolderAdd),
/* harmony export */   "HiOutlineFolderDownload": () => (/* binding */ HiOutlineFolderDownload),
/* harmony export */   "HiOutlineFolderOpen": () => (/* binding */ HiOutlineFolderOpen),
/* harmony export */   "HiOutlineFolderRemove": () => (/* binding */ HiOutlineFolderRemove),
/* harmony export */   "HiOutlineGift": () => (/* binding */ HiOutlineGift),
/* harmony export */   "HiOutlineGlobe": () => (/* binding */ HiOutlineGlobe),
/* harmony export */   "HiOutlineGlobeAlt": () => (/* binding */ HiOutlineGlobeAlt),
/* harmony export */   "HiOutlineHand": () => (/* binding */ HiOutlineHand),
/* harmony export */   "HiOutlineHashtag": () => (/* binding */ HiOutlineHashtag),
/* harmony export */   "HiOutlineHeart": () => (/* binding */ HiOutlineHeart),
/* harmony export */   "HiOutlineHome": () => (/* binding */ HiOutlineHome),
/* harmony export */   "HiOutlineIdentification": () => (/* binding */ HiOutlineIdentification),
/* harmony export */   "HiOutlineInbox": () => (/* binding */ HiOutlineInbox),
/* harmony export */   "HiOutlineInboxIn": () => (/* binding */ HiOutlineInboxIn),
/* harmony export */   "HiOutlineInformationCircle": () => (/* binding */ HiOutlineInformationCircle),
/* harmony export */   "HiOutlineKey": () => (/* binding */ HiOutlineKey),
/* harmony export */   "HiOutlineLibrary": () => (/* binding */ HiOutlineLibrary),
/* harmony export */   "HiOutlineLightBulb": () => (/* binding */ HiOutlineLightBulb),
/* harmony export */   "HiOutlineLightningBolt": () => (/* binding */ HiOutlineLightningBolt),
/* harmony export */   "HiOutlineLink": () => (/* binding */ HiOutlineLink),
/* harmony export */   "HiOutlineLocationMarker": () => (/* binding */ HiOutlineLocationMarker),
/* harmony export */   "HiOutlineLockClosed": () => (/* binding */ HiOutlineLockClosed),
/* harmony export */   "HiOutlineLockOpen": () => (/* binding */ HiOutlineLockOpen),
/* harmony export */   "HiOutlineLogin": () => (/* binding */ HiOutlineLogin),
/* harmony export */   "HiOutlineLogout": () => (/* binding */ HiOutlineLogout),
/* harmony export */   "HiOutlineMail": () => (/* binding */ HiOutlineMail),
/* harmony export */   "HiOutlineMailOpen": () => (/* binding */ HiOutlineMailOpen),
/* harmony export */   "HiOutlineMap": () => (/* binding */ HiOutlineMap),
/* harmony export */   "HiOutlineMenu": () => (/* binding */ HiOutlineMenu),
/* harmony export */   "HiOutlineMenuAlt1": () => (/* binding */ HiOutlineMenuAlt1),
/* harmony export */   "HiOutlineMenuAlt2": () => (/* binding */ HiOutlineMenuAlt2),
/* harmony export */   "HiOutlineMenuAlt3": () => (/* binding */ HiOutlineMenuAlt3),
/* harmony export */   "HiOutlineMenuAlt4": () => (/* binding */ HiOutlineMenuAlt4),
/* harmony export */   "HiOutlineMicrophone": () => (/* binding */ HiOutlineMicrophone),
/* harmony export */   "HiOutlineMinus": () => (/* binding */ HiOutlineMinus),
/* harmony export */   "HiOutlineMinusCircle": () => (/* binding */ HiOutlineMinusCircle),
/* harmony export */   "HiOutlineMinusSm": () => (/* binding */ HiOutlineMinusSm),
/* harmony export */   "HiOutlineMoon": () => (/* binding */ HiOutlineMoon),
/* harmony export */   "HiOutlineMusicNote": () => (/* binding */ HiOutlineMusicNote),
/* harmony export */   "HiOutlineNewspaper": () => (/* binding */ HiOutlineNewspaper),
/* harmony export */   "HiOutlineOfficeBuilding": () => (/* binding */ HiOutlineOfficeBuilding),
/* harmony export */   "HiOutlinePaperAirplane": () => (/* binding */ HiOutlinePaperAirplane),
/* harmony export */   "HiOutlinePaperClip": () => (/* binding */ HiOutlinePaperClip),
/* harmony export */   "HiOutlinePause": () => (/* binding */ HiOutlinePause),
/* harmony export */   "HiOutlinePencil": () => (/* binding */ HiOutlinePencil),
/* harmony export */   "HiOutlinePencilAlt": () => (/* binding */ HiOutlinePencilAlt),
/* harmony export */   "HiOutlinePhone": () => (/* binding */ HiOutlinePhone),
/* harmony export */   "HiOutlinePhoneIncoming": () => (/* binding */ HiOutlinePhoneIncoming),
/* harmony export */   "HiOutlinePhoneMissedCall": () => (/* binding */ HiOutlinePhoneMissedCall),
/* harmony export */   "HiOutlinePhoneOutgoing": () => (/* binding */ HiOutlinePhoneOutgoing),
/* harmony export */   "HiOutlinePhotograph": () => (/* binding */ HiOutlinePhotograph),
/* harmony export */   "HiOutlinePlay": () => (/* binding */ HiOutlinePlay),
/* harmony export */   "HiOutlinePlus": () => (/* binding */ HiOutlinePlus),
/* harmony export */   "HiOutlinePlusCircle": () => (/* binding */ HiOutlinePlusCircle),
/* harmony export */   "HiOutlinePlusSm": () => (/* binding */ HiOutlinePlusSm),
/* harmony export */   "HiOutlinePresentationChartBar": () => (/* binding */ HiOutlinePresentationChartBar),
/* harmony export */   "HiOutlinePresentationChartLine": () => (/* binding */ HiOutlinePresentationChartLine),
/* harmony export */   "HiOutlinePrinter": () => (/* binding */ HiOutlinePrinter),
/* harmony export */   "HiOutlinePuzzle": () => (/* binding */ HiOutlinePuzzle),
/* harmony export */   "HiOutlineQrcode": () => (/* binding */ HiOutlineQrcode),
/* harmony export */   "HiOutlineQuestionMarkCircle": () => (/* binding */ HiOutlineQuestionMarkCircle),
/* harmony export */   "HiOutlineReceiptRefund": () => (/* binding */ HiOutlineReceiptRefund),
/* harmony export */   "HiOutlineReceiptTax": () => (/* binding */ HiOutlineReceiptTax),
/* harmony export */   "HiOutlineRefresh": () => (/* binding */ HiOutlineRefresh),
/* harmony export */   "HiOutlineReply": () => (/* binding */ HiOutlineReply),
/* harmony export */   "HiOutlineRewind": () => (/* binding */ HiOutlineRewind),
/* harmony export */   "HiOutlineRss": () => (/* binding */ HiOutlineRss),
/* harmony export */   "HiOutlineSave": () => (/* binding */ HiOutlineSave),
/* harmony export */   "HiOutlineSaveAs": () => (/* binding */ HiOutlineSaveAs),
/* harmony export */   "HiOutlineScale": () => (/* binding */ HiOutlineScale),
/* harmony export */   "HiOutlineScissors": () => (/* binding */ HiOutlineScissors),
/* harmony export */   "HiOutlineSearch": () => (/* binding */ HiOutlineSearch),
/* harmony export */   "HiOutlineSearchCircle": () => (/* binding */ HiOutlineSearchCircle),
/* harmony export */   "HiOutlineSelector": () => (/* binding */ HiOutlineSelector),
/* harmony export */   "HiOutlineServer": () => (/* binding */ HiOutlineServer),
/* harmony export */   "HiOutlineShare": () => (/* binding */ HiOutlineShare),
/* harmony export */   "HiOutlineShieldCheck": () => (/* binding */ HiOutlineShieldCheck),
/* harmony export */   "HiOutlineShieldExclamation": () => (/* binding */ HiOutlineShieldExclamation),
/* harmony export */   "HiOutlineShoppingBag": () => (/* binding */ HiOutlineShoppingBag),
/* harmony export */   "HiOutlineShoppingCart": () => (/* binding */ HiOutlineShoppingCart),
/* harmony export */   "HiOutlineSortAscending": () => (/* binding */ HiOutlineSortAscending),
/* harmony export */   "HiOutlineSortDescending": () => (/* binding */ HiOutlineSortDescending),
/* harmony export */   "HiOutlineSparkles": () => (/* binding */ HiOutlineSparkles),
/* harmony export */   "HiOutlineSpeakerphone": () => (/* binding */ HiOutlineSpeakerphone),
/* harmony export */   "HiOutlineStar": () => (/* binding */ HiOutlineStar),
/* harmony export */   "HiOutlineStatusOffline": () => (/* binding */ HiOutlineStatusOffline),
/* harmony export */   "HiOutlineStatusOnline": () => (/* binding */ HiOutlineStatusOnline),
/* harmony export */   "HiOutlineStop": () => (/* binding */ HiOutlineStop),
/* harmony export */   "HiOutlineSun": () => (/* binding */ HiOutlineSun),
/* harmony export */   "HiOutlineSupport": () => (/* binding */ HiOutlineSupport),
/* harmony export */   "HiOutlineSwitchHorizontal": () => (/* binding */ HiOutlineSwitchHorizontal),
/* harmony export */   "HiOutlineSwitchVertical": () => (/* binding */ HiOutlineSwitchVertical),
/* harmony export */   "HiOutlineTable": () => (/* binding */ HiOutlineTable),
/* harmony export */   "HiOutlineTag": () => (/* binding */ HiOutlineTag),
/* harmony export */   "HiOutlineTemplate": () => (/* binding */ HiOutlineTemplate),
/* harmony export */   "HiOutlineTerminal": () => (/* binding */ HiOutlineTerminal),
/* harmony export */   "HiOutlineThumbDown": () => (/* binding */ HiOutlineThumbDown),
/* harmony export */   "HiOutlineThumbUp": () => (/* binding */ HiOutlineThumbUp),
/* harmony export */   "HiOutlineTicket": () => (/* binding */ HiOutlineTicket),
/* harmony export */   "HiOutlineTranslate": () => (/* binding */ HiOutlineTranslate),
/* harmony export */   "HiOutlineTrash": () => (/* binding */ HiOutlineTrash),
/* harmony export */   "HiOutlineTrendingDown": () => (/* binding */ HiOutlineTrendingDown),
/* harmony export */   "HiOutlineTrendingUp": () => (/* binding */ HiOutlineTrendingUp),
/* harmony export */   "HiOutlineTruck": () => (/* binding */ HiOutlineTruck),
/* harmony export */   "HiOutlineUpload": () => (/* binding */ HiOutlineUpload),
/* harmony export */   "HiOutlineUser": () => (/* binding */ HiOutlineUser),
/* harmony export */   "HiOutlineUserAdd": () => (/* binding */ HiOutlineUserAdd),
/* harmony export */   "HiOutlineUserCircle": () => (/* binding */ HiOutlineUserCircle),
/* harmony export */   "HiOutlineUserGroup": () => (/* binding */ HiOutlineUserGroup),
/* harmony export */   "HiOutlineUserRemove": () => (/* binding */ HiOutlineUserRemove),
/* harmony export */   "HiOutlineUsers": () => (/* binding */ HiOutlineUsers),
/* harmony export */   "HiOutlineVariable": () => (/* binding */ HiOutlineVariable),
/* harmony export */   "HiOutlineVideoCamera": () => (/* binding */ HiOutlineVideoCamera),
/* harmony export */   "HiOutlineViewBoards": () => (/* binding */ HiOutlineViewBoards),
/* harmony export */   "HiOutlineViewGrid": () => (/* binding */ HiOutlineViewGrid),
/* harmony export */   "HiOutlineViewGridAdd": () => (/* binding */ HiOutlineViewGridAdd),
/* harmony export */   "HiOutlineViewList": () => (/* binding */ HiOutlineViewList),
/* harmony export */   "HiOutlineVolumeOff": () => (/* binding */ HiOutlineVolumeOff),
/* harmony export */   "HiOutlineVolumeUp": () => (/* binding */ HiOutlineVolumeUp),
/* harmony export */   "HiOutlineWifi": () => (/* binding */ HiOutlineWifi),
/* harmony export */   "HiOutlineX": () => (/* binding */ HiOutlineX),
/* harmony export */   "HiOutlineXCircle": () => (/* binding */ HiOutlineXCircle),
/* harmony export */   "HiOutlineZoomIn": () => (/* binding */ HiOutlineZoomIn),
/* harmony export */   "HiOutlineZoomOut": () => (/* binding */ HiOutlineZoomOut),
/* harmony export */   "HiPaperAirplane": () => (/* binding */ HiPaperAirplane),
/* harmony export */   "HiPaperClip": () => (/* binding */ HiPaperClip),
/* harmony export */   "HiPause": () => (/* binding */ HiPause),
/* harmony export */   "HiPencil": () => (/* binding */ HiPencil),
/* harmony export */   "HiPencilAlt": () => (/* binding */ HiPencilAlt),
/* harmony export */   "HiPhone": () => (/* binding */ HiPhone),
/* harmony export */   "HiPhoneIncoming": () => (/* binding */ HiPhoneIncoming),
/* harmony export */   "HiPhoneMissedCall": () => (/* binding */ HiPhoneMissedCall),
/* harmony export */   "HiPhoneOutgoing": () => (/* binding */ HiPhoneOutgoing),
/* harmony export */   "HiPhotograph": () => (/* binding */ HiPhotograph),
/* harmony export */   "HiPlay": () => (/* binding */ HiPlay),
/* harmony export */   "HiPlus": () => (/* binding */ HiPlus),
/* harmony export */   "HiPlusCircle": () => (/* binding */ HiPlusCircle),
/* harmony export */   "HiPlusSm": () => (/* binding */ HiPlusSm),
/* harmony export */   "HiPresentationChartBar": () => (/* binding */ HiPresentationChartBar),
/* harmony export */   "HiPresentationChartLine": () => (/* binding */ HiPresentationChartLine),
/* harmony export */   "HiPrinter": () => (/* binding */ HiPrinter),
/* harmony export */   "HiPuzzle": () => (/* binding */ HiPuzzle),
/* harmony export */   "HiQrcode": () => (/* binding */ HiQrcode),
/* harmony export */   "HiQuestionMarkCircle": () => (/* binding */ HiQuestionMarkCircle),
/* harmony export */   "HiReceiptRefund": () => (/* binding */ HiReceiptRefund),
/* harmony export */   "HiReceiptTax": () => (/* binding */ HiReceiptTax),
/* harmony export */   "HiRefresh": () => (/* binding */ HiRefresh),
/* harmony export */   "HiReply": () => (/* binding */ HiReply),
/* harmony export */   "HiRewind": () => (/* binding */ HiRewind),
/* harmony export */   "HiRss": () => (/* binding */ HiRss),
/* harmony export */   "HiSave": () => (/* binding */ HiSave),
/* harmony export */   "HiSaveAs": () => (/* binding */ HiSaveAs),
/* harmony export */   "HiScale": () => (/* binding */ HiScale),
/* harmony export */   "HiScissors": () => (/* binding */ HiScissors),
/* harmony export */   "HiSearch": () => (/* binding */ HiSearch),
/* harmony export */   "HiSearchCircle": () => (/* binding */ HiSearchCircle),
/* harmony export */   "HiSelector": () => (/* binding */ HiSelector),
/* harmony export */   "HiServer": () => (/* binding */ HiServer),
/* harmony export */   "HiShare": () => (/* binding */ HiShare),
/* harmony export */   "HiShieldCheck": () => (/* binding */ HiShieldCheck),
/* harmony export */   "HiShieldExclamation": () => (/* binding */ HiShieldExclamation),
/* harmony export */   "HiShoppingBag": () => (/* binding */ HiShoppingBag),
/* harmony export */   "HiShoppingCart": () => (/* binding */ HiShoppingCart),
/* harmony export */   "HiSortAscending": () => (/* binding */ HiSortAscending),
/* harmony export */   "HiSortDescending": () => (/* binding */ HiSortDescending),
/* harmony export */   "HiSparkles": () => (/* binding */ HiSparkles),
/* harmony export */   "HiSpeakerphone": () => (/* binding */ HiSpeakerphone),
/* harmony export */   "HiStar": () => (/* binding */ HiStar),
/* harmony export */   "HiStatusOffline": () => (/* binding */ HiStatusOffline),
/* harmony export */   "HiStatusOnline": () => (/* binding */ HiStatusOnline),
/* harmony export */   "HiStop": () => (/* binding */ HiStop),
/* harmony export */   "HiSun": () => (/* binding */ HiSun),
/* harmony export */   "HiSupport": () => (/* binding */ HiSupport),
/* harmony export */   "HiSwitchHorizontal": () => (/* binding */ HiSwitchHorizontal),
/* harmony export */   "HiSwitchVertical": () => (/* binding */ HiSwitchVertical),
/* harmony export */   "HiTable": () => (/* binding */ HiTable),
/* harmony export */   "HiTag": () => (/* binding */ HiTag),
/* harmony export */   "HiTemplate": () => (/* binding */ HiTemplate),
/* harmony export */   "HiTerminal": () => (/* binding */ HiTerminal),
/* harmony export */   "HiThumbDown": () => (/* binding */ HiThumbDown),
/* harmony export */   "HiThumbUp": () => (/* binding */ HiThumbUp),
/* harmony export */   "HiTicket": () => (/* binding */ HiTicket),
/* harmony export */   "HiTranslate": () => (/* binding */ HiTranslate),
/* harmony export */   "HiTrash": () => (/* binding */ HiTrash),
/* harmony export */   "HiTrendingDown": () => (/* binding */ HiTrendingDown),
/* harmony export */   "HiTrendingUp": () => (/* binding */ HiTrendingUp),
/* harmony export */   "HiTruck": () => (/* binding */ HiTruck),
/* harmony export */   "HiUpload": () => (/* binding */ HiUpload),
/* harmony export */   "HiUser": () => (/* binding */ HiUser),
/* harmony export */   "HiUserAdd": () => (/* binding */ HiUserAdd),
/* harmony export */   "HiUserCircle": () => (/* binding */ HiUserCircle),
/* harmony export */   "HiUserGroup": () => (/* binding */ HiUserGroup),
/* harmony export */   "HiUserRemove": () => (/* binding */ HiUserRemove),
/* harmony export */   "HiUsers": () => (/* binding */ HiUsers),
/* harmony export */   "HiVariable": () => (/* binding */ HiVariable),
/* harmony export */   "HiVideoCamera": () => (/* binding */ HiVideoCamera),
/* harmony export */   "HiViewBoards": () => (/* binding */ HiViewBoards),
/* harmony export */   "HiViewGrid": () => (/* binding */ HiViewGrid),
/* harmony export */   "HiViewGridAdd": () => (/* binding */ HiViewGridAdd),
/* harmony export */   "HiViewList": () => (/* binding */ HiViewList),
/* harmony export */   "HiVolumeOff": () => (/* binding */ HiVolumeOff),
/* harmony export */   "HiVolumeUp": () => (/* binding */ HiVolumeUp),
/* harmony export */   "HiWifi": () => (/* binding */ HiWifi),
/* harmony export */   "HiX": () => (/* binding */ HiX),
/* harmony export */   "HiXCircle": () => (/* binding */ HiXCircle),
/* harmony export */   "HiZoomIn": () => (/* binding */ HiZoomIn),
/* harmony export */   "HiZoomOut": () => (/* binding */ HiZoomOut)
/* harmony export */ });
/* harmony import */ var _lib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../lib */ "./node_modules/react-icons/lib/esm/index.js");
// THIS FILE IS AUTO GENERATED

function HiAcademicCap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M10.394 2.08a1 1 0 00-.788 0l-7 3a1 1 0 000 1.84L5.25 8.051a.999.999 0 01.356-.257l4-1.714a1 1 0 11.788 1.838L7.667 9.088l1.94.831a1 1 0 00.787 0l7-3a1 1 0 000-1.838l-7-3zM3.31 9.397L5 10.12v4.102a8.969 8.969 0 00-1.05-.174 1 1 0 01-.89-.89 11.115 11.115 0 01.25-3.762zM9.3 16.573A9.026 9.026 0 007 14.935v-3.957l1.818.78a3 3 0 002.364 0l5.508-2.361a11.026 11.026 0 01.25 3.762 1 1 0 01-.89.89 8.968 8.968 0 00-5.35 2.524 1 1 0 01-1.4 0zM6 18a1 1 0 001-1v-2.065a8.935 8.935 0 00-2-.712V17a1 1 0 001 1z"}}]})(props);
};
function HiAdjustments (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M5 4a1 1 0 00-2 0v7.268a2 2 0 000 3.464V16a1 1 0 102 0v-1.268a2 2 0 000-3.464V4zM11 4a1 1 0 10-2 0v1.268a2 2 0 000 3.464V16a1 1 0 102 0V8.732a2 2 0 000-3.464V4zM16 3a1 1 0 011 1v7.268a2 2 0 010 3.464V16a1 1 0 11-2 0v-1.268a2 2 0 010-3.464V4a1 1 0 011-1z"}}]})(props);
};
function HiAnnotation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M18 13V5a2 2 0 00-2-2H4a2 2 0 00-2 2v8a2 2 0 002 2h3l3 3 3-3h3a2 2 0 002-2zM5 7a1 1 0 011-1h8a1 1 0 110 2H6a1 1 0 01-1-1zm1 3a1 1 0 100 2h3a1 1 0 100-2H6z","clipRule":"evenodd"}}]})(props);
};
function HiArchive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M4 3a2 2 0 100 4h12a2 2 0 100-4H4z"}},{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 8h14v7a2 2 0 01-2 2H5a2 2 0 01-2-2V8zm5 3a1 1 0 011-1h2a1 1 0 110 2H9a1 1 0 01-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiArrowCircleDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zm1-11a1 1 0 10-2 0v3.586L7.707 9.293a1 1 0 00-1.414 1.414l3 3a1 1 0 001.414 0l3-3a1 1 0 00-1.414-1.414L11 10.586V7z","clipRule":"evenodd"}}]})(props);
};
function HiArrowCircleLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zm.707-10.293a1 1 0 00-1.414-1.414l-3 3a1 1 0 000 1.414l3 3a1 1 0 001.414-1.414L9.414 11H13a1 1 0 100-2H9.414l1.293-1.293z","clipRule":"evenodd"}}]})(props);
};
function HiArrowCircleRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zm3.707-8.707l-3-3a1 1 0 00-1.414 1.414L10.586 9H7a1 1 0 100 2h3.586l-1.293 1.293a1 1 0 101.414 1.414l3-3a1 1 0 000-1.414z","clipRule":"evenodd"}}]})(props);
};
function HiArrowCircleUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zm3.707-8.707l-3-3a1 1 0 00-1.414 0l-3 3a1 1 0 001.414 1.414L9 9.414V13a1 1 0 102 0V9.414l1.293 1.293a1 1 0 001.414-1.414z","clipRule":"evenodd"}}]})(props);
};
function HiArrowDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M16.707 10.293a1 1 0 010 1.414l-6 6a1 1 0 01-1.414 0l-6-6a1 1 0 111.414-1.414L9 14.586V3a1 1 0 012 0v11.586l4.293-4.293a1 1 0 011.414 0z","clipRule":"evenodd"}}]})(props);
};
function HiArrowLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M9.707 16.707a1 1 0 01-1.414 0l-6-6a1 1 0 010-1.414l6-6a1 1 0 011.414 1.414L5.414 9H17a1 1 0 110 2H5.414l4.293 4.293a1 1 0 010 1.414z","clipRule":"evenodd"}}]})(props);
};
function HiArrowNarrowDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M14.707 12.293a1 1 0 010 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 111.414-1.414L9 14.586V3a1 1 0 012 0v11.586l2.293-2.293a1 1 0 011.414 0z","clipRule":"evenodd"}}]})(props);
};
function HiArrowNarrowLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M7.707 14.707a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 1.414L5.414 9H17a1 1 0 110 2H5.414l2.293 2.293a1 1 0 010 1.414z","clipRule":"evenodd"}}]})(props);
};
function HiArrowNarrowRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M12.293 5.293a1 1 0 011.414 0l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414-1.414L14.586 11H3a1 1 0 110-2h11.586l-2.293-2.293a1 1 0 010-1.414z","clipRule":"evenodd"}}]})(props);
};
function HiArrowNarrowUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M5.293 7.707a1 1 0 010-1.414l4-4a1 1 0 011.414 0l4 4a1 1 0 01-1.414 1.414L11 5.414V17a1 1 0 11-2 0V5.414L6.707 7.707a1 1 0 01-1.414 0z","clipRule":"evenodd"}}]})(props);
};
function HiArrowRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10.293 3.293a1 1 0 011.414 0l6 6a1 1 0 010 1.414l-6 6a1 1 0 01-1.414-1.414L14.586 11H3a1 1 0 110-2h11.586l-4.293-4.293a1 1 0 010-1.414z","clipRule":"evenodd"}}]})(props);
};
function HiArrowUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3.293 9.707a1 1 0 010-1.414l6-6a1 1 0 011.414 0l6 6a1 1 0 01-1.414 1.414L11 5.414V17a1 1 0 11-2 0V5.414L4.707 9.707a1 1 0 01-1.414 0z","clipRule":"evenodd"}}]})(props);
};
function HiArrowsExpand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 19 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"stroke":"#374151","strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 8V4m0 0h4M3 4l4 4m8 0V4m0 0h-4m4 0l-4 4m-8 4v4m0 0h4m-4 0l4-4m8 4l-4-4m4 4v-4m0 4h-4"}}]})(props);
};
function HiAtSymbol (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M14.243 5.757a6 6 0 10-.986 9.284 1 1 0 111.087 1.678A8 8 0 1118 10a3 3 0 01-4.8 2.401A4 4 0 1114 10a1 1 0 102 0c0-1.537-.586-3.07-1.757-4.243zM12 10a2 2 0 10-4 0 2 2 0 004 0z","clipRule":"evenodd"}}]})(props);
};
function HiBackspace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M6.707 4.879A3 3 0 018.828 4H15a3 3 0 013 3v6a3 3 0 01-3 3H8.828a3 3 0 01-2.12-.879l-4.415-4.414a1 1 0 010-1.414l4.414-4.414zm4 2.414a1 1 0 00-1.414 1.414L10.586 10l-1.293 1.293a1 1 0 101.414 1.414L12 11.414l1.293 1.293a1 1 0 001.414-1.414L13.414 10l1.293-1.293a1 1 0 00-1.414-1.414L12 8.586l-1.293-1.293z","clipRule":"evenodd"}}]})(props);
};
function HiBadgeCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M6.267 3.455a3.066 3.066 0 001.745-.723 3.066 3.066 0 013.976 0 3.066 3.066 0 001.745.723 3.066 3.066 0 012.812 2.812c.051.643.304 1.254.723 1.745a3.066 3.066 0 010 3.976 3.066 3.066 0 00-.723 1.745 3.066 3.066 0 01-2.812 2.812 3.066 3.066 0 00-1.745.723 3.066 3.066 0 01-3.976 0 3.066 3.066 0 00-1.745-.723 3.066 3.066 0 01-2.812-2.812 3.066 3.066 0 00-.723-1.745 3.066 3.066 0 010-3.976 3.066 3.066 0 00.723-1.745 3.066 3.066 0 012.812-2.812zm7.44 5.252a1 1 0 00-1.414-1.414L9 10.586 7.707 9.293a1 1 0 00-1.414 1.414l2 2a1 1 0 001.414 0l4-4z","clipRule":"evenodd"}}]})(props);
};
function HiBan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M13.477 14.89A6 6 0 015.11 6.524l8.367 8.368zm1.414-1.414L6.524 5.11a6 6 0 018.367 8.367zM18 10a8 8 0 11-16 0 8 8 0 0116 0z","clipRule":"evenodd"}}]})(props);
};
function HiBeaker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M7 2a1 1 0 00-.707 1.707L7 4.414v3.758a1 1 0 01-.293.707l-4 4C.817 14.769 2.156 18 4.828 18h10.343c2.673 0 4.012-3.231 2.122-5.121l-4-4A1 1 0 0113 8.172V4.414l.707-.707A1 1 0 0013 2H7zm2 6.172V4h2v4.172a3 3 0 00.879 2.12l1.027 1.028a4 4 0 00-2.171.102l-.47.156a4 4 0 01-2.53 0l-.563-.187a1.993 1.993 0 00-.114-.035l1.063-1.063A3 3 0 009 8.172z","clipRule":"evenodd"}}]})(props);
};
function HiBell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M10 2a6 6 0 00-6 6v3.586l-.707.707A1 1 0 004 14h12a1 1 0 00.707-1.707L16 11.586V8a6 6 0 00-6-6zM10 18a3 3 0 01-3-3h6a3 3 0 01-3 3z"}}]})(props);
};
function HiBookOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M9 4.804A7.968 7.968 0 005.5 4c-1.255 0-2.443.29-3.5.804v10A7.969 7.969 0 015.5 14c1.669 0 3.218.51 4.5 1.385A7.962 7.962 0 0114.5 14c1.255 0 2.443.29 3.5.804v-10A7.968 7.968 0 0014.5 4c-1.255 0-2.443.29-3.5.804V12a1 1 0 11-2 0V4.804z"}}]})(props);
};
function HiBookmarkAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 5a2 2 0 012-2h10a2 2 0 012 2v10a2 2 0 01-2 2H5a2 2 0 01-2-2V5zm11 1H6v8l4-2 4 2V6z","clipRule":"evenodd"}}]})(props);
};
function HiBookmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M5 4a2 2 0 012-2h6a2 2 0 012 2v14l-5-2.5L5 18V4z"}}]})(props);
};
function HiBriefcase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M6 6V5a3 3 0 013-3h2a3 3 0 013 3v1h2a2 2 0 012 2v3.57A22.952 22.952 0 0110 13a22.95 22.95 0 01-8-1.43V8a2 2 0 012-2h2zm2-1a1 1 0 011-1h2a1 1 0 011 1v1H8V5zm1 5a1 1 0 011-1h.01a1 1 0 110 2H10a1 1 0 01-1-1z","clipRule":"evenodd"}},{"tag":"path","attr":{"d":"M2 13.692V16a2 2 0 002 2h12a2 2 0 002-2v-2.308A24.974 24.974 0 0110 15c-2.796 0-5.487-.46-8-1.308z"}}]})(props);
};
function HiCake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M6 3a1 1 0 011-1h.01a1 1 0 010 2H7a1 1 0 01-1-1zm2 3a1 1 0 00-2 0v1a2 2 0 00-2 2v1a2 2 0 00-2 2v.683a3.7 3.7 0 011.055.485 1.704 1.704 0 001.89 0 3.704 3.704 0 014.11 0 1.704 1.704 0 001.89 0 3.704 3.704 0 014.11 0 1.704 1.704 0 001.89 0A3.7 3.7 0 0118 12.683V12a2 2 0 00-2-2V9a2 2 0 00-2-2V6a1 1 0 10-2 0v1h-1V6a1 1 0 10-2 0v1H8V6zm10 8.868a3.704 3.704 0 01-4.055-.036 1.704 1.704 0 00-1.89 0 3.704 3.704 0 01-4.11 0 1.704 1.704 0 00-1.89 0A3.704 3.704 0 012 14.868V17a1 1 0 001 1h14a1 1 0 001-1v-2.132zM9 3a1 1 0 011-1h.01a1 1 0 110 2H10a1 1 0 01-1-1zm3 0a1 1 0 011-1h.01a1 1 0 110 2H13a1 1 0 01-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiCalculator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M6 2a2 2 0 00-2 2v12a2 2 0 002 2h8a2 2 0 002-2V4a2 2 0 00-2-2H6zm1 2a1 1 0 000 2h6a1 1 0 100-2H7zm6 7a1 1 0 011 1v3a1 1 0 11-2 0v-3a1 1 0 011-1zm-3 3a1 1 0 100 2h.01a1 1 0 100-2H10zm-4 1a1 1 0 011-1h.01a1 1 0 110 2H7a1 1 0 01-1-1zm1-4a1 1 0 100 2h.01a1 1 0 100-2H7zm2 1a1 1 0 011-1h.01a1 1 0 110 2H10a1 1 0 01-1-1zm4-4a1 1 0 100 2h.01a1 1 0 100-2H13zM9 9a1 1 0 011-1h.01a1 1 0 110 2H10a1 1 0 01-1-1zM7 8a1 1 0 000 2h.01a1 1 0 000-2H7z","clipRule":"evenodd"}}]})(props);
};
function HiCalendar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M6 2a1 1 0 00-1 1v1H4a2 2 0 00-2 2v10a2 2 0 002 2h12a2 2 0 002-2V6a2 2 0 00-2-2h-1V3a1 1 0 10-2 0v1H7V3a1 1 0 00-1-1zm0 5a1 1 0 000 2h8a1 1 0 100-2H6z","clipRule":"evenodd"}}]})(props);
};
function HiCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M4 5a2 2 0 00-2 2v8a2 2 0 002 2h12a2 2 0 002-2V7a2 2 0 00-2-2h-1.586a1 1 0 01-.707-.293l-1.121-1.121A2 2 0 0011.172 3H8.828a2 2 0 00-1.414.586L6.293 4.707A1 1 0 015.586 5H4zm6 9a3 3 0 100-6 3 3 0 000 6z","clipRule":"evenodd"}}]})(props);
};
function HiCash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M4 4a2 2 0 00-2 2v4a2 2 0 002 2V6h10a2 2 0 00-2-2H4zm2 6a2 2 0 012-2h8a2 2 0 012 2v4a2 2 0 01-2 2H8a2 2 0 01-2-2v-4zm6 4a2 2 0 100-4 2 2 0 000 4z","clipRule":"evenodd"}}]})(props);
};
function HiChartBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M2 11a1 1 0 011-1h2a1 1 0 011 1v5a1 1 0 01-1 1H3a1 1 0 01-1-1v-5zM8 7a1 1 0 011-1h2a1 1 0 011 1v9a1 1 0 01-1 1H9a1 1 0 01-1-1V7zM14 4a1 1 0 011-1h2a1 1 0 011 1v12a1 1 0 01-1 1h-2a1 1 0 01-1-1V4z"}}]})(props);
};
function HiChartPie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M2 10a8 8 0 018-8v8h8a8 8 0 11-16 0z"}},{"tag":"path","attr":{"d":"M12 2.252A8.014 8.014 0 0117.748 8H12V2.252z"}}]})(props);
};
function HiChartSquareBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M5 3a2 2 0 00-2 2v10a2 2 0 002 2h10a2 2 0 002-2V5a2 2 0 00-2-2H5zm9 4a1 1 0 10-2 0v6a1 1 0 102 0V7zm-3 2a1 1 0 10-2 0v4a1 1 0 102 0V9zm-3 3a1 1 0 10-2 0v1a1 1 0 102 0v-1z","clipRule":"evenodd"}}]})(props);
};
function HiChatAlt2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M2 5a2 2 0 012-2h7a2 2 0 012 2v4a2 2 0 01-2 2H9l-3 3v-3H4a2 2 0 01-2-2V5z"}},{"tag":"path","attr":{"d":"M15 7v2a4 4 0 01-4 4H9.828l-1.766 1.767c.28.149.599.233.938.233h2l3 3v-3h2a2 2 0 002-2V9a2 2 0 00-2-2h-1z"}}]})(props);
};
function HiChatAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M18 5v8a2 2 0 01-2 2h-5l-5 4v-4H4a2 2 0 01-2-2V5a2 2 0 012-2h12a2 2 0 012 2zM7 8H5v2h2V8zm2 0h2v2H9V8zm6 0h-2v2h2V8z","clipRule":"evenodd"}}]})(props);
};
function HiChat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M18 10c0 3.866-3.582 7-8 7a8.841 8.841 0 01-4.083-.98L2 17l1.338-3.123C2.493 12.767 2 11.434 2 10c0-3.866 3.582-7 8-7s8 3.134 8 7zM7 9H5v2h2V9zm8 0h-2v2h2V9zM9 9h2v2H9V9z","clipRule":"evenodd"}}]})(props);
};
function HiCheckCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zm3.707-9.293a1 1 0 00-1.414-1.414L9 10.586 7.707 9.293a1 1 0 00-1.414 1.414l2 2a1 1 0 001.414 0l4-4z","clipRule":"evenodd"}}]})(props);
};
function HiCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M16.707 5.293a1 1 0 010 1.414l-8 8a1 1 0 01-1.414 0l-4-4a1 1 0 011.414-1.414L8 12.586l7.293-7.293a1 1 0 011.414 0z","clipRule":"evenodd"}}]})(props);
};
function HiChevronDoubleDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M15.707 4.293a1 1 0 010 1.414l-5 5a1 1 0 01-1.414 0l-5-5a1 1 0 011.414-1.414L10 8.586l4.293-4.293a1 1 0 011.414 0zm0 6a1 1 0 010 1.414l-5 5a1 1 0 01-1.414 0l-5-5a1 1 0 111.414-1.414L10 14.586l4.293-4.293a1 1 0 011.414 0z","clipRule":"evenodd"}}]})(props);
};
function HiChevronDoubleLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M15.707 15.707a1 1 0 01-1.414 0l-5-5a1 1 0 010-1.414l5-5a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 010 1.414zm-6 0a1 1 0 01-1.414 0l-5-5a1 1 0 010-1.414l5-5a1 1 0 011.414 1.414L5.414 10l4.293 4.293a1 1 0 010 1.414z","clipRule":"evenodd"}}]})(props);
};
function HiChevronDoubleRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10.293 15.707a1 1 0 010-1.414L14.586 10l-4.293-4.293a1 1 0 111.414-1.414l5 5a1 1 0 010 1.414l-5 5a1 1 0 01-1.414 0z","clipRule":"evenodd"}},{"tag":"path","attr":{"fillRule":"evenodd","d":"M4.293 15.707a1 1 0 010-1.414L8.586 10 4.293 5.707a1 1 0 011.414-1.414l5 5a1 1 0 010 1.414l-5 5a1 1 0 01-1.414 0z","clipRule":"evenodd"}}]})(props);
};
function HiChevronDoubleUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M4.293 15.707a1 1 0 010-1.414l5-5a1 1 0 011.414 0l5 5a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414 0zm0-6a1 1 0 010-1.414l5-5a1 1 0 011.414 0l5 5a1 1 0 01-1.414 1.414L10 5.414 5.707 9.707a1 1 0 01-1.414 0z","clipRule":"evenodd"}}]})(props);
};
function HiChevronDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z","clipRule":"evenodd"}}]})(props);
};
function HiChevronLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M12.707 5.293a1 1 0 010 1.414L9.414 10l3.293 3.293a1 1 0 01-1.414 1.414l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 0z","clipRule":"evenodd"}}]})(props);
};
function HiChevronRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M7.293 14.707a1 1 0 010-1.414L10.586 10 7.293 6.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414 0z","clipRule":"evenodd"}}]})(props);
};
function HiChevronUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M14.707 12.707a1 1 0 01-1.414 0L10 9.414l-3.293 3.293a1 1 0 01-1.414-1.414l4-4a1 1 0 011.414 0l4 4a1 1 0 010 1.414z","clipRule":"evenodd"}}]})(props);
};
function HiChip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M13 7H7v6h6V7z"}},{"tag":"path","attr":{"fillRule":"evenodd","d":"M7 2a1 1 0 012 0v1h2V2a1 1 0 112 0v1h2a2 2 0 012 2v2h1a1 1 0 110 2h-1v2h1a1 1 0 110 2h-1v2a2 2 0 01-2 2h-2v1a1 1 0 11-2 0v-1H9v1a1 1 0 11-2 0v-1H5a2 2 0 01-2-2v-2H2a1 1 0 110-2h1V9H2a1 1 0 010-2h1V5a2 2 0 012-2h2V2zM5 5h10v10H5V5z","clipRule":"evenodd"}}]})(props);
};
function HiClipboardCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M9 2a1 1 0 000 2h2a1 1 0 100-2H9z"}},{"tag":"path","attr":{"fillRule":"evenodd","d":"M4 5a2 2 0 012-2 3 3 0 003 3h2a3 3 0 003-3 2 2 0 012 2v11a2 2 0 01-2 2H6a2 2 0 01-2-2V5zm9.707 5.707a1 1 0 00-1.414-1.414L9 12.586l-1.293-1.293a1 1 0 00-1.414 1.414l2 2a1 1 0 001.414 0l4-4z","clipRule":"evenodd"}}]})(props);
};
function HiClipboardCopy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M8 2a1 1 0 000 2h2a1 1 0 100-2H8z"}},{"tag":"path","attr":{"d":"M3 5a2 2 0 012-2 3 3 0 003 3h2a3 3 0 003-3 2 2 0 012 2v6h-4.586l1.293-1.293a1 1 0 00-1.414-1.414l-3 3a1 1 0 000 1.414l3 3a1 1 0 001.414-1.414L10.414 13H15v3a2 2 0 01-2 2H5a2 2 0 01-2-2V5zM15 11h2a1 1 0 110 2h-2v-2z"}}]})(props);
};
function HiClipboardList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M9 2a1 1 0 000 2h2a1 1 0 100-2H9z"}},{"tag":"path","attr":{"fillRule":"evenodd","d":"M4 5a2 2 0 012-2 3 3 0 003 3h2a3 3 0 003-3 2 2 0 012 2v11a2 2 0 01-2 2H6a2 2 0 01-2-2V5zm3 4a1 1 0 000 2h.01a1 1 0 100-2H7zm3 0a1 1 0 000 2h3a1 1 0 100-2h-3zm-3 4a1 1 0 100 2h.01a1 1 0 100-2H7zm3 0a1 1 0 100 2h3a1 1 0 100-2h-3z","clipRule":"evenodd"}}]})(props);
};
function HiClipboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M8 3a1 1 0 011-1h2a1 1 0 110 2H9a1 1 0 01-1-1z"}},{"tag":"path","attr":{"d":"M6 3a2 2 0 00-2 2v11a2 2 0 002 2h8a2 2 0 002-2V5a2 2 0 00-2-2 3 3 0 01-3 3H9a3 3 0 01-3-3z"}}]})(props);
};
function HiClock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zm1-12a1 1 0 10-2 0v4a1 1 0 00.293.707l2.828 2.829a1 1 0 101.415-1.415L11 9.586V6z","clipRule":"evenodd"}}]})(props);
};
function HiCloudDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M2 9.5A3.5 3.5 0 005.5 13H9v2.586l-1.293-1.293a1 1 0 00-1.414 1.414l3 3a1 1 0 001.414 0l3-3a1 1 0 00-1.414-1.414L11 15.586V13h2.5a4.5 4.5 0 10-.616-8.958 4.002 4.002 0 10-7.753 1.977A3.5 3.5 0 002 9.5zm9 3.5H9V8a1 1 0 012 0v5z","clipRule":"evenodd"}}]})(props);
};
function HiCloudUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M5.5 13a3.5 3.5 0 01-.369-6.98 4 4 0 117.753-1.977A4.5 4.5 0 1113.5 13H11V9.413l1.293 1.293a1 1 0 001.414-1.414l-3-3a1 1 0 00-1.414 0l-3 3a1 1 0 001.414 1.414L9 9.414V13H5.5z"}},{"tag":"path","attr":{"d":"M9 13h2v5a1 1 0 11-2 0v-5z"}}]})(props);
};
function HiCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M5.5 16a3.5 3.5 0 01-.369-6.98 4 4 0 117.753-1.977A4.5 4.5 0 1113.5 16h-8z"}}]})(props);
};
function HiCode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M12.316 3.051a1 1 0 01.633 1.265l-4 12a1 1 0 11-1.898-.632l4-12a1 1 0 011.265-.633zM5.707 6.293a1 1 0 010 1.414L3.414 10l2.293 2.293a1 1 0 11-1.414 1.414l-3-3a1 1 0 010-1.414l3-3a1 1 0 011.414 0zm8.586 0a1 1 0 011.414 0l3 3a1 1 0 010 1.414l-3 3a1 1 0 11-1.414-1.414L16.586 10l-2.293-2.293a1 1 0 010-1.414z","clipRule":"evenodd"}}]})(props);
};
function HiCog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M11.49 3.17c-.38-1.56-2.6-1.56-2.98 0a1.532 1.532 0 01-2.286.948c-1.372-.836-2.942.734-2.106 2.106.54.886.061 2.042-.947 2.287-1.561.379-1.561 2.6 0 2.978a1.532 1.532 0 01.947 2.287c-.836 1.372.734 2.942 2.106 2.106a1.532 1.532 0 012.287.947c.379 1.561 2.6 1.561 2.978 0a1.533 1.533 0 012.287-.947c1.372.836 2.942-.734 2.106-2.106a1.533 1.533 0 01.947-2.287c1.561-.379 1.561-2.6 0-2.978a1.532 1.532 0 01-.947-2.287c.836-1.372-.734-2.942-2.106-2.106a1.532 1.532 0 01-2.287-.947zM10 13a3 3 0 100-6 3 3 0 000 6z","clipRule":"evenodd"}}]})(props);
};
function HiCollection (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M7 3a1 1 0 000 2h6a1 1 0 100-2H7zM4 7a1 1 0 011-1h10a1 1 0 110 2H5a1 1 0 01-1-1zM2 11a2 2 0 012-2h12a2 2 0 012 2v4a2 2 0 01-2 2H4a2 2 0 01-2-2v-4z"}}]})(props);
};
function HiColorSwatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M4 2a2 2 0 00-2 2v11a3 3 0 106 0V4a2 2 0 00-2-2H4zm1 14a1 1 0 100-2 1 1 0 000 2zm5-1.757l4.9-4.9a2 2 0 000-2.828L13.485 5.1a2 2 0 00-2.828 0L10 5.757v8.486zM16 18H9.071l6-6H16a2 2 0 012 2v2a2 2 0 01-2 2z","clipRule":"evenodd"}}]})(props);
};
function HiCreditCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M4 4a2 2 0 00-2 2v1h16V6a2 2 0 00-2-2H4z"}},{"tag":"path","attr":{"fillRule":"evenodd","d":"M18 9H2v5a2 2 0 002 2h12a2 2 0 002-2V9zM4 13a1 1 0 011-1h1a1 1 0 110 2H5a1 1 0 01-1-1zm5-1a1 1 0 100 2h1a1 1 0 100-2H9z","clipRule":"evenodd"}}]})(props);
};
function HiCubeTransparent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M9.504 1.132a1 1 0 01.992 0l1.75 1a1 1 0 11-.992 1.736L10 3.152l-1.254.716a1 1 0 11-.992-1.736l1.75-1zM5.618 4.504a1 1 0 01-.372 1.364L5.016 6l.23.132a1 1 0 11-.992 1.736L4 7.723V8a1 1 0 01-2 0V6a.996.996 0 01.52-.878l1.734-.99a1 1 0 011.364.372zm8.764 0a1 1 0 011.364-.372l1.733.99A1.002 1.002 0 0118 6v2a1 1 0 11-2 0v-.277l-.254.145a1 1 0 11-.992-1.736l.23-.132-.23-.132a1 1 0 01-.372-1.364zm-7 4a1 1 0 011.364-.372L10 8.848l1.254-.716a1 1 0 11.992 1.736L11 10.58V12a1 1 0 11-2 0v-1.42l-1.246-.712a1 1 0 01-.372-1.364zM3 11a1 1 0 011 1v1.42l1.246.712a1 1 0 11-.992 1.736l-1.75-1A1 1 0 012 14v-2a1 1 0 011-1zm14 0a1 1 0 011 1v2a1 1 0 01-.504.868l-1.75 1a1 1 0 11-.992-1.736L16 13.42V12a1 1 0 011-1zm-9.618 5.504a1 1 0 011.364-.372l.254.145V16a1 1 0 112 0v.277l.254-.145a1 1 0 11.992 1.736l-1.735.992a.995.995 0 01-1.022 0l-1.735-.992a1 1 0 01-.372-1.364z","clipRule":"evenodd"}}]})(props);
};
function HiCube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M11 17a1 1 0 001.447.894l4-2A1 1 0 0017 15V9.236a1 1 0 00-1.447-.894l-4 2a1 1 0 00-.553.894V17zM15.211 6.276a1 1 0 000-1.788l-4.764-2.382a1 1 0 00-.894 0L4.789 4.488a1 1 0 000 1.788l4.764 2.382a1 1 0 00.894 0l4.764-2.382zM4.447 8.342A1 1 0 003 9.236V15a1 1 0 00.553.894l4 2A1 1 0 009 17v-5.764a1 1 0 00-.553-.894l-4-2z"}}]})(props);
};
function HiCurrencyBangladeshi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zM7 4a1 1 0 000 2 1 1 0 011 1v1H7a1 1 0 000 2h1v3a3 3 0 106 0v-1a1 1 0 10-2 0v1a1 1 0 11-2 0v-3h3a1 1 0 100-2h-3V7a3 3 0 00-3-3z","clipRule":"evenodd"}}]})(props);
};
function HiCurrencyDollar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M8.433 7.418c.155-.103.346-.196.567-.267v1.698a2.305 2.305 0 01-.567-.267C8.07 8.34 8 8.114 8 8c0-.114.07-.34.433-.582zM11 12.849v-1.698c.22.071.412.164.567.267.364.243.433.468.433.582 0 .114-.07.34-.433.582a2.305 2.305 0 01-.567.267z"}},{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zm1-13a1 1 0 10-2 0v.092a4.535 4.535 0 00-1.676.662C6.602 6.234 6 7.009 6 8c0 .99.602 1.765 1.324 2.246.48.32 1.054.545 1.676.662v1.941c-.391-.127-.68-.317-.843-.504a1 1 0 10-1.51 1.31c.562.649 1.413 1.076 2.353 1.253V15a1 1 0 102 0v-.092a4.535 4.535 0 001.676-.662C13.398 13.766 14 12.991 14 12c0-.99-.602-1.765-1.324-2.246A4.535 4.535 0 0011 9.092V7.151c.391.127.68.317.843.504a1 1 0 101.511-1.31c-.563-.649-1.413-1.076-2.354-1.253V5z","clipRule":"evenodd"}}]})(props);
};
function HiCurrencyEuro (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zM8.736 6.979C9.208 6.193 9.696 6 10 6c.304 0 .792.193 1.264.979a1 1 0 001.715-1.029C12.279 4.784 11.232 4 10 4s-2.279.784-2.979 1.95c-.285.475-.507 1-.67 1.55H6a1 1 0 000 2h.013a9.358 9.358 0 000 1H6a1 1 0 100 2h.351c.163.55.385 1.075.67 1.55C7.721 15.216 8.768 16 10 16s2.279-.784 2.979-1.95a1 1 0 10-1.715-1.029c-.472.786-.96.979-1.264.979-.304 0-.792-.193-1.264-.979a4.265 4.265 0 01-.264-.521H10a1 1 0 100-2H8.017a7.36 7.36 0 010-1H10a1 1 0 100-2H8.472c.08-.185.167-.36.264-.521z","clipRule":"evenodd"}}]})(props);
};
function HiCurrencyPound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zm1-14a3 3 0 00-3 3v2H7a1 1 0 000 2h1v1a1 1 0 01-1 1 1 1 0 100 2h6a1 1 0 100-2H9.83c.11-.313.17-.65.17-1v-1h1a1 1 0 100-2h-1V7a1 1 0 112 0 1 1 0 102 0 3 3 0 00-3-3z","clipRule":"evenodd"}}]})(props);
};
function HiCurrencyRupee (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zM7 5a1 1 0 100 2h1a2 2 0 011.732 1H7a1 1 0 100 2h2.732A2 2 0 018 11H7a1 1 0 00-.707 1.707l3 3a1 1 0 001.414-1.414l-1.483-1.484A4.008 4.008 0 0011.874 10H13a1 1 0 100-2h-1.126a3.976 3.976 0 00-.41-1H13a1 1 0 100-2H7z","clipRule":"evenodd"}}]})(props);
};
function HiCurrencyYen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zM7.858 5.485a1 1 0 00-1.715 1.03L7.633 9H7a1 1 0 100 2h1.834l.166.277V12H7a1 1 0 100 2h2v1a1 1 0 102 0v-1h2a1 1 0 100-2h-2v-.723l.166-.277H13a1 1 0 100-2h-.634l1.492-2.486a1 1 0 10-1.716-1.029L10.034 9h-.068L7.858 5.485z","clipRule":"evenodd"}}]})(props);
};
function HiCursorClick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M6.672 1.911a1 1 0 10-1.932.518l.259.966a1 1 0 001.932-.518l-.26-.966zM2.429 4.74a1 1 0 10-.517 1.932l.966.259a1 1 0 00.517-1.932l-.966-.26zm8.814-.569a1 1 0 00-1.415-1.414l-.707.707a1 1 0 101.415 1.415l.707-.708zm-7.071 7.072l.707-.707A1 1 0 003.465 9.12l-.708.707a1 1 0 001.415 1.415zm3.2-5.171a1 1 0 00-1.3 1.3l4 10a1 1 0 001.823.075l1.38-2.759 3.018 3.02a1 1 0 001.414-1.415l-3.019-3.02 2.76-1.379a1 1 0 00-.076-1.822l-10-4z","clipRule":"evenodd"}}]})(props);
};
function HiDatabase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M3 12v3c0 1.657 3.134 3 7 3s7-1.343 7-3v-3c0 1.657-3.134 3-7 3s-7-1.343-7-3z"}},{"tag":"path","attr":{"d":"M3 7v3c0 1.657 3.134 3 7 3s7-1.343 7-3V7c0 1.657-3.134 3-7 3S3 8.657 3 7z"}},{"tag":"path","attr":{"d":"M17 5c0 1.657-3.134 3-7 3S3 6.657 3 5s3.134-3 7-3 7 1.343 7 3z"}}]})(props);
};
function HiDesktopComputer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 5a2 2 0 012-2h10a2 2 0 012 2v8a2 2 0 01-2 2h-2.22l.123.489.804.804A1 1 0 0113 18H7a1 1 0 01-.707-1.707l.804-.804L7.22 15H5a2 2 0 01-2-2V5zm5.771 7H5V5h10v7H8.771z","clipRule":"evenodd"}}]})(props);
};
function HiDeviceMobile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M7 2a2 2 0 00-2 2v12a2 2 0 002 2h6a2 2 0 002-2V4a2 2 0 00-2-2H7zm3 14a1 1 0 100-2 1 1 0 000 2z","clipRule":"evenodd"}}]})(props);
};
function HiDeviceTablet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M6 2a2 2 0 00-2 2v12a2 2 0 002 2h8a2 2 0 002-2V4a2 2 0 00-2-2H6zm4 14a1 1 0 100-2 1 1 0 000 2z","clipRule":"evenodd"}}]})(props);
};
function HiDocumentAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M6 2a2 2 0 00-2 2v12a2 2 0 002 2h8a2 2 0 002-2V7.414A2 2 0 0015.414 6L12 2.586A2 2 0 0010.586 2H6zm5 6a1 1 0 10-2 0v2H7a1 1 0 100 2h2v2a1 1 0 102 0v-2h2a1 1 0 100-2h-2V8z","clipRule":"evenodd"}}]})(props);
};
function HiDocumentDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M6 2a2 2 0 00-2 2v12a2 2 0 002 2h8a2 2 0 002-2V7.414A2 2 0 0015.414 6L12 2.586A2 2 0 0010.586 2H6zm5 6a1 1 0 10-2 0v3.586l-1.293-1.293a1 1 0 10-1.414 1.414l3 3a1 1 0 001.414 0l3-3a1 1 0 00-1.414-1.414L11 11.586V8z","clipRule":"evenodd"}}]})(props);
};
function HiDocumentDuplicate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M9 2a2 2 0 00-2 2v8a2 2 0 002 2h6a2 2 0 002-2V6.414A2 2 0 0016.414 5L14 2.586A2 2 0 0012.586 2H9z"}},{"tag":"path","attr":{"d":"M3 8a2 2 0 012-2v10h8a2 2 0 01-2 2H5a2 2 0 01-2-2V8z"}}]})(props);
};
function HiDocumentRemove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M6 2a2 2 0 00-2 2v12a2 2 0 002 2h8a2 2 0 002-2V7.414A2 2 0 0015.414 6L12 2.586A2 2 0 0010.586 2H6zm1 8a1 1 0 100 2h6a1 1 0 100-2H7z","clipRule":"evenodd"}}]})(props);
};
function HiDocumentReport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M6 2a2 2 0 00-2 2v12a2 2 0 002 2h8a2 2 0 002-2V7.414A2 2 0 0015.414 6L12 2.586A2 2 0 0010.586 2H6zm2 10a1 1 0 10-2 0v3a1 1 0 102 0v-3zm2-3a1 1 0 011 1v5a1 1 0 11-2 0v-5a1 1 0 011-1zm4-1a1 1 0 10-2 0v7a1 1 0 102 0V8z","clipRule":"evenodd"}}]})(props);
};
function HiDocumentSearch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M4 4a2 2 0 012-2h4.586A2 2 0 0112 2.586L15.414 6A2 2 0 0116 7.414V16a2 2 0 01-2 2h-1.528A6 6 0 004 9.528V4z"}},{"tag":"path","attr":{"fillRule":"evenodd","d":"M8 10a4 4 0 00-3.446 6.032l-1.261 1.26a1 1 0 101.414 1.415l1.261-1.261A4 4 0 108 10zm-2 4a2 2 0 114 0 2 2 0 01-4 0z","clipRule":"evenodd"}}]})(props);
};
function HiDocumentText (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M4 4a2 2 0 012-2h4.586A2 2 0 0112 2.586L15.414 6A2 2 0 0116 7.414V16a2 2 0 01-2 2H6a2 2 0 01-2-2V4zm2 6a1 1 0 011-1h6a1 1 0 110 2H7a1 1 0 01-1-1zm1 3a1 1 0 100 2h6a1 1 0 100-2H7z","clipRule":"evenodd"}}]})(props);
};
function HiDocument (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M4 4a2 2 0 012-2h4.586A2 2 0 0112 2.586L15.414 6A2 2 0 0116 7.414V16a2 2 0 01-2 2H6a2 2 0 01-2-2V4z","clipRule":"evenodd"}}]})(props);
};
function HiDotsCircleHorizontal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zM7 9H5v2h2V9zm8 0h-2v2h2V9zM9 9h2v2H9V9z","clipRule":"evenodd"}}]})(props);
};
function HiDotsHorizontal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M6 10a2 2 0 11-4 0 2 2 0 014 0zM12 10a2 2 0 11-4 0 2 2 0 014 0zM16 12a2 2 0 100-4 2 2 0 000 4z"}}]})(props);
};
function HiDotsVertical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M10 6a2 2 0 110-4 2 2 0 010 4zM10 12a2 2 0 110-4 2 2 0 010 4zM10 18a2 2 0 110-4 2 2 0 010 4z"}}]})(props);
};
function HiDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 17a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zm3.293-7.707a1 1 0 011.414 0L9 10.586V3a1 1 0 112 0v7.586l1.293-1.293a1 1 0 111.414 1.414l-3 3a1 1 0 01-1.414 0l-3-3a1 1 0 010-1.414z","clipRule":"evenodd"}}]})(props);
};
function HiDuplicate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M7 9a2 2 0 012-2h6a2 2 0 012 2v6a2 2 0 01-2 2H9a2 2 0 01-2-2V9z"}},{"tag":"path","attr":{"d":"M5 3a2 2 0 00-2 2v6a2 2 0 002 2V5h8a2 2 0 00-2-2H5z"}}]})(props);
};
function HiEmojiHappy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zM7 9a1 1 0 100-2 1 1 0 000 2zm7-1a1 1 0 11-2 0 1 1 0 012 0zm-.464 5.535a1 1 0 10-1.415-1.414 3 3 0 01-4.242 0 1 1 0 00-1.415 1.414 5 5 0 007.072 0z","clipRule":"evenodd"}}]})(props);
};
function HiEmojiSad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zM7 9a1 1 0 100-2 1 1 0 000 2zm7-1a1 1 0 11-2 0 1 1 0 012 0zm-7.536 5.879a1 1 0 001.415 0 3 3 0 014.242 0 1 1 0 001.415-1.415 5 5 0 00-7.072 0 1 1 0 000 1.415z","clipRule":"evenodd"}}]})(props);
};
function HiExclamationCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M18 10a8 8 0 11-16 0 8 8 0 0116 0zm-7 4a1 1 0 11-2 0 1 1 0 012 0zm-1-9a1 1 0 00-1 1v4a1 1 0 102 0V6a1 1 0 00-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiExclamation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M8.257 3.099c.765-1.36 2.722-1.36 3.486 0l5.58 9.92c.75 1.334-.213 2.98-1.742 2.98H4.42c-1.53 0-2.493-1.646-1.743-2.98l5.58-9.92zM11 13a1 1 0 11-2 0 1 1 0 012 0zm-1-8a1 1 0 00-1 1v3a1 1 0 002 0V6a1 1 0 00-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiExternalLink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M11 3a1 1 0 100 2h2.586l-6.293 6.293a1 1 0 101.414 1.414L15 6.414V9a1 1 0 102 0V4a1 1 0 00-1-1h-5z"}},{"tag":"path","attr":{"d":"M5 5a2 2 0 00-2 2v8a2 2 0 002 2h8a2 2 0 002-2v-3a1 1 0 10-2 0v3H5V7h3a1 1 0 000-2H5z"}}]})(props);
};
function HiEyeOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3.707 2.293a1 1 0 00-1.414 1.414l14 14a1 1 0 001.414-1.414l-1.473-1.473A10.014 10.014 0 0019.542 10C18.268 5.943 14.478 3 10 3a9.958 9.958 0 00-4.512 1.074l-1.78-1.781zm4.261 4.26l1.514 1.515a2.003 2.003 0 012.45 2.45l1.514 1.514a4 4 0 00-5.478-5.478z","clipRule":"evenodd"}},{"tag":"path","attr":{"d":"M12.454 16.697L9.75 13.992a4 4 0 01-3.742-3.741L2.335 6.578A9.98 9.98 0 00.458 10c1.274 4.057 5.065 7 9.542 7 .847 0 1.669-.105 2.454-.303z"}}]})(props);
};
function HiEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M10 12a2 2 0 100-4 2 2 0 000 4z"}},{"tag":"path","attr":{"fillRule":"evenodd","d":"M.458 10C1.732 5.943 5.522 3 10 3s8.268 2.943 9.542 7c-1.274 4.057-5.064 7-9.542 7S1.732 14.057.458 10zM14 10a4 4 0 11-8 0 4 4 0 018 0z","clipRule":"evenodd"}}]})(props);
};
function HiFastForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M4.555 5.168A1 1 0 003 6v8a1 1 0 001.555.832L10 11.202V14a1 1 0 001.555.832l6-4a1 1 0 000-1.664l-6-4A1 1 0 0010 6v2.798l-5.445-3.63z"}}]})(props);
};
function HiFilm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M4 3a2 2 0 00-2 2v10a2 2 0 002 2h12a2 2 0 002-2V5a2 2 0 00-2-2H4zm3 2h6v4H7V5zm8 8v2h1v-2h-1zm-2-2H7v4h6v-4zm2 0h1V9h-1v2zm1-4V5h-1v2h1zM5 5v2H4V5h1zm0 4H4v2h1V9zm-1 4h1v2H4v-2z","clipRule":"evenodd"}}]})(props);
};
function HiFilter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 3a1 1 0 011-1h12a1 1 0 011 1v3a1 1 0 01-.293.707L12 11.414V15a1 1 0 01-.293.707l-2 2A1 1 0 018 17v-5.586L3.293 6.707A1 1 0 013 6V3z","clipRule":"evenodd"}}]})(props);
};
function HiFingerPrint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M6.625 2.655A9 9 0 0119 11a1 1 0 11-2 0 7 7 0 00-9.625-6.492 1 1 0 11-.75-1.853zM4.662 4.959A1 1 0 014.75 6.37 6.97 6.97 0 003 11a1 1 0 11-2 0 8.97 8.97 0 012.25-5.953 1 1 0 011.412-.088z","clipRule":"evenodd"}},{"tag":"path","attr":{"fillRule":"evenodd","d":"M5 11a5 5 0 1110 0 1 1 0 11-2 0 3 3 0 10-6 0c0 1.677-.345 3.276-.968 4.729a1 1 0 11-1.838-.789A9.964 9.964 0 005 11zm8.921 2.012a1 1 0 01.831 1.145 19.86 19.86 0 01-.545 2.436 1 1 0 11-1.92-.558c.207-.713.371-1.445.49-2.192a1 1 0 011.144-.83z","clipRule":"evenodd"}},{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 10a1 1 0 011 1c0 2.236-.46 4.368-1.29 6.304a1 1 0 01-1.838-.789A13.952 13.952 0 009 11a1 1 0 011-1z","clipRule":"evenodd"}}]})(props);
};
function HiFire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M12.395 2.553a1 1 0 00-1.45-.385c-.345.23-.614.558-.822.88-.214.33-.403.713-.57 1.116-.334.804-.614 1.768-.84 2.734a31.365 31.365 0 00-.613 3.58 2.64 2.64 0 01-.945-1.067c-.328-.68-.398-1.534-.398-2.654A1 1 0 005.05 6.05 6.981 6.981 0 003 11a7 7 0 1011.95-4.95c-.592-.591-.98-.985-1.348-1.467-.363-.476-.724-1.063-1.207-2.03zM12.12 15.12A3 3 0 017 13s.879.5 2.5.5c0-1 .5-4 1.25-4.5.5 1 .786 1.293 1.371 1.879A2.99 2.99 0 0113 13a2.99 2.99 0 01-.879 2.121z","clipRule":"evenodd"}}]})(props);
};
function HiFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 6a3 3 0 013-3h10a1 1 0 01.8 1.6L14.25 8l2.55 3.4A1 1 0 0116 13H6a1 1 0 00-1 1v3a1 1 0 11-2 0V6z","clipRule":"evenodd"}}]})(props);
};
function HiFolderAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M2 6a2 2 0 012-2h5l2 2h5a2 2 0 012 2v6a2 2 0 01-2 2H4a2 2 0 01-2-2V6z"}},{"tag":"path","attr":{"stroke":"#fff","strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 11h4m-2-2v4"}}]})(props);
};
function HiFolderDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M2 6a2 2 0 012-2h5l2 2h5a2 2 0 012 2v6a2 2 0 01-2 2H4a2 2 0 01-2-2V6z"}},{"tag":"path","attr":{"stroke":"#fff","strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M10 9v4m0 0l-2-2m2 2l2-2"}}]})(props);
};
function HiFolderOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M2 6a2 2 0 012-2h4l2 2h4a2 2 0 012 2v1H8a3 3 0 00-3 3v1.5a1.5 1.5 0 01-3 0V6z","clipRule":"evenodd"}},{"tag":"path","attr":{"d":"M6 12a2 2 0 012-2h8a2 2 0 012 2v2a2 2 0 01-2 2H2h2a2 2 0 002-2v-2z"}}]})(props);
};
function HiFolderRemove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M2 6a2 2 0 012-2h5l2 2h5a2 2 0 012 2v6a2 2 0 01-2 2H4a2 2 0 01-2-2V6z"}},{"tag":"path","attr":{"stroke":"#fff","strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 11h4"}}]})(props);
};
function HiFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M2 6a2 2 0 012-2h5l2 2h5a2 2 0 012 2v6a2 2 0 01-2 2H4a2 2 0 01-2-2V6z"}}]})(props);
};
function HiGift (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M5 5a3 3 0 015-2.236A3 3 0 0114.83 6H16a2 2 0 110 4h-5V9a1 1 0 10-2 0v1H4a2 2 0 110-4h1.17C5.06 5.687 5 5.35 5 5zm4 1V5a1 1 0 10-1 1h1zm3 0a1 1 0 10-1-1v1h1z","clipRule":"evenodd"}},{"tag":"path","attr":{"d":"M9 11H3v5a2 2 0 002 2h4v-7zM11 18h4a2 2 0 002-2v-5h-6v7z"}}]})(props);
};
function HiGlobeAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M4.083 9h1.946c.089-1.546.383-2.97.837-4.118A6.004 6.004 0 004.083 9zM10 2a8 8 0 100 16 8 8 0 000-16zm0 2c-.076 0-.232.032-.465.262-.238.234-.497.623-.737 1.182-.389.907-.673 2.142-.766 3.556h3.936c-.093-1.414-.377-2.649-.766-3.556-.24-.56-.5-.948-.737-1.182C10.232 4.032 10.076 4 10 4zm3.971 5c-.089-1.546-.383-2.97-.837-4.118A6.004 6.004 0 0115.917 9h-1.946zm-2.003 2H8.032c.093 1.414.377 2.649.766 3.556.24.56.5.948.737 1.182.233.23.389.262.465.262.076 0 .232-.032.465-.262.238-.234.498-.623.737-1.182.389-.907.673-2.142.766-3.556zm1.166 4.118c.454-1.147.748-2.572.837-4.118h1.946a6.004 6.004 0 01-2.783 4.118zm-6.268 0C6.412 13.97 6.118 12.546 6.03 11H4.083a6.004 6.004 0 002.783 4.118z","clipRule":"evenodd"}}]})(props);
};
function HiGlobe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zM4.332 8.027a6.012 6.012 0 011.912-2.706C6.512 5.73 6.974 6 7.5 6A1.5 1.5 0 019 7.5V8a2 2 0 004 0 2 2 0 011.523-1.943A5.977 5.977 0 0116 10c0 .34-.028.675-.083 1H15a2 2 0 00-2 2v2.197A5.973 5.973 0 0110 16v-2a2 2 0 00-2-2 2 2 0 01-2-2 2 2 0 00-1.668-1.973z","clipRule":"evenodd"}}]})(props);
};
function HiHand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M9 3a1 1 0 012 0v5.5a.5.5 0 001 0V4a1 1 0 112 0v4.5a.5.5 0 001 0V6a1 1 0 112 0v5a7 7 0 11-14 0V9a1 1 0 012 0v2.5a.5.5 0 001 0V4a1 1 0 012 0v4.5a.5.5 0 001 0V3z","clipRule":"evenodd"}}]})(props);
};
function HiHashtag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M9.243 3.03a1 1 0 01.727 1.213L9.53 6h2.94l.56-2.243a1 1 0 111.94.486L14.53 6H17a1 1 0 110 2h-2.97l-1 4H15a1 1 0 110 2h-2.47l-.56 2.242a1 1 0 11-1.94-.485L10.47 14H7.53l-.56 2.242a1 1 0 11-1.94-.485L5.47 14H3a1 1 0 110-2h2.97l1-4H5a1 1 0 110-2h2.47l.56-2.243a1 1 0 011.213-.727zM9.03 8l-1 4h2.938l1-4H9.031z","clipRule":"evenodd"}}]})(props);
};
function HiHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3.172 5.172a4 4 0 015.656 0L10 6.343l1.172-1.171a4 4 0 115.656 5.656L10 17.657l-6.828-6.829a4 4 0 010-5.656z","clipRule":"evenodd"}}]})(props);
};
function HiHome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M10.707 2.293a1 1 0 00-1.414 0l-7 7a1 1 0 001.414 1.414L4 10.414V17a1 1 0 001 1h2a1 1 0 001-1v-2a1 1 0 011-1h2a1 1 0 011 1v2a1 1 0 001 1h2a1 1 0 001-1v-6.586l.293.293a1 1 0 001.414-1.414l-7-7z"}}]})(props);
};
function HiIdentification (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 2a1 1 0 00-1 1v1a1 1 0 002 0V3a1 1 0 00-1-1zM4 4h3a3 3 0 006 0h3a2 2 0 012 2v9a2 2 0 01-2 2H4a2 2 0 01-2-2V6a2 2 0 012-2zm2.5 7a1.5 1.5 0 100-3 1.5 1.5 0 000 3zm2.45 4a2.5 2.5 0 10-4.9 0h4.9zM12 9a1 1 0 100 2h3a1 1 0 100-2h-3zm-1 4a1 1 0 011-1h2a1 1 0 110 2h-2a1 1 0 01-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiInboxIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M8.707 7.293a1 1 0 00-1.414 1.414l2 2a1 1 0 001.414 0l2-2a1 1 0 00-1.414-1.414L11 7.586V3a1 1 0 10-2 0v4.586l-.293-.293z"}},{"tag":"path","attr":{"d":"M3 5a2 2 0 012-2h1a1 1 0 010 2H5v7h2l1 2h4l1-2h2V5h-1a1 1 0 110-2h1a2 2 0 012 2v10a2 2 0 01-2 2H5a2 2 0 01-2-2V5z"}}]})(props);
};
function HiInbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M5 3a2 2 0 00-2 2v10a2 2 0 002 2h10a2 2 0 002-2V5a2 2 0 00-2-2H5zm0 2h10v7h-2l-1 2H8l-1-2H5V5z","clipRule":"evenodd"}}]})(props);
};
function HiInformationCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M18 10a8 8 0 11-16 0 8 8 0 0116 0zm-7-4a1 1 0 11-2 0 1 1 0 012 0zM9 9a1 1 0 000 2v3a1 1 0 001 1h1a1 1 0 100-2v-3a1 1 0 00-1-1H9z","clipRule":"evenodd"}}]})(props);
};
function HiKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M18 8a6 6 0 01-7.743 5.743L10 14l-1 1-1 1H6v2H2v-4l4.257-4.257A6 6 0 1118 8zm-6-4a1 1 0 100 2 2 2 0 012 2 1 1 0 102 0 4 4 0 00-4-4z","clipRule":"evenodd"}}]})(props);
};
function HiLibrary (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10.496 2.132a1 1 0 00-.992 0l-7 4A1 1 0 003 8v7a1 1 0 100 2h14a1 1 0 100-2V8a1 1 0 00.496-1.868l-7-4zM6 9a1 1 0 00-1 1v3a1 1 0 102 0v-3a1 1 0 00-1-1zm3 1a1 1 0 012 0v3a1 1 0 11-2 0v-3zm5-1a1 1 0 00-1 1v3a1 1 0 102 0v-3a1 1 0 00-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiLightBulb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M11 3a1 1 0 10-2 0v1a1 1 0 102 0V3zM15.657 5.757a1 1 0 00-1.414-1.414l-.707.707a1 1 0 001.414 1.414l.707-.707zM18 10a1 1 0 01-1 1h-1a1 1 0 110-2h1a1 1 0 011 1zM5.05 6.464A1 1 0 106.464 5.05l-.707-.707a1 1 0 00-1.414 1.414l.707.707zM5 10a1 1 0 01-1 1H3a1 1 0 110-2h1a1 1 0 011 1zM8 16v-1h4v1a2 2 0 11-4 0zM12 14c.015-.34.208-.646.477-.859a4 4 0 10-4.954 0c.27.213.462.519.476.859h4.002z"}}]})(props);
};
function HiLightningBolt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M11.3 1.046A1 1 0 0112 2v5h4a1 1 0 01.82 1.573l-7 10A1 1 0 018 18v-5H4a1 1 0 01-.82-1.573l7-10a1 1 0 011.12-.38z","clipRule":"evenodd"}}]})(props);
};
function HiLink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M12.586 4.586a2 2 0 112.828 2.828l-3 3a2 2 0 01-2.828 0 1 1 0 00-1.414 1.414 4 4 0 005.656 0l3-3a4 4 0 00-5.656-5.656l-1.5 1.5a1 1 0 101.414 1.414l1.5-1.5zm-5 5a2 2 0 012.828 0 1 1 0 101.414-1.414 4 4 0 00-5.656 0l-3 3a4 4 0 105.656 5.656l1.5-1.5a1 1 0 10-1.414-1.414l-1.5 1.5a2 2 0 11-2.828-2.828l3-3z","clipRule":"evenodd"}}]})(props);
};
function HiLocationMarker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M5.05 4.05a7 7 0 119.9 9.9L10 18.9l-4.95-4.95a7 7 0 010-9.9zM10 11a2 2 0 100-4 2 2 0 000 4z","clipRule":"evenodd"}}]})(props);
};
function HiLockClosed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M5 9V7a5 5 0 0110 0v2a2 2 0 012 2v5a2 2 0 01-2 2H5a2 2 0 01-2-2v-5a2 2 0 012-2zm8-2v2H7V7a3 3 0 016 0z","clipRule":"evenodd"}}]})(props);
};
function HiLockOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M10 2a5 5 0 00-5 5v2a2 2 0 00-2 2v5a2 2 0 002 2h10a2 2 0 002-2v-5a2 2 0 00-2-2H7V7a3 3 0 015.905-.75 1 1 0 001.937-.5A5.002 5.002 0 0010 2z"}}]})(props);
};
function HiLogin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 3a1 1 0 011 1v12a1 1 0 11-2 0V4a1 1 0 011-1zm7.707 3.293a1 1 0 010 1.414L9.414 9H17a1 1 0 110 2H9.414l1.293 1.293a1 1 0 01-1.414 1.414l-3-3a1 1 0 010-1.414l3-3a1 1 0 011.414 0z","clipRule":"evenodd"}}]})(props);
};
function HiLogout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 3a1 1 0 00-1 1v12a1 1 0 102 0V4a1 1 0 00-1-1zm10.293 9.293a1 1 0 001.414 1.414l3-3a1 1 0 000-1.414l-3-3a1 1 0 10-1.414 1.414L14.586 9H7a1 1 0 100 2h7.586l-1.293 1.293z","clipRule":"evenodd"}}]})(props);
};
function HiMailOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M2.94 6.412A2 2 0 002 8.108V16a2 2 0 002 2h12a2 2 0 002-2V8.108a2 2 0 00-.94-1.696l-6-3.75a2 2 0 00-2.12 0l-6 3.75zm2.615 2.423a1 1 0 10-1.11 1.664l5 3.333a1 1 0 001.11 0l5-3.333a1 1 0 00-1.11-1.664L10 11.798 5.555 8.835z","clipRule":"evenodd"}}]})(props);
};
function HiMail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M2.003 5.884L10 9.882l7.997-3.998A2 2 0 0016 4H4a2 2 0 00-1.997 1.884z"}},{"tag":"path","attr":{"d":"M18 8.118l-8 4-8-4V14a2 2 0 002 2h12a2 2 0 002-2V8.118z"}}]})(props);
};
function HiMap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M12 1.586l-4 4v12.828l4-4V1.586zM3.707 3.293A1 1 0 002 4v10a1 1 0 00.293.707L6 18.414V5.586L3.707 3.293zM17.707 5.293L14 1.586v12.828l2.293 2.293A1 1 0 0018 16V6a1 1 0 00-.293-.707z","clipRule":"evenodd"}}]})(props);
};
function HiMenuAlt1 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 5a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 10a1 1 0 011-1h6a1 1 0 110 2H4a1 1 0 01-1-1zM3 15a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiMenuAlt2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 5a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 10a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 15a1 1 0 011-1h6a1 1 0 110 2H4a1 1 0 01-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiMenuAlt3 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 5a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 10a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM9 15a1 1 0 011-1h6a1 1 0 110 2h-6a1 1 0 01-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiMenuAlt4 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 7a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 13a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiMenu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 5a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 10a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM3 15a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiMicrophone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M7 4a3 3 0 016 0v4a3 3 0 11-6 0V4zm4 10.93A7.001 7.001 0 0017 8a1 1 0 10-2 0A5 5 0 015 8a1 1 0 00-2 0 7.001 7.001 0 006 6.93V17H6a1 1 0 100 2h8a1 1 0 100-2h-3v-2.07z","clipRule":"evenodd"}}]})(props);
};
function HiMinusCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zM7 9a1 1 0 000 2h6a1 1 0 100-2H7z","clipRule":"evenodd"}}]})(props);
};
function HiMinusSm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M5 10a1 1 0 011-1h8a1 1 0 110 2H6a1 1 0 01-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 10a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiMoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M17.293 13.293A8 8 0 016.707 2.707a8.001 8.001 0 1010.586 10.586z"}}]})(props);
};
function HiMusicNote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M18 3a1 1 0 00-1.196-.98l-10 2A1 1 0 006 5v9.114A4.369 4.369 0 005 14c-1.657 0-3 .895-3 2s1.343 2 3 2 3-.895 3-2V7.82l8-1.6v5.894A4.37 4.37 0 0015 12c-1.657 0-3 .895-3 2s1.343 2 3 2 3-.895 3-2V3z"}}]})(props);
};
function HiNewspaper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M2 5a2 2 0 012-2h8a2 2 0 012 2v10a2 2 0 002 2H4a2 2 0 01-2-2V5zm3 1h6v4H5V6zm6 6H5v2h6v-2z","clipRule":"evenodd"}},{"tag":"path","attr":{"d":"M15 7h1a2 2 0 012 2v5.5a1.5 1.5 0 01-3 0V7z"}}]})(props);
};
function HiOfficeBuilding (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M4 4a2 2 0 012-2h8a2 2 0 012 2v12a1 1 0 110 2h-3a1 1 0 01-1-1v-2a1 1 0 00-1-1H9a1 1 0 00-1 1v2a1 1 0 01-1 1H4a1 1 0 110-2V4zm3 1h2v2H7V5zm2 4H7v2h2V9zm2-4h2v2h-2V5zm2 4h-2v2h2V9z","clipRule":"evenodd"}}]})(props);
};
function HiPaperAirplane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M10.894 2.553a1 1 0 00-1.788 0l-7 14a1 1 0 001.169 1.409l5-1.429A1 1 0 009 15.571V11a1 1 0 112 0v4.571a1 1 0 00.725.962l5 1.428a1 1 0 001.17-1.408l-7-14z"}}]})(props);
};
function HiPaperClip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M8 4a3 3 0 00-3 3v4a5 5 0 0010 0V7a1 1 0 112 0v4a7 7 0 11-14 0V7a5 5 0 0110 0v4a3 3 0 11-6 0V7a1 1 0 012 0v4a1 1 0 102 0V7a3 3 0 00-3-3z","clipRule":"evenodd"}}]})(props);
};
function HiPause (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M18 10a8 8 0 11-16 0 8 8 0 0116 0zM7 8a1 1 0 012 0v4a1 1 0 11-2 0V8zm5-1a1 1 0 00-1 1v4a1 1 0 102 0V8a1 1 0 00-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiPencilAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M17.414 2.586a2 2 0 00-2.828 0L7 10.172V13h2.828l7.586-7.586a2 2 0 000-2.828z"}},{"tag":"path","attr":{"fillRule":"evenodd","d":"M2 6a2 2 0 012-2h4a1 1 0 010 2H4v10h10v-4a1 1 0 112 0v4a2 2 0 01-2 2H4a2 2 0 01-2-2V6z","clipRule":"evenodd"}}]})(props);
};
function HiPencil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M13.586 3.586a2 2 0 112.828 2.828l-.793.793-2.828-2.828.793-.793zM11.379 5.793L3 14.172V17h2.828l8.38-8.379-2.83-2.828z"}}]})(props);
};
function HiPhoneIncoming (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M14.414 7l3.293-3.293a1 1 0 00-1.414-1.414L13 5.586V4a1 1 0 10-2 0v4.003a.996.996 0 00.617.921A.997.997 0 0012 9h4a1 1 0 100-2h-1.586z"}},{"tag":"path","attr":{"d":"M2 3a1 1 0 011-1h2.153a1 1 0 01.986.836l.74 4.435a1 1 0 01-.54 1.06l-1.548.773a11.037 11.037 0 006.105 6.105l.774-1.548a1 1 0 011.059-.54l4.435.74a1 1 0 01.836.986V17a1 1 0 01-1 1h-2C7.82 18 2 12.18 2 5V3z"}}]})(props);
};
function HiPhoneMissedCall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M2 3a1 1 0 011-1h2.153a1 1 0 01.986.836l.74 4.435a1 1 0 01-.54 1.06l-1.548.773a11.037 11.037 0 006.105 6.105l.774-1.548a1 1 0 011.059-.54l4.435.74a1 1 0 01.836.986V17a1 1 0 01-1 1h-2C7.82 18 2 12.18 2 5V3z"}},{"tag":"path","attr":{"d":"M16.707 3.293a1 1 0 010 1.414L15.414 6l1.293 1.293a1 1 0 01-1.414 1.414L14 7.414l-1.293 1.293a1 1 0 11-1.414-1.414L12.586 6l-1.293-1.293a1 1 0 011.414-1.414L14 4.586l1.293-1.293a1 1 0 011.414 0z"}}]})(props);
};
function HiPhoneOutgoing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M17.924 2.617a.997.997 0 00-.215-.322l-.004-.004A.997.997 0 0017 2h-4a1 1 0 100 2h1.586l-3.293 3.293a1 1 0 001.414 1.414L16 5.414V7a1 1 0 102 0V3a.997.997 0 00-.076-.383z"}},{"tag":"path","attr":{"d":"M2 3a1 1 0 011-1h2.153a1 1 0 01.986.836l.74 4.435a1 1 0 01-.54 1.06l-1.548.773a11.037 11.037 0 006.105 6.105l.774-1.548a1 1 0 011.059-.54l4.435.74a1 1 0 01.836.986V17a1 1 0 01-1 1h-2C7.82 18 2 12.18 2 5V3z"}}]})(props);
};
function HiPhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M2 3a1 1 0 011-1h2.153a1 1 0 01.986.836l.74 4.435a1 1 0 01-.54 1.06l-1.548.773a11.037 11.037 0 006.105 6.105l.774-1.548a1 1 0 011.059-.54l4.435.74a1 1 0 01.836.986V17a1 1 0 01-1 1h-2C7.82 18 2 12.18 2 5V3z"}}]})(props);
};
function HiPhotograph (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M4 3a2 2 0 00-2 2v10a2 2 0 002 2h12a2 2 0 002-2V5a2 2 0 00-2-2H4zm12 12H4l4-8 3 6 2-4 3 6z","clipRule":"evenodd"}}]})(props);
};
function HiPlay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zM9.555 7.168A1 1 0 008 8v4a1 1 0 001.555.832l3-2a1 1 0 000-1.664l-3-2z","clipRule":"evenodd"}}]})(props);
};
function HiPlusCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zm1-11a1 1 0 10-2 0v2H7a1 1 0 100 2h2v2a1 1 0 102 0v-2h2a1 1 0 100-2h-2V7z","clipRule":"evenodd"}}]})(props);
};
function HiPlusSm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 5a1 1 0 011 1v3h3a1 1 0 110 2h-3v3a1 1 0 11-2 0v-3H6a1 1 0 110-2h3V6a1 1 0 011-1z","clipRule":"evenodd"}}]})(props);
};
function HiPlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 5a1 1 0 011 1v3h3a1 1 0 110 2h-3v3a1 1 0 11-2 0v-3H6a1 1 0 110-2h3V6a1 1 0 011-1z","clipRule":"evenodd"}}]})(props);
};
function HiPresentationChartBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 3a1 1 0 000 2v8a2 2 0 002 2h2.586l-1.293 1.293a1 1 0 101.414 1.414L10 15.414l2.293 2.293a1 1 0 001.414-1.414L12.414 15H15a2 2 0 002-2V5a1 1 0 100-2H3zm11 4a1 1 0 10-2 0v4a1 1 0 102 0V7zm-3 1a1 1 0 10-2 0v3a1 1 0 102 0V8zM8 9a1 1 0 00-2 0v2a1 1 0 102 0V9z","clipRule":"evenodd"}}]})(props);
};
function HiPresentationChartLine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 3a1 1 0 000 2v8a2 2 0 002 2h2.586l-1.293 1.293a1 1 0 101.414 1.414L10 15.414l2.293 2.293a1 1 0 001.414-1.414L12.414 15H15a2 2 0 002-2V5a1 1 0 100-2H3zm11.707 4.707a1 1 0 00-1.414-1.414L10 9.586 8.707 8.293a1 1 0 00-1.414 0l-2 2a1 1 0 101.414 1.414L8 10.414l1.293 1.293a1 1 0 001.414 0l4-4z","clipRule":"evenodd"}}]})(props);
};
function HiPrinter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M5 4v3H4a2 2 0 00-2 2v3a2 2 0 002 2h1v2a2 2 0 002 2h6a2 2 0 002-2v-2h1a2 2 0 002-2V9a2 2 0 00-2-2h-1V4a2 2 0 00-2-2H7a2 2 0 00-2 2zm8 0H7v3h6V4zm0 8H7v4h6v-4z","clipRule":"evenodd"}}]})(props);
};
function HiPuzzle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M10 3.5a1.5 1.5 0 013 0V4a1 1 0 001 1h3a1 1 0 011 1v3a1 1 0 01-1 1h-.5a1.5 1.5 0 000 3h.5a1 1 0 011 1v3a1 1 0 01-1 1h-3a1 1 0 01-1-1v-.5a1.5 1.5 0 00-3 0v.5a1 1 0 01-1 1H6a1 1 0 01-1-1v-3a1 1 0 00-1-1h-.5a1.5 1.5 0 010-3H4a1 1 0 001-1V6a1 1 0 011-1h3a1 1 0 001-1v-.5z"}}]})(props);
};
function HiQrcode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 4a1 1 0 011-1h3a1 1 0 011 1v3a1 1 0 01-1 1H4a1 1 0 01-1-1V4zm2 2V5h1v1H5zM3 13a1 1 0 011-1h3a1 1 0 011 1v3a1 1 0 01-1 1H4a1 1 0 01-1-1v-3zm2 2v-1h1v1H5zM13 3a1 1 0 00-1 1v3a1 1 0 001 1h3a1 1 0 001-1V4a1 1 0 00-1-1h-3zm1 2v1h1V5h-1z","clipRule":"evenodd"}},{"tag":"path","attr":{"d":"M11 4a1 1 0 10-2 0v1a1 1 0 002 0V4zM10 7a1 1 0 011 1v1h2a1 1 0 110 2h-3a1 1 0 01-1-1V8a1 1 0 011-1zM16 9a1 1 0 100 2 1 1 0 000-2zM9 13a1 1 0 011-1h1a1 1 0 110 2v2a1 1 0 11-2 0v-3zM7 11a1 1 0 100-2H4a1 1 0 100 2h3zM17 13a1 1 0 01-1 1h-2a1 1 0 110-2h2a1 1 0 011 1zM16 17a1 1 0 100-2h-3a1 1 0 100 2h3z"}}]})(props);
};
function HiQuestionMarkCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M18 10a8 8 0 11-16 0 8 8 0 0116 0zm-8-3a1 1 0 00-.867.5 1 1 0 11-1.731-1A3 3 0 0113 8a3.001 3.001 0 01-2 2.83V11a1 1 0 11-2 0v-1a1 1 0 011-1 1 1 0 100-2zm0 8a1 1 0 100-2 1 1 0 000 2z","clipRule":"evenodd"}}]})(props);
};
function HiReceiptRefund (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M5 2a2 2 0 00-2 2v14l3.5-2 3.5 2 3.5-2 3.5 2V4a2 2 0 00-2-2H5zm4.707 3.707a1 1 0 00-1.414-1.414l-3 3a1 1 0 000 1.414l3 3a1 1 0 001.414-1.414L8.414 9H10a3 3 0 013 3v1a1 1 0 102 0v-1a5 5 0 00-5-5H8.414l1.293-1.293z","clipRule":"evenodd"}}]})(props);
};
function HiReceiptTax (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M5 2a2 2 0 00-2 2v14l3.5-2 3.5 2 3.5-2 3.5 2V4a2 2 0 00-2-2H5zm2.5 3a1.5 1.5 0 100 3 1.5 1.5 0 000-3zm6.207.293a1 1 0 00-1.414 0l-6 6a1 1 0 101.414 1.414l6-6a1 1 0 000-1.414zM12.5 10a1.5 1.5 0 100 3 1.5 1.5 0 000-3z","clipRule":"evenodd"}}]})(props);
};
function HiRefresh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M4 2a1 1 0 011 1v2.101a7.002 7.002 0 0111.601 2.566 1 1 0 11-1.885.666A5.002 5.002 0 005.999 7H9a1 1 0 010 2H4a1 1 0 01-1-1V3a1 1 0 011-1zm.008 9.057a1 1 0 011.276.61A5.002 5.002 0 0014.001 13H11a1 1 0 110-2h5a1 1 0 011 1v5a1 1 0 11-2 0v-2.101a7.002 7.002 0 01-11.601-2.566 1 1 0 01.61-1.276z","clipRule":"evenodd"}}]})(props);
};
function HiReply (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M7.707 3.293a1 1 0 010 1.414L5.414 7H11a7 7 0 017 7v2a1 1 0 11-2 0v-2a5 5 0 00-5-5H5.414l2.293 2.293a1 1 0 11-1.414 1.414l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 0z","clipRule":"evenodd"}}]})(props);
};
function HiRewind (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M8.445 14.832A1 1 0 0010 14v-2.798l5.445 3.63A1 1 0 0017 14V6a1 1 0 00-1.555-.832L10 8.798V6a1 1 0 00-1.555-.832l-6 4a1 1 0 000 1.664l6 4z"}}]})(props);
};
function HiRss (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M5 3a1 1 0 000 2c5.523 0 10 4.477 10 10a1 1 0 102 0C17 8.373 11.627 3 5 3z"}},{"tag":"path","attr":{"d":"M4 9a1 1 0 011-1 7 7 0 017 7 1 1 0 11-2 0 5 5 0 00-5-5 1 1 0 01-1-1zM3 15a2 2 0 114 0 2 2 0 01-4 0z"}}]})(props);
};
function HiSaveAs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M9.707 7.293a1 1 0 00-1.414 1.414l3 3a1 1 0 001.414 0l3-3a1 1 0 00-1.414-1.414L13 8.586V5h3a2 2 0 012 2v5a2 2 0 01-2 2H8a2 2 0 01-2-2V7a2 2 0 012-2h3v3.586L9.707 7.293zM11 3a1 1 0 112 0v2h-2V3z"}},{"tag":"path","attr":{"d":"M4 9a2 2 0 00-2 2v5a2 2 0 002 2h8a2 2 0 002-2H4V9z"}}]})(props);
};
function HiSave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M7.707 10.293a1 1 0 10-1.414 1.414l3 3a1 1 0 001.414 0l3-3a1 1 0 00-1.414-1.414L11 11.586V6h5a2 2 0 012 2v7a2 2 0 01-2 2H4a2 2 0 01-2-2V8a2 2 0 012-2h5v5.586l-1.293-1.293zM9 4a1 1 0 012 0v2H9V4z"}}]})(props);
};
function HiScale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 2a1 1 0 011 1v1.323l3.954 1.582 1.599-.8a1 1 0 01.894 1.79l-1.233.616 1.738 5.42a1 1 0 01-.285 1.05A3.989 3.989 0 0115 15a3.989 3.989 0 01-2.667-1.019 1 1 0 01-.285-1.05l1.715-5.349L11 6.477V16h2a1 1 0 110 2H7a1 1 0 110-2h2V6.477L6.237 7.582l1.715 5.349a1 1 0 01-.285 1.05A3.989 3.989 0 015 15a3.989 3.989 0 01-2.667-1.019 1 1 0 01-.285-1.05l1.738-5.42-1.233-.617a1 1 0 01.894-1.788l1.599.799L9 4.323V3a1 1 0 011-1zm-5 8.274l-.818 2.552c.25.112.526.174.818.174.292 0 .569-.062.818-.174L5 10.274zm10 0l-.818 2.552c.25.112.526.174.818.174.292 0 .569-.062.818-.174L15 10.274z","clipRule":"evenodd"}}]})(props);
};
function HiScissors (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M5.5 2a3.5 3.5 0 101.665 6.58L8.585 10l-1.42 1.42a3.5 3.5 0 101.414 1.414l8.128-8.127a1 1 0 00-1.414-1.414L10 8.586l-1.42-1.42A3.5 3.5 0 005.5 2zM4 5.5a1.5 1.5 0 113 0 1.5 1.5 0 01-3 0zm0 9a1.5 1.5 0 113 0 1.5 1.5 0 01-3 0z","clipRule":"evenodd"}},{"tag":"path","attr":{"d":"M12.828 11.414a1 1 0 00-1.414 1.414l3.879 3.88a1 1 0 001.414-1.415l-3.879-3.879z"}}]})(props);
};
function HiSearchCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M9 9a2 2 0 114 0 2 2 0 01-4 0z"}},{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zm1-13a4 4 0 00-3.446 6.032l-2.261 2.26a1 1 0 101.414 1.415l2.261-2.261A4 4 0 1011 5z","clipRule":"evenodd"}}]})(props);
};
function HiSearch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z","clipRule":"evenodd"}}]})(props);
};
function HiSelector (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 3a1 1 0 01.707.293l3 3a1 1 0 01-1.414 1.414L10 5.414 7.707 7.707a1 1 0 01-1.414-1.414l3-3A1 1 0 0110 3zm-3.707 9.293a1 1 0 011.414 0L10 14.586l2.293-2.293a1 1 0 011.414 1.414l-3 3a1 1 0 01-1.414 0l-3-3a1 1 0 010-1.414z","clipRule":"evenodd"}}]})(props);
};
function HiServer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M2 5a2 2 0 012-2h12a2 2 0 012 2v2a2 2 0 01-2 2H4a2 2 0 01-2-2V5zm14 1a1 1 0 11-2 0 1 1 0 012 0zM2 13a2 2 0 012-2h12a2 2 0 012 2v2a2 2 0 01-2 2H4a2 2 0 01-2-2v-2zm14 1a1 1 0 11-2 0 1 1 0 012 0z","clipRule":"evenodd"}}]})(props);
};
function HiShare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M15 8a3 3 0 10-2.977-2.63l-4.94 2.47a3 3 0 100 4.319l4.94 2.47a3 3 0 10.895-1.789l-4.94-2.47a3.027 3.027 0 000-.74l4.94-2.47C13.456 7.68 14.19 8 15 8z"}}]})(props);
};
function HiShieldCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M2.166 4.999A11.954 11.954 0 0010 1.944 11.954 11.954 0 0017.834 5c.11.65.166 1.32.166 2.001 0 5.225-3.34 9.67-8 11.317C5.34 16.67 2 12.225 2 7c0-.682.057-1.35.166-2.001zm11.541 3.708a1 1 0 00-1.414-1.414L9 10.586 7.707 9.293a1 1 0 00-1.414 1.414l2 2a1 1 0 001.414 0l4-4z","clipRule":"evenodd"}}]})(props);
};
function HiShieldExclamation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 1.944A11.954 11.954 0 012.166 5C2.056 5.649 2 6.319 2 7c0 5.225 3.34 9.67 8 11.317C14.66 16.67 18 12.225 18 7c0-.682-.057-1.35-.166-2.001A11.954 11.954 0 0110 1.944zM11 14a1 1 0 11-2 0 1 1 0 012 0zm0-7a1 1 0 10-2 0v3a1 1 0 102 0V7z","clipRule":"evenodd"}}]})(props);
};
function HiShoppingBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 2a4 4 0 00-4 4v1H5a1 1 0 00-.994.89l-1 9A1 1 0 004 18h12a1 1 0 00.994-1.11l-1-9A1 1 0 0015 7h-1V6a4 4 0 00-4-4zm2 5V6a2 2 0 10-4 0v1h4zm-6 3a1 1 0 112 0 1 1 0 01-2 0zm7-1a1 1 0 100 2 1 1 0 000-2z","clipRule":"evenodd"}}]})(props);
};
function HiShoppingCart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M3 1a1 1 0 000 2h1.22l.305 1.222a.997.997 0 00.01.042l1.358 5.43-.893.892C3.74 11.846 4.632 14 6.414 14H15a1 1 0 000-2H6.414l1-1H14a1 1 0 00.894-.553l3-6A1 1 0 0017 3H6.28l-.31-1.243A1 1 0 005 1H3zM16 16.5a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zM6.5 18a1.5 1.5 0 100-3 1.5 1.5 0 000 3z"}}]})(props);
};
function HiSortAscending (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M3 3a1 1 0 000 2h11a1 1 0 100-2H3zM3 7a1 1 0 000 2h5a1 1 0 000-2H3zM3 11a1 1 0 100 2h4a1 1 0 100-2H3zM13 16a1 1 0 102 0v-5.586l1.293 1.293a1 1 0 001.414-1.414l-3-3a1 1 0 00-1.414 0l-3 3a1 1 0 101.414 1.414L13 10.414V16z"}}]})(props);
};
function HiSortDescending (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M3 3a1 1 0 000 2h11a1 1 0 100-2H3zM3 7a1 1 0 000 2h7a1 1 0 100-2H3zM3 11a1 1 0 100 2h4a1 1 0 100-2H3zM15 8a1 1 0 10-2 0v5.586l-1.293-1.293a1 1 0 00-1.414 1.414l3 3a1 1 0 001.414 0l3-3a1 1 0 00-1.414-1.414L15 13.586V8z"}}]})(props);
};
function HiSparkles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M5 2a1 1 0 011 1v1h1a1 1 0 010 2H6v1a1 1 0 01-2 0V6H3a1 1 0 010-2h1V3a1 1 0 011-1zm0 10a1 1 0 011 1v1h1a1 1 0 110 2H6v1a1 1 0 11-2 0v-1H3a1 1 0 110-2h1v-1a1 1 0 011-1zM12 2a1 1 0 01.967.744L14.146 7.2 17.5 9.134a1 1 0 010 1.732l-3.354 1.935-1.18 4.455a1 1 0 01-1.933 0L9.854 12.8 6.5 10.866a1 1 0 010-1.732l3.354-1.935 1.18-4.455A1 1 0 0112 2z","clipRule":"evenodd"}}]})(props);
};
function HiSpeakerphone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M18 3a1 1 0 00-1.447-.894L8.763 6H5a3 3 0 000 6h.28l1.771 5.316A1 1 0 008 18h1a1 1 0 001-1v-4.382l6.553 3.276A1 1 0 0018 15V3z","clipRule":"evenodd"}}]})(props);
};
function HiStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M9.049 2.927c.3-.921 1.603-.921 1.902 0l1.07 3.292a1 1 0 00.95.69h3.462c.969 0 1.371 1.24.588 1.81l-2.8 2.034a1 1 0 00-.364 1.118l1.07 3.292c.3.921-.755 1.688-1.54 1.118l-2.8-2.034a1 1 0 00-1.175 0l-2.8 2.034c-.784.57-1.838-.197-1.539-1.118l1.07-3.292a1 1 0 00-.364-1.118L2.98 8.72c-.783-.57-.38-1.81.588-1.81h3.461a1 1 0 00.951-.69l1.07-3.292z"}}]})(props);
};
function HiStatusOffline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M3.707 2.293a1 1 0 00-1.414 1.414l6.921 6.922c.05.062.105.118.168.167l6.91 6.911a1 1 0 001.415-1.414l-.675-.675a9.001 9.001 0 00-.668-11.982A1 1 0 1014.95 5.05a7.002 7.002 0 01.657 9.143l-1.435-1.435a5.002 5.002 0 00-.636-6.294A1 1 0 0012.12 7.88c.924.923 1.12 2.3.587 3.415l-1.992-1.992a.922.922 0 00-.018-.018l-6.99-6.991zM3.238 8.187a1 1 0 00-1.933-.516c-.8 3-.025 6.336 2.331 8.693a1 1 0 001.414-1.415 6.997 6.997 0 01-1.812-6.762zM7.4 11.5a1 1 0 10-1.73 1c.214.371.48.72.795 1.035a1 1 0 001.414-1.414c-.191-.191-.35-.4-.478-.622z"}}]})(props);
};
function HiStatusOnline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M5.05 3.636a1 1 0 010 1.414 7 7 0 000 9.9 1 1 0 11-1.414 1.414 9 9 0 010-12.728 1 1 0 011.414 0zm9.9 0a1 1 0 011.414 0 9 9 0 010 12.728 1 1 0 11-1.414-1.414 7 7 0 000-9.9 1 1 0 010-1.414zM7.879 6.464a1 1 0 010 1.414 3 3 0 000 4.243 1 1 0 11-1.415 1.414 5 5 0 010-7.07 1 1 0 011.415 0zm4.242 0a1 1 0 011.415 0 5 5 0 010 7.072 1 1 0 01-1.415-1.415 3 3 0 000-4.242 1 1 0 010-1.415zM10 9a1 1 0 011 1v.01a1 1 0 11-2 0V10a1 1 0 011-1z","clipRule":"evenodd"}}]})(props);
};
function HiStop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zM8 7a1 1 0 00-1 1v4a1 1 0 001 1h4a1 1 0 001-1V8a1 1 0 00-1-1H8z","clipRule":"evenodd"}}]})(props);
};
function HiSun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 2a1 1 0 011 1v1a1 1 0 11-2 0V3a1 1 0 011-1zm4 8a4 4 0 11-8 0 4 4 0 018 0zm-.464 4.95l.707.707a1 1 0 001.414-1.414l-.707-.707a1 1 0 00-1.414 1.414zm2.12-10.607a1 1 0 010 1.414l-.706.707a1 1 0 11-1.414-1.414l.707-.707a1 1 0 011.414 0zM17 11a1 1 0 100-2h-1a1 1 0 100 2h1zm-7 4a1 1 0 011 1v1a1 1 0 11-2 0v-1a1 1 0 011-1zM5.05 6.464A1 1 0 106.465 5.05l-.708-.707a1 1 0 00-1.414 1.414l.707.707zm1.414 8.486l-.707.707a1 1 0 01-1.414-1.414l.707-.707a1 1 0 011.414 1.414zM4 11a1 1 0 100-2H3a1 1 0 000 2h1z","clipRule":"evenodd"}}]})(props);
};
function HiSupport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M18 10a8 8 0 11-16 0 8 8 0 0116 0zm-2 0c0 .993-.241 1.929-.668 2.754l-1.524-1.525a3.997 3.997 0 00.078-2.183l1.562-1.562C15.802 8.249 16 9.1 16 10zm-5.165 3.913l1.58 1.58A5.98 5.98 0 0110 16a5.976 5.976 0 01-2.516-.552l1.562-1.562a4.006 4.006 0 001.789.027zm-4.677-2.796a4.002 4.002 0 01-.041-2.08l-.08.08-1.53-1.533A5.98 5.98 0 004 10c0 .954.223 1.856.619 2.657l1.54-1.54zm1.088-6.45A5.974 5.974 0 0110 4c.954 0 1.856.223 2.657.619l-1.54 1.54a4.002 4.002 0 00-2.346.033L7.246 4.668zM12 10a2 2 0 11-4 0 2 2 0 014 0z","clipRule":"evenodd"}}]})(props);
};
function HiSwitchHorizontal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M8 5a1 1 0 100 2h5.586l-1.293 1.293a1 1 0 001.414 1.414l3-3a1 1 0 000-1.414l-3-3a1 1 0 10-1.414 1.414L13.586 5H8zM12 15a1 1 0 100-2H6.414l1.293-1.293a1 1 0 10-1.414-1.414l-3 3a1 1 0 000 1.414l3 3a1 1 0 001.414-1.414L6.414 15H12z"}}]})(props);
};
function HiSwitchVertical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M5 12a1 1 0 102 0V6.414l1.293 1.293a1 1 0 001.414-1.414l-3-3a1 1 0 00-1.414 0l-3 3a1 1 0 001.414 1.414L5 6.414V12zM15 8a1 1 0 10-2 0v5.586l-1.293-1.293a1 1 0 00-1.414 1.414l3 3a1 1 0 001.414 0l3-3a1 1 0 00-1.414-1.414L15 13.586V8z"}}]})(props);
};
function HiTable (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M5 4a3 3 0 00-3 3v6a3 3 0 003 3h10a3 3 0 003-3V7a3 3 0 00-3-3H5zm-1 9v-1h5v2H5a1 1 0 01-1-1zm7 1h4a1 1 0 001-1v-1h-5v2zm0-4h5V8h-5v2zM9 8H4v2h5V8z","clipRule":"evenodd"}}]})(props);
};
function HiTag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M17.707 9.293a1 1 0 010 1.414l-7 7a1 1 0 01-1.414 0l-7-7A.997.997 0 012 10V5a3 3 0 013-3h5c.256 0 .512.098.707.293l7 7zM5 6a1 1 0 100-2 1 1 0 000 2z","clipRule":"evenodd"}}]})(props);
};
function HiTemplate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M3 4a1 1 0 011-1h12a1 1 0 011 1v2a1 1 0 01-1 1H4a1 1 0 01-1-1V4zM3 10a1 1 0 011-1h6a1 1 0 011 1v6a1 1 0 01-1 1H4a1 1 0 01-1-1v-6zM14 9a1 1 0 00-1 1v6a1 1 0 001 1h2a1 1 0 001-1v-6a1 1 0 00-1-1h-2z"}}]})(props);
};
function HiTerminal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M2 5a2 2 0 012-2h12a2 2 0 012 2v10a2 2 0 01-2 2H4a2 2 0 01-2-2V5zm3.293 1.293a1 1 0 011.414 0l3 3a1 1 0 010 1.414l-3 3a1 1 0 01-1.414-1.414L7.586 10 5.293 7.707a1 1 0 010-1.414zM11 12a1 1 0 100 2h3a1 1 0 100-2h-3z","clipRule":"evenodd"}}]})(props);
};
function HiThumbDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M18 9.5a1.5 1.5 0 11-3 0v-6a1.5 1.5 0 013 0v6zM14 9.667v-5.43a2 2 0 00-1.105-1.79l-.05-.025A4 4 0 0011.055 2H5.64a2 2 0 00-1.962 1.608l-1.2 6A2 2 0 004.44 12H8v4a2 2 0 002 2 1 1 0 001-1v-.667a4 4 0 01.8-2.4l1.4-1.866a4 4 0 00.8-2.4z"}}]})(props);
};
function HiThumbUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M2 10.5a1.5 1.5 0 113 0v6a1.5 1.5 0 01-3 0v-6zM6 10.333v5.43a2 2 0 001.106 1.79l.05.025A4 4 0 008.943 18h5.416a2 2 0 001.962-1.608l1.2-6A2 2 0 0015.56 8H12V4a2 2 0 00-2-2 1 1 0 00-1 1v.667a4 4 0 01-.8 2.4L6.8 7.933a4 4 0 00-.8 2.4z"}}]})(props);
};
function HiTicket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M2 6a2 2 0 012-2h12a2 2 0 012 2v2a2 2 0 100 4v2a2 2 0 01-2 2H4a2 2 0 01-2-2v-2a2 2 0 100-4V6z"}}]})(props);
};
function HiTranslate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M7 2a1 1 0 011 1v1h3a1 1 0 110 2H9.578a18.87 18.87 0 01-1.724 4.78c.29.354.596.696.914 1.026a1 1 0 11-1.44 1.389c-.188-.196-.373-.396-.554-.6a19.098 19.098 0 01-3.107 3.567 1 1 0 01-1.334-1.49 17.087 17.087 0 003.13-3.733 18.992 18.992 0 01-1.487-2.494 1 1 0 111.79-.89c.234.47.489.928.764 1.372.417-.934.752-1.913.997-2.927H3a1 1 0 110-2h3V3a1 1 0 011-1zm6 6a1 1 0 01.894.553l2.991 5.982a.869.869 0 01.02.037l.99 1.98a1 1 0 11-1.79.895L15.383 16h-4.764l-.724 1.447a1 1 0 11-1.788-.894l.99-1.98.019-.038 2.99-5.982A1 1 0 0113 8zm-1.382 6h2.764L13 11.236 11.618 14z","clipRule":"evenodd"}}]})(props);
};
function HiTrash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M9 2a1 1 0 00-.894.553L7.382 4H4a1 1 0 000 2v10a2 2 0 002 2h8a2 2 0 002-2V6a1 1 0 100-2h-3.382l-.724-1.447A1 1 0 0011 2H9zM7 8a1 1 0 012 0v6a1 1 0 11-2 0V8zm5-1a1 1 0 00-1 1v6a1 1 0 102 0V8a1 1 0 00-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiTrendingDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M12 13a1 1 0 100 2h5a1 1 0 001-1V9a1 1 0 10-2 0v2.586l-4.293-4.293a1 1 0 00-1.414 0L8 9.586 3.707 5.293a1 1 0 00-1.414 1.414l5 5a1 1 0 001.414 0L11 9.414 14.586 13H12z","clipRule":"evenodd"}}]})(props);
};
function HiTrendingUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M12 7a1 1 0 110-2h5a1 1 0 011 1v5a1 1 0 11-2 0V8.414l-4.293 4.293a1 1 0 01-1.414 0L8 10.414l-4.293 4.293a1 1 0 01-1.414-1.414l5-5a1 1 0 011.414 0L11 10.586 14.586 7H12z","clipRule":"evenodd"}}]})(props);
};
function HiTruck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M8 16.5a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0zM15 16.5a1.5 1.5 0 11-3 0 1.5 1.5 0 013 0z"}},{"tag":"path","attr":{"d":"M3 4a1 1 0 00-1 1v10a1 1 0 001 1h1.05a2.5 2.5 0 014.9 0H10a1 1 0 001-1V5a1 1 0 00-1-1H3zM14 7a1 1 0 00-1 1v6.05A2.5 2.5 0 0115.95 16H17a1 1 0 001-1v-5a1 1 0 00-.293-.707l-2-2A1 1 0 0015 7h-1z"}}]})(props);
};
function HiUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 17a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zM6.293 6.707a1 1 0 010-1.414l3-3a1 1 0 011.414 0l3 3a1 1 0 01-1.414 1.414L11 5.414V13a1 1 0 11-2 0V5.414L7.707 6.707a1 1 0 01-1.414 0z","clipRule":"evenodd"}}]})(props);
};
function HiUserAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M8 9a3 3 0 100-6 3 3 0 000 6zM8 11a6 6 0 016 6H2a6 6 0 016-6zM16 7a1 1 0 10-2 0v1h-1a1 1 0 100 2h1v1a1 1 0 102 0v-1h1a1 1 0 100-2h-1V7z"}}]})(props);
};
function HiUserCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M18 10a8 8 0 11-16 0 8 8 0 0116 0zm-6-3a2 2 0 11-4 0 2 2 0 014 0zm-2 4a5 5 0 00-4.546 2.916A5.986 5.986 0 0010 16a5.986 5.986 0 004.546-2.084A5 5 0 0010 11z","clipRule":"evenodd"}}]})(props);
};
function HiUserGroup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M13 6a3 3 0 11-6 0 3 3 0 016 0zM18 8a2 2 0 11-4 0 2 2 0 014 0zM14 15a4 4 0 00-8 0v3h8v-3zM6 8a2 2 0 11-4 0 2 2 0 014 0zM16 18v-3a5.972 5.972 0 00-.75-2.906A3.005 3.005 0 0119 15v3h-3zM4.75 12.094A5.973 5.973 0 004 15v3H1v-3a3 3 0 013.75-2.906z"}}]})(props);
};
function HiUserRemove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M11 6a3 3 0 11-6 0 3 3 0 016 0zM14 17a6 6 0 00-12 0h12zM13 8a1 1 0 100 2h4a1 1 0 100-2h-4z"}}]})(props);
};
function HiUser (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 9a3 3 0 100-6 3 3 0 000 6zm-7 9a7 7 0 1114 0H3z","clipRule":"evenodd"}}]})(props);
};
function HiUsers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M9 6a3 3 0 11-6 0 3 3 0 016 0zM17 6a3 3 0 11-6 0 3 3 0 016 0zM12.93 17c.046-.327.07-.66.07-1a6.97 6.97 0 00-1.5-4.33A5 5 0 0119 16v1h-6.07zM6 11a5 5 0 015 5v1H1v-1a5 5 0 015-5z"}}]})(props);
};
function HiVariable (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M4.649 3.084A1 1 0 015.163 4.4 13.95 13.95 0 004 10c0 1.993.416 3.886 1.164 5.6a1 1 0 01-1.832.8A15.95 15.95 0 012 10c0-2.274.475-4.44 1.332-6.4a1 1 0 011.317-.516zM12.96 7a3 3 0 00-2.342 1.126l-.328.41-.111-.279A2 2 0 008.323 7H8a1 1 0 000 2h.323l.532 1.33-1.035 1.295a1 1 0 01-.781.375H7a1 1 0 100 2h.039a3 3 0 002.342-1.126l.328-.41.111.279A2 2 0 0011.677 14H12a1 1 0 100-2h-.323l-.532-1.33 1.035-1.295A1 1 0 0112.961 9H13a1 1 0 100-2h-.039zm1.874-2.6a1 1 0 011.833-.8A15.95 15.95 0 0118 10c0 2.274-.475 4.44-1.332 6.4a1 1 0 11-1.832-.8A13.949 13.949 0 0016 10c0-1.993-.416-3.886-1.165-5.6z","clipRule":"evenodd"}}]})(props);
};
function HiVideoCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M2 6a2 2 0 012-2h6a2 2 0 012 2v8a2 2 0 01-2 2H4a2 2 0 01-2-2V6zM14.553 7.106A1 1 0 0014 8v4a1 1 0 00.553.894l2 1A1 1 0 0018 13V7a1 1 0 00-1.447-.894l-2 1z"}}]})(props);
};
function HiViewBoards (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M2 4a1 1 0 011-1h2a1 1 0 011 1v12a1 1 0 01-1 1H3a1 1 0 01-1-1V4zM8 4a1 1 0 011-1h2a1 1 0 011 1v12a1 1 0 01-1 1H9a1 1 0 01-1-1V4zM15 3a1 1 0 00-1 1v12a1 1 0 001 1h2a1 1 0 001-1V4a1 1 0 00-1-1h-2z"}}]})(props);
};
function HiViewGridAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M5 3a2 2 0 00-2 2v2a2 2 0 002 2h2a2 2 0 002-2V5a2 2 0 00-2-2H5zM5 11a2 2 0 00-2 2v2a2 2 0 002 2h2a2 2 0 002-2v-2a2 2 0 00-2-2H5zM11 5a2 2 0 012-2h2a2 2 0 012 2v2a2 2 0 01-2 2h-2a2 2 0 01-2-2V5zM14 11a1 1 0 011 1v1h1a1 1 0 110 2h-1v1a1 1 0 11-2 0v-1h-1a1 1 0 110-2h1v-1a1 1 0 011-1z"}}]})(props);
};
function HiViewGrid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M5 3a2 2 0 00-2 2v2a2 2 0 002 2h2a2 2 0 002-2V5a2 2 0 00-2-2H5zM5 11a2 2 0 00-2 2v2a2 2 0 002 2h2a2 2 0 002-2v-2a2 2 0 00-2-2H5zM11 5a2 2 0 012-2h2a2 2 0 012 2v2a2 2 0 01-2 2h-2a2 2 0 01-2-2V5zM11 13a2 2 0 012-2h2a2 2 0 012 2v2a2 2 0 01-2 2h-2a2 2 0 01-2-2v-2z"}}]})(props);
};
function HiViewList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M3 4a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zm0 4a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zm0 4a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1zm0 4a1 1 0 011-1h12a1 1 0 110 2H4a1 1 0 01-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiVolumeOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M9.383 3.076A1 1 0 0110 4v12a1 1 0 01-1.707.707L4.586 13H2a1 1 0 01-1-1V8a1 1 0 011-1h2.586l3.707-3.707a1 1 0 011.09-.217zM12.293 7.293a1 1 0 011.414 0L15 8.586l1.293-1.293a1 1 0 111.414 1.414L16.414 10l1.293 1.293a1 1 0 01-1.414 1.414L15 11.414l-1.293 1.293a1 1 0 01-1.414-1.414L13.586 10l-1.293-1.293a1 1 0 010-1.414z","clipRule":"evenodd"}}]})(props);
};
function HiVolumeUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M9.383 3.076A1 1 0 0110 4v12a1 1 0 01-1.707.707L4.586 13H2a1 1 0 01-1-1V8a1 1 0 011-1h2.586l3.707-3.707a1 1 0 011.09-.217zM14.657 2.929a1 1 0 011.414 0A9.972 9.972 0 0119 10a9.972 9.972 0 01-2.929 7.071 1 1 0 01-1.414-1.414A7.971 7.971 0 0017 10c0-2.21-.894-4.208-2.343-5.657a1 1 0 010-1.414zm-2.829 2.828a1 1 0 011.415 0A5.983 5.983 0 0115 10a5.984 5.984 0 01-1.757 4.243 1 1 0 01-1.415-1.415A3.984 3.984 0 0013 10a3.983 3.983 0 00-1.172-2.828 1 1 0 010-1.415z","clipRule":"evenodd"}}]})(props);
};
function HiWifi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M17.778 8.222c-4.296-4.296-11.26-4.296-15.556 0A1 1 0 01.808 6.808c5.076-5.077 13.308-5.077 18.384 0a1 1 0 01-1.414 1.414zM14.95 11.05a7 7 0 00-9.9 0 1 1 0 01-1.414-1.414 9 9 0 0112.728 0 1 1 0 01-1.414 1.414zM12.12 13.88a3 3 0 00-4.242 0 1 1 0 01-1.415-1.415 5 5 0 017.072 0 1 1 0 01-1.415 1.415zM9 16a1 1 0 011-1h.01a1 1 0 110 2H10a1 1 0 01-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiXCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M10 18a8 8 0 100-16 8 8 0 000 16zM8.707 7.293a1 1 0 00-1.414 1.414L8.586 10l-1.293 1.293a1 1 0 101.414 1.414L10 11.414l1.293 1.293a1 1 0 001.414-1.414L11.414 10l1.293-1.293a1 1 0 00-1.414-1.414L10 8.586 8.707 7.293z","clipRule":"evenodd"}}]})(props);
};
function HiX (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z","clipRule":"evenodd"}}]})(props);
};
function HiZoomIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"d":"M5 8a1 1 0 011-1h1V6a1 1 0 012 0v1h1a1 1 0 110 2H9v1a1 1 0 11-2 0V9H6a1 1 0 01-1-1z"}},{"tag":"path","attr":{"fillRule":"evenodd","d":"M2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8zm6-4a4 4 0 100 8 4 4 0 000-8z","clipRule":"evenodd"}}]})(props);
};
function HiZoomOut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 20 20","fill":"currentColor"},"child":[{"tag":"path","attr":{"fillRule":"evenodd","d":"M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z","clipRule":"evenodd"}},{"tag":"path","attr":{"fillRule":"evenodd","d":"M5 8a1 1 0 011-1h4a1 1 0 110 2H6a1 1 0 01-1-1z","clipRule":"evenodd"}}]})(props);
};
function HiOutlineAcademicCap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"d":"M12 14l9-5-9-5-9 5 9 5z"}},{"tag":"path","attr":{"d":"M12 14l6.16-3.422a12.083 12.083 0 01.665 6.479A11.952 11.952 0 0012 20.055a11.952 11.952 0 00-6.824-2.998 12.078 12.078 0 01.665-6.479L12 14z"}},{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 14l9-5-9-5-9 5 9 5zm0 0l6.16-3.422a12.083 12.083 0 01.665 6.479A11.952 11.952 0 0012 20.055a11.952 11.952 0 00-6.824-2.998 12.078 12.078 0 01.665-6.479L12 14zm-4 6v-7.5l4-2.222"}}]})(props);
};
function HiOutlineAdjustments (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 6V4m0 2a2 2 0 100 4m0-4a2 2 0 110 4m-6 8a2 2 0 100-4m0 4a2 2 0 110-4m0 4v2m0-6V4m6 6v10m6-2a2 2 0 100-4m0 4a2 2 0 110-4m0 4v2m0-6V4"}}]})(props);
};
function HiOutlineAnnotation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M7 8h10M7 12h4m1 8l-4-4H5a2 2 0 01-2-2V6a2 2 0 012-2h14a2 2 0 012 2v8a2 2 0 01-2 2h-3l-4 4z"}}]})(props);
};
function HiOutlineArchive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M5 8h14M5 8a2 2 0 110-4h14a2 2 0 110 4M5 8v10a2 2 0 002 2h10a2 2 0 002-2V8m-9 4h4"}}]})(props);
};
function HiOutlineArrowCircleDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15 13l-3 3m0 0l-3-3m3 3V8m0 13a9 9 0 110-18 9 9 0 010 18z"}}]})(props);
};
function HiOutlineArrowCircleLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M11 15l-3-3m0 0l3-3m-3 3h8M3 12a9 9 0 1118 0 9 9 0 01-18 0z"}}]})(props);
};
function HiOutlineArrowCircleRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M13 9l3 3m0 0l-3 3m3-3H8m13 0a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineArrowCircleUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 11l3-3m0 0l3 3m-3-3v8m0-13a9 9 0 110 18 9 9 0 010-18z"}}]})(props);
};
function HiOutlineArrowDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M19 14l-7 7m0 0l-7-7m7 7V3"}}]})(props);
};
function HiOutlineArrowLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M10 19l-7-7m0 0l7-7m-7 7h18"}}]})(props);
};
function HiOutlineArrowNarrowDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M16 17l-4 4m0 0l-4-4m4 4V3"}}]})(props);
};
function HiOutlineArrowNarrowLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M7 16l-4-4m0 0l4-4m-4 4h18"}}]})(props);
};
function HiOutlineArrowNarrowRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M17 8l4 4m0 0l-4 4m4-4H3"}}]})(props);
};
function HiOutlineArrowNarrowUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 7l4-4m0 0l4 4m-4-4v18"}}]})(props);
};
function HiOutlineArrowRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M14 5l7 7m0 0l-7 7m7-7H3"}}]})(props);
};
function HiOutlineArrowUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M5 10l7-7m0 0l7 7m-7-7v18"}}]})(props);
};
function HiOutlineArrowsExpand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4 8V4m0 0h4M4 4l5 5m11-1V4m0 0h-4m4 0l-5 5M4 16v4m0 0h4m-4 0l5-5m11 5l-5-5m5 5v-4m0 4h-4"}}]})(props);
};
function HiOutlineAtSymbol (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M16 12a4 4 0 10-8 0 4 4 0 008 0zm0 0v1.5a2.5 2.5 0 005 0V12a9 9 0 10-9 9m4.5-1.206a8.959 8.959 0 01-4.5 1.207"}}]})(props);
};
function HiOutlineBackspace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 14l2-2m0 0l2-2m-2 2l-2-2m2 2l2 2M3 12l6.414 6.414a2 2 0 001.414.586H19a2 2 0 002-2V7a2 2 0 00-2-2h-8.172a2 2 0 00-1.414.586L3 12z"}}]})(props);
};
function HiOutlineBadgeCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 12l2 2 4-4M7.835 4.697a3.42 3.42 0 001.946-.806 3.42 3.42 0 014.438 0 3.42 3.42 0 001.946.806 3.42 3.42 0 013.138 3.138 3.42 3.42 0 00.806 1.946 3.42 3.42 0 010 4.438 3.42 3.42 0 00-.806 1.946 3.42 3.42 0 01-3.138 3.138 3.42 3.42 0 00-1.946.806 3.42 3.42 0 01-4.438 0 3.42 3.42 0 00-1.946-.806 3.42 3.42 0 01-3.138-3.138 3.42 3.42 0 00-.806-1.946 3.42 3.42 0 010-4.438 3.42 3.42 0 00.806-1.946 3.42 3.42 0 013.138-3.138z"}}]})(props);
};
function HiOutlineBan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M18.364 18.364A9 9 0 005.636 5.636m12.728 12.728A9 9 0 015.636 5.636m12.728 12.728L5.636 5.636"}}]})(props);
};
function HiOutlineBeaker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M19.428 15.428a2 2 0 00-1.022-.547l-2.387-.477a6 6 0 00-3.86.517l-.318.158a6 6 0 01-3.86.517L6.05 15.21a2 2 0 00-1.806.547M8 4h8l-1 1v5.172a2 2 0 00.586 1.414l5 5c1.26 1.26.367 3.414-1.415 3.414H4.828c-1.782 0-2.674-2.154-1.414-3.414l5-5A2 2 0 009 10.172V5L8 4z"}}]})(props);
};
function HiOutlineBell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15 17h5l-1.405-1.405A2.032 2.032 0 0118 14.158V11a6.002 6.002 0 00-4-5.659V5a2 2 0 10-4 0v.341C7.67 6.165 6 8.388 6 11v3.159c0 .538-.214 1.055-.595 1.436L4 17h5m6 0v1a3 3 0 11-6 0v-1m6 0H9"}}]})(props);
};
function HiOutlineBookOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 6.253v13m0-13C10.832 5.477 9.246 5 7.5 5S4.168 5.477 3 6.253v13C4.168 18.477 5.754 18 7.5 18s3.332.477 4.5 1.253m0-13C13.168 5.477 14.754 5 16.5 5c1.747 0 3.332.477 4.5 1.253v13C19.832 18.477 18.247 18 16.5 18c-1.746 0-3.332.477-4.5 1.253"}}]})(props);
};
function HiOutlineBookmarkAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M16 4v12l-4-2-4 2V4M6 20h12a2 2 0 002-2V6a2 2 0 00-2-2H6a2 2 0 00-2 2v12a2 2 0 002 2z"}}]})(props);
};
function HiOutlineBookmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M5 5a2 2 0 012-2h10a2 2 0 012 2v16l-7-3.5L5 21V5z"}}]})(props);
};
function HiOutlineBriefcase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M21 13.255A23.931 23.931 0 0112 15c-3.183 0-6.22-.62-9-1.745M16 6V4a2 2 0 00-2-2h-4a2 2 0 00-2 2v2m4 6h.01M5 20h14a2 2 0 002-2V8a2 2 0 00-2-2H5a2 2 0 00-2 2v10a2 2 0 002 2z"}}]})(props);
};
function HiOutlineCake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M21 15.546c-.523 0-1.046.151-1.5.454a2.704 2.704 0 01-3 0 2.704 2.704 0 00-3 0 2.704 2.704 0 01-3 0 2.704 2.704 0 00-3 0 2.704 2.704 0 01-3 0 2.701 2.701 0 00-1.5-.454M9 6v2m3-2v2m3-2v2M9 3h.01M12 3h.01M15 3h.01M21 21v-7a2 2 0 00-2-2H5a2 2 0 00-2 2v7h18zm-3-9v-2a2 2 0 00-2-2H8a2 2 0 00-2 2v2h12z"}}]})(props);
};
function HiOutlineCalculator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 7h6m0 10v-3m-3 3h.01M9 17h.01M9 14h.01M12 14h.01M15 11h.01M12 11h.01M9 11h.01M7 21h10a2 2 0 002-2V5a2 2 0 00-2-2H7a2 2 0 00-2 2v14a2 2 0 002 2z"}}]})(props);
};
function HiOutlineCalendar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 7V3m8 4V3m-9 8h10M5 21h14a2 2 0 002-2V7a2 2 0 00-2-2H5a2 2 0 00-2 2v12a2 2 0 002 2z"}}]})(props);
};
function HiOutlineCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 9a2 2 0 012-2h.93a2 2 0 001.664-.89l.812-1.22A2 2 0 0110.07 4h3.86a2 2 0 011.664.89l.812 1.22A2 2 0 0018.07 7H19a2 2 0 012 2v9a2 2 0 01-2 2H5a2 2 0 01-2-2V9z"}},{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15 13a3 3 0 11-6 0 3 3 0 016 0z"}}]})(props);
};
function HiOutlineCash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M17 9V7a2 2 0 00-2-2H5a2 2 0 00-2 2v6a2 2 0 002 2h2m2 4h10a2 2 0 002-2v-6a2 2 0 00-2-2H9a2 2 0 00-2 2v6a2 2 0 002 2zm7-5a2 2 0 11-4 0 2 2 0 014 0z"}}]})(props);
};
function HiOutlineChartBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 19v-6a2 2 0 00-2-2H5a2 2 0 00-2 2v6a2 2 0 002 2h2a2 2 0 002-2zm0 0V9a2 2 0 012-2h2a2 2 0 012 2v10m-6 0a2 2 0 002 2h2a2 2 0 002-2m0 0V5a2 2 0 012-2h2a2 2 0 012 2v14a2 2 0 01-2 2h-2a2 2 0 01-2-2z"}}]})(props);
};
function HiOutlineChartPie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M11 3.055A9.001 9.001 0 1020.945 13H11V3.055z"}},{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M20.488 9H15V3.512A9.025 9.025 0 0120.488 9z"}}]})(props);
};
function HiOutlineChartSquareBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M16 8v8m-4-5v5m-4-2v2m-2 4h12a2 2 0 002-2V6a2 2 0 00-2-2H6a2 2 0 00-2 2v12a2 2 0 002 2z"}}]})(props);
};
function HiOutlineChatAlt2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M17 8h2a2 2 0 012 2v6a2 2 0 01-2 2h-2v4l-4-4H9a1.994 1.994 0 01-1.414-.586m0 0L11 14h4a2 2 0 002-2V6a2 2 0 00-2-2H5a2 2 0 00-2 2v6a2 2 0 002 2h2v4l.586-.586z"}}]})(props);
};
function HiOutlineChatAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 10h.01M12 10h.01M16 10h.01M9 16H5a2 2 0 01-2-2V6a2 2 0 012-2h14a2 2 0 012 2v8a2 2 0 01-2 2h-5l-5 5v-5z"}}]})(props);
};
function HiOutlineChat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 12h.01M12 12h.01M16 12h.01M21 12c0 4.418-4.03 8-9 8a9.863 9.863 0 01-4.255-.949L3 20l1.395-3.72C3.512 15.042 3 13.574 3 12c0-4.418 4.03-8 9-8s9 3.582 9 8z"}}]})(props);
};
function HiOutlineCheckCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 12l2 2 4-4m6 2a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M5 13l4 4L19 7"}}]})(props);
};
function HiOutlineChevronDoubleDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M19 13l-7 7-7-7m14-8l-7 7-7-7"}}]})(props);
};
function HiOutlineChevronDoubleLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M11 19l-7-7 7-7m8 14l-7-7 7-7"}}]})(props);
};
function HiOutlineChevronDoubleRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M13 5l7 7-7 7M5 5l7 7-7 7"}}]})(props);
};
function HiOutlineChevronDoubleUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M5 11l7-7 7 7M5 19l7-7 7 7"}}]})(props);
};
function HiOutlineChevronDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M19 9l-7 7-7-7"}}]})(props);
};
function HiOutlineChevronLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15 19l-7-7 7-7"}}]})(props);
};
function HiOutlineChevronRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 5l7 7-7 7"}}]})(props);
};
function HiOutlineChevronUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M5 15l7-7 7 7"}}]})(props);
};
function HiOutlineChip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 3v2m6-2v2M9 19v2m6-2v2M5 9H3m2 6H3m18-6h-2m2 6h-2M7 19h10a2 2 0 002-2V7a2 2 0 00-2-2H7a2 2 0 00-2 2v10a2 2 0 002 2zM9 9h6v6H9V9z"}}]})(props);
};
function HiOutlineClipboardCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 5H7a2 2 0 00-2 2v12a2 2 0 002 2h10a2 2 0 002-2V7a2 2 0 00-2-2h-2M9 5a2 2 0 002 2h2a2 2 0 002-2M9 5a2 2 0 012-2h2a2 2 0 012 2m-6 9l2 2 4-4"}}]})(props);
};
function HiOutlineClipboardCopy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 5H6a2 2 0 00-2 2v12a2 2 0 002 2h10a2 2 0 002-2v-1M8 5a2 2 0 002 2h2a2 2 0 002-2M8 5a2 2 0 012-2h2a2 2 0 012 2m0 0h2a2 2 0 012 2v3m2 4H10m0 0l3-3m-3 3l3 3"}}]})(props);
};
function HiOutlineClipboardList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 5H7a2 2 0 00-2 2v12a2 2 0 002 2h10a2 2 0 002-2V7a2 2 0 00-2-2h-2M9 5a2 2 0 002 2h2a2 2 0 002-2M9 5a2 2 0 012-2h2a2 2 0 012 2m-3 7h3m-3 4h3m-6-4h.01M9 16h.01"}}]})(props);
};
function HiOutlineClipboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 5H7a2 2 0 00-2 2v12a2 2 0 002 2h10a2 2 0 002-2V7a2 2 0 00-2-2h-2M9 5a2 2 0 002 2h2a2 2 0 002-2M9 5a2 2 0 012-2h2a2 2 0 012 2"}}]})(props);
};
function HiOutlineClock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 8v4l3 3m6-3a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineCloudDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M7 16a4 4 0 01-.88-7.903A5 5 0 1115.9 6L16 6a5 5 0 011 9.9M9 19l3 3m0 0l3-3m-3 3V10"}}]})(props);
};
function HiOutlineCloudUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M7 16a4 4 0 01-.88-7.903A5 5 0 1115.9 6L16 6a5 5 0 011 9.9M15 13l-3-3m0 0l-3 3m3-3v12"}}]})(props);
};
function HiOutlineCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 15a4 4 0 004 4h9a5 5 0 10-.1-9.999 5.002 5.002 0 10-9.78 2.096A4.001 4.001 0 003 15z"}}]})(props);
};
function HiOutlineCode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M10 20l4-16m4 4l4 4-4 4M6 16l-4-4 4-4"}}]})(props);
};
function HiOutlineCog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M10.325 4.317c.426-1.756 2.924-1.756 3.35 0a1.724 1.724 0 002.573 1.066c1.543-.94 3.31.826 2.37 2.37a1.724 1.724 0 001.065 2.572c1.756.426 1.756 2.924 0 3.35a1.724 1.724 0 00-1.066 2.573c.94 1.543-.826 3.31-2.37 2.37a1.724 1.724 0 00-2.572 1.065c-.426 1.756-2.924 1.756-3.35 0a1.724 1.724 0 00-2.573-1.066c-1.543.94-3.31-.826-2.37-2.37a1.724 1.724 0 00-1.065-2.572c-1.756-.426-1.756-2.924 0-3.35a1.724 1.724 0 001.066-2.573c-.94-1.543.826-3.31 2.37-2.37.996.608 2.296.07 2.572-1.065z"}},{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15 12a3 3 0 11-6 0 3 3 0 016 0z"}}]})(props);
};
function HiOutlineCollection (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M19 11H5m14 0a2 2 0 012 2v6a2 2 0 01-2 2H5a2 2 0 01-2-2v-6a2 2 0 012-2m14 0V9a2 2 0 00-2-2M5 11V9a2 2 0 012-2m0 0V5a2 2 0 012-2h6a2 2 0 012 2v2M7 7h10"}}]})(props);
};
function HiOutlineColorSwatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M7 21a4 4 0 01-4-4V5a2 2 0 012-2h4a2 2 0 012 2v12a4 4 0 01-4 4zm0 0h12a2 2 0 002-2v-4a2 2 0 00-2-2h-2.343M11 7.343l1.657-1.657a2 2 0 012.828 0l2.829 2.829a2 2 0 010 2.828l-8.486 8.485M7 17h.01"}}]})(props);
};
function HiOutlineCreditCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 10h18M7 15h1m4 0h1m-7 4h12a3 3 0 003-3V8a3 3 0 00-3-3H6a3 3 0 00-3 3v8a3 3 0 003 3z"}}]})(props);
};
function HiOutlineCubeTransparent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M14 10l-2 1m0 0l-2-1m2 1v2.5M20 7l-2 1m2-1l-2-1m2 1v2.5M14 4l-2-1-2 1M4 7l2-1M4 7l2 1M4 7v2.5M12 21l-2-1m2 1l2-1m-2 1v-2.5M6 18l-2-1v-2.5M18 18l2-1v-2.5"}}]})(props);
};
function HiOutlineCube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M20 7l-8-4-8 4m16 0l-8 4m8-4v10l-8 4m0-10L4 7m8 4v10M4 7v10l8 4"}}]})(props);
};
function HiOutlineCurrencyBangladeshi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M11 11V9a2 2 0 00-2-2m2 4v4a2 2 0 104 0v-1m-4-3H9m2 0h4m6 1a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineCurrencyDollar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 8c-1.657 0-3 .895-3 2s1.343 2 3 2 3 .895 3 2-1.343 2-3 2m0-8c1.11 0 2.08.402 2.599 1M12 8V7m0 1v8m0 0v1m0-1c-1.11 0-2.08-.402-2.599-1M21 12a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineCurrencyEuro (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M14.121 15.536c-1.171 1.952-3.07 1.952-4.242 0-1.172-1.953-1.172-5.119 0-7.072 1.171-1.952 3.07-1.952 4.242 0M8 10.5h4m-4 3h4m9-1.5a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineCurrencyPound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15 9a2 2 0 10-4 0v5a2 2 0 01-2 2h6m-6-4h4m8 0a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineCurrencyRupee (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 8h6m-5 0a3 3 0 110 6H9l3 3m-3-6h6m6 1a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineCurrencyYen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 8l3 5m0 0l3-5m-3 5v4m-3-5h6m-6 3h6m6-3a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineCursorClick (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15 15l-2 5L9 9l11 4-5 2zm0 0l5 5M7.188 2.239l.777 2.897M5.136 7.965l-2.898-.777M13.95 4.05l-2.122 2.122m-5.657 5.656l-2.12 2.122"}}]})(props);
};
function HiOutlineDatabase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4 7v10c0 2.21 3.582 4 8 4s8-1.79 8-4V7M4 7c0 2.21 3.582 4 8 4s8-1.79 8-4M4 7c0-2.21 3.582-4 8-4s8 1.79 8 4m0 5c0 2.21-3.582 4-8 4s-8-1.79-8-4"}}]})(props);
};
function HiOutlineDesktopComputer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9.75 17L9 20l-1 1h8l-1-1-.75-3M3 13h18M5 17h14a2 2 0 002-2V5a2 2 0 00-2-2H5a2 2 0 00-2 2v10a2 2 0 002 2z"}}]})(props);
};
function HiOutlineDeviceMobile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 18h.01M8 21h8a2 2 0 002-2V5a2 2 0 00-2-2H8a2 2 0 00-2 2v14a2 2 0 002 2z"}}]})(props);
};
function HiOutlineDeviceTablet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 18h.01M7 21h10a2 2 0 002-2V5a2 2 0 00-2-2H7a2 2 0 00-2 2v14a2 2 0 002 2z"}}]})(props);
};
function HiOutlineDocumentAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 13h6m-3-3v6m5 5H7a2 2 0 01-2-2V5a2 2 0 012-2h5.586a1 1 0 01.707.293l5.414 5.414a1 1 0 01.293.707V19a2 2 0 01-2 2z"}}]})(props);
};
function HiOutlineDocumentDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 10v6m0 0l-3-3m3 3l3-3m2 8H7a2 2 0 01-2-2V5a2 2 0 012-2h5.586a1 1 0 01.707.293l5.414 5.414a1 1 0 01.293.707V19a2 2 0 01-2 2z"}}]})(props);
};
function HiOutlineDocumentDuplicate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 7v8a2 2 0 002 2h6M8 7V5a2 2 0 012-2h4.586a1 1 0 01.707.293l4.414 4.414a1 1 0 01.293.707V15a2 2 0 01-2 2h-2M8 7H6a2 2 0 00-2 2v10a2 2 0 002 2h8a2 2 0 002-2v-2"}}]})(props);
};
function HiOutlineDocumentRemove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 13h6m2 8H7a2 2 0 01-2-2V5a2 2 0 012-2h5.586a1 1 0 01.707.293l5.414 5.414a1 1 0 01.293.707V19a2 2 0 01-2 2z"}}]})(props);
};
function HiOutlineDocumentReport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 17v-2m3 2v-4m3 4v-6m2 10H7a2 2 0 01-2-2V5a2 2 0 012-2h5.586a1 1 0 01.707.293l5.414 5.414a1 1 0 01.293.707V19a2 2 0 01-2 2z"}}]})(props);
};
function HiOutlineDocumentSearch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M10 21h7a2 2 0 002-2V9.414a1 1 0 00-.293-.707l-5.414-5.414A1 1 0 0012.586 3H7a2 2 0 00-2 2v11m0 5l4.879-4.879m0 0a3 3 0 104.243-4.242 3 3 0 00-4.243 4.242z"}}]})(props);
};
function HiOutlineDocumentText (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 12h6m-6 4h6m2 5H7a2 2 0 01-2-2V5a2 2 0 012-2h5.586a1 1 0 01.707.293l5.414 5.414a1 1 0 01.293.707V19a2 2 0 01-2 2z"}}]})(props);
};
function HiOutlineDocument (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M7 21h10a2 2 0 002-2V9.414a1 1 0 00-.293-.707l-5.414-5.414A1 1 0 0012.586 3H7a2 2 0 00-2 2v14a2 2 0 002 2z"}}]})(props);
};
function HiOutlineDotsCircleHorizontal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 12h.01M12 12h.01M16 12h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineDotsHorizontal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M5 12h.01M12 12h.01M19 12h.01M6 12a1 1 0 11-2 0 1 1 0 012 0zm7 0a1 1 0 11-2 0 1 1 0 012 0zm7 0a1 1 0 11-2 0 1 1 0 012 0z"}}]})(props);
};
function HiOutlineDotsVertical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 5v.01M12 12v.01M12 19v.01M12 6a1 1 0 110-2 1 1 0 010 2zm0 7a1 1 0 110-2 1 1 0 010 2zm0 7a1 1 0 110-2 1 1 0 010 2z"}}]})(props);
};
function HiOutlineDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4 16v1a3 3 0 003 3h10a3 3 0 003-3v-1m-4-4l-4 4m0 0l-4-4m4 4V4"}}]})(props);
};
function HiOutlineDuplicate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 16H6a2 2 0 01-2-2V6a2 2 0 012-2h8a2 2 0 012 2v2m-6 12h8a2 2 0 002-2v-8a2 2 0 00-2-2h-8a2 2 0 00-2 2v8a2 2 0 002 2z"}}]})(props);
};
function HiOutlineEmojiHappy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M14.828 14.828a4 4 0 01-5.656 0M9 10h.01M15 10h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineEmojiSad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9.172 16.172a4 4 0 015.656 0M9 10h.01M15 10h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineExclamationCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 8v4m0 4h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineExclamation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 9v2m0 4h.01m-6.938 4h13.856c1.54 0 2.502-1.667 1.732-3L13.732 4c-.77-1.333-2.694-1.333-3.464 0L3.34 16c-.77 1.333.192 3 1.732 3z"}}]})(props);
};
function HiOutlineExternalLink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M10 6H6a2 2 0 00-2 2v10a2 2 0 002 2h10a2 2 0 002-2v-4M14 4h6m0 0v6m0-6L10 14"}}]})(props);
};
function HiOutlineEyeOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M13.875 18.825A10.05 10.05 0 0112 19c-4.478 0-8.268-2.943-9.543-7a9.97 9.97 0 011.563-3.029m5.858.908a3 3 0 114.243 4.243M9.878 9.878l4.242 4.242M9.88 9.88l-3.29-3.29m7.532 7.532l3.29 3.29M3 3l3.59 3.59m0 0A9.953 9.953 0 0112 5c4.478 0 8.268 2.943 9.543 7a10.025 10.025 0 01-4.132 5.411m0 0L21 21"}}]})(props);
};
function HiOutlineEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15 12a3 3 0 11-6 0 3 3 0 016 0z"}},{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M2.458 12C3.732 7.943 7.523 5 12 5c4.478 0 8.268 2.943 9.542 7-1.274 4.057-5.064 7-9.542 7-4.477 0-8.268-2.943-9.542-7z"}}]})(props);
};
function HiOutlineFastForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M11.933 12.8a1 1 0 000-1.6L6.6 7.2A1 1 0 005 8v8a1 1 0 001.6.8l5.333-4zM19.933 12.8a1 1 0 000-1.6l-5.333-4A1 1 0 0013 8v8a1 1 0 001.6.8l5.333-4z"}}]})(props);
};
function HiOutlineFilm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M7 4v16M17 4v16M3 8h4m10 0h4M3 12h18M3 16h4m10 0h4M4 20h16a1 1 0 001-1V5a1 1 0 00-1-1H4a1 1 0 00-1 1v14a1 1 0 001 1z"}}]})(props);
};
function HiOutlineFilter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 4a1 1 0 011-1h16a1 1 0 011 1v2.586a1 1 0 01-.293.707l-6.414 6.414a1 1 0 00-.293.707V17l-4 4v-6.586a1 1 0 00-.293-.707L3.293 7.293A1 1 0 013 6.586V4z"}}]})(props);
};
function HiOutlineFingerPrint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 11c0 3.517-1.009 6.799-2.753 9.571m-3.44-2.04l.054-.09A13.916 13.916 0 008 11a4 4 0 118 0c0 1.017-.07 2.019-.203 3m-2.118 6.844A21.88 21.88 0 0015.171 17m3.839 1.132c.645-2.266.99-4.659.99-7.132A8 8 0 008 4.07M3 15.364c.64-1.319 1-2.8 1-4.364 0-1.457.39-2.823 1.07-4"}}]})(props);
};
function HiOutlineFire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M17.657 18.657A8 8 0 016.343 7.343S7 9 9 10c0-2 .5-5 2.986-7C14 5 16.09 5.777 17.656 7.343A7.975 7.975 0 0120 13a7.975 7.975 0 01-2.343 5.657z"}},{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9.879 16.121A3 3 0 1012.015 11L11 14H9c0 .768.293 1.536.879 2.121z"}}]})(props);
};
function HiOutlineFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 21v-4m0 0V5a2 2 0 012-2h6.5l1 1H21l-3 6 3 6h-8.5l-1-1H5a2 2 0 00-2 2zm9-13.5V9"}}]})(props);
};
function HiOutlineFolderAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 13h6m-3-3v6m-9 1V7a2 2 0 012-2h6l2 2h6a2 2 0 012 2v8a2 2 0 01-2 2H5a2 2 0 01-2-2z"}}]})(props);
};
function HiOutlineFolderDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 10v6m0 0l-3-3m3 3l3-3M3 17V7a2 2 0 012-2h6l2 2h6a2 2 0 012 2v8a2 2 0 01-2 2H5a2 2 0 01-2-2z"}}]})(props);
};
function HiOutlineFolderOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M5 19a2 2 0 01-2-2V7a2 2 0 012-2h4l2 2h4a2 2 0 012 2v1M5 19h14a2 2 0 002-2v-5a2 2 0 00-2-2H9a2 2 0 00-2 2v5a2 2 0 01-2 2z"}}]})(props);
};
function HiOutlineFolderRemove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 13h6M3 17V7a2 2 0 012-2h6l2 2h6a2 2 0 012 2v8a2 2 0 01-2 2H5a2 2 0 01-2-2z"}}]})(props);
};
function HiOutlineFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 7v10a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-6l-2-2H5a2 2 0 00-2 2z"}}]})(props);
};
function HiOutlineGift (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 8v13m0-13V6a2 2 0 112 2h-2zm0 0V5.5A2.5 2.5 0 109.5 8H12zm-7 4h14M5 12a2 2 0 110-4h14a2 2 0 110 4M5 12v7a2 2 0 002 2h10a2 2 0 002-2v-7"}}]})(props);
};
function HiOutlineGlobeAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M21 12a9 9 0 01-9 9m9-9a9 9 0 00-9-9m9 9H3m9 9a9 9 0 01-9-9m9 9c1.657 0 3-4.03 3-9s-1.343-9-3-9m0 18c-1.657 0-3-4.03-3-9s1.343-9 3-9m-9 9a9 9 0 019-9"}}]})(props);
};
function HiOutlineGlobe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3.055 11H5a2 2 0 012 2v1a2 2 0 002 2 2 2 0 012 2v2.945M8 3.935V5.5A2.5 2.5 0 0010.5 8h.5a2 2 0 012 2 2 2 0 104 0 2 2 0 012-2h1.064M15 20.488V18a2 2 0 012-2h3.064M21 12a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineHand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M7 11.5V14m0-2.5v-6a1.5 1.5 0 113 0m-3 6a1.5 1.5 0 00-3 0v2a7.5 7.5 0 0015 0v-5a1.5 1.5 0 00-3 0m-6-3V11m0-5.5v-1a1.5 1.5 0 013 0v1m0 0V11m0-5.5a1.5 1.5 0 013 0v3m0 0V11"}}]})(props);
};
function HiOutlineHashtag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M7 20l4-16m2 16l4-16M6 9h14M4 15h14"}}]})(props);
};
function HiOutlineHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4.318 6.318a4.5 4.5 0 000 6.364L12 20.364l7.682-7.682a4.5 4.5 0 00-6.364-6.364L12 7.636l-1.318-1.318a4.5 4.5 0 00-6.364 0z"}}]})(props);
};
function HiOutlineHome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 12l2-2m0 0l7-7 7 7M5 10v10a1 1 0 001 1h3m10-11l2 2m-2-2v10a1 1 0 01-1 1h-3m-6 0a1 1 0 001-1v-4a1 1 0 011-1h2a1 1 0 011 1v4a1 1 0 001 1m-6 0h6"}}]})(props);
};
function HiOutlineIdentification (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M10 6H5a2 2 0 00-2 2v9a2 2 0 002 2h14a2 2 0 002-2V8a2 2 0 00-2-2h-5m-4 0V5a2 2 0 114 0v1m-4 0a2 2 0 104 0m-5 8a2 2 0 100-4 2 2 0 000 4zm0 0c1.306 0 2.417.835 2.83 2M9 14a3.001 3.001 0 00-2.83 2M15 11h3m-3 4h2"}}]})(props);
};
function HiOutlineInboxIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 4H6a2 2 0 00-2 2v12a2 2 0 002 2h12a2 2 0 002-2V6a2 2 0 00-2-2h-2m-4-1v8m0 0l3-3m-3 3L9 8m-5 5h2.586a1 1 0 01.707.293l2.414 2.414a1 1 0 00.707.293h3.172a1 1 0 00.707-.293l2.414-2.414a1 1 0 01.707-.293H20"}}]})(props);
};
function HiOutlineInbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M20 13V6a2 2 0 00-2-2H6a2 2 0 00-2 2v7m16 0v5a2 2 0 01-2 2H6a2 2 0 01-2-2v-5m16 0h-2.586a1 1 0 00-.707.293l-2.414 2.414a1 1 0 01-.707.293h-3.172a1 1 0 01-.707-.293l-2.414-2.414A1 1 0 006.586 13H4"}}]})(props);
};
function HiOutlineInformationCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M13 16h-1v-4h-1m1-4h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15 7a2 2 0 012 2m4 0a6 6 0 01-7.743 5.743L11 17H9v2H7v2H4a1 1 0 01-1-1v-2.586a1 1 0 01.293-.707l5.964-5.964A6 6 0 1121 9z"}}]})(props);
};
function HiOutlineLibrary (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 14v3m4-3v3m4-3v3M3 21h18M3 10h18M3 7l9-4 9 4M4 10h16v11H4V10z"}}]})(props);
};
function HiOutlineLightBulb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9.663 17h4.673M12 3v1m6.364 1.636l-.707.707M21 12h-1M4 12H3m3.343-5.657l-.707-.707m2.828 9.9a5 5 0 117.072 0l-.548.547A3.374 3.374 0 0014 18.469V19a2 2 0 11-4 0v-.531c0-.895-.356-1.754-.988-2.386l-.548-.547z"}}]})(props);
};
function HiOutlineLightningBolt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M13 10V3L4 14h7v7l9-11h-7z"}}]})(props);
};
function HiOutlineLink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M13.828 10.172a4 4 0 00-5.656 0l-4 4a4 4 0 105.656 5.656l1.102-1.101m-.758-4.899a4 4 0 005.656 0l4-4a4 4 0 00-5.656-5.656l-1.1 1.1"}}]})(props);
};
function HiOutlineLocationMarker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M17.657 16.657L13.414 20.9a1.998 1.998 0 01-2.827 0l-4.244-4.243a8 8 0 1111.314 0z"}},{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15 11a3 3 0 11-6 0 3 3 0 016 0z"}}]})(props);
};
function HiOutlineLockClosed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 15v2m-6 4h12a2 2 0 002-2v-6a2 2 0 00-2-2H6a2 2 0 00-2 2v6a2 2 0 002 2zm10-10V7a4 4 0 00-8 0v4h8z"}}]})(props);
};
function HiOutlineLockOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 11V7a4 4 0 118 0m-4 8v2m-6 4h12a2 2 0 002-2v-6a2 2 0 00-2-2H6a2 2 0 00-2 2v6a2 2 0 002 2z"}}]})(props);
};
function HiOutlineLogin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M11 16l-4-4m0 0l4-4m-4 4h14m-5 4v1a3 3 0 01-3 3H6a3 3 0 01-3-3V7a3 3 0 013-3h7a3 3 0 013 3v1"}}]})(props);
};
function HiOutlineLogout (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M17 16l4-4m0 0l-4-4m4 4H7m6 4v1a3 3 0 01-3 3H6a3 3 0 01-3-3V7a3 3 0 013-3h4a3 3 0 013 3v1"}}]})(props);
};
function HiOutlineMailOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 19v-8.93a2 2 0 01.89-1.664l7-4.666a2 2 0 012.22 0l7 4.666A2 2 0 0121 10.07V19M3 19a2 2 0 002 2h14a2 2 0 002-2M3 19l6.75-4.5M21 19l-6.75-4.5M3 10l6.75 4.5M21 10l-6.75 4.5m0 0l-1.14.76a2 2 0 01-2.22 0l-1.14-.76"}}]})(props);
};
function HiOutlineMail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 8l7.89 5.26a2 2 0 002.22 0L21 8M5 19h14a2 2 0 002-2V7a2 2 0 00-2-2H5a2 2 0 00-2 2v10a2 2 0 002 2z"}}]})(props);
};
function HiOutlineMap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 20l-5.447-2.724A1 1 0 013 16.382V5.618a1 1 0 011.447-.894L9 7m0 13l6-3m-6 3V7m6 10l4.553 2.276A1 1 0 0021 18.382V7.618a1 1 0 00-.553-.894L15 4m0 13V4m0 0L9 7"}}]})(props);
};
function HiOutlineMenuAlt1 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4 6h16M4 12h8m-8 6h16"}}]})(props);
};
function HiOutlineMenuAlt2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4 6h16M4 12h16M4 18h7"}}]})(props);
};
function HiOutlineMenuAlt3 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4 6h16M4 12h16m-7 6h7"}}]})(props);
};
function HiOutlineMenuAlt4 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4 8h16M4 16h16"}}]})(props);
};
function HiOutlineMenu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4 6h16M4 12h16M4 18h16"}}]})(props);
};
function HiOutlineMicrophone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M19 11a7 7 0 01-7 7m0 0a7 7 0 01-7-7m7 7v4m0 0H8m4 0h4m-4-8a3 3 0 01-3-3V5a3 3 0 116 0v6a3 3 0 01-3 3z"}}]})(props);
};
function HiOutlineMinusCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15 12H9m12 0a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineMinusSm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M18 12H6"}}]})(props);
};
function HiOutlineMinus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M20 12H4"}}]})(props);
};
function HiOutlineMoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M20.354 15.354A9 9 0 018.646 3.646 9.003 9.003 0 0012 21a9.003 9.003 0 008.354-5.646z"}}]})(props);
};
function HiOutlineMusicNote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 19V6l12-3v13M9 19c0 1.105-1.343 2-3 2s-3-.895-3-2 1.343-2 3-2 3 .895 3 2zm12-3c0 1.105-1.343 2-3 2s-3-.895-3-2 1.343-2 3-2 3 .895 3 2zM9 10l12-3"}}]})(props);
};
function HiOutlineNewspaper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M19 20H5a2 2 0 01-2-2V6a2 2 0 012-2h10a2 2 0 012 2v1m2 13a2 2 0 01-2-2V7m2 13a2 2 0 002-2V9a2 2 0 00-2-2h-2m-4-3H9M7 16h6M7 8h6v4H7V8z"}}]})(props);
};
function HiOutlineOfficeBuilding (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M19 21V5a2 2 0 00-2-2H7a2 2 0 00-2 2v16m14 0h2m-2 0h-5m-9 0H3m2 0h5M9 7h1m-1 4h1m4-4h1m-1 4h1m-5 10v-5a1 1 0 011-1h2a1 1 0 011 1v5m-4 0h4"}}]})(props);
};
function HiOutlinePaperAirplane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 19l9 2-9-18-9 18 9-2zm0 0v-8"}}]})(props);
};
function HiOutlinePaperClip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15.172 7l-6.586 6.586a2 2 0 102.828 2.828l6.414-6.586a4 4 0 00-5.656-5.656l-6.415 6.585a6 6 0 108.486 8.486L20.5 13"}}]})(props);
};
function HiOutlinePause (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M10 9v6m4-6v6m7-3a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlinePencilAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M11 5H6a2 2 0 00-2 2v11a2 2 0 002 2h11a2 2 0 002-2v-5m-1.414-9.414a2 2 0 112.828 2.828L11.828 15H9v-2.828l8.586-8.586z"}}]})(props);
};
function HiOutlinePencil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15.232 5.232l3.536 3.536m-2.036-5.036a2.5 2.5 0 113.536 3.536L6.5 21.036H3v-3.572L16.732 3.732z"}}]})(props);
};
function HiOutlinePhoneIncoming (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M21 3l-6 6m0 0V4m0 5h5M5 3a2 2 0 00-2 2v1c0 8.284 6.716 15 15 15h1a2 2 0 002-2v-3.28a1 1 0 00-.684-.948l-4.493-1.498a1 1 0 00-1.21.502l-1.13 2.257a11.042 11.042 0 01-5.516-5.517l2.257-1.128a1 1 0 00.502-1.21L9.228 3.683A1 1 0 008.279 3H5z"}}]})(props);
};
function HiOutlinePhoneMissedCall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M16 8l2-2m0 0l2-2m-2 2l-2-2m2 2l2 2M5 3a2 2 0 00-2 2v1c0 8.284 6.716 15 15 15h1a2 2 0 002-2v-3.28a1 1 0 00-.684-.948l-4.493-1.498a1 1 0 00-1.21.502l-1.13 2.257a11.042 11.042 0 01-5.516-5.517l2.257-1.128a1 1 0 00.502-1.21L9.228 3.683A1 1 0 008.279 3H5z"}}]})(props);
};
function HiOutlinePhoneOutgoing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M16 3h5m0 0v5m0-5l-6 6M5 3a2 2 0 00-2 2v1c0 8.284 6.716 15 15 15h1a2 2 0 002-2v-3.28a1 1 0 00-.684-.948l-4.493-1.498a1 1 0 00-1.21.502l-1.13 2.257a11.042 11.042 0 01-5.516-5.517l2.257-1.128a1 1 0 00.502-1.21L9.228 3.683A1 1 0 008.279 3H5z"}}]})(props);
};
function HiOutlinePhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 5a2 2 0 012-2h3.28a1 1 0 01.948.684l1.498 4.493a1 1 0 01-.502 1.21l-2.257 1.13a11.042 11.042 0 005.516 5.516l1.13-2.257a1 1 0 011.21-.502l4.493 1.498a1 1 0 01.684.949V19a2 2 0 01-2 2h-1C9.716 21 3 14.284 3 6V5z"}}]})(props);
};
function HiOutlinePhotograph (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4 16l4.586-4.586a2 2 0 012.828 0L16 16m-2-2l1.586-1.586a2 2 0 012.828 0L20 14m-6-6h.01M6 20h12a2 2 0 002-2V6a2 2 0 00-2-2H6a2 2 0 00-2 2v12a2 2 0 002 2z"}}]})(props);
};
function HiOutlinePlay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M14.752 11.168l-3.197-2.132A1 1 0 0010 9.87v4.263a1 1 0 001.555.832l3.197-2.132a1 1 0 000-1.664z"}},{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M21 12a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlinePlusCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 9v3m0 0v3m0-3h3m-3 0H9m12 0a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlinePlusSm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 6v6m0 0v6m0-6h6m-6 0H6"}}]})(props);
};
function HiOutlinePlus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 6v6m0 0v6m0-6h6m-6 0H6"}}]})(props);
};
function HiOutlinePresentationChartBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 13v-1m4 1v-3m4 3V8M8 21l4-4 4 4M3 4h18M4 4h16v12a1 1 0 01-1 1H5a1 1 0 01-1-1V4z"}}]})(props);
};
function HiOutlinePresentationChartLine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M7 12l3-3 3 3 4-4M8 21l4-4 4 4M3 4h18M4 4h16v12a1 1 0 01-1 1H5a1 1 0 01-1-1V4z"}}]})(props);
};
function HiOutlinePrinter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M17 17h2a2 2 0 002-2v-4a2 2 0 00-2-2H5a2 2 0 00-2 2v4a2 2 0 002 2h2m2 4h6a2 2 0 002-2v-4a2 2 0 00-2-2H9a2 2 0 00-2 2v4a2 2 0 002 2zm8-12V5a2 2 0 00-2-2H9a2 2 0 00-2 2v4h10z"}}]})(props);
};
function HiOutlinePuzzle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M11 4a2 2 0 114 0v1a1 1 0 001 1h3a1 1 0 011 1v3a1 1 0 01-1 1h-1a2 2 0 100 4h1a1 1 0 011 1v3a1 1 0 01-1 1h-3a1 1 0 01-1-1v-1a2 2 0 10-4 0v1a1 1 0 01-1 1H7a1 1 0 01-1-1v-3a1 1 0 00-1-1H4a2 2 0 110-4h1a1 1 0 001-1V7a1 1 0 011-1h3a1 1 0 001-1V4z"}}]})(props);
};
function HiOutlineQrcode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 4v1m6 11h2m-6 0h-2v4m0-11v3m0 0h.01M12 12h4.01M16 20h4M4 12h4m12 0h.01M5 8h2a1 1 0 001-1V5a1 1 0 00-1-1H5a1 1 0 00-1 1v2a1 1 0 001 1zm12 0h2a1 1 0 001-1V5a1 1 0 00-1-1h-2a1 1 0 00-1 1v2a1 1 0 001 1zM5 20h2a1 1 0 001-1v-2a1 1 0 00-1-1H5a1 1 0 00-1 1v2a1 1 0 001 1z"}}]})(props);
};
function HiOutlineQuestionMarkCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8.228 9c.549-1.165 2.03-2 3.772-2 2.21 0 4 1.343 4 3 0 1.4-1.278 2.575-3.006 2.907-.542.104-.994.54-.994 1.093m0 3h.01M21 12a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineReceiptRefund (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M16 15v-1a4 4 0 00-4-4H8m0 0l3 3m-3-3l3-3m9 14V5a2 2 0 00-2-2H6a2 2 0 00-2 2v16l4-2 4 2 4-2 4 2z"}}]})(props);
};
function HiOutlineReceiptTax (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 14l6-6m-5.5.5h.01m4.99 5h.01M19 21V5a2 2 0 00-2-2H7a2 2 0 00-2 2v16l3.5-2 3.5 2 3.5-2 3.5 2zM10 8.5a.5.5 0 11-1 0 .5.5 0 011 0zm5 5a.5.5 0 11-1 0 .5.5 0 011 0z"}}]})(props);
};
function HiOutlineRefresh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4 4v5h.582m15.356 2A8.001 8.001 0 004.582 9m0 0H9m11 11v-5h-.581m0 0a8.003 8.003 0 01-15.357-2m15.357 2H15"}}]})(props);
};
function HiOutlineReply (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 10h10a8 8 0 018 8v2M3 10l6 6m-6-6l6-6"}}]})(props);
};
function HiOutlineRewind (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12.066 11.2a1 1 0 000 1.6l5.334 4A1 1 0 0019 16V8a1 1 0 00-1.6-.8l-5.333 4zM4.066 11.2a1 1 0 000 1.6l5.334 4A1 1 0 0011 16V8a1 1 0 00-1.6-.8l-5.334 4z"}}]})(props);
};
function HiOutlineRss (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M6 5c7.18 0 13 5.82 13 13M6 11a7 7 0 017 7m-6 0a1 1 0 11-2 0 1 1 0 012 0z"}}]})(props);
};
function HiOutlineSaveAs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M17 16v2a2 2 0 01-2 2H5a2 2 0 01-2-2v-7a2 2 0 012-2h2m3-4H9a2 2 0 00-2 2v7a2 2 0 002 2h10a2 2 0 002-2V7a2 2 0 00-2-2h-1m-1 4l-3 3m0 0l-3-3m3 3V3"}}]})(props);
};
function HiOutlineSave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 7H5a2 2 0 00-2 2v9a2 2 0 002 2h14a2 2 0 002-2V9a2 2 0 00-2-2h-3m-1 4l-3 3m0 0l-3-3m3 3V4"}}]})(props);
};
function HiOutlineScale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 6l3 1m0 0l-3 9a5.002 5.002 0 006.001 0M6 7l3 9M6 7l6-2m6 2l3-1m-3 1l-3 9a5.002 5.002 0 006.001 0M18 7l3 9m-3-9l-6-2m0-2v2m0 16V5m0 16H9m3 0h3"}}]})(props);
};
function HiOutlineScissors (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M14.121 14.121L19 19m-7-7l7-7m-7 7l-2.879 2.879M12 12L9.121 9.121m0 5.758a3 3 0 10-4.243 4.243 3 3 0 004.243-4.243zm0-5.758a3 3 0 10-4.243-4.243 3 3 0 004.243 4.243z"}}]})(props);
};
function HiOutlineSearchCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 16l2.879-2.879m0 0a3 3 0 104.243-4.242 3 3 0 00-4.243 4.242zM21 12a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineSearch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0z"}}]})(props);
};
function HiOutlineSelector (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 9l4-4 4 4m0 6l-4 4-4-4"}}]})(props);
};
function HiOutlineServer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M5 12h14M5 12a2 2 0 01-2-2V6a2 2 0 012-2h14a2 2 0 012 2v4a2 2 0 01-2 2M5 12a2 2 0 00-2 2v4a2 2 0 002 2h14a2 2 0 002-2v-4a2 2 0 00-2-2m-2-4h.01M17 16h.01"}}]})(props);
};
function HiOutlineShare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8.684 13.342C8.886 12.938 9 12.482 9 12c0-.482-.114-.938-.316-1.342m0 2.684a3 3 0 110-2.684m0 2.684l6.632 3.316m-6.632-6l6.632-3.316m0 0a3 3 0 105.367-2.684 3 3 0 00-5.367 2.684zm0 9.316a3 3 0 105.368 2.684 3 3 0 00-5.368-2.684z"}}]})(props);
};
function HiOutlineShieldCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 12l2 2 4-4m5.618-4.016A11.955 11.955 0 0112 2.944a11.955 11.955 0 01-8.618 3.04A12.02 12.02 0 003 9c0 5.591 3.824 10.29 9 11.622 5.176-1.332 9-6.03 9-11.622 0-1.042-.133-2.052-.382-3.016z"}}]})(props);
};
function HiOutlineShieldExclamation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M20.618 5.984A11.955 11.955 0 0112 2.944a11.955 11.955 0 01-8.618 3.04A12.02 12.02 0 003 9c0 5.591 3.824 10.29 9 11.622 5.176-1.332 9-6.03 9-11.622 0-1.042-.133-2.052-.382-3.016zM12 9v2m0 4h.01"}}]})(props);
};
function HiOutlineShoppingBag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M16 11V7a4 4 0 00-8 0v4M5 9h14l1 12H4L5 9z"}}]})(props);
};
function HiOutlineShoppingCart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 3h2l.4 2M7 13h10l4-8H5.4M7 13L5.4 5M7 13l-2.293 2.293c-.63.63-.184 1.707.707 1.707H17m0 0a2 2 0 100 4 2 2 0 000-4zm-8 2a2 2 0 11-4 0 2 2 0 014 0z"}}]})(props);
};
function HiOutlineSortAscending (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 4h13M3 8h9m-9 4h6m4 0l4-4m0 0l4 4m-4-4v12"}}]})(props);
};
function HiOutlineSortDescending (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 4h13M3 8h9m-9 4h9m5-4v12m0 0l-4-4m4 4l4-4"}}]})(props);
};
function HiOutlineSparkles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M5 3v4M3 5h4M6 17v4m-2-2h4m5-16l2.286 6.857L21 12l-5.714 2.143L13 21l-2.286-6.857L5 12l5.714-2.143L13 3z"}}]})(props);
};
function HiOutlineSpeakerphone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M11 5.882V19.24a1.76 1.76 0 01-3.417.592l-2.147-6.15M18 13a3 3 0 100-6M5.436 13.683A4.001 4.001 0 017 6h1.832c4.1 0 7.625-1.234 9.168-3v14c-1.543-1.766-5.067-3-9.168-3H7a3.988 3.988 0 01-1.564-.317z"}}]})(props);
};
function HiOutlineStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M11.049 2.927c.3-.921 1.603-.921 1.902 0l1.519 4.674a1 1 0 00.95.69h4.915c.969 0 1.371 1.24.588 1.81l-3.976 2.888a1 1 0 00-.363 1.118l1.518 4.674c.3.922-.755 1.688-1.538 1.118l-3.976-2.888a1 1 0 00-1.176 0l-3.976 2.888c-.783.57-1.838-.197-1.538-1.118l1.518-4.674a1 1 0 00-.363-1.118l-3.976-2.888c-.784-.57-.38-1.81.588-1.81h4.914a1 1 0 00.951-.69l1.519-4.674z"}}]})(props);
};
function HiOutlineStatusOffline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M18.364 5.636a9 9 0 010 12.728m0 0l-2.829-2.829m2.829 2.829L21 21M15.536 8.464a5 5 0 010 7.072m0 0l-2.829-2.829m-4.243 2.829a4.978 4.978 0 01-1.414-2.83m-1.414 5.658a9 9 0 01-2.167-9.238m7.824 2.167a1 1 0 111.414 1.414m-1.414-1.414L3 3m8.293 8.293l1.414 1.414"}}]})(props);
};
function HiOutlineStatusOnline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M5.636 18.364a9 9 0 010-12.728m12.728 0a9 9 0 010 12.728m-9.9-2.829a5 5 0 010-7.07m7.072 0a5 5 0 010 7.07M13 12a1 1 0 11-2 0 1 1 0 012 0z"}}]})(props);
};
function HiOutlineStop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M21 12a9 9 0 11-18 0 9 9 0 0118 0z"}},{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 10a1 1 0 011-1h4a1 1 0 011 1v4a1 1 0 01-1 1h-4a1 1 0 01-1-1v-4z"}}]})(props);
};
function HiOutlineSun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 3v1m0 16v1m9-9h-1M4 12H3m15.364 6.364l-.707-.707M6.343 6.343l-.707-.707m12.728 0l-.707.707M6.343 17.657l-.707.707M16 12a4 4 0 11-8 0 4 4 0 018 0z"}}]})(props);
};
function HiOutlineSupport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M18.364 5.636l-3.536 3.536m0 5.656l3.536 3.536M9.172 9.172L5.636 5.636m3.536 9.192l-3.536 3.536M21 12a9 9 0 11-18 0 9 9 0 0118 0zm-5 0a4 4 0 11-8 0 4 4 0 018 0z"}}]})(props);
};
function HiOutlineSwitchHorizontal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 7h12m0 0l-4-4m4 4l-4 4m0 6H4m0 0l4 4m-4-4l4-4"}}]})(props);
};
function HiOutlineSwitchVertical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M7 16V4m0 0L3 8m4-4l4 4m6 0v12m0 0l4-4m-4 4l-4-4"}}]})(props);
};
function HiOutlineTable (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 10h18M3 14h18m-9-4v8m-7 0h14a2 2 0 002-2V8a2 2 0 00-2-2H5a2 2 0 00-2 2v8a2 2 0 002 2z"}}]})(props);
};
function HiOutlineTag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M7 7h.01M7 3h5c.512 0 1.024.195 1.414.586l7 7a2 2 0 010 2.828l-7 7a2 2 0 01-2.828 0l-7-7A1.994 1.994 0 013 12V7a4 4 0 014-4z"}}]})(props);
};
function HiOutlineTemplate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4 5a1 1 0 011-1h14a1 1 0 011 1v2a1 1 0 01-1 1H5a1 1 0 01-1-1V5zM4 13a1 1 0 011-1h6a1 1 0 011 1v6a1 1 0 01-1 1H5a1 1 0 01-1-1v-6zM16 13a1 1 0 011-1h2a1 1 0 011 1v6a1 1 0 01-1 1h-2a1 1 0 01-1-1v-6z"}}]})(props);
};
function HiOutlineTerminal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8 9l3 3-3 3m5 0h3M5 20h14a2 2 0 002-2V6a2 2 0 00-2-2H5a2 2 0 00-2 2v12a2 2 0 002 2z"}}]})(props);
};
function HiOutlineThumbDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M10 14H5.236a2 2 0 01-1.789-2.894l3.5-7A2 2 0 018.736 3h4.018a2 2 0 01.485.06l3.76.94m-7 10v5a2 2 0 002 2h.096c.5 0 .905-.405.905-.904 0-.715.211-1.413.608-2.008L17 13V4m-7 10h2m5-10h2a2 2 0 012 2v6a2 2 0 01-2 2h-2.5"}}]})(props);
};
function HiOutlineThumbUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M14 10h4.764a2 2 0 011.789 2.894l-3.5 7A2 2 0 0115.263 21h-4.017c-.163 0-.326-.02-.485-.06L7 20m7-10V5a2 2 0 00-2-2h-.095c-.5 0-.905.405-.905.905 0 .714-.211 1.412-.608 2.006L7 11v9m7-10h-2M7 20H5a2 2 0 01-2-2v-6a2 2 0 012-2h2.5"}}]})(props);
};
function HiOutlineTicket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15 5v2m0 4v2m0 4v2M5 5a2 2 0 00-2 2v3a2 2 0 110 4v3a2 2 0 002 2h14a2 2 0 002-2v-3a2 2 0 110-4V7a2 2 0 00-2-2H5z"}}]})(props);
};
function HiOutlineTranslate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M3 5h12M9 3v2m1.048 9.5A18.022 18.022 0 016.412 9m6.088 9h7M11 21l5-10 5 10M12.751 5C11.783 10.77 8.07 15.61 3 18.129"}}]})(props);
};
function HiOutlineTrash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M19 7l-.867 12.142A2 2 0 0116.138 21H7.862a2 2 0 01-1.995-1.858L5 7m5 4v6m4-6v6m1-10V4a1 1 0 00-1-1h-4a1 1 0 00-1 1v3M4 7h16"}}]})(props);
};
function HiOutlineTrendingDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M13 17h8m0 0V9m0 8l-8-8-4 4-6-6"}}]})(props);
};
function HiOutlineTrendingUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M13 7h8m0 0v8m0-8l-8 8-4-4-6 6"}}]})(props);
};
function HiOutlineTruck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"d":"M9 17a2 2 0 11-4 0 2 2 0 014 0zM19 17a2 2 0 11-4 0 2 2 0 014 0z"}},{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M13 16V6a1 1 0 00-1-1H4a1 1 0 00-1 1v10a1 1 0 001 1h1m8-1a1 1 0 01-1 1H9m4-1V8a1 1 0 011-1h2.586a1 1 0 01.707.293l3.414 3.414a1 1 0 01.293.707V16a1 1 0 01-1 1h-1m-6-1a1 1 0 001 1h1M5 17a2 2 0 104 0m-4 0a2 2 0 114 0m6 0a2 2 0 104 0m-4 0a2 2 0 114 0"}}]})(props);
};
function HiOutlineUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4 16v1a3 3 0 003 3h10a3 3 0 003-3v-1m-4-8l-4-4m0 0L8 8m4-4v12"}}]})(props);
};
function HiOutlineUserAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M18 9v3m0 0v3m0-3h3m-3 0h-3m-2-5a4 4 0 11-8 0 4 4 0 018 0zM3 20a6 6 0 0112 0v1H3v-1z"}}]})(props);
};
function HiOutlineUserCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M5.121 17.804A13.937 13.937 0 0112 16c2.5 0 4.847.655 6.879 1.804M15 10a3 3 0 11-6 0 3 3 0 016 0zm6 2a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineUserGroup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M17 20h5v-2a3 3 0 00-5.356-1.857M17 20H7m10 0v-2c0-.656-.126-1.283-.356-1.857M7 20H2v-2a3 3 0 015.356-1.857M7 20v-2c0-.656.126-1.283.356-1.857m0 0a5.002 5.002 0 019.288 0M15 7a3 3 0 11-6 0 3 3 0 016 0zm6 3a2 2 0 11-4 0 2 2 0 014 0zM7 10a2 2 0 11-4 0 2 2 0 014 0z"}}]})(props);
};
function HiOutlineUserRemove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M13 7a4 4 0 11-8 0 4 4 0 018 0zM9 14a6 6 0 00-6 6v1h12v-1a6 6 0 00-6-6zM21 12h-6"}}]})(props);
};
function HiOutlineUser (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M16 7a4 4 0 11-8 0 4 4 0 018 0zM12 14a7 7 0 00-7 7h14a7 7 0 00-7-7z"}}]})(props);
};
function HiOutlineUsers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M12 4.354a4 4 0 110 5.292M15 21H3v-1a6 6 0 0112 0v1zm0 0h6v-1a6 6 0 00-9-5.197M13 7a4 4 0 11-8 0 4 4 0 018 0z"}}]})(props);
};
function HiOutlineVariable (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4.871 4A17.926 17.926 0 003 12c0 2.874.673 5.59 1.871 8m14.13 0a17.926 17.926 0 001.87-8c0-2.874-.673-5.59-1.87-8M9 9h1.246a1 1 0 01.961.725l1.586 5.55a1 1 0 00.961.725H15m1-7h-.08a2 2 0 00-1.519.698L9.6 15.302A2 2 0 018.08 16H8"}}]})(props);
};
function HiOutlineVideoCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15 10l4.553-2.276A1 1 0 0121 8.618v6.764a1 1 0 01-1.447.894L15 14M5 18h8a2 2 0 002-2V8a2 2 0 00-2-2H5a2 2 0 00-2 2v8a2 2 0 002 2z"}}]})(props);
};
function HiOutlineViewBoards (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M9 17V7m0 10a2 2 0 01-2 2H5a2 2 0 01-2-2V7a2 2 0 012-2h2a2 2 0 012 2m0 10a2 2 0 002 2h2a2 2 0 002-2M9 7a2 2 0 012-2h2a2 2 0 012 2m0 10V7m0 10a2 2 0 002 2h2a2 2 0 002-2V7a2 2 0 00-2-2h-2a2 2 0 00-2 2"}}]})(props);
};
function HiOutlineViewGridAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M17 14v6m-3-3h6M6 10h2a2 2 0 002-2V6a2 2 0 00-2-2H6a2 2 0 00-2 2v2a2 2 0 002 2zm10 0h2a2 2 0 002-2V6a2 2 0 00-2-2h-2a2 2 0 00-2 2v2a2 2 0 002 2zM6 20h2a2 2 0 002-2v-2a2 2 0 00-2-2H6a2 2 0 00-2 2v2a2 2 0 002 2z"}}]})(props);
};
function HiOutlineViewGrid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4 6a2 2 0 012-2h2a2 2 0 012 2v2a2 2 0 01-2 2H6a2 2 0 01-2-2V6zM14 6a2 2 0 012-2h2a2 2 0 012 2v2a2 2 0 01-2 2h-2a2 2 0 01-2-2V6zM4 16a2 2 0 012-2h2a2 2 0 012 2v2a2 2 0 01-2 2H6a2 2 0 01-2-2v-2zM14 16a2 2 0 012-2h2a2 2 0 012 2v2a2 2 0 01-2 2h-2a2 2 0 01-2-2v-2z"}}]})(props);
};
function HiOutlineViewList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M4 6h16M4 10h16M4 14h16M4 18h16"}}]})(props);
};
function HiOutlineVolumeOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M5.586 15H4a1 1 0 01-1-1v-4a1 1 0 011-1h1.586l4.707-4.707C10.923 3.663 12 4.109 12 5v14c0 .891-1.077 1.337-1.707.707L5.586 15z","clipRule":"evenodd"}},{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M17 14l2-2m0 0l2-2m-2 2l-2-2m2 2l2 2"}}]})(props);
};
function HiOutlineVolumeUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M15.536 8.464a5 5 0 010 7.072m2.828-9.9a9 9 0 010 12.728M5.586 15H4a1 1 0 01-1-1v-4a1 1 0 011-1h1.586l4.707-4.707C10.923 3.663 12 4.109 12 5v14c0 .891-1.077 1.337-1.707.707L5.586 15z"}}]})(props);
};
function HiOutlineWifi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M8.111 16.404a5.5 5.5 0 017.778 0M12 20h.01m-7.08-7.071c3.904-3.905 10.236-3.905 14.141 0M1.394 9.393c5.857-5.857 15.355-5.857 21.213 0"}}]})(props);
};
function HiOutlineXCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M10 14l2-2m0 0l2-2m-2 2l-2-2m2 2l2 2m7-2a9 9 0 11-18 0 9 9 0 0118 0z"}}]})(props);
};
function HiOutlineX (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M6 18L18 6M6 6l12 12"}}]})(props);
};
function HiOutlineZoomIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0zM10 7v3m0 0v3m0-3h3m-3 0H7"}}]})(props);
};
function HiOutlineZoomOut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"fill":"none","viewBox":"0 0 24 24","stroke":"currentColor"},"child":[{"tag":"path","attr":{"strokeLinecap":"round","strokeLinejoin":"round","strokeWidth":"2","d":"M21 21l-6-6m2-5a7 7 0 11-14 0 7 7 0 0114 0zM13 10H7"}}]})(props);
};


/***/ }),

/***/ "./node_modules/react-icons/io/index.esm.js":
/*!**************************************************!*\
  !*** ./node_modules/react-icons/io/index.esm.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "IoIosAdd": () => (/* binding */ IoIosAdd),
/* harmony export */   "IoIosAddCircle": () => (/* binding */ IoIosAddCircle),
/* harmony export */   "IoIosAddCircleOutline": () => (/* binding */ IoIosAddCircleOutline),
/* harmony export */   "IoIosAirplane": () => (/* binding */ IoIosAirplane),
/* harmony export */   "IoIosAlarm": () => (/* binding */ IoIosAlarm),
/* harmony export */   "IoIosAlbums": () => (/* binding */ IoIosAlbums),
/* harmony export */   "IoIosAlert": () => (/* binding */ IoIosAlert),
/* harmony export */   "IoIosAmericanFootball": () => (/* binding */ IoIosAmericanFootball),
/* harmony export */   "IoIosAnalytics": () => (/* binding */ IoIosAnalytics),
/* harmony export */   "IoIosAperture": () => (/* binding */ IoIosAperture),
/* harmony export */   "IoIosApps": () => (/* binding */ IoIosApps),
/* harmony export */   "IoIosAppstore": () => (/* binding */ IoIosAppstore),
/* harmony export */   "IoIosArchive": () => (/* binding */ IoIosArchive),
/* harmony export */   "IoIosArrowBack": () => (/* binding */ IoIosArrowBack),
/* harmony export */   "IoIosArrowDown": () => (/* binding */ IoIosArrowDown),
/* harmony export */   "IoIosArrowDropdown": () => (/* binding */ IoIosArrowDropdown),
/* harmony export */   "IoIosArrowDropdownCircle": () => (/* binding */ IoIosArrowDropdownCircle),
/* harmony export */   "IoIosArrowDropleft": () => (/* binding */ IoIosArrowDropleft),
/* harmony export */   "IoIosArrowDropleftCircle": () => (/* binding */ IoIosArrowDropleftCircle),
/* harmony export */   "IoIosArrowDropright": () => (/* binding */ IoIosArrowDropright),
/* harmony export */   "IoIosArrowDroprightCircle": () => (/* binding */ IoIosArrowDroprightCircle),
/* harmony export */   "IoIosArrowDropup": () => (/* binding */ IoIosArrowDropup),
/* harmony export */   "IoIosArrowDropupCircle": () => (/* binding */ IoIosArrowDropupCircle),
/* harmony export */   "IoIosArrowForward": () => (/* binding */ IoIosArrowForward),
/* harmony export */   "IoIosArrowRoundBack": () => (/* binding */ IoIosArrowRoundBack),
/* harmony export */   "IoIosArrowRoundDown": () => (/* binding */ IoIosArrowRoundDown),
/* harmony export */   "IoIosArrowRoundForward": () => (/* binding */ IoIosArrowRoundForward),
/* harmony export */   "IoIosArrowRoundUp": () => (/* binding */ IoIosArrowRoundUp),
/* harmony export */   "IoIosArrowUp": () => (/* binding */ IoIosArrowUp),
/* harmony export */   "IoIosAt": () => (/* binding */ IoIosAt),
/* harmony export */   "IoIosAttach": () => (/* binding */ IoIosAttach),
/* harmony export */   "IoIosBackspace": () => (/* binding */ IoIosBackspace),
/* harmony export */   "IoIosBarcode": () => (/* binding */ IoIosBarcode),
/* harmony export */   "IoIosBaseball": () => (/* binding */ IoIosBaseball),
/* harmony export */   "IoIosBasket": () => (/* binding */ IoIosBasket),
/* harmony export */   "IoIosBasketball": () => (/* binding */ IoIosBasketball),
/* harmony export */   "IoIosBatteryCharging": () => (/* binding */ IoIosBatteryCharging),
/* harmony export */   "IoIosBatteryDead": () => (/* binding */ IoIosBatteryDead),
/* harmony export */   "IoIosBatteryFull": () => (/* binding */ IoIosBatteryFull),
/* harmony export */   "IoIosBeaker": () => (/* binding */ IoIosBeaker),
/* harmony export */   "IoIosBed": () => (/* binding */ IoIosBed),
/* harmony export */   "IoIosBeer": () => (/* binding */ IoIosBeer),
/* harmony export */   "IoIosBicycle": () => (/* binding */ IoIosBicycle),
/* harmony export */   "IoIosBluetooth": () => (/* binding */ IoIosBluetooth),
/* harmony export */   "IoIosBoat": () => (/* binding */ IoIosBoat),
/* harmony export */   "IoIosBody": () => (/* binding */ IoIosBody),
/* harmony export */   "IoIosBonfire": () => (/* binding */ IoIosBonfire),
/* harmony export */   "IoIosBook": () => (/* binding */ IoIosBook),
/* harmony export */   "IoIosBookmark": () => (/* binding */ IoIosBookmark),
/* harmony export */   "IoIosBookmarks": () => (/* binding */ IoIosBookmarks),
/* harmony export */   "IoIosBowtie": () => (/* binding */ IoIosBowtie),
/* harmony export */   "IoIosBriefcase": () => (/* binding */ IoIosBriefcase),
/* harmony export */   "IoIosBrowsers": () => (/* binding */ IoIosBrowsers),
/* harmony export */   "IoIosBrush": () => (/* binding */ IoIosBrush),
/* harmony export */   "IoIosBug": () => (/* binding */ IoIosBug),
/* harmony export */   "IoIosBuild": () => (/* binding */ IoIosBuild),
/* harmony export */   "IoIosBulb": () => (/* binding */ IoIosBulb),
/* harmony export */   "IoIosBus": () => (/* binding */ IoIosBus),
/* harmony export */   "IoIosBusiness": () => (/* binding */ IoIosBusiness),
/* harmony export */   "IoIosCafe": () => (/* binding */ IoIosCafe),
/* harmony export */   "IoIosCalculator": () => (/* binding */ IoIosCalculator),
/* harmony export */   "IoIosCalendar": () => (/* binding */ IoIosCalendar),
/* harmony export */   "IoIosCall": () => (/* binding */ IoIosCall),
/* harmony export */   "IoIosCamera": () => (/* binding */ IoIosCamera),
/* harmony export */   "IoIosCar": () => (/* binding */ IoIosCar),
/* harmony export */   "IoIosCard": () => (/* binding */ IoIosCard),
/* harmony export */   "IoIosCart": () => (/* binding */ IoIosCart),
/* harmony export */   "IoIosCash": () => (/* binding */ IoIosCash),
/* harmony export */   "IoIosCellular": () => (/* binding */ IoIosCellular),
/* harmony export */   "IoIosChatboxes": () => (/* binding */ IoIosChatboxes),
/* harmony export */   "IoIosChatbubbles": () => (/* binding */ IoIosChatbubbles),
/* harmony export */   "IoIosCheckbox": () => (/* binding */ IoIosCheckbox),
/* harmony export */   "IoIosCheckboxOutline": () => (/* binding */ IoIosCheckboxOutline),
/* harmony export */   "IoIosCheckmark": () => (/* binding */ IoIosCheckmark),
/* harmony export */   "IoIosCheckmarkCircle": () => (/* binding */ IoIosCheckmarkCircle),
/* harmony export */   "IoIosCheckmarkCircleOutline": () => (/* binding */ IoIosCheckmarkCircleOutline),
/* harmony export */   "IoIosClipboard": () => (/* binding */ IoIosClipboard),
/* harmony export */   "IoIosClock": () => (/* binding */ IoIosClock),
/* harmony export */   "IoIosClose": () => (/* binding */ IoIosClose),
/* harmony export */   "IoIosCloseCircle": () => (/* binding */ IoIosCloseCircle),
/* harmony export */   "IoIosCloseCircleOutline": () => (/* binding */ IoIosCloseCircleOutline),
/* harmony export */   "IoIosCloud": () => (/* binding */ IoIosCloud),
/* harmony export */   "IoIosCloudCircle": () => (/* binding */ IoIosCloudCircle),
/* harmony export */   "IoIosCloudDone": () => (/* binding */ IoIosCloudDone),
/* harmony export */   "IoIosCloudDownload": () => (/* binding */ IoIosCloudDownload),
/* harmony export */   "IoIosCloudOutline": () => (/* binding */ IoIosCloudOutline),
/* harmony export */   "IoIosCloudUpload": () => (/* binding */ IoIosCloudUpload),
/* harmony export */   "IoIosCloudy": () => (/* binding */ IoIosCloudy),
/* harmony export */   "IoIosCloudyNight": () => (/* binding */ IoIosCloudyNight),
/* harmony export */   "IoIosCode": () => (/* binding */ IoIosCode),
/* harmony export */   "IoIosCodeDownload": () => (/* binding */ IoIosCodeDownload),
/* harmony export */   "IoIosCodeWorking": () => (/* binding */ IoIosCodeWorking),
/* harmony export */   "IoIosCog": () => (/* binding */ IoIosCog),
/* harmony export */   "IoIosColorFill": () => (/* binding */ IoIosColorFill),
/* harmony export */   "IoIosColorFilter": () => (/* binding */ IoIosColorFilter),
/* harmony export */   "IoIosColorPalette": () => (/* binding */ IoIosColorPalette),
/* harmony export */   "IoIosColorWand": () => (/* binding */ IoIosColorWand),
/* harmony export */   "IoIosCompass": () => (/* binding */ IoIosCompass),
/* harmony export */   "IoIosConstruct": () => (/* binding */ IoIosConstruct),
/* harmony export */   "IoIosContact": () => (/* binding */ IoIosContact),
/* harmony export */   "IoIosContacts": () => (/* binding */ IoIosContacts),
/* harmony export */   "IoIosContract": () => (/* binding */ IoIosContract),
/* harmony export */   "IoIosContrast": () => (/* binding */ IoIosContrast),
/* harmony export */   "IoIosCopy": () => (/* binding */ IoIosCopy),
/* harmony export */   "IoIosCreate": () => (/* binding */ IoIosCreate),
/* harmony export */   "IoIosCrop": () => (/* binding */ IoIosCrop),
/* harmony export */   "IoIosCube": () => (/* binding */ IoIosCube),
/* harmony export */   "IoIosCut": () => (/* binding */ IoIosCut),
/* harmony export */   "IoIosDesktop": () => (/* binding */ IoIosDesktop),
/* harmony export */   "IoIosDisc": () => (/* binding */ IoIosDisc),
/* harmony export */   "IoIosDocument": () => (/* binding */ IoIosDocument),
/* harmony export */   "IoIosDoneAll": () => (/* binding */ IoIosDoneAll),
/* harmony export */   "IoIosDownload": () => (/* binding */ IoIosDownload),
/* harmony export */   "IoIosEasel": () => (/* binding */ IoIosEasel),
/* harmony export */   "IoIosEgg": () => (/* binding */ IoIosEgg),
/* harmony export */   "IoIosExit": () => (/* binding */ IoIosExit),
/* harmony export */   "IoIosExpand": () => (/* binding */ IoIosExpand),
/* harmony export */   "IoIosEye": () => (/* binding */ IoIosEye),
/* harmony export */   "IoIosEyeOff": () => (/* binding */ IoIosEyeOff),
/* harmony export */   "IoIosFastforward": () => (/* binding */ IoIosFastforward),
/* harmony export */   "IoIosFemale": () => (/* binding */ IoIosFemale),
/* harmony export */   "IoIosFiling": () => (/* binding */ IoIosFiling),
/* harmony export */   "IoIosFilm": () => (/* binding */ IoIosFilm),
/* harmony export */   "IoIosFingerPrint": () => (/* binding */ IoIosFingerPrint),
/* harmony export */   "IoIosFitness": () => (/* binding */ IoIosFitness),
/* harmony export */   "IoIosFlag": () => (/* binding */ IoIosFlag),
/* harmony export */   "IoIosFlame": () => (/* binding */ IoIosFlame),
/* harmony export */   "IoIosFlash": () => (/* binding */ IoIosFlash),
/* harmony export */   "IoIosFlashOff": () => (/* binding */ IoIosFlashOff),
/* harmony export */   "IoIosFlashlight": () => (/* binding */ IoIosFlashlight),
/* harmony export */   "IoIosFlask": () => (/* binding */ IoIosFlask),
/* harmony export */   "IoIosFlower": () => (/* binding */ IoIosFlower),
/* harmony export */   "IoIosFolder": () => (/* binding */ IoIosFolder),
/* harmony export */   "IoIosFolderOpen": () => (/* binding */ IoIosFolderOpen),
/* harmony export */   "IoIosFootball": () => (/* binding */ IoIosFootball),
/* harmony export */   "IoIosFunnel": () => (/* binding */ IoIosFunnel),
/* harmony export */   "IoIosGift": () => (/* binding */ IoIosGift),
/* harmony export */   "IoIosGitBranch": () => (/* binding */ IoIosGitBranch),
/* harmony export */   "IoIosGitCommit": () => (/* binding */ IoIosGitCommit),
/* harmony export */   "IoIosGitCompare": () => (/* binding */ IoIosGitCompare),
/* harmony export */   "IoIosGitMerge": () => (/* binding */ IoIosGitMerge),
/* harmony export */   "IoIosGitNetwork": () => (/* binding */ IoIosGitNetwork),
/* harmony export */   "IoIosGitPullRequest": () => (/* binding */ IoIosGitPullRequest),
/* harmony export */   "IoIosGlasses": () => (/* binding */ IoIosGlasses),
/* harmony export */   "IoIosGlobe": () => (/* binding */ IoIosGlobe),
/* harmony export */   "IoIosGrid": () => (/* binding */ IoIosGrid),
/* harmony export */   "IoIosHammer": () => (/* binding */ IoIosHammer),
/* harmony export */   "IoIosHand": () => (/* binding */ IoIosHand),
/* harmony export */   "IoIosHappy": () => (/* binding */ IoIosHappy),
/* harmony export */   "IoIosHeadset": () => (/* binding */ IoIosHeadset),
/* harmony export */   "IoIosHeart": () => (/* binding */ IoIosHeart),
/* harmony export */   "IoIosHeartDislike": () => (/* binding */ IoIosHeartDislike),
/* harmony export */   "IoIosHeartEmpty": () => (/* binding */ IoIosHeartEmpty),
/* harmony export */   "IoIosHeartHalf": () => (/* binding */ IoIosHeartHalf),
/* harmony export */   "IoIosHelp": () => (/* binding */ IoIosHelp),
/* harmony export */   "IoIosHelpBuoy": () => (/* binding */ IoIosHelpBuoy),
/* harmony export */   "IoIosHelpCircle": () => (/* binding */ IoIosHelpCircle),
/* harmony export */   "IoIosHelpCircleOutline": () => (/* binding */ IoIosHelpCircleOutline),
/* harmony export */   "IoIosHome": () => (/* binding */ IoIosHome),
/* harmony export */   "IoIosHourglass": () => (/* binding */ IoIosHourglass),
/* harmony export */   "IoIosIceCream": () => (/* binding */ IoIosIceCream),
/* harmony export */   "IoIosImage": () => (/* binding */ IoIosImage),
/* harmony export */   "IoIosImages": () => (/* binding */ IoIosImages),
/* harmony export */   "IoIosInfinite": () => (/* binding */ IoIosInfinite),
/* harmony export */   "IoIosInformation": () => (/* binding */ IoIosInformation),
/* harmony export */   "IoIosInformationCircle": () => (/* binding */ IoIosInformationCircle),
/* harmony export */   "IoIosInformationCircleOutline": () => (/* binding */ IoIosInformationCircleOutline),
/* harmony export */   "IoIosJet": () => (/* binding */ IoIosJet),
/* harmony export */   "IoIosJournal": () => (/* binding */ IoIosJournal),
/* harmony export */   "IoIosKey": () => (/* binding */ IoIosKey),
/* harmony export */   "IoIosKeypad": () => (/* binding */ IoIosKeypad),
/* harmony export */   "IoIosLaptop": () => (/* binding */ IoIosLaptop),
/* harmony export */   "IoIosLeaf": () => (/* binding */ IoIosLeaf),
/* harmony export */   "IoIosLink": () => (/* binding */ IoIosLink),
/* harmony export */   "IoIosList": () => (/* binding */ IoIosList),
/* harmony export */   "IoIosListBox": () => (/* binding */ IoIosListBox),
/* harmony export */   "IoIosLocate": () => (/* binding */ IoIosLocate),
/* harmony export */   "IoIosLock": () => (/* binding */ IoIosLock),
/* harmony export */   "IoIosLogIn": () => (/* binding */ IoIosLogIn),
/* harmony export */   "IoIosLogOut": () => (/* binding */ IoIosLogOut),
/* harmony export */   "IoIosMagnet": () => (/* binding */ IoIosMagnet),
/* harmony export */   "IoIosMail": () => (/* binding */ IoIosMail),
/* harmony export */   "IoIosMailOpen": () => (/* binding */ IoIosMailOpen),
/* harmony export */   "IoIosMailUnread": () => (/* binding */ IoIosMailUnread),
/* harmony export */   "IoIosMale": () => (/* binding */ IoIosMale),
/* harmony export */   "IoIosMan": () => (/* binding */ IoIosMan),
/* harmony export */   "IoIosMap": () => (/* binding */ IoIosMap),
/* harmony export */   "IoIosMedal": () => (/* binding */ IoIosMedal),
/* harmony export */   "IoIosMedical": () => (/* binding */ IoIosMedical),
/* harmony export */   "IoIosMedkit": () => (/* binding */ IoIosMedkit),
/* harmony export */   "IoIosMegaphone": () => (/* binding */ IoIosMegaphone),
/* harmony export */   "IoIosMenu": () => (/* binding */ IoIosMenu),
/* harmony export */   "IoIosMic": () => (/* binding */ IoIosMic),
/* harmony export */   "IoIosMicOff": () => (/* binding */ IoIosMicOff),
/* harmony export */   "IoIosMicrophone": () => (/* binding */ IoIosMicrophone),
/* harmony export */   "IoIosMoon": () => (/* binding */ IoIosMoon),
/* harmony export */   "IoIosMore": () => (/* binding */ IoIosMore),
/* harmony export */   "IoIosMove": () => (/* binding */ IoIosMove),
/* harmony export */   "IoIosMusicalNote": () => (/* binding */ IoIosMusicalNote),
/* harmony export */   "IoIosMusicalNotes": () => (/* binding */ IoIosMusicalNotes),
/* harmony export */   "IoIosNavigate": () => (/* binding */ IoIosNavigate),
/* harmony export */   "IoIosNotifications": () => (/* binding */ IoIosNotifications),
/* harmony export */   "IoIosNotificationsOff": () => (/* binding */ IoIosNotificationsOff),
/* harmony export */   "IoIosNotificationsOutline": () => (/* binding */ IoIosNotificationsOutline),
/* harmony export */   "IoIosNuclear": () => (/* binding */ IoIosNuclear),
/* harmony export */   "IoIosNutrition": () => (/* binding */ IoIosNutrition),
/* harmony export */   "IoIosOpen": () => (/* binding */ IoIosOpen),
/* harmony export */   "IoIosOptions": () => (/* binding */ IoIosOptions),
/* harmony export */   "IoIosOutlet": () => (/* binding */ IoIosOutlet),
/* harmony export */   "IoIosPaper": () => (/* binding */ IoIosPaper),
/* harmony export */   "IoIosPaperPlane": () => (/* binding */ IoIosPaperPlane),
/* harmony export */   "IoIosPartlySunny": () => (/* binding */ IoIosPartlySunny),
/* harmony export */   "IoIosPause": () => (/* binding */ IoIosPause),
/* harmony export */   "IoIosPaw": () => (/* binding */ IoIosPaw),
/* harmony export */   "IoIosPeople": () => (/* binding */ IoIosPeople),
/* harmony export */   "IoIosPerson": () => (/* binding */ IoIosPerson),
/* harmony export */   "IoIosPersonAdd": () => (/* binding */ IoIosPersonAdd),
/* harmony export */   "IoIosPhoneLandscape": () => (/* binding */ IoIosPhoneLandscape),
/* harmony export */   "IoIosPhonePortrait": () => (/* binding */ IoIosPhonePortrait),
/* harmony export */   "IoIosPhotos": () => (/* binding */ IoIosPhotos),
/* harmony export */   "IoIosPie": () => (/* binding */ IoIosPie),
/* harmony export */   "IoIosPin": () => (/* binding */ IoIosPin),
/* harmony export */   "IoIosPint": () => (/* binding */ IoIosPint),
/* harmony export */   "IoIosPizza": () => (/* binding */ IoIosPizza),
/* harmony export */   "IoIosPlanet": () => (/* binding */ IoIosPlanet),
/* harmony export */   "IoIosPlay": () => (/* binding */ IoIosPlay),
/* harmony export */   "IoIosPlayCircle": () => (/* binding */ IoIosPlayCircle),
/* harmony export */   "IoIosPodium": () => (/* binding */ IoIosPodium),
/* harmony export */   "IoIosPower": () => (/* binding */ IoIosPower),
/* harmony export */   "IoIosPricetag": () => (/* binding */ IoIosPricetag),
/* harmony export */   "IoIosPricetags": () => (/* binding */ IoIosPricetags),
/* harmony export */   "IoIosPrint": () => (/* binding */ IoIosPrint),
/* harmony export */   "IoIosPulse": () => (/* binding */ IoIosPulse),
/* harmony export */   "IoIosQrScanner": () => (/* binding */ IoIosQrScanner),
/* harmony export */   "IoIosQuote": () => (/* binding */ IoIosQuote),
/* harmony export */   "IoIosRadio": () => (/* binding */ IoIosRadio),
/* harmony export */   "IoIosRadioButtonOff": () => (/* binding */ IoIosRadioButtonOff),
/* harmony export */   "IoIosRadioButtonOn": () => (/* binding */ IoIosRadioButtonOn),
/* harmony export */   "IoIosRainy": () => (/* binding */ IoIosRainy),
/* harmony export */   "IoIosRecording": () => (/* binding */ IoIosRecording),
/* harmony export */   "IoIosRedo": () => (/* binding */ IoIosRedo),
/* harmony export */   "IoIosRefresh": () => (/* binding */ IoIosRefresh),
/* harmony export */   "IoIosRefreshCircle": () => (/* binding */ IoIosRefreshCircle),
/* harmony export */   "IoIosRemove": () => (/* binding */ IoIosRemove),
/* harmony export */   "IoIosRemoveCircle": () => (/* binding */ IoIosRemoveCircle),
/* harmony export */   "IoIosRemoveCircleOutline": () => (/* binding */ IoIosRemoveCircleOutline),
/* harmony export */   "IoIosReorder": () => (/* binding */ IoIosReorder),
/* harmony export */   "IoIosRepeat": () => (/* binding */ IoIosRepeat),
/* harmony export */   "IoIosResize": () => (/* binding */ IoIosResize),
/* harmony export */   "IoIosRestaurant": () => (/* binding */ IoIosRestaurant),
/* harmony export */   "IoIosReturnLeft": () => (/* binding */ IoIosReturnLeft),
/* harmony export */   "IoIosReturnRight": () => (/* binding */ IoIosReturnRight),
/* harmony export */   "IoIosReverseCamera": () => (/* binding */ IoIosReverseCamera),
/* harmony export */   "IoIosRewind": () => (/* binding */ IoIosRewind),
/* harmony export */   "IoIosRibbon": () => (/* binding */ IoIosRibbon),
/* harmony export */   "IoIosRocket": () => (/* binding */ IoIosRocket),
/* harmony export */   "IoIosRose": () => (/* binding */ IoIosRose),
/* harmony export */   "IoIosSad": () => (/* binding */ IoIosSad),
/* harmony export */   "IoIosSave": () => (/* binding */ IoIosSave),
/* harmony export */   "IoIosSchool": () => (/* binding */ IoIosSchool),
/* harmony export */   "IoIosSearch": () => (/* binding */ IoIosSearch),
/* harmony export */   "IoIosSend": () => (/* binding */ IoIosSend),
/* harmony export */   "IoIosSettings": () => (/* binding */ IoIosSettings),
/* harmony export */   "IoIosShare": () => (/* binding */ IoIosShare),
/* harmony export */   "IoIosShareAlt": () => (/* binding */ IoIosShareAlt),
/* harmony export */   "IoIosShirt": () => (/* binding */ IoIosShirt),
/* harmony export */   "IoIosShuffle": () => (/* binding */ IoIosShuffle),
/* harmony export */   "IoIosSkipBackward": () => (/* binding */ IoIosSkipBackward),
/* harmony export */   "IoIosSkipForward": () => (/* binding */ IoIosSkipForward),
/* harmony export */   "IoIosSnow": () => (/* binding */ IoIosSnow),
/* harmony export */   "IoIosSpeedometer": () => (/* binding */ IoIosSpeedometer),
/* harmony export */   "IoIosSquare": () => (/* binding */ IoIosSquare),
/* harmony export */   "IoIosSquareOutline": () => (/* binding */ IoIosSquareOutline),
/* harmony export */   "IoIosStar": () => (/* binding */ IoIosStar),
/* harmony export */   "IoIosStarHalf": () => (/* binding */ IoIosStarHalf),
/* harmony export */   "IoIosStarOutline": () => (/* binding */ IoIosStarOutline),
/* harmony export */   "IoIosStats": () => (/* binding */ IoIosStats),
/* harmony export */   "IoIosStopwatch": () => (/* binding */ IoIosStopwatch),
/* harmony export */   "IoIosSubway": () => (/* binding */ IoIosSubway),
/* harmony export */   "IoIosSunny": () => (/* binding */ IoIosSunny),
/* harmony export */   "IoIosSwap": () => (/* binding */ IoIosSwap),
/* harmony export */   "IoIosSwitch": () => (/* binding */ IoIosSwitch),
/* harmony export */   "IoIosSync": () => (/* binding */ IoIosSync),
/* harmony export */   "IoIosTabletLandscape": () => (/* binding */ IoIosTabletLandscape),
/* harmony export */   "IoIosTabletPortrait": () => (/* binding */ IoIosTabletPortrait),
/* harmony export */   "IoIosTennisball": () => (/* binding */ IoIosTennisball),
/* harmony export */   "IoIosText": () => (/* binding */ IoIosText),
/* harmony export */   "IoIosThermometer": () => (/* binding */ IoIosThermometer),
/* harmony export */   "IoIosThumbsDown": () => (/* binding */ IoIosThumbsDown),
/* harmony export */   "IoIosThumbsUp": () => (/* binding */ IoIosThumbsUp),
/* harmony export */   "IoIosThunderstorm": () => (/* binding */ IoIosThunderstorm),
/* harmony export */   "IoIosTime": () => (/* binding */ IoIosTime),
/* harmony export */   "IoIosTimer": () => (/* binding */ IoIosTimer),
/* harmony export */   "IoIosToday": () => (/* binding */ IoIosToday),
/* harmony export */   "IoIosTrain": () => (/* binding */ IoIosTrain),
/* harmony export */   "IoIosTransgender": () => (/* binding */ IoIosTransgender),
/* harmony export */   "IoIosTrash": () => (/* binding */ IoIosTrash),
/* harmony export */   "IoIosTrendingDown": () => (/* binding */ IoIosTrendingDown),
/* harmony export */   "IoIosTrendingUp": () => (/* binding */ IoIosTrendingUp),
/* harmony export */   "IoIosTrophy": () => (/* binding */ IoIosTrophy),
/* harmony export */   "IoIosTv": () => (/* binding */ IoIosTv),
/* harmony export */   "IoIosUmbrella": () => (/* binding */ IoIosUmbrella),
/* harmony export */   "IoIosUndo": () => (/* binding */ IoIosUndo),
/* harmony export */   "IoIosUnlock": () => (/* binding */ IoIosUnlock),
/* harmony export */   "IoIosVideocam": () => (/* binding */ IoIosVideocam),
/* harmony export */   "IoIosVolumeHigh": () => (/* binding */ IoIosVolumeHigh),
/* harmony export */   "IoIosVolumeLow": () => (/* binding */ IoIosVolumeLow),
/* harmony export */   "IoIosVolumeMute": () => (/* binding */ IoIosVolumeMute),
/* harmony export */   "IoIosVolumeOff": () => (/* binding */ IoIosVolumeOff),
/* harmony export */   "IoIosWalk": () => (/* binding */ IoIosWalk),
/* harmony export */   "IoIosWallet": () => (/* binding */ IoIosWallet),
/* harmony export */   "IoIosWarning": () => (/* binding */ IoIosWarning),
/* harmony export */   "IoIosWatch": () => (/* binding */ IoIosWatch),
/* harmony export */   "IoIosWater": () => (/* binding */ IoIosWater),
/* harmony export */   "IoIosWifi": () => (/* binding */ IoIosWifi),
/* harmony export */   "IoIosWine": () => (/* binding */ IoIosWine),
/* harmony export */   "IoIosWoman": () => (/* binding */ IoIosWoman),
/* harmony export */   "IoLogoAndroid": () => (/* binding */ IoLogoAndroid),
/* harmony export */   "IoLogoAngular": () => (/* binding */ IoLogoAngular),
/* harmony export */   "IoLogoApple": () => (/* binding */ IoLogoApple),
/* harmony export */   "IoLogoBitbucket": () => (/* binding */ IoLogoBitbucket),
/* harmony export */   "IoLogoBitcoin": () => (/* binding */ IoLogoBitcoin),
/* harmony export */   "IoLogoBuffer": () => (/* binding */ IoLogoBuffer),
/* harmony export */   "IoLogoChrome": () => (/* binding */ IoLogoChrome),
/* harmony export */   "IoLogoClosedCaptioning": () => (/* binding */ IoLogoClosedCaptioning),
/* harmony export */   "IoLogoCodepen": () => (/* binding */ IoLogoCodepen),
/* harmony export */   "IoLogoCss3": () => (/* binding */ IoLogoCss3),
/* harmony export */   "IoLogoDesignernews": () => (/* binding */ IoLogoDesignernews),
/* harmony export */   "IoLogoDribbble": () => (/* binding */ IoLogoDribbble),
/* harmony export */   "IoLogoDropbox": () => (/* binding */ IoLogoDropbox),
/* harmony export */   "IoLogoEuro": () => (/* binding */ IoLogoEuro),
/* harmony export */   "IoLogoFacebook": () => (/* binding */ IoLogoFacebook),
/* harmony export */   "IoLogoFlickr": () => (/* binding */ IoLogoFlickr),
/* harmony export */   "IoLogoFoursquare": () => (/* binding */ IoLogoFoursquare),
/* harmony export */   "IoLogoFreebsdDevil": () => (/* binding */ IoLogoFreebsdDevil),
/* harmony export */   "IoLogoGameControllerA": () => (/* binding */ IoLogoGameControllerA),
/* harmony export */   "IoLogoGameControllerB": () => (/* binding */ IoLogoGameControllerB),
/* harmony export */   "IoLogoGithub": () => (/* binding */ IoLogoGithub),
/* harmony export */   "IoLogoGoogle": () => (/* binding */ IoLogoGoogle),
/* harmony export */   "IoLogoGoogleplus": () => (/* binding */ IoLogoGoogleplus),
/* harmony export */   "IoLogoHackernews": () => (/* binding */ IoLogoHackernews),
/* harmony export */   "IoLogoHtml5": () => (/* binding */ IoLogoHtml5),
/* harmony export */   "IoLogoInstagram": () => (/* binding */ IoLogoInstagram),
/* harmony export */   "IoLogoIonic": () => (/* binding */ IoLogoIonic),
/* harmony export */   "IoLogoIonitron": () => (/* binding */ IoLogoIonitron),
/* harmony export */   "IoLogoJavascript": () => (/* binding */ IoLogoJavascript),
/* harmony export */   "IoLogoLinkedin": () => (/* binding */ IoLogoLinkedin),
/* harmony export */   "IoLogoMarkdown": () => (/* binding */ IoLogoMarkdown),
/* harmony export */   "IoLogoModelS": () => (/* binding */ IoLogoModelS),
/* harmony export */   "IoLogoNoSmoking": () => (/* binding */ IoLogoNoSmoking),
/* harmony export */   "IoLogoNodejs": () => (/* binding */ IoLogoNodejs),
/* harmony export */   "IoLogoNpm": () => (/* binding */ IoLogoNpm),
/* harmony export */   "IoLogoOctocat": () => (/* binding */ IoLogoOctocat),
/* harmony export */   "IoLogoPinterest": () => (/* binding */ IoLogoPinterest),
/* harmony export */   "IoLogoPlaystation": () => (/* binding */ IoLogoPlaystation),
/* harmony export */   "IoLogoPolymer": () => (/* binding */ IoLogoPolymer),
/* harmony export */   "IoLogoPython": () => (/* binding */ IoLogoPython),
/* harmony export */   "IoLogoReddit": () => (/* binding */ IoLogoReddit),
/* harmony export */   "IoLogoRss": () => (/* binding */ IoLogoRss),
/* harmony export */   "IoLogoSass": () => (/* binding */ IoLogoSass),
/* harmony export */   "IoLogoSkype": () => (/* binding */ IoLogoSkype),
/* harmony export */   "IoLogoSlack": () => (/* binding */ IoLogoSlack),
/* harmony export */   "IoLogoSnapchat": () => (/* binding */ IoLogoSnapchat),
/* harmony export */   "IoLogoSteam": () => (/* binding */ IoLogoSteam),
/* harmony export */   "IoLogoTumblr": () => (/* binding */ IoLogoTumblr),
/* harmony export */   "IoLogoTux": () => (/* binding */ IoLogoTux),
/* harmony export */   "IoLogoTwitch": () => (/* binding */ IoLogoTwitch),
/* harmony export */   "IoLogoTwitter": () => (/* binding */ IoLogoTwitter),
/* harmony export */   "IoLogoUsd": () => (/* binding */ IoLogoUsd),
/* harmony export */   "IoLogoVimeo": () => (/* binding */ IoLogoVimeo),
/* harmony export */   "IoLogoVk": () => (/* binding */ IoLogoVk),
/* harmony export */   "IoLogoWhatsapp": () => (/* binding */ IoLogoWhatsapp),
/* harmony export */   "IoLogoWindows": () => (/* binding */ IoLogoWindows),
/* harmony export */   "IoLogoWordpress": () => (/* binding */ IoLogoWordpress),
/* harmony export */   "IoLogoXbox": () => (/* binding */ IoLogoXbox),
/* harmony export */   "IoLogoXing": () => (/* binding */ IoLogoXing),
/* harmony export */   "IoLogoYahoo": () => (/* binding */ IoLogoYahoo),
/* harmony export */   "IoLogoYen": () => (/* binding */ IoLogoYen),
/* harmony export */   "IoLogoYoutube": () => (/* binding */ IoLogoYoutube),
/* harmony export */   "IoMdAdd": () => (/* binding */ IoMdAdd),
/* harmony export */   "IoMdAddCircle": () => (/* binding */ IoMdAddCircle),
/* harmony export */   "IoMdAddCircleOutline": () => (/* binding */ IoMdAddCircleOutline),
/* harmony export */   "IoMdAirplane": () => (/* binding */ IoMdAirplane),
/* harmony export */   "IoMdAlarm": () => (/* binding */ IoMdAlarm),
/* harmony export */   "IoMdAlbums": () => (/* binding */ IoMdAlbums),
/* harmony export */   "IoMdAlert": () => (/* binding */ IoMdAlert),
/* harmony export */   "IoMdAmericanFootball": () => (/* binding */ IoMdAmericanFootball),
/* harmony export */   "IoMdAnalytics": () => (/* binding */ IoMdAnalytics),
/* harmony export */   "IoMdAperture": () => (/* binding */ IoMdAperture),
/* harmony export */   "IoMdApps": () => (/* binding */ IoMdApps),
/* harmony export */   "IoMdAppstore": () => (/* binding */ IoMdAppstore),
/* harmony export */   "IoMdArchive": () => (/* binding */ IoMdArchive),
/* harmony export */   "IoMdArrowBack": () => (/* binding */ IoMdArrowBack),
/* harmony export */   "IoMdArrowDown": () => (/* binding */ IoMdArrowDown),
/* harmony export */   "IoMdArrowDropdown": () => (/* binding */ IoMdArrowDropdown),
/* harmony export */   "IoMdArrowDropdownCircle": () => (/* binding */ IoMdArrowDropdownCircle),
/* harmony export */   "IoMdArrowDropleft": () => (/* binding */ IoMdArrowDropleft),
/* harmony export */   "IoMdArrowDropleftCircle": () => (/* binding */ IoMdArrowDropleftCircle),
/* harmony export */   "IoMdArrowDropright": () => (/* binding */ IoMdArrowDropright),
/* harmony export */   "IoMdArrowDroprightCircle": () => (/* binding */ IoMdArrowDroprightCircle),
/* harmony export */   "IoMdArrowDropup": () => (/* binding */ IoMdArrowDropup),
/* harmony export */   "IoMdArrowDropupCircle": () => (/* binding */ IoMdArrowDropupCircle),
/* harmony export */   "IoMdArrowForward": () => (/* binding */ IoMdArrowForward),
/* harmony export */   "IoMdArrowRoundBack": () => (/* binding */ IoMdArrowRoundBack),
/* harmony export */   "IoMdArrowRoundDown": () => (/* binding */ IoMdArrowRoundDown),
/* harmony export */   "IoMdArrowRoundForward": () => (/* binding */ IoMdArrowRoundForward),
/* harmony export */   "IoMdArrowRoundUp": () => (/* binding */ IoMdArrowRoundUp),
/* harmony export */   "IoMdArrowUp": () => (/* binding */ IoMdArrowUp),
/* harmony export */   "IoMdAt": () => (/* binding */ IoMdAt),
/* harmony export */   "IoMdAttach": () => (/* binding */ IoMdAttach),
/* harmony export */   "IoMdBackspace": () => (/* binding */ IoMdBackspace),
/* harmony export */   "IoMdBarcode": () => (/* binding */ IoMdBarcode),
/* harmony export */   "IoMdBaseball": () => (/* binding */ IoMdBaseball),
/* harmony export */   "IoMdBasket": () => (/* binding */ IoMdBasket),
/* harmony export */   "IoMdBasketball": () => (/* binding */ IoMdBasketball),
/* harmony export */   "IoMdBatteryCharging": () => (/* binding */ IoMdBatteryCharging),
/* harmony export */   "IoMdBatteryDead": () => (/* binding */ IoMdBatteryDead),
/* harmony export */   "IoMdBatteryFull": () => (/* binding */ IoMdBatteryFull),
/* harmony export */   "IoMdBeaker": () => (/* binding */ IoMdBeaker),
/* harmony export */   "IoMdBed": () => (/* binding */ IoMdBed),
/* harmony export */   "IoMdBeer": () => (/* binding */ IoMdBeer),
/* harmony export */   "IoMdBicycle": () => (/* binding */ IoMdBicycle),
/* harmony export */   "IoMdBluetooth": () => (/* binding */ IoMdBluetooth),
/* harmony export */   "IoMdBoat": () => (/* binding */ IoMdBoat),
/* harmony export */   "IoMdBody": () => (/* binding */ IoMdBody),
/* harmony export */   "IoMdBonfire": () => (/* binding */ IoMdBonfire),
/* harmony export */   "IoMdBook": () => (/* binding */ IoMdBook),
/* harmony export */   "IoMdBookmark": () => (/* binding */ IoMdBookmark),
/* harmony export */   "IoMdBookmarks": () => (/* binding */ IoMdBookmarks),
/* harmony export */   "IoMdBowtie": () => (/* binding */ IoMdBowtie),
/* harmony export */   "IoMdBriefcase": () => (/* binding */ IoMdBriefcase),
/* harmony export */   "IoMdBrowsers": () => (/* binding */ IoMdBrowsers),
/* harmony export */   "IoMdBrush": () => (/* binding */ IoMdBrush),
/* harmony export */   "IoMdBug": () => (/* binding */ IoMdBug),
/* harmony export */   "IoMdBuild": () => (/* binding */ IoMdBuild),
/* harmony export */   "IoMdBulb": () => (/* binding */ IoMdBulb),
/* harmony export */   "IoMdBus": () => (/* binding */ IoMdBus),
/* harmony export */   "IoMdBusiness": () => (/* binding */ IoMdBusiness),
/* harmony export */   "IoMdCafe": () => (/* binding */ IoMdCafe),
/* harmony export */   "IoMdCalculator": () => (/* binding */ IoMdCalculator),
/* harmony export */   "IoMdCalendar": () => (/* binding */ IoMdCalendar),
/* harmony export */   "IoMdCall": () => (/* binding */ IoMdCall),
/* harmony export */   "IoMdCamera": () => (/* binding */ IoMdCamera),
/* harmony export */   "IoMdCar": () => (/* binding */ IoMdCar),
/* harmony export */   "IoMdCard": () => (/* binding */ IoMdCard),
/* harmony export */   "IoMdCart": () => (/* binding */ IoMdCart),
/* harmony export */   "IoMdCash": () => (/* binding */ IoMdCash),
/* harmony export */   "IoMdCellular": () => (/* binding */ IoMdCellular),
/* harmony export */   "IoMdChatboxes": () => (/* binding */ IoMdChatboxes),
/* harmony export */   "IoMdChatbubbles": () => (/* binding */ IoMdChatbubbles),
/* harmony export */   "IoMdCheckbox": () => (/* binding */ IoMdCheckbox),
/* harmony export */   "IoMdCheckboxOutline": () => (/* binding */ IoMdCheckboxOutline),
/* harmony export */   "IoMdCheckmark": () => (/* binding */ IoMdCheckmark),
/* harmony export */   "IoMdCheckmarkCircle": () => (/* binding */ IoMdCheckmarkCircle),
/* harmony export */   "IoMdCheckmarkCircleOutline": () => (/* binding */ IoMdCheckmarkCircleOutline),
/* harmony export */   "IoMdClipboard": () => (/* binding */ IoMdClipboard),
/* harmony export */   "IoMdClock": () => (/* binding */ IoMdClock),
/* harmony export */   "IoMdClose": () => (/* binding */ IoMdClose),
/* harmony export */   "IoMdCloseCircle": () => (/* binding */ IoMdCloseCircle),
/* harmony export */   "IoMdCloseCircleOutline": () => (/* binding */ IoMdCloseCircleOutline),
/* harmony export */   "IoMdCloud": () => (/* binding */ IoMdCloud),
/* harmony export */   "IoMdCloudCircle": () => (/* binding */ IoMdCloudCircle),
/* harmony export */   "IoMdCloudDone": () => (/* binding */ IoMdCloudDone),
/* harmony export */   "IoMdCloudDownload": () => (/* binding */ IoMdCloudDownload),
/* harmony export */   "IoMdCloudOutline": () => (/* binding */ IoMdCloudOutline),
/* harmony export */   "IoMdCloudUpload": () => (/* binding */ IoMdCloudUpload),
/* harmony export */   "IoMdCloudy": () => (/* binding */ IoMdCloudy),
/* harmony export */   "IoMdCloudyNight": () => (/* binding */ IoMdCloudyNight),
/* harmony export */   "IoMdCode": () => (/* binding */ IoMdCode),
/* harmony export */   "IoMdCodeDownload": () => (/* binding */ IoMdCodeDownload),
/* harmony export */   "IoMdCodeWorking": () => (/* binding */ IoMdCodeWorking),
/* harmony export */   "IoMdCog": () => (/* binding */ IoMdCog),
/* harmony export */   "IoMdColorFill": () => (/* binding */ IoMdColorFill),
/* harmony export */   "IoMdColorFilter": () => (/* binding */ IoMdColorFilter),
/* harmony export */   "IoMdColorPalette": () => (/* binding */ IoMdColorPalette),
/* harmony export */   "IoMdColorWand": () => (/* binding */ IoMdColorWand),
/* harmony export */   "IoMdCompass": () => (/* binding */ IoMdCompass),
/* harmony export */   "IoMdConstruct": () => (/* binding */ IoMdConstruct),
/* harmony export */   "IoMdContact": () => (/* binding */ IoMdContact),
/* harmony export */   "IoMdContacts": () => (/* binding */ IoMdContacts),
/* harmony export */   "IoMdContract": () => (/* binding */ IoMdContract),
/* harmony export */   "IoMdContrast": () => (/* binding */ IoMdContrast),
/* harmony export */   "IoMdCopy": () => (/* binding */ IoMdCopy),
/* harmony export */   "IoMdCreate": () => (/* binding */ IoMdCreate),
/* harmony export */   "IoMdCrop": () => (/* binding */ IoMdCrop),
/* harmony export */   "IoMdCube": () => (/* binding */ IoMdCube),
/* harmony export */   "IoMdCut": () => (/* binding */ IoMdCut),
/* harmony export */   "IoMdDesktop": () => (/* binding */ IoMdDesktop),
/* harmony export */   "IoMdDisc": () => (/* binding */ IoMdDisc),
/* harmony export */   "IoMdDocument": () => (/* binding */ IoMdDocument),
/* harmony export */   "IoMdDoneAll": () => (/* binding */ IoMdDoneAll),
/* harmony export */   "IoMdDownload": () => (/* binding */ IoMdDownload),
/* harmony export */   "IoMdEasel": () => (/* binding */ IoMdEasel),
/* harmony export */   "IoMdEgg": () => (/* binding */ IoMdEgg),
/* harmony export */   "IoMdExit": () => (/* binding */ IoMdExit),
/* harmony export */   "IoMdExpand": () => (/* binding */ IoMdExpand),
/* harmony export */   "IoMdEye": () => (/* binding */ IoMdEye),
/* harmony export */   "IoMdEyeOff": () => (/* binding */ IoMdEyeOff),
/* harmony export */   "IoMdFastforward": () => (/* binding */ IoMdFastforward),
/* harmony export */   "IoMdFemale": () => (/* binding */ IoMdFemale),
/* harmony export */   "IoMdFiling": () => (/* binding */ IoMdFiling),
/* harmony export */   "IoMdFilm": () => (/* binding */ IoMdFilm),
/* harmony export */   "IoMdFingerPrint": () => (/* binding */ IoMdFingerPrint),
/* harmony export */   "IoMdFitness": () => (/* binding */ IoMdFitness),
/* harmony export */   "IoMdFlag": () => (/* binding */ IoMdFlag),
/* harmony export */   "IoMdFlame": () => (/* binding */ IoMdFlame),
/* harmony export */   "IoMdFlash": () => (/* binding */ IoMdFlash),
/* harmony export */   "IoMdFlashOff": () => (/* binding */ IoMdFlashOff),
/* harmony export */   "IoMdFlashlight": () => (/* binding */ IoMdFlashlight),
/* harmony export */   "IoMdFlask": () => (/* binding */ IoMdFlask),
/* harmony export */   "IoMdFlower": () => (/* binding */ IoMdFlower),
/* harmony export */   "IoMdFolder": () => (/* binding */ IoMdFolder),
/* harmony export */   "IoMdFolderOpen": () => (/* binding */ IoMdFolderOpen),
/* harmony export */   "IoMdFootball": () => (/* binding */ IoMdFootball),
/* harmony export */   "IoMdFunnel": () => (/* binding */ IoMdFunnel),
/* harmony export */   "IoMdGift": () => (/* binding */ IoMdGift),
/* harmony export */   "IoMdGitBranch": () => (/* binding */ IoMdGitBranch),
/* harmony export */   "IoMdGitCommit": () => (/* binding */ IoMdGitCommit),
/* harmony export */   "IoMdGitCompare": () => (/* binding */ IoMdGitCompare),
/* harmony export */   "IoMdGitMerge": () => (/* binding */ IoMdGitMerge),
/* harmony export */   "IoMdGitNetwork": () => (/* binding */ IoMdGitNetwork),
/* harmony export */   "IoMdGitPullRequest": () => (/* binding */ IoMdGitPullRequest),
/* harmony export */   "IoMdGlasses": () => (/* binding */ IoMdGlasses),
/* harmony export */   "IoMdGlobe": () => (/* binding */ IoMdGlobe),
/* harmony export */   "IoMdGrid": () => (/* binding */ IoMdGrid),
/* harmony export */   "IoMdHammer": () => (/* binding */ IoMdHammer),
/* harmony export */   "IoMdHand": () => (/* binding */ IoMdHand),
/* harmony export */   "IoMdHappy": () => (/* binding */ IoMdHappy),
/* harmony export */   "IoMdHeadset": () => (/* binding */ IoMdHeadset),
/* harmony export */   "IoMdHeart": () => (/* binding */ IoMdHeart),
/* harmony export */   "IoMdHeartDislike": () => (/* binding */ IoMdHeartDislike),
/* harmony export */   "IoMdHeartEmpty": () => (/* binding */ IoMdHeartEmpty),
/* harmony export */   "IoMdHeartHalf": () => (/* binding */ IoMdHeartHalf),
/* harmony export */   "IoMdHelp": () => (/* binding */ IoMdHelp),
/* harmony export */   "IoMdHelpBuoy": () => (/* binding */ IoMdHelpBuoy),
/* harmony export */   "IoMdHelpCircle": () => (/* binding */ IoMdHelpCircle),
/* harmony export */   "IoMdHelpCircleOutline": () => (/* binding */ IoMdHelpCircleOutline),
/* harmony export */   "IoMdHome": () => (/* binding */ IoMdHome),
/* harmony export */   "IoMdHourglass": () => (/* binding */ IoMdHourglass),
/* harmony export */   "IoMdIceCream": () => (/* binding */ IoMdIceCream),
/* harmony export */   "IoMdImage": () => (/* binding */ IoMdImage),
/* harmony export */   "IoMdImages": () => (/* binding */ IoMdImages),
/* harmony export */   "IoMdInfinite": () => (/* binding */ IoMdInfinite),
/* harmony export */   "IoMdInformation": () => (/* binding */ IoMdInformation),
/* harmony export */   "IoMdInformationCircle": () => (/* binding */ IoMdInformationCircle),
/* harmony export */   "IoMdInformationCircleOutline": () => (/* binding */ IoMdInformationCircleOutline),
/* harmony export */   "IoMdJet": () => (/* binding */ IoMdJet),
/* harmony export */   "IoMdJournal": () => (/* binding */ IoMdJournal),
/* harmony export */   "IoMdKey": () => (/* binding */ IoMdKey),
/* harmony export */   "IoMdKeypad": () => (/* binding */ IoMdKeypad),
/* harmony export */   "IoMdLaptop": () => (/* binding */ IoMdLaptop),
/* harmony export */   "IoMdLeaf": () => (/* binding */ IoMdLeaf),
/* harmony export */   "IoMdLink": () => (/* binding */ IoMdLink),
/* harmony export */   "IoMdList": () => (/* binding */ IoMdList),
/* harmony export */   "IoMdListBox": () => (/* binding */ IoMdListBox),
/* harmony export */   "IoMdLocate": () => (/* binding */ IoMdLocate),
/* harmony export */   "IoMdLock": () => (/* binding */ IoMdLock),
/* harmony export */   "IoMdLogIn": () => (/* binding */ IoMdLogIn),
/* harmony export */   "IoMdLogOut": () => (/* binding */ IoMdLogOut),
/* harmony export */   "IoMdMagnet": () => (/* binding */ IoMdMagnet),
/* harmony export */   "IoMdMail": () => (/* binding */ IoMdMail),
/* harmony export */   "IoMdMailOpen": () => (/* binding */ IoMdMailOpen),
/* harmony export */   "IoMdMailUnread": () => (/* binding */ IoMdMailUnread),
/* harmony export */   "IoMdMale": () => (/* binding */ IoMdMale),
/* harmony export */   "IoMdMan": () => (/* binding */ IoMdMan),
/* harmony export */   "IoMdMap": () => (/* binding */ IoMdMap),
/* harmony export */   "IoMdMedal": () => (/* binding */ IoMdMedal),
/* harmony export */   "IoMdMedical": () => (/* binding */ IoMdMedical),
/* harmony export */   "IoMdMedkit": () => (/* binding */ IoMdMedkit),
/* harmony export */   "IoMdMegaphone": () => (/* binding */ IoMdMegaphone),
/* harmony export */   "IoMdMenu": () => (/* binding */ IoMdMenu),
/* harmony export */   "IoMdMic": () => (/* binding */ IoMdMic),
/* harmony export */   "IoMdMicOff": () => (/* binding */ IoMdMicOff),
/* harmony export */   "IoMdMicrophone": () => (/* binding */ IoMdMicrophone),
/* harmony export */   "IoMdMoon": () => (/* binding */ IoMdMoon),
/* harmony export */   "IoMdMore": () => (/* binding */ IoMdMore),
/* harmony export */   "IoMdMove": () => (/* binding */ IoMdMove),
/* harmony export */   "IoMdMusicalNote": () => (/* binding */ IoMdMusicalNote),
/* harmony export */   "IoMdMusicalNotes": () => (/* binding */ IoMdMusicalNotes),
/* harmony export */   "IoMdNavigate": () => (/* binding */ IoMdNavigate),
/* harmony export */   "IoMdNotifications": () => (/* binding */ IoMdNotifications),
/* harmony export */   "IoMdNotificationsOff": () => (/* binding */ IoMdNotificationsOff),
/* harmony export */   "IoMdNotificationsOutline": () => (/* binding */ IoMdNotificationsOutline),
/* harmony export */   "IoMdNuclear": () => (/* binding */ IoMdNuclear),
/* harmony export */   "IoMdNutrition": () => (/* binding */ IoMdNutrition),
/* harmony export */   "IoMdOpen": () => (/* binding */ IoMdOpen),
/* harmony export */   "IoMdOptions": () => (/* binding */ IoMdOptions),
/* harmony export */   "IoMdOutlet": () => (/* binding */ IoMdOutlet),
/* harmony export */   "IoMdPaper": () => (/* binding */ IoMdPaper),
/* harmony export */   "IoMdPaperPlane": () => (/* binding */ IoMdPaperPlane),
/* harmony export */   "IoMdPartlySunny": () => (/* binding */ IoMdPartlySunny),
/* harmony export */   "IoMdPause": () => (/* binding */ IoMdPause),
/* harmony export */   "IoMdPaw": () => (/* binding */ IoMdPaw),
/* harmony export */   "IoMdPeople": () => (/* binding */ IoMdPeople),
/* harmony export */   "IoMdPerson": () => (/* binding */ IoMdPerson),
/* harmony export */   "IoMdPersonAdd": () => (/* binding */ IoMdPersonAdd),
/* harmony export */   "IoMdPhoneLandscape": () => (/* binding */ IoMdPhoneLandscape),
/* harmony export */   "IoMdPhonePortrait": () => (/* binding */ IoMdPhonePortrait),
/* harmony export */   "IoMdPhotos": () => (/* binding */ IoMdPhotos),
/* harmony export */   "IoMdPie": () => (/* binding */ IoMdPie),
/* harmony export */   "IoMdPin": () => (/* binding */ IoMdPin),
/* harmony export */   "IoMdPint": () => (/* binding */ IoMdPint),
/* harmony export */   "IoMdPizza": () => (/* binding */ IoMdPizza),
/* harmony export */   "IoMdPlanet": () => (/* binding */ IoMdPlanet),
/* harmony export */   "IoMdPlay": () => (/* binding */ IoMdPlay),
/* harmony export */   "IoMdPlayCircle": () => (/* binding */ IoMdPlayCircle),
/* harmony export */   "IoMdPodium": () => (/* binding */ IoMdPodium),
/* harmony export */   "IoMdPower": () => (/* binding */ IoMdPower),
/* harmony export */   "IoMdPricetag": () => (/* binding */ IoMdPricetag),
/* harmony export */   "IoMdPricetags": () => (/* binding */ IoMdPricetags),
/* harmony export */   "IoMdPrint": () => (/* binding */ IoMdPrint),
/* harmony export */   "IoMdPulse": () => (/* binding */ IoMdPulse),
/* harmony export */   "IoMdQrScanner": () => (/* binding */ IoMdQrScanner),
/* harmony export */   "IoMdQuote": () => (/* binding */ IoMdQuote),
/* harmony export */   "IoMdRadio": () => (/* binding */ IoMdRadio),
/* harmony export */   "IoMdRadioButtonOff": () => (/* binding */ IoMdRadioButtonOff),
/* harmony export */   "IoMdRadioButtonOn": () => (/* binding */ IoMdRadioButtonOn),
/* harmony export */   "IoMdRainy": () => (/* binding */ IoMdRainy),
/* harmony export */   "IoMdRecording": () => (/* binding */ IoMdRecording),
/* harmony export */   "IoMdRedo": () => (/* binding */ IoMdRedo),
/* harmony export */   "IoMdRefresh": () => (/* binding */ IoMdRefresh),
/* harmony export */   "IoMdRefreshCircle": () => (/* binding */ IoMdRefreshCircle),
/* harmony export */   "IoMdRemove": () => (/* binding */ IoMdRemove),
/* harmony export */   "IoMdRemoveCircle": () => (/* binding */ IoMdRemoveCircle),
/* harmony export */   "IoMdRemoveCircleOutline": () => (/* binding */ IoMdRemoveCircleOutline),
/* harmony export */   "IoMdReorder": () => (/* binding */ IoMdReorder),
/* harmony export */   "IoMdRepeat": () => (/* binding */ IoMdRepeat),
/* harmony export */   "IoMdResize": () => (/* binding */ IoMdResize),
/* harmony export */   "IoMdRestaurant": () => (/* binding */ IoMdRestaurant),
/* harmony export */   "IoMdReturnLeft": () => (/* binding */ IoMdReturnLeft),
/* harmony export */   "IoMdReturnRight": () => (/* binding */ IoMdReturnRight),
/* harmony export */   "IoMdReverseCamera": () => (/* binding */ IoMdReverseCamera),
/* harmony export */   "IoMdRewind": () => (/* binding */ IoMdRewind),
/* harmony export */   "IoMdRibbon": () => (/* binding */ IoMdRibbon),
/* harmony export */   "IoMdRocket": () => (/* binding */ IoMdRocket),
/* harmony export */   "IoMdRose": () => (/* binding */ IoMdRose),
/* harmony export */   "IoMdSad": () => (/* binding */ IoMdSad),
/* harmony export */   "IoMdSave": () => (/* binding */ IoMdSave),
/* harmony export */   "IoMdSchool": () => (/* binding */ IoMdSchool),
/* harmony export */   "IoMdSearch": () => (/* binding */ IoMdSearch),
/* harmony export */   "IoMdSend": () => (/* binding */ IoMdSend),
/* harmony export */   "IoMdSettings": () => (/* binding */ IoMdSettings),
/* harmony export */   "IoMdShare": () => (/* binding */ IoMdShare),
/* harmony export */   "IoMdShareAlt": () => (/* binding */ IoMdShareAlt),
/* harmony export */   "IoMdShirt": () => (/* binding */ IoMdShirt),
/* harmony export */   "IoMdShuffle": () => (/* binding */ IoMdShuffle),
/* harmony export */   "IoMdSkipBackward": () => (/* binding */ IoMdSkipBackward),
/* harmony export */   "IoMdSkipForward": () => (/* binding */ IoMdSkipForward),
/* harmony export */   "IoMdSnow": () => (/* binding */ IoMdSnow),
/* harmony export */   "IoMdSpeedometer": () => (/* binding */ IoMdSpeedometer),
/* harmony export */   "IoMdSquare": () => (/* binding */ IoMdSquare),
/* harmony export */   "IoMdSquareOutline": () => (/* binding */ IoMdSquareOutline),
/* harmony export */   "IoMdStar": () => (/* binding */ IoMdStar),
/* harmony export */   "IoMdStarHalf": () => (/* binding */ IoMdStarHalf),
/* harmony export */   "IoMdStarOutline": () => (/* binding */ IoMdStarOutline),
/* harmony export */   "IoMdStats": () => (/* binding */ IoMdStats),
/* harmony export */   "IoMdStopwatch": () => (/* binding */ IoMdStopwatch),
/* harmony export */   "IoMdSubway": () => (/* binding */ IoMdSubway),
/* harmony export */   "IoMdSunny": () => (/* binding */ IoMdSunny),
/* harmony export */   "IoMdSwap": () => (/* binding */ IoMdSwap),
/* harmony export */   "IoMdSwitch": () => (/* binding */ IoMdSwitch),
/* harmony export */   "IoMdSync": () => (/* binding */ IoMdSync),
/* harmony export */   "IoMdTabletLandscape": () => (/* binding */ IoMdTabletLandscape),
/* harmony export */   "IoMdTabletPortrait": () => (/* binding */ IoMdTabletPortrait),
/* harmony export */   "IoMdTennisball": () => (/* binding */ IoMdTennisball),
/* harmony export */   "IoMdText": () => (/* binding */ IoMdText),
/* harmony export */   "IoMdThermometer": () => (/* binding */ IoMdThermometer),
/* harmony export */   "IoMdThumbsDown": () => (/* binding */ IoMdThumbsDown),
/* harmony export */   "IoMdThumbsUp": () => (/* binding */ IoMdThumbsUp),
/* harmony export */   "IoMdThunderstorm": () => (/* binding */ IoMdThunderstorm),
/* harmony export */   "IoMdTime": () => (/* binding */ IoMdTime),
/* harmony export */   "IoMdTimer": () => (/* binding */ IoMdTimer),
/* harmony export */   "IoMdToday": () => (/* binding */ IoMdToday),
/* harmony export */   "IoMdTrain": () => (/* binding */ IoMdTrain),
/* harmony export */   "IoMdTransgender": () => (/* binding */ IoMdTransgender),
/* harmony export */   "IoMdTrash": () => (/* binding */ IoMdTrash),
/* harmony export */   "IoMdTrendingDown": () => (/* binding */ IoMdTrendingDown),
/* harmony export */   "IoMdTrendingUp": () => (/* binding */ IoMdTrendingUp),
/* harmony export */   "IoMdTrophy": () => (/* binding */ IoMdTrophy),
/* harmony export */   "IoMdTv": () => (/* binding */ IoMdTv),
/* harmony export */   "IoMdUmbrella": () => (/* binding */ IoMdUmbrella),
/* harmony export */   "IoMdUndo": () => (/* binding */ IoMdUndo),
/* harmony export */   "IoMdUnlock": () => (/* binding */ IoMdUnlock),
/* harmony export */   "IoMdVideocam": () => (/* binding */ IoMdVideocam),
/* harmony export */   "IoMdVolumeHigh": () => (/* binding */ IoMdVolumeHigh),
/* harmony export */   "IoMdVolumeLow": () => (/* binding */ IoMdVolumeLow),
/* harmony export */   "IoMdVolumeMute": () => (/* binding */ IoMdVolumeMute),
/* harmony export */   "IoMdVolumeOff": () => (/* binding */ IoMdVolumeOff),
/* harmony export */   "IoMdWalk": () => (/* binding */ IoMdWalk),
/* harmony export */   "IoMdWallet": () => (/* binding */ IoMdWallet),
/* harmony export */   "IoMdWarning": () => (/* binding */ IoMdWarning),
/* harmony export */   "IoMdWatch": () => (/* binding */ IoMdWatch),
/* harmony export */   "IoMdWater": () => (/* binding */ IoMdWater),
/* harmony export */   "IoMdWifi": () => (/* binding */ IoMdWifi),
/* harmony export */   "IoMdWine": () => (/* binding */ IoMdWine),
/* harmony export */   "IoMdWoman": () => (/* binding */ IoMdWoman)
/* harmony export */ });
/* harmony import */ var _lib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../lib */ "./node_modules/react-icons/lib/esm/index.js");
// THIS FILE IS AUTO GENERATED

function IoIosAddCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M346.5 240H272v-74.5c0-8.8-7.2-16-16-16s-16 7.2-16 16V240h-74.5c-8.8 0-16 6-16 16s7.5 16 16 16H240v74.5c0 9.5 7 16 16 16s16-7.2 16-16V272h74.5c8.8 0 16-7.2 16-16s-7.2-16-16-16z"}},{"tag":"path","attr":{"d":"M256 76c48.1 0 93.3 18.7 127.3 52.7S436 207.9 436 256s-18.7 93.3-52.7 127.3S304.1 436 256 436c-48.1 0-93.3-18.7-127.3-52.7S76 304.1 76 256s18.7-93.3 52.7-127.3S207.9 76 256 76m0-28C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48z"}}]})(props);
};
function IoIosAddCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm90.5 224H272v74.5c0 8.8-7.2 16-16 16-4.4 0-8.4-1.8-11.3-4.7-2.9-2.9-4.7-6.9-4.7-11.3V272h-74.5c-4.4 0-8.4-1.8-11.3-4.7-2.9-2.9-4.7-6.9-4.7-11.3 0-8.8 7.2-16 16-16H240v-74.5c0-8.8 7.2-16 16-16s16 7.2 16 16V240h74.5c8.8 0 16 7.2 16 16s-7.2 16-16 16z"}}]})(props);
};
function IoIosAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M368.5 240H272v-96.5c0-8.8-7.2-16-16-16s-16 7.2-16 16V240h-96.5c-8.8 0-16 7.2-16 16 0 4.4 1.8 8.4 4.7 11.3 2.9 2.9 6.9 4.7 11.3 4.7H240v96.5c0 4.4 1.8 8.4 4.7 11.3 2.9 2.9 6.9 4.7 11.3 4.7 8.8 0 16-7.2 16-16V272h96.5c8.8 0 16-7.2 16-16s-7.2-16-16-16z"}}]})(props);
};
function IoIosAirplane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M407.7 224c-3.4 0-14.8.1-18 .3l-64.9 1.7c-.7 0-1.4-.3-1.7-.9L225.8 79.4c-2.9-4.6-8.1-7.4-13.5-7.4h-23.7c-5.6 0-7.5 5.6-5.5 10.8l50.1 142.8c.5 1.3-.4 2.7-1.8 2.7L109 230.1c-2.6.1-5-1.1-6.6-3.1l-37-45c-3-3.9-7.7-6.1-12.6-6.1H36c-2.8 0-4.7 2.7-3.8 5.3l19.9 68.7c1.5 3.8 1.5 8.1 0 11.9l-19.9 68.7c-.9 2.6 1 5.3 3.8 5.3h16.7c4.9 0 9.6-2.3 12.6-6.1L103 284c1.6-2 4.1-3.2 6.6-3.1l121.7 2.7c1.4.1 2.3 1.4 1.8 2.7L183 429.2c-2 5.2-.1 10.8 5.5 10.8h23.7c5.5 0 10.6-2.8 13.5-7.4L323.1 287c.4-.6 1-.9 1.7-.9l64.9 1.7c3.3.2 14.6.3 18 .3 44.3 0 72.3-14.3 72.3-32S452.1 224 407.7 224z"}}]})(props);
};
function IoIosAlarm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M381.2 64.1c-1.3-.1-2.6-.1-3.9-.1h-.2c-16.2 0-32 5.4-44.6 15.1-1.6 1.3-2.6 3.2-2.7 5.2-.1 2 .8 4 2.3 5.4l89.8 80.5c1.3 1.1 2.9 1.8 4.6 1.8h.4c1.9-.1 3.6-1 4.8-2.4C440.9 159 448 150.8 448 133c.1-36.4-29.1-66.8-66.8-68.9zM64 133c0 17.8 7.1 26 16.3 36.6 1.2 1.4 2.9 2.3 4.8 2.4h.4c1.7 0 3.3-.6 4.6-1.8L180 89.7c1.5-1.4 2.4-3.3 2.3-5.4-.1-2-1-3.9-2.7-5.2C167 69.4 151.2 64 135 64h-.2c-1.3 0-2.6 0-3.9.1-37.7 2.1-67 32.5-66.9 68.9z"}},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"d":"M390 386c26.2-30.7 42-70.5 42-114 0-97.2-78.8-176-176-176S80 174.8 80 272c0 43.5 15.8 83.3 42 114l-34.7 35.5c-6.2 6.3-6 15.5.3 21.6 3.1 3 7.4 4.8 11.4 4.8 4.2 0 8.1-1.9 11.2-5.1l34.6-34.5c30.3 24.7 69 39.6 111.2 39.6s80.9-14.8 111.2-39.6l33.6 34.5c3.1 3.2 7.3 5.1 11.5 5.1 4 0 8.1-1.8 11.2-4.8 6.3-6.2 7.5-15.3 1.3-21.6L390 386zM270 274c0 7.7-6.3 14-14 14h-82c-7.7 0-14-6.3-14-14s6.3-14 14-14h68V158c0-7.7 6.3-14 14-14s14 6.3 14 14v116z"}}]}]})(props);
};
function IoIosAlbums (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M460.9 161H51.1C31.8 161 16 176.8 16 196.1V428c0 19.3 15.8 35.1 35.1 35.1H461c19.3 0 35.1-15.8 35.1-35.1V196.1c-.1-19.3-15.9-35.1-35.2-35.1zM434 133H78c-7.7 0-14-6.3-14-14s6.3-14 14-14h356c7.7 0 14 6.3 14 14s-6.3 14-14 14zM403.2 77H108.8c-7 0-12.8-5.8-12.8-12.8v-2.4c0-7 5.8-12.8 12.8-12.8h294.4c7 0 12.8 5.8 12.8 12.8v2.4c0 7-5.8 12.8-12.8 12.8z"}}]})(props);
};
function IoIosAlert (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm17.2 109.6l-3.1 115.1c-.2 8.2-5.9 14.8-14.1 14.8s-13.9-6.6-14.1-14.8l-3.1-115.1c-.2-9.6 7.5-17.6 17.2-17.6 9.6 0 17.4 7.9 17.2 17.6zM256 354c-10.7 0-19.1-8.1-19.1-18.4s8.4-18.4 19.1-18.4c10.7 0 19.1 8.1 19.1 18.4S266.7 354 256 354z"}}]})(props);
};
function IoIosAmericanFootball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M378.6 133.4C338.1 92.9 283.9 71 231.4 59.6L59.6 231.4C71 284 92.9 338.1 133.4 378.6c40.5 40.5 94.7 62.4 147.2 73.8l171.8-171.8c-11.4-52.5-33.3-106.7-73.8-147.2zM344.1 288l-19.2 19.2 14.8 14.8c4.9 4.9 4.9 12.7 0 17.6-4.9 4.9-12.7 4.9-17.6 0l-14.8-14.8-19.3 19.4c-2 2-4.5 3.4-7.3 3.9-4.2.7-8.4-.7-11.3-3.6-1.5-1.5-2.6-3.3-3.2-5.3-1.4-4.9-.1-9.7 3.2-13.1l19.5-19.5-15.6-15.6-19.3 19.3c-2.1 2.1-4.7 3.5-7.6 3.9-5.5.7-10.7-1.9-13.4-7-.3-.6-.6-1.2-.8-1.9-1.5-4.9-.2-9.8 3.2-13.2l19.5-19.5-15.5-15.6-19.3 19.3c-2.1 2.1-4.7 3.5-7.6 3.9-5.5.7-10.7-1.9-13.4-7-.3-.6-.6-1.2-.8-1.9-1.5-4.9-.2-9.8 3.2-13.2l19.5-19.5-15.5-15.6-19.3 19.3c-2.1 2.1-4.7 3.5-7.6 3.9-5.5.7-10.7-1.9-13.4-7-.3-.6-.6-1.2-.8-1.9-1.5-4.9-.2-9.8 3.2-13.2l19.5-19.5-14.8-14.8c-4.9-4.9-4.9-12.7 0-17.6 4.9-4.9 12.7-4.9 17.6 0l14.8 14.8 19.3-19.3c2.1-2.1 4.7-3.5 7.6-3.9 5.5-.7 10.7 1.9 13.4 7 .3.6.6 1.2.8 1.9 1.5 4.9.2 9.8-3.2 13.2l-19.5 19.5 15.6 15.6 19.3-19.3c2-2 4.5-3.4 7.3-3.9 4.2-.7 8.4.7 11.3 3.6 1.5 1.4 2.6 3.2 3.2 5.2 1.5 4.9.2 9.8-3.2 13.2L257 239.4l15.6 15.6 19.3-19.3c2.1-2.1 4.7-3.5 7.6-3.9 5.5-.7 10.7 1.9 13.4 7 .3.6.6 1.2.8 1.9 1.5 4.9.2 9.8-3.2 13.2L291 273.4l15.6 15.6 19.3-19.3c2.2-2.2 5-3.6 8-4 4.4-.5 8.6 1.2 11.4 4.6 4.1 5 3.5 13.1-1.2 17.7zM395.1 464c27.6 0 48.8-1.8 58.8-2.9 3.7-.4 6.7-3.4 7.1-7.1 2-18.9 6.8-77.6-3.2-143.7L310.3 457.9c31 4.7 60.4 6.1 84.8 6.1zM116.8 48C89.3 48 68 49.8 58 50.9c-3.7.4-6.7 3.4-7.1 7.1-2 18.9-6.8 77.6 3.2 143.6L201.6 54.1c-31-4.7-60.4-6.1-84.8-6.1z"}}]})(props);
};
function IoIosAnalytics (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zM76 256c0-48.1 18.7-93.3 52.7-127.3S207.9 76 256 76c48.1 0 93.3 18.7 127.3 52.7 32.2 32.2 50.7 74.5 52.6 119.7-8.8-10.3-24.2-24-43.8-24-27.5 0-41.7 25.7-51 42.7-1.4 2.5-2.7 4.9-3.9 7-11.4 19.2-27.3 30-42.5 28.9-13.4-.9-24.8-11.2-32.2-28.8-9.2-22.1-29.1-45.8-52.9-49.2-11.3-1.6-28.1.8-44.7 21.4-3.2 4-6.9 9.4-11.1 15.6-10.4 15.5-26.2 38.8-38.1 40.8-17.3 2.8-30.9-7.5-36.4-12.3-2.2-11.2-3.3-22.8-3.3-34.5z"}}]})(props);
};
function IoIosAperture (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M250.2 371.4c-1.8 0-2.7 2.2-1.4 3.4l54.9 54.9L326 452c42.4-15.2 78.5-43.7 103.1-80.6H250.2zM167 334.6V444c27 12.8 57.1 20 89 20 14.1 0 27.9-1.4 41.2-4.1L170.4 333.2c-1.2-1.3-3.4-.4-3.4 1.4zM256 48c-13.9 0-27.4 1.4-40.5 4l126.8 126.8c1.3 1.3 3.4.4 3.4-1.4V68.3C318.6 55.3 288.2 48 256 48zM68.1 166.6C55.2 193.7 48 224 48 256c0 14.1 1.4 27.9 4.1 41.2L179.2 170c1.3-1.3.4-3.4-1.4-3.4H68.1zM186.7 59.9C144 75 107.7 103.6 83 140.7h179.7c1.8 0 2.7-2.2 1.4-3.4l-77.4-77.4zM167 220.6v70.7c0 1.1.4 2.1 1.2 2.8l50 50c.8.8 1.8 1.2 2.8 1.2h70.7c1.1 0 2.1-.4 2.8-1.2l50-50c.8-.8 1.2-1.8 1.2-2.8v-70.7c0-1.1-.4-2.1-1.2-2.8l-50-50c-.8-.8-1.8-1.2-2.8-1.2H221c-1.1 0-2.1.4-2.8 1.2l-50 50c-.7.8-1.2 1.8-1.2 2.8zM460 215.5L333.6 342c-1.3 1.3-.4 3.4 1.4 3.4h108.8c13-27.1 20.2-57.4 20.2-89.4 0-13.9-1.4-27.4-4-40.5zM371.8 83.2v179c0 1.8 2.2 2.7 3.4 1.4l76.9-76.9c-15-42.6-43.5-78.8-80.3-103.5zM60.1 325.9c15.2 42.6 43.9 78.8 81 103.4V249.8c0-1.8-2.2-2.7-3.4-1.4l-77.6 77.5z"}}]})(props);
};
function IoIosApps (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M434.8 137.6L285.4 69.5c-16.2-7.4-42.7-7.4-58.9 0L77.2 137.6c-17.6 8-17.6 21.1 0 29.1l148 67.5c16.9 7.7 44.7 7.7 61.6 0l148-67.5c17.6-8 17.6-21.1 0-29.1zM225.2 375.2l-99.8-45.5c-4.2-1.9-9.1-1.9-13.3 0l-34.9 15.9c-17.6 8-17.6 21.1 0 29.1l148 67.5c16.9 7.7 44.7 7.7 61.6 0l148-67.5c17.6-8 17.6-21.1 0-29.1l-34.9-15.9c-4.2-1.9-9.1-1.9-13.3 0l-99.8 45.5c-16.9 7.7-44.7 7.7-61.6 0z"}},{"tag":"path","attr":{"d":"M434.8 241.6l-31.7-14.4c-4.2-1.9-9-1.9-13.2 0l-108 48.9c-15.3 5.2-36.6 5.2-51.9 0l-108-48.9c-4.2-1.9-9-1.9-13.2 0l-31.7 14.4c-17.6 8-17.6 21.1 0 29.1l148 67.5c16.9 7.7 44.7 7.7 61.6 0l148-67.5c17.7-8 17.7-21.1.1-29.1z"}}]})(props);
};
function IoIosAppstore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm-78.9 296.9c-2.7 4.6-7.5 7.1-12.5 7.1-2.5 0-5-.6-7.3-2-6.9-4-9.2-12.8-5.2-19.7l14.2-23.6c1.5-2.5 4.1-4 7-4h2.1c10.3 0 17.5 6.2 19.6 12.2l-17.9 30zm120.2-46.4l-93 .1h-61.8c-8.2 0-14.8-6.8-14.4-15 .3-7.8 7.1-13.7 14.9-13.7h44.8l53.1-90.4-17.2-29.3c-3.9-6.7-2.2-15.5 4.4-19.7 7-4.5 16.2-2.2 20.3 4.8l9.2 15.7h.1l9.2-15.7c4.1-7 13.4-9.3 20.3-4.8 6.6 4.2 8.3 13 4.4 19.7l-17.2 29.3-16.7 28.5-36.3 61.9v.1h53.5c6.7 0 15.1 3.6 18.5 9.4l.3.6c3 5.1 4.7 8.6 4.7 13.7-.1 2.8-1.1 4.8-1.1 4.8zm72.2.1h-25.2v.1l18.4 31.3c4 6.8 2.1 15.8-4.8 20-2.3 1.4-4.9 2.1-7.5 2.1-5 0-9.8-2.6-12.5-7.1l-27.2-46.3-16.9-28.8-21.8-37.3c-6.4-10.9-6.7-24.5-.6-35.3 4.3-7.6 7.6-9.6 7.6-9.6l48.5 82.1h41.7c7.8 0 14.5 6 14.9 13.7.3 8.3-6.3 15.1-14.6 15.1z"}}]})(props);
};
function IoIosArchive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M460 120H52c-2.2 0-4-1.8-4-4V96c0-17.7 14.3-32 32-32h352c17.7 0 32 14.3 32 32v20c0 2.2-1.8 4-4 4zM440 146H72c-4.4 0-8 3.6-8 8v262c0 17.6 14.4 32 32 32h320c17.6 0 32-14.4 32-32V154c0-4.4-3.6-8-8-8zM306 288h-99.6c-7.1 0-13.4-5.2-14.3-12.3-1-8.5 5.6-15.7 13.9-15.7h99.6c7.1 0 13.4 5.2 14.3 12.3 1 8.4-5.6 15.7-13.9 15.7z"}}]})(props);
};
function IoIosArrowBack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M217.9 256L345 129c9.4-9.4 9.4-24.6 0-33.9-9.4-9.4-24.6-9.3-34 0L167 239c-9.1 9.1-9.3 23.7-.7 33.1L310.9 417c4.7 4.7 10.9 7 17 7s12.3-2.3 17-7c9.4-9.4 9.4-24.6 0-33.9L217.9 256z"}}]})(props);
};
function IoIosArrowDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 294.1L383 167c9.4-9.4 24.6-9.4 33.9 0s9.3 24.6 0 34L273 345c-9.1 9.1-23.7 9.3-33.1.7L95 201.1c-4.7-4.7-7-10.9-7-17s2.3-12.3 7-17c9.4-9.4 24.6-9.4 33.9 0l127.1 127z"}}]})(props);
};
function IoIosArrowDropdownCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48 256c0 114.9 93.1 208 208 208s208-93.1 208-208S370.9 48 256 48 48 141.1 48 256zm289.1-43.4c7.5-7.5 19.8-7.5 27.3 0 3.8 3.8 5.6 8.7 5.6 13.6s-1.9 9.9-5.7 13.7l-94.3 94c-7.6 6.9-19.3 6.7-26.6-.6l-95.7-95.4c-7.5-7.5-7.6-19.7 0-27.3 7.5-7.5 19.7-7.6 27.3 0l81.1 81.9 81-79.9z"}}]})(props);
};
function IoIosArrowDropdown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M147.6 210.7c-7.5 7.5-7.5 19.8 0 27.3l95.7 95.4c7.3 7.3 19.1 7.5 26.6.6l94.3-94c3.8-3.8 5.7-8.7 5.7-13.7 0-4.9-1.9-9.9-5.6-13.6-7.5-7.5-19.7-7.6-27.3 0l-81 79.8-81.1-81.9c-7.5-7.5-19.7-7.5-27.3.1z"}},{"tag":"path","attr":{"d":"M48 256c0 114.9 93.1 208 208 208s208-93.1 208-208S370.9 48 256 48 48 141.1 48 256zm332.4-124.4C413.7 164.8 432 209 432 256s-18.3 91.2-51.6 124.4C347.2 413.7 303 432 256 432s-91.2-18.3-124.4-51.6C98.3 347.2 80 303 80 256s18.3-91.2 51.6-124.4C164.8 98.3 209 80 256 80s91.2 18.3 124.4 51.6z"}}]})(props);
};
function IoIosArrowDropleftCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm43.4 289.1c7.5 7.5 7.5 19.8 0 27.3-3.8 3.8-8.7 5.6-13.6 5.6s-9.9-1.9-13.7-5.7l-94-94.3c-6.9-7.6-6.7-19.3.6-26.6l95.4-95.7c7.5-7.5 19.7-7.6 27.3 0 7.5 7.5 7.6 19.7 0 27.3l-81.9 81 79.9 81.1z"}}]})(props);
};
function IoIosArrowDropleft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M301.3 147.6c-7.5-7.5-19.8-7.5-27.3 0l-95.4 95.7c-7.3 7.3-7.5 19.1-.6 26.6l94 94.3c3.8 3.8 8.7 5.7 13.7 5.7 4.9 0 9.9-1.9 13.6-5.6 7.5-7.5 7.6-19.7 0-27.3l-79.8-81 81.9-81.1c7.5-7.5 7.5-19.7-.1-27.3z"}},{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm124.4 332.4C347.2 413.7 303 432 256 432s-91.2-18.3-124.4-51.6C98.3 347.2 80 303 80 256s18.3-91.2 51.6-124.4C164.8 98.3 209 80 256 80s91.2 18.3 124.4 51.6C413.7 164.8 432 209 432 256s-18.3 91.2-51.6 124.4z"}}]})(props);
};
function IoIosArrowDroprightCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48 256c0 114.9 93.1 208 208 208s208-93.1 208-208S370.9 48 256 48 48 141.1 48 256zm244.5 0l-81.9-81.1c-7.5-7.5-7.5-19.8 0-27.3s19.8-7.5 27.3 0l95.4 95.7c7.3 7.3 7.5 19.1.6 26.6l-94 94.3c-3.8 3.8-8.7 5.7-13.7 5.7-4.9 0-9.9-1.9-13.6-5.6-7.5-7.5-7.6-19.7 0-27.3l79.9-81z"}}]})(props);
};
function IoIosArrowDropright (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M210.7 147.6c7.5-7.5 19.8-7.5 27.3 0l95.4 95.7c7.3 7.3 7.5 19.1.6 26.6l-94 94.3c-3.8 3.8-8.7 5.7-13.7 5.7-4.9 0-9.9-1.9-13.6-5.6-7.5-7.5-7.6-19.7 0-27.3l79.9-81.1-81.9-81.1c-7.6-7.4-7.6-19.6 0-27.2z"}},{"tag":"path","attr":{"d":"M48 256c0 114.9 93.1 208 208 208s208-93.1 208-208S370.9 48 256 48 48 141.1 48 256zm32 0c0-47 18.3-91.2 51.6-124.4C164.8 98.3 209 80 256 80s91.2 18.3 124.4 51.6C413.7 164.8 432 209 432 256s-18.3 91.2-51.6 124.4C347.2 413.7 303 432 256 432s-91.2-18.3-124.4-51.6C98.3 347.2 80 303 80 256z"}}]})(props);
};
function IoIosArrowDropupCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 464c114.9 0 208-93.1 208-208S370.9 48 256 48 48 141.1 48 256s93.1 208 208 208zm0-244.5l-81.1 81.9c-7.5 7.5-19.8 7.5-27.3 0s-7.5-19.8 0-27.3l95.7-95.4c7.3-7.3 19.1-7.5 26.6-.6l94.3 94c3.8 3.8 5.7 8.7 5.7 13.7 0 4.9-1.9 9.9-5.6 13.6-7.5 7.5-19.7 7.6-27.3 0l-81-79.9z"}}]})(props);
};
function IoIosArrowDropup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M147.6 301.3c-7.5-7.5-7.5-19.8 0-27.3l95.7-95.4c7.3-7.3 19.1-7.5 26.6-.6l94.3 94c3.8 3.8 5.7 8.7 5.7 13.7 0 4.9-1.9 9.9-5.6 13.6-7.5 7.5-19.7 7.6-27.3 0l-81-79.8-81.1 81.9c-7.5 7.5-19.7 7.5-27.3-.1z"}},{"tag":"path","attr":{"d":"M256 464c114.9 0 208-93.1 208-208S370.9 48 256 48 48 141.1 48 256s93.1 208 208 208zm0-32c-47 0-91.2-18.3-124.4-51.6C98.3 347.2 80 303 80 256s18.3-91.2 51.6-124.4C164.8 98.3 209 80 256 80s91.2 18.3 124.4 51.6C413.7 164.8 432 209 432 256s-18.3 91.2-51.6 124.4C347.2 413.7 303 432 256 432z"}}]})(props);
};
function IoIosArrowForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M294.1 256L167 129c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.3 34 0L345 239c9.1 9.1 9.3 23.7.7 33.1L201.1 417c-4.7 4.7-10.9 7-17 7s-12.3-2.3-17-7c-9.4-9.4-9.4-24.6 0-33.9l127-127.1z"}}]})(props);
};
function IoIosArrowRoundBack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M216.4 163.7c5.1 5 5.1 13.3.1 18.4L155.8 243h231.3c7.1 0 12.9 5.8 12.9 13s-5.8 13-12.9 13H155.8l60.8 60.9c5 5.1 4.9 13.3-.1 18.4-5.1 5-13.2 5-18.3-.1l-82.4-83c-1.1-1.2-2-2.5-2.7-4.1-.7-1.6-1-3.3-1-5 0-3.4 1.3-6.6 3.7-9.1l82.4-83c4.9-5.2 13.1-5.3 18.2-.3z"}}]})(props);
};
function IoIosArrowRoundDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M348.3 295.6c-5-5.1-13.3-5.1-18.4-.1L269 356.2V124.9c0-7.1-5.8-12.9-13-12.9s-13 5.8-13 12.9v231.3l-60.9-60.8c-5.1-5-13.3-4.9-18.4.1-5 5.1-5 13.2.1 18.3l83 82.4c1.2 1.1 2.5 2 4.1 2.7 1.6.7 3.3 1 5 1 3.4 0 6.6-1.3 9.1-3.7l83-82.4c5.2-4.9 5.3-13.1.3-18.2z"}}]})(props);
};
function IoIosArrowRoundForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M295.6 163.7c-5.1 5-5.1 13.3-.1 18.4l60.8 60.9H124.9c-7.1 0-12.9 5.8-12.9 13s5.8 13 12.9 13h231.3l-60.8 60.9c-5 5.1-4.9 13.3.1 18.4 5.1 5 13.2 5 18.3-.1l82.4-83c1.1-1.2 2-2.5 2.7-4.1.7-1.6 1-3.3 1-5 0-3.4-1.3-6.6-3.7-9.1l-82.4-83c-4.9-5.2-13.1-5.3-18.2-.3z"}}]})(props);
};
function IoIosArrowRoundUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M348.3 216.4c-5 5.1-13.3 5.1-18.4.1L269 155.8v231.3c0 7.1-5.8 12.9-13 12.9s-13-5.8-13-12.9V155.8l-60.9 60.8c-5.1 5-13.3 4.9-18.4-.1-5-5.1-5-13.2.1-18.3l83-82.4c1.2-1.1 2.5-2 4.1-2.7 1.6-.7 3.3-1 5-1 3.4 0 6.6 1.3 9.1 3.7l83 82.4c5.2 4.9 5.3 13.1.3 18.2z"}}]})(props);
};
function IoIosArrowUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 217.9L383 345c9.4 9.4 24.6 9.4 33.9 0 9.4-9.4 9.3-24.6 0-34L273 167c-9.1-9.1-23.7-9.3-33.1-.7L95 310.9c-4.7 4.7-7 10.9-7 17s2.3 12.3 7 17c9.4 9.4 24.6 9.4 33.9 0l127.1-127z"}}]})(props);
};
function IoIosAt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 234.3c0 74.1-34.7 120.8-89.6 120.8-28.1 0-49.5-15-53.2-37.3h-4c-9.9 23.2-30.3 35.9-57.7 35.9-48.8 0-81.4-39.1-81.4-97.3 0-55.9 32.8-94.8 80.7-94.8 24.6 0 45.5 12.4 54.7 32.7h4v-27.8h39.9v129.3c0 16.1 8.9 25.8 24.9 25.8 27.7 0 45.3-33.6 45.3-85.8 0-83.3-62.4-139-154.6-139-91.2 0-156.2 66.5-156.2 160.6 0 96.2 64.3 157.6 164.4 157.6 19.6 0 39.3-1.7 54.4-4.6 9.8-1.8 18.8 5.6 18.8 15.5 0 7.3-5 13.7-12.1 15.4-18.2 4.3-40.1 6.8-62.7 6.8C141.9 448 64 372.8 64 256.1 64 142.2 143.5 64 259.4 64 370.8 64 448 133.5 448 234.3zm-242.8 23c0 37 17.4 59.4 45.7 59.4 29.8 0 48.6-23 48.6-59.4s-18.8-58.9-48.1-58.9c-29.1 0-46.2 21.8-46.2 58.9z"}}]})(props);
};
function IoIosAttach (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M355.9 161.1c-8.6 0-15.6 7-15.6 15.6v194.4c0 20.3-8 40.4-22 55.1-13.9 14.6-35.2 23.7-55.5 23.7h-13.6c-19.6 0-39.5-8.9-54.8-24.6-15.2-15.5-23.9-35.6-23.9-55.2V119.3c0-14.9 6.2-28.9 17.3-39.5 11.1-10.5 25.7-16.3 41-16.3 15.1 0 29.3 5.8 39.8 16.2 10.5 10.5 16.4 24.6 16.4 39.6v234.2c0 17.1-13.6 32.2-29 32.2-13.6 0-28.2-12.9-28.2-32.2V219.9c0-8.6-7-15.6-15.6-15.6s-15.6 7-15.6 15.6v133.6c0 35.5 25.5 62.3 59.4 62.3 16.5 0 31.7-6.1 42.7-17.3 11.3-11.4 17.5-27.4 17.5-45V119.3c0-23.4-9.1-45.4-25.7-61.8C274 41 252 32 228.5 32s-45.5 9-62.2 25.5c-16.7 16.5-25.9 38.4-25.9 61.9v250.8c0 28.7 12.2 57.9 32.6 78 20.9 20.6 47.9 31.9 76.1 31.9h13.6c27.6 0 55.3-11.7 75.9-32.1 10.2-10.1 18.2-21.7 23.9-34.6 5.9-13.5 8.9-27.7 8.9-42.1V176.7c.1-8.6-6.9-15.6-15.5-15.6z"}}]})(props);
};
function IoIosBackspace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M395 96H230c-46.7 0-73.2 34.7-102 63.5s-72.1 74.7-72.1 74.7C51 239.8 48 247 48 255.1c0 8 3 15.3 7.9 21 0 0 34.3 37.6 72.1 75.5 37.8 37.8 56.7 64.5 102 64.5h165c38.5 0 69-32.5 69-71V165c0-38.5-30.5-69-69-69zm-17.7 212.7c6.2 6.2 6.2 16.4 0 22.6-6.2 6.2-16.4 6.2-22.6 0L302 278.6l-52.7 52.7c-6.2 6.2-16.3 6.4-22.6 0-6.4-6.4-6.7-15.9 0-22.6l52.7-52.7-52.7-52.7c-6-6-7.1-15.6 0-22.6 7.1-7.1 16.4-6.2 22.6 0l52.7 52.7 52.7-52.7c6.2-6.2 16.4-6.2 22.6 0 6.2 6.2 6.2 16.4 0 22.6L324.6 256l52.7 52.7z"}}]})(props);
};
function IoIosBarcode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M121.6 388H80.8c-2.2 0-4-1.8-4-4V128c0-2.2 1.8-4 4-4h40.5c7.9 0 14.5-6.4 14.7-14 .1-3.9-1.3-7.2-4.1-10-2.7-2.8-8-4-11.9-4H66c-10 0-18 6-18 16v288c0 10 7 16 17 16h56.3c7.9 0 14.5-5.2 14.7-12.8.1-3.9-1.3-7.5-4.1-10.3-2.7-2.8-6.4-4.9-10.3-4.9zM447 96h-56.3c-9.5 0-17.1 8.3-14 18.3.2.7.5 1.3.8 1.9 2.7 5.2 7.6 7.8 12.9 7.8h40.8c2.2 0 4 1.8 4 4v255.9c0 2.2-1.8 4-4 4h-40.5c-7.9 0-14.5 6.2-14.7 13.9-.1 3.9 1.3 7.6 4.1 10.4 2.7 2.8 6.4 3.8 10.3 3.8H447c10 0 17-6 17-16.4V112c0-10-7-16-17-16z"}},{"tag":"path","attr":{"d":"M122.5 176c-7.7 0-14 6.3-14 13.9V322c0 7.7 6.3 13.9 14 13.9s14-6.3 14-13.9V189.9c0-7.6-6.3-13.9-14-13.9zM389.5 336c7.7 0 14-6.3 14-13.9V189.9c0-7.7-6.3-13.9-14-13.9s-14 6.3-14 13.9V322c0 7.7 6.3 14 14 14zM326.5 144c-7.7 0-14 6.5-14 14.4v195.1c0 8 6.3 14.4 14 14.4s14-6.5 14-14.4V158.4c0-7.9-6.3-14.4-14-14.4zM185.5 144c-7.7 0-14 6.5-14 14.4v195.1c0 8 6.3 14.4 14 14.4s14-6.5 14-14.4V158.4c0-7.9-6.2-14.4-14-14.4zM256 160c-7.7 0-14 6.4-14 14.2v163.5c0 7.8 6.3 14.2 14 14.2s14-6.4 14-14.2V174.2c0-7.8-6.3-14.2-14-14.2z"}}]})(props);
};
function IoIosBaseball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.3 74.2l9.7-3.1c4.7-1.5 9.7 1.1 11.2 5.7l.1.4c1.5 4.7-1.1 9.7-5.7 11.2L260.1 92c-2.1.7-3.2 2.9-2.6 4.9 2.1 6.9 4.5 13.7 7.2 20.5 1.9 4.6 3.9 9.2 6.1 13.7 1.1 2.2 3.8 3 5.9 1.6l8.5-5.8c4.1-2.7 9.6-1.7 12.3 2.4l.2.3c2.7 4.1 1.7 9.6-2.4 12.3l-10.4 7.1a4 4 0 0 0-1.2 5.4c7 11 14.9 21.5 23.7 31.3 1.5 1.7 4.2 1.8 5.8.2l7.5-7.5c3.5-3.5 9.1-3.5 12.5 0l.3.3c3.5 3.5 3.5 9.1 0 12.5l-7.5 7.5c-1.6 1.6-1.5 4.3.2 5.8 10.2 9.1 21 17.3 32.5 24.4a4 4 0 0 0 5.4-1.2l6.9-10.2c2.7-4.1 8.3-5.1 12.3-2.4l.3.2c4.1 2.7 5.1 8.3 2.4 12.3l-5.5 8.1c-1.4 2-.6 4.8 1.6 5.9 4.1 1.9 8.2 3.8 12.4 5.5 7.1 2.9 14.3 5.4 21.7 7.6 2.1.6 4.3-.5 5-2.6l3.5-10.8c1.5-4.7 6.5-7.2 11.2-5.7l.4.1c4.7 1.5 7.2 6.5 5.7 11.2l-2.8 8.8c-.7 2.3.7 4.7 3.1 5.2 7.1 1.3 14.3 2.3 21.5 2.9.1-2.6.2-5.3.2-7.9 0-114.9-93.1-208-208-208-2.7 0-5.3.1-8 .2.7 7.7 1.7 15.3 3.1 22.9.4 2.5 2.9 3.9 5.2 3.2zM258 447.2c-.4-2.4-2.8-3.9-5.2-3.2l-11.6 3.7c-4.7 1.5-9.7-1.1-11.2-5.7l-.1-.4c-1.5-4.7 1.1-9.7 5.7-11.2l13.8-4.4c2-.7 3.2-2.8 2.6-4.9-2.3-7.9-5-15.6-8.1-23.3-1.6-4-3.3-7.9-5.2-11.8-1-2.2-3.8-3-5.9-1.6l-10.9 7.4c-4.1 2.7-9.6 1.7-12.3-2.4l-.2-.3c-2.7-4.1-1.7-9.6 2.4-12.3l13-8.8a4 4 0 0 0 1.2-5.4c-7.2-11.7-15.5-22.7-24.8-33.1-1.5-1.7-4.2-1.8-5.8-.2l-9.9 9.9c-3.5 3.5-9.1 3.5-12.5 0l-.3-.3c-3.5-3.5-3.5-9.1 0-12.5l9.9-9.9c1.6-1.6 1.5-4.3-.2-5.8-10-9-20.6-17-31.9-24a4 4 0 0 0-5.4 1.2l-9 13.3c-2.7 4.1-8.3 5.1-12.3 2.4l-.3-.2c-4.1-2.7-5.1-8.3-2.4-12.3l7.6-11.3c1.4-2 .6-4.8-1.6-5.9-4.3-2.1-8.6-4-13.1-5.8-7.3-2.9-14.6-5.5-22.1-7.7-2-.6-4.3.6-4.9 2.6l-4.6 14.4c-1.5 4.7-6.5 7.2-11.2 5.7l-.4-.1c-4.7-1.5-7.2-6.5-5.7-11.2l4-12.4c.7-2.3-.7-4.8-3.1-5.2-5.8-1-11.7-1.8-17.6-2.4-.1 0-.3 0-.4-.1v4.2c0 114.9 93.1 208 208 208h4.2c0-.1-.1-.3-.1-.4-.5-5.4-1.2-10.9-2.1-16.3z"}},{"tag":"path","attr":{"d":"M431.1 280.9l-5.9 18.4c-1.5 4.7-6.5 7.2-11.2 5.7l-.4-.1c-4.7-1.5-7.2-6.5-5.7-11.2l5.3-16.6c.7-2.1-.5-4.4-2.7-5.1-13.5-4-26.8-9.2-39.7-15.6-1.8-.9-4-.3-5.1 1.3l-10.5 15.4c-2.7 4.1-8.3 5.1-12.3 2.4l-.3-.2c-4.1-2.7-5.1-8.3-2.4-12.3l9.2-13.6c1.3-1.9.7-4.4-1.2-5.6-12.3-7.7-24.1-16.6-35.2-26.7-1.6-1.4-4-1.4-5.5.1L294.7 230c-3.5 3.5-9.1 3.5-12.5 0l-.3-.3c-3.5-3.5-3.5-9.1 0-12.5l12.8-12.8c1.5-1.5 1.6-3.9.1-5.5-9.7-10.8-18.4-22.2-26-34-1.2-1.9-3.8-2.5-5.6-1.2l-13.3 9c-4.1 2.7-9.6 1.7-12.3-2.4l-.2-.3c-2.7-4.1-1.7-9.6 2.4-12.3l15.1-10.2c1.7-1.1 2.2-3.3 1.3-5.1-6.4-12.9-11.7-26.2-15.8-39.7-.7-2.1-2.9-3.4-5.1-2.7l-15.9 5.1c-4.7 1.5-9.7-1.1-11.2-5.7l-.1-.4c-1.5-4.7 1.1-9.7 5.7-11.2l17.6-5.6c1.9-.6 3.1-2.6 2.7-4.6-1.8-9.2-3.1-18.6-3.9-27.9-95.4 11.8-170.8 88.2-181 184.1h1c7.5.7 15 1.8 22.4 3.2 2 .4 4-.8 4.6-2.7l4.7-14.8c1.5-4.7 6.5-7.2 11.2-5.7l.4.1c4.7 1.5 7.2 6.5 5.7 11.2l-4.2 13c-.7 2.2.5 4.4 2.7 5.1 13.9 4.1 27.5 9.4 40.7 16 1.8.9 4 .3 5.1-1.3l8.3-12.3c2.7-4.1 8.3-5.1 12.3-2.4l.3.2c4.1 2.7 5.1 8.3 2.4 12.3l-7.1 10.5c-1.3 1.9-.7 4.4 1.2 5.6 12.1 7.7 23.7 16.4 34.6 26.3 1.6 1.4 4 1.4 5.5-.1l10.4-10.4c3.5-3.5 9.1-3.5 12.5 0l.3.3c3.5 3.5 3.5 9.1 0 12.5L214 310.8c-1.5 1.5-1.6 3.9-.1 5.5 10.2 11.3 19.2 23.3 27 35.8 1.2 2 3.7 2.5 5.7 1.2l10.8-7.3c4.1-2.7 9.6-1.7 12.3 2.4l.2.3c2.7 4.1 1.7 9.6-2.4 12.3l-12.7 8.6c-1.7 1.1-2.2 3.3-1.3 5.1 6.4 13.2 11.7 26.7 15.7 40.6.6 2.2 2.9 3.4 5.1 2.7l13.6-4.4c4.7-1.5 9.7 1.1 11.2 5.7l.1.4c1.5 4.7-1.1 9.7-5.7 11.2l-15.6 5c-1.9.6-3.1 2.6-2.7 4.6 1.3 7 2.3 14.1 3 21.2v1c95.9-10.2 172.3-85.6 184.1-181-8.9-.7-17.9-1.9-26.7-3.6-1.9-.3-3.9.9-4.5 2.8z"}}]})(props);
};
function IoIosBasket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M387.9 373.7h49.2l17.5-75.4h-66.7zM387.9 448h.5c18.7 0 33.4-12.5 38.3-29.5l6-25.9h-44.8V448zM265.4 392.5h103.7V448H265.4zM75 373.7h49v-75.4H57.5zM142.9 192h103.7v87.5H142.9zM265.4 192h103.7v87.5H265.4zM85.5 418.3c4.7 17 19.4 29.7 38.1 29.7h.5v-55.5H79.4l6.1 25.8zM142.9 392.5h103.7V448H142.9zM265.4 298.3h103.7v75.4H265.4zM142.9 298.3h103.7v75.4H142.9z"}},{"tag":"path","attr":{"d":"M464 192h-47.9V96c0-17.6-14.4-32-32-32H127.9c-17.6 0-32 14.4-32 32v96H48c-10.3 0-17.9 9.6-15.6 19.6l19.7 67.9H124V106c0-7.7 6.3-14 14-14h236c7.7 0 14 6.3 14 14v173.5h72l19.6-67.9c2.3-10-5.3-19.6-15.6-19.6z"}}]})(props);
};
function IoIosBasketball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M218.6 306.4c14.3-11.8 28.3-24.4 41.4-37.6l6.1-6.1c-2.8-2.9-5.6-5.8-8.3-8.5-49.9-49.9-107.7-89.6-171.8-118.1-18.4 26.1-31 56.6-35.8 89.6 32.2 2.3 63.2 10.5 92.2 24.5 28.8 13.9 54.4 32.8 76.2 56.2zM326.1 185.6c.5.5 1.1 1.1 1.7 1.6 20.9-30.5 38.8-63.2 53.5-97.4-33.8-25.5-75.6-41-121-41.9 2.4 22.3 8 44.1 16.7 64.7 11.5 27.4 28.1 52 49.1 73zM399 234.8c20.7 8.8 42.6 14.4 65 16.7-1.2-56.3-24.8-107.1-62.2-143.9-15 33.8-33.3 66.3-54.4 96.8 15.8 12.4 33.2 22.6 51.6 30.4zM193.9 318.1c-21.1-21.1-45.6-37.6-72.9-49.2-23.2-9.8-47.7-15.6-72.9-17.4 0 1.5-.1 3-.1 4.4 0 48.7 16.7 93.5 44.8 128.9 37.3-17 72.7-37.9 105.4-62.4-1.5-1.4-2.9-2.9-4.3-4.3zM283.8 243.6c10.1-11.3 19.7-23.1 28.8-35.1-44.5-42.3-72.1-98.6-78.2-159.5-51.9 5.4-98.1 29.8-131.5 66.2 33.4 15.3 65.5 33.8 95.6 55.1 30.5 21.7 59.2 46.3 85.3 73.3zM301.4 262.8c38.9 44 70.9 93.2 95.3 146.4 36.4-33.5 60.9-79.8 66.2-131.7-47.7-4.7-92.8-22.6-130.8-52-9.6 12.7-20 25.3-30.7 37.3zM235.3 326.2c29.9 39.5 47.5 86.2 51 135.6 33-4.8 63.5-17.4 89.5-35.8-23.4-52.6-54.3-101-92.2-144.2-15.2 15.6-31.4 30.5-48.3 44.4zM214.9 342.3c-32.4 24.4-67.4 45.5-104 62.8 37.5 36.5 88.6 59 145.1 59 1.5 0 3 0 4.5-.1-1.8-25.2-7.6-49.7-17.4-72.9-7.4-17.5-16.8-33.8-28.2-48.8z"}}]})(props);
};
function IoIosBatteryCharging (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M396 144H64c-26.4 0-48 21.6-48 48v128c0 26.4 21.6 48 48 48h332c26.4 0 48-21.6 48-48V192c0-26.4-21.6-48-48-48zm20 176c0 11-9 20-20 20H64c-11 0-20-9-20-20V192c0-11 9-20 20-20h332c11 0 20 9 20 20v128zM464 204.6v102.8c16 0 32-27.7 32-51.4s-16-51.4-32-51.4z"}},{"tag":"path","attr":{"d":"M384 192H76c-6.6 0-12 5.4-12 12v104c0 6.6 5.4 12 12 12h308c6.6 0 12-5.4 12-12V204c0-6.6-5.4-12-12-12zM218.8 308l8.4-43H200l45.2-61-8.4 43H264l-45.2 61z"}}]})(props);
};
function IoIosBatteryDead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M396 144H64c-26.4 0-48 21.6-48 48v128c0 26.4 21.6 48 48 48h332c26.4 0 48-21.6 48-48V192c0-26.4-21.6-48-48-48zm20 176c0 11-9 20-20 20H64c-11 0-20-9-20-20V192c0-11 9-20 20-20h332c11 0 20 9 20 20v128zM464 204.6v102.8c16 0 32-27.7 32-51.4s-16-51.4-32-51.4z"}}]})(props);
};
function IoIosBatteryFull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M396 144H64c-26.4 0-48 21.6-48 48v128c0 26.4 21.6 48 48 48h332c26.4 0 48-21.6 48-48V192c0-26.4-21.6-48-48-48zm20 176c0 11-9 20-20 20H64c-11 0-20-9-20-20V192c0-11 9-20 20-20h332c11 0 20 9 20 20v128zM464 204.6v102.8c16 0 32-27.7 32-51.4s-16-51.4-32-51.4z"}},{"tag":"path","attr":{"d":"M384 192H76c-6.6 0-12 5.4-12 12v104c0 6.6 5.4 12 12 12h308c6.6 0 12-5.4 12-12V204c0-6.6-5.4-12-12-12z"}}]})(props);
};
function IoIosBeaker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M445.2 48H128.5C74.1 48 64 75.9 64 88.2c30.3 4.2 32 4.2 32 36.2v275.5c0 35.3 28.9 64 64.2 64H368c35.4 0 63-29.2 63-64.5V89.2c2-17.5 12.5-31.6 13.6-33.3 1.2-1.9 3.4-4.4 3.4-5.5 0-1.2-.3-2.4-2.8-2.4zm-333 29.3c0-.1 0-.1 0 0 6-1 12-1.3 16.3-1.3H405c-.9 3.7-1.5 7.1-1.8 10-.1 1.1-.2 2.1-.2 3.2v70.9-.1H124v-35.5c0-17.6 0-34.2-11.8-47.2z"}}]})(props);
};
function IoIosBed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M458.2 208h-.4c-12 0-21.8 9.8-21.8 21.8 0 1.2-1 2.2-2.2 2.2H78.2c-1.2 0-2.2-1-2.2-2.2 0-12-9.8-21.8-21.8-21.8h-.4c-12 0-21.8 9.8-21.8 21.8v180.4c0 12 9.8 21.8 21.8 21.8h.4c12 0 21.8-9.8 21.8-21.8V404c0-2.2 1.8-4 4-4h352c2.2 0 4 1.8 4 4v6.2c0 12 9.8 21.8 21.8 21.8h.4c12 0 21.8-9.8 21.8-21.8V229.8c0-12-9.8-21.8-21.8-21.8z"}},{"tag":"path","attr":{"d":"M84 214h22.5c2.2 0 4-1.8 4-4v-13c0-8.8 7.2-16 16-16H224c8.8 0 16 7.2 16 16v13c0 2.2 1.8 4 4 4h24c2.2 0 4-1.8 4-4v-13c0-8.8 7.2-16 16-16h97.5c8.8 0 16 7.2 16 16v13c0 2.2 1.8 4 4 4H428c4.4 0 8-3.6 8-8v-94c0-17.6-14.4-32-32-32H108c-17.6 0-32 14.4-32 32v94c0 4.4 3.6 8 8 8z"}}]})(props);
};
function IoIosBeer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112 162c0-13.3 10.7-24 24-24h229.5c4.9 0 9.6 1.5 13.5 4.4 2 1.5 4.9 0 4.8-2.5-.1-5.7-.2-9.3-.2-21.6 0-20.8-17.2-38.3-38.1-38.3h-.2c-5.7-.4-10.8-4-12.9-9.3-9-22.6-32.3-38.6-56.4-38.6-21 0-34.2 7-44 18.3-4.4 5-11.8 5.9-17.4 2.4-7.3-4.6-16.1-7.1-25.5-7.1-14.4 0-27.2 7.1-35.8 17.4-4 4.9-10.4 7-16.6 5.9-5.2-1-12.6-1.8-22.7-1.8-25 0-50 16.6-50 42.4v4c0 28.8 16 22.9 16 41.8v50.8c0 13.4-11.2 19.3-11.2 35.2 0 8.8 8 16.8 16.8 16.8H112V162zM386 452H110c-7.7 0-14 6.3-14 14s6.3 14 14 14h276c7.7 0 14-6.3 14-14s-6.3-14-14-14z"}},{"tag":"path","attr":{"d":"M400 194h-32v-24c0-8.8-7.2-16-16-16H144c-8.8 0-16 7.2-16 16v213.8c0 12.1-1.1 18.2-3.2 30.1l-.1.5c-.8 4.7.2 9.5 2.8 13.5 3.4 5.1 9.1 8.2 15.3 8.2h213.9c4.1 0 8.1-1.4 11.1-4.1 4.7-4.1 6.5-10.3 5.2-16-2.7-11.8-4.5-17.8-4.8-29.9H400c26.4 0 48-21.6 48-48v-96c0-26.5-21.6-48.1-48-48.1zm20 144c0 11-9 20-20 20h-32V222h32c11 0 20 9 20 20v96z"}}]})(props);
};
function IoIosBicycle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M125.3 289.3c17.3 0 33.7 6.8 46.1 19.2 12.4 12.4 19.2 28.8 19.2 46.1s-6.8 33.7-19.2 46.1c-12.4 12.4-28.8 19.2-46.1 19.2s-33.7-6.8-46.1-19.2C66.8 388.4 60 372 60 354.7s6.8-33.7 19.2-46.1c12.4-12.4 28.8-19.3 46.1-19.3m0-28c-51.3 0-93.3 42-93.3 93.3C32 406 74 448 125.3 448s93.3-42 93.3-93.3c.1-51.4-41.9-93.4-93.3-93.4zM319.8 127.8c17.8 0 32-14.2 32-32S337.8 64 320 64s-32.2 14-32.2 31.8c0 17.7 14.3 32 32 32zM386.7 289.3c17.3 0 33.7 6.8 46.1 19.2 12.4 12.4 19.2 28.8 19.2 46.1s-6.8 33.7-19.2 46.1C420.4 413.2 404 420 386.7 420s-33.7-6.8-46.1-19.2c-12.4-12.4-19.2-28.8-19.2-46.1s6.8-33.7 19.2-46.1c12.3-12.4 28.7-19.3 46.1-19.3m0-28c-51.3 0-93.3 42-93.3 93.3s42 93.3 93.3 93.3 93.3-42 93.3-93.3-42-93.3-93.3-93.3z"}},{"tag":"path","attr":{"d":"M368 192h-48l-29.5-60.1c-5.6-9.3-15.9-15.9-27.1-15.9-8.4 0-16.8 3.7-22.4 9.3l-71.7 69.1c-5.6 5.6-9.3 14-9.3 22.4 0 17.4 12.6 23.6 18.5 27.1C224 270.1 240 273 240 286.1V352c0 8.8 7.2 16 16 16s16-7.2 16-16v-90c0-13.2-30.4-24-48.3-38l48.9-51.5c18.7 28.5 27.3 51.5 38 51.5H368c8.8 0 16-7.2 16-16s-7.2-16-16-16z"}}]})(props);
};
function IoIosBluetooth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M378.5 333l-88.3-77 88.2-76.1c6.9-6 7.4-16.3 1.1-22.9L262.7 35.6c-2.2-2.3-5.4-3.6-8.6-3.6-6.1 0-11.1 4.9-11.1 10.8V212l-86.3-73.3c-7.1-6-17.8-5.3-24.1 1.5-6.5 7-5.8 17.9 1.6 24.1L243 256l-108.1 90.9c-7.3 6.1-8.1 16.8-1.7 23.9l.3.3c6.3 7 17.3 7.7 24.5 1.5l85-73.6v169.8c0 6.2 5.1 11.2 11.5 11.2 3.2 0 6.2-1.3 8.4-3.5L379.6 356c6.3-6.6 5.8-16.9-1.1-23zm-99.1-232.1l62.7 65.9c.8.8.7 2.1-.2 2.9l-62.7 53c-1.3 1.1-3.4.2-3.4-1.5V102.3c.1-1.9 2.4-2.7 3.6-1.4zm-3.5 309V291.6c0-1.7 2.1-2.6 3.4-1.5l62.7 53c.9.7.9 2 .2 2.9l-62.7 65.3c-1.3 1.3-3.6.4-3.6-1.4z"}}]})(props);
};
function IoIosBoat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M351.8 422c-26.2 9.2-66.5 14.9-96.1 14.9-29.6 0-69.9-5.7-96.1-14.9 0 0-26.1 23.9-62.3 36.2-2.3.8-1.5 4.2.9 3.9 22.6-2.6 40.2-6.5 61.4-12 23 9 66.7 13.9 96.1 13.9 29.4 0 74.1-3.8 96.1-13.9 21.5 5.6 38.8 9.6 62 12.1 2.4.3 3.2-3.1.9-3.9-35.7-12.4-62.9-36.3-62.9-36.3zM445.5 263l-186.2-85.5c-2.1-1-4.6-1-6.7 0L66.5 263c-6.2 2.9-10.5 9.1-10.5 16.4 0 2.4.5 4.6 1.3 6.7L112 422c27.5 0 56.7-22 56.7-22 18 9 53.1 17.1 79.3 18.6 2.8.2 5.5.2 8 .2s5.2-.1 8-.2c26.2-1.5 61.3-9.5 79.3-18.6 0 0 29.2 22 56.7 22l54.7-135.9c.8-2.1 1.3-4.3 1.3-6.7 0-7.3-4.3-13.5-10.5-16.4zM212 288c-6.6 0-12-9.8-12-22s5.4-22 12-22 12 9.8 12 22-5.4 22-12 22zm88 0c-6.6 0-12-9.8-12-22s5.4-22 12-22 12 9.8 12 22-5.4 22-12 22z"}},{"tag":"path","attr":{"d":"M391.9 127v-.1C386.3 100.3 374.4 80 352 80h-34.6l-2-8c-3.6-14.1-16.4-24-31-24h-57c-14.6 0-27.4 9.9-31 24.1l-2 7.9H160c-22.9 0-35.1 20.7-39.8 47L102 223.8c-.6 3.2 2.6 5.7 5.6 4.4l25.3-11.6c1.2-.5 2-1.6 2.3-2.9l16.2-85.6c2.5-10.7 7.3-16 16.1-16h177.1c8.9 0 13.1 5 16.1 16l16.2 85.6c.2 1.3 1.1 2.4 2.3 2.9l25.4 11.7c3 1.4 6.2-1.2 5.6-4.4L391.9 127z"}}]})(props);
};
function IoIosBody (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"ellipse","attr":{"cx":"256","cy":"80","rx":"48","ry":"48"}},{"tag":"path","attr":{"d":"M424 144H88c-13.3 0-24 10.7-24 24s10.7 24 24 24h98.5c5.6 1 13.2 3.8 17.2 14.2 4.7 12.1 2.4 33.6-.5 51.7l-3.8 21.4c0 .1 0 .2-.1.3l-30.4 172.2c-2.3 13 6.4 25.5 19.5 27.8 13.1 2.3 25.3-6.4 27.6-19.5l21-119.9v.2s6.2-32.5 18.5-32.5h1.1c12.5 0 18.5 32.5 18.5 32.5v-.1l21 119.9c2.3 13 14.7 21.7 27.7 19.4 13.1-2.3 21.7-14.8 19.4-27.8l-30.4-172.2c0-.1 0-.2-.1-.3l-3.8-21.4c-2.9-18.1-5.2-39.6-.5-51.7 4-10.4 11.6-13.2 17.2-14.2H424c13.3 0 24-10.7 24-24s-10.7-24-24-24z"}}]})(props);
};
function IoIosBonfire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M270.9 350.6c-.7-8.2-7.6-14.6-15.9-14.6-7.6 0-14 5.4-15.6 12.5L223.8 427c-.5 2.3-.8 4.6-.8 7 0 17.7 14.3 30 32 30s32-12.3 32-30c0-2.9-.4-5.7-1.1-8.4l-15-75zM305.9 355zM388.9 386.3c-1.7-1.4-3.3-2.9-5.1-3.9l-59.6-43.5c-5.8-3.8-12-3.7-16.5.9-4.1 4.1-4.7 10.4-1.7 15.4l45 61.8c.9 1.5 2.2 2.8 3.4 4.2 7.8 9.1 25.1 9.6 34.6 0 9.4-9.8 9.3-27.2-.1-34.9zM372.5 335zM435.4 320h-59.5c-3.9 0-7.4 2.2-8.1 6.2-.6 3.6 1.3 7.1 4.7 8.8h.1l57.7 17.8c8.3 1.9 17.7-5.5 17.7-14.8 0-11.8-4.8-18-12.6-18zM139.2 335zM139.2 335c3.3-1.6 5.3-5.2 4.7-8.8-.7-4-3.9-6.2-8.1-6.2H76.3c-7.6 0-12.3 8.3-12.3 17.6s9.1 17.1 17.4 15.2l57.7-17.8h.1zM187.9 338.8l-59.6 43.4c-1.8 1.1-3.6 2.4-5.1 3.9-9.6 9.6-9.6 25.1 0 34.6 9.6 9.6 25.1 9.6 34.6 0 1.3-1.3 2.4-2.7 3.4-4.2l45-61.6c3-5 2.5-11.2-1.7-15.3-4.6-4.5-11.8-4.8-16.6-.8zM358.7 138.7c0-57.6-72.4-90.7-96-90.7 12 80.8-101.7 113-112 181.3-10.3 68.3 48 90.7 48 90.7 16.3-56.6 72.4-75.6 109.7-99.8 40.7-26.4 50.3-51.3 50.3-81.5zM358.7 259.6c5-14.7 1.9-49.3-3-63.4-9 17.5-26.3 32.4-47.2 46-8.6 5.6-20.9 10.8-29.8 15.9-18.7 10.5-34 20.6-46.3 34.4 11.3 16.4 31.3 27.7 46.3 27.7 36-.2 64-13.7 80-60.6z"}},{"tag":"path","attr":{"d":"M161.8 171.9c11.7-15.1 24.9-23.8 38.2-36.2 13.4-12.5 22.1-21.2 27.5-31.3-10.7-20.1-30.8-28.1-44.7-26.1 2.3 28.6-30 44-32 64.8-1.3 12.6 5.4 25 11 28.8z"}}]})(props);
};
function IoIosBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M146 64.1c54.1 0 100 27.9 100 82V446c0 2.2-3.1 2.7-3.8.7v-.1c-10.3-34.2-38.2-67.6-82.3-70.5-34.2-2.2-66.9 12.9-93.1 37.1-1.6 1.5-4.3 2.9-6.6 2.9h-4.5c-3.7 0-7.6-2.7-7.6-6.1V120.2C48 88.1 91.9 64.1 146 64.1zM366 64c-54.1 0-100 27.9-100 82v299.9c0 2.2 3.1 2.7 3.8.7v-.1c10.3-34.2 39.4-67.9 82.3-70.5 32.9-2 63.9 11 93.1 37.1 1.6 1.4 4.3 2.9 6.6 2.9h4.5c3.7 0 7.6-2.7 7.6-6.1V120c.1-32-43.8-56-97.9-56z"}}]})(props);
};
function IoIosBookmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 80v380c0 3.3 3.8 5.2 6.4 3.2l116.8-92c2.9-2.1 6.8-2.1 9.6 0l116.8 92c2.6 2 6.4.1 6.4-3.2V80c0-17.7-14.3-32-32-32H160c-17.7 0-32 14.3-32 32z"}}]})(props);
};
function IoIosBookmarks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 32v127.9l-22.9-14.5-9.1-6.4-9.1 6.4-22.9 14.5V32h-41.4c-22.5.2-40.6 18.8-40.6 41.4v313.2c0 7.5-5.8 14-13.3 14.4-8 .4-14.7-6-14.7-14V73.4c0-22.6-18.1-41.2-40.6-41.4H95.1C64.8 32 40 56.8 40 87.1v289.8c0 30.3 24.8 55.1 55.1 55.1l108-.1c4.2.1 8.3.6 12.2 1.4 15.3 3.1 26.8 16.6 26.6 32.2-.1 7.2 5.2 13.6 12.4 14.4 8.5.9 15.7-5.7 15.6-14.1-.2-15.8 11.4-29.4 26.9-32.5 3.8-.8 7.9-1.2 12-1.3l108 .1c30.3 0 55.1-24.8 55.1-55.1V87.1C472 56.8 446.3 32 416 32z"}}]})(props);
};
function IoIosBowtie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M290.8 213.5C286 205 277 202.2 266 202.2v-.2c-6 0-14.3 1.3-22.6 2.9-11.9 2.3-19.7 7.1-19.7 7.1s3.6 27.3.1 58.5-7.9 42.5-7.9 42.5 5.3 12.1 40 15c3.9.3 7.6.5 11 .5 24.5 0 36.4-7.3 36.4-7.3s3.3-5.4 4.3-22.1c1.9-32.2-7-68.5-16.8-85.6zM205.7 208.8c-22-40.2-86.2-96.8-121.3-96.8C57.9 112 32 180.5 32 256s23 144 51.5 144c33.4 0 110.5-80 110.5-80s5.7-12.6 9.9-33.6l1.8-10.4c.7-4.7 1.3-9.7 1.7-15 .3-3.5.5-6.8.6-9.9l.3-9.8c.7-16-2.6-32.5-2.6-32.5zM427.6 112c-36.4 0-96.4 56.5-118.3 96.8l-.8 1.4s1.4 2.5 1.9 3.4c3.4 6 6.7 14.3 9.4 24l2.9 11.7c2.2 10.2 3.7 21.2 4.2 32.2l.2 9c0 2.9-.1 5.7-.3 8.5-1 16.7-4.6 22.1-4.6 22.1 7.6 10.5 69 78.9 106.2 78.9 28.5 0 51.5-68.5 51.5-144s-25.8-144-52.3-144z"}}]})(props);
};
function IoIosBriefcase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M80 448h352c17.7 0 32-14.3 32-32V224H48v192c0 17.7 14.3 32 32 32zM432 128h-8v-8c0-4.4-3.6-8-8-8h-32c-4.4 0-8 3.6-8 8v8h-28V96c0-17.6-14.4-32-32-32H196c-17.6 0-32 14.4-32 32v32h-28v-8c0-4.4-3.6-8-8-8H96c-4.4 0-8 3.6-8 8v8h-8c-17.7 0-32 14.3-32 32v40h416v-40c0-17.7-14.3-32-32-32zm-112 0H192v-28c0-4.4 3.6-8 8-8h112c4.4 0 8 3.6 8 8v28z"}}]})(props);
};
function IoIosBrowsers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48 181.4V424c0 22.1 17.9 40 40 40h242.6c22.1 0 40-17.9 40-40V181.4c0-22.1-17.9-40-40-40H88c-22.1 0-40 17.9-40 40z"}},{"tag":"path","attr":{"d":"M141.4 88v28.4c0 2.2 1.8 4 4 4h198.2c26.4 0 48 21.6 48 48v198.2c0 2.2 1.8 4 4 4H424c22.1 0 40-17.9 40-40V88c0-22.1-17.9-40-40-40H181.4c-22.1 0-40 17.9-40 40z"}}]})(props);
};
function IoIosBrush (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149.6 283.3c-51.9 0-83.9 45.7-83.9 95.1 0 21.3-10.9 37.1-31.4 46.4-2.2 1-3 3.8-1.7 5.8 16.7 24.6 63.3 33.3 95.3 33.3 8.4 0 15.9-.6 21.8-1.7 35.6-6.4 80.1-24.9 90.7-77 12.2-60.5-38.9-101.9-90.8-101.9z"}},{"tag":"path","attr":{"d":"M467.7 60.4C460 52.7 450.9 48 441.6 48c-6.3 0-12.7 2.2-18.8 7L257.7 200.3c-5.4 4.8-12.4 7.4-19.7 7.4h-.1-.1c-5.6 0-11.1 2.1-15.4 5.8l-53.6 43.8c-2.1 1.8-2.7 4.8-1.4 7.2.9 1.7 2.6 2.9 4.5 3.1 45.6 4.5 87 37 87.3 86.6 0 1.7.7 3.4 2 4.5 2.5 2.1 6 1.7 8-.6l45.1-52.2c3.5-4 5.8-9.1 6-14.5v-1.2c0-7.5 3-14.8 8-20.4l144.8-164.4c11.9-15.1 7.6-32.1-5.4-45z"}}]})(props);
};
function IoIosBug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M374.6 127.3C345.4 88.5 303.1 64 256 64c-47.1 0-89.4 24.5-118.6 63.3 6.4 15.6 15.8 30 28.1 42.3 24.2 24.2 56.3 37.5 90.5 37.5s66.3-13.3 90.5-37.5c12.3-12.3 21.8-26.6 28.1-42.3z"}},{"tag":"path","attr":{"d":"M122 150s-3.8-1.6-5.9-3.3c-2.1-1.7-5-4.9-6.5-8.4 5.4-11.3 1.2-25-9.9-31.3-11.8-6.6-26.9-2.2-33.1 10-4.5 8.9-2.9 19.8 3.8 27.1 1.8 1.9 3.7 3.4 5.7 4.6 2.8 1.6 4.9 4 6.4 6.8 2.7 5.2 6.4 10.7 11.1 14.6 4.2 3.5 8.8 7.1 15.2 10.7-7.2 20.3-11.6 42.3-12.5 65.4-11 .2-18.6 2.1-25.5 4.1-4.2 1.2-8.2 3.4-11.8 5.9-1-.1-1.9-.2-2.9-.2-13.8 0-24.8 11.6-24 25.6.7 11.8 10.3 21.5 22.2 22.4 11 .8 20.6-5.9 24.3-15.5 2-5.3 6.7-9.2 12.4-9.9 1.9-.2 3.9-.4 6.2-.4 3.2 33 13.3 63.5 28.6 89.2-14.2 11-22.9 23-26.6 36.3 0 0-.8.4-1.9 1.4-1 .8-1.9 1.6-2.8 2.6-8.9 9.9-8.1 25 1.8 33.9 9.9 8.9 25 8.1 33.9-1.8 6.2-6.9 7.6-16.3 4.6-24.5-2.2-6-.7-12.7 3.9-17 1.6-1.5 3.5-3.1 5.7-4.9 27.1 31.7 59.4 52 99.7 54.4V232.9C190.8 230 144.4 195.3 122 150zM456 256.1c-1 0-2 .1-2.9.2-3.6-2.5-7.7-4.6-11.8-5.9-6.9-2-14.4-3.9-25.5-4.1-1-23.1-5.4-45.2-12.5-65.4 6.4-3.6 11-7.2 15.2-10.7 4.9-4.1 8.7-10 11.5-15.3 1.3-2.5 3.3-4.5 5.8-5.9 0 0 .1 0 .1-.1 11.6-6.5 15.7-21.1 9.2-32.7-6.5-11.6-21.1-15.7-32.7-9.2-11.1 6.2-15.3 19.9-9.9 31.3-1.6 3.4-3.4 5.7-6.5 8.4-2.3 2-5.9 4.3-5.9 4.3-22.4 45.3-68.8 79-122 81.9V448c40.3-2.4 72.6-22.8 99.7-54.4 2.1 1.7 3.9 3.2 5.4 4.6 4.8 4.4 6.4 11.3 4.2 17.5-3 8.1-1.5 17.5 4.7 24.3 8.9 9.9 24 10.7 33.9 1.8 9.9-8.9 10.7-24 1.8-33.9-.9-1-1.8-1.8-2.8-2.6-1.1-.9-1.9-1.4-1.9-1.4-3.7-13.3-12.4-25.3-26.6-36.3 15.3-25.7 25.4-56.2 28.6-89.2 2.1 0 4.1.2 5.9.4 5.9.7 10.7 4.7 12.9 10.2 3.7 9.4 13.2 15.9 24.1 15.1 11.8-.9 21.4-10.5 22.2-22.4.6-14-10.4-25.6-24.2-25.6z"}}]})(props);
};
function IoIosBuild (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M441.1 131.1l-44.9 45.1c-.9.9-2.3 1.3-3.5 1.1l-46.4-8.4c-1.6-.3-2.9-1.6-3.2-3.2l-8.3-46.4c-.2-1.3.2-2.6 1.1-3.5l44.8-45c3.5-3.5 3-9.3-1-12.1-10.1-7.2-22.1-10.7-31.8-10.7-.7 0-1.4 0-2 .1-12.5.7-39.3 7.7-60 29.7-20.1 21.2-41.1 60.6-22.5 104.5 2.2 5.3 4.7 12.3-2.7 19.7C253.1 209.4 61 390.3 61 390.3c-18 15.5-16.7 44.2-.1 60.9 8.5 8.4 20 12.8 31.3 12.8 11.1 0 21.9-4.2 29.6-13.1 0 0 179.4-191.1 188.2-199.8 4-3.9 7.7-5.1 11.1-5.1 3.3 0 6.3 1.2 8.6 2.4 9.9 5.1 21 7.4 32.4 7.4 26.8 0 55-12.4 72.2-29.6 24.4-24.4 28.9-48 29.6-60.1.6-9.9-2.2-22.6-10.7-34.2-2.9-3.8-8.6-4.2-12.1-.8zM102.5 429.3c-5.5 5.4-14.4 5.4-19.9 0-5.4-5.5-5.4-14.4 0-19.9 5.5-5.4 14.4-5.4 19.9 0 5.4 5.6 5.4 14.5 0 19.9z"}}]})(props);
};
function IoIosBulb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M404 188.9C404 111 333.9 48 256 48s-148 63.1-148 140.9c0 31 13.2 56.1 30.2 80.1h-.3c10.9 15 21.4 17.7 31.5 35 14.7 25.2 18.1 40.7 18.7 55.7.4 8.6 7.5 15.3 16 15.3h8.9c2.2 0 4-1.8 4-4v-94.5c0-5-1.2-9.8-3.4-14.3l-21-42c-3.5-7 1.6-15.2 9.4-15.2 4 0 7.7 2.3 9.4 5.9l25.3 51.4c2.2 4.4 3.3 9.2 3.3 14.1V371c0 2.2 1.8 4 4 4h24c2.2 0 4-1.8 4-4v-94.6c0-4.9 1.1-9.7 3.3-14.1l25.4-51.6c1.7-3.4 5.2-5.6 9-5.6 7.5 0 12.4 7.9 9 14.6l-21.3 42.6c-2.2 4.5-3.4 9.4-3.4 14.3V371c0 2.2 1.8 4 4 4h10c8.5 0 15.5-6.6 16-15 .9-15.4 4.7-32.3 18.4-56 10.1-17.3 20.6-20 31.5-35h-.1c17-24 30.2-49.1 30.2-80.1zM238 464h36c7.7 0 14-6.3 14-14s-6.3-14-14-14h-36c-7.7 0-14 6.3-14 14s6.3 14 14 14zM218 420h76c7.7 0 14-6.3 14-14s-6.3-14-14-14h-76c-7.7 0-14 6.3-14 14s6.3 14 14 14z"}}]})(props);
};
function IoIosBus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M109.6 416.7c-1.9-1.9-5.7-.5-5.6 2.2 1 21.5 1.4 29 5.5 29h55.1c4.4 0 3.3-11.5 3.3-22-34.3.1-46.9 2.3-58.3-9.2zM402.4 416.7c1.9-1.9 5.7-.5 5.6 2.2-1 21.5-1.4 29-5.5 29h-55.1c-4.4 0-3.3-11.5-3.3-22 34.3.1 46.9 2.3 58.3-9.2zM384 64H128c-17.6 0-32 14.4-32 32v276c0 22 18 40 40 40h240c22 0 40-18 40-40V96c0-17.6-14.4-32-32-32zM162 375.9c-14.8 1.2-27-11.1-25.9-25.9.9-11.6 10.3-21.1 22-22 14.8-1.2 27 11.1 25.9 25.9-1 11.7-10.4 21.1-22 22zm76-77.9h-97.8c-8.9 0-16.2-7.3-16.2-16.2V166.2c0-8.9 7.3-16.2 16.2-16.2H238c2.2 0 4 1.8 4 4v140c0 2.2-1.8 4-4 4zm115.9 77.9c-14.8 1.2-27-11.1-25.9-25.9.9-11.6 10.3-21.1 22-22 14.8-1.2 27 11.1 25.9 25.9-.9 11.7-10.3 21.1-22 22zM388 282c0 8.8-7.2 16-16 16h-98c-2.2 0-4-1.8-4-4V154c0-2.2 1.8-4 4-4h98c8.8 0 16 7.2 16 16v116zm-15-162H139c-8.8 0-15-6.3-15-14s6.2-14 15-14h234c8.8 0 15 6.3 15 14s-6.2 14-15 14z"}}]})(props);
};
function IoIosBusiness (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M146 80h220c9.9 0 18-8.1 18-18s-8.1-18-18-18H146c-9.9 0-18 8.1-18 18s8.1 18 18 18zM398 100H114c-9.9 0-18 8.1-18 18 0 9.3 6.9 17.1 16 18v300c0 13.2 10.8 24 24 24h88c4.4 0 8-3.6 8-8v-40c0-4.4 3.6-8 8-8h32c4.4 0 8 3.6 8 8v40c0 4.4 3.6 8 8 8h88c13.2 0 24-10.8 24-24V136c9.1-.9 16-8.7 16-18 0-9.9-8.1-18-18-18zM192 364c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h16c4.4 0 8 3.6 8 8v16zm0-64c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h16c4.4 0 8 3.6 8 8v16zm0-64c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h16c4.4 0 8 3.6 8 8v16zm0-64c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h16c4.4 0 8 3.6 8 8v16zm80 192c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h16c4.4 0 8 3.6 8 8v16zm0-64c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h16c4.4 0 8 3.6 8 8v16zm0-64c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h16c4.4 0 8 3.6 8 8v16zm0-64c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h16c4.4 0 8 3.6 8 8v16zm80 192c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h16c4.4 0 8 3.6 8 8v16zm0-64c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h16c4.4 0 8 3.6 8 8v16zm0-64c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h16c4.4 0 8 3.6 8 8v16zm0-64c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8v-16c0-4.4 3.6-8 8-8h16c4.4 0 8 3.6 8 8v16z"}}]})(props);
};
function IoIosCafe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M369.7 404H110.1c-7.6 0-14.1 5.8-14.4 13.4-.4 8 6 14.6 14 14.6h259.6c7.6 0 14.1-5.8 14.4-13.4.3-8-6.1-14.6-14-14.6zM399.2 118.5c.1-10.8-4.2-20.9-12.2-28.4-7.2-6.6-16.7-10.1-26.5-10.1H86.8c-9.9 0-19.7 3.6-26.9 10.4-8.1 7.7-12.4 18.2-11.9 29.3C50.4 172 58.3 218 71.8 256.3c11 31.6 25.8 58.1 43.9 78.9 31.8 36.6 68.8 48.8 77.9 48.8h60.1c5.5 0 25-7.2 44.2-19.5 22.4-14.4 42.4-36.7 58.1-64.6 2 .1 4 .2 5.9.2 27.2 0 52.8-9.7 72.1-27.4 19.4-17.8 30.1-41.4 30.1-66.6-.1-38.9-25.9-73.5-64.9-87.6zm-29.7 153.1c14.2-34.5 23.6-76 27.8-123.4 0 0 0-.1.1 0 10.3 5 19.1 12.2 25.8 20.9 8.4 10.9 12.8 23.7 12.8 37 0 34-29.2 62.1-66.5 65.5z"}}]})(props);
};
function IoIosCalculator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M372 48H140c-17.7 0-32 14.3-32 32v352c0 17.7 14.3 32 32 32h232c17.7 0 32-14.3 32-32V80c0-17.7-14.3-32-32-32zm-12 272v80c0 13.3-10.7 24-24 24s-24-10.7-24-24v-80c0-13.3 10.7-24 24-24s24 10.7 24 24zm0-80c0 13.3-10.7 24-24 24s-24-10.7-24-24 10.7-24 24-24 24 10.7 24 24zm-80 160c0 13.3-10.7 24-24 24s-24-10.7-24-24 10.7-24 24-24 24 10.7 24 24zm0-80c0 13.3-10.7 24-24 24s-24-10.7-24-24 10.7-24 24-24 24 10.7 24 24zm0-80c0 13.3-10.7 24-24 24s-24-10.7-24-24 10.7-24 24-24 24 10.7 24 24zm-80 160c0 13.3-10.7 24-24 24s-24-10.7-24-24 10.7-24 24-24 24 10.7 24 24zm0-80c0 13.3-10.7 24-24 24s-24-10.7-24-24 10.7-24 24-24 24 10.7 24 24zm0-80c0 13.3-10.7 24-24 24s-24-10.7-24-24 10.7-24 24-24 24 10.7 24 24zm-48-80v-48c0-8.8 7.2-16 16-16h176c8.8 0 16 7.2 16 16v48c0 8.8-7.2 16-16 16H168c-8.8 0-16-7.2-16-16z"}}]})(props);
};
function IoIosCalendar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M424 96h-40v24c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8V96H160v24c0 4.4-3.6 8-8 8h-16c-4.4 0-8-3.6-8-8V96H88c-22 0-40 18-40 40v272c0 22 18 40 40 40h336c22 0 40-18 40-40V136c0-22-18-40-40-40zm8 300c0 11-9 20-20 20H100c-11 0-20-9-20-20V216c0-4.4 3.6-8 8-8h336c4.4 0 8 3.6 8 8v180zM160 72c0-4.4-3.6-8-8-8h-16c-4.4 0-8 3.6-8 8v24h32V72zM384 72c0-4.4-3.6-8-8-8h-16c-4.4 0-8 3.6-8 8v24h32V72z"}}]})(props);
};
function IoIosCall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M436.9 364.8c-14.7-14.7-50-36.8-67.4-45.1-20.2-9.7-27.6-9.5-41.9.8-11.9 8.6-19.6 16.6-33.3 13.6-13.7-2.9-40.7-23.4-66.9-49.5-26.2-26.2-46.6-53.2-49.5-66.9-2.9-13.8 5.1-21.4 13.6-33.3 10.3-14.3 10.6-21.7.8-41.9C184 125 162 89.8 147.2 75.1c-14.7-14.7-18-11.5-26.1-8.6 0 0-12 4.8-23.9 12.7-14.7 9.8-22.9 18-28.7 30.3-5.7 12.3-12.3 35.2 21.3 95 27.1 48.3 53.7 84.9 93.2 124.3l.1.1.1.1c39.5 39.5 76 66.1 124.3 93.2 59.8 33.6 82.7 27 95 21.3 12.3-5.7 20.5-13.9 30.3-28.7 7.9-11.9 12.7-23.9 12.7-23.9 2.9-8.1 6.2-11.4-8.6-26.1z"}}]})(props);
};
function IoIosCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"circle","attr":{"cx":"256","cy":"275","r":"57.5"}},{"tag":"path","attr":{"d":"M417.5 160H363c-4.6 0-8.9-2-12-5.4-28.4-31.8-39.1-42.6-50.7-42.6h-85.5c-11.7 0-23.2 10.8-51.7 42.7-3 3.4-7.4 5.3-11.9 5.3h-4.1v-8c0-4.4-3.6-8-8-8h-26c-4.4 0-8 3.6-8 8v8h-7.5C79.9 160 64 173.2 64 190.7v176c0 17.5 15.9 33.3 33.5 33.3h320c17.6 0 30.5-15.8 30.5-33.3v-176c0-17.5-12.9-30.7-30.5-30.7zM260 360.4c-50.3 2.3-91.7-39.1-89.4-89.4 2-43.9 37.5-79.4 81.4-81.4 50.3-2.3 91.7 39.1 89.4 89.4-2 43.9-37.5 79.4-81.4 81.4zM352 218c-7.2 0-13-5.8-13-13s5.8-13 13-13 13 5.8 13 13-5.8 13-13 13z"}}]})(props);
};
function IoIosCar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 196.2c-13.8-30.8-49-92.2-100-92.2H196c-51 0-84.8 59.4-100 92.2-24 23-48 45.7-48 84.8v76c0 3.7 2.6 7 6.2 7.8C69.1 368.2 116.4 375 256 375s186.9-6.8 201.8-10.2c3.6-.8 6.2-4.1 6.2-7.8v-76c0-39-22.3-63.1-48-84.8zM190 128h132c40.5 0 62 60 62 70H128c0-10 27-70 62-70zm-78 203.7c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32c0 17.6-14.3 32-32 32zM328 300c0 8.8-7.2 16-16 16H200c-8.8 0-16-7.2-16-16s7.2-16 16-16h112c8.8 0 16 7.2 16 16zm72 32c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zM160 384c-47.9 0-96-5-96-5 0 17-.3 29 6 29h85c6.3 0 5-13.2 5-24zM352 384c48 0 96-5 96-5 0 16 2 29-5 29h-86c-6.7 0-5-13.5-5-24z"}}]})(props);
};
function IoIosCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 128c0-17.6-14.4-32-32-32H64c-17.6 0-32 14.4-32 32v48h448v-48zM32 384c0 17.6 14.4 32 32 32h384c17.6 0 32-14.4 32-32V224H32v160zm142-48h164c7.7 0 14 6.3 14 14s-6.3 14-14 14H174c-7.7 0-14-6.3-14-14s6.3-14 14-14zm-72 0h12c7.7 0 14 6.3 14 14s-6.3 14-14 14h-12c-7.7 0-14-6.3-14-14s6.3-14 14-14z"}}]})(props);
};
function IoIosCart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"ellipse","attr":{"transform":"rotate(-1.057 159.995 423.97) scale(.99997)","cx":"160","cy":"424","rx":"24","ry":"24"}},{"tag":"ellipse","attr":{"transform":"matrix(.02382 -.9997 .9997 .02382 -48.51 798.282)","cx":"384.5","cy":"424","rx":"24","ry":"24"}},{"tag":"path","attr":{"d":"M463.8 132.2c-.7-2.4-2.8-4-5.2-4.2L132.9 96.5c-2.8-.3-6.2-2.1-7.5-4.7-3.8-7.1-6.2-11.1-12.2-18.6-7.7-9.4-22.2-9.1-48.8-9.3-9-.1-16.3 5.2-16.3 14.1 0 8.7 6.9 14.1 15.6 14.1s21.3.5 26 1.9c4.7 1.4 8.5 9.1 9.9 15.8 0 .1 0 .2.1.3.2 1.2 2 10.2 2 10.3l40 211.6c2.4 14.5 7.3 26.5 14.5 35.7 8.4 10.8 19.5 16.2 32.9 16.2h236.6c7.6 0 14.1-5.8 14.4-13.4.4-8-6-14.6-14-14.6H188.9c-2 0-4.9 0-8.3-2.8-3.5-3-8.3-9.9-11.5-26l-4.3-23.7c0-.3.1-.5.4-.6l277.7-47c2.6-.4 4.6-2.5 4.9-5.2l16-115.8c.2-.8.2-1.7 0-2.6z"}}]})(props);
};
function IoIosCash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M466 355.9H46c-7.7 0-14 6.3-14 14s6.3 14 14 14h420c7.7 0 14-6.3 14-14s-6.3-14-14-14zM466 403.9H46c-7.7 0-14 6.3-14 14s6.3 14 14 14h420c7.7 0 14-6.3 14-14s-6.3-14-14-14zM444.9 80.1H67.1C47.8 80.1 32 95.9 32 115.2V293c0 19.3 15.8 35.1 35.1 35.1h377.8c19.3 0 35.1-15.8 35.1-35.1V115.2c0-19.3-15.8-35.1-35.1-35.1zM114 296.1H78c-7.7 0-14-6.3-14-14s6.3-14 14-14h36c7.7 0 14 6.3 14 14s-6.3 14-14 14zm0-156H78c-7.7 0-14-6.3-14-14s6.3-14 14-14h36c7.7 0 14 6.3 14 14s-6.3 14-14 14zm142 144c-44.1 0-80-35.9-80-80s35.9-80 80-80 80 35.9 80 80-35.9 80-80 80zm178 12h-36c-7.7 0-14-6.3-14-14s6.3-14 14-14h36c7.7 0 14 6.3 14 14s-6.3 14-14 14zm0-156h-36c-7.7 0-14-6.3-14-14s6.3-14 14-14h36c7.7 0 14 6.3 14 14s-6.3 14-14 14z"}},{"tag":"circle","attr":{"cx":"256","cy":"206","r":"53"}}]})(props);
};
function IoIosCellular (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M408.4 51.8c-2.6-2.5-6.1-3.8-9.7-3.8-3.7 0-7.2 1.4-9.9 3.9-2.7 2.6-4.1 6-4.1 9.6 0 3.6 1.5 7 4.2 9.6 30.4 28.5 47.1 66.5 47.1 107.1 0 40.5-16.7 78.5-47.1 107.1-2.7 2.5-4.2 5.9-4.2 9.6 0 3.6 1.4 7 4.1 9.6 2.6 2.5 6.1 3.9 9.9 3.9 3.7 0 7.1-1.4 9.7-3.8C444.3 271 464 226.1 464 178.2v-.1c0-47.9-19.8-92.7-55.6-126.3z"}},{"tag":"path","attr":{"d":"M351 96.8c-2.4-2.3-5.6-3.5-9-3.5-3.3 0-6.5 1.2-8.9 3.4-2.5 2.3-3.9 5.4-3.9 8.7 0 3.3 1.3 6.4 3.8 8.7 18 17 27.8 39.8 27.8 64 0 24.2-9.9 47-27.8 64-2.5 2.3-3.8 5.4-3.8 8.7 0 3.3 1.4 6.4 3.9 8.7 2.4 2.2 5.5 3.4 8.9 3.4 3.4 0 6.6-1.3 9-3.5 22.8-21.7 35.4-50.5 35.4-81.3v-.1c0-30.7-12.6-59.5-35.4-81.2zM123.1 71.1c2.7-2.5 4.2-5.9 4.2-9.6 0-3.6-1.4-7-4.1-9.6-2.6-2.5-6.1-3.9-9.9-3.9-3.7 0-7.1 1.4-9.7 3.8C67.7 85.4 48 130.3 48 178.2v.2c0 47.8 19.8 92.6 55.6 126.2 2.6 2.5 6.1 3.8 9.7 3.8 3.7 0 7.2-1.4 9.9-3.9 2.7-2.6 4.1-6 4.1-9.6 0-3.6-1.5-7-4.2-9.6C92.7 256.8 76 218.8 76 178.2c-.1-40.6 16.7-78.6 47.1-107.1z"}},{"tag":"path","attr":{"d":"M179 114.1c2.5-2.3 3.8-5.4 3.8-8.7 0-3.3-1.4-6.4-3.9-8.7-2.4-2.2-5.5-3.4-8.9-3.4-3.4 0-6.6 1.3-9 3.5-22.8 21.7-35.4 50.5-35.4 81.3v.1c0 30.8 12.6 59.6 35.4 81.2 2.4 2.3 5.6 3.5 9 3.5 3.3 0 6.5-1.2 8.9-3.4 2.5-2.3 3.9-5.4 3.9-8.7 0-3.3-1.3-6.4-3.8-8.7-18-17-27.8-39.8-27.8-64-.1-24.2 9.8-46.9 27.8-64zM256 123.2c-26.5 0-48 21.5-48 48 0 21.6 14.3 39.9 34 45.9v233c0 7.7 6.3 13.9 14 13.9s14-6.2 14-13.9v-233c19.7-6 34-24.3 34-45.9 0-26.5-21.5-48-48-48z"}}]})(props);
};
function IoIosChatboxes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M425.9 170.4H204.3c-21 0-38.1 17.1-38.1 38.1v154.3c0 21 17.1 38 38.1 38h126.8c2.8 0 5.6 1.2 7.6 3.2l63 58.1c3.5 3.4 9.3 2 9.3-2.9v-50.6c0-6 3.8-7.9 9.8-7.9h1c21 0 42.1-16.9 42.1-38V208.5c.1-21.1-17-38.1-38-38.1z"}},{"tag":"path","attr":{"d":"M174.4 145.9h177.4V80.6c0-18-14.6-32.6-32.6-32.6H80.6C62.6 48 48 62.6 48 80.6v165.2c0 18 14.6 32.6 32.6 32.6h61.1v-99.9c.1-18 14.7-32.6 32.7-32.6z"}}]})(props);
};
function IoIosChatbubbles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M431 320.6c0-4.4 1.2-8.6 3.3-12.2.6-1.1 1.4-2.1 2.1-3.1 17.4-26 27.6-57.1 27.6-90.3.3-92.2-77.5-167-173.7-167-83.9 0-153.9 57.1-170.3 132.9-2.4 11.1-3.7 22.4-3.7 34.2 0 92.3 74.8 169.1 171 169.1 15.3 0 35.9-4.6 47.2-7.7 11.3-3.1 22.5-7.2 25.4-8.3 2.9-1.1 6.1-1.7 9.3-1.7 3.6 0 7 .7 10.1 2l56.7 20.1s2.4 1 3.9 1c4.4 0 8-3.5 8-8 0-1-.5-2.7-.5-2.7L431 320.6z"}},{"tag":"path","attr":{"d":"M318.5 392.5c-3.6 1-8.2 2.1-13.2 3.2-10.5 2.2-23.9 4.5-34 4.5-96.2 0-171-76.8-171-169.1 0-6.6.7-15 1.5-21.4.6-4.3 1.3-8.6 2.3-12.8 1-4.5 2.2-9 3.5-13.4l-8 7.1C66.8 219.2 48 260 48 302.5c0 29.3 8.5 57.5 24.8 82 2.3 3.5 3.6 6.2 3.2 8-.4 1.8-11.9 62-11.9 62-.6 2.9.5 5.8 2.7 7.7 1.5 1.2 3.3 1.8 5.1 1.8 1 0 2-.2 2.9-.6l56.1-22.1c1.8-.7 3.7-1.1 5.7-1.1 0 0 2.4-.2 6.3 1.3 18.9 7.4 39.8 12 60.7 12 46.6 0 90.4-20.1 120.1-55.1 0 0 3.2-4.4 6.9-9.6-3.7 1.3-7.9 2.6-12.1 3.7z"}}]})(props);
};
function IoIosCheckboxOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 64H96c-17.7 0-32 14.3-32 32v320c0 17.7 14.3 32 32 32h320c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zm4 348c0 4.4-3.6 8-8 8H100c-4.4 0-8-3.6-8-8V100c0-4.4 3.6-8 8-8h312c4.4 0 8 3.6 8 8v312z"}},{"tag":"path","attr":{"d":"M363.6 192.9L346 174.8c-.7-.8-1.8-1.2-2.8-1.2-1.1 0-2.1.4-2.8 1.2l-122 122.9-44.4-44.4c-.8-.8-1.8-1.2-2.8-1.2-1 0-2 .4-2.8 1.2l-17.8 17.8c-1.6 1.6-1.6 4.1 0 5.7l56 56c3.6 3.6 8 5.7 11.7 5.7 5.3 0 9.9-3.9 11.6-5.5h.1l133.7-134.4c1.4-1.7 1.4-4.2-.1-5.7z"}}]})(props);
};
function IoIosCheckbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 64H96c-17.7 0-32 14.3-32 32v320c0 17.7 14.3 32 32 32h320c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32zm-52.5 134.5L229.8 332.8h-.1c-1.7 1.7-6.3 5.5-11.6 5.5-3.8 0-8.1-2.1-11.7-5.7l-56-56c-1.6-1.6-1.6-4.1 0-5.7l17.8-17.8c.8-.8 1.8-1.2 2.8-1.2 1 0 2 .4 2.8 1.2l44.4 44.4 122-122.9c.8-.8 1.8-1.2 2.8-1.2 1.1 0 2.1.4 2.8 1.2l17.5 18.1c1.8 1.7 1.8 4.2.2 5.8z"}}]})(props);
};
function IoIosCheckmarkCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M362.6 192.9L345 174.8c-.7-.8-1.8-1.2-2.8-1.2-1.1 0-2.1.4-2.8 1.2l-122 122.9-44.4-44.4c-.8-.8-1.8-1.2-2.8-1.2-1 0-2 .4-2.8 1.2l-17.8 17.8c-1.6 1.6-1.6 4.1 0 5.7l56 56c3.6 3.6 8 5.7 11.7 5.7 5.3 0 9.9-3.9 11.6-5.5h.1l133.7-134.4c1.4-1.7 1.4-4.2-.1-5.7z"}},{"tag":"path","attr":{"d":"M256 76c48.1 0 93.3 18.7 127.3 52.7S436 207.9 436 256s-18.7 93.3-52.7 127.3S304.1 436 256 436c-48.1 0-93.3-18.7-127.3-52.7S76 304.1 76 256s18.7-93.3 52.7-127.3S207.9 76 256 76m0-28C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48z"}}]})(props);
};
function IoIosCheckmarkCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm106.5 150.5L228.8 332.8h-.1c-1.7 1.7-6.3 5.5-11.6 5.5-3.8 0-8.1-2.1-11.7-5.7l-56-56c-1.6-1.6-1.6-4.1 0-5.7l17.8-17.8c.8-.8 1.8-1.2 2.8-1.2 1 0 2 .4 2.8 1.2l44.4 44.4 122-122.9c.8-.8 1.8-1.2 2.8-1.2 1.1 0 2.1.4 2.8 1.2l17.5 18.1c1.8 1.7 1.8 4.2.2 5.8z"}}]})(props);
};
function IoIosCheckmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M362.6 192.9L345 174.8c-.7-.8-1.8-1.2-2.8-1.2-1.1 0-2.1.4-2.8 1.2l-122 122.9-44.4-44.4c-.8-.8-1.8-1.2-2.8-1.2-1 0-2 .4-2.8 1.2l-17.8 17.8c-1.6 1.6-1.6 4.1 0 5.7l56 56c3.6 3.6 8 5.7 11.7 5.7 5.3 0 9.9-3.9 11.6-5.5h.1l133.7-134.4c1.4-1.7 1.4-4.2-.1-5.7z"}}]})(props);
};
function IoIosClipboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M140.5 160v240c0 8.8 7.2 16 16 16h200c8.8 0 16-7.2 16-16V160c0-8.8-7.2-16-16-16h-200c-8.8 0-16 7.2-16 16zM321.5 81h-17c0-5.6-1-11-2.7-16-2.1-6-5.3-11.4-9.4-16-8.8-9.9-21.6-17-35.9-17s-27.1 7.1-35.9 17c-4.1 4.6-7.3 10-9.4 16-1.7 5-2.7 10.4-2.7 16H194c-9.6 0-17.5 7.9-17.5 17.5V114c0 1.1.9 2 2 2h156c1.1 0 2-.9 2-2V96c0-8.3-6.7-15-15-15zm-62.9 15.5c-10.5 1.3-19.3-7.5-17.9-17.9.9-7.1 6.7-12.9 13.8-13.8 10.5-1.3 19.3 7.5 17.9 17.9-.9 7.2-6.7 12.9-13.8 13.8z"}},{"tag":"path","attr":{"d":"M400 48h-75.2c-1.7 0-2.6 1.9-1.6 3.2 2.9 3.9 5.3 8.1 7 12.8.3.8 1 1.3 1.9 1.3h.5c18.7 0 26.9 14.9 27.5 33.5V114c0 1.1.9 2 2 2h20.3c8.8 0 16 7.2 16 16v297.4c0 8.8-7.2 16-16 16h-253c-8.8 0-16-7.2-16-16V132c0-8.8 7.2-16 16-16h21.3c1.1 0 2-.9 2-2v-8.8c0-19.1 5.6-36.7 27.6-36.7h.3c.9 0 1.8-.6 1.9-1.6 1.5-6.9 4.1-11.7 7.2-15.8 1-1.3.1-3.2-1.6-3.2l-76.3-.1C94.3 47.9 80 62.1 80 79.7V424c0 41.7 14.3 56 32 56h288.5c17.4 0 31.5-14.1 31.5-31.5V80c0-17.7-14.3-32-32-32z"}}]})(props);
};
function IoIosClock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.1 108.9c-81.2-81.2-212.9-81.2-294.2 0-81.3 81.2-81.2 212.9 0 294.2 81.2 81.2 212.9 81.2 294.2 0 81.2-81.2 81.2-213 0-294.2zM89.6 263.8c-5.6 1.1-10.5-3.8-9.4-9.4.6-3.1 3.1-5.7 6.3-6.3 5.6-1.1 10.5 3.8 9.4 9.4-.6 3.2-3.2 5.7-6.3 6.3zm26.2 82.2c-4.3 3.7-11 1.9-12.8-3.5-1-3-.1-6.5 2.3-8.5 4.3-3.7 11-1.9 12.8 3.5 1 3 .1 6.4-2.3 8.5zm2.3-171.5c-1.9 5.4-8.5 7.2-12.8 3.5-2.4-2.1-3.3-5.5-2.3-8.5 1.9-5.4 8.5-7.2 12.8-3.5 2.4 2.1 3.3 5.5 2.3 8.5zM179.6 404c-1.9 5.4-8.5 7.2-12.8 3.5-2.4-2.1-3.3-5.5-2.3-8.5 1.9-5.4 8.5-7.2 12.8-3.5 2.4 2.1 3.3 5.5 2.3 8.5zm-2.3-287.5c-4.3 3.7-11 1.9-12.8-3.5-1-3-.1-6.5 2.3-8.5 4.3-3.7 11-1.9 12.8 3.5 1 3 .1 6.4-2.3 8.5zm35.4 76.3c-2.3-3.8-1-8.7 2.7-11 3.8-2.3 8.7-1 11 2.7l33.7 62.3c2.5 4.7 3.9 9.9 3.9 15.2v122c0 5-3 8-8 8s-8-3-8-8V262c0-2.7-.7-5.3-1.9-7.6l-33.4-61.6zm44.9 239c-5.6 1.1-10.5-3.8-9.4-9.4.6-3.1 3.1-5.7 6.3-6.3 5.6-1.1 10.5 3.8 9.4 9.4-.6 3.2-3.2 5.7-6.3 6.3zm0-336c-5.6 1.1-10.5-3.8-9.4-9.4.6-3.1 3.1-5.7 6.3-6.3 5.6-1.1 10.5 3.8 9.4 9.4-.6 3.2-3.2 5.7-6.3 6.3zm87.7 311.7c-4.3 3.7-11 1.9-12.8-3.5-1-3-.1-6.5 2.3-8.5 4.3-3.7 11-1.9 12.8 3.5 1 3 .1 6.4-2.3 8.5zm2.3-294.5c-1.9 5.4-8.5 7.2-12.8 3.5-2.4-2.1-3.3-5.5-2.3-8.5 1.9-5.4 8.5-7.2 12.8-3.5 2.4 2.1 3.3 5.5 2.3 8.5zm61.5 229.5c-1.9 5.4-8.5 7.2-12.8 3.5-2.4-2.1-3.3-5.5-2.3-8.5 1.9-5.4 8.5-7.2 12.8-3.5 2.4 2.1 3.3 5.5 2.3 8.5zM406.8 178c-4.3 3.7-11 1.9-12.8-3.5-1-3-.1-6.5 2.3-8.5 4.3-3.7 11-1.9 12.8 3.5 1 3 .1 6.4-2.3 8.5zm18.8 85.8c-5.6 1.1-10.5-3.8-9.4-9.4.6-3.1 3.1-5.7 6.3-6.3 5.6-1.1 10.5 3.8 9.4 9.4-.6 3.2-3.2 5.7-6.3 6.3z"}}]})(props);
};
function IoIosCloseCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M331.3 308.7L278.6 256l52.7-52.7c6.2-6.2 6.2-16.4 0-22.6-6.2-6.2-16.4-6.2-22.6 0L256 233.4l-52.7-52.7c-6.2-6.2-15.6-7.1-22.6 0-7.1 7.1-6 16.6 0 22.6l52.7 52.7-52.7 52.7c-6.7 6.7-6.4 16.3 0 22.6 6.4 6.4 16.4 6.2 22.6 0l52.7-52.7 52.7 52.7c6.2 6.2 16.4 6.2 22.6 0 6.3-6.2 6.3-16.4 0-22.6z"}},{"tag":"path","attr":{"d":"M256 76c48.1 0 93.3 18.7 127.3 52.7S436 207.9 436 256s-18.7 93.3-52.7 127.3S304.1 436 256 436c-48.1 0-93.3-18.7-127.3-52.7S76 304.1 76 256s18.7-93.3 52.7-127.3S207.9 76 256 76m0-28C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48z"}}]})(props);
};
function IoIosCloseCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm52.7 283.3L256 278.6l-52.7 52.7c-6.2 6.2-16.4 6.2-22.6 0-3.1-3.1-4.7-7.2-4.7-11.3 0-4.1 1.6-8.2 4.7-11.3l52.7-52.7-52.7-52.7c-3.1-3.1-4.7-7.2-4.7-11.3 0-4.1 1.6-8.2 4.7-11.3 6.2-6.2 16.4-6.2 22.6 0l52.7 52.7 52.7-52.7c6.2-6.2 16.4-6.2 22.6 0 6.2 6.2 6.2 16.4 0 22.6L278.6 256l52.7 52.7c6.2 6.2 6.2 16.4 0 22.6-6.2 6.3-16.4 6.3-22.6 0z"}}]})(props);
};
function IoIosClose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M278.6 256l68.2-68.2c6.2-6.2 6.2-16.4 0-22.6-6.2-6.2-16.4-6.2-22.6 0L256 233.4l-68.2-68.2c-6.2-6.2-16.4-6.2-22.6 0-3.1 3.1-4.7 7.2-4.7 11.3 0 4.1 1.6 8.2 4.7 11.3l68.2 68.2-68.2 68.2c-3.1 3.1-4.7 7.2-4.7 11.3 0 4.1 1.6 8.2 4.7 11.3 6.2 6.2 16.4 6.2 22.6 0l68.2-68.2 68.2 68.2c6.2 6.2 16.4 6.2 22.6 0 6.2-6.2 6.2-16.4 0-22.6L278.6 256z"}}]})(props);
};
function IoIosCloudCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm82.6 272H173.4c-25.1 0-45.4-21.4-45.4-47.2 0-21 13.2-39.8 33.2-46.2.3-20 16.2-36.1 35.7-36.1 5.3 0 10.4 1.2 14.9 3.4 13.1-20.5 36.9-33.8 62.5-33.8 37.7 0 67.5 29.3 71.4 66.9 21.7 3.5 38.3 22.7 38.3 45.9 0 25.7-20.3 47.1-45.4 47.1z"}}]})(props);
};
function IoIosCloudDone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M437.1 229.8C429 154.6 365.4 96 288 96c-51.2 0-96.3 25.6-123.4 64.7-8.3-3.4-17.4-5.3-26.9-5.3-39.1 0-70.8 34.4-71.4 73.4C26.4 241.5 0 280.5 0 321.5 0 371.7 40.7 416 90.9 416h330.3c50.2 0 90.9-44.3 90.9-94.5-.1-44.7-32.4-84.1-75-91.7zm-74.6-17.3L228.8 346.8h-.1c-1.7 1.7-6.3 5.5-11.6 5.5-3.8 0-8.1-2.1-11.7-5.7l-56-56c-1.6-1.6-1.6-4.1 0-5.7l17.8-17.8c.8-.8 1.8-1.2 2.8-1.2 1 0 2 .4 2.8 1.2l44.4 44.4 122-122.9c.8-.8 1.8-1.2 2.8-1.2 1.1 0 2.1.4 2.8 1.2l17.5 18.1c1.8 1.7 1.8 4.2.2 5.8z"}}]})(props);
};
function IoIosCloudDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M437.1 165.8C429 90.6 365.4 32 288 32c-51.2 0-96.3 25.6-123.4 64.7-8.3-3.4-17.4-5.3-26.9-5.3-39.1 0-70.8 34.4-71.4 73.4C26.4 177.5 0 216.5 0 257.5 0 307.7 40.7 352 90.9 352H243V211c0-7.2 5.8-13 13-13s13 5.8 13 13v141h152.1c50.2 0 90.9-44.3 90.9-94.5 0-44.7-32.3-84.1-74.9-91.7zM243 435.9l-47.9-47.2c-5.1-5-13.3-5-18.4.1-5 5.1-5 13.3.1 18.4l70 69c2.5 2.4 5.8 3.7 9.1 3.7 1.7 0 3.4-.3 5-1 1.5-.6 2.9-1.6 4.1-2.7l70-69c5.1-5 5.2-13.3.1-18.4-5-5.1-13.3-5.2-18.4-.1L269 435.9V352h-26v83.9z"}}]})(props);
};
function IoIosCloudOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M288 124c30.3 0 59.3 11.2 81.8 31.5 22.3 20.1 36.3 47.6 39.5 77.3l1.2 11.1c.6 5.8 5 10.5 10.7 11.5l11 2c14 2.5 27 10.4 36.7 22.1 9.8 12 15.2 26.9 15.2 42.1 0 17-6.9 34.1-18.9 46.8C453 381 437.4 388 421.1 388H90.9c-16.3 0-31.9-7-43.9-19.7s-18.9-29.7-18.9-46.8c0-14.4 4.6-28.9 13.1-40.9 8.6-12.2 20.2-20.9 33.7-25.1l10.3-3.3c5.3-1.7 9-6.6 9.1-12.2l.2-10.8c.2-11.8 5.1-23.6 13.5-32.4 8.3-8.7 18.9-13.4 29.9-13.4 5.6 0 11.1 1.1 16.3 3.2l11.1 4.5c5.7 2.3 12.2.4 15.7-4.7l6.8-9.8C210.4 143.7 248 124 288 124m0-28c-51.2 0-96.3 25.6-123.4 64.7-8.3-3.4-17.4-5.3-26.9-5.3-39.1 0-70.8 34.4-71.4 73.4C26.4 241.5 0 280.5 0 321.5 0 371.7 40.7 416 90.9 416h330.3c50.2 0 90.9-44.3 90.9-94.5 0-44.7-32.3-84.1-74.9-91.7C429 154.6 365.4 96 288 96z"}}]})(props);
};
function IoIosCloudUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M437.1 165.8C429 90.6 365.4 32 288 32c-51.2 0-96.3 25.6-123.4 64.7-8.3-3.4-17.4-5.3-26.9-5.3-39.1 0-70.8 34.4-71.4 73.4C26.4 177.5 0 216.5 0 257.5 0 307.7 40.7 352 90.9 352H243V210.1l-47.9 47.2c-5.1 5-13.3 5-18.4-.1-5-5.1-5-13.3.1-18.4l70-69c1.2-1.1 2.5-2.1 4.1-2.7 1.6-.7 3.3-1 5-1 3.4 0 6.6 1.3 9.1 3.7l70 69c5.1 5 5.2 13.3.1 18.4-5 5.1-13.3 5.2-18.4.1L269 210.1V352h152.1c50.2 0 90.9-44.3 90.9-94.5 0-44.7-32.3-84.1-74.9-91.7zM243 467c0 7.2 5.8 13 13 13s13-5.8 13-13V352h-26v115z"}}]})(props);
};
function IoIosCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M437.1 229.8C429 154.6 365.4 96 288 96c-51.2 0-96.3 25.6-123.4 64.7-8.3-3.4-17.4-5.3-26.9-5.3-39.1 0-70.8 34.4-71.4 73.4C26.4 241.5 0 280.5 0 321.5 0 371.7 40.7 416 90.9 416h330.3c50.2 0 90.9-44.3 90.9-94.5-.1-44.7-32.4-84.1-75-91.7z"}}]})(props);
};
function IoIosCloudyNight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M277.8 294.8c-.5 0-1.1-.1-1.6-.1-2.6 0-5.2 0-7.8.3-9.3-40.8-45.9-71.5-89.7-71.5-50.8 0-91.9 40.9-91.9 91.4 0 3.1.2 6.1.5 9.1-31 2.7-55.3 30.1-55.3 61.6C32 419 58.8 448 92.3 448h185.5c41.9 0 75.8-34.7 75.8-76.3 0-41.6-33.9-76.9-75.8-76.9z"}},{"tag":"path","attr":{"d":"M452.1 305.4c-2.5.1-5 .2-7.6.2-41.7 0-80.8-15.7-110.3-44.3-29.5-28.5-45.7-66.5-45.7-106.8 0-23 5.3-45.2 15.2-65.3L315.4 70c1.7-2.9-.8-6.5-4.1-6-7.6 1.2-15.7 4-23.2 6.3-59.5 18.2-104.4 68.1-113.7 129.3 1.4-.1 2.9-.1 4.3-.1 26.5 0 52.4 9.2 73 25.9 15.1 12.2 26.9 28 34.2 45.7 23.7 2 45.7 12.4 62.7 29.8 18.7 19.1 29 44.2 29 70.7 0 2.3-.1 4.6-.2 6.8 34.2-8.1 64.3-26.6 86.4-51.8 4.8-5.5 11.3-12.8 15.3-18.5 2-2.8-.3-6.7-3.8-6.3-6.8 1-15.9 3.2-23.2 3.6z"}}]})(props);
};
function IoIosCloudy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M236 96c-70 0-127.8 59.7-127.8 130.8 0 4.3.3 8.6.8 12.8-43.2 3.9-77 44-77 88.4 0 47 37.9 88 84.6 88h257.8c58.3 0 105.6-49.4 105.6-108s-47.3-108.8-105.6-108.8c-2.3 0-4.8-.2-7.2-.2-2.1 0-4.2 0-6.1.1C349.3 145.6 306 96 236 96z"}}]})(props);
};
function IoIosCodeDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M332 142.7c-1.2-1.1-2.7-1.7-4.1-1.7s-3 .6-4.1 1.7L310 155.9c-1.2 1.1-1.9 2.7-1.9 4.3 0 1.6.7 3.2 1.9 4.3l95.8 91.5-95.8 91.5c-1.2 1.1-1.9 2.7-1.9 4.3 0 1.6.7 3.2 1.9 4.3l13.8 13.2c1.2 1.1 2.6 1.7 4.1 1.7 1.5 0 3-.6 4.1-1.7l114.2-109c1.2-1.1 1.9-2.7 1.9-4.3 0-1.6-.7-3.2-1.9-4.3L332 142.7zM106.3 256l95.8-91.5c1.2-1.1 1.9-2.7 1.9-4.3 0-1.6-.7-3.2-1.9-4.3l-13.8-13.2c-1.2-1.1-2.7-1.7-4.1-1.7s-3 .6-4.1 1.7l-114.2 109c-1.2 1.1-1.9 2.7-1.9 4.3 0 1.6.7 3.2 1.9 4.3l114.2 109c1.2 1.1 2.7 1.7 4.1 1.7 1.5 0 3-.6 4.1-1.7l13.8-13.2c1.2-1.1 1.9-2.7 1.9-4.3 0-1.6-.7-3.2-1.9-4.3L106.3 256z"}},{"tag":"path","attr":{"d":"M332.8 267.2c.1-3.9-1.4-7.6-4.2-10.4l-.1-.1c-2.7-2.7-6.2-4.2-10-4.2-3.5 0-6.8 1.3-9.4 3.6l-38.9 34.6V184.6c0-7.8-6.4-14.2-14.2-14.2-7.8 0-14.2 6.4-14.2 14.2v106.2l-38.9-34.6c-2.6-2.3-6-3.6-9.4-3.6-3.8 0-7.4 1.5-10.1 4.2l-.1.1c-2.8 2.8-4.2 6.4-4.2 10.4.1 3.9 1.7 7.5 4.6 10.2l62.8 57.7c2.6 2.4 6 3.7 9.5 3.7s6.9-1.3 9.5-3.7l62.8-57.7c2.8-2.8 4.5-6.4 4.5-10.3z"}}]})(props);
};
function IoIosCodeWorking (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M446.1 251.6L332 142.7c-1.2-1.1-2.7-1.7-4.1-1.7s-3 .6-4.1 1.7L310 155.9c-1.2 1.1-1.9 2.7-1.9 4.3 0 1.6.7 3.2 1.9 4.3l95.8 91.5-95.8 91.5c-1.2 1.1-1.9 2.7-1.9 4.3 0 1.6.7 3.2 1.9 4.3l13.8 13.2c1.2 1.1 2.6 1.7 4.1 1.7 1.5 0 3-.6 4.1-1.7l114.2-109c1.2-1.1 1.9-2.7 1.9-4.3-.1-1.7-.8-3.2-2-4.4zM106.3 256l95.8-91.5c1.2-1.1 1.9-2.7 1.9-4.3 0-1.6-.7-3.2-1.9-4.3l-13.8-13.2c-1.2-1.1-2.7-1.7-4.1-1.7s-3 .6-4.1 1.7l-114.2 109c-1.2 1.1-1.9 2.7-1.9 4.3 0 1.6.7 3.2 1.9 4.3l114.2 109c1.2 1.1 2.7 1.7 4.1 1.7 1.5 0 3-.6 4.1-1.7l13.8-13.2c1.2-1.1 1.9-2.7 1.9-4.3 0-1.6-.7-3.2-1.9-4.3L106.3 256z"}},{"tag":"circle","attr":{"cx":"256","cy":"256","r":"22"}},{"tag":"circle","attr":{"cx":"192","cy":"256","r":"22"}},{"tag":"circle","attr":{"cx":"320","cy":"256","r":"22"}}]})(props);
};
function IoIosCode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M332 142.7c-1.2-1.1-2.7-1.7-4.1-1.7s-3 .6-4.1 1.7L310 155.9c-1.2 1.1-1.9 2.7-1.9 4.3 0 1.6.7 3.2 1.9 4.3l95.8 91.5-95.8 91.5c-1.2 1.1-1.9 2.7-1.9 4.3 0 1.6.7 3.2 1.9 4.3l13.8 13.2c1.2 1.1 2.6 1.7 4.1 1.7 1.5 0 3-.6 4.1-1.7l114.2-109c1.2-1.1 1.9-2.7 1.9-4.3 0-1.6-.7-3.2-1.9-4.3L332 142.7zM204 160.2c0-1.6-.7-3.2-1.9-4.3l-13.8-13.2c-1.2-1.1-2.7-1.7-4.1-1.7s-3 .6-4.1 1.7l-114.2 109c-1.2 1.1-1.9 2.7-1.9 4.3 0 1.6.7 3.2 1.9 4.3l114.2 109c1.2 1.1 2.7 1.7 4.1 1.7 1.5 0 3-.6 4.1-1.7l13.8-13.2c1.2-1.1 1.9-2.7 1.9-4.3 0-1.6-.7-3.2-1.9-4.3L106.3 256l95.8-91.5c1.2-1.1 1.9-2.7 1.9-4.3z"}}]})(props);
};
function IoIosCog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M456.9 242.2l-26.1-4.2c-3.5-.6-6.1-3.3-6.6-6.8-.5-3.2-1-6.4-1.7-9.5-.7-3.4.9-6.9 3.9-8.6l23.1-12.8c3.6-1.8 5.3-6.1 3.9-9.9l-4-11c-1.4-3.8-5.4-6-9.4-5l-25.9 5c-3.4.7-6.9-1-8.6-4.1-1.5-2.8-3.1-5.6-4.8-8.4-1.8-3-1.6-6.8.7-9.5l17.3-19.9c2.8-3 2.9-7.5.3-10.6l-7.5-9c-2.6-3.1-7.1-3.8-10.5-1.5L378.3 130c-3 1.8-6.8 1.4-9.4-.9-2.4-2.1-4.9-4.2-7.4-6.2-2.7-2.2-3.8-5.9-2.5-9.1l9.4-24.7c1.6-3.7.2-8.1-3.3-10.1l-10.2-5.9c-3.5-2-8-1.1-10.4 2.2l-16.6 20.8c-2 2.5-4.9 3.8-8.5 2.5 0 0-5.6-2.3-9.8-3.7-3.3-1.1-5.6-4.2-5.5-7.7l.4-26.4c.2-4.1-2.6-7.7-6.6-8.4l-11.6-2c-4-.7-7.9 1.7-9.1 5.6l-8.6 25c-1.1 3.3-4.3 5.5-7.8 5.4-1.6 0-3.3-.1-4.9-.1s-3.3 0-4.9.1c-3.5.1-6.6-2.1-7.8-5.4l-8.6-25c-1.2-3.9-5.1-6.3-9.1-5.6l-11.6 2c-4 .7-6.8 4.3-6.6 8.4l.4 26.4c.1 3.5-2.1 6.4-5.5 7.7-2.3.9-7.3 2.8-9.7 3.7-2.8 1-6.1.2-8.8-2.9l-16.5-20.3c-2.4-3.3-6.9-4.2-10.4-2.2l-10.2 5.9c-3.5 2-5 6.4-3.3 10.1l9.4 24.7c1.2 3.3.2 7-2.5 9.1-2.5 2-5 4.1-7.4 6.2-2.6 2.3-6.4 2.7-9.4.9L111 116.3c-3.4-2.2-7.9-1.6-10.5 1.5l-7.5 9c-2.6 3.1-2.5 7.7.3 10.6l17.3 19.9c2.3 2.6 2.6 6.5.7 9.5-1.7 2.7-3.3 5.5-4.8 8.4-1.7 3.1-5.1 4.7-8.6 4.1l-25.9-5c-4-.9-8 1.2-9.4 5l-4 11c-1.4 3.8.3 8.1 3.9 9.9L85.6 213c3.1 1.7 4.6 5.2 3.9 8.6-.6 3.2-1.2 6.3-1.7 9.5-.5 3.5-3.2 6.2-6.6 6.8l-26.1 4.2c-4 .5-7.1 3.9-7.1 7.9v11.7c0 4.1 3 7.5 7.1 7.9l26.1 4.2c3.5.6 6.1 3.3 6.6 6.8.5 3.2 1 6.4 1.7 9.5.7 3.4-.9 6.9-3.9 8.6l-23.1 12.8c-3.6 1.8-5.3 6.1-3.9 9.9l4 11c1.4 3.8 5.4 6 9.4 5l25.9-5c3.4-.7 6.9 1 8.6 4.1 1.5 2.8 3.1 5.6 4.8 8.4 1.8 3 1.6 6.8-.7 9.5l-17.3 19.9c-2.8 3-2.9 7.5-.3 10.6l7.5 9c2.6 3.1 7.1 3.8 10.5 1.5l22.7-13.6c3-1.8 6.8-1.4 9.4.9 2.4 2.1 4.9 4.2 7.4 6.2 2.7 2.2 3.8 5.9 2.5 9.1l-9.4 24.7c-1.6 3.7-.2 8.1 3.3 10.1l10.2 5.9c3.5 2 8 1.1 10.4-2.2l16.8-20.6c2.1-2.6 5.5-3.7 8.2-2.6 3.4 1.4 5.7 2.2 9.9 3.6 3.3 1.1 5.6 4.2 5.5 7.7l-.4 26.4c-.2 4.1 2.6 7.7 6.6 8.4l11.6 2c4 .7 7.9-1.7 9.1-5.6l8.6-25c1.1-3.3 4.3-5.5 7.8-5.4 1.6 0 3.3.1 4.9.1s3.3 0 4.9-.1c3.5-.1 6.6 2.1 7.8 5.4l8.6 25c1.2 3.9 5.1 6.3 9.1 5.6l11.6-2c4-.7 6.8-4.3 6.6-8.4l-.4-26.4c-.1-3.5 2.2-6.6 5.5-7.7 4.2-1.4 7-2.5 9.6-3.5 2.6-.9 5.8-1 8.3 2.1l17 20.9c2.4 3.3 6.9 4.2 10.4 2.2l10.2-5.9c3.5-2 5-6.4 3.3-10.1l-9.4-24.7c-1.2-3.3-.2-7 2.5-9.1 2.5-2 5-4.1 7.4-6.2 2.6-2.3 6.4-2.7 9.4-.9l22.7 13.6c3.4 2.2 7.9 1.6 10.5-1.5l7.5-9c2.6-3.1 2.5-7.7-.3-10.6l-17.3-19.9c-2.3-2.6-2.6-6.5-.7-9.5 1.7-2.7 3.3-5.5 4.8-8.4 1.7-3.1 5.1-4.7 8.6-4.1l25.9 5c4 .9 8-1.2 9.4-5l4-11c1.4-3.8-.3-8.1-3.9-9.9l-23.1-12.8c-3.1-1.7-4.6-5.2-3.9-8.6.6-3.2 1.2-6.3 1.7-9.5.5-3.5 3.2-6.2 6.6-6.8l26.1-4.2c4-.5 7.1-3.9 7.1-7.9v-11.7c-.2-3.8-3.2-7.3-7.3-7.7zM181.8 356.9c-5.2 9-17.4 10.7-25 3.6C129.2 334.2 112 297.1 112 256c0-40.9 17.1-77.9 44.5-104.1 7.5-7.2 19.8-5.5 25 3.5l56 96.6c1.4 2.5 1.4 5.5 0 8l-55.7 96.9zM396 289.7C380.9 353 323.9 400 256 400c-14.1 0-27.8-2-40.6-5.8-9.9-2.9-14.5-14.4-9.3-23.3l55.7-96.9c1.4-2.5 4.1-4 6.9-4h111.7c10.4 0 18 9.6 15.6 19.7zM380.5 242H268.7c-2.9 0-5.5-1.5-6.9-4l-56.1-96.7c-5.2-8.9-.7-20.4 9.2-23.4 13-3.9 26.8-5.9 41.1-5.9 67.9 0 124.9 47 140 110.3 2.4 10.1-5.2 19.7-15.5 19.7z"}}]})(props);
};
function IoIosColorFill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M231.5 118.3c.1 0 .1-.1 0 0L175.3 62c-9.3-9.3-21.6-14-33.9-14-12.3 0-24.6 4.7-33.9 14-18.7 18.7-18.7 49.2 0 67.9l49.3 49.3-84.5 84c-11.1 11.1-11 29.2.3 40l131.2 126c10.9 10.4 28 10.4 38.9-.1 37.8-36.6 118.3-114.5 126.7-122.9 5.8-5.8 18.2-7.1 28.7-7.1h.3c5.9 0 8.8-7.1 4.6-11.2L231.5 118.3zm-103.9-7.9c-7.2-7.2-8.3-18.8-2-26.8 3.8-4.9 9.6-7.6 15.8-7.6 5.4 0 10.4 2.1 14.1 5.8l49.3 49.3-28.3 28.3-48.9-49zM403 339.5c-1.6-1.9-4.5-1.9-6.1 0-10.5 12.2-45 53.9-45 76.4 0 26.6 21.5 48.1 48 48.1s48-21.6 48-48.1c.1-22.6-34.3-64.2-44.9-76.4z"}}]})(props);
};
function IoIosColorFilter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M442 248.9c-15.7-20.6-37.7-35.9-62.1-43.6 1-6.3 1.4-12.7 1.4-19.1 0-33.7-13-65.4-36.7-89.2C321 73.1 289.5 60 256 60s-65 13.1-88.6 37c-23.7 23.8-36.7 55.5-36.7 89.2 0 6.4.5 12.8 1.4 19.1-24.5 7.7-46.4 23.1-62.1 43.6-17 22.2-26 48.8-26 76.9 0 33.7 13 65.4 36.7 89.2 23.7 23.8 55.2 37 88.6 37 32.6 0 63.2-12.4 86.7-35 23.4 22.6 54.1 35 86.7 35 33.5 0 65-13.1 88.6-37 23.7-23.8 36.7-55.5 36.7-89.2 0-28.1-9-54.7-26-76.9zM256 85.5c55.1 0 100 45.2 100 100.7 0 4.7-.3 9.4-1 14.1-4.1-.4-8.2-.6-12.4-.6-32.6 0-63.2 12.4-86.7 35-23.4-22.6-54.1-35-86.7-35-4.1 0-8.3.2-12.4.6-.6-4.6-1-9.4-1-14.1.2-55.6 45.1-100.7 100.2-100.7zm0 201.4c-1.8 0-3.7-.1-5.5-.2 1.6-3.8 3.4-7.5 5.5-11.1 2.1 3.6 3.9 7.3 5.5 11.1-1.8.2-3.7.2-5.5.2zm-46.6 131.2c-12.7 5.6-26.1 8.4-40.1 8.4-55.1 0-100-45.2-100-100.7 0-22.3 7.1-43.5 20.6-61.2 12.3-16.1 29.4-28.3 48.5-34.6 6.6 17.9 17.3 34.3 31.2 47.6 13.9 13.4 30.9 23.4 49.2 29.1-1 6.3-1.4 12.7-1.4 19.1 0 25.8 7.7 50.6 22.2 71.7-8.8 8.7-19 15.6-30.2 20.6zM225.1 282c-27.6-9-50-29.8-61.3-56.7 1.8-.1 3.7-.2 5.5-.2 13.9 0 27.4 2.8 40.1 8.4 11.2 5 21.4 11.9 30.1 20.6-5.9 8.7-10.8 18-14.4 27.9zm30.9 94c-8.7-15.2-13.3-32.5-13.3-50.2 0-4.7.3-9.4 1-14.1a128.658 128.658 0 0 0 24.8 0c.6 4.6 1 9.4 1 14.1-.2 17.7-4.8 35-13.5 50.2zm46.6-142.5c12.7-5.6 26.1-8.4 40.1-8.4 1.8 0 3.7.1 5.5.2-11.3 26.9-33.7 47.7-61.3 56.7-3.6-9.8-8.5-19.2-14.4-27.9 8.7-8.7 18.9-15.6 30.1-20.6zm40.1 193c-13.9 0-27.4-2.8-40.1-8.4-11.2-5-21.4-11.9-30.1-20.6 14.5-21.1 22.2-45.8 22.2-71.7 0-6.4-.5-12.8-1.4-19.1 18.3-5.7 35.2-15.7 49.2-29.1 13.8-13.3 24.5-29.6 31.2-47.6 19.1 6.3 36.2 18.4 48.5 34.6 13.5 17.7 20.6 38.9 20.6 61.2-.1 55.6-45 100.7-100.1 100.7z"}}]})(props);
};
function IoIosColorPalette (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M430.1 347.9c-6.6-6.1-16.3-7.6-24.6-9-11.5-1.9-15.9-4-22.6-10-14.3-12.7-14.3-31.1 0-43.8l30.3-26.9c46.4-41 46.4-108.2 0-149.2-34.2-30.1-80.1-45-127.8-45-55.7 0-113.9 20.3-158.8 60.1-83.5 73.8-83.5 194.7 0 268.5 41.5 36.7 97.5 55 152.9 55.4h1.7c55.4 0 110-17.9 148.8-52.4 14.4-12.7 12-36.6.1-47.7zM120 216c0-17.7 14.3-32 32-32s32 14.3 32 32-14.3 32-32 32-32-14.3-32-32zm40 126c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm64-161c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32zm72 219c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48zm24-208c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}}]})(props);
};
function IoIosColorWand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M445.7 405.6L201.3 160.4c-3.1-3.1-8.2-3.1-11.3 0l-28.7 28.8c-3.1 3.1-3.1 8.2 0 11.3l244.4 245.2c3.1 3.1 8.2 3.1 11.3 0l28.6-28.8c3.2-3.1 3.2-8.2.1-11.3zm-25.5 14.3l-.1.1c-3.1 3.1-8.2 3.1-11.3 0L218.9 229.5c-3.1-3.1-3.1-8.2 0-11.3l.1-.1c3.1-3.1 8.2-3.1 11.3 0l189.9 190.5c3.1 3.1 3.1 8.2 0 11.3zM192.8 120.1c6.6 0 12-5.4 12-12V76c0-6.6-5.4-12-12-12s-12 5.4-12 12v32.1c0 6.6 5.4 12 12 12zM192.8 263.3c-6.6 0-12 5.4-12 12v32.1c0 6.6 5.4 12 12 12s12-5.4 12-12v-32.1c0-6.6-5.4-12-12-12zM270.7 190.2c0 6.6 5.4 12 12 12h32c6.6 0 12-5.4 12-12s-5.4-12-12-12h-32c-6.6 0-12 5.4-12 12zM119.9 190.2c0-6.6-5.4-12-12-12H76c-6.6 0-12 5.4-12 12s5.4 12 12 12h32c6.5 0 11.9-5.4 11.9-12zM124.8 141c2.3 2.3 5.3 3.5 8.5 3.5s6.2-1.3 8.5-3.5c4.7-4.7 4.7-12.3 0-17l-20.9-21c-2.3-2.3-5.3-3.5-8.5-3.5s-6.2 1.3-8.5 3.5c-4.7 4.7-4.7 12.3 0 17l20.9 21zM133.3 239.9c-3.2 0-6.2 1.3-8.5 3.5l-20.9 21c-2.3 2.3-3.5 5.3-3.5 8.5s1.2 6.2 3.5 8.5 5.3 3.5 8.5 3.5 6.2-1.3 8.5-3.5l20.9-21c4.7-4.7 4.7-12.3 0-17-2.3-2.2-5.3-3.5-8.5-3.5zM252.4 144.5c3.2 0 6.2-1.3 8.5-3.5l20.9-21c4.7-4.7 4.7-12.3 0-17-2.3-2.3-5.3-3.5-8.5-3.5s-6.2 1.3-8.5 3.5l-20.9 21c-2.3 2.3-3.5 5.3-3.5 8.5s1.2 6.2 3.5 8.5c2.3 2.2 5.3 3.5 8.5 3.5z"}}]})(props);
};
function IoIosCompass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M280.5 280.5l-49-49c-.9-.9-2.5-.7-3.2.4l-49.5 98.5c-1.1 1.8 1 3.9 2.8 2.8l98.5-49.5c1.1-.7 1.3-2.3.4-3.2z"}},{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm40.6 249.3L137 377.8c-1.8 1.1-3.9-1-2.8-2.8l80.6-159.6c.2-.3.4-.5.7-.7L375 134.2c1.8-1.1 3.9 1 2.8 2.8l-80.6 159.6c-.1.3-.3.5-.6.7z"}}]})(props);
};
function IoIosConstruct (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M380 64.4zM275.1 57.6c-9.4-5.9-23.3-9.6-37.9-9.6-14.3 0-30.3 2.5-46.7 9.2-46.5 19-74 45.4-81.1 52.4-7 7-16.8 18-22.9 26.6-6.1 8.7 1.9 21-6.1 29s-24.7 0-24.7 0c-1.4 0-2.9.5-3.9 1.6l-34.1 33.9c-2.2 2.1-2.2 5.7 0 7.8l63.5 63.1c1.1 1.1 2.5 1.6 3.9 1.6s2.9-.5 3.9-1.6l33.2-34.8c2.2-2.1 2.2-5.7 0-7.8 0 0-5.3-5.2-12.1-12s.8-19.3 5.3-23.4c4.5-4.1 11.6-6.8 21.1-6.8 4.3 0 7.4.7 11.4 1.8 12.2 3.4 25.8 15.9 50.9 40.8l-3.9 6.5c-2.3 3.8-.9 8.3 1.3 10.4 0 0-5-4.9 13.1 13.1l50-47.2c-19.1-18.9-14.5-14.1-14.5-14.1-1.4-1.4-3.8-2.3-6.3-2.3-1.4 0-2.9.3-4.2 1l-5.6 3c-28-27.8-35.3-40.2-34.3-61.7 1.1-22.4 12.3-37.1 30.5-52.7 24.7-21.1 60.6-15.2 60.6-15.2 8-.1-4.2-8.6-10.4-12.6zM462.5 399.9s-68.9-57.2-130.2-115.7l-47.7 50.6c58.5 60.6 114.9 127.6 114.9 127.6 1.1 1.1 2.5 1.6 3.9 1.6s2.9-.5 3.9-1.6l55.1-54.7c2.2-2.1 2.2-5.7.1-7.8z"}},{"tag":"path","attr":{"d":"M479.2 125.3l-52.4 52.6-51.1-9.3-9.2-51.1 52.4-52.6c-11.1-11.1-26.8-16.6-39-16.6-.7 0-1.4 0-2 .1-12.5.6-39.2 7.7-59.9 29.7-20 21.1-41.1 60.6-22.4 104.3 2.2 5.3 4.7 12.2-2.7 19.7-1.5 1.4-9.9 9.4-22.5 21.3-3.6 3.4-7.4 7-11.6 11-8 7.6-17.1 16.2-26.8 25.2-3.8 3.6-7.7 7.2-11.6 11-57 53.8-126.9 119.5-126.9 119.5-18 15.5-16.7 44.1-.1 60.8 8.5 8.4 20 12.8 31.3 12.8 11 0 21.9-4.2 29.5-13.1 0 0 65.5-69.8 119.3-126.9 3.7-4 7.4-7.8 11-11.7 9.3-9.9 18-19.1 25.8-27.3 3.9-4.2 7.6-8.1 11-11.6 11.5-12.2 19.3-20.4 21-22 4-3.9 7.7-5.1 11.1-5.1 3.3 0 6.2 1.2 8.6 2.4 9.9 5.1 21 7.3 32.4 7.3 26.7 0 55-12.4 72.1-29.5 24.4-24.4 28.8-47.9 29.6-60 .6-11.8-3.6-27.6-16.9-40.9zM137.4 426.1c-5.5 5.4-14.4 5.4-19.8 0-5.4-5.5-5.4-14.4 0-19.8 5.5-5.4 14.4-5.4 19.8 0 5.4 5.5 5.4 14.4 0 19.8z"}}]})(props);
};
function IoIosContact (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C148.5 48 60.1 129.5 49.2 234.1c-.8 7.2-1.2 14.5-1.2 21.9 0 7.4.4 14.7 1.2 21.9C60.1 382.5 148.5 464 256 464c114.9 0 208-93.1 208-208S370.9 48 256 48zm135.8 326.1c-22.7-8.6-59.5-21.2-82.4-28-2.4-.7-2.7-.9-2.7-10.7 0-8.1 3.3-16.3 6.6-23.3 3.6-7.5 7.7-20.2 9.2-31.6 4.2-4.9 10-14.5 13.6-32.9 3.2-16.2 1.7-22.1-.4-27.6-.2-.6-.5-1.2-.6-1.7-.8-3.8.3-23.5 3.1-38.8 1.9-10.5-.5-32.8-14.9-51.3-9.1-11.7-26.6-26-58.5-28h-17.5c-31.4 2-48.8 16.3-58 28-14.5 18.5-16.9 40.8-15 51.3 2.8 15.3 3.9 35 3.1 38.8-.2.7-.4 1.2-.6 1.8-2.1 5.5-3.7 11.4-.4 27.6 3.7 18.4 9.4 28 13.6 32.9 1.5 11.4 5.7 24 9.2 31.6 2.6 5.5 3.8 13 3.8 23.6 0 9.9-.4 10-2.6 10.7-23.7 7-58.9 19.4-80 27.8C91.6 341.4 76 299.9 76 256c0-48.1 18.7-93.3 52.7-127.3S207.9 76 256 76c48.1 0 93.3 18.7 127.3 52.7S436 207.9 436 256c0 43.9-15.6 85.4-44.2 118.1z"}}]})(props);
};
function IoIosContacts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm143.3 263.9c-8.1-2.6-23.7-3.4-29.5-10.4-2.9-3.5-1-16.6-1-16.6 25.2-1.4 31-6.1 31-6.1 3.9-2.3 2.1-2.7.1-6.1-10.9-18.3-6-41.5-6.5-61.6-.4-16.7-4.8-35-20-44.4-7.6-4.7-19.7-6.9-31.4-6.9-9.5 0-18.7 1.4-25.3 4.1-42.4 17-17.4 73.2-31.9 105.4-2.5 5.4-6.1 7.3.2 10.5 0 0 7.5 4.4 28.9 6.3 0 0 .3 12.6 0 13.9-1.1 4.9-11.8 8.3-15.8 9.4-2.7.7-8.7 2.5-16.4 5.7-3.7 1.5-3.1 6.9.8 7.6 3.9.7 8.1 1.7 11.5 2.9 0 0 26.4 6 46 25 13.2 12.7 18.1 27.6 20 44.6.5 4.5-1.7 8.9-5.5 11.5l-5.7 3.6c-1.9 1.1-4.2-.2-4.3-2.4 0-29.5-17.8-55.5-45.8-65.2-13.5-4.7-28.1-5-41.6-9.7-4.1-1.4-12.2-3.1-13.9-7.8-1.6-4.6-1.6-10-1.9-14.8-.2-3.8-.3-7.6-.3-11.4 0-2.5 6.4-7.8 7.8-10.1 5.4-9 5.9-21.1 6.9-31.3 8.7 2.4 9.8-13.7 11.3-18.6 1.1-3.4 5-20.9-2.6-23.6 2.5-4.4 3.5-9.8 4.2-14.7 2-12.8 2.8-26.8-1.1-39.3-8.1-26-33-40.6-59.3-41.4-26.7-.9-53.5 11.9-63.5 37.8-4.8 12.6-4.4 26.3-2.8 39.5.7 6 1.7 12.7 4.7 18.1-6.4 2.8-4.5 17.7-3.4 21.3 1.6 5.1 3 23.4 12.1 20.9.8 8.1 1.7 16.4 3.9 24.3 1.5 5.3 4.6 9.8 8.2 13.9 1.8 2 2.7 2.2 2.6 4.8-.1 7.8.1 16.2-1.9 23.8s-18.7 10.8-25.4 12.2c-14.8 3-28.6 4.7-41.4 11.5C84.8 320.6 76 289 76 256c0-47.9 19.2-94 53.2-127.7C162.7 95 207.1 76.4 254.3 76c47.6-.4 93.7 18.1 127.8 51.5 34.8 34.1 54 79.9 54 128.5 0 24.9-5 48.9-14.5 71.1-5.6-7-13.4-12.3-22.3-15.2z"}}]})(props);
};
function IoIosContract (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M184.3 204.8h-77.7c-7.7 0-13.9 6.2-13.9 13.9v.2c0 7.7 6.2 13.9 13.9 13.9h112.2c7.7 0 13.9-6.2 13.9-13.9V106.6c0-7.7-6.2-13.9-13.9-13.9h-.2c-7.7 0-13.9 6.2-13.9 13.9v77.7L87.7 68c-2.6-2.6-6.1-4-9.8-4-3.7 0-7.2 1.4-9.8 4.1-5.4 5.4-5.4 14.2 0 19.6l116.2 117.1zM293.1 232.8h112.2c7.7 0 13.9-6.2 13.9-13.9v-.2c0-7.7-6.2-13.9-13.9-13.9h-77.7L444 87.7c5.4-5.4 5.4-14.2 0-19.6-2.6-2.6-6.1-4.1-9.8-4.1-3.7 0-7.2 1.4-9.8 4L307.3 184.3v-77.7c0-7.7-6.2-13.9-13.9-13.9h-.2c-7.7 0-13.9 6.2-13.9 13.9v112.2c0 7.7 6.2 14 13.8 14zM77.9 448c3.7 0 7.2-1.4 9.8-4l117.1-116.3v77.7c0 7.7 6.2 13.9 13.9 13.9h.2c7.7 0 13.9-6.2 13.9-13.9V293.1c0-7.7-6.2-13.9-13.9-13.9H106.6c-7.7 0-13.9 6.2-13.9 13.9v.2c0 7.7 6.2 13.9 13.9 13.9h77.7L68 424.3c-5.4 5.4-5.4 14.2 0 19.6 2.7 2.7 6.2 4.1 9.9 4.1zM293.1 419.2h.2c7.7 0 13.9-6.2 13.9-13.9v-77.7L424.3 444c2.6 2.6 6.1 4 9.8 4 3.7 0 7.2-1.4 9.8-4.1 5.4-5.4 5.4-14.2 0-19.6L327.7 307.2h77.7c7.7 0 13.9-6.2 13.9-13.9v-.2c0-7.7-6.2-13.9-13.9-13.9H293.1c-7.7 0-13.9 6.2-13.9 13.9v112.2c.1 7.7 6.3 13.9 13.9 13.9z"}}]})(props);
};
function IoIosContrast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm127.3 335.3c-34 34-79.2 52.7-127.3 52.7V76c48.1 0 93.3 18.7 127.3 52.7S436 207.9 436 256s-18.7 93.3-52.7 127.3z"}}]})(props);
};
function IoIosCopy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 115h90c3.3 0 6-2.7 6-6 0-8.2-3.7-16-10-21.3l-77.1-64.2c-4.9-4.1-14.2-7.4-20.6-7.4-4.1 0-7.4 3.3-7.4 7.4V96c.1 10.5 8.6 19 19.1 19z"}},{"tag":"path","attr":{"d":"M307 96V16H176c-17.6 0-32 14.4-32 32v336c0 17.6 14.4 32 32 32h240c17.6 0 32-14.4 32-32V141h-96c-24.8 0-45-20.2-45-45z"}},{"tag":"path","attr":{"d":"M116 412V80H96c-17.6 0-32 14.4-32 32v352c0 17.6 14.4 32 32 32h256c17.6 0 32-14.4 32-32v-20H148c-17.6 0-32-14.4-32-32z"}}]})(props);
};
function IoIosCreate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M404.3 86l-202 202c-1.5 1.5-2.3 3.5-2.3 5.6v26.5c0 4.4 3.6 7.9 7.9 7.9h26.3c2.1 0 4.2-.8 5.7-2.3l202.1-202c3.1-3.1 3.1-8.1 0-11.2L415.5 86c-3.1-3.1-8.1-3.1-11.2 0zM475.6 67l-14.4-14.4-.2-.2c-3.1-2.7-7.2-4.4-11.5-4.4-4.4 0-8.5 1.7-11.6 4.5l-11.3 11.4c-1.5 1.6-1.5 4.1 0 5.6L437 79.9l21.7 21.7c1.6 1.6 4.1 1.6 5.7 0l11.3-11.3c2.8-3.1 4.4-7.1 4.4-11.6-.1-4.4-1.7-8.6-4.5-11.7z"}},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"d":"M250 342c-3 3-7.1 4.7-11.3 4.7H197.3c-8.8 0-16-7.2-16-16V289.2c0-4.2 1.7-8.3 4.7-11.3l.8-.8 147.6-147.6c2.5-2.5.7-6.8-2.8-6.8H90.7C58.3 122.7 32 149 32 181.4v224c0 32.4 26.3 58.7 58.7 58.7h256c32.4 0 58.7-26.3 58.7-58.7v-209c0-3.6-4.3-5.3-6.8-2.8L250.8 341.2l-.8.8z"}}]}]})(props);
};
function IoIosCrop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M142 64c-7.7 0-14 6.3-14 14v20c0 7.7 6.3 14 14 14s14-6.3 14-14V78c0-7.7-6.3-14-14-14zM156 342V190c0-7.7-6.3-14-14-14s-14 6.3-14 14v166c0 15.5 12.5 28 28 28h166c7.7 0 14-6.3 14-14s-6.3-14-14-14H170c-7.7 0-14-6.3-14-14zM434 356h-20c-7.7 0-14 6.3-14 14s6.3 14 14 14h20c7.7 0 14-6.3 14-14s-6.3-14-14-14z"}},{"tag":"path","attr":{"d":"M64 142c0 7.7 6.3 14 14 14h264c7.7 0 14 6.3 14 14v264c0 7.7 6.3 14 14 14s14-6.3 14-14V156c0-15.5-12.5-28-28-28H78c-7.7 0-14 6.3-14 14z"}}]})(props);
};
function IoIosCube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440.8 129.5L261.7 49.2c-3.6-1.6-7.7-1.6-11.3 0L71.2 129.5c-6 2.7-6.2 11.8-.4 14.8l178.7 94.1c4.1 2.2 8.9 2.2 13 0l178.7-94.1c5.8-3 5.6-12.1-.4-14.8zM280.2 462.9l180.1-95.3c2.2-1.4 3.6-4 3.6-6.8V175.9c0-5.9-5.8-9.7-10.7-7.1l-180.1 92.8c-2.6 1.3-4.2 4.1-4.2 7.1V456c.1 6.2 6.4 10 11.3 6.9zM48 175.9v184.8c0 2.8 1.4 5.4 3.6 6.8l180.1 95.3c5 3.2 11.2-.6 11.2-6.8V268.7c0-3-1.6-5.8-4.2-7.1l-180-92.8c-4.9-2.6-10.7 1.3-10.7 7.1z"}}]})(props);
};
function IoIosCut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M308 277.2c25.5-33 80.5-111.5 90.2-135.4 7.2-17.6 10.6-32.8 10.4-46.2-.2-17.9-6-29.3-18.3-40.6-5.2-4.8-13.5-6.9-20-6.9L255.9 201.7l-10 13.4-2.9 3.9-.1.1-14.5 19.7c-.1.1-.2.3-.3.4-.5.8-7.5 10.9-15.2 22.7-3 4.6-6.1 9.5-9 14.1-3.5 5.6-6.6 11-8.8 15.2-3.6 7.1-7.3 14.4-10.7 21.5-3.7 7.5-7.2 14.6-10.4 20.7-10.2-7.3-22-11.1-34.3-11.1-17.5 0-33.7 7.7-45.8 21.6C82.4 357.1 76 374.6 76 393.1c0 18.5 6.4 36 17.9 49.3 12.1 13.9 28.4 21.6 45.8 21.6 14.4 0 28-5.2 39.2-15 10.5-9.1 18-21.3 21.8-35.4 1-3.1 11.6-34.7 26.1-57.3 9.2-14.4 22.2-23.4 29.6-27.8l13.5-9.7c0 .1 12.7-8.7 38.1-41.6zM139.9 421.1c-13.3 0-24-12.6-24-28s10.7-28 24-28 24 12.6 24 28c0 15.5-10.8 28-24 28zm116.2-132.9c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16z"}},{"tag":"path","attr":{"d":"M191.5 260.4c.7 1 1.6 1.9 2.5 2.7 1.7-2.8 3.6-5.7 5.4-8.6l46.5-65.8L140.9 48c-8.9 0-14.4.9-18.5 3.9-11.9 8.9-19.1 25.6-19.3 43.6-.2 13.5 3.3 28.6 10.4 46.2 8.6 21 42.6 70.2 78 118.7zM372 322.3c-12.3 0-24.1 3.8-34.3 11.1-3.2-6.1-6.7-13.2-10.4-20.7-3.4-6.9-6.9-14-10.4-20.8L306 305.8l-36.4 33.1c5.2 4.6 10.7 10.4 15.3 17.5 14.5 22.6 25 54.2 26 57.3 3.8 14.1 11.3 26.3 21.8 35.4 11.3 9.8 24.9 15 39.2 15 35.3 0 64-31.8 64-70.9s-28.6-70.9-63.9-70.9zm.1 98.8c-13.3 0-24-12.6-24-28s10.7-28 24-28 24 12.6 24 28c0 15.5-10.7 28-24 28z"}}]})(props);
};
function IoIosDesktop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 442.2c-.3-2.2-2-3.9-4.2-4.3l-22.3-1.9c-11.8-3.1-20.5-16.2-22.3-28.3L302 400h-92l-1.2 7.6c-1.9 12.1-10.5 25.2-22.3 28.3l-22.3 1.9c-2.1.5-3.9 2.2-4.2 4.3-.4 3.1 2 5.8 5.1 5.8h181.8c3 .1 5.5-2.6 5.1-5.7zM472.9 71c-4.5-4.5-10.7-7-17-7H56.2c-6.4 0-12.5 2.5-17 7S32 81.7 32 88v272c0 6.4 2.7 12.5 7.2 17s10.5 7 16.8 7h400c6.4 0 12.3-2.5 16.8-7s7.2-10.7 7.2-17V88c.1-6.3-2.6-12.5-7.1-17zM256 360c-4.4 0-8-3.6-8-8s3.6-8 8-8 8 3.6 8 8-3.6 8-8 8zm203.9-40H52.2c-2.2 0-4-1.8-4-4V92c0-6.6 5.4-12 12-12h391.7c6.6 0 12 5.4 12 12v224c0 2.2-1.8 4-4 4z"}}]})(props);
};
function IoIosDisc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 165.8c-49.9 0-90.3 40.4-90.3 90.3s40.4 90.2 90.3 90.2 90.3-40.4 90.3-90.2c0-49.9-40.4-90.3-90.3-90.3zm0 130.6c-22.3 0-40.4-18.1-40.4-40.4s18.1-40.4 40.4-40.4 40.4 18.1 40.4 40.4-18.1 40.4-40.4 40.4z"}},{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm0 322c-63 0-114-51.1-114-114 0-63 51.1-114 114-114s114 51 114 114-51 114-114 114z"}}]})(props);
};
function IoIosDocument (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M312 155h91c2.8 0 5-2.2 5-5 0-8.9-3.9-17.3-10.7-22.9L321 63.5c-5.8-4.8-13-7.4-20.6-7.4-4.1 0-7.4 3.3-7.4 7.4V136c0 10.5 8.5 19 19 19z"}},{"tag":"path","attr":{"d":"M267 136V56H136c-17.6 0-32 14.4-32 32v336c0 17.6 14.4 32 32 32h240c17.6 0 32-14.4 32-32V181h-96c-24.8 0-45-20.2-45-45z"}}]})(props);
};
function IoIosDoneAll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M317.5 210.3c1.7-1.8 1.8-4.7 0-6.5l-19.8-21c-.8-.9-2-1.4-3.2-1.4-1.2 0-2.4.5-3.2 1.4l-66.5 69.1 26.4 27.1 66.3-68.7zM123.8 253.1c-.9-.9-2-1.4-3.2-1.4-1.2 0-2.3.5-3.2 1.4l-20.1 20.7c-1.8 1.8-1.8 4.8 0 6.6l63.2 65c4 4.2 9 6.6 13.2 6.6 6 0 11.1-4.5 13.1-6.4l.1-.1 13.4-13.8-76.5-78.6z"}},{"tag":"path","attr":{"d":"M414.7 182.4l-19.8-21c-.8-.9-2-1.4-3.2-1.4-1.2 0-2.4.5-3.2 1.4L250.7 304.1l-50.1-51.6c-.9-.9-2-1.4-3.2-1.4-1.2 0-2.3.5-3.2 1.4l-20.1 20.7c-1.8 1.8-1.8 4.8 0 6.6l63.2 65c4 4.2 9 6.6 13.2 6.6 6 0 11.1-4.5 13.1-6.4l.1-.1 151-156.1c1.7-1.7 1.7-4.6 0-6.4z"}}]})(props);
};
function IoIosDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M376 144H269v179.9l47.9-47.2c5.1-5 13.3-5 18.4.1 5 5.1 5 13.3-.1 18.4l-70 69c-2.5 2.4-5.8 3.7-9.1 3.7-1.7 0-3.4-.3-5-1-1.5-.6-2.9-1.6-4.1-2.7l-70-69c-5.1-5-5.2-13.3-.1-18.4 5-5.1 13.3-5.2 18.4-.1l47.9 47.2V144H136c-22 0-40 18-40 40v240c0 22 18 40 40 40h240c22 0 40-18 40-40V184c0-22-18-40-40-40zM269 61c0-7.2-5.8-13-13-13s-13 5.8-13 13v83h26V61z"}}]})(props);
};
function IoIosEasel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M434 461.5l-26.6-69.1c-2.1-5.1-7-8.4-12.4-8.4-4.5 0-8.6 2.2-11.1 5.9s-3 8.4-1.4 12.5l26 69.1c2.1 5.1 7 8.5 12.5 8.5h.5c4.5 0 8.7-2.2 11.2-5.9 2.5-3.8 3-8.5 1.3-12.6zM117.6 384c-5.5 0-10.4 3.3-12.4 8.4l-26.6 69.1c-1.7 4.2-1.2 8.9 1.3 12.6 2.5 3.7 6.7 5.9 11.2 5.9h.5c5.5 0 10.4-3.3 12.5-8.5l26-69.1c1.7-4.1 1.2-8.8-1.4-12.5-2.4-3.7-6.6-5.9-11.1-5.9zM256.6 384h-1.1c-7.4 0-13.4 6-13.4 13.4v36.1c0 7.4 6 14.4 13.4 14.4h1.1c7.4 0 13.4-7 13.4-14.4v-36.1c0-7.4-6-13.4-13.4-13.4z"}},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"d":"M424 128H88c-4.4 0-8 3.6-8 8v176c0 4.4 3.6 8 8 8h336c4.4 0 8-3.6 8-8V136c0-4.4-3.6-8-8-8z"}},{"tag":"path","attr":{"d":"M448 80H63.9C46.3 80 32 94.3 32 111.9v224.2c0 17.6 14.3 31.9 31.9 31.9H448c17.7 0 32-14.3 32-32V112c0-17.7-14.3-32-32-32zm4 244c0 8.8-7.2 16-16 16H76c-8.8 0-16-7.2-16-16V124c0-8.8 7.2-16 16-16h364.6c3 0 5.9 1.2 8 3.3 2.1 2.1 3.3 5 3.3 8V324z"}}]},{"tag":"path","attr":{"d":"M256 32c-13.4-.2-24.4 12.2-24.4 25.6h48.7c.1-13.4-10.9-25.8-24.3-25.6z"}}]})(props);
};
function IoIosEgg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32C192 32 96 165.2 96 288.9 96 412.6 160 480 256 480s160-67.4 160-191.1C416 165.2 320 32 256 32z"}}]})(props);
};
function IoIosExit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M144 136v107h179.9l-47.2-47.9c-5-5.1-5-13.3.1-18.4 5.1-5 13.3-5 18.4.1l69 70c2.4 2.5 3.7 5.8 3.7 9.1 0 1.7-.3 3.4-1 5-.6 1.5-1.6 2.9-2.7 4.1l-69 70c-5 5.1-13.3 5.2-18.4.1-5.1-5-5.2-13.3-.1-18.4l47.2-47.9H144v107c0 22 18 40 40 40h240c22 0 40-18 40-40V136c0-22-18-40-40-40H184c-22 0-40 18-40 40zM61 243c-7.2 0-13 5.8-13 13s5.8 13 13 13h83v-26H61z"}}]})(props);
};
function IoIosExpand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112.4 92h77.7c7.7 0 13.9-6.2 13.9-13.9v-.2c0-7.7-6.2-13.9-13.9-13.9H77.9C70.2 64 64 70.2 64 77.9v112.2c0 7.7 6.2 13.9 13.9 13.9h.2c7.7 0 13.9-6.2 13.9-13.9v-77.7l117.1 116.3c2.6 2.6 6.1 4 9.8 4 3.7 0 7.2-1.4 9.8-4.1 5.4-5.4 5.4-14.2 0-19.6L112.4 92zM434.1 64H321.9c-7.7 0-13.9 6.2-13.9 13.9v.2c0 7.7 6.2 13.9 13.9 13.9h77.7L283.3 209.1c-5.4 5.4-5.4 14.2 0 19.6 2.6 2.6 6.1 4.1 9.8 4.1 3.7 0 7.2-1.4 9.8-4L420 112.4v77.7c0 7.7 6.2 13.9 13.9 13.9h.2c7.7 0 13.9-6.2 13.9-13.9V77.9c0-7.7-6.2-13.9-13.9-13.9zM218.9 279.2c-3.7 0-7.2 1.4-9.8 4L92 399.6v-77.7c0-7.7-6.2-13.9-13.9-13.9h-.2c-7.7 0-13.9 6.2-13.9 13.9v112.2c0 7.7 6.2 13.9 13.9 13.9h112.2c7.7 0 13.9-6.2 13.9-13.9v-.2c0-7.7-6.2-13.9-13.9-13.9h-77.7l116.3-117.1c5.4-5.4 5.4-14.2 0-19.6-2.6-2.6-6.1-4.1-9.8-4.1zM434.1 308h-.2c-7.7 0-13.9 6.2-13.9 13.9v77.7L302.9 283.3c-2.6-2.6-6.1-4-9.8-4-3.7 0-7.2 1.4-9.8 4.1-5.4 5.4-5.4 14.2 0 19.6l116.3 117h-77.7c-7.7 0-13.9 6.2-13.9 13.9v.2c0 7.7 6.2 13.9 13.9 13.9h112.2c7.7 0 13.9-6.2 13.9-13.9V321.9c0-7.7-6.2-13.9-13.9-13.9z"}}]})(props);
};
function IoIosEyeOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M88.3 68.1c-5.6-5.5-14.6-5.5-20.1.1-5.5 5.5-5.5 14.5 0 20l355.5 355.7c3.7 3.7 9 4.9 13.7 3.6 2.4-.6 4.6-1.9 6.4-3.7 5.5-5.5 5.5-14.5 0-20L88.3 68.1zM260.2 345.9c-53 2.4-96.6-41.2-94.1-94.1.6-12.2 3.6-23.8 8.6-34.3L121.3 164c-27.7 21.4-55.4 48.9-85.1 81.3-5.5 6.1-5.6 15.2-.1 21.3C101 338.3 158.2 400 255.8 400c29.7 0 57.1-7.4 82.3-19.2l-43.5-43.5c-10.6 5-22.2 8-34.4 8.6zM475.8 266c5.3-5.8 5.6-14.6.5-20.7C424 181.8 351.5 112 255.8 112c-29.1 0-56 6.6-82 19l43.7 43.7c10.5-5 22.1-8.1 34.3-8.6 53-2.4 96.6 41.2 94.1 94.1-.6 12.2-3.6 23.8-8.6 34.3l53.5 53.5c33-25.3 61.3-55.9 85-82z"}},{"tag":"path","attr":{"d":"M192.2 260.9c2.4 31.3 27.6 56.5 58.9 58.9 8.2.6 16.1-.3 23.4-2.6l-79.8-79.8c-2.2 7.4-3.1 15.3-2.5 23.5zM320 256c0-1.3-.1-2.6-.1-3.9-5.6 2.5-11.7 3.9-18.2 3.9-1.1 0-2.1 0-3.1-.1l18.6 18.7c1.8-5.9 2.8-12.2 2.8-18.6zM256 209c0-6 1.1-11.7 3.1-16.9-1 0-2-.1-3.1-.1-6.4 0-12.6 1-18.5 2.8l18.7 18.7c-.1-1.5-.2-3-.2-4.5z"}}]})(props);
};
function IoIosEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.8 112c-80.4 0-143.8 50.6-219.6 133.3-5.5 6.1-5.6 15.2-.1 21.3C101 338.3 158.2 400 255.8 400c96.4 0 168.7-77.7 220.1-134 5.3-5.8 5.6-14.6.5-20.7C424 181.8 351.5 112 255.8 112zm4.4 233.9c-53 2.4-96.6-41.2-94.1-94.1 2.1-46.2 39.5-83.6 85.7-85.7 53-2.4 96.6 41.2 94.1 94.1-2.1 46.2-39.5 83.6-85.7 85.7z"}},{"tag":"path","attr":{"d":"M256 209c0-6 1.1-11.7 3.1-16.9-1 0-2-.1-3.1-.1-36.9 0-66.6 31.4-63.8 68.9 2.4 31.3 27.6 56.5 58.9 58.9 37.5 2.8 68.9-26.9 68.9-63.8 0-1.3-.1-2.6-.1-3.9-5.6 2.5-11.7 3.9-18.2 3.9-25.2 0-45.7-21.1-45.7-47z"}}]})(props);
};
function IoIosFastforward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M476.1 249.3L268 129.1c-5.4-3.1-12.3.6-12.3 6.7V251L44.3 129.1c-5.4-3.1-12.3.6-12.3 6.7v240.3c0 6.1 6.9 9.8 12.3 6.7L255.6 261v115.2c0 6.1 6.9 9.8 12.3 6.7L476 262.7c5.3-3 5.3-10.4.1-13.4z"}}]})(props);
};
function IoIosFemale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M61.6 464c3.6 0 7.1-1.4 9.6-4l44.8-44.8 37 37c2.6 2.6 6 4 9.6 4 3.6 0 7.1-1.4 9.6-4 5.3-5.3 5.3-13.9 0-19.2l-37-37 50-50c30.6 26 69.3 40.3 109.6 40.3 22.8 0 45-4.5 65.8-13.3 20.1-8.5 38.2-20.7 53.8-36.2 15.5-15.5 27.7-33.6 36.2-53.8 8.8-20.9 13.3-43 13.3-65.8s-4.5-45-13.3-65.8c-8.5-20.1-20.7-38.2-36.2-53.8-15.5-15.5-33.6-27.7-53.8-36.2-20.9-8.8-43-13.3-65.8-13.3-22.8 0-45 4.5-65.8 13.3-20.1 8.5-38.2 20.7-53.8 36.2-15.5 15.5-27.7 33.6-36.2 53.8-8.8 20.9-13.3 43-13.3 65.8 0 40.3 14.3 79 40.3 109.6l-50 50-37-37c-2.6-2.6-6-4-9.6-4-3.6 0-7.1 1.4-9.6 4-5.3 5.3-5.3 13.9 0 19.2l37 37L52 440.8c-5.3 5.3-5.3 13.9 0 19.2 2.6 2.6 6 4 9.6 4zm132.9-347.2C221.3 90 257 75.2 294.9 75.2c37.9 0 73.5 14.8 100.3 41.6 26.8 26.8 41.6 62.4 41.6 100.3s-14.8 73.5-41.6 100.3c-26.8 26.8-62.4 41.6-100.3 41.6s-73.5-14.8-100.3-41.6C167.7 290.7 153 255 153 217.1s14.7-73.5 41.5-100.3z"}}]})(props);
};
function IoIosFiling (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M424 64H88c-22 0-40 18-40 40v304c0 22 18 40 40 40h336c22 0 40-18 40-40V104c0-22-18-40-40-40zm12 176c0 8.8-7.2 16-16 16h-86.8c-6.8 0-12.8 4.2-15.1 10.6C314 278.2 303.8 288 292 288h-72c-11.9 0-22.1-9.8-26.1-21.4-2.2-6.4-8.3-10.6-15.1-10.6H92c-8.8 0-16-7.2-16-16V108c0-8.8 7.2-16 16-16h328c8.8 0 16 7.2 16 16v132z"}},{"tag":"path","attr":{"d":"M386 156H126c-7.7 0-14-6.3-14-14s6.3-14 14-14h260c7.7 0 14 6.3 14 14s-6.3 14-14 14zM386 220H126c-7.7 0-14-6.3-14-14s6.3-14 14-14h260c7.7 0 14 6.3 14 14s-6.3 14-14 14z"}}]})(props);
};
function IoIosFilm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M447.9 80H64.1C46.5 80 32 94.5 32 112.1v287.7c0 17.7 14.5 32.1 32.1 32.1h383.7c17.7 0 32.1-14.5 32.1-32.1V112.1c.1-17.6-14.4-32.1-32-32.1zM120 400c0 4.4-3.6 8-8 8H64c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v48zm0-80c0 4.4-3.6 8-8 8H64c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v48zm0-80c0 4.4-3.6 8-8 8H64c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v48zm0-80c0 4.4-3.6 8-8 8H64c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v48zm232 108H160c-6.6 0-12-5.4-12-12s5.4-12 12-12h192c6.6 0 12 5.4 12 12s-5.4 12-12 12zm104 132c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v48zm0-80c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v48zm0-80c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v48zm0-80c0 4.4-3.6 8-8 8h-48c-4.4 0-8-3.6-8-8v-48c0-4.4 3.6-8 8-8h48c4.4 0 8 3.6 8 8v48z"}}]})(props);
};
function IoIosFingerPrint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M450.8 182c-8.6-24.4-20.3-44.9-33-57.5-2.6-2.6-6-4-9.7-4-3.7 0-7.1 1.4-9.7 4-5.3 5.3-5.3 14 0 19.4 9.9 9.9 19.6 27.4 26.8 48.1 7.3 21.2 11.4 43.6 11.4 63.1 0 3-.1 7.6-.2 10.1-.2 3.7 1.1 7.1 3.6 9.8 2.5 2.7 5.8 4.3 9.5 4.4h.6c7.3 0 13.3-5.7 13.7-13.1.1-3.1.2-8.1.2-11.3 0-22.8-4.7-48.8-13.2-73zM143 110.6c2.9 0 5.6-.9 8-2.6 29.9-21.4 66.2-32.7 105-32.7 40.8 0 80.1 14.8 113.7 42.8 2.5 2 5.6 3.2 8.8 3.2 4.1 0 7.9-1.8 10.5-4.9 4.8-5.8 4-14.4-1.7-19.3C348.6 65 303.3 48 256 48c-44.6 0-86.4 13.1-121 37.8-3 2.1-4.9 5.3-5.5 8.9-.6 3.6.2 7.2 2.4 10.2 2.5 3.6 6.7 5.7 11.1 5.7zM75.4 255c0-43.7 15.8-85.8 44.5-118.7 2.4-2.8 3.6-6.3 3.3-9.9-.2-3.6-1.9-7-4.7-9.4-2.5-2.2-5.7-3.4-9-3.4-4 0-7.7 1.7-10.3 4.7C66.2 156.2 48 204.7 48 255c0 32.8 5.9 58.8 15.4 90.2 1.8 5.8 7 9.7 13.1 9.7 1.3 0 2.7-.2 4-.6 3.5-1.1 6.4-3.4 8.1-6.6 1.7-3.2 2.1-6.9 1-10.4-8.8-29-14.2-52.8-14.2-82.3z"}},{"tag":"path","attr":{"d":"M355.7 129.8C328.4 106.1 295 93.6 259 93.6c-48.3 0-91.4 17.8-121.5 50.1-28.7 30.8-42.8 71.7-39.7 115.1 2.3 32.7 6 50.7 9.3 66.6 4.3 21.1 7.7 37.8 5.1 84.1-.4 6.7 3.7 12.7 10 14.6 1.2.4 2.3.5 3.6.5 7.2 0 13.2-5.7 13.7-12.9 2.9-50.4-.8-68.7-5.5-91.9-3.1-15.1-6.6-32.2-8.8-63.1-2.6-35.7 9-69.3 32.4-94.5 24.8-26.7 60.9-41.4 101.4-41.4 29.3 0 56.5 10.2 78.7 29.5 22.3 19.3 39.2 47.4 49 81.1 11.4 39.3 14.5 89.3 9.1 144.5-.7 7.5 4.8 14.2 12.3 15 .4 0 .9.1 1.3.1 7.1 0 12.9-5.3 13.6-12.4 5.8-58.7 2.3-112.2-10.1-154.8-11.1-38.6-30.9-71.2-57.2-94z"}},{"tag":"path","attr":{"d":"M373.5 267.5c-5.9-37.5-19.9-68.8-40.6-90.6-20.8-22-47.4-33.7-76.9-33.7-19 0-37.7 4.1-54.1 12-3.7 1.8-6.4 5.1-7.4 9.1-1 4.1-.1 8.3 2.5 11.6 2.6 3.4 6.5 5.3 10.8 5.3 2.1 0 4-.5 5.9-1.3 12.6-6 27.2-9.2 42.2-9.2 22.4 0 42.5 9.2 58.3 26.6 16.1 17.8 27.3 43.6 32.1 74.6 4.7 29.6 7 53.5 7.1 73.1.2 39.7-4.8 72.7-4.8 73.1-.6 3.6.3 7.2 2.5 10.2 2.2 3 5.3 4.9 8.9 5.5.7.1 1.4.2 2.1.2 6.8 0 12.5-4.9 13.5-11.6.2-1.4 5.4-35.2 5.2-77.5 0-21.3-2.4-46.5-7.3-77.4zM185.3 203.5c4-5.8 2.9-13.6-2.5-18.2-2.5-2.1-5.6-3.2-8.8-3.2-4.5 0-8.7 2.2-11.3 5.9-14.7 21.5-19.7 49.1-14.4 79.8 8.9 51.3 16.9 111.1 9.4 165-.5 3.8.5 7.7 2.9 10.7 2.3 3 5.7 4.8 9.4 5.1.4 0 .8.1 1.2.1 6.8 0 12.6-5.1 13.5-11.8 8.2-57.7-.2-120.2-9.5-173.8-4.1-23.8-.7-43.9 10.1-59.6zM317.5 388h-.5c-7.6.3-13.5 6.6-13.2 14.2 0 .2.6 17.9-2.6 34.7-1.3 6.9 2.6 13.7 9.1 15.8 1.4.4 2.8.7 4.3.7 6.6 0 12.2-4.7 13.4-11.1 3.8-20.1 3.1-40.2 3.1-41.1-.2-7.5-6.2-13.2-13.6-13.2z"}},{"tag":"path","attr":{"d":"M294.6 205.9c-11.2-10.5-25.2-16.1-40.5-16.1-19.8 0-36.7 7.3-47.6 20.5-8.3 10.1-17 28.8-10.9 60 12.3 62.5 15 121.6 8.1 175.6-1 7.5 4.4 14.4 11.8 15.3.6.1 1.2.1 1.7.1 6.9 0 12.7-5.1 13.6-12 7.3-57 4.5-119-8.3-184.4-3.2-16.4-1.4-29.3 5.1-37.3 5.6-6.8 15-10.5 26.4-10.5 25 0 35.1 27.6 38.3 39.4 6.9 25.7 10.9 63 11.5 107.7.1 7.4 6.2 13.5 13.7 13.5h.2c3.6-.1 7-1.5 9.6-4.1 2.5-2.6 3.9-6.1 3.9-9.7-.7-47-5-86.5-12.5-114.4-4.9-18.5-13.1-33.2-24.1-43.6z"}},{"tag":"path","attr":{"d":"M265.2 245.9c-2.1-5.1-7.1-8.5-12.7-8.5-1.8 0-3.6.4-5.2 1-7 2.9-10.3 10.9-7.4 17.9 6.6 16 11.8 46.2 14.1 82.8 2.4 36.9 1.7 76.9-2 109.6-.4 3.6.6 7.2 2.9 10.1 2.3 2.9 5.5 4.6 9.2 5 .5.1 1 .1 1.5.1 7 0 12.8-5.2 13.6-12.2 3.9-35.5 4.6-76.6 2-115.8-2.5-39.3-8.2-71.3-16-90z"}}]})(props);
};
function IoIosFitness (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 280H160c-4.4 0-8-3.6-8-8v-32c0-4.4 3.6-8 8-8h192c4.4 0 8 3.6 8 8v32c0 4.4-3.6 8-8 8zM378 362V150c0-12.1 9.9-22 22-22s22 9.9 22 22v212c0 12.1-9.9 22-22 22s-22-9.9-22-22zM460 192h-12c-4.4 0-8 3.6-8 8v112c0 4.4 3.6 8 8 8h12c11 0 20-9 20-20v-88c0-11-9-20-20-20zM134 362V150c0-12.1-9.9-22-22-22s-22 9.9-22 22v212c0 12.1 9.9 22 22 22s22-9.9 22-22zM64 192H52c-11 0-20 9-20 20v88c0 11 9 20 20 20h12c4.4 0 8-3.6 8-8V200c0-4.4-3.6-8-8-8z"}}]})(props);
};
function IoIosFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M406.7 80.8c-3.1.5-6.4 1-9.9 1.4-13.2 1.7-42.8 5.2-60.6 5.2-27.7 0-52.8-6.8-78.2-12.2-25.8-5.5-52.4-11.2-80.6-11.2-56.2 0-75.3 12.1-77.3 13.4L96 80.3v353.3c0 7.2 5.2 13.4 12.3 14.3 8.5 1 15.7-5.6 15.7-13.9V279.6c0-3.8 2.7-7.1 6.4-7.9 10.5-2.1 25.8-3.9 47-3.9 26.2 0 50.7 10 76.6 15.5 26.4 5.6 48.6 11.5 83.4 11.5s71.8-6.6 71.8-6.6c3.9-.6 6.9-3.9 6.9-7.9V88.7c-.1-4.9-4.5-8.7-9.4-7.9z"}}]})(props);
};
function IoIosFlame (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M220.1 48C249.1 182.6 111 179.9 112 315.4c.8 111 118.4 148.6 144.5 148.6 26.1 0 134.8-23.6 143.1-148.6 7.1-106.4-81.7-208-179.5-267.4zm74.3 354.7c-10.2 38.9-66 39-76.4.1-1.5-5.6-2.4-11.5-2.4-17.5 0-41 40.6-88.3 40.6-88.3s40.4 47.3 40.4 88.3c.1 6-.7 11.8-2.2 17.4z"}}]})(props);
};
function IoIosFlashOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M382.1 442.7L154.5 55c-4-6.7-12.7-9-19.5-5.1-6.8 3.9-9.1 12.6-5.1 19.3L357.5 457c2.6 4.5 7.4 7 12.3 7 2.4 0 4.9-.6 7.2-1.9 6.7-4 9-12.6 5.1-19.4zM324.6 313.3l57.9-75.8c3.8-5.6.2-13.4-6.3-13.4h-104l52.4 89.2zM320.4 37.1c.9-4.5-4.6-7.1-7.2-3.4L227 146.9l42.4 72.3 51-182.1zM187.4 198.7l-57.9 75.8c-3.8 5.6-.2 13.4 6.3 13.4h103.9l-52.3-89.2zM191.6 474.9c-.9 4.5 4.6 7.1 7.2 3.4L285 365.1l-42.4-72.3-51 182.1z"}}]})(props);
};
function IoIosFlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M376.2 224H268l52.4-186.9c.9-4.5-4.6-7.1-7.2-3.4L129.5 274.6c-3.8 5.6-.2 13.4 6.3 13.4H244l-52.4 186.9c-.9 4.5 4.6 7.1 7.2 3.4l183.7-240.8c3.7-5.7.2-13.5-6.3-13.5z"}}]})(props);
};
function IoIosFlashlight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M317 32H195c-17.6 0-24 14.4-24 32h170c0-17.6-6.4-32-24-32zM196.1 147.5c7.6 8.8 11.9 20 11.9 31.7v265.9c0 21.9 17.9 34.9 39.9 34.9h16.3c21.9 0 39.9-12.9 39.9-34.9V179.2c0-11.7 4.3-22.8 11.9-31.7 15.4-17.9 25-34.5 25-67.5H171c0 35 9.6 49.6 25.1 67.5zm31.9 90.8c0-15.6 12.6-28.3 28-28.3s28 12.7 28 28.3v35.4c0 15.6-12.6 28.3-28 28.3s-28-12.7-28-28.3v-35.4z"}},{"tag":"circle","attr":{"cx":"256","cy":"273","r":"20"}}]})(props);
};
function IoIosFlask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M437.4 354.4L320.7 159.9c-.4-.6-.6-1.3-.6-2.1V80c0-2.2 1.8-4 4-4 6.6 0 12-5.4 12-12v-4c0-6.6-5.4-12-12-12H187.8c-6.6 0-12 5.4-12 12v4c0 6.6 5.4 12 12 12 2.2 0 4 1.8 4 4v77.9c0 .7-.2 1.4-.6 2L75.7 354.4c-8.4 15.8-12.5 31.4-12.1 45.6 1.1 36.5 28.8 64 65.2 64h256.6c36.4 0 62.3-27.6 63.2-64 .2-14.2-2.7-29.7-11.2-45.6zM161.8 288c-6.2 0-10.1-6.8-6.9-12.1l60.5-101.7c2.9-4.9 4.5-10.6 4.5-16.3V80c0-1.4-.1-2.7-.2-4h72.7c-.2 1.3-.2 2.6-.2 4v77.9c0 5.8 1.6 11.5 4.6 16.4l60.4 101.6c3.2 5.3-.7 12.1-6.9 12.1H161.8z"}}]})(props);
};
function IoIosFlower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M385.1 230.2c-26.7 0-60.1 6.9-86.3 13.5-.9-3.2-2.1-6.2-3.7-9.1 23.2-13.8 51.7-32.5 70.5-51.4 36.7-36.7 48.3-63.6 37.6-74.3-2.6-2.6-6-3.8-10.3-3.8-13.8 0-36 13.4-64 41.4-18.8 18.8-37.6 47.2-51.4 70.4-2.8-1.6-5.9-2.8-9.1-3.8 6.7-26.2 13.5-59.5 13.5-86.1 0-51.9-10.8-79.1-26-79.1s-26 27.2-26 79.1c0 26.6 6.8 60 13.5 86.1-3.2.9-6.2 2.2-9.1 3.8-13.8-23.2-32.5-51.6-51.4-70.4-28-28-50.3-41.4-64-41.4-4.3 0-7.7 1.3-10.3 3.8-10.8 10.8.8 37.6 37.6 74.3 18.9 18.9 47.3 37.6 70.5 51.4-1.5 2.8-2.8 5.9-3.7 9.1-26.2-6.7-59.6-13.5-86.3-13.5-51.8 0-78.7 10.6-78.7 25.8s26.9 26.2 78.9 26.2c26.7 0 60.2-6.9 86.4-13.6.9 3.1 2.2 6.2 3.8 9-23.3 13.8-51.8 32.6-70.7 51.5-36.7 36.7-48.3 63.6-37.6 74.3 2.6 2.6 6 3.8 10.3 3.8 13.8 0 36-13.4 64-41.4 18.9-18.9 37.8-47.5 51.6-70.8 2.8 1.5 5.8 2.8 9 3.7-6.7 26.2-13.6 59.8-13.6 86.5 0 51.9 10.8 78.6 26 78.6s26-26.7 26-78.6c0-26.8-6.9-60.3-13.6-86.5 3.1-.9 6.1-2.1 9-3.7 13.8 23.3 32.6 51.9 51.6 70.8 28 28 50.3 41.4 64 41.4 4.3 0 7.7-1.3 10.3-3.8 10.8-10.8-.8-37.6-37.6-74.3-18.9-18.9-47.5-37.7-70.7-51.5 1.6-2.8 2.8-5.8 3.8-9 26.2 6.7 59.7 13.6 86.4 13.6 51.9 0 78.9-10.8 78.9-26-.2-15.2-27.1-26-79.1-26z"}},{"tag":"path","attr":{"d":"M318.4 376.4c-8.5-8.5-16.9-18.7-24.8-29.5 2 13.2 3.3 26.4 3.3 38.4 0 11.7-.5 22.5-1.6 32.1 12.3 21.8 24.3 32.7 34 32.7 1.6 0 3.2-.3 4.7-.9 11-4.5 13.3-23.3 4.5-54.3-6.4-5.3-13.1-11.5-20.1-18.5zM193.8 136.1c8.4 8.4 16.7 18.5 24.6 29.2-2-13.2-3.2-26.3-3.2-38.2 0-11.7.5-22.5 1.6-32.1-12.3-21.8-24.3-32.7-34-32.7-1.6 0-3.2.3-4.7.9-11 4.5-13.3 23.3-4.5 54.3 6.4 5.4 13.2 11.6 20.2 18.6zM135.8 318.6c8.5-8.5 18.7-16.9 29.5-24.8-13.2 2-26.4 3.3-38.4 3.3-11.7 0-22.5-.5-32.1-1.6-25.5 14.4-36.1 28.2-31.8 38.7 2.6 6.4 10.1 9.9 22.1 9.9 8.5 0 19.3-1.7 32.2-5.4 5.4-6.4 11.5-13.1 18.5-20.1zM376.2 193.8c-8.5 8.5-18.7 16.9-29.5 24.8 13.2-2 26.4-3.3 38.4-3.3 11.7 0 22.5.5 32.1 1.6 25.5-14.4 36.1-28.2 31.8-38.7-2.6-6.4-10.1-9.9-22.1-9.9-8.5 0-19.3 1.7-32.2 5.4-5.4 6.5-11.5 13.2-18.5 20.1zM193.6 376.4c-8.3 8.3-16.3 15.6-23.8 21.6-7.8 28.2-5.5 45.4 4.9 49.9 1.6.7 3.2 1 4.9 1 10.3 0 23.2-12 36.7-36.2-.7-8.4-1.1-17.5-1.1-27.3 0-12 1.3-25.2 3.3-38.4-8 10.7-16.4 20.9-24.9 29.4zM318.4 136.2c8.3-8.3 16.2-15.5 23.7-21.5 7.9-28.4 5.7-45.8-4.8-50.2-1.6-.7-3.2-1-4.9-1-10.3 0-23.2 12-36.7 36.2.7 8.4 1.1 17.5 1.1 27.3 0 12.1-1.3 25.3-3.3 38.7 8-10.7 16.4-21 24.9-29.5zM99.6 216.5c8.4-.7 17.5-1.1 27.3-1.1 12 0 25.1 1.3 38.3 3.3-10.7-7.9-20.9-16.3-29.4-24.8-8.3-8.3-15.6-16.3-21.7-23.9-11.3-3.1-20.9-4.6-28.6-4.6-11.4 0-18.6 3.3-21.2 9.5-4.6 10.9 7.1 25.9 35.3 41.6zM412.4 296c-8.4.7-17.5 1.1-27.3 1.1-12 0-25.2-1.3-38.4-3.3 10.8 7.9 21 16.4 29.5 24.8 8.3 8.3 15.5 16.3 21.6 23.8 11.4 3.2 20.9 4.7 28.6 4.7 11.4 0 18.6-3.3 21.2-9.5 4.7-11-7-25.9-35.2-41.6z"}}]})(props);
};
function IoIosFolderOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 119c0-13.3-9.4-23-22.8-23H230.9c-2.8 0-4.3-.6-6.1-2.4l-22.5-22.5-.2-.2c-4.9-4.6-8.9-6.9-17.3-6.9H88.7C74.9 64 64 74.3 64 87v73h384v-41zM64 188h-8.3c-12.8 0-25.3 5.1-23.5 24.3C34 231.5 55.7 423 55.7 423c2.7 17.8 11.7 25 25 25h352.5c12.7 0 21-7.8 23-25 0 0 22.2-184.9 23.6-205.5 1.4-20.5-8.9-29.5-23.6-29.5H64z"}}]})(props);
};
function IoIosFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 119c0-13.3-9.4-23-22.8-23H198.9c-2.8 0-4.3-.6-6.1-2.4l-22.5-22.5-.2-.2c-4.9-4.6-8.9-6.9-17.3-6.9H56.7C42.9 64 32 74.3 32 87v73.7c0 1.6 1.7 1.5 3 .7s5-1.4 7-1.4h428c2 0 5.7.6 7 1.4 1.3.8 3 .9 3-.7V119zM32 416.4c0 17.5 14.2 31.6 31.6 31.6H448c17.6 0 32-14.4 32-32V204c0-8.8-7.2-16-16-16H48c-8.8 0-16 7.2-16 16v212.4z"}}]})(props);
};
function IoIosFootball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256c0 114.7 93.3 208 208 208 114.9 0 208-93.1 208-208 0-114.7-93.3-208-208-208zm127.3 80.7c8.5 8.5 16.1 17.7 22.6 27.5.7 1 .9 2.4.4 3.5L391.9 201c-.4 1-1.1 1.9-2.1 2.3l-57.5 26.2c-1.4.6-3 .4-4.2-.6l-56.6-47.6a4.1 4.1 0 0 1-1.4-3.1v-63.1c0-1.3.7-2.6 1.8-3.3l38.4-26.1c1-.7 2.3-.9 3.5-.5 25.8 8.9 49.6 23.6 69.5 43.5zm-73.9 297.6c-.4 1.2-1.4 2.1-2.6 2.4-16.3 4.8-33.4 7.2-50.8 7.2-17.5 0-34.5-2.5-50.8-7.2-1.2-.4-2.2-1.3-2.6-2.4l-16.4-43c-.4-1.1-.3-2.3.2-3.3l22.3-42.3c.7-1.3 2.1-2.1 3.5-2.1h87.5c1.5 0 2.8.8 3.5 2.1l22.3 42.3c.5 1 .6 2.2.2 3.3l-16.3 43zm-67.4-311v63.1c0 1.2-.5 2.3-1.4 3.1L183.9 229c-1.2 1-2.8 1.2-4.2.6l-57.5-26.2c-1-.5-1.8-1.3-2.1-2.3l-14.4-41.2c-.4-1.2-.3-2.5.4-3.5 6.5-9.8 14.1-19 22.6-27.5 19.9-19.9 43.7-34.6 69.6-43.3 1.2-.4 2.5-.2 3.5.5l38.4 26.1c1.1.5 1.8 1.7 1.8 3.1zM77.7 264.1l36.1-31.2c1.2-1 2.9-1.3 4.3-.6l52.4 23.8c1.1.5 1.9 1.5 2.2 2.7l14.6 57.3c.2 1 .1 2-.3 2.9l-23.2 43.9c-.7 1.3-2.1 2.2-3.6 2.1l-46-.6c-1.2 0-2.4-.6-3.2-1.6-20.5-27.7-32.5-60.6-34.7-95.4 0-1.3.5-2.5 1.4-3.3zm270.4 98.7L325 319c-.5-.9-.6-1.9-.3-2.9l14.6-57.3c.3-1.2 1.1-2.2 2.2-2.7l52.4-23.8c1.4-.6 3.1-.4 4.3.6l36.1 31.2c.9.8 1.5 2 1.4 3.3-2.1 34.8-14.2 67.6-34.7 95.4-.7 1-1.9 1.6-3.2 1.6l-46.1.6c-1.5-.1-2.9-.9-3.6-2.2z"}}]})(props);
};
function IoIosFunnel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48 87.2c0 5.8 2 11.4 5.6 15.7l152.2 179.8c3.6 4.3 5.6 9.9 5.6 15.7v107c0 10 5.9 18.8 14.6 22l55 19.8c9.6 3.5 19.6-4.3 19.6-15.3V298.3c0-5.8 2-11.4 5.6-15.7l152.2-179.8c3.6-4.3 5.6-9.9 5.6-15.7 0-12.8-9.6-23.2-21.4-23.2H69.4C57.6 64 48 74.4 48 87.2z"}}]})(props);
};
function IoIosGift (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M432 136h-84.3c12.4-11 20.3-26.6 20.3-44 0-33.1-28.3-60-63.1-60-20.6 0-37.9 9.7-48.9 27.4C245 41.7 227.7 32 207.1 32 172.3 32 144 58.9 144 92c0 17.4 7.8 33 20.3 44H80c-17.7 0-32 14.3-32 32v20c0 2.2 1.8 4 4 4h408c2.2 0 4-1.8 4-4v-20c0-17.7-14.3-32-32-32zM304.9 60c18.6 0 33.7 14.3 33.7 32s-15.1 32-33.7 32h-33.7c0-48 15.1-64 33.7-64zm-97.8 0c18.6 0 33.7 16 33.7 64h-33.7c-18.6 0-33.7-14.3-33.7-32s15.1-32 33.7-32zM64 226v222c0 17.6 14.4 32 32 32h146V218H72c-4.4 0-8 3.6-8 8zM440 218H270v262h146c17.6 0 32-14.4 32-32V226c0-4.4-3.6-8-8-8z"}}]})(props);
};
function IoIosGitBranch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 96c-38.6 0-70 31.4-70 70 0 33.4 23.7 61.9 55.9 68.5-1.2 19.1-10.3 29.3-27 42.2-20.4 15.7-46.7 20-65.3 23.4-40.7 7.4-62.9 27-72.5 40V170.8c15-2.8 28.7-10.5 39-21.9 11.6-12.9 18-29.5 18-46.9 0-38.6-31.4-70-70-70s-70 31.4-70 70c0 17 6.2 33.3 17.3 46.1 9.9 11.3 23.1 19.1 37.7 22.3v171.3c-14.5 3.2-27.8 11-37.7 22.3C96.2 376.7 90 393 90 410c0 38.6 31.4 70 70 70s70-31.4 70-70c0-23.4-11.6-44.9-30.7-57.9 8.6-9.7 24.5-19.6 51.1-24.4 21.6-3.9 52.6-9.6 77.4-28.8 23.6-18.2 36.7-36.5 38-64.3 32.3-6.5 56.1-35.1 56.1-68.6.1-38.6-31.3-70-69.9-70zm-234 6c0-23.2 18.8-42 42-42s42 18.8 42 42-18.8 42-42 42-42-18.8-42-42zm84 308c0 23.2-18.8 42-42 42s-42-18.8-42-42 18.8-42 42-42 42 18.8 42 42zm150-202c-23.2 0-42-18.8-42-42s18.8-42 42-42 42 18.8 42 42-18.8 42-42 42z"}}]})(props);
};
function IoIosGitCommit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M466 242h-76.7c-3.3-31.9-17.8-61.3-41.3-83.5-25-23.5-57.7-36.5-92-36.5s-67 13-91.9 36.5c-23.5 22.2-38 51.6-41.3 83.5H46c-7.7 0-14 6.3-14 14s6.3 14 14 14h76.7c3.3 31.9 17.8 61.3 41.3 83.5 25 23.5 57.7 36.5 92 36.5s67-13 91.9-36.5c23.5-22.2 38-51.6 41.3-83.5H466c7.7 0 14-6.3 14-14s-6.3-14-14-14zm-135 89c-20 20-46.6 31-75 31-28.3 0-54.9-11-75-31-20-20-31-46.6-31-75s11-54.9 31-75c20-20 46.6-31 75-31 28.3 0 54.9 11 75 31 20 20 31 46.6 31 75s-11 54.9-31 75z"}}]})(props);
};
function IoIosGitCompare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M233.9 328.1c-2.6-2.6-6.1-4.1-9.9-4.1-3.7 0-7.3 1.4-9.9 4.1-2.6 2.6-4.1 6.1-4.1 9.9 0 3.7 1.4 7.3 4.1 9.9l.1.1 41.1 40.1H166c-20.4 0-33.6-7.5-41.6-23.5-8.4-17-9.4-41.5-9.4-58.5V170.8c15-2.8 28.7-10.5 39-21.9 11.6-12.9 18-29.5 18-46.9 0-38.6-31.4-70-70-70s-70 31.4-70 70c0 17 6.2 33.3 17.3 46.1 9.9 11.3 23.1 19.1 37.7 22.3V306c0 14.7 0 42.1 9.4 65.3 11.9 29.3 36 44.7 69.6 44.7h89.7L216 456.2c-5.4 5.4-5.4 14.3 0 19.8l.1.1c2.7 2.5 6.2 3.9 9.8 3.9 3.8 0 7.3-1.4 9.9-4.1l57.6-57.4c4.2-4.2 6.5-9.8 6.5-15.7 0-5.9-2.3-11.3-6.5-15.5l-59.5-59.2zM102 144c-23.2 0-42-18.8-42-42s18.8-42 42-42 42 18.8 42 42-18.8 42-42 42zM425 341.6V206c0-14.7 0-42.1-9.4-65.3-11.9-29.2-36-44.7-69.6-44.7h-89.7L296 55.8c5.4-5.4 5.4-14.3 0-19.8l-.1-.1c-2.7-2.5-6.2-3.9-9.8-3.9-3.8 0-7.3 1.4-9.9 4.1l-57.6 57.4c-4.2 4.2-6.5 9.8-6.5 15.7 0 5.9 2.3 11.3 6.5 15.5l59.6 59.4c2.6 2.6 6.1 4.1 9.9 4.1 3.7 0 7.3-1.4 9.9-4.1 2.6-2.6 4.1-6.1 4.1-9.9 0-3.7-1.4-7.3-4.1-9.9l-.1-.1-41.2-40.2H346c20.4 0 33.6 7.5 41.6 23.5 8.4 17 9.4 41.5 9.4 58.5v135.2c-15 2.8-28.7 10.5-39 21.9-11.6 12.9-18 29.5-18 46.9 0 38.6 31.4 70 70 70s70-31.4 70-70c0-17-6.2-33.3-17.3-46.1-9.9-11.3-23.2-19.1-37.7-22.3zM410 452c-23.2 0-42-18.8-42-42s18.8-42 42-42 42 18.8 42 42-18.8 42-42 42z"}}]})(props);
};
function IoIosGitMerge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M378 218c-33.5 0-62.1 23.8-68.6 56.1-10.3-.5-18.4-2.7-39.2-10.8-30.5-11.9-71.8-33.2-111.5-95.8 27.1-10.1 45.4-36 45.4-65.5 0-38.6-31.4-70-70-70s-70 31.4-70 70c0 17 6.2 33.3 17.3 46.1 9.9 11.3 23.1 19.1 37.7 22.3v171.3c-14.5 3.2-27.8 11-37.7 22.3C70.2 376.7 64 393 64 410c0 38.6 31.4 70 70 70s70-31.4 70-70c0-17.4-6.4-34-18-46.9-10.3-11.4-24-19.1-39-21.9V200.3c40.8 56.8 82 77 113 89.1 25.2 9.8 37.1 12.3 49.5 12.8 6.6 32.2 35.2 55.8 68.5 55.8 38.6 0 70-31.4 70-70s-31.4-70-70-70zM176 410c0 23.2-18.8 42-42 42s-42-18.8-42-42 18.8-42 42-42 42 18.8 42 42zm-42-266c-23.2 0-42-18.8-42-42s18.8-42 42-42 42 18.8 42 42-18.8 42-42 42zm244 186c-23.2 0-42-18.8-42-42s18.8-42 42-42 42 18.8 42 42-18.8 42-42 42z"}}]})(props);
};
function IoIosGitNetwork (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M377.4 32c-38.9 0-70.6 31.7-70.6 70.7 0 17.1 6.2 33.7 17.5 46.6 10 11.5 23.5 19.4 38.2 22.5v43.1L256 270.3l-106.4-55.4v-43.1c32.2-6.9 55.7-35.6 55.7-69.1 0-39-31.7-70.7-70.6-70.7S64 63.7 64 102.7c0 17.1 6.2 33.7 17.5 46.6 10 11.5 23.5 19.4 38.2 22.5v57.4c0 2.7 1.5 5.1 3.9 6.3l117.5 60.8v43.9c-32.2 6.9-55.7 35.6-55.7 69.1 0 39 31.7 70.7 70.6 70.7s70.6-31.7 70.6-70.7c0-17.1-6.2-33.7-17.5-46.6-10-11.5-23.5-19.4-38.2-22.5v-43.9l117.5-60.8c2.4-1.2 3.9-3.6 3.9-6.3v-57.4c32.2-6.9 55.7-35.6 55.7-69.1 0-39-31.7-70.7-70.6-70.7zM93.8 102.7c0-22.5 18.3-40.8 40.8-40.8s40.8 18.3 40.8 40.8c0 22.5-18.3 40.8-40.8 40.8s-40.8-18.3-40.8-40.8zm203 306.6c0 22.5-18.3 40.8-40.8 40.8s-40.8-18.3-40.8-40.8c0-22.5 18.3-40.8 40.8-40.8s40.8 18.3 40.8 40.8zm80.6-265.7c-22.5 0-40.8-18.3-40.8-40.8 0-22.5 18.3-40.8 40.8-40.8 22.5 0 40.8 18.3 40.8 40.8 0 22.4-18.3 40.8-40.8 40.8z"}}]})(props);
};
function IoIosGitPullRequest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M393 341.6V206c0-14.7 0-42.1-9.4-65.3-11.9-29.2-36-44.7-69.6-44.7h-77.7L276 55.8c5.4-5.4 5.4-14.3 0-19.8l-.1-.1c-2.7-2.5-6.2-3.9-9.8-3.9-3.8 0-7.3 1.4-9.9 4.1l-54.8 54.6C192.9 61.5 165.9 40 134 40c-38.6 0-70 31.4-70 70 0 17 6.2 33.3 17.3 46.1 9.9 11.3 23.1 19.1 37.7 22.3v163.3c-14.5 3.2-27.8 11-37.7 22.3C70.2 376.7 64 393 64 410c0 38.6 31.4 70 70 70s70-31.4 70-70c0-17.4-6.4-34-18-46.9-10.3-11.4-24-19.1-39-21.9V178.8c15-2.8 28.7-10.5 39-21.9 7.6-8.4 12.9-18.4 15.7-29.1l56.4 56.2c2.6 2.6 6.1 4.1 9.9 4.1 3.7 0 7.3-1.4 9.9-4.1 2.6-2.6 4.1-6.1 4.1-9.9 0-3.7-1.4-7.3-4.1-9.9l-.1-.1-41.1-40.1H314c20.4 0 33.6 7.5 41.6 23.5 8.4 17 9.4 41.5 9.4 58.5v135.2c-15 2.8-28.7 10.5-39 21.9-11.6 12.9-18 29.5-18 46.9 0 38.6 31.4 70 70 70s70-31.4 70-70c0-17-6.2-33.3-17.3-46.1-9.9-11.3-23.2-19.1-37.7-22.3zM176 410c0 23.2-18.8 42-42 42s-42-18.8-42-42 18.8-42 42-42 42 18.8 42 42zm-42-258c-23.2 0-42-18.8-42-42s18.8-42 42-42 42 18.8 42 42-18.8 42-42 42zm244 300c-23.2 0-42-18.8-42-42s18.8-42 42-42 42 18.8 42 42-18.8 42-42 42z"}}]})(props);
};
function IoIosGlasses (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464.5 240.9h-6.2c-3.3-21.1-13.3-40.5-28.5-55.2-17.3-16.6-39.8-25.8-63.4-25.8-20.5 0-40 6.7-56.2 19.4-13.8 10.8-24.2 25.1-30.5 41.7-7-4.6-15.4-7.3-23.7-7.3-8.3 0-16.7 2.6-23.7 7.3-6.2-16.6-16.6-30.9-30.5-41.7-16.2-12.7-35.7-19.4-56.2-19.4-23.6 0-46.1 9.1-63.4 25.6C67 200.4 57 219.9 53.7 241h-6.2c-8 0-14.5 6.7-14.5 15s6.5 15 14.5 15h6.2c3.3 21.2 13.3 40.6 28.5 55.3 17.3 16.6 39.8 25.8 63.4 25.8 51.3 0 93.1-43 93.1-95.9v-.2c0-5.9 6.9-14.9 17.3-14.9s17.3 9 17.3 14.9v.1c0 52.9 41.8 95.9 93.1 95.9 23.7 0 46.2-9.1 63.4-25.8 15.2-14.7 25.2-34.2 28.5-55.4h6.2c8 0 14.5-6.7 14.5-15 0-8.1-6.5-14.9-14.5-14.9z"}}]})(props);
};
function IoIosGlobe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48h-.7c-55.4.2-107.4 21.9-146.6 61.1C69.6 148.4 48 200.5 48 256s21.6 107.6 60.8 146.9c39.1 39.2 91.2 60.9 146.6 61.1h.7c114.7 0 208-93.3 208-208S370.7 48 256 48zm180.2 194h-77.6c-.9-26.7-4.2-52.2-9.8-76.2 17.1-5.5 33.7-12.5 49.7-21 22 28.2 35 61.6 37.7 97.2zM242 242h-61.8c.8-24.5 3.8-47.7 8.8-69.1 17.4 3.9 35.1 6.3 53 7.1v62zm0 28v61.9c-17.8.8-35.6 3.2-53 7.1-5-21.4-8-44.6-8.8-69H242zm28 0h61.3c-.8 24.4-3.8 47.6-8.8 68.9-17.2-3.9-34.8-6.2-52.5-7V270zm0-28v-62c17.8-.8 35.4-3.2 52.5-7 5 21.4 8 44.5 8.8 69H270zm109.4-117.9c-12.3 6.1-25 11.3-38 15.5-7.1-21.4-16.1-39.9-26.5-54.5 24 8.3 45.9 21.6 64.5 39zM315 146.8c-14.7 3.2-29.8 5.2-45 6V79.4c17 9.2 33.6 33.9 45 67.4zM242 79v73.7c-15.4-.8-30.6-2.8-45.5-6.1 11.6-33.8 28.4-58.5 45.5-67.6zm-45.6 6.4c-10.3 14.5-19.2 32.9-26.3 54.1-12.8-4.2-25.4-9.4-37.5-15.4 18.4-17.3 40.1-30.5 63.8-38.7zm-82.9 59.5c15.8 8.4 32.3 15.4 49.2 20.8-5.7 23.9-9 49.5-9.8 76.2h-77c2.6-35.4 15.6-68.8 37.6-97zM75.8 270h77c.9 26.7 4.2 52.3 9.8 76.2-16.9 5.5-33.4 12.5-49.2 20.8-21.9-28.1-34.9-61.5-37.6-97zm56.7 117.9c12.1-6 24.7-11.2 37.6-15.4 7.1 21.3 16 39.6 26.3 54.2-23.7-8.4-45.4-21.5-63.9-38.8zm64-22.6c14.9-3.3 30.2-5.3 45.5-6.1V433c-17.2-9.1-33.9-33.9-45.5-67.7zm73.5 67.3v-73.5c15.2.8 30.3 2.8 45 6-11.4 33.6-28 58.3-45 67.5zm45-5.7c10.4-14.6 19.4-33.1 26.5-54.5 13 4.2 25.8 9.5 38 15.6-18.6 17.3-40.6 30.6-64.5 38.9zm83.5-59.8c-16-8.5-32.6-15.5-49.7-21 5.6-23.9 8.9-49.4 9.8-76.1h77.6c-2.7 35.5-15.6 68.9-37.7 97.1z"}}]})(props);
};
function IoIosGrid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M206 308h100c1.1 0 2-.9 2-2V206c0-1.1-.9-2-2-2H206c-1.1 0-2 .9-2 2v100c0 1.1.9 2 2 2z"}},{"tag":"path","attr":{"d":"M64 96v320c0 17.7 14.3 32 32 32h320c17.7 0 32-14.3 32-32V96c0-17.7-14.3-32-32-32H96c-17.7 0-32 14.3-32 32zm330 108h-56c-1.1 0-2 .9-2 2v100c0 1.1.9 2 2 2h56c7.7 0 14 6.3 14 14s-6.3 14-14 14h-56c-1.1 0-2 .9-2 2v56c0 7.7-6.3 14-14 14s-14-6.3-14-14v-56c0-1.1-.9-2-2-2H206c-1.1 0-2 .9-2 2v56c0 7.7-6.3 14-14 14s-14-6.3-14-14v-56c0-1.1-.9-2-2-2h-56c-7.7 0-14-6.3-14-14s6.3-14 14-14h56c1.1 0 2-.9 2-2V206c0-1.1-.9-2-2-2h-56c-7.7 0-14-6.3-14-14s6.3-14 14-14h56c1.1 0 2-.9 2-2v-56c0-7.7 6.3-14 14-14s14 6.3 14 14v56c0 1.1.9 2 2 2h100c1.1 0 2-.9 2-2v-56c0-7.7 6.3-14 14-14s14 6.3 14 14v56c0 1.1.9 2 2 2h56c7.7 0 14 6.3 14 14s-6.3 14-14 14z"}}]})(props);
};
function IoIosHammer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M277.6 246.9c-1.1-2-2.5-3.9-4.1-5.5l-18.4-18.2c-1.9-1.9-4.1-3.5-6.6-4.6-8.2-3.6-17.4-1.7-23.4 4.3-6.4 6.3-18.1 17.8-39.2 38.7-40.4 40-98.1 89.6-132 118.2-7.2 6.1-7.7 17-1.1 23.7L92 443.2c6.7 6.7 17.6 6.3 23.8-.9 29.4-34.6 79.5-92.3 119.4-131.8 20.5-20.2 32-31.8 38.5-38.2 6.5-6.6 8.3-16.7 3.9-25.4zM462.4 218.1l-34.5-34.2c-1.1-1.1-2.5-1.6-4-1.6-1.4 0-2.9.5-4 1.6-2.5 2.5-6.1 3.8-9.6 3.3-4.5-.5-9.3-1.9-12.4-4.9-7-6.9 1.1-20.5-5.1-29.2-6.2-8.7-16.1-19.8-23.2-26.9-7.1-7-35-33.7-82-52.9-16.6-6.8-32.8-9.3-47.3-9.3-26.5 0-47.4 8.5-54.8 15.3-5.5 5.1-11.2 14.1-3.1 14.1.7 0 1.5-.1 2.4-.2 4.5-.7 13.3-1.5 23.4-1.5 15.7 0 34.5 2.1 44.6 10.1 16.3 13.1 29.8 30.6 30.9 53.2.8 16.8-3.4 28.2-18.7 45.5-2.8 3.2-2.6 8 .4 10.9l19.2 19.2c3.1 3.1 8.1 3.1 11.2.1 14-13.6 22.1-20.2 31.3-22.7 4-1.1 8.4-1.6 12.8-1.6 9.7 0 19.2 2.2 23.6 4.6 1.1.6 2.1 1.4 3.1 2.4 6.5 6.6 6.1 17.4-.5 23.9l-2 1.9c-2.2 2.2-2.2 5.7 0 7.9l34.5 34.2c1.1 1.1 2.5 1.6 4 1.6 1.4 0 2.9-.5 4-1.6l55.8-55.2c2.1-2.3 2.1-5.8 0-8z"}}]})(props);
};
function IoIosHand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M394.9 117.3c-11.6 0-21.1 9.3-21.1 20.6v109.4c0 4.8-4 8.7-8.9 8.7s-8.9-3.9-8.9-8.7V85.9c0-11.3-9.5-20.6-21.1-20.6-11.6 0-21.1 9.3-21.1 20.6v126.8c0 4.8-4 8.7-8.9 8.7s-8.9-3.9-8.9-8.7V68.6c0-11.3-9.5-20.6-21.1-20.6-11.6 0-21.1 9.3-21.1 20.6V230c0 4.8-4 8.7-8.9 8.7s-8.9-3.9-8.9-8.7V103.2c0-11.3-9.5-20.6-21.1-20.6-11.6 0-21.1 9.3-21.1 20.6v218.3L166 297.9c-26.1-22.7-48.2-32.4-66.2-15.7-12.1 11.8 6.9 30.9 26.8 53.2 19.2 21.5 70 91.9 113.3 117.3 0 0 16.7 11.4 40.6 11.4h57.2c46.1 0 78.4-37.9 78.4-93.2v-233c-.1-11.3-9.6-20.6-21.2-20.6z"}}]})(props);
};
function IoIosHappy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm72 152c13.3 0 24 10.7 24 24s-10.7 24-24 24-24-10.7-24-24 10.7-24 24-24zm-144 0c13.3 0 24 10.7 24 24s-10.7 24-24 24-24-10.7-24-24 10.7-24 24-24zm72 169c-44.7 0-82.3-29.9-94.2-70.7-1.5-5.1 2.3-10.3 7.7-10.3h172.9c5.3 0 9.2 5.1 7.7 10.3-11.8 40.8-49.4 70.7-94.1 70.7z"}}]})(props);
};
function IoIosHeadset (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 123.8c-24.3 0-46.9 10.1-63.9 28.4-17 18.3-26.1 33.2-26.1 59.6 0 7.7 5.9 14 13.2 14 7.3 0 13.2-6.3 13.2-14 0-17.3 6.6-32.4 19-43.5 11.8-10.6 27.7-16.5 44.7-16.5s32.9 5.8 44.7 16.5c12.4 11.2 19 26.2 19 43.5 0 7.7 5.9 14 13.2 14 7.3 0 13.2-6.3 13.2-14 0-26.4-9.2-41.3-26.1-59.6-17.2-18.4-39.8-28.4-64.1-28.4z"}},{"tag":"path","attr":{"d":"M457.1 278.9C442.3 264.1 422.8 256 402 256h-8c-2.2 0-4-1.8-4-4v-37.8c0-35.7-14-69.3-39.4-94.7C325.3 94 291.7 80 256 80c-35.7 0-69.3 14-94.6 39.4-25.4 25.4-39.4 59-39.4 94.7V252c0 2.2-1.8 4-4 4h-8c-20.8 0-40.3 8.1-55.1 22.9C40.1 293.7 32 313.2 32 334v11.8c0 20.8 8.1 40.4 22.9 55.2 14.8 14.8 34.4 23 55.1 23h5.6c4 0 8 1.4 10.9 4.1 2.5 2.3 5.9 3.8 9.5 3.8 7.7 0 14-6.3 14-14.1V214.1c0-28.2 11.1-54.8 31.2-74.9 20.1-20.1 46.7-31.2 74.8-31.2 28.2 0 54.8 11.1 74.8 31.2 20.1 20.1 31.2 46.7 31.2 74.9v203.8c0 7.8 6.3 14.1 14 14.1 3.6 0 7-1.5 9.5-3.8 2.9-2.7 6.9-4.1 10.9-4.1h5.6c20.7 0 40.3-8.2 55.1-23 14.8-14.8 22.9-34.4 22.9-55.2V334c0-20.8-8.1-40.3-22.9-55.1z"}}]})(props);
};
function IoIosHeartDislike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M423.8 426.8L56.3 65.1c-5.6-5.5-14.6-5.5-20.1.1-5.5 5.5-5.5 14.5 0 20l367.5 361.7c3.7 3.7 9 4.9 13.7 3.6 2.4-.6 4.6-1.9 6.4-3.7 5.6-5.5 5.6-14.5 0-20zM64 169c0 37 15.2 89.5 46.8 132.7C171 384 272 456 272 456s29.3-20.3 65.7-51.6L68 139c-2.6 9.6-4 19.6-4 30zM434.2 301.7C465.8 258.5 480 206 480 169c0-62.1-50.1-112.4-112-113h-1c-39.7 0-74.8 21-95 52-20.2-31-55.3-52-95-52h-1c-29.2.3-55.8 11.6-75.7 30l281.9 277.4c19.3-19.1 36.2-40 52-61.7z"}}]})(props);
};
function IoIosHeartEmpty (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 56h-1c-39.7 0-74.8 21-95 52-20.2-31-55.3-52-95-52h-1c-61.9.6-112 50.9-112 113 0 37 16.2 89.5 47.8 132.7C156 384 256 456 256 456s100-72 160.2-154.3C447.8 258.5 464 206 464 169c0-62.1-50.1-112.4-112-113zm41.6 229.2C351 343.5 286.1 397.3 256 420.8c-30.1-23.5-95-77.4-137.6-135.7C89.1 245.1 76 198 76 169c0-22.6 8.8-43.8 24.6-59.8 15.9-16 37-24.9 59.6-25.1H161.1c14.3 0 28.5 3.7 41.1 10.8 12.2 6.9 22.8 16.7 30.4 28.5 5.2 7.9 14 12.7 23.5 12.7s18.3-4.8 23.5-12.7c7.7-11.8 18.2-21.6 30.4-28.5 12.6-7.1 26.8-10.8 41.1-10.8h.9c22.5.2 43.7 9.1 59.6 25.1 15.9 16 24.6 37.3 24.6 59.8-.2 29-13.3 76.1-42.6 116.2z"}}]})(props);
};
function IoIosHeartHalf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 56h-1c-39.7 0-74.8 21-95 52-20.2-31-55.3-52-95-52h-1c-61.9.6-112 50.9-112 113 0 37 16.2 89.5 47.8 132.7C156 384 256 456 256 456s100-72 160.2-154.3C447.8 258.5 464 206 464 169c0-62.1-50.1-112.4-112-113zm41.6 229.2C356.4 336 302.2 383.6 269 410.5c-5.2 4.2-13 .5-13-6.2V198.6c0-26.8 8.5-52.7 23.3-75 .1-.1.1-.2.2-.2 7.7-11.8 18.2-21.6 30.4-28.5 12.6-7.1 26.8-10.8 41.1-10.8h.9c22.5.2 43.7 9.1 59.6 25.1 15.9 16 24.6 37.3 24.6 59.8-.1 29-13.2 76.1-42.5 116.2z"}}]})(props);
};
function IoIosHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 56h-1c-39.7 0-74.8 21-95 52-20.2-31-55.3-52-95-52h-1c-61.9.6-112 50.9-112 113 0 37 16.2 89.5 47.8 132.7C156 384 256 456 256 456s100-72 160.2-154.3C447.8 258.5 464 206 464 169c0-62.1-50.1-112.4-112-113z"}}]})(props);
};
function IoIosHelpBuoy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm54.6 36.4c27.1 8.6 52 23.6 72.7 44.3 20.7 20.7 35.7 45.6 44.3 72.7l-88.8 6c-8.2-14-19.9-25.7-33.9-34l5.7-89zm-181.9 44.3c20.7-20.7 45.5-35.7 72.7-44.3l5.7 89c-13.9 8.3-25.6 20-33.9 33.9l-88.9-5.9c8.7-27.1 23.7-52 44.4-72.7zm72.7 298.9c-27.1-8.6-52-23.6-72.7-44.3-20.7-20.7-35.7-45.6-44.3-72.7l89-5.7c8.2 13.9 19.9 25.5 33.8 33.8l-5.8 88.9zM256 324c-37.5 0-68-30.5-68-68s30.5-68 68-68 68 30.5 68 68-30.5 68-68 68zm127.3 59.3c-20.7 20.7-45.6 35.7-72.7 44.3l-5.9-88.9c14.1-8.3 25.8-20.1 34.1-34.2l88.8 6c-8.6 27.2-23.6 52.1-44.3 72.8z"}}]})(props);
};
function IoIosHelpCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 76c48.1 0 93.3 18.7 127.3 52.7S436 207.9 436 256s-18.7 93.3-52.7 127.3S304.1 436 256 436c-48.1 0-93.3-18.7-127.3-52.7S76 304.1 76 256s18.7-93.3 52.7-127.3S207.9 76 256 76m0-28C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48z"}},{"tag":"path","attr":{"d":"M256.7 160c37.5 0 63.3 20.8 63.3 50.7 0 19.8-9.6 33.5-28.1 44.4-17.4 10.1-23.3 17.5-23.3 30.3v7.9h-34.7l-.3-8.6c-1.7-20.6 5.5-33.4 23.6-44 16.9-10.1 24-16.5 24-28.9s-12-21.5-26.9-21.5c-15.1 0-26 9.8-26.8 24.6H192c.7-32.2 24.5-54.9 64.7-54.9zm-26.3 171.4c0-11.5 9.6-20.6 21.4-20.6 11.9 0 21.5 9 21.5 20.6s-9.6 20.6-21.5 20.6-21.4-9-21.4-20.6z"}}]})(props);
};
function IoIosHelpCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm-4.3 304c-11.8 0-21.4-9-21.4-20.6 0-11.5 9.6-20.6 21.4-20.6 11.9 0 21.5 9 21.5 20.6 0 11.6-9.5 20.6-21.5 20.6zm40.2-96.9c-17.4 10.1-23.3 17.5-23.3 30.3v7.9h-34.7l-.3-8.6c-1.7-20.6 5.5-33.4 23.6-44 16.9-10.1 24-16.5 24-28.9s-12-21.5-26.9-21.5c-15.1 0-26 9.8-26.8 24.6H192c.7-32.2 24.5-55 64.7-55 37.5 0 63.3 20.8 63.3 50.7 0 19.9-9.6 33.6-28.1 44.5z"}}]})(props);
};
function IoIosHelp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.7 160c37.5 0 63.3 20.8 63.3 50.7 0 19.8-9.6 33.5-28.1 44.4-17.4 10.1-23.3 17.5-23.3 30.3v7.9h-34.7l-.3-8.6c-1.7-20.6 5.5-33.4 23.6-44 16.9-10.1 24-16.5 24-28.9s-12-21.5-26.9-21.5c-15.1 0-26 9.8-26.8 24.6H192c.7-32.2 24.5-54.9 64.7-54.9zm-26.3 171.4c0-11.5 9.6-20.6 21.4-20.6 11.9 0 21.5 9 21.5 20.6s-9.6 20.6-21.5 20.6-21.4-9-21.4-20.6z"}}]})(props);
};
function IoIosHome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M258.5 104.1c-1.5-1.2-3.5-1.2-5 0l-156 124.8c-.9.8-1.5 1.9-1.5 3.1v230c0 1.1.9 2 2 2h108c1.1 0 2-.9 2-2V322c0-1.1.9-2 2-2h92c1.1 0 2 .9 2 2v140c0 1.1.9 2 2 2h108c1.1 0 2-.9 2-2V232c0-1.2-.6-2.4-1.5-3.1l-156-124.8z"}},{"tag":"path","attr":{"d":"M458.7 204.2l-189-151.4C265.9 49.7 261 48 256 48s-9.9 1.7-13.7 4.8L160 119.7V77.5c0-1.1-.9-2-2-2H98c-1.1 0-2 .9-2 2v92.2l-42.7 35.1c-3.1 2.5-5.1 6.2-5.3 10.2-.2 4 1.3 7.9 4.1 10.7 2.6 2.6 6.1 4.1 9.9 4.1 3.2 0 6.3-1.1 8.8-3.1l183.9-148c.5-.4.9-.4 1.3-.4s.8.1 1.3.4l183.9 147.4c2.5 2 5.6 3.1 8.8 3.1 3.7 0 7.2-1.4 9.9-4.1 2.9-2.8 4.4-6.7 4.2-10.7-.3-4-2.2-7.7-5.4-10.2z"}}]})(props);
};
function IoIosHourglass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M415.6 434h-5.1c-6.5 0-12-.9-12.7-7.4v-.1C383.2 290.6 297.6 288 297.6 256s85.7-34.6 100.2-170.5v-.1c.7-6.5 6.2-7.4 12.7-7.4h5.1c7.5 0 14-5.8 14.4-13.3.4-8-6-14.7-14-14.7H96.4c-7.5 0-14 5.8-14.4 13.3-.4 8 6 14.7 14 14.7h5.5c6.5 0 12 .9 12.7 7.4v.1C128.8 221.4 214.4 224 214.4 256s-85.7 34.6-100.2 170.5v.1c-.7 6.5-6.2 7.4-12.7 7.4h-5.1c-7.5 0-14 5.8-14.4 13.3-.4 8 6 14.7 14 14.7h320c8 0 14.4-6.6 14-14.7-.4-7.5-6.9-13.3-14.4-13.3zm-252.3-34.2c28.7-79.8 79.6-70.1 79.6-101.6v-55.6c0-19.4-36.8-32.9-59.8-64.4-3.8-5.2 0-12.4 6.5-12.4h132.9c6.5 0 10.4 7 6.7 12.2-22.6 31.6-60.1 45.2-60.1 64.6v55.6c0 31.2 48.9 22.7 79.8 101.6 2.8 7.1.7 16-6.9 16H170.2c-7.7 0-9.5-8.8-6.9-16z"}}]})(props);
};
function IoIosIceCream (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M220.8 406.1l4.8 14.8c.4 1.2 1.9 1.8 3 1.1l6.8-4.2c2.5-1.6 2.5-5.2 0-6.8l-11.5-7.2c-1.7-1-3.6.5-3.1 2.3zM286.6 421l4.9-15.2c.6-1.8-1.4-3.3-3-2.3l-11.9 7.4a4.02 4.02 0 0 0 0 6.8l7 4.4c1.2.7 2.6.1 3-1.1zM188.6 242.2c-3.9 3.5-9.6 6.4-15.7 8.5-1 .4-1.6 1.5-1.2 2.5l9.3 28.9 3.8 11.8c.4 1.2 1.9 1.8 3 1.1l7-4.3 36.6-22.5c3-1.9 2.3-6.5-1.2-7.3-14.3-3.3-26.5-9.8-36.2-18.5-1.6-1.4-3.9-1.5-5.4-.2zM192.6 310.8l-2 1.2 14.6 45.3c.4 1.2 1.9 1.8 3 1.1l27.2-16.9c2.5-1.6 2.5-5.2 0-6.8l-38.5-23.9c-1.4-.8-3-.8-4.3 0zM258.1 348.9c-1.3-.8-2.9-.8-4.2 0L212 374.5l-.1.1c-1 .8-1 2.4 0 3.2l.7.5 41.3 25.3c1.3.8 2.9.8 4.2 0l41.7-25.5.4-.3c1-.8 1-2.2 0-3l-42.1-25.9zM296.7 296.6l-38.5-23.9c-1.3-.8-2.9-.8-4.2 0l-38.5 23.9a4.02 4.02 0 0 0 0 6.8l38.5 23.9c1.3.8 2.9.8 4.2 0l38.5-23.9c2.5-1.5 2.5-5.2 0-6.8zM318.1 242.3c-9.7 8.7-22 15.1-36.2 18.5-3.5.8-4.2 5.4-1.2 7.3l36.6 22.5 7.4 4.6c1.1.7 2.6.2 3-1.1l4-12.4 9.8-30.3c-6.9-2.1-13.6-5.3-18-9.2-1.6-1.3-3.9-1.2-5.4.1zM232.4 442l1.6 5s7.5 19 22 19c15 0 22.2-19 22.2-19l1.6-4.8c.6-1.7-.1-3.7-1.7-4.6l-20-12.4c-1.3-.8-2.9-.8-4.2 0l-19.8 12.3c-1.6.8-2.3 2.7-1.7 4.5zM276.7 341.5l27.5 17.1c1.1.7 2.6.2 3-1.1l14.2-43.8c.3-.9-.1-1.8-.8-2.3l-1-.6c-1.3-.8-2.9-.8-4.2 0l-38.5 23.9c-2.8 1.6-2.8 5.3-.2 6.8z"}},{"tag":"path","attr":{"d":"M376.1 168.2c-6.2 5.4-13.2 8.7-18 10.5-1.8.7-3.5-1.4-2.3-3l4-5.7c6.1-8.7 8.5-19.4 6.8-29.8C357.9 86.8 311.7 46 256 46c-55.7 0-101.9 41.2-110.6 94.7-1.7 10.5.8 21.2 6.9 29.8l4 5.6c1.2 1.6-.5 3.8-2.4 3-5.4-2.1-13.5-6.2-20.1-12.8-1.4-1.4-3.6-1.5-5.2-.4-10.2 7.3-16.8 19.1-16.8 32.5 0 22.1 17.9 40 40 40 11.3 0 28-4.7 36.6-12.3 1.5-1.3 3.8-1.3 5.3.1 15.2 13.4 36.6 20.2 62.1 20.2s47-6.8 62.1-20.2c1.5-1.3 3.8-1.4 5.3-.1 8.5 7.6 25.3 12.3 36.6 12.3 22.1 0 40-18 40-40.1 0-11.9-5.2-22.6-13.5-30-2.7-2.6-7.2-2.7-10.2-.1z"}}]})(props);
};
function IoIosImage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M112.6 312.3h190.7c4.5 0 7.1-5.1 4.5-8.8l-95.4-153.4c-2.2-3.2-6.9-3.2-9.1 0L108 303.5c-2.6 3.7.1 8.8 4.6 8.8zM306.7 254.3l35 55.7c1 1.5 2.7 2.4 4.5 2.4h53.2c4.5 0 7.1-5.1 4.5-8.8l-61.6-87.7c-2.2-3.2-6.9-3.2-9.1 0L306.6 248c-1.2 1.8-1.2 4.3.1 6.3zM351.1 167.9c13.1-1.3 23.7-11.9 25-25 1.8-17.7-13-32.5-30.7-30.7-13.1 1.3-23.7 11.9-25 25-1.7 17.7 13 32.5 30.7 30.7z"}},{"tag":"path","attr":{"d":"M432 48H80c-17.7 0-32 14.3-32 32v352c0 17.7 14.3 32 32 32h352c17.7 0 32-14.3 32-32V80c0-17.7-14.3-32-32-32zm-2.7 280c0 4.4-3.6 8-8 8H90.7c-4.4 0-8-3.6-8-8V90.7c0-4.4 3.6-8 8-8h330.7c4.4 0 8 3.6 8 8V328z"}}]})(props);
};
function IoIosImages (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M262.3 199.2c-1.6-2.8-5.6-3.2-7.7-.7l-91.9 122.2c-2.5 2.9-.6 7.4 3.2 7.7l161.1 14c3.8.3 6.4-3.8 4.5-7.1l-69.2-136.1zM367.2 264.1c-1.6-2.8-5.6-3.2-7.7-.7l-24.8 25.1a4.68 4.68 0 0 0-.5 5.4l25.4 49.5c.8 1.3 2.1 2.2 3.7 2.3l44.9 3.9c3.8.3 6.4-3.8 4.5-7.1l-45.5-78.4zM378.1 224.4c11.2-.1 20.9-8.3 23-19.2 2.8-14.8-8.6-28.3-23.7-28.1-11.2.1-20.9 8.3-23 19.2-2.8 14.8 8.6 28.3 23.7 28.1z"}},{"tag":"path","attr":{"d":"M455.2 129.3l-65.8-5.7-6.1-67c-1.3-14.9-14.5-25.9-29.5-24.5L56.7 58.9c-14.9 1.3-25.9 14.5-24.6 29.4l26.8 296.5c1.3 14.9 14.5 25.9 29.5 24.5l15.7-1.4-1.5 16.7c-1.3 14.9 9.7 28 24.7 29.3l297.3 25.9c14.9 1.3 28.1-9.7 29.4-24.6l26-296.6c1.2-14.8-9.8-28-24.8-29.3zM87.6 300.7c-3.7.3-7-2.4-7.4-6.1l-18-200c-.3-3.7 2.4-7 6.1-7.3l279.2-25.1c3.7-.3 7 2.4 7.4 6.1l4.8 52.8L158 103.4c-14.9-1.3-28.1 9.7-29.4 24.6l-14.9 170.3-26.1 2.4zm362.2-135.6l-17.5 200c-.3 3.7-3.6 6.5-7.3 6.2l-18.6-1.6L145.7 347c-3.7-.3-6.5-3.6-6.2-7.3l3.8-43.9L157 139.7c.3-3.7 3.6-6.5 7.3-6.2l198 17.3 29.7 2.6 51.6 4.5c3.8.2 6.6 3.5 6.2 7.2z"}}]})(props);
};
function IoIosInfinite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M456.8 182.4c-20-19.6-46.8-30.4-75.2-30.4-28.5 0-55.2 10.8-75.2 30.4l-31.2 30c-1.6 1.6-1.6 4.2 0 5.7l19.4 19.1c1.5 1.5 4 1.5 5.6 0l31-30.1c13.5-13.1 31.3-20.3 50.3-20.3 19 0 36.8 7.2 50.3 20.3 13.4 13.1 20.7 30.5 20.7 49 0 18.4-7.4 35.8-20.7 48.7-13.5 13.1-31.3 20.3-50.3 20.3-19 0-36.8-7.2-50.3-20.3L205.6 182.4c-20.2-19.6-46.9-30.4-75.2-30.4-28.5 0-55.2 10.8-75.2 30.4C35.1 202 24 228.1 24 256c0 27.8 11.1 54 31.2 73.6 20 19.6 46.8 30.4 75.2 30.4 28.5 0 55.2-10.8 75.2-30.4l31-30c1.6-1.6 1.6-4.2 0-5.7L217.2 275c-1.5-1.5-4-1.5-5.6 0l-31 29.9c-13.5 13.1-31.3 20.3-50.3 20.3-19 0-36.8-7.2-50.3-20.3-13.4-13.1-20.7-30.5-20.7-49 0-18.4 7.4-35.7 20.7-48.7 13.5-13.1 31.3-20.3 50.3-20.3 19 0 36.8 7.2 50.3 20.3l125.5 122.5c20.2 19.6 46.9 30.4 75.2 30.4 28.5 0 55.2-10.8 75.2-30.4 20.2-19.6 31.3-45.7 31.3-73.6.2-27.9-10.9-54.1-31-73.7z"}}]})(props);
};
function IoIosInformationCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M235.4 172.2c0-11.4 9.3-19.9 20.5-19.9 11.4 0 20.7 8.5 20.7 19.9s-9.3 20-20.7 20c-11.2 0-20.5-8.6-20.5-20zm1.4 35.7H275V352h-38.2V207.9z"}},{"tag":"path","attr":{"d":"M256 76c48.1 0 93.3 18.7 127.3 52.7S436 207.9 436 256s-18.7 93.3-52.7 127.3S304.1 436 256 436c-48.1 0-93.3-18.7-127.3-52.7S76 304.1 76 256s18.7-93.3 52.7-127.3S207.9 76 256 76m0-28C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48z"}}]})(props);
};
function IoIosInformationCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm19 304h-38.2V207.9H275V352zm-19.1-159.8c-11.3 0-20.5-8.6-20.5-20s9.3-19.9 20.5-19.9c11.4 0 20.7 8.5 20.7 19.9s-9.3 20-20.7 20z"}}]})(props);
};
function IoIosInformation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M235.4 176c0-11.4 9.3-19.9 20.5-19.9 11.4 0 20.7 8.5 20.7 19.9s-9.3 20-20.7 20c-11.2.1-20.5-8.6-20.5-20zm1.4 35.8H275v144.1h-38.2V211.8z"}}]})(props);
};
function IoIosJet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 48s-19.8 1.4-53.1 27.2c-15.5 12-162.2 120.6-162.2 120.6L89 187.9l-41 36.5 102 51.2-8 10.1-81.6 4.1-6.7 33.6 60.6 47.2-26.7 53.6 53.7-26.5 47.3 60.6 33.6-6.7 4.1-81.6 10.1-7.9L287.6 464l36.5-40.9-7.9-159.7s108.6-146.7 120.6-162C462.7 67.8 464 48 464 48z"}}]})(props);
};
function IoIosJournal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M92.1 32C76.6 32 64 44.6 64 60.1V452c0 15.5 12.6 28.1 28.1 28.1H432c8.8 0 16-7.2 16-16s-7.2-16-16-16H112.5c-8.2 0-15.4-6-16.4-14.1-1.1-9.7 6.5-18 15.9-18h208V32H92.1z"}},{"tag":"path","attr":{"d":"M432 416c8.8 0 16-7.2 16-16V60.1c0-15.5-12.6-28.1-28.1-28.1H368v384h64z"}}]})(props);
};
function IoIosKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M344.8 218.1c-13 0-25.6 0-37.4 4.1-50.6-43.1-184.3-156.9-194.5-167.5-4.7-4.9-9.9-6.7-15-6.7-8.5 0-16.7 5.2-21.3 9.6-6.9 6.6-33 34.8-28 40 15 15.4 19 18.5 25.2 24.8 9.3 9.5 28.3-1 36 2.3 7.6 3.3 9.2 6.8 10.4 12.5s-2.9 15.8-3 23.7c-.1 8.3 3.4 12.8 9.2 19 4.6 5 8.9 8.6 15.6 8.7 9 .2 20.9-12.8 30.4-3.1s-6.2 23.7-5 34 15.5 22.8 21.6 24.1c6.1 1.3 21.8-11.7 30.7-9.7 3 .7 10 6.8 11 11.4s-6.9 25-5.9 29.6c1.2 5.6 7.1 12.1 10.4 17.4-6.7 15.5-9.4 29.6-9.4 47.7 0 68.5 53.4 124 119.2 124s119-55.5 119-124-53.4-121.9-119.2-121.9zM368 400c-17.7 0-32-14.3-32-32s14.3-32 32-32 32 14.3 32 32-14.3 32-32 32z"}}]})(props);
};
function IoIosKeypad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M394.6 341.2c-29.5 0-53.4 23.9-53.4 53.4s23.9 53.4 53.4 53.4 53.4-23.9 53.4-53.4-23.9-53.4-53.4-53.4zM256 341.2c-29.5 0-53.4 23.9-53.4 53.4S226.5 448 256 448s53.4-23.9 53.4-53.4-23.9-53.4-53.4-53.4zM117.4 341.2c-29.5 0-53.4 23.9-53.4 53.4S87.9 448 117.4 448s53.4-23.9 53.4-53.4-23.9-53.4-53.4-53.4zM394.6 202.6c-29.5 0-53.4 23.9-53.4 53.4s23.9 53.4 53.4 53.4S448 285.5 448 256s-23.9-53.4-53.4-53.4zM256 202.6c-29.5 0-53.4 23.9-53.4 53.4s23.9 53.4 53.4 53.4 53.4-23.9 53.4-53.4-23.9-53.4-53.4-53.4zM117.4 202.6C87.9 202.6 64 226.5 64 256s23.9 53.4 53.4 53.4 53.4-23.9 53.4-53.4-23.9-53.4-53.4-53.4zM394.6 64c-29.5 0-53.4 23.9-53.4 53.4s23.9 53.4 53.4 53.4 53.4-23.9 53.4-53.4S424.1 64 394.6 64zM256 64c-29.5 0-53.4 23.9-53.4 53.4s23.9 53.4 53.4 53.4 53.4-23.9 53.4-53.4S285.5 64 256 64zM117.4 64C87.9 64 64 87.9 64 117.4s23.9 53.4 53.4 53.4 53.4-23.9 53.4-53.4S146.9 64 117.4 64z"}}]})(props);
};
function IoIosLaptop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 367.5V129.1c0-9.4-7.9-17.1-17.2-17.1H81.2c-9.3 0-17.2 7.6-17.2 17.1v238.4H15.9c0 9.9 9.9 18.8 18.9 22.7C45.7 394.8 64 400 84 400h344c20 0 38.2-4.5 48.3-8.8 9.5-4 19.8-13.4 19.8-23.7H448zM256 120c2.2 0 4 1.8 4 4s-1.8 4-4 4-4-1.8-4-4 1.8-4 4-4zM82 136.2h348c1.1 0 2 .9 2 2v211.3c0 1.1-.9 2-2 2H82c-1.1 0-2-.9-2-2V138.2c0-1.2.9-2 2-2zm216.3 239.3h-84.6c-5.2 0-9.7-6-9.7-7.5h104c0 1.5-3 7.5-9.7 7.5z"}}]})(props);
};
function IoIosLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M453.9 378.7c-51.8-8-55.7-11.7-55.7-11.7 15.6-74-22.4-151.1-76.3-195.6C250.1 112.2 141 155.2 56 65.2c-19.8-21-8.3 235.5 98.1 332.7 77.8 71 169.4 49.2 194.5 37.6 22.8-10.6 38.7-33.9 38.7-33.9 41.5 13 62 14.2 62 14.2 14.6 1.8 22-34.4 4.6-37.1zm-91.8 7.4c-77.7-23.3-145.3-81-189.1-126.2-3.6-3.7 1.6-9.2 5.5-6 43.1 35.5 108.9 80 193.3 107.9.2 8.1-4.5 19.7-9.7 24.3z"}}]})(props);
};
function IoIosLink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M280 341.1l-1.2.1c-3.6.4-7 2-9.6 4.5l-64.6 64.6c-13.7 13.7-32 21.2-51.5 21.2s-37.8-7.5-51.5-21.2c-13.7-13.7-21.2-32-21.2-51.5s7.5-37.8 21.2-51.5l68.6-68.6c3.5-3.5 7.3-6.6 11.4-9.3 4.6-3 9.6-5.6 14.8-7.5 4.8-1.8 9.9-3 15-3.7 3.4-.5 6.9-.7 10.2-.7 1.4 0 2.8.1 4.6.2 17.7 1.1 34.4 8.6 46.8 21 7.7 7.7 13.6 17.1 17.1 27.3 2.8 8 11.2 12.5 19.3 10.1.1 0 .2-.1.3-.1.1 0 .2 0 .2-.1 8.1-2.5 12.8-11 10.5-19.1-4.4-15.6-12.2-28.7-24.6-41-15.6-15.6-35.9-25.8-57.6-29.3-1.9-.3-3.8-.6-5.7-.8-3.7-.4-7.4-.6-11.1-.6-2.6 0-5.2.1-7.7.3-5.4.4-10.8 1.2-16.2 2.5-1.1.2-2.1.5-3.2.8-6.7 1.8-13.3 4.2-19.5 7.3-10.3 5.1-19.6 11.7-27.7 19.9l-68.6 68.6C58.9 304.4 48 330.8 48 359c0 28.2 10.9 54.6 30.7 74.4C98.5 453.1 124.9 464 153 464c28.2 0 54.6-10.9 74.4-30.7l65.3-65.3c10.4-10.5 2-28.3-12.7-26.9z"}},{"tag":"path","attr":{"d":"M433.3 78.7C413.5 58.9 387.1 48 359 48s-54.6 10.9-74.4 30.7l-63.7 63.7c-9.7 9.7-3.6 26.3 10.1 27.4 4.7.4 9.3-1.3 12.7-4.6l63.8-63.6c13.7-13.7 32-21.2 51.5-21.2s37.8 7.5 51.5 21.2c13.7 13.7 21.2 32 21.2 51.5s-7.5 37.8-21.2 51.5l-68.6 68.6c-3.5 3.5-7.3 6.6-11.4 9.3-4.6 3-9.6 5.6-14.8 7.5-4.8 1.8-9.9 3-15 3.7-3.4.5-6.9.7-10.2.7-1.4 0-2.9-.1-4.6-.2-17.7-1.1-34.4-8.6-46.8-21-7.3-7.3-12.8-16-16.4-25.5-2.9-7.7-11.1-11.9-19.1-9.8-8.9 2.3-14.1 11.7-11.3 20.5 4.5 14 12.1 25.9 23.7 37.5l.2.2c16.9 16.9 39.4 27.6 63.3 30.1 3.7.4 7.4.6 11.1.6 2.6 0 5.2-.1 7.8-.3 6.5-.5 13-1.6 19.3-3.2 6.7-1.8 13.3-4.2 19.5-7.3 10.3-5.1 19.6-11.7 27.7-19.9l68.6-68.6c19.8-19.8 30.7-46.2 30.7-74.4s-11.1-54.6-30.9-74.4z"}}]})(props);
};
function IoIosListBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48 82.7v346.7c0 19.1 15.5 34.7 34.7 34.7h346.7c19.1 0 34.7-15.5 34.7-34.7V82.7c0-19.1-15.5-34.7-34.7-34.7H82.7C63.5 48 48 63.5 48 82.7zm89.3 297.1c-13.1 1.7-24.1-9.3-22.4-22.4 1.1-8.9 8.3-16.1 17.2-17.2 13.1-1.7 24.1 9.3 22.4 22.4-1.1 8.9-8.3 16.1-17.2 17.2zm0-104c-13.1 1.7-24.1-9.3-22.4-22.4 1.1-8.9 8.3-16.1 17.2-17.2 13.1-1.7 24.1 9.3 22.4 22.4-1.1 8.9-8.3 16.1-17.2 17.2zm0-104c-13.1 1.7-24.1-9.3-22.4-22.4 1.1-8.9 8.3-16.1 17.2-17.2 13.1-1.7 24.1 9.3 22.4 22.4-1.1 8.9-8.3 16.1-17.2 17.2zM384.7 374h-180c-7.7 0-14-6.3-14-14s6.3-14 14-14h180c7.7 0 14 6.3 14 14s-6.3 14-14 14zm0-104h-180c-7.7 0-14-6.3-14-14s6.3-14 14-14h180c7.7 0 14 6.3 14 14s-6.3 14-14 14zm0-104h-180c-7.7 0-14-6.3-14-14s6.3-14 14-14h180c7.7 0 14 6.3 14 14s-6.3 14-14 14z"}}]})(props);
};
function IoIosList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"circle","attr":{"cx":"92","cy":"256","r":"28"}},{"tag":"circle","attr":{"cx":"92","cy":"132","r":"28"}},{"tag":"circle","attr":{"cx":"92","cy":"380","r":"28"}},{"tag":"path","attr":{"d":"M432 240H191.5c-8.8 0-16 7.2-16 16s7.2 16 16 16H432c8.8 0 16-7.2 16-16s-7.2-16-16-16zM432 364H191.5c-8.8 0-16 7.2-16 16s7.2 16 16 16H432c8.8 0 16-7.2 16-16s-7.2-16-16-16zM191.5 148H432c8.8 0 16-7.2 16-16s-7.2-16-16-16H191.5c-8.8 0-16 7.2-16 16s7.2 16 16 16z"}}]})(props);
};
function IoIosLocate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M395.3 259c-.3-1.2-.4-2.4-.3-3.6 0-.8.2-1.6.3-2.4-.4.9-.6 2-.6 3 .1 1.1.3 2.1.6 3z"}},{"tag":"path","attr":{"d":"M459.4 270H409c-6.7 0-12.3-4.7-13.7-11-.3-.9-.5-1.9-.5-3s.2-2.1.6-3c1.4-6.4 7.3-11 14.1-11h49.9c2.4 0 4.2-2 4-4.4-8.8-100.3-88.7-180.2-189-189-2.3-.2-4.4 1.6-4.4 4V103c0 7.9-6.6 14.3-14.6 14-7.6-.3-13.4-6.9-13.4-14.4v-50c0-2.4-2-4.2-4.4-4-100.3 8.8-180.2 88.7-189 189-.2 2.3 1.6 4.4 4 4.4H103c7.9 0 14.3 6.6 14 14.6-.3 7.6-6.9 13.4-14.4 13.4h-50c-2.4 0-4.2 2-4 4.4 8.8 100.3 88.7 180.2 189 189 2.3.2 4.4-1.6 4.4-4V409c0-7.9 6.6-14.3 14.6-14 7.6.3 13.4 6.9 13.4 14.4v49.9c0 2.4 2 4.2 4.4 4 100.3-8.8 180.2-88.7 189-189 .2-2.3-1.7-4.3-4-4.3zM256 326c-38.7 0-70-31.3-70-70s31.3-70 70-70 70 31.3 70 70-31.3 70-70 70z"}}]})(props);
};
function IoIosLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M376 192h-24v-46.7c0-52.7-42-96.5-94.7-97.3-53.4-.7-97.3 42.8-97.3 96v48h-24c-22 0-40 18-40 40v192c0 22 18 40 40 40h240c22 0 40-18 40-40V232c0-22-18-40-40-40zM270 316.8v68.8c0 7.5-5.8 14-13.3 14.4-8 .4-14.7-6-14.7-14v-69.2c-11.5-5.6-19.1-17.8-17.9-31.7 1.4-15.5 14.1-27.9 29.6-29 18.7-1.3 34.3 13.5 34.3 31.9 0 12.7-7.3 23.6-18 28.8zM324 192H188v-48c0-18.1 7.1-35.1 20-48s29.9-20 48-20 35.1 7.1 48 20 20 29.9 20 48v48z"}}]})(props);
};
function IoIosLogIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M417 80H137c-25.4 0-46 20.6-46 46 0 7.7 6.3 14 14 14s14-6.3 14-14c0-9.9 8.1-18 18-18h280c9.9 0 18 8.1 18 18v260c0 9.9-8.1 18-18 18H137c-9.9 0-18-8.1-18-18 0-7.7-6.3-14-14-14s-14 6.3-14 14c0 25.4 20.6 46 46 46h280c25.4 0 46-20.6 46-46V126c0-25.4-20.6-46-46-46z"}},{"tag":"path","attr":{"d":"M224 334.2c-5.4 5.4-5.4 14.3 0 19.8l.1.1c2.7 2.5 6.2 3.9 9.8 3.9 3.8 0 7.3-1.4 9.9-4.1l82.6-82.4c4.3-4.3 6.5-9.3 6.5-14.7 0-5.3-2.3-10.3-6.5-14.5l-84.6-84.4c-2.6-2.6-6.1-4.1-9.9-4.1-3.7 0-7.3 1.4-9.9 4.1-5.5 5.5-5.5 14.3 0 19.8l65.2 64.2H63c-7.7 0-14 6.3-14 14s6.3 14 14 14h224.6L224 334.2z"}}]})(props);
};
function IoIosLogOut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M312 372c-7.7 0-14 6.3-14 14 0 9.9-8.1 18-18 18H94c-9.9 0-18-8.1-18-18V126c0-9.9 8.1-18 18-18h186c9.9 0 18 8.1 18 18 0 7.7 6.3 14 14 14s14-6.3 14-14c0-25.4-20.6-46-46-46H94c-25.4 0-46 20.6-46 46v260c0 25.4 20.6 46 46 46h186c25.4 0 46-20.6 46-46 0-7.7-6.3-14-14-14z"}},{"tag":"path","attr":{"d":"M372.9 158.1c-2.6-2.6-6.1-4.1-9.9-4.1-3.7 0-7.3 1.4-9.9 4.1-5.5 5.5-5.5 14.3 0 19.8l65.2 64.2H162c-7.7 0-14 6.3-14 14s6.3 14 14 14h256.6L355 334.2c-5.4 5.4-5.4 14.3 0 19.8l.1.1c2.7 2.5 6.2 3.9 9.8 3.9 3.8 0 7.3-1.4 9.9-4.1l82.6-82.4c4.3-4.3 6.5-9.3 6.5-14.7 0-5.3-2.3-10.3-6.5-14.5l-84.5-84.2z"}}]})(props);
};
function IoIosMagnet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M462.2 261.9L289.6 89.3C263 62.7 227.4 48 189.5 48c-38 0-73.5 14.7-100.2 41.3C62.7 116 48 151.5 48 189.5S62.7 263 89.3 289.6l172.6 172.6c1.1 1.1 2.7 1.8 4.3 1.8 1.6 0 3.1-.6 4.3-1.8l57.5-57.5c2.4-2.4 2.4-6.2 0-8.5L165.2 233.3c-13-13-21.2-27.8-22.9-41.7-1.8-13.6 2.7-25.8 13.1-36.3 9.9-9.9 22.4-14.3 36-12.6 14.3 1.7 29.2 9.7 42 22.5L396.2 328c2.4 2.4 6.2 2.4 8.5 0l57.5-57.5c2.4-2.4 2.4-6.2 0-8.6zM275.8 380.2l20.2 20.2-29.8 29.8-20.3-20.2 29.9-29.8zM400.4 296l-20.2-20.2L410 246l20.2 20.2-29.8 29.8z"}}]})(props);
};
function IoIosMailOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M453.5 209.8c-4-4-158.3-161.4-158.3-161.4C284.8 37.8 270.9 32 256 32c-14.9 0-28.8 5.8-39.2 16.5 0 0-153.6 156.5-158.3 161.4C53.9 214.7 48 224.7 48 236v212c0 17.6 14.4 32 32 32h352c17.6 0 32-14.4 32-32V235c0-11.7-6.6-21.1-10.5-25.2zm-19.4 42.3L353 336.9c-.8.8-.8 2 0 2.8l75.3 80.2c5.1 5.1 5.1 13.3 0 18.4-2.5 2.5-5.9 3.8-9.2 3.8s-6.7-1.3-9.2-3.8l-151-161.2c-1.6-1.7-4.3-1.7-5.8 0L102.2 438.2c-2.5 2.5-5.9 3.8-9.2 3.8s-6.7-1.3-9.2-3.8c-5.1-5.1-5.1-13.3 0-18.4l75.3-80.2c.7-.8.7-2 0-2.8L77.7 252c-9.7-9.9-2.4-35.8 16.1-35.8h324.4c16.5-.1 25.6 26.1 15.9 35.9z"}}]})(props);
};
function IoIosMailUnread (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"circle","attr":{"cx":"416","cy":"152","r":"48"}},{"tag":"path","attr":{"d":"M416 218.5c-5.4 0-10.6-.7-15.6-1.9L353 264.9c-.8.8-.8 2 0 2.8l75.3 80.2c5.1 5.1 5.1 13.3 0 18.4-2.5 2.5-5.9 3.8-9.2 3.8s-6.7-1.3-9.2-3.8l-75-79.9c-.8-.8-2.1-.8-2.9 0L313.7 305c-15.3 15.5-35.6 24.1-57.4 24.2-22.1.1-43.1-9.2-58.6-24.9l-17.6-17.9c-.8-.8-2.1-.8-2.9 0l-75 79.9c-2.5 2.5-5.9 3.8-9.2 3.8s-6.7-1.3-9.2-3.8c-5.1-5.1-5.1-13.3 0-18.4l75.3-80.2c.7-.8.7-2 0-2.8L51.4 155.3c-1.3-1.3-3.4-.4-3.4 1.4V376c0 17.6 14.4 32 32 32h352c17.6 0 32-14.4 32-32V198c-12.1 12.6-29.1 20.5-48 20.5z"}},{"tag":"path","attr":{"d":"M349.5 152c0-11.6 3-22.5 8.2-32H79.9c-7.5 0-14.4 2.6-19.8 7L217 286.7c10.4 10.6 24.3 16.4 39.1 16.4s28.7-5.8 39.1-16.4l80.5-81.9c-16-12.2-26.2-31.3-26.2-52.8z"}}]})(props);
};
function IoIosMail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M460.6 147.3L353 256.9c-.8.8-.8 2 0 2.8l75.3 80.2c5.1 5.1 5.1 13.3 0 18.4-2.5 2.5-5.9 3.8-9.2 3.8s-6.7-1.3-9.2-3.8l-75-79.9c-.8-.8-2.1-.8-2.9 0L313.7 297c-15.3 15.5-35.6 24.1-57.4 24.2-22.1.1-43.1-9.2-58.6-24.9l-17.6-17.9c-.8-.8-2.1-.8-2.9 0l-75 79.9c-2.5 2.5-5.9 3.8-9.2 3.8s-6.7-1.3-9.2-3.8c-5.1-5.1-5.1-13.3 0-18.4l75.3-80.2c.7-.8.7-2 0-2.8L51.4 147.3c-1.3-1.3-3.4-.4-3.4 1.4V368c0 17.6 14.4 32 32 32h352c17.6 0 32-14.4 32-32V148.7c0-1.8-2.2-2.6-3.4-1.4z"}},{"tag":"path","attr":{"d":"M256 295.1c14.8 0 28.7-5.8 39.1-16.4L452 119c-5.5-4.4-12.3-7-19.8-7H79.9c-7.5 0-14.4 2.6-19.8 7L217 278.7c10.3 10.5 24.2 16.4 39 16.4z"}}]})(props);
};
function IoIosMale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M450.4 48H341.5c-7.5 0-13.6 6.1-13.6 13.6s6.1 13.6 13.6 13.6h75.4L326.7 166c-30.6-26-69.3-40.3-109.6-40.3-22.8 0-45 4.5-65.8 13.3-20.1 8.5-38.2 20.7-53.8 36.2C82 190.8 69.8 208.9 61.3 229 52.5 249.9 48 272 48 294.9s4.5 45 13.3 65.8c8.5 20.1 20.7 38.2 36.2 53.8 15.5 15.5 33.6 27.7 53.8 36.2 20.9 8.8 43 13.3 65.8 13.3 22.8 0 45-4.5 65.8-13.3 20.1-8.5 38.2-20.7 53.8-36.2 15.5-15.5 27.7-33.6 36.2-53.8 8.8-20.9 13.3-43 13.3-65.8 0-40.3-14.3-79-40.3-109.6L436.7 95v75.4c0 7.5 6.1 13.6 13.6 13.6s13.6-6.1 13.6-13.6V61.6c.1-7.5-6-13.6-13.5-13.6zM359 294.9c0 37.9-14.8 73.5-41.6 100.3-26.8 26.8-62.4 41.6-100.3 41.6s-73.5-14.8-100.3-41.6C90 368.4 75.2 332.8 75.2 294.9s14.8-73.5 41.6-100.3c26.8-26.8 62.4-41.6 100.3-41.6s73.5 14.8 100.3 41.6C344.3 221.3 359 257 359 294.9z"}}]})(props);
};
function IoIosMan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.7 106.6h-.2c-25 0-45.5-20.3-45.5-45.3 0-25 20.4-45.3 45.5-45.3S301 36.3 301 61.3c0 12.1-4.7 23.5-13.3 32-8.5 8.6-19.9 13.3-32 13.3zM221.2 496c-14.4 0-27-10.5-27-30.4l1-277.6h-10v105c0 9.3-3 15.1-6.4 18.3-4.3 4.1-9.1 6.4-15.2 6.4-6.2 0-10.9-2.3-15.2-6.4-3.4-3.2-6.4-8.9-6.4-18.3V171.4c0-13.8 4.4-27.8 13.8-38.4 10.4-11.6 23.6-18 39-18h122.3c15.4 0 28.6 6.4 39 18.1 9.4 10.6 13.8 24.5 13.8 38.3V293c0 7.3-1.7 13.8-6.6 18.3-4.4 4-9.3 6.2-15.5 6.2s-11.1-2.2-15.5-6.2c-4.9-4.5-6.6-11-6.6-18.3V188h-9v277.6c0 19.7-13.4 30.4-27.8 30.4-13.4 0-26.3-9.3-27.4-29.8V325h-12v140.9c-.7 19.7-13.8 30.1-28.3 30.1z"}}]})(props);
};
function IoIosMap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 72.5v316.3c0 2.8 1.3 5.5 3.5 7l69.8 50.2c5.2 3.7 12.1-.3 12.1-7V122.7c0-2.8-1.3-5.5-3.5-7L76.1 65.4c-5.2-3.7-12.1.3-12.1 7.1zM168.7 123.3v316.3c0 6.7 6.9 10.8 12.1 7l62-36.7c2.2-1.6 3.5-4.2 3.5-7V86.6c0-6.7-6.9-10.8-12.1-7l-62 36.7c-2.2 1.5-3.5 4.1-3.5 7zM435.9 65.5l-69.8 50.7c-2.2 1.6-3.5 4.2-3.5 7v316.2c0 6.8 6.9 10.8 12.1 7l69.8-50.7c2.2-1.6 3.5-4.2 3.5-7V72.5c0-6.7-6.9-10.7-12.1-7zM265.7 85.6v316.2c0 2.8 1.3 5.5 3.5 7l62 37c5.2 3.8 12.1-.3 12.1-7V122.6c0-2.8-1.3-5.5-3.5-7l-62-37c-5.2-3.7-12.1.3-12.1 7z"}}]})(props);
};
function IoIosMedal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M50 124c-1.1 0-2 .9-2 2v59.9c0 14.4 9.6 27 23.4 30.8l104 29.4c1.3.4 2.5-.6 2.5-1.9V126c0-1.1-.9-2-2-2H50zM204 126v126.2c0 .9.6 1.7 1.5 1.9l50 13.9c.4.1.7.1 1.1 0l56-15.6c.9-.2 1.5-1 1.5-1.9V126c0-1.1-.9-2-2-2H206c-1.1 0-2 .9-2 2zM334 126v119.2c0 1.3 1.3 2.3 2.6 1.9l104-30.4c13.8-3.9 23.4-16.5 23.4-30.8V126c0-1.1-.9-2-2-2H336c-1.1 0-2 .9-2 2zM48 64v38c0 1.1.9 2 2 2h412c1.1 0 2-.9 2-2V64c0-17.7-14.3-32-32-32H80c-17.7 0-32 14.3-32 32z"}},{"tag":"g","attr":{},"child":[{"tag":"circle","attr":{"cx":"256","cy":"352","r":"56"}},{"tag":"path","attr":{"d":"M351.3 266.6l-51.5 13.8c24 14.8 40.1 41.3 40.1 71.6 0 46.3-37.7 84-84 84s-84-37.7-84-84c0-30.4 16.2-57 40.4-71.8L161 266.1c-20.5 22.7-33 52.8-33 85.9 0 70.7 57.3 128 128 128s128-57.3 128-128c0-32.8-12.4-62.7-32.7-85.4z"}},{"tag":"path","attr":{"d":"M256 296c30.9 0 56 25.1 56 56s-25.1 56-56 56-56-25.1-56-56 25.1-56 56-56z"}}]}]})(props);
};
function IoIosMedical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M430.3 174.3l-16.5-28.6c-4.3-7.4-13.8-10-21.2-5.7L294 197c-2.7 1.5-6-.4-6-3.5v-114c0-8.6-6.9-15.5-15.5-15.5h-33c-8.6 0-15.5 6.9-15.5 15.5v114.1c0 3.1-3.3 5-6 3.5l-98.6-57c-7.4-4.3-16.9-1.7-21.2 5.7l-16.5 28.6c-4.3 7.4-1.7 16.9 5.7 21.1l98.7 57.1c2.7 1.5 2.7 5.4 0 6.9l-98.7 57.1c-7.4 4.3-9.9 13.7-5.7 21.1l16.5 28.6c4.3 7.4 13.8 10 21.2 5.7l98.6-57c2.7-1.5 6 .4 6 3.5v114.1c0 8.6 6.9 15.5 15.5 15.5h33c8.6 0 15.5-6.9 15.5-15.5V318.4c0-3.1 3.4-5 6-3.5l98.6 57c7.4 4.3 16.9 1.7 21.2-5.7l16.5-28.6c4.3-7.4 1.7-16.9-5.7-21.1l-98.7-57.1c-2.7-1.5-2.7-5.4 0-6.9l98.7-57.1c7.4-4.2 9.9-13.7 5.7-21.1z"}}]})(props);
};
function IoIosMedkit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M432 128h-84V96c0-17.6-14.4-32-32-32H196c-17.6 0-32 14.4-32 32v32H80c-17.7 0-32 14.3-32 32v256c0 17.7 14.3 32 32 32h352c17.7 0 32-14.3 32-32V160c0-17.7-14.3-32-32-32zm-240-28c0-4.4 3.6-8 8-8h112c4.4 0 8 3.6 8 8v28H192v-28zm128 204h-48v48c0 8.8-7.2 16-16 16s-16-7.2-16-16v-48h-48c-8.8 0-16-7.2-16-16s7.2-16 16-16h48v-48c0-8.8 7.2-16 16-16s16 7.2 16 16v48h48c8.8 0 16 7.2 16 16s-7.2 16-16 16z"}}]})(props);
};
function IoIosMegaphone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M90.1 187c0-33.4 17.1-62.8 43.5-78.9 2.8-1.7 1.6-6-1.7-6-38.2 0-68.5 30.4-74.1 69.8-5.6.9-9.9 7.3-9.9 14.9 0 8 4.7 14.3 10.8 14.8 6.7 33.8 33.8 55.4 61.2 64.5 4.3.9 7.1-4.5 3.8-7.5-19.6-17.7-33.6-44.3-33.6-71.6z"}},{"tag":"path","attr":{"d":"M450.2 102.8c-1-2.7-2.1-5.2-3.2-7.7-6-13.4-13.4-24.2-21.7-32.2-10.5-9.7-21.4-14.9-34.8-14.9-13.5 0-21.5 5.2-25.8 7.8-43.1 25.9-112.3 46-154 46s-39.4.2-39.4.2c-31.6 14-54.8 46.9-54.8 85 0 34.2 17.8 64.2 44.4 80 12.1 10.1 23.6 8.8 21.1 22.2-2.5 13.4-22.5 97.5-25 115s-2.9 27.5 4 36c7 8.5 49.5 23.8 68 23.8s13.8-8.7 13.8-43.8-9.3-131.7 16.5-131.7c48.3 0 73.5 17.3 111.3 31.7 9 3.4 14.1 4.7 20.1 4.7 6 0 18.7-1.9 34.7-18.2 9.2-9.4 15.7-18.8 21.7-32.2 1.1-2.6 2.2-5.2 3.3-8 8.9-23.2 13.7-51.9 13.7-81.9-.1-29.8-4.9-58.6-13.9-81.8zm-26.6 157c-6.4 15.7-17.6 28.2-26.9 28.2-9.3 0-17.8-12.5-24.2-28.2-7.5-18.3-12.3-45-12.3-74.7 0-29.8 4.8-56.6 12.3-74.9 6.4-15.6 14.9-25 24.1-25 9.3 0 20.3 9.5 26.8 25 7.6 18.3 14.5 45.1 14.5 74.9.1 29.7-6.8 56.4-14.3 74.7z"}}]})(props);
};
function IoIosMenu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M432 176H80c-8.8 0-16-7.2-16-16s7.2-16 16-16h352c8.8 0 16 7.2 16 16s-7.2 16-16 16zM432 272H80c-8.8 0-16-7.2-16-16s7.2-16 16-16h352c8.8 0 16 7.2 16 16s-7.2 16-16 16zM432 368H80c-8.8 0-16-7.2-16-16s7.2-16 16-16h352c8.8 0 16 7.2 16 16s-7.2 16-16 16z"}}]})(props);
};
function IoIosMicOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M369.8 464c-4.9 0-9.7-2.5-12.3-7L129.9 69.3c-4-6.7-1.7-15.4 5.1-19.3 6.8-3.9 15.5-1.7 19.5 5.1l227.6 387.7c4 6.7 1.7 15.4-5.1 19.3-2.3 1.3-4.8 1.9-7.2 1.9zM320 272V112c0-35.2-28.8-64-64-64-28.4 0-52.6 18.8-60.9 44.5L315 296.8c3.2-7.6 5-16 5-24.8zM192 272c0 35.2 28.8 64 64 64 3.9 0 7.6-.4 11.3-1L192 206.6V272zM366 275v-69c0-7.7-6.3-14-14-14s-14 6.3-14 14v69c0 15.2-4.2 29.4-11.4 41.6l15.6 26.6c14.9-18.7 23.8-42.4 23.8-68.2z"}},{"tag":"path","attr":{"d":"M256 357c-45.2 0-82-36.8-82-82v-69c0-7.7-6.3-14-14-14s-14 6.3-14 14v69c0 55.9 41.9 102.2 96 109.1V436h-36c-7.7 0-14 6.3-14 14s6.3 14 14 14h100c7.7 0 14-6.3 14-14s-6.3-14-14-14h-36v-51.9c7.9-1 15.6-2.9 22.9-5.5l-14.5-24.8c-7.1 2.1-14.6 3.2-22.4 3.2z"}}]})(props);
};
function IoIosMic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 336c35.2 0 64-28.8 64-64V112c0-35.2-28.8-64-64-64s-64 28.8-64 64v160c0 35.2 28.8 64 64 64z"}},{"tag":"path","attr":{"d":"M352 192c-7.7 0-14 6.3-14 14v69c0 45.2-36.8 82-82 82s-82-36.8-82-82v-69c0-7.7-6.3-14-14-14s-14 6.3-14 14v69c0 55.9 41.9 102.2 96 109.1V436h-36c-7.7 0-14 6.3-14 14s6.3 14 14 14h100c7.7 0 14-6.3 14-14s-6.3-14-14-14h-36v-51.9c54.1-6.9 96-53.2 96-109.1v-69c0-7.7-6.3-14-14-14z"}}]})(props);
};
function IoIosMicrophone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M315 204h72.6c6.6 0 12.3-5.2 12.4-11.8.1-6.7-5.3-12.2-12-12.2h-73c-6.7 0-12.1-5.5-12-12.2.1-6.6 5.8-11.8 12.4-11.8h76.5c4.5 0 8.2-3.7 8-8.2-1.7-47.5-31.2-88.1-72.7-106-5.3-2.3-11.2 1.6-11.2 7.3v35.5c0 6.6-5.2 12.3-11.8 12.4-6.7.1-12.2-5.3-12.2-12V44c0-6.6-5.4-12-12-12s-12 5.4-12 12v56.6c0 6.6-5.2 12.3-11.8 12.4-6.7.1-12.2-5.3-12.2-12V44c0-6.6-5.4-12-12-12s-12 5.4-12 12v40.6c0 6.6-5.2 12.3-11.8 12.4-6.7.1-12.2-5.3-12.2-12V49.1c0-5.8-5.9-9.6-11.2-7.3-41.5 17.9-71.1 58.6-72.7 106-.2 4.5 3.5 8.2 8 8.2h76.5c6.6 0 12.3 5.2 12.4 11.8.1 6.7-5.3 12.2-12 12.2h-72.6c-6.6 0-12.3 5.2-12.4 11.8-.1 6.7 5.3 12.2 12 12.2h72.6c6.6 0 12.3 5.2 12.4 11.8.1 6.7-5.3 12.2-12 12.2h-72.6c-6.6 0-12.3 5.2-12.4 11.8-.1 6.7 5.3 12.2 12 12.2h72.6c6.6 0 12.3 5.2 12.4 11.8.1 6.7-5.3 12.2-12 12.2h-76.9c-4.5 0-8.2 3.7-8 8.2.5 13.6 3.3 26.7 7.9 38.8 1.2 3.1 4.2 5 7.4 5h257.1c3.3 0 6.3-2 7.4-5 4.7-12.1 7.5-25.2 7.9-38.8.2-4.5-3.5-8.2-8-8.2h-76.5c-6.6 0-12.3-5.2-12.4-11.8-.1-6.7 5.3-12.2 12-12.2h72.6c6.6 0 12.3-5.2 12.4-11.8.1-6.7-5.3-12.2-12-12.2h-72.6c-6.6 0-12.3-5.2-12.4-11.8 0-6.7 5.4-12.2 12.1-12.2zM141.5 358.6c19 22 45.2 37.2 75.4 40.8 4 .5 7.1 3.9 7.1 7.9V448c0 17.7 14.3 32 32 32s32-14.3 32-32v-40.7c0-4.1 3.1-7.5 7.1-7.9 30.3-3.5 56.4-18.7 75.4-40.8 2.2-2.6.3-6.6-3.1-6.6H144.5c-3.4 0-5.2 4-3 6.6z"}}]})(props);
};
function IoIosMoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M401.4 354.2c-2.9.1-5.8.2-8.7.2-47.9 0-93-18.9-126.8-53.4-33.9-34.4-52.5-80.1-52.5-128.8 0-27.7 6.1-54.5 17.5-78.7 3.1-6.6 9.3-16.6 13.6-23.4 1.9-2.9-.5-6.7-3.9-6.1-6 .9-15.2 2.9-27.7 6.8C135.1 95.5 80 168.7 80 255c0 106.6 85.1 193 190.1 193 58 0 110-26.4 144.9-68.1 6-7.2 11.5-13.8 16.4-21.8 1.8-3-.7-6.7-4.1-6.1-8.5 1.7-17.1 1.8-25.9 2.2z"}}]})(props);
};
function IoIosMore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.8 218c-21 0-38 17-38 38s17 38 38 38 38-17 38-38-17-38-38-38zM102 218c-21 0-38 17-38 38s17 38 38 38 38-17 38-38-17-38-38-38zM410 218c-21 0-38 17-38 38s17 38 38 38 38-17 38-38-17-38-38-38z"}}]})(props);
};
function IoIosMove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M475.9 246.2l-79.4-79.4c-5.4-5.4-14.2-5.4-19.6 0l-.2.2c-5.4 5.4-5.4 14.2 0 19.6l54.9 54.9-161.8.5.5-161.8 54.9 54.9c5.4 5.4 14.2 5.4 19.6 0l.2-.2c5.4-5.4 5.4-14.2 0-19.6l-79.4-79.4c-5.4-5.4-14.2-5.4-19.6 0l-79.4 79.4c-5.4 5.4-5.4 14.2 0 19.6l.2.2c5.4 5.4 14.2 5.4 19.6 0l54.9-54.9.5 161.8-161.8-.5 54.9-54.9c5.4-5.4 5.4-14.2 0-19.6l-.2-.2c-5.4-5.4-14.2-5.4-19.6 0l-79.4 79.4c-5.4 5.4-5.4 14.2 0 19.6l79.4 79.4c5.4 5.4 14.2 5.4 19.6 0l.2-.2c5.4-5.4 5.4-14.2 0-19.6L80 270.5l161.8-.5-.5 161.8-54.9-54.9c-5.4-5.4-14.2-5.4-19.6 0l-.2.2c-5.4 5.4-5.4 14.2 0 19.6l79.4 79.4c5.4 5.4 14.2 5.4 19.6 0l79.4-79.4c5.4-5.4 5.4-14.2 0-19.6l-.2-.2c-5.4-5.4-14.2-5.4-19.6 0l-54.9 54.9-.5-161.8 161.8.5-54.9 54.9c-5.4 5.4-5.4 14.2 0 19.6l.2.2c5.4 5.4 14.2 5.4 19.6 0l79.4-79.4c5.5-5.4 5.5-14.2 0-19.6z"}}]})(props);
};
function IoIosMusicalNote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M364.3 48.2c-4.7.9-118 24.1-122.2 24.9-4.2.8-8.1 3.6-8.1 8v255.1c0 1.6-.1 7.2-2.4 11.7-3.1 5.9-8.5 10.2-16.1 12.7-3.3 1.1-7.8 2.1-13.1 3.3-24.1 5.4-64.4 14.6-64.4 51.8 0 30.1 21.7 44.5 35 47.1 5 1 11 1 13.8 1 8.2 0 36-3.3 51.2-13.2 11-7.2 24.1-21.4 24.1-47.8V173.1c0-3.8 2.7-7.1 6.4-7.8l92.8-19c7.4-1.5 12.8-8.1 12.8-15.7V55.8c-.1-4.3-3.8-8.8-9.8-7.6z"}}]})(props);
};
function IoIosMusicalNotes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M406.3 48.2c-4.7.9-202 39.2-206.2 40-4.2.8-8.1 3.6-8.1 8v240.1c0 1.6-.1 7.2-2.4 11.7-3.1 5.9-8.5 10.2-16.1 12.7-3.3 1.1-7.8 2.1-13.1 3.3-24.1 5.4-64.4 14.6-64.4 51.8 0 31.1 22.4 45.1 41.7 47.5 2.1.3 4.5.7 7.1.7 6.7 0 36-3.3 51.2-13.2 11-7.2 24.1-21.4 24.1-47.8V190.5c0-3.8 2.7-7.1 6.4-7.8l152-30.7c5-1 9.6 2.8 9.6 7.8v130.9c0 4.1-.2 8.9-2.5 13.4-3.1 5.9-8.5 10.2-16.2 12.7-3.3 1.1-8.8 2.1-14.1 3.3-24.1 5.4-64.4 14.5-64.4 51.7 0 33.7 25.4 47.2 41.8 48.3 6.5.4 11.2.3 19.4-.9s23.5-5.5 36.5-13c17.9-10.3 27.5-26.8 27.5-48.2V55.9c-.1-4.4-3.8-8.9-9.8-7.7z"}}]})(props);
};
function IoIosNavigate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm0 336V256H128.3L352 160l-96 224z"}}]})(props);
};
function IoIosNotificationsOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.9 456c31.1 0 48.1-22 48.1-53h-96.3c0 31 17 53 48.2 53zM154.5 55c-2.5-4.3-7-6.8-11.6-7h.3-1.2c-2.3 0-4.7.7-6.9 1.9-6.8 3.9-9.1 12.6-5.1 19.3L357.5 457c2.6 4.5 7.4 7 12.3 7 2.4 0 4.9-.6 7.2-1.9 6.8-3.9 9.1-12.6 5.1-19.3L154.5 55zM296.1 384L159 150.5c-8.2 20.2-13.3 46-13.3 78.6 0 90.9-30.3 102.7-45.7 123.1-9.9 13.1-.5 31.8 15.9 31.8h180.2zM412 352.2c-15.4-20.3-45.7-32.2-45.7-123.1 0-93.3-41.2-130.8-79.6-139.8-3.6-.9-6.2-2.1-6.2-5.9v-2.9c0-13.4-11-24.7-24.4-24.6-13.4-.2-24.4 11.2-24.4 24.6v2.9c0 3.7-2.6 5-6.2 5.9-8.7 2-17.5 5.5-25.9 10.8L366.1 384H396c16.5 0 25.9-18.8 16-31.8z"}}]})(props);
};
function IoIosNotificationsOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M289.7 403c-6.1 0-11.4 4.2-12.7 10.2-1 4.5-2.7 8.2-5 10.9-1.3 1.5-5.1 5.9-16.1 5.9-11 0-14.8-4.5-16.1-5.9-2.3-2.7-4-6.4-5-10.9-1.3-6-6.6-10.2-12.7-10.2-8.4 0-14.5 7.8-12.7 15.9 5 22.3 21 37.1 46.5 37.1s41.5-14.7 46.5-37.1c1.8-8.1-4.4-15.9-12.7-15.9zM412 352.2c-15.4-20.3-45.7-32.2-45.7-123.1 0-93.3-41.2-130.8-79.6-139.8-3.6-.9-6.2-2.1-6.2-5.9v-2.9c0-13.3-10.8-24.6-24-24.6h-.6c-13.2 0-24 11.3-24 24.6v2.9c0 3.7-2.6 5-6.2 5.9-38.5 9.1-79.6 46.5-79.6 139.8 0 90.9-30.3 102.7-45.7 123.1-9.9 13.1-.5 31.8 15.9 31.8h280.1c16.1 0 25.4-18.8 15.6-31.8zm-39 5.8H139.8c-3.8 0-5.8-4.4-3.3-7.3 7-8 14.7-18.5 21-33.4 9.6-22.6 14.3-51.5 14.3-88.2 0-37.3 7-66.5 20.9-86.8 12.4-18.2 27.9-25.1 38.7-27.6 8.4-2 14.4-5.8 18.6-10.5 3.2-3.6 8.7-3.8 11.9-.2 5.1 5.7 12 9.1 18.8 10.7 10.8 2.5 26.3 9.4 38.7 27.6 13.9 20.3 20.9 49.5 20.9 86.8 0 36.7 4.7 65.6 14.3 88.2 6.5 15.2 14.4 25.9 21.5 33.9 2.2 2.7.4 6.8-3.1 6.8z"}}]})(props);
};
function IoIosNotifications (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.9 456c31.1 0 48.1-22 48.1-53h-96.3c0 31 17 53 48.2 53zM412 352.2c-15.4-20.3-45.7-32.2-45.7-123.1 0-93.3-41.2-130.8-79.6-139.8-3.6-.9-6.2-2.1-6.2-5.9v-2.9c0-13.4-11-24.7-24.4-24.6-13.4-.2-24.4 11.2-24.4 24.6v2.9c0 3.7-2.6 5-6.2 5.9-38.5 9.1-79.6 46.5-79.6 139.8 0 90.9-30.3 102.7-45.7 123.1-9.9 13.1-.5 31.8 15.9 31.8h280.1c16.3 0 25.7-18.8 15.8-31.8z"}}]})(props);
};
function IoIosNuclear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm-88.5 364.8l49.2-85.8c1.1-1.9.5-4.2-1.3-5.4-20.2-12.9-34-35-35.2-60.3-.1-2.1-1.8-3.8-4-3.8H76V256c0-48.1 18.7-93.3 52.7-127.3 10.8-10.8 22.7-20 35.4-27.6l50.5 87.9c1.1 1.9 3.5 2.5 5.4 1.5 10.7-5.8 22.9-9 35.9-9 12.5 0 24.4 3.1 34.8 8.5 1.9 1 4.2.3 5.3-1.5l51.1-87.7c13 7.7 25.1 17 36.1 28 34 34 52.7 79.2 52.7 127.3v1.5h-100c-2.1 0-3.9 1.7-4 3.8-1.3 25.4-15 47.5-35.2 60.3-1.8 1.2-2.4 3.5-1.3 5.4l49.2 85.8c-26.7 15.1-57 23.2-88.5 23.2-31.6-.1-61.9-8.2-88.6-23.3z"}},{"tag":"circle","attr":{"cx":"256","cy":"256","r":"56"}}]})(props);
};
function IoIosNutrition (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M359.1 231.9h-.1c-.1-.1-.3-.4-.4-.6l-78.9-79.6c-5.8-6-14.2-10.2-23.6-10.2-11.8 0-22.2 6.2-27.7 16.3 0 0-3.4 5.1-12.6 19.8-1.6 2.6-1.6 6 .1 8.6l26.8 41.2c2.9 3.8 3.3 8 1.4 9.9l-.1.1c-2.3 2.3-5.9 1.5-9.8-1.4l-32.3-20.5c-3.8-2.4-8.7-1.2-11.1 2.5-21.9 35.1-46.8 74.7-71.2 114-1.6 2.5-1.6 5.7-.1 8.3l14.1 24.1c2.9 3.8 3.3 8 1.4 9.9l-.1.1c-2.3 2.3-5.9 1.5-9.8-1.4l-16.6-8.4c-3.7-1.9-8.2-.6-10.4 2.9-17.7 28.3-28 44.7-29.1 46.5-3 5.1-5 11.2-5 17.8 0 17.8 14.2 32.2 31.9 32.2 7.8 0 14.4-3.4 20.6-7.6L221 378.8c3.4-2.5 4.2-7.2 2-10.7L202.5 336c-2.9-3.8-3.3-8-1.4-9.9l.1-.1c2.3-2.3 5.9-1.5 9.8 1.4l37.4 25.6c2.8 1.9 6.5 1.9 9.3-.2 53-39.1 97.5-72.2 97.5-72.2 7.9-6 13-15.4 13-26 0-8.7-3.1-16.8-9.1-22.7zM446.9 131.2l-11.2-17.9c-2.2-3.8-7.1-5.1-10.9-2.9L365.4 147l47.3-78.9c2.2-3.8.9-8.8-2.9-11l-17.7-8c-3.9-2.3-8.8-.9-11 3l-57.6 108.3 28.6 28.8 91.8-46.8c3.9-2.2 5.3-7.2 3-11.2z"}}]})(props);
};
function IoIosOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M227.8 300.2c-5.1-5.1-5.1-13.3 0-18.4l133.7-133.7c-5.3-2.6-11.2-4.1-17.5-4.1H88c-22 0-40 18-40 40v224c0 22 18 40 40 40h256c22 0 40-18 40-40V184c0-6.3-1.5-12.2-4.1-17.5L246.2 300.2c-5.1 5.1-13.3 5.1-18.4 0z"}},{"tag":"path","attr":{"d":"M459.5 68.5C457 66 453 64 449 64h-97c-7.2-.1-13.1 5.7-13.1 12.9-.1 7.2 5.7 13.1 12.9 13.1l67.3.5-57.6 57.6c8 3.9 14.5 10.4 18.4 18.4l57.6-57.6.5 67.3c.1 7.2 5.9 13 13.1 12.9 7.2-.1 13-5.9 12.9-13.1V78c0-3.5-2-7-4.5-9.5z"}}]})(props);
};
function IoIosOptions (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M299.3 376c6.2-14.1 20.3-24 36.7-24s30.5 9.9 36.7 24H448c8.8 0 16 7.2 16 16s-7.2 16-16 16h-75.3c-6.2 14.1-20.3 24-36.7 24s-30.5-9.9-36.7-24H64c-8.8 0-16-7.2-16-16s7.2-16 16-16h235.3zM139.3 240c6.2-14.1 20.3-24 36.7-24s30.5 9.9 36.7 24H448c8.8 0 16 7.2 16 16s-7.2 16-16 16H212.7c-6.2 14.1-20.3 24-36.7 24s-30.5-9.9-36.7-24H64c-8.8 0-16-7.2-16-16s7.2-16 16-16h75.3zM299.3 104c6.2-14.1 20.3-24 36.7-24s30.5 9.9 36.7 24H448c8.8 0 16 7.2 16 16s-7.2 16-16 16h-75.3c-6.2 14.1-20.3 24-36.7 24s-30.5-9.9-36.7-24H64c-8.8 0-16-7.2-16-16s7.2-16 16-16h235.3z"}}]})(props);
};
function IoIosOutlet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M359 78H153c-2.8 0-5.6.8-8 2.3C86.7 116.9 48 182 48 256c0 73.9 38.7 138.1 97 175.6 2.4 1.6 5.2 2.4 8.1 2.4h205.8c2.9 0 5.7-.8 8.1-2.4 58.3-37.5 97-101.7 97-175.6 0-74-38.7-139.1-97-175.7-2.4-1.5-5.2-2.3-8-2.3zM192.9 270.8h-22.3c-2.1 0-3.7-1.7-3.7-3.7V155.9c0-2 1.7-3.7 3.7-3.7h22.3c2.1 0 3.7 1.7 3.7 3.7v111.2c0 2.1-1.7 3.7-3.7 3.7zM282 389.5h-52c-2.1 0-3.7-1.7-3.7-3.7v-40.2c0-16.5 13.6-30.5 30.1-30.3 16.2.2 29.3 13.5 29.3 29.7v40.8c0 2-1.6 3.7-3.7 3.7zM341.4 256h-22.3c-2.1 0-3.7-1.7-3.7-3.7v-81.6c0-2 1.7-3.7 3.7-3.7h22.3c2.1 0 3.7 1.7 3.7 3.7v81.6c0 2-1.6 3.7-3.7 3.7z"}}]})(props);
};
function IoIosPaperPlane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M452.1 49L52.3 265.3c-6 3.3-5.6 12.1.6 14.9l68.2 25.7c4 1.5 7.2 4.5 9 8.4l53 109.1c1 4.8 9.9 6.1 10 1.2l-8.1-90.2c.5-6.7 3-13 7.3-18.2l207.3-203.1c1.2-1.2 2.9-1.6 4.5-1.3 3.4.8 4.8 4.9 2.6 7.6L228 338c-4 6-6 11-7 18l-10.7 77.9c.9 6.8 6.2 9.4 10.5 3.3l38.5-45.2c2.6-3.7 7.7-4.5 11.3-1.9l99.2 72.3c4.7 3.5 11.4.9 12.6-4.9L463.8 58c1.5-6.8-5.6-12.3-11.7-9z"}}]})(props);
};
function IoIosPaper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M124 80v322c0 7.7-6.3 14-14 14s-14-6.3-14-14V112H80c-17.7 0-32 14.3-32 32v288c0 17.7 14.3 32 32 32h353.1c17 0 30.9-13.8 30.9-30.9V80c0-17.7-14.3-32-32-32l-278 2c-17.7 0-30 12.3-30 30zm66 32h84c7.7 0 14 6.3 14 14s-6.3 14-14 14h-84c-7.7 0-14-6.3-14-14s6.3-14 14-14zm0 160h148c7.7 0 14 6.3 14 14s-6.3 14-14 14H190c-7.7 0-14-6.3-14-14s6.3-14 14-14zm196 108H190c-7.7 0-14-6.3-14-14s6.3-14 14-14h196c7.7 0 14 6.3 14 14s-6.3 14-14 14zm0-160H190c-7.7 0-14-6.3-14-14s6.3-14 14-14h196c7.7 0 14 6.3 14 14s-6.3 14-14 14z"}}]})(props);
};
function IoIosPartlySunny (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M168.2 64h-.3c-8.7 0-15.8 7.1-15.8 15.8v30.3c0 8.7 7.1 15.8 15.8 15.8h.3c8.7 0 15.8-7.1 15.8-15.8V79.8c0-8.7-7.1-15.8-15.8-15.8zM79 216.2v-.3c0-8.7-7.1-15.8-15.8-15.8H31.8c-8.7 0-15.8 7.1-15.8 15.8v.3c0 8.7 7.1 15.8 15.8 15.8h31.3c8.8 0 15.9-7.1 15.9-15.8zM79.7 149c3 3 7 4.7 11.2 4.7 4.2 0 8.2-1.7 11.2-4.7 6.1-6.2 6.1-16.2 0-22.3l-20.3-20.5c-3-3-7-4.7-11.2-4.7-4.2 0-8.2 1.7-11.2 4.7-6.1 6.2-6.1 16.2 0 22.3L79.7 149zM271 105.2c-3-3-7-4.7-11.2-4.7-4.2 0-8.2 1.7-11.2 4.7l-20.3 20.4c-6.1 6.2-6.1 16.2 0 22.3l.3.3h.1c2.9 2.8 6.8 4.3 10.8 4.3 4.2 0 8.2-1.7 11.2-4.7l20.3-20.4c6.1-6 6.1-16 0-22.2zM92.9 273.3c-4.2 0-8.2 1.7-11.2 4.7l-20.3 20.5c-6.1 6.2-6.1 16.2 0 22.3 3 3 7 4.7 11.2 4.7 4.2 0 8.2-1.7 11.2-4.7l20.3-20.5c6.1-6.2 6.1-16.2 0-22.3-3-3-7-4.7-11.2-4.7zM403.3 259.2h-2.4c-3.1 0-6.1 0-9 .4-11.3-50.3-56.1-88.2-109.7-88.2-14.6 0-28.6 2.8-41.4 7.9-5.1 2-10 4.4-14.7 7.1-32 18.5-54.1 52.4-56.2 91.6-.1 2.1-.2 4.1-.2 6.2 0 3.4.2 6.8.5 10.1 0 .4.1.8.1 1.1-37.9 3.4-67.6 37.1-67.6 76 0 41.1 33.3 76.7 74.3 76.7h226.4c51.2 0 92.7-43.4 92.7-94.8-.1-51.4-41.6-94.1-92.8-94.1z"}},{"tag":"path","attr":{"d":"M150.7 283.6v-.3c-.3-3.4-.5-6.8-.5-10.2 0-2.1.1-4.2.2-6.3 2.2-39.9 24.6-74.3 57.2-93.1 4.8-2.8 9.8-5.2 14.9-7.2h.1c-13.4-17-34.2-28-57.6-28-40.5 0-73.3 32.8-73.3 73.3 0 35.5 25.3 65.1 59 71.8z"}}]})(props);
};
function IoIosPause (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M199.9 416h-63.8c-4.5 0-8.1-3.6-8.1-8V104c0-4.4 3.6-8 8.1-8h63.8c4.5 0 8.1 3.6 8.1 8v304c0 4.4-3.6 8-8.1 8zM375.9 416h-63.8c-4.5 0-8.1-3.6-8.1-8V104c0-4.4 3.6-8 8.1-8h63.8c4.5 0 8.1 3.6 8.1 8v304c0 4.4-3.6 8-8.1 8z"}}]})(props);
};
function IoIosPaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M324.3 80.3c-1.2-.2-2.4-.3-3.6-.3v.4-.3h-.4c-22 0-42.9 25.9-47.8 60.3-5.3 36.6 9.4 69 32.7 72.4 1.3.2 2.7.3 4 .3 22 0 42.9-25.9 47.8-60.3 5.3-36.7-9.4-69.1-32.7-72.5zM320.6 80zM442.3 169.4c-3.5-1.4-7.1-2.1-10.9-2.1h-.4c-19.7.3-41.8 19.2-53.4 47.8-13.9 34.2-7.5 69.2 14.4 78.2 3.5 1.4 7.1 2.1 10.9 2.1 19.8 0 42.2-19 53.9-47.8 13.8-34.2 7.3-69.2-14.5-78.2zM327.6 295.4c-27.8-43.6-39.8-60-71.6-60s-43.9 16.5-71.7 60c-23.8 37.2-71.9 40.3-83.9 71.9-2.4 5.6-3.6 11.7-3.6 18.2 0 25.7 20.8 46.5 46.4 46.5 31.8 0 75.1-24 112.9-24s80.9 24 112.7 24c25.6 0 46.3-20.8 46.3-46.5 0-6.5-1.3-12.6-3.7-18.2-12-31.7-60-34.7-83.8-71.9zM202.8 213c1.3 0 2.7-.1 4-.3 23.4-3.4 38-35.8 32.7-72.4-5-34.5-25.9-60.3-47.8-60.3-1.3 0-2.7.1-4 .3-23.4 3.4-38 35.8-32.7 72.4 5 34.4 25.9 60.3 47.8 60.3zM120.1 293.3c21.9-9 28.3-44 14.4-78.2-11.7-28.8-34.1-47.8-53.9-47.8-3.8 0-7.4.7-10.9 2.1-21.9 9-28.3 44-14.4 78.2 11.7 28.8 34.1 47.8 53.9 47.8 3.8 0 7.4-.7 10.9-2.1z"}}]})(props);
};
function IoIosPeople (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M349.1 334.7c-11.2-4-29.5-4.2-37.6-7.3-5.6-2.2-14.5-4.6-17.4-8.1-2.9-3.5-2.9-28.5-2.9-28.5s7-6.6 9.9-14c2.9-7.3 4.8-27.5 4.8-27.5s6.6 2.8 9.2-10.4c2.2-11.4 6.4-17.4 5.3-25.8-1.2-8.4-5.8-6.4-5.8-6.4s5.8-8.5 5.8-37.4c0-29.8-22.5-59.1-64.6-59.1-42 0-64.7 29.4-64.7 59.1 0 28.9 5.7 37.4 5.7 37.4s-4.7-2-5.8 6.4c-1.2 8.4 3 14.4 5.3 25.8 2.6 13.3 9.2 10.4 9.2 10.4s1.9 20.1 4.8 27.5c2.9 7.4 9.9 14 9.9 14s0 25-2.9 28.5-11.8 5.9-17.4 8c-8 3.1-26.3 3.5-37.6 7.5-11.2 4-45.8 22.2-45.8 67.2h278.3c.1-45.1-34.5-63.3-45.7-67.3z"}},{"tag":"path","attr":{"d":"M140 286s23.9-.8 33.4-9.3c-15.5-23.5-7.1-50.9-10.3-76.5-3.2-25.5-17.7-40.8-46.7-40.8h-.4c-28 0-43.1 15.2-46.3 40.8-3.2 25.5 5.7 56-10.2 76.5C69 285.3 93 285 93 285s1 14.4-1 16.8c-2 2.4-7.9 4.7-12 5.5-8.8 1.9-18.1 4.5-25.9 7.2-7.8 2.7-22.6 17.2-22.6 37.2h80.3c2.2-8 17.3-22.3 32-29.8 9-4.6 17.9-4.3 24.7-5.2 0 0 3.8-6-8.7-8.3 0 0-17.2-4.3-19.2-6.7-1.9-2.2-.6-15.7-.6-15.7zM372 286s-23.9-.8-33.4-9.3c15.5-23.5 7.1-50.9 10.3-76.5 3.2-25.5 17.7-40.8 46.7-40.8h.4c28 0 43.1 15.2 46.3 40.8 3.2 25.5-5.7 56 10.2 76.5-9.5 8.6-33.5 8.3-33.5 8.3s-1 14.4 1 16.8c2 2.4 7.9 4.7 12 5.5 8.8 1.9 18.1 4.5 25.9 7.2 7.8 2.7 22.6 17.2 22.6 37.2h-80.3c-2.2-8-17.3-22.3-32-29.8-9-4.6-17.9-4.3-24.7-5.2 0 0-3.8-6 8.7-8.3 0 0 17.2-4.3 19.2-6.7 1.9-2.2.6-15.7.6-15.7z"}}]})(props);
};
function IoIosPersonAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M385.3 386c-15.6-5.5-37.8-6.8-52.1-10-8.2-1.8-20.1-6.3-24.1-11.1-3.5-4.2-2.1-38.4-1.7-47.2.1-1.3.5-2.6 1.1-3.8 2.2-3.6 7.2-12.2 10.3-20 3-7.6 6.2-25 7.6-33.3.4-2.4 1.9-4.5 4-5.6 2.6-1.5 6.1-4.9 7.8-13.4 3.1-15.7 8-21.8 7.4-33.5-.3-5.2-1.7-8-3.2-9.5-2-1.9-2.7-4.8-2-7.4 1.9-7.6 4.7-22.6 5.2-45.6.9-41.1-31.3-81.6-89.5-81.6-59.1 0-90.5 40.5-89.6 81.6.5 23 3.3 38 5.1 45.6.6 2.7-.1 5.5-2 7.4-1.5 1.5-3 4.3-3.2 9.5-.6 11.7 4.3 17.8 7.4 33.5 1.7 8.4 5.2 11.9 7.8 13.4 2.1 1.2 3.6 3.2 4 5.6 1.4 8.3 4.6 25.7 7.6 33.3 3.1 7.8 8.2 16.5 10.3 20 .7 1.1 1.1 2.4 1.1 3.8.4 8.8 1.8 43.1-1.7 47.2-4 4.8-15.9 9.3-24.1 11.1-14.3 3.2-36.5 4.5-52.1 10-14.2 5-55.3 20.5-62.5 52.3-1.1 5 2.7 9.7 7.9 9.7H440c5.1 0 8.9-4.7 7.8-9.7-7.2-31.8-48.3-47.3-62.5-52.3z"}},{"tag":"path","attr":{"d":"M437.5 293.5h-27v-27c0-5.8-4.7-10.5-10.5-10.5s-10.5 4.7-10.5 10.5v27h-27c-5.8 0-10.5 4.7-10.5 10.5s4.7 10.5 10.5 10.5h27v27c0 5.8 4.7 10.5 10.5 10.5s10.5-4.7 10.5-10.5v-27h27c5.8 0 10.5-4.7 10.5-10.5s-4.7-10.5-10.5-10.5z"}}]})(props);
};
function IoIosPerson (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M447.8 438.3c-7.2-31.8-48.3-47.3-62.5-52.3-15.6-5.5-37.8-6.8-52.1-10-8.2-1.8-20.1-6.3-24.1-11.1s-1.6-49.3-1.6-49.3 7.4-11.5 11.4-21.7c4-10.1 8.4-37.9 8.4-37.9s8.2 0 11.1-14.4c3.1-15.7 8-21.8 7.4-33.5-.6-11.5-6.9-11.2-6.9-11.2s6.1-16.7 6.8-51.3c.9-41.1-31.3-81.6-89.6-81.6-59.1 0-90.6 40.5-89.7 81.6.8 34.6 6.7 51.3 6.7 51.3s-6.3-.3-6.9 11.2c-.6 11.7 4.3 17.8 7.4 33.5 2.8 14.4 11.1 14.4 11.1 14.4s4.4 27.8 8.4 37.9c4 10.2 11.4 21.7 11.4 21.7s2.4 44.5-1.6 49.3c-4 4.8-15.9 9.3-24.1 11.1-14.3 3.2-36.5 4.5-52.1 10-14.2 5-55.3 20.5-62.5 52.3-1.1 5 2.7 9.7 7.9 9.7H440c5.1 0 8.9-4.7 7.8-9.7z"}}]})(props);
};
function IoIosPhoneLandscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 176.3v158.5c0 18.3 14.6 33.1 32.9 33.1h381c18.4 0 34.1-14.8 34.1-33.1V176.3c0-18.3-15.7-32.3-34.1-32.3h-381C46.6 144 32 158 32 176.3zM55 271v-30c0-2.2 1.8-4 4-4s4 1.8 4 4v30c0 2.2-1.8 4-4 4s-4-1.8-4-4zm414-15.5c0 9.6-7.8 17.4-17.4 17.4-9.6 0-17.4-7.8-17.4-17.4 0-9.6 7.8-17.4 17.4-17.4 9.6 0 17.4 7.8 17.4 17.4zM424 160v192H83V160h341z"}},{"tag":"path","attr":{"d":"M441.6 255.5c0 5.5 4.5 10 9.9 10 5.5 0 10-4.5 10-10s-4.5-10-10-10c-5.4.1-9.9 4.5-9.9 10z"}}]})(props);
};
function IoIosPhonePortrait (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M335.7 32H177.1C158.8 32 144 46.6 144 64.9v381c0 18.4 14.8 34.1 33.1 34.1h158.5c18.3 0 32.3-15.7 32.3-34.1v-381C368 46.6 354 32 335.7 32zM241 55h30c2.2 0 4 1.8 4 4s-1.8 4-4 4h-30c-2.2 0-4-1.8-4-4s1.8-4 4-4zm15.5 410c-9.6 0-17.4-7.8-17.4-17.4 0-9.6 7.8-17.4 17.4-17.4 9.6 0 17.4 7.8 17.4 17.4 0 9.6-7.8 17.4-17.4 17.4zm93.5-49H162c-1.1 0-2-.9-2-2V85c0-1.1.9-2 2-2h188c1.1 0 2 .9 2 2v329c0 1.1-.9 2-2 2z"}}]})(props);
};
function IoIosPhotos (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 144H128c-17.6 0-32 14.4-32 32v240c0 17.6 14.4 32 32 32h336c17.6 0 32-14.4 32-32V176c0-17.6-14.4-32-32-32z"}},{"tag":"path","attr":{"d":"M100 116h332V96c0-17.6-14.4-32-32-32H48c-17.6 0-32 14.4-32 32v256c0 17.6 14.4 32 32 32h20V148c0-17.6 14.4-32 32-32z"}}]})(props);
};
function IoIosPie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M276 68.1v219c0 3.7-2.5 6.8-6 7.7L81.1 343.4c-2.3.6-3.6 3.1-2.7 5.4C109.1 426 184.9 480.6 273.2 480c114.6-.7 206.8-93.5 206.8-208 0-112.1-88.6-203.5-199.8-207.8-2.3-.1-4.2 1.7-4.2 3.9z"}},{"tag":"path","attr":{"d":"M32 239.3s.2 48.8 15.2 81.1c.8 1.8 2.8 2.7 4.6 2.2l193.8-49.7c3.5-.9 6.4-4.6 6.4-8.2V36c0-2.2-1.8-4-4-4C91 33.9 32 149 32 239.3z"}}]})(props);
};
function IoIosPin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48c-79.5 0-144 59.9-144 133.7 0 104 144 282.3 144 282.3s144-178.3 144-282.3C400 107.9 335.5 48 256 48zm0 190.9c-25.9 0-46.9-21-46.9-46.9s21-46.9 46.9-46.9 46.9 21 46.9 46.9-21 46.9-46.9 46.9z"}}]})(props);
};
function IoIosPint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M372 175.2c0-19.5-1-81.7-19.3-115.6-4.5-8.2-9.5-11.6-28.7-11.6H188c-19.3 0-24.2 3.4-28.7 11.6-18.3 33.9-19.3 96.5-19.3 116 0 91 36 93.1 36 167.8 0 36.7-16 66.7-16 92.7 0 25.1 6 27.8 29 27.8h134c23 0 29-2.9 29-27.9 0-26-16-55.7-16-92.4 0-74.7 36-77.4 36-168.4zM188 76h136c2.4 0 4.3.1 5.7.2 5.4 11.6 9.4 29.3 11.8 50.8h-171c2.4-21.6 6.5-39.3 11.8-50.8 1.4-.1 3.3-.2 5.7-.2z"}}]})(props);
};
function IoIosPizza (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M446.6 109.8c-2.7-7.3-14.2-14-25-18.7-27-11.6-73.5-27.1-164.9-27.1-94 0-137.5 14.5-165 27.1-12.3 5.7-24.2 12.5-26.7 19.5-2.9 8 .8 15.3 4.1 21.8l1.5 3c3.1 6.4 12.9 12.8 22.8 13.8L251.3 445c1 1.9 3.1 3.1 5.3 3.1 2.2 0 4.3-1.2 5.3-3.1l157.6-295.1c5.6-.6 17.2-2.6 23.1-14.3 3.9-7.7 7.4-16.7 4-25.8zm-266 112.8c-1.2 3.5-2.9 6.6-5.1 9.5-1.8 2.3-5.3 2-6.7-.6-8.8-16.6-17.3-32.4-24.8-46.5-1.4-2.6.5-5.8 3.4-5.9h1c3.7 0 7.3.6 10.9 1.7 8.6 2.8 15.5 8.7 19.6 16.6 3.9 7.9 4.6 16.8 1.7 25.2zm116.6 97.5c-.8 1.4-2.3 2.3-3.9 2.1-17-1.8-30.2-15.8-30.2-32.8 0-18.2 15.2-33 33.9-33 9.9 0 19 4 25.3 11 1.1 1.2 1.3 3.1.5 4.5l-25.6 48.2zm35.2-176.8c-5.7 4.1-12.4 6.3-19.5 6.3-1.6 0-3.3-.1-4.9-.3-8.7-1.2-16.3-5.7-21.5-12.5-2-2.6-3.6-5.5-4.6-8.4-1-2.7 1.2-5.5 4-5.3 18.3 1 35.3 2.9 51.4 5.9 3.1.6 4.5 4.1 2.7 6.7-2 2.8-4.6 5.4-7.6 7.6z"}}]})(props);
};
function IoIosPlanet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M462.5 352.3c-1.9-5.5-5.6-11.5-11.4-18.3-10.2-12-30.8-29.3-54.8-47.2-2.6-2-6.4-.8-7.5 2.3l-4.7 13.4c-.7 2 0 4.3 1.7 5.5 15.9 11.6 35.9 27.9 41.8 35.9 2 2.8-.5 6.6-3.9 5.8-10-2.3-29-7.3-44.2-12.8-8.6-3.1-17.7-6.7-27.2-10.6 16-20.8 24.7-46.3 24.7-72.6 0-32.8-13.2-63.6-37.1-86.4-22.9-21.9-53.8-34.1-85.7-33.7-25.7.3-50.1 8.4-70.7 23.5-18.3 13.4-32.2 31.3-40.6 52-8.3-6-16.1-11.9-23.2-17.6-13.7-10.9-28.4-22-38.7-34.7-2.2-2.8.9-6.7 4.4-5.9 11.3 2.6 35.4 10.9 56.4 18.9 1.5.6 3.2.3 4.5-.8l11.1-10.1c2.4-2.1 1.7-6-1.3-7.2C121 137.4 89.2 128 73.2 128c-11.5 0-19.3 3.5-23.3 10.4-7.6 13.3 7.1 35.2 45.1 66.8 34.1 28.5 82.6 61.8 136.5 92 87.5 49.1 171.1 81 208 81 11.2 0 18.7-3.1 22.1-9.1 2.8-4.7 3.1-10.4.9-16.8zM312 354c-29.1-12.8-59.3-26-92.6-44.8-30.1-16.9-59.4-36.5-84.4-53.6-1-.7-2.2-1.1-3.4-1.1-.9 0-1.9.2-2.8.7-2 1-3.3 3-3.3 5.2 0 1.2-.1 2.4-.1 3.5 0 32.1 12.6 62.3 35.5 84.9 22.9 22.7 53.4 35.2 85.8 35.2 23.6 0 46.5-6.7 66.2-19.5 1.9-1.2 2.9-3.3 2.7-5.5-.1-2.2-1.5-4.1-3.6-5z"}}]})(props);
};
function IoIosPlayCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm83.8 211.9l-137.2 83c-2.9 1.8-6.7-.4-6.7-3.9V173c0-3.5 3.7-5.7 6.7-3.9l137.2 83c2.9 1.7 2.9 6.1 0 7.8z"}}]})(props);
};
function IoIosPlay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 104.3v303.4c0 6.4 6.5 10.4 11.7 7.2l240.5-151.7c5.1-3.2 5.1-11.1 0-14.3L139.7 97.2c-5.2-3.3-11.7.7-11.7 7.1z"}}]})(props);
};
function IoIosPodium (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 199.9v208.2c0 4.4 3.5 7.9 7.9 7.9h96.2c4.4 0 7.9-3.5 7.9-7.9V199.9c0-4.4-3.5-7.9-7.9-7.9H71.9c-4.4 0-7.9 3.5-7.9 7.9zM199.9 96c-4.4 0-7.9 3.5-7.9 7.9V416h120.1c4.4 0 7.9-3.5 7.9-7.9V103.9c0-4.4-3.5-7.9-7.9-7.9H199.9zM440.1 256h-96.2c-4.4 0-7.9 3.5-7.9 7.9v144.2c0 4.4 3.5 7.9 7.9 7.9h96.2c4.4 0 7.9-3.5 7.9-7.9V263.9c0-4.4-3.5-7.9-7.9-7.9z"}}]})(props);
};
function IoIosPower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M380.4 111.7c-3.3-2.8-7.5-4.3-11.8-4.3-5.3 0-10.4 2.3-13.8 6.4-3.2 3.7-4.7 8.4-4.3 13.3.4 4.8 2.7 9.3 6.4 12.4 34.8 29.5 54.8 72.3 54.8 117.4 0 85.4-69.8 154.8-155.6 154.8s-155.6-69.5-155.6-154.8c0-45.2 20-88 54.8-117.4 3.7-3.1 6-7.5 6.4-12.4.4-4.8-1.1-9.6-4.3-13.3-3.5-4-8.5-6.4-13.8-6.4-4.3 0-8.5 1.5-11.8 4.3C88.7 148.1 64 201 64 256.8 64 362.2 150.1 448 256 448s192-85.8 192-191.2c0-55.8-24.7-108.7-67.6-145.1z"}},{"tag":"path","attr":{"d":"M256.9 274.5c10.2 0 18.5-8.3 18.5-18.5V82.5c0-10.2-8.3-18.5-18.5-18.5s-18.5 8.3-18.5 18.5V256c0 10.2 8.3 18.5 18.5 18.5z"}}]})(props);
};
function IoIosPricetag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M435.2 48H312.3c-3.8 0-7.5 1.5-10.2 4.2L56.4 297.9c-11.2 11.2-11.2 29.5 0 40.7l117 117c11.2 11.2 29.5 11.2 40.7 0L459.7 210c2.7-2.7 4.2-6.4 4.2-10.2v-123C464 60.9 451.1 48 435.2 48zm-47.7 111.8c-20.4 2.2-37.4-14.9-35.3-35.3 1.6-14.8 13.5-26.8 28.3-28.3 20.4-2.2 37.4 14.9 35.3 35.3-1.6 14.8-13.5 26.7-28.3 28.3z"}}]})(props);
};
function IoIosPricetags (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.3 32H285.1c-3.7 0-7.2 1.5-9.8 4.1L40.1 272.2c-10.8 10.8-10.8 28.4 0 39.2l111.5 112.5C162.4 434.7 179 440 195 426l231.9-232.3c2.6-2.6 4.1-6.1 4.1-9.8V59.7c0-15.3-12.4-27.7-27.7-27.7zm-45.9 107.5c-19.6 2.1-36-14.4-33.9-33.9 1.5-14.3 13-25.7 27.3-27.3 19.6-2.1 36 14.4 33.9 33.9-1.5 14.3-13 25.8-27.3 27.3z"}},{"tag":"path","attr":{"d":"M456 80.3V194c0 3.7-1.5 7.2-4.1 9.8L192.7 463l8.8 8.8c10.8 10.8 28.4 10.8 39.2 0l235.2-236.2c2.6-2.6 4.1-6.1 4.1-9.8V107.7c0-14-10.5-25.6-24-27.4z"}}]})(props);
};
function IoIosPrint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 248v200c0 8.8 7.2 16 16 16h224c8.8 0 16-7.2 16-16V248c0-8.8-7.2-16-16-16H144c-8.8 0-16 7.2-16 16zM384 48H128c-8.8 0-16 7.2-16 16v20c0 2.2 1.8 4 4 4h280c2.2 0 4-1.8 4-4V64c0-8.8-7.2-16-16-16z"}},{"tag":"path","attr":{"d":"M432.5 112h-352C62.9 112 48 125.8 48 143.3v174.4c0 17.5 14.9 32.3 32.5 32.3H96c4.4 0 8-3.6 8-8V236c0-15.5 12.5-28 28-28h248c15.5 0 28 12.5 28 28v106c0 4.4 3.6 8 8 8h16.5c17.6 0 31.5-14.8 31.5-32.3V143.3c0-17.5-13.9-31.3-31.5-31.3z"}}]})(props);
};
function IoIosPulse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M434.6 272.1c-22.4-1.2-41.6 13.2-48.2 32.9h-38.9l-28.4-85.4c-2.2-6.6-8.3-11-15.2-11h-.3c-7 .1-13.1 4.8-15 11.6l-44.5 155.3-52.3-314.1c-1.2-7.5-7.6-13.1-15.2-13.4-7.6-.3-14.3 4.8-16.2 12.1l-53 244.9H48c-8.8 0-16 7.2-16 16s7.2 16 16 16h72c7.3 0 13.8-5 15.5-12.1l37.4-182.2 51.3 307.9c1.2 7.4 7.4 12.9 14.9 13.3h.9c7.1 0 13.4-4.7 15.4-11.6l49.7-173.6 15.7 47.3c2.2 6.5 8.3 11 15.2 11h51.1c6.9 18 24.4 31 44.9 31 27 0 48.8-22.3 48-49.5-.8-24.8-20.7-45.1-45.4-46.4z"}}]})(props);
};
function IoIosQrScanner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M174 64h-58.8C78.1 64 48 94.1 48 131.2V190c0 7.7 6.3 14 14 14s14-6.3 14-14v-59.8c0-9.1 4.3-18.7 11.7-26.2 7.5-7.6 17.2-12 26.5-12H174c7.7 0 14-6.3 14-14s-6.3-14-14-14zM397.8 64H338c-7.7 0-14 6.3-14 14s6.3 14 14 14h59.8c9.3 0 19 4.4 26.5 12 7.4 7.5 11.7 17.1 11.7 26.2V190c0 7.7 6.3 14 14 14s14-6.3 14-14v-59.8c0-36.5-29.7-66.2-66.2-66.2zM174 420h-59.8c-9.3 0-19-4.4-26.5-12-7.4-7.5-11.7-17.1-11.7-26.2V322c0-7.7-6.3-14-14-14s-14 6.3-14 14v59.8c0 36.5 29.7 66.2 66.2 66.2H174c7.7 0 14-6.3 14-14s-6.3-14-14-14zM450 308c-7.7 0-14 6.3-14 14v59.8c0 9.1-4.3 18.7-11.7 26.2-7.5 7.6-17.2 12-26.5 12H338c-7.7 0-14 6.3-14 14s6.3 14 14 14h58.8c37 0 67.2-30.1 67.2-67.2V322c0-7.7-6.3-14-14-14z"}}]})(props);
};
function IoIosQuote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M209 96h-65c-26.4 0-48 21.6-48 48v128c0 26.4 21.6 48 48 48h38.7c4.6 0 8.3 3.9 8 8.6-2.3 35.5-18.8 60.2-31.3 74.1-4.7 5.2-1 13.4 5.9 13.4h39.9c2.5 0 4.8-1.1 6.3-3.1 7.4-9.6 28.5-41.6 28.5-93.9v-192c0-17.8-13.3-31.1-31-31.1zM385 96h-65c-26.4 0-48 21.6-48 48v128c0 26.4 21.6 48 48 48h38.7c4.6 0 8.3 3.9 8 8.6-2.3 35.5-18.8 60.2-31.3 74.1-4.7 5.2-1 13.4 5.9 13.4h39.9c2.5 0 4.8-1.1 6.3-3.1 7.4-9.6 28.5-41.6 28.5-93.9v-192c0-17.8-13.3-31.1-31-31.1z"}}]})(props);
};
function IoIosRadioButtonOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 76c48.1 0 93.3 18.7 127.3 52.7S436 207.9 436 256s-18.7 93.3-52.7 127.3S304.1 436 256 436c-48.1 0-93.3-18.7-127.3-52.7S76 304.1 76 256s18.7-93.3 52.7-127.3S207.9 76 256 76m0-28C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48z"}}]})(props);
};
function IoIosRadioButtonOn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 76c48.1 0 93.3 18.7 127.3 52.7S436 207.9 436 256s-18.7 93.3-52.7 127.3S304.1 436 256 436c-48.1 0-93.3-18.7-127.3-52.7S76 304.1 76 256s18.7-93.3 52.7-127.3S207.9 76 256 76m0-28C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48z"}},{"tag":"path","attr":{"d":"M363.5 148.5C334.8 119.8 296.6 104 256 104c-40.6 0-78.8 15.8-107.5 44.5C119.8 177.2 104 215.4 104 256s15.8 78.8 44.5 107.5C177.2 392.2 215.4 408 256 408c40.6 0 78.8-15.8 107.5-44.5C392.2 334.8 408 296.6 408 256s-15.8-78.8-44.5-107.5z"}}]})(props);
};
function IoIosRadio (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M60 256c0-51 18.6-97.9 54-135.6 5.3-5.7 5.2-14.8-.4-20.3-2.6-2.6-6.1-4.1-9.7-4.1-3.8 0-7.4 1.6-10.1 4.4C53.3 143.7 32 197.4 32 256c0 58.5 21.3 112.3 61.7 155.5 2.7 2.9 6.3 4.5 10.2 4.5 3.6 0 7.1-1.4 9.7-3.9 2.7-2.6 4.3-6.2 4.4-10 .1-3.9-1.3-7.6-4-10.3C78.6 353.9 60 307 60 256zM418.2 100.4c-2.6-2.8-6.2-4.4-10-4.4-3.6 0-7.1 1.4-9.7 3.9-2.7 2.6-4.3 6.2-4.4 10-.1 3.9 1.3 7.6 4 10.3 35.3 37.8 54 84.7 54 135.7s-18.6 97.9-54 135.7c-5.3 5.6-5.2 14.7.3 20.2 2.5 2.6 6 4 9.7 4 3.9 0 7.6-1.6 10.2-4.6 40.4-43 61.7-96.7 61.7-155.2 0-58.5-21.3-112.4-61.8-155.6z"}},{"tag":"path","attr":{"d":"M159.2 347.7c-24.1-24.3-37.3-56.6-37.3-90.9 0-35 13.8-67.9 38.8-92.4 5.5-5.3 5.6-14.2.2-19.8-2.6-2.7-6.2-4.2-10-4.2-3.7 0-7.2 1.4-9.8 4C110.7 174.2 94 214.1 94 256.8c0 41.6 16.1 80.9 45.3 110.6 2.7 2.7 6.2 4.2 9.9 4.2s7.2-1.5 9.8-4.2c2.6-2.6 4.1-6.1 4.1-9.8.2-3.7-1.2-7.2-3.9-9.9zM371 144.5c-2.6-2.6-6-4-9.8-4-3.8 0-7.3 1.5-10 4.1-5.4 5.4-5.4 14.3.1 19.8 25 24.5 38.7 56.5 38.7 91.5 0 34.2-13.1 67.4-37.1 91.8-5.4 5.4-5.3 14.3.1 19.7 2.6 2.6 6.2 4.1 9.8 4.1 3.8 0 7.4-1.5 9.9-4.1C402 337.7 418 297.6 418 256c0-42.5-16.7-81.5-47-111.5z"}},{"tag":"path","attr":{"d":"M207.1 183.4c-2.6-2.7-6.2-4.2-10-4.2-3.7 0-7.2 1.4-9.8 4.1-19.8 19.5-30.8 45.6-30.8 73.3 0 27.1 10.5 52.7 29.5 72.1 2.7 2.7 6.2 4.2 10 4.2 3.7 0 7.2-1.4 9.8-4 2.7-2.6 4.2-6.1 4.2-9.9 0-3.8-1.4-7.3-4.1-10-13.8-14-21.4-32.6-21.4-52.5 0-20.3 8-39.2 22.4-53.4 5.4-5.2 5.5-14.1.2-19.7zM325.7 183.2c-2.6-2.6-6-4-9.8-4-3.8 0-7.3 1.5-10 4.1-5.4 5.4-5.4 14.3.1 19.8 14.5 14.3 22.4 33.3 22.4 53.5 0 19.8-7.6 38.5-21.5 52.5-2.6 2.6-4.1 6.2-4 9.9 0 3.7 1.5 7.2 4.1 9.8 2.6 2.6 6.2 4.1 9.8 4.1 3.7 0 7.3-1.5 9.9-4.2 19.1-19.4 29.6-45 29.6-72.1.1-27.8-10.8-53.8-30.6-73.4zM256 218c-21 0-38 17-38 38s17 38 38 38 38-17 38-38-17.1-38-38-38z"}}]})(props);
};
function IoIosRainy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M433.9 175.6c-19-17.6-44.6-27.3-72.1-27.3h-5.6c-6.5-23.5-19.4-43.5-37.6-58.2C297.3 73 269.5 64 238.1 64c-32.7 0-63.2 11.7-86 32.9-22.8 21.2-35.5 50-36.1 81.4-17.5 4-33.6 13.7-46 27.9-14.2 16.2-22 36.6-22 57.4 0 44.6 34.9 82.6 77.4 86L101.2 382c-2.4 3.2-3.3 7.2-2.7 11.1.6 3.9 2.8 7.3 6 9.6 2.5 1.8 5.5 2.7 8.6 2.7 5.2 0 9.8-2.1 12.5-5.8l37.1-50h35.1l-55.3 75.1c-2.3 3.2-3.4 6.9-2.9 10.6.5 3.9 2.6 7.4 5.9 9.8 3.5 2.5 7.5 2.8 9 2.8 7.2 0 11.2-3.5 13.4-6.4l67.4-91.8H270L246 382c-2.4 3.3-3.4 7.2-2.7 11.1.6 3.9 2.8 7.3 6 9.6 2.5 1.8 5.5 2.7 8.6 2.7 5.2 0 9.8-2.1 12.5-5.8l37-50h35.1l-55.3 75.1c-2.3 3.2-3.4 7-2.9 10.6.5 3.8 2.6 7.2 5.9 9.6 2.6 1.9 5.9 3 8.9 3 5.1 0 9.7-2.2 12.5-6l69.7-95.1c22.4-4.5 43-16.6 58.1-34.5 15.9-18.8 24.7-42.6 24.7-67.1-.1-26.8-10.8-51.6-30.2-69.6z"}}]})(props);
};
function IoIosRecording (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M386.2 146h-.1c-60.6 0-109.8 49.2-109.8 110.1 0 30.5 12.3 58 32.3 77.9H203.5c19.9-19.9 32.3-47.5 32.3-77.9 0-60.8-49.2-110.1-109.8-110.1h-.1-.1C65.2 146 16 195.2 16 256s49.2 110 109.8 110h260.4c60.6 0 109.8-49.2 109.8-110s-49.2-110-109.8-110zM464 256c0 43.1-34.9 78.2-77.9 78.2s-77.9-35.1-77.9-78.2 34.9-78.2 77.9-78.2S464 212.9 464 256zm-338.1 78.2C83 334.2 48 299.1 48 256s34.9-78.2 77.9-78.2 77.9 35.1 77.9 78.2-34.9 78.2-77.9 78.2z"}}]})(props);
};
function IoIosRedo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 432h2.9c1.8 0 3.5-1.1 4.1-2.8 2.2-5.7 8.3-19.8 21.4-39.7 21.5-32.7 58.4-67.4 94.5-83.5 27.6-12.4 53-21.5 97.1-23.2 2.3-.1 4.2 1.7 4.2 4v81.6c0 3.2 3.6 5.1 6.2 3.4l215.9-142.2c2.4-1.6 2.4-5.1 0-6.7l-216-142.2c-2.7-1.8-6.2.1-6.2 3.4v82.6c0 2.2-1.7 3.9-3.8 4-71.6 3.8-123.1 24.8-163.4 65.5-61 61.6-56.8 139.1-56.8 158.7 0 10.3-.1 25.3-.1 37.1z"}}]})(props);
};
function IoIosRefreshCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm0 336.1c-70.7 0-128-57.3-128-128.1s57.3-128.1 128-128.1v-37c0-6.4 7.1-10.2 12.4-6.7l72.9 52.6c4.9 3.3 4.7 10.6-.4 13.6L268 196.7c-5.3 3.1-12-.8-12-6.9v-41.9c-60.3 0-109.2 49.7-108.1 110.2 1.1 59.1 50.3 106.7 109.5 106 55.9-.7 101.8-43.7 106.3-99 .4-5.2 4.7-9.1 9.9-9.1 5.8 0 10.4 4.9 9.9 10.7-5.4 66-60.4 117.4-127.5 117.4z"}}]})(props);
};
function IoIosRefresh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M433 288.8c-7.7 0-14.3 5.9-14.9 13.6-6.9 83.1-76.8 147.9-161.8 147.9-89.5 0-162.4-72.4-162.4-161.4 0-87.6 70.6-159.2 158.2-161.4 2.3-.1 4.1 1.7 4.1 4v50.3c0 12.6 13.9 20.2 24.6 13.5L377 128c10-6.3 10-20.8 0-27.1l-96.1-66.4c-10.7-6.7-24.6.9-24.6 13.5v45.7c0 2.2-1.7 4-3.9 4C148 99.8 64 184.6 64 288.9 64 394.5 150.1 480 256.3 480c100.8 0 183.4-76.7 191.6-175.1.8-8.7-6.2-16.1-14.9-16.1z"}}]})(props);
};
function IoIosRemoveCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M346.5 240h-181c-8.8 0-16 6-16 16s7.5 16 16 16h181c8.8 0 16-7.2 16-16s-7.2-16-16-16z"}},{"tag":"path","attr":{"d":"M256 76c48.1 0 93.3 18.7 127.3 52.7S436 207.9 436 256s-18.7 93.3-52.7 127.3S304.1 436 256 436c-48.1 0-93.3-18.7-127.3-52.7S76 304.1 76 256s18.7-93.3 52.7-127.3S207.9 76 256 76m0-28C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48z"}}]})(props);
};
function IoIosRemoveCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm90.5 224h-181c-8.5 0-16-6-16-16s7.2-16 16-16h181c8.8 0 16 7.2 16 16s-7.2 16-16 16z"}}]})(props);
};
function IoIosRemove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M368.5 240h-225c-8.8 0-16 7.2-16 16 0 4.4 1.8 8.4 4.7 11.3 2.9 2.9 6.9 4.7 11.3 4.7h225c8.8 0 16-7.2 16-16s-7.2-16-16-16z"}}]})(props);
};
function IoIosReorder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M80 304h352v16H80zM80 248h352v16H80zM80 192h352v16H80z"}}]})(props);
};
function IoIosRepeat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M336.6 157.5L303 124.1c-3.5-3.5-8.5-4.9-13.6-3.6-1.2.3-2.4.8-3.5 1.5-4.7 2.9-7.2 7.8-6.8 13.1.2 3.4 1.9 6.6 4.3 9.1l16 15.9H142c-20.8 0-40.3 8.1-55.1 22.9C72.1 197.7 64 217.2 64 238v16c0 7.7 6.3 14 14 14s14-6.3 14-14v-16c0-13.3 5.2-25.8 14.7-35.3 9.5-9.5 22-14.7 35.3-14.7h155.4l-16 15.9c-2.4 2.4-4 5.4-4.3 8.7-.4 4.2 1.1 8.3 4.1 11.3 2.6 2.6 6.2 4.1 9.9 4.1s7.2-1.4 9.9-4.1l35.6-35.4c4.2-4.1 6.5-9.7 6.5-15.5-.1-5.9-2.4-11.4-6.5-15.5zM434 244c-7.7 0-14 6.3-14 14v16c0 13.3-5.2 25.8-14.7 35.3-9.5 9.5-22 14.7-35.3 14.7H214.6l16-15.9c2.4-2.4 4-5.4 4.3-8.8.4-4.2-1.1-8.3-4.1-11.3-2.6-2.6-6.2-4.1-9.9-4.1s-7.2 1.4-9.9 4.1l-35.6 35.4c-4.2 4.1-6.5 9.7-6.5 15.5 0 5.9 2.3 11.4 6.5 15.5l33.6 33.4c3.5 3.5 8.5 4.9 13.6 3.6 1.2-.3 2.4-.8 3.5-1.5 4.7-2.9 7.2-7.8 6.8-13.1-.2-3.4-1.9-6.6-4.3-9.1l-16-15.9H370c43 0 78-35 78-78v-16c0-7.5-6.3-13.8-14-13.8z"}}]})(props);
};
function IoIosResize (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M418.3 80H307.8c-7.5 0-13.7 6.1-13.7 13.7v.2c0 7.5 6.1 13.7 13.7 13.7h76.5L107.6 384.3v-76.5c0-7.5-6.1-13.7-13.7-13.7h-.2c-7.5 0-13.7 6.1-13.7 13.7v110.5c0 7.5 6.1 13.7 13.7 13.7h110.5c7.5 0 13.7-6.1 13.7-13.7v-.2c0-7.5-6.1-13.7-13.7-13.7h-76.5l276.7-276.7v76.5c0 7.5 6.1 13.7 13.7 13.7h.2c7.5 0 13.7-6.1 13.7-13.7V93.7c0-7.6-6.1-13.7-13.7-13.7z"}}]})(props);
};
function IoIosRestaurant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M384 64c-24.8 0-48 77.3-48 160 0 57 32 80 32 80v128c0 8.8 7.2 16 16 16s16-7.2 16-16V75c0-11-11-11-16-11zM288 64l10 104c0 4.4-3.6 8-8 8s-8-3.6-8-8l-6-104h-8l-6 104c0 4.4-3.6 8-8 8s-8-3.6-8-8l10-104h-8s-24 107.2-24 128 13.4 38.6 32 45.2V432c0 8.8 7.2 16 16 16s16-7.2 16-16V237.2c18.6-6.6 32-24.2 32-45.2S296 64 296 64h-8zM160 64c-26.5 0-48 64-48 128 0 20.8 13.4 38.6 32 45.2V432c0 8.8 7.2 16 16 16s16-7.2 16-16V237.2c18.6-6.6 32-24.2 32-45.2 0-64-21.5-128-48-128z"}}]})(props);
};
function IoIosReturnLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M70.5 265.4l59.6-59.4c2.6-2.6 6.1-4.1 9.9-4.1 3.7 0 7.3 1.4 9.9 4.1 2.6 2.6 4.1 6.1 4.1 9.9s-1.5 7.3-4.1 9.9l-.1.1-41.1 40.1H370c13.2 0 25.8-5.2 35.3-14.7 9.5-9.4 14.7-21.9 14.7-35.3v-48c0-7.7 6.3-14 14-14s14 6.3 14 14v48c0 20.8-8.1 40.3-22.9 55.1-14.8 14.8-34.3 22.9-55.1 22.9H108.3l39.6 40.2c2.6 2.6 4.1 6.1 4.1 9.9 0 3.7-1.4 7.3-4.1 9.9l-.1.1c-2.7 2.5-6.2 3.9-9.8 3.9-3.9 0-7.3-1.4-9.9-4.1l-57.6-57.4c-4.2-4.2-6.5-9.8-6.5-15.7 0-5.8 2.3-11.3 6.5-15.4z"}}]})(props);
};
function IoIosReturnRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M441.5 265.4L381.9 206c-2.6-2.6-6.1-4.1-9.9-4.1-3.7 0-7.3 1.4-9.9 4.1-2.6 2.6-4.1 6.1-4.1 9.9s1.5 7.3 4.1 9.9l.1.1 41.1 40.1H142c-13.2 0-25.8-5.2-35.3-14.7-9.5-9.5-14.7-22-14.7-35.3v-48c0-7.7-6.3-14-14-14s-14 6.3-14 14v48c0 20.8 8.1 40.3 22.9 55.1 14.8 14.8 34.3 22.9 55.1 22.9h261.7L364 334.2c-2.6 2.6-4.1 6.1-4.1 9.9 0 3.7 1.4 7.3 4.1 9.9l.1.1c2.7 2.5 6.2 3.9 9.8 3.9 3.9 0 7.3-1.4 9.9-4.1l57.6-57.4c4.2-4.2 6.5-9.8 6.5-15.7.1-5.8-2.2-11.3-6.4-15.4z"}}]})(props);
};
function IoIosReverseCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M417.5 160H363c-4.6 0-8.9-2-12-5.4-28.4-31.8-39.1-42.6-50.7-42.6h-85.5c-11.7 0-23.2 10.8-51.7 42.7-3 3.4-7.4 5.3-11.9 5.3h-4.1v-8c0-4.4-3.6-8-8-8h-26c-4.4 0-8 3.6-8 8v8h-7.5C79.9 160 64 173.2 64 190.7v176c0 17.5 15.9 33.3 33.5 33.3h320c17.6 0 30.5-15.8 30.5-33.3v-176c0-17.5-12.9-30.7-30.5-30.7zM308.3 340.5c-.8 2.5-2.6 4.6-4.8 6.1-14.1 9.7-30.5 14.8-47.5 14.8-21 0-41.2-8.1-57.1-22.7-14.6-13.5-24.1-31.2-27-50.2h-20.4c-3.2 0-6-2.8-5.6-6.6.1-.7.3-1.3.7-1.8l31.5-42.3c1.1-1.4 2.7-2.2 4.4-2.2 1.7 0 3.3.8 4.4 2.2l32.2 41.8c2 2.6 1.5 6.4-1.8 8.5-.6.4-1.2.5-1.9.5h-20.8c2.7 12.8 9.7 24.8 19.9 34 11.6 10.6 26.3 16.4 41.4 16.4 12.3 0 24.4-4 35.1-11.5 1.9-1.3 4.2-2.1 6.5-2.1 3.2 0 6.2 1.3 8.3 3.7 2.9 3 3.9 7.3 2.5 11.4zm56.6-67.5l-31.2 42.9c-1.8 2.5-5.5 3.2-8.3.8-.2-.2-.4-.4-.5-.6L292.5 273c-2-2.6-1.4-6.5 1.9-8.5.6-.3 1.2-.5 1.9-.5h21c-2.7-13.6-9.7-26.1-19.9-35.6-11.5-10.7-26.2-16.6-41.3-16.6-12.5 0-24.6 3.9-35.2 11.3-1.9 1.3-4.1 2-6.4 2-3.1 0-6.1-1.3-8.2-3.6-2.8-3-3.8-7.4-2.5-11.5.8-2.5 2.6-4.6 4.7-6 14.1-9.7 30.6-14.8 47.6-14.8 21.7 0 42.2 7.9 57.8 22.3 13.3 12.3 23.2 32.1 26.2 52.4h21.1c.6 0 1.3.2 1.8.5 3.2 2.1 3.8 6 1.9 8.6z"}}]})(props);
};
function IoIosRewind (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M35.9 249.3L244 129.1c5.4-3.1 12.3.6 12.3 6.7V251l211.3-121.9c5.4-3.1 12.3.6 12.3 6.7v240.3c0 6.1-6.9 9.8-12.3 6.7L256.4 261v115.2c0 6.1-6.9 9.8-12.3 6.7L35.9 262.7c-5.2-3-5.2-10.4 0-13.4z"}}]})(props);
};
function IoIosRibbon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M254.9 293.4c73 .6 132.3-58.7 131.7-131.8-.6-69.9-59.7-129-129.5-129.6-73-.6-132.3 58.7-131.7 131.8.6 69.9 59.7 129 129.5 129.6zm-3.7-204.1c44.3-2.8 80.9 33.8 78.1 78.2-2.3 36.6-31.9 66.2-68.5 68.6-44.3 2.8-80.9-33.8-78.1-78.2 2.3-36.6 31.9-66.2 68.5-68.6z"}},{"tag":"path","attr":{"d":"M256 308.4c-42.8 0-81.4-18.1-108.5-47-1.9-2-5.2-1.7-6.6.7L65.1 394.8c-3.1 5.5.8 12.3 7.2 12.3h80.1c2.9 0 5.6 1.5 7.1 4l39 64.9c3.4 5.7 11.8 5.2 14.6-.8l43-94.6 31.3-68.9c1.4-3-1.2-6.3-4.5-5.7-8.8 1.5-17.7 2.4-26.9 2.4zM364.5 261.3c-14.6 15.5-32.4 28-52.5 36.1-1 .4-1.8 1.1-2.2 2.1l-44.7 97.7c-.5 1.1-.5 2.3 0 3.4l33.9 74.5c2.7 6 11.2 6.5 14.6.8l39-64.9c1.5-2.5 4.2-4 7.1-4h80.1c6.3 0 10.3-6.8 7.2-12.3l-75.8-132.8c-1.5-2.2-4.8-2.6-6.7-.6z"}}]})(props);
};
function IoIosRocket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M461.8 53.6c-.4-1.7-1.6-3-3.3-3.4-54.4-13.3-180.1 34.1-248.2 102.2-13.3 13.3-24.2 26.4-33.1 39.1-21-1.9-42-.3-59.9 7.5-50.5 22.2-65.2 80.2-69.3 105.1-1 5.9 3.9 11 9.8 10.4l81.1-8.9c.1 7.8.6 14 1.1 18.3.4 4.2 2.3 8.1 5.3 11.1l31.4 31.4c3 3 6.9 4.9 11.1 5.3 4.3.5 10.5 1 18.2 1.1l-8.9 81c-.6 5.9 4.5 10.8 10.4 9.8 24.9-4 83-18.7 105.1-69.2 7.8-17.9 9.4-38.8 7.6-59.7 12.7-8.9 25.9-19.8 39.2-33.1 68.4-68 115.5-190.9 102.4-248zM298.6 213.5c-16.7-16.7-16.7-43.7 0-60.4 16.7-16.7 43.7-16.7 60.4 0 16.7 16.7 16.7 43.7 0 60.4-16.7 16.7-43.7 16.7-60.4 0z"}},{"tag":"path","attr":{"d":"M174.5 380.5c-4.2 4.2-11.7 6.6-19.8 8-18.2 3.1-34.1-12.8-31-31 1.4-8.1 3.7-15.6 7.9-19.7l.1-.1c2.3-2.3.4-6.1-2.8-5.7-9.8 1.2-19.4 5.6-26.9 13.1-18 18-19.7 84.8-19.7 84.8s66.9-1.7 84.9-19.7c7.6-7.6 11.9-17.1 13.1-26.9.3-3.2-3.6-5.1-5.8-2.8z"}}]})(props);
};
function IoIosRose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 141.1c-18.9 3.9-36.8 8.2-53.7 12.8-40.5 11-75.5 24.9-105.4 38.2-19.3 8.6-26.2 12.4-51.5 25.9C147 248.9 112 289 112 349c0 67.8 55.6 115 144 115s144-51.2 144-119c0-67.7-61-114.7 16-203.9zM135.4 241.8c12.8-10.5 31.2-23.9 56.1-38.4 6.4-3.8 13.3-7.6 20.6-11.4 11.6-6.1 23.5-11.9 35.8-17.4-9.1-10.1-22.1-19.1-36.6-27C162.6 121.1 96 107.4 96 107.4c41.5 43.7 44.6 96.5 39.4 134.4zM352 77.7s-73.8-.9-125.8 55c0 0 27.7 17.3 42.7 32.3 37.2-15.6 82.3-28.6 115.2-36-6.5-21.7-32.1-51.3-32.1-51.3zM239.7 97C210.3 59.5 176 48 176 48c-15.3 20.8-24.3 38-29 51.7 21.1 5.9 36.5 12.3 62.4 24.7 9.5-10.6 18.1-19.1 30.3-27.4z"}}]})(props);
};
function IoIosSad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256c0 114.7 93.3 208 208 208 114.9 0 208-93.1 208-208 0-114.7-93.3-208-208-208zm-73.9 152.1c14.8-1.2 27 11.1 25.9 25.9-.9 11.6-10.3 21.1-22 22-14.8 1.2-27-11.1-25.9-25.9.9-11.7 10.3-21.1 22-22zm-.7 151.9c-11.5 0-19.3-11.8-14.7-22.4 15-34.5 49.2-58.6 89.3-58.6s74.2 24.1 89.3 58.6c4.6 10.6-3.1 22.4-14.7 22.4 0 0-34.7-4-73.1-4-38.5 0-76.1 4-76.1 4zm148.5-104.1c-14.8 1.2-27-11.1-25.9-25.9.9-11.6 10.3-21.1 22-22 14.8-1.2 27 11.1 25.9 25.9-.9 11.7-10.3 21.1-22 22z"}}]})(props);
};
function IoIosSave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M272 64h-16c-4.4 0-8 3.6-8 8v72c0 4.4 7.6 8 12 8h12c4.4 0 8-3.6 8-8V72c0-4.4-3.6-8-8-8z"}},{"tag":"path","attr":{"d":"M433.9 130.1L382 78.2c-9-9-21.3-14.2-34.1-14.2h-28c-8.8 0-16 7.3-16 16.2v80c0 8.8-7.2 16-16 16H160c-8.8 0-16-7.2-16-16v-80c0-8.8-7.2-16.2-16-16.2H96c-17.6 0-32 14.4-32 32v320c0 17.6 14.4 32 32 32h320c17.6 0 32-14.4 32-32V164c0-12.7-5.1-24.9-14.1-33.9zM322 400.1c0 8.8-8 16-17.8 16H143.8c-9.8 0-17.8-7.2-17.8-16v-96c0-8.8 8-16 17.8-16h160.4c9.8 0 17.8 7.2 17.8 16v96z"}}]})(props);
};
function IoIosSchool (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96.9 270.3V363c0 2.9 1.5 5.5 4 7l132 75.9c5.3 3.1 12-.8 12-7v-93.8c0-2.9-1.5-5.5-4-7l-132-74.9c-5.4-2.9-12 1-12 7.1zM280.9 445.9L413 370c2.5-1.4 4-4.1 4-7v-93.7c0-6.2-6.6-10-12-7l-132 75.9c-2.5 1.4-4 4.1-4 7V439c-.1 6.1 6.6 10 11.9 6.9z"}},{"tag":"path","attr":{"d":"M249 65.1L37 188.9c-5.4 3.1-5.4 10.8 0 13.9l212 117.8c4.9 2.8 11 2.8 15.9 0L453 212.9c5.3-3.1 7 .8 7 7v153.4c0 6.8 3.9 10 11 10 4.4 0 10-3.2 10-10V201.5c0-2.9-1.5-5.5-4-7L264.9 65.1c-4.9-2.8-11-2.8-15.9 0z"}}]})(props);
};
function IoIosSearch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M443.5 420.2L336.7 312.4c20.9-26.2 33.5-59.4 33.5-95.5 0-84.5-68.5-153-153.1-153S64 132.5 64 217s68.5 153 153.1 153c36.6 0 70.1-12.8 96.5-34.2l106.1 107.1c3.2 3.4 7.6 5.1 11.9 5.1 4.1 0 8.2-1.5 11.3-4.5 6.6-6.3 6.8-16.7.6-23.3zm-226.4-83.1c-32.1 0-62.3-12.5-85-35.2-22.7-22.7-35.2-52.9-35.2-84.9 0-32.1 12.5-62.3 35.2-84.9 22.7-22.7 52.9-35.2 85-35.2s62.3 12.5 85 35.2c22.7 22.7 35.2 52.9 35.2 84.9 0 32.1-12.5 62.3-35.2 84.9-22.7 22.7-52.9 35.2-85 35.2z"}}]})(props);
};
function IoIosSend (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M435.9 64.9l-367.1 160c-6.5 3.1-6.3 12.4.3 15.3l99.3 56.1c5.9 3.3 13.2 2.6 18.3-1.8l195.8-168.8c1.3-1.1 4.4-3.2 5.6-2 1.3 1.3-.7 4.3-1.8 5.6L216.9 320.1c-4.7 5.3-5.4 13.1-1.6 19.1l64.9 104.1c3.2 6.3 12.3 6.2 15.2-.2L447.2 76c3.3-7.2-4.2-14.5-11.3-11.1z"}}]})(props);
};
function IoIosSettings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416.3 256c0-21 13.1-38.9 31.7-46.1-4.9-20.5-13-39.7-23.7-57.1-6.4 2.8-13.2 4.3-20.1 4.3-12.6 0-25.2-4.8-34.9-14.4-14.9-14.9-18.2-36.8-10.2-55-17.3-10.7-36.6-18.8-57-23.7C295 82.5 277 95.7 256 95.7S217 82.5 209.9 64c-20.5 4.9-39.7 13-57.1 23.7 8.1 18.1 4.7 40.1-10.2 55-9.6 9.6-22.3 14.4-34.9 14.4-6.9 0-13.7-1.4-20.1-4.3C77 170.3 68.9 189.5 64 210c18.5 7.1 31.7 25 31.7 46.1 0 21-13.1 38.9-31.6 46.1 4.9 20.5 13 39.7 23.7 57.1 6.4-2.8 13.2-4.2 20-4.2 12.6 0 25.2 4.8 34.9 14.4 14.8 14.8 18.2 36.8 10.2 54.9 17.4 10.7 36.7 18.8 57.1 23.7 7.1-18.5 25-31.6 46-31.6s38.9 13.1 46 31.6c20.5-4.9 39.7-13 57.1-23.7-8-18.1-4.6-40 10.2-54.9 9.6-9.6 22.2-14.4 34.9-14.4 6.8 0 13.7 1.4 20 4.2 10.7-17.4 18.8-36.7 23.7-57.1-18.4-7.2-31.6-25.1-31.6-46.2zm-159.4 79.9c-44.3 0-80-35.9-80-80s35.7-80 80-80 80 35.9 80 80-35.7 80-80 80z"}}]})(props);
};
function IoIosShareAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M444.7 230.4l-141.1-132c-1.7-1.6-3.3-2.5-5.6-2.4-4.4.2-10 3.3-10 8v66.2c0 2-1.6 3.8-3.6 4.1C144.1 195.8 85 300.8 64.1 409.8c-.8 4.3 5 8.3 7.7 4.9 51.2-64.5 113.5-106.6 212-107.4 2.2 0 4.2 2.6 4.2 4.8v65c0 7 9.3 10.1 14.5 5.3l142.1-134.3c2.6-2.4 3.4-5.2 3.5-8.4-.1-3.2-.9-6.9-3.4-9.3z"}}]})(props);
};
function IoIosShare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M376 176H269v146.6c0 7-5.4 13-12.4 13.4-7.5.4-13.6-5.6-13.6-13V176H136c-22 0-40 18-40 40v208c0 22 18 40 40 40h240c22 0 40-18 40-40V216c0-22-18-40-40-40zM269 92.1l47.9 47.2c5.1 5 13.3 5 18.4-.1 5-5.1 5-13.3-.1-18.4l-70-69c-2.5-2.4-5.8-3.7-9.1-3.7-1.7 0-3.4.3-5 1-1.5.6-2.9 1.6-4.1 2.7l-70 69c-5.1 5-5.2 13.3-.1 18.4 5 5.1 13.3 5.2 18.4.1L243 92.1V176h26V92.1z"}}]})(props);
};
function IoIosShirt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M461.8 181.7c1.3-1.6 1.2-3.8-.2-5.3-11.5-12.1-61.3-63.7-89.1-83.7C352 78 332 64 310 64s-22 8-54 8-32-8-54-8-42 14-62.5 28.7c-27.8 20-77.6 71.6-89.1 83.7-1.4 1.5-1.5 3.7-.2 5.3l61.7 64c2.4 2.9 7.1 1.2 7.1-2.5v-44.9c0-4.5 3.2-8.5 7.6-9.2 5.6-.9 10.4 3.5 10.4 8.9v242c0 4.4 3.6 8 8 8h222c4.4 0 8-3.6 8-8V198.3c0-4.5 3.2-8.5 7.6-9.2 5.6-.9 10.4 3.5 10.4 8.9v45.2c0 3.8 4.7 5.4 7.1 2.5l61.7-64zM256 143c-30 0-54-12.7-54-36 0-30 24-10.7 54-10.7 29.8 0 54-19.3 54 10.7 0 23.3-24.2 36-54 36z"}}]})(props);
};
function IoIosShuffle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405.9 288.1c-2.6-2.6-6.2-4.1-9.9-4.1s-7.2 1.4-9.9 4.1c-2.7 2.6-4.1 6.2-4.1 9.9s1.5 7.2 4.1 9.9l16.3 16.2h-75.5l-124-155-.1-.1c-2.6-3.1-6.7-5-10.8-5H78c-7.7 0-14 6.3-14 14s6.3 14 14 14h107.4l52.5 66-52.5 66H78c-7.7 0-14 6.3-14 14s6.3 14 14 14h114c4.1 0 8-1.8 10.7-5l.1-.1 53.2-66.8 53.2 66.8.1.1c2.7 3.2 6.6 5 10.7 5h84.4l-16.3 16.2c-2.7 2.6-4.1 6.1-4.1 9.9 0 3.7 1.5 7.2 4.1 9.9 2.6 2.6 6.2 4.1 9.9 4.1s7.2-1.4 9.9-4.1l33.6-33.4c4.2-4.1 6.5-9.6 6.5-15.5s-2.3-11.4-6.5-15.5l-35.6-35.5z"}},{"tag":"path","attr":{"d":"M279.4 235.4c1.1 1.4 2.8 2.1 4.6 2.1h.1c1.8 0 3.5-.8 4.6-2.2l37.9-47.3h75.8l-16.3 16.2c-2.7 2.6-4.1 6.1-4.1 9.9 0 3.7 1.5 7.2 4.1 9.9 2.6 2.6 6.2 4.1 9.9 4.1s7.2-1.4 9.9-4.1l35.6-35.4c4.2-4.1 6.5-9.7 6.5-15.5 0-5.9-2.3-11.4-6.5-15.5l-33.6-33.4c-2.6-2.6-6.2-4.1-9.9-4.1s-7.2 1.4-9.9 4.1c-2.7 2.6-4.1 6.2-4.1 9.9s1.5 7.2 4.1 9.9l16.3 16.2H320c-4.1 0-8 1.8-10.7 5l-.1.1-40.3 50.2c-1.8 2.2-1.8 5.4.1 7.6l10.4 12.3z"}}]})(props);
};
function IoIosSkipBackward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M175 100v137.8L403.9 98.1c5.3-3.1 12.1.7 12.1 6.9v302c0 6.2-6.7 10-12.1 6.9L175 274.2V412c0 2.2-1.8 4-4 4h-71c-2.2 0-4-1.8-4-4V100c0-2.2 1.8-4 4-4h71c2.2 0 4 1.8 4 4z"}}]})(props);
};
function IoIosSkipForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M337 100v137.8L108.1 98.1C102.7 95 96 98.8 96 105v302c0 6.2 6.7 10 12.1 6.9L337 274.2V412c0 2.2 1.8 4 4 4h71c2.2 0 4-1.8 4-4V100c0-2.2-1.8-4-4-4h-71c-2.2 0-4 1.8-4 4z"}}]})(props);
};
function IoIosSnow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440.5 345.8L408.1 327c11.8-12.3 26-18.2 26.2-18.3 7.5-3 11.4-11.4 8.9-19.1-1.9-5.9-7.4-9.8-13.5-9.8-1.9 0-3.7.4-5.5 1.1-1 .4-24.4 10-41.9 31.2l-96.3-56 96.3-56c17.5 21.2 40.8 30.8 41.9 31.2 1.8.7 3.6 1.1 5.5 1.1 6.1 0 11.6-4 13.5-9.8 2.5-7.7-1.4-16.1-8.9-19.1-.1-.1-14.3-6-26.2-18.3l32.4-18.8c7.2-4.2 9.6-13.4 5.5-20.6-2.7-4.7-7.7-7.6-13.1-7.6-2.6 0-5.3.7-7.6 2L393.1 159c-4.5-16.2-2.7-31.4-2.6-32 1.1-8.1-4.1-15.6-12-17.3-1-.2-2-.3-3-.3-7.1 0-13 5.2-14.1 12.4-.2 1.1-3.6 26 6.1 52.2l-96 56v-99.2c26.9-4.7 46.8-20.2 47.7-20.9 3.1-2.5 5.1-6 5.4-10 .3-4-.9-7.8-3.6-10.8-2.9-3.2-7-5.1-11.4-5.1-3.4 0-6.8 1.2-9.5 3.3-.1.1-12.2 9.4-28.6 13.6V63.1c0-8.2-7.1-15.1-15.5-15.1s-15.5 6.9-15.5 15.1v37.5c-16.3-4.2-28.4-13.5-28.6-13.6-2.7-2.1-6-3.3-9.5-3.3-4.4 0-8.5 1.9-11.4 5.1-2.7 3-4 7-3.6 10.9.3 3.9 2.3 7.4 5.4 9.9.9.7 20.8 16.2 47.7 20.9v99.2l-96-56c9.6-26 6.2-51.1 6-52.2-1-7.2-6.9-12.4-14-12.4-1 0-2 .1-3 .3-7.9 1.6-13.2 9.3-12 17.3 0 .2 2 15.5-2.6 31.9L86.6 140c-2.3-1.3-4.9-2-7.6-2-5.4 0-10.4 2.9-13.1 7.6-4.1 7.2-1.7 16.5 5.5 20.6l32.4 18.8c-11.7 12.1-25.7 18.1-26.2 18.3-7.5 3-11.4 11.4-8.9 19.1 1.9 5.9 7.4 9.8 13.5 9.8 1.9 0 3.7-.4 5.5-1.1 1-.4 24.4-10 41.9-31.2l96.3 56-96.3 56c-17.5-21.2-40.8-30.8-41.9-31.2-1.8-.7-3.6-1.1-5.5-1.1-6.1 0-11.6 4-13.5 9.8-2.5 7.7 1.4 16 8.9 19.1.5.2 14.5 6.2 26.2 18.3l-32.4 18.8c-7.2 4.2-9.6 13.4-5.5 20.6 2.7 4.7 7.7 7.6 13.1 7.6 2.6 0 5.3-.7 7.6-2l32.3-18.8c4.6 16.5 2.6 31.8 2.6 32-1.2 8 4.1 15.7 12 17.3 1 .2 2 .3 3 .3 7.1 0 13-5.2 14.1-12.4.2-1.1 3.6-26-6.1-52.2l96-56v99.2c-26.9 4.7-46.8 20.2-47.7 20.9-3.1 2.5-5.1 6-5.4 10-.3 4 .9 7.8 3.6 10.8 2.9 3.2 7 5.1 11.4 5.1 3.4 0 6.8-1.2 9.5-3.3.1-.1 12.3-9.4 28.6-13.6v37.5c0 8.2 7.1 15.1 15.5 15.1s15.5-6.9 15.5-15.1v-37.5c16.3 4.2 28.4 13.5 28.6 13.6 2.7 2.1 6.1 3.3 9.5 3.3 4.4 0 8.5-1.9 11.4-5.1 2.7-3 4-7 3.6-10.9-.3-3.9-2.3-7.4-5.4-9.9-.9-.7-20.8-16.2-47.7-20.9V282l96 56c-9.6 26-6.2 51.1-6 52.2 1 7.2 6.9 12.4 14 12.4 1 0 2-.1 3-.3 7.9-1.6 13.1-9.2 12-17.3-.1-.5-1.9-15.7 2.6-32l32.2 18.8c2.3 1.3 4.9 2 7.6 2 5.4 0 10.4-2.9 13.1-7.6 4.1-6.9 1.7-16.2-5.5-20.4z"}}]})(props);
};
function IoIosSpeedometer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 64C132.3 64 32 164.2 32 287.9c0 57 21.3 109 56.3 148.5 1.1 1.2 2.1 2.4 3.2 3.5C96.3 445 103 448 110 448c7.1 0 13.8-3 18.6-8.2 31.6-34.4 77-55.9 127.4-55.9s95.8 21.6 127.4 55.9c4.8 5.2 11.5 8.2 18.6 8.2 7 0 13.7-2.9 18.5-8.1 1.1-1.2 2.1-2.3 3.2-3.5 35-39.5 56.3-91.5 56.3-148.5C480 164.2 379.7 64 256 64zm-14 45.9c0-7.7 6.3-14 14-14s14 6.3 14 14v36c0 7.7-6.3 14-14 14s-14-6.3-14-14v-36zm-128 192H78c-7.7 0-14-6.3-14-14s6.3-14 14-14h36c7.7 0 14 6.3 14 14s-6.3 14-14 14zm51.5-104.5c-5.4 5.4-14.4 5.4-19.8 0L120.2 172c-5.4-5.4-5.4-14.4 0-19.8s14.4-5.4 19.8 0l25.5 25.5c5.4 5.4 5.4 14.3 0 19.7zm160.6 34.5l-47.5 75.5c-1.9 2.6-4.3 5.1-7 7-13.5 9.7-32.3 6.5-42-7s-6.5-32.3 7-42l75.5-47.5c3.4-2.4 8.1-2.5 11.7 0 4.5 3.2 5.5 9.5 2.3 14zm40.2-34.5c-5.4 5.4-14.4 5.4-19.8 0s-5.4-14.4 0-19.8l25.5-25.5c5.4-5.4 14.4-5.4 19.8 0s5.4 14.4 0 19.8l-25.5 25.5zM434 301.9h-36c-7.7 0-14-6.3-14-14s6.3-14 14-14h36c7.7 0 14 6.3 14 14s-6.3 14-14 14z"}}]})(props);
};
function IoIosSquareOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M388 96H124c-15.4 0-28 12.6-28 28v264c0 15.4 12.6 28 28 28h264c15.4 0 28-12.6 28-28V124c0-15.4-12.6-28-28-28zm0 284c0 4.4-3.6 8-8 8H132c-4.4 0-8-3.6-8-8V132c0-4.4 3.6-8 8-8h248c4.4 0 8 3.6 8 8v248z"}}]})(props);
};
function IoIosSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M388 416H124c-15.4 0-28-12.6-28-28V124c0-15.4 12.6-28 28-28h264c15.4 0 28 12.6 28 28v264c0 15.4-12.6 28-28 28z"}}]})(props);
};
function IoIosStarHalf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M463 192H315.9L271.2 58.6C269 52.1 262.9 48 256 48s-13 4.1-15.2 10.6L196.1 192H48c-8.8 0-16 7.2-16 16 0 .9.1 1.9.3 2.7.2 3.5 1.8 7.4 6.7 11.3l120.9 85.2-46.4 134.9c-2.3 6.5 0 13.8 5.5 18 2.9 2.1 5.6 3.9 9 3.9 3.3 0 7.2-1.7 10-3.6l118-84.1 118 84.1c2.8 2 6.7 3.6 10 3.6 3.4 0 6.1-1.7 8.9-3.9 5.6-4.2 7.8-11.4 5.5-18L352 307.2l119.9-86 2.9-2.5c2.6-2.8 5.2-6.6 5.2-10.7 0-8.8-8.2-16-17-16zm-47.4 35.2l-79.8 57.3c-10 7.2-14.2 20.2-10.2 31.8l30.1 87.7c1.3 3.7-2.9 6.8-6.1 4.6l-77.4-55.2-.1-.1c-10-7-16.1-18.3-16.1-30.5V113.3c0-2.2 3.1-2.7 3.8-.6l29.6 88.2c3.8 11.4 14.5 19.1 26.5 19.1h97.3c3.9 0 5.5 5 2.4 7.2z"}}]})(props);
};
function IoIosStarOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M463 192H315.9L271.2 58.6C269 52.1 262.9 48 256 48s-13 4.1-15.2 10.6L196.1 192H48c-8.8 0-16 7.2-16 16 0 .9.1 1.9.3 2.7.2 3.5 1.8 7.4 6.7 11.3l120.9 85.2-46.4 134.9c-2.3 6.5 0 13.8 5.5 18 2.9 2.1 5.6 3.9 9 3.9 3.3 0 7.2-1.7 10-3.6l118-84.1 118 84.1c2.8 2 6.7 3.6 10 3.6 3.4 0 6.1-1.7 8.9-3.9 5.6-4.2 7.8-11.4 5.5-18L352 307.2l119.9-86 2.9-2.5c2.6-2.8 5.2-6.6 5.2-10.7 0-8.8-8.2-16-17-16zm-127.2 92.5c-10 7.2-14.2 20.2-10.2 31.8l30.1 87.7c1.3 3.7-2.9 6.8-6.1 4.6l-77.4-55.2c-4.9-3.5-10.6-5.2-16.3-5.2-5.7 0-11.4 1.7-16.2 5.2l-77.4 55.1c-3.2 2.3-7.4-.9-6.1-4.6l30.1-87.7c4-11.8-.2-24.8-10.3-32l-81-57.1c-3.2-2.2-1.6-7.3 2.3-7.3H196c12 0 22.7-7.7 26.5-19.1l29.6-88.2c1.2-3.6 6.4-3.6 7.6 0l29.6 88.2c3.8 11.4 14.5 19.1 26.5 19.1h97.3c3.9 0 5.5 5 2.3 7.2l-79.6 57.5z"}}]})(props);
};
function IoIosStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M463 192H315.9L271.2 58.6C269 52.1 262.9 48 256 48s-13 4.1-15.2 10.6L196.1 192H48c-8.8 0-16 7.2-16 16 0 .9.1 1.9.3 2.7.2 3.5 1.8 7.4 6.7 11.3l120.9 85.2-46.4 134.9c-2.3 6.5 0 13.8 5.5 18 2.9 2.1 5.6 3.9 9 3.9 3.3 0 7.2-1.7 10-3.6l118-84.1 118 84.1c2.8 2 6.7 3.6 10 3.6 3.4 0 6.1-1.7 8.9-3.9 5.6-4.2 7.8-11.4 5.5-18L352 307.2l119.9-86 2.9-2.5c2.6-2.8 5.2-6.6 5.2-10.7 0-8.8-8.2-16-17-16z"}}]})(props);
};
function IoIosStats (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M184 448h48c4.4 0 8-3.6 8-8V72c0-4.4-3.6-8-8-8h-48c-4.4 0-8 3.6-8 8v368c0 4.4 3.6 8 8 8zM88 448h48c4.4 0 8-3.6 8-8V296c0-4.4-3.6-8-8-8H88c-4.4 0-8 3.6-8 8v144c0 4.4 3.6 8 8 8zM280.1 448h47.8c4.5 0 8.1-3.6 8.1-8.1V232.1c0-4.5-3.6-8.1-8.1-8.1h-47.8c-4.5 0-8.1 3.6-8.1 8.1v207.8c0 4.5 3.6 8.1 8.1 8.1zM368 136.1v303.8c0 4.5 3.6 8.1 8.1 8.1h47.8c4.5 0 8.1-3.6 8.1-8.1V136.1c0-4.5-3.6-8.1-8.1-8.1h-47.8c-4.5 0-8.1 3.6-8.1 8.1z"}}]})(props);
};
function IoIosStopwatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M415.9 143.7c3.1 3.1 8.2 3.1 11.3 0l11.3-11.3c3.1-3.1 3.1-8.2 0-11.3L413 95.6c-3.1-3.1-8.2-3.1-11.3 0l-11.3 11.3c-3.1 3.1-3.1 8.2 0 11.3l25.5 25.5zM84.8 143.7c3.1 3.1 8.2 3.1 11.3 0l25.5-25.5c3.1-3.1 3.1-8.2 0-11.3l-11.3-11.3c-3.1-3.1-8.2-3.1-11.3 0L73.5 121c-3.1 3.1-3.1 8.2 0 11.3l11.3 11.4z"}},{"tag":"path","attr":{"d":"M280 81.5V64c0-8.8-7.2-16-16-16h-16c-8.8 0-16 7.2-16 16v17.5C137.3 93.3 64 174.1 64 272c0 106 86 192 192 192s192-86 192-192c0-97.9-73.3-178.7-168-190.5zm-10 219.3V320c0 7.7-6.3 14-14 14s-14-6.3-14-14v-19.2c-10.7-5.2-18-16.1-18-28.8s7.3-23.6 18-28.8V144c0-7.7 6.3-14 14-14s14 6.3 14 14v99.2c10.7 5.2 18 16.1 18 28.8s-7.3 23.6-18 28.8z"}}]})(props);
};
function IoIosSubway (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 32H160c-35.2 0-64 28.8-64 64v232c0 35.2 28.8 64 64 64h192c35.2 0 64-28.8 64-64V96c0-35.2-28.8-64-64-64zM200 56h112c4.4 0 8 3.6 8 8s-3.6 8-8 8H200c-4.4 0-8-3.6-8-8s3.6-8 8-8zm-32 304c-15.5 0-28-12.5-28-28s12.5-28 28-28 28 12.5 28 28-12.5 28-28 28zm176 0c-15.5 0-28-12.5-28-28s12.5-28 28-28 28 12.5 28 28-12.5 28-28 28zm40-152c0 8.8-7.2 16-16 16H144.2c-8.8 0-16.2-7.2-16.2-16v-95.8c0-8.8 7.4-16.2 16.2-16.2H368c8.8 0 16 7.4 16 16.2V208zM393.7 455.9l-50-48c-5.6-5.4-14.4-5.2-19.8.4-5.4 5.6-5.2 14.4.4 19.8l6.1 5.9H181.5l6.1-5.9c5.6-5.4 5.8-14.2.4-19.8-5.4-5.6-14.2-5.8-19.8-.4l-50 48c-5.6 5.4-5.8 14.2-.4 19.8 2.7 2.9 6.4 4.3 10.1 4.3 3.5 0 7-1.3 9.7-3.9l14.7-14.1h207.2l14.7 14.1c2.7 2.6 6.2 3.9 9.7 3.9 3.7 0 7.4-1.4 10.1-4.3 5.5-5.6 5.3-14.4-.3-19.8z"}}]})(props);
};
function IoIosSunny (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 387c-8.5 0-15.4 6.9-15.4 15.4v46.2c0 8.5 6.9 15.4 15.4 15.4s15.4-6.9 15.4-15.4v-46.2c0-8.5-6.9-15.4-15.4-15.4zM256 48c-8.5 0-15.4 6.9-15.4 15.4v46.2c0 8.5 6.9 15.4 15.4 15.4s15.4-6.9 15.4-15.4V63.4c0-8.5-6.9-15.4-15.4-15.4zM125 256c0-8.5-6.9-15.4-15.4-15.4H63.4c-8.5 0-15.4 6.9-15.4 15.4s6.9 15.4 15.4 15.4h46.2c8.5 0 15.4-6.9 15.4-15.4zM448.6 240.6h-46.2c-8.5 0-15.4 6.9-15.4 15.4s6.9 15.4 15.4 15.4h46.2c8.5 0 15.4-6.9 15.4-15.4s-6.9-15.4-15.4-15.4zM152.5 344.1c-4.1 0-8 1.6-10.9 4.5l-32.7 32.7c-2.9 2.9-4.5 6.8-4.5 10.9s1.6 8 4.5 10.9c2.9 2.9 6.8 4.5 10.9 4.5 4.1 0 8-1.6 10.9-4.5l32.7-32.7c6-6 6-15.8 0-21.8-2.9-2.9-6.8-4.5-10.9-4.5zM359.5 167.9c4.1 0 8-1.6 10.9-4.5l32.7-32.7c2.9-2.9 4.5-6.8 4.5-10.9s-1.6-8-4.5-10.9c-2.9-2.9-6.8-4.5-10.9-4.5-4.1 0-8 1.6-10.9 4.5l-32.7 32.7c-2.9 2.9-4.5 6.8-4.5 10.9s1.6 8 4.5 10.9c2.9 2.9 6.8 4.5 10.9 4.5zM130.7 108.9c-2.9-2.9-6.8-4.5-10.9-4.5-4.1 0-8 1.6-10.9 4.5-2.9 2.9-4.5 6.8-4.5 10.9 0 4.1 1.6 8 4.5 10.9l32.7 32.7c2.9 2.9 6.8 4.5 10.9 4.5 4.1 0 8-1.6 10.9-4.5 2.9-2.9 4.5-6.8 4.5-10.9s-1.6-8-4.5-10.9l-32.7-32.7zM370.4 348.6c-2.9-2.9-6.8-4.5-10.9-4.5-4.1 0-8 1.6-10.9 4.5-6 6-6 15.8 0 21.8l32.7 32.7c2.9 2.9 6.8 4.5 10.9 4.5 4.1 0 8-1.6 10.9-4.5 2.9-2.9 4.5-6.8 4.5-10.9s-1.6-8-4.5-10.9l-32.7-32.7zM256 160c-52.9 0-96 43.1-96 96s43.1 96 96 96 96-43.1 96-96-43.1-96-96-96z"}}]})(props);
};
function IoIosSwap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M388.9 266.3c-5.1-5-5.2-13.3-.1-18.4L436 200H211c-7.2 0-13-5.8-13-13s5.8-13 13-13h224.9l-47.2-47.9c-5-5.1-5-13.3.1-18.4 5.1-5 13.3-5 18.4.1l69 70c1.1 1.2 2.1 2.5 2.7 4.1.7 1.6 1 3.3 1 5 0 3.4-1.3 6.6-3.7 9.1l-69 70c-5 5.2-13.2 5.3-18.3.3zM123.1 404.3c5.1-5 5.2-13.3.1-18.4L76.1 338H301c7.2 0 13-5.8 13-13s-5.8-13-13-13H76.1l47.2-47.9c5-5.1 5-13.3-.1-18.4-5.1-5-13.3-5-18.4.1l-69 70c-1.1 1.2-2.1 2.5-2.7 4.1-.7 1.6-1 3.3-1 5 0 3.4 1.3 6.6 3.7 9.1l69 70c5 5.2 13.2 5.3 18.3.3z"}}]})(props);
};
function IoIosSwitch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"circle","attr":{"cx":"144","cy":"368","r":"42"}},{"tag":"path","attr":{"d":"M367.5 272h-223C91.2 272 48 315.2 48 368.5S91.2 464 144.5 464h223c53.3 0 96.5-42.2 96.5-95.5S420.8 272 367.5 272zM144 432c-35.3 0-64-28.7-64-64s28.7-64 64-64 64 28.7 64 64-28.7 64-64 64z"}},{"tag":"circle","attr":{"cx":"368","cy":"144","r":"42"}},{"tag":"path","attr":{"d":"M144.5 240h223c53.3 0 96.5-42.2 96.5-95.5S420.8 48 367.5 48h-223C91.2 48 48 91.2 48 144.5S91.2 240 144.5 240zM368 80c35.3 0 64 28.7 64 64s-28.7 64-64 64-64-28.7-64-64 28.7-64 64-64z"}}]})(props);
};
function IoIosSync (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M492 257.1c-2.6-2.6-6-4-9.6-4-3.6 0-7 1.4-9.6 4l-13 13c4.3-61.8-19.5-122.5-65.3-165C356.9 70.2 307.7 51 256.1 51c-26.7 0-52.8 5.1-77.4 15.1-25.5 10.4-48.3 25.6-67.7 45.3-13.2 13.4-24.6 28.5-33.6 44.8-1.9 3.4-2.3 7.4-1.2 11.1 1.1 3.7 3.8 6.8 7.2 8.5 2 1 4.2 1.5 6.4 1.5 5.2 0 9.9-2.8 12.4-7.3 7.9-14.3 17.8-27.5 29.4-39.1 16.8-16.8 36.3-29.8 58.1-38.7 21.1-8.6 43.4-12.9 66.2-12.9 22.9 0 45.2 4.3 66.3 12.9 21.8 8.9 41.4 21.9 58.2 38.8 20.3 20.4 35.4 45.6 43.8 73 7 22.9 9.2 47.3 6.6 71.2l-18.9-18.5c-2.5-2.4-5.8-3.8-9.3-3.8-3.5 0-6.9 1.4-9.4 3.9-5.2 5.2-5.2 13.6 0 18.8l42.8 42.9c1.9 1.9 4.4 2.9 7 2.9 2.6 0 5.1-1 7-2.9l42.1-42.2c5.2-5.3 5.2-13.9-.1-19.2zM428.6 335.9c-2-1-4.2-1.5-6.4-1.5-5.2 0-9.9 2.8-12.4 7.3-7.9 14.3-17.8 27.5-29.4 39.1-16.8 16.8-36.3 29.9-58.2 38.7-21.1 8.6-43.4 12.9-66.3 12.9s-45.2-4.3-66.2-12.9c-21.8-8.9-41.4-21.9-58.2-38.7-37.6-37.8-56-90.9-50.3-143.9l18.4 18.5c2.4 2.4 5.6 3.7 9 3.7 3.4 0 6.6-1.3 9-3.7l1.3-1.3c4.9-4.9 4.9-13 0-17.9l-42.9-43c-1.9-1.9-4.4-2.9-7-2.9-2.6 0-5.1 1-7 2.9l-42 42.3c-5.3 5.3-5.3 13.9 0 19.2 2.6 2.6 6 4 9.6 4 3.6 0 7-1.4 9.6-4l13-13.1c-1.8 25.8 1.3 52 9 76.5 9.9 31.4 26.8 59.3 50.3 82.8 19.5 19.6 42.2 34.7 67.6 45.1 24.5 10 50.4 15 76.9 15 26.5 0 52.4-5.1 76.9-15 25.4-10.3 48.1-25.5 67.6-45.1 13.5-13.5 25-28.8 34.2-45.4 1.9-3.4 2.3-7.4 1.2-11.1-1.2-3.7-3.8-6.8-7.3-8.5z"}}]})(props);
};
function IoIosTabletLandscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M39 103c-4.5 4.5-7 10.6-7 16.9V392c0 6.4 2.5 12.4 7 16.9 4.5 4.5 10.6 7 16.9 7H456c6.4 0 12.4-2.5 16.9-7 4.5-4.5 7-10.6 7-16.9V119.9c0-6.4-2.5-12.4-7-16.9-4.5-4.5-10.6-7-16.9-7H55.9c-6.3 0-12.4 2.5-16.9 7zm9.7 153.4c0-3.9 3.1-7 7-7s7 3.1 7 7-3.1 7-7 7c-3.8 0-7-3.2-7-7zM470 256c0 7.7-6.5 14-14.1 14-7.5 0-14-6.2-14-14 0-7.7 6.4-14.1 14-14.1 7.6.1 14.1 6.4 14.1 14.1zm-38-144v288H80V112h352z"}}]})(props);
};
function IoIosTabletPortrait (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M409 39c-4.5-4.5-10.6-7-16.9-7H119.9c-6.4 0-12.4 2.5-16.9 7-4.5 4.5-7 10.6-7 16.9V456c0 6.4 2.5 12.4 7 16.9 4.5 4.5 10.6 7 16.9 7H392c6.4 0 12.4-2.5 16.9-7 4.5-4.5 7-10.6 7-16.9V55.9c.1-6.3-2.4-12.4-6.9-16.9zm-153.4 9.7c3.9 0 7 3.1 7 7s-3.1 7-7 7-7-3.1-7-7c0-3.8 3.2-7 7-7zM256 470c-7.7 0-14-6.5-14-14.1 0-7.5 6.2-14 14-14 7.7 0 14.1 6.4 14.1 14-.1 7.6-6.4 14.1-14.1 14.1zm144-38H112V80h288v352z"}}]})(props);
};
function IoIosTennisball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M250.4 464c1-7.9 1.6-15.9 1.6-23.9 0-48.1-18.7-94.3-52.7-128.3S119 260 70.9 260c-7.7 0-15.4.5-22.9 1.4 2.8 110.3 92.3 199.3 202.4 202.6z"}},{"tag":"path","attr":{"d":"M230 74c0-8.3.5-16.4 1.4-24.5-95.3 11.7-171.7 89-182.2 184.7 7.2-.7 14.4-1.1 21.8-1.1 114.9 0 207.1 92.2 207.1 207 0 7.7-.4 15.3-1.3 22.8 96.6-10.1 174.6-86.2 185.8-182.4-8.4 1-16.9.6-25.5.6C322.1 281 230 188.9 230 74z"}},{"tag":"path","attr":{"d":"M308.7 202.3c34 34 80.2 52.7 128.3 52.7 9.1 0 18.1-.7 27-2-2.2-112-93.9-203.5-206.1-205-1.2 8.5-1.9 17.2-1.9 26 0 48.1 18.7 94.3 52.7 128.3zM232 49.3z"}}]})(props);
};
function IoIosText (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 64C141.1 64 48 139.2 48 232c0 64.9 45.6 121.2 112.3 149.2-5.2 25.8-21 47-33.5 60.5-2.3 2.5.2 6.5 3.6 6.3 11.5-.8 32.9-4.4 51-12.7 21.5-9.9 40.3-30.1 46.3-36.9 9.3 1 18.8 1.6 28.5 1.6 114.9 0 208-75.2 208-168C464 139.2 370.9 64 256 64z"}}]})(props);
};
function IoIosThermometer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M309.8 304.6c-4.3-3-6.9-7.9-6.9-13.1v-213c0-25.7-21-46.5-47-46.5s-47 20.8-47 46.5v213c0 5.2-2.6 10.2-6.9 13.1-25.2 17.3-42 46.4-42 79.3 0 53 43 96 96 96s96-43 96-96c0-32.9-17-62.1-42.2-79.3zM256.1 445c-32 0-58.1-26.3-58.1-58.8 0-25.4 15.4-47.1 37.9-55.3 3.2-1.2 5.4-4.1 5.4-7.5V180.2c0-8 6.5-14.5 14.5-14.5s14.5 6.5 14.5 14.5v143.2c0 3.4 2.1 6.3 5.3 7.5 21.9 8.2 38.4 29.9 38.4 55.2 0 32.5-25.8 58.9-57.9 58.9z"}}]})(props);
};
function IoIosThumbsDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M80.7 123.2c-7.5 6.3-16.7 16.1-16.7 31.4 0 13.7 5.7 22.8 10.9 29.1.6 1.2 1.1 2.3 1.6 3.4l.2 1.1c.7 3.5 0 7.1-2 10-3.4 5-5.8 12.3-5.8 25.7 0 11.6 4.8 18.4 9.7 23.2 4.4 4.3 6.1 12.5 4.1 18.3-4.8 13.9-.2 28.4 8.2 37.8 10.5 11.8 20.3 13.2 46.4 11.7 18-1.1 55.5-6.9 80.2-10.8 10.1-1.6 18.9-3 21.6-3.2 12.7-1.3 15.2 0 16.4 4.9.5 2.1-1.9 6.9-4.9 13-4 8.1-9.5 19.2-14.5 35.8-10.1 33.2-9 69.2 2.7 90.2 5.5 9.9 14.8 19.1 26.3 19.1s23.3-2.4 27.9-7.9c3.4-4 2.3-11.6 6.2-26.8 3.1-12.4 7-30.9 12-42 7.5-16.6 39.7-45.1 57-60.4 4.1-3.6 7.6-6.7 10.1-9.1 8.7-8.1 17.6-21.1 25.5-32.7 5.4-7.8 10.4-15.2 13.7-18.5 7.1-7.1 16.6-10.9 22.3-10.9 4.4 0 8-3.6 8-8V88.1c0-4.6-3.7-8.3-8.3-8.3C404 79.8 389 74 373.1 68c-12.2-4.7-24.9-9.5-46.4-12.1-32.4-4-74.2-8.1-112.6-8.1-20.4 0-39.9 2-56.6 3.9-31 3.6-64.2 10.8-75.2 37-4.1 9.7-2.2 17.6.5 23.7.4.8.7 1.7.8 2.6.6 3.3-.6 6.3-2.9 8.2z"}}]})(props);
};
function IoIosThumbsUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M431.3 388.8c7.5-6.3 16.7-16.1 16.7-31.4 0-13.7-5.7-22.8-10.9-29.1-.6-1.2-1.1-2.3-1.6-3.4l-.2-1.1c-.7-3.5 0-7.1 2-10 3.4-5 5.8-12.3 5.8-25.7 0-11.6-4.8-18.4-9.7-23.2-4.4-4.3-6.1-12.5-4.1-18.3 4.8-13.9.2-28.4-8.2-37.8-10.5-11.8-20.3-13.2-46.4-11.7-18 1.1-55.5 6.9-80.2 10.8-10.1 1.6-18.9 3-21.6 3.2-12.7 1.3-15.2 0-16.4-4.9-.5-2.1 1.9-6.9 4.9-13 4-8.1 9.5-19.2 14.5-35.8 10.1-33.2 9-69.2-2.7-90.2-5.5-9.9-14.8-19.1-26.3-19.1S223.6 50.5 219 56c-3.4 4-2.3 11.6-6.2 26.8-3.1 12.4-7 30.9-12 42-7.5 16.6-39.7 45.1-57 60.4-4.1 3.6-7.6 6.7-10.1 9.1-8.7 8.1-17.6 21.1-25.5 32.7-5.4 7.8-10.4 15.2-13.7 18.5-7.1 7.1-16.6 10.9-22.3 10.9-4.4 0-8 3.6-8 8v159.5c0 4.6 3.7 8.3 8.3 8.3 35.5 0 50.5 5.8 66.4 11.8 12.2 4.7 24.9 9.5 46.4 12.1 32.4 4 74.2 8.1 112.6 8.1 20.4 0 39.9-2 56.6-3.9 31-3.6 64.2-10.8 75.2-37 4.1-9.7 2.2-17.6-.5-23.7-.4-.8-.7-1.7-.8-2.6-.6-3.3.6-6.3 2.9-8.2z"}}]})(props);
};
function IoIosThunderstorm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M374.4 141.9l-13.3-.1C349.4 88.2 306 48 236 48S108.2 98.4 108.2 169.5l.3 4.8C66.3 179.9 32 219.6 32 264c0 47 37.9 88 84.7 88H236l13.8-50.6H183c-2.6 0-4.5-2.4-3.9-4.9l23.2-113c.4-1.8 2-3.1 3.9-3.1h86.1c2.7 0 4.6 2.6 3.8 5.2l-22.5 74.9h60.1c3.1 0 5.1 3.5 3.4 6.1L283.4 352H367c72 0 113-52 113-110 0-58.6-47.3-100.1-105.6-100.1zM206.8 458.9c-1.2 4.4 4.8 7 7.2 3.2L283.4 352H236l-29.2 106.9z"}}]})(props);
};
function IoIosTime (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm14 226c0 7.7-6.3 14-14 14h-96c-7.7 0-14-6.3-14-14s6.3-14 14-14h82V128c0-7.7 6.3-14 14-14s14 6.3 14 14v146z"}}]})(props);
};
function IoIosTimer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 456c-110.3 0-200-89.7-200-200 0-54.8 21.7-105.9 61.2-144 6.4-6.2 16.6-6 22.7.4 6.2 6.4 6 16.6-.4 22.7-33.1 32-51.3 74.9-51.3 120.9 0 92.5 75.3 167.8 167.8 167.8S423.8 348.5 423.8 256c0-87.1-66.7-159-151.8-167.1v62.6c0 8.9-7.2 16.1-16.1 16.1s-16.1-7.2-16.1-16.1V72.1c0-8.9 7.2-16.1 16.1-16.1 110.3 0 200 89.7 200 200S366.3 456 256 456z"}},{"tag":"path","attr":{"d":"M175.9 161.9l99.5 71.5c13.5 9.7 16.7 28.5 7 42s-28.5 16.7-42 7c-2.8-2-5.2-4.4-7-7l-71.5-99.5c-3.2-4.5-2.2-10.8 2.3-14 3.6-2.6 8.3-2.4 11.7 0z"}}]})(props);
};
function IoIosToday (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M388 32H124c-33.1 0-60 26.9-60 60v328c0 33.1 26.9 60 60 60h264c33.1 0 60-26.9 60-60V92c0-33.1-26.9-60-60-60zm32 388c0 17.6-14.4 32-32 32H124c-17.6 0-32-14.4-32-32V92c0-17.6 14.4-32 32-32h264c17.6 0 32 14.4 32 32v328z"}},{"tag":"path","attr":{"d":"M360 176H152c-13.2 0-24 10.8-24 24v192c0 13.2 10.8 24 24 24h208c13.2 0 24-10.8 24-24V200c0-13.2-10.8-24-24-24zM142 124h100c7.7 0 14-6.3 14-14s-6.3-14-14-14H142c-7.7 0-14 6.3-14 14s6.3 14 14 14z"}}]})(props);
};
function IoIosTrain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M393.7 455.9l-50-48c-5.6-5.4-14.4-5.2-19.8.4-5.4 5.6-5.2 14.4.4 19.8l6.1 5.9H181.5l6.1-5.9c5.6-5.4 5.8-14.2.4-19.8-5.4-5.6-14.2-5.8-19.8-.4l-50 48c-5.6 5.4-5.8 14.2-.4 19.8 2.7 2.9 6.4 4.3 10.1 4.3 3.5 0 7-1.3 9.7-3.9l14.7-14.1h207.2l14.7 14.1c2.7 2.6 6.2 3.9 9.7 3.9 3.7 0 7.4-1.4 10.1-4.3 5.5-5.6 5.3-14.4-.3-19.8z"}},{"tag":"path","attr":{"d":"M337 48h-17c0-8.8-7.2-16-16-16h-96c-8.8 0-16 7.2-16 16h-15c-35.3 0-65 27.7-65 63v236c0 35.3 144 65 144 65s144-29.7 144-65V111c0-35.3-27.7-63-63-63zm-81 304c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48zm96-160c0 8.8-7.2 16-16 16H176c-8.8 0-16-7.2-16-16v-64c0-8.8 7.2-16 16-16h160c8.8 0 16 7.2 16 16v64z"}},{"tag":"circle","attr":{"cx":"256","cy":"304","r":"30.5"}}]})(props);
};
function IoIosTransgender (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M450.4 168.5c7.5 0 13.6-6.1 13.6-13.6V61.6c0-7.5-6.1-13.6-13.6-13.6h-93.3c-7.5 0-13.6 6.1-13.6 13.6s6.1 13.6 13.6 13.6H417l-75 75.4c-25.7-16.3-55.4-24.8-86-24.8-30.7 0-60.3 8.6-86 24.8l-19-19.1 28.2-28.2c5.3-5.3 5.3-13.9 0-19.2-2.6-2.6-6-4-9.6-4-3.6 0-7.1 1.4-9.6 4l-28.1 28.1-36.8-37H155c7.5 0 13.6-6.1 13.6-13.6S162.5 48 155 48H61.6C54.1 48 48 54.1 48 61.6v93.3c0 7.5 6.1 13.6 13.6 13.6s13.6-6.1 13.6-13.6V95.1l36.9 36.7-30 30c-5.3 5.3-5.3 13.9 0 19.2 2.6 2.6 6 4 9.6 4 3.6 0 7.1-1.4 9.6-4l30.1-30.1 16.5 16.4c-33.9 30.6-53.3 73.9-53.3 119.8 0 43.1 16.8 83.6 47.3 114.1 30.5 30.5 71 47.3 114.1 47.3 45.9 0 89.2-19.4 119.9-53.3l16.4 16.4-29.3 29.2c-5.3 5.3-5.3 13.9 0 19.2 2.6 2.6 6 4 9.6 4 3.6 0 7.1-1.4 9.6-4l29.3-29.3 29.3 29.3c2.6 2.6 6 4 9.6 4 3.6 0 7.1-1.4 9.6-4 5.3-5.3 5.3-13.9 0-19.2l-29.3-29.3 29.3-29.3c5.3-5.3 5.3-13.9 0-19.2-2.6-2.6-6-4-9.6-4-3.6 0-7.1 1.4-9.6 4l-29.3 29.3-19-19c16.3-25.8 24.9-55.4 24.9-86.1 0-45.9-19.3-89.2-53.3-119.8l72.7-72.2v59.9c0 7.3 6.1 13.4 13.6 13.4zm-60.3 118.6c0 35.8-14 69.5-39.3 94.8-25.3 25.3-59 39.3-94.8 39.3s-69.5-14-94.8-39.3c-25.3-25.3-39.3-59-39.3-94.8s14-69.5 39.3-94.8c25.3-25.3 59-39.3 94.8-39.3s69.5 14 94.8 39.3c25.4 25.3 39.3 59 39.3 94.8z"}}]})(props);
};
function IoIosTrash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M133.1 128l23.6 290.7c0 16.2 13.1 29.3 29.3 29.3h141c16.2 0 29.3-13.1 29.3-29.3L379.6 128H133.1zm61.6 265L188 160h18.5l6.9 233h-18.7zm70.3 0h-18V160h18v233zm52.3 0h-18.6l6.8-233H324l-6.7 233zM364 92h-36l-26.3-23c-3.7-3.2-8.4-5-13.2-5h-64.8c-4.9 0-9.7 1.8-13.4 5L184 92h-36c-17.6 0-30 8.4-30 26h276c0-17.6-12.4-26-30-26z"}}]})(props);
};
function IoIosTrendingDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 369.2V251.1c0-8.1-6.8-14.8-15.1-14.8s-15.1 6.6-15.1 14.8v81.7L300.5 181c-2.8-2.8-6.6-4.3-10.7-4.3-4 0-7.8 1.5-10.7 4.3l-85.9 84.1L57.5 132.3c-2.9-2.8-6.6-4.3-10.7-4.3-4 0-7.8 1.5-10.7 4.3-2.8 2.7-4.2 6.2-4.2 10.2 0 5.4 2.3 8.8 4.2 10.7l146.3 143.2c2.9 2.8 6.6 4.3 10.7 4.3 4 0 7.8-1.5 10.7-4.3l85.9-84.1 138 142.2H344c-8.3 0-15.1 6.6-15.1 14.8 0 8.1 6.8 14.8 15.1 14.8h120.8c8.4-.1 15.2-6.7 15.2-14.9z"}}]})(props);
};
function IoIosTrendingUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464.9 128H344.1c-8.3 0-15.1 6.6-15.1 14.8s6.8 14.8 15.1 14.8h83.7l-138 142.2-85.9-84.1c-2.9-2.8-6.6-4.3-10.7-4.3-4 0-7.8 1.5-10.7 4.3L36.2 358.8c-1.9 1.9-4.2 5.2-4.2 10.7 0 4.1 1.4 7.5 4.2 10.2 2.9 2.8 6.6 4.3 10.7 4.3 4 0 7.8-1.5 10.7-4.3L193.2 247l85.9 84.1c2.9 2.8 6.6 4.3 10.7 4.3 4 0 7.8-1.5 10.7-4.3l149.4-151.9v81.7c0 8.1 6.8 14.8 15.1 14.8s15.1-6.6 15.1-14.8V142.8c-.1-8.2-6.9-14.8-15.2-14.8z"}}]})(props);
};
function IoIosTrophy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M450 100h-66V80c0-8.8-7.2-16-16-16H144c-8.8 0-16 7.2-16 16v20H62c-7.7 0-14 6.3-14 14 0 41.3 7.8 66 22.6 90.4 13.6 22.4 32.9 36.2 56.3 40.3 2.8.5 5.1 2.3 6.2 4.9 6.2 15.4 20.2 34.8 51.1 52.2 20.2 11.4 36.9 18.3 51.7 21.6 3.6.8 6.2 4.1 6.2 7.8V412c0 4.4-3.6 8-8 8h-65.6c-7.5 0-14 5.8-14.4 13.3-.4 8 6 14.7 14 14.7h175.6c7.5 0 14-5.8 14.4-13.3.4-8-6-14.7-14-14.7h-66c-4.4 0-8-3.6-8-8v-80.7c0-3.7 2.6-7 6.2-7.8 14.7-3.3 31.5-10.3 51.7-21.6 30.9-17.4 44.9-36.8 51.1-52.2 1.1-2.6 3.4-4.5 6.2-4.9 23.4-4.1 42.7-17.9 56.3-40.3C456.2 180 464 155.3 464 114c0-7.7-6.3-14-14-14zM128 210.6c0 2.8-2.8 4.8-5.4 3.8-12.8-4.9-23.2-14.7-30.6-28.9-5.8-11-12.6-21.4-15.1-48.8-.4-4.7 3.3-8.7 8-8.7H120c4.4 0 8 3.6 8 8v74.6zm292-25.1c-7.4 14.2-17.8 24-30.6 28.9-2.6 1-5.4-1-5.4-3.8V136c0-4.4 3.6-8 8-8h35.1c4.7 0 8.4 4 8 8.7-2.5 27.4-9.4 37.8-15.1 48.8z"}}]})(props);
};
function IoIosTv (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M451.7 78H60.3C34.8 78 14 98.8 14 124.3v215.5c0 25.5 20.8 46.3 46.3 46.3h391.5c25.5 0 46.3-20.8 46.3-46.3V124.3C498 98.8 477.2 78 451.7 78zM470 339.7c0 10.1-8.2 18.3-18.3 18.3H60.3c-10.1 0-18.3-8.2-18.3-18.3V124.3c0-10.1 8.2-18.3 18.3-18.3h391.5c10.1 0 18.3 8.2 18.3 18.3v215.4z"}},{"tag":"path","attr":{"d":"M436 128H76c-6.6 0-12 5.4-12 12v184c0 6.6 5.4 12 12 12h360c6.6 0 12-5.4 12-12V140c0-6.6-5.4-12-12-12zM370 406H142c-7.7 0-14 6.3-14 14s6.3 14 14 14h228c7.7 0 14-6.3 14-14s-6.3-14-14-14z"}}]})(props);
};
function IoIosUmbrella (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M407.1 137.9c-34.9-41.6-81.3-67.3-131.2-72.6-2-9.9-10.2-17.3-19.9-17.3s-17.9 7.3-19.9 17.2c-50.6 5.2-97.4 30.3-132.1 71.2-35.8 42.2-55.6 85.5-55.8 143.7-.1.5-.2 1.2-.2 2.1.1 3.2 2.7 5.8 5.8 5.8h3.1c2.6 0 4.9-1.8 5.6-4.4 2.7-10.1 8.4-19.1 16-25.5 7.7-6.5 16.9-9.9 26.6-9.9 9.6 0 18.8 3.4 26.5 10 7.6 6.4 13.2 15.4 16 25.5.7 2.6 3 4.4 5.6 4.4h4.8c2.6 0 4.9-1.8 5.6-4.4 5.7-20.9 23.3-35.4 42.8-35.4 14.8 0 28.8 8.4 36.9 21.9V418c0 9.9-8 18-17.7 18s-17.6-8.1-17.6-18c0-7.7-6.1-14-13.7-14-7.5 0-13.6 6.3-13.6 14 0 25.4 20.2 46 44.9 46 24.8 0 44.9-20.6 44.9-46V270.8c8.2-14.2 21.9-22.6 36.9-22.6 9.6 0 18.7 3.4 26.4 9.9 7.5 6.4 13.1 15.4 15.9 25.5.7 2.6 3 4.4 5.6 4.4h4.8c2.6 0 4.9-1.8 5.6-4.4 2.7-10.1 8.4-19.2 16-25.6 7.7-6.5 16.9-10 26.6-10 9.7 0 19 3.4 26.7 10 7.6 6.4 13.2 15.5 15.9 25.6.7 2.6 3 4.4 5.6 4.4h1.5c1.6 0 3.1-.6 4.2-1.8s1.7-2.7 1.7-4.3c-.8-57.9-21-101.3-56.8-144z"}}]})(props);
};
function IoIosUndo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M479.9 394.9c0-19.6 4.2-97.1-56.8-158.7-40.4-40.7-91.9-61.7-163.4-65.5-2.1-.1-3.8-1.9-3.8-4V84c0-3.2-3.5-5.1-6.2-3.4L33.8 222.8c-2.4 1.6-2.4 5.1 0 6.7l215.9 142.2c2.7 1.8 6.2-.1 6.2-3.4v-81.6c0-2.3 1.9-4.1 4.2-4 44.1 1.7 69.5 10.9 97.1 23.2 36.1 16.2 72.9 50.9 94.5 83.5 13.1 19.9 19.2 33.9 21.4 39.7.7 1.7 2.3 2.8 4.1 2.8h2.9c-.1-11.7-.2-26.7-.2-37z"}}]})(props);
};
function IoIosUnlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M376 192H188v-48c0-18.1 7.1-35.1 20-48s29.9-20 48-20 35.1 7.1 48 20 20 29.9 20 48c0 7.7 6.3 14 14 14s14-6.3 14-14c0-53.2-43.9-96.7-97.3-96-52.7.7-94.7 44.5-94.7 97.3V192h-24c-22 0-40 18-40 40v192c0 22 18 40 40 40h240c22 0 40-18 40-40V232c0-22-18-40-40-40zM270 316.8v68.8c0 7.5-5.8 14-13.3 14.4-8 .4-14.7-6-14.7-14v-69.2c-11.5-5.6-19.1-17.8-17.9-31.7 1.4-15.5 14.1-27.9 29.6-29 18.7-1.3 34.3 13.5 34.3 31.9 0 12.7-7.3 23.6-18 28.8z"}}]})(props);
};
function IoIosVideocam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M450.6 153.6c-3.3 0-6.5.9-9.3 2.7l-86.5 54.6c-2.5 1.6-4 4.3-4 7.2v76c0 2.9 1.5 5.6 4 7.2l86.5 54.6c2.8 1.7 6 2.7 9.3 2.7h20.8c4.8 0 8.6-3.8 8.6-8.5v-188c0-4.7-3.9-8.5-8.6-8.5h-20.8zM273.5 384h-190C55.2 384 32 360.8 32 332.6V179.4c0-28.3 23.2-51.4 51.4-51.4h190c28.3 0 51.4 23.2 51.4 51.4v153.1c.1 28.3-23 51.5-51.3 51.5z"}}]})(props);
};
function IoIosVolumeHigh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M215.4 145.5c-2.2-1.1-4.6-1.6-6.9-1.6-3.6 0-7.1 1.2-10 3.5L133.3 200H80.5c-8.8 0-16 7.2-16 16v80c0 8.8 7.2 16 16 16h52.8l65.2 52.5c2.9 2.3 6.5 3.5 10 3.5 2.3 0 4.7-.5 6.9-1.6 5.6-2.7 9.1-8.3 9.1-14.4V160c0-6.2-3.5-11.8-9.1-14.5zM447.5 256c0-59.3-23.2-114.8-65.4-156.5-4.7-4.7-12.3-4.6-17 .1-4.7 4.7-4.6 12.3.1 17 37.6 37.1 58.2 86.6 58.2 139.4 0 52.8-20.7 102.3-58.2 139.4-4.7 4.7-4.8 12.3-.1 17 2.3 2.4 5.4 3.6 8.5 3.6 3 0 6.1-1.2 8.4-3.5 42.3-41.6 65.5-97.2 65.5-156.5z"}},{"tag":"path","attr":{"d":"M384.9 256c0-43.5-16.6-84.3-46.8-114.9-4.7-4.7-12.3-4.8-17-.1-4.7 4.7-4.8 12.3-.1 17 25.7 26.1 39.9 60.9 39.9 98.1 0 37.2-14.2 72-39.9 98.1-4.7 4.7-4.6 12.3.1 17 2.3 2.3 5.4 3.5 8.4 3.5 3.1 0 6.2-1.2 8.5-3.6 30.2-30.8 46.9-71.6 46.9-115.1z"}},{"tag":"path","attr":{"d":"M287.5 182.5c-4.7-4.7-12.3-4.8-17-.1-4.7 4.7-4.8 12.3-.1 17 14.8 15 23 35.1 23 56.6 0 21.4-8.2 41.5-23 56.6-4.7 4.7-4.6 12.3.1 17 2.3 2.3 5.4 3.5 8.4 3.5 3.1 0 6.2-1.2 8.5-3.6 19.3-19.6 29.9-45.6 29.9-73.4.1-27.9-10.5-54-29.8-73.6z"}}]})(props);
};
function IoIosVolumeLow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M278.9 145.6c-2.2-1.1-4.6-1.6-6.9-1.6-3.6 0-7.1 1.2-10 3.5L196.8 200H144c-8.8 0-16 7.2-16 16v80c0 8.8 7.2 16 16 16h52.8l65.2 52.5c2.9 2.3 6.5 3.5 10 3.5 2.3 0 4.7-.5 6.9-1.6 5.6-2.7 9.1-8.3 9.1-14.4V160c0-6.2-3.5-11.8-9.1-14.4zM354.4 182.6c-4.6-4.7-12.1-4.8-16.8-.1-4.7 4.7-4.7 12.3-.1 17 14.7 15 22.8 35.1 22.8 56.6 0 21.4-8.1 41.5-22.8 56.6-4.6 4.7-4.6 12.3.1 17 2.3 2.3 5.3 3.5 8.3 3.5 3.1 0 6.1-1.2 8.5-3.6C373.5 310 384 284 384 256.2h-.2c0-28-10.3-54.1-29.4-73.6z"}}]})(props);
};
function IoIosVolumeMute (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M326.9 145.6c-2.2-1.1-4.6-1.6-6.9-1.6-3.6 0-7.1 1.2-10 3.5L244.8 200H192c-8.8 0-16 7.2-16 16v80c0 8.8 7.2 16 16 16h52.8l65.2 52.5c2.9 2.3 6.5 3.5 10 3.5 2.3 0 4.7-.5 6.9-1.6 5.6-2.7 9.1-8.3 9.1-14.4V160c0-6.2-3.5-11.8-9.1-14.4z"}}]})(props);
};
function IoIosVolumeOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M390.1 464c-4.9 0-9.7-2.5-12.3-7L149.7 69.3c-4-6.7-1.7-15.4 5.1-19.3 6.8-3.9 15.5-1.7 19.5 5.1l228.1 387.7c4 6.7 1.7 15.4-5.1 19.3-2.2 1.3-4.7 1.9-7.2 1.9zM133 200H80c-8.9 0-16 7.2-16 16v80c0 8.8 7.2 16 16 16h53l65.4 52.5c2.9 2.3 6.5 3.5 10.1 3.5 2.4 0 4.7-.5 6.9-1.6 5.6-2.7 9.1-8.3 9.1-14.4V227.9L184 159.1 133 200zM448 256c0-59.3-23.3-114.9-65.5-156.5-4.7-4.7-12.3-4.6-17 .1-4.7 4.7-4.6 12.3.1 17C403.3 153.7 424 203.2 424 256c0 44.4-14.7 86.4-41.7 120.8l13 22C429.4 359.1 448 309 448 256z"}},{"tag":"path","attr":{"d":"M385.2 256c0-43.5-16.7-84.3-46.9-114.9-4.7-4.7-12.3-4.8-17-.1-4.7 4.7-4.8 12.3-.1 17 25.8 26.1 40 60.9 40 98.1 0 21.6-4.8 42.5-13.9 61.2l14.2 24.1c15.4-25.4 23.7-54.7 23.7-85.4zM317.6 256c0-27.8-10.7-53.9-30-73.4-4.7-4.7-12.3-4.8-17-.1-.6.6-1.1 1.2-1.6 1.9l48.1 81.8c.3-3.4.5-6.8.5-10.2z"}}]})(props);
};
function IoIosWalk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M201.1 361.2l-67.8 48.9c-3.7 3.6-5.2 9.1-5.3 13.9-.1 4.8 1.2 8.8 4.7 12.5 3.6 3.9 8.8 6.2 13.6 6.2 4.5 0 12.5-4.9 16-8.4l69.7-51.6c3.6-3.5 5.7-8.4 5.7-13.5l9.1-52.5-45.7-46.7v91.2z"}},{"tag":"ellipse","attr":{"transform":"rotate(-80.781 274.673 69.329)","cx":"274.7","cy":"69.3","rx":"37.3","ry":"37.3"}},{"tag":"path","attr":{"d":"M350.7 459.2l-15.2-117.4c-.5-3.5-1.9-6.8-4.2-9.5l-57-68.8V143.9c0-11.3-6.3-15.9-18.3-15.9h-37c-2.8 0-5.2 1-7.7 2.3l-68 31.7c-10 5.3-15.3 15.4-15.3 28.7V256c0 10.3 8.2 18.7 18.3 18.7 10.1 0 18.3-8.4 18.3-18.7v-58.2c0-3 1.7-5.8 4.4-7.1l32.2-16.4v75.3c0 4.2 1.6 8.2 4.6 11.2l92.4 94.4c1.2 1.2 2 2.8 2.2 4.5l14.2 104.7c1.3 9.3 9.1 15.7 18.1 15.7h2c9.9-1.5 17.4-10.7 16-20.9z"}},{"tag":"path","attr":{"d":"M378.4 232.4l-95-96.2v52.6l69.2 70.1c7.2 7.3 18.7 7.2 25.9-.1 3.5-3.6 5.5-7.5 5.5-12.2 0-4.8-2-10.5-5.6-14.2z"}}]})(props);
};
function IoIosWallet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M404 160H108c-33.1 0-60 26.9-60 60v168c0 33.1 26.9 60 60 60h296c33.1 0 60-26.9 60-60V220c0-33.1-26.9-60-60-60zM342.9 65L108 110.9c-18 4-44 22.1-44 44.1 0 0 15-19 49-19h287v-20.5c0-12.6-5-28.7-13.9-37.6-11.3-11.3-27.5-16.2-43.2-12.9z"}}]})(props);
};
function IoIosWarning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M228.9 79.9L51.8 403.1C40.6 423.3 55.5 448 78.9 448h354.3c23.3 0 38.2-24.7 27.1-44.9L283.1 79.9c-11.7-21.2-42.5-21.2-54.2 0zM273.6 214L270 336h-28l-3.6-122h35.2zM256 402.4c-10.7 0-19.1-8.1-19.1-18.4s8.4-18.4 19.1-18.4 19.1 8.1 19.1 18.4-8.4 18.4-19.1 18.4z"}}]})(props);
};
function IoIosWatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440.3 161.3c-15-23.9-36.3-43.3-61.4-56.1-1.9-.9-3.9-1.4-6-1.4-5 0-9.5 2.8-11.8 7.2-1.6 3.1-1.9 6.7-.8 10 1.1 3.3 3.4 6.1 6.6 7.7 20.9 10.7 38.6 26.8 51.1 46.7 12.8 20.4 19.6 44 19.6 68v40.5c0 17.2-3.3 33.4-9.9 48-6.3 14-15.4 26.3-27 36.6-23.2 20.5-55.1 31.9-89.9 31.9-34.4 0-43.6-5.2-52.4-10.2-8.1-4.6-17.3-9.8-37.7-11-31.7-2-56.9-12.4-77.2-31.8-2.5-2.4-5.7-3.7-9.1-3.7-3.6 0-7 1.5-9.5 4.1-2.4 2.5-3.7 5.7-3.7 9.1 0 3.6 1.5 7 4.1 9.5 25 23.9 55.7 36.7 93.8 39.1 14.4.9 19.4 3.7 26.4 7.7 11.3 6.4 24.1 13.6 65.4 13.6 41.6 0 80-13.9 108.1-39.2 14.2-12.8 25.3-28 33-45.2 8-18 12.1-37.6 12.1-58.5v-40.5c-.1-29.1-8.3-57.5-23.8-82.1z"}},{"tag":"path","attr":{"d":"M284 383c8.7 1.4 17.2 2.1 25.4 2.1 16 0 31.2-2.7 45-8 13.9-5.4 26.5-13.4 37.5-23.9 5.3-5 5.4-13.4.4-18.6-2.5-2.6-5.9-4.1-9.5-4.1-3.4 0-6.7 1.3-9.1 3.7-17.1 16.3-38.8 24.6-64.5 24.6-6.8 0-13.8-.6-21-1.8-.7-.1-1.4-.2-2.1-.2-6.5 0-12 4.6-13 11-.1.7-.2 1.4-.2 2.1 0 6.6 4.7 12 11.1 13.1zm2.1-21.1h.1-.3.2zM222.9 421.7c-39.9 0-72.8-13.4-102.7-40.3-29.1-26.2-45.8-60.7-45.8-94.5v-43.6c0-24.1 6.8-47.6 19.6-68 12.5-19.9 30.2-36 51.1-46.7 3.1-1.6 5.5-4.3 6.6-7.7 1.1-3.3.8-6.9-.8-10.1-2.3-4.4-6.8-7.2-11.8-7.2-2.1 0-4.1.5-6 1.4-25.1 12.8-46.4 32.2-61.4 56.1-15.5 24.6-23.7 53-23.7 82v43.6c0 41.2 19.9 82.8 54.5 114 34.6 31.2 74 47.1 120.4 47.1 7.3 0 13.2-5.9 13.2-13.2-.1-7-6-12.9-13.2-12.9z"}},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"d":"M348.4 115.1c.8-11.9 10.3-21.6 22.2-22.6 4.3-.4 8.4.4 12 2 2.6 1.1 5.1-1.6 3.9-4.1-2.7-5.7-6.6-10.9-11.5-15.1C366.6 68 355.9 64 344.8 64H167.2c-17.9 0-33.9 10.3-41.5 25.8-1.2 2.5 1.2 5.2 3.9 4.2 3.3-1.3 7-1.8 10.8-1.5 11.9 1 21.4 10.8 22.2 22.7.8 13.6-9.5 25-22.8 25.8-.9.1-1.8.7-2.1 1.5-.4 1.1-.1 2.3.8 3 8.1 6.2 18.1 9.7 28.7 9.7h177.6c10.9 0 21.2-3.6 29.4-10.2 1.7-1.3.7-4-1.4-4h-.1c-14 0-25.2-11.7-24.3-25.9zm-21.6-10.3c3.5 15.8-10.7 30-26.5 26.5-8.4-1.9-15.2-8.6-17-17-3.5-15.8 10.7-30 26.5-26.5 8.4 1.9 15.2 8.6 17 17z"}}]}]})(props);
};
function IoIosWater (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 146.4c-34.4-48.6-67.5-78.5-90.8-96.6-3.1-2.4-7.3-2.4-10.4-.1-23 17.1-56.1 48.4-90.5 96.5-37.3 52-63 108.4-64.2 170.9 0 1.2-.1 2.5-.1 3.7 0 18.4 3.9 35.9 10.9 52.1 4.1 9.3 9.2 18.1 15.2 26.3 28.5 39 77.8 64.8 133.8 64.8 88.4 0 160.1-64.1 160.1-143.2 0-63.7-27-122.2-64-174.4zm-86 264.3h-.5c-9.9 0-12-14.1-2.6-17.1 45.1-14.2 69.6-38.5 86.4-80.8 3.5-8.9 16.7-6.5 16.8 3.1v1.4c-.1 51.6-44.9 93.4-100.1 93.4z"}}]})(props);
};
function IoIosWifi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 96c-81.5 0-163 33.6-221.5 88.3-3.3 3-3.4 8.1-.3 11.4l26.7 27.9c3.1 3.3 8.3 3.4 11.6.3 23.3-21.6 49.9-38.8 79.3-51 33-13.8 68.1-20.7 104.3-20.7s71.3 7 104.3 20.7c29.4 12.3 56 29.4 79.3 51 3.3 3.1 8.5 3 11.6-.3l26.7-27.9c3.1-3.2 3-8.3-.3-11.4C419 129.6 337.5 96 256 96z"}},{"tag":"path","attr":{"d":"M113.2 277.5l28.6 28.3c3.1 3 8 3.2 11.2.3 28.3-25.1 64.6-38.9 102.9-38.9s74.6 13.7 102.9 38.9c3.2 2.9 8.1 2.7 11.2-.3l28.6-28.3c3.3-3.3 3.2-8.6-.3-11.7-37.5-33.9-87.6-54.6-142.5-54.6s-105 20.7-142.5 54.6c-3.3 3.1-3.4 8.4-.1 11.7zM256 324.2c-23.4 0-44.6 9.8-59.4 25.5-3 3.2-2.9 8.1.2 11.2l53.4 52.7c3.2 3.2 8.4 3.2 11.6 0l53.4-52.7c3.1-3.1 3.2-8 .2-11.2-14.8-15.6-36-25.5-59.4-25.5z"}}]})(props);
};
function IoIosWine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M328.9 51.2c-2-5.5-7-9.2-12.9-9.2H196c-6 0-10.9 3.7-13 9.2-9.3 25-31 87.1-31 124.8v4.8c0 19.2 0 45.4 28.4 74.5 6.5 6.7 14.3 12.9 22.5 19.5 19.1 15.3 38.8 31.1 38.8 50.2v115c0 1.1-.9 2-2 2h-57.1c-7.9 0-14.3 6.3-14.3 14s6.4 14 14.3 14h146.8c7.9 0 14.3-6.3 14.3-14s-6.4-14-14.3-14h-57.1c-1.1 0-2-.9-2-2V325c0-19.1 19.7-34.9 38.8-50.2 8.2-6.6 15.9-12.8 22.5-19.5C360 226.2 360 200 360 180.8V176c0-37.5-21.7-99.8-31.1-124.8zm-1.4 102.1c-.2.3-.7.7-1.6.7H186.1c-.8 0-1.3-.5-1.6-.7-.2-.3-.6-.8-.4-1.7 5.1-26.1 14.8-59.6 21.6-80.2.3-.8 1.1-1.4 1.9-1.4h96.8c.9 0 1.7.6 1.9 1.4 6.7 20.7 16.4 54.1 21.6 80.2.2.8-.2 1.4-.4 1.7z"}}]})(props);
};
function IoIosWoman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M286 496c-6.1 0-11.8-2.3-16-6.6-3.2-3.3-7.1-9.1-7.1-18.6V351.4H249v119.4c0 9.5-4 15.4-7.4 18.7-4.3 4.2-10.1 6.5-16.3 6.5-6.2 0-11.9-2.3-16.3-6.5-3.4-3.3-7.4-9.1-7.4-18.7V351.4h-43.9l44.5-170.6h-6.8L171 271.2c-4 13.1-13.7 17.8-21.4 17.8-6.6 0-12.9-3.2-17-8.7-4.8-6.4-6.1-14.9-3.6-23.9l29-104.1c4.2-15.2 20.7-38.2 48.7-39.3H305.1c28.4 1.2 44.1 26 48.5 38.9l.1.4 29 104.3c2.4 9 1 17.6-3.9 24-4.1 5.4-10.4 8.6-16.9 8.6-7.7 0-17.3-4.8-21.3-18.1v-.2l-24.3-90.1h-7.7l45.5 170.6H309v119.4c0 9.5-3.9 15.3-7.1 18.6-4.2 4.3-9.8 6.6-15.9 6.6zM255.9 106.4c-24.2 0-43.9-20.3-43.9-45.2S231.7 16 255.9 16s43.9 20.3 43.9 45.2-19.7 45.2-43.9 45.2z"}}]})(props);
};
function IoLogoAndroid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M144 268.4V358c0 6.9 4.5 14 11.4 14H184v52c0 13.3 10.7 24 24 24s24-10.7 24-24v-52h49v52c0 7.5 3.4 14.2 8.8 18.6 3.9 3.4 9.1 5.4 14.7 5.4h.5c13.3 0 24-10.7 24-24v-52h27.6c7 0 11.4-7.1 11.4-13.9V192H144v76.4zM408 176c-13.3 0-24 10.7-24 24v96c0 13.3 10.7 24 24 24s24-10.7 24-24v-96c0-13.3-10.7-24-24-24zM104 176c-13.3 0-24 10.7-24 24v96c0 13.3 10.7 24 24 24s24-10.7 24-24v-96c0-13.3-10.7-24-24-24z"}},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"d":"M311.2 89.1l18.5-21.9c.4-.5-.2-1.6-1.3-2.5-1.1-.8-2.4-1-2.7-.4l-19.2 22.8c-13.6-5.4-30.2-8.8-50.6-8.8-20.5-.1-37.2 3.2-50.8 8.5l-19-22.4c-.4-.5-1.6-.4-2.7.4s-1.7 1.8-1.3 2.5l18.3 21.6c-48.2 20.9-55.4 72.2-56.4 87.2h223.6c-.9-15.1-8-65.7-56.4-87zm-104.4 49.8c-7.4 0-13.5-6-13.5-13.3 0-7.3 6-13.3 13.5-13.3 7.4 0 13.5 6 13.5 13.3 0 7.3-6 13.3-13.5 13.3zm98.4 0c-7.4 0-13.5-6-13.5-13.3 0-7.3 6-13.3 13.5-13.3 7.4 0 13.5 6 13.5 13.3 0 7.3-6.1 13.3-13.5 13.3z"}}]}]})(props);
};
function IoLogoAngular (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M213.573 256h84.846l-42.427-89.356z"}},{"tag":"path","attr":{"d":"M255.981 32L32 112l46.12 272L256 480l177.75-96L480 112 255.981 32zM344 352l-26.589-56H194.584L168 352h-40L256 72l128 280h-40z"}}]})(props);
};
function IoLogoApple (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M333.6 153.9c-33.6 0-47.8 16.5-71.2 16.5-24 0-42.3-16.4-71.4-16.4-28.5 0-58.9 17.9-78.2 48.4-27.1 43-22.5 124 21.4 193 15.7 24.7 36.7 52.4 64.2 52.7h.5c23.9 0 31-16.1 63.9-16.3h.5c32.4 0 38.9 16.2 62.7 16.2h.5c27.5-.3 49.6-31 65.3-55.6 11.3-17.7 15.5-26.6 24.2-46.6-63.5-24.8-73.7-117.4-10.9-152.9-19.2-24.7-46.1-39-71.5-39z"}},{"tag":"path","attr":{"d":"M326.2 64c-20 1.4-43.3 14.5-57 31.6-12.4 15.5-22.6 38.5-18.6 60.8h1.6c21.3 0 43.1-13.2 55.8-30.1 12.3-16.1 21.6-38.9 18.2-62.3z"}}]})(props);
};
function IoLogoBitbucket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M452.9 64.2c-.7-.1-1.5-.2-2.2-.2H61.5c-7.4-.1-13.4 5.9-13.5 13.5 0 .8 0 1.6.2 2.4l56.6 352.5c.7 4.3 2.9 8.2 6.1 11.1 3.2 2.9 7.4 4.5 11.7 4.5H394c6.6.1 12.3-4.8 13.3-11.5L441 224H316l-16 96h-88l-22.3-126.9h256.2l18-113.1c1.1-7.5-3.8-14.6-11-15.8z"}}]})(props);
};
function IoLogoBitcoin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M410.5 279.2c-5-11.5-12.7-21.6-28.1-30.1-8.2-4.5-16.1-7.8-25.4-10 5.4-2.5 10-5.4 16.3-11 7.5-6.6 13.1-15.7 15.6-23.3 2.6-7.5 4.1-18 3.5-28.2-1.1-16.8-4.4-33.1-13.2-44.8-8.8-11.7-21.2-20.7-37.6-27-12.6-4.8-25.5-7.8-45.5-8.9V32h-40v64h-32V32h-41v64H96v48h27.9c8.7 0 14.6.8 17.6 2.3 3.1 1.5 5.3 3.5 6.5 6 1.3 2.5 1.9 8.4 1.9 17.5V343c0 9-.6 14.8-1.9 17.4-1.3 2.6-2 4.9-5.1 6.3-3.1 1.4-3.2 1.3-11.8 1.3h-26.4L96 416h87v64h41v-64h32v64h40v-64.4c26-1.3 44.5-4.7 59.4-10.3 19.3-7.2 34.1-17.7 44.7-31.5 10.6-13.8 14.9-34.9 15.8-51.2.7-14.5-.9-33.2-5.4-43.4zM224 150h32v74h-32v-74zm0 212v-90h32v90h-32zm72-208.1c6 2.5 9.9 7.5 13.8 12.7 4.3 5.7 6.5 13.3 6.5 21.4 0 7.8-2.9 14.5-7.5 20.5-3.8 4.9-6.8 8.3-12.8 11.1v-65.7zm28.8 186.7c-7.8 6.9-12.3 10.1-22.1 13.8-2 .8-4.7 1.4-6.7 1.9v-82.8c5 .8 7.6 1.8 11.3 3.4 7.8 3.3 15.2 6.9 19.8 13.2 4.6 6.3 8 15.6 8 24.7 0 10.9-2.8 19.2-10.3 25.8z"}}]})(props);
};
function IoLogoBuffer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M70.7 164.5l169.2 81.7c4.4 2.1 10.3 3.2 16.1 3.2s11.7-1.1 16.1-3.2l169.2-81.7c8.9-4.3 8.9-11.3 0-15.6L272.1 67.2c-4.4-2.1-10.3-3.2-16.1-3.2s-11.7 1.1-16.1 3.2L70.7 148.9c-8.9 4.3-8.9 11.3 0 15.6z"}},{"tag":"path","attr":{"d":"M441.3 248.2s-30.9-14.9-35-16.9-5.2-1.9-9.5.1S272 291.6 272 291.6c-4.5 2.1-10.3 3.2-16.1 3.2s-11.7-1.1-16.1-3.2c0 0-117.3-56.6-122.8-59.3-6-2.9-7.7-2.9-13.1-.3l-33.4 16.1c-8.9 4.3-8.9 11.3 0 15.6l169.2 81.7c4.4 2.1 10.3 3.2 16.1 3.2s11.7-1.1 16.1-3.2l169.2-81.7c9.1-4.2 9.1-11.2.2-15.5z"}},{"tag":"path","attr":{"d":"M441.3 347.5s-30.9-14.9-35-16.9-5.2-1.9-9.5.1S272.1 391 272.1 391c-4.5 2.1-10.3 3.2-16.1 3.2s-11.7-1.1-16.1-3.2c0 0-117.3-56.6-122.8-59.3-6-2.9-7.7-2.9-13.1-.3l-33.4 16.1c-8.9 4.3-8.9 11.3 0 15.6l169.2 81.7c4.4 2.2 10.3 3.2 16.1 3.2s11.7-1.1 16.1-3.2l169.2-81.7c9-4.3 9-11.3.1-15.6z"}}]})(props);
};
function IoLogoChrome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M188.8 255.925c0 36.946 30.243 67.178 67.2 67.178s67.199-30.231 67.199-67.178c0-36.945-30.242-67.179-67.199-67.179s-67.2 30.234-67.2 67.179z"}},{"tag":"path","attr":{"d":"M476.752 217.795c-.009.005-.016.038-.024.042-1.701-9.877-4.04-19.838-6.989-28.838h-.107c2.983 9 5.352 19 7.072 29h-.002c-1.719-10-4.088-20-7.07-29h-155.39c19.044 17 31.358 40.175 31.358 67.052 0 16.796-4.484 31.284-12.314 44.724L231.044 478.452s-.009.264-.014.264l-.01.284h.015l-.005-.262c8.203.92 16.531 1.262 24.97 1.262 6.842 0 13.609-.393 20.299-1.002a223.86 223.86 0 0 0 29.777-4.733C405.68 451.525 480 362.404 480 255.941c0-12.999-1.121-25.753-3.248-38.146z"}},{"tag":"path","attr":{"d":"M256 345.496c-33.601 0-61.601-17.91-77.285-44.785L76.006 123.047l-.137-.236a223.516 223.516 0 0 0-25.903 45.123C38.407 194.945 32 224.686 32 255.925c0 62.695 25.784 119.36 67.316 160.009 29.342 28.719 66.545 49.433 108.088 58.619l.029-.051 77.683-134.604c-8.959 3.358-19.031 5.598-29.116 5.598z"}},{"tag":"path","attr":{"d":"M91.292 104.575l77.35 133.25C176.483 197.513 212.315 166 256 166h205.172c-6.921-15-15.594-30.324-25.779-43.938.039.021.078.053.117.074C445.644 135.712 454.278 151 461.172 166h.172c-6.884-15-15.514-30.38-25.668-43.99-.115-.06-.229-.168-.342-.257C394.475 67.267 329.359 32 256 32c-26.372 0-51.673 4.569-75.172 12.936-34.615 12.327-65.303 32.917-89.687 59.406l.142.243.009-.01z"}}]})(props);
};
function IoLogoClosedCaptioning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 96v320h448V96H32zm406 159.8c0 23.4-1.4 41.2-3.3 70.2s-16.8 49.4-51.7 52.6c-34.9 3.2-83.8 3.5-127 3.4-42.9.1-92-.1-127-3.4-34.9-3.2-49.7-23.6-51.7-52.6S74 279.2 74 255.8c0-23.4.1-38.6 3.3-70.2s20.1-49.2 51.7-52.4 86-3.2 127-3.2 95.4 0 127 3.2c31.6 3.2 48.5 20.9 51.7 52.4 3.2 31.6 3.3 46.9 3.3 70.2z"}},{"tag":"path","attr":{"d":"M357.5 280.4v.7c0 16.3-10.1 25.9-23.6 25.9-13.5 0-22.6-10.8-23.9-25.9 0 0-1.2-7.9-1.2-23.9s1.4-26 1.4-26c2.4-17 10.7-25.9 24.2-25.9 13.4 0 24.1 11.6 24.1 29.2v.5h45.1c0-21.9-5.5-41.6-16.6-54-11-12.4-27.5-18.6-49.3-18.6-10.9 0-20.9 1.4-30 4.3-9.1 2.9-17 7.9-23.6 15.1-6.6 7.2-11.7 16.8-15.4 28.9-3.6 12.1-5.5 27.3-5.5 45.7 0 18 1.5 33 4.4 45.1 3 12.1 7.3 21.7 13.1 28.9 5.8 7.2 13.1 12.2 21.8 15 8.8 2.8 19.1 4.2 30.9 4.2 25 0 43-6.4 53.8-18.7 10.8-12.3 16.2-30.3 16.2-53.9h-46.1c.2 0 .2 2.5.2 3.4zM202.6 280.4v.7c0 16.3-10.1 25.9-23.6 25.9-13.5 0-22.6-10.8-23.9-25.9 0 0-1.2-7.9-1.2-23.9s1.4-26 1.4-26c2.4-17 10.7-25.9 24.2-25.9 13.4 0 24.1 11.6 24.1 29.2v.5h45.1c0-21.9-5.5-41.6-16.6-54-11-12.4-27.5-18.6-49.3-18.6-10.9 0-20.9 1.4-30 4.3-9.1 2.9-17 7.9-23.6 15.1-6.6 7.2-11.7 16.8-15.4 28.9-3.6 12.1-5.5 27.3-5.5 45.7 0 18 1.5 33 4.4 45.1 3 12.1 7.3 21.7 13.1 28.9 5.8 7.2 13.1 12.2 21.8 15 8.8 2.8 19.1 4.2 30.9 4.2 25 0 43-6.4 53.8-18.7 10.8-12.3 16.2-30.3 16.2-53.9h-46.1c.2 0 .2 2.5.2 3.4z"}}]})(props);
};
function IoLogoCodepen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M241.239 303.936c-15.322-10.357-30.742-20.569-46.062-30.93-2.03-1.373-3.43-1.472-5.502-.029l-38.871 26.154C181.966 319.905 244 361.317 244 361.317v-53.786c-.012-1.224-1.553-2.78-2.761-3.595zM195.092 240.666c15.454-10.16 30.851-20.409 46.109-30.86 1.486-1.018 2.775-3.509 2.799-5.334v-51.706s-62.033 41.124-93.262 61.942c13.7 9.159 26.671 17.913 39.787 26.443 1.02.662 3.396.284 4.567-.485zM269.838 209.354a4521.517 4521.517 0 0 0 47.627 31.815c.916.604 2.92.602 3.839 0l39.751-26.467L268 152.484v53.35c.01 1.201.805 2.821 1.838 3.52zM258.109 230.369c-1.21-.802-3.611-.528-4.743.168-4.817 2.962-9.463 6.203-14.164 9.355-8.248 5.53-25.356 17.023-25.356 17.023l38.842 25.865c1.748 1.157 4.436 1.22 6.26.111l39.014-25.993c.001 0-34.079-22.701-39.853-26.529zM141 237.116v39.609l29.622-19.838z"}},{"tag":"path","attr":{"d":"M256 32C132.288 32 32 132.288 32 256s100.288 224 224 224 224-100.288 224-224S379.712 32 256 32zm139 265.006c0 5.785-2.652 9.868-7.511 13.094a38019.909 38019.909 0 0 0-123.286 82.188c-5.854 3.918-11.174 3.754-16.984-.137-40.783-27.314-81.719-54.546-122.625-81.676-5.11-3.389-7.594-7.557-7.594-13.73v-79.729c0-6.141 2.521-10.332 7.624-13.716 40.906-27.13 81.939-54.363 122.724-81.676 5.818-3.896 11.094-4.007 16.938-.095a41090.004 41090.004 0 0 0 123.261 82.195c4.678 3.106 7.453 6.943 7.453 12.66v80.622z"}},{"tag":"path","attr":{"d":"M316.247 273.234a3826.352 3826.352 0 0 1-45.386 30.332c-2.412 1.588-2.888 3.318-2.861 6.189v51.346l93.039-62.004-38.527-25.882c-2.345-1.604-3.93-1.567-6.265.019zM370 276.676V237.06l-29.59 19.873z"}}]})(props);
};
function IoLogoCss3 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.282 339.488zM64 32l34.946 403.219L255.767 480l157.259-44.85L448 32H64zm290.676 334.898l-98.607 28.125-98.458-28.248L150.864 289h48.253l3.433 39.562 53.586 15.163.132.273h.034l53.467-14.852L315.381 265H203l-4-50h120.646l4.396-51H140l-4-49h240.58l-21.904 251.898z"}}]})(props);
};
function IoLogoDesignernews (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M290.4 145L227 96l63.6 102.2z"}},{"tag":"path","attr":{"d":"M329 96v163h-36.4l-63.2-98.6 1.7 98.6H191V152l-37.3-29.3c1 1.2 2 2.4 2.9 3.7 10 13.9 15 30.5 15 50.5 0 49.2-30.6 82.1-76.9 82.1H32v.4L231.6 416H480V214.1L329 96z"}},{"tag":"path","attr":{"d":"M129.9 178.1c0-29-14.2-45.1-39.7-45.1H71v89h19c26 0 39.9-15.4 39.9-43.9z"}}]})(props);
};
function IoLogoDribbble (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 64C150 64 64 150 64 256c0 106.1 86 192 192 192s192-85.9 192-192c0-106-86-192-192-192zm121.9 88.5c21.6 25.4 35.3 57.6 37.7 92.9-34.6-1.8-76-1.8-109.2 1.3-4.2-10.6-8.5-21-13.2-31 38.3-16.6 67.8-38.4 84.7-63.2zM256 96c38.8 0 74.4 13.8 102.1 36.8-17.4 22-44.7 41.1-78.7 55.6-18.6-34.4-40-64-62.8-87.3 12.7-3.2 25.8-5.1 39.4-5.1zm-72.4 17.5c23.1 23 44.8 52.3 63.8 86.6-36.1 11-77.5 17.3-121.7 17.3-8.4 0-16.6-.3-24.7-.8 11.5-45.1 42-82.5 82.6-103.1zM96.3 248.4c9.1.4 18.3.6 27.6.5 50.4-.6 97.3-8.5 137.6-21.4 3.8 7.9 7.4 16 10.8 24.3-5.5 1.3-10.4 2.7-14.3 4.3-55.1 23.1-98.5 60.4-122 105.5-24.8-28.2-40-65.1-40-105.6 0-2.6.1-5.1.3-7.6zM256 416c-37 0-71-12.6-98.1-33.7 21.3-42.2 59.3-77.1 107.2-98.8 4.5-2.1 10.5-3.8 17.4-5.3 5.7 15.8 10.8 32.2 15.3 49.2 6.9 26.5 11.8 52.7 14.8 78.1C295 412.2 276 416 256 416zm86.5-25.5c-3-25.7-7.9-52.1-14.9-78.9-3.4-13-7.3-25.6-11.5-37.9 31.4-2.6 69-2.2 98.9 0-5.4 49.1-33 91.3-72.5 116.8z"}}]})(props);
};
function IoLogoDropbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M177 77L64 150.9l78.1 62.7L256 143.1zM64 276.3l113 73.9 79-66.1-113.9-70.5zM256 284.1l79 66.1 113-73.9-78.1-62.7zM448 150.9L335 77l-79 66.1 113.9 70.5z"}},{"tag":"path","attr":{"d":"M256.2 298.3l-79.8 66-34.4-22.2V367l114 68 114-68v-24.9l-34.2 22.2z"}}]})(props);
};
function IoLogoEuro (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M234 272v-48h131.094l7.149-48H234v-1.83c0-35.92 14.975-58.086 79.25-58.086 26.264 0 55.867 2.498 93.189 8.742L416 59.866C377.988 51.123 345.306 48 310.057 48 195.326 48 146 89.225 146 165.43V176H96v48h50v48H96v48h50v26.57C146 422.774 195.297 464 310.027 464c35.25 0 67.848-3.123 105.859-11.866l-9.619-64.96c-37.322 6.244-66.781 8.742-93.045 8.742-64.276 0-79.223-18.739-79.223-63.086V320h116.795l7.148-48H234z"}}]})(props);
};
function IoLogoFacebook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M426.8 64H85.2C73.5 64 64 73.5 64 85.2v341.6c0 11.7 9.5 21.2 21.2 21.2H256V296h-45.9v-56H256v-41.4c0-49.6 34.4-76.6 78.7-76.6 21.2 0 44 1.6 49.3 2.3v51.8h-35.3c-24.1 0-28.7 11.4-28.7 28.2V240h57.4l-7.5 56H320v152h106.8c11.7 0 21.2-9.5 21.2-21.2V85.2c0-11.7-9.5-21.2-21.2-21.2z"}}]})(props);
};
function IoLogoFlickr (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 64H160c-52.8 0-96 43.2-96 96v192c0 52.8 43.2 96 96 96h192c52.8 0 96-43.2 96-96V160c0-52.8-43.2-96-96-96zM184 304c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48zm144 0c-26.5 0-48-21.5-48-48s21.5-48 48-48 48 21.5 48 48-21.5 48-48 48z"}}]})(props);
};
function IoLogoFoursquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M376.764 32H138.541C105.666 32 96 56.798 96 72.414v379.64c0 17.591 9.425 24.117 14.718 26.267 5.299 2.155 19.916 3.971 28.673-6.168 0 0 112.469-130.895 114.4-132.834 2.921-2.93 2.921-2.93 5.844-2.93h72.767c30.574 0 35.49-21.869 38.684-34.752 2.659-10.789 32.489-163.962 42.452-212.559C421.143 51.993 411.745 32 376.764 32zm-5.678 269.637c2.659-10.789 32.489-163.962 42.452-212.559m-50.846 7.592l-9.999 51.734c-1.195 5.65-8.287 11.595-14.863 11.595h-95.917C231.473 160 224 166.138 224 176.602v13.448c0 10.473 7.519 17.894 17.965 17.894h81.848c7.374 0 14.61 8.109 13.016 16.005-1.602 7.908-9.086 46.569-9.984 50.89-.902 4.328-5.845 11.725-14.611 11.725h-64.269c-11.705 0-15.244 1.533-23.074 11.293-7.837 9.77-78.256 94.592-78.256 94.592-.713.822-1.41.584-1.41-.312V95.896c0-6.684 5.793-14.523 14.479-14.523h191.173c7.035-.001 13.611 6.631 11.815 15.297z"}}]})(props);
};
function IoLogoFreebsdDevil (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M502.6 115c-22.5-43.7-58-51-58-51s15.5 32 16 51c.4 16.1-5.5 28-27.2 33.5s-30.8-2-47.8-17.5-41.6-26.5-72.6-28c-40-2-77 9-77 9-20-25 20-80 20-80-74.5 29.5-93.7 83.3-96 113.7-1.9 24.1 8.5 40.8 8.5 40.8s-.5 27.8-5 42c-3.1 9.8-16.9 25-26 34.5-12.2 12.7-12.5 38.5 0 57s44 27.5 67 39.5 31.5 21 31.5 21 1 8.3.5 15.3-3.2 14-9 18.2c-5.5 3.9-15.5.5-20.5-2s-5-6.2-10.5-8-7.3-4-6.5-11 2-9-3.5-18.5-18.5-9.5-29.5-8-17.3 6.8-17.3 6.8l-16.3-10s8.5-15.6 5.2-35.6c-7.3-43.8-50-62.8-50-62.8L89 309.3s1.1-2.6 6.4-6.4 8.1-3.6 8.1-3.6 6.6 7.6 9.1 25.3c2.5 18-6.7 27.2-6.7 27.2l-28.3-18 1-14.5L39.8 309 56 345.7l15-4 24 22.7s-15.7 11.7-33 11.7c-11 0-22-6-22-6s-1.4-1-.8-5.5c.7-5 6.8-12.5 6.8-12.5H0s27.3 38.7 65 38.7c31 0 44.2-12.5 44.2-12.5L128 397s3 5.5 0 7-7 3.5-9 15 18 29 18 29c21.8 17.8 7 32 7 32h272c-9-13-22.5-18-32-32 0 0-44.8-58.4-1.8-90.4 57.4-42.7 42.8-69.4 41.2-101.4 0 0 31.8-6.6 59.3-33.6s38.9-70.8 19.9-107.6zM195 203c-16.9 4.5-22.5 35.5-22.5 35.5 1.5-63 57.5-93 65-89s-6.5 39-21 64c0 0-8-14.1-21.5-10.5zm37 15s18-56 37.5-59.5 41.5 21 41.5 62-26 65.4-42.8 69.2c-16.5 3.8-23 2-23 2s27.5-21.6 23.5-56.8c-2.8-24.7-31.4-24.2-36.7-16.9z"}}]})(props);
};
function IoLogoGameControllerA (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M369.3 146H142.7C81.5 146 32 191.5 32 255.4c0 64 49.5 110.6 110.7 110.6h226.5c61.2 0 110.7-46.6 110.7-110.6.1-63.9-49.4-109.4-110.6-109.4zM200 266.7c0 2.7-2.4 5.3-5.2 5.3H160v35.1c0 2.8-3.1 4.9-5.8 4.9h-21.4c-2.6 0-4.8-1.9-4.8-4.5V272H92.9c-2.8 0-4.9-3.1-4.9-5.8v-21.4c0-2.6 1.9-4.8 4.5-4.8H128v-34.8c0-2.8 1.9-5.2 4.6-5.2h22.1c2.7 0 5.3 2.4 5.3 5.2V240h34.8c2.8 0 5.2 1.9 5.2 4.6v22.1zm119.8 8.8c-10.7 0-19.5-8.6-19.5-19.2s8.7-19.2 19.5-19.2 19.5 8.6 19.5 19.2-8.8 19.2-19.5 19.2zm42.5 41.8c-10.7 0-19.5-8.5-19.5-19.1 0-10.6 8.7-19.2 19.5-19.2s19.5 8.5 19.5 19.2c0 10.6-8.7 19.1-19.5 19.1zm0-83.7c-10.7 0-19.5-8.6-19.5-19.1 0-10.6 8.7-19.2 19.5-19.2s19.5 8.6 19.5 19.2c0 10.5-8.7 19.1-19.5 19.1zm42.6 41.9c-10.7 0-19.4-8.6-19.4-19.2s8.7-19.2 19.4-19.2 19.5 8.6 19.5 19.2c-.1 10.6-8.8 19.2-19.5 19.2z"}}]})(props);
};
function IoLogoGameControllerB (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M135.1 204.6c-10.7 0-19.3 8.7-19.3 19.4s8.7 19.4 19.3 19.4c10.6 0 19.3-8.7 19.3-19.4s-8.6-19.4-19.3-19.4z"}},{"tag":"path","attr":{"d":"M466.3 248.9c-21.2-88.5-43.6-135.5-88.5-148.8-9.8-2.9-18.1-4-25.7-4-27.6 0-46.9 14.7-96.1 14.7-49.2 0-68.5-14.7-96.1-14.7-7.7 0-16 1.1-25.7 4-44.9 13.3-67.3 60.4-88.5 148.8-21.2 88.5-17.3 152.4 7.7 164.3 4.1 1.9 8.2 2.8 12.5 2.8 21.7 0 45.1-23.8 67.7-52 25.7-32.1 32.1-33 110.3-33h24.3c78.1 0 84.6.8 110.3 33 22.5 28.2 46 52 67.7 52 4.2 0 8.4-.9 12.5-2.8 24.9-12 28.7-75.9 7.6-164.3zm-331.1 14.7c-21.6 0-39.2-17.8-39.2-39.6s17.6-39.6 39.2-39.6c21.7 0 39.2 17.8 39.2 39.6.1 21.9-17.5 39.6-39.2 39.6zm172.9-19.5c-11.1 0-20.1-9-20.1-20.1 0-11.1 9-20.1 20.1-20.1 11.1 0 20.1 9 20.1 20.1 0 11.1-9 20.1-20.1 20.1zM352 288c-11.1 0-20.1-9-20.1-20 0-11.2 9-20.1 20.1-20.1 11.1 0 20.1 8.9 20.1 20.1 0 11-9 20-20.1 20zm0-87.8c-11.1 0-20.1-9-20.1-20.1 0-11.1 9-20.1 20.1-20.1 11.1 0 20.1 9 20.1 20.1 0 11.1-9 20.1-20.1 20.1zm43.9 43.9c-11.1 0-20.1-9-20.1-20.1 0-11.1 9-20.1 20.1-20.1 11.1 0 20.1 9 20.1 20.1 0 11.1-9 20.1-20.1 20.1z"}}]})(props);
};
function IoLogoGithub (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32C132.3 32 32 134.9 32 261.7c0 101.5 64.2 187.5 153.2 217.9 1.4.3 2.6.4 3.8.4 8.3 0 11.5-6.1 11.5-11.4 0-5.5-.2-19.9-.3-39.1-8.4 1.9-15.9 2.7-22.6 2.7-43.1 0-52.9-33.5-52.9-33.5-10.2-26.5-24.9-33.6-24.9-33.6-19.5-13.7-.1-14.1 1.4-14.1h.1c22.5 2 34.3 23.8 34.3 23.8 11.2 19.6 26.2 25.1 39.6 25.1 10.5 0 20-3.4 25.6-6 2-14.8 7.8-24.9 14.2-30.7-49.7-5.8-102-25.5-102-113.5 0-25.1 8.7-45.6 23-61.6-2.3-5.8-10-29.2 2.2-60.8 0 0 1.6-.5 5-.5 8.1 0 26.4 3.1 56.6 24.1 17.9-5.1 37-7.6 56.1-7.7 19 .1 38.2 2.6 56.1 7.7 30.2-21 48.5-24.1 56.6-24.1 3.4 0 5 .5 5 .5 12.2 31.6 4.5 55 2.2 60.8 14.3 16.1 23 36.6 23 61.6 0 88.2-52.4 107.6-102.3 113.3 8 7.1 15.2 21.1 15.2 42.5 0 30.7-.3 55.5-.3 63 0 5.4 3.1 11.5 11.4 11.5 1.2 0 2.6-.1 4-.4C415.9 449.2 480 363.1 480 261.7 480 134.9 379.7 32 256 32z"}}]})(props);
};
function IoLogoGoogle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M457.6 224l-2.1-8.9H262V297h115.6c-12 57-67.7 87-113.2 87-33.1 0-68-13.9-91.1-36.3-23.7-23-38.8-56.9-38.8-91.8 0-34.5 15.5-69 38.1-91.7 22.5-22.6 56.6-35.4 90.5-35.4 38.8 0 66.6 20.6 77 30l58.2-57.9c-17.1-15-64-52.8-137.1-52.8-56.4 0-110.5 21.6-150 61C72.2 147.9 52 204 52 256s19.1 105.4 56.9 144.5c40.4 41.7 97.6 63.5 156.5 63.5 53.6 0 104.4-21 140.6-59.1 35.6-37.5 54-89.4 54-143.8 0-22.9-2.3-36.5-2.4-37.1z"}}]})(props);
};
function IoLogoGoogleplus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M318.2 230.9l-1.6-7H160V288h90.7c-9.4 45-48.4 63.6-84.1 63.6-26 0-50.2-7.8-68.3-25.3-18.6-18.1-28.9-43.1-28.9-70.4 0-27.1 9.8-51.8 27.6-69.6 17.7-17.7 42-25.4 68.7-25.4 30.5 0 49.9 13.8 58.1 21.1l48-47.7C258.3 122.6 221.5 93 164.1 93c-44.3 0-86.7 16.8-117.7 47.8C15.9 171.3 0 215.2 0 256s15 82.6 44.6 113.3C76.3 402 121.2 419 167.5 419c42.1 0 81.9-16.5 110.3-46.3 28-29.4 42.4-70.1 42.4-112.7-.1-18-1.9-28.7-2-29.1zM512 224h-57v-57h-41v57h-57v41h57v57h41v-57h57z"}}]})(props);
};
function IoLogoHackernews (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 64v384h384V64H64zm214 215v72h-40v-72l-66-120h47.1l39.7 83.6 38-83.6H342l-64 120z"}}]})(props);
};
function IoLogoHtml5 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 32l34.936 403.213L255.769 480l157.245-44.854L448 32H64zm307.997 132h-184l3.991 51h176.008l-13.505 151.386-98.5 28.094-98.682-27.976L150.545 289h48.254l3.423 39.287 53.769 14.781 53.422-14.915L314.987 264H147.986l-12.571-149.589 240.789.016L371.997 164z"}}]})(props);
};
function IoLogoInstagram (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M336 96c21.2 0 41.3 8.4 56.5 23.5S416 154.8 416 176v160c0 21.2-8.4 41.3-23.5 56.5S357.2 416 336 416H176c-21.2 0-41.3-8.4-56.5-23.5S96 357.2 96 336V176c0-21.2 8.4-41.3 23.5-56.5S154.8 96 176 96h160m0-32H176c-61.6 0-112 50.4-112 112v160c0 61.6 50.4 112 112 112h160c61.6 0 112-50.4 112-112V176c0-61.6-50.4-112-112-112z"}},{"tag":"path","attr":{"d":"M360 176c-13.3 0-24-10.7-24-24s10.7-24 24-24c13.2 0 24 10.7 24 24s-10.8 24-24 24zM256 192c35.3 0 64 28.7 64 64s-28.7 64-64 64-64-28.7-64-64 28.7-64 64-64m0-32c-53 0-96 43-96 96s43 96 96 96 96-43 96-96-43-96-96-96z"}}]})(props);
};
function IoLogoIonic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 161.2c-52.3 0-94.8 42.5-94.8 94.8s42.5 94.8 94.8 94.8 94.8-42.5 94.8-94.8-42.5-94.8-94.8-94.8z"}},{"tag":"circle","attr":{"cx":"392.1","cy":"126.4","r":"43.2"}},{"tag":"path","attr":{"d":"M445.3 169.8l-1.8-4-2.9 3.3c-7.1 8-16.1 14.2-26.1 17.9l-2.8 1 1.1 2.7c8.6 20.7 13 42.7 13 65.2 0 93.7-76.2 169.9-169.9 169.9S86.1 349.7 86.1 256 162.3 86.1 256 86.1c25.4 0 49.9 5.5 72.8 16.4l2.7 1.3 1.2-2.7c4.2-9.8 10.8-18.5 19.2-25.2l3.4-2.7-3.9-2C321.6 55.8 289.5 48 256 48 141.3 48 48 141.3 48 256s93.3 208 208 208 208-93.3 208-208c0-30-6.3-59-18.7-86.2z"}}]})(props);
};
function IoLogoIonitron (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M468.4 269.2c-2.7-34.2-12.2-59.2-32.9-57.3 6.4 14.6 12.2 48.1 8.7 72-1.4-25.9-6.3-50.2-17.2-72-32.1-64.6-100.6-107.4-177.5-103.1-85.9 4.8-155 66.7-172 146.8l-11.4 1.6c-17.2 2.4-26.9 34.9-21.7 72.5 5.3 37.7 23.5 66.2 40.7 63.8l15.8-2.2c34.7 56.3 98.5 92.3 169.3 88.4 85.3-4.7 154-65.9 171.7-145.2l7.4-.4c15.2-2.5 21.8-31.2 19.1-64.9zM90.3 264c10.7 8.2 25.4 28.3 29.1 55.1 3.9 27.7-4.8 54.1-13.4 64.3 6-14.8 8.1-37.3 4.7-61.9-3.3-24-11-44.7-20.4-57.5zm183.8 116.2c-8.5.5-15.8-6-16.3-14.5s6-15.7 14.6-16.2c8.5-.5 15.8 6 16.3 14.5s-6.1 15.7-14.6 16.2zm81-4.7c-8.5.5-15.8-6-16.3-14.5s6-15.7 14.6-16.2c8.5-.5 15.8 6 16.3 14.5.4 8.5-6.1 15.8-14.6 16.2zM165.5 70s0 .1 0 0c.1.1.1.2.1.2.1.2.2.3.3.5v.1c.4 1 1.1 1.9 2.3 2.7 2 1.5 5 2.4 8.6 3 3.4.5 7.5.7 11.9.5 1 0 1.9-.1 2.9-.2-.4-.4-.8-.9-1.2-1.3h-1.3c-4.3.1-8.2-.2-11.6-.9-3.5-.7-6.4-1.8-8.4-3.4-.6-.5-1-.9-1.4-1.4-.2-.7-.2-1.5 0-2.3.5-2.3 2.4-4.8 5.5-7.4 2.7-2.3 6.4-4.7 10.9-7 .9-.4 1.7-.9 2.6-1.3.1-.1.3-.1.5-.2-.8 3.3-.9 6.9-.2 10.5 2.3 11.9 11.6 20.3 23.2 20.6l4 24.3 12.7-2-4-24.3c10.8-4.6 16.3-16.1 14-28-.7-3.5-2-6.7-3.9-9.5-5.3-.8-15.6-.8-29.2 2.1 1.1-.3 2.1-.7 3.2-1 7.6-2.1 14.9-3.5 21.5-4.2.6-.1 1.2-.1 1.8-.2 1.2-.1 2.4-.2 3.5-.3h.6c4.1-.2 7.7-.1 10.8.3 2.4.3 4.4.8 6.1 1.4-.6.9-.9 2-.9 3.2 0 2.7 1.8 5 4.3 5.8-.6.9-1.3 1.9-2.1 2.8-.8.9-1.8 1.9-2.9 2.8-1.1.9-2.3 1.8-3.5 2.7l-6.5 3.8-.3 1.5c.1 0 .2-.1.2-.1l8.4-4.7c1.2-.8 2.4-1.6 3.4-2.4 1.2-.9 2.2-1.8 3.2-2.8.9-.9 1.7-1.9 2.4-2.8l.3-.6c3-.4 5.4-2.9 5.4-6 0-3.4-2.7-6.1-6.1-6.1-1 0-1.9.3-2.8.7-2-1.2-4.8-2.1-8.2-2.7-4.3-.8-9.6-1-15.5-.6-.7 0-1.4.1-2.1.2-.7.1-1.3.2-2 .2-5.3-3.5-11.9-5-18.7-3.7-7.9 1.5-14.2 6.5-17.8 13-1.3.5-2.6 1.1-3.8 1.7-.7.3-1.3.6-2 .9-5.9 2.9-10.6 6.1-13.9 9.1-3.1 2.9-4.9 5.7-5.3 8.3-.2 1.4 0 2.8.7 4 .1.1.2.3.3.5z"}}]})(props);
};
function IoLogoJavascript (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208 88.001h-80v212.498c0 52.58-18.032 67.261-49.412 67.261-14.705 0-27.948-2.521-38.25-6.063L32 423.904C46.7 428.966 69.259 432 86.907 432 158.955 432 208 398.129 208 301.02V88.001zM382.463 80C305.02 80 256 123.998 256 182.154c0 50.083 37.751 81.44 92.641 101.665 39.7 14.158 55.392 26.808 55.392 47.539 0 22.756-18.139 37.425-52.448 37.425-31.863 0-60.789-10.64-80.394-21.255v-.021L256 410.727c18.639 10.638 53.441 21.255 91.167 21.255C437.854 431.98 480 383.43 480 326.284c0-48.55-26.958-79.9-85.278-102.163-43.139-17.191-61.27-26.795-61.27-48.542 0-17.2 15.688-32.869 48.043-32.869 31.846 0 53.744 10.707 66.505 17.291l19.125-64C447.125 87.22 420.188 80 382.463 80z"}}]})(props);
};
function IoLogoLinkedin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M417.2 64H96.8C79.3 64 64 76.6 64 93.9V415c0 17.4 15.3 32.9 32.8 32.9h320.3c17.6 0 30.8-15.6 30.8-32.9V93.9C448 76.6 434.7 64 417.2 64zM183 384h-55V213h55v171zm-25.6-197h-.4c-17.6 0-29-13.1-29-29.5 0-16.7 11.7-29.5 29.7-29.5s29 12.7 29.4 29.5c0 16.4-11.4 29.5-29.7 29.5zM384 384h-55v-93.5c0-22.4-8-37.7-27.9-37.7-15.2 0-24.2 10.3-28.2 20.3-1.5 3.6-1.9 8.5-1.9 13.5V384h-55V213h55v23.8c8-11.4 20.5-27.8 49.6-27.8 36.1 0 63.4 23.8 63.4 75.1V384z"}}]})(props);
};
function IoLogoMarkdown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M447.659 96H64.341C46.504 96 32 110.484 32 128.308v255.349C32 401.493 46.504 416 64.341 416h383.318C465.496 416 480 401.493 480 383.656V128.308C480 110.484 465.496 96 447.659 96zM284.023 352h-56.048v-96l-42.04 53.878L143.913 256v96H87.869V160h56.044l42.022 67.98 42.04-67.98h56.048v192zm83.657 0l-69.635-96h42v-96h56.043v96h42.027l-70.453 96h.018z"}}]})(props);
};
function IoLogoModelS (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M443.6 208.4c-3.1-1.9-2.2-6.6 1.3-7.3l5.3-1.1c7.1 0 22.4-2.3 25.6-5.4 3.1-3.2 4.2-5.4 4.2-8.2s-1.7-7.7-4.8-11.1c-3-3.4-16-5.2-23.7-6.2s-8.7 0-10.7 1.2c-2 1.3-2.8 9.5-3.1 15-.1 1.2-.9 2.2-2.1 2.5l-.4.1c-3.3.7-6.6-1.1-7.8-4.3-4.6-13-10.7-32.5-19.4-48.4-11.5-20.8-23.5-27.4-28.5-29-4.9-1.5-9.4-2.6-43-6.1-33.8-3.6-63.1-4.1-80.5-4.1s-46.7.5-80.6 4.1c-33.6 3.4-38.1 4.5-43 6.1-5 1.6-17 8.2-28.5 29-9.4 17.1-15.7 38.3-20.4 51.3-.6 1.5-2.2 2.4-3.8 2.1-3.1-.7-5.4-3.3-5.6-6.5-.4-5-1.2-10.7-2.9-11.7-2-1.3-3-2.2-10.7-1.2s-20.6 2.8-23.7 6.2c-3 3.4-4.7 8.3-4.7 11.1s1.1 5.1 4.2 8.3c3.1 3.2 18.5 5.4 25.6 5.4l5.3 1.1c3.5.7 4.4 5.4 1.3 7.3-9.1 5.7-23.2 15.3-32.3 25.6 0 0-4.1 28.7-4.1 62.1 0 48 5.8 92.4 5.8 92.4 1.8.3 3.6.6 5.3.9 0 1.2.7 13.1 2 21.2.3 2 1.3 5.5 6.2 5.5h64.7c1.9 0 5.1-1.6 5.1-3.7l1-17c7.2.1 3.2.1 10.9 0 24.8-.3 15.6-7.5 27.1-7.3 11.3.2 55 3 96 3s84.7-2.8 96-3c11.5-.2 2.3 7.1 27.1 7.3 7.7.1 4.7.1 11.9 0l1 17c0 2.1 3.2 3.7 5.1 3.7h63.5c4.9 0 5.9-3.5 6.2-5.5 1.3-8.1 1.9-19.9 2-21.2l5.4-.9s5.8-44.3 5.8-92.4c0-33.5-4.1-62.1-4.1-62.1-9.3-10.5-23.4-20.1-32.5-25.8zm-320.2-53.6c2.2-5.1 5.9-11.6 10-17.2 5-6.7 12.4-11.2 20.6-12.5 16.7-2.7 52.6-7.3 101.9-7.3 49.3 0 85.2 4.6 101.9 7.3 8.2 1.3 15.6 5.8 20.6 12.5 4.2 5.6 7.9 12.1 10.1 17.2 3.9 9.2 10.4 30.7 9.4 33.2-1 2.5 1 3.7-12.2 2.6-13.1-1-90.6-2.1-129.7-2.1-39.2 0-116.7 1.1-129.7 2.1-13.2 1.1-11.3-.2-12.2-2.6s5.4-24 9.3-33.2zm8.4 116c-9.9 0-29.8-1-34.5-1.2-4.7-.1-8.8 3.8-11.2 3.8s-25.5-3.6-28-14.9c-1.7-7.5-1.1-15.2-.6-19.5.3-1.9 1.9-3.4 3.8-3.5 14.4-.5 29.2.5 55.3 7.9 17.3 4.9 29.8 12.6 36.9 17.8 2.8 2.1 1.8 6.5-1.7 7.2-6.1 1.1-14.4 2.4-20 2.4zm210.4 73c-12.7 1.7-58.5 2.2-86.2 2.2s-73.5-.5-86.2-2.2c-13.1-1.7-29.8-17.3-18.4-30.2 7.6-8.5 20.8-13.6 48.9-17.3 29.8-3.8 48.6-4.3 55.6-4.3s25.8.5 55.6 4.3c28.1 3.7 43.2 9.6 48.9 17.3 10.4 13.8-5.1 28.4-18.2 30.2zm111.7-85.2c-2.5 11.2-25.6 14.9-28 14.9s-6.5-3.9-11.2-3.8c-4.7.2-24.6 1.2-34.5 1.2-5.5 0-13.8-1.3-20-2.4-3.5-.6-4.5-5.1-1.7-7.2 7.1-5.2 19.6-12.9 36.9-17.8 26.1-7.4 40.8-8.4 55.3-7.9 2 .1 3.6 1.5 3.8 3.5.5 4.3 1.1 12-.6 19.5z"}}]})(props);
};
function IoLogoNoSmoking (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M360 256h16v48h-16zM112 304h129.6l-48-48H112z"}},{"tag":"path","attr":{"d":"M364.5 60.1c-.4-.2-.7-.4-1-.6-10.9-6-22.5-10.7-34.4-14.8l-5.4-1.8C302.3 36.1 279.6 32 256 32 132.3 32 32 132.3 32 256c0 84.3 46.6 157.6 115.4 195.8.4.2.7.5 1.1.7 10.9 6 22.5 10.7 34.4 14.8l5.4 1.8c21.4 6.8 44 10.9 67.7 10.9 123.7 0 224-100.3 224-224 0-84.3-46.6-157.7-115.5-195.9zM256 426.4c-9.3 0-18.4-.9-27.2-2.4-9.8-1.6-19.3-4.1-28.5-7.3-1.9-.6-3.8-1.2-5.6-1.9-6.5-2.5-12.9-5.3-19-8.6-53.6-28.7-90.1-85.2-90.1-150.3 0-37.2 12.4-71.4 32.7-99.4l237.2 237.2c-28.1 20.3-62.3 32.7-99.5 32.7zm137.8-71L156.6 118.2c28-20.2 62.1-32.6 99.4-32.6 9.3 0 18.3.9 27.2 2.4 9.8 1.6 19.3 4.1 28.5 7.3 1.8.6 3.7 1.2 5.6 1.9 6.2 2.4 12.2 5 18 8.1 54.2 28.5 91.2 85.3 91.2 150.8-.1 37.2-12.5 71.3-32.7 99.3z"}},{"tag":"path","attr":{"d":"M352 256h-34l34 34zM384 256h16v48h-16zM360.1 212.7c-8.8-4.1-22-5.7-45.6-5.7h-3.6c-12.7.1-15.9-.1-20-6.1-2.8-4.2-1-14.8 3.7-21.9 1.6-2.4 1.8-5.6.4-8.2-1.4-2.6-4.1-4.2-7-4.3-.1 0-9.4-.1-18.3-3.9-10.6-4.5-15.6-12.1-15.6-23.1 0-25.8 21.8-27.7 22.8-27.7v-16c-12 0-38.8 11-38.8 43.7 0 17.5 9 31 25.7 38 4.2 1.7 8.4 2.9 12 3.6-3.3 9.8-3.6 20.9 1.7 28.7 9 13.3 20.3 13.2 33.3 13.1h3.5c26.3 0 34.6 2.3 38.9 4.3 5.7 2.6 6.8 7.5 6.6 15.7v1h16v-1c0-7.1.3-22.8-15.7-30.2z"}},{"tag":"path","attr":{"d":"M400 244c0-25.7-3-39.2-9.1-49.6C382.3 180 368.5 172 352 172h-17.4c2.9-8.3 5.4-19.8 3.5-30.9-3.2-18.8-19.1-30-43.1-30v16c21 0 26.1 9.1 27.4 16.7 2.5 14.5-6.8 32.1-6.9 32.3-1.4 2.5-1.3 5.5.1 7.9s4.1 3.9 6.9 3.9H352c10.9 0 19.4 4.9 25.1 14.6 3.1 5.3 6.9 13.5 6.9 41.4h16v.1z"}}]})(props);
};
function IoLogoNodejs (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M255.917 480a32.536 32.536 0 0 1-16.633-4.599l-52.985-32.44c-7.914-4.562-4.023-6.203-1.443-7.141 10.565-3.781 13.713-5.657 24.947-12.285 1.206-.667 2.747-.424 3.955.322l39.71 23.504c1.476.85 3.557.85 4.931 0l155.188-92.246c1.475-.877 2.415-2.646 2.415-4.441V163.869c0-1.85-.94-3.592-2.449-4.528l-155.12-94.672c-1.478-.894-3.421-.894-4.898 0L98.516 159.374c-1.544.903-2.516 2.698-2.516 4.495v186.805c0 1.813.972 3.513 2.481 4.389l39.929 23.972c23.61 12.204 37.59-.17 37.59-14.611V180.725c0-2.652 2.047-4.727 4.596-4.727h22.809c2.515 0 4.597 2.072 4.597 4.727v183.698c0 32.563-19.353 51.248-49.199 51.248-9.156 0-16.397 0-36.552-10.279l-41.584-24.781C70.371 374.459 64 362.965 64 350.656V161.191c0-12.316 6.371-23.784 16.665-29.917L239.35 36.41c10.027-5.88 23.374-5.88 33.332 0l158.65 94.864C441.63 137.423 448 148.899 448 161.191v189.465c0 12.309-6.37 23.75-16.668 29.953l-158.65 94.774a32.52 32.52 0 0 1-16.698 4.599l-.067.018z"}},{"tag":"path","attr":{"d":"M304.943 351.998c-64.61 0-84.006-31.61-84.006-59.271 0-2.629 2.048-4.729 4.562-4.729h20.521c2.282 0 4.227 1.7 4.562 4.016 3.084 21.602 16.748 31.15 54.324 31.15 33.399 0 47.091-10.346 47.091-28.684 0-10.592-3.463-18.424-55.407-23.697-43.427-4.441-70.288-14.373-70.288-50.295 0-33.135 26.996-52.49 72.234-52.49 46.128 0 76.462 14 79.173 50.829.102 1.337-.368 2.629-1.241 3.644-.871.965-2.078 1.527-3.353 1.527h-20.591c-2.146 0-4.024-1.562-4.459-3.713-4.401-16.953-16.97-23.402-49.563-23.402-36.486 0-40.746 12.753-40.746 22.607 0 11.963 5.031 15.441 54.294 22.172 48.761 6.663 71.933 16.117 71.933 51.552 0 35.781-28.808 58.783-79.075 58.783l.035.001z"}}]})(props);
};
function IoLogoNpm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M227.6 213.1H256v57.1h-28.4z"}},{"tag":"path","attr":{"d":"M0 156v171.4h142.2V356H256v-28.6h256V156H0zm142.2 142.9h-28.4v-85.7H85.3v85.7H28.4V184.6h113.8v114.3zm142.2 0h-56.9v28.6h-56.9V184.6h113.8v114.3zm199.2 0h-28.4v-85.7h-28.4v85.7h-28.4v-85.7H370v85.7h-56.9V184.6h170.7v114.3z"}}]})(props);
};
function IoLogoOctocat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M178.4 287.5c-9.1 0-16.9 4.2-23.2 12.8-6.3 8.5-9.4 19-9.4 31.4 0 12.5 3.2 23 9.4 31.5 6.3 8.5 14 12.8 23.2 12.8 8.5 0 15.9-4.3 22.1-12.8 6.3-8.5 9.4-19 9.4-31.5 0-12.4-3.2-22.9-9.4-31.4-6.3-8.6-13.6-12.8-22.1-12.8zM334.7 287.5c-9 0-16.9 4.2-23.2 12.8-6.3 8.5-9.4 19-9.4 31.4 0 12.5 3.2 23 9.4 31.5 6.3 8.5 14.1 12.8 23.2 12.8 8.5 0 15.9-4.3 22.2-12.8 6.3-8.5 9.4-19 9.4-31.5 0-12.4-3.2-22.9-9.4-31.4-6.3-8.6-13.6-12.8-22.2-12.8z"}},{"tag":"path","attr":{"d":"M445.8 172c-.1 0 2.7-14.3.3-39.2-2.2-24.9-7.5-47.8-16.1-68.8 0 0-4.4.8-12.8 2.9s-22.1 6.3-40.9 14.8c-18.5 8.5-38 19.8-58.3 33.5-13.8-3.9-34.4-5.9-62-5.9-26.3 0-46.9 2-62 5.9-44.6-30.9-81.9-48-112.1-51.2-8.6 21-13.9 44-16 69-2.4 24.9.4 39.3.4 39.3C42 198.6 32 236.5 32 267.8c0 24.2.7 46.1 6.1 65.5 5.6 19.3 12.7 35.1 21.1 47.2 8.6 12.1 19 22.8 31.6 31.9 12.5 9.3 24 16 34.4 20.2 10.5 4.4 22.4 7.6 36 9.9 13.3 2.4 23.4 3.6 30.5 4 0 0 28 1.5 64.4 1.5s64.3-1.5 64.3-1.5c7-.4 17.1-1.6 30.5-4 13.5-2.3 25.5-5.6 35.9-9.9 10.4-4.3 21.9-10.9 34.5-20.2 12.5-9 22.9-19.7 31.5-31.9 8.4-12.1 15.5-27.9 21.1-47.2 5.5-19.4 6.1-41.4 6.1-65.6 0-30.3-10-68.7-34.2-95.7zm-65.4 233.6c-27.9 13.1-68.9 18.4-123.3 18.4H255c-54.4 0-95.4-5.2-122.8-18.4-27.5-13.1-41.3-40.1-41.3-80.7 0-24.3 8.6-44 25.5-59.1 7.4-6.5 16.4-11 27.6-13.7 11.1-2.6 21.4-2.8 31-2.5 9.4.4 22.6 2.2 39.3 3.5 16.8 1.3 29.3 3 41.8 3 11.7 0 27.2-2 52.1-4 25-2 43.5-3 55.5-1 12.3 2 23 6.2 32.1 14.7 17.7 15.8 26.6 35.5 26.6 59.1-.1 40.6-14.2 67.6-42 80.7z"}}]})(props);
};
function IoLogoPinterest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32C132.3 32 32 132.3 32 256c0 91.7 55.2 170.5 134.1 205.2-.6-15.6-.1-34.4 3.9-51.4 4.3-18.2 28.8-122.1 28.8-122.1s-7.2-14.3-7.2-35.4c0-33.2 19.2-58 43.2-58 20.4 0 30.2 15.3 30.2 33.6 0 20.5-13.1 51.1-19.8 79.5-5.6 23.8 11.9 43.1 35.4 43.1 42.4 0 71-54.5 71-119.1 0-49.1-33.1-85.8-93.2-85.8-67.9 0-110.3 50.7-110.3 107.3 0 19.5 5.8 33.3 14.8 43.9 4.1 4.9 4.7 6.9 3.2 12.5-1.1 4.1-3.5 14-4.6 18-1.5 5.7-6.1 7.7-11.2 5.6-31.3-12.8-45.9-47-45.9-85.6 0-63.6 53.7-139.9 160.1-139.9 85.5 0 141.8 61.9 141.8 128.3 0 87.9-48.9 153.5-120.9 153.5-24.2 0-46.9-13.1-54.7-27.9 0 0-13 51.6-15.8 61.6-4.7 17.3-14 34.5-22.5 48 20.1 5.9 41.4 9.2 63.5 9.2 123.7 0 224-100.3 224-224C480 132.3 379.7 32 256 32z"}}]})(props);
};
function IoLogoPlaystation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M399.8 203c-.8-17.1-3.3-34.5-10.8-50.1-4.1-8.6-9.7-16.5-16.5-23.2-6.3-6.4-13.6-11.7-21.3-16.3-17.1-10.2-37.5-17-84.4-31S192 64 192 64v358.3l79.9 25.7s.1-198.8.1-299.5v-3.8c0-9.3 7.5-16.8 16.1-16.8h.5c8.5 0 15.5 7.5 15.5 16.8V278c11 5.3 29.2 9.3 41.8 9.1 8.3.2 16.7-1.7 24-5.7 7.6-4.1 13.9-10.4 18.4-17.8 5.1-8.3 8.2-17.8 9.9-27.3 1.9-10.8 2-22.1 1.6-33.3zM86.7 357.8c27.4-9.8 89.3-29.5 89.3-29.5v-47.2s-76.5 24.8-111.3 37.1c-8.6 3.1-17.3 5.9-25.7 9.5-9.8 4.1-19.4 8.7-28.1 14.8-3.8 2.6-7.2 5.9-9.2 10.1s-2.2 9.2-.5 13.6c2 5.1 5.8 9.3 10.1 12.6 7.8 5.9 17.1 9.5 26.4 12.2 28.4 9.4 58.4 14 88.4 13.3 14.5-.2 36-1.9 50-4.4v-42s-11 2.5-41.3 12.5c-4.6 1.5-9.2 3.3-14 4.3-7.1 1.6-14.4 2.1-21.6 2.2-6.5-.3-13.2-.7-19.3-3.1-2.2-1-4.6-2.2-5.5-4.6-.8-2 .3-4 1.7-5.4 2.8-2.9 6.8-4.5 10.6-6z"}},{"tag":"path","attr":{"d":"M512 345.9c-.1-6-3.7-11.2-7.9-15-7.1-6.3-15.9-10.3-24.7-13.5-5.5-1.9-9.3-3.3-14.7-5-25.2-8.2-51.9-11.2-78.3-11.3-8 .3-23.1.5-31 1.4-21.9 2.5-67.3 15.4-67.3 15.4v48.8s67.5-21.6 96.5-31.8c9.7-3.3 20.1-4.6 30.3-4.6 6.5.2 13.2.7 19.4 3.1 2.2.9 4.5 2.2 5.5 4.5.9 2.6-.9 5-2.9 6.5-4.7 3.8-10.7 5.3-16.2 7.4-41 14.5-132.7 44.7-132.7 44.7v47s117.2-39.6 170.8-58.8c8.9-3.3 17.9-6.1 26.4-10.4 7.9-4 15.8-8.6 21.8-15.3 3.1-3.6 5-8 5-13.1z"}}]})(props);
};
function IoLogoPolymer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M392.3 96h-77.9L160.8 348.6 109.9 256l87.7-160h-77.9L32 256l87.7 160h77.9l153.7-252.6 50.8 92.6-87.7 160h77.9L480 256 392.3 96z"}}]})(props);
};
function IoLogoPython (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M193.46 249.056a65.316 65.316 0 0 1 11.586-1.041l-3.122-.015h103.823c4.503 0 8.806-.617 12.908-1.754 19.37-5.363 33.345-22.537 33.345-43.663v-87.224c0-24.832-21.15-43.484-46.289-47.606-15.931-2.624-39.258-3.827-55.089-3.749-15.829.086-30.981 1.404-44.277 3.749C167.143 74.576 160 88.928 160 115.359V144h96v16H128.82c-35.628 0-64.538 42.571-64.813 95.242-.002.253-.007.505-.007.758 0 9.523.94 18.72 2.685 27.404C74.648 323.07 99.451 352 128.82 352H144v-45.935c0-26.827 20.146-51.733 49.46-57.009zm10.196-122.054c-9.592 0-17.384-7.785-17.384-17.403 0-9.664 7.774-17.52 17.384-17.52 9.574 0 17.399 7.855 17.399 17.52.001 9.618-7.809 17.403-17.399 17.403z"}},{"tag":"path","attr":{"d":"M443.951 222.543C434.78 186.021 411.033 160 383.18 160H368v40.672c0 33.915-22.286 58.474-49.489 62.681a53.943 53.943 0 0 1-8.301.646H206.351a51.41 51.41 0 0 0-13.049 1.672C174.18 270.689 160 286.6 160 307.236v87.227c0 24.832 24.977 39.426 49.481 46.551 29.327 8.531 61.267 10.068 96.366 0C329.15 434.354 352 420.893 352 394.463V368h-96v-16h127.18c25.24 0 47.107-21.365 57.814-52.549C445.474 286.404 448 271.641 448 256c0-11.768-1.433-23.038-4.049-33.457zM307.867 382.82c9.59 0 17.381 7.785 17.381 17.4 0 9.65-7.791 17.521-17.381 17.521-9.577 0-17.399-7.871-17.399-17.521 0-9.63 7.806-17.4 17.399-17.4z"}}]})(props);
};
function IoLogoReddit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"circle","attr":{"cx":"322.3","cy":"288.4","r":"31.8"}},{"tag":"circle","attr":{"cx":"190.3","cy":"288.4","r":"31.8"}},{"tag":"path","attr":{"d":"M480.5 251c0-27.7-22.2-50.2-49.5-50.2-13 0-24.7 5-33.6 13.3-33.2-23.4-78.4-38.5-128.7-40.7L292 95.7l69.6 13.9c.2 24.7 20.1 44.7 44.5 44.7 24.6 0 44.5-20.2 44.5-45.1S430.7 64 406.1 64c-18.6 0-34.5 11.6-41.2 28l-85.2-17-29.4 98.2-7.1.2c-50.3 2.2-95.5 17.4-128.7 40.7-8.8-8.3-20.6-13.3-33.6-13.3-27.3 0-49.5 22.5-49.5 50.2 0 19.6 11 36.5 27.1 44.8-.8 4.9-1.2 9.8-1.2 14.8C57.5 386.4 146.4 448 256 448s198.5-61.6 198.5-137.5c0-5-.4-9.9-1.1-14.8 16.1-8.3 27.1-25.2 27.1-44.7zM406.1 81.9c14.8 0 26.8 12.2 26.8 27.2s-12 27.2-26.8 27.2-26.8-12.2-26.8-27.2 12-27.2 26.8-27.2zM49.2 251c0-17.8 14.3-32.2 31.8-32.2 7.2 0 13.9 2.5 19.2 6.6-17.3 15.2-30.1 33-37 52.4-8.4-5.9-14-15.7-14-26.8zm337.2 141.9C351.8 416.8 305.5 430 256 430s-95.8-13.2-130.4-37.1c-32.5-22.5-50.4-51.8-50.4-82.4 0-3.2.2-6.5.6-9.7.7-6 2.2-11.9 4.3-17.7 5.6-15.6 16-30.3 30.7-43.4 4.4-3.9 9.2-7.7 14.4-11.3.1-.1.3-.2.4-.3C160.2 204.2 206.5 191 256 191s95.8 13.2 130.4 37.1c.1.1.3.2.4.3 5.2 3.6 10 7.4 14.4 11.3 14.7 13.1 25.1 27.8 30.7 43.4 2.1 5.8 3.5 11.7 4.3 17.7.4 3.2.6 6.4.6 9.7 0 30.6-17.9 59.9-50.4 82.4zm62.4-115.2c-6.9-19.4-19.7-37.2-37-52.4 5.3-4.1 12-6.6 19.2-6.6 17.5 0 31.8 14.5 31.8 32.2 0 11.2-5.6 21-14 26.8z"}},{"tag":"path","attr":{"d":"M320.5 357.9c-.2.2-24.2 24.2-64.5 24.4-40.9-.2-64.4-24.2-64.6-24.4l-12.6 12.4c1.2 1.2 29.6 29.5 77.2 29.7 47.6-.2 75.9-28.5 77.1-29.7l-12.6-12.4z"}}]})(props);
};
function IoLogoRss (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M119.9 336.1c-30.8 0-55.9 25.1-55.9 55.8 0 30.8 25.1 55.6 55.9 55.6 30.9 0 55.9-24.9 55.9-55.6 0-30.7-25-55.8-55.9-55.8z"}},{"tag":"path","attr":{"d":"M64 192v79.9c48 0 94.1 14.2 128 48.1 33.9 33.9 48 79.9 48 128h80c0-139.9-116-256-256-256z"}},{"tag":"path","attr":{"d":"M64 64v79.9c171 0 303.9 133 303.9 304.1H448C448 236.3 276 64 64 64z"}}]})(props);
};
function IoLogoSass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M511.784 329.108c-1.67-13.599-9.236-24.146-20.795-32.416 2.857 2.04 5.275 3.766-.055-.041-7.189-5.131-3.38-2.411-.047-.032-28.5-20.301-65.676-15.789-96.733-4.511-12.447-20.295-12.987-35.783-5.816-57.937.929-2.8.295-4.354-2.624-5.604-7.086-3.03-17.291-1.427-24.422.463-2.462.646-4.254 1.9-4.8 4.381-5.154 24.243-21.009 46.448-34.828 66.886-9.731-18.652-8.96-33.087-2.414-52.516.798-2.366.431-3.624-1.937-4.879-7.26-3.757-18.401-1.912-25.8.276-8.509 2.482-21.29 44.594-25.372 52.946-8.531 17.442-16.091 44.665-30.585 58.502-12.3-15.807 22.526-51.517 10.882-65.851-3.938-4.848-11.063-4.723-15.586-.616 1.085-7.608 1.648-12.609-.32-19.063-2.081-6.79-7.361-10.687-15.09-10.49-17.995.527-33.843 13.815-44.641 26.397-10.277 12.105-37.381 19.627-51.953 26.927-25.032-21.807-79.221-44.947-80.632-82.081-1.528-41.846 48.319-70.245 81.597-87.228 43.28-22.104 109.961-49.608 159.138-25.436 13.049 6.414 18.299 20.171 14.707 33.348-9.368 34.366-47.198 57.293-80.103 67.807-16.189 5.175-33.969 9.027-51.1 8.026-22.955-1.343-40.83-15.224-43.281-16.086-2.049-.389-1.888 2.261-1.347 3.664 23.816 62.433 144.417 16.681 175.956-15.371 15.189-15.421 24.413-30.365 28.351-53.894 4.616-27.583-15.634-44.842-31.004-51.957-77.918-36.072-185.636 11.168-244.553 59.327-25.568 20.901-57.552 54.11-42.874 88.946 15.93 37.805 64.736 57.19 96.503 80.312-25.704 12.773-57.862 25.983-74.518 49.933-9.524 13.729-12.903 28.359-5.811 43.966 12.572 27.568 58.285 15.622 77.573 3.471 17.67-11.13 29.563-26.07 34.7-45.228 4.455-16.609 3.541-33.866-3.856-49.512l28.585-14.458c-7.697 23.076-11.097 52.003 4.881 72.855 6.402 8.338 23.017 8.675 29.817.311 8.816-10.943 14.664-24.655 20.503-37.206-.682 9.373-1.856 19.996 1.377 28.165 3.71 9.373 12.126 11.291 20.792 5.343 26.52-18.203 43.398-68.652 56.463-98.062 3.552 12.829 7.473 24.548 13.957 36.376 1.602 2.903 1.407 4.774-.796 7.195-9.685 10.675-32.826 28.479-35.069 42.899-.524 3.371 1.713 6.599 5.686 7.37 15.573 3.108 32.838-2.531 45.482-11.078 13.188-8.922 17.446-21.087 14.245-35.515-4.576-20.771 10.993-43.98 25.801-61.03 2.719 12.908 6.816 25.331 14.143 36.606-13.075 11.483-32.58 27.764-29.779 46.939.988 6.865 7.135 11.301 14.514 9.736 15.783-3.324 29.416-10.113 39.37-22.146 9.023-10.855 5.792-22.701 1.856-34.635 23.872-6.815 48.022-8.177 71.831-.027 11.495 3.91 20.755 10.5 26.248 20.818 6.726 12.644 2.939 24.292-10.05 32.604-3.287 2.104-5.562 3.833-4.45 4.743 1.112.911 4.9 2.113 13.284-3.152 8.384-5.267 13.51-12.383 14.823-21.725a37.09 37.09 0 0 0-.024-7.755zm-398.838 25.259c-1.358 16.673-9.636 30.193-23.175 41.114-7.617 6.158-17.102 11.176-26.52 12.092-9.418.917-16.751-1.461-17.378-11.23-1.764-27.493 40.923-54.424 64.625-62.533 2.02 6.86 3.011 13.666 2.432 20.587l.016-.03zm103.102-72.453c-3.903 22.309-14.83 62.347-32.314 78.336-2.356 2.143-4.61 2.018-5.809-.771-10.345-24.059 3.671-73.669 33.082-81.328 3.457-.889 5.602.582 5.041 3.763zm70.311 81.768c8.422-8.962 16.834-17.916 25.269-26.927 1.043 10.021-17.571 29.964-25.269 26.927zm80.714-17.696c-2.348 1.273-7.621 2.515-7.827.835-1.482-12.085 11.816-24.874 20.067-30.867 4.453 11.343-.818 23.834-12.24 30.032z"}}]})(props);
};
function IoLogoSkype (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M436.9 296.8c2.8-12.5 4.2-25.4 4.2-38.7 0-99.7-82-180.6-183.2-180.6-10.7 0-21.1.9-31.3 2.6C210.3 69.9 191 64 170.2 64 111.6 64 64 110.9 64 168.7c0 19.4 5.3 37.5 14.6 53-2.4 11.7-3.7 23.9-3.7 36.3 0 99.8 82 180.6 183.1 180.6 11.5 0 22.7-1 33.5-3 15 7.9 32.1 12.4 50.2 12.4 58.7 0 106.2-46.9 106.2-104.7.1-16.7-3.9-32.5-11-46.5zm-85 47.5c-8.5 11.8-21 21.2-37.2 27.8-16.1 6.6-35.3 9.9-57.3 9.9-26.3 0-48.3-4.6-65.6-13.6-12.3-6.6-22.4-15.4-30.2-26.4-7.8-11-11.7-22-11.7-32.6 0-6.6 2.6-12.3 7.6-17.1 5-4.6 11.5-7 19.1-7 6.3 0 11.7 1.8 16.1 5.5 4.2 3.5 7.8 8.7 10.7 15.5 3.3 7.3 6.8 13.5 10.6 18.4 3.6 4.7 8.7 8.6 15.3 11.7 6.7 3.1 15.6 4.7 26.6 4.7 15.1 0 27.5-3.2 36.8-9.5 9.2-6.1 13.6-13.5 13.6-22.5 0-7.1-2.3-12.7-7.1-17.1-5-4.6-11.5-8.2-19.6-10.6-8.3-2.6-19.6-5.3-33.6-8.2-19-4-35.1-8.8-48-14.2-13.1-5.5-23.7-13.2-31.5-22.7-7.9-9.7-11.8-21.9-11.8-36.2 0-13.7 4.2-25.9 12.4-36.5 8.2-10.5 20.1-18.7 35.6-24.3 15.2-5.6 33.3-8.4 53.7-8.4 16.4 0 30.7 1.9 42.7 5.5 12.1 3.7 22.2 8.7 30.3 14.9 8 6.2 14 12.8 17.8 19.7 3.8 7 5.7 13.9 5.7 20.6 0 6.4-2.5 12.3-7.5 17.4-5 5.1-11.3 7.8-18.8 7.8-6.8 0-12.1-1.6-15.8-4.8-3.4-3-7-7.6-10.9-14.3-4.6-8.5-10.1-15.3-16.4-20.1-6.2-4.6-16.4-7-30.6-7-13.1 0-23.8 2.6-31.7 7.7-7.6 4.9-11.3 10.6-11.3 17.3 0 4.1 1.2 7.5 3.7 10.5 2.6 3.1 6.2 5.9 10.9 8.2 4.8 2.4 9.8 4.3 14.7 5.6 5.1 1.4 13.6 3.5 25.3 6.1 14.9 3.1 28.5 6.7 40.5 10.4 12.2 3.9 22.7 8.6 31.3 14.1 8.8 5.6 15.7 12.9 20.7 21.5 4.9 8.6 7.4 19.4 7.4 31.8.4 15.1-3.9 28.7-12.5 40.5z"}}]})(props);
};
function IoLogoSlack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M213.6 236.216l64.003-21.438 20.708 61.823-64.004 21.438z"}},{"tag":"path","attr":{"d":"M213.6 236.216l64.003-21.438 20.708 61.823-64.004 21.438z"}},{"tag":"path","attr":{"d":"M475.9 190C426.4 25 355-13.4 190 36.1S-13.4 157 36.1 322 157 525.4 322 475.9 525.4 355 475.9 190zm-83.3 107.1l-31.1 10.4 10.7 32.2c4.2 13-2.7 27.2-15.7 31.5-2.7.8-5.8 1.5-8.4 1.2-10-.4-19.6-6.9-23-16.9l-10.7-32.2-64.1 21.5L261 377c4.2 13-2.7 27.2-15.7 31.5-2.7.8-5.8 1.5-8.4 1.2-10-.4-19.6-6.9-23-16.9L203 360.4l-31 10.3c-2.7.8-5.8 1.5-8.4 1.2-10-.4-19.6-6.9-23-16.9-4.2-13 2.7-27.2 15.7-31.5l31.1-10.4-20.7-61.8-31.1 10.4c-2.7.8-5.8 1.5-8.4 1.2-10-.4-19.6-6.9-23-16.9-4.2-13 2.7-27.2 15.7-31.5l31.1-10.4-10.9-32.1c-4.2-13 2.7-27.2 15.7-31.5 13-4.2 27.2 2.7 31.5 15.7l10.7 32.2 64.1-21.5-10.7-32.2c-4.2-13 2.7-27.2 15.7-31.5 13-4.2 27.2 2.7 31.5 15.7l10.7 32.2 31.1-10.4c13-4.2 27.2 2.7 31.5 15.7 4.2 13-2.7 27.2-15.7 31.5l-31.1 10.4 20.7 61.8 31.1-10.4c13-4.2 27.2 2.7 31.5 15.7 4.2 13.2-2.7 27.4-15.8 31.7z"}}]})(props);
};
function IoLogoSnapchat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M495.998 360.389l-.189-14.501-14.398-1.278c-15.413-1.396-43.8-7.219-54.301-16.9-16.281-15.011-35.688-36.199-35.688-51.893 0-1.014 0-2.546 4.15-5.186 4.985-3.174 12.589-5.584 19.297-7.71 5.217-1.654 10.144-3.217 14.394-5.236 9.236-4.39 18.498-15.978 17.471-28.807-1.215-15.166-14.424-27.046-30.072-27.046-4.021 0-8.068.76-12.027 2.259-8.027 3.041-13.743 4.41-17.705 4.962.747-9.319 1.791-20.12 3.211-30.67 5.111-37.948-5.281-73.509-29.264-101.042C335.498 48.208 297.376 32 256.283 32H256c-41.093 0-79.215 16.208-104.591 45.341-23.982 27.534-34.375 63.345-29.265 101.292 1.416 10.51 2.46 21.231 3.21 30.618-3.97-.559-9.686-1.998-17.703-5.034-3.965-1.502-8.017-2.295-12.043-2.295-15.641-.001-28.844 11.852-30.057 27.003-1.027 12.818 8.235 24.393 17.47 28.783 4.251 2.02 9.181 3.578 14.4 5.232 6.707 2.125 14.309 4.532 19.293 7.703 4.147 2.639 4.147 4.168 4.147 5.182 0 8.66-6.191 24.691-35.688 51.888-10.499 9.681-39.055 15.501-54.588 16.897l-14.572 1.311L16 360.603c0 1.679.312 10.546 6.485 20.319 5.246 8.306 16.073 19.283 37.863 24.407a1139.713 1139.713 0 0 0 15.208 3.454c2.306.512 4.555 1.01 6.454 1.453l.081.623c.9 7.004 1.611 12.535 4.392 17.75 2.453 4.6 8.574 12.316 22.015 12.316 2.478 0 5.249-.246 8.472-.751 1.672-.263 3.386-.554 5.2-.863 7.116-1.212 15.182-2.587 23.451-2.587 10.277 0 18.732 2.188 25.846 6.688 4.531 2.867 8.892 5.972 13.509 9.26C202.967 465.481 223.358 480 256 480c32.726 0 53.293-14.582 71.439-27.446 4.576-3.244 8.898-6.309 13.377-9.142 7.113-4.5 15.568-6.688 25.846-6.688 8.27 0 16.334 1.375 23.449 2.586 1.814.311 3.529.602 5.202.864 3.223.505 5.993.751 8.472.751 13.44 0 19.562-7.715 22.015-12.313 2.781-5.214 3.492-10.746 4.392-17.749l.082-.629c1.898-.441 4.148-.941 6.455-1.452 4.023-.892 9.029-2.001 15.206-3.454 21.851-5.139 32.611-16.17 37.79-24.518 6.097-9.828 6.296-18.736 6.273-20.421zM208 128c8.836 0 16 10.745 16 24s-7.164 24-16 24-16-10.745-16-24 7.164-24 16-24zm103.615 77.698C296.368 220.725 276.617 229 256 229c-20.838 0-40.604-8.29-55.657-23.343a8 8 0 1 1 11.313-11.313C223.688 206.374 239.436 213 256 213c16.387 0 32.15-6.64 44.385-18.698a8 8 0 0 1 11.23 11.396zM304 176c-8.836 0-16-10.746-16-24s7.164-24 16-24 16 10.746 16 24-7.164 24-16 24z"}}]})(props);
};
function IoLogoSteam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M478.8 208.2c0 19.8-16.1 36-36 36-19.8 0-36-16.1-36-36 0-19.8 16.1-36 36-36 19.8 0 36 16.2 36 36zM442.6 139c-38.1 0-69 30.7-69.4 68.7l-43.2 62c-1.8-.2-3.6-.3-5.4-.3-9.7 0-18.7 2.7-26.4 7.3L102.4 198c-5.1-23.2-25.9-40.7-50.6-40.7C23.3 157.2 0 180.6 0 209.1s23.3 51.8 51.8 51.8c9.7 0 18.7-2.7 26.4-7.3L274 332.2c5.1 23.3 25.8 40.8 50.6 40.8 26.8 0 49-20.6 51.5-46.7l66.5-48.6c38.3 0 69.4-31 69.4-69.3S480.9 139 442.6 139zm0 22.9c25.7 0 46.5 20.9 46.5 46.5 0 25.7-20.9 46.4-46.5 46.4-25.7 0-46.5-20.8-46.5-46.4 0-25.7 20.8-46.5 46.5-46.5zm-390.8 9c14.6 0 27.3 8.2 33.7 20.2l-18.9-7.6v.1c-15.3-5.5-32.2 2-38.3 17.1-6.1 15.2.9 32.3 15.7 38.9v.1l16.1 6.4c-2.6.6-5.4.9-8.2.9-21.1 0-38.1-17-38.1-38.1-.1-20.9 16.9-38 38-38zm272.8 112.2c21.1 0 38.1 17 38.1 38.1s-17 38.1-38.1 38.1c-14.7 0-27.4-8.2-33.7-20.3 6.3 2.5 12.5 5 18.8 7.6 15.5 6.2 33.2-1.3 39.4-16.8 6.2-15.5-1.3-33.1-16.9-39.4l-15.9-6.4c2.8-.5 5.5-.9 8.3-.9z"}}]})(props);
};
function IoLogoTumblr (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M321.2 396.3c-11.8 0-22.4-2.8-31.5-8.3-6.9-4.1-11.5-9.6-14-16.4-2.6-6.9-3.6-22.3-3.6-46.4V224h96v-64h-96V48h-61.9c-2.7 21.5-7.5 44.7-14.5 58.6-7 13.9-14 25.8-25.6 35.7-11.6 9.9-25.6 17.9-41.9 23.3V224h48v140.4c0 19 2 33.5 5.9 43.5 4 10 11.1 19.5 21.4 28.4 10.3 8.9 22.8 15.7 37.3 20.5 14.6 4.8 31.4 7.2 50.4 7.2 16.7 0 30.3-1.7 44.7-5.1 14.4-3.4 30.5-9.3 48.2-17.6v-65.6c-20.9 13.7-41.8 20.6-62.9 20.6z"}}]})(props);
};
function IoLogoTux (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M426.3 396c-6.7-4-13.2-11-12-18.8 2.3-15.3 2.5-21.5-.2-25.8-1.9-3.2-5.5-5-8.6-5.8 2-2.5 3.1-5.4 3.8-10.9 1.3-10-4.7-41-12.7-65.7s-29.9-50-44.7-68c-26-31.8-22.8-39.2-26.3-99.7C323.4 62.8 306.3 32 256 32s-67 32-67 59c0 28.7 2 51 2 51 1.3 33.4 1 39.4-8 55.3-4.9 8.7-27 30-35.7 44.7s-7.6 29.5-24.6 52.8c-12.4 17-13.8 28.4-9.7 44-7 8.2-3.6 19.9-5 24.9-2.6 8.7-13.7 10.3-22.3 11s-15.3 0-18.7 5.3.7 16 4.3 30-7.3 15-7.3 31 30 16 59.7 22.7 40.7 16.3 56 16.3 26.8-10.2 38-19.3c7.2-5.9 29-3.7 42.3-3.7s34.3-.6 45.7 2.4S317 480 345 480s34.7-20.7 61-34.3 42-20 42-29.7-15-16-21.7-20zm-226.5 55.5c-1.3 13-12.6 17.1-24.1 16.1-13-1.1-29-7.6-44.1-12.1s-35.5-7.5-49-9.9c-15.3-2.7 0-13.6-.2-34.2-.1-8-7.1-19.4-4.2-24.7s17.3-2.4 22.3-3.8 12.7-5.7 15.3-11.9c1.4-3.4 1.8-17.7 2.9-22.8 1.1-4.9 7.9-7.2 22.2.1s28.9 38.1 42.3 59.8 17.9 30.4 16.6 43.4zm118.5-65.8c2 10.3 3.2 24.5.7 36.3s-7 15.5-10.7 23c-2.2-6.8 5.3-13.8 4.4-30.8-.5-9.5-.8-7.8-11.5 1.8-12.2 10.8-27.6 20.1-53 22.5-21 2-32.5-8.3-32.5-8.3 5 16-4.3 24.7-4.3 24.7.3-3.7.8-14.3-2.5-21.6-4-9-9.3-18.7-9.3-18.7s8.6-2.7 11.6-10 2-17.3-8.7-27.7-52.5-37.6-55.9-42.1c-4.9-6.5-6.7-10.2-7-23.2s5.4-24.8 4.3-20.3c-.8 3.2.1 6.8.1 19.8s7.6 23.3 13.9 25c9.5 2.6 2-26.1 8-53.1s11.7-32.8 19.2-43.8 19.2-20.5 17-43.1-.1-20.1 5.1-11.8c4 6.5 13.3 24 24.7 22 19.4-3.3 43.9-24.6 47.6-28.2 3.7-3.6.7-7.1-2.3-5.8-15.5 6.7-44.3 21.5-51.5 18.2s-18.1-20.6-16.8-19.5c15.4 13.6 19.9 11.1 26.4 9 8.4-2.8 12.8-4.3 28.5-11.3s20.7-5.3 22.3-8.7-.4-6.7-4.7-5.7c-6.4 1.5-3.4 5.1-22.7 12.3-25.3 9.5-33.3 10.3-44 3-8.6-5.9-15-12.7-15-16.7s8.3-8.3 12.3-11.3 12.3-10.9 12.3-10.9 1-7.2-.6-12.7c-1.9-6.5-7.8-9.3-11.9-8.1-4.1 1.1-8 5.5-6.8 14.8 1 8.3 7 11 7 11s-2.7 3.5-5.2 4.7c0 0-.8-.3-3.5-6.3s-6.6-19.5-.3-31.1 19.6-5.2 23.8 3.8c3.9 8.3 2.4 22.7 2.4 22.7 6-2.2 13-2 21 3.5-7.1-29.8 9.5-41.1 22-41.1s22.3 9.6 22.3 25c0 12-3.5 18.2-6.9 22-4.1-.5-8.2-1.5-6.3-3.4 1.3-1.4 4.4-5.7 4.4-13.2s-5.9-13.7-13.7-13.7c-9.2 0-12.6 8.3-13.7 13s-.4 8.6-.2 10.4c.6 5 10.9 9.6 23.9 12.9s11.3 9 8.3 25.3 6.3 18.3 14.3 33.8 5.7 21.8 15.9 35.2 19 47.8 16.4 76.8c-.9 10.5-3.9 10.2 7.3 6.7 5.6-1.7 12-2.7 12-2.7 3.1-6.3 3.4-16.3 3.5-22.3.2-13.5.7-41.5-26.7-71.5 0 0 29.5 21.7 34 62 2.5 22.3-2 32.4-2 32.4 5.3 1.3 9.8 7.3 12.6 11.8 3.7 6.1-3.9-5.8-20-5.8-8.5 0-15.3 3.9-18.5 7.9s-3.1 7.6-3.2 11.7c-7.1-1.2-12.4 0-16.8 4.9-5.6 7-2.8 24.2-.8 34.6zm90.1 47.2c-24.1 10.4-32.7 23.5-47.7 31.5s-27.7 2.3-33.7-8 10.4-28.2 4.7-59.6c-4.4-24.2-6.3-31-4.9-36.8 1.4-5.5 9.4-4.4 11.5-3.9 1.3 5.4 6.7 19.5 27 19.5 0 0 23.2 2.6 32.7-21.2 0 0 5.7-.2 7.2 3.5 2.3 5.8-2.9 16.5-2.8 21.3.3 15.7 11.7 21.1 28.4 32 8.2 5.6 2.1 11.1-22.4 21.7z"}}]})(props);
};
function IoLogoTwitch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M80 32l-32 80v304h96v64h64l64-64h80l112-112V32H80zm336 256l-64 64h-96.001L192 416v-64h-80V80h304v208z"}},{"tag":"path","attr":{"d":"M320 143h48v129h-48zM208 143h48v129h-48z"}}]})(props);
};
function IoLogoTwitter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M492 109.5c-17.4 7.7-36 12.9-55.6 15.3 20-12 35.4-31 42.6-53.6-18.7 11.1-39.4 19.2-61.5 23.5C399.8 75.8 374.6 64 346.8 64c-53.5 0-96.8 43.4-96.8 96.9 0 7.6.8 15 2.5 22.1-80.5-4-151.9-42.6-199.6-101.3-8.3 14.3-13.1 31-13.1 48.7 0 33.6 17.2 63.3 43.2 80.7-16-.4-31-4.8-44-12.1v1.2c0 47 33.4 86.1 77.7 95-8.1 2.2-16.7 3.4-25.5 3.4-6.2 0-12.3-.6-18.2-1.8 12.3 38.5 48.1 66.5 90.5 67.3-33.1 26-74.9 41.5-120.3 41.5-7.8 0-15.5-.5-23.1-1.4C62.8 432 113.7 448 168.3 448 346.6 448 444 300.3 444 172.2c0-4.2-.1-8.4-.3-12.5C462.6 146 479 129 492 109.5z"}}]})(props);
};
function IoLogoUsd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M411.387 303.256c-3.119-9.577-7.891-18.561-14.301-26.952-6.422-8.382-14.396-15.826-23.93-22.331-9.539-6.498-20.721-11.63-33.553-15.4-5.143-1.363-14.189-3.506-26.104-6.418-8.516-2.074-16.5-4.2-25.5-6.367V120.065c9 2.396 15.252 6.202 21.926 10.43C324.204 139.535 333.157 155 335.78 176h69.174c-.654-18-4.65-32.76-11.996-46.02-8.07-14.543-18.977-27.024-32.73-36.956-13.75-9.922-30.225-17.49-48.377-22.455C303.967 68.416 297 66.605 288 65.386V32h-64v33.167c-7 1.044-15.148 2.445-22.426 4.25-17.242 4.283-32.388 10.868-45.951 19.764-13.571 8.905-24.352 20.112-32.604 33.627-8.251 13.523-12.312 29.52-12.312 48 0 9.585 1.407 18.993 4.157 28.235 2.752 9.241 7.442 17.967 14.042 26.181 6.603 8.214 15.495 15.658 26.687 22.332 11.183 6.672 24.705 12.064 41.576 16.171 9.287 2.345 18.83 4.534 26.83 6.576v119.586c-11-2.919-21.889-7.399-30.678-13.479-9.17-6.327-16.066-13.953-21.198-23.884-4.779-9.229-7.073-20.526-7.407-32.526H96c.695 21 5.25 39.494 13.672 55.371 8.799 16.604 20.533 29.96 35.204 40.562 14.662 10.613 31.393 18.356 51.198 23.491 8.885 2.304 18.926 3.96 27.926 5.23V480h64v-34.54c10-1.069 18.957-2.69 28.527-4.879 18.701-4.273 35.645-11.036 50.316-20.276 14.662-9.24 26.621-21.128 35.611-35.681 8.98-14.541 13.545-32.085 13.545-52.619.001-9.578-1.501-19.164-4.612-28.749zM224 209.699c-12-3.743-23.912-9.088-32.051-16.048-8.621-7.355-12.673-17.534-12.673-30.545 0-9.241 2.414-16.94 7.004-23.102 4.58-6.161 9.912-11.038 16.88-14.631 6.18-3.189 13.84-5.565 20.84-7.138v91.464zm118.902 149.772c-2.939 6.673-7.699 12.576-14.303 17.711-6.602 5.133-15.744 9.328-26.377 12.577-4.5 1.378-8.223 2.444-14.223 3.236v-107.11c10 2.624 18.18 5.332 26.326 8.131 8.062 2.744 15.748 7.443 22.537 14.116 6.785 6.676 10.309 17.03 10.309 31.06.001 6.85-1.337 13.605-4.269 20.279z"}}]})(props);
};
function IoLogoVimeo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M476.9 114c-5-23.4-17.5-38.8-40.6-46.3s-64.9-4.5-94.1 16.8c-29.9 21.8-47.6 59.7-53.8 83.8 14.7-6.3 24-7.7 39-6.9s24.5 12 24.9 25.3c.3 9.8-.2 18.7-3.6 27.7-10.8 28.7-27.7 56.5-47.6 80.8-2.9 3.6-6.4 6.9-10 9.9-10.2 8.3-18.8 6.1-25.4-5.2-5.4-9.3-9-18.9-12.2-29.1-12.4-39.7-16.8-80.9-23.8-121.6-3.3-19.5-7-39.8-18-56.9-11.6-17.8-28.6-24.6-50-22-14.7 1.8-36.9 17.5-47.8 26.4 0 0-56 46.9-81.8 71.4l21.2 27s17.9-12.5 27.5-18.3c5.7-3.4 12.4-4.1 17.2.2 4.5 3.9 9.6 9 12.3 14.1 5.7 10.7 11.2 21.9 14.7 33.4 13.2 44.3 25.5 88.7 37.8 133.3 6.3 22.8 13.9 44.2 28 63.6 19.3 26.6 39.6 32.7 70.9 21.5 25.4-9.1 46.6-26.2 66-43.9 33.1-30.2 59.1-65.4 85.5-101.2 20.4-27.7 37.3-55.7 51.4-87 13.9-31 19.4-63.5 12.3-96.8z"}}]})(props);
};
function IoLogoVk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M427 299.1c-8.6-8-15.7-12.8-18.5-20.5-1-2.7-1.3-4.3-1-7.6.4-6 5.5-13.8 39.6-58.9 14.2-18.8 32.7-41.5 32.7-58.5 0-11-4.5-13.7-20.8-13.7h-74c-6.5 0-10.9 8.9-13.6 16.4-2.8 7.5-8.2 19-21.4 43.8-13.8 26-32.3 48.8-40 52.4-2.2 1-3.6 1-5.5.8-1.2-.1-3.8-.8-6.2-3.7-2.3-2.8-5.9-7.7-4.5-53.9.8-25.8 3.7-43.8-1.7-54.8-1.1-2.2-3.5-4.5-4.8-5.5-7.7-5.5-29.4-7.5-48-7.5s-32.9 2.1-40 4.2c-7.1 2.1-15.1 6.9-18.9 12-2.5 3.3 4.3 1.6 10.9 4.6 4 1.8 9.3 4.6 11.2 9.3 8 20.8 9.7 37.3 5.3 66.7-1.1 7.2-2.3 18.5-6.6 25.5-2.4 3.9-7.9 3.6-9.5 3.1-16.1-4.9-28.6-26-41.2-50.7-13.1-25.8-19.8-43.9-23.4-51.3s-9.1-11.4-18.4-11.4H42.3c-5.2 0-9.9 4.3-9.9 9 0 11 18.6 43 29.8 66 20.2 41.4 46.7 81.4 82.4 120.2C182 376.3 233 384 249.3 384s29-.6 33.3-1.5c2-.4 4.1-1.3 5.7-2.5 7.1-5.5 5.8-16 6.3-24.2.5-8.4 1.4-19.5 7-26 5.2-6.1 11.1-7.8 18.6-4.1 7 3.5 12 9.4 17.2 15.1 10.1 10.9 19.3 23.2 31.3 32.2 5.5 4.1 11.5 6.7 17.9 8.7 8.5 2.6 16.5 2.7 25.3 2.3 9.7-.4 17-.3 29-.3s27.7.5 33.1-3.5c2.6-2 6-5 6-11.3 0-11.9-12.2-31.7-53-69.8z"}}]})(props);
};
function IoLogoWhatsapp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.062 32C138.605 32 40.134 129.701 40.134 250.232c0 41.23 11.532 79.79 31.559 112.687L32 480l121.764-38.682c31.508 17.285 67.745 27.146 106.298 27.146C381.535 468.464 480 370.749 480 250.232 480 129.701 381.535 32 260.062 32zm109.362 301.11c-5.174 12.827-28.574 24.533-38.899 25.072-10.314.547-10.608 7.994-66.84-16.434-56.225-24.434-90.052-83.844-92.719-87.67-2.669-3.812-21.78-31.047-20.749-58.455 1.038-27.413 16.047-40.346 21.404-45.725 5.351-5.387 11.486-6.352 15.232-6.413 4.428-.072 7.296-.132 10.573-.011 3.274.124 8.192-.685 12.45 10.639 4.256 11.323 14.443 39.153 15.746 41.989 1.302 2.839 2.108 6.126.102 9.771-2.012 3.653-3.042 5.935-5.961 9.083-2.935 3.148-6.174 7.042-8.792 9.449-2.92 2.665-5.97 5.572-2.9 11.269 3.068 5.693 13.653 24.356 29.779 39.736 20.725 19.771 38.598 26.329 44.098 29.317 5.515 3.004 8.806 2.67 12.226-.929 3.404-3.599 14.639-15.746 18.596-21.169 3.955-5.438 7.661-4.373 12.742-2.329 5.078 2.052 32.157 16.556 37.673 19.551 5.51 2.989 9.193 4.529 10.51 6.9 1.317 2.38.901 13.531-4.271 26.359z"}}]})(props);
};
function IoLogoWindows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 265H232v179l248 36V265zM216 265H32v150l184 26.7V265zM480 32L232 67.4V249h248V32zM216 69.7L32 96v153h184V69.7z"}}]})(props);
};
function IoLogoWordpress (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M259 271.3L226.2 367h-.1l-25.4 73.1c1.8.5 3.5.9 5.3 1.4h.3c15.8 4.2 32.4 6.5 49.5 6.5 8.5 0 16.8-.5 24.9-1.8 11.2-1.4 22-3.8 32.5-7.1 2.6-.8 5.2-1.7 7.8-2.6-2.8-6-8.8-19.3-9.1-19.9L259 271.3zM80.8 180.5C70.8 203.1 64 230.9 64 256c0 6.3.3 12.6.9 18.8 6.9 71.2 52.9 131 116.1 157.9 2.6 1.1 5.3 2.2 8 3.2L96 180.6c-8-.3-9.5.2-15.2-.1z"}},{"tag":"path","attr":{"d":"M430.2 175.4c-4.3-9.3-9.4-18.2-15.1-26.6-1.6-2.4-3.4-4.8-5.1-7.2-21.5-28.8-50.8-51.4-84.9-64.6-21.4-8.4-44.8-13-69.2-13-60.3 0-114.2 28-149.4 71.7-6.5 8-12.3 16.6-17.5 25.6 14.2.1 31.8.1 33.8.1 18.1 0 46-2.2 46-2.2 9.4-.6 10.4 13.1 1.1 14.2 0 0-9.4 1.1-19.8 1.6L213 362l37.8-113.3-26.8-73.6c-9.4-.5-18.1-1.6-18.1-1.6-9.4-.5-8.2-14.8 1-14.2 0 0 28.5 2.2 45.5 2.2 18.1 0 46-2.2 46-2.2 9.3-.6 10.5 13.1 1.1 14.2 0 0-9.3 1.1-19.7 1.6l62.3 185.6 17.3-57.6c8.7-22.4 13.1-40.9 13.1-55.7 0-21.3-7.7-36.1-14.3-47.6-8.7-14.3-16.9-26.3-16.9-40.4 0-15.9 12-30.7 29-30.7h2.2c26.2-.7 34.8 25.3 35.9 43v.6c.4 7.2.1 12.5.1 18.8 0 17.4-3.3 37.1-13.1 61.8l-39 112.8-22.3 65.7c1.8-.8 3.5-1.6 5.3-2.5 56.7-27.4 98-82 106.7-146.7 1.3-8.5 1.9-17.2 1.9-26 0-28.9-6.4-56.3-17.8-80.8z"}}]})(props);
};
function IoLogoXbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M126.8 248.3c39.7-58.6 77.9-92.8 77.9-92.8s-42.1-48.9-92.8-67.4l-3.3-.8C61.7 128.4 32 188.7 32 256c0 50.7 16.9 97.5 45.2 135 0-4.4.6-70.3 49.6-142.7zM480 256c0-67.3-29.7-127.6-76.6-168.7l-3.2.9c-50.7 18.5-92.9 67.4-92.9 67.4s38.2 34.2 77.9 92.8c49 72.4 49.6 138.3 49.5 142.7C463.2 353.5 480 306.7 480 256zM201.2 80.9c29.3 13.1 54.6 34.6 54.6 34.6s25.5-21.4 54.8-34.6c36.8-16.5 64.9-11.3 72.3-9.5C346.8 46.6 303.1 32 256 32s-90.8 14.6-126.9 39.4c7.2-1.8 35.2-7.1 72.1 9.5zM358.7 292.9C312.4 236 255.8 199 255.8 199s-56.3 37-102.7 93.9c-39.8 48.9-54.6 84.8-62.6 107.8l-1.3 4.8c41 45.7 100.5 74.5 166.8 74.5s125.8-28.8 166.8-74.5l-1.4-4.8c-8-23-22.9-58.9-62.7-107.8z"}}]})(props);
};
function IoLogoXing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M313.8 303.9L469 32H365L209.4 303.8c-.4.7-.4 1.1 0 1.7l98.9 173.8c.4.7.8.7 1.6.7H413l-99.3-174.7c-.2-.3-.1-1 .1-1.4zM221.9 216.2L163 113c-.5-.8-1-1-2-1H65l58.9 104.4c.1.2.2.6.1.8L43 352h96.8c.8 0 1.2-.2 1.6-.9l80.5-133.7c.1-.3.1-.9 0-1.2z"}}]})(props);
};
function IoLogoYahoo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M384.6 68.4c-11.3 0-22.5-.8-32.6-4.4l-96 160-96-160c-10.1 3.6-20.7 4.4-32 4.4-11.1 0-22.1-.9-32-4.4l128 212.7V448c10-3.5 20.8-4.4 32-4.4s22 .9 32 4.4V277L416 64c-9.9 3.4-20.3 4.4-31.4 4.4z"}}]})(props);
};
function IoLogoYen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 32h-80L256 253.128 144 32H64l112.368 208H128v48h73.564L216 319v17h-88v48h88v96h80v-96h88v-48h-88v-17l14.891-31H384v-48h-48.289L448 32z"}}]})(props);
};
function IoLogoYoutube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M508.6 148.8c0-45-33.1-81.2-74-81.2C379.2 65 322.7 64 265 64h-18c-57.6 0-114.2 1-169.6 3.6C36.6 67.6 3.5 104 3.5 149 1 184.6-.1 220.2 0 255.8c-.1 35.6 1 71.2 3.4 106.9 0 45 33.1 81.5 73.9 81.5 58.2 2.7 117.9 3.9 178.6 3.8 60.8.2 120.3-1 178.6-3.8 40.9 0 74-36.5 74-81.5 2.4-35.7 3.5-71.3 3.4-107 .2-35.6-.9-71.2-3.3-106.9zM207 353.9V157.4l145 98.2-145 98.3z"}}]})(props);
};
function IoMdAddCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M363 277h-86v86h-42v-86h-86v-42h86v-86h42v86h86v42z"}},{"tag":"path","attr":{"d":"M256 90c44.3 0 86 17.3 117.4 48.6C404.7 170 422 211.7 422 256s-17.3 86-48.6 117.4C342 404.7 300.3 422 256 422c-44.3 0-86-17.3-117.4-48.6C107.3 342 90 300.3 90 256c0-44.3 17.3-86 48.6-117.4C170 107.3 211.7 90 256 90m0-42C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48z"}}]})(props);
};
function IoMdAddCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.125 48 48 141.125 48 256s93.125 208 208 208 208-93.125 208-208S370.875 48 256 48zm107 229h-86v86h-42v-86h-86v-42h86v-86h42v86h86v42z"}}]})(props);
};
function IoMdAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 277.333H277.333V416h-42.666V277.333H96v-42.666h138.667V96h42.666v138.667H416v42.666z"}}]})(props);
};
function IoMdAirplane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 336v-40L288 192V79.2c0-17.7-14.8-31.2-32-31.2s-32 13.5-32 31.2V192L64 296v40l160-48v113.6l-48 31.2V464l80-16 80 16v-31.2l-48-31.2V288l160 48z"}}]})(props);
};
function IoMdAlarm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M470 124.837l-98.443-81.78-27.814 32.931 98.442 81.769L470 124.837zM167.192 74.919L139.366 42 42 124.837l27.814 32.919 97.378-82.837zm99.509 97.709H234.6v127.446l101.649 60.539L352.3 334.06l-85.6-49.917V172.628zM256 87.665c-107 0-192.601 86.021-192.601 191.166C63.399 383.98 149 470 256 470c105.936 0 192.601-86.02 192.601-191.169 0-105.144-86.665-191.166-192.601-191.166zm0 339.855c-82.393 0-149.8-66.906-149.8-148.688 0-81.777 67.407-148.684 149.8-148.684 82.394 0 149.8 66.906 149.8 148.684 0 82.839-67.406 148.688-149.8 148.688z"}}]})(props);
};
function IoMdAlbums (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M154.7 464h266.7c23.5 0 42.7-19.2 42.7-42.7V154.7c0-23.5-19.2-42.7-42.7-42.7H154.7c-23.5 0-42.7 19.2-42.7 42.7v266.7c0 23.4 19.2 42.6 42.7 42.6z"}},{"tag":"path","attr":{"d":"M90.7 48h266.7c23.5 0 42.7 19.2 42.7 42.7V96H138.7C115.2 96 96 115.2 96 138.7V400h-5.3C67.2 400 48 380.8 48 357.3V90.7C48 67.2 67.2 48 90.7 48z"}}]})(props);
};
function IoMdAlert (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.6 48 48 141.601 48 256s93.6 208 208 208 208-93.601 208-208S370.4 48 256 48zm24 312h-48v-40h48v40zm0-88h-48V144h48v128z"}}]})(props);
};
function IoMdAmericanFootball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 256c14.1 35 36.2 66 64 90.6V165.4C68.2 190 46.1 221 32 256zM480 256c-14.1-35-36.2-66-64-90.6v181.2c27.8-24.6 49.9-55.6 64-90.6z"}},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"d":"M256 105c-47.1 0-91 13.4-128 36.5v228.9c37 23.1 80.9 36.5 128 36.5s91-13.4 128-36.5V141.5c-37-23.1-80.9-36.5-128-36.5zm96 135v64h-32v-32h-48v32h-32v-32h-48v32h-32v-96h32v32h48v-32h32v32h48v-32h32v32z"}}]}]})(props);
};
function IoMdAnalytics (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M379.4 178.3l-87.2 133.4C299 320 303 330.5 303 342c0 26.5-21.5 48-48 48s-48-21.5-48-48c0-3 .3-6 .8-8.9l-57.6-33.5c-8.6 8.3-20.3 13.4-33.3 13.4-8.6 0-16.6-2.3-23.6-6.2L32 364.2v57.2c0 23.5 19.2 42.7 42.7 42.7h362.7c23.5 0 42.7-19.2 42.7-42.7V208.8l-58.6-38.9c-8.1 6.3-18.3 10.1-29.4 10.1-4.4 0-8.7-.6-12.7-1.7z"}},{"tag":"path","attr":{"d":"M117 217c26.5 0 48 21.5 48 48 0 2.1-.2 4.2-.4 6.2l60.1 33.6c8.3-6.8 18.8-10.8 30.4-10.8 3.6 0 7.1.4 10.4 1.1l87.4-135.4c-5.6-7.8-8.9-17.4-8.9-27.8 0-26.5 21.5-48 48-48s48 21.5 48 48c0 3.9-.5 7.7-1.3 11.3l41.3 27.6V90.7c0-23.5-19.2-42.7-42.7-42.7H74.7C51.2 48 32 67.2 32 90.7V320l40-38.3c-1.9-5.2-3-10.8-3-16.7 0-26.5 21.5-48 48-48z"}}]})(props);
};
function IoMdAperture (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32C132.288 32 32 132.288 32 256s100.288 224 224 224 224-100.288 224-224S379.712 32 256 32zm135.765 359.765C355.5 428.028 307.285 448 256 448s-99.5-19.972-135.765-56.235C83.972 355.5 64 307.285 64 256s19.972-99.5 56.235-135.765C156.5 83.972 204.715 64 256 64s99.5 19.972 135.765 56.235C428.028 156.5 448 204.715 448 256s-19.972 99.5-56.235 135.765z"}},{"tag":"path","attr":{"d":"M200.043 106.067c-40.631 15.171-73.434 46.382-90.717 85.933H256l-55.957-85.933zM412.797 288A160.723 160.723 0 0 0 416 256c0-36.624-12.314-70.367-33.016-97.334L311 288h101.797zM359.973 134.395C332.007 110.461 295.694 96 256 96c-7.966 0-15.794.591-23.448 1.715L310.852 224l49.121-89.605zM99.204 224A160.65 160.65 0 0 0 96 256c0 36.639 12.324 70.394 33.041 97.366L201 224H99.204zM311.959 405.932c40.631-15.171 73.433-46.382 90.715-85.932H256l55.959 85.932zM152.046 377.621C180.009 401.545 216.314 416 256 416c7.969 0 15.799-.592 23.456-1.716L201.164 288l-49.118 89.621z"}}]})(props);
};
function IoMdApps (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96 176h80V96H96v80zm120 240h80v-80h-80v80zm-120 0h80v-80H96v80zm0-120h80v-80H96v80zm120 0h80v-80h-80v80zM336 96v80h80V96h-80zm-120 80h80V96h-80v80zm120 120h80v-80h-80v80zm0 120h80v-80h-80v80z"}}]})(props);
};
function IoMdAppstore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 152H360c0-57-46.562-103.859-104-103.859S152 95 152 152H48c18.688 216 13 312 13 312h389.999c-.001 0-5.688-98 13.001-312zM256 74.105c43.008 0 77.999 34.895 77.999 77.895H178c0-43 34.991-77.895 78-77.895zM204 397.64V228.867l142.999 84.387L204 397.64z"}}]})(props);
};
function IoMdArchive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M453.594 100.001l-32.353-39.299C415.469 52.627 405.083 48 394.664 48H117.335c-10.416 0-20.801 4.627-26.576 12.702l-32.351 39.299C51.468 106.923 48 117.335 48 128.886v288.89C48 443.2 68.8 464 94.225 464h323.553C443.202 464 464 443.2 464 417.775v-288.89c0-11.55-3.463-21.962-10.406-28.884zM256 383.109L128.89 256h80.89v-46.224h92.443V256h80.89L256 383.109zM96.534 94.221L115.02 71.11h277.331l21.965 23.111H96.534z"}}]})(props);
};
function IoMdArrowBack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M427 234.625H167.296l119.702-119.702L256 85 85 256l171 171 29.922-29.924-118.626-119.701H427v-42.75z"}}]})(props);
};
function IoMdArrowDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M277.375 85v259.704l119.702-119.702L427 256 256 427 85 256l29.924-29.922 119.701 118.626V85h42.75z"}}]})(props);
};
function IoMdArrowDropdownCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.125 48 48 141.125 48 256s93.125 208 208 208 208-93.125 208-208S370.875 48 256 48zm0 272l-96-96h192l-96 96z"}}]})(props);
};
function IoMdArrowDropdown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 192l128 128 128-128z"}}]})(props);
};
function IoMdArrowDropleftCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 256c0-114.875-93.125-208-208-208S48 141.125 48 256s93.125 208 208 208 208-93.125 208-208zm-272 0l96-96v192l-96-96z"}}]})(props);
};
function IoMdArrowDropleft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M320 128L192 256l128 128z"}}]})(props);
};
function IoMdArrowDroprightCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 464c114.875 0 208-93.125 208-208S370.875 48 256 48 48 141.125 48 256s93.125 208 208 208zm-32-112V160l96 96-96 96z"}}]})(props);
};
function IoMdArrowDropright (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192 128l128 128-128 128z"}}]})(props);
};
function IoMdArrowDropupCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 256c0-114.875-93.125-208-208-208S48 141.125 48 256s93.125 208 208 208 208-93.125 208-208zm-112 32H160l96-96 96 96z"}}]})(props);
};
function IoMdArrowDropup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 320l128-128 128 128z"}}]})(props);
};
function IoMdArrowForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M85 277.375h259.704L225.002 397.077 256 427l171-171L256 85l-29.922 29.924 118.626 119.701H85v42.75z"}}]})(props);
};
function IoMdArrowRoundBack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M401.4 224h-214l83-79.4c11.9-12.5 11.9-32.7 0-45.2s-31.2-12.5-43.2 0L89 233.4c-6 5.8-9 13.7-9 22.4v.4c0 8.7 3 16.6 9 22.4l138.1 134c12 12.5 31.3 12.5 43.2 0 11.9-12.5 11.9-32.7 0-45.2l-83-79.4h214c16.9 0 30.6-14.3 30.6-32 .1-18-13.6-32-30.5-32z"}}]})(props);
};
function IoMdArrowRoundDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M99.4 284.9l134 138.1c5.8 6 13.7 9 22.4 9h.4c8.7 0 16.6-3 22.4-9l134-138.1c12.5-12 12.5-31.3 0-43.2-12.5-11.9-32.7-11.9-45.2 0l-79.4 83v-214c0-16.9-14.3-30.6-32-30.6-18 0-32 13.7-32 30.6v214l-79.4-83c-12.5-11.9-32.7-11.9-45.2 0s-12.5 31.2 0 43.2z"}}]})(props);
};
function IoMdArrowRoundForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M284.9 412.6l138.1-134c6-5.8 9-13.7 9-22.4v-.4c0-8.7-3-16.6-9-22.4l-138.1-134c-12-12.5-31.3-12.5-43.2 0-11.9 12.5-11.9 32.7 0 45.2l83 79.4h-214c-17 0-30.7 14.3-30.7 32 0 18 13.7 32 30.6 32h214l-83 79.4c-11.9 12.5-11.9 32.7 0 45.2 12 12.5 31.3 12.5 43.3 0z"}}]})(props);
};
function IoMdArrowRoundUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M412.6 227.1L278.6 89c-5.8-6-13.7-9-22.4-9h-.4c-8.7 0-16.6 3-22.4 9l-134 138.1c-12.5 12-12.5 31.3 0 43.2 12.5 11.9 32.7 11.9 45.2 0l79.4-83v214c0 16.9 14.3 30.6 32 30.6 18 0 32-13.7 32-30.6v-214l79.4 83c12.5 11.9 32.7 11.9 45.2 0s12.5-31.2 0-43.2z"}}]})(props);
};
function IoMdArrowUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M277.375 427V167.296l119.702 119.702L427 256 256 85 85 256l29.924 29.922 119.701-118.626V427h42.75z"}}]})(props);
};
function IoMdAt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M265.6 212.3c-10.5 0-18.5 4.4-24 13.2-5.5 8.8-9.1 22-10.8 39.6-.9 11.7 0 20.5 2.7 26.5s7.1 9 13.1 9c5.5 0 10.3-1.5 14.6-4.4 4.3-2.9 8.1-8.3 11.3-16.2l6.1-66c-2.2-.5-4.4-.9-6.5-1.2-2.3-.4-4.4-.5-6.5-.5z"}},{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm127.8 201.9c-.9 21.4-7.6 39.9-20 55.6-12.4 15.6-31 23.4-55.6 23.4-8.2 0-15.3-2.2-21.2-6.6-6-4.4-10.2-10.7-12.6-18.8-4.1 8.3-9.4 14.5-15.7 18.6-6.3 4.1-13.7 6.2-22.2 6.2-15.1 0-26.6-5.8-34.6-17.3s-10.9-26.8-8.8-45.9c2.6-24.4 10-44 22.2-58.7 12.2-14.7 27-22 44.4-22 12.2 0 22.1 1.3 29.5 3.8 7.4 2.5 15.6 5.7 24.5 11l-.5-.1h.8l-7.7 83.4c-.5 8.5.1 14.6 1.7 17.8 1.7 3.2 3.9 4.9 6.7 4.9 11.3 0 20.4-5.1 27.2-15.6 6.8-10.5 10.6-23.6 11.4-39.6 1.6-33-5.1-58.7-20.2-77.1-15.1-18.4-38.3-27.7-69.7-27.7-30.5 0-54.8 9.9-72.8 29.8s-27.7 46.9-29.3 81.2c-1.7 33.4 5.6 59.8 21.9 79.1 16.3 19.4 39.7 29.1 70.3 29.1 8.5 0 17.3-.9 26.5-2.7 9.1-1.8 17.1-4.1 23.7-6.8l5.8 24.2c-6.8 4.1-15.4 7.3-25.9 9.6-10.5 2.3-20.7 3.4-30.7 3.4-40.8 0-72.3-12.1-94.3-36.4-22-24.2-32.2-57.4-30.5-99.6 1.8-41.8 14.9-74.9 39.1-99.4 24.3-24.5 56.5-36.7 96.7-36.7 39.5 0 69.8 11.6 90.7 34.7 21.2 23.2 30.8 54.9 29.2 95.2z"}}]})(props);
};
function IoMdAttach (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M341.334 128v234.666C341.334 409.604 302.938 448 256 448c-46.937 0-85.333-38.396-85.333-85.334V117.334C170.667 87.469 194.135 64 224 64c29.864 0 53.333 23.469 53.333 53.334v245.333c0 11.729-9.605 21.333-21.334 21.333s-21.333-9.604-21.333-21.333V160h-32v202.667C202.667 392.531 226.135 416 256 416c29.865 0 53.334-23.469 53.334-53.333V117.334C309.334 70.401 270.938 32 224 32s-85.334 38.401-85.334 85.334v245.332C138.667 427.729 190.938 480 256 480c65.062 0 117.334-52.271 117.334-117.334V128h-32z"}}]})(props);
};
function IoMdBackspace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M433.5 96H167.2c-12.2 0-21.8 6.2-28.2 15.6L43 256l96 144.2c6.4 9.4 16 15.8 28.2 15.8h266.2c19.5 0 35.5-16 35.5-35.6V131.6C469 112 453 96 433.5 96zm-53.3 223.8l-25 25.1-63.7-63.8-63.7 63.8-25-25.1 63.7-63.8-63.7-63.8 25-25.1 63.7 63.8 63.7-63.8 25 25.1-63.7 63.8 63.7 63.8z"}}]})(props);
};
function IoMdBarcode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M88 128h48v256H88zM232 128h48v256h-48zM160 144h48v224h-48zM304 144h48v224h-48zM376 128h48v256h-48z"}},{"tag":"path","attr":{"d":"M104 104V56H16v400h88v-48H64V104zM408 56v48h40v304h-40v48h88V56z"}}]})(props);
};
function IoMdBaseball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M365.9 402.6L343 416.1l-16-28 20.2-11.9c-5.2-8.5-9.8-17.4-13.9-26.7-1.4-3.1-2.7-6.3-3.9-9.5l-25.1 5.8-7.1-31.6 22.6-5.2c-2.8-12.1-4.7-24-5.5-37H290v-32h24.3c.8-12 2.7-24.8 5.5-36.8l-22.6-5.2 7.1-31.6 25.1 5.8c1.3-3.2 2.6-6.4 4-9.6 4.1-9.2 8.7-18.1 13.8-26.6L327 124.1l16-28 22.8 13.5c5.2-6.4 10.8-12.5 16.7-18.3C347.4 64.1 303.5 48 256 48s-91.4 16.1-126.5 43.2c5.9 5.8 11.5 12 16.7 18.3L169 96.1l16 28-20.2 11.9c5.1 8.5 9.8 17.4 13.8 26.6 1.4 3.2 2.7 6.4 4 9.6l25.1-5.8 7.1 31.6-22.6 5.2c2.8 12.1 4.6 24.8 5.5 36.8H222v32h-24.3c-.8 13-2.7 24.9-5.5 37l22.6 5.2-7.1 31.6-25.1-5.8c-1.2 3.2-2.5 6.3-3.9 9.5-4.1 9.2-8.7 18.1-13.9 26.7l20.2 11.9-16 28-22.9-13.5c-5.2 6.3-10.7 12.4-16.6 18.2 35.1 27.1 79 43.2 126.5 43.2s91.4-16.1 126.5-43.2c-5.9-5.8-11.4-11.9-16.6-18.2z"}},{"tag":"path","attr":{"d":"M393.8 126l18.1 10.7-16 28-21.2-12.5c-5 8.3-9.5 16.9-13.3 25.9-.2.4-.4.9-.5 1.3l21 4.9-7.1 31.6-23.9-5.5c-2.3 9.7-3.8 19.6-4.6 29.6H370v32h-23.6c.8 10 2.3 20 4.6 29.8l23.9-5.5 7.1 31.6-21 4.9c.2.4.3.8.5 1.2 3.8 9 8.3 17.7 13.3 26l21.1-12.4 16 28-18 10.6c3.3 3.9 6.8 7.7 10.5 11.3l2 2C442 362 464 311.4 464 256s-22-106-57.7-143.4c-.7.7-1.4 1.3-2 2-3.7 3.7-7.2 7.5-10.5 11.4zM118.2 386.1l-18-10.6 16-28 21.1 12.4c5.1-8.3 9.5-17 13.3-26 .2-.4.3-.8.5-1.2l-21-4.9 7.1-31.6 23.9 5.5c2.3-9.8 3.8-19.8 4.6-29.8H142v-32h23.6c-.8-10-2.3-19.9-4.6-29.6l-23.9 5.5-7.1-31.6 21-4.9c-.2-.4-.3-.9-.5-1.3-3.8-9-8.2-17.7-13.3-25.9L116 164.6l-16-28 18.1-10.7c-3.4-3.9-6.9-7.7-10.6-11.4l-2-2C70 150 48 200.6 48 256s22 106 57.7 143.4c.7-.7 1.4-1.3 2-2 3.6-3.6 7.1-7.4 10.5-11.3z"}}]})(props);
};
function IoMdBasket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M362.1 205.2L272.9 72.5C269 66.8 262.5 64 256 64c-6.5 0-13 2.8-16.9 8.7l-89.2 132.5H52.4c-11.2 0-20.4 9.1-20.4 20.2 0 1.8.2 3.6.8 5.5l51.7 187.5c4.7 17 20.4 29.5 39.1 29.5h264.7c18.7 0 34.4-12.5 39.3-29.5l51.7-187.5.6-5.5c0-11.1-9.2-20.2-20.4-20.2h-97.4zm-167.2 0l61.1-89 61.1 89H194.9zM256 367.1c-22.4 0-40.7-18.2-40.7-40.5s18.3-40.5 40.7-40.5 40.7 18.2 40.7 40.5-18.3 40.5-40.7 40.5z"}}]})(props);
};
function IoMdBasketball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M191.6 272c-3.8 55-26.4 107.1-64.5 147.7 31.6 25 70.9 41 112.9 44.3V272h-48.4zM272 464c42-3.3 81.5-19.4 113.1-44.5-38-40.6-60.5-92.5-64.3-147.5H272v192zM240 48c-42 3.2-80.5 19-111.9 43.6 38 40.9 60.3 93.4 63.7 148.4H240V48zM320.7 240c3.4-55 25.6-107.4 63.5-148.3C352.7 67.1 314 51.2 272 48v192h48.7zM408.6 114.2c-17.2 18.5-30.7 39.7-40.1 62.9-8.2 20.2-13.1 40.9-14.6 62.9H464c-3.7-48-24.1-92.2-55.4-125.8zM368.5 333.1c9.6 23.7 23.3 45.1 40.9 63.8C440.3 363.4 460.3 320 464 272H354.1c1.6 21 6.5 41.5 14.4 61.1zM143.9 177.1c-9.5-23.3-23-44.5-40.3-63.1-31.4 33.6-51.9 78-55.6 126h110.5c-1.6-22-6.5-42.8-14.6-62.9zM102.7 397.1c17.7-18.8 31.5-40.3 41.1-64 8-19.6 12.8-40.1 14.5-61.1H48c3.7 48 23.8 91.6 54.7 125.1z"}}]})(props);
};
function IoMdBatteryCharging (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M338.2 76.8h-37.4V32h-89.6v44.8h-37.4c-16.4 0-29.8 13.4-29.8 29.8V450c0 16.6 13.4 30 29.8 30H338c16.6 0 30-13.4 30-29.8V106.6c0-16.4-13.4-29.8-29.8-29.8zM233.6 435.2V312h-44.8l89.6-168v123.2h44.8l-89.6 168z"}}]})(props);
};
function IoMdBatteryDead (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M338.2 76.8h-37.4V32h-89.6v44.8h-37.4c-16.4 0-29.8 13.4-29.8 29.8V450c0 16.6 13.4 30 29.8 30H338c16.6 0 30-13.4 30-29.8V106.6c0-16.4-13.4-29.8-29.8-29.8zM320 432H192V124.8h128V432z"}}]})(props);
};
function IoMdBatteryFull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M338.2 76.8h-37.4V32h-89.6v44.8h-37.4c-16.4 0-29.8 13.4-29.8 29.8V450c0 16.6 13.4 30 29.8 30H338c16.6 0 30-13.4 30-29.8V106.6c0-16.4-13.4-29.8-29.8-29.8z"}}]})(props);
};
function IoMdBeaker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448.1 34.9c0-1.2-.4-2.9-2.9-2.9H128.5c-54.3 0-64.4 27.4-64.4 39.8C94.4 76 96 76.5 96 108.5v307c0 35.3 28.9 64.5 64.3 64.5H368c35.3 0 64-29.2 64-64.5V73.3c2.2-17.5 12-31.8 13.1-33.5 1.2-1.9 3-3.8 3-4.9zM354.2 432H176.3c-15.9 0-29.7-11.9-32.3-27.1V80h240v319.7c0 18-12.4 32.3-29.8 32.3z"}},{"tag":"path","attr":{"d":"M182 160v226c0 4.4 3.6 8 8 8h148c4.4 0 8-3.6 8-8V160H182z"}}]})(props);
};
function IoMdBed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M168.7 264.5c29 0 52.4-22.9 52.4-51.2s-23.4-51.2-52.4-51.2-52.4 22.9-52.4 51.2 23.5 51.2 52.4 51.2zm209.5-102.4H238.5v119.5H98.9V128H64v256h34.9v-51.2h314.2V384H448V230.4c0-37.7-31.2-68.3-69.8-68.3z"}}]})(props);
};
function IoMdBeer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 140h-16v-6c8.9-9 16-22.9 16-38 0-35.3-28.7-64-64-64-16.3 0-31.1 6.1-42.4 16.1C297.2 38 281.4 32 264.2 32c-15.8 0-30.4 5.1-42.3 13.7C212 37.2 199 32 184.9 32c-17.1 0-32.4 7.6-42.8 19.5-11.7-12-28-19.5-46.1-19.5-35.3 0-64 28.7-64 64 0 16.2 6.1 31 16 42.3V193c0 26.5 21.5 48 48 48v174.5c0 35.3 28.8 64.5 64.2 64.5H336c35.3 0 64.1-29.2 64.1-64.5V372h16c50 0 64-32.7 64-68v-96c-.1-35.3-17.1-68-64.1-68zm-64 52H144v-53.7c.3-.4.7-.8 1-1.2 1.2-1.5 2.4-3 3.5-4.6 1.5 1.2 3 2.4 4.6 3.4 9.1 6.1 20 9.7 31.7 9.7 6.4 0 12.6-1.1 18.3-3 12.8 20.2 35.3 33.7 61 33.7 22 0 41.7-9.9 54.9-25.4 5.7-6.7 10.2-14.4 13.1-22.9H352v64zM96 128.1v75c-9 0-16-7.2-16-16v-63.3c-8-4.5-13.4-12.1-15.3-21-.5-2.1-.7-4.4-.7-6.7 0-17.6 14.4-32 32-32 11.8 0 23.3 7.7 30.1 15.4s26.7 7.7 33.9 0c6.8-7.3 14.3-15.4 24.8-15.4 6 0 11.6 2.2 15.9 5.8 1.9 1.6 3.6 3.5 4.9 5.6 1.1 1.8 2 4.2 3.1 5.8 2.7 3.4 6.5 5.5 11.2 5.5 4.4 0 8.3-1.9 11-5 .6-.7 1.2-1.5 1.7-2.3 2-2.5 4.2-4.8 6.7-6.8 6.8-5.4 15.5-8.6 24.8-8.6 10.6 0 20.2 4.1 27.4 10.9 1.7 1.6 6.7 4.5 13.2 5.1 4.5.4 6.1.3 8.2 0 10.3-1.3 14.4-4.7 16.4-6.6 5.8-5.8 13.8-9.4 22.6-9.4 17.6 0 32 14.4 32 32 .2 3.1-.3 6.2-1.2 9.1-2.5-5.5-8.1-9.2-14.6-9.2h-55s-8.7-.7-8.7 8.2c0 8.9-2.9 17.1-7.8 23.7-7.3 9.9-19.1 16.4-32.4 16.4-14.9 0-27.9-8.1-34.8-20.2-1.6-2.7-2.8-5.6-3.7-8.6-.1-.6-.3-1.1-.4-1.6-2-5.9-7.5-10.2-14.1-10.2-3.9 0-7.5 1.5-10.2 4l-.1.1c-2.4 2.1-5.3 3.7-8.4 4.7-2.4.8-5 1.2-7.7 1.2-7.5 0-14.7-4-18.8-8.6-10-11.4-23.7-6.8-29.7-5.5-6 1.3-12.2 11.7-12.2 11.7-1.1 2.1-2.4 4-3.9 5.8-6 6.7-15.2 11-24.2 11zM432 304c0 17.7-6.3 24-24 24h-8V184h8c17.7 0 24 6.3 24 24v96z"}}]})(props);
};
function IoMdBicycle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M330.666 131.202c18.668 0 33.598-14.935 33.598-33.601S349.334 64 330.666 64C312 64 297.07 78.935 297.07 97.601s14.93 33.601 33.596 33.601zm56 130.132c-51.332 0-93.332 42-93.332 93.333s42 93.333 93.332 93.333C438 448 480 406 480 354.667s-42-93.333-93.334-93.333zm0 158.666c-36.402 0-65.332-28.93-65.332-65.333s28.93-65.333 65.332-65.333c36.404 0 65.334 28.93 65.334 65.333S423.07 420 386.666 420zm-81.069-196H384v-32h-58.845l-34.62-60.134c-5.605-9.333-15.869-15.864-27.07-15.864-8.399 0-16.798 3.732-22.399 9.333L169.334 194.4c-5.601 5.601-9.333 14-9.333 22.399 0 12.131 9.202 21.465 18.535 27.065L240 282.134V368h32V256l-39.333-32 42.929-44.533L305.597 224zm-180.264 37.334C74 261.334 32 303.334 32 354.667S74 448 125.333 448s93.333-42 93.333-93.333-41.999-93.333-93.333-93.333zm0 158.666C88.934 420 60 391.07 60 354.667s28.934-65.333 65.333-65.333 65.333 28.93 65.333 65.333S161.732 420 125.333 420z"}}]})(props);
};
function IoMdBluetooth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M399 159.9L270.5 32H248v170L144.7 99.2 113 130.8 238.8 256 113 381.2l31.7 31.6L248 310v170h22.5L399 352.1 302.2 256l96.8-96.1zm-106-42.1l42.3 42.1L293 202v-84.2zm42.3 234.3L293 394.2V310l42.3 42.1z"}}]})(props);
};
function IoMdBoat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M84.255 413h1.063c34.123 0 63.977-19.021 85.305-42.494 21.325 23.473 51.18 42.762 85.304 42.762s63.979-19.334 85.305-42.806C362.559 393.934 392.412 413 426.535 413h1.062l51.253-138.78c2.126-5.329 1.063-11.641-1.07-16.976-2.136-5.333-7.237-8.487-12.567-10.623L427 234.133v-98.15C427 112.51 407.344 93 383.884 93h-63.979l-15.993-53h-95.969l-15.995 53h-63.979C104.511 93 85 112.51 85 135.982v98.15l-38.074 12.533c-5.33 2.136-10.582 5.334-12.718 10.667-2.135 5.335-3.158 10.49-1.031 16.887L84.255 413zM128 136h256v84.261l-128-41.605-128 41.605V136z"}},{"tag":"path","attr":{"d":"M341.231 408.007c-52.253 36.267-118.356 36.258-170.608-.009 0 0-57.638 64.002-106.632 64.002h21.327c29.854 0 58.646-11.726 85.305-25.594 53.315 27.734 117.293 27.728 170.608-.007C367.89 460.268 396.681 472 426.535 472h21.328c-47.651 0-106.632-63.993-106.632-63.993z"}}]})(props);
};
function IoMdBody (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48c22 0 40 18 40 40s-18 40-40 40-40-18-40-40 18-40 40-40zm192 144.1H320V464h-42.7V320h-42.7v144H192V192.1H64v-42.7h384v42.7z"}}]})(props);
};
function IoMdBonfire (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M272.2 350.6c-.8-8.2-8.2-14.6-17.3-14.6-8.3 0-15.2 5.4-16.9 12.5L221.1 441c-.5 2.3-.8 4.6-.8 7 0 17.7 15.5 32 34.7 32s34.7-14.3 34.7-32c0-2.9-.4-5.7-1.2-8.4l-16.3-89zM310.1 355zM404.3 390.3c-1.9-1.4-3.6-2.9-5.6-3.9l-68.9-47.5c-6.3-3.8-13-3.7-17.9.9-4.5 4.1-5.1 10.4-1.8 15.4l53 65.8c1 1.5 2.3 2.8 3.6 4.2 8.5 9.1 27.2 9.6 37.5 0 10.4-9.8 10.3-27.2.1-34.9zM382.2 335zM450.4 322.5l-64.5-2.3c-4.2-.6-8 2.1-8.7 6-.7 3.6 1.5 7.1 5.1 8.8h.1l62.5 17.8c9 1.9 19.1-2.3 19.1-11.6 0-11.9-3.3-17.5-13.6-18.7zM129.5 335zM129.5 335c3.6-1.6 5.7-5.2 5.1-8.8-.7-4-4.5-6.6-8.7-6l-64.5 2.3C51 323.7 48 329.3 48 341.1c0 9.3 9.9 13.6 18.8 11.6l62.5-17.8c.1.1.1.1.2.1zM182.2 338.8l-68.9 47.4c-2 1.1-3.9 2.4-5.6 3.9-10.4 9.6-10.4 25.1 0 34.6 10.4 9.6 27.1 9.6 37.5 0 1.4-1.3 2.6-2.7 3.6-4.2l53-65.6c3.3-5 2.7-11.2-1.8-15.3-4.8-4.5-12.6-4.8-17.8-.8zM256 32s30.2 35.4 30.2 64.4c0 27.8-18.2 50.3-45.9 50.3-27.9 0-48.9-22.5-48.9-50.3l.4-6.9c-27.2 32.3-43.5 76.2-43.5 121.8 0 59.6 48.2 107.8 107.8 107.8s107.8-48.2 107.8-107.8C363.8 138.7 328 53.7 256 32zm-3.9 246.7c-24 0-43.4-18.9-43.4-42.3 0-21.8 14.1-37.2 37.9-42 23.8-4.9 48.5-16.3 62.3-34.8 5.3 17.4 7.9 35.7 7.9 54.4 0 35.7-29 64.7-64.7 64.7z"}}]})(props);
};
function IoMdBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M426.2 80.4l-170.2 32-170.2-32C64 77 48 97.3 48 118v244.5c0 20.7 16 32.6 37.8 37.6L256 432l170.2-32c21.8-5 37.8-16.9 37.8-37.6V118c0-20.7-16-41-37.8-37.6zm0 282l-151.2 32V149.9l151.2-32v244.5zm-189.2 32l-151.2-32V118L237 150v244.4z"}}]})(props);
};
function IoMdBookmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M360 64H152c-22.002 0-40 17.998-40 40v344l144-64 144 64V104c0-22.002-17.998-40-40-40z"}}]})(props);
};
function IoMdBookmarks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405.2 64h-21c15 5.7 22.8 20.6 22.8 42.7v298.7c0 22.1-7 37.3-22.8 42.7h21c23.7 0 42.8-19.2 42.8-42.7V106.7c0-23.5-19.1-42.7-42.8-42.7zM345.5 64.2c-1.4-.1-2.8-.2-4.2-.2H106.7C83.2 64 64 83.2 64 106.7v298.7c0 23.5 19.2 42.7 42.7 42.7h234.7c1.4 0 2.8-.1 4.2-.2 21.5-2.1 38.5-20.4 38.5-42.5V106.7c-.1-22.1-17.1-40.4-38.6-42.5zM208 256l-56-32-56 32V96h112v160z"}}]})(props);
};
function IoMdBowtie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M276 304h-40c-15.4 0-28-12.6-28-28v-40c0-15.4 12.6-28 28-28h40c15.4 0 28 12.6 28 28v40c0 15.4-12.6 28-28 28zM176 280v-48c0-18.2 8.7-34.4 22.2-44.6C192 160 96 96 64 96c-17.6 0-32 14.4-32 32v256c0 17.6 14.3 32 32 32 32 0 128-64 134.2-91.4-13.5-10.2-22.2-26.4-22.2-44.6zM448 96c-32 0-128 64-134.2 91.4 13.5 10.2 22.2 26.4 22.2 44.6v48c0 18.2-8.7 34.4-22.2 44.6C320 352 416 416 448 416c17.7 0 32-14.4 32-32V128c0-17.6-14.4-32-32-32z"}}]})(props);
};
function IoMdBriefcase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 144v-39.6C352 82 334 64 311.6 64H200.4C178 64 160 82 160 104.4V144H48v263.6C48 430 66 448 88.4 448h335.2c22.4 0 40.4-18 40.4-40.4V144H352zm-40 0H200v-40h112v40z"}}]})(props);
};
function IoMdBrowsers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M424 64H88c-26.6 0-48 21.6-48 48v288c0 26.4 21.4 48 48 48h336c26.4 0 48-21.6 48-48V112c0-26.4-21.4-48-48-48zm0 336H88V176h336v224z"}}]})(props);
};
function IoMdBrush (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149.9 302.2c-39.1 0-70.7 31-70.7 69.3 0 30.3-27.3 46.2-47.2 46.2C53.7 446 90.7 464 126.3 464c52.1 0 94.3-41.4 94.3-92.4 0-38.4-31.6-69.4-70.7-69.4zM473.1 85.7l-31.6-31c-9.2-9-24-9-33.2 0L197 261.8l64.8 63.5 211.2-207c9.3-9 9.3-23.6.1-32.6z"}}]})(props);
};
function IoMdBug (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 160h-67.4c-10.8-18.7-25.7-34.8-43.7-47L376 73.8 342.2 40l-52.1 52.1C279 89.4 267.8 88 256 88s-23 1.4-33.8 4.1L169.8 40 136 73.8l38.9 39.1c-17.8 12.2-32.6 28.3-43.4 47H64v48h50.2c-1.2 7.9-2.2 15.8-2.2 24v24H64v48h48v24c0 8.2 1 16.1 2.2 24H64v48h67.4c25 43 71.3 72 124.6 72s99.6-29 124.6-72H448v-48h-50.2c1.2-7.9 2.2-15.8 2.2-24v-24h48v-48h-48v-24c0-8.2-1-16.1-2.2-24H448V160z"}}]})(props);
};
function IoMdBuild (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M474.1 398.2L289.1 212c18.3-47 8.1-102.3-30.5-141.1C217.9 30 156.9 21.8 108.1 44.3l87.4 88-61 61.4-89.5-88c-24.3 49-14.1 110.4 26.5 151.3 38.6 38.9 93.5 49.1 140.3 30.7l185 186.2c8.1 8.2 20.3 8.2 28.5 0l46.8-47c10.2-8.3 10.2-22.6 2-28.7z"}}]})(props);
};
function IoMdBulb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192 428c0 10.6 8.6 20 20 20h88c11.4 0 20-9.4 20-20v-18H192v18zm64-364c-79.7 0-144 59.9-144 134 0 45.7 24.1 86.2 61.4 110.6V352c0 10.6 9.3 19.2 20.6 19.2h123.9c11.4 0 20.6-8.6 20.6-19.2v-43.4C375.9 284.2 400 243.7 400 198c0-74.1-64.3-134-144-134z"}}]})(props);
};
function IoMdBus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M80 352c0 19.198 13.864 24.531 26.667 36.271v38.396c0 11.729 9.599 21.334 21.333 21.334h21.333c11.734 0 21.334-9.604 21.334-21.334v-21.333h170.666v21.333c0 11.729 9.604 21.334 21.334 21.334H384c11.729 0 21.333-9.604 21.333-21.334v-38.396C418.136 376.531 432 370.136 432 352V148.334C432 73.667 349.864 64 256 64S80 73.667 80 148.334V352zm80 15.989c-18.136 0-32-13.864-32-32 0-18.135 13.864-32 32-32s32 13.865 32 32c0 18.136-13.864 32-32 32zm192 0c-18.136 0-32-13.864-32-32 0-18.135 13.864-32 32-32s32 13.865 32 32c0 18.136-13.864 32-32 32zm32-122.656H128V138.667h256v106.666z"}}]})(props);
};
function IoMdBusiness (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M261 149.3V64H48v384h416V149.3H261zm-127.8 256H90.6v-42.7h42.6v42.7zm0-85.3H90.6v-42.7h42.6V320zm0-85.3H90.6V192h42.6v42.7zm0-85.4H90.6v-42.7h42.6v42.7zm85.2 256h-42.6v-42.7h42.6v42.7zm0-85.3h-42.6v-42.7h42.6V320zm0-85.3h-42.6V192h42.6v42.7zm0-85.4h-42.6v-42.7h42.6v42.7zm203 256H261v-42.7h42.6V320H261v-42.7h42.6v-42.7H261V192h160.4v213.3zm-37.6-170.6h-42.6v42.7h42.6v-42.7zm0 85.3h-42.6v42.7h42.6V320z"}}]})(props);
};
function IoMdCafe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48 400h368v48H48zM424 64H80v224c0 44 36 80 80 80h144c44 0 80-36 80-80v-64h40c22 0 40-18 40-40v-80c0-22-18-40-40-40zm0 112h-40v-64h40v64z"}}]})(props);
};
function IoMdCalculator (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M368 48H144c-26.6 0-48 21.6-48 48v320c0 26.4 21.4 48 48 48h224c26.4 0 48-21.6 48-48V96c0-26.4-21.4-48-48-48zM200 416h-48v-48h48v48zm0-88h-48v-48h48v48zm0-88h-48v-48h48v48zm80 176h-48v-48h48v48zm0-88h-48v-48h48v48zm0-88h-48v-48h48v48zm80 176h-48V280h48v136zm0-176h-48v-48h48v48zm0-96H152V96h208v48z"}}]})(props);
};
function IoMdCalendar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M368.005 272h-96v96h96v-96zm-32-208v32h-160V64h-48v32h-24.01c-22.002 0-40 17.998-40 40v272c0 22.002 17.998 40 40 40h304.01c22.002 0 40-17.998 40-40V136c0-22.002-17.998-40-40-40h-24V64h-48zm72 344h-304.01V196h304.01v212z"}}]})(props);
};
function IoMdCall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M426.666 330.667a250.385 250.385 0 0 1-75.729-11.729c-7.469-2.136-16-1.073-21.332 5.333l-46.939 46.928c-60.802-30.928-109.864-80-140.802-140.803l46.939-46.927c5.332-5.333 7.462-13.864 5.332-21.333-8.537-24.531-12.802-50.136-12.802-76.803C181.333 73.604 171.734 64 160 64H85.333C73.599 64 64 73.604 64 85.333 64 285.864 226.136 448 426.666 448c11.73 0 21.334-9.604 21.334-21.333V352c0-11.729-9.604-21.333-21.334-21.333z"}}]})(props);
};
function IoMdCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"circle","attr":{"cx":"256","cy":"280","r":"63"}},{"tag":"path","attr":{"d":"M440 96h-88l-32-32H192l-32 32H72c-22.092 0-40 17.908-40 40v272c0 22.092 17.908 40 40 40h368c22.092 0 40-17.908 40-40V136c0-22.092-17.908-40-40-40zM256 392c-61.855 0-112-50.145-112-112s50.145-112 112-112 112 50.145 112 112-50.145 112-112 112z"}}]})(props);
};
function IoMdCar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.208 117.333c-4.271-12.802-16-21.333-29.875-21.333H138.667c-13.875 0-25.604 8.531-29.875 21.333L64 234.667v160C64 406.396 73.604 416 85.333 416h21.334c11.729 0 21.333-9.604 21.333-21.333V384h256v10.667c0 11.729 9.604 21.333 21.333 21.333h21.334c11.729 0 21.333-9.604 21.333-21.333v-160l-44.792-117.334zM138.667 320c-18.125 0-32-13.865-32-32s13.875-32 32-32 32 13.866 32 32-13.875 32-32 32zm234.666 0c-18.125 0-32-13.865-32-32s13.875-32 32-32 32 13.866 32 32-13.875 32-32 32zM106.667 213.333l32-85.333h234.666l32 85.333H106.667z"}}]})(props);
};
function IoMdCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M435.2 80H76.8c-24.9 0-44.6 19.6-44.6 44L32 388c0 24.4 19.9 44 44.8 44h358.4c24.9 0 44.8-19.6 44.8-44V124c0-24.4-19.9-44-44.8-44zm0 308H76.8V256h358.4v132zm0-220H76.8v-44h358.4v44z"}}]})(props);
};
function IoMdCart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M169.6 377.6c-22.882 0-41.6 18.718-41.6 41.601 0 22.882 18.718 41.6 41.6 41.6s41.601-18.718 41.601-41.6c-.001-22.884-18.72-41.601-41.601-41.601zM48 51.2v41.6h41.6l74.883 151.682-31.308 50.954c-3.118 5.2-5.2 12.482-5.2 19.765 0 27.85 19.025 41.6 44.825 41.6H416v-40H177.893c-3.118 0-5.2-2.082-5.2-5.2 0-1.036 2.207-5.2 2.207-5.2l20.782-32.8h154.954c15.601 0 29.128-8.317 36.4-21.836l74.882-128.8c1.237-2.461 2.082-6.246 2.082-10.399 0-11.446-9.364-19.765-20.8-19.765H135.364L115.6 51.2H48zm326.399 326.4c-22.882 0-41.6 18.718-41.6 41.601 0 22.882 18.718 41.6 41.6 41.6S416 442.082 416 419.2c0-22.883-18.719-41.6-41.601-41.6z"}}]})(props);
};
function IoMdCash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 96v256h448V96H32zm160.5 224h-80.4c0-26.6-21.5-48.1-48.1-48.1V192c35.3 0 64-28.7 64-64h64.5c-19.9 23.5-32.5 57.8-32.5 96s12.6 72.5 32.5 96zM448 271.9c-26 0-48 21.5-48 48.1h-80.5c19.9-23.5 32.5-57.8 32.5-96s-12.6-72.5-32.5-96H384c0 35.3 28.7 64 64 64v79.9zM32 384h448v32H32z"}}]})(props);
};
function IoMdCellular (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 448h384V64L64 448z"}}]})(props);
};
function IoMdChatboxes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M391.553 64H57.607C53.131 64 48 67.745 48 72.159v214.217c0 4.413 5.131 8.624 9.607 8.624H115v88.894L205.128 295h186.425c4.477 0 7.447-4.211 7.447-8.624V72.159c0-4.414-2.971-8.159-7.447-8.159z"}},{"tag":"path","attr":{"d":"M456.396 127H424v166.57c0 15.987-6.915 26.43-25.152 26.43H218.096l-38.905 39h129.688L399 448v-89h57.396c4.478 0 7.604-4.262 7.604-8.682V136.103c0-4.414-3.126-9.103-7.604-9.103z"}}]})(props);
};
function IoMdChatbubbles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M132.8 368c-20.2 0-44.8-24.6-44.8-44.8V160h-9.6C61.7 160 48 173.7 48 190.4V464l58.5-58h215.1c16.7 0 30.4-14.1 30.4-30.9V368H132.8z"}},{"tag":"path","attr":{"d":"M429.1 48H149.9C130.7 48 115 63.7 115 82.9V309c0 19.2 15.7 35 34.9 35h238.2l75.9 53V82.9c0-19.2-15.7-34.9-34.9-34.9z"}}]})(props);
};
function IoMdCheckboxOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M168.531 215.469l-29.864 29.864 96 96L448 128l-29.864-29.864-183.469 182.395-66.136-65.062zm236.802 189.864H106.667V106.667H320V64H106.667C83.198 64 64 83.198 64 106.667v298.666C64 428.802 83.198 448 106.667 448h298.666C428.802 448 448 428.802 448 405.333V234.667h-42.667v170.666z"}}]})(props);
};
function IoMdCheckbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405.333 64H106.667C83.198 64 64 83.198 64 106.667v298.666C64 428.802 83.198 448 106.667 448h298.666C428.802 448 448 428.802 448 405.333V106.667C448 83.198 428.802 64 405.333 64zm-192 298.667L106.667 256l29.864-29.864 76.802 76.802 162.136-162.136 29.864 29.865-192 192z"}}]})(props);
};
function IoMdCheckmarkCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M170.718 216.482L141.6 245.6l93.6 93.6 208-208-29.118-29.118L235.2 279.918l-64.482-63.436zM422.4 256c0 91.518-74.883 166.4-166.4 166.4S89.6 347.518 89.6 256 164.482 89.6 256 89.6c15.6 0 31.2 2.082 45.764 6.241L334 63.6C310.082 53.2 284.082 48 256 48 141.6 48 48 141.6 48 256s93.6 208 208 208 208-93.6 208-208h-41.6z"}}]})(props);
};
function IoMdCheckmarkCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.6 48 48 141.6 48 256s93.6 208 208 208 208-93.6 208-208S370.4 48 256 48zm-42.7 318.9L106.7 260.3l29.9-29.9 76.8 76.8 162.1-162.1 29.9 29.9-192.1 191.9z"}}]})(props);
};
function IoMdCheckmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M186.301 339.893L96 249.461l-32 30.507L186.301 402 448 140.506 416 110z"}}]})(props);
};
function IoMdClipboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405.333 80h-87.35C310.879 52.396 285.821 32 256 32s-54.879 20.396-61.983 48h-87.35C83.198 80 64 99.198 64 122.667v314.665C64 460.801 83.198 480 106.667 480h298.666C428.802 480 448 460.801 448 437.332V122.667C448 99.198 428.802 80 405.333 80zM256 80c11.729 0 21.333 9.599 21.333 21.333s-9.604 21.334-21.333 21.334-21.333-9.6-21.333-21.334S244.271 80 256 80zm152 360H104V120h40v72h224v-72h40v320z"}}]})(props);
};
function IoMdClock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.1 108.9c-81.2-81.2-212.9-81.2-294.2 0-81.3 81.2-81.2 212.9 0 294.2 81.2 81.2 212.9 81.2 294.2 0 81.2-81.2 81.2-213 0-294.2zm-16.5 53.2c7.6-4.4 17.5-1.8 21.9 5.9 4.4 7.6 1.8 17.5-5.9 21.9-7.6 4.4-17.5 1.8-21.9-5.9-4.4-7.6-1.8-17.5 5.9-21.9zM80 256c0-8.8 7.2-16 16-16s16 7.2 16 16-7.2 16-16 16-16-7.2-16-16zm45.4 93.9c-7.6 4.4-17.5 1.8-21.9-5.9-4.4-7.6-1.8-17.5 5.9-21.9 7.6-4.4 17.5-1.8 21.9 5.9 4.4 7.6 1.8 17.5-5.9 21.9zm5.9-165.9c-4.4 7.6-14.2 10.3-21.9 5.9-7.6-4.4-10.3-14.2-5.9-21.9 4.4-7.6 14.2-10.3 21.9-5.9 7.7 4.4 10.3 14.3 5.9 21.9zm36.7-80.4c7.6-4.4 17.5-1.8 21.9 5.9 4.4 7.6 1.8 17.5-5.9 21.9s-17.5 1.8-21.9-5.9c-4.4-7.7-1.7-17.5 5.9-21.9zm-7.8 110.7l15.6-26.6 95.2 56.9V384h-31V260.6l-79.8-46.3zm29.7 188.3c-4.4 7.6-14.2 10.3-21.9 5.9s-10.3-14.2-5.9-21.9c4.4-7.6 14.2-10.3 21.9-5.9 7.6 4.4 10.3 14.2 5.9 21.9zM256 432c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zm0-320c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16zm88 296.4c-7.6 4.4-17.5 1.8-21.9-5.9-4.4-7.6-1.8-17.5 5.9-21.9 7.6-4.4 17.5-1.8 21.9 5.9 4.4 7.7 1.7 17.5-5.9 21.9zm5.9-283c-4.4 7.6-14.2 10.3-21.9 5.9s-10.3-14.2-5.9-21.9c4.4-7.6 14.2-10.3 21.9-5.9s10.3 14.3 5.9 21.9zM408.4 344c-4.4 7.6-14.2 10.3-21.9 5.9-7.6-4.4-10.3-14.2-5.9-21.9 4.4-7.6 14.2-10.3 21.9-5.9 7.7 4.4 10.3 14.3 5.9 21.9zm7.6-72c-8.8 0-16-7.2-16-16s7.2-16 16-16 16 7.2 16 16-7.2 16-16 16z"}}]})(props);
};
function IoMdCloseCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 90c44.3 0 86 17.3 117.4 48.6C404.7 170 422 211.7 422 256s-17.3 86-48.6 117.4C342 404.7 300.3 422 256 422s-86-17.3-117.4-48.6C107.3 342 90 300.3 90 256s17.3-86 48.6-117.4C170 107.3 211.7 90 256 90m0-42C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48z"}},{"tag":"path","attr":{"d":"M360 330.9L330.9 360 256 285.1 181.1 360 152 330.9l74.9-74.9-74.9-74.9 29.1-29.1 74.9 74.9 74.9-74.9 29.1 29.1-74.9 74.9z"}}]})(props);
};
function IoMdCloseCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C140.559 48 48 140.559 48 256c0 115.436 92.559 208 208 208 115.435 0 208-92.564 208-208 0-115.441-92.564-208-208-208zm104.002 282.881l-29.12 29.117L256 285.117l-74.881 74.881-29.121-29.117L226.881 256l-74.883-74.881 29.121-29.116L256 226.881l74.881-74.878 29.12 29.116L285.119 256l74.883 74.881z"}}]})(props);
};
function IoMdClose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405 136.798L375.202 107 256 226.202 136.798 107 107 136.798 226.202 256 107 375.202 136.798 405 256 285.798 375.202 405 405 375.202 285.798 256z"}}]})(props);
};
function IoMdCloudCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.6 48 48 141.6 48 256s93.6 208 208 208 208-93.6 208-208S370.4 48 256 48zm93.6 291.2H172.801c-34.318 0-62.4-28.082-62.4-62.399 0-34.319 28.082-62.4 62.4-62.4h3.117c9.364-36.4 41.601-62.399 80.083-62.399 45.764 0 83.199 37.435 83.199 83.198h10.4c29.118 0 52 22.882 52 52.001 0 29.117-22.882 51.999-52 51.999z"}}]})(props);
};
function IoMdCloudDone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.002 217.001C388.998 148.002 328.998 96 256 96c-57.998 0-107.998 32.998-132.998 81.001C63.002 183.002 16 233.998 16 296c0 65.996 53.999 120 120 120h260c55 0 100-45 100-100 0-52.998-40.996-96.001-92.998-98.999zM213.333 362.667L138.667 288l29.864-29.864 44.802 44.802L324.271 192l29.865 29.864-140.803 140.803z"}}]})(props);
};
function IoMdCloudDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.002 217.001C388.998 148.002 328.998 96 256 96c-57.998 0-107.998 32.998-132.998 81.001C63.002 183.002 16 233.998 16 296c0 65.996 53.999 120 120 120h260c55 0 100-45 100-100 0-52.998-40.996-96.001-92.998-98.999zM224 268v-76h64v76h68L256 368 156 268h68z"}}]})(props);
};
function IoMdCloudOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.001 217.001C388.997 148.002 328.998 96 256 96c-57.998 0-107.999 32.998-132.997 81C63.002 183.002 16 233.998 16 296c0 65.996 54.004 120 120 120h260c55 0 100-45 100-100.001 0-52.997-40.997-95.999-92.999-98.998zM396 376H136c-44.004 0-80-35.996-80-80 0-44 35.996-80 80-80h14.004c12.998-46 55-80 105.996-80 60.996 0 110 49 110 110v10h30c32.998 0 60 27.003 60 60 0 32.998-27.002 60-60 60z"}}]})(props);
};
function IoMdCloudUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.002 217.001C388.998 148.002 328.998 96 256 96c-57.998 0-107.998 32.998-132.998 81.001C63.002 183.002 16 233.998 16 296c0 65.996 53.999 120 120 120h260c55 0 100-45 100-100 0-52.998-40.996-96.001-92.998-98.999zM288 276v76h-64v-76h-68l100-100 100 100h-68z"}}]})(props);
};
function IoMdCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M403.002 217.001C388.998 148.002 328.998 96 256 96c-57.998 0-107.998 32.998-132.998 81.001C63.002 183.002 16 233.998 16 296c0 65.996 53.999 120 120 120h260c55 0 100-45 100-100 0-52.998-40.996-96.001-92.998-98.999z"}}]})(props);
};
function IoMdCloudyNight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M123.4 183c.4-.1.8-.1 1.2-.2-.5.1-.8.2-1.2.2zM341.5 303.4C330.7 247.7 282.2 206 224 206c-34 0-65.1 12-86.5 39.1 29.4 2.2 56.7 13.1 77.7 34.2 15.6 15.7 26.6 34.9 32.1 55.8h-28.7c-13.1-37.6-48-64.5-90.6-64.5-5.1 0-12.3.6-17.7 1.7-45.7 9.4-78.3 47.6-78.3 95 0 53.4 43 96.8 96 96.8h208c44.1 0 80-36.1 80-80.6-.1-42.7-32.9-77.2-74.5-80.1z"}},{"tag":"path","attr":{"d":"M112.5 225.4c13.6-17.3 30.7-30.5 50.8-39.2 18.4-8 38.8-12 60.7-12 6.1 0 12.2.4 18.2 1.1-6.1-18.1-9.4-37.6-9.4-57.8 0-24.6 4.9-48.1 13.8-69.4C161.9 68.7 99 145.7 99 237.3c0 1.6 0 3.2.1 4.8.1 0 .2-.1.3-.1l13.1-16.6zM417.6 306.8c13.3 14.2 22.6 31.5 27.1 50.1 16.5-21.4 28.7-46.4 35.3-73.5-21.2 9-44.5 13.9-68.9 13.9h-3.6c3.5 2.9 6.9 6.1 10.1 9.5z"}}]})(props);
};
function IoMdCloudy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M123.4 183c.4-.1.8-.1 1.2-.2-.5.1-.8.2-1.2.2z"}},{"tag":"path","attr":{"d":"M393.2 219.2C380.5 154.6 323.9 106 256 106c-39.7 0-76 14-100.9 45.4 34.3 2.6 66.1 15.2 90.7 39.8 18.2 18.2 31 40.5 37.4 64.8h-33.5c-15.3-43.7-56-75-105.7-75-6 0-14.3.7-20.6 2C70 194 32 238.4 32 293.5 32 355.6 82.2 406 144 406h242.7c51.5 0 93.3-42 93.3-93.8 0-49.4-38.3-89.6-86.8-93z"}}]})(props);
};
function IoMdCodeDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M234.6 160v125.7l-44.7-43.6L160 272l96 96 96-96-29.9-31-44.7 44.7V160h-42.8z"}},{"tag":"path","attr":{"d":"M190.4 354.1L91.9 256l98.4-98.1-30-29.9L32 256l128.4 128 30-29.9zm131.2 0L420 256l-98.4-98.1 30-29.9L480 256 351.6 384l-30-29.9z"}}]})(props);
};
function IoMdCodeWorking (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M190.4 354.1L91.9 256l98.4-98.1-30-29.9L32 256l128.4 128 30-29.9zm131.2 0L420 256l-98.4-98.1 30-29.9L480 256 351.6 384l-30-29.9z"}},{"tag":"path","attr":{"d":"M155.6 276h40v-40h-40v40zm200.8-40h-40v40h40v-40zM236 276h40v-40h-40v40z"}}]})(props);
};
function IoMdCode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M190.4 354.1L91.9 256l98.4-98.1-30-29.9L32 256l128.4 128 30-29.9zm131.2 0L420 256l-98.4-98.1 30-29.9L480 256 351.6 384l-30-29.9z"}}]})(props);
};
function IoMdCog (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 288v-64h-34.7c-2-12.1-5.2-23.8-9.3-35l30-17.3-32-55.4-30 17.3c-7.7-9.3-16.3-17.9-25.6-25.6l17.3-30-55.4-32L323 76c-11.2-4.2-22.9-7.3-35-9.3V32h-64v34.7c-12.1 2-23.8 5.2-35 9.3l-17.3-30-55.4 32 17.3 30c-9.3 7.7-17.9 16.3-25.6 25.6l-30-17.3-32 55.4L76 189c-4.2 11.2-7.3 22.9-9.3 35H32v64h34.7c2 12.1 5.2 23.8 9.3 35l-30 17.3 32 55.4 30-17.3c7.7 9.3 16.3 17.9 25.6 25.6l-17.3 30 55.4 32 17.3-30c11.2 4.2 22.9 7.3 35 9.3V480h64v-34.7c12.1-2 23.8-5.2 35-9.3l17.3 30 55.4-32-17.3-30c9.3-7.7 17.9-16.3 25.6-25.6l30 17.3 32-55.4-30-17.3c4.2-11.2 7.3-22.9 9.3-35H480zm-224-64c17.7 0 32 14.3 32 32s-14.3 32-32 32-32-14.3-32-32 14.3-32 32-32zM141.2 343c-18.3-24.2-29.2-54.3-29.2-87 0-6.1.4-12.1 1.1-18l46.9 17.1v.9c0 17.8 4.9 34.5 13.3 48.8L141.2 343zm40.7-148L135 177.9c20.1-31.1 51.8-53.9 89-62.3v49.9c-16.6 5.9-31.1 16.2-42.1 29.5zM256 400c-23.7 0-46-5.7-65.8-15.9l32.1-38.2c10.5 3.9 21.8 6.1 33.7 6.1s23.2-2.2 33.7-6.1l32.1 38.2C302 394.3 279.7 400 256 400zm32-234.5v-49.9c37.2 8.4 68.9 31.2 89 62.3L330.1 195c-11-13.3-25.5-23.6-42.1-29.5zM370.8 343l-32.1-38.2c8.4-14.3 13.3-31 13.3-48.8v-.9l46.9-17.1c.7 5.9 1.1 11.9 1.1 18 0 32.7-10.9 62.8-29.2 87z"}}]})(props);
};
function IoMdColorFill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M136.5 77.7l37 67L32 285.7 216.4 464l152.4-148.6 54.4-11.4L166.4 48l-29.9 29.7zm184 208H114.9l102.8-102.3 102.8 102.3zM423.3 304s-56.7 61.5-56.7 92.1c0 30.7 25.4 55.5 56.7 55.5 31.3 0 56.7-24.9 56.7-55.5S423.3 304 423.3 304z"}}]})(props);
};
function IoMdColorFilter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M441.8 120.1l-49.9-49.9c-8.3-8.3-21.8-8.3-30.1 0l-66.6 66.6L254.1 96 224 126.1l30.3 30.3L64 346.7V448h101.3l190.3-190.3 30.3 30.3 30.1-30.1-41-41 66.6-66.6c8.5-8.4 8.5-21.8.2-30.2zM147.6 405.4l-41-41 171.9-171.9 41 41-171.9 171.9z"}}]})(props);
};
function IoMdColorPalette (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 64C150.401 64 64 150.401 64 256c0 105.604 86.401 192 192 192 18.136 0 32-13.864 32-32 0-8.531-3.198-16-8.531-21.333-5.333-5.334-8.531-12.803-8.531-21.334 0-18.135 13.864-32 32-32h38.396c58.667 0 106.667-48 106.667-106.666C448 140.802 361.604 64 256 64zM138.667 256c-18.136 0-32-13.864-32-32s13.864-32 32-32c18.135 0 32 13.864 32 32s-13.865 32-32 32zm64-85.333c-18.136 0-32-13.865-32-32 0-18.136 13.864-32 32-32 18.135 0 32 13.864 32 32 0 18.135-13.865 32-32 32zm106.666 0c-18.135 0-32-13.865-32-32 0-18.136 13.865-32 32-32 18.136 0 32 13.864 32 32 0 18.135-13.864 32-32 32zm64 85.333c-18.135 0-32-13.864-32-32s13.865-32 32-32c18.136 0 32 13.864 32 32s-13.864 32-32 32z"}}]})(props);
};
function IoMdColorWand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M200.8 157.2l-36.4 37.4L411.7 448l36.3-37.4zM181 64h37v68h-37zM181 262h37v68h-37zM270 176h69v37h-69zM305.6 115.8l-25.7-26.3-47.1 48.3 25.6 26.2zM168.8 137.8l-47.1-48.3-25.6 26.3 47.1 48.2zM96.1 277.9l25.6 26.2 47.1-48.2-25.6-26.3zM64 176h65v37H64z"}}]})(props);
};
function IoMdCompass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 231.358c-13.442 0-24.643 11.2-24.643 24.642s11.2 24.643 24.643 24.643 24.643-11.2 24.643-24.643-11.201-24.642-24.643-24.642zM256 32C132.8 32 32 132.8 32 256s100.8 224 224 224 224-100.8 224-224S379.2 32 256 32zm49.284 273.284L121.6 390.4l85.116-183.679L390.4 121.6l-85.116 183.684z"}}]})(props);
};
function IoMdConstruct (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M430.9 393.4l-119.6-119-58.1-57.9-13.4-13.3c15.9-40.6 7.1-88.2-26.6-121.7-35.4-35.3-88.5-42.3-131-22.9l76.1 75.8-53.1 52.9-77.9-75.8C6.2 153.8 15 206.7 50.4 242c33.6 33.5 81.4 42.3 122.1 26.5l14.4 14.3L81.7 388c-7.6 5.7-7.6 19 1.9 26.6l43.8 43.7c7.6 7.6 19.1 7.6 26.7 0l96.1-112.4 113.4 112.9c7.1 7.1 17.7 7.1 24.8 0l40.7-40.6c8.9-7.1 8.9-19.5 1.8-24.8z"}},{"tag":"path","attr":{"d":"M494.4 216.6l-34.5-34.1c-2.2-2.2-5.8-2.2-8 0l-3.7 3.7-18.5-15.8s1.2-10-4.9-18.7c-6.2-8.7-16.1-19.8-23.2-26.9-7.1-7-34.1-33.9-69.7-51.4C296.2 55.7 271 48 241 48v29.7s28.7 16.6 45.1 29.7c16.3 13.1 16.8 59.5 16.8 59.5l-28.5 28.5 56.5 56.1 31-36.3c12.9-3.5 23.8-3.8 30.2-.3l13.7 13.3-9.6 9.5c-2.2 2.2-2.2 5.7 0 7.9l34.5 34.1c2.2 2.2 5.8 2.2 8 0l55.7-55.2c2.1-2.2 2.1-5.8 0-7.9z"}}]})(props);
};
function IoMdContact (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.6 48 48 141.6 48 256s93.6 208 208 208 208-93.6 208-208S370.4 48 256 48zm0 62.4c34.3 0 62.4 28.1 62.4 62.4s-28.1 62.4-62.4 62.4-62.4-28.1-62.4-62.4 28.1-62.4 62.4-62.4zm0 300.4c-52 0-97.8-27-124.8-66.6 1-41.6 83.2-64.5 124.8-64.5s123.8 22.9 124.8 64.5c-27 39.5-72.8 66.6-124.8 66.6z"}}]})(props);
};
function IoMdContacts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M239.208 343.937c-17.78 10.103-38.342 15.876-60.255 15.876-21.909 0-42.467-5.771-60.246-15.87C71.544 358.331 42.643 406 32 448h293.912c-10.639-42-39.537-89.683-86.704-104.063zM178.953 120.035c-58.479 0-105.886 47.394-105.886 105.858 0 58.464 47.407 105.857 105.886 105.857s105.886-47.394 105.886-105.857c0-58.464-47.408-105.858-105.886-105.858zm0 186.488c-33.671 0-62.445-22.513-73.997-50.523H252.95c-11.554 28.011-40.326 50.523-73.997 50.523z"}},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"d":"M322.602 384H480c-10.638-42-39.537-81.691-86.703-96.072-17.781 10.104-38.343 15.873-60.256 15.873-14.823 0-29.024-2.654-42.168-7.49-7.445 12.47-16.927 25.592-27.974 34.906C289.245 341.354 309.146 364 322.602 384zM306.545 200h100.493c-11.554 28-40.327 50.293-73.997 50.293-8.875 0-17.404-1.692-25.375-4.51a128.411 128.411 0 0 1-6.52 25.118c10.066 3.174 20.779 4.862 31.895 4.862 58.479 0 105.886-47.41 105.886-105.872 0-58.465-47.407-105.866-105.886-105.866-37.49 0-70.427 19.703-89.243 49.09C275.607 131.383 298.961 163 306.545 200z"}}]}]})(props);
};
function IoMdContract (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 371.2h76.795V448H192V320H64v51.2zm76.795-230.4H64V192h128V64h-51.205v76.8zM320 448h51.2v-76.8H448V320H320v128zm51.2-307.2V64H320v128h128v-51.2h-76.8z"}}]})(props);
};
function IoMdContrast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm113.1 321.1C338.9 399.4 298.7 416 256 416V96c42.7 0 82.9 16.6 113.1 46.9C399.4 173.1 416 213.3 416 256s-16.6 82.9-46.9 113.1z"}}]})(props);
};
function IoMdCopy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M296 48H176.5C154.4 48 136 65.4 136 87.5V96h-7.5C106.4 96 88 113.4 88 135.5v288c0 22.1 18.4 40.5 40.5 40.5h208c22.1 0 39.5-18.4 39.5-40.5V416h8.5c22.1 0 39.5-18.4 39.5-40.5V176L296 48zm0 44.6l83.4 83.4H296V92.6zm48 330.9c0 4.7-3.4 8.5-7.5 8.5h-208c-4.4 0-8.5-4.1-8.5-8.5v-288c0-4.1 3.8-7.5 8.5-7.5h7.5v255.5c0 22.1 10.4 32.5 32.5 32.5H344v7.5zm48-48c0 4.7-3.4 8.5-7.5 8.5h-208c-4.4 0-8.5-4.1-8.5-8.5v-288c0-4.1 3.8-7.5 8.5-7.5H264v128h128v167.5z"}}]})(props);
};
function IoMdCreate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 368v80h80l235.727-235.729-79.999-79.998L64 368zm377.602-217.602c8.531-8.531 8.531-21.334 0-29.865l-50.135-50.135c-8.531-8.531-21.334-8.531-29.865 0l-39.468 39.469 79.999 79.998 39.469-39.467z"}}]})(props);
};
function IoMdCrop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 312.7h37.8V160c0-20.8-17-37.8-37.8-37.8H199.3V160H352v152.7zm-192 33.5V48h-37.8v74.2H48V160h74.2v186.2c0 20.8 17 37.8 37.8 37.8h192v80h37.8v-80H464v-37.8H160z"}}]})(props);
};
function IoMdCube (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M467.3 168.1c-1.8 0-3.5.3-5.1 1l-177.6 92.1h-.1c-7.6 4.7-12.5 12.5-12.5 21.4v185.9c0 6.4 5.6 11.5 12.7 11.5 2.2 0 4.3-.5 6.1-1.4.2-.1.4-.2.5-.3L466 385.6l.3-.1c8.2-4.5 13.7-12.7 13.7-22.1V179.6c0-6.4-5.7-11.5-12.7-11.5zM454.3 118.5L272.6 36.8S261.9 32 256 32c-5.9 0-16.5 4.8-16.5 4.8L57.6 118.5s-8 3.3-8 9.5c0 6.6 8.3 11.5 8.3 11.5l185.5 97.8c3.8 1.7 8.1 2.6 12.6 2.6 4.6 0 8.9-1 12.7-2.7l185.4-97.9s7.5-4 7.5-11.5c.1-6.3-7.3-9.3-7.3-9.3zM227.5 261.2L49.8 169c-1.5-.6-3.3-1-5.1-1-7 0-12.7 5.1-12.7 11.5v183.8c0 9.4 5.5 17.6 13.7 22.1l.2.1 174.7 92.7c1.9 1.1 4.2 1.7 6.6 1.7 7 0 12.7-5.2 12.7-11.5V282.6c.1-8.9-4.9-16.8-12.4-21.4z"}}]})(props);
};
function IoMdCut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M203.1 158.3c5.2-11.2 8.1-23.5 8.1-36.7 0-49.5-40.1-89.6-89.6-89.6S32 72.1 32 121.6s40.1 89.6 89.6 89.6c13.2 0 25.5-2.9 36.7-8.1l52.9 52.9-52.9 52.9c-11.2-5.2-23.5-8.1-36.7-8.1-49.5 0-89.6 40.1-89.6 89.6S72.1 480 121.6 480s89.6-40.1 89.6-89.6c0-13.2-2.9-25.5-8.1-36.7l52.9-52.9 156.8 156.8H480v-22.4L203.1 158.3zm-81.5 8.1c-24.6 0-44.8-19.9-44.8-44.8S97 76.8 121.6 76.8s44.8 19.9 44.8 44.8-20.2 44.8-44.8 44.8zm0 268.8c-24.6 0-44.8-19.9-44.8-44.8s20.2-44.8 44.8-44.8 44.8 19.9 44.8 44.8-20.2 44.8-44.8 44.8zm134.4-168c-6.3 0-11.2-4.9-11.2-11.2 0-6.3 4.9-11.2 11.2-11.2 6.3 0 11.2 4.9 11.2 11.2 0 6.3-4.9 11.2-11.2 11.2zM412.8 54.4L278.4 188.8l44.8 44.8L480 76.8V54.4h-67.2z"}}]})(props);
};
function IoMdDesktop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M437.333 32H74.667C51.198 32 32 51.197 32 74.666v282.667C32 380.802 51.198 400 74.667 400h138.666l-42.666 48v32h170.666v-32l-42.666-48h138.666C460.802 400 480 380.802 480 357.333V74.666C480 51.197 460.802 32 437.333 32zm0 288H74.667V74.666h362.666V320z"}}]})(props);
};
function IoMdDisc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.2 48 48 141.2 48 256s93.2 208 208 208 208-93.2 208-208S370.8 48 256 48zm0 301.6c-51.8 0-93.6-41.8-93.6-93.6s41.8-93.6 93.6-93.6 93.6 41.8 93.6 93.6-41.8 93.6-93.6 93.6zm0-114.4c-11.4 0-20.8 9.4-20.8 20.8s9.4 20.8 20.8 20.8 20.8-9.4 20.8-20.8-9.4-20.8-20.8-20.8z"}}]})(props);
};
function IoMdDocument (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M288 48H136c-22.092 0-40 17.908-40 40v336c0 22.092 17.908 40 40 40h240c22.092 0 40-17.908 40-40V176L288 48zm-16 144V80l112 112H272z"}}]})(props);
};
function IoMdDoneAll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M387.581 139.712L356.755 109 216.913 248.319l30.831 30.719 139.837-139.326zM481.172 109L247.744 340.469l-91.39-91.051-30.827 30.715L247.744 403 512 139.712 481.172 109zM0 280.133L123.321 403l30.829-30.713L31.934 249.418 0 280.133z"}}]})(props);
};
function IoMdDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 199.5h-91.4V64H187.4v135.5H96l160 158.1 160-158.1zM96 402.8V448h320v-45.2H96z"}}]})(props);
};
function IoMdEasel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 176h256v128H128z"}},{"tag":"path","attr":{"d":"M448 96H64c-8.8 0-16 7.2-16 16v256c0 8.8 6.9 16 15.8 16H448c8.8 0 16-7.2 16-16V112c0-8.8-7.2-16-16-16zm-32 240H96V144h320v192zM80 464h57l22.5-64h-56.4zM279.4 48h-46.8l-11.5 32h69.8zM375 464h57l-23-64h-56.5zM232 400h48v32h-48z"}}]})(props);
};
function IoMdEgg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32C185.6 32 80 165.2 80 288.9S150.4 480 256 480s176-67.4 176-191.1S326.4 32 256 32z"}}]})(props);
};
function IoMdExit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M215.469 332.802l29.863 29.864L352 256 245.332 149.333l-29.863 29.865 55.469 55.469H64v42.666h205.864l-54.395 55.469zM405.334 64H106.666C83.198 64 64 83.198 64 106.666V192h42.666v-85.333h298.668v298.668H106.666V320H64v85.334C64 428.802 83.198 448 106.666 448h298.668C428.802 448 448 428.802 448 405.334V106.666C448 83.198 428.802 64 405.334 64z"}}]})(props);
};
function IoMdExpand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M396.795 396.8H320V448h128V320h-51.205zM396.8 115.205V192H448V64H320v51.205zM115.205 115.2H192V64H64v128h51.205zM115.2 396.795V320H64v128h128v-51.205z"}}]})(props);
};
function IoMdEyeOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256.1 144.8c56.2 0 101.9 45.3 101.9 101.1 0 13.1-2.6 25.5-7.3 37l59.5 59c30.8-25.5 55-58.4 69.9-96-35.3-88.7-122.3-151.6-224.2-151.6-28.5 0-55.8 5.1-81.1 14.1l44 43.7c11.6-4.6 24.1-7.3 37.3-7.3zM52.4 89.7l46.5 46.1 9.4 9.3c-33.9 26-60.4 60.8-76.3 100.8 35.2 88.7 122.2 151.6 224.1 151.6 31.6 0 61.7-6.1 89.2-17l8.6 8.5 59.7 59 25.9-25.7L78.2 64 52.4 89.7zM165 201.4l31.6 31.3c-1 4.2-1.6 8.7-1.6 13.1 0 33.5 27.3 60.6 61.1 60.6 4.5 0 9-.6 13.2-1.6l31.6 31.3c-13.6 6.7-28.7 10.7-44.8 10.7-56.2 0-101.9-45.3-101.9-101.1 0-15.8 4.1-30.7 10.8-44.3zm87.8-15.7l64.2 63.7.4-3.2c0-33.5-27.3-60.6-61.1-60.6l-3.5.1z"}}]})(props);
};
function IoMdEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 105c-101.8 0-188.4 62.4-224 151 35.6 88.6 122.2 151 224 151s188.4-62.4 224-151c-35.6-88.6-122.2-151-224-151zm0 251.7c-56 0-101.8-45.3-101.8-100.7S200 155.3 256 155.3 357.8 200.6 357.8 256 312 356.7 256 356.7zm0-161.1c-33.6 0-61.1 27.2-61.1 60.4s27.5 60.4 61.1 60.4 61.1-27.2 61.1-60.4-27.5-60.4-61.1-60.4z"}}]})(props);
};
function IoMdFastforward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 256L262.4 110v292L480 256zM32 110v292l217.6-146L32 110z"}}]})(props);
};
function IoMdFemale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M400 176c0-79.5-64.5-144-144-144S112 96.5 112 176c0 71.4 51.9 130.6 120 142v50h-72v48h72v64h48v-64h72v-48h-72v-50c68.1-11.4 120-70.6 120-142zm-240 0c0-52.9 43.1-96 96-96s96 43.1 96 96-43.1 96-96 96-96-43.1-96-96z"}}]})(props);
};
function IoMdFiling (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M449.2 208H423v-32l-14.4-48H383V96l-15-48H144l-15 48v32h-25.6L89 176v32H62.8L48 256v165.3c0 23.5 35.2 42.7 58.7 42.7h314.7c21.8 0 42.7-19.7 42.7-41V256l-14.9-48zM176 96h160v32H176V96zm-41 80h242v32H135v-32zm282 112h-82.6c-7.4 36.5-39.7 64-78.4 64s-71-27.5-78.4-64H95v-32h322v32z"}}]})(props);
};
function IoMdFilm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M376 64v42.667h-40V64H176v42.667h-40V64H96v384h40v-42.666h40V448h160v-42.666h40V448h40V64h-40zM176 362.667h-40V320h40v42.667zm0-85.333h-40v-42.667h40v42.667zM176 192h-40v-42.666h40V192zm200 170.667h-40V320h40v42.667zm0-85.333h-40v-42.667h40v42.667zM376 192h-40v-42.666h40V192z"}}]})(props);
};
function IoMdFingerPrint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M78.1 205.6c-2.4 0-4.9-.6-7.1-1.9-6.7-3.9-9-12.4-5.1-19.1 17.8-30 71.9-100.1 190.1-100.1 51.2 0 96.1 13.6 133.4 40.4 30.7 22 47.9 46.9 56.1 58.9 4.4 6.4 2.7 15-3.7 19.4-6.4 4.3-15.2 2.7-19.6-3.7-14.9-21.6-60.1-87.2-166.2-87.2-103.6 0-150.4 60.4-165.7 86.3-2.6 4.6-7.3 7-12.2 7z"}},{"tag":"path","attr":{"d":"M315.5 480c-1.2 0-2.3-.1-3.5-.4-85.7-21.5-117.7-108.1-119-111.7l-.2-.8c-.7-2.5-17.9-61.9 8.5-96.7 12.1-15.9 30.5-24 54.8-24 22.6 0 38.9 7.1 50.1 21.8 9.2 12 12.9 26.8 16.5 41.1 7.5 29.7 12.9 45.3 44.1 46.9 13.7.7 22.7-7.4 27.8-14.3 13.8-18.8 16.2-49.5 5.8-76.5-13.4-35-60.8-100.9-144.4-100.9-35.7 0-68.5 11.6-94.8 33.4-21.8 18.1-39.1 43.6-47.4 69.8-15.4 48.8 4.8 125.5 5 126.2 2 7.4-2.5 15.1-10 17-7.5 2-15.3-2.5-17.3-9.9-.9-3.5-22.5-85.3-4.7-141.7C106.2 198.2 166 136.6 256 136.6c41.6 0 80.9 14.3 113.7 41.3 25.4 21 46.2 49.2 57 77.4 13.8 36 10.1 76.4-9.4 102.8-13 17.6-31.5 26.8-52 25.8-53.4-2.7-63-40.4-70-67.9-7.2-28.2-11.8-41.8-39.3-41.8-15.1 0-25.7 4.2-32.3 12.9-9 11.9-9.7 30.5-8.7 44 1 14.1 4 25.5 4.7 27.8 2.2 5.6 30.8 76.5 99.3 93.7 7.6 1.9 12.1 9.5 10.2 16.9-1.7 6.3-7.4 10.5-13.7 10.5z"}},{"tag":"path","attr":{"d":"M205.5 473.6c-3.8 0-7.5-1.5-10.3-4.4-34.3-36.4-53.7-77.1-61-128v-.3c-4.1-33.7 1.9-81.4 31.3-114.2 21.7-24.2 52.2-36.5 90.5-36.5 45.3 0 80.9 21.3 103.1 61.5 16.1 29.2 19.3 58.3 19.4 59.5.8 7.7-4.9 14.5-12.6 15.3-7.7.8-14.7-4.8-15.5-12.4 0-.3-2.8-25.3-16.5-49.7-17.2-30.7-43.4-46.3-78-46.3-29.9 0-53.3 9.1-69.4 27.1-23.2 25.9-27.7 65.8-24.5 92.2 6.4 45 23.5 80.8 53.7 112.8 5.3 5.6 5 14.5-.7 19.7-2.6 2.4-6.1 3.7-9.5 3.7z"}},{"tag":"path","attr":{"d":"M363.5 433.5c-30 0-55.5-8.4-75.9-25.1-41-33.4-45.6-87.8-45.8-90.1-.6-7.7 5.2-14.4 13-15 7.8-.6 14.5 5.1 15.1 12.8.1.8 4.2 45.3 35.8 70.9 18.7 15.1 43.7 21.1 74.5 17.6 7.7-.9 14.7 4.6 15.6 12.3.9 7.7-4.7 14.6-12.4 15.4-6.8.8-13.5 1.2-19.9 1.2zM387.2 62.6C375.5 54.9 334 32 256 32c-81.9 0-123.5 25.3-132.7 31.7-.6.4-1.2.8-1.7 1.3-.1.1-.2.1-.2.1-2.9 2.6-4.7 6.3-4.7 10.4 0 7.7 6.3 13.9 14.1 13.9 3.1 0 5.9-1 8.2-2.6l-.1.1c.4-.3 36.3-27 117.1-27s116.7 26.8 117.1 27l-.1-.1.2-.2c2.4 1.8 5.3 2.8 8.5 2.8 7.8 0 14.1-6.2 14.1-13.9 0-5.8-3.5-10.8-8.6-12.9z"}}]})(props);
};
function IoMdFitness (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M434.3 315.5l29.7-29.7-29.7-29.8-74.3 74.3L181.7 152 256 77.7 226.3 48l-29.7 29.7L166.8 48l-44.5 44.5-29.8-29.7-29.7 29.7 29.7 29.7L48 166.8l29.7 29.7L48 226.3 77.7 256l74.3-74.3L330.3 360 256 434.3l29.7 29.7 29.7-29.7 29.7 29.7 44.5-44.5 29.7 29.7 29.7-29.7-29.7-29.7 44.5-44.5-29.5-29.8z"}}]})(props);
};
function IoMdFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M396 83.2c-13.8 1.7-31.1 4.2-49.6 4.2-28.8 0-55-6.8-81.5-12.2C238 69.7 210.2 64 180.8 64c-58.6 0-78.5 12.1-80.6 13.4L96 80.3V448h48V269.8c9.7-1.2 21.9-2 36.9-2 27.3 0 52.8 10 79.8 15.5 27.6 5.6 56 11.5 86.9 11.5 18.4 0 34.6-2.4 48.4-4 7.5-.9 14-1.7 20-2.7V80.2c-5 1-12.5 2.1-20 3z"}}]})(props);
};
function IoMdFlame (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M393.3 222.1l-.2 10.4c-.8 11.7-7.9 43.4-22.1 54.7 7-15.2 17.3-47.2 10.2-82.7C361.6 107 287.5 65.6 193 50l-17.2-2.2c39.5 47.2 56.1 81.7 49.7 116.8-2.3 12.6-10 23.4-14 31.6 0 0 2.4-12.9 2-28.7-.3-14.2-6.6-31-18-39.6 3.5 18.4-.8 33.5-9.1 47.7-24.7 42.2-85.4 57.8-90.4 135.8v3.8c0 53.7 25.6 99 68.7 125-6.8-12.3-12-35.2-5.7-60.2 4 23.7 14 36 24.9 51.8 8.2 11.7 19.1 19.3 33.1 24.9s31 7.2 47.9 7.2c55.8 0 91.4-18.1 119.1-50.5s32.1-68 32.1-106.4-8.5-60.9-22.8-84.9z"}}]})(props);
};
function IoMdFlashOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M459.9 435.5L76.1 52.5 51.9 76.6 160 184.3V272h64v192l72-144 139.9 139.5zM352 208h-64l64-160H160v40.3l168 167.6z"}}]})(props);
};
function IoMdFlash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160 48v224h64v192l128-256h-64l64-160H160z"}}]})(props);
};
function IoMdFlashlight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 298l64 64v118h128V362l64-64V176l-255.2.4L128 298zM234.8 32h42.4v64h-42.4V32zM80 110.4L109.9 80l44.9 45.6-29.9 30.4L80 110.4zm277.1 15.2l45-45.5 29.9 30.4-44.9 45.5-30-30.4z"}}]})(props);
};
function IoMdFlask (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M436.9 354.4L336 192V96h32V48H144v48h32v96L76.1 354.4C67.7 370.3 63.6 385.8 64 400c1.1 36.5 28.7 64 65.1 64H385c36.3 0 62.1-27.6 63-64 .3-14.2-2.6-29.7-11.1-45.6zM155.1 304l29.5-48h143.1l29.8 48H155.1z"}}]})(props);
};
function IoMdFlower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405.1 256c25.2-11.9 42.9-37.1 42.9-66.9 0-41-33.6-74.3-75-74.3-15.9 0-30.3 4.8-42.6 13.1l.6-5.6c0-41-33.6-74.3-75-74.3s-75 33.3-75 74.3l.6 5.6c-12-8.3-26.7-13.1-42.6-13.1-41.4 0-75 33.3-75 74.3 0 29.7 17.7 55 42.9 66.9C81.7 267.9 64 293.1 64 322.9c0 41 33.6 74.3 75 74.3 15.9 0 30.3-4.8 42.6-13.1l-.6 5.6c0 41 33.6 74.3 75 74.3s75-33.3 75-74.3l-.6-5.6c12 8.3 26.7 13.1 42.6 13.1 41.4 0 75-33.3 75-74.3 0-29.8-17.7-55-42.9-66.9zM256 330.3c-41.4 0-75-33.3-75-74.3s33.6-74.3 75-74.3 75 33.3 75 74.3-33.6 74.3-75 74.3z"}}]})(props);
};
function IoMdFolderOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M437.334 144H256.006l-42.668-48H74.666C51.197 96 32 115.198 32 138.667v234.666C32 396.802 51.197 416 74.666 416h362.668C460.803 416 480 396.802 480 373.333V186.667C480 163.198 460.803 144 437.334 144zM448 373.333c0 5.782-4.885 10.667-10.666 10.667H74.666C68.884 384 64 379.115 64 373.333V176h373.334c5.781 0 10.666 4.885 10.666 10.667v186.666z"}}]})(props);
};
function IoMdFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M213.338 96H74.666C51.197 96 32 115.198 32 138.667v234.666C32 396.802 51.197 416 74.666 416h362.668C460.803 416 480 396.802 480 373.333V186.667C480 163.198 460.803 144 437.334 144H256.006l-42.668-48z"}}]})(props);
};
function IoMdFootball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.3 48 48 141.3 48 256s93.3 208 208 208 208-93.3 208-208S370.7 48 256 48zM127 238.2l39.2 17.9 17.1 66.9-15.6 29.3-57.2-.7C95.6 329 86.2 303.1 83 276.3l44-38.1zm217.3 114.1L328.7 323l17.1-67 39.1-17.8 44 38.1c-3.1 26.8-12.6 52.7-27.5 75.3l-57.1.7zm32.4-146.2l-43.6 19.6-61.1-51.6v-47.2l47.9-32.6c29.8 11.9 56.4 32.3 75.6 57.8l-18.8 54zM191.3 94.4l47.7 32.5v47.2l-61 51.5-43-19.6-18.7-53.6c19.3-26.1 45.1-46 75-58zM218.4 426c-.7-.2-1.3-.3-2-.5l-20.5-55.1 14.7-29.4h90.8l15 30.3-19.8 53.9c-1 .2-2 .5-3 .7-11.5 2.3-27 3.8-40.4 4.1-11.7-.1-23.4-1.5-34.8-4z"}}]})(props);
};
function IoMdFunnel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208 400h96v-47.994h-96V400zM32 112v47.994h448V112H32zm80 168.783h288v-49.555H112v49.555z"}}]})(props);
};
function IoMdGift (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M424 134.5h-45.8c2.3-6.6 3.8-13.9 3.8-21.3 0-35.4-28.1-63.2-63-63.2-22.1 0-41.2 10.7-52.5 28L256 92.3l-10.5-14.5C234.2 60.7 215.1 48 193 48c-34.9 0-63 29.8-63 65.2 0 7.5 1.5 14.7 3.8 21.3H88c-23.3 0-41.8 19-41.8 42.7L46 421.8c0 23.7 17.4 42.2 40.7 42.2h336.7c23.3 0 42.7-18.5 42.7-42.2V177.2c-.1-23.7-18.8-42.7-42.1-42.7zM320 91c11.6 0 21 9.5 21 21 0 11.6-9.4 21-21 21s-21-9.5-21-21 9.4-21 21-21zm-128 0c11.6 0 21 9.5 21 21 0 11.6-9.4 21-21 21s-21-9.5-21-21 9.4-21 21-21zM88 177.2h106.7L151 237.5l34 25 50-69.1.2-.2-.2 228.6H88V177.2zm336 244.6H277V193.4l50 69.1 34-25-43.7-60.4H424v244.7z"}}]})(props);
};
function IoMdGitBranch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 160c0-35.3-28.7-64-64-64s-64 28.7-64 64c0 23.7 12.9 44.3 32 55.4v8.6c0 19.9-7.8 33.7-25.3 44.9-15.4 9.8-38.1 17.1-67.5 21.5-14 2.1-25.7 6-35.2 10.7V151.4c19.1-11.1 32-31.7 32-55.4 0-35.3-28.7-64-64-64S96 60.7 96 96c0 23.7 12.9 44.3 32 55.4v209.2c-19.1 11.1-32 31.7-32 55.4 0 35.3 28.7 64 64 64s64-28.7 64-64c0-16.6-6.3-31.7-16.7-43.1 1.9-4.9 9.7-16.3 29.4-19.3 38.8-5.8 68.9-15.9 92.3-30.8 36-22.8 55-57 55-98.8v-8.6c19.1-11.1 32-31.7 32-55.4zM160 56c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40zm0 400c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40zm192-256c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40z"}}]})(props);
};
function IoMdGitCommit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 224h-99.8c-14.2-55.2-64.2-96-123.7-96S147 168.8 132.8 224H32v64h100.8c14.2 55.2 64.2 96 123.7 96s109.5-40.8 123.7-96H480v-64zM256.5 336c-44 0-79.8-35.9-79.8-80s35.8-80 79.8-80 79.8 35.9 79.8 80-35.8 80-79.8 80z"}}]})(props);
};
function IoMdGitCompare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192 382h-22c-24.6 0-29-3.6-33.8-9.6-5.5-6.9-8.2-19.1-8.2-54.2V151.4c19.1-11.1 32-31.7 32-55.4 0-35.3-28.7-64-64-64S32 60.7 32 96c0 23.7 12.9 44.3 32 55.4v166.8c0 46.4 3.7 70.8 22.1 94 19.9 25.1 45 35.8 83.9 35.8h22v64l96-96-96-96v62zM96 56c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40zM448 360.6V190.8c0-46.4-3.7-70.8-22.1-94C406 71.7 380.9 62 342 62h-22V0l-96 96 96 96v-64h22c24.6 0 29 2.6 33.8 8.6 5.5 6.9 8.2 19.1 8.2 54.2v169.8c-19.1 11.1-32 31.7-32 55.4 0 35.3 28.7 64 64 64s64-28.7 64-64c0-23.7-12.9-44.3-32-55.4zM416 456c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40z"}}]})(props);
};
function IoMdGitMerge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M384 224c-23.7 0-44.4 12.9-55.4 32-18.3-.5-52.4-4.1-75.5-18.1-32.3-19.4-64.6-53.1-87-90.5 15.7-11.7 26-30.3 26-51.4 0-35.3-28.7-64-64-64S64 60.7 64 96c0 23.7 12.9 44.3 32 55.4v209.2c-19.1 11.1-32 31.7-32 55.4 0 35.3 28.7 64 64 64s64-28.7 64-64c0-23.7-12.9-44.3-32-55.4V244.2c18.7 19.4 39.1 36 60 48.6 38.8 23.4 87 26.9 108.6 27.3 11.1 19.1 31.7 31.9 55.4 31.9 35.3 0 64-28.7 64-64s-28.7-64-64-64zM88 96c0-22.1 17.9-40 40-40s40 17.9 40 40-17.9 40-40 40-40-17.9-40-40zm80 320c0 22.1-17.9 40-40 40s-40-17.9-40-40 17.9-40 40-40 40 17.9 40 40zm216-88c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40z"}}]})(props);
};
function IoMdGitNetwork (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 96c0-35.3-28.7-64-64-64s-64 28.7-64 64c0 23.6 12.9 44.3 32 55.4v52.8l-96 48-96-48v-52.8c19.1-11.1 32-31.8 32-55.4 0-35.3-28.7-64-64-64S64 60.7 64 96c0 23.6 12.9 44.3 32 55.4v92.4l128 64v52.8c-19.1 11.1-32 31.8-32 55.4 0 35.3 28.7 64 64 64s64-28.7 64-64c0-23.6-12.9-44.3-32-55.4v-52.8l128-64v-92.4c19.1-11.1 32-31.8 32-55.4zM128 56c22.1 0 40 17.9 40 40s-17.9 40-40 40-40-17.9-40-40 17.9-40 40-40zm128 400c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40zm128-320c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40z"}}]})(props);
};
function IoMdGitPullRequest (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 376.6V206.8c0-46.4-3.7-70.8-22.1-94C374 87.7 348.9 77 310 77h-22V16l-96 96 96 96v-65h22c24.6 0 29 3.6 33.8 9.6 5.5 6.9 8.2 19.1 8.2 54.2v169.8c-19.1 11.1-32 31.7-32 55.4 0 35.3 28.7 64 64 64s64-28.7 64-64c0-23.7-12.9-44.3-32-55.4zM384 472c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40zM128 48c-35.3 0-64 28.7-64 64 0 23.7 12.9 44.3 32 55.4v209.2c-19.1 11.1-32 31.7-32 55.4 0 35.3 28.7 64 64 64s64-28.7 64-64c0-23.7-12.9-44.3-32-55.4V167.4c19.1-11.1 32-31.7 32-55.4 0-35.3-28.7-64-64-64zm0 424c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40zm0-320c-22.1 0-40-17.9-40-40s17.9-40 40-40 40 17.9 40 40-17.9 40-40 40z"}}]})(props);
};
function IoMdGlasses (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 176H272v.1h-32v-.1H32v48h11l5 21.5C64 313 88.5 336 144 336s96-17.4 96-90.5V224s1.5-16 16-16 16 16 16 16v21.8c0 73 42.1 90.2 97 90.2s79-25 95-90.2l5-21.8h11v-48z"}}]})(props);
};
function IoMdGlobe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.124 48 48 141.125 48 256s93.124 208 208 208c114.875 0 208-93.125 208-208S370.875 48 256 48zm-21.549 384.999c-39.464-4.726-75.978-22.392-104.519-50.932C96.258 348.393 77.714 303.622 77.714 256c0-42.87 15.036-83.424 42.601-115.659.71 8.517 2.463 17.648 2.014 24.175-1.64 23.795-3.988 38.687 9.94 58.762 5.426 7.819 6.759 19.028 9.4 28.078 2.583 8.854 12.902 13.498 20.019 18.953 14.359 11.009 28.096 23.805 43.322 33.494 10.049 6.395 16.326 9.576 13.383 21.839-2.367 9.862-3.028 15.937-8.13 24.723-1.557 2.681 5.877 19.918 8.351 22.392 7.498 7.497 14.938 14.375 23.111 21.125 12.671 10.469-1.231 24.072-7.274 39.117zm147.616-50.932c-25.633 25.633-57.699 42.486-92.556 49.081 4.94-12.216 13.736-23.07 21.895-29.362 7.097-5.476 15.986-16.009 19.693-24.352 3.704-8.332 8.611-15.555 13.577-23.217 7.065-10.899-17.419-27.336-25.353-30.781-17.854-7.751-31.294-18.21-47.161-29.375-11.305-7.954-34.257 4.154-47.02-1.417-17.481-7.633-31.883-20.896-47.078-32.339-15.68-11.809-14.922-25.576-14.922-42.997 12.282.453 29.754-3.399 37.908 6.478 2.573 3.117 11.42 17.042 17.342 12.094 4.838-4.043-3.585-20.249-5.212-24.059-5.005-11.715 11.404-16.284 19.803-24.228 10.96-10.364 34.47-26.618 32.612-34.047s-23.524-28.477-36.249-25.193c-1.907.492-18.697 18.097-21.941 20.859.086-5.746.172-11.491.26-17.237.055-3.628-6.768-7.352-6.451-9.692.8-5.914 17.262-16.647 21.357-21.357-2.869-1.793-12.659-10.202-15.622-8.968-7.174 2.99-15.276 5.05-22.45 8.039 0-2.488-.302-4.825-.662-7.133a176.585 176.585 0 0 1 45.31-13.152l14.084 5.66 9.944 11.801 9.924 10.233 8.675 2.795 13.779-12.995L282 87.929V79.59c27.25 3.958 52.984 14.124 75.522 29.8-4.032.361-8.463.954-13.462 1.59-2.065-1.22-4.714-1.774-6.965-2.623 6.531 14.042 13.343 27.89 20.264 41.746 7.393 14.801 23.793 30.677 26.673 46.301 3.394 18.416 1.039 35.144 2.896 56.811 1.788 20.865 23.524 44.572 23.524 44.572s10.037 3.419 18.384 2.228c-7.781 30.783-23.733 59.014-46.769 82.052z"}}]})(props);
};
function IoMdGrid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M409.6 64H102.4C81.3 64 64 81.3 64 102.4v307.2c0 21.1 17.3 38.4 38.4 38.4h307.2c21.1 0 38.4-17.3 38.4-38.4V102.4c0-21.1-17.3-38.4-38.4-38.4zM179.2 409.6h-76.8v-76.8h76.8v76.8zm0-115.2h-76.8v-76.8h76.8v76.8zm0-115.2h-76.8v-76.8h76.8v76.8zm115.2 230.4h-76.8v-76.8h76.8v76.8zm0-115.2h-76.8v-76.8h76.8v76.8zm0-115.2h-76.8v-76.8h76.8v76.8zm115.2 230.4h-76.8v-76.8h76.8v76.8zm0-115.2h-76.8v-76.8h76.8v76.8zm0-115.2h-76.8v-76.8h76.8v76.8z"}}]})(props);
};
function IoMdHammer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M474.1 398.2L229.8 167.8s8.8-57.7 26.2-71.8c17.5-14.2 48-32 48-32V32c-32 0-58.8 8.3-96.9 27.3-38 18.9-66.8 47.8-74.4 55.4-7.6 7.6-18.1 19.5-24.7 28.9s-5.3 20.1-5.3 20.1l-19.7 17-4-4c-2.3-2.3-6.2-2.3-8.5 0l-36.8 36.8c-2.3 2.3-2.3 6.2 0 8.5l59.4 59.4c2.3 2.3 6.2 2.3 8.5 0l36.8-36.8c2.3-2.3 2.3-6.2 0-8.5l-10.3-10.3 14.6-14.3c6.8-3.7 25.4-8.9 39.1-5.1l214.9 267.3c8.1 8.2 20.3 8.2 28.5 0l46.8-47.1c10.3-8 10.3-22.3 2.1-28.4z"}}]})(props);
};
function IoMdHand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M450.679 273.5c-14.585-14.577-36.054-15.89-50.639-1.312l-41.687 41.664c-10.852 10.836-23.93 10.859-31.564 1.852-5.057-5.968-3.061-24.374-1.644-36.049l20.907-171.849c1.867-15.353-9.07-30.185-24.43-32.051-15.358-1.867-29.322 9.939-31.191 25.289L267.37 236.021c-1.205 3.358-3.79 3.938-4.081-.582L255.44 60c0-15.465-12.542-28-28.014-28-15.473 0-28.015 12.535-28.015 28l-.552 176.752c.146 2.04-1.604 2.624-1.92.294L172.016 99.077c-2.75-15.219-17.323-26.203-32.548-23.453-15.227 2.748-25.339 18.187-22.591 33.403l22.193 161.455c.023 2.872-.941 4.513-2.308.831l-33.109-88.517c-5.18-14.572-21.196-23.065-35.776-17.889-14.579 5.177-22.201 22.061-17.023 36.631l58.042 189.625c.303 1.046.624 2.085.953 3.118l.121.39c.011.031.025.058.035.088C126.079 444.233 172.57 480 227.427 480c35.116 0 71.591-12.378 99.357-33.672l.003-.002c29.99-18.051 126.071-121.347 126.071-121.347 14.587-14.577 12.408-36.899-2.179-51.479z"}}]})(props);
};
function IoMdHappy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C140.563 48 48 141.6 48 256s92.563 208 208 208 208-93.6 208-208S370.401 48 256 48zm0 374.4c-91.518 0-166.404-74.883-166.404-166.4 0-91.518 74.887-166.4 166.404-166.4S422.404 164.482 422.404 256 347.518 422.4 256 422.4zm72.8-187.2c17.683 0 31.201-13.518 31.201-31.2s-13.519-31.2-31.201-31.2c-17.682 0-31.2 13.518-31.2 31.2s13.518 31.2 31.2 31.2zm-145.6 0c17.682 0 31.2-13.518 31.2-31.2s-13.519-31.2-31.2-31.2c-17.683 0-31.201 13.518-31.201 31.2s13.519 31.2 31.201 31.2zM256 370.4c48.883 0 89.436-30.164 106.081-72.801H149.919C166.564 340.236 207.117 370.4 256 370.4z"}}]})(props);
};
function IoMdHeadset (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C150 48 64 136.2 64 245.1v153.3c0 36.3 28.6 65.7 64 65.7h64V288h-85.3v-42.9c0-84.7 66.8-153.3 149.3-153.3s149.3 68.5 149.3 153.3V288H320v176h64c35.4 0 64-29.3 64-65.7V245.1C448 136.2 362 48 256 48z"}}]})(props);
};
function IoMdHeartDislike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M51.9 76.6l25 25c-18.1 20.3-29 47.3-29 77.6 0 79.5 70.7 143.3 177.8 241.7L256 448l30.2-27.2c20.6-18.9 39.9-36.6 57.5-53.3l92.2 92 24-24-383.8-383-24.2 24.1zM464 179.1C464 114.2 414.1 64 349.6 64c-36.4 0-70.7 16.7-93.6 43.9C233.1 80.7 198.8 64 162.4 64c-8.4 0-16.5.9-24.3 2.5l253.7 253.1C437.3 270.9 464 228 464 179.1z"}}]})(props);
};
function IoMdHeartEmpty (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M349.6 64c-36.4 0-70.7 16.7-93.6 43.9C233.1 80.7 198.8 64 162.4 64 97.9 64 48 114.2 48 179.1c0 79.5 70.7 143.3 177.8 241.7L256 448l30.2-27.2C393.3 322.4 464 258.6 464 179.1 464 114.2 414.1 64 349.6 64zm-80.8 329.3l-4.2 3.9-8.6 7.8-8.6-7.8-4.2-3.9c-50.4-46.3-94-86.3-122.7-122-28-34.7-40.4-63.1-40.4-92.2 0-22.9 8.4-43.9 23.7-59.3 15.2-15.4 36-23.8 58.6-23.8 26.1 0 52 12.2 69.1 32.5l24.5 29.1 24.5-29.1c17.1-20.4 43-32.5 69.1-32.5 22.6 0 43.4 8.4 58.7 23.8 15.3 15.4 23.7 36.5 23.7 59.3 0 29-12.5 57.5-40.4 92.2-28.8 35.7-72.3 75.7-122.8 122z"}}]})(props);
};
function IoMdHeartHalf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M349.6 64c-36.4 0-70.7 16.7-93.6 43.9C233.1 80.7 198.8 64 162.4 64 97.9 64 48 114.2 48 179.1c0 79.5 70.7 143.3 177.8 241.7L256 448l30.2-27.2C393.3 322.4 464 258.6 464 179.1 464 114.2 414.1 64 349.6 64zM256 406V157.7l24.5-29.1c17.1-20.4 43-32.5 69.1-32.5 22.6 0 43.4 8.4 58.7 23.8 15.3 15.4 23.7 36.5 23.7 59.3 0 29-12.5 57.5-40.4 92.2C362.8 307 306.4 359.7 256 406z"}}]})(props);
};
function IoMdHeart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 448l-30.164-27.211C118.718 322.442 48 258.61 48 179.095 48 114.221 97.918 64 162.4 64c36.399 0 70.717 16.742 93.6 43.947C278.882 80.742 313.199 64 349.6 64 414.082 64 464 114.221 464 179.095c0 79.516-70.719 143.348-177.836 241.694L256 448z"}}]})(props);
};
function IoMdHelpBuoy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48zm61 356l-12.2-39.6c13-5.8 24.9-14 35.3-24.4 10.4-10.4 18.6-22.3 24.4-35.3l39.5 12.1c-7.9 19.3-19.7 37-34.9 52.2-15.1 15.3-32.8 27.1-52.1 35zM195 108l12.2 39.6c-13 5.8-24.9 14-35.3 24.4-10.4 10.4-18.6 22.3-24.4 35.3L108 195.2c7.9-19.3 19.7-37 34.9-52.2 15.1-15.3 32.8-27.1 52.1-35zm61 84c35.3 0 64 28.7 64 64s-28.7 64-64 64-64-28.7-64-64 28.7-64 64-64zm113.1-49.1c15.2 15.2 26.9 32.9 34.9 52.1l-39.5 12.2c-5.9-13-14-24.9-24.4-35.3-10.4-10.4-22.3-18.6-35.3-24.4l12.1-39.5c19.3 7.9 37 19.7 52.2 34.9zM142.9 369.1c-15.2-15.1-27-32.8-34.9-52.1l39.5-12.2c5.9 13 14 24.9 24.4 35.3 10.4 10.4 22.3 18.6 35.3 24.4L195.1 404c-19.3-7.9-37-19.7-52.2-34.9z"}}]})(props);
};
function IoMdHelpCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 90c44.3 0 86 17.3 117.4 48.6C404.7 170 422 211.7 422 256s-17.3 86-48.6 117.4C342 404.7 300.3 422 256 422s-86-17.3-117.4-48.6C107.3 342 90 300.3 90 256s17.3-86 48.6-117.4C170 107.3 211.7 90 256 90m0-42C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48z"}},{"tag":"path","attr":{"d":"M235 339h42v42h-42zM276.8 318h-41.6c0-67 62.4-62.2 62.4-103.8 0-22.9-18.7-41.7-41.6-41.7S214.4 192 214.4 214h-41.6c0-46 37.2-83 83.2-83s83.2 37.1 83.2 83.1c0 52-62.4 57.9-62.4 103.9z"}}]})(props);
};
function IoMdHelpCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.2 48 48 141.2 48 256s93.2 208 208 208 208-93.2 208-208S370.8 48 256 48zm21 333h-42v-42h42v42zm-.2-63h-41.6c0-67 62.4-62.2 62.4-103.8 0-22.9-18.7-41.7-41.6-41.7S214.4 192 214.4 214h-41.6c0-46 37.2-83 83.2-83s83.2 37.1 83.2 83.1c0 52-62.4 57.9-62.4 103.9z"}}]})(props);
};
function IoMdHelp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M289 448h-66v-65h66v65zm-1-98h-64c0-101 96-95.1 96-159 0-35.2-28.8-63.4-64-63.4S192 158 192 192h-64c0-71 57.3-128 128-128s128 56.4 128 127c0 79.9-96 89-96 159z"}}]})(props);
};
function IoMdHome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M208 448V320h96v128h97.6V256H464L256 64 48 256h62.4v192z"}}]})(props);
};
function IoMdHourglass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 48v122.8h.2l-.2.2 85.3 85-85.3 85.2.2.2h-.2V464h256V341.4h-.2l.2-.2-85.3-85.2 85.3-85-.2-.2h.2V48H128zm213.3 303.9v71.5H170.7v-71.5l85.3-85.2 85.3 85.2zM256 245.4l-85.3-85.2V87.6h170.7v72.5L256 245.4z"}}]})(props);
};
function IoMdIceCream (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128.1 256l128 224 128-224zM392 161c3-9 4.7-22.7 4.7-32.9 0-53.1-43-96.1-96.1-96.1-31.4 0-59.2 15-76.8 38.3 0 0-9.1 14-10.8 29l-3.4-1c-2.3-9-3.7-20 1.6-31.5-7.4-2.5-9.4-2.8-17.6-2.8-41.7 0-75.6 33.8-75.6 75.6 0 6.3.8 15.5 2.3 21.4-13.9 3.5-24.3 16.1-24.3 31 0 17.6 14.4 32 32 32h256c17.6 0 32-14.4 32-32 0-14.8-10.2-27.4-24-31z"}}]})(props);
};
function IoMdImage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 405.333V106.667C448 83.198 428.802 64 405.333 64H106.667C83.198 64 64 83.198 64 106.667v298.666C64 428.802 83.198 448 106.667 448h298.666C428.802 448 448 428.802 448 405.333zM181.333 288l53.334 64 74.666-96 96 128H106.667l74.666-96z"}}]})(props);
};
function IoMdImages (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M457.6 140.2l-82.5-4-4.8-53.8c-1-11.3-11.1-19.2-22.9-18.3L51.5 88.4c-11.8 1-20.3 10.5-19.4 21.7l21.2 235.8c1 11.3 11.2 19.2 22.9 18.3l15-1.2-2.4 45.8c-.6 12.6 9.2 22.8 22.4 23.5L441.3 448c13.2.6 24.1-8.6 24.8-21.2L480 163.5c.6-12.5-9.3-22.7-22.4-23.3zm-354.9 5.3l-7.1 134.8L78.1 305 62 127v-.5-.5c1-5 4.4-9 9.6-9.4l261-21.4c5.2-.4 9.7 3 10.5 7.9 0 .2.3.2.3.4 0 .1.3.2.3.4l2.7 30.8-219-10.5c-13.2-.4-24.1 8.8-24.7 21.3zm334 236.9l-84.8-99.5-37.4 34.3-69.2-80.8-122.7 130.7L133 168v-.4c1-5.4 6.2-9.3 11.9-9l291.2 14c5.8.3 10.3 4.7 10.4 10.2 0 .2.3.3.3.5l-10.1 199.1z"}},{"tag":"path","attr":{"d":"M384 256c17.6 0 32-14.4 32-32s-14.3-32-32-32c-17.6 0-32 14.3-32 32s14.3 32 32 32z"}}]})(props);
};
function IoMdInfinite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M434.7 188c-18.8-18-43.8-28-70.5-28-26.6 0-51.6 9.9-70.4 27.9l-17.6 15.9 33.1 32.1 17-15.4.1-.1c10.1-9.6 23.5-15 37.7-15 14.2 0 27.6 5.3 37.7 14.9 10 9.6 15.4 22.3 15.4 35.8 0 13.5-5.5 26.1-15.4 35.6-10.1 9.6-23.5 15-37.7 15s-27.6-5.3-37.7-14.9L218.2 188c-18.9-18-43.9-28-70.4-28-26.7 0-51.7 9.9-70.5 28C58.4 206.1 48 230.2 48 256c0 25.7 10.4 49.9 29.3 68 18.8 18 43.8 28 70.5 28 26.7 0 51.7-9.9 70.4-28l37.8-36.1 37.7 36.1c18.9 18 43.9 28 70.4 28 26.7 0 51.7-9.9 70.4-27.9 19-18.1 29.4-42.2 29.4-68 .1-25.8-10.3-50-29.2-68.1zM185.5 291.7c-10.1 9.6-23.5 15-37.7 15-14.2 0-27.6-5.3-37.7-14.9-10-9.6-15.4-22.3-15.4-35.8 0-13.5 5.5-26.1 15.4-35.6 10.1-9.6 23.5-15 37.7-15 14.2 0 27.6 5.3 37.7 14.9l37.4 35.8-37.4 35.6z"}}]})(props);
};
function IoMdInformationCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 90c44.3 0 86 17.3 117.4 48.6C404.7 170 422 211.7 422 256s-17.3 86-48.6 117.4C342 404.7 300.3 422 256 422s-86-17.3-117.4-48.6C107.3 342 90 300.3 90 256s17.3-86 48.6-117.4C170 107.3 211.7 90 256 90m0-42C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48z"}},{"tag":"path","attr":{"d":"M277 360h-42V235h42v125zm0-166h-42v-42h42v42z"}}]})(props);
};
function IoMdInformationCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.2 48 48 141.2 48 256s93.2 208 208 208 208-93.2 208-208S370.8 48 256 48zm21 312h-42V235h42v125zm0-166h-42v-42h42v42z"}}]})(props);
};
function IoMdInformation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M232 235h48v137h-48zM232 140h48v48h-48z"}}]})(props);
};
function IoMdJet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 32s-23.4-.7-59.3 27.1C404 72 244.9 186.8 244.9 186.8l-168.8-4.2L32 222l109.8 55.2-8.6 10.8-87.9.1-7.2 40.5 63.1 48.7-26.6 59.8 60-26.4 48.7 63.1 40.5-7.2.1-87.8 10.9-8.5L290.1 480l39.3-44.1-4.2-168.7S440.1 108.2 453 91.6C480.7 55.5 480 32 480 32z"}}]})(props);
};
function IoMdJournal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M117.3 42.7c-17.6 0-32 14.4-32 32v362.7c0 17.6 14.4 32 32 32H320V42.7H117.3zM384.7 42.7H368v426.7h16.7c23.1 0 42-18.9 42-42V84.7c0-23.1-18.9-42-42-42z"}}]})(props);
};
function IoMdKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M249.2 224c-14.2-40.2-55.1-72-100.2-72-57.2 0-101 46.8-101 104s45.8 104 103 104c45.1 0 84.1-31.8 98.2-72H352v64h69.1v-64H464v-64H249.2zm-97.6 66.5c-19 0-34.5-15.5-34.5-34.5s15.5-34.5 34.5-34.5 34.5 15.5 34.5 34.5-15.5 34.5-34.5 34.5z"}}]})(props);
};
function IoMdKeypad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 398.5c-22.3 0-40.5 18.3-40.5 40.7 0 22.4 18.2 40.7 40.5 40.7s40.5-18.3 40.5-40.7c0-22.3-18.2-40.7-40.5-40.7zM136.5 32C114.2 32 96 50.3 96 72.7s18.2 40.7 40.5 40.7S177 95.1 177 72.7 158.8 32 136.5 32zm0 122.2c-22.3 0-40.5 18.3-40.5 40.7s18.2 40.7 40.5 40.7 40.5-18.3 40.5-40.7-18.2-40.7-40.5-40.7zm0 122.2c-22.3 0-40.5 18.3-40.5 40.7 0 22.4 18.2 40.7 40.5 40.7s40.5-18.3 40.5-40.7c0-22.4-18.2-40.7-40.5-40.7zm239-162.9c22.3 0 40.5-18.3 40.5-40.7S397.8 32 375.5 32 335 50.3 335 72.7s18.2 40.8 40.5 40.8zM256 276.4c-22.3 0-40.5 18.3-40.5 40.7 0 22.4 18.2 40.7 40.5 40.7s40.5-18.3 40.5-40.7c0-22.4-18.2-40.7-40.5-40.7zm119.5 0c-22.3 0-40.5 18.3-40.5 40.7 0 22.4 18.2 40.7 40.5 40.7s40.5-18.3 40.5-40.7c0-22.4-18.2-40.7-40.5-40.7zm0-122.2c-22.3 0-40.5 18.3-40.5 40.7s18.2 40.7 40.5 40.7 40.5-18.3 40.5-40.7-18.2-40.7-40.5-40.7zm-119.5 0c-22.3 0-40.5 18.3-40.5 40.7s18.2 40.7 40.5 40.7 40.5-18.3 40.5-40.7-18.2-40.7-40.5-40.7zM256 32c-22.3 0-40.5 18.3-40.5 40.7s18.2 40.7 40.5 40.7 40.5-18.3 40.5-40.7S278.3 32 256 32z"}}]})(props);
};
function IoMdLaptop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M437.334 416C460.803 416 480 396.803 480 373.334V106.668C480 83.199 460.803 64 437.334 64H74.666C51.197 64 32 83.199 32 106.668v266.666C32 396.803 51.197 416 74.666 416H0c0 23.469 64 32 96 32h320c32 0 96-8.531 96-32h-74.666zM74.666 106.668h362.668v271.998H74.666V106.668zM256 434.666c-11.729 0-21.333-9.604-21.333-21.334 0-11.729 9.604-21.332 21.333-21.332s21.333 9.604 21.333 21.332c0 11.73-9.604 21.334-21.333 21.334z"}}]})(props);
};
function IoMdLeaf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 287.6C416 120.9 256 32 256 32S96 120.9 96 287.6c0 118.8 81.3 140.5 128 143.2V480h64v-49.3c46.7-2.6 128-24.3 128-143.1z"}}]})(props);
};
function IoMdLink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M74.6 256c0-38.3 31.1-69.4 69.4-69.4h88V144h-88c-61.8 0-112 50.2-112 112s50.2 112 112 112h88v-42.6h-88c-38.3 0-69.4-31.1-69.4-69.4zm85.4 22h192v-44H160v44zm208-134h-88v42.6h88c38.3 0 69.4 31.1 69.4 69.4s-31.1 69.4-69.4 69.4h-88V368h88c61.8 0 112-50.2 112-112s-50.2-112-112-112z"}}]})(props);
};
function IoMdListBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M408 64H104c-22.091 0-40 17.908-40 40v304c0 22.092 17.909 40 40 40h304c22.092 0 40-17.908 40-40V104c0-22.092-17.908-40-40-40zM304 368H144v-48h160v48zm64-88H144v-48h224v48zm0-88H144v-48h224v48z"}}]})(props);
};
function IoMdList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M80 280h256v48H80zM80 184h320v48H80zM80 88h352v48H80z"}},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"d":"M80 376h288v48H80z"}}]}]})(props);
};
function IoMdLocate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 176c-44.004 0-80.001 36-80.001 80 0 44.004 35.997 80 80.001 80 44.005 0 79.999-35.996 79.999-80 0-44-35.994-80-79.999-80zm190.938 58.667c-9.605-88.531-81.074-160-169.605-169.599V32h-42.666v33.067c-88.531 9.599-160 81.068-169.604 169.599H32v42.667h33.062c9.604 88.531 81.072 160 169.604 169.604V480h42.666v-33.062c88.531-9.604 160-81.073 169.605-169.604H480v-42.667h-33.062zM256 405.333c-82.137 0-149.334-67.198-149.334-149.333 0-82.136 67.197-149.333 149.334-149.333 82.135 0 149.332 67.198 149.332 149.333S338.135 405.333 256 405.333z"}}]})(props);
};
function IoMdLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M376 186h-20v-40c0-55-45-100-100-100S156 91 156 146v40h-20c-22.002 0-40 17.998-40 40v200c0 22.002 17.998 40 40 40h240c22.002 0 40-17.998 40-40V226c0-22.002-17.998-40-40-40zM256 368c-22.002 0-40-17.998-40-40s17.998-40 40-40 40 17.998 40 40-17.998 40-40 40zm62.002-182H193.998v-40c0-34.004 28.003-62.002 62.002-62.002 34.004 0 62.002 27.998 62.002 62.002v40z"}}]})(props);
};
function IoMdLogIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48c-42.9 0-84.2 13-119.2 37.5-34.2 24-60.2 57.2-75.1 96.1L58 192h45.7l1.9-5c8.2-17.8 19.4-33.9 33.5-48 31.2-31.2 72.7-48.4 116.9-48.4s85.7 17.2 116.9 48.4c31.2 31.2 48.4 72.7 48.4 116.9 0 44.1-17.2 85.7-48.4 116.9-31.2 31.2-72.7 48.4-116.9 48.4-44.1 0-85.6-17.2-116.9-48.4-14-14-25.3-30.1-33.5-47.9l-1.9-5H58l3.6 10.4c14.9 38.9 40.9 72.1 75.1 96.1C171.8 451.1 213 464 256 464c114.7 0 208-93.3 208-208S370.7 48 256 48z"}},{"tag":"path","attr":{"d":"M48 277.4h189.7l-43.6 44.7L224 352l96-96-96-96-31 29.9 44.7 44.7H48v42.8z"}}]})(props);
};
function IoMdLogOut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M192 277.4h189.7l-43.6 44.7L368 352l96-96-96-96-31 29.9 44.7 44.7H192v42.8z"}},{"tag":"path","attr":{"d":"M255.7 421.3c-44.1 0-85.5-17.2-116.7-48.4-31.2-31.2-48.3-72.7-48.3-116.9 0-44.1 17.2-85.7 48.3-116.9 31.2-31.2 72.6-48.4 116.7-48.4 44 0 85.3 17.1 116.5 48.2l30.3-30.3c-8.5-8.4-17.8-16.2-27.7-23.2C339.7 61 298.6 48 255.7 48 141.2 48 48 141.3 48 256s93.2 208 207.7 208c42.9 0 84-13 119-37.5 10-7 19.2-14.7 27.7-23.2l-30.2-30.2c-31.1 31.1-72.5 48.2-116.5 48.2zM448.004 256.847l-.849-.848.849-.849.848.849z"}}]})(props);
};
function IoMdMagnet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M383.6 98.8C352.1 65.8 308 48.2 256 48c-51.9.2-96 17.8-127.5 50.8C96.8 132 80 178.8 80 234c0 43.5 1.8 69.2 12.9 115.8 0 0 22.7 75.7 35.5 104.1 3.5 7.8 7.4 11.8 15.5 9.3 6.4-2 46.8-17.9 54.7-21.6 7.9-3.6 11.6-8.6 8.9-15.2-3.8-9.2-33.9-95.6-33.9-95.6-8.4-36.3-11.6-53.9-11.6-94.3 0-28.2 9.8-54.1 27.7-72.9 17.5-18.3 41-28.4 66.3-28.4s48.8 10.1 66.3 28.4c17.9 18.8 27.7 44.6 27.7 72.8 0 40-3.2 64-11.7 94.4s-32.2 90.1-33.9 95.6c-1.7 5.6 2.1 12.5 8.9 15.2 6.8 2.7 49.3 19.6 54.7 21.6 5.4 2 10.6.6 14.5-7.7 4-8.3 24.6-61.4 36.5-105.7 12-44.3 13-72.3 13-115.8 0-55.2-16.7-101.9-48.4-135.2zM173.1 419.7l-22.9 9.6c-6.9-16.3-17.2-43.2-25.9-77.2l22-6.5 26.8 74.1zm188.6 9.6l-22.9-9.6c7.2-16.6 19.1-45.1 26.6-74.1l22 6.5c-8.4 33.9-18.7 60.9-25.7 77.2z"}}]})(props);
};
function IoMdMailOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 201.667c0-14.933-7.469-28.803-20.271-36.266L256 64 52.271 165.401C40.531 172.864 32 186.734 32 201.667v203.666C32 428.802 51.197 448 74.666 448h362.668C460.803 448 480 428.802 480 405.333V201.667zM256 304L84.631 192 256 106.667 427.369 192 256 304z"}}]})(props);
};
function IoMdMailUnread (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"circle","attr":{"cx":"432","cy":"128","r":"64"}},{"tag":"path","attr":{"d":"M382.9 203.4L256 288 80 170.7V128l176 117.3 101.1-67.4c-9.5-14.3-15.1-31.5-15.1-49.9 0-17.6 5.1-34.1 13.9-48H74.7C51.2 80 32 99.2 32 122.7v266.7c0 23.5 19.2 42.7 42.7 42.7h362.7c23.5 0 42.7-19.2 42.7-42.7V204.1c-13.9 8.8-30.4 13.9-48 13.9-18.2 0-35.1-5.4-49.2-14.6z"}}]})(props);
};
function IoMdMail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M437.332 80H74.668C51.199 80 32 99.198 32 122.667v266.666C32 412.802 51.199 432 74.668 432h362.664C460.801 432 480 412.802 480 389.333V122.667C480 99.198 460.801 80 437.332 80zM432 170.667L256 288 80 170.667V128l176 117.333L432 128v42.667z"}}]})(props);
};
function IoMdMale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 48H288v48h94.1L275.4 202.6C251.9 185.9 223.1 176 192 176c-79.5 0-144 64.5-144 144s64.5 144 144 144 144-64.5 144-144c0-31.1-9.9-59.9-26.6-83.4L416 129.9V224h48V48h-48zM192 416c-52.9 0-96-43.1-96-96s43.1-96 96-96 96 43.1 96 96-43.1 96-96 96z"}}]})(props);
};
function IoMdMan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 106.6c20.6.1 37.3-16.6 37.3-37.3 0-20.6-16.7-37.3-37.3-37.3-20.6 0-37.3 16.7-37.3 37.3 0 20.6 16.7 37.3 37.3 37.3zM293.4 115h-74.8c-28.2 0-46.6 24.8-46.6 48.4V277c0 22 31 22 31 0V172h6v285.6c0 30.4 42 29.4 43 0V293h8v164.7c1.7 31.2 43 28.2 43-.1V172h5v105c0 22 32 22 32 0V163.4c0-23.5-18.5-48.4-46.6-48.4z"}}]})(props);
};
function IoMdMap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M437.333 64c-2.176 0-4.396 1.369-9.176 3.207L320 108.802 192 64 71.469 104.531C67.197 105.604 64 109.864 64 115.197v322.136C64 443.729 68.271 448 74.666 448c1.828 0 6.505-2.33 9.087-3.319L192 403.197 320 448l120.531-40.531c4.271-1.073 7.469-5.334 7.469-10.667V74.666C448 68.271 443.729 64 437.333 64zM320 405.333l-128-44.802V106.666l128 44.803v253.864z"}}]})(props);
};
function IoMdMedal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M273.5 152.1H48l54.1-103.9h240.7z"}},{"tag":"circle","attr":{"cx":"256.2","cy":"377.2","r":"86.6"}},{"tag":"path","attr":{"d":"M348.9 299.1l115.1-147-69.3-103.9L256.4 256c32.3 0 62.7 12.7 85.5 35.5 2.5 2.5 4.8 5 7 7.6zM205.8 266.6L152.3 186H48.4l90.1 161.5c5.2-21.2 16.1-40.6 32-56.4 10.4-10.3 22.3-18.6 35.3-24.5z"}}]})(props);
};
function IoMdMedical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M351.9 256L460 193.6l-48-83.2-108 62.4V48h-96v124.8l-108-62.4-48 83.2L160.1 256 52 318.4l48 83.2 108-62.4V464h96V339.2l108 62.4 48-83.2z"}}]})(props);
};
function IoMdMedkit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 144v-39.6C352 82 334 64 311.6 64H200.4C178 64 160 82 160 104.4V144H48v263.6C48 430 66 448 88.4 448h335.2c22.4 0 40.4-18 40.4-40.4V144H352zm-152-40h112v40H200v-40zm136 224h-56v56h-48v-56h-56v-48h56v-56h48v56h56v48z"}}]})(props);
};
function IoMdMegaphone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M382.1 143.4l-23.1 23c14.7 14.7 23.9 35.2 23.9 57.6s-9.2 42.9-23.9 57.6l23.1 23.1c20.6-20.6 33.4-49.2 33.4-80.6s-12.8-60.1-33.4-80.7z"}},{"tag":"path","attr":{"d":"M428.2 99l-22.7 22.7c26.1 26.1 42.3 62.4 42.3 102.3 0 39.8-16.1 76.1-42.3 102.3l22.7 22.7c31.9-32.1 51.8-76.3 51.8-125s-19.8-92.9-51.8-125zM320 184.1V80h-32l-96 80H64l-32 16v112l32 16 80 128h48l-30-128h30l96 64h32V263.9c18.4-1.7 32-18.9 32-39.9s-13.6-38.2-32-39.9z"}}]})(props);
};
function IoMdMenu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 384h384v-42.666H64V384zm0-106.666h384v-42.667H64v42.667zM64 128v42.665h384V128H64z"}}]})(props);
};
function IoMdMicOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M367.951 354.654l-26.616-26.562-9.568-9.548-4.698-4.706L187 174.041v.346L76.112 63.531 51.921 87.572 187 222.47v28.816c0 37.79 31.121 68.714 68.91 68.714a68.6 68.6 0 0 0 24.565-4.545l32.389 32.274c-17.333 8.793-36.812 13.86-56.782 13.86-62.986 0-121.365-48.59-121.365-116.59H95.773C95.773 322 158 387.701 233 398.013V480h46v-81.987c22-3.352 43.066-11.222 61.627-22.622l95.278 95.078 24.033-24-33.847-33.785-58.216-57.959 58.224 57.959-58.148-58.03zM325 251.286V100.714C325 62.924 293.791 32 256 32s-69 30.924-69 68.714v25.244l137.109 136.968c.67-3.791.891-7.679.891-11.64zM416.439 245h-38.941c0 20.496-5.498 39.676-14.931 56.197l27.572 27.516c16.523-24.11 26.3-52.787 26.3-83.713zM459.999 446.427l-33.897-33.743 33.855 33.785z"}}]})(props);
};
function IoMdMic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 320c37.712 0 68.571-30.924 68.571-68.714V100.714C324.571 62.924 293.712 32 256 32s-68.571 30.924-68.571 68.714v150.572c0 37.79 30.859 68.714 68.571 68.714zm121.139-75.452c0 68.714-58.282 116.815-121.139 116.815s-121.139-48.102-121.139-116.815H96c0 77.873 61.719 143.153 137.144 153.465V480h45.713v-81.987C354.281 386.561 416 322.421 416 244.548h-38.861z"}}]})(props);
};
function IoMdMicrophone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M384 112V84.4c0-29-24.5-52.4-54.8-52.4H182.9C152.5 32 128 55.4 128 84.4V112h152v37H128v43h152v37H128v43h152v37H128v41.8c0 29 24.5 52.2 54.9 52.2H213v77h86v-77h30.2c30.3 0 54.8-23.2 54.8-52.2V309h-56v-37h56v-43h-56v-37h56v-43h-56v-37h56z"}}]})(props);
};
function IoMdMoon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M195 125c0-26.3 5.3-51.3 14.9-74.1C118.7 73 51 155.1 51 253c0 114.8 93.2 208 208 208 97.9 0 180-67.7 202.1-158.9-22.8 9.6-47.9 14.9-74.1 14.9-106 0-192-86-192-192z"}}]})(props);
};
function IoMdMore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M296 136c0-22.002-17.998-40-40-40s-40 17.998-40 40 17.998 40 40 40 40-17.998 40-40zm0 240c0-22.002-17.998-40-40-40s-40 17.998-40 40 17.998 40 40 40 40-17.998 40-40zm0-120c0-22.002-17.998-40-40-40s-40 17.998-40 40 17.998 40 40 40 40-17.998 40-40z"}}]})(props);
};
function IoMdMove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 256l-96-96v64h-96v-96h64l-96-96-96 96h64v96h-96v-64l-96 96 96 96v-64h96v96h-64l96 96 96-96h-64v-96h96v64z"}}]})(props);
};
function IoMdMusicalNote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 64v225.1c-12.6-7.3-27.1-11.7-42.7-11.7-47.1 0-85.3 38.2-85.3 85.3s38.2 85.3 85.3 85.3 85.3-38.2 85.3-85.3V149.3H384V64H256z"}}]})(props);
};
function IoMdMusicalNotes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M160 64v257.6c-8.2-2.7-17.2-4.1-26.6-4.1-38.3 0-69.4 27.1-69.4 65.4 0 38.3 31.1 65.1 69.4 65.1 38.3 0 69.6-28.2 69.6-69.1V200h202v121.6c-8.2-2.7-17.2-4.1-26.6-4.1-38.3 0-69.4 27.1-69.4 65.4 0 38.3 31.1 65.1 69.4 65.1 38.3 0 69.6-28.2 69.6-69.1V64H160zm245 96H203v-53h202v53z"}}]})(props);
};
function IoMdNavigate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 64L96 433.062 110.938 448 256 384l145.062 64L416 433.062z"}}]})(props);
};
function IoMdNotificationsOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 463.656c22.814 0 41.475-18.656 41.475-41.656h-82.95c0 23 18.661 41.656 41.475 41.656z"}},{"tag":"path","attr":{"d":"M131.083 107.172l.053.074L98.09 74.277 74.004 98.383l63.042 63.153C126.888 180.521 121 202.196 121 225.07v114.555l-41 41.656V402h297.743l36.182 36.33 24.079-24.301L425.9 402h.316L131.083 107.172zM391 225.07c0-63.526-45-117.677-104-131.218V79.274c0-17.706-13.371-31.243-31-31.243-17.628 0-31 13.537-31 31.243v14.578c-15 3.438-29.048 9.501-41.75 17.663L391 319.355V225.07z"}}]})(props);
};
function IoMdNotificationsOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M257 120.471c7.083 0 23.911 4.479 23.911 4.479 45.589 10.447 77.678 52.439 77.678 99.85V352.412l9.321 9.364 7.788 7.823H136.302l7.788-7.823 9.321-9.364V224.8c0-47.41 32.089-89.403 77.678-99.85 0 0 18.043-4.479 23.911-4.479M256 48c-17.602 0-31.059 13.518-31.059 31.2v14.559c-59.015 13.523-103.53 67.601-103.53 131.041v114.4L80 380.8v20.8h352v-20.8l-41.411-41.6V224.8c0-63.44-44.516-117.518-103.53-131.041V79.2c0-17.682-13.457-31.2-31.059-31.2zm41.411 374.4h-82.823c0 22.881 18.633 41.6 41.412 41.6s41.411-18.719 41.411-41.6z"}}]})(props);
};
function IoMdNotifications (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 464c22.779 0 41.411-18.719 41.411-41.6h-82.823c0 22.881 18.633 41.6 41.412 41.6zm134.589-124.8V224.8c0-63.44-44.516-117.518-103.53-131.041V79.2c0-17.682-13.457-31.2-31.059-31.2s-31.059 13.518-31.059 31.2v14.559c-59.015 13.523-103.53 67.601-103.53 131.041v114.4L80 380.8v20.8h352v-20.8l-41.411-41.6z"}}]})(props);
};
function IoMdNuclear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M336 272c0-29.8-16.3-55.7-40.4-69.5l73.1-124.1C335.6 59.1 297.1 48 256 48c-41.2 0-79.9 11.2-113.1 30.6l71.6 125C191.4 217.6 176 243 176 272H32c0 83.3 46.9 153.4 114.4 192l70.1-122.4c11.7 6.6 25.1 10.4 39.5 10.4 14.3 0 27.7-3.8 39.3-10.3L365.6 464C433.1 425.4 480 355.3 480 272H336z"}}]})(props);
};
function IoMdNutrition (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M357.2 235.6L274.7 153h-.8c-8.1-6-18.2-10.3-28.4-10.3-13.7 0-26.1 6.3-34.3 16.3h-.6L53 414.1v.8c-3 6.2-5 13.3-5 20.8 0 24.4 19.7 44.3 44.3 44.3 9.4 0 18-2.9 27.4-9.1l232.9-168.1c10.9-8.3 17.4-21.6 17.4-36 0-12-4.7-23.2-12.8-31.2zM464 145.1l-29.2-49-36.6 20.3 31.5-55.9L380.6 32l-67.3 127.8 41.3 41.4z"}}]})(props);
};
function IoMdOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405.34 405.332H106.66V106.668H240V64H106.66C83.191 64 64 83.197 64 106.668v298.664C64 428.803 83.191 448 106.66 448h298.68c23.469 0 42.66-19.197 42.66-42.668V272h-42.66v133.332zM288 64v42.668h87.474L159.999 322.133l29.866 29.866 215.476-215.47V224H448V64H288z"}}]})(props);
};
function IoMdOptions (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 384h272v32H32zM400 384h80v32h-80zM384 447.5c0 17.949-14.327 32.5-32 32.5-17.673 0-32-14.551-32-32.5v-95c0-17.949 14.327-32.5 32-32.5 17.673 0 32 14.551 32 32.5v95z"}},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"d":"M32 240h80v32H32zM208 240h272v32H208zM192 303.5c0 17.949-14.327 32.5-32 32.5-17.673 0-32-14.551-32-32.5v-95c0-17.949 14.327-32.5 32-32.5 17.673 0 32 14.551 32 32.5v95z"}}]},{"tag":"g","attr":{},"child":[{"tag":"path","attr":{"d":"M32 96h272v32H32zM400 96h80v32h-80zM384 159.5c0 17.949-14.327 32.5-32 32.5-17.673 0-32-14.551-32-32.5v-95c0-17.949 14.327-32.5 32-32.5 17.673 0 32 14.551 32 32.5v95z"}}]}]})(props);
};
function IoMdOutlet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M369.5 32H142.4C81.5 32 32 82.6 32 144.6v222.8c0 62 49.5 112.6 110.4 112.6h227.2c60.9 0 110.5-50.6 110.5-112.6V144.6C480 82.6 430.5 32 369.5 32zM175 251v.7c0 10.9-9.1 20.4-19.9 20.4h-23.3c-10.8 0-19.9-9.5-19.9-20.4V148.1c1-10.8 9.2-20.2 19.9-20.2h23.3c10.9 0 19.9 9.8 19.9 20.8V251zm122 147.4c0 11.4-8.9 17.6-20.1 17.6h-41.8c-11.2 0-20.1-8.1-20.1-19.6v-29.3c0-23.3 18.1-42.3 41-42.3s41 19 41 42.3v31.3zM400 251v.7c0 10.9-9.1 20.4-19.9 20.4h-24.3c-10.8 0-19.9-9.5-19.9-20.4V148.1c1-10.8 9.2-20.2 19.9-20.2h24.3c10.8 0 19.9 9.8 19.9 20.8V251z"}}]})(props);
};
function IoMdPaperPlane (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48 270.9l118.9 44.6L181.7 464 256 360l104 104L464 48 48 270.9zm294.9 126L260 313.4 374.9 152 193.6 289.8 124.9 265l291-156.2-73 288.1z"}}]})(props);
};
function IoMdPaper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M464 64H192c-8.8 0-16 7.7-16 16.5V112H74c-23.1 0-42 18.9-42 42v207.5c0 47.6 39 86.5 86 86.5h279.7c45.1 0 82.3-36.9 82.3-82V80c0-8.8-7.2-16-16-16zm-288 80v192h-42V163.2c0-6.8-.8-13.3-3.3-19.2H176zm-17 255.4C148 410 133.2 416 118.5 416c-14.5 0-28.1-5.7-38.5-16-10.3-10.3-16-24-16-38.5V163.2c0-10.6 8.4-19.2 19-19.2s19 8.6 19 19.2V352c0 8.8 7.2 16 16 16h57.5c-1.5 11.6-7.2 22.6-16.5 31.4zM448 366c0 13.3-5.4 25.8-14.9 35.3-9.5 9.5-22.2 14.7-35.4 14.7H187.3c12.8-14.9 20.7-33.9 20.7-54.5V97h240v269z"}},{"tag":"path","attr":{"d":"M248 136h160v56H248zM248 224h160v32H248zM248 288h160v32H248zM408 352H248s0 32-8 32h148.7c19.3 0 19.3-21 19.3-32z"}}]})(props);
};
function IoMdPartlySunny (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M248.03 116.81l24.679-24.678 19.233 19.234-24.678 24.677zM176 125.7c-45.3 0-82.3 37-82.3 82.3 0 17.5 5.5 33.7 14.9 47 15.3-13 33.9-22.6 54.7-27.6l13.2-16.6c13.6-17.1 30.7-30.2 50.8-38.9 6.1-2.6 12.4-4.8 19-6.6-14.5-23.7-40.6-39.6-70.3-39.6zM162 64h28v41h-28zM32 194h41v28H32zM81.6 276.8l-.8-.8-24.7 24.7 19.2 19.2 24.7-24.7zM79.289 92.13l24.678 24.678-19.233 19.233-24.678-24.678zM405.6 288.6C394.7 233.4 346.2 192 288 192c-34 0-65.1 11.9-86.5 38.8 29.4 2.2 56.7 13 77.8 33.9 15.6 15.6 26.6 34.6 32.1 55.3h-28.7c-13.1-37.3-48-64-90.6-64-5.1 0-12.3.6-17.7 1.7C128.6 267.1 96 305 96 352c0 53 43 96 96 96h208c44.2 0 80-35.8 80-80 0-42.2-32.8-76.5-74.4-79.4z"}}]})(props);
};
function IoMdPause (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96 448h106.7V64H96v384zM309.3 64v384H416V64H309.3z"}}]})(props);
};
function IoMdPaw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M459.5 165.9c-4.7-10.5-12.7-18.1-23.1-22-4.8-1.7-9.7-2.6-14.8-2.6-21.7 0-43.7 16.7-54.9 41.6-13.8 30.9-5.8 61 18.6 70.3 4.9 1.8 10.1 2.8 15.6 2.8 22.1 0 44.6-15.3 55.9-38.1 8.5-17.5 9.5-36.8 2.7-52zM145.3 182.8c-11.1-24.9-33.2-41.6-54.9-41.6-5.1 0-10.1.9-14.8 2.6-10.4 3.9-18.3 11.5-23.1 22-6.9 15.2-5.9 34.6 2.7 51.9 11.3 22.8 33.8 38.1 55.9 38.1 5.4 0 10.7-.9 15.6-2.8 24.4-9.1 32.4-39.3 18.6-70.2zM193.5 179.4c2 .1 4 0 6-.2 11.7-.9 22.3-5.9 30.6-14.3 13.4-13.6 17.1-34.9 14.3-56.8-4.3-33.7-25.8-59-54.8-60.1 0 0-4.1 0-6.2.2-12.8 1.1-24.4 6.5-33.5 15.9-13.3 13.6-19.7 33.7-17.1 53.8 4.3 33.4 30.9 60.4 60.7 61.5zM256 224c-69.3 0-138.7 97.1-138.7 176.3 0 23.6 11.8 42.6 23.5 50.4 14.4 9.6 24.5 13.4 45.5 13.4 13.4 0 21.6-2.5 28.1-6.1 12.3-6.7 25.9-10.4 39.9-10.4h3.5c14 0 27.6 3.8 39.9 10.4 6.5 3.5 14.7 6.1 28.1 6.1 21.1 0 31.2-3.8 45.5-13.4 11.6-7.8 23.5-26.8 23.5-50.4C394.7 321 325.3 224 256 224zM312.6 179.1c2 .2 4 .2 6 .2 29.8-1.1 56.5-28 60.8-61.5 2.6-20.2-3.8-40.4-17.1-53.8-9.2-9.3-20.3-14.6-33.1-15.6-2.1-.2-6.7-.2-6.7-.2-28.9 1.1-50.4 26.1-54.8 59.9-2.8 21.9.9 43.3 14.3 56.8 8.4 8.3 19 13.2 30.6 14.2z"}}]})(props);
};
function IoMdPeople (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M337.454 232c33.599 0 61.092-27.002 61.092-60 0-32.997-27.493-60-61.092-60s-61.09 27.003-61.09 60c0 32.998 27.491 60 61.09 60zm-162.908 0c33.599 0 61.09-27.002 61.09-60 0-32.997-27.491-60-61.09-60s-61.092 27.003-61.092 60c0 32.998 27.493 60 61.092 60zm0 44C126.688 276 32 298.998 32 346v54h288v-54c0-47.002-97.599-70-145.454-70zm162.908 11.003c-6.105 0-10.325 0-17.454.997 23.426 17.002 32 28 32 58v54h128v-54c0-47.002-94.688-58.997-142.546-58.997z"}}]})(props);
};
function IoMdPersonAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M304 256c52.805 0 96-43.201 96-96s-43.195-96-96-96-96 43.201-96 96 43.195 96 96 96zm0 48c-63.598 0-192 32.402-192 96v48h384v-48c0-63.598-128.402-96-192-96zM112 224v-64H80v64H16v32h64v64h32v-64h64v-32h-64z"}}]})(props);
};
function IoMdPerson (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 256c52.805 0 96-43.201 96-96s-43.195-96-96-96-96 43.201-96 96 43.195 96 96 96zm0 48c-63.598 0-192 32.402-192 96v48h384v-48c0-63.598-128.402-96-192-96z"}}]})(props);
};
function IoMdPhoneLandscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 358.856V153.143C480 130.512 461.674 112 439.272 112H72.728C50.326 112 32 130.512 32 153.143v205.713C32 381.488 50.326 400 72.728 400h366.545C461.674 400 480 381.488 480 358.856zM112 364V148h288v216H112z"}}]})(props);
};
function IoMdPhonePortrait (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M358.856 32H153.143C130.512 32 112 50.326 112 72.728v366.545C112 461.674 130.512 480 153.143 480h205.713C381.488 480 400 461.674 400 439.272V72.728C400 50.326 381.488 32 358.856 32zM364 400H148V112h216v288z"}}]})(props);
};
function IoMdPhotos (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M400 421.3V154.7c0-23.5-19.2-42.7-42.7-42.7H90.7C67.2 112 48 131.2 48 154.7v266.7c0 23.5 19.2 42.7 42.7 42.7h266.7c23.4-.1 42.6-19.3 42.6-42.8zM157.3 304l45.3 64 66.7-96 88 128H90.7l66.6-96z"}},{"tag":"path","attr":{"d":"M421.3 48H154.7C131.2 48 112 67.2 112 90.7V96h261.3c23.5 0 42.7 19.2 42.7 42.7V400h5.3c23.5 0 42.7-19.2 42.7-42.7V90.7c0-23.5-19.2-42.7-42.7-42.7z"}}]})(props);
};
function IoMdPie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32.6 256H256V32.6c-5-.4-10.6-.6-16-.6-114.9 0-208 93.1-208 208 0 5.4.2 11 .6 16z"}},{"tag":"path","attr":{"d":"M109.8 402.2C147.9 449.6 206.4 480 272 480c114.9 0 208-93.1 208-208 0-65.6-30.4-124.1-77.8-162.2C370.5 84.3 331 67.9 288 64.6V288H64.6c3.3 43 19.7 82.5 45.2 114.2z"}}]})(props);
};
function IoMdPin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32c-88.004 0-160 70.557-160 156.801C96 306.4 256 480 256 480s160-173.6 160-291.199C416 102.557 344.004 32 256 32zm0 212.801c-31.996 0-57.144-24.645-57.144-56 0-31.357 25.147-56 57.144-56s57.144 24.643 57.144 56c0 31.355-25.148 56-57.144 56z"}}]})(props);
};
function IoMdPint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 48l42.9 379.2c2.6 20.8 20.5 36.8 42.5 36.8h213.3c22 0 39.9-16 42.5-36.8L448 48H64zm327 124.8H121l-9.4-83.2h288.6l-9.2 83.2z"}}]})(props);
};
function IoMdPizza (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M407.2 130.4C360.7 111.5 309.8 102 256 102c-53.9 0-108.3 10.3-151.2 28-8.1 3.3-15.3 9-10.1 19.5S255.9 480 255.9 480l161-329.9c3.2-6.9.9-15.4-9.7-19.7zm-221 73.6c-18.7 0-32-14.3-32-32s13.3-32 32-32 32 14.3 32 32-13.3 32-32 32zM256 347c-18.7 0-32-14.3-32-32s13.3-32 32-32 32 14.3 32 32-13.3 32-32 32zm69.8-123c-18.7 0-32-14.3-32-32s13.3-32 32-32 32 14.3 32 32-13.3 32-32 32z"}},{"tag":"path","attr":{"d":"M436.9 66C384.7 45.4 320.3 32 256 32c-64.3 0-127.6 12.1-180.9 33.4C70.4 67.3 64 71 64 79.2l9.7 24.1c2.8 4.9 8.7 8.2 15.1 8.2 1.8 0 4.3-.3 7.3-1.5 49-18.9 103.1-29.6 160-29.6 56.9 0 115.2 11.6 160 29.6 3.6 1.4 5.6 1.5 7.3 1.5 6.6 0 12.2-3.3 15-8.1l9.8-24.1c-.2-7.3-5-10.8-11.3-13.3z"}}]})(props);
};
function IoMdPlanet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M135.7 151c-2.5 3-4.9 6-7.2 9.2 32.2 36.3 76.1 76.5 124.2 113.7 37.8 29.2 76.3 55.2 111.4 75.1 5.9 3.3 11.7 6.5 17.3 9.4 2.5-3 4.9-6 7.2-9.2 11.7-16.1 18.1-33.2 23.3-53.6.8-3.2 1.5-6.4 2.1-9.5 15.8-83-35.6-164.9-118.5-185.9-37-9.4-74.1-5.1-106.3 9.7-21.4 9.9-38.2 22.9-53.5 41.1z"}},{"tag":"path","attr":{"d":"M418.2 326.8c-4.1 11-7.4 17.5-7.4 17.5 18.2 21.1 24.6 33.9 31.9 46.4 2.4 4.1 7.4 13.1.9 12.4-1.7-.3-3.5-.7-5.5-1.3-21.3-5.4-51.2-18.7-84.3-37.4-35.8-20.3-74.9-46.7-113.3-76.3-51.1-39.5-97.5-82.3-130.6-120.5-15.3-17.6-27.6-34.2-35.7-47.9-2.4-4.1-3.9-6.3-5.6-10.4-2.5-6.2 5-5.1 7-4.6 14.9 3.8 35 9.9 58.2 23.8 0 0 4.3-4.8 13.9-11.4-22.8-15.4-44.6-27.7-65.2-35.5-23.1-8.8-41.1-6.8-47.5 3.7-12.2 19.9 14 72.3 65.3 132-21.5 86 30.6 173.3 116.5 195 41.1 10.4 82.4 3.9 116.8-15 38.1 17.6 72.1 28.6 96.9 34.9 23.9 6.1 40.4 5.5 46.8-4.9 11.1-18.2-12.1-51.8-59.1-100.5z"}}]})(props);
};
function IoMdPlayCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.2 48 48 141.2 48 256s93.2 208 208 208 208-93.2 208-208S370.8 48 256 48zm-41.6 301.6V162.4L339.2 256l-124.8 93.6z"}}]})(props);
};
function IoMdPlay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96 52v408l320-204L96 52z"}}]})(props);
};
function IoMdPodium (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 224h128v192H32zM192 128h128v288H192zM352 288h128v128H352z"}}]})(props);
};
function IoMdPower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M279.1 48h-46.2v231.1h46.2V48zm111.6 50.2L357.9 131c36.5 29.4 59.9 74.4 59.9 125 0 89.4-72.3 161.8-161.8 161.8S94.2 345.4 94.2 256c0-50.6 23.3-95.7 59.6-125.3l-32.6-32.6C76.4 136.3 48 192.7 48 256c0 114.9 93.1 208 208 208s208-93.1 208-208c0-63.3-28.4-119.7-73.3-157.8z"}}]})(props);
};
function IoMdPricetag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 64H257.6L76.5 251.6c-8 8-12.3 18.5-12.5 29-.3 11.3 3.9 22.6 12.5 31.2l123.7 123.6c8 8 20.8 12.5 28.8 12.5s22.8-3.9 31.4-12.5L448 256V96l-32-32zm-30.7 102.7c-21.7 6.1-41.3-10-41.3-30.7 0-17.7 14.3-32 32-32 20.7 0 36.8 19.6 30.7 41.3-2.9 10.3-11.1 18.5-21.4 21.4z"}}]})(props);
};
function IoMdPricetags (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M442 107v141L229.2 451.7c8 8 20.8 12.3 28.8 12.3s22.8-3.7 31.4-12.3L480 272V144l-38-37z"}},{"tag":"path","attr":{"d":"M384 48H224L44.3 235.6c-8 8-12 17.8-12.3 28.4-.3 11.3 3.7 23.3 12.3 31.9l123.8 123.6c8 8 20.8 12.5 28.8 12.5s22.7-3.9 31.3-12.5L416 240V80l-32-32zm-30.7 102.7c-21.7 6.1-41.3-10-41.3-30.7 0-17.7 14.3-32 32-32 20.7 0 36.8 19.6 30.7 41.3-2.9 10.3-11.1 18.5-21.4 21.4z"}}]})(props);
};
function IoMdPrint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M399.95 160h-287.9C76.824 160 48 188.803 48 224v138.667h79.899V448H384.1v-85.333H464V224c0-35.197-28.825-64-64.05-64zM352 416H160V288h192v128zm32.101-352H127.899v80H384.1V64z"}}]})(props);
};
function IoMdPulse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M428 269c-21.5 0-40.6 13.1-48.4 33h-41.2L307 221.3c-2.7-8.2-10.3-13.7-19-13.7h-.4c-8.8.2-16.4 6-18.8 14.5l-33.6 135.4-55.5-291.8C178 55.6 169.6 48 160 48c-9.5 0-16.9 6.2-19.4 16.2L90.3 302H32v40h74c9.2 0 17.2-6.2 19.4-15.2l30.7-160.6 54.1 282.1c1.5 8.8 8.9 15.1 18.6 15.7h1.2c9.3 0 16.9-5.3 19.2-13.5l40.2-162.9 15.5 40.7c2.7 8.2 10.3 13.7 19 13.7h56.4c8.3 19 27.1 31 47.6 31 13.9 0 26.9-5.6 36.8-15.8 9.8-10.1 15.2-23.3 15.2-37.2.1-28.6-22.7-51-51.9-51z"}}]})(props);
};
function IoMdQrScanner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96 124.2c0-6.9 5.2-12.2 12.2-12.2H176V64h-66.8C75.7 64 48 90.7 48 124.2V192h48v-67.8zM403.6 64H336v48h67.2c6.9 0 12.8 5.2 12.8 12.2V192h48v-67.8c0-33.5-27-60.2-60.4-60.2zM416 386.8c0 6.9-5.2 12.2-12.2 12.2H336v49h67.8c33.5 0 60.2-27.7 60.2-61.2V320h-48v66.8zM108.2 399c-6.9 0-12.2-5.2-12.2-12.2V320H48v66.8c0 33.5 27.7 61.2 61.2 61.2H176v-49h-67.8z"}}]})(props);
};
function IoMdQuote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96.4 416h77.1l50.9-96.6V96h-160v223.4h77.1L96.4 416zm224 0h77.1l50-96.6V96H288.4v223.4h82l-50 96.6z"}}]})(props);
};
function IoMdRadioButtonOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.601 48 48 141.601 48 256s93.601 208 208 208 208-93.601 208-208S370.399 48 256 48zm0 374.399c-91.518 0-166.399-74.882-166.399-166.399S164.482 89.6 256 89.6 422.4 164.482 422.4 256 347.518 422.399 256 422.399z"}}]})(props);
};
function IoMdRadioButtonOn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 152c-57.2 0-104 46.8-104 104s46.8 104 104 104 104-46.8 104-104-46.8-104-104-104zm0-104C141.601 48 48 141.601 48 256s93.601 208 208 208 208-93.601 208-208S370.399 48 256 48zm0 374.4c-91.518 0-166.4-74.883-166.4-166.4S164.482 89.6 256 89.6 422.4 164.482 422.4 256 347.518 422.4 256 422.4z"}}]})(props);
};
function IoMdRadio (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M73.8 141.9c-15.2 6-25.8 21.8-25.8 39.5v256c0 23.5 18.5 42.7 41.6 42.7h332.8c23.1 0 41.6-19.2 41.6-42.7v-256c0-23.7-18.5-42.7-41.6-42.7H179l171.8-71.3L336.7 32 73.8 141.9zM160 438c-35.4 0-64-28.6-64-64s28.6-64 64-64 64 28.6 64 64-28.6 64-64 64zm256-171.3h-32v-46.2h-44.8v46.2H96v-85.3h320v85.3z"}}]})(props);
};
function IoMdRainy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M139 400s-23 25.3-23 40.7c0 12.8 10.3 23.3 23 23.3s23-10.5 23-23.3c0-15.4-23-40.7-23-40.7zM217 368s-23 25.3-23 40.7c0 12.8 10.4 23.3 23 23.3 12.7 0 23-10.5 23-23.3 0-15.4-23-40.7-23-40.7zM295 400s-23 25.3-23 40.7c0 12.8 10.3 23.3 23 23.3 12.6 0 23-10.5 23-23.3 0-15.4-23-40.7-23-40.7zM373 368s-23 25.3-23 40.7c0 12.8 10.4 23.3 23 23.3 12.7 0 23-10.5 23-23.3 0-15.4-23-40.7-23-40.7zM393.2 161.2C380.5 96.6 323.9 48 256 48c-39.7 0-76 14-100.9 45.4 34.3 2.6 66.1 15.2 90.7 39.8 18.2 18.2 31 40.5 37.4 64.8h-33.5c-15.3-43.7-56-75-105.7-75-6 0-14.3.7-20.6 2C70 136 32 180.4 32 235.5 32 297.6 79.4 352 141.2 352h242.7c51.5 0 96.2-46 96.2-97.8-.1-49.4-38.4-89.6-86.9-93z"}}]})(props);
};
function IoMdRecording (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M369.8 160c-53.4 0-96.2 42.8-96.2 96 0 23.6 7.9 44.5 21.9 61.1h-78.8c14-16.6 21.9-37.5 21.9-61.1 0-53.2-42.9-96-96.2-96S46 202.8 46 256s42.9 96 96.2 96h227.5c53.4 0 96.2-42.8 96.2-96s-42.8-96-96.1-96zM142.2 317.1C108.1 317.1 81 290 81 256s27.1-61.1 61.2-61.1 61.2 27.1 61.2 61.1-27 61.1-61.2 61.1zm227.6 0c-34.1 0-61.2-27.1-61.2-61.1s27.1-61.1 61.2-61.1S431 222 431 256s-27.1 61.1-61.2 61.1z"}}]})(props);
};
function IoMdRedo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 337.2L83.8 352c22.9-69.7 88.7-117.8 166-117.8 42.8 0 81.5 15.7 111.8 41.1L282.5 352H480V160l-79.6 76.3c-40.4-35.2-92.8-56.8-150.7-56.8-101.5.1-187.3 66.2-217.7 157.7z"}}]})(props);
};
function IoMdRefreshCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.6 48 48 141.6 48 256s93.6 208 208 208 208-93.6 208-208S370.4 48 256 48zm112 194h-98l44.8-44.8C300.1 181.8 279.1 172 256 172c-46.2 0-84 37.8-84 84s37.8 84 84 84c34.9 0 65.3-21.2 77.6-52h29.8c-13.9 46.3-56.3 80-107.4 80-62.3 0-112-50.4-112-112s50.4-112 112-112c30.8 0 58.8 12.6 79.1 32.9L368 144v98z"}}]})(props);
};
function IoMdRefresh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 388c-72.597 0-132-59.405-132-132 0-72.601 59.403-132 132-132 36.3 0 69.299 15.4 92.406 39.601L278 234h154V80l-51.698 51.702C348.406 99.798 304.406 80 256 80c-96.797 0-176 79.203-176 176s78.094 176 176 176c81.045 0 148.287-54.134 169.401-128H378.85c-18.745 49.561-67.138 84-122.85 84z"}}]})(props);
};
function IoMdRemoveCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 90c44.3 0 86 17.3 117.4 48.6C404.7 170 422 211.7 422 256s-17.3 86-48.6 117.4C342 404.7 300.3 422 256 422s-86-17.3-117.4-48.6C107.3 342 90 300.3 90 256s17.3-86 48.6-117.4C170 107.3 211.7 90 256 90m0-42C141.1 48 48 141.1 48 256s93.1 208 208 208 208-93.1 208-208S370.9 48 256 48z"}},{"tag":"path","attr":{"d":"M363 277H149v-42h214v42z"}}]})(props);
};
function IoMdRemoveCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48C141.125 48 48 141.125 48 256s93.125 208 208 208 208-93.125 208-208S370.875 48 256 48zm107 229H149v-42h214v42z"}}]})(props);
};
function IoMdRemove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96 235h320v42H96z"}}]})(props);
};
function IoMdReorder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M96 348h320v36H96zM96 128h320v36H96zM96 200.7h320v35.6H96zM96 275.8h320v35.6H96z"}}]})(props);
};
function IoMdRepeat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M149.3 152h213.3v62.4l85.3-83.2L362.7 48v62.4h-256v124.8h42.7V152zm213.4 208H149.3v-62.4L64 380.8l85.3 83.2v-62.4h256V276.8h-42.7V360z"}}]})(props);
};
function IoMdResize (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M297.6 48l64.9 64.9-249.6 249.6L48 297.6V464h166.4l-64.9-64.9 249.6-249.6 64.9 64.9V48z"}}]})(props);
};
function IoMdRestaurant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M164.852 279.939l61.834-60.251L73.72 71.706c-33.626 32.764-33.626 86.677 0 119.44l91.132 88.793z"}},{"tag":"path","attr":{"d":"M312.389 241.88c33.636 14.802 80.283 4.232 113.91-29.593 41.222-40.165 49.909-98.303 17.363-128.96-31.465-31.71-91.131-23.245-132.354 16.921-34.718 33.825-45.566 79.276-30.374 110.986-47.739 47.568-211.552 207.173-211.552 207.173L99.759 448l149.71-145.866L399.177 448l30.374-29.593-149.709-145.869 32.547-30.658z"}}]})(props);
};
function IoMdReturnLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M432.8 136v96H122.3l84.4-86.2-33.2-33.8L32 256l141.5 144 33.2-33.8-84.4-86.2H480V136h-47.2z"}}]})(props);
};
function IoMdReturnRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 136v144h357.7l-84.4 86.2 33.2 33.8L480 256 338.5 112l-33.2 33.8 84.4 86.2H79.2v-96H32z"}}]})(props);
};
function IoMdReverseCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M440 96h-88l-32-32H192l-32 32H72c-22.1 0-40 17.9-40 40v272c0 22.1 17.9 40 40 40h368c22.1 0 40-17.9 40-40V136c0-22.1-17.9-40-40-40zm-72 171h-97.7l44.8-45.1c-14.7-15.4-35.7-25.5-58.8-25.5-46.2 0-84 37.8-84 84s37.8 84 84 84c35.5 0 66.2-21.5 78.2-53.5h29.6c-13.4 47-56.2 81.5-107.8 81.5-62.3 0-112-50.4-112-112s50.4-112 112-112c30.8 0 58.7 12.6 79 32.9l32.8-32.9V267z"}}]})(props);
};
function IoMdRewind (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M249.6 402V110L32 256l217.6 146zm12.8-146L480 402V110L262.4 256z"}}]})(props);
};
function IoMdRibbon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 32c-70.7 0-128 57.3-128 128s57.3 128 128 128 128-57.3 128-128S326.7 32 256 32zm0 208c-44.2 0-80-35.8-80-80s35.8-80 80-80 80 35.8 80 80-35.8 80-80 80zM193.7 307.4c-19.1-8.1-36.2-19.6-50.8-34.3-1.4-1.4-2.8-2.8-4.1-4.3L64 400h96l48 80 48-105.8 25.5-56.2c-8.4 1.3-16.9 2-25.5 2-21.6 0-42.5-4.2-62.3-12.6zM373.3 268.9c-1.3 1.4-2.7 2.9-4.1 4.3-14.6 14.6-31.7 26.2-50.7 34.2L294 361.2l-21.9 48.4L304 480l48-80h96l-74.7-131.1z"}}]})(props);
};
function IoMdRocket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 421.6c-18.1 0-33.2-6.8-42.9-10.9-5.4-2.3-11.3 1.8-10.9 7.6l3.5 51c.2 3.1 3.8 4.7 6.3 2.8l14.5-11c1.8-1.4 4.5-.9 5.7 1l20.5 32.1c1.5 2.4 5.1 2.4 6.6 0l20.5-32.1c1.2-1.9 3.9-2.4 5.7-1l14.5 11c2.5 1.9 6.1.3 6.3-2.8l3.5-51c.4-5.8-5.5-10-10.9-7.6-9.8 4.1-24.8 10.9-42.9 10.9z"}},{"tag":"path","attr":{"d":"M397.7 293.1l-48-49.1c0-158-93.2-228-93.2-228s-94.1 70-94.1 228l-48 49.1c-1.8 1.8-2.6 4.5-2.2 7.1L130.6 412c.9 5.7 7.1 8.5 11.8 5.4l67.1-45.4s20.7 20 47.1 20c26.4 0 46.1-20 46.1-20l67.1 45.4c4.6 3.1 10.8.3 11.8-5.4l18.5-111.9c.2-2.6-.6-5.2-2.4-7zM256.5 192c-17 0-30.7-14.3-30.7-32s13.8-32 30.7-32c17 0 30.7 14.3 30.7 32s-13.7 32-30.7 32z"}}]})(props);
};
function IoMdRose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M260.6 214.8c23.8-40.9 48-71.6 91.4-96.4 8.3-4.8 21.2-8 22.8-8.9C290.7 83.7 256 32 256 32s-34.7 51.7-120.5 76.5c5.8 3.4 16.5 6.5 30.7 13.7 34.5 17.4 62.5 51.3 94.4 92.6zM246.3 253.4C186.7 161.2 131.4 126.8 48 126.8c54.2 78.6 52 174.6 52 215.4 0 76.1 69.8 137.8 156 137.8 57.6 0 107.9-27.6 135-68.7-35.5-27.6-85.1-65.7-144.7-157.9zM464 126.8s-55.2-2.3-85.2 15.4c-43 25.5-74.4 61.3-95.4 103.2 38.8 52 73 87.9 95.4 109.4 10.7 10.2 19.8 18.2 27.5 24.5 3.7-11.8 5.8-24.3 5.8-37.2-.1-40.8-17.4-114.1 51.9-215.3z"}}]})(props);
};
function IoMdSad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 288c-45.443 0-83.675 26.076-102.205 64h204.41c-18.53-37.924-56.762-64-102.205-64z"}},{"tag":"path","attr":{"d":"M256 48C140.563 48 48 141.6 48 256s92.563 208 208 208 208-93.6 208-208S370.401 48 256 48zm0 374.4c-91.518 0-166.404-74.883-166.404-166.4 0-91.518 74.887-166.4 166.404-166.4S422.404 164.482 422.404 256 347.518 422.4 256 422.4z"}},{"tag":"path","attr":{"d":"M328.8 235.2c17.683 0 31.201-13.518 31.201-31.2s-13.519-31.2-31.201-31.2c-17.682 0-31.2 13.518-31.2 31.2s13.518 31.2 31.2 31.2zM183.2 235.2c17.682 0 31.2-13.518 31.2-31.2s-13.519-31.2-31.2-31.2c-17.683 0-31.201 13.518-31.201 31.2s13.519 31.2 31.201 31.2z"}}]})(props);
};
function IoMdSave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M362.7 64h-256C83 64 64 83.2 64 106.7v298.7c0 23.5 19 42.7 42.7 42.7h298.7c23.5 0 42.7-19.2 42.7-42.7v-256L362.7 64zM256 405.3c-35.4 0-64-28.6-64-64s28.6-64 64-64 64 28.6 64 64-28.6 64-64 64zM320 192H106.7v-85.3H320V192z"}}]})(props);
};
function IoMdSchool (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M113.5 281.2v85.3L256 448l142.5-81.5v-85.3L256 362.7l-142.5-81.5zM256 64L32 192l224 128 183.3-104.7v147.4H480V192L256 64z"}}]})(props);
};
function IoMdSearch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M337.509 305.372h-17.501l-6.571-5.486c20.791-25.232 33.922-57.054 33.922-93.257C347.358 127.632 283.896 64 205.135 64 127.452 64 64 127.632 64 206.629s63.452 142.628 142.225 142.628c35.011 0 67.831-13.167 92.991-34.008l6.561 5.487v17.551L415.18 448 448 415.086 337.509 305.372zm-131.284 0c-54.702 0-98.463-43.887-98.463-98.743 0-54.858 43.761-98.742 98.463-98.742 54.7 0 98.462 43.884 98.462 98.742 0 54.856-43.762 98.743-98.462 98.743z"}}]})(props);
};
function IoMdSend (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M48 448l416-192L48 64v149.333L346 256 48 298.667z"}}]})(props);
};
function IoMdSettings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M413.967 276.8c1.06-6.235 1.06-13.518 1.06-20.8s-1.06-13.518-1.06-20.8l44.667-34.318c4.26-3.118 5.319-8.317 2.13-13.518L418.215 115.6c-2.129-4.164-8.507-6.235-12.767-4.164l-53.186 20.801c-10.638-8.318-23.394-15.601-36.16-20.801l-7.448-55.117c-1.06-4.154-5.319-8.318-10.638-8.318h-85.098c-5.318 0-9.577 4.164-10.637 8.318l-8.508 55.117c-12.767 5.2-24.464 12.482-36.171 20.801l-53.186-20.801c-5.319-2.071-10.638 0-12.767 4.164L49.1 187.365c-2.119 4.153-1.061 10.399 2.129 13.518L96.97 235.2c0 7.282-1.06 13.518-1.06 20.8s1.06 13.518 1.06 20.8l-44.668 34.318c-4.26 3.118-5.318 8.317-2.13 13.518L92.721 396.4c2.13 4.164 8.508 6.235 12.767 4.164l53.187-20.801c10.637 8.318 23.394 15.601 36.16 20.801l8.508 55.117c1.069 5.2 5.318 8.318 10.637 8.318h85.098c5.319 0 9.578-4.164 10.638-8.318l8.518-55.117c12.757-5.2 24.464-12.482 36.16-20.801l53.187 20.801c5.318 2.071 10.637 0 12.767-4.164l42.549-71.765c2.129-4.153 1.06-10.399-2.13-13.518l-46.8-34.317zm-158.499 52c-41.489 0-74.46-32.235-74.46-72.8s32.971-72.8 74.46-72.8 74.461 32.235 74.461 72.8-32.972 72.8-74.461 72.8z"}}]})(props);
};
function IoMdShareAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M448 248L288 96v85.334C138.666 202.667 85.333 309.334 64 416c53.333-74.666 117.333-108.802 224-108.802v87.469L448 248z"}}]})(props);
};
function IoMdShare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M383.822 344.427c-16.045 0-31.024 5.326-41.721 15.979l-152.957-88.42c1.071-5.328 2.142-9.593 2.142-14.919 0-5.328-1.071-9.593-2.142-14.919l150.826-87.35c11.762 10.653 26.741 17.041 43.852 17.041 35.295 0 64.178-28.766 64.178-63.92C448 72.767 419.117 44 383.822 44c-35.297 0-64.179 28.767-64.179 63.92 0 5.327 1.065 9.593 2.142 14.919l-150.821 87.35c-11.767-10.654-26.741-17.041-43.856-17.041-35.296 0-63.108 28.766-63.108 63.92 0 35.153 28.877 63.92 64.178 63.92 17.115 0 32.089-6.389 43.856-17.042l151.891 88.421c-1.076 4.255-2.141 8.521-2.141 13.847 0 34.094 27.806 61.787 62.037 61.787 34.229 0 62.036-27.693 62.036-61.787.001-34.094-27.805-61.787-62.035-61.787z"}}]})(props);
};
function IoMdShirt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M320 64c-11.1 19.1-40.3 32-64 32s-52.9-12.9-64-32L64 96v96l77-16-13 272h256l-13-272 77 16V96L320 64z"}}]})(props);
};
function IoMdShuffle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M222.2 188.1L97.8 64 64 97.8l124.1 124.1 34.1-33.8zM316 64l49 49L64 414.2 97.8 448 399 147l49 49V64H316zm7.9 225.8l-33.8 33.8 75.1 75.1L316 448h132V316l-49 49-75.1-75.2z"}}]})(props);
};
function IoMdSkipBackward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M170.7 256L448 448V64L170.7 256zM64 64h64v384H64z"}}]})(props);
};
function IoMdSkipForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 64v384l277.3-192L64 64zM384 64h64v384h-64z"}}]})(props);
};
function IoMdSnow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M461.4 298.5l-8.3-30.9-88 23.6-60.4-34.9 60.4-34.9 88 23.6 8.3-30.9-57.1-15.3 57.7-33.3-24-41.5-56.6 32.7 15.3-57.1-30.9-8.3-23.6 88-62.2 35.9v-71.1l64.5-64.4-22.7-22.6L280 98.9V32h-48v65.6l-41.7-41.7-22.6 22.6 64.3 64.4v71.4l-60.7-35-23.6-88-30.9 8.3 15.3 57.1-57.7-33.4-24 41.6 56.7 32.7L50 212.9l8.3 30.9 87.9-23.6 62.6 36.1-62.6 36.2-87.9-23.6-8.3 30.9 57.1 15.3-56.7 32.7 24 41.5 57.7-33.3-15.3 57 30.9 8.3 23.6-87.9 60.7-35.1v70.9l-64.3 64.4 22.6 22.6 41.7-41.8V480h48v-66.8l41.9 41.7 22.5-22.6L280 368v-70.6l62.2 36 23.6 87.9 30.9-8.3-15.3-57 56.6 32.7 24-41.6-57.7-33.3z"}}]})(props);
};
function IoMdSpeedometer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 416h256v48H128zM256 288c17.7 0 32-14.3 32-32s-14.3-32-32-32c-3 0-6 .4-8.8 1.2l-66.7-48.7-4 3.5 48.9 66.7c-.9 2.9-1.4 6-1.4 9.3 0 17.7 14.3 32 32 32z"}},{"tag":"path","attr":{"d":"M256 48C141.1 48 48 141.1 48 256c0 48.3 16.5 92.7 44.1 128h58.8l4-4 22.1-22.1-22.9-22.9-22.1 22c-19.9-24.3-32.1-54-35.2-85H128v-32H96.8c3.1-31 15.3-60.7 35.2-85l22.1 22 22.9-22.9-22-22.1c24.3-19.9 54-32.1 85-35.2V128h32V96.8c31 3.1 60.7 15.3 85 35.2l-22 22.1 22.9 22.9 22.1-22c19.9 24.3 32.1 54 35.2 85H384v32h31.2c-3.1 31-15.3 60.7-35.2 85l-22.1-22-22.9 22.9 22.1 22.1 4 4h58.8c27.6-35.3 44.1-79.7 44.1-128 0-114.9-93.1-208-208-208z"}}]})(props);
};
function IoMdSquareOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405.3 106.7v298.7H106.7V106.7h298.6m0-42.7H106.7C83.2 64 64 83.2 64 106.7v298.7c0 23.5 19.2 42.7 42.7 42.7h298.7c23.5 0 42.7-19.2 42.7-42.7V106.7C448 83.2 428.8 64 405.3 64z"}}]})(props);
};
function IoMdSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405.333 64H106.667C83.198 64 64 83.198 64 106.667v298.666C64 428.802 83.198 448 106.667 448h298.666C428.802 448 448 428.802 448 405.333V106.667C448 83.198 428.802 64 405.333 64z"}}]})(props);
};
function IoMdStarHalf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M458 210.409l-145.267-12.476L256 64l-56.743 133.934L54 210.409l110.192 95.524L131.161 448 256 372.686 380.83 448l-33.021-142.066L458 210.409zM272.531 345.287L256 335.313l-.002-189.277 27.27 64.379 7.52 17.751 19.208 1.65 69.846 5.998-52.993 45.939-14.576 12.636 4.367 18.788 15.875 68.299-59.984-36.189z"}}]})(props);
};
function IoMdStarOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M458 210.409l-145.267-12.476L256 64l-56.743 133.934L54 210.409l110.192 95.524L131.161 448 256 372.686 380.83 448l-33.021-142.066L458 210.409zM272.531 345.286L256 335.312l-16.53 9.973-59.988 36.191 15.879-68.296 4.369-18.79-14.577-12.637-52.994-45.939 69.836-5.998 19.206-1.65 7.521-17.75 27.276-64.381 27.27 64.379 7.52 17.751 19.208 1.65 69.846 5.998-52.993 45.939-14.576 12.636 4.367 18.788 15.875 68.299-59.984-36.189z"}}]})(props);
};
function IoMdStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 372.686L380.83 448l-33.021-142.066L458 210.409l-145.267-12.475L256 64l-56.743 133.934L54 210.409l110.192 95.525L131.161 448z"}}]})(props);
};
function IoMdStats (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M176 64h64v384h-64zM80 336h64v112H80zM272 272h64v176h-64zM368 176h64v272h-64z"}}]})(props);
};
function IoMdStopwatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M232 306.667h48V176h-48v130.667z"}},{"tag":"path","attr":{"d":"M407.67 170.271l30.786-30.786-33.942-33.941-30.785 30.786C341.217 111.057 300.369 96 256 96 149.961 96 64 181.961 64 288s85.961 192 192 192 192-85.961 192-192c0-44.369-15.057-85.217-40.33-117.729zm-45.604 223.795C333.734 422.398 296.066 438 256 438s-77.735-15.602-106.066-43.934C121.602 365.735 106 328.066 106 288s15.602-77.735 43.934-106.066C178.265 153.602 215.934 138 256 138s77.734 15.602 106.066 43.934C390.398 210.265 406 247.934 406 288s-15.602 77.735-43.934 106.066zM192 32h128v48H192z"}}]})(props);
};
function IoMdSubway (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48c-93.864 0-176 10.668-176 85.334v213.332c0 41.604 33.062 74.666 74.667 74.666L128 448v16h256v-16l-26.667-26.668c41.604 0 74.667-33.062 74.667-74.666V133.334C432 58.668 349.864 48 256 48zm-96 336c-18.136 0-32-13.865-32-32 0-18.137 13.864-32 32-32s32 13.863 32 32c0 18.135-13.864 32-32 32zm80-144H128v-96h112v96zm112 144c-18.136 0-32-13.865-32-32 0-18.137 13.864-32 32-32s32 13.863 32 32c0 18.135-13.864 32-32 32zm32-144H272v-96h112v96z"}}]})(props);
};
function IoMdSunny (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M277.3 32h-42.7v64h42.7V32zm129.1 43.7L368 114.1l29.9 29.9 38.4-38.4-29.9-29.9zm-300.8 0l-29.9 29.9 38.4 38.4 29.9-29.9-38.4-38.4zM256 128c-70.4 0-128 57.6-128 128s57.6 128 128 128 128-57.6 128-128-57.6-128-128-128zm224 106.7h-64v42.7h64v-42.7zm-384 0H32v42.7h64v-42.7zM397.9 368L368 397.9l38.4 38.4 29.9-29.9-38.4-38.4zm-283.8 0l-38.4 38.4 29.9 29.9 38.4-38.4-29.9-29.9zm163.2 48h-42.7v64h42.7v-64z"}}]})(props);
};
function IoMdSwap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M131.3 231.1L32 330.6l99.3 99.4v-74.6h174.5v-49.7H131.3v-74.6zM480 181.4L380.7 82v74.6H206.2v49.7h174.5v74.6l99.3-99.5z"}}]})(props);
};
function IoMdSwitch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M168 216h94.9c14.5 14.8 34.7 24 57.1 24 44.2 0 80-35.8 80-80s-35.8-80-80-80c-22.4 0-42.6 9.2-57.1 24H168c-30.8 0-56 25.2-56 56s25.2 56 56 56zm-16.9-72.9c4.6-4.6 10.6-7.1 16.9-7.1h75.7c-2.4 7.6-3.7 15.6-3.7 24s1.3 16.4 3.7 24H168c-6.3 0-12.4-2.5-16.9-7.1-4.6-4.6-7.1-10.6-7.1-16.9s2.5-12.4 7.1-16.9zM344 296h-94.9c-14.5-14.8-34.7-24-57.1-24-44.2 0-80 35.8-80 80s35.8 80 80 80c22.4 0 42.6-9.2 57.1-24H344c30.8 0 56-25.2 56-56s-25.2-56-56-56zm16.9 72.9c-4.6 4.6-10.6 7.1-16.9 7.1h-75.7c2.4-7.6 3.7-15.6 3.7-24s-1.3-16.4-3.7-24H344c6.3 0 12.4 2.5 16.9 7.1 4.6 4.6 7.1 10.6 7.1 16.9s-2.5 12.4-7.1 16.9z"}}]})(props);
};
function IoMdSync (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 93.09V32l-80 81.454 80 81.456v-61.093c65.996 0 120 54.982 120 122.183 0 20.363-5 39.714-14.004 57.016L391 342.547c15.996-25.457 25-54.988 25-86.547 0-89.599-72.002-162.91-160-162.91zm0 285.094c-66.001 0-120-54.988-120-122.184 0-20.363 5-39.709 13.999-57.02L121 169.454C104.999 193.89 96 224.436 96 256c0 89.599 72.002 162.91 160 162.91V480l80-81.453-80-81.457v61.094z"}}]})(props);
};
function IoMdTabletLandscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 120v272c0 13.3 10.7 24 24 24h400c13.3 0 24-10.7 24-24V120c0-13.3-10.7-24-24-24H56c-13.3 0-24 10.7-24 24zm384 8v256H80V128h336zm46 128c0 7.7-6.5 14-14.1 14-7.5 0-14-6.2-14-14 0-7.7 6.4-14.1 14-14.1 7.6.1 14.1 6.4 14.1 14.1z"}}]})(props);
};
function IoMdTabletPortrait (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M392 32H120c-13.3 0-24 10.7-24 24v400c0 13.3 10.7 24 24 24h272c13.3 0 24-10.7 24-24V56c0-13.3-10.7-24-24-24zm-8 384H128V80h256v336zm-128 46c-7.7 0-14-6.5-14-14.1 0-7.5 6.2-14 14-14 7.7 0 14.1 6.4 14.1 14-.1 7.6-6.4 14.1-14.1 14.1z"}}]})(props);
};
function IoMdTennisball (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M383.8 92.2C348.5 64.5 304.1 48 256 48c-48 0-92.3 16.5-127.6 44 41.6 44.8 64.3 103 64 164.3-.3 61-23.3 118.6-64.9 162.9 35.4 28 80.1 44.8 128.5 44.8 48.5 0 93.3-16.8 128.8-45-41.5-44.3-64.5-101.8-64.8-162.7-.3-61.2 22.3-119.3 63.8-164.1z"}},{"tag":"path","attr":{"d":"M353.1 255.1c0 26.9 5.1 53 15.1 77.8 9.6 23.6 23.3 44.9 40.8 63.6 34.1-37.1 55-86.5 55-140.5 0-54.5-21.2-104.2-55.8-141.4-17.1 18.5-30.6 39.6-40 62.7-10 24.8-15.1 51-15.1 77.8zM159.3 255.1c0-26.9-5.1-53-15.1-77.8-9.4-23.2-22.9-44.4-40.2-62.9-34.7 37.2-56 87-56 141.6 0 54.2 21 103.6 55.2 140.7 17.6-18.7 31.4-40.1 41-63.8 10-24.7 15.1-50.9 15.1-77.8z"}}]})(props);
};
function IoMdText (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M408 64H96c-22.002 0-32 17.998-32 40v344l64-64h280c22.002 0 40-17.998 40-40V104c0-22.002-17.998-40-40-40zM198.4 242H160v-40h38.4v40zm76.8 0h-38.4v-40h38.4v40zm76.8 0h-38.4v-40H352v40z"}}]})(props);
};
function IoMdThermometer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M303 300.2V78.4c0-25.7-21-46.5-47-46.5s-47 20.8-47 46.5v221.9c-29 16.5-48.9 47.8-48.9 83.7 0 53 43 96 96 96s96-43 96-96c0-36-20.1-67.3-49.1-83.8zM240 78.4c0-8 7.7-14.5 16-14.5s16 6.5 16 14.5V128h-32V78.4z"}}]})(props);
};
function IoMdThumbsDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M314 64H142c-15.7 0-28.6 9.6-34.2 23.4L50.6 222.8c-1.7 4.4-2.6 9-2.6 14v38.6c0 21.1 17 44.6 37.8 44.6h119.3l-18 81.5-.6 6c0 7.9 3.2 15.1 8.3 20.3l20 20.1L341 320.7c6.8-6.9 11-16.5 11-27.1v-192c0-21.1-17.2-37.6-38-37.6zM400 64h64v224h-64z"}}]})(props);
};
function IoMdThumbsUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M198 448h172c15.7 0 28.6-9.6 34.2-23.4l57.1-135.4c1.7-4.4 2.6-9 2.6-14v-38.6c0-21.1-17-44.6-37.8-44.6H306.9l18-81.5.6-6c0-7.9-3.2-15.1-8.3-20.3L297 64 171 191.3c-6.8 6.9-11 16.5-11 27.1v192c0 21.1 17.2 37.6 38 37.6zM48 224h64v224H48z"}}]})(props);
};
function IoMdThunderstorm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M393.2 161.2C380.5 96.6 323.9 48 256 48c-39.7 0-76 14-100.9 45.4 34.3 2.6 66.1 15.2 90.7 39.8 18.2 18.2 31 40.5 37.4 64.8h-33.5c-15.3-43.7-56-75-105.7-75-6 0-14.3.7-20.6 2C70 136 32 180.4 32 235.5 32 297.6 82.2 336 144 336h68V233h99.1l-33.2 67H311l-18 36h93.7c51.5 0 93.3-30 93.3-81.8 0-49.4-38.3-89.6-86.8-93zM212 368h22v96l59-128h-81z"}}]})(props);
};
function IoMdTime (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"g","attr":{"fillOpacity":".9"},"child":[{"tag":"path","attr":{"d":"M255.8 48C141 48 48 141.2 48 256s93 208 207.8 208c115 0 208.2-93.2 208.2-208S370.8 48 255.8 48zm.2 374.4c-91.9 0-166.4-74.5-166.4-166.4S164.1 89.6 256 89.6 422.4 164.1 422.4 256 347.9 422.4 256 422.4z"}},{"tag":"path","attr":{"d":"M266.4 152h-31.2v124.8l109.2 65.5 15.6-25.6-93.6-55.5V152z"}}]}]})(props);
};
function IoMdTimer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M232.9 371.6c0 12.7 10.4 23.1 23.1 23.1s23.1-10.4 23.1-23.1c0-12.7-10.4-23.1-23.1-23.1s-23.1 10.3-23.1 23.1zm0-323.6v92.4h46.2V96.1c78.3 11.3 138.7 78.3 138.7 159.9 0 89.4-72.3 161.8-161.8 161.8S94.2 345.4 94.2 256c0-38.8 13.6-74.4 36.5-102.2L256 279.1l32.6-32.6L131.4 89.4v.5C80.8 127.7 48 187.8 48 256c0 114.9 92.9 208 208 208 114.9 0 208-93.1 208-208S370.9 48 256 48h-23.1zm161.8 208c0-12.7-10.4-23.1-23.1-23.1-12.7 0-23.1 10.4-23.1 23.1s10.4 23.1 23.1 23.1c12.7 0 23.1-10.4 23.1-23.1zm-277.4 0c0 12.7 10.4 23.1 23.1 23.1s23.1-10.4 23.1-23.1-10.4-23.1-23.1-23.1-23.1 10.4-23.1 23.1z"}}]})(props);
};
function IoMdToday (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405.3 32H106.7C83.2 32 64 51.2 64 74.7v362.7c0 23.5 19.2 42.7 42.7 42.7h298.7c23.5 0 42.7-19.2 42.7-42.7V74.7C448 51.2 428.8 32 405.3 32zm-4 405.3H110.7c-2.2 0-4-1.8-4-4V78.7c0-2.2 1.8-4 4-4h290.7c2.2 0 4 1.8 4 4v354.7c-.1 2.1-1.9 3.9-4.1 3.9z"}},{"tag":"path","attr":{"d":"M145 194v204c0 1.1.9 2 2 2h218c1.1 0 2-.9 2-2V194c0-1.1-.9-2-2-2H147c-1.1 0-2 .9-2 2zM145 114.7v34c0 1.1.9 2 2 2h171c1.1 0 2-.9 2-2v-34c0-1.1-.9-2-2-2H147c-1.1 0-2 .9-2 2z"}}]})(props);
};
function IoMdTrain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 48c-88 0-176 10.9-176 87.6v208c0 42.3 34.5 76.6 77 76.6L124 453v11h49.1l44-43.8H300l44 43.8h44v-10.9l-33-32.8c42.5 0 77-34.4 77-76.6v-208C432 58.9 353.2 48 256 48zm-99 328.4c-18.3 0-33-14.7-33-32.8s14.7-32.8 33-32.8 33 14.7 33 32.8-14.7 32.8-33 32.8zm77-153.2H124v-87.6h110v87.6zm44 0v-87.6h110v87.6H278zm77 153.2c-18.3 0-33-14.7-33-32.8s14.7-32.8 33-32.8 33 14.7 33 32.8-14.7 32.8-33 32.8z"}}]})(props);
};
function IoMdTransgender (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M352 32v35h63.1l-81.4 80.5c-7.5-7.2-13.2-11-13.2-11C302.2 123.6 280 116 256 116c-30.2 0-57.6 12-77.8 31.4l-15.2-15 31.4-31.4-28.5-28.5-31.5 31.5-37.5-37H160V32H32v128h35V91.3l40.3 39.9-31.2 31.2 28.5 28.5 31.4-31.4 19.4 19.2c-7.3 14.9-11.5 31.7-11.5 49.5 0 54.8 39.5 100.4 91.1 110.2v45.3h-63V424h63v56h42v-56h63v-40.2h-63v-45.3c50.8-9.9 91.2-55.5 91.2-110.3 0-17.7-4.2-34.8-11.5-49.6L445 91.3V160h35V32H352zm-96 258c-35.3 0-64-28.7-64-64s28.7-64 64-64 64 28.7 64 64-28.7 64-64 64z"}}]})(props);
};
function IoMdTrash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M128 405.429C128 428.846 147.198 448 170.667 448h170.667C364.802 448 384 428.846 384 405.429V160H128v245.429zM416 96h-80l-26.785-32H202.786L176 96H96v32h320V96z"}}]})(props);
};
function IoMdTrendingDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M480 397V262.5l-51.3 51.3-141.1-141-89.6 89.7L63.6 128 32 159.6l166 166.3 89.6-89.7 109.3 109.4-51.3 51.4H480z"}}]})(props);
};
function IoMdTrendingUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M345.6 128l51.3 51.3-109.3 109.4-89.6-89.6L32 365.4 63.6 397 198 262.5l89.6 89.7 141.1-141 51.3 51.3V128H345.6z"}}]})(props);
};
function IoMdTrophy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M392 105c.9-27 .2-56 .1-57H119.3c0 1-.8 30 .1 57H48c0 68 9.9 102.3 21 126.7S95.4 277 127.7 302c30.1 23.3 95.5 53.6 104.3 57.6v28.3c-4.6 10-23.5 28.2-83.3 28.2H128v48h256v-48h-25.7c-60.7 0-75-19.1-78.3-28.2v-28.3c9.3-4.6 80.9-40.3 104.4-57.5 25.2-18.4 50.9-51.5 58.7-70.3S464 167 464 105h-72zM109.6 211.9c-8.8-18.2-14-37.9-15.7-61.9h28.7c.7 6 1.4 11.3 2.3 16.3 6.6 39.2 14.8 70.2 25.7 96.5-17.3-13.5-31.3-30.8-41-50.9zm292.8 0c-9.9 20.3-24 37.7-41.6 51.3 11-26.2 19-56.8 25.8-96.9.8-5 1.6-10.3 2.3-16.3h29.3c-1.8 24-6.9 43.7-15.8 61.9z"}}]})(props);
};
function IoMdTv (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M439.3 76H72.7C50.3 76 32 94 32 116v240c0 22 18.3 40 40.7 40h101.8v40h162.9v-40h101.8c22.4 0 40.5-18 40.5-40l.2-240c.1-22-18.2-40-40.6-40zm0 280H72.7V116h366.5v240z"}}]})(props);
};
function IoMdUmbrella (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M410.1 244.1c12 0 26.6 10.9 33.8 25.9H464c-.3-50-21.2-101.5-59.4-140.9-36.3-37.4-83-60.5-132.6-65.7-3-9-11.5-15.4-21.6-15.4-10 0-18.5 6.5-21.5 15.3C125.3 73.8 48 159.7 48 266.2c0 1.1.1 1.8.4 3.8h21.8c6.8-15 22.2-25.9 35.3-25.9 17 0 31.5 10.9 36.5 25.9h19.8c4.1-15 16.9-25.7 33-25.7 17.8 0 33.1 14.5 34.1 32.6v118.3c0 9.3.1 24.1-13.4 24.1-6.9 0-16.6-1.8-16.6-16V382h-43v21.3c0 34.6 23.6 60.7 60 60.7 19.5 0 33.3-8.5 43.5-18.7 13.1-13.2 13.5-34.7 13.5-50.1V276.1c2-25.8 23.9-31.7 41.9-31.7 17.2 0 32.3 11.6 37.8 25.6h20.5c5.1-15 19.8-25.9 37-25.9z"}}]})(props);
};
function IoMdUndo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M262.3 179.6c-57.9 0-110.3 21.6-150.7 56.8L32 160v192h197.5l-79.1-76.8c30.4-25.3 69-41.1 111.8-41.1 77.3 0 143.1 48.2 166 117.8l51.8-14.8c-30.4-91.4-116.2-157.5-217.7-157.5z"}}]})(props);
};
function IoMdUnlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M376 186h-20v-40c0-55-45-100-100-100S156 91 156 146h37.998c0-34.004 28.003-62.002 62.002-62.002 34.004 0 62.002 27.998 62.002 62.002H318v40H136c-22.002 0-40 17.998-40 40v200c0 22.002 17.998 40 40 40h240c22.002 0 40-17.998 40-40V226c0-22.002-17.998-40-40-40zM256 368c-22.002 0-40-17.998-40-40s17.998-40 40-40 40 17.998 40 40-17.998 40-40 40z"}}]})(props);
};
function IoMdVideocam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M384 219.5v-85.2c0-13.4-11.2-24.3-24.9-24.3H56.9C43.2 110 32 120.9 32 134.3v243.3C32 391 43.2 402 56.9 402h302.2c13.7 0 24.9-11 24.9-24.3v-85.2l96 97.3V122.2l-96 97.3z"}}]})(props);
};
function IoMdVolumeHigh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 192v128h85.334L256 431.543V80.458L149.334 192H64zm288 64c0-38.399-21.333-72.407-53.333-88.863v176.636C330.667 328.408 352 294.4 352 256zM298.667 64v44.978C360.531 127.632 405.334 186.882 405.334 256c0 69.119-44.803 128.369-106.667 147.022V448C384 428.254 448 349.257 448 256c0-93.256-64-172.254-149.333-192z"}}]})(props);
};
function IoMdVolumeLow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 192v128h85.334L256 431.543V80.458L149.334 192H64zm288 64c0-38.399-21.333-72.407-53.333-88.863v176.636C330.667 328.408 352 294.4 352 256z"}}]})(props);
};
function IoMdVolumeMute (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M64 192v128h85.334L256 431.543V80.458L149.334 192H64z"}}]})(props);
};
function IoMdVolumeOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M405.5 256c0 22.717-4.883 44.362-13.603 63.855l31.88 31.88C439.283 323.33 448 290.653 448 256c0-93.256-64-172.254-149-192v44.978C361 127.632 405.5 186.882 405.5 256zM256 80.458l-51.021 52.48L256 183.957zM420.842 396.885L91.116 67.157l-24 24 90.499 90.413-8.28 10.43H64v128h85.334L256 431.543V280l94.915 94.686C335.795 387.443 318 397.213 299 403.022V448c31-7.172 58.996-22.163 82.315-42.809l39.61 39.693 24-24.043-24.002-24.039-.081.083z"}},{"tag":"path","attr":{"d":"M352.188 256c0-38.399-21.188-72.407-53.188-88.863v59.82l50.801 50.801A100.596 100.596 0 0 0 352.188 256z"}}]})(props);
};
function IoMdWalk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M288 112c22.223 0 39.997-17.776 39.997-40 0-22.225-17.774-40-39.997-40s-40.003 17.775-40.003 40c0 22.224 17.78 40 40.003 40zM288 232h104v-40h-72l-44.802-69.333c-7.698-11.667-18.136-18.136-30.933-18.136-3.198 0-8.828.531-12.799 1.747L120 144v112h40v-80l40.531-16L120 480h40l56.698-164.271L267 384v96h38V352l-57.031-96 19.745-61.864L288 232z"}}]})(props);
};
function IoMdWallet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M202.7 341.3V170.7c0-23.5 19-42.7 42.7-42.7h197v-21.3c0-23.5-18.9-42.7-42.3-42.7H92c-23.7 0-44 18.5-44 42v300c0 23.5 20.3 42 44 42h308c23.5 0 42.3-19.2 42.3-42.7V384h-197c-23.6 0-42.6-19.2-42.6-42.7z"}},{"tag":"path","attr":{"d":"M245 186v140c0 8.8 7.2 16 16 16h187c8.8 0 16-7.2 16-16V186c0-8.8-7.2-16-16-16H261c-8.8 0-16 7.2-16 16zm77.1 101.9c-19.3 1.2-35.2-14.7-34-34 1-15.9 13.9-28.8 29.9-29.9 19.3-1.2 35.2 14.7 34 34-1.1 16-14 28.9-29.9 29.9z"}}]})(props);
};
function IoMdWarning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M32 464h448L256 48 32 464zm248-64h-48v-48h48v48zm0-80h-48v-96h48v96z"}}]})(props);
};
function IoMdWatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M416 256c0-51.001-24.004-96.001-60.996-125L336 16H176l-19.004 115C120.004 159.999 96 204.999 96 256c0 50.996 24.004 95.996 60.996 125L176 496h160l19.004-115C391.996 351.996 416 306.996 416 256zm-280 0c0-66.001 54.004-120 120-120s120 53.999 120 120c0 65.996-54.004 120-120 120s-120-54.004-120-120z"}}]})(props);
};
function IoMdWater (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M380.5 163.3L256 32 131.5 163.3c-68.6 72.4-68.6 190 0 262.4C165.8 461.9 210.9 480 256 480s90.2-18.1 124.5-54.3c68.7-72.4 68.7-190 0-262.4z"}}]})(props);
};
function IoMdWifi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M256 228.719c-22.879 0-41.597 18.529-41.597 41.18 0 22.652 18.718 41.182 41.597 41.182 22.878 0 41.597-18.529 41.597-41.182 0-22.651-18.719-41.18-41.597-41.18zm124.8 41.179c0-67.946-56.163-123.539-124.8-123.539s-124.8 55.593-124.8 123.539c0 45.303 24.961 85.447 62.396 107.072l20.807-36.032c-24.972-14.417-41.604-40.153-41.604-71.04 0-45.295 37.433-82.358 83.201-82.358 45.771 0 83.201 37.063 83.201 82.358 0 30.887-16.633 56.623-41.604 71.04l20.807 36.032c37.433-21.624 62.396-61.769 62.396-107.072zM256 64C141.597 64 48 156.654 48 269.898 48 346.085 89.592 411.968 152 448l20.799-36.032c-49.919-28.824-83.207-81.324-83.207-142.069 0-90.593 74.891-164.718 166.408-164.718 91.517 0 166.406 74.125 166.406 164.718 0 60.745-33.284 114.271-83.205 142.069L360 448c62.406-36.032 104-101.915 104-178.102C464 156.654 370.403 64 256 64z"}}]})(props);
};
function IoMdWine (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M234.667 277.333V408H128v40h256v-40H277.333V277.333L448 106.667V64H64v42.667l170.667 170.666zm-74.667-128l-42.667-42.666h277.334L352 149.333H160z"}}]})(props);
};
function IoMdWoman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 512 512"},"child":[{"tag":"path","attr":{"d":"M190.4 148.6L161 252.9c-6.3 22.8 20.7 31.7 27.3 10.3l26.3-96.2h7.4l-45.2 169H219v127c0 23 32 23 32 0V336h10v127c0 23 31 23 31 0V336h43.4l-46.2-169h8.4l26.3 96.2c6.5 21.9 33.3 12.5 27.3-10.2l-29.4-104.4c-4-11.8-18.2-32.6-42-33.6h-47.3c-24.6 1-38.7 21.6-42.1 33.6zM292.6 69.2c0-20.6-16.4-37.3-36.6-37.3-20.2 0-36.6 16.7-36.6 37.3 0 20.6 16.4 37.3 36.6 37.3 20.2 0 36.6-16.7 36.6-37.3z"}}]})(props);
};


/***/ }),

/***/ "./node_modules/react-icons/lib/esm/iconBase.js":
/*!******************************************************!*\
  !*** ./node_modules/react-icons/lib/esm/iconBase.js ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "GenIcon": () => (/* binding */ GenIcon),
/* harmony export */   "IconBase": () => (/* binding */ IconBase)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _iconContext__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./iconContext */ "./node_modules/react-icons/lib/esm/iconContext.js");
var __assign = undefined && undefined.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = undefined && undefined.__rest || function (s, e) {
  var t = {};

  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};




function Tree2Element(tree) {
  return tree && tree.map(function (node, i) {
    return react__WEBPACK_IMPORTED_MODULE_0__.createElement(node.tag, __assign({
      key: i
    }, node.attr), Tree2Element(node.child));
  });
}

function GenIcon(data) {
  return function (props) {
    return react__WEBPACK_IMPORTED_MODULE_0__.createElement(IconBase, __assign({
      attr: __assign({}, data.attr)
    }, props), Tree2Element(data.child));
  };
}
function IconBase(props) {
  var elem = function (conf) {
    var attr = props.attr,
        size = props.size,
        title = props.title,
        svgProps = __rest(props, ["attr", "size", "title"]);

    var computedSize = size || conf.size || "1em";
    var className;
    if (conf.className) className = conf.className;
    if (props.className) className = (className ? className + ' ' : '') + props.className;
    return react__WEBPACK_IMPORTED_MODULE_0__.createElement("svg", __assign({
      stroke: "currentColor",
      fill: "currentColor",
      strokeWidth: "0"
    }, conf.attr, attr, svgProps, {
      className: className,
      style: __assign(__assign({
        color: props.color || conf.color
      }, conf.style), props.style),
      height: computedSize,
      width: computedSize,
      xmlns: "http://www.w3.org/2000/svg"
    }), title && react__WEBPACK_IMPORTED_MODULE_0__.createElement("title", null, title), props.children);
  };

  return _iconContext__WEBPACK_IMPORTED_MODULE_1__.IconContext !== undefined ? react__WEBPACK_IMPORTED_MODULE_0__.createElement(_iconContext__WEBPACK_IMPORTED_MODULE_1__.IconContext.Consumer, null, function (conf) {
    return elem(conf);
  }) : elem(_iconContext__WEBPACK_IMPORTED_MODULE_1__.DefaultContext);
}

/***/ }),

/***/ "./node_modules/react-icons/lib/esm/iconContext.js":
/*!*********************************************************!*\
  !*** ./node_modules/react-icons/lib/esm/iconContext.js ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "DefaultContext": () => (/* binding */ DefaultContext),
/* harmony export */   "IconContext": () => (/* binding */ IconContext)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");

var DefaultContext = {
  color: undefined,
  size: undefined,
  className: undefined,
  style: undefined,
  attr: undefined
};
var IconContext = react__WEBPACK_IMPORTED_MODULE_0__.createContext && react__WEBPACK_IMPORTED_MODULE_0__.createContext(DefaultContext);

/***/ }),

/***/ "./node_modules/react-icons/lib/esm/iconsManifest.js":
/*!***********************************************************!*\
  !*** ./node_modules/react-icons/lib/esm/iconsManifest.js ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "IconsManifest": () => (/* binding */ IconsManifest)
/* harmony export */ });
var IconsManifest = [
  {
    "id": "fa",
    "name": "Font Awesome",
    "projectUrl": "https://fontawesome.com/",
    "license": "CC BY 4.0 License",
    "licenseUrl": "https://creativecommons.org/licenses/by/4.0/"
  },
  {
    "id": "io",
    "name": "Ionicons 4",
    "projectUrl": "https://ionicons.com/",
    "license": "MIT",
    "licenseUrl": "https://github.com/ionic-team/ionicons/blob/master/LICENSE"
  },
  {
    "id": "io5",
    "name": "Ionicons 5",
    "projectUrl": "https://ionicons.com/",
    "license": "MIT",
    "licenseUrl": "https://github.com/ionic-team/ionicons/blob/master/LICENSE"
  },
  {
    "id": "md",
    "name": "Material Design icons",
    "projectUrl": "http://google.github.io/material-design-icons/",
    "license": "Apache License Version 2.0",
    "licenseUrl": "https://github.com/google/material-design-icons/blob/master/LICENSE"
  },
  {
    "id": "ti",
    "name": "Typicons",
    "projectUrl": "http://s-ings.com/typicons/",
    "license": "CC BY-SA 3.0",
    "licenseUrl": "https://creativecommons.org/licenses/by-sa/3.0/"
  },
  {
    "id": "go",
    "name": "Github Octicons icons",
    "projectUrl": "https://octicons.github.com/",
    "license": "MIT",
    "licenseUrl": "https://github.com/primer/octicons/blob/master/LICENSE"
  },
  {
    "id": "fi",
    "name": "Feather",
    "projectUrl": "https://feathericons.com/",
    "license": "MIT",
    "licenseUrl": "https://github.com/feathericons/feather/blob/master/LICENSE"
  },
  {
    "id": "gi",
    "name": "Game Icons",
    "projectUrl": "https://game-icons.net/",
    "license": "CC BY 3.0",
    "licenseUrl": "https://creativecommons.org/licenses/by/3.0/"
  },
  {
    "id": "wi",
    "name": "Weather Icons",
    "projectUrl": "https://erikflowers.github.io/weather-icons/",
    "license": "SIL OFL 1.1",
    "licenseUrl": "http://scripts.sil.org/OFL"
  },
  {
    "id": "di",
    "name": "Devicons",
    "projectUrl": "https://vorillaz.github.io/devicons/",
    "license": "MIT",
    "licenseUrl": "https://opensource.org/licenses/MIT"
  },
  {
    "id": "ai",
    "name": "Ant Design Icons",
    "projectUrl": "https://github.com/ant-design/ant-design-icons",
    "license": "MIT",
    "licenseUrl": "https://opensource.org/licenses/MIT"
  },
  {
    "id": "bs",
    "name": "Bootstrap Icons",
    "projectUrl": "https://github.com/twbs/icons",
    "license": "MIT",
    "licenseUrl": "https://opensource.org/licenses/MIT"
  },
  {
    "id": "ri",
    "name": "Remix Icon",
    "projectUrl": "https://github.com/Remix-Design/RemixIcon",
    "license": "Apache License Version 2.0",
    "licenseUrl": "http://www.apache.org/licenses/"
  },
  {
    "id": "fc",
    "name": "Flat Color Icons",
    "projectUrl": "https://github.com/icons8/flat-color-icons",
    "license": "MIT",
    "licenseUrl": "https://opensource.org/licenses/MIT"
  },
  {
    "id": "gr",
    "name": "Grommet-Icons",
    "projectUrl": "https://github.com/grommet/grommet-icons",
    "license": "Apache License Version 2.0",
    "licenseUrl": "http://www.apache.org/licenses/"
  },
  {
    "id": "hi",
    "name": "Heroicons",
    "projectUrl": "https://github.com/tailwindlabs/heroicons",
    "license": "MIT",
    "licenseUrl": "https://opensource.org/licenses/MIT"
  },
  {
    "id": "si",
    "name": "Simple Icons",
    "projectUrl": "https://simpleicons.org/",
    "license": "CC0 1.0 Universal",
    "licenseUrl": "https://creativecommons.org/publicdomain/zero/1.0/"
  },
  {
    "id": "im",
    "name": "IcoMoon Free",
    "projectUrl": "https://github.com/Keyamoon/IcoMoon-Free",
    "license": "CC BY 4.0 License"
  },
  {
    "id": "bi",
    "name": "BoxIcons",
    "projectUrl": "https://github.com/atisawd/boxicons",
    "license": "CC BY 4.0 License"
  },
  {
    "id": "cg",
    "name": "css.gg",
    "projectUrl": "https://github.com/astrit/css.gg",
    "license": "MIT",
    "licenseUrl": "https://opensource.org/licenses/MIT"
  },
  {
    "id": "vsc",
    "name": "VS Code Icons",
    "projectUrl": "https://github.com/microsoft/vscode-codicons",
    "license": "CC BY 4.0",
    "licenseUrl": "https://creativecommons.org/licenses/by/4.0/"
  }
]

/***/ }),

/***/ "./node_modules/react-icons/lib/esm/index.js":
/*!***************************************************!*\
  !*** ./node_modules/react-icons/lib/esm/index.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "DefaultContext": () => (/* reexport safe */ _iconContext__WEBPACK_IMPORTED_MODULE_2__.DefaultContext),
/* harmony export */   "GenIcon": () => (/* reexport safe */ _iconBase__WEBPACK_IMPORTED_MODULE_1__.GenIcon),
/* harmony export */   "IconBase": () => (/* reexport safe */ _iconBase__WEBPACK_IMPORTED_MODULE_1__.IconBase),
/* harmony export */   "IconContext": () => (/* reexport safe */ _iconContext__WEBPACK_IMPORTED_MODULE_2__.IconContext),
/* harmony export */   "IconsManifest": () => (/* reexport safe */ _iconsManifest__WEBPACK_IMPORTED_MODULE_0__.IconsManifest)
/* harmony export */ });
/* harmony import */ var _iconsManifest__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./iconsManifest */ "./node_modules/react-icons/lib/esm/iconsManifest.js");
/* harmony import */ var _iconBase__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./iconBase */ "./node_modules/react-icons/lib/esm/iconBase.js");
/* harmony import */ var _iconContext__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./iconContext */ "./node_modules/react-icons/lib/esm/iconContext.js");




/***/ }),

/***/ "./node_modules/react-icons/md/index.esm.js":
/*!**************************************************!*\
  !*** ./node_modules/react-icons/md/index.esm.js ***!
  \**************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Md3DRotation": () => (/* binding */ Md3DRotation),
/* harmony export */   "MdAcUnit": () => (/* binding */ MdAcUnit),
/* harmony export */   "MdAccessAlarm": () => (/* binding */ MdAccessAlarm),
/* harmony export */   "MdAccessAlarms": () => (/* binding */ MdAccessAlarms),
/* harmony export */   "MdAccessTime": () => (/* binding */ MdAccessTime),
/* harmony export */   "MdAccessibility": () => (/* binding */ MdAccessibility),
/* harmony export */   "MdAccessible": () => (/* binding */ MdAccessible),
/* harmony export */   "MdAccountBalance": () => (/* binding */ MdAccountBalance),
/* harmony export */   "MdAccountBalanceWallet": () => (/* binding */ MdAccountBalanceWallet),
/* harmony export */   "MdAccountBox": () => (/* binding */ MdAccountBox),
/* harmony export */   "MdAccountCircle": () => (/* binding */ MdAccountCircle),
/* harmony export */   "MdAdb": () => (/* binding */ MdAdb),
/* harmony export */   "MdAdd": () => (/* binding */ MdAdd),
/* harmony export */   "MdAddAPhoto": () => (/* binding */ MdAddAPhoto),
/* harmony export */   "MdAddAlarm": () => (/* binding */ MdAddAlarm),
/* harmony export */   "MdAddAlert": () => (/* binding */ MdAddAlert),
/* harmony export */   "MdAddBox": () => (/* binding */ MdAddBox),
/* harmony export */   "MdAddCircle": () => (/* binding */ MdAddCircle),
/* harmony export */   "MdAddCircleOutline": () => (/* binding */ MdAddCircleOutline),
/* harmony export */   "MdAddLocation": () => (/* binding */ MdAddLocation),
/* harmony export */   "MdAddShoppingCart": () => (/* binding */ MdAddShoppingCart),
/* harmony export */   "MdAddToPhotos": () => (/* binding */ MdAddToPhotos),
/* harmony export */   "MdAddToQueue": () => (/* binding */ MdAddToQueue),
/* harmony export */   "MdAdjust": () => (/* binding */ MdAdjust),
/* harmony export */   "MdAirlineSeatFlat": () => (/* binding */ MdAirlineSeatFlat),
/* harmony export */   "MdAirlineSeatFlatAngled": () => (/* binding */ MdAirlineSeatFlatAngled),
/* harmony export */   "MdAirlineSeatIndividualSuite": () => (/* binding */ MdAirlineSeatIndividualSuite),
/* harmony export */   "MdAirlineSeatLegroomExtra": () => (/* binding */ MdAirlineSeatLegroomExtra),
/* harmony export */   "MdAirlineSeatLegroomNormal": () => (/* binding */ MdAirlineSeatLegroomNormal),
/* harmony export */   "MdAirlineSeatLegroomReduced": () => (/* binding */ MdAirlineSeatLegroomReduced),
/* harmony export */   "MdAirlineSeatReclineExtra": () => (/* binding */ MdAirlineSeatReclineExtra),
/* harmony export */   "MdAirlineSeatReclineNormal": () => (/* binding */ MdAirlineSeatReclineNormal),
/* harmony export */   "MdAirplanemodeActive": () => (/* binding */ MdAirplanemodeActive),
/* harmony export */   "MdAirplanemodeInactive": () => (/* binding */ MdAirplanemodeInactive),
/* harmony export */   "MdAirplay": () => (/* binding */ MdAirplay),
/* harmony export */   "MdAirportShuttle": () => (/* binding */ MdAirportShuttle),
/* harmony export */   "MdAlarm": () => (/* binding */ MdAlarm),
/* harmony export */   "MdAlarmAdd": () => (/* binding */ MdAlarmAdd),
/* harmony export */   "MdAlarmOff": () => (/* binding */ MdAlarmOff),
/* harmony export */   "MdAlarmOn": () => (/* binding */ MdAlarmOn),
/* harmony export */   "MdAlbum": () => (/* binding */ MdAlbum),
/* harmony export */   "MdAllInclusive": () => (/* binding */ MdAllInclusive),
/* harmony export */   "MdAllOut": () => (/* binding */ MdAllOut),
/* harmony export */   "MdAndroid": () => (/* binding */ MdAndroid),
/* harmony export */   "MdAnnouncement": () => (/* binding */ MdAnnouncement),
/* harmony export */   "MdApps": () => (/* binding */ MdApps),
/* harmony export */   "MdArchive": () => (/* binding */ MdArchive),
/* harmony export */   "MdArrowBack": () => (/* binding */ MdArrowBack),
/* harmony export */   "MdArrowDownward": () => (/* binding */ MdArrowDownward),
/* harmony export */   "MdArrowDropDown": () => (/* binding */ MdArrowDropDown),
/* harmony export */   "MdArrowDropDownCircle": () => (/* binding */ MdArrowDropDownCircle),
/* harmony export */   "MdArrowDropUp": () => (/* binding */ MdArrowDropUp),
/* harmony export */   "MdArrowForward": () => (/* binding */ MdArrowForward),
/* harmony export */   "MdArrowUpward": () => (/* binding */ MdArrowUpward),
/* harmony export */   "MdArtTrack": () => (/* binding */ MdArtTrack),
/* harmony export */   "MdAspectRatio": () => (/* binding */ MdAspectRatio),
/* harmony export */   "MdAssessment": () => (/* binding */ MdAssessment),
/* harmony export */   "MdAssignment": () => (/* binding */ MdAssignment),
/* harmony export */   "MdAssignmentInd": () => (/* binding */ MdAssignmentInd),
/* harmony export */   "MdAssignmentLate": () => (/* binding */ MdAssignmentLate),
/* harmony export */   "MdAssignmentReturn": () => (/* binding */ MdAssignmentReturn),
/* harmony export */   "MdAssignmentReturned": () => (/* binding */ MdAssignmentReturned),
/* harmony export */   "MdAssignmentTurnedIn": () => (/* binding */ MdAssignmentTurnedIn),
/* harmony export */   "MdAssistant": () => (/* binding */ MdAssistant),
/* harmony export */   "MdAssistantPhoto": () => (/* binding */ MdAssistantPhoto),
/* harmony export */   "MdAttachFile": () => (/* binding */ MdAttachFile),
/* harmony export */   "MdAttachMoney": () => (/* binding */ MdAttachMoney),
/* harmony export */   "MdAttachment": () => (/* binding */ MdAttachment),
/* harmony export */   "MdAudiotrack": () => (/* binding */ MdAudiotrack),
/* harmony export */   "MdAutorenew": () => (/* binding */ MdAutorenew),
/* harmony export */   "MdAvTimer": () => (/* binding */ MdAvTimer),
/* harmony export */   "MdBackspace": () => (/* binding */ MdBackspace),
/* harmony export */   "MdBackup": () => (/* binding */ MdBackup),
/* harmony export */   "MdBattery20": () => (/* binding */ MdBattery20),
/* harmony export */   "MdBattery30": () => (/* binding */ MdBattery30),
/* harmony export */   "MdBattery50": () => (/* binding */ MdBattery50),
/* harmony export */   "MdBattery60": () => (/* binding */ MdBattery60),
/* harmony export */   "MdBattery80": () => (/* binding */ MdBattery80),
/* harmony export */   "MdBattery90": () => (/* binding */ MdBattery90),
/* harmony export */   "MdBatteryAlert": () => (/* binding */ MdBatteryAlert),
/* harmony export */   "MdBatteryCharging20": () => (/* binding */ MdBatteryCharging20),
/* harmony export */   "MdBatteryCharging30": () => (/* binding */ MdBatteryCharging30),
/* harmony export */   "MdBatteryCharging50": () => (/* binding */ MdBatteryCharging50),
/* harmony export */   "MdBatteryCharging60": () => (/* binding */ MdBatteryCharging60),
/* harmony export */   "MdBatteryCharging80": () => (/* binding */ MdBatteryCharging80),
/* harmony export */   "MdBatteryCharging90": () => (/* binding */ MdBatteryCharging90),
/* harmony export */   "MdBatteryChargingFull": () => (/* binding */ MdBatteryChargingFull),
/* harmony export */   "MdBatteryFull": () => (/* binding */ MdBatteryFull),
/* harmony export */   "MdBatteryStd": () => (/* binding */ MdBatteryStd),
/* harmony export */   "MdBatteryUnknown": () => (/* binding */ MdBatteryUnknown),
/* harmony export */   "MdBeachAccess": () => (/* binding */ MdBeachAccess),
/* harmony export */   "MdBeenhere": () => (/* binding */ MdBeenhere),
/* harmony export */   "MdBlock": () => (/* binding */ MdBlock),
/* harmony export */   "MdBluetooth": () => (/* binding */ MdBluetooth),
/* harmony export */   "MdBluetoothAudio": () => (/* binding */ MdBluetoothAudio),
/* harmony export */   "MdBluetoothConnected": () => (/* binding */ MdBluetoothConnected),
/* harmony export */   "MdBluetoothDisabled": () => (/* binding */ MdBluetoothDisabled),
/* harmony export */   "MdBluetoothSearching": () => (/* binding */ MdBluetoothSearching),
/* harmony export */   "MdBlurCircular": () => (/* binding */ MdBlurCircular),
/* harmony export */   "MdBlurLinear": () => (/* binding */ MdBlurLinear),
/* harmony export */   "MdBlurOff": () => (/* binding */ MdBlurOff),
/* harmony export */   "MdBlurOn": () => (/* binding */ MdBlurOn),
/* harmony export */   "MdBook": () => (/* binding */ MdBook),
/* harmony export */   "MdBookmark": () => (/* binding */ MdBookmark),
/* harmony export */   "MdBookmarkBorder": () => (/* binding */ MdBookmarkBorder),
/* harmony export */   "MdBorderAll": () => (/* binding */ MdBorderAll),
/* harmony export */   "MdBorderBottom": () => (/* binding */ MdBorderBottom),
/* harmony export */   "MdBorderClear": () => (/* binding */ MdBorderClear),
/* harmony export */   "MdBorderColor": () => (/* binding */ MdBorderColor),
/* harmony export */   "MdBorderHorizontal": () => (/* binding */ MdBorderHorizontal),
/* harmony export */   "MdBorderInner": () => (/* binding */ MdBorderInner),
/* harmony export */   "MdBorderLeft": () => (/* binding */ MdBorderLeft),
/* harmony export */   "MdBorderOuter": () => (/* binding */ MdBorderOuter),
/* harmony export */   "MdBorderRight": () => (/* binding */ MdBorderRight),
/* harmony export */   "MdBorderStyle": () => (/* binding */ MdBorderStyle),
/* harmony export */   "MdBorderTop": () => (/* binding */ MdBorderTop),
/* harmony export */   "MdBorderVertical": () => (/* binding */ MdBorderVertical),
/* harmony export */   "MdBrandingWatermark": () => (/* binding */ MdBrandingWatermark),
/* harmony export */   "MdBrightness1": () => (/* binding */ MdBrightness1),
/* harmony export */   "MdBrightness2": () => (/* binding */ MdBrightness2),
/* harmony export */   "MdBrightness3": () => (/* binding */ MdBrightness3),
/* harmony export */   "MdBrightness4": () => (/* binding */ MdBrightness4),
/* harmony export */   "MdBrightness5": () => (/* binding */ MdBrightness5),
/* harmony export */   "MdBrightness6": () => (/* binding */ MdBrightness6),
/* harmony export */   "MdBrightness7": () => (/* binding */ MdBrightness7),
/* harmony export */   "MdBrightnessAuto": () => (/* binding */ MdBrightnessAuto),
/* harmony export */   "MdBrightnessHigh": () => (/* binding */ MdBrightnessHigh),
/* harmony export */   "MdBrightnessLow": () => (/* binding */ MdBrightnessLow),
/* harmony export */   "MdBrightnessMedium": () => (/* binding */ MdBrightnessMedium),
/* harmony export */   "MdBrokenImage": () => (/* binding */ MdBrokenImage),
/* harmony export */   "MdBrush": () => (/* binding */ MdBrush),
/* harmony export */   "MdBubbleChart": () => (/* binding */ MdBubbleChart),
/* harmony export */   "MdBugReport": () => (/* binding */ MdBugReport),
/* harmony export */   "MdBuild": () => (/* binding */ MdBuild),
/* harmony export */   "MdBurstMode": () => (/* binding */ MdBurstMode),
/* harmony export */   "MdBusiness": () => (/* binding */ MdBusiness),
/* harmony export */   "MdBusinessCenter": () => (/* binding */ MdBusinessCenter),
/* harmony export */   "MdCached": () => (/* binding */ MdCached),
/* harmony export */   "MdCake": () => (/* binding */ MdCake),
/* harmony export */   "MdCall": () => (/* binding */ MdCall),
/* harmony export */   "MdCallEnd": () => (/* binding */ MdCallEnd),
/* harmony export */   "MdCallMade": () => (/* binding */ MdCallMade),
/* harmony export */   "MdCallMerge": () => (/* binding */ MdCallMerge),
/* harmony export */   "MdCallMissed": () => (/* binding */ MdCallMissed),
/* harmony export */   "MdCallMissedOutgoing": () => (/* binding */ MdCallMissedOutgoing),
/* harmony export */   "MdCallReceived": () => (/* binding */ MdCallReceived),
/* harmony export */   "MdCallSplit": () => (/* binding */ MdCallSplit),
/* harmony export */   "MdCallToAction": () => (/* binding */ MdCallToAction),
/* harmony export */   "MdCamera": () => (/* binding */ MdCamera),
/* harmony export */   "MdCameraAlt": () => (/* binding */ MdCameraAlt),
/* harmony export */   "MdCameraEnhance": () => (/* binding */ MdCameraEnhance),
/* harmony export */   "MdCameraFront": () => (/* binding */ MdCameraFront),
/* harmony export */   "MdCameraRear": () => (/* binding */ MdCameraRear),
/* harmony export */   "MdCameraRoll": () => (/* binding */ MdCameraRoll),
/* harmony export */   "MdCancel": () => (/* binding */ MdCancel),
/* harmony export */   "MdCardGiftcard": () => (/* binding */ MdCardGiftcard),
/* harmony export */   "MdCardMembership": () => (/* binding */ MdCardMembership),
/* harmony export */   "MdCardTravel": () => (/* binding */ MdCardTravel),
/* harmony export */   "MdCasino": () => (/* binding */ MdCasino),
/* harmony export */   "MdCast": () => (/* binding */ MdCast),
/* harmony export */   "MdCastConnected": () => (/* binding */ MdCastConnected),
/* harmony export */   "MdCenterFocusStrong": () => (/* binding */ MdCenterFocusStrong),
/* harmony export */   "MdCenterFocusWeak": () => (/* binding */ MdCenterFocusWeak),
/* harmony export */   "MdChangeHistory": () => (/* binding */ MdChangeHistory),
/* harmony export */   "MdChat": () => (/* binding */ MdChat),
/* harmony export */   "MdChatBubble": () => (/* binding */ MdChatBubble),
/* harmony export */   "MdChatBubbleOutline": () => (/* binding */ MdChatBubbleOutline),
/* harmony export */   "MdCheck": () => (/* binding */ MdCheck),
/* harmony export */   "MdCheckBox": () => (/* binding */ MdCheckBox),
/* harmony export */   "MdCheckBoxOutlineBlank": () => (/* binding */ MdCheckBoxOutlineBlank),
/* harmony export */   "MdCheckCircle": () => (/* binding */ MdCheckCircle),
/* harmony export */   "MdChevronLeft": () => (/* binding */ MdChevronLeft),
/* harmony export */   "MdChevronRight": () => (/* binding */ MdChevronRight),
/* harmony export */   "MdChildCare": () => (/* binding */ MdChildCare),
/* harmony export */   "MdChildFriendly": () => (/* binding */ MdChildFriendly),
/* harmony export */   "MdChromeReaderMode": () => (/* binding */ MdChromeReaderMode),
/* harmony export */   "MdClass": () => (/* binding */ MdClass),
/* harmony export */   "MdClear": () => (/* binding */ MdClear),
/* harmony export */   "MdClearAll": () => (/* binding */ MdClearAll),
/* harmony export */   "MdClose": () => (/* binding */ MdClose),
/* harmony export */   "MdClosedCaption": () => (/* binding */ MdClosedCaption),
/* harmony export */   "MdCloud": () => (/* binding */ MdCloud),
/* harmony export */   "MdCloudCircle": () => (/* binding */ MdCloudCircle),
/* harmony export */   "MdCloudDone": () => (/* binding */ MdCloudDone),
/* harmony export */   "MdCloudDownload": () => (/* binding */ MdCloudDownload),
/* harmony export */   "MdCloudOff": () => (/* binding */ MdCloudOff),
/* harmony export */   "MdCloudQueue": () => (/* binding */ MdCloudQueue),
/* harmony export */   "MdCloudUpload": () => (/* binding */ MdCloudUpload),
/* harmony export */   "MdCode": () => (/* binding */ MdCode),
/* harmony export */   "MdCollections": () => (/* binding */ MdCollections),
/* harmony export */   "MdCollectionsBookmark": () => (/* binding */ MdCollectionsBookmark),
/* harmony export */   "MdColorLens": () => (/* binding */ MdColorLens),
/* harmony export */   "MdColorize": () => (/* binding */ MdColorize),
/* harmony export */   "MdComment": () => (/* binding */ MdComment),
/* harmony export */   "MdCompare": () => (/* binding */ MdCompare),
/* harmony export */   "MdCompareArrows": () => (/* binding */ MdCompareArrows),
/* harmony export */   "MdComputer": () => (/* binding */ MdComputer),
/* harmony export */   "MdConfirmationNumber": () => (/* binding */ MdConfirmationNumber),
/* harmony export */   "MdContactMail": () => (/* binding */ MdContactMail),
/* harmony export */   "MdContactPhone": () => (/* binding */ MdContactPhone),
/* harmony export */   "MdContacts": () => (/* binding */ MdContacts),
/* harmony export */   "MdContentCopy": () => (/* binding */ MdContentCopy),
/* harmony export */   "MdContentCut": () => (/* binding */ MdContentCut),
/* harmony export */   "MdContentPaste": () => (/* binding */ MdContentPaste),
/* harmony export */   "MdControlPoint": () => (/* binding */ MdControlPoint),
/* harmony export */   "MdControlPointDuplicate": () => (/* binding */ MdControlPointDuplicate),
/* harmony export */   "MdCopyright": () => (/* binding */ MdCopyright),
/* harmony export */   "MdCreate": () => (/* binding */ MdCreate),
/* harmony export */   "MdCreateNewFolder": () => (/* binding */ MdCreateNewFolder),
/* harmony export */   "MdCreditCard": () => (/* binding */ MdCreditCard),
/* harmony export */   "MdCrop": () => (/* binding */ MdCrop),
/* harmony export */   "MdCrop169": () => (/* binding */ MdCrop169),
/* harmony export */   "MdCrop32": () => (/* binding */ MdCrop32),
/* harmony export */   "MdCrop54": () => (/* binding */ MdCrop54),
/* harmony export */   "MdCrop75": () => (/* binding */ MdCrop75),
/* harmony export */   "MdCropDin": () => (/* binding */ MdCropDin),
/* harmony export */   "MdCropFree": () => (/* binding */ MdCropFree),
/* harmony export */   "MdCropLandscape": () => (/* binding */ MdCropLandscape),
/* harmony export */   "MdCropOriginal": () => (/* binding */ MdCropOriginal),
/* harmony export */   "MdCropPortrait": () => (/* binding */ MdCropPortrait),
/* harmony export */   "MdCropRotate": () => (/* binding */ MdCropRotate),
/* harmony export */   "MdCropSquare": () => (/* binding */ MdCropSquare),
/* harmony export */   "MdDashboard": () => (/* binding */ MdDashboard),
/* harmony export */   "MdDataUsage": () => (/* binding */ MdDataUsage),
/* harmony export */   "MdDateRange": () => (/* binding */ MdDateRange),
/* harmony export */   "MdDehaze": () => (/* binding */ MdDehaze),
/* harmony export */   "MdDelete": () => (/* binding */ MdDelete),
/* harmony export */   "MdDeleteForever": () => (/* binding */ MdDeleteForever),
/* harmony export */   "MdDeleteSweep": () => (/* binding */ MdDeleteSweep),
/* harmony export */   "MdDescription": () => (/* binding */ MdDescription),
/* harmony export */   "MdDesktopMac": () => (/* binding */ MdDesktopMac),
/* harmony export */   "MdDesktopWindows": () => (/* binding */ MdDesktopWindows),
/* harmony export */   "MdDetails": () => (/* binding */ MdDetails),
/* harmony export */   "MdDeveloperBoard": () => (/* binding */ MdDeveloperBoard),
/* harmony export */   "MdDeveloperMode": () => (/* binding */ MdDeveloperMode),
/* harmony export */   "MdDeviceHub": () => (/* binding */ MdDeviceHub),
/* harmony export */   "MdDevices": () => (/* binding */ MdDevices),
/* harmony export */   "MdDevicesOther": () => (/* binding */ MdDevicesOther),
/* harmony export */   "MdDialerSip": () => (/* binding */ MdDialerSip),
/* harmony export */   "MdDialpad": () => (/* binding */ MdDialpad),
/* harmony export */   "MdDirections": () => (/* binding */ MdDirections),
/* harmony export */   "MdDirectionsBike": () => (/* binding */ MdDirectionsBike),
/* harmony export */   "MdDirectionsBoat": () => (/* binding */ MdDirectionsBoat),
/* harmony export */   "MdDirectionsBus": () => (/* binding */ MdDirectionsBus),
/* harmony export */   "MdDirectionsCar": () => (/* binding */ MdDirectionsCar),
/* harmony export */   "MdDirectionsRailway": () => (/* binding */ MdDirectionsRailway),
/* harmony export */   "MdDirectionsRun": () => (/* binding */ MdDirectionsRun),
/* harmony export */   "MdDirectionsSubway": () => (/* binding */ MdDirectionsSubway),
/* harmony export */   "MdDirectionsTransit": () => (/* binding */ MdDirectionsTransit),
/* harmony export */   "MdDirectionsWalk": () => (/* binding */ MdDirectionsWalk),
/* harmony export */   "MdDiscFull": () => (/* binding */ MdDiscFull),
/* harmony export */   "MdDns": () => (/* binding */ MdDns),
/* harmony export */   "MdDoNotDisturb": () => (/* binding */ MdDoNotDisturb),
/* harmony export */   "MdDoNotDisturbAlt": () => (/* binding */ MdDoNotDisturbAlt),
/* harmony export */   "MdDoNotDisturbOff": () => (/* binding */ MdDoNotDisturbOff),
/* harmony export */   "MdDoNotDisturbOn": () => (/* binding */ MdDoNotDisturbOn),
/* harmony export */   "MdDock": () => (/* binding */ MdDock),
/* harmony export */   "MdDomain": () => (/* binding */ MdDomain),
/* harmony export */   "MdDone": () => (/* binding */ MdDone),
/* harmony export */   "MdDoneAll": () => (/* binding */ MdDoneAll),
/* harmony export */   "MdDonutLarge": () => (/* binding */ MdDonutLarge),
/* harmony export */   "MdDonutSmall": () => (/* binding */ MdDonutSmall),
/* harmony export */   "MdDrafts": () => (/* binding */ MdDrafts),
/* harmony export */   "MdDragHandle": () => (/* binding */ MdDragHandle),
/* harmony export */   "MdDriveEta": () => (/* binding */ MdDriveEta),
/* harmony export */   "MdDvr": () => (/* binding */ MdDvr),
/* harmony export */   "MdEdit": () => (/* binding */ MdEdit),
/* harmony export */   "MdEditLocation": () => (/* binding */ MdEditLocation),
/* harmony export */   "MdEject": () => (/* binding */ MdEject),
/* harmony export */   "MdEmail": () => (/* binding */ MdEmail),
/* harmony export */   "MdEnhancedEncryption": () => (/* binding */ MdEnhancedEncryption),
/* harmony export */   "MdEqualizer": () => (/* binding */ MdEqualizer),
/* harmony export */   "MdError": () => (/* binding */ MdError),
/* harmony export */   "MdErrorOutline": () => (/* binding */ MdErrorOutline),
/* harmony export */   "MdEuroSymbol": () => (/* binding */ MdEuroSymbol),
/* harmony export */   "MdEvStation": () => (/* binding */ MdEvStation),
/* harmony export */   "MdEvent": () => (/* binding */ MdEvent),
/* harmony export */   "MdEventAvailable": () => (/* binding */ MdEventAvailable),
/* harmony export */   "MdEventBusy": () => (/* binding */ MdEventBusy),
/* harmony export */   "MdEventNote": () => (/* binding */ MdEventNote),
/* harmony export */   "MdEventSeat": () => (/* binding */ MdEventSeat),
/* harmony export */   "MdExitToApp": () => (/* binding */ MdExitToApp),
/* harmony export */   "MdExpandLess": () => (/* binding */ MdExpandLess),
/* harmony export */   "MdExpandMore": () => (/* binding */ MdExpandMore),
/* harmony export */   "MdExplicit": () => (/* binding */ MdExplicit),
/* harmony export */   "MdExplore": () => (/* binding */ MdExplore),
/* harmony export */   "MdExposure": () => (/* binding */ MdExposure),
/* harmony export */   "MdExposureNeg1": () => (/* binding */ MdExposureNeg1),
/* harmony export */   "MdExposureNeg2": () => (/* binding */ MdExposureNeg2),
/* harmony export */   "MdExposurePlus1": () => (/* binding */ MdExposurePlus1),
/* harmony export */   "MdExposurePlus2": () => (/* binding */ MdExposurePlus2),
/* harmony export */   "MdExposureZero": () => (/* binding */ MdExposureZero),
/* harmony export */   "MdExtension": () => (/* binding */ MdExtension),
/* harmony export */   "MdFace": () => (/* binding */ MdFace),
/* harmony export */   "MdFastForward": () => (/* binding */ MdFastForward),
/* harmony export */   "MdFastRewind": () => (/* binding */ MdFastRewind),
/* harmony export */   "MdFavorite": () => (/* binding */ MdFavorite),
/* harmony export */   "MdFavoriteBorder": () => (/* binding */ MdFavoriteBorder),
/* harmony export */   "MdFeaturedPlayList": () => (/* binding */ MdFeaturedPlayList),
/* harmony export */   "MdFeaturedVideo": () => (/* binding */ MdFeaturedVideo),
/* harmony export */   "MdFeedback": () => (/* binding */ MdFeedback),
/* harmony export */   "MdFiberDvr": () => (/* binding */ MdFiberDvr),
/* harmony export */   "MdFiberManualRecord": () => (/* binding */ MdFiberManualRecord),
/* harmony export */   "MdFiberNew": () => (/* binding */ MdFiberNew),
/* harmony export */   "MdFiberPin": () => (/* binding */ MdFiberPin),
/* harmony export */   "MdFiberSmartRecord": () => (/* binding */ MdFiberSmartRecord),
/* harmony export */   "MdFileDownload": () => (/* binding */ MdFileDownload),
/* harmony export */   "MdFileUpload": () => (/* binding */ MdFileUpload),
/* harmony export */   "MdFilter": () => (/* binding */ MdFilter),
/* harmony export */   "MdFilter1": () => (/* binding */ MdFilter1),
/* harmony export */   "MdFilter2": () => (/* binding */ MdFilter2),
/* harmony export */   "MdFilter3": () => (/* binding */ MdFilter3),
/* harmony export */   "MdFilter4": () => (/* binding */ MdFilter4),
/* harmony export */   "MdFilter5": () => (/* binding */ MdFilter5),
/* harmony export */   "MdFilter6": () => (/* binding */ MdFilter6),
/* harmony export */   "MdFilter7": () => (/* binding */ MdFilter7),
/* harmony export */   "MdFilter8": () => (/* binding */ MdFilter8),
/* harmony export */   "MdFilter9": () => (/* binding */ MdFilter9),
/* harmony export */   "MdFilter9Plus": () => (/* binding */ MdFilter9Plus),
/* harmony export */   "MdFilterBAndW": () => (/* binding */ MdFilterBAndW),
/* harmony export */   "MdFilterCenterFocus": () => (/* binding */ MdFilterCenterFocus),
/* harmony export */   "MdFilterDrama": () => (/* binding */ MdFilterDrama),
/* harmony export */   "MdFilterFrames": () => (/* binding */ MdFilterFrames),
/* harmony export */   "MdFilterHdr": () => (/* binding */ MdFilterHdr),
/* harmony export */   "MdFilterList": () => (/* binding */ MdFilterList),
/* harmony export */   "MdFilterNone": () => (/* binding */ MdFilterNone),
/* harmony export */   "MdFilterTiltShift": () => (/* binding */ MdFilterTiltShift),
/* harmony export */   "MdFilterVintage": () => (/* binding */ MdFilterVintage),
/* harmony export */   "MdFindInPage": () => (/* binding */ MdFindInPage),
/* harmony export */   "MdFindReplace": () => (/* binding */ MdFindReplace),
/* harmony export */   "MdFingerprint": () => (/* binding */ MdFingerprint),
/* harmony export */   "MdFirstPage": () => (/* binding */ MdFirstPage),
/* harmony export */   "MdFitnessCenter": () => (/* binding */ MdFitnessCenter),
/* harmony export */   "MdFlag": () => (/* binding */ MdFlag),
/* harmony export */   "MdFlare": () => (/* binding */ MdFlare),
/* harmony export */   "MdFlashAuto": () => (/* binding */ MdFlashAuto),
/* harmony export */   "MdFlashOff": () => (/* binding */ MdFlashOff),
/* harmony export */   "MdFlashOn": () => (/* binding */ MdFlashOn),
/* harmony export */   "MdFlight": () => (/* binding */ MdFlight),
/* harmony export */   "MdFlightLand": () => (/* binding */ MdFlightLand),
/* harmony export */   "MdFlightTakeoff": () => (/* binding */ MdFlightTakeoff),
/* harmony export */   "MdFlip": () => (/* binding */ MdFlip),
/* harmony export */   "MdFlipToBack": () => (/* binding */ MdFlipToBack),
/* harmony export */   "MdFlipToFront": () => (/* binding */ MdFlipToFront),
/* harmony export */   "MdFolder": () => (/* binding */ MdFolder),
/* harmony export */   "MdFolderOpen": () => (/* binding */ MdFolderOpen),
/* harmony export */   "MdFolderShared": () => (/* binding */ MdFolderShared),
/* harmony export */   "MdFolderSpecial": () => (/* binding */ MdFolderSpecial),
/* harmony export */   "MdFontDownload": () => (/* binding */ MdFontDownload),
/* harmony export */   "MdFormatAlignCenter": () => (/* binding */ MdFormatAlignCenter),
/* harmony export */   "MdFormatAlignJustify": () => (/* binding */ MdFormatAlignJustify),
/* harmony export */   "MdFormatAlignLeft": () => (/* binding */ MdFormatAlignLeft),
/* harmony export */   "MdFormatAlignRight": () => (/* binding */ MdFormatAlignRight),
/* harmony export */   "MdFormatBold": () => (/* binding */ MdFormatBold),
/* harmony export */   "MdFormatClear": () => (/* binding */ MdFormatClear),
/* harmony export */   "MdFormatColorFill": () => (/* binding */ MdFormatColorFill),
/* harmony export */   "MdFormatColorReset": () => (/* binding */ MdFormatColorReset),
/* harmony export */   "MdFormatColorText": () => (/* binding */ MdFormatColorText),
/* harmony export */   "MdFormatIndentDecrease": () => (/* binding */ MdFormatIndentDecrease),
/* harmony export */   "MdFormatIndentIncrease": () => (/* binding */ MdFormatIndentIncrease),
/* harmony export */   "MdFormatItalic": () => (/* binding */ MdFormatItalic),
/* harmony export */   "MdFormatLineSpacing": () => (/* binding */ MdFormatLineSpacing),
/* harmony export */   "MdFormatListBulleted": () => (/* binding */ MdFormatListBulleted),
/* harmony export */   "MdFormatListNumbered": () => (/* binding */ MdFormatListNumbered),
/* harmony export */   "MdFormatPaint": () => (/* binding */ MdFormatPaint),
/* harmony export */   "MdFormatQuote": () => (/* binding */ MdFormatQuote),
/* harmony export */   "MdFormatShapes": () => (/* binding */ MdFormatShapes),
/* harmony export */   "MdFormatSize": () => (/* binding */ MdFormatSize),
/* harmony export */   "MdFormatStrikethrough": () => (/* binding */ MdFormatStrikethrough),
/* harmony export */   "MdFormatTextdirectionLToR": () => (/* binding */ MdFormatTextdirectionLToR),
/* harmony export */   "MdFormatTextdirectionRToL": () => (/* binding */ MdFormatTextdirectionRToL),
/* harmony export */   "MdFormatUnderlined": () => (/* binding */ MdFormatUnderlined),
/* harmony export */   "MdForum": () => (/* binding */ MdForum),
/* harmony export */   "MdForward": () => (/* binding */ MdForward),
/* harmony export */   "MdForward10": () => (/* binding */ MdForward10),
/* harmony export */   "MdForward30": () => (/* binding */ MdForward30),
/* harmony export */   "MdForward5": () => (/* binding */ MdForward5),
/* harmony export */   "MdFreeBreakfast": () => (/* binding */ MdFreeBreakfast),
/* harmony export */   "MdFullscreen": () => (/* binding */ MdFullscreen),
/* harmony export */   "MdFullscreenExit": () => (/* binding */ MdFullscreenExit),
/* harmony export */   "MdFunctions": () => (/* binding */ MdFunctions),
/* harmony export */   "MdGTranslate": () => (/* binding */ MdGTranslate),
/* harmony export */   "MdGamepad": () => (/* binding */ MdGamepad),
/* harmony export */   "MdGames": () => (/* binding */ MdGames),
/* harmony export */   "MdGavel": () => (/* binding */ MdGavel),
/* harmony export */   "MdGesture": () => (/* binding */ MdGesture),
/* harmony export */   "MdGetApp": () => (/* binding */ MdGetApp),
/* harmony export */   "MdGif": () => (/* binding */ MdGif),
/* harmony export */   "MdGolfCourse": () => (/* binding */ MdGolfCourse),
/* harmony export */   "MdGpsFixed": () => (/* binding */ MdGpsFixed),
/* harmony export */   "MdGpsNotFixed": () => (/* binding */ MdGpsNotFixed),
/* harmony export */   "MdGpsOff": () => (/* binding */ MdGpsOff),
/* harmony export */   "MdGrade": () => (/* binding */ MdGrade),
/* harmony export */   "MdGradient": () => (/* binding */ MdGradient),
/* harmony export */   "MdGrain": () => (/* binding */ MdGrain),
/* harmony export */   "MdGraphicEq": () => (/* binding */ MdGraphicEq),
/* harmony export */   "MdGridOff": () => (/* binding */ MdGridOff),
/* harmony export */   "MdGridOn": () => (/* binding */ MdGridOn),
/* harmony export */   "MdGroup": () => (/* binding */ MdGroup),
/* harmony export */   "MdGroupAdd": () => (/* binding */ MdGroupAdd),
/* harmony export */   "MdGroupWork": () => (/* binding */ MdGroupWork),
/* harmony export */   "MdHd": () => (/* binding */ MdHd),
/* harmony export */   "MdHdrOff": () => (/* binding */ MdHdrOff),
/* harmony export */   "MdHdrOn": () => (/* binding */ MdHdrOn),
/* harmony export */   "MdHdrStrong": () => (/* binding */ MdHdrStrong),
/* harmony export */   "MdHdrWeak": () => (/* binding */ MdHdrWeak),
/* harmony export */   "MdHeadset": () => (/* binding */ MdHeadset),
/* harmony export */   "MdHeadsetMic": () => (/* binding */ MdHeadsetMic),
/* harmony export */   "MdHealing": () => (/* binding */ MdHealing),
/* harmony export */   "MdHearing": () => (/* binding */ MdHearing),
/* harmony export */   "MdHelp": () => (/* binding */ MdHelp),
/* harmony export */   "MdHelpOutline": () => (/* binding */ MdHelpOutline),
/* harmony export */   "MdHighQuality": () => (/* binding */ MdHighQuality),
/* harmony export */   "MdHighlight": () => (/* binding */ MdHighlight),
/* harmony export */   "MdHighlightOff": () => (/* binding */ MdHighlightOff),
/* harmony export */   "MdHistory": () => (/* binding */ MdHistory),
/* harmony export */   "MdHome": () => (/* binding */ MdHome),
/* harmony export */   "MdHotTub": () => (/* binding */ MdHotTub),
/* harmony export */   "MdHotel": () => (/* binding */ MdHotel),
/* harmony export */   "MdHourglassEmpty": () => (/* binding */ MdHourglassEmpty),
/* harmony export */   "MdHourglassFull": () => (/* binding */ MdHourglassFull),
/* harmony export */   "MdHttp": () => (/* binding */ MdHttp),
/* harmony export */   "MdHttps": () => (/* binding */ MdHttps),
/* harmony export */   "MdImage": () => (/* binding */ MdImage),
/* harmony export */   "MdImageAspectRatio": () => (/* binding */ MdImageAspectRatio),
/* harmony export */   "MdImportContacts": () => (/* binding */ MdImportContacts),
/* harmony export */   "MdImportExport": () => (/* binding */ MdImportExport),
/* harmony export */   "MdImportantDevices": () => (/* binding */ MdImportantDevices),
/* harmony export */   "MdInbox": () => (/* binding */ MdInbox),
/* harmony export */   "MdIndeterminateCheckBox": () => (/* binding */ MdIndeterminateCheckBox),
/* harmony export */   "MdInfo": () => (/* binding */ MdInfo),
/* harmony export */   "MdInfoOutline": () => (/* binding */ MdInfoOutline),
/* harmony export */   "MdInput": () => (/* binding */ MdInput),
/* harmony export */   "MdInsertChart": () => (/* binding */ MdInsertChart),
/* harmony export */   "MdInsertComment": () => (/* binding */ MdInsertComment),
/* harmony export */   "MdInsertDriveFile": () => (/* binding */ MdInsertDriveFile),
/* harmony export */   "MdInsertEmoticon": () => (/* binding */ MdInsertEmoticon),
/* harmony export */   "MdInsertInvitation": () => (/* binding */ MdInsertInvitation),
/* harmony export */   "MdInsertLink": () => (/* binding */ MdInsertLink),
/* harmony export */   "MdInsertPhoto": () => (/* binding */ MdInsertPhoto),
/* harmony export */   "MdInvertColors": () => (/* binding */ MdInvertColors),
/* harmony export */   "MdInvertColorsOff": () => (/* binding */ MdInvertColorsOff),
/* harmony export */   "MdIso": () => (/* binding */ MdIso),
/* harmony export */   "MdKeyboard": () => (/* binding */ MdKeyboard),
/* harmony export */   "MdKeyboardArrowDown": () => (/* binding */ MdKeyboardArrowDown),
/* harmony export */   "MdKeyboardArrowLeft": () => (/* binding */ MdKeyboardArrowLeft),
/* harmony export */   "MdKeyboardArrowRight": () => (/* binding */ MdKeyboardArrowRight),
/* harmony export */   "MdKeyboardArrowUp": () => (/* binding */ MdKeyboardArrowUp),
/* harmony export */   "MdKeyboardBackspace": () => (/* binding */ MdKeyboardBackspace),
/* harmony export */   "MdKeyboardCapslock": () => (/* binding */ MdKeyboardCapslock),
/* harmony export */   "MdKeyboardHide": () => (/* binding */ MdKeyboardHide),
/* harmony export */   "MdKeyboardReturn": () => (/* binding */ MdKeyboardReturn),
/* harmony export */   "MdKeyboardTab": () => (/* binding */ MdKeyboardTab),
/* harmony export */   "MdKeyboardVoice": () => (/* binding */ MdKeyboardVoice),
/* harmony export */   "MdKitchen": () => (/* binding */ MdKitchen),
/* harmony export */   "MdLabel": () => (/* binding */ MdLabel),
/* harmony export */   "MdLabelOutline": () => (/* binding */ MdLabelOutline),
/* harmony export */   "MdLandscape": () => (/* binding */ MdLandscape),
/* harmony export */   "MdLanguage": () => (/* binding */ MdLanguage),
/* harmony export */   "MdLaptop": () => (/* binding */ MdLaptop),
/* harmony export */   "MdLaptopChromebook": () => (/* binding */ MdLaptopChromebook),
/* harmony export */   "MdLaptopMac": () => (/* binding */ MdLaptopMac),
/* harmony export */   "MdLaptopWindows": () => (/* binding */ MdLaptopWindows),
/* harmony export */   "MdLastPage": () => (/* binding */ MdLastPage),
/* harmony export */   "MdLaunch": () => (/* binding */ MdLaunch),
/* harmony export */   "MdLayers": () => (/* binding */ MdLayers),
/* harmony export */   "MdLayersClear": () => (/* binding */ MdLayersClear),
/* harmony export */   "MdLeakAdd": () => (/* binding */ MdLeakAdd),
/* harmony export */   "MdLeakRemove": () => (/* binding */ MdLeakRemove),
/* harmony export */   "MdLens": () => (/* binding */ MdLens),
/* harmony export */   "MdLibraryAdd": () => (/* binding */ MdLibraryAdd),
/* harmony export */   "MdLibraryBooks": () => (/* binding */ MdLibraryBooks),
/* harmony export */   "MdLibraryMusic": () => (/* binding */ MdLibraryMusic),
/* harmony export */   "MdLightbulbOutline": () => (/* binding */ MdLightbulbOutline),
/* harmony export */   "MdLineStyle": () => (/* binding */ MdLineStyle),
/* harmony export */   "MdLineWeight": () => (/* binding */ MdLineWeight),
/* harmony export */   "MdLinearScale": () => (/* binding */ MdLinearScale),
/* harmony export */   "MdLink": () => (/* binding */ MdLink),
/* harmony export */   "MdLinkedCamera": () => (/* binding */ MdLinkedCamera),
/* harmony export */   "MdList": () => (/* binding */ MdList),
/* harmony export */   "MdLiveHelp": () => (/* binding */ MdLiveHelp),
/* harmony export */   "MdLiveTv": () => (/* binding */ MdLiveTv),
/* harmony export */   "MdLocalActivity": () => (/* binding */ MdLocalActivity),
/* harmony export */   "MdLocalAirport": () => (/* binding */ MdLocalAirport),
/* harmony export */   "MdLocalAtm": () => (/* binding */ MdLocalAtm),
/* harmony export */   "MdLocalBar": () => (/* binding */ MdLocalBar),
/* harmony export */   "MdLocalCafe": () => (/* binding */ MdLocalCafe),
/* harmony export */   "MdLocalCarWash": () => (/* binding */ MdLocalCarWash),
/* harmony export */   "MdLocalConvenienceStore": () => (/* binding */ MdLocalConvenienceStore),
/* harmony export */   "MdLocalDining": () => (/* binding */ MdLocalDining),
/* harmony export */   "MdLocalDrink": () => (/* binding */ MdLocalDrink),
/* harmony export */   "MdLocalFlorist": () => (/* binding */ MdLocalFlorist),
/* harmony export */   "MdLocalGasStation": () => (/* binding */ MdLocalGasStation),
/* harmony export */   "MdLocalGroceryStore": () => (/* binding */ MdLocalGroceryStore),
/* harmony export */   "MdLocalHospital": () => (/* binding */ MdLocalHospital),
/* harmony export */   "MdLocalHotel": () => (/* binding */ MdLocalHotel),
/* harmony export */   "MdLocalLaundryService": () => (/* binding */ MdLocalLaundryService),
/* harmony export */   "MdLocalLibrary": () => (/* binding */ MdLocalLibrary),
/* harmony export */   "MdLocalMall": () => (/* binding */ MdLocalMall),
/* harmony export */   "MdLocalMovies": () => (/* binding */ MdLocalMovies),
/* harmony export */   "MdLocalOffer": () => (/* binding */ MdLocalOffer),
/* harmony export */   "MdLocalParking": () => (/* binding */ MdLocalParking),
/* harmony export */   "MdLocalPharmacy": () => (/* binding */ MdLocalPharmacy),
/* harmony export */   "MdLocalPhone": () => (/* binding */ MdLocalPhone),
/* harmony export */   "MdLocalPizza": () => (/* binding */ MdLocalPizza),
/* harmony export */   "MdLocalPlay": () => (/* binding */ MdLocalPlay),
/* harmony export */   "MdLocalPostOffice": () => (/* binding */ MdLocalPostOffice),
/* harmony export */   "MdLocalPrintshop": () => (/* binding */ MdLocalPrintshop),
/* harmony export */   "MdLocalSee": () => (/* binding */ MdLocalSee),
/* harmony export */   "MdLocalShipping": () => (/* binding */ MdLocalShipping),
/* harmony export */   "MdLocalTaxi": () => (/* binding */ MdLocalTaxi),
/* harmony export */   "MdLocationCity": () => (/* binding */ MdLocationCity),
/* harmony export */   "MdLocationDisabled": () => (/* binding */ MdLocationDisabled),
/* harmony export */   "MdLocationOff": () => (/* binding */ MdLocationOff),
/* harmony export */   "MdLocationOn": () => (/* binding */ MdLocationOn),
/* harmony export */   "MdLocationSearching": () => (/* binding */ MdLocationSearching),
/* harmony export */   "MdLock": () => (/* binding */ MdLock),
/* harmony export */   "MdLockOpen": () => (/* binding */ MdLockOpen),
/* harmony export */   "MdLockOutline": () => (/* binding */ MdLockOutline),
/* harmony export */   "MdLooks": () => (/* binding */ MdLooks),
/* harmony export */   "MdLooks3": () => (/* binding */ MdLooks3),
/* harmony export */   "MdLooks4": () => (/* binding */ MdLooks4),
/* harmony export */   "MdLooks5": () => (/* binding */ MdLooks5),
/* harmony export */   "MdLooks6": () => (/* binding */ MdLooks6),
/* harmony export */   "MdLooksOne": () => (/* binding */ MdLooksOne),
/* harmony export */   "MdLooksTwo": () => (/* binding */ MdLooksTwo),
/* harmony export */   "MdLoop": () => (/* binding */ MdLoop),
/* harmony export */   "MdLoupe": () => (/* binding */ MdLoupe),
/* harmony export */   "MdLowPriority": () => (/* binding */ MdLowPriority),
/* harmony export */   "MdLoyalty": () => (/* binding */ MdLoyalty),
/* harmony export */   "MdMail": () => (/* binding */ MdMail),
/* harmony export */   "MdMailOutline": () => (/* binding */ MdMailOutline),
/* harmony export */   "MdMap": () => (/* binding */ MdMap),
/* harmony export */   "MdMarkunread": () => (/* binding */ MdMarkunread),
/* harmony export */   "MdMarkunreadMailbox": () => (/* binding */ MdMarkunreadMailbox),
/* harmony export */   "MdMemory": () => (/* binding */ MdMemory),
/* harmony export */   "MdMenu": () => (/* binding */ MdMenu),
/* harmony export */   "MdMergeType": () => (/* binding */ MdMergeType),
/* harmony export */   "MdMessage": () => (/* binding */ MdMessage),
/* harmony export */   "MdMic": () => (/* binding */ MdMic),
/* harmony export */   "MdMicNone": () => (/* binding */ MdMicNone),
/* harmony export */   "MdMicOff": () => (/* binding */ MdMicOff),
/* harmony export */   "MdMms": () => (/* binding */ MdMms),
/* harmony export */   "MdModeComment": () => (/* binding */ MdModeComment),
/* harmony export */   "MdModeEdit": () => (/* binding */ MdModeEdit),
/* harmony export */   "MdMonetizationOn": () => (/* binding */ MdMonetizationOn),
/* harmony export */   "MdMoneyOff": () => (/* binding */ MdMoneyOff),
/* harmony export */   "MdMonochromePhotos": () => (/* binding */ MdMonochromePhotos),
/* harmony export */   "MdMood": () => (/* binding */ MdMood),
/* harmony export */   "MdMoodBad": () => (/* binding */ MdMoodBad),
/* harmony export */   "MdMore": () => (/* binding */ MdMore),
/* harmony export */   "MdMoreHoriz": () => (/* binding */ MdMoreHoriz),
/* harmony export */   "MdMoreVert": () => (/* binding */ MdMoreVert),
/* harmony export */   "MdMotorcycle": () => (/* binding */ MdMotorcycle),
/* harmony export */   "MdMouse": () => (/* binding */ MdMouse),
/* harmony export */   "MdMoveToInbox": () => (/* binding */ MdMoveToInbox),
/* harmony export */   "MdMovie": () => (/* binding */ MdMovie),
/* harmony export */   "MdMovieCreation": () => (/* binding */ MdMovieCreation),
/* harmony export */   "MdMovieFilter": () => (/* binding */ MdMovieFilter),
/* harmony export */   "MdMultilineChart": () => (/* binding */ MdMultilineChart),
/* harmony export */   "MdMusicNote": () => (/* binding */ MdMusicNote),
/* harmony export */   "MdMusicVideo": () => (/* binding */ MdMusicVideo),
/* harmony export */   "MdMyLocation": () => (/* binding */ MdMyLocation),
/* harmony export */   "MdNature": () => (/* binding */ MdNature),
/* harmony export */   "MdNaturePeople": () => (/* binding */ MdNaturePeople),
/* harmony export */   "MdNavigateBefore": () => (/* binding */ MdNavigateBefore),
/* harmony export */   "MdNavigateNext": () => (/* binding */ MdNavigateNext),
/* harmony export */   "MdNavigation": () => (/* binding */ MdNavigation),
/* harmony export */   "MdNearMe": () => (/* binding */ MdNearMe),
/* harmony export */   "MdNetworkCell": () => (/* binding */ MdNetworkCell),
/* harmony export */   "MdNetworkCheck": () => (/* binding */ MdNetworkCheck),
/* harmony export */   "MdNetworkLocked": () => (/* binding */ MdNetworkLocked),
/* harmony export */   "MdNetworkWifi": () => (/* binding */ MdNetworkWifi),
/* harmony export */   "MdNewReleases": () => (/* binding */ MdNewReleases),
/* harmony export */   "MdNextWeek": () => (/* binding */ MdNextWeek),
/* harmony export */   "MdNfc": () => (/* binding */ MdNfc),
/* harmony export */   "MdNoEncryption": () => (/* binding */ MdNoEncryption),
/* harmony export */   "MdNoSim": () => (/* binding */ MdNoSim),
/* harmony export */   "MdNotInterested": () => (/* binding */ MdNotInterested),
/* harmony export */   "MdNote": () => (/* binding */ MdNote),
/* harmony export */   "MdNoteAdd": () => (/* binding */ MdNoteAdd),
/* harmony export */   "MdNotifications": () => (/* binding */ MdNotifications),
/* harmony export */   "MdNotificationsActive": () => (/* binding */ MdNotificationsActive),
/* harmony export */   "MdNotificationsNone": () => (/* binding */ MdNotificationsNone),
/* harmony export */   "MdNotificationsOff": () => (/* binding */ MdNotificationsOff),
/* harmony export */   "MdNotificationsPaused": () => (/* binding */ MdNotificationsPaused),
/* harmony export */   "MdOfflinePin": () => (/* binding */ MdOfflinePin),
/* harmony export */   "MdOndemandVideo": () => (/* binding */ MdOndemandVideo),
/* harmony export */   "MdOpacity": () => (/* binding */ MdOpacity),
/* harmony export */   "MdOpenInBrowser": () => (/* binding */ MdOpenInBrowser),
/* harmony export */   "MdOpenInNew": () => (/* binding */ MdOpenInNew),
/* harmony export */   "MdOpenWith": () => (/* binding */ MdOpenWith),
/* harmony export */   "MdPages": () => (/* binding */ MdPages),
/* harmony export */   "MdPageview": () => (/* binding */ MdPageview),
/* harmony export */   "MdPalette": () => (/* binding */ MdPalette),
/* harmony export */   "MdPanTool": () => (/* binding */ MdPanTool),
/* harmony export */   "MdPanorama": () => (/* binding */ MdPanorama),
/* harmony export */   "MdPanoramaFishEye": () => (/* binding */ MdPanoramaFishEye),
/* harmony export */   "MdPanoramaHorizontal": () => (/* binding */ MdPanoramaHorizontal),
/* harmony export */   "MdPanoramaVertical": () => (/* binding */ MdPanoramaVertical),
/* harmony export */   "MdPanoramaWideAngle": () => (/* binding */ MdPanoramaWideAngle),
/* harmony export */   "MdPartyMode": () => (/* binding */ MdPartyMode),
/* harmony export */   "MdPause": () => (/* binding */ MdPause),
/* harmony export */   "MdPauseCircleFilled": () => (/* binding */ MdPauseCircleFilled),
/* harmony export */   "MdPauseCircleOutline": () => (/* binding */ MdPauseCircleOutline),
/* harmony export */   "MdPayment": () => (/* binding */ MdPayment),
/* harmony export */   "MdPeople": () => (/* binding */ MdPeople),
/* harmony export */   "MdPeopleOutline": () => (/* binding */ MdPeopleOutline),
/* harmony export */   "MdPermCameraMic": () => (/* binding */ MdPermCameraMic),
/* harmony export */   "MdPermContactCalendar": () => (/* binding */ MdPermContactCalendar),
/* harmony export */   "MdPermDataSetting": () => (/* binding */ MdPermDataSetting),
/* harmony export */   "MdPermDeviceInformation": () => (/* binding */ MdPermDeviceInformation),
/* harmony export */   "MdPermIdentity": () => (/* binding */ MdPermIdentity),
/* harmony export */   "MdPermMedia": () => (/* binding */ MdPermMedia),
/* harmony export */   "MdPermPhoneMsg": () => (/* binding */ MdPermPhoneMsg),
/* harmony export */   "MdPermScanWifi": () => (/* binding */ MdPermScanWifi),
/* harmony export */   "MdPerson": () => (/* binding */ MdPerson),
/* harmony export */   "MdPersonAdd": () => (/* binding */ MdPersonAdd),
/* harmony export */   "MdPersonOutline": () => (/* binding */ MdPersonOutline),
/* harmony export */   "MdPersonPin": () => (/* binding */ MdPersonPin),
/* harmony export */   "MdPersonPinCircle": () => (/* binding */ MdPersonPinCircle),
/* harmony export */   "MdPersonalVideo": () => (/* binding */ MdPersonalVideo),
/* harmony export */   "MdPets": () => (/* binding */ MdPets),
/* harmony export */   "MdPhone": () => (/* binding */ MdPhone),
/* harmony export */   "MdPhoneAndroid": () => (/* binding */ MdPhoneAndroid),
/* harmony export */   "MdPhoneBluetoothSpeaker": () => (/* binding */ MdPhoneBluetoothSpeaker),
/* harmony export */   "MdPhoneForwarded": () => (/* binding */ MdPhoneForwarded),
/* harmony export */   "MdPhoneInTalk": () => (/* binding */ MdPhoneInTalk),
/* harmony export */   "MdPhoneIphone": () => (/* binding */ MdPhoneIphone),
/* harmony export */   "MdPhoneLocked": () => (/* binding */ MdPhoneLocked),
/* harmony export */   "MdPhoneMissed": () => (/* binding */ MdPhoneMissed),
/* harmony export */   "MdPhonePaused": () => (/* binding */ MdPhonePaused),
/* harmony export */   "MdPhonelink": () => (/* binding */ MdPhonelink),
/* harmony export */   "MdPhonelinkErase": () => (/* binding */ MdPhonelinkErase),
/* harmony export */   "MdPhonelinkLock": () => (/* binding */ MdPhonelinkLock),
/* harmony export */   "MdPhonelinkOff": () => (/* binding */ MdPhonelinkOff),
/* harmony export */   "MdPhonelinkRing": () => (/* binding */ MdPhonelinkRing),
/* harmony export */   "MdPhonelinkSetup": () => (/* binding */ MdPhonelinkSetup),
/* harmony export */   "MdPhoto": () => (/* binding */ MdPhoto),
/* harmony export */   "MdPhotoAlbum": () => (/* binding */ MdPhotoAlbum),
/* harmony export */   "MdPhotoCamera": () => (/* binding */ MdPhotoCamera),
/* harmony export */   "MdPhotoFilter": () => (/* binding */ MdPhotoFilter),
/* harmony export */   "MdPhotoLibrary": () => (/* binding */ MdPhotoLibrary),
/* harmony export */   "MdPhotoSizeSelectActual": () => (/* binding */ MdPhotoSizeSelectActual),
/* harmony export */   "MdPhotoSizeSelectLarge": () => (/* binding */ MdPhotoSizeSelectLarge),
/* harmony export */   "MdPhotoSizeSelectSmall": () => (/* binding */ MdPhotoSizeSelectSmall),
/* harmony export */   "MdPictureAsPdf": () => (/* binding */ MdPictureAsPdf),
/* harmony export */   "MdPictureInPicture": () => (/* binding */ MdPictureInPicture),
/* harmony export */   "MdPictureInPictureAlt": () => (/* binding */ MdPictureInPictureAlt),
/* harmony export */   "MdPieChart": () => (/* binding */ MdPieChart),
/* harmony export */   "MdPieChartOutlined": () => (/* binding */ MdPieChartOutlined),
/* harmony export */   "MdPinDrop": () => (/* binding */ MdPinDrop),
/* harmony export */   "MdPlace": () => (/* binding */ MdPlace),
/* harmony export */   "MdPlayArrow": () => (/* binding */ MdPlayArrow),
/* harmony export */   "MdPlayCircleFilled": () => (/* binding */ MdPlayCircleFilled),
/* harmony export */   "MdPlayCircleOutline": () => (/* binding */ MdPlayCircleOutline),
/* harmony export */   "MdPlayForWork": () => (/* binding */ MdPlayForWork),
/* harmony export */   "MdPlaylistAdd": () => (/* binding */ MdPlaylistAdd),
/* harmony export */   "MdPlaylistAddCheck": () => (/* binding */ MdPlaylistAddCheck),
/* harmony export */   "MdPlaylistPlay": () => (/* binding */ MdPlaylistPlay),
/* harmony export */   "MdPlusOne": () => (/* binding */ MdPlusOne),
/* harmony export */   "MdPoll": () => (/* binding */ MdPoll),
/* harmony export */   "MdPolymer": () => (/* binding */ MdPolymer),
/* harmony export */   "MdPool": () => (/* binding */ MdPool),
/* harmony export */   "MdPortableWifiOff": () => (/* binding */ MdPortableWifiOff),
/* harmony export */   "MdPortrait": () => (/* binding */ MdPortrait),
/* harmony export */   "MdPower": () => (/* binding */ MdPower),
/* harmony export */   "MdPowerInput": () => (/* binding */ MdPowerInput),
/* harmony export */   "MdPowerSettingsNew": () => (/* binding */ MdPowerSettingsNew),
/* harmony export */   "MdPregnantWoman": () => (/* binding */ MdPregnantWoman),
/* harmony export */   "MdPresentToAll": () => (/* binding */ MdPresentToAll),
/* harmony export */   "MdPrint": () => (/* binding */ MdPrint),
/* harmony export */   "MdPriorityHigh": () => (/* binding */ MdPriorityHigh),
/* harmony export */   "MdPublic": () => (/* binding */ MdPublic),
/* harmony export */   "MdPublish": () => (/* binding */ MdPublish),
/* harmony export */   "MdQueryBuilder": () => (/* binding */ MdQueryBuilder),
/* harmony export */   "MdQuestionAnswer": () => (/* binding */ MdQuestionAnswer),
/* harmony export */   "MdQueue": () => (/* binding */ MdQueue),
/* harmony export */   "MdQueueMusic": () => (/* binding */ MdQueueMusic),
/* harmony export */   "MdQueuePlayNext": () => (/* binding */ MdQueuePlayNext),
/* harmony export */   "MdRadio": () => (/* binding */ MdRadio),
/* harmony export */   "MdRadioButtonChecked": () => (/* binding */ MdRadioButtonChecked),
/* harmony export */   "MdRadioButtonUnchecked": () => (/* binding */ MdRadioButtonUnchecked),
/* harmony export */   "MdRateReview": () => (/* binding */ MdRateReview),
/* harmony export */   "MdReceipt": () => (/* binding */ MdReceipt),
/* harmony export */   "MdRecentActors": () => (/* binding */ MdRecentActors),
/* harmony export */   "MdRecordVoiceOver": () => (/* binding */ MdRecordVoiceOver),
/* harmony export */   "MdRedeem": () => (/* binding */ MdRedeem),
/* harmony export */   "MdRedo": () => (/* binding */ MdRedo),
/* harmony export */   "MdRefresh": () => (/* binding */ MdRefresh),
/* harmony export */   "MdRemove": () => (/* binding */ MdRemove),
/* harmony export */   "MdRemoveCircle": () => (/* binding */ MdRemoveCircle),
/* harmony export */   "MdRemoveCircleOutline": () => (/* binding */ MdRemoveCircleOutline),
/* harmony export */   "MdRemoveFromQueue": () => (/* binding */ MdRemoveFromQueue),
/* harmony export */   "MdRemoveRedEye": () => (/* binding */ MdRemoveRedEye),
/* harmony export */   "MdRemoveShoppingCart": () => (/* binding */ MdRemoveShoppingCart),
/* harmony export */   "MdReorder": () => (/* binding */ MdReorder),
/* harmony export */   "MdRepeat": () => (/* binding */ MdRepeat),
/* harmony export */   "MdRepeatOne": () => (/* binding */ MdRepeatOne),
/* harmony export */   "MdReplay": () => (/* binding */ MdReplay),
/* harmony export */   "MdReplay10": () => (/* binding */ MdReplay10),
/* harmony export */   "MdReplay30": () => (/* binding */ MdReplay30),
/* harmony export */   "MdReplay5": () => (/* binding */ MdReplay5),
/* harmony export */   "MdReply": () => (/* binding */ MdReply),
/* harmony export */   "MdReplyAll": () => (/* binding */ MdReplyAll),
/* harmony export */   "MdReport": () => (/* binding */ MdReport),
/* harmony export */   "MdReportProblem": () => (/* binding */ MdReportProblem),
/* harmony export */   "MdRestaurant": () => (/* binding */ MdRestaurant),
/* harmony export */   "MdRestaurantMenu": () => (/* binding */ MdRestaurantMenu),
/* harmony export */   "MdRestore": () => (/* binding */ MdRestore),
/* harmony export */   "MdRestorePage": () => (/* binding */ MdRestorePage),
/* harmony export */   "MdRingVolume": () => (/* binding */ MdRingVolume),
/* harmony export */   "MdRoom": () => (/* binding */ MdRoom),
/* harmony export */   "MdRoomService": () => (/* binding */ MdRoomService),
/* harmony export */   "MdRotate90DegreesCcw": () => (/* binding */ MdRotate90DegreesCcw),
/* harmony export */   "MdRotateLeft": () => (/* binding */ MdRotateLeft),
/* harmony export */   "MdRotateRight": () => (/* binding */ MdRotateRight),
/* harmony export */   "MdRoundedCorner": () => (/* binding */ MdRoundedCorner),
/* harmony export */   "MdRouter": () => (/* binding */ MdRouter),
/* harmony export */   "MdRowing": () => (/* binding */ MdRowing),
/* harmony export */   "MdRssFeed": () => (/* binding */ MdRssFeed),
/* harmony export */   "MdRvHookup": () => (/* binding */ MdRvHookup),
/* harmony export */   "MdSatellite": () => (/* binding */ MdSatellite),
/* harmony export */   "MdSave": () => (/* binding */ MdSave),
/* harmony export */   "MdScanner": () => (/* binding */ MdScanner),
/* harmony export */   "MdSchedule": () => (/* binding */ MdSchedule),
/* harmony export */   "MdSchool": () => (/* binding */ MdSchool),
/* harmony export */   "MdScreenLockLandscape": () => (/* binding */ MdScreenLockLandscape),
/* harmony export */   "MdScreenLockPortrait": () => (/* binding */ MdScreenLockPortrait),
/* harmony export */   "MdScreenLockRotation": () => (/* binding */ MdScreenLockRotation),
/* harmony export */   "MdScreenRotation": () => (/* binding */ MdScreenRotation),
/* harmony export */   "MdScreenShare": () => (/* binding */ MdScreenShare),
/* harmony export */   "MdSdCard": () => (/* binding */ MdSdCard),
/* harmony export */   "MdSdStorage": () => (/* binding */ MdSdStorage),
/* harmony export */   "MdSearch": () => (/* binding */ MdSearch),
/* harmony export */   "MdSecurity": () => (/* binding */ MdSecurity),
/* harmony export */   "MdSelectAll": () => (/* binding */ MdSelectAll),
/* harmony export */   "MdSend": () => (/* binding */ MdSend),
/* harmony export */   "MdSentimentDissatisfied": () => (/* binding */ MdSentimentDissatisfied),
/* harmony export */   "MdSentimentNeutral": () => (/* binding */ MdSentimentNeutral),
/* harmony export */   "MdSentimentSatisfied": () => (/* binding */ MdSentimentSatisfied),
/* harmony export */   "MdSentimentVeryDissatisfied": () => (/* binding */ MdSentimentVeryDissatisfied),
/* harmony export */   "MdSentimentVerySatisfied": () => (/* binding */ MdSentimentVerySatisfied),
/* harmony export */   "MdSettings": () => (/* binding */ MdSettings),
/* harmony export */   "MdSettingsApplications": () => (/* binding */ MdSettingsApplications),
/* harmony export */   "MdSettingsBackupRestore": () => (/* binding */ MdSettingsBackupRestore),
/* harmony export */   "MdSettingsBluetooth": () => (/* binding */ MdSettingsBluetooth),
/* harmony export */   "MdSettingsBrightness": () => (/* binding */ MdSettingsBrightness),
/* harmony export */   "MdSettingsCell": () => (/* binding */ MdSettingsCell),
/* harmony export */   "MdSettingsEthernet": () => (/* binding */ MdSettingsEthernet),
/* harmony export */   "MdSettingsInputAntenna": () => (/* binding */ MdSettingsInputAntenna),
/* harmony export */   "MdSettingsInputComponent": () => (/* binding */ MdSettingsInputComponent),
/* harmony export */   "MdSettingsInputComposite": () => (/* binding */ MdSettingsInputComposite),
/* harmony export */   "MdSettingsInputHdmi": () => (/* binding */ MdSettingsInputHdmi),
/* harmony export */   "MdSettingsInputSvideo": () => (/* binding */ MdSettingsInputSvideo),
/* harmony export */   "MdSettingsOverscan": () => (/* binding */ MdSettingsOverscan),
/* harmony export */   "MdSettingsPhone": () => (/* binding */ MdSettingsPhone),
/* harmony export */   "MdSettingsPower": () => (/* binding */ MdSettingsPower),
/* harmony export */   "MdSettingsRemote": () => (/* binding */ MdSettingsRemote),
/* harmony export */   "MdSettingsSystemDaydream": () => (/* binding */ MdSettingsSystemDaydream),
/* harmony export */   "MdSettingsVoice": () => (/* binding */ MdSettingsVoice),
/* harmony export */   "MdShare": () => (/* binding */ MdShare),
/* harmony export */   "MdShop": () => (/* binding */ MdShop),
/* harmony export */   "MdShopTwo": () => (/* binding */ MdShopTwo),
/* harmony export */   "MdShoppingBasket": () => (/* binding */ MdShoppingBasket),
/* harmony export */   "MdShoppingCart": () => (/* binding */ MdShoppingCart),
/* harmony export */   "MdShortText": () => (/* binding */ MdShortText),
/* harmony export */   "MdShowChart": () => (/* binding */ MdShowChart),
/* harmony export */   "MdShuffle": () => (/* binding */ MdShuffle),
/* harmony export */   "MdSignalCellular0Bar": () => (/* binding */ MdSignalCellular0Bar),
/* harmony export */   "MdSignalCellular1Bar": () => (/* binding */ MdSignalCellular1Bar),
/* harmony export */   "MdSignalCellular2Bar": () => (/* binding */ MdSignalCellular2Bar),
/* harmony export */   "MdSignalCellular3Bar": () => (/* binding */ MdSignalCellular3Bar),
/* harmony export */   "MdSignalCellular4Bar": () => (/* binding */ MdSignalCellular4Bar),
/* harmony export */   "MdSignalCellularConnectedNoInternet0Bar": () => (/* binding */ MdSignalCellularConnectedNoInternet0Bar),
/* harmony export */   "MdSignalCellularConnectedNoInternet1Bar": () => (/* binding */ MdSignalCellularConnectedNoInternet1Bar),
/* harmony export */   "MdSignalCellularConnectedNoInternet2Bar": () => (/* binding */ MdSignalCellularConnectedNoInternet2Bar),
/* harmony export */   "MdSignalCellularConnectedNoInternet3Bar": () => (/* binding */ MdSignalCellularConnectedNoInternet3Bar),
/* harmony export */   "MdSignalCellularConnectedNoInternet4Bar": () => (/* binding */ MdSignalCellularConnectedNoInternet4Bar),
/* harmony export */   "MdSignalCellularNoSim": () => (/* binding */ MdSignalCellularNoSim),
/* harmony export */   "MdSignalCellularNull": () => (/* binding */ MdSignalCellularNull),
/* harmony export */   "MdSignalCellularOff": () => (/* binding */ MdSignalCellularOff),
/* harmony export */   "MdSignalWifi0Bar": () => (/* binding */ MdSignalWifi0Bar),
/* harmony export */   "MdSignalWifi1Bar": () => (/* binding */ MdSignalWifi1Bar),
/* harmony export */   "MdSignalWifi1BarLock": () => (/* binding */ MdSignalWifi1BarLock),
/* harmony export */   "MdSignalWifi2Bar": () => (/* binding */ MdSignalWifi2Bar),
/* harmony export */   "MdSignalWifi2BarLock": () => (/* binding */ MdSignalWifi2BarLock),
/* harmony export */   "MdSignalWifi3Bar": () => (/* binding */ MdSignalWifi3Bar),
/* harmony export */   "MdSignalWifi3BarLock": () => (/* binding */ MdSignalWifi3BarLock),
/* harmony export */   "MdSignalWifi4Bar": () => (/* binding */ MdSignalWifi4Bar),
/* harmony export */   "MdSignalWifi4BarLock": () => (/* binding */ MdSignalWifi4BarLock),
/* harmony export */   "MdSignalWifiOff": () => (/* binding */ MdSignalWifiOff),
/* harmony export */   "MdSimCard": () => (/* binding */ MdSimCard),
/* harmony export */   "MdSimCardAlert": () => (/* binding */ MdSimCardAlert),
/* harmony export */   "MdSkipNext": () => (/* binding */ MdSkipNext),
/* harmony export */   "MdSkipPrevious": () => (/* binding */ MdSkipPrevious),
/* harmony export */   "MdSlideshow": () => (/* binding */ MdSlideshow),
/* harmony export */   "MdSlowMotionVideo": () => (/* binding */ MdSlowMotionVideo),
/* harmony export */   "MdSmartphone": () => (/* binding */ MdSmartphone),
/* harmony export */   "MdSmokeFree": () => (/* binding */ MdSmokeFree),
/* harmony export */   "MdSmokingRooms": () => (/* binding */ MdSmokingRooms),
/* harmony export */   "MdSms": () => (/* binding */ MdSms),
/* harmony export */   "MdSmsFailed": () => (/* binding */ MdSmsFailed),
/* harmony export */   "MdSnooze": () => (/* binding */ MdSnooze),
/* harmony export */   "MdSort": () => (/* binding */ MdSort),
/* harmony export */   "MdSortByAlpha": () => (/* binding */ MdSortByAlpha),
/* harmony export */   "MdSpa": () => (/* binding */ MdSpa),
/* harmony export */   "MdSpaceBar": () => (/* binding */ MdSpaceBar),
/* harmony export */   "MdSpeaker": () => (/* binding */ MdSpeaker),
/* harmony export */   "MdSpeakerGroup": () => (/* binding */ MdSpeakerGroup),
/* harmony export */   "MdSpeakerNotes": () => (/* binding */ MdSpeakerNotes),
/* harmony export */   "MdSpeakerNotesOff": () => (/* binding */ MdSpeakerNotesOff),
/* harmony export */   "MdSpeakerPhone": () => (/* binding */ MdSpeakerPhone),
/* harmony export */   "MdSpellcheck": () => (/* binding */ MdSpellcheck),
/* harmony export */   "MdStar": () => (/* binding */ MdStar),
/* harmony export */   "MdStarBorder": () => (/* binding */ MdStarBorder),
/* harmony export */   "MdStarHalf": () => (/* binding */ MdStarHalf),
/* harmony export */   "MdStars": () => (/* binding */ MdStars),
/* harmony export */   "MdStayCurrentLandscape": () => (/* binding */ MdStayCurrentLandscape),
/* harmony export */   "MdStayCurrentPortrait": () => (/* binding */ MdStayCurrentPortrait),
/* harmony export */   "MdStayPrimaryLandscape": () => (/* binding */ MdStayPrimaryLandscape),
/* harmony export */   "MdStayPrimaryPortrait": () => (/* binding */ MdStayPrimaryPortrait),
/* harmony export */   "MdStop": () => (/* binding */ MdStop),
/* harmony export */   "MdStopScreenShare": () => (/* binding */ MdStopScreenShare),
/* harmony export */   "MdStorage": () => (/* binding */ MdStorage),
/* harmony export */   "MdStore": () => (/* binding */ MdStore),
/* harmony export */   "MdStoreMallDirectory": () => (/* binding */ MdStoreMallDirectory),
/* harmony export */   "MdStraighten": () => (/* binding */ MdStraighten),
/* harmony export */   "MdStreetview": () => (/* binding */ MdStreetview),
/* harmony export */   "MdStrikethroughS": () => (/* binding */ MdStrikethroughS),
/* harmony export */   "MdStyle": () => (/* binding */ MdStyle),
/* harmony export */   "MdSubdirectoryArrowLeft": () => (/* binding */ MdSubdirectoryArrowLeft),
/* harmony export */   "MdSubdirectoryArrowRight": () => (/* binding */ MdSubdirectoryArrowRight),
/* harmony export */   "MdSubject": () => (/* binding */ MdSubject),
/* harmony export */   "MdSubscriptions": () => (/* binding */ MdSubscriptions),
/* harmony export */   "MdSubtitles": () => (/* binding */ MdSubtitles),
/* harmony export */   "MdSubway": () => (/* binding */ MdSubway),
/* harmony export */   "MdSupervisorAccount": () => (/* binding */ MdSupervisorAccount),
/* harmony export */   "MdSurroundSound": () => (/* binding */ MdSurroundSound),
/* harmony export */   "MdSwapCalls": () => (/* binding */ MdSwapCalls),
/* harmony export */   "MdSwapHoriz": () => (/* binding */ MdSwapHoriz),
/* harmony export */   "MdSwapVert": () => (/* binding */ MdSwapVert),
/* harmony export */   "MdSwapVerticalCircle": () => (/* binding */ MdSwapVerticalCircle),
/* harmony export */   "MdSwitchCamera": () => (/* binding */ MdSwitchCamera),
/* harmony export */   "MdSwitchVideo": () => (/* binding */ MdSwitchVideo),
/* harmony export */   "MdSync": () => (/* binding */ MdSync),
/* harmony export */   "MdSyncDisabled": () => (/* binding */ MdSyncDisabled),
/* harmony export */   "MdSyncProblem": () => (/* binding */ MdSyncProblem),
/* harmony export */   "MdSystemUpdate": () => (/* binding */ MdSystemUpdate),
/* harmony export */   "MdSystemUpdateAlt": () => (/* binding */ MdSystemUpdateAlt),
/* harmony export */   "MdTab": () => (/* binding */ MdTab),
/* harmony export */   "MdTabUnselected": () => (/* binding */ MdTabUnselected),
/* harmony export */   "MdTablet": () => (/* binding */ MdTablet),
/* harmony export */   "MdTabletAndroid": () => (/* binding */ MdTabletAndroid),
/* harmony export */   "MdTabletMac": () => (/* binding */ MdTabletMac),
/* harmony export */   "MdTagFaces": () => (/* binding */ MdTagFaces),
/* harmony export */   "MdTapAndPlay": () => (/* binding */ MdTapAndPlay),
/* harmony export */   "MdTerrain": () => (/* binding */ MdTerrain),
/* harmony export */   "MdTextFields": () => (/* binding */ MdTextFields),
/* harmony export */   "MdTextFormat": () => (/* binding */ MdTextFormat),
/* harmony export */   "MdTextsms": () => (/* binding */ MdTextsms),
/* harmony export */   "MdTexture": () => (/* binding */ MdTexture),
/* harmony export */   "MdTheaters": () => (/* binding */ MdTheaters),
/* harmony export */   "MdThumbDown": () => (/* binding */ MdThumbDown),
/* harmony export */   "MdThumbUp": () => (/* binding */ MdThumbUp),
/* harmony export */   "MdThumbsUpDown": () => (/* binding */ MdThumbsUpDown),
/* harmony export */   "MdTimeToLeave": () => (/* binding */ MdTimeToLeave),
/* harmony export */   "MdTimelapse": () => (/* binding */ MdTimelapse),
/* harmony export */   "MdTimeline": () => (/* binding */ MdTimeline),
/* harmony export */   "MdTimer": () => (/* binding */ MdTimer),
/* harmony export */   "MdTimer10": () => (/* binding */ MdTimer10),
/* harmony export */   "MdTimer3": () => (/* binding */ MdTimer3),
/* harmony export */   "MdTimerOff": () => (/* binding */ MdTimerOff),
/* harmony export */   "MdTitle": () => (/* binding */ MdTitle),
/* harmony export */   "MdToc": () => (/* binding */ MdToc),
/* harmony export */   "MdToday": () => (/* binding */ MdToday),
/* harmony export */   "MdToll": () => (/* binding */ MdToll),
/* harmony export */   "MdTonality": () => (/* binding */ MdTonality),
/* harmony export */   "MdTouchApp": () => (/* binding */ MdTouchApp),
/* harmony export */   "MdToys": () => (/* binding */ MdToys),
/* harmony export */   "MdTrackChanges": () => (/* binding */ MdTrackChanges),
/* harmony export */   "MdTraffic": () => (/* binding */ MdTraffic),
/* harmony export */   "MdTrain": () => (/* binding */ MdTrain),
/* harmony export */   "MdTram": () => (/* binding */ MdTram),
/* harmony export */   "MdTransferWithinAStation": () => (/* binding */ MdTransferWithinAStation),
/* harmony export */   "MdTransform": () => (/* binding */ MdTransform),
/* harmony export */   "MdTranslate": () => (/* binding */ MdTranslate),
/* harmony export */   "MdTrendingDown": () => (/* binding */ MdTrendingDown),
/* harmony export */   "MdTrendingFlat": () => (/* binding */ MdTrendingFlat),
/* harmony export */   "MdTrendingUp": () => (/* binding */ MdTrendingUp),
/* harmony export */   "MdTune": () => (/* binding */ MdTune),
/* harmony export */   "MdTurnedIn": () => (/* binding */ MdTurnedIn),
/* harmony export */   "MdTurnedInNot": () => (/* binding */ MdTurnedInNot),
/* harmony export */   "MdTv": () => (/* binding */ MdTv),
/* harmony export */   "MdUnarchive": () => (/* binding */ MdUnarchive),
/* harmony export */   "MdUndo": () => (/* binding */ MdUndo),
/* harmony export */   "MdUnfoldLess": () => (/* binding */ MdUnfoldLess),
/* harmony export */   "MdUnfoldMore": () => (/* binding */ MdUnfoldMore),
/* harmony export */   "MdUpdate": () => (/* binding */ MdUpdate),
/* harmony export */   "MdUsb": () => (/* binding */ MdUsb),
/* harmony export */   "MdVerifiedUser": () => (/* binding */ MdVerifiedUser),
/* harmony export */   "MdVerticalAlignBottom": () => (/* binding */ MdVerticalAlignBottom),
/* harmony export */   "MdVerticalAlignCenter": () => (/* binding */ MdVerticalAlignCenter),
/* harmony export */   "MdVerticalAlignTop": () => (/* binding */ MdVerticalAlignTop),
/* harmony export */   "MdVibration": () => (/* binding */ MdVibration),
/* harmony export */   "MdVideoCall": () => (/* binding */ MdVideoCall),
/* harmony export */   "MdVideoLabel": () => (/* binding */ MdVideoLabel),
/* harmony export */   "MdVideoLibrary": () => (/* binding */ MdVideoLibrary),
/* harmony export */   "MdVideocam": () => (/* binding */ MdVideocam),
/* harmony export */   "MdVideocamOff": () => (/* binding */ MdVideocamOff),
/* harmony export */   "MdVideogameAsset": () => (/* binding */ MdVideogameAsset),
/* harmony export */   "MdViewAgenda": () => (/* binding */ MdViewAgenda),
/* harmony export */   "MdViewArray": () => (/* binding */ MdViewArray),
/* harmony export */   "MdViewCarousel": () => (/* binding */ MdViewCarousel),
/* harmony export */   "MdViewColumn": () => (/* binding */ MdViewColumn),
/* harmony export */   "MdViewComfy": () => (/* binding */ MdViewComfy),
/* harmony export */   "MdViewCompact": () => (/* binding */ MdViewCompact),
/* harmony export */   "MdViewDay": () => (/* binding */ MdViewDay),
/* harmony export */   "MdViewHeadline": () => (/* binding */ MdViewHeadline),
/* harmony export */   "MdViewList": () => (/* binding */ MdViewList),
/* harmony export */   "MdViewModule": () => (/* binding */ MdViewModule),
/* harmony export */   "MdViewQuilt": () => (/* binding */ MdViewQuilt),
/* harmony export */   "MdViewStream": () => (/* binding */ MdViewStream),
/* harmony export */   "MdViewWeek": () => (/* binding */ MdViewWeek),
/* harmony export */   "MdVignette": () => (/* binding */ MdVignette),
/* harmony export */   "MdVisibility": () => (/* binding */ MdVisibility),
/* harmony export */   "MdVisibilityOff": () => (/* binding */ MdVisibilityOff),
/* harmony export */   "MdVoiceChat": () => (/* binding */ MdVoiceChat),
/* harmony export */   "MdVoicemail": () => (/* binding */ MdVoicemail),
/* harmony export */   "MdVolumeDown": () => (/* binding */ MdVolumeDown),
/* harmony export */   "MdVolumeMute": () => (/* binding */ MdVolumeMute),
/* harmony export */   "MdVolumeOff": () => (/* binding */ MdVolumeOff),
/* harmony export */   "MdVolumeUp": () => (/* binding */ MdVolumeUp),
/* harmony export */   "MdVpnKey": () => (/* binding */ MdVpnKey),
/* harmony export */   "MdVpnLock": () => (/* binding */ MdVpnLock),
/* harmony export */   "MdWallpaper": () => (/* binding */ MdWallpaper),
/* harmony export */   "MdWarning": () => (/* binding */ MdWarning),
/* harmony export */   "MdWatch": () => (/* binding */ MdWatch),
/* harmony export */   "MdWatchLater": () => (/* binding */ MdWatchLater),
/* harmony export */   "MdWbAuto": () => (/* binding */ MdWbAuto),
/* harmony export */   "MdWbCloudy": () => (/* binding */ MdWbCloudy),
/* harmony export */   "MdWbIncandescent": () => (/* binding */ MdWbIncandescent),
/* harmony export */   "MdWbIridescent": () => (/* binding */ MdWbIridescent),
/* harmony export */   "MdWbSunny": () => (/* binding */ MdWbSunny),
/* harmony export */   "MdWc": () => (/* binding */ MdWc),
/* harmony export */   "MdWeb": () => (/* binding */ MdWeb),
/* harmony export */   "MdWebAsset": () => (/* binding */ MdWebAsset),
/* harmony export */   "MdWeekend": () => (/* binding */ MdWeekend),
/* harmony export */   "MdWhatshot": () => (/* binding */ MdWhatshot),
/* harmony export */   "MdWidgets": () => (/* binding */ MdWidgets),
/* harmony export */   "MdWifi": () => (/* binding */ MdWifi),
/* harmony export */   "MdWifiLock": () => (/* binding */ MdWifiLock),
/* harmony export */   "MdWifiTethering": () => (/* binding */ MdWifiTethering),
/* harmony export */   "MdWork": () => (/* binding */ MdWork),
/* harmony export */   "MdWrapText": () => (/* binding */ MdWrapText),
/* harmony export */   "MdYoutubeSearchedFor": () => (/* binding */ MdYoutubeSearchedFor),
/* harmony export */   "MdZoomIn": () => (/* binding */ MdZoomIn),
/* harmony export */   "MdZoomOut": () => (/* binding */ MdZoomOut),
/* harmony export */   "MdZoomOutMap": () => (/* binding */ MdZoomOutMap)
/* harmony export */ });
/* harmony import */ var _lib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ../lib */ "./node_modules/react-icons/lib/esm/index.js");
// THIS FILE IS AUTO GENERATED

function Md3DRotation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.52 21.48C4.25 19.94 1.91 16.76 1.55 13H.05C.56 19.16 5.71 24 12 24l.66-.03-3.81-3.81-1.33 1.32zm.89-6.52c-.19 0-.37-.03-.52-.08-.16-.06-.29-.13-.4-.24-.11-.1-.2-.22-.26-.37-.06-.14-.09-.3-.09-.47h-1.3c0 .36.07.68.21.95.14.27.33.5.56.69.24.18.51.32.82.41.3.1.62.15.96.15.37 0 .72-.05 1.03-.15.32-.1.6-.25.83-.44s.42-.43.55-.72c.13-.29.2-.61.2-.97 0-.19-.02-.38-.07-.56-.05-.18-.12-.35-.23-.51-.1-.16-.24-.3-.4-.43-.17-.13-.37-.23-.61-.31.2-.09.37-.2.52-.33.15-.13.27-.27.37-.42.1-.15.17-.3.22-.46.05-.16.07-.32.07-.48 0-.36-.06-.68-.18-.96-.12-.28-.29-.51-.51-.69-.2-.19-.47-.33-.77-.43C9.1 8.05 8.76 8 8.39 8c-.36 0-.69.05-1 .16-.3.11-.57.26-.79.45-.21.19-.38.41-.51.67-.12.26-.18.54-.18.85h1.3c0-.17.03-.32.09-.45s.14-.25.25-.34c.11-.09.23-.17.38-.22.15-.05.3-.08.48-.08.4 0 .7.1.89.31.19.2.29.49.29.86 0 .18-.03.34-.08.49-.05.15-.14.27-.25.37-.11.1-.25.18-.41.24-.16.06-.36.09-.58.09H7.5v1.03h.77c.22 0 .42.02.6.07s.33.13.45.23c.12.11.22.24.29.4.07.16.1.35.1.57 0 .41-.12.72-.35.93-.23.23-.55.33-.95.33zm8.55-5.92c-.32-.33-.7-.59-1.14-.77-.43-.18-.92-.27-1.46-.27H12v8h2.3c.55 0 1.06-.09 1.51-.27.45-.18.84-.43 1.16-.76.32-.33.57-.73.74-1.19.17-.47.26-.99.26-1.57v-.4c0-.58-.09-1.1-.26-1.57-.18-.47-.43-.87-.75-1.2zm-.39 3.16c0 .42-.05.79-.14 1.13-.1.33-.24.62-.43.85-.19.23-.43.41-.71.53-.29.12-.62.18-.99.18h-.91V9.12h.97c.72 0 1.27.23 1.64.69.38.46.57 1.12.57 1.99v.4zM12 0l-.66.03 3.81 3.81 1.33-1.33c3.27 1.55 5.61 4.72 5.96 8.48h1.5C23.44 4.84 18.29 0 12 0z"}}]})(props);
};
function MdAccessibility (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2 .9-2 2-2zm9 7h-6v13h-2v-6h-2v6H9V9H3V7h18v2z"}}]})(props);
};
function MdAccessible (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"4","r":"2"}},{"tag":"path","attr":{"d":"M19 13v-2c-1.54.02-3.09-.75-4.07-1.83l-1.29-1.43c-.17-.19-.38-.34-.61-.45-.01 0-.01-.01-.02-.01H13c-.35-.2-.75-.3-1.19-.26C10.76 7.11 10 8.04 10 9.09V15c0 1.1.9 2 2 2h5v5h2v-5.5c0-1.1-.9-2-2-2h-3v-3.45c1.29 1.07 3.25 1.94 5 1.95zm-6.17 5c-.41 1.16-1.52 2-2.83 2-1.66 0-3-1.34-3-3 0-1.31.84-2.41 2-2.83V12.1c-2.28.46-4 2.48-4 4.9 0 2.76 2.24 5 5 5 2.42 0 4.44-1.72 4.9-4h-2.07z"}}]})(props);
};
function MdAccountBalance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 10v7h3v-7H4zm6 0v7h3v-7h-3zM2 22h19v-3H2v3zm14-12v7h3v-7h-3zm-4.5-9L2 6v2h19V6l-9.5-5z"}}]})(props);
};
function MdAccountBalanceWallet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 18v1c0 1.1-.9 2-2 2H5c-1.11 0-2-.9-2-2V5c0-1.1.89-2 2-2h14c1.1 0 2 .9 2 2v1h-9c-1.11 0-2 .9-2 2v8c0 1.1.89 2 2 2h9zm-9-2h10V8H12v8zm4-2.5c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5z"}}]})(props);
};
function MdAccountBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 5v14c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2H5c-1.11 0-2 .9-2 2zm12 4c0 1.66-1.34 3-3 3s-3-1.34-3-3 1.34-3 3-3 3 1.34 3 3zm-9 8c0-2 4-3.1 6-3.1s6 1.1 6 3.1v1H6v-1z"}}]})(props);
};
function MdAccountCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 3c1.66 0 3 1.34 3 3s-1.34 3-3 3-3-1.34-3-3 1.34-3 3-3zm0 14.2c-2.5 0-4.71-1.28-6-3.22.03-1.99 4-3.08 6-3.08 1.99 0 5.97 1.09 6 3.08-1.29 1.94-3.5 3.22-6 3.22z"}}]})(props);
};
function MdAddShoppingCart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 9h2V6h3V4h-3V1h-2v3H8v2h3v3zm-4 9c-1.1 0-1.99.9-1.99 2S5.9 22 7 22s2-.9 2-2-.9-2-2-2zm10 0c-1.1 0-1.99.9-1.99 2s.89 2 1.99 2 2-.9 2-2-.9-2-2-2zm-9.83-3.25l.03-.12.9-1.63h7.45c.75 0 1.41-.41 1.75-1.03l3.86-7.01L19.42 4h-.01l-1.1 2-2.76 5H8.53l-.13-.27L6.16 6l-.95-2-.94-2H1v2h2l3.6 7.59-1.35 2.45c-.16.28-.25.61-.25.96 0 1.1.9 2 2 2h12v-2H7.42c-.13 0-.25-.11-.25-.25z"}}]})(props);
};
function MdAlarm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 5.72l-4.6-3.86-1.29 1.53 4.6 3.86L22 5.72zM7.88 3.39L6.6 1.86 2 5.71l1.29 1.53 4.59-3.85zM12.5 8H11v6l4.75 2.85.75-1.23-4-2.37V8zM12 4c-4.97 0-9 4.03-9 9s4.02 9 9 9c4.97 0 9-4.03 9-9s-4.03-9-9-9zm0 16c-3.87 0-7-3.13-7-7s3.13-7 7-7 7 3.13 7 7-3.13 7-7 7z"}}]})(props);
};
function MdAlarmAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.88 3.39L6.6 1.86 2 5.71l1.29 1.53 4.59-3.85zM22 5.72l-4.6-3.86-1.29 1.53 4.6 3.86L22 5.72zM12 4c-4.97 0-9 4.03-9 9s4.02 9 9 9c4.97 0 9-4.03 9-9s-4.03-9-9-9zm0 16c-3.87 0-7-3.13-7-7s3.13-7 7-7 7 3.13 7 7-3.13 7-7 7zm1-11h-2v3H8v2h3v3h2v-3h3v-2h-3V9z"}}]})(props);
};
function MdAlarmOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 6c3.87 0 7 3.13 7 7 0 .84-.16 1.65-.43 2.4l1.52 1.52c.58-1.19.91-2.51.91-3.92 0-4.97-4.03-9-9-9-1.41 0-2.73.33-3.92.91L9.6 6.43C10.35 6.16 11.16 6 12 6zm10-.28l-4.6-3.86-1.29 1.53 4.6 3.86L22 5.72zM2.92 2.29L1.65 3.57 2.98 4.9l-1.11.93 1.42 1.42 1.11-.94.8.8C3.83 8.69 3 10.75 3 13c0 4.97 4.02 9 9 9 2.25 0 4.31-.83 5.89-2.2l2.2 2.2 1.27-1.27L3.89 3.27l-.97-.98zm13.55 16.1C15.26 19.39 13.7 20 12 20c-3.87 0-7-3.13-7-7 0-1.7.61-3.26 1.61-4.47l9.86 9.86zM8.02 3.28L6.6 1.86l-.86.71 1.42 1.42.86-.71z"}}]})(props);
};
function MdAlarmOn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 5.72l-4.6-3.86-1.29 1.53 4.6 3.86L22 5.72zM7.88 3.39L6.6 1.86 2 5.71l1.29 1.53 4.59-3.85zM12 4c-4.97 0-9 4.03-9 9s4.02 9 9 9c4.97 0 9-4.03 9-9s-4.03-9-9-9zm0 16c-3.87 0-7-3.13-7-7s3.13-7 7-7 7 3.13 7 7-3.13 7-7 7zm-1.46-5.47L8.41 12.4l-1.06 1.06 3.18 3.18 6-6-1.06-1.06-4.93 4.95z"}}]})(props);
};
function MdAllOut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.21 4.16l4 4v-4zm4 12l-4 4h4zm-12 4l-4-4v4zm-4-12l4-4h-4zm12.95-.95c-2.73-2.73-7.17-2.73-9.9 0s-2.73 7.17 0 9.9 7.17 2.73 9.9 0 2.73-7.16 0-9.9zm-1.1 8.8c-2.13 2.13-5.57 2.13-7.7 0s-2.13-5.57 0-7.7 5.57-2.13 7.7 0 2.13 5.57 0 7.7z"}}]})(props);
};
function MdAndroid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 18c0 .55.45 1 1 1h1v3.5c0 .83.67 1.5 1.5 1.5s1.5-.67 1.5-1.5V19h2v3.5c0 .83.67 1.5 1.5 1.5s1.5-.67 1.5-1.5V19h1c.55 0 1-.45 1-1V8H6v10zM3.5 8C2.67 8 2 8.67 2 9.5v7c0 .83.67 1.5 1.5 1.5S5 17.33 5 16.5v-7C5 8.67 4.33 8 3.5 8zm17 0c-.83 0-1.5.67-1.5 1.5v7c0 .83.67 1.5 1.5 1.5s1.5-.67 1.5-1.5v-7c0-.83-.67-1.5-1.5-1.5zm-4.97-5.84l1.3-1.3c.2-.2.2-.51 0-.71-.2-.2-.51-.2-.71 0l-1.48 1.48C13.85 1.23 12.95 1 12 1c-.96 0-1.86.23-2.66.63L7.85.15c-.2-.2-.51-.2-.71 0-.2.2-.2.51 0 .71l1.31 1.31C6.97 3.26 6 5.01 6 7h12c0-1.99-.97-3.75-2.47-4.84zM10 5H9V4h1v1zm5 0h-1V4h1v1z"}}]})(props);
};
function MdAnnouncement (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-1.99.9-1.99 2L2 22l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-7 9h-2V5h2v6zm0 4h-2v-2h2v2z"}}]})(props);
};
function MdAspectRatio (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 12h-2v3h-3v2h5v-5zM7 9h3V7H5v5h2V9zm14-6H3c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16.01H3V4.99h18v14.02z"}}]})(props);
};
function MdAssessment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM9 17H7v-7h2v7zm4 0h-2V7h2v10zm4 0h-2v-4h2v4z"}}]})(props);
};
function MdAssignment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3h-4.18C14.4 1.84 13.3 1 12 1c-1.3 0-2.4.84-2.82 2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-7 0c.55 0 1 .45 1 1s-.45 1-1 1-1-.45-1-1 .45-1 1-1zm2 14H7v-2h7v2zm3-4H7v-2h10v2zm0-4H7V7h10v2z"}}]})(props);
};
function MdAssignmentInd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3h-4.18C14.4 1.84 13.3 1 12 1c-1.3 0-2.4.84-2.82 2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-7 0c.55 0 1 .45 1 1s-.45 1-1 1-1-.45-1-1 .45-1 1-1zm0 4c1.66 0 3 1.34 3 3s-1.34 3-3 3-3-1.34-3-3 1.34-3 3-3zm6 12H6v-1.4c0-2 4-3.1 6-3.1s6 1.1 6 3.1V19z"}}]})(props);
};
function MdAssignmentLate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3h-4.18C14.4 1.84 13.3 1 12 1c-1.3 0-2.4.84-2.82 2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-6 15h-2v-2h2v2zm0-4h-2V8h2v6zm-1-9c-.55 0-1-.45-1-1s.45-1 1-1 1 .45 1 1-.45 1-1 1z"}}]})(props);
};
function MdAssignmentReturn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3h-4.18C14.4 1.84 13.3 1 12 1c-1.3 0-2.4.84-2.82 2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-7 0c.55 0 1 .45 1 1s-.45 1-1 1-1-.45-1-1 .45-1 1-1zm4 12h-4v3l-5-5 5-5v3h4v4z"}}]})(props);
};
function MdAssignmentReturned (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3h-4.18C14.4 1.84 13.3 1 12 1c-1.3 0-2.4.84-2.82 2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-7 0c.55 0 1 .45 1 1s-.45 1-1 1-1-.45-1-1 .45-1 1-1zm0 15l-5-5h3V9h4v4h3l-5 5z"}}]})(props);
};
function MdAssignmentTurnedIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3h-4.18C14.4 1.84 13.3 1 12 1c-1.3 0-2.4.84-2.82 2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-7 0c.55 0 1 .45 1 1s-.45 1-1 1-1-.45-1-1 .45-1 1-1zm-2 14l-4-4 1.41-1.41L10 14.17l6.59-6.59L18 9l-8 8z"}}]})(props);
};
function MdAutorenew (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 6v3l4-4-4-4v3c-4.42 0-8 3.58-8 8 0 1.57.46 3.03 1.24 4.26L6.7 14.8c-.45-.83-.7-1.79-.7-2.8 0-3.31 2.69-6 6-6zm6.76 1.74L17.3 9.2c.44.84.7 1.79.7 2.8 0 3.31-2.69 6-6 6v-3l-4 4 4 4v-3c4.42 0 8-3.58 8-8 0-1.57-.46-3.03-1.24-4.26z"}}]})(props);
};
function MdBackup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.35 10.04C18.67 6.59 15.64 4 12 4 9.11 4 6.6 5.64 5.35 8.04 2.34 8.36 0 10.91 0 14c0 3.31 2.69 6 6 6h13c2.76 0 5-2.24 5-5 0-2.64-2.05-4.78-4.65-4.96zM14 13v4h-4v-4H7l5-5 5 5h-3z"}}]})(props);
};
function MdBook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 2H6c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM6 4h5v8l-2.5-1.5L6 12V4z"}}]})(props);
};
function MdBookmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 3H7c-1.1 0-1.99.9-1.99 2L5 21l7-3 7 3V5c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdBookmarkBorder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 3H7c-1.1 0-1.99.9-1.99 2L5 21l7-3 7 3V5c0-1.1-.9-2-2-2zm0 15l-5-2.18L7 18V5h10v13z"}}]})(props);
};
function MdBugReport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 8h-2.81c-.45-.78-1.07-1.45-1.82-1.96L17 4.41 15.59 3l-2.17 2.17C12.96 5.06 12.49 5 12 5c-.49 0-.96.06-1.41.17L8.41 3 7 4.41l1.62 1.63C7.88 6.55 7.26 7.22 6.81 8H4v2h2.09c-.05.33-.09.66-.09 1v1H4v2h2v1c0 .34.04.67.09 1H4v2h2.81c1.04 1.79 2.97 3 5.19 3s4.15-1.21 5.19-3H20v-2h-2.09c.05-.33.09-.66.09-1v-1h2v-2h-2v-1c0-.34-.04-.67-.09-1H20V8zm-6 8h-4v-2h4v2zm0-4h-4v-2h4v2z"}}]})(props);
};
function MdBuild (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22.7 19l-9.1-9.1c.9-2.3.4-5-1.5-6.9-2-2-5-2.4-7.4-1.3L9 6 6 9 1.6 4.7C.4 7.1.9 10.1 2.9 12.1c1.9 1.9 4.6 2.4 6.9 1.5l9.1 9.1c.4.4 1 .4 1.4 0l2.3-2.3c.5-.4.5-1.1.1-1.4z"}}]})(props);
};
function MdCached (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 8l-4 4h3c0 3.31-2.69 6-6 6-1.01 0-1.97-.25-2.8-.7l-1.46 1.46C8.97 19.54 10.43 20 12 20c4.42 0 8-3.58 8-8h3l-4-4zM6 12c0-3.31 2.69-6 6-6 1.01 0 1.97.25 2.8.7l1.46-1.46C15.03 4.46 13.57 4 12 4c-4.42 0-8 3.58-8 8H1l4 4 4-4H6z"}}]})(props);
};
function MdCameraEnhance (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 3L7.17 5H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V7c0-1.1-.9-2-2-2h-3.17L15 3H9zm3 15c-2.76 0-5-2.24-5-5s2.24-5 5-5 5 2.24 5 5-2.24 5-5 5zm0-1l1.25-2.75L16 13l-2.75-1.25L12 9l-1.25 2.75L8 13l2.75 1.25z"}}]})(props);
};
function MdCardGiftcard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 6h-2.18c.11-.31.18-.65.18-1 0-1.66-1.34-3-3-3-1.05 0-1.96.54-2.5 1.35l-.5.67-.5-.68C10.96 2.54 10.05 2 9 2 7.34 2 6 3.34 6 5c0 .35.07.69.18 1H4c-1.11 0-1.99.89-1.99 2L2 19c0 1.11.89 2 2 2h16c1.11 0 2-.89 2-2V8c0-1.11-.89-2-2-2zm-5-2c.55 0 1 .45 1 1s-.45 1-1 1-1-.45-1-1 .45-1 1-1zM9 4c.55 0 1 .45 1 1s-.45 1-1 1-1-.45-1-1 .45-1 1-1zm11 15H4v-2h16v2zm0-5H4V8h5.08L7 10.83 8.62 12 11 8.76l1-1.36 1 1.36L15.38 12 17 10.83 14.92 8H20v6z"}}]})(props);
};
function MdCardMembership (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.11 0-2 .89-2 2v11c0 1.11.89 2 2 2h4v5l4-2 4 2v-5h4c1.11 0 2-.89 2-2V4c0-1.11-.89-2-2-2zm0 13H4v-2h16v2zm0-5H4V4h16v6z"}}]})(props);
};
function MdCardTravel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 6h-3V4c0-1.11-.89-2-2-2H9c-1.11 0-2 .89-2 2v2H4c-1.11 0-2 .89-2 2v11c0 1.11.89 2 2 2h16c1.11 0 2-.89 2-2V8c0-1.11-.89-2-2-2zM9 4h6v2H9V4zm11 15H4v-2h16v2zm0-5H4V8h3v2h2V8h6v2h2V8h3v6z"}}]})(props);
};
function MdChangeHistory (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 7.77L18.39 18H5.61L12 7.77M12 4L2 20h20L12 4z"}}]})(props);
};
function MdCheckCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm-2 15l-5-5 1.41-1.41L10 14.17l7.59-7.59L19 8l-9 9z"}}]})(props);
};
function MdChromeReaderMode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 12h7v1.5h-7zm0-2.5h7V11h-7zm0 5h7V16h-7zM21 4H3c-1.1 0-2 .9-2 2v13c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 15h-9V6h9v13z"}}]})(props);
};
function MdClass (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 2H6c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM6 4h5v8l-2.5-1.5L6 12V4z"}}]})(props);
};
function MdCode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9.4 16.6L4.8 12l4.6-4.6L8 6l-6 6 6 6 1.4-1.4zm5.2 0l4.6-4.6-4.6-4.6L16 6l6 6-6 6-1.4-1.4z"}}]})(props);
};
function MdCompareArrows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9.01 14H2v2h7.01v3L13 15l-3.99-4v3zm5.98-1v-3H22V8h-7.01V5L11 9l3.99 4z"}}]})(props);
};
function MdCopyright (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10.08 10.86c.05-.33.16-.62.3-.87s.34-.46.59-.62c.24-.15.54-.22.91-.23.23.01.44.05.63.13.2.09.38.21.52.36s.25.33.34.53.13.42.14.64h1.79c-.02-.47-.11-.9-.28-1.29s-.4-.73-.7-1.01-.66-.5-1.08-.66-.88-.23-1.39-.23c-.65 0-1.22.11-1.7.34s-.88.53-1.2.92-.56.84-.71 1.36S8 11.29 8 11.87v.27c0 .58.08 1.12.23 1.64s.39.97.71 1.35.72.69 1.2.91 1.05.34 1.7.34c.47 0 .91-.08 1.32-.23s.77-.36 1.08-.63.56-.58.74-.94.29-.74.3-1.15h-1.79c-.01.21-.06.4-.15.58s-.21.33-.36.46-.32.23-.52.3c-.19.07-.39.09-.6.1-.36-.01-.66-.08-.89-.23-.25-.16-.45-.37-.59-.62s-.25-.55-.3-.88-.08-.67-.08-1v-.27c0-.35.03-.68.08-1.01zM12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8z"}}]})(props);
};
function MdCreditCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4H4c-1.11 0-1.99.89-1.99 2L2 18c0 1.11.89 2 2 2h16c1.11 0 2-.89 2-2V6c0-1.11-.89-2-2-2zm0 14H4v-6h16v6zm0-10H4V6h16v2z"}}]})(props);
};
function MdDashboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 13h8V3H3v10zm0 8h8v-6H3v6zm10 0h8V11h-8v10zm0-18v6h8V3h-8z"}}]})(props);
};
function MdDateRange (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 11H7v2h2v-2zm4 0h-2v2h2v-2zm4 0h-2v2h2v-2zm2-7h-1V2h-2v2H8V2H6v2H5c-1.11 0-1.99.9-1.99 2L3 20c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 16H5V9h14v11z"}}]})(props);
};
function MdDelete (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 19c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7H6v12zM19 4h-3.5l-1-1h-5l-1 1H5v2h14V4z"}}]})(props);
};
function MdDeleteForever (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 19c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7H6v12zm2.46-7.12l1.41-1.41L12 12.59l2.12-2.12 1.41 1.41L13.41 14l2.12 2.12-1.41 1.41L12 15.41l-2.12 2.12-1.41-1.41L10.59 14l-2.13-2.12zM15.5 4l-1-1h-5l-1 1H5v2h14V4z"}}]})(props);
};
function MdDescription (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 2H6c-1.1 0-1.99.9-1.99 2L4 20c0 1.1.89 2 1.99 2H18c1.1 0 2-.9 2-2V8l-6-6zm2 16H8v-2h8v2zm0-4H8v-2h8v2zm-3-5V3.5L18.5 9H13z"}}]})(props);
};
function MdDns (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 13H4c-.55 0-1 .45-1 1v6c0 .55.45 1 1 1h16c.55 0 1-.45 1-1v-6c0-.55-.45-1-1-1zM7 19c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zM20 3H4c-.55 0-1 .45-1 1v6c0 .55.45 1 1 1h16c.55 0 1-.45 1-1V4c0-.55-.45-1-1-1zM7 9c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"}}]})(props);
};
function MdDone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 16.2L4.8 12l-1.4 1.4L9 19 21 7l-1.4-1.4L9 16.2z"}}]})(props);
};
function MdDoneAll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 7l-1.41-1.41-6.34 6.34 1.41 1.41L18 7zm4.24-1.41L11.66 16.17 7.48 12l-1.41 1.41L11.66 19l12-12-1.42-1.41zM.41 13.41L6 19l1.41-1.41L1.83 12 .41 13.41z"}}]})(props);
};
function MdDonutLarge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 5.08V2c-5 .5-9 4.81-9 10s4 9.5 9 10v-3.08c-3-.48-6-3.4-6-6.92s3-6.44 6-6.92zM18.97 11H22c-.47-5-4-8.53-9-9v3.08C16 5.51 18.54 8 18.97 11zM13 18.92V22c5-.47 8.53-4 9-9h-3.03c-.43 3-2.97 5.49-5.97 5.92z"}}]})(props);
};
function MdDonutSmall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 9.16V2c-5 .5-9 4.79-9 10s4 9.5 9 10v-7.16c-1-.41-2-1.52-2-2.84s1-2.43 2-2.84zM14.86 11H22c-.48-4.75-4-8.53-9-9v7.16c1 .3 1.52.98 1.86 1.84zM13 14.84V22c5-.47 8.52-4.25 9-9h-7.14c-.34.86-.86 1.54-1.86 1.84z"}}]})(props);
};
function MdEject (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 17h14v2H5zm7-12L5.33 15h13.34z"}}]})(props);
};
function MdEuroSymbol (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 18.5c-2.51 0-4.68-1.42-5.76-3.5H15v-2H8.58c-.05-.33-.08-.66-.08-1s.03-.67.08-1H15V9H9.24C10.32 6.92 12.5 5.5 15 5.5c1.61 0 3.09.59 4.23 1.57L21 5.3C19.41 3.87 17.3 3 15 3c-3.92 0-7.24 2.51-8.48 6H3v2h3.06c-.04.33-.06.66-.06 1 0 .34.02.67.06 1H3v2h3.52c1.24 3.49 4.56 6 8.48 6 2.31 0 4.41-.87 6-2.3l-1.78-1.77c-1.13.98-2.6 1.57-4.22 1.57z"}}]})(props);
};
function MdEvent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 12h-5v5h5v-5zM16 1v2H8V1H6v2H5c-1.11 0-1.99.9-1.99 2L3 19c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2h-1V1h-2zm3 18H5V8h14v11z"}}]})(props);
};
function MdEventSeat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 18v3h3v-3h10v3h3v-6H4zm15-8h3v3h-3zM2 10h3v3H2zm15 3H7V5c0-1.1.9-2 2-2h6c1.1 0 2 .9 2 2v8z"}}]})(props);
};
function MdExitToApp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10.09 15.59L11.5 17l5-5-5-5-1.41 1.41L12.67 11H3v2h9.67l-2.58 2.59zM19 3H5c-1.11 0-2 .9-2 2v4h2V5h14v14H5v-4H3v4c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdExplore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 10.9c-.61 0-1.1.49-1.1 1.1s.49 1.1 1.1 1.1c.61 0 1.1-.49 1.1-1.1s-.49-1.1-1.1-1.1zM12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm2.19 12.19L6 18l3.81-8.19L18 6l-3.81 8.19z"}}]})(props);
};
function MdExtension (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.5 11H19V7c0-1.1-.9-2-2-2h-4V3.5C13 2.12 11.88 1 10.5 1S8 2.12 8 3.5V5H4c-1.1 0-1.99.9-1.99 2v3.8H3.5c1.49 0 2.7 1.21 2.7 2.7s-1.21 2.7-2.7 2.7H2V20c0 1.1.9 2 2 2h3.8v-1.5c0-1.49 1.21-2.7 2.7-2.7 1.49 0 2.7 1.21 2.7 2.7V22H17c1.1 0 2-.9 2-2v-4h1.5c1.38 0 2.5-1.12 2.5-2.5S21.88 11 20.5 11z"}}]})(props);
};
function MdFace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 11.75c-.69 0-1.25.56-1.25 1.25s.56 1.25 1.25 1.25 1.25-.56 1.25-1.25-.56-1.25-1.25-1.25zm6 0c-.69 0-1.25.56-1.25 1.25s.56 1.25 1.25 1.25 1.25-.56 1.25-1.25-.56-1.25-1.25-1.25zM12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8 0-.29.02-.58.05-.86 2.36-1.05 4.23-2.98 5.21-5.37C11.07 8.33 14.05 10 17.42 10c.78 0 1.53-.09 2.25-.26.21.71.33 1.47.33 2.26 0 4.41-3.59 8-8 8z"}}]})(props);
};
function MdFavorite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 21.35l-1.45-1.32C5.4 15.36 2 12.28 2 8.5 2 5.42 4.42 3 7.5 3c1.74 0 3.41.81 4.5 2.09C13.09 3.81 14.76 3 16.5 3 19.58 3 22 5.42 22 8.5c0 3.78-3.4 6.86-8.55 11.54L12 21.35z"}}]})(props);
};
function MdFavoriteBorder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.5 3c-1.74 0-3.41.81-4.5 2.09C10.91 3.81 9.24 3 7.5 3 4.42 3 2 5.42 2 8.5c0 3.78 3.4 6.86 8.55 11.54L12 21.35l1.45-1.32C18.6 15.36 22 12.28 22 8.5 22 5.42 19.58 3 16.5 3zm-4.4 15.55l-.1.1-.1-.1C7.14 14.24 4 11.39 4 8.5 4 6.5 5.5 5 7.5 5c1.54 0 3.04.99 3.57 2.36h1.87C13.46 5.99 14.96 5 16.5 5c2 0 3.5 1.5 3.5 3.5 0 2.89-3.14 5.74-7.9 10.05z"}}]})(props);
};
function MdFeedback (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-1.99.9-1.99 2L2 22l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-7 12h-2v-2h2v2zm0-4h-2V6h2v4z"}}]})(props);
};
function MdFindInPage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 19.59V8l-6-6H6c-1.1 0-1.99.9-1.99 2L4 20c0 1.1.89 2 1.99 2H18c.45 0 .85-.15 1.19-.4l-4.43-4.43c-.8.52-1.74.83-2.76.83-2.76 0-5-2.24-5-5s2.24-5 5-5 5 2.24 5 5c0 1.02-.31 1.96-.83 2.75L20 19.59zM9 13c0 1.66 1.34 3 3 3s3-1.34 3-3-1.34-3-3-3-3 1.34-3 3z"}}]})(props);
};
function MdFindReplace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 6c1.38 0 2.63.56 3.54 1.46L12 10h6V4l-2.05 2.05C14.68 4.78 12.93 4 11 4c-3.53 0-6.43 2.61-6.92 6H6.1c.46-2.28 2.48-4 4.9-4zm5.64 9.14c.66-.9 1.12-1.97 1.28-3.14H15.9c-.46 2.28-2.48 4-4.9 4-1.38 0-2.63-.56-3.54-1.46L10 12H4v6l2.05-2.05C7.32 17.22 9.07 18 11 18c1.55 0 2.98-.51 4.14-1.36L20 21.49 21.49 20l-4.85-4.86z"}}]})(props);
};
function MdFingerprint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.81 4.47c-.08 0-.16-.02-.23-.06C15.66 3.42 14 3 12.01 3c-1.98 0-3.86.47-5.57 1.41-.24.13-.54.04-.68-.2-.13-.24-.04-.55.2-.68C7.82 2.52 9.86 2 12.01 2c2.13 0 3.99.47 6.03 1.52.25.13.34.43.21.67-.09.18-.26.28-.44.28zM3.5 9.72c-.1 0-.2-.03-.29-.09-.23-.16-.28-.47-.12-.7.99-1.4 2.25-2.5 3.75-3.27C9.98 4.04 14 4.03 17.15 5.65c1.5.77 2.76 1.86 3.75 3.25.16.22.11.54-.12.7-.23.16-.54.11-.7-.12-.9-1.26-2.04-2.25-3.39-2.94-2.87-1.47-6.54-1.47-9.4.01-1.36.7-2.5 1.7-3.4 2.96-.08.14-.23.21-.39.21zm6.25 12.07c-.13 0-.26-.05-.35-.15-.87-.87-1.34-1.43-2.01-2.64-.69-1.23-1.05-2.73-1.05-4.34 0-2.97 2.54-5.39 5.66-5.39s5.66 2.42 5.66 5.39c0 .28-.22.5-.5.5s-.5-.22-.5-.5c0-2.42-2.09-4.39-4.66-4.39-2.57 0-4.66 1.97-4.66 4.39 0 1.44.32 2.77.93 3.85.64 1.15 1.08 1.64 1.85 2.42.19.2.19.51 0 .71-.11.1-.24.15-.37.15zm7.17-1.85c-1.19 0-2.24-.3-3.1-.89-1.49-1.01-2.38-2.65-2.38-4.39 0-.28.22-.5.5-.5s.5.22.5.5c0 1.41.72 2.74 1.94 3.56.71.48 1.54.71 2.54.71.24 0 .64-.03 1.04-.1.27-.05.53.13.58.41.05.27-.13.53-.41.58-.57.11-1.07.12-1.21.12zM14.91 22c-.04 0-.09-.01-.13-.02-1.59-.44-2.63-1.03-3.72-2.1-1.4-1.39-2.17-3.24-2.17-5.22 0-1.62 1.38-2.94 3.08-2.94 1.7 0 3.08 1.32 3.08 2.94 0 1.07.93 1.94 2.08 1.94s2.08-.87 2.08-1.94c0-3.77-3.25-6.83-7.25-6.83-2.84 0-5.44 1.58-6.61 4.03-.39.81-.59 1.76-.59 2.8 0 .78.07 2.01.67 3.61.1.26-.03.55-.29.64-.26.1-.55-.04-.64-.29-.49-1.31-.73-2.61-.73-3.96 0-1.2.23-2.29.68-3.24 1.33-2.79 4.28-4.6 7.51-4.6 4.55 0 8.25 3.51 8.25 7.83 0 1.62-1.38 2.94-3.08 2.94s-3.08-1.32-3.08-2.94c0-1.07-.93-1.94-2.08-1.94s-2.08.87-2.08 1.94c0 1.71.66 3.31 1.87 4.51.95.94 1.86 1.46 3.27 1.85.27.07.42.35.35.61-.05.23-.26.38-.47.38z"}}]})(props);
};
function MdFlightLand (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2.5 19h19v2h-19zm7.18-5.73l4.35 1.16 5.31 1.42c.8.21 1.62-.26 1.84-1.06.21-.8-.26-1.62-1.06-1.84l-5.31-1.42-2.76-9.02L10.12 2v8.28L5.15 8.95l-.93-2.32-1.45-.39v5.17l1.6.43 5.31 1.43z"}}]})(props);
};
function MdFlightTakeoff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2.5 19h19v2h-19zm19.57-9.36c-.21-.8-1.04-1.28-1.84-1.06L14.92 10l-6.9-6.43-1.93.51 4.14 7.17-4.97 1.33-1.97-1.54-1.45.39 1.82 3.16.77 1.33 1.6-.43 5.31-1.42 4.35-1.16L21 11.49c.81-.23 1.28-1.05 1.07-1.85z"}}]})(props);
};
function MdFlipToBack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 7H7v2h2V7zm0 4H7v2h2v-2zm0-8c-1.11 0-2 .9-2 2h2V3zm4 12h-2v2h2v-2zm6-12v2h2c0-1.1-.9-2-2-2zm-6 0h-2v2h2V3zM9 17v-2H7c0 1.1.89 2 2 2zm10-4h2v-2h-2v2zm0-4h2V7h-2v2zm0 8c1.1 0 2-.9 2-2h-2v2zM5 7H3v12c0 1.1.89 2 2 2h12v-2H5V7zm10-2h2V3h-2v2zm0 12h2v-2h-2v2z"}}]})(props);
};
function MdFlipToFront (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 13h2v-2H3v2zm0 4h2v-2H3v2zm2 4v-2H3c0 1.1.89 2 2 2zM3 9h2V7H3v2zm12 12h2v-2h-2v2zm4-18H9c-1.11 0-2 .9-2 2v10c0 1.1.89 2 2 2h10c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 12H9V5h10v10zm-8 6h2v-2h-2v2zm-4 0h2v-2H7v2z"}}]})(props);
};
function MdGTranslate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 5h-9.12L10 2H4c-1.1 0-2 .9-2 2v13c0 1.1.9 2 2 2h7l1 3h8c1.1 0 2-.9 2-2V7c0-1.1-.9-2-2-2zM7.17 14.59c-2.25 0-4.09-1.83-4.09-4.09s1.83-4.09 4.09-4.09c1.04 0 1.99.37 2.74 1.07l.07.06-1.23 1.18-.06-.05c-.29-.27-.78-.59-1.52-.59-1.31 0-2.38 1.09-2.38 2.42s1.07 2.42 2.38 2.42c1.37 0 1.96-.87 2.12-1.46H7.08V9.91h3.95l.01.07c.04.21.05.4.05.61 0 2.35-1.61 4-3.92 4zm6.03-1.71c.33.6.74 1.18 1.19 1.7l-.54.53-.65-2.23zm.77-.76h-.99l-.31-1.04h3.99s-.34 1.31-1.56 2.74c-.52-.62-.89-1.23-1.13-1.7zM21 20c0 .55-.45 1-1 1h-7l2-2-.81-2.77.92-.92L17.79 18l.73-.73-2.71-2.68c.9-1.03 1.6-2.25 1.92-3.51H19v-1.04h-3.64V9h-1.04v1.04h-1.96L11.18 6H20c.55 0 1 .45 1 1v13z"}}]})(props);
};
function MdGavel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M1 21h12v2H1zM5.245 8.07l2.83-2.827 14.14 14.142-2.828 2.828zM12.317 1l5.657 5.656-2.83 2.83-5.654-5.66zM3.825 9.485l5.657 5.657-2.828 2.828-5.657-5.657z"}}]})(props);
};
function MdGetApp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 9h-4V3H9v6H5l7 7 7-7zM5 18v2h14v-2H5z"}}]})(props);
};
function MdGif (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.5 9H13v6h-1.5zM9 9H6c-.6 0-1 .5-1 1v4c0 .5.4 1 1 1h3c.6 0 1-.5 1-1v-2H8.5v1.5h-2v-3H10V10c0-.5-.4-1-1-1zm10 1.5V9h-4.5v6H16v-2h2v-1.5h-2v-1z"}}]})(props);
};
function MdGrade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 17.27L18.18 21l-1.64-7.03L22 9.24l-7.19-.61L12 2 9.19 8.63 2 9.24l5.46 4.73L5.82 21z"}}]})(props);
};
function MdGroupWork (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zM8 17.5c-1.38 0-2.5-1.12-2.5-2.5s1.12-2.5 2.5-2.5 2.5 1.12 2.5 2.5-1.12 2.5-2.5 2.5zM9.5 8c0-1.38 1.12-2.5 2.5-2.5s2.5 1.12 2.5 2.5-1.12 2.5-2.5 2.5S9.5 9.38 9.5 8zm6.5 9.5c-1.38 0-2.5-1.12-2.5-2.5s1.12-2.5 2.5-2.5 2.5 1.12 2.5 2.5-1.12 2.5-2.5 2.5z"}}]})(props);
};
function MdHelp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm1 17h-2v-2h2v2zm2.07-7.75l-.9.92C13.45 12.9 13 13.5 13 15h-2v-.5c0-1.1.45-2.1 1.17-2.83l1.24-1.26c.37-.36.59-.86.59-1.41 0-1.1-.9-2-2-2s-2 .9-2 2H8c0-2.21 1.79-4 4-4s4 1.79 4 4c0 .88-.36 1.68-.93 2.25z"}}]})(props);
};
function MdHelpOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 18h2v-2h-2v2zm1-16C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8zm0-14c-2.21 0-4 1.79-4 4h2c0-1.1.9-2 2-2s2 .9 2 2c0 2-3 1.75-3 5h2c0-2.25 3-2.5 3-5 0-2.21-1.79-4-4-4z"}}]})(props);
};
function MdHighlightOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14.59 8L12 10.59 9.41 8 8 9.41 10.59 12 8 14.59 9.41 16 12 13.41 14.59 16 16 14.59 13.41 12 16 9.41 14.59 8zM12 2C6.47 2 2 6.47 2 12s4.47 10 10 10 10-4.47 10-10S17.53 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8z"}}]})(props);
};
function MdHistory (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 3c-4.97 0-9 4.03-9 9H1l3.89 3.89.07.14L9 12H6c0-3.87 3.13-7 7-7s7 3.13 7 7-3.13 7-7 7c-1.93 0-3.68-.79-4.94-2.06l-1.42 1.42C8.27 19.99 10.51 21 13 21c4.97 0 9-4.03 9-9s-4.03-9-9-9zm-1 5v5l4.28 2.54.72-1.21-3.5-2.08V8H12z"}}]})(props);
};
function MdHome (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 20v-6h4v6h5v-8h3L12 3 2 12h3v8z"}}]})(props);
};
function MdHourglassEmpty (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 2v6h.01L6 8.01 10 12l-4 4 .01.01H6V22h12v-5.99h-.01L18 16l-4-4 4-3.99-.01-.01H18V2H6zm10 14.5V20H8v-3.5l4-4 4 4zm-4-5l-4-4V4h8v3.5l-4 4z"}}]})(props);
};
function MdHourglassFull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 2v6h.01L6 8.01 10 12l-4 4 .01.01H6V22h12v-5.99h-.01L18 16l-4-4 4-3.99-.01-.01H18V2H6z"}}]})(props);
};
function MdHttp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4.5 11h-2V9H1v6h1.5v-2.5h2V15H6V9H4.5v2zm2.5-.5h1.5V15H10v-4.5h1.5V9H7v1.5zm5.5 0H14V15h1.5v-4.5H17V9h-4.5v1.5zm9-1.5H18v6h1.5v-2h2c.8 0 1.5-.7 1.5-1.5v-1c0-.8-.7-1.5-1.5-1.5zm0 2.5h-2v-1h2v1z"}}]})(props);
};
function MdHttps (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 8h-1V6c0-2.76-2.24-5-5-5S7 3.24 7 6v2H6c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V10c0-1.1-.9-2-2-2zm-6 9c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zm3.1-9H8.9V6c0-1.71 1.39-3.1 3.1-3.1 1.71 0 3.1 1.39 3.1 3.1v2z"}}]})(props);
};
function MdImportantDevices (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M23 11.01L18 11c-.55 0-1 .45-1 1v9c0 .55.45 1 1 1h5c.55 0 1-.45 1-1v-9c0-.55-.45-.99-1-.99zM23 20h-5v-7h5v7zM20 2H2C.89 2 0 2.89 0 4v12c0 1.1.89 2 2 2h7v2H7v2h8v-2h-2v-2h2v-2H2V4h18v5h2V4c0-1.11-.9-2-2-2zm-8.03 7L11 6l-.97 3H7l2.47 1.76-.94 2.91 2.47-1.8 2.47 1.8-.94-2.91L15 9h-3.03z"}}]})(props);
};
function MdInfo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm1 15h-2v-6h2v6zm0-8h-2V7h2v2z"}}]})(props);
};
function MdInfoOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 17h2v-6h-2v6zm1-15C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8zM11 9h2V7h-2v2z"}}]})(props);
};
function MdInput (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3.01H3c-1.1 0-2 .9-2 2V9h2V4.99h18v14.03H3V15H1v4.01c0 1.1.9 1.98 2 1.98h18c1.1 0 2-.88 2-1.98v-14c0-1.11-.9-2-2-2zM11 16l4-4-4-4v3H1v2h10v3z"}}]})(props);
};
function MdInvertColors (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.66 7.93L12 2.27 6.34 7.93c-3.12 3.12-3.12 8.19 0 11.31C7.9 20.8 9.95 21.58 12 21.58c2.05 0 4.1-.78 5.66-2.34 3.12-3.12 3.12-8.19 0-11.31zM12 19.59c-1.6 0-3.11-.62-4.24-1.76C6.62 16.69 6 15.19 6 13.59s.62-3.11 1.76-4.24L12 5.1v14.49z"}}]})(props);
};
function MdLabel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.63 5.84C17.27 5.33 16.67 5 16 5L5 5.01C3.9 5.01 3 5.9 3 7v10c0 1.1.9 1.99 2 1.99L16 19c.67 0 1.27-.33 1.63-.84L22 12l-4.37-6.16z"}}]})(props);
};
function MdLabelOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.63 5.84C17.27 5.33 16.67 5 16 5L5 5.01C3.9 5.01 3 5.9 3 7v10c0 1.1.9 1.99 2 1.99L16 19c.67 0 1.27-.33 1.63-.84L22 12l-4.37-6.16zM16 17H5V7h11l3.55 5L16 17z"}}]})(props);
};
function MdLanguage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zm6.93 6h-2.95c-.32-1.25-.78-2.45-1.38-3.56 1.84.63 3.37 1.91 4.33 3.56zM12 4.04c.83 1.2 1.48 2.53 1.91 3.96h-3.82c.43-1.43 1.08-2.76 1.91-3.96zM4.26 14C4.1 13.36 4 12.69 4 12s.1-1.36.26-2h3.38c-.08.66-.14 1.32-.14 2 0 .68.06 1.34.14 2H4.26zm.82 2h2.95c.32 1.25.78 2.45 1.38 3.56-1.84-.63-3.37-1.9-4.33-3.56zm2.95-8H5.08c.96-1.66 2.49-2.93 4.33-3.56C8.81 5.55 8.35 6.75 8.03 8zM12 19.96c-.83-1.2-1.48-2.53-1.91-3.96h3.82c-.43 1.43-1.08 2.76-1.91 3.96zM14.34 14H9.66c-.09-.66-.16-1.32-.16-2 0-.68.07-1.35.16-2h4.68c.09.65.16 1.32.16 2 0 .68-.07 1.34-.16 2zm.25 5.56c.6-1.11 1.06-2.31 1.38-3.56h2.95c-.96 1.65-2.49 2.93-4.33 3.56zM16.36 14c.08-.66.14-1.32.14-2 0-.68-.06-1.34-.14-2h3.38c.16.64.26 1.31.26 2s-.1 1.36-.26 2h-3.38z"}}]})(props);
};
function MdLaunch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 19H5V5h7V3H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2v-7h-2v7zM14 3v2h3.59l-9.83 9.83 1.41 1.41L19 6.41V10h2V3h-7z"}}]})(props);
};
function MdLightbulbOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 21c0 .55.45 1 1 1h4c.55 0 1-.45 1-1v-1H9v1zm3-19C8.14 2 5 5.14 5 9c0 2.38 1.19 4.47 3 5.74V17c0 .55.45 1 1 1h6c.55 0 1-.45 1-1v-2.26c1.81-1.27 3-3.36 3-5.74 0-3.86-3.14-7-7-7zm2.85 11.1l-.85.6V16h-4v-2.3l-.85-.6C7.8 12.16 7 10.63 7 9c0-2.76 2.24-5 5-5s5 2.24 5 5c0 1.63-.8 3.16-2.15 4.1z"}}]})(props);
};
function MdLineStyle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 16h5v-2H3v2zm6.5 0h5v-2h-5v2zm6.5 0h5v-2h-5v2zM3 20h2v-2H3v2zm4 0h2v-2H7v2zm4 0h2v-2h-2v2zm4 0h2v-2h-2v2zm4 0h2v-2h-2v2zM3 12h8v-2H3v2zm10 0h8v-2h-8v2zM3 4v4h18V4H3z"}}]})(props);
};
function MdLineWeight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 17h18v-2H3v2zm0 3h18v-1H3v1zm0-7h18v-3H3v3zm0-9v4h18V4H3z"}}]})(props);
};
function MdList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 13h2v-2H3v2zm0 4h2v-2H3v2zm0-8h2V7H3v2zm4 4h14v-2H7v2zm0 4h14v-2H7v2zM7 7v2h14V7H7z"}}]})(props);
};
function MdLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 8h-1V6c0-2.76-2.24-5-5-5S7 3.24 7 6v2H6c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V10c0-1.1-.9-2-2-2zm-6 9c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zm3.1-9H8.9V6c0-1.71 1.39-3.1 3.1-3.1 1.71 0 3.1 1.39 3.1 3.1v2z"}}]})(props);
};
function MdLockOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 17c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zm6-9h-1V6c0-2.76-2.24-5-5-5S7 3.24 7 6h1.9c0-1.71 1.39-3.1 3.1-3.1 1.71 0 3.1 1.39 3.1 3.1v2H6c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V10c0-1.1-.9-2-2-2zm0 12H6V10h12v10z"}}]})(props);
};
function MdLockOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 17c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zm6-9h-1V6c0-2.76-2.24-5-5-5S7 3.24 7 6v2H6c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V10c0-1.1-.9-2-2-2zM8.9 6c0-1.71 1.39-3.1 3.1-3.1s3.1 1.39 3.1 3.1v2H8.9V6zM18 20H6V10h12v10z"}}]})(props);
};
function MdLoyalty (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.41 11.58l-9-9C12.05 2.22 11.55 2 11 2H4c-1.1 0-2 .9-2 2v7c0 .55.22 1.05.59 1.42l9 9c.36.36.86.58 1.41.58.55 0 1.05-.22 1.41-.59l7-7c.37-.36.59-.86.59-1.41 0-.55-.23-1.06-.59-1.42zM5.5 7C4.67 7 4 6.33 4 5.5S4.67 4 5.5 4 7 4.67 7 5.5 6.33 7 5.5 7zm11.77 8.27L13 19.54l-4.27-4.27C8.28 14.81 8 14.19 8 13.5c0-1.38 1.12-2.5 2.5-2.5.69 0 1.32.28 1.77.74l.73.72.73-.73c.45-.45 1.08-.73 1.77-.73 1.38 0 2.5 1.12 2.5 2.5 0 .69-.28 1.32-.73 1.77z"}}]})(props);
};
function MdMarkunreadMailbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 6H10v6H8V4h6V0H6v6H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V8c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdMotorcycle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.44 9.03L15.41 5H11v2h3.59l2 2H5c-2.8 0-5 2.2-5 5s2.2 5 5 5c2.46 0 4.45-1.69 4.9-4h1.65l2.77-2.77c-.21.54-.32 1.14-.32 1.77 0 2.8 2.2 5 5 5s5-2.2 5-5c0-2.65-1.97-4.77-4.56-4.97zM7.82 15C7.4 16.15 6.28 17 5 17c-1.63 0-3-1.37-3-3s1.37-3 3-3c1.28 0 2.4.85 2.82 2H5v2h2.82zM19 17c-1.66 0-3-1.34-3-3s1.34-3 3-3 3 1.34 3 3-1.34 3-3 3z"}}]})(props);
};
function MdNoteAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 2H6c-1.1 0-1.99.9-1.99 2L4 20c0 1.1.89 2 1.99 2H18c1.1 0 2-.9 2-2V8l-6-6zm2 14h-3v3h-2v-3H8v-2h3v-3h2v3h3v2zm-3-7V3.5L18.5 9H13z"}}]})(props);
};
function MdOfflinePin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.5 2 2 6.5 2 12s4.5 10 10 10 10-4.5 10-10S17.5 2 12 2zm5 16H7v-2h10v2zm-6.7-4L7 10.7l1.4-1.4 1.9 1.9 5.3-5.3L17 7.3 10.3 14z"}}]})(props);
};
function MdOpacity (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.66 8L12 2.35 6.34 8C4.78 9.56 4 11.64 4 13.64s.78 4.11 2.34 5.67 3.61 2.35 5.66 2.35 4.1-.79 5.66-2.35S20 15.64 20 13.64 19.22 9.56 17.66 8zM6 14c.01-2 .62-3.27 1.76-4.4L12 5.27l4.24 4.38C17.38 10.77 17.99 12 18 14H6z"}}]})(props);
};
function MdOpenInBrowser (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 4H5c-1.11 0-2 .9-2 2v12c0 1.1.89 2 2 2h4v-2H5V8h14v10h-4v2h4c1.1 0 2-.9 2-2V6c0-1.1-.89-2-2-2zm-7 6l-4 4h3v6h2v-6h3l-4-4z"}}]})(props);
};
function MdOpenInNew (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 19H5V5h7V3H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2v-7h-2v7zM14 3v2h3.59l-9.83 9.83 1.41 1.41L19 6.41V10h2V3h-7z"}}]})(props);
};
function MdOpenWith (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 9h4V6h3l-5-5-5 5h3v3zm-1 1H6V7l-5 5 5 5v-3h3v-4zm14 2l-5-5v3h-3v4h3v3l5-5zm-9 3h-4v3H7l5 5 5-5h-3v-3z"}}]})(props);
};
function MdPageview (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.5 9C10.12 9 9 10.12 9 11.5s1.12 2.5 2.5 2.5 2.5-1.12 2.5-2.5S12.88 9 11.5 9zM20 4H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm-3.21 14.21l-2.91-2.91c-.69.44-1.51.7-2.39.7C9.01 16 7 13.99 7 11.5S9.01 7 11.5 7 16 9.01 16 11.5c0 .88-.26 1.69-.7 2.39l2.91 2.9-1.42 1.42z"}}]})(props);
};
function MdPanTool (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M23 5.5V20c0 2.2-1.8 4-4 4h-7.3c-1.08 0-2.1-.43-2.85-1.19L1 14.83s1.26-1.23 1.3-1.25c.22-.19.49-.29.79-.29.22 0 .42.06.6.16.04.01 4.31 2.46 4.31 2.46V4c0-.83.67-1.5 1.5-1.5S11 3.17 11 4v7h1V1.5c0-.83.67-1.5 1.5-1.5S15 .67 15 1.5V11h1V2.5c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5V11h1V5.5c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5z"}}]})(props);
};
function MdPayment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4H4c-1.11 0-1.99.89-1.99 2L2 18c0 1.11.89 2 2 2h16c1.11 0 2-.89 2-2V6c0-1.11-.89-2-2-2zm0 14H4v-6h16v6zm0-10H4V6h16v2z"}}]})(props);
};
function MdPermCameraMic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 5h-3.17L15 3H9L7.17 5H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h7v-2.09c-2.83-.48-5-2.94-5-5.91h2c0 2.21 1.79 4 4 4s4-1.79 4-4h2c0 2.97-2.17 5.43-5 5.91V21h7c1.1 0 2-.9 2-2V7c0-1.1-.9-2-2-2zm-6 8c0 1.1-.9 2-2 2s-2-.9-2-2V9c0-1.1.9-2 2-2s2 .9 2 2v4z"}}]})(props);
};
function MdPermContactCalendar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3h-1V1h-2v2H8V1H6v2H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-7 3c1.66 0 3 1.34 3 3s-1.34 3-3 3-3-1.34-3-3 1.34-3 3-3zm6 12H6v-1c0-2 4-3.1 6-3.1s6 1.1 6 3.1v1z"}}]})(props);
};
function MdPermDataSetting (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.99 11.5c.34 0 .67.03 1 .07L20 0 0 20h11.56c-.04-.33-.07-.66-.07-1 0-4.14 3.36-7.5 7.5-7.5zm3.71 7.99c.02-.16.04-.32.04-.49 0-.17-.01-.33-.04-.49l1.06-.83c.09-.08.12-.21.06-.32l-1-1.73c-.06-.11-.19-.15-.31-.11l-1.24.5c-.26-.2-.54-.37-.85-.49l-.19-1.32c-.01-.12-.12-.21-.24-.21h-2c-.12 0-.23.09-.25.21l-.19 1.32c-.3.13-.59.29-.85.49l-1.24-.5c-.11-.04-.24 0-.31.11l-1 1.73c-.06.11-.04.24.06.32l1.06.83c-.02.16-.03.32-.03.49 0 .17.01.33.03.49l-1.06.83c-.09.08-.12.21-.06.32l1 1.73c.06.11.19.15.31.11l1.24-.5c.26.2.54.37.85.49l.19 1.32c.02.12.12.21.25.21h2c.12 0 .23-.09.25-.21l.19-1.32c.3-.13.59-.29.84-.49l1.25.5c.11.04.24 0 .31-.11l1-1.73c.06-.11.03-.24-.06-.32l-1.07-.83zm-3.71 1.01c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5z"}}]})(props);
};
function MdPermDeviceInformation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 7h-2v2h2V7zm0 4h-2v6h2v-6zm4-9.99L7 1c-1.1 0-2 .9-2 2v18c0 1.1.9 2 2 2h10c1.1 0 2-.9 2-2V3c0-1.1-.9-1.99-2-1.99zM17 19H7V5h10v14z"}}]})(props);
};
function MdPermIdentity (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 5.9c1.16 0 2.1.94 2.1 2.1s-.94 2.1-2.1 2.1S9.9 9.16 9.9 8s.94-2.1 2.1-2.1m0 9c2.97 0 6.1 1.46 6.1 2.1v1.1H5.9V17c0-.64 3.13-2.1 6.1-2.1M12 4C9.79 4 8 5.79 8 8s1.79 4 4 4 4-1.79 4-4-1.79-4-4-4zm0 9c-2.67 0-8 1.34-8 4v3h16v-3c0-2.66-5.33-4-8-4z"}}]})(props);
};
function MdPermMedia (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 6H0v5h.01L0 20c0 1.1.9 2 2 2h18v-2H2V6zm20-2h-8l-2-2H6c-1.1 0-1.99.9-1.99 2L4 16c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zM7 15l4.5-6 3.5 4.51 2.5-3.01L21 15H7z"}}]})(props);
};
function MdPermPhoneMsg (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 15.5c-1.25 0-2.45-.2-3.57-.57-.35-.11-.74-.03-1.02.24l-2.2 2.2c-2.83-1.44-5.15-3.75-6.59-6.58l2.2-2.21c.28-.27.36-.66.25-1.01C8.7 6.45 8.5 5.25 8.5 4c0-.55-.45-1-1-1H4c-.55 0-1 .45-1 1 0 9.39 7.61 17 17 17 .55 0 1-.45 1-1v-3.5c0-.55-.45-1-1-1zM12 3v10l3-3h6V3h-9z"}}]})(props);
};
function MdPermScanWifi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 3C6.95 3 3.15 4.85 0 7.23L12 22 24 7.25C20.85 4.87 17.05 3 12 3zm1 13h-2v-6h2v6zm-2-8V6h2v2h-2z"}}]})(props);
};
function MdPets (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"4.5","cy":"9.5","r":"2.5"}},{"tag":"circle","attr":{"cx":"9","cy":"5.5","r":"2.5"}},{"tag":"circle","attr":{"cx":"15","cy":"5.5","r":"2.5"}},{"tag":"circle","attr":{"cx":"19.5","cy":"9.5","r":"2.5"}},{"tag":"path","attr":{"d":"M17.34 14.86c-.87-1.02-1.6-1.89-2.48-2.91-.46-.54-1.05-1.08-1.75-1.32-.11-.04-.22-.07-.33-.09-.25-.04-.52-.04-.78-.04s-.53 0-.79.05c-.11.02-.22.05-.33.09-.7.24-1.28.78-1.75 1.32-.87 1.02-1.6 1.89-2.48 2.91-1.31 1.31-2.92 2.76-2.62 4.79.29 1.02 1.02 2.03 2.33 2.32.73.15 3.06-.44 5.54-.44h.18c2.48 0 4.81.58 5.54.44 1.31-.29 2.04-1.31 2.33-2.32.31-2.04-1.3-3.49-2.61-4.8z"}}]})(props);
};
function MdPictureInPicture (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 7h-8v6h8V7zm2-4H3c-1.1 0-2 .9-2 2v14c0 1.1.9 1.98 2 1.98h18c1.1 0 2-.88 2-1.98V5c0-1.1-.9-2-2-2zm0 16.01H3V4.98h18v14.03z"}}]})(props);
};
function MdPictureInPictureAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 11h-8v6h8v-6zm4 8V4.98C23 3.88 22.1 3 21 3H3c-1.1 0-2 .88-2 1.98V19c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2zm-2 .02H3V4.97h18v14.05z"}}]})(props);
};
function MdPlayForWork (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 5v5.59H7.5l4.5 4.5 4.5-4.5H13V5h-2zm-5 9c0 3.31 2.69 6 6 6s6-2.69 6-6h-2c0 2.21-1.79 4-4 4s-4-1.79-4-4H6z"}}]})(props);
};
function MdPolymer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 4h-4L7.11 16.63 4.5 12 9 4H5L.5 12 5 20h4l7.89-12.63L19.5 12 15 20h4l4.5-8z"}}]})(props);
};
function MdPowerSettingsNew (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 3h-2v10h2V3zm4.83 2.17l-1.42 1.42C17.99 7.86 19 9.81 19 12c0 3.87-3.13 7-7 7s-7-3.13-7-7c0-2.19 1.01-4.14 2.58-5.42L6.17 5.17C4.23 6.82 3 9.26 3 12c0 4.97 4.03 9 9 9s9-4.03 9-9c0-2.74-1.23-5.18-3.17-6.83z"}}]})(props);
};
function MdPregnantWoman (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 4c0-1.11.89-2 2-2s2 .89 2 2-.89 2-2 2-2-.89-2-2zm7 9c-.01-1.34-.83-2.51-2-3 0-1.66-1.34-3-3-3s-3 1.34-3 3v7h2v5h3v-5h3v-4z"}}]})(props);
};
function MdPrint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 8H5c-1.66 0-3 1.34-3 3v6h4v4h12v-4h4v-6c0-1.66-1.34-3-3-3zm-3 11H8v-5h8v5zm3-7c-.55 0-1-.45-1-1s.45-1 1-1 1 .45 1 1-.45 1-1 1zm-1-9H6v4h12V3z"}}]})(props);
};
function MdQueryBuilder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm.5-13H11v6l5.25 3.15.75-1.23-4.5-2.67z"}}]})(props);
};
function MdQuestionAnswer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 6h-2v9H6v2c0 .55.45 1 1 1h11l4 4V7c0-.55-.45-1-1-1zm-4 6V3c0-.55-.45-1-1-1H3c-.55 0-1 .45-1 1v14l4-4h10c.55 0 1-.45 1-1z"}}]})(props);
};
function MdReceipt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 17H6v-2h12v2zm0-4H6v-2h12v2zm0-4H6V7h12v2zM3 22l1.5-1.5L6 22l1.5-1.5L9 22l1.5-1.5L12 22l1.5-1.5L15 22l1.5-1.5L18 22l1.5-1.5L21 22V2l-1.5 1.5L18 2l-1.5 1.5L15 2l-1.5 1.5L12 2l-1.5 1.5L9 2 7.5 3.5 6 2 4.5 3.5 3 2v20z"}}]})(props);
};
function MdRecordVoiceOver (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"9","cy":"9","r":"4"}},{"tag":"path","attr":{"d":"M9 15c-2.67 0-8 1.34-8 4v2h16v-2c0-2.66-5.33-4-8-4zm7.76-9.64l-1.68 1.69c.84 1.18.84 2.71 0 3.89l1.68 1.69c2.02-2.02 2.02-5.07 0-7.27zM20.07 2l-1.63 1.63c2.77 3.02 2.77 7.56 0 10.74L20.07 16c3.9-3.89 3.91-9.95 0-14z"}}]})(props);
};
function MdRedeem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 6h-2.18c.11-.31.18-.65.18-1 0-1.66-1.34-3-3-3-1.05 0-1.96.54-2.5 1.35l-.5.67-.5-.68C10.96 2.54 10.05 2 9 2 7.34 2 6 3.34 6 5c0 .35.07.69.18 1H4c-1.11 0-1.99.89-1.99 2L2 19c0 1.11.89 2 2 2h16c1.11 0 2-.89 2-2V8c0-1.11-.89-2-2-2zm-5-2c.55 0 1 .45 1 1s-.45 1-1 1-1-.45-1-1 .45-1 1-1zM9 4c.55 0 1 .45 1 1s-.45 1-1 1-1-.45-1-1 .45-1 1-1zm11 15H4v-2h16v2zm0-5H4V8h5.08L7 10.83 8.62 12 11 8.76l1-1.36 1 1.36L15.38 12 17 10.83 14.92 8H20v6z"}}]})(props);
};
function MdRemoveShoppingCart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22.73 22.73L2.77 2.77 2 2l-.73-.73L0 2.54l4.39 4.39 2.21 4.66-1.35 2.45c-.16.28-.25.61-.25.96 0 1.1.9 2 2 2h7.46l1.38 1.38c-.5.36-.83.95-.83 1.62 0 1.1.89 2 1.99 2 .67 0 1.26-.33 1.62-.84L21.46 24l1.27-1.27zM7.42 15c-.14 0-.25-.11-.25-.25l.03-.12.9-1.63h2.36l2 2H7.42zm8.13-2c.75 0 1.41-.41 1.75-1.03l3.58-6.49c.08-.14.12-.31.12-.48 0-.55-.45-1-1-1H6.54l9.01 9zM7 18c-1.1 0-1.99.9-1.99 2S5.9 22 7 22s2-.9 2-2-.9-2-2-2z"}}]})(props);
};
function MdReorder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 15h18v-2H3v2zm0 4h18v-2H3v2zm0-8h18V9H3v2zm0-6v2h18V5H3z"}}]})(props);
};
function MdReportProblem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M1 21h22L12 2 1 21zm12-3h-2v-2h2v2zm0-4h-2v-4h2v4z"}}]})(props);
};
function MdRestore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 3c-4.97 0-9 4.03-9 9H1l3.89 3.89.07.14L9 12H6c0-3.87 3.13-7 7-7s7 3.13 7 7-3.13 7-7 7c-1.93 0-3.68-.79-4.94-2.06l-1.42 1.42C8.27 19.99 10.51 21 13 21c4.97 0 9-4.03 9-9s-4.03-9-9-9zm-1 5v5l4.28 2.54.72-1.21-3.5-2.08V8H12z"}}]})(props);
};
function MdRestorePage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 2H6c-1.1 0-1.99.9-1.99 2L4 20c0 1.1.89 2 1.99 2H18c1.1 0 2-.9 2-2V8l-6-6zm-2 16c-2.05 0-3.81-1.24-4.58-3h1.71c.63.9 1.68 1.5 2.87 1.5 1.93 0 3.5-1.57 3.5-3.5S13.93 9.5 12 9.5c-1.35 0-2.52.78-3.1 1.9l1.6 1.6h-4V9l1.3 1.3C8.69 8.92 10.23 8 12 8c2.76 0 5 2.24 5 5s-2.24 5-5 5z"}}]})(props);
};
function MdRoom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C8.13 2 5 5.13 5 9c0 5.25 7 13 7 13s7-7.75 7-13c0-3.87-3.13-7-7-7zm0 9.5c-1.38 0-2.5-1.12-2.5-2.5s1.12-2.5 2.5-2.5 2.5 1.12 2.5 2.5-1.12 2.5-2.5 2.5z"}}]})(props);
};
function MdRoundedCorner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 19h2v2h-2v-2zm0-2h2v-2h-2v2zM3 13h2v-2H3v2zm0 4h2v-2H3v2zm0-8h2V7H3v2zm0-4h2V3H3v2zm4 0h2V3H7v2zm8 16h2v-2h-2v2zm-4 0h2v-2h-2v2zm4 0h2v-2h-2v2zm-8 0h2v-2H7v2zm-4 0h2v-2H3v2zM21 8c0-2.76-2.24-5-5-5h-5v2h5c1.65 0 3 1.35 3 3v5h2V8z"}}]})(props);
};
function MdRowing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8.5 14.5L4 19l1.5 1.5L9 17h2l-2.5-2.5zM15 1c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm6 20.01L18 24l-2.99-3.01V19.5l-7.1-7.09c-.31.05-.61.07-.91.07v-2.16c1.66.03 3.61-.87 4.67-2.04l1.4-1.55c.19-.21.43-.38.69-.5.29-.14.62-.23.96-.23h.03C15.99 6.01 17 7.02 17 8.26v5.75c0 .84-.35 1.61-.92 2.16l-3.58-3.58v-2.27c-.63.52-1.43 1.02-2.29 1.39L16.5 18H18l3 3.01z"}}]})(props);
};
function MdSchedule (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm.5-13H11v6l5.25 3.15.75-1.23-4.5-2.67z"}}]})(props);
};
function MdSearch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.5 14h-.79l-.28-.27C15.41 12.59 16 11.11 16 9.5 16 5.91 13.09 3 9.5 3S3 5.91 3 9.5 5.91 16 9.5 16c1.61 0 3.09-.59 4.23-1.57l.27.28v.79l5 4.99L20.49 19l-4.99-5zm-6 0C7.01 14 5 11.99 5 9.5S7.01 5 9.5 5 14 7.01 14 9.5 11.99 14 9.5 14z"}}]})(props);
};
function MdSettings (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.43 12.98c.04-.32.07-.64.07-.98s-.03-.66-.07-.98l2.11-1.65c.19-.15.24-.42.12-.64l-2-3.46c-.12-.22-.39-.3-.61-.22l-2.49 1c-.52-.4-1.08-.73-1.69-.98l-.38-2.65C14.46 2.18 14.25 2 14 2h-4c-.25 0-.46.18-.49.42l-.38 2.65c-.61.25-1.17.59-1.69.98l-2.49-1c-.23-.09-.49 0-.61.22l-2 3.46c-.13.22-.07.49.12.64l2.11 1.65c-.04.32-.07.65-.07.98s.03.66.07.98l-2.11 1.65c-.19.15-.24.42-.12.64l2 3.46c.12.22.39.3.61.22l2.49-1c.52.4 1.08.73 1.69.98l.38 2.65c.03.24.24.42.49.42h4c.25 0 .46-.18.49-.42l.38-2.65c.61-.25 1.17-.59 1.69-.98l2.49 1c.23.09.49 0 .61-.22l2-3.46c.12-.22.07-.49-.12-.64l-2.11-1.65zM12 15.5c-1.93 0-3.5-1.57-3.5-3.5s1.57-3.5 3.5-3.5 3.5 1.57 3.5 3.5-1.57 3.5-3.5 3.5z"}}]})(props);
};
function MdSettingsApplications (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 10c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm7-7H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h14c1.11 0 2-.9 2-2V5c0-1.1-.89-2-2-2zm-1.75 9c0 .23-.02.46-.05.68l1.48 1.16c.13.11.17.3.08.45l-1.4 2.42c-.09.15-.27.21-.43.15l-1.74-.7c-.36.28-.76.51-1.18.69l-.26 1.85c-.03.17-.18.3-.35.3h-2.8c-.17 0-.32-.13-.35-.29l-.26-1.85c-.43-.18-.82-.41-1.18-.69l-1.74.7c-.16.06-.34 0-.43-.15l-1.4-2.42c-.09-.15-.05-.34.08-.45l1.48-1.16c-.03-.23-.05-.46-.05-.69 0-.23.02-.46.05-.68l-1.48-1.16c-.13-.11-.17-.3-.08-.45l1.4-2.42c.09-.15.27-.21.43-.15l1.74.7c.36-.28.76-.51 1.18-.69l.26-1.85c.03-.17.18-.3.35-.3h2.8c.17 0 .32.13.35.29l.26 1.85c.43.18.82.41 1.18.69l1.74-.7c.16-.06.34 0 .43.15l1.4 2.42c.09.15.05.34-.08.45l-1.48 1.16c.03.23.05.46.05.69z"}}]})(props);
};
function MdSettingsBackupRestore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 12c0-1.1-.9-2-2-2s-2 .9-2 2 .9 2 2 2 2-.9 2-2zm-2-9c-4.97 0-9 4.03-9 9H0l4 4 4-4H5c0-3.87 3.13-7 7-7s7 3.13 7 7-3.13 7-7 7c-1.51 0-2.91-.49-4.06-1.3l-1.42 1.44C8.04 20.3 9.94 21 12 21c4.97 0 9-4.03 9-9s-4.03-9-9-9z"}}]})(props);
};
function MdSettingsBluetooth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 24h2v-2h-2v2zm-4 0h2v-2H7v2zm8 0h2v-2h-2v2zm2.71-18.29L12 0h-1v7.59L6.41 3 5 4.41 10.59 10 5 15.59 6.41 17 11 12.41V20h1l5.71-5.71-4.3-4.29 4.3-4.29zM13 3.83l1.88 1.88L13 7.59V3.83zm1.88 10.46L13 16.17v-3.76l1.88 1.88z"}}]})(props);
};
function MdSettingsBrightness (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16.01H3V4.99h18v14.02zM8 16h2.5l1.5 1.5 1.5-1.5H16v-2.5l1.5-1.5-1.5-1.5V8h-2.5L12 6.5 10.5 8H8v2.5L6.5 12 8 13.5V16zm4-7c1.66 0 3 1.34 3 3s-1.34 3-3 3V9z"}}]})(props);
};
function MdSettingsCell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 24h2v-2H7v2zm4 0h2v-2h-2v2zm4 0h2v-2h-2v2zM16 .01L8 0C6.9 0 6 .9 6 2v16c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V2c0-1.1-.9-1.99-2-1.99zM16 16H8V4h8v12z"}}]})(props);
};
function MdSettingsEthernet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.77 6.76L6.23 5.48.82 12l5.41 6.52 1.54-1.28L3.42 12l4.35-5.24zM7 13h2v-2H7v2zm10-2h-2v2h2v-2zm-6 2h2v-2h-2v2zm6.77-7.52l-1.54 1.28L20.58 12l-4.35 5.24 1.54 1.28L23.18 12l-5.41-6.52z"}}]})(props);
};
function MdSettingsInputAntenna (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 5c-3.87 0-7 3.13-7 7h2c0-2.76 2.24-5 5-5s5 2.24 5 5h2c0-3.87-3.13-7-7-7zm1 9.29c.88-.39 1.5-1.26 1.5-2.29 0-1.38-1.12-2.5-2.5-2.5S9.5 10.62 9.5 12c0 1.02.62 1.9 1.5 2.29v3.3L7.59 21 9 22.41l3-3 3 3L16.41 21 13 17.59v-3.3zM12 1C5.93 1 1 5.93 1 12h2c0-4.97 4.03-9 9-9s9 4.03 9 9h2c0-6.07-4.93-11-11-11z"}}]})(props);
};
function MdSettingsInputComponent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 2c0-.55-.45-1-1-1s-1 .45-1 1v4H1v6h6V6H5V2zm4 14c0 1.3.84 2.4 2 2.82V23h2v-4.18c1.16-.41 2-1.51 2-2.82v-2H9v2zm-8 0c0 1.3.84 2.4 2 2.82V23h2v-4.18C6.16 18.4 7 17.3 7 16v-2H1v2zM21 6V2c0-.55-.45-1-1-1s-1 .45-1 1v4h-2v6h6V6h-2zm-8-4c0-.55-.45-1-1-1s-1 .45-1 1v4H9v6h6V6h-2V2zm4 14c0 1.3.84 2.4 2 2.82V23h2v-4.18c1.16-.41 2-1.51 2-2.82v-2h-6v2z"}}]})(props);
};
function MdSettingsInputComposite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 2c0-.55-.45-1-1-1s-1 .45-1 1v4H1v6h6V6H5V2zm4 14c0 1.3.84 2.4 2 2.82V23h2v-4.18c1.16-.41 2-1.51 2-2.82v-2H9v2zm-8 0c0 1.3.84 2.4 2 2.82V23h2v-4.18C6.16 18.4 7 17.3 7 16v-2H1v2zM21 6V2c0-.55-.45-1-1-1s-1 .45-1 1v4h-2v6h6V6h-2zm-8-4c0-.55-.45-1-1-1s-1 .45-1 1v4H9v6h6V6h-2V2zm4 14c0 1.3.84 2.4 2 2.82V23h2v-4.18c1.16-.41 2-1.51 2-2.82v-2h-6v2z"}}]})(props);
};
function MdSettingsInputHdmi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 7V4c0-1.1-.9-2-2-2H8c-1.1 0-2 .9-2 2v3H5v6l3 6v3h8v-3l3-6V7h-1zM8 4h8v3h-2V5h-1v2h-2V5h-1v2H8V4z"}}]})(props);
};
function MdSettingsInputSvideo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 11.5c0-.83-.67-1.5-1.5-1.5S5 10.67 5 11.5 5.67 13 6.5 13 8 12.33 8 11.5zm7-5c0-.83-.67-1.5-1.5-1.5h-3C9.67 5 9 5.67 9 6.5S9.67 8 10.5 8h3c.83 0 1.5-.67 1.5-1.5zM8.5 15c-.83 0-1.5.67-1.5 1.5S7.67 18 8.5 18s1.5-.67 1.5-1.5S9.33 15 8.5 15zM12 1C5.93 1 1 5.93 1 12s4.93 11 11 11 11-4.93 11-11S18.07 1 12 1zm0 20c-4.96 0-9-4.04-9-9s4.04-9 9-9 9 4.04 9 9-4.04 9-9 9zm5.5-11c-.83 0-1.5.67-1.5 1.5s.67 1.5 1.5 1.5 1.5-.67 1.5-1.5-.67-1.5-1.5-1.5zm-2 5c-.83 0-1.5.67-1.5 1.5s.67 1.5 1.5 1.5 1.5-.67 1.5-1.5-.67-1.5-1.5-1.5z"}}]})(props);
};
function MdSettingsOverscan (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.01 5.5L10 8h4l-1.99-2.5zM18 10v4l2.5-1.99L18 10zM6 10l-2.5 2.01L6 14v-4zm8 6h-4l2.01 2.5L14 16zm7-13H3c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16.01H3V4.99h18v14.02z"}}]})(props);
};
function MdSettingsPhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 9h-2v2h2V9zm4 0h-2v2h2V9zm3 6.5c-1.25 0-2.45-.2-3.57-.57-.35-.11-.74-.03-1.02.24l-2.2 2.2c-2.83-1.44-5.15-3.75-6.59-6.58l2.2-2.21c.28-.27.36-.66.25-1.01C8.7 6.45 8.5 5.25 8.5 4c0-.55-.45-1-1-1H4c-.55 0-1 .45-1 1 0 9.39 7.61 17 17 17 .55 0 1-.45 1-1v-3.5c0-.55-.45-1-1-1zM19 9v2h2V9h-2z"}}]})(props);
};
function MdSettingsPower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 24h2v-2H7v2zm4 0h2v-2h-2v2zm2-22h-2v10h2V2zm3.56 2.44l-1.45 1.45C16.84 6.94 18 8.83 18 11c0 3.31-2.69 6-6 6s-6-2.69-6-6c0-2.17 1.16-4.06 2.88-5.12L7.44 4.44C5.36 5.88 4 8.28 4 11c0 4.42 3.58 8 8 8s8-3.58 8-8c0-2.72-1.36-5.12-3.44-6.56zM15 24h2v-2h-2v2z"}}]})(props);
};
function MdSettingsRemote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 9H9c-.55 0-1 .45-1 1v12c0 .55.45 1 1 1h6c.55 0 1-.45 1-1V10c0-.55-.45-1-1-1zm-3 6c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zM7.05 6.05l1.41 1.41C9.37 6.56 10.62 6 12 6s2.63.56 3.54 1.46l1.41-1.41C15.68 4.78 13.93 4 12 4s-3.68.78-4.95 2.05zM12 0C8.96 0 6.21 1.23 4.22 3.22l1.41 1.41C7.26 3.01 9.51 2 12 2s4.74 1.01 6.36 2.64l1.41-1.41C17.79 1.23 15.04 0 12 0z"}}]})(props);
};
function MdSettingsVoice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 24h2v-2H7v2zm5-11c1.66 0 2.99-1.34 2.99-3L15 4c0-1.66-1.34-3-3-3S9 2.34 9 4v6c0 1.66 1.34 3 3 3zm-1 11h2v-2h-2v2zm4 0h2v-2h-2v2zm4-14h-1.7c0 3-2.54 5.1-5.3 5.1S6.7 13 6.7 10H5c0 3.41 2.72 6.23 6 6.72V20h2v-3.28c3.28-.49 6-3.31 6-6.72z"}}]})(props);
};
function MdShop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16 6V4c0-1.11-.89-2-2-2h-4c-1.11 0-2 .89-2 2v2H2v13c0 1.11.89 2 2 2h16c1.11 0 2-.89 2-2V6h-6zm-6-2h4v2h-4V4zM9 18V9l7.5 4L9 18z"}}]})(props);
};
function MdShopTwo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 9H1v11c0 1.11.89 2 2 2h14c1.11 0 2-.89 2-2H3V9zm15-4V3c0-1.11-.89-2-2-2h-4c-1.11 0-2 .89-2 2v2H5v11c0 1.11.89 2 2 2h14c1.11 0 2-.89 2-2V5h-5zm-6-2h4v2h-4V3zm0 12V8l5.5 3-5.5 4z"}}]})(props);
};
function MdShoppingBasket (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.21 9l-4.38-6.56c-.19-.28-.51-.42-.83-.42-.32 0-.64.14-.83.43L6.79 9H2c-.55 0-1 .45-1 1 0 .09.01.18.04.27l2.54 9.27c.23.84 1 1.46 1.92 1.46h13c.92 0 1.69-.62 1.93-1.46l2.54-9.27L23 10c0-.55-.45-1-1-1h-4.79zM9 9l3-4.4L15 9H9zm3 8c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"}}]})(props);
};
function MdShoppingCart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 18c-1.1 0-1.99.9-1.99 2S5.9 22 7 22s2-.9 2-2-.9-2-2-2zM1 2v2h2l3.6 7.59-1.35 2.45c-.16.28-.25.61-.25.96 0 1.1.9 2 2 2h12v-2H7.42c-.14 0-.25-.11-.25-.25l.03-.12.9-1.63h7.45c.75 0 1.41-.41 1.75-1.03l3.58-6.49c.08-.14.12-.31.12-.48 0-.55-.45-1-1-1H5.21l-.94-2H1zm16 16c-1.1 0-1.99.9-1.99 2s.89 2 1.99 2 2-.9 2-2-.9-2-2-2z"}}]})(props);
};
function MdSpeakerNotes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-1.99.9-1.99 2L2 22l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM8 14H6v-2h2v2zm0-3H6V9h2v2zm0-3H6V6h2v2zm7 6h-5v-2h5v2zm3-3h-8V9h8v2zm0-3h-8V6h8v2z"}}]})(props);
};
function MdSpeakerNotesOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10.54 11l-.54-.54L7.54 8 6 6.46 2.38 2.84 1.27 1.73 0 3l2.01 2.01L2 22l4-4h9l5.73 5.73L22 22.46 17.54 18l-7-7zM8 14H6v-2h2v2zm-2-3V9l2 2H6zm14-9H4.08L10 7.92V6h8v2h-7.92l1 1H18v2h-4.92l6.99 6.99C21.14 17.95 22 17.08 22 16V4c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdSpellcheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.45 16h2.09L9.43 3H7.57L2.46 16h2.09l1.12-3h5.64l1.14 3zm-6.02-5L8.5 5.48 10.57 11H6.43zm15.16.59l-8.09 8.09L9.83 16l-1.41 1.41 5.09 5.09L23 13l-1.41-1.41z"}}]})(props);
};
function MdStars (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zm4.24 16L12 15.45 7.77 18l1.12-4.81-3.73-3.23 4.92-.42L12 5l1.92 4.53 4.92.42-3.73 3.23L16.23 18z"}}]})(props);
};
function MdStore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4H4v2h16V4zm1 10v-2l-1-5H4l-1 5v2h1v6h10v-6h4v6h2v-6h1zm-9 4H6v-4h6v4z"}}]})(props);
};
function MdSubject (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 17H4v2h10v-2zm6-8H4v2h16V9zM4 15h16v-2H4v2zM4 5v2h16V5H4z"}}]})(props);
};
function MdSupervisorAccount (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.5 12c1.38 0 2.49-1.12 2.49-2.5S17.88 7 16.5 7C15.12 7 14 8.12 14 9.5s1.12 2.5 2.5 2.5zM9 11c1.66 0 2.99-1.34 2.99-3S10.66 5 9 5C7.34 5 6 6.34 6 8s1.34 3 3 3zm7.5 3c-1.83 0-5.5.92-5.5 2.75V19h11v-2.25c0-1.83-3.67-2.75-5.5-2.75zM9 13c-2.33 0-7 1.17-7 3.5V19h7v-2.25c0-.85.33-2.34 2.37-3.47C10.5 13.1 9.66 13 9 13z"}}]})(props);
};
function MdSwapHoriz (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6.99 11L3 15l3.99 4v-3H14v-2H6.99v-3zM21 9l-3.99-4v3H10v2h7.01v3L21 9z"}}]})(props);
};
function MdSwapVert (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16 17.01V10h-2v7.01h-3L15 21l4-3.99h-3zM9 3L5 6.99h3V14h2V6.99h3L9 3z"}}]})(props);
};
function MdSwapVerticalCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zM6.5 9L10 5.5 13.5 9H11v4H9V9H6.5zm11 6L14 18.5 10.5 15H13v-4h2v4h2.5z"}}]})(props);
};
function MdSystemUpdateAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 16.5l4-4h-3v-9h-2v9H8l4 4zm9-13h-6v1.99h6v14.03H3V5.49h6V3.5H3c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2v-14c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdTab (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H3V5h10v4h8v10z"}}]})(props);
};
function MdTabUnselected (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M1 9h2V7H1v2zm0 4h2v-2H1v2zm0-8h2V3c-1.1 0-2 .9-2 2zm8 16h2v-2H9v2zm-8-4h2v-2H1v2zm2 4v-2H1c0 1.1.9 2 2 2zM21 3h-8v6h10V5c0-1.1-.9-2-2-2zm0 14h2v-2h-2v2zM9 5h2V3H9v2zM5 21h2v-2H5v2zM5 5h2V3H5v2zm16 16c1.1 0 2-.9 2-2h-2v2zm0-8h2v-2h-2v2zm-8 8h2v-2h-2v2zm4 0h2v-2h-2v2z"}}]})(props);
};
function MdTheaters (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 3v2h-2V3H8v2H6V3H4v18h2v-2h2v2h8v-2h2v2h2V3h-2zM8 17H6v-2h2v2zm0-4H6v-2h2v2zm0-4H6V7h2v2zm10 8h-2v-2h2v2zm0-4h-2v-2h2v2zm0-4h-2V7h2v2z"}}]})(props);
};
function MdThumbDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 3H6c-.83 0-1.54.5-1.84 1.22l-3.02 7.05c-.09.23-.14.47-.14.73v1.91l.01.01L1 14c0 1.1.9 2 2 2h6.31l-.95 4.57-.03.32c0 .41.17.79.44 1.06L9.83 23l6.59-6.59c.36-.36.58-.86.58-1.41V5c0-1.1-.9-2-2-2zm4 0v12h4V3h-4z"}}]})(props);
};
function MdThumbUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M1 21h4V9H1v12zm22-11c0-1.1-.9-2-2-2h-6.31l.95-4.57.03-.32c0-.41-.17-.79-.44-1.06L14.17 1 7.59 7.59C7.22 7.95 7 8.45 7 9v10c0 1.1.9 2 2 2h9c.83 0 1.54-.5 1.84-1.22l3.02-7.05c.09-.23.14-.47.14-.73v-1.91l-.01-.01L23 10z"}}]})(props);
};
function MdThumbsUpDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 6c0-.55-.45-1-1-1H5.82l.66-3.18.02-.23c0-.31-.13-.59-.33-.8L5.38 0 .44 4.94C.17 5.21 0 5.59 0 6v6.5c0 .83.67 1.5 1.5 1.5h6.75c.62 0 1.15-.38 1.38-.91l2.26-5.29c.07-.17.11-.36.11-.55V6zm10.5 4h-6.75c-.62 0-1.15.38-1.38.91l-2.26 5.29c-.07.17-.11.36-.11.55V18c0 .55.45 1 1 1h5.18l-.66 3.18-.02.24c0 .31.13.59.33.8l.79.78 4.94-4.94c.27-.27.44-.65.44-1.06v-6.5c0-.83-.67-1.5-1.5-1.5z"}}]})(props);
};
function MdTimeline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M23 8c0 1.1-.9 2-2 2-.18 0-.35-.02-.51-.07l-3.56 3.55c.05.16.07.34.07.52 0 1.1-.9 2-2 2s-2-.9-2-2c0-.18.02-.36.07-.52l-2.55-2.55c-.16.05-.34.07-.52.07s-.36-.02-.52-.07l-4.55 4.56c.05.16.07.33.07.51 0 1.1-.9 2-2 2s-2-.9-2-2 .9-2 2-2c.18 0 .35.02.51.07l4.56-4.55C8.02 9.36 8 9.18 8 9c0-1.1.9-2 2-2s2 .9 2 2c0 .18-.02.36-.07.52l2.55 2.55c.16-.05.34-.07.52-.07s.36.02.52.07l3.55-3.56C19.02 8.35 19 8.18 19 8c0-1.1.9-2 2-2s2 .9 2 2z"}}]})(props);
};
function MdToc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 9h14V7H3v2zm0 4h14v-2H3v2zm0 4h14v-2H3v2zm16 0h2v-2h-2v2zm0-10v2h2V7h-2zm0 6h2v-2h-2v2z"}}]})(props);
};
function MdToday (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3h-1V1h-2v2H8V1H6v2H5c-1.11 0-1.99.9-1.99 2L3 19c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H5V8h14v11zM7 10h5v5H7z"}}]})(props);
};
function MdToll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 4c-4.42 0-8 3.58-8 8s3.58 8 8 8 8-3.58 8-8-3.58-8-8-8zm0 14c-3.31 0-6-2.69-6-6s2.69-6 6-6 6 2.69 6 6-2.69 6-6 6zM3 12c0-2.61 1.67-4.83 4-5.65V4.26C3.55 5.15 1 8.27 1 12s2.55 6.85 6 7.74v-2.09c-2.33-.82-4-3.04-4-5.65z"}}]})(props);
};
function MdTouchApp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 11.24V7.5C9 6.12 10.12 5 11.5 5S14 6.12 14 7.5v3.74c1.21-.81 2-2.18 2-3.74C16 5.01 13.99 3 11.5 3S7 5.01 7 7.5c0 1.56.79 2.93 2 3.74zm9.84 4.63l-4.54-2.26c-.17-.07-.35-.11-.54-.11H13v-6c0-.83-.67-1.5-1.5-1.5S10 6.67 10 7.5v10.74l-3.43-.72c-.08-.01-.15-.03-.24-.03-.31 0-.59.13-.79.33l-.79.8 4.94 4.94c.27.27.65.44 1.06.44h6.79c.75 0 1.33-.55 1.44-1.28l.75-5.27c.01-.07.02-.14.02-.2 0-.62-.38-1.16-.91-1.38z"}}]})(props);
};
function MdTrackChanges (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.07 4.93l-1.41 1.41C19.1 7.79 20 9.79 20 12c0 4.42-3.58 8-8 8s-8-3.58-8-8c0-4.08 3.05-7.44 7-7.93v2.02C8.16 6.57 6 9.03 6 12c0 3.31 2.69 6 6 6s6-2.69 6-6c0-1.66-.67-3.16-1.76-4.24l-1.41 1.41C15.55 9.9 16 10.9 16 12c0 2.21-1.79 4-4 4s-4-1.79-4-4c0-1.86 1.28-3.41 3-3.86v2.14c-.6.35-1 .98-1 1.72 0 1.1.9 2 2 2s2-.9 2-2c0-.74-.4-1.38-1-1.72V2h-1C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10c0-2.76-1.12-5.26-2.93-7.07z"}}]})(props);
};
function MdTranslate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.87 15.07l-2.54-2.51.03-.03c1.74-1.94 2.98-4.17 3.71-6.53H17V4h-7V2H8v2H1v1.99h11.17C11.5 7.92 10.44 9.75 9 11.35 8.07 10.32 7.3 9.19 6.69 8h-2c.73 1.63 1.73 3.17 2.98 4.56l-5.09 5.02L4 19l5-5 3.11 3.11.76-2.04zM18.5 10h-2L12 22h2l1.12-3h4.75L21 22h2l-4.5-12zm-2.62 7l1.62-4.33L19.12 17h-3.24z"}}]})(props);
};
function MdTrendingDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16 18l2.29-2.29-4.88-4.88-4 4L2 7.41 3.41 6l6 6 4-4 6.3 6.29L22 12v6z"}}]})(props);
};
function MdTrendingFlat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 12l-4-4v3H3v2h15v3z"}}]})(props);
};
function MdTrendingUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16 6l2.29 2.29-4.88 4.88-4-4L2 16.59 3.41 18l6-6 4 4 6.3-6.29L22 12V6z"}}]})(props);
};
function MdTurnedIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 3H7c-1.1 0-1.99.9-1.99 2L5 21l7-3 7 3V5c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdTurnedInNot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 3H7c-1.1 0-1.99.9-1.99 2L5 21l7-3 7 3V5c0-1.1-.9-2-2-2zm0 15l-5-2.18L7 18V5h10v13z"}}]})(props);
};
function MdUpdate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 10.12h-6.78l2.74-2.82c-2.73-2.7-7.15-2.8-9.88-.1-2.73 2.71-2.73 7.08 0 9.79 2.73 2.71 7.15 2.71 9.88 0C18.32 15.65 19 14.08 19 12.1h2c0 1.98-.88 4.55-2.64 6.29-3.51 3.48-9.21 3.48-12.72 0-3.5-3.47-3.53-9.11-.02-12.58 3.51-3.47 9.14-3.47 12.65 0L21 3v7.12zM12.5 8v4.25l3.5 2.08-.72 1.21L11 13V8h1.5z"}}]})(props);
};
function MdVerifiedUser (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 1L3 5v6c0 5.55 3.84 10.74 9 12 5.16-1.26 9-6.45 9-12V5l-9-4zm-2 16l-4-4 1.41-1.41L10 14.17l6.59-6.59L18 9l-8 8z"}}]})(props);
};
function MdViewAgenda (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 13H3c-.55 0-1 .45-1 1v6c0 .55.45 1 1 1h17c.55 0 1-.45 1-1v-6c0-.55-.45-1-1-1zm0-10H3c-.55 0-1 .45-1 1v6c0 .55.45 1 1 1h17c.55 0 1-.45 1-1V4c0-.55-.45-1-1-1z"}}]})(props);
};
function MdViewArray (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 18h3V5H4v13zM18 5v13h3V5h-3zM8 18h9V5H8v13z"}}]})(props);
};
function MdViewCarousel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 19h10V4H7v15zm-5-2h4V6H2v11zM18 6v11h4V6h-4z"}}]})(props);
};
function MdViewColumn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 18h5V5h-5v13zm-6 0h5V5H4v13zM16 5v13h5V5h-5z"}}]})(props);
};
function MdViewDay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 21h19v-3H2v3zM20 8H3c-.55 0-1 .45-1 1v6c0 .55.45 1 1 1h17c.55 0 1-.45 1-1V9c0-.55-.45-1-1-1zM2 3v3h19V3H2z"}}]})(props);
};
function MdViewHeadline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 15h16v-2H4v2zm0 4h16v-2H4v2zm0-8h16V9H4v2zm0-6v2h16V5H4z"}}]})(props);
};
function MdViewList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 14h4v-4H4v4zm0 5h4v-4H4v4zM4 9h4V5H4v4zm5 5h12v-4H9v4zm0 5h12v-4H9v4zM9 5v4h12V5H9z"}}]})(props);
};
function MdViewModule (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 11h5V5H4v6zm0 7h5v-6H4v6zm6 0h5v-6h-5v6zm6 0h5v-6h-5v6zm-6-7h5V5h-5v6zm6-6v6h5V5h-5z"}}]})(props);
};
function MdViewQuilt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 18h5v-6h-5v6zm-6 0h5V5H4v13zm12 0h5v-6h-5v6zM10 5v6h11V5H10z"}}]})(props);
};
function MdViewStream (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 18h17v-6H4v6zM4 5v6h17V5H4z"}}]})(props);
};
function MdViewWeek (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 5H3c-.55 0-1 .45-1 1v12c0 .55.45 1 1 1h3c.55 0 1-.45 1-1V6c0-.55-.45-1-1-1zm14 0h-3c-.55 0-1 .45-1 1v12c0 .55.45 1 1 1h3c.55 0 1-.45 1-1V6c0-.55-.45-1-1-1zm-7 0h-3c-.55 0-1 .45-1 1v12c0 .55.45 1 1 1h3c.55 0 1-.45 1-1V6c0-.55-.45-1-1-1z"}}]})(props);
};
function MdVisibility (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 4.5C7 4.5 2.73 7.61 1 12c1.73 4.39 6 7.5 11 7.5s9.27-3.11 11-7.5c-1.73-4.39-6-7.5-11-7.5zM12 17c-2.76 0-5-2.24-5-5s2.24-5 5-5 5 2.24 5 5-2.24 5-5 5zm0-8c-1.66 0-3 1.34-3 3s1.34 3 3 3 3-1.34 3-3-1.34-3-3-3z"}}]})(props);
};
function MdVisibilityOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 7c2.76 0 5 2.24 5 5 0 .65-.13 1.26-.36 1.83l2.92 2.92c1.51-1.26 2.7-2.89 3.43-4.75-1.73-4.39-6-7.5-11-7.5-1.4 0-2.74.25-3.98.7l2.16 2.16C10.74 7.13 11.35 7 12 7zM2 4.27l2.28 2.28.46.46C3.08 8.3 1.78 10.02 1 12c1.73 4.39 6 7.5 11 7.5 1.55 0 3.03-.3 4.38-.84l.42.42L19.73 22 21 20.73 3.27 3 2 4.27zM7.53 9.8l1.55 1.55c-.05.21-.08.43-.08.65 0 1.66 1.34 3 3 3 .22 0 .44-.03.65-.08l1.55 1.55c-.67.33-1.41.53-2.2.53-2.76 0-5-2.24-5-5 0-.79.2-1.53.53-2.2zm4.31-.78l3.15 3.15.02-.16c0-1.66-1.34-3-3-3l-.17.01z"}}]})(props);
};
function MdWatchLater (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.5 2 2 6.5 2 12s4.5 10 10 10 10-4.5 10-10S17.5 2 12 2zm4.2 14.2L11 13V7h1.5v5.2l4.5 2.7-.8 1.3z"}}]})(props);
};
function MdWork (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 6h-4V4c0-1.11-.89-2-2-2h-4c-1.11 0-2 .89-2 2v2H4c-1.11 0-1.99.89-1.99 2L2 19c0 1.11.89 2 2 2h16c1.11 0 2-.89 2-2V8c0-1.11-.89-2-2-2zm-6 0h-4V4h4v2z"}}]})(props);
};
function MdYoutubeSearchedFor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.01 14h-.8l-.27-.27c.98-1.14 1.57-2.61 1.57-4.23 0-3.59-2.91-6.5-6.5-6.5s-6.5 3-6.5 6.5H2l3.84 4 4.16-4H6.51C6.51 7 8.53 5 11.01 5s4.5 2.01 4.5 4.5c0 2.48-2.02 4.5-4.5 4.5-.65 0-1.26-.14-1.82-.38L7.71 15.1c.97.57 2.09.9 3.3.9 1.61 0 3.08-.59 4.22-1.57l.27.27v.79l5.01 4.99L22 19l-4.99-5z"}}]})(props);
};
function MdZoomIn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.5 14h-.79l-.28-.27C15.41 12.59 16 11.11 16 9.5 16 5.91 13.09 3 9.5 3S3 5.91 3 9.5 5.91 16 9.5 16c1.61 0 3.09-.59 4.23-1.57l.27.28v.79l5 4.99L20.49 19l-4.99-5zm-6 0C7.01 14 5 11.99 5 9.5S7.01 5 9.5 5 14 7.01 14 9.5 11.99 14 9.5 14zm2.5-4h-2v2H9v-2H7V9h2V7h1v2h2v1z"}}]})(props);
};
function MdZoomOut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.5 14h-.79l-.28-.27C15.41 12.59 16 11.11 16 9.5 16 5.91 13.09 3 9.5 3S3 5.91 3 9.5 5.91 16 9.5 16c1.61 0 3.09-.59 4.23-1.57l.27.28v.79l5 4.99L20.49 19l-4.99-5zm-6 0C7.01 14 5 11.99 5 9.5S7.01 5 9.5 5 14 7.01 14 9.5 11.99 14 9.5 14zM7 9h5v1H7z"}}]})(props);
};
function MdAddAlert (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10.01 21.01c0 1.1.89 1.99 1.99 1.99s1.99-.89 1.99-1.99h-3.98zm8.87-4.19V11c0-3.25-2.25-5.97-5.29-6.69v-.72C13.59 2.71 12.88 2 12 2s-1.59.71-1.59 1.59v.72C7.37 5.03 5.12 7.75 5.12 11v5.82L3 18.94V20h18v-1.06l-2.12-2.12zM16 13.01h-3v3h-2v-3H8V11h3V8h2v3h3v2.01z"}}]})(props);
};
function MdError (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm1 15h-2v-2h2v2zm0-4h-2V7h2v6z"}}]})(props);
};
function MdErrorOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 15h2v2h-2zm0-8h2v6h-2zm.99-5C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8z"}}]})(props);
};
function MdWarning (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M1 21h22L12 2 1 21zm12-3h-2v-2h2v2zm0-4h-2v-4h2v4z"}}]})(props);
};
function MdAddToQueue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.11 0-2 .89-2 2v12c0 1.1.89 2 2 2h5v2h8v-2h5c1.1 0 1.99-.9 1.99-2L23 5c0-1.11-.9-2-2-2zm0 14H3V5h18v12zm-5-7v2h-3v3h-2v-3H8v-2h3V7h2v3h3z"}}]})(props);
};
function MdAirplay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 22h12l-6-6zM21 3H3c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h4v-2H3V5h18v12h-4v2h4c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdAlbum (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 14.5c-2.49 0-4.5-2.01-4.5-4.5S9.51 7.5 12 7.5s4.5 2.01 4.5 4.5-2.01 4.5-4.5 4.5zm0-5.5c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1z"}}]})(props);
};
function MdArtTrack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 13h-8v-2h8v2zm0-6h-8v2h8V7zm-8 10h8v-2h-8v2zm-2-8v6c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2V9c0-1.1.9-2 2-2h6c1.1 0 2 .9 2 2zm-1.5 6l-2.25-3-1.75 2.26-1.25-1.51L3.5 15h7z"}}]})(props);
};
function MdAvTimer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 17c0 .55.45 1 1 1s1-.45 1-1-.45-1-1-1-1 .45-1 1zm0-14v4h2V5.08c3.39.49 6 3.39 6 6.92 0 3.87-3.13 7-7 7s-7-3.13-7-7c0-1.68.59-3.22 1.58-4.42L12 13l1.41-1.41-6.8-6.8v.02C4.42 6.45 3 9.05 3 12c0 4.97 4.02 9 9 9 4.97 0 9-4.03 9-9s-4.03-9-9-9h-1zm7 9c0-.55-.45-1-1-1s-1 .45-1 1 .45 1 1 1 1-.45 1-1zM6 12c0 .55.45 1 1 1s1-.45 1-1-.45-1-1-1-1 .45-1 1z"}}]})(props);
};
function MdBrandingWatermark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16h-9v-6h9v6z"}}]})(props);
};
function MdCallToAction (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H3v-3h18v3z"}}]})(props);
};
function MdClosedCaption (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 4H5c-1.11 0-2 .9-2 2v12c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm-8 7H9.5v-.5h-2v3h2V13H11v1c0 .55-.45 1-1 1H7c-.55 0-1-.45-1-1v-4c0-.55.45-1 1-1h3c.55 0 1 .45 1 1v1zm7 0h-1.5v-.5h-2v3h2V13H18v1c0 .55-.45 1-1 1h-3c-.55 0-1-.45-1-1v-4c0-.55.45-1 1-1h3c.55 0 1 .45 1 1v1z"}}]})(props);
};
function MdEqualizer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 20h4V4h-4v16zm-6 0h4v-8H4v8zM16 9v11h4V9h-4z"}}]})(props);
};
function MdExplicit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-4 6h-4v2h4v2h-4v2h4v2H9V7h6v2z"}}]})(props);
};
function MdFastForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 18l8.5-6L4 6v12zm9-12v12l8.5-6L13 6z"}}]})(props);
};
function MdFastRewind (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 18V6l-8.5 6 8.5 6zm.5-6l8.5 6V6l-8.5 6z"}}]})(props);
};
function MdFeaturedPlayList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-9 8H3V9h9v2zm0-4H3V5h9v2z"}}]})(props);
};
function MdFeaturedVideo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-9 9H3V5h9v7z"}}]})(props);
};
function MdFiberDvr (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.5 10.5h2v1h-2zm-13 0h2v3h-2zM21 3H3c-1.11 0-2 .89-2 2v14c0 1.1.89 2 2 2h18c1.11 0 2-.9 2-2V5c0-1.11-.89-2-2-2zM8 13.5c0 .85-.65 1.5-1.5 1.5H3V9h3.5c.85 0 1.5.65 1.5 1.5v3zm4.62 1.5h-1.5L9.37 9h1.5l1 3.43 1-3.43h1.5l-1.75 6zM21 11.5c0 .6-.4 1.15-.9 1.4L21 15h-1.5l-.85-2H17.5v2H16V9h3.5c.85 0 1.5.65 1.5 1.5v1z"}}]})(props);
};
function MdFiberManualRecord (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"12","r":"8"}}]})(props);
};
function MdFiberNew (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4H4c-1.11 0-1.99.89-1.99 2L2 18c0 1.11.89 2 2 2h16c1.11 0 2-.89 2-2V6c0-1.11-.89-2-2-2zM8.5 15H7.3l-2.55-3.5V15H3.5V9h1.25l2.5 3.5V9H8.5v6zm5-4.74H11v1.12h2.5v1.26H11v1.11h2.5V15h-4V9h4v1.26zm7 3.74c0 .55-.45 1-1 1h-4c-.55 0-1-.45-1-1V9h1.25v4.51h1.13V9.99h1.25v3.51h1.12V9h1.25v5z"}}]})(props);
};
function MdFiberPin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5.5 10.5h2v1h-2zM20 4H4c-1.11 0-1.99.89-1.99 2L2 18c0 1.11.89 2 2 2h16c1.11 0 2-.89 2-2V6c0-1.11-.89-2-2-2zM9 11.5c0 .85-.65 1.5-1.5 1.5h-2v2H4V9h3.5c.85 0 1.5.65 1.5 1.5v1zm3.5 3.5H11V9h1.5v6zm7.5 0h-1.2l-2.55-3.5V15H15V9h1.25l2.5 3.5V9H20v6z"}}]})(props);
};
function MdFiberSmartRecord (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"g","attr":{},"child":[{"tag":"circle","attr":{"cx":"9","cy":"12","r":"8"}},{"tag":"path","attr":{"d":"M17 4.26v2.09c2.33.82 4 3.04 4 5.65s-1.67 4.83-4 5.65v2.09c3.45-.89 6-4.01 6-7.74s-2.55-6.85-6-7.74z"}}]}]})(props);
};
function MdForward10 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 13c0 4.4 3.6 8 8 8s8-3.6 8-8h-2c0 3.3-2.7 6-6 6s-6-2.7-6-6 2.7-6 6-6v4l5-5-5-5v4c-4.4 0-8 3.6-8 8zm6.8 3H10v-3.3L9 13v-.7l1.8-.6h.1V16zm4.3-1.8c0 .3 0 .6-.1.8l-.3.6s-.3.3-.5.3-.4.1-.6.1-.4 0-.6-.1-.3-.2-.5-.3-.2-.3-.3-.6-.1-.5-.1-.8v-.7c0-.3 0-.6.1-.8l.3-.6s.3-.3.5-.3.4-.1.6-.1.4 0 .6.1.3.2.5.3.2.3.3.6.1.5.1.8v.7zm-.8-.8v-.5s-.1-.2-.1-.3-.1-.1-.2-.2-.2-.1-.3-.1-.2 0-.3.1l-.2.2s-.1.2-.1.3v2s.1.2.1.3.1.1.2.2.2.1.3.1.2 0 .3-.1l.2-.2s.1-.2.1-.3v-1.5z"}}]})(props);
};
function MdForward30 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9.6 13.5h.4c.2 0 .4-.1.5-.2s.2-.2.2-.4v-.2s-.1-.1-.1-.2-.1-.1-.2-.1h-.5s-.1.1-.2.1-.1.1-.1.2v.2h-1c0-.2 0-.3.1-.5s.2-.3.3-.4.3-.2.4-.2.4-.1.5-.1c.2 0 .4 0 .6.1s.3.1.5.2.2.2.3.4.1.3.1.5v.3s-.1.2-.1.3-.1.2-.2.2-.2.1-.3.2c.2.1.4.2.5.4s.2.4.2.6c0 .2 0 .4-.1.5s-.2.3-.3.4-.3.2-.5.2-.4.1-.6.1c-.2 0-.4 0-.5-.1s-.3-.1-.5-.2-.2-.2-.3-.4-.1-.4-.1-.6h.8v.2s.1.1.1.2.1.1.2.1h.5s.1-.1.2-.1.1-.1.1-.2v-.5s-.1-.1-.1-.2-.1-.1-.2-.1h-.6v-.7zm5.7.7c0 .3 0 .6-.1.8l-.3.6s-.3.3-.5.3-.4.1-.6.1-.4 0-.6-.1-.3-.2-.5-.3-.2-.3-.3-.6-.1-.5-.1-.8v-.7c0-.3 0-.6.1-.8l.3-.6s.3-.3.5-.3.4-.1.6-.1.4 0 .6.1.3.2.5.3.2.3.3.6.1.5.1.8v.7zm-.9-.8v-.5s-.1-.2-.1-.3-.1-.1-.2-.2-.2-.1-.3-.1-.2 0-.3.1l-.2.2s-.1.2-.1.3v2s.1.2.1.3.1.1.2.2.2.1.3.1.2 0 .3-.1l.2-.2s.1-.2.1-.3v-1.5zM4 13c0 4.4 3.6 8 8 8s8-3.6 8-8h-2c0 3.3-2.7 6-6 6s-6-2.7-6-6 2.7-6 6-6v4l5-5-5-5v4c-4.4 0-8 3.6-8 8z"}}]})(props);
};
function MdForward5 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 13c0 4.4 3.6 8 8 8s8-3.6 8-8h-2c0 3.3-2.7 6-6 6s-6-2.7-6-6 2.7-6 6-6v4l5-5-5-5v4c-4.4 0-8 3.6-8 8zm6.7.9l.2-2.2h2.4v.7h-1.7l-.1.9s.1 0 .1-.1.1 0 .1-.1.1 0 .2 0h.2c.2 0 .4 0 .5.1s.3.2.4.3.2.3.3.5.1.4.1.6c0 .2 0 .4-.1.5s-.1.3-.3.5-.3.2-.5.3-.4.1-.6.1c-.2 0-.4 0-.5-.1s-.3-.1-.5-.2-.2-.2-.3-.4-.1-.3-.1-.5h.8c0 .2.1.3.2.4s.2.1.4.1c.1 0 .2 0 .3-.1l.2-.2s.1-.2.1-.3v-.6l-.1-.2-.2-.2s-.2-.1-.3-.1h-.2s-.1 0-.2.1-.1 0-.1.1-.1.1-.1.1h-.6z"}}]})(props);
};
function MdGames (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 7.5V2H9v5.5l3 3 3-3zM7.5 9H2v6h5.5l3-3-3-3zM9 16.5V22h6v-5.5l-3-3-3 3zM16.5 9l-3 3 3 3H22V9h-5.5z"}}]})(props);
};
function MdHd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-8 12H9.5v-2h-2v2H6V9h1.5v2.5h2V9H11v6zm2-6h4c.55 0 1 .45 1 1v4c0 .55-.45 1-1 1h-4V9zm1.5 4.5h2v-3h-2v3z"}}]})(props);
};
function MdHearing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 20c-.29 0-.56-.06-.76-.15-.71-.37-1.21-.88-1.71-2.38-.51-1.56-1.47-2.29-2.39-3-.79-.61-1.61-1.24-2.32-2.53C9.29 10.98 9 9.93 9 9c0-2.8 2.2-5 5-5s5 2.2 5 5h2c0-3.93-3.07-7-7-7S7 5.07 7 9c0 1.26.38 2.65 1.07 3.9.91 1.65 1.98 2.48 2.85 3.15.81.62 1.39 1.07 1.71 2.05.6 1.82 1.37 2.84 2.73 3.55.51.23 1.07.35 1.64.35 2.21 0 4-1.79 4-4h-2c0 1.1-.9 2-2 2zM7.64 2.64L6.22 1.22C4.23 3.21 3 5.96 3 9s1.23 5.79 3.22 7.78l1.41-1.41C6.01 13.74 5 11.49 5 9s1.01-4.74 2.64-6.36zM11.5 9c0 1.38 1.12 2.5 2.5 2.5s2.5-1.12 2.5-2.5-1.12-2.5-2.5-2.5-2.5 1.12-2.5 2.5z"}}]})(props);
};
function MdHighQuality (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 4H5c-1.11 0-2 .9-2 2v12c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm-8 11H9.5v-2h-2v2H6V9h1.5v2.5h2V9H11v6zm7-1c0 .55-.45 1-1 1h-.75v1.5h-1.5V15H14c-.55 0-1-.45-1-1v-4c0-.55.45-1 1-1h3c.55 0 1 .45 1 1v4zm-3.5-.5h2v-3h-2v3z"}}]})(props);
};
function MdLibraryAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 6H2v14c0 1.1.9 2 2 2h14v-2H4V6zm16-4H8c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-1 9h-4v4h-2v-4H9V9h4V5h2v4h4v2z"}}]})(props);
};
function MdLibraryBooks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 6H2v14c0 1.1.9 2 2 2h14v-2H4V6zm16-4H8c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-1 9H9V9h10v2zm-4 4H9v-2h6v2zm4-8H9V5h10v2z"}}]})(props);
};
function MdLibraryMusic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H8c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-2 5h-3v5.5c0 1.38-1.12 2.5-2.5 2.5S10 13.88 10 12.5s1.12-2.5 2.5-2.5c.57 0 1.08.19 1.5.51V5h4v2zM4 6H2v14c0 1.1.9 2 2 2h14v-2H4V6z"}}]})(props);
};
function MdLoop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 4V1L8 5l4 4V6c3.31 0 6 2.69 6 6 0 1.01-.25 1.97-.7 2.8l1.46 1.46C19.54 15.03 20 13.57 20 12c0-4.42-3.58-8-8-8zm0 14c-3.31 0-6-2.69-6-6 0-1.01.25-1.97.7-2.8L5.24 7.74C4.46 8.97 4 10.43 4 12c0 4.42 3.58 8 8 8v3l4-4-4-4v3z"}}]})(props);
};
function MdMic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 14c1.66 0 2.99-1.34 2.99-3L15 5c0-1.66-1.34-3-3-3S9 3.34 9 5v6c0 1.66 1.34 3 3 3zm5.3-3c0 3-2.54 5.1-5.3 5.1S6.7 14 6.7 11H5c0 3.41 2.72 6.23 6 6.72V21h2v-3.28c3.28-.48 6-3.3 6-6.72h-1.7z"}}]})(props);
};
function MdMicNone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 14c1.66 0 2.99-1.34 2.99-3L15 5c0-1.66-1.34-3-3-3S9 3.34 9 5v6c0 1.66 1.34 3 3 3zm-1.2-9.1c0-.66.54-1.2 1.2-1.2.66 0 1.2.54 1.2 1.2l-.01 6.2c0 .66-.53 1.2-1.19 1.2-.66 0-1.2-.54-1.2-1.2V4.9zm6.5 6.1c0 3-2.54 5.1-5.3 5.1S6.7 14 6.7 11H5c0 3.41 2.72 6.23 6 6.72V21h2v-3.28c3.28-.48 6-3.3 6-6.72h-1.7z"}}]})(props);
};
function MdMicOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 11h-1.7c0 .74-.16 1.43-.43 2.05l1.23 1.23c.56-.98.9-2.09.9-3.28zm-4.02.17c0-.06.02-.11.02-.17V5c0-1.66-1.34-3-3-3S9 3.34 9 5v.18l5.98 5.99zM4.27 3L3 4.27l6.01 6.01V11c0 1.66 1.33 3 2.99 3 .22 0 .44-.03.65-.08l1.66 1.66c-.71.33-1.5.52-2.31.52-2.76 0-5.3-2.1-5.3-5.1H5c0 3.41 2.72 6.23 6 6.72V21h2v-3.28c.91-.13 1.77-.45 2.54-.9L19.73 21 21 19.73 4.27 3z"}}]})(props);
};
function MdMovie (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 4l2 4h-3l-2-4h-2l2 4h-3l-2-4H8l2 4H7L5 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V4h-4z"}}]})(props);
};
function MdMusicVideo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H3V5h18v14zM8 15c0-1.66 1.34-3 3-3 .35 0 .69.07 1 .18V6h5v2h-3v7.03c-.02 1.64-1.35 2.97-3 2.97-1.66 0-3-1.34-3-3z"}}]})(props);
};
function MdNewReleases (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M23 12l-2.44-2.78.34-3.68-3.61-.82-1.89-3.18L12 3 8.6 1.54 6.71 4.72l-3.61.81.34 3.68L1 12l2.44 2.78-.34 3.69 3.61.82 1.89 3.18L12 21l3.4 1.46 1.89-3.18 3.61-.82-.34-3.68L23 12zm-10 5h-2v-2h2v2zm0-4h-2V7h2v6z"}}]})(props);
};
function MdNotInterested (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.42 0-8-3.58-8-8 0-1.85.63-3.55 1.69-4.9L16.9 18.31C15.55 19.37 13.85 20 12 20zm6.31-3.1L7.1 5.69C8.45 4.63 10.15 4 12 4c4.42 0 8 3.58 8 8 0 1.85-.63 3.55-1.69 4.9z"}}]})(props);
};
function MdNote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 10l-6-6H4c-1.1 0-2 .9-2 2v12.01c0 1.1.9 1.99 2 1.99l16-.01c1.1 0 2-.89 2-1.99v-8zm-7-4.5l5.5 5.5H15V5.5z"}}]})(props);
};
function MdPause (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 19h4V5H6v14zm8-14v14h4V5h-4z"}}]})(props);
};
function MdPauseCircleFilled (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm-1 14H9V8h2v8zm4 0h-2V8h2v8z"}}]})(props);
};
function MdPauseCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 16h2V8H9v8zm3-14C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8zm1-4h2V8h-2v8z"}}]})(props);
};
function MdPlayArrow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 5v14l11-7z"}}]})(props);
};
function MdPlayCircleFilled (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm-2 14.5v-9l6 4.5-6 4.5z"}}]})(props);
};
function MdPlayCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 16.5l6-4.5-6-4.5v9zM12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8z"}}]})(props);
};
function MdPlaylistAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 10H2v2h12v-2zm0-4H2v2h12V6zm4 8v-4h-2v4h-4v2h4v4h2v-4h4v-2h-4zM2 16h8v-2H2v2z"}}]})(props);
};
function MdPlaylistAddCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 10H2v2h12v-2zm0-4H2v2h12V6zM2 16h8v-2H2v2zm19.5-4.5L23 13l-6.99 7-4.51-4.5L13 14l3.01 3 5.49-5.5z"}}]})(props);
};
function MdPlaylistPlay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 9H2v2h17V9zm0-4H2v2h17V5zM2 15h13v-2H2v2zm15-2v6l5-3-5-3z"}}]})(props);
};
function MdQueue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 6H2v14c0 1.1.9 2 2 2h14v-2H4V6zm16-4H8c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-1 9h-4v4h-2v-4H9V9h4V5h2v4h4v2z"}}]})(props);
};
function MdQueueMusic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 6H3v2h12V6zm0 4H3v2h12v-2zM3 16h8v-2H3v2zM17 6v8.18c-.31-.11-.65-.18-1-.18-1.66 0-3 1.34-3 3s1.34 3 3 3 3-1.34 3-3V8h3V6h-5z"}}]})(props);
};
function MdQueuePlayNext (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.11 0-2 .89-2 2v12c0 1.1.89 2 2 2h5v2h8v-2h2v-2H3V5h18v8h2V5c0-1.11-.9-2-2-2zm-8 7V7h-2v3H8v2h3v3h2v-3h3v-2h-3zm11 8l-4.5 4.5L18 21l3-3-3-3 1.5-1.5L24 18z"}}]})(props);
};
function MdRadio (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3.24 6.15C2.51 6.43 2 7.17 2 8v12c0 1.1.89 2 2 2h16c1.11 0 2-.9 2-2V8c0-1.11-.89-2-2-2H8.3l8.26-3.34L15.88 1 3.24 6.15zM7 20c-1.66 0-3-1.34-3-3s1.34-3 3-3 3 1.34 3 3-1.34 3-3 3zm13-8h-2v-2h-2v2H4V8h16v4z"}}]})(props);
};
function MdRecentActors (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 5v14h2V5h-2zm-4 14h2V5h-2v14zM14 5H2c-.55 0-1 .45-1 1v12c0 .55.45 1 1 1h12c.55 0 1-.45 1-1V6c0-.55-.45-1-1-1zM8 7.75c1.24 0 2.25 1.01 2.25 2.25S9.24 12.25 8 12.25 5.75 11.24 5.75 10 6.76 7.75 8 7.75zM12.5 17h-9v-.75c0-1.5 3-2.25 4.5-2.25s4.5.75 4.5 2.25V17z"}}]})(props);
};
function MdRemoveFromQueue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.11 0-2 .89-2 2v12c0 1.1.89 2 2 2h5v2h8v-2h5c1.1 0 1.99-.9 1.99-2L23 5c0-1.11-.9-2-2-2zm0 14H3V5h18v12zm-5-7v2H8v-2h8z"}}]})(props);
};
function MdRepeat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 7h10v3l4-4-4-4v3H5v6h2V7zm10 10H7v-3l-4 4 4 4v-3h12v-6h-2v4z"}}]})(props);
};
function MdRepeatOne (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 7h10v3l4-4-4-4v3H5v6h2V7zm10 10H7v-3l-4 4 4 4v-3h12v-6h-2v4zm-4-2V9h-1l-2 1v1h1.5v4H13z"}}]})(props);
};
function MdReplay10 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 5V1L7 6l5 5V7c3.3 0 6 2.7 6 6s-2.7 6-6 6-6-2.7-6-6H4c0 4.4 3.6 8 8 8s8-3.6 8-8-3.6-8-8-8zm-1.1 11H10v-3.3L9 13v-.7l1.8-.6h.1V16zm4.3-1.8c0 .3 0 .6-.1.8l-.3.6s-.3.3-.5.3-.4.1-.6.1-.4 0-.6-.1-.3-.2-.5-.3-.2-.3-.3-.6-.1-.5-.1-.8v-.7c0-.3 0-.6.1-.8l.3-.6s.3-.3.5-.3.4-.1.6-.1.4 0 .6.1c.2.1.3.2.5.3s.2.3.3.6.1.5.1.8v.7zm-.9-.8v-.5s-.1-.2-.1-.3-.1-.1-.2-.2-.2-.1-.3-.1-.2 0-.3.1l-.2.2s-.1.2-.1.3v2s.1.2.1.3.1.1.2.2.2.1.3.1.2 0 .3-.1l.2-.2s.1-.2.1-.3v-1.5z"}}]})(props);
};
function MdReplay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 5V1L7 6l5 5V7c3.31 0 6 2.69 6 6s-2.69 6-6 6-6-2.69-6-6H4c0 4.42 3.58 8 8 8s8-3.58 8-8-3.58-8-8-8z"}}]})(props);
};
function MdReplay30 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 5V1L7 6l5 5V7c3.3 0 6 2.7 6 6s-2.7 6-6 6-6-2.7-6-6H4c0 4.4 3.6 8 8 8s8-3.6 8-8-3.6-8-8-8zm-2.4 8.5h.4c.2 0 .4-.1.5-.2s.2-.2.2-.4v-.2s-.1-.1-.1-.2-.1-.1-.2-.1h-.5s-.1.1-.2.1-.1.1-.1.2v.2h-1c0-.2 0-.3.1-.5s.2-.3.3-.4.3-.2.4-.2.4-.1.5-.1c.2 0 .4 0 .6.1s.3.1.5.2.2.2.3.4.1.3.1.5v.3s-.1.2-.1.3-.1.2-.2.2-.2.1-.3.2c.2.1.4.2.5.4s.2.4.2.6c0 .2 0 .4-.1.5s-.2.3-.3.4-.3.2-.5.2-.4.1-.6.1c-.2 0-.4 0-.5-.1s-.3-.1-.5-.2-.2-.2-.3-.4-.1-.4-.1-.6h.8v.2s.1.1.1.2.1.1.2.1h.5s.1-.1.2-.1.1-.1.1-.2v-.5s-.1-.1-.1-.2-.1-.1-.2-.1h-.6v-.7zm5.7.7c0 .3 0 .6-.1.8l-.3.6s-.3.3-.5.3-.4.1-.6.1-.4 0-.6-.1-.3-.2-.5-.3-.2-.3-.3-.6-.1-.5-.1-.8v-.7c0-.3 0-.6.1-.8l.3-.6s.3-.3.5-.3.4-.1.6-.1.4 0 .6.1.3.2.5.3.2.3.3.6.1.5.1.8v.7zm-.8-.8v-.5c0-.1-.1-.2-.1-.3s-.1-.1-.2-.2-.2-.1-.3-.1-.2 0-.3.1l-.2.2s-.1.2-.1.3v2s.1.2.1.3.1.1.2.2.2.1.3.1.2 0 .3-.1l.2-.2s.1-.2.1-.3v-1.5z"}}]})(props);
};
function MdReplay5 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 5V1L7 6l5 5V7c3.3 0 6 2.7 6 6s-2.7 6-6 6-6-2.7-6-6H4c0 4.4 3.6 8 8 8s8-3.6 8-8-3.6-8-8-8zm-1.3 8.9l.2-2.2h2.4v.7h-1.7l-.1.9s.1 0 .1-.1.1 0 .1-.1.1 0 .2 0h.2c.2 0 .4 0 .5.1s.3.2.4.3.2.3.3.5.1.4.1.6c0 .2 0 .4-.1.5s-.1.3-.3.5-.3.2-.4.3-.4.1-.6.1c-.2 0-.4 0-.5-.1s-.3-.1-.5-.2-.2-.2-.3-.4-.1-.3-.1-.5h.8c0 .2.1.3.2.4s.2.1.4.1c.1 0 .2 0 .3-.1l.2-.2s.1-.2.1-.3v-.6l-.1-.2-.2-.2s-.2-.1-.3-.1h-.2s-.1 0-.2.1-.1 0-.1.1-.1.1-.1.1h-.7z"}}]})(props);
};
function MdShuffle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10.59 9.17L5.41 4 4 5.41l5.17 5.17 1.42-1.41zM14.5 4l2.04 2.04L4 18.59 5.41 20 17.96 7.46 20 9.5V4h-5.5zm.33 9.41l-1.41 1.41 3.13 3.13L14.5 20H20v-5.5l-2.04 2.04-3.13-3.13z"}}]})(props);
};
function MdSkipNext (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 18l8.5-6L6 6v12zM16 6v12h2V6h-2z"}}]})(props);
};
function MdSkipPrevious (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 6h2v12H6zm3.5 6l8.5 6V6z"}}]})(props);
};
function MdSlowMotionVideo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13.05 9.79L10 7.5v9l3.05-2.29L16 12zm0 0L10 7.5v9l3.05-2.29L16 12zm0 0L10 7.5v9l3.05-2.29L16 12zM11 4.07V2.05c-2.01.2-3.84 1-5.32 2.21L7.1 5.69c1.11-.86 2.44-1.44 3.9-1.62zM5.69 7.1L4.26 5.68C3.05 7.16 2.25 8.99 2.05 11h2.02c.18-1.46.76-2.79 1.62-3.9zM4.07 13H2.05c.2 2.01 1 3.84 2.21 5.32l1.43-1.43c-.86-1.1-1.44-2.43-1.62-3.89zm1.61 6.74C7.16 20.95 9 21.75 11 21.95v-2.02c-1.46-.18-2.79-.76-3.9-1.62l-1.42 1.43zM22 12c0 5.16-3.92 9.42-8.95 9.95v-2.02C16.97 19.41 20 16.05 20 12s-3.03-7.41-6.95-7.93V2.05C18.08 2.58 22 6.84 22 12z"}}]})(props);
};
function MdSnooze (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.88 3.39L6.6 1.86 2 5.71l1.29 1.53 4.59-3.85zM22 5.72l-4.6-3.86-1.29 1.53 4.6 3.86L22 5.72zM12 4c-4.97 0-9 4.03-9 9s4.02 9 9 9c4.97 0 9-4.03 9-9s-4.03-9-9-9zm0 16c-3.87 0-7-3.13-7-7s3.13-7 7-7 7 3.13 7 7-3.13 7-7 7zm-3-9h3.63L9 15.2V17h6v-2h-3.63L15 10.8V9H9v2z"}}]})(props);
};
function MdSortByAlpha (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14.94 4.66h-4.72l2.36-2.36zm-4.69 14.71h4.66l-2.33 2.33zM6.1 6.27L1.6 17.73h1.84l.92-2.45h5.11l.92 2.45h1.84L7.74 6.27H6.1zm-1.13 7.37l1.94-5.18 1.94 5.18H4.97zm10.76 2.5h6.12v1.59h-8.53v-1.29l5.92-8.56h-5.88v-1.6h8.3v1.26l-5.93 8.6z"}}]})(props);
};
function MdStop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 6h12v12H6z"}}]})(props);
};
function MdSubscriptions (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 8H4V6h16v2zm-2-6H6v2h12V2zm4 10v8c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2v-8c0-1.1.9-2 2-2h16c1.1 0 2 .9 2 2zm-6 4l-6-3.27v6.53L16 16z"}}]})(props);
};
function MdSubtitles (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zM4 12h4v2H4v-2zm10 6H4v-2h10v2zm6 0h-4v-2h4v2zm0-4H10v-2h10v2z"}}]})(props);
};
function MdSurroundSound (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zM7.76 16.24l-1.41 1.41C4.78 16.1 4 14.05 4 12c0-2.05.78-4.1 2.34-5.66l1.41 1.41C6.59 8.93 6 10.46 6 12s.59 3.07 1.76 4.24zM12 16c-2.21 0-4-1.79-4-4s1.79-4 4-4 4 1.79 4 4-1.79 4-4 4zm5.66 1.66l-1.41-1.41C17.41 15.07 18 13.54 18 12s-.59-3.07-1.76-4.24l1.41-1.41C19.22 7.9 20 9.95 20 12c0 2.05-.78 4.1-2.34 5.66zM12 10c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2z"}}]})(props);
};
function MdVideoCall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 10.5V7c0-.55-.45-1-1-1H4c-.55 0-1 .45-1 1v10c0 .55.45 1 1 1h12c.55 0 1-.45 1-1v-3.5l4 4v-11l-4 4zM14 13h-3v3H9v-3H6v-2h3V8h2v3h3v2z"}}]})(props);
};
function MdVideoLabel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 13H3V5h18v11z"}}]})(props);
};
function MdVideoLibrary (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 6H2v14c0 1.1.9 2 2 2h14v-2H4V6zm16-4H8c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-8 12.5v-9l6 4.5-6 4.5z"}}]})(props);
};
function MdVideocam (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 10.5V7c0-.55-.45-1-1-1H4c-.55 0-1 .45-1 1v10c0 .55.45 1 1 1h12c.55 0 1-.45 1-1v-3.5l4 4v-11l-4 4z"}}]})(props);
};
function MdVideocamOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 6.5l-4 4V7c0-.55-.45-1-1-1H9.82L21 17.18V6.5zM3.27 2L2 3.27 4.73 6H4c-.55 0-1 .45-1 1v10c0 .55.45 1 1 1h12c.21 0 .39-.08.54-.18L19.73 21 21 19.73 3.27 2z"}}]})(props);
};
function MdVolumeDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.5 12c0-1.77-1.02-3.29-2.5-4.03v8.05c1.48-.73 2.5-2.25 2.5-4.02zM5 9v6h4l5 5V4L9 9H5z"}}]})(props);
};
function MdVolumeMute (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 9v6h4l5 5V4l-5 5H7z"}}]})(props);
};
function MdVolumeOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.5 12c0-1.77-1.02-3.29-2.5-4.03v2.21l2.45 2.45c.03-.2.05-.41.05-.63zm2.5 0c0 .94-.2 1.82-.54 2.64l1.51 1.51C20.63 14.91 21 13.5 21 12c0-4.28-2.99-7.86-7-8.77v2.06c2.89.86 5 3.54 5 6.71zM4.27 3L3 4.27 7.73 9H3v6h4l5 5v-6.73l4.25 4.25c-.67.52-1.42.93-2.25 1.18v2.06c1.38-.31 2.63-.95 3.69-1.81L19.73 21 21 19.73l-9-9L4.27 3zM12 4L9.91 6.09 12 8.18V4z"}}]})(props);
};
function MdVolumeUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 9v6h4l5 5V4L7 9H3zm13.5 3c0-1.77-1.02-3.29-2.5-4.03v8.05c1.48-.73 2.5-2.25 2.5-4.02zM14 3.23v2.06c2.89.86 5 3.54 5 6.71s-2.11 5.85-5 6.71v2.06c4.01-.91 7-4.49 7-8.77s-2.99-7.86-7-8.77z"}}]})(props);
};
function MdWeb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm-5 14H4v-4h11v4zm0-5H4V9h11v4zm5 5h-4V9h4v9z"}}]})(props);
};
function MdWebAsset (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 4H5c-1.11 0-2 .9-2 2v12c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V6c0-1.1-.89-2-2-2zm0 14H5V8h14v10z"}}]})(props);
};
function MdBusiness (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 7V3H2v18h20V7H12zM6 19H4v-2h2v2zm0-4H4v-2h2v2zm0-4H4V9h2v2zm0-4H4V5h2v2zm4 12H8v-2h2v2zm0-4H8v-2h2v2zm0-4H8V9h2v2zm0-4H8V5h2v2zm10 12h-8v-2h2v-2h-2v-2h2v-2h-2V9h8v10zm-2-8h-2v2h2v-2zm0 4h-2v2h2v-2z"}}]})(props);
};
function MdCall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6.62 10.79c1.44 2.83 3.76 5.14 6.59 6.59l2.2-2.2c.27-.27.67-.36 1.02-.24 1.12.37 2.33.57 3.57.57.55 0 1 .45 1 1V20c0 .55-.45 1-1 1-9.39 0-17-7.61-17-17 0-.55.45-1 1-1h3.5c.55 0 1 .45 1 1 0 1.25.2 2.45.57 3.57.11.35.03.74-.25 1.02l-2.2 2.2z"}}]})(props);
};
function MdCallEnd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 9c-1.6 0-3.15.25-4.6.72v3.1c0 .39-.23.74-.56.9-.98.49-1.87 1.12-2.66 1.85-.18.18-.43.28-.7.28-.28 0-.53-.11-.71-.29L.29 13.08c-.18-.17-.29-.42-.29-.7 0-.28.11-.53.29-.71C3.34 8.78 7.46 7 12 7s8.66 1.78 11.71 4.67c.18.18.29.43.29.71 0 .28-.11.53-.29.71l-2.48 2.48c-.18.18-.43.29-.71.29-.27 0-.52-.11-.7-.28-.79-.74-1.69-1.36-2.67-1.85-.33-.16-.56-.5-.56-.9v-3.1C15.15 9.25 13.6 9 12 9z"}}]})(props);
};
function MdCallMade (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 5v2h6.59L4 18.59 5.41 20 17 8.41V15h2V5z"}}]})(props);
};
function MdCallMerge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 20.41L18.41 19 15 15.59 13.59 17 17 20.41zM7.5 8H11v5.59L5.59 19 7 20.41l6-6V8h3.5L12 3.5 7.5 8z"}}]})(props);
};
function MdCallMissed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.59 7L12 14.59 6.41 9H11V7H3v8h2v-4.59l7 7 9-9z"}}]})(props);
};
function MdCallMissedOutgoing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 8.41l9 9 7-7V15h2V7h-8v2h4.59L12 14.59 4.41 7 3 8.41z"}}]})(props);
};
function MdCallReceived (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 5.41L18.59 4 7 15.59V9H5v10h10v-2H8.41z"}}]})(props);
};
function MdCallSplit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 4l2.29 2.29-2.88 2.88 1.42 1.42 2.88-2.88L20 10V4zm-4 0H4v6l2.29-2.29 4.71 4.7V20h2v-8.41l-5.29-5.3z"}}]})(props);
};
function MdChat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-1.99.9-1.99 2L2 22l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM6 9h12v2H6V9zm8 5H6v-2h8v2zm4-6H6V6h12v2z"}}]})(props);
};
function MdChatBubble (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-2 .9-2 2v18l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdChatBubbleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-2 .9-2 2v18l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm0 14H6l-2 2V4h16v12z"}}]})(props);
};
function MdClearAll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 13h14v-2H5v2zm-2 4h14v-2H3v2zM7 7v2h14V7H7z"}}]})(props);
};
function MdComment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.99 4c0-1.1-.89-2-1.99-2H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h14l4 4-.01-18zM18 14H6v-2h12v2zm0-3H6V9h12v2zm0-3H6V6h12v2z"}}]})(props);
};
function MdContactMail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 8V7l-3 2-3-2v1l3 2 3-2zm1-5H2C.9 3 0 3.9 0 5v14c0 1.1.9 2 2 2h20c1.1 0 1.99-.9 1.99-2L24 5c0-1.1-.9-2-2-2zM8 6c1.66 0 3 1.34 3 3s-1.34 3-3 3-3-1.34-3-3 1.34-3 3-3zm6 12H2v-1c0-2 4-3.1 6-3.1s6 1.1 6 3.1v1zm8-6h-8V6h8v6z"}}]})(props);
};
function MdContactPhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 3H2C.9 3 0 3.9 0 5v14c0 1.1.9 2 2 2h20c1.1 0 1.99-.9 1.99-2L24 5c0-1.1-.9-2-2-2zM8 6c1.66 0 3 1.34 3 3s-1.34 3-3 3-3-1.34-3-3 1.34-3 3-3zm6 12H2v-1c0-2 4-3.1 6-3.1s6 1.1 6 3.1v1zm3.85-4h1.64L21 16l-1.99 1.99c-1.31-.98-2.28-2.38-2.73-3.99-.18-.64-.28-1.31-.28-2s.1-1.36.28-2c.45-1.62 1.42-3.01 2.73-3.99L21 8l-1.51 2h-1.64c-.22.63-.35 1.3-.35 2s.13 1.37.35 2z"}}]})(props);
};
function MdContacts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 0H4v2h16V0zM4 24h16v-2H4v2zM20 4H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm-8 2.75c1.24 0 2.25 1.01 2.25 2.25s-1.01 2.25-2.25 2.25S9.75 10.24 9.75 9 10.76 6.75 12 6.75zM17 17H7v-1.5c0-1.67 3.33-2.5 5-2.5s5 .83 5 2.5V17z"}}]})(props);
};
function MdDialerSip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 3h-1v5h1V3zm-2 2h-2V4h2V3h-3v3h2v1h-2v1h3V5zm3-2v5h1V6h2V3h-3zm2 2h-1V4h1v1zm0 10.5c-1.25 0-2.45-.2-3.57-.57-.35-.11-.74-.03-1.01.24l-2.2 2.2c-2.83-1.44-5.15-3.75-6.59-6.59l2.2-2.21c.27-.26.35-.65.24-1C8.7 6.45 8.5 5.25 8.5 4c0-.55-.45-1-1-1H4c-.55 0-1 .45-1 1 0 9.39 7.61 17 17 17 .55 0 1-.45 1-1v-3.5c0-.55-.45-1-1-1z"}}]})(props);
};
function MdDialpad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 19c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zM6 1c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm0 6c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm0 6c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm12-8c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zm-6 8c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm6 0c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm0-6c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm-6 0c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm0-6c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2z"}}]})(props);
};
function MdEmail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 4l-8 5-8-5V6l8 5 8-5v2z"}}]})(props);
};
function MdForum (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 6h-2v9H6v2c0 .55.45 1 1 1h11l4 4V7c0-.55-.45-1-1-1zm-4 6V3c0-.55-.45-1-1-1H3c-.55 0-1 .45-1 1v14l4-4h10c.55 0 1-.45 1-1z"}}]})(props);
};
function MdImportContacts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 5c-1.11-.35-2.33-.5-3.5-.5-1.95 0-4.05.4-5.5 1.5-1.45-1.1-3.55-1.5-5.5-1.5S2.45 4.9 1 6v14.65c0 .25.25.5.5.5.1 0 .15-.05.25-.05C3.1 20.45 5.05 20 6.5 20c1.95 0 4.05.4 5.5 1.5 1.35-.85 3.8-1.5 5.5-1.5 1.65 0 3.35.3 4.75 1.05.1.05.15.05.25.05.25 0 .5-.25.5-.5V6c-.6-.45-1.25-.75-2-1zm0 13.5c-1.1-.35-2.3-.5-3.5-.5-1.7 0-4.15.65-5.5 1.5V8c1.35-.85 3.8-1.5 5.5-1.5 1.2 0 2.4.15 3.5.5v11.5z"}}]})(props);
};
function MdImportExport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 3L5 6.99h3V14h2V6.99h3L9 3zm7 14.01V10h-2v7.01h-3L15 21l4-3.99h-3z"}}]})(props);
};
function MdInvertColorsOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.65 20.87l-2.35-2.35-6.3-6.29-3.56-3.57-1.42-1.41L4.27 4.5 3 5.77l2.78 2.78c-2.55 3.14-2.36 7.76.56 10.69C7.9 20.8 9.95 21.58 12 21.58c1.79 0 3.57-.59 5.03-1.78l2.7 2.7L21 21.23l-.35-.36zM12 19.59c-1.6 0-3.11-.62-4.24-1.76C6.62 16.69 6 15.19 6 13.59c0-1.32.43-2.57 1.21-3.6L12 14.77v4.82zM12 5.1v4.58l7.25 7.26c1.37-2.96.84-6.57-1.6-9.01L12 2.27l-3.7 3.7 1.41 1.41L12 5.1z"}}]})(props);
};
function MdLiveHelp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 2H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h4l3 3 3-3h4c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-6 16h-2v-2h2v2zm2.07-7.75l-.9.92C13.45 11.9 13 12.5 13 14h-2v-.5c0-1.1.45-2.1 1.17-2.83l1.24-1.26c.37-.36.59-.86.59-1.41 0-1.1-.9-2-2-2s-2 .9-2 2H8c0-2.21 1.79-4 4-4s4 1.79 4 4c0 .88-.36 1.68-.93 2.25z"}}]})(props);
};
function MdLocationOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 6.5c1.38 0 2.5 1.12 2.5 2.5 0 .74-.33 1.39-.83 1.85l3.63 3.63c.98-1.86 1.7-3.8 1.7-5.48 0-3.87-3.13-7-7-7-1.98 0-3.76.83-5.04 2.15l3.19 3.19c.46-.52 1.11-.84 1.85-.84zm4.37 9.6l-4.63-4.63-.11-.11L3.27 3 2 4.27l3.18 3.18C5.07 7.95 5 8.47 5 9c0 5.25 7 13 7 13s1.67-1.85 3.38-4.35L18.73 21 20 19.73l-3.63-3.63z"}}]})(props);
};
function MdLocationOn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C8.13 2 5 5.13 5 9c0 5.25 7 13 7 13s7-7.75 7-13c0-3.87-3.13-7-7-7zm0 9.5c-1.38 0-2.5-1.12-2.5-2.5s1.12-2.5 2.5-2.5 2.5 1.12 2.5 2.5-1.12 2.5-2.5 2.5z"}}]})(props);
};
function MdMailOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 14H4V8l8 5 8-5v10zm-8-7L4 6h16l-8 5z"}}]})(props);
};
function MdMessage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-1.99.9-1.99 2L2 22l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-2 12H6v-2h12v2zm0-3H6V9h12v2zm0-3H6V6h12v2z"}}]})(props);
};
function MdNoSim (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.99 5c0-1.1-.89-2-1.99-2h-7L7.66 5.34 19 16.68 18.99 5zM3.65 3.88L2.38 5.15 5 7.77V19c0 1.1.9 2 2 2h10.01c.35 0 .67-.1.96-.26l1.88 1.88 1.27-1.27L3.65 3.88z"}}]})(props);
};
function MdPhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6.62 10.79c1.44 2.83 3.76 5.14 6.59 6.59l2.2-2.2c.27-.27.67-.36 1.02-.24 1.12.37 2.33.57 3.57.57.55 0 1 .45 1 1V20c0 .55-.45 1-1 1-9.39 0-17-7.61-17-17 0-.55.45-1 1-1h3.5c.55 0 1 .45 1 1 0 1.25.2 2.45.57 3.57.11.35.03.74-.25 1.02l-2.2 2.2z"}}]})(props);
};
function MdPhonelinkErase (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 8.2l-1-1-4 4-4-4-1 1 4 4-4 4 1 1 4-4 4 4 1-1-4-4 4-4zM19 1H9c-1.1 0-2 .9-2 2v3h2V4h10v16H9v-2H7v3c0 1.1.9 2 2 2h10c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdPhonelinkLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 1H9c-1.1 0-2 .9-2 2v3h2V4h10v16H9v-2H7v3c0 1.1.9 2 2 2h10c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2zm-8.2 10V9.5C10.8 8.1 9.4 7 8 7S5.2 8.1 5.2 9.5V11c-.6 0-1.2.6-1.2 1.2v3.5c0 .7.6 1.3 1.2 1.3h5.5c.7 0 1.3-.6 1.3-1.2v-3.5c0-.7-.6-1.3-1.2-1.3zm-1.3 0h-3V9.5c0-.8.7-1.3 1.5-1.3s1.5.5 1.5 1.3V11z"}}]})(props);
};
function MdPhonelinkRing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.1 7.7l-1 1c1.8 1.8 1.8 4.6 0 6.5l1 1c2.5-2.3 2.5-6.1 0-8.5zM18 9.8l-1 1c.5.7.5 1.6 0 2.3l1 1c1.2-1.2 1.2-3 0-4.3zM14 1H4c-1.1 0-2 .9-2 2v18c0 1.1.9 2 2 2h10c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2zm0 19H4V4h10v16z"}}]})(props);
};
function MdPhonelinkSetup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.8 12.5v-1l1.1-.8c.1-.1.1-.2.1-.3l-1-1.7c-.1-.1-.2-.2-.3-.1l-1.3.4c-.3-.2-.6-.4-.9-.5l-.2-1.3c0-.1-.1-.2-.3-.2H7c-.1 0-.2.1-.3.2l-.2 1.3c-.3.1-.6.3-.9.5l-1.3-.5c-.1 0-.2 0-.3.1l-1 1.7c-.1.1 0 .2.1.3l1.1.8v1l-1.1.8c-.1.2-.1.3-.1.4l1 1.7c.1.1.2.2.3.1l1.4-.4c.3.2.6.4.9.5l.2 1.3c-.1.1.1.2.2.2h2c.1 0 .2-.1.3-.2l.2-1.3c.3-.1.6-.3.9-.5l1.3.5c.1 0 .2 0 .3-.1l1-1.7c.1-.1 0-.2-.1-.3l-1.1-.9zM8 14c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zM19 1H9c-1.1 0-2 .9-2 2v3h2V4h10v16H9v-2H7v3c0 1.1.9 2 2 2h10c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdPortableWifiOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.56 14.24c.28-.69.44-1.45.44-2.24 0-3.31-2.69-6-6-6-.79 0-1.55.16-2.24.44l1.62 1.62c.2-.03.41-.06.62-.06 2.21 0 4 1.79 4 4 0 .21-.02.42-.05.63l1.61 1.61zM12 4c4.42 0 8 3.58 8 8 0 1.35-.35 2.62-.95 3.74l1.47 1.47C21.46 15.69 22 13.91 22 12c0-5.52-4.48-10-10-10-1.91 0-3.69.55-5.21 1.47l1.46 1.46C9.37 4.34 10.65 4 12 4zM3.27 2.5L2 3.77l2.1 2.1C2.79 7.57 2 9.69 2 12c0 3.7 2.01 6.92 4.99 8.65l1-1.73C5.61 17.53 4 14.96 4 12c0-1.76.57-3.38 1.53-4.69l1.43 1.44C6.36 9.68 6 10.8 6 12c0 2.22 1.21 4.15 3 5.19l1-1.74c-1.19-.7-2-1.97-2-3.45 0-.65.17-1.25.44-1.79l1.58 1.58L10 12c0 1.1.9 2 2 2l.21-.02.01.01 7.51 7.51L21 20.23 4.27 3.5l-1-1z"}}]})(props);
};
function MdPresentToAll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.11 0-2 .89-2 2v14c0 1.11.89 2 2 2h18c1.11 0 2-.89 2-2V5c0-1.11-.89-2-2-2zm0 16.02H3V4.98h18v14.04zM10 12H8l4-4 4 4h-2v4h-4v-4z"}}]})(props);
};
function MdRingVolume (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M23.71 16.67C20.66 13.78 16.54 12 12 12 7.46 12 3.34 13.78.29 16.67c-.18.18-.29.43-.29.71 0 .28.11.53.29.71l2.48 2.48c.18.18.43.29.71.29.27 0 .52-.11.7-.28.79-.74 1.69-1.36 2.66-1.85.33-.16.56-.5.56-.9v-3.1c1.45-.48 3-.73 4.6-.73s3.15.25 4.6.72v3.1c0 .39.23.74.56.9.98.49 1.87 1.12 2.66 1.85.18.18.43.28.7.28.28 0 .53-.11.71-.29l2.48-2.48c.18-.18.29-.43.29-.71 0-.27-.11-.52-.29-.7zM21.16 6.26l-1.41-1.41-3.56 3.55 1.41 1.41s3.45-3.52 3.56-3.55zM13 2h-2v5h2V2zM6.4 9.81L7.81 8.4 4.26 4.84 2.84 6.26c.11.03 3.56 3.55 3.56 3.55z"}}]})(props);
};
function MdRssFeed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"6.18","cy":"17.82","r":"2.18"}},{"tag":"path","attr":{"d":"M4 4.44v2.83c7.03 0 12.73 5.7 12.73 12.73h2.83c0-8.59-6.97-15.56-15.56-15.56zm0 5.66v2.83c3.9 0 7.07 3.17 7.07 7.07h2.83c0-5.47-4.43-9.9-9.9-9.9z"}}]})(props);
};
function MdScreenShare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 18c1.1 0 1.99-.9 1.99-2L22 6c0-1.11-.9-2-2-2H4c-1.11 0-2 .89-2 2v10c0 1.1.89 2 2 2H0v2h24v-2h-4zm-7-3.53v-2.19c-2.78 0-4.61.85-6 2.72.56-2.67 2.11-5.33 6-5.87V7l4 3.73-4 3.74z"}}]})(props);
};
function MdSpeakerPhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 7.07L8.43 8.5c.91-.91 2.18-1.48 3.57-1.48s2.66.57 3.57 1.48L17 7.07C15.72 5.79 13.95 5 12 5s-3.72.79-5 2.07zM12 1C8.98 1 6.24 2.23 4.25 4.21l1.41 1.41C7.28 4 9.53 3 12 3s4.72 1 6.34 2.62l1.41-1.41C17.76 2.23 15.02 1 12 1zm2.86 9.01L9.14 10C8.51 10 8 10.51 8 11.14v9.71c0 .63.51 1.14 1.14 1.14h5.71c.63 0 1.14-.51 1.14-1.14v-9.71c.01-.63-.5-1.13-1.13-1.13zM15 20H9v-8h6v8z"}}]})(props);
};
function MdStayCurrentLandscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M1.01 7L1 17c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V7c0-1.1-.9-2-2-2H3c-1.1 0-1.99.9-1.99 2zM19 7v10H5V7h14z"}}]})(props);
};
function MdStayCurrentPortrait (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 1.01L7 1c-1.1 0-1.99.9-1.99 2v18c0 1.1.89 2 1.99 2h10c1.1 0 2-.9 2-2V3c0-1.1-.9-1.99-2-1.99zM17 19H7V5h10v14z"}}]})(props);
};
function MdStayPrimaryLandscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M1.01 7L1 17c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V7c0-1.1-.9-2-2-2H3c-1.1 0-1.99.9-1.99 2zM19 7v10H5V7h14z"}}]})(props);
};
function MdStayPrimaryPortrait (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 1.01L7 1c-1.1 0-1.99.9-1.99 2v18c0 1.1.89 2 1.99 2h10c1.1 0 2-.9 2-2V3c0-1.1-.9-1.99-2-1.99zM17 19H7V5h10v14z"}}]})(props);
};
function MdStopScreenShare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.22 18.02l2 2H24v-2h-2.78zm.77-2l.01-10c0-1.11-.9-2-2-2H7.22l5.23 5.23c.18-.04.36-.07.55-.1V7.02l4 3.73-1.58 1.47 5.54 5.54c.61-.33 1.03-.99 1.03-1.74zM2.39 1.73L1.11 3l1.54 1.54c-.4.36-.65.89-.65 1.48v10c0 1.1.89 2 2 2H0v2h18.13l2.71 2.71 1.27-1.27L2.39 1.73zM7 15.02c.31-1.48.92-2.95 2.07-4.06l1.59 1.59c-1.54.38-2.7 1.18-3.66 2.47z"}}]})(props);
};
function MdSwapCalls (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 4l-4 4h3v7c0 1.1-.9 2-2 2s-2-.9-2-2V8c0-2.21-1.79-4-4-4S5 5.79 5 8v7H2l4 4 4-4H7V8c0-1.1.9-2 2-2s2 .9 2 2v7c0 2.21 1.79 4 4 4s4-1.79 4-4V8h3l-4-4z"}}]})(props);
};
function MdTextsms (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-1.99.9-1.99 2L2 22l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM9 11H7V9h2v2zm4 0h-2V9h2v2zm4 0h-2V9h2v2z"}}]})(props);
};
function MdVoicemail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.5 6C15.46 6 13 8.46 13 11.5c0 1.33.47 2.55 1.26 3.5H9.74c.79-.95 1.26-2.17 1.26-3.5C11 8.46 8.54 6 5.5 6S0 8.46 0 11.5 2.46 17 5.5 17h13c3.04 0 5.5-2.46 5.5-5.5S21.54 6 18.5 6zm-13 9C3.57 15 2 13.43 2 11.5S3.57 8 5.5 8 9 9.57 9 11.5 7.43 15 5.5 15zm13 0c-1.93 0-3.5-1.57-3.5-3.5S16.57 8 18.5 8 22 9.57 22 11.5 20.43 15 18.5 15z"}}]})(props);
};
function MdVpnKey (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.65 10C11.83 7.67 9.61 6 7 6c-3.31 0-6 2.69-6 6s2.69 6 6 6c2.61 0 4.83-1.67 5.65-4H17v4h4v-4h2v-4H12.65zM7 14c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"}}]})(props);
};
function MdAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 13h-6v6h-2v-6H5v-2h6V5h2v6h6v2z"}}]})(props);
};
function MdAddBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-2 10h-4v4h-2v-4H7v-2h4V7h2v4h4v2z"}}]})(props);
};
function MdAddCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm5 11h-4v4h-2v-4H7v-2h4V7h2v4h4v2z"}}]})(props);
};
function MdAddCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 7h-2v4H7v2h4v4h2v-4h4v-2h-4V7zm-1-5C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8z"}}]})(props);
};
function MdArchive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.54 5.23l-1.39-1.68C18.88 3.21 18.47 3 18 3H6c-.47 0-.88.21-1.16.55L3.46 5.23C3.17 5.57 3 6.02 3 6.5V19c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V6.5c0-.48-.17-.93-.46-1.27zM12 17.5L6.5 12H10v-2h4v2h3.5L12 17.5zM5.12 5l.81-1h12l.94 1H5.12z"}}]})(props);
};
function MdBackspace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 3H7c-.69 0-1.23.35-1.59.88L0 12l5.41 8.11c.36.53.9.89 1.59.89h15c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-3 12.59L17.59 17 14 13.41 10.41 17 9 15.59 12.59 12 9 8.41 10.41 7 14 10.59 17.59 7 19 8.41 15.41 12 19 15.59z"}}]})(props);
};
function MdBlock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zM4 12c0-4.42 3.58-8 8-8 1.85 0 3.55.63 4.9 1.69L5.69 16.9C4.63 15.55 4 13.85 4 12zm8 8c-1.85 0-3.55-.63-4.9-1.69L18.31 7.1C19.37 8.45 20 10.15 20 12c0 4.42-3.58 8-8 8z"}}]})(props);
};
function MdClear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z"}}]})(props);
};
function MdContentCopy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16 1H4c-1.1 0-2 .9-2 2v14h2V3h12V1zm3 4H8c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h11c1.1 0 2-.9 2-2V7c0-1.1-.9-2-2-2zm0 16H8V7h11v14z"}}]})(props);
};
function MdContentCut (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9.64 7.64c.23-.5.36-1.05.36-1.64 0-2.21-1.79-4-4-4S2 3.79 2 6s1.79 4 4 4c.59 0 1.14-.13 1.64-.36L10 12l-2.36 2.36C7.14 14.13 6.59 14 6 14c-2.21 0-4 1.79-4 4s1.79 4 4 4 4-1.79 4-4c0-.59-.13-1.14-.36-1.64L12 14l7 7h3v-1L9.64 7.64zM6 8c-1.1 0-2-.89-2-2s.9-2 2-2 2 .89 2 2-.9 2-2 2zm0 12c-1.1 0-2-.89-2-2s.9-2 2-2 2 .89 2 2-.9 2-2 2zm6-7.5c-.28 0-.5-.22-.5-.5s.22-.5.5-.5.5.22.5.5-.22.5-.5.5zM19 3l-6 6 2 2 7-7V3z"}}]})(props);
};
function MdContentPaste (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 2h-4.18C14.4.84 13.3 0 12 0c-1.3 0-2.4.84-2.82 2H5c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-7 0c.55 0 1 .45 1 1s-.45 1-1 1-1-.45-1-1 .45-1 1-1zm7 18H5V4h2v3h10V4h2v16z"}}]})(props);
};
function MdCreate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 17.25V21h3.75L17.81 9.94l-3.75-3.75L3 17.25zM20.71 7.04c.39-.39.39-1.02 0-1.41l-2.34-2.34c-.39-.39-1.02-.39-1.41 0l-1.83 1.83 3.75 3.75 1.83-1.83z"}}]})(props);
};
function MdDeleteSweep (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 16h4v2h-4zm0-8h7v2h-7zm0 4h6v2h-6zM3 18c0 1.1.9 2 2 2h6c1.1 0 2-.9 2-2V8H3v10zM14 5h-3l-1-1H6L5 5H2v2h12z"}}]})(props);
};
function MdDrafts (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.99 8c0-.72-.37-1.35-.94-1.7L12 1 2.95 6.3C2.38 6.65 2 7.28 2 8v10c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2l-.01-10zM12 13L3.74 7.84 12 3l8.26 4.84L12 13z"}}]})(props);
};
function MdFilterList (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 18h4v-2h-4v2zM3 6v2h18V6H3zm3 7h12v-2H6v2z"}}]})(props);
};
function MdFlag (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14.4 6L14 4H5v17h2v-7h5.6l.4 2h7V6z"}}]})(props);
};
function MdFontDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"baseProfile":"tiny","viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9.93 13.5h4.14L12 7.98zM20 2H4c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-4.05 16.5l-1.14-3H9.17l-1.12 3H5.96l5.11-13h1.86l5.11 13h-2.09z"}}]})(props);
};
function MdForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 8V4l8 8-8 8v-4H4V8z"}}]})(props);
};
function MdGesture (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4.59 6.89c.7-.71 1.4-1.35 1.71-1.22.5.2 0 1.03-.3 1.52-.25.42-2.86 3.89-2.86 6.31 0 1.28.48 2.34 1.34 2.98.75.56 1.74.73 2.64.46 1.07-.31 1.95-1.4 3.06-2.77 1.21-1.49 2.83-3.44 4.08-3.44 1.63 0 1.65 1.01 1.76 1.79-3.78.64-5.38 3.67-5.38 5.37 0 1.7 1.44 3.09 3.21 3.09 1.63 0 4.29-1.33 4.69-6.1H21v-2.5h-2.47c-.15-1.65-1.09-4.2-4.03-4.2-2.25 0-4.18 1.91-4.94 2.84-.58.73-2.06 2.48-2.29 2.72-.25.3-.68.84-1.11.84-.45 0-.72-.83-.36-1.92.35-1.09 1.4-2.86 1.85-3.52.78-1.14 1.3-1.92 1.3-3.28C8.95 3.69 7.31 3 6.44 3 5.12 3 3.97 4 3.72 4.25c-.36.36-.66.66-.88.93l1.75 1.71zm9.29 11.66c-.31 0-.74-.26-.74-.72 0-.6.73-2.2 2.87-2.76-.3 2.69-1.43 3.48-2.13 3.48z"}}]})(props);
};
function MdInbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H4.99c-1.11 0-1.98.89-1.98 2L3 19c0 1.1.88 2 1.99 2H19c1.1 0 2-.9 2-2V5c0-1.11-.9-2-2-2zm0 12h-4c0 1.66-1.35 3-3 3s-3-1.34-3-3H4.99V5H19v10z"}}]})(props);
};
function MdLink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3.9 12c0-1.71 1.39-3.1 3.1-3.1h4V7H7c-2.76 0-5 2.24-5 5s2.24 5 5 5h4v-1.9H7c-1.71 0-3.1-1.39-3.1-3.1zM8 13h8v-2H8v2zm9-6h-4v1.9h4c1.71 0 3.1 1.39 3.1 3.1s-1.39 3.1-3.1 3.1h-4V17h4c2.76 0 5-2.24 5-5s-2.24-5-5-5z"}}]})(props);
};
function MdLowPriority (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 5h8v2h-8zm0 5.5h8v2h-8zm0 5.5h8v2h-8zM2 11.5C2 15.08 4.92 18 8.5 18H9v2l3-3-3-3v2h-.5C6.02 16 4 13.98 4 11.5S6.02 7 8.5 7H12V5H8.5C4.92 5 2 7.92 2 11.5z"}}]})(props);
};
function MdMail (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 4l-8 5-8-5V6l8 5 8-5v2z"}}]})(props);
};
function MdMarkunread (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 4l-8 5-8-5V6l8 5 8-5v2z"}}]})(props);
};
function MdMoveToInbox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H4.99c-1.11 0-1.98.9-1.98 2L3 19c0 1.1.88 2 1.99 2H19c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 12h-4c0 1.66-1.35 3-3 3s-3-1.34-3-3H4.99V5H19v10zm-3-5h-2V7h-4v3H8l4 4 4-4z"}}]})(props);
};
function MdNextWeek (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 7h-4V5c0-.55-.22-1.05-.59-1.41C15.05 3.22 14.55 3 14 3h-4c-1.1 0-2 .9-2 2v2H4c-1.1 0-2 .9-2 2v11c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V9c0-1.1-.9-2-2-2zM10 5h4v2h-4V5zm1 13.5l-1-1 3-3-3-3 1-1 4 4-4 4z"}}]})(props);
};
function MdRedo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.4 10.6C16.55 8.99 14.15 8 11.5 8c-4.65 0-8.58 3.03-9.96 7.22L3.9 16c1.05-3.19 4.05-5.5 7.6-5.5 1.95 0 3.73.72 5.12 1.88L13 16h9V7l-3.6 3.6z"}}]})(props);
};
function MdRemove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 13H5v-2h14v2z"}}]})(props);
};
function MdRemoveCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm5 11H7v-2h10v2z"}}]})(props);
};
function MdRemoveCircleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 11v2h10v-2H7zm5-9C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8z"}}]})(props);
};
function MdReply (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 9V5l-7 7 7 7v-4.1c5 0 8.5 1.6 11 5.1-1-5-4-10-11-11z"}}]})(props);
};
function MdReplyAll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 8V5l-7 7 7 7v-3l-4-4 4-4zm6 1V5l-7 7 7 7v-4.1c5 0 8.5 1.6 11 5.1-1-5-4-10-11-11z"}}]})(props);
};
function MdReport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.73 3H8.27L3 8.27v7.46L8.27 21h7.46L21 15.73V8.27L15.73 3zM12 17.3c-.72 0-1.3-.58-1.3-1.3 0-.72.58-1.3 1.3-1.3.72 0 1.3.58 1.3 1.3 0 .72-.58 1.3-1.3 1.3zm1-4.3h-2V7h2v6z"}}]})(props);
};
function MdSave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 3H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V7l-4-4zm-5 16c-1.66 0-3-1.34-3-3s1.34-3 3-3 3 1.34 3 3-1.34 3-3 3zm3-10H5V5h10v4z"}}]})(props);
};
function MdSelectAll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 5h2V3c-1.1 0-2 .9-2 2zm0 8h2v-2H3v2zm4 8h2v-2H7v2zM3 9h2V7H3v2zm10-6h-2v2h2V3zm6 0v2h2c0-1.1-.9-2-2-2zM5 21v-2H3c0 1.1.9 2 2 2zm-2-4h2v-2H3v2zM9 3H7v2h2V3zm2 18h2v-2h-2v2zm8-8h2v-2h-2v2zm0 8c1.1 0 2-.9 2-2h-2v2zm0-12h2V7h-2v2zm0 8h2v-2h-2v2zm-4 4h2v-2h-2v2zm0-16h2V3h-2v2zM7 17h10V7H7v10zm2-8h6v6H9V9z"}}]})(props);
};
function MdSend (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2.01 21L23 12 2.01 3 2 10l15 2-15 2z"}}]})(props);
};
function MdSort (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 18h6v-2H3v2zM3 6v2h18V6H3zm0 7h12v-2H3v2z"}}]})(props);
};
function MdTextFormat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 17v2h14v-2H5zm4.5-4.2h5l.9 2.2h2.1L12.75 4h-1.5L6.5 15h2.1l.9-2.2zM12 5.98L13.87 11h-3.74L12 5.98z"}}]})(props);
};
function MdUnarchive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.55 5.22l-1.39-1.68C18.88 3.21 18.47 3 18 3H6c-.47 0-.88.21-1.15.55L3.46 5.22C3.17 5.57 3 6.01 3 6.5V19c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V6.5c0-.49-.17-.93-.45-1.28zM12 9.5l5.5 5.5H14v2h-4v-2H6.5L12 9.5zM5.12 5l.82-1h12l.93 1H5.12z"}}]})(props);
};
function MdUndo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.5 8c-2.65 0-5.05.99-6.9 2.6L2 7v9h9l-3.62-3.62c1.39-1.16 3.16-1.88 5.12-1.88 3.54 0 6.55 2.31 7.6 5.5l2.37-.78C21.08 11.03 17.15 8 12.5 8z"}}]})(props);
};
function MdWeekend (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 10c-1.1 0-2 .9-2 2v3H5v-3c0-1.1-.9-2-2-2s-2 .9-2 2v5c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2v-5c0-1.1-.9-2-2-2zm-3-5H6c-1.1 0-2 .9-2 2v2.15c1.16.41 2 1.51 2 2.82V14h12v-2.03c0-1.3.84-2.4 2-2.82V7c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdAccessAlarm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 5.72l-4.6-3.86-1.29 1.53 4.6 3.86L22 5.72zM7.88 3.39L6.6 1.86 2 5.71l1.29 1.53 4.59-3.85zM12.5 8H11v6l4.75 2.85.75-1.23-4-2.37V8zM12 4c-4.97 0-9 4.03-9 9s4.02 9 9 9c4.97 0 9-4.03 9-9s-4.03-9-9-9zm0 16c-3.87 0-7-3.13-7-7s3.13-7 7-7 7 3.13 7 7-3.13 7-7 7z"}}]})(props);
};
function MdAccessAlarms (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 5.7l-4.6-3.9-1.3 1.5 4.6 3.9L22 5.7zM7.9 3.4L6.6 1.9 2 5.7l1.3 1.5 4.6-3.8zM12.5 8H11v6l4.7 2.9.8-1.2-4-2.4V8zM12 4c-5 0-9 4-9 9s4 9 9 9 9-4 9-9-4-9-9-9zm0 16c-3.9 0-7-3.1-7-7s3.1-7 7-7 7 3.1 7 7-3.1 7-7 7z"}}]})(props);
};
function MdAccessTime (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm.5-13H11v6l5.25 3.15.75-1.23-4.5-2.67z"}}]})(props);
};
function MdAddAlarm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.88 3.39L6.6 1.86 2 5.71l1.29 1.53 4.59-3.85zM22 5.72l-4.6-3.86-1.29 1.53 4.6 3.86L22 5.72zM12 4c-4.97 0-9 4.03-9 9s4.02 9 9 9c4.97 0 9-4.03 9-9s-4.03-9-9-9zm0 16c-3.87 0-7-3.13-7-7s3.13-7 7-7 7 3.13 7 7-3.13 7-7 7zm1-11h-2v3H8v2h3v3h2v-3h3v-2h-3V9z"}}]})(props);
};
function MdAirplanemodeActive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10.18 9"}},{"tag":"path","attr":{"d":"M21 16v-2l-8-5V3.5c0-.83-.67-1.5-1.5-1.5S10 2.67 10 3.5V9l-8 5v2l8-2.5V19l-2 1.5V22l3.5-1 3.5 1v-1.5L13 19v-5.5l8 2.5z"}}]})(props);
};
function MdAirplanemodeInactive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 9V3.5c0-.83-.67-1.5-1.5-1.5S10 2.67 10 3.5v3.68l7.83 7.83L21 16v-2l-8-5zM3 5.27l4.99 4.99L2 14v2l8-2.5V19l-2 1.5V22l3.5-1 3.5 1v-1.5L13 19v-3.73L18.73 21 20 19.73 4.27 4 3 5.27z"}}]})(props);
};
function MdBattery20 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 17v3.67C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V17H7z"}},{"tag":"path","attr":{"fillOpacity":".3","d":"M17 5.33C17 4.6 16.4 4 15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33V17h10V5.33z"}}]})(props);
};
function MdBattery30 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M17 5.33C17 4.6 16.4 4 15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33V15h10V5.33z"}},{"tag":"path","attr":{"d":"M7 15v5.67C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V15H7z"}}]})(props);
};
function MdBattery50 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M17 5.33C17 4.6 16.4 4 15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33V13h10V5.33z"}},{"tag":"path","attr":{"d":"M7 13v7.67C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V13H7z"}}]})(props);
};
function MdBattery60 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M17 5.33C17 4.6 16.4 4 15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33V11h10V5.33z"}},{"tag":"path","attr":{"d":"M7 11v9.67C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V11H7z"}}]})(props);
};
function MdBattery80 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M17 5.33C17 4.6 16.4 4 15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33V9h10V5.33z"}},{"tag":"path","attr":{"d":"M7 9v11.67C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V9H7z"}}]})(props);
};
function MdBattery90 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M17 5.33C17 4.6 16.4 4 15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33V8h10V5.33z"}},{"tag":"path","attr":{"d":"M7 8v12.67C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V8H7z"}}]})(props);
};
function MdBatteryAlert (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33v15.33C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V5.33C17 4.6 16.4 4 15.67 4zM13 18h-2v-2h2v2zm0-4h-2V9h2v5z"}}]})(props);
};
function MdBatteryCharging20 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 20v-3H7v3.67C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V17h-4.4L11 20z"}},{"tag":"path","attr":{"fillOpacity":".3","d":"M15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33V17h4v-2.5H9L13 7v5.5h2L12.6 17H17V5.33C17 4.6 16.4 4 15.67 4z"}}]})(props);
};
function MdBatteryCharging30 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33v9.17h2L13 7v5.5h2l-1.07 2H17V5.33C17 4.6 16.4 4 15.67 4z"}},{"tag":"path","attr":{"d":"M11 20v-5.5H7v6.17C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V14.5h-3.07L11 20z"}}]})(props);
};
function MdBatteryCharging50 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14.47 13.5L11 20v-5.5H9l.53-1H7v7.17C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V13.5h-2.53z"}},{"tag":"path","attr":{"fillOpacity":".3","d":"M15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33v8.17h2.53L13 7v5.5h2l-.53 1H17V5.33C17 4.6 16.4 4 15.67 4z"}}]})(props);
};
function MdBatteryCharging60 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33V11h3.87L13 7v4h4V5.33C17 4.6 16.4 4 15.67 4z"}},{"tag":"path","attr":{"d":"M13 12.5h2L11 20v-5.5H9l1.87-3.5H7v9.67C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V11h-4v1.5z"}}]})(props);
};
function MdBatteryCharging80 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33V9h4.93L13 7v2h4V5.33C17 4.6 16.4 4 15.67 4z"}},{"tag":"path","attr":{"d":"M13 12.5h2L11 20v-5.5H9L11.93 9H7v11.67C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V9h-4v3.5z"}}]})(props);
};
function MdBatteryCharging90 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33V8h5.47L13 7v1h4V5.33C17 4.6 16.4 4 15.67 4z"}},{"tag":"path","attr":{"d":"M13 12.5h2L11 20v-5.5H9L12.47 8H7v12.67C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V8h-4v4.5z"}}]})(props);
};
function MdBatteryChargingFull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33v15.33C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V5.33C17 4.6 16.4 4 15.67 4zM11 20v-5.5H9L13 7v5.5h2L11 20z"}}]})(props);
};
function MdBatteryFull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33v15.33C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V5.33C17 4.6 16.4 4 15.67 4z"}}]})(props);
};
function MdBatteryStd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33v15.33C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V5.33C17 4.6 16.4 4 15.67 4z"}}]})(props);
};
function MdBatteryUnknown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.67 4H14V2h-4v2H8.33C7.6 4 7 4.6 7 5.33v15.33C7 21.4 7.6 22 8.33 22h7.33c.74 0 1.34-.6 1.34-1.33V5.33C17 4.6 16.4 4 15.67 4zm-2.72 13.95h-1.9v-1.9h1.9v1.9zm1.35-5.26s-.38.42-.67.71c-.48.48-.83 1.15-.83 1.6h-1.6c0-.83.46-1.52.93-2l.93-.94c.27-.27.44-.65.44-1.06 0-.83-.67-1.5-1.5-1.5s-1.5.67-1.5 1.5H9c0-1.66 1.34-3 3-3s3 1.34 3 3c0 .66-.27 1.26-.7 1.69z"}}]})(props);
};
function MdBluetooth (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.71 7.71L12 2h-1v7.59L6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 11 14.41V22h1l5.71-5.71-4.3-4.29 4.3-4.29zM13 5.83l1.88 1.88L13 9.59V5.83zm1.88 10.46L13 18.17v-3.76l1.88 1.88z"}}]})(props);
};
function MdBluetoothConnected (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 12l-2-2-2 2 2 2 2-2zm10.71-4.29L12 2h-1v7.59L6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 11 14.41V22h1l5.71-5.71-4.3-4.29 4.3-4.29zM13 5.83l1.88 1.88L13 9.59V5.83zm1.88 10.46L13 18.17v-3.76l1.88 1.88zM19 10l-2 2 2 2 2-2-2-2z"}}]})(props);
};
function MdBluetoothDisabled (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 5.83l1.88 1.88-1.6 1.6 1.41 1.41 3.02-3.02L12 2h-1v5.03l2 2v-3.2zM5.41 4L4 5.41 10.59 12 5 17.59 6.41 19 11 14.41V22h1l4.29-4.29 2.3 2.29L20 18.59 5.41 4zM13 18.17v-3.76l1.88 1.88L13 18.17z"}}]})(props);
};
function MdBluetoothSearching (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14.24 12.01l2.32 2.32c.28-.72.44-1.51.44-2.33 0-.82-.16-1.59-.43-2.31l-2.33 2.32zm5.29-5.3l-1.26 1.26c.63 1.21.98 2.57.98 4.02s-.36 2.82-.98 4.02l1.2 1.2c.97-1.54 1.54-3.36 1.54-5.31-.01-1.89-.55-3.67-1.48-5.19zm-3.82 1L10 2H9v7.59L4.41 5 3 6.41 8.59 12 3 17.59 4.41 19 9 14.41V22h1l5.71-5.71-4.3-4.29 4.3-4.29zM11 5.83l1.88 1.88L11 9.59V5.83zm1.88 10.46L11 18.17v-3.76l1.88 1.88z"}}]})(props);
};
function MdBrightnessAuto (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10.85 12.65h2.3L12 9l-1.15 3.65zM20 8.69V4h-4.69L12 .69 8.69 4H4v4.69L.69 12 4 15.31V20h4.69L12 23.31 15.31 20H20v-4.69L23.31 12 20 8.69zM14.3 16l-.7-2h-3.2l-.7 2H7.8L11 7h2l3.2 9h-1.9z"}}]})(props);
};
function MdBrightnessHigh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 8.69V4h-4.69L12 .69 8.69 4H4v4.69L.69 12 4 15.31V20h4.69L12 23.31 15.31 20H20v-4.69L23.31 12 20 8.69zM12 18c-3.31 0-6-2.69-6-6s2.69-6 6-6 6 2.69 6 6-2.69 6-6 6zm0-10c-2.21 0-4 1.79-4 4s1.79 4 4 4 4-1.79 4-4-1.79-4-4-4z"}}]})(props);
};
function MdBrightnessLow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 15.31L23.31 12 20 8.69V4h-4.69L12 .69 8.69 4H4v4.69L.69 12 4 15.31V20h4.69L12 23.31 15.31 20H20v-4.69zM12 18c-3.31 0-6-2.69-6-6s2.69-6 6-6 6 2.69 6 6-2.69 6-6 6z"}}]})(props);
};
function MdBrightnessMedium (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 15.31L23.31 12 20 8.69V4h-4.69L12 .69 8.69 4H4v4.69L.69 12 4 15.31V20h4.69L12 23.31 15.31 20H20v-4.69zM12 18V6c3.31 0 6 2.69 6 6s-2.69 6-6 6z"}}]})(props);
};
function MdDataUsage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 2.05v3.03c3.39.49 6 3.39 6 6.92 0 .9-.18 1.75-.48 2.54l2.6 1.53c.56-1.24.88-2.62.88-4.07 0-5.18-3.95-9.45-9-9.95zM12 19c-3.87 0-7-3.13-7-7 0-3.53 2.61-6.43 6-6.92V2.05c-5.06.5-9 4.76-9 9.95 0 5.52 4.47 10 9.99 10 3.31 0 6.24-1.61 8.06-4.09l-2.6-1.53C16.17 17.98 14.21 19 12 19z"}}]})(props);
};
function MdDeveloperMode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 5h10v2h2V3c0-1.1-.9-1.99-2-1.99L7 1c-1.1 0-2 .9-2 2v4h2V5zm8.41 11.59L20 12l-4.59-4.59L14 8.83 17.17 12 14 15.17l1.41 1.42zM10 15.17L6.83 12 10 8.83 8.59 7.41 4 12l4.59 4.59L10 15.17zM17 19H7v-2H5v4c0 1.1.9 2 2 2h10c1.1 0 2-.9 2-2v-4h-2v2z"}}]})(props);
};
function MdDevices (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 6h18V4H4c-1.1 0-2 .9-2 2v11H0v3h14v-3H4V6zm19 2h-6c-.55 0-1 .45-1 1v10c0 .55.45 1 1 1h6c.55 0 1-.45 1-1V9c0-.55-.45-1-1-1zm-1 9h-4v-7h4v7z"}}]})(props);
};
function MdDvr (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h5v2h8v-2h5c1.1 0 1.99-.9 1.99-2L23 5c0-1.1-.9-2-2-2zm0 14H3V5h18v12zm-2-9H8v2h11V8zm0 4H8v2h11v-2zM7 8H5v2h2V8zm0 4H5v2h2v-2z"}}]})(props);
};
function MdGpsFixed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 8c-2.21 0-4 1.79-4 4s1.79 4 4 4 4-1.79 4-4-1.79-4-4-4zm8.94 3c-.46-4.17-3.77-7.48-7.94-7.94V1h-2v2.06C6.83 3.52 3.52 6.83 3.06 11H1v2h2.06c.46 4.17 3.77 7.48 7.94 7.94V23h2v-2.06c4.17-.46 7.48-3.77 7.94-7.94H23v-2h-2.06zM12 19c-3.87 0-7-3.13-7-7s3.13-7 7-7 7 3.13 7 7-3.13 7-7 7z"}}]})(props);
};
function MdGpsNotFixed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.94 11c-.46-4.17-3.77-7.48-7.94-7.94V1h-2v2.06C6.83 3.52 3.52 6.83 3.06 11H1v2h2.06c.46 4.17 3.77 7.48 7.94 7.94V23h2v-2.06c4.17-.46 7.48-3.77 7.94-7.94H23v-2h-2.06zM12 19c-3.87 0-7-3.13-7-7s3.13-7 7-7 7 3.13 7 7-3.13 7-7 7z"}}]})(props);
};
function MdGpsOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.94 11c-.46-4.17-3.77-7.48-7.94-7.94V1h-2v2.06c-1.13.12-2.19.46-3.16.97l1.5 1.5C10.16 5.19 11.06 5 12 5c3.87 0 7 3.13 7 7 0 .94-.19 1.84-.52 2.65l1.5 1.5c.5-.96.84-2.02.97-3.15H23v-2h-2.06zM3 4.27l2.04 2.04C3.97 7.62 3.25 9.23 3.06 11H1v2h2.06c.46 4.17 3.77 7.48 7.94 7.94V23h2v-2.06c1.77-.2 3.38-.91 4.69-1.98L19.73 21 21 19.73 4.27 3 3 4.27zm13.27 13.27C15.09 18.45 13.61 19 12 19c-3.87 0-7-3.13-7-7 0-1.61.55-3.09 1.46-4.27l9.81 9.81z"}}]})(props);
};
function MdGraphicEq (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 18h2V6H7v12zm4 4h2V2h-2v20zm-8-8h2v-4H3v4zm12 4h2V6h-2v12zm4-8v4h2v-4h-2z"}}]})(props);
};
function MdLocationDisabled (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.94 11c-.46-4.17-3.77-7.48-7.94-7.94V1h-2v2.06c-1.13.12-2.19.46-3.16.97l1.5 1.5C10.16 5.19 11.06 5 12 5c3.87 0 7 3.13 7 7 0 .94-.19 1.84-.52 2.65l1.5 1.5c.5-.96.84-2.02.97-3.15H23v-2h-2.06zM3 4.27l2.04 2.04C3.97 7.62 3.25 9.23 3.06 11H1v2h2.06c.46 4.17 3.77 7.48 7.94 7.94V23h2v-2.06c1.77-.2 3.38-.91 4.69-1.98L19.73 21 21 19.73 4.27 3 3 4.27zm13.27 13.27C15.09 18.45 13.61 19 12 19c-3.87 0-7-3.13-7-7 0-1.61.55-3.09 1.46-4.27l9.81 9.81z"}}]})(props);
};
function MdLocationSearching (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.94 11c-.46-4.17-3.77-7.48-7.94-7.94V1h-2v2.06C6.83 3.52 3.52 6.83 3.06 11H1v2h2.06c.46 4.17 3.77 7.48 7.94 7.94V23h2v-2.06c4.17-.46 7.48-3.77 7.94-7.94H23v-2h-2.06zM12 19c-3.87 0-7-3.13-7-7s3.13-7 7-7 7 3.13 7 7-3.13 7-7 7z"}}]})(props);
};
function MdNetworkCell (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M2 22h20V2z"}},{"tag":"path","attr":{"d":"M17 7L2 22h15z"}}]})(props);
};
function MdNetworkWifi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M12.01 21.49L23.64 7c-.45-.34-4.93-4-11.64-4C5.28 3 .81 6.66.36 7l11.63 14.49.01.01.01-.01z"}},{"tag":"path","attr":{"d":"M3.53 10.95l8.46 10.54.01.01.01-.01 8.46-10.54C20.04 10.62 16.81 8 12 8c-4.81 0-8.04 2.62-8.47 2.95z"}}]})(props);
};
function MdNfc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm0 18H4V4h16v16zM18 6h-5c-1.1 0-2 .9-2 2v2.28c-.6.35-1 .98-1 1.72 0 1.1.9 2 2 2s2-.9 2-2c0-.74-.4-1.38-1-1.72V8h3v8H8V8h2V6H6v12h12V6z"}}]})(props);
};
function MdScreenLockLandscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 5H3c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V7c0-1.1-.9-2-2-2zm-2 12H5V7h14v10zm-9-1h4c.55 0 1-.45 1-1v-3c0-.55-.45-1-1-1v-1c0-1.11-.9-2-2-2-1.11 0-2 .9-2 2v1c-.55 0-1 .45-1 1v3c0 .55.45 1 1 1zm.8-6c0-.66.54-1.2 1.2-1.2.66 0 1.2.54 1.2 1.2v1h-2.4v-1z"}}]})(props);
};
function MdScreenLockPortrait (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 16h4c.55 0 1-.45 1-1v-3c0-.55-.45-1-1-1v-1c0-1.11-.9-2-2-2-1.11 0-2 .9-2 2v1c-.55 0-1 .45-1 1v3c0 .55.45 1 1 1zm.8-6c0-.66.54-1.2 1.2-1.2.66 0 1.2.54 1.2 1.2v1h-2.4v-1zM17 1H7c-1.1 0-2 .9-2 2v18c0 1.1.9 2 2 2h10c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2zm0 18H7V5h10v14z"}}]})(props);
};
function MdScreenLockRotation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M23.25 12.77l-2.57-2.57-1.41 1.41 2.22 2.22-5.66 5.66L4.51 8.17l5.66-5.66 2.1 2.1 1.41-1.41L11.23.75c-.59-.59-1.54-.59-2.12 0L2.75 7.11c-.59.59-.59 1.54 0 2.12l12.02 12.02c.59.59 1.54.59 2.12 0l6.36-6.36c.59-.59.59-1.54 0-2.12zM8.47 20.48C5.2 18.94 2.86 15.76 2.5 12H1c.51 6.16 5.66 11 11.95 11l.66-.03-3.81-3.82-1.33 1.33zM16 9h5c.55 0 1-.45 1-1V4c0-.55-.45-1-1-1v-.5C21 1.12 19.88 0 18.5 0S16 1.12 16 2.5V3c-.55 0-1 .45-1 1v4c0 .55.45 1 1 1zm.8-6.5c0-.94.76-1.7 1.7-1.7s1.7.76 1.7 1.7V3h-3.4v-.5z"}}]})(props);
};
function MdScreenRotation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.48 2.52c3.27 1.55 5.61 4.72 5.97 8.48h1.5C23.44 4.84 18.29 0 12 0l-.66.03 3.81 3.81 1.33-1.32zm-6.25-.77c-.59-.59-1.54-.59-2.12 0L1.75 8.11c-.59.59-.59 1.54 0 2.12l12.02 12.02c.59.59 1.54.59 2.12 0l6.36-6.36c.59-.59.59-1.54 0-2.12L10.23 1.75zm4.6 19.44L2.81 9.17l6.36-6.36 12.02 12.02-6.36 6.36zm-7.31.29C4.25 19.94 1.91 16.76 1.55 13H.05C.56 19.16 5.71 24 12 24l.66-.03-3.81-3.81-1.33 1.32z"}}]})(props);
};
function MdSdStorage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 2h-8L4.02 8 4 20c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-6 6h-2V4h2v4zm3 0h-2V4h2v4zm3 0h-2V4h2v4z"}}]})(props);
};
function MdSettingsSystemDaydream (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 16h6.5c1.38 0 2.5-1.12 2.5-2.5S16.88 11 15.5 11h-.05c-.24-1.69-1.69-3-3.45-3-1.4 0-2.6.83-3.16 2.02h-.16C7.17 10.18 6 11.45 6 13c0 1.66 1.34 3 3 3zM21 3H3c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16.01H3V4.99h18v14.02z"}}]})(props);
};
function MdSignalCellular0Bar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M2 22h20V2z"}}]})(props);
};
function MdSignalCellular1Bar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M2 22h20V2z"}},{"tag":"path","attr":{"d":"M12 12L2 22h10z"}}]})(props);
};
function MdSignalCellular2Bar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M2 22h20V2z"}},{"tag":"path","attr":{"d":"M14 10L2 22h12z"}}]})(props);
};
function MdSignalCellular3Bar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M2 22h20V2z"}},{"tag":"path","attr":{"d":"M17 7L2 22h15z"}}]})(props);
};
function MdSignalCellular4Bar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 22h20V2z"}}]})(props);
};
function MdSignalCellularConnectedNoInternet0Bar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M22 8V2L2 22h16V8z"}},{"tag":"path","attr":{"d":"M20 22h2v-2h-2v2zm0-12v8h2v-8h-2z"}}]})(props);
};
function MdSignalCellularConnectedNoInternet1Bar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M22 8V2L2 22h16V8z"}},{"tag":"path","attr":{"d":"M20 10v8h2v-8h-2zm-8 12V12L2 22h10zm8 0h2v-2h-2v2z"}}]})(props);
};
function MdSignalCellularConnectedNoInternet2Bar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M22 8V2L2 22h16V8z"}},{"tag":"path","attr":{"d":"M14 22V10L2 22h12zm6-12v8h2v-8h-2zm0 12h2v-2h-2v2z"}}]})(props);
};
function MdSignalCellularConnectedNoInternet3Bar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M22 8V2L2 22h16V8z"}},{"tag":"path","attr":{"d":"M17 22V7L2 22h15zm3-12v8h2v-8h-2zm0 12h2v-2h-2v2z"}}]})(props);
};
function MdSignalCellularConnectedNoInternet4Bar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 18h2v-8h-2v8zm0 4h2v-2h-2v2zM2 22h16V8h4V2L2 22z"}}]})(props);
};
function MdSignalCellularNoSim (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.99 5c0-1.1-.89-2-1.99-2h-7L7.66 5.34 19 16.68 18.99 5zM3.65 3.88L2.38 5.15 5 7.77V19c0 1.1.9 2 2 2h10.01c.35 0 .67-.1.96-.26l1.88 1.88 1.27-1.27L3.65 3.88z"}}]})(props);
};
function MdSignalCellularNull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 6.83V20H6.83L20 6.83M22 2L2 22h20V2z"}}]})(props);
};
function MdSignalCellularOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 1l-8.59 8.59L21 18.18V1zM4.77 4.5L3.5 5.77l6.36 6.36L1 21h17.73l2 2L22 21.73 4.77 4.5z"}}]})(props);
};
function MdSignalWifi0Bar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M12.01 21.49L23.64 7c-.45-.34-4.93-4-11.64-4C5.28 3 .81 6.66.36 7l11.63 14.49.01.01.01-.01z"}}]})(props);
};
function MdSignalWifi1Bar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M12.01 21.49L23.64 7c-.45-.34-4.93-4-11.64-4C5.28 3 .81 6.66.36 7l11.63 14.49.01.01.01-.01z"}},{"tag":"path","attr":{"d":"M6.67 14.86L12 21.49v.01l.01-.01 5.33-6.63C17.06 14.65 15.03 13 12 13s-5.06 1.65-5.33 1.86z"}}]})(props);
};
function MdSignalWifi1BarLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M23 16v-1.5c0-1.4-1.1-2.5-2.5-2.5S18 13.1 18 14.5V16c-.5 0-1 .5-1 1v4c0 .5.5 1 1 1h5c.5 0 1-.5 1-1v-4c0-.5-.5-1-1-1zm-1 0h-3v-1.5c0-.8.7-1.5 1.5-1.5s1.5.7 1.5 1.5V16z"}},{"tag":"path","attr":{"d":"M15.5 14.5c0-2.8 2.2-5 5-5 .4 0 .7 0 1 .1L23.6 7c-.4-.3-4.9-4-11.6-4C5.3 3 .8 6.7.4 7L12 21.5l3.5-4.3v-2.7z","opacity":".3"}},{"tag":"path","attr":{"d":"M6.7 14.9l5.3 6.6 3.5-4.3v-2.6c0-.2 0-.5.1-.7-.9-.5-2.2-.9-3.6-.9-3 0-5.1 1.7-5.3 1.9z"}}]})(props);
};
function MdSignalWifi2Bar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M12.01 21.49L23.64 7c-.45-.34-4.93-4-11.64-4C5.28 3 .81 6.66.36 7l11.63 14.49.01.01.01-.01z"}},{"tag":"path","attr":{"d":"M4.79 12.52l7.2 8.98H12l.01-.01 7.2-8.98C18.85 12.24 16.1 10 12 10s-6.85 2.24-7.21 2.52z"}}]})(props);
};
function MdSignalWifi2BarLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M23 16v-1.5c0-1.4-1.1-2.5-2.5-2.5S18 13.1 18 14.5V16c-.5 0-1 .5-1 1v4c0 .5.5 1 1 1h5c.5 0 1-.5 1-1v-4c0-.5-.5-1-1-1zm-1 0h-3v-1.5c0-.8.7-1.5 1.5-1.5s1.5.7 1.5 1.5V16z"}},{"tag":"path","attr":{"d":"M15.5 14.5c0-2.8 2.2-5 5-5 .4 0 .7 0 1 .1L23.6 7c-.4-.3-4.9-4-11.6-4C5.3 3 .8 6.7.4 7L12 21.5l3.5-4.3v-2.7z","opacity":".3"}},{"tag":"path","attr":{"d":"M4.8 12.5l7.2 9 3.5-4.4v-2.6c0-1.3.5-2.5 1.4-3.4C15.6 10.5 14 10 12 10c-4.1 0-6.8 2.2-7.2 2.5z"}}]})(props);
};
function MdSignalWifi3Bar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".3","d":"M12.01 21.49L23.64 7c-.45-.34-4.93-4-11.64-4C5.28 3 .81 6.66.36 7l11.63 14.49.01.01.01-.01z"}},{"tag":"path","attr":{"d":"M3.53 10.95l8.46 10.54.01.01.01-.01 8.46-10.54C20.04 10.62 16.81 8 12 8c-4.81 0-8.04 2.62-8.47 2.95z"}}]})(props);
};
function MdSignalWifi3BarLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"opacity":".3","d":"M12 3C5.3 3 .8 6.7.4 7l3.2 3.9L12 21.5l3.5-4.3v-2.6c0-2.2 1.4-4 3.3-4.7.3-.1.5-.2.8-.2.3-.1.6-.1.9-.1.4 0 .7 0 1 .1L23.6 7c-.4-.3-4.9-4-11.6-4z"}},{"tag":"path","attr":{"d":"M23 16v-1.5c0-1.4-1.1-2.5-2.5-2.5S18 13.1 18 14.5V16c-.5 0-1 .5-1 1v4c0 .5.5 1 1 1h5c.5 0 1-.5 1-1v-4c0-.5-.5-1-1-1zm-1 0h-3v-1.5c0-.8.7-1.5 1.5-1.5s1.5.7 1.5 1.5V16zm-10 5.5l3.5-4.3v-2.6c0-2.2 1.4-4 3.3-4.7C17.3 9 14.9 8 12 8c-4.8 0-8 2.6-8.5 2.9"}}]})(props);
};
function MdSignalWifi4Bar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.01 21.49L23.64 7c-.45-.34-4.93-4-11.64-4C5.28 3 .81 6.66.36 7l11.63 14.49.01.01.01-.01z"}}]})(props);
};
function MdSignalWifi4BarLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M23 16v-1.5c0-1.4-1.1-2.5-2.5-2.5S18 13.1 18 14.5V16c-.5 0-1 .5-1 1v4c0 .5.5 1 1 1h5c.5 0 1-.5 1-1v-4c0-.5-.5-1-1-1zm-1 0h-3v-1.5c0-.8.7-1.5 1.5-1.5s1.5.7 1.5 1.5V16zm-6.5-1.5c0-2.8 2.2-5 5-5 .4 0 .7 0 1 .1L23.6 7c-.4-.3-4.9-4-11.6-4C5.3 3 .8 6.7.4 7L12 21.5l3.5-4.4v-2.6z"}}]})(props);
};
function MdSignalWifiOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M23.64 7c-.45-.34-4.93-4-11.64-4-1.5 0-2.89.19-4.15.48L18.18 13.8 23.64 7zm-6.6 8.22L3.27 1.44 2 2.72l2.05 2.06C1.91 5.76.59 6.82.36 7l11.63 14.49.01.01.01-.01 3.9-4.86 3.32 3.32 1.27-1.27-3.46-3.46z"}}]})(props);
};
function MdStorage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 20h20v-4H2v4zm2-3h2v2H4v-2zM2 4v4h20V4H2zm4 3H4V5h2v2zm-4 7h20v-4H2v4zm2-3h2v2H4v-2z"}}]})(props);
};
function MdUsb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 7v4h1v2h-3V5h2l-3-4-3 4h2v8H8v-2.07c.7-.37 1.2-1.08 1.2-1.93 0-1.21-.99-2.2-2.2-2.2-1.21 0-2.2.99-2.2 2.2 0 .85.5 1.56 1.2 1.93V13c0 1.11.89 2 2 2h3v3.05c-.71.37-1.2 1.1-1.2 1.95 0 1.22.99 2.2 2.2 2.2 1.21 0 2.2-.98 2.2-2.2 0-.85-.49-1.58-1.2-1.95V15h3c1.11 0 2-.89 2-2v-2h1V7h-4z"}}]})(props);
};
function MdWallpaper (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 4h7V2H4c-1.1 0-2 .9-2 2v7h2V4zm6 9l-4 5h12l-3-4-2.03 2.71L10 13zm7-4.5c0-.83-.67-1.5-1.5-1.5S14 7.67 14 8.5s.67 1.5 1.5 1.5S17 9.33 17 8.5zM20 2h-7v2h7v7h2V4c0-1.1-.9-2-2-2zm0 18h-7v2h7c1.1 0 2-.9 2-2v-7h-2v7zM4 13H2v7c0 1.1.9 2 2 2h7v-2H4v-7z"}}]})(props);
};
function MdWidgets (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 13v8h8v-8h-8zM3 21h8v-8H3v8zM3 3v8h8V3H3zm13.66-1.31L11 7.34 16.66 13l5.66-5.66-5.66-5.65z"}}]})(props);
};
function MdWifiLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.5 9.5c.28 0 .55.04.81.08L24 6c-3.34-2.51-7.5-4-12-4S3.34 3.49 0 6l12 16 3.5-4.67V14.5c0-2.76 2.24-5 5-5zM23 16v-1.5c0-1.38-1.12-2.5-2.5-2.5S18 13.12 18 14.5V16c-.55 0-1 .45-1 1v4c0 .55.45 1 1 1h5c.55 0 1-.45 1-1v-4c0-.55-.45-1-1-1zm-1 0h-3v-1.5c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5V16z"}}]})(props);
};
function MdWifiTethering (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 11c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm6 2c0-3.31-2.69-6-6-6s-6 2.69-6 6c0 2.22 1.21 4.15 3 5.19l1-1.74c-1.19-.7-2-1.97-2-3.45 0-2.21 1.79-4 4-4s4 1.79 4 4c0 1.48-.81 2.75-2 3.45l1 1.74c1.79-1.04 3-2.97 3-5.19zM12 3C6.48 3 2 7.48 2 13c0 3.7 2.01 6.92 4.99 8.65l1-1.73C5.61 18.53 4 15.96 4 13c0-4.42 3.58-8 8-8s8 3.58 8 8c0 2.96-1.61 5.53-4 6.92l1 1.73c2.99-1.73 5-4.95 5-8.65 0-5.52-4.48-10-10-10z"}}]})(props);
};
function MdAttachFile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.5 6v11.5c0 2.21-1.79 4-4 4s-4-1.79-4-4V5c0-1.38 1.12-2.5 2.5-2.5s2.5 1.12 2.5 2.5v10.5c0 .55-.45 1-1 1s-1-.45-1-1V6H10v9.5c0 1.38 1.12 2.5 2.5 2.5s2.5-1.12 2.5-2.5V5c0-2.21-1.79-4-4-4S7 2.79 7 5v12.5c0 3.04 2.46 5.5 5.5 5.5s5.5-2.46 5.5-5.5V6h-1.5z"}}]})(props);
};
function MdAttachMoney (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.8 10.9c-2.27-.59-3-1.2-3-2.15 0-1.09 1.01-1.85 2.7-1.85 1.78 0 2.44.85 2.5 2.1h2.21c-.07-1.72-1.12-3.3-3.21-3.81V3h-3v2.16c-1.94.42-3.5 1.68-3.5 3.61 0 2.31 1.91 3.46 4.7 4.13 2.5.6 3 1.48 3 2.41 0 .69-.49 1.79-2.7 1.79-2.06 0-2.87-.92-2.98-2.1h-2.2c.12 2.19 1.76 3.42 3.68 3.83V21h3v-2.15c1.95-.37 3.5-1.5 3.5-3.55 0-2.84-2.43-3.81-4.7-4.4z"}}]})(props);
};
function MdBorderAll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 3v18h18V3H3zm8 16H5v-6h6v6zm0-8H5V5h6v6zm8 8h-6v-6h6v6zm0-8h-6V5h6v6z"}}]})(props);
};
function MdBorderBottom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 11H7v2h2v-2zm4 4h-2v2h2v-2zM9 3H7v2h2V3zm4 8h-2v2h2v-2zM5 3H3v2h2V3zm8 4h-2v2h2V7zm4 4h-2v2h2v-2zm-4-8h-2v2h2V3zm4 0h-2v2h2V3zm2 10h2v-2h-2v2zm0 4h2v-2h-2v2zM5 7H3v2h2V7zm14-4v2h2V3h-2zm0 6h2V7h-2v2zM5 11H3v2h2v-2zM3 21h18v-2H3v2zm2-6H3v2h2v-2z"}}]})(props);
};
function MdBorderClear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 5h2V3H7v2zm0 8h2v-2H7v2zm0 8h2v-2H7v2zm4-4h2v-2h-2v2zm0 4h2v-2h-2v2zm-8 0h2v-2H3v2zm0-4h2v-2H3v2zm0-4h2v-2H3v2zm0-4h2V7H3v2zm0-4h2V3H3v2zm8 8h2v-2h-2v2zm8 4h2v-2h-2v2zm0-4h2v-2h-2v2zm0 8h2v-2h-2v2zm0-12h2V7h-2v2zm-8 0h2V7h-2v2zm8-6v2h2V3h-2zm-8 2h2V3h-2v2zm4 16h2v-2h-2v2zm0-8h2v-2h-2v2zm0-8h2V3h-2v2z"}}]})(props);
};
function MdBorderColor (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.75 7L14 3.25l-10 10V17h3.75l10-10zm2.96-2.96c.39-.39.39-1.02 0-1.41L18.37.29c-.39-.39-1.02-.39-1.41 0L15 2.25 18.75 6l1.96-1.96z"}},{"tag":"path","attr":{"fillOpacity":".36","d":"M0 20h24v4H0z"}}]})(props);
};
function MdBorderHorizontal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 21h2v-2H3v2zM5 7H3v2h2V7zM3 17h2v-2H3v2zm4 4h2v-2H7v2zM5 3H3v2h2V3zm4 0H7v2h2V3zm8 0h-2v2h2V3zm-4 4h-2v2h2V7zm0-4h-2v2h2V3zm6 14h2v-2h-2v2zm-8 4h2v-2h-2v2zm-8-8h18v-2H3v2zM19 3v2h2V3h-2zm0 6h2V7h-2v2zm-8 8h2v-2h-2v2zm4 4h2v-2h-2v2zm4 0h2v-2h-2v2z"}}]})(props);
};
function MdBorderInner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 21h2v-2H3v2zm4 0h2v-2H7v2zM5 7H3v2h2V7zM3 17h2v-2H3v2zM9 3H7v2h2V3zM5 3H3v2h2V3zm12 0h-2v2h2V3zm2 6h2V7h-2v2zm0-6v2h2V3h-2zm-4 18h2v-2h-2v2zM13 3h-2v8H3v2h8v8h2v-8h8v-2h-8V3zm6 18h2v-2h-2v2zm0-4h2v-2h-2v2z"}}]})(props);
};
function MdBorderLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 21h2v-2h-2v2zm0-4h2v-2h-2v2zm0-12h2V3h-2v2zm0 4h2V7h-2v2zm0 4h2v-2h-2v2zm-4 8h2v-2H7v2zM7 5h2V3H7v2zm0 8h2v-2H7v2zm-4 8h2V3H3v18zM19 9h2V7h-2v2zm-4 12h2v-2h-2v2zm4-4h2v-2h-2v2zm0-14v2h2V3h-2zm0 10h2v-2h-2v2zm0 8h2v-2h-2v2zm-4-8h2v-2h-2v2zm0-8h2V3h-2v2z"}}]})(props);
};
function MdBorderOuter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 7h-2v2h2V7zm0 4h-2v2h2v-2zm4 0h-2v2h2v-2zM3 3v18h18V3H3zm16 16H5V5h14v14zm-6-4h-2v2h2v-2zm-4-4H7v2h2v-2z"}}]})(props);
};
function MdBorderRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 21h2v-2H7v2zM3 5h2V3H3v2zm4 0h2V3H7v2zm0 8h2v-2H7v2zm-4 8h2v-2H3v2zm8 0h2v-2h-2v2zm-8-8h2v-2H3v2zm0 4h2v-2H3v2zm0-8h2V7H3v2zm8 8h2v-2h-2v2zm4-4h2v-2h-2v2zm4-10v18h2V3h-2zm-4 18h2v-2h-2v2zm0-16h2V3h-2v2zm-4 8h2v-2h-2v2zm0-8h2V3h-2v2zm0 4h2V7h-2v2z"}}]})(props);
};
function MdBorderStyle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 21h2v-2h-2v2zm4 0h2v-2h-2v2zM7 21h2v-2H7v2zm4 0h2v-2h-2v2zm8-4h2v-2h-2v2zm0-4h2v-2h-2v2zM3 3v18h2V5h16V3H3zm16 6h2V7h-2v2z"}}]})(props);
};
function MdBorderTop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 21h2v-2H7v2zm0-8h2v-2H7v2zm4 0h2v-2h-2v2zm0 8h2v-2h-2v2zm-8-4h2v-2H3v2zm0 4h2v-2H3v2zm0-8h2v-2H3v2zm0-4h2V7H3v2zm8 8h2v-2h-2v2zm8-8h2V7h-2v2zm0 4h2v-2h-2v2zM3 3v2h18V3H3zm16 14h2v-2h-2v2zm-4 4h2v-2h-2v2zM11 9h2V7h-2v2zm8 12h2v-2h-2v2zm-4-8h2v-2h-2v2z"}}]})(props);
};
function MdBorderVertical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 9h2V7H3v2zm0-4h2V3H3v2zm4 16h2v-2H7v2zm0-8h2v-2H7v2zm-4 0h2v-2H3v2zm0 8h2v-2H3v2zm0-4h2v-2H3v2zM7 5h2V3H7v2zm12 12h2v-2h-2v2zm-8 4h2V3h-2v18zm8 0h2v-2h-2v2zm0-8h2v-2h-2v2zm0-10v2h2V3h-2zm0 6h2V7h-2v2zm-4-4h2V3h-2v2zm0 16h2v-2h-2v2zm0-8h2v-2h-2v2z"}}]})(props);
};
function MdBubbleChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"7.2","cy":"14.4","r":"3.2"}},{"tag":"circle","attr":{"cx":"14.8","cy":"18","r":"2"}},{"tag":"circle","attr":{"cx":"15.2","cy":"8.8","r":"4.8"}}]})(props);
};
function MdDragHandle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 9H4v2h16V9zM4 15h16v-2H4v2z"}}]})(props);
};
function MdFormatAlignCenter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 15v2h10v-2H7zm-4 6h18v-2H3v2zm0-8h18v-2H3v2zm4-6v2h10V7H7zM3 3v2h18V3H3z"}}]})(props);
};
function MdFormatAlignJustify (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 21h18v-2H3v2zm0-4h18v-2H3v2zm0-4h18v-2H3v2zm0-4h18V7H3v2zm0-6v2h18V3H3z"}}]})(props);
};
function MdFormatAlignLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 15H3v2h12v-2zm0-8H3v2h12V7zM3 13h18v-2H3v2zm0 8h18v-2H3v2zM3 3v2h18V3H3z"}}]})(props);
};
function MdFormatAlignRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 21h18v-2H3v2zm6-4h12v-2H9v2zm-6-4h18v-2H3v2zm6-4h12V7H9v2zM3 3v2h18V3H3z"}}]})(props);
};
function MdFormatBold (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.6 10.79c.97-.67 1.65-1.77 1.65-2.79 0-2.26-1.75-4-4-4H7v14h7.04c2.09 0 3.71-1.7 3.71-3.79 0-1.52-.86-2.82-2.15-3.42zM10 6.5h3c.83 0 1.5.67 1.5 1.5s-.67 1.5-1.5 1.5h-3v-3zm3.5 9H10v-3h3.5c.83 0 1.5.67 1.5 1.5s-.67 1.5-1.5 1.5z"}}]})(props);
};
function MdFormatClear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3.27 5L2 6.27l6.97 6.97L6.5 19h3l1.57-3.66L16.73 21 18 19.73 3.55 5.27 3.27 5zM6 5v.18L8.82 8h2.4l-.72 1.68 2.1 2.1L14.21 8H20V5H6z"}}]})(props);
};
function MdFormatColorFill (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.56 8.94L7.62 0 6.21 1.41l2.38 2.38-5.15 5.15c-.59.59-.59 1.54 0 2.12l5.5 5.5c.29.29.68.44 1.06.44s.77-.15 1.06-.44l5.5-5.5c.59-.58.59-1.53 0-2.12zM5.21 10L10 5.21 14.79 10H5.21zM19 11.5s-2 2.17-2 3.5c0 1.1.9 2 2 2s2-.9 2-2c0-1.33-2-3.5-2-3.5z"}},{"tag":"path","attr":{"fillOpacity":".36","d":"M0 20h24v4H0z"}}]})(props);
};
function MdFormatColorReset (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 14c0-4-6-10.8-6-10.8s-1.33 1.51-2.73 3.52l8.59 8.59c.09-.42.14-.86.14-1.31zm-.88 3.12L12.5 12.5 5.27 5.27 4 6.55l3.32 3.32C6.55 11.32 6 12.79 6 14c0 3.31 2.69 6 6 6 1.52 0 2.9-.57 3.96-1.5l2.63 2.63 1.27-1.27-2.74-2.74z"}}]})(props);
};
function MdFormatColorText (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"fillOpacity":".36","d":"M0 20h24v4H0z"}},{"tag":"path","attr":{"d":"M11 3L5.5 17h2.25l1.12-3h6.25l1.12 3h2.25L13 3h-2zm-1.38 9L12 5.67 14.38 12H9.62z"}}]})(props);
};
function MdFormatIndentDecrease (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 17h10v-2H11v2zm-8-5l4 4V8l-4 4zm0 9h18v-2H3v2zM3 3v2h18V3H3zm8 6h10V7H11v2zm0 4h10v-2H11v2z"}}]})(props);
};
function MdFormatIndentIncrease (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 21h18v-2H3v2zM3 8v8l4-4-4-4zm8 9h10v-2H11v2zM3 3v2h18V3H3zm8 6h10V7H11v2zm0 4h10v-2H11v2z"}}]})(props);
};
function MdFormatItalic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 4v3h2.21l-3.42 8H6v3h8v-3h-2.21l3.42-8H18V4z"}}]})(props);
};
function MdFormatLineSpacing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 7h2.5L5 3.5 1.5 7H4v10H1.5L5 20.5 8.5 17H6V7zm4-2v2h12V5H10zm0 14h12v-2H10v2zm0-6h12v-2H10v2z"}}]})(props);
};
function MdFormatListBulleted (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 10.5c-.83 0-1.5.67-1.5 1.5s.67 1.5 1.5 1.5 1.5-.67 1.5-1.5-.67-1.5-1.5-1.5zm0-6c-.83 0-1.5.67-1.5 1.5S3.17 7.5 4 7.5 5.5 6.83 5.5 6 4.83 4.5 4 4.5zm0 12c-.83 0-1.5.68-1.5 1.5s.68 1.5 1.5 1.5 1.5-.68 1.5-1.5-.67-1.5-1.5-1.5zM7 19h14v-2H7v2zm0-6h14v-2H7v2zm0-8v2h14V5H7z"}}]})(props);
};
function MdFormatListNumbered (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 17h2v.5H3v1h1v.5H2v1h3v-4H2v1zm1-9h1V4H2v1h1v3zm-1 3h1.8L2 13.1v.9h3v-1H3.2L5 10.9V10H2v1zm5-6v2h14V5H7zm0 14h14v-2H7v2zm0-6h14v-2H7v2z"}}]})(props);
};
function MdFormatPaint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 4V3c0-.55-.45-1-1-1H5c-.55 0-1 .45-1 1v4c0 .55.45 1 1 1h12c.55 0 1-.45 1-1V6h1v4H9v11c0 .55.45 1 1 1h2c.55 0 1-.45 1-1v-9h8V4h-3z"}}]})(props);
};
function MdFormatQuote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 17h3l2-4V7H5v6h3zm8 0h3l2-4V7h-6v6h3z"}}]})(props);
};
function MdFormatShapes (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M23 7V1h-6v2H7V1H1v6h2v10H1v6h6v-2h10v2h6v-6h-2V7h2zM3 3h2v2H3V3zm2 18H3v-2h2v2zm12-2H7v-2H5V7h2V5h10v2h2v10h-2v2zm4 2h-2v-2h2v2zM19 5V3h2v2h-2zm-5.27 9h-3.49l-.73 2H7.89l3.4-9h1.4l3.41 9h-1.63l-.74-2zm-3.04-1.26h2.61L12 8.91l-1.31 3.83z"}}]})(props);
};
function MdFormatSize (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 4v3h5v12h3V7h5V4H9zm-6 8h3v7h3v-7h3V9H3v3z"}}]})(props);
};
function MdFormatStrikethrough (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 19h4v-3h-4v3zM5 4v3h5v3h4V7h5V4H5zM3 14h18v-2H3v2z"}}]})(props);
};
function MdFormatTextdirectionLToR (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 10v5h2V4h2v11h2V4h2V2H9C6.79 2 5 3.79 5 6s1.79 4 4 4zm12 8l-4-4v3H5v2h12v3l4-4z"}}]})(props);
};
function MdFormatTextdirectionRToL (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 10v5h2V4h2v11h2V4h2V2h-8C7.79 2 6 3.79 6 6s1.79 4 4 4zm-2 7v-3l-4 4 4 4v-3h12v-2H8z"}}]})(props);
};
function MdFormatUnderlined (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 17c3.31 0 6-2.69 6-6V3h-2.5v8c0 1.93-1.57 3.5-3.5 3.5S8.5 12.93 8.5 11V3H6v8c0 3.31 2.69 6 6 6zm-7 2v2h14v-2H5z"}}]})(props);
};
function MdFunctions (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 4H6v2l6.5 6L6 18v2h12v-3h-7l5-5-5-5h7z"}}]})(props);
};
function MdHighlight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 14l3 3v5h6v-5l3-3V9H6zm5-12h2v3h-2zM3.5 5.875L4.914 4.46l2.12 2.122L5.62 7.997zm13.46.71l2.123-2.12 1.414 1.414L18.375 8z"}}]})(props);
};
function MdInsertChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM9 17H7v-7h2v7zm4 0h-2V7h2v10zm4 0h-2v-4h2v4z"}}]})(props);
};
function MdInsertComment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h14l4 4V4c0-1.1-.9-2-2-2zm-2 12H6v-2h12v2zm0-3H6V9h12v2zm0-3H6V6h12v2z"}}]})(props);
};
function MdInsertDriveFile (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 2c-1.1 0-1.99.9-1.99 2L4 20c0 1.1.89 2 1.99 2H18c1.1 0 2-.9 2-2V8l-6-6H6zm7 7V3.5L18.5 9H13z"}}]})(props);
};
function MdInsertEmoticon (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm3.5-9c.83 0 1.5-.67 1.5-1.5S16.33 8 15.5 8 14 8.67 14 9.5s.67 1.5 1.5 1.5zm-7 0c.83 0 1.5-.67 1.5-1.5S9.33 8 8.5 8 7 8.67 7 9.5 7.67 11 8.5 11zm3.5 6.5c2.33 0 4.31-1.46 5.11-3.5H6.89c.8 2.04 2.78 3.5 5.11 3.5z"}}]})(props);
};
function MdInsertInvitation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 12h-5v5h5v-5zM16 1v2H8V1H6v2H5c-1.11 0-1.99.9-1.99 2L3 19c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2h-1V1h-2zm3 18H5V8h14v11z"}}]})(props);
};
function MdInsertLink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3.9 12c0-1.71 1.39-3.1 3.1-3.1h4V7H7c-2.76 0-5 2.24-5 5s2.24 5 5 5h4v-1.9H7c-1.71 0-3.1-1.39-3.1-3.1zM8 13h8v-2H8v2zm9-6h-4v1.9h4c1.71 0 3.1 1.39 3.1 3.1s-1.39 3.1-3.1 3.1h-4V17h4c2.76 0 5-2.24 5-5s-2.24-5-5-5z"}}]})(props);
};
function MdInsertPhoto (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 19V5c0-1.1-.9-2-2-2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2zM8.5 13.5l2.5 3.01L14.5 12l4.5 6H5l3.5-4.5z"}}]})(props);
};
function MdLinearScale (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.5 9.5c-1.03 0-1.9.62-2.29 1.5h-2.92c-.39-.88-1.26-1.5-2.29-1.5s-1.9.62-2.29 1.5H6.79c-.39-.88-1.26-1.5-2.29-1.5C3.12 9.5 2 10.62 2 12s1.12 2.5 2.5 2.5c1.03 0 1.9-.62 2.29-1.5h2.92c.39.88 1.26 1.5 2.29 1.5s1.9-.62 2.29-1.5h2.92c.39.88 1.26 1.5 2.29 1.5 1.38 0 2.5-1.12 2.5-2.5s-1.12-2.5-2.5-2.5z"}}]})(props);
};
function MdMergeType (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 20.41L18.41 19 15 15.59 13.59 17 17 20.41zM7.5 8H11v5.59L5.59 19 7 20.41l6-6V8h3.5L12 3.5 7.5 8z"}}]})(props);
};
function MdModeComment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.99 4c0-1.1-.89-2-1.99-2H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h14l4 4-.01-18z"}}]})(props);
};
function MdModeEdit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 17.25V21h3.75L17.81 9.94l-3.75-3.75L3 17.25zM20.71 7.04c.39-.39.39-1.02 0-1.41l-2.34-2.34c-.39-.39-1.02-.39-1.41 0l-1.83 1.83 3.75 3.75 1.83-1.83z"}}]})(props);
};
function MdMonetizationOn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm1.41 16.09V20h-2.67v-1.93c-1.71-.36-3.16-1.46-3.27-3.4h1.96c.1 1.05.82 1.87 2.65 1.87 1.96 0 2.4-.98 2.4-1.59 0-.83-.44-1.61-2.67-2.14-2.48-.6-4.18-1.62-4.18-3.67 0-1.72 1.39-2.84 3.11-3.21V4h2.67v1.95c1.86.45 2.79 1.86 2.85 3.39H14.3c-.05-1.11-.64-1.87-2.22-1.87-1.5 0-2.4.68-2.4 1.64 0 .84.65 1.39 2.67 1.91s4.18 1.39 4.18 3.91c-.01 1.83-1.38 2.83-3.12 3.16z"}}]})(props);
};
function MdMoneyOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.5 6.9c1.78 0 2.44.85 2.5 2.1h2.21c-.07-1.72-1.12-3.3-3.21-3.81V3h-3v2.16c-.53.12-1.03.3-1.48.54l1.47 1.47c.41-.17.91-.27 1.51-.27zM5.33 4.06L4.06 5.33 7.5 8.77c0 2.08 1.56 3.21 3.91 3.91l3.51 3.51c-.34.48-1.05.91-2.42.91-2.06 0-2.87-.92-2.98-2.1h-2.2c.12 2.19 1.76 3.42 3.68 3.83V21h3v-2.15c.96-.18 1.82-.55 2.45-1.12l2.22 2.22 1.27-1.27L5.33 4.06z"}}]})(props);
};
function MdMultilineChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 6.92l-1.41-1.41-2.85 3.21C15.68 6.4 12.83 5 9.61 5 6.72 5 4.07 6.16 2 8l1.42 1.42C5.12 7.93 7.27 7 9.61 7c2.74 0 5.09 1.26 6.77 3.24l-2.88 3.24-4-4L2 16.99l1.5 1.5 6-6.01 4 4 4.05-4.55c.75 1.35 1.25 2.9 1.44 4.55H21c-.22-2.3-.95-4.39-2.04-6.14L22 6.92z"}}]})(props);
};
function MdPieChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 2v20c-5.07-.5-9-4.79-9-10s3.93-9.5 9-10zm2.03 0v8.99H22c-.47-4.74-4.24-8.52-8.97-8.99zm0 11.01V22c4.74-.47 8.5-4.25 8.97-8.99h-8.97z"}}]})(props);
};
function MdPieChartOutlined (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.5 2 2 6.5 2 12s4.5 10 10 10 10-4.5 10-10S17.5 2 12 2zm1 2.07c3.61.45 6.48 3.33 6.93 6.93H13V4.07zM4 12c0-4.06 3.07-7.44 7-7.93v15.87c-3.93-.5-7-3.88-7-7.94zm9 7.93V13h6.93c-.45 3.61-3.32 6.48-6.93 6.93z"}}]})(props);
};
function MdPublish (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 4v2h14V4H5zm0 10h4v6h6v-6h4l-7-7-7 7z"}}]})(props);
};
function MdShortText (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 9h16v2H4zm0 4h10v2H4z"}}]})(props);
};
function MdShowChart (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3.5 18.49l6-6.01 4 4L22 6.92l-1.41-1.41-7.09 7.97-4-4L2 16.99z"}}]})(props);
};
function MdSpaceBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 9v4H6V9H4v6h16V9z"}}]})(props);
};
function MdStrikethroughS (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.24 8.75c-.26-.48-.39-1.03-.39-1.67 0-.61.13-1.16.4-1.67.26-.5.63-.93 1.11-1.29.48-.35 1.05-.63 1.7-.83.66-.19 1.39-.29 2.18-.29.81 0 1.54.11 2.21.34.66.22 1.23.54 1.69.94.47.4.83.88 1.08 1.43.25.55.38 1.15.38 1.81h-3.01c0-.31-.05-.59-.15-.85-.09-.27-.24-.49-.44-.68-.2-.19-.45-.33-.75-.44-.3-.1-.66-.16-1.06-.16-.39 0-.74.04-1.03.13-.29.09-.53.21-.72.36-.19.16-.34.34-.44.55-.1.21-.15.43-.15.66 0 .48.25.88.74 1.21.38.25.77.48 1.41.7H7.39c-.05-.08-.11-.17-.15-.25zM21 12v-2H3v2h9.62c.18.07.4.14.55.2.37.17.66.34.87.51.21.17.35.36.43.57.07.2.11.43.11.69 0 .23-.05.45-.14.66-.09.2-.23.38-.42.53-.19.15-.42.26-.71.35-.29.08-.63.13-1.01.13-.43 0-.83-.04-1.18-.13s-.66-.23-.91-.42c-.25-.19-.45-.44-.59-.75-.14-.31-.25-.76-.25-1.21H6.4c0 .55.08 1.13.24 1.58.16.45.37.85.65 1.21.28.35.6.66.98.92.37.26.78.48 1.22.65.44.17.9.3 1.38.39.48.08.96.13 1.44.13.8 0 1.53-.09 2.18-.28s1.21-.45 1.67-.79c.46-.34.82-.77 1.07-1.27s.38-1.07.38-1.71c0-.6-.1-1.14-.31-1.61-.05-.11-.11-.23-.17-.33H21z"}}]})(props);
};
function MdTextFields (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2.5 4v3h5v12h3V7h5V4h-13zm19 5h-9v3h3v7h3v-7h3V9z"}}]})(props);
};
function MdTitle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 4v3h5.5v12h3V7H19V4z"}}]})(props);
};
function MdVerticalAlignBottom (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16 13h-3V3h-2v10H8l4 4 4-4zM4 19v2h16v-2H4z"}}]})(props);
};
function MdVerticalAlignCenter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 19h3v4h2v-4h3l-4-4-4 4zm8-14h-3V1h-2v4H8l4 4 4-4zM4 11v2h16v-2H4z"}}]})(props);
};
function MdVerticalAlignTop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 11h3v10h2V11h3l-4-4-4 4zM4 3v2h16V3H4z"}}]})(props);
};
function MdWrapText (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 19h6v-2H4v2zM20 5H4v2h16V5zm-3 6H4v2h13.25c1.1 0 2 .9 2 2s-.9 2-2 2H15v-2l-3 3 3 3v-2h2c2.21 0 4-1.79 4-4s-1.79-4-4-4z"}}]})(props);
};
function MdAttachment (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 12.5C2 9.46 4.46 7 7.5 7H18c2.21 0 4 1.79 4 4s-1.79 4-4 4H9.5C8.12 15 7 13.88 7 12.5S8.12 10 9.5 10H17v2H9.41c-.55 0-.55 1 0 1H18c1.1 0 2-.9 2-2s-.9-2-2-2H7.5C5.57 9 4 10.57 4 12.5S5.57 16 7.5 16H17v2H7.5C4.46 18 2 15.54 2 12.5z"}}]})(props);
};
function MdCloud (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.35 10.04C18.67 6.59 15.64 4 12 4 9.11 4 6.6 5.64 5.35 8.04 2.34 8.36 0 10.91 0 14c0 3.31 2.69 6 6 6h13c2.76 0 5-2.24 5-5 0-2.64-2.05-4.78-4.65-4.96z"}}]})(props);
};
function MdCloudCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm4.5 14H8c-1.66 0-3-1.34-3-3s1.34-3 3-3l.14.01C8.58 8.28 10.13 7 12 7c2.21 0 4 1.79 4 4h.5c1.38 0 2.5 1.12 2.5 2.5S17.88 16 16.5 16z"}}]})(props);
};
function MdCloudDone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.35 10.04C18.67 6.59 15.64 4 12 4 9.11 4 6.6 5.64 5.35 8.04 2.34 8.36 0 10.91 0 14c0 3.31 2.69 6 6 6h13c2.76 0 5-2.24 5-5 0-2.64-2.05-4.78-4.65-4.96zM10 17l-3.5-3.5 1.41-1.41L10 14.17 15.18 9l1.41 1.41L10 17z"}}]})(props);
};
function MdCloudDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.35 10.04C18.67 6.59 15.64 4 12 4 9.11 4 6.6 5.64 5.35 8.04 2.34 8.36 0 10.91 0 14c0 3.31 2.69 6 6 6h13c2.76 0 5-2.24 5-5 0-2.64-2.05-4.78-4.65-4.96zM17 13l-5 5-5-5h3V9h4v4h3z"}}]})(props);
};
function MdCloudOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.35 10.04C18.67 6.59 15.64 4 12 4c-1.48 0-2.85.43-4.01 1.17l1.46 1.46C10.21 6.23 11.08 6 12 6c3.04 0 5.5 2.46 5.5 5.5v.5H19c1.66 0 3 1.34 3 3 0 1.13-.64 2.11-1.56 2.62l1.45 1.45C23.16 18.16 24 16.68 24 15c0-2.64-2.05-4.78-4.65-4.96zM3 5.27l2.75 2.74C2.56 8.15 0 10.77 0 14c0 3.31 2.69 6 6 6h11.73l2 2L21 20.73 4.27 4 3 5.27zM7.73 10l8 8H6c-2.21 0-4-1.79-4-4s1.79-4 4-4h1.73z"}}]})(props);
};
function MdCloudQueue (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.35 10.04C18.67 6.59 15.64 4 12 4 9.11 4 6.6 5.64 5.35 8.04 2.34 8.36 0 10.91 0 14c0 3.31 2.69 6 6 6h13c2.76 0 5-2.24 5-5 0-2.64-2.05-4.78-4.65-4.96zM19 18H6c-2.21 0-4-1.79-4-4s1.79-4 4-4h.71C7.37 7.69 9.48 6 12 6c3.04 0 5.5 2.46 5.5 5.5v.5H19c1.66 0 3 1.34 3 3s-1.34 3-3 3z"}}]})(props);
};
function MdCloudUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.35 10.04C18.67 6.59 15.64 4 12 4 9.11 4 6.6 5.64 5.35 8.04 2.34 8.36 0 10.91 0 14c0 3.31 2.69 6 6 6h13c2.76 0 5-2.24 5-5 0-2.64-2.05-4.78-4.65-4.96zM14 13v4h-4v-4H7l5-5 5 5h-3z"}}]})(props);
};
function MdCreateNewFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 6h-8l-2-2H4c-1.11 0-1.99.89-1.99 2L2 18c0 1.11.89 2 2 2h16c1.11 0 2-.89 2-2V8c0-1.11-.89-2-2-2zm-1 8h-3v3h-2v-3h-3v-2h3V9h2v3h3v2z"}}]})(props);
};
function MdFileDownload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 9h-4V3H9v6H5l7 7 7-7zM5 18v2h14v-2H5z"}}]})(props);
};
function MdFileUpload (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 16h6v-6h4l-7-7-7 7h4zm-4 2h14v2H5z"}}]})(props);
};
function MdFolder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V8c0-1.1-.9-2-2-2h-8l-2-2z"}}]})(props);
};
function MdFolderOpen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 6h-8l-2-2H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V8c0-1.1-.9-2-2-2zm0 12H4V8h16v10z"}}]})(props);
};
function MdFolderShared (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 6h-8l-2-2H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V8c0-1.1-.9-2-2-2zm-5 3c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2 .9-2 2-2zm4 8h-8v-1c0-1.33 2.67-2 4-2s4 .67 4 2v1z"}}]})(props);
};
function MdCast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.1 0-2 .9-2 2v3h2V5h18v14h-7v2h7c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM1 18v3h3c0-1.66-1.34-3-3-3zm0-4v2c2.76 0 5 2.24 5 5h2c0-3.87-3.13-7-7-7zm0-4v2c4.97 0 9 4.03 9 9h2c0-6.08-4.93-11-11-11z"}}]})(props);
};
function MdCastConnected (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M1 18v3h3c0-1.66-1.34-3-3-3zm0-4v2c2.76 0 5 2.24 5 5h2c0-3.87-3.13-7-7-7zm18-7H5v1.63c3.96 1.28 7.09 4.41 8.37 8.37H19V7zM1 10v2c4.97 0 9 4.03 9 9h2c0-6.08-4.93-11-11-11zm20-7H3c-1.1 0-2 .9-2 2v3h2V5h18v14h-7v2h7c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdComputer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 18c1.1 0 1.99-.9 1.99-2L22 6c0-1.1-.9-2-2-2H4c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2H0v2h24v-2h-4zM4 6h16v10H4V6z"}}]})(props);
};
function MdDesktopMac (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 2H3c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h7l-2 3v1h8v-1l-2-3h7c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm0 12H3V4h18v10z"}}]})(props);
};
function MdDesktopWindows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 2H3c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h7v2H8v2h8v-2h-2v-2h7c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm0 14H3V4h18v12z"}}]})(props);
};
function MdDeveloperBoard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 9V7h-2V5c0-1.1-.9-2-2-2H4c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2v-2h2v-2h-2v-2h2v-2h-2V9h2zm-4 10H4V5h14v14zM6 13h5v4H6zm6-6h4v3h-4zM6 7h5v5H6zm6 4h4v6h-4z"}}]})(props);
};
function MdDeviceHub (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 16l-4-4V8.82C14.16 8.4 15 7.3 15 6c0-1.66-1.34-3-3-3S9 4.34 9 6c0 1.3.84 2.4 2 2.82V12l-4 4H3v5h5v-3.05l4-4.2 4 4.2V21h5v-5h-4z"}}]})(props);
};
function MdDevicesOther (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 6h18V4H3c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h4v-2H3V6zm10 6H9v1.78c-.61.55-1 1.33-1 2.22s.39 1.67 1 2.22V20h4v-1.78c.61-.55 1-1.34 1-2.22s-.39-1.67-1-2.22V12zm-2 5.5c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zM22 8h-6c-.5 0-1 .5-1 1v10c0 .5.5 1 1 1h6c.5 0 1-.5 1-1V9c0-.5-.5-1-1-1zm-1 10h-4v-8h4v8z"}}]})(props);
};
function MdDock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 23h8v-2H8v2zm8-21.99L8 1c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V3c0-1.1-.9-1.99-2-1.99zM16 15H8V5h8v10z"}}]})(props);
};
function MdGamepad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 7.5V2H9v5.5l3 3 3-3zM7.5 9H2v6h5.5l3-3-3-3zM9 16.5V22h6v-5.5l-3-3-3 3zM16.5 9l-3 3 3 3H22V9h-5.5z"}}]})(props);
};
function MdHeadset (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 1c-4.97 0-9 4.03-9 9v7c0 1.66 1.34 3 3 3h3v-8H5v-2c0-3.87 3.13-7 7-7s7 3.13 7 7v2h-4v8h3c1.66 0 3-1.34 3-3v-7c0-4.97-4.03-9-9-9z"}}]})(props);
};
function MdHeadsetMic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 1c-4.97 0-9 4.03-9 9v7c0 1.66 1.34 3 3 3h3v-8H5v-2c0-3.87 3.13-7 7-7s7 3.13 7 7v2h-4v8h4v1h-7v2h6c1.66 0 3-1.34 3-3V10c0-4.97-4.03-9-9-9z"}}]})(props);
};
function MdKeyboard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 5H4c-1.1 0-1.99.9-1.99 2L2 17c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V7c0-1.1-.9-2-2-2zm-9 3h2v2h-2V8zm0 3h2v2h-2v-2zM8 8h2v2H8V8zm0 3h2v2H8v-2zm-1 2H5v-2h2v2zm0-3H5V8h2v2zm9 7H8v-2h8v2zm0-4h-2v-2h2v2zm0-3h-2V8h2v2zm3 3h-2v-2h2v2zm0-3h-2V8h2v2z"}}]})(props);
};
function MdKeyboardArrowDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.41 7.84L12 12.42l4.59-4.58L18 9.25l-6 6-6-6z"}}]})(props);
};
function MdKeyboardArrowLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.41 16.09l-4.58-4.59 4.58-4.59L14 5.5l-6 6 6 6z"}}]})(props);
};
function MdKeyboardArrowRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8.59 16.34l4.58-4.59-4.58-4.59L10 5.75l6 6-6 6z"}}]})(props);
};
function MdKeyboardArrowUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.41 15.41L12 10.83l4.59 4.58L18 14l-6-6-6 6z"}}]})(props);
};
function MdKeyboardBackspace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 11H6.83l3.58-3.59L9 6l-6 6 6 6 1.41-1.41L6.83 13H21z"}}]})(props);
};
function MdKeyboardCapslock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 8.41L16.59 13 18 11.59l-6-6-6 6L7.41 13 12 8.41zM6 18h12v-2H6v2z"}}]})(props);
};
function MdKeyboardHide (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 3H4c-1.1 0-1.99.9-1.99 2L2 15c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-9 3h2v2h-2V6zm0 3h2v2h-2V9zM8 6h2v2H8V6zm0 3h2v2H8V9zm-1 2H5V9h2v2zm0-3H5V6h2v2zm9 7H8v-2h8v2zm0-4h-2V9h2v2zm0-3h-2V6h2v2zm3 3h-2V9h2v2zm0-3h-2V6h2v2zm-7 15l4-4H8l4 4z"}}]})(props);
};
function MdKeyboardReturn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 7v4H5.83l3.58-3.59L8 6l-6 6 6 6 1.41-1.41L5.83 13H21V7z"}}]})(props);
};
function MdKeyboardTab (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.59 7.41L15.17 11H1v2h14.17l-3.59 3.59L13 18l6-6-6-6-1.41 1.41zM20 6v12h2V6h-2z"}}]})(props);
};
function MdKeyboardVoice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 15c1.66 0 2.99-1.34 2.99-3L15 6c0-1.66-1.34-3-3-3S9 4.34 9 6v6c0 1.66 1.34 3 3 3zm5.3-3c0 3-2.54 5.1-5.3 5.1S6.7 15 6.7 12H5c0 3.42 2.72 6.23 6 6.72V22h2v-3.28c3.28-.48 6-3.3 6-6.72h-1.7z"}}]})(props);
};
function MdLaptop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 18c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2H4c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2H0v2h24v-2h-4zM4 6h16v10H4V6z"}}]})(props);
};
function MdLaptopChromebook (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 18V3H2v15H0v2h24v-2h-2zm-8 0h-4v-1h4v1zm6-3H4V5h16v10z"}}]})(props);
};
function MdLaptopMac (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 18c1.1 0 1.99-.9 1.99-2L22 5c0-1.1-.9-2-2-2H4c-1.1 0-2 .9-2 2v11c0 1.1.9 2 2 2H0c0 1.1.9 2 2 2h20c1.1 0 2-.9 2-2h-4zM4 5h16v11H4V5zm8 14c-.55 0-1-.45-1-1s.45-1 1-1 1 .45 1 1-.45 1-1 1z"}}]})(props);
};
function MdLaptopWindows (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 18v-1c1.1 0 1.99-.9 1.99-2L22 5c0-1.1-.9-2-2-2H4c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2v1H0v2h24v-2h-4zM4 5h16v10H4V5z"}}]})(props);
};
function MdMemory (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 9H9v6h6V9zm-2 4h-2v-2h2v2zm8-2V9h-2V7c0-1.1-.9-2-2-2h-2V3h-2v2h-2V3H9v2H7c-1.1 0-2 .9-2 2v2H3v2h2v2H3v2h2v2c0 1.1.9 2 2 2h2v2h2v-2h2v2h2v-2h2c1.1 0 2-.9 2-2v-2h2v-2h-2v-2h2zm-4 6H7V7h10v10z"}}]})(props);
};
function MdMouse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 1.07V9h7c0-4.08-3.05-7.44-7-7.93zM4 15c0 4.42 3.58 8 8 8s8-3.58 8-8v-4H4v4zm7-13.93C7.05 1.56 4 4.92 4 9h7V1.07z"}}]})(props);
};
function MdPhoneAndroid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16 1H8C6.34 1 5 2.34 5 4v16c0 1.66 1.34 3 3 3h8c1.66 0 3-1.34 3-3V4c0-1.66-1.34-3-3-3zm-2 20h-4v-1h4v1zm3.25-3H6.75V4h10.5v14z"}}]})(props);
};
function MdPhoneIphone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.5 1h-8C6.12 1 5 2.12 5 3.5v17C5 21.88 6.12 23 7.5 23h8c1.38 0 2.5-1.12 2.5-2.5v-17C18 2.12 16.88 1 15.5 1zm-4 21c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zm4.5-4H7V4h9v14z"}}]})(props);
};
function MdPhonelink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 6h18V4H4c-1.1 0-2 .9-2 2v11H0v3h14v-3H4V6zm19 2h-6c-.55 0-1 .45-1 1v10c0 .55.45 1 1 1h6c.55 0 1-.45 1-1V9c0-.55-.45-1-1-1zm-1 9h-4v-7h4v7z"}}]})(props);
};
function MdPhonelinkOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 6V4H6.82l2 2H22zM1.92 1.65L.65 2.92l1.82 1.82C2.18 5.08 2 5.52 2 6v11H0v3h17.73l2.35 2.35 1.27-1.27L3.89 3.62 1.92 1.65zM4 6.27L14.73 17H4V6.27zM23 8h-6c-.55 0-1 .45-1 1v4.18l2 2V10h4v7h-2.18l3 3H23c.55 0 1-.45 1-1V9c0-.55-.45-1-1-1z"}}]})(props);
};
function MdPowerInput (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 9v2h19V9H2zm0 6h5v-2H2v2zm7 0h5v-2H9v2zm7 0h5v-2h-5v2z"}}]})(props);
};
function MdRouter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.2 5.9l.8-.8C19.6 3.7 17.8 3 16 3s-3.6.7-5 2.1l.8.8C13 4.8 14.5 4.2 16 4.2s3 .6 4.2 1.7zm-.9.8c-.9-.9-2.1-1.4-3.3-1.4s-2.4.5-3.3 1.4l.8.8c.7-.7 1.6-1 2.5-1 .9 0 1.8.3 2.5 1l.8-.8zM19 13h-2V9h-2v4H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2v-4c0-1.1-.9-2-2-2zM8 18H6v-2h2v2zm3.5 0h-2v-2h2v2zm3.5 0h-2v-2h2v2z"}}]})(props);
};
function MdScanner (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.8 10.7L4.2 5l-.7 1.9L17.6 12H5c-1.1 0-2 .9-2 2v4c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2v-5.5c0-.8-.5-1.6-1.2-1.8zM7 17H5v-2h2v2zm12 0H9v-2h10v2z"}}]})(props);
};
function MdSecurity (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 1L3 5v6c0 5.55 3.84 10.74 9 12 5.16-1.26 9-6.45 9-12V5l-9-4zm0 10.99h7c-.53 4.12-3.28 7.79-7 8.94V12H5V6.3l7-3.11v8.8z"}}]})(props);
};
function MdSimCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.99 4c0-1.1-.89-2-1.99-2h-8L4 8v12c0 1.1.9 2 2 2h12.01c1.1 0 1.99-.9 1.99-2l-.01-16zM9 19H7v-2h2v2zm8 0h-2v-2h2v2zm-8-4H7v-4h2v4zm4 4h-2v-4h2v4zm0-6h-2v-2h2v2zm4 2h-2v-4h2v4z"}}]})(props);
};
function MdSmartphone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 1.01L7 1c-1.1 0-2 .9-2 2v18c0 1.1.9 2 2 2h10c1.1 0 2-.9 2-2V3c0-1.1-.9-1.99-2-1.99zM17 19H7V5h10v14z"}}]})(props);
};
function MdSpeaker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 2H7c-1.1 0-2 .9-2 2v16c0 1.1.9 1.99 2 1.99L17 22c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-5 2c1.1 0 2 .9 2 2s-.9 2-2 2c-1.11 0-2-.9-2-2s.89-2 2-2zm0 16c-2.76 0-5-2.24-5-5s2.24-5 5-5 5 2.24 5 5-2.24 5-5 5zm0-8c-1.66 0-3 1.34-3 3s1.34 3 3 3 3-1.34 3-3-1.34-3-3-3z"}}]})(props);
};
function MdSpeakerGroup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.2 1H9.8C8.81 1 8 1.81 8 2.8v14.4c0 .99.81 1.79 1.8 1.79l8.4.01c.99 0 1.8-.81 1.8-1.8V2.8c0-.99-.81-1.8-1.8-1.8zM14 3c1.1 0 2 .89 2 2s-.9 2-2 2-2-.89-2-2 .9-2 2-2zm0 13.5c-2.21 0-4-1.79-4-4s1.79-4 4-4 4 1.79 4 4-1.79 4-4 4z"}},{"tag":"circle","attr":{"cx":"14","cy":"12.5","r":"2.5"}},{"tag":"path","attr":{"d":"M6 5H4v16c0 1.1.89 2 2 2h10v-2H6V5z"}}]})(props);
};
function MdTablet (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 4H3c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h18c1.1 0 1.99-.9 1.99-2L23 6c0-1.1-.9-2-2-2zm-2 14H5V6h14v12z"}}]})(props);
};
function MdTabletAndroid (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 0H6C4.34 0 3 1.34 3 3v18c0 1.66 1.34 3 3 3h12c1.66 0 3-1.34 3-3V3c0-1.66-1.34-3-3-3zm-4 22h-4v-1h4v1zm5.25-3H4.75V3h14.5v16z"}}]})(props);
};
function MdTabletMac (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.5 0h-14C3.12 0 2 1.12 2 2.5v19C2 22.88 3.12 24 4.5 24h14c1.38 0 2.5-1.12 2.5-2.5v-19C21 1.12 19.88 0 18.5 0zm-7 23c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zm7.5-4H4V3h15v16z"}}]})(props);
};
function MdToys (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 12c0-3 2.5-5.5 5.5-5.5S23 9 23 12H12zm0 0c0 3-2.5 5.5-5.5 5.5S1 15 1 12h11zm0 0c-3 0-5.5-2.5-5.5-5.5S9 1 12 1v11zm0 0c3 0 5.5 2.5 5.5 5.5S15 23 12 23V12z"}}]})(props);
};
function MdTv (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h5v2h8v-2h5c1.1 0 1.99-.9 1.99-2L23 5c0-1.1-.9-2-2-2zm0 14H3V5h18v12z"}}]})(props);
};
function MdVideogameAsset (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 6H3c-1.1 0-2 .9-2 2v8c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V8c0-1.1-.9-2-2-2zm-10 7H8v3H6v-3H3v-2h3V8h2v3h3v2zm4.5 2c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zm4-3c-.83 0-1.5-.67-1.5-1.5S18.67 9 19.5 9s1.5.67 1.5 1.5-.67 1.5-1.5 1.5z"}}]})(props);
};
function MdWatch (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 12c0-2.54-1.19-4.81-3.04-6.27L16 0H8l-.95 5.73C5.19 7.19 4 9.45 4 12s1.19 4.81 3.05 6.27L8 24h8l.96-5.73C18.81 16.81 20 14.54 20 12zM6 12c0-3.31 2.69-6 6-6s6 2.69 6 6-2.69 6-6 6-6-2.69-6-6z"}}]})(props);
};
function MdAddAPhoto (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 4V1h2v3h3v2H5v3H3V6H0V4h3zm3 6V7h3V4h7l1.83 2H21c1.1 0 2 .9 2 2v12c0 1.1-.9 2-2 2H5c-1.1 0-2-.9-2-2V10h3zm7 9c2.76 0 5-2.24 5-5s-2.24-5-5-5-5 2.24-5 5 2.24 5 5 5zm-3.2-5c0 1.77 1.43 3.2 3.2 3.2s3.2-1.43 3.2-3.2-1.43-3.2-3.2-3.2-3.2 1.43-3.2 3.2z"}}]})(props);
};
function MdAddToPhotos (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 6H2v14c0 1.1.9 2 2 2h14v-2H4V6zm16-4H8c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-1 9h-4v4h-2v-4H9V9h4V5h2v4h4v2z"}}]})(props);
};
function MdAdjust (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.49 2 2 6.49 2 12s4.49 10 10 10 10-4.49 10-10S17.51 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8zm3-8c0 1.66-1.34 3-3 3s-3-1.34-3-3 1.34-3 3-3 3 1.34 3 3z"}}]})(props);
};
function MdAssistant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h4l3 3 3-3h4c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-5.12 10.88L12 17l-1.88-4.12L6 11l4.12-1.88L12 5l1.88 4.12L18 11l-4.12 1.88z"}}]})(props);
};
function MdAssistantPhoto (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14.4 6L14 4H5v17h2v-7h5.6l.4 2h7V6z"}}]})(props);
};
function MdAudiotrack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 3v9.28c-.47-.17-.97-.28-1.5-.28C8.01 12 6 14.01 6 16.5S8.01 21 10.5 21c2.31 0 4.2-1.75 4.45-4H15V6h4V3h-7z"}}]})(props);
};
function MdBlurCircular (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 9c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zm0 4c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zM7 9.5c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5zm3 7c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5zm-3-3c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5zm3-6c.28 0 .5-.22.5-.5s-.22-.5-.5-.5-.5.22-.5.5.22.5.5.5zM14 9c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zm0-1.5c.28 0 .5-.22.5-.5s-.22-.5-.5-.5-.5.22-.5.5.22.5.5.5zm3 6c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5zm0-4c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5zM12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm2-3.5c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5zm0-3.5c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1z"}}]})(props);
};
function MdBlurLinear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 17.5c.83 0 1.5-.67 1.5-1.5s-.67-1.5-1.5-1.5-1.5.67-1.5 1.5.67 1.5 1.5 1.5zM9 13c.55 0 1-.45 1-1s-.45-1-1-1-1 .45-1 1 .45 1 1 1zm0-4c.55 0 1-.45 1-1s-.45-1-1-1-1 .45-1 1 .45 1 1 1zM3 21h18v-2H3v2zM5 9.5c.83 0 1.5-.67 1.5-1.5S5.83 6.5 5 6.5 3.5 7.17 3.5 8 4.17 9.5 5 9.5zm0 4c.83 0 1.5-.67 1.5-1.5s-.67-1.5-1.5-1.5-1.5.67-1.5 1.5.67 1.5 1.5 1.5zM9 17c.55 0 1-.45 1-1s-.45-1-1-1-1 .45-1 1 .45 1 1 1zm8-.5c.28 0 .5-.22.5-.5s-.22-.5-.5-.5-.5.22-.5.5.22.5.5.5zM3 3v2h18V3H3zm14 5.5c.28 0 .5-.22.5-.5s-.22-.5-.5-.5-.5.22-.5.5.22.5.5.5zm0 4c.28 0 .5-.22.5-.5s-.22-.5-.5-.5-.5.22-.5.5.22.5.5.5zM13 9c.55 0 1-.45 1-1s-.45-1-1-1-1 .45-1 1 .45 1 1 1zm0 4c.55 0 1-.45 1-1s-.45-1-1-1-1 .45-1 1 .45 1 1 1zm0 4c.55 0 1-.45 1-1s-.45-1-1-1-1 .45-1 1 .45 1 1 1z"}}]})(props);
};
function MdBlurOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 7c.55 0 1-.45 1-1s-.45-1-1-1-1 .45-1 1 .45 1 1 1zm-.2 4.48l.2.02c.83 0 1.5-.67 1.5-1.5s-.67-1.5-1.5-1.5-1.5.67-1.5 1.5l.02.2c.09.67.61 1.19 1.28 1.28zM14 3.5c.28 0 .5-.22.5-.5s-.22-.5-.5-.5-.5.22-.5.5.22.5.5.5zm-4 0c.28 0 .5-.22.5-.5s-.22-.5-.5-.5-.5.22-.5.5.22.5.5.5zm11 7c.28 0 .5-.22.5-.5s-.22-.5-.5-.5-.5.22-.5.5.22.5.5.5zM10 7c.55 0 1-.45 1-1s-.45-1-1-1-1 .45-1 1 .45 1 1 1zm8 8c.55 0 1-.45 1-1s-.45-1-1-1-1 .45-1 1 .45 1 1 1zm0-4c.55 0 1-.45 1-1s-.45-1-1-1-1 .45-1 1 .45 1 1 1zm0-4c.55 0 1-.45 1-1s-.45-1-1-1-1 .45-1 1 .45 1 1 1zm-4 13.5c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5zM2.5 5.27l3.78 3.78L6 9c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1c0-.1-.03-.19-.06-.28l2.81 2.81c-.71.11-1.25.73-1.25 1.47 0 .83.67 1.5 1.5 1.5.74 0 1.36-.54 1.47-1.25l2.81 2.81c-.09-.03-.18-.06-.28-.06-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1c0-.1-.03-.19-.06-.28l3.78 3.78L20 20.23 3.77 4 2.5 5.27zM10 17c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zm11-3.5c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5zM6 13c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zM3 9.5c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5zm7 11c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5zM6 17c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zm-3-3.5c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5z"}}]})(props);
};
function MdBlurOn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 13c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zm0 4c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zm0-8c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zm-3 .5c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5zM6 5c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zm15 5.5c.28 0 .5-.22.5-.5s-.22-.5-.5-.5-.5.22-.5.5.22.5.5.5zM14 7c.55 0 1-.45 1-1s-.45-1-1-1-1 .45-1 1 .45 1 1 1zm0-3.5c.28 0 .5-.22.5-.5s-.22-.5-.5-.5-.5.22-.5.5.22.5.5.5zm-11 10c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5zm7 7c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5zm0-17c.28 0 .5-.22.5-.5s-.22-.5-.5-.5-.5.22-.5.5.22.5.5.5zM10 7c.55 0 1-.45 1-1s-.45-1-1-1-1 .45-1 1 .45 1 1 1zm0 5.5c-.83 0-1.5.67-1.5 1.5s.67 1.5 1.5 1.5 1.5-.67 1.5-1.5-.67-1.5-1.5-1.5zm8 .5c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zm0 4c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zm0-8c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zm0-4c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zm3 8.5c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5zM14 17c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zm0 3.5c-.28 0-.5.22-.5.5s.22.5.5.5.5-.22.5-.5-.22-.5-.5-.5zm-4-12c-.83 0-1.5.67-1.5 1.5s.67 1.5 1.5 1.5 1.5-.67 1.5-1.5-.67-1.5-1.5-1.5zm0 8.5c-.55 0-1 .45-1 1s.45 1 1 1 1-.45 1-1-.45-1-1-1zm4-4.5c-.83 0-1.5.67-1.5 1.5s.67 1.5 1.5 1.5 1.5-.67 1.5-1.5-.67-1.5-1.5-1.5zm0-4c-.83 0-1.5.67-1.5 1.5s.67 1.5 1.5 1.5 1.5-.67 1.5-1.5-.67-1.5-1.5-1.5z"}}]})(props);
};
function MdBrightness1 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"12","r":"10"}}]})(props);
};
function MdBrightness2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 2c-1.82 0-3.53.5-5 1.35C7.99 5.08 10 8.3 10 12s-2.01 6.92-5 8.65C6.47 21.5 8.18 22 10 22c5.52 0 10-4.48 10-10S15.52 2 10 2z"}}]})(props);
};
function MdBrightness3 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 2c-1.05 0-2.05.16-3 .46 4.06 1.27 7 5.06 7 9.54 0 4.48-2.94 8.27-7 9.54.95.3 1.95.46 3 .46 5.52 0 10-4.48 10-10S14.52 2 9 2z"}}]})(props);
};
function MdBrightness4 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 8.69V4h-4.69L12 .69 8.69 4H4v4.69L.69 12 4 15.31V20h4.69L12 23.31 15.31 20H20v-4.69L23.31 12 20 8.69zM12 18c-.89 0-1.74-.2-2.5-.55C11.56 16.5 13 14.42 13 12s-1.44-4.5-3.5-5.45C10.26 6.2 11.11 6 12 6c3.31 0 6 2.69 6 6s-2.69 6-6 6z"}}]})(props);
};
function MdBrightness5 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 15.31L23.31 12 20 8.69V4h-4.69L12 .69 8.69 4H4v4.69L.69 12 4 15.31V20h4.69L12 23.31 15.31 20H20v-4.69zM12 18c-3.31 0-6-2.69-6-6s2.69-6 6-6 6 2.69 6 6-2.69 6-6 6z"}}]})(props);
};
function MdBrightness6 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 15.31L23.31 12 20 8.69V4h-4.69L12 .69 8.69 4H4v4.69L.69 12 4 15.31V20h4.69L12 23.31 15.31 20H20v-4.69zM12 18V6c3.31 0 6 2.69 6 6s-2.69 6-6 6z"}}]})(props);
};
function MdBrightness7 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 8.69V4h-4.69L12 .69 8.69 4H4v4.69L.69 12 4 15.31V20h4.69L12 23.31 15.31 20H20v-4.69L23.31 12 20 8.69zM12 18c-3.31 0-6-2.69-6-6s2.69-6 6-6 6 2.69 6 6-2.69 6-6 6zm0-10c-2.21 0-4 1.79-4 4s1.79 4 4 4 4-1.79 4-4-1.79-4-4-4z"}}]})(props);
};
function MdBrokenImage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 5v6.59l-3-3.01-4 4.01-4-4-4 4-3-3.01V5c0-1.1.9-2 2-2h14c1.1 0 2 .9 2 2zm-3 6.42l3 3.01V19c0 1.1-.9 2-2 2H5c-1.1 0-2-.9-2-2v-6.58l3 2.99 4-4 4 4 4-3.99z"}}]})(props);
};
function MdBrush (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 14c-1.66 0-3 1.34-3 3 0 1.31-1.16 2-2 2 .92 1.22 2.49 2 4 2 2.21 0 4-1.79 4-4 0-1.66-1.34-3-3-3zm13.71-9.37l-1.34-1.34c-.39-.39-1.02-.39-1.41 0L9 12.25 11.75 15l8.96-8.96c.39-.39.39-1.02 0-1.41z"}}]})(props);
};
function MdBurstMode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M1 5h2v14H1zm4 0h2v14H5zm17 0H10c-.55 0-1 .45-1 1v12c0 .55.45 1 1 1h12c.55 0 1-.45 1-1V6c0-.55-.45-1-1-1zM11 17l2.5-3.15L15.29 16l2.5-3.22L21 17H11z"}}]})(props);
};
function MdCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9.4 10.5l4.77-8.26C13.47 2.09 12.75 2 12 2c-2.4 0-4.6.85-6.32 2.25l3.66 6.35.06-.1zM21.54 9c-.92-2.92-3.15-5.26-6-6.34L11.88 9h9.66zm.26 1h-7.49l.29.5 4.76 8.25C21 16.97 22 14.61 22 12c0-.69-.07-1.35-.2-2zM8.54 12l-3.9-6.75C3.01 7.03 2 9.39 2 12c0 .69.07 1.35.2 2h7.49l-1.15-2zm-6.08 3c.92 2.92 3.15 5.26 6 6.34L12.12 15H2.46zm11.27 0l-3.9 6.76c.7.15 1.42.24 2.17.24 2.4 0 4.6-.85 6.32-2.25l-3.66-6.35-.93 1.6z"}}]})(props);
};
function MdCameraAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"12","r":"3.2"}},{"tag":"path","attr":{"d":"M9 2L7.17 4H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2h-3.17L15 2H9zm3 15c-2.76 0-5-2.24-5-5s2.24-5 5-5 5 2.24 5 5-2.24 5-5 5z"}}]})(props);
};
function MdCameraFront (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 20H5v2h5v2l3-3-3-3v2zm4 0v2h5v-2h-5zM12 8c1.1 0 2-.9 2-2s-.9-2-2-2-1.99.9-1.99 2S10.9 8 12 8zm5-8H7C5.9 0 5 .9 5 2v14c0 1.1.9 2 2 2h10c1.1 0 2-.9 2-2V2c0-1.1-.9-2-2-2zM7 2h10v10.5c0-1.67-3.33-2.5-5-2.5s-5 .83-5 2.5V2z"}}]})(props);
};
function MdCameraRear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 20H5v2h5v2l3-3-3-3v2zm4 0v2h5v-2h-5zm3-20H7C5.9 0 5 .9 5 2v14c0 1.1.9 2 2 2h10c1.1 0 2-.9 2-2V2c0-1.1-.9-2-2-2zm-5 6c-1.11 0-2-.9-2-2s.89-2 1.99-2 2 .9 2 2C14 5.1 13.1 6 12 6z"}}]})(props);
};
function MdCameraRoll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 5c0-1.1-.9-2-2-2h-1V2c0-.55-.45-1-1-1H6c-.55 0-1 .45-1 1v1H4c-1.1 0-2 .9-2 2v15c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2h8V5h-8zm-2 13h-2v-2h2v2zm0-9h-2V7h2v2zm4 9h-2v-2h2v2zm0-9h-2V7h2v2zm4 9h-2v-2h2v2zm0-9h-2V7h2v2z"}}]})(props);
};
function MdCenterFocusStrong (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 8c-2.21 0-4 1.79-4 4s1.79 4 4 4 4-1.79 4-4-1.79-4-4-4zm-7 7H3v4c0 1.1.9 2 2 2h4v-2H5v-4zM5 5h4V3H5c-1.1 0-2 .9-2 2v4h2V5zm14-2h-4v2h4v4h2V5c0-1.1-.9-2-2-2zm0 16h-4v2h4c1.1 0 2-.9 2-2v-4h-2v4z"}}]})(props);
};
function MdCenterFocusWeak (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 15H3v4c0 1.1.9 2 2 2h4v-2H5v-4zM5 5h4V3H5c-1.1 0-2 .9-2 2v4h2V5zm14-2h-4v2h4v4h2V5c0-1.1-.9-2-2-2zm0 16h-4v2h4c1.1 0 2-.9 2-2v-4h-2v4zM12 8c-2.21 0-4 1.79-4 4s1.79 4 4 4 4-1.79 4-4-1.79-4-4-4zm0 6c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"}}]})(props);
};
function MdCollections (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 16V4c0-1.1-.9-2-2-2H8c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2zm-11-4l2.03 2.71L16 11l4 5H8l3-4zM2 6v14c0 1.1.9 2 2 2h14v-2H4V6H2z"}}]})(props);
};
function MdCollectionsBookmark (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 6H2v14c0 1.1.9 2 2 2h14v-2H4V6zm16-4H8c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm0 10l-2.5-1.5L15 12V4h5v8z"}}]})(props);
};
function MdColorLens (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 3c-4.97 0-9 4.03-9 9s4.03 9 9 9c.83 0 1.5-.67 1.5-1.5 0-.39-.15-.74-.39-1.01-.23-.26-.38-.61-.38-.99 0-.83.67-1.5 1.5-1.5H16c2.76 0 5-2.24 5-5 0-4.42-4.03-8-9-8zm-5.5 9c-.83 0-1.5-.67-1.5-1.5S5.67 9 6.5 9 8 9.67 8 10.5 7.33 12 6.5 12zm3-4C8.67 8 8 7.33 8 6.5S8.67 5 9.5 5s1.5.67 1.5 1.5S10.33 8 9.5 8zm5 0c-.83 0-1.5-.67-1.5-1.5S13.67 5 14.5 5s1.5.67 1.5 1.5S15.33 8 14.5 8zm3 4c-.83 0-1.5-.67-1.5-1.5S16.67 9 17.5 9s1.5.67 1.5 1.5-.67 1.5-1.5 1.5z"}}]})(props);
};
function MdColorize (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.71 5.63l-2.34-2.34c-.39-.39-1.02-.39-1.41 0l-3.12 3.12-1.93-1.91-1.41 1.41 1.42 1.42L3 16.25V21h4.75l8.92-8.92 1.42 1.42 1.41-1.41-1.92-1.92 3.12-3.12c.4-.4.4-1.03.01-1.42zM6.92 19L5 17.08l8.06-8.06 1.92 1.92L6.92 19z"}}]})(props);
};
function MdCompare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h5v2h2V1h-2v2zm0 15H5l5-6v6zm9-15h-5v2h5v13l-5-6v9h5c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdControlPoint (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 7h-2v4H7v2h4v4h2v-4h4v-2h-4V7zm-1-5C6.49 2 2 6.49 2 12s4.49 10 10 10 10-4.49 10-10S17.51 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8z"}}]})(props);
};
function MdControlPointDuplicate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16 8h-2v3h-3v2h3v3h2v-3h3v-2h-3zM2 12c0-2.79 1.64-5.2 4.01-6.32V3.52C2.52 4.76 0 8.09 0 12s2.52 7.24 6.01 8.48v-2.16C3.64 17.2 2 14.79 2 12zm13-9c-4.96 0-9 4.04-9 9s4.04 9 9 9 9-4.04 9-9-4.04-9-9-9zm0 16c-3.86 0-7-3.14-7-7s3.14-7 7-7 7 3.14 7 7-3.14 7-7 7z"}}]})(props);
};
function MdCrop169 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 6H5c-1.1 0-2 .9-2 2v8c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V8c0-1.1-.9-2-2-2zm0 10H5V8h14v8z"}}]})(props);
};
function MdCrop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 15h2V7c0-1.1-.9-2-2-2H9v2h8v8zM7 17V1H5v4H1v2h4v10c0 1.1.9 2 2 2h10v4h2v-4h4v-2H7z"}}]})(props);
};
function MdCrop32 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 4H5c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 14H5V6h14v12z"}}]})(props);
};
function MdCrop54 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 5H5c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V7c0-1.1-.9-2-2-2zm0 12H5V7h14v10z"}}]})(props);
};
function MdCrop75 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 7H5c-1.1 0-2 .9-2 2v6c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V9c0-1.1-.9-2-2-2zm0 8H5V9h14v6z"}}]})(props);
};
function MdCropDin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H5V5h14v14z"}}]})(props);
};
function MdCropFree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 5v4h2V5h4V3H5c-1.1 0-2 .9-2 2zm2 10H3v4c0 1.1.9 2 2 2h4v-2H5v-4zm14 4h-4v2h4c1.1 0 2-.9 2-2v-4h-2v4zm0-16h-4v2h4v4h2V5c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdCropLandscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 5H5c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V7c0-1.1-.9-2-2-2zm0 12H5V7h14v10z"}}]})(props);
};
function MdCropOriginal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H5V5h14v14zm-5.04-6.71l-2.75 3.54-1.96-2.36L6.5 17h11l-3.54-4.71z"}}]})(props);
};
function MdCropPortrait (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 3H7c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h10c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H7V5h10v14z"}}]})(props);
};
function MdCropRotate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.47 21.49C4.2 19.93 1.86 16.76 1.5 13H0c.51 6.16 5.66 11 11.95 11 .23 0 .44-.02.66-.03L8.8 20.15l-1.33 1.34zM12.05 0c-.23 0-.44.02-.66.04l3.81 3.81 1.33-1.33C19.8 4.07 22.14 7.24 22.5 11H24c-.51-6.16-5.66-11-11.95-11zM16 14h2V8c0-1.11-.9-2-2-2h-6v2h6v6zm-8 2V4H6v2H4v2h2v8c0 1.1.89 2 2 2h8v2h2v-2h2v-2H8z"}}]})(props);
};
function MdCropSquare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 4H6c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 14H6V6h12v12z"}}]})(props);
};
function MdDehaze (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 15.5v2h20v-2H2zm0-5v2h20v-2H2zm0-5v2h20v-2H2z"}}]})(props);
};
function MdDetails (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 4l9 16 9-16H3zm3.38 2h11.25L12 16 6.38 6z"}}]})(props);
};
function MdEdit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 17.25V21h3.75L17.81 9.94l-3.75-3.75L3 17.25zM20.71 7.04c.39-.39.39-1.02 0-1.41l-2.34-2.34c-.39-.39-1.02-.39-1.41 0l-1.83 1.83 3.75 3.75 1.83-1.83z"}}]})(props);
};
function MdExposure (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 17v2h2v-2h2v-2h-2v-2h-2v2h-2v2h2zm5-15H4c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM5 5h6v2H5V5zm15 15H4L20 4v16z"}}]})(props);
};
function MdExposureNeg1 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 11v2h8v-2H4zm15 7h-2V7.38L14 8.4V6.7L18.7 5h.3v13z"}}]})(props);
};
function MdExposureNeg2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.05 16.29l2.86-3.07c.38-.39.72-.79 1.04-1.18.32-.39.59-.78.82-1.17.23-.39.41-.78.54-1.17s.19-.79.19-1.18c0-.53-.09-1.02-.27-1.46-.18-.44-.44-.81-.78-1.11-.34-.31-.77-.54-1.26-.71-.51-.16-1.08-.24-1.72-.24-.69 0-1.31.11-1.85.32-.54.21-1 .51-1.36.88-.37.37-.65.8-.84 1.3-.18.47-.27.97-.28 1.5h2.14c.01-.31.05-.6.13-.87.09-.29.23-.54.4-.75.18-.21.41-.37.68-.49.27-.12.6-.18.96-.18.31 0 .58.05.81.15.23.1.43.25.59.43.16.18.28.4.37.65.08.25.13.52.13.81 0 .22-.03.43-.08.65-.06.22-.15.45-.29.7-.14.25-.32.53-.56.83-.23.3-.52.65-.88 1.03l-4.17 4.55V18H21v-1.71h-5.95zM2 11v2h8v-2H2z"}}]})(props);
};
function MdExposurePlus1 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 7H8v4H4v2h4v4h2v-4h4v-2h-4V7zm10 11h-2V7.38L15 8.4V6.7L19.7 5h.3v13z"}}]})(props);
};
function MdExposurePlus2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.05 16.29l2.86-3.07c.38-.39.72-.79 1.04-1.18.32-.39.59-.78.82-1.17.23-.39.41-.78.54-1.17.13-.39.19-.79.19-1.18 0-.53-.09-1.02-.27-1.46-.18-.44-.44-.81-.78-1.11-.34-.31-.77-.54-1.26-.71-.51-.16-1.08-.24-1.72-.24-.69 0-1.31.11-1.85.32-.54.21-1 .51-1.36.88-.37.37-.65.8-.84 1.3-.18.47-.27.97-.28 1.5h2.14c.01-.31.05-.6.13-.87.09-.29.23-.54.4-.75.18-.21.41-.37.68-.49.27-.12.6-.18.96-.18.31 0 .58.05.81.15.23.1.43.25.59.43.16.18.28.4.37.65.08.25.13.52.13.81 0 .22-.03.43-.08.65-.06.22-.15.45-.29.7-.14.25-.32.53-.56.83-.23.3-.52.65-.88 1.03l-4.17 4.55V18H22v-1.71h-5.95zM8 7H6v4H2v2h4v4h2v-4h4v-2H8V7z"}}]})(props);
};
function MdExposureZero (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.14 12.5c0 1-.1 1.85-.3 2.55-.2.7-.48 1.27-.83 1.7-.36.44-.79.75-1.3.95-.51.2-1.07.3-1.7.3-.62 0-1.18-.1-1.69-.3-.51-.2-.95-.51-1.31-.95-.36-.44-.65-1.01-.85-1.7-.2-.7-.3-1.55-.3-2.55v-2.04c0-1 .1-1.85.3-2.55.2-.7.48-1.26.84-1.69.36-.43.8-.74 1.31-.93C10.81 5.1 11.38 5 12 5c.63 0 1.19.1 1.7.29.51.19.95.5 1.31.93.36.43.64.99.84 1.69.2.7.3 1.54.3 2.55v2.04zm-2.11-2.36c0-.64-.05-1.18-.13-1.62-.09-.44-.22-.79-.4-1.06-.17-.27-.39-.46-.64-.58-.25-.13-.54-.19-.86-.19-.32 0-.61.06-.86.18s-.47.31-.64.58c-.17.27-.31.62-.4 1.06s-.13.98-.13 1.62v2.67c0 .64.05 1.18.14 1.62.09.45.23.81.4 1.09s.39.48.64.61.54.19.87.19c.33 0 .62-.06.87-.19s.46-.33.63-.61c.17-.28.3-.64.39-1.09.09-.45.13-.99.13-1.62v-2.66z"}}]})(props);
};
function MdFilter1 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 5H1v16c0 1.1.9 2 2 2h16v-2H3V5zm11 10h2V5h-4v2h2v8zm7-14H7c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2zm0 16H7V3h14v14z"}}]})(props);
};
function MdFilter2 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 5H1v16c0 1.1.9 2 2 2h16v-2H3V5zm18-4H7c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2zm0 16H7V3h14v14zm-4-4h-4v-2h2c1.1 0 2-.89 2-2V7c0-1.11-.9-2-2-2h-4v2h4v2h-2c-1.1 0-2 .89-2 2v4h6v-2z"}}]})(props);
};
function MdFilter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.96 10.29l-2.75 3.54-1.96-2.36L8.5 15h11l-3.54-4.71zM3 5H1v16c0 1.1.9 2 2 2h16v-2H3V5zm18-4H7c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2zm0 16H7V3h14v14z"}}]})(props);
};
function MdFilter3 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 1H7c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2zm0 16H7V3h14v14zM3 5H1v16c0 1.1.9 2 2 2h16v-2H3V5zm14 8v-1.5c0-.83-.67-1.5-1.5-1.5.83 0 1.5-.67 1.5-1.5V7c0-1.11-.9-2-2-2h-4v2h4v2h-2v2h2v2h-4v2h4c1.1 0 2-.89 2-2z"}}]})(props);
};
function MdFilter4 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 5H1v16c0 1.1.9 2 2 2h16v-2H3V5zm12 10h2V5h-2v4h-2V5h-2v6h4v4zm6-14H7c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2zm0 16H7V3h14v14z"}}]})(props);
};
function MdFilter5 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 1H7c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2zm0 16H7V3h14v14zM3 5H1v16c0 1.1.9 2 2 2h16v-2H3V5zm14 8v-2c0-1.11-.9-2-2-2h-2V7h4V5h-6v6h4v2h-4v2h4c1.1 0 2-.89 2-2z"}}]})(props);
};
function MdFilter6 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 5H1v16c0 1.1.9 2 2 2h16v-2H3V5zm18-4H7c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2zm0 16H7V3h14v14zm-8-2h2c1.1 0 2-.89 2-2v-2c0-1.11-.9-2-2-2h-2V7h4V5h-4c-1.1 0-2 .89-2 2v6c0 1.11.9 2 2 2zm0-4h2v2h-2v-2z"}}]})(props);
};
function MdFilter7 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 5H1v16c0 1.1.9 2 2 2h16v-2H3V5zm18-4H7c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2zm0 16H7V3h14v14zm-8-2l4-8V5h-6v2h4l-4 8h2z"}}]})(props);
};
function MdFilter8 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 5H1v16c0 1.1.9 2 2 2h16v-2H3V5zm18-4H7c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2zm0 16H7V3h14v14zm-8-2h2c1.1 0 2-.89 2-2v-1.5c0-.83-.67-1.5-1.5-1.5.83 0 1.5-.67 1.5-1.5V7c0-1.11-.9-2-2-2h-2c-1.1 0-2 .89-2 2v1.5c0 .83.67 1.5 1.5 1.5-.83 0-1.5.67-1.5 1.5V13c0 1.11.9 2 2 2zm0-8h2v2h-2V7zm0 4h2v2h-2v-2z"}}]})(props);
};
function MdFilter9 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 5H1v16c0 1.1.9 2 2 2h16v-2H3V5zm18-4H7c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2zm0 16H7V3h14v14zM15 5h-2c-1.1 0-2 .89-2 2v2c0 1.11.9 2 2 2h2v2h-4v2h4c1.1 0 2-.89 2-2V7c0-1.11-.9-2-2-2zm0 4h-2V7h2v2z"}}]})(props);
};
function MdFilter9Plus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 5H1v16c0 1.1.9 2 2 2h16v-2H3V5zm11 7V8c0-1.11-.9-2-2-2h-1c-1.1 0-2 .89-2 2v1c0 1.11.9 2 2 2h1v1H9v2h3c1.1 0 2-.89 2-2zm-3-3V8h1v1h-1zm10-8H7c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2zm0 8h-2V7h-2v2h-2v2h2v2h2v-2h2v6H7V3h14v6z"}}]})(props);
};
function MdFilterBAndW (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16l-7-8v8H5l7-8V5h7v14z"}}]})(props);
};
function MdFilterCenterFocus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 15H3v4c0 1.1.9 2 2 2h4v-2H5v-4zM5 5h4V3H5c-1.1 0-2 .9-2 2v4h2V5zm14-2h-4v2h4v4h2V5c0-1.1-.9-2-2-2zm0 16h-4v2h4c1.1 0 2-.9 2-2v-4h-2v4zM12 9c-1.66 0-3 1.34-3 3s1.34 3 3 3 3-1.34 3-3-1.34-3-3-3z"}}]})(props);
};
function MdFilterDrama (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.35 10.04C18.67 6.59 15.64 4 12 4 9.11 4 6.61 5.64 5.36 8.04 2.35 8.36 0 10.9 0 14c0 3.31 2.69 6 6 6h13c2.76 0 5-2.24 5-5 0-2.64-2.05-4.78-4.65-4.96zM19 18H6c-2.21 0-4-1.79-4-4s1.79-4 4-4 4 1.79 4 4h2c0-2.76-1.86-5.08-4.4-5.78C8.61 6.88 10.2 6 12 6c3.03 0 5.5 2.47 5.5 5.5v.5H19c1.65 0 3 1.35 3 3s-1.35 3-3 3z"}}]})(props);
};
function MdFilterFrames (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4h-4l-4-4-4 4H4c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 16H4V6h4.52l3.52-3.5L15.52 6H20v14zM18 8H6v10h12"}}]})(props);
};
function MdFilterHdr (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 6l-3.75 5 2.85 3.8-1.6 1.2C9.81 13.75 7 10 7 10l-6 8h22L14 6z"}}]})(props);
};
function MdFilterNone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 5H1v16c0 1.1.9 2 2 2h16v-2H3V5zm18-4H7c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V3c0-1.1-.9-2-2-2zm0 16H7V3h14v14z"}}]})(props);
};
function MdFilterTiltShift (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 4.07V2.05c-2.01.2-3.84 1-5.32 2.21L7.1 5.69c1.11-.86 2.44-1.44 3.9-1.62zm7.32.19C16.84 3.05 15.01 2.25 13 2.05v2.02c1.46.18 2.79.76 3.9 1.62l1.42-1.43zM19.93 11h2.02c-.2-2.01-1-3.84-2.21-5.32L18.31 7.1c.86 1.11 1.44 2.44 1.62 3.9zM5.69 7.1L4.26 5.68C3.05 7.16 2.25 8.99 2.05 11h2.02c.18-1.46.76-2.79 1.62-3.9zM4.07 13H2.05c.2 2.01 1 3.84 2.21 5.32l1.43-1.43c-.86-1.1-1.44-2.43-1.62-3.89zM15 12c0-1.66-1.34-3-3-3s-3 1.34-3 3 1.34 3 3 3 3-1.34 3-3zm3.31 4.9l1.43 1.43c1.21-1.48 2.01-3.32 2.21-5.32h-2.02c-.18 1.45-.76 2.78-1.62 3.89zM13 19.93v2.02c2.01-.2 3.84-1 5.32-2.21l-1.43-1.43c-1.1.86-2.43 1.44-3.89 1.62zm-7.32-.19C7.16 20.95 9 21.75 11 21.95v-2.02c-1.46-.18-2.79-.76-3.9-1.62l-1.42 1.43z"}}]})(props);
};
function MdFilterVintage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.7 12.4c-.28-.16-.57-.29-.86-.4.29-.11.58-.24.86-.4 1.92-1.11 2.99-3.12 3-5.19-1.79-1.03-4.07-1.11-6 0-.28.16-.54.35-.78.54.05-.31.08-.63.08-.95 0-2.22-1.21-4.15-3-5.19C10.21 1.85 9 3.78 9 6c0 .32.03.64.08.95-.24-.2-.5-.39-.78-.55-1.92-1.11-4.2-1.03-6 0 0 2.07 1.07 4.08 3 5.19.28.16.57.29.86.4-.29.11-.58.24-.86.4-1.92 1.11-2.99 3.12-3 5.19 1.79 1.03 4.07 1.11 6 0 .28-.16.54-.35.78-.54-.05.32-.08.64-.08.96 0 2.22 1.21 4.15 3 5.19 1.79-1.04 3-2.97 3-5.19 0-.32-.03-.64-.08-.95.24.2.5.38.78.54 1.92 1.11 4.2 1.03 6 0-.01-2.07-1.08-4.08-3-5.19zM12 16c-2.21 0-4-1.79-4-4s1.79-4 4-4 4 1.79 4 4-1.79 4-4 4z"}}]})(props);
};
function MdFlare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 11H1v2h6v-2zm2.17-3.24L7.05 5.64 5.64 7.05l2.12 2.12 1.41-1.41zM13 1h-2v6h2V1zm5.36 6.05l-1.41-1.41-2.12 2.12 1.41 1.41 2.12-2.12zM17 11v2h6v-2h-6zm-5-2c-1.66 0-3 1.34-3 3s1.34 3 3 3 3-1.34 3-3-1.34-3-3-3zm2.83 7.24l2.12 2.12 1.41-1.41-2.12-2.12-1.41 1.41zm-9.19.71l1.41 1.41 2.12-2.12-1.41-1.41-2.12 2.12zM11 23h2v-6h-2v6z"}}]})(props);
};
function MdFlashAuto (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 2v12h3v9l7-12H9l4-9H3zm16 0h-2l-3.2 9h1.9l.7-2h3.2l.7 2h1.9L19 2zm-2.15 5.65L18 4l1.15 3.65h-2.3z"}}]})(props);
};
function MdFlashOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3.27 3L2 4.27l5 5V13h3v9l3.58-6.14L17.73 20 19 18.73 3.27 3zM17 10h-4l4-8H7v2.18l8.46 8.46L17 10z"}}]})(props);
};
function MdFlashOn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 2v11h3v9l7-12h-4l4-8z"}}]})(props);
};
function MdFlip (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 21h2v-2h-2v2zm4-12h2V7h-2v2zM3 5v14c0 1.1.9 2 2 2h4v-2H5V5h4V3H5c-1.1 0-2 .9-2 2zm16-2v2h2c0-1.1-.9-2-2-2zm-8 20h2V1h-2v22zm8-6h2v-2h-2v2zM15 5h2V3h-2v2zm4 8h2v-2h-2v2zm0 8c1.1 0 2-.9 2-2h-2v2z"}}]})(props);
};
function MdGradient (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 9h2v2h-2zm-2 2h2v2H9zm4 0h2v2h-2zm2-2h2v2h-2zM7 9h2v2H7zm12-6H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM9 18H7v-2h2v2zm4 0h-2v-2h2v2zm4 0h-2v-2h2v2zm2-7h-2v2h2v2h-2v-2h-2v2h-2v-2h-2v2H9v-2H7v2H5v-2h2v-2H5V5h14v6z"}}]})(props);
};
function MdGrain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 12c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zM6 8c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm0 8c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm12-8c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zm-4 8c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm4-4c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm-4-4c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm-4-4c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2z"}}]})(props);
};
function MdGridOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 4v1.45l2 2V4h4v4h-3.45l2 2H14v1.45l2 2V10h4v4h-3.45l2 2H20v1.45l2 2V4c0-1.1-.9-2-2-2H4.55l2 2H8zm8 0h4v4h-4V4zM1.27 1.27L0 2.55l2 2V20c0 1.1.9 2 2 2h15.46l2 2 1.27-1.27L1.27 1.27zM10 12.55L11.45 14H10v-1.45zm-6-6L5.45 8H4V6.55zM8 20H4v-4h4v4zm0-6H4v-4h3.45l.55.55V14zm6 6h-4v-4h3.45l.55.54V20zm2 0v-1.46L17.46 20H16z"}}]})(props);
};
function MdGridOn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM8 20H4v-4h4v4zm0-6H4v-4h4v4zm0-6H4V4h4v4zm6 12h-4v-4h4v4zm0-6h-4v-4h4v4zm0-6h-4V4h4v4zm6 12h-4v-4h4v4zm0-6h-4v-4h4v4zm0-6h-4V4h4v4z"}}]})(props);
};
function MdHdrOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.5 15v-2h1.1l.9 2H21l-.9-2.1c.5-.2.9-.8.9-1.4v-1c0-.8-.7-1.5-1.5-1.5H16v4.9l1.1 1.1h.4zm0-4.5h2v1h-2v-1zm-4.5 0v.4l1.5 1.5v-1.9c0-.8-.7-1.5-1.5-1.5h-1.9l1.5 1.5h.4zm-3.5-1l-7-7-1.1 1L6.9 9h-.4v2h-2V9H3v6h1.5v-2.5h2V15H8v-4.9l1.5 1.5V15h3.4l7.6 7.6 1.1-1.1-12.1-12z"}}]})(props);
};
function MdHdrOn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 11.5v-1c0-.8-.7-1.5-1.5-1.5H16v6h1.5v-2h1.1l.9 2H21l-.9-2.1c.5-.3.9-.8.9-1.4zm-1.5 0h-2v-1h2v1zm-13-.5h-2V9H3v6h1.5v-2.5h2V15H8V9H6.5v2zM13 9H9.5v6H13c.8 0 1.5-.7 1.5-1.5v-3c0-.8-.7-1.5-1.5-1.5zm0 4.5h-2v-3h2v3z"}}]})(props);
};
function MdHdrStrong (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 6c-3.31 0-6 2.69-6 6s2.69 6 6 6 6-2.69 6-6-2.69-6-6-6zM5 8c-2.21 0-4 1.79-4 4s1.79 4 4 4 4-1.79 4-4-1.79-4-4-4zm0 6c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"}}]})(props);
};
function MdHdrWeak (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 8c-2.21 0-4 1.79-4 4s1.79 4 4 4 4-1.79 4-4-1.79-4-4-4zm12-2c-3.31 0-6 2.69-6 6s2.69 6 6 6 6-2.69 6-6-2.69-6-6-6zm0 10c-2.21 0-4-1.79-4-4s1.79-4 4-4 4 1.79 4 4-1.79 4-4 4z"}}]})(props);
};
function MdHealing (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.73 12.02l3.98-3.98c.39-.39.39-1.02 0-1.41l-4.34-4.34c-.39-.39-1.02-.39-1.41 0l-3.98 3.98L8 2.29C7.8 2.1 7.55 2 7.29 2c-.25 0-.51.1-.7.29L2.25 6.63c-.39.39-.39 1.02 0 1.41l3.98 3.98L2.25 16c-.39.39-.39 1.02 0 1.41l4.34 4.34c.39.39 1.02.39 1.41 0l3.98-3.98 3.98 3.98c.2.2.45.29.71.29.26 0 .51-.1.71-.29l4.34-4.34c.39-.39.39-1.02 0-1.41l-3.99-3.98zM12 9c.55 0 1 .45 1 1s-.45 1-1 1-1-.45-1-1 .45-1 1-1zm-4.71 1.96L3.66 7.34l3.63-3.63 3.62 3.62-3.62 3.63zM10 13c-.55 0-1-.45-1-1s.45-1 1-1 1 .45 1 1-.45 1-1 1zm2 2c-.55 0-1-.45-1-1s.45-1 1-1 1 .45 1 1-.45 1-1 1zm2-4c.55 0 1 .45 1 1s-.45 1-1 1-1-.45-1-1 .45-1 1-1zm2.66 9.34l-3.63-3.62 3.63-3.63 3.62 3.62-3.62 3.63z"}}]})(props);
};
function MdImage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 19V5c0-1.1-.9-2-2-2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2zM8.5 13.5l2.5 3.01L14.5 12l4.5 6H5l3.5-4.5z"}}]})(props);
};
function MdImageAspectRatio (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16 10h-2v2h2v-2zm0 4h-2v2h2v-2zm-8-4H6v2h2v-2zm4 0h-2v2h2v-2zm8-6H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 14H4V6h16v12z"}}]})(props);
};
function MdIso (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM5.5 7.5h2v-2H9v2h2V9H9v2H7.5V9h-2V7.5zM19 19H5L19 5v14zm-2-2v-1.5h-5V17h5z"}}]})(props);
};
function MdLandscape (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 6l-3.75 5 2.85 3.8-1.6 1.2C9.81 13.75 7 10 7 10l-6 8h22L14 6z"}}]})(props);
};
function MdLeakAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 3H3v3c1.66 0 3-1.34 3-3zm8 0h-2c0 4.97-4.03 9-9 9v2c6.08 0 11-4.93 11-11zm-4 0H8c0 2.76-2.24 5-5 5v2c3.87 0 7-3.13 7-7zm0 18h2c0-4.97 4.03-9 9-9v-2c-6.07 0-11 4.93-11 11zm8 0h3v-3c-1.66 0-3 1.34-3 3zm-4 0h2c0-2.76 2.24-5 5-5v-2c-3.87 0-7 3.13-7 7z"}}]})(props);
};
function MdLeakRemove (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 3H8c0 .37-.04.72-.12 1.06l1.59 1.59C9.81 4.84 10 3.94 10 3zM3 4.27l2.84 2.84C5.03 7.67 4.06 8 3 8v2c1.61 0 3.09-.55 4.27-1.46L8.7 9.97C7.14 11.24 5.16 12 3 12v2c2.71 0 5.19-.99 7.11-2.62l2.5 2.5C10.99 15.81 10 18.29 10 21h2c0-2.16.76-4.14 2.03-5.69l1.43 1.43C14.55 17.91 14 19.39 14 21h2c0-1.06.33-2.03.89-2.84L19.73 21 21 19.73 4.27 3 3 4.27zM14 3h-2c0 1.5-.37 2.91-1.02 4.16l1.46 1.46C13.42 6.98 14 5.06 14 3zm5.94 13.12c.34-.08.69-.12 1.06-.12v-2c-.94 0-1.84.19-2.66.52l1.6 1.6zm-4.56-4.56l1.46 1.46C18.09 12.37 19.5 12 21 12v-2c-2.06 0-3.98.58-5.62 1.56z"}}]})(props);
};
function MdLens (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2z"}}]})(props);
};
function MdLinkedCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"14","r":"3.2"}},{"tag":"path","attr":{"d":"M16 3.33c2.58 0 4.67 2.09 4.67 4.67H22c0-3.31-2.69-6-6-6v1.33M16 6c1.11 0 2 .89 2 2h1.33c0-1.84-1.49-3.33-3.33-3.33V6"}},{"tag":"path","attr":{"d":"M17 9c0-1.11-.89-2-2-2V4H9L7.17 6H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V9h-5zm-5 10c-2.76 0-5-2.24-5-5s2.24-5 5-5 5 2.24 5 5-2.24 5-5 5z"}}]})(props);
};
function MdLooks (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 10c-3.86 0-7 3.14-7 7h2c0-2.76 2.24-5 5-5s5 2.24 5 5h2c0-3.86-3.14-7-7-7zm0-4C5.93 6 1 10.93 1 17h2c0-4.96 4.04-9 9-9s9 4.04 9 9h2c0-6.07-4.93-11-11-11z"}}]})(props);
};
function MdLooks3 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.01 3h-14c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-4 7.5c0 .83-.67 1.5-1.5 1.5.83 0 1.5.67 1.5 1.5V15c0 1.11-.9 2-2 2h-4v-2h4v-2h-2v-2h2V9h-4V7h4c1.1 0 2 .89 2 2v1.5z"}}]})(props);
};
function MdLooks4 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-4 14h-2v-4H9V7h2v4h2V7h2v10z"}}]})(props);
};
function MdLooks5 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-4 6h-4v2h2c1.1 0 2 .89 2 2v2c0 1.11-.9 2-2 2H9v-2h4v-2H9V7h6v2z"}}]})(props);
};
function MdLooks6 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 15h2v-2h-2v2zm8-12H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-4 6h-4v2h2c1.1 0 2 .89 2 2v2c0 1.11-.9 2-2 2h-2c-1.1 0-2-.89-2-2V9c0-1.11.9-2 2-2h4v2z"}}]})(props);
};
function MdLooksOne (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-5 14h-2V9h-2V7h4v10z"}}]})(props);
};
function MdLooksTwo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-4 8c0 1.11-.9 2-2 2h-2v2h4v2H9v-4c0-1.11.9-2 2-2h2V9H9V7h4c1.1 0 2 .89 2 2v2z"}}]})(props);
};
function MdLoupe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 7h-2v4H7v2h4v4h2v-4h4v-2h-4V7zm-1-5C6.49 2 2 6.49 2 12s4.49 10 10 10h8c1.1 0 2-.9 2-2v-8c0-5.51-4.49-10-10-10zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8z"}}]})(props);
};
function MdMonochromePhotos (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 5h-3.2L15 3H9L7.2 5H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V7c0-1.1-.9-2-2-2zm0 14h-8v-1c-2.8 0-5-2.2-5-5s2.2-5 5-5V7h8v12zm-3-6c0-2.8-2.2-5-5-5v1.8c1.8 0 3.2 1.4 3.2 3.2s-1.4 3.2-3.2 3.2V18c2.8 0 5-2.2 5-5zm-8.2 0c0 1.8 1.4 3.2 3.2 3.2V9.8c-1.8 0-3.2 1.4-3.2 3.2z"}}]})(props);
};
function MdMovieCreation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 4l2 4h-3l-2-4h-2l2 4h-3l-2-4H8l2 4H7L5 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V4h-4z"}}]})(props);
};
function MdMovieFilter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 4l2 3h-3l-2-3h-2l2 3h-3l-2-3H8l2 3H7L5 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V4h-4zm-6.75 11.25L10 18l-1.25-2.75L6 14l2.75-1.25L10 10l1.25 2.75L14 14l-2.75 1.25zm5.69-3.31L16 14l-.94-2.06L13 11l2.06-.94L16 8l.94 2.06L19 11l-2.06.94z"}}]})(props);
};
function MdMusicNote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 3v10.55c-.59-.34-1.27-.55-2-.55-2.21 0-4 1.79-4 4s1.79 4 4 4 4-1.79 4-4V7h4V3h-6z"}}]})(props);
};
function MdNature (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 16.12c3.47-.41 6.17-3.36 6.17-6.95 0-3.87-3.13-7-7-7s-7 3.13-7 7c0 3.47 2.52 6.34 5.83 6.89V20H5v2h14v-2h-6v-3.88z"}}]})(props);
};
function MdNaturePeople (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22.17 9.17c0-3.87-3.13-7-7-7s-7 3.13-7 7c0 3.47 2.52 6.34 5.83 6.89V20H6v-3h1v-4c0-.55-.45-1-1-1H3c-.55 0-1 .45-1 1v4h1v5h16v-2h-3v-3.88c3.47-.41 6.17-3.36 6.17-6.95zM4.5 11c.83 0 1.5-.67 1.5-1.5S5.33 8 4.5 8 3 8.67 3 9.5 3.67 11 4.5 11z"}}]})(props);
};
function MdNavigateBefore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.41 7.41L14 6l-6 6 6 6 1.41-1.41L10.83 12z"}}]})(props);
};
function MdNavigateNext (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 6L8.59 7.41 13.17 12l-4.58 4.59L10 18l6-6z"}}]})(props);
};
function MdPalette (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 3c-4.97 0-9 4.03-9 9s4.03 9 9 9c.83 0 1.5-.67 1.5-1.5 0-.39-.15-.74-.39-1.01-.23-.26-.38-.61-.38-.99 0-.83.67-1.5 1.5-1.5H16c2.76 0 5-2.24 5-5 0-4.42-4.03-8-9-8zm-5.5 9c-.83 0-1.5-.67-1.5-1.5S5.67 9 6.5 9 8 9.67 8 10.5 7.33 12 6.5 12zm3-4C8.67 8 8 7.33 8 6.5S8.67 5 9.5 5s1.5.67 1.5 1.5S10.33 8 9.5 8zm5 0c-.83 0-1.5-.67-1.5-1.5S13.67 5 14.5 5s1.5.67 1.5 1.5S15.33 8 14.5 8zm3 4c-.83 0-1.5-.67-1.5-1.5S16.67 9 17.5 9s1.5.67 1.5 1.5-.67 1.5-1.5 1.5z"}}]})(props);
};
function MdPanorama (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M23 18V6c0-1.1-.9-2-2-2H3c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2zM8.5 12.5l2.5 3.01L14.5 11l4.5 6H5l3.5-4.5z"}}]})(props);
};
function MdPanoramaFishEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.47 2 2 6.47 2 12s4.47 10 10 10 10-4.47 10-10S17.53 2 12 2zm0 18c-4.41 0-8-3.59-8-8s3.59-8 8-8 8 3.59 8 8-3.59 8-8 8z"}}]})(props);
};
function MdPanoramaHorizontal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 6.54v10.91c-2.6-.77-5.28-1.16-8-1.16-2.72 0-5.4.39-8 1.16V6.54c2.6.77 5.28 1.16 8 1.16 2.72.01 5.4-.38 8-1.16M21.43 4c-.1 0-.2.02-.31.06C18.18 5.16 15.09 5.7 12 5.7c-3.09 0-6.18-.55-9.12-1.64-.11-.04-.22-.06-.31-.06-.34 0-.57.23-.57.63v14.75c0 .39.23.62.57.62.1 0 .2-.02.31-.06 2.94-1.1 6.03-1.64 9.12-1.64 3.09 0 6.18.55 9.12 1.64.11.04.21.06.31.06.33 0 .57-.23.57-.63V4.63c0-.4-.24-.63-.57-.63z"}}]})(props);
};
function MdPanoramaVertical (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.94 21.12c-1.1-2.94-1.64-6.03-1.64-9.12 0-3.09.55-6.18 1.64-9.12.04-.11.06-.22.06-.31 0-.34-.23-.57-.63-.57H4.63c-.4 0-.63.23-.63.57 0 .1.02.2.06.31C5.16 5.82 5.71 8.91 5.71 12c0 3.09-.55 6.18-1.64 9.12-.05.11-.07.22-.07.31 0 .33.23.57.63.57h14.75c.39 0 .63-.24.63-.57-.01-.1-.03-.2-.07-.31zM6.54 20c.77-2.6 1.16-5.28 1.16-8 0-2.72-.39-5.4-1.16-8h10.91c-.77 2.6-1.16 5.28-1.16 8 0 2.72.39 5.4 1.16 8H6.54z"}}]})(props);
};
function MdPanoramaWideAngle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 6c2.45 0 4.71.2 7.29.64.47 1.78.71 3.58.71 5.36 0 1.78-.24 3.58-.71 5.36-2.58.44-4.84.64-7.29.64s-4.71-.2-7.29-.64C4.24 15.58 4 13.78 4 12c0-1.78.24-3.58.71-5.36C7.29 6.2 9.55 6 12 6m0-2c-2.73 0-5.22.24-7.95.72l-.93.16-.25.9C2.29 7.85 2 9.93 2 12s.29 4.15.87 6.22l.25.89.93.16c2.73.49 5.22.73 7.95.73s5.22-.24 7.95-.72l.93-.16.25-.89c.58-2.08.87-4.16.87-6.23s-.29-4.15-.87-6.22l-.25-.89-.93-.16C17.22 4.24 14.73 4 12 4z"}}]})(props);
};
function MdPhoto (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 19V5c0-1.1-.9-2-2-2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2zM8.5 13.5l2.5 3.01L14.5 12l4.5 6H5l3.5-4.5z"}}]})(props);
};
function MdPhotoAlbum (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 2H6c-1.1 0-2 .9-2 2v16c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM6 4h5v8l-2.5-1.5L6 12V4zm0 15l3-3.86 2.14 2.58 3-3.86L18 19H6z"}}]})(props);
};
function MdPhotoCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"12","r":"3.2"}},{"tag":"path","attr":{"d":"M9 2L7.17 4H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2h-3.17L15 2H9zm3 15c-2.76 0-5-2.24-5-5s2.24-5 5-5 5 2.24 5 5-2.24 5-5 5z"}}]})(props);
};
function MdPhotoFilter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.02 10v9H5V5h9V3H5.02c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2v-9h-2zM17 10l.94-2.06L20 7l-2.06-.94L17 4l-.94 2.06L14 7l2.06.94zm-3.75.75L12 8l-1.25 2.75L8 12l2.75 1.25L12 16l1.25-2.75L16 12z"}}]})(props);
};
function MdPhotoLibrary (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 16V4c0-1.1-.9-2-2-2H8c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2zm-11-4l2.03 2.71L16 11l4 5H8l3-4zM2 6v14c0 1.1.9 2 2 2h14v-2H4V6H2z"}}]})(props);
};
function MdPhotoSizeSelectActual (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3C2 3 1 4 1 5v14c0 1.1.9 2 2 2h18c1 0 2-1 2-2V5c0-1-1-2-2-2zM5 17l3.5-4.5 2.5 3.01L14.5 11l4.5 6H5z"}}]})(props);
};
function MdPhotoSizeSelectLarge (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 15h2v2h-2v-2zm0-4h2v2h-2v-2zm2 8h-2v2c1 0 2-1 2-2zM13 3h2v2h-2V3zm8 4h2v2h-2V7zm0-4v2h2c0-1-1-2-2-2zM1 7h2v2H1V7zm16-4h2v2h-2V3zm0 16h2v2h-2v-2zM3 3C2 3 1 4 1 5h2V3zm6 0h2v2H9V3zM5 3h2v2H5V3zm-4 8v8c0 1.1.9 2 2 2h12V11H1zm2 8l2.5-3.21 1.79 2.15 2.5-3.22L13 19H3z"}}]})(props);
};
function MdPhotoSizeSelectSmall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M23 15h-2v2h2v-2zm0-4h-2v2h2v-2zm0 8h-2v2c1 0 2-1 2-2zM15 3h-2v2h2V3zm8 4h-2v2h2V7zm-2-4v2h2c0-1-1-2-2-2zM3 21h8v-6H1v4c0 1.1.9 2 2 2zM3 7H1v2h2V7zm12 12h-2v2h2v-2zm4-16h-2v2h2V3zm0 16h-2v2h2v-2zM3 3C2 3 1 4 1 5h2V3zm0 8H1v2h2v-2zm8-8H9v2h2V3zM7 3H5v2h2V3z"}}]})(props);
};
function MdPictureAsPdf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H8c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-8.5 7.5c0 .83-.67 1.5-1.5 1.5H9v2H7.5V7H10c.83 0 1.5.67 1.5 1.5v1zm5 2c0 .83-.67 1.5-1.5 1.5h-2.5V7H15c.83 0 1.5.67 1.5 1.5v3zm4-3H19v1h1.5V11H19v2h-1.5V7h3v1.5zM9 9.5h1v-1H9v1zM4 6H2v14c0 1.1.9 2 2 2h14v-2H4V6zm10 5.5h1v-3h-1v3z"}}]})(props);
};
function MdPortrait (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 12.25c1.24 0 2.25-1.01 2.25-2.25S13.24 7.75 12 7.75 9.75 8.76 9.75 10s1.01 2.25 2.25 2.25zm4.5 4c0-1.5-3-2.25-4.5-2.25s-4.5.75-4.5 2.25V17h9v-.75zM19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H5V5h14v14z"}}]})(props);
};
function MdRemoveRedEye (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 4.5C7 4.5 2.73 7.61 1 12c1.73 4.39 6 7.5 11 7.5s9.27-3.11 11-7.5c-1.73-4.39-6-7.5-11-7.5zM12 17c-2.76 0-5-2.24-5-5s2.24-5 5-5 5 2.24 5 5-2.24 5-5 5zm0-8c-1.66 0-3 1.34-3 3s1.34 3 3 3 3-1.34 3-3-1.34-3-3-3z"}}]})(props);
};
function MdRotate90DegreesCcw (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.34 6.41L.86 12.9l6.49 6.48 6.49-6.48-6.5-6.49zM3.69 12.9l3.66-3.66L11 12.9l-3.66 3.66-3.65-3.66zm15.67-6.26C17.61 4.88 15.3 4 13 4V.76L8.76 5 13 9.24V6c1.79 0 3.58.68 4.95 2.05 2.73 2.73 2.73 7.17 0 9.9C16.58 19.32 14.79 20 13 20c-.97 0-1.94-.21-2.84-.61l-1.49 1.49C10.02 21.62 11.51 22 13 22c2.3 0 4.61-.88 6.36-2.64 3.52-3.51 3.52-9.21 0-12.72z"}}]})(props);
};
function MdRotateLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.11 8.53L5.7 7.11C4.8 8.27 4.24 9.61 4.07 11h2.02c.14-.87.49-1.72 1.02-2.47zM6.09 13H4.07c.17 1.39.72 2.73 1.62 3.89l1.41-1.42c-.52-.75-.87-1.59-1.01-2.47zm1.01 5.32c1.16.9 2.51 1.44 3.9 1.61V17.9c-.87-.15-1.71-.49-2.46-1.03L7.1 18.32zM13 4.07V1L8.45 5.55 13 10V6.09c2.84.48 5 2.94 5 5.91s-2.16 5.43-5 5.91v2.02c3.95-.49 7-3.85 7-7.93s-3.05-7.44-7-7.93z"}}]})(props);
};
function MdRotateRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.55 5.55L11 1v3.07C7.06 4.56 4 7.92 4 12s3.05 7.44 7 7.93v-2.02c-2.84-.48-5-2.94-5-5.91s2.16-5.43 5-5.91V10l4.55-4.45zM19.93 11c-.17-1.39-.72-2.73-1.62-3.89l-1.42 1.42c.54.75.88 1.6 1.02 2.47h2.02zM13 17.9v2.02c1.39-.17 2.74-.71 3.9-1.61l-1.44-1.44c-.75.54-1.59.89-2.46 1.03zm3.89-2.42l1.42 1.41c.9-1.16 1.45-2.5 1.62-3.89h-2.02c-.14.87-.48 1.72-1.02 2.48z"}}]})(props);
};
function MdSlideshow (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 8v8l5-4-5-4zm9-5H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H5V5h14v14z"}}]})(props);
};
function MdStraighten (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 6H3c-1.1 0-2 .9-2 2v8c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V8c0-1.1-.9-2-2-2zm0 10H3V8h2v4h2V8h2v4h2V8h2v4h2V8h2v4h2V8h2v8z"}}]})(props);
};
function MdStyle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2.53 19.65l1.34.56v-9.03l-2.43 5.86c-.41 1.02.08 2.19 1.09 2.61zm19.5-3.7L17.07 3.98c-.31-.75-1.04-1.21-1.81-1.23-.26 0-.53.04-.79.15L7.1 5.95c-.75.31-1.21 1.03-1.23 1.8-.01.27.04.54.15.8l4.96 11.97c.31.76 1.05 1.22 1.83 1.23.26 0 .52-.05.77-.15l7.36-3.05c1.02-.42 1.51-1.59 1.09-2.6zM7.88 8.75c-.55 0-1-.45-1-1s.45-1 1-1 1 .45 1 1-.45 1-1 1zm-2 11c0 1.1.9 2 2 2h1.45l-3.45-8.34v6.34z"}}]})(props);
};
function MdSwitchCamera (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4h-3.17L15 2H9L7.17 4H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm-5 11.5V13H9v2.5L5.5 12 9 8.5V11h6V8.5l3.5 3.5-3.5 3.5z"}}]})(props);
};
function MdSwitchVideo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 9.5V6c0-.55-.45-1-1-1H3c-.55 0-1 .45-1 1v12c0 .55.45 1 1 1h14c.55 0 1-.45 1-1v-3.5l4 4v-13l-4 4zm-5 6V13H7v2.5L3.5 12 7 8.5V11h6V8.5l3.5 3.5-3.5 3.5z"}}]})(props);
};
function MdTagFaces (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm3.5-9c.83 0 1.5-.67 1.5-1.5S16.33 8 15.5 8 14 8.67 14 9.5s.67 1.5 1.5 1.5zm-7 0c.83 0 1.5-.67 1.5-1.5S9.33 8 8.5 8 7 8.67 7 9.5 7.67 11 8.5 11zm3.5 6.5c2.33 0 4.31-1.46 5.11-3.5H6.89c.8 2.04 2.78 3.5 5.11 3.5z"}}]})(props);
};
function MdTexture (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.51 3.08L3.08 19.51c.09.34.27.65.51.9.25.24.56.42.9.51L20.93 4.49c-.19-.69-.73-1.23-1.42-1.41zM11.88 3L3 11.88v2.83L14.71 3h-2.83zM5 3c-1.1 0-2 .9-2 2v2l4-4H5zm14 18c.55 0 1.05-.22 1.41-.59.37-.36.59-.86.59-1.41v-2l-4 4h2zm-9.71 0h2.83L21 12.12V9.29L9.29 21z"}}]})(props);
};
function MdTimelapse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.24 7.76C15.07 6.59 13.54 6 12 6v6l-4.24 4.24c2.34 2.34 6.14 2.34 8.49 0 2.34-2.34 2.34-6.14-.01-8.48zM12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8z"}}]})(props);
};
function MdTimer10 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M0 7.72V9.4l3-1V18h2V6h-.25L0 7.72zm23.78 6.65c-.14-.28-.35-.53-.63-.74-.28-.21-.61-.39-1.01-.53s-.85-.27-1.35-.38c-.35-.07-.64-.15-.87-.23-.23-.08-.41-.16-.55-.25-.14-.09-.23-.19-.28-.3-.05-.11-.08-.24-.08-.39 0-.14.03-.28.09-.41.06-.13.15-.25.27-.34.12-.1.27-.18.45-.24s.4-.09.64-.09c.25 0 .47.04.66.11.19.07.35.17.48.29.13.12.22.26.29.42.06.16.1.32.1.49h1.95c0-.39-.08-.75-.24-1.09-.16-.34-.39-.63-.69-.88-.3-.25-.66-.44-1.09-.59C21.49 9.07 21 9 20.46 9c-.51 0-.98.07-1.39.21-.41.14-.77.33-1.06.57-.29.24-.51.52-.67.84-.16.32-.23.65-.23 1.01s.08.69.23.96c.15.28.36.52.64.73.27.21.6.38.98.53.38.14.81.26 1.27.36.39.08.71.17.95.26s.43.19.57.29c.13.1.22.22.27.34.05.12.07.25.07.39 0 .32-.13.57-.4.77-.27.2-.66.29-1.17.29-.22 0-.43-.02-.64-.08-.21-.05-.4-.13-.56-.24-.17-.11-.3-.26-.41-.44-.11-.18-.17-.41-.18-.67h-1.89c0 .36.08.71.24 1.05.16.34.39.65.7.93.31.27.69.49 1.15.66.46.17.98.25 1.58.25.53 0 1.01-.06 1.44-.19.43-.13.8-.31 1.11-.54.31-.23.54-.51.71-.83.17-.32.25-.67.25-1.06-.02-.4-.09-.74-.24-1.02zm-9.96-7.32c-.34-.4-.75-.7-1.23-.88-.47-.18-1.01-.27-1.59-.27-.58 0-1.11.09-1.59.27-.48.18-.89.47-1.23.88-.34.41-.6.93-.79 1.59-.18.65-.28 1.45-.28 2.39v1.92c0 .94.09 1.74.28 2.39.19.66.45 1.19.8 1.6.34.41.75.71 1.23.89.48.18 1.01.28 1.59.28.59 0 1.12-.09 1.59-.28.48-.18.88-.48 1.22-.89.34-.41.6-.94.78-1.6.18-.65.28-1.45.28-2.39v-1.92c0-.94-.09-1.74-.28-2.39-.18-.66-.44-1.19-.78-1.59zm-.92 6.17c0 .6-.04 1.11-.12 1.53-.08.42-.2.76-.36 1.02-.16.26-.36.45-.59.57-.23.12-.51.18-.82.18-.3 0-.58-.06-.82-.18s-.44-.31-.6-.57c-.16-.26-.29-.6-.38-1.02-.09-.42-.13-.93-.13-1.53v-2.5c0-.6.04-1.11.13-1.52.09-.41.21-.74.38-1 .16-.25.36-.43.6-.55.24-.11.51-.17.81-.17.31 0 .58.06.81.17.24.11.44.29.6.55.16.25.29.58.37.99.08.41.13.92.13 1.52v2.51z"}}]})(props);
};
function MdTimer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 1H9v2h6V1zm-4 13h2V8h-2v6zm8.03-6.61l1.42-1.42c-.43-.51-.9-.99-1.41-1.41l-1.42 1.42C16.07 4.74 14.12 4 12 4c-4.97 0-9 4.03-9 9s4.02 9 9 9 9-4.03 9-9c0-2.12-.74-4.07-1.97-5.61zM12 20c-3.87 0-7-3.13-7-7s3.13-7 7-7 7 3.13 7 7-3.13 7-7 7z"}}]})(props);
};
function MdTimer3 (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.61 12.97c-.16-.24-.36-.46-.62-.65-.25-.19-.56-.35-.93-.48.3-.14.57-.3.8-.5.23-.2.42-.41.57-.64.15-.23.27-.46.34-.71.08-.24.11-.49.11-.73 0-.55-.09-1.04-.28-1.46-.18-.42-.44-.77-.78-1.06-.33-.28-.73-.5-1.2-.64-.45-.13-.97-.2-1.53-.2-.55 0-1.06.08-1.52.24-.47.17-.87.4-1.2.69-.33.29-.6.63-.78 1.03-.2.39-.29.83-.29 1.29h1.98c0-.26.05-.49.14-.69.09-.2.22-.38.38-.52.17-.14.36-.25.58-.33.22-.08.46-.12.73-.12.61 0 1.06.16 1.36.47.3.31.44.75.44 1.32 0 .27-.04.52-.12.74-.08.22-.21.41-.38.57-.17.16-.38.28-.63.37-.25.09-.55.13-.89.13H6.72v1.57H7.9c.34 0 .64.04.91.11.27.08.5.19.69.35.19.16.34.36.44.61.1.24.16.54.16.87 0 .62-.18 1.09-.53 1.42-.35.33-.84.49-1.45.49-.29 0-.56-.04-.8-.13-.24-.08-.44-.2-.61-.36-.17-.16-.3-.34-.39-.56-.09-.22-.14-.46-.14-.72H4.19c0 .55.11 1.03.32 1.45.21.42.5.77.86 1.05s.77.49 1.24.63.96.21 1.48.21c.57 0 1.09-.08 1.58-.23.49-.15.91-.38 1.26-.68.36-.3.64-.66.84-1.1.2-.43.3-.93.3-1.48 0-.29-.04-.58-.11-.86-.08-.25-.19-.51-.35-.76zm9.26 1.4c-.14-.28-.35-.53-.63-.74-.28-.21-.61-.39-1.01-.53s-.85-.27-1.35-.38c-.35-.07-.64-.15-.87-.23-.23-.08-.41-.16-.55-.25-.14-.09-.23-.19-.28-.3-.05-.11-.08-.24-.08-.39s.03-.28.09-.41c.06-.13.15-.25.27-.34.12-.1.27-.18.45-.24s.4-.09.64-.09c.25 0 .47.04.66.11.19.07.35.17.48.29.13.12.22.26.29.42.06.16.1.32.1.49h1.95c0-.39-.08-.75-.24-1.09-.16-.34-.39-.63-.69-.88-.3-.25-.66-.44-1.09-.59-.43-.15-.92-.22-1.46-.22-.51 0-.98.07-1.39.21-.41.14-.77.33-1.06.57-.29.24-.51.52-.67.84-.16.32-.23.65-.23 1.01s.08.68.23.96c.15.28.37.52.64.73.27.21.6.38.98.53.38.14.81.26 1.27.36.39.08.71.17.95.26s.43.19.57.29c.13.1.22.22.27.34.05.12.07.25.07.39 0 .32-.13.57-.4.77-.27.2-.66.29-1.17.29-.22 0-.43-.02-.64-.08-.21-.05-.4-.13-.56-.24-.17-.11-.3-.26-.41-.44-.11-.18-.17-.41-.18-.67h-1.89c0 .36.08.71.24 1.05.16.34.39.65.7.93.31.27.69.49 1.15.66.46.17.98.25 1.58.25.53 0 1.01-.06 1.44-.19.43-.13.8-.31 1.11-.54.31-.23.54-.51.71-.83.17-.32.25-.67.25-1.06-.02-.4-.09-.74-.24-1.02z"}}]})(props);
};
function MdTimerOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.04 4.55l-1.42 1.42C16.07 4.74 14.12 4 12 4c-1.83 0-3.53.55-4.95 1.48l1.46 1.46C9.53 6.35 10.73 6 12 6c3.87 0 7 3.13 7 7 0 1.27-.35 2.47-.94 3.49l1.45 1.45C20.45 16.53 21 14.83 21 13c0-2.12-.74-4.07-1.97-5.61l1.42-1.42-1.41-1.42zM15 1H9v2h6V1zm-4 8.44l2 2V8h-2v1.44zM3.02 4L1.75 5.27 4.5 8.03C3.55 9.45 3 11.16 3 13c0 4.97 4.02 9 9 9 1.84 0 3.55-.55 4.98-1.5l2.5 2.5 1.27-1.27-7.71-7.71L3.02 4zM12 20c-3.87 0-7-3.13-7-7 0-1.28.35-2.48.95-3.52l9.56 9.56c-1.03.61-2.23.96-3.51.96z"}}]})(props);
};
function MdTonality (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm-1 17.93c-3.94-.49-7-3.85-7-7.93s3.05-7.44 7-7.93v15.86zm2-15.86c1.03.13 2 .45 2.87.93H13v-.93zM13 7h5.24c.25.31.48.65.68 1H13V7zm0 3h6.74c.08.33.15.66.19 1H13v-1zm0 9.93V19h2.87c-.87.48-1.84.8-2.87.93zM18.24 17H13v-1h5.92c-.2.35-.43.69-.68 1zm1.5-3H13v-1h6.93c-.04.34-.11.67-.19 1z"}}]})(props);
};
function MdTransform (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 18v-2H8V4h2L7 1 4 4h2v2H2v2h4v8c0 1.1.9 2 2 2h8v2h-2l3 3 3-3h-2v-2h4zM10 8h6v6h2V8c0-1.1-.9-2-2-2h-6v2z"}}]})(props);
};
function MdTune (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 17v2h6v-2H3zM3 5v2h10V5H3zm10 16v-2h8v-2h-8v-2h-2v6h2zM7 9v2H3v2h4v2h2V9H7zm14 4v-2H11v2h10zm-6-4h2V7h4V5h-4V3h-2v6z"}}]})(props);
};
function MdViewComfy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 9h4V5H3v4zm0 5h4v-4H3v4zm5 0h4v-4H8v4zm5 0h4v-4h-4v4zM8 9h4V5H8v4zm5-4v4h4V5h-4zm5 9h4v-4h-4v4zM3 19h4v-4H3v4zm5 0h4v-4H8v4zm5 0h4v-4h-4v4zm5 0h4v-4h-4v4zm0-14v4h4V5h-4z"}}]})(props);
};
function MdViewCompact (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 19h6v-7H3v7zm7 0h12v-7H10v7zM3 5v6h19V5H3z"}}]})(props);
};
function MdVignette (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-9 15c-4.42 0-8-2.69-8-6s3.58-6 8-6 8 2.69 8 6-3.58 6-8 6z"}}]})(props);
};
function MdWbAuto (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6.85 12.65h2.3L8 9l-1.15 3.65zM22 7l-1.2 6.29L19.3 7h-1.6l-1.49 6.29L15 7h-.76C12.77 5.17 10.53 4 8 4c-4.42 0-8 3.58-8 8s3.58 8 8 8c3.13 0 5.84-1.81 7.15-4.43l.1.43H17l1.5-6.1L20 16h1.75l2.05-9H22zm-11.7 9l-.7-2H6.4l-.7 2H3.8L7 7h2l3.2 9h-1.9z"}}]})(props);
};
function MdWbCloudy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.36 10.04C18.67 6.59 15.64 4 12 4 9.11 4 6.6 5.64 5.35 8.04 2.34 8.36 0 10.91 0 14c0 3.31 2.69 6 6 6h13c2.76 0 5-2.24 5-5 0-2.64-2.05-4.78-4.64-4.96z"}}]})(props);
};
function MdWbIncandescent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3.55 18.54l1.41 1.41 1.79-1.8-1.41-1.41-1.79 1.8zM11 22.45h2V19.5h-2v2.95zM4 10.5H1v2h3v-2zm11-4.19V1.5H9v4.81C7.21 7.35 6 9.28 6 11.5c0 3.31 2.69 6 6 6s6-2.69 6-6c0-2.22-1.21-4.15-3-5.19zm5 4.19v2h3v-2h-3zm-2.76 7.66l1.79 1.8 1.41-1.41-1.8-1.79-1.4 1.4z"}}]})(props);
};
function MdWbIridescent (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 14.5h14v-6H5v6zM11 .55V3.5h2V.55h-2zm8.04 2.5l-1.79 1.79 1.41 1.41 1.8-1.79-1.42-1.41zM13 22.45V19.5h-2v2.95h2zm7.45-3.91l-1.8-1.79-1.41 1.41 1.79 1.8 1.42-1.42zM3.55 4.46l1.79 1.79 1.41-1.41-1.79-1.79-1.41 1.41zm1.41 15.49l1.79-1.8-1.41-1.41-1.79 1.79 1.41 1.42z"}}]})(props);
};
function MdWbSunny (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6.76 4.84l-1.8-1.79-1.41 1.41 1.79 1.79 1.42-1.41zM4 10.5H1v2h3v-2zm9-9.95h-2V3.5h2V.55zm7.45 3.91l-1.41-1.41-1.79 1.79 1.41 1.41 1.79-1.79zm-3.21 13.7l1.79 1.8 1.41-1.41-1.8-1.79-1.4 1.4zM20 10.5v2h3v-2h-3zm-8-5c-3.31 0-6 2.69-6 6s2.69 6 6 6 6-2.69 6-6-2.69-6-6-6zm-1 16.95h2V19.5h-2v2.95zm-7.45-3.91l1.41 1.41 1.79-1.8-1.41-1.41-1.79 1.8z"}}]})(props);
};
function MdAddLocation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C8.14 2 5 5.14 5 9c0 5.25 7 13 7 13s7-7.75 7-13c0-3.86-3.14-7-7-7zm4 8h-3v3h-2v-3H8V8h3V5h2v3h3v2z"}}]})(props);
};
function MdBeenhere (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 1H5c-1.1 0-1.99.9-1.99 2L3 15.93c0 .69.35 1.3.88 1.66L12 23l8.11-5.41c.53-.36.88-.97.88-1.66L21 3c0-1.1-.9-2-2-2zm-9 15l-5-5 1.41-1.41L10 13.17l7.59-7.59L19 7l-9 9z"}}]})(props);
};
function MdDirections (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.71 11.29l-9-9c-.39-.39-1.02-.39-1.41 0l-9 9c-.39.39-.39 1.02 0 1.41l9 9c.39.39 1.02.39 1.41 0l9-9c.39-.38.39-1.01 0-1.41zM14 14.5V12h-4v3H8v-4c0-.55.45-1 1-1h5V7.5l3.5 3.5-3.5 3.5z"}}]})(props);
};
function MdDirectionsBike (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.5 5.5c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zM5 12c-2.8 0-5 2.2-5 5s2.2 5 5 5 5-2.2 5-5-2.2-5-5-5zm0 8.5c-1.9 0-3.5-1.6-3.5-3.5s1.6-3.5 3.5-3.5 3.5 1.6 3.5 3.5-1.6 3.5-3.5 3.5zm5.8-10l2.4-2.4.8.8c1.3 1.3 3 2.1 5.1 2.1V9c-1.5 0-2.7-.6-3.6-1.5l-1.9-1.9c-.5-.4-1-.6-1.6-.6s-1.1.2-1.4.6L7.8 8.4c-.4.4-.6.9-.6 1.4 0 .6.2 1.1.6 1.4L11 14v5h2v-6.2l-2.2-2.3zM19 12c-2.8 0-5 2.2-5 5s2.2 5 5 5 5-2.2 5-5-2.2-5-5-5zm0 8.5c-1.9 0-3.5-1.6-3.5-3.5s1.6-3.5 3.5-3.5 3.5 1.6 3.5 3.5-1.6 3.5-3.5 3.5z"}}]})(props);
};
function MdDirectionsBoat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 21c-1.39 0-2.78-.47-4-1.32-2.44 1.71-5.56 1.71-8 0C6.78 20.53 5.39 21 4 21H2v2h2c1.38 0 2.74-.35 4-.99 2.52 1.29 5.48 1.29 8 0 1.26.65 2.62.99 4 .99h2v-2h-2zM3.95 19H4c1.6 0 3.02-.88 4-2 .98 1.12 2.4 2 4 2s3.02-.88 4-2c.98 1.12 2.4 2 4 2h.05l1.89-6.68c.08-.26.06-.54-.06-.78s-.34-.42-.6-.5L20 10.62V6c0-1.1-.9-2-2-2h-3V1H9v3H6c-1.1 0-2 .9-2 2v4.62l-1.29.42c-.26.08-.48.26-.6.5s-.15.52-.06.78L3.95 19zM6 6h12v3.97L12 8 6 9.97V6z"}}]})(props);
};
function MdDirectionsBus (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 16c0 .88.39 1.67 1 2.22V20c0 .55.45 1 1 1h1c.55 0 1-.45 1-1v-1h8v1c0 .55.45 1 1 1h1c.55 0 1-.45 1-1v-1.78c.61-.55 1-1.34 1-2.22V6c0-3.5-3.58-4-8-4s-8 .5-8 4v10zm3.5 1c-.83 0-1.5-.67-1.5-1.5S6.67 14 7.5 14s1.5.67 1.5 1.5S8.33 17 7.5 17zm9 0c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zm1.5-6H6V6h12v5z"}}]})(props);
};
function MdDirectionsCar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.92 6.01C18.72 5.42 18.16 5 17.5 5h-11c-.66 0-1.21.42-1.42 1.01L3 12v8c0 .55.45 1 1 1h1c.55 0 1-.45 1-1v-1h12v1c0 .55.45 1 1 1h1c.55 0 1-.45 1-1v-8l-2.08-5.99zM6.5 16c-.83 0-1.5-.67-1.5-1.5S5.67 13 6.5 13s1.5.67 1.5 1.5S7.33 16 6.5 16zm11 0c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zM5 11l1.5-4.5h11L19 11H5z"}}]})(props);
};
function MdDirectionsRailway (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 15.5C4 17.43 5.57 19 7.5 19L6 20.5v.5h12v-.5L16.5 19c1.93 0 3.5-1.57 3.5-3.5V5c0-3.5-3.58-4-8-4s-8 .5-8 4v10.5zm8 1.5c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zm6-7H6V5h12v5z"}}]})(props);
};
function MdDirectionsRun (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13.49 5.48c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zm-3.6 13.9l1-4.4 2.1 2v6h2v-7.5l-2.1-2 .6-3c1.3 1.5 3.3 2.5 5.5 2.5v-2c-1.9 0-3.5-1-4.3-2.4l-1-1.6c-.4-.6-1-1-1.7-1-.3 0-.5.1-.8.1l-5.2 2.2v4.7h2v-3.4l1.8-.7-1.6 8.1-4.9-1-.4 2 7 1.4z"}}]})(props);
};
function MdDirectionsSubway (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2c-4.42 0-8 .5-8 4v9.5C4 17.43 5.57 19 7.5 19L6 20.5v.5h12v-.5L16.5 19c1.93 0 3.5-1.57 3.5-3.5V6c0-3.5-3.58-4-8-4zM7.5 17c-.83 0-1.5-.67-1.5-1.5S6.67 14 7.5 14s1.5.67 1.5 1.5S8.33 17 7.5 17zm3.5-6H6V6h5v5zm5.5 6c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zm1.5-6h-5V6h5v5z"}}]})(props);
};
function MdDirectionsTransit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2c-4.42 0-8 .5-8 4v9.5C4 17.43 5.57 19 7.5 19L6 20.5v.5h12v-.5L16.5 19c1.93 0 3.5-1.57 3.5-3.5V6c0-3.5-3.58-4-8-4zM7.5 17c-.83 0-1.5-.67-1.5-1.5S6.67 14 7.5 14s1.5.67 1.5 1.5S8.33 17 7.5 17zm3.5-6H6V6h5v5zm5.5 6c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zm1.5-6h-5V6h5v5z"}}]})(props);
};
function MdDirectionsWalk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13.5 5.5c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zM9.8 8.9L7 23h2.1l1.8-8 2.1 2v6h2v-7.5l-2.1-2 .6-3C14.8 12 16.8 13 19 13v-2c-1.9 0-3.5-1-4.3-2.4l-1-1.6c-.4-.6-1-1-1.7-1-.3 0-.5.1-.8.1L6 8.3V13h2V9.6l1.8-.7"}}]})(props);
};
function MdEditLocation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C8.14 2 5 5.14 5 9c0 5.25 7 13 7 13s7-7.75 7-13c0-3.86-3.14-7-7-7zm-1.56 10H9v-1.44l3.35-3.34 1.43 1.43L10.44 12zm4.45-4.45l-.7.7-1.44-1.44.7-.7c.15-.15.39-.15.54 0l.9.9c.15.15.15.39 0 .54z"}}]})(props);
};
function MdEvStation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.77 7.23l.01-.01-3.72-3.72L15 4.56l2.11 2.11c-.94.36-1.61 1.26-1.61 2.33 0 1.38 1.12 2.5 2.5 2.5.36 0 .69-.08 1-.21v7.21c0 .55-.45 1-1 1s-1-.45-1-1V14c0-1.1-.9-2-2-2h-1V5c0-1.1-.9-2-2-2H6c-1.1 0-2 .9-2 2v16h10v-7.5h1.5v5c0 1.38 1.12 2.5 2.5 2.5s2.5-1.12 2.5-2.5V9c0-.69-.28-1.32-.73-1.77zM18 10c-.55 0-1-.45-1-1s.45-1 1-1 1 .45 1 1-.45 1-1 1zM8 18v-4.5H6L10 6v5h2l-4 7z"}}]})(props);
};
function MdFlight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10.18 9"}},{"tag":"path","attr":{"d":"M21 16v-2l-8-5V3.5c0-.83-.67-1.5-1.5-1.5S10 2.67 10 3.5V9l-8 5v2l8-2.5V19l-2 1.5V22l3.5-1 3.5 1v-1.5L13 19v-5.5l8 2.5z"}}]})(props);
};
function MdHotel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 13c1.66 0 3-1.34 3-3S8.66 7 7 7s-3 1.34-3 3 1.34 3 3 3zm12-6h-8v7H3V5H1v15h2v-3h18v3h2v-9c0-2.21-1.79-4-4-4z"}}]})(props);
};
function MdLayers (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.99 18.54l-7.37-5.73L3 14.07l9 7 9-7-1.63-1.27-7.38 5.74zM12 16l7.36-5.73L21 9l-9-7-9 7 1.63 1.27L12 16z"}}]})(props);
};
function MdLayersClear (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.81 14.99l1.19-.92-1.43-1.43-1.19.92 1.43 1.43zm-.45-4.72L21 9l-9-7-2.91 2.27 7.87 7.88 2.4-1.88zM3.27 1L2 2.27l4.22 4.22L3 9l1.63 1.27L12 16l2.1-1.63 1.43 1.43L12 18.54l-7.37-5.73L3 14.07l9 7 4.95-3.85L20.73 21 22 19.73 3.27 1z"}}]})(props);
};
function MdLocalActivity (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 12c0-1.1.9-2 2-2V6c0-1.1-.9-2-2-2H4c-1.1 0-1.99.9-1.99 2v4c1.1 0 1.99.9 1.99 2s-.89 2-2 2v4c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2v-4c-1.1 0-2-.9-2-2zm-4.42 4.8L12 14.5l-3.58 2.3 1.08-4.12-3.29-2.69 4.24-.25L12 5.8l1.54 3.95 4.24.25-3.29 2.69 1.09 4.11z"}}]})(props);
};
function MdLocalAirport (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 16v-2l-8-5V3.5c0-.83-.67-1.5-1.5-1.5S10 2.67 10 3.5V9l-8 5v2l8-2.5V19l-2 1.5V22l3.5-1 3.5 1v-1.5L13 19v-5.5l8 2.5z"}}]})(props);
};
function MdLocalAtm (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 17h2v-1h1c.55 0 1-.45 1-1v-3c0-.55-.45-1-1-1h-3v-1h4V8h-2V7h-2v1h-1c-.55 0-1 .45-1 1v3c0 .55.45 1 1 1h3v1H9v2h2v1zm9-13H4c-1.11 0-1.99.89-1.99 2L2 18c0 1.11.89 2 2 2h16c1.11 0 2-.89 2-2V6c0-1.11-.89-2-2-2zm0 14H4V6h16v12z"}}]})(props);
};
function MdLocalBar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 5V3H3v2l8 9v5H6v2h12v-2h-5v-5l8-9zM7.43 7L5.66 5h12.69l-1.78 2H7.43z"}}]})(props);
};
function MdLocalCafe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 3H4v10c0 2.21 1.79 4 4 4h6c2.21 0 4-1.79 4-4v-3h2c1.11 0 2-.89 2-2V5c0-1.11-.89-2-2-2zm0 5h-2V5h2v3zM2 21h18v-2H2v2z"}}]})(props);
};
function MdLocalCarWash (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 5c.83 0 1.5-.67 1.5-1.5 0-1-1.5-2.7-1.5-2.7s-1.5 1.7-1.5 2.7c0 .83.67 1.5 1.5 1.5zm-5 0c.83 0 1.5-.67 1.5-1.5 0-1-1.5-2.7-1.5-2.7s-1.5 1.7-1.5 2.7c0 .83.67 1.5 1.5 1.5zM7 5c.83 0 1.5-.67 1.5-1.5C8.5 2.5 7 .8 7 .8S5.5 2.5 5.5 3.5C5.5 4.33 6.17 5 7 5zm11.92 3.01C18.72 7.42 18.16 7 17.5 7h-11c-.66 0-1.21.42-1.42 1.01L3 14v8c0 .55.45 1 1 1h1c.55 0 1-.45 1-1v-1h12v1c0 .55.45 1 1 1h1c.55 0 1-.45 1-1v-8l-2.08-5.99zM6.5 18c-.83 0-1.5-.67-1.5-1.5S5.67 15 6.5 15s1.5.67 1.5 1.5S7.33 18 6.5 18zm11 0c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zM5 13l1.5-4.5h11L19 13H5z"}}]})(props);
};
function MdLocalConvenienceStore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 7V4H5v3H2v13h8v-4h4v4h8V7h-3zm-8 3H9v1h2v1H8V9h2V8H8V7h3v3zm5 2h-1v-2h-2V7h1v2h1V7h1v5z"}}]})(props);
};
function MdLocalDining (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8.1 13.34l2.83-2.83L3.91 3.5c-1.56 1.56-1.56 4.09 0 5.66l4.19 4.18zm6.78-1.81c1.53.71 3.68.21 5.27-1.38 1.91-1.91 2.28-4.65.81-6.12-1.46-1.46-4.2-1.1-6.12.81-1.59 1.59-2.09 3.74-1.38 5.27L3.7 19.87l1.41 1.41L12 14.41l6.88 6.88 1.41-1.41L13.41 13l1.47-1.47z"}}]})(props);
};
function MdLocalDrink (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 2l2.01 18.23C5.13 21.23 5.97 22 7 22h10c1.03 0 1.87-.77 1.99-1.77L21 2H3zm9 17c-1.66 0-3-1.34-3-3 0-2 3-5.4 3-5.4s3 3.4 3 5.4c0 1.66-1.34 3-3 3zm6.33-11H5.67l-.44-4h13.53l-.43 4z"}}]})(props);
};
function MdLocalFlorist (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 22c4.97 0 9-4.03 9-9-4.97 0-9 4.03-9 9zM5.6 10.25c0 1.38 1.12 2.5 2.5 2.5.53 0 1.01-.16 1.42-.44l-.02.19c0 1.38 1.12 2.5 2.5 2.5s2.5-1.12 2.5-2.5l-.02-.19c.4.28.89.44 1.42.44 1.38 0 2.5-1.12 2.5-2.5 0-1-.59-1.85-1.43-2.25.84-.4 1.43-1.25 1.43-2.25 0-1.38-1.12-2.5-2.5-2.5-.53 0-1.01.16-1.42.44l.02-.19C14.5 2.12 13.38 1 12 1S9.5 2.12 9.5 3.5l.02.19c-.4-.28-.89-.44-1.42-.44-1.38 0-2.5 1.12-2.5 2.5 0 1 .59 1.85 1.43 2.25-.84.4-1.43 1.25-1.43 2.25zM12 5.5c1.38 0 2.5 1.12 2.5 2.5s-1.12 2.5-2.5 2.5S9.5 9.38 9.5 8s1.12-2.5 2.5-2.5zM3 13c0 4.97 4.03 9 9 9 0-4.97-4.03-9-9-9z"}}]})(props);
};
function MdLocalGasStation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.77 7.23l.01-.01-3.72-3.72L15 4.56l2.11 2.11c-.94.36-1.61 1.26-1.61 2.33 0 1.38 1.12 2.5 2.5 2.5.36 0 .69-.08 1-.21v7.21c0 .55-.45 1-1 1s-1-.45-1-1V14c0-1.1-.9-2-2-2h-1V5c0-1.1-.9-2-2-2H6c-1.1 0-2 .9-2 2v16h10v-7.5h1.5v5c0 1.38 1.12 2.5 2.5 2.5s2.5-1.12 2.5-2.5V9c0-.69-.28-1.32-.73-1.77zM12 10H6V5h6v5zm6 0c-.55 0-1-.45-1-1s.45-1 1-1 1 .45 1 1-.45 1-1 1z"}}]})(props);
};
function MdLocalGroceryStore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 18c-1.1 0-1.99.9-1.99 2S5.9 22 7 22s2-.9 2-2-.9-2-2-2zM1 2v2h2l3.6 7.59-1.35 2.45c-.16.28-.25.61-.25.96 0 1.1.9 2 2 2h12v-2H7.42c-.14 0-.25-.11-.25-.25l.03-.12.9-1.63h7.45c.75 0 1.41-.41 1.75-1.03l3.58-6.49c.08-.14.12-.31.12-.48 0-.55-.45-1-1-1H5.21l-.94-2H1zm16 16c-1.1 0-1.99.9-1.99 2s.89 2 1.99 2 2-.9 2-2-.9-2-2-2z"}}]})(props);
};
function MdLocalHospital (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-1.99.9-1.99 2L3 19c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-1 11h-4v4h-4v-4H6v-4h4V6h4v4h4v4z"}}]})(props);
};
function MdLocalHotel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 13c1.66 0 3-1.34 3-3S8.66 7 7 7s-3 1.34-3 3 1.34 3 3 3zm12-6h-8v7H3V5H1v15h2v-3h18v3h2v-9c0-2.21-1.79-4-4-4z"}}]})(props);
};
function MdLocalLaundryService (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9.17 16.83c1.56 1.56 4.1 1.56 5.66 0 1.56-1.56 1.56-4.1 0-5.66l-5.66 5.66zM18 2.01L6 2c-1.11 0-2 .89-2 2v16c0 1.11.89 2 2 2h12c1.11 0 2-.89 2-2V4c0-1.11-.89-1.99-2-1.99zM10 4c.55 0 1 .45 1 1s-.45 1-1 1-1-.45-1-1 .45-1 1-1zM7 4c.55 0 1 .45 1 1s-.45 1-1 1-1-.45-1-1 .45-1 1-1zm5 16c-3.31 0-6-2.69-6-6s2.69-6 6-6 6 2.69 6 6-2.69 6-6 6z"}}]})(props);
};
function MdLocalLibrary (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 11.55C9.64 9.35 6.48 8 3 8v11c3.48 0 6.64 1.35 9 3.55 2.36-2.19 5.52-3.55 9-3.55V8c-3.48 0-6.64 1.35-9 3.55zM12 8c1.66 0 3-1.34 3-3s-1.34-3-3-3-3 1.34-3 3 1.34 3 3 3z"}}]})(props);
};
function MdLocalMall (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 6h-2c0-2.76-2.24-5-5-5S7 3.24 7 6H5c-1.1 0-1.99.9-1.99 2L3 20c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V8c0-1.1-.9-2-2-2zm-7-3c1.66 0 3 1.34 3 3H9c0-1.66 1.34-3 3-3zm0 10c-2.76 0-5-2.24-5-5h2c0 1.66 1.34 3 3 3s3-1.34 3-3h2c0 2.76-2.24 5-5 5z"}}]})(props);
};
function MdLocalMovies (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 3v2h-2V3H8v2H6V3H4v18h2v-2h2v2h8v-2h2v2h2V3h-2zM8 17H6v-2h2v2zm0-4H6v-2h2v2zm0-4H6V7h2v2zm10 8h-2v-2h2v2zm0-4h-2v-2h2v2zm0-4h-2V7h2v2z"}}]})(props);
};
function MdLocalOffer (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21.41 11.58l-9-9C12.05 2.22 11.55 2 11 2H4c-1.1 0-2 .9-2 2v7c0 .55.22 1.05.59 1.42l9 9c.36.36.86.58 1.41.58.55 0 1.05-.22 1.41-.59l7-7c.37-.36.59-.86.59-1.41 0-.55-.23-1.06-.59-1.42zM5.5 7C4.67 7 4 6.33 4 5.5S4.67 4 5.5 4 7 4.67 7 5.5 6.33 7 5.5 7z"}}]})(props);
};
function MdLocalParking (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 3H6v18h4v-6h3c3.31 0 6-2.69 6-6s-2.69-6-6-6zm.2 8H10V7h3.2c1.1 0 2 .9 2 2s-.9 2-2 2z"}}]})(props);
};
function MdLocalPharmacy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 5h-2.64l1.14-3.14L17.15 1l-1.46 4H3v2l2 6-2 6v2h18v-2l-2-6 2-6V5zm-5 9h-3v3h-2v-3H8v-2h3V9h2v3h3v2z"}}]})(props);
};
function MdLocalPhone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6.62 10.79c1.44 2.83 3.76 5.14 6.59 6.59l2.2-2.2c.27-.27.67-.36 1.02-.24 1.12.37 2.33.57 3.57.57.55 0 1 .45 1 1V20c0 .55-.45 1-1 1-9.39 0-17-7.61-17-17 0-.55.45-1 1-1h3.5c.55 0 1 .45 1 1 0 1.25.2 2.45.57 3.57.11.35.03.74-.25 1.02l-2.2 2.2z"}}]})(props);
};
function MdLocalPizza (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C8.43 2 5.23 3.54 3.01 6L12 22l8.99-16C18.78 3.55 15.57 2 12 2zM7 7c0-1.1.9-2 2-2s2 .9 2 2-.9 2-2 2-2-.9-2-2zm5 8c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"}}]})(props);
};
function MdLocalPlay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 12c0-1.1.9-2 2-2V6c0-1.1-.9-2-2-2H4c-1.1 0-1.99.9-1.99 2v4c1.1 0 1.99.9 1.99 2s-.89 2-2 2v4c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2v-4c-1.1 0-2-.9-2-2zm-4.42 4.8L12 14.5l-3.58 2.3 1.08-4.12-3.29-2.69 4.24-.25L12 5.8l1.54 3.95 4.24.25-3.29 2.69 1.09 4.11z"}}]})(props);
};
function MdLocalPostOffice (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm0 4l-8 5-8-5V6l8 5 8-5v2z"}}]})(props);
};
function MdLocalPrintshop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 8H5c-1.66 0-3 1.34-3 3v6h4v4h12v-4h4v-6c0-1.66-1.34-3-3-3zm-3 11H8v-5h8v5zm3-7c-.55 0-1-.45-1-1s.45-1 1-1 1 .45 1 1-.45 1-1 1zm-1-9H6v4h12V3z"}}]})(props);
};
function MdLocalSee (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"12","r":"3.2"}},{"tag":"path","attr":{"d":"M9 2L7.17 4H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2h-3.17L15 2H9zm3 15c-2.76 0-5-2.24-5-5s2.24-5 5-5 5 2.24 5 5-2.24 5-5 5z"}}]})(props);
};
function MdLocalShipping (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 8h-3V4H3c-1.1 0-2 .9-2 2v11h2c0 1.66 1.34 3 3 3s3-1.34 3-3h6c0 1.66 1.34 3 3 3s3-1.34 3-3h2v-5l-3-4zM6 18.5c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zm13.5-9l1.96 2.5H17V9.5h2.5zm-1.5 9c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5z"}}]})(props);
};
function MdLocalTaxi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.92 6.01C18.72 5.42 18.16 5 17.5 5H15V3H9v2H6.5c-.66 0-1.21.42-1.42 1.01L3 12v8c0 .55.45 1 1 1h1c.55 0 1-.45 1-1v-1h12v1c0 .55.45 1 1 1h1c.55 0 1-.45 1-1v-8l-2.08-5.99zM6.5 16c-.83 0-1.5-.67-1.5-1.5S5.67 13 6.5 13s1.5.67 1.5 1.5S7.33 16 6.5 16zm11 0c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zM5 11l1.5-4.5h11L19 11H5z"}}]})(props);
};
function MdMap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.5 3l-.16.03L15 5.1 9 3 3.36 4.9c-.21.07-.36.25-.36.48V20.5c0 .28.22.5.5.5l.16-.03L9 18.9l6 2.1 5.64-1.9c.21-.07.36-.25.36-.48V3.5c0-.28-.22-.5-.5-.5zM15 19l-6-2.11V5l6 2.11V19z"}}]})(props);
};
function MdMyLocation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 8c-2.21 0-4 1.79-4 4s1.79 4 4 4 4-1.79 4-4-1.79-4-4-4zm8.94 3c-.46-4.17-3.77-7.48-7.94-7.94V1h-2v2.06C6.83 3.52 3.52 6.83 3.06 11H1v2h2.06c.46 4.17 3.77 7.48 7.94 7.94V23h2v-2.06c4.17-.46 7.48-3.77 7.94-7.94H23v-2h-2.06zM12 19c-3.87 0-7-3.13-7-7s3.13-7 7-7 7 3.13 7 7-3.13 7-7 7z"}}]})(props);
};
function MdNavigation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2L4.5 20.29l.71.71L12 18l6.79 3 .71-.71z"}}]})(props);
};
function MdNearMe (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3L3 10.53v.98l6.84 2.65L12.48 21h.98L21 3z"}}]})(props);
};
function MdPersonPin (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 2H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h4l3 3 3-3h4c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-7 3.3c1.49 0 2.7 1.21 2.7 2.7 0 1.49-1.21 2.7-2.7 2.7-1.49 0-2.7-1.21-2.7-2.7 0-1.49 1.21-2.7 2.7-2.7zM18 16H6v-.9c0-2 4-3.1 6-3.1s6 1.1 6 3.1v.9z"}}]})(props);
};
function MdPersonPinCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C8.14 2 5 5.14 5 9c0 5.25 7 13 7 13s7-7.75 7-13c0-3.86-3.14-7-7-7zm0 2c1.1 0 2 .9 2 2 0 1.11-.9 2-2 2s-2-.89-2-2c0-1.1.9-2 2-2zm0 10c-1.67 0-3.14-.85-4-2.15.02-1.32 2.67-2.05 4-2.05s3.98.73 4 2.05c-.86 1.3-2.33 2.15-4 2.15z"}}]})(props);
};
function MdPinDrop (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 8c0-3.31-2.69-6-6-6S6 4.69 6 8c0 4.5 6 11 6 11s6-6.5 6-11zm-8 0c0-1.1.9-2 2-2s2 .9 2 2-.89 2-2 2c-1.1 0-2-.9-2-2zM5 20v2h14v-2H5z"}}]})(props);
};
function MdPlace (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C8.13 2 5 5.13 5 9c0 5.25 7 13 7 13s7-7.75 7-13c0-3.87-3.13-7-7-7zm0 9.5c-1.38 0-2.5-1.12-2.5-2.5s1.12-2.5 2.5-2.5 2.5 1.12 2.5 2.5-1.12 2.5-2.5 2.5z"}}]})(props);
};
function MdRateReview (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-1.99.9-1.99 2L2 22l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM6 14v-2.47l6.88-6.88c.2-.2.51-.2.71 0l1.77 1.77c.2.2.2.51 0 .71L8.47 14H6zm12 0h-7.5l2-2H18v2z"}}]})(props);
};
function MdRestaurant (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 9H9V2H7v7H5V2H3v7c0 2.12 1.66 3.84 3.75 3.97V22h2.5v-9.03C11.34 12.84 13 11.12 13 9V2h-2v7zm5-3v8h2.5v8H21V2c-2.76 0-5 2.24-5 4z"}}]})(props);
};
function MdRestaurantMenu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8.1 13.34l2.83-2.83L3.91 3.5c-1.56 1.56-1.56 4.09 0 5.66l4.19 4.18zm6.78-1.81c1.53.71 3.68.21 5.27-1.38 1.91-1.91 2.28-4.65.81-6.12-1.46-1.46-4.2-1.1-6.12.81-1.59 1.59-2.09 3.74-1.38 5.27L3.7 19.87l1.41 1.41L12 14.41l6.88 6.88 1.41-1.41L13.41 13l1.47-1.47z"}}]})(props);
};
function MdSatellite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM5 4.99h3C8 6.65 6.66 8 5 8V4.99zM5 12v-2c2.76 0 5-2.25 5-5.01h2C12 8.86 8.87 12 5 12zm0 6l3.5-4.5 2.5 3.01L14.5 12l4.5 6H5z"}}]})(props);
};
function MdStoreMallDirectory (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4H4v2h16V4zm1 10v-2l-1-5H4l-1 5v2h1v6h10v-6h4v6h2v-6h1zm-9 4H6v-4h6v4z"}}]})(props);
};
function MdStreetview (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12.56 14.33c-.34.27-.56.7-.56 1.17V21h7c1.1 0 2-.9 2-2v-5.98c-.94-.33-1.95-.52-3-.52-2.03 0-3.93.7-5.44 1.83z"}},{"tag":"circle","attr":{"cx":"18","cy":"6","r":"5"}},{"tag":"path","attr":{"d":"M11.5 6c0-1.08.27-2.1.74-3H5c-1.1 0-2 .9-2 2v14c0 .55.23 1.05.59 1.41l9.82-9.82C12.23 9.42 11.5 7.8 11.5 6z"}}]})(props);
};
function MdSubway (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"15.5","cy":"16","r":"1"}},{"tag":"circle","attr":{"cx":"8.5","cy":"16","r":"1"}},{"tag":"path","attr":{"d":"M7.01 9h10v5h-10zM17.8 2.8C16 2.09 13.86 2 12 2c-1.86 0-4 .09-5.8.8C3.53 3.84 2 6.05 2 8.86V22h20V8.86c0-2.81-1.53-5.02-4.2-6.06zm.2 13.08c0 1.45-1.18 2.62-2.63 2.62l1.13 1.12V20H15l-1.5-1.5h-2.83L9.17 20H7.5v-.38l1.12-1.12C7.18 18.5 6 17.32 6 15.88V9c0-2.63 3-3 6-3 3.32 0 6 .38 6 3v6.88z"}}]})(props);
};
function MdTerrain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14 6l-3.75 5 2.85 3.8-1.6 1.2C9.81 13.75 7 10 7 10l-6 8h22L14 6z"}}]})(props);
};
function MdTraffic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 10h-3V8.86c1.72-.45 3-2 3-3.86h-3V4c0-.55-.45-1-1-1H8c-.55 0-1 .45-1 1v1H4c0 1.86 1.28 3.41 3 3.86V10H4c0 1.86 1.28 3.41 3 3.86V15H4c0 1.86 1.28 3.41 3 3.86V20c0 .55.45 1 1 1h8c.55 0 1-.45 1-1v-1.14c1.72-.45 3-2 3-3.86h-3v-1.14c1.72-.45 3-2 3-3.86zm-8 9c-1.11 0-2-.9-2-2s.89-2 2-2c1.1 0 2 .9 2 2s-.89 2-2 2zm0-5c-1.11 0-2-.9-2-2s.89-2 2-2c1.1 0 2 .9 2 2s-.89 2-2 2zm0-5c-1.11 0-2-.9-2-2 0-1.11.89-2 2-2 1.1 0 2 .89 2 2 0 1.1-.89 2-2 2z"}}]})(props);
};
function MdTrain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2c-4 0-8 .5-8 4v9.5C4 17.43 5.57 19 7.5 19L6 20.5v.5h2.23l2-2H14l2 2h2v-.5L16.5 19c1.93 0 3.5-1.57 3.5-3.5V6c0-3.5-3.58-4-8-4zM7.5 17c-.83 0-1.5-.67-1.5-1.5S6.67 14 7.5 14s1.5.67 1.5 1.5S8.33 17 7.5 17zm3.5-7H6V6h5v4zm2 0V6h5v4h-5zm3.5 7c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5z"}}]})(props);
};
function MdTram (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 16.94V8.5c0-2.79-2.61-3.4-6.01-3.49l.76-1.51H17V2H7v1.5h4.75l-.76 1.52C7.86 5.11 5 5.73 5 8.5v8.44c0 1.45 1.19 2.66 2.59 2.97L6 21.5v.5h2.23l2-2H14l2 2h2v-.5L16.5 20h-.08c1.69 0 2.58-1.37 2.58-3.06zm-7 1.56c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zm5-4.5H7V9h10v5z"}}]})(props);
};
function MdTransferWithinAStation (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.49 15.5v-1.75L14 16.25l2.49 2.5V17H22v-1.5zm3.02 4.25H14v1.5h5.51V23L22 20.5 19.51 18zM9.5 5.5c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zM5.75 8.9L3 23h2.1l1.75-8L9 17v6h2v-7.55L8.95 13.4l.6-3C10.85 12 12.8 13 15 13v-2c-1.85 0-3.45-1-4.35-2.45l-.95-1.6C9.35 6.35 8.7 6 8 6c-.25 0-.5.05-.75.15L2 8.3V13h2V9.65l1.75-.75"}}]})(props);
};
function MdZoomOutMap (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 3l2.3 2.3-2.89 2.87 1.42 1.42L18.7 6.7 21 9V3zM3 9l2.3-2.3 2.87 2.89 1.42-1.42L6.7 5.3 9 3H3zm6 12l-2.3-2.3 2.89-2.87-1.42-1.42L5.3 17.3 3 15v6zm12-6l-2.3 2.3-2.87-2.89-1.42 1.42 2.89 2.87L15 21h6z"}}]})(props);
};
function MdApps (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 8h4V4H4v4zm6 12h4v-4h-4v4zm-6 0h4v-4H4v4zm0-6h4v-4H4v4zm6 0h4v-4h-4v4zm6-10v4h4V4h-4zm-6 4h4V4h-4v4zm6 6h4v-4h-4v4zm0 6h4v-4h-4v4z"}}]})(props);
};
function MdArrowBack (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 11H7.83l5.59-5.59L12 4l-8 8 8 8 1.41-1.41L7.83 13H20v-2z"}}]})(props);
};
function MdArrowDownward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 12l-1.41-1.41L13 16.17V4h-2v12.17l-5.58-5.59L4 12l8 8 8-8z"}}]})(props);
};
function MdArrowDropDown (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 10l5 5 5-5z"}}]})(props);
};
function MdArrowDropDownCircle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 12l-4-4h8l-4 4z"}}]})(props);
};
function MdArrowDropUp (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 14l5-5 5 5z"}}]})(props);
};
function MdArrowForward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 4l-1.41 1.41L16.17 11H4v2h12.17l-5.58 5.59L12 20l8-8z"}}]})(props);
};
function MdArrowUpward (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 12l1.41 1.41L11 7.83V20h2V7.83l5.58 5.59L20 12l-8-8-8 8z"}}]})(props);
};
function MdCancel (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.47 2 2 6.47 2 12s4.47 10 10 10 10-4.47 10-10S17.53 2 12 2zm5 13.59L15.59 17 12 13.41 8.41 17 7 15.59 10.59 12 7 8.41 8.41 7 12 10.59 15.59 7 17 8.41 13.41 12 17 15.59z"}}]})(props);
};
function MdCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 16.17L4.83 12l-1.42 1.41L9 19 21 7l-1.41-1.41z"}}]})(props);
};
function MdChevronLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.41 7.41L14 6l-6 6 6 6 1.41-1.41L10.83 12z"}}]})(props);
};
function MdChevronRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 6L8.59 7.41 13.17 12l-4.58 4.59L10 18l6-6z"}}]})(props);
};
function MdClose (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z"}}]})(props);
};
function MdExpandLess (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 8l-6 6 1.41 1.41L12 10.83l4.59 4.58L18 14z"}}]})(props);
};
function MdExpandMore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.59 8.59L12 13.17 7.41 8.59 6 10l6 6 6-6z"}}]})(props);
};
function MdFirstPage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.41 16.59L13.82 12l4.59-4.59L17 6l-6 6 6 6zM6 6h2v12H6z"}}]})(props);
};
function MdFullscreen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 14H5v5h5v-2H7v-3zm-2-4h2V7h3V5H5v5zm12 7h-3v2h5v-5h-2v3zM14 5v2h3v3h2V5h-5z"}}]})(props);
};
function MdFullscreenExit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 16h3v3h2v-5H5v2zm3-8H5v2h5V5H8v3zm6 11h2v-3h3v-2h-5v5zm2-11V5h-2v5h5V8h-3z"}}]})(props);
};
function MdLastPage (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5.59 7.41L10.18 12l-4.59 4.59L7 18l6-6-6-6zM16 6h2v12h-2z"}}]})(props);
};
function MdMenu (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 18h18v-2H3v2zm0-5h18v-2H3v2zm0-7v2h18V6H3z"}}]})(props);
};
function MdMoreHoriz (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6 10c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm12 0c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm-6 0c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2z"}}]})(props);
};
function MdMoreVert (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 8c1.1 0 2-.9 2-2s-.9-2-2-2-2 .9-2 2 .9 2 2 2zm0 2c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2zm0 6c-1.1 0-2 .9-2 2s.9 2 2 2 2-.9 2-2-.9-2-2-2z"}}]})(props);
};
function MdRefresh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17.65 6.35C16.2 4.9 14.21 4 12 4c-4.42 0-7.99 3.58-7.99 8s3.57 8 7.99 8c3.73 0 6.84-2.55 7.73-6h-2.08c-.82 2.33-3.04 4-5.65 4-3.31 0-6-2.69-6-6s2.69-6 6-6c1.66 0 3.14.69 4.22 1.78L13 11h7V4l-2.35 2.35z"}}]})(props);
};
function MdSubdirectoryArrowLeft (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11 9l1.42 1.42L8.83 14H18V4h2v12H8.83l3.59 3.58L11 21l-6-6 6-6z"}}]})(props);
};
function MdSubdirectoryArrowRight (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 15l-6 6-1.42-1.42L15.17 16H4V4h2v10h9.17l-3.59-3.58L13 9l6 6z"}}]})(props);
};
function MdUnfoldLess (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.41 18.59L8.83 20 12 16.83 15.17 20l1.41-1.41L12 14l-4.59 4.59zm9.18-13.18L15.17 4 12 7.17 8.83 4 7.41 5.41 12 10l4.59-4.59z"}}]})(props);
};
function MdUnfoldMore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 5.83L15.17 9l1.41-1.41L12 3 7.41 7.59 8.83 9 12 5.83zm0 12.34L8.83 15l-1.41 1.41L12 21l4.59-4.59L15.17 15 12 18.17z"}}]})(props);
};
function MdAdb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 16c0 3.87 3.13 7 7 7s7-3.13 7-7v-4H5v4zM16.12 4.37l2.1-2.1-.82-.83-2.3 2.31C14.16 3.28 13.12 3 12 3s-2.16.28-3.09.75L6.6 1.44l-.82.83 2.1 2.1C6.14 5.64 5 7.68 5 10v1h14v-1c0-2.32-1.14-4.36-2.88-5.63zM9 9c-.55 0-1-.45-1-1s.45-1 1-1 1 .45 1 1-.45 1-1 1zm6 0c-.55 0-1-.45-1-1s.45-1 1-1 1 .45 1 1-.45 1-1 1z"}}]})(props);
};
function MdAirlineSeatFlat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 11v2H9V7h9c2.21 0 4 1.79 4 4zM2 14v2h6v2h8v-2h6v-2H2zm5.14-1.9c1.16-1.19 1.14-3.08-.04-4.24-1.19-1.16-3.08-1.14-4.24.04-1.16 1.19-1.14 3.08.04 4.24 1.19 1.16 3.08 1.14 4.24-.04z"}}]})(props);
};
function MdAirlineSeatFlatAngled (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22.25 14.29l-.69 1.89L9.2 11.71l2.08-5.66 8.56 3.09c2.1.76 3.18 3.06 2.41 5.15zM1.5 12.14L8 14.48V19h8v-1.63L20.52 19l.69-1.89-19.02-6.86-.69 1.89zm5.8-1.94c1.49-.72 2.12-2.51 1.41-4C7.99 4.71 6.2 4.08 4.7 4.8c-1.49.71-2.12 2.5-1.4 4 .71 1.49 2.5 2.12 4 1.4z"}}]})(props);
};
function MdAirlineSeatIndividualSuite (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7 13c1.65 0 3-1.35 3-3S8.65 7 7 7s-3 1.35-3 3 1.35 3 3 3zm12-6h-8v7H3V7H1v10h22v-6c0-2.21-1.79-4-4-4z"}}]})(props);
};
function MdAirlineSeatLegroomExtra (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M4 12V3H2v9c0 2.76 2.24 5 5 5h6v-2H7c-1.66 0-3-1.34-3-3zm18.83 5.24c-.38-.72-1.29-.97-2.03-.63l-1.09.5-3.41-6.98c-.34-.68-1.03-1.12-1.79-1.12L11 9V3H5v8c0 1.66 1.34 3 3 3h7l3.41 7 3.72-1.7c.77-.36 1.1-1.3.7-2.06z"}}]})(props);
};
function MdAirlineSeatLegroomNormal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 12V3H3v9c0 2.76 2.24 5 5 5h6v-2H8c-1.66 0-3-1.34-3-3zm15.5 6H19v-7c0-1.1-.9-2-2-2h-5V3H6v8c0 1.65 1.35 3 3 3h7v7h4.5c.83 0 1.5-.67 1.5-1.5s-.67-1.5-1.5-1.5z"}}]})(props);
};
function MdAirlineSeatLegroomReduced (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.97 19.2c.18.96-.55 1.8-1.47 1.8H14v-3l1-4H9c-1.65 0-3-1.35-3-3V3h6v6h5c1.1 0 2 .9 2 2l-2 7h1.44c.73 0 1.39.49 1.53 1.2zM5 12V3H3v9c0 2.76 2.24 5 5 5h4v-2H8c-1.66 0-3-1.34-3-3z"}}]})(props);
};
function MdAirlineSeatReclineExtra (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5.35 5.64c-.9-.64-1.12-1.88-.49-2.79.63-.9 1.88-1.12 2.79-.49.9.64 1.12 1.88.49 2.79-.64.9-1.88 1.12-2.79.49zM16 19H8.93c-1.48 0-2.74-1.08-2.96-2.54L4 7H2l1.99 9.76C4.37 19.2 6.47 21 8.94 21H16v-2zm.23-4h-4.88l-1.03-4.1c1.58.89 3.28 1.54 5.15 1.22V9.99c-1.63.31-3.44-.27-4.69-1.25L9.14 7.47c-.23-.18-.49-.3-.76-.38-.32-.09-.66-.12-.99-.06h-.02c-1.23.22-2.05 1.39-1.84 2.61l1.35 5.92C7.16 16.98 8.39 18 9.83 18h6.85l3.82 3 1.5-1.5-5.77-4.5z"}}]})(props);
};
function MdAirlineSeatReclineNormal (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.59 5.41c-.78-.78-.78-2.05 0-2.83.78-.78 2.05-.78 2.83 0 .78.78.78 2.05 0 2.83-.79.79-2.05.79-2.83 0zM6 16V7H4v9c0 2.76 2.24 5 5 5h6v-2H9c-1.66 0-3-1.34-3-3zm14 4.07L14.93 15H11.5v-3.68c1.4 1.15 3.6 2.16 5.5 2.16v-2.16c-1.66.02-3.61-.87-4.67-2.04l-1.4-1.55c-.19-.21-.43-.38-.69-.5-.29-.14-.62-.23-.96-.23h-.03C8.01 7 7 8.01 7 9.25V15c0 1.66 1.34 3 3 3h5.07l3.5 3.5L20 20.07z"}}]})(props);
};
function MdBluetoothAudio (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14.24 12.01l2.32 2.32c.28-.72.44-1.51.44-2.33 0-.82-.16-1.59-.43-2.31l-2.33 2.32zm5.29-5.3l-1.26 1.26c.63 1.21.98 2.57.98 4.02s-.36 2.82-.98 4.02l1.2 1.2c.97-1.54 1.54-3.36 1.54-5.31-.01-1.89-.55-3.67-1.48-5.19zm-3.82 1L10 2H9v7.59L4.41 5 3 6.41 8.59 12 3 17.59 4.41 19 9 14.41V22h1l5.71-5.71-4.3-4.29 4.3-4.29zM11 5.83l1.88 1.88L11 9.59V5.83zm1.88 10.46L11 18.17v-3.76l1.88 1.88z"}}]})(props);
};
function MdConfirmationNumber (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 10V6c0-1.11-.9-2-2-2H4c-1.1 0-1.99.89-1.99 2v4c1.1 0 1.99.9 1.99 2s-.89 2-2 2v4c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2v-4c-1.1 0-2-.9-2-2s.9-2 2-2zm-9 7.5h-2v-2h2v2zm0-4.5h-2v-2h2v2zm0-4.5h-2v-2h2v2z"}}]})(props);
};
function MdDiscFull (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 16h2v-2h-2v2zm0-9v5h2V7h-2zM10 4c-4.42 0-8 3.58-8 8s3.58 8 8 8 8-3.58 8-8-3.58-8-8-8zm0 10c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"}}]})(props);
};
function MdDoNotDisturb (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.42 0-8-3.58-8-8 0-1.85.63-3.55 1.69-4.9L16.9 18.31C15.55 19.37 13.85 20 12 20zm6.31-3.1L7.1 5.69C8.45 4.63 10.15 4 12 4c4.42 0 8 3.58 8 8 0 1.85-.63 3.55-1.69 4.9z"}}]})(props);
};
function MdDoNotDisturbAlt (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.5 2 2 6.5 2 12s4.5 10 10 10 10-4.5 10-10S17.5 2 12 2zM4 12c0-4.4 3.6-8 8-8 1.8 0 3.5.6 4.9 1.7L5.7 16.9C4.6 15.5 4 13.8 4 12zm8 8c-1.8 0-3.5-.6-4.9-1.7L18.3 7.1C19.4 8.5 20 10.2 20 12c0 4.4-3.6 8-8 8z"}}]})(props);
};
function MdDoNotDisturbOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 11v2h-1.46l4.68 4.68C21.34 16.07 22 14.11 22 12c0-5.52-4.48-10-10-10-2.11 0-4.07.66-5.68 1.78L13.54 11H17zM2.27 2.27L1 3.54l2.78 2.78C2.66 7.93 2 9.89 2 12c0 5.52 4.48 10 10 10 2.11 0 4.07-.66 5.68-1.78L20.46 23l1.27-1.27L11 11 2.27 2.27zM7 13v-2h1.46l2 2H7z"}}]})(props);
};
function MdDoNotDisturbOn (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm5 11H7v-2h10v2z"}}]})(props);
};
function MdDriveEta (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.92 5.01C18.72 4.42 18.16 4 17.5 4h-11c-.66 0-1.21.42-1.42 1.01L3 11v8c0 .55.45 1 1 1h1c.55 0 1-.45 1-1v-1h12v1c0 .55.45 1 1 1h1c.55 0 1-.45 1-1v-8l-2.08-5.99zM6.5 15c-.83 0-1.5-.67-1.5-1.5S5.67 12 6.5 12s1.5.67 1.5 1.5S7.33 15 6.5 15zm11 0c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zM5 10l1.5-4.5h11L19 10H5z"}}]})(props);
};
function MdEnhancedEncryption (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 8h-1V6c0-2.76-2.24-5-5-5S7 3.24 7 6v2H6c-1.1 0-2 .9-2 2v10c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V10c0-1.1-.9-2-2-2zM8.9 6c0-1.71 1.39-3.1 3.1-3.1s3.1 1.39 3.1 3.1v2H8.9V6zM16 16h-3v3h-2v-3H8v-2h3v-3h2v3h3v2z"}}]})(props);
};
function MdEventAvailable (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.53 11.06L15.47 10l-4.88 4.88-2.12-2.12-1.06 1.06L10.59 17l5.94-5.94zM19 3h-1V1h-2v2H8V1H6v2H5c-1.11 0-1.99.9-1.99 2L3 19c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H5V8h14v11z"}}]})(props);
};
function MdEventBusy (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9.31 17l2.44-2.44L14.19 17l1.06-1.06-2.44-2.44 2.44-2.44L14.19 10l-2.44 2.44L9.31 10l-1.06 1.06 2.44 2.44-2.44 2.44L9.31 17zM19 3h-1V1h-2v2H8V1H6v2H5c-1.11 0-1.99.9-1.99 2L3 19c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H5V8h14v11z"}}]})(props);
};
function MdEventNote (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 10H7v2h10v-2zm2-7h-1V1h-2v2H8V1H6v2H5c-1.11 0-1.99.9-1.99 2L3 19c0 1.1.89 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm0 16H5V8h14v11zm-5-5H7v2h7v-2z"}}]})(props);
};
function MdFolderSpecial (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 6h-8l-2-2H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V8c0-1.1-.9-2-2-2zm-2.06 11L15 15.28 12.06 17l.78-3.33-2.59-2.24 3.41-.29L15 8l1.34 3.14 3.41.29-2.59 2.24.78 3.33z"}}]})(props);
};
function MdLiveTv (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 6h-7.59l3.29-3.29L16 2l-4 4-4-4-.71.71L10.59 6H3c-1.1 0-2 .89-2 2v12c0 1.1.9 2 2 2h18c1.1 0 2-.9 2-2V8c0-1.11-.9-2-2-2zm0 14H3V8h18v12zM9 10v8l7-4z"}}]})(props);
};
function MdMms (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-1.99.9-1.99 2L2 22l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM5 14l3.5-4.5 2.5 3.01L14.5 8l4.5 6H5z"}}]})(props);
};
function MdMore (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 3H7c-.69 0-1.23.35-1.59.88L0 12l5.41 8.11c.36.53.97.89 1.66.89H22c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM9 13.5c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zm5 0c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zm5 0c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5z"}}]})(props);
};
function MdNetworkCheck (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15.9 5c-.17 0-.32.09-.41.23l-.07.15-5.18 11.65c-.16.29-.26.61-.26.96 0 1.11.9 2.01 2.01 2.01.96 0 1.77-.68 1.96-1.59l.01-.03L16.4 5.5c0-.28-.22-.5-.5-.5zM1 9l2 2c2.88-2.88 6.79-4.08 10.53-3.62l1.19-2.68C9.89 3.84 4.74 5.27 1 9zm20 2l2-2c-1.64-1.64-3.55-2.82-5.59-3.57l-.53 2.82c1.5.62 2.9 1.53 4.12 2.75zm-4 4l2-2c-.8-.8-1.7-1.42-2.66-1.89l-.55 2.92c.42.27.83.59 1.21.97zM5 13l2 2c1.13-1.13 2.56-1.79 4.03-2l1.28-2.88c-2.63-.08-5.3.87-7.31 2.88z"}}]})(props);
};
function MdNetworkLocked (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19.5 10c.17 0 .33.03.5.05V1L1 20h13v-3c0-.89.39-1.68 1-2.23v-.27c0-2.48 2.02-4.5 4.5-4.5zm2.5 6v-1.5c0-1.38-1.12-2.5-2.5-2.5S17 13.12 17 14.5V16c-.55 0-1 .45-1 1v4c0 .55.45 1 1 1h5c.55 0 1-.45 1-1v-4c0-.55-.45-1-1-1zm-1 0h-3v-1.5c0-.83.67-1.5 1.5-1.5s1.5.67 1.5 1.5V16z"}}]})(props);
};
function MdNoEncryption (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 21.78L4.22 5 3 6.22l2.04 2.04C4.42 8.6 4 9.25 4 10v10c0 1.1.9 2 2 2h12c.23 0 .45-.05.66-.12L19.78 23 21 21.78zM8.9 6c0-1.71 1.39-3.1 3.1-3.1s3.1 1.39 3.1 3.1v2H9.66L20 18.34V10c0-1.1-.9-2-2-2h-1V6c0-2.76-2.24-5-5-5-2.56 0-4.64 1.93-4.94 4.4L8.9 7.24V6z"}}]})(props);
};
function MdOndemandVideo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.11 0-2 .89-2 2v12c0 1.1.89 2 2 2h5v2h8v-2h5c1.1 0 1.99-.9 1.99-2L23 5c0-1.11-.9-2-2-2zm0 14H3V5h18v12zm-5-6l-7 4V7z"}}]})(props);
};
function MdPersonalVideo (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M21 3H3c-1.11 0-2 .89-2 2v12c0 1.1.89 2 2 2h5v2h8v-2h5c1.1 0 1.99-.9 1.99-2L23 5c0-1.11-.9-2-2-2zm0 14H3V5h18v12z"}}]})(props);
};
function MdPhoneBluetoothSpeaker (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M14.71 9.5L17 7.21V11h.5l2.85-2.85L18.21 6l2.15-2.15L17.5 1H17v3.79L14.71 2.5l-.71.71L16.79 6 14 8.79l.71.71zM18 2.91l.94.94-.94.94V2.91zm0 4.3l.94.94-.94.94V7.21zm2 8.29c-1.25 0-2.45-.2-3.57-.57-.35-.11-.74-.03-1.02.24l-2.2 2.2c-2.83-1.44-5.15-3.75-6.59-6.59l2.2-2.21c.28-.26.36-.65.25-1C8.7 6.45 8.5 5.25 8.5 4c0-.55-.45-1-1-1H4c-.55 0-1 .45-1 1 0 9.39 7.61 17 17 17 .55 0 1-.45 1-1v-3.5c0-.55-.45-1-1-1z"}}]})(props);
};
function MdPhoneForwarded (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 11l5-5-5-5v3h-4v4h4v3zm2 4.5c-1.25 0-2.45-.2-3.57-.57-.35-.11-.74-.03-1.02.24l-2.2 2.2c-2.83-1.44-5.15-3.75-6.59-6.59l2.2-2.21c.28-.26.36-.65.25-1C8.7 6.45 8.5 5.25 8.5 4c0-.55-.45-1-1-1H4c-.55 0-1 .45-1 1 0 9.39 7.61 17 17 17 .55 0 1-.45 1-1v-3.5c0-.55-.45-1-1-1z"}}]})(props);
};
function MdPhoneInTalk (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 15.5c-1.25 0-2.45-.2-3.57-.57-.35-.11-.74-.03-1.02.24l-2.2 2.2c-2.83-1.44-5.15-3.75-6.59-6.59l2.2-2.21c.28-.26.36-.65.25-1C8.7 6.45 8.5 5.25 8.5 4c0-.55-.45-1-1-1H4c-.55 0-1 .45-1 1 0 9.39 7.61 17 17 17 .55 0 1-.45 1-1v-3.5c0-.55-.45-1-1-1zM19 12h2c0-4.97-4.03-9-9-9v2c3.87 0 7 3.13 7 7zm-4 0h2c0-2.76-2.24-5-5-5v2c1.66 0 3 1.34 3 3z"}}]})(props);
};
function MdPhoneLocked (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 15.5c-1.25 0-2.45-.2-3.57-.57-.35-.11-.74-.03-1.02.24l-2.2 2.2c-2.83-1.44-5.15-3.75-6.59-6.59l2.2-2.21c.28-.26.36-.65.25-1C8.7 6.45 8.5 5.25 8.5 4c0-.55-.45-1-1-1H4c-.55 0-1 .45-1 1 0 9.39 7.61 17 17 17 .55 0 1-.45 1-1v-3.5c0-.55-.45-1-1-1zM20 4v-.5C20 2.12 18.88 1 17.5 1S15 2.12 15 3.5V4c-.55 0-1 .45-1 1v4c0 .55.45 1 1 1h5c.55 0 1-.45 1-1V5c0-.55-.45-1-1-1zm-.8 0h-3.4v-.5c0-.94.76-1.7 1.7-1.7s1.7.76 1.7 1.7V4z"}}]})(props);
};
function MdPhoneMissed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M6.5 5.5L12 11l7-7-1-1-6 6-4.5-4.5H11V3H5v6h1.5V5.5zm17.21 11.17C20.66 13.78 16.54 12 12 12 7.46 12 3.34 13.78.29 16.67c-.18.18-.29.43-.29.71s.11.53.29.71l2.48 2.48c.18.18.43.29.71.29.27 0 .52-.11.7-.28.79-.74 1.69-1.36 2.66-1.85.33-.16.56-.5.56-.9v-3.1c1.45-.48 3-.73 4.6-.73 1.6 0 3.15.25 4.6.72v3.1c0 .39.23.74.56.9.98.49 1.87 1.12 2.67 1.85.18.18.43.28.7.28.28 0 .53-.11.71-.29l2.48-2.48c.18-.18.29-.43.29-.71s-.12-.52-.3-.7z"}}]})(props);
};
function MdPhonePaused (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 3h-2v7h2V3zm3 12.5c-1.25 0-2.45-.2-3.57-.57-.35-.11-.74-.03-1.02.24l-2.2 2.2c-2.83-1.44-5.15-3.75-6.59-6.59l2.2-2.21c.28-.26.36-.65.25-1C8.7 6.45 8.5 5.25 8.5 4c0-.55-.45-1-1-1H4c-.55 0-1 .45-1 1 0 9.39 7.61 17 17 17 .55 0 1-.45 1-1v-3.5c0-.55-.45-1-1-1zM19 3v7h2V3h-2z"}}]})(props);
};
function MdPower (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.01 7L16 3h-2v4h-4V3H8v4h-.01C7 6.99 6 7.99 6 8.99v5.49L9.5 18v3h5v-3l3.5-3.51v-5.5c0-1-1-2-1.99-1.99z"}}]})(props);
};
function MdPriorityHigh (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"12","cy":"19","r":"2"}},{"tag":"path","attr":{"d":"M10 3h4v12h-4z"}}]})(props);
};
function MdRvHookup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 17v-6c0-1.1-.9-2-2-2H7V7l-3 3 3 3v-2h4v3H4v3c0 1.1.9 2 2 2h2c0 1.66 1.34 3 3 3s3-1.34 3-3h8v-2h-2zm-9 3c-.55 0-1-.45-1-1s.45-1 1-1 1 .45 1 1-.45 1-1 1zm7-6h-4v-3h4v3zM17 2v2H9v2h8v2l3-3z"}}]})(props);
};
function MdSdCard (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 2h-8L4.02 8 4 20c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-6 6h-2V4h2v4zm3 0h-2V4h2v4zm3 0h-2V4h2v4z"}}]})(props);
};
function MdSimCardAlert (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 2h-8L4.02 8 4 20c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-5 15h-2v-2h2v2zm0-4h-2V8h2v5z"}}]})(props);
};
function MdSms (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-1.99.9-1.99 2L2 22l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zM9 11H7V9h2v2zm4 0h-2V9h2v2zm4 0h-2V9h2v2z"}}]})(props);
};
function MdSmsFailed (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-1.99.9-1.99 2L2 22l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-7 12h-2v-2h2v2zm0-4h-2V6h2v4z"}}]})(props);
};
function MdSync (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 4V1L8 5l4 4V6c3.31 0 6 2.69 6 6 0 1.01-.25 1.97-.7 2.8l1.46 1.46C19.54 15.03 20 13.57 20 12c0-4.42-3.58-8-8-8zm0 14c-3.31 0-6-2.69-6-6 0-1.01.25-1.97.7-2.8L5.24 7.74C4.46 8.97 4 10.43 4 12c0 4.42 3.58 8 8 8v3l4-4-4-4v3z"}}]})(props);
};
function MdSyncDisabled (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 6.35V4.26c-.8.21-1.55.54-2.23.96l1.46 1.46c.25-.12.5-.24.77-.33zm-7.14-.94l2.36 2.36C4.45 8.99 4 10.44 4 12c0 2.21.91 4.2 2.36 5.64L4 20h6v-6l-2.24 2.24C6.68 15.15 6 13.66 6 12c0-1 .25-1.94.68-2.77l8.08 8.08c-.25.13-.5.25-.77.34v2.09c.8-.21 1.55-.54 2.23-.96l2.36 2.36 1.27-1.27L4.14 4.14 2.86 5.41zM20 4h-6v6l2.24-2.24C17.32 8.85 18 10.34 18 12c0 1-.25 1.94-.68 2.77l1.46 1.46C19.55 15.01 20 13.56 20 12c0-2.21-.91-4.2-2.36-5.64L20 4z"}}]})(props);
};
function MdSyncProblem (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 12c0 2.21.91 4.2 2.36 5.64L3 20h6v-6l-2.24 2.24C5.68 15.15 5 13.66 5 12c0-2.61 1.67-4.83 4-5.65V4.26C5.55 5.15 3 8.27 3 12zm8 5h2v-2h-2v2zM21 4h-6v6l2.24-2.24C18.32 8.85 19 10.34 19 12c0 2.61-1.67 4.83-4 5.65v2.09c3.45-.89 6-4.01 6-7.74 0-2.21-.91-4.2-2.36-5.64L21 4zm-10 9h2V7h-2v6z"}}]})(props);
};
function MdSystemUpdate (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 1.01L7 1c-1.1 0-2 .9-2 2v18c0 1.1.9 2 2 2h10c1.1 0 2-.9 2-2V3c0-1.1-.9-1.99-2-1.99zM17 19H7V5h10v14zm-1-6h-3V8h-2v5H8l4 4 4-4z"}}]})(props);
};
function MdTapAndPlay (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 16v2c2.76 0 5 2.24 5 5h2c0-3.87-3.13-7-7-7zm0 4v3h3c0-1.66-1.34-3-3-3zm0-8v2c4.97 0 9 4.03 9 9h2c0-6.08-4.92-11-11-11zM17 1.01L7 1c-1.1 0-2 .9-2 2v7.37c.69.16 1.36.37 2 .64V5h10v13h-3.03c.52 1.25.84 2.59.95 4H17c1.1 0 2-.9 2-2V3c0-1.1-.9-1.99-2-1.99z"}}]})(props);
};
function MdTimeToLeave (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.92 5.01C18.72 4.42 18.16 4 17.5 4h-11c-.66 0-1.21.42-1.42 1.01L3 11v8c0 .55.45 1 1 1h1c.55 0 1-.45 1-1v-1h12v1c0 .55.45 1 1 1h1c.55 0 1-.45 1-1v-8l-2.08-5.99zM6.5 15c-.83 0-1.5-.67-1.5-1.5S5.67 12 6.5 12s1.5.67 1.5 1.5S7.33 15 6.5 15zm11 0c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zM5 10l1.5-4.5h11L19 10H5z"}}]})(props);
};
function MdVibration (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M0 15h2V9H0v6zm3 2h2V7H3v10zm19-8v6h2V9h-2zm-3 8h2V7h-2v10zM16.5 3h-9C6.67 3 6 3.67 6 4.5v15c0 .83.67 1.5 1.5 1.5h9c.83 0 1.5-.67 1.5-1.5v-15c0-.83-.67-1.5-1.5-1.5zM16 19H8V5h8v14z"}}]})(props);
};
function MdVoiceChat (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 2H4c-1.1 0-1.99.9-1.99 2L2 22l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-2 12l-4-3.2V14H6V6h8v3.2L18 6v8z"}}]})(props);
};
function MdVpnLock (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 4v-.5C22 2.12 20.88 1 19.5 1S17 2.12 17 3.5V4c-.55 0-1 .45-1 1v4c0 .55.45 1 1 1h5c.55 0 1-.45 1-1V5c0-.55-.45-1-1-1zm-.8 0h-3.4v-.5c0-.94.76-1.7 1.7-1.7s1.7.76 1.7 1.7V4zm-2.28 8c.04.33.08.66.08 1 0 2.08-.8 3.97-2.1 5.39-.26-.81-1-1.39-1.9-1.39h-1v-3c0-.55-.45-1-1-1H7v-2h2c.55 0 1-.45 1-1V8h2c1.1 0 2-.9 2-2V3.46c-.95-.3-1.95-.46-3-.46C5.48 3 1 7.48 1 13s4.48 10 10 10 10-4.48 10-10c0-.34-.02-.67-.05-1h-2.03zM10 20.93c-3.95-.49-7-3.85-7-7.93 0-.62.08-1.21.21-1.79L8 16v1c0 1.1.9 2 2 2v1.93z"}}]})(props);
};
function MdWc (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5.5 22v-7.5H4V9c0-1.1.9-2 2-2h3c1.1 0 2 .9 2 2v5.5H9.5V22h-4zM18 22v-6h3l-2.54-7.63C18.18 7.55 17.42 7 16.56 7h-.12c-.86 0-1.63.55-1.9 1.37L12 16h3v6h3zM7.5 6c1.11 0 2-.89 2-2s-.89-2-2-2-2 .89-2 2 .89 2 2 2zm9 0c1.11 0 2-.89 2-2s-.89-2-2-2-2 .89-2 2 .89 2 2 2z"}}]})(props);
};
function MdWifi (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M1 9l2 2c4.97-4.97 13.03-4.97 18 0l2-2C16.93 2.93 7.08 2.93 1 9zm8 8l3 3 3-3c-1.65-1.66-4.34-1.66-6 0zm-4-4l2 2c2.76-2.76 7.24-2.76 10 0l2-2C15.14 9.14 8.87 9.14 5 13z"}}]})(props);
};
function MdAcUnit (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 11h-4.17l3.24-3.24-1.41-1.42L15 11h-2V9l4.66-4.66-1.42-1.41L13 6.17V2h-2v4.17L7.76 2.93 6.34 4.34 11 9v2H9L4.34 6.34 2.93 7.76 6.17 11H2v2h4.17l-3.24 3.24 1.41 1.42L9 13h2v2l-4.66 4.66 1.42 1.41L11 17.83V22h2v-4.17l3.24 3.24 1.42-1.41L13 15v-2h2l4.66 4.66 1.41-1.42L17.83 13H22z"}}]})(props);
};
function MdAirportShuttle (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M17 5H3c-1.1 0-2 .89-2 2v9h2c0 1.65 1.34 3 3 3s3-1.35 3-3h5.5c0 1.65 1.34 3 3 3s3-1.35 3-3H23v-5l-6-6zM3 11V7h4v4H3zm3 6.5c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zm7-6.5H9V7h4v4zm4.5 6.5c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zM15 11V7h1l4 4h-5z"}}]})(props);
};
function MdAllInclusive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18.6 6.62c-1.44 0-2.8.56-3.77 1.53L12 10.66 10.48 12h.01L7.8 14.39c-.64.64-1.49.99-2.4.99-1.87 0-3.39-1.51-3.39-3.38S3.53 8.62 5.4 8.62c.91 0 1.76.35 2.44 1.03l1.13 1 1.51-1.34L9.22 8.2C8.2 7.18 6.84 6.62 5.4 6.62 2.42 6.62 0 9.04 0 12s2.42 5.38 5.4 5.38c1.44 0 2.8-.56 3.77-1.53l2.83-2.5.01.01L13.52 12h-.01l2.69-2.39c.64-.64 1.49-.99 2.4-.99 1.87 0 3.39 1.51 3.39 3.38s-1.52 3.38-3.39 3.38c-.9 0-1.76-.35-2.44-1.03l-1.14-1.01-1.51 1.34 1.27 1.12c1.02 1.01 2.37 1.57 3.82 1.57 2.98 0 5.4-2.41 5.4-5.38s-2.42-5.37-5.4-5.37z"}}]})(props);
};
function MdBeachAccess (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13.127 14.56l1.43-1.43 6.44 6.443L19.57 21zm4.293-5.73l2.86-2.86c-3.95-3.95-10.35-3.96-14.3-.02 3.93-1.3 8.31-.25 11.44 2.88zM5.95 5.98c-3.94 3.95-3.93 10.35.02 14.3l2.86-2.86C5.7 14.29 4.65 9.91 5.95 5.98zm.02-.02l-.01.01c-.38 3.01 1.17 6.88 4.3 10.02l5.73-5.73c-3.13-3.13-7.01-4.68-10.02-4.3z"}}]})(props);
};
function MdBusinessCenter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 16v-1H3.01L3 19c0 1.11.89 2 2 2h14c1.11 0 2-.89 2-2v-4h-7v1h-4zm10-9h-4.01V5l-2-2h-4l-2 2v2H4c-1.1 0-2 .9-2 2v3c0 1.11.89 2 2 2h6v-2h4v2h6c1.1 0 2-.9 2-2V9c0-1.1-.9-2-2-2zm-6 0h-4V5h4v2z"}}]})(props);
};
function MdCasino (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM7.5 18c-.83 0-1.5-.67-1.5-1.5S6.67 15 7.5 15s1.5.67 1.5 1.5S8.33 18 7.5 18zm0-9C6.67 9 6 8.33 6 7.5S6.67 6 7.5 6 9 6.67 9 7.5 8.33 9 7.5 9zm4.5 4.5c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zm4.5 4.5c-.83 0-1.5-.67-1.5-1.5s.67-1.5 1.5-1.5 1.5.67 1.5 1.5-.67 1.5-1.5 1.5zm0-9c-.83 0-1.5-.67-1.5-1.5S15.67 6 16.5 6s1.5.67 1.5 1.5S17.33 9 16.5 9z"}}]})(props);
};
function MdChildCare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"14.5","cy":"10.5","r":"1.25"}},{"tag":"circle","attr":{"cx":"9.5","cy":"10.5","r":"1.25"}},{"tag":"path","attr":{"d":"M22.94 12.66c.04-.21.06-.43.06-.66s-.02-.45-.06-.66c-.25-1.51-1.36-2.74-2.81-3.17-.53-1.12-1.28-2.1-2.19-2.91C16.36 3.85 14.28 3 12 3s-4.36.85-5.94 2.26c-.92.81-1.67 1.8-2.19 2.91-1.45.43-2.56 1.65-2.81 3.17-.04.21-.06.43-.06.66s.02.45.06.66c.25 1.51 1.36 2.74 2.81 3.17.52 1.11 1.27 2.09 2.17 2.89C7.62 20.14 9.71 21 12 21s4.38-.86 5.97-2.28c.9-.8 1.65-1.79 2.17-2.89 1.44-.43 2.55-1.65 2.8-3.17zM19 14c-.1 0-.19-.02-.29-.03-.2.67-.49 1.29-.86 1.86C16.6 17.74 14.45 19 12 19s-4.6-1.26-5.85-3.17c-.37-.57-.66-1.19-.86-1.86-.1.01-.19.03-.29.03-1.1 0-2-.9-2-2s.9-2 2-2c.1 0 .19.02.29.03.2-.67.49-1.29.86-1.86C7.4 6.26 9.55 5 12 5s4.6 1.26 5.85 3.17c.37.57.66 1.19.86 1.86.1-.01.19-.03.29-.03 1.1 0 2 .9 2 2s-.9 2-2 2zM7.5 14c.76 1.77 2.49 3 4.5 3s3.74-1.23 4.5-3h-9z"}}]})(props);
};
function MdChildFriendly (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13 2v8h8c0-4.42-3.58-8-8-8zm6.32 13.89C20.37 14.54 21 12.84 21 11H6.44l-.95-2H2v2h2.22s1.89 4.07 2.12 4.42c-1.1.59-1.84 1.75-1.84 3.08C4.5 20.43 6.07 22 8 22c1.76 0 3.22-1.3 3.46-3h2.08c.24 1.7 1.7 3 3.46 3 1.93 0 3.5-1.57 3.5-3.5 0-1.04-.46-1.97-1.18-2.61zM8 20c-.83 0-1.5-.67-1.5-1.5S7.17 17 8 17s1.5.67 1.5 1.5S8.83 20 8 20zm9 0c-.83 0-1.5-.67-1.5-1.5S16.17 17 17 17s1.5.67 1.5 1.5S17.83 20 17 20z"}}]})(props);
};
function MdFitnessCenter (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20.57 14.86L22 13.43 20.57 12 17 15.57 8.43 7 12 3.43 10.57 2 9.14 3.43 7.71 2 5.57 4.14 4.14 2.71 2.71 4.14l1.43 1.43L2 7.71l1.43 1.43L2 10.57 3.43 12 7 8.43 15.57 17 12 20.57 13.43 22l1.43-1.43L16.29 22l2.14-2.14 1.43 1.43 1.43-1.43-1.43-1.43L22 16.29z"}}]})(props);
};
function MdFreeBreakfast (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 3H4v10c0 2.21 1.79 4 4 4h6c2.21 0 4-1.79 4-4v-3h2c1.11 0 2-.9 2-2V5c0-1.11-.89-2-2-2zm0 5h-2V5h2v3zM4 19h16v2H4z"}}]})(props);
};
function MdGolfCourse (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"19.5","cy":"19.5","r":"1.5"}},{"tag":"path","attr":{"d":"M17 5.92L9 2v18H7v-1.73c-1.79.35-3 .99-3 1.73 0 1.1 2.69 2 6 2s6-.9 6-2c0-.99-2.16-1.81-5-1.97V8.98l6-3.06z"}}]})(props);
};
function MdHotTub (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"7","cy":"6","r":"2"}},{"tag":"path","attr":{"d":"M11.15 12c-.31-.22-.59-.46-.82-.72l-1.4-1.55c-.19-.21-.43-.38-.69-.5-.29-.14-.62-.23-.96-.23h-.03C6.01 9 5 10.01 5 11.25V12H2v8c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2v-8H11.15zM7 20H5v-6h2v6zm4 0H9v-6h2v6zm4 0h-2v-6h2v6zm4 0h-2v-6h2v6zm-.35-14.14l-.07-.07c-.57-.62-.82-1.41-.67-2.2L18 3h-1.89l-.06.43c-.2 1.36.27 2.71 1.3 3.72l.07.06c.57.62.82 1.41.67 2.2l-.11.59h1.91l.06-.43c.21-1.36-.27-2.71-1.3-3.71zm-4 0l-.07-.07c-.57-.62-.82-1.41-.67-2.2L14 3h-1.89l-.06.43c-.2 1.36.27 2.71 1.3 3.72l.07.06c.57.62.82 1.41.67 2.2l-.11.59h1.91l.06-.43c.21-1.36-.27-2.71-1.3-3.71z"}}]})(props);
};
function MdKitchen (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 2.01L6 2c-1.1 0-2 .89-2 2v16c0 1.1.9 2 2 2h12c1.1 0 2-.9 2-2V4c0-1.11-.9-1.99-2-1.99zM18 20H6v-9.02h12V20zm0-11H6V4h12v5zM8 5h2v3H8zm0 7h2v5H8z"}}]})(props);
};
function MdPool (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 21c-1.11 0-1.73-.37-2.18-.64-.37-.22-.6-.36-1.15-.36-.56 0-.78.13-1.15.36-.46.27-1.07.64-2.18.64s-1.73-.37-2.18-.64c-.37-.22-.6-.36-1.15-.36-.56 0-.78.13-1.15.36-.46.27-1.08.64-2.19.64-1.11 0-1.73-.37-2.18-.64-.37-.23-.6-.36-1.15-.36s-.78.13-1.15.36c-.46.27-1.08.64-2.19.64v-2c.56 0 .78-.13 1.15-.36.46-.27 1.08-.64 2.19-.64s1.73.37 2.18.64c.37.23.59.36 1.15.36.56 0 .78-.13 1.15-.36.46-.27 1.08-.64 2.19-.64 1.11 0 1.73.37 2.18.64.37.22.6.36 1.15.36s.78-.13 1.15-.36c.45-.27 1.07-.64 2.18-.64s1.73.37 2.18.64c.37.23.59.36 1.15.36v2zm0-4.5c-1.11 0-1.73-.37-2.18-.64-.37-.22-.6-.36-1.15-.36-.56 0-.78.13-1.15.36-.45.27-1.07.64-2.18.64s-1.73-.37-2.18-.64c-.37-.22-.6-.36-1.15-.36-.56 0-.78.13-1.15.36-.45.27-1.07.64-2.18.64s-1.73-.37-2.18-.64c-.37-.22-.6-.36-1.15-.36s-.78.13-1.15.36c-.47.27-1.09.64-2.2.64v-2c.56 0 .78-.13 1.15-.36.45-.27 1.07-.64 2.18-.64s1.73.37 2.18.64c.37.22.6.36 1.15.36.56 0 .78-.13 1.15-.36.45-.27 1.07-.64 2.18-.64s1.73.37 2.18.64c.37.22.6.36 1.15.36s.78-.13 1.15-.36c.45-.27 1.07-.64 2.18-.64s1.73.37 2.18.64c.37.22.6.36 1.15.36v2zM8.67 12c.56 0 .78-.13 1.15-.36.46-.27 1.08-.64 2.19-.64 1.11 0 1.73.37 2.18.64.37.22.6.36 1.15.36s.78-.13 1.15-.36c.12-.07.26-.15.41-.23L10.48 5C8.93 3.45 7.5 2.99 5 3v2.5c1.82-.01 2.89.39 4 1.5l1 1-3.25 3.25c.31.12.56.27.77.39.37.23.59.36 1.15.36z"}},{"tag":"circle","attr":{"cx":"16.5","cy":"5.5","r":"2.5"}}]})(props);
};
function MdRoomService (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 17h20v2H2zm11.84-9.21c.1-.24.16-.51.16-.79 0-1.1-.9-2-2-2s-2 .9-2 2c0 .28.06.55.16.79C6.25 8.6 3.27 11.93 3 16h18c-.27-4.07-3.25-7.4-7.16-8.21z"}}]})(props);
};
function MdSmokeFree (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 6l6.99 7H2v3h9.99l7 7 1.26-1.25-17-17zm18.5 7H22v3h-1.5zM18 13h1.5v3H18zm.85-8.12c.62-.61 1-1.45 1-2.38h-1.5c0 1.02-.83 1.85-1.85 1.85v1.5c2.24 0 4 1.83 4 4.07V12H22V9.92c0-2.23-1.28-4.15-3.15-5.04zM14.5 8.7h1.53c1.05 0 1.97.74 1.97 2.05V12h1.5v-1.59c0-1.8-1.6-3.16-3.47-3.16H14.5c-1.02 0-1.85-.98-1.85-2s.83-1.75 1.85-1.75V2c-1.85 0-3.35 1.5-3.35 3.35s1.5 3.35 3.35 3.35zm2.5 7.23V13h-2.93z"}}]})(props);
};
function MdSmokingRooms (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M2 16h15v3H2zm18.5 0H22v3h-1.5zM18 16h1.5v3H18zm.85-8.27c.62-.61 1-1.45 1-2.38C19.85 3.5 18.35 2 16.5 2v1.5c1.02 0 1.85.83 1.85 1.85S17.52 7.2 16.5 7.2v1.5c2.24 0 4 1.83 4 4.07V15H22v-2.24c0-2.22-1.28-4.14-3.15-5.03zm-2.82 2.47H14.5c-1.02 0-1.85-.98-1.85-2s.83-1.75 1.85-1.75v-1.5c-1.85 0-3.35 1.5-3.35 3.35s1.5 3.35 3.35 3.35h1.53c1.05 0 1.97.74 1.97 2.05V15h1.5v-1.64c0-1.81-1.6-3.16-3.47-3.16z"}}]})(props);
};
function MdSpa (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8.55 12c-1.07-.71-2.25-1.27-3.53-1.61 1.28.34 2.46.9 3.53 1.61zm10.43-1.61c-1.29.34-2.49.91-3.57 1.64 1.08-.73 2.28-1.3 3.57-1.64z"}},{"tag":"path","attr":{"d":"M15.49 9.63c-.18-2.79-1.31-5.51-3.43-7.63-2.14 2.14-3.32 4.86-3.55 7.63 1.28.68 2.46 1.56 3.49 2.63 1.03-1.06 2.21-1.94 3.49-2.63zm-6.5 2.65c-.14-.1-.3-.19-.45-.29.15.11.31.19.45.29zm6.42-.25c-.13.09-.27.16-.4.26.13-.1.27-.17.4-.26zM12 15.45C9.85 12.17 6.18 10 2 10c0 5.32 3.36 9.82 8.03 11.49.63.23 1.29.4 1.97.51.68-.12 1.33-.29 1.97-.51C18.64 19.82 22 15.32 22 10c-4.18 0-7.85 2.17-10 5.45z"}}]})(props);
};
function MdCake (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 6c1.11 0 2-.9 2-2 0-.38-.1-.73-.29-1.03L12 0l-1.71 2.97c-.19.3-.29.65-.29 1.03 0 1.1.9 2 2 2zm4.6 9.99l-1.07-1.07-1.08 1.07c-1.3 1.3-3.58 1.31-4.89 0l-1.07-1.07-1.09 1.07C6.75 16.64 5.88 17 4.96 17c-.73 0-1.4-.23-1.96-.61V21c0 .55.45 1 1 1h16c.55 0 1-.45 1-1v-4.61c-.56.38-1.23.61-1.96.61-.92 0-1.79-.36-2.44-1.01zM18 9h-5V7h-2v2H6c-1.66 0-3 1.34-3 3v1.54c0 1.08.88 1.96 1.96 1.96.52 0 1.02-.2 1.38-.57l2.14-2.13 2.13 2.13c.74.74 2.03.74 2.77 0l2.14-2.13 2.13 2.13c.37.37.86.57 1.38.57 1.08 0 1.96-.88 1.96-1.96V12C21 10.34 19.66 9 18 9z"}}]})(props);
};
function MdDomain (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 7V3H2v18h20V7H12zM6 19H4v-2h2v2zm0-4H4v-2h2v2zm0-4H4V9h2v2zm0-4H4V5h2v2zm4 12H8v-2h2v2zm0-4H8v-2h2v2zm0-4H8V9h2v2zm0-4H8V5h2v2zm10 12h-8v-2h2v-2h-2v-2h2v-2h-2V9h8v10zm-2-8h-2v2h2v-2zm0 4h-2v2h2v-2z"}}]})(props);
};
function MdGroup (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16 11c1.66 0 2.99-1.34 2.99-3S17.66 5 16 5c-1.66 0-3 1.34-3 3s1.34 3 3 3zm-8 0c1.66 0 2.99-1.34 2.99-3S9.66 5 8 5C6.34 5 5 6.34 5 8s1.34 3 3 3zm0 2c-2.33 0-7 1.17-7 3.5V19h14v-2.5c0-2.33-4.67-3.5-7-3.5zm8 0c-.29 0-.62.02-.97.05 1.16.84 1.97 1.97 1.97 3.45V19h6v-2.5c0-2.33-4.67-3.5-7-3.5z"}}]})(props);
};
function MdGroupAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M8 10H5V7H3v3H0v2h3v3h2v-3h3v-2zm10 1c1.66 0 2.99-1.34 2.99-3S19.66 5 18 5c-.32 0-.63.05-.91.14.57.81.9 1.79.9 2.86s-.34 2.04-.9 2.86c.28.09.59.14.91.14zm-5 0c1.66 0 2.99-1.34 2.99-3S14.66 5 13 5c-1.66 0-3 1.34-3 3s1.34 3 3 3zm6.62 2.16c.83.73 1.38 1.66 1.38 2.84v2h3v-2c0-1.54-2.37-2.49-4.38-2.84zM13 13c-2 0-6 1-6 3v2h12v-2c0-2-4-3-6-3z"}}]})(props);
};
function MdLocationCity (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 11V5l-3-3-3 3v2H3v14h18V11h-6zm-8 8H5v-2h2v2zm0-4H5v-2h2v2zm0-4H5V9h2v2zm6 8h-2v-2h2v2zm0-4h-2v-2h2v2zm0-4h-2V9h2v2zm0-4h-2V5h2v2zm6 12h-2v-2h2v2zm0-4h-2v-2h2v2z"}}]})(props);
};
function MdMood (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm3.5-9c.83 0 1.5-.67 1.5-1.5S16.33 8 15.5 8 14 8.67 14 9.5s.67 1.5 1.5 1.5zm-7 0c.83 0 1.5-.67 1.5-1.5S9.33 8 8.5 8 7 8.67 7 9.5 7.67 11 8.5 11zm3.5 6.5c2.33 0 4.31-1.46 5.11-3.5H6.89c.8 2.04 2.78 3.5 5.11 3.5z"}}]})(props);
};
function MdMoodBad (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm3.5-9c.83 0 1.5-.67 1.5-1.5S16.33 8 15.5 8 14 8.67 14 9.5s.67 1.5 1.5 1.5zm-7 0c.83 0 1.5-.67 1.5-1.5S9.33 8 8.5 8 7 8.67 7 9.5 7.67 11 8.5 11zm3.5 3c-2.33 0-4.31 1.46-5.11 3.5h10.22c-.8-2.04-2.78-3.5-5.11-3.5z"}}]})(props);
};
function MdNotifications (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 22c1.1 0 2-.9 2-2h-4c0 1.1.89 2 2 2zm6-6v-5c0-3.07-1.64-5.64-4.5-6.32V4c0-.83-.67-1.5-1.5-1.5s-1.5.67-1.5 1.5v.68C7.63 5.36 6 7.92 6 11v5l-2 2v1h16v-1l-2-2z"}}]})(props);
};
function MdNotificationsActive (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M7.58 4.08L6.15 2.65C3.75 4.48 2.17 7.3 2.03 10.5h2c.15-2.65 1.51-4.97 3.55-6.42zm12.39 6.42h2c-.15-3.2-1.73-6.02-4.12-7.85l-1.42 1.43c2.02 1.45 3.39 3.77 3.54 6.42zM18 11c0-3.07-1.64-5.64-4.5-6.32V4c0-.83-.67-1.5-1.5-1.5s-1.5.67-1.5 1.5v.68C7.63 5.36 6 7.92 6 11v5l-2 2v1h16v-1l-2-2v-5zm-6 11c.14 0 .27-.01.4-.04.65-.14 1.18-.58 1.44-1.18.1-.24.15-.5.15-.78h-4c.01 1.1.9 2 2.01 2z"}}]})(props);
};
function MdNotificationsNone (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 22c1.1 0 2-.9 2-2h-4c0 1.1.9 2 2 2zm6-6v-5c0-3.07-1.63-5.64-4.5-6.32V4c0-.83-.67-1.5-1.5-1.5s-1.5.67-1.5 1.5v.68C7.64 5.36 6 7.92 6 11v5l-2 2v1h16v-1l-2-2zm-2 1H8v-6c0-2.48 1.51-4.5 4-4.5s4 2.02 4 4.5v6z"}}]})(props);
};
function MdNotificationsOff (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 18.69L7.84 6.14 5.27 3.49 4 4.76l2.8 2.8v.01c-.52.99-.8 2.16-.8 3.42v5l-2 2v1h13.73l2 2L21 19.72l-1-1.03zM12 22c1.11 0 2-.89 2-2h-4c0 1.11.89 2 2 2zm6-7.32V11c0-3.08-1.64-5.64-4.5-6.32V4c0-.83-.67-1.5-1.5-1.5s-1.5.67-1.5 1.5v.68c-.15.03-.29.08-.42.12-.1.03-.2.07-.3.11h-.01c-.01 0-.01 0-.02.01-.23.09-.46.2-.68.31 0 0-.01 0-.01.01L18 14.68z"}}]})(props);
};
function MdNotificationsPaused (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 22c1.1 0 2-.9 2-2h-4c0 1.1.89 2 2 2zm6-6v-5c0-3.07-1.64-5.64-4.5-6.32V4c0-.83-.67-1.5-1.5-1.5s-1.5.67-1.5 1.5v.68C7.63 5.36 6 7.93 6 11v5l-2 2v1h16v-1l-2-2zm-3.5-6.2l-2.8 3.4h2.8V15h-5v-1.8l2.8-3.4H9.5V8h5v1.8z"}}]})(props);
};
function MdPages (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M3 5v6h5L7 7l4 1V3H5c-1.1 0-2 .9-2 2zm5 8H3v6c0 1.1.9 2 2 2h6v-5l-4 1 1-4zm9 4l-4-1v5h6c1.1 0 2-.9 2-2v-6h-5l1 4zm2-14h-6v5l4-1-1 4h5V5c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdPartyMode (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M20 4h-3.17L15 2H9L7.17 4H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2zm-8 3c1.63 0 3.06.79 3.98 2H12c-1.66 0-3 1.34-3 3 0 .35.07.69.18 1H7.1c-.06-.32-.1-.66-.1-1 0-2.76 2.24-5 5-5zm0 10c-1.63 0-3.06-.79-3.98-2H12c1.66 0 3-1.34 3-3 0-.35-.07-.69-.18-1h2.08c.07.32.1.66.1 1 0 2.76-2.24 5-5 5z"}}]})(props);
};
function MdPeople (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16 11c1.66 0 2.99-1.34 2.99-3S17.66 5 16 5c-1.66 0-3 1.34-3 3s1.34 3 3 3zm-8 0c1.66 0 2.99-1.34 2.99-3S9.66 5 8 5C6.34 5 5 6.34 5 8s1.34 3 3 3zm0 2c-2.33 0-7 1.17-7 3.5V19h14v-2.5c0-2.33-4.67-3.5-7-3.5zm8 0c-.29 0-.62.02-.97.05 1.16.84 1.97 1.97 1.97 3.45V19h6v-2.5c0-2.33-4.67-3.5-7-3.5z"}}]})(props);
};
function MdPeopleOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M16.5 13c-1.2 0-3.07.34-4.5 1-1.43-.67-3.3-1-4.5-1C5.33 13 1 14.08 1 16.25V19h22v-2.75c0-2.17-4.33-3.25-6.5-3.25zm-4 4.5h-10v-1.25c0-.54 2.56-1.75 5-1.75s5 1.21 5 1.75v1.25zm9 0H14v-1.25c0-.46-.2-.86-.52-1.22.88-.3 1.96-.53 3.02-.53 2.44 0 5 1.21 5 1.75v1.25zM7.5 12c1.93 0 3.5-1.57 3.5-3.5S9.43 5 7.5 5 4 6.57 4 8.5 5.57 12 7.5 12zm0-5.5c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2 .9-2 2-2zm9 5.5c1.93 0 3.5-1.57 3.5-3.5S18.43 5 16.5 5 13 6.57 13 8.5s1.57 3.5 3.5 3.5zm0-5.5c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2 .9-2 2-2z"}}]})(props);
};
function MdPerson (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 12c2.21 0 4-1.79 4-4s-1.79-4-4-4-4 1.79-4 4 1.79 4 4 4zm0 2c-2.67 0-8 1.34-8 4v2h16v-2c0-2.66-5.33-4-8-4z"}}]})(props);
};
function MdPersonAdd (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M15 12c2.21 0 4-1.79 4-4s-1.79-4-4-4-4 1.79-4 4 1.79 4 4 4zm-9-2V7H4v3H1v2h3v3h2v-3h3v-2H6zm9 4c-2.67 0-8 1.34-8 4v2h16v-2c0-2.66-5.33-4-8-4z"}}]})(props);
};
function MdPersonOutline (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 5.9c1.16 0 2.1.94 2.1 2.1s-.94 2.1-2.1 2.1S9.9 9.16 9.9 8s.94-2.1 2.1-2.1m0 9c2.97 0 6.1 1.46 6.1 2.1v1.1H5.9V17c0-.64 3.13-2.1 6.1-2.1M12 4C9.79 4 8 5.79 8 8s1.79 4 4 4 4-1.79 4-4-1.79-4-4-4zm0 9c-2.67 0-8 1.34-8 4v3h16v-3c0-2.66-5.33-4-8-4z"}}]})(props);
};
function MdPlusOne (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M10 8H8v4H4v2h4v4h2v-4h4v-2h-4zm4.5-1.92V7.9l2.5-.5V18h2V5z"}}]})(props);
};
function MdPoll (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zM9 17H7v-7h2v7zm4 0h-2V7h2v10zm4 0h-2v-4h2v4z"}}]})(props);
};
function MdPublic (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm-1 17.93c-3.95-.49-7-3.85-7-7.93 0-.62.08-1.21.21-1.79L9 15v1c0 1.1.9 2 2 2v1.93zm6.9-2.54c-.26-.81-1-1.39-1.9-1.39h-1v-3c0-.55-.45-1-1-1H8v-2h2c.55 0 1-.45 1-1V7h2c1.1 0 2-.9 2-2v-.41c2.93 1.19 5 4.06 5 7.41 0 2.08-.8 3.97-2.1 5.39z"}}]})(props);
};
function MdSchool (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M5 13.18v4L12 21l7-3.82v-4L12 17l-7-3.82zM12 3L1 9l11 6 9-4.91V17h2V9L12 3z"}}]})(props);
};
function MdSentimentDissatisfied (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"15.5","cy":"9.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"8.5","cy":"9.5","r":"1.5"}},{"tag":"path","attr":{"d":"M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm0-6c-2.33 0-4.32 1.45-5.12 3.5h1.67c.69-1.19 1.97-2 3.45-2s2.75.81 3.45 2h1.67c-.8-2.05-2.79-3.5-5.12-3.5z"}}]})(props);
};
function MdSentimentNeutral (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M9 14h6v1.5H9z"}},{"tag":"circle","attr":{"cx":"15.5","cy":"9.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"8.5","cy":"9.5","r":"1.5"}},{"tag":"path","attr":{"d":"M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8z"}}]})(props);
};
function MdSentimentSatisfied (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"circle","attr":{"cx":"15.5","cy":"9.5","r":"1.5"}},{"tag":"circle","attr":{"cx":"8.5","cy":"9.5","r":"1.5"}},{"tag":"path","attr":{"d":"M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm0-4c-1.48 0-2.75-.81-3.45-2H6.88c.8 2.05 2.79 3.5 5.12 3.5s4.32-1.45 5.12-3.5h-1.67c-.7 1.19-1.97 2-3.45 2z"}}]})(props);
};
function MdSentimentVeryDissatisfied (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.99 2C6.47 2 2 6.47 2 12s4.47 10 9.99 10S22 17.53 22 12 17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm4.18-12.24l-1.06 1.06-1.06-1.06L13 8.82l1.06 1.06L13 10.94 14.06 12l1.06-1.06L16.18 12l1.06-1.06-1.06-1.06 1.06-1.06zM7.82 12l1.06-1.06L9.94 12 11 10.94 9.94 9.88 11 8.82 9.94 7.76 8.88 8.82 7.82 7.76 6.76 8.82l1.06 1.06-1.06 1.06zM12 14c-2.33 0-4.31 1.46-5.11 3.5h10.22c-.8-2.04-2.78-3.5-5.11-3.5z"}}]})(props);
};
function MdSentimentVerySatisfied (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M11.99 2C6.47 2 2 6.47 2 12s4.47 10 9.99 10S22 17.53 22 12 17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8zm1-10.06L14.06 11l1.06-1.06L16.18 11l1.06-1.06-2.12-2.12zm-4.12 0L9.94 11 11 9.94 8.88 7.82 6.76 9.94 7.82 11zM12 17.5c2.33 0 4.31-1.46 5.11-3.5H6.89c.8 2.04 2.78 3.5 5.11 3.5z"}}]})(props);
};
function MdShare (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M18 16.08c-.76 0-1.44.3-1.96.77L8.91 12.7c.05-.23.09-.46.09-.7s-.04-.47-.09-.7l7.05-4.11c.54.5 1.25.81 2.04.81 1.66 0 3-1.34 3-3s-1.34-3-3-3-3 1.34-3 3c0 .24.04.47.09.7L8.04 9.81C7.5 9.31 6.79 9 6 9c-1.66 0-3 1.34-3 3s1.34 3 3 3c.79 0 1.5-.31 2.04-.81l7.12 4.16c-.05.21-.08.43-.08.65 0 1.61 1.31 2.92 2.92 2.92 1.61 0 2.92-1.31 2.92-2.92s-1.31-2.92-2.92-2.92z"}}]})(props);
};
function MdWhatshot (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M13.5.67s.74 2.65.74 4.8c0 2.06-1.35 3.73-3.41 3.73-2.07 0-3.63-1.67-3.63-3.73l.03-.36C5.21 7.51 4 10.62 4 14c0 4.42 3.58 8 8 8s8-3.58 8-8C20 8.61 17.41 3.8 13.5.67zM11.71 19c-1.78 0-3.22-1.4-3.22-3.14 0-1.62 1.05-2.76 2.81-3.12 1.77-.36 3.6-1.21 4.62-2.58.39 1.29.59 2.65.59 4.04 0 2.65-2.15 4.8-4.8 4.8z"}}]})(props);
};
function MdCheckBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.11 0-2 .9-2 2v14c0 1.1.89 2 2 2h14c1.11 0 2-.9 2-2V5c0-1.1-.89-2-2-2zm-9 14l-5-5 1.41-1.41L10 14.17l7.59-7.59L19 8l-9 9z"}}]})(props);
};
function MdCheckBoxOutlineBlank (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 5v14H5V5h14m0-2H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2z"}}]})(props);
};
function MdIndeterminateCheckBox (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M19 3H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h14c1.1 0 2-.9 2-2V5c0-1.1-.9-2-2-2zm-2 10H7v-2h10v2z"}}]})(props);
};
function MdRadioButtonChecked (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 7c-2.76 0-5 2.24-5 5s2.24 5 5 5 5-2.24 5-5-2.24-5-5-5zm0-5C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8z"}}]})(props);
};
function MdRadioButtonUnchecked (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm0 18c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8z"}}]})(props);
};
function MdStar (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M12 17.27L18.18 21l-1.64-7.03L22 9.24l-7.19-.61L12 2 9.19 8.63 2 9.24l5.46 4.73L5.82 21z"}}]})(props);
};
function MdStarBorder (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 9.24l-7.19-.62L12 2 9.19 8.63 2 9.24l5.46 4.73L5.82 21 12 17.27 18.18 21l-1.63-7.03L22 9.24zM12 15.4l-3.76 2.27 1-4.28-3.32-2.88 4.38-.38L12 6.1l1.71 4.04 4.38.38-3.32 2.88 1 4.28L12 15.4z"}}]})(props);
};
function MdStarHalf (props) {
  return (0,_lib__WEBPACK_IMPORTED_MODULE_0__.GenIcon)({"tag":"svg","attr":{"viewBox":"0 0 24 24"},"child":[{"tag":"path","attr":{"d":"M22 9.24l-7.19-.62L12 2 9.19 8.63 2 9.24l5.46 4.73L5.82 21 12 17.27 18.18 21l-1.63-7.03L22 9.24zM12 15.4V6.1l1.71 4.04 4.38.38-3.32 2.88 1 4.28L12 15.4z"}}]})(props);
};


/***/ }),

/***/ "./node_modules/react-is/cjs/react-is.development.js":
/*!***********************************************************!*\
  !*** ./node_modules/react-is/cjs/react-is.development.js ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";
/** @license React v16.13.1
 * react-is.development.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */





if (true) {
  (function() {
'use strict';

// The Symbol used to tag the ReactElement-like types. If there is no native Symbol
// nor polyfill, then a plain number is used for performance.
var hasSymbol = typeof Symbol === 'function' && Symbol.for;
var REACT_ELEMENT_TYPE = hasSymbol ? Symbol.for('react.element') : 0xeac7;
var REACT_PORTAL_TYPE = hasSymbol ? Symbol.for('react.portal') : 0xeaca;
var REACT_FRAGMENT_TYPE = hasSymbol ? Symbol.for('react.fragment') : 0xeacb;
var REACT_STRICT_MODE_TYPE = hasSymbol ? Symbol.for('react.strict_mode') : 0xeacc;
var REACT_PROFILER_TYPE = hasSymbol ? Symbol.for('react.profiler') : 0xead2;
var REACT_PROVIDER_TYPE = hasSymbol ? Symbol.for('react.provider') : 0xeacd;
var REACT_CONTEXT_TYPE = hasSymbol ? Symbol.for('react.context') : 0xeace; // TODO: We don't use AsyncMode or ConcurrentMode anymore. They were temporary
// (unstable) APIs that have been removed. Can we remove the symbols?

var REACT_ASYNC_MODE_TYPE = hasSymbol ? Symbol.for('react.async_mode') : 0xeacf;
var REACT_CONCURRENT_MODE_TYPE = hasSymbol ? Symbol.for('react.concurrent_mode') : 0xeacf;
var REACT_FORWARD_REF_TYPE = hasSymbol ? Symbol.for('react.forward_ref') : 0xead0;
var REACT_SUSPENSE_TYPE = hasSymbol ? Symbol.for('react.suspense') : 0xead1;
var REACT_SUSPENSE_LIST_TYPE = hasSymbol ? Symbol.for('react.suspense_list') : 0xead8;
var REACT_MEMO_TYPE = hasSymbol ? Symbol.for('react.memo') : 0xead3;
var REACT_LAZY_TYPE = hasSymbol ? Symbol.for('react.lazy') : 0xead4;
var REACT_BLOCK_TYPE = hasSymbol ? Symbol.for('react.block') : 0xead9;
var REACT_FUNDAMENTAL_TYPE = hasSymbol ? Symbol.for('react.fundamental') : 0xead5;
var REACT_RESPONDER_TYPE = hasSymbol ? Symbol.for('react.responder') : 0xead6;
var REACT_SCOPE_TYPE = hasSymbol ? Symbol.for('react.scope') : 0xead7;

function isValidElementType(type) {
  return typeof type === 'string' || typeof type === 'function' || // Note: its typeof might be other than 'symbol' or 'number' if it's a polyfill.
  type === REACT_FRAGMENT_TYPE || type === REACT_CONCURRENT_MODE_TYPE || type === REACT_PROFILER_TYPE || type === REACT_STRICT_MODE_TYPE || type === REACT_SUSPENSE_TYPE || type === REACT_SUSPENSE_LIST_TYPE || typeof type === 'object' && type !== null && (type.$$typeof === REACT_LAZY_TYPE || type.$$typeof === REACT_MEMO_TYPE || type.$$typeof === REACT_PROVIDER_TYPE || type.$$typeof === REACT_CONTEXT_TYPE || type.$$typeof === REACT_FORWARD_REF_TYPE || type.$$typeof === REACT_FUNDAMENTAL_TYPE || type.$$typeof === REACT_RESPONDER_TYPE || type.$$typeof === REACT_SCOPE_TYPE || type.$$typeof === REACT_BLOCK_TYPE);
}

function typeOf(object) {
  if (typeof object === 'object' && object !== null) {
    var $$typeof = object.$$typeof;

    switch ($$typeof) {
      case REACT_ELEMENT_TYPE:
        var type = object.type;

        switch (type) {
          case REACT_ASYNC_MODE_TYPE:
          case REACT_CONCURRENT_MODE_TYPE:
          case REACT_FRAGMENT_TYPE:
          case REACT_PROFILER_TYPE:
          case REACT_STRICT_MODE_TYPE:
          case REACT_SUSPENSE_TYPE:
            return type;

          default:
            var $$typeofType = type && type.$$typeof;

            switch ($$typeofType) {
              case REACT_CONTEXT_TYPE:
              case REACT_FORWARD_REF_TYPE:
              case REACT_LAZY_TYPE:
              case REACT_MEMO_TYPE:
              case REACT_PROVIDER_TYPE:
                return $$typeofType;

              default:
                return $$typeof;
            }

        }

      case REACT_PORTAL_TYPE:
        return $$typeof;
    }
  }

  return undefined;
} // AsyncMode is deprecated along with isAsyncMode

var AsyncMode = REACT_ASYNC_MODE_TYPE;
var ConcurrentMode = REACT_CONCURRENT_MODE_TYPE;
var ContextConsumer = REACT_CONTEXT_TYPE;
var ContextProvider = REACT_PROVIDER_TYPE;
var Element = REACT_ELEMENT_TYPE;
var ForwardRef = REACT_FORWARD_REF_TYPE;
var Fragment = REACT_FRAGMENT_TYPE;
var Lazy = REACT_LAZY_TYPE;
var Memo = REACT_MEMO_TYPE;
var Portal = REACT_PORTAL_TYPE;
var Profiler = REACT_PROFILER_TYPE;
var StrictMode = REACT_STRICT_MODE_TYPE;
var Suspense = REACT_SUSPENSE_TYPE;
var hasWarnedAboutDeprecatedIsAsyncMode = false; // AsyncMode should be deprecated

function isAsyncMode(object) {
  {
    if (!hasWarnedAboutDeprecatedIsAsyncMode) {
      hasWarnedAboutDeprecatedIsAsyncMode = true; // Using console['warn'] to evade Babel and ESLint

      console['warn']('The ReactIs.isAsyncMode() alias has been deprecated, ' + 'and will be removed in React 17+. Update your code to use ' + 'ReactIs.isConcurrentMode() instead. It has the exact same API.');
    }
  }

  return isConcurrentMode(object) || typeOf(object) === REACT_ASYNC_MODE_TYPE;
}
function isConcurrentMode(object) {
  return typeOf(object) === REACT_CONCURRENT_MODE_TYPE;
}
function isContextConsumer(object) {
  return typeOf(object) === REACT_CONTEXT_TYPE;
}
function isContextProvider(object) {
  return typeOf(object) === REACT_PROVIDER_TYPE;
}
function isElement(object) {
  return typeof object === 'object' && object !== null && object.$$typeof === REACT_ELEMENT_TYPE;
}
function isForwardRef(object) {
  return typeOf(object) === REACT_FORWARD_REF_TYPE;
}
function isFragment(object) {
  return typeOf(object) === REACT_FRAGMENT_TYPE;
}
function isLazy(object) {
  return typeOf(object) === REACT_LAZY_TYPE;
}
function isMemo(object) {
  return typeOf(object) === REACT_MEMO_TYPE;
}
function isPortal(object) {
  return typeOf(object) === REACT_PORTAL_TYPE;
}
function isProfiler(object) {
  return typeOf(object) === REACT_PROFILER_TYPE;
}
function isStrictMode(object) {
  return typeOf(object) === REACT_STRICT_MODE_TYPE;
}
function isSuspense(object) {
  return typeOf(object) === REACT_SUSPENSE_TYPE;
}

exports.AsyncMode = AsyncMode;
exports.ConcurrentMode = ConcurrentMode;
exports.ContextConsumer = ContextConsumer;
exports.ContextProvider = ContextProvider;
exports.Element = Element;
exports.ForwardRef = ForwardRef;
exports.Fragment = Fragment;
exports.Lazy = Lazy;
exports.Memo = Memo;
exports.Portal = Portal;
exports.Profiler = Profiler;
exports.StrictMode = StrictMode;
exports.Suspense = Suspense;
exports.isAsyncMode = isAsyncMode;
exports.isConcurrentMode = isConcurrentMode;
exports.isContextConsumer = isContextConsumer;
exports.isContextProvider = isContextProvider;
exports.isElement = isElement;
exports.isForwardRef = isForwardRef;
exports.isFragment = isFragment;
exports.isLazy = isLazy;
exports.isMemo = isMemo;
exports.isPortal = isPortal;
exports.isProfiler = isProfiler;
exports.isStrictMode = isStrictMode;
exports.isSuspense = isSuspense;
exports.isValidElementType = isValidElementType;
exports.typeOf = typeOf;
  })();
}


/***/ }),

/***/ "./node_modules/react-is/index.js":
/*!****************************************!*\
  !*** ./node_modules/react-is/index.js ***!
  \****************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


if (false) {} else {
  module.exports = __webpack_require__(/*! ./cjs/react-is.development.js */ "./node_modules/react-is/cjs/react-is.development.js");
}


/***/ }),

/***/ "./node_modules/react-property/index.js":
/*!**********************************************!*\
  !*** ./node_modules/react-property/index.js ***!
  \**********************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var HTMLDOMPropertyConfig = __webpack_require__(/*! ./lib/HTMLDOMPropertyConfig */ "./node_modules/react-property/lib/HTMLDOMPropertyConfig.js");
var SVGDOMPropertyConfig = __webpack_require__(/*! ./lib/SVGDOMPropertyConfig */ "./node_modules/react-property/lib/SVGDOMPropertyConfig.js");
var injection = __webpack_require__(/*! ./lib/injection */ "./node_modules/react-property/lib/injection.js");

var MUST_USE_PROPERTY = injection.MUST_USE_PROPERTY;
var HAS_BOOLEAN_VALUE = injection.HAS_BOOLEAN_VALUE;
var HAS_NUMERIC_VALUE = injection.HAS_NUMERIC_VALUE;
var HAS_POSITIVE_NUMERIC_VALUE = injection.HAS_POSITIVE_NUMERIC_VALUE;
var HAS_OVERLOADED_BOOLEAN_VALUE = injection.HAS_OVERLOADED_BOOLEAN_VALUE;

/**
 * @see https://github.com/facebook/react/blob/15-stable/src/renderers/dom/shared/DOMProperty.js#L14-L16
 *
 * @param  {Number}  value
 * @param  {Number}  bitmask
 * @return {Boolean}
 */
function checkMask(value, bitmask) {
  return (value & bitmask) === bitmask;
}

/**
 * @see https://github.com/facebook/react/blob/15-stable/src/renderers/dom/shared/DOMProperty.js#L57
 *
 * @param {Object}  domPropertyConfig - HTMLDOMPropertyConfig or SVGDOMPropertyConfig
 * @param {Object}  config            - The object to be mutated
 * @param {Boolean} isSVG             - Whether the injected config is HTML or SVG (it assumes the default is HTML)
 */
function injectDOMPropertyConfig(domPropertyConfig, config, isSVG) {
  var Properties = domPropertyConfig.Properties;
  var DOMAttributeNames = domPropertyConfig.DOMAttributeNames;
  var attributeName;
  var propertyName;
  var propConfig;

  for (propertyName in Properties) {
    attributeName =
      DOMAttributeNames[propertyName] ||
      (isSVG ? propertyName : propertyName.toLowerCase());
    propConfig = Properties[propertyName];

    config[attributeName] = {
      attributeName: attributeName,
      propertyName: propertyName,
      mustUseProperty: checkMask(propConfig, MUST_USE_PROPERTY),
      hasBooleanValue: checkMask(propConfig, HAS_BOOLEAN_VALUE),
      hasNumericValue: checkMask(propConfig, HAS_NUMERIC_VALUE),
      hasPositiveNumericValue: checkMask(
        propConfig,
        HAS_POSITIVE_NUMERIC_VALUE
      ),
      hasOverloadedBooleanValue: checkMask(
        propConfig,
        HAS_OVERLOADED_BOOLEAN_VALUE
      )
    };
  }
}

/**
 * HTML properties config.
 *
 * @type {Object}
 */
var html = {};
injectDOMPropertyConfig(HTMLDOMPropertyConfig, html);

/**
 * SVG properties config.
 *
 * @type {Object}
 */
var svg = {};
injectDOMPropertyConfig(SVGDOMPropertyConfig, svg, true);

/**
 * HTML and SVG properties config.
 *
 * @type {Object}
 */
var properties = {};
injectDOMPropertyConfig(HTMLDOMPropertyConfig, properties);
injectDOMPropertyConfig(SVGDOMPropertyConfig, properties, true);

var ATTRIBUTE_NAME_START_CHAR =
  ':A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD';
var ATTRIBUTE_NAME_CHAR =
  ATTRIBUTE_NAME_START_CHAR + '\\-.0-9\\u00B7\\u0300-\\u036F\\u203F-\\u2040';

module.exports = {
  html: html,
  svg: svg,
  properties: properties,

  /**
   * Checks whether a property name is a custom attribute.
   *
   * @see https://github.com/facebook/react/blob/15-stable/src/renderers/dom/shared/HTMLDOMPropertyConfig.js#L23-L25
   *
   * @param {String}
   * @return {Boolean}
   */
  isCustomAttribute: RegExp.prototype.test.bind(
    new RegExp('^(data|aria)-[' + ATTRIBUTE_NAME_CHAR + ']*$')
  )
};


/***/ }),

/***/ "./node_modules/react-property/lib/HTMLDOMPropertyConfig.js":
/*!******************************************************************!*\
  !*** ./node_modules/react-property/lib/HTMLDOMPropertyConfig.js ***!
  \******************************************************************/
/***/ ((module) => {

module.exports = {
  Properties: {
    autoFocus: 4,
    accept: 0,
    acceptCharset: 0,
    accessKey: 0,
    action: 0,
    allowFullScreen: 4,
    allowTransparency: 0,
    alt: 0,
    as: 0,
    async: 4,
    autoComplete: 0,
    autoPlay: 4,
    capture: 4,
    cellPadding: 0,
    cellSpacing: 0,
    charSet: 0,
    challenge: 0,
    checked: 5,
    cite: 0,
    classID: 0,
    className: 0,
    cols: 24,
    colSpan: 0,
    content: 0,
    contentEditable: 0,
    contextMenu: 0,
    controls: 4,
    controlsList: 0,
    coords: 0,
    crossOrigin: 0,
    data: 0,
    dateTime: 0,
    default: 4,
    defer: 4,
    dir: 0,
    disabled: 4,
    download: 32,
    draggable: 0,
    encType: 0,
    form: 0,
    formAction: 0,
    formEncType: 0,
    formMethod: 0,
    formNoValidate: 4,
    formTarget: 0,
    frameBorder: 0,
    headers: 0,
    height: 0,
    hidden: 4,
    high: 0,
    href: 0,
    hrefLang: 0,
    htmlFor: 0,
    httpEquiv: 0,
    icon: 0,
    id: 0,
    inputMode: 0,
    integrity: 0,
    is: 0,
    keyParams: 0,
    keyType: 0,
    kind: 0,
    label: 0,
    lang: 0,
    list: 0,
    loop: 4,
    low: 0,
    manifest: 0,
    marginHeight: 0,
    marginWidth: 0,
    max: 0,
    maxLength: 0,
    media: 0,
    mediaGroup: 0,
    method: 0,
    min: 0,
    minLength: 0,
    multiple: 5,
    muted: 5,
    name: 0,
    nonce: 0,
    noValidate: 4,
    open: 4,
    optimum: 0,
    pattern: 0,
    placeholder: 0,
    playsInline: 4,
    poster: 0,
    preload: 0,
    profile: 0,
    radioGroup: 0,
    readOnly: 4,
    referrerPolicy: 0,
    rel: 0,
    required: 4,
    reversed: 4,
    role: 0,
    rows: 24,
    rowSpan: 8,
    sandbox: 0,
    scope: 0,
    scoped: 4,
    scrolling: 0,
    seamless: 4,
    selected: 5,
    shape: 0,
    size: 24,
    sizes: 0,
    span: 24,
    spellCheck: 0,
    src: 0,
    srcDoc: 0,
    srcLang: 0,
    srcSet: 0,
    start: 8,
    step: 0,
    style: 0,
    summary: 0,
    tabIndex: 0,
    target: 0,
    title: 0,
    type: 0,
    useMap: 0,
    value: 0,
    width: 0,
    wmode: 0,
    wrap: 0,
    about: 0,
    datatype: 0,
    inlist: 0,
    prefix: 0,
    property: 0,
    resource: 0,
    typeof: 0,
    vocab: 0,
    autoCapitalize: 0,
    autoCorrect: 0,
    autoSave: 0,
    color: 0,
    itemProp: 0,
    itemScope: 4,
    itemType: 0,
    itemID: 0,
    itemRef: 0,
    results: 0,
    security: 0,
    unselectable: 0
  },
  DOMAttributeNames: {
    acceptCharset: 'accept-charset',
    className: 'class',
    htmlFor: 'for',
    httpEquiv: 'http-equiv'
  }
};


/***/ }),

/***/ "./node_modules/react-property/lib/SVGDOMPropertyConfig.js":
/*!*****************************************************************!*\
  !*** ./node_modules/react-property/lib/SVGDOMPropertyConfig.js ***!
  \*****************************************************************/
/***/ ((module) => {

module.exports = {
  Properties: {
    accentHeight: 0,
    accumulate: 0,
    additive: 0,
    alignmentBaseline: 0,
    allowReorder: 0,
    alphabetic: 0,
    amplitude: 0,
    arabicForm: 0,
    ascent: 0,
    attributeName: 0,
    attributeType: 0,
    autoReverse: 0,
    azimuth: 0,
    baseFrequency: 0,
    baseProfile: 0,
    baselineShift: 0,
    bbox: 0,
    begin: 0,
    bias: 0,
    by: 0,
    calcMode: 0,
    capHeight: 0,
    clip: 0,
    clipPath: 0,
    clipRule: 0,
    clipPathUnits: 0,
    colorInterpolation: 0,
    colorInterpolationFilters: 0,
    colorProfile: 0,
    colorRendering: 0,
    contentScriptType: 0,
    contentStyleType: 0,
    cursor: 0,
    cx: 0,
    cy: 0,
    d: 0,
    decelerate: 0,
    descent: 0,
    diffuseConstant: 0,
    direction: 0,
    display: 0,
    divisor: 0,
    dominantBaseline: 0,
    dur: 0,
    dx: 0,
    dy: 0,
    edgeMode: 0,
    elevation: 0,
    enableBackground: 0,
    end: 0,
    exponent: 0,
    externalResourcesRequired: 0,
    fill: 0,
    fillOpacity: 0,
    fillRule: 0,
    filter: 0,
    filterRes: 0,
    filterUnits: 0,
    floodColor: 0,
    floodOpacity: 0,
    focusable: 0,
    fontFamily: 0,
    fontSize: 0,
    fontSizeAdjust: 0,
    fontStretch: 0,
    fontStyle: 0,
    fontVariant: 0,
    fontWeight: 0,
    format: 0,
    from: 0,
    fx: 0,
    fy: 0,
    g1: 0,
    g2: 0,
    glyphName: 0,
    glyphOrientationHorizontal: 0,
    glyphOrientationVertical: 0,
    glyphRef: 0,
    gradientTransform: 0,
    gradientUnits: 0,
    hanging: 0,
    horizAdvX: 0,
    horizOriginX: 0,
    ideographic: 0,
    imageRendering: 0,
    in: 0,
    in2: 0,
    intercept: 0,
    k: 0,
    k1: 0,
    k2: 0,
    k3: 0,
    k4: 0,
    kernelMatrix: 0,
    kernelUnitLength: 0,
    kerning: 0,
    keyPoints: 0,
    keySplines: 0,
    keyTimes: 0,
    lengthAdjust: 0,
    letterSpacing: 0,
    lightingColor: 0,
    limitingConeAngle: 0,
    local: 0,
    markerEnd: 0,
    markerMid: 0,
    markerStart: 0,
    markerHeight: 0,
    markerUnits: 0,
    markerWidth: 0,
    mask: 0,
    maskContentUnits: 0,
    maskUnits: 0,
    mathematical: 0,
    mode: 0,
    numOctaves: 0,
    offset: 0,
    opacity: 0,
    operator: 0,
    order: 0,
    orient: 0,
    orientation: 0,
    origin: 0,
    overflow: 0,
    overlinePosition: 0,
    overlineThickness: 0,
    paintOrder: 0,
    panose1: 0,
    pathLength: 0,
    patternContentUnits: 0,
    patternTransform: 0,
    patternUnits: 0,
    pointerEvents: 0,
    points: 0,
    pointsAtX: 0,
    pointsAtY: 0,
    pointsAtZ: 0,
    preserveAlpha: 0,
    preserveAspectRatio: 0,
    primitiveUnits: 0,
    r: 0,
    radius: 0,
    refX: 0,
    refY: 0,
    renderingIntent: 0,
    repeatCount: 0,
    repeatDur: 0,
    requiredExtensions: 0,
    requiredFeatures: 0,
    restart: 0,
    result: 0,
    rotate: 0,
    rx: 0,
    ry: 0,
    scale: 0,
    seed: 0,
    shapeRendering: 0,
    slope: 0,
    spacing: 0,
    specularConstant: 0,
    specularExponent: 0,
    speed: 0,
    spreadMethod: 0,
    startOffset: 0,
    stdDeviation: 0,
    stemh: 0,
    stemv: 0,
    stitchTiles: 0,
    stopColor: 0,
    stopOpacity: 0,
    strikethroughPosition: 0,
    strikethroughThickness: 0,
    string: 0,
    stroke: 0,
    strokeDasharray: 0,
    strokeDashoffset: 0,
    strokeLinecap: 0,
    strokeLinejoin: 0,
    strokeMiterlimit: 0,
    strokeOpacity: 0,
    strokeWidth: 0,
    surfaceScale: 0,
    systemLanguage: 0,
    tableValues: 0,
    targetX: 0,
    targetY: 0,
    textAnchor: 0,
    textDecoration: 0,
    textRendering: 0,
    textLength: 0,
    to: 0,
    transform: 0,
    u1: 0,
    u2: 0,
    underlinePosition: 0,
    underlineThickness: 0,
    unicode: 0,
    unicodeBidi: 0,
    unicodeRange: 0,
    unitsPerEm: 0,
    vAlphabetic: 0,
    vHanging: 0,
    vIdeographic: 0,
    vMathematical: 0,
    values: 0,
    vectorEffect: 0,
    version: 0,
    vertAdvY: 0,
    vertOriginX: 0,
    vertOriginY: 0,
    viewBox: 0,
    viewTarget: 0,
    visibility: 0,
    widths: 0,
    wordSpacing: 0,
    writingMode: 0,
    x: 0,
    xHeight: 0,
    x1: 0,
    x2: 0,
    xChannelSelector: 0,
    xlinkActuate: 0,
    xlinkArcrole: 0,
    xlinkHref: 0,
    xlinkRole: 0,
    xlinkShow: 0,
    xlinkTitle: 0,
    xlinkType: 0,
    xmlBase: 0,
    xmlns: 0,
    xmlnsXlink: 0,
    xmlLang: 0,
    xmlSpace: 0,
    y: 0,
    y1: 0,
    y2: 0,
    yChannelSelector: 0,
    z: 0,
    zoomAndPan: 0
  },
  DOMAttributeNames: {
    accentHeight: 'accent-height',
    alignmentBaseline: 'alignment-baseline',
    arabicForm: 'arabic-form',
    baselineShift: 'baseline-shift',
    capHeight: 'cap-height',
    clipPath: 'clip-path',
    clipRule: 'clip-rule',
    colorInterpolation: 'color-interpolation',
    colorInterpolationFilters: 'color-interpolation-filters',
    colorProfile: 'color-profile',
    colorRendering: 'color-rendering',
    dominantBaseline: 'dominant-baseline',
    enableBackground: 'enable-background',
    fillOpacity: 'fill-opacity',
    fillRule: 'fill-rule',
    floodColor: 'flood-color',
    floodOpacity: 'flood-opacity',
    fontFamily: 'font-family',
    fontSize: 'font-size',
    fontSizeAdjust: 'font-size-adjust',
    fontStretch: 'font-stretch',
    fontStyle: 'font-style',
    fontVariant: 'font-variant',
    fontWeight: 'font-weight',
    glyphName: 'glyph-name',
    glyphOrientationHorizontal: 'glyph-orientation-horizontal',
    glyphOrientationVertical: 'glyph-orientation-vertical',
    horizAdvX: 'horiz-adv-x',
    horizOriginX: 'horiz-origin-x',
    imageRendering: 'image-rendering',
    letterSpacing: 'letter-spacing',
    lightingColor: 'lighting-color',
    markerEnd: 'marker-end',
    markerMid: 'marker-mid',
    markerStart: 'marker-start',
    overlinePosition: 'overline-position',
    overlineThickness: 'overline-thickness',
    paintOrder: 'paint-order',
    panose1: 'panose-1',
    pointerEvents: 'pointer-events',
    renderingIntent: 'rendering-intent',
    shapeRendering: 'shape-rendering',
    stopColor: 'stop-color',
    stopOpacity: 'stop-opacity',
    strikethroughPosition: 'strikethrough-position',
    strikethroughThickness: 'strikethrough-thickness',
    strokeDasharray: 'stroke-dasharray',
    strokeDashoffset: 'stroke-dashoffset',
    strokeLinecap: 'stroke-linecap',
    strokeLinejoin: 'stroke-linejoin',
    strokeMiterlimit: 'stroke-miterlimit',
    strokeOpacity: 'stroke-opacity',
    strokeWidth: 'stroke-width',
    textAnchor: 'text-anchor',
    textDecoration: 'text-decoration',
    textRendering: 'text-rendering',
    underlinePosition: 'underline-position',
    underlineThickness: 'underline-thickness',
    unicodeBidi: 'unicode-bidi',
    unicodeRange: 'unicode-range',
    unitsPerEm: 'units-per-em',
    vAlphabetic: 'v-alphabetic',
    vHanging: 'v-hanging',
    vIdeographic: 'v-ideographic',
    vMathematical: 'v-mathematical',
    vectorEffect: 'vector-effect',
    vertAdvY: 'vert-adv-y',
    vertOriginX: 'vert-origin-x',
    vertOriginY: 'vert-origin-y',
    wordSpacing: 'word-spacing',
    writingMode: 'writing-mode',
    xHeight: 'x-height',
    xlinkActuate: 'xlink:actuate',
    xlinkArcrole: 'xlink:arcrole',
    xlinkHref: 'xlink:href',
    xlinkRole: 'xlink:role',
    xlinkShow: 'xlink:show',
    xlinkTitle: 'xlink:title',
    xlinkType: 'xlink:type',
    xmlBase: 'xml:base',
    xmlnsXlink: 'xmlns:xlink',
    xmlLang: 'xml:lang',
    xmlSpace: 'xml:space'
  }
};


/***/ }),

/***/ "./node_modules/react-property/lib/injection.js":
/*!******************************************************!*\
  !*** ./node_modules/react-property/lib/injection.js ***!
  \******************************************************/
/***/ ((module) => {

module.exports = {
  MUST_USE_PROPERTY: 1,
  HAS_BOOLEAN_VALUE: 4,
  HAS_NUMERIC_VALUE: 8,
  HAS_POSITIVE_NUMERIC_VALUE: 24,
  HAS_OVERLOADED_BOOLEAN_VALUE: 32
};


/***/ }),

/***/ "./node_modules/react-router-dom/esm/react-router-dom.js":
/*!***************************************************************!*\
  !*** ./node_modules/react-router-dom/esm/react-router-dom.js ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "BrowserRouter": () => (/* binding */ BrowserRouter),
/* harmony export */   "HashRouter": () => (/* binding */ HashRouter),
/* harmony export */   "Link": () => (/* binding */ Link),
/* harmony export */   "MemoryRouter": () => (/* reexport safe */ react_router__WEBPACK_IMPORTED_MODULE_0__.MemoryRouter),
/* harmony export */   "NavLink": () => (/* binding */ NavLink),
/* harmony export */   "Prompt": () => (/* reexport safe */ react_router__WEBPACK_IMPORTED_MODULE_0__.Prompt),
/* harmony export */   "Redirect": () => (/* reexport safe */ react_router__WEBPACK_IMPORTED_MODULE_0__.Redirect),
/* harmony export */   "Route": () => (/* reexport safe */ react_router__WEBPACK_IMPORTED_MODULE_0__.Route),
/* harmony export */   "Router": () => (/* reexport safe */ react_router__WEBPACK_IMPORTED_MODULE_0__.Router),
/* harmony export */   "StaticRouter": () => (/* reexport safe */ react_router__WEBPACK_IMPORTED_MODULE_0__.StaticRouter),
/* harmony export */   "Switch": () => (/* reexport safe */ react_router__WEBPACK_IMPORTED_MODULE_0__.Switch),
/* harmony export */   "generatePath": () => (/* reexport safe */ react_router__WEBPACK_IMPORTED_MODULE_0__.generatePath),
/* harmony export */   "matchPath": () => (/* reexport safe */ react_router__WEBPACK_IMPORTED_MODULE_0__.matchPath),
/* harmony export */   "useHistory": () => (/* reexport safe */ react_router__WEBPACK_IMPORTED_MODULE_0__.useHistory),
/* harmony export */   "useLocation": () => (/* reexport safe */ react_router__WEBPACK_IMPORTED_MODULE_0__.useLocation),
/* harmony export */   "useParams": () => (/* reexport safe */ react_router__WEBPACK_IMPORTED_MODULE_0__.useParams),
/* harmony export */   "useRouteMatch": () => (/* reexport safe */ react_router__WEBPACK_IMPORTED_MODULE_0__.useRouteMatch),
/* harmony export */   "withRouter": () => (/* reexport safe */ react_router__WEBPACK_IMPORTED_MODULE_0__.withRouter)
/* harmony export */ });
/* harmony import */ var react_router__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react-router */ "./node_modules/react-router/esm/react-router.js");
/* harmony import */ var _babel_runtime_helpers_esm_inheritsLoose__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @babel/runtime/helpers/esm/inheritsLoose */ "./node_modules/@babel/runtime/helpers/esm/inheritsLoose.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var history__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! history */ "./node_modules/history/esm/history.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! prop-types */ "./node_modules/prop-types/index.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var tiny_warning__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! tiny-warning */ "./node_modules/tiny-warning/dist/tiny-warning.esm.js");
/* harmony import */ var _babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @babel/runtime/helpers/esm/extends */ "./node_modules/@babel/runtime/helpers/esm/extends.js");
/* harmony import */ var _babel_runtime_helpers_esm_objectWithoutPropertiesLoose__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! @babel/runtime/helpers/esm/objectWithoutPropertiesLoose */ "./node_modules/@babel/runtime/helpers/esm/objectWithoutPropertiesLoose.js");
/* harmony import */ var tiny_invariant__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! tiny-invariant */ "./node_modules/tiny-invariant/dist/tiny-invariant.esm.js");











/**
 * The public API for a <Router> that uses HTML5 history.
 */

var BrowserRouter =
/*#__PURE__*/
function (_React$Component) {
  (0,_babel_runtime_helpers_esm_inheritsLoose__WEBPACK_IMPORTED_MODULE_1__["default"])(BrowserRouter, _React$Component);

  function BrowserRouter() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;
    _this.history = (0,history__WEBPACK_IMPORTED_MODULE_6__.createBrowserHistory)(_this.props);
    return _this;
  }

  var _proto = BrowserRouter.prototype;

  _proto.render = function render() {
    return react__WEBPACK_IMPORTED_MODULE_2__.createElement(react_router__WEBPACK_IMPORTED_MODULE_0__.Router, {
      history: this.history,
      children: this.props.children
    });
  };

  return BrowserRouter;
}(react__WEBPACK_IMPORTED_MODULE_2__.Component);

if (true) {
  BrowserRouter.propTypes = {
    basename: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().string),
    children: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().node),
    forceRefresh: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().bool),
    getUserConfirmation: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().func),
    keyLength: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().number)
  };

  BrowserRouter.prototype.componentDidMount = function () {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_7__["default"])(!this.props.history, "<BrowserRouter> ignores the history prop. To use a custom history, " + "use `import { Router }` instead of `import { BrowserRouter as Router }`.") : 0;
  };
}

/**
 * The public API for a <Router> that uses window.location.hash.
 */

var HashRouter =
/*#__PURE__*/
function (_React$Component) {
  (0,_babel_runtime_helpers_esm_inheritsLoose__WEBPACK_IMPORTED_MODULE_1__["default"])(HashRouter, _React$Component);

  function HashRouter() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;
    _this.history = (0,history__WEBPACK_IMPORTED_MODULE_6__.createHashHistory)(_this.props);
    return _this;
  }

  var _proto = HashRouter.prototype;

  _proto.render = function render() {
    return react__WEBPACK_IMPORTED_MODULE_2__.createElement(react_router__WEBPACK_IMPORTED_MODULE_0__.Router, {
      history: this.history,
      children: this.props.children
    });
  };

  return HashRouter;
}(react__WEBPACK_IMPORTED_MODULE_2__.Component);

if (true) {
  HashRouter.propTypes = {
    basename: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().string),
    children: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().node),
    getUserConfirmation: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().func),
    hashType: prop_types__WEBPACK_IMPORTED_MODULE_3___default().oneOf(["hashbang", "noslash", "slash"])
  };

  HashRouter.prototype.componentDidMount = function () {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_7__["default"])(!this.props.history, "<HashRouter> ignores the history prop. To use a custom history, " + "use `import { Router }` instead of `import { HashRouter as Router }`.") : 0;
  };
}

var resolveToLocation = function resolveToLocation(to, currentLocation) {
  return typeof to === "function" ? to(currentLocation) : to;
};
var normalizeToLocation = function normalizeToLocation(to, currentLocation) {
  return typeof to === "string" ? (0,history__WEBPACK_IMPORTED_MODULE_6__.createLocation)(to, null, null, currentLocation) : to;
};

var forwardRefShim = function forwardRefShim(C) {
  return C;
};

var forwardRef = react__WEBPACK_IMPORTED_MODULE_2__.forwardRef;

if (typeof forwardRef === "undefined") {
  forwardRef = forwardRefShim;
}

function isModifiedEvent(event) {
  return !!(event.metaKey || event.altKey || event.ctrlKey || event.shiftKey);
}

var LinkAnchor = forwardRef(function (_ref, forwardedRef) {
  var innerRef = _ref.innerRef,
      navigate = _ref.navigate,
      _onClick = _ref.onClick,
      rest = (0,_babel_runtime_helpers_esm_objectWithoutPropertiesLoose__WEBPACK_IMPORTED_MODULE_5__["default"])(_ref, ["innerRef", "navigate", "onClick"]);

  var target = rest.target;

  var props = (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_4__["default"])({}, rest, {
    onClick: function onClick(event) {
      try {
        if (_onClick) _onClick(event);
      } catch (ex) {
        event.preventDefault();
        throw ex;
      }

      if (!event.defaultPrevented && // onClick prevented default
      event.button === 0 && ( // ignore everything but left clicks
      !target || target === "_self") && // let browser handle "target=_blank" etc.
      !isModifiedEvent(event) // ignore clicks with modifier keys
      ) {
          event.preventDefault();
          navigate();
        }
    }
  }); // React 15 compat


  if (forwardRefShim !== forwardRef) {
    props.ref = forwardedRef || innerRef;
  } else {
    props.ref = innerRef;
  }
  /* eslint-disable-next-line jsx-a11y/anchor-has-content */


  return react__WEBPACK_IMPORTED_MODULE_2__.createElement("a", props);
});

if (true) {
  LinkAnchor.displayName = "LinkAnchor";
}
/**
 * The public API for rendering a history-aware <a>.
 */


var Link = forwardRef(function (_ref2, forwardedRef) {
  var _ref2$component = _ref2.component,
      component = _ref2$component === void 0 ? LinkAnchor : _ref2$component,
      replace = _ref2.replace,
      to = _ref2.to,
      innerRef = _ref2.innerRef,
      rest = (0,_babel_runtime_helpers_esm_objectWithoutPropertiesLoose__WEBPACK_IMPORTED_MODULE_5__["default"])(_ref2, ["component", "replace", "to", "innerRef"]);

  return react__WEBPACK_IMPORTED_MODULE_2__.createElement(react_router__WEBPACK_IMPORTED_MODULE_0__.__RouterContext.Consumer, null, function (context) {
    !context ?  true ? (0,tiny_invariant__WEBPACK_IMPORTED_MODULE_8__["default"])(false, "You should not use <Link> outside a <Router>") : 0 : void 0;
    var history = context.history;
    var location = normalizeToLocation(resolveToLocation(to, context.location), context.location);
    var href = location ? history.createHref(location) : "";

    var props = (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_4__["default"])({}, rest, {
      href: href,
      navigate: function navigate() {
        var location = resolveToLocation(to, context.location);
        var method = replace ? history.replace : history.push;
        method(location);
      }
    }); // React 15 compat


    if (forwardRefShim !== forwardRef) {
      props.ref = forwardedRef || innerRef;
    } else {
      props.innerRef = innerRef;
    }

    return react__WEBPACK_IMPORTED_MODULE_2__.createElement(component, props);
  });
});

if (true) {
  var toType = prop_types__WEBPACK_IMPORTED_MODULE_3___default().oneOfType([(prop_types__WEBPACK_IMPORTED_MODULE_3___default().string), (prop_types__WEBPACK_IMPORTED_MODULE_3___default().object), (prop_types__WEBPACK_IMPORTED_MODULE_3___default().func)]);
  var refType = prop_types__WEBPACK_IMPORTED_MODULE_3___default().oneOfType([(prop_types__WEBPACK_IMPORTED_MODULE_3___default().string), (prop_types__WEBPACK_IMPORTED_MODULE_3___default().func), prop_types__WEBPACK_IMPORTED_MODULE_3___default().shape({
    current: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().any)
  })]);
  Link.displayName = "Link";
  Link.propTypes = {
    innerRef: refType,
    onClick: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().func),
    replace: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().bool),
    target: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().string),
    to: toType.isRequired
  };
}

var forwardRefShim$1 = function forwardRefShim(C) {
  return C;
};

var forwardRef$1 = react__WEBPACK_IMPORTED_MODULE_2__.forwardRef;

if (typeof forwardRef$1 === "undefined") {
  forwardRef$1 = forwardRefShim$1;
}

function joinClassnames() {
  for (var _len = arguments.length, classnames = new Array(_len), _key = 0; _key < _len; _key++) {
    classnames[_key] = arguments[_key];
  }

  return classnames.filter(function (i) {
    return i;
  }).join(" ");
}
/**
 * A <Link> wrapper that knows if it's "active" or not.
 */


var NavLink = forwardRef$1(function (_ref, forwardedRef) {
  var _ref$ariaCurrent = _ref["aria-current"],
      ariaCurrent = _ref$ariaCurrent === void 0 ? "page" : _ref$ariaCurrent,
      _ref$activeClassName = _ref.activeClassName,
      activeClassName = _ref$activeClassName === void 0 ? "active" : _ref$activeClassName,
      activeStyle = _ref.activeStyle,
      classNameProp = _ref.className,
      exact = _ref.exact,
      isActiveProp = _ref.isActive,
      locationProp = _ref.location,
      sensitive = _ref.sensitive,
      strict = _ref.strict,
      styleProp = _ref.style,
      to = _ref.to,
      innerRef = _ref.innerRef,
      rest = (0,_babel_runtime_helpers_esm_objectWithoutPropertiesLoose__WEBPACK_IMPORTED_MODULE_5__["default"])(_ref, ["aria-current", "activeClassName", "activeStyle", "className", "exact", "isActive", "location", "sensitive", "strict", "style", "to", "innerRef"]);

  return react__WEBPACK_IMPORTED_MODULE_2__.createElement(react_router__WEBPACK_IMPORTED_MODULE_0__.__RouterContext.Consumer, null, function (context) {
    !context ?  true ? (0,tiny_invariant__WEBPACK_IMPORTED_MODULE_8__["default"])(false, "You should not use <NavLink> outside a <Router>") : 0 : void 0;
    var currentLocation = locationProp || context.location;
    var toLocation = normalizeToLocation(resolveToLocation(to, currentLocation), currentLocation);
    var path = toLocation.pathname; // Regex taken from: https://github.com/pillarjs/path-to-regexp/blob/master/index.js#L202

    var escapedPath = path && path.replace(/([.+*?=^!:${}()[\]|/\\])/g, "\\$1");
    var match = escapedPath ? (0,react_router__WEBPACK_IMPORTED_MODULE_0__.matchPath)(currentLocation.pathname, {
      path: escapedPath,
      exact: exact,
      sensitive: sensitive,
      strict: strict
    }) : null;
    var isActive = !!(isActiveProp ? isActiveProp(match, currentLocation) : match);
    var className = isActive ? joinClassnames(classNameProp, activeClassName) : classNameProp;
    var style = isActive ? (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_4__["default"])({}, styleProp, {}, activeStyle) : styleProp;

    var props = (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_4__["default"])({
      "aria-current": isActive && ariaCurrent || null,
      className: className,
      style: style,
      to: toLocation
    }, rest); // React 15 compat


    if (forwardRefShim$1 !== forwardRef$1) {
      props.ref = forwardedRef || innerRef;
    } else {
      props.innerRef = innerRef;
    }

    return react__WEBPACK_IMPORTED_MODULE_2__.createElement(Link, props);
  });
});

if (true) {
  NavLink.displayName = "NavLink";
  var ariaCurrentType = prop_types__WEBPACK_IMPORTED_MODULE_3___default().oneOf(["page", "step", "location", "date", "time", "true"]);
  NavLink.propTypes = (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_4__["default"])({}, Link.propTypes, {
    "aria-current": ariaCurrentType,
    activeClassName: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().string),
    activeStyle: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().object),
    className: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().string),
    exact: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().bool),
    isActive: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().func),
    location: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().object),
    sensitive: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().bool),
    strict: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().bool),
    style: (prop_types__WEBPACK_IMPORTED_MODULE_3___default().object)
  });
}


//# sourceMappingURL=react-router-dom.js.map


/***/ }),

/***/ "./node_modules/react-router/esm/react-router.js":
/*!*******************************************************!*\
  !*** ./node_modules/react-router/esm/react-router.js ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "MemoryRouter": () => (/* binding */ MemoryRouter),
/* harmony export */   "Prompt": () => (/* binding */ Prompt),
/* harmony export */   "Redirect": () => (/* binding */ Redirect),
/* harmony export */   "Route": () => (/* binding */ Route),
/* harmony export */   "Router": () => (/* binding */ Router),
/* harmony export */   "StaticRouter": () => (/* binding */ StaticRouter),
/* harmony export */   "Switch": () => (/* binding */ Switch),
/* harmony export */   "__HistoryContext": () => (/* binding */ historyContext),
/* harmony export */   "__RouterContext": () => (/* binding */ context),
/* harmony export */   "generatePath": () => (/* binding */ generatePath),
/* harmony export */   "matchPath": () => (/* binding */ matchPath),
/* harmony export */   "useHistory": () => (/* binding */ useHistory),
/* harmony export */   "useLocation": () => (/* binding */ useLocation),
/* harmony export */   "useParams": () => (/* binding */ useParams),
/* harmony export */   "useRouteMatch": () => (/* binding */ useRouteMatch),
/* harmony export */   "withRouter": () => (/* binding */ withRouter)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_esm_inheritsLoose__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @babel/runtime/helpers/esm/inheritsLoose */ "./node_modules/@babel/runtime/helpers/esm/inheritsLoose.js");
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! prop-types */ "./node_modules/prop-types/index.js");
/* harmony import */ var prop_types__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(prop_types__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var history__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(/*! history */ "./node_modules/history/esm/history.js");
/* harmony import */ var tiny_warning__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(/*! tiny-warning */ "./node_modules/tiny-warning/dist/tiny-warning.esm.js");
/* harmony import */ var mini_create_react_context__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! mini-create-react-context */ "./node_modules/mini-create-react-context/dist/esm/index.js");
/* harmony import */ var tiny_invariant__WEBPACK_IMPORTED_MODULE_11__ = __webpack_require__(/*! tiny-invariant */ "./node_modules/tiny-invariant/dist/tiny-invariant.esm.js");
/* harmony import */ var _babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! @babel/runtime/helpers/esm/extends */ "./node_modules/@babel/runtime/helpers/esm/extends.js");
/* harmony import */ var path_to_regexp__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! path-to-regexp */ "./node_modules/path-to-regexp/index.js");
/* harmony import */ var path_to_regexp__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(path_to_regexp__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_is__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! react-is */ "./node_modules/react-is/index.js");
/* harmony import */ var _babel_runtime_helpers_esm_objectWithoutPropertiesLoose__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(/*! @babel/runtime/helpers/esm/objectWithoutPropertiesLoose */ "./node_modules/@babel/runtime/helpers/esm/objectWithoutPropertiesLoose.js");
/* harmony import */ var hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(/*! hoist-non-react-statics */ "./node_modules/hoist-non-react-statics/dist/hoist-non-react-statics.cjs.js");
/* harmony import */ var hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_8__);













// TODO: Replace with React.createContext once we can assume React 16+

var createNamedContext = function createNamedContext(name) {
  var context = (0,mini_create_react_context__WEBPACK_IMPORTED_MODULE_3__["default"])();
  context.displayName = name;
  return context;
};

var historyContext =
/*#__PURE__*/
createNamedContext("Router-History");

// TODO: Replace with React.createContext once we can assume React 16+

var createNamedContext$1 = function createNamedContext(name) {
  var context = (0,mini_create_react_context__WEBPACK_IMPORTED_MODULE_3__["default"])();
  context.displayName = name;
  return context;
};

var context =
/*#__PURE__*/
createNamedContext$1("Router");

/**
 * The public API for putting history on context.
 */

var Router =
/*#__PURE__*/
function (_React$Component) {
  (0,_babel_runtime_helpers_esm_inheritsLoose__WEBPACK_IMPORTED_MODULE_0__["default"])(Router, _React$Component);

  Router.computeRootMatch = function computeRootMatch(pathname) {
    return {
      path: "/",
      url: "/",
      params: {},
      isExact: pathname === "/"
    };
  };

  function Router(props) {
    var _this;

    _this = _React$Component.call(this, props) || this;
    _this.state = {
      location: props.history.location
    }; // This is a bit of a hack. We have to start listening for location
    // changes here in the constructor in case there are any <Redirect>s
    // on the initial render. If there are, they will replace/push when
    // they mount and since cDM fires in children before parents, we may
    // get a new location before the <Router> is mounted.

    _this._isMounted = false;
    _this._pendingLocation = null;

    if (!props.staticContext) {
      _this.unlisten = props.history.listen(function (location) {
        if (_this._isMounted) {
          _this.setState({
            location: location
          });
        } else {
          _this._pendingLocation = location;
        }
      });
    }

    return _this;
  }

  var _proto = Router.prototype;

  _proto.componentDidMount = function componentDidMount() {
    this._isMounted = true;

    if (this._pendingLocation) {
      this.setState({
        location: this._pendingLocation
      });
    }
  };

  _proto.componentWillUnmount = function componentWillUnmount() {
    if (this.unlisten) this.unlisten();
  };

  _proto.render = function render() {
    return react__WEBPACK_IMPORTED_MODULE_1__.createElement(context.Provider, {
      value: {
        history: this.props.history,
        location: this.state.location,
        match: Router.computeRootMatch(this.state.location.pathname),
        staticContext: this.props.staticContext
      }
    }, react__WEBPACK_IMPORTED_MODULE_1__.createElement(historyContext.Provider, {
      children: this.props.children || null,
      value: this.props.history
    }));
  };

  return Router;
}(react__WEBPACK_IMPORTED_MODULE_1__.Component);

if (true) {
  Router.propTypes = {
    children: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().node),
    history: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().object.isRequired),
    staticContext: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().object)
  };

  Router.prototype.componentDidUpdate = function (prevProps) {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_9__["default"])(prevProps.history === this.props.history, "You cannot change <Router history>") : 0;
  };
}

/**
 * The public API for a <Router> that stores location in memory.
 */

var MemoryRouter =
/*#__PURE__*/
function (_React$Component) {
  (0,_babel_runtime_helpers_esm_inheritsLoose__WEBPACK_IMPORTED_MODULE_0__["default"])(MemoryRouter, _React$Component);

  function MemoryRouter() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;
    _this.history = (0,history__WEBPACK_IMPORTED_MODULE_10__.createMemoryHistory)(_this.props);
    return _this;
  }

  var _proto = MemoryRouter.prototype;

  _proto.render = function render() {
    return react__WEBPACK_IMPORTED_MODULE_1__.createElement(Router, {
      history: this.history,
      children: this.props.children
    });
  };

  return MemoryRouter;
}(react__WEBPACK_IMPORTED_MODULE_1__.Component);

if (true) {
  MemoryRouter.propTypes = {
    initialEntries: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().array),
    initialIndex: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().number),
    getUserConfirmation: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().func),
    keyLength: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().number),
    children: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().node)
  };

  MemoryRouter.prototype.componentDidMount = function () {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_9__["default"])(!this.props.history, "<MemoryRouter> ignores the history prop. To use a custom history, " + "use `import { Router }` instead of `import { MemoryRouter as Router }`.") : 0;
  };
}

var Lifecycle =
/*#__PURE__*/
function (_React$Component) {
  (0,_babel_runtime_helpers_esm_inheritsLoose__WEBPACK_IMPORTED_MODULE_0__["default"])(Lifecycle, _React$Component);

  function Lifecycle() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = Lifecycle.prototype;

  _proto.componentDidMount = function componentDidMount() {
    if (this.props.onMount) this.props.onMount.call(this, this);
  };

  _proto.componentDidUpdate = function componentDidUpdate(prevProps) {
    if (this.props.onUpdate) this.props.onUpdate.call(this, this, prevProps);
  };

  _proto.componentWillUnmount = function componentWillUnmount() {
    if (this.props.onUnmount) this.props.onUnmount.call(this, this);
  };

  _proto.render = function render() {
    return null;
  };

  return Lifecycle;
}(react__WEBPACK_IMPORTED_MODULE_1__.Component);

/**
 * The public API for prompting the user before navigating away from a screen.
 */

function Prompt(_ref) {
  var message = _ref.message,
      _ref$when = _ref.when,
      when = _ref$when === void 0 ? true : _ref$when;
  return react__WEBPACK_IMPORTED_MODULE_1__.createElement(context.Consumer, null, function (context) {
    !context ?  true ? (0,tiny_invariant__WEBPACK_IMPORTED_MODULE_11__["default"])(false, "You should not use <Prompt> outside a <Router>") : 0 : void 0;
    if (!when || context.staticContext) return null;
    var method = context.history.block;
    return react__WEBPACK_IMPORTED_MODULE_1__.createElement(Lifecycle, {
      onMount: function onMount(self) {
        self.release = method(message);
      },
      onUpdate: function onUpdate(self, prevProps) {
        if (prevProps.message !== message) {
          self.release();
          self.release = method(message);
        }
      },
      onUnmount: function onUnmount(self) {
        self.release();
      },
      message: message
    });
  });
}

if (true) {
  var messageType = prop_types__WEBPACK_IMPORTED_MODULE_2___default().oneOfType([(prop_types__WEBPACK_IMPORTED_MODULE_2___default().func), (prop_types__WEBPACK_IMPORTED_MODULE_2___default().string)]);
  Prompt.propTypes = {
    when: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().bool),
    message: messageType.isRequired
  };
}

var cache = {};
var cacheLimit = 10000;
var cacheCount = 0;

function compilePath(path) {
  if (cache[path]) return cache[path];
  var generator = path_to_regexp__WEBPACK_IMPORTED_MODULE_5___default().compile(path);

  if (cacheCount < cacheLimit) {
    cache[path] = generator;
    cacheCount++;
  }

  return generator;
}
/**
 * Public API for generating a URL pathname from a path and parameters.
 */


function generatePath(path, params) {
  if (path === void 0) {
    path = "/";
  }

  if (params === void 0) {
    params = {};
  }

  return path === "/" ? path : compilePath(path)(params, {
    pretty: true
  });
}

/**
 * The public API for navigating programmatically with a component.
 */

function Redirect(_ref) {
  var computedMatch = _ref.computedMatch,
      to = _ref.to,
      _ref$push = _ref.push,
      push = _ref$push === void 0 ? false : _ref$push;
  return react__WEBPACK_IMPORTED_MODULE_1__.createElement(context.Consumer, null, function (context) {
    !context ?  true ? (0,tiny_invariant__WEBPACK_IMPORTED_MODULE_11__["default"])(false, "You should not use <Redirect> outside a <Router>") : 0 : void 0;
    var history = context.history,
        staticContext = context.staticContext;
    var method = push ? history.push : history.replace;
    var location = (0,history__WEBPACK_IMPORTED_MODULE_10__.createLocation)(computedMatch ? typeof to === "string" ? generatePath(to, computedMatch.params) : (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_4__["default"])({}, to, {
      pathname: generatePath(to.pathname, computedMatch.params)
    }) : to); // When rendering in a static context,
    // set the new location immediately.

    if (staticContext) {
      method(location);
      return null;
    }

    return react__WEBPACK_IMPORTED_MODULE_1__.createElement(Lifecycle, {
      onMount: function onMount() {
        method(location);
      },
      onUpdate: function onUpdate(self, prevProps) {
        var prevLocation = (0,history__WEBPACK_IMPORTED_MODULE_10__.createLocation)(prevProps.to);

        if (!(0,history__WEBPACK_IMPORTED_MODULE_10__.locationsAreEqual)(prevLocation, (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_4__["default"])({}, location, {
          key: prevLocation.key
        }))) {
          method(location);
        }
      },
      to: to
    });
  });
}

if (true) {
  Redirect.propTypes = {
    push: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().bool),
    from: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().string),
    to: prop_types__WEBPACK_IMPORTED_MODULE_2___default().oneOfType([(prop_types__WEBPACK_IMPORTED_MODULE_2___default().string), (prop_types__WEBPACK_IMPORTED_MODULE_2___default().object)]).isRequired
  };
}

var cache$1 = {};
var cacheLimit$1 = 10000;
var cacheCount$1 = 0;

function compilePath$1(path, options) {
  var cacheKey = "" + options.end + options.strict + options.sensitive;
  var pathCache = cache$1[cacheKey] || (cache$1[cacheKey] = {});
  if (pathCache[path]) return pathCache[path];
  var keys = [];
  var regexp = path_to_regexp__WEBPACK_IMPORTED_MODULE_5___default()(path, keys, options);
  var result = {
    regexp: regexp,
    keys: keys
  };

  if (cacheCount$1 < cacheLimit$1) {
    pathCache[path] = result;
    cacheCount$1++;
  }

  return result;
}
/**
 * Public API for matching a URL pathname to a path.
 */


function matchPath(pathname, options) {
  if (options === void 0) {
    options = {};
  }

  if (typeof options === "string" || Array.isArray(options)) {
    options = {
      path: options
    };
  }

  var _options = options,
      path = _options.path,
      _options$exact = _options.exact,
      exact = _options$exact === void 0 ? false : _options$exact,
      _options$strict = _options.strict,
      strict = _options$strict === void 0 ? false : _options$strict,
      _options$sensitive = _options.sensitive,
      sensitive = _options$sensitive === void 0 ? false : _options$sensitive;
  var paths = [].concat(path);
  return paths.reduce(function (matched, path) {
    if (!path && path !== "") return null;
    if (matched) return matched;

    var _compilePath = compilePath$1(path, {
      end: exact,
      strict: strict,
      sensitive: sensitive
    }),
        regexp = _compilePath.regexp,
        keys = _compilePath.keys;

    var match = regexp.exec(pathname);
    if (!match) return null;
    var url = match[0],
        values = match.slice(1);
    var isExact = pathname === url;
    if (exact && !isExact) return null;
    return {
      path: path,
      // the path used to match
      url: path === "/" && url === "" ? "/" : url,
      // the matched portion of the URL
      isExact: isExact,
      // whether or not we matched exactly
      params: keys.reduce(function (memo, key, index) {
        memo[key.name] = values[index];
        return memo;
      }, {})
    };
  }, null);
}

function isEmptyChildren(children) {
  return react__WEBPACK_IMPORTED_MODULE_1__.Children.count(children) === 0;
}

function evalChildrenDev(children, props, path) {
  var value = children(props);
   true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_9__["default"])(value !== undefined, "You returned `undefined` from the `children` function of " + ("<Route" + (path ? " path=\"" + path + "\"" : "") + ">, but you ") + "should have returned a React element or `null`") : 0;
  return value || null;
}
/**
 * The public API for matching a single path and rendering.
 */


var Route =
/*#__PURE__*/
function (_React$Component) {
  (0,_babel_runtime_helpers_esm_inheritsLoose__WEBPACK_IMPORTED_MODULE_0__["default"])(Route, _React$Component);

  function Route() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = Route.prototype;

  _proto.render = function render() {
    var _this = this;

    return react__WEBPACK_IMPORTED_MODULE_1__.createElement(context.Consumer, null, function (context$1) {
      !context$1 ?  true ? (0,tiny_invariant__WEBPACK_IMPORTED_MODULE_11__["default"])(false, "You should not use <Route> outside a <Router>") : 0 : void 0;
      var location = _this.props.location || context$1.location;
      var match = _this.props.computedMatch ? _this.props.computedMatch // <Switch> already computed the match for us
      : _this.props.path ? matchPath(location.pathname, _this.props) : context$1.match;

      var props = (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_4__["default"])({}, context$1, {
        location: location,
        match: match
      });

      var _this$props = _this.props,
          children = _this$props.children,
          component = _this$props.component,
          render = _this$props.render; // Preact uses an empty array as children by
      // default, so use null if that's the case.

      if (Array.isArray(children) && children.length === 0) {
        children = null;
      }

      return react__WEBPACK_IMPORTED_MODULE_1__.createElement(context.Provider, {
        value: props
      }, props.match ? children ? typeof children === "function" ?  true ? evalChildrenDev(children, props, _this.props.path) : 0 : children : component ? react__WEBPACK_IMPORTED_MODULE_1__.createElement(component, props) : render ? render(props) : null : typeof children === "function" ?  true ? evalChildrenDev(children, props, _this.props.path) : 0 : null);
    });
  };

  return Route;
}(react__WEBPACK_IMPORTED_MODULE_1__.Component);

if (true) {
  Route.propTypes = {
    children: prop_types__WEBPACK_IMPORTED_MODULE_2___default().oneOfType([(prop_types__WEBPACK_IMPORTED_MODULE_2___default().func), (prop_types__WEBPACK_IMPORTED_MODULE_2___default().node)]),
    component: function component(props, propName) {
      if (props[propName] && !(0,react_is__WEBPACK_IMPORTED_MODULE_6__.isValidElementType)(props[propName])) {
        return new Error("Invalid prop 'component' supplied to 'Route': the prop is not a valid React component");
      }
    },
    exact: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().bool),
    location: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().object),
    path: prop_types__WEBPACK_IMPORTED_MODULE_2___default().oneOfType([(prop_types__WEBPACK_IMPORTED_MODULE_2___default().string), prop_types__WEBPACK_IMPORTED_MODULE_2___default().arrayOf((prop_types__WEBPACK_IMPORTED_MODULE_2___default().string))]),
    render: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().func),
    sensitive: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().bool),
    strict: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().bool)
  };

  Route.prototype.componentDidMount = function () {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_9__["default"])(!(this.props.children && !isEmptyChildren(this.props.children) && this.props.component), "You should not use <Route component> and <Route children> in the same route; <Route component> will be ignored") : 0;
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_9__["default"])(!(this.props.children && !isEmptyChildren(this.props.children) && this.props.render), "You should not use <Route render> and <Route children> in the same route; <Route render> will be ignored") : 0;
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_9__["default"])(!(this.props.component && this.props.render), "You should not use <Route component> and <Route render> in the same route; <Route render> will be ignored") : 0;
  };

  Route.prototype.componentDidUpdate = function (prevProps) {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_9__["default"])(!(this.props.location && !prevProps.location), '<Route> elements should not change from uncontrolled to controlled (or vice versa). You initially used no "location" prop and then provided one on a subsequent render.') : 0;
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_9__["default"])(!(!this.props.location && prevProps.location), '<Route> elements should not change from controlled to uncontrolled (or vice versa). You provided a "location" prop initially but omitted it on a subsequent render.') : 0;
  };
}

function addLeadingSlash(path) {
  return path.charAt(0) === "/" ? path : "/" + path;
}

function addBasename(basename, location) {
  if (!basename) return location;
  return (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_4__["default"])({}, location, {
    pathname: addLeadingSlash(basename) + location.pathname
  });
}

function stripBasename(basename, location) {
  if (!basename) return location;
  var base = addLeadingSlash(basename);
  if (location.pathname.indexOf(base) !== 0) return location;
  return (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_4__["default"])({}, location, {
    pathname: location.pathname.substr(base.length)
  });
}

function createURL(location) {
  return typeof location === "string" ? location : (0,history__WEBPACK_IMPORTED_MODULE_10__.createPath)(location);
}

function staticHandler(methodName) {
  return function () {
      true ? (0,tiny_invariant__WEBPACK_IMPORTED_MODULE_11__["default"])(false, "You cannot %s with <StaticRouter>", methodName) : 0 ;
  };
}

function noop() {}
/**
 * The public top-level API for a "static" <Router>, so-called because it
 * can't actually change the current location. Instead, it just records
 * location changes in a context object. Useful mainly in testing and
 * server-rendering scenarios.
 */


var StaticRouter =
/*#__PURE__*/
function (_React$Component) {
  (0,_babel_runtime_helpers_esm_inheritsLoose__WEBPACK_IMPORTED_MODULE_0__["default"])(StaticRouter, _React$Component);

  function StaticRouter() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;

    _this.handlePush = function (location) {
      return _this.navigateTo(location, "PUSH");
    };

    _this.handleReplace = function (location) {
      return _this.navigateTo(location, "REPLACE");
    };

    _this.handleListen = function () {
      return noop;
    };

    _this.handleBlock = function () {
      return noop;
    };

    return _this;
  }

  var _proto = StaticRouter.prototype;

  _proto.navigateTo = function navigateTo(location, action) {
    var _this$props = this.props,
        _this$props$basename = _this$props.basename,
        basename = _this$props$basename === void 0 ? "" : _this$props$basename,
        _this$props$context = _this$props.context,
        context = _this$props$context === void 0 ? {} : _this$props$context;
    context.action = action;
    context.location = addBasename(basename, (0,history__WEBPACK_IMPORTED_MODULE_10__.createLocation)(location));
    context.url = createURL(context.location);
  };

  _proto.render = function render() {
    var _this$props2 = this.props,
        _this$props2$basename = _this$props2.basename,
        basename = _this$props2$basename === void 0 ? "" : _this$props2$basename,
        _this$props2$context = _this$props2.context,
        context = _this$props2$context === void 0 ? {} : _this$props2$context,
        _this$props2$location = _this$props2.location,
        location = _this$props2$location === void 0 ? "/" : _this$props2$location,
        rest = (0,_babel_runtime_helpers_esm_objectWithoutPropertiesLoose__WEBPACK_IMPORTED_MODULE_7__["default"])(_this$props2, ["basename", "context", "location"]);

    var history = {
      createHref: function createHref(path) {
        return addLeadingSlash(basename + createURL(path));
      },
      action: "POP",
      location: stripBasename(basename, (0,history__WEBPACK_IMPORTED_MODULE_10__.createLocation)(location)),
      push: this.handlePush,
      replace: this.handleReplace,
      go: staticHandler("go"),
      goBack: staticHandler("goBack"),
      goForward: staticHandler("goForward"),
      listen: this.handleListen,
      block: this.handleBlock
    };
    return react__WEBPACK_IMPORTED_MODULE_1__.createElement(Router, (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_4__["default"])({}, rest, {
      history: history,
      staticContext: context
    }));
  };

  return StaticRouter;
}(react__WEBPACK_IMPORTED_MODULE_1__.Component);

if (true) {
  StaticRouter.propTypes = {
    basename: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().string),
    context: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().object),
    location: prop_types__WEBPACK_IMPORTED_MODULE_2___default().oneOfType([(prop_types__WEBPACK_IMPORTED_MODULE_2___default().string), (prop_types__WEBPACK_IMPORTED_MODULE_2___default().object)])
  };

  StaticRouter.prototype.componentDidMount = function () {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_9__["default"])(!this.props.history, "<StaticRouter> ignores the history prop. To use a custom history, " + "use `import { Router }` instead of `import { StaticRouter as Router }`.") : 0;
  };
}

/**
 * The public API for rendering the first <Route> that matches.
 */

var Switch =
/*#__PURE__*/
function (_React$Component) {
  (0,_babel_runtime_helpers_esm_inheritsLoose__WEBPACK_IMPORTED_MODULE_0__["default"])(Switch, _React$Component);

  function Switch() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = Switch.prototype;

  _proto.render = function render() {
    var _this = this;

    return react__WEBPACK_IMPORTED_MODULE_1__.createElement(context.Consumer, null, function (context) {
      !context ?  true ? (0,tiny_invariant__WEBPACK_IMPORTED_MODULE_11__["default"])(false, "You should not use <Switch> outside a <Router>") : 0 : void 0;
      var location = _this.props.location || context.location;
      var element, match; // We use React.Children.forEach instead of React.Children.toArray().find()
      // here because toArray adds keys to all child elements and we do not want
      // to trigger an unmount/remount for two <Route>s that render the same
      // component at different URLs.

      react__WEBPACK_IMPORTED_MODULE_1__.Children.forEach(_this.props.children, function (child) {
        if (match == null && react__WEBPACK_IMPORTED_MODULE_1__.isValidElement(child)) {
          element = child;
          var path = child.props.path || child.props.from;
          match = path ? matchPath(location.pathname, (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_4__["default"])({}, child.props, {
            path: path
          })) : context.match;
        }
      });
      return match ? react__WEBPACK_IMPORTED_MODULE_1__.cloneElement(element, {
        location: location,
        computedMatch: match
      }) : null;
    });
  };

  return Switch;
}(react__WEBPACK_IMPORTED_MODULE_1__.Component);

if (true) {
  Switch.propTypes = {
    children: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().node),
    location: (prop_types__WEBPACK_IMPORTED_MODULE_2___default().object)
  };

  Switch.prototype.componentDidUpdate = function (prevProps) {
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_9__["default"])(!(this.props.location && !prevProps.location), '<Switch> elements should not change from uncontrolled to controlled (or vice versa). You initially used no "location" prop and then provided one on a subsequent render.') : 0;
     true ? (0,tiny_warning__WEBPACK_IMPORTED_MODULE_9__["default"])(!(!this.props.location && prevProps.location), '<Switch> elements should not change from controlled to uncontrolled (or vice versa). You provided a "location" prop initially but omitted it on a subsequent render.') : 0;
  };
}

/**
 * A public higher-order component to access the imperative API
 */

function withRouter(Component) {
  var displayName = "withRouter(" + (Component.displayName || Component.name) + ")";

  var C = function C(props) {
    var wrappedComponentRef = props.wrappedComponentRef,
        remainingProps = (0,_babel_runtime_helpers_esm_objectWithoutPropertiesLoose__WEBPACK_IMPORTED_MODULE_7__["default"])(props, ["wrappedComponentRef"]);

    return react__WEBPACK_IMPORTED_MODULE_1__.createElement(context.Consumer, null, function (context) {
      !context ?  true ? (0,tiny_invariant__WEBPACK_IMPORTED_MODULE_11__["default"])(false, "You should not use <" + displayName + " /> outside a <Router>") : 0 : void 0;
      return react__WEBPACK_IMPORTED_MODULE_1__.createElement(Component, (0,_babel_runtime_helpers_esm_extends__WEBPACK_IMPORTED_MODULE_4__["default"])({}, remainingProps, context, {
        ref: wrappedComponentRef
      }));
    });
  };

  C.displayName = displayName;
  C.WrappedComponent = Component;

  if (true) {
    C.propTypes = {
      wrappedComponentRef: prop_types__WEBPACK_IMPORTED_MODULE_2___default().oneOfType([(prop_types__WEBPACK_IMPORTED_MODULE_2___default().string), (prop_types__WEBPACK_IMPORTED_MODULE_2___default().func), (prop_types__WEBPACK_IMPORTED_MODULE_2___default().object)])
    };
  }

  return hoist_non_react_statics__WEBPACK_IMPORTED_MODULE_8___default()(C, Component);
}

var useContext = react__WEBPACK_IMPORTED_MODULE_1__.useContext;
function useHistory() {
  if (true) {
    !(typeof useContext === "function") ?  true ? (0,tiny_invariant__WEBPACK_IMPORTED_MODULE_11__["default"])(false, "You must use React >= 16.8 in order to use useHistory()") : 0 : void 0;
  }

  return useContext(historyContext);
}
function useLocation() {
  if (true) {
    !(typeof useContext === "function") ?  true ? (0,tiny_invariant__WEBPACK_IMPORTED_MODULE_11__["default"])(false, "You must use React >= 16.8 in order to use useLocation()") : 0 : void 0;
  }

  return useContext(context).location;
}
function useParams() {
  if (true) {
    !(typeof useContext === "function") ?  true ? (0,tiny_invariant__WEBPACK_IMPORTED_MODULE_11__["default"])(false, "You must use React >= 16.8 in order to use useParams()") : 0 : void 0;
  }

  var match = useContext(context).match;
  return match ? match.params : {};
}
function useRouteMatch(path) {
  if (true) {
    !(typeof useContext === "function") ?  true ? (0,tiny_invariant__WEBPACK_IMPORTED_MODULE_11__["default"])(false, "You must use React >= 16.8 in order to use useRouteMatch()") : 0 : void 0;
  }

  var location = useLocation();
  var match = useContext(context).match;
  return path ? matchPath(location.pathname, path) : match;
}

if (true) {
  if (typeof window !== "undefined") {
    var global = window;
    var key = "__react_router_build__";
    var buildNames = {
      cjs: "CommonJS",
      esm: "ES modules",
      umd: "UMD"
    };

    if (global[key] && global[key] !== "esm") {
      var initialBuildName = buildNames[global[key]];
      var secondaryBuildName = buildNames["esm"]; // TODO: Add link to article that explains in detail how to avoid
      // loading 2 different builds.

      throw new Error("You are loading the " + secondaryBuildName + " build of React Router " + ("on a page that is already running the " + initialBuildName + " ") + "build, so things won't work right.");
    }

    global[key] = "esm";
  }
}


//# sourceMappingURL=react-router.js.map


/***/ }),

/***/ "./node_modules/react-singleton-hook/es/components/SingleItemContainer.js":
/*!********************************************************************************!*\
  !*** ./node_modules/react-singleton-hook/es/components/SingleItemContainer.js ***!
  \********************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "SingleItemContainer": () => (/* binding */ SingleItemContainer)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");

var SingleItemContainer = function SingleItemContainer(_ref) {
  var initValue = _ref.initValue,
      useHookBody = _ref.useHookBody,
      applyStateChange = _ref.applyStateChange;
  var lastState = (0,react__WEBPACK_IMPORTED_MODULE_0__.useRef)(initValue);

  if (typeof useHookBody !== 'function') {
    throw new Error("function expected as hook body parameter. got " + typeof useHookBody);
  }

  var val = useHookBody(); //useLayoutEffect is safe from SSR perspective because SingleItemContainer should never be rendered on server

  (0,react__WEBPACK_IMPORTED_MODULE_0__.useLayoutEffect)(function () {
    if (lastState.current !== val) {
      lastState.current = val;
      applyStateChange(val);
    }
  }, [applyStateChange, val]);
  return null;
};

/***/ }),

/***/ "./node_modules/react-singleton-hook/es/components/SingletonHooksContainer.js":
/*!************************************************************************************!*\
  !*** ./node_modules/react-singleton-hook/es/components/SingletonHooksContainer.js ***!
  \************************************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "SingletonHooksContainer": () => (/* binding */ SingletonHooksContainer),
/* harmony export */   "addHook": () => (/* binding */ addHook),
/* harmony export */   "resetLocalStateForTests": () => (/* binding */ resetLocalStateForTests)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _SingleItemContainer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./SingleItemContainer */ "./node_modules/react-singleton-hook/es/components/SingleItemContainer.js");
/* harmony import */ var _utils_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ../utils/env */ "./node_modules/react-singleton-hook/es/utils/env.js");
/* harmony import */ var _utils_warning__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../utils/warning */ "./node_modules/react-singleton-hook/es/utils/warning.js");
function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }





var SingletonHooksContainerMounted = false;
var SingletonHooksContainerRendered = false;
var SingletonHooksContainerMountedAutomatically = false;
var mountQueue = [];

var mountIntoContainerDefault = function mountIntoContainerDefault(item) {
  mountQueue.push(item);
};

var mountIntoContainer = mountIntoContainerDefault;
var SingletonHooksContainer = function SingletonHooksContainer() {
  SingletonHooksContainerRendered = true;
  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(function () {
    if (SingletonHooksContainerMounted) {
      (0,_utils_warning__WEBPACK_IMPORTED_MODULE_3__.warning)('SingletonHooksContainer is mounted second time. ' + 'You should mount SingletonHooksContainer before any other component and never unmount it.' + 'Alternatively, dont use SingletonHooksContainer it at all, we will handle that for you.');
    }

    SingletonHooksContainerMounted = true;
    return function () {
      return  true && (0,_utils_warning__WEBPACK_IMPORTED_MODULE_3__.warning)('SingletonHooksContainer is removed from DOM. its not supported, singleton hooks will stop updating.');
    };
  }, []);

  var _useState = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)([]),
      hooks = _useState[0],
      setHooks = _useState[1];

  (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(function () {
    mountIntoContainer = function mountIntoContainer(item) {
      return setHooks(function (hooks) {
        return [].concat(hooks, [item]);
      });
    };

    setHooks(mountQueue);
  }, []);
  return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(react__WEBPACK_IMPORTED_MODULE_0__.Fragment, null, hooks.map(function (h, i) {
    return /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(_SingleItemContainer__WEBPACK_IMPORTED_MODULE_1__.SingleItemContainer, _extends({}, h, {
      key: i
    }));
  }));
};
var addHook = function addHook(hook) {
  if (!SingletonHooksContainerRendered && !SingletonHooksContainerMountedAutomatically) {
    SingletonHooksContainerMountedAutomatically = true;
    (0,_utils_env__WEBPACK_IMPORTED_MODULE_2__.mount)(SingletonHooksContainer);
  }

  mountIntoContainer(hook);
};
var resetLocalStateForTests = function resetLocalStateForTests() {
  SingletonHooksContainerMounted = false;
  SingletonHooksContainerRendered = false;
  SingletonHooksContainerMountedAutomatically = false;
  mountQueue = [];
  mountIntoContainer = mountIntoContainerDefault;
};

/***/ }),

/***/ "./node_modules/react-singleton-hook/es/index.js":
/*!*******************************************************!*\
  !*** ./node_modules/react-singleton-hook/es/index.js ***!
  \*******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "SingletonHooksContainer": () => (/* reexport safe */ _components_SingletonHooksContainer__WEBPACK_IMPORTED_MODULE_1__.SingletonHooksContainer),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "singletonHook": () => (/* reexport safe */ _singletonHook__WEBPACK_IMPORTED_MODULE_0__.singletonHook)
/* harmony export */ });
/* harmony import */ var _singletonHook__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./singletonHook */ "./node_modules/react-singleton-hook/es/singletonHook.js");
/* harmony import */ var _components_SingletonHooksContainer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./components/SingletonHooksContainer */ "./node_modules/react-singleton-hook/es/components/SingletonHooksContainer.js");



var ReactSingletonHook = {
  singletonHook: _singletonHook__WEBPACK_IMPORTED_MODULE_0__.singletonHook,
  SingletonHooksContainer: _components_SingletonHooksContainer__WEBPACK_IMPORTED_MODULE_1__.SingletonHooksContainer
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ReactSingletonHook);

/***/ }),

/***/ "./node_modules/react-singleton-hook/es/singletonHook.js":
/*!***************************************************************!*\
  !*** ./node_modules/react-singleton-hook/es/singletonHook.js ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "singletonHook": () => (/* binding */ singletonHook)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var _components_SingletonHooksContainer__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./components/SingletonHooksContainer */ "./node_modules/react-singleton-hook/es/components/SingletonHooksContainer.js");
/* harmony import */ var _utils_env__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./utils/env */ "./node_modules/react-singleton-hook/es/utils/env.js");



var singletonHook = function singletonHook(initValue, useHookBody) {
  var mounted = false;
  var initStateCalculated = false;
  var lastKnownState = undefined;
  var consumers = [];

  var applyStateChange = function applyStateChange(newState) {
    lastKnownState = newState;
    (0,_utils_env__WEBPACK_IMPORTED_MODULE_2__.batch)(function () {
      return consumers.forEach(function (c) {
        return c(newState);
      });
    });
  };

  var stateInitializer = function stateInitializer() {
    if (!initStateCalculated) {
      lastKnownState = typeof initValue === 'function' ? initValue() : initValue;
      initStateCalculated = true;
    }

    return lastKnownState;
  };

  return function () {
    var _useState = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(stateInitializer),
        state = _useState[0],
        setState = _useState[1];

    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(function () {
      if (!mounted) {
        mounted = true;
        (0,_components_SingletonHooksContainer__WEBPACK_IMPORTED_MODULE_1__.addHook)({
          initValue: initValue,
          useHookBody: useHookBody,
          applyStateChange: applyStateChange
        });
      }

      consumers.push(setState);

      if (lastKnownState !== state) {
        setState(lastKnownState);
      }

      return function () {
        consumers.splice(consumers.indexOf(setState), 1);
      }; // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
    return state;
  };
};

/***/ }),

/***/ "./node_modules/react-singleton-hook/es/utils/env.js":
/*!***********************************************************!*\
  !*** ./node_modules/react-singleton-hook/es/utils/env.js ***!
  \***********************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "batch": () => (/* binding */ batch),
/* harmony export */   "mount": () => (/* binding */ mount)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! react */ "./node_modules/react/index.js");
/* harmony import */ var react_dom__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! react-dom */ "./node_modules/react-dom/index.js");
/* harmony import */ var _warning__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./warning */ "./node_modules/react-singleton-hook/es/utils/warning.js");

/* eslint-disable import/no-unresolved */



var batch = function batch(cb) {
  return (0,react_dom__WEBPACK_IMPORTED_MODULE_1__.unstable_batchedUpdates)(cb);
};
var mount = function mount(C) {
  if (window && window.document) {
    (0,react_dom__WEBPACK_IMPORTED_MODULE_1__.render)( /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_0__.createElement(C, null), window.document.createElement('div'));
  } else {
    (0,_warning__WEBPACK_IMPORTED_MODULE_2__.warning)('Can not mount SingletonHooksContainer on server side. ' + 'Did you manage to run useEffect on server? ' + 'Please mount SingletonHooksContainer into your components tree manually.');
  }
};

/***/ }),

/***/ "./node_modules/react-singleton-hook/es/utils/warning.js":
/*!***************************************************************!*\
  !*** ./node_modules/react-singleton-hook/es/utils/warning.js ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "warning": () => (/* binding */ warning)
/* harmony export */ });
var warning = function warning(message) {
  if (console && console.warn) {
    console.warn(message);
  }
};

/***/ }),

/***/ "./node_modules/react/cjs/react-jsx-runtime.development.js":
/*!*****************************************************************!*\
  !*** ./node_modules/react/cjs/react-jsx-runtime.development.js ***!
  \*****************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
/** @license React v17.0.1
 * react-jsx-runtime.development.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



if (true) {
  (function() {
'use strict';

var React = __webpack_require__(/*! react */ "./node_modules/react/index.js");
var _assign = __webpack_require__(/*! object-assign */ "./node_modules/object-assign/index.js");

// ATTENTION
// When adding new symbols to this file,
// Please consider also adding to 'react-devtools-shared/src/backend/ReactSymbols'
// The Symbol used to tag the ReactElement-like types. If there is no native Symbol
// nor polyfill, then a plain number is used for performance.
var REACT_ELEMENT_TYPE = 0xeac7;
var REACT_PORTAL_TYPE = 0xeaca;
exports.Fragment = 0xeacb;
var REACT_STRICT_MODE_TYPE = 0xeacc;
var REACT_PROFILER_TYPE = 0xead2;
var REACT_PROVIDER_TYPE = 0xeacd;
var REACT_CONTEXT_TYPE = 0xeace;
var REACT_FORWARD_REF_TYPE = 0xead0;
var REACT_SUSPENSE_TYPE = 0xead1;
var REACT_SUSPENSE_LIST_TYPE = 0xead8;
var REACT_MEMO_TYPE = 0xead3;
var REACT_LAZY_TYPE = 0xead4;
var REACT_BLOCK_TYPE = 0xead9;
var REACT_SERVER_BLOCK_TYPE = 0xeada;
var REACT_FUNDAMENTAL_TYPE = 0xead5;
var REACT_SCOPE_TYPE = 0xead7;
var REACT_OPAQUE_ID_TYPE = 0xeae0;
var REACT_DEBUG_TRACING_MODE_TYPE = 0xeae1;
var REACT_OFFSCREEN_TYPE = 0xeae2;
var REACT_LEGACY_HIDDEN_TYPE = 0xeae3;

if (typeof Symbol === 'function' && Symbol.for) {
  var symbolFor = Symbol.for;
  REACT_ELEMENT_TYPE = symbolFor('react.element');
  REACT_PORTAL_TYPE = symbolFor('react.portal');
  exports.Fragment = symbolFor('react.fragment');
  REACT_STRICT_MODE_TYPE = symbolFor('react.strict_mode');
  REACT_PROFILER_TYPE = symbolFor('react.profiler');
  REACT_PROVIDER_TYPE = symbolFor('react.provider');
  REACT_CONTEXT_TYPE = symbolFor('react.context');
  REACT_FORWARD_REF_TYPE = symbolFor('react.forward_ref');
  REACT_SUSPENSE_TYPE = symbolFor('react.suspense');
  REACT_SUSPENSE_LIST_TYPE = symbolFor('react.suspense_list');
  REACT_MEMO_TYPE = symbolFor('react.memo');
  REACT_LAZY_TYPE = symbolFor('react.lazy');
  REACT_BLOCK_TYPE = symbolFor('react.block');
  REACT_SERVER_BLOCK_TYPE = symbolFor('react.server.block');
  REACT_FUNDAMENTAL_TYPE = symbolFor('react.fundamental');
  REACT_SCOPE_TYPE = symbolFor('react.scope');
  REACT_OPAQUE_ID_TYPE = symbolFor('react.opaque.id');
  REACT_DEBUG_TRACING_MODE_TYPE = symbolFor('react.debug_trace_mode');
  REACT_OFFSCREEN_TYPE = symbolFor('react.offscreen');
  REACT_LEGACY_HIDDEN_TYPE = symbolFor('react.legacy_hidden');
}

var MAYBE_ITERATOR_SYMBOL = typeof Symbol === 'function' && Symbol.iterator;
var FAUX_ITERATOR_SYMBOL = '@@iterator';
function getIteratorFn(maybeIterable) {
  if (maybeIterable === null || typeof maybeIterable !== 'object') {
    return null;
  }

  var maybeIterator = MAYBE_ITERATOR_SYMBOL && maybeIterable[MAYBE_ITERATOR_SYMBOL] || maybeIterable[FAUX_ITERATOR_SYMBOL];

  if (typeof maybeIterator === 'function') {
    return maybeIterator;
  }

  return null;
}

var ReactSharedInternals = React.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED;

function error(format) {
  {
    for (var _len2 = arguments.length, args = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
      args[_key2 - 1] = arguments[_key2];
    }

    printWarning('error', format, args);
  }
}

function printWarning(level, format, args) {
  // When changing this logic, you might want to also
  // update consoleWithStackDev.www.js as well.
  {
    var ReactDebugCurrentFrame = ReactSharedInternals.ReactDebugCurrentFrame;
    var stack = ReactDebugCurrentFrame.getStackAddendum();

    if (stack !== '') {
      format += '%s';
      args = args.concat([stack]);
    }

    var argsWithFormat = args.map(function (item) {
      return '' + item;
    }); // Careful: RN currently depends on this prefix

    argsWithFormat.unshift('Warning: ' + format); // We intentionally don't use spread (or .apply) directly because it
    // breaks IE9: https://github.com/facebook/react/issues/13610
    // eslint-disable-next-line react-internal/no-production-logging

    Function.prototype.apply.call(console[level], console, argsWithFormat);
  }
}

// Filter certain DOM attributes (e.g. src, href) if their values are empty strings.

var enableScopeAPI = false; // Experimental Create Event Handle API.

function isValidElementType(type) {
  if (typeof type === 'string' || typeof type === 'function') {
    return true;
  } // Note: typeof might be other than 'symbol' or 'number' (e.g. if it's a polyfill).


  if (type === exports.Fragment || type === REACT_PROFILER_TYPE || type === REACT_DEBUG_TRACING_MODE_TYPE || type === REACT_STRICT_MODE_TYPE || type === REACT_SUSPENSE_TYPE || type === REACT_SUSPENSE_LIST_TYPE || type === REACT_LEGACY_HIDDEN_TYPE || enableScopeAPI ) {
    return true;
  }

  if (typeof type === 'object' && type !== null) {
    if (type.$$typeof === REACT_LAZY_TYPE || type.$$typeof === REACT_MEMO_TYPE || type.$$typeof === REACT_PROVIDER_TYPE || type.$$typeof === REACT_CONTEXT_TYPE || type.$$typeof === REACT_FORWARD_REF_TYPE || type.$$typeof === REACT_FUNDAMENTAL_TYPE || type.$$typeof === REACT_BLOCK_TYPE || type[0] === REACT_SERVER_BLOCK_TYPE) {
      return true;
    }
  }

  return false;
}

function getWrappedName(outerType, innerType, wrapperName) {
  var functionName = innerType.displayName || innerType.name || '';
  return outerType.displayName || (functionName !== '' ? wrapperName + "(" + functionName + ")" : wrapperName);
}

function getContextName(type) {
  return type.displayName || 'Context';
}

function getComponentName(type) {
  if (type == null) {
    // Host root, text node or just invalid type.
    return null;
  }

  {
    if (typeof type.tag === 'number') {
      error('Received an unexpected object in getComponentName(). ' + 'This is likely a bug in React. Please file an issue.');
    }
  }

  if (typeof type === 'function') {
    return type.displayName || type.name || null;
  }

  if (typeof type === 'string') {
    return type;
  }

  switch (type) {
    case exports.Fragment:
      return 'Fragment';

    case REACT_PORTAL_TYPE:
      return 'Portal';

    case REACT_PROFILER_TYPE:
      return 'Profiler';

    case REACT_STRICT_MODE_TYPE:
      return 'StrictMode';

    case REACT_SUSPENSE_TYPE:
      return 'Suspense';

    case REACT_SUSPENSE_LIST_TYPE:
      return 'SuspenseList';
  }

  if (typeof type === 'object') {
    switch (type.$$typeof) {
      case REACT_CONTEXT_TYPE:
        var context = type;
        return getContextName(context) + '.Consumer';

      case REACT_PROVIDER_TYPE:
        var provider = type;
        return getContextName(provider._context) + '.Provider';

      case REACT_FORWARD_REF_TYPE:
        return getWrappedName(type, type.render, 'ForwardRef');

      case REACT_MEMO_TYPE:
        return getComponentName(type.type);

      case REACT_BLOCK_TYPE:
        return getComponentName(type._render);

      case REACT_LAZY_TYPE:
        {
          var lazyComponent = type;
          var payload = lazyComponent._payload;
          var init = lazyComponent._init;

          try {
            return getComponentName(init(payload));
          } catch (x) {
            return null;
          }
        }
    }
  }

  return null;
}

// Helpers to patch console.logs to avoid logging during side-effect free
// replaying on render function. This currently only patches the object
// lazily which won't cover if the log function was extracted eagerly.
// We could also eagerly patch the method.
var disabledDepth = 0;
var prevLog;
var prevInfo;
var prevWarn;
var prevError;
var prevGroup;
var prevGroupCollapsed;
var prevGroupEnd;

function disabledLog() {}

disabledLog.__reactDisabledLog = true;
function disableLogs() {
  {
    if (disabledDepth === 0) {
      /* eslint-disable react-internal/no-production-logging */
      prevLog = console.log;
      prevInfo = console.info;
      prevWarn = console.warn;
      prevError = console.error;
      prevGroup = console.group;
      prevGroupCollapsed = console.groupCollapsed;
      prevGroupEnd = console.groupEnd; // https://github.com/facebook/react/issues/19099

      var props = {
        configurable: true,
        enumerable: true,
        value: disabledLog,
        writable: true
      }; // $FlowFixMe Flow thinks console is immutable.

      Object.defineProperties(console, {
        info: props,
        log: props,
        warn: props,
        error: props,
        group: props,
        groupCollapsed: props,
        groupEnd: props
      });
      /* eslint-enable react-internal/no-production-logging */
    }

    disabledDepth++;
  }
}
function reenableLogs() {
  {
    disabledDepth--;

    if (disabledDepth === 0) {
      /* eslint-disable react-internal/no-production-logging */
      var props = {
        configurable: true,
        enumerable: true,
        writable: true
      }; // $FlowFixMe Flow thinks console is immutable.

      Object.defineProperties(console, {
        log: _assign({}, props, {
          value: prevLog
        }),
        info: _assign({}, props, {
          value: prevInfo
        }),
        warn: _assign({}, props, {
          value: prevWarn
        }),
        error: _assign({}, props, {
          value: prevError
        }),
        group: _assign({}, props, {
          value: prevGroup
        }),
        groupCollapsed: _assign({}, props, {
          value: prevGroupCollapsed
        }),
        groupEnd: _assign({}, props, {
          value: prevGroupEnd
        })
      });
      /* eslint-enable react-internal/no-production-logging */
    }

    if (disabledDepth < 0) {
      error('disabledDepth fell below zero. ' + 'This is a bug in React. Please file an issue.');
    }
  }
}

var ReactCurrentDispatcher = ReactSharedInternals.ReactCurrentDispatcher;
var prefix;
function describeBuiltInComponentFrame(name, source, ownerFn) {
  {
    if (prefix === undefined) {
      // Extract the VM specific prefix used by each line.
      try {
        throw Error();
      } catch (x) {
        var match = x.stack.trim().match(/\n( *(at )?)/);
        prefix = match && match[1] || '';
      }
    } // We use the prefix to ensure our stacks line up with native stack frames.


    return '\n' + prefix + name;
  }
}
var reentry = false;
var componentFrameCache;

{
  var PossiblyWeakMap = typeof WeakMap === 'function' ? WeakMap : Map;
  componentFrameCache = new PossiblyWeakMap();
}

function describeNativeComponentFrame(fn, construct) {
  // If something asked for a stack inside a fake render, it should get ignored.
  if (!fn || reentry) {
    return '';
  }

  {
    var frame = componentFrameCache.get(fn);

    if (frame !== undefined) {
      return frame;
    }
  }

  var control;
  reentry = true;
  var previousPrepareStackTrace = Error.prepareStackTrace; // $FlowFixMe It does accept undefined.

  Error.prepareStackTrace = undefined;
  var previousDispatcher;

  {
    previousDispatcher = ReactCurrentDispatcher.current; // Set the dispatcher in DEV because this might be call in the render function
    // for warnings.

    ReactCurrentDispatcher.current = null;
    disableLogs();
  }

  try {
    // This should throw.
    if (construct) {
      // Something should be setting the props in the constructor.
      var Fake = function () {
        throw Error();
      }; // $FlowFixMe


      Object.defineProperty(Fake.prototype, 'props', {
        set: function () {
          // We use a throwing setter instead of frozen or non-writable props
          // because that won't throw in a non-strict mode function.
          throw Error();
        }
      });

      if (typeof Reflect === 'object' && Reflect.construct) {
        // We construct a different control for this case to include any extra
        // frames added by the construct call.
        try {
          Reflect.construct(Fake, []);
        } catch (x) {
          control = x;
        }

        Reflect.construct(fn, [], Fake);
      } else {
        try {
          Fake.call();
        } catch (x) {
          control = x;
        }

        fn.call(Fake.prototype);
      }
    } else {
      try {
        throw Error();
      } catch (x) {
        control = x;
      }

      fn();
    }
  } catch (sample) {
    // This is inlined manually because closure doesn't do it for us.
    if (sample && control && typeof sample.stack === 'string') {
      // This extracts the first frame from the sample that isn't also in the control.
      // Skipping one frame that we assume is the frame that calls the two.
      var sampleLines = sample.stack.split('\n');
      var controlLines = control.stack.split('\n');
      var s = sampleLines.length - 1;
      var c = controlLines.length - 1;

      while (s >= 1 && c >= 0 && sampleLines[s] !== controlLines[c]) {
        // We expect at least one stack frame to be shared.
        // Typically this will be the root most one. However, stack frames may be
        // cut off due to maximum stack limits. In this case, one maybe cut off
        // earlier than the other. We assume that the sample is longer or the same
        // and there for cut off earlier. So we should find the root most frame in
        // the sample somewhere in the control.
        c--;
      }

      for (; s >= 1 && c >= 0; s--, c--) {
        // Next we find the first one that isn't the same which should be the
        // frame that called our sample function and the control.
        if (sampleLines[s] !== controlLines[c]) {
          // In V8, the first line is describing the message but other VMs don't.
          // If we're about to return the first line, and the control is also on the same
          // line, that's a pretty good indicator that our sample threw at same line as
          // the control. I.e. before we entered the sample frame. So we ignore this result.
          // This can happen if you passed a class to function component, or non-function.
          if (s !== 1 || c !== 1) {
            do {
              s--;
              c--; // We may still have similar intermediate frames from the construct call.
              // The next one that isn't the same should be our match though.

              if (c < 0 || sampleLines[s] !== controlLines[c]) {
                // V8 adds a "new" prefix for native classes. Let's remove it to make it prettier.
                var _frame = '\n' + sampleLines[s].replace(' at new ', ' at ');

                {
                  if (typeof fn === 'function') {
                    componentFrameCache.set(fn, _frame);
                  }
                } // Return the line we found.


                return _frame;
              }
            } while (s >= 1 && c >= 0);
          }

          break;
        }
      }
    }
  } finally {
    reentry = false;

    {
      ReactCurrentDispatcher.current = previousDispatcher;
      reenableLogs();
    }

    Error.prepareStackTrace = previousPrepareStackTrace;
  } // Fallback to just using the name if we couldn't make it throw.


  var name = fn ? fn.displayName || fn.name : '';
  var syntheticFrame = name ? describeBuiltInComponentFrame(name) : '';

  {
    if (typeof fn === 'function') {
      componentFrameCache.set(fn, syntheticFrame);
    }
  }

  return syntheticFrame;
}
function describeFunctionComponentFrame(fn, source, ownerFn) {
  {
    return describeNativeComponentFrame(fn, false);
  }
}

function shouldConstruct(Component) {
  var prototype = Component.prototype;
  return !!(prototype && prototype.isReactComponent);
}

function describeUnknownElementTypeFrameInDEV(type, source, ownerFn) {

  if (type == null) {
    return '';
  }

  if (typeof type === 'function') {
    {
      return describeNativeComponentFrame(type, shouldConstruct(type));
    }
  }

  if (typeof type === 'string') {
    return describeBuiltInComponentFrame(type);
  }

  switch (type) {
    case REACT_SUSPENSE_TYPE:
      return describeBuiltInComponentFrame('Suspense');

    case REACT_SUSPENSE_LIST_TYPE:
      return describeBuiltInComponentFrame('SuspenseList');
  }

  if (typeof type === 'object') {
    switch (type.$$typeof) {
      case REACT_FORWARD_REF_TYPE:
        return describeFunctionComponentFrame(type.render);

      case REACT_MEMO_TYPE:
        // Memo may contain any component type so we recursively resolve it.
        return describeUnknownElementTypeFrameInDEV(type.type, source, ownerFn);

      case REACT_BLOCK_TYPE:
        return describeFunctionComponentFrame(type._render);

      case REACT_LAZY_TYPE:
        {
          var lazyComponent = type;
          var payload = lazyComponent._payload;
          var init = lazyComponent._init;

          try {
            // Lazy may contain any component type so we recursively resolve it.
            return describeUnknownElementTypeFrameInDEV(init(payload), source, ownerFn);
          } catch (x) {}
        }
    }
  }

  return '';
}

var loggedTypeFailures = {};
var ReactDebugCurrentFrame = ReactSharedInternals.ReactDebugCurrentFrame;

function setCurrentlyValidatingElement(element) {
  {
    if (element) {
      var owner = element._owner;
      var stack = describeUnknownElementTypeFrameInDEV(element.type, element._source, owner ? owner.type : null);
      ReactDebugCurrentFrame.setExtraStackFrame(stack);
    } else {
      ReactDebugCurrentFrame.setExtraStackFrame(null);
    }
  }
}

function checkPropTypes(typeSpecs, values, location, componentName, element) {
  {
    // $FlowFixMe This is okay but Flow doesn't know it.
    var has = Function.call.bind(Object.prototype.hasOwnProperty);

    for (var typeSpecName in typeSpecs) {
      if (has(typeSpecs, typeSpecName)) {
        var error$1 = void 0; // Prop type validation may throw. In case they do, we don't want to
        // fail the render phase where it didn't fail before. So we log it.
        // After these have been cleaned up, we'll let them throw.

        try {
          // This is intentionally an invariant that gets caught. It's the same
          // behavior as without this statement except with a better message.
          if (typeof typeSpecs[typeSpecName] !== 'function') {
            var err = Error((componentName || 'React class') + ': ' + location + ' type `' + typeSpecName + '` is invalid; ' + 'it must be a function, usually from the `prop-types` package, but received `' + typeof typeSpecs[typeSpecName] + '`.' + 'This often happens because of typos such as `PropTypes.function` instead of `PropTypes.func`.');
            err.name = 'Invariant Violation';
            throw err;
          }

          error$1 = typeSpecs[typeSpecName](values, typeSpecName, componentName, location, null, 'SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED');
        } catch (ex) {
          error$1 = ex;
        }

        if (error$1 && !(error$1 instanceof Error)) {
          setCurrentlyValidatingElement(element);

          error('%s: type specification of %s' + ' `%s` is invalid; the type checker ' + 'function must return `null` or an `Error` but returned a %s. ' + 'You may have forgotten to pass an argument to the type checker ' + 'creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and ' + 'shape all require an argument).', componentName || 'React class', location, typeSpecName, typeof error$1);

          setCurrentlyValidatingElement(null);
        }

        if (error$1 instanceof Error && !(error$1.message in loggedTypeFailures)) {
          // Only monitor this failure once because there tends to be a lot of the
          // same error.
          loggedTypeFailures[error$1.message] = true;
          setCurrentlyValidatingElement(element);

          error('Failed %s type: %s', location, error$1.message);

          setCurrentlyValidatingElement(null);
        }
      }
    }
  }
}

var ReactCurrentOwner = ReactSharedInternals.ReactCurrentOwner;
var hasOwnProperty = Object.prototype.hasOwnProperty;
var RESERVED_PROPS = {
  key: true,
  ref: true,
  __self: true,
  __source: true
};
var specialPropKeyWarningShown;
var specialPropRefWarningShown;
var didWarnAboutStringRefs;

{
  didWarnAboutStringRefs = {};
}

function hasValidRef(config) {
  {
    if (hasOwnProperty.call(config, 'ref')) {
      var getter = Object.getOwnPropertyDescriptor(config, 'ref').get;

      if (getter && getter.isReactWarning) {
        return false;
      }
    }
  }

  return config.ref !== undefined;
}

function hasValidKey(config) {
  {
    if (hasOwnProperty.call(config, 'key')) {
      var getter = Object.getOwnPropertyDescriptor(config, 'key').get;

      if (getter && getter.isReactWarning) {
        return false;
      }
    }
  }

  return config.key !== undefined;
}

function warnIfStringRefCannotBeAutoConverted(config, self) {
  {
    if (typeof config.ref === 'string' && ReactCurrentOwner.current && self && ReactCurrentOwner.current.stateNode !== self) {
      var componentName = getComponentName(ReactCurrentOwner.current.type);

      if (!didWarnAboutStringRefs[componentName]) {
        error('Component "%s" contains the string ref "%s". ' + 'Support for string refs will be removed in a future major release. ' + 'This case cannot be automatically converted to an arrow function. ' + 'We ask you to manually fix this case by using useRef() or createRef() instead. ' + 'Learn more about using refs safely here: ' + 'https://reactjs.org/link/strict-mode-string-ref', getComponentName(ReactCurrentOwner.current.type), config.ref);

        didWarnAboutStringRefs[componentName] = true;
      }
    }
  }
}

function defineKeyPropWarningGetter(props, displayName) {
  {
    var warnAboutAccessingKey = function () {
      if (!specialPropKeyWarningShown) {
        specialPropKeyWarningShown = true;

        error('%s: `key` is not a prop. Trying to access it will result ' + 'in `undefined` being returned. If you need to access the same ' + 'value within the child component, you should pass it as a different ' + 'prop. (https://reactjs.org/link/special-props)', displayName);
      }
    };

    warnAboutAccessingKey.isReactWarning = true;
    Object.defineProperty(props, 'key', {
      get: warnAboutAccessingKey,
      configurable: true
    });
  }
}

function defineRefPropWarningGetter(props, displayName) {
  {
    var warnAboutAccessingRef = function () {
      if (!specialPropRefWarningShown) {
        specialPropRefWarningShown = true;

        error('%s: `ref` is not a prop. Trying to access it will result ' + 'in `undefined` being returned. If you need to access the same ' + 'value within the child component, you should pass it as a different ' + 'prop. (https://reactjs.org/link/special-props)', displayName);
      }
    };

    warnAboutAccessingRef.isReactWarning = true;
    Object.defineProperty(props, 'ref', {
      get: warnAboutAccessingRef,
      configurable: true
    });
  }
}
/**
 * Factory method to create a new React element. This no longer adheres to
 * the class pattern, so do not use new to call it. Also, instanceof check
 * will not work. Instead test $$typeof field against Symbol.for('react.element') to check
 * if something is a React Element.
 *
 * @param {*} type
 * @param {*} props
 * @param {*} key
 * @param {string|object} ref
 * @param {*} owner
 * @param {*} self A *temporary* helper to detect places where `this` is
 * different from the `owner` when React.createElement is called, so that we
 * can warn. We want to get rid of owner and replace string `ref`s with arrow
 * functions, and as long as `this` and owner are the same, there will be no
 * change in behavior.
 * @param {*} source An annotation object (added by a transpiler or otherwise)
 * indicating filename, line number, and/or other information.
 * @internal
 */


var ReactElement = function (type, key, ref, self, source, owner, props) {
  var element = {
    // This tag allows us to uniquely identify this as a React Element
    $$typeof: REACT_ELEMENT_TYPE,
    // Built-in properties that belong on the element
    type: type,
    key: key,
    ref: ref,
    props: props,
    // Record the component responsible for creating this element.
    _owner: owner
  };

  {
    // The validation flag is currently mutative. We put it on
    // an external backing store so that we can freeze the whole object.
    // This can be replaced with a WeakMap once they are implemented in
    // commonly used development environments.
    element._store = {}; // To make comparing ReactElements easier for testing purposes, we make
    // the validation flag non-enumerable (where possible, which should
    // include every environment we run tests in), so the test framework
    // ignores it.

    Object.defineProperty(element._store, 'validated', {
      configurable: false,
      enumerable: false,
      writable: true,
      value: false
    }); // self and source are DEV only properties.

    Object.defineProperty(element, '_self', {
      configurable: false,
      enumerable: false,
      writable: false,
      value: self
    }); // Two elements created in two different places should be considered
    // equal for testing purposes and therefore we hide it from enumeration.

    Object.defineProperty(element, '_source', {
      configurable: false,
      enumerable: false,
      writable: false,
      value: source
    });

    if (Object.freeze) {
      Object.freeze(element.props);
      Object.freeze(element);
    }
  }

  return element;
};
/**
 * https://github.com/reactjs/rfcs/pull/107
 * @param {*} type
 * @param {object} props
 * @param {string} key
 */

function jsxDEV(type, config, maybeKey, source, self) {
  {
    var propName; // Reserved names are extracted

    var props = {};
    var key = null;
    var ref = null; // Currently, key can be spread in as a prop. This causes a potential
    // issue if key is also explicitly declared (ie. <div {...props} key="Hi" />
    // or <div key="Hi" {...props} /> ). We want to deprecate key spread,
    // but as an intermediary step, we will use jsxDEV for everything except
    // <div {...props} key="Hi" />, because we aren't currently able to tell if
    // key is explicitly declared to be undefined or not.

    if (maybeKey !== undefined) {
      key = '' + maybeKey;
    }

    if (hasValidKey(config)) {
      key = '' + config.key;
    }

    if (hasValidRef(config)) {
      ref = config.ref;
      warnIfStringRefCannotBeAutoConverted(config, self);
    } // Remaining properties are added to a new props object


    for (propName in config) {
      if (hasOwnProperty.call(config, propName) && !RESERVED_PROPS.hasOwnProperty(propName)) {
        props[propName] = config[propName];
      }
    } // Resolve default props


    if (type && type.defaultProps) {
      var defaultProps = type.defaultProps;

      for (propName in defaultProps) {
        if (props[propName] === undefined) {
          props[propName] = defaultProps[propName];
        }
      }
    }

    if (key || ref) {
      var displayName = typeof type === 'function' ? type.displayName || type.name || 'Unknown' : type;

      if (key) {
        defineKeyPropWarningGetter(props, displayName);
      }

      if (ref) {
        defineRefPropWarningGetter(props, displayName);
      }
    }

    return ReactElement(type, key, ref, self, source, ReactCurrentOwner.current, props);
  }
}

var ReactCurrentOwner$1 = ReactSharedInternals.ReactCurrentOwner;
var ReactDebugCurrentFrame$1 = ReactSharedInternals.ReactDebugCurrentFrame;

function setCurrentlyValidatingElement$1(element) {
  {
    if (element) {
      var owner = element._owner;
      var stack = describeUnknownElementTypeFrameInDEV(element.type, element._source, owner ? owner.type : null);
      ReactDebugCurrentFrame$1.setExtraStackFrame(stack);
    } else {
      ReactDebugCurrentFrame$1.setExtraStackFrame(null);
    }
  }
}

var propTypesMisspellWarningShown;

{
  propTypesMisspellWarningShown = false;
}
/**
 * Verifies the object is a ReactElement.
 * See https://reactjs.org/docs/react-api.html#isvalidelement
 * @param {?object} object
 * @return {boolean} True if `object` is a ReactElement.
 * @final
 */

function isValidElement(object) {
  {
    return typeof object === 'object' && object !== null && object.$$typeof === REACT_ELEMENT_TYPE;
  }
}

function getDeclarationErrorAddendum() {
  {
    if (ReactCurrentOwner$1.current) {
      var name = getComponentName(ReactCurrentOwner$1.current.type);

      if (name) {
        return '\n\nCheck the render method of `' + name + '`.';
      }
    }

    return '';
  }
}

function getSourceInfoErrorAddendum(source) {
  {
    if (source !== undefined) {
      var fileName = source.fileName.replace(/^.*[\\\/]/, '');
      var lineNumber = source.lineNumber;
      return '\n\nCheck your code at ' + fileName + ':' + lineNumber + '.';
    }

    return '';
  }
}
/**
 * Warn if there's no key explicitly set on dynamic arrays of children or
 * object keys are not valid. This allows us to keep track of children between
 * updates.
 */


var ownerHasKeyUseWarning = {};

function getCurrentComponentErrorInfo(parentType) {
  {
    var info = getDeclarationErrorAddendum();

    if (!info) {
      var parentName = typeof parentType === 'string' ? parentType : parentType.displayName || parentType.name;

      if (parentName) {
        info = "\n\nCheck the top-level render call using <" + parentName + ">.";
      }
    }

    return info;
  }
}
/**
 * Warn if the element doesn't have an explicit key assigned to it.
 * This element is in an array. The array could grow and shrink or be
 * reordered. All children that haven't already been validated are required to
 * have a "key" property assigned to it. Error statuses are cached so a warning
 * will only be shown once.
 *
 * @internal
 * @param {ReactElement} element Element that requires a key.
 * @param {*} parentType element's parent's type.
 */


function validateExplicitKey(element, parentType) {
  {
    if (!element._store || element._store.validated || element.key != null) {
      return;
    }

    element._store.validated = true;
    var currentComponentErrorInfo = getCurrentComponentErrorInfo(parentType);

    if (ownerHasKeyUseWarning[currentComponentErrorInfo]) {
      return;
    }

    ownerHasKeyUseWarning[currentComponentErrorInfo] = true; // Usually the current owner is the offender, but if it accepts children as a
    // property, it may be the creator of the child that's responsible for
    // assigning it a key.

    var childOwner = '';

    if (element && element._owner && element._owner !== ReactCurrentOwner$1.current) {
      // Give the component that originally created this child.
      childOwner = " It was passed a child from " + getComponentName(element._owner.type) + ".";
    }

    setCurrentlyValidatingElement$1(element);

    error('Each child in a list should have a unique "key" prop.' + '%s%s See https://reactjs.org/link/warning-keys for more information.', currentComponentErrorInfo, childOwner);

    setCurrentlyValidatingElement$1(null);
  }
}
/**
 * Ensure that every element either is passed in a static location, in an
 * array with an explicit keys property defined, or in an object literal
 * with valid key property.
 *
 * @internal
 * @param {ReactNode} node Statically passed child of any type.
 * @param {*} parentType node's parent's type.
 */


function validateChildKeys(node, parentType) {
  {
    if (typeof node !== 'object') {
      return;
    }

    if (Array.isArray(node)) {
      for (var i = 0; i < node.length; i++) {
        var child = node[i];

        if (isValidElement(child)) {
          validateExplicitKey(child, parentType);
        }
      }
    } else if (isValidElement(node)) {
      // This element was passed in a valid location.
      if (node._store) {
        node._store.validated = true;
      }
    } else if (node) {
      var iteratorFn = getIteratorFn(node);

      if (typeof iteratorFn === 'function') {
        // Entry iterators used to provide implicit keys,
        // but now we print a separate warning for them later.
        if (iteratorFn !== node.entries) {
          var iterator = iteratorFn.call(node);
          var step;

          while (!(step = iterator.next()).done) {
            if (isValidElement(step.value)) {
              validateExplicitKey(step.value, parentType);
            }
          }
        }
      }
    }
  }
}
/**
 * Given an element, validate that its props follow the propTypes definition,
 * provided by the type.
 *
 * @param {ReactElement} element
 */


function validatePropTypes(element) {
  {
    var type = element.type;

    if (type === null || type === undefined || typeof type === 'string') {
      return;
    }

    var propTypes;

    if (typeof type === 'function') {
      propTypes = type.propTypes;
    } else if (typeof type === 'object' && (type.$$typeof === REACT_FORWARD_REF_TYPE || // Note: Memo only checks outer props here.
    // Inner props are checked in the reconciler.
    type.$$typeof === REACT_MEMO_TYPE)) {
      propTypes = type.propTypes;
    } else {
      return;
    }

    if (propTypes) {
      // Intentionally inside to avoid triggering lazy initializers:
      var name = getComponentName(type);
      checkPropTypes(propTypes, element.props, 'prop', name, element);
    } else if (type.PropTypes !== undefined && !propTypesMisspellWarningShown) {
      propTypesMisspellWarningShown = true; // Intentionally inside to avoid triggering lazy initializers:

      var _name = getComponentName(type);

      error('Component %s declared `PropTypes` instead of `propTypes`. Did you misspell the property assignment?', _name || 'Unknown');
    }

    if (typeof type.getDefaultProps === 'function' && !type.getDefaultProps.isReactClassApproved) {
      error('getDefaultProps is only used on classic React.createClass ' + 'definitions. Use a static property named `defaultProps` instead.');
    }
  }
}
/**
 * Given a fragment, validate that it can only be provided with fragment props
 * @param {ReactElement} fragment
 */


function validateFragmentProps(fragment) {
  {
    var keys = Object.keys(fragment.props);

    for (var i = 0; i < keys.length; i++) {
      var key = keys[i];

      if (key !== 'children' && key !== 'key') {
        setCurrentlyValidatingElement$1(fragment);

        error('Invalid prop `%s` supplied to `React.Fragment`. ' + 'React.Fragment can only have `key` and `children` props.', key);

        setCurrentlyValidatingElement$1(null);
        break;
      }
    }

    if (fragment.ref !== null) {
      setCurrentlyValidatingElement$1(fragment);

      error('Invalid attribute `ref` supplied to `React.Fragment`.');

      setCurrentlyValidatingElement$1(null);
    }
  }
}

function jsxWithValidation(type, props, key, isStaticChildren, source, self) {
  {
    var validType = isValidElementType(type); // We warn in this case but don't throw. We expect the element creation to
    // succeed and there will likely be errors in render.

    if (!validType) {
      var info = '';

      if (type === undefined || typeof type === 'object' && type !== null && Object.keys(type).length === 0) {
        info += ' You likely forgot to export your component from the file ' + "it's defined in, or you might have mixed up default and named imports.";
      }

      var sourceInfo = getSourceInfoErrorAddendum(source);

      if (sourceInfo) {
        info += sourceInfo;
      } else {
        info += getDeclarationErrorAddendum();
      }

      var typeString;

      if (type === null) {
        typeString = 'null';
      } else if (Array.isArray(type)) {
        typeString = 'array';
      } else if (type !== undefined && type.$$typeof === REACT_ELEMENT_TYPE) {
        typeString = "<" + (getComponentName(type.type) || 'Unknown') + " />";
        info = ' Did you accidentally export a JSX literal instead of a component?';
      } else {
        typeString = typeof type;
      }

      error('React.jsx: type is invalid -- expected a string (for ' + 'built-in components) or a class/function (for composite ' + 'components) but got: %s.%s', typeString, info);
    }

    var element = jsxDEV(type, props, key, source, self); // The result can be nullish if a mock or a custom function is used.
    // TODO: Drop this when these are no longer allowed as the type argument.

    if (element == null) {
      return element;
    } // Skip key warning if the type isn't valid since our key validation logic
    // doesn't expect a non-string/function type and can throw confusing errors.
    // We don't want exception behavior to differ between dev and prod.
    // (Rendering will throw with a helpful message and as soon as the type is
    // fixed, the key warnings will appear.)


    if (validType) {
      var children = props.children;

      if (children !== undefined) {
        if (isStaticChildren) {
          if (Array.isArray(children)) {
            for (var i = 0; i < children.length; i++) {
              validateChildKeys(children[i], type);
            }

            if (Object.freeze) {
              Object.freeze(children);
            }
          } else {
            error('React.jsx: Static children should always be an array. ' + 'You are likely explicitly calling React.jsxs or React.jsxDEV. ' + 'Use the Babel transform instead.');
          }
        } else {
          validateChildKeys(children, type);
        }
      }
    }

    if (type === exports.Fragment) {
      validateFragmentProps(element);
    } else {
      validatePropTypes(element);
    }

    return element;
  }
} // These two functions exist to still get child warnings in dev
// even with the prod transform. This means that jsxDEV is purely
// opt-in behavior for better messages but that we won't stop
// giving you warnings if you use production apis.

function jsxWithValidationStatic(type, props, key) {
  {
    return jsxWithValidation(type, props, key, true);
  }
}
function jsxWithValidationDynamic(type, props, key) {
  {
    return jsxWithValidation(type, props, key, false);
  }
}

var jsx =  jsxWithValidationDynamic ; // we may want to special case jsxs internally to take advantage of static children.
// for now we can ship identical prod functions

var jsxs =  jsxWithValidationStatic ;

exports.jsx = jsx;
exports.jsxs = jsxs;
  })();
}


/***/ }),

/***/ "./node_modules/react/cjs/react.development.js":
/*!*****************************************************!*\
  !*** ./node_modules/react/cjs/react.development.js ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {

"use strict";
/** @license React v17.0.1
 * react.development.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



if (true) {
  (function() {
'use strict';

var _assign = __webpack_require__(/*! object-assign */ "./node_modules/object-assign/index.js");

// TODO: this is special because it gets imported during build.
var ReactVersion = '17.0.1';

// ATTENTION
// When adding new symbols to this file,
// Please consider also adding to 'react-devtools-shared/src/backend/ReactSymbols'
// The Symbol used to tag the ReactElement-like types. If there is no native Symbol
// nor polyfill, then a plain number is used for performance.
var REACT_ELEMENT_TYPE = 0xeac7;
var REACT_PORTAL_TYPE = 0xeaca;
exports.Fragment = 0xeacb;
exports.StrictMode = 0xeacc;
exports.Profiler = 0xead2;
var REACT_PROVIDER_TYPE = 0xeacd;
var REACT_CONTEXT_TYPE = 0xeace;
var REACT_FORWARD_REF_TYPE = 0xead0;
exports.Suspense = 0xead1;
var REACT_SUSPENSE_LIST_TYPE = 0xead8;
var REACT_MEMO_TYPE = 0xead3;
var REACT_LAZY_TYPE = 0xead4;
var REACT_BLOCK_TYPE = 0xead9;
var REACT_SERVER_BLOCK_TYPE = 0xeada;
var REACT_FUNDAMENTAL_TYPE = 0xead5;
var REACT_SCOPE_TYPE = 0xead7;
var REACT_OPAQUE_ID_TYPE = 0xeae0;
var REACT_DEBUG_TRACING_MODE_TYPE = 0xeae1;
var REACT_OFFSCREEN_TYPE = 0xeae2;
var REACT_LEGACY_HIDDEN_TYPE = 0xeae3;

if (typeof Symbol === 'function' && Symbol.for) {
  var symbolFor = Symbol.for;
  REACT_ELEMENT_TYPE = symbolFor('react.element');
  REACT_PORTAL_TYPE = symbolFor('react.portal');
  exports.Fragment = symbolFor('react.fragment');
  exports.StrictMode = symbolFor('react.strict_mode');
  exports.Profiler = symbolFor('react.profiler');
  REACT_PROVIDER_TYPE = symbolFor('react.provider');
  REACT_CONTEXT_TYPE = symbolFor('react.context');
  REACT_FORWARD_REF_TYPE = symbolFor('react.forward_ref');
  exports.Suspense = symbolFor('react.suspense');
  REACT_SUSPENSE_LIST_TYPE = symbolFor('react.suspense_list');
  REACT_MEMO_TYPE = symbolFor('react.memo');
  REACT_LAZY_TYPE = symbolFor('react.lazy');
  REACT_BLOCK_TYPE = symbolFor('react.block');
  REACT_SERVER_BLOCK_TYPE = symbolFor('react.server.block');
  REACT_FUNDAMENTAL_TYPE = symbolFor('react.fundamental');
  REACT_SCOPE_TYPE = symbolFor('react.scope');
  REACT_OPAQUE_ID_TYPE = symbolFor('react.opaque.id');
  REACT_DEBUG_TRACING_MODE_TYPE = symbolFor('react.debug_trace_mode');
  REACT_OFFSCREEN_TYPE = symbolFor('react.offscreen');
  REACT_LEGACY_HIDDEN_TYPE = symbolFor('react.legacy_hidden');
}

var MAYBE_ITERATOR_SYMBOL = typeof Symbol === 'function' && Symbol.iterator;
var FAUX_ITERATOR_SYMBOL = '@@iterator';
function getIteratorFn(maybeIterable) {
  if (maybeIterable === null || typeof maybeIterable !== 'object') {
    return null;
  }

  var maybeIterator = MAYBE_ITERATOR_SYMBOL && maybeIterable[MAYBE_ITERATOR_SYMBOL] || maybeIterable[FAUX_ITERATOR_SYMBOL];

  if (typeof maybeIterator === 'function') {
    return maybeIterator;
  }

  return null;
}

/**
 * Keeps track of the current dispatcher.
 */
var ReactCurrentDispatcher = {
  /**
   * @internal
   * @type {ReactComponent}
   */
  current: null
};

/**
 * Keeps track of the current batch's configuration such as how long an update
 * should suspend for if it needs to.
 */
var ReactCurrentBatchConfig = {
  transition: 0
};

/**
 * Keeps track of the current owner.
 *
 * The current owner is the component who should own any components that are
 * currently being constructed.
 */
var ReactCurrentOwner = {
  /**
   * @internal
   * @type {ReactComponent}
   */
  current: null
};

var ReactDebugCurrentFrame = {};
var currentExtraStackFrame = null;
function setExtraStackFrame(stack) {
  {
    currentExtraStackFrame = stack;
  }
}

{
  ReactDebugCurrentFrame.setExtraStackFrame = function (stack) {
    {
      currentExtraStackFrame = stack;
    }
  }; // Stack implementation injected by the current renderer.


  ReactDebugCurrentFrame.getCurrentStack = null;

  ReactDebugCurrentFrame.getStackAddendum = function () {
    var stack = ''; // Add an extra top frame while an element is being validated

    if (currentExtraStackFrame) {
      stack += currentExtraStackFrame;
    } // Delegate to the injected renderer-specific implementation


    var impl = ReactDebugCurrentFrame.getCurrentStack;

    if (impl) {
      stack += impl() || '';
    }

    return stack;
  };
}

/**
 * Used by act() to track whether you're inside an act() scope.
 */
var IsSomeRendererActing = {
  current: false
};

var ReactSharedInternals = {
  ReactCurrentDispatcher: ReactCurrentDispatcher,
  ReactCurrentBatchConfig: ReactCurrentBatchConfig,
  ReactCurrentOwner: ReactCurrentOwner,
  IsSomeRendererActing: IsSomeRendererActing,
  // Used by renderers to avoid bundling object-assign twice in UMD bundles:
  assign: _assign
};

{
  ReactSharedInternals.ReactDebugCurrentFrame = ReactDebugCurrentFrame;
}

// by calls to these methods by a Babel plugin.
//
// In PROD (or in packages without access to React internals),
// they are left as they are instead.

function warn(format) {
  {
    for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      args[_key - 1] = arguments[_key];
    }

    printWarning('warn', format, args);
  }
}
function error(format) {
  {
    for (var _len2 = arguments.length, args = new Array(_len2 > 1 ? _len2 - 1 : 0), _key2 = 1; _key2 < _len2; _key2++) {
      args[_key2 - 1] = arguments[_key2];
    }

    printWarning('error', format, args);
  }
}

function printWarning(level, format, args) {
  // When changing this logic, you might want to also
  // update consoleWithStackDev.www.js as well.
  {
    var ReactDebugCurrentFrame = ReactSharedInternals.ReactDebugCurrentFrame;
    var stack = ReactDebugCurrentFrame.getStackAddendum();

    if (stack !== '') {
      format += '%s';
      args = args.concat([stack]);
    }

    var argsWithFormat = args.map(function (item) {
      return '' + item;
    }); // Careful: RN currently depends on this prefix

    argsWithFormat.unshift('Warning: ' + format); // We intentionally don't use spread (or .apply) directly because it
    // breaks IE9: https://github.com/facebook/react/issues/13610
    // eslint-disable-next-line react-internal/no-production-logging

    Function.prototype.apply.call(console[level], console, argsWithFormat);
  }
}

var didWarnStateUpdateForUnmountedComponent = {};

function warnNoop(publicInstance, callerName) {
  {
    var _constructor = publicInstance.constructor;
    var componentName = _constructor && (_constructor.displayName || _constructor.name) || 'ReactClass';
    var warningKey = componentName + "." + callerName;

    if (didWarnStateUpdateForUnmountedComponent[warningKey]) {
      return;
    }

    error("Can't call %s on a component that is not yet mounted. " + 'This is a no-op, but it might indicate a bug in your application. ' + 'Instead, assign to `this.state` directly or define a `state = {};` ' + 'class property with the desired state in the %s component.', callerName, componentName);

    didWarnStateUpdateForUnmountedComponent[warningKey] = true;
  }
}
/**
 * This is the abstract API for an update queue.
 */


var ReactNoopUpdateQueue = {
  /**
   * Checks whether or not this composite component is mounted.
   * @param {ReactClass} publicInstance The instance we want to test.
   * @return {boolean} True if mounted, false otherwise.
   * @protected
   * @final
   */
  isMounted: function (publicInstance) {
    return false;
  },

  /**
   * Forces an update. This should only be invoked when it is known with
   * certainty that we are **not** in a DOM transaction.
   *
   * You may want to call this when you know that some deeper aspect of the
   * component's state has changed but `setState` was not called.
   *
   * This will not invoke `shouldComponentUpdate`, but it will invoke
   * `componentWillUpdate` and `componentDidUpdate`.
   *
   * @param {ReactClass} publicInstance The instance that should rerender.
   * @param {?function} callback Called after component is updated.
   * @param {?string} callerName name of the calling function in the public API.
   * @internal
   */
  enqueueForceUpdate: function (publicInstance, callback, callerName) {
    warnNoop(publicInstance, 'forceUpdate');
  },

  /**
   * Replaces all of the state. Always use this or `setState` to mutate state.
   * You should treat `this.state` as immutable.
   *
   * There is no guarantee that `this.state` will be immediately updated, so
   * accessing `this.state` after calling this method may return the old value.
   *
   * @param {ReactClass} publicInstance The instance that should rerender.
   * @param {object} completeState Next state.
   * @param {?function} callback Called after component is updated.
   * @param {?string} callerName name of the calling function in the public API.
   * @internal
   */
  enqueueReplaceState: function (publicInstance, completeState, callback, callerName) {
    warnNoop(publicInstance, 'replaceState');
  },

  /**
   * Sets a subset of the state. This only exists because _pendingState is
   * internal. This provides a merging strategy that is not available to deep
   * properties which is confusing. TODO: Expose pendingState or don't use it
   * during the merge.
   *
   * @param {ReactClass} publicInstance The instance that should rerender.
   * @param {object} partialState Next partial state to be merged with state.
   * @param {?function} callback Called after component is updated.
   * @param {?string} Name of the calling function in the public API.
   * @internal
   */
  enqueueSetState: function (publicInstance, partialState, callback, callerName) {
    warnNoop(publicInstance, 'setState');
  }
};

var emptyObject = {};

{
  Object.freeze(emptyObject);
}
/**
 * Base class helpers for the updating state of a component.
 */


function Component(props, context, updater) {
  this.props = props;
  this.context = context; // If a component has string refs, we will assign a different object later.

  this.refs = emptyObject; // We initialize the default updater but the real one gets injected by the
  // renderer.

  this.updater = updater || ReactNoopUpdateQueue;
}

Component.prototype.isReactComponent = {};
/**
 * Sets a subset of the state. Always use this to mutate
 * state. You should treat `this.state` as immutable.
 *
 * There is no guarantee that `this.state` will be immediately updated, so
 * accessing `this.state` after calling this method may return the old value.
 *
 * There is no guarantee that calls to `setState` will run synchronously,
 * as they may eventually be batched together.  You can provide an optional
 * callback that will be executed when the call to setState is actually
 * completed.
 *
 * When a function is provided to setState, it will be called at some point in
 * the future (not synchronously). It will be called with the up to date
 * component arguments (state, props, context). These values can be different
 * from this.* because your function may be called after receiveProps but before
 * shouldComponentUpdate, and this new state, props, and context will not yet be
 * assigned to this.
 *
 * @param {object|function} partialState Next partial state or function to
 *        produce next partial state to be merged with current state.
 * @param {?function} callback Called after state is updated.
 * @final
 * @protected
 */

Component.prototype.setState = function (partialState, callback) {
  if (!(typeof partialState === 'object' || typeof partialState === 'function' || partialState == null)) {
    {
      throw Error( "setState(...): takes an object of state variables to update or a function which returns an object of state variables." );
    }
  }

  this.updater.enqueueSetState(this, partialState, callback, 'setState');
};
/**
 * Forces an update. This should only be invoked when it is known with
 * certainty that we are **not** in a DOM transaction.
 *
 * You may want to call this when you know that some deeper aspect of the
 * component's state has changed but `setState` was not called.
 *
 * This will not invoke `shouldComponentUpdate`, but it will invoke
 * `componentWillUpdate` and `componentDidUpdate`.
 *
 * @param {?function} callback Called after update is complete.
 * @final
 * @protected
 */


Component.prototype.forceUpdate = function (callback) {
  this.updater.enqueueForceUpdate(this, callback, 'forceUpdate');
};
/**
 * Deprecated APIs. These APIs used to exist on classic React classes but since
 * we would like to deprecate them, we're not going to move them over to this
 * modern base class. Instead, we define a getter that warns if it's accessed.
 */


{
  var deprecatedAPIs = {
    isMounted: ['isMounted', 'Instead, make sure to clean up subscriptions and pending requests in ' + 'componentWillUnmount to prevent memory leaks.'],
    replaceState: ['replaceState', 'Refactor your code to use setState instead (see ' + 'https://github.com/facebook/react/issues/3236).']
  };

  var defineDeprecationWarning = function (methodName, info) {
    Object.defineProperty(Component.prototype, methodName, {
      get: function () {
        warn('%s(...) is deprecated in plain JavaScript React classes. %s', info[0], info[1]);

        return undefined;
      }
    });
  };

  for (var fnName in deprecatedAPIs) {
    if (deprecatedAPIs.hasOwnProperty(fnName)) {
      defineDeprecationWarning(fnName, deprecatedAPIs[fnName]);
    }
  }
}

function ComponentDummy() {}

ComponentDummy.prototype = Component.prototype;
/**
 * Convenience component with default shallow equality check for sCU.
 */

function PureComponent(props, context, updater) {
  this.props = props;
  this.context = context; // If a component has string refs, we will assign a different object later.

  this.refs = emptyObject;
  this.updater = updater || ReactNoopUpdateQueue;
}

var pureComponentPrototype = PureComponent.prototype = new ComponentDummy();
pureComponentPrototype.constructor = PureComponent; // Avoid an extra prototype jump for these methods.

_assign(pureComponentPrototype, Component.prototype);

pureComponentPrototype.isPureReactComponent = true;

// an immutable object with a single mutable value
function createRef() {
  var refObject = {
    current: null
  };

  {
    Object.seal(refObject);
  }

  return refObject;
}

function getWrappedName(outerType, innerType, wrapperName) {
  var functionName = innerType.displayName || innerType.name || '';
  return outerType.displayName || (functionName !== '' ? wrapperName + "(" + functionName + ")" : wrapperName);
}

function getContextName(type) {
  return type.displayName || 'Context';
}

function getComponentName(type) {
  if (type == null) {
    // Host root, text node or just invalid type.
    return null;
  }

  {
    if (typeof type.tag === 'number') {
      error('Received an unexpected object in getComponentName(). ' + 'This is likely a bug in React. Please file an issue.');
    }
  }

  if (typeof type === 'function') {
    return type.displayName || type.name || null;
  }

  if (typeof type === 'string') {
    return type;
  }

  switch (type) {
    case exports.Fragment:
      return 'Fragment';

    case REACT_PORTAL_TYPE:
      return 'Portal';

    case exports.Profiler:
      return 'Profiler';

    case exports.StrictMode:
      return 'StrictMode';

    case exports.Suspense:
      return 'Suspense';

    case REACT_SUSPENSE_LIST_TYPE:
      return 'SuspenseList';
  }

  if (typeof type === 'object') {
    switch (type.$$typeof) {
      case REACT_CONTEXT_TYPE:
        var context = type;
        return getContextName(context) + '.Consumer';

      case REACT_PROVIDER_TYPE:
        var provider = type;
        return getContextName(provider._context) + '.Provider';

      case REACT_FORWARD_REF_TYPE:
        return getWrappedName(type, type.render, 'ForwardRef');

      case REACT_MEMO_TYPE:
        return getComponentName(type.type);

      case REACT_BLOCK_TYPE:
        return getComponentName(type._render);

      case REACT_LAZY_TYPE:
        {
          var lazyComponent = type;
          var payload = lazyComponent._payload;
          var init = lazyComponent._init;

          try {
            return getComponentName(init(payload));
          } catch (x) {
            return null;
          }
        }
    }
  }

  return null;
}

var hasOwnProperty = Object.prototype.hasOwnProperty;
var RESERVED_PROPS = {
  key: true,
  ref: true,
  __self: true,
  __source: true
};
var specialPropKeyWarningShown, specialPropRefWarningShown, didWarnAboutStringRefs;

{
  didWarnAboutStringRefs = {};
}

function hasValidRef(config) {
  {
    if (hasOwnProperty.call(config, 'ref')) {
      var getter = Object.getOwnPropertyDescriptor(config, 'ref').get;

      if (getter && getter.isReactWarning) {
        return false;
      }
    }
  }

  return config.ref !== undefined;
}

function hasValidKey(config) {
  {
    if (hasOwnProperty.call(config, 'key')) {
      var getter = Object.getOwnPropertyDescriptor(config, 'key').get;

      if (getter && getter.isReactWarning) {
        return false;
      }
    }
  }

  return config.key !== undefined;
}

function defineKeyPropWarningGetter(props, displayName) {
  var warnAboutAccessingKey = function () {
    {
      if (!specialPropKeyWarningShown) {
        specialPropKeyWarningShown = true;

        error('%s: `key` is not a prop. Trying to access it will result ' + 'in `undefined` being returned. If you need to access the same ' + 'value within the child component, you should pass it as a different ' + 'prop. (https://reactjs.org/link/special-props)', displayName);
      }
    }
  };

  warnAboutAccessingKey.isReactWarning = true;
  Object.defineProperty(props, 'key', {
    get: warnAboutAccessingKey,
    configurable: true
  });
}

function defineRefPropWarningGetter(props, displayName) {
  var warnAboutAccessingRef = function () {
    {
      if (!specialPropRefWarningShown) {
        specialPropRefWarningShown = true;

        error('%s: `ref` is not a prop. Trying to access it will result ' + 'in `undefined` being returned. If you need to access the same ' + 'value within the child component, you should pass it as a different ' + 'prop. (https://reactjs.org/link/special-props)', displayName);
      }
    }
  };

  warnAboutAccessingRef.isReactWarning = true;
  Object.defineProperty(props, 'ref', {
    get: warnAboutAccessingRef,
    configurable: true
  });
}

function warnIfStringRefCannotBeAutoConverted(config) {
  {
    if (typeof config.ref === 'string' && ReactCurrentOwner.current && config.__self && ReactCurrentOwner.current.stateNode !== config.__self) {
      var componentName = getComponentName(ReactCurrentOwner.current.type);

      if (!didWarnAboutStringRefs[componentName]) {
        error('Component "%s" contains the string ref "%s". ' + 'Support for string refs will be removed in a future major release. ' + 'This case cannot be automatically converted to an arrow function. ' + 'We ask you to manually fix this case by using useRef() or createRef() instead. ' + 'Learn more about using refs safely here: ' + 'https://reactjs.org/link/strict-mode-string-ref', componentName, config.ref);

        didWarnAboutStringRefs[componentName] = true;
      }
    }
  }
}
/**
 * Factory method to create a new React element. This no longer adheres to
 * the class pattern, so do not use new to call it. Also, instanceof check
 * will not work. Instead test $$typeof field against Symbol.for('react.element') to check
 * if something is a React Element.
 *
 * @param {*} type
 * @param {*} props
 * @param {*} key
 * @param {string|object} ref
 * @param {*} owner
 * @param {*} self A *temporary* helper to detect places where `this` is
 * different from the `owner` when React.createElement is called, so that we
 * can warn. We want to get rid of owner and replace string `ref`s with arrow
 * functions, and as long as `this` and owner are the same, there will be no
 * change in behavior.
 * @param {*} source An annotation object (added by a transpiler or otherwise)
 * indicating filename, line number, and/or other information.
 * @internal
 */


var ReactElement = function (type, key, ref, self, source, owner, props) {
  var element = {
    // This tag allows us to uniquely identify this as a React Element
    $$typeof: REACT_ELEMENT_TYPE,
    // Built-in properties that belong on the element
    type: type,
    key: key,
    ref: ref,
    props: props,
    // Record the component responsible for creating this element.
    _owner: owner
  };

  {
    // The validation flag is currently mutative. We put it on
    // an external backing store so that we can freeze the whole object.
    // This can be replaced with a WeakMap once they are implemented in
    // commonly used development environments.
    element._store = {}; // To make comparing ReactElements easier for testing purposes, we make
    // the validation flag non-enumerable (where possible, which should
    // include every environment we run tests in), so the test framework
    // ignores it.

    Object.defineProperty(element._store, 'validated', {
      configurable: false,
      enumerable: false,
      writable: true,
      value: false
    }); // self and source are DEV only properties.

    Object.defineProperty(element, '_self', {
      configurable: false,
      enumerable: false,
      writable: false,
      value: self
    }); // Two elements created in two different places should be considered
    // equal for testing purposes and therefore we hide it from enumeration.

    Object.defineProperty(element, '_source', {
      configurable: false,
      enumerable: false,
      writable: false,
      value: source
    });

    if (Object.freeze) {
      Object.freeze(element.props);
      Object.freeze(element);
    }
  }

  return element;
};
/**
 * Create and return a new ReactElement of the given type.
 * See https://reactjs.org/docs/react-api.html#createelement
 */

function createElement(type, config, children) {
  var propName; // Reserved names are extracted

  var props = {};
  var key = null;
  var ref = null;
  var self = null;
  var source = null;

  if (config != null) {
    if (hasValidRef(config)) {
      ref = config.ref;

      {
        warnIfStringRefCannotBeAutoConverted(config);
      }
    }

    if (hasValidKey(config)) {
      key = '' + config.key;
    }

    self = config.__self === undefined ? null : config.__self;
    source = config.__source === undefined ? null : config.__source; // Remaining properties are added to a new props object

    for (propName in config) {
      if (hasOwnProperty.call(config, propName) && !RESERVED_PROPS.hasOwnProperty(propName)) {
        props[propName] = config[propName];
      }
    }
  } // Children can be more than one argument, and those are transferred onto
  // the newly allocated props object.


  var childrenLength = arguments.length - 2;

  if (childrenLength === 1) {
    props.children = children;
  } else if (childrenLength > 1) {
    var childArray = Array(childrenLength);

    for (var i = 0; i < childrenLength; i++) {
      childArray[i] = arguments[i + 2];
    }

    {
      if (Object.freeze) {
        Object.freeze(childArray);
      }
    }

    props.children = childArray;
  } // Resolve default props


  if (type && type.defaultProps) {
    var defaultProps = type.defaultProps;

    for (propName in defaultProps) {
      if (props[propName] === undefined) {
        props[propName] = defaultProps[propName];
      }
    }
  }

  {
    if (key || ref) {
      var displayName = typeof type === 'function' ? type.displayName || type.name || 'Unknown' : type;

      if (key) {
        defineKeyPropWarningGetter(props, displayName);
      }

      if (ref) {
        defineRefPropWarningGetter(props, displayName);
      }
    }
  }

  return ReactElement(type, key, ref, self, source, ReactCurrentOwner.current, props);
}
function cloneAndReplaceKey(oldElement, newKey) {
  var newElement = ReactElement(oldElement.type, newKey, oldElement.ref, oldElement._self, oldElement._source, oldElement._owner, oldElement.props);
  return newElement;
}
/**
 * Clone and return a new ReactElement using element as the starting point.
 * See https://reactjs.org/docs/react-api.html#cloneelement
 */

function cloneElement(element, config, children) {
  if (!!(element === null || element === undefined)) {
    {
      throw Error( "React.cloneElement(...): The argument must be a React element, but you passed " + element + "." );
    }
  }

  var propName; // Original props are copied

  var props = _assign({}, element.props); // Reserved names are extracted


  var key = element.key;
  var ref = element.ref; // Self is preserved since the owner is preserved.

  var self = element._self; // Source is preserved since cloneElement is unlikely to be targeted by a
  // transpiler, and the original source is probably a better indicator of the
  // true owner.

  var source = element._source; // Owner will be preserved, unless ref is overridden

  var owner = element._owner;

  if (config != null) {
    if (hasValidRef(config)) {
      // Silently steal the ref from the parent.
      ref = config.ref;
      owner = ReactCurrentOwner.current;
    }

    if (hasValidKey(config)) {
      key = '' + config.key;
    } // Remaining properties override existing props


    var defaultProps;

    if (element.type && element.type.defaultProps) {
      defaultProps = element.type.defaultProps;
    }

    for (propName in config) {
      if (hasOwnProperty.call(config, propName) && !RESERVED_PROPS.hasOwnProperty(propName)) {
        if (config[propName] === undefined && defaultProps !== undefined) {
          // Resolve default props
          props[propName] = defaultProps[propName];
        } else {
          props[propName] = config[propName];
        }
      }
    }
  } // Children can be more than one argument, and those are transferred onto
  // the newly allocated props object.


  var childrenLength = arguments.length - 2;

  if (childrenLength === 1) {
    props.children = children;
  } else if (childrenLength > 1) {
    var childArray = Array(childrenLength);

    for (var i = 0; i < childrenLength; i++) {
      childArray[i] = arguments[i + 2];
    }

    props.children = childArray;
  }

  return ReactElement(element.type, key, ref, self, source, owner, props);
}
/**
 * Verifies the object is a ReactElement.
 * See https://reactjs.org/docs/react-api.html#isvalidelement
 * @param {?object} object
 * @return {boolean} True if `object` is a ReactElement.
 * @final
 */

function isValidElement(object) {
  return typeof object === 'object' && object !== null && object.$$typeof === REACT_ELEMENT_TYPE;
}

var SEPARATOR = '.';
var SUBSEPARATOR = ':';
/**
 * Escape and wrap key so it is safe to use as a reactid
 *
 * @param {string} key to be escaped.
 * @return {string} the escaped key.
 */

function escape(key) {
  var escapeRegex = /[=:]/g;
  var escaperLookup = {
    '=': '=0',
    ':': '=2'
  };
  var escapedString = key.replace(escapeRegex, function (match) {
    return escaperLookup[match];
  });
  return '$' + escapedString;
}
/**
 * TODO: Test that a single child and an array with one item have the same key
 * pattern.
 */


var didWarnAboutMaps = false;
var userProvidedKeyEscapeRegex = /\/+/g;

function escapeUserProvidedKey(text) {
  return text.replace(userProvidedKeyEscapeRegex, '$&/');
}
/**
 * Generate a key string that identifies a element within a set.
 *
 * @param {*} element A element that could contain a manual key.
 * @param {number} index Index that is used if a manual key is not provided.
 * @return {string}
 */


function getElementKey(element, index) {
  // Do some typechecking here since we call this blindly. We want to ensure
  // that we don't block potential future ES APIs.
  if (typeof element === 'object' && element !== null && element.key != null) {
    // Explicit key
    return escape('' + element.key);
  } // Implicit key determined by the index in the set


  return index.toString(36);
}

function mapIntoArray(children, array, escapedPrefix, nameSoFar, callback) {
  var type = typeof children;

  if (type === 'undefined' || type === 'boolean') {
    // All of the above are perceived as null.
    children = null;
  }

  var invokeCallback = false;

  if (children === null) {
    invokeCallback = true;
  } else {
    switch (type) {
      case 'string':
      case 'number':
        invokeCallback = true;
        break;

      case 'object':
        switch (children.$$typeof) {
          case REACT_ELEMENT_TYPE:
          case REACT_PORTAL_TYPE:
            invokeCallback = true;
        }

    }
  }

  if (invokeCallback) {
    var _child = children;
    var mappedChild = callback(_child); // If it's the only child, treat the name as if it was wrapped in an array
    // so that it's consistent if the number of children grows:

    var childKey = nameSoFar === '' ? SEPARATOR + getElementKey(_child, 0) : nameSoFar;

    if (Array.isArray(mappedChild)) {
      var escapedChildKey = '';

      if (childKey != null) {
        escapedChildKey = escapeUserProvidedKey(childKey) + '/';
      }

      mapIntoArray(mappedChild, array, escapedChildKey, '', function (c) {
        return c;
      });
    } else if (mappedChild != null) {
      if (isValidElement(mappedChild)) {
        mappedChild = cloneAndReplaceKey(mappedChild, // Keep both the (mapped) and old keys if they differ, just as
        // traverseAllChildren used to do for objects as children
        escapedPrefix + ( // $FlowFixMe Flow incorrectly thinks React.Portal doesn't have a key
        mappedChild.key && (!_child || _child.key !== mappedChild.key) ? // $FlowFixMe Flow incorrectly thinks existing element's key can be a number
        escapeUserProvidedKey('' + mappedChild.key) + '/' : '') + childKey);
      }

      array.push(mappedChild);
    }

    return 1;
  }

  var child;
  var nextName;
  var subtreeCount = 0; // Count of children found in the current subtree.

  var nextNamePrefix = nameSoFar === '' ? SEPARATOR : nameSoFar + SUBSEPARATOR;

  if (Array.isArray(children)) {
    for (var i = 0; i < children.length; i++) {
      child = children[i];
      nextName = nextNamePrefix + getElementKey(child, i);
      subtreeCount += mapIntoArray(child, array, escapedPrefix, nextName, callback);
    }
  } else {
    var iteratorFn = getIteratorFn(children);

    if (typeof iteratorFn === 'function') {
      var iterableChildren = children;

      {
        // Warn about using Maps as children
        if (iteratorFn === iterableChildren.entries) {
          if (!didWarnAboutMaps) {
            warn('Using Maps as children is not supported. ' + 'Use an array of keyed ReactElements instead.');
          }

          didWarnAboutMaps = true;
        }
      }

      var iterator = iteratorFn.call(iterableChildren);
      var step;
      var ii = 0;

      while (!(step = iterator.next()).done) {
        child = step.value;
        nextName = nextNamePrefix + getElementKey(child, ii++);
        subtreeCount += mapIntoArray(child, array, escapedPrefix, nextName, callback);
      }
    } else if (type === 'object') {
      var childrenString = '' + children;

      {
        {
          throw Error( "Objects are not valid as a React child (found: " + (childrenString === '[object Object]' ? 'object with keys {' + Object.keys(children).join(', ') + '}' : childrenString) + "). If you meant to render a collection of children, use an array instead." );
        }
      }
    }
  }

  return subtreeCount;
}

/**
 * Maps children that are typically specified as `props.children`.
 *
 * See https://reactjs.org/docs/react-api.html#reactchildrenmap
 *
 * The provided mapFunction(child, index) will be called for each
 * leaf child.
 *
 * @param {?*} children Children tree container.
 * @param {function(*, int)} func The map function.
 * @param {*} context Context for mapFunction.
 * @return {object} Object containing the ordered map of results.
 */
function mapChildren(children, func, context) {
  if (children == null) {
    return children;
  }

  var result = [];
  var count = 0;
  mapIntoArray(children, result, '', '', function (child) {
    return func.call(context, child, count++);
  });
  return result;
}
/**
 * Count the number of children that are typically specified as
 * `props.children`.
 *
 * See https://reactjs.org/docs/react-api.html#reactchildrencount
 *
 * @param {?*} children Children tree container.
 * @return {number} The number of children.
 */


function countChildren(children) {
  var n = 0;
  mapChildren(children, function () {
    n++; // Don't return anything
  });
  return n;
}

/**
 * Iterates through children that are typically specified as `props.children`.
 *
 * See https://reactjs.org/docs/react-api.html#reactchildrenforeach
 *
 * The provided forEachFunc(child, index) will be called for each
 * leaf child.
 *
 * @param {?*} children Children tree container.
 * @param {function(*, int)} forEachFunc
 * @param {*} forEachContext Context for forEachContext.
 */
function forEachChildren(children, forEachFunc, forEachContext) {
  mapChildren(children, function () {
    forEachFunc.apply(this, arguments); // Don't return anything.
  }, forEachContext);
}
/**
 * Flatten a children object (typically specified as `props.children`) and
 * return an array with appropriately re-keyed children.
 *
 * See https://reactjs.org/docs/react-api.html#reactchildrentoarray
 */


function toArray(children) {
  return mapChildren(children, function (child) {
    return child;
  }) || [];
}
/**
 * Returns the first child in a collection of children and verifies that there
 * is only one child in the collection.
 *
 * See https://reactjs.org/docs/react-api.html#reactchildrenonly
 *
 * The current implementation of this function assumes that a single child gets
 * passed without a wrapper, but the purpose of this helper function is to
 * abstract away the particular structure of children.
 *
 * @param {?object} children Child collection structure.
 * @return {ReactElement} The first and only `ReactElement` contained in the
 * structure.
 */


function onlyChild(children) {
  if (!isValidElement(children)) {
    {
      throw Error( "React.Children.only expected to receive a single React element child." );
    }
  }

  return children;
}

function createContext(defaultValue, calculateChangedBits) {
  if (calculateChangedBits === undefined) {
    calculateChangedBits = null;
  } else {
    {
      if (calculateChangedBits !== null && typeof calculateChangedBits !== 'function') {
        error('createContext: Expected the optional second argument to be a ' + 'function. Instead received: %s', calculateChangedBits);
      }
    }
  }

  var context = {
    $$typeof: REACT_CONTEXT_TYPE,
    _calculateChangedBits: calculateChangedBits,
    // As a workaround to support multiple concurrent renderers, we categorize
    // some renderers as primary and others as secondary. We only expect
    // there to be two concurrent renderers at most: React Native (primary) and
    // Fabric (secondary); React DOM (primary) and React ART (secondary).
    // Secondary renderers store their context values on separate fields.
    _currentValue: defaultValue,
    _currentValue2: defaultValue,
    // Used to track how many concurrent renderers this context currently
    // supports within in a single renderer. Such as parallel server rendering.
    _threadCount: 0,
    // These are circular
    Provider: null,
    Consumer: null
  };
  context.Provider = {
    $$typeof: REACT_PROVIDER_TYPE,
    _context: context
  };
  var hasWarnedAboutUsingNestedContextConsumers = false;
  var hasWarnedAboutUsingConsumerProvider = false;
  var hasWarnedAboutDisplayNameOnConsumer = false;

  {
    // A separate object, but proxies back to the original context object for
    // backwards compatibility. It has a different $$typeof, so we can properly
    // warn for the incorrect usage of Context as a Consumer.
    var Consumer = {
      $$typeof: REACT_CONTEXT_TYPE,
      _context: context,
      _calculateChangedBits: context._calculateChangedBits
    }; // $FlowFixMe: Flow complains about not setting a value, which is intentional here

    Object.defineProperties(Consumer, {
      Provider: {
        get: function () {
          if (!hasWarnedAboutUsingConsumerProvider) {
            hasWarnedAboutUsingConsumerProvider = true;

            error('Rendering <Context.Consumer.Provider> is not supported and will be removed in ' + 'a future major release. Did you mean to render <Context.Provider> instead?');
          }

          return context.Provider;
        },
        set: function (_Provider) {
          context.Provider = _Provider;
        }
      },
      _currentValue: {
        get: function () {
          return context._currentValue;
        },
        set: function (_currentValue) {
          context._currentValue = _currentValue;
        }
      },
      _currentValue2: {
        get: function () {
          return context._currentValue2;
        },
        set: function (_currentValue2) {
          context._currentValue2 = _currentValue2;
        }
      },
      _threadCount: {
        get: function () {
          return context._threadCount;
        },
        set: function (_threadCount) {
          context._threadCount = _threadCount;
        }
      },
      Consumer: {
        get: function () {
          if (!hasWarnedAboutUsingNestedContextConsumers) {
            hasWarnedAboutUsingNestedContextConsumers = true;

            error('Rendering <Context.Consumer.Consumer> is not supported and will be removed in ' + 'a future major release. Did you mean to render <Context.Consumer> instead?');
          }

          return context.Consumer;
        }
      },
      displayName: {
        get: function () {
          return context.displayName;
        },
        set: function (displayName) {
          if (!hasWarnedAboutDisplayNameOnConsumer) {
            warn('Setting `displayName` on Context.Consumer has no effect. ' + "You should set it directly on the context with Context.displayName = '%s'.", displayName);

            hasWarnedAboutDisplayNameOnConsumer = true;
          }
        }
      }
    }); // $FlowFixMe: Flow complains about missing properties because it doesn't understand defineProperty

    context.Consumer = Consumer;
  }

  {
    context._currentRenderer = null;
    context._currentRenderer2 = null;
  }

  return context;
}

var Uninitialized = -1;
var Pending = 0;
var Resolved = 1;
var Rejected = 2;

function lazyInitializer(payload) {
  if (payload._status === Uninitialized) {
    var ctor = payload._result;
    var thenable = ctor(); // Transition to the next state.

    var pending = payload;
    pending._status = Pending;
    pending._result = thenable;
    thenable.then(function (moduleObject) {
      if (payload._status === Pending) {
        var defaultExport = moduleObject.default;

        {
          if (defaultExport === undefined) {
            error('lazy: Expected the result of a dynamic import() call. ' + 'Instead received: %s\n\nYour code should look like: \n  ' + // Break up imports to avoid accidentally parsing them as dependencies.
            'const MyComponent = lazy(() => imp' + "ort('./MyComponent'))", moduleObject);
          }
        } // Transition to the next state.


        var resolved = payload;
        resolved._status = Resolved;
        resolved._result = defaultExport;
      }
    }, function (error) {
      if (payload._status === Pending) {
        // Transition to the next state.
        var rejected = payload;
        rejected._status = Rejected;
        rejected._result = error;
      }
    });
  }

  if (payload._status === Resolved) {
    return payload._result;
  } else {
    throw payload._result;
  }
}

function lazy(ctor) {
  var payload = {
    // We use these fields to store the result.
    _status: -1,
    _result: ctor
  };
  var lazyType = {
    $$typeof: REACT_LAZY_TYPE,
    _payload: payload,
    _init: lazyInitializer
  };

  {
    // In production, this would just set it on the object.
    var defaultProps;
    var propTypes; // $FlowFixMe

    Object.defineProperties(lazyType, {
      defaultProps: {
        configurable: true,
        get: function () {
          return defaultProps;
        },
        set: function (newDefaultProps) {
          error('React.lazy(...): It is not supported to assign `defaultProps` to ' + 'a lazy component import. Either specify them where the component ' + 'is defined, or create a wrapping component around it.');

          defaultProps = newDefaultProps; // Match production behavior more closely:
          // $FlowFixMe

          Object.defineProperty(lazyType, 'defaultProps', {
            enumerable: true
          });
        }
      },
      propTypes: {
        configurable: true,
        get: function () {
          return propTypes;
        },
        set: function (newPropTypes) {
          error('React.lazy(...): It is not supported to assign `propTypes` to ' + 'a lazy component import. Either specify them where the component ' + 'is defined, or create a wrapping component around it.');

          propTypes = newPropTypes; // Match production behavior more closely:
          // $FlowFixMe

          Object.defineProperty(lazyType, 'propTypes', {
            enumerable: true
          });
        }
      }
    });
  }

  return lazyType;
}

function forwardRef(render) {
  {
    if (render != null && render.$$typeof === REACT_MEMO_TYPE) {
      error('forwardRef requires a render function but received a `memo` ' + 'component. Instead of forwardRef(memo(...)), use ' + 'memo(forwardRef(...)).');
    } else if (typeof render !== 'function') {
      error('forwardRef requires a render function but was given %s.', render === null ? 'null' : typeof render);
    } else {
      if (render.length !== 0 && render.length !== 2) {
        error('forwardRef render functions accept exactly two parameters: props and ref. %s', render.length === 1 ? 'Did you forget to use the ref parameter?' : 'Any additional parameter will be undefined.');
      }
    }

    if (render != null) {
      if (render.defaultProps != null || render.propTypes != null) {
        error('forwardRef render functions do not support propTypes or defaultProps. ' + 'Did you accidentally pass a React component?');
      }
    }
  }

  var elementType = {
    $$typeof: REACT_FORWARD_REF_TYPE,
    render: render
  };

  {
    var ownName;
    Object.defineProperty(elementType, 'displayName', {
      enumerable: false,
      configurable: true,
      get: function () {
        return ownName;
      },
      set: function (name) {
        ownName = name;

        if (render.displayName == null) {
          render.displayName = name;
        }
      }
    });
  }

  return elementType;
}

// Filter certain DOM attributes (e.g. src, href) if their values are empty strings.

var enableScopeAPI = false; // Experimental Create Event Handle API.

function isValidElementType(type) {
  if (typeof type === 'string' || typeof type === 'function') {
    return true;
  } // Note: typeof might be other than 'symbol' or 'number' (e.g. if it's a polyfill).


  if (type === exports.Fragment || type === exports.Profiler || type === REACT_DEBUG_TRACING_MODE_TYPE || type === exports.StrictMode || type === exports.Suspense || type === REACT_SUSPENSE_LIST_TYPE || type === REACT_LEGACY_HIDDEN_TYPE || enableScopeAPI ) {
    return true;
  }

  if (typeof type === 'object' && type !== null) {
    if (type.$$typeof === REACT_LAZY_TYPE || type.$$typeof === REACT_MEMO_TYPE || type.$$typeof === REACT_PROVIDER_TYPE || type.$$typeof === REACT_CONTEXT_TYPE || type.$$typeof === REACT_FORWARD_REF_TYPE || type.$$typeof === REACT_FUNDAMENTAL_TYPE || type.$$typeof === REACT_BLOCK_TYPE || type[0] === REACT_SERVER_BLOCK_TYPE) {
      return true;
    }
  }

  return false;
}

function memo(type, compare) {
  {
    if (!isValidElementType(type)) {
      error('memo: The first argument must be a component. Instead ' + 'received: %s', type === null ? 'null' : typeof type);
    }
  }

  var elementType = {
    $$typeof: REACT_MEMO_TYPE,
    type: type,
    compare: compare === undefined ? null : compare
  };

  {
    var ownName;
    Object.defineProperty(elementType, 'displayName', {
      enumerable: false,
      configurable: true,
      get: function () {
        return ownName;
      },
      set: function (name) {
        ownName = name;

        if (type.displayName == null) {
          type.displayName = name;
        }
      }
    });
  }

  return elementType;
}

function resolveDispatcher() {
  var dispatcher = ReactCurrentDispatcher.current;

  if (!(dispatcher !== null)) {
    {
      throw Error( "Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:\n1. You might have mismatching versions of React and the renderer (such as React DOM)\n2. You might be breaking the Rules of Hooks\n3. You might have more than one copy of React in the same app\nSee https://reactjs.org/link/invalid-hook-call for tips about how to debug and fix this problem." );
    }
  }

  return dispatcher;
}

function useContext(Context, unstable_observedBits) {
  var dispatcher = resolveDispatcher();

  {
    if (unstable_observedBits !== undefined) {
      error('useContext() second argument is reserved for future ' + 'use in React. Passing it is not supported. ' + 'You passed: %s.%s', unstable_observedBits, typeof unstable_observedBits === 'number' && Array.isArray(arguments[2]) ? '\n\nDid you call array.map(useContext)? ' + 'Calling Hooks inside a loop is not supported. ' + 'Learn more at https://reactjs.org/link/rules-of-hooks' : '');
    } // TODO: add a more generic warning for invalid values.


    if (Context._context !== undefined) {
      var realContext = Context._context; // Don't deduplicate because this legitimately causes bugs
      // and nobody should be using this in existing code.

      if (realContext.Consumer === Context) {
        error('Calling useContext(Context.Consumer) is not supported, may cause bugs, and will be ' + 'removed in a future major release. Did you mean to call useContext(Context) instead?');
      } else if (realContext.Provider === Context) {
        error('Calling useContext(Context.Provider) is not supported. ' + 'Did you mean to call useContext(Context) instead?');
      }
    }
  }

  return dispatcher.useContext(Context, unstable_observedBits);
}
function useState(initialState) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useState(initialState);
}
function useReducer(reducer, initialArg, init) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useReducer(reducer, initialArg, init);
}
function useRef(initialValue) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useRef(initialValue);
}
function useEffect(create, deps) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useEffect(create, deps);
}
function useLayoutEffect(create, deps) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useLayoutEffect(create, deps);
}
function useCallback(callback, deps) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useCallback(callback, deps);
}
function useMemo(create, deps) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useMemo(create, deps);
}
function useImperativeHandle(ref, create, deps) {
  var dispatcher = resolveDispatcher();
  return dispatcher.useImperativeHandle(ref, create, deps);
}
function useDebugValue(value, formatterFn) {
  {
    var dispatcher = resolveDispatcher();
    return dispatcher.useDebugValue(value, formatterFn);
  }
}

// Helpers to patch console.logs to avoid logging during side-effect free
// replaying on render function. This currently only patches the object
// lazily which won't cover if the log function was extracted eagerly.
// We could also eagerly patch the method.
var disabledDepth = 0;
var prevLog;
var prevInfo;
var prevWarn;
var prevError;
var prevGroup;
var prevGroupCollapsed;
var prevGroupEnd;

function disabledLog() {}

disabledLog.__reactDisabledLog = true;
function disableLogs() {
  {
    if (disabledDepth === 0) {
      /* eslint-disable react-internal/no-production-logging */
      prevLog = console.log;
      prevInfo = console.info;
      prevWarn = console.warn;
      prevError = console.error;
      prevGroup = console.group;
      prevGroupCollapsed = console.groupCollapsed;
      prevGroupEnd = console.groupEnd; // https://github.com/facebook/react/issues/19099

      var props = {
        configurable: true,
        enumerable: true,
        value: disabledLog,
        writable: true
      }; // $FlowFixMe Flow thinks console is immutable.

      Object.defineProperties(console, {
        info: props,
        log: props,
        warn: props,
        error: props,
        group: props,
        groupCollapsed: props,
        groupEnd: props
      });
      /* eslint-enable react-internal/no-production-logging */
    }

    disabledDepth++;
  }
}
function reenableLogs() {
  {
    disabledDepth--;

    if (disabledDepth === 0) {
      /* eslint-disable react-internal/no-production-logging */
      var props = {
        configurable: true,
        enumerable: true,
        writable: true
      }; // $FlowFixMe Flow thinks console is immutable.

      Object.defineProperties(console, {
        log: _assign({}, props, {
          value: prevLog
        }),
        info: _assign({}, props, {
          value: prevInfo
        }),
        warn: _assign({}, props, {
          value: prevWarn
        }),
        error: _assign({}, props, {
          value: prevError
        }),
        group: _assign({}, props, {
          value: prevGroup
        }),
        groupCollapsed: _assign({}, props, {
          value: prevGroupCollapsed
        }),
        groupEnd: _assign({}, props, {
          value: prevGroupEnd
        })
      });
      /* eslint-enable react-internal/no-production-logging */
    }

    if (disabledDepth < 0) {
      error('disabledDepth fell below zero. ' + 'This is a bug in React. Please file an issue.');
    }
  }
}

var ReactCurrentDispatcher$1 = ReactSharedInternals.ReactCurrentDispatcher;
var prefix;
function describeBuiltInComponentFrame(name, source, ownerFn) {
  {
    if (prefix === undefined) {
      // Extract the VM specific prefix used by each line.
      try {
        throw Error();
      } catch (x) {
        var match = x.stack.trim().match(/\n( *(at )?)/);
        prefix = match && match[1] || '';
      }
    } // We use the prefix to ensure our stacks line up with native stack frames.


    return '\n' + prefix + name;
  }
}
var reentry = false;
var componentFrameCache;

{
  var PossiblyWeakMap = typeof WeakMap === 'function' ? WeakMap : Map;
  componentFrameCache = new PossiblyWeakMap();
}

function describeNativeComponentFrame(fn, construct) {
  // If something asked for a stack inside a fake render, it should get ignored.
  if (!fn || reentry) {
    return '';
  }

  {
    var frame = componentFrameCache.get(fn);

    if (frame !== undefined) {
      return frame;
    }
  }

  var control;
  reentry = true;
  var previousPrepareStackTrace = Error.prepareStackTrace; // $FlowFixMe It does accept undefined.

  Error.prepareStackTrace = undefined;
  var previousDispatcher;

  {
    previousDispatcher = ReactCurrentDispatcher$1.current; // Set the dispatcher in DEV because this might be call in the render function
    // for warnings.

    ReactCurrentDispatcher$1.current = null;
    disableLogs();
  }

  try {
    // This should throw.
    if (construct) {
      // Something should be setting the props in the constructor.
      var Fake = function () {
        throw Error();
      }; // $FlowFixMe


      Object.defineProperty(Fake.prototype, 'props', {
        set: function () {
          // We use a throwing setter instead of frozen or non-writable props
          // because that won't throw in a non-strict mode function.
          throw Error();
        }
      });

      if (typeof Reflect === 'object' && Reflect.construct) {
        // We construct a different control for this case to include any extra
        // frames added by the construct call.
        try {
          Reflect.construct(Fake, []);
        } catch (x) {
          control = x;
        }

        Reflect.construct(fn, [], Fake);
      } else {
        try {
          Fake.call();
        } catch (x) {
          control = x;
        }

        fn.call(Fake.prototype);
      }
    } else {
      try {
        throw Error();
      } catch (x) {
        control = x;
      }

      fn();
    }
  } catch (sample) {
    // This is inlined manually because closure doesn't do it for us.
    if (sample && control && typeof sample.stack === 'string') {
      // This extracts the first frame from the sample that isn't also in the control.
      // Skipping one frame that we assume is the frame that calls the two.
      var sampleLines = sample.stack.split('\n');
      var controlLines = control.stack.split('\n');
      var s = sampleLines.length - 1;
      var c = controlLines.length - 1;

      while (s >= 1 && c >= 0 && sampleLines[s] !== controlLines[c]) {
        // We expect at least one stack frame to be shared.
        // Typically this will be the root most one. However, stack frames may be
        // cut off due to maximum stack limits. In this case, one maybe cut off
        // earlier than the other. We assume that the sample is longer or the same
        // and there for cut off earlier. So we should find the root most frame in
        // the sample somewhere in the control.
        c--;
      }

      for (; s >= 1 && c >= 0; s--, c--) {
        // Next we find the first one that isn't the same which should be the
        // frame that called our sample function and the control.
        if (sampleLines[s] !== controlLines[c]) {
          // In V8, the first line is describing the message but other VMs don't.
          // If we're about to return the first line, and the control is also on the same
          // line, that's a pretty good indicator that our sample threw at same line as
          // the control. I.e. before we entered the sample frame. So we ignore this result.
          // This can happen if you passed a class to function component, or non-function.
          if (s !== 1 || c !== 1) {
            do {
              s--;
              c--; // We may still have similar intermediate frames from the construct call.
              // The next one that isn't the same should be our match though.

              if (c < 0 || sampleLines[s] !== controlLines[c]) {
                // V8 adds a "new" prefix for native classes. Let's remove it to make it prettier.
                var _frame = '\n' + sampleLines[s].replace(' at new ', ' at ');

                {
                  if (typeof fn === 'function') {
                    componentFrameCache.set(fn, _frame);
                  }
                } // Return the line we found.


                return _frame;
              }
            } while (s >= 1 && c >= 0);
          }

          break;
        }
      }
    }
  } finally {
    reentry = false;

    {
      ReactCurrentDispatcher$1.current = previousDispatcher;
      reenableLogs();
    }

    Error.prepareStackTrace = previousPrepareStackTrace;
  } // Fallback to just using the name if we couldn't make it throw.


  var name = fn ? fn.displayName || fn.name : '';
  var syntheticFrame = name ? describeBuiltInComponentFrame(name) : '';

  {
    if (typeof fn === 'function') {
      componentFrameCache.set(fn, syntheticFrame);
    }
  }

  return syntheticFrame;
}
function describeFunctionComponentFrame(fn, source, ownerFn) {
  {
    return describeNativeComponentFrame(fn, false);
  }
}

function shouldConstruct(Component) {
  var prototype = Component.prototype;
  return !!(prototype && prototype.isReactComponent);
}

function describeUnknownElementTypeFrameInDEV(type, source, ownerFn) {

  if (type == null) {
    return '';
  }

  if (typeof type === 'function') {
    {
      return describeNativeComponentFrame(type, shouldConstruct(type));
    }
  }

  if (typeof type === 'string') {
    return describeBuiltInComponentFrame(type);
  }

  switch (type) {
    case exports.Suspense:
      return describeBuiltInComponentFrame('Suspense');

    case REACT_SUSPENSE_LIST_TYPE:
      return describeBuiltInComponentFrame('SuspenseList');
  }

  if (typeof type === 'object') {
    switch (type.$$typeof) {
      case REACT_FORWARD_REF_TYPE:
        return describeFunctionComponentFrame(type.render);

      case REACT_MEMO_TYPE:
        // Memo may contain any component type so we recursively resolve it.
        return describeUnknownElementTypeFrameInDEV(type.type, source, ownerFn);

      case REACT_BLOCK_TYPE:
        return describeFunctionComponentFrame(type._render);

      case REACT_LAZY_TYPE:
        {
          var lazyComponent = type;
          var payload = lazyComponent._payload;
          var init = lazyComponent._init;

          try {
            // Lazy may contain any component type so we recursively resolve it.
            return describeUnknownElementTypeFrameInDEV(init(payload), source, ownerFn);
          } catch (x) {}
        }
    }
  }

  return '';
}

var loggedTypeFailures = {};
var ReactDebugCurrentFrame$1 = ReactSharedInternals.ReactDebugCurrentFrame;

function setCurrentlyValidatingElement(element) {
  {
    if (element) {
      var owner = element._owner;
      var stack = describeUnknownElementTypeFrameInDEV(element.type, element._source, owner ? owner.type : null);
      ReactDebugCurrentFrame$1.setExtraStackFrame(stack);
    } else {
      ReactDebugCurrentFrame$1.setExtraStackFrame(null);
    }
  }
}

function checkPropTypes(typeSpecs, values, location, componentName, element) {
  {
    // $FlowFixMe This is okay but Flow doesn't know it.
    var has = Function.call.bind(Object.prototype.hasOwnProperty);

    for (var typeSpecName in typeSpecs) {
      if (has(typeSpecs, typeSpecName)) {
        var error$1 = void 0; // Prop type validation may throw. In case they do, we don't want to
        // fail the render phase where it didn't fail before. So we log it.
        // After these have been cleaned up, we'll let them throw.

        try {
          // This is intentionally an invariant that gets caught. It's the same
          // behavior as without this statement except with a better message.
          if (typeof typeSpecs[typeSpecName] !== 'function') {
            var err = Error((componentName || 'React class') + ': ' + location + ' type `' + typeSpecName + '` is invalid; ' + 'it must be a function, usually from the `prop-types` package, but received `' + typeof typeSpecs[typeSpecName] + '`.' + 'This often happens because of typos such as `PropTypes.function` instead of `PropTypes.func`.');
            err.name = 'Invariant Violation';
            throw err;
          }

          error$1 = typeSpecs[typeSpecName](values, typeSpecName, componentName, location, null, 'SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED');
        } catch (ex) {
          error$1 = ex;
        }

        if (error$1 && !(error$1 instanceof Error)) {
          setCurrentlyValidatingElement(element);

          error('%s: type specification of %s' + ' `%s` is invalid; the type checker ' + 'function must return `null` or an `Error` but returned a %s. ' + 'You may have forgotten to pass an argument to the type checker ' + 'creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and ' + 'shape all require an argument).', componentName || 'React class', location, typeSpecName, typeof error$1);

          setCurrentlyValidatingElement(null);
        }

        if (error$1 instanceof Error && !(error$1.message in loggedTypeFailures)) {
          // Only monitor this failure once because there tends to be a lot of the
          // same error.
          loggedTypeFailures[error$1.message] = true;
          setCurrentlyValidatingElement(element);

          error('Failed %s type: %s', location, error$1.message);

          setCurrentlyValidatingElement(null);
        }
      }
    }
  }
}

function setCurrentlyValidatingElement$1(element) {
  {
    if (element) {
      var owner = element._owner;
      var stack = describeUnknownElementTypeFrameInDEV(element.type, element._source, owner ? owner.type : null);
      setExtraStackFrame(stack);
    } else {
      setExtraStackFrame(null);
    }
  }
}

var propTypesMisspellWarningShown;

{
  propTypesMisspellWarningShown = false;
}

function getDeclarationErrorAddendum() {
  if (ReactCurrentOwner.current) {
    var name = getComponentName(ReactCurrentOwner.current.type);

    if (name) {
      return '\n\nCheck the render method of `' + name + '`.';
    }
  }

  return '';
}

function getSourceInfoErrorAddendum(source) {
  if (source !== undefined) {
    var fileName = source.fileName.replace(/^.*[\\\/]/, '');
    var lineNumber = source.lineNumber;
    return '\n\nCheck your code at ' + fileName + ':' + lineNumber + '.';
  }

  return '';
}

function getSourceInfoErrorAddendumForProps(elementProps) {
  if (elementProps !== null && elementProps !== undefined) {
    return getSourceInfoErrorAddendum(elementProps.__source);
  }

  return '';
}
/**
 * Warn if there's no key explicitly set on dynamic arrays of children or
 * object keys are not valid. This allows us to keep track of children between
 * updates.
 */


var ownerHasKeyUseWarning = {};

function getCurrentComponentErrorInfo(parentType) {
  var info = getDeclarationErrorAddendum();

  if (!info) {
    var parentName = typeof parentType === 'string' ? parentType : parentType.displayName || parentType.name;

    if (parentName) {
      info = "\n\nCheck the top-level render call using <" + parentName + ">.";
    }
  }

  return info;
}
/**
 * Warn if the element doesn't have an explicit key assigned to it.
 * This element is in an array. The array could grow and shrink or be
 * reordered. All children that haven't already been validated are required to
 * have a "key" property assigned to it. Error statuses are cached so a warning
 * will only be shown once.
 *
 * @internal
 * @param {ReactElement} element Element that requires a key.
 * @param {*} parentType element's parent's type.
 */


function validateExplicitKey(element, parentType) {
  if (!element._store || element._store.validated || element.key != null) {
    return;
  }

  element._store.validated = true;
  var currentComponentErrorInfo = getCurrentComponentErrorInfo(parentType);

  if (ownerHasKeyUseWarning[currentComponentErrorInfo]) {
    return;
  }

  ownerHasKeyUseWarning[currentComponentErrorInfo] = true; // Usually the current owner is the offender, but if it accepts children as a
  // property, it may be the creator of the child that's responsible for
  // assigning it a key.

  var childOwner = '';

  if (element && element._owner && element._owner !== ReactCurrentOwner.current) {
    // Give the component that originally created this child.
    childOwner = " It was passed a child from " + getComponentName(element._owner.type) + ".";
  }

  {
    setCurrentlyValidatingElement$1(element);

    error('Each child in a list should have a unique "key" prop.' + '%s%s See https://reactjs.org/link/warning-keys for more information.', currentComponentErrorInfo, childOwner);

    setCurrentlyValidatingElement$1(null);
  }
}
/**
 * Ensure that every element either is passed in a static location, in an
 * array with an explicit keys property defined, or in an object literal
 * with valid key property.
 *
 * @internal
 * @param {ReactNode} node Statically passed child of any type.
 * @param {*} parentType node's parent's type.
 */


function validateChildKeys(node, parentType) {
  if (typeof node !== 'object') {
    return;
  }

  if (Array.isArray(node)) {
    for (var i = 0; i < node.length; i++) {
      var child = node[i];

      if (isValidElement(child)) {
        validateExplicitKey(child, parentType);
      }
    }
  } else if (isValidElement(node)) {
    // This element was passed in a valid location.
    if (node._store) {
      node._store.validated = true;
    }
  } else if (node) {
    var iteratorFn = getIteratorFn(node);

    if (typeof iteratorFn === 'function') {
      // Entry iterators used to provide implicit keys,
      // but now we print a separate warning for them later.
      if (iteratorFn !== node.entries) {
        var iterator = iteratorFn.call(node);
        var step;

        while (!(step = iterator.next()).done) {
          if (isValidElement(step.value)) {
            validateExplicitKey(step.value, parentType);
          }
        }
      }
    }
  }
}
/**
 * Given an element, validate that its props follow the propTypes definition,
 * provided by the type.
 *
 * @param {ReactElement} element
 */


function validatePropTypes(element) {
  {
    var type = element.type;

    if (type === null || type === undefined || typeof type === 'string') {
      return;
    }

    var propTypes;

    if (typeof type === 'function') {
      propTypes = type.propTypes;
    } else if (typeof type === 'object' && (type.$$typeof === REACT_FORWARD_REF_TYPE || // Note: Memo only checks outer props here.
    // Inner props are checked in the reconciler.
    type.$$typeof === REACT_MEMO_TYPE)) {
      propTypes = type.propTypes;
    } else {
      return;
    }

    if (propTypes) {
      // Intentionally inside to avoid triggering lazy initializers:
      var name = getComponentName(type);
      checkPropTypes(propTypes, element.props, 'prop', name, element);
    } else if (type.PropTypes !== undefined && !propTypesMisspellWarningShown) {
      propTypesMisspellWarningShown = true; // Intentionally inside to avoid triggering lazy initializers:

      var _name = getComponentName(type);

      error('Component %s declared `PropTypes` instead of `propTypes`. Did you misspell the property assignment?', _name || 'Unknown');
    }

    if (typeof type.getDefaultProps === 'function' && !type.getDefaultProps.isReactClassApproved) {
      error('getDefaultProps is only used on classic React.createClass ' + 'definitions. Use a static property named `defaultProps` instead.');
    }
  }
}
/**
 * Given a fragment, validate that it can only be provided with fragment props
 * @param {ReactElement} fragment
 */


function validateFragmentProps(fragment) {
  {
    var keys = Object.keys(fragment.props);

    for (var i = 0; i < keys.length; i++) {
      var key = keys[i];

      if (key !== 'children' && key !== 'key') {
        setCurrentlyValidatingElement$1(fragment);

        error('Invalid prop `%s` supplied to `React.Fragment`. ' + 'React.Fragment can only have `key` and `children` props.', key);

        setCurrentlyValidatingElement$1(null);
        break;
      }
    }

    if (fragment.ref !== null) {
      setCurrentlyValidatingElement$1(fragment);

      error('Invalid attribute `ref` supplied to `React.Fragment`.');

      setCurrentlyValidatingElement$1(null);
    }
  }
}
function createElementWithValidation(type, props, children) {
  var validType = isValidElementType(type); // We warn in this case but don't throw. We expect the element creation to
  // succeed and there will likely be errors in render.

  if (!validType) {
    var info = '';

    if (type === undefined || typeof type === 'object' && type !== null && Object.keys(type).length === 0) {
      info += ' You likely forgot to export your component from the file ' + "it's defined in, or you might have mixed up default and named imports.";
    }

    var sourceInfo = getSourceInfoErrorAddendumForProps(props);

    if (sourceInfo) {
      info += sourceInfo;
    } else {
      info += getDeclarationErrorAddendum();
    }

    var typeString;

    if (type === null) {
      typeString = 'null';
    } else if (Array.isArray(type)) {
      typeString = 'array';
    } else if (type !== undefined && type.$$typeof === REACT_ELEMENT_TYPE) {
      typeString = "<" + (getComponentName(type.type) || 'Unknown') + " />";
      info = ' Did you accidentally export a JSX literal instead of a component?';
    } else {
      typeString = typeof type;
    }

    {
      error('React.createElement: type is invalid -- expected a string (for ' + 'built-in components) or a class/function (for composite ' + 'components) but got: %s.%s', typeString, info);
    }
  }

  var element = createElement.apply(this, arguments); // The result can be nullish if a mock or a custom function is used.
  // TODO: Drop this when these are no longer allowed as the type argument.

  if (element == null) {
    return element;
  } // Skip key warning if the type isn't valid since our key validation logic
  // doesn't expect a non-string/function type and can throw confusing errors.
  // We don't want exception behavior to differ between dev and prod.
  // (Rendering will throw with a helpful message and as soon as the type is
  // fixed, the key warnings will appear.)


  if (validType) {
    for (var i = 2; i < arguments.length; i++) {
      validateChildKeys(arguments[i], type);
    }
  }

  if (type === exports.Fragment) {
    validateFragmentProps(element);
  } else {
    validatePropTypes(element);
  }

  return element;
}
var didWarnAboutDeprecatedCreateFactory = false;
function createFactoryWithValidation(type) {
  var validatedFactory = createElementWithValidation.bind(null, type);
  validatedFactory.type = type;

  {
    if (!didWarnAboutDeprecatedCreateFactory) {
      didWarnAboutDeprecatedCreateFactory = true;

      warn('React.createFactory() is deprecated and will be removed in ' + 'a future major release. Consider using JSX ' + 'or use React.createElement() directly instead.');
    } // Legacy hook: remove it


    Object.defineProperty(validatedFactory, 'type', {
      enumerable: false,
      get: function () {
        warn('Factory.type is deprecated. Access the class directly ' + 'before passing it to createFactory.');

        Object.defineProperty(this, 'type', {
          value: type
        });
        return type;
      }
    });
  }

  return validatedFactory;
}
function cloneElementWithValidation(element, props, children) {
  var newElement = cloneElement.apply(this, arguments);

  for (var i = 2; i < arguments.length; i++) {
    validateChildKeys(arguments[i], newElement.type);
  }

  validatePropTypes(newElement);
  return newElement;
}

{

  try {
    var frozenObject = Object.freeze({});
    /* eslint-disable no-new */

    new Map([[frozenObject, null]]);
    new Set([frozenObject]);
    /* eslint-enable no-new */
  } catch (e) {
  }
}

var createElement$1 =  createElementWithValidation ;
var cloneElement$1 =  cloneElementWithValidation ;
var createFactory =  createFactoryWithValidation ;
var Children = {
  map: mapChildren,
  forEach: forEachChildren,
  count: countChildren,
  toArray: toArray,
  only: onlyChild
};

exports.Children = Children;
exports.Component = Component;
exports.PureComponent = PureComponent;
exports.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED = ReactSharedInternals;
exports.cloneElement = cloneElement$1;
exports.createContext = createContext;
exports.createElement = createElement$1;
exports.createFactory = createFactory;
exports.createRef = createRef;
exports.forwardRef = forwardRef;
exports.isValidElement = isValidElement;
exports.lazy = lazy;
exports.memo = memo;
exports.useCallback = useCallback;
exports.useContext = useContext;
exports.useDebugValue = useDebugValue;
exports.useEffect = useEffect;
exports.useImperativeHandle = useImperativeHandle;
exports.useLayoutEffect = useLayoutEffect;
exports.useMemo = useMemo;
exports.useReducer = useReducer;
exports.useRef = useRef;
exports.useState = useState;
exports.version = ReactVersion;
  })();
}


/***/ }),

/***/ "./node_modules/react/index.js":
/*!*************************************!*\
  !*** ./node_modules/react/index.js ***!
  \*************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


if (false) {} else {
  module.exports = __webpack_require__(/*! ./cjs/react.development.js */ "./node_modules/react/cjs/react.development.js");
}


/***/ }),

/***/ "./node_modules/react/jsx-runtime.js":
/*!*******************************************!*\
  !*** ./node_modules/react/jsx-runtime.js ***!
  \*******************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


if (false) {} else {
  module.exports = __webpack_require__(/*! ./cjs/react-jsx-runtime.development.js */ "./node_modules/react/cjs/react-jsx-runtime.development.js");
}


/***/ }),

/***/ "./node_modules/resolve-pathname/esm/resolve-pathname.js":
/*!***************************************************************!*\
  !*** ./node_modules/resolve-pathname/esm/resolve-pathname.js ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
function isAbsolute(pathname) {
  return pathname.charAt(0) === '/';
}

// About 1.5x faster than the two-arg version of Array#splice()
function spliceOne(list, index) {
  for (var i = index, k = i + 1, n = list.length; k < n; i += 1, k += 1) {
    list[i] = list[k];
  }

  list.pop();
}

// This implementation is based heavily on node's url.parse
function resolvePathname(to, from) {
  if (from === undefined) from = '';

  var toParts = (to && to.split('/')) || [];
  var fromParts = (from && from.split('/')) || [];

  var isToAbs = to && isAbsolute(to);
  var isFromAbs = from && isAbsolute(from);
  var mustEndAbs = isToAbs || isFromAbs;

  if (to && isAbsolute(to)) {
    // to is absolute
    fromParts = toParts;
  } else if (toParts.length) {
    // to is relative, drop the filename
    fromParts.pop();
    fromParts = fromParts.concat(toParts);
  }

  if (!fromParts.length) return '/';

  var hasTrailingSlash;
  if (fromParts.length) {
    var last = fromParts[fromParts.length - 1];
    hasTrailingSlash = last === '.' || last === '..' || last === '';
  } else {
    hasTrailingSlash = false;
  }

  var up = 0;
  for (var i = fromParts.length; i >= 0; i--) {
    var part = fromParts[i];

    if (part === '.') {
      spliceOne(fromParts, i);
    } else if (part === '..') {
      spliceOne(fromParts, i);
      up++;
    } else if (up) {
      spliceOne(fromParts, i);
      up--;
    }
  }

  if (!mustEndAbs) for (; up--; up) fromParts.unshift('..');

  if (
    mustEndAbs &&
    fromParts[0] !== '' &&
    (!fromParts[0] || !isAbsolute(fromParts[0]))
  )
    fromParts.unshift('');

  var result = fromParts.join('/');

  if (hasTrailingSlash && result.substr(-1) !== '/') result += '/';

  return result;
}

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (resolvePathname);


/***/ }),

/***/ "./node_modules/scheduler/cjs/scheduler-tracing.development.js":
/*!*********************************************************************!*\
  !*** ./node_modules/scheduler/cjs/scheduler-tracing.development.js ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";
/** @license React v0.20.1
 * scheduler-tracing.development.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



if (true) {
  (function() {
'use strict';

var DEFAULT_THREAD_ID = 0; // Counters used to generate unique IDs.

var interactionIDCounter = 0;
var threadIDCounter = 0; // Set of currently traced interactions.
// Interactions "stack"–
// Meaning that newly traced interactions are appended to the previously active set.
// When an interaction goes out of scope, the previous set (if any) is restored.

exports.__interactionsRef = null; // Listener(s) to notify when interactions begin and end.

exports.__subscriberRef = null;

{
  exports.__interactionsRef = {
    current: new Set()
  };
  exports.__subscriberRef = {
    current: null
  };
}
function unstable_clear(callback) {

  var prevInteractions = exports.__interactionsRef.current;
  exports.__interactionsRef.current = new Set();

  try {
    return callback();
  } finally {
    exports.__interactionsRef.current = prevInteractions;
  }
}
function unstable_getCurrent() {
  {
    return exports.__interactionsRef.current;
  }
}
function unstable_getThreadID() {
  return ++threadIDCounter;
}
function unstable_trace(name, timestamp, callback) {
  var threadID = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : DEFAULT_THREAD_ID;

  var interaction = {
    __count: 1,
    id: interactionIDCounter++,
    name: name,
    timestamp: timestamp
  };
  var prevInteractions = exports.__interactionsRef.current; // Traced interactions should stack/accumulate.
  // To do that, clone the current interactions.
  // The previous set will be restored upon completion.

  var interactions = new Set(prevInteractions);
  interactions.add(interaction);
  exports.__interactionsRef.current = interactions;
  var subscriber = exports.__subscriberRef.current;
  var returnValue;

  try {
    if (subscriber !== null) {
      subscriber.onInteractionTraced(interaction);
    }
  } finally {
    try {
      if (subscriber !== null) {
        subscriber.onWorkStarted(interactions, threadID);
      }
    } finally {
      try {
        returnValue = callback();
      } finally {
        exports.__interactionsRef.current = prevInteractions;

        try {
          if (subscriber !== null) {
            subscriber.onWorkStopped(interactions, threadID);
          }
        } finally {
          interaction.__count--; // If no async work was scheduled for this interaction,
          // Notify subscribers that it's completed.

          if (subscriber !== null && interaction.__count === 0) {
            subscriber.onInteractionScheduledWorkCompleted(interaction);
          }
        }
      }
    }
  }

  return returnValue;
}
function unstable_wrap(callback) {
  var threadID = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : DEFAULT_THREAD_ID;

  var wrappedInteractions = exports.__interactionsRef.current;
  var subscriber = exports.__subscriberRef.current;

  if (subscriber !== null) {
    subscriber.onWorkScheduled(wrappedInteractions, threadID);
  } // Update the pending async work count for the current interactions.
  // Update after calling subscribers in case of error.


  wrappedInteractions.forEach(function (interaction) {
    interaction.__count++;
  });
  var hasRun = false;

  function wrapped() {
    var prevInteractions = exports.__interactionsRef.current;
    exports.__interactionsRef.current = wrappedInteractions;
    subscriber = exports.__subscriberRef.current;

    try {
      var returnValue;

      try {
        if (subscriber !== null) {
          subscriber.onWorkStarted(wrappedInteractions, threadID);
        }
      } finally {
        try {
          returnValue = callback.apply(undefined, arguments);
        } finally {
          exports.__interactionsRef.current = prevInteractions;

          if (subscriber !== null) {
            subscriber.onWorkStopped(wrappedInteractions, threadID);
          }
        }
      }

      return returnValue;
    } finally {
      if (!hasRun) {
        // We only expect a wrapped function to be executed once,
        // But in the event that it's executed more than once–
        // Only decrement the outstanding interaction counts once.
        hasRun = true; // Update pending async counts for all wrapped interactions.
        // If this was the last scheduled async work for any of them,
        // Mark them as completed.

        wrappedInteractions.forEach(function (interaction) {
          interaction.__count--;

          if (subscriber !== null && interaction.__count === 0) {
            subscriber.onInteractionScheduledWorkCompleted(interaction);
          }
        });
      }
    }
  }

  wrapped.cancel = function cancel() {
    subscriber = exports.__subscriberRef.current;

    try {
      if (subscriber !== null) {
        subscriber.onWorkCanceled(wrappedInteractions, threadID);
      }
    } finally {
      // Update pending async counts for all wrapped interactions.
      // If this was the last scheduled async work for any of them,
      // Mark them as completed.
      wrappedInteractions.forEach(function (interaction) {
        interaction.__count--;

        if (subscriber && interaction.__count === 0) {
          subscriber.onInteractionScheduledWorkCompleted(interaction);
        }
      });
    }
  };

  return wrapped;
}

var subscribers = null;

{
  subscribers = new Set();
}

function unstable_subscribe(subscriber) {
  {
    subscribers.add(subscriber);

    if (subscribers.size === 1) {
      exports.__subscriberRef.current = {
        onInteractionScheduledWorkCompleted: onInteractionScheduledWorkCompleted,
        onInteractionTraced: onInteractionTraced,
        onWorkCanceled: onWorkCanceled,
        onWorkScheduled: onWorkScheduled,
        onWorkStarted: onWorkStarted,
        onWorkStopped: onWorkStopped
      };
    }
  }
}
function unstable_unsubscribe(subscriber) {
  {
    subscribers.delete(subscriber);

    if (subscribers.size === 0) {
      exports.__subscriberRef.current = null;
    }
  }
}

function onInteractionTraced(interaction) {
  var didCatchError = false;
  var caughtError = null;
  subscribers.forEach(function (subscriber) {
    try {
      subscriber.onInteractionTraced(interaction);
    } catch (error) {
      if (!didCatchError) {
        didCatchError = true;
        caughtError = error;
      }
    }
  });

  if (didCatchError) {
    throw caughtError;
  }
}

function onInteractionScheduledWorkCompleted(interaction) {
  var didCatchError = false;
  var caughtError = null;
  subscribers.forEach(function (subscriber) {
    try {
      subscriber.onInteractionScheduledWorkCompleted(interaction);
    } catch (error) {
      if (!didCatchError) {
        didCatchError = true;
        caughtError = error;
      }
    }
  });

  if (didCatchError) {
    throw caughtError;
  }
}

function onWorkScheduled(interactions, threadID) {
  var didCatchError = false;
  var caughtError = null;
  subscribers.forEach(function (subscriber) {
    try {
      subscriber.onWorkScheduled(interactions, threadID);
    } catch (error) {
      if (!didCatchError) {
        didCatchError = true;
        caughtError = error;
      }
    }
  });

  if (didCatchError) {
    throw caughtError;
  }
}

function onWorkStarted(interactions, threadID) {
  var didCatchError = false;
  var caughtError = null;
  subscribers.forEach(function (subscriber) {
    try {
      subscriber.onWorkStarted(interactions, threadID);
    } catch (error) {
      if (!didCatchError) {
        didCatchError = true;
        caughtError = error;
      }
    }
  });

  if (didCatchError) {
    throw caughtError;
  }
}

function onWorkStopped(interactions, threadID) {
  var didCatchError = false;
  var caughtError = null;
  subscribers.forEach(function (subscriber) {
    try {
      subscriber.onWorkStopped(interactions, threadID);
    } catch (error) {
      if (!didCatchError) {
        didCatchError = true;
        caughtError = error;
      }
    }
  });

  if (didCatchError) {
    throw caughtError;
  }
}

function onWorkCanceled(interactions, threadID) {
  var didCatchError = false;
  var caughtError = null;
  subscribers.forEach(function (subscriber) {
    try {
      subscriber.onWorkCanceled(interactions, threadID);
    } catch (error) {
      if (!didCatchError) {
        didCatchError = true;
        caughtError = error;
      }
    }
  });

  if (didCatchError) {
    throw caughtError;
  }
}

exports.unstable_clear = unstable_clear;
exports.unstable_getCurrent = unstable_getCurrent;
exports.unstable_getThreadID = unstable_getThreadID;
exports.unstable_subscribe = unstable_subscribe;
exports.unstable_trace = unstable_trace;
exports.unstable_unsubscribe = unstable_unsubscribe;
exports.unstable_wrap = unstable_wrap;
  })();
}


/***/ }),

/***/ "./node_modules/scheduler/cjs/scheduler.development.js":
/*!*************************************************************!*\
  !*** ./node_modules/scheduler/cjs/scheduler.development.js ***!
  \*************************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";
/** @license React v0.20.1
 * scheduler.development.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



if (true) {
  (function() {
'use strict';

var enableSchedulerDebugging = false;
var enableProfiling = true;

var requestHostCallback;
var requestHostTimeout;
var cancelHostTimeout;
var requestPaint;
var hasPerformanceNow = typeof performance === 'object' && typeof performance.now === 'function';

if (hasPerformanceNow) {
  var localPerformance = performance;

  exports.unstable_now = function () {
    return localPerformance.now();
  };
} else {
  var localDate = Date;
  var initialTime = localDate.now();

  exports.unstable_now = function () {
    return localDate.now() - initialTime;
  };
}

if ( // If Scheduler runs in a non-DOM environment, it falls back to a naive
// implementation using setTimeout.
typeof window === 'undefined' || // Check if MessageChannel is supported, too.
typeof MessageChannel !== 'function') {
  // If this accidentally gets imported in a non-browser environment, e.g. JavaScriptCore,
  // fallback to a naive implementation.
  var _callback = null;
  var _timeoutID = null;

  var _flushCallback = function () {
    if (_callback !== null) {
      try {
        var currentTime = exports.unstable_now();
        var hasRemainingTime = true;

        _callback(hasRemainingTime, currentTime);

        _callback = null;
      } catch (e) {
        setTimeout(_flushCallback, 0);
        throw e;
      }
    }
  };

  requestHostCallback = function (cb) {
    if (_callback !== null) {
      // Protect against re-entrancy.
      setTimeout(requestHostCallback, 0, cb);
    } else {
      _callback = cb;
      setTimeout(_flushCallback, 0);
    }
  };

  requestHostTimeout = function (cb, ms) {
    _timeoutID = setTimeout(cb, ms);
  };

  cancelHostTimeout = function () {
    clearTimeout(_timeoutID);
  };

  exports.unstable_shouldYield = function () {
    return false;
  };

  requestPaint = exports.unstable_forceFrameRate = function () {};
} else {
  // Capture local references to native APIs, in case a polyfill overrides them.
  var _setTimeout = window.setTimeout;
  var _clearTimeout = window.clearTimeout;

  if (typeof console !== 'undefined') {
    // TODO: Scheduler no longer requires these methods to be polyfilled. But
    // maybe we want to continue warning if they don't exist, to preserve the
    // option to rely on it in the future?
    var requestAnimationFrame = window.requestAnimationFrame;
    var cancelAnimationFrame = window.cancelAnimationFrame;

    if (typeof requestAnimationFrame !== 'function') {
      // Using console['error'] to evade Babel and ESLint
      console['error']("This browser doesn't support requestAnimationFrame. " + 'Make sure that you load a ' + 'polyfill in older browsers. https://reactjs.org/link/react-polyfills');
    }

    if (typeof cancelAnimationFrame !== 'function') {
      // Using console['error'] to evade Babel and ESLint
      console['error']("This browser doesn't support cancelAnimationFrame. " + 'Make sure that you load a ' + 'polyfill in older browsers. https://reactjs.org/link/react-polyfills');
    }
  }

  var isMessageLoopRunning = false;
  var scheduledHostCallback = null;
  var taskTimeoutID = -1; // Scheduler periodically yields in case there is other work on the main
  // thread, like user events. By default, it yields multiple times per frame.
  // It does not attempt to align with frame boundaries, since most tasks don't
  // need to be frame aligned; for those that do, use requestAnimationFrame.

  var yieldInterval = 5;
  var deadline = 0; // TODO: Make this configurable

  {
    // `isInputPending` is not available. Since we have no way of knowing if
    // there's pending input, always yield at the end of the frame.
    exports.unstable_shouldYield = function () {
      return exports.unstable_now() >= deadline;
    }; // Since we yield every frame regardless, `requestPaint` has no effect.


    requestPaint = function () {};
  }

  exports.unstable_forceFrameRate = function (fps) {
    if (fps < 0 || fps > 125) {
      // Using console['error'] to evade Babel and ESLint
      console['error']('forceFrameRate takes a positive int between 0 and 125, ' + 'forcing frame rates higher than 125 fps is not supported');
      return;
    }

    if (fps > 0) {
      yieldInterval = Math.floor(1000 / fps);
    } else {
      // reset the framerate
      yieldInterval = 5;
    }
  };

  var performWorkUntilDeadline = function () {
    if (scheduledHostCallback !== null) {
      var currentTime = exports.unstable_now(); // Yield after `yieldInterval` ms, regardless of where we are in the vsync
      // cycle. This means there's always time remaining at the beginning of
      // the message event.

      deadline = currentTime + yieldInterval;
      var hasTimeRemaining = true;

      try {
        var hasMoreWork = scheduledHostCallback(hasTimeRemaining, currentTime);

        if (!hasMoreWork) {
          isMessageLoopRunning = false;
          scheduledHostCallback = null;
        } else {
          // If there's more work, schedule the next message event at the end
          // of the preceding one.
          port.postMessage(null);
        }
      } catch (error) {
        // If a scheduler task throws, exit the current browser task so the
        // error can be observed.
        port.postMessage(null);
        throw error;
      }
    } else {
      isMessageLoopRunning = false;
    } // Yielding to the browser will give it a chance to paint, so we can
  };

  var channel = new MessageChannel();
  var port = channel.port2;
  channel.port1.onmessage = performWorkUntilDeadline;

  requestHostCallback = function (callback) {
    scheduledHostCallback = callback;

    if (!isMessageLoopRunning) {
      isMessageLoopRunning = true;
      port.postMessage(null);
    }
  };

  requestHostTimeout = function (callback, ms) {
    taskTimeoutID = _setTimeout(function () {
      callback(exports.unstable_now());
    }, ms);
  };

  cancelHostTimeout = function () {
    _clearTimeout(taskTimeoutID);

    taskTimeoutID = -1;
  };
}

function push(heap, node) {
  var index = heap.length;
  heap.push(node);
  siftUp(heap, node, index);
}
function peek(heap) {
  var first = heap[0];
  return first === undefined ? null : first;
}
function pop(heap) {
  var first = heap[0];

  if (first !== undefined) {
    var last = heap.pop();

    if (last !== first) {
      heap[0] = last;
      siftDown(heap, last, 0);
    }

    return first;
  } else {
    return null;
  }
}

function siftUp(heap, node, i) {
  var index = i;

  while (true) {
    var parentIndex = index - 1 >>> 1;
    var parent = heap[parentIndex];

    if (parent !== undefined && compare(parent, node) > 0) {
      // The parent is larger. Swap positions.
      heap[parentIndex] = node;
      heap[index] = parent;
      index = parentIndex;
    } else {
      // The parent is smaller. Exit.
      return;
    }
  }
}

function siftDown(heap, node, i) {
  var index = i;
  var length = heap.length;

  while (index < length) {
    var leftIndex = (index + 1) * 2 - 1;
    var left = heap[leftIndex];
    var rightIndex = leftIndex + 1;
    var right = heap[rightIndex]; // If the left or right node is smaller, swap with the smaller of those.

    if (left !== undefined && compare(left, node) < 0) {
      if (right !== undefined && compare(right, left) < 0) {
        heap[index] = right;
        heap[rightIndex] = node;
        index = rightIndex;
      } else {
        heap[index] = left;
        heap[leftIndex] = node;
        index = leftIndex;
      }
    } else if (right !== undefined && compare(right, node) < 0) {
      heap[index] = right;
      heap[rightIndex] = node;
      index = rightIndex;
    } else {
      // Neither child is smaller. Exit.
      return;
    }
  }
}

function compare(a, b) {
  // Compare sort index first, then task id.
  var diff = a.sortIndex - b.sortIndex;
  return diff !== 0 ? diff : a.id - b.id;
}

// TODO: Use symbols?
var NoPriority = 0;
var ImmediatePriority = 1;
var UserBlockingPriority = 2;
var NormalPriority = 3;
var LowPriority = 4;
var IdlePriority = 5;

var runIdCounter = 0;
var mainThreadIdCounter = 0;
var profilingStateSize = 4;
var sharedProfilingBuffer =  // $FlowFixMe Flow doesn't know about SharedArrayBuffer
typeof SharedArrayBuffer === 'function' ? new SharedArrayBuffer(profilingStateSize * Int32Array.BYTES_PER_ELEMENT) : // $FlowFixMe Flow doesn't know about ArrayBuffer
typeof ArrayBuffer === 'function' ? new ArrayBuffer(profilingStateSize * Int32Array.BYTES_PER_ELEMENT) : null // Don't crash the init path on IE9
;
var profilingState =  sharedProfilingBuffer !== null ? new Int32Array(sharedProfilingBuffer) : []; // We can't read this but it helps save bytes for null checks

var PRIORITY = 0;
var CURRENT_TASK_ID = 1;
var CURRENT_RUN_ID = 2;
var QUEUE_SIZE = 3;

{
  profilingState[PRIORITY] = NoPriority; // This is maintained with a counter, because the size of the priority queue
  // array might include canceled tasks.

  profilingState[QUEUE_SIZE] = 0;
  profilingState[CURRENT_TASK_ID] = 0;
} // Bytes per element is 4


var INITIAL_EVENT_LOG_SIZE = 131072;
var MAX_EVENT_LOG_SIZE = 524288; // Equivalent to 2 megabytes

var eventLogSize = 0;
var eventLogBuffer = null;
var eventLog = null;
var eventLogIndex = 0;
var TaskStartEvent = 1;
var TaskCompleteEvent = 2;
var TaskErrorEvent = 3;
var TaskCancelEvent = 4;
var TaskRunEvent = 5;
var TaskYieldEvent = 6;
var SchedulerSuspendEvent = 7;
var SchedulerResumeEvent = 8;

function logEvent(entries) {
  if (eventLog !== null) {
    var offset = eventLogIndex;
    eventLogIndex += entries.length;

    if (eventLogIndex + 1 > eventLogSize) {
      eventLogSize *= 2;

      if (eventLogSize > MAX_EVENT_LOG_SIZE) {
        // Using console['error'] to evade Babel and ESLint
        console['error']("Scheduler Profiling: Event log exceeded maximum size. Don't " + 'forget to call `stopLoggingProfilingEvents()`.');
        stopLoggingProfilingEvents();
        return;
      }

      var newEventLog = new Int32Array(eventLogSize * 4);
      newEventLog.set(eventLog);
      eventLogBuffer = newEventLog.buffer;
      eventLog = newEventLog;
    }

    eventLog.set(entries, offset);
  }
}

function startLoggingProfilingEvents() {
  eventLogSize = INITIAL_EVENT_LOG_SIZE;
  eventLogBuffer = new ArrayBuffer(eventLogSize * 4);
  eventLog = new Int32Array(eventLogBuffer);
  eventLogIndex = 0;
}
function stopLoggingProfilingEvents() {
  var buffer = eventLogBuffer;
  eventLogSize = 0;
  eventLogBuffer = null;
  eventLog = null;
  eventLogIndex = 0;
  return buffer;
}
function markTaskStart(task, ms) {
  {
    profilingState[QUEUE_SIZE]++;

    if (eventLog !== null) {
      // performance.now returns a float, representing milliseconds. When the
      // event is logged, it's coerced to an int. Convert to microseconds to
      // maintain extra degrees of precision.
      logEvent([TaskStartEvent, ms * 1000, task.id, task.priorityLevel]);
    }
  }
}
function markTaskCompleted(task, ms) {
  {
    profilingState[PRIORITY] = NoPriority;
    profilingState[CURRENT_TASK_ID] = 0;
    profilingState[QUEUE_SIZE]--;

    if (eventLog !== null) {
      logEvent([TaskCompleteEvent, ms * 1000, task.id]);
    }
  }
}
function markTaskCanceled(task, ms) {
  {
    profilingState[QUEUE_SIZE]--;

    if (eventLog !== null) {
      logEvent([TaskCancelEvent, ms * 1000, task.id]);
    }
  }
}
function markTaskErrored(task, ms) {
  {
    profilingState[PRIORITY] = NoPriority;
    profilingState[CURRENT_TASK_ID] = 0;
    profilingState[QUEUE_SIZE]--;

    if (eventLog !== null) {
      logEvent([TaskErrorEvent, ms * 1000, task.id]);
    }
  }
}
function markTaskRun(task, ms) {
  {
    runIdCounter++;
    profilingState[PRIORITY] = task.priorityLevel;
    profilingState[CURRENT_TASK_ID] = task.id;
    profilingState[CURRENT_RUN_ID] = runIdCounter;

    if (eventLog !== null) {
      logEvent([TaskRunEvent, ms * 1000, task.id, runIdCounter]);
    }
  }
}
function markTaskYield(task, ms) {
  {
    profilingState[PRIORITY] = NoPriority;
    profilingState[CURRENT_TASK_ID] = 0;
    profilingState[CURRENT_RUN_ID] = 0;

    if (eventLog !== null) {
      logEvent([TaskYieldEvent, ms * 1000, task.id, runIdCounter]);
    }
  }
}
function markSchedulerSuspended(ms) {
  {
    mainThreadIdCounter++;

    if (eventLog !== null) {
      logEvent([SchedulerSuspendEvent, ms * 1000, mainThreadIdCounter]);
    }
  }
}
function markSchedulerUnsuspended(ms) {
  {
    if (eventLog !== null) {
      logEvent([SchedulerResumeEvent, ms * 1000, mainThreadIdCounter]);
    }
  }
}

/* eslint-disable no-var */
// Math.pow(2, 30) - 1
// 0b111111111111111111111111111111

var maxSigned31BitInt = 1073741823; // Times out immediately

var IMMEDIATE_PRIORITY_TIMEOUT = -1; // Eventually times out

var USER_BLOCKING_PRIORITY_TIMEOUT = 250;
var NORMAL_PRIORITY_TIMEOUT = 5000;
var LOW_PRIORITY_TIMEOUT = 10000; // Never times out

var IDLE_PRIORITY_TIMEOUT = maxSigned31BitInt; // Tasks are stored on a min heap

var taskQueue = [];
var timerQueue = []; // Incrementing id counter. Used to maintain insertion order.

var taskIdCounter = 1; // Pausing the scheduler is useful for debugging.
var currentTask = null;
var currentPriorityLevel = NormalPriority; // This is set while performing work, to prevent re-entrancy.

var isPerformingWork = false;
var isHostCallbackScheduled = false;
var isHostTimeoutScheduled = false;

function advanceTimers(currentTime) {
  // Check for tasks that are no longer delayed and add them to the queue.
  var timer = peek(timerQueue);

  while (timer !== null) {
    if (timer.callback === null) {
      // Timer was cancelled.
      pop(timerQueue);
    } else if (timer.startTime <= currentTime) {
      // Timer fired. Transfer to the task queue.
      pop(timerQueue);
      timer.sortIndex = timer.expirationTime;
      push(taskQueue, timer);

      {
        markTaskStart(timer, currentTime);
        timer.isQueued = true;
      }
    } else {
      // Remaining timers are pending.
      return;
    }

    timer = peek(timerQueue);
  }
}

function handleTimeout(currentTime) {
  isHostTimeoutScheduled = false;
  advanceTimers(currentTime);

  if (!isHostCallbackScheduled) {
    if (peek(taskQueue) !== null) {
      isHostCallbackScheduled = true;
      requestHostCallback(flushWork);
    } else {
      var firstTimer = peek(timerQueue);

      if (firstTimer !== null) {
        requestHostTimeout(handleTimeout, firstTimer.startTime - currentTime);
      }
    }
  }
}

function flushWork(hasTimeRemaining, initialTime) {
  {
    markSchedulerUnsuspended(initialTime);
  } // We'll need a host callback the next time work is scheduled.


  isHostCallbackScheduled = false;

  if (isHostTimeoutScheduled) {
    // We scheduled a timeout but it's no longer needed. Cancel it.
    isHostTimeoutScheduled = false;
    cancelHostTimeout();
  }

  isPerformingWork = true;
  var previousPriorityLevel = currentPriorityLevel;

  try {
    if (enableProfiling) {
      try {
        return workLoop(hasTimeRemaining, initialTime);
      } catch (error) {
        if (currentTask !== null) {
          var currentTime = exports.unstable_now();
          markTaskErrored(currentTask, currentTime);
          currentTask.isQueued = false;
        }

        throw error;
      }
    } else {
      // No catch in prod code path.
      return workLoop(hasTimeRemaining, initialTime);
    }
  } finally {
    currentTask = null;
    currentPriorityLevel = previousPriorityLevel;
    isPerformingWork = false;

    {
      var _currentTime = exports.unstable_now();

      markSchedulerSuspended(_currentTime);
    }
  }
}

function workLoop(hasTimeRemaining, initialTime) {
  var currentTime = initialTime;
  advanceTimers(currentTime);
  currentTask = peek(taskQueue);

  while (currentTask !== null && !(enableSchedulerDebugging )) {
    if (currentTask.expirationTime > currentTime && (!hasTimeRemaining || exports.unstable_shouldYield())) {
      // This currentTask hasn't expired, and we've reached the deadline.
      break;
    }

    var callback = currentTask.callback;

    if (typeof callback === 'function') {
      currentTask.callback = null;
      currentPriorityLevel = currentTask.priorityLevel;
      var didUserCallbackTimeout = currentTask.expirationTime <= currentTime;
      markTaskRun(currentTask, currentTime);
      var continuationCallback = callback(didUserCallbackTimeout);
      currentTime = exports.unstable_now();

      if (typeof continuationCallback === 'function') {
        currentTask.callback = continuationCallback;
        markTaskYield(currentTask, currentTime);
      } else {
        {
          markTaskCompleted(currentTask, currentTime);
          currentTask.isQueued = false;
        }

        if (currentTask === peek(taskQueue)) {
          pop(taskQueue);
        }
      }

      advanceTimers(currentTime);
    } else {
      pop(taskQueue);
    }

    currentTask = peek(taskQueue);
  } // Return whether there's additional work


  if (currentTask !== null) {
    return true;
  } else {
    var firstTimer = peek(timerQueue);

    if (firstTimer !== null) {
      requestHostTimeout(handleTimeout, firstTimer.startTime - currentTime);
    }

    return false;
  }
}

function unstable_runWithPriority(priorityLevel, eventHandler) {
  switch (priorityLevel) {
    case ImmediatePriority:
    case UserBlockingPriority:
    case NormalPriority:
    case LowPriority:
    case IdlePriority:
      break;

    default:
      priorityLevel = NormalPriority;
  }

  var previousPriorityLevel = currentPriorityLevel;
  currentPriorityLevel = priorityLevel;

  try {
    return eventHandler();
  } finally {
    currentPriorityLevel = previousPriorityLevel;
  }
}

function unstable_next(eventHandler) {
  var priorityLevel;

  switch (currentPriorityLevel) {
    case ImmediatePriority:
    case UserBlockingPriority:
    case NormalPriority:
      // Shift down to normal priority
      priorityLevel = NormalPriority;
      break;

    default:
      // Anything lower than normal priority should remain at the current level.
      priorityLevel = currentPriorityLevel;
      break;
  }

  var previousPriorityLevel = currentPriorityLevel;
  currentPriorityLevel = priorityLevel;

  try {
    return eventHandler();
  } finally {
    currentPriorityLevel = previousPriorityLevel;
  }
}

function unstable_wrapCallback(callback) {
  var parentPriorityLevel = currentPriorityLevel;
  return function () {
    // This is a fork of runWithPriority, inlined for performance.
    var previousPriorityLevel = currentPriorityLevel;
    currentPriorityLevel = parentPriorityLevel;

    try {
      return callback.apply(this, arguments);
    } finally {
      currentPriorityLevel = previousPriorityLevel;
    }
  };
}

function unstable_scheduleCallback(priorityLevel, callback, options) {
  var currentTime = exports.unstable_now();
  var startTime;

  if (typeof options === 'object' && options !== null) {
    var delay = options.delay;

    if (typeof delay === 'number' && delay > 0) {
      startTime = currentTime + delay;
    } else {
      startTime = currentTime;
    }
  } else {
    startTime = currentTime;
  }

  var timeout;

  switch (priorityLevel) {
    case ImmediatePriority:
      timeout = IMMEDIATE_PRIORITY_TIMEOUT;
      break;

    case UserBlockingPriority:
      timeout = USER_BLOCKING_PRIORITY_TIMEOUT;
      break;

    case IdlePriority:
      timeout = IDLE_PRIORITY_TIMEOUT;
      break;

    case LowPriority:
      timeout = LOW_PRIORITY_TIMEOUT;
      break;

    case NormalPriority:
    default:
      timeout = NORMAL_PRIORITY_TIMEOUT;
      break;
  }

  var expirationTime = startTime + timeout;
  var newTask = {
    id: taskIdCounter++,
    callback: callback,
    priorityLevel: priorityLevel,
    startTime: startTime,
    expirationTime: expirationTime,
    sortIndex: -1
  };

  {
    newTask.isQueued = false;
  }

  if (startTime > currentTime) {
    // This is a delayed task.
    newTask.sortIndex = startTime;
    push(timerQueue, newTask);

    if (peek(taskQueue) === null && newTask === peek(timerQueue)) {
      // All tasks are delayed, and this is the task with the earliest delay.
      if (isHostTimeoutScheduled) {
        // Cancel an existing timeout.
        cancelHostTimeout();
      } else {
        isHostTimeoutScheduled = true;
      } // Schedule a timeout.


      requestHostTimeout(handleTimeout, startTime - currentTime);
    }
  } else {
    newTask.sortIndex = expirationTime;
    push(taskQueue, newTask);

    {
      markTaskStart(newTask, currentTime);
      newTask.isQueued = true;
    } // Schedule a host callback, if needed. If we're already performing work,
    // wait until the next time we yield.


    if (!isHostCallbackScheduled && !isPerformingWork) {
      isHostCallbackScheduled = true;
      requestHostCallback(flushWork);
    }
  }

  return newTask;
}

function unstable_pauseExecution() {
}

function unstable_continueExecution() {

  if (!isHostCallbackScheduled && !isPerformingWork) {
    isHostCallbackScheduled = true;
    requestHostCallback(flushWork);
  }
}

function unstable_getFirstCallbackNode() {
  return peek(taskQueue);
}

function unstable_cancelCallback(task) {
  {
    if (task.isQueued) {
      var currentTime = exports.unstable_now();
      markTaskCanceled(task, currentTime);
      task.isQueued = false;
    }
  } // Null out the callback to indicate the task has been canceled. (Can't
  // remove from the queue because you can't remove arbitrary nodes from an
  // array based heap, only the first one.)


  task.callback = null;
}

function unstable_getCurrentPriorityLevel() {
  return currentPriorityLevel;
}

var unstable_requestPaint = requestPaint;
var unstable_Profiling =  {
  startLoggingProfilingEvents: startLoggingProfilingEvents,
  stopLoggingProfilingEvents: stopLoggingProfilingEvents,
  sharedProfilingBuffer: sharedProfilingBuffer
} ;

exports.unstable_IdlePriority = IdlePriority;
exports.unstable_ImmediatePriority = ImmediatePriority;
exports.unstable_LowPriority = LowPriority;
exports.unstable_NormalPriority = NormalPriority;
exports.unstable_Profiling = unstable_Profiling;
exports.unstable_UserBlockingPriority = UserBlockingPriority;
exports.unstable_cancelCallback = unstable_cancelCallback;
exports.unstable_continueExecution = unstable_continueExecution;
exports.unstable_getCurrentPriorityLevel = unstable_getCurrentPriorityLevel;
exports.unstable_getFirstCallbackNode = unstable_getFirstCallbackNode;
exports.unstable_next = unstable_next;
exports.unstable_pauseExecution = unstable_pauseExecution;
exports.unstable_requestPaint = unstable_requestPaint;
exports.unstable_runWithPriority = unstable_runWithPriority;
exports.unstable_scheduleCallback = unstable_scheduleCallback;
exports.unstable_wrapCallback = unstable_wrapCallback;
  })();
}


/***/ }),

/***/ "./node_modules/scheduler/index.js":
/*!*****************************************!*\
  !*** ./node_modules/scheduler/index.js ***!
  \*****************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


if (false) {} else {
  module.exports = __webpack_require__(/*! ./cjs/scheduler.development.js */ "./node_modules/scheduler/cjs/scheduler.development.js");
}


/***/ }),

/***/ "./node_modules/scheduler/tracing.js":
/*!*******************************************!*\
  !*** ./node_modules/scheduler/tracing.js ***!
  \*******************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

"use strict";


if (false) {} else {
  module.exports = __webpack_require__(/*! ./cjs/scheduler-tracing.development.js */ "./node_modules/scheduler/cjs/scheduler-tracing.development.js");
}


/***/ }),

/***/ "./node_modules/shallow-equal/dist/index.esm.js":
/*!******************************************************!*\
  !*** ./node_modules/shallow-equal/dist/index.esm.js ***!
  \******************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "shallowEqualArrays": () => (/* binding */ shallowEqualArrays),
/* harmony export */   "shallowEqualObjects": () => (/* binding */ shallowEqualObjects)
/* harmony export */ });
function shallowEqualObjects(objA, objB) {
  if (objA === objB) {
    return true;
  }

  if (!objA || !objB) {
    return false;
  }

  var aKeys = Object.keys(objA);
  var bKeys = Object.keys(objB);
  var len = aKeys.length;

  if (bKeys.length !== len) {
    return false;
  }

  for (var i = 0; i < len; i++) {
    var key = aKeys[i];

    if (objA[key] !== objB[key] || !Object.prototype.hasOwnProperty.call(objB, key)) {
      return false;
    }
  }

  return true;
}

function shallowEqualArrays(arrA, arrB) {
  if (arrA === arrB) {
    return true;
  }

  if (!arrA || !arrB) {
    return false;
  }

  var len = arrA.length;

  if (arrB.length !== len) {
    return false;
  }

  for (var i = 0; i < len; i++) {
    if (arrA[i] !== arrB[i]) {
      return false;
    }
  }

  return true;
}




/***/ }),

/***/ "./node_modules/style-to-js/cjs/index.js":
/*!***********************************************!*\
  !*** ./node_modules/style-to-js/cjs/index.js ***!
  \***********************************************/
/***/ (function(__unused_webpack_module, exports, __webpack_require__) {

"use strict";

var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var style_to_object_1 = __importDefault(__webpack_require__(/*! style-to-object */ "./node_modules/style-to-object/index.js"));
var utilities_1 = __webpack_require__(/*! ./utilities */ "./node_modules/style-to-js/cjs/utilities.js");
function StyleToJS(style, options) {
    var output = {};
    if (!style || typeof style !== 'string') {
        return output;
    }
    style_to_object_1["default"](style, function (property, value) {
        if (property && value) {
            output[utilities_1.camelCase(property, options)] = value;
        }
    });
    return output;
}
exports["default"] = StyleToJS;


/***/ }),

/***/ "./node_modules/style-to-js/cjs/utilities.js":
/*!***************************************************!*\
  !*** ./node_modules/style-to-js/cjs/utilities.js ***!
  \***************************************************/
/***/ ((__unused_webpack_module, exports) => {

"use strict";

exports.__esModule = true;
exports.camelCase = void 0;
var CUSTOM_PROPERTY_REGEX = /^--[a-zA-Z0-9-]+$/;
var HYPHEN_REGEX = /-([a-z])/g;
var NO_HYPHEN_REGEX = /^[^-]+$/;
var VENDOR_PREFIX_REGEX = /^-(webkit|moz|ms|o|khtml)-/;
var skipCamelCase = function (property) {
    return !property ||
        NO_HYPHEN_REGEX.test(property) ||
        CUSTOM_PROPERTY_REGEX.test(property);
};
var capitalize = function (match, character) {
    return character.toUpperCase();
};
var trimHyphen = function (match, prefix) { return prefix + "-"; };
var camelCase = function (property, options) {
    if (options === void 0) { options = {}; }
    if (skipCamelCase(property)) {
        return property;
    }
    property = property.toLowerCase();
    if (!options.reactCompat) {
        property = property.replace(VENDOR_PREFIX_REGEX, trimHyphen);
    }
    return property.replace(HYPHEN_REGEX, capitalize);
};
exports.camelCase = camelCase;


/***/ }),

/***/ "./node_modules/style-to-object/index.js":
/*!***********************************************!*\
  !*** ./node_modules/style-to-object/index.js ***!
  \***********************************************/
/***/ ((module, __unused_webpack_exports, __webpack_require__) => {

var parse = __webpack_require__(/*! inline-style-parser */ "./node_modules/inline-style-parser/index.js");

/**
 * Parses inline style to object.
 *
 * @example
 * // returns { 'line-height': '42' }
 * StyleToObject('line-height: 42;');
 *
 * @param  {String}      style      - The inline style.
 * @param  {Function}    [iterator] - The iterator function.
 * @return {null|Object}
 */
function StyleToObject(style, iterator) {
  var output = null;
  if (!style || typeof style !== 'string') {
    return output;
  }

  var declaration;
  var declarations = parse(style);
  var hasIterator = typeof iterator === 'function';
  var property;
  var value;

  for (var i = 0, len = declarations.length; i < len; i++) {
    declaration = declarations[i];
    property = declaration.property;
    value = declaration.value;

    if (hasIterator) {
      iterator(property, value, declaration);
    } else if (value) {
      output || (output = {});
      output[property] = value;
    }
  }

  return output;
}

module.exports = StyleToObject;


/***/ }),

/***/ "./node_modules/tiny-invariant/dist/tiny-invariant.esm.js":
/*!****************************************************************!*\
  !*** ./node_modules/tiny-invariant/dist/tiny-invariant.esm.js ***!
  \****************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
var isProduction = "development" === 'production';
var prefix = 'Invariant failed';
function invariant(condition, message) {
    if (condition) {
        return;
    }
    if (isProduction) {
        throw new Error(prefix);
    }
    throw new Error(prefix + ": " + (message || ''));
}

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (invariant);


/***/ }),

/***/ "./node_modules/tiny-warning/dist/tiny-warning.esm.js":
/*!************************************************************!*\
  !*** ./node_modules/tiny-warning/dist/tiny-warning.esm.js ***!
  \************************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
var isProduction = "development" === 'production';
function warning(condition, message) {
  if (!isProduction) {
    if (condition) {
      return;
    }

    var text = "Warning: " + message;

    if (typeof console !== 'undefined') {
      console.warn(text);
    }

    try {
      throw Error(text);
    } catch (x) {}
  }
}

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (warning);


/***/ }),

/***/ "./node_modules/truncate-middle/index.js":
/*!***********************************************!*\
  !*** ./node_modules/truncate-middle/index.js ***!
  \***********************************************/
/***/ ((module) => {

"use strict";

/**
 * There are cases where important information is at the end of the string and truncating the end isn't helpful.
 * This function solves that.
 *
 * @param  {string} str         String to be truncated
 * @param  {number} frontLen    Number of characters to be remained in front.
 * @param  {number} backLen     Number of characters to be remained at the back.
 * @param  {string} truncateStr String that is replaced the truncated portion
 * @return {string}             Truncated string. Defaults to '&hellip;' if unspecified.
 */
module.exports = function (str, frontLen, backLen, truncateStr) {
  if (str === null) {
    return ''
  }
  var strLen = str.length
  // Setting default values
  frontLen = ~~frontLen // will cast to integer
  backLen = ~~backLen
  truncateStr = truncateStr || '&hellip;'
  if (frontLen === 0 && backLen === 0 || frontLen >= strLen || backLen >= strLen || (frontLen + backLen) >= strLen) {
    return str
  } else if (backLen === 0) {
    return str.slice(0, frontLen) + truncateStr
  } else {
    return str.slice(0, frontLen) + truncateStr + str.slice(strLen - backLen)
  }
}


/***/ }),

/***/ "./node_modules/tslib/tslib.es6.js":
/*!*****************************************!*\
  !*** ./node_modules/tslib/tslib.es6.js ***!
  \*****************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "__assign": () => (/* binding */ __assign),
/* harmony export */   "__asyncDelegator": () => (/* binding */ __asyncDelegator),
/* harmony export */   "__asyncGenerator": () => (/* binding */ __asyncGenerator),
/* harmony export */   "__asyncValues": () => (/* binding */ __asyncValues),
/* harmony export */   "__await": () => (/* binding */ __await),
/* harmony export */   "__awaiter": () => (/* binding */ __awaiter),
/* harmony export */   "__classPrivateFieldGet": () => (/* binding */ __classPrivateFieldGet),
/* harmony export */   "__classPrivateFieldSet": () => (/* binding */ __classPrivateFieldSet),
/* harmony export */   "__createBinding": () => (/* binding */ __createBinding),
/* harmony export */   "__decorate": () => (/* binding */ __decorate),
/* harmony export */   "__exportStar": () => (/* binding */ __exportStar),
/* harmony export */   "__extends": () => (/* binding */ __extends),
/* harmony export */   "__generator": () => (/* binding */ __generator),
/* harmony export */   "__importDefault": () => (/* binding */ __importDefault),
/* harmony export */   "__importStar": () => (/* binding */ __importStar),
/* harmony export */   "__makeTemplateObject": () => (/* binding */ __makeTemplateObject),
/* harmony export */   "__metadata": () => (/* binding */ __metadata),
/* harmony export */   "__param": () => (/* binding */ __param),
/* harmony export */   "__read": () => (/* binding */ __read),
/* harmony export */   "__rest": () => (/* binding */ __rest),
/* harmony export */   "__spread": () => (/* binding */ __spread),
/* harmony export */   "__spreadArrays": () => (/* binding */ __spreadArrays),
/* harmony export */   "__values": () => (/* binding */ __values)
/* harmony export */ });
/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */
/* global Reflect, Promise */

var extendStatics = function(d, b) {
    extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return extendStatics(d, b);
};

function __extends(d, b) {
    extendStatics(d, b);
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
}

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    }
    return __assign.apply(this, arguments);
}

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
}

function __decorate(decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
}

function __param(paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
}

function __metadata(metadataKey, metadataValue) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
}

function __awaiter(thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
}

function __generator(thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
}

function __createBinding(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}

function __exportStar(m, exports) {
    for (var p in m) if (p !== "default" && !exports.hasOwnProperty(p)) exports[p] = m[p];
}

function __values(o) {
    var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
    if (m) return m.call(o);
    if (o && typeof o.length === "number") return {
        next: function () {
            if (o && i >= o.length) o = void 0;
            return { value: o && o[i++], done: !o };
        }
    };
    throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
}

function __read(o, n) {
    var m = typeof Symbol === "function" && o[Symbol.iterator];
    if (!m) return o;
    var i = m.call(o), r, ar = [], e;
    try {
        while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
    }
    catch (error) { e = { error: error }; }
    finally {
        try {
            if (r && !r.done && (m = i["return"])) m.call(i);
        }
        finally { if (e) throw e.error; }
    }
    return ar;
}

function __spread() {
    for (var ar = [], i = 0; i < arguments.length; i++)
        ar = ar.concat(__read(arguments[i]));
    return ar;
}

function __spreadArrays() {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};

function __await(v) {
    return this instanceof __await ? (this.v = v, this) : new __await(v);
}

function __asyncGenerator(thisArg, _arguments, generator) {
    if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
    var g = generator.apply(thisArg, _arguments || []), i, q = [];
    return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
    function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
    function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
    function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
    function fulfill(value) { resume("next", value); }
    function reject(value) { resume("throw", value); }
    function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
}

function __asyncDelegator(o) {
    var i, p;
    return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
    function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
}

function __asyncValues(o) {
    if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
    var m = o[Symbol.asyncIterator], i;
    return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
    function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
    function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
}

function __makeTemplateObject(cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};

function __importStar(mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result.default = mod;
    return result;
}

function __importDefault(mod) {
    return (mod && mod.__esModule) ? mod : { default: mod };
}

function __classPrivateFieldGet(receiver, privateMap) {
    if (!privateMap.has(receiver)) {
        throw new TypeError("attempted to get private field on non-instance");
    }
    return privateMap.get(receiver);
}

function __classPrivateFieldSet(receiver, privateMap, value) {
    if (!privateMap.has(receiver)) {
        throw new TypeError("attempted to set private field on non-instance");
    }
    privateMap.set(receiver, value);
    return value;
}


/***/ }),

/***/ "./node_modules/value-equal/esm/value-equal.js":
/*!*****************************************************!*\
  !*** ./node_modules/value-equal/esm/value-equal.js ***!
  \*****************************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
function valueOf(obj) {
  return obj.valueOf ? obj.valueOf() : Object.prototype.valueOf.call(obj);
}

function valueEqual(a, b) {
  // Test for strict equality first.
  if (a === b) return true;

  // Otherwise, if either of them == null they are not equal.
  if (a == null || b == null) return false;

  if (Array.isArray(a)) {
    return (
      Array.isArray(b) &&
      a.length === b.length &&
      a.every(function(item, index) {
        return valueEqual(item, b[index]);
      })
    );
  }

  if (typeof a === 'object' || typeof b === 'object') {
    var aValue = valueOf(a);
    var bValue = valueOf(b);

    if (aValue !== a || bValue !== b) return valueEqual(aValue, bValue);

    return Object.keys(Object.assign({}, a, b)).every(function(key) {
      return valueEqual(a[key], b[key]);
    });
  }

  return false;
}

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (valueEqual);


/***/ }),

/***/ "./node_modules/@babel/runtime/helpers/esm/extends.js":
/*!************************************************************!*\
  !*** ./node_modules/@babel/runtime/helpers/esm/extends.js ***!
  \************************************************************/
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ _extends)
/* harmony export */ });
function _extends() {
  _extends = Object.assign || function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };

  return _extends.apply(this, arguments);
}

/***/ }),

/***/ "./node_modules/@babel/runtime/helpers/esm/inheritsLoose.js":
/*!******************************************************************!*\
  !*** ./node_modules/@babel/runtime/helpers/esm/inheritsLoose.js ***!
  \******************************************************************/
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ _inheritsLoose)
/* harmony export */ });
/* harmony import */ var _babel_runtime_helpers_esm_setPrototypeOf__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! @babel/runtime/helpers/esm/setPrototypeOf */ "./node_modules/@babel/runtime/helpers/esm/setPrototypeOf.js");

function _inheritsLoose(subClass, superClass) {
  subClass.prototype = Object.create(superClass.prototype);
  subClass.prototype.constructor = subClass;
  (0,_babel_runtime_helpers_esm_setPrototypeOf__WEBPACK_IMPORTED_MODULE_0__["default"])(subClass, superClass);
}

/***/ }),

/***/ "./node_modules/@babel/runtime/helpers/esm/objectWithoutPropertiesLoose.js":
/*!*********************************************************************************!*\
  !*** ./node_modules/@babel/runtime/helpers/esm/objectWithoutPropertiesLoose.js ***!
  \*********************************************************************************/
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ _objectWithoutPropertiesLoose)
/* harmony export */ });
function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

/***/ }),

/***/ "./node_modules/@babel/runtime/helpers/esm/setPrototypeOf.js":
/*!*******************************************************************!*\
  !*** ./node_modules/@babel/runtime/helpers/esm/setPrototypeOf.js ***!
  \*******************************************************************/
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (/* binding */ _setPrototypeOf)
/* harmony export */ });
function _setPrototypeOf(o, p) {
  _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
    o.__proto__ = p;
    return o;
  };

  return _setPrototypeOf(o, p);
}

/***/ }),

/***/ "./node_modules/html-react-parser/index.mjs":
/*!**************************************************!*\
  !*** ./node_modules/html-react-parser/index.mjs ***!
  \**************************************************/
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "attributesToProps": () => (/* binding */ attributesToProps),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "domToReact": () => (/* binding */ domToReact),
/* harmony export */   "htmlToDOM": () => (/* binding */ htmlToDOM)
/* harmony export */ });
/* harmony import */ var _index_js__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./index.js */ "./node_modules/html-react-parser/index.js");


var domToReact = _index_js__WEBPACK_IMPORTED_MODULE_0__.domToReact;
var htmlToDOM = _index_js__WEBPACK_IMPORTED_MODULE_0__.htmlToDOM;
var attributesToProps = _index_js__WEBPACK_IMPORTED_MODULE_0__.attributesToProps;

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (_index_js__WEBPACK_IMPORTED_MODULE_0__);


/***/ }),

/***/ "./src/pages/CreateProject/Config/schema.json":
/*!****************************************************!*\
  !*** ./src/pages/CreateProject/Config/schema.json ***!
  \****************************************************/
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('{"Audio":{"name":"Audio","description":"The Audio tag plays audio and shows its waveform. Use for audio annotation tasks where you want to label regions of audio, see the waveform, and manipulate audio during annotation.\\n\\nUse with the following data types: audio","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"value":{"name":"value","description":"Data field containing path or a URL to the audio.","type":"string","required":true},"defaultspeed":{"name":"defaultspeed","description":"Default speed level (from 0.5 to 2).","type":"string","required":false,"default":1},"defaultscale":{"name":"defaultscale","description":"Audio pane default y-scale for waveform.","type":"string","required":false,"default":1},"defaultzoom":{"name":"defaultzoom","description":"Default zoom level for waveform. (from 1 to 1500).","type":"string","required":false,"default":1},"defaultvolume":{"name":"defaultvolume","description":"Default volume level (from 0 to 1).","type":"string","required":false,"default":1},"hotkey":{"name":"hotkey","description":"Hotkey used to play or pause audio.","type":"string","required":false},"sync":{"name":"sync","description":"Object name to sync with.","type":"string","required":false},"height":{"name":"height","description":"Total height of the audio player.","type":"string","required":false,"default":96},"waveheight":{"name":"waveheight","description":"Minimum height of a waveform when in `splitchannels` mode with multiple channels to display.","type":"string","required":false,"default":32},"splitchannels":{"name":"splitchannels","description":"Display multiple audio channels separately, if the audio file has more than one channel. (**NOTE: Requires more memory to operate.**)","type":["true","false"],"required":false,"default":false},"decoder":{"name":"decoder","description":"Decoder type to use to decode audio data. (`\\"webaudio\\"` or `\\"ffmpeg\\"`)","type":"string","required":false,"default":"webaudio"},"player":{"name":"player","description":"Player type to use to play audio data. (`\\"html5\\"` or `\\"webaudio\\"`)","type":"string","required":false,"default":"html5"}}},"HyperText":{"name":"HyperText","description":"The `HyperText` tag displays hypertext markup for labeling. Use for labeling HTML-encoded text and webpages for NER and NLP projects.\\n\\nUse with the following data types: HTML.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"value":{"name":"value","description":"Value of the element","type":"string","required":true},"valueType":{"name":"valueType","description":"Whether the text is stored directly in uploaded data or needs to be loaded from a URL","type":["url","text"],"required":false,"default":"text"},"inline":{"name":"inline","description":"Whether to embed HTML directly in Label Studio or use an iframe","type":["true","false"],"required":false,"default":false},"saveTextResult":{"name":"saveTextResult","description":"Whether to store labeled text along with the results. By default, doesn\'t store text for `valueType=url`","type":["yes","no"],"required":false},"encoding":{"name":"encoding","description":"How to decode values from encoded strings","type":["none","base64","base64unicode"],"required":false},"selectionEnabled":{"name":"selectionEnabled","description":"Enable or disable selection","type":["true","false"],"required":false,"default":true},"clickableLinks":{"name":"clickableLinks","description":"Whether to allow opening resources from links in the hypertext markup.","type":["true","false"],"required":false,"default":false},"highlightColor":{"name":"highlightColor","description":"Hex string with highlight color, if not provided uses the labels color","type":"string","required":false},"showLabels":{"name":"showLabels","description":"Whether or not to show labels next to the region; unset (by default) — use editor settings; true/false — override settings","type":["true","false"],"required":false},"granularity":{"name":"granularity","description":"Control region selection granularity","type":["symbol","word","sentence","paragraph"],"required":false}}},"Image":{"name":"Image","description":"The `Image` tag shows an image on the page. Use for all image annotation tasks to display an image on the labeling interface.\\n\\nUse with the following data types: images.\\n\\nWhen you annotate image regions with this tag, the annotations are saved as percentages of the original size of the image, from 0-100.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"value":{"name":"value","description":"Data field containing a path or URL to the image","type":"string","required":true},"smoothing":{"name":"smoothing","description":"Enable smoothing, by default it uses user settings","type":["true","false"],"required":false},"width":{"name":"width","description":"Image width","type":"string","required":false,"default":"100%"},"maxWidth":{"name":"maxWidth","description":"Maximum image width","type":"string","required":false,"default":"750px"},"zoom":{"name":"zoom","description":"Enable zooming an image with the mouse wheel","type":["true","false"],"required":false,"default":false},"negativeZoom":{"name":"negativeZoom","description":"Enable zooming out an image","type":["true","false"],"required":false,"default":false},"zoomBy":{"name":"zoomBy","description":"Scale factor","type":"float","required":false,"default":1.1},"grid":{"name":"grid","description":"Whether to show a grid","type":["true","false"],"required":false,"default":false},"gridSize":{"name":"gridSize","description":"Specify size of the grid","type":"number","required":false,"default":30},"gridColor":{"name":"gridColor","description":"Color of the grid in hex, opacity is 0.15","type":"string","required":false,"default":"#EEEEF4"},"zoomControl":{"name":"zoomControl","description":"Show zoom controls in toolbar","type":["true","false"],"required":false,"default":false},"brightnessControl":{"name":"brightnessControl","description":"Show brightness control in toolbar","type":["true","false"],"required":false,"default":false},"contrastControl":{"name":"contrastControl","description":"Show contrast control in toolbar","type":["true","false"],"required":false,"default":false},"rotateControl":{"name":"rotateControl","description":"Show rotate control in toolbar","type":["true","false"],"required":false,"default":false},"crosshair":{"name":"crosshair","description":"Show crosshair cursor","type":["true","false"],"required":false,"default":false},"horizontalAlignment":{"name":"horizontalAlignment","description":"Where to align image horizontally. Can be one of \\"left\\", \\"center\\" or \\"right\\"","type":"string","required":false,"default":"left"},"verticalAlignment":{"name":"verticalAlignment","description":"Where to align image vertically. Can be one of \\"top\\", \\"center\\" or \\"bottom\\"","type":"string","required":false,"default":"top"},"defaultZoom":{"name":"defaultZoom","description":"Specify the initial zoom of the image within the viewport while preserving it’s ratio. Can be one of \\"auto\\", \\"original\\" or \\"fit\\"","type":"string","required":false,"default":"fit"},"valuelist":{"name":"valuelist","description":"References a variable that holds a list of image URLs","type":"string","required":false},"crossOrigin":{"name":"crossOrigin","description":"Configures CORS cross domain behavior for this image, either \\"none\\", \\"anonymous\\", or \\"use-credentials\\", similar to [DOM `img` crossOrigin property](https://developer.mozilla.org/en-US/docs/Web/API/HTMLImageElement/crossOrigin).","type":"string","required":false,"default":"none"}}},"List":{"name":"List","description":"The `List` tag is used to display a list of similar items like articles, search results, etc. Task data referred in `value` parameter should be an array of objects with `id`, `title`, and `body` fields.\\nIt\'s much more lightweight than group of other tags like Text. And you can attach classification to provide additional data about this list.\\nCan be used with `Ranker` tag to rank items or pick relevant items from a list.\\nItems can be styled in `Style` tag by using `.htx-ranker-item` class.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"value":{"name":"value","description":"Data field containing a JSON with array of objects (id, title, body) to rank","type":"string","required":true},"title":{"name":"title","description":"Title of the list","type":"string","required":false}}},"Paragraphs":{"name":"Paragraphs","description":"The `Paragraphs` tag displays paragraphs of text on the labeling interface. Use to label dialogue transcripts for NLP and NER projects.\\nThe `Paragraphs` tag expects task data formatted as an array of objects like the following:\\n[{ $nameKey: \\"Author name\\", $textKey: \\"Text\\" }, ... ]\\n\\nUse with the following data types: text.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"value":{"name":"value","description":"Data field containing the paragraph content","type":"string","required":true},"valueType":{"name":"valueType","description":"Whether the data is stored directly in uploaded JSON data or needs to be loaded from a URL","type":["json","url"],"required":false,"default":"json"},"audioUrl":{"name":"audioUrl","description":"Audio to sync phrases with","type":"string","required":false},"sync":{"name":"sync","description":"Object name to sync with","type":"string","required":false},"showPlayer":{"name":"showPlayer","description":"Whether to show audio player above the paragraphs. Ignored if sync object is audio","type":["true","false"],"required":false,"default":false},"saveTextResult":{"name":"saveTextResult","description":"Whether to store labeled text along with the results. By default, doesn\'t store text for `valueType=url`","type":["no","yes"],"required":false,"default":"yes"},"layout":{"name":"layout","description":"Whether to use a dialogue-style layout or not","type":["none","dialogue"],"required":false,"default":"none"},"nameKey":{"name":"nameKey","description":"The key field to use for name","type":"string","required":false,"default":"author"},"textKey":{"name":"textKey","description":"The key field to use for the text","type":"string","required":false,"default":"text"},"contextScroll":{"name":"contextScroll","description":"Turn on contextual scroll mode","type":["true","false"],"required":false,"default":false}}},"Table":{"name":"Table","description":"The `Table` tag is used to display object keys and values in a table.","attrs":{"value":{"name":"value","description":"Data field value containing JSON type for Table","type":"string","required":true},"valueType":{"name":"valueType","description":"Value to define the data type in Table","type":"string","required":false}}},"Text":{"name":"Text","description":"The `Text` tag shows text that can be labeled. Use to display any type of text on the labeling interface.\\nYou can use `<Style>.htx-text{ white-space: pre-wrap; }</Style>` to preserve all spaces in the text, otherwise spaces are trimmed when displayed.\\nEvery space in the text sample is counted when calculating result offsets, for example for NER labeling tasks.\\n\\nUse with the following data types: text.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"value":{"name":"value","description":"Data field containing text or a UR","type":"string","required":true},"valueType":{"name":"valueType","description":"Whether the text is stored directly in uploaded data or needs to be loaded from a URL","type":["url","text"],"required":false,"default":"text"},"saveTextResult":{"name":"saveTextResult","description":"Whether to store labeled text along with the results. By default, doesn\'t store text for `valueType=url`","type":["yes","no"],"required":false},"encoding":{"name":"encoding","description":"How to decode values from encoded strings","type":["none","base64","base64unicode"],"required":false},"selectionEnabled":{"name":"selectionEnabled","description":"Enable or disable selection","type":["true","false"],"required":false,"default":true},"highlightColor":{"name":"highlightColor","description":"Hex string with highlight color, if not provided uses the labels color","type":"string","required":false},"showLabels":{"name":"showLabels","description":"Whether or not to show labels next to the region; unset (by default) — use editor settings; true/false — override settings","type":["true","false"],"required":false},"granularity":{"name":"granularity","description":"Control region selection granularity","type":["symbol","word","sentence","paragraph"],"required":false}}},"TimeSeries":{"name":"TimeSeries","description":"The `TimeSeries` tag can be used to label time series data. Read more about Time Series Labeling on [the time series template page](../templates/time_series.html).\\n\\nNote: The time axis in your data must be sorted, otherwise the TimeSeries tag does not work.\\nTo use autogenerated indices as time axes, don\'t use the `timeColumn` parameter.\\n\\nUse with the following data types: time series.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"value":{"name":"value","description":"Key used to look up the data, either URLs for your time-series if valueType=url, otherwise expects JSON","type":"string","required":true},"valueType":{"name":"valueType","description":"Format of time series data provided. If set to \\"url\\" then Label Studio loads value references inside `value` key, otherwise it expects JSON.","type":["url","json"],"required":false,"default":"url"},"timeColumn":{"name":"timeColumn","description":"Column name or index that provides temporal values. If your time series data has no temporal column then one is automatically generated.","type":"string","required":false},"timeFormat":{"name":"timeFormat","description":"Pattern used to parse values inside timeColumn, parsing is provided by d3, and follows `strftime` implementation","type":"string","required":false},"timeDisplayFormat":{"name":"timeDisplayFormat","description":"Format used to display temporal value. Can be a number or a date. If a temporal column is a date, use strftime to format it. If it\'s a number, use [d3 number](https://github.com/d3/d3-format#locale_format) formatting.","type":"string","required":false},"durationDisplayFormat":{"name":"durationDisplayFormat","description":"Format used to display temporal duration value for brush range. If the temporal column is a date, use strftime to format it. If it\'s a number, use [d3 number](https://github.com/d3/d3-format#locale_format) formatting.","type":"string","required":false},"sep":{"name":"sep","description":"Separator for your CSV file.","type":"string","required":false,"default":","},"overviewChannels":{"name":"overviewChannels","description":"Comma-separated list of channel names or indexes displayed in overview.","type":"string","required":false},"overviewWidth":{"name":"overviewWidth","description":"Default width of overview window in percents","type":"string","required":false,"default":"25%"},"fixedScale":{"name":"fixedScale","description":"Whether to scale y-axis to the maximum to fit all the values. If false, current view scales to fit only the displayed values.","type":["true","false"],"required":false,"default":false}}},"Channel":{"name":"Channel","description":"Channel tag can be used to label time series data","attrs":{"column":{"name":"column","description":"column name or index","type":"string","required":true},"legend":{"name":"legend","description":"display name of the channel","type":"string","required":false},"units":{"name":"units","description":"display units name","type":"string","required":false},"displayFormat":{"name":"displayFormat","description":"format string for the values, uses d3-format:<br/>\\n       `[,][.precision][f\\\\|%]`<br/>\\n       `,` - group thousands with separator (from locale): `,` (12345.6 -> 12,345.6) `,.2f` (12345.6 -> 12,345.60)<br/>\\n       `.precision` - precision for `f\\\\|%` type, significant digits for empty type:<br/>\\n                    `.3f` (12.3456 -> 12.345, 1000 -> 1000.000)<br/>\\n                    `.3` (12.3456 -> 12.3, 1.2345 -> 1.23, 12345 -> 1.23e+4)<br/>\\n       `f` - treat as float, default precision is .6: `f` (12 -> 12.000000) `.2f` (12 -> 12.00) `.0f` (12.34 -> 12)<br/>\\n       `%` - treat as percents and format accordingly: `%.0` (0.128 -> 13%) `%.1` (1.2345 -> 123.4%)","type":"string","required":false},"height":{"name":"height","description":"height of the plot","type":"number","required":false},"strokeColor":{"name":"strokeColor","description":"plot stroke color, expects hex value","type":"string","required":false,"default":"#f48a42"},"strokeWidth":{"name":"strokeWidth","description":"plot stroke width","type":"number","required":false,"default":1},"markerColor":{"name":"markerColor","description":"plot stroke color, expects hex value","type":"string","required":false,"default":"#f48a42"},"markerSize":{"name":"markerSize","description":"plot stroke width","type":"number","required":false,"default":0},"markerSymbol":{"name":"markerSymbol","description":"plot stroke width","type":"number","required":false,"default":"circle"},"timeRange":{"name":"timeRange","description":"data range of x-axis / time axis","type":"string","required":false},"dataRange":{"name":"dataRange","description":"data range of y-axis / data axis","type":"string","required":false},"showAxis":{"name":"showAxis","description":"show or bide both axis","type":"string","required":false},"fixedScale":{"name":"fixedScale","description":"if false current view scales to fit only displayed values; if given overwrites TimeSeries\' fixedScale","type":["true","false"],"required":false}}},"Video":{"name":"Video","description":"Video tag plays a simple video file. Use for video annotation tasks such as classification and transcription.\\n\\nUse with the following data types: video","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"value":{"name":"value","description":"URL of the video","type":"string","required":true},"frameRate":{"name":"frameRate","description":"video frame rate per second; default is 24; can use task data like `$fps`","type":"number","required":false,"default":24},"sync":{"name":"sync","description":"object name to sync with","type":"string","required":false},"muted":{"name":"muted","description":"muted video","type":["true","false"],"required":false,"default":false},"height":{"name":"height","description":"height of the video","type":"number","required":false,"default":600}}},"Brush":{"name":"Brush","description":"The `Brush` tag is used for image segmentation tasks where you want to apply a mask or use a brush to draw a region on the image.\\n\\nUse with the following data types: image.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the image to label","type":"string","required":true},"choice":{"name":"choice","description":"Configure whether the data labeler can select one or multiple labels","type":["single","multiple"],"required":false,"default":"single"},"maxUsages":{"name":"maxUsages","description":"Maximum number of times a label can be used per task","type":"number","required":false},"showInline":{"name":"showInline","description":"Show labels in the same visual line","type":["true","false"],"required":false,"default":true},"smart":{"name":"smart","description":"Show smart tool for interactive pre-annotations","type":["true","false"],"required":false},"smartOnly":{"name":"smartOnly","description":"Only show smart tool for interactive pre-annotations","type":["true","false"],"required":false}}},"BrushLabels":{"name":"BrushLabels","description":"The `BrushLabels` tag for image segmentation tasks is used in the area where you want to apply a mask or use a brush to draw a region on the image.\\n\\nUse with the following data types: image.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the image to label","type":"string","required":true},"choice":{"name":"choice","description":"Configure whether the data labeler can select one or multiple labels","type":["single","multiple"],"required":false,"default":"single"},"maxUsages":{"name":"maxUsages","description":"Maximum number of times a label can be used per task","type":"number","required":false},"showInline":{"name":"showInline","description":"Show labels in the same visual line","type":["true","false"],"required":false,"default":true}}},"Choice":{"name":"Choice","description":"The `Choice` tag represents a single choice for annotations. Use with the `Choices` tag or `Taxonomy` tag to provide specific choice options.\\n\\n[^FF_DEV_2007]: `ff_dev_2007_rework_choices_280322_short` should be enabled to use `html` attribute\\n[^FF_PROD_309]: The `hint` attribute works only when `fflag_feat_front_prod_309_choice_hint_080523_short` is enabled","attrs":{"value":{"name":"value","description":"Choice value","type":"string","required":true},"selected":{"name":"selected","description":"Specify whether to preselect this choice on the labeling interface","type":["true","false"],"required":false},"alias":{"name":"alias","description":"Alias for the choice. If used, the alias replaces the choice value in the annotation results. Alias does not display in the interface.","type":"string","required":false},"style":{"name":"style","description":"CSS style of the checkbox element","type":"style","required":false},"hotkey":{"name":"hotkey","description":"Hotkey for the selection","type":"string","required":false},"html":{"name":"html","description":"can be used to show enriched content[^FF_DEV_2007], it has higher priority than `value`, however `value` will be used in the exported result (should be properly escaped)","type":"string","required":false},"hint":{"name":"hint","description":"Hint for choice on hover[^FF_PROD_309]","type":"string","required":false}}},"Choices":{"name":"Choices","description":"The `Choices` tag is used to create a group of choices, with radio buttons or checkboxes. It can be used for single or multi-class classification. Also, it is used for advanced classification tasks where annotators can choose one or multiple answers.\\n\\nChoices can have dynamic value to load labels from task. This task data should contain a list of options to create underlying `<Choice>`s. All the parameters from options will be transferred to corresponding tags.\\n\\nThe `Choices` tag can be used with any data types.\\n\\n[^FF_LSDV_4583]: `fflag_feat_front_lsdv_4583_multi_image_segmentation_short` should be enabled for `perItem` functionality.\\n[^FF_DEV_2007_DEV_2008]: `ff_dev_2007_dev_2008_dynamic_tag_children_250322_short` should be enabled to use dynamic options.\\n[^FF_DEV_2007]: `ff_dev_2007_rework_choices_280322_short` should be enabled to use `html` attribute","attrs":{"name":{"name":"name","description":"Name of the group of choices","type":"string","required":true},"toName":{"name":"toName","description":"Name of the data item that you want to label","type":"string","required":true},"choice":{"name":"choice","description":"Single or multi-class classification","type":["single","single-radio","multiple"],"required":false,"default":"single"},"showInline":{"name":"showInline","description":"Show choices in the same visual line","type":["true","false"],"required":false,"default":false},"required":{"name":"required","description":"Validate whether a choice has been selected","type":["true","false"],"required":false,"default":false},"requiredMessage":{"name":"requiredMessage","description":"Show a message if validation fails","type":"string","required":false},"visibleWhen":{"name":"visibleWhen","description":"Control visibility of the choices.","type":["region-selected","choice-selected","no-region-selected"],"required":false},"whenTagName":{"name":"whenTagName","description":"Use with visibleWhen. Narrow down visibility by name of the tag. For regions, use the name of the object tag, for choices, use the name of the choices tag","type":"string","required":false},"whenLabelValue":{"name":"whenLabelValue","description":"Narrow down visibility by label value","type":"string","required":false},"whenChoiceValue":{"name":"whenChoiceValue","description":"Narrow down visibility by choice value","type":"string","required":false},"perRegion":{"name":"perRegion","description":"Use this tag to select a choice for a specific region instead of the entire task","type":["true","false"],"required":false},"perItem":{"name":"perItem","description":"Use this tag to select a choice for a specific item inside the object instead of the whole object[^FF_LSDV_4583]","type":["true","false"],"required":false},"value":{"name":"value","description":"Task data field containing a list of dynamically loaded choices (see example below)[^FF_DEV_2007_DEV_2008]","type":"string","required":false},"allowNested":{"name":"allowNested","description":"Allow to use `children` field in dynamic choices to nest them. Submitted result will contain array of arrays, every item is a list of values from topmost parent choice down to selected one.","type":["true","false"],"required":false}}},"DateTime":{"name":"DateTime","description":"The DateTime tag adds date and time selection to the labeling interface. Use this tag to add a date, timestamp, month, or year to an annotation.\\n\\nUse with the following data types: audio, image, HTML, paragraph, text, time series, video\\n\\n[^FF_LSDV_4583]: `fflag_feat_front_lsdv_4583_multi_image_segmentation_short` should be enabled for `perItem` functionality","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the element that you want to label","type":"string","required":true},"only":{"name":"only","description":"Comma-separated list of parts to display (date, time, month, year)\\n       date and month/year can\'t be used together. The date option takes precedence","type":"string","required":true},"format":{"name":"format","description":"Input/output strftime format for datetime (internally it\'s always ISO);\\n       when both date and time are displayed, by default shows ISO with a \\"T\\" separator;\\n       when only date is displayed, by default shows ISO date;\\n       when only time is displayed, by default shows a 24 hour time with leading zero","type":"string","required":true},"min":{"name":"min","description":"Set a minimum datetime value for only=date in ISO format, or minimum year for only=year","type":"string","required":false},"max":{"name":"max","description":"Set a maximum datetime value for only=date in ISO format, or maximum year for only=year","type":"string","required":false},"required":{"name":"required","description":"Whether datetime is required or not","type":["true","false"],"required":false,"default":false},"requiredMessage":{"name":"requiredMessage","description":"Message to show if validation fails","type":"string","required":false},"perRegion":{"name":"perRegion","description":"Use this option to label regions instead of the whole object","type":["true","false"],"required":false},"perItem":{"name":"perItem","description":"Use this option to label items inside the object instead of the whole object[^FF_LSDV_4583]","type":["true","false"],"required":false}}},"Ellipse":{"name":"Ellipse","description":"The `Ellipse` tag is used to add an elliptical bounding box to an image. Use for bounding box image segmentation tasks with ellipses.\\n\\nUse with the following data types: image.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the image to label","type":"string","required":true},"opacity":{"name":"opacity","description":"Opacity of ellipse","type":"float","required":false,"default":0.6},"fillColor":{"name":"fillColor","description":"Ellipse fill color in hexadecimal","type":"string","required":false},"strokeColor":{"name":"strokeColor","description":"Stroke color in hexadecimal","type":"string","required":false,"default":"#f48a42"},"strokeWidth":{"name":"strokeWidth","description":"Width of the stroke","type":"number","required":false,"default":1},"canRotate":{"name":"canRotate","description":"Show or hide rotation control","type":["true","false"],"required":false,"default":true},"smart":{"name":"smart","description":"Show smart tool for interactive pre-annotations","type":["true","false"],"required":false},"smartOnly":{"name":"smartOnly","description":"Only show smart tool for interactive pre-annotations","type":["true","false"],"required":false}}},"EllipseLabels":{"name":"EllipseLabels","description":"The `EllipseLabels` tag creates labeled ellipses. Use to apply labels to ellipses for semantic segmentation.\\n\\nUse with the following data types: image.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the image to label","type":"string","required":true},"choice":{"name":"choice","description":"Configure whether you can select one or multiple labels","type":["single","multiple"],"required":false,"default":"single"},"maxUsages":{"name":"maxUsages","description":"Maximum number of times a label can be used per task","type":"number","required":false},"showInline":{"name":"showInline","description":"Show labels in the same visual line","type":["true","false"],"required":false,"default":true},"opacity":{"name":"opacity","description":"Opacity of ellipse","type":"float","required":false,"default":0.6},"fillColor":{"name":"fillColor","description":"Ellipse fill color in hexadecimal","type":"string","required":false},"strokeColor":{"name":"strokeColor","description":"Stroke color in hexadecimal","type":"string","required":false},"strokeWidth":{"name":"strokeWidth","description":"Width of stroke","type":"number","required":false,"default":1},"canRotate":{"name":"canRotate","description":"Show or hide rotation option","type":["true","false"],"required":false,"default":true}}},"HyperTextLabels":{"name":"HyperTextLabels","description":"The `HyperTextLabels` tag creates labeled hyper text (HTML). Use with the HyperText object tag to annotate HTML text or HTML elements for named entity recognition tasks.\\n\\nUse with the following data types: HTML.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the HTML element to label","type":"string","required":true},"choice":{"name":"choice","description":"Configure if you can select one or multiple labels","type":["single","multiple"],"required":false,"default":"single"},"maxUsages":{"name":"maxUsages","description":"Maximum number of times a label can be used per task","type":"number","required":false},"showInline":{"name":"showInline","description":"Show labels in the same visual line","type":["true","false"],"required":false,"default":true}}},"KeyPoint":{"name":"KeyPoint","description":"The `KeyPoint` tag is used to add a key point to an image without selecting a label. This can be useful when you have only one label to assign to the key point.\\n\\nUse with the following data types: image.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the image to label","type":"string","required":true},"opacity":{"name":"opacity","description":"Opacity of keypoint","type":"float","required":false,"default":0.9},"fillColor":{"name":"fillColor","description":"Keypoint fill color in hexadecimal","type":"string","required":false,"default":"#8bad00"},"strokeWidth":{"name":"strokeWidth","description":"Width of the stroke","type":"number","required":false,"default":1},"strokeColor":{"name":"strokeColor","description":"Keypoint stroke color in hexadecimal","type":"string","required":false,"default":"#8bad00"},"smart":{"name":"smart","description":"Show smart tool for interactive pre-annotations","type":["true","false"],"required":false},"smartOnly":{"name":"smartOnly","description":"Only show smart tool for interactive pre-annotations","type":["true","false"],"required":false}}},"KeyPointLabels":{"name":"KeyPointLabels","description":"The `KeyPointLabels` tag creates labeled keypoints. Use to apply labels to identified key points, such as identifying facial features for a facial recognition labeling project.\\n\\nUse with the following data types: image.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the image to label","type":"string","required":true},"choice":{"name":"choice","description":"Configure whether you can select one or multiple labels","type":["single","multiple"],"required":false,"default":"single"},"maxUsages":{"name":"maxUsages","description":"Maximum number of times a label can be used per task","type":"number","required":false},"showInline":{"name":"showInline","description":"Show labels in the same visual line","type":["true","false"],"required":false,"default":true},"opacity":{"name":"opacity","description":"Opacity of the keypoint","type":"float","required":false,"default":0.9},"strokeWidth":{"name":"strokeWidth","description":"Width of the stroke","type":"number","required":false,"default":1}}},"Label":{"name":"Label","description":"The `Label` tag represents a single label. Use with the `Labels` tag, including `BrushLabels`, `EllipseLabels`, `HyperTextLabels`, `KeyPointLabels`, and other `Labels` tags to specify the value of a specific label.","attrs":{"value":{"name":"value","description":"Value of the label","type":"string","required":true},"selected":{"name":"selected","description":"Whether to preselect this label","type":["true","false"],"required":false,"default":false},"maxUsages":{"name":"maxUsages","description":"Maximum number of times this label can be used per task","type":"number","required":false},"hint":{"name":"hint","description":"Hint for label on hover","type":"string","required":false},"hotkey":{"name":"hotkey","description":"Hotkey to use for the label. Automatically generated if not specified","type":"string","required":false},"alias":{"name":"alias","description":"Label alias","type":"string","required":false},"showAlias":{"name":"showAlias","description":"Whether to show alias inside label text","type":["true","false"],"required":false,"default":false},"aliasStyle":{"name":"aliasStyle","description":"CSS style for the alias","type":"string","required":false,"default":"opacity:0.6"},"size":{"name":"size","description":"Size of text in the label","type":"string","required":false,"default":"medium"},"background":{"name":"background","description":"Background color of an active label in hexadecimal","type":"string","required":false,"default":"#36B37E"},"selectedColor":{"name":"selectedColor","description":"Color of text in an active label in hexadecimal","type":"string","required":false,"default":"#ffffff"},"granularity":{"name":"granularity","description":"Set control based on symbol or word selection (only for Text)","type":["symbol","word"],"required":false},"html":{"name":"html","description":"HTML code is used to display label button instead of raw text provided by `value` (should be properly escaped)","type":"string","required":false}}},"Labels":{"name":"Labels","description":"The `Labels` tag provides a set of labels for labeling regions in tasks for machine learning and data science projects. Use the `Labels` tag to create a set of labels that can be assigned to identified region and specify the values of labels to assign to regions.\\n\\nAll types of Labels can have dynamic value to load labels from task. This task data should contain a list of options to create underlying `<Label>`s. All the parameters from options will be transferred to corresponding tags.\\n\\nThe Labels tag can be used with audio and text data types. Other data types have type-specific Labels tags.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the element that you want to label","type":"string","required":true},"choice":{"name":"choice","description":"Configure whether you can select one or multiple labels for a region","type":["single","multiple"],"required":false,"default":"single"},"maxUsages":{"name":"maxUsages","description":"Maximum number of times a label can be used per task","type":"number","required":false},"showInline":{"name":"showInline","description":"Whether to show labels in the same visual line","type":["true","false"],"required":false,"default":true},"opacity":{"name":"opacity","description":"Opacity of rectangle highlighting the label","type":"float","required":false,"default":0.6},"fillColor":{"name":"fillColor","description":"Rectangle fill color in hexadecimal","type":"string","required":false},"strokeColor":{"name":"strokeColor","description":"Stroke color in hexadecimal","type":"string","required":false,"default":"#f48a42"},"strokeWidth":{"name":"strokeWidth","description":"Width of the stroke","type":"number","required":false,"default":1},"value":{"name":"value","description":"Task data field containing a list of dynamically loaded labels (see example below)","type":"string","required":false}}},"Magicwand":{"name":"Magicwand","description":"The `Magicwand` tag makes it possible to click in a region of an image a user is doing segmentation\\nlabeling on, drag the mouse to dynamically change flood filling tolerance, then release the mouse button\\nto get a new labeled area. It is particularly effective at segmentation labeling broad, diffuse, complex\\nedged objects, such as clouds, cloud shadows, snow, etc. in earth observation applications or organic\\nshapes in biomedical applications.\\n\\nUse with the following data types: image.\\n\\nZooming is supported for the Magic Wand, but it will not work on rotated images.\\n\\nExample of the Magic Wand in use:\\n\\n![Animated GIF showing Magic Wand clicking on cloud and dragging, automatically segmenting and selecting\\npixels to create a mask](../images/magicwand_example.gif)\\n\\n### Feature Flag\\n\\nThe Magic Wand is currently turned off by default behind a feature flag. If you want to turn it on, you\\nmust enable it by either:\\n- Setting an environment variable when starting the Label Studio server, either by starting up the\\n  server with `fflag_feat_front_dev_4081_magic_wand_tool=1 label-studio`, or manually finding the flag\\n`flag_feat_front_dev_4081_magic_wand_tool` and setting it to true.\\n\\n### CORS Configuration\\n\\nThe Magic Wand requires pixel-level access to images that are being labelled in order to do its\\nthresholding and flood filling. If you are hosting your images to label on a third-party domain,\\nyou will need to enable CORS headers for the Magic Wand to work with cross domain HTTP `GET`\\nrequests in order for the Magic Wand to be able to threshold the actual image pixel data. See the\\n[Label Studio storage guide](../guide/storage.html#Troubleshoot-CORS-and-access-problems) for more\\ndetails on configuring CORS.\\n\\n### `Image` Tag Configuration\\n\\nThe `Magicwand` tag is configured to work with an `Image` tag that it will operate on for labeling.\\nIf you are storing an image cross-domain that the `Image` tag will reference, you will have to\\ncorrectly setup the `crossOrigin` on the `Image` attribute. This attribute mimics the same\\n`crossOrigin` attribute that a normal DOM `img` tag would\\nhave ([reference])(https://developer.mozilla.org/en-US/docs/Web/API/HTMLImageElement/crossOrigin).\\n\\nIf the image is on a public server or Google/AWS/Azure bucket that is publicly readable\\nwithout any authentication, you should set `crossOrigin` to `anonymous`.\\n\\nIf the image is on a server or a private cloud bucket that requires authentication of any\\nkind (i.e. the request must have HTTP headers that prove authentication set along with the\\nthird party request), then you should set `crossOrigin` to `use-credentials`. Note that Google\'s\\ncloud buckets [do not support authenticated requests for CORS requests](https://cloud.google.com/storage/docs/cross-origin#additional_considerations),\\nwhich  means you either need to make that Google bucket world readable to work with the Magic Wand, or\\nuse Label Studio\'s signed URL support ([AWS](../guide/storage.html#Set-up-connection-in-the-Label-Studio-UI),\\n[GCP](../guide/storage.html#Set-up-connection-in-the-Label-Studio-UI-1), and\\n[Azure](../guide/storage.html#Set-up-connection-in-the-Label-Studio-UI-2)).\\n\\nIf the image is on the same host as your Label Studio instance, you can simply leave off the\\n`crossOrigin` attribute or set it to `none`.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the image to label","type":"string","required":true},"opacity":{"name":"opacity","description":"Opacity of the Magic Wand region during use","type":"float","required":false,"default":0.6},"blurradius":{"name":"blurradius","description":"The edges of a Magic Wand region are blurred and simplified, this is the radius of the blur kernel","type":"number","required":false,"default":5},"defaultthreshold":{"name":"defaultthreshold","description":"When the user initially clicks without dragging, how far a color has to be from the initial selected pixel to also be selected","type":"number","required":false,"default":15}}},"Number":{"name":"Number","description":"The Number tag supports numeric classification. Use to classify tasks using numbers.\\n\\nUse with the following data types: audio, image, HTML, paragraphs, text, time series, video\\n\\n[^FF_LSDV_4583]: `fflag_feat_front_lsdv_4583_multi_image_segmentation_short` should be enabled for `perItem` functionality","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the element that you want to label","type":"string","required":true},"min":{"name":"min","description":"Minimum number value","type":"number","required":false},"max":{"name":"max","description":"Maximum number value","type":"number","required":false},"step":{"name":"step","description":"Step for value increment/decrement","type":"number","required":false,"default":1},"defaultValue":{"name":"defaultValue","description":"Default number value; will be added automatically to result for required fields","type":"number","required":false},"hotkey":{"name":"hotkey","description":"Hotkey for increasing number value","type":"string","required":false},"required":{"name":"required","description":"Whether to require number validation","type":["true","false"],"required":false,"default":false},"requiredMessage":{"name":"requiredMessage","description":"Message to show if validation fails","type":"string","required":false},"perRegion":{"name":"perRegion","description":"Use this tag to classify specific regions instead of the whole object","type":["true","false"],"required":false},"perItem":{"name":"perItem","description":"Use this tag to classify specific items inside the object instead of the whole object[^FF_LSDV_4583]","type":["true","false"],"required":false},"slider":{"name":"slider","description":"Use slider look instead of input; use min and max to add your constraints","type":["true","false"],"required":false,"default":false}}},"Pairwise":{"name":"Pairwise","description":"The `Pairwise` tag is used to compare two different objects and select one item from the list. If you want annotators to compare two objects and determine whether they are similar or not, use the `Choices` tag.\\n\\nUse with the following data types: audio, image, HTML, paragraphs, text, time series, video.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Comma-separated names of the elements you want to compare","type":"string","required":true},"selectionStyle":{"name":"selectionStyle","description":"Style for the selection","type":"string","required":false}}},"ParagraphLabels":{"name":"ParagraphLabels","description":"The `ParagraphLabels` tag creates labeled paragraphs. Use with the `Paragraphs` tag to label a paragraph of text.\\n\\nUse with the following data types: paragraphs.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the paragraph element to label","type":"string","required":true},"choice":{"name":"choice","description":"Configure whether you can select one or multiple labels","type":["single","multiple"],"required":false,"default":"single"},"maxUsages":{"name":"maxUsages","description":"Maximum number of times a label can be used per task","type":"number","required":false},"showInline":{"name":"showInline","description":"Show labels in the same visual line","type":["true","false"],"required":false,"default":true}}},"Polygon":{"name":"Polygon","description":"The `Polygon` tag is used to add polygons to an image without selecting a label. This can be useful when you have only one label to assign to the polygon. Use for image segmentation tasks.\\n\\nUse with the following data types: image.","attrs":{"name":{"name":"name","description":"Name of tag","type":"string","required":true},"toname":{"name":"toname","description":"Name of image to label","type":"string","required":true},"opacity":{"name":"opacity","description":"Opacity of polygon","type":"number","required":false,"default":0.6},"fillColor":{"name":"fillColor","description":"Polygon fill color in hexadecimal or HTML color name","type":"string","required":false,"default":"transparent"},"strokeColor":{"name":"strokeColor","description":"Stroke color in hexadecimal","type":"string","required":false,"default":"#f48a42"},"strokeWidth":{"name":"strokeWidth","description":"Width of stroke","type":"number","required":false,"default":3},"pointSize":{"name":"pointSize","description":"Size of polygon handle points","type":["small","medium","large"],"required":false,"default":"small"},"pointStyle":{"name":"pointStyle","description":"Style of points","type":["rectangle","circle"],"required":false,"default":"circle"},"smart":{"name":"smart","description":"Show smart tool for interactive pre-annotations","type":["true","false"],"required":false},"smartOnly":{"name":"smartOnly","description":"Only show smart tool for interactive pre-annotations","type":["true","false"],"required":false}}},"PolygonLabels":{"name":"PolygonLabels","description":"The `PolygonLabels` tag is used to create labeled polygons. Use to apply labels to polygons in semantic segmentation tasks.\\n\\nUse with the following data types: image.","attrs":{"name":{"name":"name","description":"Name of tag","type":"string","required":true},"toName":{"name":"toName","description":"Name of image to label","type":"string","required":true},"choice":{"name":"choice","description":"Configure whether you can select one or multiple labels","type":["single","multiple"],"required":false,"default":"single"},"maxUsages":{"name":"maxUsages","description":"Maximum number of times a label can be used per task","type":"number","required":false},"showInline":{"name":"showInline","description":"Show labels in the same visual line","type":["true","false"],"required":false,"default":true},"opacity":{"name":"opacity","description":"Opacity of polygon","type":"number","required":false,"default":0.2},"fillColor":{"name":"fillColor","description":"Polygon fill color in hexadecimal","type":"string","required":false},"strokeColor":{"name":"strokeColor","description":"Stroke color in hexadecimal","type":"string","required":false},"strokeWidth":{"name":"strokeWidth","description":"Width of stroke","type":"number","required":false,"default":1},"pointSize":{"name":"pointSize","description":"Size of polygon handle points","type":["small","medium","large"],"required":false,"default":"medium"},"pointStyle":{"name":"pointStyle","description":"Style of points","type":["rectangle","circle"],"required":false,"default":"rectangle"}}},"Ranker":{"name":"Ranker","description":"The `Ranker` tag is used to rank items in a `List` tag or pick relevant items from a `List`, depending on using nested `Bucket` tags.\\nIn simple case of `List` + `Ranker` tags the first one becomes interactive and saved result is a dict with the only key of tag\'s name and with value of array of ids in new order.\\nWith `Bucket`s any items from the `List` can be moved to these buckets, and resulting groups will be exported as a dict `{ bucket-name-1: [array of ids in this bucket], ... }`\\nBy default all items will sit in `List` and will not be exported, unless they are moved to a bucket. But with `default=\\"true\\"` parameter you can specify a bucket where all items will be placed by default, so exported result will always have all items from the list, grouped by buckets.\\nColumns and items can be styled in `Style` tag by using respective `.htx-ranker-column` and `.htx-ranker-item` classes. Titles of columns are defined in `title` parameter of `Bucket` tag.\\nNote: When `Bucket`s used without `default` param, the original list will also be stored as \\"_\\" named column in results, but that\'s internal value and this may be changed later.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"List tag name to connect to","type":"string","required":true}}},"Rating":{"name":"Rating","description":"The `Rating` tag adds a rating selection to the labeling interface. Use for labeling tasks involving ratings.\\n\\nUse with the following data types: audio, image, HTML, paragraphs, text, time series, video.\\n\\n[^FF_LSDV_4583]: `fflag_feat_front_lsdv_4583_multi_image_segmentation_short` should be enabled for `perItem` functionality","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the element that you want to label","type":"string","required":true},"maxRating":{"name":"maxRating","description":"Maximum rating value","type":"number","required":false,"default":5},"defaultValue":{"name":"defaultValue","description":"Default rating value","type":"number","required":false,"default":0},"size":{"name":"size","description":"Rating icon size","type":["small","medium","large"],"required":false,"default":"medium"},"icon":{"name":"icon","description":"Rating icon","type":["star","heart","fire","smile"],"required":false,"default":"star"},"hotkey":{"name":"hotkey","description":"HotKey for changing rating value","type":"string","required":true},"required":{"name":"required","description":"Whether rating validation is required","type":["true","false"],"required":false,"default":false},"requiredMessage":{"name":"requiredMessage","description":"Message to show if validation fails","type":"string","required":false},"perRegion":{"name":"perRegion","description":"Use this tag to rate regions instead of the whole object","type":["true","false"],"required":false},"perItem":{"name":"perItem","description":"Use this tag to rate items inside the object instead of the whole object[^FF_LSDV_4583]","type":["true","false"],"required":false}}},"Rectangle":{"name":"Rectangle","description":"The `Rectangle` tag is used to add a rectangle (Bounding Box) to an image without selecting a label. This can be useful when you have only one label to assign to a rectangle.\\n\\nUse with the following data types: image.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the image to label","type":"string","required":true},"opacity":{"name":"opacity","description":"Opacity of rectangle","type":"float","required":false,"default":0.6},"fillColor":{"name":"fillColor","description":"Rectangle fill color in hexadecimal","type":"string","required":false},"strokeColor":{"name":"strokeColor","description":"Stroke color in hexadecimal","type":"string","required":false,"default":"#f48a42"},"strokeWidth":{"name":"strokeWidth","description":"Width of the stroke","type":"number","required":false,"default":1},"canRotate":{"name":"canRotate","description":"Whether to show or hide rotation control","type":["true","false"],"required":false,"default":true},"smart":{"name":"smart","description":"Show smart tool for interactive pre-annotations","type":["true","false"],"required":false},"smartOnly":{"name":"smartOnly","description":"Only show smart tool for interactive pre-annotations","type":["true","false"],"required":false}}},"RectangleLabels":{"name":"RectangleLabels","description":"The `RectangleLabels` tag creates labeled rectangles. Use to apply labels to bounding box semantic segmentation tasks.\\n\\nUse with the following data types: image.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the image to label","type":"string","required":true},"choice":{"name":"choice","description":"Configure whether you can select one or multiple labels","type":["single","multiple"],"required":false,"default":"single"},"maxUsages":{"name":"maxUsages","description":"Maximum number of times a label can be used per task","type":"number","required":false},"showInline":{"name":"showInline","description":"Show labels in the same visual line","type":["true","false"],"required":false,"default":true},"opacity":{"name":"opacity","description":"Opacity of rectangle","type":"float","required":false,"default":0.6},"fillColor":{"name":"fillColor","description":"Rectangle fill color in hexadecimal","type":"string","required":false},"strokeColor":{"name":"strokeColor","description":"Stroke color in hexadecimal","type":"string","required":false},"strokeWidth":{"name":"strokeWidth","description":"Width of stroke","type":"number","required":false,"default":1},"canRotate":{"name":"canRotate","description":"Show or hide rotation control","type":["true","false"],"required":false,"default":true}}},"Relation":{"name":"Relation","description":"The `Relation` tag represents a single relation label. Use with the `Relations` tag to specify the value of a label to apply to a relation between regions.","attrs":{"value":{"name":"value","description":"Value of the relation","type":"string","required":true},"background":{"name":"background","description":"Background color of the active label in hexadecimal","type":"string","required":false}}},"Relations":{"name":"Relations","description":"The `Relations` tag is used to create label relations between regions. Use to provide many values to apply to the relationship between two labeled regions.\\n\\nUse with the following data types: audio, image, HTML, paragraphs, text, time series, video.","attrs":{"choice":{"name":"choice","description":"Configure whether you can select one or multiple labels","type":["single","multiple"],"required":false,"default":"single"}}},"Shortcut":{"name":"Shortcut","description":"The `Shortcut` tag to define a shortcut that annotators can use to add a predefined object, such as a specific label value, with a hotkey or keyboard shortcut.\\n\\nUse with the following data types:\\n- Audio\\n- Image\\n- HTML\\n- Paragraphs\\n- Text\\n- Time series\\n- Video","attrs":{"value":{"name":"value","description":"The value of the shortcut","type":"string","required":true},"alias":{"name":"alias","description":"Shortcut alias","type":"string","required":false},"hotkey":{"name":"hotkey","description":"Hotkey","type":"string","required":false},"background":{"name":"background","description":"Background color in hexadecimal","type":"string","required":false,"default":"#333333"}}},"Taxonomy":{"name":"Taxonomy","description":"The `Taxonomy` tag is used to create one or more hierarchical classifications, storing both choice selections and their ancestors in the results. Use for nested classification tasks with the `Choice` tag.\\n\\nUse with the following data types: audio, image, HTML, paragraphs, text, time series, video.\\n\\n[^FF_LSDV_4583]: `fflag_feat_front_lsdv_4583_multi_image_segmentation_short` should be enabled for `perItem` functionality","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the element that you want to classify","type":"string","required":true},"leafsOnly":{"name":"leafsOnly","description":"Allow annotators to select only leaf nodes of taxonomy","type":["true","false"],"required":false,"default":false},"showFullPath":{"name":"showFullPath","description":"Whether to show the full path of selected items","type":["true","false"],"required":false,"default":false},"pathSeparator":{"name":"pathSeparator","description":"Separator to show in the full path","type":"string","required":false,"default":"/"},"maxUsages":{"name":"maxUsages","description":"Maximum number of times a choice can be selected per task","type":"number","required":false},"maxWidth":{"name":"maxWidth","description":"Maximum width for dropdown","type":"number","required":false},"minWidth":{"name":"minWidth","description":"Minimum width for dropdown","type":"number","required":false},"required":{"name":"required","description":"Whether taxonomy validation is required","type":["true","false"],"required":false,"default":false},"requiredMessage":{"name":"requiredMessage","description":"Message to show if validation fails","type":"string","required":false},"placeholder=":{"name":"placeholder=","description":"What to display as prompt on the input","type":"string","required":false},"perRegion":{"name":"perRegion","description":"Use this tag to classify specific regions instead of the whole object","type":["true","false"],"required":false},"perItem":{"name":"perItem","description":"Use this tag to classify specific items inside the object instead of the whole object[^FF_LSDV_4583]","type":["true","false"],"required":false}}},"TextArea":{"name":"TextArea","description":"The `TextArea` tag is used to display a text area for user input. Use for transcription, paraphrasing, or captioning tasks.\\n\\nUse with the following data types: audio, image, HTML, paragraphs, text, time series, video.\\n\\n[^FF_LSDV_4659]: `fflag_feat_front_lsdv_4659_skipduplicates_060323_short` should be enabled to use `skipDuplicates` attribute\\n[^FF_LSDV_4712]: `fflag_feat_front_lsdv_4712_skipduplicates_editing_110423_short` should be enabled to keep submissions unique during editing existed results\\n[^FF_LSDV_4583]: `fflag_feat_front_lsdv_4583_multi_image_segmentation_short` should be enabled for `perItem` functionality","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the element that you want to label","type":"string","required":true},"value":{"name":"value","description":"Pre-filled value","type":"string","required":true},"label":{"name":"label","description":"Label text","type":"string","required":false},"placeholder":{"name":"placeholder","description":"Placeholder text","type":"string","required":false},"maxSubmissions":{"name":"maxSubmissions","description":"Maximum number of submissions","type":"string","required":false},"editable":{"name":"editable","description":"Whether to display an editable textarea","type":["true","false"],"required":false,"default":false},"skipDuplicates":{"name":"skipDuplicates","description":"Prevent duplicates in textarea inputs[^FF_LSDV_4659][^FF_LSDV_4712] (see example below)","type":["true","false"],"required":false,"default":false},"transcription":{"name":"transcription","description":"If false, always show editor","type":["true","false"],"required":false,"default":false},"rows":{"name":"rows","description":"Number of rows in the textarea","type":"number","required":false},"required":{"name":"required","description":"Validate whether content in textarea is required","type":["true","false"],"required":false,"default":false},"requiredMessage":{"name":"requiredMessage","description":"Message to show if validation fails","type":"string","required":false},"showSubmitButton":{"name":"showSubmitButton","description":"Whether to show or hide the submit button. By default it shows when there are more than one rows of text, such as in textarea mode.","type":["true","false"],"required":false},"perRegion":{"name":"perRegion","description":"Use this tag to label regions instead of whole objects","type":["true","false"],"required":false},"perItem":{"name":"perItem","description":"Use this tag to label items inside objects instead of whole objects[^FF_LSDV_4583]","type":["true","false"],"required":false}}},"TimeSeriesLabels":{"name":"TimeSeriesLabels","description":"The `TimeSeriesLabels` tag is used to create a labeled time range.\\n\\nUse with the following data types: time series.","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toname":{"name":"toname","description":"Name of the timeseries to label","type":"string","required":true},"choice":{"name":"choice","description":"Configure whether you can select one or multiple labels","type":["single","multiple"],"required":false,"default":"single"},"maxUsages":{"name":"maxUsages","description":"Maximum number of times a label can be used per task","type":"number","required":false},"showInline":{"name":"showInline","description":"Show labels in the same visual line","type":["true","false"],"required":false,"default":true},"opacity":{"name":"opacity","description":"Opacity of the range","type":"float","required":false,"default":0.9},"fillColor":{"name":"fillColor","description":"Range fill color in hexadecimal or HTML color name","type":"string","required":false,"default":"transparent"},"strokeColor":{"name":"strokeColor","description":"Stroke color in hexadecimal","type":"string","required":false,"default":"#f48a42"},"strokeWidth":{"name":"strokeWidth","description":"Width of the stroke","type":"number","required":false,"default":1}}},"VideoRectangle":{"name":"VideoRectangle","description":"VideoRectangle tag brings Object Tracking capabilities to videos. It works in combination with the `<Video/>` and the `<Labels/>` tags.\\n\\nUse with the following data types: video","attrs":{"name":{"name":"name","description":"Name of the element","type":"string","required":true},"toName":{"name":"toName","description":"Name of the element to control (video)","type":"string","required":true}}},"Collapse":{"name":"Collapse","description":"Collapse tag, a content area which can be collapsed and expanded.","attrs":{"accordion":{"name":"accordion","description":"Works as an accordion","type":["true","false"],"required":false,"default":true},"bordered":{"name":"bordered","description":"Shows border","type":"string","required":false,"default":false}}},"Filter":{"name":"Filter","description":"Use the Filter tag to add a filter search for a large number of labels or choices. Use with the Labels tag or Choices tag.","attrs":{"placeholder":{"name":"placeholder","description":"Placeholder text for filter","type":"string","required":false,"default":"\\"Quick Filter\\""},"minlength":{"name":"minlength","description":"Size of the filter","type":"number","required":false,"default":3},"style":{"name":"style","description":"CSS style of the string","type":"string","required":false},"hotkey":{"name":"hotkey","description":"Hotkey to use to focus on the filter text area","type":"string","required":false}}},"Header":{"name":"Header","description":"The `Header` tag is used to show a header on the labeling interface.","attrs":{"value":{"name":"value","description":"Text of header, either static text or the field name in data to use for the header","type":"string","required":true},"size":{"name":"size","description":"Level of header on a page, used to control size of the text","type":"number","required":false,"default":4},"style":{"name":"style","description":"CSS style for the header","type":"string","required":false},"underline":{"name":"underline","description":"Whether to underline the header","type":["true","false"],"required":false,"default":false}}},"Style":{"name":"Style","description":"The `Style` tag is used in combination with the View tag to apply custom CSS properties to the labeling interface. See the [CSS Reference](https://developer.mozilla.org/en-US/docs/Web/CSS/Reference) on the MDN page for a full list of available properties that you can reference. You can also adjust default Label Studio CSS classes. Use the browser developer tools to inspect the element on the UI and locate the class name, then specify that class name in the `Style` tag.","attrs":{"`.<className>`":{"name":"`.<className>`","description":"Reference the className specified in the View tag to apply to a section of the labeling configuration.","type":"string","required":true},"CSS property":{"name":"CSS property","description":"CSS property and value to apply.","type":"string","required":false}}},"View":{"name":"View","description":"The `View` element is used to configure the display of blocks, similar to the div tag in HTML.","attrs":{"display":{"name":"display","type":["block","inline"],"required":true},"style":{"name":"style","description":"CSS style string","type":"string","required":false},"className":{"name":"className","description":"Class name of the CSS style to apply. Use with the Style tag","type":"string","required":false},"visibleWhen":{"name":"visibleWhen","description":"Show the contents of a view when condition is true","type":["region-selected","choice-selected","no-region-selected"],"required":false},"whenTagName":{"name":"whenTagName","description":"Narrow down visibility by tag name. For regions, use the name of the object tag, for choices, use the name of the choices tag.","type":"string","required":false},"whenLabelValue":{"name":"whenLabelValue","description":"Narrow down visibility by label value","type":"string","required":false},"whenChoiceValue":{"name":"whenChoiceValue","description":"Narrow down visibility by choice value","type":"string","required":false}},"children":["Audio","HyperText","Image","List","Paragraphs","Table","Text","TimeSeries","Channel","Video","Brush","BrushLabels","Choice","Choices","DateTime","Ellipse","EllipseLabels","HyperTextLabels","KeyPoint","KeyPointLabels","Label","Labels","Magicwand","Number","Pairwise","ParagraphLabels","Polygon","PolygonLabels","Ranker","Rating","Rectangle","RectangleLabels","Relation","Relations","Shortcut","Taxonomy","TextArea","TimeSeriesLabels","VideoRectangle","Collapse","Filter","Header","Style","View"]}}');

/***/ }),

/***/ "./src/pages/Settings/MachineLearningSettings/models.json":
/*!****************************************************************!*\
  !*** ./src/pages/Settings/MachineLearningSettings/models.json ***!
  \****************************************************************/
/***/ ((module) => {

"use strict";
module.exports = JSON.parse('[{"id":"1","title":"Segment Anything Model","url":"http://3.110.205.71:9090/","description":"This is a description for Segment Anything Model."},{"id":"2","title":"YOLO Model","url":"http://3.111.44.251:8081/","description":"This is a description for YOLO Model."},{"id":"3","title":"GPT-4","url":"http://3.111.44.251:8082/","description":"This is a description for GPT-4 Model."},{"id":"3","title":"GPT-3.5","url":"http://3.111.44.251:8083/","description":"This is a description for GPT-3.5 Model."},{"id":"3","title":"LLAMA Model","url":"http://3.111.44.251:8084/","description":"This is a description for LLAMA Model."},{"id":"4","title":"Roberta Model","url":"http://3.111.44.251:8084/","description":"This is a description for Roberta Model."},{"id":"5","title":"StyleGAN Model","url":"http://3.111.44.251:8084/","description":"This is a description for StyleGAN Model."},{"id":"6","title":"Lifespan_Age_Transformation_Synthesis (LATs) Model","url":"http://3.111.44.251:8084/","description":"This is a description for LATs Model."},{"id":"6","title":"Style_based_age_synthesis (SbAS) Model","url":"http://3.111.44.251:8084/","description":"This is a description for SbAS Model."}]');

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			id: moduleId,
/******/ 			loaded: false,
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Flag the module as loaded
/******/ 		module.loaded = true;
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	(() => {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = (module) => {
/******/ 			var getter = module && module.__esModule ?
/******/ 				() => (module['default']) :
/******/ 				() => (module);
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/global */
/******/ 	(() => {
/******/ 		__webpack_require__.g = (function() {
/******/ 			if (typeof globalThis === 'object') return globalThis;
/******/ 			try {
/******/ 				return this || new Function('return this')();
/******/ 			} catch (e) {
/******/ 				if (typeof window === 'object') return window;
/******/ 			}
/******/ 		})();
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/harmony module decorator */
/******/ 	(() => {
/******/ 		__webpack_require__.hmd = (module) => {
/******/ 			module = Object.create(module);
/******/ 			if (!module.children) module.children = [];
/******/ 			Object.defineProperty(module, 'exports', {
/******/ 				enumerable: true,
/******/ 				set: () => {
/******/ 					throw new Error('ES Modules may not assign module.exports or exports.*, Use ESM export syntax, instead: ' + module.id);
/******/ 				}
/******/ 			});
/******/ 			return module;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/node module decorator */
/******/ 	(() => {
/******/ 		__webpack_require__.nmd = (module) => {
/******/ 			module.paths = [];
/******/ 			if (!module.children) module.children = [];
/******/ 			return module;
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be in strict mode.
(() => {
"use strict";
/*!**********************!*\
  !*** ./src/index.js ***!
  \**********************/
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var _app_App__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./app/App */ "./src/app/App.js");
/* harmony import */ var _utils_service_worker__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./utils/service-worker */ "./src/utils/service-worker.js");


})();

/******/ })()
;
//# sourceMappingURL=index.js.map